#!/usr/pkg/bin/chezscheme --program

;; @generated by Idris 0.6.0-57c589ca8, Chez backend
(import (chezscheme))
(case (machine-type)
  [(i3fb ti3fb a6fb ta6fb) #f]
  [(i3le ti3le a6le ta6le tarm64le) (load-shared-object "libc.so.6")]
  [(i3osx ti3osx a6osx ta6osx tarm64osx) (load-shared-object "libc.dylib")]
  [(i3nt ti3nt a6nt ta6nt) (load-shared-object "msvcrt.dll")]
  [else (load-shared-object "libc.so")])



(let ()
(define (blodwen-os)
  (case (machine-type)
    [(i3le ti3le a6le ta6le) "unix"]  ; GNU/Linux
    [(i3ob ti3ob a6ob ta6ob) "unix"]  ; OpenBSD
    [(i3fb ti3fb a6fb ta6fb) "unix"]  ; FreeBSD
    [(i3nb ti3nb a6nb ta6nb) "unix"]  ; NetBSD
    [(i3osx ti3osx a6osx ta6osx tarm64osx) "darwin"]
    [(i3nt ti3nt a6nt ta6nt) "windows"]
    [else "unknown"]))

(define blodwen-lazy
  (lambda (f)
    (let ([evaluated #f] [res void])
      (lambda ()
        (if (not evaluated)
            (begin (set! evaluated #t)
                   (set! res (f))
                   (set! f void))
            (void))
        res))))

(define (blodwen-toSignedInt x bits)
  (if (logbit? bits x)
      (logor x (ash -1 bits))
      (logand x (sub1 (ash 1 bits)))))

(define (blodwen-toUnsignedInt x bits)
  (logand x (sub1 (ash 1 bits))))

(define (blodwen-euclidDiv a b)
  (let ((q (quotient a b))
        (r (remainder a b)))
    (if (< r 0)
      (if (> b 0) (- q 1) (+ q 1))
      q)))

(define (blodwen-euclidMod a b)
  (let ((r (remainder a b)))
    (if (< r 0)
      (if (> b 0) (+ r b) (- r b))
      r)))

(define bu+ (lambda (x y bits) (blodwen-toUnsignedInt (+ x y) bits)))
(define bu- (lambda (x y bits) (blodwen-toUnsignedInt (- x y) bits)))
(define bu* (lambda (x y bits) (blodwen-toUnsignedInt (* x y) bits)))
(define bu/ (lambda (x y bits) (blodwen-toUnsignedInt (quotient x y) bits)))

(define bs+ (lambda (x y bits) (blodwen-toSignedInt (+ x y) bits)))
(define bs- (lambda (x y bits) (blodwen-toSignedInt (- x y) bits)))
(define bs* (lambda (x y bits) (blodwen-toSignedInt (* x y) bits)))
(define bs/ (lambda (x y bits) (blodwen-toSignedInt (blodwen-euclidDiv x y) bits)))

(define (integer->bits8 x) (logand x (sub1 (ash 1 8))))
(define (integer->bits16 x) (logand x (sub1 (ash 1 16))))
(define (integer->bits32 x) (logand x (sub1 (ash 1 32))))
(define (integer->bits64 x) (logand x (sub1 (ash 1 64))))

(define (bits16->bits8 x) (logand x (sub1 (ash 1 8))))
(define (bits32->bits8 x) (logand x (sub1 (ash 1 8))))
(define (bits64->bits8 x) (logand x (sub1 (ash 1 8))))
(define (bits32->bits16 x) (logand x (sub1 (ash 1 16))))
(define (bits64->bits16 x) (logand x (sub1 (ash 1 16))))
(define (bits64->bits32 x) (logand x (sub1 (ash 1 32))))

(define (blodwen-bits-shl-signed x y bits) (blodwen-toSignedInt (ash x y) bits))

(define (blodwen-bits-shl x y bits) (logand (ash x y) (sub1 (ash 1 bits))))

(define blodwen-shl (lambda (x y) (ash x y)))
(define blodwen-shr (lambda (x y) (ash x (- y))))
(define blodwen-and (lambda (x y) (logand x y)))
(define blodwen-or (lambda (x y) (logor x y)))
(define blodwen-xor (lambda (x y) (logxor x y)))

(define cast-num
  (lambda (x)
    (if (number? x) x 0)))
(define destroy-prefix
  (lambda (x)
    (cond
      ((equal? x "") "")
      ((equal? (string-ref x 0) #\#) "")
      (else x))))

(define exact-floor
  (lambda (x)
    (inexact->exact (floor x))))

(define exact-truncate
  (lambda (x)
    (inexact->exact (truncate x))))

(define exact-truncate-boundedInt
  (lambda (x y)
    (blodwen-toSignedInt (exact-truncate x) y)))

(define exact-truncate-boundedUInt
  (lambda (x y)
    (blodwen-toUnsignedInt (exact-truncate x) y)))

(define cast-char-boundedInt
  (lambda (x y)
    (blodwen-toSignedInt (char->integer x) y)))

(define cast-char-boundedUInt
  (lambda (x y)
    (blodwen-toUnsignedInt (char->integer x) y)))

(define cast-string-int
  (lambda (x)
    (exact-truncate (cast-num (string->number (destroy-prefix x))))))

(define cast-string-boundedInt
  (lambda (x y)
    (blodwen-toSignedInt (cast-string-int x) y)))

(define cast-string-boundedUInt
  (lambda (x y)
    (blodwen-toUnsignedInt (cast-string-int x) y)))

(define cast-int-char
  (lambda (x)
    (if (or
          (and (>= x 0) (<= x #xd7ff))
          (and (>= x #xe000) (<= x #x10ffff)))
        (integer->char x)
        (integer->char 0))))

(define cast-string-double
  (lambda (x)
    (exact->inexact (cast-num (string->number (destroy-prefix x))))))


(define (string-concat xs) (apply string-append xs))
(define (string-unpack s) (string->list s))
(define (string-pack xs) (list->string xs))

(define string-cons (lambda (x y) (string-append (string x) y)))
(define string-reverse (lambda (x)
  (list->string (reverse (string->list x)))))
(define (string-substr off len s)
    (let* ((l (string-length s))
          (b (max 0 off))
          (x (max 0 len))
          (end (min l (+ b x))))
          (if (> b l)
              ""
              (substring s b end))))

(define (blodwen-string-iterator-new s)
  0)

(define (blodwen-string-iterator-to-string _ s ofs f)
  (f (substring s ofs (string-length s))))

(define (blodwen-string-iterator-next s ofs)
  (if (>= ofs (string-length s))
      '() ; EOF
      (cons (string-ref s ofs) (+ ofs 1))))

(define either-left
  (lambda (x)
    (vector 0 x)))

(define either-right
  (lambda (x)
    (vector 1 x)))

(define blodwen-error-quit
  (lambda (msg)
    (display msg)
    (newline)
    (exit 1)))

(define (blodwen-get-line p)
    (if (port? p)
        (let ((str (get-line p)))
            (if (eof-object? str)
                ""
                str))
        void))

(define (blodwen-get-char p)
    (if (port? p)
        (let ((chr (get-char p)))
            (if (eof-object? chr)
                #\nul
                chr))
        void))

;; Buffers

(define (blodwen-new-buffer size)
  (make-bytevector size 0))

(define (blodwen-buffer-size buf)
  (bytevector-length buf))

(define (blodwen-buffer-setbyte buf loc val)
  (bytevector-u8-set! buf loc val))

(define (blodwen-buffer-getbyte buf loc)
  (bytevector-u8-ref buf loc))

(define (blodwen-buffer-setbits16 buf loc val)
  (bytevector-u16-set! buf loc val (native-endianness)))

(define (blodwen-buffer-getbits16 buf loc)
  (bytevector-u16-ref buf loc (native-endianness)))

(define (blodwen-buffer-setbits32 buf loc val)
  (bytevector-u32-set! buf loc val (native-endianness)))

(define (blodwen-buffer-getbits32 buf loc)
  (bytevector-u32-ref buf loc (native-endianness)))

(define (blodwen-buffer-setbits64 buf loc val)
  (bytevector-u64-set! buf loc val (native-endianness)))

(define (blodwen-buffer-getbits64 buf loc)
  (bytevector-u64-ref buf loc (native-endianness)))

(define (blodwen-buffer-setint32 buf loc val)
  (bytevector-s32-set! buf loc val (native-endianness)))

(define (blodwen-buffer-getint32 buf loc)
  (bytevector-s32-ref buf loc (native-endianness)))

(define (blodwen-buffer-setint buf loc val)
  (bytevector-s64-set! buf loc val (native-endianness)))

(define (blodwen-buffer-getint buf loc)
  (bytevector-s64-ref buf loc (native-endianness)))

(define (blodwen-buffer-setdouble buf loc val)
  (bytevector-ieee-double-set! buf loc val (native-endianness)))

(define (blodwen-buffer-getdouble buf loc)
  (bytevector-ieee-double-ref buf loc (native-endianness)))

(define (blodwen-stringbytelen str)
  (bytevector-length (string->utf8 str)))

(define (blodwen-buffer-setstring buf loc val)
  (let* [(strvec (string->utf8 val))
         (len (bytevector-length strvec))]
    (bytevector-copy! strvec 0 buf loc len)))

(define (blodwen-buffer-getstring buf loc len)
  (let [(newvec (make-bytevector len))]
    (bytevector-copy! buf loc newvec 0 len)
    (utf8->string newvec)))

(define (blodwen-buffer-copydata buf start len dest loc)
  (bytevector-copy! buf start dest loc len))

;; Threads

(define-record thread-handle (semaphore))

(define (blodwen-thread proc)
  (let [(sema (blodwen-make-semaphore 0))]
    (fork-thread (lambda () (proc (vector 0)) (blodwen-semaphore-post sema)))
    (make-thread-handle sema)
    ))

(define (blodwen-thread-wait handle)
  (blodwen-semaphore-wait (thread-handle-semaphore handle)))

;; Thread mailboxes

(define blodwen-thread-data
  (make-thread-parameter #f))

(define (blodwen-get-thread-data ty)
  (blodwen-thread-data))

(define (blodwen-set-thread-data ty a)
  (blodwen-thread-data a))

;; Semaphore

(define-record semaphore (box mutex condition))

(define (blodwen-make-semaphore init)
  (make-semaphore (box init) (make-mutex) (make-condition)))

(define (blodwen-semaphore-post sema)
  (with-mutex (semaphore-mutex sema)
    (let [(sema-box (semaphore-box sema))]
      (set-box! sema-box (+ (unbox sema-box) 1))
      (condition-signal (semaphore-condition sema))
    )))

(define (blodwen-semaphore-wait sema)
  (with-mutex (semaphore-mutex sema)
    (let [(sema-box (semaphore-box sema))]
      (when (= (unbox sema-box) 0)
        (condition-wait (semaphore-condition sema) (semaphore-mutex sema)))
      (set-box! sema-box (- (unbox sema-box) 1))
      )))

;; Barrier

(define-record barrier (count-box num-threads mutex cond))

(define (blodwen-make-barrier num-threads)
  (make-barrier (box 0) num-threads (make-mutex) (make-condition)))

(define (blodwen-barrier-wait barrier)
  (let [(count-box (barrier-count-box barrier))
        (num-threads (barrier-num-threads barrier))
        (mutex (barrier-mutex barrier))
        (condition (barrier-cond barrier))]
    (with-mutex mutex
    (let* [(count-old (unbox count-box))
           (count-new (+ count-old 1))]
      (set-box! count-box count-new)
      (if (= count-new num-threads)
          (condition-broadcast condition)
          (condition-wait condition mutex))
      ))))

;; Channel
; With thanks to Alain Zscheile (@zseri) for help with understanding condition
; variables, and figuring out where the problems were and how to solve them.

(define-record channel (read-mut read-cv read-box val-cv val-box))

(define (blodwen-make-channel ty)
  (make-channel
    (make-mutex)
    (make-condition)
    (box #t)
    (make-condition)
    (box '())
    ))

; block on the read status using read-cv until the value has been read
(define (channel-put-while-helper chan)
  (let ([read-mut (channel-read-mut chan)]
        [read-box (channel-read-box chan)]
        [read-cv  (channel-read-cv  chan)]
        )
    (if (unbox read-box)
      (void)    ; val has been read, so everything is fine
      (begin    ; otherwise, block/spin with cv
        (condition-wait read-cv read-mut)
        (channel-put-while-helper chan)
        )
      )))

(define (blodwen-channel-put ty chan val)
  (with-mutex (channel-read-mut chan)
    (channel-put-while-helper chan)
    (let ([read-box (channel-read-box chan)]
          [val-box  (channel-val-box  chan)]
          )
      (set-box! val-box val)
      (set-box! read-box #f)
      ))
  (condition-signal (channel-val-cv chan))
  )

; block on the value until it has been set
(define (channel-get-while-helper chan)
  (let ([read-mut (channel-read-mut chan)]
        [read-box (channel-read-box chan)]
        [val-cv   (channel-val-cv   chan)]
        )
    (if (unbox read-box)
      (begin
        (condition-wait val-cv read-mut)
        (channel-get-while-helper chan)
        )
      (void)
      )))

(define (blodwen-channel-get ty chan)
  (mutex-acquire (channel-read-mut chan))
  (channel-get-while-helper chan)
  (let* ([val-box  (channel-val-box  chan)]
         [read-box (channel-read-box chan)]
         [read-cv  (channel-read-cv  chan)]
         [the-val  (unbox val-box)]
         )
    (set-box! val-box '())
    (set-box! read-box #t)
    (mutex-release (channel-read-mut chan))
    (condition-signal read-cv)
    the-val))

;; Mutex

(define (blodwen-make-mutex)
  (make-mutex))
(define (blodwen-mutex-acquire mutex)
  (mutex-acquire mutex))
(define (blodwen-mutex-release mutex)
  (mutex-release mutex))

;; Condition variable

(define (blodwen-make-condition)
  (make-condition))
(define (blodwen-condition-wait condition mutex)
  (condition-wait condition mutex))
(define (blodwen-condition-wait-timeout condition mutex timeout)
  (let* [(sec (div timeout 1000000))
         (micro (mod timeout 1000000))]
    (condition-wait condition mutex (make-time 'time-duration (* 1000 micro) sec))))
(define (blodwen-condition-signal condition)
  (condition-signal condition))
(define (blodwen-condition-broadcast condition)
  (condition-broadcast condition))

;; Future

(define-record future-internal (result ready mutex signal))
(define (blodwen-make-future work)
  (let ([future (make-future-internal #f #f (make-mutex) (make-condition))])
    (fork-thread (lambda ()
      (let ([result (work)])
        (with-mutex (future-internal-mutex future)
          (set-future-internal-result! future result)
          (set-future-internal-ready! future #t)
          (condition-broadcast (future-internal-signal future))))))
    future))
(define (blodwen-await-future ty future)
  (let ([mutex (future-internal-mutex future)])
    (with-mutex mutex
      (if (not (future-internal-ready future))
          (condition-wait (future-internal-signal future) mutex))
      (future-internal-result future))))

(define (blodwen-sleep s) (sleep (make-time 'time-duration 0 s)))
(define (blodwen-usleep s)
  (let ((sec (div s 1000000))
        (micro (mod s 1000000)))
       (sleep (make-time 'time-duration (* 1000 micro) sec))))

(define (blodwen-clock-time-utc) (current-time 'time-utc))
(define (blodwen-clock-time-monotonic) (current-time 'time-monotonic))
(define (blodwen-clock-time-duration) (current-time 'time-duration))
(define (blodwen-clock-time-process) (current-time 'time-process))
(define (blodwen-clock-time-thread) (current-time 'time-thread))
(define (blodwen-clock-time-gccpu) (current-time 'time-collector-cpu))
(define (blodwen-clock-time-gcreal) (current-time 'time-collector-real))
(define (blodwen-is-time? clk) (if (time? clk) 1 0))
(define (blodwen-clock-second time) (time-second time))
(define (blodwen-clock-nanosecond time) (time-nanosecond time))


(define (blodwen-arg-count)
  (length (command-line)))

(define (blodwen-arg n)
  (if (< n (length (command-line))) (list-ref (command-line) n) ""))

(define (blodwen-hasenv var)
  (if (eq? (getenv var) #f) 0 1))

;; Randoms
(define random-seed-register 0)
(define (initialize-random-seed-once)
  (if (= (virtual-register random-seed-register) 0)
      (let ([seed (time-nanosecond (current-time))])
        (set-virtual-register! random-seed-register seed)
        (random-seed seed))))

(define (blodwen-random-seed seed)
  (set-virtual-register! random-seed-register seed)
  (random-seed seed))
(define blodwen-random
  (case-lambda
    ;; no argument, pick a real value from [0, 1.0)
    [() (begin
          (initialize-random-seed-once)
          (random 1.0))]
    ;; single argument k, pick an integral value from [0, k)
    [(k)
      (begin
        (initialize-random-seed-once)
        (if (> k 0)
              (random k)
              (assertion-violationf 'blodwen-random "invalid range argument ~a" k)))]))

;; For finalisers

(define blodwen-finaliser (make-guardian))
(define (blodwen-register-object obj proc)
  (let [(x (cons obj proc))]
       (blodwen-finaliser x)
       x))
(define blodwen-run-finalisers
  (lambda ()
    (let run ()
      (let ([x (blodwen-finaliser)])
        (when x
          (((cdr x) (car x)) 'erased)
          (run))))))

;; For creating and reading back scheme objects

; read a scheme string and evaluate it, returning 'Just result' on success
; TODO: catch exception!
(define (blodwen-eval-scheme str)
  (guard
     (x [#t '()]) ; Nothing on failure
     (box (eval (read (open-input-string str)))))
  ); box == Just

(define (blodwen-eval-okay obj)
  (if (null? obj)
      0
      1))

(define (blodwen-get-eval-result obj)
  (unbox obj))

(define (blodwen-debug-scheme obj)
  (display obj) (newline))

(define (blodwen-is-number obj)
  (if (number? obj) 1 0))

(define (blodwen-is-integer obj)
  (if (and (number? obj) (exact? obj)) 1 0))

(define (blodwen-is-float obj)
  (if (flonum? obj) 1 0))

(define (blodwen-is-char obj)
  (if (char? obj) 1 0))

(define (blodwen-is-string obj)
  (if (string? obj) 1 0))

(define (blodwen-is-procedure obj)
  (if (procedure? obj) 1 0))

(define (blodwen-is-symbol obj)
  (if (symbol? obj) 1 0))

(define (blodwen-is-vector obj)
  (if (vector? obj) 1 0))

(define (blodwen-is-nil obj)
  (if (null? obj) 1 0))

(define (blodwen-is-pair obj)
  (if (pair? obj) 1 0))

(define (blodwen-is-box obj)
  (if (box? obj) 1 0))

(define (blodwen-make-symbol str)
  (string->symbol str))

; The below rely on checking that the objects are the right type first.

(define (blodwen-vector-ref obj i)
  (vector-ref obj i))

(define (blodwen-vector-length obj)
  (vector-length obj))

(define (blodwen-vector-list obj)
  (vector->list obj))

(define (blodwen-unbox obj)
  (unbox obj))

(define (blodwen-apply obj arg)
  (obj arg))

(define (blodwen-force obj)
  (obj))

(define (blodwen-read-symbol sym)
  (symbol->string sym))

(define (blodwen-id x) x)
(define PreludeC-45Types-fastUnpack (lambda (farg-0) (string-unpack farg-0)))
(define PreludeC-45Types-fastPack (lambda (farg-0) (string-pack farg-0)))
(define PreludeC-45Types-fastConcat (lambda (farg-0) (string-concat farg-0)))
(define PreludeC-45IO-prim__putStr (lambda (farg-0 farg-1) ((foreign-procedure "idris2_putStr" (string) void) farg-0) (vector 0 )))
(define PreludeC-45IO-prim__putChar (lambda (farg-0 farg-1) ((foreign-procedure "putchar" (char) void) farg-0) (vector 0 )))
(define PreludeC-45IO-prim__getString (lambda (farg-0) ((foreign-procedure "idris2_getString" (void*) string) farg-0)))
(define PreludeC-45IO-prim__getStr (lambda (farg-0) ((foreign-procedure "idris2_getStr" () string) )))
(define PreludeC-45IO-prim__getChar (lambda (farg-0) ((foreign-procedure "getchar" () char) )))
(define PrimIO-prim__nullAnyPtr (lambda (farg-0) ((foreign-procedure "idris2_isNull" (void*) int) farg-0)))
(define SystemC-45Directory-prim__openDir (lambda (farg-0 farg-1) ((foreign-procedure "idris2_openDir" (string) void*) farg-0)))
(define SystemC-45Directory-prim__dirEntry (lambda (farg-0 farg-1) ((foreign-procedure "idris2_nextDirEntry" (void*) void*) farg-0)))
(define SystemC-45Directory-prim__currentDir (lambda (farg-0) ((foreign-procedure "idris2_currentDirectory" () void*) )))
(define SystemC-45Directory-prim__createDir (lambda (farg-0 farg-1) ((foreign-procedure "idris2_createDir" (string) int) farg-0)))
(define SystemC-45Directory-prim__closeDir (lambda (farg-0 farg-1) ((foreign-procedure "idris2_closeDir" (void*) void) farg-0) (vector 0 )))
(define SystemC-45Directory-prim__changeDir (lambda (farg-0 farg-1) ((foreign-procedure "idris2_changeDir" (string) int) farg-0)))
(define SystemC-45FFI-prim__free (lambda (farg-0 farg-1) ((foreign-procedure "idris2_free" (void*) void) farg-0) (vector 0 )))
(define SystemC-45FileC-45Virtual-prim__stdout (lambda () ((foreign-procedure "idris2_stdout" () void*) )))
(define SystemC-45FileC-45Virtual-prim__stdin (lambda () ((foreign-procedure "idris2_stdin" () void*) )))
(define SystemC-45FileC-45ReadWrite-prim__writeLine (lambda (farg-0 farg-1 farg-2) ((foreign-procedure "idris2_writeLine" (void* string) int) farg-0 farg-1)))
(define SystemC-45FileC-45ReadWrite-prim__seekLine (lambda (farg-0 farg-1) ((foreign-procedure "idris2_seekLine" (void*) int) farg-0)))
(define SystemC-45FileC-45ReadWrite-prim__removeFile (lambda (farg-0 farg-1) ((foreign-procedure "idris2_removeFile" (string) int) farg-0)))
(define SystemC-45FileC-45ReadWrite-prim__readLine (lambda (farg-0 farg-1) ((foreign-procedure "idris2_readLine" (void*) void*) farg-0)))
(define SystemC-45FileC-45ReadWrite-prim__readChar (lambda (farg-0 farg-1) ((foreign-procedure "fgetc" (void*) int) farg-0)))
(define SystemC-45FileC-45ReadWrite-prim__eof (lambda (farg-0 farg-1) ((foreign-procedure "idris2_eof" (void*) int) farg-0)))
(define SystemC-45FileC-45Error-prim__fileErrno (lambda (farg-0) ((foreign-procedure "idris2_fileErrno" () int) )))
(define SystemC-45FileC-45Error-prim__error (lambda (farg-0 farg-1) ((foreign-procedure "idris2_fileError" (void*) int) farg-0)))
(define SystemC-45Errno-prim__strerror (lambda (farg-0 farg-1) ((foreign-procedure "idris2_strerror" (int) string) farg-0)))
(define SystemC-45Errno-prim__getErrno (lambda (farg-0) ((foreign-procedure "idris2_getErrno" () int) )))
(define SystemC-45FileC-45Handle-prim__open (lambda (farg-0 farg-1 farg-2) ((foreign-procedure "idris2_openFile" (string string) void*) farg-0 farg-1)))
(define SystemC-45FileC-45Handle-prim__close (lambda (farg-0 farg-1) ((foreign-procedure "idris2_closeFile" (void*) void) farg-0) (vector 0 )))
(define SystemC-45FileC-45Process-prim__popen (lambda (farg-0 farg-1 farg-2) ((foreign-procedure "idris2_popen" (string string) void*) farg-0 farg-1)))
(define SystemC-45FileC-45Process-prim__pclose (lambda (farg-0 farg-1) ((foreign-procedure "idris2_pclose" (void*) int) farg-0)))
(define SystemC-45FileC-45Process-prim__flush (lambda (farg-0 farg-1) ((foreign-procedure "fflush" (void*) int) farg-0)))
(define SystemC-45FileC-45Permissions-prim__chmod (lambda (farg-0 farg-1 farg-2) ((foreign-procedure "idris2_chmod" (string int) int) farg-0 farg-1)))
(define SystemC-45FileC-45Meta-prim__fileSize (lambda (farg-0 farg-1) ((foreign-procedure "idris2_fileSize" (void*) int) farg-0)))
(define SystemC-45FileC-45Meta-prim__fileModifiedTime (lambda (farg-0 farg-1) ((foreign-procedure "idris2_fileModifiedTime" (void*) int) farg-0)))
(define SystemC-45FileC-45Buffer-prim__writeBufferData (lambda (farg-0 farg-1 farg-2 farg-3 farg-4) ((foreign-procedure "idris2_writeBufferData" (void* u8* int int) int) farg-0 farg-1 farg-2 farg-3)))
(define SystemC-45FileC-45Buffer-prim__readBufferData (lambda (farg-0 farg-1 farg-2 farg-3 farg-4) ((foreign-procedure "idris2_readBufferData" (void* u8* int int) int) farg-0 farg-1 farg-2 farg-3)))
(define DataC-45Buffer-stringByteLength (lambda (farg-0) (blodwen-stringbytelen farg-0)))
(define DataC-45Buffer-prim__setString (lambda (farg-0 farg-1 farg-2 farg-3) (blodwen-buffer-setstring farg-0 farg-1 farg-2)))
(define DataC-45Buffer-prim__setInt (lambda (farg-0 farg-1 farg-2 farg-3) (blodwen-buffer-setint farg-0 farg-1 farg-2)))
(define DataC-45Buffer-prim__setDouble (lambda (farg-0 farg-1 farg-2 farg-3) (blodwen-buffer-setdouble farg-0 farg-1 farg-2)))
(define DataC-45Buffer-prim__setByte (lambda (farg-0 farg-1 farg-2 farg-3) (blodwen-buffer-setbyte farg-0 farg-1 farg-2)))
(define DataC-45Buffer-prim__newBuffer (lambda (farg-0 farg-1) (blodwen-new-buffer farg-0)))
(define DataC-45Buffer-prim__getString (lambda (farg-0 farg-1 farg-2 farg-3) (blodwen-buffer-getstring farg-0 farg-1 farg-2)))
(define DataC-45Buffer-prim__getInt (lambda (farg-0 farg-1 farg-2) (blodwen-buffer-getint farg-0 farg-1)))
(define DataC-45Buffer-prim__getDouble (lambda (farg-0 farg-1 farg-2) (blodwen-buffer-getdouble farg-0 farg-1)))
(define DataC-45Buffer-prim__getByte (lambda (farg-0 farg-1 farg-2) (blodwen-buffer-getbyte farg-0 farg-1)))
(define DataC-45Buffer-prim__copyData (lambda (farg-0 farg-1 farg-2 farg-3 farg-4 farg-5) (blodwen-buffer-copydata farg-0 farg-1 farg-2 farg-3 farg-4)))
(define DataC-45Buffer-prim__bufferSize (lambda (farg-0) (blodwen-buffer-size farg-0)))
(define System-prim__system (lambda (farg-0 farg-1) ((foreign-procedure "idris2_system" (string) int) farg-0)))
(define System-prim__getEnv (lambda (farg-0 farg-1) ((foreign-procedure "getenv" (string) void*) farg-0)))
(define System-prim__getArgCount (lambda (farg-0) (blodwen-arg-count )))
(define System-prim__getArg (lambda (farg-0 farg-1) (blodwen-arg farg-0)))
(define System-prim__exit (lambda (farg-0 farg-1) ((foreign-procedure "exit" (int) void) farg-0) (vector 0 )))
(define LibrariesC-45UtilsC-45Scheme-unsafeVectorToList (lambda (farg-0) (blodwen-vector-list farg-0)))
(define LibrariesC-45UtilsC-45Scheme-unsafeVectorRef (lambda (farg-0 farg-1) (blodwen-vector-ref farg-0 farg-1)))
(define LibrariesC-45UtilsC-45Scheme-unsafeVectorLength (lambda (farg-0) (blodwen-vector-length farg-0)))
(define LibrariesC-45UtilsC-45Scheme-unsafeUnbox (lambda (farg-0) (blodwen-unbox farg-0)))
(define LibrariesC-45UtilsC-45Scheme-unsafeSnd (lambda (farg-0) (cdr farg-0)))
(define LibrariesC-45UtilsC-45Scheme-unsafeReadSymbol (lambda (farg-0) (blodwen-read-symbol farg-0)))
(define LibrariesC-45UtilsC-45Scheme-unsafeGetString (lambda (farg-0) (blodwen-id farg-0)))
(define LibrariesC-45UtilsC-45Scheme-unsafeGetInteger (lambda (farg-0) (blodwen-id farg-0)))
(define LibrariesC-45UtilsC-45Scheme-unsafeGetFloat (lambda (farg-0) (blodwen-id farg-0)))
(define LibrariesC-45UtilsC-45Scheme-unsafeGetChar (lambda (farg-0) (blodwen-id farg-0)))
(define LibrariesC-45UtilsC-45Scheme-unsafeFst (lambda (farg-0) (car farg-0)))
(define LibrariesC-45UtilsC-45Scheme-unsafeForce (lambda (farg-0) (blodwen-force farg-0)))
(define LibrariesC-45UtilsC-45Scheme-unsafeApply (lambda (farg-0 farg-1) (blodwen-apply farg-0 farg-1)))
(define LibrariesC-45UtilsC-45Scheme-prim_isVector (lambda (farg-0) (blodwen-is-vector farg-0)))
(define LibrariesC-45UtilsC-45Scheme-prim_isSymbol (lambda (farg-0) (blodwen-is-symbol farg-0)))
(define LibrariesC-45UtilsC-45Scheme-prim_isString (lambda (farg-0) (blodwen-is-string farg-0)))
(define LibrariesC-45UtilsC-45Scheme-prim_isProcedure (lambda (farg-0) (blodwen-is-procedure farg-0)))
(define LibrariesC-45UtilsC-45Scheme-prim_isPair (lambda (farg-0) (blodwen-is-pair farg-0)))
(define LibrariesC-45UtilsC-45Scheme-prim_isInteger (lambda (farg-0) (blodwen-is-integer farg-0)))
(define LibrariesC-45UtilsC-45Scheme-prim_isFloat (lambda (farg-0) (blodwen-is-float farg-0)))
(define LibrariesC-45UtilsC-45Scheme-prim_isChar (lambda (farg-0) (blodwen-is-char farg-0)))
(define LibrariesC-45UtilsC-45Scheme-prim_isBox (lambda (farg-0) (blodwen-is-box farg-0)))
(define LibrariesC-45UtilsC-45Scheme-prim__evalScheme (lambda (farg-0) (blodwen-eval-scheme farg-0)))
(define LibrariesC-45UtilsC-45Scheme-prim__evalResult (lambda (farg-0) (blodwen-get-eval-result farg-0)))
(define LibrariesC-45UtilsC-45Scheme-prim__evalOkay (lambda (farg-0) (blodwen-eval-okay farg-0)))
(define LibrariesC-45SystemC-45FileC-45Buffer-prim__writeBufferData (lambda (farg-0 farg-1 farg-2 farg-3 farg-4) ((foreign-procedure "idris2_writeBufferData" (void* u8* int int) int) farg-0 farg-1 farg-2 farg-3)))
(define LibrariesC-45SystemC-45FileC-45Buffer-prim__readBufferData (lambda (farg-0 farg-1 farg-2 farg-3 farg-4) ((foreign-procedure "idris2_readBufferData" (void* u8* int int) int) farg-0 farg-1 farg-2 farg-3)))
(define SystemC-45Clock-prim__osClockValid (lambda (farg-0 farg-1) (blodwen-is-time? farg-0)))
(define SystemC-45Clock-prim__osClockSecond (lambda (farg-0 farg-1) (blodwen-clock-second farg-0)))
(define SystemC-45Clock-prim__osClockNanosecond (lambda (farg-0 farg-1) (blodwen-clock-nanosecond farg-0)))
(define SystemC-45Clock-prim__clockTimeUtc (lambda (farg-0) (blodwen-clock-time-utc )))
(define SystemC-45Clock-prim__clockTimeThread (lambda (farg-0) (blodwen-clock-time-thread )))
(define SystemC-45Clock-prim__clockTimeProcess (lambda (farg-0) (blodwen-clock-time-process )))
(define SystemC-45Clock-prim__clockTimeMonotonic (lambda (farg-0) (blodwen-clock-time-monotonic )))
(define SystemC-45Clock-prim__clockTimeGcReal (lambda (farg-0) (blodwen-clock-time-gcreal )))
(define SystemC-45Clock-prim__clockTimeGcCpu (lambda (farg-0) (blodwen-clock-time-gccpu )))
(define LibrariesC-45DataC-45StringC-45Iterator-uncons (lambda (farg-0 farg-1) (blodwen-string-iterator-next farg-0 farg-1)))
(define LibrariesC-45DataC-45StringC-45Iterator-fromString (lambda (farg-0) (blodwen-string-iterator-new farg-0)))
(define LibrariesC-45UtilsC-45Term-prim__setupTerm (lambda (farg-0) ((foreign-procedure "idris2_setupTerm" () void) ) (vector 0 )))
(define LibrariesC-45UtilsC-45Term-prim__getTermCols (lambda (farg-0) ((foreign-procedure "idris2_getTermCols" () int) )))
(define IdrisC-45IDEModeC-45REPL-prim__idrnet_fdopen (lambda (farg-0 farg-1 farg-2) ((foreign-procedure "idrnet_fdopen" (int string) void*) farg-0 farg-1)))
(define NetworkC-45FFI-prim__idrnet_socket (lambda (farg-0 farg-1 farg-2 farg-3) ((foreign-procedure "idrnet_socket" (int int int) int) farg-0 farg-1 farg-2)))
(define NetworkC-45FFI-prim__idrnet_sockaddr_unix (lambda (farg-0 farg-1) ((foreign-procedure "idrnet_sockaddr_unix" (void*) string) farg-0)))
(define NetworkC-45FFI-prim__idrnet_sockaddr_port (lambda (farg-0 farg-1) ((foreign-procedure "idrnet_sockaddr_port" (int) int) farg-0)))
(define NetworkC-45FFI-prim__idrnet_sockaddr_ipv4 (lambda (farg-0 farg-1) ((foreign-procedure "idrnet_sockaddr_ipv4" (void*) string) farg-0)))
(define NetworkC-45FFI-prim__idrnet_sockaddr_family (lambda (farg-0 farg-1) ((foreign-procedure "idrnet_sockaddr_family" (void*) int) farg-0)))
(define NetworkC-45FFI-prim__idrnet_listen (lambda (farg-0 farg-1 farg-2) ((foreign-procedure "idrnet_listen" (int int) int) farg-0 farg-1)))
(define NetworkC-45FFI-prim__idrnet_create_sockaddr (lambda (farg-0) ((foreign-procedure "idrnet_create_sockaddr" () void*) )))
(define NetworkC-45FFI-prim__idrnet_bind (lambda (farg-0 farg-1 farg-2 farg-3 farg-4 farg-5) ((foreign-procedure "idrnet_bind" (int int int string int) int) farg-0 farg-1 farg-2 farg-3 farg-4)))
(define NetworkC-45FFI-prim__idrnet_accept (lambda (farg-0 farg-1 farg-2) ((foreign-procedure "idrnet_accept" (int void*) int) farg-0 farg-1)))
(define NetworkC-45SocketC-45Data-prim__idrnet_errno (lambda (farg-0) ((foreign-procedure "idrnet_errno" () int) )))
(define NetworkC-45SocketC-45Data-prim__idrnet_af_unspec (lambda (farg-0) ((foreign-procedure "idrnet_af_unspec" () int) )))
(define NetworkC-45SocketC-45Data-prim__idrnet_af_unix (lambda (farg-0) ((foreign-procedure "idrnet_af_unix" () int) )))
(define NetworkC-45SocketC-45Data-prim__idrnet_af_inet6 (lambda (farg-0) ((foreign-procedure "idrnet_af_inet6" () int) )))
(define NetworkC-45SocketC-45Data-prim__idrnet_af_inet (lambda (farg-0) ((foreign-procedure "idrnet_af_inet" () int) )))
(define csegen-0(blodwen-lazy (lambda () (let ((eff-0 (lambda (eta-0) eta-0))) (lambda (arg-0) (eff-0 arg-0))))))
(define csegen-1(blodwen-lazy (lambda () ((csegen-0) ""))))
(define csegen-16(blodwen-lazy (lambda () (vector (lambda (u--acc) (lambda (u--elem) (lambda (u--func) (lambda (u--init) (lambda (u--input) (PreludeC-45Types-u--foldr_Foldable_List u--func u--init u--input)))))) (lambda (u--elem) (lambda (u--acc) (lambda (u--func) (lambda (u--init) (lambda (u--input) (PreludeC-45Types-u--foldl_Foldable_List u--func u--init u--input)))))) (lambda (u--elem) (lambda (arg-10420) (PreludeC-45Types-u--null_Foldable_List arg-10420))) (lambda (u--elem) (lambda (u--acc) (lambda (u--m) (lambda (i_con-0) (lambda (u--funcM) (lambda (u--init) (lambda (u--input) (PreludeC-45Types-u--foldlM_Foldable_List i_con-0 u--funcM u--init u--input)))))))) (lambda (u--elem) (lambda (arg-10449) arg-10449)) (lambda (u--a) (lambda (u--m) (lambda (i_con-0) (lambda (u--f) (lambda (arg-10463) (PreludeC-45Types-u--foldMap_Foldable_List i_con-0 u--f arg-10463))))))))))
(define csegen-19(blodwen-lazy (lambda () (cons (lambda (arg-528) (lambda (arg-531) (PreludeC-45EqOrd-u--C-61C-61_Eq_Char arg-528 arg-531))) (lambda (arg-538) (lambda (arg-541) (PreludeC-45EqOrd-u--C-47C-61_Eq_Char arg-538 arg-541)))))))
(define csegen-24(blodwen-lazy (lambda () (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (PreludeC-45TypesC-45List-mapAppend '() eta-2 eta-3))))))))
(define csegen-25(blodwen-lazy (lambda () (let ((eff-0 (csegen-24))) (lambda (arg-0) (lambda (arg-1) ((((eff-0 'erased) 'erased) arg-0) arg-1)))))))
(define csegen-33(blodwen-lazy (lambda () (vector (lambda (u--b) (lambda (u--a) (lambda (u--func) (lambda (arg-8737) (PreludeC-45IO-u--map_Functor_IO u--func arg-8737))))) (lambda (u--a) (lambda (arg-9440) (lambda (eta-0) arg-9440))) (lambda (u--b) (lambda (u--a) (lambda (arg-9446) (lambda (arg-9453) (PrimIO-io_bind arg-9446 (lambda (u--fC-39) (PrimIO-io_bind arg-9453 (lambda (u--aC-39) (lambda (eta-0) (u--fC-39 u--aC-39))))))))))))))
(define csegen-39(blodwen-lazy (lambda () (vector (csegen-33) (lambda (u--b) (lambda (u--a) (lambda (arg-9920) (lambda (arg-9923) (PrimIO-io_bind arg-9920 arg-9923))))) (lambda (u--a) (lambda (arg-9934) (PrimIO-io_bind arg-9934 (lambda (eta-0) eta-0))))))))
(define csegen-40(blodwen-lazy (lambda () (cons (csegen-39) (lambda (u--a) (lambda (arg-12571) arg-12571))))))
(define csegen-43(blodwen-lazy (lambda () (cons (lambda (arg-528) (lambda (arg-531) (PreludeC-45EqOrd-u--C-61C-61_Eq_String arg-528 arg-531))) (lambda (arg-538) (lambda (arg-541) (PreludeC-45EqOrd-u--C-47C-61_Eq_String arg-538 arg-541)))))))
(define csegen-44(blodwen-lazy (lambda () (lambda (arg-0) (PreludeC-45EqOrd-u--C-47C-61_Eq_Char arg-0 #\:)))))
(define csegen-49(blodwen-lazy (lambda () (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (PreludeC-45IO-u--map_Functor_IO eta-2 eta-3))))))))
(define csegen-50(blodwen-lazy (lambda () (let ((eff-0 (csegen-49))) (lambda (arg-0) (lambda (arg-1) ((((eff-0 'erased) 'erased) arg-0) arg-1)))))))
(define csegen-53(blodwen-lazy (lambda () (vector (lambda (arg-823) (lambda (arg-826) (AlgebraC-45ZeroOneOmega-rigPlus arg-823 arg-826))) 0 (lambda (arg-835) (lambda (arg-838) (AlgebraC-45ZeroOneOmega-rigMult arg-835 arg-838))) 1))))
(define csegen-54(blodwen-lazy (lambda () (AlgebraC-45Semiring-erased (csegen-53)))))
(define csegen-56(blodwen-lazy (lambda () (vector 0 (CoreC-45NameC-45Namespace-typesNS) (vector 1 (vector 0 "prim__integerToNat"))))))
(define csegen-62(blodwen-lazy (lambda () (cons (lambda (arg-4791) (lambda (arg-4796) (CoreC-45TTC-u--toBuf_TTC_CDef arg-4791 arg-4796))) (lambda (arg-4804) (CoreC-45TTC-u--fromBuf_TTC_CDef arg-4804))))))
(define csegen-64(blodwen-lazy (lambda () (cons (lambda (arg-4791) (lambda (arg-4796) (CoreC-45TTC-u--toBuf_TTC_Name arg-4791 arg-4796))) (lambda (arg-4804) (CoreC-45TTC-u--fromBuf_TTC_Name arg-4804))))))
(define csegen-66(blodwen-lazy (lambda () (cons (lambda (arg-4791) (lambda (arg-4796) (CoreC-45BinaryC-45Prims-u--toBuf_TTC_Bool arg-4791 arg-4796))) (lambda (arg-4804) (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_Bool arg-4804))))))
(define csegen-67(blodwen-lazy (lambda () (cons (csegen-64) (csegen-66)))))
(define csegen-70(blodwen-lazy (lambda () (cons (lambda (arg-4791) (lambda (arg-4796) (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-67) arg-4791 arg-4796))) (lambda (arg-4804) (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-67) arg-4804))))))
(define csegen-73(blodwen-lazy (lambda () (cons (lambda (arg-4791) (lambda (arg-4796) (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40ListC-32C-36aC-41 (csegen-70) arg-4791 arg-4796))) (lambda (arg-4804) (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40ListC-32C-36aC-41 (csegen-70) arg-4804))))))
(define csegen-76(blodwen-lazy (lambda () (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (PreludeC-45Types-u--map_Functor_Maybe eta-2 eta-3))))))))
(define csegen-77(blodwen-lazy (lambda () (let ((eff-0 (csegen-76))) (lambda (arg-0) (lambda (arg-1) ((((eff-0 'erased) 'erased) arg-0) arg-1)))))))
(define csegen-78(blodwen-lazy (lambda () ((csegen-77) (lambda (eta-0) (LibrariesC-45DataC-45NameMap-fromList eta-0))))))
(define csegen-81(blodwen-lazy (lambda () (cons (lambda (arg-6988) (lambda (arg-6991) (CoreC-45Context-u--full_HasNames_Name arg-6988 arg-6991))) (lambda (arg-6998) (lambda (arg-7001) (CoreC-45Context-u--resolved_HasNames_Name arg-6998 arg-7001)))))))
(define csegen-83(blodwen-lazy (lambda () (cons (lambda (arg-8326) (lambda (arg-8329) (PreludeC-45TypesC-45List-tailRecAppend arg-8326 arg-8329))) '()))))
(define csegen-85(blodwen-lazy (lambda () (cons (lambda (arg-8326) (lambda (arg-8329) (string-append arg-8326 arg-8329))) ""))))
(define csegen-94(blodwen-lazy (lambda () (lambda (eta-0) (lambda (eta-1) (CoreC-45Core-traverse_ eta-0 eta-1))))))
(define csegen-95(blodwen-lazy (lambda () ((csegen-0) "compile.execute"))))
(define csegen-100(blodwen-lazy (lambda () (cons (lambda (u--x) (CoreC-45Name-u--show_Show_Name u--x)) (lambda (u--d) (lambda (u--x) (CoreC-45Name-u--showPrec_Show_Name u--d u--x)))))))
(define csegen-101(blodwen-lazy (lambda () ((csegen-25) (lambda (eta-0) (Builtin-fst eta-0))))))
(define csegen-102(blodwen-lazy (lambda () ((csegen-25) (lambda (eta-0) (CoreC-45Name-u--show_Show_Name eta-0))))))
(define csegen-105(blodwen-lazy (lambda () (cons (lambda (arg-6988) (lambda (arg-6991) (CoreC-45Context-u--full_HasNames_C-40TermC-32C-36varsC-41 arg-6988 arg-6991))) (lambda (arg-6998) (lambda (arg-7001) (CoreC-45Context-u--resolved_HasNames_C-40TermC-32C-36varsC-41 arg-6998 arg-7001)))))))
(define csegen-108(blodwen-lazy (lambda () (cons (csegen-100) (csegen-100)))))
(define csegen-126(blodwen-lazy (lambda () ((csegen-0) "Couldn't find "))))
(define csegen-130(blodwen-lazy (lambda () (PreludeC-45Types-elem (csegen-16) (csegen-43) (SystemC-45Info-os) (cons "windows" (cons "mingw32" (cons "cygwin32" '())))))))
(define csegen-152(blodwen-lazy (lambda () (lambda (eta-0) (lambda (eta-1) (cons eta-0 eta-1))))))
(define csegen-154(blodwen-lazy (lambda () (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (eta-0 (eta-1 eta-2))))))))
(define csegen-155(blodwen-lazy (lambda () (lambda (arg-5756) (lambda (arg-5759) (+ arg-5756 arg-5759))))))
(define csegen-156(blodwen-lazy (lambda () (lambda (arg-5766) (lambda (arg-5769) (* arg-5766 arg-5769))))))
(define csegen-157(blodwen-lazy (lambda () (vector (csegen-155) (csegen-156) (lambda (arg-5776) (PreludeC-45Types-prim__integerToNat arg-5776))))))
(define csegen-218(blodwen-lazy (lambda () (lambda (arg-0) (PreludeC-45EqOrd-u--C-61C-61_Eq_Char arg-0 #\-)))))
(define csegen-221(blodwen-lazy (lambda () (lambda (u--b) (lambda (u--a) (lambda (arg-9920) (lambda (arg-9923) (PreludeC-45Types-u--C-62C-62C-61_Monad_C-40EitherC-32C-36eC-41 arg-9920 arg-9923))))))))
(define csegen-222(blodwen-lazy (lambda () (lambda (u--a) (lambda (arg-9934) (PreludeC-45Types-u--join_Monad_C-40EitherC-32C-36eC-41 arg-9934))))))
(define csegen-238(blodwen-lazy (lambda () (vector (lambda (u--acc) (lambda (u--elem) (lambda (u--func) (lambda (u--init) (lambda (u--input) (PreludeC-45Types-u--foldr_Foldable_C-40EitherC-32C-36eC-41 u--func u--init u--input)))))) (lambda (u--elem) (lambda (u--acc) (lambda (u--func) (lambda (u--init) (lambda (u--input) (PreludeC-45Types-u--foldl_Foldable_C-40EitherC-32C-36eC-41 u--func u--init u--input)))))) (lambda (u--elem) (lambda (arg-10420) (PreludeC-45Types-u--null_Foldable_C-40EitherC-32C-36eC-41 arg-10420))) (lambda (u--elem) (lambda (u--acc) (lambda (u--m) (lambda (i_con-0) (lambda (u--funcM) (lambda (u--init) (lambda (u--input) (PreludeC-45Types-u--foldlM_Foldable_C-40EitherC-32C-36eC-41 i_con-0 u--funcM u--init u--input)))))))) (lambda (u--elem) (lambda (arg-10449) (PreludeC-45Types-u--toList_Foldable_C-40EitherC-32C-36eC-41 arg-10449))) (lambda (u--a) (lambda (u--m) (lambda (i_con-0) (lambda (u--f) (lambda (arg-10463) (PreludeC-45Types-u--foldMap_Foldable_C-40EitherC-32C-36eC-41 i_con-0 u--f arg-10463))))))))))
(define csegen-242(blodwen-lazy (lambda () (lambda (u--b) (lambda (u--a) (lambda (u--f) (lambda (i_con-0) (lambda (arg-13238) (lambda (arg-13245) (PreludeC-45Types-u--traverse_Traversable_C-40EitherC-32C-36eC-41 i_con-0 arg-13238 arg-13245))))))))))
(define csegen-253(blodwen-lazy (lambda () (lambda (eta-0) (lambda (eta-1) (cons eta-0 eta-1))))))
(define csegen-254(blodwen-lazy (lambda () (lambda (__leftTupleSection-0) (lambda (__infixTupleSection-0) (cons __leftTupleSection-0 __infixTupleSection-0))))))
(define csegen-258(blodwen-lazy (lambda () (vector (lambda (arg-5756) (lambda (arg-5759) (bs+ arg-5756 arg-5759 63))) (lambda (arg-5766) (lambda (arg-5769) (bs* arg-5766 arg-5769 63))) (lambda (arg-5776) (blodwen-toSignedInt arg-5776 63))))))
(define csegen-279(blodwen-lazy (lambda () (lambda (u--b) (lambda (u--a) (lambda (u--func) (lambda (arg-8737) (PreludeC-45TypesC-45List-mapAppend '() u--func arg-8737))))))))
(define csegen-284(blodwen-lazy (lambda () (vector (csegen-279) (csegen-16) (lambda (u--b) (lambda (u--a) (lambda (u--f) (lambda (i_con-0) (lambda (arg-13238) (lambda (arg-13245) (PreludeC-45Types-u--traverse_Traversable_List i_con-0 arg-13238 arg-13245)))))))))))
(define csegen-290(blodwen-lazy (lambda () (cons (lambda (arg-528) (lambda (arg-531) (PreludeC-45EqOrd-u--C-61C-61_Eq_Int arg-528 arg-531))) (lambda (arg-538) (lambda (arg-541) (PreludeC-45EqOrd-u--C-47C-61_Eq_Int arg-538 arg-541)))))))
(define csegen-298(blodwen-lazy (lambda () (vector (csegen-290) (lambda (arg-1418) (lambda (arg-1421) (PreludeC-45EqOrd-u--compare_Ord_Int arg-1418 arg-1421))) (lambda (arg-1428) (lambda (arg-1431) (PreludeC-45EqOrd-u--C-60_Ord_Int arg-1428 arg-1431))) (lambda (arg-1438) (lambda (arg-1441) (PreludeC-45EqOrd-u--C-62_Ord_Int arg-1438 arg-1441))) (lambda (arg-1448) (lambda (arg-1451) (PreludeC-45EqOrd-u--C-60C-61_Ord_Int arg-1448 arg-1451))) (lambda (arg-1458) (lambda (arg-1461) (PreludeC-45EqOrd-u--C-62C-61_Ord_Int arg-1458 arg-1461))) (lambda (arg-1468) (lambda (arg-1471) (PreludeC-45EqOrd-u--max_Ord_Int arg-1468 arg-1471))) (lambda (arg-1478) (lambda (arg-1481) (PreludeC-45EqOrd-u--min_Ord_Int arg-1478 arg-1481)))))))
(define csegen-302(blodwen-lazy (lambda () (cons (vector (csegen-258) (lambda (arg-6164) (lambda (arg-6167) (PreludeC-45Num-u--div_Integral_Int arg-6164 arg-6167))) (lambda (arg-6174) (lambda (arg-6177) (PreludeC-45Num-u--mod_Integral_Int arg-6174 arg-6177)))) (cons (csegen-298) (vector (csegen-258) (lambda (arg-5875) (bs- 0 arg-5875 63)) (lambda (arg-5881) (lambda (arg-5884) (bs- arg-5881 arg-5884 63)))))))))
(define csegen-304(blodwen-lazy (lambda () ((csegen-25) (lambda (eta-0) (PreludeC-45Types-fastPack eta-0))))))
(define csegen-323(blodwen-lazy (lambda () (vector (lambda (u--b) (lambda (u--a) (lambda (u--func) (lambda (arg-8737) (PreludeC-45Types-u--map_Functor_Maybe u--func arg-8737))))) (lambda (u--a) (lambda (arg-9440) (box arg-9440))) (lambda (u--b) (lambda (u--a) (lambda (arg-9446) (lambda (arg-9453) (PreludeC-45Types-u--C-60C-42C-62_Applicative_Maybe arg-9446 arg-9453)))))))))
(define csegen-326(blodwen-lazy (lambda () (vector (csegen-323) (lambda (u--a) '()) (lambda (u--a) (lambda (arg-9822) (lambda (arg-9825) (PreludeC-45Types-u--C-60C-124C-62_Alternative_Maybe arg-9822 arg-9825))))))))
(define csegen-327(blodwen-lazy (lambda () (lambda (eta-0) (let ((e-2 (vector-ref eta-0 2))) e-2)))))
(define csegen-330(blodwen-lazy (lambda () (cons (lambda (arg-6988) (lambda (arg-6991) (lambda (eta-0) (IdrisC-45Syntax-u--full_HasNames_IFaceInfo arg-6988 arg-6991 eta-0)))) (lambda (arg-6998) (lambda (arg-7001) (lambda (eta-0) (IdrisC-45Syntax-u--resolved_HasNames_IFaceInfo arg-6998 arg-7001 eta-0))))))))
(define csegen-331(blodwen-lazy (lambda () (let ((eff-0 (lambda (eta-0) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 eta-0)))) (lambda (arg-0) (eff-0 arg-0))))))
(define csegen-345(blodwen-lazy (lambda () (cons (lambda (u--x) (CoreC-45FC-u--show_Show_FC u--x)) (lambda (u--d) (lambda (u--x) (CoreC-45FC-u--showPrec_Show_FC u--d u--x)))))))
(define csegen-346(blodwen-lazy (lambda () (cons (csegen-345) (csegen-100)))))
(define csegen-347(blodwen-lazy (lambda () (lambda (u--n) (string-append "." (PreludeC-45Show-u--show_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-346) u--n))))))
(define csegen-350(blodwen-lazy (lambda () (cons (lambda (u--x) (PreludeC-45Show-u--show_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-346) u--x)) (lambda (u--d) (lambda (u--x) (PreludeC-45Show-u--showPrec_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-346) u--d u--x)))))))
(define csegen-353(blodwen-lazy (lambda () (cons (lambda (arg-528) (lambda (arg-531) (CoreC-45NameC-45Namespace-u--C-61C-61_Eq_ModuleIdent arg-528 arg-531))) (lambda (arg-538) (lambda (arg-541) (CoreC-45NameC-45Namespace-u--C-47C-61_Eq_ModuleIdent arg-538 arg-541)))))))
(define csegen-361(blodwen-lazy (lambda () (vector (csegen-353) (lambda (arg-1418) (lambda (arg-1421) (CoreC-45NameC-45Namespace-u--compare_Ord_ModuleIdent arg-1418 arg-1421))) (lambda (arg-1428) (lambda (arg-1431) (CoreC-45NameC-45Namespace-u--C-60_Ord_ModuleIdent arg-1428 arg-1431))) (lambda (arg-1438) (lambda (arg-1441) (CoreC-45NameC-45Namespace-u--C-62_Ord_ModuleIdent arg-1438 arg-1441))) (lambda (arg-1448) (lambda (arg-1451) (CoreC-45NameC-45Namespace-u--C-60C-61_Ord_ModuleIdent arg-1448 arg-1451))) (lambda (arg-1458) (lambda (arg-1461) (CoreC-45NameC-45Namespace-u--C-62C-61_Ord_ModuleIdent arg-1458 arg-1461))) (lambda (arg-1468) (lambda (arg-1471) (CoreC-45NameC-45Namespace-u--max_Ord_ModuleIdent arg-1468 arg-1471))) (lambda (arg-1478) (lambda (arg-1481) (CoreC-45NameC-45Namespace-u--min_Ord_ModuleIdent arg-1478 arg-1481)))))))
(define csegen-362(blodwen-lazy (lambda () (LibrariesC-45DataC-45SortedMap-empty (csegen-361)))))
(define csegen-367(blodwen-lazy (lambda () (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (LibrariesC-45TextC-45Bounded-u--map_Functor_WithBounds eta-2 eta-3))))))))
(define csegen-379(blodwen-lazy (lambda () (lambda (eta-0) (lambda (eta-1) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 eta-0 eta-1))))))
(define csegen-380(blodwen-lazy (lambda () (let ((eff-0 (csegen-379))) (lambda (arg-0) (lambda (arg-1) ((eff-0 arg-0) arg-1)))))))
(define csegen-403(blodwen-lazy (lambda () (LibrariesC-45TextC-45Lexer-many (LibrariesC-45TextC-45Lexer-is #\#)))))
(define csegen-405(blodwen-lazy (lambda () (LibrariesC-45TextC-45Lexer-many (LibrariesC-45TextC-45Lexer-is #\-)))))
(define csegen-530(blodwen-lazy (lambda () (vector 5 (LibrariesC-45TextC-45Lexer-is #\?) (lambda () (ParserC-45LexerC-45Common-identNormal))))))
(define csegen-550(blodwen-lazy (lambda () (LibrariesC-45TextC-45Lexer-many (LibrariesC-45TextC-45Lexer-isNot (integer->char 10))))))
(define csegen-551(blodwen-lazy (lambda () (vector 5 (LibrariesC-45TextC-45Lexer-is #\.) (lambda () (ParserC-45LexerC-45Common-identNormal))))))
(define csegen-555(blodwen-lazy (lambda () (LibrariesC-45TextC-45LexerC-45Core-pred (lambda (eta-0) (PreludeC-45Types-isAlphaNum eta-0))))))
(define csegen-569(blodwen-lazy (lambda () (lambda (eta-0) (lambda (eta-1) (((DecidableC-45Equality-u--decEq_DecEq_Int) eta-0) eta-1))))))
(define csegen-570(blodwen-lazy (lambda () (let ((eff-0 (csegen-569))) (lambda (arg-0) (lambda (arg-1) ((eff-0 arg-0) arg-1)))))))
(define csegen-575(blodwen-lazy (lambda () (cons (lambda (u--x) (CoreC-45NameC-45Namespace-u--show_Show_Namespace u--x)) (lambda (u--d) (lambda (u--x) (CoreC-45NameC-45Namespace-u--showPrec_Show_Namespace u--d u--x)))))))
(define csegen-577(blodwen-lazy (lambda () (cons (lambda (u--x) (CoreC-45Name-u--show_Show_RawName u--x)) (lambda (u--d) (lambda (u--x) (CoreC-45Name-u--showPrec_Show_RawName u--d u--x)))))))
(define csegen-581(blodwen-lazy (lambda () (cons (lambda (u--x) (PreludeC-45Show-u--show_Show_String u--x)) (lambda (u--d) (lambda (u--x) (PreludeC-45Show-u--showPrec_Show_String u--d u--x)))))))
(define csegen-583(blodwen-lazy (lambda () (cons (lambda (u--x) (PreludeC-45Show-u--show_Show_Int u--x)) (lambda (u--d) (lambda (u--x) (PreludeC-45Show-u--showPrec_Show_Int u--d u--x)))))))
(define csegen-584(blodwen-lazy (lambda () (cons (csegen-583) (csegen-583)))))
(define csegen-587(blodwen-lazy (lambda () (cons (lambda (u--x) (PreludeC-45Show-u--show_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-584) u--x)) (lambda (u--d) (lambda (u--x) (PreludeC-45Show-u--showPrec_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-584) u--d u--x)))))))
(define csegen-590(blodwen-lazy (lambda () (lambda (arg-0) (lambda (arg-1) (let ((sc0 (or (and (char=? arg-0 arg-1) 1) 0))) (cond ((equal? sc0 0) 0)(else 1))))))))
(define csegen-594(blodwen-lazy (lambda () (cons (lambda (arg-8762) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vsep (PreludeC-45TypesC-45List-mapAppend '() (lambda (eta-0) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-unsafeTextWithoutNewLines eta-0)) (PreludeC-45TypesC-45List-mapAppend '() (lambda (eta-0) (PreludeC-45Types-fastPack eta-0)) (DataC-45String-n--3870-7104-u--linesHelp (let ((sc0 (let ((sc1 (or (and (< (bs- (blodwen-toSignedInt (PreludeC-45Types-prim__integerToNat (string-length (let ((sc2 (DataC-45List-isPrefixOfBy (csegen-590) (cons (integer->char 10) '()) (PreludeC-45TypesC-45List-reverseOnto '() (let ((sc3 (let ((sc4 (or (and (< (bs- (blodwen-toSignedInt (PreludeC-45Types-prim__integerToNat (string-length arg-8762)) 63) 1 63) 0) 1) 0))) (cond ((equal? sc4 0) 0)(else 1))))) (cond ((equal? sc3 1) '()) (else (PreludeC-45Types-n--9649-8846-u--unpackC-39 arg-8762 (bs- (bs- (blodwen-toSignedInt (PreludeC-45Types-prim__integerToNat (string-length arg-8762)) 63) 1 63) 1 63) arg-8762 (cons (string-ref arg-8762 (bs- (blodwen-toSignedInt (PreludeC-45Types-prim__integerToNat (string-length arg-8762)) 63) 1 63)) '()))))))))) (cond ((equal? sc2 1) (LibrariesC-45DataC-45StringC-45Extra-dropLast 1 arg-8762)) (else arg-8762))))) 63) 1 63) 0) 1) 0))) (cond ((equal? sc1 0) 0)(else 1))))) (cond ((equal? sc0 1) '()) (else (PreludeC-45Types-n--9649-8846-u--unpackC-39 (let ((sc1 (DataC-45List-isPrefixOfBy (csegen-590) (cons (integer->char 10) '()) (PreludeC-45TypesC-45List-reverseOnto '() (let ((sc2 (let ((sc3 (or (and (< (bs- (blodwen-toSignedInt (PreludeC-45Types-prim__integerToNat (string-length arg-8762)) 63) 1 63) 0) 1) 0))) (cond ((equal? sc3 0) 0)(else 1))))) (cond ((equal? sc2 1) '()) (else (PreludeC-45Types-n--9649-8846-u--unpackC-39 arg-8762 (bs- (bs- (blodwen-toSignedInt (PreludeC-45Types-prim__integerToNat (string-length arg-8762)) 63) 1 63) 1 63) arg-8762 (cons (string-ref arg-8762 (bs- (blodwen-toSignedInt (PreludeC-45Types-prim__integerToNat (string-length arg-8762)) 63) 1 63)) '()))))))))) (cond ((equal? sc1 1) (LibrariesC-45DataC-45StringC-45Extra-dropLast 1 arg-8762)) (else arg-8762))) (bs- (bs- (blodwen-toSignedInt (PreludeC-45Types-prim__integerToNat (string-length (let ((sc1 (DataC-45List-isPrefixOfBy (csegen-590) (cons (integer->char 10) '()) (PreludeC-45TypesC-45List-reverseOnto '() (let ((sc2 (let ((sc3 (or (and (< (bs- (blodwen-toSignedInt (PreludeC-45Types-prim__integerToNat (string-length arg-8762)) 63) 1 63) 0) 1) 0))) (cond ((equal? sc3 0) 0)(else 1))))) (cond ((equal? sc2 1) '()) (else (PreludeC-45Types-n--9649-8846-u--unpackC-39 arg-8762 (bs- (bs- (blodwen-toSignedInt (PreludeC-45Types-prim__integerToNat (string-length arg-8762)) 63) 1 63) 1 63) arg-8762 (cons (string-ref arg-8762 (bs- (blodwen-toSignedInt (PreludeC-45Types-prim__integerToNat (string-length arg-8762)) 63) 1 63)) '()))))))))) (cond ((equal? sc1 1) (LibrariesC-45DataC-45StringC-45Extra-dropLast 1 arg-8762)) (else arg-8762))))) 63) 1 63) 1 63) (let ((sc1 (DataC-45List-isPrefixOfBy (csegen-590) (cons (integer->char 10) '()) (PreludeC-45TypesC-45List-reverseOnto '() (let ((sc2 (let ((sc3 (or (and (< (bs- (blodwen-toSignedInt (PreludeC-45Types-prim__integerToNat (string-length arg-8762)) 63) 1 63) 0) 1) 0))) (cond ((equal? sc3 0) 0)(else 1))))) (cond ((equal? sc2 1) '()) (else (PreludeC-45Types-n--9649-8846-u--unpackC-39 arg-8762 (bs- (bs- (blodwen-toSignedInt (PreludeC-45Types-prim__integerToNat (string-length arg-8762)) 63) 1 63) 1 63) arg-8762 (cons (string-ref arg-8762 (bs- (blodwen-toSignedInt (PreludeC-45Types-prim__integerToNat (string-length arg-8762)) 63) 1 63)) '()))))))))) (cond ((equal? sc1 1) (LibrariesC-45DataC-45StringC-45Extra-dropLast 1 arg-8762)) (else arg-8762))) (cons (string-ref (let ((sc1 (DataC-45List-isPrefixOfBy (csegen-590) (cons (integer->char 10) '()) (PreludeC-45TypesC-45List-reverseOnto '() (let ((sc2 (let ((sc3 (or (and (< (bs- (blodwen-toSignedInt (PreludeC-45Types-prim__integerToNat (string-length arg-8762)) 63) 1 63) 0) 1) 0))) (cond ((equal? sc3 0) 0)(else 1))))) (cond ((equal? sc2 1) '()) (else (PreludeC-45Types-n--9649-8846-u--unpackC-39 arg-8762 (bs- (bs- (blodwen-toSignedInt (PreludeC-45Types-prim__integerToNat (string-length arg-8762)) 63) 1 63) 1 63) arg-8762 (cons (string-ref arg-8762 (bs- (blodwen-toSignedInt (PreludeC-45Types-prim__integerToNat (string-length arg-8762)) 63) 1 63)) '()))))))))) (cond ((equal? sc1 1) (LibrariesC-45DataC-45StringC-45Extra-dropLast 1 arg-8762)) (else arg-8762))) (bs- (blodwen-toSignedInt (PreludeC-45Types-prim__integerToNat (string-length (let ((sc1 (DataC-45List-isPrefixOfBy (csegen-590) (cons (integer->char 10) '()) (PreludeC-45TypesC-45List-reverseOnto '() (let ((sc2 (let ((sc3 (or (and (< (bs- (blodwen-toSignedInt (PreludeC-45Types-prim__integerToNat (string-length arg-8762)) 63) 1 63) 0) 1) 0))) (cond ((equal? sc3 0) 0)(else 1))))) (cond ((equal? sc2 1) '()) (else (PreludeC-45Types-n--9649-8846-u--unpackC-39 arg-8762 (bs- (bs- (blodwen-toSignedInt (PreludeC-45Types-prim__integerToNat (string-length arg-8762)) 63) 1 63) 1 63) arg-8762 (cons (string-ref arg-8762 (bs- (blodwen-toSignedInt (PreludeC-45Types-prim__integerToNat (string-length arg-8762)) 63) 1 63)) '()))))))))) (cond ((equal? sc1 1) (LibrariesC-45DataC-45StringC-45Extra-dropLast 1 arg-8762)) (else arg-8762))))) 63) 1 63)) '()))))) '() (let ((sc0 (let ((sc1 (or (and (< (bs- (blodwen-toSignedInt (PreludeC-45Types-prim__integerToNat (string-length (let ((sc2 (DataC-45List-isPrefixOfBy (csegen-590) (cons (integer->char 10) '()) (PreludeC-45TypesC-45List-reverseOnto '() (let ((sc3 (let ((sc4 (or (and (< (bs- (blodwen-toSignedInt (PreludeC-45Types-prim__integerToNat (string-length arg-8762)) 63) 1 63) 0) 1) 0))) (cond ((equal? sc4 0) 0)(else 1))))) (cond ((equal? sc3 1) '()) (else (PreludeC-45Types-n--9649-8846-u--unpackC-39 arg-8762 (bs- (bs- (blodwen-toSignedInt (PreludeC-45Types-prim__integerToNat (string-length arg-8762)) 63) 1 63) 1 63) arg-8762 (cons (string-ref arg-8762 (bs- (blodwen-toSignedInt (PreludeC-45Types-prim__integerToNat (string-length arg-8762)) 63) 1 63)) '()))))))))) (cond ((equal? sc2 1) (LibrariesC-45DataC-45StringC-45Extra-dropLast 1 arg-8762)) (else arg-8762))))) 63) 1 63) 0) 1) 0))) (cond ((equal? sc1 0) 0)(else 1))))) (cond ((equal? sc0 1) '()) (else (PreludeC-45Types-n--9649-8846-u--unpackC-39 (let ((sc1 (DataC-45List-isPrefixOfBy (csegen-590) (cons (integer->char 10) '()) (PreludeC-45TypesC-45List-reverseOnto '() (let ((sc2 (let ((sc3 (or (and (< (bs- (blodwen-toSignedInt (PreludeC-45Types-prim__integerToNat (string-length arg-8762)) 63) 1 63) 0) 1) 0))) (cond ((equal? sc3 0) 0)(else 1))))) (cond ((equal? sc2 1) '()) (else (PreludeC-45Types-n--9649-8846-u--unpackC-39 arg-8762 (bs- (bs- (blodwen-toSignedInt (PreludeC-45Types-prim__integerToNat (string-length arg-8762)) 63) 1 63) 1 63) arg-8762 (cons (string-ref arg-8762 (bs- (blodwen-toSignedInt (PreludeC-45Types-prim__integerToNat (string-length arg-8762)) 63) 1 63)) '()))))))))) (cond ((equal? sc1 1) (LibrariesC-45DataC-45StringC-45Extra-dropLast 1 arg-8762)) (else arg-8762))) (bs- (bs- (blodwen-toSignedInt (PreludeC-45Types-prim__integerToNat (string-length (let ((sc1 (DataC-45List-isPrefixOfBy (csegen-590) (cons (integer->char 10) '()) (PreludeC-45TypesC-45List-reverseOnto '() (let ((sc2 (let ((sc3 (or (and (< (bs- (blodwen-toSignedInt (PreludeC-45Types-prim__integerToNat (string-length arg-8762)) 63) 1 63) 0) 1) 0))) (cond ((equal? sc3 0) 0)(else 1))))) (cond ((equal? sc2 1) '()) (else (PreludeC-45Types-n--9649-8846-u--unpackC-39 arg-8762 (bs- (bs- (blodwen-toSignedInt (PreludeC-45Types-prim__integerToNat (string-length arg-8762)) 63) 1 63) 1 63) arg-8762 (cons (string-ref arg-8762 (bs- (blodwen-toSignedInt (PreludeC-45Types-prim__integerToNat (string-length arg-8762)) 63) 1 63)) '()))))))))) (cond ((equal? sc1 1) (LibrariesC-45DataC-45StringC-45Extra-dropLast 1 arg-8762)) (else arg-8762))))) 63) 1 63) 1 63) (let ((sc1 (DataC-45List-isPrefixOfBy (csegen-590) (cons (integer->char 10) '()) (PreludeC-45TypesC-45List-reverseOnto '() (let ((sc2 (let ((sc3 (or (and (< (bs- (blodwen-toSignedInt (PreludeC-45Types-prim__integerToNat (string-length arg-8762)) 63) 1 63) 0) 1) 0))) (cond ((equal? sc3 0) 0)(else 1))))) (cond ((equal? sc2 1) '()) (else (PreludeC-45Types-n--9649-8846-u--unpackC-39 arg-8762 (bs- (bs- (blodwen-toSignedInt (PreludeC-45Types-prim__integerToNat (string-length arg-8762)) 63) 1 63) 1 63) arg-8762 (cons (string-ref arg-8762 (bs- (blodwen-toSignedInt (PreludeC-45Types-prim__integerToNat (string-length arg-8762)) 63) 1 63)) '()))))))))) (cond ((equal? sc1 1) (LibrariesC-45DataC-45StringC-45Extra-dropLast 1 arg-8762)) (else arg-8762))) (cons (string-ref (let ((sc1 (DataC-45List-isPrefixOfBy (csegen-590) (cons (integer->char 10) '()) (PreludeC-45TypesC-45List-reverseOnto '() (let ((sc2 (let ((sc3 (or (and (< (bs- (blodwen-toSignedInt (PreludeC-45Types-prim__integerToNat (string-length arg-8762)) 63) 1 63) 0) 1) 0))) (cond ((equal? sc3 0) 0)(else 1))))) (cond ((equal? sc2 1) '()) (else (PreludeC-45Types-n--9649-8846-u--unpackC-39 arg-8762 (bs- (bs- (blodwen-toSignedInt (PreludeC-45Types-prim__integerToNat (string-length arg-8762)) 63) 1 63) 1 63) arg-8762 (cons (string-ref arg-8762 (bs- (blodwen-toSignedInt (PreludeC-45Types-prim__integerToNat (string-length arg-8762)) 63) 1 63)) '()))))))))) (cond ((equal? sc1 1) (LibrariesC-45DataC-45StringC-45Extra-dropLast 1 arg-8762)) (else arg-8762))) (bs- (blodwen-toSignedInt (PreludeC-45Types-prim__integerToNat (string-length (let ((sc1 (DataC-45List-isPrefixOfBy (csegen-590) (cons (integer->char 10) '()) (PreludeC-45TypesC-45List-reverseOnto '() (let ((sc2 (let ((sc3 (or (and (< (bs- (blodwen-toSignedInt (PreludeC-45Types-prim__integerToNat (string-length arg-8762)) 63) 1 63) 0) 1) 0))) (cond ((equal? sc3 0) 0)(else 1))))) (cond ((equal? sc2 1) '()) (else (PreludeC-45Types-n--9649-8846-u--unpackC-39 arg-8762 (bs- (bs- (blodwen-toSignedInt (PreludeC-45Types-prim__integerToNat (string-length arg-8762)) 63) 1 63) 1 63) arg-8762 (cons (string-ref arg-8762 (bs- (blodwen-toSignedInt (PreludeC-45Types-prim__integerToNat (string-length arg-8762)) 63) 1 63)) '()))))))))) (cond ((equal? sc1 1) (LibrariesC-45DataC-45StringC-45Extra-dropLast 1 arg-8762)) (else arg-8762))))) 63) 1 63)) '())))))))))) (lambda (arg-8768) (lambda (arg-8771) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vsep (PreludeC-45TypesC-45List-mapAppend '() (lambda (eta-0) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-unsafeTextWithoutNewLines eta-0)) (PreludeC-45TypesC-45List-mapAppend '() (lambda (eta-0) (PreludeC-45Types-fastPack eta-0)) (DataC-45String-n--3870-7104-u--linesHelp (let ((sc0 (let ((sc1 (or (and (< (bs- (blodwen-toSignedInt (PreludeC-45Types-prim__integerToNat (string-length (let ((sc2 (DataC-45List-isPrefixOfBy (csegen-590) (cons (integer->char 10) '()) (PreludeC-45TypesC-45List-reverseOnto '() (let ((sc3 (let ((sc4 (or (and (< (bs- (blodwen-toSignedInt (PreludeC-45Types-prim__integerToNat (string-length arg-8771)) 63) 1 63) 0) 1) 0))) (cond ((equal? sc4 0) 0)(else 1))))) (cond ((equal? sc3 1) '()) (else (PreludeC-45Types-n--9649-8846-u--unpackC-39 arg-8771 (bs- (bs- (blodwen-toSignedInt (PreludeC-45Types-prim__integerToNat (string-length arg-8771)) 63) 1 63) 1 63) arg-8771 (cons (string-ref arg-8771 (bs- (blodwen-toSignedInt (PreludeC-45Types-prim__integerToNat (string-length arg-8771)) 63) 1 63)) '()))))))))) (cond ((equal? sc2 1) (LibrariesC-45DataC-45StringC-45Extra-dropLast 1 arg-8771)) (else arg-8771))))) 63) 1 63) 0) 1) 0))) (cond ((equal? sc1 0) 0)(else 1))))) (cond ((equal? sc0 1) '()) (else (PreludeC-45Types-n--9649-8846-u--unpackC-39 (let ((sc1 (DataC-45List-isPrefixOfBy (csegen-590) (cons (integer->char 10) '()) (PreludeC-45TypesC-45List-reverseOnto '() (let ((sc2 (let ((sc3 (or (and (< (bs- (blodwen-toSignedInt (PreludeC-45Types-prim__integerToNat (string-length arg-8771)) 63) 1 63) 0) 1) 0))) (cond ((equal? sc3 0) 0)(else 1))))) (cond ((equal? sc2 1) '()) (else (PreludeC-45Types-n--9649-8846-u--unpackC-39 arg-8771 (bs- (bs- (blodwen-toSignedInt (PreludeC-45Types-prim__integerToNat (string-length arg-8771)) 63) 1 63) 1 63) arg-8771 (cons (string-ref arg-8771 (bs- (blodwen-toSignedInt (PreludeC-45Types-prim__integerToNat (string-length arg-8771)) 63) 1 63)) '()))))))))) (cond ((equal? sc1 1) (LibrariesC-45DataC-45StringC-45Extra-dropLast 1 arg-8771)) (else arg-8771))) (bs- (bs- (blodwen-toSignedInt (PreludeC-45Types-prim__integerToNat (string-length (let ((sc1 (DataC-45List-isPrefixOfBy (csegen-590) (cons (integer->char 10) '()) (PreludeC-45TypesC-45List-reverseOnto '() (let ((sc2 (let ((sc3 (or (and (< (bs- (blodwen-toSignedInt (PreludeC-45Types-prim__integerToNat (string-length arg-8771)) 63) 1 63) 0) 1) 0))) (cond ((equal? sc3 0) 0)(else 1))))) (cond ((equal? sc2 1) '()) (else (PreludeC-45Types-n--9649-8846-u--unpackC-39 arg-8771 (bs- (bs- (blodwen-toSignedInt (PreludeC-45Types-prim__integerToNat (string-length arg-8771)) 63) 1 63) 1 63) arg-8771 (cons (string-ref arg-8771 (bs- (blodwen-toSignedInt (PreludeC-45Types-prim__integerToNat (string-length arg-8771)) 63) 1 63)) '()))))))))) (cond ((equal? sc1 1) (LibrariesC-45DataC-45StringC-45Extra-dropLast 1 arg-8771)) (else arg-8771))))) 63) 1 63) 1 63) (let ((sc1 (DataC-45List-isPrefixOfBy (csegen-590) (cons (integer->char 10) '()) (PreludeC-45TypesC-45List-reverseOnto '() (let ((sc2 (let ((sc3 (or (and (< (bs- (blodwen-toSignedInt (PreludeC-45Types-prim__integerToNat (string-length arg-8771)) 63) 1 63) 0) 1) 0))) (cond ((equal? sc3 0) 0)(else 1))))) (cond ((equal? sc2 1) '()) (else (PreludeC-45Types-n--9649-8846-u--unpackC-39 arg-8771 (bs- (bs- (blodwen-toSignedInt (PreludeC-45Types-prim__integerToNat (string-length arg-8771)) 63) 1 63) 1 63) arg-8771 (cons (string-ref arg-8771 (bs- (blodwen-toSignedInt (PreludeC-45Types-prim__integerToNat (string-length arg-8771)) 63) 1 63)) '()))))))))) (cond ((equal? sc1 1) (LibrariesC-45DataC-45StringC-45Extra-dropLast 1 arg-8771)) (else arg-8771))) (cons (string-ref (let ((sc1 (DataC-45List-isPrefixOfBy (csegen-590) (cons (integer->char 10) '()) (PreludeC-45TypesC-45List-reverseOnto '() (let ((sc2 (let ((sc3 (or (and (< (bs- (blodwen-toSignedInt (PreludeC-45Types-prim__integerToNat (string-length arg-8771)) 63) 1 63) 0) 1) 0))) (cond ((equal? sc3 0) 0)(else 1))))) (cond ((equal? sc2 1) '()) (else (PreludeC-45Types-n--9649-8846-u--unpackC-39 arg-8771 (bs- (bs- (blodwen-toSignedInt (PreludeC-45Types-prim__integerToNat (string-length arg-8771)) 63) 1 63) 1 63) arg-8771 (cons (string-ref arg-8771 (bs- (blodwen-toSignedInt (PreludeC-45Types-prim__integerToNat (string-length arg-8771)) 63) 1 63)) '()))))))))) (cond ((equal? sc1 1) (LibrariesC-45DataC-45StringC-45Extra-dropLast 1 arg-8771)) (else arg-8771))) (bs- (blodwen-toSignedInt (PreludeC-45Types-prim__integerToNat (string-length (let ((sc1 (DataC-45List-isPrefixOfBy (csegen-590) (cons (integer->char 10) '()) (PreludeC-45TypesC-45List-reverseOnto '() (let ((sc2 (let ((sc3 (or (and (< (bs- (blodwen-toSignedInt (PreludeC-45Types-prim__integerToNat (string-length arg-8771)) 63) 1 63) 0) 1) 0))) (cond ((equal? sc3 0) 0)(else 1))))) (cond ((equal? sc2 1) '()) (else (PreludeC-45Types-n--9649-8846-u--unpackC-39 arg-8771 (bs- (bs- (blodwen-toSignedInt (PreludeC-45Types-prim__integerToNat (string-length arg-8771)) 63) 1 63) 1 63) arg-8771 (cons (string-ref arg-8771 (bs- (blodwen-toSignedInt (PreludeC-45Types-prim__integerToNat (string-length arg-8771)) 63) 1 63)) '()))))))))) (cond ((equal? sc1 1) (LibrariesC-45DataC-45StringC-45Extra-dropLast 1 arg-8771)) (else arg-8771))))) 63) 1 63)) '()))))) '() (let ((sc0 (let ((sc1 (or (and (< (bs- (blodwen-toSignedInt (PreludeC-45Types-prim__integerToNat (string-length (let ((sc2 (DataC-45List-isPrefixOfBy (csegen-590) (cons (integer->char 10) '()) (PreludeC-45TypesC-45List-reverseOnto '() (let ((sc3 (let ((sc4 (or (and (< (bs- (blodwen-toSignedInt (PreludeC-45Types-prim__integerToNat (string-length arg-8771)) 63) 1 63) 0) 1) 0))) (cond ((equal? sc4 0) 0)(else 1))))) (cond ((equal? sc3 1) '()) (else (PreludeC-45Types-n--9649-8846-u--unpackC-39 arg-8771 (bs- (bs- (blodwen-toSignedInt (PreludeC-45Types-prim__integerToNat (string-length arg-8771)) 63) 1 63) 1 63) arg-8771 (cons (string-ref arg-8771 (bs- (blodwen-toSignedInt (PreludeC-45Types-prim__integerToNat (string-length arg-8771)) 63) 1 63)) '()))))))))) (cond ((equal? sc2 1) (LibrariesC-45DataC-45StringC-45Extra-dropLast 1 arg-8771)) (else arg-8771))))) 63) 1 63) 0) 1) 0))) (cond ((equal? sc1 0) 0)(else 1))))) (cond ((equal? sc0 1) '()) (else (PreludeC-45Types-n--9649-8846-u--unpackC-39 (let ((sc1 (DataC-45List-isPrefixOfBy (csegen-590) (cons (integer->char 10) '()) (PreludeC-45TypesC-45List-reverseOnto '() (let ((sc2 (let ((sc3 (or (and (< (bs- (blodwen-toSignedInt (PreludeC-45Types-prim__integerToNat (string-length arg-8771)) 63) 1 63) 0) 1) 0))) (cond ((equal? sc3 0) 0)(else 1))))) (cond ((equal? sc2 1) '()) (else (PreludeC-45Types-n--9649-8846-u--unpackC-39 arg-8771 (bs- (bs- (blodwen-toSignedInt (PreludeC-45Types-prim__integerToNat (string-length arg-8771)) 63) 1 63) 1 63) arg-8771 (cons (string-ref arg-8771 (bs- (blodwen-toSignedInt (PreludeC-45Types-prim__integerToNat (string-length arg-8771)) 63) 1 63)) '()))))))))) (cond ((equal? sc1 1) (LibrariesC-45DataC-45StringC-45Extra-dropLast 1 arg-8771)) (else arg-8771))) (bs- (bs- (blodwen-toSignedInt (PreludeC-45Types-prim__integerToNat (string-length (let ((sc1 (DataC-45List-isPrefixOfBy (csegen-590) (cons (integer->char 10) '()) (PreludeC-45TypesC-45List-reverseOnto '() (let ((sc2 (let ((sc3 (or (and (< (bs- (blodwen-toSignedInt (PreludeC-45Types-prim__integerToNat (string-length arg-8771)) 63) 1 63) 0) 1) 0))) (cond ((equal? sc3 0) 0)(else 1))))) (cond ((equal? sc2 1) '()) (else (PreludeC-45Types-n--9649-8846-u--unpackC-39 arg-8771 (bs- (bs- (blodwen-toSignedInt (PreludeC-45Types-prim__integerToNat (string-length arg-8771)) 63) 1 63) 1 63) arg-8771 (cons (string-ref arg-8771 (bs- (blodwen-toSignedInt (PreludeC-45Types-prim__integerToNat (string-length arg-8771)) 63) 1 63)) '()))))))))) (cond ((equal? sc1 1) (LibrariesC-45DataC-45StringC-45Extra-dropLast 1 arg-8771)) (else arg-8771))))) 63) 1 63) 1 63) (let ((sc1 (DataC-45List-isPrefixOfBy (csegen-590) (cons (integer->char 10) '()) (PreludeC-45TypesC-45List-reverseOnto '() (let ((sc2 (let ((sc3 (or (and (< (bs- (blodwen-toSignedInt (PreludeC-45Types-prim__integerToNat (string-length arg-8771)) 63) 1 63) 0) 1) 0))) (cond ((equal? sc3 0) 0)(else 1))))) (cond ((equal? sc2 1) '()) (else (PreludeC-45Types-n--9649-8846-u--unpackC-39 arg-8771 (bs- (bs- (blodwen-toSignedInt (PreludeC-45Types-prim__integerToNat (string-length arg-8771)) 63) 1 63) 1 63) arg-8771 (cons (string-ref arg-8771 (bs- (blodwen-toSignedInt (PreludeC-45Types-prim__integerToNat (string-length arg-8771)) 63) 1 63)) '()))))))))) (cond ((equal? sc1 1) (LibrariesC-45DataC-45StringC-45Extra-dropLast 1 arg-8771)) (else arg-8771))) (cons (string-ref (let ((sc1 (DataC-45List-isPrefixOfBy (csegen-590) (cons (integer->char 10) '()) (PreludeC-45TypesC-45List-reverseOnto '() (let ((sc2 (let ((sc3 (or (and (< (bs- (blodwen-toSignedInt (PreludeC-45Types-prim__integerToNat (string-length arg-8771)) 63) 1 63) 0) 1) 0))) (cond ((equal? sc3 0) 0)(else 1))))) (cond ((equal? sc2 1) '()) (else (PreludeC-45Types-n--9649-8846-u--unpackC-39 arg-8771 (bs- (bs- (blodwen-toSignedInt (PreludeC-45Types-prim__integerToNat (string-length arg-8771)) 63) 1 63) 1 63) arg-8771 (cons (string-ref arg-8771 (bs- (blodwen-toSignedInt (PreludeC-45Types-prim__integerToNat (string-length arg-8771)) 63) 1 63)) '()))))))))) (cond ((equal? sc1 1) (LibrariesC-45DataC-45StringC-45Extra-dropLast 1 arg-8771)) (else arg-8771))) (bs- (blodwen-toSignedInt (PreludeC-45Types-prim__integerToNat (string-length (let ((sc1 (DataC-45List-isPrefixOfBy (csegen-590) (cons (integer->char 10) '()) (PreludeC-45TypesC-45List-reverseOnto '() (let ((sc2 (let ((sc3 (or (and (< (bs- (blodwen-toSignedInt (PreludeC-45Types-prim__integerToNat (string-length arg-8771)) 63) 1 63) 0) 1) 0))) (cond ((equal? sc3 0) 0)(else 1))))) (cond ((equal? sc2 1) '()) (else (PreludeC-45Types-n--9649-8846-u--unpackC-39 arg-8771 (bs- (bs- (blodwen-toSignedInt (PreludeC-45Types-prim__integerToNat (string-length arg-8771)) 63) 1 63) 1 63) arg-8771 (cons (string-ref arg-8771 (bs- (blodwen-toSignedInt (PreludeC-45Types-prim__integerToNat (string-length arg-8771)) 63) 1 63)) '()))))))))) (cond ((equal? sc1 1) (LibrariesC-45DataC-45StringC-45Extra-dropLast 1 arg-8771)) (else arg-8771))))) 63) 1 63)) '())))))))))))))))
(define csegen-595(blodwen-lazy (lambda () (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-594) "_"))))
(define csegen-604(blodwen-lazy (lambda () (lambda (eta-0) (lambda (eta-1) (((DecidableC-45Equality-u--decEq_DecEq_String) eta-0) eta-1))))))
(define csegen-605(blodwen-lazy (lambda () (let ((eff-0 (csegen-604))) (lambda (arg-0) (lambda (arg-1) ((eff-0 arg-0) arg-1)))))))
(define csegen-614(blodwen-lazy (lambda () (vector (csegen-323) (lambda (u--b) (lambda (u--a) (lambda (arg-9920) (lambda (arg-9923) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe arg-9920 arg-9923))))) (lambda (u--a) (lambda (arg-9934) (PreludeC-45Types-u--join_Monad_Maybe arg-9934)))))))
(define csegen-616(blodwen-lazy (lambda () (lambda (eta-0) (lambda (eta-1) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-surround (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-dot) eta-0 eta-1))))))
(define csegen-626(blodwen-lazy (lambda () (vector (csegen-43) (lambda (arg-1418) (lambda (arg-1421) (PreludeC-45EqOrd-u--compare_Ord_String arg-1418 arg-1421))) (lambda (arg-1428) (lambda (arg-1431) (PreludeC-45EqOrd-u--C-60_Ord_String arg-1428 arg-1431))) (lambda (arg-1438) (lambda (arg-1441) (PreludeC-45EqOrd-u--C-62_Ord_String arg-1438 arg-1441))) (lambda (arg-1448) (lambda (arg-1451) (PreludeC-45EqOrd-u--C-60C-61_Ord_String arg-1448 arg-1451))) (lambda (arg-1458) (lambda (arg-1461) (PreludeC-45EqOrd-u--C-62C-61_Ord_String arg-1458 arg-1461))) (lambda (arg-1468) (lambda (arg-1471) (PreludeC-45EqOrd-u--max_Ord_String arg-1468 arg-1471))) (lambda (arg-1478) (lambda (arg-1481) (PreludeC-45EqOrd-u--min_Ord_String arg-1478 arg-1481)))))))
(define csegen-627(blodwen-lazy (lambda () (lambda (arg-0) (PreludeC-45EqOrd-u--C-61C-61_Eq_Char arg-0 #\.)))))
(define csegen-628(blodwen-lazy (lambda () (lambda (eta-0) (lambda (eta-1) (CoreC-45NameC-45Namespace-mkNestedNamespace eta-0 eta-1))))))
(define csegen-631(blodwen-lazy (lambda () (cons (lambda (arg-528) (lambda (arg-531) (LibrariesC-45UtilsC-45Path-u--C-61C-61_Eq_Volume arg-528 arg-531))) (lambda (arg-538) (lambda (arg-541) (LibrariesC-45UtilsC-45Path-u--C-47C-61_Eq_Volume arg-538 arg-541)))))))
(define csegen-635(blodwen-lazy (lambda () (cons (lambda (arg-528) (lambda (arg-531) (LibrariesC-45UtilsC-45Path-u--C-61C-61_Eq_Body arg-528 arg-531))) (lambda (arg-538) (lambda (arg-541) (LibrariesC-45UtilsC-45Path-u--C-47C-61_Eq_Body arg-538 arg-541)))))))
(define csegen-641(blodwen-lazy (lambda () (cons (cons (lambda (arg-528) (lambda (arg-531) (LibrariesC-45UtilsC-45Path-u--C-61C-61_Eq_PathTokenKind arg-528 arg-531))) (lambda (arg-538) (lambda (arg-541) (LibrariesC-45UtilsC-45Path-u--C-47C-61_Eq_PathTokenKind arg-538 arg-541)))) (cons (lambda (arg-823) (LibrariesC-45UtilsC-45Path-u--TokType_TokenKind_PathTokenKind arg-823)) (lambda (u--kind) (lambda (arg-832) (LibrariesC-45UtilsC-45Path-u--tokValue_TokenKind_PathTokenKind u--kind arg-832))))))))
(define csegen-642(blodwen-lazy (lambda () (LibrariesC-45TextC-45Parser-match (csegen-641) '()))))
(define csegen-644(blodwen-lazy (lambda () (vector 9 1 (csegen-642) (lambda () (lambda (u--server) (vector 11 1 (LibrariesC-45UtilsC-45Path-bodySeparator) (lambda () (vector 9 0 (csegen-642) (lambda () (lambda (u--share) (vector 0 (vector 0 u--server u--share)))))))))))))
(define csegen-649(blodwen-lazy (lambda () (DataC-45Nat-isSucc (let ((sc0 (LibrariesC-45TextC-45Quantity-exactly 2))) (let ((e-0 (car sc0))) e-0))))))
(define csegen-655(blodwen-lazy (lambda () (LibrariesC-45TextC-45Parser-match (csegen-641) (box #\\)))))
(define csegen-657(blodwen-lazy (lambda () (((let ((eff-0 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (LibrariesC-45TextC-45ParserC-45Core-u--map_Functor_C-40C-40C-40GrammarC-32C-36stateC-41C-32C-36tokC-41C-32C-36cC-41 (csegen-649) eta-2 eta-3))))))) (lambda (arg-0) (lambda (arg-1) ((((eff-0 'erased) 'erased) arg-0) arg-1)))) (lambda (eta-0) (vector 0 ))) (LibrariesC-45TextC-45Parser-count (LibrariesC-45TextC-45Quantity-exactly 2) (csegen-655))))))
(define csegen-660(blodwen-lazy (lambda () (vector 11 1 (LibrariesC-45TextC-45Parser-match (csegen-641) (box #\?)) (lambda () (vector 11 0 (csegen-655) (lambda () (vector 0 (vector 0 )))))))))
(define csegen-684(blodwen-lazy (lambda () ((csegen-0) ".exe"))))
(define csegen-687(blodwen-lazy (lambda () (cons (csegen-1) '()))))
(define csegen-692(blodwen-lazy (lambda () (lambda (arg-0) (PreludeC-45EqOrd-u--C-61C-61_Eq_Char arg-0 (LibrariesC-45UtilsC-45Path-pathSeparator))))))
(define csegen-697(blodwen-lazy (lambda () (LibrariesC-45TextC-45Parser-optional 1 (LibrariesC-45TextC-45Parser-some (LibrariesC-45UtilsC-45Path-bodySeparator))))))
(define csegen-704(blodwen-lazy (lambda () ((csegen-77) (lambda (eta-0) (Builtin-fst eta-0))))))
(define csegen-721(blodwen-lazy (lambda () (let ((eff-0 (lambda (u--b) (lambda (u--a) (lambda (u--func) (lambda (arg-8737) (LibrariesC-45TextC-45ParserC-45Core-u--map_Functor_C-40C-40C-40GrammarC-32C-36stateC-41C-32C-36tokC-41C-32C-36cC-41 0 u--func arg-8737))))))) (lambda (arg-0) (lambda (arg-1) ((((eff-0 'erased) 'erased) arg-0) arg-1)))))))
(define csegen-725(blodwen-lazy (lambda () (let ((eff-0 (lambda (u--b) (lambda (u--a) (lambda (u--func) (lambda (arg-8737) (LibrariesC-45TextC-45ParserC-45Core-u--map_Functor_C-40C-40C-40GrammarC-32C-36stateC-41C-32C-36tokC-41C-32C-36cC-41 1 u--func arg-8737))))))) (lambda (arg-0) (lambda (arg-1) ((((eff-0 'erased) 'erased) arg-0) arg-1)))))))
(define csegen-726(blodwen-lazy (lambda () ((csegen-725) (lambda (eta-0) (lambda (eta-1) eta-1))))))
(define csegen-729(blodwen-lazy (lambda () (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (LibrariesC-45TextC-45ParserC-45Core-u--map_Functor_C-40C-40C-40GrammarC-32C-36stateC-41C-32C-36tokC-41C-32C-36cC-41 1 eta-2 eta-3))))))))
(define csegen-732(blodwen-lazy (lambda () (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (LibrariesC-45TextC-45ParserC-45Core-u--map_Functor_C-40C-40C-40GrammarC-32C-36stateC-41C-32C-36tokC-41C-32C-36cC-41 0 eta-2 eta-3))))))))
(define csegen-738(blodwen-lazy (lambda () (cons (cons ((csegen-0) "End of input") '()) '()))))
(define csegen-742(blodwen-lazy (lambda () (lambda (u--b) (lambda (u--a) (lambda (u--func) (lambda (arg-8737) (LibrariesC-45TextC-45Bounded-u--map_Functor_WithBounds u--func arg-8737))))))))
(define csegen-788(blodwen-lazy (lambda () (LibrariesC-45TextC-45LexerC-45Core-C-60C-124C-62 (LibrariesC-45TextC-45Lexer-escape (LibrariesC-45TextC-45Lexer-is #\\) (LibrariesC-45TextC-45Lexer-any)) (LibrariesC-45TextC-45Lexer-any)))))
(define csegen-819(blodwen-lazy (lambda () (lambda (arg-0) (PreludeC-45EqOrd-u--C-47C-61_Eq_Char arg-0 (integer->char 10))))))
(define csegen-820(blodwen-lazy (lambda () (lambda (arg-0) (PreludeC-45EqOrd-u--C-61C-61_Eq_Char arg-0 (integer->char 10))))))
(define csegen-822(blodwen-lazy (lambda () (cons (lambda (arg-8762) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--pretty_Pretty_Void_Char arg-8762)) (lambda (arg-8768) (lambda (arg-8771) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--prettyPrec_Pretty_Void_Char arg-8768 arg-8771)))))))
(define csegen-839(blodwen-lazy (lambda () ((csegen-0) #\|))))
(define csegen-863(blodwen-lazy (lambda () (cons (lambda (arg-8762) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--pretty_Pretty_Void_String arg-8762)) (lambda (arg-8768) (lambda (arg-8771) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--prettyPrec_Pretty_Void_String arg-8768 arg-8771)))))))
(define csegen-884(blodwen-lazy (lambda () (let ((eff-0 (lambda (arg-8326) (lambda (arg-8329) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 arg-8326 arg-8329))))) (lambda (arg-0) (lambda (arg-1) ((eff-0 arg-0) arg-1)))))))
(define csegen-885(blodwen-lazy (lambda () (lambda (eta-0) (lambda (eta-1) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 eta-0 eta-1))))))
(define csegen-892(blodwen-lazy (lambda () (cons (lambda (arg-528) (lambda (arg-531) (PreludeC-45EqOrd-u--C-61C-61_Eq_Integer arg-528 arg-531))) (lambda (arg-538) (lambda (arg-541) (PreludeC-45EqOrd-u--C-47C-61_Eq_Integer arg-538 arg-541)))))))
(define csegen-905(blodwen-lazy (lambda () (lambda (eta-0) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-863) eta-0)))))
(define csegen-909(blodwen-lazy (lambda () (let ((eff-0 (lambda (eta-0) (lambda (eta-1) (string-append eta-0 eta-1))))) (lambda (arg-0) (lambda (arg-1) ((eff-0 arg-0) arg-1)))))))
(define csegen-910(blodwen-lazy (lambda () ((csegen-909) (DataC-45String-singleton (integer->char 10))))))
(define csegen-920(blodwen-lazy (lambda () (vector 5 (LibrariesC-45TextC-45LexerC-45Core-pred (lambda (eta-0) (ParserC-45LexerC-45Common-isIdentStart 1 eta-0))) (lambda () (LibrariesC-45TextC-45Lexer-many (LibrariesC-45TextC-45LexerC-45Core-pred (lambda (eta-0) (ParserC-45LexerC-45Common-isIdentTrailing 1 eta-0)))))))))
(define csegen-926(blodwen-lazy (lambda () (lambda (eta-0) (ParserC-45LexerC-45Common-isIdentTrailing 2 eta-0)))))
(define csegen-934(blodwen-lazy (lambda () (lambda (eta-0) (ParserC-45LexerC-45Common-isIdentTrailing 0 eta-0)))))
(define csegen-945(blodwen-lazy (lambda () (lambda (eta-0) (lambda (eta-1) (PreludeC-45Basics-flip (lambda (eta-2) (PreludeC-45Basics-uncurry (lambda (eta-3) (lambda (eta-4) (lambda (eta-5) (LibrariesC-45DataC-45StringMap-insert eta-3 eta-4 eta-5)))) eta-2)) eta-0 eta-1))))))
(define csegen-947(blodwen-lazy (lambda () ((csegen-25) (lambda (eta-0) (Builtin-snd eta-0))))))
(define csegen-950(blodwen-lazy (lambda () (lambda (eta-0) (lambda (eta-1) (PreludeC-45Basics-flip (lambda (eta-2) (PreludeC-45Basics-uncurry (lambda (eta-3) (lambda (eta-4) (lambda (eta-5) (LibrariesC-45DataC-45SortedMap-insert eta-3 eta-4 eta-5)))) eta-2)) eta-0 eta-1))))))
(define csegen-953(blodwen-lazy (lambda () (lambda (eta-0) (lambda (eta-1) (PreludeC-45Basics-flip (lambda (eta-2) (PreludeC-45Basics-uncurry (lambda (eta-3) (lambda (eta-4) (lambda (eta-5) (LibrariesC-45DataC-45NameMap-insert eta-3 eta-4 eta-5)))) eta-2)) eta-0 eta-1))))))
(define csegen-961(blodwen-lazy (lambda () (((csegen-25) (lambda (eta-0) (IdrisC-45SyntaxC-45Pragmas-u--show_Show_LangExt eta-0))) (IdrisC-45SyntaxC-45Pragmas-allLangExts)))))
(define csegen-1004(blodwen-lazy (lambda () (cons 0 (cons 1 '())))))
(define csegen-1005(blodwen-lazy (lambda () ((csegen-25) (lambda (eta-0) (CoreC-45TT-u--weaken_Weaken_Var eta-0))))))
(define csegen-1008(blodwen-lazy (lambda () (cons (lambda (arg-528) (lambda (arg-531) (CoreC-45Name-u--C-61C-61_Eq_Name arg-528 arg-531))) (lambda (arg-538) (lambda (arg-541) (CoreC-45Name-u--C-47C-61_Eq_Name arg-538 arg-541)))))))
(define csegen-1009(blodwen-lazy (lambda () ((csegen-0) "declare.def.lhs.implicits"))))
(define csegen-1016(blodwen-lazy (lambda () (cons (lambda (u--x) (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 (csegen-100) u--x)) (lambda (u--d) (lambda (u--x) (TTImpC-45TTImp-u--showPrec_Show_C-40RawImpC-39C-32C-36nmC-41 (csegen-100) u--d u--x)))))))
(define csegen-1019(blodwen-lazy (lambda () (cons (lambda (u--x) (CoreC-45TT-u--show_Show_C-40PiInfoC-32C-36tC-41 (csegen-1016) u--x)) (lambda (u--d) (lambda (u--x) (CoreC-45TT-u--showPrec_Show_C-40PiInfoC-32C-36tC-41 (csegen-1016) u--d u--x)))))))
(define csegen-1020(blodwen-lazy (lambda () (cons (csegen-100) (csegen-1019)))))
(define csegen-1025(blodwen-lazy (lambda () (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-0 (lambda (eta-0) (vector 1 '())))) eff-0)))))))
(define csegen-1028(blodwen-lazy (lambda () (cons (lambda (arg-528) (lambda (arg-531) (PreludeC-45Types-u--C-61C-61_Eq_C-40MaybeC-32C-36aC-41 (csegen-1008) arg-528 arg-531))) (lambda (arg-538) (lambda (arg-541) (PreludeC-45Types-u--C-47C-61_Eq_C-40MaybeC-32C-36aC-41 (csegen-1008) arg-538 arg-541)))))))
(define csegen-1030(blodwen-lazy (lambda () (cons (lambda (u--x) (AlgebraC-45ZeroOneOmega-u--show_Show_ZeroOneOmega u--x)) (lambda (u--d) (lambda (u--x) (AlgebraC-45ZeroOneOmega-u--showPrec_Show_ZeroOneOmega u--d u--x)))))))
(define csegen-1032(blodwen-lazy (lambda () (lambda (u--nm) (string-append " proof " (CoreC-45Name-u--show_Show_Name u--nm))))))
(define csegen-1033(blodwen-lazy (lambda () ((csegen-25) (lambda (eta-0) (box eta-0))))))
(define csegen-1034(blodwen-lazy (lambda () ((csegen-25) (lambda (eta-0) (vector 1 (vector 0 eta-0)))))))
(define csegen-1038(blodwen-lazy (lambda () (cons (lambda (u--x) (CoreC-45Value-u--show_Show_C-40ClosureC-32C-36freeC-41 u--x)) (lambda (u--d) (lambda (u--x) (CoreC-45Value-u--showPrec_Show_C-40ClosureC-32C-36freeC-41 u--d u--x)))))))
(define csegen-1061(blodwen-lazy (lambda () ((csegen-0) "believe_me"))))
(define csegen-1063(blodwen-lazy (lambda () (cons (lambda (u--x) (CoreC-45TT-u--show_Show_NameType u--x)) (lambda (u--d) (lambda (u--x) (CoreC-45TT-u--showPrec_Show_NameType u--d u--x)))))))
(define csegen-1068(blodwen-lazy (lambda () (cons (lambda (u--x) (PreludeC-45Show-u--show_Show_Nat u--x)) (lambda (u--d) (lambda (u--x) (PreludeC-45Show-u--showPrec_Show_Nat u--d u--x)))))))
(define csegen-1072(blodwen-lazy (lambda () (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--pretty_Pretty_Void_String ((csegen-0) "export")))))
(define csegen-1082(blodwen-lazy (lambda () (lambda (eta-0) (lambda (eta-1) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-surround (((csegen-380) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-comma)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-space)) eta-0 eta-1))))))
(define csegen-1104(blodwen-lazy (lambda () (cons (lambda (arg-528) (lambda (arg-531) (CoreC-45TT-u--C-61C-61_Eq_C-40TermC-32C-36varsC-41 arg-528 arg-531))) (lambda (arg-538) (lambda (arg-541) (CoreC-45TT-u--C-47C-61_Eq_C-40TermC-32C-36varsC-41 arg-538 arg-541)))))))
(define csegen-1105(blodwen-lazy (lambda () (lambda (_-0) (let ((eff-0 _-0)) (box eff-0))))))
(define csegen-1106(blodwen-lazy (lambda () (lambda (_-0) (let ((eff-0 _-0)) (box (+ eff-0 1)))))))
(define csegen-1108(blodwen-lazy (lambda () ((csegen-331) "-"))))
(define csegen-1125(blodwen-lazy (lambda () ((csegen-331) "["))))
(define csegen-1126(blodwen-lazy (lambda () ((csegen-331) "]"))))
(define csegen-1147(blodwen-lazy (lambda () (lambda (eta-0) (lambda (eta-1) (CoreC-45TT-eqTerm eta-0 eta-1))))))
(define csegen-1155(blodwen-lazy (lambda () (cons (lambda (arg-528) (lambda (arg-531) (AlgebraC-45ZeroOneOmega-u--C-61C-61_Eq_ZeroOneOmega arg-528 arg-531))) (lambda (arg-538) (lambda (arg-541) (AlgebraC-45ZeroOneOmega-u--C-47C-61_Eq_ZeroOneOmega arg-538 arg-541)))))))
(define csegen-1156(blodwen-lazy (lambda () (cons (csegen-53) (csegen-1155)))))
(define csegen-1197(blodwen-lazy (lambda () (lambda (eta-0) (lambda (eta-1) (cons eta-0 eta-1))))))
(define csegen-1205(blodwen-lazy (lambda () (IdrisC-45PrettyC-45Annotations-keyword (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-594) ";")))))
(define csegen-1211(blodwen-lazy (lambda () (IdrisC-45PrettyC-45Annotations-keyword (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-594) "}")))))
(define csegen-1215(blodwen-lazy (lambda () (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (IdrisC-45PrettyC-45Annotations-keyword (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-822) ((csegen-0) #\0))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-space)))))
(define csegen-1219(blodwen-lazy (lambda () (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (IdrisC-45PrettyC-45Annotations-keyword (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-822) ((csegen-0) #\1))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-space)))))
(define csegen-1225(blodwen-lazy (lambda () (IdrisC-45PrettyC-45Annotations-keyword (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-594) "{")))))
(define csegen-1242(blodwen-lazy (lambda () (IdrisC-45PrettyC-45Annotations-keyword (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-594) "->")))))
(define csegen-1246(blodwen-lazy (lambda () (cons (lambda (u--x) (CoreC-45FC-u--show_Show_OriginDesc u--x)) (lambda (u--d) (lambda (u--x) (CoreC-45FC-u--showPrec_Show_OriginDesc u--d u--x)))))))
(define csegen-1248(blodwen-lazy (lambda () (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--pretty_Pretty_Void_String ((csegen-0) "--")))))
(define csegen-1254(blodwen-lazy (lambda () (let ((eff-0 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (CoreC-45TT-u--map_Functor_Binder eta-2 eta-3))))))) (lambda (arg-0) (lambda (arg-1) ((((eff-0 'erased) 'erased) arg-0) arg-1)))))))
(define csegen-1260(blodwen-lazy (lambda () (cons (lambda (u--n) (lambda (u--vars) (lambda (arg-10637) (CoreC-45TT-u--weaken_Weaken_Term arg-10637)))) (lambda (u--vars) (lambda (u--ns) (lambda (arg-10650) (lambda (arg-10654) (CoreC-45TT-u--weakenNs_Weaken_Term arg-10650 arg-10654)))))))))
(define csegen-1264(blodwen-lazy (lambda () (lambda (eta-0) (lambda (eta-1) (cons eta-0 eta-1))))))
(define csegen-1272(blodwen-lazy (lambda () (lambda (eta-0) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() eta-0)))))
(define csegen-1273(blodwen-lazy (lambda () ((csegen-25) (csegen-1272)))))
(define csegen-1277(blodwen-lazy (lambda () (cons (lambda (u--x) (PreludeC-45Show-u--show_Show_C-40MaybeC-32C-36aC-41 (csegen-100) u--x)) (lambda (u--d) (lambda (u--x) (PreludeC-45Show-u--showPrec_Show_C-40MaybeC-32C-36aC-41 (csegen-100) u--d u--x)))))))
(define csegen-1279(blodwen-lazy (lambda () (cons (lambda (u--x) (CoreC-45Core-u--show_Show_Error u--x)) (lambda (u--d) (lambda (u--x) (CoreC-45Core-u--showPrec_Show_Error u--d u--x)))))))
(define csegen-1280(blodwen-lazy (lambda () (cons (csegen-1277) (csegen-1279)))))
(define csegen-1286(blodwen-lazy (lambda () (cons (lambda (u--x) (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-581) u--x)) (lambda (u--d) (lambda (u--x) (PreludeC-45Show-u--showPrec_Show_C-40ListC-32C-36aC-41 (csegen-581) u--d u--x)))))))
(define csegen-1287(blodwen-lazy (lambda () (cons (csegen-345) (csegen-581)))))
(define csegen-1291(blodwen-lazy (lambda () ((csegen-25) (lambda (eta-0) (CoreC-45NameC-45Namespace-u--show_Show_ModuleIdent eta-0))))))
(define csegen-1292(blodwen-lazy (lambda () ((csegen-25) (lambda (eta-0) (PreludeC-45Show-u--show_Show_String eta-0))))))
(define csegen-1300(blodwen-lazy (lambda () (lambda (u--b) (lambda (u--a) (lambda (u--func) (lambda (arg-8737) (CoreC-45CoreC-45Functor-u--map_Functor_CORECore u--func arg-8737))))))))
(define csegen-1306(blodwen-lazy (lambda () (vector (csegen-1300) (lambda (u--a) (lambda (arg-9440) (lambda (eta-0) (CoreC-45CoreC-45Applicative-u--pure_Applicative_CORECore arg-9440 eta-0)))) (lambda (u--b) (lambda (u--a) (lambda (arg-9446) (lambda (arg-9453) (CoreC-45CoreC-45Applicative-u--C-60C-42C-62_Applicative_CORECore arg-9446 arg-9453)))))))))
(define csegen-1311(blodwen-lazy (lambda () (vector (csegen-1306) (lambda (u--b) (lambda (u--a) (lambda (arg-9920) (lambda (arg-9923) (CoreC-45CoreC-45Monad-u--C-62C-62C-61_Monad_CORECore arg-9920 arg-9923))))) (lambda (u--a) (lambda (arg-9934) (CoreC-45CoreC-45Monad-u--join_Monad_CORECore arg-9934)))))))
(define csegen-1312(blodwen-lazy (lambda () (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-0 (lambda (eta-0) (vector 1 (vector 3 e-5))))) eff-0))))))))
(define csegen-1313(blodwen-lazy (lambda () (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-0 (lambda (eta-0) (vector 1 e-5)))) eff-0))))))))
(define csegen-1316(blodwen-lazy (lambda () (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (DataC-45List1-u--map_Functor_List1 eta-2 eta-3))))))))
(define csegen-1318(blodwen-lazy (lambda () (lambda (eta-0) (cons (CoreC-45FC-emptyFC) (Builtin-snd eta-0))))))
(define csegen-1322(blodwen-lazy (lambda () (cons (csegen-1068) (cons (lambda (u--x) (CoreC-45ContextC-45Context-u--show_Show_SizeChange u--x)) (lambda (u--d) (lambda (u--x) (CoreC-45ContextC-45Context-u--showPrec_Show_SizeChange u--d u--x))))))))
(define csegen-1325(blodwen-lazy (lambda () (cons (lambda (u--x) (PreludeC-45Show-u--show_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-1322) u--x)) (lambda (u--d) (lambda (u--x) (PreludeC-45Show-u--showPrec_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-1322) u--d u--x)))))))
(define csegen-1328(blodwen-lazy (lambda () (cons (lambda (u--x) (PreludeC-45Show-u--show_Show_C-40MaybeC-32C-36aC-41 (csegen-1325) u--x)) (lambda (u--d) (lambda (u--x) (PreludeC-45Show-u--showPrec_Show_C-40MaybeC-32C-36aC-41 (csegen-1325) u--d u--x)))))))
(define csegen-1330(blodwen-lazy (lambda () (cons (lambda (u--x) (PreludeC-45Show-u--show_Show_Bool u--x)) (lambda (u--d) (lambda (u--x) (PreludeC-45Show-u--showPrec_Show_Bool u--d u--x)))))))
(define csegen-1331(blodwen-lazy (lambda () (cons (csegen-1330) (csegen-1068)))))
(define csegen-1335(blodwen-lazy (lambda () (cons (lambda (u--x) (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-1068) u--x)) (lambda (u--d) (lambda (u--x) (PreludeC-45Show-u--showPrec_Show_C-40ListC-32C-36aC-41 (csegen-1068) u--d u--x)))))))
(define csegen-1338(blodwen-lazy (lambda () (cons (lambda (arg-528) (lambda (arg-531) (or (and (= arg-528 arg-531) 1) 0))) (lambda (arg-538) (lambda (arg-541) (PreludeC-45Types-u--C-47C-61_Eq_Nat arg-538 arg-541)))))))
(define csegen-1341(blodwen-lazy (lambda () (cons (lambda (arg-528) (lambda (arg-531) (CoreC-45ContextC-45Context-u--C-61C-61_Eq_SizeChange arg-528 arg-531))) (lambda (arg-538) (lambda (arg-541) (CoreC-45ContextC-45Context-u--C-47C-61_Eq_SizeChange arg-538 arg-541)))))))
(define csegen-1344(blodwen-lazy (lambda () (cons (lambda (arg-528) (lambda (arg-531) (PreludeC-45EqOrd-u--C-61C-61_Eq_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-1338) (csegen-1341) arg-528 arg-531))) (lambda (arg-538) (lambda (arg-541) (PreludeC-45EqOrd-u--C-47C-61_Eq_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-1338) (csegen-1341) arg-538 arg-541)))))))
(define csegen-1358(blodwen-lazy (lambda () (lambda (arg-0) (PreludeC-45EqOrd-u--C-61C-61_Eq_Char arg-0 #\:)))))
(define csegen-1359(blodwen-lazy (lambda () (vector (csegen-155) (csegen-156) (lambda (arg-5776) arg-5776)))))
(define csegen-1513(blodwen-lazy (lambda () (lambda (u--n) (string-append " (newtype by " (string-append (PreludeC-45Show-u--show_Show_Nat u--n) ")"))))))
(define csegen-1515(blodwen-lazy (lambda () (cons (lambda (u--x) (CoreC-45CompileExpr-u--show_Show_CFType u--x)) (lambda (u--d) (lambda (u--x) (CoreC-45CompileExpr-u--showPrec_Show_CFType u--d u--x)))))))
(define csegen-1517(blodwen-lazy (lambda () (cons (lambda (u--x) (CoreC-45CompileExpr-u--show_Show_NamedCExp u--x)) (lambda (u--d) (lambda (u--x) (CoreC-45CompileExpr-u--showPrec_Show_NamedCExp u--d u--x)))))))
(define csegen-1527(blodwen-lazy (lambda () (cons (lambda (u--x) (CoreC-45CaseC-45CaseTree-u--show_Show_Pat u--x)) (lambda (u--d) (lambda (u--x) (CoreC-45CaseC-45CaseTree-u--showPrec_Show_Pat u--d u--x)))))))
(define csegen-1529(blodwen-lazy (lambda () (cons (lambda (arg-8762) (CoreC-45Name-u--pretty_Pretty_Void_Name arg-8762)) (lambda (arg-8768) (lambda (arg-8771) (CoreC-45Name-u--prettyPrec_Pretty_Void_Name arg-8768 arg-8771)))))))
(define csegen-1533(blodwen-lazy (lambda () ((csegen-25) (lambda (eta-0) (CoreC-45CaseC-45CaseTree-u--prettyPrec_Pretty_IdrisSyntax_Pat (vector 6 ) eta-0))))))
(define csegen-1538(blodwen-lazy (lambda () (cons (lambda (u--x) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() u--x)) (lambda (u--d) (lambda (u--x) (CoreC-45TT-u--showPrec_Show_C-40TermC-32C-36varsC-41 '() u--d u--x)))))))
(define csegen-1543(blodwen-lazy (lambda () (cons (lambda (arg-6988) (lambda (arg-6991) (CoreC-45Context-u--full_HasNames_Transform arg-6988 arg-6991))) (lambda (arg-6998) (lambda (arg-7001) (CoreC-45Context-u--resolved_HasNames_Transform arg-6998 arg-7001)))))))
(define csegen-1545(blodwen-lazy (lambda () ((csegen-77) (lambda (lamc-0) (let ((e-3 (cdr lamc-0))) e-3))))))
(define csegen-1548(blodwen-lazy (lambda () (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-0 (lambda (eta-0) (vector 1 (vector 2 e-5))))) eff-0))))))))
(define csegen-1551(blodwen-lazy (lambda () (lambda (eta-0) (vector 1 (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (vector 0 eta-1 eta-2 eta-3)))))))))
(define csegen-1554(blodwen-lazy (lambda () (lambda (eta-0) (vector 1 (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (lambda (eta-4) (lambda (eta-5) (vector 1 eta-1 eta-2 eta-3 eta-4 eta-5)))))))))))
(define csegen-1557(blodwen-lazy (lambda () (lambda (eta-0) (vector 1 (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (lambda (eta-4) (vector 2 eta-1 eta-2 eta-3 eta-4))))))))))
(define csegen-1560(blodwen-lazy (lambda () (lambda (eta-0) (vector 1 (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (lambda (eta-4) (vector 4 eta-1 eta-2 eta-3 eta-4))))))))))
(define csegen-1563(blodwen-lazy (lambda () (lambda (eta-0) (vector 1 (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (lambda (eta-4) (vector 5 eta-1 eta-2 eta-3 eta-4))))))))))
(define csegen-1564(blodwen-lazy (lambda () (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-0 (lambda (eta-0) (vector 1 (vector 1 e-5))))) eff-0))))))))
(define csegen-1565(blodwen-lazy (lambda () (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-0 (lambda (eta-0) (vector 1 (vector 2 e-5))))) eff-0))))))))
(define csegen-1568(blodwen-lazy (lambda () (cons (lambda (arg-6988) (lambda (arg-6991) (CoreC-45Context-u--full_HasNames_C-40NameMapC-32C-36aC-41 arg-6988 arg-6991))) (lambda (arg-6998) (lambda (arg-7001) (CoreC-45Context-u--resolved_HasNames_C-40NameMapC-32C-36aC-41 arg-6998 arg-7001)))))))
(define csegen-1569(blodwen-lazy (lambda () (lambda (eta-0) (lambda (eta-1) (CoreC-45Core-traverseC-39 eta-0 eta-1 '()))))))
(define csegen-1570(blodwen-lazy (lambda () (lambda (eta-0) (lambda (eta-1) (vector 70 eta-0 eta-1))))))
(define csegen-1571(blodwen-lazy (lambda () (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-0 (lambda (eta-0) (vector 1 (vector 1 e-5))))) eff-0))))))))
(define csegen-1572(blodwen-lazy (lambda () (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-0 (lambda (eta-0) (vector 1 (vector 2 e-5))))) eff-0))))))))
(define csegen-1573(blodwen-lazy (lambda () (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-0 (lambda (eta-0) (vector 1 (box e-5))))) eff-0))))))))
(define csegen-1574(blodwen-lazy (lambda () (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-0 (lambda (eta-0) (vector 1 (vector 3 e-5))))) eff-0))))))))
(define csegen-1583(blodwen-lazy (lambda () (SystemC-45Directory-currentDir (csegen-40)))))
(define csegen-1584(blodwen-lazy (lambda () (PrimIO-io_bind (csegen-1583) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))))
(define csegen-1586(blodwen-lazy (lambda () (vector 59 ((csegen-0) "Can't get current directory")))))
(define csegen-1587(blodwen-lazy (lambda () (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (csegen-1586) eta-0)))))
(define csegen-1589(blodwen-lazy (lambda () (lambda (eta-0) (let ((e-2 (vector-ref eta-0 2))) e-2)))))
(define csegen-1590(blodwen-lazy (lambda () (lambda (u--g) (cons (let ((e-17 (vector-ref u--g 17))) e-17) (let ((e-2 (vector-ref u--g 2))) e-2))))))
(define csegen-1591(blodwen-lazy (lambda () (lambda (eta-0) (let ((e-17 (vector-ref eta-0 17))) e-17)))))
(define csegen-1601(blodwen-lazy (lambda () (cons (lambda (arg-528) (lambda (arg-531) (CoreC-45ContextC-45Context-u--C-61C-61_Eq_DefFlag arg-528 arg-531))) (lambda (arg-538) (lambda (arg-541) (CoreC-45ContextC-45Context-u--C-47C-61_Eq_DefFlag arg-538 arg-541)))))))
(define csegen-1609(blodwen-lazy (lambda () (vector (csegen-1008) (lambda (arg-1418) (lambda (arg-1421) (CoreC-45Name-u--compare_Ord_Name arg-1418 arg-1421))) (lambda (arg-1428) (lambda (arg-1431) (CoreC-45Name-u--C-60_Ord_Name arg-1428 arg-1431))) (lambda (arg-1438) (lambda (arg-1441) (CoreC-45Name-u--C-62_Ord_Name arg-1438 arg-1441))) (lambda (arg-1448) (lambda (arg-1451) (CoreC-45Name-u--C-60C-61_Ord_Name arg-1448 arg-1451))) (lambda (arg-1458) (lambda (arg-1461) (CoreC-45Name-u--C-62C-61_Ord_Name arg-1458 arg-1461))) (lambda (arg-1468) (lambda (arg-1471) (CoreC-45Name-u--max_Ord_Name arg-1468 arg-1471))) (lambda (arg-1478) (lambda (arg-1481) (CoreC-45Name-u--min_Ord_Name arg-1478 arg-1481)))))))
(define csegen-1620(blodwen-lazy (lambda () (lambda (eta-0) (vector 1 (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (lambda (eta-4) (vector eta-1 eta-2 eta-3 eta-4))))))))))
(define csegen-1640(blodwen-lazy (lambda () (cons (lambda (arg-528) (lambda (arg-531) (CoreC-45Options-u--C-61C-61_Eq_CG arg-528 arg-531))) (lambda (arg-538) (lambda (arg-541) (CoreC-45Options-u--C-47C-61_Eq_CG arg-538 arg-541)))))))
(define csegen-1646(blodwen-lazy (lambda () (lambda (eta-0) (PreludeC-45Types-prim__integerToNat eta-0)))))
(define csegen-1663(blodwen-lazy (lambda () (vector '() '() '() '()))))
(define csegen-1680(blodwen-lazy (lambda () (cons (lambda (arg-2985) (CoreC-45Hash-u--hash_Hashable_String arg-2985)) (lambda (arg-2991) (lambda (arg-2994) (CoreC-45Hash-u--hashWithSalt_Hashable_String arg-2991 arg-2994)))))))
(define csegen-1682(blodwen-lazy (lambda () (cons (lambda (arg-2985) (CoreC-45Hash-u--hash_Hashable_Name arg-2985)) (lambda (arg-2991) (lambda (arg-2994) (CoreC-45Hash-u--hashWithSalt_Hashable_Name arg-2991 arg-2994)))))))
(define csegen-1684(blodwen-lazy (lambda () (cons (lambda (arg-2985) (CoreC-45Hash-u--hash_Hashable_Nat arg-2985)) (lambda (arg-2991) (lambda (arg-2994) (CoreC-45Hash-u--hashWithSalt_Hashable_Nat arg-2991 arg-2994)))))))
(define csegen-1686(blodwen-lazy (lambda () (cons (lambda (arg-2985) arg-2985) (lambda (arg-2991) (lambda (arg-2994) (CoreC-45Hash-u--hashWithSalt_Hashable_Int arg-2991 arg-2994)))))))
(define csegen-1688(blodwen-lazy (lambda () (cons (lambda (arg-2985) (CoreC-45Hash-u--hash_Hashable_CFType arg-2985)) (lambda (arg-2991) (lambda (arg-2994) (CoreC-45Hash-u--hashWithSalt_Hashable_CFType arg-2991 arg-2994)))))))
(define csegen-1690(blodwen-lazy (lambda () (cons (lambda (arg-2985) (CoreC-45Hash-u--hash_Hashable_NamedCExp arg-2985)) (lambda (arg-2991) (lambda (arg-2994) (CoreC-45Hash-u--hashWithSalt_Hashable_NamedCExp arg-2991 arg-2994)))))))
(define csegen-1699(blodwen-lazy (lambda () (cons (lambda (arg-2985) (CoreC-45Hash-u--hash_Hashable_C-40TermC-32C-36varsC-41 arg-2985)) (lambda (arg-2991) (lambda (arg-2994) (CoreC-45Hash-u--hashWithSalt_Hashable_C-40TermC-32C-36varsC-41 arg-2991 arg-2994)))))))
(define csegen-1703(blodwen-lazy (lambda () (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-0 (lambda (eta-0) (vector 1 (+ e-5 1))))) eff-0))))))))
(define csegen-1704(blodwen-lazy (lambda () (PrimIO-io_bind (SystemC-45Clock-clockTime 3) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))))
(define csegen-1706(blodwen-lazy (lambda () (CoreC-45Core-newRef (vector "Core.Normalise.Quote.QVar" ) (blodwen-toSignedInt 0 63)))))
(define csegen-1710(blodwen-lazy (lambda () (cons (lambda (arg-6988) (lambda (arg-6991) (CoreC-45Value-u--full_HasNames_C-40NFC-32C-36freeC-41 arg-6988 arg-6991))) (lambda (arg-6998) (lambda (arg-7001) (CoreC-45Value-u--resolved_HasNames_C-40NFC-32C-36freeC-41 arg-6998 arg-7001)))))))
(define csegen-1712(blodwen-lazy (lambda () (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-0 (lambda (eta-0) (vector 1 (vector 2 ))))) eff-0)))))))
(define csegen-1719(blodwen-lazy (lambda () (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-0 (lambda (eta-0) (vector 1 (vector 0 e-5))))) eff-0))))))))
(define csegen-1720(blodwen-lazy (lambda () ((csegen-0) "eval.stuck"))))
(define csegen-1721(blodwen-lazy (lambda () ((csegen-0) "Stuck function: "))))
(define csegen-1728(blodwen-lazy (lambda () ((csegen-25) (lambda (__infixTupleSection-0) (cons (vector 2 ) __infixTupleSection-0))))))
(define csegen-1732(blodwen-lazy (lambda () (lambda (eta-0) (lambda (eta-1) (CoreC-45TT-fnType '() (CoreC-45FC-emptyFC) eta-0 eta-1))))))
(define csegen-1733(blodwen-lazy (lambda () ((csegen-0) "strReverse"))))
(define csegen-1773(blodwen-lazy (lambda () (vector 11 (CoreC-45FC-emptyFC) (vector 2 "top" 0)))))
(define csegen-1775(blodwen-lazy (lambda () (vector 0 (CoreC-45FC-emptyFC) '() 1))))
(define csegen-1778(blodwen-lazy (lambda () (AlgebraC-45Semiring-linear (csegen-53)))))
(define csegen-1881(blodwen-lazy (lambda () (vector (csegen-279) (lambda (u--a) (lambda (arg-9440) (PreludeC-45Types-u--pure_Applicative_List arg-9440))) (lambda (u--b) (lambda (u--a) (lambda (arg-9446) (lambda (arg-9453) (PreludeC-45Types-u--C-60C-42C-62_Applicative_List arg-9446 arg-9453)))))))))
(define csegen-1886(blodwen-lazy (lambda () (vector (csegen-1881) (lambda (u--b) (lambda (u--a) (lambda (arg-9920) (lambda (arg-9923) (PreludeC-45Types-listBind arg-9920 arg-9923))))) (lambda (u--a) (lambda (arg-9934) (PreludeC-45Types-u--join_Monad_List arg-9934)))))))
(define csegen-1889(blodwen-lazy (lambda () (vector (csegen-1881) (lambda (u--a) '()) (lambda (u--a) (lambda (arg-9822) (lambda (arg-9825) (PreludeC-45TypesC-45List-tailRecAppend arg-9822 (arg-9825)))))))))
(define csegen-1892(blodwen-lazy (lambda () (cons (lambda (arg-528) (lambda (arg-531) (CoreC-45TT-u--C-61C-61_Eq_PrimType arg-528 arg-531))) (lambda (arg-538) (lambda (arg-541) (CoreC-45TT-u--C-47C-61_Eq_PrimType arg-538 arg-541)))))))
(define csegen-1934(blodwen-lazy (lambda () (cons (lambda (arg-4791) (lambda (arg-4796) (CoreC-45BinaryC-45Prims-u--toBuf_TTC_Nat arg-4791 arg-4796))) (lambda (arg-4804) (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_Nat arg-4804))))))
(define csegen-1937(blodwen-lazy (lambda () (cons (csegen-1934) (cons (lambda (arg-4791) (lambda (arg-4796) (CoreC-45TTC-u--toBuf_TTC_SizeChange arg-4791 arg-4796))) (lambda (arg-4804) (CoreC-45TTC-u--fromBuf_TTC_SizeChange arg-4804)))))))
(define csegen-1940(blodwen-lazy (lambda () (cons (lambda (arg-4791) (lambda (arg-4796) (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-1937) arg-4791 arg-4796))) (lambda (arg-4804) (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-1937) arg-4804))))))
(define csegen-1943(blodwen-lazy (lambda () (cons (lambda (arg-4791) (lambda (arg-4796) (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40MaybeC-32C-36aC-41 (csegen-1940) arg-4791 arg-4796))) (lambda (arg-4804) (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40MaybeC-32C-36aC-41 (csegen-1940) arg-4804))))))
(define csegen-1945(blodwen-lazy (lambda () (cons (lambda (arg-4791) (lambda (arg-4796) (CoreC-45BinaryC-45Prims-u--toBuf_TTC_String arg-4791 arg-4796))) (lambda (arg-4804) (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_String arg-4804))))))
(define csegen-1947(blodwen-lazy (lambda () (cons (lambda (arg-4791) (lambda (arg-4796) (CoreC-45BinaryC-45Prims-u--toBuf_TTC_Int arg-4791 arg-4796))) (lambda (arg-4804) (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_Int arg-4804))))))
(define csegen-1948(blodwen-lazy (lambda () (cons (csegen-1947) (csegen-1947)))))
(define csegen-1949(blodwen-lazy (lambda () ((csegen-77) (lambda (eta-0) (LibrariesC-45DataC-45NameMap-toList eta-0))))))
(define csegen-1951(blodwen-lazy (lambda () (cons (lambda (arg-4791) (lambda (arg-4796) (CoreC-45TTC-u--toBuf_TTC_DefFlag arg-4791 arg-4796))) (lambda (arg-4804) (CoreC-45TTC-u--fromBuf_TTC_DefFlag arg-4804))))))
(define csegen-1953(blodwen-lazy (lambda () (cons (lambda (arg-4791) (lambda (arg-4796) (CoreC-45TTC-u--toBuf_TTC_SCCall arg-4791 arg-4796))) (lambda (arg-4804) (CoreC-45TTC-u--fromBuf_TTC_SCCall arg-4804))))))
(define csegen-1958(blodwen-lazy (lambda () (cons (cons (lambda (arg-4791) (lambda (arg-4796) (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40ListC-32C-36aC-41 (csegen-64) arg-4791 arg-4796))) (lambda (arg-4804) (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40ListC-32C-36aC-41 (csegen-64) arg-4804))) (lambda (u--y) (cons (lambda (arg-4791) (lambda (arg-4796) (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (cons (cons (lambda (arg-4792) (lambda (arg-4797) (CoreC-45TTC-u--toBuf_TTC_C-40C-40EnvC-32TermC-41C-32C-36varsC-41 u--y arg-4792 arg-4797))) (lambda (arg-4804) (CoreC-45TTC-u--fromBuf_TTC_C-40C-40EnvC-32TermC-41C-32C-36varsC-41 u--y arg-4804))) (cons (lambda (arg-4792) (lambda (arg-4797) (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (cons (cons (lambda (arg-4793) (lambda (arg-4798) (CoreC-45TTC-u--toBuf_TTC_C-40TermC-32C-36varsC-41 u--y arg-4793 arg-4798))) (lambda (arg-4804) (CoreC-45TTC-u--fromBuf_TTC_C-40TermC-32C-36varsC-41 u--y arg-4804))) (cons (lambda (arg-4793) (lambda (arg-4798) (CoreC-45TTC-u--toBuf_TTC_C-40TermC-32C-36varsC-41 u--y arg-4793 arg-4798))) (lambda (arg-4804) (CoreC-45TTC-u--fromBuf_TTC_C-40TermC-32C-36varsC-41 u--y arg-4804)))) arg-4792 arg-4797))) (lambda (arg-4804) (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (cons (cons (lambda (arg-4792) (lambda (arg-4797) (CoreC-45TTC-u--toBuf_TTC_C-40TermC-32C-36varsC-41 u--y arg-4792 arg-4797))) (lambda (arg-4805) (CoreC-45TTC-u--fromBuf_TTC_C-40TermC-32C-36varsC-41 u--y arg-4805))) (cons (lambda (arg-4792) (lambda (arg-4797) (CoreC-45TTC-u--toBuf_TTC_C-40TermC-32C-36varsC-41 u--y arg-4792 arg-4797))) (lambda (arg-4805) (CoreC-45TTC-u--fromBuf_TTC_C-40TermC-32C-36varsC-41 u--y arg-4805)))) arg-4804)))) arg-4791 arg-4796))) (lambda (arg-4804) (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (cons (cons (lambda (arg-4791) (lambda (arg-4796) (CoreC-45TTC-u--toBuf_TTC_C-40C-40EnvC-32TermC-41C-32C-36varsC-41 u--y arg-4791 arg-4796))) (lambda (arg-4805) (CoreC-45TTC-u--fromBuf_TTC_C-40C-40EnvC-32TermC-41C-32C-36varsC-41 u--y arg-4805))) (cons (lambda (arg-4791) (lambda (arg-4796) (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (cons (cons (lambda (arg-4792) (lambda (arg-4797) (CoreC-45TTC-u--toBuf_TTC_C-40TermC-32C-36varsC-41 u--y arg-4792 arg-4797))) (lambda (arg-4805) (CoreC-45TTC-u--fromBuf_TTC_C-40TermC-32C-36varsC-41 u--y arg-4805))) (cons (lambda (arg-4792) (lambda (arg-4797) (CoreC-45TTC-u--toBuf_TTC_C-40TermC-32C-36varsC-41 u--y arg-4792 arg-4797))) (lambda (arg-4805) (CoreC-45TTC-u--fromBuf_TTC_C-40TermC-32C-36varsC-41 u--y arg-4805)))) arg-4791 arg-4796))) (lambda (arg-4805) (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (cons (cons (lambda (arg-4791) (lambda (arg-4796) (CoreC-45TTC-u--toBuf_TTC_C-40TermC-32C-36varsC-41 u--y arg-4791 arg-4796))) (lambda (arg-4806) (CoreC-45TTC-u--fromBuf_TTC_C-40TermC-32C-36varsC-41 u--y arg-4806))) (cons (lambda (arg-4791) (lambda (arg-4796) (CoreC-45TTC-u--toBuf_TTC_C-40TermC-32C-36varsC-41 u--y arg-4791 arg-4796))) (lambda (arg-4806) (CoreC-45TTC-u--fromBuf_TTC_C-40TermC-32C-36varsC-41 u--y arg-4806)))) arg-4805)))) arg-4804))))))))
(define csegen-1961(blodwen-lazy (lambda () (cons (lambda (arg-4791) (lambda (arg-4796) (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40C-40DPairC-32C-36aC-41C-32C-36pC-41 (csegen-1958) arg-4791 arg-4796))) (lambda (arg-4804) (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40C-40DPairC-32C-36aC-41C-32C-36pC-41 (csegen-1958) arg-4804))))))
(define csegen-1963(blodwen-lazy (lambda () (cons (csegen-66) (csegen-1934)))))
(define csegen-1966(blodwen-lazy (lambda () (cons (lambda (arg-4791) (lambda (arg-4796) (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-1963) arg-4791 arg-4796))) (lambda (arg-4804) (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-1963) arg-4804))))))
(define csegen-1969(blodwen-lazy (lambda () (cons (lambda (arg-4791) (lambda (arg-4796) (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40ListC-32C-36aC-41 (csegen-1934) arg-4791 arg-4796))) (lambda (arg-4804) (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40ListC-32C-36aC-41 (csegen-1934) arg-4804))))))
(define csegen-1972(blodwen-lazy (lambda () (cons (lambda (arg-4791) (lambda (arg-4796) (CoreC-45TTC-u--toBuf_TTC_C-40TermC-32C-36varsC-41 '() arg-4791 arg-4796))) (lambda (arg-4804) (CoreC-45TTC-u--fromBuf_TTC_C-40TermC-32C-36varsC-41 '() arg-4804))))))
(define csegen-1974(blodwen-lazy (lambda () (cons (lambda (arg-4791) (lambda (arg-4796) (CoreC-45TTC-u--toBuf_TTC_CFType arg-4791 arg-4796))) (lambda (arg-4804) (CoreC-45TTC-u--fromBuf_TTC_CFType arg-4804))))))
(define csegen-1975(blodwen-lazy (lambda () (cons (csegen-1945) (csegen-1974)))))
(define csegen-1978(blodwen-lazy (lambda () (cons (lambda (arg-4791) (lambda (arg-4796) (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-1975) arg-4791 arg-4796))) (lambda (arg-4804) (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-1975) arg-4804))))))
(define csegen-1985(blodwen-lazy (lambda () (vector 1 (csegen-54)))))
(define csegen-1986(blodwen-lazy (lambda () (vector 1 (csegen-1778)))))
(define csegen-2006(blodwen-lazy (lambda () (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-0 (lambda (eta-0) (vector 1 (vector 2 e-5))))) eff-0))))))))
(define csegen-2010(blodwen-lazy (lambda () (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-0 (lambda (eta-0) (vector 1 (vector 0 e-5))))) eff-0))))))))
(define csegen-2011(blodwen-lazy (lambda () (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-0 (lambda (eta-0) (vector 1 (vector 1 e-5))))) eff-0))))))))
(define csegen-2012(blodwen-lazy (lambda () (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-0 (lambda (eta-0) (vector 1 (vector 2 e-5))))) eff-0))))))))
(define csegen-2013(blodwen-lazy (lambda () (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-0 (lambda (eta-0) (vector 1 (vector 3 e-5))))) eff-0))))))))
(define csegen-2014(blodwen-lazy (lambda () (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-0 (lambda (eta-0) (vector 1 (vector 4 e-5))))) eff-0))))))))
(define csegen-2015(blodwen-lazy (lambda () (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-0 (lambda (eta-0) (vector 1 (vector 5 e-5))))) eff-0))))))))
(define csegen-2016(blodwen-lazy (lambda () (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-0 (lambda (eta-0) (vector 1 (vector 6 e-5))))) eff-0))))))))
(define csegen-2017(blodwen-lazy (lambda () (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-0 (lambda (eta-0) (vector 1 (vector 7 e-5))))) eff-0))))))))
(define csegen-2018(blodwen-lazy (lambda () (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-0 (lambda (eta-0) (vector 1 (vector 8 e-5))))) eff-0))))))))
(define csegen-2019(blodwen-lazy (lambda () (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-0 (lambda (eta-0) (vector 1 (vector 9 e-5))))) eff-0))))))))
(define csegen-2020(blodwen-lazy (lambda () (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-0 (lambda (eta-0) (vector 1 (vector 10 e-5))))) eff-0))))))))
(define csegen-2021(blodwen-lazy (lambda () (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-0 (lambda (eta-0) (vector 1 (vector 11 e-5))))) eff-0))))))))
(define csegen-2022(blodwen-lazy (lambda () (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-0 (lambda (eta-0) (vector 1 (vector 12 e-5))))) eff-0))))))))
(define csegen-2023(blodwen-lazy (lambda () (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-0 (lambda (eta-0) (vector 1 (vector 13 e-5))))) eff-0))))))))
(define csegen-2029(blodwen-lazy (lambda () (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-0 (lambda (eta-0) (vector 1 (vector 20 e-5))))) eff-0))))))))
(define csegen-2031(blodwen-lazy (lambda () (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-0 (lambda (eta-0) (vector 1 (vector 3 e-5))))) eff-0))))))))
(define csegen-2038(blodwen-lazy (lambda () (let ((eff-0 (lambda (eta-0) eta-0))) (lambda (arg-0) (eff-0 arg-0))))))
(define csegen-2039(blodwen-lazy (lambda () (lambda (eta-0) (CoreC-45BinaryC-45Prims-corrupt "PrimFn" eta-0)))))
(define csegen-2063(blodwen-lazy (lambda () (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 ((csegen-0) "Buffer creation failed")) eta-0)))))
(define csegen-2074(blodwen-lazy (lambda () (let ((eff-0 (lambda (arg-8326) (lambda (arg-8329) (LibrariesC-45DataC-45PosMap-u--C-60C-43C-62_Semigroup_Interval arg-8326 arg-8329))))) (lambda (arg-0) (lambda (arg-1) ((eff-0 arg-0) arg-1)))))))
(define csegen-2077(blodwen-lazy (lambda () (cons (lambda (arg-528) (lambda (arg-531) (PreludeC-45EqOrd-u--C-61C-61_Eq_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-290) (csegen-290) arg-528 arg-531))) (lambda (arg-538) (lambda (arg-541) (PreludeC-45EqOrd-u--C-47C-61_Eq_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-290) (csegen-290) arg-538 arg-541)))))))
(define csegen-2085(blodwen-lazy (lambda () (vector (csegen-2077) (lambda (arg-1418) (lambda (arg-1421) (PreludeC-45EqOrd-u--compare_Ord_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-298) (csegen-298) arg-1418 arg-1421))) (lambda (arg-1428) (lambda (arg-1431) (PreludeC-45EqOrd-u--C-60_Ord_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-298) (csegen-298) arg-1428 arg-1431))) (lambda (arg-1438) (lambda (arg-1441) (PreludeC-45EqOrd-u--C-62_Ord_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-298) (csegen-298) arg-1438 arg-1441))) (lambda (arg-1448) (lambda (arg-1451) (PreludeC-45EqOrd-u--C-60C-61_Ord_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-298) (csegen-298) arg-1448 arg-1451))) (lambda (arg-1458) (lambda (arg-1461) (PreludeC-45EqOrd-u--C-62C-61_Ord_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-298) (csegen-298) arg-1458 arg-1461))) (lambda (arg-1468) (lambda (arg-1471) (PreludeC-45EqOrd-u--max_Ord_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-298) (csegen-298) arg-1468 arg-1471))) (lambda (arg-1478) (lambda (arg-1481) (PreludeC-45EqOrd-u--min_Ord_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-298) (csegen-298) arg-1478 arg-1481)))))))
(define csegen-2086(blodwen-lazy (lambda () (lambda (eta-0) (lambda (eta-1) (PreludeC-45TypesC-45List-mapMaybeAppend '() eta-0 eta-1))))))
(define csegen-2101(blodwen-lazy (lambda () (lambda (_-0) (case (vector-ref _-0 0) ((1) (let ((e-2 (vector-ref _-0 1))) (PreludeC-45Interfaces-C-62C-62 (csegen-39) (SystemC-45Directory-closeDir (csegen-40) e-2) (lambda () (lambda (eta-0) 1))))) (else (lambda (eta-0) 0)))))))
(define csegen-2127(blodwen-lazy (lambda () (lambda (arg-0) (PreludeC-45EqOrd-u--C-61C-61_Eq_Char #\. arg-0)))))
(define csegen-2143(blodwen-lazy (lambda () (cons (lambda (arg-8326) (lambda (arg-8329) (LibrariesC-45DataC-45IntMap-u--C-60C-43C-62_Semigroup_C-40IntMapC-32C-36vC-41 (lambda (eta-0) (lambda (eta-1) (vector 0 ))) arg-8326 arg-8329))) (LibrariesC-45DataC-45IntMap-u--neutral_Monoid_C-40IntMapC-32C-36vC-41 (lambda (eta-0) (lambda (eta-1) (vector 0 ))))))))
(define csegen-2144(blodwen-lazy (lambda () (cons (csegen-583) (csegen-100)))))
(define csegen-2145(blodwen-lazy (lambda () ((csegen-25) (lambda (eta-0) (CompilerC-45VMCode-u--show_Show_Reg eta-0))))))
(define csegen-2150(blodwen-lazy (lambda () (cons (lambda (u--x) (CompilerC-45VMCode-u--show_Show_VMInst u--x)) (lambda (u--d) (lambda (u--x) (CompilerC-45VMCode-u--showPrec_Show_VMInst u--d u--x)))))))
(define csegen-2153(blodwen-lazy (lambda () (cons (lambda (u--x) (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-2150) u--x)) (lambda (u--d) (lambda (u--x) (PreludeC-45Show-u--showPrec_Show_C-40ListC-32C-36aC-41 (csegen-2150) u--d u--x)))))))
(define csegen-2154(blodwen-lazy (lambda () (cons (cons (lambda (u--x) (PreludeC-45Show-u--show_Show_C-40C-40EitherC-32C-36aC-41C-32C-36bC-41 (csegen-2144) u--x)) (lambda (u--d) (lambda (u--x) (PreludeC-45Show-u--showPrec_Show_C-40C-40EitherC-32C-36aC-41C-32C-36bC-41 (csegen-2144) u--d u--x)))) (csegen-2153)))))
(define csegen-2159(blodwen-lazy (lambda () (cons (lambda (u--x) (CoreC-45TT-u--show_Show_Constant u--x)) (lambda (u--d) (lambda (u--x) (CoreC-45TT-u--showPrec_Show_Constant u--d u--x)))))))
(define csegen-2160(blodwen-lazy (lambda () (cons (csegen-2159) (csegen-2153)))))
(define csegen-2164(blodwen-lazy (lambda () ((csegen-25) (lambda (eta-0) (CompilerC-45VMCode-toReg eta-0))))))
(define csegen-2166(blodwen-lazy (lambda () ((csegen-77) (lambda (eta-0) (PreludeC-45Types-u--foldMap_Foldable_List (csegen-83) (lambda (eta-1) (CompilerC-45VMCode-findVars eta-1)) eta-0))))))
(define csegen-2168(blodwen-lazy (lambda () (let ((eff-0 (lambda (eta-0) (lambda (eta-1) (LibrariesC-45DataC-45IntMap-u--C-60C-43C-62_Semigroup_C-40IntMapC-32C-36vC-41 (lambda (eta-2) (lambda (eta-3) (vector 0 ))) eta-0 eta-1))))) (lambda (arg-0) (lambda (arg-1) ((eff-0 arg-0) arg-1)))))))
(define csegen-2169(blodwen-lazy (lambda () (lambda (eta-0) (PreludeC-45Types-u--foldMap_Foldable_List (csegen-2143) (lambda (eta-1) (CompilerC-45VMCode-collectUsed eta-1)) (Builtin-snd eta-0))))))
(define csegen-2170(blodwen-lazy (lambda () (lambda (eta-0) (PreludeC-45Types-u--foldMap_Foldable_List (csegen-2143) (lambda (eta-1) (CompilerC-45VMCode-collectUsed eta-1)) eta-0)))))
(define csegen-2172(blodwen-lazy (lambda () ((csegen-25) (lambda (eta-0) (CompilerC-45ANF-u--show_Show_AVar eta-0))))))
(define csegen-2175(blodwen-lazy (lambda () (cons (lambda (u--x) (CompilerC-45ANF-u--show_Show_ANF u--x)) (lambda (u--d) (lambda (u--x) (CompilerC-45ANF-u--showPrec_Show_ANF u--d u--x)))))))
(define csegen-2178(blodwen-lazy (lambda () (lambda (eta-0) (string-append " " (CoreC-45TT-u--show_Show_LazyReason eta-0))))))
(define csegen-2180(blodwen-lazy (lambda () (lambda (eta-0) (cond ((equal? eta-0 1) 0) (else 1))))))
(define csegen-2183(blodwen-lazy (lambda () ((csegen-0) "compiler.cse"))))
(define csegen-2191(blodwen-lazy (lambda () (cons (lambda (arg-528) (lambda (arg-531) (CoreC-45Ord-u--C-61C-61_Eq_C-40CExpC-32C-36varsC-41 arg-528 arg-531))) (lambda (arg-538) (lambda (arg-541) (CoreC-45Ord-u--C-47C-61_Eq_C-40CExpC-32C-36varsC-41 arg-538 arg-541)))))))
(define csegen-2195(blodwen-lazy (lambda () (lambda (arg-1418) (lambda (arg-1421) (PreludeC-45EqOrd-u--compare_Ord_Integer arg-1418 arg-1421))))))
(define csegen-2202(blodwen-lazy (lambda () (vector (csegen-892) (csegen-2195) (lambda (arg-1428) (lambda (arg-1431) (PreludeC-45EqOrd-u--C-60_Ord_Integer arg-1428 arg-1431))) (lambda (arg-1438) (lambda (arg-1441) (PreludeC-45EqOrd-u--C-62_Ord_Integer arg-1438 arg-1441))) (lambda (arg-1448) (lambda (arg-1451) (PreludeC-45EqOrd-u--C-60C-61_Ord_Integer arg-1448 arg-1451))) (lambda (arg-1458) (lambda (arg-1461) (PreludeC-45EqOrd-u--C-62C-61_Ord_Integer arg-1458 arg-1461))) (lambda (arg-1468) (lambda (arg-1471) (PreludeC-45EqOrd-u--max_Ord_Integer arg-1468 arg-1471))) (lambda (arg-1478) (lambda (arg-1481) (PreludeC-45EqOrd-u--min_Ord_Integer arg-1478 arg-1481)))))))
(define csegen-2210(blodwen-lazy (lambda () (vector (csegen-2191) (lambda (arg-1418) (lambda (arg-1421) (CoreC-45Ord-u--compare_Ord_C-40CExpC-32C-36varsC-41 arg-1418 arg-1421))) (lambda (arg-1428) (lambda (arg-1431) (CoreC-45Ord-u--C-60_Ord_C-40CExpC-32C-36varsC-41 arg-1428 arg-1431))) (lambda (arg-1438) (lambda (arg-1441) (CoreC-45Ord-u--C-62_Ord_C-40CExpC-32C-36varsC-41 arg-1438 arg-1441))) (lambda (arg-1448) (lambda (arg-1451) (CoreC-45Ord-u--C-60C-61_Ord_C-40CExpC-32C-36varsC-41 arg-1448 arg-1451))) (lambda (arg-1458) (lambda (arg-1461) (CoreC-45Ord-u--C-62C-61_Ord_C-40CExpC-32C-36varsC-41 arg-1458 arg-1461))) (lambda (arg-1468) (lambda (arg-1471) (CoreC-45Ord-u--max_Ord_C-40CExpC-32C-36varsC-41 arg-1468 arg-1471))) (lambda (arg-1478) (lambda (arg-1481) (CoreC-45Ord-u--min_Ord_C-40CExpC-32C-36varsC-41 arg-1478 arg-1481)))))))
(define csegen-2238(blodwen-lazy (lambda () (vector (lambda (u--acc) (lambda (u--elem) (lambda (u--func) (lambda (u--init) (lambda (u--input) (DataC-45Vect-u--foldr_Foldable_C-40VectC-32C-36nC-41 u--func u--init u--input)))))) (lambda (u--elem) (lambda (u--acc) (lambda (u--func) (lambda (u--init) (lambda (u--input) (DataC-45Vect-u--foldl_Foldable_C-40VectC-32C-36nC-41 u--func u--init u--input)))))) (lambda (u--elem) (lambda (arg-10420) (DataC-45Vect-u--null_Foldable_C-40VectC-32C-36nC-41 arg-10420))) (lambda (u--elem) (lambda (u--acc) (lambda (u--m) (lambda (i_con-0) (lambda (u--funcM) (lambda (u--init) (lambda (u--input) (DataC-45Vect-u--foldlM_Foldable_C-40VectC-32C-36nC-41 i_con-0 u--funcM u--init u--input)))))))) (lambda (u--elem) (lambda (arg-10449) (DataC-45Vect-u--toList_Foldable_C-40VectC-32C-36nC-41 arg-10449))) (lambda (u--a) (lambda (u--m) (lambda (i_con-0) (lambda (u--f) (lambda (arg-10463) (DataC-45Vect-u--foldMap_Foldable_C-40VectC-32C-36nC-41 i_con-0 u--f arg-10463))))))))))
(define csegen-2241(blodwen-lazy (lambda () (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-0 (lambda (eta-0) (vector 1 '())))) eff-0)))))))
(define csegen-2249(blodwen-lazy (lambda () (cons (lambda (arg-528) (lambda (arg-531) (CoreC-45Ord-u--C-61C-61_Eq_C-40CConAltC-32C-36varsC-41 arg-528 arg-531))) (lambda (arg-538) (lambda (arg-541) (CoreC-45Ord-u--C-47C-61_Eq_C-40CConAltC-32C-36varsC-41 arg-538 arg-541)))))))
(define csegen-2260(blodwen-lazy (lambda () (cons (lambda (arg-528) (lambda (arg-531) (CoreC-45Ord-u--C-61C-61_Eq_C-40CConstAltC-32C-36varsC-41 arg-528 arg-531))) (lambda (arg-538) (lambda (arg-541) (CoreC-45Ord-u--C-47C-61_Eq_C-40CConstAltC-32C-36varsC-41 arg-538 arg-541)))))))
(define csegen-2271(blodwen-lazy (lambda () (lambda (eta-0) (lambda (eta-1) (bs+ eta-0 eta-1 63))))))
(define csegen-2277(blodwen-lazy (lambda () ((csegen-0) "Unknown field name"))))
(define csegen-2280(blodwen-lazy (lambda () (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (DataC-45Vect-u--map_Functor_C-40VectC-32C-36nC-41 eta-2 eta-3))))))))
(define csegen-2281(blodwen-lazy (lambda () (let ((eff-0 (csegen-2280))) (lambda (arg-0) (lambda (arg-1) ((((eff-0 'erased) 'erased) arg-0) arg-1)))))))
(define csegen-2283(blodwen-lazy (lambda () ((csegen-25) (lambda (eta-0) (CompilerC-45CompileExpr-weakenVar eta-0))))))
(define csegen-2292(blodwen-lazy (lambda () (cons (lambda (u--x) (CoreC-45ContextC-45Context-u--show_Show_Def u--x)) (lambda (u--d) (lambda (u--x) (CoreC-45ContextC-45Context-u--showPrec_Show_Def u--d u--x)))))))
(define csegen-2296(blodwen-lazy (lambda () (lambda (eta-0) (vector 1 (vector 22 (vector 1 (vector 0 "Type")) '()))))))
(define csegen-2299(blodwen-lazy (lambda () (lambda (eta-0) (vector 1 (vector 22 (vector 1 (vector 0 "__")) '()))))))
(define csegen-2313(blodwen-lazy (lambda () ((csegen-0) "Badly formed struct type"))))
(define csegen-2316(blodwen-lazy (lambda () ((csegen-0) "Unknown name for struct"))))
(define csegen-2320(blodwen-lazy (lambda () (cons (lambda (arg-6988) (lambda (arg-6991) (CoreC-45Context-u--full_HasNames_Def arg-6988 arg-6991))) (lambda (arg-6998) (lambda (arg-7001) (CoreC-45Context-u--resolved_HasNames_Def arg-6998 arg-7001)))))))
(define csegen-2329(blodwen-lazy (lambda () (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 "Can't happen caseLam 2") eta-0)))))
(define csegen-2330(blodwen-lazy (lambda () (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 "Can't happen caseLam 1") eta-0)))))
(define csegen-2331(blodwen-lazy (lambda () (System-exitWith (csegen-40) (cons 1 (vector 0 ))))))
(define csegen-2332(blodwen-lazy (lambda () (PrimIO-io_bind (csegen-2331) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))))
(define csegen-2334(blodwen-lazy (lambda () (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-0 (csegen-2332))) eff-0)))))))
(define csegen-2353(blodwen-lazy (lambda () (LibrariesC-45DataC-45Version-showVersion 0 (IdrisC-45Version-version)))))
(define csegen-2355(blodwen-lazy (lambda () (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-0 (lambda (eta-0) (vector 1 1)))) eff-0)))))))
(define csegen-2356(blodwen-lazy (lambda () (CoreC-45Core-newRef (vector "Idris.Syntax.Syn" ) (IdrisC-45Syntax-initSyntax)))))
(define csegen-2358(blodwen-lazy (lambda () (vector 0 0 (SystemC-45FileC-45Virtual-stdin) (SystemC-45FileC-45Virtual-stdout)))))
(define csegen-2360(blodwen-lazy (lambda () (CoreC-45Core-newRef (vector "Core.UnifyState.UST" ) (CoreC-45UnifyState-initUState)))))
(define csegen-2361(blodwen-lazy (lambda () (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-0 (lambda (eta-0) (vector 1 (vector 0 e-5))))) eff-0))))))))
(define csegen-2365(blodwen-lazy (lambda () (lambda (eta-0) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-863) (Builtin-fst eta-0))))))
(define csegen-2368(blodwen-lazy (lambda () (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-0 (lambda (eta-0) (vector 1 (vector 0 ))))) eff-0)))))))
(define csegen-2372(blodwen-lazy (lambda () (PreludeC-45IO-putStrLn (csegen-40) (IdrisC-45CommandLine-usage)))))
(define csegen-2380(blodwen-lazy (lambda () (LibrariesC-45DataC-45Version-showVersion 1 (IdrisC-45Version-version)))))
(define csegen-2388(blodwen-lazy (lambda () (cons (lambda (arg-4791) (lambda (arg-4796) (lambda (eta-0) (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40C-124UnitC-44MkUnitC-124C-41 arg-4791 arg-4796 eta-0)))) (lambda (arg-4804) (lambda (eta-0) (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40C-124UnitC-44MkUnitC-124C-41 arg-4804 eta-0)))))))
(define csegen-2392(blodwen-lazy (lambda () (PrimIO-io_bind (PreludeC-45IO-putStrLn (csegen-40) "Processing as TTImp") (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))))
(define csegen-2396(blodwen-lazy (lambda () (cons (cons (lambda (arg-6988) (lambda (arg-6991) (lambda (eta-0) (YaffleC-45Main-u--full_HasNames_C-40C-124UnitC-44MkUnitC-124C-41 arg-6988 arg-6991 eta-0)))) (lambda (arg-6998) (lambda (arg-7001) (lambda (eta-0) (YaffleC-45Main-u--resolved_HasNames_C-40C-124UnitC-44MkUnitC-124C-41 arg-6998 arg-7001 eta-0))))) (csegen-2388)))))
(define csegen-2398(blodwen-lazy (lambda () (PrimIO-io_bind (PreludeC-45IO-putStrLn (csegen-40) "Written TTC") (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))))
(define csegen-2399(blodwen-lazy (lambda () ((csegen-50) (lambda (eta-0) (vector 0 ))))))
(define csegen-2403(blodwen-lazy (lambda () (PrimIO-io_bind (PreludeC-45Interfaces-C-62C-62 (csegen-39) ((csegen-2399) (PreludeC-45IO-putStrLn (csegen-40) (YaffleC-45Main-usage))) (lambda () (csegen-2331))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))))
(define csegen-2405(blodwen-lazy (lambda () (cons (lambda (u--x) (CoreC-45TT-u--show_Show_KindedName u--x)) (lambda (u--d) (lambda (u--x) (CoreC-45TT-u--showPrec_Show_KindedName u--d u--x)))))))
(define csegen-2410(blodwen-lazy (lambda () (PreludeC-45IO-getLine (csegen-40)))))
(define csegen-2411(blodwen-lazy (lambda () (PrimIO-io_bind (csegen-2410) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))))
(define csegen-2412(blodwen-lazy (lambda () (cons (csegen-40) (csegen-1279)))))
(define csegen-2416(blodwen-lazy (lambda () (cons (csegen-40) (cons (lambda (u--x) (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 (csegen-2405) u--x)) (lambda (u--d) (lambda (u--x) (TTImpC-45TTImp-u--showPrec_Show_C-40RawImpC-39C-32C-36nmC-41 (csegen-2405) u--d u--x))))))))
(define csegen-2424(blodwen-lazy (lambda () (cons (lambda (u--x) (TTImpC-45TTImp-u--show_Show_C-40ImpClauseC-39C-32C-36nmC-41 (csegen-100) u--x)) (lambda (u--d) (lambda (u--x) (TTImpC-45TTImp-u--showPrec_Show_C-40ImpClauseC-39C-32C-36nmC-41 (csegen-100) u--d u--x)))))))
(define csegen-2426(blodwen-lazy (lambda () (PrimIO-io_bind (PreludeC-45IO-putStrLn (csegen-40) "Failed") (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))))
(define csegen-2431(blodwen-lazy (lambda () ((csegen-0) "Can't find declaration for "))))
(define csegen-2436(blodwen-lazy (lambda () (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-0 (lambda (eta-0) (vector 1 0)))) eff-0)))))))
(define csegen-2438(blodwen-lazy (lambda () (cons (lambda (arg-8326) (lambda (arg-8329) (ParserC-45RuleC-45Source-u--C-60C-43C-62_Semigroup_ParsingState arg-8326 arg-8329))) (ParserC-45RuleC-45Source-u--neutral_Monoid_ParsingState)))))
(define csegen-2443(blodwen-lazy (lambda () (cons (cons (lambda (u--x) (ParserC-45LexerC-45Source-u--show_Show_Token u--x)) (lambda (u--d) (lambda (u--x) (ParserC-45LexerC-45Source-u--showPrec_Show_Token u--d u--x)))) (cons (lambda (arg-8762) (ParserC-45LexerC-45Source-u--pretty_Pretty_Void_Token arg-8762)) (lambda (arg-8768) (lambda (arg-8771) (ParserC-45LexerC-45Source-u--prettyPrec_Pretty_Void_Token arg-8768 arg-8771))))))))
(define csegen-2444(blodwen-lazy (lambda () (cons (csegen-587) (csegen-587)))))
(define csegen-2448(blodwen-lazy (lambda () (cons (csegen-1246) (cons (lambda (u--x) (PreludeC-45Show-u--show_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-2444) u--x)) (lambda (u--d) (lambda (u--x) (PreludeC-45Show-u--showPrec_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-2444) u--d u--x))))))))
(define csegen-2451(blodwen-lazy (lambda () (cons (lambda (u--x) (PreludeC-45Show-u--show_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-2448) u--x)) (lambda (u--d) (lambda (u--x) (PreludeC-45Show-u--showPrec_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-2448) u--d u--x)))))))
(define csegen-2454(blodwen-lazy (lambda () (cons (cons (lambda (u--x) (ProtocolC-45IDEC-45Decoration-u--show_Show_Decoration u--x)) (lambda (u--d) (lambda (u--x) (ProtocolC-45IDEC-45Decoration-u--show_Show_Decoration u--x)))) (csegen-1277)))))
(define csegen-2458(blodwen-lazy (lambda () (cons (csegen-2451) (cons (lambda (u--x) (PreludeC-45Show-u--show_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-2454) u--x)) (lambda (u--d) (lambda (u--x) (PreludeC-45Show-u--showPrec_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-2454) u--d u--x))))))))
(define csegen-2461(blodwen-lazy (lambda () (cons (lambda (u--x) (PreludeC-45Show-u--show_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-2458) u--x)) (lambda (u--d) (lambda (u--x) (PreludeC-45Show-u--showPrec_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-2458) u--d u--x)))))))
(define csegen-2462(blodwen-lazy (lambda () ((csegen-0) "TTM"))))
(define csegen-2467(blodwen-lazy (lambda () (cons (lambda (arg-4791) (lambda (arg-4796) (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-1948) arg-4791 arg-4796))) (lambda (arg-4804) (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-1948) arg-4804))))))
(define csegen-2468(blodwen-lazy (lambda () (cons (csegen-2467) (csegen-2467)))))
(define csegen-2472(blodwen-lazy (lambda () (cons (cons (lambda (arg-4791) (lambda (arg-4796) (CoreC-45TTC-u--toBuf_TTC_OriginDesc arg-4791 arg-4796))) (lambda (arg-4804) (CoreC-45TTC-u--fromBuf_TTC_OriginDesc arg-4804))) (cons (lambda (arg-4791) (lambda (arg-4796) (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-2468) arg-4791 arg-4796))) (lambda (arg-4804) (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-2468) arg-4804)))))))
(define csegen-2475(blodwen-lazy (lambda () (cons (lambda (arg-4791) (lambda (arg-4796) (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-2472) arg-4791 arg-4796))) (lambda (arg-4804) (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-2472) arg-4804))))))
(define csegen-2476(blodwen-lazy (lambda () (cons (csegen-1934) (csegen-1972)))))
(define csegen-2479(blodwen-lazy (lambda () (cons (lambda (arg-4791) (lambda (arg-4796) (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-2476) arg-4791 arg-4796))) (lambda (arg-4804) (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-2476) arg-4804))))))
(define csegen-2480(blodwen-lazy (lambda () (cons (csegen-2475) (csegen-2479)))))
(define csegen-2483(blodwen-lazy (lambda () (cons (lambda (arg-4791) (lambda (arg-4796) (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-2480) arg-4791 arg-4796))) (lambda (arg-4804) (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-2480) arg-4804))))))
(define csegen-2484(blodwen-lazy (lambda () (cons (csegen-64) (csegen-2479)))))
(define csegen-2488(blodwen-lazy (lambda () (cons (csegen-2475) (cons (lambda (arg-4791) (lambda (arg-4796) (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-2484) arg-4791 arg-4796))) (lambda (arg-4804) (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-2484) arg-4804)))))))
(define csegen-2491(blodwen-lazy (lambda () (cons (lambda (arg-4791) (lambda (arg-4796) (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-2488) arg-4791 arg-4796))) (lambda (arg-4804) (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-2488) arg-4804))))))
(define csegen-2492(blodwen-lazy (lambda () (cons (csegen-64) (csegen-1972)))))
(define csegen-2495(blodwen-lazy (lambda () (cons (lambda (arg-4791) (lambda (arg-4796) (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-2492) arg-4791 arg-4796))) (lambda (arg-4804) (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-2492) arg-4804))))))
(define csegen-2496(blodwen-lazy (lambda () (cons (csegen-2475) (csegen-64)))))
(define csegen-2500(blodwen-lazy (lambda () (cons (cons (lambda (arg-4791) (lambda (arg-4796) (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-2496) arg-4791 arg-4796))) (lambda (arg-4804) (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-2496) arg-4804))) (lambda (eta-0) (LibrariesC-45DataC-45PosMap-u--measure_Measure_C-40C-124C-40C-40BuiltinC-46PairC-32NonEmptyFCC-41C-32C-36aC-41C-44C-40C-40BuiltinC-46MkPairC-32NonEmptyFCC-41C-32C-36aC-41C-124C-41 eta-0))))))
(define csegen-2506(blodwen-lazy (lambda () (cons (cons (lambda (arg-4791) (lambda (arg-4796) (CoreC-45Metadata-u--toBuf_TTC_Decoration arg-4791 arg-4796))) (lambda (arg-4804) (CoreC-45Metadata-u--fromBuf_TTC_Decoration arg-4804))) (cons (lambda (arg-4791) (lambda (arg-4796) (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40MaybeC-32C-36aC-41 (csegen-64) arg-4791 arg-4796))) (lambda (arg-4804) (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40MaybeC-32C-36aC-41 (csegen-64) arg-4804)))))))
(define csegen-2510(blodwen-lazy (lambda () (cons (csegen-2475) (cons (lambda (arg-4791) (lambda (arg-4796) (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-2506) arg-4791 arg-4796))) (lambda (arg-4804) (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-2506) arg-4804)))))))
(define csegen-2514(blodwen-lazy (lambda () (cons (cons (lambda (arg-4791) (lambda (arg-4796) (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-2510) arg-4791 arg-4796))) (lambda (arg-4804) (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-2510) arg-4804))) (lambda (eta-0) (LibrariesC-45DataC-45PosMap-u--measure_Measure_C-40C-124C-40C-40BuiltinC-46PairC-32NonEmptyFCC-41C-32C-36aC-41C-44C-40C-40BuiltinC-46MkPairC-32NonEmptyFCC-41C-32C-36aC-41C-124C-41 eta-0))))))
(define csegen-2515(blodwen-lazy (lambda () (cons (csegen-2475) (csegen-2475)))))
(define csegen-2519(blodwen-lazy (lambda () (cons (cons (lambda (arg-4791) (lambda (arg-4796) (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-2515) arg-4791 arg-4796))) (lambda (arg-4804) (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-2515) arg-4804))) (lambda (eta-0) (LibrariesC-45DataC-45PosMap-u--measure_Measure_C-40C-124C-40C-40BuiltinC-46PairC-32NonEmptyFCC-41C-32C-36aC-41C-44C-40C-40BuiltinC-46MkPairC-32NonEmptyFCC-41C-32C-36aC-41C-124C-41 eta-0))))))
(define csegen-2520(blodwen-lazy (lambda () (cons (csegen-1068) (csegen-1538)))))
(define csegen-2523(blodwen-lazy (lambda () (cons (lambda (u--x) (PreludeC-45Show-u--show_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-2520) u--x)) (lambda (u--d) (lambda (u--x) (PreludeC-45Show-u--showPrec_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-2520) u--d u--x)))))))
(define csegen-2524(blodwen-lazy (lambda () (cons (csegen-2451) (csegen-2523)))))
(define csegen-2528(blodwen-lazy (lambda () (cons (csegen-100) (csegen-2523)))))
(define csegen-2532(blodwen-lazy (lambda () (cons (csegen-2451) (cons (lambda (u--x) (PreludeC-45Show-u--show_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-2528) u--x)) (lambda (u--d) (lambda (u--x) (PreludeC-45Show-u--showPrec_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-2528) u--d u--x))))))))
(define csegen-2535(blodwen-lazy (lambda () (cons (lambda (u--x) (PreludeC-45Show-u--show_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-2532) u--x)) (lambda (u--d) (lambda (u--x) (PreludeC-45Show-u--showPrec_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-2532) u--d u--x)))))))
(define csegen-2536(blodwen-lazy (lambda () (cons (csegen-100) (csegen-1538)))))
(define csegen-2540(blodwen-lazy (lambda () (cons (csegen-2451) (csegen-100)))))
(define csegen-2544(blodwen-lazy (lambda () (cons (csegen-2451) (csegen-2451)))))
(define csegen-2551(blodwen-lazy (lambda () ((csegen-77) (lambda (eta-0) (Builtin-snd eta-0))))))
(define csegen-2552(blodwen-lazy (lambda () (lambda (u--x) (lambda (u--y) (CoreC-45Name-u--C-61C-61_Eq_Name (CoreC-45Name-dropNS u--x) (CoreC-45Name-dropNS u--y)))))))
(define csegen-2554(blodwen-lazy (lambda () (lambda (eta-0) (lambda (eta-1) (LibrariesC-45DataC-45PosMap-u--foldMap_Foldable_PosMap (csegen-83) eta-0 eta-1))))))
(define csegen-2555(blodwen-lazy (lambda () (lambda (eta-0) (LibrariesC-45DataC-45PosMap-u--measureRM_MeasureRM_C-36a (lambda (eta-1) (LibrariesC-45DataC-45PosMap-u--measure_Measure_C-40C-124C-40C-40BuiltinC-46PairC-32NonEmptyFCC-41C-32C-36aC-41C-44C-40C-40BuiltinC-46MkPairC-32NonEmptyFCC-41C-32C-36aC-41C-124C-41 eta-1)) eta-0)))))
(define csegen-2556(blodwen-lazy (lambda () (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (LibrariesC-45DataC-45PosMap-exactRange (csegen-2555) eta-0 eta-1 eta-2)))))))
(define csegen-2562(blodwen-lazy (lambda () (cons (lambda (arg-6988) (lambda (arg-6991) (CoreC-45Binary-u--full_HasNames_C-40C-124C-40C-40BuiltinC-46PairC-32NameC-41C-32C-40ListC-32C-36aC-41C-41C-44C-40C-40BuiltinC-46MkPairC-32NameC-41C-32C-40ListC-32C-36aC-41C-41C-124C-41 arg-6988 arg-6991))) (lambda (arg-6998) (lambda (arg-7001) (CoreC-45Binary-u--resolved_HasNames_C-40C-124C-40C-40BuiltinC-46PairC-32NameC-41C-32C-40ListC-32C-36aC-41C-41C-44C-40C-40BuiltinC-46MkPairC-32NameC-41C-32C-40ListC-32C-36aC-41C-41C-124C-41 arg-6998 arg-7001)))))))
(define csegen-2565(blodwen-lazy (lambda () (cons (lambda (arg-6988) (lambda (arg-6991) (CoreC-45Binary-u--full_HasNames_C-40C-124C-40C-40BuiltinC-46PairC-32NameC-41C-32TransformC-41C-44C-40C-40BuiltinC-46MkPairC-32NameC-41C-32TransformC-41C-124C-41 arg-6988 arg-6991))) (lambda (arg-6998) (lambda (arg-7001) (CoreC-45Binary-u--resolved_HasNames_C-40C-124C-40C-40BuiltinC-46PairC-32NameC-41C-32TransformC-41C-44C-40C-40BuiltinC-46MkPairC-32NameC-41C-32TransformC-41C-124C-41 arg-6998 arg-7001)))))))
(define csegen-2566(blodwen-lazy (lambda () ((csegen-0) "TT2"))))
(define csegen-2568(blodwen-lazy (lambda () (cons (lambda (arg-4791) (lambda (arg-4796) (CoreC-45TTC-u--toBuf_TTC_Namespace arg-4791 arg-4796))) (lambda (arg-4804) (CoreC-45TTC-u--fromBuf_TTC_Namespace arg-4804))))))
(define csegen-2569(blodwen-lazy (lambda () (cons (csegen-2568) (csegen-1947)))))
(define csegen-2572(blodwen-lazy (lambda () (cons (lambda (arg-4791) (lambda (arg-4796) (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-2569) arg-4791 arg-4796))) (lambda (arg-4804) (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-2569) arg-4804))))))
(define csegen-2574(blodwen-lazy (lambda () (cons (lambda (arg-4791) (lambda (arg-4796) (CoreC-45TTC-u--toBuf_TTC_CG arg-4791 arg-4796))) (lambda (arg-4804) (CoreC-45TTC-u--fromBuf_TTC_CG arg-4804))))))
(define csegen-2577(blodwen-lazy (lambda () (cons (lambda (arg-4791) (lambda (arg-4796) (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40ListC-32C-36aC-41 (csegen-1945) arg-4791 arg-4796))) (lambda (arg-4804) (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40ListC-32C-36aC-41 (csegen-1945) arg-4804))))))
(define csegen-2578(blodwen-lazy (lambda () (cons (csegen-1945) (csegen-2577)))))
(define csegen-2582(blodwen-lazy (lambda () (cons (csegen-2574) (cons (lambda (arg-4791) (lambda (arg-4796) (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-2578) arg-4791 arg-4796))) (lambda (arg-4804) (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-2578) arg-4804)))))))
(define csegen-2585(blodwen-lazy (lambda () (cons (lambda (arg-4791) (lambda (arg-4796) (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-2582) arg-4791 arg-4796))) (lambda (arg-4804) (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-2582) arg-4804))))))
(define csegen-2587(blodwen-lazy (lambda () (cons (lambda (arg-4791) (lambda (arg-4796) (CoreC-45TTC-u--toBuf_TTC_ModuleIdent arg-4791 arg-4796))) (lambda (arg-4804) (CoreC-45TTC-u--fromBuf_TTC_ModuleIdent arg-4804))))))
(define csegen-2588(blodwen-lazy (lambda () (cons (csegen-66) (csegen-2568)))))
(define csegen-2592(blodwen-lazy (lambda () (cons (csegen-2587) (cons (lambda (arg-4791) (lambda (arg-4796) (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-2588) arg-4791 arg-4796))) (lambda (arg-4804) (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-2588) arg-4804)))))))
(define csegen-2595(blodwen-lazy (lambda () (cons (lambda (arg-4791) (lambda (arg-4796) (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-2592) arg-4791 arg-4796))) (lambda (arg-4804) (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-2592) arg-4804))))))
(define csegen-2598(blodwen-lazy (lambda () (cons (csegen-64) (cons (lambda (arg-4791) (lambda (arg-4796) (CoreC-45BinaryC-45Prims-u--toBuf_TTC_Binary arg-4791 arg-4796))) (lambda (arg-4804) (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_Binary arg-4804)))))))
(define csegen-2601(blodwen-lazy (lambda () (cons (lambda (arg-4791) (lambda (arg-4796) (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-2598) arg-4791 arg-4796))) (lambda (arg-4804) (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-2598) arg-4804))))))
(define csegen-2602(blodwen-lazy (lambda () (cons (csegen-64) (csegen-70)))))
(define csegen-2605(blodwen-lazy (lambda () (cons (lambda (arg-4791) (lambda (arg-4796) (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-2602) arg-4791 arg-4796))) (lambda (arg-4804) (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-2602) arg-4804))))))
(define csegen-2607(blodwen-lazy (lambda () (cons (lambda (arg-4791) (lambda (arg-4796) (CoreC-45TTC-u--toBuf_TTC_PairNames arg-4791 arg-4796))) (lambda (arg-4804) (CoreC-45TTC-u--fromBuf_TTC_PairNames arg-4804))))))
(define csegen-2609(blodwen-lazy (lambda () (cons (lambda (arg-4791) (lambda (arg-4796) (CoreC-45TTC-u--toBuf_TTC_RewriteNames arg-4791 arg-4796))) (lambda (arg-4804) (CoreC-45TTC-u--fromBuf_TTC_RewriteNames arg-4804))))))
(define csegen-2610(blodwen-lazy (lambda () (cons (csegen-64) (csegen-2577)))))
(define csegen-2613(blodwen-lazy (lambda () (cons (lambda (arg-4791) (lambda (arg-4796) (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-2610) arg-4791 arg-4796))) (lambda (arg-4804) (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-2610) arg-4804))))))
(define csegen-2614(blodwen-lazy (lambda () (cons (csegen-2574) (csegen-1945)))))
(define csegen-2617(blodwen-lazy (lambda () (cons (lambda (arg-4791) (lambda (arg-4796) (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-2614) arg-4791 arg-4796))) (lambda (arg-4804) (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-2614) arg-4804))))))
(define csegen-2620(blodwen-lazy (lambda () (cons (csegen-64) (cons (lambda (arg-4791) (lambda (arg-4796) (CoreC-45TTC-u--toBuf_TTC_Transform arg-4791 arg-4796))) (lambda (arg-4804) (CoreC-45TTC-u--fromBuf_TTC_Transform arg-4804)))))))
(define csegen-2623(blodwen-lazy (lambda () (cons (lambda (arg-4791) (lambda (arg-4796) (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-2620) arg-4791 arg-4796))) (lambda (arg-4804) (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-2620) arg-4804))))))
(define csegen-2624(blodwen-lazy (lambda () (cons (csegen-1945) (csegen-1945)))))
(define csegen-2627(blodwen-lazy (lambda () (cons (lambda (arg-4791) (lambda (arg-4796) (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-2624) arg-4791 arg-4796))) (lambda (arg-4804) (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-2624) arg-4804))))))
(define csegen-2631(blodwen-lazy (lambda () (cons (csegen-64) (cons (lambda (arg-4791) (lambda (arg-4796) (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40ListC-32C-36aC-41 (csegen-2627) arg-4791 arg-4796))) (lambda (arg-4804) (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40ListC-32C-36aC-41 (csegen-2627) arg-4804)))))))
(define csegen-2634(blodwen-lazy (lambda () (cons (lambda (arg-4791) (lambda (arg-4796) (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-2631) arg-4791 arg-4796))) (lambda (arg-4804) (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-2631) arg-4804))))))
(define csegen-2636(blodwen-lazy (lambda () (let ((eff-0 (lambda (eta-0) (lambda (eta-1) (PreludeC-45Types-u--C-60C-43C-62_Semigroup_C-40MaybeC-32C-36aC-41 eta-0 eta-1))))) (lambda (arg-0) (lambda (arg-1) ((eff-0 arg-0) arg-1)))))))
(define csegen-2640(blodwen-lazy (lambda () (lambda (eta-0) (vector 1 (cons '() 0))))))
(define csegen-2644(blodwen-lazy (lambda () (cons (lambda (arg-528) (lambda (arg-531) (PreludeC-45EqOrd-u--C-61C-61_Eq_Bool arg-528 arg-531))) (lambda (arg-538) (lambda (arg-541) (PreludeC-45EqOrd-u--C-47C-61_Eq_Bool arg-538 arg-541)))))))
(define csegen-2647(blodwen-lazy (lambda () (cons (lambda (arg-528) (lambda (arg-531) (CoreC-45NameC-45Namespace-u--C-61C-61_Eq_Namespace arg-528 arg-531))) (lambda (arg-538) (lambda (arg-541) (CoreC-45NameC-45Namespace-u--C-47C-61_Eq_Namespace arg-538 arg-541)))))))
(define csegen-2650(blodwen-lazy (lambda () (cons (lambda (arg-528) (lambda (arg-531) (PreludeC-45EqOrd-u--C-61C-61_Eq_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-2644) (csegen-2647) arg-528 arg-531))) (lambda (arg-538) (lambda (arg-541) (PreludeC-45EqOrd-u--C-47C-61_Eq_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-2644) (csegen-2647) arg-538 arg-541)))))))
(define csegen-2653(blodwen-lazy (lambda () (cons (lambda (arg-528) (lambda (arg-531) (PreludeC-45EqOrd-u--C-61C-61_Eq_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-353) (csegen-2650) arg-528 arg-531))) (lambda (arg-538) (lambda (arg-541) (PreludeC-45EqOrd-u--C-47C-61_Eq_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-353) (csegen-2650) arg-538 arg-541)))))))
(define csegen-2658(blodwen-lazy (lambda () (cons (csegen-345) (csegen-1030)))))
(define csegen-2662(blodwen-lazy (lambda () (cons (csegen-100) (cons (lambda (u--x) (PreludeC-45Show-u--show_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-2658) u--x)) (lambda (u--d) (lambda (u--x) (PreludeC-45Show-u--showPrec_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-2658) u--d u--x))))))))
(define csegen-2663(blodwen-lazy (lambda () (cons (csegen-100) (csegen-583)))))
(define csegen-2668(blodwen-lazy (lambda () (cons (csegen-583) (csegen-350)))))
(define csegen-2673(blodwen-lazy (lambda () ((csegen-25) (lambda (eta-0) (Builtin-snd (Builtin-snd eta-0)))))))
(define csegen-2689(blodwen-lazy (lambda () ((csegen-725) (lambda (eta-0) (lambda (eta-1) eta-0))))))
(define csegen-2747(blodwen-lazy (lambda () ((let ((eff-0 (csegen-732))) (lambda (arg-0) (lambda (arg-1) ((((eff-0 'erased) 'erased) arg-0) arg-1)))) (lambda (eta-0) (vector 0 ))))))
(define csegen-2760(blodwen-lazy (lambda () (PreludeC-45Interfaces-C-60C-36 (csegen-729) 0))))
(define csegen-2762(blodwen-lazy (lambda () (PreludeC-45Interfaces-C-60C-36 (csegen-729) 1))))
(define csegen-2764(blodwen-lazy (lambda () (PreludeC-45Interfaces-C-60C-36 (csegen-729) 2))))
(define csegen-2769(blodwen-lazy (lambda () (lambda (u--ps) (vector 11 0 (ParserC-45RuleC-45Source-symbol "}") (lambda () (vector 0 u--ps)))))))
(define csegen-2792(blodwen-lazy (lambda () (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-0 (lambda (eta-0) (vector 1 (Builtin-fst e-5))))) eff-0))))))))
(define csegen-2796(blodwen-lazy (lambda () (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-0 (lambda (clam-0) (let ((e-2 (car e-5))) (vector 1 (vector 3 e-2)))))) eff-0))))))))
(define csegen-2801(blodwen-lazy (lambda () (cons (lambda (arg-528) (lambda (arg-531) (IdrisC-45Error-u--C-61C-61_Eq_Error arg-528 arg-531))) (lambda (arg-538) (lambda (arg-541) (IdrisC-45Error-u--C-47C-61_Eq_Error arg-538 arg-541)))))))
(define csegen-2802(blodwen-lazy (lambda () ((csegen-0) "elab.failing"))))
(define csegen-2803(blodwen-lazy (lambda () ((csegen-0) "Failing block based on "))))
(define csegen-2804(blodwen-lazy (lambda () ((csegen-0) " failed with "))))
(define csegen-2809(blodwen-lazy (lambda () ((csegen-0) " must be: "))))
(define csegen-2810(blodwen-lazy (lambda () (lambda (eta-0) (let ((e-12 (vector-ref eta-0 12))) e-12)))))
(define csegen-2811(blodwen-lazy (lambda () (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-0 (lambda (eta-0) (vector 1 (PreludeC-45Interfaces-concat (csegen-83) (csegen-16) e-5))))) eff-0))))))))
(define csegen-2812(blodwen-lazy (lambda () ((csegen-0) "Lookup failed"))))
(define csegen-2815(blodwen-lazy (lambda () (cons (lambda (arg-6988) (lambda (arg-6991) (CoreC-45Context-u--full_HasNames_Terminating arg-6988 arg-6991))) (lambda (arg-6998) (lambda (arg-7001) (CoreC-45Context-u--resolved_HasNames_Terminating arg-6998 arg-7001)))))))
(define csegen-2821(blodwen-lazy (lambda () ((csegen-0) "totality.termination.sizechange.checkCall.inPathNot.return"))))
(define csegen-2822(blodwen-lazy (lambda () ((csegen-0) "Have result: "))))
(define csegen-2823(blodwen-lazy (lambda () ((csegen-0) "totality.positivity"))))
(define csegen-2829(blodwen-lazy (lambda () (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-0 (lambda (eta-0) (vector 1 (vector 1 ))))) eff-0)))))))
(define csegen-2846(blodwen-lazy (lambda () (vector 0 (CoreC-45NameC-45Namespace-builtinNS) (vector 1 (vector 0 ((csegen-0) "assert_total")))))))
(define csegen-2852(blodwen-lazy (lambda () (cons (lambda (arg-528) (lambda (arg-531) (PreludeC-45Types-u--C-61C-61_Eq_C-40MaybeC-32C-36aC-41 (csegen-290) arg-528 arg-531))) (lambda (arg-538) (lambda (arg-541) (PreludeC-45Types-u--C-47C-61_Eq_C-40MaybeC-32C-36aC-41 (csegen-290) arg-538 arg-541)))))))
(define csegen-2855(blodwen-lazy (lambda () (cons (lambda (arg-528) (lambda (arg-531) (PreludeC-45Types-u--C-61C-61_Eq_C-40ListC-32C-36aC-41 (csegen-2852) arg-528 arg-531))) (lambda (arg-538) (lambda (arg-541) (PreludeC-45Types-u--C-47C-61_Eq_C-40ListC-32C-36aC-41 (csegen-2852) arg-538 arg-541)))))))
(define csegen-2858(blodwen-lazy (lambda () (cons (lambda (arg-528) (lambda (arg-531) (PreludeC-45EqOrd-u--C-61C-61_Eq_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-1008) (csegen-2855) arg-528 arg-531))) (lambda (arg-538) (lambda (arg-541) (PreludeC-45EqOrd-u--C-47C-61_Eq_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-1008) (csegen-2855) arg-538 arg-541)))))))
(define csegen-2875(blodwen-lazy (lambda () (vector (csegen-2852) (lambda (arg-1418) (lambda (arg-1421) (PreludeC-45Types-u--compare_Ord_C-40MaybeC-32C-36aC-41 (csegen-298) arg-1418 arg-1421))) (lambda (arg-1428) (lambda (arg-1431) (PreludeC-45Types-u--C-60_Ord_C-40MaybeC-32C-36aC-41 (csegen-298) arg-1428 arg-1431))) (lambda (arg-1438) (lambda (arg-1441) (PreludeC-45Types-u--C-62_Ord_C-40MaybeC-32C-36aC-41 (csegen-298) arg-1438 arg-1441))) (lambda (arg-1448) (lambda (arg-1451) (PreludeC-45Types-u--C-60C-61_Ord_C-40MaybeC-32C-36aC-41 (csegen-298) arg-1448 arg-1451))) (lambda (arg-1458) (lambda (arg-1461) (PreludeC-45Types-u--C-62C-61_Ord_C-40MaybeC-32C-36aC-41 (csegen-298) arg-1458 arg-1461))) (lambda (arg-1468) (lambda (arg-1471) (PreludeC-45Types-u--max_Ord_C-40MaybeC-32C-36aC-41 (csegen-298) arg-1468 arg-1471))) (lambda (arg-1478) (lambda (arg-1481) (PreludeC-45Types-u--min_Ord_C-40MaybeC-32C-36aC-41 (csegen-298) arg-1478 arg-1481)))))))
(define csegen-2883(blodwen-lazy (lambda () (vector (csegen-2855) (lambda (arg-1418) (lambda (arg-1421) (PreludeC-45Types-u--compare_Ord_C-40ListC-32C-36aC-41 (csegen-2875) arg-1418 arg-1421))) (lambda (arg-1428) (lambda (arg-1431) (PreludeC-45Types-u--C-60_Ord_C-40ListC-32C-36aC-41 (csegen-2875) arg-1428 arg-1431))) (lambda (arg-1438) (lambda (arg-1441) (PreludeC-45Types-u--C-62_Ord_C-40ListC-32C-36aC-41 (csegen-2875) arg-1438 arg-1441))) (lambda (arg-1448) (lambda (arg-1451) (PreludeC-45Types-u--C-60C-61_Ord_C-40ListC-32C-36aC-41 (csegen-2875) arg-1448 arg-1451))) (lambda (arg-1458) (lambda (arg-1461) (PreludeC-45Types-u--C-62C-61_Ord_C-40ListC-32C-36aC-41 (csegen-2875) arg-1458 arg-1461))) (lambda (arg-1468) (lambda (arg-1471) (PreludeC-45Types-u--max_Ord_C-40ListC-32C-36aC-41 (csegen-2875) arg-1468 arg-1471))) (lambda (arg-1478) (lambda (arg-1481) (PreludeC-45Types-u--min_Ord_C-40ListC-32C-36aC-41 (csegen-2875) arg-1478 arg-1481)))))))
(define csegen-2895(blodwen-lazy (lambda () ((csegen-0) " not a data type"))))
(define csegen-2897(blodwen-lazy (lambda () (vector 0 (csegen-54)))))
(define csegen-2898(blodwen-lazy (lambda () ((csegen-0) "declare.type"))))
(define csegen-2901(blodwen-lazy (lambda () (cons (lambda (arg-528) (lambda (arg-531) (TTImpC-45ElabC-45Check-u--C-61C-61_Eq_ElabOpt arg-528 arg-531))) (lambda (arg-538) (lambda (arg-541) (TTImpC-45ElabC-45Check-u--C-47C-61_Eq_ElabOpt arg-538 arg-541)))))))
(define csegen-2906(blodwen-lazy (lambda () ((csegen-0) "metadata.names"))))
(define csegen-2908(blodwen-lazy (lambda () ((csegen-0) "Saving from "))))
(define csegen-2909(blodwen-lazy (lambda () ((csegen-0) "module.hash"))))
(define csegen-2915(blodwen-lazy (lambda () (vector (lambda (arg-823) (lambda (arg-826) (AlgebraC-45ZeroOneOmega-u--C-60C-61_Preorder_ZeroOneOmega arg-823 arg-826))) (lambda (u--x) (AlgebraC-45ZeroOneOmega-u--preorderRefl_Preorder_ZeroOneOmega u--x)) (lambda (u--x) (lambda (u--y) (lambda (u--z) (lambda (arg-847) (lambda (arg-853) (AlgebraC-45ZeroOneOmega-u--preorderTrans_Preorder_ZeroOneOmega u--x u--y u--z arg-847 arg-853))))))))))
(define csegen-2919(blodwen-lazy (lambda () ((csegen-0) "ide-mode.highlight"))))
(define csegen-2924(blodwen-lazy (lambda () (let ((eff-0 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (TTImpC-45TTImpC-45Functor-u--map_Functor_RawImpC-39 eta-2 eta-3))))))) (lambda (arg-0) (lambda (arg-1) ((((eff-0 'erased) 'erased) arg-0) arg-1)))))))
(define csegen-2925(blodwen-lazy (lambda () ((csegen-2924) (csegen-327)))))
(define csegen-2927(blodwen-lazy (lambda () ((csegen-0) "unexpected Elab constructor "))))
(define csegen-2928(blodwen-lazy (lambda () ((csegen-0) ", or incorrect count of arguments: "))))
(define csegen-2929(blodwen-lazy (lambda () (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (CoreC-45Reflect-u--reify_Reify_FC eta-0 eta-1 eta-2 eta-3))))))))
(define csegen-2930(blodwen-lazy (lambda () (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (CoreC-45Reflect-u--reify_Reify_String eta-0 eta-1 eta-2 eta-3))))))))
(define csegen-2931(blodwen-lazy (lambda () (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (CoreC-45Reflect-u--reify_Reify_Nat eta-0 eta-1 eta-2 eta-3))))))))
(define csegen-2932(blodwen-lazy (lambda () (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (lambda (eta-4) (lambda (eta-5) (CoreC-45Reflect-u--reflect_Reflect_C-40C-124UnitC-44MkUnitC-124C-41 eta-0 eta-1 eta-2 eta-3 eta-4 eta-5))))))))))
(define csegen-2933(blodwen-lazy (lambda () (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (TTImpC-45Reflect-u--reify_Reify_RawImp eta-0 eta-1 eta-2 eta-3))))))))
(define csegen-2934(blodwen-lazy (lambda () ((csegen-2924) (lambda (eta-0) (CoreC-45TT-defaultKindedName eta-0))))))
(define csegen-2938(blodwen-lazy (lambda () (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (lambda (eta-4) (lambda (eta-5) (TTImpC-45Reflect-u--reflect_Reflect_RawImp eta-0 eta-1 eta-2 eta-3 eta-4 eta-5))))))))))
(define csegen-2939(blodwen-lazy (lambda () (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (lambda (eta-4) (lambda (eta-5) (CoreC-45Reflect-u--reflect_Reflect_C-40MaybeC-32C-36aC-41 (csegen-2938) eta-0 eta-1 eta-2 eta-3 eta-4 eta-5))))))))))
(define csegen-2940(blodwen-lazy (lambda () (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (lambda (eta-4) (lambda (eta-5) (CoreC-45Reflect-u--reflect_Reflect_Name eta-0 eta-1 eta-2 eta-3 eta-4 eta-5))))))))))
(define csegen-2941(blodwen-lazy (lambda () (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (lambda (eta-4) (lambda (eta-5) (CoreC-45Reflect-u--reflect_Reflect_C-40ListC-32C-36aC-41 (csegen-2940) eta-0 eta-1 eta-2 eta-3 eta-4 eta-5))))))))))
(define csegen-2942(blodwen-lazy (lambda () (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (CoreC-45Reflect-u--reify_Reify_Name eta-0 eta-1 eta-2 eta-3))))))))
(define csegen-2952(blodwen-lazy (lambda () (vector 0 (CoreC-45NameC-45Namespace-reflectionNS) (vector 1 (vector 0 "Elab"))))))
(define csegen-2956(blodwen-lazy (lambda () (let ((eff-0 (lambda (u--b) (lambda (u--a) (lambda (u--func) (lambda (arg-8737) (TTImpC-45TTImpC-45Functor-u--map_Functor_RawImpC-39 u--func arg-8737))))))) (lambda (arg-0) (lambda (arg-1) ((((eff-0 'erased) 'erased) arg-0) arg-1)))))))
(define csegen-2960(blodwen-lazy (lambda () (let ((eff-0 (lambda (u--b) (lambda (u--a) (lambda (u--func) (lambda (arg-8737) (TTImpC-45TTImpC-45Functor-u--map_Functor_ImpClauseC-39 u--func arg-8737))))))) (lambda (arg-0) (lambda (arg-1) ((((eff-0 'erased) 'erased) arg-0) arg-1)))))))
(define csegen-2964(blodwen-lazy (lambda () (let ((eff-0 (lambda (u--b) (lambda (u--a) (lambda (u--func) (lambda (arg-8737) (TTImpC-45TTImpC-45Functor-u--map_Functor_ImpDeclC-39 u--func arg-8737))))))) (lambda (arg-0) (lambda (arg-1) ((((eff-0 'erased) 'erased) arg-0) arg-1)))))))
(define csegen-2976(blodwen-lazy (lambda () (let ((eff-0 (lambda (u--b) (lambda (u--a) (lambda (u--func) (lambda (arg-8737) (TTImpC-45TTImpC-45Functor-u--map_Functor_ImpParameterC-39 u--func arg-8737))))))) (lambda (arg-0) (lambda (arg-1) ((((eff-0 'erased) 'erased) arg-0) arg-1)))))))
(define csegen-2993(blodwen-lazy (lambda () (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (CoreC-45Reflect-u--reify_Reify_RigCount eta-0 eta-1 eta-2 eta-3))))))))
(define csegen-2994(blodwen-lazy (lambda () (lambda (u--c) (lambda (u--vars) (lambda (arg-6432) (lambda (arg-6435) (TTImpC-45Reflect-u--reify_Reify_RawImp u--c u--vars arg-6432 arg-6435))))))))
(define csegen-2995(blodwen-lazy (lambda () (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (CoreC-45Reflect-u--reify_Reify_C-40PiInfoC-32C-36tC-41 (csegen-2994) eta-0 eta-1 eta-2 eta-3))))))))
(define csegen-2996(blodwen-lazy (lambda () (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (CoreC-45Reflect-u--reify_Reify_C-40MaybeC-32C-36aC-41 (csegen-2942) eta-0 eta-1 eta-2 eta-3))))))))
(define csegen-2998(blodwen-lazy (lambda () (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (CoreC-45Reflect-u--reify_Reify_C-40ListC-32C-36aC-41 (lambda (u--c) (lambda (u--vars) (lambda (arg-6432) (lambda (arg-6435) (TTImpC-45Reflect-u--reify_Reify_ImpClause u--c u--vars arg-6432 arg-6435))))) eta-0 eta-1 eta-2 eta-3))))))))
(define csegen-3000(blodwen-lazy (lambda () (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (CoreC-45Reflect-u--reify_Reify_C-40ListC-32C-36aC-41 (lambda (u--c) (lambda (u--vars) (lambda (arg-6432) (lambda (arg-6435) (TTImpC-45Reflect-u--reify_Reify_ImpDecl u--c u--vars arg-6432 arg-6435))))) eta-0 eta-1 eta-2 eta-3))))))))
(define csegen-3004(blodwen-lazy (lambda () (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (CoreC-45Reflect-u--reify_Reify_C-40ListC-32C-36aC-41 (csegen-2994) eta-0 eta-1 eta-2 eta-3))))))))
(define csegen-3005(blodwen-lazy (lambda () (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-0 (lambda (eta-0) (vector 1 (vector 29 e-5))))) eff-0))))))))
(define csegen-3015(blodwen-lazy (lambda () (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (CoreC-45Reflect-u--reify_Reify_C-40ListC-32C-36aC-41 (lambda (eta-4) (lambda (eta-5) (lambda (eta-6) (lambda (eta-7) (CoreC-45Reflect-u--reify_Reify_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (cons (csegen-2942) (lambda (eta-8) (lambda (eta-9) (lambda (eta-10) (lambda (eta-11) (CoreC-45Reflect-u--reify_Reify_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (cons (csegen-2993) (lambda (eta-12) (lambda (eta-13) (lambda (eta-14) (lambda (eta-15) (CoreC-45Reflect-u--reify_Reify_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (cons (csegen-2995) (csegen-2994)) eta-12 eta-13 eta-14 eta-15)))))) eta-8 eta-9 eta-10 eta-11)))))) eta-4 eta-5 eta-6 eta-7))))) eta-0 eta-1 eta-2 eta-3))))))))
(define csegen-3017(blodwen-lazy (lambda () (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (CoreC-45Reflect-u--reify_Reify_C-40ListC-32C-36aC-41 (lambda (u--c) (lambda (u--vars) (lambda (arg-6432) (lambda (arg-6435) (TTImpC-45Reflect-u--reify_Reify_DataOpt u--c u--vars arg-6432 arg-6435))))) eta-0 eta-1 eta-2 eta-3))))))))
(define csegen-3022(blodwen-lazy (lambda () (lambda (u--c) (lambda (u--vars) (lambda (arg-6432) (lambda (arg-6435) (TTImpC-45Reflect-u--reify_Reify_ImpTy u--c u--vars arg-6432 arg-6435))))))))
(define csegen-3024(blodwen-lazy (lambda () (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (CoreC-45Reflect-u--reify_Reify_C-40MaybeC-32C-36aC-41 (lambda (eta-4) (lambda (eta-5) (lambda (eta-6) (lambda (eta-7) (CoreC-45Reflect-u--reify_Reify_TotalReq eta-4 eta-5 eta-6 eta-7))))) eta-0 eta-1 eta-2 eta-3))))))))
(define csegen-3026(blodwen-lazy (lambda () (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (CoreC-45Reflect-u--reify_Reify_C-40MaybeC-32C-36aC-41 (csegen-2930) eta-0 eta-1 eta-2 eta-3))))))))
(define csegen-3028(blodwen-lazy (lambda () (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (CoreC-45Reflect-u--reify_Reify_C-40ListC-32C-36aC-41 (csegen-2930) eta-0 eta-1 eta-2 eta-3))))))))
(define csegen-3032(blodwen-lazy (lambda () (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-0 (lambda (eta-0) (vector 1 (vector 10 e-5))))) eff-0))))))))
(define csegen-3036(blodwen-lazy (lambda () (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-0 (lambda (eta-0) (vector 1 (vector 4 e-5))))) eff-0))))))))
(define csegen-3037(blodwen-lazy (lambda () (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-0 (lambda (eta-0) (vector 1 (vector 5 e-5))))) eff-0))))))))
(define csegen-3038(blodwen-lazy (lambda () (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-0 (lambda (eta-0) (vector 1 (vector 7 e-5))))) eff-0))))))))
(define csegen-3039(blodwen-lazy (lambda () (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-0 (lambda (eta-0) (vector 1 (vector 8 e-5))))) eff-0))))))))
(define csegen-3041(blodwen-lazy (lambda () (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (CoreC-45Reflect-u--reify_Reify_C-40ListC-32C-36aC-41 (csegen-2942) eta-0 eta-1 eta-2 eta-3))))))))
(define csegen-3042(blodwen-lazy (lambda () (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-0 (lambda (eta-0) (vector 1 (vector 12 e-5))))) eff-0))))))))
(define csegen-3043(blodwen-lazy (lambda () (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-0 (lambda (eta-0) (vector 1 (vector 0 e-5))))) eff-0))))))))
(define csegen-3044(blodwen-lazy (lambda () (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-0 (lambda (eta-0) (vector 1 (vector 0 e-5))))) eff-0))))))))
(define csegen-3045(blodwen-lazy (lambda () (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-0 (lambda (eta-0) (vector 1 (vector 2 e-5))))) eff-0))))))))
(define csegen-3046(blodwen-lazy (lambda () (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (lambda (eta-4) (lambda (eta-5) (CoreC-45Reflect-u--reflect_Reflect_RigCount eta-0 eta-1 eta-2 eta-3 eta-4 eta-5))))))))))
(define csegen-3047(blodwen-lazy (lambda () (lambda (u--vars) (lambda (arg-6498) (lambda (arg-6501) (lambda (u--onLHS) (lambda (arg-6506) (lambda (arg-6510) (TTImpC-45Reflect-u--reflect_Reflect_RawImp u--vars arg-6498 arg-6501 u--onLHS arg-6506 arg-6510))))))))))
(define csegen-3048(blodwen-lazy (lambda () (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (lambda (eta-4) (lambda (eta-5) (CoreC-45Reflect-u--reflect_Reflect_C-40PiInfoC-32C-36tC-41 (csegen-3047) eta-0 eta-1 eta-2 eta-3 eta-4 eta-5))))))))))
(define csegen-3049(blodwen-lazy (lambda () (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (lambda (eta-4) (lambda (eta-5) (CoreC-45Reflect-u--reflect_Reflect_C-40MaybeC-32C-36aC-41 (csegen-2940) eta-0 eta-1 eta-2 eta-3 eta-4 eta-5))))))))))
(define csegen-3051(blodwen-lazy (lambda () (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (lambda (eta-4) (lambda (eta-5) (CoreC-45Reflect-u--reflect_Reflect_C-40ListC-32C-36aC-41 (lambda (u--vars) (lambda (arg-6498) (lambda (arg-6501) (lambda (u--onLHS) (lambda (arg-6506) (lambda (arg-6510) (TTImpC-45Reflect-u--reflect_Reflect_ImpClause u--vars arg-6498 arg-6501 u--onLHS arg-6506 arg-6510))))))) eta-0 eta-1 eta-2 eta-3 eta-4 eta-5))))))))))
(define csegen-3053(blodwen-lazy (lambda () (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (lambda (eta-4) (lambda (eta-5) (CoreC-45Reflect-u--reflect_Reflect_C-40ListC-32C-36aC-41 (lambda (u--vars) (lambda (arg-6498) (lambda (arg-6501) (lambda (u--onLHS) (lambda (arg-6506) (lambda (arg-6510) (TTImpC-45Reflect-u--reflect_Reflect_ImpDecl u--vars arg-6498 arg-6501 u--onLHS arg-6506 arg-6510))))))) eta-0 eta-1 eta-2 eta-3 eta-4 eta-5))))))))))
(define csegen-3057(blodwen-lazy (lambda () (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (lambda (eta-4) (lambda (eta-5) (CoreC-45Reflect-u--reflect_Reflect_C-40ListC-32C-36aC-41 (csegen-3047) eta-0 eta-1 eta-2 eta-3 eta-4 eta-5))))))))))
(define csegen-3062(blodwen-lazy (lambda () (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (lambda (eta-4) (lambda (eta-5) (CoreC-45Reflect-u--reflect_Reflect_C-40ListC-32C-36aC-41 (lambda (eta-6) (lambda (eta-7) (lambda (eta-8) (lambda (eta-9) (lambda (eta-10) (lambda (eta-11) (CoreC-45Reflect-u--reflect_Reflect_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (cons (lambda (eta-12) (lambda (eta-13) (lambda (eta-14) (lambda (eta-15) (lambda (eta-16) (lambda (eta-17) (CoreC-45Reflect-u--reflect_Reflect_FC eta-12 eta-13 eta-14 eta-15 eta-16 eta-17))))))) (csegen-2940)) eta-6 eta-7 eta-8 eta-9 eta-10 eta-11))))))) eta-0 eta-1 eta-2 eta-3 eta-4 eta-5))))))))))
(define csegen-3069(blodwen-lazy (lambda () (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (lambda (eta-4) (lambda (eta-5) (CoreC-45Reflect-u--reflect_Reflect_C-40ListC-32C-36aC-41 (lambda (eta-6) (lambda (eta-7) (lambda (eta-8) (lambda (eta-9) (lambda (eta-10) (lambda (eta-11) (CoreC-45Reflect-u--reflect_Reflect_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (cons (csegen-2940) (lambda (eta-12) (lambda (eta-13) (lambda (eta-14) (lambda (eta-15) (lambda (eta-16) (lambda (eta-17) (CoreC-45Reflect-u--reflect_Reflect_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (cons (csegen-3046) (lambda (eta-18) (lambda (eta-19) (lambda (eta-20) (lambda (eta-21) (lambda (eta-22) (lambda (eta-23) (CoreC-45Reflect-u--reflect_Reflect_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (cons (csegen-3048) (csegen-3047)) eta-18 eta-19 eta-20 eta-21 eta-22 eta-23)))))))) eta-12 eta-13 eta-14 eta-15 eta-16 eta-17)))))))) eta-6 eta-7 eta-8 eta-9 eta-10 eta-11))))))) eta-0 eta-1 eta-2 eta-3 eta-4 eta-5))))))))))
(define csegen-3071(blodwen-lazy (lambda () (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (lambda (eta-4) (lambda (eta-5) (CoreC-45Reflect-u--reflect_Reflect_C-40ListC-32C-36aC-41 (lambda (u--vars) (lambda (arg-6498) (lambda (arg-6501) (lambda (u--onLHS) (lambda (arg-6506) (lambda (arg-6510) (TTImpC-45Reflect-u--reflect_Reflect_DataOpt u--vars arg-6498 arg-6501 u--onLHS arg-6506 arg-6510))))))) eta-0 eta-1 eta-2 eta-3 eta-4 eta-5))))))))))
(define csegen-3076(blodwen-lazy (lambda () (lambda (u--vars) (lambda (arg-6498) (lambda (arg-6501) (lambda (u--onLHS) (lambda (arg-6506) (lambda (arg-6510) (TTImpC-45Reflect-u--reflect_Reflect_ImpTy u--vars arg-6498 arg-6501 u--onLHS arg-6506 arg-6510))))))))))
(define csegen-3078(blodwen-lazy (lambda () (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (lambda (eta-4) (lambda (eta-5) (CoreC-45Reflect-u--reflect_Reflect_C-40MaybeC-32C-36aC-41 (lambda (eta-6) (lambda (eta-7) (lambda (eta-8) (lambda (eta-9) (lambda (eta-10) (lambda (eta-11) (CoreC-45Reflect-u--reflect_Reflect_TotalReq eta-6 eta-7 eta-8 eta-9 eta-10 eta-11))))))) eta-0 eta-1 eta-2 eta-3 eta-4 eta-5))))))))))
(define csegen-3080(blodwen-lazy (lambda () (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (lambda (eta-4) (lambda (eta-5) (lambda (eta-6) (CoreC-45Reflect-u--reflect_Reflect_String eta-0 eta-1 eta-2 eta-3 eta-4 eta-5 eta-6)))))))))))
(define csegen-3081(blodwen-lazy (lambda () (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (lambda (eta-4) (lambda (eta-5) (CoreC-45Reflect-u--reflect_Reflect_C-40MaybeC-32C-36aC-41 (csegen-3080) eta-0 eta-1 eta-2 eta-3 eta-4 eta-5))))))))))
(define csegen-3083(blodwen-lazy (lambda () (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (lambda (eta-4) (lambda (eta-5) (CoreC-45Reflect-u--reflect_Reflect_C-40ListC-32C-36aC-41 (csegen-3080) eta-0 eta-1 eta-2 eta-3 eta-4 eta-5))))))))))
(define csegen-3099(blodwen-lazy (lambda () (lambda (u--c) (lambda (u--vars) (lambda (arg-6432) (lambda (arg-6435) (CoreC-45Reflect-u--reify_Reify_C-40ListC-32C-36aC-41 (lambda (c-0) (lambda (vars-0) (lambda (arg-6433) (lambda (arg-6436) (CoreC-45Reflect-u--reify_Reify_String c-0 vars-0 arg-6433 arg-6436))))) u--c u--vars arg-6432 arg-6435))))))))
(define csegen-3101(blodwen-lazy (lambda () (lambda (u--c) (lambda (u--vars) (lambda (arg-6432) (lambda (arg-6435) (CoreC-45Reflect-u--reify_Reify_Name u--c u--vars arg-6432 arg-6435))))))))
(define csegen-3102(blodwen-lazy (lambda () (lambda (u--c) (lambda (u--vars) (lambda (arg-6432) (lambda (arg-6435) (CoreC-45Reflect-u--reify_Reify_Int u--c u--vars arg-6432 arg-6435))))))))
(define csegen-3104(blodwen-lazy (lambda () (lambda (u--c) (lambda (u--vars) (lambda (arg-6432) (lambda (arg-6435) (CoreC-45Reflect-u--reify_Reify_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (cons (csegen-3102) (csegen-3102)) u--c u--vars arg-6432 arg-6435))))))))
(define csegen-3107(blodwen-lazy (lambda () (lambda (u--vars) (lambda (arg-6498) (lambda (arg-6501) (lambda (u--onLHS) (lambda (arg-6506) (lambda (arg-6510) (CoreC-45Reflect-u--reflect_Reflect_C-40ListC-32C-36aC-41 (lambda (vars-0) (lambda (arg-6499) (lambda (arg-6502) (lambda (onLHS-0) (lambda (arg-6507) (lambda (arg-6511) (lambda (eta-0) (CoreC-45Reflect-u--reflect_Reflect_String vars-0 arg-6499 arg-6502 onLHS-0 arg-6507 arg-6511 eta-0)))))))) u--vars arg-6498 arg-6501 u--onLHS arg-6506 arg-6510))))))))))
(define csegen-3108(blodwen-lazy (lambda () (lambda (u--vars) (lambda (arg-6498) (lambda (arg-6501) (lambda (u--onLHS) (lambda (arg-6506) (lambda (arg-6510) (CoreC-45Reflect-u--reflect_Reflect_Name u--vars arg-6498 arg-6501 u--onLHS arg-6506 arg-6510))))))))))
(define csegen-3109(blodwen-lazy (lambda () (lambda (u--vars) (lambda (arg-6498) (lambda (arg-6501) (lambda (u--onLHS) (lambda (arg-6506) (lambda (arg-6510) (lambda (eta-0) (CoreC-45Reflect-u--reflect_Reflect_Int u--vars arg-6498 arg-6501 u--onLHS arg-6506 arg-6510 eta-0)))))))))))
(define csegen-3111(blodwen-lazy (lambda () (lambda (u--vars) (lambda (arg-6498) (lambda (arg-6501) (lambda (u--onLHS) (lambda (arg-6506) (lambda (arg-6510) (CoreC-45Reflect-u--reflect_Reflect_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (cons (csegen-3109) (csegen-3109)) u--vars arg-6498 arg-6501 u--onLHS arg-6506 arg-6510))))))))))
(define csegen-3115(blodwen-lazy (lambda () ((csegen-0) "elab.update"))))
(define csegen-3119(blodwen-lazy (lambda () (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-0 (lambda (eta-0) (vector 1 (cond ((equal? e-5 1) 0) (else 1)))))) eff-0))))))))
(define csegen-3120(blodwen-lazy (lambda () (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-0 (lambda (clam-0) (let ((e-2 (car e-5))) (vector 1 e-2))))) eff-0))))))))
(define csegen-3121(blodwen-lazy (lambda () ((csegen-0) "elab.delay"))))
(define csegen-3122(blodwen-lazy (lambda () ((csegen-0) "Postponing elaborator "))))
(define csegen-3124(blodwen-lazy (lambda () (lambda (u--x) (or (and (= (Builtin-fst u--x) 0) 1) 0)))))
(define csegen-3125(blodwen-lazy (lambda () ((csegen-25) (lambda (eta-0) (CoreC-45TT-u--weaken_Weaken_Term eta-0))))))
(define csegen-3127(blodwen-lazy (lambda () (lambda (eta-0) (vector 1 (vector 1 (vector 0 "__")))))))
(define csegen-3130(blodwen-lazy (lambda () (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-0 (lambda (clam-0) (let ((e-3 (cdr e-5))) (vector 1 e-3))))) eff-0))))))))
(define csegen-3133(blodwen-lazy (lambda () (cons (lambda (u--vars) (lambda (arg-12824) (lambda (arg-12829) (lambda (arg-12834) (lambda (arg-12837) (lambda (arg-12840) (lambda (arg-12844) (lambda (arg-12850) (CoreC-45Unify-u--unifyD_Unify_Term u--vars arg-12824 arg-12829 arg-12834 arg-12837 arg-12840 arg-12844 arg-12850))))))))) (lambda (u--vars) (lambda (arg-12866) (lambda (arg-12871) (lambda (arg-12876) (lambda (arg-12879) (lambda (arg-12882) (lambda (arg-12886) (lambda (arg-12889) (CoreC-45Unify-u--unifyWithLazyD_Unify_Term u--vars arg-12866 arg-12871 arg-12876 arg-12879 arg-12882 arg-12886 arg-12889)))))))))))))
(define csegen-3136(blodwen-lazy (lambda () (cons (lambda (u--vars) (lambda (arg-12824) (lambda (arg-12829) (lambda (arg-12834) (lambda (arg-12837) (lambda (arg-12840) (lambda (arg-12844) (lambda (arg-12850) (CoreC-45Unify-u--unifyD_Unify_NF u--vars arg-12824 arg-12829 arg-12834 arg-12837 arg-12840 arg-12844 arg-12850))))))))) (lambda (u--vars) (lambda (arg-12866) (lambda (arg-12871) (lambda (arg-12876) (lambda (arg-12879) (lambda (arg-12882) (lambda (arg-12886) (lambda (arg-12889) (CoreC-45Unify-u--unifyWithLazyD_Unify_NF u--vars arg-12866 arg-12871 arg-12876 arg-12879 arg-12882 arg-12886 arg-12889)))))))))))))
(define csegen-3145(blodwen-lazy (lambda () ((csegen-0) "unify.retry"))))
(define csegen-3160(blodwen-lazy (lambda () (cons (lambda (u--x) (CoreC-45TT-u--show_Show_C-40VarC-32C-36nsC-41 u--x)) (lambda (u--d) (lambda (u--x) (CoreC-45TT-u--showPrec_Show_C-40VarC-32C-36nsC-41 u--d u--x)))))))
(define csegen-3163(blodwen-lazy (lambda () (cons (lambda (u--x) (PreludeC-45Show-u--show_Show_C-40MaybeC-32C-36aC-41 (csegen-3160) u--x)) (lambda (u--d) (lambda (u--x) (PreludeC-45Show-u--showPrec_Show_C-40MaybeC-32C-36aC-41 (csegen-3160) u--d u--x)))))))
(define csegen-3166(blodwen-lazy (lambda () (cons (lambda (u--x) (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-3163) u--x)) (lambda (u--d) (lambda (u--x) (PreludeC-45Show-u--showPrec_Show_C-40ListC-32C-36aC-41 (csegen-3163) u--d u--x)))))))
(define csegen-3170(blodwen-lazy (lambda () (lambda (eta-0) (box (vector 7 0 (CoreC-45ContextC-45Context-holeInit 0)))))))
(define csegen-3176(blodwen-lazy (lambda () (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-0 (lambda (eta-0) (vector 1 (CoreC-45Unify-success))))) eff-0)))))))
(define csegen-3178(blodwen-lazy (lambda () ((csegen-0) "...with"))))
(define csegen-3179(blodwen-lazy (lambda () ((csegen-0) "EtaL"))))
(define csegen-3183(blodwen-lazy (lambda () (vector '() 0 '() (vector 0 )))))
(define csegen-3186(blodwen-lazy (lambda () (cons (lambda (u--vars) (lambda (arg-12824) (lambda (arg-12829) (lambda (arg-12834) (lambda (arg-12837) (lambda (arg-12840) (lambda (arg-12844) (lambda (arg-12850) (CoreC-45Unify-u--unifyD_Unify_Closure u--vars arg-12824 arg-12829 arg-12834 arg-12837 arg-12840 arg-12844 arg-12850))))))))) (lambda (u--vars) (lambda (arg-12866) (lambda (arg-12871) (lambda (arg-12876) (lambda (arg-12879) (lambda (arg-12882) (lambda (arg-12886) (lambda (arg-12889) (CoreC-45Unify-u--unifyWithLazyD_Unify_Closure u--vars arg-12866 arg-12871 arg-12876 arg-12879 arg-12882 arg-12886 arg-12889)))))))))))))
(define csegen-3192(blodwen-lazy (lambda () (cons (csegen-3186) (vector (lambda (u--c) (lambda (u--vars) (lambda (arg-6487) (lambda (arg-6490) (lambda (arg-6494) (CoreC-45NormaliseC-45Quote-u--quote_Quote_Closure u--c u--vars arg-6487 arg-6490 arg-6494)))))) (lambda (u--c) (lambda (u--vars) (lambda (arg-6513) (lambda (arg-6516) (lambda (arg-6520) (CoreC-45NormaliseC-45Quote-u--quoteLHS_Quote_Closure u--c u--vars arg-6513 arg-6516 arg-6520)))))) (lambda (u--c) (lambda (u--vars) (lambda (arg-6536) (lambda (arg-6539) (lambda (arg-6542) (lambda (arg-6546) (CoreC-45NormaliseC-45Quote-u--quoteOpts_Quote_Closure u--c u--vars arg-6536 arg-6539 arg-6542 arg-6546))))))) (lambda (u--c) (lambda (u--vars) (lambda (arg-6564) (lambda (arg-6569) (lambda (arg-6572) (lambda (arg-6575) (lambda (arg-6579) (CoreC-45NormaliseC-45Quote-u--quoteGen_Quote_Closure u--c u--vars arg-6564 arg-6569 arg-6572 arg-6575 arg-6579)))))))))))))
(define csegen-3197(blodwen-lazy (lambda () ((csegen-0) "Postponing constraint"))))
(define csegen-3249(blodwen-lazy (lambda () (cons (lambda (arg-528) (lambda (arg-531) (PreludeC-45EqOrd-u--C-61C-61_Eq_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-43) (csegen-43) arg-528 arg-531))) (lambda (arg-538) (lambda (arg-541) (PreludeC-45EqOrd-u--C-47C-61_Eq_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-43) (csegen-43) arg-538 arg-541)))))))
(define csegen-3254(blodwen-lazy (lambda () ((csegen-0) "elab.rewrite"))))
(define csegen-3261(blodwen-lazy (lambda () (cons (lambda (arg-528) (lambda (arg-531) (PreludeC-45Types-u--C-61C-61_Eq_C-40ListC-32C-36aC-41 (csegen-43) arg-528 arg-531))) (lambda (arg-538) (lambda (arg-541) (PreludeC-45Types-u--C-47C-61_Eq_C-40ListC-32C-36aC-41 (csegen-43) arg-538 arg-541)))))))
(define csegen-3270(blodwen-lazy (lambda () (LibrariesC-45DataC-45SortedSet-empty (vector (csegen-3261) (lambda (arg-1418) (lambda (arg-1421) (PreludeC-45Types-u--compare_Ord_C-40ListC-32C-36aC-41 (csegen-626) arg-1418 arg-1421))) (lambda (arg-1428) (lambda (arg-1431) (PreludeC-45Types-u--C-60_Ord_C-40ListC-32C-36aC-41 (csegen-626) arg-1428 arg-1431))) (lambda (arg-1438) (lambda (arg-1441) (PreludeC-45Types-u--C-62_Ord_C-40ListC-32C-36aC-41 (csegen-626) arg-1438 arg-1441))) (lambda (arg-1448) (lambda (arg-1451) (PreludeC-45Types-u--C-60C-61_Ord_C-40ListC-32C-36aC-41 (csegen-626) arg-1448 arg-1451))) (lambda (arg-1458) (lambda (arg-1461) (PreludeC-45Types-u--C-62C-61_Ord_C-40ListC-32C-36aC-41 (csegen-626) arg-1458 arg-1461))) (lambda (arg-1468) (lambda (arg-1471) (PreludeC-45Types-u--max_Ord_C-40ListC-32C-36aC-41 (csegen-626) arg-1468 arg-1471))) (lambda (arg-1478) (lambda (arg-1481) (PreludeC-45Types-u--min_Ord_C-40ListC-32C-36aC-41 (csegen-626) arg-1478 arg-1481))))))))
(define csegen-3280(blodwen-lazy (lambda () (cons (lambda (u--x) (TTImpC-45TTImp-u--show_Show_C-40ImpDeclC-39C-32C-36nmC-41 (csegen-100) u--x)) (lambda (u--d) (lambda (u--x) (TTImpC-45TTImp-u--showPrec_Show_C-40ImpDeclC-39C-32C-36nmC-41 (csegen-100) u--d u--x)))))))
(define csegen-3281(blodwen-lazy (lambda () ((csegen-0) "elab.local"))))
(define csegen-3286(blodwen-lazy (lambda () ((csegen-0) "elab.implicits"))))
(define csegen-3290(blodwen-lazy (lambda () (vector 59 ((csegen-0) "Empty pattern in coverage check")))))
(define csegen-3294(blodwen-lazy (lambda () (cons (csegen-2915) (csegen-1155)))))
(define csegen-3296(blodwen-lazy (lambda () (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-0 (lambda (eta-0) (vector 1 (vector 0 ))))) eff-0)))))))
(define csegen-3301(blodwen-lazy (lambda () (cons (csegen-100) (cons (lambda (u--x) (TTImpC-45ElabC-45Check-u--show_Show_C-40ImplBindingC-32C-36varsC-41 u--x)) (lambda (u--d) (lambda (u--x) (TTImpC-45ElabC-45Check-u--showPrec_Show_C-40ImplBindingC-32C-36varsC-41 u--d u--x))))))))
(define csegen-3304(blodwen-lazy (lambda () (cons (lambda (u--x) (PreludeC-45Show-u--show_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-3301) u--x)) (lambda (u--d) (lambda (u--x) (PreludeC-45Show-u--showPrec_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-3301) u--d u--x)))))))
(define csegen-3306(blodwen-lazy (lambda () ((csegen-0) "Normalised"))))
(define csegen-3312(blodwen-lazy (lambda () (vector 1 (cons (vector 3 (vector 2 "Coverage check")) '())))))
(define csegen-3313(blodwen-lazy (lambda () (lambda (eta-0) (csegen-3312)))))
(define csegen-3317(blodwen-lazy (lambda () (cons (lambda (arg-6988) (lambda (arg-6991) (CoreC-45Context-u--full_HasNames_Clause arg-6988 arg-6991))) (lambda (arg-6998) (lambda (arg-7001) (CoreC-45Context-u--resolved_HasNames_Clause arg-6998 arg-7001)))))))
(define csegen-3323(blodwen-lazy (lambda () (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-0 (lambda (eta-0) (vector 1 (DataC-45List-catMaybes e-5))))) eff-0))))))))
(define csegen-3324(blodwen-lazy (lambda () (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 "Called `getCons` on something that is not a Type constructor") eta-0)))))
(define csegen-3326(blodwen-lazy (lambda () ((csegen-25) (lambda (eta-0) (TTImpC-45ElabC-45Case-getNestData eta-0))))))
(define csegen-3328(blodwen-lazy (lambda () ((csegen-25) (lambda (u--x) (cons (Builtin-fst u--x) (CoreC-45TT-u--weaken_Weaken_Term (Builtin-snd u--x))))))))
(define csegen-3330(blodwen-lazy (lambda () (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-0 (lambda (eta-0) (vector 1 (cons (Builtin-fst e-5) (cons (Builtin-snd e-5) (csegen-1778))))))) eff-0))))))))
(define csegen-3338(blodwen-lazy (lambda () (cons (csegen-1277) (cons (lambda (u--x) (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-3160) u--x)) (lambda (u--d) (lambda (u--x) (PreludeC-45Show-u--showPrec_Show_C-40ListC-32C-36aC-41 (csegen-3160) u--d u--x))))))))
(define csegen-3342(blodwen-lazy (lambda () (cons (csegen-100) (cons (lambda (u--x) (PreludeC-45Show-u--show_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-3338) u--x)) (lambda (u--d) (lambda (u--x) (PreludeC-45Show-u--showPrec_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-3338) u--d u--x))))))))
(define csegen-3348(blodwen-lazy (lambda () (lambda (eta-0) (vector 1 (cons '() '()))))))
(define csegen-3349(blodwen-lazy (lambda () ((csegen-0) "elab.binder"))))
(define csegen-3353(blodwen-lazy (lambda () (lambda (arg-0) (CoreC-45UnifyState-u--C-61C-61_Eq_DelayReason arg-0 0)))))
(define csegen-3360(blodwen-lazy (lambda () (lambda (eta-0) (let ((sc0 (TTImpC-45ElabC-45App-isBindAllExpPattern (Builtin-fst eta-0)))) (cond ((equal? sc0 1) 0) (else 1)))))))
(define csegen-3361(blodwen-lazy (lambda () ((csegen-25) (lambda (eta-0) (vector 1 (vector 0 "<auto>")))))))
(define csegen-3366(blodwen-lazy (lambda () ((csegen-0) "getNameType is adding "))))
(define csegen-3374(blodwen-lazy (lambda () ((csegen-0) "Expected function type"))))
(define csegen-3375(blodwen-lazy (lambda () ((csegen-0) "Expected result type"))))
(define csegen-3379(blodwen-lazy (lambda () ((csegen-0) "elab.ambiguous"))))
(define csegen-3383(blodwen-lazy (lambda () (cons (csegen-1330) (csegen-1016)))))
(define csegen-3386(blodwen-lazy (lambda () (cons (lambda (u--x) (PreludeC-45Show-u--show_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-3383) u--x)) (lambda (u--d) (lambda (u--x) (PreludeC-45Show-u--showPrec_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-3383) u--d u--x)))))))
(define csegen-3395(blodwen-lazy (lambda () ((csegen-25) (lambda (eta-0) (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 (csegen-100) eta-0))))))
(define csegen-3398(blodwen-lazy (lambda () (cons (lambda (u--x) (CoreC-45LinearCheck-u--show_Show_ArgUsage u--x)) (lambda (u--d) (lambda (u--x) (CoreC-45LinearCheck-u--showPrec_Show_ArgUsage u--d u--x)))))))
(define csegen-3400(blodwen-lazy (lambda () (cons (csegen-100) (csegen-3398)))))
(define csegen-3404(blodwen-lazy (lambda () (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 "Argument usage lists inconsistent") eta-0)))))
(define csegen-3413(blodwen-lazy (lambda () (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 "Can't happen: names don't match in pattern type") eta-0)))))
(define csegen-3414(blodwen-lazy (lambda () ((csegen-0) "declare.def"))))
(define csegen-3416(blodwen-lazy (lambda () ((csegen-0) "compile.casetree"))))
(define csegen-3419(blodwen-lazy (lambda () (cons (lambda (arg-6988) (lambda (arg-6991) (CoreC-45Context-u--full_HasNames_C-40CaseTreeC-32C-36varsC-41 arg-6988 arg-6991))) (lambda (arg-6998) (lambda (arg-7001) (CoreC-45Context-u--resolved_HasNames_C-40CaseTreeC-32C-36varsC-41 arg-6998 arg-7001)))))))
(define csegen-3427(blodwen-lazy (lambda () (cons (csegen-1019) (csegen-100)))))
(define csegen-3430(blodwen-lazy (lambda () (cons (lambda (u--x) (PreludeC-45Show-u--show_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-3427) u--x)) (lambda (u--d) (lambda (u--x) (PreludeC-45Show-u--showPrec_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-3427) u--d u--x)))))))
(define csegen-3433(blodwen-lazy (lambda () (cons (lambda (u--x) (PreludeC-45Show-u--show_Show_C-40MaybeC-32C-36aC-41 (csegen-3430) u--x)) (lambda (u--d) (lambda (u--x) (PreludeC-45Show-u--showPrec_Show_C-40MaybeC-32C-36aC-41 (csegen-3430) u--d u--x)))))))
(define csegen-3444(blodwen-lazy (lambda () ((csegen-0) "declare.def.impossible"))))
(define csegen-3460(blodwen-lazy (lambda () (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 "Cannot find builtin Equal") eta-0)))))
(define csegen-3470(blodwen-lazy (lambda () ((csegen-0) "declare.def.lhs"))))
(define csegen-3477(blodwen-lazy (lambda () (cons (csegen-100) (csegen-1030)))))
(define csegen-3483(blodwen-lazy (lambda () ((csegen-0) "declare.def.clause.impossible"))))
(define csegen-3484(blodwen-lazy (lambda () ((csegen-0) "declare.def.clause"))))
(define csegen-3489(blodwen-lazy (lambda () ((csegen-0) "declare.def.clause.with"))))
(define csegen-3491(blodwen-lazy (lambda () ((csegen-0) ")"))))
(define csegen-3492(blodwen-lazy (lambda () (cons (csegen-3491) '()))))
(define csegen-3494(blodwen-lazy (lambda () (cons (csegen-581) (csegen-1016)))))
(define csegen-3497(blodwen-lazy (lambda () (cons (lambda (u--x) (PreludeC-45Show-u--show_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-3494) u--x)) (lambda (u--d) (lambda (u--x) (PreludeC-45Show-u--showPrec_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-3494) u--d u--x)))))))
(define csegen-3504(blodwen-lazy (lambda () (lambda (u--b) (lambda (u--a) (lambda (u--func) (lambda (arg-8737) (ControlC-45MonadC-45Identity-u--map_Functor_Identity u--func arg-8737))))))))
(define csegen-3513(blodwen-lazy (lambda () (vector (vector (csegen-3504) (lambda (u--a) (lambda (arg-9440) arg-9440)) (lambda (u--b) (lambda (u--a) (lambda (arg-9446) (lambda (arg-9453) (ControlC-45MonadC-45Identity-u--C-60C-42C-62_Applicative_Identity arg-9446 arg-9453)))))) (lambda (u--b) (lambda (u--a) (lambda (arg-9920) (lambda (arg-9923) (ControlC-45MonadC-45Identity-u--C-62C-62C-61_Monad_Identity arg-9920 arg-9923))))) (lambda (u--a) (lambda (arg-9934) (ControlC-45MonadC-45Identity-u--join_Monad_Identity arg-9934)))))))
(define csegen-3520(blodwen-lazy (lambda () (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (ControlC-45MonadC-45StateC-45State-u--map_Functor_C-40C-40StateTC-32C-36stateTypeC-41C-32C-36fC-41 (lambda (eta-4) (lambda (eta-5) (lambda (eta-6) (lambda (eta-7) (ControlC-45MonadC-45Identity-u--map_Functor_Identity eta-6 eta-7))))) eta-2 eta-3))))))))
(define csegen-3529(blodwen-lazy (lambda () (vector (lambda (u--b) (lambda (u--a) (lambda (u--func) (lambda (arg-8737) (ControlC-45MonadC-45StateC-45State-u--map_Functor_C-40C-40StateTC-32C-36stateTypeC-41C-32C-36fC-41 (csegen-3504) u--func arg-8737))))) (lambda (u--a) (lambda (arg-9440) (lambda (eta-0) (ControlC-45MonadC-45StateC-45State-u--pure_Applicative_C-40C-40StateTC-32C-36stateTypeC-41C-32C-36fC-41 (csegen-3513) arg-9440 eta-0)))) (lambda (u--b) (lambda (u--a) (lambda (arg-9446) (lambda (arg-9453) (ControlC-45MonadC-45StateC-45State-u--C-60C-42C-62_Applicative_C-40C-40StateTC-32C-36stateTypeC-41C-32C-36fC-41 (csegen-3513) arg-9446 arg-9453)))))))))
(define csegen-3535(blodwen-lazy (lambda () (vector (csegen-3529) (lambda (u--b) (lambda (u--a) (lambda (arg-9920) (lambda (arg-9923) (ControlC-45MonadC-45StateC-45State-u--C-62C-62C-61_Monad_C-40C-40StateTC-32C-36stateTypeC-41C-32C-36mC-41 (csegen-3513) arg-9920 arg-9923))))) (lambda (u--a) (lambda (arg-9934) (ControlC-45MonadC-45StateC-45State-u--join_Monad_C-40C-40StateTC-32C-36stateTypeC-41C-32C-36mC-41 (csegen-3513) arg-9934)))))))
(define csegen-3539(blodwen-lazy (lambda () (cons (csegen-581) (csegen-581)))))
(define csegen-3542(blodwen-lazy (lambda () (cons (lambda (u--x) (PreludeC-45Show-u--show_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-3539) u--x)) (lambda (u--d) (lambda (u--x) (PreludeC-45Show-u--showPrec_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-3539) u--d u--x)))))))
(define csegen-3545(blodwen-lazy (lambda () ((csegen-0) "specialise"))))
(define csegen-3557(blodwen-lazy (lambda () (cons (lambda (u--x) (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-1016) u--x)) (lambda (u--d) (lambda (u--x) (PreludeC-45Show-u--showPrec_Show_C-40ListC-32C-36aC-41 (csegen-1016) u--d u--x)))))))
(define csegen-3558(blodwen-lazy (lambda () (cons (csegen-100) (csegen-1016)))))
(define csegen-3561(blodwen-lazy (lambda () (cons (lambda (u--x) (PreludeC-45Show-u--show_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-3558) u--x)) (lambda (u--d) (lambda (u--x) (PreludeC-45Show-u--showPrec_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-3558) u--d u--x)))))))
(define csegen-3564(blodwen-lazy (lambda () (cons (lambda (u--x) (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-3561) u--x)) (lambda (u--d) (lambda (u--x) (PreludeC-45Show-u--showPrec_Show_C-40ListC-32C-36aC-41 (csegen-3561) u--d u--x)))))))
(define csegen-3565(blodwen-lazy (lambda () (cons (csegen-3557) (csegen-3564)))))
(define csegen-3569(blodwen-lazy (lambda () (cons (csegen-3557) (cons (lambda (u--x) (PreludeC-45Show-u--show_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-3565) u--x)) (lambda (u--d) (lambda (u--x) (PreludeC-45Show-u--showPrec_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-3565) u--d u--x))))))))
(define csegen-3574(blodwen-lazy (lambda () (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-594) ""))))
(define csegen-3576(blodwen-lazy (lambda () (lambda (eta-0) (vector 1 (csegen-3574))))))
(define csegen-3577(blodwen-lazy (lambda () ((csegen-380) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-space)))))
(define csegen-3580(blodwen-lazy (lambda () ((csegen-3577) (IdrisC-45PrettyC-45Annotations-keyword (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-594) ":"))))))
(define csegen-3582(blodwen-lazy (lambda () ((csegen-380) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-hardline)))))
(define csegen-3584(blodwen-lazy (lambda () ((csegen-331) ""))))
(define csegen-3585(blodwen-lazy (lambda () (lambda (eta-0) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-1529) eta-0)))))
(define csegen-3586(blodwen-lazy (lambda () ((csegen-25) (csegen-3585)))))
(define csegen-3588(blodwen-lazy (lambda () (IdrisC-45PrettyC-45Annotations-keyword (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-594) "Delay")))))
(define csegen-3589(blodwen-lazy (lambda () (IdrisC-45PrettyC-45Annotations-keyword (csegen-595)))))
(define csegen-3591(blodwen-lazy (lambda () (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (IdrisC-45PrettyC-45Annotations-equals) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-line)))))
(define csegen-3592(blodwen-lazy (lambda () (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (IdrisC-45PrettyC-45Annotations-arrow) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-softline)))))
(define csegen-3594(blodwen-lazy (lambda () (cons (lambda (arg-8762) (CoreC-45Name-u--pretty_Pretty_Void_UserName arg-8762)) (lambda (arg-8768) (lambda (arg-8771) (CoreC-45Name-u--prettyPrec_Pretty_Void_UserName arg-8768 arg-8771)))))))
(define csegen-3596(blodwen-lazy (lambda () (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (IdrisC-45PrettyC-45Annotations-fatArrow) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-softline)))))
(define csegen-3605(blodwen-lazy (lambda () (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-braces (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-angles (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-angles ((csegen-331) "definitions")))))))
(define csegen-3613(blodwen-lazy (lambda () ((csegen-380) ((csegen-331) "`")))))
(define csegen-3622(blodwen-lazy (lambda () ((csegen-380) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-dot)))))
(define csegen-3629(blodwen-lazy (lambda () (IdrisC-45PrettyC-45Annotations-keyword (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-594) "|]")))))
(define csegen-3631(blodwen-lazy (lambda () (cons (lambda (arg-8762) (CoreC-45NameC-45Namespace-u--pretty_Pretty_Void_Namespace arg-8762)) (lambda (arg-8768) (lambda (arg-8771) (CoreC-45NameC-45Namespace-u--prettyPrec_Pretty_Void_Namespace arg-8768 arg-8771)))))))
(define csegen-3634(blodwen-lazy (lambda () (lambda (eta-0) (IdrisC-45Pretty-u--pretty_Pretty_IdrisSyntax_IPTerm (Builtin-snd eta-0))))))
(define csegen-3637(blodwen-lazy (lambda () (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (IdrisC-45PrettyC-45Annotations-keyword (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-594) "**")) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-line)))))
(define csegen-3646(blodwen-lazy (lambda () (IdrisC-45PrettyC-45Annotations-keyword (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-594) "..")))))
(define csegen-3648(blodwen-lazy (lambda () ((csegen-25) (lambda (eta-0) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-1529) (Builtin-snd eta-0)))))))
(define csegen-3649(blodwen-lazy (lambda () (let ((eff-0 (lambda (eta-0) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--cast_Cast_C-40DocC-32VoidC-41_C-40DocC-32C-36annC-41 eta-0)))) (lambda (arg-0) (eff-0 arg-0))))))
(define csegen-3653(blodwen-lazy (lambda () (IdrisC-45PrettyC-45Annotations-keyword (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-594) "<-")))))
(define csegen-3655(blodwen-lazy (lambda () ((csegen-3577) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-pipe)))))
(define csegen-3657(blodwen-lazy (lambda () (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-angles (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-angles (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "with alts not possible"))))))
(define csegen-3666(blodwen-lazy (lambda () (cons (lambda (arg-8762) (CoreC-45NameC-45Namespace-u--pretty_Pretty_Void_ModuleIdent arg-8762)) (lambda (arg-8768) (lambda (arg-8771) (CoreC-45NameC-45Namespace-u--prettyPrec_Pretty_Void_ModuleIdent arg-8768 arg-8771)))))))
(define csegen-3675(blodwen-lazy (lambda () (lambda (eta-0) (lambda (eta-1) (PreludeC-45TypesC-45List-tailRecAppend eta-0 eta-1))))))
(define csegen-3676(blodwen-lazy (lambda () (let ((eff-0 (csegen-3675))) (lambda (arg-0) (lambda (arg-1) ((eff-0 arg-0) arg-1)))))))
(define csegen-3687(blodwen-lazy (lambda () (let ((eff-0 (lambda (eta-0) (blodwen-toSignedInt eta-0 63)))) (lambda (arg-0) (eff-0 arg-0))))))
(define csegen-3700(blodwen-lazy (lambda () (vector (vector (lambda (u--b) (lambda (u--a) (lambda (u--func) (lambda (arg-8737) (ControlC-45MonadC-45ST-u--map_Functor_C-40STC-32C-36sC-41 u--func arg-8737))))) (lambda (u--a) (lambda (arg-9440) (lambda (eta-0) arg-9440))) (lambda (u--b) (lambda (u--a) (lambda (arg-9446) (lambda (arg-9453) (ControlC-45MonadC-45ST-u--C-60C-42C-62_Applicative_C-40STC-32C-36sC-41 arg-9446 arg-9453)))))) (lambda (u--b) (lambda (u--a) (lambda (arg-9920) (lambda (arg-9923) (ControlC-45MonadC-45ST-u--C-62C-62C-61_Monad_C-40STC-32C-36sC-41 arg-9920 arg-9923))))) (lambda (u--a) (lambda (arg-9934) (ControlC-45MonadC-45ST-u--join_Monad_C-40STC-32C-36sC-41 arg-9934)))))))
(define csegen-3706(blodwen-lazy (lambda () (LibrariesC-45DataC-45SortedSet-empty (csegen-298)))))
(define csegen-3712(blodwen-lazy (lambda () ((csegen-0) "compile.casetree.clauses"))))
(define csegen-3716(blodwen-lazy (lambda () ((csegen-0) "compile.casetree.intermediate"))))
(define csegen-3726(blodwen-lazy (lambda () (lambda (eta-0) (vector 1 (cons '() (vector 2 )))))))
(define csegen-3727(blodwen-lazy (lambda () (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-0 (lambda (eta-0) (vector 1 (cons '() (vector 1 (CoreC-45TT-embed e-5))))))) eff-0))))))))
(define csegen-3729(blodwen-lazy (lambda () (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 "Error compiling Delay pattern match") eta-0)))))
(define csegen-3732(blodwen-lazy (lambda () (lambda (eta-0) (vector 1 (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (lambda (eta-4) (vector eta-1 eta-2 eta-3 eta-4))))))))))
(define csegen-3735(blodwen-lazy (lambda () (lambda (eta-0) (vector 1 (lambda (eta-1) (lambda (eta-2) (cons eta-1 eta-2))))))))
(define csegen-3736(blodwen-lazy (lambda () (lambda (eta-0) (lambda (eta-1) (cons eta-0 eta-1))))))
(define csegen-3753(blodwen-lazy (lambda () (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-0 (lambda (eta-0) (vector 1 (cons '() (vector 1 e-5)))))) eff-0))))))))
(define csegen-3756(blodwen-lazy (lambda () (lambda (eta-0) (vector 1 (csegen-3706))))))
(define csegen-3768(blodwen-lazy (lambda () (lambda (eta-0) (PreludeC-45Interfaces-concat (csegen-83) (csegen-16) eta-0)))))
(define csegen-3772(blodwen-lazy (lambda () ((csegen-0) "setting totality flag for "))))
(define csegen-3774(blodwen-lazy (lambda () ((csegen-0) "declare.data"))))
(define csegen-3775(blodwen-lazy (lambda () ((csegen-0) "Previous"))))
(define csegen-3776(blodwen-lazy (lambda () ((csegen-0) "Now"))))
(define csegen-3779(blodwen-lazy (lambda () (cons (lambda (arg-528) (lambda (arg-531) (TTImpC-45TTImp-u--C-61C-61_Eq_DataOpt arg-528 arg-531))) (lambda (arg-538) (lambda (arg-541) (TTImpC-45TTImp-u--C-47C-61_Eq_DataOpt arg-538 arg-541)))))))
(define csegen-3782(blodwen-lazy (lambda () ((csegen-25) (lambda (eta-0) (let ((e-3 (vector-ref eta-0 3))) e-3))))))
(define csegen-3784(blodwen-lazy (lambda () ((csegen-25) (lambda (eta-0) (let ((e-1 (vector-ref eta-0 1))) e-1))))))
(define csegen-3787(blodwen-lazy (lambda () ((csegen-0) "declare.data.constructor"))))
(define csegen-3790(blodwen-lazy (lambda () (lambda (eta-0) (TTImpC-45ProcessData-hasArgs 0 eta-0)))))
(define csegen-3793(blodwen-lazy (lambda () (lambda (eta-0) (TTImpC-45ProcessData-hasArgs 1 eta-0)))))
(define csegen-3797(blodwen-lazy (lambda () (lambda (eta-0) (TTImpC-45ProcessData-hasArgs 2 eta-0)))))
(define csegen-3806(blodwen-lazy (lambda () ((csegen-77) ((csegen-25) ((csegen-77) (lambda (eta-0) (CoreC-45TT-u--weaken_Weaken_Term eta-0))))))))
(define csegen-3807(blodwen-lazy (lambda () ((csegen-25) (lambda (eta-0) (PreludeC-45Show-u--show_Show_Nat eta-0))))))
(define csegen-3814(blodwen-lazy (lambda () (lambda (eta-0) (lambda (eta-1) (TTImpC-45ProcessBuiltin-termConMatch eta-0 eta-1))))))
(define csegen-3819(blodwen-lazy (lambda () ((csegen-0) "No 'S'-like constructors for "))))
(define csegen-3821(blodwen-lazy (lambda () (LibrariesC-45TextC-45Parser-sepBy1 1 (ParserC-45RuleC-45Source-symbol ",") (ParserC-45RuleC-45Source-unqualifiedName)))))
(define csegen-3840(blodwen-lazy (lambda () ((csegen-721) (lambda (eta-0) (lambda (eta-1) eta-0))))))
(define csegen-3841(blodwen-lazy (lambda () ((csegen-3840) (vector 0 (vector 2 ))))))
(define csegen-3848(blodwen-lazy (lambda () (lambda (u--f) (((csegen-725) u--f) (ParserC-45RuleC-45Source-name))))))
(define csegen-3855(blodwen-lazy (lambda () (PreludeC-45Interfaces-C-60C-36 (csegen-729) '()))))
(define csegen-3864(blodwen-lazy (lambda () (PreludeC-45Interfaces-C-60C-36C-62 (csegen-729) (lambda (eta-0) (vector 1 (vector 0 eta-0))) (ParserC-45RuleC-45Source-unqualifiedName)))))
(define csegen-3866(blodwen-lazy (lambda () (vector 0 (csegen-54)))))
(define csegen-3867(blodwen-lazy (lambda () (vector 0 (csegen-1778)))))
(define csegen-3894(blodwen-lazy (lambda () (vector 12 0 1 (vector 7 ) (vector 9 1 (ParserC-45RuleC-45Source-builtinType) (lambda () (lambda (u--t) (vector 9 0 (ParserC-45RuleC-45Source-name) (lambda () (lambda (u--n) (vector 0 (cons u--t u--n))))))))))))
(define csegen-3916(blodwen-lazy (lambda () (TTImpC-45Parser-expr (vector 2 (vector 0 )) (ParserC-45RuleC-45Source-init)))))
(define csegen-3956(blodwen-lazy (lambda () (cons (lambda (arg-8762) (CoreC-45FC-u--pretty_Pretty_Void_FC arg-8762)) (lambda (arg-8768) (lambda (arg-8771) (CoreC-45FC-u--prettyPrec_Pretty_Void_FC arg-8768 arg-8771)))))))
(define csegen-3966(blodwen-lazy (lambda () (cons (lambda (arg-528) (lambda (arg-531) (CoreC-45FC-u--C-61C-61_Eq_FC arg-528 arg-531))) (lambda (arg-538) (lambda (arg-541) (CoreC-45FC-u--C-47C-61_Eq_FC arg-538 arg-541)))))))
(define csegen-3969(blodwen-lazy (lambda () (cons (lambda (arg-528) (lambda (arg-531) (PreludeC-45EqOrd-u--C-61C-61_Eq_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-3966) (csegen-43) arg-528 arg-531))) (lambda (arg-538) (lambda (arg-541) (PreludeC-45EqOrd-u--C-47C-61_Eq_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-3966) (csegen-43) arg-538 arg-541)))))))
(define csegen-3972(blodwen-lazy (lambda () (cons (lambda (arg-528) (lambda (arg-531) (DataC-45List1-u--C-61C-61_Eq_C-40List1C-32C-36aC-41 (csegen-1008) arg-528 arg-531))) (lambda (arg-538) (lambda (arg-541) (DataC-45List1-u--C-47C-61_Eq_C-40List1C-32C-36aC-41 (csegen-1008) arg-538 arg-541)))))))
(define csegen-3978(blodwen-lazy (lambda () (cons (lambda (arg-528) (lambda (arg-531) (PreludeC-45EqOrd-u--C-61C-61_Eq_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-3966) (csegen-1008) arg-528 arg-531))) (lambda (arg-538) (lambda (arg-541) (PreludeC-45EqOrd-u--C-47C-61_Eq_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-3966) (csegen-1008) arg-538 arg-541)))))))
(define csegen-3988(blodwen-lazy (lambda () (cons (lambda (arg-8762) (IdrisC-45Pretty-u--pretty_Pretty_IdrisSyntax_IPTerm arg-8762)) (lambda (arg-8768) (lambda (arg-8771) (IdrisC-45Pretty-u--prettyPrec_Pretty_IdrisSyntax_IPTerm arg-8768 arg-8771)))))))
(define csegen-3991(blodwen-lazy (lambda () (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-594) "and"))))
(define csegen-4014(blodwen-lazy (lambda () (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45Error-keyword (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-594) "export")) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "or") (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45Error-keyword (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "public") (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "export"))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "modifier. By default, all names are") (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45Error-keyword (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-594) "private")) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "in namespace blocks.")))))))))
(define csegen-4022(blodwen-lazy (lambda () (((csegen-380) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-822) ((csegen-0) #\s))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-colon)))))
(define csegen-4052(blodwen-lazy (lambda () (lambda (eta-0) (IdrisC-45Pretty-code (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-1529) eta-0))))))
(define csegen-4061(blodwen-lazy (lambda () (cons (lambda (arg-8762) (CoreC-45TT-u--pretty_Pretty_Void_Visibility arg-8762)) (lambda (arg-8768) (lambda (arg-8771) (CoreC-45TT-u--prettyPrec_Pretty_Void_Visibility arg-8768 arg-8771)))))))
(define csegen-4064(blodwen-lazy (lambda () ((csegen-331) "Constructor"))))
(define csegen-4075(blodwen-lazy (lambda () (cons (lambda (u--x) (SystemC-45FileC-45Error-u--show_Show_FileError u--x)) (lambda (u--d) (lambda (u--x) (SystemC-45FileC-45Error-u--showPrec_Show_FileError u--d u--x)))))))
(define csegen-4083(blodwen-lazy (lambda () (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-0 (lambda (eta-0) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (IdrisC-45Pretty-errorDesc (((csegen-380) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "Couldn't parse any alternatives")) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-colon))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-line)) e-5))))) eff-0))))))))
(define csegen-4115(blodwen-lazy (lambda () (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-594) "?"))))
(define csegen-4116(blodwen-lazy (lambda () (lambda (eta-0) (IdrisC-45Pretty-code (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-863) eta-0))))))
(define csegen-4117(blodwen-lazy (lambda () ((csegen-25) (csegen-4116)))))
(define csegen-4138(blodwen-lazy (lambda () (IdrisC-45DocC-45Annotations-header ((csegen-331) "Constructors")))))
(define csegen-4140(blodwen-lazy (lambda () ((csegen-25) (lambda (eta-0) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-indent 2 eta-0))))))
(define csegen-4141(blodwen-lazy (lambda () (lambda (eta-0) (vector 1 (cons '() '()))))))
(define csegen-4147(blodwen-lazy (lambda () (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-0 (lambda (eta-0) (vector 1 (box (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vcat (cons (IdrisC-45DocC-45Annotations-header ((csegen-331) "Projections")) (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-annotate (vector 2 ) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vcat ((csegen-4140) e-5))) '())))))))) eff-0))))))))
(define csegen-4153(blodwen-lazy (lambda () (IdrisC-45DocC-45Annotations-header (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "Implementations")))))
(define csegen-4156(blodwen-lazy (lambda () (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (IdrisC-45DocC-45Annotations-header (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "Fixity Declarations")) (vector 3 )))))
(define csegen-4161(blodwen-lazy (lambda () (IdrisC-45DocC-45Annotations-header (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-594) "Hints")))))
(define csegen-4163(blodwen-lazy (lambda () (IdrisC-45DocC-45Annotations-header (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "Visibility")))))
(define csegen-4165(blodwen-lazy (lambda () (IdrisC-45DocC-45Annotations-header (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-594) "Totality")))))
(define csegen-4167(blodwen-lazy (lambda () (cons (lambda (arg-8762) (CoreC-45TT-u--pretty_Pretty_Void_Totality arg-8762)) (lambda (arg-8768) (lambda (arg-8771) (CoreC-45TT-u--prettyPrec_Pretty_Void_Totality arg-8768 arg-8771)))))))
(define csegen-4187(blodwen-lazy (lambda () (vector 1 1 0 1))))
(define csegen-4688(blodwen-lazy (lambda () (((csegen-380) ((csegen-331) "holes")) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-colon)))))
(define csegen-4696(blodwen-lazy (lambda () ((csegen-25) (let ((eff-0 (lambda (arg-5221) (ProtocolC-45IDE-u--toSExp_SExpable_C-40SpanC-32C-36aC-41 (lambda (eta-0) (ProtocolC-45IDEC-45Formatting-u--toSExp_SExpable_Properties eta-0)) arg-5221)))) (lambda (arg-0) (eff-0 arg-0)))))))
(define csegen-4700(blodwen-lazy (lambda () (lambda (eta-0) (ProtocolC-45SExp-u--toSExp_SExpable_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (cons (lambda (eta-1) (ProtocolC-45SExp-u--toSExp_SExpable_Int eta-1)) (lambda (eta-1) (ProtocolC-45SExp-u--toSExp_SExpable_Int eta-1))) eta-0)))))
(define csegen-4704(blodwen-lazy (lambda () (let ((eff-0 (csegen-4700))) (lambda (arg-0) (eff-0 arg-0))))))
(define csegen-4714(blodwen-lazy (lambda () ((csegen-25) (lambda (eta-0) (vector 1 eta-0))))))
(define csegen-4721(blodwen-lazy (lambda () (let ((eff-0 (lambda (eta-0) (ProtocolC-45SExp-u--toSExp_SExpable_String eta-0)))) (lambda (arg-0) (eff-0 arg-0))))))
(define csegen-4741(blodwen-lazy (lambda () (vector (lambda (u--acc) (lambda (u--elem) (lambda (u--func) (lambda (u--init) (lambda (u--input) (CoreC-45TT-u--foldr_Foldable_Binder u--func u--init u--input)))))) (lambda (u--elem) (lambda (u--acc) (lambda (u--func) (lambda (u--init) (lambda (u--input) (CoreC-45TT-u--foldl_Foldable_Binder u--func u--init u--input)))))) (lambda (u--elem) (lambda (arg-10420) (CoreC-45TT-u--null_Foldable_Binder arg-10420))) (lambda (u--elem) (lambda (u--acc) (lambda (u--m) (lambda (i_con-0) (lambda (u--funcM) (lambda (u--init) (lambda (u--input) (CoreC-45TT-u--foldlM_Foldable_Binder i_con-0 u--funcM u--init u--input)))))))) (lambda (u--elem) (lambda (arg-10449) (CoreC-45TT-u--toList_Foldable_Binder arg-10449))) (lambda (u--a) (lambda (u--m) (lambda (i_con-0) (lambda (u--f) (lambda (arg-10463) (CoreC-45TT-u--foldMap_Foldable_Binder i_con-0 u--f arg-10463))))))))))
(define csegen-4746(blodwen-lazy (lambda () (lambda (eta-0) (lambda (eta-1) (LibrariesC-45DataC-45SortedSet-union eta-0 eta-1))))))
(define csegen-4757(blodwen-lazy (lambda () (vector (cons (lambda (arg-528) (lambda (arg-531) (CoreC-45TT-u--C-61C-61_Eq_Constant arg-528 arg-531))) (lambda (arg-538) (lambda (arg-541) (CoreC-45TT-u--C-47C-61_Eq_Constant arg-538 arg-541)))) (lambda (arg-1418) (lambda (arg-1421) (CoreC-45Ord-u--compare_Ord_Constant arg-1418 arg-1421))) (lambda (arg-1428) (lambda (arg-1431) (CoreC-45Ord-u--C-60_Ord_Constant arg-1428 arg-1431))) (lambda (arg-1438) (lambda (arg-1441) (CoreC-45Ord-u--C-62_Ord_Constant arg-1438 arg-1441))) (lambda (arg-1448) (lambda (arg-1451) (CoreC-45Ord-u--C-60C-61_Ord_Constant arg-1448 arg-1451))) (lambda (arg-1458) (lambda (arg-1461) (CoreC-45Ord-u--C-62C-61_Ord_Constant arg-1458 arg-1461))) (lambda (arg-1468) (lambda (arg-1471) (CoreC-45Ord-u--max_Ord_Constant arg-1468 arg-1471))) (lambda (arg-1478) (lambda (arg-1481) (CoreC-45Ord-u--min_Ord_Constant arg-1478 arg-1481)))))))
(define csegen-4761(blodwen-lazy (lambda () ((csegen-0) "interaction.generate"))))
(define csegen-4768(blodwen-lazy (lambda () (cons (csegen-100) (cons (lambda (u--x) (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-2424) u--x)) (lambda (u--d) (lambda (u--x) (PreludeC-45Show-u--showPrec_Show_C-40ListC-32C-36aC-41 (csegen-2424) u--d u--x))))))))
(define csegen-4773(blodwen-lazy (lambda () (let ((eff-0 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (CoreC-45CoreC-45Search-functor eta-0 eta-1 eta-2 eta-3))))))) (lambda (arg-0) (lambda (arg-1) ((((eff-0 'erased) 'erased) arg-0) arg-1)))))))
(define csegen-4786(blodwen-lazy (lambda () (lambda (eta-0) (vector 1 (cons '() (lambda (eta-1) (vector 1 '()))))))))
(define csegen-4787(blodwen-lazy (lambda () ((csegen-0) "interaction.search"))))
(define csegen-4790(blodwen-lazy (lambda () ((csegen-0) "Introduced lambda, search for "))))
(define csegen-4800(blodwen-lazy (lambda () (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-0 (lambda (eta-0) (TTImpC-45InteractiveC-45ExprSearch-noResult eta-0)))) eff-0)))))))
(define csegen-4805(blodwen-lazy (lambda () ((csegen-25) (lambda (eta-0) (CoreC-45Name-nameRoot eta-0))))))
(define csegen-4814(blodwen-lazy (lambda () (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-0 (lambda (eta-0) (vector 1 (string-append "Search: Trying " (string-append (PreludeC-45Show-u--show_Show_Nat (PreludeC-45TypesC-45List-lengthTR e-5)) (string-append " names " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-100) e-5)))))))) eff-0))))))))
(define csegen-4819(blodwen-lazy (lambda () ((csegen-25) (lambda (eta-0) (let ((e-4 (vector-ref eta-0 3))) e-4))))))
(define csegen-4822(blodwen-lazy (lambda () (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-0 (lambda (eta-0) (vector 1 (PreludeC-45Interfaces-all (csegen-16) (lambda (eta-1) eta-1) e-5))))) eff-0))))))))
(define csegen-4830(blodwen-lazy (lambda () ((csegen-0) "interaction.casesplit"))))
(define csegen-4838(blodwen-lazy (lambda () ((csegen-0) "Not a type constructor "))))
(define csegen-4847(blodwen-lazy (lambda () (vector (csegen-1338) (csegen-2195) (lambda (arg-1428) (lambda (arg-1431) (PreludeC-45Types-u--C-60_Ord_Nat arg-1428 arg-1431))) (lambda (arg-1438) (lambda (arg-1441) (PreludeC-45Types-u--C-62_Ord_Nat arg-1438 arg-1441))) (lambda (arg-1448) (lambda (arg-1451) (PreludeC-45Types-u--C-60C-61_Ord_Nat arg-1448 arg-1451))) (lambda (arg-1458) (lambda (arg-1461) (PreludeC-45Types-u--C-62C-61_Ord_Nat arg-1458 arg-1461))) (lambda (arg-1468) (lambda (arg-1471) (PreludeC-45Types-u--max_Ord_Nat arg-1468 arg-1471))) (lambda (arg-1478) (lambda (arg-1481) (PreludeC-45Types-u--min_Ord_Nat arg-1478 arg-1481)))))))
(define csegen-4872(blodwen-lazy (lambda () (cons (cons (lambda (arg-528) (lambda (arg-531) (LibrariesC-45DataC-45Version-u--C-61C-61_Eq_VersionTokenKind arg-528 arg-531))) (lambda (arg-538) (lambda (arg-541) (LibrariesC-45DataC-45Version-u--C-47C-61_Eq_VersionTokenKind arg-538 arg-541)))) (cons (lambda (arg-823) (LibrariesC-45DataC-45Version-u--TokType_TokenKind_VersionTokenKind arg-823)) (lambda (u--kind) (lambda (arg-832) (LibrariesC-45DataC-45Version-u--tokValue_TokenKind_VersionTokenKind u--kind arg-832))))))))
(define csegen-4873(blodwen-lazy (lambda () (LibrariesC-45TextC-45Parser-match (csegen-4872) 1))))
(define csegen-4874(blodwen-lazy (lambda () (LibrariesC-45TextC-45Parser-match (csegen-4872) 2))))
(define csegen-4891(blodwen-lazy (lambda () (cons (lambda (u--x) (IdrisC-45PackageC-45Types-u--show_Show_PkgVersion u--x)) (lambda (u--d) (lambda (u--x) (IdrisC-45PackageC-45Types-u--showPrec_Show_PkgVersion u--d u--x)))))))
(define csegen-4903(blodwen-lazy (lambda () (vector 0 (vector 2 ) (vector 1 (vector 0 "main"))))))
(define csegen-4904(blodwen-lazy (lambda () (lambda (eta-0) (let ((e-1 (vector-ref eta-0 1))) e-1)))))
(define csegen-4905(blodwen-lazy (lambda () ((csegen-25) (csegen-4904)))))
(define csegen-4927(blodwen-lazy (lambda () (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-0 (PrimIO-io_bind (IdrisC-45SetOptions-visiblePackages e-5) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) eff-0))))))))
(define csegen-4928(blodwen-lazy (lambda () (lambda (arg-0) (DataC-45String-isSuffixOf ".ipkg" arg-0)))))
(define csegen-4944(blodwen-lazy (lambda () (lambda (eta-0) (vector 1 (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "Not a searchable hole")))))))
(define csegen-4960(blodwen-lazy (lambda () (vector (lambda (u--acc) (lambda (u--elem) (lambda (u--func) (lambda (u--init) (lambda (u--input) (DataC-45List1-u--foldr_Foldable_List1 u--func u--init u--input)))))) (lambda (u--elem) (lambda (u--acc) (lambda (u--func) (lambda (u--init) (lambda (u--input) (DataC-45List1-u--foldl_Foldable_List1 u--func u--init u--input)))))) (lambda (u--elem) (lambda (arg-10420) 0)) (lambda (u--elem) (lambda (u--acc) (lambda (u--m) (lambda (i_con-0) (lambda (u--funcM) (lambda (u--init) (lambda (u--input) (DataC-45List1-u--foldlM_Foldable_List1 i_con-0 u--funcM u--init u--input)))))))) (lambda (u--elem) (lambda (arg-10449) (DataC-45List1-forget arg-10449))) (lambda (u--a) (lambda (u--m) (lambda (i_con-0) (lambda (u--f) (lambda (arg-10463) (DataC-45List1-u--foldMap_Foldable_List1 i_con-0 u--f arg-10463))))))))))
(define csegen-4963(blodwen-lazy (lambda () (lambda (eta-0) (vector 21 (CoreC-45FC-replFC) 1 eta-0)))))
(define csegen-4965(blodwen-lazy (lambda () ((csegen-331) "is not a refinable hole"))))
(define csegen-4968(blodwen-lazy (lambda () (lambda (eta-0) (vector 1 (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "Don't know what to do")))))))
(define csegen-4973(blodwen-lazy (lambda () (lambda (eta-0) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-reAnnotate (lambda (eta-1) (vector 6 eta-1)) eta-0)))))
(define csegen-4974(blodwen-lazy (lambda () (lambda (eta-0) (vector 1 (vector 0 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-emptyDoc)))))))
(define csegen-4981(blodwen-lazy (lambda () (SystemC-45FileC-45Process-fflush (csegen-40) (SystemC-45FileC-45Virtual-stdout)))))
(define csegen-4988(blodwen-lazy (lambda () ((csegen-25) (csegen-4973)))))
(define csegen-4992(blodwen-lazy (lambda () ((csegen-331) "Could not find hole named"))))
(define csegen-4996(blodwen-lazy (lambda () (lambda (eta-0) (vector 1 (vector 1 ((csegen-331) "No search results")))))))
(define csegen-5001(blodwen-lazy (lambda () (lambda (eta-0) (vector 1 (vector 1 ((csegen-331) "No more results")))))))
(define csegen-5006(blodwen-lazy (lambda () (lambda (eta-0) (vector 1 (vector 1 ((csegen-331) "Source line not found")))))))
(define csegen-5011(blodwen-lazy (lambda () ((csegen-331) "Can't find declaration for"))))
(define csegen-5015(blodwen-lazy (lambda () (lambda (eta-0) (vector 1 (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "Can't make lifted definition")))))))
(define csegen-5017(blodwen-lazy (lambda () (lambda (eta-0) (vector 1 (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "Invalid literate Idris")))))))
(define csegen-5021(blodwen-lazy (lambda () (lambda (eta-0) (vector 1 (vector 1 ((csegen-331) "Source line not available")))))))
(define csegen-5022(blodwen-lazy (lambda () (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-0 (lambda (eta-0) (vector 1 (vector 1 e-5))))) eff-0))))))))
(define csegen-5027(blodwen-lazy (lambda () (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-0 (lambda (eta-0) (vector 1 (vector 6 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vsep ((csegen-4988) e-5))))))) eff-0))))))))
(define csegen-5031(blodwen-lazy (lambda () (let ((eff-0 (CoreC-45Context-getWorkingDir))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 15 e-5))))) eff-1))))))))))
(define csegen-5034(blodwen-lazy (lambda () (lambda (eta-0) (lambda (eta-1) (CoreC-45Context-lookupCtxtExact eta-0 eta-1))))))
(define csegen-5035(blodwen-lazy (lambda () (lambda (eta-0) (let ((e-1 (vector-ref eta-0 1))) e-1)))))
(define csegen-5036(blodwen-lazy (lambda () (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-0 (lambda (eta-0) (vector 1 (vector 7 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vsep e-5)))))) eff-0))))))))
(define csegen-5040(blodwen-lazy (lambda () (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-0 (lambda (eta-0) (vector 1 (vector 7 e-5))))) eff-0))))))))
(define csegen-5070(blodwen-lazy (lambda () ((csegen-721) (lambda (eta-0) (lambda (eta-1) eta-1))))))
(define csegen-5081(blodwen-lazy (lambda () ((csegen-331) "functions:"))))
(define csegen-5085(blodwen-lazy (lambda () (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow ((csegen-0) "No such code generator available")))))
(define csegen-5087(blodwen-lazy (lambda () (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-0 (lambda (eta-0) (vector 1 (vector 16 ))))) eff-0)))))))
(define csegen-5094(blodwen-lazy (lambda () (cons (lambda (u--x) (CoreC-45OptionsC-45Log-u--show_Show_LogLevel u--x)) (lambda (u--d) (lambda (u--x) (CoreC-45OptionsC-45Log-u--showPrec_Show_LogLevel u--d u--x)))))))
(define csegen-5111(blodwen-lazy (lambda () (lambda (eta-0) (TTImpC-45TTImpC-45Functor-u--map_Functor_RawImpC-39 (csegen-327) eta-0)))))
(define csegen-5112(blodwen-lazy (lambda () (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-0 (lambda (eta-0) (vector 1 (cons '() e-5))))) eff-0))))))))
(define csegen-5113(blodwen-lazy (lambda () (lambda (eta-0) (let ((sc0 (PreludeC-45Types-isSpace eta-0))) (cond ((equal? sc0 1) 0) (else 1)))))))
(define csegen-5118(blodwen-lazy (lambda () (cons (cons (lambda (u--x) (CoreC-45NameC-45Namespace-u--show_Show_ModuleIdent u--x)) (lambda (u--d) (lambda (u--x) (CoreC-45NameC-45Namespace-u--showPrec_Show_ModuleIdent u--d u--x)))) (csegen-581)))))
(define csegen-5121(blodwen-lazy (lambda () (vector 0 (vector 2 ) (vector 2 "_" 0)))))
(define csegen-5124(blodwen-lazy (lambda () ((csegen-0) " to "))))
(define csegen-5134(blodwen-lazy (lambda () ((csegen-25) (lambda (lamc-0) (let ((e-3 (cdr lamc-0))) (let ((e-7 (cdr e-3))) (let ((e-11 (cdr e-7))) e-11))))))))
(define csegen-5135(blodwen-lazy (lambda () ((csegen-0) "desugar.failing"))))
(define csegen-5145(blodwen-lazy (lambda () (vector 0 (vector 2 ) (vector 2 "lamc" 0)))))
(define csegen-5156(blodwen-lazy (lambda () (vector 59 ((csegen-0) "Invalid input to shunting")))))
(define csegen-5160(blodwen-lazy (lambda () ((csegen-25) (lambda (eta-0) (let ((e-0 (vector-ref eta-0 0))) e-0))))))
(define csegen-5161(blodwen-lazy (lambda () ((csegen-0) "elab.interface.default"))))
(define csegen-5164(blodwen-lazy (lambda () (cons (csegen-1277) (csegen-1016)))))
(define csegen-5171(blodwen-lazy (lambda () (cons (csegen-100) (cons (lambda (u--x) (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-3280) u--x)) (lambda (u--d) (lambda (u--x) (PreludeC-45Show-u--showPrec_Show_C-40ListC-32C-36aC-41 (csegen-3280) u--d u--x))))))))
(define csegen-5175(blodwen-lazy (lambda () (cons (csegen-1030) (csegen-1016)))))
(define csegen-5178(blodwen-lazy (lambda () (cons (lambda (u--x) (PreludeC-45Show-u--show_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-5175) u--x)) (lambda (u--d) (lambda (u--x) (PreludeC-45Show-u--showPrec_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-5175) u--d u--x)))))))
(define csegen-5179(blodwen-lazy (lambda () (cons (csegen-100) (csegen-5178)))))
(define csegen-5182(blodwen-lazy (lambda () (cons (lambda (u--x) (PreludeC-45Show-u--show_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-5179) u--x)) (lambda (u--d) (lambda (u--x) (PreludeC-45Show-u--showPrec_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-5179) u--d u--x)))))))
(define csegen-5183(blodwen-lazy (lambda () (cons (csegen-1277) (csegen-5178)))))
(define csegen-5188(blodwen-lazy (lambda () ((csegen-25) (lambda (eta-0) (vector 0 (vector 2 ) eta-0))))))
(define csegen-5197(blodwen-lazy (lambda () (cons (csegen-1030) (csegen-1019)))))
(define csegen-5201(blodwen-lazy (lambda () (cons (csegen-100) (cons (lambda (u--x) (PreludeC-45Show-u--show_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-5197) u--x)) (lambda (u--d) (lambda (u--x) (PreludeC-45Show-u--showPrec_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-5197) u--d u--x))))))))
(define csegen-5204(blodwen-lazy (lambda () (cons (lambda (u--x) (PreludeC-45Show-u--show_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-5201) u--x)) (lambda (u--d) (lambda (u--x) (PreludeC-45Show-u--showPrec_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-5201) u--d u--x)))))))
(define csegen-5208(blodwen-lazy (lambda () (cons (csegen-100) (cons (lambda (u--x) (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-5204) u--x)) (lambda (u--d) (lambda (u--x) (PreludeC-45Show-u--showPrec_Show_C-40ListC-32C-36aC-41 (csegen-5204) u--d u--x))))))))
(define csegen-5212(blodwen-lazy (lambda () ((csegen-0) "elab.implementation"))))
(define csegen-5230(blodwen-lazy (lambda () (cons (csegen-100) (csegen-345)))))
(define csegen-5244(blodwen-lazy (lambda () (IdrisC-45Pretty-code (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-594) "B")))))
(define csegen-5264(blodwen-lazy (lambda () (lambda (eta-0) (vector 1 (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 ((csegen-331) "Bad expression, expected") (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (csegen-5244) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "or") (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45Pretty-code (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-594) "_ -> B")) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "or") (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (IdrisC-45Pretty-code (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-594) "A -> B")) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-594) ", where")) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45Pretty-code (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-594) "A")) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "and") (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (csegen-5244) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "are spines of global names"))))))))))))))))
(define csegen-5272(blodwen-lazy (lambda () (let ((eff-0 (lambda (eta-0) (IdrisC-45IDEModeC-45Commands-u--cast_Cast_C-40C-124C-40C-40BuiltinC-46PairC-32FileNameC-41C-32NonEmptyFCC-41C-44C-40C-40BuiltinC-46MkPairC-32FileNameC-41C-32NonEmptyFCC-41C-124C-41_FileContext eta-0)))) (lambda (arg-0) (eff-0 arg-0))))))
(define csegen-5273(blodwen-lazy (lambda () (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-0 (PrimIO-io_bind (PreludeC-45IO-putStrLn (csegen-40) e-5) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) eff-0))))))))
(define csegen-5280(blodwen-lazy (lambda () (box (cons (box 7) (box 0))))))
(define csegen-5282(blodwen-lazy (lambda () (cons (lambda (arg-4791) (lambda (arg-4796) (IdrisC-45SyntaxC-45TTC-u--toBuf_TTC_SyntaxInfo arg-4791 arg-4796))) (lambda (arg-4804) (IdrisC-45SyntaxC-45TTC-u--fromBuf_TTC_SyntaxInfo arg-4804))))))
(define csegen-5286(blodwen-lazy (lambda () (cons (csegen-575) (csegen-583)))))
(define csegen-5289(blodwen-lazy (lambda () (cons (lambda (u--x) (PreludeC-45Show-u--show_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-5286) u--x)) (lambda (u--d) (lambda (u--x) (PreludeC-45Show-u--showPrec_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-5286) u--d u--x)))))))
(define csegen-5292(blodwen-lazy (lambda () (cons (lambda (arg-528) (lambda (arg-531) (PreludeC-45EqOrd-u--C-61C-61_Eq_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-2647) (csegen-290) arg-528 arg-531))) (lambda (arg-538) (lambda (arg-541) (PreludeC-45EqOrd-u--C-47C-61_Eq_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-2647) (csegen-290) arg-538 arg-541)))))))
(define csegen-5300(blodwen-lazy (lambda () (vector (csegen-2647) (lambda (arg-1418) (lambda (arg-1421) (CoreC-45NameC-45Namespace-u--compare_Ord_Namespace arg-1418 arg-1421))) (lambda (arg-1428) (lambda (arg-1431) (CoreC-45NameC-45Namespace-u--C-60_Ord_Namespace arg-1428 arg-1431))) (lambda (arg-1438) (lambda (arg-1441) (CoreC-45NameC-45Namespace-u--C-62_Ord_Namespace arg-1438 arg-1441))) (lambda (arg-1448) (lambda (arg-1451) (CoreC-45NameC-45Namespace-u--C-60C-61_Ord_Namespace arg-1448 arg-1451))) (lambda (arg-1458) (lambda (arg-1461) (CoreC-45NameC-45Namespace-u--C-62C-61_Ord_Namespace arg-1458 arg-1461))) (lambda (arg-1468) (lambda (arg-1471) (CoreC-45NameC-45Namespace-u--max_Ord_Namespace arg-1468 arg-1471))) (lambda (arg-1478) (lambda (arg-1481) (CoreC-45NameC-45Namespace-u--min_Ord_Namespace arg-1478 arg-1481)))))))
(define csegen-5308(blodwen-lazy (lambda () (vector (csegen-5292) (lambda (arg-1418) (lambda (arg-1421) (PreludeC-45EqOrd-u--compare_Ord_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-5300) (csegen-298) arg-1418 arg-1421))) (lambda (arg-1428) (lambda (arg-1431) (PreludeC-45EqOrd-u--C-60_Ord_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-5300) (csegen-298) arg-1428 arg-1431))) (lambda (arg-1438) (lambda (arg-1441) (PreludeC-45EqOrd-u--C-62_Ord_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-5300) (csegen-298) arg-1438 arg-1441))) (lambda (arg-1448) (lambda (arg-1451) (PreludeC-45EqOrd-u--C-60C-61_Ord_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-5300) (csegen-298) arg-1448 arg-1451))) (lambda (arg-1458) (lambda (arg-1461) (PreludeC-45EqOrd-u--C-62C-61_Ord_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-5300) (csegen-298) arg-1458 arg-1461))) (lambda (arg-1468) (lambda (arg-1471) (PreludeC-45EqOrd-u--max_Ord_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-5300) (csegen-298) arg-1468 arg-1471))) (lambda (arg-1478) (lambda (arg-1481) (PreludeC-45EqOrd-u--min_Ord_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-5300) (csegen-298) arg-1478 arg-1481)))))))
(define csegen-5310(blodwen-lazy (lambda () ((csegen-0) "doc.module"))))
(define csegen-5314(blodwen-lazy (lambda () (cons (lambda (u--x) (IdrisC-45Syntax-u--show_Show_Import u--x)) (lambda (u--d) (lambda (u--x) (IdrisC-45Syntax-u--showPrec_Show_Import u--d u--x)))))))
(define csegen-5327(blodwen-lazy (lambda () (vector (csegen-2644) (lambda (arg-1418) (lambda (arg-1421) (PreludeC-45EqOrd-u--compare_Ord_Bool arg-1418 arg-1421))) (lambda (arg-1428) (lambda (arg-1431) (PreludeC-45EqOrd-u--C-60_Ord_Bool arg-1428 arg-1431))) (lambda (arg-1438) (lambda (arg-1441) (PreludeC-45EqOrd-u--C-62_Ord_Bool arg-1438 arg-1441))) (lambda (arg-1448) (lambda (arg-1451) (PreludeC-45EqOrd-u--C-60C-61_Ord_Bool arg-1448 arg-1451))) (lambda (arg-1458) (lambda (arg-1461) (PreludeC-45EqOrd-u--C-62C-61_Ord_Bool arg-1458 arg-1461))) (lambda (arg-1468) (lambda (arg-1471) (PreludeC-45EqOrd-u--max_Ord_Bool arg-1468 arg-1471))) (lambda (arg-1478) (lambda (arg-1481) (PreludeC-45EqOrd-u--min_Ord_Bool arg-1478 arg-1481)))))))
(define csegen-5366(blodwen-lazy (lambda () ((csegen-25) (lambda (eta-0) (let ((e-2 (vector-ref eta-0 2))) e-2))))))
(define csegen-5368(blodwen-lazy (lambda () (cons (lambda (arg-4791) (lambda (arg-4796) (CoreC-45TTC-u--toBuf_TTC_FC arg-4791 arg-4796))) (lambda (arg-4804) (CoreC-45TTC-u--fromBuf_TTC_FC arg-4804))))))
(define csegen-5371(blodwen-lazy (lambda () (cons (cons (lambda (arg-4791) (lambda (arg-4796) (IdrisC-45SyntaxC-45TTC-u--toBuf_TTC_Fixity arg-4791 arg-4796))) (lambda (arg-4804) (IdrisC-45SyntaxC-45TTC-u--fromBuf_TTC_Fixity arg-4804))) (csegen-1934)))))
(define csegen-5375(blodwen-lazy (lambda () (cons (csegen-5368) (cons (lambda (arg-4791) (lambda (arg-4796) (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-5371) arg-4791 arg-4796))) (lambda (arg-4804) (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-5371) arg-4804)))))))
(define csegen-5379(blodwen-lazy (lambda () (cons (csegen-1945) (cons (lambda (arg-4791) (lambda (arg-4796) (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-5375) arg-4791 arg-4796))) (lambda (arg-4804) (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-5375) arg-4804)))))))
(define csegen-5382(blodwen-lazy (lambda () (cons (lambda (arg-4791) (lambda (arg-4796) (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-5379) arg-4791 arg-4796))) (lambda (arg-4804) (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-5379) arg-4804))))))
(define csegen-5383(blodwen-lazy (lambda () (cons (csegen-5368) (csegen-1934)))))
(define csegen-5387(blodwen-lazy (lambda () (cons (csegen-1945) (cons (lambda (arg-4791) (lambda (arg-4796) (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-5383) arg-4791 arg-4796))) (lambda (arg-4804) (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-5383) arg-4804)))))))
(define csegen-5390(blodwen-lazy (lambda () (cons (lambda (arg-4791) (lambda (arg-4796) (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-5387) arg-4791 arg-4796))) (lambda (arg-4804) (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-5387) arg-4804))))))
(define csegen-5391(blodwen-lazy (lambda () (cons (csegen-2587) (csegen-1945)))))
(define csegen-5394(blodwen-lazy (lambda () (cons (lambda (arg-4791) (lambda (arg-4796) (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-5391) arg-4791 arg-4796))) (lambda (arg-4804) (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-5391) arg-4804))))))
(define csegen-5395(blodwen-lazy (lambda () (lambda (eta-0) (lambda (eta-1) (CoreC-45NameC-45Namespace-u--C-61C-61_Eq_ModuleIdent eta-0 eta-1))))))
(define csegen-5397(blodwen-lazy (lambda () (cons (lambda (arg-4791) (lambda (arg-4796) (IdrisC-45SyntaxC-45TTC-u--toBuf_TTC_Import arg-4791 arg-4796))) (lambda (arg-4804) (IdrisC-45SyntaxC-45TTC-u--fromBuf_TTC_Import arg-4804))))))
(define csegen-5401(blodwen-lazy (lambda () (cons (csegen-2587) (cons (lambda (arg-4791) (lambda (arg-4796) (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40ListC-32C-36aC-41 (csegen-5397) arg-4791 arg-4796))) (lambda (arg-4804) (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40ListC-32C-36aC-41 (csegen-5397) arg-4804)))))))
(define csegen-5404(blodwen-lazy (lambda () (cons (lambda (arg-4791) (lambda (arg-4796) (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-5401) arg-4791 arg-4796))) (lambda (arg-4804) (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-5401) arg-4804))))))
(define csegen-5407(blodwen-lazy (lambda () (cons (csegen-64) (cons (lambda (arg-4791) (lambda (arg-4796) (IdrisC-45SyntaxC-45TTC-u--toBuf_TTC_IFaceInfo arg-4791 arg-4796))) (lambda (arg-4804) (IdrisC-45SyntaxC-45TTC-u--fromBuf_TTC_IFaceInfo arg-4804)))))))
(define csegen-5410(blodwen-lazy (lambda () (cons (lambda (arg-4791) (lambda (arg-4796) (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-5407) arg-4791 arg-4796))) (lambda (arg-4804) (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-5407) arg-4804))))))
(define csegen-5411(blodwen-lazy (lambda () (cons (csegen-64) (csegen-1945)))))
(define csegen-5414(blodwen-lazy (lambda () (cons (lambda (arg-4791) (lambda (arg-4796) (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-5411) arg-4791 arg-4796))) (lambda (arg-4804) (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-5411) arg-4804))))))
(define csegen-5416(blodwen-lazy (lambda () (cons (lambda (arg-4791) (lambda (arg-4796) (CoreC-45TTC-u--toBuf_TTC_TotalReq arg-4791 arg-4796))) (lambda (arg-4804) (CoreC-45TTC-u--fromBuf_TTC_TotalReq arg-4804))))))
(define csegen-5418(blodwen-lazy (lambda () (cons (lambda (arg-4791) (lambda (arg-4796) (TTImpC-45TTImpC-45TTC-u--toBuf_TTC_RawImp arg-4791 arg-4796))) (lambda (arg-4804) (TTImpC-45TTImpC-45TTC-u--fromBuf_TTC_RawImp arg-4804))))))
(define csegen-5420(blodwen-lazy (lambda () (cons (lambda (arg-4791) (lambda (arg-4796) (IdrisC-45SyntaxC-45TTC-u--toBuf_TTC_Method arg-4791 arg-4796))) (lambda (arg-4804) (IdrisC-45SyntaxC-45TTC-u--fromBuf_TTC_Method arg-4804))))))
(define csegen-5422(blodwen-lazy (lambda () (cons (lambda (arg-4791) (lambda (arg-4796) (TTImpC-45TTImpC-45TTC-u--toBuf_TTC_ImpClause arg-4791 arg-4796))) (lambda (arg-4804) (TTImpC-45TTImpC-45TTC-u--fromBuf_TTC_ImpClause arg-4804))))))
(define csegen-5426(blodwen-lazy (lambda () (cons (csegen-64) (cons (lambda (arg-4791) (lambda (arg-4796) (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40ListC-32C-36aC-41 (csegen-5422) arg-4791 arg-4796))) (lambda (arg-4804) (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40ListC-32C-36aC-41 (csegen-5422) arg-4804)))))))
(define csegen-5429(blodwen-lazy (lambda () (cons (lambda (arg-4791) (lambda (arg-4796) (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-5426) arg-4791 arg-4796))) (lambda (arg-4804) (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-5426) arg-4804))))))
(define csegen-5432(blodwen-lazy (lambda () (cons (lambda (arg-4791) (lambda (arg-4796) (TTImpC-45TTImpC-45TTC-u--toBuf_TTC_ImpDecl arg-4791 arg-4796))) (lambda (arg-4804) (TTImpC-45TTImpC-45TTC-u--fromBuf_TTC_ImpDecl arg-4804))))))
(define csegen-5434(blodwen-lazy (lambda () (cons (lambda (arg-4791) (lambda (arg-4796) (TTImpC-45TTImpC-45TTC-u--toBuf_TTC_IFieldUpdate arg-4791 arg-4796))) (lambda (arg-4804) (TTImpC-45TTImpC-45TTC-u--fromBuf_TTC_IFieldUpdate arg-4804))))))
(define csegen-5435(blodwen-lazy (lambda () (cons (csegen-5368) (csegen-64)))))
(define csegen-5438(blodwen-lazy (lambda () (cons (lambda (arg-4791) (lambda (arg-4796) (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-5435) arg-4791 arg-4796))) (lambda (arg-4804) (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-5435) arg-4804))))))
(define csegen-5444(blodwen-lazy (lambda () (cons (cons (lambda (arg-4791) (lambda (arg-4796) (CoreC-45TTC-u--toBuf_TTC_C-40PiInfoC-32C-36tC-41 (csegen-5418) arg-4791 arg-4796))) (lambda (arg-4804) (CoreC-45TTC-u--fromBuf_TTC_C-40PiInfoC-32C-36tC-41 (csegen-5418) arg-4804))) (csegen-5418)))))
(define csegen-5448(blodwen-lazy (lambda () (cons (cons (lambda (arg-4791) (lambda (arg-4796) (CoreC-45TTC-u--toBuf_TTC_RigCount arg-4791 arg-4796))) (lambda (arg-4804) (CoreC-45TTC-u--fromBuf_TTC_RigCount arg-4804))) (cons (lambda (arg-4791) (lambda (arg-4796) (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-5444) arg-4791 arg-4796))) (lambda (arg-4804) (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-5444) arg-4804)))))))
(define csegen-5452(blodwen-lazy (lambda () (cons (csegen-64) (cons (lambda (arg-4791) (lambda (arg-4796) (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-5448) arg-4791 arg-4796))) (lambda (arg-4804) (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-5448) arg-4804)))))))
(define csegen-5455(blodwen-lazy (lambda () (cons (lambda (arg-4791) (lambda (arg-4796) (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-5452) arg-4791 arg-4796))) (lambda (arg-4804) (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-5452) arg-4804))))))
(define csegen-5457(blodwen-lazy (lambda () (cons (lambda (arg-4791) (lambda (arg-4796) (TTImpC-45TTImpC-45TTC-u--toBuf_TTC_DataOpt arg-4791 arg-4796))) (lambda (arg-4804) (TTImpC-45TTImpC-45TTC-u--fromBuf_TTC_DataOpt arg-4804))))))
(define csegen-5459(blodwen-lazy (lambda () (cons (lambda (arg-4791) (lambda (arg-4796) (TTImpC-45TTImpC-45TTC-u--toBuf_TTC_IField arg-4791 arg-4796))) (lambda (arg-4804) (TTImpC-45TTImpC-45TTC-u--fromBuf_TTC_IField arg-4804))))))
(define csegen-5461(blodwen-lazy (lambda () (cons (lambda (arg-4791) (lambda (arg-4796) (TTImpC-45TTImpC-45TTC-u--toBuf_TTC_FnOpt arg-4791 arg-4796))) (lambda (arg-4804) (TTImpC-45TTImpC-45TTC-u--fromBuf_TTC_FnOpt arg-4804))))))
(define csegen-5463(blodwen-lazy (lambda () (cons (csegen-2577) (csegen-1934)))))
(define csegen-5466(blodwen-lazy (lambda () (cons (lambda (arg-4791) (lambda (arg-4796) (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-5463) arg-4791 arg-4796))) (lambda (arg-4804) (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-5463) arg-4804))))))
(define csegen-5468(blodwen-lazy (lambda () (cons (lambda (arg-4791) (lambda (arg-4796) (TTImpC-45TTImpC-45TTC-u--toBuf_TTC_ImpTy arg-4791 arg-4796))) (lambda (arg-4804) (TTImpC-45TTImpC-45TTC-u--fromBuf_TTC_ImpTy arg-4804))))))
(define csegen-5481(blodwen-lazy (lambda () (LibrariesC-45TextC-45Parser-option 1 0 (PreludeC-45Interfaces-C-36C-62 (csegen-729) (ParserC-45RuleC-45Source-symbol "!") 1)))))
(define csegen-5482(blodwen-lazy (lambda () (PreludeC-45Interfaces-C-60C-36C-62 (csegen-729) (lambda (eta-0) (blodwen-toSignedInt eta-0 63)) (vector 8 (ParserC-45RuleC-45Source-intLit))))))
(define csegen-5487(blodwen-lazy (lambda () (IdrisC-45Parser-typeExpr (IdrisC-45Parser-pdef) (vector 2 (vector 0 )) (ParserC-45RuleC-45Source-init)))))
(define csegen-5488(blodwen-lazy (lambda () (vector 8 (csegen-5487)))))
(define csegen-5500(blodwen-lazy (lambda () (lambda (u--f) (((csegen-721) u--f) (ParserC-45RuleC-45Source-eoi))))))
(define csegen-5517(blodwen-lazy (lambda () (lambda (u--f) (((csegen-725) u--f) (ParserC-45RuleC-45Source-symbol ")"))))))
(define csegen-5538(blodwen-lazy (lambda () (let ((eff-0 (csegen-729))) (lambda (arg-0) (lambda (arg-1) ((((eff-0 'erased) 'erased) arg-0) arg-1)))))))
(define csegen-5554(blodwen-lazy (lambda () (vector 0 (csegen-3736)))))
(define csegen-5555(blodwen-lazy (lambda () (lambda (u--d) (vector 0 (cons u--d '()))))))
(define csegen-5566(blodwen-lazy (lambda () (LibrariesC-45TextC-45Parser-optional 1 (PreludeC-45Interfaces-C-60C-36C-62 (csegen-729) (lambda (eta-0) (DataC-45String-split (csegen-2127) eta-0)) (ParserC-45RuleC-45Source-simpleStr))))))
(define csegen-5572(blodwen-lazy (lambda () (vector 14 (PreludeC-45Interfaces-C-60C-36C-62 (csegen-729) (lambda (eta-0) (DataC-45List1-forget eta-0)) (LibrariesC-45TextC-45Parser-some (vector 14 (ParserC-45RuleC-45Source-postfixProj))))))))
(define csegen-5589(blodwen-lazy (lambda () (cons "t" (cons "type" '())))))
(define csegen-5594(blodwen-lazy (lambda () (cons "s" (cons "search" '())))))
(define csegen-5598(blodwen-lazy (lambda () (cons "module" (cons "import" '())))))
(define csegen-5603(blodwen-lazy (lambda () (cons "q" (cons "quit" (cons "exit" '()))))))
(define csegen-5612(blodwen-lazy (lambda () (cons "c" (cons "compile" '())))))
(define csegen-5618(blodwen-lazy (lambda () (cons "l" (cons "load" '())))))
(define csegen-5621(blodwen-lazy (lambda () (cons "r" (cons "reload" '())))))
(define csegen-5624(blodwen-lazy (lambda () (cons "e" (cons "edit" '())))))
(define csegen-5627(blodwen-lazy (lambda () (cons "miss" (cons "missing" '())))))
(define csegen-5634(blodwen-lazy (lambda () (cons "log" (cons "logging" '())))))
(define csegen-5638(blodwen-lazy (lambda () (cons "colour" (cons "color" '())))))
(define csegen-5641(blodwen-lazy (lambda () (cons "m" (cons "metavars" '())))))
(define csegen-5647(blodwen-lazy (lambda () (cons "cs" (cons "casesplit" '())))))
(define csegen-5651(blodwen-lazy (lambda () (cons "ac" (cons "addclause" '())))))
(define csegen-5655(blodwen-lazy (lambda () (cons "ml" (cons "makelemma" '())))))
(define csegen-5659(blodwen-lazy (lambda () (cons "mc" (cons "makecase" '())))))
(define csegen-5663(blodwen-lazy (lambda () (cons "mw" (cons "makewith" '())))))
(define csegen-5671(blodwen-lazy (lambda () (cons "ps" (cons "proofsearch" '())))))
(define csegen-5681(blodwen-lazy (lambda () (cons "?" (cons "h" (cons "help" '()))))))
(define csegen-5685(blodwen-lazy (lambda () (cons "fs" (cons "fsearch" '())))))
(define csegen-5732(blodwen-lazy (lambda () (lambda (eta-0) (lambda (eta-1) (IdrisC-45Syntax-applyArgs eta-0 eta-1))))))
(define csegen-5891(blodwen-lazy (lambda () ((csegen-25) (lambda (arg-0) (string-append ":" arg-0))))))
(define csegen-5938(blodwen-lazy (lambda () (cons (vector 12 "n" (vector 10 )) '()))))
(define csegen-5950(blodwen-lazy (lambda () (let ((eff-0 (lambda (eta-0) (DataC-45SnocList-u--cast_Cast_C-40ListC-32C-36aC-41_C-40SnocListC-32C-36aC-41 eta-0)))) (lambda (arg-0) (eff-0 arg-0))))))
(define csegen-5966(blodwen-lazy (lambda () (lambda (eta-0) (let ((e-1 (vector-ref eta-0 0))) e-1)))))
(define csegen-5973(blodwen-lazy (lambda () (lambda (eta-0) (let ((e-1 (vector-ref eta-0 1))) e-1)))))
(define csegen-5998(blodwen-lazy (lambda () (cons (lambda (u--x) (CompilerC-45InterpreterC-45VMCode-u--show_Show_Object u--x)) (lambda (u--d) (lambda (u--x) (CompilerC-45InterpreterC-45VMCode-u--showPrec_Show_Object u--d u--x)))))))
(define csegen-6022(blodwen-lazy (lambda () (CompilerC-45ESC-45Doc-u--C-60C-43C-62_Semigroup_Doc (CompilerC-45ESC-45Doc-u--fromString_FromString_Doc "h") (CompilerC-45ESC-45Doc-softColon)))))
(define csegen-6024(blodwen-lazy (lambda () (let ((eff-0 (lambda (eta-0) (lambda (eta-1) (CompilerC-45ESC-45Doc-u--C-60C-43C-62_Semigroup_Doc eta-0 eta-1))))) (lambda (arg-0) (lambda (arg-1) ((eff-0 arg-0) arg-1)))))))
(define csegen-6037(blodwen-lazy (lambda () ((csegen-0) "BigInt"))))
(define csegen-6038(blodwen-lazy (lambda () ((csegen-0) "Int"))))
(define csegen-6054(blodwen-lazy (lambda () (vector (lambda (u--acc) (lambda (u--elem) (lambda (u--func) (lambda (u--init) (lambda (u--input) (PreludeC-45Types-u--foldr_Foldable_Maybe u--func u--init u--input)))))) (lambda (u--elem) (lambda (u--acc) (lambda (u--func) (lambda (u--init) (lambda (u--input) (PreludeC-45Types-u--foldl_Foldable_Maybe u--func u--init u--input)))))) (lambda (u--elem) (lambda (arg-10420) (PreludeC-45Types-u--null_Foldable_Maybe arg-10420))) (lambda (u--elem) (lambda (u--acc) (lambda (u--m) (lambda (i_con-0) (lambda (u--funcM) (lambda (u--init) (lambda (u--input) (PreludeC-45Types-u--foldlM_Foldable_Maybe i_con-0 u--funcM u--init u--input)))))))) (lambda (u--elem) (lambda (arg-10449) (PreludeC-45Types-u--toList_Foldable_Maybe arg-10449))) (lambda (u--a) (lambda (u--m) (lambda (i_con-0) (lambda (u--f) (lambda (arg-10463) (PreludeC-45Types-u--foldMap_Foldable_Maybe i_con-0 u--f arg-10463))))))))))
(define csegen-6058(blodwen-lazy (lambda () (let ((eff-0 (lambda (eta-0) (CompilerC-45ESC-45Doc-u--fromString_FromString_Doc eta-0)))) (lambda (arg-0) (eff-0 arg-0))))))
(define csegen-6122(blodwen-lazy (lambda () (vector 1 (CompilerC-45ESC-45Codegen-jsCrashExp (CompilerC-45ESC-45Codegen-jsStringDoc "Error: Executed 'void'"))))))
(define csegen-6123(blodwen-lazy (lambda () (lambda (eta-0) (let ((e-8 (vector-ref eta-0 8))) e-8)))))
(define csegen-6133(blodwen-lazy (lambda () ((csegen-6024) ((csegen-6058) "(")))))
(define csegen-6147(blodwen-lazy (lambda () (cons (lambda (arg-8326) (lambda (arg-8329) (CompilerC-45ESC-45Doc-u--C-60C-43C-62_Semigroup_Doc arg-8326 arg-8329))) (CompilerC-45ESC-45Doc-u--neutral_Monoid_Doc)))))
(define csegen-6149(blodwen-lazy (lambda () (CompilerC-45ESC-45Doc-u--C-60C-43C-62_Semigroup_Doc (CompilerC-45ESC-45Doc-u--C-60C-43C-62_Semigroup_Doc (CompilerC-45ESC-45Doc-u--fromString_FromString_Doc "{h") (CompilerC-45ESC-45Doc-softColon)) (vector 4 "0}")))))
(define csegen-6150(blodwen-lazy (lambda () (LibrariesC-45DataC-45SortedMap-empty (csegen-1609)))))
(define csegen-6152(blodwen-lazy (lambda () (LibrariesC-45DataC-45SortedSet-empty (csegen-1609)))))
(define csegen-6154(blodwen-lazy (lambda () (let ((eff-0 (lambda (eta-0) (lambda (eta-1) (LibrariesC-45DataC-45SortedSet-u--C-60C-43C-62_Semigroup_C-40SortedSetC-32C-36kC-41 (csegen-1609) eta-0 eta-1))))) (lambda (arg-0) (lambda (arg-1) ((eff-0 arg-0) arg-1)))))))
(define csegen-6157(blodwen-lazy (lambda () (cons (lambda (arg-8326) (lambda (arg-8329) (LibrariesC-45DataC-45SortedSet-u--C-60C-43C-62_Semigroup_C-40SortedSetC-32C-36kC-41 (csegen-1609) arg-8326 arg-8329))) (LibrariesC-45DataC-45SortedSet-u--neutral_Monoid_C-40SortedSetC-32C-36kC-41 (csegen-1609))))))
(define csegen-6202(blodwen-lazy (lambda () (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-0 (lambda (eta-0) (vector 1 (cons '() (cons e-5 "")))))) eff-0))))))))
(define csegen-6209(blodwen-lazy (lambda () (vector (csegen-1359) (lambda (arg-5875) (- 0 arg-5875)) (lambda (arg-5881) (lambda (arg-5884) (- arg-5881 arg-5884)))))))
(define csegen-6212(blodwen-lazy (lambda () (cons "scheme" (cons "C" '())))))
(define csegen-6214(blodwen-lazy (lambda () ((csegen-25) (lambda (eta-0) (CompilerC-45SchemeC-45Common-schName eta-0))))))
(define csegen-6218(blodwen-lazy (lambda () ((csegen-0) " (lambda ("))))
(define csegen-6219(blodwen-lazy (lambda () (lambda (eta-0) (vector 1 (cons '() ""))))))
(define csegen-6221(blodwen-lazy (lambda () (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (CompilerC-45SchemeC-45Gambit-gambitPrim eta-0 eta-1 eta-2)))))))
(define csegen-6230(blodwen-lazy (lambda () (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 ((csegen-0) "compileExpr returned Nothing")) eta-0)))))
(define csegen-6242(blodwen-lazy (lambda () (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-0 (lambda (eta-0) (vector 1 (string-append "(else " (string-append e-5 ")")))))) eff-0))))))))
(define csegen-6245(blodwen-lazy (lambda () (vector 1 (vector 0 ((csegen-0) "prim__newIORef"))))))
(define csegen-6248(blodwen-lazy (lambda () (vector 1 (vector 0 ((csegen-0) "prim__readIORef"))))))
(define csegen-6251(blodwen-lazy (lambda () (vector 1 (vector 0 ((csegen-0) "prim__writeIORef"))))))
(define csegen-6254(blodwen-lazy (lambda () (vector 1 (vector 0 ((csegen-0) "prim__newArray"))))))
(define csegen-6257(blodwen-lazy (lambda () (vector 1 (vector 0 ((csegen-0) "prim__arrayGet"))))))
(define csegen-6260(blodwen-lazy (lambda () (vector 1 (vector 0 ((csegen-0) "prim__arraySet"))))))
(define csegen-6263(blodwen-lazy (lambda () (vector 1 (vector 0 ((csegen-0) "prim__getField"))))))
(define csegen-6266(blodwen-lazy (lambda () (vector 1 (vector 0 ((csegen-0) "prim__setField"))))))
(define csegen-6269(blodwen-lazy (lambda () (vector 1 (vector 0 ((csegen-0) "prim__void"))))))
(define csegen-6272(blodwen-lazy (lambda () (vector 1 (vector 0 ((csegen-0) "prim__codegen"))))))
(define csegen-6275(blodwen-lazy (lambda () (vector 1 (vector 0 ((csegen-0) "prim__onCollect"))))))
(define csegen-6278(blodwen-lazy (lambda () (vector 1 (vector 0 ((csegen-0) "prim__onCollectAny"))))))
(define csegen-6287(blodwen-lazy (lambda () ((csegen-0) "string-length"))))
(define csegen-6288(blodwen-lazy (lambda () ((csegen-0) "string-ref"))))
(define csegen-6290(blodwen-lazy (lambda () ((csegen-0) "string-append"))))
(define csegen-6293(blodwen-lazy (lambda () ((csegen-0) "number->string"))))
(define csegen-6296(blodwen-lazy (lambda () (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-0 (lambda (eta-0) (vector 1 (string-append "(box " (string-append e-5 ")")))))) eff-0))))))))
(define csegen-6298(blodwen-lazy (lambda () (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-0 (lambda (eta-0) (vector 1 (string-append "(" (string-append e-5 ")")))))) eff-0))))))))
(define csegen-6299(blodwen-lazy (lambda () (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 "Bad CONS") eta-0)))))
(define csegen-6300(blodwen-lazy (lambda () (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 "Bad JUST") eta-0)))))
(define csegen-6314(blodwen-lazy (lambda () (lambda (arg-0) (PreludeC-45EqOrd-u--C-47C-61_Eq_Char arg-0 #\.)))))
(define csegen-6316(blodwen-lazy (lambda () (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-0 (lambda (eta-0) (vector 1 (cons "" e-5))))) eff-0))))))))
(define csegen-6320(blodwen-lazy (lambda () (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (CompilerC-45SchemeC-45Racket-racketPrim eta-0 eta-1 eta-2)))))))
(define csegen-6321(blodwen-lazy (lambda () (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-0 (lambda (eta-0) (vector 1 (string-append "(blodwen-make-future " (string-append e-5 ")")))))) eff-0))))))))
(define csegen-6344(blodwen-lazy (lambda () (cons (lambda (arg-2985) (CoreC-45Hash-u--hash_Hashable_NamedDef arg-2985)) (lambda (arg-2991) (lambda (arg-2994) (CoreC-45Hash-u--hashWithSalt_Hashable_NamedDef arg-2991 arg-2994)))))))
(define csegen-6349(blodwen-lazy (lambda () (CoreC-45Core-newRef (vector "Compiler.Scheme.Chez.Loaded" ) (cons "libc" (cons "libc 6" '()))))))
(define csegen-6350(blodwen-lazy (lambda () (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (CompilerC-45SchemeC-45Chez-chezExtPrim eta-0 eta-1 eta-2)))))))
(define csegen-6352(blodwen-lazy (lambda () (PrimIO-io_bind (CompilerC-45SchemeC-45Chez-findChez) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))))
(define csegen-6353(blodwen-lazy (lambda () ((csegen-0) "Make SO"))))
(define csegen-6354(blodwen-lazy (lambda () ((csegen-0) "compiler.scheme.chez"))))
(define csegen-6373(blodwen-lazy (lambda () (vector (cons (lambda (arg-528) (lambda (arg-531) (CompilerC-45Separate-u--C-61C-61_Eq_CompilationUnitId arg-528 arg-531))) (lambda (arg-538) (lambda (arg-541) (CompilerC-45Separate-u--C-47C-61_Eq_CompilationUnitId arg-538 arg-541)))) (lambda (arg-1418) (lambda (arg-1421) (CompilerC-45Separate-u--compare_Ord_CompilationUnitId arg-1418 arg-1421))) (lambda (arg-1428) (lambda (arg-1431) (CompilerC-45Separate-u--C-60_Ord_CompilationUnitId arg-1428 arg-1431))) (lambda (arg-1438) (lambda (arg-1441) (CompilerC-45Separate-u--C-62_Ord_CompilationUnitId arg-1438 arg-1441))) (lambda (arg-1448) (lambda (arg-1451) (CompilerC-45Separate-u--C-60C-61_Ord_CompilationUnitId arg-1448 arg-1451))) (lambda (arg-1458) (lambda (arg-1461) (CompilerC-45Separate-u--C-62C-61_Ord_CompilationUnitId arg-1458 arg-1461))) (lambda (arg-1468) (lambda (arg-1471) (CompilerC-45Separate-u--max_Ord_CompilationUnitId arg-1468 arg-1471))) (lambda (arg-1478) (lambda (arg-1481) (CompilerC-45Separate-u--min_Ord_CompilationUnitId arg-1478 arg-1481)))))))
(define csegen-6374(blodwen-lazy (lambda () (LibrariesC-45DataC-45SortedSet-empty (csegen-5300)))))
(define csegen-6375(blodwen-lazy (lambda () (let ((eff-0 (lambda (arg-3554) (CompilerC-45Separate-u--nsRefs_HasNamespaces_NamedCExp arg-3554)))) (lambda (arg-0) (eff-0 arg-0))))))
(define csegen-6377(blodwen-lazy (lambda () (let ((eff-0 (lambda (eta-0) (lambda (eta-1) (LibrariesC-45DataC-45SortedSet-u--C-60C-43C-62_Semigroup_C-40SortedSetC-32C-36kC-41 (csegen-5300) eta-0 eta-1))))) (lambda (arg-0) (lambda (arg-1) ((eff-0 arg-0) arg-1)))))))
(define csegen-6380(blodwen-lazy (lambda () (cons (lambda (arg-8326) (lambda (arg-8329) (LibrariesC-45DataC-45SortedSet-u--C-60C-43C-62_Semigroup_C-40SortedSetC-32C-36kC-41 (csegen-5300) arg-8326 arg-8329))) (LibrariesC-45DataC-45SortedSet-u--neutral_Monoid_C-40SortedSetC-32C-36kC-41 (csegen-5300))))))
(define csegen-6386(blodwen-lazy (lambda () (LibrariesC-45DataC-45SortedMap-empty (csegen-5300)))))
(define csegen-6393(blodwen-lazy (lambda () (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-0 (lambda (eta-0) (vector 1 (cons '() e-5))))) eff-0))))))))
(define csegen-6414(blodwen-lazy (lambda () ((csegen-0) " --script \""))))
(define csegen-6438(blodwen-lazy (lambda () ((csegen-0) " __collect_safe"))))
(define csegen-6439(blodwen-lazy (lambda () (cons "RefC" (cons "C" '())))))
(define csegen-6441(blodwen-lazy (lambda () ((csegen-25) (lambda (u--a) (string-append "arglist->args[" (string-append (PreludeC-45Show-u--show_Show_Nat u--a) "]")))))))
(define csegen-6447(blodwen-lazy (lambda () ((csegen-0) "constantArray_"))))
(define csegen-6473(blodwen-lazy (lambda () (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (LibrariesC-45DataC-45DList-snoc eta-0 eta-1 eta-2)))))))
(define csegen-6476(blodwen-lazy (lambda () ((csegen-25) (lambda (eta-0) (CompilerC-45RefCC-45RefC-cTypeOfCFType eta-0))))))
(define csegen-6489(blodwen-lazy (lambda () ((csegen-25) (lambda (u--v) (CompilerC-45RefCC-45RefC-varName u--v))))))
(define csegen-6493(blodwen-lazy (lambda () (lambda (eta-0) (vector 1 (cons "NULL" "NULL"))))))
(define csegen-6524(blodwen-lazy (lambda () (PrimIO-io_bind (CompilerC-45RefCC-45CC-findCC) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))))
(define csegen-6534(blodwen-lazy (lambda () ((csegen-0) "totality.requirement"))))
(define csegen-6549(blodwen-lazy (lambda () ((csegen-0) "Reloading "))))
(define csegen-6550(blodwen-lazy (lambda () ((csegen-25) (lambda (eta-0) (IdrisC-45IDEModeC-45CaseSplit-parenTrim eta-0))))))
(define csegen-6559(blodwen-lazy (lambda () (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-0 (lambda (eta-0) (vector 1 (cons (vector 3 ) (PreludeC-45TypesC-45List-tailRecAppend '() e-5)))))) eff-0))))))))
(define csegen-6578(blodwen-lazy (lambda () (cons (lambda (arg-1843) (LibrariesC-45UtilsC-45Scheme-u--toScheme_Scheme_String arg-1843)) (lambda (arg-1849) (LibrariesC-45UtilsC-45Scheme-u--fromScheme_Scheme_String arg-1849))))))
(define csegen-6579(blodwen-lazy (lambda () (cons (lambda (arg-1843) (LibrariesC-45UtilsC-45Scheme-u--toScheme_Scheme_Int arg-1843)) (lambda (arg-1849) (LibrariesC-45UtilsC-45Scheme-u--fromScheme_Scheme_Int arg-1849))))))
(define csegen-6580(blodwen-lazy (lambda () (cons (csegen-6579) (csegen-6579)))))
(define csegen-6589(blodwen-lazy (lambda () (cons (lambda (arg-1843) (CoreC-45SchemeEvalC-45ToScheme-u--toScheme_Scheme_Name arg-1843)) (lambda (arg-1849) (CoreC-45SchemeEvalC-45ToScheme-u--fromScheme_Scheme_Name arg-1849))))))
(define csegen-6590(blodwen-lazy (lambda () (cons (lambda (arg-1843) (LibrariesC-45UtilsC-45Scheme-u--toScheme_Scheme_Integer arg-1843)) (lambda (arg-1849) (LibrariesC-45UtilsC-45Scheme-u--fromScheme_Scheme_Integer arg-1849))))))
(define csegen-6591(blodwen-lazy (lambda () (cons (csegen-6589) (csegen-6590)))))
(define csegen-6596(blodwen-lazy (lambda () (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (vector 0 eta-0 eta-1 eta-2 eta-3))))))))
(define csegen-6628(blodwen-lazy (lambda () (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-0 (lambda (eta-0) (vector 1 (vector 2 e-5))))) eff-0))))))))
(define csegen-6636(blodwen-lazy (lambda () (cons (CoreC-45SchemeEvalC-45ToScheme-u--toScheme_Scheme_FC (CoreC-45FC-emptyFC)) '()))))
(define csegen-6638(blodwen-lazy (lambda () ((csegen-25) (lambda (eta-0) (vector 11 (CoreC-45SchemeEvalC-45Compile-schVarName eta-0)))))))
(define csegen-6639(blodwen-lazy (lambda () (vector 11 (csegen-6293)))))
(define csegen-6645(blodwen-lazy (lambda () (vector 11 ((csegen-0) "ct-cast-string-double")))))
(define csegen-6656(blodwen-lazy (lambda () (vector 11 (csegen-6287)))))
(define csegen-6668(blodwen-lazy (lambda () (vector 11 ((csegen-0) "ct-cast-unsigned")))))
(define csegen-6703(blodwen-lazy (lambda () (cons (lambda (u--x) (PreludeC-45Show-u--show_Show_Integer u--x)) (lambda (u--d) (lambda (u--x) (PreludeC-45Show-u--showPrec_Show_Integer u--d u--x)))))))
(define csegen-6710(blodwen-lazy (lambda () (cons (lambda (arg-8762) (CoreC-45CompileExprC-45Pretty-u--pretty_Pretty_IdrisSyntax_C-40CExpC-32C-36argsC-41 '() arg-8762)) (lambda (arg-8768) (lambda (arg-8771) (CoreC-45CompileExprC-45Pretty-u--prettyPrec_Pretty_IdrisSyntax_C-40CExpC-32C-36argsC-41 '() arg-8768 arg-8771)))))))
(define csegen-6712(blodwen-lazy (lambda () (IdrisC-45PrettyC-45Annotations-keyword (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-594) "\\")))))
(define csegen-6724(blodwen-lazy (lambda () (lambda (eta-0) (CoreC-45CompileExprC-45Pretty-u--prettyPrec_Pretty_IdrisSyntax_NamedCExp (vector 6 ) eta-0)))))
(define csegen-6725(blodwen-lazy (lambda () ((csegen-25) (csegen-6724)))))
(define csegen-6729(blodwen-lazy (lambda () (cons (lambda (u--x) (CoreC-45TT-u--show_Show_LazyReason u--x)) (lambda (u--d) (lambda (u--x) (CoreC-45TT-u--showPrec_Show_LazyReason u--d u--x)))))))
(define csegen-6771(blodwen-lazy (lambda () ((csegen-0) "Missing required argument "))))
(define csegen-6772(blodwen-lazy (lambda () ((csegen-0) " for flag "))))
(define csegen-6962(blodwen-lazy (lambda () (lambda (eta-0) (lambda (eta-1) (PreludeC-45Types-u--max_Ord_Nat eta-0 eta-1))))))
(define csegen-6976(blodwen-lazy (lambda () (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-0 (if (null? e-5) (lambda (eta-0) (vector 1 (vector 0 ))) (csegen-2332)))) eff-0))))))))
(define csegen-6977(blodwen-lazy (lambda () (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 "Tried to split empty string") eta-0)))))
(define csegen-6978(blodwen-lazy (lambda () ((csegen-0) "Installing "))))
(define csegen-6981(blodwen-lazy (lambda () ((csegen-0) "Can't copy file "))))
(define csegen-6982(blodwen-lazy (lambda () (cons (csegen-4075) (csegen-583)))))
(define csegen-6983(blodwen-lazy (lambda () ((csegen-0) "Can't make directories "))))
(define csegen-6986(blodwen-lazy (lambda () ((csegen-5538) (lambda (eta-0) (vector 0 ))))))
(define csegen-6990(blodwen-lazy (lambda () (LibrariesC-45TextC-45Parser-sepBy1 1 (ParserC-45RuleC-45Package-dotC-39) (ParserC-45RuleC-45Package-integerLit)))))
(define csegen-7008(blodwen-lazy (lambda () ((csegen-0) "index.html"))))
(define csegen-7011(blodwen-lazy (lambda () ((csegen-0) "package.depends"))))
(define csegen-7024(blodwen-lazy (lambda () (lambda (eta-0) (lambda (eta-1) (vector 15 eta-0 eta-1))))))
(define csegen-7034(blodwen-lazy (lambda () ((csegen-6986) (ParserC-45RuleC-45Package-exactProperty "version")))))
(define csegen-7062(blodwen-lazy (lambda () (cons (lambda (arg-8326) (lambda (arg-8329) (vector 0 ))) (vector 0 )))))
(define csegen-7089(blodwen-lazy (lambda () (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-0 (lambda (eta-0) (vector 1 (string-append "<!-- ann ignored START -->" (string-append e-5 "<!-- ann END -->")))))) eff-0))))))))
(define csegen-7197(blodwen-lazy (lambda () (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow ((csegen-0) "Running idemode but output isn't")))))
(define csegen-7203(blodwen-lazy (lambda () (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-0 (lambda (eta-0) (vector 1 (vector 0 (vector 28 (vector 0 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-emptyDoc)))))))) eff-0)))))))
(define csegen-7207(blodwen-lazy (lambda () (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-0 (lambda (eta-0) (vector 1 (vector 0 (vector 6 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-emptyDoc))))))) eff-0)))))))
(define csegen-7209(blodwen-lazy (lambda () (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-0 (lambda (eta-0) (vector 1 (vector 2 '()))))) eff-0)))))))
(define csegen-7239(blodwen-lazy (lambda () (lambda (u--x) (let ((sc0 (let ((sc1 (PreludeC-45Types-isAlphaNum u--x))) (cond ((equal? sc1 1) 1) (else (PreludeC-45EqOrd-u--C-62_Ord_Char u--x (cast-int-char (blodwen-toSignedInt 160 63)))))))) (cond ((equal? sc0 1) 0) (else 1)))))))
(define u--prim__sub_Integer (lambda (arg-0 arg-1) (- arg-0 arg-1)))
(define IdrisC-45Main-main(blodwen-lazy (lambda () (IdrisC-45Driver-mainWithCodegens '()))))
(define CompilerC-45Common-case--castInt-5969 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (if (null? arg-4) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 (string-append "invalid cast: + " (string-append (CoreC-45TT-u--show_Show_PrimType arg-2) (string-append " + ' -> ' + " (CoreC-45TT-u--show_Show_PrimType arg-1))))) eta-0)) (let ((e-2 (car arg-4))) (let ((e-3 (cdr arg-4))) (if (null? e-2) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 (string-append "invalid cast: + " (string-append (CoreC-45TT-u--show_Show_PrimType arg-2) (string-append " + ' -> ' + " (CoreC-45TT-u--show_Show_PrimType arg-1))))) eta-0)) (let ((e-6 (car e-2))) (let ((e-7 (cdr e-2))) (cond ((equal? e-6 11) (if (null? e-3) (if (null? e-7) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 (string-append "invalid cast: + " (string-append (CoreC-45TT-u--show_Show_PrimType arg-2) (string-append " + ' -> ' + " (CoreC-45TT-u--show_Show_PrimType arg-1))))) eta-0)) (let ((e-9 (unbox e-7))) (if (null? e-3) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 (string-append "invalid cast: + " (string-append (CoreC-45TT-u--show_Show_PrimType arg-2) (string-append " + ' -> ' + " (CoreC-45TT-u--show_Show_PrimType arg-1))))) eta-0)) (let ((e-12 (car e-3))) (let ((e-13 (cdr e-3))) (cond ((equal? e-12 11) (let ((e-1 (vector-ref arg-3 1))) ((e-1 e-9) arg-0))) ((equal? e-12 10) (let ((e-10 (vector-ref arg-3 3))) ((e-10 e-9) arg-0))) ((equal? e-12 12) (let ((e-5 (vector-ref arg-3 5))) ((e-5 e-9) arg-0)))(else (if (null? e-13) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 (string-append "invalid cast: + " (string-append (CoreC-45TT-u--show_Show_PrimType arg-2) (string-append " + ' -> ' + " (CoreC-45TT-u--show_Show_PrimType arg-1))))) eta-0)) (let ((e-15 (unbox e-13))) (let ((e-8 (vector-ref arg-3 6))) (((e-8 e-9) e-15) arg-0))))))))))) (let ((e-19 (cdr e-3))) (if (null? e-19) (if (null? e-7) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 (string-append "invalid cast: + " (string-append (CoreC-45TT-u--show_Show_PrimType arg-2) (string-append " + ' -> ' + " (CoreC-45TT-u--show_Show_PrimType arg-1))))) eta-0)) (let ((e-9 (unbox e-7))) (if (null? e-3) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 (string-append "invalid cast: + " (string-append (CoreC-45TT-u--show_Show_PrimType arg-2) (string-append " + ' -> ' + " (CoreC-45TT-u--show_Show_PrimType arg-1))))) eta-0)) (let ((e-12 (car e-3))) (let ((e-13 (cdr e-3))) (cond ((equal? e-12 11) (let ((e-1 (vector-ref arg-3 1))) ((e-1 e-9) arg-0))) ((equal? e-12 10) (let ((e-10 (vector-ref arg-3 3))) ((e-10 e-9) arg-0))) ((equal? e-12 12) (let ((e-5 (vector-ref arg-3 5))) ((e-5 e-9) arg-0)))(else (if (null? e-13) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 (string-append "invalid cast: + " (string-append (CoreC-45TT-u--show_Show_PrimType arg-2) (string-append " + ' -> ' + " (CoreC-45TT-u--show_Show_PrimType arg-1))))) eta-0)) (let ((e-15 (unbox e-13))) (let ((e-8 (vector-ref arg-3 6))) (((e-8 e-9) e-15) arg-0))))))))))) (let ((e-21 (unbox e-19))) (let ((e-0 (vector-ref arg-3 0))) ((e-0 e-21) arg-0))))))) ((equal? e-6 10) (if (null? e-3) (if (null? e-7) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 (string-append "invalid cast: + " (string-append (CoreC-45TT-u--show_Show_PrimType arg-2) (string-append " + ' -> ' + " (CoreC-45TT-u--show_Show_PrimType arg-1))))) eta-0)) (let ((e-9 (unbox e-7))) (if (null? e-3) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 (string-append "invalid cast: + " (string-append (CoreC-45TT-u--show_Show_PrimType arg-2) (string-append " + ' -> ' + " (CoreC-45TT-u--show_Show_PrimType arg-1))))) eta-0)) (let ((e-12 (car e-3))) (let ((e-13 (cdr e-3))) (cond ((equal? e-12 11) (let ((e-1 (vector-ref arg-3 1))) ((e-1 e-9) arg-0))) ((equal? e-12 10) (let ((e-10 (vector-ref arg-3 3))) ((e-10 e-9) arg-0))) ((equal? e-12 12) (let ((e-5 (vector-ref arg-3 5))) ((e-5 e-9) arg-0)))(else (if (null? e-13) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 (string-append "invalid cast: + " (string-append (CoreC-45TT-u--show_Show_PrimType arg-2) (string-append " + ' -> ' + " (CoreC-45TT-u--show_Show_PrimType arg-1))))) eta-0)) (let ((e-15 (unbox e-13))) (let ((e-8 (vector-ref arg-3 6))) (((e-8 e-9) e-15) arg-0))))))))))) (let ((e-25 (cdr e-3))) (if (null? e-25) (if (null? e-7) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 (string-append "invalid cast: + " (string-append (CoreC-45TT-u--show_Show_PrimType arg-2) (string-append " + ' -> ' + " (CoreC-45TT-u--show_Show_PrimType arg-1))))) eta-0)) (let ((e-9 (unbox e-7))) (if (null? e-3) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 (string-append "invalid cast: + " (string-append (CoreC-45TT-u--show_Show_PrimType arg-2) (string-append " + ' -> ' + " (CoreC-45TT-u--show_Show_PrimType arg-1))))) eta-0)) (let ((e-12 (car e-3))) (let ((e-13 (cdr e-3))) (cond ((equal? e-12 11) (let ((e-1 (vector-ref arg-3 1))) ((e-1 e-9) arg-0))) ((equal? e-12 10) (let ((e-10 (vector-ref arg-3 3))) ((e-10 e-9) arg-0))) ((equal? e-12 12) (let ((e-5 (vector-ref arg-3 5))) ((e-5 e-9) arg-0)))(else (if (null? e-13) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 (string-append "invalid cast: + " (string-append (CoreC-45TT-u--show_Show_PrimType arg-2) (string-append " + ' -> ' + " (CoreC-45TT-u--show_Show_PrimType arg-1))))) eta-0)) (let ((e-15 (unbox e-13))) (let ((e-8 (vector-ref arg-3 6))) (((e-8 e-9) e-15) arg-0))))))))))) (let ((e-27 (unbox e-25))) (let ((e-10 (vector-ref arg-3 2))) ((e-10 e-27) arg-0))))))) ((equal? e-6 12) (if (null? e-3) (if (null? e-7) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 (string-append "invalid cast: + " (string-append (CoreC-45TT-u--show_Show_PrimType arg-2) (string-append " + ' -> ' + " (CoreC-45TT-u--show_Show_PrimType arg-1))))) eta-0)) (let ((e-9 (unbox e-7))) (if (null? e-3) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 (string-append "invalid cast: + " (string-append (CoreC-45TT-u--show_Show_PrimType arg-2) (string-append " + ' -> ' + " (CoreC-45TT-u--show_Show_PrimType arg-1))))) eta-0)) (let ((e-12 (car e-3))) (let ((e-13 (cdr e-3))) (cond ((equal? e-12 11) (let ((e-1 (vector-ref arg-3 1))) ((e-1 e-9) arg-0))) ((equal? e-12 10) (let ((e-10 (vector-ref arg-3 3))) ((e-10 e-9) arg-0))) ((equal? e-12 12) (let ((e-5 (vector-ref arg-3 5))) ((e-5 e-9) arg-0)))(else (if (null? e-13) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 (string-append "invalid cast: + " (string-append (CoreC-45TT-u--show_Show_PrimType arg-2) (string-append " + ' -> ' + " (CoreC-45TT-u--show_Show_PrimType arg-1))))) eta-0)) (let ((e-15 (unbox e-13))) (let ((e-8 (vector-ref arg-3 6))) (((e-8 e-9) e-15) arg-0))))))))))) (let ((e-31 (cdr e-3))) (if (null? e-31) (if (null? e-7) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 (string-append "invalid cast: + " (string-append (CoreC-45TT-u--show_Show_PrimType arg-2) (string-append " + ' -> ' + " (CoreC-45TT-u--show_Show_PrimType arg-1))))) eta-0)) (let ((e-9 (unbox e-7))) (if (null? e-3) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 (string-append "invalid cast: + " (string-append (CoreC-45TT-u--show_Show_PrimType arg-2) (string-append " + ' -> ' + " (CoreC-45TT-u--show_Show_PrimType arg-1))))) eta-0)) (let ((e-12 (car e-3))) (let ((e-13 (cdr e-3))) (cond ((equal? e-12 11) (let ((e-1 (vector-ref arg-3 1))) ((e-1 e-9) arg-0))) ((equal? e-12 10) (let ((e-10 (vector-ref arg-3 3))) ((e-10 e-9) arg-0))) ((equal? e-12 12) (let ((e-5 (vector-ref arg-3 5))) ((e-5 e-9) arg-0)))(else (if (null? e-13) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 (string-append "invalid cast: + " (string-append (CoreC-45TT-u--show_Show_PrimType arg-2) (string-append " + ' -> ' + " (CoreC-45TT-u--show_Show_PrimType arg-1))))) eta-0)) (let ((e-15 (unbox e-13))) (let ((e-8 (vector-ref arg-3 6))) (((e-8 e-9) e-15) arg-0))))))))))) (let ((e-33 (unbox e-31))) (let ((e-4 (vector-ref arg-3 4))) ((e-4 e-33) arg-0)))))))(else (if (null? e-7) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 (string-append "invalid cast: + " (string-append (CoreC-45TT-u--show_Show_PrimType arg-2) (string-append " + ' -> ' + " (CoreC-45TT-u--show_Show_PrimType arg-1))))) eta-0)) (let ((e-9 (unbox e-7))) (if (null? e-3) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 (string-append "invalid cast: + " (string-append (CoreC-45TT-u--show_Show_PrimType arg-2) (string-append " + ' -> ' + " (CoreC-45TT-u--show_Show_PrimType arg-1))))) eta-0)) (let ((e-12 (car e-3))) (let ((e-13 (cdr e-3))) (cond ((equal? e-12 11) (let ((e-1 (vector-ref arg-3 1))) ((e-1 e-9) arg-0))) ((equal? e-12 10) (let ((e-10 (vector-ref arg-3 3))) ((e-10 e-9) arg-0))) ((equal? e-12 12) (let ((e-5 (vector-ref arg-3 5))) ((e-5 e-9) arg-0)))(else (if (null? e-13) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 (string-append "invalid cast: + " (string-append (CoreC-45TT-u--show_Show_PrimType arg-2) (string-append " + ' -> ' + " (CoreC-45TT-u--show_Show_PrimType arg-1))))) eta-0)) (let ((e-15 (unbox e-13))) (let ((e-8 (vector-ref arg-3 6))) (((e-8 e-9) e-15) arg-0)))))))))))))))))))))
(define CompilerC-45Common-case--getExtraRuntimeC-44getArg-5442 (lambda (arg-0 arg-1 arg-2) (let ((e-2 (car arg-2))) (let ((e-3 (cdr arg-2))) (let ((sc1 (PreludeC-45EqOrd-u--C-61C-61_Eq_String (DataC-45String-trim e-2) "extraRuntime"))) (cond ((equal? sc1 1) (box (DataC-45String-trim (PreludeC-45Types-substr 1 (PreludeC-45TypesC-45String-length e-3) e-3)))) (else '())))))))
(define CompilerC-45Common-case--locate-5177 (lambda (arg-0 arg-1 arg-2) (if (null? arg-2) (csegen-1) (let ((e-2 (car arg-2))) (let ((e-3 (cdr arg-2))) (if (null? e-3) (let ((sc2 (PreludeC-45Types-elem (csegen-16) (csegen-19) #\. (PreludeC-45Types-fastUnpack e-2)))) (cond ((equal? sc2 1) e-2) (else (string-append e-2 (string-append "." (CompilerC-45Common-dylib_suffix)))))) (let ((e-6 (car e-3))) (CoreC-45Core-cond (cons (cons (lambda () (PreludeC-45EqOrd-u--C-61C-61_Eq_String (CompilerC-45Common-dylib_suffix) "dll")) (lambda () (string-append e-2 (string-append "-" (string-append e-6 ".dll"))))) (cons (cons (lambda () (PreludeC-45EqOrd-u--C-61C-61_Eq_String (CompilerC-45Common-dylib_suffix) "dylib")) (lambda () (string-append e-2 (string-append "." (string-append e-6 ".dylib"))))) '())) (string-append e-2 (string-append "." (string-append (CompilerC-45Common-dylib_suffix) (string-append "." e-6))))))))))))
(define CompilerC-45Common-case--caseC-32blockC-32inC-32parseCCC-44findTarget-5031 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (let ((e-2 (car arg-6))) (let ((e-3 (cdr arg-6))) (cond ((equal? e-3 "") (box (cons (DataC-45String-trim e-2) '())))(else (box (cons (DataC-45String-trim e-2) (((csegen-25) (lambda (eta-0) (DataC-45String-trim eta-0))) (CompilerC-45Common-n--15319-4877-u--getOpts arg-0 arg-1 arg-2 (substring e-3 1 (string-length e-3))))))))))))
(define CompilerC-45Common-case--parseCCC-44getOpts-4902 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (let ((e-2 (car arg-4))) (let ((e-3 (cdr arg-4))) (cond ((equal? e-3 "") (cons e-2 '()))(else (cons e-2 (CompilerC-45Common-n--15319-4877-u--getOpts arg-0 arg-1 arg-2 (substring e-3 1 (string-length e-3))))))))))
(define CompilerC-45Common-n--11224-1352-u--tag (lambda (arg-0 arg-1 arg-2) (cond ((equal? arg-2 0) 0) ((equal? arg-2 1) 1) ((equal? arg-2 2) 2) (else 3))))
(define CompilerC-45Common-n--15920-5423-u--readPath (lambda (arg-0 arg-1) (let ((eff-0 (PrimIO-io_bind (SystemC-45FileC-45ReadWrite-readFile (csegen-40) arg-1) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (clam-0) (case (vector-ref e-5 0) ((1) (let ((e-2 (vector-ref e-5 1))) (vector 1 e-2))) (else (let ((e-6 (vector-ref e-5 1))) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 51 arg-1 e-6) clam-0))))))) eff-1)))))))))
(define CompilerC-45Common-n--15920-5422-u--paths (lambda (arg-0) (DataC-45List-nub (csegen-43) (PreludeC-45TypesC-45List-mapMaybeAppend '() (lambda (eta-0) (CompilerC-45Common-n--15920-5421-u--getArg arg-0 eta-0)) (PreludeC-45TypesC-45List-reverse arg-0)))))
(define CompilerC-45Common-n--12569-2459-u--lookupBackend (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (if (null? arg-5) '() (let ((e-2 (car arg-5))) (let ((e-3 (cdr arg-5))) (let ((e-6 (car arg-6))) (let ((e-7 (cdr arg-6))) (let ((sc2 (DataC-45List-find (lambda (lamc-0) (let ((e-5 (car lamc-0))) (PreludeC-45EqOrd-u--C-61C-61_Eq_String e-2 e-5))) e-7))) (if (null? sc2) (CompilerC-45Common-n--12569-2459-u--lookupBackend arg-0 arg-1 arg-2 arg-3 arg-4 e-3 (cons e-6 e-7)) (let ((e-1 (unbox sc2))) (let ((e-8 (cdr e-1))) (box (cons e-6 e-8)))))))))))))
(define CompilerC-45Common-n--15319-4878-u--hasTarget (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (let ((sc0 (DataC-45String-span (csegen-44) arg-4))) (let ((e-2 (car sc0))) (PreludeC-45EqOrd-u--C-61C-61_Eq_String e-2 arg-3)))))
(define CompilerC-45Common-n--15319-4877-u--getOpts (lambda (arg-0 arg-1 arg-2 arg-3) (cond ((equal? arg-3 "") '())(else (CompilerC-45Common-case--parseCCC-44getOpts-4902 arg-0 arg-1 arg-2 arg-3 (DataC-45String-span (lambda (arg-4) (PreludeC-45EqOrd-u--C-47C-61_Eq_Char arg-4 #\,)) arg-3))))))
(define CompilerC-45Common-n--12569-2460-u--getExports (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-2 (car lamc-0))) (let ((e-3 (cdr lamc-0))) (let ((eff-0 (CoreC-45Context-u--resolved_HasNames_Name (let ((e-0 (vector-ref arg-5 0))) e-0) e-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (cons e-5 e-3))))) eff-1)))))))))) (PreludeC-45TypesC-45List-mapMaybeAppend '() (lambda (eta-0) (CompilerC-45Common-n--12569-2459-u--lookupBackend arg-0 arg-1 arg-2 arg-3 arg-4 arg-3 eta-0)) (LibrariesC-45DataC-45NameMap-toList (let ((e-31 (vector-ref arg-5 31))) e-31))) '())))
(define CompilerC-45Common-n--15920-5421-u--getArg (lambda (arg-0 arg-1) (CompilerC-45Common-case--getExtraRuntimeC-44getArg-5442 arg-0 arg-1 (DataC-45String-break (lambda (arg-2) (PreludeC-45EqOrd-u--C-61C-61_Eq_Char arg-2 #\=)) arg-1))))
(define CompilerC-45Common-n--12336-2238-u--fullShow (lambda (arg-1 arg-2 arg-3 arg-4) (case (vector-ref arg-4 0) ((4) (let ((e-1 (vector-ref arg-4 2))) (CoreC-45Name-u--show_Show_Name e-1)))(else (CoreC-45Name-u--show_Show_Name arg-4)))))
(define CompilerC-45Common-n--15319-4879-u--findTarget (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (if (null? arg-4) '() (let ((e-2 (car arg-4))) (let ((e-3 (cdr arg-4))) (let ((sc1 (CompilerC-45Common-n--15319-4878-u--hasTarget arg-0 arg-1 arg-2 arg-3 e-2))) (cond ((equal? sc1 1) (CompilerC-45Common-case--caseC-32blockC-32inC-32parseCCC-44findTarget-5031 arg-0 arg-1 arg-2 e-2 e-3 arg-3 (DataC-45String-span (csegen-44) e-2))) (else (CompilerC-45Common-n--15319-4879-u--findTarget arg-0 arg-1 arg-2 arg-3 e-3)))))))))
(define CompilerC-45Common-n--12336-2239-u--dumpDef (lambda (arg-1 arg-2 arg-3 arg-4) (let ((e-2 (car arg-4))) (let ((e-3 (cdr arg-4))) (string-append (CompilerC-45Common-n--12336-2238-u--fullShow arg-1 arg-2 arg-3 e-2) (string-append " = " (string-append (let ((e-1 (car arg-1))) (e-1 e-3)) "\xa;")))))))
(define CompilerC-45Common-u--max_Ord_UsePhase (lambda (arg-0 arg-1) (let ((sc0 (CompilerC-45Common-u--C-62_Ord_UsePhase arg-0 arg-1))) (cond ((equal? sc0 1) arg-0) (else arg-1)))))
(define CompilerC-45Common-u--compare_Ord_UsePhase (lambda (arg-0 arg-1) (PreludeC-45EqOrd-u--compare_Ord_Int (CompilerC-45Common-n--11224-1352-u--tag arg-1 arg-0 arg-0) (CompilerC-45Common-n--11224-1352-u--tag arg-1 arg-0 arg-1))))
(define CompilerC-45Common-u--C-62_Ord_UsePhase (lambda (arg-0 arg-1) (PreludeC-45EqOrd-u--C-61C-61_Eq_Ordering (CompilerC-45Common-u--compare_Ord_UsePhase arg-0 arg-1) 2)))
(define CompilerC-45Common-u--C-62C-61_Ord_UsePhase (lambda (arg-0 arg-1) (PreludeC-45EqOrd-u--C-47C-61_Eq_Ordering (CompilerC-45Common-u--compare_Ord_UsePhase arg-0 arg-1) 0)))
(define CompilerC-45Common-warnIfHole (lambda (arg-0 arg-1) (case (vector-ref arg-1 0) ((3) (PrimIO-io_bind (PreludeC-45IO-putStrLn (csegen-40) (string-append "Warning: compiling hole " (CoreC-45Name-u--show_Show_Name arg-0))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))(else (lambda (eta-0) (vector 1 (vector 0 )))))))
(define CompilerC-45Common-replaceEntry (lambda (arg-0 arg-1) (let ((e-2 (car arg-1))) (let ((e-3 (cdr arg-1))) (if (null? e-3) (lambda (eta-0) (vector 1 (vector 0 ))) (let ((e-6 (unbox e-3))) (let ((e-9 (car e-6))) (let ((e-10 (cdr e-6))) (let ((eff-0 (CoreC-45Context-addContextEntry arg-0 e-9 (vector 8 e-2) e-10))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-4 (vector-ref eta-3 1))) (vector 0 e-4))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (_-8679) (vector 0 )))) eff-0))))))))))
(define CompilerC-45Common-parseCC (lambda (arg-0 arg-1) (if (null? arg-0) '() (let ((e-2 (car arg-0))) (let ((e-3 (cdr arg-0))) (PreludeC-45Types-u--C-60C-124C-62_Alternative_Maybe (CompilerC-45Common-n--15319-4879-u--findTarget e-2 e-3 arg-1 e-2 arg-1) (lambda () (CompilerC-45Common-parseCC e-3 arg-1))))))))
(define CompilerC-45Common-nonErased (lambda (arg-0 arg-1) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-lookupCtxtExact arg-1 (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (clam-0) (if (null? e-6) (vector 1 1) (let ((e-1 (unbox e-6))) (vector 1 (AlgebraC-45ZeroOneOmega-u--C-47C-61_Eq_ZeroOneOmega (let ((e-7 (vector-ref e-1 7))) e-7) (csegen-54)))))))) eff-2))))))))) eff-1)))))))))
(define CompilerC-45Common-natHackNames(blodwen-lazy (lambda () (cons (vector 1 (vector 0 "prim__sub_Integer")) (cons (csegen-56) (cons (vector 0 (CoreC-45NameC-45Namespace-eqOrdNS) (vector 1 (vector 0 "compareInteger"))) '()))))))
(define CompilerC-45Common-locate (lambda (arg-0 arg-1) (let ((u--fname (CompilerC-45Common-case--locate-5177 arg-1 arg-0 (DataC-45String-words arg-1)))) (let ((eff-0 (CoreC-45Core-u--catch_Catchable_Core_Error (CoreC-45Directory-findLibraryFile arg-0 u--fname) (lambda (u--err) (lambda (eta-0) (vector 1 u--fname)))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (cons u--fname e-5))))) eff-1))))))))))
(define CompilerC-45Common-incCompile (lambda (arg-0 arg-1 arg-2 arg-3) (let ((e-2 (vector-ref arg-2 2))) (if (null? e-2) (lambda (eta-0) (vector 1 '())) (let ((e-4 (unbox e-2))) (((e-4 arg-0) arg-1) arg-3))))))
(define CompilerC-45Common-getNamedDef (lambda (arg-0 arg-1) (let ((e-2 (car arg-1))) (let ((e-3 (cdr arg-1))) (let ((e-6 (car e-3))) (let ((e-7 (cdr e-3))) (let ((u--ndef (CoreC-45CompileExpr-forgetDef e-7))) (let ((eff-0 (CompilerC-45Common-warnIfHole e-2 u--ndef))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-1 (lambda (eta-0) (vector 1 (cons e-2 (cons e-6 u--ndef)))))) eff-1)))))))))))))
(define CompilerC-45Common-getMinimalDef (lambda (arg-0) (case (vector-ref arg-0 0) ((1) (let ((e-0 (vector-ref arg-0 1))) (lambda (eta-0) (vector 1 (cons e-0 '()))))) (else (let ((e-1 (vector-ref arg-0 1))) (let ((e-2 (vector-ref arg-0 2))) (let ((eff-0 (CoreC-45Core-newRef (vector "Core.Binary.Prims.Bin" ) e-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40MaybeC-32C-36aC-41 (csegen-62) e-5))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-3 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40MaybeC-32C-36aC-41 (csegen-73) e-5))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-3 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((u--refsR ((csegen-78) e-7))) (let ((eff-3 (CoreC-45TTC-u--fromBuf_TTC_FC e-5))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-3 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45TTC-u--fromBuf_TTC_RigCount e-5))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-3 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (let ((eff-5 (CoreC-45TTC-u--fromBuf_TTC_Name e-5))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-3 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-10 (vector-ref lcase-5 1))) (let ((eff-6 (let ((u--def (vector e-8 e-10 (vector 10 e-8 (vector 0 )) '() '() '() '() e-9 '() 2 (cons (vector 0 ) (vector 0 )) '() '() u--refsR 0 0 1 (vector 0 ) e-6 '() '() '()))) (lambda (eta-0) (vector 1 (cons u--def (box (cons e-1 e-2)))))))) eff-6))))))))) eff-5))))))))) eff-4)))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))
(define CompilerC-45Common-getIncCompileData (lambda (arg-0 arg-1 arg-2) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--ns (LibrariesC-45DataC-45NameMap-keys (let ((e-24 (vector-ref e-5 24))) e-24)))) (let ((eff-1 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45Context-toFullNames arg-0 (csegen-81) eta-0)) u--ns '()))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Core-filterM (lambda (eta-0) (CompilerC-45Common-nonErased arg-0 eta-0)) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45Common-compDef arg-0 eta-0)) e-7 '()))) (((csegen-50) ((let ((eff-4 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-8 (vector-ref eta-3 1))) (vector 1 (eta-2 e-8))))))))))) (lambda (arg-3) (lambda (arg-4) ((((eff-4 'erased) 'erased) arg-3) arg-4)))) (lambda (eta-0) (DataC-45List-catMaybes eta-0)))) eff-3)))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45Common-getNamedDef arg-0 eta-0)) e-8 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (let ((eff-5 (let ((sc5 (CompilerC-45Common-u--C-62C-61_Ord_UsePhase arg-2 1))) (cond ((equal? sc5 1) (CoreC-45ContextC-45Log-logTime arg-0 2 (lambda () "Lambda lift") (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45LambdaLift-lambdaLift arg-0 arg-1 eta-0)) e-8 '()))) (else (lambda (eta-0) (vector 1 '()))))))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-10 (vector-ref lcase-5 1))) (let ((eff-6 (let ((u--lifted (PreludeC-45Interfaces-concat (csegen-83) (csegen-16) e-10))) (let ((eff-6 (let ((sc6 (CompilerC-45Common-u--C-62C-61_Ord_UsePhase arg-2 2))) (cond ((equal? sc6 1) (CoreC-45ContextC-45Log-logTime arg-0 2 (lambda () "Get ANF") (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-2 (car lamc-0))) (let ((e-3 (cdr lamc-0))) (let ((eff-6 (CompilerC-45ANF-toANF e-3))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-4 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-11 (vector-ref lcase-6 1))) (let ((eff-7 (lambda (eta-0) (vector 1 (cons e-2 e-11))))) eff-7)))))))))) u--lifted '()))) (else (lambda (eta-0) (vector 1 '()))))))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-2 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-11 (vector-ref lcase-6 1))) (let ((eff-7 (let ((eff-7 (let ((sc7 (CompilerC-45Common-u--C-62C-61_Ord_UsePhase arg-2 3))) (cond ((equal? sc7 1) (CoreC-45ContextC-45Log-logTime arg-0 2 (lambda () "Get VM Code") (lambda (eta-0) (vector 1 (CompilerC-45VMCode-allDefs e-11))))) (else (lambda (eta-0) (vector 1 '()))))))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-2 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-12 (vector-ref lcase-7 1))) (let ((eff-8 (lambda (eta-0) (vector 1 (vector (vector 13 (CoreC-45FC-emptyFC)) '() e-9 u--lifted e-11 e-12))))) eff-8))))))))) eff-7)))))))))) eff-6))))))))) eff-5))))))))) eff-4))))))))) eff-3))))))))) eff-2)))))))))) eff-1)))))))))
(define CompilerC-45Common-getExtraRuntime (lambda (arg-0) (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45Common-n--15920-5423-u--readPath arg-0 eta-0)) (CompilerC-45Common-n--15920-5422-u--paths arg-0) '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (DataC-45List-intersperse "\xa;" e-5)))))) eff-1)))))))))
(define CompilerC-45Common-getCompileDataWith (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (let ((eff-0 (CoreC-45ContextC-45Log-log arg-0 "compile.execute" 10 (lambda () (string-append "Getting compiled data for: " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() arg-4)))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45Context-getSession arg-0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((u--phase (PreludeC-45Types-u--foldl_Foldable_List (lambda (eta-0) (lambda (eta-1) (PreludeC-45Basics-flip (lambda (eta-2) (PreludeC-45Types-maybe (lambda () (lambda (eta-3) eta-3)) (lambda () (lambda (eta-3) (lambda (eta-4) (CompilerC-45Common-u--max_Ord_UsePhase eta-3 eta-4)))) eta-2)) eta-0 eta-1))) arg-3 (cons ((PreludeC-45Interfaces-C-60C-36 (csegen-76) 0) (let ((e-12 (vector-ref e-6 12))) e-12)) (cons ((PreludeC-45Interfaces-C-60C-36 (csegen-76) 1) (let ((e-13 (vector-ref e-6 13))) e-13)) (cons ((PreludeC-45Interfaces-C-60C-36 (csegen-76) 2) (let ((e-14 (vector-ref e-6 14))) e-14)) (cons ((PreludeC-45Interfaces-C-60C-36 (csegen-76) 3) (let ((e-15 (vector-ref e-6 15))) e-15)) '()))))))) (let ((u--metas (CoreC-45TT-addMetas 1 (LibrariesC-45DataC-45NameMap-empty) arg-4))) (let ((eff-2 (PreludeC-45Basics-flip (csegen-94) (LibrariesC-45DataC-45NameMap-keys u--metas) (lambda (u--metanm) (let ((eff-2 (let ((eff-2 arg-0)) (PrimIO-io_bind (let ((eff-3 eff-2)) (lambda (eta-0) (unbox eff-3))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45Context-lookupCtxtExact u--metanm (let ((e-0 (vector-ref e-7 0))) e-0)))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (if (null? e-8) (CoreC-45ContextC-45Log-log arg-0 (csegen-95) 50 (lambda () (DataC-45String-unwords (cons ((csegen-0) "Couldn't find") (cons (CoreC-45Name-u--show_Show_Name u--metanm) (cons ((csegen-0) "(probably impossible)") '())))))) (let ((e-1 (unbox e-8))) (let ((e-17 (vector-ref e-1 17))) (case (vector-ref e-17 0) ((7) (let ((u--fulln (let ((e-49 (vector-ref e-1 1))) e-49))) (let ((u--cexp (vector 3 (vector 14 (CoreC-45FC-emptyFC) (string-append "Encountered unimplemented hole " (CoreC-45Name-u--show_Show_Name u--fulln)))))) (let ((eff-4 (CoreC-45Context-addDef arg-0 u--metanm (let ((e-50 (vector-ref e-1 0))) (let ((e-49 (vector-ref e-1 1))) (let ((e-48 (vector-ref e-1 2))) (let ((e-47 (vector-ref e-1 3))) (let ((e-46 (vector-ref e-1 4))) (let ((e-45 (vector-ref e-1 5))) (let ((e-44 (vector-ref e-1 6))) (let ((e-43 (vector-ref e-1 7))) (let ((e-42 (vector-ref e-1 8))) (let ((e-41 (vector-ref e-1 9))) (let ((e-40 (vector-ref e-1 10))) (let ((e-39 (vector-ref e-1 11))) (let ((e-38 (vector-ref e-1 12))) (let ((e-37 (vector-ref e-1 13))) (let ((e-36 (vector-ref e-1 14))) (let ((e-35 (vector-ref e-1 15))) (let ((e-34 (vector-ref e-1 16))) (let ((e-33 (vector-ref e-1 17))) (let ((e-30 (vector-ref e-1 20))) (let ((e-29 (vector-ref e-1 21))) (vector e-50 e-49 e-48 e-47 e-46 e-45 e-44 e-43 e-42 e-41 e-40 e-39 e-38 e-37 e-36 e-35 e-34 e-33 (box u--cexp) (box (CoreC-45CompileExpr-forgetDef u--cexp)) e-30 e-29)))))))))))))))))))))))) (((csegen-50) ((let ((eff-5 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-29 (vector-ref eta-3 1))) (vector 0 e-29))) (else (let ((e-29 (vector-ref eta-3 1))) (vector 1 (eta-2 e-29))))))))))) (lambda (arg-5) (lambda (arg-6) ((((eff-5 'erased) 'erased) arg-5) arg-6)))) (lambda (_-8679) (vector 0 )))) eff-4)))))(else (lambda (eta-0) (vector 1 (vector 0 )))))))))) eff-4))))))))) eff-3))))))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (let ((eff-3 (let ((eff-3 arg-0)) (PrimIO-io_bind (let ((eff-4 eff-3)) (lambda (eta-0) (unbox eff-4))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((u--refs (CoreC-45TT-getRefs (vector 8 -1) arg-4))) (let ((eff-4 (let ((sc4 (DataC-45List-isNil arg-1))) (cond ((equal? sc4 1) (lambda (eta-0) (vector 1 '()))) (else (CompilerC-45Common-n--12569-2460-u--getExports arg-4 arg-3 arg-2 arg-1 arg-0 e-8)))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (let ((eff-5 (CoreC-45ContextC-45Log-log arg-0 "compile.export" 25 (lambda () (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons "exporting: " (cons (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-100) ((csegen-101) e-9)) '()))))))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-6 (let ((u--ns (PreludeC-45TypesC-45List-tailRecAppend (LibrariesC-45DataC-45NameMap-keys (LibrariesC-45DataC-45NameMap-mergeWith (lambda (eta-0) (lambda (eta-1) eta-0)) u--metas u--refs)) ((csegen-101) e-9)))) (let ((eff-6 (CoreC-45ContextC-45Log-log arg-0 "compile.execute" 70 (lambda () (string-append "Found names: " (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (DataC-45List-intersperse ", " ((csegen-102) u--ns)))))))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-2 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-7 (let ((eff-7 (CoreC-45Context-toFullNames arg-0 (csegen-105) arg-4))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-2 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-12 (vector-ref lcase-7 1))) (let ((eff-8 (let ((eff-8 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45Context-toResolvedNames arg-0 (csegen-81) eta-0)) (CompilerC-45Common-natHackNames) '()))) (PrimIO-io_bind eff-8 (lambda (lcase-8) (case (vector-ref lcase-8 0) ((0) (let ((e-2 (vector-ref lcase-8 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-13 (vector-ref lcase-8 1))) (let ((eff-9 (let ((eff-9 (CoreC-45Context-getNextEntry arg-0))) (PrimIO-io_bind eff-9 (lambda (lcase-9) (case (vector-ref lcase-9 0) ((0) (let ((e-2 (vector-ref lcase-9 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-14 (vector-ref lcase-9 1))) (let ((eff-10 (let ((eff-10 (PrimIO-io_bind (LibrariesC-45DataC-45IOArray-newArray (csegen-40) e-14) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-10 (lambda (lcase-10) (case (vector-ref lcase-10 0) ((0) (let ((e-2 (vector-ref lcase-10 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-15 (vector-ref lcase-10 1))) (let ((eff-11 (let ((eff-11 (let ((eff-11 arg-0)) (PrimIO-io_bind (let ((eff-12 eff-11)) (lambda (eta-0) (unbox eff-12))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-11 (lambda (lcase-11) (case (vector-ref lcase-11 0) ((0) (let ((e-2 (vector-ref lcase-11 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-16 (vector-ref lcase-11 1))) (let ((eff-12 (let ((eff-12 (CoreC-45ContextC-45Log-logTime arg-0 2 (lambda () "Get names") (CompilerC-45Common-getAllDesc arg-0 (PreludeC-45TypesC-45List-tailRecAppend e-13 u--ns) e-15 e-16)))) (PrimIO-io_bind eff-12 (lambda (lcase-12) (case (vector-ref lcase-12 0) ((0) (let ((e-2 (vector-ref lcase-12 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-13 (let ((eff-13 (PrimIO-io_bind (LibrariesC-45DataC-45IOArray-toList (csegen-40) e-15) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-13 (lambda (lcase-13) (case (vector-ref lcase-13 0) ((0) (let ((e-2 (vector-ref lcase-13 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-18 (vector-ref lcase-13 1))) (let ((eff-14 (let ((u--entries (DataC-45List-catMaybes e-18))) (let ((u--allNs (((csegen-25) (lambda (eta-0) (vector 8 (Builtin-fst eta-0)))) u--entries))) (let ((eff-14 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45Context-toFullNames arg-0 (csegen-81) eta-0)) u--allNs '()))) (PrimIO-io_bind eff-14 (lambda (lcase-14) (case (vector-ref lcase-14 0) ((0) (let ((e-2 (vector-ref lcase-14 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-19 (vector-ref lcase-14 1))) (let ((eff-15 (let ((eff-15 (CoreC-45ContextC-45Log-log arg-0 "compile.execute" 30 (lambda () (string-append "All names: " (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (DataC-45List-intersperse ", " (((csegen-25) (lambda (eta-0) (PreludeC-45Show-u--show_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-108) eta-0))) (DataC-45List-u--zip_Zippable_List u--allNs e-19))))))))) (PrimIO-io_bind eff-15 (lambda (lcase-15) (case (vector-ref lcase-15 0) ((0) (let ((e-2 (vector-ref lcase-15 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-16 (let ((eff-16 (CoreC-45Core-filterM (lambda (eta-0) (CompilerC-45Common-nonErased arg-0 eta-0)) e-19))) (PrimIO-io_bind eff-16 (lambda (lcase-16) (case (vector-ref lcase-16 0) ((0) (let ((e-2 (vector-ref lcase-16 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-21 (vector-ref lcase-16 1))) (let ((eff-17 (let ((eff-17 (CoreC-45ContextC-45Log-log arg-0 "compile.execute" 40 (lambda () (string-append "Kept: " (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (DataC-45List-intersperse ", " ((csegen-102) e-21)))))))) (PrimIO-io_bind eff-17 (lambda (lcase-17) (case (vector-ref lcase-17 0) ((0) (let ((e-2 (vector-ref lcase-17 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-18 (let ((eff-18 (CoreC-45ContextC-45Log-logTime arg-0 2 (lambda () "Merge lambda") (CoreC-45Core-traverse_ (lambda (eta-0) (CompilerC-45Inline-mergeLamDef arg-0 eta-0)) e-21)))) (PrimIO-io_bind eff-18 (lambda (lcase-18) (case (vector-ref lcase-18 0) ((0) (let ((e-2 (vector-ref lcase-18 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-19 (let ((eff-19 (CoreC-45ContextC-45Log-logTime arg-0 2 (lambda () "Fix arity") (CoreC-45Core-traverse_ (lambda (eta-0) (CompilerC-45Inline-fixArityDef arg-0 eta-0)) e-21)))) (PrimIO-io_bind eff-19 (lambda (lcase-19) (case (vector-ref lcase-19 0) ((0) (let ((e-2 (vector-ref lcase-19 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-20 (let ((eff-20 (let ((eff-20 (CompilerC-45CompileExpr-compileExp arg-0 e-12))) (PrimIO-io_bind eff-20 (lambda (lcase-20) (case (vector-ref lcase-20 0) ((0) (let ((e-2 (vector-ref lcase-20 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-25 (vector-ref lcase-20 1))) (let ((eff-21 (CompilerC-45Inline-fixArityExp '() arg-0 e-25))) eff-21))))))))) (PrimIO-io_bind eff-20 (lambda (lcase-20) (case (vector-ref lcase-20 0) ((0) (let ((e-2 (vector-ref lcase-20 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-25 (vector-ref lcase-20 1))) (let ((eff-21 (let ((eff-21 (CoreC-45ContextC-45Log-logTime arg-0 2 (lambda () "CSE") (CompilerC-45OptsC-45CSE-cse arg-0 e-21 e-25)))) (PrimIO-io_bind eff-21 (lambda (lcase-21) (case (vector-ref lcase-21 0) ((0) (let ((e-2 (vector-ref lcase-21 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-26 (vector-ref lcase-21 1))) (let ((eff-22 (let ((e-2 (car e-26))) (let ((e-3 (cdr e-26))) (let ((eff-22 (CoreC-45ContextC-45Log-logTime arg-0 2 (lambda () ((csegen-0) "Forget names")) (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45Common-getNamedDef arg-0 eta-0)) e-2 '())))) (PrimIO-io_bind eff-22 (lambda (lcase-22) (case (vector-ref lcase-22 0) ((0) (let ((e-4 (vector-ref lcase-22 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-27 (vector-ref lcase-22 1))) (let ((eff-23 (let ((u--mainname (vector 2 ((csegen-0) "__mainExpression") 0))) (let ((eff-23 (CompilerC-45LambdaLift-liftBody '() arg-2 u--mainname e-3))) (PrimIO-io_bind eff-23 (lambda (lcase-23) (case (vector-ref lcase-23 0) ((0) (let ((e-4 (vector-ref lcase-23 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-28 (vector-ref lcase-23 1))) (let ((eff-24 (let ((e-29 (car e-28))) (let ((e-4 (cdr e-28))) (let ((eff-24 (let ((sc26 (CompilerC-45Common-u--C-62C-61_Ord_UsePhase u--phase 1))) (cond ((equal? sc26 1) (CoreC-45ContextC-45Log-logTime arg-0 2 (lambda () "Lambda lift") (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45LambdaLift-lambdaLift arg-0 arg-2 eta-0)) e-2 '()))) (else (lambda (eta-0) (vector 1 '()))))))) (PrimIO-io_bind eff-24 (lambda (lcase-24) (case (vector-ref lcase-24 0) ((0) (let ((e-30 (vector-ref lcase-24 1))) (lambda (eta-0) (vector 0 e-30)))) (else (let ((e-30 (vector-ref lcase-24 1))) (let ((eff-25 (let ((u--lifted (cons (cons u--mainname (vector 0 '() '() e-29)) (PreludeC-45TypesC-45List-tailRecAppend e-4 (PreludeC-45Interfaces-concat (csegen-83) (csegen-16) e-30))))) (let ((eff-25 (let ((sc27 (CompilerC-45Common-u--C-62C-61_Ord_UsePhase u--phase 2))) (cond ((equal? sc27 1) (CoreC-45ContextC-45Log-logTime arg-0 2 (lambda () "Get ANF") (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-32 (car lamc-0))) (let ((e-31 (cdr lamc-0))) (let ((eff-25 (CompilerC-45ANF-toANF e-31))) (PrimIO-io_bind eff-25 (lambda (lcase-25) (case (vector-ref lcase-25 0) ((0) (let ((e-33 (vector-ref lcase-25 1))) (lambda (eta-0) (vector 0 e-33)))) (else (let ((e-33 (vector-ref lcase-25 1))) (let ((eff-26 (lambda (eta-0) (vector 1 (cons e-32 e-33))))) eff-26)))))))))) u--lifted '()))) (else (lambda (eta-0) (vector 1 '()))))))) (PrimIO-io_bind eff-25 (lambda (lcase-25) (case (vector-ref lcase-25 0) ((0) (let ((e-31 (vector-ref lcase-25 1))) (lambda (eta-0) (vector 0 e-31)))) (else (let ((e-31 (vector-ref lcase-25 1))) (let ((eff-26 (let ((eff-26 (let ((sc28 (CompilerC-45Common-u--C-62C-61_Ord_UsePhase u--phase 3))) (cond ((equal? sc28 1) (CoreC-45ContextC-45Log-logTime arg-0 2 (lambda () "Get VM Code") (lambda (eta-0) (vector 1 (CompilerC-45VMCode-allDefs e-31))))) (else (lambda (eta-0) (vector 1 '()))))))) (PrimIO-io_bind eff-26 (lambda (lcase-26) (case (vector-ref lcase-26 0) ((0) (let ((e-32 (vector-ref lcase-26 1))) (lambda (eta-0) (vector 0 e-32)))) (else (let ((e-32 (vector-ref lcase-26 1))) (let ((eff-27 (let ((eff-27 (let ((eff-27 arg-0)) (PrimIO-io_bind (let ((eff-28 eff-27)) (lambda (eta-0) (unbox eff-28))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-27 (lambda (lcase-27) (case (vector-ref lcase-27 0) ((0) (let ((e-33 (vector-ref lcase-27 1))) (lambda (eta-0) (vector 0 e-33)))) (else (let ((eff-28 (let ((eff-28 (let ((e-45 (vector-ref e-6 12))) (if (null? e-45) (lambda (eta-0) (vector 1 (vector 0 ))) (let ((e-56 (unbox e-45))) (let ((eff-28 (PrimIO-io_bind (PreludeC-45IO-putStrLn (csegen-40) (string-append ((csegen-0) "Dumping case trees to ") e-56)) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-28 (lambda (lcase-28) (case (vector-ref lcase-28 0) ((0) (let ((e-57 (vector-ref lcase-28 1))) (lambda (eta-0) (vector 0 e-57)))) (else (let ((eff-29 (CompilerC-45Common-dumpIR (cons (lambda (u--x) (CoreC-45CompileExpr-u--show_Show_NamedDef u--x)) (lambda (u--d) (lambda (u--x) (CoreC-45CompileExpr-u--showPrec_Show_NamedDef u--d u--x)))) e-56 (((csegen-25) (lambda (lamc-0) (let ((e-59 (car lamc-0))) (let ((e-58 (cdr lamc-0))) (let ((e-60 (cdr e-58))) (cons e-59 e-60)))))) e-27)))) eff-29))))))))))) (PrimIO-io_bind eff-28 (lambda (lcase-28) (case (vector-ref lcase-28 0) ((0) (let ((e-34 (vector-ref lcase-28 1))) (lambda (eta-0) (vector 0 e-34)))) (else (let ((eff-29 (let ((eff-29 (let ((e-45 (vector-ref e-6 13))) (if (null? e-45) (lambda (eta-0) (vector 1 (vector 0 ))) (let ((e-57 (unbox e-45))) (let ((eff-29 (PrimIO-io_bind (PreludeC-45IO-putStrLn (csegen-40) (string-append ((csegen-0) "Dumping lambda lifted defs to ") e-57)) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-29 (lambda (lcase-29) (case (vector-ref lcase-29 0) ((0) (let ((e-58 (vector-ref lcase-29 1))) (lambda (eta-0) (vector 0 e-58)))) (else (let ((eff-30 (CompilerC-45Common-dumpIR (cons (lambda (u--x) (CompilerC-45LambdaLift-u--show_Show_LiftedDef u--x)) (lambda (u--d) (lambda (u--x) (CompilerC-45LambdaLift-u--showPrec_Show_LiftedDef u--d u--x)))) e-57 u--lifted))) eff-30))))))))))) (PrimIO-io_bind eff-29 (lambda (lcase-29) (case (vector-ref lcase-29 0) ((0) (let ((e-35 (vector-ref lcase-29 1))) (lambda (eta-0) (vector 0 e-35)))) (else (let ((eff-30 (let ((eff-30 (let ((e-45 (vector-ref e-6 14))) (if (null? e-45) (lambda (eta-0) (vector 1 (vector 0 ))) (let ((e-58 (unbox e-45))) (let ((eff-30 (PrimIO-io_bind (PreludeC-45IO-putStrLn (csegen-40) (string-append ((csegen-0) "Dumping ANF defs to ") e-58)) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-30 (lambda (lcase-30) (case (vector-ref lcase-30 0) ((0) (let ((e-59 (vector-ref lcase-30 1))) (lambda (eta-0) (vector 0 e-59)))) (else (let ((eff-31 (CompilerC-45Common-dumpIR (cons (lambda (u--x) (CompilerC-45ANF-u--show_Show_ANFDef u--x)) (lambda (u--d) (lambda (u--x) (CompilerC-45ANF-u--showPrec_Show_ANFDef u--d u--x)))) e-58 e-31))) eff-31))))))))))) (PrimIO-io_bind eff-30 (lambda (lcase-30) (case (vector-ref lcase-30 0) ((0) (let ((e-36 (vector-ref lcase-30 1))) (lambda (eta-0) (vector 0 e-36)))) (else (let ((eff-31 (let ((eff-31 (let ((e-45 (vector-ref e-6 15))) (if (null? e-45) (lambda (eta-0) (vector 1 (vector 0 ))) (let ((e-59 (unbox e-45))) (let ((eff-31 (PrimIO-io_bind (PreludeC-45IO-putStrLn (csegen-40) (string-append ((csegen-0) "Dumping VM defs to ") e-59)) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-31 (lambda (lcase-31) (case (vector-ref lcase-31 0) ((0) (let ((e-60 (vector-ref lcase-31 1))) (lambda (eta-0) (vector 0 e-60)))) (else (let ((eff-32 (CompilerC-45Common-dumpIR (cons (lambda (u--x) (CompilerC-45VMCode-u--show_Show_VMDef u--x)) (lambda (u--d) (lambda (u--x) (CompilerC-45VMCode-u--showPrec_Show_VMDef u--d u--x)))) e-59 e-32))) eff-32))))))))))) (PrimIO-io_bind eff-31 (lambda (lcase-31) (case (vector-ref lcase-31 0) ((0) (let ((e-37 (vector-ref lcase-31 1))) (lambda (eta-0) (vector 0 e-37)))) (else (let ((eff-32 (let ((eff-32 (CoreC-45Core-traverse_ (lambda (eta-0) (CompilerC-45Common-replaceEntry arg-0 eta-0)) u--entries))) (PrimIO-io_bind eff-32 (lambda (lcase-32) (case (vector-ref lcase-32 0) ((0) (let ((e-38 (vector-ref lcase-32 1))) (lambda (eta-0) (vector 0 e-38)))) (else (let ((eff-33 (lambda (eta-0) (vector 1 (vector e-3 e-9 e-27 u--lifted e-31 e-32))))) eff-33)))))))) eff-32)))))))) eff-31)))))))) eff-30)))))))) eff-29)))))))) eff-28)))))))) eff-27))))))))) eff-26)))))))))) eff-25))))))))))) eff-24)))))))))) eff-23))))))))))) eff-22))))))))) eff-21))))))))) eff-20)))))))) eff-19)))))))) eff-18)))))))) eff-17))))))))) eff-16)))))))) eff-15))))))))))) eff-14))))))))) eff-13)))))))) eff-12))))))))) eff-11))))))))) eff-10))))))))) eff-9))))))))) eff-8))))))))) eff-7))))))))) eff-6)))))))) eff-5)))))))))) eff-4))))))))) eff-3)))))))))) eff-2))))))))) eff-1))))))))
(define CompilerC-45Common-getCompileData (lambda (arg-0 ext-0 ext-1 ext-2) (CompilerC-45Common-getCompileDataWith arg-0 '() ext-0 ext-1 ext-2)))
(define CompilerC-45Common-getAllDesc (lambda (arg-0 arg-1 arg-2 arg-3) (if (null? arg-1) (lambda (eta-0) (vector 1 (vector 0 ))) (let ((e-2 (car arg-1))) (let ((e-3 (cdr arg-1))) (case (vector-ref e-2 0) ((8) (let ((e-4 (vector-ref e-2 1))) (let ((eff-0 (PrimIO-io_bind (LibrariesC-45DataC-45IOArray-readArray (csegen-40) arg-2 e-4) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--n (vector 8 e-4))) (if (null? e-5) (let ((eff-1 (CoreC-45Context-lookupContextEntry u--n (let ((e-0 (vector-ref arg-3 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-6 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-6) (let ((eff-2 (CoreC-45ContextC-45Log-log arg-0 (csegen-95) 20 (lambda () (string-append (csegen-126) (CoreC-45Name-u--show_Show_Name u--n)))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-7 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((eff-3 (CompilerC-45Common-getAllDesc arg-0 e-3 arg-2 arg-3))) eff-3)))))) (let ((e-7 (unbox e-6))) (let ((e-8 (cdr e-7))) (let ((eff-2 (CompilerC-45Common-getMinimalDef e-8))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-10 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-2 1))) (let ((eff-3 (let ((e-12 (car e-10))) (let ((e-11 (cdr e-10))) (let ((eff-3 (let ((eff-3 (CoreC-45Context-addDef arg-0 u--n e-12))) (((csegen-50) ((let ((eff-4 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-13 (vector-ref eta-3 1))) (vector 0 e-13))) (else (let ((e-13 (vector-ref eta-3 1))) (vector 1 (eta-2 e-13))))))))))) (lambda (arg-4) (lambda (arg-5) ((((eff-4 'erased) 'erased) arg-4) arg-5)))) (lambda (_-8679) (vector 0 )))) eff-3)))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((eff-4 (let ((sc10 (AlgebraC-45ZeroOneOmega-u--C-47C-61_Eq_ZeroOneOmega (let ((e-28 (vector-ref e-12 7))) e-28) (csegen-54)))) (cond ((equal? sc10 1) (let ((eff-4 (PrimIO-io_bind (LibrariesC-45DataC-45IOArray-writeArray (csegen-40) arg-2 e-4 (cons e-4 e-11)) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((eff-5 (let ((u--refs (CoreC-45ContextC-45Context-refersToRuntime e-12))) (let ((eff-5 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45Context-toResolvedNames arg-0 (csegen-81) eta-0)) (LibrariesC-45DataC-45NameMap-keys u--refs) '()))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-15 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-15)))) (else (let ((e-15 (vector-ref lcase-5 1))) (let ((eff-6 (CompilerC-45Common-getAllDesc arg-0 (PreludeC-45TypesC-45List-tailRecAppend e-15 e-3) arg-2 arg-3))) eff-6)))))))))) eff-5))))))) (else (let ((eff-4 (CoreC-45ContextC-45Log-log arg-0 "compile.execute" 20 (lambda () (string-append "Dropping " (string-append (CoreC-45Name-u--show_Show_Name u--n) " because it's erased")))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((eff-5 (CompilerC-45Common-getAllDesc arg-0 e-3 arg-2 arg-3))) eff-5))))))))))) eff-4)))))))))) eff-3)))))))))))) eff-2))))))) (CompilerC-45Common-getAllDesc arg-0 e-3 arg-2 arg-3))))) eff-1)))))))))(else (let ((eff-0 (CoreC-45ContextC-45Log-log arg-0 "compile.execute" 20 (lambda () (string-append "Ignoring " (string-append (CoreC-45Name-u--show_Show_Name e-2) " because it's not a Resolved name")))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-1 (CompilerC-45Common-getAllDesc arg-0 e-3 arg-2 arg-3))) eff-1)))))))))))))
(define CompilerC-45Common-exists (lambda (arg-0) (PrimIO-io_bind (SystemC-45FileC-45Handle-openFile (csegen-40) arg-0 0) (lambda (_-0) (case (vector-ref _-0 0) ((1) (let ((e-2 (vector-ref _-0 1))) (PreludeC-45Interfaces-C-62C-62 (csegen-39) (SystemC-45FileC-45Handle-closeFile (csegen-40) e-2) (lambda () (lambda (eta-0) 1))))) (else (lambda (eta-0) 0)))))))
(define CompilerC-45Common-execute (lambda (arg-0 arg-1 arg-2 arg-3) (let ((eff-0 (CoreC-45Context-getDirs arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--tmpDir (CoreC-45Options-execBuildDir e-5))) (let ((eff-1 (CoreC-45Directory-ensureDirectoryExists u--tmpDir))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((e-1 (vector-ref arg-2 1))) ((((e-1 arg-0) arg-1) u--tmpDir) arg-3)))) eff-2))))))))) eff-1)))))))))
(define CompilerC-45Common-dylib_suffix(blodwen-lazy (lambda () (CoreC-45Core-cond (cons (cons (lambda () (csegen-130)) (lambda () "dll")) (cons (cons (lambda () (PreludeC-45EqOrd-u--C-61C-61_Eq_String (SystemC-45Info-os) "darwin")) (lambda () "dylib")) '())) "so"))))
(define CompilerC-45Common-dumpIR (lambda (arg-1 arg-2 arg-3) (let ((u--cstrs (((csegen-25) (lambda (eta-0) (CompilerC-45Common-n--12336-2239-u--dumpDef arg-1 arg-3 arg-2 eta-0))) arg-3))) (let ((eff-0 (PrimIO-io_bind (SystemC-45FileC-45ReadWrite-writeFile (csegen-40) arg-2 (PreludeC-45Types-fastConcat u--cstrs)) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (clam-0) (case (vector-ref e-5 0) ((1) (vector 1 (vector 0 ))) (else (let ((e-6 (vector-ref e-5 1))) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 51 arg-2 e-6) clam-0))))))) eff-1))))))))))
(define CompilerC-45Common-copyLib (lambda (arg-0) (let ((e-2 (car arg-0))) (let ((e-3 (cdr arg-0))) (let ((sc1 (PreludeC-45EqOrd-u--C-61C-61_Eq_String e-2 e-3))) (cond ((equal? sc1 1) (lambda (eta-0) (vector 1 (vector 0 )))) (else (let ((eff-0 (PrimIO-io_bind (LibrariesC-45UtilsC-45Binary-readFromFile e-3) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (case (vector-ref e-5 0) ((1) (let ((e-4 (vector-ref e-5 1))) (let ((eff-1 (PrimIO-io_bind (LibrariesC-45UtilsC-45Binary-writeToFile e-2 e-4) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-6 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (clam-0) (case (vector-ref e-6 0) ((1) (vector 1 (vector 0 ))) (else (let ((e-7 (vector-ref e-6 1))) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 51 e-2 e-7) clam-0))))))) eff-2))))))))) (else (lambda (eta-0) (vector 1 (vector 0 ))))))) eff-1))))))))))))))
(define CompilerC-45Common-compileTerm (lambda (arg-0 arg-1) (let ((eff-0 (CoreC-45Context-toFullNames arg-0 (csegen-105) arg-1))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CompilerC-45CompileExpr-compileExp arg-0 e-5))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CompilerC-45Inline-fixArityExp '() arg-0 e-6))) eff-2))))))))) eff-1)))))))))
(define CompilerC-45Common-compile (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (let ((eff-0 (CoreC-45Context-getDirs arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--tmpDir (CoreC-45Options-execBuildDir e-5))) (let ((u--outputDir (CoreC-45Options-outputDirWithDefault e-5))) (let ((eff-1 (CoreC-45Directory-ensureDirectoryExists u--tmpDir))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45Directory-ensureDirectoryExists u--outputDir))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (CoreC-45ContextC-45Log-logTime arg-0 1 (lambda () "Code generation overall") (let ((e-0 (vector-ref arg-2 0))) ((((((e-0 arg-0) arg-1) u--tmpDir) u--outputDir) arg-3) arg-4))))) eff-3)))))))) eff-2)))))))))) eff-1)))))))))
(define CompilerC-45Common-compDef (lambda (arg-0 arg-1) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-lookupCtxtExact arg-1 (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-6) (lambda (eta-0) (vector 1 '())) (let ((e-1 (unbox e-6))) (lambda (clam-0) (let ((e-18 (vector-ref e-1 18))) (if (null? e-18) (vector 1 '()) (let ((e-25 (unbox e-18))) (vector 1 (box (cons arg-1 (cons (let ((e-47 (vector-ref e-1 0))) e-47) e-25)))))))))))) eff-2))))))))) eff-1)))))))))
(define CompilerC-45Common-castInt (lambda (arg-0 arg-1 arg-2 arg-3) (CompilerC-45Common-case--castInt-5969 arg-3 arg-2 arg-1 arg-0 (cons (cons arg-1 (CoreC-45TT-intKind arg-1)) (cons arg-2 (CoreC-45TT-intKind arg-2))))))
(define SystemC-45Info-os(blodwen-lazy (lambda () (blodwen-os))))
(define SystemC-45Info-isWindows(blodwen-lazy (lambda () (csegen-130))))
(define SystemC-45Info-codegen(blodwen-lazy (lambda () "chez")))
(define PreludeC-45Uninhabited-void (lambda (ext-0) (display "Error: Executed 'void'")))
(define PreludeC-45Uninhabited-absurd (lambda (arg-2 arg-3) (PreludeC-45Uninhabited-void 'erased)))
(define PreludeC-45Basics-uncurry (lambda (arg-3 arg-4) (let ((e-2 (car arg-4))) (let ((e-3 (cdr arg-4))) ((arg-3 e-2) e-3)))))
(define PreludeC-45Basics-on (lambda (arg-3 arg-4 ext-0 ext-1) ((arg-3 (arg-4 ext-0)) (arg-4 ext-1))))
(define PreludeC-45Basics-irrelevantEq(blodwen-lazy (lambda () (vector 0 ))))
(define PreludeC-45Basics-flip (lambda (arg-3 arg-4 arg-5) ((arg-3 arg-5) arg-4)))
(define PreludeC-45Basics-curry (lambda (arg-3 arg-4 arg-5) (arg-3 (cons arg-4 arg-5))))
(define Builtin-snd (lambda (arg-2) (let ((e-3 (cdr arg-2))) e-3)))
(define Builtin-idris_crash (lambda (ext-0) (blodwen-error-quit (string-append "ERROR: " ext-0))))
(define Builtin-fst (lambda (arg-2) (let ((e-2 (car arg-2))) e-2)))
(define PreludeC-45Types-case--compare-6195 (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (cond ((equal? arg-6 1) (PreludeC-45Types-u--compare_Ord_C-40ListC-32C-36aC-41 arg-1 arg-3 arg-5))(else arg-6))))
(define PreludeC-45Types-n--9649-8846-u--unpackC-39 (lambda (arg-0 arg-1 arg-2 arg-3) (let ((sc0 (PreludeC-45EqOrd-u--C-60_Ord_Int arg-1 (blodwen-toSignedInt 0 63)))) (cond ((equal? sc0 1) arg-3) (else (PreludeC-45Types-n--9649-8846-u--unpackC-39 arg-0 (bs- arg-1 1 63) arg-2 (cons (string-ref arg-2 arg-1) arg-3)))))))
(define PreludeC-45Types-n--9932-9115-u--hexChars (lambda (arg-0) (cons #\0 (cons #\1 (cons #\2 (cons #\3 (cons #\4 (cons #\5 (cons #\6 (cons #\7 (cons #\8 (cons #\9 (cons #\A (cons #\B (cons #\C (cons #\D (cons #\E (cons #\F '()))))))))))))))))))
(define PreludeC-45Types-u--traverse_Traversable_Maybe (lambda (arg-3 arg-4 arg-5) (if (null? arg-5) (let ((e-2 (vector-ref arg-3 1))) ((e-2 'erased) '())) (let ((e-2 (unbox arg-5))) (PreludeC-45Interfaces-C-60C-36C-62 (let ((e-1 (vector-ref arg-3 0))) e-1) (lambda (eta-0) (box eta-0)) (arg-4 e-2))))))
(define PreludeC-45Types-u--traverse_Traversable_List (lambda (arg-3 arg-4 arg-5) (if (null? arg-5) (let ((e-2 (vector-ref arg-3 1))) ((e-2 'erased) '())) (let ((e-2 (car arg-5))) (let ((e-3 (cdr arg-5))) (let ((e-4 (vector-ref arg-3 2))) ((((e-4 'erased) 'erased) (let ((e-6 (vector-ref arg-3 2))) ((((e-6 'erased) 'erased) (let ((e-10 (vector-ref arg-3 1))) ((e-10 'erased) (csegen-152)))) (arg-4 e-2)))) (PreludeC-45Types-u--traverse_Traversable_List arg-3 arg-4 e-3))))))))
(define PreludeC-45Types-u--traverse_Traversable_C-40EitherC-32C-36eC-41 (lambda (arg-4 arg-5 arg-6) (case (vector-ref arg-6 0) ((0) (let ((e-2 (vector-ref arg-6 1))) (let ((e-4 (vector-ref arg-4 1))) ((e-4 'erased) (vector 0 e-2))))) (else (let ((e-5 (vector-ref arg-6 1))) (PreludeC-45Interfaces-C-60C-36C-62 (let ((e-1 (vector-ref arg-4 0))) e-1) (lambda (eta-0) (vector 1 eta-0)) (arg-5 e-5)))))))
(define PreludeC-45Types-u--toList_Foldable_Maybe (lambda (ext-0) (PreludeC-45Types-u--foldr_Foldable_Maybe (csegen-152) '() ext-0)))
(define PreludeC-45Types-u--toList_Foldable_C-40EitherC-32C-36eC-41 (lambda (ext-0) (PreludeC-45Types-u--foldr_Foldable_C-40EitherC-32C-36eC-41 (csegen-152) '() ext-0)))
(define PreludeC-45Types-u--rangeFrom_Range_Nat (lambda (arg-0) (PreludeC-45Types-countFrom arg-0 (lambda (eta-0) (+ eta-0 1)))))
(define PreludeC-45Types-u--rangeFrom_Range_C-36a (lambda (arg-1 arg-2) (PreludeC-45Types-countFrom arg-2 (lambda (arg-0) (let ((sc0 (Builtin-snd (Builtin-snd arg-1)))) (let ((e-1 (vector-ref sc0 0))) (let ((e-6 (vector-ref e-1 0))) ((e-6 (let ((sc0 (Builtin-snd (Builtin-snd arg-1)))) (let ((e-9 (vector-ref sc0 0))) (let ((e-10 (vector-ref e-9 2))) (e-10 1))))) arg-0))))))))
(define PreludeC-45Types-u--rangeFromTo_Range_Nat (lambda (arg-0 arg-1) (let ((sc0 (PreludeC-45EqOrd-u--compare_Ord_Integer arg-0 arg-1))) (cond ((equal? sc0 0) (PreludeC-45Types-takeUntil (lambda (arg-2) (PreludeC-45Types-u--C-62C-61_Ord_Nat arg-2 arg-1)) (PreludeC-45Types-countFrom arg-0 (lambda (eta-0) (+ eta-0 1))))) ((equal? sc0 1) (PreludeC-45Types-u--pure_Applicative_List arg-0)) (else (PreludeC-45Types-takeUntil (lambda (arg-2) (PreludeC-45Types-u--C-60C-61_Ord_Nat arg-2 arg-1)) (PreludeC-45Types-countFrom arg-0 (lambda (u--n) (PreludeC-45Types-prim__integerToNat (- u--n 1))))))))))
(define PreludeC-45Types-u--rangeFromTo_Range_C-36a (lambda (arg-1 arg-2 arg-3) (let ((sc0 (let ((sc1 (Builtin-fst (Builtin-snd arg-1)))) (let ((e-2 (vector-ref sc1 1))) ((e-2 arg-2) arg-3))))) (cond ((equal? sc0 0) (PreludeC-45Types-takeUntil (lambda (arg-0) (let ((sc1 (Builtin-fst (Builtin-snd arg-1)))) (let ((e-6 (vector-ref sc1 5))) ((e-6 arg-0) arg-3)))) (PreludeC-45Types-countFrom arg-2 (lambda (arg-0) (let ((sc1 (Builtin-snd (Builtin-snd arg-1)))) (let ((e-1 (vector-ref sc1 0))) (let ((e-6 (vector-ref e-1 0))) ((e-6 arg-0) (let ((sc1 (Builtin-snd (Builtin-snd arg-1)))) (let ((e-9 (vector-ref sc1 0))) (let ((e-10 (vector-ref e-9 2))) (e-10 1)))))))))))) ((equal? sc0 1) (PreludeC-45Types-u--pure_Applicative_List arg-2)) (else (PreludeC-45Types-takeUntil (lambda (arg-0) (let ((sc1 (Builtin-fst (Builtin-snd arg-1)))) (let ((e-5 (vector-ref sc1 4))) ((e-5 arg-0) arg-3)))) (PreludeC-45Types-countFrom arg-2 (lambda (u--x) (let ((sc1 (Builtin-snd (Builtin-snd arg-1)))) (let ((e-3 (vector-ref sc1 2))) ((e-3 u--x) (let ((sc1 (Builtin-snd (Builtin-snd arg-1)))) (let ((e-6 (vector-ref sc1 0))) (let ((e-7 (vector-ref e-6 2))) (e-7 1)))))))))))))))
(define PreludeC-45Types-u--pure_Applicative_List (lambda (arg-1) (cons arg-1 '())))
(define PreludeC-45Types-u--null_Foldable_Maybe (lambda (arg-1) (if (null? arg-1) 1 0)))
(define PreludeC-45Types-u--null_Foldable_List (lambda (arg-1) (if (null? arg-1) 1 0)))
(define PreludeC-45Types-u--null_Foldable_C-40EitherC-32C-36eC-41 (lambda (arg-2) (case (vector-ref arg-2 0) ((0) 1) (else 0))))
(define PreludeC-45Types-u--min_Ord_Nat (lambda (arg-0 arg-1) (let ((sc0 (PreludeC-45Types-u--C-60_Ord_Nat arg-0 arg-1))) (cond ((equal? sc0 1) arg-0) (else arg-1)))))
(define PreludeC-45Types-u--min_Ord_C-40MaybeC-32C-36aC-41 (lambda (arg-1 arg-2 arg-3) (let ((sc0 (PreludeC-45Types-u--C-60_Ord_C-40MaybeC-32C-36aC-41 arg-1 arg-2 arg-3))) (cond ((equal? sc0 1) arg-2) (else arg-3)))))
(define PreludeC-45Types-u--min_Ord_C-40ListC-32C-36aC-41 (lambda (arg-1 arg-2 arg-3) (let ((sc0 (PreludeC-45Types-u--C-60_Ord_C-40ListC-32C-36aC-41 arg-1 arg-2 arg-3))) (cond ((equal? sc0 1) arg-2) (else arg-3)))))
(define PreludeC-45Types-u--max_Ord_Nat (lambda (arg-0 arg-1) (let ((sc0 (PreludeC-45Types-u--C-62_Ord_Nat arg-0 arg-1))) (cond ((equal? sc0 1) arg-0) (else arg-1)))))
(define PreludeC-45Types-u--max_Ord_C-40MaybeC-32C-36aC-41 (lambda (arg-1 arg-2 arg-3) (let ((sc0 (PreludeC-45Types-u--C-62_Ord_C-40MaybeC-32C-36aC-41 arg-1 arg-2 arg-3))) (cond ((equal? sc0 1) arg-2) (else arg-3)))))
(define PreludeC-45Types-u--max_Ord_C-40ListC-32C-36aC-41 (lambda (arg-1 arg-2 arg-3) (let ((sc0 (PreludeC-45Types-u--C-62_Ord_C-40ListC-32C-36aC-41 arg-1 arg-2 arg-3))) (cond ((equal? sc0 1) arg-2) (else arg-3)))))
(define PreludeC-45Types-u--map_Functor_Maybe (lambda (arg-2 arg-3) (if (null? arg-3) '() (let ((e-1 (unbox arg-3))) (box (arg-2 e-1))))))
(define PreludeC-45Types-u--join_Monad_Maybe (lambda (arg-1) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe arg-1 (lambda (eta-0) eta-0))))
(define PreludeC-45Types-u--join_Monad_List (lambda (arg-1) (PreludeC-45Types-listBind arg-1 (lambda (eta-0) eta-0))))
(define PreludeC-45Types-u--join_Monad_C-40EitherC-32C-36eC-41 (lambda (arg-2) (PreludeC-45Types-u--C-62C-62C-61_Monad_C-40EitherC-32C-36eC-41 arg-2 (lambda (eta-0) eta-0))))
(define PreludeC-45Types-u--foldr_Foldable_Maybe (lambda (arg-2 arg-3 arg-4) (if (null? arg-4) arg-3 (let ((e-2 (unbox arg-4))) ((arg-2 e-2) arg-3)))))
(define PreludeC-45Types-u--foldr_Foldable_List (lambda (arg-2 arg-3 arg-4) (if (null? arg-4) arg-3 (let ((e-2 (car arg-4))) (let ((e-3 (cdr arg-4))) ((arg-2 e-2) (PreludeC-45Types-u--foldr_Foldable_List arg-2 arg-3 e-3)))))))
(define PreludeC-45Types-u--foldr_Foldable_C-40EitherC-32C-36eC-41 (lambda (arg-3 arg-4 arg-5) (case (vector-ref arg-5 0) ((0) arg-4) (else (let ((e-5 (vector-ref arg-5 1))) ((arg-3 e-5) arg-4))))))
(define PreludeC-45Types-u--foldl_Foldable_Maybe (lambda (arg-2 arg-3 arg-4) ((PreludeC-45Types-u--foldr_Foldable_Maybe (lambda (eta-0) (lambda (eta-1) (PreludeC-45Basics-flip (csegen-154) (lambda (eta-2) (PreludeC-45Basics-flip arg-2 eta-0 eta-2)) eta-1))) (lambda (eta-0) eta-0) arg-4) arg-3)))
(define PreludeC-45Types-u--foldl_Foldable_List (lambda (arg-2 arg-3 arg-4) (if (null? arg-4) arg-3 (let ((e-2 (car arg-4))) (let ((e-3 (cdr arg-4))) (PreludeC-45Types-u--foldl_Foldable_List arg-2 ((arg-2 arg-3) e-2) e-3))))))
(define PreludeC-45Types-u--foldl_Foldable_C-40EitherC-32C-36eC-41 (lambda (arg-3 arg-4 arg-5) ((PreludeC-45Types-u--foldr_Foldable_C-40EitherC-32C-36eC-41 (lambda (eta-0) (lambda (eta-1) (PreludeC-45Basics-flip (csegen-154) (lambda (eta-2) (PreludeC-45Basics-flip arg-3 eta-0 eta-2)) eta-1))) (lambda (eta-0) eta-0) arg-5) arg-4)))
(define PreludeC-45Types-u--foldlM_Foldable_Maybe (lambda (arg-3 arg-4 arg-5 ext-0) (PreludeC-45Types-u--foldl_Foldable_Maybe (lambda (u--ma) (lambda (u--b) (let ((e-2 (vector-ref arg-3 1))) ((((e-2 'erased) 'erased) u--ma) (lambda (eta-0) (PreludeC-45Basics-flip arg-4 u--b eta-0)))))) (let ((e-1 (vector-ref arg-3 0))) (let ((e-5 (vector-ref e-1 1))) ((e-5 'erased) arg-5))) ext-0)))
(define PreludeC-45Types-u--foldlM_Foldable_List (lambda (arg-3 arg-4 arg-5 ext-0) (PreludeC-45Types-u--foldl_Foldable_List (lambda (u--ma) (lambda (u--b) (let ((e-2 (vector-ref arg-3 1))) ((((e-2 'erased) 'erased) u--ma) (lambda (eta-0) (PreludeC-45Basics-flip arg-4 u--b eta-0)))))) (let ((e-1 (vector-ref arg-3 0))) (let ((e-5 (vector-ref e-1 1))) ((e-5 'erased) arg-5))) ext-0)))
(define PreludeC-45Types-u--foldlM_Foldable_C-40EitherC-32C-36eC-41 (lambda (arg-4 arg-5 arg-6 ext-0) (PreludeC-45Types-u--foldl_Foldable_C-40EitherC-32C-36eC-41 (lambda (u--ma) (lambda (u--b) (let ((e-2 (vector-ref arg-4 1))) ((((e-2 'erased) 'erased) u--ma) (lambda (eta-0) (PreludeC-45Basics-flip arg-5 u--b eta-0)))))) (let ((e-1 (vector-ref arg-4 0))) (let ((e-5 (vector-ref e-1 1))) ((e-5 'erased) arg-6))) ext-0)))
(define PreludeC-45Types-u--foldMap_Foldable_Maybe (lambda (arg-2 arg-3 ext-0) (PreludeC-45Types-u--foldr_Foldable_Maybe (lambda (eta-0) ((let ((eff-0 (let ((e-1 (car arg-2))) e-1))) (lambda (arg-0) (lambda (arg-1) ((eff-0 arg-0) arg-1)))) (arg-3 eta-0))) (let ((e-2 (cdr arg-2))) e-2) ext-0)))
(define PreludeC-45Types-u--foldMap_Foldable_List (lambda (arg-2 arg-3 ext-0) (PreludeC-45Types-u--foldl_Foldable_List (lambda (u--acc) (lambda (u--elem) (((let ((eff-0 (let ((e-1 (car arg-2))) e-1))) (lambda (arg-0) (lambda (arg-1) ((eff-0 arg-0) arg-1)))) u--acc) (arg-3 u--elem)))) (let ((e-2 (cdr arg-2))) e-2) ext-0)))
(define PreludeC-45Types-u--foldMap_Foldable_C-40EitherC-32C-36eC-41 (lambda (arg-3 arg-4 ext-0) (PreludeC-45Types-u--foldr_Foldable_C-40EitherC-32C-36eC-41 (lambda (eta-0) ((let ((eff-0 (let ((e-1 (car arg-3))) e-1))) (lambda (arg-0) (lambda (arg-1) ((eff-0 arg-0) arg-1)))) (arg-4 eta-0))) (let ((e-2 (cdr arg-3))) e-2) ext-0)))
(define PreludeC-45Types-u--compare_Ord_C-40MaybeC-32C-36aC-41 (lambda (arg-1 arg-2 arg-3) (if (null? arg-2) (if (null? arg-3) 1 0) (let ((e-2 (unbox arg-2))) (if (null? arg-3) 2 (let ((e-8 (unbox arg-3))) (let ((e-10 (vector-ref arg-1 1))) ((e-10 e-2) e-8))))))))
(define PreludeC-45Types-u--compare_Ord_C-40ListC-32C-36aC-41 (lambda (arg-1 arg-2 arg-3) (if (null? arg-2) (if (null? arg-3) 1 0) (let ((e-2 (car arg-2))) (let ((e-3 (cdr arg-2))) (if (null? arg-3) 2 (let ((e-10 (car arg-3))) (let ((e-11 (cdr arg-3))) (PreludeC-45Types-case--compare-6195 arg-1 e-2 e-3 e-10 e-11 (let ((e-12 (vector-ref arg-1 1))) ((e-12 e-2) e-10)))))))))))
(define PreludeC-45Types-u--C-62_Ord_Nat (lambda (arg-0 arg-1) (PreludeC-45EqOrd-u--C-61C-61_Eq_Ordering (PreludeC-45EqOrd-u--compare_Ord_Integer arg-0 arg-1) 2)))
(define PreludeC-45Types-u--C-62_Ord_C-40MaybeC-32C-36aC-41 (lambda (arg-1 arg-2 arg-3) (PreludeC-45EqOrd-u--C-61C-61_Eq_Ordering (PreludeC-45Types-u--compare_Ord_C-40MaybeC-32C-36aC-41 arg-1 arg-2 arg-3) 2)))
(define PreludeC-45Types-u--C-62_Ord_C-40ListC-32C-36aC-41 (lambda (arg-1 arg-2 arg-3) (PreludeC-45EqOrd-u--C-61C-61_Eq_Ordering (PreludeC-45Types-u--compare_Ord_C-40ListC-32C-36aC-41 arg-1 arg-2 arg-3) 2)))
(define PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (lambda (arg-2 arg-3) (if (null? arg-2) '() (let ((e-2 (unbox arg-2))) (arg-3 e-2)))))
(define PreludeC-45Types-u--C-62C-62C-61_Monad_C-40EitherC-32C-36eC-41 (lambda (arg-3 arg-4) (case (vector-ref arg-3 0) ((0) (let ((e-2 (vector-ref arg-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref arg-3 1))) (arg-4 e-5))))))
(define PreludeC-45Types-u--C-62C-61_Ord_Nat (lambda (arg-0 arg-1) (PreludeC-45EqOrd-u--C-47C-61_Eq_Ordering (PreludeC-45EqOrd-u--compare_Ord_Integer arg-0 arg-1) 0)))
(define PreludeC-45Types-u--C-62C-61_Ord_C-40MaybeC-32C-36aC-41 (lambda (arg-1 arg-2 arg-3) (PreludeC-45EqOrd-u--C-47C-61_Eq_Ordering (PreludeC-45Types-u--compare_Ord_C-40MaybeC-32C-36aC-41 arg-1 arg-2 arg-3) 0)))
(define PreludeC-45Types-u--C-62C-61_Ord_C-40ListC-32C-36aC-41 (lambda (arg-1 arg-2 arg-3) (PreludeC-45EqOrd-u--C-47C-61_Eq_Ordering (PreludeC-45Types-u--compare_Ord_C-40ListC-32C-36aC-41 arg-1 arg-2 arg-3) 0)))
(define PreludeC-45Types-u--C-61C-61_Eq_C-40MaybeC-32C-36aC-41 (lambda (arg-1 arg-2 arg-3) (if (null? arg-2) (if (null? arg-3) 1 0) (let ((e-2 (unbox arg-2))) (if (null? arg-3) 0 (let ((e-8 (unbox arg-3))) (let ((e-1 (car arg-1))) ((e-1 e-2) e-8))))))))
(define PreludeC-45Types-u--C-61C-61_Eq_C-40ListC-32C-36aC-41 (lambda (arg-1 arg-2 arg-3) (if (null? arg-2) (if (null? arg-3) 1 0) (let ((e-2 (car arg-2))) (let ((e-3 (cdr arg-2))) (if (null? arg-3) 0 (let ((e-6 (car arg-3))) (let ((e-7 (cdr arg-3))) (let ((sc2 (let ((e-1 (car arg-1))) ((e-1 e-2) e-6)))) (cond ((equal? sc2 1) (PreludeC-45Types-u--C-61C-61_Eq_C-40ListC-32C-36aC-41 arg-1 e-3 e-7)) (else 0)))))))))))
(define PreludeC-45Types-u--C-61C-61_Eq_C-40C-40EitherC-32C-36aC-41C-32C-36bC-41 (lambda (arg-2 arg-3 arg-4) (case (vector-ref arg-3 0) ((0) (let ((e-2 (vector-ref arg-3 1))) (case (vector-ref arg-4 0) ((0) (let ((e-8 (vector-ref arg-4 1))) (let ((sc2 (Builtin-fst arg-2))) (let ((e-1 (car sc2))) ((e-1 e-2) e-8)))))(else 0)))) ((1) (let ((e-5 (vector-ref arg-3 1))) (case (vector-ref arg-4 0) ((1) (let ((e-11 (vector-ref arg-4 1))) (let ((sc2 (Builtin-snd arg-2))) (let ((e-1 (car sc2))) ((e-1 e-5) e-11)))))(else 0))))(else 0))))
(define PreludeC-45Types-u--C-60C-124C-62_Alternative_Maybe (lambda (arg-1 arg-2) (if (null? arg-1) (arg-2) (let ((e-1 (unbox arg-1))) (box e-1)))))
(define PreludeC-45Types-u--C-60_Ord_Nat (lambda (arg-0 arg-1) (PreludeC-45EqOrd-u--C-61C-61_Eq_Ordering (PreludeC-45EqOrd-u--compare_Ord_Integer arg-0 arg-1) 0)))
(define PreludeC-45Types-u--C-60_Ord_C-40MaybeC-32C-36aC-41 (lambda (arg-1 arg-2 arg-3) (PreludeC-45EqOrd-u--C-61C-61_Eq_Ordering (PreludeC-45Types-u--compare_Ord_C-40MaybeC-32C-36aC-41 arg-1 arg-2 arg-3) 0)))
(define PreludeC-45Types-u--C-60_Ord_C-40ListC-32C-36aC-41 (lambda (arg-1 arg-2 arg-3) (PreludeC-45EqOrd-u--C-61C-61_Eq_Ordering (PreludeC-45Types-u--compare_Ord_C-40ListC-32C-36aC-41 arg-1 arg-2 arg-3) 0)))
(define PreludeC-45Types-u--C-60C-61_Ord_Nat (lambda (arg-0 arg-1) (PreludeC-45EqOrd-u--C-47C-61_Eq_Ordering (PreludeC-45EqOrd-u--compare_Ord_Integer arg-0 arg-1) 2)))
(define PreludeC-45Types-u--C-60C-61_Ord_C-40MaybeC-32C-36aC-41 (lambda (arg-1 arg-2 arg-3) (PreludeC-45EqOrd-u--C-47C-61_Eq_Ordering (PreludeC-45Types-u--compare_Ord_C-40MaybeC-32C-36aC-41 arg-1 arg-2 arg-3) 2)))
(define PreludeC-45Types-u--C-60C-61_Ord_C-40ListC-32C-36aC-41 (lambda (arg-1 arg-2 arg-3) (PreludeC-45EqOrd-u--C-47C-61_Eq_Ordering (PreludeC-45Types-u--compare_Ord_C-40ListC-32C-36aC-41 arg-1 arg-2 arg-3) 2)))
(define PreludeC-45Types-u--C-60C-43C-62_Semigroup_C-40MaybeC-32C-36aC-41 (lambda (arg-1 arg-2) (if (null? arg-1) arg-2 (let ((e-2 (unbox arg-1))) (box e-2)))))
(define PreludeC-45Types-u--C-60C-42C-62_Applicative_Maybe (lambda (arg-2 arg-3) (if (null? arg-2) '() (let ((e-1 (unbox arg-2))) (if (null? arg-3) '() (let ((e-3 (unbox arg-3))) (box (e-1 e-3))))))))
(define PreludeC-45Types-u--C-60C-42C-62_Applicative_List (lambda (arg-2 arg-3) (PreludeC-45Types-listBind arg-2 (lambda (u--f) (PreludeC-45TypesC-45List-mapAppend '() u--f arg-3)))))
(define PreludeC-45Types-u--C-47C-61_Eq_Nat (lambda (arg-0 arg-1) (let ((sc0 (or (and (= arg-0 arg-1) 1) 0))) (cond ((equal? sc0 1) 0) (else 1)))))
(define PreludeC-45Types-u--C-47C-61_Eq_C-40MaybeC-32C-36aC-41 (lambda (arg-1 arg-2 arg-3) (let ((sc0 (PreludeC-45Types-u--C-61C-61_Eq_C-40MaybeC-32C-36aC-41 arg-1 arg-2 arg-3))) (cond ((equal? sc0 1) 0) (else 1)))))
(define PreludeC-45Types-u--C-47C-61_Eq_C-40ListC-32C-36aC-41 (lambda (arg-1 arg-2 arg-3) (let ((sc0 (PreludeC-45Types-u--C-61C-61_Eq_C-40ListC-32C-36aC-41 arg-1 arg-2 arg-3))) (cond ((equal? sc0 1) 0) (else 1)))))
(define PreludeC-45Types-toUpper (lambda (arg-0) (let ((sc0 (PreludeC-45Types-isLower arg-0))) (cond ((equal? sc0 1) (cast-int-char (bs- (cast-char-boundedInt arg-0 63) 32 63))) (else arg-0)))))
(define PreludeC-45Types-toLower (lambda (arg-0) (let ((sc0 (PreludeC-45Types-isUpper arg-0))) (cond ((equal? sc0 1) (cast-int-char (bs+ (cast-char-boundedInt arg-0 63) 32 63))) (else arg-0)))))
(define PreludeC-45Types-takeUntil (lambda (arg-1 arg-2) (let ((e-1 (car arg-2))) (let ((e-2 (cdr arg-2))) (let ((sc1 (arg-1 e-1))) (cond ((equal? sc1 1) (cons e-1 '())) (else (cons e-1 (PreludeC-45Types-takeUntil arg-1 (e-2))))))))))
(define PreludeC-45Types-take (lambda (arg-1 arg-2) (cond ((equal? arg-1 0) '())(else (let ((e-0 (- arg-1 1))) (let ((e-2 (car arg-2))) (let ((e-3 (cdr arg-2))) (cons e-2 (PreludeC-45Types-take e-0 (e-3))))))))))
(define PreludeC-45TypesC-45SnocList-tailRecAppend (lambda (arg-1 arg-2) (PreludeC-45TypesC-45SnocList-reverseOnto arg-1 (PreludeC-45TypesC-45SnocList-reverse arg-2))))
(define PreludeC-45TypesC-45List-tailRecAppend (lambda (arg-1 arg-2) (PreludeC-45TypesC-45List-reverseOnto arg-2 (PreludeC-45TypesC-45List-reverse arg-1))))
(define PreludeC-45Types-substr (lambda (arg-0 arg-1 arg-2) (let ((sc0 (PreludeC-45EqOrd-u--C-60_Ord_Integer arg-0 (PreludeC-45TypesC-45String-length arg-2)))) (cond ((equal? sc0 1) (string-substr (blodwen-toSignedInt arg-0 63) (blodwen-toSignedInt arg-1 63) arg-2)) (else "")))))
(define PreludeC-45Types-strUncons (lambda (arg-0) (cond ((equal? arg-0 "") '())(else (box (cons (string-ref arg-0 0) (substring arg-0 1 (string-length arg-0))))))))
(define PreludeC-45TypesC-45SnocList-reverseOnto (lambda (arg-1 arg-2) (if (null? arg-2) arg-1 (let ((e-2 (car arg-2))) (let ((e-3 (cdr arg-2))) (PreludeC-45TypesC-45SnocList-reverseOnto (cons arg-1 e-3) e-2))))))
(define PreludeC-45TypesC-45List-reverseOnto (lambda (arg-1 arg-2) (if (null? arg-2) arg-1 (let ((e-2 (car arg-2))) (let ((e-3 (cdr arg-2))) (PreludeC-45TypesC-45List-reverseOnto (cons e-2 arg-1) e-3))))))
(define PreludeC-45TypesC-45SnocList-reverse (lambda (ext-0) (PreludeC-45TypesC-45SnocList-reverseOnto '() ext-0)))
(define PreludeC-45TypesC-45List-reverse (lambda (ext-0) (PreludeC-45TypesC-45List-reverseOnto '() ext-0)))
(define PreludeC-45Types-prim__integerToNat (lambda (arg-0) (let ((sc0 (let ((sc1 (or (and (<= 0 arg-0) 1) 0))) (cond ((equal? sc1 0) 0)(else 1))))) (cond ((equal? sc0 1) arg-0) (else 0)))))
(define PreludeC-45Types-pack (lambda (arg-0) (if (null? arg-0) "" (let ((e-2 (car arg-0))) (let ((e-3 (cdr arg-0))) (string-cons e-2 (PreludeC-45Types-pack e-3)))))))
(define PreludeC-45Types-maybe (lambda (arg-2 arg-3 arg-4) (if (null? arg-4) (arg-2) (let ((e-2 (unbox arg-4))) ((arg-3) e-2)))))
(define PreludeC-45TypesC-45List-mapMaybeAppend (lambda (arg-2 arg-3 arg-4) (if (null? arg-4) (PreludeC-45TypesC-45SnocList-C-60C-62C-62 arg-2 '()) (let ((e-1 (car arg-4))) (let ((e-2 (cdr arg-4))) (let ((sc1 (arg-3 e-1))) (if (null? sc1) (PreludeC-45TypesC-45List-mapMaybeAppend arg-2 arg-3 e-2) (let ((e-3 (unbox sc1))) (PreludeC-45TypesC-45List-mapMaybeAppend (cons arg-2 e-3) arg-3 e-2)))))))))
(define PreludeC-45TypesC-45List-mapAppend (lambda (arg-2 arg-3 arg-4) (if (null? arg-4) (PreludeC-45TypesC-45SnocList-C-60C-62C-62 arg-2 '()) (let ((e-1 (car arg-4))) (let ((e-2 (cdr arg-4))) (PreludeC-45TypesC-45List-mapAppend (cons arg-2 (arg-3 e-1)) arg-3 e-2))))))
(define PreludeC-45Types-listBindOnto (lambda (arg-2 arg-3 arg-4) (if (null? arg-4) (PreludeC-45TypesC-45List-reverse arg-3) (let ((e-2 (car arg-4))) (let ((e-3 (cdr arg-4))) (PreludeC-45Types-listBindOnto arg-2 (PreludeC-45TypesC-45List-reverseOnto arg-3 (arg-2 e-2)) e-3))))))
(define PreludeC-45Types-listBind (lambda (arg-2 arg-3) (PreludeC-45Types-listBindOnto arg-3 '() arg-2)))
(define PreludeC-45TypesC-45List-lengthTR (lambda (ext-0) (PreludeC-45TypesC-45List-lengthPlus 0 ext-0)))
(define PreludeC-45TypesC-45List-lengthPlus (lambda (arg-1 arg-2) (if (null? arg-2) arg-1 (let ((e-3 (cdr arg-2))) (PreludeC-45TypesC-45List-lengthPlus (+ arg-1 1) e-3)))))
(define PreludeC-45TypesC-45String-length (lambda (arg-0) (PreludeC-45Types-prim__integerToNat (string-length arg-0))))
(define PreludeC-45TypesC-45List-length (lambda (arg-1) (if (null? arg-1) 0 (let ((e-3 (cdr arg-1))) (+ (PreludeC-45TypesC-45List-length e-3) 1)))))
(define PreludeC-45Types-isUpper (lambda (arg-0) (let ((sc0 (PreludeC-45EqOrd-u--C-62C-61_Ord_Char arg-0 #\A))) (cond ((equal? sc0 1) (PreludeC-45EqOrd-u--C-60C-61_Ord_Char arg-0 #\Z)) (else 0)))))
(define PreludeC-45Types-isSpace (lambda (arg-0) (let ((sc0 (PreludeC-45EqOrd-u--C-61C-61_Eq_Char arg-0 #\ ))) (cond ((equal? sc0 1) 1) (else (let ((sc1 (PreludeC-45EqOrd-u--C-61C-61_Eq_Char arg-0 (integer->char 9)))) (cond ((equal? sc1 1) 1) (else (let ((sc2 (PreludeC-45EqOrd-u--C-61C-61_Eq_Char arg-0 (integer->char 13)))) (cond ((equal? sc2 1) 1) (else (let ((sc3 (PreludeC-45EqOrd-u--C-61C-61_Eq_Char arg-0 (integer->char 10)))) (cond ((equal? sc3 1) 1) (else (let ((sc4 (PreludeC-45EqOrd-u--C-61C-61_Eq_Char arg-0 (integer->char 12)))) (cond ((equal? sc4 1) 1) (else (let ((sc5 (PreludeC-45EqOrd-u--C-61C-61_Eq_Char arg-0 (integer->char 11)))) (cond ((equal? sc5 1) 1) (else (PreludeC-45EqOrd-u--C-61C-61_Eq_Char arg-0 (integer->char 160))))))))))))))))))))))
(define PreludeC-45Types-isOctDigit (lambda (arg-0) (let ((sc0 (PreludeC-45EqOrd-u--C-62C-61_Ord_Char arg-0 #\0))) (cond ((equal? sc0 1) (PreludeC-45EqOrd-u--C-60C-61_Ord_Char arg-0 #\7)) (else 0)))))
(define PreludeC-45Types-isNL (lambda (arg-0) (let ((sc0 (PreludeC-45EqOrd-u--C-61C-61_Eq_Char arg-0 (integer->char 13)))) (cond ((equal? sc0 1) 1) (else (PreludeC-45EqOrd-u--C-61C-61_Eq_Char arg-0 (integer->char 10)))))))
(define PreludeC-45Types-isLower (lambda (arg-0) (let ((sc0 (PreludeC-45EqOrd-u--C-62C-61_Ord_Char arg-0 #\a))) (cond ((equal? sc0 1) (PreludeC-45EqOrd-u--C-60C-61_Ord_Char arg-0 #\z)) (else 0)))))
(define PreludeC-45Types-isHexDigit (lambda (arg-0) (PreludeC-45Types-elem (csegen-16) (csegen-19) (PreludeC-45Types-toUpper arg-0) (PreludeC-45Types-n--9932-9115-u--hexChars arg-0))))
(define PreludeC-45Types-isDigit (lambda (arg-0) (let ((sc0 (PreludeC-45EqOrd-u--C-62C-61_Ord_Char arg-0 #\0))) (cond ((equal? sc0 1) (PreludeC-45EqOrd-u--C-60C-61_Ord_Char arg-0 #\9)) (else 0)))))
(define PreludeC-45Types-isAlphaNum (lambda (arg-0) (let ((sc0 (PreludeC-45Types-isDigit arg-0))) (cond ((equal? sc0 1) 1) (else (PreludeC-45Types-isAlpha arg-0))))))
(define PreludeC-45Types-isAlpha (lambda (arg-0) (let ((sc0 (PreludeC-45Types-isUpper arg-0))) (cond ((equal? sc0 1) 1) (else (PreludeC-45Types-isLower arg-0))))))
(define PreludeC-45Types-getAt (lambda (arg-1 arg-2) (cond ((equal? arg-1 0) (if (null? arg-2) '() (let ((e-3 (car arg-2))) (box e-3))))(else (let ((e-1 (- arg-1 1))) (if (null? arg-2) '() (let ((e-7 (cdr arg-2))) (PreludeC-45Types-getAt e-1 e-7))))))))
(define PreludeC-45TypesC-45List-filterAppend (lambda (arg-1 arg-2 arg-3) (if (null? arg-3) (PreludeC-45TypesC-45SnocList-C-60C-62C-62 arg-1 '()) (let ((e-1 (car arg-3))) (let ((e-2 (cdr arg-3))) (let ((sc1 (arg-2 e-1))) (cond ((equal? sc1 1) (PreludeC-45TypesC-45List-filterAppend (cons arg-1 e-1) arg-2 e-2)) (else (PreludeC-45TypesC-45List-filterAppend arg-1 arg-2 e-2)))))))))
(define PreludeC-45TypesC-45List-filter (lambda (arg-1 arg-2) (if (null? arg-2) '() (let ((e-2 (car arg-2))) (let ((e-3 (cdr arg-2))) (let ((sc1 (arg-1 e-2))) (cond ((equal? sc1 1) (cons e-2 (PreludeC-45TypesC-45List-filter arg-1 e-3))) (else (PreludeC-45TypesC-45List-filter arg-1 e-3)))))))))
(define PreludeC-45Types-elemBy (lambda (arg-2 arg-3 arg-4 ext-0) (PreludeC-45Interfaces-any arg-2 (arg-3 arg-4) ext-0)))
(define PreludeC-45Types-elem (lambda (arg-2 arg-3 ext-1 ext-0) (PreludeC-45Types-elemBy arg-2 (lambda (eta-0) (lambda (eta-1) (let ((e-1 (car arg-3))) ((e-1 eta-0) eta-1)))) ext-1 ext-0)))
(define PreludeC-45Types-either (lambda (arg-3 arg-4 arg-5) (case (vector-ref arg-5 0) ((0) (let ((e-2 (vector-ref arg-5 1))) ((arg-3) e-2))) (else (let ((e-5 (vector-ref arg-5 1))) ((arg-4) e-5))))))
(define PreludeC-45Types-countFrom (lambda (arg-1 arg-2) (cons arg-1 (lambda () (PreludeC-45Types-countFrom (arg-2 arg-1) arg-2)))))
(define PreludeC-45Types-count (lambda (arg-2 arg-3 ext-0) (let ((e-6 (vector-ref arg-2 5))) (((((e-6 'erased) 'erased) (cons (lambda (arg-8326) (lambda (arg-8329) (PreludeC-45InterfacesC-45NumC-45Semigroup-u--C-60C-43C-62_Semigroup_AdditiveC-36a (csegen-157) arg-8326 arg-8329))) (PreludeC-45InterfacesC-45NumC-45Monoid-u--neutral_Monoid_AdditiveC-36a (csegen-157)))) (lambda (u--x) (let ((sc0 (arg-3 u--x))) (cond ((equal? sc0 1) 1) (else 0))))) ext-0))))
(define PreludeC-45TypesC-45SnocList-C-60C-62C-62 (lambda (arg-1 arg-2) (if (null? arg-1) arg-2 (let ((e-2 (car arg-1))) (let ((e-3 (cdr arg-1))) (PreludeC-45TypesC-45SnocList-C-60C-62C-62 e-2 (cons e-3 arg-2)))))))
(define PreludeC-45TypesC-45SnocList-C-60C-62C-60 (lambda (arg-1 arg-2) (if (null? arg-2) arg-1 (let ((e-2 (car arg-2))) (let ((e-3 (cdr arg-2))) (PreludeC-45TypesC-45SnocList-C-60C-62C-60 (cons arg-1 e-2) e-3))))))
(define PreludeC-45TypesC-45List-C-43C-43 (lambda (arg-1 arg-2) (if (null? arg-1) arg-2 (let ((e-2 (car arg-1))) (let ((e-3 (cdr arg-1))) (cons e-2 (PreludeC-45TypesC-45List-C-43C-43 e-3 arg-2)))))))
(define PreludeC-45Num-u--mod_Integral_Integer (lambda (arg-0 arg-1) (let ((sc0 (PreludeC-45EqOrd-u--C-61C-61_Eq_Integer arg-1 0))) (cond ((equal? sc0 0) (blodwen-euclidMod arg-0 arg-1))(else ((Builtin-idris_crash 'erased) "Unhandled input for Prelude.Num.case block in mod at Prelude.Num:94:3--96:44"))))))
(define PreludeC-45Num-u--mod_Integral_Int8 (lambda (arg-0 arg-1) (let ((sc0 (PreludeC-45EqOrd-u--C-61C-61_Eq_Int8 arg-1 0))) (cond ((equal? sc0 0) (blodwen-euclidMod arg-0 arg-1))(else ((Builtin-idris_crash 'erased) "Unhandled input for Prelude.Num.case block in mod at Prelude.Num:159:3--161:41"))))))
(define PreludeC-45Num-u--mod_Integral_Int64 (lambda (arg-0 arg-1) (let ((sc0 (PreludeC-45EqOrd-u--C-61C-61_Eq_Int64 arg-1 0))) (cond ((equal? sc0 0) (blodwen-euclidMod arg-0 arg-1))(else ((Builtin-idris_crash 'erased) "Unhandled input for Prelude.Num.case block in mod at Prelude.Num:243:3--245:42"))))))
(define PreludeC-45Num-u--mod_Integral_Int32 (lambda (arg-0 arg-1) (let ((sc0 (PreludeC-45EqOrd-u--C-61C-61_Eq_Int32 arg-1 0))) (cond ((equal? sc0 0) (blodwen-euclidMod arg-0 arg-1))(else ((Builtin-idris_crash 'erased) "Unhandled input for Prelude.Num.case block in mod at Prelude.Num:215:3--217:42"))))))
(define PreludeC-45Num-u--mod_Integral_Int16 (lambda (arg-0 arg-1) (let ((sc0 (PreludeC-45EqOrd-u--C-61C-61_Eq_Int16 arg-1 0))) (cond ((equal? sc0 0) (blodwen-euclidMod arg-0 arg-1))(else ((Builtin-idris_crash 'erased) "Unhandled input for Prelude.Num.case block in mod at Prelude.Num:187:3--189:42"))))))
(define PreludeC-45Num-u--mod_Integral_Int (lambda (arg-0 arg-1) (let ((sc0 (PreludeC-45EqOrd-u--C-61C-61_Eq_Int arg-1 (blodwen-toSignedInt 0 63)))) (cond ((equal? sc0 0) (blodwen-euclidMod arg-0 arg-1))(else ((Builtin-idris_crash 'erased) "Unhandled input for Prelude.Num.case block in mod at Prelude.Num:131:3--133:40"))))))
(define PreludeC-45Num-u--mod_Integral_Bits8 (lambda (arg-0 arg-1) (let ((sc0 (PreludeC-45EqOrd-u--C-61C-61_Eq_Bits8 arg-1 0))) (cond ((equal? sc0 0) (blodwen-euclidMod arg-0 arg-1))(else ((Builtin-idris_crash 'erased) "Unhandled input for Prelude.Num.case block in mod at Prelude.Num:271:3--273:42"))))))
(define PreludeC-45Num-u--mod_Integral_Bits64 (lambda (arg-0 arg-1) (let ((sc0 (PreludeC-45EqOrd-u--C-61C-61_Eq_Bits64 arg-1 0))) (cond ((equal? sc0 0) (blodwen-euclidMod arg-0 arg-1))(else ((Builtin-idris_crash 'erased) "Unhandled input for Prelude.Num.case block in mod at Prelude.Num:355:3--357:43"))))))
(define PreludeC-45Num-u--mod_Integral_Bits32 (lambda (arg-0 arg-1) (let ((sc0 (PreludeC-45EqOrd-u--C-61C-61_Eq_Bits32 arg-1 0))) (cond ((equal? sc0 0) (blodwen-euclidMod arg-0 arg-1))(else ((Builtin-idris_crash 'erased) "Unhandled input for Prelude.Num.case block in mod at Prelude.Num:327:3--329:43"))))))
(define PreludeC-45Num-u--mod_Integral_Bits16 (lambda (arg-0 arg-1) (let ((sc0 (PreludeC-45EqOrd-u--C-61C-61_Eq_Bits16 arg-1 0))) (cond ((equal? sc0 0) (blodwen-euclidMod arg-0 arg-1))(else ((Builtin-idris_crash 'erased) "Unhandled input for Prelude.Num.case block in mod at Prelude.Num:299:3--301:43"))))))
(define PreludeC-45Num-u--div_Integral_Integer (lambda (arg-0 arg-1) (let ((sc0 (PreludeC-45EqOrd-u--C-61C-61_Eq_Integer arg-1 0))) (cond ((equal? sc0 0) (blodwen-euclidDiv arg-0 arg-1))(else ((Builtin-idris_crash 'erased) "Unhandled input for Prelude.Num.case block in div at Prelude.Num:91:3--93:44"))))))
(define PreludeC-45Num-u--div_Integral_Int8 (lambda (arg-0 arg-1) (let ((sc0 (PreludeC-45EqOrd-u--C-61C-61_Eq_Int8 arg-1 0))) (cond ((equal? sc0 0) (bs/ arg-0 arg-1 7))(else ((Builtin-idris_crash 'erased) "Unhandled input for Prelude.Num.case block in div at Prelude.Num:156:3--158:41"))))))
(define PreludeC-45Num-u--div_Integral_Int64 (lambda (arg-0 arg-1) (let ((sc0 (PreludeC-45EqOrd-u--C-61C-61_Eq_Int64 arg-1 0))) (cond ((equal? sc0 0) (bs/ arg-0 arg-1 63))(else ((Builtin-idris_crash 'erased) "Unhandled input for Prelude.Num.case block in div at Prelude.Num:240:3--242:42"))))))
(define PreludeC-45Num-u--div_Integral_Int32 (lambda (arg-0 arg-1) (let ((sc0 (PreludeC-45EqOrd-u--C-61C-61_Eq_Int32 arg-1 0))) (cond ((equal? sc0 0) (bs/ arg-0 arg-1 31))(else ((Builtin-idris_crash 'erased) "Unhandled input for Prelude.Num.case block in div at Prelude.Num:212:3--214:42"))))))
(define PreludeC-45Num-u--div_Integral_Int16 (lambda (arg-0 arg-1) (let ((sc0 (PreludeC-45EqOrd-u--C-61C-61_Eq_Int16 arg-1 0))) (cond ((equal? sc0 0) (bs/ arg-0 arg-1 15))(else ((Builtin-idris_crash 'erased) "Unhandled input for Prelude.Num.case block in div at Prelude.Num:184:3--186:42"))))))
(define PreludeC-45Num-u--div_Integral_Int (lambda (arg-0 arg-1) (let ((sc0 (PreludeC-45EqOrd-u--C-61C-61_Eq_Int arg-1 (blodwen-toSignedInt 0 63)))) (cond ((equal? sc0 0) (bs/ arg-0 arg-1 63))(else ((Builtin-idris_crash 'erased) "Unhandled input for Prelude.Num.case block in div at Prelude.Num:128:3--130:40"))))))
(define PreludeC-45Num-u--div_Integral_Bits8 (lambda (arg-0 arg-1) (let ((sc0 (PreludeC-45EqOrd-u--C-61C-61_Eq_Bits8 arg-1 0))) (cond ((equal? sc0 0) (bu/ arg-0 arg-1 8))(else ((Builtin-idris_crash 'erased) "Unhandled input for Prelude.Num.case block in div at Prelude.Num:268:3--270:42"))))))
(define PreludeC-45Num-u--div_Integral_Bits64 (lambda (arg-0 arg-1) (let ((sc0 (PreludeC-45EqOrd-u--C-61C-61_Eq_Bits64 arg-1 0))) (cond ((equal? sc0 0) (bu/ arg-0 arg-1 64))(else ((Builtin-idris_crash 'erased) "Unhandled input for Prelude.Num.case block in div at Prelude.Num:352:3--354:43"))))))
(define PreludeC-45Num-u--div_Integral_Bits32 (lambda (arg-0 arg-1) (let ((sc0 (PreludeC-45EqOrd-u--C-61C-61_Eq_Bits32 arg-1 0))) (cond ((equal? sc0 0) (bu/ arg-0 arg-1 32))(else ((Builtin-idris_crash 'erased) "Unhandled input for Prelude.Num.case block in div at Prelude.Num:324:3--326:43"))))))
(define PreludeC-45Num-u--div_Integral_Bits16 (lambda (arg-0 arg-1) (let ((sc0 (PreludeC-45EqOrd-u--C-61C-61_Eq_Bits16 arg-1 0))) (cond ((equal? sc0 0) (bu/ arg-0 arg-1 16))(else ((Builtin-idris_crash 'erased) "Unhandled input for Prelude.Num.case block in div at Prelude.Num:296:3--298:43"))))))
(define PreludeC-45Num-u--abs_Abs_Integer (lambda (arg-0) (let ((sc0 (PreludeC-45EqOrd-u--C-60_Ord_Integer arg-0 0))) (cond ((equal? sc0 1) (- 0 arg-0)) (else arg-0)))))
(define PreludeC-45Num-u--abs_Abs_Int (lambda (arg-0) (let ((sc0 (PreludeC-45EqOrd-u--C-60_Ord_Int arg-0 (blodwen-toSignedInt 0 63)))) (cond ((equal? sc0 1) (bs- 0 arg-0 63)) (else arg-0)))))
(define PreludeC-45EqOrd-u--min_Ord_String (lambda (arg-0 arg-1) (let ((sc0 (PreludeC-45EqOrd-u--C-60_Ord_String arg-0 arg-1))) (cond ((equal? sc0 1) arg-0) (else arg-1)))))
(define PreludeC-45EqOrd-u--min_Ord_Integer (lambda (arg-0 arg-1) (let ((sc0 (PreludeC-45EqOrd-u--C-60_Ord_Integer arg-0 arg-1))) (cond ((equal? sc0 1) arg-0) (else arg-1)))))
(define PreludeC-45EqOrd-u--min_Ord_Int (lambda (arg-0 arg-1) (let ((sc0 (PreludeC-45EqOrd-u--C-60_Ord_Int arg-0 arg-1))) (cond ((equal? sc0 1) arg-0) (else arg-1)))))
(define PreludeC-45EqOrd-u--min_Ord_Bool (lambda (arg-0 arg-1) (let ((sc0 (PreludeC-45EqOrd-u--C-60_Ord_Bool arg-0 arg-1))) (cond ((equal? sc0 1) arg-0) (else arg-1)))))
(define PreludeC-45EqOrd-u--min_Ord_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (lambda (arg-2 arg-3 arg-4 arg-5) (let ((sc0 (PreludeC-45EqOrd-u--C-60_Ord_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 arg-2 arg-3 arg-4 arg-5))) (cond ((equal? sc0 1) arg-4) (else arg-5)))))
(define PreludeC-45EqOrd-u--max_Ord_String (lambda (arg-0 arg-1) (let ((sc0 (PreludeC-45EqOrd-u--C-62_Ord_String arg-0 arg-1))) (cond ((equal? sc0 1) arg-0) (else arg-1)))))
(define PreludeC-45EqOrd-u--max_Ord_Integer (lambda (arg-0 arg-1) (let ((sc0 (PreludeC-45EqOrd-u--C-62_Ord_Integer arg-0 arg-1))) (cond ((equal? sc0 1) arg-0) (else arg-1)))))
(define PreludeC-45EqOrd-u--max_Ord_Int (lambda (arg-0 arg-1) (let ((sc0 (PreludeC-45EqOrd-u--C-62_Ord_Int arg-0 arg-1))) (cond ((equal? sc0 1) arg-0) (else arg-1)))))
(define PreludeC-45EqOrd-u--max_Ord_Bool (lambda (arg-0 arg-1) (let ((sc0 (PreludeC-45EqOrd-u--C-62_Ord_Bool arg-0 arg-1))) (cond ((equal? sc0 1) arg-0) (else arg-1)))))
(define PreludeC-45EqOrd-u--max_Ord_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (lambda (arg-2 arg-3 arg-4 arg-5) (let ((sc0 (PreludeC-45EqOrd-u--C-62_Ord_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 arg-2 arg-3 arg-4 arg-5))) (cond ((equal? sc0 1) arg-4) (else arg-5)))))
(define PreludeC-45EqOrd-u--compare_Ord_String (lambda (arg-0 arg-1) (let ((sc0 (PreludeC-45EqOrd-u--C-60_Ord_String arg-0 arg-1))) (cond ((equal? sc0 1) 0) (else (let ((sc1 (PreludeC-45EqOrd-u--C-61C-61_Eq_String arg-0 arg-1))) (cond ((equal? sc1 1) 1) (else 2))))))))
(define PreludeC-45EqOrd-u--compare_Ord_Integer (lambda (arg-0 arg-1) (let ((sc0 (PreludeC-45EqOrd-u--C-60_Ord_Integer arg-0 arg-1))) (cond ((equal? sc0 1) 0) (else (let ((sc1 (PreludeC-45EqOrd-u--C-61C-61_Eq_Integer arg-0 arg-1))) (cond ((equal? sc1 1) 1) (else 2))))))))
(define PreludeC-45EqOrd-u--compare_Ord_Int8 (lambda (arg-0 arg-1) (let ((sc0 (PreludeC-45EqOrd-u--C-60_Ord_Int8 arg-0 arg-1))) (cond ((equal? sc0 1) 0) (else (let ((sc1 (PreludeC-45EqOrd-u--C-61C-61_Eq_Int8 arg-0 arg-1))) (cond ((equal? sc1 1) 1) (else 2))))))))
(define PreludeC-45EqOrd-u--compare_Ord_Int64 (lambda (arg-0 arg-1) (let ((sc0 (PreludeC-45EqOrd-u--C-60_Ord_Int64 arg-0 arg-1))) (cond ((equal? sc0 1) 0) (else (let ((sc1 (PreludeC-45EqOrd-u--C-61C-61_Eq_Int64 arg-0 arg-1))) (cond ((equal? sc1 1) 1) (else 2))))))))
(define PreludeC-45EqOrd-u--compare_Ord_Int32 (lambda (arg-0 arg-1) (let ((sc0 (PreludeC-45EqOrd-u--C-60_Ord_Int32 arg-0 arg-1))) (cond ((equal? sc0 1) 0) (else (let ((sc1 (PreludeC-45EqOrd-u--C-61C-61_Eq_Int32 arg-0 arg-1))) (cond ((equal? sc1 1) 1) (else 2))))))))
(define PreludeC-45EqOrd-u--compare_Ord_Int16 (lambda (arg-0 arg-1) (let ((sc0 (PreludeC-45EqOrd-u--C-60_Ord_Int16 arg-0 arg-1))) (cond ((equal? sc0 1) 0) (else (let ((sc1 (PreludeC-45EqOrd-u--C-61C-61_Eq_Int16 arg-0 arg-1))) (cond ((equal? sc1 1) 1) (else 2))))))))
(define PreludeC-45EqOrd-u--compare_Ord_Int (lambda (arg-0 arg-1) (let ((sc0 (PreludeC-45EqOrd-u--C-60_Ord_Int arg-0 arg-1))) (cond ((equal? sc0 1) 0) (else (let ((sc1 (PreludeC-45EqOrd-u--C-61C-61_Eq_Int arg-0 arg-1))) (cond ((equal? sc1 1) 1) (else 2))))))))
(define PreludeC-45EqOrd-u--compare_Ord_Double (lambda (arg-0 arg-1) (let ((sc0 (PreludeC-45EqOrd-u--C-60_Ord_Double arg-0 arg-1))) (cond ((equal? sc0 1) 0) (else (let ((sc1 (PreludeC-45EqOrd-u--C-61C-61_Eq_Double arg-0 arg-1))) (cond ((equal? sc1 1) 1) (else 2))))))))
(define PreludeC-45EqOrd-u--compare_Ord_Char (lambda (arg-0 arg-1) (let ((sc0 (PreludeC-45EqOrd-u--C-60_Ord_Char arg-0 arg-1))) (cond ((equal? sc0 1) 0) (else (let ((sc1 (PreludeC-45EqOrd-u--C-61C-61_Eq_Char arg-0 arg-1))) (cond ((equal? sc1 1) 1) (else 2))))))))
(define PreludeC-45EqOrd-u--compare_Ord_Bool (lambda (arg-0 arg-1) (cond ((equal? arg-0 0) (cond ((equal? arg-1 0) 1) (else 0))) (else (cond ((equal? arg-1 0) 2) (else 1))))))
(define PreludeC-45EqOrd-u--compare_Ord_Bits8 (lambda (arg-0 arg-1) (let ((sc0 (PreludeC-45EqOrd-u--C-60_Ord_Bits8 arg-0 arg-1))) (cond ((equal? sc0 1) 0) (else (let ((sc1 (PreludeC-45EqOrd-u--C-61C-61_Eq_Bits8 arg-0 arg-1))) (cond ((equal? sc1 1) 1) (else 2))))))))
(define PreludeC-45EqOrd-u--compare_Ord_Bits64 (lambda (arg-0 arg-1) (let ((sc0 (PreludeC-45EqOrd-u--C-60_Ord_Bits64 arg-0 arg-1))) (cond ((equal? sc0 1) 0) (else (let ((sc1 (PreludeC-45EqOrd-u--C-61C-61_Eq_Bits64 arg-0 arg-1))) (cond ((equal? sc1 1) 1) (else 2))))))))
(define PreludeC-45EqOrd-u--compare_Ord_Bits32 (lambda (arg-0 arg-1) (let ((sc0 (PreludeC-45EqOrd-u--C-60_Ord_Bits32 arg-0 arg-1))) (cond ((equal? sc0 1) 0) (else (let ((sc1 (PreludeC-45EqOrd-u--C-61C-61_Eq_Bits32 arg-0 arg-1))) (cond ((equal? sc1 1) 1) (else 2))))))))
(define PreludeC-45EqOrd-u--compare_Ord_Bits16 (lambda (arg-0 arg-1) (let ((sc0 (PreludeC-45EqOrd-u--C-60_Ord_Bits16 arg-0 arg-1))) (cond ((equal? sc0 1) 0) (else (let ((sc1 (PreludeC-45EqOrd-u--C-61C-61_Eq_Bits16 arg-0 arg-1))) (cond ((equal? sc1 1) 1) (else 2))))))))
(define PreludeC-45EqOrd-u--compare_Ord_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (lambda (arg-2 arg-3 arg-4 arg-5) (let ((e-2 (car arg-4))) (let ((e-3 (cdr arg-4))) (let ((e-6 (car arg-5))) (let ((e-7 (cdr arg-5))) (let ((sc2 (let ((e-1 (vector-ref arg-2 0))) (let ((e-13 (cdr e-1))) ((e-13 e-2) e-6))))) (cond ((equal? sc2 1) (let ((e-12 (vector-ref arg-2 1))) ((e-12 e-2) e-6))) (else (let ((e-12 (vector-ref arg-3 1))) ((e-12 e-3) e-7)))))))))))
(define PreludeC-45EqOrd-u--C-62_Ord_String (lambda (arg-0 arg-1) (let ((sc0 (or (and (string>? arg-0 arg-1) 1) 0))) (cond ((equal? sc0 0) 0)(else 1)))))
(define PreludeC-45EqOrd-u--C-62_Ord_Integer (lambda (arg-0 arg-1) (let ((sc0 (or (and (> arg-0 arg-1) 1) 0))) (cond ((equal? sc0 0) 0)(else 1)))))
(define PreludeC-45EqOrd-u--C-62_Ord_Int8 (lambda (arg-0 arg-1) (let ((sc0 (or (and (> arg-0 arg-1) 1) 0))) (cond ((equal? sc0 0) 0)(else 1)))))
(define PreludeC-45EqOrd-u--C-62_Ord_Int64 (lambda (arg-0 arg-1) (let ((sc0 (or (and (> arg-0 arg-1) 1) 0))) (cond ((equal? sc0 0) 0)(else 1)))))
(define PreludeC-45EqOrd-u--C-62_Ord_Int32 (lambda (arg-0 arg-1) (let ((sc0 (or (and (> arg-0 arg-1) 1) 0))) (cond ((equal? sc0 0) 0)(else 1)))))
(define PreludeC-45EqOrd-u--C-62_Ord_Int16 (lambda (arg-0 arg-1) (let ((sc0 (or (and (> arg-0 arg-1) 1) 0))) (cond ((equal? sc0 0) 0)(else 1)))))
(define PreludeC-45EqOrd-u--C-62_Ord_Int (lambda (arg-0 arg-1) (let ((sc0 (or (and (> arg-0 arg-1) 1) 0))) (cond ((equal? sc0 0) 0)(else 1)))))
(define PreludeC-45EqOrd-u--C-62_Ord_Double (lambda (arg-0 arg-1) (let ((sc0 (or (and (> arg-0 arg-1) 1) 0))) (cond ((equal? sc0 0) 0)(else 1)))))
(define PreludeC-45EqOrd-u--C-62_Ord_Char (lambda (arg-0 arg-1) (let ((sc0 (or (and (char>? arg-0 arg-1) 1) 0))) (cond ((equal? sc0 0) 0)(else 1)))))
(define PreludeC-45EqOrd-u--C-62_Ord_Bool (lambda (arg-0 arg-1) (PreludeC-45EqOrd-u--C-61C-61_Eq_Ordering (PreludeC-45EqOrd-u--compare_Ord_Bool arg-0 arg-1) 2)))
(define PreludeC-45EqOrd-u--C-62_Ord_Bits8 (lambda (arg-0 arg-1) (let ((sc0 (or (and (> arg-0 arg-1) 1) 0))) (cond ((equal? sc0 0) 0)(else 1)))))
(define PreludeC-45EqOrd-u--C-62_Ord_Bits64 (lambda (arg-0 arg-1) (let ((sc0 (or (and (> arg-0 arg-1) 1) 0))) (cond ((equal? sc0 0) 0)(else 1)))))
(define PreludeC-45EqOrd-u--C-62_Ord_Bits32 (lambda (arg-0 arg-1) (let ((sc0 (or (and (> arg-0 arg-1) 1) 0))) (cond ((equal? sc0 0) 0)(else 1)))))
(define PreludeC-45EqOrd-u--C-62_Ord_Bits16 (lambda (arg-0 arg-1) (let ((sc0 (or (and (> arg-0 arg-1) 1) 0))) (cond ((equal? sc0 0) 0)(else 1)))))
(define PreludeC-45EqOrd-u--C-62_Ord_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (lambda (arg-2 arg-3 arg-4 arg-5) (PreludeC-45EqOrd-u--C-61C-61_Eq_Ordering (PreludeC-45EqOrd-u--compare_Ord_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 arg-2 arg-3 arg-4 arg-5) 2)))
(define PreludeC-45EqOrd-u--C-62C-61_Ord_String (lambda (arg-0 arg-1) (let ((sc0 (or (and (string>=? arg-0 arg-1) 1) 0))) (cond ((equal? sc0 0) 0)(else 1)))))
(define PreludeC-45EqOrd-u--C-62C-61_Ord_Integer (lambda (arg-0 arg-1) (let ((sc0 (or (and (>= arg-0 arg-1) 1) 0))) (cond ((equal? sc0 0) 0)(else 1)))))
(define PreludeC-45EqOrd-u--C-62C-61_Ord_Int8 (lambda (arg-0 arg-1) (let ((sc0 (or (and (>= arg-0 arg-1) 1) 0))) (cond ((equal? sc0 0) 0)(else 1)))))
(define PreludeC-45EqOrd-u--C-62C-61_Ord_Int64 (lambda (arg-0 arg-1) (let ((sc0 (or (and (>= arg-0 arg-1) 1) 0))) (cond ((equal? sc0 0) 0)(else 1)))))
(define PreludeC-45EqOrd-u--C-62C-61_Ord_Int32 (lambda (arg-0 arg-1) (let ((sc0 (or (and (>= arg-0 arg-1) 1) 0))) (cond ((equal? sc0 0) 0)(else 1)))))
(define PreludeC-45EqOrd-u--C-62C-61_Ord_Int16 (lambda (arg-0 arg-1) (let ((sc0 (or (and (>= arg-0 arg-1) 1) 0))) (cond ((equal? sc0 0) 0)(else 1)))))
(define PreludeC-45EqOrd-u--C-62C-61_Ord_Int (lambda (arg-0 arg-1) (let ((sc0 (or (and (>= arg-0 arg-1) 1) 0))) (cond ((equal? sc0 0) 0)(else 1)))))
(define PreludeC-45EqOrd-u--C-62C-61_Ord_Double (lambda (arg-0 arg-1) (let ((sc0 (or (and (>= arg-0 arg-1) 1) 0))) (cond ((equal? sc0 0) 0)(else 1)))))
(define PreludeC-45EqOrd-u--C-62C-61_Ord_Char (lambda (arg-0 arg-1) (let ((sc0 (or (and (char>=? arg-0 arg-1) 1) 0))) (cond ((equal? sc0 0) 0)(else 1)))))
(define PreludeC-45EqOrd-u--C-62C-61_Ord_Bool (lambda (arg-0 arg-1) (PreludeC-45EqOrd-u--C-47C-61_Eq_Ordering (PreludeC-45EqOrd-u--compare_Ord_Bool arg-0 arg-1) 0)))
(define PreludeC-45EqOrd-u--C-62C-61_Ord_Bits8 (lambda (arg-0 arg-1) (let ((sc0 (or (and (>= arg-0 arg-1) 1) 0))) (cond ((equal? sc0 0) 0)(else 1)))))
(define PreludeC-45EqOrd-u--C-62C-61_Ord_Bits64 (lambda (arg-0 arg-1) (let ((sc0 (or (and (>= arg-0 arg-1) 1) 0))) (cond ((equal? sc0 0) 0)(else 1)))))
(define PreludeC-45EqOrd-u--C-62C-61_Ord_Bits32 (lambda (arg-0 arg-1) (let ((sc0 (or (and (>= arg-0 arg-1) 1) 0))) (cond ((equal? sc0 0) 0)(else 1)))))
(define PreludeC-45EqOrd-u--C-62C-61_Ord_Bits16 (lambda (arg-0 arg-1) (let ((sc0 (or (and (>= arg-0 arg-1) 1) 0))) (cond ((equal? sc0 0) 0)(else 1)))))
(define PreludeC-45EqOrd-u--C-62C-61_Ord_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (lambda (arg-2 arg-3 arg-4 arg-5) (PreludeC-45EqOrd-u--C-47C-61_Eq_Ordering (PreludeC-45EqOrd-u--compare_Ord_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 arg-2 arg-3 arg-4 arg-5) 0)))
(define PreludeC-45EqOrd-u--C-61C-61_Eq_String (lambda (arg-0 arg-1) (let ((sc0 (or (and (string=? arg-0 arg-1) 1) 0))) (cond ((equal? sc0 0) 0)(else 1)))))
(define PreludeC-45EqOrd-u--C-61C-61_Eq_Ordering (lambda (arg-0 arg-1) (cond ((equal? arg-0 0) (cond ((equal? arg-1 0) 1)(else 0))) ((equal? arg-0 1) (cond ((equal? arg-1 1) 1)(else 0))) ((equal? arg-0 2) (cond ((equal? arg-1 2) 1)(else 0)))(else 0))))
(define PreludeC-45EqOrd-u--C-61C-61_Eq_Integer (lambda (arg-0 arg-1) (let ((sc0 (or (and (= arg-0 arg-1) 1) 0))) (cond ((equal? sc0 0) 0)(else 1)))))
(define PreludeC-45EqOrd-u--C-61C-61_Eq_Int8 (lambda (arg-0 arg-1) (let ((sc0 (or (and (= arg-0 arg-1) 1) 0))) (cond ((equal? sc0 0) 0)(else 1)))))
(define PreludeC-45EqOrd-u--C-61C-61_Eq_Int64 (lambda (arg-0 arg-1) (let ((sc0 (or (and (= arg-0 arg-1) 1) 0))) (cond ((equal? sc0 0) 0)(else 1)))))
(define PreludeC-45EqOrd-u--C-61C-61_Eq_Int32 (lambda (arg-0 arg-1) (let ((sc0 (or (and (= arg-0 arg-1) 1) 0))) (cond ((equal? sc0 0) 0)(else 1)))))
(define PreludeC-45EqOrd-u--C-61C-61_Eq_Int16 (lambda (arg-0 arg-1) (let ((sc0 (or (and (= arg-0 arg-1) 1) 0))) (cond ((equal? sc0 0) 0)(else 1)))))
(define PreludeC-45EqOrd-u--C-61C-61_Eq_Int (lambda (arg-0 arg-1) (let ((sc0 (or (and (= arg-0 arg-1) 1) 0))) (cond ((equal? sc0 0) 0)(else 1)))))
(define PreludeC-45EqOrd-u--C-61C-61_Eq_Double (lambda (arg-0 arg-1) (let ((sc0 (or (and (= arg-0 arg-1) 1) 0))) (cond ((equal? sc0 0) 0)(else 1)))))
(define PreludeC-45EqOrd-u--C-61C-61_Eq_Char (lambda (arg-0 arg-1) (let ((sc0 (or (and (char=? arg-0 arg-1) 1) 0))) (cond ((equal? sc0 0) 0)(else 1)))))
(define PreludeC-45EqOrd-u--C-61C-61_Eq_Bool (lambda (arg-0 arg-1) (cond ((equal? arg-0 1) (cond ((equal? arg-1 1) 1)(else 0))) ((equal? arg-0 0) (cond ((equal? arg-1 0) 1)(else 0)))(else 0))))
(define PreludeC-45EqOrd-u--C-61C-61_Eq_Bits8 (lambda (arg-0 arg-1) (let ((sc0 (or (and (= arg-0 arg-1) 1) 0))) (cond ((equal? sc0 0) 0)(else 1)))))
(define PreludeC-45EqOrd-u--C-61C-61_Eq_Bits64 (lambda (arg-0 arg-1) (let ((sc0 (or (and (= arg-0 arg-1) 1) 0))) (cond ((equal? sc0 0) 0)(else 1)))))
(define PreludeC-45EqOrd-u--C-61C-61_Eq_Bits32 (lambda (arg-0 arg-1) (let ((sc0 (or (and (= arg-0 arg-1) 1) 0))) (cond ((equal? sc0 0) 0)(else 1)))))
(define PreludeC-45EqOrd-u--C-61C-61_Eq_Bits16 (lambda (arg-0 arg-1) (let ((sc0 (or (and (= arg-0 arg-1) 1) 0))) (cond ((equal? sc0 0) 0)(else 1)))))
(define PreludeC-45EqOrd-u--C-61C-61_Eq_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (lambda (arg-2 arg-3 arg-4 arg-5) (let ((e-2 (car arg-4))) (let ((e-3 (cdr arg-4))) (let ((e-6 (car arg-5))) (let ((e-7 (cdr arg-5))) (let ((sc2 (let ((e-1 (car arg-2))) ((e-1 e-2) e-6)))) (cond ((equal? sc2 1) (let ((e-1 (car arg-3))) ((e-1 e-3) e-7))) (else 0)))))))))
(define PreludeC-45EqOrd-u--C-60_Ord_String (lambda (arg-0 arg-1) (let ((sc0 (or (and (string<? arg-0 arg-1) 1) 0))) (cond ((equal? sc0 0) 0)(else 1)))))
(define PreludeC-45EqOrd-u--C-60_Ord_Integer (lambda (arg-0 arg-1) (let ((sc0 (or (and (< arg-0 arg-1) 1) 0))) (cond ((equal? sc0 0) 0)(else 1)))))
(define PreludeC-45EqOrd-u--C-60_Ord_Int8 (lambda (arg-0 arg-1) (let ((sc0 (or (and (< arg-0 arg-1) 1) 0))) (cond ((equal? sc0 0) 0)(else 1)))))
(define PreludeC-45EqOrd-u--C-60_Ord_Int64 (lambda (arg-0 arg-1) (let ((sc0 (or (and (< arg-0 arg-1) 1) 0))) (cond ((equal? sc0 0) 0)(else 1)))))
(define PreludeC-45EqOrd-u--C-60_Ord_Int32 (lambda (arg-0 arg-1) (let ((sc0 (or (and (< arg-0 arg-1) 1) 0))) (cond ((equal? sc0 0) 0)(else 1)))))
(define PreludeC-45EqOrd-u--C-60_Ord_Int16 (lambda (arg-0 arg-1) (let ((sc0 (or (and (< arg-0 arg-1) 1) 0))) (cond ((equal? sc0 0) 0)(else 1)))))
(define PreludeC-45EqOrd-u--C-60_Ord_Int (lambda (arg-0 arg-1) (let ((sc0 (or (and (< arg-0 arg-1) 1) 0))) (cond ((equal? sc0 0) 0)(else 1)))))
(define PreludeC-45EqOrd-u--C-60_Ord_Double (lambda (arg-0 arg-1) (let ((sc0 (or (and (< arg-0 arg-1) 1) 0))) (cond ((equal? sc0 0) 0)(else 1)))))
(define PreludeC-45EqOrd-u--C-60_Ord_Char (lambda (arg-0 arg-1) (let ((sc0 (or (and (char<? arg-0 arg-1) 1) 0))) (cond ((equal? sc0 0) 0)(else 1)))))
(define PreludeC-45EqOrd-u--C-60_Ord_Bool (lambda (arg-0 arg-1) (PreludeC-45EqOrd-u--C-61C-61_Eq_Ordering (PreludeC-45EqOrd-u--compare_Ord_Bool arg-0 arg-1) 0)))
(define PreludeC-45EqOrd-u--C-60_Ord_Bits8 (lambda (arg-0 arg-1) (let ((sc0 (or (and (< arg-0 arg-1) 1) 0))) (cond ((equal? sc0 0) 0)(else 1)))))
(define PreludeC-45EqOrd-u--C-60_Ord_Bits64 (lambda (arg-0 arg-1) (let ((sc0 (or (and (< arg-0 arg-1) 1) 0))) (cond ((equal? sc0 0) 0)(else 1)))))
(define PreludeC-45EqOrd-u--C-60_Ord_Bits32 (lambda (arg-0 arg-1) (let ((sc0 (or (and (< arg-0 arg-1) 1) 0))) (cond ((equal? sc0 0) 0)(else 1)))))
(define PreludeC-45EqOrd-u--C-60_Ord_Bits16 (lambda (arg-0 arg-1) (let ((sc0 (or (and (< arg-0 arg-1) 1) 0))) (cond ((equal? sc0 0) 0)(else 1)))))
(define PreludeC-45EqOrd-u--C-60_Ord_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (lambda (arg-2 arg-3 arg-4 arg-5) (PreludeC-45EqOrd-u--C-61C-61_Eq_Ordering (PreludeC-45EqOrd-u--compare_Ord_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 arg-2 arg-3 arg-4 arg-5) 0)))
(define PreludeC-45EqOrd-u--C-60C-61_Ord_String (lambda (arg-0 arg-1) (let ((sc0 (or (and (string<=? arg-0 arg-1) 1) 0))) (cond ((equal? sc0 0) 0)(else 1)))))
(define PreludeC-45EqOrd-u--C-60C-61_Ord_Integer (lambda (arg-0 arg-1) (let ((sc0 (or (and (<= arg-0 arg-1) 1) 0))) (cond ((equal? sc0 0) 0)(else 1)))))
(define PreludeC-45EqOrd-u--C-60C-61_Ord_Int8 (lambda (arg-0 arg-1) (let ((sc0 (or (and (<= arg-0 arg-1) 1) 0))) (cond ((equal? sc0 0) 0)(else 1)))))
(define PreludeC-45EqOrd-u--C-60C-61_Ord_Int64 (lambda (arg-0 arg-1) (let ((sc0 (or (and (<= arg-0 arg-1) 1) 0))) (cond ((equal? sc0 0) 0)(else 1)))))
(define PreludeC-45EqOrd-u--C-60C-61_Ord_Int32 (lambda (arg-0 arg-1) (let ((sc0 (or (and (<= arg-0 arg-1) 1) 0))) (cond ((equal? sc0 0) 0)(else 1)))))
(define PreludeC-45EqOrd-u--C-60C-61_Ord_Int16 (lambda (arg-0 arg-1) (let ((sc0 (or (and (<= arg-0 arg-1) 1) 0))) (cond ((equal? sc0 0) 0)(else 1)))))
(define PreludeC-45EqOrd-u--C-60C-61_Ord_Int (lambda (arg-0 arg-1) (let ((sc0 (or (and (<= arg-0 arg-1) 1) 0))) (cond ((equal? sc0 0) 0)(else 1)))))
(define PreludeC-45EqOrd-u--C-60C-61_Ord_Double (lambda (arg-0 arg-1) (let ((sc0 (or (and (<= arg-0 arg-1) 1) 0))) (cond ((equal? sc0 0) 0)(else 1)))))
(define PreludeC-45EqOrd-u--C-60C-61_Ord_Char (lambda (arg-0 arg-1) (let ((sc0 (or (and (char<=? arg-0 arg-1) 1) 0))) (cond ((equal? sc0 0) 0)(else 1)))))
(define PreludeC-45EqOrd-u--C-60C-61_Ord_Bool (lambda (arg-0 arg-1) (PreludeC-45EqOrd-u--C-47C-61_Eq_Ordering (PreludeC-45EqOrd-u--compare_Ord_Bool arg-0 arg-1) 2)))
(define PreludeC-45EqOrd-u--C-60C-61_Ord_Bits8 (lambda (arg-0 arg-1) (let ((sc0 (or (and (<= arg-0 arg-1) 1) 0))) (cond ((equal? sc0 0) 0)(else 1)))))
(define PreludeC-45EqOrd-u--C-60C-61_Ord_Bits64 (lambda (arg-0 arg-1) (let ((sc0 (or (and (<= arg-0 arg-1) 1) 0))) (cond ((equal? sc0 0) 0)(else 1)))))
(define PreludeC-45EqOrd-u--C-60C-61_Ord_Bits32 (lambda (arg-0 arg-1) (let ((sc0 (or (and (<= arg-0 arg-1) 1) 0))) (cond ((equal? sc0 0) 0)(else 1)))))
(define PreludeC-45EqOrd-u--C-60C-61_Ord_Bits16 (lambda (arg-0 arg-1) (let ((sc0 (or (and (<= arg-0 arg-1) 1) 0))) (cond ((equal? sc0 0) 0)(else 1)))))
(define PreludeC-45EqOrd-u--C-60C-61_Ord_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (lambda (arg-2 arg-3 arg-4 arg-5) (PreludeC-45EqOrd-u--C-47C-61_Eq_Ordering (PreludeC-45EqOrd-u--compare_Ord_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 arg-2 arg-3 arg-4 arg-5) 2)))
(define PreludeC-45EqOrd-u--C-47C-61_Eq_String (lambda (arg-0 arg-1) (let ((sc0 (PreludeC-45EqOrd-u--C-61C-61_Eq_String arg-0 arg-1))) (cond ((equal? sc0 1) 0) (else 1)))))
(define PreludeC-45EqOrd-u--C-47C-61_Eq_Ordering (lambda (arg-0 arg-1) (let ((sc0 (PreludeC-45EqOrd-u--C-61C-61_Eq_Ordering arg-0 arg-1))) (cond ((equal? sc0 1) 0) (else 1)))))
(define PreludeC-45EqOrd-u--C-47C-61_Eq_Integer (lambda (arg-0 arg-1) (let ((sc0 (PreludeC-45EqOrd-u--C-61C-61_Eq_Integer arg-0 arg-1))) (cond ((equal? sc0 1) 0) (else 1)))))
(define PreludeC-45EqOrd-u--C-47C-61_Eq_Int8 (lambda (arg-0 arg-1) (let ((sc0 (PreludeC-45EqOrd-u--C-61C-61_Eq_Int8 arg-0 arg-1))) (cond ((equal? sc0 1) 0) (else 1)))))
(define PreludeC-45EqOrd-u--C-47C-61_Eq_Int64 (lambda (arg-0 arg-1) (let ((sc0 (PreludeC-45EqOrd-u--C-61C-61_Eq_Int64 arg-0 arg-1))) (cond ((equal? sc0 1) 0) (else 1)))))
(define PreludeC-45EqOrd-u--C-47C-61_Eq_Int32 (lambda (arg-0 arg-1) (let ((sc0 (PreludeC-45EqOrd-u--C-61C-61_Eq_Int32 arg-0 arg-1))) (cond ((equal? sc0 1) 0) (else 1)))))
(define PreludeC-45EqOrd-u--C-47C-61_Eq_Int16 (lambda (arg-0 arg-1) (let ((sc0 (PreludeC-45EqOrd-u--C-61C-61_Eq_Int16 arg-0 arg-1))) (cond ((equal? sc0 1) 0) (else 1)))))
(define PreludeC-45EqOrd-u--C-47C-61_Eq_Int (lambda (arg-0 arg-1) (let ((sc0 (PreludeC-45EqOrd-u--C-61C-61_Eq_Int arg-0 arg-1))) (cond ((equal? sc0 1) 0) (else 1)))))
(define PreludeC-45EqOrd-u--C-47C-61_Eq_Char (lambda (arg-0 arg-1) (let ((sc0 (PreludeC-45EqOrd-u--C-61C-61_Eq_Char arg-0 arg-1))) (cond ((equal? sc0 1) 0) (else 1)))))
(define PreludeC-45EqOrd-u--C-47C-61_Eq_Bool (lambda (arg-0 arg-1) (let ((sc0 (PreludeC-45EqOrd-u--C-61C-61_Eq_Bool arg-0 arg-1))) (cond ((equal? sc0 1) 0) (else 1)))))
(define PreludeC-45EqOrd-u--C-47C-61_Eq_Bits8 (lambda (arg-0 arg-1) (let ((sc0 (PreludeC-45EqOrd-u--C-61C-61_Eq_Bits8 arg-0 arg-1))) (cond ((equal? sc0 1) 0) (else 1)))))
(define PreludeC-45EqOrd-u--C-47C-61_Eq_Bits64 (lambda (arg-0 arg-1) (let ((sc0 (PreludeC-45EqOrd-u--C-61C-61_Eq_Bits64 arg-0 arg-1))) (cond ((equal? sc0 1) 0) (else 1)))))
(define PreludeC-45EqOrd-u--C-47C-61_Eq_Bits32 (lambda (arg-0 arg-1) (let ((sc0 (PreludeC-45EqOrd-u--C-61C-61_Eq_Bits32 arg-0 arg-1))) (cond ((equal? sc0 1) 0) (else 1)))))
(define PreludeC-45EqOrd-u--C-47C-61_Eq_Bits16 (lambda (arg-0 arg-1) (let ((sc0 (PreludeC-45EqOrd-u--C-61C-61_Eq_Bits16 arg-0 arg-1))) (cond ((equal? sc0 1) 0) (else 1)))))
(define PreludeC-45EqOrd-u--C-47C-61_Eq_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (lambda (arg-2 arg-3 arg-4 arg-5) (let ((sc0 (PreludeC-45EqOrd-u--C-61C-61_Eq_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 arg-2 arg-3 arg-4 arg-5))) (cond ((equal? sc0 1) 0) (else 1)))))
(define PreludeC-45EqOrd-comparing (lambda (arg-2 arg-3 arg-4 arg-5) (let ((e-2 (vector-ref arg-2 1))) ((e-2 (arg-3 arg-4)) (arg-3 arg-5)))))
(define PreludeC-45EqOrd-compareInteger (lambda (ext-0 ext-1) (PreludeC-45EqOrd-u--compare_Ord_Integer ext-0 ext-1)))
(define PreludeC-45InterfacesC-45Applicative-u--pure_Applicative_ComposeC-40C-40C-46C-32C-36fC-41C-32C-36gC-41 (lambda (arg-3 arg-4 ext-0) (let ((e-2 (vector-ref arg-3 1))) ((e-2 'erased) (let ((e-5 (vector-ref arg-4 1))) ((e-5 'erased) ext-0))))))
(define PreludeC-45Interfaces-u--neutral_Monoid_MonoidAlternativeC-40C-36fC-32C-36aC-41 (lambda (arg-2) (let ((e-2 (vector-ref arg-2 1))) (e-2 'erased))))
(define PreludeC-45InterfacesC-45NumC-45Monoid-u--neutral_Monoid_AdditiveC-36a (lambda (arg-1) (let ((e-3 (vector-ref arg-1 2))) (e-3 0))))
(define PreludeC-45InterfacesC-45Functor-u--map_Functor_ComposeC-40C-40C-46C-32C-36fC-41C-32C-36gC-41 (lambda (arg-4 arg-5 ext-0) ((let ((eff-0 arg-4)) (lambda (arg-0) (lambda (arg-1) ((((eff-0 'erased) 'erased) arg-0) arg-1)))) ((let ((eff-0 arg-5)) (lambda (arg-0) (lambda (arg-1) ((((eff-0 'erased) 'erased) arg-0) arg-1)))) ext-0))))
(define PreludeC-45InterfacesC-45Monad-u--C-62C-62C-61_Monad_ComposeC-40C-40C-46C-32C-36mC-41C-32C-36tC-41 (lambda (arg-4 arg-5 arg-6 arg-7 arg-8) (let ((e-2 (vector-ref arg-4 1))) ((((e-2 'erased) 'erased) arg-7) (lambda (eta-0) (((let ((eff-0 (let ((e-6 (vector-ref arg-4 0))) (let ((e-9 (vector-ref e-6 0))) e-9)))) (lambda (arg-0) (lambda (arg-1) ((((eff-0 'erased) 'erased) arg-0) arg-1)))) (lambda (clam-0) (let ((e-4 (vector-ref arg-5 2))) ((e-4 'erased) clam-0)))) (let ((e-4 (vector-ref arg-6 2))) ((((((e-4 'erased) 'erased) 'erased) (let ((e-9 (vector-ref arg-4 0))) e-9)) arg-8) eta-0))))))))
(define PreludeC-45Interfaces-u--C-60C-43C-62_Semigroup_SemigroupAlternativeC-40C-36fC-32C-36aC-41 (lambda (arg-2 arg-3 arg-4) (let ((e-3 (vector-ref arg-2 2))) (((e-3 'erased) arg-3) (lambda () arg-4)))))
(define PreludeC-45InterfacesC-45BoolC-45Semigroup-u--C-60C-43C-62_Semigroup_AnyBool (lambda (arg-0 arg-1) (cond ((equal? arg-0 1) 1) (else arg-1))))
(define PreludeC-45InterfacesC-45BoolC-45Semigroup-u--C-60C-43C-62_Semigroup_AllBool (lambda (arg-0 arg-1) (cond ((equal? arg-0 1) arg-1) (else 0))))
(define PreludeC-45InterfacesC-45NumC-45Semigroup-u--C-60C-43C-62_Semigroup_AdditiveC-36a (lambda (arg-1 ext-0 ext-1) (let ((e-1 (vector-ref arg-1 0))) ((e-1 ext-0) ext-1))))
(define PreludeC-45InterfacesC-45Applicative-u--C-60C-42C-62_Applicative_ComposeC-40C-40C-46C-32C-36fC-41C-32C-36gC-41 (lambda (arg-4 arg-5 arg-6 arg-7) (let ((e-3 (vector-ref arg-4 2))) ((((e-3 'erased) 'erased) (let ((e-4 (vector-ref arg-4 2))) ((((e-4 'erased) 'erased) (let ((e-8 (vector-ref arg-4 1))) ((e-8 'erased) (lambda (clam-0) (lambda (clam-1) (let ((e-10 (vector-ref arg-5 2))) ((((e-10 'erased) 'erased) clam-0) clam-1))))))) arg-6))) arg-7))))
(define PreludeC-45Interfaces-when (lambda (arg-1 arg-2 arg-3) (cond ((equal? arg-2 1) (arg-3)) (else (let ((e-2 (vector-ref arg-1 1))) ((e-2 'erased) (vector 0 )))))))
(define PreludeC-45Interfaces-traverse_ (lambda (arg-4 arg-5 arg-6 ext-0) (let ((e-1 (vector-ref arg-5 0))) (((((e-1 'erased) 'erased) (lambda (eta-0) (lambda (eta-1) (PreludeC-45Interfaces-C-42C-62 arg-4 (arg-6 eta-0) eta-1)))) (let ((e-8 (vector-ref arg-4 1))) ((e-8 'erased) (vector 0 )))) ext-0))))
(define PreludeC-45Interfaces-sum (lambda (arg-2 arg-3 ext-0) (PreludeC-45Interfaces-concat (cons (lambda (arg-8326) (lambda (arg-8329) (PreludeC-45InterfacesC-45NumC-45Semigroup-u--C-60C-43C-62_Semigroup_AdditiveC-36a arg-2 arg-8326 arg-8329))) (PreludeC-45InterfacesC-45NumC-45Monoid-u--neutral_Monoid_AdditiveC-36a arg-2)) arg-3 ext-0)))
(define PreludeC-45Interfaces-sequence (lambda (arg-3 arg-4 ext-0) (let ((e-3 (vector-ref arg-4 2))) ((((((e-3 'erased) 'erased) 'erased) arg-3) (lambda (eta-0) eta-0)) ext-0))))
(define PreludeC-45Interfaces-mapHom (lambda (arg-3 arg-4 ext-0) (let ((e-1 (vector-ref arg-3 0))) (((((((e-1 'erased) 'erased) 'erased) 'erased) arg-4) arg-4) ext-0))))
(define PreludeC-45Interfaces-guard (lambda (arg-1 arg-2) (cond ((equal? arg-2 1) (let ((e-1 (vector-ref arg-1 0))) (let ((e-5 (vector-ref e-1 1))) ((e-5 'erased) (vector 0 ))))) (else (let ((e-2 (vector-ref arg-1 1))) (e-2 'erased))))))
(define PreludeC-45Interfaces-for_ (lambda (arg-4 arg-5 ext-0 ext-1) (PreludeC-45Basics-flip (lambda (eta-0) (lambda (eta-1) (PreludeC-45Interfaces-traverse_ arg-4 arg-5 eta-0 eta-1))) ext-0 ext-1)))
(define PreludeC-45Interfaces-for (lambda (arg-4 arg-5 ext-0 ext-1) (PreludeC-45Basics-flip (lambda (clam-0) (lambda (clam-1) (let ((e-3 (vector-ref arg-5 2))) ((((((e-3 'erased) 'erased) 'erased) arg-4) clam-0) clam-1)))) ext-0 ext-1)))
(define PreludeC-45Interfaces-concatMap (lambda (arg-3 arg-4 ext-1 ext-0) (let ((e-6 (vector-ref arg-4 5))) (((((e-6 'erased) 'erased) arg-3) ext-1) ext-0))))
(define PreludeC-45Interfaces-concat (lambda (arg-2 arg-3 ext-0) (let ((e-6 (vector-ref arg-3 5))) (((((e-6 'erased) 'erased) arg-2) (lambda (eta-0) eta-0)) ext-0))))
(define PreludeC-45Interfaces-choiceMap (lambda (arg-4 arg-5 ext-1 ext-0) (let ((e-6 (vector-ref arg-5 5))) (((((e-6 'erased) 'erased) (cons (lambda (arg-8326) (lambda (arg-8329) (PreludeC-45Interfaces-u--C-60C-43C-62_Semigroup_SemigroupAlternativeC-40C-36fC-32C-36aC-41 arg-4 arg-8326 arg-8329))) (PreludeC-45Interfaces-u--neutral_Monoid_MonoidAlternativeC-40C-36fC-32C-36aC-41 arg-4))) ext-1) ext-0))))
(define PreludeC-45Interfaces-any (lambda (arg-2 ext-1 ext-0) (let ((e-6 (vector-ref arg-2 5))) (((((e-6 'erased) 'erased) (cons (lambda (arg-8326) (lambda (arg-8329) (PreludeC-45InterfacesC-45BoolC-45Semigroup-u--C-60C-43C-62_Semigroup_AnyBool arg-8326 arg-8329))) 0)) ext-1) ext-0))))
(define PreludeC-45Interfaces-all (lambda (arg-2 ext-1 ext-0) (let ((e-6 (vector-ref arg-2 5))) (((((e-6 'erased) 'erased) (cons (lambda (arg-8326) (lambda (arg-8329) (PreludeC-45InterfacesC-45BoolC-45Semigroup-u--C-60C-43C-62_Semigroup_AllBool arg-8326 arg-8329))) 1)) ext-1) ext-0))))
(define PreludeC-45Interfaces-C-62C-62 (lambda (arg-2 arg-3 arg-4) (let ((e-2 (vector-ref arg-2 1))) ((((e-2 'erased) 'erased) arg-3) (lambda (_-10158) (arg-4))))))
(define PreludeC-45Interfaces-C-62C-61C-62 (lambda (arg-4 arg-5 arg-6 ext-0) (let ((e-2 (vector-ref arg-4 1))) ((((e-2 'erased) 'erased) (arg-5 ext-0)) arg-6))))
(define PreludeC-45Interfaces-C-61C-60C-60 (lambda (arg-3 ext-0 ext-1) (PreludeC-45Basics-flip (lambda (clam-0) (lambda (clam-1) (let ((e-2 (vector-ref arg-3 1))) ((((e-2 'erased) 'erased) clam-0) clam-1)))) ext-0 ext-1)))
(define PreludeC-45Interfaces-C-60C-38C-62 (lambda (arg-3 arg-4 arg-5) (((let ((eff-0 arg-3)) (lambda (arg-0) (lambda (arg-1) ((((eff-0 'erased) 'erased) arg-0) arg-1)))) arg-5) arg-4)))
(define PreludeC-45Interfaces-C-60C-36C-62 (lambda (arg-3 arg-4 arg-5) (((let ((eff-0 arg-3)) (lambda (arg-0) (lambda (arg-1) ((((eff-0 'erased) 'erased) arg-0) arg-1)))) arg-4) arg-5)))
(define PreludeC-45Interfaces-C-60C-36 (lambda (arg-3 arg-4) ((let ((eff-0 arg-3)) (lambda (arg-0) (lambda (arg-1) ((((eff-0 'erased) 'erased) arg-0) arg-1)))) (lambda (eta-0) arg-4))))
(define PreludeC-45Interfaces-C-42C-62 (lambda (arg-3 arg-4 arg-5) (let ((e-3 (vector-ref arg-3 2))) ((((e-3 'erased) 'erased) (((let ((eff-0 (let ((e-6 (vector-ref arg-3 0))) e-6))) (lambda (arg-0) (lambda (arg-1) ((((eff-0 'erased) 'erased) arg-0) arg-1)))) (lambda (eta-0) (lambda (eta-1) eta-1))) arg-4)) arg-5))))
(define PreludeC-45Interfaces-C-36C-62 (lambda (arg-3 arg-4 arg-5) (((let ((eff-0 arg-3)) (lambda (arg-0) (lambda (arg-1) ((((eff-0 'erased) 'erased) arg-0) arg-1)))) (lambda (eta-0) arg-5)) arg-4)))
(define PreludeC-45Show-n--3192-12128-u--showC-39 (lambda (arg-1 arg-2 arg-3 arg-4) (if (null? arg-4) arg-3 (let ((e-2 (car arg-4))) (let ((e-3 (cdr arg-4))) (if (null? e-3) (string-append arg-3 (let ((e-1 (car arg-1))) (e-1 e-2))) (PreludeC-45Show-n--3192-12128-u--showC-39 arg-1 arg-2 (string-append arg-3 (string-append (let ((e-1 (car arg-1))) (e-1 e-2)) ", ")) e-3)))))))
(define PreludeC-45Show-n--2410-11407-u--asciiTab (lambda (arg-0) (cons "NUL" (cons "SOH" (cons "STX" (cons "ETX" (cons "EOT" (cons "ENQ" (cons "ACK" (cons "BEL" (cons "BS" (cons "HT" (cons "LF" (cons "VT" (cons "FF" (cons "CR" (cons "SO" (cons "SI" (cons "DLE" (cons "DC1" (cons "DC2" (cons "DC3" (cons "DC4" (cons "NAK" (cons "SYN" (cons "ETB" (cons "CAN" (cons "EM" (cons "SUB" (cons "ESC" (cons "FS" (cons "GS" (cons "RS" (cons "US" '()))))))))))))))))))))))))))))))))))
(define PreludeC-45Show-u--show_Show_String (lambda (arg-0) (string-cons #\" ((PreludeC-45Show-showLitString (PreludeC-45Types-fastUnpack arg-0)) "\""))))
(define PreludeC-45Show-u--show_Show_Nat (lambda (arg-0) (PreludeC-45Show-u--show_Show_Integer arg-0)))
(define PreludeC-45Show-u--show_Show_Integer (lambda (arg-0) (PreludeC-45Show-u--showPrec_Show_Integer (vector 0 ) arg-0)))
(define PreludeC-45Show-u--show_Show_Int8 (lambda (arg-0) (PreludeC-45Show-u--showPrec_Show_Int8 (vector 0 ) arg-0)))
(define PreludeC-45Show-u--show_Show_Int64 (lambda (arg-0) (PreludeC-45Show-u--showPrec_Show_Int64 (vector 0 ) arg-0)))
(define PreludeC-45Show-u--show_Show_Int32 (lambda (arg-0) (PreludeC-45Show-u--showPrec_Show_Int32 (vector 0 ) arg-0)))
(define PreludeC-45Show-u--show_Show_Int16 (lambda (arg-0) (PreludeC-45Show-u--showPrec_Show_Int16 (vector 0 ) arg-0)))
(define PreludeC-45Show-u--show_Show_Int (lambda (arg-0) (PreludeC-45Show-u--showPrec_Show_Int (vector 0 ) arg-0)))
(define PreludeC-45Show-u--show_Show_Double (lambda (arg-0) (PreludeC-45Show-u--showPrec_Show_Double (vector 0 ) arg-0)))
(define PreludeC-45Show-u--show_Show_Char (lambda (arg-0) (cond ((equal? arg-0 #\') "'\\''")(else (string-cons #\' ((PreludeC-45Show-showLitChar arg-0) "'"))))))
(define PreludeC-45Show-u--show_Show_Bool (lambda (arg-0) (cond ((equal? arg-0 1) "True") (else "False"))))
(define PreludeC-45Show-u--show_Show_Bits8 (lambda (arg-0) (PreludeC-45Show-u--showPrec_Show_Bits8 (vector 0 ) arg-0)))
(define PreludeC-45Show-u--show_Show_Bits64 (lambda (arg-0) (PreludeC-45Show-u--showPrec_Show_Bits64 (vector 0 ) arg-0)))
(define PreludeC-45Show-u--show_Show_Bits32 (lambda (arg-0) (PreludeC-45Show-u--showPrec_Show_Bits32 (vector 0 ) arg-0)))
(define PreludeC-45Show-u--show_Show_Bits16 (lambda (arg-0) (PreludeC-45Show-u--showPrec_Show_Bits16 (vector 0 ) arg-0)))
(define PreludeC-45Show-u--show_Show_C-40C-124UnitC-44MkUnitC-124C-41 (lambda (arg-0) "()"))
(define PreludeC-45Show-u--show_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (lambda (arg-2 arg-3) (let ((e-2 (car arg-3))) (let ((e-3 (cdr arg-3))) (string-append "(" (string-append (let ((sc1 (Builtin-fst arg-2))) (let ((e-1 (car sc1))) (e-1 e-2))) (string-append ", " (string-append (let ((sc1 (Builtin-snd arg-2))) (let ((e-1 (car sc1))) (e-1 e-3))) ")"))))))))
(define PreludeC-45Show-u--show_Show_C-40MaybeC-32C-36aC-41 (lambda (arg-1 arg-2) (PreludeC-45Show-u--showPrec_Show_C-40MaybeC-32C-36aC-41 arg-1 (vector 0 ) arg-2)))
(define PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (lambda (arg-1 arg-2) (string-append "[" (string-append (PreludeC-45Show-n--3192-12128-u--showC-39 arg-1 arg-2 "" arg-2) "]"))))
(define PreludeC-45Show-u--show_Show_C-40C-40EitherC-32C-36aC-41C-32C-36bC-41 (lambda (arg-2 arg-3) (PreludeC-45Show-u--showPrec_Show_C-40C-40EitherC-32C-36aC-41C-32C-36bC-41 arg-2 (vector 0 ) arg-3)))
(define PreludeC-45Show-u--showPrec_Show_String (lambda (arg-0 arg-1) (PreludeC-45Show-u--show_Show_String arg-1)))
(define PreludeC-45Show-u--showPrec_Show_Nat (lambda (arg-0 arg-1) (PreludeC-45Show-u--show_Show_Nat arg-1)))
(define PreludeC-45Show-u--showPrec_Show_Integer (lambda (ext-0 ext-1) (PreludeC-45Show-primNumShow (lambda (eta-0) (number->string eta-0)) ext-0 ext-1)))
(define PreludeC-45Show-u--showPrec_Show_Int8 (lambda (ext-0 ext-1) (PreludeC-45Show-primNumShow (lambda (eta-0) (number->string eta-0)) ext-0 ext-1)))
(define PreludeC-45Show-u--showPrec_Show_Int64 (lambda (ext-0 ext-1) (PreludeC-45Show-primNumShow (lambda (eta-0) (number->string eta-0)) ext-0 ext-1)))
(define PreludeC-45Show-u--showPrec_Show_Int32 (lambda (ext-0 ext-1) (PreludeC-45Show-primNumShow (lambda (eta-0) (number->string eta-0)) ext-0 ext-1)))
(define PreludeC-45Show-u--showPrec_Show_Int16 (lambda (ext-0 ext-1) (PreludeC-45Show-primNumShow (lambda (eta-0) (number->string eta-0)) ext-0 ext-1)))
(define PreludeC-45Show-u--showPrec_Show_Int (lambda (ext-0 ext-1) (PreludeC-45Show-primNumShow (lambda (eta-0) (number->string eta-0)) ext-0 ext-1)))
(define PreludeC-45Show-u--showPrec_Show_Double (lambda (ext-0 ext-1) (PreludeC-45Show-primNumShow (lambda (eta-0) (number->string eta-0)) ext-0 ext-1)))
(define PreludeC-45Show-u--showPrec_Show_Bool (lambda (arg-0 arg-1) (PreludeC-45Show-u--show_Show_Bool arg-1)))
(define PreludeC-45Show-u--showPrec_Show_Bits8 (lambda (ext-0 ext-1) (PreludeC-45Show-primNumShow (lambda (eta-0) (number->string eta-0)) ext-0 ext-1)))
(define PreludeC-45Show-u--showPrec_Show_Bits64 (lambda (ext-0 ext-1) (PreludeC-45Show-primNumShow (lambda (eta-0) (number->string eta-0)) ext-0 ext-1)))
(define PreludeC-45Show-u--showPrec_Show_Bits32 (lambda (ext-0 ext-1) (PreludeC-45Show-primNumShow (lambda (eta-0) (number->string eta-0)) ext-0 ext-1)))
(define PreludeC-45Show-u--showPrec_Show_Bits16 (lambda (ext-0 ext-1) (PreludeC-45Show-primNumShow (lambda (eta-0) (number->string eta-0)) ext-0 ext-1)))
(define PreludeC-45Show-u--showPrec_Show_C-40C-124UnitC-44MkUnitC-124C-41 (lambda (arg-0 arg-1) (PreludeC-45Show-u--show_Show_C-40C-124UnitC-44MkUnitC-124C-41 arg-1)))
(define PreludeC-45Show-u--showPrec_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (lambda (arg-2 arg-3 arg-4) (PreludeC-45Show-u--show_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 arg-2 arg-4)))
(define PreludeC-45Show-u--showPrec_Show_C-40MaybeC-32C-36aC-41 (lambda (arg-1 arg-2 arg-3) (if (null? arg-3) "Nothing" (let ((e-2 (unbox arg-3))) (PreludeC-45Show-showCon arg-2 "Just" (PreludeC-45Show-showArg arg-1 e-2))))))
(define PreludeC-45Show-u--showPrec_Show_C-40ListC-32C-36aC-41 (lambda (arg-1 arg-2 arg-3) (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 arg-1 arg-3)))
(define PreludeC-45Show-u--showPrec_Show_C-40C-40EitherC-32C-36aC-41C-32C-36bC-41 (lambda (arg-2 arg-3 arg-4) (case (vector-ref arg-4 0) ((0) (let ((e-2 (vector-ref arg-4 1))) (PreludeC-45Show-showCon arg-3 "Left" (PreludeC-45Show-showArg (Builtin-fst arg-2) e-2)))) (else (let ((e-5 (vector-ref arg-4 1))) (PreludeC-45Show-showCon arg-3 "Right" (PreludeC-45Show-showArg (Builtin-snd arg-2) e-5)))))))
(define PreludeC-45Show-u--compare_Ord_Prec (lambda (arg-0 arg-1) (case (vector-ref arg-0 0) ((4) (let ((e-0 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((4) (let ((e-1 (vector-ref arg-1 1))) (PreludeC-45EqOrd-u--compare_Ord_Integer e-0 e-1)))(else (PreludeC-45EqOrd-u--compare_Ord_Integer (PreludeC-45Show-precCon arg-0) (PreludeC-45Show-precCon arg-1))))))(else (PreludeC-45EqOrd-u--compare_Ord_Integer (PreludeC-45Show-precCon arg-0) (PreludeC-45Show-precCon arg-1))))))
(define PreludeC-45Show-u--C-62_Ord_Prec (lambda (arg-0 arg-1) (PreludeC-45EqOrd-u--C-61C-61_Eq_Ordering (PreludeC-45Show-u--compare_Ord_Prec arg-0 arg-1) 2)))
(define PreludeC-45Show-u--C-62C-61_Ord_Prec (lambda (arg-0 arg-1) (PreludeC-45EqOrd-u--C-47C-61_Eq_Ordering (PreludeC-45Show-u--compare_Ord_Prec arg-0 arg-1) 0)))
(define PreludeC-45Show-showParens (lambda (arg-0 arg-1) (cond ((equal? arg-0 0) arg-1) (else (string-append "(" (string-append arg-1 ")"))))))
(define PreludeC-45Show-showLitString (lambda (arg-0) (lambda (clam-0) (if (null? arg-0) clam-0 (let ((e-2 (car arg-0))) (let ((e-3 (cdr arg-0))) (cond ((equal? e-2 #\") (string-append "\\\"" ((PreludeC-45Show-showLitString e-3) clam-0)))(else ((PreludeC-45Show-showLitChar e-2) ((PreludeC-45Show-showLitString e-3) clam-0))))))))))
(define PreludeC-45Show-showLitChar (lambda (arg-0) (cond ((equal? arg-0 (integer->char 7)) (lambda (arg-1) (string-append "\\a" arg-1))) ((equal? arg-0 (integer->char 8)) (lambda (arg-1) (string-append "\\b" arg-1))) ((equal? arg-0 (integer->char 12)) (lambda (arg-1) (string-append "\\f" arg-1))) ((equal? arg-0 (integer->char 10)) (lambda (arg-1) (string-append "\\n" arg-1))) ((equal? arg-0 (integer->char 13)) (lambda (arg-1) (string-append "\\r" arg-1))) ((equal? arg-0 (integer->char 9)) (lambda (arg-1) (string-append "\\t" arg-1))) ((equal? arg-0 (integer->char 11)) (lambda (arg-1) (string-append "\\v" arg-1))) ((equal? arg-0 (integer->char 14)) (lambda (eta-0) (PreludeC-45Show-protectEsc (lambda (arg-1) (PreludeC-45EqOrd-u--C-61C-61_Eq_Char arg-1 #\H)) "\\SO" eta-0))) ((equal? arg-0 (integer->char 127)) (lambda (arg-1) (string-append "\\DEL" arg-1))) ((equal? arg-0 #\\) (lambda (arg-1) (string-append "\\\\" arg-1)))(else (lambda (clam-0) (let ((sc0 (PreludeC-45Types-getAt (PreludeC-45Types-prim__integerToNat (char->integer arg-0)) (PreludeC-45Show-n--2410-11407-u--asciiTab arg-0)))) (if (null? sc0) (let ((sc1 (PreludeC-45EqOrd-u--C-62_Ord_Char arg-0 (integer->char 127)))) (cond ((equal? sc1 1) (string-cons #\\ (PreludeC-45Show-protectEsc (lambda (eta-0) (PreludeC-45Types-isDigit eta-0)) (PreludeC-45Show-u--show_Show_Int (cast-char-boundedInt arg-0 63)) clam-0))) (else (string-cons arg-0 clam-0)))) (let ((e-1 (unbox sc0))) (string-cons #\\ (string-append e-1 clam-0))))))))))
(define PreludeC-45Show-showCon (lambda (arg-0 arg-1 arg-2) (PreludeC-45Show-showParens (PreludeC-45Show-u--C-62C-61_Ord_Prec arg-0 (vector 6 )) (string-append arg-1 arg-2))))
(define PreludeC-45Show-showArg (lambda (arg-1 arg-2) (string-append " " (let ((e-2 (cdr arg-1))) ((e-2 (vector 6 )) arg-2)))))
(define PreludeC-45Show-protectEsc (lambda (arg-0 arg-1 arg-2) (string-append arg-1 (string-append (let ((sc0 (PreludeC-45Show-firstCharIs arg-0 arg-2))) (cond ((equal? sc0 1) "\\&") (else ""))) arg-2))))
(define PreludeC-45Show-primNumShow (lambda (arg-1 arg-2 arg-3) (let ((u--str (arg-1 arg-3))) (PreludeC-45Show-showParens (let ((sc0 (PreludeC-45Show-u--C-62C-61_Ord_Prec arg-2 (vector 5 )))) (cond ((equal? sc0 1) (PreludeC-45Show-firstCharIs (csegen-218) u--str)) (else 0))) u--str))))
(define PreludeC-45Show-precCon (lambda (arg-0) (case (vector-ref arg-0 0) ((0) 0) ((1) 1) ((2) 2) ((3) 3) ((4) 4) ((5) 5) (else 6))))
(define PreludeC-45Show-firstCharIs (lambda (arg-0 arg-1) (cond ((equal? arg-1 "") 0)(else (arg-0 (string-ref arg-1 0))))))
(define PreludeC-45IO-u--map_Functor_IO (lambda (arg-2 arg-3) (PrimIO-io_bind arg-3 (lambda (eta-0) (lambda (eta-1) (arg-2 eta-0))))))
(define PreludeC-45IO-putStrLn (lambda (arg-1 arg-2) (PreludeC-45IO-putStr arg-1 (string-append arg-2 "\xa;"))))
(define PreludeC-45IO-putStr (lambda (arg-1 arg-2) (let ((e-2 (cdr arg-1))) ((e-2 'erased) (lambda (eta-0) (PreludeC-45IO-prim__putStr arg-2 eta-0))))))
(define PreludeC-45IO-putChar (lambda (arg-1 arg-2) (let ((e-2 (cdr arg-1))) ((e-2 'erased) (lambda (eta-0) (PreludeC-45IO-prim__putChar arg-2 eta-0))))))
(define PreludeC-45IO-printLn (lambda (arg-2 ext-0) (PreludeC-45IO-putStrLn (Builtin-fst arg-2) (let ((sc0 (Builtin-snd arg-2))) (let ((e-1 (car sc0))) (e-1 ext-0))))))
(define PreludeC-45IO-getLine (lambda (arg-1) (let ((e-2 (cdr arg-1))) ((e-2 'erased) (lambda (eta-0) (PreludeC-45IO-prim__getStr eta-0))))))
(define PreludeC-45IO-getChar (lambda (arg-1) (let ((e-2 (cdr arg-1))) ((e-2 'erased) (lambda (eta-0) (PreludeC-45IO-prim__getChar eta-0))))))
(define PrimIO-case--io_bind-933 (lambda (arg-3 arg-5) (let ((eff-0 arg-5)) (let ((eff-1 (arg-3 eff-0))) (eff-1 'erased)))))
(define PrimIO-unsafePerformIO (lambda (arg-1) (let ((eff-0 arg-1)) (PrimIO-unsafeCreateWorld (lambda (u--w) (let ((eff-1 (eff-0 u--w))) eff-1))))))
(define PrimIO-unsafeCreateWorld (lambda (arg-1) (arg-1 #f)))
(define PrimIO-prim__forgetPtr (lambda (ext-0) ext-0))
(define PrimIO-io_bind (lambda (arg-2 arg-3) (let ((eff-0 arg-2)) (lambda (u--w) (PrimIO-case--io_bind-933 arg-3 (eff-0 u--w))))))
(define SystemC-45Directory-n--3410-1655-u--C-62C-62C-61 (lambda (arg-1 arg-2 ext-0 ext-1) (PreludeC-45InterfacesC-45Monad-u--C-62C-62C-61_Monad_ComposeC-40C-40C-46C-32C-36mC-41C-32C-36tC-41 (csegen-39) (vector (vector (lambda (u--b) (lambda (u--a) (lambda (u--func) (lambda (arg-8737) (case (vector-ref arg-8737 0) ((0) (let ((e-2 (vector-ref arg-8737 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref arg-8737 1))) (vector 1 (u--func e-5))))))))) (lambda (u--a) (lambda (arg-9440) (vector 1 arg-9440))) (lambda (u--b) (lambda (u--a) (lambda (arg-9446) (lambda (arg-9453) (case (vector-ref arg-9446 0) ((0) (let ((e-2 (vector-ref arg-9446 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref arg-9446 1))) (case (vector-ref arg-9453 0) ((1) (let ((e-8 (vector-ref arg-9453 1))) (vector 1 (e-5 e-8)))) (else (let ((e-11 (vector-ref arg-9453 1))) (vector 0 e-11)))))))))))) (csegen-221) (csegen-222)) (vector (lambda (u--b) (lambda (u--a) (lambda (u--func) (lambda (arg-8737) (case (vector-ref arg-8737 0) ((0) (let ((e-2 (vector-ref arg-8737 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref arg-8737 1))) (vector 1 (u--func e-5))))))))) (csegen-238) (csegen-242)) ext-0 ext-1)))
(define SystemC-45Directory-openDir (lambda (arg-1 arg-2) (let ((e-1 (car arg-1))) (let ((e-4 (vector-ref e-1 1))) ((((e-4 'erased) 'erased) (let ((e-6 (cdr arg-1))) ((e-6 'erased) (lambda (eta-0) (SystemC-45Directory-prim__openDir arg-2 eta-0))))) (lambda (u--res) (let ((sc1 (PreludeC-45EqOrd-u--C-47C-61_Eq_Int (PrimIO-prim__nullAnyPtr u--res) (blodwen-toSignedInt 0 63)))) (cond ((equal? sc1 1) (SystemC-45FileC-45Error-returnError arg-1)) (else (SystemC-45Directory-ok arg-1 u--res))))))))))
(define SystemC-45Directory-ok (lambda (arg-2 arg-3) (let ((e-1 (car arg-2))) (let ((e-5 (vector-ref e-1 0))) (let ((e-7 (vector-ref e-5 1))) ((e-7 'erased) (vector 1 arg-3)))))))
(define SystemC-45Directory-nextDirEntry (lambda (arg-1 arg-2) (let ((eff-0 arg-2)) (let ((e-1 (car arg-1))) (let ((e-4 (vector-ref e-1 1))) ((((e-4 'erased) 'erased) (let ((e-6 (cdr arg-1))) ((e-6 'erased) (lambda (eta-0) (SystemC-45Directory-prim__dirEntry eff-0 eta-0))))) (lambda (u--res) (let ((sc1 (PreludeC-45EqOrd-u--C-47C-61_Eq_Int (PrimIO-prim__nullAnyPtr (PrimIO-prim__forgetPtr u--res)) (blodwen-toSignedInt 0 63)))) (cond ((equal? sc1 1) (let ((e-7 (car arg-1))) (let ((e-9 (vector-ref e-7 1))) ((((e-9 'erased) 'erased) (SystemC-45Errno-getErrno arg-1)) (lambda (bind-0) (let ((sc3 (PreludeC-45EqOrd-u--C-47C-61_Eq_Int bind-0 (blodwen-toSignedInt 0 63)))) (cond ((equal? sc3 1) (SystemC-45FileC-45Error-returnError arg-1)) (else (let ((e-12 (car arg-1))) (let ((e-15 (vector-ref e-12 0))) (let ((e-17 (vector-ref e-15 1))) ((e-17 'erased) (vector 1 '()))))))))))))) (else (let ((u--n (PreludeC-45IO-prim__getString u--res))) (let ((sc2 (let ((sc3 (PreludeC-45EqOrd-u--C-61C-61_Eq_String u--n "."))) (cond ((equal? sc3 1) 1) (else (PreludeC-45EqOrd-u--C-61C-61_Eq_String u--n "..")))))) (cond ((equal? sc2 1) (SystemC-45Directory-nextDirEntry arg-1 eff-0)) (else (let ((e-7 (car arg-1))) (let ((e-10 (vector-ref e-7 0))) (let ((e-12 (vector-ref e-10 1))) ((e-12 'erased) (vector 1 (box u--n))))))))))))))))))))
(define SystemC-45Directory-listDir (lambda (arg-1 arg-2) (let ((e-1 (car arg-1))) (let ((e-4 (vector-ref e-1 1))) ((((e-4 'erased) 'erased) (SystemC-45Directory-openDir arg-1 arg-2)) (lambda (_-0) (case (vector-ref _-0 0) ((1) (let ((e-6 (vector-ref _-0 1))) (let ((e-8 (car arg-1))) (let ((e-10 (vector-ref e-8 1))) ((((e-10 'erased) 'erased) (SystemC-45Directory-collectDir arg-1 e-6)) (lambda (u--ns) (let ((e-13 (car arg-1))) (let ((e-15 (vector-ref e-13 1))) ((((e-15 'erased) 'erased) (SystemC-45Directory-closeDir arg-1 e-6)) (lambda (u--ignore) (let ((e-18 (car arg-1))) (let ((e-21 (vector-ref e-18 0))) (let ((e-23 (vector-ref e-21 1))) ((e-23 'erased) u--ns)))))))))))))) (else (let ((e-6 (vector-ref _-0 1))) (let ((e-8 (car arg-1))) (let ((e-11 (vector-ref e-8 0))) (let ((e-13 (vector-ref e-11 1))) ((e-13 'erased) (vector 0 e-6))))))))))))))
(define SystemC-45Directory-currentDir (lambda (arg-1) (let ((e-1 (car arg-1))) (let ((e-4 (vector-ref e-1 1))) ((((e-4 'erased) 'erased) (let ((e-6 (cdr arg-1))) ((e-6 'erased) (lambda (eta-0) (SystemC-45Directory-prim__currentDir eta-0))))) (lambda (u--res) (let ((sc1 (PreludeC-45EqOrd-u--C-47C-61_Eq_Int (PrimIO-prim__nullAnyPtr (PrimIO-prim__forgetPtr u--res)) (blodwen-toSignedInt 0 63)))) (cond ((equal? sc1 1) (let ((e-7 (car arg-1))) (let ((e-10 (vector-ref e-7 0))) (let ((e-12 (vector-ref e-10 1))) ((e-12 'erased) '()))))) (else (let ((u--s (PreludeC-45IO-prim__getString u--res))) (PreludeC-45Interfaces-C-62C-62 (let ((e-7 (car arg-1))) e-7) (SystemC-45FFI-free arg-1 (PrimIO-prim__forgetPtr u--res)) (lambda () (let ((e-7 (car arg-1))) (let ((e-10 (vector-ref e-7 0))) (let ((e-12 (vector-ref e-10 1))) ((e-12 'erased) (box u--s)))))))))))))))))
(define SystemC-45Directory-createDir (lambda (arg-1 arg-2) (let ((e-1 (car arg-1))) (let ((e-4 (vector-ref e-1 1))) ((((e-4 'erased) 'erased) (let ((e-6 (cdr arg-1))) ((e-6 'erased) (lambda (eta-0) (SystemC-45Directory-prim__createDir arg-2 eta-0))))) (lambda (u--res) (let ((sc1 (PreludeC-45EqOrd-u--C-61C-61_Eq_Int u--res (blodwen-toSignedInt 0 63)))) (cond ((equal? sc1 1) (SystemC-45Directory-ok arg-1 (vector 0 ))) (else (SystemC-45FileC-45Error-returnError arg-1))))))))))
(define SystemC-45Directory-collectDir (lambda (arg-1 arg-2) (let ((e-2 (cdr arg-1))) ((e-2 'erased) (SystemC-45Directory-n--3410-1655-u--C-62C-62C-61 arg-1 arg-2 (SystemC-45Directory-nextDirEntry (csegen-40) arg-2) (lambda (_-0) (if (null? _-0) (lambda (eta-0) (vector 1 '())) (let ((e-3 (unbox _-0))) (SystemC-45Directory-n--3410-1655-u--C-62C-62C-61 arg-1 arg-2 (SystemC-45Directory-collectDir (csegen-40) arg-2) (lambda (u--ns) (lambda (eta-0) (vector 1 (cons e-3 u--ns)))))))))))))
(define SystemC-45Directory-closeDir (lambda (arg-1 arg-2) (let ((eff-0 arg-2)) (let ((e-2 (cdr arg-1))) ((e-2 'erased) (lambda (eta-0) (SystemC-45Directory-prim__closeDir eff-0 eta-0)))))))
(define SystemC-45Directory-changeDir (lambda (arg-1 arg-2) (let ((e-1 (car arg-1))) (let ((e-4 (vector-ref e-1 1))) ((((e-4 'erased) 'erased) (let ((e-6 (cdr arg-1))) ((e-6 'erased) (lambda (eta-0) (SystemC-45Directory-prim__changeDir arg-2 eta-0))))) (lambda (u--ok) (let ((e-7 (car arg-1))) (let ((e-10 (vector-ref e-7 0))) (let ((e-12 (vector-ref e-10 1))) ((e-12 'erased) (PreludeC-45EqOrd-u--C-61C-61_Eq_Int u--ok (blodwen-toSignedInt 0 63))))))))))))
(define SystemC-45FFI-free (lambda (arg-1 arg-2) (let ((e-2 (cdr arg-1))) ((e-2 'erased) (lambda (eta-0) (SystemC-45FFI-prim__free arg-2 eta-0))))))
(define SystemC-45File-copyFile (lambda (arg-1 arg-2 arg-3) (let ((e-1 (car arg-1))) (let ((e-4 (vector-ref e-1 1))) ((((e-4 'erased) 'erased) (SystemC-45FileC-45Buffer-createBufferFromFile arg-1 arg-2)) (lambda (_-0) (case (vector-ref _-0 0) ((1) (let ((e-6 (vector-ref _-0 1))) (let ((e-8 (car arg-1))) (let ((e-10 (vector-ref e-8 1))) ((((e-10 'erased) 'erased) (let ((e-13 (car arg-1))) (let ((e-16 (vector-ref e-13 0))) (let ((e-18 (vector-ref e-16 1))) ((e-18 'erased) (DataC-45Buffer-prim__bufferSize e-6)))))) (lambda (bind-0) (SystemC-45FileC-45Buffer-writeBufferToFile arg-1 arg-3 e-6 bind-0))))))) (else (let ((e-6 (vector-ref _-0 1))) (let ((e-8 (car arg-1))) (let ((e-11 (vector-ref e-8 0))) (let ((e-13 (vector-ref e-11 1))) ((e-13 'erased) (vector 0 (cons e-6 (blodwen-toSignedInt 0 63))))))))))))))))
(define SystemC-45FileC-45Virtual-stdout(blodwen-lazy (lambda () (SystemC-45FileC-45Virtual-prim__stdout))))
(define SystemC-45FileC-45Virtual-stdin(blodwen-lazy (lambda () (SystemC-45FileC-45Virtual-prim__stdin))))
(define SystemC-45FileC-45Support-ok (lambda (arg-3 arg-4) (let ((e-1 (car arg-3))) (let ((e-5 (vector-ref e-1 0))) (let ((e-7 (vector-ref e-5 1))) ((e-7 'erased) (vector 1 arg-4)))))))
(define SystemC-45FileC-45ReadWrite-writeFile (lambda (arg-1 arg-2 arg-3) (SystemC-45FileC-45Handle-withFile arg-1 arg-2 1 (lambda (eta-0) (let ((e-1 (car arg-1))) (let ((e-5 (vector-ref e-1 0))) (let ((e-7 (vector-ref e-5 1))) ((e-7 'erased) eta-0))))) (lambda (eta-0) (PreludeC-45Basics-flip (lambda (eta-1) (lambda (eta-2) (SystemC-45FileC-45ReadWrite-fPutStr arg-1 eta-1 eta-2))) arg-3 eta-0)))))
(define SystemC-45FileC-45ReadWrite-removeFile (lambda (arg-1 arg-2) (let ((e-1 (car arg-1))) (let ((e-4 (vector-ref e-1 1))) ((((e-4 'erased) 'erased) (let ((e-6 (cdr arg-1))) ((e-6 'erased) (lambda (eta-0) (SystemC-45FileC-45ReadWrite-prim__removeFile arg-2 eta-0))))) (lambda (u--res) (let ((sc1 (PreludeC-45EqOrd-u--C-61C-61_Eq_Int u--res (blodwen-toSignedInt 0 63)))) (cond ((equal? sc1 1) (SystemC-45FileC-45Support-ok arg-1 (vector 0 ))) (else (SystemC-45FileC-45Error-returnError arg-1))))))))))
(define SystemC-45FileC-45ReadWrite-readLinesOnto (lambda (arg-1 arg-2 arg-3 arg-4 arg-5) (if (null? arg-4) (let ((e-1 (car arg-1))) (let ((e-5 (vector-ref e-1 0))) (let ((e-7 (vector-ref e-5 1))) ((e-7 'erased) (vector 1 (cons 0 (PreludeC-45TypesC-45List-reverse arg-2))))))) (let ((e-0 (unbox arg-4))) (let ((e-1 (car arg-1))) (let ((e-4 (vector-ref e-1 1))) ((((e-4 'erased) 'erased) (SystemC-45FileC-45ReadWrite-fEOF arg-1 arg-5)) (lambda (_-0) (cond ((equal? _-0 0) (cond ((equal? arg-3 0) (PreludeC-45InterfacesC-45Monad-u--C-62C-62C-61_Monad_ComposeC-40C-40C-46C-32C-36mC-41C-32C-36tC-41 (let ((e-7 (car arg-1))) e-7) (vector (vector (lambda (u--b) (lambda (u--a) (lambda (u--func) (lambda (arg-8737) (case (vector-ref arg-8737 0) ((0) (let ((e-6 (vector-ref arg-8737 1))) (vector 0 e-6))) (else (let ((e-6 (vector-ref arg-8737 1))) (vector 1 (u--func e-6))))))))) (lambda (u--a) (lambda (arg-9440) (vector 1 arg-9440))) (lambda (u--b) (lambda (u--a) (lambda (arg-9446) (lambda (arg-9453) (case (vector-ref arg-9446 0) ((0) (let ((e-6 (vector-ref arg-9446 1))) (vector 0 e-6))) (else (let ((e-6 (vector-ref arg-9446 1))) (case (vector-ref arg-9453 0) ((1) (let ((e-8 (vector-ref arg-9453 1))) (vector 1 (e-6 e-8)))) (else (let ((e-11 (vector-ref arg-9453 1))) (vector 0 e-11)))))))))))) (csegen-221) (csegen-222)) (vector (lambda (u--b) (lambda (u--a) (lambda (u--func) (lambda (arg-8737) (case (vector-ref arg-8737 0) ((0) (let ((e-6 (vector-ref arg-8737 1))) (vector 0 e-6))) (else (let ((e-6 (vector-ref arg-8737 1))) (vector 1 (u--func e-6))))))))) (csegen-238) (csegen-242)) (SystemC-45FileC-45ReadWrite-fGetLine arg-1 arg-5) (lambda (u--str) (SystemC-45FileC-45ReadWrite-readLinesOnto arg-1 (cons u--str arg-2) 0 (e-0) arg-5))))(else (let ((e-6 (- arg-3 1))) (PreludeC-45Interfaces-C-42C-62 (vector (lambda (u--b) (lambda (u--a) (lambda (u--func) (lambda (arg-8737) ((PreludeC-45InterfacesC-45Functor-u--map_Functor_ComposeC-40C-40C-46C-32C-36fC-41C-32C-36gC-41 (let ((e-8 (car arg-1))) (let ((e-11 (vector-ref e-8 0))) (let ((e-14 (vector-ref e-11 0))) e-14))) (lambda (b-0) (lambda (a-0) (lambda (func-0) (lambda (arg-8738) (case (vector-ref arg-8738 0) ((0) (let ((e-7 (vector-ref arg-8738 1))) (vector 0 e-7))) (else (let ((e-7 (vector-ref arg-8738 1))) (vector 1 (func-0 e-7))))))))) u--func) arg-8737))))) (lambda (u--a) (lambda (arg-9440) (PreludeC-45InterfacesC-45Applicative-u--pure_Applicative_ComposeC-40C-40C-46C-32C-36fC-41C-32C-36gC-41 (let ((e-8 (car arg-1))) (let ((e-11 (vector-ref e-8 0))) e-11)) (vector (lambda (u--b) (lambda (a-0) (lambda (u--func) (lambda (arg-8737) (case (vector-ref arg-8737 0) ((0) (let ((e-7 (vector-ref arg-8737 1))) (vector 0 e-7))) (else (let ((e-7 (vector-ref arg-8737 1))) (vector 1 (u--func e-7))))))))) (lambda (a-0) (lambda (arg-9441) (vector 1 arg-9441))) (lambda (u--b) (lambda (a-0) (lambda (arg-9446) (lambda (arg-9453) (case (vector-ref arg-9446 0) ((0) (let ((e-7 (vector-ref arg-9446 1))) (vector 0 e-7))) (else (let ((e-7 (vector-ref arg-9446 1))) (case (vector-ref arg-9453 0) ((1) (let ((e-8 (vector-ref arg-9453 1))) (vector 1 (e-7 e-8)))) (else (let ((e-11 (vector-ref arg-9453 1))) (vector 0 e-11)))))))))))) arg-9440))) (lambda (u--b) (lambda (u--a) (lambda (arg-9446) (lambda (arg-9453) (PreludeC-45InterfacesC-45Applicative-u--C-60C-42C-62_Applicative_ComposeC-40C-40C-46C-32C-36fC-41C-32C-36gC-41 (let ((e-8 (car arg-1))) (let ((e-11 (vector-ref e-8 0))) e-11)) (vector (lambda (b-0) (lambda (a-0) (lambda (u--func) (lambda (arg-8737) (case (vector-ref arg-8737 0) ((0) (let ((e-7 (vector-ref arg-8737 1))) (vector 0 e-7))) (else (let ((e-7 (vector-ref arg-8737 1))) (vector 1 (u--func e-7))))))))) (lambda (a-0) (lambda (arg-9440) (vector 1 arg-9440))) (lambda (b-0) (lambda (a-0) (lambda (arg-9447) (lambda (arg-9454) (case (vector-ref arg-9447 0) ((0) (let ((e-7 (vector-ref arg-9447 1))) (vector 0 e-7))) (else (let ((e-7 (vector-ref arg-9447 1))) (case (vector-ref arg-9454 0) ((1) (let ((e-8 (vector-ref arg-9454 1))) (vector 1 (e-7 e-8)))) (else (let ((e-11 (vector-ref arg-9454 1))) (vector 0 e-11)))))))))))) arg-9446 arg-9453)))))) (SystemC-45FileC-45ReadWrite-fSeekLine arg-1 arg-5) (SystemC-45FileC-45ReadWrite-readLinesOnto arg-1 arg-2 e-6 (box e-0) arg-5)))))) (else (let ((e-7 (car arg-1))) (let ((e-10 (vector-ref e-7 0))) (let ((e-12 (vector-ref e-10 1))) ((e-12 'erased) (vector 1 (cons 1 (PreludeC-45TypesC-45List-reverse arg-2)))))))))))))))))
(define SystemC-45FileC-45ReadWrite-readFilePage (lambda (arg-1 arg-2 arg-3 arg-4) (SystemC-45FileC-45Handle-withFile arg-1 arg-4 0 (lambda (eta-0) (let ((e-1 (car arg-1))) (let ((e-5 (vector-ref e-1 0))) (let ((e-7 (vector-ref e-5 1))) ((e-7 'erased) eta-0))))) (lambda (eta-0) (SystemC-45FileC-45ReadWrite-readLinesOnto arg-1 '() arg-2 arg-3 eta-0)))))
(define SystemC-45FileC-45ReadWrite-readFile (lambda (arg-1 ext-0) (((let ((eff-0 (let ((e-1 (car arg-1))) (let ((e-5 (vector-ref e-1 0))) (let ((e-8 (vector-ref e-5 0))) e-8))))) (lambda (arg-0) (lambda (arg-2) ((((eff-0 'erased) 'erased) arg-0) arg-2)))) ((let ((eff-0 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-0) (lambda (arg-2) ((((eff-0 'erased) 'erased) arg-0) arg-2)))) (lambda (eta-0) (PreludeC-45Types-fastConcat (Builtin-snd eta-0))))) (SystemC-45FileC-45ReadWrite-readFilePage arg-1 0 (DataC-45Fuel-forever) ext-0))))
(define SystemC-45FileC-45ReadWrite-getStringAndFree (lambda (arg-1 arg-2) (let ((sc0 (PreludeC-45EqOrd-u--C-47C-61_Eq_Int (PrimIO-prim__nullAnyPtr (PrimIO-prim__forgetPtr arg-2)) (blodwen-toSignedInt 0 63)))) (cond ((equal? sc0 1) (SystemC-45FileC-45Error-returnError arg-1)) (else (let ((u--s (PreludeC-45IO-prim__getString arg-2))) (PreludeC-45Interfaces-C-62C-62 (let ((e-1 (car arg-1))) e-1) (SystemC-45FFI-free arg-1 (PrimIO-prim__forgetPtr arg-2)) (lambda () (SystemC-45FileC-45Support-ok arg-1 u--s)))))))))
(define SystemC-45FileC-45ReadWrite-fSeekLine (lambda (arg-1 arg-2) (let ((eff-0 arg-2)) (let ((e-1 (car arg-1))) (let ((e-4 (vector-ref e-1 1))) ((((e-4 'erased) 'erased) (let ((e-6 (cdr arg-1))) ((e-6 'erased) (lambda (eta-0) (SystemC-45FileC-45ReadWrite-prim__seekLine eff-0 eta-0))))) (lambda (u--res) (let ((sc1 (PreludeC-45EqOrd-u--C-47C-61_Eq_Int u--res (blodwen-toSignedInt 0 63)))) (cond ((equal? sc1 1) (SystemC-45FileC-45Error-returnError arg-1)) (else (SystemC-45FileC-45Support-ok arg-1 (vector 0 ))))))))))))
(define SystemC-45FileC-45ReadWrite-fPutStr (lambda (arg-1 arg-2 arg-3) (let ((eff-0 arg-2)) (let ((e-1 (car arg-1))) (let ((e-4 (vector-ref e-1 1))) ((((e-4 'erased) 'erased) (let ((e-6 (cdr arg-1))) ((e-6 'erased) (lambda (eta-0) (SystemC-45FileC-45ReadWrite-prim__writeLine eff-0 arg-3 eta-0))))) (lambda (u--res) (let ((sc1 (PreludeC-45EqOrd-u--C-61C-61_Eq_Int u--res (blodwen-toSignedInt 0 63)))) (cond ((equal? sc1 1) (SystemC-45FileC-45Error-returnError arg-1)) (else (SystemC-45FileC-45Support-ok arg-1 (vector 0 ))))))))))))
(define SystemC-45FileC-45ReadWrite-fGetLine (lambda (arg-1 arg-2) (let ((eff-0 arg-2)) (let ((e-1 (car arg-1))) (let ((e-4 (vector-ref e-1 1))) ((((e-4 'erased) 'erased) (let ((e-6 (cdr arg-1))) ((e-6 'erased) (lambda (eta-0) (SystemC-45FileC-45ReadWrite-prim__readLine eff-0 eta-0))))) (lambda (u--res) (SystemC-45FileC-45ReadWrite-getStringAndFree arg-1 u--res))))))))
(define SystemC-45FileC-45ReadWrite-fGetChar (lambda (arg-1 arg-2) (let ((eff-0 arg-2)) (let ((e-1 (car arg-1))) (let ((e-4 (vector-ref e-1 1))) ((((e-4 'erased) 'erased) (let ((e-6 (cdr arg-1))) ((e-6 'erased) (lambda (eta-0) (SystemC-45FileC-45ReadWrite-prim__readChar eff-0 eta-0))))) (lambda (u--c) (let ((e-7 (car arg-1))) (let ((e-9 (vector-ref e-7 1))) ((((e-9 'erased) 'erased) (SystemC-45FileC-45Error-fileError arg-1 arg-2)) (lambda (u--ferr) (cond ((equal? u--ferr 1) (SystemC-45FileC-45Error-returnError arg-1)) (else (SystemC-45FileC-45Support-ok arg-1 ((let ((eff-1 (lambda (eta-0) (cast-int-char eta-0)))) (lambda (arg-0) (eff-1 arg-0))) u--c)))))))))))))))
(define SystemC-45FileC-45ReadWrite-fEOF (lambda (arg-1 arg-2) (let ((eff-0 arg-2)) (let ((e-1 (car arg-1))) (let ((e-4 (vector-ref e-1 1))) ((((e-4 'erased) 'erased) (let ((e-6 (cdr arg-1))) ((e-6 'erased) (lambda (eta-0) (SystemC-45FileC-45ReadWrite-prim__eof eff-0 eta-0))))) (lambda (u--res) (let ((e-7 (car arg-1))) (let ((e-10 (vector-ref e-7 0))) (let ((e-12 (vector-ref e-10 1))) ((e-12 'erased) (PreludeC-45EqOrd-u--C-47C-61_Eq_Int u--res (blodwen-toSignedInt 0 63)))))))))))))
(define SystemC-45FileC-45Error-u--show_Show_FileError (lambda (arg-0) (case (vector-ref arg-0 0) ((0) (let ((e-0 (vector-ref arg-0 1))) (SystemC-45Errno-strerror e-0))) ((1) "File Read Error") ((2) "File Write Error") ((3) "File Not Found") ((4) "Permission Denied") (else "File Exists"))))
(define SystemC-45FileC-45Error-u--showPrec_Show_FileError (lambda (arg-0 arg-1) (SystemC-45FileC-45Error-u--show_Show_FileError arg-1)))
(define SystemC-45FileC-45Error-returnError (lambda (arg-2) (let ((e-1 (car arg-2))) (let ((e-4 (vector-ref e-1 1))) ((((e-4 'erased) 'erased) (let ((e-6 (cdr arg-2))) ((e-6 'erased) (lambda (eta-0) (SystemC-45FileC-45Error-prim__fileErrno eta-0))))) (lambda (u--err) (let ((e-7 (car arg-2))) (let ((e-10 (vector-ref e-7 0))) (let ((e-12 (vector-ref e-10 1))) ((e-12 'erased) (vector 0 (cond ((equal? u--err 0) (vector 1 )) ((equal? u--err 1) (vector 2 )) ((equal? u--err 2) (vector 3 )) ((equal? u--err 3) (vector 4 )) ((equal? u--err 4) (vector 5 ))(else (vector 0 (bs- u--err 5 63)))))))))))))))
(define SystemC-45FileC-45Error-fileError (lambda (arg-1 arg-2) (let ((eff-0 arg-2)) (let ((e-1 (car arg-1))) (let ((e-4 (vector-ref e-1 1))) ((((e-4 'erased) 'erased) (let ((e-6 (cdr arg-1))) ((e-6 'erased) (lambda (eta-0) (SystemC-45FileC-45Error-prim__error eff-0 eta-0))))) (lambda (u--x) (let ((e-7 (car arg-1))) (let ((e-10 (vector-ref e-7 0))) (let ((e-12 (vector-ref e-10 1))) ((e-12 'erased) (PreludeC-45EqOrd-u--C-47C-61_Eq_Int u--x (blodwen-toSignedInt 0 63)))))))))))))
(define SystemC-45Errno-strerror (lambda (arg-0) (PrimIO-unsafePerformIO (lambda (eta-0) (SystemC-45Errno-prim__strerror arg-0 eta-0)))))
(define SystemC-45Errno-getErrno (lambda (arg-1) (let ((e-2 (cdr arg-1))) ((e-2 'erased) (lambda (eta-0) (SystemC-45Errno-prim__getErrno eta-0))))))
(define SystemC-45FileC-45Handle-withFile (lambda (arg-3 arg-4 arg-5 arg-6 arg-7) (let ((e-1 (car arg-3))) (let ((e-4 (vector-ref e-1 1))) ((((e-4 'erased) 'erased) (SystemC-45FileC-45Handle-openFile arg-3 arg-4 arg-5)) (lambda (_-0) (case (vector-ref _-0 0) ((1) (let ((e-6 (vector-ref _-0 1))) (let ((e-8 (car arg-3))) (let ((e-10 (vector-ref e-8 1))) ((((e-10 'erased) 'erased) (arg-7 e-6)) (lambda (u--res) (PreludeC-45Interfaces-C-62C-62 (let ((e-13 (car arg-3))) e-13) (SystemC-45FileC-45Handle-closeFile arg-3 e-6) (lambda () (let ((e-13 (car arg-3))) (let ((e-16 (vector-ref e-13 0))) (let ((e-18 (vector-ref e-16 1))) ((e-18 'erased) u--res)))))))))))) (else (let ((e-6 (vector-ref _-0 1))) (PreludeC-45Interfaces-C-60C-36C-62 (let ((e-8 (car arg-3))) (let ((e-11 (vector-ref e-8 0))) (let ((e-14 (vector-ref e-11 0))) e-14))) (lambda (eta-0) (vector 0 eta-0)) (arg-6 e-6)))))))))))
(define SystemC-45FileC-45Handle-openFile (lambda (arg-1 arg-2 arg-3) (let ((e-1 (car arg-1))) (let ((e-4 (vector-ref e-1 1))) ((((e-4 'erased) 'erased) (let ((e-6 (cdr arg-1))) ((e-6 'erased) (lambda (eta-0) (SystemC-45FileC-45Handle-prim__open arg-2 (SystemC-45FileC-45Mode-modeStr arg-3) eta-0))))) (lambda (u--res) (let ((sc1 (PreludeC-45EqOrd-u--C-47C-61_Eq_Int (PrimIO-prim__nullAnyPtr u--res) (blodwen-toSignedInt 0 63)))) (cond ((equal? sc1 1) (SystemC-45FileC-45Error-returnError arg-1)) (else (SystemC-45FileC-45Support-ok arg-1 u--res))))))))))
(define SystemC-45FileC-45Handle-closeFile (lambda (arg-1 arg-2) (let ((eff-0 arg-2)) (let ((e-2 (cdr arg-1))) ((e-2 'erased) (lambda (eta-0) (SystemC-45FileC-45Handle-prim__close eff-0 eta-0)))))))
(define SystemC-45FileC-45Mode-modeStr (lambda (arg-0) (cond ((equal? arg-0 0) (let ((sc1 (SystemC-45Info-isWindows))) (cond ((equal? sc1 1) "rb") (else "r")))) ((equal? arg-0 1) (let ((sc1 (SystemC-45Info-isWindows))) (cond ((equal? sc1 1) "wb") (else "w")))) ((equal? arg-0 2) (let ((sc1 (SystemC-45Info-isWindows))) (cond ((equal? sc1 1) "ab") (else "a")))) ((equal? arg-0 3) (let ((sc1 (SystemC-45Info-isWindows))) (cond ((equal? sc1 1) "rb+") (else "r+")))) ((equal? arg-0 4) (let ((sc1 (SystemC-45Info-isWindows))) (cond ((equal? sc1 1) "wb+") (else "w+")))) (else (let ((sc1 (SystemC-45Info-isWindows))) (cond ((equal? sc1 1) "ab+") (else "a+")))))))
(define DataC-45SnocList-u--null_Foldable_SnocList (lambda (arg-1) (if (null? arg-1) 1 0)))
(define DataC-45SnocList-u--cast_Cast_C-40SnocListC-32C-36aC-41_C-40ListC-32C-36aC-41 (lambda (arg-1) (PreludeC-45TypesC-45SnocList-C-60C-62C-62 arg-1 '())))
(define DataC-45SnocList-u--cast_Cast_C-40ListC-32C-36aC-41_C-40SnocListC-32C-36aC-41 (lambda (arg-1) (PreludeC-45TypesC-45SnocList-C-60C-62C-60 '() arg-1)))
(define DataC-45SnocList-mapTRC-39 (lambda (arg-2 arg-3 arg-4) (if (null? arg-4) (PreludeC-45TypesC-45SnocList-C-60C-62C-60 '() arg-2) (let ((e-1 (car arg-4))) (let ((e-2 (cdr arg-4))) (DataC-45SnocList-mapTRC-39 (cons (arg-3 e-2) arg-2) arg-3 e-1))))))
(define DataC-45SnocList-mapTR (lambda (ext-0 ext-1) (DataC-45SnocList-mapTRC-39 '() ext-0 ext-1)))
(define DataC-45SnocList-findIndex (lambda (arg-1 arg-2) (if (null? arg-2) '() (let ((e-2 (car arg-2))) (let ((e-3 (cdr arg-2))) (let ((sc1 (arg-1 e-3))) (cond ((equal? sc1 1) (box 0)) (else (PreludeC-45Interfaces-C-60C-36C-62 (csegen-76) (lambda (eta-0) (+ eta-0 1)) (DataC-45SnocList-findIndex arg-1 e-2))))))))))
(define DecidableC-45EqualityC-45Core-decEqCong2 (lambda (arg-9 arg-10) (case (vector-ref arg-9 0) ((0) (DecidableC-45EqualityC-45Core-decEqCong (arg-10))) (else (let ((e-3 (vector-ref arg-9 1))) (vector 1 (lambda (u--c) (let ((sc1 (ControlC-45Function-biinj))) (e-3 (vector 0 ))))))))))
(define DecidableC-45EqualityC-45Core-decEqCong (lambda (arg-6) (case (vector-ref arg-6 0) ((0) (vector 0 (vector 0 ))) (else (let ((e-3 (vector-ref arg-6 1))) (vector 1 (lambda (u--c) (e-3 (PreludeC-45Basics-irrelevantEq)))))))))
(define ControlC-45Function-biinj(blodwen-lazy (lambda () (cons (PreludeC-45Basics-irrelevantEq) (PreludeC-45Basics-irrelevantEq)))))
(define DataC-45Nat-succNotLTEzero (lambda (arg-0) (blodwen-error-quit "No clauses")))
(define DataC-45Nat-pred (lambda (arg-0) (cond ((equal? arg-0 0) 0)(else (let ((e-0 (- arg-0 1))) e-0)))))
(define DataC-45Nat-lte (lambda (arg-0 arg-1) (cond ((equal? arg-0 0) 1)(else (cond ((equal? arg-1 0) 0)(else (cond ((equal? arg-0 0) (blodwen-error-quit "Nat case not covered"))(else (let ((e-0 (- arg-0 1))) (cond ((equal? arg-1 0) (blodwen-error-quit "Nat case not covered"))(else (let ((e-1 (- arg-1 1))) (DataC-45Nat-lte e-0 e-1)))))))))))))
(define DataC-45Nat-isSucc (lambda (arg-0) (cond ((equal? arg-0 0) 0)(else 1))))
(define DataC-45Nat-isLTE (lambda (arg-0 arg-1) (cond ((equal? arg-0 0) (vector 0 0))(else (let ((e-0 (- arg-0 1))) (cond ((equal? arg-1 0) (vector 1 (lambda (eta-0) (DataC-45Nat-succNotLTEzero eta-0))))(else (let ((e-1 (- arg-1 1))) (let ((sc0 (DataC-45Nat-isLTE e-0 e-1))) (case (vector-ref sc0 0) ((1) (let ((e-2 (vector-ref sc0 1))) (vector 1 (lambda (eta-0) (e-2 (DataC-45Nat-fromLteSucc eta-0)))))) (else (let ((e-3 (vector-ref sc0 1))) (vector 0 (+ e-3 1))))))))))))))
(define DataC-45Nat-fromLteSucc (lambda (arg-2) (cond ((equal? arg-2 0) (blodwen-error-quit "Nat case not covered"))(else (let ((e-2 (- arg-2 1))) e-2)))))
(define DataC-45Nat-divNatNZ (lambda (arg-0 arg-1) (cond ((equal? arg-1 0) (blodwen-error-quit "Nat case not covered"))(else (let ((e-0 (- arg-1 1))) (DataC-45Nat-divC-39 arg-0 arg-0 e-0))))))
(define DataC-45Nat-divNat (lambda (arg-0 arg-1) (cond ((equal? arg-1 0) (Builtin-idris_crash "Unhandled input for Data.Nat.divNat at Data.Nat:357:1--357:59"))(else (let ((e-0 (- arg-1 1))) (DataC-45Nat-divNatNZ arg-0 (+ e-0 1)))))))
(define DataC-45Nat-divC-39 (lambda (arg-0 arg-1 arg-2) (cond ((equal? arg-0 0) 0)(else (let ((e-0 (- arg-0 1))) (let ((sc0 (DataC-45Nat-lte arg-1 arg-2))) (cond ((equal? sc0 1) 0) (else (+ (DataC-45Nat-divC-39 e-0 (PreludeC-45Types-prim__integerToNat (- arg-1 (+ arg-2 1))) arg-2) 1)))))))))
(define DataC-45Maybe-toMaybe (lambda (arg-1 arg-2) (cond ((equal? arg-1 1) (box (arg-2))) (else '()))))
(define DataC-45Maybe-isNothing (lambda (arg-1) (if (null? arg-1) 1 0)))
(define DataC-45Maybe-isJust (lambda (arg-1) (if (null? arg-1) 0 1)))
(define DataC-45Maybe-fromMaybe (lambda (arg-1 arg-2) (if (null? arg-2) (arg-1) (let ((e-2 (unbox arg-2))) e-2))))
(define DataC-45List1-n--2796-2664-u--loop (lambda (arg-1 arg-2 arg-3 arg-4) (if (null? arg-4) arg-3 (let ((e-2 (car arg-4))) (let ((e-3 (cdr arg-4))) (DataC-45List1-n--2796-2664-u--loop arg-1 arg-2 e-2 e-3))))))
(define DataC-45List1-u--traverse_Traversable_List1 (lambda (arg-3 arg-4 arg-5) (let ((e-1 (car arg-5))) (let ((e-2 (cdr arg-5))) (let ((e-3 (vector-ref arg-3 2))) ((((e-3 'erased) 'erased) (let ((e-6 (vector-ref arg-3 2))) ((((e-6 'erased) 'erased) (let ((e-10 (vector-ref arg-3 1))) ((e-10 'erased) (csegen-253)))) (arg-4 e-1)))) (PreludeC-45Types-u--traverse_Traversable_List arg-3 arg-4 e-2)))))))
(define DataC-45List1-u--show_Show_C-40List1C-32C-36aC-41 (lambda (arg-1 ext-0) (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 arg-1 (DataC-45List1-forget ext-0))))
(define DataC-45List1-u--map_Functor_List1 (lambda (arg-2 arg-3) (let ((e-1 (car arg-3))) (let ((e-2 (cdr arg-3))) (cons (arg-2 e-1) (((csegen-25) arg-2) e-2))))))
(define DataC-45List1-u--foldr_Foldable_List1 (lambda (arg-2 arg-3 arg-4) (let ((e-1 (car arg-4))) (let ((e-2 (cdr arg-4))) ((arg-2 e-1) (PreludeC-45Types-u--foldr_Foldable_List arg-2 arg-3 e-2))))))
(define DataC-45List1-u--foldl_Foldable_List1 (lambda (arg-2 arg-3 arg-4) (let ((e-1 (car arg-4))) (let ((e-2 (cdr arg-4))) (PreludeC-45Types-u--foldl_Foldable_List arg-2 ((arg-2 arg-3) e-1) e-2)))))
(define DataC-45List1-u--foldlM_Foldable_List1 (lambda (arg-3 arg-4 arg-5 ext-0) (DataC-45List1-u--foldl_Foldable_List1 (lambda (u--ma) (lambda (u--b) (let ((e-2 (vector-ref arg-3 1))) ((((e-2 'erased) 'erased) u--ma) (lambda (eta-0) (PreludeC-45Basics-flip arg-4 u--b eta-0)))))) (let ((e-1 (vector-ref arg-3 0))) (let ((e-5 (vector-ref e-1 1))) ((e-5 'erased) arg-5))) ext-0)))
(define DataC-45List1-u--foldMap_Foldable_List1 (lambda (arg-2 arg-3 arg-4) (let ((e-1 (car arg-4))) (let ((e-2 (cdr arg-4))) (((let ((eff-0 (let ((e-4 (car arg-2))) e-4))) (lambda (arg-0) (lambda (arg-1) ((eff-0 arg-0) arg-1)))) (arg-3 e-1)) (PreludeC-45Types-u--foldMap_Foldable_List arg-2 arg-3 e-2))))))
(define DataC-45List1-u--compare_Ord_C-40List1C-32C-36aC-41 (lambda (arg-1 arg-2 arg-3) (PreludeC-45Types-u--compare_Ord_C-40ListC-32C-36aC-41 arg-1 (DataC-45List1-forget arg-2) (DataC-45List1-forget arg-3))))
(define DataC-45List1-u--C-62C-62C-61_Monad_List1 (lambda (arg-2 arg-3) (let ((e-1 (car arg-2))) (let ((e-2 (cdr arg-2))) (DataC-45List1-appendl (arg-3 e-1) (PreludeC-45Types-listBind e-2 (lambda (eta-0) (DataC-45List1-forget (arg-3 eta-0)))))))))
(define DataC-45List1-u--C-61C-61_Eq_C-40List1C-32C-36aC-41 (lambda (arg-1 arg-2 arg-3) (let ((e-1 (car arg-2))) (let ((e-2 (cdr arg-2))) (let ((e-4 (car arg-3))) (let ((e-5 (cdr arg-3))) (let ((sc2 (let ((e-6 (car arg-1))) ((e-6 e-1) e-4)))) (cond ((equal? sc2 1) (PreludeC-45Types-u--C-61C-61_Eq_C-40ListC-32C-36aC-41 arg-1 e-2 e-5)) (else 0)))))))))
(define DataC-45List1-u--C-47C-61_Eq_C-40List1C-32C-36aC-41 (lambda (arg-1 arg-2 arg-3) (let ((sc0 (DataC-45List1-u--C-61C-61_Eq_C-40List1C-32C-36aC-41 arg-1 arg-2 arg-3))) (cond ((equal? sc0 1) 0) (else 1)))))
(define DataC-45List1-singleton (lambda (arg-1) (cons arg-1 '())))
(define DataC-45List1-reverseOnto (lambda (arg-1 arg-2) (if (null? arg-2) arg-1 (let ((e-2 (car arg-2))) (let ((e-3 (cdr arg-2))) (DataC-45List1-reverseOnto (cons e-2 (DataC-45List1-forget arg-1)) e-3))))))
(define DataC-45List1-reverse (lambda (arg-1) (let ((e-1 (car arg-1))) (let ((e-2 (cdr arg-1))) (DataC-45List1-reverseOnto (DataC-45List1-singleton e-1) e-2)))))
(define DataC-45List1-last (lambda (arg-1) (let ((e-1 (car arg-1))) (let ((e-2 (cdr arg-1))) (DataC-45List1-n--2796-2664-u--loop e-1 e-2 e-1 e-2)))))
(define DataC-45List1-fromList (lambda (arg-1) (if (null? arg-1) '() (let ((e-2 (car arg-1))) (let ((e-3 (cdr arg-1))) (box (cons e-2 e-3)))))))
(define DataC-45List1-forget (lambda (arg-1) (let ((e-1 (car arg-1))) (let ((e-2 (cdr arg-1))) (cons e-1 e-2)))))
(define DataC-45List1-cons (lambda (arg-1 arg-2) (cons arg-1 (DataC-45List1-forget arg-2))))
(define DataC-45List1-appendl (lambda (arg-1 arg-2) (let ((e-1 (car arg-1))) (let ((e-2 (cdr arg-1))) (cons e-1 (PreludeC-45TypesC-45List-tailRecAppend e-2 arg-2))))))
(define DataC-45List1-C-43C-43 (lambda (arg-1 arg-2) (DataC-45List1-appendl arg-1 (DataC-45List1-forget arg-2))))
(define DataC-45List-n--7672-7125-u--spreadHeads (lambda (arg-1 arg-2 arg-3 arg-4) (if (null? arg-3) arg-4 (let ((e-2 (car arg-3))) (let ((e-3 (cdr arg-3))) (if (null? arg-4) (cons (cons e-2 '()) (DataC-45List-n--7672-7125-u--spreadHeads arg-1 arg-2 e-3 '())) (let ((e-6 (car arg-4))) (let ((e-7 (cdr arg-4))) (cons (cons e-2 e-6) (DataC-45List-n--7672-7125-u--spreadHeads arg-1 arg-2 e-3 e-7))))))))))
(define DataC-45List-n--7228-6697-u--splitRec (lambda (arg-1 arg-2 arg-4 arg-5 arg-6) (if (null? arg-4) (cons arg-5 (arg-6 '())) (let ((e-2 (cdr arg-4))) (if (null? e-2) (cons arg-5 (arg-6 '())) (let ((e-5 (cdr e-2))) (if (null? arg-5) (cons arg-5 (arg-6 '())) (let ((e-7 (car arg-5))) (let ((e-8 (cdr arg-5))) (DataC-45List-n--7228-6697-u--splitRec arg-1 arg-2 e-5 e-8 (lambda (eta-0) (arg-6 (cons e-7 eta-0)))))))))))))
(define DataC-45List-n--7228-6698-u--split (lambda (arg-1 arg-2 arg-3) (DataC-45List-n--7228-6697-u--splitRec arg-1 arg-2 arg-3 arg-3 (lambda (eta-0) eta-0))))
(define DataC-45List-n--4380-3930-u--nubByC-39 (lambda (arg-1 arg-2 arg-3) (if (null? arg-3) '() (let ((e-2 (car arg-3))) (let ((e-3 (cdr arg-3))) (let ((sc1 (PreludeC-45Types-elemBy (csegen-16) arg-2 e-2 arg-1))) (cond ((equal? sc1 1) (DataC-45List-n--4380-3930-u--nubByC-39 arg-1 arg-2 e-3)) (else (cons e-2 (DataC-45List-n--4380-3930-u--nubByC-39 (cons e-2 arg-1) arg-2 e-3))))))))))
(define DataC-45List-u--zip_Zippable_List (lambda (ext-0 ext-1) (DataC-45List-u--zipWith_Zippable_List (csegen-254) ext-0 ext-1)))
(define DataC-45List-u--zipWith_Zippable_List (lambda (arg-3 arg-4 arg-5) (if (null? arg-4) '() (if (null? arg-5) '() (let ((e-1 (car arg-4))) (let ((e-2 (cdr arg-4))) (let ((e-4 (car arg-5))) (let ((e-5 (cdr arg-5))) (cons ((arg-3 e-1) e-4) (DataC-45List-u--zipWith_Zippable_List arg-3 e-2 e-5))))))))))
(define DataC-45List-u--zipWith3_Zippable_List (lambda (arg-4 arg-5 arg-6 arg-7) (if (null? arg-5) '() (if (null? arg-6) '() (if (null? arg-7) '() (let ((e-1 (car arg-5))) (let ((e-2 (cdr arg-5))) (let ((e-4 (car arg-6))) (let ((e-5 (cdr arg-6))) (let ((e-7 (car arg-7))) (let ((e-8 (cdr arg-7))) (cons (((arg-4 e-1) e-4) e-7) (DataC-45List-u--zipWith3_Zippable_List arg-4 e-2 e-5 e-8)))))))))))))
(define DataC-45List-u--zip3_Zippable_List (lambda (ext-0 ext-1 ext-2) (DataC-45List-u--zipWith3_Zippable_List (lambda (__leftTupleSection-0) (lambda (__infixTupleSection-0) (lambda (__infixTupleSection-1) (cons __leftTupleSection-0 (cons __infixTupleSection-0 __infixTupleSection-1))))) ext-0 ext-1 ext-2)))
(define DataC-45List-u--unzip_Zippable_List (lambda (ext-0) (DataC-45List-u--unzipWith_Zippable_List (lambda (eta-0) eta-0) ext-0)))
(define DataC-45List-u--unzipWith_Zippable_List (lambda (arg-3 arg-4) (if (null? arg-4) (cons '() '()) (let ((e-2 (car arg-4))) (let ((e-3 (cdr arg-4))) (let ((sc1 (arg-3 e-2))) (let ((e-5 (car sc1))) (let ((e-4 (cdr sc1))) (let ((sc2 (DataC-45List-u--unzipWith_Zippable_List arg-3 e-3))) (let ((e-7 (car sc2))) (let ((e-6 (cdr sc2))) (cons (cons e-5 e-7) (cons e-4 e-6)))))))))))))
(define DataC-45List-u--uninhabited_Uninhabited_C-40C-124C-40C-40BuiltinC-46C-61C-61C-61C-32NilC-41C-32C-40C-40C-58C-58C-32C-36xC-41C-32C-36xsC-41C-41C-44C-40C-40BuiltinC-46C-126C-61C-126C-32NilC-41C-32C-40C-40C-58C-58C-32C-36xC-41C-32C-36xsC-41C-41C-124C-41 (lambda (arg-0) (blodwen-error-quit "No clauses")))
(define DataC-45List-u--uninhabited_Uninhabited_C-40C-124C-40C-40BuiltinC-46C-61C-61C-61C-32C-40C-40C-58C-58C-32C-36xC-41C-32C-36xsC-41C-41C-32NilC-41C-44C-40C-40BuiltinC-46C-126C-61C-126C-32C-40C-40C-58C-58C-32C-36xC-41C-32C-36xsC-41C-41C-32NilC-41C-124C-41 (lambda (arg-0) (blodwen-error-quit "No clauses")))
(define DataC-45List-unionBy (lambda (arg-1 arg-2 arg-3) (PreludeC-45TypesC-45List-tailRecAppend arg-2 (PreludeC-45Types-u--foldl_Foldable_List (lambda (eta-0) (lambda (eta-1) (PreludeC-45Basics-flip (lambda (eta-2) (lambda (eta-3) (DataC-45List-deleteBy arg-1 eta-2 eta-3))) eta-0 eta-1))) (DataC-45List-nubBy arg-1 arg-3) arg-2))))
(define DataC-45List-union (lambda (arg-1 ext-0 ext-1) (DataC-45List-unionBy (lambda (eta-0) (lambda (eta-1) (let ((e-1 (car arg-1))) ((e-1 eta-0) eta-1)))) ext-0 ext-1)))
(define DataC-45List-transpose (lambda (arg-1) (if (null? arg-1) '() (let ((e-2 (car arg-1))) (let ((e-3 (cdr arg-1))) (DataC-45List-n--7672-7125-u--spreadHeads e-2 e-3 e-2 (DataC-45List-transpose e-3)))))))
(define DataC-45List-take (lambda (arg-1 arg-2) (cond ((equal? arg-1 0) '())(else (let ((e-0 (- arg-1 1))) (if (null? arg-2) '() (let ((e-2 (car arg-2))) (let ((e-3 (cdr arg-2))) (cons e-2 (DataC-45List-take e-0 e-3))))))))))
(define DataC-45List-tails (lambda (arg-1) (cons arg-1 (if (null? arg-1) '() (let ((e-3 (cdr arg-1))) (DataC-45List-tails e-3))))))
(define DataC-45List-tailC-39 (lambda (arg-1) (if (null? arg-1) '() (let ((e-3 (cdr arg-1))) (box e-3)))))
(define DataC-45List-splitAt (lambda (arg-1 arg-2) (cond ((equal? arg-1 0) (cons '() arg-2))(else (let ((e-0 (- arg-1 1))) (if (null? arg-2) (cons '() '()) (let ((e-3 (car arg-2))) (let ((e-4 (cdr arg-2))) (let ((sc1 (DataC-45List-splitAt e-0 e-4))) (let ((e-2 (car sc1))) (let ((e-5 (cdr sc1))) (cons (cons e-3 e-2) e-5))))))))))))
(define DataC-45List-split (lambda (arg-1 arg-2) (let ((sc0 (DataC-45List-break arg-1 arg-2))) (let ((e-2 (car sc0))) (let ((e-3 (cdr sc0))) (if (null? e-3) (DataC-45List1-singleton e-2) (let ((e-7 (cdr e-3))) (cons e-2 (DataC-45List1-forget (DataC-45List-split arg-1 e-7))))))))))
(define DataC-45List-spanBy (lambda (arg-2 arg-3) (if (null? arg-3) (cons '() '()) (let ((e-2 (car arg-3))) (let ((e-3 (cdr arg-3))) (let ((sc1 (arg-2 e-2))) (if (null? sc1) (cons '() (cons e-2 e-3)) (let ((e-4 (unbox sc1))) (let ((sc2 (DataC-45List-spanBy arg-2 e-3))) (let ((e-6 (car sc2))) (let ((e-5 (cdr sc2))) (cons (cons e-4 e-6) e-5))))))))))))
(define DataC-45List-span (lambda (arg-1 arg-2) (if (null? arg-2) (cons '() '()) (let ((e-2 (car arg-2))) (let ((e-3 (cdr arg-2))) (let ((sc1 (arg-1 e-2))) (cond ((equal? sc1 1) (let ((sc2 (DataC-45List-span arg-1 e-3))) (let ((e-5 (car sc2))) (let ((e-4 (cdr sc2))) (cons (cons e-2 e-5) e-4))))) (else (cons '() (cons e-2 e-3))))))))))
(define DataC-45List-sortBy (lambda (arg-1 arg-2) (if (null? arg-2) '() (let ((e-2 (car arg-2))) (let ((e-3 (cdr arg-2))) (if (null? e-3) (cons e-2 '()) (let ((sc2 (DataC-45List-n--7228-6698-u--split arg-2 arg-1 arg-2))) (let ((e-5 (car sc2))) (let ((e-4 (cdr sc2))) (DataC-45List-mergeBy arg-1 (DataC-45List-sortBy arg-1 e-5) (DataC-45List-sortBy arg-1 e-4)))))))))))
(define DataC-45List-sort (lambda (arg-1 ext-0) (DataC-45List-sortBy (lambda (eta-0) (lambda (eta-1) (let ((e-2 (vector-ref arg-1 1))) ((e-2 eta-0) eta-1)))) ext-0)))
(define DataC-45List-snoc (lambda (arg-1 arg-2) (PreludeC-45TypesC-45List-tailRecAppend arg-1 (cons arg-2 '()))))
(define DataC-45List-replicateTR (lambda (arg-1 arg-2 arg-3) (cond ((equal? arg-2 0) arg-1)(else (let ((e-0 (- arg-2 1))) (DataC-45List-replicateTR (cons arg-3 arg-1) e-0 arg-3))))))
(define DataC-45List-replaceWhen (lambda (arg-1 arg-2 arg-3) (((csegen-25) (lambda (u--c) (let ((sc0 (arg-1 u--c))) (cond ((equal? sc0 1) arg-2) (else u--c))))) arg-3)))
(define DataC-45List-replaceOn (lambda (arg-1 arg-2 ext-0 ext-1) (DataC-45List-replaceWhen (lambda (arg-0) (let ((e-1 (car arg-1))) ((e-1 arg-0) arg-2))) ext-0 ext-1)))
(define DataC-45List-partition (lambda (arg-1 arg-2) (if (null? arg-2) (cons '() '()) (let ((e-2 (car arg-2))) (let ((e-3 (cdr arg-2))) (let ((sc1 (DataC-45List-partition arg-1 e-3))) (let ((e-5 (car sc1))) (let ((e-4 (cdr sc1))) (let ((sc2 (arg-1 e-2))) (cond ((equal? sc2 1) (cons (cons e-2 e-5) e-4)) (else (cons e-5 (cons e-2 e-4)))))))))))))
(define DataC-45List-nubBy (lambda (ext-0 ext-1) (DataC-45List-n--4380-3930-u--nubByC-39 '() ext-0 ext-1)))
(define DataC-45List-nub (lambda (arg-1 ext-0) (DataC-45List-nubBy (lambda (eta-0) (lambda (eta-1) (let ((e-1 (car arg-1))) ((e-1 eta-0) eta-1)))) ext-0)))
(define DataC-45List-mergeReplicate (lambda (arg-1 arg-2) (if (null? arg-2) '() (let ((e-2 (car arg-2))) (let ((e-3 (cdr arg-2))) (cons arg-1 (cons e-2 (DataC-45List-mergeReplicate arg-1 e-3))))))))
(define DataC-45List-mergeBy (lambda (arg-1 arg-2 arg-3) (if (null? arg-2) arg-3 (if (null? arg-3) arg-2 (let ((e-1 (car arg-2))) (let ((e-2 (cdr arg-2))) (let ((e-4 (car arg-3))) (let ((e-5 (cdr arg-3))) (let ((sc4 ((arg-1 e-1) e-4))) (cond ((equal? sc4 0) (cons e-1 (DataC-45List-mergeBy arg-1 e-2 (cons e-4 e-5))))(else (cons e-4 (DataC-45List-mergeBy arg-1 (cons e-1 e-2) e-5)))))))))))))
(define DataC-45List-lookupBy (lambda (arg-3 arg-4 arg-5) (if (null? arg-5) '() (let ((e-2 (car arg-5))) (let ((e-3 (cdr arg-5))) (let ((e-6 (car e-2))) (let ((e-7 (cdr e-2))) (let ((sc2 ((arg-3 arg-4) e-6))) (cond ((equal? sc2 1) (box e-7)) (else (DataC-45List-lookupBy arg-3 arg-4 e-3)))))))))))
(define DataC-45List-lookup (lambda (arg-2 ext-0 ext-1) (DataC-45List-lookupBy (lambda (eta-0) (lambda (eta-1) (let ((e-1 (car arg-2))) ((e-1 eta-0) eta-1)))) ext-0 ext-1)))
(define DataC-45List-last (lambda (arg-1) (let ((e-1 (car arg-1))) (let ((e-2 (cdr arg-1))) (if (null? e-2) e-1 (DataC-45List-last e-2))))))
(define DataC-45List-isSuffixOfBy (lambda (arg-2 arg-3 arg-4) (DataC-45List-isPrefixOfBy arg-2 (PreludeC-45TypesC-45List-reverse arg-3) (PreludeC-45TypesC-45List-reverse arg-4))))
(define DataC-45List-isSuffixOf (lambda (arg-1 ext-0 ext-1) (DataC-45List-isSuffixOfBy (lambda (eta-0) (lambda (eta-1) (let ((e-1 (car arg-1))) ((e-1 eta-0) eta-1)))) ext-0 ext-1)))
(define DataC-45List-isPrefixOfBy (lambda (arg-2 arg-3 arg-4) (if (null? arg-3) 1 (if (null? arg-4) 0 (let ((e-1 (car arg-3))) (let ((e-2 (cdr arg-3))) (let ((e-4 (car arg-4))) (let ((e-5 (cdr arg-4))) (let ((sc4 ((arg-2 e-1) e-4))) (cond ((equal? sc4 1) (DataC-45List-isPrefixOfBy arg-2 e-2 e-5)) (else 0)))))))))))
(define DataC-45List-isPrefixOf (lambda (arg-1 ext-0 ext-1) (DataC-45List-isPrefixOfBy (lambda (eta-0) (lambda (eta-1) (let ((e-1 (car arg-1))) ((e-1 eta-0) eta-1)))) ext-0 ext-1)))
(define DataC-45List-isNil (lambda (arg-1) (if (null? arg-1) 1 0)))
(define DataC-45List-isInfixOf (lambda (arg-1 arg-2 arg-3) (PreludeC-45Interfaces-any (csegen-16) (lambda (eta-0) (DataC-45List-isPrefixOf arg-1 arg-2 eta-0)) (DataC-45List-tails arg-3))))
(define DataC-45List-isCons (lambda (arg-1) (if (null? arg-1) 0 1)))
(define DataC-45List-intersperse (lambda (arg-1 arg-2) (if (null? arg-2) '() (let ((e-2 (car arg-2))) (let ((e-3 (cdr arg-2))) (cons e-2 (DataC-45List-mergeReplicate arg-1 e-3)))))))
(define DataC-45List-intersectAllBy (lambda (arg-1 arg-2) (if (null? arg-2) '() (let ((e-2 (car arg-2))) (let ((e-3 (cdr arg-2))) (PreludeC-45TypesC-45List-filterAppend '() (lambda (u--x) (PreludeC-45Interfaces-all (csegen-16) (lambda (eta-0) (PreludeC-45Types-elemBy (csegen-16) arg-1 u--x eta-0)) e-3)) e-2))))))
(define DataC-45List-intersectAll (lambda (arg-1 ext-0) (DataC-45List-intersectAllBy (lambda (eta-0) (lambda (eta-1) (let ((e-1 (car arg-1))) ((e-1 eta-0) eta-1)))) ext-0)))
(define DataC-45List-init (lambda (arg-1) (let ((e-1 (car arg-1))) (let ((e-2 (cdr arg-1))) (if (null? e-2) '() (cons e-1 (DataC-45List-init e-2)))))))
(define DataC-45List-headC-39 (lambda (arg-1) (if (null? arg-1) '() (let ((e-2 (car arg-1))) (box e-2)))))
(define DataC-45List-head (lambda (arg-1) (let ((e-1 (car arg-1))) e-1)))
(define DataC-45List-find (lambda (arg-1 arg-2) (if (null? arg-2) '() (let ((e-2 (car arg-2))) (let ((e-3 (cdr arg-2))) (let ((sc1 (arg-1 e-2))) (cond ((equal? sc1 1) (box e-2)) (else (DataC-45List-find arg-1 e-3)))))))))
(define DataC-45List-dropWhile (lambda (arg-1 arg-2) (if (null? arg-2) '() (let ((e-2 (car arg-2))) (let ((e-3 (cdr arg-2))) (let ((sc1 (arg-1 e-2))) (cond ((equal? sc1 1) (DataC-45List-dropWhile arg-1 e-3)) (else (cons e-2 e-3)))))))))
(define DataC-45List-drop (lambda (arg-1 arg-2) (cond ((equal? arg-1 0) arg-2)(else (let ((e-0 (- arg-1 1))) (if (null? arg-2) '() (let ((e-4 (cdr arg-2))) (DataC-45List-drop e-0 e-4))))))))
(define DataC-45List-deleteBy (lambda (arg-2 arg-3 arg-4) (if (null? arg-4) '() (let ((e-2 (car arg-4))) (let ((e-3 (cdr arg-4))) (let ((sc1 ((arg-2 arg-3) e-2))) (cond ((equal? sc1 1) e-3) (else (cons e-2 (DataC-45List-deleteBy arg-2 arg-3 e-3))))))))))
(define DataC-45List-delete (lambda (arg-1 ext-0 ext-1) (DataC-45List-deleteBy (lambda (eta-0) (lambda (eta-1) (let ((e-1 (car arg-1))) ((e-1 eta-0) eta-1)))) ext-0 ext-1)))
(define DataC-45List-catMaybes (lambda (ext-0) (PreludeC-45TypesC-45List-mapMaybeAppend '() (lambda (eta-0) eta-0) ext-0)))
(define DataC-45List-break (lambda (arg-1 arg-2) (DataC-45List-span (lambda (eta-0) (let ((sc0 (arg-1 eta-0))) (cond ((equal? sc0 1) 0) (else 1)))) arg-2)))
(define DataC-45List-C-92C-92 (lambda (arg-1 ext-0 ext-1) (PreludeC-45Types-u--foldl_Foldable_List (lambda (eta-0) (lambda (eta-1) (PreludeC-45Basics-flip (lambda (eta-2) (lambda (eta-3) (DataC-45List-delete arg-1 eta-2 eta-3))) eta-0 eta-1))) ext-0 ext-1)))
(define DataC-45Fuel-forever(blodwen-lazy (lambda () (box (lambda () (DataC-45Fuel-forever))))))
(define SystemC-45FileC-45Process-popen (lambda (arg-1 arg-2 arg-3) (let ((e-1 (car arg-1))) (let ((e-4 (vector-ref e-1 1))) ((((e-4 'erased) 'erased) (let ((e-6 (cdr arg-1))) ((e-6 'erased) (lambda (eta-0) (SystemC-45FileC-45Process-prim__popen arg-2 (SystemC-45FileC-45Mode-modeStr arg-3) eta-0))))) (lambda (u--ptr) (let ((sc1 (PreludeC-45EqOrd-u--C-47C-61_Eq_Int (PrimIO-prim__nullAnyPtr u--ptr) (blodwen-toSignedInt 0 63)))) (cond ((equal? sc1 1) (SystemC-45FileC-45Error-returnError arg-1)) (else (let ((e-7 (car arg-1))) (let ((e-10 (vector-ref e-7 0))) (let ((e-12 (vector-ref e-10 1))) ((e-12 'erased) (vector 1 u--ptr))))))))))))))
(define SystemC-45FileC-45Process-pclose (lambda (arg-1 arg-2) (let ((eff-0 arg-2)) (let ((e-2 (cdr arg-1))) ((e-2 'erased) (lambda (eta-0) (SystemC-45FileC-45Process-prim__pclose eff-0 eta-0)))))))
(define SystemC-45FileC-45Process-fflush (lambda (arg-1 arg-2) (let ((eff-0 arg-2)) (((let ((eff-1 (let ((e-1 (car arg-1))) (let ((e-5 (vector-ref e-1 0))) (let ((e-8 (vector-ref e-5 0))) e-8))))) (lambda (arg-0) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-0) arg-3)))) (lambda (eta-0) (vector 0 ))) (let ((e-2 (cdr arg-1))) ((e-2 'erased) (lambda (eta-0) (SystemC-45FileC-45Process-prim__flush eff-0 eta-0))))))))
(define SystemC-45FileC-45Permissions-n--2633-966-u--getMs (lambda (arg-0 ext-0) (PreludeC-45Interfaces-sum (csegen-258) (csegen-16) (((csegen-25) (lambda (eta-0) (SystemC-45FileC-45Permissions-n--2633-965-u--getM arg-0 eta-0))) ext-0))))
(define SystemC-45FileC-45Permissions-n--2633-965-u--getM (lambda (arg-0 arg-1) (cond ((equal? arg-1 0) 4) ((equal? arg-1 1) 2) (else 1))))
(define SystemC-45FileC-45Permissions-mkMode (lambda (arg-0) (bs+ (bs+ (bs* (SystemC-45FileC-45Permissions-n--2633-966-u--getMs arg-0 (let ((e-0 (vector-ref arg-0 0))) e-0)) 64 63) (bs* (SystemC-45FileC-45Permissions-n--2633-966-u--getMs arg-0 (let ((e-1 (vector-ref arg-0 1))) e-1)) 8 63) 63) (SystemC-45FileC-45Permissions-n--2633-966-u--getMs arg-0 (let ((e-2 (vector-ref arg-0 2))) e-2)) 63)))
(define SystemC-45FileC-45Permissions-chmodRaw (lambda (arg-1 arg-2 arg-3) (let ((e-1 (car arg-1))) (let ((e-4 (vector-ref e-1 1))) ((((e-4 'erased) 'erased) (let ((e-6 (cdr arg-1))) ((e-6 'erased) (lambda (eta-0) (SystemC-45FileC-45Permissions-prim__chmod arg-2 arg-3 eta-0))))) (lambda (u--ok) (let ((sc1 (PreludeC-45EqOrd-u--C-61C-61_Eq_Int u--ok (blodwen-toSignedInt 0 63)))) (cond ((equal? sc1 1) (let ((e-7 (car arg-1))) (let ((e-10 (vector-ref e-7 0))) (let ((e-12 (vector-ref e-10 1))) ((e-12 'erased) (vector 1 (vector 0 ))))))) (else (SystemC-45FileC-45Error-returnError arg-1))))))))))
(define SystemC-45FileC-45Permissions-chmod (lambda (arg-1 arg-2 arg-3) (SystemC-45FileC-45Permissions-chmodRaw arg-1 arg-2 (SystemC-45FileC-45Permissions-mkMode arg-3))))
(define SystemC-45FileC-45Meta-firstExists (lambda (arg-1 arg-2) (if (null? arg-2) (let ((e-1 (car arg-1))) (let ((e-5 (vector-ref e-1 0))) (let ((e-7 (vector-ref e-5 1))) ((e-7 'erased) '())))) (let ((e-2 (car arg-2))) (let ((e-3 (cdr arg-2))) (let ((e-1 (car arg-1))) (let ((e-6 (vector-ref e-1 1))) ((((e-6 'erased) 'erased) (SystemC-45FileC-45Meta-exists arg-1 e-2)) (lambda (bind-0) (cond ((equal? bind-0 1) (let ((e-9 (car arg-1))) (let ((e-12 (vector-ref e-9 0))) (let ((e-14 (vector-ref e-12 1))) ((e-14 'erased) (box e-2)))))) (else (SystemC-45FileC-45Meta-firstExists arg-1 e-3))))))))))))
(define SystemC-45FileC-45Meta-fileSize (lambda (arg-1 arg-2) (let ((eff-0 arg-2)) (let ((e-1 (car arg-1))) (let ((e-4 (vector-ref e-1 1))) ((((e-4 'erased) 'erased) (let ((e-6 (cdr arg-1))) ((e-6 'erased) (lambda (eta-0) (SystemC-45FileC-45Meta-prim__fileSize eff-0 eta-0))))) (lambda (u--res) (let ((sc1 (PreludeC-45EqOrd-u--C-62C-61_Ord_Int u--res (blodwen-toSignedInt 0 63)))) (cond ((equal? sc1 1) (SystemC-45FileC-45Support-ok arg-1 u--res)) (else (SystemC-45FileC-45Error-returnError arg-1)))))))))))
(define SystemC-45FileC-45Meta-fileModifiedTime (lambda (arg-1 arg-2) (let ((eff-0 arg-2)) (let ((e-1 (car arg-1))) (let ((e-4 (vector-ref e-1 1))) ((((e-4 'erased) 'erased) (let ((e-6 (cdr arg-1))) ((e-6 'erased) (lambda (eta-0) (SystemC-45FileC-45Meta-prim__fileModifiedTime eff-0 eta-0))))) (lambda (u--res) (let ((sc1 (PreludeC-45EqOrd-u--C-62_Ord_Int u--res (blodwen-toSignedInt 0 63)))) (cond ((equal? sc1 1) (SystemC-45FileC-45Support-ok arg-1 u--res)) (else (SystemC-45FileC-45Error-returnError arg-1)))))))))))
(define SystemC-45FileC-45Meta-exists (lambda (arg-1 arg-2) (let ((e-1 (car arg-1))) (let ((e-4 (vector-ref e-1 1))) ((((e-4 'erased) 'erased) (SystemC-45FileC-45Handle-openFile arg-1 arg-2 0)) (lambda (_-0) (case (vector-ref _-0 0) ((1) (let ((e-6 (vector-ref _-0 1))) (PreludeC-45Interfaces-C-62C-62 (let ((e-8 (car arg-1))) e-8) (SystemC-45FileC-45Handle-closeFile arg-1 e-6) (lambda () (let ((e-8 (car arg-1))) (let ((e-11 (vector-ref e-8 0))) (let ((e-13 (vector-ref e-11 1))) ((e-13 'erased) 1)))))))) (else (let ((e-8 (car arg-1))) (let ((e-11 (vector-ref e-8 0))) (let ((e-13 (vector-ref e-11 1))) ((e-13 'erased) 0))))))))))))
(define SystemC-45FileC-45Buffer-writeBufferToFile (lambda (arg-1 arg-2 arg-3 arg-4) (let ((e-1 (car arg-1))) (let ((e-4 (vector-ref e-1 1))) ((((e-4 'erased) 'erased) (SystemC-45FileC-45Handle-openFile arg-1 arg-2 1)) (lambda (_-0) (case (vector-ref _-0 0) ((1) (let ((e-6 (vector-ref _-0 1))) (let ((e-8 (car arg-1))) (let ((e-10 (vector-ref e-8 1))) ((((e-10 'erased) 'erased) (SystemC-45FileC-45Buffer-writeBufferData arg-1 e-6 arg-3 0 arg-4)) (lambda (_-1) (case (vector-ref _-1 0) ((1) (let ((e-12 (vector-ref _-1 1))) (PreludeC-45Interfaces-C-62C-62 (let ((e-14 (car arg-1))) e-14) (SystemC-45FileC-45Handle-closeFile arg-1 e-6) (lambda () (let ((e-14 (car arg-1))) (let ((e-17 (vector-ref e-14 0))) (let ((e-19 (vector-ref e-17 1))) ((e-19 'erased) (vector 1 e-12))))))))) (else (let ((e-12 (vector-ref _-1 1))) (let ((e-14 (car arg-1))) (let ((e-17 (vector-ref e-14 0))) (let ((e-19 (vector-ref e-17 1))) ((e-19 'erased) (vector 0 e-12)))))))))))))) (else (let ((e-6 (vector-ref _-0 1))) (let ((e-8 (car arg-1))) (let ((e-11 (vector-ref e-8 0))) (let ((e-13 (vector-ref e-11 1))) ((e-13 'erased) (vector 0 (cons e-6 (blodwen-toSignedInt 0 63))))))))))))))))
(define SystemC-45FileC-45Buffer-writeBufferData (lambda (arg-1 arg-2 arg-3 arg-4 arg-5) (let ((eff-0 arg-2)) (let ((e-1 (car arg-1))) (let ((e-4 (vector-ref e-1 1))) ((((e-4 'erased) 'erased) (let ((e-6 (cdr arg-1))) ((e-6 'erased) (lambda (eta-0) (SystemC-45FileC-45Buffer-prim__writeBufferData eff-0 arg-3 arg-4 arg-5 eta-0))))) (lambda (u--written) (let ((sc1 (PreludeC-45EqOrd-u--C-61C-61_Eq_Int u--written arg-5))) (cond ((equal? sc1 1) (let ((e-7 (car arg-1))) (let ((e-10 (vector-ref e-7 0))) (let ((e-12 (vector-ref e-10 1))) ((e-12 'erased) (vector 1 (vector 0 ))))))) (else (let ((e-7 (car arg-1))) (let ((e-10 (vector-ref e-7 0))) (let ((e-12 (vector-ref e-10 1))) ((e-12 'erased) (vector 0 (cons (vector 2 ) u--written))))))))))))))))
(define SystemC-45FileC-45Buffer-readBufferData (lambda (arg-1 arg-2 arg-3 arg-4 arg-5) (let ((eff-0 arg-2)) (let ((e-1 (car arg-1))) (let ((e-4 (vector-ref e-1 1))) ((((e-4 'erased) 'erased) (let ((e-6 (cdr arg-1))) ((e-6 'erased) (lambda (eta-0) (SystemC-45FileC-45Buffer-prim__readBufferData eff-0 arg-3 arg-4 arg-5 eta-0))))) (lambda (u--read) (let ((sc1 (PreludeC-45EqOrd-u--C-62C-61_Ord_Int u--read (blodwen-toSignedInt 0 63)))) (cond ((equal? sc1 1) (let ((e-7 (car arg-1))) (let ((e-10 (vector-ref e-7 0))) (let ((e-12 (vector-ref e-10 1))) ((e-12 'erased) (vector 1 u--read)))))) (else (let ((e-7 (car arg-1))) (let ((e-10 (vector-ref e-7 0))) (let ((e-12 (vector-ref e-10 1))) ((e-12 'erased) (vector 0 (vector 1 ))))))))))))))))
(define SystemC-45FileC-45Buffer-createBufferFromFile (lambda (arg-1 arg-2) (let ((e-1 (car arg-1))) (let ((e-4 (vector-ref e-1 1))) ((((e-4 'erased) 'erased) (SystemC-45FileC-45Handle-openFile arg-1 arg-2 0)) (lambda (_-0) (case (vector-ref _-0 0) ((1) (let ((e-6 (vector-ref _-0 1))) (let ((e-8 (car arg-1))) (let ((e-10 (vector-ref e-8 1))) ((((e-10 'erased) 'erased) (SystemC-45FileC-45Meta-fileSize arg-1 e-6)) (lambda (_-1) (case (vector-ref _-1 0) ((1) (let ((e-12 (vector-ref _-1 1))) (let ((e-14 (car arg-1))) (let ((e-16 (vector-ref e-14 1))) ((((e-16 'erased) 'erased) (DataC-45Buffer-newBuffer arg-1 e-12)) (lambda (_-2) (if (null? _-2) (let ((e-19 (car arg-1))) (let ((e-22 (vector-ref e-19 0))) (let ((e-24 (vector-ref e-22 1))) ((e-24 'erased) (vector 0 (vector 1 )))))) (let ((e-18 (unbox _-2))) (let ((e-20 (car arg-1))) (let ((e-22 (vector-ref e-20 1))) ((((e-22 'erased) 'erased) (SystemC-45FileC-45Buffer-readBufferData arg-1 e-6 e-18 0 e-12)) (lambda (_-3) (case (vector-ref _-3 0) ((1) (PreludeC-45Interfaces-C-62C-62 (let ((e-26 (car arg-1))) e-26) (SystemC-45FileC-45Handle-closeFile arg-1 e-6) (lambda () (let ((e-26 (car arg-1))) (let ((e-29 (vector-ref e-26 0))) (let ((e-31 (vector-ref e-29 1))) ((e-31 'erased) (vector 1 e-18)))))))) (else (let ((e-24 (vector-ref _-3 1))) (let ((e-26 (car arg-1))) (let ((e-29 (vector-ref e-26 0))) (let ((e-31 (vector-ref e-29 1))) ((e-31 'erased) (vector 0 e-24)))))))))))))))))))) (else (let ((e-12 (vector-ref _-1 1))) (let ((e-14 (car arg-1))) (let ((e-17 (vector-ref e-14 0))) (let ((e-19 (vector-ref e-17 1))) ((e-19 'erased) (vector 0 e-12)))))))))))))) (else (let ((e-6 (vector-ref _-0 1))) (let ((e-8 (car arg-1))) (let ((e-11 (vector-ref e-8 0))) (let ((e-13 (vector-ref e-11 1))) ((e-13 'erased) (vector 0 e-6))))))))))))))
(define DataC-45Buffer-resizeBuffer (lambda (arg-1 arg-2 arg-3) (let ((e-1 (car arg-1))) (let ((e-4 (vector-ref e-1 1))) ((((e-4 'erased) 'erased) (DataC-45Buffer-newBuffer arg-1 arg-3)) (lambda (_-0) (if (null? _-0) (let ((e-7 (car arg-1))) (let ((e-10 (vector-ref e-7 0))) (let ((e-12 (vector-ref e-10 1))) ((e-12 'erased) '())))) (let ((e-6 (unbox _-0))) (let ((e-8 (car arg-1))) (let ((e-10 (vector-ref e-8 1))) ((((e-10 'erased) 'erased) (let ((e-13 (car arg-1))) (let ((e-16 (vector-ref e-13 0))) (let ((e-18 (vector-ref e-16 1))) ((e-18 'erased) (DataC-45Buffer-prim__bufferSize arg-2)))))) (lambda (u--oldsize) (let ((u--len (let ((sc3 (PreludeC-45EqOrd-u--C-60_Ord_Int arg-3 u--oldsize))) (cond ((equal? sc3 1) arg-3) (else u--oldsize))))) (PreludeC-45Interfaces-C-62C-62 (let ((e-13 (car arg-1))) e-13) (DataC-45Buffer-copyData arg-1 arg-2 0 u--len e-6 0) (lambda () (let ((e-13 (car arg-1))) (let ((e-16 (vector-ref e-13 0))) (let ((e-18 (vector-ref e-16 1))) ((e-18 'erased) (box e-6))))))))))))))))))))
(define DataC-45Buffer-newBuffer (lambda (arg-1 arg-2) (let ((sc0 (PreludeC-45EqOrd-u--C-62C-61_Ord_Int arg-2 (blodwen-toSignedInt 0 63)))) (cond ((equal? sc0 1) (let ((e-1 (car arg-1))) (let ((e-4 (vector-ref e-1 1))) ((((e-4 'erased) 'erased) (let ((e-6 (cdr arg-1))) ((e-6 'erased) (lambda (eta-0) (DataC-45Buffer-prim__newBuffer arg-2 eta-0))))) (lambda (u--buf) (let ((e-7 (car arg-1))) (let ((e-10 (vector-ref e-7 0))) (let ((e-12 (vector-ref e-10 1))) ((e-12 'erased) (box u--buf)))))))))) (else (let ((e-1 (car arg-1))) (let ((e-5 (vector-ref e-1 0))) (let ((e-7 (vector-ref e-5 1))) ((e-7 'erased) '())))))))))
(define DataC-45Buffer-copyData (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (let ((e-2 (cdr arg-1))) ((e-2 'erased) (lambda (eta-0) (DataC-45Buffer-prim__copyData arg-2 arg-3 arg-4 arg-5 arg-6 eta-0))))))
(define IdrisC-45Env-envs(blodwen-lazy (lambda () (cons (cons "EDITOR" "Editor used in REPL :e command") (cons (cons "IDRIS2_PREFIX" "Idris2 installation prefix") (cons (cons "IDRIS2_PATH" "Places Idris2 looks for import files") (cons (cons "IDRIS2_PACKAGE_PATH" "Places Idris2 looks for packages") (cons (cons "IDRIS2_DATA" "Places Idris2 looks for data files") (cons (cons "IDRIS2_LIBS" "Places Idris2 looks for libraries (for code generation)") (cons (cons "IDRIS2_CG" "Codegen backend") (cons (cons "IDRIS2_INC_CGS" "Code generators to use (comma separated) when compiling modules incrementally") (cons (cons "CHEZ" "chez executable used in Chez codegen") (cons (cons "RACKET" "racket executable used in Racket codegen") (cons (cons "RACKET_RACO" "raco executable used in Racket codegen") (cons (cons "GAMBIT_GSI" "gsi executable used in Gambit codegen") (cons (cons "GAMBIT_GSC" "gsc executable used in Gambit codegen") (cons (cons "GAMBIT_GSC_BACKEND" "gsc executable backend argument") (cons (cons "IDRIS2_CC" "C compiler executable used in RefC codegen") (cons (cons "CC" "C compiler executable used in RefC codegen") (cons (cons "NODE" "node executable used in Node codegen") (cons (cons "PATH" "PATH variable is used to search for executables in certain codegens") '())))))))))))))))))))))
(define System-system (lambda (arg-1 arg-2) (let ((e-2 (cdr arg-1))) ((e-2 'erased) (lambda (eta-0) (System-prim__system arg-2 eta-0))))))
(define System-getEnv (lambda (arg-1 arg-2) (let ((e-1 (car arg-1))) (let ((e-4 (vector-ref e-1 1))) ((((e-4 'erased) 'erased) (let ((e-6 (cdr arg-1))) ((e-6 'erased) (lambda (eta-0) (System-prim__getEnv arg-2 eta-0))))) (lambda (u--env) (let ((sc1 (PreludeC-45EqOrd-u--C-47C-61_Eq_Int (PrimIO-prim__nullAnyPtr (PrimIO-prim__forgetPtr u--env)) (blodwen-toSignedInt 0 63)))) (cond ((equal? sc1 1) (let ((e-7 (car arg-1))) (let ((e-10 (vector-ref e-7 0))) (let ((e-12 (vector-ref e-10 1))) ((e-12 'erased) '()))))) (else (let ((e-7 (car arg-1))) (let ((e-10 (vector-ref e-7 0))) (let ((e-12 (vector-ref e-10 1))) ((e-12 'erased) (box (PreludeC-45IO-prim__getString u--env)))))))))))))))
(define System-getArgs (lambda (arg-1) (let ((e-1 (car arg-1))) (let ((e-4 (vector-ref e-1 1))) ((((e-4 'erased) 'erased) (let ((e-6 (cdr arg-1))) ((e-6 'erased) (lambda (eta-0) (System-prim__getArgCount eta-0))))) (lambda (u--n) (let ((sc1 (PreludeC-45EqOrd-u--C-62_Ord_Int u--n (blodwen-toSignedInt 0 63)))) (cond ((equal? sc1 1) (PreludeC-45Interfaces-for (let ((e-7 (car arg-1))) (let ((e-10 (vector-ref e-7 0))) e-10)) (csegen-284) (PreludeC-45Types-u--rangeFromTo_Range_C-36a (csegen-302) 0 (bs- u--n 1 63)) (lambda (eta-0) (let ((e-6 (cdr arg-1))) ((e-6 'erased) (lambda (eta-1) (System-prim__getArg eta-0 eta-1))))))) (else (let ((e-7 (car arg-1))) (let ((e-10 (vector-ref e-7 0))) (let ((e-12 (vector-ref e-10 1))) ((e-12 'erased) '())))))))))))))
(define System-exitWith (lambda (arg-2 arg-3) (if (null? arg-3) (let ((e-2 (cdr arg-2))) ((e-2 'erased) (lambda (eta-0) (System-prim__exit 0 eta-0)))) (let ((e-0 (car arg-3))) (let ((e-2 (cdr arg-2))) ((e-2 'erased) (lambda (eta-0) (System-prim__exit e-0 eta-0))))))))
(define DataC-45String-with--parseIntegerC-44parseIntTrimmed-7706 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (cond ((equal? arg-4 "") (if (null? arg-5) '() (let ((e-0 (car arg-5))) (let ((e-1 (cdr arg-5))) (let ((sc3 (PreludeC-45EqOrd-u--C-61C-61_Eq_Char e-0 #\-))) (cond ((equal? sc3 1) (((csegen-77) (lambda (u--y) (let ((e-2 (vector-ref arg-2 1))) (e-2 (let ((e-5 (vector-ref arg-1 2))) (e-5 u--y)))))) (DataC-45String-parseNumWithoutSign (PreludeC-45Types-fastUnpack e-1) 0))) (else (let ((sc4 (PreludeC-45EqOrd-u--C-61C-61_Eq_Char e-0 #\+))) (cond ((equal? sc4 1) (((csegen-77) (lambda (eta-0) (let ((e-3 (vector-ref arg-1 2))) (e-3 eta-0)))) (DataC-45String-parseNumWithoutSign (PreludeC-45Types-fastUnpack e-1) 0))) (else (let ((sc5 (let ((sc6 (PreludeC-45EqOrd-u--C-62C-61_Ord_Char e-0 #\0))) (cond ((equal? sc6 1) (PreludeC-45EqOrd-u--C-60C-61_Ord_Char e-0 #\9)) (else 0))))) (cond ((equal? sc5 1) (((csegen-77) (lambda (eta-0) (let ((e-3 (vector-ref arg-1 2))) (e-3 eta-0)))) (DataC-45String-parseNumWithoutSign (PreludeC-45Types-fastUnpack e-1) (bs- (cast-char-boundedInt e-0 63) (cast-char-boundedInt #\0 63) 63)))) (else '())))))))))))))(else (let ((e-0 (car arg-5))) (let ((e-1 (cdr arg-5))) (let ((sc1 (PreludeC-45EqOrd-u--C-61C-61_Eq_Char e-0 #\-))) (cond ((equal? sc1 1) (((csegen-77) (lambda (u--y) (let ((e-2 (vector-ref arg-2 1))) (e-2 (let ((e-5 (vector-ref arg-1 2))) (e-5 u--y)))))) (DataC-45String-parseNumWithoutSign (PreludeC-45Types-fastUnpack e-1) 0))) (else (let ((sc2 (PreludeC-45EqOrd-u--C-61C-61_Eq_Char e-0 #\+))) (cond ((equal? sc2 1) (((csegen-77) (lambda (eta-0) (let ((e-3 (vector-ref arg-1 2))) (e-3 eta-0)))) (DataC-45String-parseNumWithoutSign (PreludeC-45Types-fastUnpack e-1) 0))) (else (let ((sc3 (let ((sc4 (PreludeC-45EqOrd-u--C-62C-61_Ord_Char e-0 #\0))) (cond ((equal? sc4 1) (PreludeC-45EqOrd-u--C-60C-61_Ord_Char e-0 #\9)) (else 0))))) (cond ((equal? sc3 1) (((csegen-77) (lambda (eta-0) (let ((e-3 (vector-ref arg-1 2))) (e-3 eta-0)))) (DataC-45String-parseNumWithoutSign (PreludeC-45Types-fastUnpack e-1) (bs- (cast-char-boundedInt e-0 63) (cast-char-boundedInt #\0 63) 63)))) (else '())))))))))))))))
(define DataC-45String-with--parsePositiveC-44parsePosTrimmed-7593 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (cond ((equal? arg-3 "") (if (null? arg-4) '() (let ((e-0 (car arg-4))) (let ((e-1 (cdr arg-4))) (cond ((equal? e-0 #\+) (((csegen-77) (lambda (eta-0) (let ((e-3 (vector-ref arg-1 2))) (e-3 eta-0)))) (DataC-45String-parseNumWithoutSign (PreludeC-45Types-fastUnpack e-1) 0)))(else (let ((sc3 (let ((sc4 (PreludeC-45EqOrd-u--C-62C-61_Ord_Char e-0 #\0))) (cond ((equal? sc4 1) (PreludeC-45EqOrd-u--C-60C-61_Ord_Char e-0 #\9)) (else 0))))) (cond ((equal? sc3 1) (((csegen-77) (lambda (eta-0) (let ((e-3 (vector-ref arg-1 2))) (e-3 eta-0)))) (DataC-45String-parseNumWithoutSign (PreludeC-45Types-fastUnpack e-1) (bs- (cast-char-boundedInt e-0 63) (cast-char-boundedInt #\0 63) 63)))) (else '())))))))))(else (let ((e-0 (car arg-4))) (let ((e-1 (cdr arg-4))) (cond ((equal? e-0 #\+) (((csegen-77) (lambda (eta-0) (let ((e-3 (vector-ref arg-1 2))) (e-3 eta-0)))) (DataC-45String-parseNumWithoutSign (PreludeC-45Types-fastUnpack e-1) 0)))(else (let ((sc1 (let ((sc2 (PreludeC-45EqOrd-u--C-62C-61_Ord_Char e-0 #\0))) (cond ((equal? sc2 1) (PreludeC-45EqOrd-u--C-60C-61_Ord_Char e-0 #\9)) (else 0))))) (cond ((equal? sc1 1) (((csegen-77) (lambda (eta-0) (let ((e-3 (vector-ref arg-1 2))) (e-3 eta-0)))) (DataC-45String-parseNumWithoutSign (PreludeC-45Types-fastUnpack e-1) (bs- (cast-char-boundedInt e-0 63) (cast-char-boundedInt #\0 63) 63)))) (else '())))))))))))
(define DataC-45String-with--ltrim-7266 (lambda (arg-0 arg-1) (cond ((equal? arg-0 "") (case (vector-ref arg-1 0) ((0) "")(else (let ((e-0 (vector-ref arg-1 1))) (let ((e-1 (vector-ref arg-1 2))) (let ((e-2 (vector-ref arg-1 3))) (let ((u--str (string-cons e-0 e-1))) (let ((sc2 (PreludeC-45Types-isSpace e-0))) (cond ((equal? sc2 1) (DataC-45String-with--ltrim-7266 e-1 (e-2))) (else u--str))))))))))(else (let ((e-0 (vector-ref arg-1 1))) (let ((e-1 (vector-ref arg-1 2))) (let ((e-2 (vector-ref arg-1 3))) (let ((u--str (string-cons e-0 e-1))) (let ((sc1 (PreludeC-45Types-isSpace e-0))) (cond ((equal? sc1 1) (DataC-45String-with--ltrim-7266 e-1 (e-2))) (else u--str)))))))))))
(define DataC-45String-with--asList-7242 (lambda (arg-0 arg-1) (cond ((equal? arg-0 "") (if (null? arg-1) (vector 0 ) (let ((e-0 (car arg-1))) (let ((e-1 (cdr arg-1))) (vector 1 e-0 e-1 (lambda () (DataC-45String-asList e-1)))))))(else (let ((e-0 (car arg-1))) (let ((e-1 (cdr arg-1))) (vector 1 e-0 e-1 (lambda () (DataC-45String-asList e-1)))))))))
(define DataC-45String-n--3765-7004-u--wordsHelper (lambda (arg-0 arg-1 arg-2) (if (null? arg-1) arg-2 (cons arg-2 (PreludeC-45TypesC-45SnocList-C-60C-62C-62 arg-1 '())))))
(define DataC-45String-n--3765-7005-u--wordsC-39 (lambda (arg-0 arg-1 arg-2 arg-3) (if (null? arg-1) (PreludeC-45TypesC-45SnocList-C-60C-62C-62 (DataC-45String-n--3765-7004-u--wordsHelper arg-0 arg-2 arg-3) '()) (let ((e-1 (car arg-1))) (let ((e-2 (cdr arg-1))) (let ((sc1 (PreludeC-45Types-isSpace e-1))) (cond ((equal? sc1 1) (DataC-45String-n--3765-7005-u--wordsC-39 arg-0 e-2 '() (DataC-45String-n--3765-7004-u--wordsHelper arg-0 arg-2 arg-3))) (else (DataC-45String-n--3765-7005-u--wordsC-39 arg-0 e-2 (cons arg-2 e-1) arg-3)))))))))
(define DataC-45String-n--3737-6974-u--unlinesC-39 (lambda (arg-0) (if (null? arg-0) '() (let ((e-2 (car arg-0))) (let ((e-3 (cdr arg-0))) (cons e-2 (cons "\xa;" (DataC-45String-n--3737-6974-u--unlinesC-39 e-3))))))))
(define DataC-45String-n--4341-7587-u--parsePosTrimmed (lambda (arg-1 arg-2 arg-3) (DataC-45String-with--parsePositiveC-44parsePosTrimmed-7593 'erased arg-1 arg-3 arg-3 (DataC-45String-strM arg-3))))
(define DataC-45String-n--4445-7700-u--parseIntTrimmed (lambda (arg-1 arg-2 arg-3 arg-4) (DataC-45String-with--parseIntegerC-44parseIntTrimmed-7706 'erased arg-1 arg-2 arg-4 arg-4 (DataC-45String-strM arg-4))))
(define DataC-45String-n--3870-7104-u--linesHelp (lambda (arg-0 arg-1 arg-2) (if (null? arg-1) (if (null? arg-2) '() (if (null? arg-2) (cons (PreludeC-45TypesC-45List-reverse arg-1) '()) (let ((e-2 (car arg-2))) (let ((e-3 (cdr arg-2))) (cond ((equal? e-2 (integer->char 10)) (cons (PreludeC-45TypesC-45List-reverse arg-1) (DataC-45String-n--3870-7104-u--linesHelp arg-0 '() e-3))) ((equal? e-2 (integer->char 13)) (if (null? e-3) (cons (PreludeC-45TypesC-45List-reverse arg-1) (DataC-45String-n--3870-7104-u--linesHelp arg-0 '() e-3)) (let ((e-5 (car e-3))) (let ((e-6 (cdr e-3))) (cond ((equal? e-5 (integer->char 10)) (cons (PreludeC-45TypesC-45List-reverse arg-1) (DataC-45String-n--3870-7104-u--linesHelp arg-0 '() e-6)))(else (cons (PreludeC-45TypesC-45List-reverse arg-1) (DataC-45String-n--3870-7104-u--linesHelp arg-0 '() e-3))))))))(else (DataC-45String-n--3870-7104-u--linesHelp arg-0 (cons e-2 arg-1) e-3))))))) (if (null? arg-2) (cons (PreludeC-45TypesC-45List-reverse arg-1) '()) (let ((e-2 (car arg-2))) (let ((e-3 (cdr arg-2))) (cond ((equal? e-2 (integer->char 10)) (cons (PreludeC-45TypesC-45List-reverse arg-1) (DataC-45String-n--3870-7104-u--linesHelp arg-0 '() e-3))) ((equal? e-2 (integer->char 13)) (if (null? e-3) (cons (PreludeC-45TypesC-45List-reverse arg-1) (DataC-45String-n--3870-7104-u--linesHelp arg-0 '() e-3)) (let ((e-5 (car e-3))) (let ((e-6 (cdr e-3))) (cond ((equal? e-5 (integer->char 10)) (cons (PreludeC-45TypesC-45List-reverse arg-1) (DataC-45String-n--3870-7104-u--linesHelp arg-0 '() e-6)))(else (cons (PreludeC-45TypesC-45List-reverse arg-1) (DataC-45String-n--3870-7104-u--linesHelp arg-0 '() e-3))))))))(else (DataC-45String-n--3870-7104-u--linesHelp arg-0 (cons e-2 arg-1) e-3)))))))))
(define DataC-45String-words (lambda (arg-0) ((csegen-304) (DataC-45String-n--3765-7005-u--wordsC-39 arg-0 (PreludeC-45Types-fastUnpack arg-0) '() '()))))
(define DataC-45String-unwords (lambda (ext-0) (DataC-45String-joinBy " " ext-0)))
(define DataC-45String-trim (lambda (ext-0) (DataC-45String-ltrim (string-reverse (DataC-45String-ltrim (string-reverse ext-0))))))
(define DataC-45String-toLower (lambda (arg-0) (PreludeC-45Types-fastPack (((csegen-25) (lambda (eta-0) (PreludeC-45Types-toLower eta-0))) (PreludeC-45Types-fastUnpack arg-0)))))
(define DataC-45String-stringToNatOrZ (lambda (ext-0) (PreludeC-45Types-prim__integerToNat (cast-string-int ext-0))))
(define DataC-45String-strM (lambda (arg-0) (cond ((equal? arg-0 "") '())(else (cons (string-ref arg-0 0) (substring arg-0 1 (string-length arg-0)))))))
(define DataC-45String-split (lambda (arg-0 arg-1) (DataC-45List1-u--map_Functor_List1 (lambda (eta-0) (PreludeC-45Types-fastPack eta-0)) (DataC-45List-split arg-0 (PreludeC-45Types-fastUnpack arg-1)))))
(define DataC-45String-span (lambda (arg-0 arg-1) (let ((sc0 (DataC-45List-span arg-0 (PreludeC-45Types-fastUnpack arg-1)))) (let ((e-2 (car sc0))) (let ((e-3 (cdr sc0))) (cons (PreludeC-45Types-fastPack e-2) (PreludeC-45Types-fastPack e-3)))))))
(define DataC-45String-singleton (lambda (arg-0) (string-cons arg-0 "")))
(define DataC-45String-replicate (lambda (arg-0 arg-1) (PreludeC-45Types-fastPack (DataC-45List-replicateTR '() arg-0 arg-1))))
(define DataC-45String-parsePositive (lambda (arg-1 arg-2) (DataC-45String-n--4341-7587-u--parsePosTrimmed arg-1 arg-2 (DataC-45String-trim arg-2))))
(define DataC-45String-parseNumWithoutSign (lambda (arg-0 arg-1) (if (null? arg-0) (box arg-1) (let ((e-2 (car arg-0))) (let ((e-3 (cdr arg-0))) (let ((sc1 (let ((sc2 (PreludeC-45EqOrd-u--C-62C-61_Ord_Char e-2 #\0))) (cond ((equal? sc2 1) (PreludeC-45EqOrd-u--C-60C-61_Ord_Char e-2 #\9)) (else 0))))) (cond ((equal? sc1 1) (DataC-45String-parseNumWithoutSign e-3 (+ (* arg-1 10) (bs- (cast-char-boundedInt e-2 63) (cast-char-boundedInt #\0 63) 63)))) (else '()))))))))
(define DataC-45String-parseInteger (lambda (arg-1 arg-2 arg-3) (DataC-45String-n--4445-7700-u--parseIntTrimmed arg-1 arg-2 arg-3 (DataC-45String-trim arg-3))))
(define DataC-45String-ltrim (lambda (arg-0) (DataC-45String-with--ltrim-7266 arg-0 (DataC-45String-asList arg-0))))
(define DataC-45String-linesC-39 (lambda (arg-0) (DataC-45String-n--3870-7104-u--linesHelp arg-0 '() arg-0)))
(define DataC-45String-lines (lambda (arg-0) ((csegen-304) (DataC-45String-linesC-39 (PreludeC-45Types-fastUnpack arg-0)))))
(define DataC-45String-joinBy (lambda (arg-0 arg-1) (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (DataC-45List-intersperse arg-0 arg-1))))
(define DataC-45String-isSuffixOf (lambda (arg-0 arg-1) (DataC-45List-isSuffixOf (csegen-19) (PreludeC-45Types-fastUnpack arg-0) (PreludeC-45Types-fastUnpack arg-1))))
(define DataC-45String-isPrefixOf (lambda (arg-0 arg-1) (DataC-45List-isPrefixOf (csegen-19) (PreludeC-45Types-fastUnpack arg-0) (PreludeC-45Types-fastUnpack arg-1))))
(define DataC-45String-isInfixOf (lambda (arg-0 arg-1) (DataC-45List-isInfixOf (csegen-19) (PreludeC-45Types-fastUnpack arg-0) (PreludeC-45Types-fastUnpack arg-1))))
(define DataC-45String-indent (lambda (arg-0 arg-1) (string-append (DataC-45String-replicate arg-0 #\ ) arg-1)))
(define DataC-45String-fastUnlines (lambda (ext-0) (PreludeC-45Types-fastConcat (DataC-45String-n--3737-6974-u--unlinesC-39 ext-0))))
(define DataC-45String-break (lambda (arg-0 ext-0) (DataC-45String-span (lambda (eta-0) (let ((sc0 (arg-0 eta-0))) (cond ((equal? sc0 1) 0) (else 1)))) ext-0)))
(define DataC-45String-asList (lambda (arg-0) (DataC-45String-with--asList-7242 arg-0 (DataC-45String-strM arg-0))))
(define IdrisC-45Syntax-n--13164-5012-u--showCase (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (case (vector-ref arg-6 0) ((0) (let ((e-2 (vector-ref arg-6 2))) (let ((e-3 (vector-ref arg-6 3))) (string-append (IdrisC-45Syntax-showPTerm arg-1 e-2) (string-append " => " (IdrisC-45Syntax-showPTerm arg-1 e-3)))))) ((1) " | <<with alts not possible>>") (else (let ((e-13 (vector-ref arg-6 2))) (string-append (IdrisC-45Syntax-showPTerm arg-1 e-13) " impossible"))))))
(define IdrisC-45Syntax-n--15747-7106-u--insertAll (lambda (arg-1 arg-2 arg-3 arg-4 arg-5) (if (null? arg-5) (lambda (eta-0) (vector 1 arg-4)) (let ((e-2 (car arg-5))) (let ((e-3 (cdr arg-5))) (let ((e-6 (car e-2))) (let ((e-7 (cdr e-2))) (let ((eff-0 (CoreC-45Context-u--resolved_HasNames_Name arg-3 e-6))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((e-4 (cdr arg-1))) ((e-4 arg-3) e-7)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-8 (vector-ref lcase-1 1))) (let ((eff-2 (IdrisC-45Syntax-n--15747-7106-u--insertAll arg-1 arg-2 arg-3 (LibrariesC-45DataC-45ANameMap-addName e-5 e-8 arg-4) e-3))) eff-2))))))))) eff-1))))))))))))))
(define IdrisC-45Syntax-n--15732-7056-u--insertAll (lambda (arg-1 arg-2 arg-3 arg-4 arg-5) (if (null? arg-5) (lambda (eta-0) (vector 1 arg-4)) (let ((e-2 (car arg-5))) (let ((e-3 (cdr arg-5))) (let ((e-6 (car e-2))) (let ((e-7 (cdr e-2))) (let ((eff-0 (CoreC-45Context-u--full_HasNames_Name arg-3 e-6))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((e-1 (car arg-1))) ((e-1 arg-3) e-7)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-8 (vector-ref lcase-1 1))) (let ((eff-2 (IdrisC-45Syntax-n--15732-7056-u--insertAll arg-1 arg-2 arg-3 (LibrariesC-45DataC-45ANameMap-addName e-5 e-8 arg-4) e-3))) eff-2))))))))) eff-1))))))))))))))
(define IdrisC-45Syntax-n--16024-7288-u--initSaveDocStrings(blodwen-lazy (lambda () (LibrariesC-45DataC-45NameMap-empty))))
(define IdrisC-45Syntax-n--16024-7286-u--initPrefix(blodwen-lazy (lambda () (LibrariesC-45DataC-45StringMap-fromList (cons (cons "-" (cons (vector 2 ) 10)) (cons (cons "negate" (cons (vector 2 ) 10)) '()))))))
(define IdrisC-45Syntax-n--16024-7285-u--initInfix(blodwen-lazy (lambda () (LibrariesC-45DataC-45StringMap-insert "=" (cons (vector 2 ) (cons 2 0)) (LibrariesC-45DataC-45StringMap-empty)))))
(define IdrisC-45Syntax-n--16024-7287-u--initDocStrings(blodwen-lazy (lambda () (LibrariesC-45DataC-45ANameMap-empty))))
(define IdrisC-45Syntax-n--11975-3468-u--getName (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (let ((e-3 (vector-ref arg-5 2))) e-3)))
(define IdrisC-45Syntax-n--13164-5758-u--dePure (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (case (vector-ref arg-6 0) ((7) (let ((e-1 (vector-ref arg-6 1))) (let ((e-2 (vector-ref arg-6 2))) (let ((e-3 (vector-ref arg-6 3))) (case (vector-ref e-2 0) ((0) (let ((e-5 (vector-ref e-2 1))) (let ((e-6 (vector-ref e-2 2))) (let ((u--tm (vector 7 e-1 (vector 0 e-5 e-6) e-3))) (let ((sc2 (CoreC-45Name-u--C-61C-61_Eq_Name (CoreC-45Name-dropNS (arg-1 e-6)) (vector 1 (vector 0 "pure"))))) (cond ((equal? sc2 1) e-3) (else u--tm)))))))(else arg-6))))))(else arg-6))))
(define IdrisC-45Syntax-n--13164-5759-u--deGuard (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (case (vector-ref arg-6 0) ((0) (let ((e-1 (vector-ref arg-6 1))) (let ((e-2 (vector-ref arg-6 2))) (case (vector-ref e-2 0) ((7) (let ((e-4 (vector-ref e-2 1))) (let ((e-5 (vector-ref e-2 2))) (let ((e-6 (vector-ref e-2 3))) (case (vector-ref e-5 0) ((0) (let ((e-8 (vector-ref e-5 1))) (let ((e-9 (vector-ref e-5 2))) (let ((u--tm (vector 0 e-1 (vector 7 e-4 (vector 0 e-8 e-9) e-6)))) (let ((sc3 (CoreC-45Name-u--C-61C-61_Eq_Name (CoreC-45Name-dropNS (arg-1 e-9)) (vector 1 (vector 0 "guard"))))) (cond ((equal? sc3 1) (vector 0 e-1 e-6)) (else u--tm)))))))(else arg-6))))))(else arg-6)))))(else arg-6))))
(define IdrisC-45Syntax-u--show_Show_PTypeDecl (lambda (arg-0) (let ((e-3 (vector-ref arg-0 2))) (let ((e-5 (vector-ref arg-0 4))) (DataC-45String-unwords (cons (CoreC-45Name-u--show_Show_Name e-3) (cons ":" (cons (IdrisC-45Syntax-u--show_Show_PTerm e-5) '()))))))))
(define IdrisC-45Syntax-u--show_Show_PTerm (lambda (arg-0) (IdrisC-45Syntax-u--showPrec_Show_PTerm (vector 0 ) arg-0)))
(define IdrisC-45Syntax-u--show_Show_PDecl (lambda (arg-0) (case (vector-ref arg-0 0) ((0) (let ((e-2 (vector-ref arg-0 2))) (let ((e-5 (vector-ref arg-0 5))) (string-append (Algebra-showCount e-2) (IdrisC-45Syntax-u--show_Show_PTypeDecl e-5))))) ((1) (let ((e-8 (vector-ref arg-0 2))) (DataC-45String-fastUnlines (PreludeC-45Interfaces-C-60C-36C-62 (csegen-24) (lambda (eta-0) (IdrisC-45Syntax-u--show_Show_PClause eta-0)) e-8)))) ((2) "PData") ((3) "PParameters") ((4) "PUsing") ((5) "PReflect") ((6) "PInterface") ((7) "PImplementation") ((8) "PRecord") ((9) (let ((e-56 (vector-ref arg-0 2))) (let ((e-57 (vector-ref arg-0 3))) (DataC-45String-fastUnlines (cons (DataC-45String-unwords (cons "failing" (PreludeC-45Types-maybe (lambda () '()) (lambda () (lambda (eta-0) (PreludeC-45Types-u--pure_Applicative_List (PreludeC-45Show-u--show_Show_String eta-0)))) e-56))) (PreludeC-45Interfaces-C-60C-36C-62 (csegen-24) (lambda (eta-0) (IdrisC-45Syntax-u--show_Show_PDecl eta-0)) e-57)))))) ((10) "PMutual") ((11) "PFixity") ((12) "PNamespace") ((13) "PTransform") ((14) "PRunElabDecl") ((15) "PDirective") (else "PBuiltin"))))
(define IdrisC-45Syntax-u--show_Show_PClause (lambda (arg-0) (case (vector-ref arg-0 0) ((0) (let ((e-2 (vector-ref arg-0 2))) (let ((e-3 (vector-ref arg-0 3))) (let ((e-4 (vector-ref arg-0 4))) (if (null? e-4) (DataC-45String-unwords (cons (IdrisC-45Syntax-u--show_Show_PTerm e-2) (cons "=" (cons (IdrisC-45Syntax-u--show_Show_PTerm e-3) '())))) "MkPatClause"))))) ((1) "MkWithClause") (else (let ((e-13 (vector-ref arg-0 2))) (DataC-45String-unwords (cons (IdrisC-45Syntax-u--show_Show_PTerm e-13) (cons "impossible" '()))))))))
(define IdrisC-45Syntax-u--show_Show_Method (lambda (arg-0) (let ((e-0 (vector-ref arg-0 0))) (let ((e-1 (vector-ref arg-0 1))) (let ((e-2 (vector-ref arg-0 2))) (let ((e-3 (vector-ref arg-0 3))) (string-append "[" (string-append (PreludeC-45Show-u--show_Show_C-40MaybeC-32C-36aC-41 (cons (lambda (u--x) (CoreC-45TT-u--show_Show_TotalReq u--x)) (lambda (u--d) (lambda (u--x) (CoreC-45TT-u--showPrec_Show_TotalReq u--d u--x)))) e-2) (string-append "] " (string-append (AlgebraC-45ZeroOneOmega-u--show_Show_ZeroOneOmega e-1) (string-append " " (string-append (CoreC-45Name-u--show_Show_Name e-0) (string-append " : " (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 (csegen-100) e-3))))))))))))))
(define IdrisC-45Syntax-u--show_Show_Import (lambda (arg-0) (let ((e-1 (vector-ref arg-0 1))) (let ((e-2 (vector-ref arg-0 2))) (let ((e-3 (vector-ref arg-0 3))) (DataC-45String-unwords (DataC-45List-catMaybes (cons (box "import") (cons ((PreludeC-45Interfaces-C-60C-36 (csegen-76) "public") (PreludeC-45Interfaces-guard (csegen-326) e-1)) (cons (box (CoreC-45NameC-45Namespace-u--show_Show_ModuleIdent e-2)) (cons ((PreludeC-45Interfaces-C-60C-36 (csegen-76) (string-append "as " (CoreC-45NameC-45Namespace-u--show_Show_Namespace e-3))) (PreludeC-45Interfaces-guard (csegen-326) (CoreC-45NameC-45Namespace-u--C-47C-61_Eq_Namespace (CoreC-45NameC-45Namespace-miAsNamespace e-2) e-3))) '())))))))))))
(define IdrisC-45Syntax-u--show_Show_IPTerm (lambda (arg-0) (IdrisC-45Syntax-u--showPrec_Show_IPTerm (vector 0 ) arg-0)))
(define IdrisC-45Syntax-u--show_Show_Fixity (lambda (arg-0) (cond ((equal? arg-0 0) "infixl") ((equal? arg-0 1) "infixr") ((equal? arg-0 2) "infix") (else "prefix"))))
(define IdrisC-45Syntax-u--showPrec_Show_PTerm (lambda (ext-0 ext-1) (IdrisC-45Syntax-showPTermPrec (lambda (eta-0) eta-0) ext-0 ext-1)))
(define IdrisC-45Syntax-u--showPrec_Show_Method (lambda (arg-0 arg-1) (IdrisC-45Syntax-u--show_Show_Method arg-1)))
(define IdrisC-45Syntax-u--showPrec_Show_Import (lambda (arg-0 arg-1) (IdrisC-45Syntax-u--show_Show_Import arg-1)))
(define IdrisC-45Syntax-u--showPrec_Show_IPTerm (lambda (ext-0 ext-1) (IdrisC-45Syntax-showPTermPrec (csegen-327) ext-0 ext-1)))
(define IdrisC-45Syntax-u--resolved_HasNames_SyntaxInfo (lambda (arg-0 arg-1) (let ((eff-0 (IdrisC-45Syntax-u--resolved_HasNames_C-40ANameMapC-32C-36aC-41 (csegen-330) arg-0 (let ((e-6 (vector-ref arg-1 6))) e-6)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45Context-u--resolved_HasNames_Name arg-0 eta-0)) (let ((e-9 (vector-ref arg-1 9))) e-9) '()))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (let ((e-0 (vector-ref arg-1 0))) (let ((e-1 (vector-ref arg-1 1))) (let ((e-2 (vector-ref arg-1 2))) (let ((e-3 (vector-ref arg-1 3))) (let ((e-4 (vector-ref arg-1 4))) (let ((e-14 (vector-ref arg-1 5))) (let ((e-7 (vector-ref arg-1 7))) (let ((e-8 (vector-ref arg-1 8))) (let ((e-10 (vector-ref arg-1 10))) (let ((e-11 (vector-ref arg-1 11))) (let ((e-12 (vector-ref arg-1 12))) (vector e-0 e-1 e-2 e-3 e-4 e-14 e-5 e-7 e-8 e-6 e-10 e-11 e-12)))))))))))))))) eff-2))))))))) eff-1)))))))))
(define IdrisC-45Syntax-u--resolved_HasNames_IFaceInfo (lambda (arg-0 arg-1 ext-0) (vector 1 arg-1)))
(define IdrisC-45Syntax-u--resolved_HasNames_C-40ANameMapC-32C-36aC-41 (lambda (arg-1 arg-2 arg-3) (IdrisC-45Syntax-n--15747-7106-u--insertAll arg-1 arg-3 arg-2 (LibrariesC-45DataC-45ANameMap-empty) (LibrariesC-45DataC-45ANameMap-toList arg-3))))
(define IdrisC-45Syntax-u--pretty_Pretty_Void_REPLOpt (lambda (arg-0) (case (vector-ref arg-0 0) ((0) (let ((e-0 (vector-ref arg-0 1))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 ((csegen-331) "showimplicits") (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-equals) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--pretty_Pretty_Void_String (PreludeC-45Show-u--show_Show_Bool e-0)))))) ((1) (let ((e-1 (vector-ref arg-0 1))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 ((csegen-331) "shownamespace") (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-equals) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--pretty_Pretty_Void_String (PreludeC-45Show-u--show_Show_Bool e-1)))))) ((2) (let ((e-2 (vector-ref arg-0 1))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 ((csegen-331) "showmachinenames") (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-equals) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--pretty_Pretty_Void_String (PreludeC-45Show-u--show_Show_Bool e-2)))))) ((3) (let ((e-3 (vector-ref arg-0 1))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "showtypes") (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-equals) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--pretty_Pretty_Void_String (PreludeC-45Show-u--show_Show_Bool e-3)))))) ((4) (let ((e-4 (vector-ref arg-0 1))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "eval") (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-equals) (IdrisC-45Syntax-u--pretty_Pretty_Void_REPLEval e-4))))) ((5) (let ((e-5 (vector-ref arg-0 1))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "editor") (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-equals) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--pretty_Pretty_Void_String e-5))))) ((6) (let ((e-6 (vector-ref arg-0 1))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "cg") (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-equals) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--pretty_Pretty_Void_String e-6))))) ((7) (let ((e-7 (vector-ref arg-0 1))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "profile") (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-equals) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--pretty_Pretty_Void_String (PreludeC-45Show-u--show_Show_Bool e-7)))))) (else (let ((e-8 (vector-ref arg-0 1))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 ((csegen-331) "evaltiming") (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-equals) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--pretty_Pretty_Void_String (PreludeC-45Show-u--show_Show_Bool e-8)))))))))
(define IdrisC-45Syntax-u--pretty_Pretty_Void_REPLEval (lambda (arg-0) (cond ((equal? arg-0 0) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--pretty_Pretty_Void_String ((csegen-0) "typecheck"))) ((equal? arg-0 1) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--pretty_Pretty_Void_String ((csegen-0) "normalise"))) ((equal? arg-0 2) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--pretty_Pretty_Void_String ((csegen-0) "execute"))) (else (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--pretty_Pretty_Void_String ((csegen-0) "scheme"))))))
(define IdrisC-45Syntax-u--prettyPrec_Pretty_Void_REPLOpt (lambda (arg-0 arg-1) (IdrisC-45Syntax-u--pretty_Pretty_Void_REPLOpt arg-1)))
(define IdrisC-45Syntax-u--full_HasNames_SyntaxInfo (lambda (arg-0 arg-1) (let ((eff-0 (IdrisC-45Syntax-u--full_HasNames_C-40ANameMapC-32C-36aC-41 (csegen-330) arg-0 (let ((e-6 (vector-ref arg-1 6))) e-6)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45Context-u--full_HasNames_Name arg-0 eta-0)) (let ((e-9 (vector-ref arg-1 9))) e-9) '()))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (let ((e-0 (vector-ref arg-1 0))) (let ((e-1 (vector-ref arg-1 1))) (let ((e-2 (vector-ref arg-1 2))) (let ((e-3 (vector-ref arg-1 3))) (let ((e-4 (vector-ref arg-1 4))) (let ((e-14 (vector-ref arg-1 5))) (let ((e-7 (vector-ref arg-1 7))) (let ((e-8 (vector-ref arg-1 8))) (let ((e-10 (vector-ref arg-1 10))) (let ((e-11 (vector-ref arg-1 11))) (let ((e-12 (vector-ref arg-1 12))) (vector e-0 e-1 e-2 e-3 e-4 e-14 e-5 e-7 e-8 e-6 e-10 e-11 e-12)))))))))))))))) eff-2))))))))) eff-1)))))))))
(define IdrisC-45Syntax-u--full_HasNames_IFaceInfo (lambda (arg-0 arg-1 ext-0) (vector 1 arg-1)))
(define IdrisC-45Syntax-u--full_HasNames_C-40ANameMapC-32C-36aC-41 (lambda (arg-1 arg-2 arg-3) (IdrisC-45Syntax-n--15732-7056-u--insertAll arg-1 arg-3 arg-2 (LibrariesC-45DataC-45ANameMap-empty) (LibrariesC-45DataC-45ANameMap-toList arg-3))))
(define IdrisC-45Syntax-u--C-61C-61_Eq_Pass (lambda (arg-0 arg-1) (cond ((equal? arg-0 0) (cond ((equal? arg-1 0) 1)(else 0))) ((equal? arg-0 1) (cond ((equal? arg-1 1) 1)(else 0))) ((equal? arg-0 2) (cond ((equal? arg-1 2) 1)(else 0)))(else 0))))
(define IdrisC-45Syntax-withSyn (lambda (arg-1 ext-0) (CoreC-45Core-wrapRef (vector "Idris.Syntax.Syn" ) arg-1 (lambda (_-7393) (lambda (eta-0) (vector 1 (vector 0 )))) ext-0)))
(define IdrisC-45Syntax-typePass (lambda (arg-0) (let ((sc0 (IdrisC-45Syntax-u--C-61C-61_Eq_Pass arg-0 0))) (cond ((equal? sc0 1) 1) (else (IdrisC-45Syntax-u--C-61C-61_Eq_Pass arg-0 1))))))
(define IdrisC-45Syntax-showUpdate (lambda (arg-1 arg-2) (case (vector-ref arg-2 0) ((0) (let ((e-1 (vector-ref arg-2 1))) (let ((e-2 (vector-ref arg-2 2))) (string-append (CoreC-45NameC-45Namespace-showSep "." e-1) (string-append " = " (IdrisC-45Syntax-showPTerm arg-1 e-2)))))) (else (let ((e-4 (vector-ref arg-2 1))) (let ((e-5 (vector-ref arg-2 2))) (string-append (CoreC-45NameC-45Namespace-showSep "." e-4) (string-append " $= " (IdrisC-45Syntax-showPTerm arg-1 e-5)))))))))
(define IdrisC-45Syntax-showPTermPrec (lambda (arg-1 arg-2 arg-3) (case (vector-ref arg-3 0) ((0) (let ((e-2 (vector-ref arg-3 2))) (CoreC-45Name-u--showPrec_Show_Name arg-2 (arg-1 e-2)))) ((1) (let ((e-5 (vector-ref arg-3 2))) (let ((e-6 (vector-ref arg-3 3))) (let ((e-7 (vector-ref arg-3 4))) (let ((e-8 (vector-ref arg-3 5))) (let ((e-9 (vector-ref arg-3 6))) (case (vector-ref e-6 0) ((1) (if (null? e-7) (string-append (IdrisC-45Syntax-showPTermPrec arg-1 arg-2 e-8) (string-append " -> " (IdrisC-45Syntax-showPTermPrec arg-1 arg-2 e-9))) (let ((e-212 (unbox e-7))) (string-append "(" (string-append (Algebra-showCount e-5) (string-append (CoreC-45Name-u--showPrec_Show_Name arg-2 e-212) (string-append " : " (string-append (IdrisC-45Syntax-showPTermPrec arg-1 arg-2 e-8) (string-append ") -> " (IdrisC-45Syntax-showPTermPrec arg-1 arg-2 e-9)))))))))) ((0) (if (null? e-7) (string-append "{" (string-append (Algebra-showCount e-5) (string-append "_ : " (string-append (IdrisC-45Syntax-showPTermPrec arg-1 arg-2 e-8) (string-append "} -> " (IdrisC-45Syntax-showPTermPrec arg-1 arg-2 e-9)))))) (let ((e-215 (unbox e-7))) (string-append "{" (string-append (Algebra-showCount e-5) (string-append (CoreC-45Name-u--showPrec_Show_Name arg-2 e-215) (string-append " : " (string-append (IdrisC-45Syntax-showPTermPrec arg-1 arg-2 e-8) (string-append "} -> " (IdrisC-45Syntax-showPTermPrec arg-1 arg-2 e-9)))))))))) ((2) (if (null? e-7) (string-append (IdrisC-45Syntax-showPTermPrec arg-1 arg-2 e-8) (string-append " => " (IdrisC-45Syntax-showPTermPrec arg-1 arg-2 e-9))) (let ((e-218 (unbox e-7))) (string-append "{auto " (string-append (Algebra-showCount e-5) (string-append (CoreC-45Name-u--showPrec_Show_Name arg-2 e-218) (string-append " : " (string-append (IdrisC-45Syntax-showPTermPrec arg-1 arg-2 e-8) (string-append "} -> " (IdrisC-45Syntax-showPTermPrec arg-1 arg-2 e-9)))))))))) (else (let ((e-209 (vector-ref e-6 1))) (if (null? e-7) (string-append "{default " (string-append (IdrisC-45Syntax-showPTermPrec arg-1 (vector 6 ) e-209) (string-append " " (string-append (Algebra-showCount e-5) (string-append "_ : " (string-append (IdrisC-45Syntax-showPTermPrec arg-1 arg-2 e-8) (string-append "} -> " (IdrisC-45Syntax-showPTermPrec arg-1 arg-2 e-9)))))))) (let ((e-221 (unbox e-7))) (string-append "{default " (string-append (IdrisC-45Syntax-showPTermPrec arg-1 (vector 6 ) e-209) (string-append " " (string-append (Algebra-showCount e-5) (string-append (CoreC-45Name-u--showPrec_Show_Name arg-2 e-221) (string-append " : " (string-append (IdrisC-45Syntax-showPTermPrec arg-1 arg-2 e-8) (string-append "} -> " (IdrisC-45Syntax-showPTermPrec arg-1 arg-2 e-9)))))))))))))))))))) ((2) (let ((e-12 (vector-ref arg-3 2))) (let ((e-14 (vector-ref arg-3 4))) (let ((e-15 (vector-ref arg-3 5))) (let ((e-16 (vector-ref arg-3 6))) (case (vector-ref e-15 0) ((25) (string-append "\\" (string-append (Algebra-showCount e-12) (string-append (IdrisC-45Syntax-showPTermPrec arg-1 arg-2 e-14) (string-append " => " (IdrisC-45Syntax-showPTermPrec arg-1 arg-2 e-16))))))(else (string-append "\\" (string-append (Algebra-showCount e-12) (string-append (IdrisC-45Syntax-showPTermPrec arg-1 arg-2 e-14) (string-append " : " (string-append (IdrisC-45Syntax-showPTermPrec arg-1 arg-2 e-15) (string-append " => " (IdrisC-45Syntax-showPTermPrec arg-1 arg-2 e-16)))))))))))))) ((3) (let ((e-19 (vector-ref arg-3 2))) (let ((e-20 (vector-ref arg-3 3))) (let ((e-21 (vector-ref arg-3 4))) (let ((e-22 (vector-ref arg-3 5))) (let ((e-23 (vector-ref arg-3 6))) (let ((e-24 (vector-ref arg-3 7))) (case (vector-ref e-21 0) ((25) (string-append "let " (string-append (Algebra-showCount e-19) (string-append (IdrisC-45Syntax-showPTermPrec arg-1 arg-2 e-20) (string-append " = " (string-append (IdrisC-45Syntax-showPTermPrec arg-1 arg-2 e-22) (string-append " in " (IdrisC-45Syntax-showPTermPrec arg-1 arg-2 e-23))))))))(else (string-append "let " (string-append (Algebra-showCount e-19) (string-append (IdrisC-45Syntax-showPTermPrec arg-1 arg-2 e-20) (string-append " : " (string-append (IdrisC-45Syntax-showPTermPrec arg-1 arg-2 e-21) (string-append " = " (string-append (IdrisC-45Syntax-showPTermPrec arg-1 arg-2 e-22) (string-append (PreludeC-45Interfaces-concatMap (csegen-85) (csegen-16) (lambda (eta-0) (IdrisC-45Syntax-showAlt arg-1 eta-0)) e-24) (string-append " in " (IdrisC-45Syntax-showPTermPrec arg-1 arg-2 e-23))))))))))))))))))) ((4) (let ((e-26 (vector-ref arg-3 1))) (let ((e-27 (vector-ref arg-3 2))) (let ((e-28 (vector-ref arg-3 3))) (string-append "case " (string-append (IdrisC-45Syntax-showPTerm arg-1 e-27) (string-append " of { " (string-append (CoreC-45NameC-45Namespace-showSep " ; " (((csegen-25) (lambda (eta-0) (IdrisC-45Syntax-n--13164-5012-u--showCase arg-1 arg-2 e-26 e-28 e-27 eta-0))) e-28)) " }")))))))) ((5) (let ((e-32 (vector-ref arg-3 3))) (string-append "let { << definitions >>  } in " (IdrisC-45Syntax-showPTermPrec arg-1 arg-2 e-32)))) ((6) (let ((e-35 (vector-ref arg-3 2))) (string-append "record { " (string-append (CoreC-45NameC-45Namespace-showSep ", " (((csegen-25) (lambda (eta-0) (IdrisC-45Syntax-showUpdate arg-1 eta-0))) e-35)) " }")))) ((7) (let ((e-38 (vector-ref arg-3 2))) (let ((e-39 (vector-ref arg-3 3))) (let ((u--catchall (lambda () (string-append (IdrisC-45Syntax-showPTermPrec arg-1 (vector 6 ) e-38) (string-append " " (IdrisC-45Syntax-showPTermPrec arg-1 (vector 6 ) e-39)))))) (case (vector-ref e-38 0) ((0) (let ((e-1 (vector-ref e-38 1))) (let ((e-2 (vector-ref e-38 2))) (let ((u--f (vector 0 e-1 e-2))) (let ((sc2 (DataC-45Maybe-isJust (CoreC-45Name-isRF (arg-1 e-2))))) (cond ((equal? sc2 1) (string-append (IdrisC-45Syntax-showPTermPrec arg-1 (vector 6 ) e-39) (string-append " " (IdrisC-45Syntax-showPTermPrec arg-1 (vector 6 ) u--f)))) (else (u--catchall))))))))(else (u--catchall))))))) ((8) (let ((e-42 (vector-ref arg-3 2))) (let ((e-43 (vector-ref arg-3 3))) (string-append (IdrisC-45Syntax-showPTermPrec arg-1 arg-2 e-42) (string-append " | " (IdrisC-45Syntax-showPTermPrec arg-1 arg-2 e-43)))))) ((10) (let ((e-46 (vector-ref arg-3 2))) (let ((e-47 (vector-ref arg-3 3))) (string-append (IdrisC-45Syntax-showPTermPrec arg-1 arg-2 e-46) (string-append " @{" (string-append (IdrisC-45Syntax-showPTermPrec arg-1 arg-2 e-47) "}")))))) ((11) (let ((e-50 (vector-ref arg-3 2))) (let ((e-51 (vector-ref arg-3 3))) (cond ((equal? e-50 0) (PreludeC-45Show-showParens (PreludeC-45Show-u--C-62C-61_Ord_Prec arg-2 (vector 6 )) (string-append "Inf " (IdrisC-45Syntax-showPTermPrec arg-1 (vector 6 ) e-51))))(else (PreludeC-45Show-showParens (PreludeC-45Show-u--C-62C-61_Ord_Prec arg-2 (vector 6 )) (string-append "Lazy " (IdrisC-45Syntax-showPTermPrec arg-1 (vector 6 ) e-51)))))))) ((12) (let ((e-54 (vector-ref arg-3 2))) (PreludeC-45Show-showParens (PreludeC-45Show-u--C-62C-61_Ord_Prec arg-2 (vector 6 )) (string-append "Delay " (IdrisC-45Syntax-showPTermPrec arg-1 (vector 6 ) e-54))))) ((13) (let ((e-57 (vector-ref arg-3 2))) (PreludeC-45Show-showParens (PreludeC-45Show-u--C-62C-61_Ord_Prec arg-2 (vector 6 )) (string-append "Force " (IdrisC-45Syntax-showPTermPrec arg-1 (vector 6 ) e-57))))) ((9) (let ((e-60 (vector-ref arg-3 2))) (let ((e-61 (vector-ref arg-3 3))) (let ((e-62 (vector-ref arg-3 4))) (case (vector-ref e-62 0) ((0) (let ((e-228 (vector-ref e-62 2))) (let ((sc2 (CoreC-45Name-u--C-61C-61_Eq_Name e-61 (arg-1 e-228)))) (cond ((equal? sc2 1) (string-append (IdrisC-45Syntax-showPTermPrec arg-1 arg-2 e-60) (string-append " {" (string-append (CoreC-45Name-u--showPrec_Show_Name arg-2 e-61) "}")))) (else (string-append (IdrisC-45Syntax-showPTermPrec arg-1 arg-2 e-60) (string-append " {" (string-append (CoreC-45Name-u--showPrec_Show_Name arg-2 e-61) (string-append " = " (string-append (CoreC-45Name-u--showPrec_Show_Name arg-2 (arg-1 e-228)) "}"))))))))))(else (string-append (IdrisC-45Syntax-showPTermPrec arg-1 arg-2 e-60) (string-append " {" (string-append (CoreC-45Name-u--showPrec_Show_Name arg-2 e-61) (string-append " = " (string-append (IdrisC-45Syntax-showPTermPrec arg-1 arg-2 e-62) "}"))))))))))) ((14) "%search") ((16) (let ((e-68 (vector-ref arg-3 2))) (string-append "`(" (string-append (IdrisC-45Syntax-showPTermPrec arg-1 arg-2 e-68) ")")))) ((17) (let ((e-71 (vector-ref arg-3 2))) (string-append "`{" (string-append (CoreC-45Name-u--showPrec_Show_Name arg-2 e-71) "}")))) ((18) "`[ <<declaration>> ]") ((19) (let ((e-77 (vector-ref arg-3 2))) (string-append "~(" (string-append (IdrisC-45Syntax-showPTermPrec arg-1 arg-2 e-77) ")")))) ((20) (let ((e-80 (vector-ref arg-3 2))) (string-append "%runElab " (IdrisC-45Syntax-showPTermPrec arg-1 arg-2 e-80)))) ((15) (let ((e-83 (vector-ref arg-3 2))) (CoreC-45TT-u--showPrec_Show_Constant arg-2 e-83))) ((21) (let ((e-87 (vector-ref arg-3 3))) (string-append "?" e-87))) ((22) "Type") ((23) (let ((e-93 (vector-ref arg-3 3))) (let ((e-94 (vector-ref arg-3 4))) (string-append (CoreC-45Name-u--showPrec_Show_Name arg-2 e-93) (string-append "@" (IdrisC-45Syntax-showPTermPrec arg-1 arg-2 e-94)))))) ((24) (let ((e-97 (vector-ref arg-3 2))) (string-append "." (IdrisC-45Syntax-showPTermPrec arg-1 arg-2 e-97)))) ((25) "_") ((26) "?") ((27) (let ((e-105 (vector-ref arg-3 3))) (let ((e-106 (vector-ref arg-3 4))) (let ((e-107 (vector-ref arg-3 5))) (string-append (IdrisC-45Syntax-showPTermPrec arg-1 arg-2 e-106) (string-append " " (string-append (IdrisC-45Syntax-showOpPrec arg-1 arg-2 e-105) (string-append " " (IdrisC-45Syntax-showPTermPrec arg-1 arg-2 e-107))))))))) ((28) (let ((e-111 (vector-ref arg-3 3))) (let ((e-112 (vector-ref arg-3 4))) (string-append (IdrisC-45Syntax-showOpPrec arg-1 arg-2 e-111) (IdrisC-45Syntax-showPTermPrec arg-1 arg-2 e-112))))) ((29) (let ((e-116 (vector-ref arg-3 3))) (let ((e-117 (vector-ref arg-3 4))) (string-append "(" (string-append (IdrisC-45Syntax-showOpPrec arg-1 arg-2 e-116) (string-append " " (string-append (IdrisC-45Syntax-showPTermPrec arg-1 arg-2 e-117) ")"))))))) ((30) (let ((e-121 (vector-ref arg-3 3))) (let ((e-122 (vector-ref arg-3 4))) (string-append "(" (string-append (IdrisC-45Syntax-showPTermPrec arg-1 arg-2 e-121) (string-append " " (string-append (IdrisC-45Syntax-showOpPrec arg-1 arg-2 e-122) ")"))))))) ((31) (let ((e-125 (vector-ref arg-3 2))) (let ((e-126 (vector-ref arg-3 3))) (string-append (IdrisC-45Syntax-showPTermPrec arg-1 arg-2 e-125) (string-append " = " (IdrisC-45Syntax-showPTermPrec arg-1 arg-2 e-126)))))) ((32) (let ((e-129 (vector-ref arg-3 2))) (string-append "(" (string-append (IdrisC-45Syntax-showPTermPrec arg-1 arg-2 e-129) ")")))) ((33) (let ((e-132 (vector-ref arg-3 2))) (LibrariesC-45DataC-45StringC-45Extra-join " ++ " (csegen-16) (PreludeC-45Interfaces-C-60C-36C-62 (csegen-24) (lambda (eta-0) (IdrisC-45Syntax-showPStr arg-1 eta-0)) e-132)))) ((34) (let ((e-136 (vector-ref arg-3 3))) (string-append "multiline (" (string-append (LibrariesC-45DataC-45StringC-45Extra-join " ++ " (csegen-16) (PreludeC-45Interfaces-C-60C-36C-62 (csegen-24) (lambda (eta-0) (IdrisC-45Syntax-showPStr arg-1 eta-0)) (PreludeC-45Interfaces-concat (csegen-83) (csegen-16) e-136))) ")")))) ((35) (let ((e-140 (vector-ref arg-3 3))) (string-append "do " (CoreC-45NameC-45Namespace-showSep " ; " (((csegen-25) (lambda (eta-0) (IdrisC-45Syntax-showDo arg-1 eta-0))) e-140))))) ((36) (let ((e-143 (vector-ref arg-3 2))) (string-append "!" (IdrisC-45Syntax-showPTermPrec arg-1 arg-2 e-143)))) ((37) (let ((e-146 (vector-ref arg-3 2))) (let ((e-147 (vector-ref arg-3 3))) (if (null? e-146) (string-append "[|" (string-append (IdrisC-45Syntax-showPTermPrec arg-1 arg-2 e-147) "|]")) (let ((e-231 (unbox e-146))) (string-append (CoreC-45NameC-45Namespace-u--show_Show_Namespace e-231) (string-append ".[|" (string-append (IdrisC-45Syntax-showPTermPrec arg-1 arg-2 e-147) "|]")))))))) ((38) (let ((e-151 (vector-ref arg-3 3))) (string-append "[" (string-append (CoreC-45NameC-45Namespace-showSep ", " (((csegen-25) (lambda (eta-0) (IdrisC-45Syntax-showPTermPrec arg-1 arg-2 (Builtin-snd eta-0)))) e-151)) "]")))) ((39) (let ((e-155 (vector-ref arg-3 3))) (string-append "[<" (string-append (CoreC-45NameC-45Namespace-showSep ", " (((csegen-25) (lambda (eta-0) (IdrisC-45Syntax-showPTermPrec arg-1 arg-2 (Builtin-snd eta-0)))) (PreludeC-45TypesC-45SnocList-C-60C-62C-62 e-155 '()))) "]")))) ((40) (let ((e-158 (vector-ref arg-3 2))) (let ((e-159 (vector-ref arg-3 3))) (string-append "(" (string-append (IdrisC-45Syntax-showPTermPrec arg-1 arg-2 e-158) (string-append ", " (string-append (IdrisC-45Syntax-showPTermPrec arg-1 arg-2 e-159) ")"))))))) ((41) (let ((e-163 (vector-ref arg-3 3))) (let ((e-164 (vector-ref arg-3 4))) (let ((e-165 (vector-ref arg-3 5))) (case (vector-ref e-164 0) ((25) (string-append "(" (string-append (IdrisC-45Syntax-showPTermPrec arg-1 arg-2 e-163) (string-append " ** " (string-append (IdrisC-45Syntax-showPTermPrec arg-1 arg-2 e-165) ")")))))(else (string-append "(" (string-append (IdrisC-45Syntax-showPTermPrec arg-1 arg-2 e-163) (string-append " : " (string-append (IdrisC-45Syntax-showPTermPrec arg-1 arg-2 e-164) (string-append " ** " (string-append (IdrisC-45Syntax-showPTermPrec arg-1 arg-2 e-165) ")")))))))))))) ((42) "()") ((43) (let ((e-170 (vector-ref arg-3 2))) (let ((e-171 (vector-ref arg-3 3))) (let ((e-172 (vector-ref arg-3 4))) (string-append "if " (string-append (IdrisC-45Syntax-showPTermPrec arg-1 arg-2 e-170) (string-append " then " (string-append (IdrisC-45Syntax-showPTermPrec arg-1 arg-2 e-171) (string-append " else " (IdrisC-45Syntax-showPTermPrec arg-1 arg-2 e-172)))))))))) ((44) (let ((e-174 (vector-ref arg-3 1))) (let ((e-175 (vector-ref arg-3 2))) (let ((e-176 (vector-ref arg-3 3))) (string-append "[" (string-append (IdrisC-45Syntax-showPTermPrec arg-1 arg-2 (IdrisC-45Syntax-n--13164-5758-u--dePure arg-1 e-174 e-176 e-175 arg-2 e-175)) (string-append " | " (string-append (CoreC-45NameC-45Namespace-showSep ", " (((csegen-25) (lambda (eta-0) (IdrisC-45Syntax-showDo arg-1 (IdrisC-45Syntax-n--13164-5759-u--deGuard arg-1 e-174 e-176 e-175 arg-2 eta-0)))) e-176)) "]")))))))) ((45) (let ((e-179 (vector-ref arg-3 2))) (let ((e-180 (vector-ref arg-3 3))) (string-append "rewrite " (string-append (IdrisC-45Syntax-showPTermPrec arg-1 arg-2 e-179) (string-append " in " (IdrisC-45Syntax-showPTermPrec arg-1 arg-2 e-180))))))) ((46) (let ((e-183 (vector-ref arg-3 2))) (let ((e-184 (vector-ref arg-3 3))) (let ((e-185 (vector-ref arg-3 4))) (if (null? e-184) (string-append "[" (string-append (IdrisC-45Syntax-showPTermPrec arg-1 arg-2 e-183) (string-append " .. " (string-append (IdrisC-45Syntax-showPTermPrec arg-1 arg-2 e-185) "]")))) (let ((e-236 (unbox e-184))) (string-append "[" (string-append (IdrisC-45Syntax-showPTermPrec arg-1 arg-2 e-183) (string-append ", " (string-append (IdrisC-45Syntax-showPTermPrec arg-1 arg-2 e-236) (string-append " .. " (string-append (IdrisC-45Syntax-showPTermPrec arg-1 arg-2 e-185) "]")))))))))))) ((47) (let ((e-188 (vector-ref arg-3 2))) (let ((e-189 (vector-ref arg-3 3))) (if (null? e-189) (string-append "[" (string-append (IdrisC-45Syntax-showPTermPrec arg-1 arg-2 e-188) " .. ]")) (let ((e-239 (unbox e-189))) (string-append "[" (string-append (IdrisC-45Syntax-showPTermPrec arg-1 arg-2 e-188) (string-append ", " (string-append (IdrisC-45Syntax-showPTermPrec arg-1 arg-2 e-239) " .. ]"))))))))) ((50) (let ((e-193 (vector-ref arg-3 3))) (IdrisC-45Syntax-showPTermPrec arg-1 arg-2 e-193))) ((48) (let ((e-196 (vector-ref arg-3 2))) (let ((e-197 (vector-ref arg-3 3))) (string-append (IdrisC-45Syntax-showPTermPrec arg-1 arg-2 e-196) (PreludeC-45Interfaces-concatMap (csegen-85) (csegen-16) (csegen-347) e-197))))) ((49) (let ((e-200 (vector-ref arg-3 2))) (PreludeC-45Interfaces-concatMap (csegen-85) (csegen-16) (csegen-347) e-200))) (else (let ((e-203 (vector-ref arg-3 2))) (let ((e-204 (vector-ref arg-3 3))) (string-append "with " (string-append (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-350) e-203) (string-append " " (IdrisC-45Syntax-showPTermPrec arg-1 arg-2 e-204))))))))))
(define IdrisC-45Syntax-showPTerm (lambda (arg-1 ext-0) (IdrisC-45Syntax-showPTermPrec arg-1 (vector 0 ) ext-0)))
(define IdrisC-45Syntax-showPStr (lambda (arg-1 arg-2) (case (vector-ref arg-2 0) ((0) (let ((e-2 (vector-ref arg-2 2))) (PreludeC-45Show-u--show_Show_String e-2))) (else (let ((e-5 (vector-ref arg-2 2))) (IdrisC-45Syntax-showPTerm arg-1 e-5))))))
(define IdrisC-45Syntax-showOpPrec (lambda (arg-1 arg-2 arg-3) (let ((u--op (arg-1 arg-3))) (let ((sc0 (CoreC-45Name-isOpName u--op))) (cond ((equal? sc0 1) (CoreC-45Name-u--showPrec_Show_Name arg-2 u--op)) (else (string-append "`" (string-append (CoreC-45Name-u--showPrec_Show_Name arg-2 u--op) "`"))))))))
(define IdrisC-45Syntax-showDo (lambda (arg-1 arg-2) (case (vector-ref arg-2 0) ((0) (let ((e-2 (vector-ref arg-2 2))) (IdrisC-45Syntax-showPTerm arg-1 e-2))) ((1) (let ((e-6 (vector-ref arg-2 3))) (let ((e-7 (vector-ref arg-2 4))) (string-append (CoreC-45Name-u--show_Show_Name e-6) (string-append " <- " (IdrisC-45Syntax-showPTerm arg-1 e-7)))))) ((2) (let ((e-10 (vector-ref arg-2 2))) (let ((e-11 (vector-ref arg-2 3))) (let ((e-12 (vector-ref arg-2 4))) (string-append (IdrisC-45Syntax-showPTerm arg-1 e-10) (string-append " <- " (string-append (IdrisC-45Syntax-showPTerm arg-1 e-11) (PreludeC-45Interfaces-concatMap (csegen-85) (csegen-16) (lambda (eta-0) (IdrisC-45Syntax-showAlt arg-1 eta-0)) e-12)))))))) ((3) (let ((e-16 (vector-ref arg-2 3))) (let ((e-19 (vector-ref arg-2 6))) (string-append "let " (string-append (CoreC-45Name-u--show_Show_Name e-16) (string-append " = " (IdrisC-45Syntax-showPTerm arg-1 e-19))))))) ((4) (let ((e-22 (vector-ref arg-2 2))) (let ((e-24 (vector-ref arg-2 4))) (let ((e-25 (vector-ref arg-2 5))) (string-append "let " (string-append (IdrisC-45Syntax-showPTerm arg-1 e-22) (string-append " = " (string-append (IdrisC-45Syntax-showPTerm arg-1 e-24) (PreludeC-45Interfaces-concatMap (csegen-85) (csegen-16) (lambda (eta-0) (IdrisC-45Syntax-showAlt arg-1 eta-0)) e-25))))))))) ((5) "let { << definitions >>  }") (else (let ((e-31 (vector-ref arg-2 2))) (string-append "rewrite " (IdrisC-45Syntax-showPTerm arg-1 e-31)))))))
(define IdrisC-45Syntax-showAlt (lambda (arg-1 arg-2) (case (vector-ref arg-2 0) ((0) (let ((e-2 (vector-ref arg-2 2))) (let ((e-3 (vector-ref arg-2 3))) (string-append " | " (string-append (IdrisC-45Syntax-showPTerm arg-1 e-2) (string-append " => " (string-append (IdrisC-45Syntax-showPTerm arg-1 e-3) ";"))))))) ((1) " | <<with alts not possible>>;") (else (let ((e-13 (vector-ref arg-2 2))) (string-append " | " (string-append (IdrisC-45Syntax-showPTerm arg-1 e-13) " impossible;")))))))
(define IdrisC-45Syntax-papply (lambda (arg-1 arg-2 arg-3) (if (null? arg-3) arg-2 (let ((e-2 (car arg-3))) (let ((e-3 (cdr arg-3))) (IdrisC-45Syntax-papply arg-1 (vector 7 arg-1 arg-2 e-2) e-3))))))
(define IdrisC-45Syntax-isStrLiteral (lambda (arg-0) (case (vector-ref arg-0 0) ((1) '()) (else (let ((e-4 (vector-ref arg-0 1))) (let ((e-5 (vector-ref arg-0 2))) (box (cons e-4 e-5))))))))
(define IdrisC-45Syntax-isStrInterp (lambda (arg-0) (case (vector-ref arg-0 0) ((1) (let ((e-1 (vector-ref arg-0 1))) (box e-1))) (else '()))))
(define IdrisC-45Syntax-isPDef (lambda (arg-0) (case (vector-ref arg-0 0) ((1) (let ((e-1 (vector-ref arg-0 1))) (let ((e-2 (vector-ref arg-0 2))) (box (cons e-1 e-2)))))(else '()))))
(define IdrisC-45Syntax-initSyntax(blodwen-lazy (lambda () (vector (IdrisC-45Syntax-n--16024-7285-u--initInfix) (IdrisC-45Syntax-n--16024-7286-u--initPrefix) '() (csegen-362) (csegen-362) '() (LibrariesC-45DataC-45ANameMap-empty) (IdrisC-45Syntax-n--16024-7288-u--initSaveDocStrings) (IdrisC-45Syntax-n--16024-7287-u--initDocStrings) '() '() (vector 0 (vector 2 ) (vector 1 (vector 0 "main"))) '()))))
(define IdrisC-45Syntax-getPTermLoc (lambda (arg-1) (case (vector-ref arg-1 0) ((0) (let ((e-1 (vector-ref arg-1 1))) e-1)) ((1) (let ((e-4 (vector-ref arg-1 1))) e-4)) ((2) (let ((e-11 (vector-ref arg-1 1))) e-11)) ((3) (let ((e-18 (vector-ref arg-1 1))) e-18)) ((4) (let ((e-26 (vector-ref arg-1 1))) e-26)) ((5) (let ((e-30 (vector-ref arg-1 1))) e-30)) ((6) (let ((e-34 (vector-ref arg-1 1))) e-34)) ((7) (let ((e-37 (vector-ref arg-1 1))) e-37)) ((8) (let ((e-41 (vector-ref arg-1 1))) e-41)) ((10) (let ((e-45 (vector-ref arg-1 1))) e-45)) ((9) (let ((e-49 (vector-ref arg-1 1))) e-49)) ((11) (let ((e-54 (vector-ref arg-1 1))) e-54)) ((12) (let ((e-58 (vector-ref arg-1 1))) e-58)) ((13) (let ((e-61 (vector-ref arg-1 1))) e-61)) ((14) (let ((e-64 (vector-ref arg-1 1))) e-64)) ((15) (let ((e-67 (vector-ref arg-1 1))) e-67)) ((16) (let ((e-70 (vector-ref arg-1 1))) e-70)) ((17) (let ((e-73 (vector-ref arg-1 1))) e-73)) ((18) (let ((e-76 (vector-ref arg-1 1))) e-76)) ((19) (let ((e-79 (vector-ref arg-1 1))) e-79)) ((20) (let ((e-82 (vector-ref arg-1 1))) e-82)) ((21) (let ((e-85 (vector-ref arg-1 1))) e-85)) ((22) (let ((e-89 (vector-ref arg-1 1))) e-89)) ((23) (let ((e-91 (vector-ref arg-1 1))) e-91)) ((24) (let ((e-96 (vector-ref arg-1 1))) e-96)) ((25) (let ((e-99 (vector-ref arg-1 1))) e-99)) ((26) (let ((e-101 (vector-ref arg-1 1))) e-101)) ((27) (let ((e-103 (vector-ref arg-1 1))) e-103)) ((28) (let ((e-109 (vector-ref arg-1 1))) e-109)) ((29) (let ((e-114 (vector-ref arg-1 1))) e-114)) ((30) (let ((e-119 (vector-ref arg-1 1))) e-119)) ((31) (let ((e-124 (vector-ref arg-1 1))) e-124)) ((32) (let ((e-128 (vector-ref arg-1 1))) e-128)) ((33) (let ((e-131 (vector-ref arg-1 1))) e-131)) ((34) (let ((e-134 (vector-ref arg-1 1))) e-134)) ((35) (let ((e-138 (vector-ref arg-1 1))) e-138)) ((36) (let ((e-142 (vector-ref arg-1 1))) e-142)) ((37) (let ((e-145 (vector-ref arg-1 1))) e-145)) ((38) (let ((e-149 (vector-ref arg-1 1))) e-149)) ((39) (let ((e-153 (vector-ref arg-1 1))) e-153)) ((40) (let ((e-157 (vector-ref arg-1 1))) e-157)) ((41) (let ((e-161 (vector-ref arg-1 1))) e-161)) ((42) (let ((e-167 (vector-ref arg-1 1))) e-167)) ((43) (let ((e-169 (vector-ref arg-1 1))) e-169)) ((44) (let ((e-174 (vector-ref arg-1 1))) e-174)) ((45) (let ((e-178 (vector-ref arg-1 1))) e-178)) ((46) (let ((e-182 (vector-ref arg-1 1))) e-182)) ((47) (let ((e-187 (vector-ref arg-1 1))) e-187)) ((48) (let ((e-191 (vector-ref arg-1 1))) e-191)) ((49) (let ((e-195 (vector-ref arg-1 1))) e-195)) ((50) (let ((e-198 (vector-ref arg-1 1))) e-198)) (else (let ((e-202 (vector-ref arg-1 1))) e-202)))))
(define IdrisC-45Syntax-getLoc (lambda (arg-1) (case (vector-ref arg-1 0) ((0) (let ((e-1 (vector-ref arg-1 1))) e-1)) ((1) (let ((e-4 (vector-ref arg-1 1))) e-4)) ((2) (let ((e-9 (vector-ref arg-1 1))) e-9)) ((3) (let ((e-14 (vector-ref arg-1 1))) e-14)) ((4) (let ((e-21 (vector-ref arg-1 1))) e-21)) ((5) (let ((e-27 (vector-ref arg-1 1))) e-27)) (else (let ((e-30 (vector-ref arg-1 1))) e-30)))))
(define IdrisC-45Syntax-definedInData (lambda (arg-0) (case (vector-ref arg-0 0) ((0) (let ((e-1 (vector-ref arg-0 1))) (let ((e-2 (vector-ref arg-0 2))) (let ((e-3 (vector-ref arg-0 3))) (let ((e-4 (vector-ref arg-0 4))) (let ((e-5 (vector-ref arg-0 5))) (cons e-2 (((csegen-25) (lambda (eta-0) (IdrisC-45Syntax-n--11975-3468-u--getName e-1 e-3 e-4 e-5 e-2 eta-0))) e-5)))))))) (else (let ((e-8 (vector-ref arg-0 2))) (cons e-8 '()))))))
(define IdrisC-45Syntax-definedIn (lambda (arg-0) (if (null? arg-0) '() (let ((e-2 (car arg-0))) (let ((e-3 (cdr arg-0))) (case (vector-ref e-2 0) ((0) (let ((e-9 (vector-ref e-2 5))) (let ((e-31 (vector-ref e-9 2))) (cons e-31 (IdrisC-45Syntax-definedIn e-3))))) ((2) (let ((e-15 (vector-ref e-2 5))) (PreludeC-45TypesC-45List-tailRecAppend (IdrisC-45Syntax-definedInData e-15) (IdrisC-45Syntax-definedIn e-3)))) ((3) (let ((e-19 (vector-ref e-2 3))) (PreludeC-45TypesC-45List-tailRecAppend (IdrisC-45Syntax-definedIn e-19) (IdrisC-45Syntax-definedIn e-3)))) ((4) (let ((e-23 (vector-ref e-2 3))) (PreludeC-45TypesC-45List-tailRecAppend (IdrisC-45Syntax-definedIn e-23) (IdrisC-45Syntax-definedIn e-3)))) ((12) (let ((e-27 (vector-ref e-2 3))) (PreludeC-45TypesC-45List-tailRecAppend (IdrisC-45Syntax-definedIn e-27) (IdrisC-45Syntax-definedIn e-3))))(else (IdrisC-45Syntax-definedIn e-3))))))))
(define IdrisC-45Syntax-defPass (lambda (arg-0) (let ((sc0 (IdrisC-45Syntax-u--C-61C-61_Eq_Pass arg-0 0))) (cond ((equal? sc0 1) 1) (else (IdrisC-45Syntax-u--C-61C-61_Eq_Pass arg-0 2))))))
(define IdrisC-45Syntax-applyArgs (lambda (arg-1 arg-2) (if (null? arg-2) arg-1 (let ((e-2 (car arg-2))) (let ((e-3 (cdr arg-2))) (let ((e-6 (car e-2))) (let ((e-7 (cdr e-2))) (IdrisC-45Syntax-applyArgs (vector 7 e-6 arg-1 e-7) e-3))))))))
(define IdrisC-45Syntax-addModDocInfo (lambda (arg-0 arg-1 arg-2 arg-3) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (let ((e-0 (vector-ref e-5 0))) (let ((e-1 (vector-ref e-5 1))) (let ((e-2 (vector-ref e-5 2))) (let ((e-3 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-13 (vector-ref e-5 5))) (let ((e-6 (vector-ref e-5 6))) (let ((e-7 (vector-ref e-5 7))) (let ((e-8 (vector-ref e-5 8))) (let ((e-9 (vector-ref e-5 9))) (let ((e-10 (vector-ref e-5 10))) (let ((e-11 (vector-ref e-5 11))) (let ((e-12 (vector-ref e-5 12))) (vector e-0 e-1 (cons arg-1 e-2) (LibrariesC-45DataC-45SortedMap-insert arg-1 arg-2 e-3) (LibrariesC-45DataC-45SortedMap-insert arg-1 arg-3 e-4) e-13 e-6 e-7 e-8 e-9 e-10 e-11 e-12))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-1)))))))))
(define ParserC-45LexerC-45Source-case--lexTo-10299 (lambda (arg-0 arg-1 arg-2) (let ((e-2 (car arg-2))) (let ((e-3 (cdr arg-2))) (if (null? e-3) (vector 0 e-3) (let ((e-6 (car e-3))) (let ((e-7 (cdr e-3))) (case (vector-ref e-6 0) ((0) (if (null? e-7) (vector 0 e-3) (let ((e-10 (car e-7))) (let ((e-11 (cdr e-7))) (if (null? e-11) (vector 0 e-3) (let ((e-14 (car e-11))) (let ((u--end (cons (vector (vector 17 ) 0 (vector e-10 e-14 e-10 e-14)) '()))) (vector 1 (((let ((eff-0 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (let ((e-5 (car eta-3))) (let ((e-4 (cdr eta-3))) (cons e-5 (eta-2 e-4)))))))))) (lambda (arg-3) (lambda (arg-4) ((((eff-0 'erased) 'erased) arg-3) arg-4)))) (lambda (arg-3) (PreludeC-45TypesC-45List-tailRecAppend arg-3 u--end))) (DataC-45Either-partitionEithers (((csegen-25) (lambda (eta-0) (ParserC-45LexerC-45Source-n--6716-10224-u--spotComment arg-0 arg-1 eta-0))) (PreludeC-45TypesC-45List-filterAppend '() (lambda (eta-0) (ParserC-45LexerC-45Source-n--6716-10223-u--isNotSpace arg-0 arg-1 eta-0)) e-2))))))))))))(else (vector 0 e-3))))))))))
(define ParserC-45LexerC-45Source-n--6716-10224-u--spotComment (lambda (arg-0 arg-1 arg-2) (let ((e-1 (vector-ref arg-2 0))) (case (vector-ref e-1 0) ((14) (vector 0 ((PreludeC-45Interfaces-C-60C-36 (csegen-367) (vector 0 )) arg-2)))(else (vector 1 arg-2))))))
(define ParserC-45LexerC-45Source-n--6348-9861-u--removeUnderscores (lambda (arg-0) (PreludeC-45Types-fastPack (PreludeC-45TypesC-45List-filterAppend '() (lambda (arg-1) (PreludeC-45EqOrd-u--C-47C-61_Eq_Char arg-1 #\_)) (PreludeC-45Types-fastUnpack arg-0)))))
(define ParserC-45LexerC-45Source-n--6348-9860-u--removeOptionalLeadingSpace (lambda (arg-0) (let ((sc0 (DataC-45String-strM arg-0))) (if (null? sc0) arg-0 (let ((e-0 (car sc0))) (let ((e-1 (cdr sc0))) (cond ((equal? e-0 #\ ) e-1)(else arg-0))))))))
(define ParserC-45LexerC-45Source-n--6348-9858-u--parseNamespace (lambda (arg-0) (let ((sc0 (CoreC-45NameC-45Namespace-mkNamespacedIdent arg-0))) (let ((e-2 (car sc0))) (let ((e-3 (cdr sc0))) (if (null? e-2) (ParserC-45LexerC-45Source-n--6348-9857-u--parseIdent e-3) (let ((e-6 (unbox e-2))) (vector 10 e-6 e-3))))))))
(define ParserC-45LexerC-45Source-n--6348-9857-u--parseIdent (lambda (arg-0) (let ((sc0 (PreludeC-45Types-elem (csegen-16) (csegen-43) arg-0 (ParserC-45LexerC-45Source-keywords)))) (cond ((equal? sc0 1) (vector 18 arg-0)) (else (vector 9 arg-0))))))
(define ParserC-45LexerC-45Source-n--6716-10223-u--isNotSpace (lambda (arg-0 arg-1 arg-2) (let ((e-1 (vector-ref arg-2 0))) (case (vector-ref e-1 0) ((13) 0)(else 1)))))
(define ParserC-45LexerC-45Source-n--6186-9619-u--fromBin (lambda (arg-0 arg-1) (if (null? arg-1) 0 (let ((e-2 (car arg-1))) (let ((e-3 (cdr arg-1))) (cond ((equal? e-2 0) (* (ParserC-45LexerC-45Source-n--6186-9619-u--fromBin arg-0 e-3) 2))(else (+ e-2 (* (ParserC-45LexerC-45Source-n--6186-9619-u--fromBin arg-0 e-3) 2)))))))))
(define ParserC-45LexerC-45Source-n--6348-9859-u--countHashtag (lambda (ext-0) (PreludeC-45Types-count (csegen-16) (lambda (arg-0) (PreludeC-45EqOrd-u--C-61C-61_Eq_Char arg-0 #\#)) (PreludeC-45Types-fastUnpack ext-0))))
(define ParserC-45LexerC-45Source-n--6186-9618-u--castBin (lambda (arg-0 arg-1) (cond ((equal? arg-1 #\1) 1)(else 0))))
(define ParserC-45LexerC-45Source-u--show_Show_Token (lambda (arg-0) (case (vector-ref arg-0 0) ((0) (let ((e-0 (vector-ref arg-0 1))) (string-append "character " (PreludeC-45Show-u--show_Show_String e-0)))) ((1) (let ((e-1 (vector-ref arg-0 1))) (string-append "double " (PreludeC-45Show-u--show_Show_Double e-1)))) ((2) (let ((e-2 (vector-ref arg-0 1))) (string-append "literal " (PreludeC-45Show-u--show_Show_Integer e-2)))) ((3) (let ((e-3 (vector-ref arg-0 1))) (cond ((equal? e-3 1) "string begin") (else "multiline string begin")))) ((4) "string end") ((5) "string interp begin") ((6) "string interp end") ((7) (let ((e-4 (vector-ref arg-0 1))) (let ((e-5 (vector-ref arg-0 2))) (string-append "string" (string-append (DataC-45String-replicate e-4 #\#) (string-append " " (PreludeC-45Show-u--show_Show_String e-5))))))) ((8) (let ((e-6 (vector-ref arg-0 1))) (string-append "hole identifier " e-6))) ((9) (let ((e-7 (vector-ref arg-0 1))) (string-append "identifier " e-7))) ((10) (let ((e-8 (vector-ref arg-0 1))) (let ((e-9 (vector-ref arg-0 2))) (string-append "namespaced identifier " (string-append (CoreC-45NameC-45Namespace-u--show_Show_Namespace e-8) (string-append "." (PreludeC-45Show-u--show_Show_String e-9))))))) ((11) (let ((e-10 (vector-ref arg-0 1))) (string-append "dot+identifier " e-10))) ((12) (let ((e-11 (vector-ref arg-0 1))) (string-append "symbol " e-11))) ((13) "whitespace") ((14) "comment") ((15) (let ((e-12 (vector-ref arg-0 1))) (string-append "doc comment: \"" (string-append e-12 "\"")))) ((16) (let ((e-13 (vector-ref arg-0 1))) (string-append "CGDirective " e-13))) ((17) "end of input") ((18) (let ((e-14 (vector-ref arg-0 1))) e-14)) ((19) (let ((e-15 (vector-ref arg-0 1))) (string-append "pragma " e-15))) (else (let ((e-16 (vector-ref arg-0 1))) (string-append "Unrecognised " e-16))))))
(define ParserC-45LexerC-45Source-u--showPrec_Show_Token (lambda (arg-0 arg-1) (ParserC-45LexerC-45Source-u--show_Show_Token arg-1)))
(define ParserC-45LexerC-45Source-u--pretty_Pretty_Void_Token (lambda (arg-0) (case (vector-ref arg-0 0) ((0) (let ((e-0 (vector-ref arg-0 1))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--pretty_Pretty_Void_String ((csegen-0) "character")) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-squotes (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--pretty_Pretty_Void_String e-0))))) ((1) (let ((e-1 (vector-ref arg-0 1))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--pretty_Pretty_Void_String ((csegen-0) "double")) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--pretty_Pretty_Void_String (PreludeC-45Show-u--show_Show_Double e-1))))) ((2) (let ((e-2 (vector-ref arg-0 1))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--pretty_Pretty_Void_String ((csegen-0) "literal")) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--pretty_Pretty_Void_String (PreludeC-45Show-u--show_Show_Integer e-2))))) ((3) (let ((e-3 (vector-ref arg-0 1))) (cond ((equal? e-3 1) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "string begin")) (else (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "multiline string begin"))))) ((4) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "string end")) ((5) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "string interp begin")) ((6) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "string interp end")) ((7) (let ((e-4 (vector-ref arg-0 1))) (let ((e-5 (vector-ref arg-0 2))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--pretty_Pretty_Void_String (string-append "string" (DataC-45String-replicate e-4 #\#))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-dquotes (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--pretty_Pretty_Void_String e-5)))))) ((8) (let ((e-6 (vector-ref arg-0 1))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "hole identifier") (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--pretty_Pretty_Void_String e-6)))) ((9) (let ((e-7 (vector-ref arg-0 1))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--pretty_Pretty_Void_String ((csegen-0) "identifier")) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--pretty_Pretty_Void_String e-7)))) ((10) (let ((e-8 (vector-ref arg-0 1))) (let ((e-9 (vector-ref arg-0 2))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "namespaced identifier") (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (((csegen-380) (CoreC-45NameC-45Namespace-u--pretty_Pretty_Void_Namespace e-8)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-dot)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--pretty_Pretty_Void_String e-9)))))) ((11) (let ((e-10 (vector-ref arg-0 1))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--pretty_Pretty_Void_String ((csegen-0) "dot+identifier")) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--pretty_Pretty_Void_String e-10)))) ((12) (let ((e-11 (vector-ref arg-0 1))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--pretty_Pretty_Void_String ((csegen-0) "symbol")) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--pretty_Pretty_Void_String e-11)))) ((13) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--pretty_Pretty_Void_String ((csegen-0) "space"))) ((14) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--pretty_Pretty_Void_String ((csegen-0) "comment"))) ((15) (let ((e-12 (vector-ref arg-0 1))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "doc comment:") (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-dquotes (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--pretty_Pretty_Void_String e-12))))) ((16) (let ((e-13 (vector-ref arg-0 1))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--pretty_Pretty_Void_String ((csegen-0) "CGDirective")) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--pretty_Pretty_Void_String e-13)))) ((17) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "end of input")) ((18) (let ((e-14 (vector-ref arg-0 1))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--pretty_Pretty_Void_String e-14))) ((19) (let ((e-15 (vector-ref arg-0 1))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--pretty_Pretty_Void_String ((csegen-0) "pragma")) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--pretty_Pretty_Void_String e-15)))) (else (let ((e-16 (vector-ref arg-0 1))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--pretty_Pretty_Void_String ((csegen-0) "Unrecognised")) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--pretty_Pretty_Void_String e-16)))))))
(define ParserC-45LexerC-45Source-u--prettyPrec_Pretty_Void_Token (lambda (arg-0 arg-1) (ParserC-45LexerC-45Source-u--pretty_Pretty_Void_Token arg-1)))
(define ParserC-45LexerC-45Source-validSymbol(blodwen-lazy (lambda () (LibrariesC-45TextC-45Lexer-some (LibrariesC-45TextC-45LexerC-45Core-pred (lambda (eta-0) (CoreC-45Name-isOpChar eta-0)))))))
(define ParserC-45LexerC-45Source-toEndComment (lambda (arg-0) (cond ((equal? arg-0 0) (LibrariesC-45TextC-45LexerC-45Core-empty))(else (let ((e-0 (- arg-0 1))) (LibrariesC-45TextC-45LexerC-45Core-C-60C-124C-62 (vector 5 (LibrariesC-45TextC-45Lexer-some (LibrariesC-45TextC-45LexerC-45Core-pred (lambda (u--c) (let ((sc0 (PreludeC-45EqOrd-u--C-47C-61_Eq_Char u--c #\-))) (cond ((equal? sc0 1) (let ((sc1 (PreludeC-45EqOrd-u--C-47C-61_Eq_Char u--c #\{))) (cond ((equal? sc1 1) (PreludeC-45EqOrd-u--C-47C-61_Eq_Char u--c #\")) (else 0)))) (else 0)))))) (lambda () (LibrariesC-45TextC-45LexerC-45Core-C-60C-124C-62 (LibrariesC-45TextC-45LexerC-45Core-eof) (ParserC-45LexerC-45Source-toEndComment (+ e-0 1))))) (LibrariesC-45TextC-45LexerC-45Core-C-60C-124C-62 (vector 5 (LibrariesC-45TextC-45Lexer-is #\{) (lambda () (ParserC-45LexerC-45Source-singleBrace e-0))) (LibrariesC-45TextC-45LexerC-45Core-C-60C-124C-62 (vector 5 (LibrariesC-45TextC-45Lexer-is #\-) (lambda () (ParserC-45LexerC-45Source-singleDash e-0))) (vector 5 (LibrariesC-45TextC-45Lexer-stringLit) (lambda () (ParserC-45LexerC-45Source-toEndComment (+ e-0 1))))))))))))
(define ParserC-45LexerC-45Source-symbols(blodwen-lazy (lambda () (cons "," (cons ";" (cons "_" (cons "`" '())))))))
(define ParserC-45LexerC-45Source-stringTokens (lambda (arg-0 arg-1) (let ((u--escapeChars (string-append "\\" (DataC-45String-replicate arg-1 #\#)))) (let ((u--interpStart (string-append u--escapeChars "{"))) (let ((u--escapeLexer (LibrariesC-45TextC-45Lexer-escape (LibrariesC-45TextC-45Lexer-exact u--escapeChars) (LibrariesC-45TextC-45Lexer-any)))) (let ((u--charLexer (LibrariesC-45TextC-45Lexer-non (LibrariesC-45TextC-45Lexer-exact (cond ((equal? arg-0 1) (ParserC-45LexerC-45Source-multilineEnd arg-1)) (else (ParserC-45LexerC-45Source-stringEnd arg-1))))))) (LibrariesC-45TextC-45LexerC-45Tokenizer-C-60C-124C-62 (LibrariesC-45TextC-45LexerC-45Tokenizer-match (LibrariesC-45TextC-45Lexer-someUntil (LibrariesC-45TextC-45Lexer-exact u--interpStart) (LibrariesC-45TextC-45LexerC-45Core-C-60C-124C-62 u--escapeLexer u--charLexer)) (lambda (u--x) (vector 7 arg-1 u--x))) (lambda () (LibrariesC-45TextC-45LexerC-45Tokenizer-compose (LibrariesC-45TextC-45Lexer-exact u--interpStart) (lambda (eta-0) (vector 5 )) (lambda (eta-0) (vector 0 )) (lambda () (lambda (_-9846) (ParserC-45LexerC-45Source-rawTokens))) (lambda (eta-0) (LibrariesC-45TextC-45Lexer-is #\})) (lambda (eta-0) (vector 6 )))))))))))
(define ParserC-45LexerC-45Source-stringEnd (lambda (arg-0) (string-append "\"" (DataC-45String-replicate arg-0 #\#))))
(define ParserC-45LexerC-45Source-stringBegin(blodwen-lazy (lambda () (vector 6 (csegen-403) (LibrariesC-45TextC-45Lexer-is #\")))))
(define ParserC-45LexerC-45Source-singleDash (lambda (arg-0) (LibrariesC-45TextC-45LexerC-45Core-C-60C-124C-62 (vector 5 (LibrariesC-45TextC-45Lexer-is #\-) (lambda () (ParserC-45LexerC-45Source-doubleDash arg-0))) (LibrariesC-45TextC-45LexerC-45Core-C-60C-124C-62 (vector 5 (LibrariesC-45TextC-45Lexer-is #\}) (lambda () (ParserC-45LexerC-45Source-toEndComment arg-0))) (ParserC-45LexerC-45Source-toEndComment (+ arg-0 1))))))
(define ParserC-45LexerC-45Source-singleBrace (lambda (arg-0) (LibrariesC-45TextC-45LexerC-45Core-C-60C-124C-62 (vector 5 (vector 5 (LibrariesC-45TextC-45Lexer-is #\-) (lambda () (csegen-405))) (lambda () (LibrariesC-45TextC-45LexerC-45Core-C-60C-124C-62 (LibrariesC-45TextC-45LexerC-45Core-eof) (ParserC-45LexerC-45Source-singleDash (+ arg-0 1))))) (ParserC-45LexerC-45Source-toEndComment (+ arg-0 1)))))
(define ParserC-45LexerC-45Source-reservedSymbols(blodwen-lazy (lambda () (PreludeC-45TypesC-45List-tailRecAppend (ParserC-45LexerC-45Source-symbols) (PreludeC-45TypesC-45List-tailRecAppend (ParserC-45LexerC-45Source-groupSymbols) (PreludeC-45TypesC-45List-tailRecAppend (PreludeC-45Interfaces-C-60C-36C-62 (csegen-24) (lambda (eta-0) (ParserC-45LexerC-45Source-groupClose eta-0)) (ParserC-45LexerC-45Source-groupSymbols)) (ParserC-45LexerC-45Source-reservedInfixSymbols)))))))
(define ParserC-45LexerC-45Source-reservedInfixSymbols(blodwen-lazy (lambda () (cons "%" (cons "\\" (cons ":" (cons "=" (cons ":=" (cons "$=" (cons "|" (cons "|||" (cons "<-" (cons "->" (cons "=>" (cons "?" (cons "!" (cons "&" (cons "**" (cons ".." (cons "~" (cons "@" '())))))))))))))))))))))
(define ParserC-45LexerC-45Source-rawTokens(blodwen-lazy (lambda () (LibrariesC-45TextC-45LexerC-45Tokenizer-C-60C-124C-62 (LibrariesC-45TextC-45LexerC-45Tokenizer-match (ParserC-45LexerC-45Common-comment) (lambda (eta-0) (vector 14 ))) (lambda () (LibrariesC-45TextC-45LexerC-45Tokenizer-C-60C-124C-62 (LibrariesC-45TextC-45LexerC-45Tokenizer-match (ParserC-45LexerC-45Source-blockComment) (lambda (eta-0) (vector 14 ))) (lambda () (LibrariesC-45TextC-45LexerC-45Tokenizer-C-60C-124C-62 (LibrariesC-45TextC-45LexerC-45Tokenizer-match (ParserC-45LexerC-45Source-docComment) (lambda (eta-0) (vector 15 (ParserC-45LexerC-45Source-n--6348-9860-u--removeOptionalLeadingSpace (LibrariesC-45DataC-45StringC-45Extra-drop 3 eta-0))))) (lambda () (LibrariesC-45TextC-45LexerC-45Tokenizer-C-60C-124C-62 (LibrariesC-45TextC-45LexerC-45Tokenizer-match (ParserC-45LexerC-45Source-cgDirective) (lambda (eta-0) (ParserC-45LexerC-45Source-mkDirective eta-0))) (lambda () (LibrariesC-45TextC-45LexerC-45Tokenizer-C-60C-124C-62 (LibrariesC-45TextC-45LexerC-45Tokenizer-match (ParserC-45LexerC-45Source-holeIdent) (lambda (u--x) (vector 8 (substring u--x 1 (string-length u--x))))) (lambda () (LibrariesC-45TextC-45LexerC-45Tokenizer-C-60C-124C-62 (LibrariesC-45TextC-45LexerC-45Tokenizer-compose (LibrariesC-45TextC-45Lexer-choice 1 (csegen-16) (PreludeC-45Interfaces-C-60C-36C-62 (csegen-24) (lambda (eta-0) (LibrariesC-45TextC-45Lexer-exact eta-0)) (ParserC-45LexerC-45Source-groupSymbols))) (lambda (eta-0) (vector 12 eta-0)) (lambda (eta-0) eta-0) (lambda () (lambda (_-10028) (ParserC-45LexerC-45Source-rawTokens))) (lambda (eta-0) (LibrariesC-45TextC-45Lexer-exact (ParserC-45LexerC-45Source-groupClose eta-0))) (lambda (eta-0) (vector 12 eta-0))) (lambda () (LibrariesC-45TextC-45LexerC-45Tokenizer-C-60C-124C-62 (LibrariesC-45TextC-45LexerC-45Tokenizer-match (LibrariesC-45TextC-45Lexer-choice 1 (csegen-16) (PreludeC-45Interfaces-C-60C-36C-62 (csegen-24) (lambda (eta-0) (LibrariesC-45TextC-45Lexer-exact eta-0)) (ParserC-45LexerC-45Source-symbols))) (lambda (eta-0) (vector 12 eta-0))) (lambda () (LibrariesC-45TextC-45LexerC-45Tokenizer-C-60C-124C-62 (LibrariesC-45TextC-45LexerC-45Tokenizer-match (ParserC-45LexerC-45Source-doubleLit) (lambda (eta-0) (vector 1 (cast-string-double eta-0)))) (lambda () (LibrariesC-45TextC-45LexerC-45Tokenizer-C-60C-124C-62 (LibrariesC-45TextC-45LexerC-45Tokenizer-match (LibrariesC-45TextC-45Lexer-binUnderscoredLit) (lambda (eta-0) (vector 2 (ParserC-45LexerC-45Source-fromBinLit (ParserC-45LexerC-45Source-n--6348-9861-u--removeUnderscores eta-0))))) (lambda () (LibrariesC-45TextC-45LexerC-45Tokenizer-C-60C-124C-62 (LibrariesC-45TextC-45LexerC-45Tokenizer-match (LibrariesC-45TextC-45Lexer-hexUnderscoredLit) (lambda (eta-0) (vector 2 (ParserC-45LexerC-45Source-fromHexLit (ParserC-45LexerC-45Source-n--6348-9861-u--removeUnderscores eta-0))))) (lambda () (LibrariesC-45TextC-45LexerC-45Tokenizer-C-60C-124C-62 (LibrariesC-45TextC-45LexerC-45Tokenizer-match (LibrariesC-45TextC-45Lexer-octUnderscoredLit) (lambda (eta-0) (vector 2 (ParserC-45LexerC-45Source-fromOctLit (ParserC-45LexerC-45Source-n--6348-9861-u--removeUnderscores eta-0))))) (lambda () (LibrariesC-45TextC-45LexerC-45Tokenizer-C-60C-124C-62 (LibrariesC-45TextC-45LexerC-45Tokenizer-match (LibrariesC-45TextC-45Lexer-digitsUnderscoredLit) (lambda (eta-0) (vector 2 (cast-string-int (ParserC-45LexerC-45Source-n--6348-9861-u--removeUnderscores eta-0))))) (lambda () (LibrariesC-45TextC-45LexerC-45Tokenizer-C-60C-124C-62 (LibrariesC-45TextC-45LexerC-45Tokenizer-compose (ParserC-45LexerC-45Source-multilineBegin) (lambda (eta-0) (vector 3 0)) (lambda (eta-0) (ParserC-45LexerC-45Source-n--6348-9859-u--countHashtag eta-0)) (lambda () (lambda (eta-0) (ParserC-45LexerC-45Source-stringTokens 1 eta-0))) (lambda (eta-0) (LibrariesC-45TextC-45Lexer-exact (ParserC-45LexerC-45Source-multilineEnd eta-0))) (lambda (eta-0) (vector 4 ))) (lambda () (LibrariesC-45TextC-45LexerC-45Tokenizer-C-60C-124C-62 (LibrariesC-45TextC-45LexerC-45Tokenizer-compose (ParserC-45LexerC-45Source-stringBegin) (lambda (eta-0) (vector 3 1)) (lambda (eta-0) (ParserC-45LexerC-45Source-n--6348-9859-u--countHashtag eta-0)) (lambda () (lambda (eta-0) (ParserC-45LexerC-45Source-stringTokens 0 eta-0))) (lambda (u--hashtag) (vector 5 (LibrariesC-45TextC-45Lexer-exact (ParserC-45LexerC-45Source-stringEnd u--hashtag)) (lambda () (LibrariesC-45TextC-45LexerC-45Core-reject (LibrariesC-45TextC-45Lexer-is #\"))))) (lambda (eta-0) (vector 4 ))) (lambda () (LibrariesC-45TextC-45LexerC-45Tokenizer-C-60C-124C-62 (LibrariesC-45TextC-45LexerC-45Tokenizer-match (LibrariesC-45TextC-45Lexer-charLit) (lambda (eta-0) (vector 0 (LibrariesC-45UtilsC-45String-stripQuotes eta-0)))) (lambda () (LibrariesC-45TextC-45LexerC-45Tokenizer-C-60C-124C-62 (LibrariesC-45TextC-45LexerC-45Tokenizer-match (ParserC-45LexerC-45Source-dotIdent) (lambda (u--x) (vector 11 (substring u--x 1 (string-length u--x))))) (lambda () (LibrariesC-45TextC-45LexerC-45Tokenizer-C-60C-124C-62 (LibrariesC-45TextC-45LexerC-45Tokenizer-match (ParserC-45LexerC-45Common-namespacedIdent) (lambda (eta-0) (ParserC-45LexerC-45Source-n--6348-9858-u--parseNamespace eta-0))) (lambda () (LibrariesC-45TextC-45LexerC-45Tokenizer-C-60C-124C-62 (LibrariesC-45TextC-45LexerC-45Tokenizer-match (ParserC-45LexerC-45Common-identNormal) (lambda (eta-0) (ParserC-45LexerC-45Source-n--6348-9857-u--parseIdent eta-0))) (lambda () (LibrariesC-45TextC-45LexerC-45Tokenizer-C-60C-124C-62 (LibrariesC-45TextC-45LexerC-45Tokenizer-match (ParserC-45LexerC-45Source-pragma) (lambda (u--x) (vector 19 (substring u--x 1 (string-length u--x))))) (lambda () (LibrariesC-45TextC-45LexerC-45Tokenizer-C-60C-124C-62 (LibrariesC-45TextC-45LexerC-45Tokenizer-match (LibrariesC-45TextC-45Lexer-space) (lambda (eta-0) (vector 13 ))) (lambda () (LibrariesC-45TextC-45LexerC-45Tokenizer-C-60C-124C-62 (LibrariesC-45TextC-45LexerC-45Tokenizer-match (ParserC-45LexerC-45Source-validSymbol) (lambda (eta-0) (vector 12 eta-0))) (lambda () (LibrariesC-45TextC-45LexerC-45Tokenizer-match (LibrariesC-45TextC-45Lexer-symbol) (lambda (eta-0) (vector 20 eta-0))))))))))))))))))))))))))))))))))))))))))))))))
(define ParserC-45LexerC-45Source-pragma(blodwen-lazy (lambda () (vector 5 (LibrariesC-45TextC-45Lexer-is #\%) (lambda () (ParserC-45LexerC-45Common-identNormal))))))
(define ParserC-45LexerC-45Source-multilineEnd (lambda (arg-0) (string-append "\"\"\"" (DataC-45String-replicate arg-0 #\#))))
(define ParserC-45LexerC-45Source-multilineBegin(blodwen-lazy (lambda () (vector 5 (vector 5 (vector 6 (csegen-403) (LibrariesC-45TextC-45Lexer-exact "\"\"\"")) (lambda () (LibrariesC-45TextC-45Lexer-manyUntil (LibrariesC-45TextC-45Lexer-newline) (LibrariesC-45TextC-45Lexer-space)))) (lambda () (LibrariesC-45TextC-45Lexer-newline))))))
(define ParserC-45LexerC-45Source-mkDirective (lambda (arg-0) (vector 16 (DataC-45String-trim (PreludeC-45Types-substr 3 (PreludeC-45TypesC-45String-length arg-0) arg-0)))))
(define ParserC-45LexerC-45Source-lexTo (lambda (arg-0 arg-1) (ParserC-45LexerC-45Source-case--lexTo-10299 arg-1 arg-0 (LibrariesC-45TextC-45LexerC-45Tokenizer-lexTo arg-0 (ParserC-45LexerC-45Source-rawTokens) arg-1))))
(define ParserC-45LexerC-45Source-keywords(blodwen-lazy (lambda () (cons "data" (cons "module" (cons "where" (cons "let" (cons "in" (cons "do" (cons "record" (cons "auto" (cons "default" (cons "implicit" (cons "failing" (cons "mutual" (cons "namespace" (cons "parameters" (cons "with" (cons "proof" (cons "impossible" (cons "case" (cons "of" (cons "if" (cons "then" (cons "else" (cons "forall" (cons "rewrite" (cons "using" (cons "interface" (cons "implementation" (cons "open" (cons "import" (cons "public" (cons "export" (cons "private" (cons "infixl" (cons "infixr" (cons "infix" (cons "prefix" (cons "total" (cons "partial" (cons "covering" '()))))))))))))))))))))))))))))))))))))))))))
(define ParserC-45LexerC-45Source-holeIdent(blodwen-lazy (lambda () (csegen-530))))
(define ParserC-45LexerC-45Source-groupSymbols(blodwen-lazy (lambda () (cons ".(" (cons ".[|" (cons "@{" (cons "[|" (cons "(" (cons "{" (cons "[<" (cons "[>" (cons "[" (cons "`(" (cons "`{" (cons "`[" '())))))))))))))))
(define ParserC-45LexerC-45Source-groupClose (lambda (arg-0) (cond ((equal? arg-0 ".(") ")") ((equal? arg-0 "@{") "}") ((equal? arg-0 "[|") "|]") ((equal? arg-0 ".[|") "|]") ((equal? arg-0 "(") ")") ((equal? arg-0 "[") "]") ((equal? arg-0 "[<") "]") ((equal? arg-0 "[>") "]") ((equal? arg-0 "{") "}") ((equal? arg-0 "`(") ")") ((equal? arg-0 "`{") "}") ((equal? arg-0 "`[") "]")(else ""))))
(define ParserC-45LexerC-45Source-fromOctLit (lambda (arg-0) (let ((sc0 (PreludeC-45Types-u--C-60C-61_Ord_Nat (PreludeC-45TypesC-45String-length arg-0) 2))) (cond ((equal? sc0 1) 0) (else (let ((u--num (substring (substring arg-0 1 (string-length arg-0)) 1 (string-length (substring arg-0 1 (string-length arg-0)))))) (DataC-45Maybe-fromMaybe (lambda () 0) (LibrariesC-45UtilsC-45Octal-fromOct (string-reverse u--num)))))))))
(define ParserC-45LexerC-45Source-fromHexLit (lambda (arg-0) (let ((sc0 (PreludeC-45Types-u--C-60C-61_Ord_Nat (PreludeC-45TypesC-45String-length arg-0) 2))) (cond ((equal? sc0 1) 0) (else (let ((u--num (substring (substring arg-0 1 (string-length arg-0)) 1 (string-length (substring arg-0 1 (string-length arg-0)))))) (DataC-45Maybe-fromMaybe (lambda () 0) (ProtocolC-45Hex-fromHex (string-reverse u--num)))))))))
(define ParserC-45LexerC-45Source-fromBinLit (lambda (arg-0) (let ((sc0 (PreludeC-45Types-u--C-60C-61_Ord_Nat (PreludeC-45TypesC-45String-length arg-0) 2))) (cond ((equal? sc0 1) 0) (else (let ((u--num (substring (substring arg-0 1 (string-length arg-0)) 1 (string-length (substring arg-0 1 (string-length arg-0)))))) (ParserC-45LexerC-45Source-n--6186-9619-u--fromBin arg-0 (PreludeC-45TypesC-45List-reverse (((csegen-25) (lambda (eta-0) (ParserC-45LexerC-45Source-n--6186-9618-u--castBin arg-0 eta-0))) (PreludeC-45Types-fastUnpack u--num))))))))))
(define ParserC-45LexerC-45Source-doubleLit(blodwen-lazy (lambda () (vector 5 (vector 5 (vector 5 (LibrariesC-45TextC-45Lexer-digits) (lambda () (LibrariesC-45TextC-45Lexer-is #\.))) (lambda () (LibrariesC-45TextC-45Lexer-digits))) (lambda () (LibrariesC-45TextC-45Lexer-opt (vector 5 (vector 5 (LibrariesC-45TextC-45Lexer-is #\e) (lambda () (LibrariesC-45TextC-45Lexer-opt (LibrariesC-45TextC-45LexerC-45Core-C-60C-124C-62 (LibrariesC-45TextC-45Lexer-is #\-) (LibrariesC-45TextC-45Lexer-is #\+))))) (lambda () (LibrariesC-45TextC-45Lexer-digits)))))))))
(define ParserC-45LexerC-45Source-doubleDash (lambda (arg-0) (vector 6 (csegen-405) (LibrariesC-45TextC-45Lexer-choice 1 (csegen-16) (cons (vector 5 (LibrariesC-45TextC-45Lexer-is #\}) (lambda () (ParserC-45LexerC-45Source-toEndComment arg-0))) (cons (vector 6 (csegen-550) (ParserC-45LexerC-45Source-toEndComment (+ arg-0 1))) '()))))))
(define ParserC-45LexerC-45Source-dotIdent(blodwen-lazy (lambda () (csegen-551))))
(define ParserC-45LexerC-45Source-docComment(blodwen-lazy (lambda () (vector 5 (vector 5 (vector 5 (LibrariesC-45TextC-45Lexer-is #\|) (lambda () (LibrariesC-45TextC-45Lexer-is #\|))) (lambda () (LibrariesC-45TextC-45Lexer-is #\|))) (lambda () (csegen-550))))))
(define ParserC-45LexerC-45Source-cgDirective(blodwen-lazy (lambda () (vector 5 (LibrariesC-45TextC-45Lexer-exact "%cg") (lambda () (LibrariesC-45TextC-45LexerC-45Core-C-60C-124C-62 (vector 5 (vector 5 (vector 5 (vector 5 (vector 5 (LibrariesC-45TextC-45Lexer-some (LibrariesC-45TextC-45Lexer-space)) (lambda () (LibrariesC-45TextC-45Lexer-some (csegen-555)))) (lambda () (LibrariesC-45TextC-45Lexer-many (LibrariesC-45TextC-45Lexer-space)))) (lambda () (LibrariesC-45TextC-45Lexer-is #\{))) (lambda () (LibrariesC-45TextC-45Lexer-many (LibrariesC-45TextC-45Lexer-isNot #\})))) (lambda () (LibrariesC-45TextC-45Lexer-is #\}))) (csegen-550)))))))
(define ParserC-45LexerC-45Source-blockComment(blodwen-lazy (lambda () (vector 5 (vector 5 (vector 5 (LibrariesC-45TextC-45Lexer-is #\{) (lambda () (LibrariesC-45TextC-45Lexer-is #\-))) (lambda () (csegen-405))) (lambda () (LibrariesC-45TextC-45LexerC-45Core-C-60C-124C-62 (LibrariesC-45TextC-45LexerC-45Core-eof) (ParserC-45LexerC-45Source-toEndComment 1)))))))
(define CoreC-45Name-with--nameEq-10880 (lambda (arg-0 arg-1 arg-2) (case (vector-ref arg-2 0) ((0) (box (vector 0 ))) (else '()))))
(define CoreC-45Name-with--withC-32blockC-32inC-32nameEq-10855 (lambda (arg-0 arg-1 arg-2 arg-3) (case (vector-ref arg-2 0) ((1) '()) (else (box (vector 0 ))))))
(define CoreC-45Name-with--nameEq-10836 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (case (vector-ref arg-2 0) ((1) '()) (else (CoreC-45Name-with--withC-32blockC-32inC-32nameEq-10855 arg-4 arg-3 (((csegen-570) arg-3) arg-4) arg-0)))))
(define CoreC-45Name-with--withC-32blockC-32inC-32nameEq-10811 (lambda (arg-0 arg-1 arg-2 arg-3) (case (vector-ref arg-2 0) ((1) '()) (else (box (vector 0 ))))))
(define CoreC-45Name-with--nameEq-10792 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (case (vector-ref arg-2 0) ((1) '()) (else (CoreC-45Name-with--withC-32blockC-32inC-32nameEq-10811 arg-4 arg-3 (((csegen-570) arg-3) arg-4) arg-0)))))
(define CoreC-45Name-with--withC-32blockC-32inC-32nameEq-10772 (lambda (arg-0 arg-1 arg-2 arg-3) (if (null? arg-2) '() (box (vector 0 )))))
(define CoreC-45Name-with--nameEq-10750 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (case (vector-ref arg-2 0) ((1) '()) (else (CoreC-45Name-with--withC-32blockC-32inC-32nameEq-10772 arg-4 arg-3 (CoreC-45Name-nameEq arg-3 arg-4) arg-0)))))
(define CoreC-45Name-with--withC-32blockC-32inC-32nameEq-10719 (lambda (arg-0 arg-1 arg-2 arg-3) (if (null? arg-2) '() (box (vector 0 )))))
(define CoreC-45Name-with--nameEq-10708 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (case (vector-ref arg-2 0) ((0) (CoreC-45Name-with--withC-32blockC-32inC-32nameEq-10719 arg-4 arg-3 (CoreC-45Name-nameEq arg-3 arg-4) arg-0)) (else '()))))
(define CoreC-45Name-with--withC-32blockC-32inC-32nameEq-10680 (lambda (arg-0 arg-1 arg-2 arg-3) (case (vector-ref arg-2 0) ((0) (box (vector 0 ))) (else '()))))
(define CoreC-45Name-with--nameEq-10669 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (if (null? arg-2) '() (CoreC-45Name-with--withC-32blockC-32inC-32nameEq-10680 arg-4 arg-3 (((csegen-570) arg-3) arg-4) arg-0))))
(define CoreC-45Name-with--withC-32blockC-32inC-32nameEq-10644 (lambda (arg-0 arg-1 arg-2 arg-3) (case (vector-ref arg-2 0) ((0) (box (vector 0 ))) (else '()))))
(define CoreC-45Name-with--nameEq-10629 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (case (vector-ref arg-2 0) ((0) (CoreC-45Name-with--withC-32blockC-32inC-32nameEq-10644 arg-4 arg-3 (((csegen-570) arg-3) arg-4) arg-0)) (else '()))))
(define CoreC-45Name-with--withC-32blockC-32inC-32nameEq-10593 (lambda (arg-0 arg-1 arg-2 arg-3) (if (null? arg-2) '() (box (vector 0 )))))
(define CoreC-45Name-with--nameEq-10582 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (case (vector-ref arg-2 0) ((0) (CoreC-45Name-with--withC-32blockC-32inC-32nameEq-10593 arg-4 arg-3 (CoreC-45Name-nameEq arg-3 arg-4) arg-0)) (else '()))))
(define CoreC-45Name-with--userNameEq-10535 (lambda (arg-0 arg-1 arg-2) (case (vector-ref arg-2 0) ((0) (box (vector 0 ))) (else '()))))
(define CoreC-45Name-with--userNameEq-10510 (lambda (arg-0 arg-1 arg-2) (case (vector-ref arg-2 0) ((0) (box (vector 0 ))) (else '()))))
(define CoreC-45Name-with--mkUserName-8371 (lambda (arg-0 arg-1) (if (null? arg-1) (vector 0 arg-0) (let ((e-0 (car arg-1))) (let ((e-1 (cdr arg-1))) (cond ((equal? e-0 #\.) (vector 1 e-1))(else (vector 0 arg-0))))))))
(define CoreC-45Name-case--isUnsafeBuiltin-8960 (lambda (arg-0 arg-1) (if (null? arg-1) 0 (let ((e-2 (car arg-1))) (let ((e-3 (cdr arg-1))) (case (vector-ref e-3 0) ((1) (let ((e-4 (vector-ref e-3 1))) (case (vector-ref e-4 0) ((0) (let ((e-5 (vector-ref e-4 1))) (let ((sc3 (let ((sc4 (CoreC-45NameC-45Namespace-u--C-61C-61_Eq_Namespace e-2 (CoreC-45NameC-45Namespace-builtinNS)))) (cond ((equal? sc4 1) 1) (else (CoreC-45NameC-45Namespace-u--C-61C-61_Eq_Namespace e-2 (CoreC-45NameC-45Namespace-emptyNS))))))) (cond ((equal? sc3 1) (PreludeC-45Interfaces-any (csegen-16) (lambda (eta-0) eta-0) (cons (DataC-45String-isPrefixOf "assert_" e-5) (cons (PreludeC-45Types-elem (csegen-16) (csegen-43) e-5 (cons "prim__believe_me" (cons "believe_me" (cons "prim__crash" (cons "idris_crash" '()))))) '())))) (else 0)))))(else 0))))(else 0)))))))
(define CoreC-45Name-u--show_Show_UserName (lambda (arg-0) (case (vector-ref arg-0 0) ((0) (let ((e-0 (vector-ref arg-0 1))) e-0)) ((1) (let ((e-1 (vector-ref arg-0 1))) (string-append "." e-1))) (else "_"))))
(define CoreC-45Name-u--show_Show_RawUNUserName (lambda (arg-0) (CoreC-45Name-u--showPrec_Show_RawUNUserName (vector 0 ) arg-0)))
(define CoreC-45Name-u--show_Show_RawName (lambda (arg-0) (CoreC-45Name-u--showPrec_Show_RawName (vector 0 ) arg-0)))
(define CoreC-45Name-u--show_Show_Name (lambda (arg-0) (case (vector-ref arg-0 0) ((0) (let ((e-0 (vector-ref arg-0 1))) (let ((e-1 (vector-ref arg-0 2))) (case (vector-ref e-1 0) ((1) (let ((e-16 (vector-ref e-1 1))) (case (vector-ref e-16 0) ((1) (string-append (CoreC-45NameC-45Namespace-u--show_Show_Namespace e-0) (string-append ".(" (string-append (CoreC-45Name-u--show_Show_Name e-1) ")"))))(else (string-append (CoreC-45NameC-45Namespace-u--show_Show_Namespace e-0) (string-append "." (CoreC-45Name-u--show_Show_Name e-1)))))))(else (string-append (CoreC-45NameC-45Namespace-u--show_Show_Namespace e-0) (string-append "." (CoreC-45Name-u--show_Show_Name e-1)))))))) ((1) (let ((e-2 (vector-ref arg-0 1))) (CoreC-45Name-u--show_Show_UserName e-2))) ((2) (let ((e-3 (vector-ref arg-0 1))) (let ((e-4 (vector-ref arg-0 2))) (string-append "{" (string-append e-3 (string-append ":" (string-append (PreludeC-45Show-u--show_Show_Int e-4) "}"))))))) ((3) (let ((e-5 (vector-ref arg-0 1))) (let ((e-6 (vector-ref arg-0 2))) (string-append "{P:" (string-append (CoreC-45Name-u--show_Show_Name e-5) (string-append ":" (string-append (PreludeC-45Show-u--show_Show_Int e-6) "}"))))))) ((4) (let ((e-7 (vector-ref arg-0 1))) e-7)) ((5) (let ((e-9 (vector-ref arg-0 1))) (let ((e-10 (vector-ref arg-0 2))) (let ((e-20 (car e-9))) (let ((e-21 (cdr e-9))) (string-append (PreludeC-45Show-u--show_Show_Int e-20) (string-append ":" (string-append (PreludeC-45Show-u--show_Show_Int e-21) (string-append ":" (CoreC-45Name-u--show_Show_Name e-10)))))))))) ((6) (let ((e-11 (vector-ref arg-0 1))) (string-append "case block in " e-11))) ((7) (let ((e-13 (vector-ref arg-0 1))) (string-append "with block in " e-13))) (else (let ((e-15 (vector-ref arg-0 1))) (string-append "$resolved" (PreludeC-45Show-u--show_Show_Int e-15)))))))
(define CoreC-45Name-u--showPrec_Show_RawUNUserName (lambda (arg-0 arg-1) (case (vector-ref arg-1 0) ((0) (let ((e-0 (vector-ref arg-1 1))) (PreludeC-45Show-showCon arg-0 "Basic " e-0))) ((1) (let ((e-1 (vector-ref arg-1 1))) (PreludeC-45Show-showCon arg-0 "Field " e-1))) (else "Underscore"))))
(define CoreC-45Name-u--showPrec_Show_RawName (lambda (arg-0 arg-1) (case (vector-ref arg-1 0) ((0) (let ((e-0 (vector-ref arg-1 1))) (let ((e-1 (vector-ref arg-1 2))) (PreludeC-45Show-showCon arg-0 "NS" (string-append (PreludeC-45Show-showArg (csegen-575) e-0) (PreludeC-45Show-showArg (csegen-577) e-1)))))) ((1) (let ((e-2 (vector-ref arg-1 1))) (PreludeC-45Show-showCon arg-0 "UN" (PreludeC-45Show-showArg (cons (lambda (u--x) (CoreC-45Name-u--show_Show_RawUNUserName u--x)) (lambda (u--d) (lambda (u--x) (CoreC-45Name-u--showPrec_Show_RawUNUserName u--d u--x)))) e-2)))) ((2) (let ((e-3 (vector-ref arg-1 1))) (let ((e-4 (vector-ref arg-1 2))) (PreludeC-45Show-showCon arg-0 "MN" (string-append (PreludeC-45Show-showArg (csegen-581) e-3) (PreludeC-45Show-showArg (csegen-583) e-4)))))) ((3) (let ((e-5 (vector-ref arg-1 1))) (let ((e-6 (vector-ref arg-1 2))) (PreludeC-45Show-showCon arg-0 "PV" (string-append (PreludeC-45Show-showArg (csegen-577) e-5) (PreludeC-45Show-showArg (csegen-583) e-6)))))) ((4) (let ((e-7 (vector-ref arg-1 1))) (let ((e-8 (vector-ref arg-1 2))) (PreludeC-45Show-showCon arg-0 "DN" (string-append (PreludeC-45Show-showArg (csegen-581) e-7) (PreludeC-45Show-showArg (csegen-577) e-8)))))) ((5) (let ((e-9 (vector-ref arg-1 1))) (let ((e-10 (vector-ref arg-1 2))) (PreludeC-45Show-showCon arg-0 "Nested" (string-append (PreludeC-45Show-showArg (csegen-587) e-9) (PreludeC-45Show-showArg (csegen-577) e-10)))))) ((6) (let ((e-11 (vector-ref arg-1 1))) (let ((e-12 (vector-ref arg-1 2))) (PreludeC-45Show-showCon arg-0 "CaseBlock" (string-append (PreludeC-45Show-showArg (csegen-581) e-11) (PreludeC-45Show-showArg (csegen-583) e-12)))))) ((7) (let ((e-13 (vector-ref arg-1 1))) (let ((e-14 (vector-ref arg-1 2))) (PreludeC-45Show-showCon arg-0 "WithBlock" (string-append (PreludeC-45Show-showArg (csegen-581) e-13) (PreludeC-45Show-showArg (csegen-583) e-14)))))) (else (let ((e-15 (vector-ref arg-1 1))) (PreludeC-45Show-showCon arg-0 "Resolved" (PreludeC-45Show-showArg (csegen-583) e-15)))))))
(define CoreC-45Name-u--showPrec_Show_Name (lambda (arg-0 arg-1) (CoreC-45Name-u--show_Show_Name arg-1)))
(define CoreC-45Name-u--pretty_Pretty_Void_UserName (lambda (arg-0) (case (vector-ref arg-0 0) ((0) (let ((e-0 (vector-ref arg-0 1))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--pretty_Pretty_Void_String e-0))) ((1) (let ((e-1 (vector-ref arg-0 1))) (((csegen-380) ((csegen-331) ".")) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--pretty_Pretty_Void_String e-1)))) (else (csegen-595)))))
(define CoreC-45Name-u--pretty_Pretty_Void_Name (lambda (arg-0) (case (vector-ref arg-0 0) ((0) (let ((e-0 (vector-ref arg-0 1))) (let ((e-1 (vector-ref arg-0 2))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (((csegen-380) (CoreC-45NameC-45Namespace-u--pretty_Pretty_Void_Namespace e-0)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-dot)) (CoreC-45Name-prettyOp 1 e-1))))) ((1) (let ((e-2 (vector-ref arg-0 1))) (CoreC-45Name-u--pretty_Pretty_Void_UserName e-2))) ((2) (let ((e-3 (vector-ref arg-0 1))) (let ((e-4 (vector-ref arg-0 2))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-braces (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (((csegen-380) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--pretty_Pretty_Void_String e-3)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-colon)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-byShow (csegen-583) e-4)))))) ((3) (let ((e-5 (vector-ref arg-0 1))) (let ((e-6 (vector-ref arg-0 2))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-braces (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (((csegen-380) (((csegen-380) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--pretty_Pretty_Void_Char ((csegen-0) #\P))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-colon))) (CoreC-45Name-u--pretty_Pretty_Void_Name e-5)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-colon)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-byShow (csegen-583) e-6)))))) ((4) (let ((e-7 (vector-ref arg-0 1))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--pretty_Pretty_Void_String e-7))) ((5) (let ((e-9 (vector-ref arg-0 1))) (let ((e-10 (vector-ref arg-0 2))) (let ((e-18 (car e-9))) (let ((e-19 (cdr e-9))) (((csegen-380) (((csegen-380) (((csegen-380) (((csegen-380) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-byShow (csegen-583) e-18)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-colon))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-byShow (csegen-583) e-19))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-colon))) (CoreC-45Name-u--pretty_Pretty_Void_Name e-10))))))) ((6) (let ((e-11 (vector-ref arg-0 1))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "case block in") (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--pretty_Pretty_Void_String e-11)))) ((7) (let ((e-13 (vector-ref arg-0 1))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "with block in") (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--pretty_Pretty_Void_String e-13)))) (else (let ((e-15 (vector-ref arg-0 1))) (((csegen-380) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--pretty_Pretty_Void_String ((csegen-0) "$resolved"))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--pretty_Pretty_Void_String (PreludeC-45Show-u--show_Show_Int e-15))))))))
(define CoreC-45Name-u--prettyPrec_Pretty_Void_UserName (lambda (arg-0 arg-1) (CoreC-45Name-u--pretty_Pretty_Void_UserName arg-1)))
(define CoreC-45Name-u--prettyPrec_Pretty_Void_Name (lambda (arg-0 arg-1) (CoreC-45Name-u--pretty_Pretty_Void_Name arg-1)))
(define CoreC-45Name-u--min_Ord_Name (lambda (arg-0 arg-1) (let ((sc0 (CoreC-45Name-u--C-60_Ord_Name arg-0 arg-1))) (cond ((equal? sc0 1) arg-0) (else arg-1)))))
(define CoreC-45Name-u--max_Ord_Name (lambda (arg-0 arg-1) (let ((sc0 (CoreC-45Name-u--C-62_Ord_Name arg-0 arg-1))) (cond ((equal? sc0 1) arg-0) (else arg-1)))))
(define CoreC-45Name-u--compare_Ord_UserName (lambda (arg-0 arg-1) (case (vector-ref arg-0 0) ((0) (let ((e-0 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((0) (let ((e-2 (vector-ref arg-1 1))) (PreludeC-45EqOrd-u--compare_Ord_String e-0 e-2)))(else (PreludeC-45EqOrd-u--compare_Ord_Int (CoreC-45Name-usernameTag arg-0) (CoreC-45Name-usernameTag arg-1)))))) ((1) (let ((e-1 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((1) (let ((e-3 (vector-ref arg-1 1))) (PreludeC-45EqOrd-u--compare_Ord_String e-1 e-3)))(else (PreludeC-45EqOrd-u--compare_Ord_Int (CoreC-45Name-usernameTag arg-0) (CoreC-45Name-usernameTag arg-1)))))) ((2) (case (vector-ref arg-1 0) ((2) 1)(else (PreludeC-45EqOrd-u--compare_Ord_Int (CoreC-45Name-usernameTag arg-0) (CoreC-45Name-usernameTag arg-1)))))(else (PreludeC-45EqOrd-u--compare_Ord_Int (CoreC-45Name-usernameTag arg-0) (CoreC-45Name-usernameTag arg-1))))))
(define CoreC-45Name-u--compare_Ord_Name (lambda (arg-0 arg-1) (case (vector-ref arg-0 0) ((0) (let ((e-0 (vector-ref arg-0 1))) (let ((e-1 (vector-ref arg-0 2))) (case (vector-ref arg-1 0) ((0) (let ((e-16 (vector-ref arg-1 1))) (let ((e-17 (vector-ref arg-1 2))) (let ((sc2 (CoreC-45Name-u--compare_Ord_Name e-1 e-17))) (cond ((equal? sc2 1) (CoreC-45NameC-45Namespace-u--compare_Ord_Namespace e-0 e-16)) ((equal? sc2 2) 2) (else 0))))))(else (PreludeC-45EqOrd-u--compare_Ord_Int (CoreC-45Name-nameTag arg-0) (CoreC-45Name-nameTag arg-1))))))) ((1) (let ((e-2 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((1) (let ((e-18 (vector-ref arg-1 1))) (CoreC-45Name-u--compare_Ord_UserName e-2 e-18)))(else (PreludeC-45EqOrd-u--compare_Ord_Int (CoreC-45Name-nameTag arg-0) (CoreC-45Name-nameTag arg-1)))))) ((2) (let ((e-3 (vector-ref arg-0 1))) (let ((e-4 (vector-ref arg-0 2))) (case (vector-ref arg-1 0) ((2) (let ((e-19 (vector-ref arg-1 1))) (let ((e-20 (vector-ref arg-1 2))) (let ((sc2 (PreludeC-45EqOrd-u--compare_Ord_Int e-4 e-20))) (cond ((equal? sc2 1) (PreludeC-45EqOrd-u--compare_Ord_String e-3 e-19)) ((equal? sc2 2) 2) (else 0))))))(else (PreludeC-45EqOrd-u--compare_Ord_Int (CoreC-45Name-nameTag arg-0) (CoreC-45Name-nameTag arg-1))))))) ((3) (let ((e-5 (vector-ref arg-0 1))) (let ((e-6 (vector-ref arg-0 2))) (case (vector-ref arg-1 0) ((3) (let ((e-21 (vector-ref arg-1 1))) (let ((e-22 (vector-ref arg-1 2))) (let ((sc2 (PreludeC-45EqOrd-u--compare_Ord_Int e-6 e-22))) (cond ((equal? sc2 1) (CoreC-45Name-u--compare_Ord_Name e-5 e-21)) ((equal? sc2 2) 2) (else 0))))))(else (PreludeC-45EqOrd-u--compare_Ord_Int (CoreC-45Name-nameTag arg-0) (CoreC-45Name-nameTag arg-1))))))) ((4) (let ((e-8 (vector-ref arg-0 2))) (case (vector-ref arg-1 0) ((4) (let ((e-24 (vector-ref arg-1 2))) (CoreC-45Name-u--compare_Ord_Name e-8 e-24)))(else (PreludeC-45EqOrd-u--compare_Ord_Int (CoreC-45Name-nameTag arg-0) (CoreC-45Name-nameTag arg-1)))))) ((5) (let ((e-9 (vector-ref arg-0 1))) (let ((e-10 (vector-ref arg-0 2))) (case (vector-ref arg-1 0) ((5) (let ((e-25 (vector-ref arg-1 1))) (let ((e-26 (vector-ref arg-1 2))) (let ((sc2 (CoreC-45Name-u--compare_Ord_Name e-10 e-26))) (cond ((equal? sc2 1) (PreludeC-45EqOrd-u--compare_Ord_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-298) (csegen-298) e-9 e-25)) ((equal? sc2 2) 2) (else 0))))))(else (PreludeC-45EqOrd-u--compare_Ord_Int (CoreC-45Name-nameTag arg-0) (CoreC-45Name-nameTag arg-1))))))) ((6) (let ((e-11 (vector-ref arg-0 1))) (let ((e-12 (vector-ref arg-0 2))) (case (vector-ref arg-1 0) ((6) (let ((e-27 (vector-ref arg-1 1))) (let ((e-28 (vector-ref arg-1 2))) (let ((sc2 (PreludeC-45EqOrd-u--compare_Ord_Int e-12 e-28))) (cond ((equal? sc2 1) (PreludeC-45EqOrd-u--compare_Ord_String e-11 e-27)) ((equal? sc2 2) 2) (else 0))))))(else (PreludeC-45EqOrd-u--compare_Ord_Int (CoreC-45Name-nameTag arg-0) (CoreC-45Name-nameTag arg-1))))))) ((7) (let ((e-13 (vector-ref arg-0 1))) (let ((e-14 (vector-ref arg-0 2))) (case (vector-ref arg-1 0) ((7) (let ((e-29 (vector-ref arg-1 1))) (let ((e-30 (vector-ref arg-1 2))) (let ((sc2 (PreludeC-45EqOrd-u--compare_Ord_Int e-14 e-30))) (cond ((equal? sc2 1) (PreludeC-45EqOrd-u--compare_Ord_String e-13 e-29)) ((equal? sc2 2) 2) (else 0))))))(else (PreludeC-45EqOrd-u--compare_Ord_Int (CoreC-45Name-nameTag arg-0) (CoreC-45Name-nameTag arg-1))))))) ((8) (let ((e-15 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((8) (let ((e-31 (vector-ref arg-1 1))) (PreludeC-45EqOrd-u--compare_Ord_Int e-15 e-31)))(else (PreludeC-45EqOrd-u--compare_Ord_Int (CoreC-45Name-nameTag arg-0) (CoreC-45Name-nameTag arg-1))))))(else (PreludeC-45EqOrd-u--compare_Ord_Int (CoreC-45Name-nameTag arg-0) (CoreC-45Name-nameTag arg-1))))))
(define CoreC-45Name-u--C-62_Ord_Name (lambda (arg-0 arg-1) (PreludeC-45EqOrd-u--C-61C-61_Eq_Ordering (CoreC-45Name-u--compare_Ord_Name arg-0 arg-1) 2)))
(define CoreC-45Name-u--C-62C-61_Ord_Name (lambda (arg-0 arg-1) (PreludeC-45EqOrd-u--C-47C-61_Eq_Ordering (CoreC-45Name-u--compare_Ord_Name arg-0 arg-1) 0)))
(define CoreC-45Name-u--C-61C-61_Eq_UserName (lambda (arg-0 arg-1) (case (vector-ref arg-0 0) ((0) (let ((e-0 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((0) (let ((e-2 (vector-ref arg-1 1))) (PreludeC-45EqOrd-u--C-61C-61_Eq_String e-0 e-2)))(else 0)))) ((1) (let ((e-1 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((1) (let ((e-3 (vector-ref arg-1 1))) (PreludeC-45EqOrd-u--C-61C-61_Eq_String e-1 e-3)))(else 0)))) ((2) (case (vector-ref arg-1 0) ((2) 1)(else 0)))(else 0))))
(define CoreC-45Name-u--C-61C-61_Eq_Name (lambda (arg-0 arg-1) (case (vector-ref arg-0 0) ((0) (let ((e-0 (vector-ref arg-0 1))) (let ((e-1 (vector-ref arg-0 2))) (case (vector-ref arg-1 0) ((0) (let ((e-16 (vector-ref arg-1 1))) (let ((e-17 (vector-ref arg-1 2))) (let ((sc2 (CoreC-45Name-u--C-61C-61_Eq_Name e-1 e-17))) (cond ((equal? sc2 1) (CoreC-45NameC-45Namespace-u--C-61C-61_Eq_Namespace e-0 e-16)) (else 0))))))(else 0))))) ((1) (let ((e-2 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((1) (let ((e-18 (vector-ref arg-1 1))) (CoreC-45Name-u--C-61C-61_Eq_UserName e-2 e-18)))(else 0)))) ((2) (let ((e-3 (vector-ref arg-0 1))) (let ((e-4 (vector-ref arg-0 2))) (case (vector-ref arg-1 0) ((2) (let ((e-19 (vector-ref arg-1 1))) (let ((e-20 (vector-ref arg-1 2))) (let ((sc2 (PreludeC-45EqOrd-u--C-61C-61_Eq_Int e-4 e-20))) (cond ((equal? sc2 1) (PreludeC-45EqOrd-u--C-61C-61_Eq_String e-3 e-19)) (else 0))))))(else 0))))) ((3) (let ((e-5 (vector-ref arg-0 1))) (let ((e-6 (vector-ref arg-0 2))) (case (vector-ref arg-1 0) ((3) (let ((e-21 (vector-ref arg-1 1))) (let ((e-22 (vector-ref arg-1 2))) (let ((sc2 (CoreC-45Name-u--C-61C-61_Eq_Name e-5 e-21))) (cond ((equal? sc2 1) (PreludeC-45EqOrd-u--C-61C-61_Eq_Int e-6 e-22)) (else 0))))))(else 0))))) ((4) (let ((e-8 (vector-ref arg-0 2))) (case (vector-ref arg-1 0) ((4) (let ((e-24 (vector-ref arg-1 2))) (CoreC-45Name-u--C-61C-61_Eq_Name e-8 e-24)))(else 0)))) ((5) (let ((e-9 (vector-ref arg-0 1))) (let ((e-10 (vector-ref arg-0 2))) (case (vector-ref arg-1 0) ((5) (let ((e-25 (vector-ref arg-1 1))) (let ((e-26 (vector-ref arg-1 2))) (let ((sc2 (PreludeC-45EqOrd-u--C-61C-61_Eq_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-290) (csegen-290) e-9 e-25))) (cond ((equal? sc2 1) (CoreC-45Name-u--C-61C-61_Eq_Name e-10 e-26)) (else 0))))))(else 0))))) ((6) (let ((e-11 (vector-ref arg-0 1))) (let ((e-12 (vector-ref arg-0 2))) (case (vector-ref arg-1 0) ((6) (let ((e-27 (vector-ref arg-1 1))) (let ((e-28 (vector-ref arg-1 2))) (let ((sc2 (PreludeC-45EqOrd-u--C-61C-61_Eq_Int e-12 e-28))) (cond ((equal? sc2 1) (PreludeC-45EqOrd-u--C-61C-61_Eq_String e-11 e-27)) (else 0))))))(else 0))))) ((7) (let ((e-13 (vector-ref arg-0 1))) (let ((e-14 (vector-ref arg-0 2))) (case (vector-ref arg-1 0) ((7) (let ((e-29 (vector-ref arg-1 1))) (let ((e-30 (vector-ref arg-1 2))) (let ((sc2 (PreludeC-45EqOrd-u--C-61C-61_Eq_Int e-14 e-30))) (cond ((equal? sc2 1) (PreludeC-45EqOrd-u--C-61C-61_Eq_String e-13 e-29)) (else 0))))))(else 0))))) ((8) (let ((e-15 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((8) (let ((e-31 (vector-ref arg-1 1))) (PreludeC-45EqOrd-u--C-61C-61_Eq_Int e-15 e-31)))(else 0))))(else 0))))
(define CoreC-45Name-u--C-60_Ord_Name (lambda (arg-0 arg-1) (PreludeC-45EqOrd-u--C-61C-61_Eq_Ordering (CoreC-45Name-u--compare_Ord_Name arg-0 arg-1) 0)))
(define CoreC-45Name-u--C-60C-61_Ord_UserName (lambda (arg-0 arg-1) (PreludeC-45EqOrd-u--C-47C-61_Eq_Ordering (CoreC-45Name-u--compare_Ord_UserName arg-0 arg-1) 2)))
(define CoreC-45Name-u--C-60C-61_Ord_Name (lambda (arg-0 arg-1) (PreludeC-45EqOrd-u--C-47C-61_Eq_Ordering (CoreC-45Name-u--compare_Ord_Name arg-0 arg-1) 2)))
(define CoreC-45Name-u--C-47C-61_Eq_Name (lambda (arg-0 arg-1) (let ((sc0 (CoreC-45Name-u--C-61C-61_Eq_Name arg-0 arg-1))) (cond ((equal? sc0 1) 0) (else 1)))))
(define CoreC-45Name-usernameTag (lambda (arg-0) (case (vector-ref arg-0 0) ((0) 0) ((1) 2) (else 3))))
(define CoreC-45Name-userNameRoot (lambda (arg-0) (case (vector-ref arg-0 0) ((0) (let ((e-1 (vector-ref arg-0 2))) (CoreC-45Name-userNameRoot e-1))) ((1) (let ((e-2 (vector-ref arg-0 1))) (box e-2))) ((4) (let ((e-4 (vector-ref arg-0 2))) (CoreC-45Name-userNameRoot e-4)))(else '()))))
(define CoreC-45Name-userNameEq (lambda (arg-0 arg-1) (case (vector-ref arg-0 0) ((0) (let ((e-0 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((0) (let ((e-2 (vector-ref arg-1 1))) (CoreC-45Name-with--userNameEq-10510 e-0 e-2 (((csegen-605) e-0) e-2))))(else '())))) ((1) (let ((e-1 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((1) (let ((e-3 (vector-ref arg-1 1))) (CoreC-45Name-with--userNameEq-10535 e-1 e-3 (((csegen-605) e-1) e-3))))(else '())))) ((2) (case (vector-ref arg-1 0) ((2) (box (vector 0 )))(else '())))(else '()))))
(define CoreC-45Name-splitNS (lambda (arg-0) (case (vector-ref arg-0 0) ((0) (let ((e-0 (vector-ref arg-0 1))) (let ((e-1 (vector-ref arg-0 2))) (let ((sc1 (CoreC-45Name-splitNS e-1))) (let ((e-2 (car sc1))) (let ((e-3 (cdr sc1))) (cons (CoreC-45NameC-45Namespace-C-60C-46C-62 e-0 e-2) e-3)))))))(else (cons (CoreC-45NameC-45Namespace-emptyNS) arg-0)))))
(define CoreC-45Name-prettyOp (lambda (arg-0 arg-1) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-parenthesise (CoreC-45Name-isPrettyOp arg-0 arg-1) (CoreC-45Name-u--pretty_Pretty_Void_Name arg-1))))
(define CoreC-45Name-namesEq (lambda (arg-0 arg-1) (if (null? arg-0) (if (null? arg-1) (box (vector 0 )) '()) (let ((e-2 (car arg-0))) (let ((e-3 (cdr arg-0))) (if (null? arg-1) '() (let ((e-6 (car arg-1))) (let ((e-7 (cdr arg-1))) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (CoreC-45Name-nameEq e-2 e-6) (lambda (u--p) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (CoreC-45Name-namesEq e-3 e-7) (lambda (u--ps) (box (vector 0 ))))))))))))))
(define CoreC-45Name-nameTag (lambda (arg-0) (case (vector-ref arg-0 0) ((0) 0) ((1) 1) ((2) 2) ((3) 3) ((4) 4) ((5) 6) ((6) 7) ((7) 8) (else 9))))
(define CoreC-45Name-nameRoot (lambda (arg-0) (case (vector-ref arg-0 0) ((0) (let ((e-1 (vector-ref arg-0 2))) (CoreC-45Name-nameRoot e-1))) ((1) (let ((e-2 (vector-ref arg-0 1))) (CoreC-45Name-displayUserName e-2))) ((2) (let ((e-3 (vector-ref arg-0 1))) e-3)) ((3) (let ((e-5 (vector-ref arg-0 1))) (CoreC-45Name-nameRoot e-5))) ((4) (let ((e-8 (vector-ref arg-0 2))) (CoreC-45Name-nameRoot e-8))) ((5) (let ((e-10 (vector-ref arg-0 2))) (CoreC-45Name-nameRoot e-10))) ((6) (let ((e-11 (vector-ref arg-0 1))) (string-append "$" (PreludeC-45Show-u--show_Show_String e-11)))) ((7) (let ((e-13 (vector-ref arg-0 1))) (string-append "$" (PreludeC-45Show-u--show_Show_String e-13)))) (else (let ((e-15 (vector-ref arg-0 1))) (string-append "$" (PreludeC-45Show-u--show_Show_Int e-15)))))))
(define CoreC-45Name-nameEq (lambda (arg-0 arg-1) (case (vector-ref arg-0 0) ((0) (let ((e-0 (vector-ref arg-0 1))) (let ((e-1 (vector-ref arg-0 2))) (case (vector-ref arg-1 0) ((0) (let ((e-16 (vector-ref arg-1 1))) (let ((e-17 (vector-ref arg-1 2))) (CoreC-45Name-with--nameEq-10582 e-0 e-16 (CoreC-45NameC-45Namespace-u--decEq_DecEq_Namespace e-0 e-16) e-1 e-17))))(else '()))))) ((1) (let ((e-2 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((1) (let ((e-18 (vector-ref arg-1 1))) (((csegen-77) (lambda (eta-0) (vector 0 ))) (CoreC-45Name-userNameEq e-2 e-18))))(else '())))) ((2) (let ((e-3 (vector-ref arg-0 1))) (let ((e-4 (vector-ref arg-0 2))) (case (vector-ref arg-1 0) ((2) (let ((e-19 (vector-ref arg-1 1))) (let ((e-20 (vector-ref arg-1 2))) (CoreC-45Name-with--nameEq-10629 e-3 e-19 (((csegen-605) e-3) e-19) e-4 e-20))))(else '()))))) ((3) (let ((e-5 (vector-ref arg-0 1))) (let ((e-6 (vector-ref arg-0 2))) (case (vector-ref arg-1 0) ((3) (let ((e-21 (vector-ref arg-1 1))) (let ((e-22 (vector-ref arg-1 2))) (CoreC-45Name-with--nameEq-10669 e-5 e-21 (CoreC-45Name-nameEq e-5 e-21) e-6 e-22))))(else '()))))) ((4) (let ((e-7 (vector-ref arg-0 1))) (let ((e-8 (vector-ref arg-0 2))) (case (vector-ref arg-1 0) ((4) (let ((e-23 (vector-ref arg-1 1))) (let ((e-24 (vector-ref arg-1 2))) (CoreC-45Name-with--nameEq-10708 e-7 e-23 (((csegen-605) e-7) e-23) e-8 e-24))))(else '()))))) ((5) (let ((e-9 (vector-ref arg-0 1))) (let ((e-10 (vector-ref arg-0 2))) (case (vector-ref arg-1 0) ((5) (let ((e-25 (vector-ref arg-1 1))) (let ((e-26 (vector-ref arg-1 2))) (CoreC-45Name-with--nameEq-10750 e-9 e-25 (((let ((eff-0 (lambda (eta-0) (lambda (eta-1) (DecidableC-45Equality-u--decEq_DecEq_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (cons (csegen-569) (csegen-569)) eta-0 eta-1))))) (lambda (arg-2) (lambda (arg-3) ((eff-0 arg-2) arg-3)))) e-9) e-25) e-10 e-26))))(else '()))))) ((6) (let ((e-11 (vector-ref arg-0 1))) (let ((e-12 (vector-ref arg-0 2))) (case (vector-ref arg-1 0) ((6) (let ((e-27 (vector-ref arg-1 1))) (let ((e-28 (vector-ref arg-1 2))) (CoreC-45Name-with--nameEq-10792 e-11 e-27 (((csegen-605) e-11) e-27) e-12 e-28))))(else '()))))) ((7) (let ((e-13 (vector-ref arg-0 1))) (let ((e-14 (vector-ref arg-0 2))) (case (vector-ref arg-1 0) ((7) (let ((e-29 (vector-ref arg-1 1))) (let ((e-30 (vector-ref arg-1 2))) (CoreC-45Name-with--nameEq-10836 e-13 e-29 (((csegen-605) e-13) e-29) e-14 e-30))))(else '()))))) ((8) (let ((e-15 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((8) (let ((e-31 (vector-ref arg-1 1))) (CoreC-45Name-with--nameEq-10880 e-15 e-31 (((csegen-570) e-15) e-31))))(else '()))))(else '()))))
(define CoreC-45Name-mkUserName (lambda (arg-0) (cond ((equal? arg-0 "_") (vector 2 ))(else (CoreC-45Name-with--mkUserName-8371 arg-0 (DataC-45String-strM arg-0))))))
(define CoreC-45Name-mkNamespacedName (lambda (arg-0 arg-1) (if (null? arg-0) (vector 1 arg-1) (let ((e-2 (unbox arg-0))) (vector 0 e-2 (vector 1 arg-1))))))
(define CoreC-45Name-mbApplyNS (lambda (arg-0 arg-1) (if (null? arg-0) arg-1 (let ((e-2 (unbox arg-0))) (vector 0 e-2 arg-1)))))
(define CoreC-45Name-matches (lambda (arg-0 arg-1) (case (vector-ref arg-0 0) ((0) (let ((e-0 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((0) (let ((e-2 (vector-ref arg-1 1))) (CoreC-45NameC-45Namespace-isApproximationOf e-0 e-2)))(else 1))))(else 1))))
(define CoreC-45Name-isUserName (lambda (arg-0) (case (vector-ref arg-0 0) ((3) 0) ((2) 0) ((0) (let ((e-5 (vector-ref arg-0 2))) (CoreC-45Name-isUserName e-5))) ((4) (let ((e-7 (vector-ref arg-0 2))) (CoreC-45Name-isUserName e-7)))(else 1))))
(define CoreC-45Name-isUnsafeBuiltin (lambda (arg-0) (CoreC-45Name-case--isUnsafeBuiltin-8960 arg-0 (CoreC-45Name-splitNS arg-0))))
(define CoreC-45Name-isUnderscoreName (lambda (arg-0) (case (vector-ref arg-0 0) ((1) (let ((e-0 (vector-ref arg-0 1))) (case (vector-ref e-0 0) ((2) 1)(else 0)))) ((2) (let ((e-1 (vector-ref arg-0 1))) (cond ((equal? e-1 "_") 1)(else 0))))(else 0))))
(define CoreC-45Name-isUN (lambda (arg-0) (case (vector-ref arg-0 0) ((1) (let ((e-0 (vector-ref arg-0 1))) (box (cons (CoreC-45NameC-45Namespace-emptyNS) e-0)))) ((0) (let ((e-1 (vector-ref arg-0 1))) (let ((e-2 (vector-ref arg-0 2))) (((csegen-77) (lambda (eta-0) (let ((e-4 (car eta-0))) (let ((e-3 (cdr eta-0))) (cons (CoreC-45NameC-45Namespace-C-60C-46C-62 e-1 e-4) e-3))))) (CoreC-45Name-isUN e-2)))))(else '()))))
(define CoreC-45Name-isSourceName (lambda (arg-0) (case (vector-ref arg-0 0) ((0) (let ((e-1 (vector-ref arg-0 2))) (CoreC-45Name-isSourceName e-1))) ((1) 1) ((2) 0) ((3) (let ((e-5 (vector-ref arg-0 1))) (CoreC-45Name-isSourceName e-5))) ((4) (let ((e-8 (vector-ref arg-0 2))) (CoreC-45Name-isSourceName e-8))) ((5) (let ((e-10 (vector-ref arg-0 2))) (CoreC-45Name-isSourceName e-10))) ((6) 0) ((7) 0) (else 0))))
(define CoreC-45Name-isRF (lambda (arg-0) (case (vector-ref arg-0 0) ((0) (let ((e-0 (vector-ref arg-0 1))) (let ((e-1 (vector-ref arg-0 2))) (((csegen-77) (lambda (eta-0) (let ((e-2 (car eta-0))) (let ((e-3 (cdr eta-0))) (cons (CoreC-45NameC-45Namespace-C-60C-46C-62 e-0 e-2) e-3))))) (CoreC-45Name-isRF e-1))))) ((1) (let ((e-2 (vector-ref arg-0 1))) (case (vector-ref e-2 0) ((1) (let ((e-3 (vector-ref e-2 1))) (box (cons (CoreC-45NameC-45Namespace-emptyNS) e-3))))(else '()))))(else '()))))
(define CoreC-45Name-isPrettyOp (lambda (arg-0 arg-1) (case (vector-ref arg-1 0) ((1) (let ((e-0 (vector-ref arg-1 1))) (case (vector-ref e-0 0) ((1) arg-0) ((0) (CoreC-45Name-isOpUserName e-0))(else 0)))) ((4) (let ((e-1 (vector-ref arg-1 1))) (CoreC-45Name-isOpUserName (vector 0 e-1))))(else 0))))
(define CoreC-45Name-isPatternVariable (lambda (arg-0) (case (vector-ref arg-0 0) ((0) (let ((e-0 (vector-ref arg-0 1))) (LibrariesC-45UtilsC-45String-lowerFirst e-0))) ((1) 0) (else 1))))
(define CoreC-45Name-isOpUserName (lambda (arg-0) (case (vector-ref arg-0 0) ((0) (let ((e-0 (vector-ref arg-0 1))) (DataC-45Maybe-fromMaybe (lambda () 0) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (PreludeC-45Interfaces-C-60C-36C-62 (csegen-76) (lambda (eta-0) (Builtin-fst eta-0)) (PreludeC-45Types-strUncons e-0)) (lambda (u--c) (PreludeC-45Interfaces-C-62C-62 (csegen-614) (PreludeC-45Interfaces-guard (csegen-326) (CoreC-45Name-isOpChar u--c)) (lambda () (box 1)))))))) ((1) 0) (else 0))))
(define CoreC-45Name-isOpName (lambda (ext-0) (PreludeC-45Types-maybe (lambda () 0) (lambda () (lambda (eta-0) (CoreC-45Name-isOpUserName eta-0))) (CoreC-45Name-userNameRoot ext-0))))
(define CoreC-45Name-isOpChar (lambda (arg-0) (PreludeC-45Types-elem (csegen-16) (csegen-19) arg-0 (PreludeC-45Types-fastUnpack ":!#$%&*+./<=>?@\\^|-~"))))
(define CoreC-45Name-isBasic (lambda (arg-0) (case (vector-ref arg-0 0) ((0) (let ((e-0 (vector-ref arg-0 1))) (box e-0)))(else '()))))
(define CoreC-45Name-dropNS (lambda (arg-0) (case (vector-ref arg-0 0) ((0) (let ((e-1 (vector-ref arg-0 2))) e-1))(else arg-0))))
(define CoreC-45Name-dropAllNS (lambda (arg-0) (case (vector-ref arg-0 0) ((0) (let ((e-1 (vector-ref arg-0 2))) (CoreC-45Name-dropAllNS e-1)))(else arg-0))))
(define CoreC-45Name-displayUserName (lambda (arg-0) (case (vector-ref arg-0 0) ((0) (let ((e-0 (vector-ref arg-0 1))) e-0)) ((1) (let ((e-1 (vector-ref arg-0 1))) e-1)) (else "_"))))
(define CoreC-45Name-displayName (lambda (arg-0) (case (vector-ref arg-0 0) ((0) (let ((e-0 (vector-ref arg-0 1))) (let ((e-1 (vector-ref arg-0 2))) (let ((sc1 (CoreC-45Name-displayName e-1))) (let ((e-2 (car sc1))) (let ((e-3 (cdr sc1))) (cons (box (PreludeC-45Types-maybe (lambda () e-0) (lambda () (lambda (arg-1) (CoreC-45NameC-45Namespace-C-60C-46C-62 e-0 arg-1))) e-2)) e-3))))))) ((1) (let ((e-2 (vector-ref arg-0 1))) (cons '() (CoreC-45Name-displayUserName e-2)))) ((2) (let ((e-3 (vector-ref arg-0 1))) (cons '() e-3))) ((3) (let ((e-5 (vector-ref arg-0 1))) (CoreC-45Name-displayName e-5))) ((4) (let ((e-7 (vector-ref arg-0 1))) (cons '() e-7))) ((5) (let ((e-10 (vector-ref arg-0 2))) (CoreC-45Name-displayName e-10))) ((6) (let ((e-11 (vector-ref arg-0 1))) (cons '() (string-append "case block in " (PreludeC-45Show-u--show_Show_String e-11))))) ((7) (let ((e-13 (vector-ref arg-0 1))) (cons '() (string-append "with block in " (PreludeC-45Show-u--show_Show_String e-13))))) (else (let ((e-15 (vector-ref arg-0 1))) (cons '() (string-append "$resolved" (PreludeC-45Show-u--show_Show_Int e-15))))))))
(define CoreC-45Name-asName (lambda (arg-0 arg-1 arg-2) (case (vector-ref arg-2 0) ((4) (let ((e-0 (vector-ref arg-2 1))) (let ((e-1 (vector-ref arg-2 2))) (vector 4 e-0 (CoreC-45Name-asName arg-0 arg-1 e-1))))) ((0) (let ((e-2 (vector-ref arg-2 1))) (let ((e-3 (vector-ref arg-2 2))) (vector 0 (CoreC-45NameC-45Namespace-replace arg-0 arg-1 e-2) e-3))))(else arg-2))))
(define CoreC-45NameC-45Namespace-with--decEq-8085 (lambda (arg-0 arg-1 arg-2) (case (vector-ref arg-2 0) ((1) (let ((e-1 (vector-ref arg-2 1))) (vector 1 (lambda (eta-0) (e-1 (CoreC-45NameC-45Namespace-mkNSInjective eta-0)))))) (else (vector 0 (vector 0 ))))))
(define CoreC-45NameC-45Namespace-n--4824-7548-u--go (lambda (arg-0 arg-1) (if (null? arg-1) '() (let ((e-2 (car arg-1))) (let ((e-3 (cdr arg-1))) (cons (cons e-2 e-3) (CoreC-45NameC-45Namespace-n--4824-7548-u--go arg-0 e-3)))))))
(define CoreC-45NameC-45Namespace-n--4716-7451-u--go (lambda (arg-0 arg-1 arg-2 arg-3) (if (null? arg-3) '() (let ((e-2 (car arg-3))) (let ((e-3 (cdr arg-3))) (let ((sc1 (PreludeC-45Types-u--C-61C-61_Eq_C-40ListC-32C-36aC-41 (csegen-43) arg-0 (cons e-2 e-3)))) (cond ((equal? sc1 1) arg-1) (else (cons e-2 (CoreC-45NameC-45Namespace-n--4716-7451-u--go arg-0 arg-1 arg-2 e-3))))))))))
(define CoreC-45NameC-45Namespace-u--show_Show_Namespace (lambda (ext-0) (CoreC-45NameC-45Namespace-showNSWithSep "." ext-0)))
(define CoreC-45NameC-45Namespace-u--show_Show_ModuleIdent (lambda (ext-0) (CoreC-45NameC-45Namespace-showNSWithSep "." (CoreC-45NameC-45Namespace-miAsNamespace ext-0))))
(define CoreC-45NameC-45Namespace-u--showPrec_Show_Namespace (lambda (arg-0 arg-1) (CoreC-45NameC-45Namespace-u--show_Show_Namespace arg-1)))
(define CoreC-45NameC-45Namespace-u--showPrec_Show_ModuleIdent (lambda (arg-0 arg-1) (CoreC-45NameC-45Namespace-u--show_Show_ModuleIdent arg-1)))
(define CoreC-45NameC-45Namespace-u--pretty_Pretty_Void_Namespace (lambda (arg-0) (let ((eff-0 arg-0)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-concatWith (csegen-616) (PreludeC-45Interfaces-C-60C-36C-62 (csegen-24) (lambda (eta-0) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--pretty_Pretty_Void_String eta-0)) (PreludeC-45TypesC-45List-reverse eff-0))))))
(define CoreC-45NameC-45Namespace-u--pretty_Pretty_Void_ModuleIdent (lambda (ext-0) (CoreC-45NameC-45Namespace-u--pretty_Pretty_Void_Namespace (CoreC-45NameC-45Namespace-miAsNamespace ext-0))))
(define CoreC-45NameC-45Namespace-u--prettyPrec_Pretty_Void_Namespace (lambda (arg-0 arg-1) (CoreC-45NameC-45Namespace-u--pretty_Pretty_Void_Namespace arg-1)))
(define CoreC-45NameC-45Namespace-u--prettyPrec_Pretty_Void_ModuleIdent (lambda (arg-0 arg-1) (CoreC-45NameC-45Namespace-u--pretty_Pretty_Void_ModuleIdent arg-1)))
(define CoreC-45NameC-45Namespace-u--min_Ord_Namespace (lambda (arg-0 arg-1) (let ((sc0 (CoreC-45NameC-45Namespace-u--C-60_Ord_Namespace arg-0 arg-1))) (cond ((equal? sc0 1) arg-0) (else arg-1)))))
(define CoreC-45NameC-45Namespace-u--min_Ord_ModuleIdent (lambda (arg-0 arg-1) (let ((sc0 (CoreC-45NameC-45Namespace-u--C-60_Ord_ModuleIdent arg-0 arg-1))) (cond ((equal? sc0 1) arg-0) (else arg-1)))))
(define CoreC-45NameC-45Namespace-u--max_Ord_Namespace (lambda (arg-0 arg-1) (let ((sc0 (CoreC-45NameC-45Namespace-u--C-62_Ord_Namespace arg-0 arg-1))) (cond ((equal? sc0 1) arg-0) (else arg-1)))))
(define CoreC-45NameC-45Namespace-u--max_Ord_ModuleIdent (lambda (arg-0 arg-1) (let ((sc0 (CoreC-45NameC-45Namespace-u--C-62_Ord_ModuleIdent arg-0 arg-1))) (cond ((equal? sc0 1) arg-0) (else arg-1)))))
(define CoreC-45NameC-45Namespace-u--decEq_DecEq_Namespace (lambda (arg-0 arg-1) (let ((eff-0 arg-0)) (let ((eff-1 arg-1)) (CoreC-45NameC-45Namespace-with--decEq-8085 eff-0 eff-1 (((let ((eff-2 (lambda (eta-0) (lambda (eta-1) (DecidableC-45Equality-u--decEq_DecEq_C-40ListC-32C-36aC-41 (csegen-604) eta-0 eta-1))))) (lambda (arg-2) (lambda (arg-3) ((eff-2 arg-2) arg-3)))) eff-0) eff-1))))))
(define CoreC-45NameC-45Namespace-u--compare_Ord_Namespace (lambda (arg-0 arg-1) (let ((eff-0 arg-0)) (let ((eff-1 arg-1)) (PreludeC-45Types-u--compare_Ord_C-40ListC-32C-36aC-41 (csegen-626) eff-0 eff-1)))))
(define CoreC-45NameC-45Namespace-u--compare_Ord_ModuleIdent (lambda (arg-0 arg-1) (let ((eff-0 arg-0)) (let ((eff-1 arg-1)) (PreludeC-45Types-u--compare_Ord_C-40ListC-32C-36aC-41 (csegen-626) eff-0 eff-1)))))
(define CoreC-45NameC-45Namespace-u--C-62_Ord_Namespace (lambda (arg-0 arg-1) (PreludeC-45EqOrd-u--C-61C-61_Eq_Ordering (CoreC-45NameC-45Namespace-u--compare_Ord_Namespace arg-0 arg-1) 2)))
(define CoreC-45NameC-45Namespace-u--C-62_Ord_ModuleIdent (lambda (arg-0 arg-1) (PreludeC-45EqOrd-u--C-61C-61_Eq_Ordering (CoreC-45NameC-45Namespace-u--compare_Ord_ModuleIdent arg-0 arg-1) 2)))
(define CoreC-45NameC-45Namespace-u--C-62C-61_Ord_Namespace (lambda (arg-0 arg-1) (PreludeC-45EqOrd-u--C-47C-61_Eq_Ordering (CoreC-45NameC-45Namespace-u--compare_Ord_Namespace arg-0 arg-1) 0)))
(define CoreC-45NameC-45Namespace-u--C-62C-61_Ord_ModuleIdent (lambda (arg-0 arg-1) (PreludeC-45EqOrd-u--C-47C-61_Eq_Ordering (CoreC-45NameC-45Namespace-u--compare_Ord_ModuleIdent arg-0 arg-1) 0)))
(define CoreC-45NameC-45Namespace-u--C-61C-61_Eq_Namespace (lambda (arg-0 arg-1) (let ((eff-0 arg-0)) (let ((eff-1 arg-1)) (PreludeC-45Types-u--C-61C-61_Eq_C-40ListC-32C-36aC-41 (csegen-43) eff-0 eff-1)))))
(define CoreC-45NameC-45Namespace-u--C-61C-61_Eq_ModuleIdent (lambda (arg-0 arg-1) (let ((eff-0 arg-0)) (let ((eff-1 arg-1)) (PreludeC-45Types-u--C-61C-61_Eq_C-40ListC-32C-36aC-41 (csegen-43) eff-0 eff-1)))))
(define CoreC-45NameC-45Namespace-u--C-60_Ord_Namespace (lambda (arg-0 arg-1) (PreludeC-45EqOrd-u--C-61C-61_Eq_Ordering (CoreC-45NameC-45Namespace-u--compare_Ord_Namespace arg-0 arg-1) 0)))
(define CoreC-45NameC-45Namespace-u--C-60_Ord_ModuleIdent (lambda (arg-0 arg-1) (PreludeC-45EqOrd-u--C-61C-61_Eq_Ordering (CoreC-45NameC-45Namespace-u--compare_Ord_ModuleIdent arg-0 arg-1) 0)))
(define CoreC-45NameC-45Namespace-u--C-60C-61_Ord_Namespace (lambda (arg-0 arg-1) (PreludeC-45EqOrd-u--C-47C-61_Eq_Ordering (CoreC-45NameC-45Namespace-u--compare_Ord_Namespace arg-0 arg-1) 2)))
(define CoreC-45NameC-45Namespace-u--C-60C-61_Ord_ModuleIdent (lambda (arg-0 arg-1) (PreludeC-45EqOrd-u--C-47C-61_Eq_Ordering (CoreC-45NameC-45Namespace-u--compare_Ord_ModuleIdent arg-0 arg-1) 2)))
(define CoreC-45NameC-45Namespace-u--C-47C-61_Eq_Namespace (lambda (arg-0 arg-1) (let ((sc0 (CoreC-45NameC-45Namespace-u--C-61C-61_Eq_Namespace arg-0 arg-1))) (cond ((equal? sc0 1) 0) (else 1)))))
(define CoreC-45NameC-45Namespace-u--C-47C-61_Eq_ModuleIdent (lambda (arg-0 arg-1) (let ((sc0 (CoreC-45NameC-45Namespace-u--C-61C-61_Eq_ModuleIdent arg-0 arg-1))) (cond ((equal? sc0 1) 0) (else 1)))))
(define CoreC-45NameC-45Namespace-unsafeUnfoldNamespace (lambda (arg-0) (let ((eff-0 arg-0)) eff-0)))
(define CoreC-45NameC-45Namespace-unsafeUnfoldModuleIdent (lambda (arg-0) (let ((eff-0 arg-0)) eff-0)))
(define CoreC-45NameC-45Namespace-typesNS(blodwen-lazy (lambda () (CoreC-45NameC-45Namespace-mkNamespace "Prelude.Types"))))
(define CoreC-45NameC-45NamespaceC-45ModuleIdent-toPath (lambda (ext-0) (LibrariesC-45UtilsC-45Path-joinPath (PreludeC-45TypesC-45List-reverse (CoreC-45NameC-45Namespace-unsafeUnfoldModuleIdent ext-0)))))
(define CoreC-45NameC-45Namespace-showSep (lambda (arg-0 ext-0) (LibrariesC-45DataC-45StringC-45Extra-join arg-0 (csegen-16) ext-0)))
(define CoreC-45NameC-45Namespace-showNSWithSep (lambda (arg-0 arg-1) (let ((eff-0 arg-1)) (CoreC-45NameC-45Namespace-showSep arg-0 (PreludeC-45TypesC-45List-reverse eff-0)))))
(define CoreC-45NameC-45Namespace-replace (lambda (arg-0 arg-1 arg-2) (let ((eff-0 arg-0)) (let ((eff-1 arg-1)) (let ((eff-2 arg-2)) (CoreC-45NameC-45Namespace-n--4716-7451-u--go eff-0 eff-1 eff-2 eff-2))))))
(define CoreC-45NameC-45Namespace-reflectionTTNS(blodwen-lazy (lambda () (CoreC-45NameC-45Namespace-mkNamespace "Language.Reflection.TT"))))
(define CoreC-45NameC-45Namespace-reflectionTTImpNS(blodwen-lazy (lambda () (CoreC-45NameC-45Namespace-mkNamespace "Language.Reflection.TTImp"))))
(define CoreC-45NameC-45Namespace-reflectionNS(blodwen-lazy (lambda () (CoreC-45NameC-45Namespace-mkNamespace "Language.Reflection"))))
(define CoreC-45NameC-45Namespace-primIONS(blodwen-lazy (lambda () (CoreC-45NameC-45Namespace-mkNamespace "PrimIO"))))
(define CoreC-45NameC-45Namespace-preludeNS(blodwen-lazy (lambda () (CoreC-45NameC-45Namespace-mkNamespace "Prelude"))))
(define CoreC-45NameC-45Namespace-partialEvalNS(blodwen-lazy (lambda () (CoreC-45NameC-45Namespace-mkNamespace "_PE"))))
(define CoreC-45NameC-45Namespace-numNS(blodwen-lazy (lambda () (CoreC-45NameC-45Namespace-mkNamespace "Prelude.Num"))))
(define CoreC-45NameC-45Namespace-nsAsModuleIdent (lambda (arg-0) (let ((eff-0 arg-0)) eff-0)))
(define CoreC-45NameC-45Namespace-mkNestedNamespace (lambda (arg-0 arg-1) (if (null? arg-0) (cons arg-1 '()) (let ((e-2 (unbox arg-0))) (let ((eff-0 e-2)) (cons arg-1 eff-0))))))
(define CoreC-45NameC-45Namespace-mkNamespacedIdent (lambda (arg-0) (let ((u--nns (DataC-45List1-reverse (DataC-45String-split (csegen-627) arg-0)))) (let ((u--name (let ((e-1 (car u--nns))) e-1))) (let ((u--ns (let ((e-2 (cdr u--nns))) e-2))) (if (null? u--ns) (cons '() u--name) (cons (box u--ns) u--name)))))))
(define CoreC-45NameC-45Namespace-mkNamespace (lambda (arg-0) (cond ((equal? arg-0 "") '())(else (PreludeC-45Basics-uncurry (csegen-628) (CoreC-45NameC-45Namespace-mkNamespacedIdent arg-0))))))
(define CoreC-45NameC-45Namespace-mkNSInjective (lambda (arg-2) (vector 0 )))
(define CoreC-45NameC-45Namespace-miAsNamespace (lambda (arg-0) (let ((eff-0 arg-0)) eff-0)))
(define CoreC-45NameC-45Namespace-mainNS(blodwen-lazy (lambda () (CoreC-45NameC-45Namespace-mkNamespace "Main"))))
(define CoreC-45NameC-45Namespace-isParentOf (lambda (arg-0 arg-1) (let ((eff-0 arg-0)) (let ((eff-1 arg-1)) (DataC-45List-isSuffixOf (csegen-43) eff-0 eff-1)))))
(define CoreC-45NameC-45Namespace-isInPathOf (lambda (arg-0 arg-1) (let ((eff-0 arg-1)) (PreludeC-45Types-elem (csegen-16) (csegen-43) arg-0 eff-0))))
(define CoreC-45NameC-45Namespace-isApproximationOf (lambda (arg-0 arg-1) (let ((eff-0 arg-0)) (let ((eff-1 arg-1)) (DataC-45List-isPrefixOf (csegen-43) eff-0 eff-1)))))
(define CoreC-45NameC-45Namespace-ioNS(blodwen-lazy (lambda () (CoreC-45NameC-45Namespace-mkNamespace "Prelude.IO"))))
(define CoreC-45NameC-45Namespace-eqOrdNS(blodwen-lazy (lambda () (CoreC-45NameC-45Namespace-mkNamespace "Prelude.EqOrd"))))
(define CoreC-45NameC-45Namespace-emptyNS(blodwen-lazy (lambda () (CoreC-45NameC-45Namespace-mkNamespace ""))))
(define CoreC-45NameC-45Namespace-dpairNS(blodwen-lazy (lambda () (CoreC-45NameC-45Namespace-mkNamespace "Builtin.DPair"))))
(define CoreC-45NameC-45Namespace-builtinNS(blodwen-lazy (lambda () (CoreC-45NameC-45Namespace-mkNamespace "Builtin"))))
(define CoreC-45NameC-45Namespace-basicsNS(blodwen-lazy (lambda () (CoreC-45NameC-45Namespace-mkNamespace "Prelude.Basics"))))
(define CoreC-45NameC-45Namespace-allParents (lambda (arg-0) (let ((eff-0 arg-0)) (CoreC-45NameC-45Namespace-n--4824-7548-u--go eff-0 eff-0))))
(define CoreC-45NameC-45Namespace-C-60C-46C-62 (lambda (arg-0 arg-1) (let ((eff-0 arg-0)) (let ((eff-1 arg-1)) (PreludeC-45TypesC-45List-tailRecAppend eff-1 eff-0)))))
(define LibrariesC-45UtilsC-45Path-case--C-60C-46C-62-7110 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (if (null? arg-5) arg-1 (let ((e-1 (unbox arg-5))) (let ((sc1 (LibrariesC-45UtilsC-45Path-splitFileName e-1))) (let ((e-2 (car sc1))) (LibrariesC-45UtilsC-45Path-u--show_Show_Path (LibrariesC-45UtilsC-45Path-setFileNameC-39 (string-append e-2 arg-4) arg-2))))))))
(define LibrariesC-45UtilsC-45Path-case--caseC-32blockC-32inC-32dropBase-6827 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (let ((e-0 (vector-ref arg-6 0))) (let ((e-1 (vector-ref arg-6 1))) (let ((e-2 (vector-ref arg-6 2))) (let ((e-3 (vector-ref arg-6 3))) (PreludeC-45Interfaces-C-62C-62 (csegen-614) (let ((sc0 (let ((sc1 (PreludeC-45Types-u--C-61C-61_Eq_C-40MaybeC-32C-36aC-41 (csegen-631) arg-5 e-0))) (cond ((equal? sc1 1) (PreludeC-45EqOrd-u--C-61C-61_Eq_Bool arg-4 e-1)) (else 0))))) (cond ((equal? sc0 1) (box (vector 0 ))) (else '()))) (lambda () (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (LibrariesC-45UtilsC-45Path-n--6921-6755-u--dropBody arg-0 arg-1 arg-3 e-2) (lambda (u--body) (box (LibrariesC-45UtilsC-45Path-u--show_Show_Path (vector '() 0 u--body e-3)))))))))))))
(define LibrariesC-45UtilsC-45Path-case--splitExtensions-6495 (lambda (arg-0 arg-1) (let ((e-1 (car arg-1))) (let ((e-2 (cdr arg-1))) (cond ((equal? e-1 "") (if (null? e-2) (cons e-1 e-2) (let ((e-4 (car e-2))) (let ((e-5 (cdr e-2))) (cons (string-append "." e-4) e-5)))))(else (cons e-1 e-2)))))))
(define LibrariesC-45UtilsC-45Path-case--splitFileName-6415 (lambda (arg-0 arg-1) (let ((e-2 (car arg-1))) (let ((e-3 (cdr arg-1))) (if (null? e-3) (cons arg-0 "") (let ((e-6 (car e-3))) (let ((e-7 (cdr e-3))) (cond ((equal? e-6 #\.) (if (null? e-7) (cons arg-0 "") (cons (PreludeC-45Types-fastPack (PreludeC-45TypesC-45List-reverse e-7)) (PreludeC-45Types-fastPack (PreludeC-45TypesC-45List-reverse e-2)))))(else (cons (PreludeC-45Types-fastPack (PreludeC-45TypesC-45List-reverse e-7)) (PreludeC-45Types-fastPack (PreludeC-45TypesC-45List-reverse e-2))))))))))))
(define LibrariesC-45UtilsC-45Path-case--splitParentC-39-6264 (lambda (arg-0 arg-1) (if (null? arg-1) '() (let ((e-2 (car arg-1))) (let ((e-3 (cdr arg-1))) (let ((u--parent (let ((e-0 (vector-ref arg-0 0))) (let ((e-1 (vector-ref arg-0 1))) (vector e-0 e-1 (DataC-45List-init (cons e-2 e-3)) 0))))) (let ((u--child (vector '() 0 (cons (DataC-45List-last (cons e-2 e-3)) '()) (let ((e-4 (vector-ref arg-0 3))) e-4)))) (box (cons u--parent u--child)))))))))
(define LibrariesC-45UtilsC-45Path-n--6302-6154-u--splitRoot (lambda (arg-0 arg-1) (let ((e-0 (vector-ref arg-1 0))) (let ((e-1 (vector-ref arg-1 1))) (let ((e-2 (vector-ref arg-1 2))) (let ((e-3 (vector-ref arg-1 3))) (if (null? e-0) (cond ((equal? e-1 0) (cons '() arg-1))(else (cons (box (vector e-0 e-1 '() 0)) (vector '() 0 e-2 e-3)))) (cons (box (vector e-0 e-1 '() 0)) (vector '() 0 e-2 e-3)))))))))
(define LibrariesC-45UtilsC-45Path-n--6302-6155-u--iterateBody (lambda (arg-0 arg-1 arg-2) (if (null? arg-1) '() (let ((e-2 (car arg-1))) (let ((e-3 (cdr arg-1))) (if (null? e-3) (cons (vector '() 0 (cons e-2 '()) arg-2) '()) (let ((e-6 (car e-3))) (let ((e-7 (cdr e-3))) (cons (vector '() 0 (cons e-2 '()) 0) (LibrariesC-45UtilsC-45Path-n--6302-6155-u--iterateBody arg-0 (cons e-6 e-7) arg-2))))))))))
(define LibrariesC-45UtilsC-45Path-n--6506-6348-u--findNormal (lambda (arg-0 arg-1) (if (null? arg-1) '() (let ((e-1 (car arg-1))) (let ((e-2 (cdr arg-1))) (case (vector-ref e-1 0) ((2) (let ((e-3 (vector-ref e-1 1))) (box e-3))) ((0) (LibrariesC-45UtilsC-45Path-n--6506-6348-u--findNormal arg-0 e-2))(else '())))))))
(define LibrariesC-45UtilsC-45Path-n--7153-6953-u--filter (lambda (arg-0 arg-2 arg-3) (if (null? arg-3) '() (let ((e-2 (unbox arg-3))) (DataC-45Maybe-toMaybe (arg-2 e-2) (lambda () e-2))))))
(define LibrariesC-45UtilsC-45Path-n--6921-6755-u--dropBody (lambda (arg-0 arg-1 arg-2 arg-3) (if (null? arg-2) (box arg-3) (if (null? arg-3) '() (let ((e-1 (car arg-2))) (let ((e-2 (cdr arg-2))) (let ((e-4 (car arg-3))) (let ((e-5 (cdr arg-3))) (let ((sc4 (LibrariesC-45UtilsC-45Path-u--C-61C-61_Eq_Body e-1 e-4))) (cond ((equal? sc4 1) (LibrariesC-45UtilsC-45Path-n--6921-6755-u--dropBody arg-0 arg-1 e-2 e-5)) (else '())))))))))))
(define LibrariesC-45UtilsC-45Path-u--tokValue_TokenKind_PathTokenKind (lambda (arg-0 arg-1) (if (null? arg-0) arg-1 (vector 0 ))))
(define LibrariesC-45UtilsC-45Path-u--show_Show_Volume (lambda (arg-0) (case (vector-ref arg-0 0) ((0) (let ((e-0 (vector-ref arg-0 1))) (let ((e-1 (vector-ref arg-0 2))) (string-append "\\\\" (string-append e-0 (string-append "\\" e-1)))))) (else (let ((e-2 (vector-ref arg-0 1))) (string-append (DataC-45String-singleton e-2) ":"))))))
(define LibrariesC-45UtilsC-45Path-u--show_Show_Path (lambda (arg-0) (let ((u--sep (DataC-45String-singleton (LibrariesC-45UtilsC-45Path-dirSeparator)))) (let ((u--showVol (PreludeC-45Types-maybe (lambda () "") (lambda () (lambda (eta-0) (LibrariesC-45UtilsC-45Path-u--show_Show_Volume eta-0))) (let ((e-0 (vector-ref arg-0 0))) e-0)))) (let ((u--showRoot (let ((sc0 (let ((e-1 (vector-ref arg-0 1))) e-1))) (cond ((equal? sc0 1) u--sep) (else ""))))) (let ((u--showBody (LibrariesC-45DataC-45StringC-45Extra-join u--sep (csegen-16) (((csegen-25) (lambda (eta-0) (LibrariesC-45UtilsC-45Path-u--show_Show_Body eta-0))) (let ((e-2 (vector-ref arg-0 2))) e-2))))) (let ((u--showTrail (let ((sc0 (let ((e-3 (vector-ref arg-0 3))) e-3))) (cond ((equal? sc0 1) u--sep) (else ""))))) (string-append u--showVol (string-append u--showRoot (string-append u--showBody u--showTrail))))))))))
(define LibrariesC-45UtilsC-45Path-u--show_Show_Body (lambda (arg-0) (case (vector-ref arg-0 0) ((0) ".") ((1) "..") (else (let ((e-0 (vector-ref arg-0 1))) e-0)))))
(define LibrariesC-45UtilsC-45Path-u--TokType_TokenKind_PathTokenKind (lambda (arg-0) (if (null? arg-0) (vector "String" ) (vector "Builtin.Unit" ))))
(define LibrariesC-45UtilsC-45Path-u--C-61C-61_Eq_Volume (lambda (arg-0 arg-1) (case (vector-ref arg-0 0) ((0) (let ((e-0 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((0) (let ((e-3 (vector-ref arg-1 1))) (let ((e-4 (vector-ref arg-1 2))) (let ((sc2 (PreludeC-45EqOrd-u--C-61C-61_Eq_String e-0 e-3))) (cond ((equal? sc2 1) (PreludeC-45EqOrd-u--C-61C-61_Eq_String e-3 e-4)) (else 0))))))(else 0)))) ((1) (let ((e-2 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((1) (let ((e-5 (vector-ref arg-1 1))) (PreludeC-45EqOrd-u--C-61C-61_Eq_Char e-2 e-5)))(else 0))))(else 0))))
(define LibrariesC-45UtilsC-45Path-u--C-61C-61_Eq_PathTokenKind (lambda (arg-0 arg-1) (if (null? arg-0) (if (null? arg-1) 1 0) (let ((e-0 (unbox arg-0))) (if (null? arg-1) 0 (let ((e-1 (unbox arg-1))) (PreludeC-45EqOrd-u--C-61C-61_Eq_Char e-0 e-1)))))))
(define LibrariesC-45UtilsC-45Path-u--C-61C-61_Eq_Path (lambda (arg-0 arg-1) (let ((e-0 (vector-ref arg-0 0))) (let ((e-1 (vector-ref arg-0 1))) (let ((e-2 (vector-ref arg-0 2))) (let ((e-4 (vector-ref arg-1 0))) (let ((e-5 (vector-ref arg-1 1))) (let ((e-6 (vector-ref arg-1 2))) (let ((sc0 (PreludeC-45Types-u--C-61C-61_Eq_C-40MaybeC-32C-36aC-41 (csegen-631) e-0 e-4))) (cond ((equal? sc0 1) (let ((sc1 (PreludeC-45EqOrd-u--C-61C-61_Eq_Bool e-1 e-5))) (cond ((equal? sc1 1) (PreludeC-45Types-u--C-61C-61_Eq_C-40ListC-32C-36aC-41 (csegen-635) e-2 e-6)) (else 0)))) (else 0)))))))))))
(define LibrariesC-45UtilsC-45Path-u--C-61C-61_Eq_Body (lambda (arg-0 arg-1) (case (vector-ref arg-0 0) ((0) (case (vector-ref arg-1 0) ((0) 1)(else 0))) ((1) (case (vector-ref arg-1 0) ((1) 1)(else 0))) ((2) (let ((e-0 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((2) (let ((e-1 (vector-ref arg-1 1))) (PreludeC-45EqOrd-u--C-61C-61_Eq_String e-0 e-1)))(else 0))))(else 0))))
(define LibrariesC-45UtilsC-45Path-u--C-47C-61_Eq_Volume (lambda (arg-0 arg-1) (let ((sc0 (LibrariesC-45UtilsC-45Path-u--C-61C-61_Eq_Volume arg-0 arg-1))) (cond ((equal? sc0 1) 0) (else 1)))))
(define LibrariesC-45UtilsC-45Path-u--C-47C-61_Eq_PathTokenKind (lambda (arg-0 arg-1) (let ((sc0 (LibrariesC-45UtilsC-45Path-u--C-61C-61_Eq_PathTokenKind arg-0 arg-1))) (cond ((equal? sc0 1) 0) (else 1)))))
(define LibrariesC-45UtilsC-45Path-u--C-47C-61_Eq_Body (lambda (arg-0 arg-1) (let ((sc0 (LibrariesC-45UtilsC-45Path-u--C-61C-61_Eq_Body arg-0 arg-1))) (cond ((equal? sc0 1) 0) (else 1)))))
(define LibrariesC-45UtilsC-45Path-verbatimUnc(blodwen-lazy (lambda () (vector 11 1 (LibrariesC-45UtilsC-45Path-verbatim) (lambda () (csegen-644))))))
(define LibrariesC-45UtilsC-45Path-verbatimDisk(blodwen-lazy (lambda () (vector 11 1 (LibrariesC-45UtilsC-45Path-verbatim) (lambda () (vector 9 0 (LibrariesC-45UtilsC-45Path-disk) (lambda () (lambda (u--disk) (vector 0 u--disk)))))))))
(define LibrariesC-45UtilsC-45Path-verbatim(blodwen-lazy (lambda () (let ((sc0 (csegen-649))) (cond ((equal? sc0 0) (vector 12 0 1 (csegen-657) (lambda () (csegen-660)))) (else (vector 11 1 (csegen-657) (lambda () (csegen-660)))))))))
(define LibrariesC-45UtilsC-45Path-unc(blodwen-lazy (lambda () (let ((sc0 (csegen-649))) (cond ((equal? sc0 0) (vector 12 0 1 (csegen-657) (lambda () (csegen-644)))) (else (vector 11 1 (csegen-657) (lambda () (csegen-644)))))))))
(define LibrariesC-45UtilsC-45Path-splitPathC-39 (lambda (arg-0) (let ((sc0 (LibrariesC-45UtilsC-45Path-n--6302-6154-u--splitRoot arg-0 arg-0))) (let ((e-2 (car sc0))) (if (null? e-2) (LibrariesC-45UtilsC-45Path-n--6302-6155-u--iterateBody arg-0 (let ((e-5 (vector-ref arg-0 2))) e-5) (let ((e-4 (vector-ref arg-0 3))) e-4)) (let ((e-5 (unbox e-2))) (cons e-5 (LibrariesC-45UtilsC-45Path-n--6302-6155-u--iterateBody arg-0 (let ((e-6 (vector-ref arg-0 2))) e-6) (let ((e-4 (vector-ref arg-0 3))) e-4)))))))))
(define LibrariesC-45UtilsC-45Path-splitPath (lambda (ext-0) (((csegen-25) (lambda (eta-0) (LibrariesC-45UtilsC-45Path-u--show_Show_Path eta-0))) (LibrariesC-45UtilsC-45Path-splitPathC-39 (LibrariesC-45UtilsC-45Path-parse ext-0)))))
(define LibrariesC-45UtilsC-45Path-splitParentC-39 (lambda (arg-0) (LibrariesC-45UtilsC-45Path-case--splitParentC-39-6264 arg-0 (let ((e-2 (vector-ref arg-0 2))) e-2))))
(define LibrariesC-45UtilsC-45Path-splitParent (lambda (arg-0) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (LibrariesC-45UtilsC-45Path-splitParentC-39 (LibrariesC-45UtilsC-45Path-parse arg-0)) (lambda (_-0) (let ((e-2 (car _-0))) (let ((e-3 (cdr _-0))) (box (cons (LibrariesC-45UtilsC-45Path-u--show_Show_Path e-2) (LibrariesC-45UtilsC-45Path-u--show_Show_Path e-3)))))))))
(define LibrariesC-45UtilsC-45Path-splitFileName (lambda (arg-0) (LibrariesC-45UtilsC-45Path-case--splitFileName-6415 arg-0 (DataC-45List-break (csegen-627) (PreludeC-45TypesC-45List-reverse (PreludeC-45Types-fastUnpack arg-0))))))
(define LibrariesC-45UtilsC-45Path-splitExtensions (lambda (arg-0) (LibrariesC-45UtilsC-45Path-case--splitExtensions-6495 arg-0 (DataC-45List1-u--map_Functor_List1 (lambda (eta-0) (PreludeC-45Types-fastPack eta-0)) (DataC-45List-split (csegen-627) (PreludeC-45Types-fastUnpack arg-0))))))
(define LibrariesC-45UtilsC-45Path-setFileNameC-39 (lambda (arg-0 arg-1) (let ((sc0 (DataC-45Maybe-isJust (LibrariesC-45UtilsC-45Path-fileNameC-39 arg-1)))) (cond ((equal? sc0 1) (LibrariesC-45UtilsC-45Path-appendC-39 (DataC-45Maybe-fromMaybe (lambda () (LibrariesC-45UtilsC-45Path-emptyPath)) (LibrariesC-45UtilsC-45Path-parentC-39 arg-1)) (LibrariesC-45UtilsC-45Path-parse arg-0))) (else (LibrariesC-45UtilsC-45Path-appendC-39 arg-1 (LibrariesC-45UtilsC-45Path-parse arg-0)))))))
(define LibrariesC-45UtilsC-45Path-pathTokenMap(blodwen-lazy (lambda () ((LibrariesC-45TextC-45Lexer-toTokenMap) (cons (cons (LibrariesC-45TextC-45Lexer-is #\/) (box #\/)) (cons (cons (LibrariesC-45TextC-45Lexer-is #\\) (box #\\)) (cons (cons (LibrariesC-45TextC-45Lexer-is #\:) (box #\:)) (cons (cons (LibrariesC-45TextC-45Lexer-is #\?) (box #\?)) (cons (cons (LibrariesC-45TextC-45Lexer-some (LibrariesC-45TextC-45Lexer-non (LibrariesC-45TextC-45Lexer-oneOf "/\\:?"))) '()) '())))))))))
(define LibrariesC-45UtilsC-45Path-pathSeparator(blodwen-lazy (lambda () (let ((sc0 (SystemC-45Info-isWindows))) (cond ((equal? sc0 1) #\;) (else #\:))))))
(define LibrariesC-45UtilsC-45Path-pathLookup (lambda (arg-0) (PrimIO-io_bind (System-getEnv (csegen-40) "PATH") (lambda (u--path) (let ((u--extensions (let ((sc0 (SystemC-45Info-isWindows))) (cond ((equal? sc0 1) (cons (csegen-684) (cons ((csegen-0) ".cmd") (cons ((csegen-0) ".bat") (csegen-687))))) (else (csegen-687)))))) (let ((u--pathList (DataC-45List1-forget (DataC-45String-split (csegen-692) (DataC-45Maybe-fromMaybe (lambda () "/usr/bin:/usr/local/bin") u--path))))) (let ((u--candidates (PreludeC-45Types-listBind u--pathList (lambda (u--p) (PreludeC-45Types-listBind arg-0 (lambda (u--x) (PreludeC-45Types-listBind u--extensions (lambda (u--y) (PreludeC-45Types-u--pure_Applicative_List (string-append u--p (string-append "/" (string-append u--x u--y)))))))))))) (SystemC-45FileC-45Meta-firstExists (csegen-40) u--candidates))))))))
(define LibrariesC-45UtilsC-45Path-parseVolume(blodwen-lazy (lambda () (vector 13 1 1 (LibrariesC-45UtilsC-45Path-verbatimUnc) (lambda () (vector 13 1 1 (LibrariesC-45UtilsC-45Path-verbatimDisk) (lambda () (vector 13 1 1 (LibrariesC-45UtilsC-45Path-unc) (lambda () (LibrariesC-45UtilsC-45Path-disk))))))))))
(define LibrariesC-45UtilsC-45Path-parsePath(blodwen-lazy (lambda () (vector 10 0 0 (LibrariesC-45TextC-45Parser-optional 1 (LibrariesC-45UtilsC-45Path-parseVolume)) (lambda (u--vol) (vector 10 0 0 (csegen-697) (lambda (u--root) (vector 10 0 0 (LibrariesC-45TextC-45Parser-sepBy 1 (LibrariesC-45TextC-45Parser-some (LibrariesC-45UtilsC-45Path-bodySeparator)) (LibrariesC-45UtilsC-45Path-parseBody)) (lambda (u--body) (vector 10 0 0 (csegen-697) (lambda (u--trailSep) (let ((body-0 (PreludeC-45TypesC-45List-filterAppend '() (lambda (lcase-0) (case (vector-ref lcase-0 0) ((2) (let ((e-0 (vector-ref lcase-0 1))) (PreludeC-45EqOrd-u--C-47C-61_Eq_String (DataC-45String-ltrim e-0) (csegen-1))))(else 1))) u--body))) (let ((body-1 (if (null? body-0) '() (let ((e-2 (car body-0))) (let ((e-3 (cdr body-0))) (cons e-2 (DataC-45List-delete (csegen-635) (vector 0 ) e-3))))))) (vector 0 (vector u--vol (DataC-45Maybe-isJust u--root) body-1 (DataC-45Maybe-isJust u--trailSep))))))))))))))))
(define LibrariesC-45UtilsC-45Path-parseBody(blodwen-lazy (lambda () (vector 9 0 (csegen-642) (lambda () (lambda (u--text) (cond ((equal? u--text "..") (vector 0 (vector 1 ))) ((equal? u--text ".") (vector 0 (vector 0 )))(else (vector 0 (vector 2 u--text))))))))))
(define LibrariesC-45UtilsC-45Path-parse (lambda (arg-0) (let ((sc0 (LibrariesC-45TextC-45ParserC-45Core-parse 0 (LibrariesC-45UtilsC-45Path-parsePath) (LibrariesC-45UtilsC-45Path-lexPath arg-0)))) (case (vector-ref sc0 0) ((1) (let ((e-2 (vector-ref sc0 1))) (if (null? e-2) (LibrariesC-45UtilsC-45Path-emptyPath) (let ((e-6 (cdr e-2))) (if (null? e-6) (LibrariesC-45UtilsC-45Path-emptyPath) (let ((e-9 (car e-6))) e-9))))))(else (LibrariesC-45UtilsC-45Path-emptyPath))))))
(define LibrariesC-45UtilsC-45Path-parentC-39 (lambda (ext-0) ((csegen-704) (LibrariesC-45UtilsC-45Path-splitParentC-39 ext-0))))
(define LibrariesC-45UtilsC-45Path-parent (lambda (ext-0) (((csegen-77) (lambda (eta-0) (LibrariesC-45UtilsC-45Path-u--show_Show_Path eta-0))) (LibrariesC-45UtilsC-45Path-parentC-39 (LibrariesC-45UtilsC-45Path-parse ext-0)))))
(define LibrariesC-45UtilsC-45Path-lexPath (lambda (arg-0) (let ((sc0 (LibrariesC-45TextC-45LexerC-45Core-lex (LibrariesC-45UtilsC-45Path-pathTokenMap) arg-0))) (let ((e-2 (car sc0))) (let ((e-3 (cdr sc0))) (let ((e-7 (cdr e-3))) e-2))))))
(define LibrariesC-45UtilsC-45Path-joinPath (lambda (arg-0) (LibrariesC-45UtilsC-45Path-u--show_Show_Path (PreludeC-45Types-u--foldl_Foldable_List (lambda (eta-0) (lambda (eta-1) (LibrariesC-45UtilsC-45Path-C-47C-62 eta-0 eta-1))) (LibrariesC-45UtilsC-45Path-parse "") arg-0))))
(define LibrariesC-45UtilsC-45Path-isRelative (lambda (ext-0) (let ((sc0 (LibrariesC-45UtilsC-45Path-isAbsolute ext-0))) (cond ((equal? sc0 1) 0) (else 1)))))
(define LibrariesC-45UtilsC-45Path-isAbsoluteC-39 (lambda (arg-0) (let ((sc0 (SystemC-45Info-isWindows))) (cond ((equal? sc0 1) (let ((e-0 (vector-ref arg-0 0))) (if (null? e-0) 0 (let ((e-4 (unbox e-0))) (case (vector-ref e-4 0) ((0) 1) (else (let ((e-8 (vector-ref arg-0 1))) e-8))))))) (else (let ((e-1 (vector-ref arg-0 1))) e-1))))))
(define LibrariesC-45UtilsC-45Path-isAbsolute (lambda (ext-0) (LibrariesC-45UtilsC-45Path-isAbsoluteC-39 (LibrariesC-45UtilsC-45Path-parse ext-0))))
(define LibrariesC-45UtilsC-45Path-fileNameC-39 (lambda (arg-0) (LibrariesC-45UtilsC-45Path-n--6506-6348-u--findNormal arg-0 (PreludeC-45TypesC-45List-reverse (let ((e-2 (vector-ref arg-0 2))) e-2)))))
(define LibrariesC-45UtilsC-45Path-fileName (lambda (ext-0) (LibrariesC-45UtilsC-45Path-fileNameC-39 (LibrariesC-45UtilsC-45Path-parse ext-0))))
(define LibrariesC-45UtilsC-45Path-extension (lambda (arg-0) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (LibrariesC-45UtilsC-45Path-fileName arg-0) (lambda (eta-0) (LibrariesC-45UtilsC-45Path-n--7153-6953-u--filter arg-0 (lambda (arg-1) (PreludeC-45EqOrd-u--C-47C-61_Eq_String arg-1 "")) (box (Builtin-snd (LibrariesC-45UtilsC-45Path-splitFileName eta-0))))))))
(define LibrariesC-45UtilsC-45Path-emptyPath(blodwen-lazy (lambda () (vector '() 0 '() 0))))
(define LibrariesC-45UtilsC-45Path-dropExtension (lambda (arg-0) (LibrariesC-45UtilsC-45Path-C-60C-46C-62 arg-0 "")))
(define LibrariesC-45UtilsC-45Path-dropBase (lambda (arg-0 arg-1) (let ((sc0 (LibrariesC-45UtilsC-45Path-parse arg-0))) (let ((e-0 (vector-ref sc0 0))) (let ((e-1 (vector-ref sc0 1))) (let ((e-2 (vector-ref sc0 2))) (let ((e-3 (vector-ref sc0 3))) (LibrariesC-45UtilsC-45Path-case--caseC-32blockC-32inC-32dropBase-6827 arg-1 arg-0 e-3 e-2 e-1 e-0 (LibrariesC-45UtilsC-45Path-parse arg-1)))))))))
(define LibrariesC-45UtilsC-45Path-disk(blodwen-lazy (lambda () (vector 9 1 (csegen-642) (lambda () (lambda (u--text) (vector 10 0 1 (let ((sc0 (PreludeC-45Types-fastUnpack u--text))) (if (null? sc0) (vector 4 '() 0 "Expects disk") (let ((e-1 (car sc0))) (vector 0 e-1)))) (lambda (u--disk) (vector 11 0 (LibrariesC-45TextC-45Parser-match (csegen-641) (box #\:)) (lambda () (vector 0 (vector 1 (PreludeC-45Types-toUpper u--disk)))))))))))))
(define LibrariesC-45UtilsC-45Path-dirSeparator(blodwen-lazy (lambda () (let ((sc0 (SystemC-45Info-isWindows))) (cond ((equal? sc0 1) #\\) (else #\/))))))
(define LibrariesC-45UtilsC-45Path-bodySeparator(blodwen-lazy (lambda () (vector 13 1 1 (csegen-655) (lambda () (LibrariesC-45TextC-45Parser-match (csegen-641) (box #\/)))))))
(define LibrariesC-45UtilsC-45Path-appendC-39 (lambda (arg-0 arg-1) (let ((sc0 (let ((sc1 (LibrariesC-45UtilsC-45Path-isAbsoluteC-39 arg-1))) (cond ((equal? sc1 1) 1) (else (DataC-45Maybe-isJust (let ((e-0 (vector-ref arg-1 0))) e-0))))))) (cond ((equal? sc0 1) arg-1) (else (let ((sc1 (let ((e-1 (vector-ref arg-1 1))) e-1))) (cond ((equal? sc1 1) (let ((e-1 (vector-ref arg-1 1))) (let ((e-2 (vector-ref arg-1 2))) (let ((e-3 (vector-ref arg-1 3))) (vector (let ((e-7 (vector-ref arg-0 0))) e-7) e-1 e-2 e-3))))) (else (let ((e-0 (vector-ref arg-0 0))) (let ((e-1 (vector-ref arg-0 1))) (vector e-0 e-1 (PreludeC-45TypesC-45List-tailRecAppend (let ((e-5 (vector-ref arg-0 2))) e-5) (let ((e-5 (vector-ref arg-1 2))) e-5)) (let ((e-4 (vector-ref arg-1 3))) e-4))))))))))))
(define LibrariesC-45UtilsC-45Path-C-60C-47C-62 (lambda (arg-0 arg-1) (LibrariesC-45UtilsC-45Path-u--show_Show_Path (LibrariesC-45UtilsC-45Path-C-47C-62 (LibrariesC-45UtilsC-45Path-parse arg-0) arg-1))))
(define LibrariesC-45UtilsC-45Path-C-60C-46C-62 (lambda (arg-0 arg-1) (let ((u--pathC-39 (LibrariesC-45UtilsC-45Path-parse arg-0))) (let ((u--ext (PreludeC-45Types-fastPack (DataC-45List-dropWhile (lambda (u--char) (let ((sc0 (PreludeC-45EqOrd-u--C-61C-61_Eq_Char u--char #\.))) (cond ((equal? sc0 1) 1) (else (PreludeC-45Types-isSpace u--char))))) (PreludeC-45Types-fastUnpack arg-1))))) (let ((ext-0 (let ((sc0 (PreludeC-45EqOrd-u--C-61C-61_Eq_String u--ext ""))) (cond ((equal? sc0 1) (csegen-1)) (else (string-append "." u--ext)))))) (LibrariesC-45UtilsC-45Path-case--C-60C-46C-62-7110 arg-1 arg-0 u--pathC-39 u--ext ext-0 (LibrariesC-45UtilsC-45Path-fileNameC-39 u--pathC-39)))))))
(define LibrariesC-45UtilsC-45Path-C-47C-62 (lambda (arg-0 arg-1) (LibrariesC-45UtilsC-45Path-appendC-39 arg-0 (LibrariesC-45UtilsC-45Path-parse arg-1))))
(define LibrariesC-45TextC-45Quantity-exactly (lambda (arg-0) (cons arg-0 (box arg-0))))
(define LibrariesC-45TextC-45Quantity-between (lambda (arg-0 arg-1) (cons arg-0 (box arg-1))))
(define LibrariesC-45TextC-45Quantity-atMost (lambda (arg-0) (cons 0 (box arg-0))))
(define LibrariesC-45TextC-45Quantity-atLeast (lambda (arg-0) (cons arg-0 '())))
(define LibrariesC-45TextC-45Parser-when (lambda (arg-2 arg-3) (cond ((equal? arg-2 1) (arg-3)) (else (vector 0 (vector 0 ))))))
(define LibrariesC-45TextC-45Parser-some (lambda (arg-3) (vector 9 0 arg-3 (lambda () (lambda (bind-0) (vector 10 0 0 (LibrariesC-45TextC-45Parser-many arg-3) (lambda (bind-1) (vector 0 (cons bind-0 bind-1)))))))))
(define LibrariesC-45TextC-45Parser-sepBy1 (lambda (arg-4 arg-5 arg-6) (vector 10 arg-4 0 (vector 10 0 arg-4 (vector 0 (csegen-253)) (lambda (u--f) (((let ((eff-0 (lambda (u--b) (lambda (u--a) (lambda (u--func) (lambda (arg-8737) (LibrariesC-45TextC-45ParserC-45Core-u--map_Functor_C-40C-40C-40GrammarC-32C-36stateC-41C-32C-36tokC-41C-32C-36cC-41 arg-4 u--func arg-8737))))))) (lambda (arg-0) (lambda (arg-1) ((((eff-0 'erased) 'erased) arg-0) arg-1)))) u--f) arg-6))) (lambda (u--f) (((csegen-721) u--f) (LibrariesC-45TextC-45Parser-many (vector 10 1 arg-4 ((csegen-726) arg-5) (lambda (f-0) (((let ((eff-0 (lambda (u--b) (lambda (u--a) (lambda (u--func) (lambda (arg-8737) (LibrariesC-45TextC-45ParserC-45Core-u--map_Functor_C-40C-40C-40GrammarC-32C-36stateC-41C-32C-36tokC-41C-32C-36cC-41 arg-4 u--func arg-8737))))))) (lambda (arg-0) (lambda (arg-1) ((((eff-0 'erased) 'erased) arg-0) arg-1)))) f-0) arg-6)))))))))
(define LibrariesC-45TextC-45Parser-sepBy (lambda (arg-4 arg-5 arg-6) (LibrariesC-45TextC-45Parser-option arg-4 '() (PreludeC-45Interfaces-C-60C-36C-62 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (LibrariesC-45TextC-45ParserC-45Core-u--map_Functor_C-40C-40C-40GrammarC-32C-36stateC-41C-32C-36tokC-41C-32C-36cC-41 arg-4 eta-2 eta-3))))) (lambda (eta-0) (DataC-45List1-forget eta-0)) (LibrariesC-45TextC-45Parser-sepBy1 arg-4 arg-5 arg-6)))))
(define LibrariesC-45TextC-45Parser-optional (lambda (arg-3 arg-4) (LibrariesC-45TextC-45Parser-option arg-3 '() (((let ((eff-0 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (LibrariesC-45TextC-45ParserC-45Core-u--map_Functor_C-40C-40C-40GrammarC-32C-36stateC-41C-32C-36tokC-41C-32C-36cC-41 arg-3 eta-2 eta-3))))))) (lambda (arg-0) (lambda (arg-1) ((((eff-0 'erased) 'erased) arg-0) arg-1)))) (lambda (eta-0) (box eta-0))) arg-4))))
(define LibrariesC-45TextC-45Parser-option (lambda (arg-3 arg-4 arg-5) (cond ((equal? arg-3 0) (vector 13 0 0 arg-5 (lambda () (vector 0 arg-4)))) (else (vector 13 1 0 arg-5 (lambda () (vector 0 arg-4)))))))
(define LibrariesC-45TextC-45Parser-match (lambda (arg-2 arg-3) (vector 1 "Unrecognised input" (lambda (u--t) (let ((sc0 (let ((sc1 (Builtin-fst arg-2))) (let ((e-1 (car sc1))) ((e-1 (let ((e-4 (car u--t))) e-4)) arg-3))))) (cond ((equal? sc0 1) (box (let ((sc1 (Builtin-snd arg-2))) (let ((e-2 (cdr sc1))) ((e-2 arg-3) (let ((e-3 (cdr u--t))) e-3)))))) (else '())))))))
(define LibrariesC-45TextC-45Parser-many (lambda (arg-3) (LibrariesC-45TextC-45Parser-option 1 '() (PreludeC-45Interfaces-C-60C-36C-62 (csegen-729) (lambda (eta-0) (DataC-45List1-forget eta-0)) (LibrariesC-45TextC-45Parser-some arg-3)))))
(define LibrariesC-45TextC-45Parser-location(blodwen-lazy (lambda () (PreludeC-45Interfaces-C-60C-36C-62 (csegen-732) (lambda (eta-0) (LibrariesC-45TextC-45Bounded-startBounds eta-0)) (vector 15 )))))
(define LibrariesC-45TextC-45Parser-count1 (lambda (arg-3 arg-4) (vector 9 (let ((sc0 (DataC-45Nat-isSucc (let ((e-0 (car arg-3))) e-0)))) (cond ((equal? sc0 1) 1) (else 0))) arg-4 (lambda () (lambda (u--x) (vector 10 (DataC-45Nat-isSucc (let ((e-0 (car arg-3))) e-0)) 0 (LibrariesC-45TextC-45Parser-count arg-3 arg-4) (lambda (u--xs) (vector 0 (cons u--x u--xs)))))))))
(define LibrariesC-45TextC-45Parser-count (lambda (arg-3 arg-4) (let ((e-0 (car arg-3))) (let ((e-1 (cdr arg-3))) (cond ((equal? e-0 0) (if (null? e-1) (LibrariesC-45TextC-45Parser-many arg-4) (let ((e-5 (unbox e-1))) (cond ((equal? e-5 0) (vector 0 '()))(else (let ((e-6 (- e-5 1))) (LibrariesC-45TextC-45Parser-option 1 '() (LibrariesC-45TextC-45Parser-count1 (LibrariesC-45TextC-45Quantity-atMost e-6) arg-4))))))))(else (let ((e-2 (- e-0 1))) (if (null? e-1) (LibrariesC-45TextC-45Parser-count1 (LibrariesC-45TextC-45Quantity-atLeast e-2) arg-4) (let ((e-9 (unbox e-1))) (cond ((equal? e-9 0) (vector 4 '() 0 "Quantity out of order"))(else (let ((e-10 (- e-9 1))) (LibrariesC-45TextC-45Parser-count1 (LibrariesC-45TextC-45Quantity-between (+ e-2 1) e-10) arg-4)))))))))))))
(define LibrariesC-45TextC-45Parser-column(blodwen-lazy (lambda () (PreludeC-45Interfaces-C-60C-36C-62 (csegen-732) (lambda (eta-0) (Builtin-snd eta-0)) (LibrariesC-45TextC-45Parser-location)))))
(define LibrariesC-45TextC-45Parser-choiceMap (lambda (arg-5 arg-6 arg-7 arg-8) (let ((e-1 (vector-ref arg-7 0))) (((((e-1 'erased) 'erased) (lambda (u--x) (lambda (u--acc) (vector 13 arg-5 arg-5 (arg-6 u--x) (lambda () u--acc))))) (vector 4 '() 0 "No more options")) arg-8))))
(define LibrariesC-45TextC-45Parser-choice (lambda (arg-4 arg-5 ext-0) (LibrariesC-45TextC-45Parser-choiceMap arg-5 (lambda (eta-0) eta-0) arg-4 ext-0)))
(define LibrariesC-45TextC-45ParserC-45Core-case--doParse-5277 (lambda (arg-3 arg-5 arg-6 arg-7 arg-8 arg-9 arg-11) (case (vector-ref arg-11 0) ((0) (let ((e-3 (vector-ref arg-11 1))) (let ((e-4 (vector-ref arg-11 2))) (let ((e-5 (vector-ref arg-11 3))) (vector 0 e-3 e-4 e-5))))) (else (let ((e-9 (vector-ref arg-11 1))) (let ((e-10 (vector-ref arg-11 2))) (let ((e-11 (vector-ref arg-11 3))) (let ((e-12 (vector-ref arg-11 4))) (let ((e-13 (vector-ref arg-11 5))) (vector 1 e-9 e-10 e-11 (PreludeC-45Interfaces-C-60C-36C-62 (csegen-367) (lambda (eta-0) e-12) e-12) e-13))))))))))
(define LibrariesC-45TextC-45ParserC-45Core-case--doParse-4952 (lambda (arg-3 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-13) (case (vector-ref arg-13 0) ((0) (let ((e-3 (vector-ref arg-13 1))) (let ((e-4 (vector-ref arg-13 2))) (let ((e-5 (vector-ref arg-13 3))) (vector 0 e-3 e-4 e-5))))) (else (let ((e-9 (vector-ref arg-13 1))) (let ((e-10 (vector-ref arg-13 2))) (let ((e-11 (vector-ref arg-13 3))) (let ((e-12 (vector-ref arg-13 4))) (let ((e-13 (vector-ref arg-13 5))) (LibrariesC-45TextC-45ParserC-45Core-mergeWith e-12 (LibrariesC-45TextC-45ParserC-45Core-doParse arg-3 e-9 e-10 e-11 ((arg-7) (let ((e-1 (vector-ref e-12 0))) e-1)) e-13)))))))))))
(define LibrariesC-45TextC-45ParserC-45Core-case--doParse-4834 (lambda (arg-3 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-14) (case (vector-ref arg-14 0) ((0) (let ((e-3 (vector-ref arg-14 1))) (let ((e-4 (vector-ref arg-14 2))) (let ((e-5 (vector-ref arg-14 3))) (vector 0 e-3 e-4 e-5))))) (else (let ((e-9 (vector-ref arg-14 1))) (let ((e-10 (vector-ref arg-14 2))) (let ((e-11 (vector-ref arg-14 3))) (let ((e-12 (vector-ref arg-14 4))) (let ((e-13 (vector-ref arg-14 5))) (LibrariesC-45TextC-45ParserC-45Core-mergeWith e-12 (LibrariesC-45TextC-45ParserC-45Core-doParse arg-3 e-9 e-10 e-11 (arg-8 (let ((e-1 (vector-ref e-12 0))) e-1)) e-13)))))))))))
(define LibrariesC-45TextC-45ParserC-45Core-case--caseC-32blockC-32inC-32caseC-32blockC-32inC-32doParse-4586 (lambda (arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-12 arg-13 arg-14 arg-15 arg-16) (case (vector-ref arg-16 0) ((0) (let ((e-3 (vector-ref arg-16 1))) (let ((e-4 (vector-ref arg-16 2))) (let ((e-5 (vector-ref arg-16 3))) (let ((sc1 (cond ((equal? e-3 1) 1) (else e-4)))) (cond ((equal? sc1 1) (vector 0 e-3 e-4 e-5)) (else (vector 0 arg-9 0 (DataC-45List1-C-43C-43 arg-12 e-5))))))))) (else (let ((e-9 (vector-ref arg-16 1))) (let ((e-10 (vector-ref arg-16 2))) (let ((e-12 (vector-ref arg-16 4))) (let ((e-13 (vector-ref arg-16 5))) (vector 1 e-9 e-10 arg-9 e-12 e-13)))))))))
(define LibrariesC-45TextC-45ParserC-45Core-case--doParse-4464 (lambda (arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-13) (case (vector-ref arg-13 0) ((0) (let ((e-3 (vector-ref arg-13 1))) (let ((e-4 (vector-ref arg-13 2))) (let ((e-5 (vector-ref arg-13 3))) (let ((sc1 (cond ((equal? e-3 1) 1) (else e-4)))) (cond ((equal? sc1 1) (vector 0 arg-10 e-4 e-5)) (else (LibrariesC-45TextC-45ParserC-45Core-case--caseC-32blockC-32inC-32caseC-32blockC-32inC-32doParse-4586 arg-3 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 e-5 e-4 e-3 arg-4 (LibrariesC-45TextC-45ParserC-45Core-doParse arg-3 arg-4 arg-11 0 (arg-6) arg-9))))))))) (else (let ((e-9 (vector-ref arg-13 1))) (let ((e-10 (vector-ref arg-13 2))) (let ((e-12 (vector-ref arg-13 4))) (let ((e-13 (vector-ref arg-13 5))) (vector 1 e-9 e-10 arg-10 e-12 e-13)))))))))
(define LibrariesC-45TextC-45ParserC-45Core-case--doParse-4087 (lambda (arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10) (case (vector-ref arg-10 0) ((0) (let ((e-3 (vector-ref arg-10 1))) (let ((e-5 (vector-ref arg-10 3))) (vector 0 e-3 1 e-5))))(else arg-10))))
(define LibrariesC-45TextC-45ParserC-45Core-case--doParse-3986 (lambda (arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10) (case (vector-ref arg-10 0) ((0) (let ((e-3 (vector-ref arg-10 1))) (let ((e-5 (vector-ref arg-10 3))) (vector 0 e-3 0 e-5))))(else arg-10))))
(define LibrariesC-45TextC-45ParserC-45Core-u--map_Functor_C-40C-40C-40GrammarC-32C-36stateC-41C-32C-36tokC-41C-32C-36cC-41 (lambda (arg-4 arg-5 arg-6) (cond ((equal? arg-4 0) (case (vector-ref arg-6 0) ((0) (let ((e-65 (vector-ref arg-6 1))) (vector 0 (arg-5 e-65))))(else (case (vector-ref arg-6 0) ((4) (let ((e-49 (vector-ref arg-6 1))) (let ((e-50 (vector-ref arg-6 2))) (let ((e-51 (vector-ref arg-6 3))) (vector 4 e-49 e-50 e-51))))) ((6) (let ((e-56 (vector-ref arg-6 1))) (vector 6 (((let ((eff-0 (lambda (u--b) (lambda (u--a) (lambda (u--func) (lambda (arg-8737) (LibrariesC-45TextC-45ParserC-45Core-u--map_Functor_C-40C-40C-40GrammarC-32C-36stateC-41C-32C-36tokC-41C-32C-36cC-41 arg-4 u--func arg-8737))))))) (lambda (arg-0) (lambda (arg-1) ((((eff-0 'erased) 'erased) arg-0) arg-1)))) arg-5) e-56)))) ((8) (let ((e-61 (vector-ref arg-6 1))) (vector 8 (((let ((eff-0 (lambda (u--b) (lambda (u--a) (lambda (u--func) (lambda (arg-8737) (LibrariesC-45TextC-45ParserC-45Core-u--map_Functor_C-40C-40C-40GrammarC-32C-36stateC-41C-32C-36tokC-41C-32C-36cC-41 arg-4 u--func arg-8737))))))) (lambda (arg-0) (lambda (arg-1) ((((eff-0 'erased) 'erased) arg-0) arg-1)))) arg-5) e-61))))(else (cond ((equal? arg-4 1) (case (vector-ref arg-6 0) ((1) (let ((e-43 (vector-ref arg-6 1))) (let ((e-44 (vector-ref arg-6 2))) (vector 1 e-43 (lambda (eta-0) (((csegen-77) arg-5) (e-44 eta-0)))))))(else (case (vector-ref arg-6 0) ((13) (let ((e-36 (vector-ref arg-6 1))) (let ((e-37 (vector-ref arg-6 2))) (let ((e-38 (vector-ref arg-6 3))) (let ((e-39 (vector-ref arg-6 4))) (vector 13 e-36 e-37 (((let ((eff-0 (lambda (u--b) (lambda (u--a) (lambda (u--func) (lambda (arg-8737) (LibrariesC-45TextC-45ParserC-45Core-u--map_Functor_C-40C-40C-40GrammarC-32C-36stateC-41C-32C-36tokC-41C-32C-36cC-41 e-36 u--func arg-8737))))))) (lambda (arg-0) (lambda (arg-1) ((((eff-0 'erased) 'erased) arg-0) arg-1)))) arg-5) e-38) (lambda () (((let ((eff-0 (lambda (u--b) (lambda (u--a) (lambda (u--func) (lambda (arg-8737) (LibrariesC-45TextC-45ParserC-45Core-u--map_Functor_C-40C-40C-40GrammarC-32C-36stateC-41C-32C-36tokC-41C-32C-36cC-41 e-37 u--func arg-8737))))))) (lambda (arg-0) (lambda (arg-1) ((((eff-0 'erased) 'erased) arg-0) arg-1)))) arg-5) (e-39)))))))))(else (cond ((equal? arg-4 1) (case (vector-ref arg-6 0) ((9) (let ((e-30 (vector-ref arg-6 1))) (let ((e-31 (vector-ref arg-6 2))) (let ((e-32 (vector-ref arg-6 3))) (vector 9 e-30 e-31 (lambda () (lambda (u--val) (((let ((eff-0 (lambda (u--b) (lambda (u--a) (lambda (u--func) (lambda (arg-8737) (LibrariesC-45TextC-45ParserC-45Core-u--map_Functor_C-40C-40C-40GrammarC-32C-36stateC-41C-32C-36tokC-41C-32C-36cC-41 e-30 u--func arg-8737))))))) (lambda (arg-0) (lambda (arg-1) ((((eff-0 'erased) 'erased) arg-0) arg-1)))) arg-5) ((e-32) u--val)))))))))(else (case (vector-ref arg-6 0) ((10) (let ((e-22 (vector-ref arg-6 1))) (let ((e-23 (vector-ref arg-6 2))) (let ((e-24 (vector-ref arg-6 3))) (let ((e-25 (vector-ref arg-6 4))) (vector 10 e-22 e-23 e-24 (lambda (u--val) (((let ((eff-0 (lambda (u--b) (lambda (u--a) (lambda (u--func) (lambda (arg-8737) (LibrariesC-45TextC-45ParserC-45Core-u--map_Functor_C-40C-40C-40GrammarC-32C-36stateC-41C-32C-36tokC-41C-32C-36cC-41 e-23 u--func arg-8737))))))) (lambda (arg-0) (lambda (arg-1) ((((eff-0 'erased) 'erased) arg-0) arg-1)))) arg-5) (e-25 u--val)))))))))(else (cond ((equal? arg-4 1) (case (vector-ref arg-6 0) ((11) (let ((e-15 (vector-ref arg-6 1))) (let ((e-16 (vector-ref arg-6 2))) (let ((e-17 (vector-ref arg-6 3))) (vector 11 e-15 e-16 (lambda () (((let ((eff-0 (lambda (u--b) (lambda (u--a) (lambda (u--func) (lambda (arg-8737) (LibrariesC-45TextC-45ParserC-45Core-u--map_Functor_C-40C-40C-40GrammarC-32C-36stateC-41C-32C-36tokC-41C-32C-36cC-41 e-15 u--func arg-8737))))))) (lambda (arg-0) (lambda (arg-1) ((((eff-0 'erased) 'erased) arg-0) arg-1)))) arg-5) (e-17))))))))(else (case (vector-ref arg-6 0) ((12) (let ((e-3 (vector-ref arg-6 1))) (let ((e-4 (vector-ref arg-6 2))) (let ((e-5 (vector-ref arg-6 3))) (let ((e-6 (vector-ref arg-6 4))) (vector 12 e-3 e-4 e-5 (((let ((eff-0 (lambda (u--b) (lambda (u--a) (lambda (u--func) (lambda (arg-8737) (LibrariesC-45TextC-45ParserC-45Core-u--map_Functor_C-40C-40C-40GrammarC-32C-36stateC-41C-32C-36tokC-41C-32C-36cC-41 e-4 u--func arg-8737))))))) (lambda (arg-0) (lambda (arg-1) ((((eff-0 'erased) 'erased) arg-0) arg-1)))) arg-5) e-6))))))) ((14) (let ((e-11 (vector-ref arg-6 1))) (vector 10 arg-4 0 (vector 14 e-11) (lambda (eta-0) (vector 0 (arg-5 eta-0))))))(else (cond (else (vector 10 0 0 arg-6 (lambda (eta-0) (vector 0 (arg-5 eta-0)))))))))))(else (case (vector-ref arg-6 0) ((12) (let ((e-3 (vector-ref arg-6 1))) (let ((e-4 (vector-ref arg-6 2))) (let ((e-5 (vector-ref arg-6 3))) (let ((e-6 (vector-ref arg-6 4))) (vector 12 e-3 e-4 e-5 (((let ((eff-0 (lambda (u--b) (lambda (u--a) (lambda (u--func) (lambda (arg-8737) (LibrariesC-45TextC-45ParserC-45Core-u--map_Functor_C-40C-40C-40GrammarC-32C-36stateC-41C-32C-36tokC-41C-32C-36cC-41 e-4 u--func arg-8737))))))) (lambda (arg-0) (lambda (arg-1) ((((eff-0 'erased) 'erased) arg-0) arg-1)))) arg-5) e-6))))))) ((14) (let ((e-11 (vector-ref arg-6 1))) (vector 10 arg-4 0 (vector 14 e-11) (lambda (eta-0) (vector 0 (arg-5 eta-0))))))(else (cond (else (vector 10 0 0 arg-6 (lambda (eta-0) (vector 0 (arg-5 eta-0)))))))))))))))(else (case (vector-ref arg-6 0) ((10) (let ((e-22 (vector-ref arg-6 1))) (let ((e-23 (vector-ref arg-6 2))) (let ((e-24 (vector-ref arg-6 3))) (let ((e-25 (vector-ref arg-6 4))) (vector 10 e-22 e-23 e-24 (lambda (u--val) (((let ((eff-0 (lambda (u--b) (lambda (u--a) (lambda (u--func) (lambda (arg-8737) (LibrariesC-45TextC-45ParserC-45Core-u--map_Functor_C-40C-40C-40GrammarC-32C-36stateC-41C-32C-36tokC-41C-32C-36cC-41 e-23 u--func arg-8737))))))) (lambda (arg-0) (lambda (arg-1) ((((eff-0 'erased) 'erased) arg-0) arg-1)))) arg-5) (e-25 u--val)))))))))(else (cond ((equal? arg-4 1) (case (vector-ref arg-6 0) ((11) (let ((e-15 (vector-ref arg-6 1))) (let ((e-16 (vector-ref arg-6 2))) (let ((e-17 (vector-ref arg-6 3))) (vector 11 e-15 e-16 (lambda () (((let ((eff-0 (lambda (u--b) (lambda (u--a) (lambda (u--func) (lambda (arg-8737) (LibrariesC-45TextC-45ParserC-45Core-u--map_Functor_C-40C-40C-40GrammarC-32C-36stateC-41C-32C-36tokC-41C-32C-36cC-41 e-15 u--func arg-8737))))))) (lambda (arg-0) (lambda (arg-1) ((((eff-0 'erased) 'erased) arg-0) arg-1)))) arg-5) (e-17))))))))(else (case (vector-ref arg-6 0) ((12) (let ((e-3 (vector-ref arg-6 1))) (let ((e-4 (vector-ref arg-6 2))) (let ((e-5 (vector-ref arg-6 3))) (let ((e-6 (vector-ref arg-6 4))) (vector 12 e-3 e-4 e-5 (((let ((eff-0 (lambda (u--b) (lambda (u--a) (lambda (u--func) (lambda (arg-8737) (LibrariesC-45TextC-45ParserC-45Core-u--map_Functor_C-40C-40C-40GrammarC-32C-36stateC-41C-32C-36tokC-41C-32C-36cC-41 e-4 u--func arg-8737))))))) (lambda (arg-0) (lambda (arg-1) ((((eff-0 'erased) 'erased) arg-0) arg-1)))) arg-5) e-6))))))) ((14) (let ((e-11 (vector-ref arg-6 1))) (vector 10 arg-4 0 (vector 14 e-11) (lambda (eta-0) (vector 0 (arg-5 eta-0))))))(else (cond (else (vector 10 0 0 arg-6 (lambda (eta-0) (vector 0 (arg-5 eta-0)))))))))))(else (case (vector-ref arg-6 0) ((12) (let ((e-3 (vector-ref arg-6 1))) (let ((e-4 (vector-ref arg-6 2))) (let ((e-5 (vector-ref arg-6 3))) (let ((e-6 (vector-ref arg-6 4))) (vector 12 e-3 e-4 e-5 (((let ((eff-0 (lambda (u--b) (lambda (u--a) (lambda (u--func) (lambda (arg-8737) (LibrariesC-45TextC-45ParserC-45Core-u--map_Functor_C-40C-40C-40GrammarC-32C-36stateC-41C-32C-36tokC-41C-32C-36cC-41 e-4 u--func arg-8737))))))) (lambda (arg-0) (lambda (arg-1) ((((eff-0 'erased) 'erased) arg-0) arg-1)))) arg-5) e-6))))))) ((14) (let ((e-11 (vector-ref arg-6 1))) (vector 10 arg-4 0 (vector 14 e-11) (lambda (eta-0) (vector 0 (arg-5 eta-0))))))(else (cond (else (vector 10 0 0 arg-6 (lambda (eta-0) (vector 0 (arg-5 eta-0)))))))))))))))))))(else (case (vector-ref arg-6 0) ((13) (let ((e-36 (vector-ref arg-6 1))) (let ((e-37 (vector-ref arg-6 2))) (let ((e-38 (vector-ref arg-6 3))) (let ((e-39 (vector-ref arg-6 4))) (vector 13 e-36 e-37 (((let ((eff-0 (lambda (u--b) (lambda (u--a) (lambda (u--func) (lambda (arg-8737) (LibrariesC-45TextC-45ParserC-45Core-u--map_Functor_C-40C-40C-40GrammarC-32C-36stateC-41C-32C-36tokC-41C-32C-36cC-41 e-36 u--func arg-8737))))))) (lambda (arg-0) (lambda (arg-1) ((((eff-0 'erased) 'erased) arg-0) arg-1)))) arg-5) e-38) (lambda () (((let ((eff-0 (lambda (u--b) (lambda (u--a) (lambda (u--func) (lambda (arg-8737) (LibrariesC-45TextC-45ParserC-45Core-u--map_Functor_C-40C-40C-40GrammarC-32C-36stateC-41C-32C-36tokC-41C-32C-36cC-41 e-37 u--func arg-8737))))))) (lambda (arg-0) (lambda (arg-1) ((((eff-0 'erased) 'erased) arg-0) arg-1)))) arg-5) (e-39)))))))))(else (cond ((equal? arg-4 1) (case (vector-ref arg-6 0) ((9) (let ((e-30 (vector-ref arg-6 1))) (let ((e-31 (vector-ref arg-6 2))) (let ((e-32 (vector-ref arg-6 3))) (vector 9 e-30 e-31 (lambda () (lambda (u--val) (((let ((eff-0 (lambda (u--b) (lambda (u--a) (lambda (u--func) (lambda (arg-8737) (LibrariesC-45TextC-45ParserC-45Core-u--map_Functor_C-40C-40C-40GrammarC-32C-36stateC-41C-32C-36tokC-41C-32C-36cC-41 e-30 u--func arg-8737))))))) (lambda (arg-0) (lambda (arg-1) ((((eff-0 'erased) 'erased) arg-0) arg-1)))) arg-5) ((e-32) u--val)))))))))(else (case (vector-ref arg-6 0) ((10) (let ((e-22 (vector-ref arg-6 1))) (let ((e-23 (vector-ref arg-6 2))) (let ((e-24 (vector-ref arg-6 3))) (let ((e-25 (vector-ref arg-6 4))) (vector 10 e-22 e-23 e-24 (lambda (u--val) (((let ((eff-0 (lambda (u--b) (lambda (u--a) (lambda (u--func) (lambda (arg-8737) (LibrariesC-45TextC-45ParserC-45Core-u--map_Functor_C-40C-40C-40GrammarC-32C-36stateC-41C-32C-36tokC-41C-32C-36cC-41 e-23 u--func arg-8737))))))) (lambda (arg-0) (lambda (arg-1) ((((eff-0 'erased) 'erased) arg-0) arg-1)))) arg-5) (e-25 u--val)))))))))(else (cond ((equal? arg-4 1) (case (vector-ref arg-6 0) ((11) (let ((e-15 (vector-ref arg-6 1))) (let ((e-16 (vector-ref arg-6 2))) (let ((e-17 (vector-ref arg-6 3))) (vector 11 e-15 e-16 (lambda () (((let ((eff-0 (lambda (u--b) (lambda (u--a) (lambda (u--func) (lambda (arg-8737) (LibrariesC-45TextC-45ParserC-45Core-u--map_Functor_C-40C-40C-40GrammarC-32C-36stateC-41C-32C-36tokC-41C-32C-36cC-41 e-15 u--func arg-8737))))))) (lambda (arg-0) (lambda (arg-1) ((((eff-0 'erased) 'erased) arg-0) arg-1)))) arg-5) (e-17))))))))(else (case (vector-ref arg-6 0) ((12) (let ((e-3 (vector-ref arg-6 1))) (let ((e-4 (vector-ref arg-6 2))) (let ((e-5 (vector-ref arg-6 3))) (let ((e-6 (vector-ref arg-6 4))) (vector 12 e-3 e-4 e-5 (((let ((eff-0 (lambda (u--b) (lambda (u--a) (lambda (u--func) (lambda (arg-8737) (LibrariesC-45TextC-45ParserC-45Core-u--map_Functor_C-40C-40C-40GrammarC-32C-36stateC-41C-32C-36tokC-41C-32C-36cC-41 e-4 u--func arg-8737))))))) (lambda (arg-0) (lambda (arg-1) ((((eff-0 'erased) 'erased) arg-0) arg-1)))) arg-5) e-6))))))) ((14) (let ((e-11 (vector-ref arg-6 1))) (vector 10 arg-4 0 (vector 14 e-11) (lambda (eta-0) (vector 0 (arg-5 eta-0))))))(else (cond (else (vector 10 0 0 arg-6 (lambda (eta-0) (vector 0 (arg-5 eta-0)))))))))))(else (case (vector-ref arg-6 0) ((12) (let ((e-3 (vector-ref arg-6 1))) (let ((e-4 (vector-ref arg-6 2))) (let ((e-5 (vector-ref arg-6 3))) (let ((e-6 (vector-ref arg-6 4))) (vector 12 e-3 e-4 e-5 (((let ((eff-0 (lambda (u--b) (lambda (u--a) (lambda (u--func) (lambda (arg-8737) (LibrariesC-45TextC-45ParserC-45Core-u--map_Functor_C-40C-40C-40GrammarC-32C-36stateC-41C-32C-36tokC-41C-32C-36cC-41 e-4 u--func arg-8737))))))) (lambda (arg-0) (lambda (arg-1) ((((eff-0 'erased) 'erased) arg-0) arg-1)))) arg-5) e-6))))))) ((14) (let ((e-11 (vector-ref arg-6 1))) (vector 10 arg-4 0 (vector 14 e-11) (lambda (eta-0) (vector 0 (arg-5 eta-0))))))(else (cond (else (vector 10 0 0 arg-6 (lambda (eta-0) (vector 0 (arg-5 eta-0)))))))))))))))(else (case (vector-ref arg-6 0) ((10) (let ((e-22 (vector-ref arg-6 1))) (let ((e-23 (vector-ref arg-6 2))) (let ((e-24 (vector-ref arg-6 3))) (let ((e-25 (vector-ref arg-6 4))) (vector 10 e-22 e-23 e-24 (lambda (u--val) (((let ((eff-0 (lambda (u--b) (lambda (u--a) (lambda (u--func) (lambda (arg-8737) (LibrariesC-45TextC-45ParserC-45Core-u--map_Functor_C-40C-40C-40GrammarC-32C-36stateC-41C-32C-36tokC-41C-32C-36cC-41 e-23 u--func arg-8737))))))) (lambda (arg-0) (lambda (arg-1) ((((eff-0 'erased) 'erased) arg-0) arg-1)))) arg-5) (e-25 u--val)))))))))(else (cond ((equal? arg-4 1) (case (vector-ref arg-6 0) ((11) (let ((e-15 (vector-ref arg-6 1))) (let ((e-16 (vector-ref arg-6 2))) (let ((e-17 (vector-ref arg-6 3))) (vector 11 e-15 e-16 (lambda () (((let ((eff-0 (lambda (u--b) (lambda (u--a) (lambda (u--func) (lambda (arg-8737) (LibrariesC-45TextC-45ParserC-45Core-u--map_Functor_C-40C-40C-40GrammarC-32C-36stateC-41C-32C-36tokC-41C-32C-36cC-41 e-15 u--func arg-8737))))))) (lambda (arg-0) (lambda (arg-1) ((((eff-0 'erased) 'erased) arg-0) arg-1)))) arg-5) (e-17))))))))(else (case (vector-ref arg-6 0) ((12) (let ((e-3 (vector-ref arg-6 1))) (let ((e-4 (vector-ref arg-6 2))) (let ((e-5 (vector-ref arg-6 3))) (let ((e-6 (vector-ref arg-6 4))) (vector 12 e-3 e-4 e-5 (((let ((eff-0 (lambda (u--b) (lambda (u--a) (lambda (u--func) (lambda (arg-8737) (LibrariesC-45TextC-45ParserC-45Core-u--map_Functor_C-40C-40C-40GrammarC-32C-36stateC-41C-32C-36tokC-41C-32C-36cC-41 e-4 u--func arg-8737))))))) (lambda (arg-0) (lambda (arg-1) ((((eff-0 'erased) 'erased) arg-0) arg-1)))) arg-5) e-6))))))) ((14) (let ((e-11 (vector-ref arg-6 1))) (vector 10 arg-4 0 (vector 14 e-11) (lambda (eta-0) (vector 0 (arg-5 eta-0))))))(else (cond (else (vector 10 0 0 arg-6 (lambda (eta-0) (vector 0 (arg-5 eta-0)))))))))))(else (case (vector-ref arg-6 0) ((12) (let ((e-3 (vector-ref arg-6 1))) (let ((e-4 (vector-ref arg-6 2))) (let ((e-5 (vector-ref arg-6 3))) (let ((e-6 (vector-ref arg-6 4))) (vector 12 e-3 e-4 e-5 (((let ((eff-0 (lambda (u--b) (lambda (u--a) (lambda (u--func) (lambda (arg-8737) (LibrariesC-45TextC-45ParserC-45Core-u--map_Functor_C-40C-40C-40GrammarC-32C-36stateC-41C-32C-36tokC-41C-32C-36cC-41 e-4 u--func arg-8737))))))) (lambda (arg-0) (lambda (arg-1) ((((eff-0 'erased) 'erased) arg-0) arg-1)))) arg-5) e-6))))))) ((14) (let ((e-11 (vector-ref arg-6 1))) (vector 10 arg-4 0 (vector 14 e-11) (lambda (eta-0) (vector 0 (arg-5 eta-0))))))(else (cond (else (vector 10 0 0 arg-6 (lambda (eta-0) (vector 0 (arg-5 eta-0)))))))))))))))))))))))(else (case (vector-ref arg-6 0) ((4) (let ((e-49 (vector-ref arg-6 1))) (let ((e-50 (vector-ref arg-6 2))) (let ((e-51 (vector-ref arg-6 3))) (vector 4 e-49 e-50 e-51))))) ((6) (let ((e-56 (vector-ref arg-6 1))) (vector 6 (((let ((eff-0 (lambda (u--b) (lambda (u--a) (lambda (u--func) (lambda (arg-8737) (LibrariesC-45TextC-45ParserC-45Core-u--map_Functor_C-40C-40C-40GrammarC-32C-36stateC-41C-32C-36tokC-41C-32C-36cC-41 arg-4 u--func arg-8737))))))) (lambda (arg-0) (lambda (arg-1) ((((eff-0 'erased) 'erased) arg-0) arg-1)))) arg-5) e-56)))) ((8) (let ((e-61 (vector-ref arg-6 1))) (vector 8 (((let ((eff-0 (lambda (u--b) (lambda (u--a) (lambda (u--func) (lambda (arg-8737) (LibrariesC-45TextC-45ParserC-45Core-u--map_Functor_C-40C-40C-40GrammarC-32C-36stateC-41C-32C-36tokC-41C-32C-36cC-41 arg-4 u--func arg-8737))))))) (lambda (arg-0) (lambda (arg-1) ((((eff-0 'erased) 'erased) arg-0) arg-1)))) arg-5) e-61))))(else (cond ((equal? arg-4 1) (case (vector-ref arg-6 0) ((1) (let ((e-43 (vector-ref arg-6 1))) (let ((e-44 (vector-ref arg-6 2))) (vector 1 e-43 (lambda (eta-0) (((csegen-77) arg-5) (e-44 eta-0)))))))(else (case (vector-ref arg-6 0) ((13) (let ((e-36 (vector-ref arg-6 1))) (let ((e-37 (vector-ref arg-6 2))) (let ((e-38 (vector-ref arg-6 3))) (let ((e-39 (vector-ref arg-6 4))) (vector 13 e-36 e-37 (((let ((eff-0 (lambda (u--b) (lambda (u--a) (lambda (u--func) (lambda (arg-8737) (LibrariesC-45TextC-45ParserC-45Core-u--map_Functor_C-40C-40C-40GrammarC-32C-36stateC-41C-32C-36tokC-41C-32C-36cC-41 e-36 u--func arg-8737))))))) (lambda (arg-0) (lambda (arg-1) ((((eff-0 'erased) 'erased) arg-0) arg-1)))) arg-5) e-38) (lambda () (((let ((eff-0 (lambda (u--b) (lambda (u--a) (lambda (u--func) (lambda (arg-8737) (LibrariesC-45TextC-45ParserC-45Core-u--map_Functor_C-40C-40C-40GrammarC-32C-36stateC-41C-32C-36tokC-41C-32C-36cC-41 e-37 u--func arg-8737))))))) (lambda (arg-0) (lambda (arg-1) ((((eff-0 'erased) 'erased) arg-0) arg-1)))) arg-5) (e-39)))))))))(else (cond ((equal? arg-4 1) (case (vector-ref arg-6 0) ((9) (let ((e-30 (vector-ref arg-6 1))) (let ((e-31 (vector-ref arg-6 2))) (let ((e-32 (vector-ref arg-6 3))) (vector 9 e-30 e-31 (lambda () (lambda (u--val) (((let ((eff-0 (lambda (u--b) (lambda (u--a) (lambda (u--func) (lambda (arg-8737) (LibrariesC-45TextC-45ParserC-45Core-u--map_Functor_C-40C-40C-40GrammarC-32C-36stateC-41C-32C-36tokC-41C-32C-36cC-41 e-30 u--func arg-8737))))))) (lambda (arg-0) (lambda (arg-1) ((((eff-0 'erased) 'erased) arg-0) arg-1)))) arg-5) ((e-32) u--val)))))))))(else (case (vector-ref arg-6 0) ((10) (let ((e-22 (vector-ref arg-6 1))) (let ((e-23 (vector-ref arg-6 2))) (let ((e-24 (vector-ref arg-6 3))) (let ((e-25 (vector-ref arg-6 4))) (vector 10 e-22 e-23 e-24 (lambda (u--val) (((let ((eff-0 (lambda (u--b) (lambda (u--a) (lambda (u--func) (lambda (arg-8737) (LibrariesC-45TextC-45ParserC-45Core-u--map_Functor_C-40C-40C-40GrammarC-32C-36stateC-41C-32C-36tokC-41C-32C-36cC-41 e-23 u--func arg-8737))))))) (lambda (arg-0) (lambda (arg-1) ((((eff-0 'erased) 'erased) arg-0) arg-1)))) arg-5) (e-25 u--val)))))))))(else (cond ((equal? arg-4 1) (case (vector-ref arg-6 0) ((11) (let ((e-15 (vector-ref arg-6 1))) (let ((e-16 (vector-ref arg-6 2))) (let ((e-17 (vector-ref arg-6 3))) (vector 11 e-15 e-16 (lambda () (((let ((eff-0 (lambda (u--b) (lambda (u--a) (lambda (u--func) (lambda (arg-8737) (LibrariesC-45TextC-45ParserC-45Core-u--map_Functor_C-40C-40C-40GrammarC-32C-36stateC-41C-32C-36tokC-41C-32C-36cC-41 e-15 u--func arg-8737))))))) (lambda (arg-0) (lambda (arg-1) ((((eff-0 'erased) 'erased) arg-0) arg-1)))) arg-5) (e-17))))))))(else (case (vector-ref arg-6 0) ((12) (let ((e-3 (vector-ref arg-6 1))) (let ((e-4 (vector-ref arg-6 2))) (let ((e-5 (vector-ref arg-6 3))) (let ((e-6 (vector-ref arg-6 4))) (vector 12 e-3 e-4 e-5 (((let ((eff-0 (lambda (u--b) (lambda (u--a) (lambda (u--func) (lambda (arg-8737) (LibrariesC-45TextC-45ParserC-45Core-u--map_Functor_C-40C-40C-40GrammarC-32C-36stateC-41C-32C-36tokC-41C-32C-36cC-41 e-4 u--func arg-8737))))))) (lambda (arg-0) (lambda (arg-1) ((((eff-0 'erased) 'erased) arg-0) arg-1)))) arg-5) e-6))))))) ((14) (let ((e-11 (vector-ref arg-6 1))) (vector 10 arg-4 0 (vector 14 e-11) (lambda (eta-0) (vector 0 (arg-5 eta-0))))))(else (cond (else (vector 10 0 0 arg-6 (lambda (eta-0) (vector 0 (arg-5 eta-0)))))))))))(else (case (vector-ref arg-6 0) ((12) (let ((e-3 (vector-ref arg-6 1))) (let ((e-4 (vector-ref arg-6 2))) (let ((e-5 (vector-ref arg-6 3))) (let ((e-6 (vector-ref arg-6 4))) (vector 12 e-3 e-4 e-5 (((let ((eff-0 (lambda (u--b) (lambda (u--a) (lambda (u--func) (lambda (arg-8737) (LibrariesC-45TextC-45ParserC-45Core-u--map_Functor_C-40C-40C-40GrammarC-32C-36stateC-41C-32C-36tokC-41C-32C-36cC-41 e-4 u--func arg-8737))))))) (lambda (arg-0) (lambda (arg-1) ((((eff-0 'erased) 'erased) arg-0) arg-1)))) arg-5) e-6))))))) ((14) (let ((e-11 (vector-ref arg-6 1))) (vector 10 arg-4 0 (vector 14 e-11) (lambda (eta-0) (vector 0 (arg-5 eta-0))))))(else (cond (else (vector 10 0 0 arg-6 (lambda (eta-0) (vector 0 (arg-5 eta-0)))))))))))))))(else (case (vector-ref arg-6 0) ((10) (let ((e-22 (vector-ref arg-6 1))) (let ((e-23 (vector-ref arg-6 2))) (let ((e-24 (vector-ref arg-6 3))) (let ((e-25 (vector-ref arg-6 4))) (vector 10 e-22 e-23 e-24 (lambda (u--val) (((let ((eff-0 (lambda (u--b) (lambda (u--a) (lambda (u--func) (lambda (arg-8737) (LibrariesC-45TextC-45ParserC-45Core-u--map_Functor_C-40C-40C-40GrammarC-32C-36stateC-41C-32C-36tokC-41C-32C-36cC-41 e-23 u--func arg-8737))))))) (lambda (arg-0) (lambda (arg-1) ((((eff-0 'erased) 'erased) arg-0) arg-1)))) arg-5) (e-25 u--val)))))))))(else (cond ((equal? arg-4 1) (case (vector-ref arg-6 0) ((11) (let ((e-15 (vector-ref arg-6 1))) (let ((e-16 (vector-ref arg-6 2))) (let ((e-17 (vector-ref arg-6 3))) (vector 11 e-15 e-16 (lambda () (((let ((eff-0 (lambda (u--b) (lambda (u--a) (lambda (u--func) (lambda (arg-8737) (LibrariesC-45TextC-45ParserC-45Core-u--map_Functor_C-40C-40C-40GrammarC-32C-36stateC-41C-32C-36tokC-41C-32C-36cC-41 e-15 u--func arg-8737))))))) (lambda (arg-0) (lambda (arg-1) ((((eff-0 'erased) 'erased) arg-0) arg-1)))) arg-5) (e-17))))))))(else (case (vector-ref arg-6 0) ((12) (let ((e-3 (vector-ref arg-6 1))) (let ((e-4 (vector-ref arg-6 2))) (let ((e-5 (vector-ref arg-6 3))) (let ((e-6 (vector-ref arg-6 4))) (vector 12 e-3 e-4 e-5 (((let ((eff-0 (lambda (u--b) (lambda (u--a) (lambda (u--func) (lambda (arg-8737) (LibrariesC-45TextC-45ParserC-45Core-u--map_Functor_C-40C-40C-40GrammarC-32C-36stateC-41C-32C-36tokC-41C-32C-36cC-41 e-4 u--func arg-8737))))))) (lambda (arg-0) (lambda (arg-1) ((((eff-0 'erased) 'erased) arg-0) arg-1)))) arg-5) e-6))))))) ((14) (let ((e-11 (vector-ref arg-6 1))) (vector 10 arg-4 0 (vector 14 e-11) (lambda (eta-0) (vector 0 (arg-5 eta-0))))))(else (cond (else (vector 10 0 0 arg-6 (lambda (eta-0) (vector 0 (arg-5 eta-0)))))))))))(else (case (vector-ref arg-6 0) ((12) (let ((e-3 (vector-ref arg-6 1))) (let ((e-4 (vector-ref arg-6 2))) (let ((e-5 (vector-ref arg-6 3))) (let ((e-6 (vector-ref arg-6 4))) (vector 12 e-3 e-4 e-5 (((let ((eff-0 (lambda (u--b) (lambda (u--a) (lambda (u--func) (lambda (arg-8737) (LibrariesC-45TextC-45ParserC-45Core-u--map_Functor_C-40C-40C-40GrammarC-32C-36stateC-41C-32C-36tokC-41C-32C-36cC-41 e-4 u--func arg-8737))))))) (lambda (arg-0) (lambda (arg-1) ((((eff-0 'erased) 'erased) arg-0) arg-1)))) arg-5) e-6))))))) ((14) (let ((e-11 (vector-ref arg-6 1))) (vector 10 arg-4 0 (vector 14 e-11) (lambda (eta-0) (vector 0 (arg-5 eta-0))))))(else (cond (else (vector 10 0 0 arg-6 (lambda (eta-0) (vector 0 (arg-5 eta-0)))))))))))))))))))(else (case (vector-ref arg-6 0) ((13) (let ((e-36 (vector-ref arg-6 1))) (let ((e-37 (vector-ref arg-6 2))) (let ((e-38 (vector-ref arg-6 3))) (let ((e-39 (vector-ref arg-6 4))) (vector 13 e-36 e-37 (((let ((eff-0 (lambda (u--b) (lambda (u--a) (lambda (u--func) (lambda (arg-8737) (LibrariesC-45TextC-45ParserC-45Core-u--map_Functor_C-40C-40C-40GrammarC-32C-36stateC-41C-32C-36tokC-41C-32C-36cC-41 e-36 u--func arg-8737))))))) (lambda (arg-0) (lambda (arg-1) ((((eff-0 'erased) 'erased) arg-0) arg-1)))) arg-5) e-38) (lambda () (((let ((eff-0 (lambda (u--b) (lambda (u--a) (lambda (u--func) (lambda (arg-8737) (LibrariesC-45TextC-45ParserC-45Core-u--map_Functor_C-40C-40C-40GrammarC-32C-36stateC-41C-32C-36tokC-41C-32C-36cC-41 e-37 u--func arg-8737))))))) (lambda (arg-0) (lambda (arg-1) ((((eff-0 'erased) 'erased) arg-0) arg-1)))) arg-5) (e-39)))))))))(else (cond ((equal? arg-4 1) (case (vector-ref arg-6 0) ((9) (let ((e-30 (vector-ref arg-6 1))) (let ((e-31 (vector-ref arg-6 2))) (let ((e-32 (vector-ref arg-6 3))) (vector 9 e-30 e-31 (lambda () (lambda (u--val) (((let ((eff-0 (lambda (u--b) (lambda (u--a) (lambda (u--func) (lambda (arg-8737) (LibrariesC-45TextC-45ParserC-45Core-u--map_Functor_C-40C-40C-40GrammarC-32C-36stateC-41C-32C-36tokC-41C-32C-36cC-41 e-30 u--func arg-8737))))))) (lambda (arg-0) (lambda (arg-1) ((((eff-0 'erased) 'erased) arg-0) arg-1)))) arg-5) ((e-32) u--val)))))))))(else (case (vector-ref arg-6 0) ((10) (let ((e-22 (vector-ref arg-6 1))) (let ((e-23 (vector-ref arg-6 2))) (let ((e-24 (vector-ref arg-6 3))) (let ((e-25 (vector-ref arg-6 4))) (vector 10 e-22 e-23 e-24 (lambda (u--val) (((let ((eff-0 (lambda (u--b) (lambda (u--a) (lambda (u--func) (lambda (arg-8737) (LibrariesC-45TextC-45ParserC-45Core-u--map_Functor_C-40C-40C-40GrammarC-32C-36stateC-41C-32C-36tokC-41C-32C-36cC-41 e-23 u--func arg-8737))))))) (lambda (arg-0) (lambda (arg-1) ((((eff-0 'erased) 'erased) arg-0) arg-1)))) arg-5) (e-25 u--val)))))))))(else (cond ((equal? arg-4 1) (case (vector-ref arg-6 0) ((11) (let ((e-15 (vector-ref arg-6 1))) (let ((e-16 (vector-ref arg-6 2))) (let ((e-17 (vector-ref arg-6 3))) (vector 11 e-15 e-16 (lambda () (((let ((eff-0 (lambda (u--b) (lambda (u--a) (lambda (u--func) (lambda (arg-8737) (LibrariesC-45TextC-45ParserC-45Core-u--map_Functor_C-40C-40C-40GrammarC-32C-36stateC-41C-32C-36tokC-41C-32C-36cC-41 e-15 u--func arg-8737))))))) (lambda (arg-0) (lambda (arg-1) ((((eff-0 'erased) 'erased) arg-0) arg-1)))) arg-5) (e-17))))))))(else (case (vector-ref arg-6 0) ((12) (let ((e-3 (vector-ref arg-6 1))) (let ((e-4 (vector-ref arg-6 2))) (let ((e-5 (vector-ref arg-6 3))) (let ((e-6 (vector-ref arg-6 4))) (vector 12 e-3 e-4 e-5 (((let ((eff-0 (lambda (u--b) (lambda (u--a) (lambda (u--func) (lambda (arg-8737) (LibrariesC-45TextC-45ParserC-45Core-u--map_Functor_C-40C-40C-40GrammarC-32C-36stateC-41C-32C-36tokC-41C-32C-36cC-41 e-4 u--func arg-8737))))))) (lambda (arg-0) (lambda (arg-1) ((((eff-0 'erased) 'erased) arg-0) arg-1)))) arg-5) e-6))))))) ((14) (let ((e-11 (vector-ref arg-6 1))) (vector 10 arg-4 0 (vector 14 e-11) (lambda (eta-0) (vector 0 (arg-5 eta-0))))))(else (cond (else (vector 10 0 0 arg-6 (lambda (eta-0) (vector 0 (arg-5 eta-0)))))))))))(else (case (vector-ref arg-6 0) ((12) (let ((e-3 (vector-ref arg-6 1))) (let ((e-4 (vector-ref arg-6 2))) (let ((e-5 (vector-ref arg-6 3))) (let ((e-6 (vector-ref arg-6 4))) (vector 12 e-3 e-4 e-5 (((let ((eff-0 (lambda (u--b) (lambda (u--a) (lambda (u--func) (lambda (arg-8737) (LibrariesC-45TextC-45ParserC-45Core-u--map_Functor_C-40C-40C-40GrammarC-32C-36stateC-41C-32C-36tokC-41C-32C-36cC-41 e-4 u--func arg-8737))))))) (lambda (arg-0) (lambda (arg-1) ((((eff-0 'erased) 'erased) arg-0) arg-1)))) arg-5) e-6))))))) ((14) (let ((e-11 (vector-ref arg-6 1))) (vector 10 arg-4 0 (vector 14 e-11) (lambda (eta-0) (vector 0 (arg-5 eta-0))))))(else (cond (else (vector 10 0 0 arg-6 (lambda (eta-0) (vector 0 (arg-5 eta-0)))))))))))))))(else (case (vector-ref arg-6 0) ((10) (let ((e-22 (vector-ref arg-6 1))) (let ((e-23 (vector-ref arg-6 2))) (let ((e-24 (vector-ref arg-6 3))) (let ((e-25 (vector-ref arg-6 4))) (vector 10 e-22 e-23 e-24 (lambda (u--val) (((let ((eff-0 (lambda (u--b) (lambda (u--a) (lambda (u--func) (lambda (arg-8737) (LibrariesC-45TextC-45ParserC-45Core-u--map_Functor_C-40C-40C-40GrammarC-32C-36stateC-41C-32C-36tokC-41C-32C-36cC-41 e-23 u--func arg-8737))))))) (lambda (arg-0) (lambda (arg-1) ((((eff-0 'erased) 'erased) arg-0) arg-1)))) arg-5) (e-25 u--val)))))))))(else (cond ((equal? arg-4 1) (case (vector-ref arg-6 0) ((11) (let ((e-15 (vector-ref arg-6 1))) (let ((e-16 (vector-ref arg-6 2))) (let ((e-17 (vector-ref arg-6 3))) (vector 11 e-15 e-16 (lambda () (((let ((eff-0 (lambda (u--b) (lambda (u--a) (lambda (u--func) (lambda (arg-8737) (LibrariesC-45TextC-45ParserC-45Core-u--map_Functor_C-40C-40C-40GrammarC-32C-36stateC-41C-32C-36tokC-41C-32C-36cC-41 e-15 u--func arg-8737))))))) (lambda (arg-0) (lambda (arg-1) ((((eff-0 'erased) 'erased) arg-0) arg-1)))) arg-5) (e-17))))))))(else (case (vector-ref arg-6 0) ((12) (let ((e-3 (vector-ref arg-6 1))) (let ((e-4 (vector-ref arg-6 2))) (let ((e-5 (vector-ref arg-6 3))) (let ((e-6 (vector-ref arg-6 4))) (vector 12 e-3 e-4 e-5 (((let ((eff-0 (lambda (u--b) (lambda (u--a) (lambda (u--func) (lambda (arg-8737) (LibrariesC-45TextC-45ParserC-45Core-u--map_Functor_C-40C-40C-40GrammarC-32C-36stateC-41C-32C-36tokC-41C-32C-36cC-41 e-4 u--func arg-8737))))))) (lambda (arg-0) (lambda (arg-1) ((((eff-0 'erased) 'erased) arg-0) arg-1)))) arg-5) e-6))))))) ((14) (let ((e-11 (vector-ref arg-6 1))) (vector 10 arg-4 0 (vector 14 e-11) (lambda (eta-0) (vector 0 (arg-5 eta-0))))))(else (cond (else (vector 10 0 0 arg-6 (lambda (eta-0) (vector 0 (arg-5 eta-0)))))))))))(else (case (vector-ref arg-6 0) ((12) (let ((e-3 (vector-ref arg-6 1))) (let ((e-4 (vector-ref arg-6 2))) (let ((e-5 (vector-ref arg-6 3))) (let ((e-6 (vector-ref arg-6 4))) (vector 12 e-3 e-4 e-5 (((let ((eff-0 (lambda (u--b) (lambda (u--a) (lambda (u--func) (lambda (arg-8737) (LibrariesC-45TextC-45ParserC-45Core-u--map_Functor_C-40C-40C-40GrammarC-32C-36stateC-41C-32C-36tokC-41C-32C-36cC-41 e-4 u--func arg-8737))))))) (lambda (arg-0) (lambda (arg-1) ((((eff-0 'erased) 'erased) arg-0) arg-1)))) arg-5) e-6))))))) ((14) (let ((e-11 (vector-ref arg-6 1))) (vector 10 arg-4 0 (vector 14 e-11) (lambda (eta-0) (vector 0 (arg-5 eta-0))))))(else (cond (else (vector 10 0 0 arg-6 (lambda (eta-0) (vector 0 (arg-5 eta-0))))))))))))))))))))))))
(define LibrariesC-45TextC-45ParserC-45Core-parseWith (lambda (arg-3 arg-4 arg-5 arg-6) (let ((sc0 (LibrariesC-45TextC-45ParserC-45Core-doParse (let ((e-1 (car arg-3))) e-1) (let ((e-2 (cdr arg-3))) e-2) '() 0 arg-5 arg-6))) (case (vector-ref sc0 0) ((0) (let ((e-5 (vector-ref sc0 3))) (vector 0 e-5))) (else (let ((e-9 (vector-ref sc0 1))) (let ((e-10 (vector-ref sc0 2))) (let ((e-12 (vector-ref sc0 4))) (let ((e-13 (vector-ref sc0 5))) (vector 1 (cons e-9 (cons e-10 (cons (let ((e-1 (vector-ref e-12 0))) e-1) e-13)))))))))))))
(define LibrariesC-45TextC-45ParserC-45Core-parse (lambda (arg-2 arg-3 arg-4) (let ((sc0 (LibrariesC-45TextC-45ParserC-45Core-doParse (lambda (eta-0) (lambda (eta-1) (vector 0 ))) (vector 0 ) '() 0 arg-3 arg-4))) (case (vector-ref sc0 0) ((0) (let ((e-5 (vector-ref sc0 3))) (vector 0 e-5))) (else (let ((e-10 (vector-ref sc0 2))) (let ((e-12 (vector-ref sc0 4))) (let ((e-13 (vector-ref sc0 5))) (vector 1 (cons e-10 (cons (let ((e-1 (vector-ref e-12 0))) e-1) e-13)))))))))))
(define LibrariesC-45TextC-45ParserC-45Core-mustWorkBecause (lambda (arg-3 arg-4 arg-5 arg-6) (vector 13 arg-3 arg-3 arg-6 (lambda () (vector 4 (box arg-4) 1 arg-5)))))
(define LibrariesC-45TextC-45ParserC-45Core-mergeWith (lambda (arg-4 arg-5) (case (vector-ref arg-5 0) ((1) (let ((e-3 (vector-ref arg-5 1))) (let ((e-4 (vector-ref arg-5 2))) (let ((e-5 (vector-ref arg-5 3))) (let ((e-6 (vector-ref arg-5 4))) (let ((e-7 (vector-ref arg-5 5))) (vector 1 e-3 e-4 e-5 (LibrariesC-45TextC-45Bounded-mergeBounds arg-4 e-6) e-7)))))))(else arg-5))))
(define LibrariesC-45TextC-45ParserC-45Core-doParse (lambda (arg-4 arg-5 arg-6 arg-7 arg-8 arg-9) (case (vector-ref arg-8 0) ((0) (let ((e-3 (vector-ref arg-8 1))) (vector 1 arg-5 arg-6 arg-7 (LibrariesC-45TextC-45Bounded-irrelevantBounds e-3) arg-9))) ((5) (let ((e-6 (vector-ref arg-8 1))) (let ((e-7 (vector-ref arg-8 2))) (vector 1 arg-5 (cons (cons e-6 e-7) arg-6) arg-7 (LibrariesC-45TextC-45Bounded-irrelevantBounds (vector 0 )) arg-9)))) ((4) (let ((e-12 (vector-ref arg-8 1))) (let ((e-13 (vector-ref arg-8 2))) (let ((e-14 (vector-ref arg-8 3))) (vector 0 arg-7 e-13 (cons (cons e-14 (PreludeC-45Types-u--C-60C-124C-62_Alternative_Maybe e-12 (lambda () (PreludeC-45Interfaces-C-60C-36C-62 (csegen-76) (lambda (eta-0) (let ((e-3 (vector-ref eta-0 2))) e-3)) (DataC-45List-headC-39 arg-9))))) '())))))) ((6) (let ((e-19 (vector-ref arg-8 1))) (LibrariesC-45TextC-45ParserC-45Core-case--doParse-3986 arg-4 arg-5 e-19 arg-9 arg-7 arg-6 (LibrariesC-45TextC-45ParserC-45Core-doParse arg-4 arg-5 arg-6 arg-7 e-19 arg-9)))) ((7) (vector 1 arg-5 arg-6 1 (LibrariesC-45TextC-45Bounded-irrelevantBounds (vector 0 )) arg-9)) ((8) (let ((e-26 (vector-ref arg-8 1))) (LibrariesC-45TextC-45ParserC-45Core-case--doParse-4087 arg-4 arg-5 e-26 arg-9 arg-7 arg-6 (LibrariesC-45TextC-45ParserC-45Core-doParse arg-4 arg-5 arg-6 arg-7 e-26 arg-9)))) ((1) (let ((e-30 (vector-ref arg-8 1))) (let ((e-31 (vector-ref arg-8 2))) (if (null? arg-9) (vector 0 arg-7 0 (csegen-738)) (let ((e-85 (car arg-9))) (let ((e-86 (cdr arg-9))) (let ((sc2 (e-31 (let ((e-1 (vector-ref e-85 0))) e-1)))) (if (null? sc2) (vector 0 arg-7 0 (cons (cons e-30 (box (let ((e-3 (vector-ref e-85 2))) e-3))) '())) (let ((e-2 (unbox sc2))) (vector 1 arg-5 arg-6 arg-7 (PreludeC-45Interfaces-C-60C-36C-62 (csegen-367) (lambda (eta-0) e-2) e-85) e-86)))))))))) ((3) (if (null? arg-9) (vector 1 arg-5 arg-6 arg-7 (LibrariesC-45TextC-45Bounded-irrelevantBounds (vector 0 )) '()) (let ((e-89 (car arg-9))) (vector 0 arg-7 0 (cons (cons ((csegen-0) "Expected end of input") (box (let ((e-3 (vector-ref e-89 2))) e-3))) '()))))) ((2) (let ((e-36 (vector-ref arg-8 1))) (let ((e-37 (vector-ref arg-8 2))) (if (null? arg-9) (vector 0 arg-7 0 (csegen-738)) (let ((e-93 (car arg-9))) (let ((e-94 (cdr arg-9))) (let ((sc2 (e-37 (let ((e-1 (vector-ref e-93 0))) e-1)))) (cond ((equal? sc2 1) (vector 1 arg-5 arg-6 arg-7 (LibrariesC-45TextC-45Bounded-removeIrrelevance e-93) (cons e-93 e-94))) (else (vector 0 arg-7 0 (cons (cons e-36 (box (let ((e-3 (vector-ref e-93 2))) e-3))) '()))))))))))) ((13) (let ((e-41 (vector-ref arg-8 1))) (let ((e-42 (vector-ref arg-8 2))) (let ((e-43 (vector-ref arg-8 3))) (let ((e-44 (vector-ref arg-8 4))) (LibrariesC-45TextC-45ParserC-45Core-case--doParse-4464 arg-4 arg-5 e-42 e-44 e-41 e-43 arg-9 arg-7 arg-6 (LibrariesC-45TextC-45ParserC-45Core-doParse arg-4 arg-5 arg-6 0 e-43 arg-9))))))) ((10) (let ((e-49 (vector-ref arg-8 1))) (let ((e-50 (vector-ref arg-8 2))) (let ((e-51 (vector-ref arg-8 3))) (let ((e-52 (vector-ref arg-8 4))) (LibrariesC-45TextC-45ParserC-45Core-case--doParse-4834 arg-4 e-49 e-50 arg-5 e-52 e-51 arg-9 arg-7 arg-6 (LibrariesC-45TextC-45ParserC-45Core-doParse arg-4 arg-5 arg-6 arg-7 e-51 arg-9))))))) ((9) (let ((e-57 (vector-ref arg-8 1))) (let ((e-58 (vector-ref arg-8 2))) (let ((e-59 (vector-ref arg-8 3))) (LibrariesC-45TextC-45ParserC-45Core-case--doParse-4952 arg-4 e-57 arg-5 e-59 e-58 arg-9 arg-7 arg-6 (LibrariesC-45TextC-45ParserC-45Core-doParse arg-4 arg-5 arg-6 arg-7 e-58 arg-9)))))) ((12) (let ((e-65 (vector-ref arg-8 3))) (let ((e-66 (vector-ref arg-8 4))) (let ((sc1 (LibrariesC-45TextC-45ParserC-45Core-doParse arg-4 arg-5 arg-6 arg-7 e-65 arg-9))) (case (vector-ref sc1 0) ((0) (let ((e-3 (vector-ref sc1 1))) (let ((e-4 (vector-ref sc1 2))) (let ((e-5 (vector-ref sc1 3))) (vector 0 e-3 e-4 e-5))))) (else (let ((e-9 (vector-ref sc1 1))) (let ((e-10 (vector-ref sc1 2))) (let ((e-11 (vector-ref sc1 3))) (let ((e-12 (vector-ref sc1 4))) (let ((e-13 (vector-ref sc1 5))) (LibrariesC-45TextC-45ParserC-45Core-mergeWith e-12 (LibrariesC-45TextC-45ParserC-45Core-doParse arg-4 e-9 e-10 e-11 e-66 e-13))))))))))))) ((11) (let ((e-71 (vector-ref arg-8 2))) (let ((e-72 (vector-ref arg-8 3))) (let ((sc1 (LibrariesC-45TextC-45ParserC-45Core-doParse arg-4 arg-5 arg-6 arg-7 e-71 arg-9))) (case (vector-ref sc1 0) ((0) (let ((e-3 (vector-ref sc1 1))) (let ((e-4 (vector-ref sc1 2))) (let ((e-5 (vector-ref sc1 3))) (vector 0 e-3 e-4 e-5))))) (else (let ((e-9 (vector-ref sc1 1))) (let ((e-10 (vector-ref sc1 2))) (let ((e-11 (vector-ref sc1 3))) (let ((e-12 (vector-ref sc1 4))) (let ((e-13 (vector-ref sc1 5))) (LibrariesC-45TextC-45ParserC-45Core-mergeWith e-12 (LibrariesC-45TextC-45ParserC-45Core-doParse arg-4 e-9 e-10 e-11 (e-72) e-13))))))))))))) ((14) (let ((e-77 (vector-ref arg-8 1))) (LibrariesC-45TextC-45ParserC-45Core-case--doParse-5277 arg-4 arg-5 e-77 arg-9 arg-7 arg-6 (LibrariesC-45TextC-45ParserC-45Core-doParse arg-4 arg-5 arg-6 arg-7 e-77 arg-9)))) ((15) (if (null? arg-9) (vector 0 arg-7 0 (csegen-738)) (let ((e-97 (car arg-9))) (let ((e-98 (cdr arg-9))) (vector 1 arg-5 arg-6 arg-7 (LibrariesC-45TextC-45Bounded-irrelevantBounds (let ((e-3 (vector-ref e-97 2))) e-3)) (cons e-97 e-98)))))) (else (let ((e-82 (vector-ref arg-8 1))) (vector 1 (((let ((eff-0 arg-4)) (lambda (arg-0) (lambda (arg-1) ((eff-0 arg-0) arg-1)))) arg-5) e-82) arg-6 arg-7 (LibrariesC-45TextC-45Bounded-irrelevantBounds (vector 0 )) arg-9))))))
(define LibrariesC-45TextC-45ParserC-45Core-C-60C-124C-124C-62 (lambda (arg-4 arg-5 arg-6 arg-7) (vector 13 arg-4 arg-5 (PreludeC-45Interfaces-C-60C-36C-62 (lambda (u--b) (lambda (u--a) (lambda (u--func) (lambda (arg-8737) (LibrariesC-45TextC-45ParserC-45Core-u--map_Functor_C-40C-40C-40GrammarC-32C-36stateC-41C-32C-36tokC-41C-32C-36cC-41 arg-4 u--func arg-8737))))) (lambda (eta-0) (vector 0 eta-0)) arg-6) (lambda () (PreludeC-45Interfaces-C-60C-36C-62 (lambda (u--b) (lambda (u--a) (lambda (u--func) (lambda (arg-8737) (LibrariesC-45TextC-45ParserC-45Core-u--map_Functor_C-40C-40C-40GrammarC-32C-36stateC-41C-32C-36tokC-41C-32C-36cC-41 arg-5 u--func arg-8737))))) (lambda (eta-0) (vector 1 eta-0)) (arg-7))))))
(define LibrariesC-45TextC-45Bounded-u--map_Functor_WithBounds (lambda (arg-2 arg-3) (let ((e-1 (vector-ref arg-3 0))) (let ((e-2 (vector-ref arg-3 1))) (let ((e-3 (vector-ref arg-3 2))) (vector (arg-2 e-1) e-2 e-3))))))
(define LibrariesC-45TextC-45Bounded-startBounds (lambda (arg-0) (cons (let ((e-0 (vector-ref arg-0 0))) e-0) (let ((e-1 (vector-ref arg-0 1))) e-1))))
(define LibrariesC-45TextC-45Bounded-start (lambda (ext-0) (LibrariesC-45TextC-45Bounded-startBounds (let ((e-3 (vector-ref ext-0 2))) e-3))))
(define LibrariesC-45TextC-45Bounded-removeIrrelevance (lambda (arg-1) (let ((e-1 (vector-ref arg-1 0))) (let ((e-3 (vector-ref arg-1 2))) (vector e-1 1 e-3)))))
(define LibrariesC-45TextC-45Bounded-mergeBounds (lambda (arg-2 arg-3) (let ((e-6 (vector-ref arg-2 1))) (cond ((equal? e-6 1) (let ((e-9 (vector-ref arg-3 0))) (let ((e-10 (vector-ref arg-3 1))) (cond ((equal? e-10 1) (LibrariesC-45TextC-45Bounded-irrelevantBounds e-9))(else arg-3)))))(else (let ((e-1 (vector-ref arg-3 0))) (let ((e-2 (vector-ref arg-3 1))) (cond ((equal? e-2 1) (PreludeC-45Interfaces-C-60C-36C-62 (csegen-742) (lambda (eta-0) e-1) arg-2))(else (let ((sc0 (PreludeC-45EqOrd-u--min_Ord_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-298) (csegen-298) (LibrariesC-45TextC-45Bounded-start arg-2) (LibrariesC-45TextC-45Bounded-start arg-3)))) (let ((e-8 (car sc0))) (let ((e-4 (cdr sc0))) (let ((sc1 (PreludeC-45EqOrd-u--max_Ord_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-298) (csegen-298) (LibrariesC-45TextC-45Bounded-end arg-2) (LibrariesC-45TextC-45Bounded-end arg-3)))) (let ((e-10 (car sc1))) (let ((e-9 (cdr sc1))) (vector (let ((e-13 (vector-ref arg-3 0))) e-13) 0 (vector e-8 e-4 e-10 e-9)))))))))))))))))
(define LibrariesC-45TextC-45Bounded-irrelevantBounds (lambda (arg-1) (vector arg-1 1 (vector -1 -1 -1 -1))))
(define LibrariesC-45TextC-45Bounded-endBounds (lambda (arg-0) (cons (let ((e-2 (vector-ref arg-0 2))) e-2) (let ((e-3 (vector-ref arg-0 3))) e-3))))
(define LibrariesC-45TextC-45Bounded-end (lambda (ext-0) (LibrariesC-45TextC-45Bounded-endBounds (let ((e-3 (vector-ref ext-0 2))) e-3))))
(define LibrariesC-45TextC-45Lexer-n--4127-1472-u--lexStr (lambda (arg-0) (if (null? arg-0) (LibrariesC-45TextC-45LexerC-45Core-fail) (let ((e-2 (car arg-0))) (let ((e-3 (cdr arg-0))) (LibrariesC-45TextC-45LexerC-45Core-C-60C-124C-62 (LibrariesC-45TextC-45Lexer-exact e-2) (LibrariesC-45TextC-45Lexer-n--4127-1472-u--lexStr e-3)))))))
(define LibrariesC-45TextC-45Lexer-n--4127-1473-u--control(blodwen-lazy (lambda () (LibrariesC-45TextC-45LexerC-45Core-C-60C-124C-62 (LibrariesC-45TextC-45Lexer-n--4127-1472-u--lexStr (cons "NUL" (cons "SOH" (cons "STX" (cons "ETX" (cons "EOT" (cons "ENQ" (cons "ACK" (cons "BEL" (cons "BS" (cons "HT" (cons "LF" (cons "VT" (cons "FF" (cons "CR" (cons "SO" (cons "SI" (cons "DLE" (cons "DC1" (cons "DC2" (cons "DC3" (cons "DC4" (cons "NAK" (cons "SYN" (cons "ETB" (cons "CAN" (cons "EM" (cons "SUB" (cons "ESC" (cons "FS" (cons "GS" (cons "RS" (cons "US" (cons "SP" (cons "DEL" '()))))))))))))))))))))))))))))))))))) (LibrariesC-45TextC-45LexerC-45Core-C-60C-124C-62 (vector 5 (LibrariesC-45TextC-45Lexer-is #\x) (lambda () (LibrariesC-45TextC-45Lexer-hexDigits))) (LibrariesC-45TextC-45LexerC-45Core-C-60C-124C-62 (vector 5 (LibrariesC-45TextC-45Lexer-is #\o) (lambda () (LibrariesC-45TextC-45Lexer-octDigits))) (LibrariesC-45TextC-45Lexer-digits)))))))
(define LibrariesC-45TextC-45Lexer-toTokenMap(blodwen-lazy (lambda () ((csegen-25) (lambda (lamc-0) (let ((e-2 (car lamc-0))) (let ((e-3 (cdr lamc-0))) (cons e-2 (lambda (eta-0) (cons e-3 eta-0))))))))))
(define LibrariesC-45TextC-45Lexer-symbol(blodwen-lazy (lambda () (LibrariesC-45TextC-45LexerC-45Core-pred (lambda (u--x) (let ((sc0 (let ((sc1 (PreludeC-45Types-isSpace u--x))) (cond ((equal? sc1 1) 1) (else (PreludeC-45Types-isAlphaNum u--x)))))) (cond ((equal? sc0 1) 0) (else 1))))))))
(define LibrariesC-45TextC-45Lexer-surround (lambda (arg-0 arg-1 arg-2) (vector 5 arg-0 (lambda () (LibrariesC-45TextC-45Lexer-manyThen arg-1 arg-2)))))
(define LibrariesC-45TextC-45Lexer-stringLit(blodwen-lazy (lambda () (LibrariesC-45TextC-45Lexer-quote (LibrariesC-45TextC-45Lexer-is #\") (csegen-788)))))
(define LibrariesC-45TextC-45Lexer-space(blodwen-lazy (lambda () (LibrariesC-45TextC-45LexerC-45Core-pred (lambda (eta-0) (PreludeC-45Types-isSpace eta-0))))))
(define LibrariesC-45TextC-45Lexer-someUntil (lambda (arg-1 arg-2) (LibrariesC-45TextC-45Lexer-some (vector 6 (LibrariesC-45TextC-45LexerC-45Core-reject arg-1) arg-2))))
(define LibrariesC-45TextC-45Lexer-some (lambda (arg-0) (vector 5 arg-0 (lambda () (LibrariesC-45TextC-45Lexer-many arg-0)))))
(define LibrariesC-45TextC-45Lexer-quote (lambda (arg-0 arg-1) (LibrariesC-45TextC-45Lexer-surround arg-0 arg-0 arg-1)))
(define LibrariesC-45TextC-45Lexer-opt (lambda (arg-0) (LibrariesC-45TextC-45LexerC-45Core-C-60C-124C-62 arg-0 (LibrariesC-45TextC-45LexerC-45Core-empty))))
(define LibrariesC-45TextC-45Lexer-oneOf (lambda (arg-0) (LibrariesC-45TextC-45LexerC-45Core-pred (lambda (u--x) (PreludeC-45Types-elem (csegen-16) (csegen-19) u--x (PreludeC-45Types-fastUnpack arg-0))))))
(define LibrariesC-45TextC-45Lexer-octUnderscoredLit(blodwen-lazy (lambda () (vector 5 (LibrariesC-45TextC-45Lexer-octLit) (lambda () (LibrariesC-45TextC-45Lexer-many (vector 5 (LibrariesC-45TextC-45Lexer-is #\_) (lambda () (LibrariesC-45TextC-45Lexer-octDigits)))))))))
(define LibrariesC-45TextC-45Lexer-octLit(blodwen-lazy (lambda () (vector 5 (LibrariesC-45TextC-45Lexer-exact "0o") (lambda () (LibrariesC-45TextC-45Lexer-octDigits))))))
(define LibrariesC-45TextC-45Lexer-octDigits(blodwen-lazy (lambda () (LibrariesC-45TextC-45Lexer-some (LibrariesC-45TextC-45Lexer-octDigit)))))
(define LibrariesC-45TextC-45Lexer-octDigit(blodwen-lazy (lambda () (LibrariesC-45TextC-45LexerC-45Core-pred (lambda (eta-0) (PreludeC-45Types-isOctDigit eta-0))))))
(define LibrariesC-45TextC-45Lexer-non (lambda (arg-0) (vector 6 (LibrariesC-45TextC-45LexerC-45Core-reject arg-0) (LibrariesC-45TextC-45Lexer-any))))
(define LibrariesC-45TextC-45Lexer-newline(blodwen-lazy (lambda () (LibrariesC-45TextC-45LexerC-45Core-C-60C-124C-62 (LibrariesC-45TextC-45Lexer-exact "\xd;\xa;") (LibrariesC-45TextC-45Lexer-oneOf "\xd;\xa;")))))
(define LibrariesC-45TextC-45Lexer-manyUntil (lambda (arg-1 arg-2) (LibrariesC-45TextC-45Lexer-many (vector 6 (LibrariesC-45TextC-45LexerC-45Core-reject arg-1) arg-2))))
(define LibrariesC-45TextC-45Lexer-manyThen (lambda (arg-1 arg-2) (vector 6 (LibrariesC-45TextC-45Lexer-manyUntil arg-1 arg-2) arg-1)))
(define LibrariesC-45TextC-45Lexer-many (lambda (arg-0) (LibrariesC-45TextC-45Lexer-opt (LibrariesC-45TextC-45Lexer-some arg-0))))
(define LibrariesC-45TextC-45Lexer-like (lambda (arg-0) (LibrariesC-45TextC-45LexerC-45Core-pred (lambda (u--y) (PreludeC-45EqOrd-u--C-61C-61_Eq_Char (PreludeC-45Types-toUpper arg-0) (PreludeC-45Types-toUpper u--y))))))
(define LibrariesC-45TextC-45Lexer-isNot (lambda (arg-0) (LibrariesC-45TextC-45LexerC-45Core-pred (lambda (arg-1) (PreludeC-45EqOrd-u--C-47C-61_Eq_Char arg-1 arg-0)))))
(define LibrariesC-45TextC-45Lexer-is (lambda (arg-0) (LibrariesC-45TextC-45LexerC-45Core-pred (lambda (arg-1) (PreludeC-45EqOrd-u--C-61C-61_Eq_Char arg-1 arg-0)))))
(define LibrariesC-45TextC-45Lexer-intLit(blodwen-lazy (lambda () (vector 6 (LibrariesC-45TextC-45Lexer-opt (LibrariesC-45TextC-45Lexer-is #\-)) (LibrariesC-45TextC-45Lexer-digits)))))
(define LibrariesC-45TextC-45Lexer-hexUnderscoredLit(blodwen-lazy (lambda () (vector 5 (LibrariesC-45TextC-45Lexer-hexLit) (lambda () (LibrariesC-45TextC-45Lexer-many (vector 5 (LibrariesC-45TextC-45Lexer-is #\_) (lambda () (LibrariesC-45TextC-45Lexer-hexDigits)))))))))
(define LibrariesC-45TextC-45Lexer-hexLit(blodwen-lazy (lambda () (vector 5 (LibrariesC-45TextC-45Lexer-approx "0x") (lambda () (LibrariesC-45TextC-45Lexer-hexDigits))))))
(define LibrariesC-45TextC-45Lexer-hexDigits(blodwen-lazy (lambda () (LibrariesC-45TextC-45Lexer-some (LibrariesC-45TextC-45Lexer-hexDigit)))))
(define LibrariesC-45TextC-45Lexer-hexDigit(blodwen-lazy (lambda () (LibrariesC-45TextC-45LexerC-45Core-pred (lambda (eta-0) (PreludeC-45Types-isHexDigit eta-0))))))
(define LibrariesC-45TextC-45Lexer-exact (lambda (arg-0) (let ((sc0 (PreludeC-45Types-fastUnpack arg-0))) (if (null? sc0) (LibrariesC-45TextC-45LexerC-45Core-fail) (let ((e-2 (car sc0))) (let ((e-3 (cdr sc0))) (LibrariesC-45TextC-45LexerC-45Core-concatMap (lambda (eta-0) (LibrariesC-45TextC-45Lexer-is eta-0)) (cons e-2 e-3))))))))
(define LibrariesC-45TextC-45Lexer-escape (lambda (arg-0 arg-1) (vector 5 arg-0 (lambda () arg-1))))
(define LibrariesC-45TextC-45Lexer-digitsUnderscoredLit(blodwen-lazy (lambda () (vector 5 (LibrariesC-45TextC-45Lexer-digits) (lambda () (LibrariesC-45TextC-45Lexer-many (vector 5 (LibrariesC-45TextC-45Lexer-is #\_) (lambda () (LibrariesC-45TextC-45Lexer-digits)))))))))
(define LibrariesC-45TextC-45Lexer-digits(blodwen-lazy (lambda () (LibrariesC-45TextC-45Lexer-some (LibrariesC-45TextC-45Lexer-digit)))))
(define LibrariesC-45TextC-45Lexer-digit(blodwen-lazy (lambda () (LibrariesC-45TextC-45LexerC-45Core-pred (lambda (eta-0) (PreludeC-45Types-isDigit eta-0))))))
(define LibrariesC-45TextC-45Lexer-choiceMap (lambda (arg-2 arg-3 arg-4 arg-5) (let ((e-1 (vector-ref arg-3 0))) (((((e-1 'erased) 'erased) (lambda (u--x) (lambda (u--acc) (LibrariesC-45TextC-45LexerC-45Core-C-60C-124C-62 (arg-4 u--x) u--acc)))) (LibrariesC-45TextC-45LexerC-45Core-fail)) arg-5))))
(define LibrariesC-45TextC-45Lexer-choice (lambda (arg-1 arg-2 ext-0) (LibrariesC-45TextC-45Lexer-choiceMap arg-1 arg-2 (lambda (eta-0) eta-0) ext-0)))
(define LibrariesC-45TextC-45Lexer-charLit(blodwen-lazy (lambda () (vector 5 (vector 5 (LibrariesC-45TextC-45Lexer-is #\') (lambda () (LibrariesC-45TextC-45LexerC-45Core-C-60C-124C-62 (LibrariesC-45TextC-45Lexer-escape (LibrariesC-45TextC-45Lexer-is #\\) (LibrariesC-45TextC-45LexerC-45Core-C-60C-124C-62 (LibrariesC-45TextC-45Lexer-n--4127-1473-u--control) (LibrariesC-45TextC-45Lexer-any))) (LibrariesC-45TextC-45Lexer-isNot #\')))) (lambda () (LibrariesC-45TextC-45Lexer-is #\'))))))
(define LibrariesC-45TextC-45Lexer-binUnderscoredLit(blodwen-lazy (lambda () (vector 5 (LibrariesC-45TextC-45Lexer-binLit) (lambda () (LibrariesC-45TextC-45Lexer-many (vector 5 (LibrariesC-45TextC-45Lexer-is #\_) (lambda () (LibrariesC-45TextC-45Lexer-binDigits)))))))))
(define LibrariesC-45TextC-45Lexer-binLit(blodwen-lazy (lambda () (vector 5 (LibrariesC-45TextC-45Lexer-exact "0b") (lambda () (LibrariesC-45TextC-45Lexer-binDigits))))))
(define LibrariesC-45TextC-45Lexer-binDigits(blodwen-lazy (lambda () (LibrariesC-45TextC-45Lexer-some (LibrariesC-45TextC-45Lexer-binDigit)))))
(define LibrariesC-45TextC-45Lexer-binDigit(blodwen-lazy (lambda () (LibrariesC-45TextC-45LexerC-45Core-pred (lambda (u--c) (let ((sc0 (PreludeC-45EqOrd-u--C-61C-61_Eq_Char u--c #\0))) (cond ((equal? sc0 1) 1) (else (PreludeC-45EqOrd-u--C-61C-61_Eq_Char u--c #\1)))))))))
(define LibrariesC-45TextC-45Lexer-approx (lambda (arg-0) (let ((sc0 (PreludeC-45Types-fastUnpack arg-0))) (if (null? sc0) (LibrariesC-45TextC-45LexerC-45Core-fail) (let ((e-2 (car sc0))) (let ((e-3 (cdr sc0))) (LibrariesC-45TextC-45LexerC-45Core-concatMap (lambda (eta-0) (LibrariesC-45TextC-45Lexer-like eta-0)) (cons e-2 e-3))))))))
(define LibrariesC-45TextC-45Lexer-any(blodwen-lazy (lambda () (LibrariesC-45TextC-45LexerC-45Core-pred (lambda (eta-0) 1)))))
(define LibrariesC-45TextC-45Lexer-alphaNum(blodwen-lazy (lambda () (csegen-555))))
(define LibrariesC-45TextC-45LexerC-45Core-case--tokenise-2747 (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (if (null? arg-7) (cons (PreludeC-45TypesC-45List-reverse arg-3) (cons arg-5 (cons arg-4 arg-1))) (let ((e-1 (unbox arg-7))) (let ((e-5 (car e-1))) (let ((e-6 (cdr e-1))) (let ((e-9 (car e-6))) (let ((e-10 (cdr e-6))) (let ((e-13 (car e-10))) (let ((e-14 (cdr e-10))) (let ((sc4 (arg-6 (let ((e-4 (vector-ref e-5 0))) e-4)))) (cond ((equal? sc4 1) (cons (PreludeC-45TypesC-45List-reverse arg-3) (cons arg-5 (cons arg-4 '())))) (else (LibrariesC-45TextC-45LexerC-45Core-tokenise arg-6 e-9 e-13 (cons e-5 arg-3) arg-2 e-14))))))))))))))
(define LibrariesC-45TextC-45LexerC-45Core-case--tokeniseC-44getFirstToken-2657 (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11) (if (null? arg-11) (LibrariesC-45TextC-45LexerC-45Core-n--3738-2524-u--getFirstToken arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-9 arg-10) (let ((e-1 (unbox arg-11))) (let ((e-5 (car e-1))) (let ((e-6 (cdr e-1))) (let ((u--lineC-39 (bs+ arg-5 (blodwen-toSignedInt (LibrariesC-45TextC-45LexerC-45Core-n--3738-2522-u--countNLs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-5) 63) 63))) (let ((u--colC-39 (LibrariesC-45TextC-45LexerC-45Core-n--3738-2523-u--getCols arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-5 arg-4))) (box (cons (vector (arg-8 (PreludeC-45Types-fastPack (PreludeC-45TypesC-45List-reverse e-5))) 0 (vector arg-5 arg-4 u--lineC-39 u--colC-39)) (cons u--lineC-39 (cons u--colC-39 e-6))))))))))))
(define LibrariesC-45TextC-45LexerC-45Core-n--3738-2524-u--getFirstToken (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8) (if (null? arg-7) '() (let ((e-2 (car arg-7))) (let ((e-3 (cdr arg-7))) (let ((e-6 (car e-2))) (let ((e-7 (cdr e-2))) (LibrariesC-45TextC-45LexerC-45Core-case--tokeniseC-44getFirstToken-2657 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-6 e-7 e-3 arg-8 (LibrariesC-45TextC-45LexerC-45Core-scan e-6 '() arg-8)))))))))
(define LibrariesC-45TextC-45LexerC-45Core-n--3738-2523-u--getCols (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8) (let ((sc0 (DataC-45List-span (csegen-819) arg-7))) (let ((e-2 (car sc0))) (let ((e-3 (cdr sc0))) (if (null? e-3) (bs+ arg-8 (blodwen-toSignedInt (PreludeC-45TypesC-45List-lengthTR e-2) 63) 63) (blodwen-toSignedInt (PreludeC-45TypesC-45List-lengthTR e-2) 63)))))))
(define LibrariesC-45TextC-45LexerC-45Core-n--3738-2522-u--countNLs (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (PreludeC-45TypesC-45List-lengthTR (PreludeC-45TypesC-45List-filterAppend '() (csegen-820) arg-7))))
(define LibrariesC-45TextC-45LexerC-45Core-tokenise (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (LibrariesC-45TextC-45LexerC-45Core-case--tokenise-2747 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 (LibrariesC-45TextC-45LexerC-45Core-n--3738-2524-u--getFirstToken arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 arg-5 arg-6))))
(define LibrariesC-45TextC-45LexerC-45Core-scan (lambda (arg-1 arg-2 arg-3) (case (vector-ref arg-1 0) ((0) (box (cons arg-2 arg-3))) ((1) '()) ((2) (if (null? arg-3) (box (cons arg-2 '())) '())) ((3) (let ((e-2 (vector-ref arg-1 1))) (let ((e-3 (vector-ref arg-1 2))) (let ((sc1 (PreludeC-45EqOrd-u--C-61C-61_Eq_Bool (DataC-45Maybe-isJust (LibrariesC-45TextC-45LexerC-45Core-scan e-3 arg-2 arg-3)) e-2))) (cond ((equal? sc1 1) (box (cons arg-2 arg-3))) (else '())))))) ((4) (let ((e-4 (vector-ref arg-1 1))) (if (null? arg-3) '() (let ((e-25 (car arg-3))) (let ((e-26 (cdr arg-3))) (let ((sc2 (e-4 e-25))) (cond ((equal? sc2 1) (box (cons (cons e-25 arg-2) e-26))) (else '())))))))) ((5) (let ((e-6 (vector-ref arg-1 1))) (let ((e-7 (vector-ref arg-1 2))) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (LibrariesC-45TextC-45LexerC-45Core-scan e-6 arg-2 arg-3) (lambda (_-0) (let ((e-2 (car _-0))) (let ((e-3 (cdr _-0))) (LibrariesC-45TextC-45LexerC-45Core-scan (e-7) e-2 e-3)))))))) ((6) (let ((e-10 (vector-ref arg-1 1))) (let ((e-11 (vector-ref arg-1 2))) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (LibrariesC-45TextC-45LexerC-45Core-scan e-10 arg-2 arg-3) (lambda (_-0) (let ((e-2 (car _-0))) (let ((e-3 (cdr _-0))) (LibrariesC-45TextC-45LexerC-45Core-scan e-11 e-2 e-3)))))))) ((7) (let ((e-13 (vector-ref arg-1 1))) (let ((e-14 (vector-ref arg-1 2))) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (LibrariesC-45TextC-45LexerC-45Core-scan e-13 arg-2 arg-3) (lambda (_-0) (let ((e-2 (car _-0))) (let ((e-3 (cdr _-0))) (LibrariesC-45TextC-45LexerC-45Core-scan e-14 e-2 e-3)))))))) (else (let ((e-17 (vector-ref arg-1 1))) (let ((e-18 (vector-ref arg-1 2))) (PreludeC-45Types-maybe (lambda () (LibrariesC-45TextC-45LexerC-45Core-scan e-18 arg-2 arg-3)) (lambda () (lambda (eta-0) (box eta-0))) (LibrariesC-45TextC-45LexerC-45Core-scan e-17 arg-2 arg-3))))))))
(define LibrariesC-45TextC-45LexerC-45Core-reject (lambda (ext-0) (vector 3 0 ext-0)))
(define LibrariesC-45TextC-45LexerC-45Core-pred (lambda (ext-0) (vector 4 ext-0)))
(define LibrariesC-45TextC-45LexerC-45Core-lexTo (lambda (arg-1 arg-2 arg-3) (let ((sc0 (LibrariesC-45TextC-45LexerC-45Core-tokenise arg-1 0 0 '() arg-2 (PreludeC-45Types-fastUnpack arg-3)))) (let ((e-2 (car sc0))) (let ((e-3 (cdr sc0))) (let ((e-6 (car e-3))) (let ((e-7 (cdr e-3))) (let ((e-10 (car e-7))) (let ((e-11 (cdr e-7))) (cons e-2 (cons e-6 (cons e-10 (PreludeC-45Types-fastPack e-11)))))))))))))
(define LibrariesC-45TextC-45LexerC-45Core-lex (lambda (arg-1 arg-2) (let ((sc0 (LibrariesC-45TextC-45LexerC-45Core-tokenise (lambda (eta-0) 0) 0 0 '() arg-1 (PreludeC-45Types-fastUnpack arg-2)))) (let ((e-2 (car sc0))) (let ((e-3 (cdr sc0))) (let ((e-6 (car e-3))) (let ((e-7 (cdr e-3))) (let ((e-10 (car e-7))) (let ((e-11 (cdr e-7))) (cons e-2 (cons e-6 (cons e-10 (PreludeC-45Types-fastPack e-11)))))))))))))
(define LibrariesC-45TextC-45LexerC-45Core-fail(blodwen-lazy (lambda () (vector 1 ))))
(define LibrariesC-45TextC-45LexerC-45Core-expect (lambda (ext-0) (vector 3 1 ext-0)))
(define LibrariesC-45TextC-45LexerC-45Core-eof(blodwen-lazy (lambda () (vector 2 ))))
(define LibrariesC-45TextC-45LexerC-45Core-empty(blodwen-lazy (lambda () (vector 0 ))))
(define LibrariesC-45TextC-45LexerC-45Core-concatMap (lambda (arg-2 arg-3) (if (null? arg-3) (vector 0 ) (let ((e-2 (car arg-3))) (let ((e-3 (cdr arg-3))) (if (null? e-3) (arg-2 e-2) (vector 7 (arg-2 e-2) (LibrariesC-45TextC-45LexerC-45Core-concatMap arg-2 e-3))))))))
(define LibrariesC-45TextC-45LexerC-45Core-C-60C-124C-62 (lambda (ext-0 ext-1) (vector 8 ext-0 ext-1)))
(define LibrariesC-45DataC-45StringC-45Extra-strSnoc (lambda (arg-0 arg-1) (string-append arg-0 (DataC-45String-singleton arg-1))))
(define LibrariesC-45DataC-45StringC-45Extra-join (lambda (arg-1 arg-2 arg-3) (LibrariesC-45DataC-45StringC-45Extra-drop (PreludeC-45TypesC-45String-length arg-1) (let ((e-2 (vector-ref arg-2 1))) (((((e-2 'erased) 'erased) (lambda (u--acc) (lambda (u--x) (string-append u--acc (string-append arg-1 u--x))))) "") arg-3)))))
(define LibrariesC-45DataC-45StringC-45Extra-dropLast (lambda (arg-0 arg-1) (string-reverse (LibrariesC-45DataC-45StringC-45Extra-drop arg-0 (string-reverse arg-1)))))
(define LibrariesC-45DataC-45StringC-45Extra-drop (lambda (arg-0 arg-1) (PreludeC-45Types-substr arg-0 (PreludeC-45TypesC-45String-length arg-1) arg-1)))
(define LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-squotes (lambda (ext-0) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-enclose (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-squote) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-squote) ext-0)))
(define LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-squote(blodwen-lazy (lambda () (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-822) ((csegen-0) #\')))))
(define LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-space(blodwen-lazy (lambda () (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-822) ((csegen-0) #\ )))))
(define LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-slash(blodwen-lazy (lambda () (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-822) ((csegen-0) #\/)))))
(define LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-semi(blodwen-lazy (lambda () (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-822) ((csegen-0) #\;)))))
(define LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-rparen(blodwen-lazy (lambda () (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-822) ((csegen-0) #\))))))
(define LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-rbracket(blodwen-lazy (lambda () (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-822) ((csegen-0) #\])))))
(define LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-rbrace(blodwen-lazy (lambda () (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-822) ((csegen-0) #\})))))
(define LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-rangle(blodwen-lazy (lambda () (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-822) ((csegen-0) #\>)))))
(define LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-pipe(blodwen-lazy (lambda () (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-822) (csegen-839)))))
(define LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-parenthesise (lambda (arg-1 ext-0) (cond ((equal? arg-1 1) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-parens ext-0)) (else ext-0))))
(define LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-parens (lambda (ext-0) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-enclose (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-lparen) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-rparen) ext-0)))
(define LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-lparen(blodwen-lazy (lambda () (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-822) ((csegen-0) #\()))))
(define LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-lbracket(blodwen-lazy (lambda () (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-822) ((csegen-0) #\[)))))
(define LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-lbrace(blodwen-lazy (lambda () (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-822) ((csegen-0) #\{)))))
(define LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-langle(blodwen-lazy (lambda () (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-822) ((csegen-0) #\<)))))
(define LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-equals(blodwen-lazy (lambda () (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-822) ((csegen-0) #\=)))))
(define LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-dquotes (lambda (ext-0) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-enclose (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-dquote) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-dquote) ext-0)))
(define LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-dquote(blodwen-lazy (lambda () (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-822) ((csegen-0) #\")))))
(define LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-dot(blodwen-lazy (lambda () (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-822) ((csegen-0) #\.)))))
(define LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-comma(blodwen-lazy (lambda () (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-822) ((csegen-0) #\,)))))
(define LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-colon(blodwen-lazy (lambda () (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-822) ((csegen-0) #\:)))))
(define LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-brackets (lambda (arg-1 arg-2 ext-0) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-enclose arg-1 arg-2 ext-0)))
(define LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-braces (lambda (ext-0) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-enclose (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-lbrace) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-rbrace) ext-0)))
(define LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-backslash(blodwen-lazy (lambda () (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-822) ((csegen-0) #\\)))))
(define LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-angles (lambda (ext-0) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-enclose (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-langle) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-rangle) ext-0)))
(define LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-case--unsafeTextWithoutNewLines-8430 (lambda (arg-1 arg-2) (cond ((equal? arg-1 "") (if (null? arg-2) (vector 0 ) (let ((e-0 (car arg-2))) (let ((e-1 (cdr arg-2))) (let ((u--str (string-cons e-0 e-1))) (let ((sc3 (PreludeC-45EqOrd-u--C-61C-61_Eq_String e-1 (csegen-1)))) (cond ((equal? sc3 1) (vector 1 e-0)) (else (vector 2 (blodwen-toSignedInt (PreludeC-45TypesC-45String-length u--str) 63) u--str)))))))))(else (let ((e-0 (car arg-2))) (let ((e-1 (cdr arg-2))) (let ((u--str (string-cons e-0 e-1))) (let ((sc1 (PreludeC-45EqOrd-u--C-61C-61_Eq_String e-1 (csegen-1)))) (cond ((equal? sc1 1) (vector 1 e-0)) (else (vector 2 (blodwen-toSignedInt (PreludeC-45TypesC-45String-length u--str) 63) u--str)))))))))))
(define LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-case--changesUponFlattening-7707 (lambda (arg-1 arg-2 arg-3) (let ((e-2 (car arg-3))) (let ((e-3 (cdr arg-3))) (case (vector-ref e-2 0) ((2) (vector 2 ))(else (case (vector-ref e-3 0) ((2) (vector 2 ))(else (case (vector-ref e-2 0) ((0) (let ((e-5 (vector-ref e-2 1))) (case (vector-ref e-3 0) ((0) (let ((e-8 (vector-ref e-3 1))) (vector 0 (vector 5 e-5 e-8)))) (else (vector 0 (vector 5 e-5 arg-1)))))) (else (case (vector-ref e-3 0) ((0) (let ((e-11 (vector-ref e-3 1))) (vector 0 (vector 5 arg-2 e-11)))) (else (vector 1 )))))))))))))
(define LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-n--7887-11110-u--selectNicer (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (let ((sc0 ((((arg-3 arg-4) arg-5) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-n--7887-11109-u--initialIndentation arg-1 arg-2 arg-3 (arg-7))) arg-6))) (cond ((equal? sc0 1) arg-6) (else (arg-7))))))
(define LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-n--7887-11109-u--initialIndentation (lambda (arg-1 arg-2 arg-3 arg-4) (case (vector-ref arg-4 0) ((3) (let ((e-1 (vector-ref arg-4 1))) (box e-1))) ((4) (let ((e-5 (vector-ref arg-4 2))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-n--7887-11109-u--initialIndentation arg-1 arg-2 arg-3 e-5))) ((5) (let ((e-7 (vector-ref arg-4 1))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-n--7887-11109-u--initialIndentation arg-1 arg-2 arg-3 e-7)))(else '()))))
(define LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-n--9027-12172-u--go (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (case (vector-ref arg-6 0) ((0) (cons (PreludeC-45TypesC-45SnocList-C-60C-62C-62 arg-3 '()) (PreludeC-45TypesC-45SnocList-C-60C-62C-62 arg-4 '()))) ((1) (let ((e-14 (vector-ref arg-6 1))) (let ((e-15 (vector-ref arg-6 2))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-n--9027-12172-u--go arg-1 (+ arg-2 1) (cons arg-3 (string e-14)) arg-4 arg-5 (e-15))))) ((2) (let ((e-17 (vector-ref arg-6 1))) (let ((e-18 (vector-ref arg-6 2))) (let ((e-19 (vector-ref arg-6 3))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-n--9027-12172-u--go arg-1 (+ (PreludeC-45Types-prim__integerToNat e-17) arg-2) (cons arg-3 e-18) arg-4 arg-5 (e-19)))))) ((3) (let ((e-21 (vector-ref arg-6 1))) (let ((e-22 (vector-ref arg-6 2))) (let ((u--text (string-cons (integer->char 10) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-textSpaces e-21)))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-n--9027-12172-u--go arg-1 (+ (+ (PreludeC-45Types-prim__integerToNat e-21) 1) arg-2) (cons arg-3 u--text) arg-4 arg-5 e-22))))) ((4) (let ((e-24 (vector-ref arg-6 1))) (let ((e-25 (vector-ref arg-6 2))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-n--9027-12172-u--go arg-1 arg-2 arg-3 arg-4 (cons (cons arg-2 e-24) arg-5) e-25))))(else (if (null? arg-5) (let ((e-11 (vector-ref arg-6 1))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-n--9027-12172-u--go arg-1 arg-2 arg-3 arg-4 '() e-11)) (let ((e-1 (car arg-5))) (let ((e-2 (cdr arg-5))) (let ((e-6 (car e-1))) (let ((e-7 (cdr e-1))) (let ((e-9 (vector-ref arg-6 1))) (let ((u--span (vector e-6 (PreludeC-45Types-prim__integerToNat (- arg-2 e-6)) e-7))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-n--9027-12172-u--go arg-1 arg-2 arg-3 (cons arg-4 u--span) e-2 e-9))))))))))))
(define LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-n--7887-11111-u--best (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (case (vector-ref arg-6 0) ((0) (vector 0 )) ((2) (let ((e-2 (vector-ref arg-6 1))) (vector 5 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-n--7887-11111-u--best arg-1 arg-2 arg-3 arg-4 arg-5 e-2)))) (else (let ((e-4 (vector-ref arg-6 1))) (let ((e-5 (vector-ref arg-6 2))) (let ((e-6 (vector-ref arg-6 3))) (case (vector-ref e-5 0) ((0) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-n--7887-11111-u--best arg-1 arg-2 arg-3 arg-4 arg-5 e-6)) ((1) (let ((e-9 (vector-ref e-5 1))) (vector 1 e-9 (lambda () (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-n--7887-11111-u--best arg-1 arg-2 arg-3 arg-4 (bs+ arg-5 1 63) e-6))))) ((2) (let ((e-11 (vector-ref e-5 1))) (let ((e-12 (vector-ref e-5 2))) (vector 2 e-11 e-12 (lambda () (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-n--7887-11111-u--best arg-1 arg-2 arg-3 arg-4 (bs+ arg-5 e-11 63) e-6)))))) ((3) (let ((u--x (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-n--7887-11111-u--best arg-1 arg-2 arg-3 e-4 e-4 e-6))) (let ((u--iC-39 (case (vector-ref u--x 0) ((0) (blodwen-toSignedInt 0 63)) ((3) (blodwen-toSignedInt 0 63))(else e-4)))) (vector 3 u--iC-39 u--x)))) ((4) (let ((e-15 (vector-ref e-5 1))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-n--7887-11111-u--best arg-1 arg-2 arg-3 arg-4 arg-5 (vector 1 e-4 (e-15) e-6)))) ((5) (let ((e-18 (vector-ref e-5 1))) (let ((e-19 (vector-ref e-5 2))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-n--7887-11111-u--best arg-1 arg-2 arg-3 arg-4 arg-5 (vector 1 e-4 e-18 (vector 1 e-4 e-19 e-6)))))) ((6) (let ((e-21 (vector-ref e-5 1))) (let ((e-22 (vector-ref e-5 2))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-n--7887-11111-u--best arg-1 arg-2 arg-3 arg-4 arg-5 (vector 1 (bs+ e-4 e-21 63) e-22 e-6))))) ((7) (let ((e-24 (vector-ref e-5 1))) (let ((e-25 (vector-ref e-5 2))) (let ((u--xC-39 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-n--7887-11111-u--best arg-1 arg-2 arg-3 arg-4 arg-5 (vector 1 e-4 (e-24) e-6)))) (let ((u--yC-39 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-n--7887-11111-u--best arg-1 arg-2 arg-3 arg-4 arg-5 (vector 1 e-4 (e-25) e-6)))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-n--7887-11110-u--selectNicer arg-1 arg-2 arg-3 arg-4 arg-5 u--xC-39 (lambda () u--yC-39))))))) ((8) (let ((e-27 (vector-ref e-5 1))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-n--7887-11111-u--best arg-1 arg-2 arg-3 arg-4 arg-5 (vector 1 e-4 (e-27 arg-5) e-6)))) ((9) (let ((e-29 (vector-ref e-5 1))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-n--7887-11111-u--best arg-1 arg-2 arg-3 arg-4 arg-5 (vector 1 e-4 (e-29 arg-2) e-6)))) ((10) (let ((e-31 (vector-ref e-5 1))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-n--7887-11111-u--best arg-1 arg-2 arg-3 arg-4 arg-5 (vector 1 e-4 (e-31 e-4) e-6)))) (else (let ((e-33 (vector-ref e-5 1))) (let ((e-34 (vector-ref e-5 2))) (vector 4 e-33 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-n--7887-11111-u--best arg-1 arg-2 arg-3 arg-4 arg-5 (vector 1 e-4 e-34 (vector 2 e-6)))))))))))))))
(define LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--show_Show_C-40DocC-32C-36annC-41 (lambda (arg-1) ((LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-renderShow ((LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-layoutPretty (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-defaultLayoutOptions)) arg-1)) "")))
(define LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--pretty_Pretty_Void_String (lambda (arg-0) (let ((u--strC-39 (let ((sc0 (DataC-45String-isSuffixOf "\xa;" arg-0))) (cond ((equal? sc0 1) (LibrariesC-45DataC-45StringC-45Extra-dropLast 1 arg-0)) (else arg-0))))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vsep (((csegen-25) (lambda (eta-0) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-unsafeTextWithoutNewLines eta-0))) (DataC-45String-lines u--strC-39))))))
(define LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--pretty_Pretty_Void_Char (lambda (arg-0) (cond ((equal? arg-0 (integer->char 10)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-line))(else (vector 1 arg-0)))))
(define LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--prettyPrec_Pretty_Void_String (lambda (arg-0 arg-1) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--pretty_Pretty_Void_String arg-1)))
(define LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--prettyPrec_Pretty_Void_Char (lambda (arg-0 arg-1) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--pretty_Pretty_Void_Char arg-1)))
(define LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--neutral_Monoid_C-40DocC-32C-36annC-41(blodwen-lazy (lambda () (vector 0 ))))
(define LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--map_Functor_FlattenResult (lambda (arg-2 arg-3) (case (vector-ref arg-3 0) ((0) (let ((e-1 (vector-ref arg-3 1))) (vector 0 (arg-2 e-1)))) ((1) (vector 1 )) (else (vector 2 )))))
(define LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 (lambda (ext-0) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-863) ext-0)))
(define LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--cast_Cast_C-40DocC-32VoidC-41_C-40DocC-32C-36annC-41 (lambda (ext-0) ext-0))
(define LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (lambda (ext-0 ext-1) (vector 5 ext-0 ext-1)))
(define LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vsep (lambda (ext-0) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-concatWith (lambda (u--x) (lambda (u--y) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 u--x (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-line)) u--y))) ext-0)))
(define LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vcat (lambda (ext-0) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-concatWith (lambda (u--x) (lambda (u--y) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 u--x (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-lineC-39)) u--y))) ext-0)))
(define LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-unsafeTextWithoutNewLines (lambda (arg-1) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-case--unsafeTextWithoutNewLines-8430 arg-1 (DataC-45String-strM arg-1))))
(define LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-unAnnotateS (lambda (arg-2) (case (vector-ref arg-2 0) ((0) (vector 0 )) ((1) (let ((e-2 (vector-ref arg-2 1))) (let ((e-3 (vector-ref arg-2 2))) (vector 1 e-2 (lambda () (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-unAnnotateS (e-3))))))) ((2) (let ((e-5 (vector-ref arg-2 1))) (let ((e-6 (vector-ref arg-2 2))) (let ((e-7 (vector-ref arg-2 3))) (vector 2 e-5 e-6 (lambda () (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-unAnnotateS (e-7)))))))) ((3) (let ((e-9 (vector-ref arg-2 1))) (let ((e-10 (vector-ref arg-2 2))) (vector 3 e-9 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-unAnnotateS e-10))))) ((4) (let ((e-13 (vector-ref arg-2 2))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-unAnnotateS e-13))) (else (let ((e-15 (vector-ref arg-2 1))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-unAnnotateS e-15))))))
(define LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-textSpaces (lambda (arg-0) (DataC-45String-replicate (PreludeC-45Types-prim__integerToNat arg-0) #\ )))
(define LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-surround (lambda (arg-1 arg-2 arg-3) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 arg-2 arg-1) arg-3)))
(define LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-spaces (lambda (arg-1) (let ((sc0 (PreludeC-45EqOrd-u--C-60C-61_Ord_Int arg-1 (blodwen-toSignedInt 0 63)))) (cond ((equal? sc0 1) (vector 0 )) (else (let ((sc1 (PreludeC-45EqOrd-u--C-61C-61_Eq_Int arg-1 (blodwen-toSignedInt 1 63)))) (cond ((equal? sc1 1) (vector 1 #\ )) (else (vector 2 arg-1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-textSpaces arg-1))))))))))
(define LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-softline(blodwen-lazy (lambda () (vector 7 (lambda () (vector 1 #\ )) (lambda () (vector 3 ))))))
(define LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-sep (lambda (ext-0) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-group (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vsep ext-0))))
(define LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-round (lambda (arg-0) (let ((sc0 (PreludeC-45EqOrd-u--C-62_Ord_Double arg-0 (exact->inexact 0)))) (cond ((equal? sc0 1) (let ((sc1 (PreludeC-45EqOrd-u--C-60_Ord_Double (- arg-0 (flfloor arg-0)) 0.5))) (cond ((equal? sc1 1) (exact-truncate-boundedInt (flfloor arg-0) 63)) (else (exact-truncate-boundedInt (flceiling arg-0) 63))))) (else (let ((sc1 (PreludeC-45EqOrd-u--C-60_Ord_Double (- (flceiling arg-0) arg-0) 0.5))) (cond ((equal? sc1 1) (exact-truncate-boundedInt (flceiling arg-0) 63)) (else (exact-truncate-boundedInt (flfloor arg-0) 63)))))))))
(define LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-renderShow (lambda (arg-1) (case (vector-ref arg-1 0) ((0) (lambda (eta-0) eta-0)) ((1) (let ((e-2 (vector-ref arg-1 1))) (let ((e-3 (vector-ref arg-1 2))) (lambda (eta-0) (string-cons e-2 ((LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-renderShow (e-3)) eta-0)))))) ((2) (let ((e-6 (vector-ref arg-1 2))) (let ((e-7 (vector-ref arg-1 3))) (lambda (eta-0) (string-append e-6 ((LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-renderShow (e-7)) eta-0)))))) ((3) (let ((e-9 (vector-ref arg-1 1))) (let ((e-10 (vector-ref arg-1 2))) (lambda (eta-0) (string-append (string-cons (integer->char 10) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-textSpaces e-9)) ((LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-renderShow e-10) eta-0)))))) ((4) (let ((e-13 (vector-ref arg-1 2))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-renderShow e-13))) (else (let ((e-15 (vector-ref arg-1 1))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-renderShow e-15))))))
(define LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-remainingWidth (lambda (arg-0 arg-1 arg-2 arg-3) (let ((u--columnsLeftInLine (bs- arg-0 arg-3 63))) (let ((u--ribbonWidth (PreludeC-45EqOrd-u--max_Ord_Int (blodwen-toSignedInt 0 63) (PreludeC-45EqOrd-u--min_Ord_Int arg-0 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-round (* (exact->inexact arg-0) arg-1)))))) (let ((u--columnsLeftInRibbon (bs- (bs+ arg-2 u--ribbonWidth 63) arg-3 63))) (PreludeC-45EqOrd-u--min_Ord_Int u--columnsLeftInLine u--columnsLeftInRibbon))))))
(define LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-reAnnotateS (lambda (arg-2 arg-3) (case (vector-ref arg-3 0) ((0) (vector 0 )) ((1) (let ((e-2 (vector-ref arg-3 1))) (let ((e-3 (vector-ref arg-3 2))) (vector 1 e-2 (lambda () (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-reAnnotateS arg-2 (e-3))))))) ((2) (let ((e-5 (vector-ref arg-3 1))) (let ((e-6 (vector-ref arg-3 2))) (let ((e-7 (vector-ref arg-3 3))) (vector 2 e-5 e-6 (lambda () (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-reAnnotateS arg-2 (e-7)))))))) ((3) (let ((e-9 (vector-ref arg-3 1))) (let ((e-10 (vector-ref arg-3 2))) (vector 3 e-9 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-reAnnotateS arg-2 e-10))))) ((4) (let ((e-12 (vector-ref arg-3 1))) (let ((e-13 (vector-ref arg-3 2))) (vector 4 (arg-2 e-12) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-reAnnotateS arg-2 e-13))))) (else (let ((e-15 (vector-ref arg-3 1))) (vector 5 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-reAnnotateS arg-2 e-15)))))))
(define LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-reAnnotate (lambda (arg-2 ext-0) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-alterAnnotations (lambda (eta-0) (PreludeC-45Types-u--pure_Applicative_List (arg-2 eta-0))) ext-0)))
(define LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-punctuate (lambda (arg-1 arg-2) (if (null? arg-2) '() (let ((e-2 (car arg-2))) (let ((e-3 (cdr arg-2))) (if (null? e-3) (cons e-2 '()) (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 e-2 arg-1) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-punctuate arg-1 e-3))))))))
(define LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-prettyMaybe (lambda (arg-2 ext-0) (PreludeC-45Types-maybe (lambda () (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--neutral_Monoid_C-40DocC-32C-36annC-41)) (lambda () (lambda (clam-0) (let ((e-2 (car arg-2))) (e-2 clam-0)))) ext-0)))
(define LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-prettyList (lambda (arg-2 ext-0) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-align (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-list (((csegen-25) (lambda (clam-0) (let ((e-2 (car arg-2))) (e-2 clam-0)))) ext-0)))))
(define LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-prettyBy (lambda (arg-3 arg-4 arg-5) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-reAnnotate arg-4 (let ((e-2 (car arg-3))) (e-2 arg-5)))))
(define LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (lambda (arg-2 arg-3) ((let ((eff-0 (lambda (u--orig) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--cast_Cast_C-40DocC-32VoidC-41_C-40DocC-32C-36annC-41 u--orig)))) (lambda (arg-0) (eff-0 arg-0))) (let ((e-2 (car arg-2))) (e-2 arg-3)))))
(define LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-nesting (lambda (ext-0) (vector 10 ext-0)))
(define LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-nest (lambda (arg-1 arg-2) (cond ((equal? arg-1 0) arg-2)(else (vector 6 arg-1 arg-2)))))
(define LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-list (lambda (ext-0) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-group (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-encloseSep (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-flatAlt (lambda () (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-863) ((csegen-0) "[ "))) (lambda () (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-863) ((csegen-0) "[")))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-flatAlt (lambda () (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-863) ((csegen-0) " ]"))) (lambda () (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-863) ((csegen-0) "]")))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-863) ((csegen-0) ", ")) ext-0))))
(define LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-lineC-39(blodwen-lazy (lambda () (vector 4 (lambda () (vector 3 )) (lambda () (vector 0 ))))))
(define LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-line(blodwen-lazy (lambda () (vector 4 (lambda () (vector 3 )) (lambda () (vector 1 #\ ))))))
(define LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-layoutWadlerLeijen (lambda (arg-1 arg-2 arg-3) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-n--7887-11111-u--best arg-3 arg-2 arg-1 0 0 (vector 1 0 arg-3 (vector 0 )))))
(define LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-layoutUnbounded (lambda (ext-0) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-layoutWadlerLeijen (lambda (_-11408) (lambda (_-11411) (lambda (_-11414) (lambda (u--sdoc) 1)))) '() ext-0)))
(define LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-layoutPretty (lambda (arg-1) (let ((eff-0 arg-1)) (lambda (clam-0) (if (null? eff-0) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-layoutUnbounded clam-0) (let ((e-1 (car eff-0))) (let ((e-2 (cdr eff-0))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-layoutWadlerLeijen (lambda (u--lineIndent) (lambda (u--currentColumn) (lambda (_-11534) (lambda (u--sdoc) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-fits (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-remainingWidth e-1 e-2 u--lineIndent u--currentColumn) u--sdoc))))) eff-0 clam-0))))))))
(define LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-indent (lambda (arg-1 arg-2) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-hang arg-1 (((csegen-884) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-spaces arg-1)) arg-2))))
(define LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-hsep (lambda (ext-0) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-concatWith (csegen-885) ext-0)))
(define LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-hcat (lambda (ext-0) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-concatWith (csegen-884) ext-0)))
(define LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-hardline(blodwen-lazy (lambda () (vector 3 ))))
(define LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-hang (lambda (arg-1 arg-2) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-align (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-nest arg-1 arg-2))))
(define LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-group (lambda (arg-1) (case (vector-ref arg-1 0) ((7) (let ((e-1 (vector-ref arg-1 1))) (let ((e-2 (vector-ref arg-1 2))) (vector 7 e-1 e-2)))) ((4) (let ((e-4 (vector-ref arg-1 1))) (let ((e-5 (vector-ref arg-1 2))) (let ((sc1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-changesUponFlattening (e-5)))) (case (vector-ref sc1 0) ((0) (let ((e-1 (vector-ref sc1 1))) (vector 7 (lambda () e-1) e-4))) ((1) (vector 7 e-5 e-4)) (else (e-4)))))))(else (let ((sc0 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-changesUponFlattening arg-1))) (case (vector-ref sc0 0) ((0) (let ((e-1 (vector-ref sc0 1))) (vector 7 (lambda () e-1) (lambda () arg-1)))) ((1) arg-1) (else arg-1)))))))
(define LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-flatten (lambda (arg-1) (case (vector-ref arg-1 0) ((0) (vector 0 )) ((1) (let ((e-2 (vector-ref arg-1 1))) (vector 1 e-2))) ((2) (let ((e-4 (vector-ref arg-1 1))) (let ((e-5 (vector-ref arg-1 2))) (vector 2 e-4 e-5)))) ((3) (vector 0 )) ((4) (let ((e-9 (vector-ref arg-1 2))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-flatten (e-9)))) ((5) (let ((e-11 (vector-ref arg-1 1))) (let ((e-12 (vector-ref arg-1 2))) (vector 5 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-flatten e-11) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-flatten e-12))))) ((6) (let ((e-14 (vector-ref arg-1 1))) (let ((e-15 (vector-ref arg-1 2))) (vector 6 e-14 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-flatten e-15))))) ((7) (let ((e-17 (vector-ref arg-1 1))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-flatten (e-17)))) ((8) (let ((e-20 (vector-ref arg-1 1))) (vector 8 (lambda (u--x) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-flatten (e-20 u--x)))))) ((9) (let ((e-22 (vector-ref arg-1 1))) (vector 9 (lambda (u--x) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-flatten (e-22 u--x)))))) ((10) (let ((e-24 (vector-ref arg-1 1))) (vector 10 (lambda (u--x) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-flatten (e-24 u--x)))))) (else (let ((e-26 (vector-ref arg-1 1))) (let ((e-27 (vector-ref arg-1 2))) (vector 11 e-26 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-flatten e-27))))))))
(define LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-flatAlt (lambda (ext-0 ext-1) (vector 4 ext-0 ext-1)))
(define LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-fits (lambda (arg-1 arg-2) (let ((sc0 (PreludeC-45EqOrd-u--C-60_Ord_Int arg-1 (blodwen-toSignedInt 0 63)))) (cond ((equal? sc0 1) 0) (else (case (vector-ref arg-2 0) ((0) 1) ((1) (let ((e-3 (vector-ref arg-2 2))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-fits (bs- arg-1 1 63) (e-3)))) ((2) (let ((e-5 (vector-ref arg-2 1))) (let ((e-7 (vector-ref arg-2 3))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-fits (bs- arg-1 e-5 63) (e-7))))) ((3) 1) ((4) (let ((e-13 (vector-ref arg-2 2))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-fits arg-1 e-13))) (else (let ((e-15 (vector-ref arg-2 1))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-fits arg-1 e-15)))))))))
(define LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-fillSep (lambda (ext-0) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-concatWith (lambda (u--x) (lambda (u--y) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 u--x (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-softline)) u--y))) ext-0)))
(define LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-encloseSep (lambda (arg-1 arg-2 arg-3 arg-4) (if (null? arg-4) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 arg-1 arg-2) (let ((e-2 (car arg-4))) (let ((e-3 (cdr arg-4))) (if (null? e-3) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 arg-1 e-2) arg-2) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-cat (DataC-45List-u--zipWith_Zippable_List (csegen-379) (cons arg-1 (DataC-45List-replicateTR '() (PreludeC-45Types-prim__integerToNat (- (PreludeC-45TypesC-45List-lengthTR arg-4) 1)) arg-3)) arg-4)) arg-2)))))))
(define LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-enclose (lambda (arg-1 arg-2 arg-3) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 arg-1 arg-3) arg-2)))
(define LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-emptyDoc(blodwen-lazy (lambda () (vector 0 ))))
(define LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-displaySpans (lambda (arg-1) (let ((sc0 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-n--9027-12172-u--go arg-1 0 '() '() '() arg-1))) (let ((e-2 (car sc0))) (let ((e-3 (cdr sc0))) (cons (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) e-2) e-3))))))
(define LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-defaultPageWidth(blodwen-lazy (lambda () (cons 80 1.0))))
(define LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-defaultLayoutOptions(blodwen-lazy (lambda () (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-defaultPageWidth))))
(define LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-concatWith (lambda (arg-1 arg-2) (if (null? arg-2) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--neutral_Monoid_C-40DocC-32C-36annC-41) (let ((e-2 (car arg-2))) (let ((e-3 (cdr arg-2))) (PreludeC-45Types-u--foldl_Foldable_List arg-1 e-2 e-3))))))
(define LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-column (lambda (ext-0) (vector 8 ext-0)))
(define LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-changesUponFlattening (lambda (arg-1) (case (vector-ref arg-1 0) ((0) (vector 1 )) ((1) (vector 1 )) ((2) (vector 1 )) ((3) (vector 2 )) ((4) (let ((e-9 (vector-ref arg-1 2))) (vector 0 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-flatten (e-9))))) ((5) (let ((e-11 (vector-ref arg-1 1))) (let ((e-12 (vector-ref arg-1 2))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-case--changesUponFlattening-7707 e-12 e-11 (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-changesUponFlattening e-11) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-changesUponFlattening e-12)))))) ((6) (let ((e-14 (vector-ref arg-1 1))) (let ((e-15 (vector-ref arg-1 2))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--map_Functor_FlattenResult (lambda (eta-0) (vector 6 e-14 eta-0)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-changesUponFlattening e-15))))) ((7) (let ((e-17 (vector-ref arg-1 1))) (vector 0 (e-17)))) ((8) (let ((e-20 (vector-ref arg-1 1))) (vector 0 (vector 8 (lambda (eta-0) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-flatten (e-20 eta-0))))))) ((9) (let ((e-22 (vector-ref arg-1 1))) (vector 0 (vector 9 (lambda (eta-0) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-flatten (e-22 eta-0))))))) ((10) (let ((e-24 (vector-ref arg-1 1))) (vector 0 (vector 10 (lambda (eta-0) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-flatten (e-24 eta-0))))))) (else (let ((e-26 (vector-ref arg-1 1))) (let ((e-27 (vector-ref arg-1 2))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--map_Functor_FlattenResult (lambda (eta-0) (vector 11 e-26 eta-0)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-changesUponFlattening e-27))))))))
(define LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-cat (lambda (ext-0) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-group (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vcat ext-0))))
(define LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-byShow (lambda (arg-2 ext-0) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-863) (let ((e-1 (car arg-2))) (e-1 ext-0)))))
(define LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-annotate (lambda (ext-0 ext-1) (vector 11 ext-0 ext-1)))
(define LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-alterAnnotations (lambda (arg-2 arg-3) (case (vector-ref arg-3 0) ((0) (vector 0 )) ((1) (let ((e-2 (vector-ref arg-3 1))) (vector 1 e-2))) ((2) (let ((e-4 (vector-ref arg-3 1))) (let ((e-5 (vector-ref arg-3 2))) (vector 2 e-4 e-5)))) ((3) (vector 3 )) ((4) (let ((e-8 (vector-ref arg-3 1))) (let ((e-9 (vector-ref arg-3 2))) (vector 4 (lambda () (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-alterAnnotations arg-2 (e-8))) (lambda () (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-alterAnnotations arg-2 (e-9))))))) ((5) (let ((e-11 (vector-ref arg-3 1))) (let ((e-12 (vector-ref arg-3 2))) (vector 5 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-alterAnnotations arg-2 e-11) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-alterAnnotations arg-2 e-12))))) ((6) (let ((e-14 (vector-ref arg-3 1))) (let ((e-15 (vector-ref arg-3 2))) (vector 6 e-14 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-alterAnnotations arg-2 e-15))))) ((7) (let ((e-17 (vector-ref arg-3 1))) (let ((e-18 (vector-ref arg-3 2))) (vector 7 (lambda () (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-alterAnnotations arg-2 (e-17))) (lambda () (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-alterAnnotations arg-2 (e-18))))))) ((8) (let ((e-20 (vector-ref arg-3 1))) (vector 8 (lambda (u--x) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-alterAnnotations arg-2 (e-20 u--x)))))) ((9) (let ((e-22 (vector-ref arg-3 1))) (vector 9 (lambda (u--x) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-alterAnnotations arg-2 (e-22 u--x)))))) ((10) (let ((e-24 (vector-ref arg-3 1))) (vector 10 (lambda (u--x) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-alterAnnotations arg-2 (e-24 u--x)))))) (else (let ((e-26 (vector-ref arg-3 1))) (let ((e-27 (vector-ref arg-3 2))) (PreludeC-45Types-u--foldr_Foldable_List (lambda (eta-0) (lambda (eta-1) (vector 11 eta-0 eta-1))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-alterAnnotations arg-2 e-27) (arg-2 e-26))))))))
(define LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-align (lambda (arg-1) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-column (lambda (u--k) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-nesting (lambda (u--i) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-nest (bs- u--k u--i 63) arg-1)))))))
(define LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (lambda (arg-1 arg-2) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 arg-1 (vector 1 #\ )) arg-2)))
(define LibrariesC-45DataC-45Span-u--traverse_Traversable_Span (lambda (arg-3 arg-4 arg-5) (let ((e-1 (vector-ref arg-5 0))) (let ((e-2 (vector-ref arg-5 1))) (let ((e-3 (vector-ref arg-5 2))) (PreludeC-45Interfaces-C-60C-36C-62 (let ((e-6 (vector-ref arg-3 0))) e-6) (lambda (eta-0) (vector e-1 e-2 eta-0)) (arg-4 e-3)))))))
(define DecidableC-45Equality-n--5363-4214-u--primitiveNotEq (lambda (arg-1 arg-2 arg-3 arg-7) (vector 0 )))
(define DecidableC-45Equality-n--5363-4213-u--primitiveEq (lambda (arg-1 arg-2 arg-3) (vector 0 )))
(define DecidableC-45Equality-u--decEq_DecEq_String(blodwen-lazy (lambda () (let ((eff-0 (lambda (u--x1) (lambda (u--x2) (DecidableC-45Equality-u--decEq_DecEq_FromEqC-36a (csegen-43) u--x1 u--x2))))) (lambda (arg-0) (lambda (arg-1) ((eff-0 arg-0) arg-1)))))))
(define DecidableC-45Equality-u--decEq_DecEq_Integer(blodwen-lazy (lambda () (let ((eff-0 (lambda (u--x1) (lambda (u--x2) (DecidableC-45Equality-u--decEq_DecEq_FromEqC-36a (csegen-892) u--x1 u--x2))))) (lambda (arg-0) (lambda (arg-1) ((eff-0 arg-0) arg-1)))))))
(define DecidableC-45Equality-u--decEq_DecEq_Int(blodwen-lazy (lambda () (let ((eff-0 (lambda (u--x1) (lambda (u--x2) (DecidableC-45Equality-u--decEq_DecEq_FromEqC-36a (csegen-290) u--x1 u--x2))))) (lambda (arg-0) (lambda (arg-1) ((eff-0 arg-0) arg-1)))))))
(define DecidableC-45Equality-u--decEq_DecEq_FromEqC-36a (lambda (arg-1 arg-2 arg-3) (let ((sc0 (let ((e-1 (car arg-1))) ((e-1 arg-2) arg-3)))) (cond ((equal? sc0 1) (vector 0 (DecidableC-45Equality-n--5363-4213-u--primitiveEq arg-1 arg-2 arg-3))) (else (vector 1 (lambda (eta-0) (DecidableC-45Equality-n--5363-4214-u--primitiveNotEq arg-1 arg-2 arg-3 eta-0))))))))
(define DecidableC-45Equality-u--decEq_DecEq_Char(blodwen-lazy (lambda () (let ((eff-0 (lambda (u--x1) (lambda (u--x2) (DecidableC-45Equality-u--decEq_DecEq_FromEqC-36a (csegen-19) u--x1 u--x2))))) (lambda (arg-0) (lambda (arg-1) ((eff-0 arg-0) arg-1)))))))
(define DecidableC-45Equality-u--decEq_DecEq_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (lambda (arg-2 arg-3 arg-4) (let ((e-2 (car arg-3))) (let ((e-3 (cdr arg-3))) (let ((e-6 (car arg-4))) (let ((e-7 (cdr arg-4))) (DecidableC-45EqualityC-45Core-decEqCong2 (((let ((eff-0 (Builtin-fst arg-2))) (lambda (arg-0) (lambda (arg-1) ((eff-0 arg-0) arg-1)))) e-2) e-6) (lambda () (((let ((eff-0 (Builtin-snd arg-2))) (lambda (arg-0) (lambda (arg-1) ((eff-0 arg-0) arg-1)))) e-3) e-7)))))))))
(define DecidableC-45Equality-u--decEq_DecEq_C-40ListC-32C-36aC-41 (lambda (arg-1 arg-2 arg-3) (if (null? arg-2) (if (null? arg-3) (vector 0 (vector 0 )) (vector 1 (lambda (eta-0) (PreludeC-45Uninhabited-absurd (lambda (eta-1) (DataC-45List-u--uninhabited_Uninhabited_C-40C-124C-40C-40BuiltinC-46C-61C-61C-61C-32NilC-41C-32C-40C-40C-58C-58C-32C-36xC-41C-32C-36xsC-41C-41C-44C-40C-40BuiltinC-46C-126C-61C-126C-32NilC-41C-32C-40C-40C-58C-58C-32C-36xC-41C-32C-36xsC-41C-41C-124C-41 eta-1)) eta-0)))) (let ((e-2 (car arg-2))) (let ((e-3 (cdr arg-2))) (if (null? arg-3) (vector 1 (lambda (eta-0) (PreludeC-45Uninhabited-absurd (lambda (eta-1) (DataC-45List-u--uninhabited_Uninhabited_C-40C-124C-40C-40BuiltinC-46C-61C-61C-61C-32C-40C-40C-58C-58C-32C-36xC-41C-32C-36xsC-41C-41C-32NilC-41C-44C-40C-40BuiltinC-46C-126C-61C-126C-32C-40C-40C-58C-58C-32C-36xC-41C-32C-36xsC-41C-41C-32NilC-41C-124C-41 eta-1)) eta-0))) (let ((e-10 (car arg-3))) (let ((e-11 (cdr arg-3))) (DecidableC-45EqualityC-45Core-decEqCong2 (((let ((eff-0 arg-1)) (lambda (arg-0) (lambda (arg-4) ((eff-0 arg-0) arg-4)))) e-2) e-10) (lambda () (((let ((eff-0 (lambda (u--x1) (lambda (u--x2) (DecidableC-45Equality-u--decEq_DecEq_C-40ListC-32C-36aC-41 arg-1 u--x1 u--x2))))) (lambda (arg-0) (lambda (arg-4) ((eff-0 arg-0) arg-4)))) e-3) e-11)))))))))))
(define DataC-45These-these (lambda (arg-3 arg-4 arg-5 arg-6) (case (vector-ref arg-6 0) ((0) (let ((e-2 (vector-ref arg-6 1))) (arg-3 e-2))) ((1) (let ((e-5 (vector-ref arg-6 1))) (arg-4 e-5))) (else (let ((e-8 (vector-ref arg-6 1))) (let ((e-9 (vector-ref arg-6 2))) ((arg-5 e-8) e-9)))))))
(define DataC-45These-fromThis (lambda (arg-2) (case (vector-ref arg-2 0) ((0) (let ((e-2 (vector-ref arg-2 1))) (box e-2))) ((1) '()) (else (let ((e-8 (vector-ref arg-2 1))) (box e-8))))))
(define DataC-45These-fromThat (lambda (arg-2) (case (vector-ref arg-2 0) ((0) '()) ((1) (let ((e-5 (vector-ref arg-2 1))) (box e-5))) (else (let ((e-9 (vector-ref arg-2 2))) (box e-9))))))
(define DataC-45These-bifold (lambda (arg-1 arg-2) (case (vector-ref arg-2 0) ((0) (let ((e-2 (vector-ref arg-2 1))) e-2)) ((1) (let ((e-5 (vector-ref arg-2 1))) e-5)) (else (let ((e-8 (vector-ref arg-2 1))) (let ((e-9 (vector-ref arg-2 2))) (((let ((eff-0 (let ((e-1 (car arg-1))) e-1))) (lambda (arg-0) (lambda (arg-3) ((eff-0 arg-0) arg-3)))) e-8) e-9)))))))
(define DataC-45Either-n--3025-1754-u--compressRights (lambda (arg-2 arg-3 arg-4 arg-5) (if (null? arg-5) (cons (vector 1 (DataC-45List1-reverse arg-4)) (DataC-45Either-compress arg-5)) (let ((e-1 (car arg-5))) (let ((e-2 (cdr arg-5))) (case (vector-ref e-1 0) ((1) (let ((e-5 (vector-ref e-1 1))) (DataC-45Either-n--3025-1754-u--compressRights arg-2 arg-3 (DataC-45List1-cons e-5 arg-4) e-2)))(else (cons (vector 1 (DataC-45List1-reverse arg-4)) (DataC-45Either-compress arg-5)))))))))
(define DataC-45Either-n--3025-1716-u--compressLefts (lambda (arg-2 arg-3 arg-4 arg-5) (if (null? arg-5) (cons (vector 0 (DataC-45List1-reverse arg-4)) (DataC-45Either-compress arg-5)) (let ((e-1 (car arg-5))) (let ((e-2 (cdr arg-5))) (case (vector-ref e-1 0) ((0) (let ((e-5 (vector-ref e-1 1))) (DataC-45Either-n--3025-1716-u--compressLefts arg-2 arg-3 (DataC-45List1-cons e-5 arg-4) e-2)))(else (cons (vector 0 (DataC-45List1-reverse arg-4)) (DataC-45Either-compress arg-5)))))))))
(define DataC-45Either-rights (lambda (arg-2) (if (null? arg-2) '() (let ((e-2 (car arg-2))) (let ((e-3 (cdr arg-2))) (case (vector-ref e-2 0) ((0) (DataC-45Either-rights e-3)) (else (let ((e-9 (vector-ref e-2 1))) (cons e-9 (DataC-45Either-rights e-3))))))))))
(define DataC-45Either-partitionEithers (lambda (arg-2) (cons (DataC-45Either-lefts arg-2) (DataC-45Either-rights arg-2))))
(define DataC-45Either-maybeToEither (lambda (arg-2 arg-3) (if (null? arg-3) (vector 0 (arg-2)) (let ((e-1 (unbox arg-3))) (vector 1 e-1)))))
(define DataC-45Either-lefts (lambda (arg-2) (if (null? arg-2) '() (let ((e-2 (car arg-2))) (let ((e-3 (cdr arg-2))) (case (vector-ref e-2 0) ((0) (let ((e-6 (vector-ref e-2 1))) (cons e-6 (DataC-45Either-lefts e-3)))) (else (DataC-45Either-lefts e-3))))))))
(define DataC-45Either-getRight (lambda (arg-2) (case (vector-ref arg-2 0) ((1) (let ((e-2 (vector-ref arg-2 1))) (box e-2)))(else '()))))
(define DataC-45Either-compress (lambda (arg-2) (if (null? arg-2) '() (let ((e-2 (car arg-2))) (let ((e-3 (cdr arg-2))) (case (vector-ref e-2 0) ((0) (let ((e-6 (vector-ref e-2 1))) (DataC-45Either-n--3025-1716-u--compressLefts e-6 e-3 (DataC-45List1-singleton e-6) e-3))) (else (let ((e-9 (vector-ref e-2 1))) (DataC-45Either-n--3025-1754-u--compressRights e-9 e-3 (DataC-45List1-singleton e-9) e-3)))))))))
(define LibrariesC-45UtilsC-45String-n--2593-891-u--escape (lambda (arg-0 arg-1 arg-2 arg-3) (let ((sc0 (PreludeC-45Types-elem (csegen-16) (csegen-19) arg-2 arg-0))) (cond ((equal? sc0 1) (cons arg-1 (cons arg-2 arg-3))) (else (cons arg-2 arg-3))))))
(define LibrariesC-45UtilsC-45String-stripSurrounds (lambda (arg-0 arg-1 arg-2) (PreludeC-45Types-substr arg-0 (PreludeC-45Types-prim__integerToNat (- (PreludeC-45TypesC-45String-length arg-2) (+ arg-0 arg-1))) arg-2)))
(define LibrariesC-45UtilsC-45String-stripQuotes (lambda (ext-0) (LibrariesC-45UtilsC-45String-stripSurrounds 1 1 ext-0)))
(define LibrariesC-45UtilsC-45String-lowerFirst (lambda (arg-0) (cond ((equal? arg-0 "") 0)(else (PreludeC-45Types-isLower (string-ref arg-0 0))))))
(define LibrariesC-45UtilsC-45String-escapeStringUnix (lambda (ext-0) (LibrariesC-45UtilsC-45String-escapeGeneric #\\ (cons #\" (cons #\\ '())) ext-0)))
(define LibrariesC-45UtilsC-45String-escapeStringChez (lambda (ext-0) (LibrariesC-45UtilsC-45String-escapeGeneric #\\ (cons #\' (cons #\\ '())) ext-0)))
(define LibrariesC-45UtilsC-45String-escapeGeneric (lambda (arg-0 arg-1 ext-0) (PreludeC-45Types-fastPack (PreludeC-45Types-u--foldr_Foldable_List (lambda (eta-0) (lambda (eta-1) (LibrariesC-45UtilsC-45String-n--2593-891-u--escape arg-1 arg-0 eta-0 eta-1))) '() (PreludeC-45Types-fastUnpack ext-0)))))
(define LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-case--wordsC-44helper-5203 (lambda (arg-1 arg-2 arg-3) (if (null? arg-3) '() (let ((sc1 (DataC-45List-break (lambda (eta-0) (PreludeC-45Types-isSpace eta-0)) arg-3))) (let ((e-2 (car sc1))) (let ((e-3 (cdr sc1))) (cons e-2 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-n--3590-5191-u--helper arg-1 e-3))))))))
(define LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-n--3590-5191-u--helper (lambda (arg-1 arg-2) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-case--wordsC-44helper-5203 arg-1 arg-2 (DataC-45List-dropWhile (lambda (eta-0) (PreludeC-45Types-isSpace eta-0)) arg-2))))
(define LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-words (lambda (arg-1) (((csegen-25) (csegen-905)) ((csegen-304) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-n--3590-5191-u--helper arg-1 (PreludeC-45Types-fastUnpack arg-1))))))
(define LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow (lambda (ext-0) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-fillSep (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-words ext-0))))
(define LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-annotateM (lambda (ext-0) (PreludeC-45Types-maybe (lambda () (lambda (eta-0) eta-0)) (lambda () (lambda (eta-0) (lambda (eta-1) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-annotate eta-0 eta-1)))) ext-0)))
(define LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45RenderC-45String-renderString (lambda (arg-1) (case (vector-ref arg-1 0) ((0) "") ((1) (let ((e-2 (vector-ref arg-1 1))) (let ((e-3 (vector-ref arg-1 2))) (((csegen-909) (DataC-45String-singleton e-2)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45RenderC-45String-renderString (e-3)))))) ((2) (let ((e-6 (vector-ref arg-1 2))) (let ((e-7 (vector-ref arg-1 3))) (((csegen-909) e-6) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45RenderC-45String-renderString (e-7)))))) ((3) (let ((e-9 (vector-ref arg-1 1))) (let ((e-10 (vector-ref arg-1 2))) (((csegen-909) ((csegen-910) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-textSpaces e-9))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45RenderC-45String-renderString e-10))))) ((4) (let ((e-13 (vector-ref arg-1 2))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45RenderC-45String-renderString e-13))) (else (let ((e-15 (vector-ref arg-1 1))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45RenderC-45String-renderString e-15))))))
(define LibrariesC-45UtilsC-45Octal-n--2734-1319-u--fromOctCharsC-39 (lambda (arg-0 arg-1) (if (null? arg-1) (box 0) (let ((e-2 (car arg-1))) (let ((e-3 (cdr arg-1))) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (LibrariesC-45UtilsC-45Octal-fromOctDigit (PreludeC-45Types-toLower e-2)) (lambda (u--digit) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (LibrariesC-45UtilsC-45Octal-n--2734-1319-u--fromOctCharsC-39 (* arg-0 8) e-3) (lambda (u--digits) (box (+ (* u--digit arg-0) u--digits)))))))))))
(define LibrariesC-45UtilsC-45Octal-fromOctDigit (lambda (arg-0) (cond ((equal? arg-0 #\0) (box 0)) ((equal? arg-0 #\1) (box 1)) ((equal? arg-0 #\2) (box 2)) ((equal? arg-0 #\3) (box 3)) ((equal? arg-0 #\4) (box 4)) ((equal? arg-0 #\5) (box 5)) ((equal? arg-0 #\6) (box 6)) ((equal? arg-0 #\7) (box 7))(else '()))))
(define LibrariesC-45UtilsC-45Octal-fromOctChars (lambda (ext-0) (LibrariesC-45UtilsC-45Octal-n--2734-1319-u--fromOctCharsC-39 1 ext-0)))
(define LibrariesC-45UtilsC-45Octal-fromOct (lambda (ext-0) (LibrariesC-45UtilsC-45Octal-fromOctChars (PreludeC-45Types-fastUnpack ext-0))))
(define ProtocolC-45Hex-n--4294-5209-u--fromHexCharsC-39 (lambda (arg-0 arg-1) (if (null? arg-1) (box 0) (let ((e-2 (car arg-1))) (let ((e-3 (cdr arg-1))) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (ProtocolC-45Hex-fromHexDigit (PreludeC-45Types-toLower e-2)) (lambda (u--digit) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (ProtocolC-45Hex-n--4294-5209-u--fromHexCharsC-39 (* arg-0 16) e-3) (lambda (u--digits) (box (+ (* u--digit arg-0) u--digits)))))))))))
(define ProtocolC-45Hex-n--4094-5018-u--asHexC-39 (lambda (arg-0 arg-1 arg-2) (cond ((equal? arg-1 0) arg-2)(else (ProtocolC-45Hex-n--4094-5018-u--asHexC-39 arg-0 (blodwen-shr arg-1 (blodwen-toUnsignedInt (ProtocolC-45HexC-45New-i4) 64)) (cons (ProtocolC-45Hex-hexDigit (blodwen-and arg-1 15)) arg-2))))))
(define ProtocolC-45Hex-leftPad (lambda (arg-0 arg-1 arg-2) (let ((sc0 (PreludeC-45Types-u--C-60_Ord_Nat (PreludeC-45TypesC-45String-length arg-2) arg-1))) (cond ((equal? sc0 1) (string-append (PreludeC-45Types-fastPack (DataC-45List-replicateTR '() (PreludeC-45Types-prim__integerToNat (- arg-1 (PreludeC-45TypesC-45String-length arg-2))) arg-0)) arg-2)) (else arg-2)))))
(define ProtocolC-45HexC-45New-i4(blodwen-lazy (lambda () 4)))
(define ProtocolC-45Hex-hexDigit (lambda (arg-0) (cond ((equal? arg-0 0) #\0) ((equal? arg-0 1) #\1) ((equal? arg-0 2) #\2) ((equal? arg-0 3) #\3) ((equal? arg-0 4) #\4) ((equal? arg-0 5) #\5) ((equal? arg-0 6) #\6) ((equal? arg-0 7) #\7) ((equal? arg-0 8) #\8) ((equal? arg-0 9) #\9) ((equal? arg-0 10) #\a) ((equal? arg-0 11) #\b) ((equal? arg-0 12) #\c) ((equal? arg-0 13) #\d) ((equal? arg-0 14) #\e) ((equal? arg-0 15) #\f)(else #\X))))
(define ProtocolC-45Hex-fromHexDigit (lambda (arg-0) (cond ((equal? arg-0 #\0) (box 0)) ((equal? arg-0 #\1) (box 1)) ((equal? arg-0 #\2) (box 2)) ((equal? arg-0 #\3) (box 3)) ((equal? arg-0 #\4) (box 4)) ((equal? arg-0 #\5) (box 5)) ((equal? arg-0 #\6) (box 6)) ((equal? arg-0 #\7) (box 7)) ((equal? arg-0 #\8) (box 8)) ((equal? arg-0 #\9) (box 9)) ((equal? arg-0 #\a) (box 10)) ((equal? arg-0 #\b) (box 11)) ((equal? arg-0 #\c) (box 12)) ((equal? arg-0 #\d) (box 13)) ((equal? arg-0 #\e) (box 14)) ((equal? arg-0 #\f) (box 15))(else '()))))
(define ProtocolC-45Hex-fromHexChars (lambda (ext-0) (ProtocolC-45Hex-n--4294-5209-u--fromHexCharsC-39 1 ext-0)))
(define ProtocolC-45Hex-fromHex (lambda (ext-0) (ProtocolC-45Hex-fromHexChars (PreludeC-45Types-fastUnpack ext-0))))
(define ProtocolC-45Hex-asHex (lambda (arg-0) (cond ((equal? arg-0 0) "0")(else (PreludeC-45Types-fastPack (ProtocolC-45Hex-n--4094-5018-u--asHexC-39 arg-0 arg-0 '()))))))
(define LibrariesC-45TextC-45LexerC-45Tokenizer-case--tokeniseC-44getFirstMatch-6254 (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10) (case (vector-ref arg-10 0) ((1) (let ((e-2 (vector-ref arg-10 1))) (vector 1 e-2))) (else (let ((e-5 (vector-ref arg-10 1))) (case (vector-ref e-5 0) ((2) (vector 0 e-5))(else (LibrariesC-45TextC-45LexerC-45Tokenizer-n--4160-5409-u--getFirstMatch arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 (arg-7) arg-9))))))))
(define LibrariesC-45TextC-45LexerC-45Tokenizer-case--caseC-32blockC-32inC-32caseC-32blockC-32inC-32caseC-32blockC-32inC-32tokeniseC-44getFirstMatch-6017 (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20 arg-21 arg-22 arg-23 arg-24 arg-25 arg-26 arg-27 arg-28) (if (null? arg-28) (vector 0 (vector 2 (cons arg-4 arg-3) (cons arg-16 arg-17))) (let ((e-1 (unbox arg-28))) (if (null? e-1) (vector 0 (vector 2 (cons arg-4 arg-3) (cons arg-16 arg-17))) (let ((e-4 (car e-1))) (let ((e-5 (cdr e-1))) (if (null? e-5) (vector 0 (vector 2 (cons arg-4 arg-3) (cons arg-16 arg-17))) (let ((e-8 (car e-5))) (let ((e-9 (cdr e-5))) (if (null? e-9) (vector 0 (vector 2 (cons arg-4 arg-3) (cons arg-16 arg-17))) (let ((e-12 (car e-9))) (let ((e-13 (cdr e-9))) (let ((u--endTokC-39C-39 (vector (arg-8 e-4) 0 (vector arg-24 arg-25 e-8 e-12)))) (vector 1 (cons (PreludeC-45TypesC-45List-tailRecAppend (cons u--endTokC-39C-39 '()) (PreludeC-45TypesC-45List-tailRecAppend (PreludeC-45TypesC-45List-reverse arg-22) (cons arg-21 '()))) (cons e-8 (cons e-12 e-13))))))))))))))))))
(define LibrariesC-45TextC-45LexerC-45Tokenizer-case--tokeniseC-44getFirstMatch-5737 (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15) (if (null? arg-15) (vector 0 (vector 1 )) (let ((e-1 (unbox arg-15))) (let ((e-5 (car e-1))) (let ((e-6 (cdr e-1))) (let ((e-9 (car e-6))) (let ((e-10 (cdr e-6))) (let ((e-13 (car e-10))) (let ((e-14 (cdr e-10))) (let ((u--tag (arg-11 e-5))) (let ((u--middle ((arg-10) u--tag))) (let ((u--end (arg-9 u--tag))) (let ((u--beginTokC-39C-39 (vector (arg-12 e-5) 0 (vector arg-4 arg-3 e-9 e-13)))) (let ((sc4 (LibrariesC-45TextC-45LexerC-45Tokenizer-tokenise u--end u--middle e-9 e-13 '() e-14))) (let ((e-2 (car sc4))) (let ((e-3 (cdr sc4))) (let ((e-8 (car e-3))) (let ((e-7 (cdr e-3))) (let ((e-12 (car e-7))) (let ((e-11 (cdr e-7))) (let ((e-16 (car e-11))) (let ((e-15 (cdr e-11))) (case (vector-ref e-8 0) ((2) (vector 0 e-8))(else (LibrariesC-45TextC-45LexerC-45Tokenizer-case--caseC-32blockC-32inC-32caseC-32blockC-32inC-32caseC-32blockC-32inC-32tokeniseC-44getFirstMatch-6017 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 e-5 e-9 e-13 e-14 u--middle u--end u--beginTokC-39C-39 e-2 e-8 e-12 e-16 e-15 u--tag (LibrariesC-45TextC-45LexerC-45Tokenizer-n--4160-5408-u--getNext arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 u--end e-12 e-16 e-15)))))))))))))))))))))))))))
(define LibrariesC-45TextC-45LexerC-45Tokenizer-case--tokeniseC-44getFirstMatch-5637 (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10) (if (null? arg-10) (vector 0 (vector 1 )) (let ((e-1 (unbox arg-10))) (if (null? e-1) (vector 0 (vector 1 )) (let ((e-4 (car e-1))) (let ((e-5 (cdr e-1))) (if (null? e-5) (vector 0 (vector 1 )) (let ((e-8 (car e-5))) (let ((e-9 (cdr e-5))) (if (null? e-9) (vector 0 (vector 1 )) (let ((e-12 (car e-9))) (let ((e-13 (cdr e-9))) (let ((u--tokC-39 (vector (arg-7 e-4) 0 (vector arg-4 arg-3 e-8 e-12)))) (vector 1 (cons (cons u--tokC-39 '()) (cons e-8 (cons e-12 e-13))))))))))))))))))
(define LibrariesC-45TextC-45LexerC-45Tokenizer-case--tokeniseC-44getNext-5534 (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11) (if (null? arg-11) '() (let ((e-1 (unbox arg-11))) (if (null? e-1) '() (let ((e-4 (car e-1))) (let ((e-5 (cdr e-1))) (let ((u--lineC-39 (bs+ arg-9 (blodwen-toSignedInt (LibrariesC-45TextC-45LexerC-45Tokenizer-n--4160-5406-u--countNLs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-4) 63) 63))) (let ((u--colC-39 (LibrariesC-45TextC-45LexerC-45Tokenizer-n--4160-5407-u--getCols arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-4 arg-8))) (let ((u--tokenStr (PreludeC-45Types-fastPack (PreludeC-45TypesC-45List-reverse e-4)))) (box (cons u--tokenStr (cons u--lineC-39 (cons u--colC-39 e-5))))))))))))))
(define LibrariesC-45TextC-45LexerC-45Tokenizer-n--4160-5408-u--getNext (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10) (LibrariesC-45TextC-45LexerC-45Tokenizer-case--tokeniseC-44getNext-5534 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-10 arg-9 arg-8 arg-7 (LibrariesC-45TextC-45LexerC-45Core-scan arg-7 '() arg-10))))
(define LibrariesC-45TextC-45LexerC-45Tokenizer-n--4160-5409-u--getFirstMatch (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8) (case (vector-ref arg-7 0) ((0) (let ((e-1 (vector-ref arg-7 1))) (let ((e-2 (vector-ref arg-7 2))) (LibrariesC-45TextC-45LexerC-45Tokenizer-case--tokeniseC-44getFirstMatch-5637 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-2 e-1 arg-8 (LibrariesC-45TextC-45LexerC-45Tokenizer-n--4160-5408-u--getNext arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-1 arg-4 arg-3 arg-8))))) ((1) (let ((e-5 (vector-ref arg-7 1))) (let ((e-6 (vector-ref arg-7 2))) (let ((e-7 (vector-ref arg-7 3))) (let ((e-8 (vector-ref arg-7 4))) (let ((e-9 (vector-ref arg-7 5))) (let ((e-10 (vector-ref arg-7 6))) (LibrariesC-45TextC-45LexerC-45Tokenizer-case--tokeniseC-44getFirstMatch-5737 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-10 e-9 e-8 e-7 e-6 e-5 arg-8 (LibrariesC-45TextC-45LexerC-45Tokenizer-n--4160-5408-u--getNext arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-5 arg-4 arg-3 arg-8))))))))) (else (let ((e-12 (vector-ref arg-7 1))) (let ((e-13 (vector-ref arg-7 2))) (LibrariesC-45TextC-45LexerC-45Tokenizer-case--tokeniseC-44getFirstMatch-6254 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-13 e-12 arg-8 (LibrariesC-45TextC-45LexerC-45Tokenizer-n--4160-5409-u--getFirstMatch arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-12 arg-8))))))))
(define LibrariesC-45TextC-45LexerC-45Tokenizer-n--4160-5407-u--getCols (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8) (let ((sc0 (DataC-45List-span (csegen-819) arg-7))) (let ((e-2 (car sc0))) (let ((e-3 (cdr sc0))) (if (null? e-3) (bs+ arg-8 (blodwen-toSignedInt (PreludeC-45TypesC-45List-lengthTR e-2) 63) 63) (blodwen-toSignedInt (PreludeC-45TypesC-45List-lengthTR e-2) 63)))))))
(define LibrariesC-45TextC-45LexerC-45Tokenizer-n--4160-5406-u--countNLs (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (PreludeC-45TypesC-45List-lengthTR (PreludeC-45TypesC-45List-filterAppend '() (csegen-820) arg-7))))
(define LibrariesC-45TextC-45LexerC-45Tokenizer-tokenise (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (if (null? arg-6) (cons (PreludeC-45TypesC-45List-reverse arg-5) (cons (vector 0 ) (cons arg-3 (cons arg-4 '())))) (let ((sc1 (LibrariesC-45TextC-45LexerC-45Core-scan arg-1 '() arg-6))) (if (null? sc1) (let ((sc2 (LibrariesC-45TextC-45LexerC-45Tokenizer-n--4160-5409-u--getFirstMatch arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 arg-2 arg-6))) (case (vector-ref sc2 0) ((1) (let ((e-2 (vector-ref sc2 1))) (let ((e-8 (car e-2))) (let ((e-9 (cdr e-2))) (let ((e-12 (car e-9))) (let ((e-13 (cdr e-9))) (let ((e-16 (car e-13))) (let ((e-17 (cdr e-13))) (LibrariesC-45TextC-45LexerC-45Tokenizer-tokenise arg-1 arg-2 e-12 e-16 (PreludeC-45TypesC-45List-tailRecAppend e-8 arg-5) e-17))))))))) (else (let ((e-5 (vector-ref sc2 1))) (cons (PreludeC-45TypesC-45List-reverse arg-5) (cons e-5 (cons arg-3 (cons arg-4 arg-6)))))))) (cons (PreludeC-45TypesC-45List-reverse arg-5) (cons (vector 0 ) (cons arg-3 (cons arg-4 arg-6)))))))))
(define LibrariesC-45TextC-45LexerC-45Tokenizer-match (lambda (ext-0 ext-1) (vector 0 ext-0 ext-1)))
(define LibrariesC-45TextC-45LexerC-45Tokenizer-lexTo (lambda (arg-1 arg-2 arg-3) (let ((sc0 (LibrariesC-45TextC-45LexerC-45Tokenizer-tokenise arg-1 arg-2 0 0 '() (PreludeC-45Types-fastUnpack arg-3)))) (let ((e-2 (car sc0))) (let ((e-3 (cdr sc0))) (let ((e-6 (car e-3))) (let ((e-7 (cdr e-3))) (let ((e-10 (car e-7))) (let ((e-11 (cdr e-7))) (let ((e-14 (car e-11))) (let ((e-15 (cdr e-11))) (cons e-2 (cons e-6 (cons e-10 (cons e-14 (PreludeC-45Types-fastPack e-15))))))))))))))))
(define LibrariesC-45TextC-45LexerC-45Tokenizer-lex (lambda (arg-1 arg-2) (LibrariesC-45TextC-45LexerC-45Tokenizer-lexTo (LibrariesC-45TextC-45LexerC-45Core-pred (lambda (eta-0) 0)) arg-1 arg-2)))
(define LibrariesC-45TextC-45LexerC-45Tokenizer-compose (lambda (ext-0 ext-1 ext-2 ext-3 ext-4 ext-5) (vector 1 ext-0 ext-1 ext-2 ext-3 ext-4 ext-5)))
(define LibrariesC-45TextC-45LexerC-45Tokenizer-C-60C-124C-62 (lambda (ext-0 ext-1) (vector 2 ext-0 ext-1)))
(define ParserC-45LexerC-45Common-spacesOrNewlines(blodwen-lazy (lambda () (LibrariesC-45TextC-45Lexer-some (LibrariesC-45TextC-45LexerC-45Core-C-60C-124C-62 (LibrariesC-45TextC-45Lexer-space) (LibrariesC-45TextC-45Lexer-newline))))))
(define ParserC-45LexerC-45Common-namespacedIdent(blodwen-lazy (lambda () (vector 5 (ParserC-45LexerC-45Common-namespaceIdent) (lambda () (LibrariesC-45TextC-45Lexer-opt (csegen-551)))))))
(define ParserC-45LexerC-45Common-namespaceIdent(blodwen-lazy (lambda () (vector 5 (csegen-920) (lambda () (LibrariesC-45TextC-45Lexer-many (vector 5 (vector 5 (LibrariesC-45TextC-45Lexer-is #\.) (lambda () (csegen-920))) (lambda () (LibrariesC-45TextC-45LexerC-45Core-expect (LibrariesC-45TextC-45Lexer-is #\.))))))))))
(define ParserC-45LexerC-45Common-isIdentTrailing (lambda (arg-0 arg-1) (cond ((equal? arg-0 0) (cond ((equal? arg-1 #\-) 1)(else (cond ((equal? arg-1 #\') 1) ((equal? arg-1 #\_) 1)(else (let ((sc1 (PreludeC-45Types-isAlphaNum arg-1))) (cond ((equal? sc1 1) 1) (else (PreludeC-45EqOrd-u--C-62_Ord_Char arg-1 (cast-int-char (blodwen-toSignedInt 160 63)))))))))))(else (cond ((equal? arg-1 #\') 1) ((equal? arg-1 #\_) 1)(else (let ((sc0 (PreludeC-45Types-isAlphaNum arg-1))) (cond ((equal? sc0 1) 1) (else (PreludeC-45EqOrd-u--C-62_Ord_Char arg-1 (cast-int-char (blodwen-toSignedInt 160 63))))))))))))
(define ParserC-45LexerC-45Common-isIdentStart (lambda (arg-0 arg-1) (cond ((equal? arg-1 #\_) 1)(else (cond ((equal? arg-0 1) (let ((sc1 (PreludeC-45Types-isUpper arg-1))) (cond ((equal? sc1 1) 1) (else (PreludeC-45EqOrd-u--C-62_Ord_Char arg-1 (cast-int-char (blodwen-toSignedInt 160 63)))))))(else (let ((sc0 (PreludeC-45Types-isAlpha arg-1))) (cond ((equal? sc0 1) 1) (else (PreludeC-45EqOrd-u--C-62_Ord_Char arg-1 (cast-int-char (blodwen-toSignedInt 160 63))))))))))))
(define ParserC-45LexerC-45Common-isIdentNormal (lambda (ext-0) (let ((sc0 (PreludeC-45Types-fastUnpack ext-0))) (if (null? sc0) 0 (let ((e-2 (car sc0))) (let ((e-3 (cdr sc0))) (let ((sc1 (ParserC-45LexerC-45Common-isIdentStart 2 e-2))) (cond ((equal? sc1 1) (PreludeC-45Interfaces-all (csegen-16) (csegen-926) e-3)) (else 0)))))))))
(define ParserC-45LexerC-45Common-identNormal(blodwen-lazy (lambda () (vector 5 (LibrariesC-45TextC-45LexerC-45Core-pred (lambda (eta-0) (ParserC-45LexerC-45Common-isIdentStart 2 eta-0))) (lambda () (LibrariesC-45TextC-45Lexer-many (LibrariesC-45TextC-45LexerC-45Core-pred (csegen-926))))))))
(define ParserC-45LexerC-45Common-identAllowDashes(blodwen-lazy (lambda () (vector 5 (LibrariesC-45TextC-45LexerC-45Core-pred (lambda (eta-0) (ParserC-45LexerC-45Common-isIdentStart 0 eta-0))) (lambda () (LibrariesC-45TextC-45Lexer-many (LibrariesC-45TextC-45LexerC-45Core-pred (csegen-934))))))))
(define ParserC-45LexerC-45Common-comment(blodwen-lazy (lambda () (vector 5 (vector 5 (vector 5 (vector 5 (LibrariesC-45TextC-45Lexer-is #\-) (lambda () (LibrariesC-45TextC-45Lexer-is #\-))) (lambda () (csegen-405))) (lambda () (LibrariesC-45TextC-45LexerC-45Core-reject (LibrariesC-45TextC-45Lexer-is #\})))) (lambda () (csegen-550))))))
(define LibrariesC-45DataC-45StringMap-n--5233-3210-u--treeToListC-39 (lambda (arg-3 arg-4) (case (vector-ref arg-4 0) ((0) (let ((e-1 (vector-ref arg-4 1))) (let ((e-2 (vector-ref arg-4 2))) (arg-3 (cons e-1 e-2))))) ((1) (let ((e-5 (vector-ref arg-4 1))) (let ((e-7 (vector-ref arg-4 3))) (LibrariesC-45DataC-45StringMap-n--5233-3210-u--treeToListC-39 (lambda (arg-0) (cons arg-0 (LibrariesC-45DataC-45StringMap-n--5233-3210-u--treeToListC-39 arg-3 e-7))) e-5)))) (else (let ((e-10 (vector-ref arg-4 1))) (let ((e-12 (vector-ref arg-4 3))) (let ((e-14 (vector-ref arg-4 5))) (LibrariesC-45DataC-45StringMap-n--5233-3210-u--treeToListC-39 (lambda (arg-0) (cons arg-0 (LibrariesC-45DataC-45StringMap-n--5233-3210-u--treeToListC-39 (lambda (arg-1) (cons arg-1 (LibrariesC-45DataC-45StringMap-n--5233-3210-u--treeToListC-39 arg-3 e-14))) e-12))) e-10))))))))
(define LibrariesC-45DataC-45StringMap-n--5805-3792-u--inserted (lambda (arg-1 arg-2 arg-3) (PreludeC-45Types-listBind (LibrariesC-45DataC-45StringMap-toList arg-1) (lambda (_-0) (let ((e-2 (car _-0))) (let ((e-3 (cdr _-0))) (let ((u--vC-39 ((PreludeC-45Types-maybe (lambda () (lambda (eta-0) eta-0)) (lambda () arg-3) (LibrariesC-45DataC-45StringMap-lookup e-2 arg-2)) e-3))) (PreludeC-45Types-u--pure_Applicative_List (cons e-2 u--vC-39)))))))))
(define LibrariesC-45DataC-45StringMap-treeToList (lambda (ext-0) (LibrariesC-45DataC-45StringMap-n--5233-3210-u--treeToListC-39 (lambda (arg-0) (cons arg-0 '())) ext-0)))
(define LibrariesC-45DataC-45StringMap-treeLookup (lambda (arg-2 arg-3) (case (vector-ref arg-3 0) ((0) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((sc1 (PreludeC-45EqOrd-u--C-61C-61_Eq_String arg-2 e-1))) (cond ((equal? sc1 1) (box e-2)) (else '())))))) ((1) (let ((e-5 (vector-ref arg-3 1))) (let ((e-6 (vector-ref arg-3 2))) (let ((e-7 (vector-ref arg-3 3))) (let ((sc1 (PreludeC-45EqOrd-u--C-60C-61_Ord_String arg-2 e-6))) (cond ((equal? sc1 1) (LibrariesC-45DataC-45StringMap-treeLookup arg-2 e-5)) (else (LibrariesC-45DataC-45StringMap-treeLookup arg-2 e-7)))))))) (else (let ((e-10 (vector-ref arg-3 1))) (let ((e-11 (vector-ref arg-3 2))) (let ((e-12 (vector-ref arg-3 3))) (let ((e-13 (vector-ref arg-3 4))) (let ((e-14 (vector-ref arg-3 5))) (let ((sc1 (PreludeC-45EqOrd-u--C-60C-61_Ord_String arg-2 e-11))) (cond ((equal? sc1 1) (LibrariesC-45DataC-45StringMap-treeLookup arg-2 e-10)) (else (let ((sc2 (PreludeC-45EqOrd-u--C-60C-61_Ord_String arg-2 e-13))) (cond ((equal? sc2 1) (LibrariesC-45DataC-45StringMap-treeLookup arg-2 e-12)) (else (LibrariesC-45DataC-45StringMap-treeLookup arg-2 e-14))))))))))))))))
(define LibrariesC-45DataC-45StringMap-treeInsertC-39 (lambda (arg-2 arg-3 arg-4) (case (vector-ref arg-4 0) ((0) (let ((e-1 (vector-ref arg-4 1))) (let ((e-2 (vector-ref arg-4 2))) (let ((sc1 (PreludeC-45EqOrd-u--compare_Ord_String arg-2 e-1))) (cond ((equal? sc1 0) (vector 1 (cons (vector 0 arg-2 arg-3) (cons arg-2 (vector 0 e-1 e-2))))) ((equal? sc1 1) (vector 0 (vector 0 arg-2 arg-3))) (else (vector 1 (cons (vector 0 e-1 e-2) (cons e-1 (vector 0 arg-2 arg-3)))))))))) ((1) (let ((e-5 (vector-ref arg-4 1))) (let ((e-6 (vector-ref arg-4 2))) (let ((e-7 (vector-ref arg-4 3))) (let ((sc1 (PreludeC-45EqOrd-u--C-60C-61_Ord_String arg-2 e-6))) (cond ((equal? sc1 1) (let ((sc2 (LibrariesC-45DataC-45StringMap-treeInsertC-39 arg-2 arg-3 e-5))) (case (vector-ref sc2 0) ((0) (let ((e-2 (vector-ref sc2 1))) (vector 0 (vector 1 e-2 e-6 e-7)))) (else (let ((e-8 (vector-ref sc2 1))) (let ((e-10 (car e-8))) (let ((e-9 (cdr e-8))) (let ((e-12 (car e-9))) (let ((e-13 (cdr e-9))) (vector 0 (vector 2 e-10 e-12 e-13 e-6 e-7))))))))))) (else (let ((sc2 (LibrariesC-45DataC-45StringMap-treeInsertC-39 arg-2 arg-3 e-7))) (case (vector-ref sc2 0) ((0) (let ((e-2 (vector-ref sc2 1))) (vector 0 (vector 1 e-5 e-6 e-2)))) (else (let ((e-8 (vector-ref sc2 1))) (let ((e-10 (car e-8))) (let ((e-9 (cdr e-8))) (let ((e-12 (car e-9))) (let ((e-13 (cdr e-9))) (vector 0 (vector 2 e-5 e-6 e-10 e-12 e-13))))))))))))))))) (else (let ((e-10 (vector-ref arg-4 1))) (let ((e-11 (vector-ref arg-4 2))) (let ((e-12 (vector-ref arg-4 3))) (let ((e-13 (vector-ref arg-4 4))) (let ((e-14 (vector-ref arg-4 5))) (let ((sc1 (PreludeC-45EqOrd-u--C-60C-61_Ord_String arg-2 e-11))) (cond ((equal? sc1 1) (let ((sc2 (LibrariesC-45DataC-45StringMap-treeInsertC-39 arg-2 arg-3 e-10))) (case (vector-ref sc2 0) ((0) (let ((e-2 (vector-ref sc2 1))) (vector 0 (vector 2 e-2 e-11 e-12 e-13 e-14)))) (else (let ((e-5 (vector-ref sc2 1))) (let ((e-8 (car e-5))) (let ((e-9 (cdr e-5))) (let ((e-16 (car e-9))) (let ((e-15 (cdr e-9))) (vector 1 (cons (vector 1 e-8 e-16 e-15) (cons e-11 (vector 1 e-12 e-13 e-14))))))))))))) (else (let ((sc2 (PreludeC-45EqOrd-u--C-60C-61_Ord_String arg-2 e-13))) (cond ((equal? sc2 1) (let ((sc3 (LibrariesC-45DataC-45StringMap-treeInsertC-39 arg-2 arg-3 e-12))) (case (vector-ref sc3 0) ((0) (let ((e-2 (vector-ref sc3 1))) (vector 0 (vector 2 e-10 e-11 e-2 e-13 e-14)))) (else (let ((e-5 (vector-ref sc3 1))) (let ((e-8 (car e-5))) (let ((e-9 (cdr e-5))) (let ((e-16 (car e-9))) (let ((e-15 (cdr e-9))) (vector 1 (cons (vector 1 e-10 e-11 e-8) (cons e-16 (vector 1 e-15 e-13 e-14))))))))))))) (else (let ((sc3 (LibrariesC-45DataC-45StringMap-treeInsertC-39 arg-2 arg-3 e-14))) (case (vector-ref sc3 0) ((0) (let ((e-2 (vector-ref sc3 1))) (vector 0 (vector 2 e-10 e-11 e-12 e-13 e-2)))) (else (let ((e-5 (vector-ref sc3 1))) (let ((e-8 (car e-5))) (let ((e-9 (cdr e-5))) (let ((e-16 (car e-9))) (let ((e-15 (cdr e-9))) (vector 1 (cons (vector 1 e-10 e-11 e-12) (cons e-13 (vector 1 e-8 e-16 e-15)))))))))))))))))))))))))))
(define LibrariesC-45DataC-45StringMap-treeInsert (lambda (arg-2 arg-3 arg-4) (let ((sc0 (LibrariesC-45DataC-45StringMap-treeInsertC-39 arg-2 arg-3 arg-4))) (case (vector-ref sc0 0) ((0) (let ((e-2 (vector-ref sc0 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref sc0 1))) (let ((e-8 (car e-5))) (let ((e-9 (cdr e-5))) (let ((e-12 (car e-9))) (let ((e-13 (cdr e-9))) (vector 1 (vector 1 e-8 e-12 e-13))))))))))))
(define LibrariesC-45DataC-45StringMap-toList (lambda (arg-1) (if (null? arg-1) '() (let ((e-3 (cdr arg-1))) (LibrariesC-45DataC-45StringMap-treeToList e-3)))))
(define LibrariesC-45DataC-45StringMap-singleton (lambda (arg-1 arg-2) (cons 0 (vector 0 arg-1 arg-2))))
(define LibrariesC-45DataC-45StringMap-mergeWith (lambda (arg-1 arg-2 arg-3) (LibrariesC-45DataC-45StringMap-insertFrom (LibrariesC-45DataC-45StringMap-n--5805-3792-u--inserted arg-3 arg-2 arg-1) arg-2)))
(define LibrariesC-45DataC-45StringMap-mergeLeft (lambda (arg-1 arg-2) (LibrariesC-45DataC-45StringMap-mergeWith (lambda (eta-0) (lambda (eta-1) eta-0)) arg-1 arg-2)))
(define LibrariesC-45DataC-45StringMap-lookup (lambda (arg-1 arg-2) (if (null? arg-2) '() (let ((e-3 (cdr arg-2))) (LibrariesC-45DataC-45StringMap-treeLookup arg-1 e-3)))))
(define LibrariesC-45DataC-45StringMap-insertFrom (lambda (ext-0 ext-1) (PreludeC-45Basics-flip (lambda (eta-0) (lambda (clam-0) (PreludeC-45Types-u--foldl_Foldable_List (csegen-945) eta-0 clam-0))) ext-0 ext-1)))
(define LibrariesC-45DataC-45StringMap-insert (lambda (arg-1 arg-2 arg-3) (if (null? arg-3) (cons 0 (vector 0 arg-1 arg-2)) (let ((e-2 (car arg-3))) (let ((e-3 (cdr arg-3))) (let ((sc1 (LibrariesC-45DataC-45StringMap-treeInsert arg-1 arg-2 e-3))) (case (vector-ref sc1 0) ((0) (let ((e-4 (vector-ref sc1 1))) (cons e-2 e-4))) (else (let ((e-5 (vector-ref sc1 1))) (cons (+ e-2 1) e-5))))))))))
(define LibrariesC-45DataC-45StringMap-fromList (lambda (arg-1) (PreludeC-45Types-u--foldl_Foldable_List (csegen-945) (LibrariesC-45DataC-45StringMap-empty) arg-1)))
(define LibrariesC-45DataC-45StringMap-empty(blodwen-lazy (lambda () '())))
(define LibrariesC-45DataC-45SortedMap-n--6479-4348-u--treeToListC-39 (lambda (arg-5 arg-6) (case (vector-ref arg-6 0) ((0) (let ((e-3 (vector-ref arg-6 1))) (let ((e-4 (vector-ref arg-6 2))) (arg-5 (cons e-3 e-4))))) ((1) (let ((e-9 (vector-ref arg-6 1))) (let ((e-11 (vector-ref arg-6 3))) (LibrariesC-45DataC-45SortedMap-n--6479-4348-u--treeToListC-39 (lambda (arg-0) (cons arg-0 (LibrariesC-45DataC-45SortedMap-n--6479-4348-u--treeToListC-39 arg-5 e-11))) e-9)))) (else (let ((e-16 (vector-ref arg-6 1))) (let ((e-18 (vector-ref arg-6 3))) (let ((e-20 (vector-ref arg-6 5))) (LibrariesC-45DataC-45SortedMap-n--6479-4348-u--treeToListC-39 (lambda (arg-0) (cons arg-0 (LibrariesC-45DataC-45SortedMap-n--6479-4348-u--treeToListC-39 (lambda (arg-1) (cons arg-1 (LibrariesC-45DataC-45SortedMap-n--6479-4348-u--treeToListC-39 arg-5 e-20))) e-18))) e-16))))))))
(define LibrariesC-45DataC-45SortedMap-n--8012-5915-u--inserted (lambda (arg-2 arg-3 arg-4) (PreludeC-45Types-listBind (LibrariesC-45DataC-45SortedMap-toList arg-2) (lambda (_-0) (let ((e-2 (car _-0))) (let ((e-3 (cdr _-0))) (let ((u--vC-39 ((PreludeC-45Types-maybe (lambda () (lambda (eta-0) eta-0)) (lambda () arg-4) (LibrariesC-45DataC-45SortedMap-lookup e-2 arg-3)) e-3))) (PreludeC-45Types-u--pure_Applicative_List (cons e-2 u--vC-39)))))))))
(define LibrariesC-45DataC-45SortedMap-u--show_Show_C-40C-40SortedMapC-32C-36kC-41C-32C-36vC-41 (lambda (arg-2 arg-3) (string-append "fromList " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (cons (lambda (u--x) (PreludeC-45Show-u--show_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 arg-2 u--x)) (lambda (u--d) (lambda (u--x) (PreludeC-45Show-u--showPrec_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 arg-2 u--d u--x)))) (LibrariesC-45DataC-45SortedMap-toList arg-3)))))
(define LibrariesC-45DataC-45SortedMap-u--null_Foldable_C-40SortedMapC-32C-36kC-41 (lambda (arg-2) (case (vector-ref arg-2 0) ((0) 1) (else 0))))
(define LibrariesC-45DataC-45SortedMap-u--map_Functor_C-40SortedMapC-32C-36kC-41 (lambda (arg-3 arg-4) (case (vector-ref arg-4 0) ((0) (let ((e-2 (vector-ref arg-4 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref arg-4 1))) (let ((e-6 (vector-ref arg-4 2))) (let ((e-7 (vector-ref arg-4 3))) (vector 1 e-5 e-6 (LibrariesC-45DataC-45SortedMap-treeMap arg-3 e-7)))))))))
(define LibrariesC-45DataC-45SortedMap-values (lambda (ext-0) ((csegen-947) (LibrariesC-45DataC-45SortedMap-toList ext-0))))
(define LibrariesC-45DataC-45SortedMap-treeToList (lambda (ext-0) (LibrariesC-45DataC-45SortedMap-n--6479-4348-u--treeToListC-39 (lambda (arg-0) (cons arg-0 '())) ext-0)))
(define LibrariesC-45DataC-45SortedMap-treeMap (lambda (arg-5 arg-6) (case (vector-ref arg-6 0) ((0) (let ((e-3 (vector-ref arg-6 1))) (let ((e-4 (vector-ref arg-6 2))) (vector 0 e-3 (arg-5 e-4))))) ((1) (let ((e-9 (vector-ref arg-6 1))) (let ((e-10 (vector-ref arg-6 2))) (let ((e-11 (vector-ref arg-6 3))) (vector 1 (LibrariesC-45DataC-45SortedMap-treeMap arg-5 e-9) e-10 (LibrariesC-45DataC-45SortedMap-treeMap arg-5 e-11)))))) (else (let ((e-16 (vector-ref arg-6 1))) (let ((e-17 (vector-ref arg-6 2))) (let ((e-18 (vector-ref arg-6 3))) (let ((e-19 (vector-ref arg-6 4))) (let ((e-20 (vector-ref arg-6 5))) (vector 2 (LibrariesC-45DataC-45SortedMap-treeMap arg-5 e-16) e-17 (LibrariesC-45DataC-45SortedMap-treeMap arg-5 e-18) e-19 (LibrariesC-45DataC-45SortedMap-treeMap arg-5 e-20)))))))))))
(define LibrariesC-45DataC-45SortedMap-treeLookup (lambda (arg-4 arg-5 arg-6) (case (vector-ref arg-6 0) ((0) (let ((e-3 (vector-ref arg-6 1))) (let ((e-4 (vector-ref arg-6 2))) (let ((sc1 (let ((e-1 (vector-ref arg-4 0))) (let ((e-12 (car e-1))) ((e-12 arg-5) e-3))))) (cond ((equal? sc1 1) (box e-4)) (else '())))))) ((1) (let ((e-9 (vector-ref arg-6 1))) (let ((e-10 (vector-ref arg-6 2))) (let ((e-11 (vector-ref arg-6 3))) (let ((sc1 (let ((e-5 (vector-ref arg-4 4))) ((e-5 arg-5) e-10)))) (cond ((equal? sc1 1) (LibrariesC-45DataC-45SortedMap-treeLookup arg-4 arg-5 e-9)) (else (LibrariesC-45DataC-45SortedMap-treeLookup arg-4 arg-5 e-11)))))))) (else (let ((e-16 (vector-ref arg-6 1))) (let ((e-17 (vector-ref arg-6 2))) (let ((e-18 (vector-ref arg-6 3))) (let ((e-19 (vector-ref arg-6 4))) (let ((e-20 (vector-ref arg-6 5))) (let ((sc1 (let ((e-5 (vector-ref arg-4 4))) ((e-5 arg-5) e-17)))) (cond ((equal? sc1 1) (LibrariesC-45DataC-45SortedMap-treeLookup arg-4 arg-5 e-16)) (else (let ((sc2 (let ((e-5 (vector-ref arg-4 4))) ((e-5 arg-5) e-19)))) (cond ((equal? sc2 1) (LibrariesC-45DataC-45SortedMap-treeLookup arg-4 arg-5 e-18)) (else (LibrariesC-45DataC-45SortedMap-treeLookup arg-4 arg-5 e-20))))))))))))))))
(define LibrariesC-45DataC-45SortedMap-treeInsertC-39 (lambda (arg-4 arg-5 arg-6 arg-7) (case (vector-ref arg-7 0) ((0) (let ((e-3 (vector-ref arg-7 1))) (let ((e-4 (vector-ref arg-7 2))) (let ((sc1 (let ((e-2 (vector-ref arg-4 1))) ((e-2 arg-5) e-3)))) (cond ((equal? sc1 0) (vector 1 (cons (vector 0 arg-5 arg-6) (cons arg-5 (vector 0 e-3 e-4))))) ((equal? sc1 1) (vector 0 (vector 0 arg-5 arg-6))) (else (vector 1 (cons (vector 0 e-3 e-4) (cons e-3 (vector 0 arg-5 arg-6)))))))))) ((1) (let ((e-9 (vector-ref arg-7 1))) (let ((e-10 (vector-ref arg-7 2))) (let ((e-11 (vector-ref arg-7 3))) (let ((sc1 (let ((e-5 (vector-ref arg-4 4))) ((e-5 arg-5) e-10)))) (cond ((equal? sc1 1) (let ((sc2 (LibrariesC-45DataC-45SortedMap-treeInsertC-39 arg-4 arg-5 arg-6 e-9))) (case (vector-ref sc2 0) ((0) (let ((e-2 (vector-ref sc2 1))) (vector 0 (vector 1 e-2 e-10 e-11)))) (else (let ((e-5 (vector-ref sc2 1))) (let ((e-8 (car e-5))) (let ((e-12 (cdr e-5))) (let ((e-14 (car e-12))) (let ((e-13 (cdr e-12))) (vector 0 (vector 2 e-8 e-14 e-13 e-10 e-11))))))))))) (else (let ((sc2 (LibrariesC-45DataC-45SortedMap-treeInsertC-39 arg-4 arg-5 arg-6 e-11))) (case (vector-ref sc2 0) ((0) (let ((e-2 (vector-ref sc2 1))) (vector 0 (vector 1 e-9 e-10 e-2)))) (else (let ((e-5 (vector-ref sc2 1))) (let ((e-8 (car e-5))) (let ((e-12 (cdr e-5))) (let ((e-14 (car e-12))) (let ((e-13 (cdr e-12))) (vector 0 (vector 2 e-9 e-10 e-8 e-14 e-13))))))))))))))))) (else (let ((e-16 (vector-ref arg-7 1))) (let ((e-17 (vector-ref arg-7 2))) (let ((e-18 (vector-ref arg-7 3))) (let ((e-19 (vector-ref arg-7 4))) (let ((e-20 (vector-ref arg-7 5))) (let ((sc1 (let ((e-5 (vector-ref arg-4 4))) ((e-5 arg-5) e-17)))) (cond ((equal? sc1 1) (let ((sc2 (LibrariesC-45DataC-45SortedMap-treeInsertC-39 arg-4 arg-5 arg-6 e-16))) (case (vector-ref sc2 0) ((0) (let ((e-2 (vector-ref sc2 1))) (vector 0 (vector 2 e-2 e-17 e-18 e-19 e-20)))) (else (let ((e-5 (vector-ref sc2 1))) (let ((e-8 (car e-5))) (let ((e-9 (cdr e-5))) (let ((e-12 (car e-9))) (let ((e-13 (cdr e-9))) (vector 1 (cons (vector 1 e-8 e-12 e-13) (cons e-17 (vector 1 e-18 e-19 e-20))))))))))))) (else (let ((sc2 (let ((e-5 (vector-ref arg-4 4))) ((e-5 arg-5) e-19)))) (cond ((equal? sc2 1) (let ((sc3 (LibrariesC-45DataC-45SortedMap-treeInsertC-39 arg-4 arg-5 arg-6 e-18))) (case (vector-ref sc3 0) ((0) (let ((e-2 (vector-ref sc3 1))) (vector 0 (vector 2 e-16 e-17 e-2 e-19 e-20)))) (else (let ((e-5 (vector-ref sc3 1))) (let ((e-8 (car e-5))) (let ((e-9 (cdr e-5))) (let ((e-12 (car e-9))) (let ((e-13 (cdr e-9))) (vector 1 (cons (vector 1 e-16 e-17 e-8) (cons e-12 (vector 1 e-13 e-19 e-20))))))))))))) (else (let ((sc3 (LibrariesC-45DataC-45SortedMap-treeInsertC-39 arg-4 arg-5 arg-6 e-20))) (case (vector-ref sc3 0) ((0) (let ((e-2 (vector-ref sc3 1))) (vector 0 (vector 2 e-16 e-17 e-18 e-19 e-2)))) (else (let ((e-5 (vector-ref sc3 1))) (let ((e-8 (car e-5))) (let ((e-9 (cdr e-5))) (let ((e-12 (car e-9))) (let ((e-13 (cdr e-9))) (vector 1 (cons (vector 1 e-16 e-17 e-18) (cons e-19 (vector 1 e-8 e-12 e-13)))))))))))))))))))))))))))
(define LibrariesC-45DataC-45SortedMap-treeInsert (lambda (arg-4 arg-5 arg-6 arg-7) (let ((sc0 (LibrariesC-45DataC-45SortedMap-treeInsertC-39 arg-4 arg-5 arg-6 arg-7))) (case (vector-ref sc0 0) ((0) (let ((e-2 (vector-ref sc0 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref sc0 1))) (let ((e-8 (car e-5))) (let ((e-9 (cdr e-5))) (let ((e-12 (car e-9))) (let ((e-13 (cdr e-9))) (vector 1 (vector 1 e-8 e-12 e-13))))))))))))
(define LibrariesC-45DataC-45SortedMap-treeDelete (lambda (arg-3 arg-4 arg-5 arg-6) (cond ((equal? arg-4 0) (let ((e-4 (vector-ref arg-6 1))) (let ((e-5 (vector-ref arg-6 2))) (let ((sc2 (let ((e-1 (vector-ref arg-3 0))) (let ((e-12 (car e-1))) ((e-12 arg-5) e-4))))) (cond ((equal? sc2 1) (vector 1 (vector 0 ))) (else (vector 0 (vector 0 e-4 e-5))))))))(else (let ((e-0 (- arg-4 1))) (cond ((equal? e-0 0) (case (vector-ref arg-6 0) ((1) (let ((e-11 (vector-ref arg-6 1))) (let ((e-12 (vector-ref arg-6 2))) (let ((e-13 (vector-ref arg-6 3))) (let ((sc2 (let ((e-5 (vector-ref arg-3 4))) ((e-5 arg-5) e-12)))) (cond ((equal? sc2 1) (let ((sc3 (LibrariesC-45DataC-45SortedMap-treeDelete arg-3 0 arg-5 e-11))) (case (vector-ref sc3 0) ((0) (let ((e-2 (vector-ref sc3 1))) (vector 0 (vector 1 e-2 e-12 e-13)))) (else (vector 1 e-13))))) (else (let ((sc3 (LibrariesC-45DataC-45SortedMap-treeDelete arg-3 0 arg-5 e-13))) (case (vector-ref sc3 0) ((0) (let ((e-2 (vector-ref sc3 1))) (vector 0 (vector 1 e-11 e-12 e-2)))) (else (vector 1 e-11))))))))))) (else (let ((e-18 (vector-ref arg-6 1))) (let ((e-19 (vector-ref arg-6 2))) (let ((e-20 (vector-ref arg-6 3))) (let ((e-21 (vector-ref arg-6 4))) (let ((e-22 (vector-ref arg-6 5))) (let ((sc2 (let ((e-5 (vector-ref arg-3 4))) ((e-5 arg-5) e-19)))) (cond ((equal? sc2 1) (let ((sc3 (LibrariesC-45DataC-45SortedMap-treeDelete arg-3 0 arg-5 e-18))) (case (vector-ref sc3 0) ((0) (let ((e-2 (vector-ref sc3 1))) (vector 0 (vector 2 e-2 e-19 e-20 e-21 e-22)))) (else (vector 0 (vector 1 e-20 e-21 e-22)))))) (else (let ((sc3 (let ((e-5 (vector-ref arg-3 4))) ((e-5 arg-5) e-21)))) (cond ((equal? sc3 1) (let ((sc4 (LibrariesC-45DataC-45SortedMap-treeDelete arg-3 0 arg-5 e-20))) (case (vector-ref sc4 0) ((0) (let ((e-2 (vector-ref sc4 1))) (vector 0 (vector 2 e-18 e-19 e-2 e-21 e-22)))) (else (vector 0 (vector 1 e-18 e-19 e-22)))))) (else (let ((sc4 (LibrariesC-45DataC-45SortedMap-treeDelete arg-3 0 arg-5 e-22))) (case (vector-ref sc4 0) ((0) (let ((e-2 (vector-ref sc4 1))) (vector 0 (vector 2 e-18 e-19 e-20 e-21 e-2)))) (else (vector 0 (vector 1 e-18 e-19 e-20)))))))))))))))))))(else (let ((e-6 (- e-0 1))) (case (vector-ref arg-6 0) ((1) (let ((e-27 (vector-ref arg-6 1))) (let ((e-28 (vector-ref arg-6 2))) (let ((e-29 (vector-ref arg-6 3))) (let ((sc1 (let ((e-5 (vector-ref arg-3 4))) ((e-5 arg-5) e-28)))) (cond ((equal? sc1 1) (let ((sc2 (LibrariesC-45DataC-45SortedMap-treeDelete arg-3 (+ e-6 1) arg-5 e-27))) (case (vector-ref sc2 0) ((0) (let ((e-2 (vector-ref sc2 1))) (vector 0 (vector 1 e-2 e-28 e-29)))) (else (let ((e-5 (vector-ref sc2 1))) (case (vector-ref e-29 0) ((1) (let ((e-4 (vector-ref e-29 1))) (let ((e-8 (vector-ref e-29 2))) (let ((e-7 (vector-ref e-29 3))) (vector 1 (vector 2 e-5 e-28 e-4 e-8 e-7)))))) (else (let ((e-11 (vector-ref e-29 1))) (let ((e-12 (vector-ref e-29 2))) (let ((e-13 (vector-ref e-29 3))) (let ((e-14 (vector-ref e-29 4))) (let ((e-15 (vector-ref e-29 5))) (vector 0 (LibrariesC-45DataC-45SortedMap-branch4 e-5 e-28 e-11 e-12 e-13 e-14 e-15)))))))))))))) (else (let ((sc2 (LibrariesC-45DataC-45SortedMap-treeDelete arg-3 (+ e-6 1) arg-5 e-29))) (case (vector-ref sc2 0) ((0) (let ((e-2 (vector-ref sc2 1))) (vector 0 (vector 1 e-27 e-28 e-2)))) (else (let ((e-5 (vector-ref sc2 1))) (case (vector-ref e-27 0) ((1) (let ((e-4 (vector-ref e-27 1))) (let ((e-8 (vector-ref e-27 2))) (let ((e-7 (vector-ref e-27 3))) (vector 1 (vector 2 e-4 e-8 e-7 e-28 e-5)))))) (else (let ((e-11 (vector-ref e-27 1))) (let ((e-12 (vector-ref e-27 2))) (let ((e-13 (vector-ref e-27 3))) (let ((e-14 (vector-ref e-27 4))) (let ((e-15 (vector-ref e-27 5))) (vector 0 (LibrariesC-45DataC-45SortedMap-branch4 e-11 e-12 e-13 e-14 e-15 e-28 e-5)))))))))))))))))))) (else (let ((e-34 (vector-ref arg-6 1))) (let ((e-35 (vector-ref arg-6 2))) (let ((e-36 (vector-ref arg-6 3))) (let ((e-37 (vector-ref arg-6 4))) (let ((e-38 (vector-ref arg-6 5))) (let ((sc1 (let ((e-5 (vector-ref arg-3 4))) ((e-5 arg-5) e-35)))) (cond ((equal? sc1 1) (let ((sc2 (LibrariesC-45DataC-45SortedMap-treeDelete arg-3 (+ e-6 1) arg-5 e-34))) (case (vector-ref sc2 0) ((0) (let ((e-2 (vector-ref sc2 1))) (vector 0 (vector 2 e-2 e-35 e-36 e-37 e-38)))) (else (let ((e-5 (vector-ref sc2 1))) (vector 0 (LibrariesC-45DataC-45SortedMap-merge1 e-5 e-35 e-36 e-37 e-38))))))) (else (let ((sc2 (let ((e-5 (vector-ref arg-3 4))) ((e-5 arg-5) e-37)))) (cond ((equal? sc2 1) (let ((sc3 (LibrariesC-45DataC-45SortedMap-treeDelete arg-3 (+ e-6 1) arg-5 e-36))) (case (vector-ref sc3 0) ((0) (let ((e-2 (vector-ref sc3 1))) (vector 0 (vector 2 e-34 e-35 e-2 e-37 e-38)))) (else (let ((e-5 (vector-ref sc3 1))) (vector 0 (LibrariesC-45DataC-45SortedMap-merge2 e-34 e-35 e-5 e-37 e-38))))))) (else (let ((sc3 (LibrariesC-45DataC-45SortedMap-treeDelete arg-3 (+ e-6 1) arg-5 e-38))) (case (vector-ref sc3 0) ((0) (let ((e-2 (vector-ref sc3 1))) (vector 0 (vector 2 e-34 e-35 e-36 e-37 e-2)))) (else (let ((e-5 (vector-ref sc3 1))) (vector 0 (LibrariesC-45DataC-45SortedMap-merge3 e-34 e-35 e-36 e-37 e-5)))))))))))))))))))))))))))
(define LibrariesC-45DataC-45SortedMap-toList (lambda (arg-2) (case (vector-ref arg-2 0) ((0) '()) (else (let ((e-7 (vector-ref arg-2 3))) (LibrariesC-45DataC-45SortedMap-treeToList e-7))))))
(define LibrariesC-45DataC-45SortedMap-singleton (lambda (arg-2 arg-3 arg-4) (LibrariesC-45DataC-45SortedMap-insert arg-3 arg-4 (LibrariesC-45DataC-45SortedMap-empty arg-2))))
(define LibrariesC-45DataC-45SortedMap-mergeWith (lambda (arg-2 arg-3 arg-4) (LibrariesC-45DataC-45SortedMap-insertFrom (csegen-16) (LibrariesC-45DataC-45SortedMap-n--8012-5915-u--inserted arg-4 arg-3 arg-2) arg-3)))
(define LibrariesC-45DataC-45SortedMap-mergeLeft (lambda (ext-0 ext-1) (LibrariesC-45DataC-45SortedMap-mergeWith (lambda (eta-0) (lambda (eta-1) eta-0)) ext-0 ext-1)))
(define LibrariesC-45DataC-45SortedMap-merge3 (lambda (arg-4 arg-5 arg-6 arg-7 arg-8) (case (vector-ref arg-4 0) ((1) (let ((e-4 (vector-ref arg-4 1))) (let ((e-5 (vector-ref arg-4 2))) (let ((e-6 (vector-ref arg-4 3))) (case (vector-ref arg-6 0) ((1) (let ((e-20 (vector-ref arg-6 1))) (let ((e-21 (vector-ref arg-6 2))) (let ((e-22 (vector-ref arg-6 3))) (LibrariesC-45DataC-45SortedMap-branch5 e-4 e-5 e-6 arg-5 e-20 e-21 e-22 arg-7 arg-8))))) (else (let ((e-27 (vector-ref arg-6 1))) (let ((e-28 (vector-ref arg-6 2))) (let ((e-29 (vector-ref arg-6 3))) (let ((e-30 (vector-ref arg-6 4))) (let ((e-31 (vector-ref arg-6 5))) (LibrariesC-45DataC-45SortedMap-branch6 e-4 e-5 e-6 arg-5 e-27 e-28 e-29 e-30 e-31 arg-7 arg-8)))))))))))) (else (let ((e-11 (vector-ref arg-4 1))) (let ((e-12 (vector-ref arg-4 2))) (let ((e-13 (vector-ref arg-4 3))) (let ((e-14 (vector-ref arg-4 4))) (let ((e-15 (vector-ref arg-4 5))) (case (vector-ref arg-6 0) ((1) (let ((e-36 (vector-ref arg-6 1))) (let ((e-37 (vector-ref arg-6 2))) (let ((e-38 (vector-ref arg-6 3))) (LibrariesC-45DataC-45SortedMap-branch6 e-11 e-12 e-13 e-14 e-15 arg-5 e-36 e-37 e-38 arg-7 arg-8))))) (else (let ((e-43 (vector-ref arg-6 1))) (let ((e-44 (vector-ref arg-6 2))) (let ((e-45 (vector-ref arg-6 3))) (let ((e-46 (vector-ref arg-6 4))) (let ((e-47 (vector-ref arg-6 5))) (LibrariesC-45DataC-45SortedMap-branch7 e-11 e-12 e-13 e-14 e-15 arg-5 e-43 e-44 e-45 e-46 e-47 arg-7 arg-8)))))))))))))))))
(define LibrariesC-45DataC-45SortedMap-merge2 (lambda (arg-4 arg-5 arg-6 arg-7 arg-8) (case (vector-ref arg-4 0) ((1) (let ((e-4 (vector-ref arg-4 1))) (let ((e-5 (vector-ref arg-4 2))) (let ((e-6 (vector-ref arg-4 3))) (case (vector-ref arg-8 0) ((1) (let ((e-20 (vector-ref arg-8 1))) (let ((e-21 (vector-ref arg-8 2))) (let ((e-22 (vector-ref arg-8 3))) (LibrariesC-45DataC-45SortedMap-branch5 e-4 e-5 e-6 arg-5 arg-6 arg-7 e-20 e-21 e-22))))) (else (let ((e-27 (vector-ref arg-8 1))) (let ((e-28 (vector-ref arg-8 2))) (let ((e-29 (vector-ref arg-8 3))) (let ((e-30 (vector-ref arg-8 4))) (let ((e-31 (vector-ref arg-8 5))) (LibrariesC-45DataC-45SortedMap-branch6 e-4 e-5 e-6 arg-5 arg-6 arg-7 e-27 e-28 e-29 e-30 e-31)))))))))))) (else (let ((e-11 (vector-ref arg-4 1))) (let ((e-12 (vector-ref arg-4 2))) (let ((e-13 (vector-ref arg-4 3))) (let ((e-14 (vector-ref arg-4 4))) (let ((e-15 (vector-ref arg-4 5))) (case (vector-ref arg-8 0) ((1) (let ((e-36 (vector-ref arg-8 1))) (let ((e-37 (vector-ref arg-8 2))) (let ((e-38 (vector-ref arg-8 3))) (LibrariesC-45DataC-45SortedMap-branch6 e-11 e-12 e-13 e-14 e-15 arg-5 arg-6 arg-7 e-36 e-37 e-38))))) (else (let ((e-43 (vector-ref arg-8 1))) (let ((e-44 (vector-ref arg-8 2))) (let ((e-45 (vector-ref arg-8 3))) (let ((e-46 (vector-ref arg-8 4))) (let ((e-47 (vector-ref arg-8 5))) (LibrariesC-45DataC-45SortedMap-branch7 e-11 e-12 e-13 e-14 e-15 arg-5 arg-6 arg-7 e-43 e-44 e-45 e-46 e-47)))))))))))))))))
(define LibrariesC-45DataC-45SortedMap-merge1 (lambda (arg-4 arg-5 arg-6 arg-7 arg-8) (case (vector-ref arg-6 0) ((1) (let ((e-4 (vector-ref arg-6 1))) (let ((e-5 (vector-ref arg-6 2))) (let ((e-6 (vector-ref arg-6 3))) (case (vector-ref arg-8 0) ((1) (let ((e-20 (vector-ref arg-8 1))) (let ((e-21 (vector-ref arg-8 2))) (let ((e-22 (vector-ref arg-8 3))) (LibrariesC-45DataC-45SortedMap-branch5 arg-4 arg-5 e-4 e-5 e-6 arg-7 e-20 e-21 e-22))))) (else (let ((e-27 (vector-ref arg-8 1))) (let ((e-28 (vector-ref arg-8 2))) (let ((e-29 (vector-ref arg-8 3))) (let ((e-30 (vector-ref arg-8 4))) (let ((e-31 (vector-ref arg-8 5))) (LibrariesC-45DataC-45SortedMap-branch6 arg-4 arg-5 e-4 e-5 e-6 arg-7 e-27 e-28 e-29 e-30 e-31)))))))))))) (else (let ((e-11 (vector-ref arg-6 1))) (let ((e-12 (vector-ref arg-6 2))) (let ((e-13 (vector-ref arg-6 3))) (let ((e-14 (vector-ref arg-6 4))) (let ((e-15 (vector-ref arg-6 5))) (case (vector-ref arg-8 0) ((1) (let ((e-36 (vector-ref arg-8 1))) (let ((e-37 (vector-ref arg-8 2))) (let ((e-38 (vector-ref arg-8 3))) (LibrariesC-45DataC-45SortedMap-branch6 arg-4 arg-5 e-11 e-12 e-13 e-14 e-15 arg-7 e-36 e-37 e-38))))) (else (let ((e-43 (vector-ref arg-8 1))) (let ((e-44 (vector-ref arg-8 2))) (let ((e-45 (vector-ref arg-8 3))) (let ((e-46 (vector-ref arg-8 4))) (let ((e-47 (vector-ref arg-8 5))) (LibrariesC-45DataC-45SortedMap-branch7 arg-4 arg-5 e-11 e-12 e-13 e-14 e-15 arg-7 e-43 e-44 e-45 e-46 e-47)))))))))))))))))
(define LibrariesC-45DataC-45SortedMap-lookup (lambda (arg-2 arg-3) (case (vector-ref arg-3 0) ((0) '()) (else (let ((e-5 (vector-ref arg-3 1))) (let ((e-7 (vector-ref arg-3 3))) (LibrariesC-45DataC-45SortedMap-treeLookup e-5 arg-2 e-7)))))))
(define LibrariesC-45DataC-45SortedMap-keys (lambda (ext-0) ((csegen-101) (LibrariesC-45DataC-45SortedMap-toList ext-0))))
(define LibrariesC-45DataC-45SortedMap-insertFrom (lambda (arg-3 ext-0 ext-1) (PreludeC-45Basics-flip (lambda (eta-0) (lambda (clam-0) (let ((e-2 (vector-ref arg-3 1))) (((((e-2 'erased) 'erased) (csegen-950)) eta-0) clam-0)))) ext-0 ext-1)))
(define LibrariesC-45DataC-45SortedMap-insert (lambda (arg-2 arg-3 arg-4) (case (vector-ref arg-4 0) ((0) (let ((e-2 (vector-ref arg-4 1))) (vector 1 e-2 0 (vector 0 arg-2 arg-3)))) (else (let ((e-5 (vector-ref arg-4 1))) (let ((e-6 (vector-ref arg-4 2))) (let ((e-7 (vector-ref arg-4 3))) (let ((sc1 (LibrariesC-45DataC-45SortedMap-treeInsert e-5 arg-2 arg-3 e-7))) (case (vector-ref sc1 0) ((0) (let ((e-2 (vector-ref sc1 1))) (vector 1 e-5 e-6 e-2))) (else (let ((e-8 (vector-ref sc1 1))) (vector 1 e-5 (+ e-6 1) e-8))))))))))))
(define LibrariesC-45DataC-45SortedMap-fromList (lambda (arg-2 arg-3) (PreludeC-45Types-u--foldl_Foldable_List (csegen-950) (LibrariesC-45DataC-45SortedMap-empty arg-2) arg-3)))
(define LibrariesC-45DataC-45SortedMap-empty (lambda (arg-2) (vector 0 arg-2)))
(define LibrariesC-45DataC-45SortedMap-delete (lambda (arg-2 arg-3) (case (vector-ref arg-3 0) ((0) (let ((e-2 (vector-ref arg-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref arg-3 1))) (let ((e-6 (vector-ref arg-3 2))) (let ((e-7 (vector-ref arg-3 3))) (cond ((equal? e-6 0) (let ((sc2 (LibrariesC-45DataC-45SortedMap-treeDelete e-5 0 arg-2 e-7))) (case (vector-ref sc2 0) ((0) (let ((e-2 (vector-ref sc2 1))) (vector 1 e-5 0 e-2))) (else (vector 0 e-5)))))(else (let ((e-8 (- e-6 1))) (let ((sc1 (LibrariesC-45DataC-45SortedMap-treeDelete e-5 (+ e-8 1) arg-2 e-7))) (case (vector-ref sc1 0) ((0) (let ((e-2 (vector-ref sc1 1))) (vector 1 e-5 (+ e-8 1) e-2))) (else (let ((e-9 (vector-ref sc1 1))) (vector 1 e-5 e-8 e-9)))))))))))))))
(define LibrariesC-45DataC-45SortedMap-branch7 (lambda (arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16) (vector 2 (vector 2 arg-4 arg-5 arg-6 arg-7 arg-8) arg-9 (vector 1 arg-10 arg-11 arg-12) arg-13 (vector 1 arg-14 arg-15 arg-16))))
(define LibrariesC-45DataC-45SortedMap-branch6 (lambda (arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14) (vector 2 (vector 1 arg-4 arg-5 arg-6) arg-7 (vector 1 arg-8 arg-9 arg-10) arg-11 (vector 1 arg-12 arg-13 arg-14))))
(define LibrariesC-45DataC-45SortedMap-branch5 (lambda (arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12) (vector 1 (vector 1 arg-4 arg-5 arg-6) arg-7 (vector 2 arg-8 arg-9 arg-10 arg-11 arg-12))))
(define LibrariesC-45DataC-45SortedMap-branch4 (lambda (arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10) (vector 1 (vector 1 arg-4 arg-5 arg-6) arg-7 (vector 1 arg-8 arg-9 arg-10))))
(define LibrariesC-45DataC-45SortedMap-adjust (lambda (arg-2 arg-3 arg-4) (let ((sc0 (LibrariesC-45DataC-45SortedMap-lookup arg-2 arg-4))) (if (null? sc0) arg-4 (let ((e-2 (unbox sc0))) (LibrariesC-45DataC-45SortedMap-insert arg-2 (arg-3 e-2) arg-4))))))
(define LibrariesC-45DataC-45NameMap-n--5665-10925-u--treeToListC-39 (lambda (arg-3 arg-4) (case (vector-ref arg-4 0) ((0) (let ((e-1 (vector-ref arg-4 1))) (let ((e-2 (vector-ref arg-4 2))) (cons (cons e-1 e-2) arg-3)))) ((1) (let ((e-5 (vector-ref arg-4 1))) (let ((e-7 (vector-ref arg-4 3))) (LibrariesC-45DataC-45NameMap-n--5665-10925-u--treeToListC-39 (LibrariesC-45DataC-45NameMap-n--5665-10925-u--treeToListC-39 arg-3 e-7) e-5)))) (else (let ((e-10 (vector-ref arg-4 1))) (let ((e-12 (vector-ref arg-4 3))) (let ((e-14 (vector-ref arg-4 5))) (LibrariesC-45DataC-45NameMap-n--5665-10925-u--treeToListC-39 (LibrariesC-45DataC-45NameMap-n--5665-10925-u--treeToListC-39 (LibrariesC-45DataC-45NameMap-n--5665-10925-u--treeToListC-39 arg-3 e-14) e-12) e-10))))))))
(define LibrariesC-45DataC-45NameMap-n--6836-12096-u--loop (lambda (arg-4 arg-5 arg-7 arg-8) (case (vector-ref arg-8 0) ((0) (let ((e-1 (vector-ref arg-8 1))) (let ((e-4 (vector-ref arg-4 1))) ((((e-4 'erased) 'erased) (arg-5 e-1)) (lambda (_-0) (if (null? _-0) (let ((e-8 (vector-ref arg-4 0))) (let ((e-10 (vector-ref e-8 1))) ((e-10 'erased) arg-7))) (let ((e-6 (unbox _-0))) (let ((e-9 (vector-ref arg-4 0))) (let ((e-11 (vector-ref e-9 1))) ((e-11 'erased) (LibrariesC-45DataC-45NameMap-insert e-1 e-6 arg-7))))))))))) ((1) (let ((e-5 (vector-ref arg-8 1))) (let ((e-7 (vector-ref arg-8 3))) (let ((e-2 (vector-ref arg-4 1))) ((((e-2 'erased) 'erased) (LibrariesC-45DataC-45NameMap-n--6836-12096-u--loop arg-4 arg-5 arg-7 e-5)) (lambda (u--acc) (LibrariesC-45DataC-45NameMap-n--6836-12096-u--loop arg-4 arg-5 u--acc e-7))))))) (else (let ((e-10 (vector-ref arg-8 1))) (let ((e-12 (vector-ref arg-8 3))) (let ((e-14 (vector-ref arg-8 5))) (let ((e-2 (vector-ref arg-4 1))) ((((e-2 'erased) 'erased) (LibrariesC-45DataC-45NameMap-n--6836-12096-u--loop arg-4 arg-5 arg-7 e-10)) (lambda (u--acc) (let ((e-5 (vector-ref arg-4 1))) ((((e-5 'erased) 'erased) (LibrariesC-45DataC-45NameMap-n--6836-12096-u--loop arg-4 arg-5 u--acc e-12)) (lambda (acc-0) (LibrariesC-45DataC-45NameMap-n--6836-12096-u--loop arg-4 arg-5 acc-0 e-14))))))))))))))
(define LibrariesC-45DataC-45NameMap-n--6493-11747-u--loop (lambda (arg-2 arg-4 arg-5) (case (vector-ref arg-5 0) ((0) (let ((e-1 (vector-ref arg-5 1))) (let ((e-2 (vector-ref arg-5 2))) (let ((sc1 (arg-2 e-1))) (cond ((equal? sc1 1) (LibrariesC-45DataC-45NameMap-insert e-1 e-2 arg-4))(else arg-4)))))) ((1) (let ((e-5 (vector-ref arg-5 1))) (let ((e-7 (vector-ref arg-5 3))) (LibrariesC-45DataC-45NameMap-n--6493-11747-u--loop arg-2 (LibrariesC-45DataC-45NameMap-n--6493-11747-u--loop arg-2 arg-4 e-5) e-7)))) (else (let ((e-10 (vector-ref arg-5 1))) (let ((e-12 (vector-ref arg-5 3))) (let ((e-14 (vector-ref arg-5 5))) (LibrariesC-45DataC-45NameMap-n--6493-11747-u--loop arg-2 (LibrariesC-45DataC-45NameMap-n--6493-11747-u--loop arg-2 (LibrariesC-45DataC-45NameMap-n--6493-11747-u--loop arg-2 arg-4 e-10) e-12) e-14))))))))
(define LibrariesC-45DataC-45NameMap-n--6320-11577-u--inserted (lambda (arg-1 arg-2 arg-3) (PreludeC-45Types-listBind (LibrariesC-45DataC-45NameMap-toList arg-1) (lambda (_-0) (let ((e-2 (car _-0))) (let ((e-3 (cdr _-0))) (let ((u--vC-39 ((PreludeC-45Types-maybe (lambda () (lambda (eta-0) eta-0)) (lambda () arg-3) (LibrariesC-45DataC-45NameMap-lookup e-2 arg-2)) e-3))) (PreludeC-45Types-u--pure_Applicative_List (cons e-2 u--vC-39)))))))))
(define LibrariesC-45DataC-45NameMap-u--show_Show_C-40NameMapC-32C-36vC-41 (lambda (arg-1 arg-2) (if (null? arg-2) "Empty NameMap" (let ((e-2 (car arg-2))) (let ((e-3 (cdr arg-2))) (string-append "NameMap M(" (string-append (PreludeC-45Show-u--show_Show_Nat e-2) (string-append "):\xa;" (LibrariesC-45DataC-45NameMap-u--show_Show_C-40C-40TreeC-32C-36nC-41C-32C-36vC-41 arg-1 e-3)))))))))
(define LibrariesC-45DataC-45NameMap-u--show_Show_C-40C-40TreeC-32C-36nC-41C-32C-36vC-41 (lambda (arg-2 arg-3) (case (vector-ref arg-3 0) ((0) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (string-append "Leaf: " (string-append (CoreC-45Name-u--show_Show_Name e-1) (string-append " -> " (string-append (let ((e-4 (car arg-2))) (e-4 e-2)) "\xa;"))))))) ((1) (let ((e-5 (vector-ref arg-3 1))) (let ((e-6 (vector-ref arg-3 2))) (let ((e-7 (vector-ref arg-3 3))) (string-append "Branch2: " (string-append (LibrariesC-45DataC-45NameMap-u--show_Show_C-40C-40TreeC-32C-36nC-41C-32C-36vC-41 arg-2 e-5) (string-append "\xa; < " (string-append (CoreC-45Name-u--show_Show_Name e-6) (string-append "\xa;" (string-append (LibrariesC-45DataC-45NameMap-u--show_Show_C-40C-40TreeC-32C-36nC-41C-32C-36vC-41 arg-2 e-7) "\xa;")))))))))) (else (let ((e-10 (vector-ref arg-3 1))) (let ((e-11 (vector-ref arg-3 2))) (let ((e-12 (vector-ref arg-3 3))) (let ((e-13 (vector-ref arg-3 4))) (let ((e-14 (vector-ref arg-3 5))) (string-append "Branch3: " (string-append (LibrariesC-45DataC-45NameMap-u--show_Show_C-40C-40TreeC-32C-36nC-41C-32C-36vC-41 arg-2 e-10) (string-append "\xa; < " (string-append (CoreC-45Name-u--show_Show_Name e-11) (string-append "\xa;" (string-append (LibrariesC-45DataC-45NameMap-u--show_Show_C-40C-40TreeC-32C-36nC-41C-32C-36vC-41 arg-2 e-12) (string-append "\xa; < " (string-append (CoreC-45Name-u--show_Show_Name e-13) (string-append "\xa;" (string-append (LibrariesC-45DataC-45NameMap-u--show_Show_C-40C-40TreeC-32C-36nC-41C-32C-36vC-41 arg-2 e-14) "\xa;")))))))))))))))))))
(define LibrariesC-45DataC-45NameMap-u--neutral_Monoid_C-40NameMapC-32C-36vC-41 (lambda (arg-1) (LibrariesC-45DataC-45NameMap-empty)))
(define LibrariesC-45DataC-45NameMap-u--C-60C-43C-62_Semigroup_C-40NameMapC-32C-36vC-41 (lambda (arg-1 ext-0 ext-1) (LibrariesC-45DataC-45NameMap-merge arg-1 ext-0 ext-1)))
(define LibrariesC-45DataC-45NameMap-values (lambda (ext-0) ((csegen-947) (LibrariesC-45DataC-45NameMap-toList ext-0))))
(define LibrariesC-45DataC-45NameMap-treeToList (lambda (ext-0) (LibrariesC-45DataC-45NameMap-n--5665-10925-u--treeToListC-39 '() ext-0)))
(define LibrariesC-45DataC-45NameMap-treeMapMaybeM (lambda (arg-4 arg-5 ext-0) (LibrariesC-45DataC-45NameMap-n--6836-12096-u--loop arg-4 arg-5 (LibrariesC-45DataC-45NameMap-empty) ext-0)))
(define LibrariesC-45DataC-45NameMap-treeLookup (lambda (arg-2 arg-3) (case (vector-ref arg-3 0) ((0) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((sc1 (CoreC-45Name-u--C-61C-61_Eq_Name arg-2 e-1))) (cond ((equal? sc1 1) (box e-2)) (else '())))))) ((1) (let ((e-5 (vector-ref arg-3 1))) (let ((e-6 (vector-ref arg-3 2))) (let ((e-7 (vector-ref arg-3 3))) (let ((sc1 (CoreC-45Name-u--C-60C-61_Ord_Name arg-2 e-6))) (cond ((equal? sc1 1) (LibrariesC-45DataC-45NameMap-treeLookup arg-2 e-5)) (else (LibrariesC-45DataC-45NameMap-treeLookup arg-2 e-7)))))))) (else (let ((e-10 (vector-ref arg-3 1))) (let ((e-11 (vector-ref arg-3 2))) (let ((e-12 (vector-ref arg-3 3))) (let ((e-13 (vector-ref arg-3 4))) (let ((e-14 (vector-ref arg-3 5))) (let ((sc1 (CoreC-45Name-u--C-60C-61_Ord_Name arg-2 e-11))) (cond ((equal? sc1 1) (LibrariesC-45DataC-45NameMap-treeLookup arg-2 e-10)) (else (let ((sc2 (CoreC-45Name-u--C-60C-61_Ord_Name arg-2 e-13))) (cond ((equal? sc2 1) (LibrariesC-45DataC-45NameMap-treeLookup arg-2 e-12)) (else (LibrariesC-45DataC-45NameMap-treeLookup arg-2 e-14))))))))))))))))
(define LibrariesC-45DataC-45NameMap-treeInsertC-39 (lambda (arg-2 arg-3 arg-4) (case (vector-ref arg-4 0) ((0) (let ((e-1 (vector-ref arg-4 1))) (let ((e-2 (vector-ref arg-4 2))) (let ((sc1 (CoreC-45Name-u--compare_Ord_Name arg-2 e-1))) (cond ((equal? sc1 0) (vector 1 (cons (vector 0 arg-2 arg-3) (cons arg-2 (vector 0 e-1 e-2))))) ((equal? sc1 1) (vector 0 (vector 0 arg-2 arg-3))) (else (vector 1 (cons (vector 0 e-1 e-2) (cons e-1 (vector 0 arg-2 arg-3)))))))))) ((1) (let ((e-5 (vector-ref arg-4 1))) (let ((e-6 (vector-ref arg-4 2))) (let ((e-7 (vector-ref arg-4 3))) (let ((sc1 (CoreC-45Name-u--C-60C-61_Ord_Name arg-2 e-6))) (cond ((equal? sc1 1) (let ((sc2 (LibrariesC-45DataC-45NameMap-treeInsertC-39 arg-2 arg-3 e-5))) (case (vector-ref sc2 0) ((0) (let ((e-2 (vector-ref sc2 1))) (vector 0 (vector 1 e-2 e-6 e-7)))) (else (let ((e-8 (vector-ref sc2 1))) (let ((e-10 (car e-8))) (let ((e-9 (cdr e-8))) (let ((e-12 (car e-9))) (let ((e-13 (cdr e-9))) (vector 0 (vector 2 e-10 e-12 e-13 e-6 e-7))))))))))) (else (let ((sc2 (LibrariesC-45DataC-45NameMap-treeInsertC-39 arg-2 arg-3 e-7))) (case (vector-ref sc2 0) ((0) (let ((e-2 (vector-ref sc2 1))) (vector 0 (vector 1 e-5 e-6 e-2)))) (else (let ((e-8 (vector-ref sc2 1))) (let ((e-10 (car e-8))) (let ((e-9 (cdr e-8))) (let ((e-12 (car e-9))) (let ((e-13 (cdr e-9))) (vector 0 (vector 2 e-5 e-6 e-10 e-12 e-13))))))))))))))))) (else (let ((e-10 (vector-ref arg-4 1))) (let ((e-11 (vector-ref arg-4 2))) (let ((e-12 (vector-ref arg-4 3))) (let ((e-13 (vector-ref arg-4 4))) (let ((e-14 (vector-ref arg-4 5))) (let ((sc1 (CoreC-45Name-u--C-60C-61_Ord_Name arg-2 e-11))) (cond ((equal? sc1 1) (let ((sc2 (LibrariesC-45DataC-45NameMap-treeInsertC-39 arg-2 arg-3 e-10))) (case (vector-ref sc2 0) ((0) (let ((e-2 (vector-ref sc2 1))) (vector 0 (vector 2 e-2 e-11 e-12 e-13 e-14)))) (else (let ((e-5 (vector-ref sc2 1))) (let ((e-8 (car e-5))) (let ((e-9 (cdr e-5))) (let ((e-16 (car e-9))) (let ((e-15 (cdr e-9))) (vector 1 (cons (vector 1 e-8 e-16 e-15) (cons e-11 (vector 1 e-12 e-13 e-14))))))))))))) (else (let ((sc2 (CoreC-45Name-u--C-60C-61_Ord_Name arg-2 e-13))) (cond ((equal? sc2 1) (let ((sc3 (LibrariesC-45DataC-45NameMap-treeInsertC-39 arg-2 arg-3 e-12))) (case (vector-ref sc3 0) ((0) (let ((e-2 (vector-ref sc3 1))) (vector 0 (vector 2 e-10 e-11 e-2 e-13 e-14)))) (else (let ((e-5 (vector-ref sc3 1))) (let ((e-8 (car e-5))) (let ((e-9 (cdr e-5))) (let ((e-16 (car e-9))) (let ((e-15 (cdr e-9))) (vector 1 (cons (vector 1 e-10 e-11 e-8) (cons e-16 (vector 1 e-15 e-13 e-14))))))))))))) (else (let ((sc3 (LibrariesC-45DataC-45NameMap-treeInsertC-39 arg-2 arg-3 e-14))) (case (vector-ref sc3 0) ((0) (let ((e-2 (vector-ref sc3 1))) (vector 0 (vector 2 e-10 e-11 e-12 e-13 e-2)))) (else (let ((e-5 (vector-ref sc3 1))) (let ((e-8 (car e-5))) (let ((e-9 (cdr e-5))) (let ((e-16 (car e-9))) (let ((e-15 (cdr e-9))) (vector 1 (cons (vector 1 e-10 e-11 e-12) (cons e-13 (vector 1 e-8 e-16 e-15)))))))))))))))))))))))))))
(define LibrariesC-45DataC-45NameMap-treeInsert (lambda (arg-2 arg-3 arg-4) (let ((sc0 (LibrariesC-45DataC-45NameMap-treeInsertC-39 arg-2 arg-3 arg-4))) (case (vector-ref sc0 0) ((0) (let ((e-2 (vector-ref sc0 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref sc0 1))) (let ((e-8 (car e-5))) (let ((e-9 (cdr e-5))) (let ((e-12 (car e-9))) (let ((e-13 (cdr e-9))) (vector 1 (vector 1 e-8 e-12 e-13))))))))))))
(define LibrariesC-45DataC-45NameMap-treeFilterBy (lambda (arg-2 ext-0) (LibrariesC-45DataC-45NameMap-n--6493-11747-u--loop arg-2 (LibrariesC-45DataC-45NameMap-empty) ext-0)))
(define LibrariesC-45DataC-45NameMap-treeDelete (lambda (arg-1 arg-2 arg-3) (cond ((equal? arg-1 0) (let ((e-2 (vector-ref arg-3 1))) (let ((e-3 (vector-ref arg-3 2))) (let ((sc2 (CoreC-45Name-u--C-61C-61_Eq_Name arg-2 e-2))) (cond ((equal? sc2 1) (vector 1 (vector 0 ))) (else (vector 0 (vector 0 e-2 e-3))))))))(else (let ((e-0 (- arg-1 1))) (cond ((equal? e-0 0) (case (vector-ref arg-3 0) ((1) (let ((e-7 (vector-ref arg-3 1))) (let ((e-8 (vector-ref arg-3 2))) (let ((e-9 (vector-ref arg-3 3))) (let ((sc2 (CoreC-45Name-u--C-60C-61_Ord_Name arg-2 e-8))) (cond ((equal? sc2 1) (let ((sc3 (LibrariesC-45DataC-45NameMap-treeDelete 0 arg-2 e-7))) (case (vector-ref sc3 0) ((0) (let ((e-2 (vector-ref sc3 1))) (vector 0 (vector 1 e-2 e-8 e-9)))) (else (vector 1 e-9))))) (else (let ((sc3 (LibrariesC-45DataC-45NameMap-treeDelete 0 arg-2 e-9))) (case (vector-ref sc3 0) ((0) (let ((e-2 (vector-ref sc3 1))) (vector 0 (vector 1 e-7 e-8 e-2)))) (else (vector 1 e-7))))))))))) (else (let ((e-12 (vector-ref arg-3 1))) (let ((e-13 (vector-ref arg-3 2))) (let ((e-14 (vector-ref arg-3 3))) (let ((e-15 (vector-ref arg-3 4))) (let ((e-16 (vector-ref arg-3 5))) (let ((sc2 (CoreC-45Name-u--C-60C-61_Ord_Name arg-2 e-13))) (cond ((equal? sc2 1) (let ((sc3 (LibrariesC-45DataC-45NameMap-treeDelete 0 arg-2 e-12))) (case (vector-ref sc3 0) ((0) (let ((e-2 (vector-ref sc3 1))) (vector 0 (vector 2 e-2 e-13 e-14 e-15 e-16)))) (else (vector 0 (vector 1 e-14 e-15 e-16)))))) (else (let ((sc3 (CoreC-45Name-u--C-60C-61_Ord_Name arg-2 e-15))) (cond ((equal? sc3 1) (let ((sc4 (LibrariesC-45DataC-45NameMap-treeDelete 0 arg-2 e-14))) (case (vector-ref sc4 0) ((0) (let ((e-2 (vector-ref sc4 1))) (vector 0 (vector 2 e-12 e-13 e-2 e-15 e-16)))) (else (vector 0 (vector 1 e-12 e-13 e-16)))))) (else (let ((sc4 (LibrariesC-45DataC-45NameMap-treeDelete 0 arg-2 e-16))) (case (vector-ref sc4 0) ((0) (let ((e-2 (vector-ref sc4 1))) (vector 0 (vector 2 e-12 e-13 e-14 e-15 e-2)))) (else (vector 0 (vector 1 e-12 e-13 e-14)))))))))))))))))))(else (let ((e-4 (- e-0 1))) (case (vector-ref arg-3 0) ((1) (let ((e-19 (vector-ref arg-3 1))) (let ((e-20 (vector-ref arg-3 2))) (let ((e-21 (vector-ref arg-3 3))) (let ((sc1 (CoreC-45Name-u--C-60C-61_Ord_Name arg-2 e-20))) (cond ((equal? sc1 1) (let ((sc2 (LibrariesC-45DataC-45NameMap-treeDelete (+ e-4 1) arg-2 e-19))) (case (vector-ref sc2 0) ((0) (let ((e-2 (vector-ref sc2 1))) (vector 0 (vector 1 e-2 e-20 e-21)))) (else (let ((e-5 (vector-ref sc2 1))) (case (vector-ref e-21 0) ((1) (let ((e-2 (vector-ref e-21 1))) (let ((e-3 (vector-ref e-21 2))) (let ((e-6 (vector-ref e-21 3))) (vector 1 (vector 2 e-5 e-20 e-2 e-3 e-6)))))) (else (let ((e-7 (vector-ref e-21 1))) (let ((e-8 (vector-ref e-21 2))) (let ((e-9 (vector-ref e-21 3))) (let ((e-10 (vector-ref e-21 4))) (let ((e-11 (vector-ref e-21 5))) (vector 0 (LibrariesC-45DataC-45NameMap-branch4 e-5 e-20 e-7 e-8 e-9 e-10 e-11)))))))))))))) (else (let ((sc2 (LibrariesC-45DataC-45NameMap-treeDelete (+ e-4 1) arg-2 e-21))) (case (vector-ref sc2 0) ((0) (let ((e-2 (vector-ref sc2 1))) (vector 0 (vector 1 e-19 e-20 e-2)))) (else (let ((e-5 (vector-ref sc2 1))) (case (vector-ref e-19 0) ((1) (let ((e-2 (vector-ref e-19 1))) (let ((e-3 (vector-ref e-19 2))) (let ((e-6 (vector-ref e-19 3))) (vector 1 (vector 2 e-2 e-3 e-6 e-20 e-5)))))) (else (let ((e-7 (vector-ref e-19 1))) (let ((e-8 (vector-ref e-19 2))) (let ((e-9 (vector-ref e-19 3))) (let ((e-10 (vector-ref e-19 4))) (let ((e-11 (vector-ref e-19 5))) (vector 0 (LibrariesC-45DataC-45NameMap-branch4 e-7 e-8 e-9 e-10 e-11 e-20 e-5)))))))))))))))))))) (else (let ((e-24 (vector-ref arg-3 1))) (let ((e-25 (vector-ref arg-3 2))) (let ((e-26 (vector-ref arg-3 3))) (let ((e-27 (vector-ref arg-3 4))) (let ((e-28 (vector-ref arg-3 5))) (let ((sc1 (CoreC-45Name-u--C-60C-61_Ord_Name arg-2 e-25))) (cond ((equal? sc1 1) (let ((sc2 (LibrariesC-45DataC-45NameMap-treeDelete (+ e-4 1) arg-2 e-24))) (case (vector-ref sc2 0) ((0) (let ((e-2 (vector-ref sc2 1))) (vector 0 (vector 2 e-2 e-25 e-26 e-27 e-28)))) (else (let ((e-5 (vector-ref sc2 1))) (vector 0 (LibrariesC-45DataC-45NameMap-merge1 e-5 e-25 e-26 e-27 e-28))))))) (else (let ((sc2 (CoreC-45Name-u--C-60C-61_Ord_Name arg-2 e-27))) (cond ((equal? sc2 1) (let ((sc3 (LibrariesC-45DataC-45NameMap-treeDelete (+ e-4 1) arg-2 e-26))) (case (vector-ref sc3 0) ((0) (let ((e-2 (vector-ref sc3 1))) (vector 0 (vector 2 e-24 e-25 e-2 e-27 e-28)))) (else (let ((e-5 (vector-ref sc3 1))) (vector 0 (LibrariesC-45DataC-45NameMap-merge2 e-24 e-25 e-5 e-27 e-28))))))) (else (let ((sc3 (LibrariesC-45DataC-45NameMap-treeDelete (+ e-4 1) arg-2 e-28))) (case (vector-ref sc3 0) ((0) (let ((e-2 (vector-ref sc3 1))) (vector 0 (vector 2 e-24 e-25 e-26 e-27 e-2)))) (else (let ((e-5 (vector-ref sc3 1))) (vector 0 (LibrariesC-45DataC-45NameMap-merge3 e-24 e-25 e-26 e-27 e-5)))))))))))))))))))))))))))
(define LibrariesC-45DataC-45NameMap-toList (lambda (arg-1) (if (null? arg-1) '() (let ((e-3 (cdr arg-1))) (LibrariesC-45DataC-45NameMap-treeToList e-3)))))
(define LibrariesC-45DataC-45NameMap-singleton (lambda (arg-1 arg-2) (cons 0 (vector 0 arg-1 arg-2))))
(define LibrariesC-45DataC-45NameMap-mergeWith (lambda (arg-1 arg-2 arg-3) (LibrariesC-45DataC-45NameMap-insertFrom (LibrariesC-45DataC-45NameMap-n--6320-11577-u--inserted arg-3 arg-2 arg-1) arg-2)))
(define LibrariesC-45DataC-45NameMap-merge3 (lambda (arg-2 arg-3 arg-4 arg-5 arg-6) (case (vector-ref arg-2 0) ((1) (let ((e-2 (vector-ref arg-2 1))) (let ((e-3 (vector-ref arg-2 2))) (let ((e-4 (vector-ref arg-2 3))) (case (vector-ref arg-4 0) ((1) (let ((e-14 (vector-ref arg-4 1))) (let ((e-15 (vector-ref arg-4 2))) (let ((e-16 (vector-ref arg-4 3))) (LibrariesC-45DataC-45NameMap-branch5 e-2 e-3 e-4 arg-3 e-14 e-15 e-16 arg-5 arg-6))))) (else (let ((e-19 (vector-ref arg-4 1))) (let ((e-20 (vector-ref arg-4 2))) (let ((e-21 (vector-ref arg-4 3))) (let ((e-22 (vector-ref arg-4 4))) (let ((e-23 (vector-ref arg-4 5))) (LibrariesC-45DataC-45NameMap-branch6 e-2 e-3 e-4 arg-3 e-19 e-20 e-21 e-22 e-23 arg-5 arg-6)))))))))))) (else (let ((e-7 (vector-ref arg-2 1))) (let ((e-8 (vector-ref arg-2 2))) (let ((e-9 (vector-ref arg-2 3))) (let ((e-10 (vector-ref arg-2 4))) (let ((e-11 (vector-ref arg-2 5))) (case (vector-ref arg-4 0) ((1) (let ((e-26 (vector-ref arg-4 1))) (let ((e-27 (vector-ref arg-4 2))) (let ((e-28 (vector-ref arg-4 3))) (LibrariesC-45DataC-45NameMap-branch6 e-7 e-8 e-9 e-10 e-11 arg-3 e-26 e-27 e-28 arg-5 arg-6))))) (else (let ((e-31 (vector-ref arg-4 1))) (let ((e-32 (vector-ref arg-4 2))) (let ((e-33 (vector-ref arg-4 3))) (let ((e-34 (vector-ref arg-4 4))) (let ((e-35 (vector-ref arg-4 5))) (LibrariesC-45DataC-45NameMap-branch7 e-7 e-8 e-9 e-10 e-11 arg-3 e-31 e-32 e-33 e-34 e-35 arg-5 arg-6)))))))))))))))))
(define LibrariesC-45DataC-45NameMap-merge2 (lambda (arg-2 arg-3 arg-4 arg-5 arg-6) (case (vector-ref arg-2 0) ((1) (let ((e-2 (vector-ref arg-2 1))) (let ((e-3 (vector-ref arg-2 2))) (let ((e-4 (vector-ref arg-2 3))) (case (vector-ref arg-6 0) ((1) (let ((e-14 (vector-ref arg-6 1))) (let ((e-15 (vector-ref arg-6 2))) (let ((e-16 (vector-ref arg-6 3))) (LibrariesC-45DataC-45NameMap-branch5 e-2 e-3 e-4 arg-3 arg-4 arg-5 e-14 e-15 e-16))))) (else (let ((e-19 (vector-ref arg-6 1))) (let ((e-20 (vector-ref arg-6 2))) (let ((e-21 (vector-ref arg-6 3))) (let ((e-22 (vector-ref arg-6 4))) (let ((e-23 (vector-ref arg-6 5))) (LibrariesC-45DataC-45NameMap-branch6 e-2 e-3 e-4 arg-3 arg-4 arg-5 e-19 e-20 e-21 e-22 e-23)))))))))))) (else (let ((e-7 (vector-ref arg-2 1))) (let ((e-8 (vector-ref arg-2 2))) (let ((e-9 (vector-ref arg-2 3))) (let ((e-10 (vector-ref arg-2 4))) (let ((e-11 (vector-ref arg-2 5))) (case (vector-ref arg-6 0) ((1) (let ((e-26 (vector-ref arg-6 1))) (let ((e-27 (vector-ref arg-6 2))) (let ((e-28 (vector-ref arg-6 3))) (LibrariesC-45DataC-45NameMap-branch6 e-7 e-8 e-9 e-10 e-11 arg-3 arg-4 arg-5 e-26 e-27 e-28))))) (else (let ((e-31 (vector-ref arg-6 1))) (let ((e-32 (vector-ref arg-6 2))) (let ((e-33 (vector-ref arg-6 3))) (let ((e-34 (vector-ref arg-6 4))) (let ((e-35 (vector-ref arg-6 5))) (LibrariesC-45DataC-45NameMap-branch7 e-7 e-8 e-9 e-10 e-11 arg-3 arg-4 arg-5 e-31 e-32 e-33 e-34 e-35)))))))))))))))))
(define LibrariesC-45DataC-45NameMap-merge1 (lambda (arg-2 arg-3 arg-4 arg-5 arg-6) (case (vector-ref arg-4 0) ((1) (let ((e-2 (vector-ref arg-4 1))) (let ((e-3 (vector-ref arg-4 2))) (let ((e-4 (vector-ref arg-4 3))) (case (vector-ref arg-6 0) ((1) (let ((e-14 (vector-ref arg-6 1))) (let ((e-15 (vector-ref arg-6 2))) (let ((e-16 (vector-ref arg-6 3))) (LibrariesC-45DataC-45NameMap-branch5 arg-2 arg-3 e-2 e-3 e-4 arg-5 e-14 e-15 e-16))))) (else (let ((e-19 (vector-ref arg-6 1))) (let ((e-20 (vector-ref arg-6 2))) (let ((e-21 (vector-ref arg-6 3))) (let ((e-22 (vector-ref arg-6 4))) (let ((e-23 (vector-ref arg-6 5))) (LibrariesC-45DataC-45NameMap-branch6 arg-2 arg-3 e-2 e-3 e-4 arg-5 e-19 e-20 e-21 e-22 e-23)))))))))))) (else (let ((e-7 (vector-ref arg-4 1))) (let ((e-8 (vector-ref arg-4 2))) (let ((e-9 (vector-ref arg-4 3))) (let ((e-10 (vector-ref arg-4 4))) (let ((e-11 (vector-ref arg-4 5))) (case (vector-ref arg-6 0) ((1) (let ((e-26 (vector-ref arg-6 1))) (let ((e-27 (vector-ref arg-6 2))) (let ((e-28 (vector-ref arg-6 3))) (LibrariesC-45DataC-45NameMap-branch6 arg-2 arg-3 e-7 e-8 e-9 e-10 e-11 arg-5 e-26 e-27 e-28))))) (else (let ((e-31 (vector-ref arg-6 1))) (let ((e-32 (vector-ref arg-6 2))) (let ((e-33 (vector-ref arg-6 3))) (let ((e-34 (vector-ref arg-6 4))) (let ((e-35 (vector-ref arg-6 5))) (LibrariesC-45DataC-45NameMap-branch7 arg-2 arg-3 e-7 e-8 e-9 e-10 e-11 arg-5 e-31 e-32 e-33 e-34 e-35)))))))))))))))))
(define LibrariesC-45DataC-45NameMap-merge (lambda (arg-1 ext-0 ext-1) (LibrariesC-45DataC-45NameMap-mergeWith (let ((eff-0 arg-1)) (lambda (arg-0) (lambda (arg-2) ((eff-0 arg-0) arg-2)))) ext-0 ext-1)))
(define LibrariesC-45DataC-45NameMap-mapMaybeM (lambda (arg-3 arg-4 arg-5) (if (null? arg-5) (let ((e-1 (vector-ref arg-3 0))) (let ((e-5 (vector-ref e-1 1))) ((e-5 'erased) '()))) (let ((e-3 (cdr arg-5))) (LibrariesC-45DataC-45NameMap-treeMapMaybeM arg-3 arg-4 e-3)))))
(define LibrariesC-45DataC-45NameMap-lookup (lambda (arg-1 arg-2) (if (null? arg-2) '() (let ((e-3 (cdr arg-2))) (LibrariesC-45DataC-45NameMap-treeLookup arg-1 e-3)))))
(define LibrariesC-45DataC-45NameMap-keys (lambda (ext-0) ((csegen-101) (LibrariesC-45DataC-45NameMap-toList ext-0))))
(define LibrariesC-45DataC-45NameMap-insertFrom (lambda (ext-0 ext-1) (PreludeC-45Basics-flip (lambda (eta-0) (lambda (clam-0) (PreludeC-45Types-u--foldl_Foldable_List (csegen-953) eta-0 clam-0))) ext-0 ext-1)))
(define LibrariesC-45DataC-45NameMap-insert (lambda (arg-1 arg-2 arg-3) (if (null? arg-3) (cons 0 (vector 0 arg-1 arg-2)) (let ((e-2 (car arg-3))) (let ((e-3 (cdr arg-3))) (let ((sc1 (LibrariesC-45DataC-45NameMap-treeInsert arg-1 arg-2 e-3))) (case (vector-ref sc1 0) ((0) (let ((e-4 (vector-ref sc1 1))) (cons e-2 e-4))) (else (let ((e-5 (vector-ref sc1 1))) (cons (+ e-2 1) e-5))))))))))
(define LibrariesC-45DataC-45NameMap-fromList (lambda (arg-1) (PreludeC-45Types-u--foldl_Foldable_List (csegen-953) (LibrariesC-45DataC-45NameMap-empty) arg-1)))
(define LibrariesC-45DataC-45NameMap-filterBy (lambda (arg-1 arg-2) (if (null? arg-2) '() (let ((e-3 (cdr arg-2))) (LibrariesC-45DataC-45NameMap-treeFilterBy arg-1 e-3)))))
(define LibrariesC-45DataC-45NameMap-empty(blodwen-lazy (lambda () '())))
(define LibrariesC-45DataC-45NameMap-delete (lambda (arg-1 arg-2) (if (null? arg-2) '() (let ((e-2 (car arg-2))) (let ((e-3 (cdr arg-2))) (cond ((equal? e-2 0) (let ((sc2 (LibrariesC-45DataC-45NameMap-treeDelete 0 arg-1 e-3))) (case (vector-ref sc2 0) ((0) (let ((e-4 (vector-ref sc2 1))) (cons 0 e-4))) (else '()))))(else (let ((e-4 (- e-2 1))) (let ((sc1 (LibrariesC-45DataC-45NameMap-treeDelete (+ e-4 1) arg-1 e-3))) (case (vector-ref sc1 0) ((0) (let ((e-5 (vector-ref sc1 1))) (cons (+ e-4 1) e-5))) (else (let ((e-5 (vector-ref sc1 1))) (cons e-4 e-5)))))))))))))
(define LibrariesC-45DataC-45NameMap-branch7 (lambda (arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14) (vector 2 (vector 2 arg-2 arg-3 arg-4 arg-5 arg-6) arg-7 (vector 1 arg-8 arg-9 arg-10) arg-11 (vector 1 arg-12 arg-13 arg-14))))
(define LibrariesC-45DataC-45NameMap-branch6 (lambda (arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12) (vector 2 (vector 1 arg-2 arg-3 arg-4) arg-5 (vector 1 arg-6 arg-7 arg-8) arg-9 (vector 1 arg-10 arg-11 arg-12))))
(define LibrariesC-45DataC-45NameMap-branch5 (lambda (arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10) (vector 1 (vector 1 arg-2 arg-3 arg-4) arg-5 (vector 2 arg-6 arg-7 arg-8 arg-9 arg-10))))
(define LibrariesC-45DataC-45NameMap-branch4 (lambda (arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8) (vector 1 (vector 1 arg-2 arg-3 arg-4) arg-5 (vector 1 arg-6 arg-7 arg-8))))
(define LibrariesC-45DataC-45ANameMap-case--addToHier-11962 (lambda (arg-1 arg-2 arg-3 arg-4) (if (null? arg-4) arg-2 (let ((e-2 (unbox arg-4))) (let ((sc1 (LibrariesC-45DataC-45UserNameMap-lookup e-2 arg-2))) (if (null? sc1) (LibrariesC-45DataC-45UserNameMap-insert e-2 (cons (cons arg-3 arg-1) '()) arg-2) (let ((e-3 (unbox sc1))) (LibrariesC-45DataC-45UserNameMap-insert e-2 (LibrariesC-45DataC-45ANameMap-n--3786-11881-u--update arg-1 arg-2 arg-3 arg-1 e-3) arg-2))))))))
(define LibrariesC-45DataC-45ANameMap-case--lookupName-11771 (lambda (arg-1 arg-2 arg-3) (if (null? arg-3) (let ((sc1 (LibrariesC-45DataC-45ANameMap-lookupExact arg-2 arg-1))) (if (null? sc1) '() (let ((e-2 (unbox sc1))) (cons (cons arg-2 e-2) '())))) (let ((e-2 (unbox arg-3))) (let ((sc1 (LibrariesC-45DataC-45UserNameMap-lookup e-2 (let ((e-3 (cdr arg-1))) e-3)))) (if (null? sc1) '() (let ((e-3 (unbox sc1))) (PreludeC-45TypesC-45List-filterAppend '() (lambda (eta-0) (CoreC-45Name-matches arg-2 (Builtin-fst eta-0))) e-3))))))))
(define LibrariesC-45DataC-45ANameMap-n--3786-11881-u--update (lambda (arg-1 arg-2 arg-3 arg-4 arg-5) (if (null? arg-5) (cons (cons arg-3 arg-4) '()) (let ((e-2 (car arg-5))) (let ((e-3 (cdr arg-5))) (let ((sc1 (CoreC-45Name-u--C-61C-61_Eq_Name arg-3 (Builtin-fst e-2)))) (cond ((equal? sc1 1) (cons (cons arg-3 arg-4) e-3)) (else (cons e-2 (LibrariesC-45DataC-45ANameMap-n--3786-11881-u--update arg-1 arg-2 arg-3 arg-4 e-3))))))))))
(define LibrariesC-45DataC-45ANameMap-n--4051-12116-u--insertFrom (lambda (arg-1 arg-2 arg-3 arg-4 arg-5) (if (null? arg-4) arg-5 (let ((e-2 (car arg-4))) (let ((e-3 (cdr arg-4))) (let ((e-6 (car e-2))) (let ((e-7 (cdr e-2))) (LibrariesC-45DataC-45ANameMap-n--4051-12116-u--insertFrom arg-1 arg-2 arg-3 e-3 (LibrariesC-45DataC-45ANameMap-addName e-6 e-7 arg-5)))))))))
(define LibrariesC-45DataC-45ANameMap-n--4016-12078-u--fromListC-39 (lambda (arg-1 arg-2) (if (null? arg-2) arg-1 (let ((e-2 (car arg-2))) (let ((e-3 (cdr arg-2))) (let ((e-6 (car e-2))) (let ((e-7 (cdr e-2))) (LibrariesC-45DataC-45ANameMap-n--4016-12078-u--fromListC-39 (LibrariesC-45DataC-45ANameMap-addName e-6 e-7 arg-1) e-3))))))))
(define LibrariesC-45DataC-45ANameMap-toList (lambda (arg-1) (LibrariesC-45DataC-45NameMap-toList (let ((e-1 (car arg-1))) e-1))))
(define LibrariesC-45DataC-45ANameMap-merge (lambda (arg-1 arg-2) (let ((e-1 (car arg-1))) (let ((e-2 (cdr arg-1))) (LibrariesC-45DataC-45ANameMap-n--4051-12116-u--insertFrom e-2 e-1 arg-2 (LibrariesC-45DataC-45NameMap-toList e-1) arg-2)))))
(define LibrariesC-45DataC-45ANameMap-lookupName (lambda (arg-1 arg-2) (LibrariesC-45DataC-45ANameMap-case--lookupName-11771 arg-2 arg-1 (CoreC-45Name-userNameRoot arg-1))))
(define LibrariesC-45DataC-45ANameMap-lookupExact (lambda (arg-1 arg-2) (LibrariesC-45DataC-45NameMap-lookup arg-1 (let ((e-1 (car arg-2))) e-1))))
(define LibrariesC-45DataC-45ANameMap-fromList (lambda (ext-0) (LibrariesC-45DataC-45ANameMap-n--4016-12078-u--fromListC-39 (LibrariesC-45DataC-45ANameMap-empty) ext-0)))
(define LibrariesC-45DataC-45ANameMap-empty(blodwen-lazy (lambda () (cons (LibrariesC-45DataC-45NameMap-empty) (LibrariesC-45DataC-45UserNameMap-empty)))))
(define LibrariesC-45DataC-45ANameMap-addToHier (lambda (arg-1 arg-2 arg-3) (LibrariesC-45DataC-45ANameMap-case--addToHier-11962 arg-2 arg-3 arg-1 (CoreC-45Name-userNameRoot arg-1))))
(define LibrariesC-45DataC-45ANameMap-addName (lambda (arg-1 arg-2 arg-3) (let ((e-1 (car arg-3))) (let ((e-2 (cdr arg-3))) (let ((u--dictC-39 (LibrariesC-45DataC-45NameMap-insert arg-1 arg-2 e-1))) (let ((u--hierC-39 (LibrariesC-45DataC-45ANameMap-addToHier arg-1 arg-2 e-2))) (cons u--dictC-39 u--hierC-39)))))))
(define LibrariesC-45DataC-45UserNameMap-n--5475-10748-u--treeToListC-39 (lambda (arg-3 arg-4) (case (vector-ref arg-4 0) ((0) (let ((e-1 (vector-ref arg-4 1))) (let ((e-2 (vector-ref arg-4 2))) (arg-3 (cons e-1 e-2))))) ((1) (let ((e-5 (vector-ref arg-4 1))) (let ((e-7 (vector-ref arg-4 3))) (LibrariesC-45DataC-45UserNameMap-n--5475-10748-u--treeToListC-39 (lambda (arg-0) (cons arg-0 (LibrariesC-45DataC-45UserNameMap-n--5475-10748-u--treeToListC-39 arg-3 e-7))) e-5)))) (else (let ((e-10 (vector-ref arg-4 1))) (let ((e-12 (vector-ref arg-4 3))) (let ((e-14 (vector-ref arg-4 5))) (LibrariesC-45DataC-45UserNameMap-n--5475-10748-u--treeToListC-39 (lambda (arg-0) (cons arg-0 (LibrariesC-45DataC-45UserNameMap-n--5475-10748-u--treeToListC-39 (lambda (arg-1) (cons arg-1 (LibrariesC-45DataC-45UserNameMap-n--5475-10748-u--treeToListC-39 arg-3 e-14))) e-12))) e-10))))))))
(define LibrariesC-45DataC-45UserNameMap-n--6088-11364-u--inserted (lambda (arg-1 arg-2 arg-3) (PreludeC-45Types-listBind (LibrariesC-45DataC-45UserNameMap-toList arg-1) (lambda (_-0) (let ((e-2 (car _-0))) (let ((e-3 (cdr _-0))) (let ((u--vC-39 ((PreludeC-45Types-maybe (lambda () (lambda (eta-0) eta-0)) (lambda () arg-3) (LibrariesC-45DataC-45UserNameMap-lookup e-2 arg-2)) e-3))) (PreludeC-45Types-u--pure_Applicative_List (cons e-2 u--vC-39)))))))))
(define LibrariesC-45DataC-45UserNameMap-treeToList (lambda (ext-0) (LibrariesC-45DataC-45UserNameMap-n--5475-10748-u--treeToListC-39 (lambda (arg-0) (cons arg-0 '())) ext-0)))
(define LibrariesC-45DataC-45UserNameMap-treeLookup (lambda (arg-2 arg-3) (case (vector-ref arg-3 0) ((0) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((sc1 (CoreC-45Name-u--C-61C-61_Eq_UserName arg-2 e-1))) (cond ((equal? sc1 1) (box e-2)) (else '())))))) ((1) (let ((e-5 (vector-ref arg-3 1))) (let ((e-6 (vector-ref arg-3 2))) (let ((e-7 (vector-ref arg-3 3))) (let ((sc1 (CoreC-45Name-u--C-60C-61_Ord_UserName arg-2 e-6))) (cond ((equal? sc1 1) (LibrariesC-45DataC-45UserNameMap-treeLookup arg-2 e-5)) (else (LibrariesC-45DataC-45UserNameMap-treeLookup arg-2 e-7)))))))) (else (let ((e-10 (vector-ref arg-3 1))) (let ((e-11 (vector-ref arg-3 2))) (let ((e-12 (vector-ref arg-3 3))) (let ((e-13 (vector-ref arg-3 4))) (let ((e-14 (vector-ref arg-3 5))) (let ((sc1 (CoreC-45Name-u--C-60C-61_Ord_UserName arg-2 e-11))) (cond ((equal? sc1 1) (LibrariesC-45DataC-45UserNameMap-treeLookup arg-2 e-10)) (else (let ((sc2 (CoreC-45Name-u--C-60C-61_Ord_UserName arg-2 e-13))) (cond ((equal? sc2 1) (LibrariesC-45DataC-45UserNameMap-treeLookup arg-2 e-12)) (else (LibrariesC-45DataC-45UserNameMap-treeLookup arg-2 e-14))))))))))))))))
(define LibrariesC-45DataC-45UserNameMap-treeInsertC-39 (lambda (arg-2 arg-3 arg-4) (case (vector-ref arg-4 0) ((0) (let ((e-1 (vector-ref arg-4 1))) (let ((e-2 (vector-ref arg-4 2))) (let ((sc1 (CoreC-45Name-u--compare_Ord_UserName arg-2 e-1))) (cond ((equal? sc1 0) (vector 1 (cons (vector 0 arg-2 arg-3) (cons arg-2 (vector 0 e-1 e-2))))) ((equal? sc1 1) (vector 0 (vector 0 arg-2 arg-3))) (else (vector 1 (cons (vector 0 e-1 e-2) (cons e-1 (vector 0 arg-2 arg-3)))))))))) ((1) (let ((e-5 (vector-ref arg-4 1))) (let ((e-6 (vector-ref arg-4 2))) (let ((e-7 (vector-ref arg-4 3))) (let ((sc1 (CoreC-45Name-u--C-60C-61_Ord_UserName arg-2 e-6))) (cond ((equal? sc1 1) (let ((sc2 (LibrariesC-45DataC-45UserNameMap-treeInsertC-39 arg-2 arg-3 e-5))) (case (vector-ref sc2 0) ((0) (let ((e-2 (vector-ref sc2 1))) (vector 0 (vector 1 e-2 e-6 e-7)))) (else (let ((e-8 (vector-ref sc2 1))) (let ((e-10 (car e-8))) (let ((e-9 (cdr e-8))) (let ((e-12 (car e-9))) (let ((e-13 (cdr e-9))) (vector 0 (vector 2 e-10 e-12 e-13 e-6 e-7))))))))))) (else (let ((sc2 (LibrariesC-45DataC-45UserNameMap-treeInsertC-39 arg-2 arg-3 e-7))) (case (vector-ref sc2 0) ((0) (let ((e-2 (vector-ref sc2 1))) (vector 0 (vector 1 e-5 e-6 e-2)))) (else (let ((e-8 (vector-ref sc2 1))) (let ((e-10 (car e-8))) (let ((e-9 (cdr e-8))) (let ((e-12 (car e-9))) (let ((e-13 (cdr e-9))) (vector 0 (vector 2 e-5 e-6 e-10 e-12 e-13))))))))))))))))) (else (let ((e-10 (vector-ref arg-4 1))) (let ((e-11 (vector-ref arg-4 2))) (let ((e-12 (vector-ref arg-4 3))) (let ((e-13 (vector-ref arg-4 4))) (let ((e-14 (vector-ref arg-4 5))) (let ((sc1 (CoreC-45Name-u--C-60C-61_Ord_UserName arg-2 e-11))) (cond ((equal? sc1 1) (let ((sc2 (LibrariesC-45DataC-45UserNameMap-treeInsertC-39 arg-2 arg-3 e-10))) (case (vector-ref sc2 0) ((0) (let ((e-2 (vector-ref sc2 1))) (vector 0 (vector 2 e-2 e-11 e-12 e-13 e-14)))) (else (let ((e-5 (vector-ref sc2 1))) (let ((e-8 (car e-5))) (let ((e-9 (cdr e-5))) (let ((e-16 (car e-9))) (let ((e-15 (cdr e-9))) (vector 1 (cons (vector 1 e-8 e-16 e-15) (cons e-11 (vector 1 e-12 e-13 e-14))))))))))))) (else (let ((sc2 (CoreC-45Name-u--C-60C-61_Ord_UserName arg-2 e-13))) (cond ((equal? sc2 1) (let ((sc3 (LibrariesC-45DataC-45UserNameMap-treeInsertC-39 arg-2 arg-3 e-12))) (case (vector-ref sc3 0) ((0) (let ((e-2 (vector-ref sc3 1))) (vector 0 (vector 2 e-10 e-11 e-2 e-13 e-14)))) (else (let ((e-5 (vector-ref sc3 1))) (let ((e-8 (car e-5))) (let ((e-9 (cdr e-5))) (let ((e-16 (car e-9))) (let ((e-15 (cdr e-9))) (vector 1 (cons (vector 1 e-10 e-11 e-8) (cons e-16 (vector 1 e-15 e-13 e-14))))))))))))) (else (let ((sc3 (LibrariesC-45DataC-45UserNameMap-treeInsertC-39 arg-2 arg-3 e-14))) (case (vector-ref sc3 0) ((0) (let ((e-2 (vector-ref sc3 1))) (vector 0 (vector 2 e-10 e-11 e-12 e-13 e-2)))) (else (let ((e-5 (vector-ref sc3 1))) (let ((e-8 (car e-5))) (let ((e-9 (cdr e-5))) (let ((e-16 (car e-9))) (let ((e-15 (cdr e-9))) (vector 1 (cons (vector 1 e-10 e-11 e-12) (cons e-13 (vector 1 e-8 e-16 e-15)))))))))))))))))))))))))))
(define LibrariesC-45DataC-45UserNameMap-treeInsert (lambda (arg-2 arg-3 arg-4) (let ((sc0 (LibrariesC-45DataC-45UserNameMap-treeInsertC-39 arg-2 arg-3 arg-4))) (case (vector-ref sc0 0) ((0) (let ((e-2 (vector-ref sc0 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref sc0 1))) (let ((e-8 (car e-5))) (let ((e-9 (cdr e-5))) (let ((e-12 (car e-9))) (let ((e-13 (cdr e-9))) (vector 1 (vector 1 e-8 e-12 e-13))))))))))))
(define LibrariesC-45DataC-45UserNameMap-toList (lambda (arg-1) (if (null? arg-1) '() (let ((e-3 (cdr arg-1))) (LibrariesC-45DataC-45UserNameMap-treeToList e-3)))))
(define LibrariesC-45DataC-45UserNameMap-mergeWith (lambda (arg-1 arg-2 arg-3) (LibrariesC-45DataC-45UserNameMap-insertFrom (LibrariesC-45DataC-45UserNameMap-n--6088-11364-u--inserted arg-3 arg-2 arg-1) arg-2)))
(define LibrariesC-45DataC-45UserNameMap-mergeLeft (lambda (arg-1 arg-2) (LibrariesC-45DataC-45UserNameMap-mergeWith (lambda (eta-0) (lambda (eta-1) eta-0)) arg-1 arg-2)))
(define LibrariesC-45DataC-45UserNameMap-lookup (lambda (arg-1 arg-2) (if (null? arg-2) '() (let ((e-3 (cdr arg-2))) (LibrariesC-45DataC-45UserNameMap-treeLookup arg-1 e-3)))))
(define LibrariesC-45DataC-45UserNameMap-insertFrom (lambda (ext-0 ext-1) (PreludeC-45Basics-flip (lambda (eta-0) (lambda (clam-0) (PreludeC-45Types-u--foldl_Foldable_List (lambda (eta-1) (lambda (eta-2) (PreludeC-45Basics-flip (lambda (eta-3) (PreludeC-45Basics-uncurry (lambda (eta-4) (lambda (eta-5) (lambda (eta-6) (LibrariesC-45DataC-45UserNameMap-insert eta-4 eta-5 eta-6)))) eta-3)) eta-1 eta-2))) eta-0 clam-0))) ext-0 ext-1)))
(define LibrariesC-45DataC-45UserNameMap-insert (lambda (arg-1 arg-2 arg-3) (if (null? arg-3) (cons 0 (vector 0 arg-1 arg-2)) (let ((e-2 (car arg-3))) (let ((e-3 (cdr arg-3))) (let ((sc1 (LibrariesC-45DataC-45UserNameMap-treeInsert arg-1 arg-2 e-3))) (case (vector-ref sc1 0) ((0) (let ((e-4 (vector-ref sc1 1))) (cons e-2 e-4))) (else (let ((e-5 (vector-ref sc1 1))) (cons (+ e-2 1) e-5))))))))))
(define LibrariesC-45DataC-45UserNameMap-empty(blodwen-lazy (lambda () '())))
(define IdrisC-45SyntaxC-45Pragmas-u--show_Show_PragmaArg (lambda (arg-0) (case (vector-ref arg-0 0) ((0) (let ((e-0 (vector-ref arg-0 1))) e-0)) ((1) "nm xs f") ((2) "ty fst snd") ((3) "eq rew") ((4) "on|off") ((5) "[topic]") ((6) "nat") ((7) "expr") ((8) (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (DataC-45List-intersperse "|" (csegen-961)))) (else "partial|total|covering"))))
(define IdrisC-45SyntaxC-45Pragmas-u--show_Show_LangExt (lambda (arg-0) (cond ((equal? arg-0 0) "ElabReflection") (else "Borrowing"))))
(define IdrisC-45SyntaxC-45Pragmas-u--show_Show_KwPragma (lambda (arg-0) (cond ((equal? arg-0 0) "%hide") ((equal? arg-0 1) "%unhide") ((equal? arg-0 2) "%logging") ((equal? arg-0 3) ((csegen-0) "%auto_lazy")) ((equal? arg-0 4) ((csegen-0) "%unbound_implicits")) ((equal? arg-0 5) ((csegen-0) "%ambiguity_depth")) ((equal? arg-0 6) "%pair") ((equal? arg-0 7) "%rewrite") ((equal? arg-0 8) ((csegen-0) "%integerLit")) ((equal? arg-0 9) ((csegen-0) "%stringLit")) ((equal? arg-0 10) "%charLit") ((equal? arg-0 11) ((csegen-0) "%doubleLit")) ((equal? arg-0 12) "%name") ((equal? arg-0 13) "%start") ((equal? arg-0 14) ((csegen-0) "%allow_overloads")) ((equal? arg-0 15) "%language") ((equal? arg-0 16) "%default") ((equal? arg-0 17) ((csegen-0) "%prefix_record_projections")) ((equal? arg-0 18) ((csegen-0) "%auto-implicit_depth")) ((equal? arg-0 19) ((csegen-0) "%metavar_threshold")) (else ((csegen-0) "%search_timeout")))))
(define IdrisC-45SyntaxC-45Pragmas-u--C-61C-61_Eq_LangExt (lambda (arg-0 arg-1) (cond ((equal? arg-0 0) (cond ((equal? arg-1 0) 1)(else 0))) ((equal? arg-0 1) (cond ((equal? arg-1 1) 1)(else 0)))(else 0))))
(define IdrisC-45SyntaxC-45Pragmas-u--C-47C-61_Eq_LangExt (lambda (arg-0 arg-1) (let ((sc0 (IdrisC-45SyntaxC-45Pragmas-u--C-61C-61_Eq_LangExt arg-0 arg-1))) (cond ((equal? sc0 1) 0) (else 1)))))
(define IdrisC-45SyntaxC-45Pragmas-pragmaTopics(blodwen-lazy (lambda () (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (DataC-45List-intersperse "\xa;" (((csegen-25) (lambda (arg-0) (string-append "+ " arg-0))) (((csegen-25) (lambda (u--kw) (DataC-45String-unwords (cons (IdrisC-45SyntaxC-45Pragmas-u--show_Show_KwPragma u--kw) (((csegen-25) (lambda (eta-0) (IdrisC-45SyntaxC-45Pragmas-u--show_Show_PragmaArg eta-0))) (IdrisC-45SyntaxC-45Pragmas-pragmaArgs u--kw)))))) (IdrisC-45SyntaxC-45Pragmas-allPragmas))))))))
(define IdrisC-45SyntaxC-45Pragmas-pragmaArgs (lambda (arg-0) (cond ((equal? arg-0 0) (cons (vector 0 "nm") '())) ((equal? arg-0 1) (cons (vector 0 "nm") '())) ((equal? arg-0 2) (cons (vector 5 ) (cons (vector 6 ) '()))) ((equal? arg-0 3) (cons (vector 4 ) '())) ((equal? arg-0 4) (cons (vector 4 ) '())) ((equal? arg-0 5) (cons (vector 6 ) '())) ((equal? arg-0 6) (cons (vector 2 ) '())) ((equal? arg-0 7) (cons (vector 3 ) '())) ((equal? arg-0 8) (cons (vector 0 "nm") '())) ((equal? arg-0 9) (cons (vector 0 "nm") '())) ((equal? arg-0 10) (cons (vector 0 "nm") '())) ((equal? arg-0 11) (cons (vector 0 "nm") '())) ((equal? arg-0 12) (cons (vector 1 ) '())) ((equal? arg-0 13) (cons (vector 7 ) '())) ((equal? arg-0 14) (cons (vector 0 "nm") '())) ((equal? arg-0 15) (cons (vector 8 ) '())) ((equal? arg-0 16) (cons (vector 9 ) '())) ((equal? arg-0 17) (cons (vector 4 ) '())) ((equal? arg-0 18) (cons (vector 6 ) '())) ((equal? arg-0 19) (cons (vector 6 ) '())) (else (cons (vector 6 ) '())))))
(define IdrisC-45SyntaxC-45Pragmas-allPragmas(blodwen-lazy (lambda () (cons 0 (cons 1 (cons 2 (cons 3 (cons 4 (cons 5 (cons 6 (cons 7 (cons 8 (cons 9 (cons 10 (cons 11 (cons 12 (cons 13 (cons 14 (cons 15 (cons 16 (cons 17 (cons 18 (cons 19 (cons 20 '()))))))))))))))))))))))))
(define IdrisC-45SyntaxC-45Pragmas-allLangExts(blodwen-lazy (lambda () (csegen-1004))))
(define TTImpC-45TTImp-case--weakenNs-5158 (lambda (arg-2 arg-3 arg-4) (let ((eff-0 arg-3)) (cond ((equal? eff-0 0) (if (null? arg-4) arg-2 (let ((e-3 (unbox arg-4))) (TTImpC-45TTImp-u--weaken_Weaken_NestedNames (TTImpC-45TTImp-u--weakenNs_Weaken_NestedNames e-3 arg-2)))))(else (let ((e-3 (unbox arg-4))) (TTImpC-45TTImp-u--weaken_Weaken_NestedNames (TTImpC-45TTImp-u--weakenNs_Weaken_NestedNames e-3 arg-2))))))))
(define TTImpC-45TTImp-n--7439-5192-u--wknName (lambda (arg-2 arg-3) (let ((e-2 (car arg-3))) (let ((e-3 (cdr arg-3))) (let ((e-6 (car e-3))) (let ((e-7 (cdr e-3))) (let ((e-10 (car e-7))) (let ((e-11 (cdr e-7))) (cons e-2 (cons e-6 (cons ((csegen-1005) e-10) (lambda (u--fc) (lambda (u--nt) (CoreC-45TT-u--weaken_Weaken_Term ((e-11 u--fc) u--nt)))))))))))))))
(define TTImpC-45TTImp-n--11868-9425-u--updateNs (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10) (if (null? arg-10) '() (let ((e-1 (car arg-10))) (let ((e-2 (cdr arg-10))) (if (null? e-1) (box e-2) (let ((sc2 (PreludeC-45Types-u--C-61C-61_Eq_C-40MaybeC-32C-36aC-41 (csegen-1008) (box arg-9) e-1))) (cond ((equal? sc2 1) (box e-2)) (else (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (TTImpC-45TTImp-n--11868-9425-u--updateNs arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-2) (lambda (u--nsC-39) (box (cons e-1 u--nsC-39)))))))))))))
(define TTImpC-45TTImp-n--12940-10567-u--toRF (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13) (case (vector-ref arg-13 0) ((1) (let ((e-0 (vector-ref arg-13 1))) (case (vector-ref e-0 0) ((0) (let ((e-1 (vector-ref e-0 1))) (vector 1 (vector 1 e-1))))(else arg-13))))(else arg-13))))
(define TTImpC-45TTImp-n--11844-9350-u--setAs (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (case (vector-ref arg-7 0) ((8) (let ((e-1 (vector-ref arg-7 1))) (let ((e-2 (vector-ref arg-7 2))) (let ((e-3 (vector-ref arg-7 3))) (let ((eff-0 (TTImpC-45TTImp-n--11844-9350-u--setAs arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 (cons '() arg-6) e-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 8 e-1 e-5 e-3))))) eff-1))))))))))) ((9) (let ((e-5 (vector-ref arg-7 1))) (let ((e-6 (vector-ref arg-7 2))) (let ((e-7 (vector-ref arg-7 3))) (let ((eff-0 (TTImpC-45TTImp-n--11844-9350-u--setAs arg-0 arg-1 arg-2 arg-3 arg-4 (cons '() arg-5) arg-6 e-6))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 9 e-5 e-8 e-7))))) eff-1))))))))))) ((10) (let ((e-9 (vector-ref arg-7 1))) (let ((e-10 (vector-ref arg-7 2))) (let ((e-11 (vector-ref arg-7 3))) (let ((e-12 (vector-ref arg-7 4))) (let ((eff-0 (TTImpC-45TTImp-n--11844-9350-u--setAs arg-0 arg-1 arg-2 arg-3 arg-4 (cons (box e-11) arg-5) (cons (box e-11) arg-6) e-10))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 10 e-9 e-5 e-11 e-12))))) eff-1)))))))))))) ((11) (let ((e-14 (vector-ref arg-7 1))) (let ((e-15 (vector-ref arg-7 2))) (let ((e-16 (vector-ref arg-7 3))) (let ((eff-0 (TTImpC-45TTImp-n--11844-9350-u--setAs arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-15))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 11 e-14 e-5 e-16))))) eff-1))))))))))) ((0) (let ((e-18 (vector-ref arg-7 1))) (let ((e-19 (vector-ref arg-7 2))) (let ((eff-0 (CoreC-45Context-lookupTyExact (vector 8 arg-3) (let ((e-0 (vector-ref arg-2 0))) e-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (if (null? e-5) (let ((eff-1 (CoreC-45ContextC-45Log-log arg-4 (csegen-1009) 30 (lambda () (string-append ((csegen-0) "Could not find variable ") (PreludeC-45Show-u--show_Show_Int arg-3)))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (lambda (eta-0) (vector 1 (vector 0 e-18 e-19))))) eff-2)))))) (let ((e-2 (unbox e-5))) (let ((eff-1 (CoreC-45NormaliseC-45Eval-nf arg-4 '() arg-2 '() e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-3 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45TTImp-n--11868-9426-u--findImps arg-0 arg-1 arg-2 arg-3 arg-4 e-19 e-18 arg-6 arg-5 arg-5 arg-6 arg-1 e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-3 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45ContextC-45Log-log arg-4 (csegen-1009) 30 (lambda () (string-append ((csegen-0) "\xa;  In the type of ") (string-append (PreludeC-45Show-u--show_Show_Int arg-3) (string-append ": " (string-append (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-2) (string-append ((csegen-0) "\xa;  Using locals: ") (string-append (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-100) arg-1) (string-append ((csegen-0) "\xa;  Found implicits: ") (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (cons (lambda (u--x) (PreludeC-45Show-u--show_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-1020) u--x)) (lambda (u--d) (lambda (u--x) (PreludeC-45Show-u--showPrec_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-1020) u--d u--x)))) e-7)))))))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-3 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-4 (lambda (eta-0) (vector 1 (TTImpC-45TTImp-n--11868-9427-u--impAs arg-0 arg-1 arg-2 arg-3 arg-4 e-19 e-18 arg-6 arg-5 (CoreC-45FC-virtualiseFC e-18) e-7 (vector 0 e-18 e-19)))))) eff-4)))))))) eff-3))))))))) eff-2))))))))))) eff-1))))))))))(else (lambda (eta-0) (vector 1 arg-7))))))
(define TTImpC-45TTImp-n--11868-9427-u--impAs (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11) (if (null? arg-10) arg-11 (let ((e-2 (car arg-10))) (let ((e-3 (cdr arg-10))) (if (null? e-2) (TTImpC-45TTImp-n--11868-9427-u--impAs arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-3 arg-11) (let ((e-6 (car e-2))) (let ((e-7 (cdr e-2))) (case (vector-ref e-6 0) ((1) (let ((e-11 (vector-ref e-6 1))) (case (vector-ref e-11 0) ((0) (let ((e-12 (vector-ref e-11 1))) (case (vector-ref e-7 0) ((2) (TTImpC-45TTImp-n--11868-9427-u--impAs arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-3 (vector 10 arg-9 arg-11 e-6 (vector 17 arg-9 e-12))))(else (case (vector-ref e-7 0) ((0) (TTImpC-45TTImp-n--11868-9427-u--impAs arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-3 (vector 10 arg-9 arg-11 e-6 (vector 18 arg-9 (vector 2 ) 0 e-6 (vector 32 arg-9 1))))) ((3) (TTImpC-45TTImp-n--11868-9427-u--impAs arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-3 (vector 10 arg-9 arg-11 e-6 (vector 18 arg-9 (vector 2 ) 0 e-6 (vector 32 arg-9 1)))))(else (TTImpC-45TTImp-n--11868-9427-u--impAs arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-3 arg-11)))))))(else (case (vector-ref e-7 0) ((0) (TTImpC-45TTImp-n--11868-9427-u--impAs arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-3 (vector 10 arg-9 arg-11 e-6 (vector 18 arg-9 (vector 2 ) 0 e-6 (vector 32 arg-9 1))))) ((3) (TTImpC-45TTImp-n--11868-9427-u--impAs arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-3 (vector 10 arg-9 arg-11 e-6 (vector 18 arg-9 (vector 2 ) 0 e-6 (vector 32 arg-9 1)))))(else (TTImpC-45TTImp-n--11868-9427-u--impAs arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-3 arg-11)))))))(else (case (vector-ref e-7 0) ((0) (TTImpC-45TTImp-n--11868-9427-u--impAs arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-3 (vector 10 arg-9 arg-11 e-6 (vector 18 arg-9 (vector 2 ) 0 e-6 (vector 32 arg-9 1))))) ((3) (TTImpC-45TTImp-n--11868-9427-u--impAs arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-3 (vector 10 arg-9 arg-11 e-6 (vector 18 arg-9 (vector 2 ) 0 e-6 (vector 32 arg-9 1)))))(else (TTImpC-45TTImp-n--11868-9427-u--impAs arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-3 arg-11)))))))))))))
(define TTImpC-45TTImp-n--12927-10330-u--getName (lambda (arg-0 arg-1 arg-2) (let ((e-3 (vector-ref arg-2 2))) e-3)))
(define TTImpC-45TTImp-n--12927-10331-u--getFieldName (lambda (arg-0 arg-1 arg-2) (let ((e-4 (vector-ref arg-2 3))) e-4)))
(define TTImpC-45TTImp-n--12940-10568-u--fnsUN (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12) (((csegen-25) (lambda (eta-0) (TTImpC-45TTImp-n--12927-10331-u--getFieldName arg-0 arg-1 eta-0))) arg-7)))
(define TTImpC-45TTImp-n--12940-10569-u--fnsRF (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12) (((csegen-25) (lambda (eta-0) (TTImpC-45TTImp-n--12940-10567-u--toRF arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 eta-0))) (TTImpC-45TTImp-n--12940-10568-u--fnsUN arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12))))
(define TTImpC-45TTImp-n--12940-10566-u--fldnsC-39 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12) (PreludeC-45Types-maybe (lambda () arg-12) (lambda () (lambda (u--f) (CoreC-45NameC-45Namespace-C-60C-46C-62 arg-12 (CoreC-45NameC-45Namespace-mkNamespace u--f)))) arg-11)))
(define TTImpC-45TTImp-n--11868-9426-u--findImps (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12) (if (null? arg-11) (case (vector-ref arg-12 0) ((0) (let ((e-16 (vector-ref arg-12 1))) (let ((e-17 (vector-ref arg-12 2))) (let ((e-18 (vector-ref arg-12 3))) (let ((e-19 (vector-ref arg-12 4))) (case (vector-ref e-18 0) ((2) (let ((e-23 (vector-ref e-18 3))) (case (vector-ref e-23 0) ((1) (let ((eff-0 ((e-19 arg-2) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 e-16 (vector 0 )))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (if (null? arg-10) (let ((sc6 (TTImpC-45TTImp-n--11868-9425-u--updateNs arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 e-17 arg-10))) (if (null? sc6) (lambda (eta-0) (vector 1 '())) (let ((e-2 (unbox sc6))) (TTImpC-45TTImp-n--11868-9426-u--findImps arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-2 '() e-5)))) (let ((e-1 (car arg-10))) (if (null? e-1) (let ((sc7 (TTImpC-45TTImp-n--11868-9425-u--updateNs arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 e-17 arg-10))) (if (null? sc7) (lambda (eta-0) (vector 1 '())) (let ((e-3 (unbox sc7))) (TTImpC-45TTImp-n--11868-9426-u--findImps arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-3 '() e-5)))) (let ((e-4 (unbox e-1))) (case (vector-ref e-4 0) ((1) (let ((e-6 (vector-ref e-4 1))) (case (vector-ref e-6 0) ((2) (TTImpC-45TTImp-n--11868-9426-u--findImps arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 '() e-5))(else (let ((sc8 (TTImpC-45TTImp-n--11868-9425-u--updateNs arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 e-17 arg-10))) (if (null? sc8) (lambda (eta-0) (vector 1 '())) (let ((e-3 (unbox sc8))) (TTImpC-45TTImp-n--11868-9426-u--findImps arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-3 '() e-5))))))))(else (let ((sc7 (TTImpC-45TTImp-n--11868-9425-u--updateNs arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 e-17 arg-10))) (if (null? sc7) (lambda (eta-0) (vector 1 '())) (let ((e-3 (unbox sc7))) (TTImpC-45TTImp-n--11868-9426-u--findImps arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-3 '() e-5)))))))))))) eff-1)))))))) ((2) (let ((eff-0 ((e-19 arg-2) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 e-16 (vector 0 )))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((sc5 (TTImpC-45TTImp-n--11868-9425-u--updateNs arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 e-17 arg-9))) (if (null? sc5) (let ((eff-1 (TTImpC-45TTImp-n--11868-9426-u--findImps arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 '() e-5))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (cons (cons e-17 (vector 2 )) e-6))))) eff-2))))))) (let ((e-2 (unbox sc5))) (TTImpC-45TTImp-n--11868-9426-u--findImps arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 e-2 arg-10 '() e-5)))))) eff-1))))))))(else (let ((eff-0 ((e-19 arg-2) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 e-16 (vector 0 )))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((sc4 (PreludeC-45Types-elem (csegen-16) (csegen-1028) (box e-17) arg-9))) (cond ((equal? sc4 1) (TTImpC-45TTImp-n--11868-9426-u--findImps arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 '() e-5)) (else (let ((eff-1 (TTImpC-45TTImp-n--11868-9426-u--findImps arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 '() e-5))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (cons (cons e-17 (CoreC-45TT-forgetDef e-23)) e-6))))) eff-2)))))))))))) eff-1)))))))))))(else (let ((eff-0 (CoreC-45ContextC-45Log-log arg-4 "declare.def.lhs.implicits" 50 (lambda () (string-append "Giving up with the following locals left: " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-100) arg-11)))))) (PrimIO-io_bind eff-0 (csegen-1025))))))))))(else (let ((eff-0 (CoreC-45ContextC-45Log-log arg-4 "declare.def.lhs.implicits" 50 (lambda () (string-append "Giving up with the following locals left: " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-100) arg-11)))))) (PrimIO-io_bind eff-0 (csegen-1025))))) (let ((e-2 (cdr arg-11))) (case (vector-ref arg-12 0) ((0) (let ((e-5 (vector-ref arg-12 1))) (let ((e-7 (vector-ref arg-12 3))) (let ((e-8 (vector-ref arg-12 4))) (case (vector-ref e-7 0) ((2) (let ((e-12 (vector-ref e-7 3))) (case (vector-ref e-12 0) ((1) (let ((eff-0 ((e-8 arg-2) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 e-5 (vector 0 )))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-9 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45TTImp-n--11868-9426-u--findImps arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 e-2 e-9))) eff-1))))))))(else (let ((eff-0 (CoreC-45ContextC-45Log-log arg-4 "declare.def.lhs.implicits" 50 (lambda () (string-append "Giving up with the following locals left: " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-100) arg-11)))))) (PrimIO-io_bind eff-0 (csegen-1025)))))))(else (let ((eff-0 (CoreC-45ContextC-45Log-log arg-4 "declare.def.lhs.implicits" 50 (lambda () (string-append "Giving up with the following locals left: " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-100) arg-11)))))) (PrimIO-io_bind eff-0 (csegen-1025)))))))))(else (let ((eff-0 (CoreC-45ContextC-45Log-log arg-4 "declare.def.lhs.implicits" 50 (lambda () (string-append "Giving up with the following locals left: " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-100) arg-11)))))) (PrimIO-io_bind eff-0 (csegen-1025)))))))))
(define TTImpC-45TTImp-n--12927-10332-u--expandNS (lambda (arg-0 arg-1 arg-2 arg-3) (let ((sc0 (CoreC-45NameC-45Namespace-u--C-61C-61_Eq_Namespace arg-2 (CoreC-45NameC-45Namespace-emptyNS)))) (cond ((equal? sc0 1) arg-3) (else (case (vector-ref arg-3 0) ((1) (vector 0 arg-2 arg-3)) ((2) (vector 0 arg-2 arg-3)) ((4) (vector 0 arg-2 arg-3))(else arg-3)))))))
(define TTImpC-45TTImp-n--12927-10333-u--defName (lambda (arg-0 arg-1 arg-2 arg-3) (case (vector-ref arg-3 0) ((0) (let ((e-5 (vector-ref arg-3 5))) (cons (TTImpC-45TTImp-n--12927-10332-u--expandNS arg-0 arg-1 arg-2 (TTImpC-45TTImp-n--12927-10330-u--getName arg-0 arg-1 e-5)) '()))) ((1) (let ((e-10 (vector-ref arg-3 4))) (case (vector-ref e-10 0) ((0) (let ((e-35 (vector-ref e-10 2))) (let ((e-38 (vector-ref e-10 5))) (cons (TTImpC-45TTImp-n--12927-10332-u--expandNS arg-0 arg-1 arg-2 e-35) (((csegen-25) (lambda (eta-0) (TTImpC-45TTImp-n--12927-10332-u--expandNS arg-0 arg-1 arg-2 eta-0))) (((csegen-25) (lambda (eta-0) (TTImpC-45TTImp-n--12927-10330-u--getName arg-0 arg-1 eta-0))) e-38)))))) ((1) (let ((e-41 (vector-ref e-10 2))) (cons (TTImpC-45TTImp-n--12927-10332-u--expandNS arg-0 arg-1 arg-2 e-41) '())))(else '())))) ((3) (let ((e-14 (vector-ref arg-3 3))) (PreludeC-45Interfaces-concatMap (csegen-83) (csegen-16) (lambda (eta-0) (TTImpC-45TTImp-n--12927-10333-u--defName arg-0 arg-1 arg-2 eta-0)) e-14))) ((5) (let ((e-18 (vector-ref arg-3 3))) (PreludeC-45Interfaces-concatMap (csegen-83) (csegen-16) (lambda (eta-0) (TTImpC-45TTImp-n--12927-10333-u--defName arg-0 arg-1 arg-2 eta-0)) e-18))) ((6) (let ((e-21 (vector-ref arg-3 2))) (let ((e-22 (vector-ref arg-3 3))) (PreludeC-45Interfaces-concatMap (csegen-83) (csegen-16) (lambda (eta-0) (TTImpC-45TTImp-n--12927-10333-u--defName arg-0 arg-1 (CoreC-45NameC-45Namespace-C-60C-46C-62 arg-2 e-21) eta-0)) e-22)))) ((4) (let ((e-24 (vector-ref arg-3 1))) (let ((e-25 (vector-ref arg-3 2))) (let ((e-26 (vector-ref arg-3 3))) (let ((e-27 (vector-ref arg-3 4))) (let ((e-28 (vector-ref arg-3 5))) (let ((e-44 (vector-ref e-28 0))) (let ((e-45 (vector-ref e-28 1))) (let ((e-46 (vector-ref e-28 2))) (let ((e-47 (vector-ref e-28 3))) (let ((e-48 (vector-ref e-28 4))) (let ((e-49 (vector-ref e-28 5))) (cons (TTImpC-45TTImp-n--12927-10332-u--expandNS arg-0 arg-1 arg-2 e-48) (TTImpC-45TTImp-n--12940-10570-u--all arg-0 arg-1 e-24 e-26 e-27 e-44 e-46 e-49 e-48 e-47 e-45 e-25 arg-2)))))))))))))) ((9) (let ((e-31 (vector-ref arg-3 2))) (((csegen-25) (lambda (eta-0) (TTImpC-45TTImp-n--12927-10332-u--expandNS arg-0 arg-1 arg-2 eta-0))) e-31)))(else '()))))
(define TTImpC-45TTImp-n--14008-11379-u--app (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (if (null? arg-5) (vector 8 (TTImpC-45TTImp-getFC arg-4) arg-4 arg-6) (let ((e-2 (unbox arg-5))) (vector 10 (TTImpC-45TTImp-getFC arg-4) arg-4 e-2 arg-6)))))
(define TTImpC-45TTImp-n--12940-10570-u--all (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12) (cons (TTImpC-45TTImp-n--12927-10332-u--expandNS arg-0 arg-1 arg-12 arg-10) (((csegen-25) (lambda (eta-0) (TTImpC-45TTImp-n--12927-10332-u--expandNS arg-0 arg-1 (TTImpC-45TTImp-n--12940-10566-u--fldnsC-39 arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12) eta-0))) (PreludeC-45TypesC-45List-tailRecAppend (TTImpC-45TTImp-n--12940-10569-u--fnsRF arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12) (TTImpC-45TTImp-n--12940-10568-u--fnsUN arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12))))))
(define TTImpC-45TTImp-u--weaken_Weaken_NestedNames (lambda (arg-2) (let ((eff-0 arg-2)) (((csegen-25) (lambda (eta-0) (TTImpC-45TTImp-n--7439-5192-u--wknName eff-0 eta-0))) eff-0))))
(define TTImpC-45TTImp-u--weakenNs_Weaken_NestedNames (lambda (arg-2 arg-3) (TTImpC-45TTImp-case--weakenNs-5158 arg-3 arg-2 (CoreC-45TT-sizedView arg-2))))
(define TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 (lambda (arg-1 arg-2) (case (vector-ref arg-2 0) ((0) (let ((e-2 (vector-ref arg-2 2))) (let ((e-4 (car arg-1))) (e-4 e-2)))) ((1) (let ((e-5 (vector-ref arg-2 2))) (let ((e-6 (vector-ref arg-2 3))) (let ((e-7 (vector-ref arg-2 4))) (let ((e-8 (vector-ref arg-2 5))) (let ((e-9 (vector-ref arg-2 6))) (string-append "(%pi " (string-append (AlgebraC-45ZeroOneOmega-u--show_Show_ZeroOneOmega e-5) (string-append " " (string-append (CoreC-45TT-u--show_Show_C-40PiInfoC-32C-36tC-41 (cons (lambda (u--x) (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 u--x)) (lambda (u--d) (lambda (u--x) (TTImpC-45TTImp-u--showPrec_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 u--d u--x)))) e-6) (string-append " " (string-append (PreludeC-45Show-u--showPrec_Show_C-40MaybeC-32C-36aC-41 (csegen-100) (vector 6 ) e-7) (string-append " " (string-append (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 e-8) (string-append " " (string-append (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 e-9) ")")))))))))))))))) ((2) (let ((e-12 (vector-ref arg-2 2))) (let ((e-13 (vector-ref arg-2 3))) (let ((e-14 (vector-ref arg-2 4))) (let ((e-15 (vector-ref arg-2 5))) (let ((e-16 (vector-ref arg-2 6))) (string-append "(%lam " (string-append (AlgebraC-45ZeroOneOmega-u--show_Show_ZeroOneOmega e-12) (string-append " " (string-append (CoreC-45TT-u--show_Show_C-40PiInfoC-32C-36tC-41 (cons (lambda (u--x) (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 u--x)) (lambda (u--d) (lambda (u--x) (TTImpC-45TTImp-u--showPrec_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 u--d u--x)))) e-13) (string-append " " (string-append (PreludeC-45Show-u--showPrec_Show_C-40MaybeC-32C-36aC-41 (csegen-100) (vector 6 ) e-14) (string-append " " (string-append (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 e-15) (string-append " " (string-append (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 e-16) ")")))))))))))))))) ((3) (let ((e-20 (vector-ref arg-2 3))) (let ((e-21 (vector-ref arg-2 4))) (let ((e-22 (vector-ref arg-2 5))) (let ((e-23 (vector-ref arg-2 6))) (let ((e-24 (vector-ref arg-2 7))) (string-append "(%let " (string-append (AlgebraC-45ZeroOneOmega-u--show_Show_ZeroOneOmega e-20) (string-append " " (string-append " " (string-append (CoreC-45Name-u--show_Show_Name e-21) (string-append " " (string-append (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 e-22) (string-append " " (string-append (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 e-23) (string-append " " (string-append (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 e-24) ")"))))))))))))))))) ((4) (let ((e-27 (vector-ref arg-2 2))) (let ((e-28 (vector-ref arg-2 3))) (let ((e-29 (vector-ref arg-2 4))) (string-append "(%case (" (string-append (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 e-27) (string-append " : " (string-append (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 e-28) (string-append ") " (string-append (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (cons (lambda (u--x) (TTImpC-45TTImp-u--show_Show_C-40ImpClauseC-39C-32C-36nmC-41 arg-1 u--x)) (lambda (u--d) (lambda (u--x) (TTImpC-45TTImp-u--showPrec_Show_C-40ImpClauseC-39C-32C-36nmC-41 arg-1 u--d u--x)))) e-29) ")")))))))))) ((5) (let ((e-32 (vector-ref arg-2 2))) (let ((e-33 (vector-ref arg-2 3))) (string-append "(%local (" (string-append (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (cons (lambda (u--x) (TTImpC-45TTImp-u--show_Show_C-40ImpDeclC-39C-32C-36nmC-41 arg-1 u--x)) (lambda (u--d) (lambda (u--x) (TTImpC-45TTImp-u--showPrec_Show_C-40ImpDeclC-39C-32C-36nmC-41 arg-1 u--d u--x)))) e-32) (string-append ") " (string-append (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 e-33) ")"))))))) ((6) (let ((e-36 (vector-ref arg-2 2))) (let ((e-37 (vector-ref arg-2 3))) (let ((e-38 (vector-ref arg-2 4))) (let ((e-39 (vector-ref arg-2 5))) (string-append "(%caselocal (" (string-append (CoreC-45Name-u--show_Show_Name e-36) (string-append " " (string-append (CoreC-45Name-u--show_Show_Name e-37) (string-append " " (string-append (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-100) e-38) (string-append ") " (string-append (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 e-39) ")"))))))))))))) ((7) (let ((e-42 (vector-ref arg-2 2))) (let ((e-43 (vector-ref arg-2 3))) (string-append "(%record " (string-append (CoreC-45NameC-45Namespace-showSep ", " (((csegen-25) (lambda (eta-0) (TTImpC-45TTImp-u--show_Show_C-40IFieldUpdateC-39C-32C-36nmC-41 arg-1 eta-0))) e-42)) (string-append " " (string-append (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 e-43) ")"))))))) ((8) (let ((e-46 (vector-ref arg-2 2))) (let ((e-47 (vector-ref arg-2 3))) (string-append "(" (string-append (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 e-46) (string-append " " (string-append (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 e-47) ")"))))))) ((10) (let ((e-50 (vector-ref arg-2 2))) (let ((e-51 (vector-ref arg-2 3))) (let ((e-52 (vector-ref arg-2 4))) (string-append "(" (string-append (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 e-50) (string-append " [" (string-append (CoreC-45Name-u--show_Show_Name e-51) (string-append " = " (string-append (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 e-52) "])")))))))))) ((9) (let ((e-55 (vector-ref arg-2 2))) (let ((e-56 (vector-ref arg-2 3))) (string-append "(" (string-append (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 e-55) (string-append " [" (string-append (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 e-56) "])"))))))) ((11) (let ((e-59 (vector-ref arg-2 2))) (let ((e-60 (vector-ref arg-2 3))) (string-append "(" (string-append (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 e-59) (string-append " | " (string-append (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 e-60) ")"))))))) ((12) "%search") ((13) (let ((e-67 (vector-ref arg-2 3))) (string-append "(|" (string-append (CoreC-45NameC-45Namespace-showSep "," (((csegen-25) (lambda (eta-0) (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 eta-0))) e-67)) "|)")))) ((14) (let ((e-70 (vector-ref arg-2 2))) (let ((e-71 (vector-ref arg-2 3))) (string-append "(%rewrite (" (string-append (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 e-70) (string-append ") (" (string-append (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 e-71) "))"))))))) ((15) (let ((e-74 (vector-ref arg-2 2))) (string-append "(%coerced " (string-append (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 e-74) ")")))) ((16) (let ((e-78 (vector-ref arg-2 3))) (string-append "(%bindhere " (string-append (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 e-78) ")")))) ((17) (let ((e-81 (vector-ref arg-2 2))) (string-append "$" e-81))) ((18) (let ((e-86 (vector-ref arg-2 4))) (let ((e-87 (vector-ref arg-2 5))) (string-append (CoreC-45Name-u--show_Show_Name e-86) (string-append "@(" (string-append (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 e-87) ")")))))) ((19) (let ((e-91 (vector-ref arg-2 3))) (string-append ".(" (string-append (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 e-91) ")")))) ((20) (let ((e-95 (vector-ref arg-2 3))) (string-append "(%delayed " (string-append (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 e-95) ")")))) ((21) (let ((e-98 (vector-ref arg-2 2))) (string-append "(%delay " (string-append (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 e-98) ")")))) ((22) (let ((e-101 (vector-ref arg-2 2))) (string-append "(%force " (string-append (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 e-101) ")")))) ((23) (let ((e-104 (vector-ref arg-2 2))) (string-append "(%quote " (string-append (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 e-104) ")")))) ((24) (let ((e-107 (vector-ref arg-2 2))) (string-append "(%quotename " (string-append (CoreC-45Name-u--show_Show_Name e-107) ")")))) ((25) (let ((e-110 (vector-ref arg-2 2))) (string-append "(%quotedecl " (string-append (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (cons (lambda (u--x) (TTImpC-45TTImp-u--show_Show_C-40ImpDeclC-39C-32C-36nmC-41 arg-1 u--x)) (lambda (u--d) (lambda (u--x) (TTImpC-45TTImp-u--showPrec_Show_C-40ImpDeclC-39C-32C-36nmC-41 arg-1 u--d u--x)))) e-110) ")")))) ((26) (let ((e-113 (vector-ref arg-2 2))) (string-append "(%unquote " (string-append (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 e-113) ")")))) ((27) (let ((e-116 (vector-ref arg-2 2))) (string-append "(%runelab " (string-append (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 e-116) ")")))) ((28) (let ((e-119 (vector-ref arg-2 2))) (CoreC-45TT-u--show_Show_Constant e-119))) ((30) (let ((e-122 (vector-ref arg-2 2))) (string-append "?" e-122))) ((31) (let ((e-125 (vector-ref arg-2 2))) (let ((e-126 (vector-ref arg-2 3))) (string-append "(%logging " (string-append (CoreC-45OptionsC-45Log-u--show_Show_LogLevel e-125) (string-append " " (string-append (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 e-126) ")"))))))) ((29) "%type") ((32) (let ((e-131 (vector-ref arg-2 2))) (cond ((equal? e-131 1) "_") (else "?")))) (else (let ((e-134 (vector-ref arg-2 2))) (let ((e-135 (vector-ref arg-2 3))) (string-append "(%with " (string-append (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-350) e-134) (string-append " " (string-append (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 e-135) ")"))))))))))
(define TTImpC-45TTImp-u--show_Show_C-40ImpTyC-39C-32C-36nmC-41 (lambda (arg-1 arg-2) (let ((e-3 (vector-ref arg-2 2))) (let ((e-4 (vector-ref arg-2 3))) (string-append "(%claim " (string-append (CoreC-45Name-u--show_Show_Name e-3) (string-append " " (string-append (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 e-4) ")"))))))))
(define TTImpC-45TTImp-u--show_Show_C-40ImpRecordC-39C-32C-36nmC-41 (lambda (arg-1 arg-2) (let ((e-2 (vector-ref arg-2 1))) (let ((e-3 (vector-ref arg-2 2))) (let ((e-5 (vector-ref arg-2 4))) (let ((e-6 (vector-ref arg-2 5))) (string-append "record " (string-append (CoreC-45Name-u--show_Show_Name e-2) (string-append " " (string-append (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (cons (lambda (u--x) (PreludeC-45Show-u--show_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (cons (csegen-100) (cons (lambda (x-0) (PreludeC-45Show-u--show_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (cons (csegen-1030) (cons (lambda (x-1) (PreludeC-45Show-u--show_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (cons (cons (lambda (x-2) (CoreC-45TT-u--show_Show_C-40PiInfoC-32C-36tC-41 (cons (lambda (x-3) (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 x-3)) (lambda (u--d) (lambda (x-3) (TTImpC-45TTImp-u--showPrec_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 u--d x-3)))) x-2)) (lambda (u--d) (lambda (x-2) (CoreC-45TT-u--showPrec_Show_C-40PiInfoC-32C-36tC-41 (cons (lambda (x-3) (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 x-3)) (lambda (d-0) (lambda (x-3) (TTImpC-45TTImp-u--showPrec_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 d-0 x-3)))) u--d x-2)))) (cons (lambda (x-2) (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 x-2)) (lambda (u--d) (lambda (x-2) (TTImpC-45TTImp-u--showPrec_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 u--d x-2))))) x-1)) (lambda (u--d) (lambda (x-1) (PreludeC-45Show-u--showPrec_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (cons (cons (lambda (x-2) (CoreC-45TT-u--show_Show_C-40PiInfoC-32C-36tC-41 (cons (lambda (x-3) (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 x-3)) (lambda (d-0) (lambda (x-3) (TTImpC-45TTImp-u--showPrec_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 d-0 x-3)))) x-2)) (lambda (d-0) (lambda (x-2) (CoreC-45TT-u--showPrec_Show_C-40PiInfoC-32C-36tC-41 (cons (lambda (x-3) (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 x-3)) (lambda (d-1) (lambda (x-3) (TTImpC-45TTImp-u--showPrec_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 d-1 x-3)))) d-0 x-2)))) (cons (lambda (x-2) (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 x-2)) (lambda (d-0) (lambda (x-2) (TTImpC-45TTImp-u--showPrec_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 d-0 x-2))))) u--d x-1))))) x-0)) (lambda (u--d) (lambda (x-0) (PreludeC-45Show-u--showPrec_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (cons (csegen-1030) (cons (lambda (x-1) (PreludeC-45Show-u--show_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (cons (cons (lambda (x-2) (CoreC-45TT-u--show_Show_C-40PiInfoC-32C-36tC-41 (cons (lambda (x-3) (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 x-3)) (lambda (d-0) (lambda (x-3) (TTImpC-45TTImp-u--showPrec_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 d-0 x-3)))) x-2)) (lambda (d-0) (lambda (x-2) (CoreC-45TT-u--showPrec_Show_C-40PiInfoC-32C-36tC-41 (cons (lambda (x-3) (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 x-3)) (lambda (d-1) (lambda (x-3) (TTImpC-45TTImp-u--showPrec_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 d-1 x-3)))) d-0 x-2)))) (cons (lambda (x-2) (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 x-2)) (lambda (d-0) (lambda (x-2) (TTImpC-45TTImp-u--showPrec_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 d-0 x-2))))) x-1)) (lambda (d-0) (lambda (x-1) (PreludeC-45Show-u--showPrec_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (cons (cons (lambda (x-2) (CoreC-45TT-u--show_Show_C-40PiInfoC-32C-36tC-41 (cons (lambda (x-3) (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 x-3)) (lambda (d-1) (lambda (x-3) (TTImpC-45TTImp-u--showPrec_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 d-1 x-3)))) x-2)) (lambda (d-1) (lambda (x-2) (CoreC-45TT-u--showPrec_Show_C-40PiInfoC-32C-36tC-41 (cons (lambda (x-3) (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 x-3)) (lambda (d-2) (lambda (x-3) (TTImpC-45TTImp-u--showPrec_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 d-2 x-3)))) d-1 x-2)))) (cons (lambda (x-2) (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 x-2)) (lambda (d-1) (lambda (x-2) (TTImpC-45TTImp-u--showPrec_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 d-1 x-2))))) d-0 x-1))))) u--d x-0))))) u--x)) (lambda (u--d) (lambda (u--x) (PreludeC-45Show-u--showPrec_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (cons (csegen-100) (cons (lambda (x-0) (PreludeC-45Show-u--show_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (cons (csegen-1030) (cons (lambda (x-1) (PreludeC-45Show-u--show_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (cons (cons (lambda (x-2) (CoreC-45TT-u--show_Show_C-40PiInfoC-32C-36tC-41 (cons (lambda (x-3) (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 x-3)) (lambda (d-0) (lambda (x-3) (TTImpC-45TTImp-u--showPrec_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 d-0 x-3)))) x-2)) (lambda (d-0) (lambda (x-2) (CoreC-45TT-u--showPrec_Show_C-40PiInfoC-32C-36tC-41 (cons (lambda (x-3) (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 x-3)) (lambda (d-1) (lambda (x-3) (TTImpC-45TTImp-u--showPrec_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 d-1 x-3)))) d-0 x-2)))) (cons (lambda (x-2) (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 x-2)) (lambda (d-0) (lambda (x-2) (TTImpC-45TTImp-u--showPrec_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 d-0 x-2))))) x-1)) (lambda (d-0) (lambda (x-1) (PreludeC-45Show-u--showPrec_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (cons (cons (lambda (x-2) (CoreC-45TT-u--show_Show_C-40PiInfoC-32C-36tC-41 (cons (lambda (x-3) (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 x-3)) (lambda (d-1) (lambda (x-3) (TTImpC-45TTImp-u--showPrec_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 d-1 x-3)))) x-2)) (lambda (d-1) (lambda (x-2) (CoreC-45TT-u--showPrec_Show_C-40PiInfoC-32C-36tC-41 (cons (lambda (x-3) (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 x-3)) (lambda (d-2) (lambda (x-3) (TTImpC-45TTImp-u--showPrec_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 d-2 x-3)))) d-1 x-2)))) (cons (lambda (x-2) (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 x-2)) (lambda (d-1) (lambda (x-2) (TTImpC-45TTImp-u--showPrec_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 d-1 x-2))))) d-0 x-1))))) x-0)) (lambda (d-0) (lambda (x-0) (PreludeC-45Show-u--showPrec_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (cons (csegen-1030) (cons (lambda (x-1) (PreludeC-45Show-u--show_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (cons (cons (lambda (x-2) (CoreC-45TT-u--show_Show_C-40PiInfoC-32C-36tC-41 (cons (lambda (x-3) (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 x-3)) (lambda (d-1) (lambda (x-3) (TTImpC-45TTImp-u--showPrec_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 d-1 x-3)))) x-2)) (lambda (d-1) (lambda (x-2) (CoreC-45TT-u--showPrec_Show_C-40PiInfoC-32C-36tC-41 (cons (lambda (x-3) (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 x-3)) (lambda (d-2) (lambda (x-3) (TTImpC-45TTImp-u--showPrec_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 d-2 x-3)))) d-1 x-2)))) (cons (lambda (x-2) (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 x-2)) (lambda (d-1) (lambda (x-2) (TTImpC-45TTImp-u--showPrec_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 d-1 x-2))))) x-1)) (lambda (d-1) (lambda (x-1) (PreludeC-45Show-u--showPrec_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (cons (cons (lambda (x-2) (CoreC-45TT-u--show_Show_C-40PiInfoC-32C-36tC-41 (cons (lambda (x-3) (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 x-3)) (lambda (d-2) (lambda (x-3) (TTImpC-45TTImp-u--showPrec_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 d-2 x-3)))) x-2)) (lambda (d-2) (lambda (x-2) (CoreC-45TT-u--showPrec_Show_C-40PiInfoC-32C-36tC-41 (cons (lambda (x-3) (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 x-3)) (lambda (d-3) (lambda (x-3) (TTImpC-45TTImp-u--showPrec_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 d-3 x-3)))) d-2 x-2)))) (cons (lambda (x-2) (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 x-2)) (lambda (d-2) (lambda (x-2) (TTImpC-45TTImp-u--showPrec_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 d-2 x-2))))) d-1 x-1))))) d-0 x-0))))) u--d u--x)))) e-3) (string-append " " (string-append (CoreC-45Name-u--show_Show_Name e-5) (string-append "\xa;\x9;" (string-append (CoreC-45NameC-45Namespace-showSep "\xa;\x9;" (((csegen-25) (lambda (eta-0) (TTImpC-45TTImp-u--show_Show_C-40IFieldC-39C-32C-36nmC-41 arg-1 eta-0))) e-6)) "\xa;"))))))))))))))
(define TTImpC-45TTImp-u--show_Show_C-40ImpDeclC-39C-32C-36nmC-41 (lambda (arg-1 arg-2) (case (vector-ref arg-2 0) ((0) (let ((e-2 (vector-ref arg-2 2))) (let ((e-4 (vector-ref arg-2 4))) (let ((e-5 (vector-ref arg-2 5))) (string-append (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (cons (lambda (u--x) (TTImpC-45TTImp-u--show_Show_C-40FnOptC-39C-32C-36nmC-41 arg-1 u--x)) (lambda (u--d) (lambda (u--x) (TTImpC-45TTImp-u--showPrec_Show_C-40FnOptC-39C-32C-36nmC-41 arg-1 u--d u--x)))) e-4) (string-append " " (string-append (AlgebraC-45ZeroOneOmega-u--show_Show_ZeroOneOmega e-2) (string-append " " (TTImpC-45TTImp-u--show_Show_C-40ImpTyC-39C-32C-36nmC-41 arg-1 e-5))))))))) ((1) (let ((e-10 (vector-ref arg-2 4))) (TTImpC-45TTImp-u--show_Show_C-40ImpDataC-39C-32C-36nmC-41 arg-1 e-10))) ((2) (let ((e-13 (vector-ref arg-2 2))) (let ((e-14 (vector-ref arg-2 3))) (string-append "(%def " (string-append (CoreC-45Name-u--show_Show_Name e-13) (string-append " " (string-append (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (cons (lambda (u--x) (TTImpC-45TTImp-u--show_Show_C-40ImpClauseC-39C-32C-36nmC-41 arg-1 u--x)) (lambda (u--d) (lambda (u--x) (TTImpC-45TTImp-u--showPrec_Show_C-40ImpClauseC-39C-32C-36nmC-41 arg-1 u--d u--x)))) e-14) ")"))))))) ((3) (let ((e-17 (vector-ref arg-2 2))) (let ((e-18 (vector-ref arg-2 3))) (string-append "parameters " (string-append (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (cons (lambda (u--x) (PreludeC-45Show-u--show_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (cons (csegen-100) (cons (lambda (x-0) (PreludeC-45Show-u--show_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (cons (csegen-1030) (cons (lambda (x-1) (PreludeC-45Show-u--show_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (cons (cons (lambda (x-2) (CoreC-45TT-u--show_Show_C-40PiInfoC-32C-36tC-41 (cons (lambda (x-3) (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 x-3)) (lambda (u--d) (lambda (x-3) (TTImpC-45TTImp-u--showPrec_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 u--d x-3)))) x-2)) (lambda (u--d) (lambda (x-2) (CoreC-45TT-u--showPrec_Show_C-40PiInfoC-32C-36tC-41 (cons (lambda (x-3) (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 x-3)) (lambda (d-0) (lambda (x-3) (TTImpC-45TTImp-u--showPrec_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 d-0 x-3)))) u--d x-2)))) (cons (lambda (x-2) (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 x-2)) (lambda (u--d) (lambda (x-2) (TTImpC-45TTImp-u--showPrec_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 u--d x-2))))) x-1)) (lambda (u--d) (lambda (x-1) (PreludeC-45Show-u--showPrec_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (cons (cons (lambda (x-2) (CoreC-45TT-u--show_Show_C-40PiInfoC-32C-36tC-41 (cons (lambda (x-3) (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 x-3)) (lambda (d-0) (lambda (x-3) (TTImpC-45TTImp-u--showPrec_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 d-0 x-3)))) x-2)) (lambda (d-0) (lambda (x-2) (CoreC-45TT-u--showPrec_Show_C-40PiInfoC-32C-36tC-41 (cons (lambda (x-3) (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 x-3)) (lambda (d-1) (lambda (x-3) (TTImpC-45TTImp-u--showPrec_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 d-1 x-3)))) d-0 x-2)))) (cons (lambda (x-2) (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 x-2)) (lambda (d-0) (lambda (x-2) (TTImpC-45TTImp-u--showPrec_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 d-0 x-2))))) u--d x-1))))) x-0)) (lambda (u--d) (lambda (x-0) (PreludeC-45Show-u--showPrec_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (cons (csegen-1030) (cons (lambda (x-1) (PreludeC-45Show-u--show_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (cons (cons (lambda (x-2) (CoreC-45TT-u--show_Show_C-40PiInfoC-32C-36tC-41 (cons (lambda (x-3) (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 x-3)) (lambda (d-0) (lambda (x-3) (TTImpC-45TTImp-u--showPrec_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 d-0 x-3)))) x-2)) (lambda (d-0) (lambda (x-2) (CoreC-45TT-u--showPrec_Show_C-40PiInfoC-32C-36tC-41 (cons (lambda (x-3) (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 x-3)) (lambda (d-1) (lambda (x-3) (TTImpC-45TTImp-u--showPrec_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 d-1 x-3)))) d-0 x-2)))) (cons (lambda (x-2) (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 x-2)) (lambda (d-0) (lambda (x-2) (TTImpC-45TTImp-u--showPrec_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 d-0 x-2))))) x-1)) (lambda (d-0) (lambda (x-1) (PreludeC-45Show-u--showPrec_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (cons (cons (lambda (x-2) (CoreC-45TT-u--show_Show_C-40PiInfoC-32C-36tC-41 (cons (lambda (x-3) (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 x-3)) (lambda (d-1) (lambda (x-3) (TTImpC-45TTImp-u--showPrec_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 d-1 x-3)))) x-2)) (lambda (d-1) (lambda (x-2) (CoreC-45TT-u--showPrec_Show_C-40PiInfoC-32C-36tC-41 (cons (lambda (x-3) (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 x-3)) (lambda (d-2) (lambda (x-3) (TTImpC-45TTImp-u--showPrec_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 d-2 x-3)))) d-1 x-2)))) (cons (lambda (x-2) (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 x-2)) (lambda (d-1) (lambda (x-2) (TTImpC-45TTImp-u--showPrec_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 d-1 x-2))))) d-0 x-1))))) u--d x-0))))) u--x)) (lambda (u--d) (lambda (u--x) (PreludeC-45Show-u--showPrec_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (cons (csegen-100) (cons (lambda (x-0) (PreludeC-45Show-u--show_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (cons (csegen-1030) (cons (lambda (x-1) (PreludeC-45Show-u--show_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (cons (cons (lambda (x-2) (CoreC-45TT-u--show_Show_C-40PiInfoC-32C-36tC-41 (cons (lambda (x-3) (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 x-3)) (lambda (d-0) (lambda (x-3) (TTImpC-45TTImp-u--showPrec_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 d-0 x-3)))) x-2)) (lambda (d-0) (lambda (x-2) (CoreC-45TT-u--showPrec_Show_C-40PiInfoC-32C-36tC-41 (cons (lambda (x-3) (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 x-3)) (lambda (d-1) (lambda (x-3) (TTImpC-45TTImp-u--showPrec_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 d-1 x-3)))) d-0 x-2)))) (cons (lambda (x-2) (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 x-2)) (lambda (d-0) (lambda (x-2) (TTImpC-45TTImp-u--showPrec_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 d-0 x-2))))) x-1)) (lambda (d-0) (lambda (x-1) (PreludeC-45Show-u--showPrec_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (cons (cons (lambda (x-2) (CoreC-45TT-u--show_Show_C-40PiInfoC-32C-36tC-41 (cons (lambda (x-3) (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 x-3)) (lambda (d-1) (lambda (x-3) (TTImpC-45TTImp-u--showPrec_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 d-1 x-3)))) x-2)) (lambda (d-1) (lambda (x-2) (CoreC-45TT-u--showPrec_Show_C-40PiInfoC-32C-36tC-41 (cons (lambda (x-3) (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 x-3)) (lambda (d-2) (lambda (x-3) (TTImpC-45TTImp-u--showPrec_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 d-2 x-3)))) d-1 x-2)))) (cons (lambda (x-2) (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 x-2)) (lambda (d-1) (lambda (x-2) (TTImpC-45TTImp-u--showPrec_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 d-1 x-2))))) d-0 x-1))))) x-0)) (lambda (d-0) (lambda (x-0) (PreludeC-45Show-u--showPrec_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (cons (csegen-1030) (cons (lambda (x-1) (PreludeC-45Show-u--show_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (cons (cons (lambda (x-2) (CoreC-45TT-u--show_Show_C-40PiInfoC-32C-36tC-41 (cons (lambda (x-3) (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 x-3)) (lambda (d-1) (lambda (x-3) (TTImpC-45TTImp-u--showPrec_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 d-1 x-3)))) x-2)) (lambda (d-1) (lambda (x-2) (CoreC-45TT-u--showPrec_Show_C-40PiInfoC-32C-36tC-41 (cons (lambda (x-3) (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 x-3)) (lambda (d-2) (lambda (x-3) (TTImpC-45TTImp-u--showPrec_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 d-2 x-3)))) d-1 x-2)))) (cons (lambda (x-2) (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 x-2)) (lambda (d-1) (lambda (x-2) (TTImpC-45TTImp-u--showPrec_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 d-1 x-2))))) x-1)) (lambda (d-1) (lambda (x-1) (PreludeC-45Show-u--showPrec_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (cons (cons (lambda (x-2) (CoreC-45TT-u--show_Show_C-40PiInfoC-32C-36tC-41 (cons (lambda (x-3) (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 x-3)) (lambda (d-2) (lambda (x-3) (TTImpC-45TTImp-u--showPrec_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 d-2 x-3)))) x-2)) (lambda (d-2) (lambda (x-2) (CoreC-45TT-u--showPrec_Show_C-40PiInfoC-32C-36tC-41 (cons (lambda (x-3) (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 x-3)) (lambda (d-3) (lambda (x-3) (TTImpC-45TTImp-u--showPrec_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 d-3 x-3)))) d-2 x-2)))) (cons (lambda (x-2) (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 x-2)) (lambda (d-2) (lambda (x-2) (TTImpC-45TTImp-u--showPrec_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 d-2 x-2))))) d-1 x-1))))) d-0 x-0))))) u--d u--x)))) e-17) (string-append "\xa;\x9;" (CoreC-45NameC-45Namespace-showSep "\xa;\x9;" (((csegen-25) (lambda (eta-0) (TTImpC-45TTImp-u--show_Show_C-40ImpDeclC-39C-32C-36nmC-41 arg-1 eta-0))) e-18)))))))) ((4) (let ((e-24 (vector-ref arg-2 5))) (TTImpC-45TTImp-u--show_Show_C-40ImpRecordC-39C-32C-36nmC-41 arg-1 e-24))) ((5) (let ((e-27 (vector-ref arg-2 2))) (let ((e-28 (vector-ref arg-2 3))) (string-append "fail" (string-append (PreludeC-45Types-maybe (lambda () "") (lambda () (lambda (eta-0) (string-append " " (PreludeC-45Show-u--show_Show_String eta-0)))) e-27) (string-append "\xa;" (CoreC-45NameC-45Namespace-showSep "\xa;" (((csegen-25) (lambda (eta-0) (string-append "  " (TTImpC-45TTImp-u--show_Show_C-40ImpDeclC-39C-32C-36nmC-41 arg-1 eta-0)))) e-28)))))))) ((6) (let ((e-31 (vector-ref arg-2 2))) (let ((e-32 (vector-ref arg-2 3))) (string-append "namespace " (string-append (CoreC-45NameC-45Namespace-u--show_Show_Namespace e-31) (CoreC-45NameC-45Namespace-showSep "\xa;" (((csegen-25) (lambda (eta-0) (TTImpC-45TTImp-u--show_Show_C-40ImpDeclC-39C-32C-36nmC-41 arg-1 eta-0))) e-32))))))) ((7) (let ((e-35 (vector-ref arg-2 2))) (let ((e-36 (vector-ref arg-2 3))) (let ((e-37 (vector-ref arg-2 4))) (string-append "%transform " (string-append (CoreC-45Name-u--show_Show_Name e-35) (string-append " " (string-append (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 e-36) (string-append " ==> " (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 e-37)))))))))) ((8) (let ((e-40 (vector-ref arg-2 2))) (string-append "%runElab " (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 e-40)))) ((9) "[externally defined pragma]") ((10) (let ((e-46 (vector-ref arg-2 1))) (if (null? e-46) "%logging off" (let ((e-53 (unbox e-46))) (let ((e-56 (car e-53))) (let ((e-57 (cdr e-53))) (string-append "%logging " (if (null? e-56) (PreludeC-45Show-u--show_Show_Nat e-57) (string-append (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (DataC-45List-intersperse "." e-56)) (string-append " " (PreludeC-45Show-u--show_Show_Nat e-57))))))))))) (else (let ((e-49 (vector-ref arg-2 2))) (let ((e-50 (vector-ref arg-2 3))) (string-append "%builtin " (string-append (CoreC-45Context-u--show_Show_BuiltinType e-49) (string-append " " (CoreC-45Name-u--show_Show_Name e-50))))))))))
(define TTImpC-45TTImp-u--show_Show_C-40ImpDataC-39C-32C-36nmC-41 (lambda (arg-1 arg-2) (case (vector-ref arg-2 0) ((0) (let ((e-2 (vector-ref arg-2 2))) (let ((e-3 (vector-ref arg-2 3))) (let ((e-5 (vector-ref arg-2 5))) (string-append "(%data " (string-append (CoreC-45Name-u--show_Show_Name e-2) (string-append " " (string-append (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 e-3) (string-append " " (string-append (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (cons (lambda (u--x) (TTImpC-45TTImp-u--show_Show_C-40ImpTyC-39C-32C-36nmC-41 arg-1 u--x)) (lambda (u--d) (lambda (u--x) (TTImpC-45TTImp-u--showPrec_Show_C-40ImpTyC-39C-32C-36nmC-41 arg-1 u--d u--x)))) e-5) ")")))))))))) (else (let ((e-8 (vector-ref arg-2 2))) (let ((e-9 (vector-ref arg-2 3))) (string-append "(%datadecl " (string-append (CoreC-45Name-u--show_Show_Name e-8) (string-append " " (string-append (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 e-9) ")"))))))))))
(define TTImpC-45TTImp-u--show_Show_C-40ImpClauseC-39C-32C-36nmC-41 (lambda (arg-1 arg-2) (case (vector-ref arg-2 0) ((0) (let ((e-2 (vector-ref arg-2 2))) (let ((e-3 (vector-ref arg-2 3))) (string-append (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 e-2) (string-append " = " (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 e-3)))))) ((1) (let ((e-6 (vector-ref arg-2 2))) (let ((e-7 (vector-ref arg-2 3))) (let ((e-8 (vector-ref arg-2 4))) (let ((e-9 (vector-ref arg-2 5))) (let ((e-11 (vector-ref arg-2 7))) (string-append (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 e-6) (string-append " with (" (string-append (AlgebraC-45ZeroOneOmega-u--show_Show_ZeroOneOmega e-7) (string-append " " (string-append (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 e-8) (string-append ")" (string-append (PreludeC-45Types-maybe (lambda () "") (lambda () (csegen-1032)) e-9) (string-append "\xa;\x9;" (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (cons (lambda (u--x) (TTImpC-45TTImp-u--show_Show_C-40ImpClauseC-39C-32C-36nmC-41 arg-1 u--x)) (lambda (u--d) (lambda (u--x) (TTImpC-45TTImp-u--showPrec_Show_C-40ImpClauseC-39C-32C-36nmC-41 arg-1 u--d u--x)))) e-11))))))))))))))) (else (let ((e-14 (vector-ref arg-2 2))) (string-append (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 e-14) " impossible"))))))
(define TTImpC-45TTImp-u--show_Show_C-40IFieldUpdateC-39C-32C-36nmC-41 (lambda (arg-1 arg-2) (case (vector-ref arg-2 0) ((0) (let ((e-1 (vector-ref arg-2 1))) (let ((e-2 (vector-ref arg-2 2))) (string-append (CoreC-45NameC-45Namespace-showSep "->" e-1) (string-append " = " (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 e-2)))))) (else (let ((e-4 (vector-ref arg-2 1))) (let ((e-5 (vector-ref arg-2 2))) (string-append (CoreC-45NameC-45Namespace-showSep "->" e-4) (string-append " $= " (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 e-5)))))))))
(define TTImpC-45TTImp-u--show_Show_C-40IFieldC-39C-32C-36nmC-41 (lambda (arg-1 arg-2) (let ((e-3 (vector-ref arg-2 2))) (let ((e-4 (vector-ref arg-2 3))) (let ((e-5 (vector-ref arg-2 4))) (case (vector-ref e-3 0) ((1) (string-append (CoreC-45Name-u--show_Show_Name e-4) (string-append " : " (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 e-5))))(else (string-append "{" (string-append (CoreC-45Name-u--show_Show_Name e-4) (string-append " : " (string-append (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 e-5) "}")))))))))))
(define TTImpC-45TTImp-u--show_Show_C-40FnOptC-39C-32C-36nmC-41 (lambda (arg-1 arg-2) (case (vector-ref arg-2 0) ((0) "%inline") ((1) "%noinline") ((2) "%deprecate") ((3) "%tcinline") ((4) (let ((e-5 (vector-ref arg-2 1))) (string-append "%hint " (PreludeC-45Show-u--show_Show_Bool e-5)))) ((5) (let ((e-7 (vector-ref arg-2 1))) (string-append "%globalhint " (PreludeC-45Show-u--show_Show_Bool e-7)))) ((6) "%extern") ((7) (let ((e-10 (vector-ref arg-2 1))) (string-append "%foreign " (CoreC-45NameC-45Namespace-showSep " " (((csegen-25) (lambda (eta-0) (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 eta-0))) e-10))))) ((8) (let ((e-12 (vector-ref arg-2 1))) (string-append "%export " (CoreC-45NameC-45Namespace-showSep " " (((csegen-25) (lambda (eta-0) (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 eta-0))) e-12))))) ((9) "%invertible") ((10) (let ((e-15 (vector-ref arg-2 1))) (cond ((equal? e-15 0) "total") ((equal? e-15 1) "covering") (else "partial")))) ((11) "%macro") (else (let ((e-18 (vector-ref arg-2 1))) (string-append "%spec " (CoreC-45NameC-45Namespace-showSep " " ((csegen-102) e-18))))))))
(define TTImpC-45TTImp-u--showPrec_Show_C-40RawImpC-39C-32C-36nmC-41 (lambda (arg-1 arg-2 arg-3) (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 arg-1 arg-3)))
(define TTImpC-45TTImp-u--showPrec_Show_C-40ImpTyC-39C-32C-36nmC-41 (lambda (arg-1 arg-2 arg-3) (TTImpC-45TTImp-u--show_Show_C-40ImpTyC-39C-32C-36nmC-41 arg-1 arg-3)))
(define TTImpC-45TTImp-u--showPrec_Show_C-40ImpDeclC-39C-32C-36nmC-41 (lambda (arg-1 arg-2 arg-3) (TTImpC-45TTImp-u--show_Show_C-40ImpDeclC-39C-32C-36nmC-41 arg-1 arg-3)))
(define TTImpC-45TTImp-u--showPrec_Show_C-40ImpClauseC-39C-32C-36nmC-41 (lambda (arg-1 arg-2 arg-3) (TTImpC-45TTImp-u--show_Show_C-40ImpClauseC-39C-32C-36nmC-41 arg-1 arg-3)))
(define TTImpC-45TTImp-u--showPrec_Show_C-40FnOptC-39C-32C-36nmC-41 (lambda (arg-1 arg-2 arg-3) (TTImpC-45TTImp-u--show_Show_C-40FnOptC-39C-32C-36nmC-41 arg-1 arg-3)))
(define TTImpC-45TTImp-u--C-61C-61_Eq_WithFlag (lambda (arg-0 arg-1) 1))
(define TTImpC-45TTImp-u--C-61C-61_Eq_DataOpt (lambda (arg-0 arg-1) (case (vector-ref arg-0 0) ((0) (let ((e-0 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((0) (let ((e-1 (vector-ref arg-1 1))) (PreludeC-45Types-u--C-61C-61_Eq_C-40ListC-32C-36aC-41 (csegen-1008) e-0 e-1)))(else 0)))) ((1) (case (vector-ref arg-1 0) ((1) 1)(else 0))) ((2) (case (vector-ref arg-1 0) ((2) 1)(else 0))) ((3) (case (vector-ref arg-1 0) ((3) 1)(else 0))) ((4) (case (vector-ref arg-1 0) ((4) 1)(else 0)))(else 0))))
(define TTImpC-45TTImp-u--C-47C-61_Eq_WithFlag (lambda (arg-0 arg-1) (let ((sc0 (TTImpC-45TTImp-u--C-61C-61_Eq_WithFlag arg-0 arg-1))) (cond ((equal? sc0 1) 0) (else 1)))))
(define TTImpC-45TTImp-u--C-47C-61_Eq_DataOpt (lambda (arg-0 arg-1) (let ((sc0 (TTImpC-45TTImp-u--C-61C-61_Eq_DataOpt arg-0 arg-1))) (cond ((equal? sc0 1) 0) (else 1)))))
(define TTImpC-45TTImp-mkWithClause (lambda (arg-1 arg-2 arg-3 arg-4 arg-5) (let ((e-1 (car arg-3))) (let ((e-2 (cdr arg-3))) (let ((e-5 (car e-1))) (let ((e-6 (cdr e-1))) (let ((e-9 (car e-6))) (let ((e-10 (cdr e-6))) (if (null? e-2) (vector 1 arg-1 arg-2 e-5 e-9 e-10 arg-4 arg-5) (let ((e-13 (car e-2))) (let ((e-14 (cdr e-2))) (let ((u--vfc (CoreC-45FC-virtualiseFC arg-1))) (vector 1 arg-1 arg-2 e-5 e-9 e-10 arg-4 (cons (TTImpC-45TTImp-mkWithClause arg-1 (vector 8 u--vfc arg-2 (vector 17 u--vfc "arg")) (cons e-13 e-14) arg-4 arg-5) '()))))))))))))))
(define TTImpC-45TTImp-mapFieldUpdateTerm (lambda (arg-1 arg-2) (case (vector-ref arg-2 0) ((0) (let ((e-1 (vector-ref arg-2 1))) (let ((e-2 (vector-ref arg-2 2))) (vector 0 e-1 (arg-1 e-2))))) (else (let ((e-4 (vector-ref arg-2 1))) (let ((e-5 (vector-ref arg-2 2))) (vector 1 e-4 (arg-1 e-5))))))))
(define TTImpC-45TTImp-mapAltType (lambda (arg-1 arg-2) (case (vector-ref arg-2 0) ((2) (let ((e-1 (vector-ref arg-2 1))) (vector 2 (arg-1 e-1))))(else arg-2))))
(define TTImpC-45TTImp-logRaw (lambda (arg-0 arg-1 arg-3 arg-4 arg-5) (let ((eff-0 (CoreC-45ContextC-45Log-unverifiedLogging arg-0 arg-1 arg-3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (cond ((equal? e-5 1) (cond ((equal? arg-1 "") (PrimIO-io_bind (PreludeC-45IO-putStrLn (csegen-40) (string-append "LOG " (string-append (PreludeC-45Show-u--show_Show_Nat arg-3) (string-append ": " (string-append (arg-4) (string-append ": " (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 (csegen-100) arg-5))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))(else (PrimIO-io_bind (PreludeC-45IO-putStrLn (csegen-40) (string-append "LOG " (string-append arg-1 (string-append ":" (string-append (PreludeC-45Show-u--show_Show_Nat arg-3) (string-append ": " (string-append (arg-4) (string-append ": " (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 (csegen-100) arg-5))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (else (lambda (eta-0) (vector 1 (vector 0 ))))))) eff-1)))))))))
(define TTImpC-45TTImp-lhsInCurrentNS (lambda (arg-1 arg-2 arg-3) (case (vector-ref arg-3 0) ((8) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-3 (vector-ref arg-3 3))) (let ((eff-0 (TTImpC-45TTImp-lhsInCurrentNS arg-1 arg-2 e-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 8 e-1 e-5 e-3))))) eff-1))))))))))) ((9) (let ((e-5 (vector-ref arg-3 1))) (let ((e-6 (vector-ref arg-3 2))) (let ((e-7 (vector-ref arg-3 3))) (let ((eff-0 (TTImpC-45TTImp-lhsInCurrentNS arg-1 arg-2 e-6))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 9 e-5 e-8 e-7))))) eff-1))))))))))) ((10) (let ((e-9 (vector-ref arg-3 1))) (let ((e-10 (vector-ref arg-3 2))) (let ((e-11 (vector-ref arg-3 3))) (let ((e-12 (vector-ref arg-3 4))) (let ((eff-0 (TTImpC-45TTImp-lhsInCurrentNS arg-1 arg-2 e-10))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 10 e-9 e-5 e-11 e-12))))) eff-1)))))))))))) ((11) (let ((e-14 (vector-ref arg-3 1))) (let ((e-15 (vector-ref arg-3 2))) (let ((e-16 (vector-ref arg-3 3))) (let ((eff-0 (TTImpC-45TTImp-lhsInCurrentNS arg-1 arg-2 e-15))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 11 e-14 e-5 e-16))))) eff-1))))))))))) ((0) (let ((e-18 (vector-ref arg-3 1))) (let ((e-19 (vector-ref arg-3 2))) (case (vector-ref e-19 0) ((0) (lambda (eta-0) (vector 1 arg-3)))(else (let ((sc1 (DataC-45List-lookup (csegen-1008) e-19 (let ((eff-0 arg-2)) eff-0)))) (if (null? sc1) (let ((eff-0 (CoreC-45Context-inCurrentNS arg-1 e-19))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 0 e-18 e-5))))) eff-1))))))) (lambda (eta-0) (vector 1 (vector 0 e-18 e-19))))))))))(else (lambda (eta-0) (vector 1 arg-3))))))
(define TTImpC-45TTImp-isTotalityReq (lambda (arg-1) (case (vector-ref arg-1 0) ((10) 1)(else 0))))
(define TTImpC-45TTImp-isIVar (lambda (arg-1) (case (vector-ref arg-1 0) ((0) (let ((e-1 (vector-ref arg-1 1))) (let ((e-2 (vector-ref arg-1 2))) (box (cons e-1 e-2)))))(else '()))))
(define TTImpC-45TTImp-isIPrimVal (lambda (arg-1) (case (vector-ref arg-1 0) ((28) (let ((e-2 (vector-ref arg-1 2))) (box e-2)))(else '()))))
(define TTImpC-45TTImp-isIBindVar (lambda (arg-1) (case (vector-ref arg-1 0) ((17) (let ((e-1 (vector-ref arg-1 1))) (let ((e-2 (vector-ref arg-1 2))) (box (cons e-1 e-2)))))(else '()))))
(define TTImpC-45TTImp-isExplicit (lambda (arg-1) (case (vector-ref arg-1 0) ((0) (let ((e-1 (vector-ref arg-1 1))) (let ((e-2 (vector-ref arg-1 2))) (box (cons e-1 e-2)))))(else '()))))
(define TTImpC-45TTImp-implicitsAs (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (let ((u--implicits (TTImpC-45TTImp-findIBinds arg-4))) (let ((eff-0 (CoreC-45ContextC-45Log-log arg-0 "declare.def.lhs.implicits" 30 (lambda () (string-append "Found implicits: " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-581) u--implicits)))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (TTImpC-45TTImp-n--11844-9350-u--setAs arg-4 arg-3 arg-2 arg-1 arg-0 ((csegen-1033) (PreludeC-45TypesC-45List-tailRecAppend arg-3 ((csegen-1034) u--implicits))) '() arg-4))) eff-1)))))))))
(define TTImpC-45TTImp-getFnArgs (lambda (arg-1 arg-2) (case (vector-ref arg-1 0) ((8) (let ((e-1 (vector-ref arg-1 1))) (let ((e-2 (vector-ref arg-1 2))) (let ((e-3 (vector-ref arg-1 3))) (TTImpC-45TTImp-getFnArgs e-2 (cons (vector 0 e-1 e-3) arg-2)))))) ((10) (let ((e-5 (vector-ref arg-1 1))) (let ((e-6 (vector-ref arg-1 2))) (let ((e-7 (vector-ref arg-1 3))) (let ((e-8 (vector-ref arg-1 4))) (TTImpC-45TTImp-getFnArgs e-6 (cons (vector 2 e-5 e-7 e-8) arg-2))))))) ((9) (let ((e-10 (vector-ref arg-1 1))) (let ((e-11 (vector-ref arg-1 2))) (let ((e-12 (vector-ref arg-1 3))) (TTImpC-45TTImp-getFnArgs e-11 (cons (vector 1 e-10 e-12) arg-2))))))(else (cons arg-1 arg-2)))))
(define TTImpC-45TTImp-getFn (lambda (arg-1) (case (vector-ref arg-1 0) ((8) (let ((e-2 (vector-ref arg-1 2))) (TTImpC-45TTImp-getFn e-2))) ((11) (let ((e-6 (vector-ref arg-1 2))) (TTImpC-45TTImp-getFn e-6))) ((10) (let ((e-10 (vector-ref arg-1 2))) (TTImpC-45TTImp-getFn e-10))) ((9) (let ((e-15 (vector-ref arg-1 2))) (TTImpC-45TTImp-getFn e-15))) ((18) (let ((e-22 (vector-ref arg-1 5))) (TTImpC-45TTImp-getFn e-22))) ((19) (let ((e-26 (vector-ref arg-1 3))) (TTImpC-45TTImp-getFn e-26)))(else arg-1))))
(define TTImpC-45TTImp-getFieldUpdateTerm (lambda (arg-1) (case (vector-ref arg-1 0) ((0) (let ((e-2 (vector-ref arg-1 2))) e-2)) (else (let ((e-5 (vector-ref arg-1 2))) e-5)))))
(define TTImpC-45TTImp-getFieldUpdatePath (lambda (arg-1) (case (vector-ref arg-1 0) ((0) (let ((e-1 (vector-ref arg-1 1))) e-1)) (else (let ((e-4 (vector-ref arg-1 1))) e-4)))))
(define TTImpC-45TTImp-getFC (lambda (arg-1) (case (vector-ref arg-1 0) ((0) (let ((e-1 (vector-ref arg-1 1))) e-1)) ((1) (let ((e-4 (vector-ref arg-1 1))) e-4)) ((2) (let ((e-11 (vector-ref arg-1 1))) e-11)) ((3) (let ((e-18 (vector-ref arg-1 1))) e-18)) ((4) (let ((e-26 (vector-ref arg-1 1))) e-26)) ((5) (let ((e-31 (vector-ref arg-1 1))) e-31)) ((6) (let ((e-35 (vector-ref arg-1 1))) e-35)) ((7) (let ((e-41 (vector-ref arg-1 1))) e-41)) ((8) (let ((e-45 (vector-ref arg-1 1))) e-45)) ((10) (let ((e-49 (vector-ref arg-1 1))) e-49)) ((9) (let ((e-54 (vector-ref arg-1 1))) e-54)) ((11) (let ((e-58 (vector-ref arg-1 1))) e-58)) ((12) (let ((e-62 (vector-ref arg-1 1))) e-62)) ((13) (let ((e-65 (vector-ref arg-1 1))) e-65)) ((14) (let ((e-69 (vector-ref arg-1 1))) e-69)) ((15) (let ((e-73 (vector-ref arg-1 1))) e-73)) ((28) (let ((e-76 (vector-ref arg-1 1))) e-76)) ((30) (let ((e-79 (vector-ref arg-1 1))) e-79)) ((31) (let ((e-82 (vector-ref arg-1 1))) e-82)) ((29) (let ((e-86 (vector-ref arg-1 1))) e-86)) ((17) (let ((e-88 (vector-ref arg-1 1))) e-88)) ((16) (let ((e-91 (vector-ref arg-1 1))) e-91)) ((19) (let ((e-95 (vector-ref arg-1 1))) e-95)) ((20) (let ((e-99 (vector-ref arg-1 1))) e-99)) ((21) (let ((e-103 (vector-ref arg-1 1))) e-103)) ((22) (let ((e-106 (vector-ref arg-1 1))) e-106)) ((23) (let ((e-109 (vector-ref arg-1 1))) e-109)) ((24) (let ((e-112 (vector-ref arg-1 1))) e-112)) ((25) (let ((e-115 (vector-ref arg-1 1))) e-115)) ((26) (let ((e-118 (vector-ref arg-1 1))) e-118)) ((27) (let ((e-121 (vector-ref arg-1 1))) e-121)) ((18) (let ((e-124 (vector-ref arg-1 1))) e-124)) ((32) (let ((e-130 (vector-ref arg-1 1))) e-130)) (else (let ((e-133 (vector-ref arg-1 1))) e-133)))))
(define TTImpC-45TTImpC-45ImpDecl-getFC (lambda (arg-1) (case (vector-ref arg-1 0) ((0) (let ((e-1 (vector-ref arg-1 1))) e-1)) ((1) (let ((e-7 (vector-ref arg-1 1))) e-7)) ((2) (let ((e-12 (vector-ref arg-1 1))) e-12)) ((3) (let ((e-16 (vector-ref arg-1 1))) e-16)) ((4) (let ((e-20 (vector-ref arg-1 1))) e-20)) ((5) (let ((e-26 (vector-ref arg-1 1))) e-26)) ((6) (let ((e-30 (vector-ref arg-1 1))) e-30)) ((7) (let ((e-34 (vector-ref arg-1 1))) e-34)) ((8) (let ((e-39 (vector-ref arg-1 1))) e-39)) ((9) (let ((e-42 (vector-ref arg-1 1))) e-42)) ((10) (vector 2 )) (else (let ((e-48 (vector-ref arg-1 1))) e-48)))))
(define TTImpC-45TTImp-gapply (lambda (arg-1 arg-2) (if (null? arg-2) arg-1 (let ((e-2 (car arg-2))) (let ((e-3 (cdr arg-2))) (TTImpC-45TTImp-gapply (PreludeC-45Basics-uncurry (lambda (eta-0) (lambda (eta-1) (TTImpC-45TTImp-n--14008-11379-u--app e-2 e-3 arg-1 arg-1 eta-0 eta-1))) e-2) e-3))))))
(define TTImpC-45TTImp-findImplicits (lambda (arg-1) (case (vector-ref arg-1 0) ((1) (let ((e-4 (vector-ref arg-1 4))) (let ((e-5 (vector-ref arg-1 5))) (let ((e-6 (vector-ref arg-1 6))) (if (null? e-4) (PreludeC-45TypesC-45List-tailRecAppend (TTImpC-45TTImp-findImplicits e-5) (TTImpC-45TTImp-findImplicits e-6)) (let ((e-72 (unbox e-4))) (case (vector-ref e-72 0) ((1) (let ((e-73 (vector-ref e-72 1))) (case (vector-ref e-73 0) ((0) (let ((e-74 (vector-ref e-73 1))) (cons e-74 (PreludeC-45TypesC-45List-tailRecAppend (TTImpC-45TTImp-findImplicits e-5) (TTImpC-45TTImp-findImplicits e-6)))))(else (PreludeC-45TypesC-45List-tailRecAppend (TTImpC-45TTImp-findImplicits e-5) (TTImpC-45TTImp-findImplicits e-6))))))(else (PreludeC-45TypesC-45List-tailRecAppend (TTImpC-45TTImp-findImplicits e-5) (TTImpC-45TTImp-findImplicits e-6)))))))))) ((2) (let ((e-12 (vector-ref arg-1 5))) (let ((e-13 (vector-ref arg-1 6))) (PreludeC-45TypesC-45List-tailRecAppend (TTImpC-45TTImp-findImplicits e-12) (TTImpC-45TTImp-findImplicits e-13))))) ((8) (let ((e-16 (vector-ref arg-1 2))) (let ((e-17 (vector-ref arg-1 3))) (PreludeC-45TypesC-45List-tailRecAppend (TTImpC-45TTImp-findImplicits e-16) (TTImpC-45TTImp-findImplicits e-17))))) ((9) (let ((e-20 (vector-ref arg-1 2))) (let ((e-21 (vector-ref arg-1 3))) (PreludeC-45TypesC-45List-tailRecAppend (TTImpC-45TTImp-findImplicits e-20) (TTImpC-45TTImp-findImplicits e-21))))) ((10) (let ((e-24 (vector-ref arg-1 2))) (let ((e-26 (vector-ref arg-1 4))) (PreludeC-45TypesC-45List-tailRecAppend (TTImpC-45TTImp-findImplicits e-24) (TTImpC-45TTImp-findImplicits e-26))))) ((11) (let ((e-29 (vector-ref arg-1 2))) (let ((e-30 (vector-ref arg-1 3))) (PreludeC-45TypesC-45List-tailRecAppend (TTImpC-45TTImp-findImplicits e-29) (TTImpC-45TTImp-findImplicits e-30))))) ((18) (let ((e-36 (vector-ref arg-1 5))) (TTImpC-45TTImp-findImplicits e-36))) ((19) (let ((e-40 (vector-ref arg-1 3))) (TTImpC-45TTImp-findImplicits e-40))) ((13) (let ((e-44 (vector-ref arg-1 3))) (PreludeC-45Interfaces-concatMap (csegen-83) (csegen-16) (lambda (eta-0) (TTImpC-45TTImp-findImplicits eta-0)) e-44))) ((20) (let ((e-48 (vector-ref arg-1 3))) (TTImpC-45TTImp-findImplicits e-48))) ((21) (let ((e-51 (vector-ref arg-1 2))) (TTImpC-45TTImp-findImplicits e-51))) ((22) (let ((e-54 (vector-ref arg-1 2))) (TTImpC-45TTImp-findImplicits e-54))) ((23) (let ((e-57 (vector-ref arg-1 2))) (TTImpC-45TTImp-findImplicits e-57))) ((26) (let ((e-60 (vector-ref arg-1 2))) (TTImpC-45TTImp-findImplicits e-60))) ((27) (let ((e-63 (vector-ref arg-1 2))) (TTImpC-45TTImp-findImplicits e-63))) ((17) (let ((e-66 (vector-ref arg-1 2))) (cons e-66 '()))) ((7) (let ((e-69 (vector-ref arg-1 2))) (let ((e-70 (vector-ref arg-1 3))) (PreludeC-45TypesC-45List-tailRecAppend (TTImpC-45TTImp-findImplicits e-70) (PreludeC-45Interfaces-concatMap (csegen-83) (csegen-16) (lambda (eta-0) (TTImpC-45TTImp-findImplicits (TTImpC-45TTImp-getFieldUpdateTerm eta-0))) e-69)))))(else '()))))
(define TTImpC-45TTImp-findIBinds (lambda (arg-1) (case (vector-ref arg-1 0) ((1) (let ((e-5 (vector-ref arg-1 5))) (let ((e-6 (vector-ref arg-1 6))) (PreludeC-45TypesC-45List-tailRecAppend (TTImpC-45TTImp-findIBinds e-5) (TTImpC-45TTImp-findIBinds e-6))))) ((2) (let ((e-12 (vector-ref arg-1 5))) (let ((e-13 (vector-ref arg-1 6))) (PreludeC-45TypesC-45List-tailRecAppend (TTImpC-45TTImp-findIBinds e-12) (TTImpC-45TTImp-findIBinds e-13))))) ((8) (let ((e-16 (vector-ref arg-1 2))) (let ((e-17 (vector-ref arg-1 3))) (PreludeC-45TypesC-45List-tailRecAppend (TTImpC-45TTImp-findIBinds e-16) (TTImpC-45TTImp-findIBinds e-17))))) ((9) (let ((e-20 (vector-ref arg-1 2))) (let ((e-21 (vector-ref arg-1 3))) (PreludeC-45TypesC-45List-tailRecAppend (TTImpC-45TTImp-findIBinds e-20) (TTImpC-45TTImp-findIBinds e-21))))) ((10) (let ((e-24 (vector-ref arg-1 2))) (let ((e-26 (vector-ref arg-1 4))) (PreludeC-45TypesC-45List-tailRecAppend (TTImpC-45TTImp-findIBinds e-24) (TTImpC-45TTImp-findIBinds e-26))))) ((11) (let ((e-29 (vector-ref arg-1 2))) (let ((e-30 (vector-ref arg-1 3))) (PreludeC-45TypesC-45List-tailRecAppend (TTImpC-45TTImp-findIBinds e-29) (TTImpC-45TTImp-findIBinds e-30))))) ((18) (let ((e-35 (vector-ref arg-1 4))) (let ((e-36 (vector-ref arg-1 5))) (case (vector-ref e-35 0) ((1) (let ((e-75 (vector-ref e-35 1))) (case (vector-ref e-75 0) ((0) (let ((e-76 (vector-ref e-75 1))) (cons e-76 (TTImpC-45TTImp-findIBinds e-36))))(else (TTImpC-45TTImp-findIBinds e-36)))))(else (TTImpC-45TTImp-findIBinds e-36)))))) ((19) (let ((e-40 (vector-ref arg-1 3))) (TTImpC-45TTImp-findIBinds e-40))) ((13) (let ((e-44 (vector-ref arg-1 3))) (PreludeC-45Interfaces-concatMap (csegen-83) (csegen-16) (lambda (eta-0) (TTImpC-45TTImp-findIBinds eta-0)) e-44))) ((20) (let ((e-48 (vector-ref arg-1 3))) (TTImpC-45TTImp-findIBinds e-48))) ((21) (let ((e-51 (vector-ref arg-1 2))) (TTImpC-45TTImp-findIBinds e-51))) ((22) (let ((e-54 (vector-ref arg-1 2))) (TTImpC-45TTImp-findIBinds e-54))) ((23) (let ((e-57 (vector-ref arg-1 2))) (TTImpC-45TTImp-findIBinds e-57))) ((26) (let ((e-60 (vector-ref arg-1 2))) (TTImpC-45TTImp-findIBinds e-60))) ((27) (let ((e-63 (vector-ref arg-1 2))) (TTImpC-45TTImp-findIBinds e-63))) ((16) (let ((e-67 (vector-ref arg-1 3))) (TTImpC-45TTImp-findIBinds e-67))) ((17) (let ((e-70 (vector-ref arg-1 2))) (cons e-70 '()))) ((7) (let ((e-73 (vector-ref arg-1 2))) (let ((e-74 (vector-ref arg-1 3))) (PreludeC-45TypesC-45List-tailRecAppend (TTImpC-45TTImp-findIBinds e-74) (PreludeC-45Interfaces-concatMap (csegen-83) (csegen-16) (lambda (eta-0) (TTImpC-45TTImp-findIBinds (TTImpC-45TTImp-getFieldUpdateTerm eta-0))) e-73)))))(else '()))))
(define TTImpC-45TTImp-definedInBlock (lambda (arg-0 arg-1) (PreludeC-45Interfaces-concatMap (csegen-83) (csegen-16) (lambda (eta-0) (TTImpC-45TTImp-n--12927-10333-u--defName arg-1 arg-0 arg-0 eta-0)) arg-1)))
(define TTImpC-45TTImp-apply (lambda (arg-1 arg-2) (if (null? arg-2) arg-1 (let ((e-2 (car arg-2))) (let ((e-3 (cdr arg-2))) (let ((u--fFC (TTImpC-45TTImp-getFC arg-1))) (TTImpC-45TTImp-apply (vector 8 (DataC-45Maybe-fromMaybe (lambda () u--fFC) (CoreC-45FC-mergeFC u--fFC (TTImpC-45TTImp-getFC e-2))) arg-1 e-2) e-3)))))))
(define TTImpC-45TTImpC-45Arg-apply (lambda (arg-1 arg-2) (if (null? arg-2) arg-1 (let ((e-1 (car arg-2))) (let ((e-2 (cdr arg-2))) (case (vector-ref e-1 0) ((0) (let ((e-5 (vector-ref e-1 1))) (let ((e-6 (vector-ref e-1 2))) (TTImpC-45TTImpC-45Arg-apply (vector 8 e-5 arg-1 e-6) e-2)))) ((1) (let ((e-8 (vector-ref e-1 1))) (let ((e-9 (vector-ref e-1 2))) (TTImpC-45TTImpC-45Arg-apply (vector 9 e-8 arg-1 e-9) e-2)))) (else (let ((e-11 (vector-ref e-1 1))) (let ((e-12 (vector-ref e-1 2))) (let ((e-13 (vector-ref e-1 3))) (TTImpC-45TTImpC-45Arg-apply (vector 10 e-11 arg-1 e-12 e-13) e-2)))))))))))
(define CoreC-45Value-u--show_Show_C-40NHeadC-32C-36freeC-41 (lambda (arg-0 arg-1) (case (vector-ref arg-1 0) ((0) (let ((e-3 (vector-ref arg-1 2))) (string-append (CoreC-45Name-u--show_Show_Name (CoreC-45TT-nameAt arg-0 e-3)) (string-append "[" (string-append (PreludeC-45Show-u--show_Show_Nat e-3) "]"))))) ((1) (let ((e-7 (vector-ref arg-1 2))) (CoreC-45Name-u--show_Show_Name e-7))) (else (let ((e-9 (vector-ref arg-1 1))) (let ((e-11 (vector-ref arg-1 3))) (string-append "?" (string-append (CoreC-45Name-u--show_Show_Name e-9) (string-append "_[" (string-append (PreludeC-45Show-u--show_Show_Nat (PreludeC-45TypesC-45List-lengthTR e-11)) " closures]"))))))))))
(define CoreC-45Value-u--show_Show_C-40NFC-32C-36freeC-41 (lambda (arg-0 arg-1) (case (vector-ref arg-1 0) ((0) (let ((e-2 (vector-ref arg-1 2))) (let ((e-3 (vector-ref arg-1 3))) (case (vector-ref e-3 0) ((0) (let ((e-51 (vector-ref e-3 2))) (let ((e-52 (vector-ref e-3 3))) (let ((e-53 (vector-ref e-3 4))) (string-append "\\" (string-append (CoreC-45TT-withPiInfo (csegen-1038) e-52 (string-append (Algebra-showCount e-51) (string-append (CoreC-45Name-u--show_Show_Name e-2) (string-append " : " (CoreC-45Value-u--show_Show_C-40ClosureC-32C-36freeC-41 e-53))))) " => [closure]")))))) ((1) (let ((e-56 (vector-ref e-3 2))) (let ((e-57 (vector-ref e-3 3))) (let ((e-58 (vector-ref e-3 4))) (string-append "let " (string-append (Algebra-showCount e-56) (string-append (CoreC-45Name-u--show_Show_Name e-2) (string-append " : " (string-append (CoreC-45Value-u--show_Show_C-40ClosureC-32C-36freeC-41 e-58) (string-append " = " (string-append (CoreC-45Value-u--show_Show_C-40ClosureC-32C-36freeC-41 e-57) " in [closure]"))))))))))) ((2) (let ((e-61 (vector-ref e-3 2))) (let ((e-62 (vector-ref e-3 3))) (let ((e-63 (vector-ref e-3 4))) (string-append (CoreC-45TT-withPiInfo (csegen-1038) e-62 (string-append (Algebra-showCount e-61) (string-append (CoreC-45Name-u--show_Show_Name e-2) (string-append " : " (CoreC-45Value-u--show_Show_C-40ClosureC-32C-36freeC-41 e-63))))) " -> [closure]"))))) ((3) (let ((e-66 (vector-ref e-3 2))) (let ((e-67 (vector-ref e-3 3))) (let ((e-68 (vector-ref e-3 4))) (string-append (CoreC-45TT-withPiInfo (csegen-1038) e-67 (string-append "pat " (string-append (Algebra-showCount e-66) (string-append (CoreC-45Name-u--show_Show_Name e-2) (string-append " : " (CoreC-45Value-u--show_Show_C-40ClosureC-32C-36freeC-41 e-68)))))) " => [closure]"))))) ((4) (let ((e-71 (vector-ref e-3 2))) (let ((e-72 (vector-ref e-3 3))) (let ((e-73 (vector-ref e-3 4))) (string-append "plet " (string-append (Algebra-showCount e-71) (string-append (CoreC-45Name-u--show_Show_Name e-2) (string-append " : " (string-append (CoreC-45Value-u--show_Show_C-40ClosureC-32C-36freeC-41 e-73) (string-append " = " (string-append (CoreC-45Value-u--show_Show_C-40ClosureC-32C-36freeC-41 e-72) " in [closure]"))))))))))) (else (let ((e-76 (vector-ref e-3 2))) (let ((e-77 (vector-ref e-3 3))) (string-append "pty " (string-append (Algebra-showCount e-76) (string-append (CoreC-45Name-u--show_Show_Name e-2) (string-append " : " (string-append (CoreC-45Value-u--show_Show_C-40ClosureC-32C-36freeC-41 e-77) " => [closure]")))))))))))) ((1) (let ((e-7 (vector-ref arg-1 2))) (let ((e-8 (vector-ref arg-1 3))) (string-append (CoreC-45Value-u--show_Show_C-40NHeadC-32C-36freeC-41 arg-0 e-7) (string-append " [" (string-append (PreludeC-45Show-u--show_Show_Nat (PreludeC-45TypesC-45List-lengthTR e-8)) " closures]")))))) ((2) (let ((e-11 (vector-ref arg-1 2))) (let ((e-14 (vector-ref arg-1 5))) (string-append (CoreC-45Name-u--show_Show_Name e-11) (string-append " [" (string-append (PreludeC-45Show-u--show_Show_Nat (PreludeC-45TypesC-45List-lengthTR e-14)) " closures]")))))) ((3) (let ((e-17 (vector-ref arg-1 2))) (let ((e-20 (vector-ref arg-1 5))) (string-append (CoreC-45Name-u--show_Show_Name e-17) (string-append " [" (string-append (PreludeC-45Show-u--show_Show_Nat (PreludeC-45TypesC-45List-lengthTR e-20)) " closures]")))))) ((4) (let ((e-24 (vector-ref arg-1 3))) (let ((e-25 (vector-ref arg-1 4))) (string-append (CoreC-45Value-u--show_Show_C-40NFC-32C-36freeC-41 arg-0 e-24) (string-append "@" (CoreC-45Value-u--show_Show_C-40NFC-32C-36freeC-41 arg-0 e-25)))))) ((5) (let ((e-29 (vector-ref arg-1 3))) (string-append "%Delayed " (CoreC-45Value-u--show_Show_C-40NFC-32C-36freeC-41 arg-0 e-29)))) ((6) "%Delay [closure]") ((7) (let ((e-38 (vector-ref arg-1 3))) (let ((e-39 (vector-ref arg-1 4))) (string-append "%Force " (string-append (CoreC-45Value-u--show_Show_C-40NFC-32C-36freeC-41 arg-0 e-38) (string-append " [" (string-append (PreludeC-45Show-u--show_Show_Nat (PreludeC-45TypesC-45List-lengthTR e-39)) " closures]"))))))) ((8) (let ((e-42 (vector-ref arg-1 2))) (CoreC-45TT-u--show_Show_Constant e-42))) ((9) "[__]") (else "Type"))))
(define CoreC-45Value-u--show_Show_C-40ClosureC-32C-36freeC-41 (lambda (arg-1) "[closure]"))
(define CoreC-45Value-u--showPrec_Show_C-40NFC-32C-36freeC-41 (lambda (arg-0 arg-1 arg-2) (CoreC-45Value-u--show_Show_C-40NFC-32C-36freeC-41 arg-0 arg-2)))
(define CoreC-45Value-u--showPrec_Show_C-40ClosureC-32C-36freeC-41 (lambda (arg-1 arg-2) (CoreC-45Value-u--show_Show_C-40ClosureC-32C-36freeC-41 arg-2)))
(define CoreC-45Value-u--resolved_HasNames_C-40NHeadC-32C-36freeC-41 (lambda (arg-1 arg-2) (case (vector-ref arg-2 0) ((1) (let ((e-1 (vector-ref arg-2 1))) (let ((e-2 (vector-ref arg-2 2))) (let ((eff-0 (CoreC-45Context-u--resolved_HasNames_Name arg-1 e-2))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-3 (vector-ref eta-3 1))) (vector 0 e-3))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-0) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-0) arg-3)))) (lambda (eta-0) (vector 1 e-1 eta-0)))) eff-0)))))(else (lambda (eta-0) (vector 1 arg-2))))))
(define CoreC-45Value-u--resolved_HasNames_C-40NFC-32C-36freeC-41 (lambda (arg-1 arg-2) (case (vector-ref arg-2 0) ((0) (let ((e-1 (vector-ref arg-2 1))) (let ((e-2 (vector-ref arg-2 2))) (let ((e-3 (vector-ref arg-2 3))) (let ((e-4 (vector-ref arg-2 4))) (lambda (eta-0) (vector 1 (vector 0 e-1 e-2 e-3 e-4)))))))) ((1) (let ((e-6 (vector-ref arg-2 1))) (let ((e-7 (vector-ref arg-2 2))) (let ((e-8 (vector-ref arg-2 3))) (let ((eff-0 (CoreC-45Value-u--resolved_HasNames_C-40NHeadC-32C-36freeC-41 arg-1 e-7))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 1 e-6 e-5 e-8))))) eff-1))))))))))) ((2) (let ((e-10 (vector-ref arg-2 1))) (let ((e-11 (vector-ref arg-2 2))) (let ((e-12 (vector-ref arg-2 3))) (let ((e-13 (vector-ref arg-2 4))) (let ((e-14 (vector-ref arg-2 5))) (let ((eff-0 (CoreC-45Context-u--resolved_HasNames_Name arg-1 e-11))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 2 e-10 e-5 e-12 e-13 e-14))))) eff-1))))))))))))) ((3) (let ((e-16 (vector-ref arg-2 1))) (let ((e-17 (vector-ref arg-2 2))) (let ((e-18 (vector-ref arg-2 3))) (let ((e-19 (vector-ref arg-2 4))) (let ((e-20 (vector-ref arg-2 5))) (let ((eff-0 (CoreC-45Context-u--resolved_HasNames_Name arg-1 e-17))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 3 e-16 e-5 e-18 e-19 e-20))))) eff-1))))))))))))) ((4) (let ((e-22 (vector-ref arg-2 1))) (let ((e-23 (vector-ref arg-2 2))) (let ((e-24 (vector-ref arg-2 3))) (let ((e-25 (vector-ref arg-2 4))) (let ((eff-0 (CoreC-45Value-u--resolved_HasNames_C-40NFC-32C-36freeC-41 arg-1 e-24))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Value-u--resolved_HasNames_C-40NFC-32C-36freeC-41 arg-1 e-25))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 4 e-22 e-23 e-5 e-6))))) eff-2))))))))) eff-1)))))))))))) ((5) (let ((e-27 (vector-ref arg-2 1))) (let ((e-28 (vector-ref arg-2 2))) (let ((e-29 (vector-ref arg-2 3))) (let ((eff-0 (CoreC-45Value-u--resolved_HasNames_C-40NFC-32C-36freeC-41 arg-1 e-29))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 5 e-27 e-28 e-5))))) eff-1))))))))))) ((6) (let ((e-31 (vector-ref arg-2 1))) (let ((e-32 (vector-ref arg-2 2))) (let ((e-33 (vector-ref arg-2 3))) (let ((e-34 (vector-ref arg-2 4))) (lambda (eta-0) (vector 1 (vector 6 e-31 e-32 e-33 e-34)))))))) ((7) (let ((e-36 (vector-ref arg-2 1))) (let ((e-37 (vector-ref arg-2 2))) (let ((e-38 (vector-ref arg-2 3))) (let ((e-39 (vector-ref arg-2 4))) (let ((eff-0 (CoreC-45Value-u--resolved_HasNames_C-40NFC-32C-36freeC-41 arg-1 e-38))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 7 e-36 e-37 e-5 e-39))))) eff-1)))))))))))) ((8) (let ((e-41 (vector-ref arg-2 1))) (let ((e-42 (vector-ref arg-2 2))) (lambda (eta-0) (vector 1 (vector 8 e-41 e-42)))))) ((9) (let ((e-44 (vector-ref arg-2 1))) (let ((e-45 (vector-ref arg-2 2))) (lambda (eta-0) (vector 1 (vector 9 e-44 e-45)))))) (else (let ((e-47 (vector-ref arg-2 1))) (let ((e-48 (vector-ref arg-2 2))) (let ((eff-0 (CoreC-45Context-u--resolved_HasNames_Name arg-1 e-48))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 10 e-47 e-5))))) eff-1)))))))))))))
(define CoreC-45Value-u--full_HasNames_C-40NHeadC-32C-36freeC-41 (lambda (arg-1 arg-2) (case (vector-ref arg-2 0) ((1) (let ((e-1 (vector-ref arg-2 1))) (let ((e-2 (vector-ref arg-2 2))) (let ((eff-0 (CoreC-45Context-u--full_HasNames_Name arg-1 e-2))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-3 (vector-ref eta-3 1))) (vector 0 e-3))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-0) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-0) arg-3)))) (lambda (eta-0) (vector 1 e-1 eta-0)))) eff-0)))))(else (lambda (eta-0) (vector 1 arg-2))))))
(define CoreC-45Value-u--full_HasNames_C-40NFC-32C-36freeC-41 (lambda (arg-1 arg-2) (case (vector-ref arg-2 0) ((0) (let ((e-1 (vector-ref arg-2 1))) (let ((e-2 (vector-ref arg-2 2))) (let ((e-3 (vector-ref arg-2 3))) (let ((e-4 (vector-ref arg-2 4))) (lambda (eta-0) (vector 1 (vector 0 e-1 e-2 e-3 e-4)))))))) ((1) (let ((e-6 (vector-ref arg-2 1))) (let ((e-7 (vector-ref arg-2 2))) (let ((e-8 (vector-ref arg-2 3))) (let ((eff-0 (CoreC-45Value-u--full_HasNames_C-40NHeadC-32C-36freeC-41 arg-1 e-7))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 1 e-6 e-5 e-8))))) eff-1))))))))))) ((2) (let ((e-10 (vector-ref arg-2 1))) (let ((e-11 (vector-ref arg-2 2))) (let ((e-12 (vector-ref arg-2 3))) (let ((e-13 (vector-ref arg-2 4))) (let ((e-14 (vector-ref arg-2 5))) (let ((eff-0 (CoreC-45Context-u--full_HasNames_Name arg-1 e-11))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 2 e-10 e-5 e-12 e-13 e-14))))) eff-1))))))))))))) ((3) (let ((e-16 (vector-ref arg-2 1))) (let ((e-17 (vector-ref arg-2 2))) (let ((e-18 (vector-ref arg-2 3))) (let ((e-19 (vector-ref arg-2 4))) (let ((e-20 (vector-ref arg-2 5))) (let ((eff-0 (CoreC-45Context-u--full_HasNames_Name arg-1 e-17))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 3 e-16 e-5 e-18 e-19 e-20))))) eff-1))))))))))))) ((4) (let ((e-22 (vector-ref arg-2 1))) (let ((e-23 (vector-ref arg-2 2))) (let ((e-24 (vector-ref arg-2 3))) (let ((e-25 (vector-ref arg-2 4))) (let ((eff-0 (CoreC-45Value-u--full_HasNames_C-40NFC-32C-36freeC-41 arg-1 e-24))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Value-u--full_HasNames_C-40NFC-32C-36freeC-41 arg-1 e-25))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 4 e-22 e-23 e-5 e-6))))) eff-2))))))))) eff-1)))))))))))) ((5) (let ((e-27 (vector-ref arg-2 1))) (let ((e-28 (vector-ref arg-2 2))) (let ((e-29 (vector-ref arg-2 3))) (let ((eff-0 (CoreC-45Value-u--full_HasNames_C-40NFC-32C-36freeC-41 arg-1 e-29))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 5 e-27 e-28 e-5))))) eff-1))))))))))) ((6) (let ((e-31 (vector-ref arg-2 1))) (let ((e-32 (vector-ref arg-2 2))) (let ((e-33 (vector-ref arg-2 3))) (let ((e-34 (vector-ref arg-2 4))) (lambda (eta-0) (vector 1 (vector 6 e-31 e-32 e-33 e-34)))))))) ((7) (let ((e-36 (vector-ref arg-2 1))) (let ((e-37 (vector-ref arg-2 2))) (let ((e-38 (vector-ref arg-2 3))) (let ((e-39 (vector-ref arg-2 4))) (let ((eff-0 (CoreC-45Value-u--full_HasNames_C-40NFC-32C-36freeC-41 arg-1 e-38))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 7 e-36 e-37 e-5 e-39))))) eff-1)))))))))))) ((8) (let ((e-41 (vector-ref arg-2 1))) (let ((e-42 (vector-ref arg-2 2))) (lambda (eta-0) (vector 1 (vector 8 e-41 e-42)))))) ((9) (let ((e-44 (vector-ref arg-2 1))) (let ((e-45 (vector-ref arg-2 2))) (lambda (eta-0) (vector 1 (vector 9 e-44 e-45)))))) (else (let ((e-47 (vector-ref arg-2 1))) (let ((e-48 (vector-ref arg-2 2))) (let ((eff-0 (CoreC-45Context-u--full_HasNames_Name arg-1 e-48))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 10 e-47 e-5))))) eff-1)))))))))))))
(define CoreC-45Value-withHoles(blodwen-lazy (lambda () (vector 1 1 0 0 0 '() '() 1))))
(define CoreC-45Value-withArgHoles(blodwen-lazy (lambda () (vector 0 1 0 0 0 '() '() 1))))
(define CoreC-45Value-withAll(blodwen-lazy (lambda () (vector 0 0 1 1 0 '() '() 1))))
(define CoreC-45Value-tcOnly(blodwen-lazy (lambda () (let ((sc0 (CoreC-45Value-withArgHoles))) (let ((e-0 (vector-ref sc0 0))) (let ((e-1 (vector-ref sc0 1))) (let ((e-2 (vector-ref sc0 2))) (let ((e-3 (vector-ref sc0 3))) (let ((e-5 (vector-ref sc0 5))) (let ((e-6 (vector-ref sc0 6))) (let ((e-7 (vector-ref sc0 7))) (vector e-0 e-1 e-2 e-3 1 e-5 e-6 e-7))))))))))))
(define CoreC-45Value-ntCon (lambda (arg-1 arg-2 arg-3 arg-4 arg-5) (case (vector-ref arg-2 0) ((1) (let ((e-1 (vector-ref arg-2 1))) (case (vector-ref e-1 0) ((0) (let ((e-2 (vector-ref e-1 1))) (cond ((equal? e-2 "Type") (cond ((equal? arg-4 0) (if (null? arg-5) (vector 10 arg-1 (vector 2 "top" 0)) (cond ((equal? arg-4 0) (if (null? arg-5) (let ((sc7 (CoreC-45TT-isConstantType arg-2))) (if (null? sc7) (vector 3 arg-1 arg-2 arg-3 0 '()) (let ((e-3 (unbox sc7))) (vector 8 arg-1 (vector 13 e-3))))) (vector 3 arg-1 arg-2 arg-3 arg-4 arg-5)))(else (vector 3 arg-1 arg-2 arg-3 arg-4 arg-5)))))(else (cond ((equal? arg-4 0) (if (null? arg-5) (let ((sc5 (CoreC-45TT-isConstantType arg-2))) (if (null? sc5) (vector 3 arg-1 arg-2 arg-3 0 '()) (let ((e-3 (unbox sc5))) (vector 8 arg-1 (vector 13 e-3))))) (vector 3 arg-1 arg-2 arg-3 arg-4 arg-5)))(else (vector 3 arg-1 arg-2 arg-3 arg-4 arg-5))))))(else (cond ((equal? arg-4 0) (if (null? arg-5) (let ((sc4 (CoreC-45TT-isConstantType arg-2))) (if (null? sc4) (vector 3 arg-1 arg-2 arg-3 0 '()) (let ((e-3 (unbox sc4))) (vector 8 arg-1 (vector 13 e-3))))) (vector 3 arg-1 arg-2 arg-3 arg-4 arg-5)))(else (vector 3 arg-1 arg-2 arg-3 arg-4 arg-5)))))))(else (cond ((equal? arg-4 0) (if (null? arg-5) (let ((sc3 (CoreC-45TT-isConstantType arg-2))) (if (null? sc3) (vector 3 arg-1 arg-2 arg-3 0 '()) (let ((e-2 (unbox sc3))) (vector 8 arg-1 (vector 13 e-2))))) (vector 3 arg-1 arg-2 arg-3 arg-4 arg-5)))(else (vector 3 arg-1 arg-2 arg-3 arg-4 arg-5)))))))(else (cond ((equal? arg-4 0) (if (null? arg-5) (let ((sc2 (CoreC-45TT-isConstantType arg-2))) (if (null? sc2) (vector 3 arg-1 arg-2 arg-3 0 '()) (let ((e-1 (unbox sc2))) (vector 8 arg-1 (vector 13 e-1))))) (vector 3 arg-1 arg-2 arg-3 arg-4 arg-5)))(else (vector 3 arg-1 arg-2 arg-3 arg-4 arg-5)))))))
(define CoreC-45Value-getLoc (lambda (arg-1) (case (vector-ref arg-1 0) ((0) (let ((e-1 (vector-ref arg-1 1))) e-1)) ((1) (let ((e-6 (vector-ref arg-1 1))) e-6)) ((2) (let ((e-10 (vector-ref arg-1 1))) e-10)) ((3) (let ((e-16 (vector-ref arg-1 1))) e-16)) ((4) (let ((e-22 (vector-ref arg-1 1))) e-22)) ((5) (let ((e-27 (vector-ref arg-1 1))) e-27)) ((6) (let ((e-31 (vector-ref arg-1 1))) e-31)) ((7) (let ((e-36 (vector-ref arg-1 1))) e-36)) ((8) (let ((e-41 (vector-ref arg-1 1))) e-41)) ((9) (let ((e-44 (vector-ref arg-1 1))) e-44)) (else (let ((e-47 (vector-ref arg-1 1))) e-47)))))
(define CoreC-45Value-defaultOpts(blodwen-lazy (lambda () (vector 0 0 1 0 0 '() '() 1))))
(define CoreC-45TTC-45SubstEnv-case--find-15919 (lambda (arg-3 arg-4 arg-5 arg-6 arg-7 arg-8) (let ((eff-0 arg-5)) (cond ((equal? eff-0 0) (if (null? arg-8) (CoreC-45TTC-45SubstEnv-findDrop arg-7 arg-6 arg-4 arg-3) (let ((e-3 (unbox arg-8))) (let ((eff-1 arg-4)) (cond ((equal? eff-1 0) (vector 0 arg-7 arg-6 0))(else (let ((e-4 (- eff-1 1))) (CoreC-45TT-u--weaken_Weaken_Term (CoreC-45TTC-45SubstEnv-find arg-7 arg-6 e-3 e-4 arg-3)))))))))(else (let ((e-3 (unbox arg-8))) (let ((eff-1 arg-4)) (cond ((equal? eff-1 0) (vector 0 arg-7 arg-6 0))(else (let ((e-4 (- eff-1 1))) (CoreC-45TT-u--weaken_Weaken_Term (CoreC-45TTC-45SubstEnv-find arg-7 arg-6 e-3 e-4 arg-3))))))))))))
(define CoreC-45TT-case--weakenNs-13274 (lambda (arg-2 arg-3 arg-4) (let ((eff-0 arg-3)) (cond ((equal? eff-0 0) (if (null? arg-4) arg-2 (let ((e-3 (unbox arg-4))) (CoreC-45TT-u--weaken_Weaken_Var (CoreC-45TT-u--weakenNs_Weaken_Var e-3 arg-2)))))(else (let ((e-3 (unbox arg-4))) (CoreC-45TT-u--weaken_Weaken_Var (CoreC-45TT-u--weakenNs_Weaken_Var e-3 arg-2))))))))
(define CoreC-45TT-case--insertNVarNames-12671 (lambda (arg-4 arg-5 arg-6 arg-7) (let ((eff-0 arg-6)) (cond ((equal? eff-0 0) (if (null? arg-7) (CoreC-45TT-weakenNVar arg-5 arg-4) (let ((e-3 (unbox arg-7))) (let ((eff-1 arg-4)) (cond ((equal? eff-1 0) 0)(else (let ((e-4 (- eff-1 1))) (CoreC-45TTC-45NVar-later (CoreC-45TT-insertNVarNames e-3 arg-5 e-4)))))))))(else (let ((e-3 (unbox arg-7))) (let ((eff-1 arg-4)) (cond ((equal? eff-1 0) 0)(else (let ((e-4 (- eff-1 1))) (CoreC-45TTC-45NVar-later (CoreC-45TT-insertNVarNames e-3 arg-5 e-4))))))))))))
(define CoreC-45TT-case--insertNVar-12222 (lambda (arg-4 arg-5 arg-6) (let ((eff-0 arg-5)) (cond ((equal? eff-0 0) (if (null? arg-6) (CoreC-45TTC-45NVar-later arg-4) (let ((e-3 (unbox arg-6))) (let ((eff-1 arg-4)) (cond ((equal? eff-1 0) 0)(else (let ((e-4 (- eff-1 1))) (CoreC-45TTC-45NVar-later (CoreC-45TT-insertNVar e-3 e-4)))))))))(else (let ((e-3 (unbox arg-6))) (let ((eff-1 arg-4)) (cond ((equal? eff-1 0) 0)(else (let ((e-4 (- eff-1 1))) (CoreC-45TTC-45NVar-later (CoreC-45TT-insertNVar e-3 e-4))))))))))))
(define CoreC-45TT-case--weakenNVar-12159 (lambda (arg-3 arg-4 arg-5) (let ((eff-0 arg-4)) (cond ((equal? eff-0 0) (if (null? arg-5) arg-3 (let ((e-3 (unbox arg-5))) (CoreC-45TTC-45NVar-later (CoreC-45TT-weakenNVar e-3 arg-3)))))(else (let ((e-3 (unbox arg-5))) (CoreC-45TTC-45NVar-later (CoreC-45TT-weakenNVar e-3 arg-3))))))))
(define CoreC-45TT-n--16232-11977-u--showTot (lambda (arg-0 arg-1 arg-2) (case (vector-ref arg-1 0) ((1) (case (vector-ref arg-2 0) ((0) "total")(else (CoreC-45TT-u--show_Show_Covering arg-2))))(else (case (vector-ref arg-2 0) ((0) (CoreC-45TT-u--show_Show_Terminating arg-1))(else (string-append (CoreC-45TT-u--show_Show_Covering arg-2) (string-append "; " (CoreC-45TT-u--show_Show_Terminating arg-1)))))))))
(define CoreC-45TT-n--21715-16895-u--showApp (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (case (vector-ref arg-3 0) ((0) (let ((e-5 (vector-ref arg-3 3))) (if (null? arg-4) (string-append (CoreC-45Name-u--show_Show_Name (CoreC-45TT-nameAt arg-2 e-5)) (string-append "[" (string-append (PreludeC-45Show-u--show_Show_Nat e-5) "]"))) (if (null? arg-4) "???" (string-append "(" (string-append (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-2 arg-3) (string-append " " (string-append (CoreC-45NameC-45Namespace-showSep " " (((csegen-25) (lambda (eta-0) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-2 eta-0))) arg-4)) ")")))))))) ((1) (let ((e-10 (vector-ref arg-3 3))) (if (null? arg-4) (CoreC-45Name-u--show_Show_Name e-10) (if (null? arg-4) "???" (string-append "(" (string-append (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-2 arg-3) (string-append " " (string-append (CoreC-45NameC-45Namespace-showSep " " (((csegen-25) (lambda (eta-0) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-2 eta-0))) arg-4)) ")")))))))) ((2) (let ((e-13 (vector-ref arg-3 2))) (let ((e-15 (vector-ref arg-3 4))) (if (null? arg-4) (string-append "?" (string-append (CoreC-45Name-u--show_Show_Name e-13) (string-append "_" (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (cons (lambda (u--x) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-2 u--x)) (lambda (u--d) (lambda (u--x) (CoreC-45TT-u--showPrec_Show_C-40TermC-32C-36varsC-41 arg-2 u--d u--x)))) e-15)))) (if (null? arg-4) "???" (string-append "(" (string-append (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-2 arg-3) (string-append " " (string-append (CoreC-45NameC-45Namespace-showSep " " (((csegen-25) (lambda (eta-0) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-2 eta-0))) arg-4)) ")"))))))))) ((3) (let ((e-18 (vector-ref arg-3 2))) (let ((e-19 (vector-ref arg-3 3))) (let ((e-20 (vector-ref arg-3 4))) (case (vector-ref e-19 0) ((0) (let ((e-57 (vector-ref e-19 2))) (let ((e-58 (vector-ref e-19 3))) (let ((e-59 (vector-ref e-19 4))) (if (null? arg-4) (string-append "\\" (string-append (CoreC-45TT-withPiInfo (cons (lambda (u--x) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-2 u--x)) (lambda (u--d) (lambda (u--x) (CoreC-45TT-u--showPrec_Show_C-40TermC-32C-36varsC-41 arg-2 u--d u--x)))) e-58 (string-append (Algebra-showCount e-57) (string-append (CoreC-45Name-u--show_Show_Name e-18) (string-append " : " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-2 e-59))))) (string-append " => " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 (cons e-18 arg-2) e-20)))) (if (null? arg-4) "???" (string-append "(" (string-append (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-2 arg-3) (string-append " " (string-append (CoreC-45NameC-45Namespace-showSep " " (((csegen-25) (lambda (eta-0) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-2 eta-0))) arg-4)) ")")))))))))) ((1) (let ((e-62 (vector-ref e-19 2))) (let ((e-63 (vector-ref e-19 3))) (let ((e-64 (vector-ref e-19 4))) (if (null? arg-4) (string-append "let " (string-append (Algebra-showCount e-62) (string-append (CoreC-45Name-u--show_Show_Name e-18) (string-append " : " (string-append (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-2 e-64) (string-append " = " (string-append (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-2 e-63) (string-append " in " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 (cons e-18 arg-2) e-20))))))))) (if (null? arg-4) "???" (string-append "(" (string-append (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-2 arg-3) (string-append " " (string-append (CoreC-45NameC-45Namespace-showSep " " (((csegen-25) (lambda (eta-0) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-2 eta-0))) arg-4)) ")")))))))))) ((2) (let ((e-67 (vector-ref e-19 2))) (let ((e-68 (vector-ref e-19 3))) (let ((e-69 (vector-ref e-19 4))) (if (null? arg-4) (string-append (CoreC-45TT-withPiInfo (cons (lambda (u--x) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-2 u--x)) (lambda (u--d) (lambda (u--x) (CoreC-45TT-u--showPrec_Show_C-40TermC-32C-36varsC-41 arg-2 u--d u--x)))) e-68 (string-append (Algebra-showCount e-67) (string-append (CoreC-45Name-u--show_Show_Name e-18) (string-append " : " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-2 e-69))))) (string-append " -> " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 (cons e-18 arg-2) e-20))) (if (null? arg-4) "???" (string-append "(" (string-append (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-2 arg-3) (string-append " " (string-append (CoreC-45NameC-45Namespace-showSep " " (((csegen-25) (lambda (eta-0) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-2 eta-0))) arg-4)) ")")))))))))) ((3) (let ((e-72 (vector-ref e-19 2))) (let ((e-73 (vector-ref e-19 3))) (let ((e-74 (vector-ref e-19 4))) (if (null? arg-4) (string-append (CoreC-45TT-withPiInfo (cons (lambda (u--x) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-2 u--x)) (lambda (u--d) (lambda (u--x) (CoreC-45TT-u--showPrec_Show_C-40TermC-32C-36varsC-41 arg-2 u--d u--x)))) e-73 (string-append "pat " (string-append (Algebra-showCount e-72) (string-append (CoreC-45Name-u--show_Show_Name e-18) (string-append " : " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-2 e-74)))))) (string-append " => " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 (cons e-18 arg-2) e-20))) (if (null? arg-4) "???" (string-append "(" (string-append (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-2 arg-3) (string-append " " (string-append (CoreC-45NameC-45Namespace-showSep " " (((csegen-25) (lambda (eta-0) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-2 eta-0))) arg-4)) ")")))))))))) ((4) (let ((e-77 (vector-ref e-19 2))) (let ((e-78 (vector-ref e-19 3))) (let ((e-79 (vector-ref e-19 4))) (if (null? arg-4) (string-append "plet " (string-append (Algebra-showCount e-77) (string-append (CoreC-45Name-u--show_Show_Name e-18) (string-append " : " (string-append (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-2 e-79) (string-append " = " (string-append (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-2 e-78) (string-append " in " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 (cons e-18 arg-2) e-20))))))))) (if (null? arg-4) "???" (string-append "(" (string-append (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-2 arg-3) (string-append " " (string-append (CoreC-45NameC-45Namespace-showSep " " (((csegen-25) (lambda (eta-0) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-2 eta-0))) arg-4)) ")")))))))))) ((5) (let ((e-82 (vector-ref e-19 2))) (let ((e-83 (vector-ref e-19 3))) (if (null? arg-4) (string-append "pty " (string-append (Algebra-showCount e-82) (string-append (CoreC-45Name-u--show_Show_Name e-18) (string-append " : " (string-append (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-2 e-83) (string-append " => " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 (cons e-18 arg-2) e-20))))))) (if (null? arg-4) "???" (string-append "(" (string-append (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-2 arg-3) (string-append " " (string-append (CoreC-45NameC-45Namespace-showSep " " (((csegen-25) (lambda (eta-0) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-2 eta-0))) arg-4)) ")")))))))))(else (if (null? arg-4) "???" (string-append "(" (string-append (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-2 arg-3) (string-append " " (string-append (CoreC-45NameC-45Namespace-showSep " " (((csegen-25) (lambda (eta-0) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-2 eta-0))) arg-4)) ")"))))))))))) ((4) (if (null? arg-4) "[can't happen]" (if (null? arg-4) "???" (string-append "(" (string-append (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-2 arg-3) (string-append " " (string-append (CoreC-45NameC-45Namespace-showSep " " (((csegen-25) (lambda (eta-0) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-2 eta-0))) arg-4)) ")"))))))) ((5) (let ((e-28 (vector-ref arg-3 3))) (let ((e-29 (vector-ref arg-3 4))) (if (null? arg-4) (string-append (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-2 e-28) (string-append "@" (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-2 e-29))) (if (null? arg-4) "???" (string-append "(" (string-append (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-2 arg-3) (string-append " " (string-append (CoreC-45NameC-45Namespace-showSep " " (((csegen-25) (lambda (eta-0) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-2 eta-0))) arg-4)) ")"))))))))) ((6) (let ((e-33 (vector-ref arg-3 3))) (if (null? arg-4) (string-append "%Delayed " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-2 e-33)) (if (null? arg-4) "???" (string-append "(" (string-append (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-2 arg-3) (string-append " " (string-append (CoreC-45NameC-45Namespace-showSep " " (((csegen-25) (lambda (eta-0) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-2 eta-0))) arg-4)) ")")))))))) ((7) (let ((e-38 (vector-ref arg-3 4))) (if (null? arg-4) (string-append "%Delay " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-2 e-38)) (if (null? arg-4) "???" (string-append "(" (string-append (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-2 arg-3) (string-append " " (string-append (CoreC-45NameC-45Namespace-showSep " " (((csegen-25) (lambda (eta-0) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-2 eta-0))) arg-4)) ")")))))))) ((8) (let ((e-42 (vector-ref arg-3 3))) (if (null? arg-4) (string-append "%Force " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-2 e-42)) (if (null? arg-4) "???" (string-append "(" (string-append (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-2 arg-3) (string-append " " (string-append (CoreC-45NameC-45Namespace-showSep " " (((csegen-25) (lambda (eta-0) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-2 eta-0))) arg-4)) ")")))))))) ((9) (let ((e-45 (vector-ref arg-3 2))) (if (null? arg-4) (CoreC-45TT-u--show_Show_Constant e-45) (if (null? arg-4) "???" (string-append "(" (string-append (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-2 arg-3) (string-append " " (string-append (CoreC-45NameC-45Namespace-showSep " " (((csegen-25) (lambda (eta-0) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-2 eta-0))) arg-4)) ")")))))))) ((10) (let ((e-48 (vector-ref arg-3 2))) (case (vector-ref e-48 0) ((2) (let ((e-98 (vector-ref e-48 1))) (if (null? arg-4) (string-append ".(" (string-append (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-2 e-98) ")")) (if (null? arg-4) "[__]" (if (null? arg-4) "???" (string-append "(" (string-append (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-2 arg-3) (string-append " " (string-append (CoreC-45NameC-45Namespace-showSep " " (((csegen-25) (lambda (eta-0) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-2 eta-0))) arg-4)) ")")))))))))(else (if (null? arg-4) "[__]" (if (null? arg-4) "???" (string-append "(" (string-append (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-2 arg-3) (string-append " " (string-append (CoreC-45NameC-45Namespace-showSep " " (((csegen-25) (lambda (eta-0) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-2 eta-0))) arg-4)) ")")))))))))) ((11) (if (null? arg-4) "Type" (if (null? arg-4) "???" (string-append "(" (string-append (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-2 arg-3) (string-append " " (string-append (CoreC-45NameC-45Namespace-showSep " " (((csegen-25) (lambda (eta-0) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-2 eta-0))) arg-4)) ")")))))))(else (if (null? arg-4) "???" (string-append "(" (string-append (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-2 arg-3) (string-append " " (string-append (CoreC-45NameC-45Namespace-showSep " " (((csegen-25) (lambda (eta-0) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-2 eta-0))) arg-4)) ")")))))))))
(define CoreC-45TT-n--13835-9716-u--go (lambda (arg-2 arg-3 arg-4) (case (vector-ref arg-3 0) ((0) (let ((e-2 (vector-ref arg-3 2))) (let ((e-3 (vector-ref arg-3 3))) (let ((e-4 (vector-ref arg-3 4))) (case (vector-ref arg-4 0) ((0) (let ((e-31 (vector-ref arg-4 2))) (let ((e-32 (vector-ref arg-4 3))) (let ((e-33 (vector-ref arg-4 4))) (let ((sc2 (AlgebraC-45ZeroOneOmega-u--C-61C-61_Eq_ZeroOneOmega e-2 e-31))) (cond ((equal? sc2 1) (let ((sc3 (CoreC-45TT-eqPiInfoBy arg-2 e-3 e-32))) (cond ((equal? sc3 1) ((arg-2 e-4) e-33)) (else 0)))) (else 0)))))))(else 0)))))) ((1) (let ((e-7 (vector-ref arg-3 2))) (let ((e-8 (vector-ref arg-3 3))) (let ((e-9 (vector-ref arg-3 4))) (case (vector-ref arg-4 0) ((1) (let ((e-36 (vector-ref arg-4 2))) (let ((e-37 (vector-ref arg-4 3))) (let ((e-38 (vector-ref arg-4 4))) (let ((sc2 (AlgebraC-45ZeroOneOmega-u--C-61C-61_Eq_ZeroOneOmega e-7 e-36))) (cond ((equal? sc2 1) (let ((sc3 ((arg-2 e-8) e-37))) (cond ((equal? sc3 1) ((arg-2 e-9) e-38)) (else 0)))) (else 0)))))))(else 0)))))) ((2) (let ((e-12 (vector-ref arg-3 2))) (let ((e-13 (vector-ref arg-3 3))) (let ((e-14 (vector-ref arg-3 4))) (case (vector-ref arg-4 0) ((2) (let ((e-41 (vector-ref arg-4 2))) (let ((e-42 (vector-ref arg-4 3))) (let ((e-43 (vector-ref arg-4 4))) (let ((sc2 (AlgebraC-45ZeroOneOmega-u--C-61C-61_Eq_ZeroOneOmega e-12 e-41))) (cond ((equal? sc2 1) (let ((sc3 (CoreC-45TT-eqPiInfoBy arg-2 e-13 e-42))) (cond ((equal? sc3 1) ((arg-2 e-14) e-43)) (else 0)))) (else 0)))))))(else 0)))))) ((3) (let ((e-17 (vector-ref arg-3 2))) (let ((e-18 (vector-ref arg-3 3))) (let ((e-19 (vector-ref arg-3 4))) (case (vector-ref arg-4 0) ((3) (let ((e-46 (vector-ref arg-4 2))) (let ((e-47 (vector-ref arg-4 3))) (let ((e-48 (vector-ref arg-4 4))) (let ((sc2 (AlgebraC-45ZeroOneOmega-u--C-61C-61_Eq_ZeroOneOmega e-17 e-46))) (cond ((equal? sc2 1) (let ((sc3 (CoreC-45TT-eqPiInfoBy arg-2 e-18 e-47))) (cond ((equal? sc3 1) ((arg-2 e-19) e-48)) (else 0)))) (else 0)))))))(else 0)))))) ((4) (let ((e-22 (vector-ref arg-3 2))) (let ((e-23 (vector-ref arg-3 3))) (let ((e-24 (vector-ref arg-3 4))) (case (vector-ref arg-4 0) ((4) (let ((e-51 (vector-ref arg-4 2))) (let ((e-52 (vector-ref arg-4 3))) (let ((e-53 (vector-ref arg-4 4))) (let ((sc2 (AlgebraC-45ZeroOneOmega-u--C-61C-61_Eq_ZeroOneOmega e-22 e-51))) (cond ((equal? sc2 1) (let ((sc3 ((arg-2 e-23) e-52))) (cond ((equal? sc3 1) ((arg-2 e-24) e-53)) (else 0)))) (else 0)))))))(else 0)))))) ((5) (let ((e-27 (vector-ref arg-3 2))) (let ((e-28 (vector-ref arg-3 3))) (case (vector-ref arg-4 0) ((5) (let ((e-56 (vector-ref arg-4 2))) (let ((e-57 (vector-ref arg-4 3))) (let ((sc2 (AlgebraC-45ZeroOneOmega-u--C-61C-61_Eq_ZeroOneOmega e-27 e-56))) (cond ((equal? sc2 1) ((arg-2 e-28) e-57)) (else 0))))))(else 0)))))(else 0))))
(define CoreC-45TT-n--9135-5101-u--go (lambda (arg-2 arg-3 arg-4) (case (vector-ref arg-3 0) ((0) (case (vector-ref arg-4 0) ((0) 1)(else 0))) ((1) (case (vector-ref arg-4 0) ((1) 1)(else 0))) ((2) (case (vector-ref arg-4 0) ((2) 1)(else 0))) ((3) (let ((e-4 (vector-ref arg-3 1))) (case (vector-ref arg-4 0) ((3) (let ((e-9 (vector-ref arg-4 1))) ((arg-2 e-4) e-9)))(else 0))))(else 0))))
(define CoreC-45TT-n--17942-13492-u--getFA (lambda (arg-1 arg-2 arg-3) (case (vector-ref arg-3 0) ((4) (let ((e-2 (vector-ref arg-3 2))) (let ((e-3 (vector-ref arg-3 3))) (CoreC-45TT-n--17942-13492-u--getFA arg-1 (cons e-3 arg-2) e-2))))(else (cons arg-3 arg-2)))))
(define CoreC-45TT-n--21363-16580-u--addRefsArgs (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9) (if (null? arg-9) arg-8 (let ((e-2 (car arg-9))) (let ((e-3 (cdr arg-9))) (CoreC-45TT-n--21363-16580-u--addRefsArgs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 (CoreC-45TT-addRefs arg-7 arg-6 arg-8 e-2) e-3))))))
(define CoreC-45TT-n--21214-16448-u--addMetaArgs (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8) (if (null? arg-8) arg-7 (let ((e-2 (car arg-8))) (let ((e-3 (cdr arg-8))) (CoreC-45TT-n--21214-16448-u--addMetaArgs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 (CoreC-45TT-addMetas arg-6 arg-7 e-2) e-3))))))
(define CoreC-45TT-u--weaken_Weaken_Var (lambda (ext-0) (CoreC-45TTC-45Var-later ext-0)))
(define CoreC-45TT-u--weaken_Weaken_Term (lambda (ext-0) (CoreC-45TT-u--weakenNs_Weaken_Term (CoreC-45TTC-45SizeOf-suc (CoreC-45TTC-45SizeOf-zero)) ext-0)))
(define CoreC-45TT-u--weakenNs_Weaken_Var (lambda (arg-2 arg-3) (CoreC-45TT-case--weakenNs-13274 arg-3 arg-2 (CoreC-45TT-sizedView arg-2))))
(define CoreC-45TT-u--weakenNs_Weaken_Term (lambda (arg-2 arg-3) (CoreC-45TT-insertNames (CoreC-45TTC-45SizeOf-zero) arg-2 arg-3)))
(define CoreC-45TT-u--trimNS_StripNamespace_C-40TermC-32C-36varsC-41 (lambda (arg-1 arg-2) (case (vector-ref arg-2 0) ((1) (let ((e-1 (vector-ref arg-2 1))) (let ((e-2 (vector-ref arg-2 2))) (let ((e-3 (vector-ref arg-2 3))) (case (vector-ref e-3 0) ((0) (let ((e-36 (vector-ref e-3 1))) (let ((e-37 (vector-ref e-3 2))) (let ((u--tm (vector 1 e-1 e-2 (vector 0 e-36 e-37)))) (let ((sc2 (CoreC-45NameC-45Namespace-u--C-61C-61_Eq_Namespace arg-1 e-36))) (cond ((equal? sc2 1) (vector 1 e-1 e-2 (vector 0 '() e-37))) (else u--tm)))))))(else arg-2)))))) ((2) (let ((e-5 (vector-ref arg-2 1))) (let ((e-6 (vector-ref arg-2 2))) (let ((e-7 (vector-ref arg-2 3))) (let ((e-8 (vector-ref arg-2 4))) (vector 2 e-5 e-6 e-7 (((csegen-25) (lambda (arg-3) (CoreC-45TT-u--trimNS_StripNamespace_C-40TermC-32C-36varsC-41 arg-1 arg-3))) e-8))))))) ((3) (let ((e-10 (vector-ref arg-2 1))) (let ((e-11 (vector-ref arg-2 2))) (let ((e-12 (vector-ref arg-2 3))) (let ((e-13 (vector-ref arg-2 4))) (vector 3 e-10 e-11 (CoreC-45TT-u--map_Functor_Binder (lambda (arg-3) (CoreC-45TT-u--trimNS_StripNamespace_C-40TermC-32C-36varsC-41 arg-1 arg-3)) e-12) (CoreC-45TT-u--trimNS_StripNamespace_C-40TermC-32C-36varsC-41 arg-1 e-13))))))) ((4) (let ((e-15 (vector-ref arg-2 1))) (let ((e-16 (vector-ref arg-2 2))) (let ((e-17 (vector-ref arg-2 3))) (vector 4 e-15 (CoreC-45TT-u--trimNS_StripNamespace_C-40TermC-32C-36varsC-41 arg-1 e-16) (CoreC-45TT-u--trimNS_StripNamespace_C-40TermC-32C-36varsC-41 arg-1 e-17)))))) ((5) (let ((e-19 (vector-ref arg-2 1))) (let ((e-20 (vector-ref arg-2 2))) (let ((e-21 (vector-ref arg-2 3))) (let ((e-22 (vector-ref arg-2 4))) (vector 5 e-19 e-20 (CoreC-45TT-u--trimNS_StripNamespace_C-40TermC-32C-36varsC-41 arg-1 e-21) (CoreC-45TT-u--trimNS_StripNamespace_C-40TermC-32C-36varsC-41 arg-1 e-22))))))) ((6) (let ((e-24 (vector-ref arg-2 1))) (let ((e-25 (vector-ref arg-2 2))) (let ((e-26 (vector-ref arg-2 3))) (vector 6 e-24 e-25 (CoreC-45TT-u--trimNS_StripNamespace_C-40TermC-32C-36varsC-41 arg-1 e-26)))))) ((7) (let ((e-28 (vector-ref arg-2 1))) (let ((e-29 (vector-ref arg-2 2))) (let ((e-30 (vector-ref arg-2 3))) (let ((e-31 (vector-ref arg-2 4))) (vector 7 e-28 e-29 (CoreC-45TT-u--trimNS_StripNamespace_C-40TermC-32C-36varsC-41 arg-1 e-30) (CoreC-45TT-u--trimNS_StripNamespace_C-40TermC-32C-36varsC-41 arg-1 e-31))))))) ((8) (let ((e-33 (vector-ref arg-2 1))) (let ((e-34 (vector-ref arg-2 2))) (let ((e-35 (vector-ref arg-2 3))) (vector 8 e-33 e-34 (CoreC-45TT-u--trimNS_StripNamespace_C-40TermC-32C-36varsC-41 arg-1 e-35))))))(else arg-2))))
(define CoreC-45TT-u--traverse_Traversable_WhyErased (lambda (arg-3 arg-4 arg-5) (case (vector-ref arg-5 0) ((0) (let ((e-2 (vector-ref arg-3 1))) ((e-2 'erased) (vector 0 )))) ((1) (let ((e-2 (vector-ref arg-3 1))) ((e-2 'erased) (vector 1 )))) (else (let ((e-3 (vector-ref arg-5 1))) (PreludeC-45Interfaces-C-60C-36C-62 (let ((e-1 (vector-ref arg-3 0))) e-1) (lambda (eta-0) (vector 2 eta-0)) (arg-4 e-3)))))))
(define CoreC-45TT-u--toList_Foldable_Binder (lambda (ext-0) (CoreC-45TT-u--foldr_Foldable_Binder (csegen-152) '() ext-0)))
(define CoreC-45TT-u--show_Show_Visibility (lambda (arg-0) (cond ((equal? arg-0 0) "private") ((equal? arg-0 1) "export") (else "public export"))))
(define CoreC-45TT-u--show_Show_Totality (lambda (arg-0) (let ((u--t (let ((e-0 (car arg-0))) e-0))) (let ((u--c (let ((e-1 (cdr arg-0))) e-1))) (CoreC-45TT-n--16232-11977-u--showTot arg-0 u--t u--c)))))
(define CoreC-45TT-u--show_Show_TotalReq (lambda (arg-0) (cond ((equal? arg-0 0) "total") ((equal? arg-0 1) "covering") (else "partial"))))
(define CoreC-45TT-u--show_Show_Terminating (lambda (arg-0) (case (vector-ref arg-0 0) ((0) "not yet checked") ((1) "terminating") (else (let ((e-0 (vector-ref arg-0 1))) (CoreC-45TT-u--show_Show_PartialReason e-0))))))
(define CoreC-45TT-u--show_Show_RawKindedName (lambda (arg-0) (CoreC-45TT-u--showPrec_Show_RawKindedName (vector 0 ) arg-0)))
(define CoreC-45TT-u--show_Show_PrimType (lambda (arg-0) (cond ((equal? arg-0 0) "Int") ((equal? arg-0 1) "Int8") ((equal? arg-0 2) "Int16") ((equal? arg-0 3) "Int32") ((equal? arg-0 4) "Int64") ((equal? arg-0 5) "Integer") ((equal? arg-0 6) "Bits8") ((equal? arg-0 7) "Bits16") ((equal? arg-0 8) "Bits32") ((equal? arg-0 9) "Bits64") ((equal? arg-0 10) "String") ((equal? arg-0 11) "Char") ((equal? arg-0 12) "Double") (else "%World"))))
(define CoreC-45TT-u--show_Show_PartialReason (lambda (arg-0) (case (vector-ref arg-0 0) ((0) "not strictly positive") ((1) (let ((e-0 (vector-ref arg-0 1))) (if (null? e-0) (string-append "possibly not terminating due to calls to " (CoreC-45NameC-45Namespace-showSep ", " ((csegen-102) e-0))) (let ((e-3 (car e-0))) (let ((e-4 (cdr e-0))) (if (null? e-4) (string-append "possibly not terminating due to call to " (CoreC-45Name-u--show_Show_Name e-3)) (string-append "possibly not terminating due to calls to " (CoreC-45NameC-45Namespace-showSep ", " ((csegen-102) e-0))))))))) (else (let ((e-1 (vector-ref arg-0 1))) (string-append "possibly not terminating due to recursive path " (CoreC-45NameC-45Namespace-showSep " -> " ((csegen-102) e-1))))))))
(define CoreC-45TT-u--show_Show_NameType (lambda (arg-0) (CoreC-45TT-u--showPrec_Show_NameType (vector 0 ) arg-0)))
(define CoreC-45TT-u--show_Show_LazyReason (lambda (arg-0) (cond ((equal? arg-0 0) "Inf") ((equal? arg-0 1) "Lazy") (else "Unkown"))))
(define CoreC-45TT-u--show_Show_KindedName (lambda (ext-0) (CoreC-45Name-u--show_Show_Name (let ((e-2 (vector-ref ext-0 2))) e-2))))
(define CoreC-45TT-u--show_Show_Covering (lambda (arg-0) (case (vector-ref arg-0 0) ((0) "covering") ((1) "not covering all cases") (else (let ((e-1 (vector-ref arg-0 1))) (if (null? e-1) (string-append "not covering due to calls to functions " (CoreC-45NameC-45Namespace-showSep ", " ((csegen-102) e-1))) (let ((e-3 (car e-1))) (let ((e-4 (cdr e-1))) (if (null? e-4) (string-append "not covering due to call to function " (CoreC-45Name-u--show_Show_Name e-3)) (string-append "not covering due to calls to functions " (CoreC-45NameC-45Namespace-showSep ", " ((csegen-102) e-1))))))))))))
(define CoreC-45TT-u--show_Show_Constant (lambda (arg-0) (case (vector-ref arg-0 0) ((0) (let ((e-0 (vector-ref arg-0 1))) (PreludeC-45Show-u--show_Show_Int e-0))) ((1) (let ((e-1 (vector-ref arg-0 1))) (PreludeC-45Show-u--show_Show_Int8 e-1))) ((2) (let ((e-2 (vector-ref arg-0 1))) (PreludeC-45Show-u--show_Show_Int16 e-2))) ((3) (let ((e-3 (vector-ref arg-0 1))) (PreludeC-45Show-u--show_Show_Int32 e-3))) ((4) (let ((e-4 (vector-ref arg-0 1))) (PreludeC-45Show-u--show_Show_Int64 e-4))) ((5) (let ((e-5 (vector-ref arg-0 1))) (PreludeC-45Show-u--show_Show_Integer e-5))) ((6) (let ((e-6 (vector-ref arg-0 1))) (PreludeC-45Show-u--show_Show_Bits8 e-6))) ((7) (let ((e-7 (vector-ref arg-0 1))) (PreludeC-45Show-u--show_Show_Bits16 e-7))) ((8) (let ((e-8 (vector-ref arg-0 1))) (PreludeC-45Show-u--show_Show_Bits32 e-8))) ((9) (let ((e-9 (vector-ref arg-0 1))) (PreludeC-45Show-u--show_Show_Bits64 e-9))) ((10) (let ((e-10 (vector-ref arg-0 1))) (PreludeC-45Show-u--show_Show_String e-10))) ((11) (let ((e-11 (vector-ref arg-0 1))) (PreludeC-45Show-u--show_Show_Char e-11))) ((12) (let ((e-12 (vector-ref arg-0 1))) (PreludeC-45Show-u--show_Show_Double e-12))) ((13) (let ((e-13 (vector-ref arg-0 1))) (CoreC-45TT-u--show_Show_PrimType e-13))) (else "%MkWorld"))))
(define CoreC-45TT-u--show_Show_C-40VarC-32C-36nsC-41 (lambda (arg-1) (let ((eff-0 arg-1)) (PreludeC-45Show-u--show_Show_Nat eff-0))))
(define CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 (lambda (arg-0 arg-1) (let ((sc0 (CoreC-45TT-getFnArgs arg-1))) (let ((e-2 (car sc0))) (let ((e-3 (cdr sc0))) (CoreC-45TT-n--21715-16895-u--showApp arg-0 arg-1 arg-0 e-2 e-3))))))
(define CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 (lambda (arg-1) (case (vector-ref arg-1 0) ((0) (let ((e-0 (vector-ref arg-1 1))) (string-append "+" (CoreC-45TT-u--show_Show_PrimType e-0)))) ((1) (let ((e-1 (vector-ref arg-1 1))) (string-append "-" (CoreC-45TT-u--show_Show_PrimType e-1)))) ((2) (let ((e-2 (vector-ref arg-1 1))) (string-append "*" (CoreC-45TT-u--show_Show_PrimType e-2)))) ((3) (let ((e-3 (vector-ref arg-1 1))) (string-append "/" (CoreC-45TT-u--show_Show_PrimType e-3)))) ((4) (let ((e-4 (vector-ref arg-1 1))) (string-append "%" (CoreC-45TT-u--show_Show_PrimType e-4)))) ((5) (let ((e-5 (vector-ref arg-1 1))) (string-append "neg " (CoreC-45TT-u--show_Show_PrimType e-5)))) ((6) (let ((e-6 (vector-ref arg-1 1))) (string-append "shl " (CoreC-45TT-u--show_Show_PrimType e-6)))) ((7) (let ((e-7 (vector-ref arg-1 1))) (string-append "shr " (CoreC-45TT-u--show_Show_PrimType e-7)))) ((8) (let ((e-8 (vector-ref arg-1 1))) (string-append "and " (CoreC-45TT-u--show_Show_PrimType e-8)))) ((9) (let ((e-9 (vector-ref arg-1 1))) (string-append "or " (CoreC-45TT-u--show_Show_PrimType e-9)))) ((10) (let ((e-10 (vector-ref arg-1 1))) (string-append "xor " (CoreC-45TT-u--show_Show_PrimType e-10)))) ((11) (let ((e-11 (vector-ref arg-1 1))) (string-append "<" (CoreC-45TT-u--show_Show_PrimType e-11)))) ((12) (let ((e-12 (vector-ref arg-1 1))) (string-append "<=" (CoreC-45TT-u--show_Show_PrimType e-12)))) ((13) (let ((e-13 (vector-ref arg-1 1))) (string-append "==" (CoreC-45TT-u--show_Show_PrimType e-13)))) ((14) (let ((e-14 (vector-ref arg-1 1))) (string-append ">=" (CoreC-45TT-u--show_Show_PrimType e-14)))) ((15) (let ((e-15 (vector-ref arg-1 1))) (string-append ">" (CoreC-45TT-u--show_Show_PrimType e-15)))) ((16) "op_strlen") ((17) ((csegen-0) "op_strhead")) ((18) ((csegen-0) "op_strtail")) ((19) ((csegen-0) "op_strindex")) ((20) ((csegen-0) "op_strcons")) ((21) "++") ((22) "op_strrev") ((23) ((csegen-0) "op_strsubstr")) ((24) ((csegen-0) "op_doubleExp")) ((25) ((csegen-0) "op_doubleLog")) ((26) ((csegen-0) "op_doublePow")) ((27) ((csegen-0) "op_doubleSin")) ((28) ((csegen-0) "op_doubleCos")) ((29) ((csegen-0) "op_doubleTan")) ((30) ((csegen-0) "op_doubleASin")) ((31) ((csegen-0) "op_doubleACos")) ((32) ((csegen-0) "op_doubleATan")) ((33) ((csegen-0) "op_doubleSqrt")) ((34) ((csegen-0) "op_doubleFloor")) ((35) ((csegen-0) "op_doubleCeiling")) ((36) (let ((e-16 (vector-ref arg-1 1))) (let ((e-17 (vector-ref arg-1 2))) (string-append "cast-" (string-append (CoreC-45TT-u--show_Show_PrimType e-16) (string-append "-" (CoreC-45TT-u--show_Show_PrimType e-17))))))) ((37) (csegen-1061)) (else "crash"))))
(define CoreC-45TT-u--show_Show_C-40PiInfoC-32C-36tC-41 (lambda (arg-1 arg-2) (case (vector-ref arg-2 0) ((0) "Implicit") ((1) "Explicit") ((2) "AutoImplicit") (else (let ((e-4 (vector-ref arg-2 1))) (string-append "DefImplicit " (let ((e-1 (car arg-1))) (e-1 e-4))))))))
(define CoreC-45TT-u--showPrec_Show_TotalReq (lambda (arg-0 arg-1) (CoreC-45TT-u--show_Show_TotalReq arg-1)))
(define CoreC-45TT-u--showPrec_Show_RawKindedName (lambda (arg-0 arg-1) (let ((e-0 (vector-ref arg-1 0))) (let ((e-1 (vector-ref arg-1 1))) (let ((e-2 (vector-ref arg-1 2))) (PreludeC-45Show-showCon arg-0 "MkKindedName" (string-append (PreludeC-45Show-showArg (cons (lambda (u--x) (PreludeC-45Show-u--show_Show_C-40MaybeC-32C-36aC-41 (csegen-1063) u--x)) (lambda (u--d) (lambda (u--x) (PreludeC-45Show-u--showPrec_Show_C-40MaybeC-32C-36aC-41 (csegen-1063) u--d u--x)))) e-0) (string-append (PreludeC-45Show-showArg (csegen-577) e-1) (PreludeC-45Show-showArg (csegen-577) e-2)))))))))
(define CoreC-45TT-u--showPrec_Show_NameType (lambda (arg-0 arg-1) (case (vector-ref arg-1 0) ((0) "Bound") ((1) "Func") ((2) (let ((e-0 (vector-ref arg-1 1))) (let ((e-1 (vector-ref arg-1 2))) (PreludeC-45Show-showCon arg-0 "DataCon" (string-append (PreludeC-45Show-showArg (csegen-583) e-0) (PreludeC-45Show-showArg (csegen-1068) e-1)))))) (else (let ((e-2 (vector-ref arg-1 1))) (let ((e-3 (vector-ref arg-1 2))) (PreludeC-45Show-showCon arg-0 "TyCon" (string-append (PreludeC-45Show-showArg (csegen-583) e-2) (PreludeC-45Show-showArg (csegen-1068) e-3)))))))))
(define CoreC-45TT-u--showPrec_Show_LazyReason (lambda (arg-0 arg-1) (CoreC-45TT-u--show_Show_LazyReason arg-1)))
(define CoreC-45TT-u--showPrec_Show_KindedName (lambda (arg-0 arg-1) (CoreC-45TT-u--show_Show_KindedName arg-1)))
(define CoreC-45TT-u--showPrec_Show_Constant (lambda (arg-0 arg-1) (CoreC-45TT-u--show_Show_Constant arg-1)))
(define CoreC-45TT-u--showPrec_Show_C-40VarC-32C-36nsC-41 (lambda (arg-1 arg-2) (CoreC-45TT-u--show_Show_C-40VarC-32C-36nsC-41 arg-2)))
(define CoreC-45TT-u--showPrec_Show_C-40TermC-32C-36varsC-41 (lambda (arg-0 arg-1 arg-2) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-0 arg-2)))
(define CoreC-45TT-u--showPrec_Show_C-40PiInfoC-32C-36tC-41 (lambda (arg-1 arg-2 arg-3) (CoreC-45TT-u--show_Show_C-40PiInfoC-32C-36tC-41 arg-1 arg-3)))
(define CoreC-45TT-u--restoreNS_StripNamespace_C-40TermC-32C-36varsC-41 (lambda (arg-1 arg-2) (case (vector-ref arg-2 0) ((1) (let ((e-1 (vector-ref arg-2 1))) (let ((e-2 (vector-ref arg-2 2))) (let ((e-3 (vector-ref arg-2 3))) (case (vector-ref e-3 0) ((0) (let ((e-36 (vector-ref e-3 1))) (let ((e-37 (vector-ref e-3 2))) (let ((u--tm (vector 1 e-1 e-2 (vector 0 e-36 e-37)))) (let ((sc2 (DataC-45List-isNil (CoreC-45NameC-45Namespace-unsafeUnfoldNamespace e-36)))) (cond ((equal? sc2 1) (vector 1 e-1 e-2 (vector 0 arg-1 e-37))) (else u--tm)))))))(else arg-2)))))) ((2) (let ((e-5 (vector-ref arg-2 1))) (let ((e-6 (vector-ref arg-2 2))) (let ((e-7 (vector-ref arg-2 3))) (let ((e-8 (vector-ref arg-2 4))) (vector 2 e-5 e-6 e-7 (((csegen-25) (lambda (arg-3) (CoreC-45TT-u--restoreNS_StripNamespace_C-40TermC-32C-36varsC-41 arg-1 arg-3))) e-8))))))) ((3) (let ((e-10 (vector-ref arg-2 1))) (let ((e-11 (vector-ref arg-2 2))) (let ((e-12 (vector-ref arg-2 3))) (let ((e-13 (vector-ref arg-2 4))) (vector 3 e-10 e-11 (CoreC-45TT-u--map_Functor_Binder (lambda (arg-3) (CoreC-45TT-u--restoreNS_StripNamespace_C-40TermC-32C-36varsC-41 arg-1 arg-3)) e-12) (CoreC-45TT-u--restoreNS_StripNamespace_C-40TermC-32C-36varsC-41 arg-1 e-13))))))) ((4) (let ((e-15 (vector-ref arg-2 1))) (let ((e-16 (vector-ref arg-2 2))) (let ((e-17 (vector-ref arg-2 3))) (vector 4 e-15 (CoreC-45TT-u--restoreNS_StripNamespace_C-40TermC-32C-36varsC-41 arg-1 e-16) (CoreC-45TT-u--restoreNS_StripNamespace_C-40TermC-32C-36varsC-41 arg-1 e-17)))))) ((5) (let ((e-19 (vector-ref arg-2 1))) (let ((e-20 (vector-ref arg-2 2))) (let ((e-21 (vector-ref arg-2 3))) (let ((e-22 (vector-ref arg-2 4))) (vector 5 e-19 e-20 (CoreC-45TT-u--restoreNS_StripNamespace_C-40TermC-32C-36varsC-41 arg-1 e-21) (CoreC-45TT-u--restoreNS_StripNamespace_C-40TermC-32C-36varsC-41 arg-1 e-22))))))) ((6) (let ((e-24 (vector-ref arg-2 1))) (let ((e-25 (vector-ref arg-2 2))) (let ((e-26 (vector-ref arg-2 3))) (vector 6 e-24 e-25 (CoreC-45TT-u--restoreNS_StripNamespace_C-40TermC-32C-36varsC-41 arg-1 e-26)))))) ((7) (let ((e-28 (vector-ref arg-2 1))) (let ((e-29 (vector-ref arg-2 2))) (let ((e-30 (vector-ref arg-2 3))) (let ((e-31 (vector-ref arg-2 4))) (vector 7 e-28 e-29 (CoreC-45TT-u--restoreNS_StripNamespace_C-40TermC-32C-36varsC-41 arg-1 e-30) (CoreC-45TT-u--restoreNS_StripNamespace_C-40TermC-32C-36varsC-41 arg-1 e-31))))))) ((8) (let ((e-33 (vector-ref arg-2 1))) (let ((e-34 (vector-ref arg-2 2))) (let ((e-35 (vector-ref arg-2 3))) (vector 8 e-33 e-34 (CoreC-45TT-u--restoreNS_StripNamespace_C-40TermC-32C-36varsC-41 arg-1 e-35))))))(else arg-2))))
(define CoreC-45TT-u--pretty_Pretty_Void_Visibility (lambda (arg-0) (cond ((equal? arg-0 0) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--pretty_Pretty_Void_String ((csegen-0) "private"))) ((equal? arg-0 1) (csegen-1072)) (else (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--pretty_Pretty_Void_String ((csegen-0) "public")) (csegen-1072))))))
(define CoreC-45TT-u--pretty_Pretty_Void_Totality (lambda (arg-0) (let ((e-0 (car arg-0))) (let ((e-1 (cdr arg-0))) (case (vector-ref e-0 0) ((1) (case (vector-ref e-1 0) ((0) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--pretty_Pretty_Void_String ((csegen-0) "total")))(else (CoreC-45TT-u--pretty_Pretty_Void_Covering e-1))))(else (case (vector-ref e-1 0) ((0) (CoreC-45TT-u--pretty_Pretty_Void_Terminating e-0))(else (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (((csegen-380) (CoreC-45TT-u--pretty_Pretty_Void_Covering e-1)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-semi)) (CoreC-45TT-u--pretty_Pretty_Void_Terminating e-0))))))))))
(define CoreC-45TT-u--pretty_Pretty_Void_Terminating (lambda (arg-0) (case (vector-ref arg-0 0) ((0) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "not yet checked")) ((1) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--pretty_Pretty_Void_String ((csegen-0) "terminating"))) (else (let ((e-0 (vector-ref arg-0 1))) (CoreC-45TT-u--pretty_Pretty_Void_PartialReason e-0))))))
(define CoreC-45TT-u--pretty_Pretty_Void_PartialReason (lambda (arg-0) (case (vector-ref arg-0 0) ((0) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "not strictly positive")) ((1) (let ((e-0 (vector-ref arg-0 1))) (if (null? e-0) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "possibly not terminating due to calls to") (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-concatWith (csegen-1082) (PreludeC-45Interfaces-C-60C-36C-62 (csegen-24) (lambda (eta-0) (CoreC-45Name-u--pretty_Pretty_Void_Name eta-0)) e-0))) (let ((e-3 (car e-0))) (let ((e-4 (cdr e-0))) (if (null? e-4) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "possibly not terminating due to call to") (CoreC-45Name-u--pretty_Pretty_Void_Name e-3)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "possibly not terminating due to calls to") (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-concatWith (csegen-1082) (PreludeC-45Interfaces-C-60C-36C-62 (csegen-24) (lambda (eta-0) (CoreC-45Name-u--pretty_Pretty_Void_Name eta-0)) e-0))))))))) (else (let ((e-1 (vector-ref arg-0 1))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "possibly not terminating due to recursive path") (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-concatWith (lambda (eta-0) (lambda (eta-1) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-surround (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--pretty_Pretty_Void_String ((csegen-0) " -> ")) eta-0 eta-1))) (PreludeC-45Interfaces-C-60C-36C-62 (csegen-24) (lambda (eta-0) (CoreC-45Name-u--pretty_Pretty_Void_Name eta-0)) e-1))))))))
(define CoreC-45TT-u--pretty_Pretty_Void_Covering (lambda (arg-0) (case (vector-ref arg-0 0) ((0) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--pretty_Pretty_Void_String ((csegen-0) "covering"))) ((1) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "not covering all cases")) (else (let ((e-1 (vector-ref arg-0 1))) (if (null? e-1) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "not covering due to calls to functions") (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-concatWith (csegen-1082) (PreludeC-45Interfaces-C-60C-36C-62 (csegen-24) (lambda (eta-0) (CoreC-45Name-u--pretty_Pretty_Void_Name eta-0)) e-1))) (let ((e-3 (car e-1))) (let ((e-4 (cdr e-1))) (if (null? e-4) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "not covering due to call to function") (CoreC-45Name-u--pretty_Pretty_Void_Name e-3)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "not covering due to calls to functions") (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-concatWith (csegen-1082) (PreludeC-45Interfaces-C-60C-36C-62 (csegen-24) (lambda (eta-0) (CoreC-45Name-u--pretty_Pretty_Void_Name eta-0)) e-1))))))))))))
(define CoreC-45TT-u--pretty_Pretty_IdrisSyntax_PrimType (lambda (arg-0) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-annotate (vector 1 '()) (cond ((equal? arg-0 0) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-594) "Int")) ((equal? arg-0 1) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-594) "Int8")) ((equal? arg-0 2) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-594) "Int16")) ((equal? arg-0 3) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-594) "Int32")) ((equal? arg-0 4) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-594) "Int64")) ((equal? arg-0 5) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-594) "Integer")) ((equal? arg-0 6) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-594) "Bits8")) ((equal? arg-0 7) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-594) "Bits16")) ((equal? arg-0 8) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-594) "Bits32")) ((equal? arg-0 9) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-594) "Bits64")) ((equal? arg-0 10) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-594) "String")) ((equal? arg-0 11) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-594) "Char")) ((equal? arg-0 12) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-594) "Double")) (else (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-594) "%World"))))))
(define CoreC-45TT-u--pretty_Pretty_IdrisSyntax_Constant (lambda (arg-0) (case (vector-ref arg-0 0) ((13) (let ((e-0 (vector-ref arg-0 1))) (CoreC-45TT-u--pretty_Pretty_IdrisSyntax_PrimType e-0)))(else (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-annotate (vector 2 '()) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-863) (CoreC-45TT-u--show_Show_Constant arg-0)))))))
(define CoreC-45TT-u--prettyPrec_Pretty_Void_Visibility (lambda (arg-0 arg-1) (CoreC-45TT-u--pretty_Pretty_Void_Visibility arg-1)))
(define CoreC-45TT-u--prettyPrec_Pretty_Void_Totality (lambda (arg-0 arg-1) (CoreC-45TT-u--pretty_Pretty_Void_Totality arg-1)))
(define CoreC-45TT-u--prettyPrec_Pretty_Void_PartialReason (lambda (arg-0 arg-1) (CoreC-45TT-u--pretty_Pretty_Void_PartialReason arg-1)))
(define CoreC-45TT-u--prettyPrec_Pretty_IdrisSyntax_Constant (lambda (arg-0 arg-1) (CoreC-45TT-u--pretty_Pretty_IdrisSyntax_Constant arg-1)))
(define CoreC-45TT-u--null_Foldable_Binder (lambda (arg-1) ((CoreC-45TT-u--foldr_Foldable_Binder (lambda (_-6859) (lambda (_-6862) (lambda () 0))) (lambda () 1) arg-1))))
(define CoreC-45TT-u--map_Functor_PiInfo (lambda (arg-2 arg-3) (case (vector-ref arg-3 0) ((1) (vector 1 )) ((0) (vector 0 )) ((2) (vector 2 )) (else (let ((e-4 (vector-ref arg-3 1))) (vector 3 (arg-2 e-4)))))))
(define CoreC-45TT-u--map_Functor_Binder (lambda (arg-2 arg-3) (case (vector-ref arg-3 0) ((0) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-3 (vector-ref arg-3 3))) (let ((e-4 (vector-ref arg-3 4))) (vector 0 e-1 e-2 (CoreC-45TT-u--map_Functor_PiInfo arg-2 e-3) (arg-2 e-4))))))) ((1) (let ((e-6 (vector-ref arg-3 1))) (let ((e-7 (vector-ref arg-3 2))) (let ((e-8 (vector-ref arg-3 3))) (let ((e-9 (vector-ref arg-3 4))) (vector 1 e-6 e-7 (arg-2 e-8) (arg-2 e-9))))))) ((2) (let ((e-11 (vector-ref arg-3 1))) (let ((e-12 (vector-ref arg-3 2))) (let ((e-13 (vector-ref arg-3 3))) (let ((e-14 (vector-ref arg-3 4))) (vector 2 e-11 e-12 (CoreC-45TT-u--map_Functor_PiInfo arg-2 e-13) (arg-2 e-14))))))) ((3) (let ((e-16 (vector-ref arg-3 1))) (let ((e-17 (vector-ref arg-3 2))) (let ((e-18 (vector-ref arg-3 3))) (let ((e-19 (vector-ref arg-3 4))) (vector 3 e-16 e-17 (CoreC-45TT-u--map_Functor_PiInfo arg-2 e-18) (arg-2 e-19))))))) ((4) (let ((e-21 (vector-ref arg-3 1))) (let ((e-22 (vector-ref arg-3 2))) (let ((e-23 (vector-ref arg-3 3))) (let ((e-24 (vector-ref arg-3 4))) (vector 4 e-21 e-22 (arg-2 e-23) (arg-2 e-24))))))) (else (let ((e-26 (vector-ref arg-3 1))) (let ((e-27 (vector-ref arg-3 2))) (let ((e-28 (vector-ref arg-3 3))) (vector 5 e-26 e-27 (arg-2 e-28)))))))))
(define CoreC-45TT-u--foldr_Foldable_WhyErased (lambda (arg-2 arg-3 arg-4) (case (vector-ref arg-4 0) ((2) (let ((e-1 (vector-ref arg-4 1))) ((arg-2 e-1) arg-3)))(else arg-3))))
(define CoreC-45TT-u--foldr_Foldable_PiInfo (lambda (arg-2 arg-3 arg-4) (case (vector-ref arg-4 0) ((0) arg-3) ((1) arg-3) ((2) arg-3) (else (let ((e-4 (vector-ref arg-4 1))) ((arg-2 e-4) arg-3))))))
(define CoreC-45TT-u--foldr_Foldable_Binder (lambda (arg-2 arg-3 arg-4) (case (vector-ref arg-4 0) ((0) (let ((e-3 (vector-ref arg-4 3))) (let ((e-4 (vector-ref arg-4 4))) (CoreC-45TT-u--foldr_Foldable_PiInfo arg-2 ((arg-2 e-4) arg-3) e-3)))) ((1) (let ((e-8 (vector-ref arg-4 3))) (let ((e-9 (vector-ref arg-4 4))) ((arg-2 e-8) ((arg-2 e-9) arg-3))))) ((2) (let ((e-13 (vector-ref arg-4 3))) (let ((e-14 (vector-ref arg-4 4))) (CoreC-45TT-u--foldr_Foldable_PiInfo arg-2 ((arg-2 e-14) arg-3) e-13)))) ((3) (let ((e-18 (vector-ref arg-4 3))) (let ((e-19 (vector-ref arg-4 4))) (CoreC-45TT-u--foldr_Foldable_PiInfo arg-2 ((arg-2 e-19) arg-3) e-18)))) ((4) (let ((e-23 (vector-ref arg-4 3))) (let ((e-24 (vector-ref arg-4 4))) ((arg-2 e-23) ((arg-2 e-24) arg-3))))) (else (let ((e-28 (vector-ref arg-4 3))) ((arg-2 e-28) arg-3))))))
(define CoreC-45TT-u--foldl_Foldable_Binder (lambda (arg-2 arg-3 arg-4) ((CoreC-45TT-u--foldr_Foldable_Binder (lambda (eta-0) (lambda (eta-1) (PreludeC-45Basics-flip (csegen-154) (lambda (eta-2) (PreludeC-45Basics-flip arg-2 eta-0 eta-2)) eta-1))) (lambda (eta-0) eta-0) arg-4) arg-3)))
(define CoreC-45TT-u--foldlM_Foldable_Binder (lambda (arg-3 arg-4 arg-5 ext-0) (CoreC-45TT-u--foldl_Foldable_Binder (lambda (u--ma) (lambda (u--b) (let ((e-2 (vector-ref arg-3 1))) ((((e-2 'erased) 'erased) u--ma) (lambda (eta-0) (PreludeC-45Basics-flip arg-4 u--b eta-0)))))) (let ((e-1 (vector-ref arg-3 0))) (let ((e-5 (vector-ref e-1 1))) ((e-5 'erased) arg-5))) ext-0)))
(define CoreC-45TT-u--foldMap_Foldable_Binder (lambda (arg-2 arg-3 ext-0) (CoreC-45TT-u--foldr_Foldable_Binder (lambda (eta-0) ((let ((eff-0 (let ((e-1 (car arg-2))) e-1))) (lambda (arg-0) (lambda (arg-1) ((eff-0 arg-0) arg-1)))) (arg-3 eta-0))) (let ((e-2 (cdr arg-2))) e-2) ext-0)))
(define CoreC-45TT-u--compare_Ord_Precision (lambda (arg-0 arg-1) (if (null? arg-0) (if (null? arg-1) 1 2) (let ((e-0 (unbox arg-0))) (if (null? arg-1) 0 (let ((e-1 (unbox arg-1))) (PreludeC-45EqOrd-u--compare_Ord_Int e-0 e-1)))))))
(define CoreC-45TT-u--C-62_Ord_Precision (lambda (arg-0 arg-1) (PreludeC-45EqOrd-u--C-61C-61_Eq_Ordering (CoreC-45TT-u--compare_Ord_Precision arg-0 arg-1) 2)))
(define CoreC-45TT-u--C-62C-61_Ord_Precision (lambda (arg-0 arg-1) (PreludeC-45EqOrd-u--C-47C-61_Eq_Ordering (CoreC-45TT-u--compare_Ord_Precision arg-0 arg-1) 0)))
(define CoreC-45TT-u--C-61C-61_Eq_Visibility (lambda (arg-0 arg-1) (cond ((equal? arg-0 0) (cond ((equal? arg-1 0) 1)(else 0))) ((equal? arg-0 1) (cond ((equal? arg-1 1) 1)(else 0))) ((equal? arg-0 2) (cond ((equal? arg-1 2) 1)(else 0)))(else 0))))
(define CoreC-45TT-u--C-61C-61_Eq_TotalReq (lambda (arg-0 arg-1) (cond ((equal? arg-0 0) (cond ((equal? arg-1 0) 1)(else 0))) ((equal? arg-0 1) (cond ((equal? arg-1 1) 1)(else 0))) ((equal? arg-0 2) (cond ((equal? arg-1 2) 1)(else 0)))(else 0))))
(define CoreC-45TT-u--C-61C-61_Eq_PrimType (lambda (arg-0 arg-1) (cond ((equal? arg-0 0) (cond ((equal? arg-1 0) 1)(else 0))) ((equal? arg-0 1) (cond ((equal? arg-1 1) 1)(else 0))) ((equal? arg-0 2) (cond ((equal? arg-1 2) 1)(else 0))) ((equal? arg-0 3) (cond ((equal? arg-1 3) 1)(else 0))) ((equal? arg-0 4) (cond ((equal? arg-1 4) 1)(else 0))) ((equal? arg-0 5) (cond ((equal? arg-1 5) 1)(else 0))) ((equal? arg-0 6) (cond ((equal? arg-1 6) 1)(else 0))) ((equal? arg-0 7) (cond ((equal? arg-1 7) 1)(else 0))) ((equal? arg-0 8) (cond ((equal? arg-1 8) 1)(else 0))) ((equal? arg-0 9) (cond ((equal? arg-1 9) 1)(else 0))) ((equal? arg-0 10) (cond ((equal? arg-1 10) 1)(else 0))) ((equal? arg-0 11) (cond ((equal? arg-1 11) 1)(else 0))) ((equal? arg-0 12) (cond ((equal? arg-1 12) 1)(else 0))) ((equal? arg-0 13) (cond ((equal? arg-1 13) 1)(else 0)))(else 0))))
(define CoreC-45TT-u--C-61C-61_Eq_LazyReason (lambda (arg-0 arg-1) (cond ((equal? arg-0 0) (cond ((equal? arg-1 0) 1)(else 0))) ((equal? arg-0 1) (cond ((equal? arg-1 1) 1)(else 0))) ((equal? arg-0 2) (cond ((equal? arg-1 2) 1)(else 0)))(else 0))))
(define CoreC-45TT-u--C-61C-61_Eq_Constant (lambda (arg-0 arg-1) (case (vector-ref arg-0 0) ((0) (let ((e-0 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((0) (let ((e-14 (vector-ref arg-1 1))) (PreludeC-45EqOrd-u--C-61C-61_Eq_Int e-0 e-14)))(else 0)))) ((1) (let ((e-1 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((1) (let ((e-15 (vector-ref arg-1 1))) (PreludeC-45EqOrd-u--C-61C-61_Eq_Int8 e-1 e-15)))(else 0)))) ((2) (let ((e-2 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((2) (let ((e-16 (vector-ref arg-1 1))) (PreludeC-45EqOrd-u--C-61C-61_Eq_Int16 e-2 e-16)))(else 0)))) ((3) (let ((e-3 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((3) (let ((e-17 (vector-ref arg-1 1))) (PreludeC-45EqOrd-u--C-61C-61_Eq_Int32 e-3 e-17)))(else 0)))) ((4) (let ((e-4 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((4) (let ((e-18 (vector-ref arg-1 1))) (PreludeC-45EqOrd-u--C-61C-61_Eq_Int64 e-4 e-18)))(else 0)))) ((5) (let ((e-5 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((5) (let ((e-19 (vector-ref arg-1 1))) (PreludeC-45EqOrd-u--C-61C-61_Eq_Integer e-5 e-19)))(else 0)))) ((6) (let ((e-6 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((6) (let ((e-20 (vector-ref arg-1 1))) (PreludeC-45EqOrd-u--C-61C-61_Eq_Bits8 e-6 e-20)))(else 0)))) ((7) (let ((e-7 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((7) (let ((e-21 (vector-ref arg-1 1))) (PreludeC-45EqOrd-u--C-61C-61_Eq_Bits16 e-7 e-21)))(else 0)))) ((8) (let ((e-8 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((8) (let ((e-22 (vector-ref arg-1 1))) (PreludeC-45EqOrd-u--C-61C-61_Eq_Bits32 e-8 e-22)))(else 0)))) ((9) (let ((e-9 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((9) (let ((e-23 (vector-ref arg-1 1))) (PreludeC-45EqOrd-u--C-61C-61_Eq_Bits64 e-9 e-23)))(else 0)))) ((10) (let ((e-10 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((10) (let ((e-24 (vector-ref arg-1 1))) (PreludeC-45EqOrd-u--C-61C-61_Eq_String e-10 e-24)))(else 0)))) ((11) (let ((e-11 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((11) (let ((e-25 (vector-ref arg-1 1))) (PreludeC-45EqOrd-u--C-61C-61_Eq_Char e-11 e-25)))(else 0)))) ((12) (let ((e-12 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((12) (let ((e-26 (vector-ref arg-1 1))) (PreludeC-45EqOrd-u--C-61C-61_Eq_Double e-12 e-26)))(else 0)))) ((13) (let ((e-13 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((13) (let ((e-27 (vector-ref arg-1 1))) (CoreC-45TT-u--C-61C-61_Eq_PrimType e-13 e-27)))(else 0)))) ((14) (case (vector-ref arg-1 0) ((14) 1)(else 0)))(else 0))))
(define CoreC-45TT-u--C-61C-61_Eq_C-40WhyErasedC-32C-36aC-41 (lambda (arg-1 arg-2 arg-3) (case (vector-ref arg-2 0) ((0) (case (vector-ref arg-3 0) ((0) 1)(else 0))) ((1) (case (vector-ref arg-3 0) ((1) 1)(else 0))) ((2) (let ((e-3 (vector-ref arg-2 1))) (case (vector-ref arg-3 0) ((2) (let ((e-7 (vector-ref arg-3 1))) (let ((e-1 (car arg-1))) ((e-1 e-3) e-7))))(else 0))))(else 0))))
(define CoreC-45TT-u--C-61C-61_Eq_C-40TermC-32C-36varsC-41 (lambda (arg-1 arg-2) (case (vector-ref arg-1 0) ((0) (let ((e-4 (vector-ref arg-1 3))) (case (vector-ref arg-2 0) ((0) (let ((e-55 (vector-ref arg-2 3))) (or (and (= e-4 e-55) 1) 0)))(else 0)))) ((1) (let ((e-9 (vector-ref arg-1 3))) (case (vector-ref arg-2 0) ((1) (let ((e-60 (vector-ref arg-2 3))) (CoreC-45Name-u--C-61C-61_Eq_Name e-9 e-60)))(else 0)))) ((2) (let ((e-13 (vector-ref arg-1 3))) (let ((e-14 (vector-ref arg-1 4))) (case (vector-ref arg-2 0) ((2) (let ((e-64 (vector-ref arg-2 3))) (let ((e-65 (vector-ref arg-2 4))) (let ((sc2 (PreludeC-45EqOrd-u--C-61C-61_Eq_Int e-13 e-64))) (cond ((equal? sc2 1) (PreludeC-45Types-u--C-61C-61_Eq_C-40ListC-32C-36aC-41 (csegen-1104) e-14 e-65)) (else 0))))))(else 0))))) ((3) (let ((e-18 (vector-ref arg-1 3))) (let ((e-19 (vector-ref arg-1 4))) (case (vector-ref arg-2 0) ((3) (let ((e-69 (vector-ref arg-2 3))) (let ((e-70 (vector-ref arg-2 4))) (let ((sc2 (CoreC-45TT-u--C-61C-61_Eq_C-40BinderC-32C-36aC-41 (csegen-1104) e-18 e-69))) (cond ((equal? sc2 1) (CoreC-45TT-u--C-61C-61_Eq_C-40TermC-32C-36varsC-41 e-19 e-70)) (else 0))))))(else 0))))) ((4) (let ((e-22 (vector-ref arg-1 2))) (let ((e-23 (vector-ref arg-1 3))) (case (vector-ref arg-2 0) ((4) (let ((e-73 (vector-ref arg-2 2))) (let ((e-74 (vector-ref arg-2 3))) (let ((sc2 (CoreC-45TT-u--C-61C-61_Eq_C-40TermC-32C-36varsC-41 e-22 e-73))) (cond ((equal? sc2 1) (CoreC-45TT-u--C-61C-61_Eq_C-40TermC-32C-36varsC-41 e-23 e-74)) (else 0))))))(else 0))))) ((5) (let ((e-27 (vector-ref arg-1 3))) (let ((e-28 (vector-ref arg-1 4))) (case (vector-ref arg-2 0) ((5) (let ((e-78 (vector-ref arg-2 3))) (let ((e-79 (vector-ref arg-2 4))) (let ((sc2 (CoreC-45TT-u--C-61C-61_Eq_C-40TermC-32C-36varsC-41 e-27 e-78))) (cond ((equal? sc2 1) (CoreC-45TT-u--C-61C-61_Eq_C-40TermC-32C-36varsC-41 e-28 e-79)) (else 0))))))(else 0))))) ((6) (let ((e-32 (vector-ref arg-1 3))) (case (vector-ref arg-2 0) ((6) (let ((e-83 (vector-ref arg-2 3))) (CoreC-45TT-u--C-61C-61_Eq_C-40TermC-32C-36varsC-41 e-32 e-83)))(else 0)))) ((7) (let ((e-36 (vector-ref arg-1 3))) (let ((e-37 (vector-ref arg-1 4))) (case (vector-ref arg-2 0) ((7) (let ((e-87 (vector-ref arg-2 3))) (let ((e-88 (vector-ref arg-2 4))) (let ((sc2 (CoreC-45TT-u--C-61C-61_Eq_C-40TermC-32C-36varsC-41 e-36 e-87))) (cond ((equal? sc2 1) (CoreC-45TT-u--C-61C-61_Eq_C-40TermC-32C-36varsC-41 e-37 e-88)) (else 0))))))(else 0))))) ((8) (let ((e-41 (vector-ref arg-1 3))) (case (vector-ref arg-2 0) ((8) (let ((e-92 (vector-ref arg-2 3))) (CoreC-45TT-u--C-61C-61_Eq_C-40TermC-32C-36varsC-41 e-41 e-92)))(else 0)))) ((9) (let ((e-44 (vector-ref arg-1 2))) (case (vector-ref arg-2 0) ((9) (let ((e-95 (vector-ref arg-2 2))) (CoreC-45TT-u--C-61C-61_Eq_Constant e-44 e-95)))(else 0)))) ((10) (let ((e-47 (vector-ref arg-1 2))) (case (vector-ref arg-2 0) ((10) (let ((e-98 (vector-ref arg-2 2))) (CoreC-45TT-u--C-61C-61_Eq_C-40WhyErasedC-32C-36aC-41 (csegen-1104) e-47 e-98)))(else 0)))) ((11) (case (vector-ref arg-2 0) ((11) 1)(else 0)))(else 0))))
(define CoreC-45TT-u--C-61C-61_Eq_C-40PiInfoC-32C-36tC-41 (lambda (arg-1 ext-0 ext-1) (CoreC-45TT-eqPiInfoBy (lambda (eta-0) (lambda (eta-1) (let ((e-1 (car arg-1))) ((e-1 eta-0) eta-1)))) ext-0 ext-1)))
(define CoreC-45TT-u--C-61C-61_Eq_C-40BinderC-32C-36aC-41 (lambda (arg-1 ext-0 ext-1) (CoreC-45TT-eqBinderBy (lambda (eta-0) (lambda (eta-1) (let ((e-1 (car arg-1))) ((e-1 eta-0) eta-1)))) ext-0 ext-1)))
(define CoreC-45TT-u--C-60_Ord_TotalReq (lambda (arg-0 arg-1) (let ((sc0 (CoreC-45TT-u--C-60C-61_Ord_TotalReq arg-0 arg-1))) (cond ((equal? sc0 1) (CoreC-45TT-u--C-47C-61_Eq_TotalReq arg-0 arg-1)) (else 0)))))
(define CoreC-45TT-u--C-60C-61_Ord_TotalReq (lambda (arg-0 arg-1) (cond ((equal? arg-0 2) 1)(else (cond ((equal? arg-1 0) 1)(else (CoreC-45TT-u--C-61C-61_Eq_TotalReq arg-0 arg-1)))))))
(define CoreC-45TT-u--C-47C-61_Eq_Visibility (lambda (arg-0 arg-1) (let ((sc0 (CoreC-45TT-u--C-61C-61_Eq_Visibility arg-0 arg-1))) (cond ((equal? sc0 1) 0) (else 1)))))
(define CoreC-45TT-u--C-47C-61_Eq_TotalReq (lambda (arg-0 arg-1) (let ((sc0 (CoreC-45TT-u--C-61C-61_Eq_TotalReq arg-0 arg-1))) (cond ((equal? sc0 1) 0) (else 1)))))
(define CoreC-45TT-u--C-47C-61_Eq_PrimType (lambda (arg-0 arg-1) (let ((sc0 (CoreC-45TT-u--C-61C-61_Eq_PrimType arg-0 arg-1))) (cond ((equal? sc0 1) 0) (else 1)))))
(define CoreC-45TT-u--C-47C-61_Eq_Constant (lambda (arg-0 arg-1) (let ((sc0 (CoreC-45TT-u--C-61C-61_Eq_Constant arg-0 arg-1))) (cond ((equal? sc0 1) 0) (else 1)))))
(define CoreC-45TT-u--C-47C-61_Eq_C-40TermC-32C-36varsC-41 (lambda (arg-1 arg-2) (let ((sc0 (CoreC-45TT-u--C-61C-61_Eq_C-40TermC-32C-36varsC-41 arg-1 arg-2))) (cond ((equal? sc0 1) 0) (else 1)))))
(define CoreC-45TTC-45SizeOf-zero(blodwen-lazy (lambda () 0)))
(define CoreC-45TT-withPiInfo (lambda (arg-1 arg-2 arg-3) (case (vector-ref arg-2 0) ((1) (string-append "(" (string-append arg-3 ")"))) ((0) (string-append "{" (string-append arg-3 "}"))) ((2) (string-append "{auto " (string-append arg-3 "}"))) (else (let ((e-4 (vector-ref arg-2 1))) (string-append "{default " (string-append (let ((e-1 (car arg-1))) (e-1 e-4)) (string-append " " (string-append arg-3 "}")))))))))
(define CoreC-45TT-weakenVar (lambda (arg-2 arg-3) (let ((eff-0 arg-3)) (let ((eff-1 (CoreC-45TT-weakenNVar arg-2 eff-0))) eff-1))))
(define CoreC-45TT-weakenNVar (lambda (arg-3 arg-4) (CoreC-45TT-case--weakenNVar-12159 arg-4 arg-3 (CoreC-45TT-sizedView arg-3))))
(define CoreC-45TT-varIdx (lambda (arg-1) (let ((eff-0 arg-1)) eff-0)))
(define CoreC-45TT-varEmbedSub (lambda (arg-3 arg-4) (case (vector-ref arg-3 0) ((0) arg-4) ((1) (let ((e-4 (vector-ref arg-3 1))) (let ((eff-0 (CoreC-45TT-varEmbedSub e-4 arg-4))) (+ eff-0 1)))) (else (let ((e-8 (vector-ref arg-3 1))) (cond ((equal? arg-4 0) 0)(else (let ((e-9 (- arg-4 1))) (let ((eff-0 (CoreC-45TT-varEmbedSub e-8 e-9))) (+ eff-0 1))))))))))
(define CoreC-45TT-unchecked(blodwen-lazy (lambda () (cons (vector 0 ) (vector 0 )))))
(define CoreC-45TTC-45SizeOf-sucR (lambda (arg-3) (let ((eff-0 arg-3)) (+ eff-0 1))))
(define CoreC-45TTC-45SizeOf-suc (lambda (arg-3) (let ((eff-0 arg-3)) (+ eff-0 1))))
(define CoreC-45TTC-45SubstEnv-substs (lambda (arg-2 arg-3) (CoreC-45TTC-45SubstEnv-substEnv (CoreC-45TTC-45SizeOf-zero) arg-2 arg-3)))
(define CoreC-45TT-substName (lambda (arg-1 arg-2 arg-3) (case (vector-ref arg-3 0) ((1) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-3 (vector-ref arg-3 3))) (let ((sc1 (CoreC-45Name-nameEq arg-1 e-3))) (if (null? sc1) (vector 1 e-1 e-2 e-3) arg-2)))))) ((2) (let ((e-5 (vector-ref arg-3 1))) (let ((e-6 (vector-ref arg-3 2))) (let ((e-7 (vector-ref arg-3 3))) (let ((e-8 (vector-ref arg-3 4))) (vector 2 e-5 e-6 e-7 (((csegen-25) (lambda (eta-0) (CoreC-45TT-substName arg-1 arg-2 eta-0))) e-8))))))) ((3) (let ((e-10 (vector-ref arg-3 1))) (let ((e-11 (vector-ref arg-3 2))) (let ((e-12 (vector-ref arg-3 3))) (let ((e-13 (vector-ref arg-3 4))) (vector 3 e-10 e-11 (CoreC-45TT-u--map_Functor_Binder (lambda (eta-0) (CoreC-45TT-substName arg-1 arg-2 eta-0)) e-12) (CoreC-45TT-substName arg-1 (CoreC-45TT-u--weaken_Weaken_Term arg-2) e-13))))))) ((4) (let ((e-15 (vector-ref arg-3 1))) (let ((e-16 (vector-ref arg-3 2))) (let ((e-17 (vector-ref arg-3 3))) (vector 4 e-15 (CoreC-45TT-substName arg-1 arg-2 e-16) (CoreC-45TT-substName arg-1 arg-2 e-17)))))) ((5) (let ((e-19 (vector-ref arg-3 1))) (let ((e-20 (vector-ref arg-3 2))) (let ((e-21 (vector-ref arg-3 3))) (let ((e-22 (vector-ref arg-3 4))) (vector 5 e-19 e-20 e-21 (CoreC-45TT-substName arg-1 arg-2 e-22))))))) ((6) (let ((e-24 (vector-ref arg-3 1))) (let ((e-25 (vector-ref arg-3 2))) (let ((e-26 (vector-ref arg-3 3))) (vector 6 e-24 e-25 (CoreC-45TT-substName arg-1 arg-2 e-26)))))) ((7) (let ((e-28 (vector-ref arg-3 1))) (let ((e-29 (vector-ref arg-3 2))) (let ((e-30 (vector-ref arg-3 3))) (let ((e-31 (vector-ref arg-3 4))) (vector 7 e-28 e-29 (CoreC-45TT-substName arg-1 arg-2 e-30) (CoreC-45TT-substName arg-1 arg-2 e-31))))))) ((8) (let ((e-33 (vector-ref arg-3 1))) (let ((e-34 (vector-ref arg-3 2))) (let ((e-35 (vector-ref arg-3 3))) (vector 8 e-33 e-34 (CoreC-45TT-substName arg-1 arg-2 e-35))))))(else arg-3))))
(define CoreC-45TTC-45SubstEnv-substEnv (lambda (arg-3 arg-4 arg-5) (case (vector-ref arg-5 0) ((0) (let ((e-2 (vector-ref arg-5 1))) (let ((e-3 (vector-ref arg-5 2))) (let ((e-4 (vector-ref arg-5 3))) (CoreC-45TTC-45SubstEnv-find e-2 e-3 arg-3 e-4 arg-4))))) ((1) (let ((e-7 (vector-ref arg-5 1))) (let ((e-8 (vector-ref arg-5 2))) (let ((e-9 (vector-ref arg-5 3))) (vector 1 e-7 e-8 e-9))))) ((2) (let ((e-11 (vector-ref arg-5 1))) (let ((e-12 (vector-ref arg-5 2))) (let ((e-13 (vector-ref arg-5 3))) (let ((e-14 (vector-ref arg-5 4))) (vector 2 e-11 e-12 e-13 (((csegen-25) (lambda (eta-0) (CoreC-45TTC-45SubstEnv-substEnv arg-3 arg-4 eta-0))) e-14))))))) ((3) (let ((e-16 (vector-ref arg-5 1))) (let ((e-17 (vector-ref arg-5 2))) (let ((e-18 (vector-ref arg-5 3))) (let ((e-19 (vector-ref arg-5 4))) (vector 3 e-16 e-17 (CoreC-45TT-u--map_Functor_Binder (lambda (eta-0) (CoreC-45TTC-45SubstEnv-substEnv arg-3 arg-4 eta-0)) e-18) (CoreC-45TTC-45SubstEnv-substEnv (CoreC-45TTC-45SizeOf-suc arg-3) arg-4 e-19))))))) ((4) (let ((e-21 (vector-ref arg-5 1))) (let ((e-22 (vector-ref arg-5 2))) (let ((e-23 (vector-ref arg-5 3))) (vector 4 e-21 (CoreC-45TTC-45SubstEnv-substEnv arg-3 arg-4 e-22) (CoreC-45TTC-45SubstEnv-substEnv arg-3 arg-4 e-23)))))) ((5) (let ((e-25 (vector-ref arg-5 1))) (let ((e-26 (vector-ref arg-5 2))) (let ((e-27 (vector-ref arg-5 3))) (let ((e-28 (vector-ref arg-5 4))) (vector 5 e-25 e-26 (CoreC-45TTC-45SubstEnv-substEnv arg-3 arg-4 e-27) (CoreC-45TTC-45SubstEnv-substEnv arg-3 arg-4 e-28))))))) ((6) (let ((e-30 (vector-ref arg-5 1))) (let ((e-31 (vector-ref arg-5 2))) (let ((e-32 (vector-ref arg-5 3))) (vector 6 e-30 e-31 (CoreC-45TTC-45SubstEnv-substEnv arg-3 arg-4 e-32)))))) ((7) (let ((e-34 (vector-ref arg-5 1))) (let ((e-35 (vector-ref arg-5 2))) (let ((e-36 (vector-ref arg-5 3))) (let ((e-37 (vector-ref arg-5 4))) (vector 7 e-34 e-35 (CoreC-45TTC-45SubstEnv-substEnv arg-3 arg-4 e-36) (CoreC-45TTC-45SubstEnv-substEnv arg-3 arg-4 e-37))))))) ((8) (let ((e-39 (vector-ref arg-5 1))) (let ((e-40 (vector-ref arg-5 2))) (let ((e-41 (vector-ref arg-5 3))) (vector 8 e-39 e-40 (CoreC-45TTC-45SubstEnv-substEnv arg-3 arg-4 e-41)))))) ((9) (let ((e-43 (vector-ref arg-5 1))) (let ((e-44 (vector-ref arg-5 2))) (vector 9 e-43 e-44)))) ((10) (let ((e-46 (vector-ref arg-5 1))) (let ((e-47 (vector-ref arg-5 2))) (case (vector-ref e-47 0) ((1) (vector 10 e-46 (vector 1 ))) ((0) (vector 10 e-46 (vector 0 ))) (else (let ((e-54 (vector-ref e-47 1))) (vector 10 e-46 (vector 2 (CoreC-45TTC-45SubstEnv-substEnv arg-3 arg-4 e-54))))))))) (else (let ((e-49 (vector-ref arg-5 1))) (let ((e-50 (vector-ref arg-5 2))) (vector 11 e-49 e-50)))))))
(define CoreC-45TTC-45SubstEnv-subst (lambda (arg-2 arg-3) (CoreC-45TTC-45SubstEnv-substs (cons arg-2 '()) arg-3)))
(define CoreC-45TT-subExtend (lambda (arg-2 arg-3) (if (null? arg-2) arg-3 (let ((e-3 (cdr arg-2))) (vector 2 (CoreC-45TT-subExtend e-3 arg-3))))))
(define CoreC-45TT-subElem (lambda (arg-3 arg-5) (case (vector-ref arg-5 0) ((0) (box arg-3))(else (cond ((equal? arg-3 0) (case (vector-ref arg-5 0) ((1) '()) (else (box 0))))(else (let ((e-0 (- arg-3 1))) (case (vector-ref arg-5 0) ((1) (let ((e-12 (vector-ref arg-5 1))) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (CoreC-45TT-subElem e-0 e-12) (csegen-1105)))) (else (let ((e-16 (vector-ref arg-5 1))) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (CoreC-45TT-subElem e-0 e-16) (csegen-1106))))))))))))
(define CoreC-45TT-sizedView (lambda (arg-2) (let ((eff-0 arg-2)) (cond ((equal? eff-0 0) '())(else (let ((e-4 (- eff-0 1))) (box e-4)))))))
(define CoreC-45TTC-45Bounds-sizeOf (lambda (arg-1) (case (vector-ref arg-1 0) ((0) (CoreC-45TTC-45SizeOf-zero)) (else (let ((e-3 (vector-ref arg-1 3))) (CoreC-45TTC-45SizeOf-suc (CoreC-45TTC-45Bounds-sizeOf e-3)))))))
(define CoreC-45TT-shrinkTerm (lambda (arg-2 arg-3) (case (vector-ref arg-2 0) ((0) (let ((e-2 (vector-ref arg-2 1))) (let ((e-3 (vector-ref arg-2 2))) (let ((e-4 (vector-ref arg-2 3))) (PreludeC-45Interfaces-C-60C-36C-62 (csegen-76) (lambda (lamc-0) (let ((eff-0 lamc-0)) (vector 0 e-2 e-3 eff-0))) (CoreC-45TT-subElem e-4 arg-3)))))) ((1) (let ((e-7 (vector-ref arg-2 1))) (let ((e-8 (vector-ref arg-2 2))) (let ((e-9 (vector-ref arg-2 3))) (box (vector 1 e-7 e-8 e-9)))))) ((2) (let ((e-11 (vector-ref arg-2 1))) (let ((e-12 (vector-ref arg-2 2))) (let ((e-13 (vector-ref arg-2 3))) (let ((e-14 (vector-ref arg-2 4))) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (PreludeC-45Types-u--traverse_Traversable_List (csegen-323) (lambda (u--x) (CoreC-45TT-shrinkTerm u--x arg-3)) e-14) (lambda (u--xsC-39) (box (vector 2 e-11 e-12 e-13 u--xsC-39))))))))) ((3) (let ((e-16 (vector-ref arg-2 1))) (let ((e-17 (vector-ref arg-2 2))) (let ((e-18 (vector-ref arg-2 3))) (let ((e-19 (vector-ref arg-2 4))) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (CoreC-45TT-shrinkBinder e-18 arg-3) (lambda (bind-0) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (CoreC-45TT-shrinkTerm e-19 (vector 2 arg-3)) (lambda (bind-1) (box (vector 3 e-16 e-17 bind-0 bind-1))))))))))) ((4) (let ((e-21 (vector-ref arg-2 1))) (let ((e-22 (vector-ref arg-2 2))) (let ((e-23 (vector-ref arg-2 3))) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (CoreC-45TT-shrinkTerm e-22 arg-3) (lambda (bind-0) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (CoreC-45TT-shrinkTerm e-23 arg-3) (lambda (bind-1) (box (vector 4 e-21 bind-0 bind-1)))))))))) ((5) (let ((e-25 (vector-ref arg-2 1))) (let ((e-26 (vector-ref arg-2 2))) (let ((e-27 (vector-ref arg-2 3))) (let ((e-28 (vector-ref arg-2 4))) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (CoreC-45TT-shrinkTerm e-27 arg-3) (lambda (bind-0) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (CoreC-45TT-shrinkTerm e-28 arg-3) (lambda (bind-1) (box (vector 5 e-25 e-26 bind-0 bind-1))))))))))) ((6) (let ((e-30 (vector-ref arg-2 1))) (let ((e-31 (vector-ref arg-2 2))) (let ((e-32 (vector-ref arg-2 3))) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (CoreC-45TT-shrinkTerm e-32 arg-3) (lambda (bind-0) (box (vector 6 e-30 e-31 bind-0)))))))) ((7) (let ((e-34 (vector-ref arg-2 1))) (let ((e-35 (vector-ref arg-2 2))) (let ((e-36 (vector-ref arg-2 3))) (let ((e-37 (vector-ref arg-2 4))) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (CoreC-45TT-shrinkTerm e-36 arg-3) (lambda (bind-0) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (CoreC-45TT-shrinkTerm e-37 arg-3) (lambda (bind-1) (box (vector 7 e-34 e-35 bind-0 bind-1))))))))))) ((8) (let ((e-39 (vector-ref arg-2 1))) (let ((e-40 (vector-ref arg-2 2))) (let ((e-41 (vector-ref arg-2 3))) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (CoreC-45TT-shrinkTerm e-41 arg-3) (lambda (bind-0) (box (vector 8 e-39 e-40 bind-0)))))))) ((9) (let ((e-43 (vector-ref arg-2 1))) (let ((e-44 (vector-ref arg-2 2))) (box (vector 9 e-43 e-44))))) ((10) (let ((e-46 (vector-ref arg-2 1))) (let ((e-47 (vector-ref arg-2 2))) (case (vector-ref e-47 0) ((0) (box (vector 10 e-46 (vector 0 )))) ((1) (box (vector 10 e-46 (vector 1 )))) (else (let ((e-54 (vector-ref e-47 1))) (PreludeC-45Interfaces-C-60C-36C-62 (csegen-76) (lambda (eta-0) (vector 10 e-46 (vector 2 eta-0))) (CoreC-45TT-shrinkTerm e-54 arg-3)))))))) (else (let ((e-49 (vector-ref arg-2 1))) (let ((e-50 (vector-ref arg-2 2))) (box (vector 11 e-49 e-50))))))))
(define CoreC-45TT-shrinkPi (lambda (arg-2 arg-3) (case (vector-ref arg-2 0) ((1) (box (vector 1 ))) ((0) (box (vector 0 ))) ((2) (box (vector 2 ))) (else (let ((e-4 (vector-ref arg-2 1))) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (CoreC-45TT-shrinkTerm e-4 arg-3) (lambda (bind-0) (box (vector 3 bind-0)))))))))
(define CoreC-45TT-shrinkBinder (lambda (arg-2 arg-3) (case (vector-ref arg-2 0) ((0) (let ((e-1 (vector-ref arg-2 1))) (let ((e-2 (vector-ref arg-2 2))) (let ((e-3 (vector-ref arg-2 3))) (let ((e-4 (vector-ref arg-2 4))) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (CoreC-45TT-shrinkPi e-3 arg-3) (lambda (bind-0) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (CoreC-45TT-shrinkTerm e-4 arg-3) (lambda (bind-1) (box (vector 0 e-1 e-2 bind-0 bind-1))))))))))) ((1) (let ((e-6 (vector-ref arg-2 1))) (let ((e-7 (vector-ref arg-2 2))) (let ((e-8 (vector-ref arg-2 3))) (let ((e-9 (vector-ref arg-2 4))) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (CoreC-45TT-shrinkTerm e-8 arg-3) (lambda (bind-0) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (CoreC-45TT-shrinkTerm e-9 arg-3) (lambda (bind-1) (box (vector 1 e-6 e-7 bind-0 bind-1))))))))))) ((2) (let ((e-11 (vector-ref arg-2 1))) (let ((e-12 (vector-ref arg-2 2))) (let ((e-13 (vector-ref arg-2 3))) (let ((e-14 (vector-ref arg-2 4))) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (CoreC-45TT-shrinkPi e-13 arg-3) (lambda (bind-0) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (CoreC-45TT-shrinkTerm e-14 arg-3) (lambda (bind-1) (box (vector 2 e-11 e-12 bind-0 bind-1))))))))))) ((3) (let ((e-16 (vector-ref arg-2 1))) (let ((e-17 (vector-ref arg-2 2))) (let ((e-18 (vector-ref arg-2 3))) (let ((e-19 (vector-ref arg-2 4))) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (CoreC-45TT-shrinkPi e-18 arg-3) (lambda (bind-0) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (CoreC-45TT-shrinkTerm e-19 arg-3) (lambda (bind-1) (box (vector 3 e-16 e-17 bind-0 bind-1))))))))))) ((4) (let ((e-21 (vector-ref arg-2 1))) (let ((e-22 (vector-ref arg-2 2))) (let ((e-23 (vector-ref arg-2 3))) (let ((e-24 (vector-ref arg-2 4))) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (CoreC-45TT-shrinkTerm e-23 arg-3) (lambda (bind-0) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (CoreC-45TT-shrinkTerm e-24 arg-3) (lambda (bind-1) (box (vector 4 e-21 e-22 bind-0 bind-1))))))))))) (else (let ((e-26 (vector-ref arg-2 1))) (let ((e-27 (vector-ref arg-2 2))) (let ((e-28 (vector-ref arg-2 3))) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (CoreC-45TT-shrinkTerm e-28 arg-3) (lambda (bind-0) (box (vector 5 e-26 e-27 bind-0)))))))))))
(define CoreC-45TT-setMultiplicity (lambda (arg-1 arg-2) (case (vector-ref arg-1 0) ((0) (let ((e-1 (vector-ref arg-1 1))) (let ((e-3 (vector-ref arg-1 3))) (let ((e-4 (vector-ref arg-1 4))) (vector 0 e-1 arg-2 e-3 e-4))))) ((1) (let ((e-6 (vector-ref arg-1 1))) (let ((e-8 (vector-ref arg-1 3))) (let ((e-9 (vector-ref arg-1 4))) (vector 1 e-6 arg-2 e-8 e-9))))) ((2) (let ((e-11 (vector-ref arg-1 1))) (let ((e-13 (vector-ref arg-1 3))) (let ((e-14 (vector-ref arg-1 4))) (vector 2 e-11 arg-2 e-13 e-14))))) ((3) (let ((e-16 (vector-ref arg-1 1))) (let ((e-18 (vector-ref arg-1 3))) (let ((e-19 (vector-ref arg-1 4))) (vector 3 e-16 arg-2 e-18 e-19))))) ((4) (let ((e-21 (vector-ref arg-1 1))) (let ((e-23 (vector-ref arg-1 3))) (let ((e-24 (vector-ref arg-1 4))) (vector 4 e-21 arg-2 e-23 e-24))))) (else (let ((e-26 (vector-ref arg-1 1))) (let ((e-28 (vector-ref arg-1 3))) (vector 5 e-26 arg-2 e-28)))))))
(define CoreC-45TT-sameVar (lambda (arg-1 arg-2) (let ((eff-0 arg-1)) (let ((eff-1 arg-2)) (or (and (= eff-0 eff-1) 1) 0)))))
(define CoreC-45TTC-45SizeOf-reverse (lambda (arg-2) (let ((eff-0 arg-2)) eff-0)))
(define CoreC-45TT-resolveRef (lambda (arg-4 arg-5 arg-6 arg-7 arg-8) (case (vector-ref arg-6 0) ((0) '()) (else (let ((e-2 (vector-ref arg-6 2))) (let ((e-3 (vector-ref arg-6 3))) (let ((sc1 (CoreC-45Name-u--C-61C-61_Eq_Name arg-8 e-2))) (cond ((equal? sc1 1) (let ((eff-0 (CoreC-45TT-weakenNVar (CoreC-45TTC-45SizeOf-C-43 arg-4 arg-5) 0))) (box (vector 0 arg-7 '() eff-0)))) (else (CoreC-45TT-resolveRef arg-4 (CoreC-45TTC-45SizeOf-sucR arg-5) e-3 arg-7 arg-8))))))))))
(define CoreC-45TT-resolveNames (lambda (arg-0 arg-1) (case (vector-ref arg-1 0) ((1) (let ((e-1 (vector-ref arg-1 1))) (let ((e-2 (vector-ref arg-1 2))) (let ((e-3 (vector-ref arg-1 3))) (case (vector-ref e-2 0) ((0) (let ((sc2 (CoreC-45TT-isNVar e-3 arg-0))) (if (null? sc2) (vector 1 e-1 (vector 0 ) e-3) (let ((e-4 (unbox sc2))) (let ((eff-0 e-4)) (vector 0 e-1 (box 0) eff-0))))))(else arg-1)))))) ((2) (let ((e-5 (vector-ref arg-1 1))) (let ((e-6 (vector-ref arg-1 2))) (let ((e-7 (vector-ref arg-1 3))) (let ((e-8 (vector-ref arg-1 4))) (vector 2 e-5 e-6 e-7 (((csegen-25) (lambda (eta-0) (CoreC-45TT-resolveNames arg-0 eta-0))) e-8))))))) ((3) (let ((e-10 (vector-ref arg-1 1))) (let ((e-11 (vector-ref arg-1 2))) (let ((e-12 (vector-ref arg-1 3))) (let ((e-13 (vector-ref arg-1 4))) (vector 3 e-10 e-11 (CoreC-45TT-u--map_Functor_Binder (lambda (eta-0) (CoreC-45TT-resolveNames arg-0 eta-0)) e-12) (CoreC-45TT-resolveNames (cons e-11 arg-0) e-13))))))) ((4) (let ((e-15 (vector-ref arg-1 1))) (let ((e-16 (vector-ref arg-1 2))) (let ((e-17 (vector-ref arg-1 3))) (vector 4 e-15 (CoreC-45TT-resolveNames arg-0 e-16) (CoreC-45TT-resolveNames arg-0 e-17)))))) ((5) (let ((e-19 (vector-ref arg-1 1))) (let ((e-20 (vector-ref arg-1 2))) (let ((e-21 (vector-ref arg-1 3))) (let ((e-22 (vector-ref arg-1 4))) (vector 5 e-19 e-20 (CoreC-45TT-resolveNames arg-0 e-21) (CoreC-45TT-resolveNames arg-0 e-22))))))) ((6) (let ((e-24 (vector-ref arg-1 1))) (let ((e-25 (vector-ref arg-1 2))) (let ((e-26 (vector-ref arg-1 3))) (vector 6 e-24 e-25 (CoreC-45TT-resolveNames arg-0 e-26)))))) ((7) (let ((e-28 (vector-ref arg-1 1))) (let ((e-29 (vector-ref arg-1 2))) (let ((e-30 (vector-ref arg-1 3))) (let ((e-31 (vector-ref arg-1 4))) (vector 7 e-28 e-29 (CoreC-45TT-resolveNames arg-0 e-30) (CoreC-45TT-resolveNames arg-0 e-31))))))) ((8) (let ((e-33 (vector-ref arg-1 1))) (let ((e-34 (vector-ref arg-1 2))) (let ((e-35 (vector-ref arg-1 3))) (vector 8 e-33 e-34 (CoreC-45TT-resolveNames arg-0 e-35))))))(else arg-1))))
(define CoreC-45TT-renameVars (lambda (arg-2 arg-3) arg-3))
(define CoreC-45TT-renameTop (lambda (arg-2 arg-3) (CoreC-45TT-renameVars 1 arg-3)))
(define CoreC-45TT-refsToLocals (lambda (arg-2 arg-3) (case (vector-ref arg-2 0) ((0) arg-3)(else (CoreC-45TT-mkLocals (CoreC-45TTC-45SizeOf-zero) arg-2 arg-3)))))
(define CoreC-45TT-refToLocal (lambda (arg-1 arg-2 arg-3) (CoreC-45TT-refsToLocals (vector 1 arg-2 arg-1 (vector 0 )) arg-3)))
(define CoreC-45TT-primTypeTag (lambda (arg-0) (cond ((equal? arg-0 0) 3) ((equal? arg-0 5) 4) ((equal? arg-0 6) 5) ((equal? arg-0 7) 6) ((equal? arg-0 8) 7) ((equal? arg-0 9) 8) ((equal? arg-0 10) 9) ((equal? arg-0 11) 10) ((equal? arg-0 12) 11) ((equal? arg-0 13) 12) ((equal? arg-0 1) 13) ((equal? arg-0 2) 14) ((equal? arg-0 3) 15) (else 16))))
(define CoreC-45TT-primTypeEq (lambda (arg-0 arg-1) (cond ((equal? arg-0 0) (cond ((equal? arg-1 0) (box (vector 0 )))(else '()))) ((equal? arg-0 1) (cond ((equal? arg-1 1) (box (vector 0 )))(else '()))) ((equal? arg-0 2) (cond ((equal? arg-1 2) (box (vector 0 )))(else '()))) ((equal? arg-0 3) (cond ((equal? arg-1 3) (box (vector 0 )))(else '()))) ((equal? arg-0 4) (cond ((equal? arg-1 4) (box (vector 0 )))(else '()))) ((equal? arg-0 5) (cond ((equal? arg-1 5) (box (vector 0 )))(else '()))) ((equal? arg-0 10) (cond ((equal? arg-1 10) (box (vector 0 )))(else '()))) ((equal? arg-0 11) (cond ((equal? arg-1 11) (box (vector 0 )))(else '()))) ((equal? arg-0 12) (cond ((equal? arg-1 12) (box (vector 0 )))(else '()))) ((equal? arg-0 13) (cond ((equal? arg-1 13) (box (vector 0 )))(else '())))(else '()))))
(define CoreC-45TT-prettyOp (lambda (arg-1 arg-2) (case (vector-ref arg-1 0) ((0) (let ((e-20 (car arg-2))) (let ((e-21 (cdr arg-2))) (let ((e-24 (car e-21))) (let ((e-25 (cdr e-21))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 e-20 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-annotate (vector 3 (vector 1 (vector 0 (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1)))) ((csegen-331) "+")) e-24))))))) ((1) (let ((e-29 (car arg-2))) (let ((e-30 (cdr arg-2))) (let ((e-33 (car e-30))) (let ((e-34 (cdr e-30))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 e-29 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-annotate (vector 3 (vector 1 (vector 0 (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1)))) (csegen-1108)) e-33))))))) ((2) (let ((e-38 (car arg-2))) (let ((e-39 (cdr arg-2))) (let ((e-42 (car e-39))) (let ((e-43 (cdr e-39))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 e-38 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-annotate (vector 3 (vector 1 (vector 0 (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1)))) ((csegen-331) "*")) e-42))))))) ((3) (let ((e-47 (car arg-2))) (let ((e-48 (cdr arg-2))) (let ((e-51 (car e-48))) (let ((e-52 (cdr e-48))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 e-47 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-annotate (vector 3 (vector 1 (vector 0 (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1)))) ((csegen-331) "`div`")) e-51))))))) ((4) (let ((e-56 (car arg-2))) (let ((e-57 (cdr arg-2))) (let ((e-60 (car e-57))) (let ((e-61 (cdr e-57))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 e-56 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-annotate (vector 3 (vector 1 (vector 0 (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1)))) ((csegen-331) "`mod`")) e-60))))))) ((5) (let ((e-65 (car arg-2))) (let ((e-66 (cdr arg-2))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-annotate (vector 3 (vector 1 (vector 0 (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1)))) (csegen-1108)) e-65)))) ((6) (let ((e-70 (car arg-2))) (let ((e-71 (cdr arg-2))) (let ((e-74 (car e-71))) (let ((e-75 (cdr e-71))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-annotate (vector 3 (vector 1 (vector 0 (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1)))) ((csegen-331) "shiftl")) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 e-70 e-74))))))) ((7) (let ((e-79 (car arg-2))) (let ((e-80 (cdr arg-2))) (let ((e-83 (car e-80))) (let ((e-84 (cdr e-80))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-annotate (vector 3 (vector 1 (vector 0 (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1)))) ((csegen-331) "shiftr")) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 e-79 e-83))))))) ((8) (let ((e-88 (car arg-2))) (let ((e-89 (cdr arg-2))) (let ((e-92 (car e-89))) (let ((e-93 (cdr e-89))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 e-88 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-annotate (vector 3 (vector 1 (vector 0 (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1)))) ((csegen-331) "&&")) e-92))))))) ((9) (let ((e-97 (car arg-2))) (let ((e-98 (cdr arg-2))) (let ((e-101 (car e-98))) (let ((e-102 (cdr e-98))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 e-97 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-annotate (vector 3 (vector 1 (vector 0 (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1)))) ((csegen-331) "||")) e-101))))))) ((10) (let ((e-106 (car arg-2))) (let ((e-107 (cdr arg-2))) (let ((e-110 (car e-107))) (let ((e-111 (cdr e-107))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 e-106 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-annotate (vector 3 (vector 1 (vector 0 (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1)))) ((csegen-331) "`xor`")) e-110))))))) ((11) (let ((e-115 (car arg-2))) (let ((e-116 (cdr arg-2))) (let ((e-119 (car e-116))) (let ((e-120 (cdr e-116))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 e-115 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-annotate (vector 3 (vector 1 (vector 0 (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1)))) ((csegen-331) "<")) e-119))))))) ((12) (let ((e-124 (car arg-2))) (let ((e-125 (cdr arg-2))) (let ((e-128 (car e-125))) (let ((e-129 (cdr e-125))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 e-124 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-annotate (vector 3 (vector 1 (vector 0 (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1)))) ((csegen-331) "<=")) e-128))))))) ((13) (let ((e-133 (car arg-2))) (let ((e-134 (cdr arg-2))) (let ((e-137 (car e-134))) (let ((e-138 (cdr e-134))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 e-133 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-annotate (vector 3 (vector 1 (vector 0 (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1)))) ((csegen-331) "==")) e-137))))))) ((14) (let ((e-142 (car arg-2))) (let ((e-143 (cdr arg-2))) (let ((e-146 (car e-143))) (let ((e-147 (cdr e-143))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 e-142 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-annotate (vector 3 (vector 1 (vector 0 (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1)))) ((csegen-331) ">=")) e-146))))))) ((15) (let ((e-151 (car arg-2))) (let ((e-152 (cdr arg-2))) (let ((e-155 (car e-152))) (let ((e-156 (cdr e-152))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 e-151 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-annotate (vector 3 (vector 1 (vector 0 (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1)))) ((csegen-331) ">")) e-155))))))) ((16) (let ((e-160 (car arg-2))) (let ((e-161 (cdr arg-2))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-annotate (vector 3 (vector 1 (vector 0 (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1)))) ((csegen-331) "length")) e-160)))) ((17) (let ((e-165 (car arg-2))) (let ((e-166 (cdr arg-2))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-annotate (vector 3 (vector 1 (vector 0 (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1)))) ((csegen-331) "head")) e-165)))) ((18) (let ((e-170 (car arg-2))) (let ((e-171 (cdr arg-2))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-annotate (vector 3 (vector 1 (vector 0 (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1)))) ((csegen-331) "tail")) e-170)))) ((19) (let ((e-175 (car arg-2))) (let ((e-176 (cdr arg-2))) (let ((e-179 (car e-176))) (let ((e-180 (cdr e-176))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 e-175 (((csegen-380) (((csegen-380) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-annotate (vector 3 (vector 1 (vector 0 (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1)))) (csegen-1125))) e-179)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-annotate (vector 3 (vector 1 (vector 0 (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1)))) (csegen-1126))))))))) ((20) (let ((e-184 (car arg-2))) (let ((e-185 (cdr arg-2))) (let ((e-188 (car e-185))) (let ((e-189 (cdr e-185))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 e-184 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-annotate (vector 3 (vector 1 (vector 0 (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1)))) ((csegen-331) "::")) e-188))))))) ((21) (let ((e-193 (car arg-2))) (let ((e-194 (cdr arg-2))) (let ((e-197 (car e-194))) (let ((e-198 (cdr e-194))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 e-193 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-annotate (vector 3 (vector 1 (vector 0 (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1)))) ((csegen-331) "++")) e-197))))))) ((22) (let ((e-202 (car arg-2))) (let ((e-203 (cdr arg-2))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-annotate (vector 3 (vector 1 (vector 0 (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1)))) ((csegen-331) "reverse")) e-202)))) ((23) (let ((e-207 (car arg-2))) (let ((e-208 (cdr arg-2))) (let ((e-211 (car e-208))) (let ((e-212 (cdr e-208))) (let ((e-215 (car e-212))) (let ((e-216 (cdr e-212))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 e-207 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (((csegen-380) (((csegen-380) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-annotate (vector 3 (vector 1 (vector 0 (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1)))) (csegen-1125))) e-211)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-annotate (vector 3 (vector 1 (vector 0 (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1)))) ((csegen-331) ","))) (((csegen-380) e-215) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-annotate (vector 3 (vector 1 (vector 0 (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1)))) (csegen-1126)))))))))))) ((24) (let ((e-220 (car arg-2))) (let ((e-221 (cdr arg-2))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-annotate (vector 3 (vector 1 (vector 0 (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1)))) ((csegen-331) "exp")) e-220)))) ((25) (let ((e-225 (car arg-2))) (let ((e-226 (cdr arg-2))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-annotate (vector 3 (vector 1 (vector 0 (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1)))) ((csegen-331) "log")) e-225)))) ((26) (let ((e-230 (car arg-2))) (let ((e-231 (cdr arg-2))) (let ((e-234 (car e-231))) (let ((e-235 (cdr e-231))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 e-230 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-annotate (vector 3 (vector 1 (vector 0 (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1)))) ((csegen-331) "`pow`")) e-234))))))) ((27) (let ((e-239 (car arg-2))) (let ((e-240 (cdr arg-2))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-annotate (vector 3 (vector 1 (vector 0 (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1)))) ((csegen-331) "sin")) e-239)))) ((28) (let ((e-244 (car arg-2))) (let ((e-245 (cdr arg-2))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-annotate (vector 3 (vector 1 (vector 0 (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1)))) ((csegen-331) "cos")) e-244)))) ((29) (let ((e-249 (car arg-2))) (let ((e-250 (cdr arg-2))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-annotate (vector 3 (vector 1 (vector 0 (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1)))) ((csegen-331) "tan")) e-249)))) ((30) (let ((e-254 (car arg-2))) (let ((e-255 (cdr arg-2))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-annotate (vector 3 (vector 1 (vector 0 (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1)))) ((csegen-331) "asin")) e-254)))) ((31) (let ((e-259 (car arg-2))) (let ((e-260 (cdr arg-2))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-annotate (vector 3 (vector 1 (vector 0 (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1)))) ((csegen-331) "acos")) e-259)))) ((32) (let ((e-264 (car arg-2))) (let ((e-265 (cdr arg-2))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-annotate (vector 3 (vector 1 (vector 0 (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1)))) ((csegen-331) "atan")) e-264)))) ((33) (let ((e-269 (car arg-2))) (let ((e-270 (cdr arg-2))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-annotate (vector 3 (vector 1 (vector 0 (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1)))) ((csegen-331) "sqrt")) e-269)))) ((34) (let ((e-274 (car arg-2))) (let ((e-275 (cdr arg-2))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-annotate (vector 3 (vector 1 (vector 0 (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1)))) ((csegen-331) "floor")) e-274)))) ((35) (let ((e-279 (car arg-2))) (let ((e-280 (cdr arg-2))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-annotate (vector 3 (vector 1 (vector 0 (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1)))) ((csegen-331) "ceiling")) e-279)))) ((36) (let ((e-16 (vector-ref arg-1 1))) (let ((e-17 (vector-ref arg-1 2))) (let ((e-284 (car arg-2))) (let ((e-285 (cdr arg-2))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (((csegen-380) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-annotate (vector 3 (vector 1 (vector 0 (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1)))) (csegen-1125))) (CoreC-45TT-u--pretty_Pretty_IdrisSyntax_PrimType e-16)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-annotate (vector 3 (vector 1 (vector 0 (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1)))) ((csegen-331) "->")) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (((csegen-380) (CoreC-45TT-u--pretty_Pretty_IdrisSyntax_PrimType e-17)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-annotate (vector 3 (vector 1 (vector 0 (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1)))) (csegen-1126))) e-284)))))))) ((37) (let ((e-289 (car arg-2))) (let ((e-290 (cdr arg-2))) (let ((e-293 (car e-290))) (let ((e-294 (cdr e-290))) (let ((e-297 (car e-294))) (let ((e-298 (cdr e-294))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-annotate (vector 3 (vector 1 (vector 0 (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1)))) ((csegen-331) "believe_me")) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 e-289 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 e-293 e-297)))))))))) (else (let ((e-302 (car arg-2))) (let ((e-303 (cdr arg-2))) (let ((e-306 (car e-303))) (let ((e-307 (cdr e-303))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-annotate (vector 3 (vector 1 (vector 0 (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1)))) ((csegen-331) "crash")) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 e-302 e-306))))))))))
(define CoreC-45TT-piInfo (lambda (arg-1) (case (vector-ref arg-1 0) ((0) (let ((e-3 (vector-ref arg-1 3))) e-3)) ((1) (vector 1 )) ((2) (let ((e-13 (vector-ref arg-1 3))) e-13)) ((3) (let ((e-18 (vector-ref arg-1 3))) e-18)) ((4) (vector 1 )) (else (vector 1 )))))
(define CoreC-45TT-notCovering(blodwen-lazy (lambda () (cons (vector 0 ) (vector 1 '())))))
(define CoreC-45TT-nameAt (lambda (arg-1 arg-2) (let ((e-1 (car arg-1))) (let ((e-2 (cdr arg-1))) (cond ((equal? arg-2 0) e-1)(else (let ((e-3 (- arg-2 1))) (CoreC-45TT-nameAt e-2 e-3))))))))
(define CoreC-45TT-multiplicity (lambda (arg-1) (case (vector-ref arg-1 0) ((0) (let ((e-2 (vector-ref arg-1 2))) e-2)) ((1) (let ((e-7 (vector-ref arg-1 2))) e-7)) ((2) (let ((e-12 (vector-ref arg-1 2))) e-12)) ((3) (let ((e-17 (vector-ref arg-1 2))) e-17)) ((4) (let ((e-22 (vector-ref arg-1 2))) e-22)) (else (let ((e-27 (vector-ref arg-1 2))) e-27)))))
(define CoreC-45TTC-45SizeOf-mkSizeOf (lambda (arg-1) (PreludeC-45TypesC-45List-lengthTR arg-1)))
(define CoreC-45TT-mkLocals (lambda (arg-3 arg-4 arg-5) (case (vector-ref arg-5 0) ((0) (let ((e-2 (vector-ref arg-5 1))) (let ((e-3 (vector-ref arg-5 2))) (let ((e-4 (vector-ref arg-5 3))) (let ((eff-0 (CoreC-45TT-addVars arg-3 arg-4 e-4))) (vector 0 e-2 e-3 eff-0)))))) ((1) (let ((e-7 (vector-ref arg-5 1))) (let ((e-8 (vector-ref arg-5 2))) (let ((e-9 (vector-ref arg-5 3))) (case (vector-ref e-8 0) ((0) (PreludeC-45Types-maybe (lambda () (vector 1 e-7 (vector 0 ) e-9)) (lambda () (lambda (eta-0) eta-0)) (CoreC-45TT-resolveRef arg-3 (CoreC-45TTC-45SizeOf-zero) arg-4 e-7 e-9)))(else (vector 1 e-7 e-8 e-9))))))) ((2) (let ((e-11 (vector-ref arg-5 1))) (let ((e-12 (vector-ref arg-5 2))) (let ((e-13 (vector-ref arg-5 3))) (let ((e-14 (vector-ref arg-5 4))) (PreludeC-45Types-maybe (lambda () (vector 2 e-11 e-12 e-13 (((csegen-25) (lambda (eta-0) (CoreC-45TT-mkLocals arg-3 arg-4 eta-0))) e-14))) (lambda () (lambda (eta-0) eta-0)) (CoreC-45TT-resolveRef arg-3 (CoreC-45TTC-45SizeOf-zero) arg-4 e-11 e-12))))))) ((3) (let ((e-16 (vector-ref arg-5 1))) (let ((e-17 (vector-ref arg-5 2))) (let ((e-18 (vector-ref arg-5 3))) (let ((e-19 (vector-ref arg-5 4))) (vector 3 e-16 e-17 (CoreC-45TT-u--map_Functor_Binder (lambda (eta-0) (CoreC-45TT-mkLocals arg-3 arg-4 eta-0)) e-18) (CoreC-45TT-mkLocals (CoreC-45TTC-45SizeOf-suc arg-3) arg-4 e-19))))))) ((4) (let ((e-21 (vector-ref arg-5 1))) (let ((e-22 (vector-ref arg-5 2))) (let ((e-23 (vector-ref arg-5 3))) (vector 4 e-21 (CoreC-45TT-mkLocals arg-3 arg-4 e-22) (CoreC-45TT-mkLocals arg-3 arg-4 e-23)))))) ((5) (let ((e-25 (vector-ref arg-5 1))) (let ((e-26 (vector-ref arg-5 2))) (let ((e-27 (vector-ref arg-5 3))) (let ((e-28 (vector-ref arg-5 4))) (vector 5 e-25 e-26 (CoreC-45TT-mkLocals arg-3 arg-4 e-27) (CoreC-45TT-mkLocals arg-3 arg-4 e-28))))))) ((6) (let ((e-30 (vector-ref arg-5 1))) (let ((e-31 (vector-ref arg-5 2))) (let ((e-32 (vector-ref arg-5 3))) (vector 6 e-30 e-31 (CoreC-45TT-mkLocals arg-3 arg-4 e-32)))))) ((7) (let ((e-34 (vector-ref arg-5 1))) (let ((e-35 (vector-ref arg-5 2))) (let ((e-36 (vector-ref arg-5 3))) (let ((e-37 (vector-ref arg-5 4))) (vector 7 e-34 e-35 (CoreC-45TT-mkLocals arg-3 arg-4 e-36) (CoreC-45TT-mkLocals arg-3 arg-4 e-37))))))) ((8) (let ((e-39 (vector-ref arg-5 1))) (let ((e-40 (vector-ref arg-5 2))) (let ((e-41 (vector-ref arg-5 3))) (vector 8 e-39 e-40 (CoreC-45TT-mkLocals arg-3 arg-4 e-41)))))) ((9) (let ((e-43 (vector-ref arg-5 1))) (let ((e-44 (vector-ref arg-5 2))) (vector 9 e-43 e-44)))) ((10) (let ((e-46 (vector-ref arg-5 1))) (let ((e-47 (vector-ref arg-5 2))) (case (vector-ref e-47 0) ((1) (vector 10 e-46 (vector 1 ))) ((0) (vector 10 e-46 (vector 0 ))) (else (let ((e-54 (vector-ref e-47 1))) (vector 10 e-46 (vector 2 (CoreC-45TT-mkLocals arg-3 arg-4 e-54))))))))) (else (let ((e-49 (vector-ref arg-5 1))) (let ((e-50 (vector-ref arg-5 2))) (vector 11 e-49 e-50)))))))
(define CoreC-45TTC-45SizeOf-map (lambda (arg-4) (let ((eff-0 arg-4)) eff-0)))
(define CoreC-45TTC-45Var-later (lambda (arg-2) (let ((eff-0 arg-2)) (+ eff-0 1))))
(define CoreC-45TTC-45NVar-later (lambda (arg-3) (let ((eff-0 arg-3)) (+ eff-0 1))))
(define CoreC-45TT-isVar (lambda (arg-0 arg-1) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (CoreC-45TT-isNVar arg-0 arg-1) (csegen-1105))))
(define CoreC-45TT-isTotal(blodwen-lazy (lambda () (cons (vector 0 ) (vector 0 )))))
(define CoreC-45TT-isPrimType (lambda (arg-0) (case (vector-ref arg-0 0) ((13) 1)(else 0))))
(define CoreC-45TT-isNVar (lambda (arg-0 arg-1) (if (null? arg-1) '() (let ((e-2 (car arg-1))) (let ((e-3 (cdr arg-1))) (let ((sc1 (CoreC-45Name-nameEq arg-0 e-2))) (if (null? sc1) (((csegen-77) (lambda (eta-0) (CoreC-45TTC-45NVar-later eta-0))) (CoreC-45TT-isNVar arg-0 e-3)) (box 0))))))))
(define CoreC-45TT-isLet (lambda (arg-1) (case (vector-ref arg-1 0) ((1) 1)(else 0))))
(define CoreC-45TT-isImplicit (lambda (ext-0) (CoreC-45TTC-45PiInfo-isImplicit (CoreC-45TT-piInfo ext-0))))
(define CoreC-45TTC-45PiInfo-isImplicit (lambda (arg-1) (case (vector-ref arg-1 0) ((1) 0)(else 1))))
(define CoreC-45TT-isErased (lambda (arg-1) (case (vector-ref arg-1 0) ((10) 1)(else 0))))
(define CoreC-45TT-isConstantType (lambda (arg-0) (case (vector-ref arg-0 0) ((1) (let ((e-0 (vector-ref arg-0 1))) (case (vector-ref e-0 0) ((0) (let ((e-1 (vector-ref e-0 1))) (cond ((equal? e-1 "Int") (box 0)) ((equal? e-1 "Int8") (box 1)) ((equal? e-1 "Int16") (box 2)) ((equal? e-1 "Int32") (box 3)) ((equal? e-1 "Int64") (box 4)) ((equal? e-1 "Integer") (box 5)) ((equal? e-1 "Bits8") (box 6)) ((equal? e-1 "Bits16") (box 7)) ((equal? e-1 "Bits32") (box 8)) ((equal? e-1 "Bits64") (box 9)) ((equal? e-1 "String") (box 10)) ((equal? e-1 "Char") (box 11)) ((equal? e-1 "Double") (box 12)) ((equal? e-1 "%World") (box 13))(else '()))))(else '()))))(else '()))))
(define CoreC-45TT-isCon (lambda (arg-0) (case (vector-ref arg-0 0) ((2) (let ((e-0 (vector-ref arg-0 1))) (let ((e-1 (vector-ref arg-0 2))) (box (cons e-0 e-1))))) ((3) (let ((e-2 (vector-ref arg-0 1))) (let ((e-3 (vector-ref arg-0 2))) (box (cons e-2 e-3)))))(else '()))))
(define CoreC-45TT-intKind (lambda (arg-0) (cond ((equal? arg-0 5) (box (vector 0 '()))) ((equal? arg-0 1) (box (vector 0 (box 8)))) ((equal? arg-0 2) (box (vector 0 (box 16)))) ((equal? arg-0 3) (box (vector 0 (box 32)))) ((equal? arg-0 4) (box (vector 0 (box 64)))) ((equal? arg-0 0) (box (vector 0 (box 64)))) ((equal? arg-0 6) (box (vector 1 8))) ((equal? arg-0 7) (box (vector 1 16))) ((equal? arg-0 8) (box (vector 1 32))) ((equal? arg-0 9) (box (vector 1 64)))(else '()))))
(define CoreC-45TT-insertNames (lambda (arg-3 arg-4 arg-5) (case (vector-ref arg-5 0) ((0) (let ((e-2 (vector-ref arg-5 1))) (let ((e-3 (vector-ref arg-5 2))) (let ((e-4 (vector-ref arg-5 3))) (let ((eff-0 (CoreC-45TT-insertNVarNames arg-3 arg-4 e-4))) (vector 0 e-2 e-3 eff-0)))))) ((1) (let ((e-7 (vector-ref arg-5 1))) (let ((e-8 (vector-ref arg-5 2))) (let ((e-9 (vector-ref arg-5 3))) (vector 1 e-7 e-8 e-9))))) ((2) (let ((e-11 (vector-ref arg-5 1))) (let ((e-12 (vector-ref arg-5 2))) (let ((e-13 (vector-ref arg-5 3))) (let ((e-14 (vector-ref arg-5 4))) (vector 2 e-11 e-12 e-13 (((csegen-25) (lambda (eta-0) (CoreC-45TT-insertNames arg-3 arg-4 eta-0))) e-14))))))) ((3) (let ((e-16 (vector-ref arg-5 1))) (let ((e-17 (vector-ref arg-5 2))) (let ((e-18 (vector-ref arg-5 3))) (let ((e-19 (vector-ref arg-5 4))) (vector 3 e-16 e-17 (CoreC-45TT-u--map_Functor_Binder (lambda (eta-0) (CoreC-45TT-insertNames arg-3 arg-4 eta-0)) e-18) (CoreC-45TT-insertNames (CoreC-45TTC-45SizeOf-suc arg-3) arg-4 e-19))))))) ((4) (let ((e-21 (vector-ref arg-5 1))) (let ((e-22 (vector-ref arg-5 2))) (let ((e-23 (vector-ref arg-5 3))) (vector 4 e-21 (CoreC-45TT-insertNames arg-3 arg-4 e-22) (CoreC-45TT-insertNames arg-3 arg-4 e-23)))))) ((5) (let ((e-25 (vector-ref arg-5 1))) (let ((e-26 (vector-ref arg-5 2))) (let ((e-27 (vector-ref arg-5 3))) (let ((e-28 (vector-ref arg-5 4))) (vector 5 e-25 e-26 (CoreC-45TT-insertNames arg-3 arg-4 e-27) (CoreC-45TT-insertNames arg-3 arg-4 e-28))))))) ((6) (let ((e-30 (vector-ref arg-5 1))) (let ((e-31 (vector-ref arg-5 2))) (let ((e-32 (vector-ref arg-5 3))) (vector 6 e-30 e-31 (CoreC-45TT-insertNames arg-3 arg-4 e-32)))))) ((7) (let ((e-34 (vector-ref arg-5 1))) (let ((e-35 (vector-ref arg-5 2))) (let ((e-36 (vector-ref arg-5 3))) (let ((e-37 (vector-ref arg-5 4))) (vector 7 e-34 e-35 (CoreC-45TT-insertNames arg-3 arg-4 e-36) (CoreC-45TT-insertNames arg-3 arg-4 e-37))))))) ((8) (let ((e-39 (vector-ref arg-5 1))) (let ((e-40 (vector-ref arg-5 2))) (let ((e-41 (vector-ref arg-5 3))) (vector 8 e-39 e-40 (CoreC-45TT-insertNames arg-3 arg-4 e-41)))))) ((9) (let ((e-43 (vector-ref arg-5 1))) (let ((e-44 (vector-ref arg-5 2))) (vector 9 e-43 e-44)))) ((10) (let ((e-46 (vector-ref arg-5 1))) (let ((e-47 (vector-ref arg-5 2))) (case (vector-ref e-47 0) ((1) (vector 10 e-46 (vector 1 ))) ((0) (vector 10 e-46 (vector 0 ))) (else (let ((e-54 (vector-ref e-47 1))) (vector 10 e-46 (vector 2 (CoreC-45TT-insertNames arg-3 arg-4 e-54))))))))) (else (let ((e-49 (vector-ref arg-5 1))) (let ((e-50 (vector-ref arg-5 2))) (vector 11 e-49 e-50)))))))
(define CoreC-45TT-insertNVarNames (lambda (arg-4 arg-5 arg-6) (CoreC-45TT-case--insertNVarNames-12671 arg-6 arg-5 arg-4 (CoreC-45TT-sizedView arg-4))))
(define CoreC-45TT-insertNVar (lambda (arg-4 arg-5) (CoreC-45TT-case--insertNVar-12222 arg-5 arg-4 (CoreC-45TT-sizedView arg-4))))
(define CoreC-45TT-getRefs (lambda (arg-1 arg-2) (CoreC-45TT-addRefs 0 arg-1 (LibrariesC-45DataC-45NameMap-empty) arg-2)))
(define CoreC-45TT-getMetas (lambda (arg-1) (CoreC-45TT-addMetas 0 (LibrariesC-45DataC-45NameMap-empty) arg-1)))
(define CoreC-45TT-getLoc (lambda (arg-1) (case (vector-ref arg-1 0) ((0) (let ((e-2 (vector-ref arg-1 1))) e-2)) ((1) (let ((e-7 (vector-ref arg-1 1))) e-7)) ((2) (let ((e-11 (vector-ref arg-1 1))) e-11)) ((3) (let ((e-16 (vector-ref arg-1 1))) e-16)) ((4) (let ((e-21 (vector-ref arg-1 1))) e-21)) ((5) (let ((e-25 (vector-ref arg-1 1))) e-25)) ((6) (let ((e-30 (vector-ref arg-1 1))) e-30)) ((7) (let ((e-34 (vector-ref arg-1 1))) e-34)) ((8) (let ((e-39 (vector-ref arg-1 1))) e-39)) ((9) (let ((e-43 (vector-ref arg-1 1))) e-43)) ((10) (let ((e-46 (vector-ref arg-1 1))) e-46)) (else (let ((e-49 (vector-ref arg-1 1))) e-49)))))
(define CoreC-45TT-getFnArgs (lambda (arg-1) (CoreC-45TT-n--17942-13492-u--getFA arg-1 '() arg-1)))
(define CoreC-45TT-getFn (lambda (arg-1) (case (vector-ref arg-1 0) ((4) (let ((e-2 (vector-ref arg-1 2))) (CoreC-45TT-getFn e-2)))(else arg-1))))
(define CoreC-45TT-getArgs (lambda (ext-0) (Builtin-snd (CoreC-45TT-getFnArgs ext-0))))
(define CoreC-45TT-forgetDef (lambda (arg-2) (case (vector-ref arg-2 0) ((1) (vector 1 )) ((0) (vector 0 )) ((2) (vector 2 )) (else (vector 0 )))))
(define CoreC-45TT-fnType (lambda (arg-0 arg-1 arg-2 arg-3) (vector 3 (CoreC-45FC-emptyFC) (vector 2 "_" 0) (vector 2 arg-1 (AlgebraC-45ZeroOneOmega-u--top_Top_ZeroOneOmega) (vector 1 ) arg-2) (CoreC-45TT-u--weaken_Weaken_Term arg-3))))
(define CoreC-45TTC-45SubstEnv-findDrop (lambda (arg-2 arg-3 arg-4 arg-5) (let ((eff-0 arg-4)) (if (null? arg-5) (vector 0 arg-2 arg-3 eff-0) (cond ((equal? eff-0 0) (let ((e-8 (car arg-5))) e-8))(else (let ((e-4 (- eff-0 1))) (let ((e-14 (cdr arg-5))) (CoreC-45TTC-45SubstEnv-findDrop arg-2 arg-3 e-4 e-14)))))))))
(define CoreC-45TTC-45SubstEnv-find (lambda (arg-3 arg-4 arg-5 arg-6 arg-7) (CoreC-45TTC-45SubstEnv-case--find-15919 arg-7 arg-6 arg-5 arg-4 arg-3 (CoreC-45TT-sizedView arg-5))))
(define CoreC-45TT-eqWhyErased (lambda (arg-2 arg-3) (case (vector-ref arg-2 0) ((1) (case (vector-ref arg-3 0) ((1) 1)(else 0))) ((0) (case (vector-ref arg-3 0) ((0) 1)(else 0))) ((2) (let ((e-3 (vector-ref arg-2 1))) (case (vector-ref arg-3 0) ((2) (let ((e-7 (vector-ref arg-3 1))) (CoreC-45TT-eqTerm e-3 e-7)))(else 0))))(else 0))))
(define CoreC-45TT-eqTerm (lambda (arg-2 arg-3) (case (vector-ref arg-2 0) ((0) (let ((e-4 (vector-ref arg-2 3))) (case (vector-ref arg-3 0) ((0) (let ((e-55 (vector-ref arg-3 3))) (or (and (= e-4 e-55) 1) 0)))(else 0)))) ((1) (let ((e-9 (vector-ref arg-2 3))) (case (vector-ref arg-3 0) ((1) (let ((e-60 (vector-ref arg-3 3))) (CoreC-45Name-u--C-61C-61_Eq_Name e-9 e-60)))(else 0)))) ((2) (let ((e-13 (vector-ref arg-2 3))) (let ((e-14 (vector-ref arg-2 4))) (case (vector-ref arg-3 0) ((2) (let ((e-64 (vector-ref arg-3 3))) (let ((e-65 (vector-ref arg-3 4))) (let ((sc2 (PreludeC-45EqOrd-u--C-61C-61_Eq_Int e-13 e-64))) (cond ((equal? sc2 1) (PreludeC-45Interfaces-all (csegen-16) (lambda (eta-0) (PreludeC-45Basics-uncurry (csegen-1147) eta-0)) (DataC-45List-u--zip_Zippable_List e-14 e-65))) (else 0))))))(else 0))))) ((3) (let ((e-18 (vector-ref arg-2 3))) (let ((e-19 (vector-ref arg-2 4))) (case (vector-ref arg-3 0) ((3) (let ((e-69 (vector-ref arg-3 3))) (let ((e-70 (vector-ref arg-3 4))) (let ((sc2 (CoreC-45TT-eqBinderBy (csegen-1147) e-18 e-69))) (cond ((equal? sc2 1) (CoreC-45TT-eqTerm e-19 e-70)) (else 0))))))(else 0))))) ((4) (let ((e-22 (vector-ref arg-2 2))) (let ((e-23 (vector-ref arg-2 3))) (case (vector-ref arg-3 0) ((4) (let ((e-73 (vector-ref arg-3 2))) (let ((e-74 (vector-ref arg-3 3))) (let ((sc2 (CoreC-45TT-eqTerm e-22 e-73))) (cond ((equal? sc2 1) (CoreC-45TT-eqTerm e-23 e-74)) (else 0))))))(else 0))))) ((5) (let ((e-27 (vector-ref arg-2 3))) (let ((e-28 (vector-ref arg-2 4))) (case (vector-ref arg-3 0) ((5) (let ((e-78 (vector-ref arg-3 3))) (let ((e-79 (vector-ref arg-3 4))) (let ((sc2 (CoreC-45TT-eqTerm e-27 e-78))) (cond ((equal? sc2 1) (CoreC-45TT-eqTerm e-28 e-79)) (else 0))))))(else 0))))) ((6) (let ((e-32 (vector-ref arg-2 3))) (case (vector-ref arg-3 0) ((6) (let ((e-83 (vector-ref arg-3 3))) (CoreC-45TT-eqTerm e-32 e-83)))(else 0)))) ((7) (let ((e-36 (vector-ref arg-2 3))) (let ((e-37 (vector-ref arg-2 4))) (case (vector-ref arg-3 0) ((7) (let ((e-87 (vector-ref arg-3 3))) (let ((e-88 (vector-ref arg-3 4))) (let ((sc2 (CoreC-45TT-eqTerm e-36 e-87))) (cond ((equal? sc2 1) (CoreC-45TT-eqTerm e-37 e-88)) (else 0))))))(else 0))))) ((8) (let ((e-41 (vector-ref arg-2 3))) (case (vector-ref arg-3 0) ((8) (let ((e-92 (vector-ref arg-3 3))) (CoreC-45TT-eqTerm e-41 e-92)))(else 0)))) ((9) (let ((e-44 (vector-ref arg-2 2))) (case (vector-ref arg-3 0) ((9) (let ((e-95 (vector-ref arg-3 2))) (CoreC-45TT-u--C-61C-61_Eq_Constant e-44 e-95)))(else 0)))) ((10) (let ((e-47 (vector-ref arg-2 2))) (case (vector-ref arg-3 0) ((10) (let ((e-98 (vector-ref arg-3 2))) (CoreC-45TT-eqWhyErased e-47 e-98)))(else 0)))) ((11) (case (vector-ref arg-3 0) ((11) 1)(else 0)))(else 0))))
(define CoreC-45TT-eqPiInfoBy (lambda (arg-2 ext-0 ext-1) (CoreC-45TT-n--9135-5101-u--go arg-2 ext-0 ext-1)))
(define CoreC-45TT-eqBinderBy (lambda (arg-2 ext-0 ext-1) (CoreC-45TT-n--13835-9716-u--go arg-2 ext-0 ext-1)))
(define CoreC-45TT-embedSub (lambda (arg-2 arg-3) (case (vector-ref arg-3 0) ((0) (let ((e-2 (vector-ref arg-3 1))) (let ((e-3 (vector-ref arg-3 2))) (let ((e-4 (vector-ref arg-3 3))) (let ((eff-0 (CoreC-45TT-varEmbedSub arg-2 e-4))) (vector 0 e-2 e-3 eff-0)))))) ((1) (let ((e-7 (vector-ref arg-3 1))) (let ((e-8 (vector-ref arg-3 2))) (let ((e-9 (vector-ref arg-3 3))) (vector 1 e-7 e-8 e-9))))) ((2) (let ((e-11 (vector-ref arg-3 1))) (let ((e-12 (vector-ref arg-3 2))) (let ((e-13 (vector-ref arg-3 3))) (let ((e-14 (vector-ref arg-3 4))) (vector 2 e-11 e-12 e-13 (((csegen-25) (lambda (eta-0) (CoreC-45TT-embedSub arg-2 eta-0))) e-14))))))) ((3) (let ((e-16 (vector-ref arg-3 1))) (let ((e-17 (vector-ref arg-3 2))) (let ((e-18 (vector-ref arg-3 3))) (let ((e-19 (vector-ref arg-3 4))) (vector 3 e-16 e-17 (CoreC-45TT-u--map_Functor_Binder (lambda (eta-0) (CoreC-45TT-embedSub arg-2 eta-0)) e-18) (CoreC-45TT-embedSub (vector 2 arg-2) e-19))))))) ((4) (let ((e-21 (vector-ref arg-3 1))) (let ((e-22 (vector-ref arg-3 2))) (let ((e-23 (vector-ref arg-3 3))) (vector 4 e-21 (CoreC-45TT-embedSub arg-2 e-22) (CoreC-45TT-embedSub arg-2 e-23)))))) ((5) (let ((e-25 (vector-ref arg-3 1))) (let ((e-26 (vector-ref arg-3 2))) (let ((e-27 (vector-ref arg-3 3))) (let ((e-28 (vector-ref arg-3 4))) (vector 5 e-25 e-26 (CoreC-45TT-embedSub arg-2 e-27) (CoreC-45TT-embedSub arg-2 e-28))))))) ((6) (let ((e-30 (vector-ref arg-3 1))) (let ((e-31 (vector-ref arg-3 2))) (let ((e-32 (vector-ref arg-3 3))) (vector 6 e-30 e-31 (CoreC-45TT-embedSub arg-2 e-32)))))) ((7) (let ((e-34 (vector-ref arg-3 1))) (let ((e-35 (vector-ref arg-3 2))) (let ((e-36 (vector-ref arg-3 3))) (let ((e-37 (vector-ref arg-3 4))) (vector 7 e-34 e-35 (CoreC-45TT-embedSub arg-2 e-36) (CoreC-45TT-embedSub arg-2 e-37))))))) ((8) (let ((e-39 (vector-ref arg-3 1))) (let ((e-40 (vector-ref arg-3 2))) (let ((e-41 (vector-ref arg-3 3))) (vector 8 e-39 e-40 (CoreC-45TT-embedSub arg-2 e-41)))))) ((9) (let ((e-43 (vector-ref arg-3 1))) (let ((e-44 (vector-ref arg-3 2))) (vector 9 e-43 e-44)))) ((10) (let ((e-46 (vector-ref arg-3 1))) (let ((e-47 (vector-ref arg-3 2))) (case (vector-ref e-47 0) ((1) (vector 10 e-46 (vector 1 ))) ((0) (vector 10 e-46 (vector 0 ))) (else (let ((e-54 (vector-ref e-47 1))) (vector 10 e-46 (vector 2 (CoreC-45TT-embedSub arg-2 e-54))))))))) (else (let ((e-49 (vector-ref arg-3 1))) (let ((e-50 (vector-ref arg-3 2))) (vector 11 e-49 e-50)))))))
(define CoreC-45TT-embed (lambda (arg-2) arg-2))
(define CoreC-45TT-dropVar (lambda (arg-1 arg-2) (let ((e-1 (car arg-1))) (let ((e-2 (cdr arg-1))) (cond ((equal? arg-2 0) e-2)(else (let ((e-3 (- arg-2 1))) (cons e-1 (CoreC-45TT-dropVar e-2 e-3)))))))))
(define CoreC-45TT-dropFirst (lambda (arg-2) (if (null? arg-2) '() (let ((e-2 (car arg-2))) (let ((e-3 (cdr arg-2))) (let ((eff-0 e-2)) (cond ((equal? eff-0 0) (CoreC-45TT-dropFirst e-3))(else (let ((e-8 (- eff-0 1))) (cons e-8 (CoreC-45TT-dropFirst e-3)))))))))))
(define CoreC-45TT-defaultKindedName (lambda (arg-0) (vector '() arg-0 arg-0)))
(define CoreC-45TT-constantEq (lambda (arg-0 arg-1) (case (vector-ref arg-0 0) ((0) (let ((e-0 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((0) (let ((e-14 (vector-ref arg-1 1))) (let ((sc2 (((csegen-570) e-0) e-14))) (case (vector-ref sc2 0) ((0) (box (vector 0 ))) (else '())))))(else '())))) ((1) (let ((e-1 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((1) (let ((e-15 (vector-ref arg-1 1))) (let ((sc2 (((LibrariesC-45DataC-45Primitives-u--decEq_DecEq_TempI8Int8) e-1) e-15))) (case (vector-ref sc2 0) ((0) (box (vector 0 ))) (else '())))))(else '())))) ((2) (let ((e-2 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((2) (let ((e-16 (vector-ref arg-1 1))) (let ((sc2 (((LibrariesC-45DataC-45Primitives-u--decEq_DecEq_TempI16Int16) e-2) e-16))) (case (vector-ref sc2 0) ((0) (box (vector 0 ))) (else '())))))(else '())))) ((3) (let ((e-3 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((3) (let ((e-17 (vector-ref arg-1 1))) (let ((sc2 (((LibrariesC-45DataC-45Primitives-u--decEq_DecEq_TempI32Int32) e-3) e-17))) (case (vector-ref sc2 0) ((0) (box (vector 0 ))) (else '())))))(else '())))) ((4) (let ((e-4 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((4) (let ((e-18 (vector-ref arg-1 1))) (let ((sc2 (((LibrariesC-45DataC-45Primitives-u--decEq_DecEq_TempI64Int64) e-4) e-18))) (case (vector-ref sc2 0) ((0) (box (vector 0 ))) (else '())))))(else '())))) ((6) (let ((e-5 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((6) (let ((e-19 (vector-ref arg-1 1))) (let ((sc2 (((LibrariesC-45DataC-45Primitives-u--decEq_DecEq_TempB8Bits8) e-5) e-19))) (case (vector-ref sc2 0) ((0) (box (vector 0 ))) (else '())))))(else '())))) ((7) (let ((e-6 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((7) (let ((e-20 (vector-ref arg-1 1))) (let ((sc2 (((LibrariesC-45DataC-45Primitives-u--decEq_DecEq_TempB16Bits16) e-6) e-20))) (case (vector-ref sc2 0) ((0) (box (vector 0 ))) (else '())))))(else '())))) ((8) (let ((e-7 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((8) (let ((e-21 (vector-ref arg-1 1))) (let ((sc2 (((LibrariesC-45DataC-45Primitives-u--decEq_DecEq_TempB32Bits32) e-7) e-21))) (case (vector-ref sc2 0) ((0) (box (vector 0 ))) (else '())))))(else '())))) ((9) (let ((e-8 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((9) (let ((e-22 (vector-ref arg-1 1))) (let ((sc2 (((LibrariesC-45DataC-45Primitives-u--decEq_DecEq_TempB64Bits64) e-8) e-22))) (case (vector-ref sc2 0) ((0) (box (vector 0 ))) (else '())))))(else '())))) ((5) (let ((e-9 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((5) (let ((e-23 (vector-ref arg-1 1))) (let ((sc2 (((let ((eff-0 (lambda (eta-0) (lambda (eta-1) (((DecidableC-45Equality-u--decEq_DecEq_Integer) eta-0) eta-1))))) (lambda (arg-2) (lambda (arg-3) ((eff-0 arg-2) arg-3)))) e-9) e-23))) (case (vector-ref sc2 0) ((0) (box (vector 0 ))) (else '())))))(else '())))) ((10) (let ((e-10 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((10) (let ((e-24 (vector-ref arg-1 1))) (let ((sc2 (((csegen-605) e-10) e-24))) (case (vector-ref sc2 0) ((0) (box (vector 0 ))) (else '())))))(else '())))) ((11) (let ((e-11 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((11) (let ((e-25 (vector-ref arg-1 1))) (let ((sc2 (((let ((eff-0 (lambda (eta-0) (lambda (eta-1) (((DecidableC-45Equality-u--decEq_DecEq_Char) eta-0) eta-1))))) (lambda (arg-2) (lambda (arg-3) ((eff-0 arg-2) arg-3)))) e-11) e-25))) (case (vector-ref sc2 0) ((0) (box (vector 0 ))) (else '())))))(else '())))) ((12) (case (vector-ref arg-1 0) ((12) '())(else '()))) ((13) (let ((e-13 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((13) (let ((e-27 (vector-ref arg-1 1))) (PreludeC-45Interfaces-C-60C-36C-62 (csegen-76) (lambda (eta-0) (vector 0 )) (CoreC-45TT-primTypeEq e-13 e-27))))(else '())))) ((14) (case (vector-ref arg-1 0) ((14) (box (vector 0 )))(else '())))(else '()))))
(define CoreC-45TT-compatible (lambda (arg-0 arg-1) (cond ((equal? arg-0 2) 1)(else (cond ((equal? arg-1 2) 1)(else (CoreC-45TT-u--C-61C-61_Eq_LazyReason arg-0 arg-1)))))))
(define CoreC-45TT-binderType (lambda (arg-1) (case (vector-ref arg-1 0) ((0) (let ((e-4 (vector-ref arg-1 4))) e-4)) ((1) (let ((e-9 (vector-ref arg-1 4))) e-9)) ((2) (let ((e-14 (vector-ref arg-1 4))) e-14)) ((3) (let ((e-19 (vector-ref arg-1 4))) e-19)) ((4) (let ((e-24 (vector-ref arg-1 4))) e-24)) (else (let ((e-28 (vector-ref arg-1 3))) e-28)))))
(define CoreC-45TT-binderLoc (lambda (arg-1) (case (vector-ref arg-1 0) ((0) (let ((e-1 (vector-ref arg-1 1))) e-1)) ((1) (let ((e-6 (vector-ref arg-1 1))) e-6)) ((2) (let ((e-11 (vector-ref arg-1 1))) e-11)) ((3) (let ((e-16 (vector-ref arg-1 1))) e-16)) ((4) (let ((e-21 (vector-ref arg-1 1))) e-21)) (else (let ((e-26 (vector-ref arg-1 1))) e-26)))))
(define CoreC-45TT-applyWithFC (lambda (arg-1 arg-2) (if (null? arg-2) arg-1 (let ((e-2 (car arg-2))) (let ((e-3 (cdr arg-2))) (let ((e-6 (car e-2))) (let ((e-7 (cdr e-2))) (CoreC-45TT-applyWithFC (vector 4 e-6 arg-1 e-7) e-3))))))))
(define CoreC-45TT-apply (lambda (arg-1 arg-2 arg-3) (if (null? arg-3) arg-2 (let ((e-2 (car arg-3))) (let ((e-3 (cdr arg-3))) (CoreC-45TT-apply arg-1 (vector 4 arg-1 arg-2 e-2) e-3))))))
(define CoreC-45TT-addVars (lambda (arg-4 ext-0 ext-1) (CoreC-45TT-insertNVarNames arg-4 (CoreC-45TTC-45Bounds-sizeOf ext-0) ext-1)))
(define CoreC-45TT-addRefs (lambda (arg-1 arg-2 arg-3 arg-4) (case (vector-ref arg-4 0) ((0) arg-3) ((1) (let ((e-9 (vector-ref arg-4 3))) (LibrariesC-45DataC-45NameMap-insert e-9 arg-1 arg-3))) ((2) (let ((e-11 (vector-ref arg-4 1))) (let ((e-12 (vector-ref arg-4 2))) (let ((e-13 (vector-ref arg-4 3))) (let ((e-14 (vector-ref arg-4 4))) (CoreC-45TT-n--21363-16580-u--addRefsArgs e-14 e-13 e-12 e-11 arg-3 arg-2 arg-1 arg-3 e-14)))))) ((3) (let ((e-18 (vector-ref arg-4 3))) (let ((e-19 (vector-ref arg-4 4))) (case (vector-ref e-18 0) ((1) (let ((e-54 (vector-ref e-18 3))) (let ((e-55 (vector-ref e-18 4))) (CoreC-45TT-addRefs arg-1 arg-2 (CoreC-45TT-addRefs arg-1 arg-2 (CoreC-45TT-addRefs arg-1 arg-2 arg-3 e-54) e-55) e-19))))(else (CoreC-45TT-addRefs arg-1 arg-2 (CoreC-45TT-addRefs arg-1 arg-2 arg-3 (CoreC-45TT-binderType e-18)) e-19)))))) ((4) (let ((e-22 (vector-ref arg-4 2))) (let ((e-23 (vector-ref arg-4 3))) (case (vector-ref e-22 0) ((4) (let ((e-58 (vector-ref e-22 2))) (let ((e-59 (vector-ref e-22 3))) (case (vector-ref e-58 0) ((1) (let ((e-63 (vector-ref e-58 3))) (let ((sc3 (CoreC-45Name-u--C-61C-61_Eq_Name e-63 arg-2))) (cond ((equal? sc3 1) (CoreC-45TT-addRefs 1 arg-2 (LibrariesC-45DataC-45NameMap-insert e-63 1 arg-3) e-23)) (else (CoreC-45TT-addRefs arg-1 arg-2 (CoreC-45TT-addRefs arg-1 arg-2 (LibrariesC-45DataC-45NameMap-insert e-63 arg-1 arg-3) e-59) e-23))))))(else (CoreC-45TT-addRefs arg-1 arg-2 (CoreC-45TT-addRefs arg-1 arg-2 arg-3 e-22) e-23))))))(else (CoreC-45TT-addRefs arg-1 arg-2 (CoreC-45TT-addRefs arg-1 arg-2 arg-3 e-22) e-23)))))) ((5) (let ((e-28 (vector-ref arg-4 4))) (CoreC-45TT-addRefs arg-1 arg-2 arg-3 e-28))) ((6) (let ((e-32 (vector-ref arg-4 3))) (CoreC-45TT-addRefs arg-1 arg-2 arg-3 e-32))) ((7) (let ((e-36 (vector-ref arg-4 3))) (let ((e-37 (vector-ref arg-4 4))) (CoreC-45TT-addRefs arg-1 arg-2 (CoreC-45TT-addRefs arg-1 arg-2 arg-3 e-36) e-37)))) ((8) (let ((e-41 (vector-ref arg-4 3))) (CoreC-45TT-addRefs arg-1 arg-2 arg-3 e-41))) ((9) arg-3) ((10) (let ((e-47 (vector-ref arg-4 2))) (CoreC-45TT-u--foldr_Foldable_WhyErased (lambda (eta-0) (lambda (eta-1) (PreludeC-45Basics-flip (lambda (eta-2) (lambda (eta-3) (CoreC-45TT-addRefs arg-1 arg-2 eta-2 eta-3))) eta-0 eta-1))) arg-3 e-47))) (else arg-3))))
(define CoreC-45TT-addMetas (lambda (arg-1 arg-2 arg-3) (case (vector-ref arg-3 0) ((0) arg-2) ((1) arg-2) ((2) (let ((e-11 (vector-ref arg-3 1))) (let ((e-12 (vector-ref arg-3 2))) (let ((e-13 (vector-ref arg-3 3))) (let ((e-14 (vector-ref arg-3 4))) (CoreC-45TT-n--21214-16448-u--addMetaArgs e-14 e-13 e-12 e-11 arg-2 arg-1 (LibrariesC-45DataC-45NameMap-insert (cond ((equal? arg-1 1) (vector 8 e-13)) (else e-12)) 0 arg-2) e-14)))))) ((3) (let ((e-18 (vector-ref arg-3 3))) (let ((e-19 (vector-ref arg-3 4))) (case (vector-ref e-18 0) ((1) (let ((e-54 (vector-ref e-18 3))) (let ((e-55 (vector-ref e-18 4))) (CoreC-45TT-addMetas arg-1 (CoreC-45TT-addMetas arg-1 (CoreC-45TT-addMetas arg-1 arg-2 e-54) e-55) e-19))))(else (CoreC-45TT-addMetas arg-1 (CoreC-45TT-addMetas arg-1 arg-2 (CoreC-45TT-binderType e-18)) e-19)))))) ((4) (let ((e-22 (vector-ref arg-3 2))) (let ((e-23 (vector-ref arg-3 3))) (CoreC-45TT-addMetas arg-1 (CoreC-45TT-addMetas arg-1 arg-2 e-22) e-23)))) ((5) (let ((e-28 (vector-ref arg-3 4))) (CoreC-45TT-addMetas arg-1 arg-2 e-28))) ((6) (let ((e-32 (vector-ref arg-3 3))) (CoreC-45TT-addMetas arg-1 arg-2 e-32))) ((7) (let ((e-36 (vector-ref arg-3 3))) (let ((e-37 (vector-ref arg-3 4))) (CoreC-45TT-addMetas arg-1 (CoreC-45TT-addMetas arg-1 arg-2 e-36) e-37)))) ((8) (let ((e-41 (vector-ref arg-3 3))) (CoreC-45TT-addMetas arg-1 arg-2 e-41))) ((9) arg-2) ((10) (let ((e-47 (vector-ref arg-3 2))) (CoreC-45TT-u--foldr_Foldable_WhyErased (lambda (eta-0) (lambda (eta-1) (PreludeC-45Basics-flip (lambda (eta-2) (lambda (eta-3) (CoreC-45TT-addMetas arg-1 eta-2 eta-3))) eta-0 eta-1))) arg-2 e-47))) (else arg-2))))
(define CoreC-45TTC-45SizeOf-C-43 (lambda (arg-3 arg-4) (let ((eff-0 arg-3)) (let ((eff-1 arg-4)) (+ eff-0 eff-1)))))
(define Algebra-showCount (lambda (ext-0) (AlgebraC-45Semiring-elimSemi (csegen-1156) "0 " "1 " (lambda (eta-0) "") ext-0)))
(define AlgebraC-45Preorder-lub (lambda (arg-1 arg-2 arg-3) (let ((sc0 (let ((e-1 (vector-ref arg-1 0))) ((e-1 arg-2) arg-3)))) (cond ((equal? sc0 1) arg-3) (else arg-2)))))
(define AlgebraC-45Preorder-glb (lambda (arg-1 arg-2 arg-3) (let ((sc0 (let ((e-1 (vector-ref arg-1 0))) ((e-1 arg-2) arg-3)))) (cond ((equal? sc0 1) arg-2) (else arg-3)))))
(define AlgebraC-45Preorder-C-60 (lambda (arg-1 arg-2 arg-3) (let ((sc0 (let ((sc1 (Builtin-fst arg-1))) (let ((e-1 (vector-ref sc1 0))) ((e-1 arg-2) arg-3))))) (cond ((equal? sc0 1) (let ((sc1 (Builtin-snd arg-1))) (let ((e-2 (cdr sc1))) ((e-2 arg-2) arg-3)))) (else 0)))))
(define AlgebraC-45Semiring-linear (lambda (arg-1) (let ((e-4 (vector-ref arg-1 3))) e-4)))
(define AlgebraC-45Semiring-isRigOther (lambda (arg-1 ext-0) (AlgebraC-45Semiring-elimSemi arg-1 0 0 (lambda (eta-0) 1) ext-0)))
(define AlgebraC-45Semiring-isLinear (lambda (arg-1 ext-0) (AlgebraC-45Semiring-elimSemi arg-1 0 1 (lambda (eta-0) 0) ext-0)))
(define AlgebraC-45Semiring-isErased (lambda (arg-1 ext-0) (AlgebraC-45Semiring-elimSemi arg-1 1 0 (lambda (eta-0) 0) ext-0)))
(define AlgebraC-45Semiring-erased (lambda (arg-1) (let ((e-2 (vector-ref arg-1 1))) e-2)))
(define AlgebraC-45Semiring-elimSemi (lambda (arg-2 arg-3 arg-4 arg-5 arg-6) (let ((sc0 (let ((sc1 (Builtin-snd arg-2))) (let ((e-1 (car sc1))) ((e-1 arg-6) (let ((sc2 (Builtin-fst arg-2))) (let ((e-5 (vector-ref sc2 1))) e-5))))))) (cond ((equal? sc0 1) arg-3) (else (let ((sc1 (let ((sc2 (Builtin-snd arg-2))) (let ((e-1 (car sc2))) ((e-1 arg-6) (let ((sc3 (Builtin-fst arg-2))) (let ((e-4 (vector-ref sc3 3))) e-4))))))) (cond ((equal? sc1 1) arg-4) (else (arg-5 arg-6)))))))))
(define AlgebraC-45Semiring-branchZero (lambda (arg-2 arg-3 arg-4 arg-5) (let ((sc0 (AlgebraC-45Semiring-isErased arg-2 arg-5))) (cond ((equal? sc0 1) (arg-3)) (else (arg-4))))))
(define AlgebraC-45Semiring-branchVal (lambda (arg-2 arg-3 arg-4 arg-5) (let ((sc0 (AlgebraC-45Semiring-isRigOther arg-2 arg-5))) (cond ((equal? sc0 1) (arg-3)) (else (arg-4))))))
(define AlgebraC-45Semiring-branchOne (lambda (arg-2 arg-3 arg-4 arg-5) (let ((sc0 (AlgebraC-45Semiring-isLinear arg-2 arg-5))) (cond ((equal? sc0 1) (arg-3)) (else (arg-4))))))
(define AlgebraC-45ZeroOneOmega-u--top_Top_ZeroOneOmega(blodwen-lazy (lambda () 2)))
(define AlgebraC-45ZeroOneOmega-u--show_Show_ZeroOneOmega (lambda (arg-0) (cond ((equal? arg-0 0) "Rig0") ((equal? arg-0 1) "Rig1") (else "RigW"))))
(define AlgebraC-45ZeroOneOmega-u--showPrec_Show_ZeroOneOmega (lambda (arg-0 arg-1) (AlgebraC-45ZeroOneOmega-u--show_Show_ZeroOneOmega arg-1)))
(define AlgebraC-45ZeroOneOmega-u--preorderTrans_Preorder_ZeroOneOmega (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (cond ((equal? arg-0 0) (vector 0 )) ((equal? arg-0 1) (cond ((equal? arg-1 1) arg-4) (else (cond ((equal? arg-2 1) (vector 0 )) (else (vector 0 )))))) (else (cond (else arg-4))))))
(define AlgebraC-45ZeroOneOmega-u--preorderRefl_Preorder_ZeroOneOmega (lambda (arg-0) (cond ((equal? arg-0 0) (vector 0 )) ((equal? arg-0 1) (vector 0 )) (else (vector 0 )))))
(define AlgebraC-45ZeroOneOmega-u--C-61C-61_Eq_ZeroOneOmega (lambda (arg-0 arg-1) (cond ((equal? arg-0 0) (cond ((equal? arg-1 0) 1)(else 0))) ((equal? arg-0 1) (cond ((equal? arg-1 1) 1)(else 0))) ((equal? arg-0 2) (cond ((equal? arg-1 2) 1)(else 0)))(else 0))))
(define AlgebraC-45ZeroOneOmega-u--C-60C-61_Preorder_ZeroOneOmega (lambda (arg-0 arg-1) (cond ((equal? arg-0 0) 1) ((equal? arg-0 1) (cond ((equal? arg-1 1) 1)(else (cond ((equal? arg-1 2) 1)(else 0)))))(else (cond ((equal? arg-1 2) 1)(else 0))))))
(define AlgebraC-45ZeroOneOmega-u--C-47C-61_Eq_ZeroOneOmega (lambda (arg-0 arg-1) (let ((sc0 (AlgebraC-45ZeroOneOmega-u--C-61C-61_Eq_ZeroOneOmega arg-0 arg-1))) (cond ((equal? sc0 1) 0) (else 1)))))
(define AlgebraC-45ZeroOneOmega-rigPlus (lambda (arg-0 arg-1) (cond ((equal? arg-0 0) arg-1)(else (cond ((equal? arg-1 0) arg-0)(else 2))))))
(define AlgebraC-45ZeroOneOmega-rigMult (lambda (arg-0 arg-1) (cond ((equal? arg-0 0) 0)(else (cond ((equal? arg-1 0) 0)(else (cond ((equal? arg-0 1) arg-1)(else (cond ((equal? arg-1 1) arg-0)(else 2))))))))))
(define LibrariesC-45DataC-45Primitives-n--2561-3134-u--primitiveNotEq (lambda (arg-1 arg-2 arg-3 arg-7) (vector 0 )))
(define LibrariesC-45DataC-45Primitives-n--2561-3133-u--primitiveEq (lambda (arg-1 arg-2 arg-3) (vector 0 )))
(define LibrariesC-45DataC-45Primitives-u--decEq_DecEq_TempI8Int8(blodwen-lazy (lambda () (let ((eff-0 (lambda (u--x1) (lambda (u--x2) (LibrariesC-45DataC-45Primitives-u--decEq_DecEq_FromEqC-36a (cons (lambda (arg-528) (lambda (arg-531) (PreludeC-45EqOrd-u--C-61C-61_Eq_Int8 arg-528 arg-531))) (lambda (arg-538) (lambda (arg-541) (PreludeC-45EqOrd-u--C-47C-61_Eq_Int8 arg-538 arg-541)))) u--x1 u--x2))))) (lambda (arg-0) (lambda (arg-1) ((eff-0 arg-0) arg-1)))))))
(define LibrariesC-45DataC-45Primitives-u--decEq_DecEq_TempI64Int64(blodwen-lazy (lambda () (let ((eff-0 (lambda (u--x1) (lambda (u--x2) (LibrariesC-45DataC-45Primitives-u--decEq_DecEq_FromEqC-36a (cons (lambda (arg-528) (lambda (arg-531) (PreludeC-45EqOrd-u--C-61C-61_Eq_Int64 arg-528 arg-531))) (lambda (arg-538) (lambda (arg-541) (PreludeC-45EqOrd-u--C-47C-61_Eq_Int64 arg-538 arg-541)))) u--x1 u--x2))))) (lambda (arg-0) (lambda (arg-1) ((eff-0 arg-0) arg-1)))))))
(define LibrariesC-45DataC-45Primitives-u--decEq_DecEq_TempI32Int32(blodwen-lazy (lambda () (let ((eff-0 (lambda (u--x1) (lambda (u--x2) (LibrariesC-45DataC-45Primitives-u--decEq_DecEq_FromEqC-36a (cons (lambda (arg-528) (lambda (arg-531) (PreludeC-45EqOrd-u--C-61C-61_Eq_Int32 arg-528 arg-531))) (lambda (arg-538) (lambda (arg-541) (PreludeC-45EqOrd-u--C-47C-61_Eq_Int32 arg-538 arg-541)))) u--x1 u--x2))))) (lambda (arg-0) (lambda (arg-1) ((eff-0 arg-0) arg-1)))))))
(define LibrariesC-45DataC-45Primitives-u--decEq_DecEq_TempI16Int16(blodwen-lazy (lambda () (let ((eff-0 (lambda (u--x1) (lambda (u--x2) (LibrariesC-45DataC-45Primitives-u--decEq_DecEq_FromEqC-36a (cons (lambda (arg-528) (lambda (arg-531) (PreludeC-45EqOrd-u--C-61C-61_Eq_Int16 arg-528 arg-531))) (lambda (arg-538) (lambda (arg-541) (PreludeC-45EqOrd-u--C-47C-61_Eq_Int16 arg-538 arg-541)))) u--x1 u--x2))))) (lambda (arg-0) (lambda (arg-1) ((eff-0 arg-0) arg-1)))))))
(define LibrariesC-45DataC-45Primitives-u--decEq_DecEq_TempB8Bits8(blodwen-lazy (lambda () (let ((eff-0 (lambda (u--x1) (lambda (u--x2) (LibrariesC-45DataC-45Primitives-u--decEq_DecEq_FromEqC-36a (cons (lambda (arg-528) (lambda (arg-531) (PreludeC-45EqOrd-u--C-61C-61_Eq_Bits8 arg-528 arg-531))) (lambda (arg-538) (lambda (arg-541) (PreludeC-45EqOrd-u--C-47C-61_Eq_Bits8 arg-538 arg-541)))) u--x1 u--x2))))) (lambda (arg-0) (lambda (arg-1) ((eff-0 arg-0) arg-1)))))))
(define LibrariesC-45DataC-45Primitives-u--decEq_DecEq_TempB64Bits64(blodwen-lazy (lambda () (let ((eff-0 (lambda (u--x1) (lambda (u--x2) (LibrariesC-45DataC-45Primitives-u--decEq_DecEq_FromEqC-36a (cons (lambda (arg-528) (lambda (arg-531) (PreludeC-45EqOrd-u--C-61C-61_Eq_Bits64 arg-528 arg-531))) (lambda (arg-538) (lambda (arg-541) (PreludeC-45EqOrd-u--C-47C-61_Eq_Bits64 arg-538 arg-541)))) u--x1 u--x2))))) (lambda (arg-0) (lambda (arg-1) ((eff-0 arg-0) arg-1)))))))
(define LibrariesC-45DataC-45Primitives-u--decEq_DecEq_TempB32Bits32(blodwen-lazy (lambda () (let ((eff-0 (lambda (u--x1) (lambda (u--x2) (LibrariesC-45DataC-45Primitives-u--decEq_DecEq_FromEqC-36a (cons (lambda (arg-528) (lambda (arg-531) (PreludeC-45EqOrd-u--C-61C-61_Eq_Bits32 arg-528 arg-531))) (lambda (arg-538) (lambda (arg-541) (PreludeC-45EqOrd-u--C-47C-61_Eq_Bits32 arg-538 arg-541)))) u--x1 u--x2))))) (lambda (arg-0) (lambda (arg-1) ((eff-0 arg-0) arg-1)))))))
(define LibrariesC-45DataC-45Primitives-u--decEq_DecEq_TempB16Bits16(blodwen-lazy (lambda () (let ((eff-0 (lambda (u--x1) (lambda (u--x2) (LibrariesC-45DataC-45Primitives-u--decEq_DecEq_FromEqC-36a (cons (lambda (arg-528) (lambda (arg-531) (PreludeC-45EqOrd-u--C-61C-61_Eq_Bits16 arg-528 arg-531))) (lambda (arg-538) (lambda (arg-541) (PreludeC-45EqOrd-u--C-47C-61_Eq_Bits16 arg-538 arg-541)))) u--x1 u--x2))))) (lambda (arg-0) (lambda (arg-1) ((eff-0 arg-0) arg-1)))))))
(define LibrariesC-45DataC-45Primitives-u--decEq_DecEq_FromEqC-36a (lambda (arg-1 arg-2 arg-3) (let ((sc0 (let ((e-1 (car arg-1))) ((e-1 arg-2) arg-3)))) (cond ((equal? sc0 1) (vector 0 (LibrariesC-45DataC-45Primitives-n--2561-3133-u--primitiveEq arg-1 arg-2 arg-3))) (else (vector 1 (lambda (eta-0) (LibrariesC-45DataC-45Primitives-n--2561-3134-u--primitiveNotEq arg-1 arg-2 arg-3 eta-0))))))))
(define DataC-45Vect-case--compare-5250 (lambda (arg-1 arg-3 arg-4 arg-5 arg-6 arg-8) (cond ((equal? arg-8 1) (DataC-45Vect-u--compare_Ord_C-40C-40VectC-32C-36lenC-41C-32C-36elemC-41 arg-1 arg-4 arg-6))(else arg-8))))
(define DataC-45Vect-n--5293-4465-u--go (lambda (arg-2 arg-5 arg-6) (if (null? arg-6) arg-5 (let ((e-3 (car arg-6))) (let ((e-4 (cdr arg-6))) (DataC-45Vect-n--5293-4465-u--go arg-2 (cons e-3 arg-5) e-4))))))
(define DataC-45Vect-u--zipWith_Zippable_C-40VectC-32C-36kC-41 (lambda (arg-4 arg-5 arg-6) (if (null? arg-5) '() (let ((e-3 (car arg-5))) (let ((e-4 (cdr arg-5))) (let ((e-8 (car arg-6))) (let ((e-9 (cdr arg-6))) (cons ((arg-4 e-3) e-8) (DataC-45Vect-u--zipWith_Zippable_C-40VectC-32C-36kC-41 arg-4 e-4 e-9)))))))))
(define DataC-45Vect-u--unzip_Zippable_C-40VectC-32C-36kC-41 (lambda (ext-0) (DataC-45Vect-u--unzipWith_Zippable_C-40VectC-32C-36kC-41 (lambda (eta-0) eta-0) ext-0)))
(define DataC-45Vect-u--unzipWith_Zippable_C-40VectC-32C-36kC-41 (lambda (arg-4 arg-5) (if (null? arg-5) (cons '() '()) (let ((e-3 (car arg-5))) (let ((e-4 (cdr arg-5))) (let ((sc1 (arg-4 e-3))) (let ((e-2 (car sc1))) (let ((e-5 (cdr sc1))) (let ((sc2 (DataC-45Vect-u--unzipWith_Zippable_C-40VectC-32C-36kC-41 arg-4 e-4))) (let ((e-7 (car sc2))) (let ((e-6 (cdr sc2))) (cons (cons e-2 e-7) (cons e-5 e-6)))))))))))))
(define DataC-45Vect-u--traverse_Traversable_C-40VectC-32C-36kC-41 (lambda (arg-4 arg-5 arg-6) (if (null? arg-6) (let ((e-2 (vector-ref arg-4 1))) ((e-2 'erased) '())) (let ((e-3 (car arg-6))) (let ((e-4 (cdr arg-6))) (let ((e-5 (vector-ref arg-4 2))) ((((e-5 'erased) 'erased) (let ((e-6 (vector-ref arg-4 2))) ((((e-6 'erased) 'erased) (let ((e-10 (vector-ref arg-4 1))) ((e-10 'erased) (csegen-1197)))) (arg-5 e-3)))) (DataC-45Vect-u--traverse_Traversable_C-40VectC-32C-36kC-41 arg-4 arg-5 e-4))))))))
(define DataC-45Vect-u--toList_Foldable_C-40VectC-32C-36nC-41 (lambda (ext-0) (DataC-45Vect-u--foldr_Foldable_C-40VectC-32C-36nC-41 (csegen-152) '() ext-0)))
(define DataC-45Vect-u--show_Show_C-40C-40VectC-32C-36lenC-41C-32C-36elemC-41 (lambda (arg-2 ext-0) (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 arg-2 (DataC-45Vect-u--toList_Foldable_C-40VectC-32C-36nC-41 ext-0))))
(define DataC-45Vect-u--null_Foldable_C-40VectC-32C-36nC-41 (lambda (arg-2) (if (null? arg-2) 1 0)))
(define DataC-45Vect-u--map_Functor_C-40VectC-32C-36nC-41 (lambda (arg-3 arg-4) (if (null? arg-4) '() (let ((e-3 (car arg-4))) (let ((e-4 (cdr arg-4))) (cons (arg-3 e-3) (((let ((eff-0 (lambda (u--b) (lambda (u--a) (lambda (u--func) (lambda (arg-8737) (DataC-45Vect-u--map_Functor_C-40VectC-32C-36nC-41 u--func arg-8737))))))) (lambda (arg-0) (lambda (arg-1) ((((eff-0 'erased) 'erased) arg-0) arg-1)))) arg-3) e-4)))))))
(define DataC-45Vect-u--foldr_Foldable_C-40VectC-32C-36nC-41 (lambda (arg-3 arg-4 arg-5) (DataC-45Vect-foldrImpl arg-3 arg-4 (lambda (eta-0) eta-0) arg-5)))
(define DataC-45Vect-u--foldl_Foldable_C-40VectC-32C-36nC-41 (lambda (arg-3 arg-4 arg-5) (if (null? arg-5) arg-4 (let ((e-3 (car arg-5))) (let ((e-4 (cdr arg-5))) (DataC-45Vect-u--foldl_Foldable_C-40VectC-32C-36nC-41 arg-3 ((arg-3 arg-4) e-3) e-4))))))
(define DataC-45Vect-u--foldlM_Foldable_C-40VectC-32C-36nC-41 (lambda (arg-4 arg-5 arg-6 ext-0) (DataC-45Vect-u--foldl_Foldable_C-40VectC-32C-36nC-41 (lambda (u--ma) (lambda (u--b) (let ((e-2 (vector-ref arg-4 1))) ((((e-2 'erased) 'erased) u--ma) (lambda (eta-0) (PreludeC-45Basics-flip arg-5 u--b eta-0)))))) (let ((e-1 (vector-ref arg-4 0))) (let ((e-5 (vector-ref e-1 1))) ((e-5 'erased) arg-6))) ext-0)))
(define DataC-45Vect-u--foldMap_Foldable_C-40VectC-32C-36nC-41 (lambda (arg-3 arg-4 ext-0) (DataC-45Vect-u--foldl_Foldable_C-40VectC-32C-36nC-41 (lambda (u--acc) (lambda (u--elem) (((let ((eff-0 (let ((e-1 (car arg-3))) e-1))) (lambda (arg-0) (lambda (arg-1) ((eff-0 arg-0) arg-1)))) u--acc) (arg-4 u--elem)))) (let ((e-2 (cdr arg-3))) e-2) ext-0)))
(define DataC-45Vect-u--compare_Ord_C-40C-40VectC-32C-36lenC-41C-32C-36elemC-41 (lambda (arg-2 arg-3 arg-4) (if (null? arg-3) 1 (let ((e-3 (car arg-3))) (let ((e-4 (cdr arg-3))) (let ((e-8 (car arg-4))) (let ((e-9 (cdr arg-4))) (DataC-45Vect-case--compare-5250 arg-2 e-3 e-4 e-8 e-9 (let ((e-2 (vector-ref arg-2 1))) ((e-2 e-3) e-8))))))))))
(define DataC-45Vect-u--C-61C-61_Eq_C-40C-40VectC-32C-36nC-41C-32C-36aC-41 (lambda (arg-2 arg-3 arg-4) (if (null? arg-3) 1 (let ((e-3 (car arg-3))) (let ((e-4 (cdr arg-3))) (let ((e-8 (car arg-4))) (let ((e-9 (cdr arg-4))) (let ((sc2 (let ((e-1 (car arg-2))) ((e-1 e-3) e-8)))) (cond ((equal? sc2 1) (DataC-45Vect-u--C-61C-61_Eq_C-40C-40VectC-32C-36nC-41C-32C-36aC-41 arg-2 e-4 e-9)) (else 0))))))))))
(define DataC-45Vect-toVect (lambda (arg-1 arg-2) (cond ((equal? arg-1 0) (if (null? arg-2) (box '()) '()))(else (let ((e-0 (- arg-1 1))) (if (null? arg-2) '() (let ((e-3 (car arg-2))) (let ((e-4 (cdr arg-2))) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (DataC-45Vect-toVect e-0 e-4) (lambda (u--xsC-39) (box (cons e-3 u--xsC-39))))))))))))
(define DataC-45Vect-tail (lambda (arg-2) (let ((e-3 (cdr arg-2))) e-3)))
(define DataC-45Vect-reverse (lambda (arg-2) (DataC-45Vect-n--5293-4465-u--go arg-2 '() arg-2)))
(define DataC-45Vect-replicate (lambda (arg-1 arg-2) (cond ((equal? arg-1 0) '())(else (let ((e-0 (- arg-1 1))) (cons arg-2 (DataC-45Vect-replicate e-0 arg-2)))))))
(define DataC-45Vect-replaceAt (lambda (arg-2 arg-3 arg-4) (cond ((equal? arg-2 0) (let ((e-6 (cdr arg-4))) (cons arg-3 e-6)))(else (let ((e-2 (- arg-2 1))) (let ((e-9 (car arg-4))) (let ((e-10 (cdr arg-4))) (cons e-9 (DataC-45Vect-replaceAt e-2 arg-3 e-10)))))))))
(define DataC-45Vect-foldrImpl (lambda (arg-3 arg-4 arg-5 arg-6) (if (null? arg-6) (arg-5 arg-4) (let ((e-3 (car arg-6))) (let ((e-4 (cdr arg-6))) (DataC-45Vect-foldrImpl arg-3 arg-4 (lambda (eta-0) (arg-5 ((arg-3 e-3) eta-0))) e-4))))))
(define DataC-45Vect-C-43C-43 (lambda (arg-3 arg-4) (if (null? arg-3) arg-4 (let ((e-3 (car arg-3))) (let ((e-4 (cdr arg-3))) (cons e-3 (DataC-45Vect-C-43C-43 e-4 arg-4)))))))
(define IdrisC-45PrettyC-45Annotations-with_(blodwen-lazy (lambda () (IdrisC-45PrettyC-45Annotations-keyword (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-594) "with")))))
(define IdrisC-45PrettyC-45Annotations-semi(blodwen-lazy (lambda () (csegen-1205))))
(define IdrisC-45PrettyC-45Annotations-rewrite_(blodwen-lazy (lambda () (IdrisC-45PrettyC-45Annotations-keyword (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-594) "rewrite")))))
(define IdrisC-45PrettyC-45Annotations-record_(blodwen-lazy (lambda () (IdrisC-45PrettyC-45Annotations-keyword (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-594) "record")))))
(define IdrisC-45PrettyC-45Annotations-rcurly(blodwen-lazy (lambda () (csegen-1211))))
(define IdrisC-45PrettyC-45Annotations-prettyRig (lambda (ext-0) (AlgebraC-45Semiring-elimSemi (csegen-1156) (csegen-1215) (csegen-1219) (lambda (eta-0) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-emptyDoc)) ext-0)))
(define IdrisC-45PrettyC-45Annotations-pragma (lambda (ext-0) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-annotate (vector 6 ) ext-0)))
(define IdrisC-45PrettyC-45Annotations-of_(blodwen-lazy (lambda () (IdrisC-45PrettyC-45Annotations-keyword (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-594) "of")))))
(define IdrisC-45PrettyC-45Annotations-let_(blodwen-lazy (lambda () (IdrisC-45PrettyC-45Annotations-keyword (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-594) "let")))))
(define IdrisC-45PrettyC-45Annotations-lcurly(blodwen-lazy (lambda () (csegen-1225))))
(define IdrisC-45PrettyC-45Annotations-keyword (lambda (ext-0) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-annotate (vector 5 ) ext-0)))
(define IdrisC-45PrettyC-45Annotations-in_(blodwen-lazy (lambda () (IdrisC-45PrettyC-45Annotations-keyword (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-594) "in")))))
(define IdrisC-45PrettyC-45Annotations-impossible_(blodwen-lazy (lambda () (IdrisC-45PrettyC-45Annotations-keyword (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "impossible")))))
(define IdrisC-45PrettyC-45Annotations-hole (lambda (ext-0) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-annotate (vector 0 ) ext-0)))
(define IdrisC-45PrettyC-45Annotations-fatArrow(blodwen-lazy (lambda () (IdrisC-45PrettyC-45Annotations-keyword (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-594) "=>")))))
(define IdrisC-45PrettyC-45Annotations-equals(blodwen-lazy (lambda () (IdrisC-45PrettyC-45Annotations-keyword (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-594) "=")))))
(define IdrisC-45PrettyC-45Annotations-do_(blodwen-lazy (lambda () (IdrisC-45PrettyC-45Annotations-keyword (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-594) "do")))))
(define IdrisC-45PrettyC-45Annotations-default_(blodwen-lazy (lambda () (IdrisC-45PrettyC-45Annotations-keyword (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-594) "default")))))
(define IdrisC-45PrettyC-45Annotations-case_(blodwen-lazy (lambda () (IdrisC-45PrettyC-45Annotations-keyword (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-594) "case")))))
(define IdrisC-45PrettyC-45Annotations-auto_(blodwen-lazy (lambda () (IdrisC-45PrettyC-45Annotations-keyword (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-594) "auto")))))
(define IdrisC-45PrettyC-45Annotations-arrow(blodwen-lazy (lambda () (csegen-1242))))
(define CoreC-45FC-u--show_Show_VirtualIdent (lambda (arg-0) "(Interactive)"))
(define CoreC-45FC-u--show_Show_OriginDesc (lambda (arg-0) (case (vector-ref arg-0 0) ((0) (let ((e-0 (vector-ref arg-0 1))) (CoreC-45NameC-45Namespace-u--show_Show_ModuleIdent e-0))) ((1) (let ((e-1 (vector-ref arg-0 1))) (PreludeC-45Show-u--show_Show_String e-1))) (else (let ((e-2 (vector-ref arg-0 1))) (CoreC-45FC-u--show_Show_VirtualIdent e-2))))))
(define CoreC-45FC-u--show_Show_FC (lambda (arg-0) (case (vector-ref arg-0 0) ((2) "EmptyFC") ((0) (let ((e-0 (vector-ref arg-0 1))) (let ((e-1 (vector-ref arg-0 2))) (let ((e-2 (vector-ref arg-0 3))) (string-append (CoreC-45FC-u--show_Show_OriginDesc e-0) (string-append ":" (string-append (CoreC-45FC-showPos e-1) (string-append "--" (CoreC-45FC-showPos e-2))))))))) (else (let ((e-3 (vector-ref arg-0 1))) (let ((e-4 (vector-ref arg-0 2))) (let ((e-5 (vector-ref arg-0 3))) (string-append (CoreC-45FC-u--show_Show_OriginDesc e-3) (string-append ":" (string-append (CoreC-45FC-showPos e-4) (string-append "--" (CoreC-45FC-showPos e-5))))))))))))
(define CoreC-45FC-u--showPrec_Show_OriginDesc (lambda (arg-0 arg-1) (CoreC-45FC-u--show_Show_OriginDesc arg-1)))
(define CoreC-45FC-u--showPrec_Show_FC (lambda (arg-0 arg-1) (CoreC-45FC-u--show_Show_FC arg-1)))
(define CoreC-45FC-u--pretty_Pretty_Void_FC (lambda (arg-0) (case (vector-ref arg-0 0) ((2) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--pretty_Pretty_Void_String ((csegen-0) "EmptyFC"))) ((0) (let ((e-0 (vector-ref arg-0 1))) (let ((e-1 (vector-ref arg-0 2))) (let ((e-2 (vector-ref arg-0 3))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (((csegen-380) (((csegen-380) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-byShow (csegen-1246) e-0)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-colon))) (CoreC-45FC-prettyPos e-1)) (csegen-1248)) (CoreC-45FC-prettyPos e-2)))))) (else (let ((e-3 (vector-ref arg-0 1))) (let ((e-4 (vector-ref arg-0 2))) (let ((e-5 (vector-ref arg-0 3))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (((csegen-380) (((csegen-380) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-byShow (csegen-1246) e-3)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-colon))) (CoreC-45FC-prettyPos e-4)) (csegen-1248)) (CoreC-45FC-prettyPos e-5)))))))))
(define CoreC-45FC-u--prettyPrec_Pretty_Void_FC (lambda (arg-0 arg-1) (CoreC-45FC-u--pretty_Pretty_Void_FC arg-1)))
(define CoreC-45FC-u--C-61C-61_Eq_OriginDesc (lambda (arg-0 arg-1) (case (vector-ref arg-0 0) ((0) (let ((e-0 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((0) (let ((e-3 (vector-ref arg-1 1))) (CoreC-45NameC-45Namespace-u--C-61C-61_Eq_ModuleIdent e-0 e-3)))(else 0)))) ((1) (let ((e-1 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((1) (let ((e-4 (vector-ref arg-1 1))) (PreludeC-45EqOrd-u--C-61C-61_Eq_String e-1 e-4)))(else 0)))) ((2) (case (vector-ref arg-1 0) ((2) 1)(else 0)))(else 0))))
(define CoreC-45FC-u--C-61C-61_Eq_FC (lambda (arg-0 arg-1) (case (vector-ref arg-0 0) ((0) (let ((e-0 (vector-ref arg-0 1))) (let ((e-1 (vector-ref arg-0 2))) (let ((e-2 (vector-ref arg-0 3))) (case (vector-ref arg-1 0) ((0) (let ((e-6 (vector-ref arg-1 1))) (let ((e-7 (vector-ref arg-1 2))) (let ((e-8 (vector-ref arg-1 3))) (let ((sc2 (CoreC-45FC-u--C-61C-61_Eq_OriginDesc e-0 e-6))) (cond ((equal? sc2 1) (let ((sc3 (PreludeC-45EqOrd-u--C-61C-61_Eq_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-290) (csegen-290) e-1 e-7))) (cond ((equal? sc3 1) (PreludeC-45EqOrd-u--C-61C-61_Eq_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-290) (csegen-290) e-2 e-8)) (else 0)))) (else 0)))))))(else 0)))))) ((1) (let ((e-3 (vector-ref arg-0 1))) (let ((e-4 (vector-ref arg-0 2))) (let ((e-5 (vector-ref arg-0 3))) (case (vector-ref arg-1 0) ((1) (let ((e-9 (vector-ref arg-1 1))) (let ((e-10 (vector-ref arg-1 2))) (let ((e-11 (vector-ref arg-1 3))) (let ((sc2 (CoreC-45FC-u--C-61C-61_Eq_OriginDesc e-3 e-9))) (cond ((equal? sc2 1) (let ((sc3 (PreludeC-45EqOrd-u--C-61C-61_Eq_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-290) (csegen-290) e-4 e-10))) (cond ((equal? sc3 1) (PreludeC-45EqOrd-u--C-61C-61_Eq_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-290) (csegen-290) e-5 e-11)) (else 0)))) (else 0)))))))(else 0)))))) ((2) (case (vector-ref arg-1 0) ((2) 1)(else 0)))(else 0))))
(define CoreC-45FC-u--C-47C-61_Eq_FC (lambda (arg-0 arg-1) (let ((sc0 (CoreC-45FC-u--C-61C-61_Eq_FC arg-0 arg-1))) (cond ((equal? sc0 1) 0) (else 1)))))
(define CoreC-45FC-within (lambda (arg-0 arg-1) (let ((e-2 (car arg-0))) (let ((e-3 (cdr arg-0))) (let ((e-7 (cdr arg-1))) (let ((e-10 (car e-7))) (let ((e-11 (cdr e-7))) (let ((sc3 (PreludeC-45EqOrd-u--C-62C-61_Ord_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-298) (csegen-298) (cons e-2 e-3) e-10))) (cond ((equal? sc3 1) (PreludeC-45EqOrd-u--C-60C-61_Ord_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-298) (csegen-298) (cons e-2 e-3) e-11)) (else 0))))))))))
(define CoreC-45FC-virtualiseFC (lambda (arg-0) (case (vector-ref arg-0 0) ((0) (let ((e-0 (vector-ref arg-0 1))) (let ((e-1 (vector-ref arg-0 2))) (let ((e-2 (vector-ref arg-0 3))) (vector 1 e-0 e-1 e-2)))))(else arg-0))))
(define CoreC-45FC-toNonEmptyFC (lambda (ext-0) (DataC-45Maybe-fromMaybe (lambda () (CoreC-45FC-defaultFC)) (CoreC-45FC-isNonEmptyFC ext-0))))
(define CoreC-45FC-startPos (lambda (arg-0) (let ((e-3 (cdr arg-0))) (let ((e-6 (car e-3))) e-6))))
(define CoreC-45FC-startLine (lambda (ext-0) (Builtin-fst (CoreC-45FC-startPos ext-0))))
(define CoreC-45FC-startCol (lambda (ext-0) (Builtin-snd (CoreC-45FC-startPos ext-0))))
(define CoreC-45FC-showPos (lambda (arg-0) (let ((e-2 (car arg-0))) (let ((e-3 (cdr arg-0))) (string-append (PreludeC-45Show-u--show_Show_Int (bs+ e-2 1 63)) (string-append ":" (PreludeC-45Show-u--show_Show_Int (bs+ e-3 1 63))))))))
(define CoreC-45FC-replFC(blodwen-lazy (lambda () (CoreC-45FC-justFC (CoreC-45FC-defaultFC)))))
(define CoreC-45FC-prettyPos (lambda (ext-0) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--pretty_Pretty_Void_String (CoreC-45FC-showPos ext-0))))
(define CoreC-45FC-origin (lambda (arg-0) (let ((e-2 (car arg-0))) (let ((e-3 (cdr arg-0))) e-2))))
(define CoreC-45FC-onLine (lambda (arg-0 arg-1) (let ((e-3 (cdr arg-1))) (let ((e-6 (car e-3))) (let ((e-7 (cdr e-3))) (let ((sc2 (PreludeC-45EqOrd-u--C-62C-61_Ord_Int arg-0 (Builtin-fst e-6)))) (cond ((equal? sc2 1) (PreludeC-45EqOrd-u--C-60C-61_Ord_Int arg-0 (Builtin-fst e-7))) (else 0))))))))
(define CoreC-45FC-mergeFC (lambda (arg-0 arg-1) (case (vector-ref arg-0 0) ((0) (let ((e-0 (vector-ref arg-0 1))) (let ((e-1 (vector-ref arg-0 2))) (let ((e-2 (vector-ref arg-0 3))) (case (vector-ref arg-1 0) ((0) (let ((e-3 (vector-ref arg-1 1))) (let ((e-4 (vector-ref arg-1 2))) (let ((e-5 (vector-ref arg-1 3))) (let ((sc2 (CoreC-45FC-u--C-61C-61_Eq_OriginDesc e-0 e-3))) (cond ((equal? sc2 1) (box (vector 0 e-0 (PreludeC-45EqOrd-u--min_Ord_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-298) (csegen-298) e-1 e-4) (PreludeC-45EqOrd-u--max_Ord_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-298) (csegen-298) e-2 e-5)))) (else '())))))))(else '()))))))(else '()))))
(define CoreC-45FC-justFC (lambda (arg-0) (let ((e-2 (car arg-0))) (let ((e-3 (cdr arg-0))) (let ((e-6 (car e-3))) (let ((e-7 (cdr e-3))) (vector 0 e-2 e-6 e-7)))))))
(define CoreC-45FC-isNonEmptyFC (lambda (arg-0) (case (vector-ref arg-0 0) ((0) (let ((e-0 (vector-ref arg-0 1))) (let ((e-1 (vector-ref arg-0 2))) (let ((e-2 (vector-ref arg-0 3))) (box (cons e-0 (cons e-1 e-2))))))) ((1) (let ((e-3 (vector-ref arg-0 1))) (let ((e-4 (vector-ref arg-0 2))) (let ((e-5 (vector-ref arg-0 3))) (box (cons e-3 (cons e-4 e-5))))))) (else '()))))
(define CoreC-45FC-isConcreteFC (lambda (arg-0) (case (vector-ref arg-0 0) ((0) (let ((e-0 (vector-ref arg-0 1))) (let ((e-1 (vector-ref arg-0 2))) (let ((e-2 (vector-ref arg-0 3))) (box (cons e-0 (cons e-1 e-2)))))))(else '()))))
(define CoreC-45FC-emptyFC(blodwen-lazy (lambda () (vector 2 ))))
(define CoreC-45FC-defaultFC(blodwen-lazy (lambda () (cons (vector 2 (vector 0 )) (cons (cons 0 0) (cons 0 0))))))
(define CoreC-45FC-boundToFC (lambda (arg-1 arg-2) (vector 0 arg-1 (LibrariesC-45TextC-45Bounded-start arg-2) (LibrariesC-45TextC-45Bounded-end arg-2))))
(define CoreC-45Env-n--5450-3718-u--findUsedArgs (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9) (if (null? arg-9) arg-8 (let ((e-2 (car arg-9))) (let ((e-3 (cdr arg-9))) (CoreC-45Env-n--5450-3718-u--findUsedArgs arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 (CoreC-45Env-findUsed arg-0 arg-7 arg-8 e-2) e-3))))))
(define CoreC-45Env-n--5450-3638-u--eqNat (lambda (arg-0 arg-2 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9) (PreludeC-45EqOrd-u--C-61C-61_Eq_Integer arg-8 arg-9)))
(define CoreC-45Env-n--5450-3743-u--dropS (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (if (null? arg-7) '() (let ((e-2 (car arg-7))) (let ((e-3 (cdr arg-7))) (cond ((equal? e-2 0) (CoreC-45Env-n--5450-3743-u--dropS arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-3))(else (let ((e-4 (- e-2 1))) (cons e-4 (CoreC-45Env-n--5450-3743-u--dropS arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-3))))))))))
(define CoreC-45Env-toVar (lambda (arg-0 arg-1) (if (null? arg-0) '() (let ((e-2 (cdr arg-0))) (cond ((equal? arg-1 0) (box 0))(else (let ((e-3 (- arg-1 1))) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (CoreC-45Env-toVar e-2 e-3) (csegen-1106)))))))))
(define CoreC-45Env-shrinkEnv (lambda (arg-2 arg-3) (case (vector-ref arg-3 0) ((0) (box arg-2))(else (let ((e-3 (car arg-2))) (let ((e-4 (cdr arg-2))) (case (vector-ref arg-3 0) ((1) (let ((e-8 (vector-ref arg-3 1))) (CoreC-45Env-shrinkEnv e-4 e-8))) (else (let ((e-12 (vector-ref arg-3 1))) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (CoreC-45Env-shrinkEnv e-4 e-12) (lambda (u--envC-39) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (CoreC-45TT-shrinkBinder e-3 e-12) (lambda (u--bC-39) (box (cons u--bC-39 u--envC-39)))))))))))))))
(define CoreC-45Env-mkShrinkSub (lambda (arg-0 arg-1 arg-2) (if (null? arg-1) (let ((sc1 (CoreC-45Env-isUsed 0 arg-2))) (cond ((equal? sc1 1) (cons (cons arg-0 '()) (vector 2 (vector 0 )))) (else (cons '() (vector 1 (vector 0 )))))) (let ((e-2 (car arg-1))) (let ((e-3 (cdr arg-1))) (let ((sc1 (CoreC-45Env-mkShrinkSub e-2 e-3 (CoreC-45TT-dropFirst arg-2)))) (let ((e-5 (car sc1))) (let ((e-4 (cdr sc1))) (let ((sc2 (CoreC-45Env-isUsed 0 arg-2))) (cond ((equal? sc2 1) (cons (cons arg-0 e-5) (vector 2 e-4))) (else (cons e-5 (vector 1 e-4)))))))))))))
(define CoreC-45Env-mkShrink (lambda (arg-0 arg-1) (if (null? arg-0) (cons '() (vector 0 )) (let ((e-2 (car arg-0))) (let ((e-3 (cdr arg-0))) (CoreC-45Env-mkShrinkSub e-2 e-3 arg-1))))))
(define CoreC-45Env-mkEnvOnto (lambda (arg-1 arg-2 arg-3) (if (null? arg-2) arg-3 (let ((e-3 (cdr arg-2))) (cons (vector 3 arg-1 (AlgebraC-45ZeroOneOmega-u--top_Top_ZeroOneOmega) (vector 1 ) (vector 10 arg-1 (vector 0 ))) (CoreC-45Env-mkEnvOnto arg-1 e-3 arg-3))))))
(define CoreC-45Env-mkEnv (lambda (arg-0 arg-1) (if (null? arg-1) '() (let ((e-3 (cdr arg-1))) (cons (vector 3 arg-0 (AlgebraC-45ZeroOneOmega-u--top_Top_ZeroOneOmega) (vector 1 ) (vector 10 arg-0 (vector 0 ))) (CoreC-45Env-mkEnv arg-0 e-3))))))
(define CoreC-45Env-letToLam (lambda (arg-1) (if (null? arg-1) '() (let ((e-4 (car arg-1))) (let ((e-5 (cdr arg-1))) (case (vector-ref e-4 0) ((1) (let ((e-7 (vector-ref e-4 1))) (let ((e-8 (vector-ref e-4 2))) (let ((e-10 (vector-ref e-4 4))) (cons (vector 0 e-7 e-8 (vector 1 ) e-10) (CoreC-45Env-letToLam e-5))))))(else (cons e-4 (CoreC-45Env-letToLam e-5)))))))))
(define CoreC-45Env-lengthExplicitPi (lambda (arg-2) (if (null? arg-2) 0 (let ((e-4 (car arg-2))) (let ((e-5 (cdr arg-2))) (case (vector-ref e-4 0) ((2) (let ((e-9 (vector-ref e-4 3))) (case (vector-ref e-9 0) ((1) (+ (CoreC-45Env-lengthExplicitPi e-5) 1))(else (CoreC-45Env-lengthExplicitPi e-5)))))(else (CoreC-45Env-lengthExplicitPi e-5))))))))
(define CoreC-45Env-length (lambda (arg-2) (if (null? arg-2) 0 (let ((e-5 (cdr arg-2))) (+ (CoreC-45Env-length e-5) 1)))))
(define CoreC-45Env-isUsed (lambda (arg-1 arg-2) (if (null? arg-2) 0 (let ((e-2 (car arg-2))) (let ((e-3 (cdr arg-2))) (let ((sc1 (or (and (= arg-1 (CoreC-45TT-varIdx e-2)) 1) 0))) (cond ((equal? sc1 1) 1) (else (CoreC-45Env-isUsed arg-1 e-3)))))))))
(define CoreC-45Env-getBinderUnder (lambda (arg-2 arg-3 arg-4 arg-5 arg-7) (let ((e-1 (car arg-3))) (let ((e-2 (cdr arg-3))) (cond ((equal? arg-4 0) (let ((e-7 (car arg-7))) (((csegen-1254) (lambda (eta-0) (let ((e-3 (cdr arg-2))) ((((e-3 'erased) 'erased) (CoreC-45TTC-45SizeOf-reverse (CoreC-45TTC-45SizeOf-mkSizeOf (cons e-1 arg-5)))) eta-0)))) e-7)))(else (let ((e-3 (- arg-4 1))) (let ((e-13 (cdr arg-7))) (CoreC-45Env-getBinderUnder arg-2 e-2 e-3 (cons e-1 arg-5) e-13)))))))))
(define CoreC-45Env-getBinderLoc (lambda (arg-2 arg-3 arg-5) (let ((e-2 (cdr arg-2))) (cond ((equal? arg-3 0) (let ((e-7 (car arg-5))) (CoreC-45TT-binderLoc e-7)))(else (let ((e-3 (- arg-3 1))) (let ((e-13 (cdr arg-5))) (CoreC-45Env-getBinderLoc e-2 e-3 e-13))))))))
(define CoreC-45Env-getBinder (lambda (arg-2 arg-3 arg-4 arg-6) (CoreC-45Env-getBinderUnder arg-2 arg-3 arg-4 '() arg-6)))
(define CoreC-45Env-findUsedLocs (lambda (arg-0 arg-1 arg-2) (PreludeC-45TypesC-45List-mapMaybeAppend '() (lambda (eta-0) (CoreC-45Env-toVar arg-0 eta-0)) (CoreC-45Env-findUsed arg-0 arg-1 '() arg-2))))
(define CoreC-45Env-findUsedInBinder (lambda (arg-0 arg-1 arg-2 arg-3) (case (vector-ref arg-3 0) ((1) (let ((e-3 (vector-ref arg-3 3))) (let ((e-4 (vector-ref arg-3 4))) (CoreC-45Env-findUsed arg-0 arg-1 (CoreC-45Env-findUsed arg-0 arg-1 arg-2 e-3) e-4)))) ((4) (let ((e-8 (vector-ref arg-3 3))) (let ((e-9 (vector-ref arg-3 4))) (CoreC-45Env-findUsed arg-0 arg-1 (CoreC-45Env-findUsed arg-0 arg-1 arg-2 e-8) e-9))))(else (CoreC-45Env-findUsed arg-0 arg-1 arg-2 (CoreC-45TT-binderType arg-3))))))
(define CoreC-45Env-findUsed (lambda (arg-0 arg-1 arg-2 arg-3) (case (vector-ref arg-3 0) ((0) (let ((e-2 (vector-ref arg-3 1))) (let ((e-3 (vector-ref arg-3 2))) (let ((e-4 (vector-ref arg-3 3))) (let ((sc1 (PreludeC-45Types-elemBy (csegen-16) (lambda (eta-0) (lambda (eta-1) (CoreC-45Env-n--5450-3638-u--eqNat arg-0 e-4 e-3 e-2 arg-2 arg-1 eta-0 eta-1))) e-4 arg-2))) (cond ((equal? sc1 1) arg-2) (else (CoreC-45Env-findUsedInBinder arg-0 arg-1 (cons e-4 arg-2) (CoreC-45Env-getBinder (csegen-1260) arg-0 e-4 arg-1))))))))) ((2) (let ((e-7 (vector-ref arg-3 1))) (let ((e-8 (vector-ref arg-3 2))) (let ((e-9 (vector-ref arg-3 3))) (let ((e-10 (vector-ref arg-3 4))) (CoreC-45Env-n--5450-3718-u--findUsedArgs arg-0 e-7 e-8 e-9 e-10 arg-2 arg-1 arg-1 arg-2 e-10)))))) ((3) (let ((e-12 (vector-ref arg-3 1))) (let ((e-13 (vector-ref arg-3 2))) (let ((e-14 (vector-ref arg-3 3))) (let ((e-15 (vector-ref arg-3 4))) (CoreC-45Env-n--5450-3743-u--dropS arg-0 e-13 e-15 e-14 e-12 arg-2 arg-1 (CoreC-45Env-findUsed (cons e-13 arg-0) (cons e-14 arg-1) (((csegen-25) (lambda (eta-0) (+ eta-0 1))) (CoreC-45Env-findUsedInBinder arg-0 arg-1 arg-2 e-14)) e-15))))))) ((4) (let ((e-18 (vector-ref arg-3 2))) (let ((e-19 (vector-ref arg-3 3))) (CoreC-45Env-findUsed arg-0 arg-1 (CoreC-45Env-findUsed arg-0 arg-1 arg-2 e-18) e-19)))) ((5) (let ((e-23 (vector-ref arg-3 3))) (let ((e-24 (vector-ref arg-3 4))) (CoreC-45Env-findUsed arg-0 arg-1 (CoreC-45Env-findUsed arg-0 arg-1 arg-2 e-23) e-24)))) ((6) (let ((e-28 (vector-ref arg-3 3))) (CoreC-45Env-findUsed arg-0 arg-1 arg-2 e-28))) ((7) (let ((e-32 (vector-ref arg-3 3))) (let ((e-33 (vector-ref arg-3 4))) (CoreC-45Env-findUsed arg-0 arg-1 (CoreC-45Env-findUsed arg-0 arg-1 arg-2 e-32) e-33)))) ((8) (let ((e-37 (vector-ref arg-3 3))) (CoreC-45Env-findUsed arg-0 arg-1 arg-2 e-37)))(else arg-2))))
(define CoreC-45Env-findSubEnv (lambda (arg-0 arg-1 arg-2) (CoreC-45Env-mkShrink arg-0 (CoreC-45Env-findUsedLocs arg-0 arg-1 arg-2))))
(define CoreC-45Env-extend (lambda (arg-2 ext-0 ext-1) (cons ext-0 ext-1)))
(define CoreC-45Env-defined (lambda (arg-0 arg-1 arg-2) (if (null? arg-0) '() (let ((e-2 (car arg-0))) (let ((e-3 (cdr arg-0))) (let ((e-8 (car arg-2))) (let ((e-9 (cdr arg-2))) (let ((sc2 (CoreC-45Name-nameEq arg-1 e-2))) (if (null? sc2) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (CoreC-45Env-defined e-3 arg-1 e-9) (lambda (_-0) (let ((e-5 (car _-0))) (let ((e-4 (cdr _-0))) (box (cons (+ e-5 1) e-4)))))) (box (cons 0 (CoreC-45TT-multiplicity e-8))))))))))))
(define CoreC-45Env-bindEnv (lambda (arg-0 arg-1 arg-2 arg-3) (if (null? arg-0) arg-3 (let ((e-2 (car arg-0))) (let ((e-3 (cdr arg-0))) (let ((e-8 (car arg-2))) (let ((e-9 (cdr arg-2))) (CoreC-45Env-bindEnv e-3 arg-1 e-9 (vector 3 arg-1 e-2 (vector 3 (CoreC-45TT-binderLoc e-8) (CoreC-45TT-multiplicity e-8) (vector 1 ) (CoreC-45TT-binderType e-8)) arg-3)))))))))
(define CoreC-45Env-allVarsNoLet (lambda (arg-0 arg-1) (if (null? arg-0) '() (let ((e-3 (cdr arg-0))) (let ((e-8 (car arg-1))) (let ((e-9 (cdr arg-1))) (case (vector-ref e-8 0) ((1) ((csegen-1005) (CoreC-45Env-allVars e-3 e-9)))(else (cons 0 ((csegen-1005) (CoreC-45Env-allVars e-3 e-9)))))))))))
(define CoreC-45Env-allVars (lambda (arg-0 arg-1) (if (null? arg-0) '() (let ((e-3 (cdr arg-0))) (let ((e-9 (cdr arg-1))) (cons 0 ((csegen-1005) (CoreC-45Env-allVars e-3 e-9))))))))
(define CoreC-45Env-abstractFullEnvType (lambda (arg-0 arg-1 arg-2 arg-3) (if (null? arg-0) arg-3 (let ((e-2 (car arg-0))) (let ((e-3 (cdr arg-0))) (let ((e-8 (car arg-2))) (let ((e-9 (cdr arg-2))) (case (vector-ref e-8 0) ((2) (let ((e-11 (vector-ref e-8 1))) (let ((e-12 (vector-ref e-8 2))) (let ((e-13 (vector-ref e-8 3))) (let ((e-14 (vector-ref e-8 4))) (CoreC-45Env-abstractFullEnvType e-3 arg-1 e-9 (vector 3 arg-1 e-2 (vector 2 e-11 e-12 e-13 e-14) arg-3)))))))(else (let ((u--bnd (vector 2 arg-1 (CoreC-45TT-multiplicity e-8) (vector 1 ) (CoreC-45TT-binderType e-8)))) (CoreC-45Env-abstractFullEnvType e-3 arg-1 e-9 (vector 3 arg-1 e-2 u--bnd arg-3))))))))))))
(define CoreC-45Env-abstractEnvType (lambda (arg-0 arg-1 arg-2 arg-3) (if (null? arg-0) arg-3 (let ((e-2 (car arg-0))) (let ((e-3 (cdr arg-0))) (let ((e-8 (car arg-2))) (let ((e-9 (cdr arg-2))) (case (vector-ref e-8 0) ((1) (let ((e-11 (vector-ref e-8 1))) (let ((e-12 (vector-ref e-8 2))) (let ((e-13 (vector-ref e-8 3))) (let ((e-14 (vector-ref e-8 4))) (CoreC-45Env-abstractEnvType e-3 arg-1 e-9 (vector 3 arg-1 e-2 (vector 1 e-11 e-12 e-13 e-14) arg-3))))))) ((2) (let ((e-16 (vector-ref e-8 1))) (let ((e-17 (vector-ref e-8 2))) (let ((e-18 (vector-ref e-8 3))) (let ((e-19 (vector-ref e-8 4))) (CoreC-45Env-abstractEnvType e-3 arg-1 e-9 (vector 3 arg-1 e-2 (vector 2 e-16 e-17 e-18 e-19) arg-3)))))))(else (let ((u--bnd (vector 2 (CoreC-45TT-binderLoc e-8) (CoreC-45TT-multiplicity e-8) (vector 1 ) (CoreC-45TT-binderType e-8)))) (CoreC-45Env-abstractEnvType e-3 arg-1 e-9 (vector 3 arg-1 e-2 u--bnd arg-3))))))))))))
(define CoreC-45Env-C-43C-43 (lambda (arg-1 arg-2 arg-3) (if (null? arg-1) arg-3 (let ((e-1 (car arg-1))) (let ((e-2 (cdr arg-1))) (let ((e-7 (car arg-2))) (let ((e-8 (cdr arg-2))) (CoreC-45Env-extend e-1 (((csegen-1254) (lambda (eta-0) (CoreC-45TT-embed eta-0))) e-7) (CoreC-45Env-C-43C-43 e-2 e-8 arg-3)))))))))
(define CoreC-45Core-n--8328-6564-u--showRig (lambda (arg-0 arg-1 arg-2 arg-3 ext-0) (AlgebraC-45Semiring-elimSemi (csegen-1156) "irrelevant" "linear" (lambda (eta-0) "unrestricted") ext-0)))
(define CoreC-45Core-n--8328-6565-u--showRel (lambda (arg-0 arg-1 arg-2 arg-3 ext-0) (AlgebraC-45Semiring-elimSemi (csegen-1156) "irrelevant" "relevant" (lambda (eta-0) "non-linear") ext-0)))
(define CoreC-45Core-n--12429-10251-u--goTerm (lambda (arg-0 arg-1 arg-2 arg-3) (case (vector-ref arg-3 0) ((0) ((arg-1 arg-2) arg-3)) ((1) ((arg-1 arg-2) arg-3)) ((2) (let ((e-11 (vector-ref arg-3 1))) (let ((e-12 (vector-ref arg-3 2))) (let ((e-13 (vector-ref arg-3 3))) (let ((e-14 (vector-ref arg-3 4))) (PreludeC-45Basics-flip (lambda (eta-0) (lambda (eta-1) (let ((eff-0 eta-0)) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-2) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (eta-1 e-5))) eff-1))))))))) (arg-1 arg-2) (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45Core-n--12429-10251-u--goTerm arg-0 arg-1 arg-2 eta-0)) e-14 '()))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-4) (lambda (arg-5) ((((eff-1 'erased) 'erased) arg-4) arg-5)))) (lambda (eta-0) (vector 2 e-11 e-12 e-13 eta-0)))) eff-0)))))))) ((3) (let ((e-16 (vector-ref arg-3 1))) (let ((e-17 (vector-ref arg-3 2))) (let ((e-18 (vector-ref arg-3 3))) (let ((e-19 (vector-ref arg-3 4))) (PreludeC-45Basics-flip (lambda (eta-0) (lambda (eta-1) (let ((eff-0 eta-0)) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-2) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (eta-1 e-5))) eff-1))))))))) (arg-1 arg-2) (CoreC-45Core-C-60C-42C-62 (let ((eff-0 (CoreC-45CoreC-45Binder-traverse (lambda (eta-0) (CoreC-45Core-n--12429-10251-u--goTerm arg-0 arg-1 arg-2 eta-0)) e-18))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-4) (lambda (arg-5) ((((eff-1 'erased) 'erased) arg-4) arg-5)))) (lambda (eta-0) (lambda (eta-1) (vector 3 e-16 e-17 eta-0 eta-1))))) eff-0)) (CoreC-45Core-n--12429-10251-u--goTerm arg-0 arg-1 (cons e-17 arg-2) e-19)))))))) ((4) (let ((e-21 (vector-ref arg-3 1))) (let ((e-22 (vector-ref arg-3 2))) (let ((e-23 (vector-ref arg-3 3))) (PreludeC-45Basics-flip (lambda (eta-0) (lambda (eta-1) (let ((eff-0 eta-0)) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-2) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (eta-1 e-5))) eff-1))))))))) (arg-1 arg-2) (CoreC-45Core-C-60C-42C-62 (let ((eff-0 (CoreC-45Core-n--12429-10251-u--goTerm arg-0 arg-1 arg-2 e-22))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-4) (lambda (arg-5) ((((eff-1 'erased) 'erased) arg-4) arg-5)))) (lambda (eta-0) (lambda (eta-1) (vector 4 e-21 eta-0 eta-1))))) eff-0)) (CoreC-45Core-n--12429-10251-u--goTerm arg-0 arg-1 arg-2 e-23))))))) ((5) (let ((e-25 (vector-ref arg-3 1))) (let ((e-26 (vector-ref arg-3 2))) (let ((e-27 (vector-ref arg-3 3))) (let ((e-28 (vector-ref arg-3 4))) (PreludeC-45Basics-flip (lambda (eta-0) (lambda (eta-1) (let ((eff-0 eta-0)) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-2) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (eta-1 e-5))) eff-1))))))))) (arg-1 arg-2) (CoreC-45Core-C-60C-42C-62 (let ((eff-0 (CoreC-45Core-n--12429-10251-u--goTerm arg-0 arg-1 arg-2 e-27))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-4) (lambda (arg-5) ((((eff-1 'erased) 'erased) arg-4) arg-5)))) (lambda (eta-0) (lambda (eta-1) (vector 5 e-25 e-26 eta-0 eta-1))))) eff-0)) (CoreC-45Core-n--12429-10251-u--goTerm arg-0 arg-1 arg-2 e-28)))))))) ((6) (let ((e-30 (vector-ref arg-3 1))) (let ((e-31 (vector-ref arg-3 2))) (let ((e-32 (vector-ref arg-3 3))) (PreludeC-45Basics-flip (lambda (eta-0) (lambda (eta-1) (let ((eff-0 eta-0)) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-2) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (eta-1 e-5))) eff-1))))))))) (arg-1 arg-2) (let ((eff-0 (CoreC-45Core-n--12429-10251-u--goTerm arg-0 arg-1 arg-2 e-32))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-4) (lambda (arg-5) ((((eff-1 'erased) 'erased) arg-4) arg-5)))) (lambda (eta-0) (vector 6 e-30 e-31 eta-0)))) eff-0))))))) ((7) (let ((e-34 (vector-ref arg-3 1))) (let ((e-35 (vector-ref arg-3 2))) (let ((e-36 (vector-ref arg-3 3))) (let ((e-37 (vector-ref arg-3 4))) (PreludeC-45Basics-flip (lambda (eta-0) (lambda (eta-1) (let ((eff-0 eta-0)) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-2) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (eta-1 e-5))) eff-1))))))))) (arg-1 arg-2) (CoreC-45Core-C-60C-42C-62 (let ((eff-0 (CoreC-45Core-n--12429-10251-u--goTerm arg-0 arg-1 arg-2 e-36))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-4) (lambda (arg-5) ((((eff-1 'erased) 'erased) arg-4) arg-5)))) (lambda (eta-0) (lambda (eta-1) (vector 7 e-34 e-35 eta-0 eta-1))))) eff-0)) (CoreC-45Core-n--12429-10251-u--goTerm arg-0 arg-1 arg-2 e-37)))))))) ((8) (let ((e-39 (vector-ref arg-3 1))) (let ((e-40 (vector-ref arg-3 2))) (let ((e-41 (vector-ref arg-3 3))) (PreludeC-45Basics-flip (lambda (eta-0) (lambda (eta-1) (let ((eff-0 eta-0)) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-2) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (eta-1 e-5))) eff-1))))))))) (arg-1 arg-2) (let ((eff-0 (CoreC-45Core-n--12429-10251-u--goTerm arg-0 arg-1 arg-2 e-41))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-4) (lambda (arg-5) ((((eff-1 'erased) 'erased) arg-4) arg-5)))) (lambda (eta-0) (vector 8 e-39 e-40 eta-0)))) eff-0))))))) ((9) ((arg-1 arg-2) arg-3)) ((10) ((arg-1 arg-2) arg-3)) (else ((arg-1 arg-2) arg-3)))))
(define CoreC-45Core-n--11853-9649-u--go (lambda (arg-2 arg-3 arg-4) (if (null? arg-4) (lambda (eta-0) (vector 1 (PreludeC-45TypesC-45SnocList-C-60C-62C-62 arg-3 '()))) (let ((e-2 (car arg-4))) (let ((e-3 (cdr arg-4))) (let ((eff-0 (arg-2 e-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45Core-n--11853-9649-u--go arg-2 ((PreludeC-45Types-maybe (lambda () (lambda (eta-0) eta-0)) (lambda () (lambda (eta-0) (lambda (eta-1) (PreludeC-45Basics-flip (csegen-1264) eta-0 eta-1)))) e-5) arg-3) e-3))) eff-1))))))))))))
(define CoreC-45Core-u--throw_Catchable_Core_Error (lambda (ext-1 ext-0) (CoreC-45Core-coreFail ext-1 ext-0)))
(define CoreC-45Core-u--show_Show_Warning (lambda (arg-0) (case (vector-ref arg-0 0) ((0) (let ((e-1 (vector-ref arg-0 2))) e-1)) ((1) ":Unreachable clause") ((2) ":Shadowing names") ((3) ":Shadowing names") ((4) (let ((e-10 (vector-ref arg-0 1))) (string-append ":Deprecated " e-10))) (else (let ((e-12 (vector-ref arg-0 1))) e-12)))))
(define CoreC-45Core-u--show_Show_TTCErrorMsg (lambda (arg-0) (case (vector-ref arg-0 0) ((0) (let ((e-0 (vector-ref arg-0 1))) (let ((e-1 (vector-ref arg-0 2))) (let ((e-2 (vector-ref arg-0 3))) (let ((u--age (let ((sc1 (PreludeC-45EqOrd-u--C-60_Ord_Int e-1 e-2))) (cond ((equal? sc1 1) ((csegen-0) "older")) (else ((csegen-0) "newer")))))) (string-append "TTC data is in an " (string-append u--age (string-append " format, file: " (string-append e-0 (string-append ", expected version: " (string-append (PreludeC-45Show-u--show_Show_Int e-2) (string-append ", actual version: " (PreludeC-45Show-u--show_Show_Int e-1))))))))))))) ((1) (let ((e-3 (vector-ref arg-0 1))) (string-append "End of buffer when reading " e-3))) (else (let ((e-4 (vector-ref arg-0 1))) (string-append "Corrupt TTC data for " e-4))))))
(define CoreC-45Core-u--show_Show_Error (lambda (arg-0) (case (vector-ref arg-0 0) ((0) (let ((e-0 (vector-ref arg-0 1))) (CoreC-45Core-u--show_Show_Error e-0))) ((1) (let ((e-1 (vector-ref arg-0 1))) (let ((e-2 (vector-ref arg-0 2))) (let ((e-5 (vector-ref arg-0 5))) (let ((e-6 (vector-ref arg-0 6))) (string-append (CoreC-45FC-u--show_Show_FC e-2) (string-append ":Type mismatch: " (string-append (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 e-1 e-5) (string-append " and " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 e-1 e-6)))))))))) ((2) (let ((e-7 (vector-ref arg-0 1))) (let ((e-8 (vector-ref arg-0 2))) (let ((e-11 (vector-ref arg-0 5))) (let ((e-12 (vector-ref arg-0 6))) (string-append (CoreC-45FC-u--show_Show_FC e-8) (string-append ":" (string-append (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 e-7 e-11) (string-append " and " (string-append (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 e-7 e-12) " are not equal")))))))))) ((3) (let ((e-13 (vector-ref arg-0 1))) (let ((e-14 (vector-ref arg-0 2))) (let ((e-17 (vector-ref arg-0 5))) (let ((e-18 (vector-ref arg-0 6))) (string-append (CoreC-45FC-u--show_Show_FC e-14) (string-append ":Pattern variable " (string-append (CoreC-45Name-u--show_Show_Name e-17) (string-append " unifies with " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 e-13 e-18)))))))))) ((4) (let ((e-19 (vector-ref arg-0 1))) (let ((e-20 (vector-ref arg-0 2))) (let ((e-22 (vector-ref arg-0 4))) (let ((e-23 (vector-ref arg-0 5))) (string-append (CoreC-45FC-u--show_Show_FC e-20) (string-append ":Cycle detected in metavariable solution " (string-append (CoreC-45Name-u--show_Show_Name e-22) (string-append " = " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 e-19 e-23)))))))))) ((5) (let ((e-24 (vector-ref arg-0 1))) (let ((e-25 (vector-ref arg-0 2))) (let ((e-28 (vector-ref arg-0 5))) (let ((e-29 (vector-ref arg-0 6))) (let ((e-30 (vector-ref arg-0 7))) (string-append (CoreC-45FC-u--show_Show_FC e-25) (string-append ":When unifying: " (string-append (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 e-24 e-28) (string-append " and " (string-append (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 e-24 e-29) (string-append "\xa;\x9;" (CoreC-45Core-u--show_Show_Error e-30))))))))))))) ((6) (let ((e-31 (vector-ref arg-0 1))) (let ((e-32 (vector-ref arg-0 2))) (let ((e-34 (vector-ref arg-0 4))) (string-append (CoreC-45FC-u--show_Show_FC e-32) (string-append ":" (case (vector-ref e-34 0) ((0) (let ((e-2 (vector-ref e-34 1))) (string-append (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 e-31 e-2) ((csegen-0) " is not a valid impossible pattern because it typechecks")))) (else (let ((e-5 (vector-ref e-34 1))) (string-append ((csegen-0) "Not a valid impossible pattern:\xa;\x9;") (CoreC-45Core-u--show_Show_Error e-5))))))))))) ((7) (let ((e-35 (vector-ref arg-0 1))) (let ((e-36 (vector-ref arg-0 2))) (string-append (CoreC-45FC-u--show_Show_FC e-35) (string-append ":Undefined name " (CoreC-45Name-u--show_Show_Name e-36)))))) ((8) (let ((e-37 (vector-ref arg-0 1))) (let ((e-38 (vector-ref arg-0 2))) (let ((e-39 (vector-ref arg-0 3))) (if (null? e-39) (string-append (CoreC-45FC-u--show_Show_FC e-37) (string-append ":Name " (string-append (CoreC-45Name-u--show_Show_Name e-38) " is private"))) (let ((e-219 (unbox e-39))) (string-append (CoreC-45FC-u--show_Show_FC e-37) (string-append ":Name " (string-append (CoreC-45Name-u--show_Show_Name e-38) (string-append " is inaccessible since " (string-append (CoreC-45NameC-45Namespace-u--show_Show_Namespace e-219) " is not explicitly imported"))))))))))) ((9) (let ((e-40 (vector-ref arg-0 1))) (let ((e-41 (vector-ref arg-0 2))) (string-append (CoreC-45FC-u--show_Show_FC e-40) (string-append ":Return type of " (string-append (CoreC-45Name-u--show_Show_Name e-41) " must be Type")))))) ((10) (let ((e-42 (vector-ref arg-0 1))) (let ((e-43 (vector-ref arg-0 2))) (let ((e-44 (vector-ref arg-0 3))) (string-append (CoreC-45FC-u--show_Show_FC e-42) (string-append ":Return type of " (string-append (CoreC-45Name-u--show_Show_Name e-43) (string-append " must be in " (CoreC-45Name-u--show_Show_Name e-44))))))))) ((11) (let ((e-45 (vector-ref arg-0 1))) (let ((e-46 (vector-ref arg-0 2))) (let ((e-47 (vector-ref arg-0 3))) (string-append (CoreC-45FC-u--show_Show_FC e-45) (string-append ":" (string-append (CoreC-45Name-u--show_Show_Name e-46) (string-append " is not covering:\xa;\x9;" (case (vector-ref e-47 0) ((0) ((csegen-0) "Oh yes it is (Internal error!)")) ((1) (let ((e-0 (vector-ref e-47 1))) (string-append ((csegen-0) "Missing cases:\xa;\x9;") (CoreC-45NameC-45Namespace-showSep "\xa;\x9;" ((csegen-1273) e-0))))) (else (let ((e-1 (vector-ref e-47 1))) (string-append ((csegen-0) "Calls non covering function") (if (null? e-1) (string-append "s: " (CoreC-45NameC-45Namespace-showSep ", " ((csegen-102) e-1))) (let ((e-3 (car e-1))) (let ((e-2 (cdr e-1))) (if (null? e-2) (string-append " " (CoreC-45Name-u--show_Show_Name e-3)) (string-append "s: " (CoreC-45NameC-45Namespace-showSep ", " ((csegen-102) e-1))))))))))))))))))) ((12) (let ((e-48 (vector-ref arg-0 1))) (let ((e-49 (vector-ref arg-0 2))) (string-append (CoreC-45FC-u--show_Show_FC e-48) (string-append ":" (string-append (CoreC-45Name-u--show_Show_Name e-49) " is not total")))))) ((13) (let ((e-51 (vector-ref arg-0 1))) (let ((e-52 (vector-ref arg-0 2))) (let ((e-53 (vector-ref arg-0 3))) (string-append (CoreC-45FC-u--show_Show_FC e-51) (string-append ":There are " (string-append (PreludeC-45Show-u--show_Show_Nat e-52) (string-append " uses of linear name " (CoreC-45Name-u--show_Show_Name e-53))))))))) ((14) (let ((e-54 (vector-ref arg-0 1))) (let ((e-55 (vector-ref arg-0 2))) (let ((e-56 (vector-ref arg-0 3))) (let ((e-57 (vector-ref arg-0 4))) (string-append (CoreC-45FC-u--show_Show_FC e-54) (string-append ":Trying to use " (string-append (CoreC-45Core-n--8328-6564-u--showRig e-57 e-56 e-55 e-54 e-56) (string-append " name " (string-append (CoreC-45Name-u--show_Show_Name e-55) (string-append " in " (string-append (CoreC-45Core-n--8328-6565-u--showRel e-57 e-56 e-55 e-54 e-57) " context")))))))))))) ((15) (let ((e-58 (vector-ref arg-0 1))) (let ((e-59 (vector-ref arg-0 2))) (let ((e-61 (vector-ref arg-0 4))) (let ((e-62 (vector-ref arg-0 5))) (string-append (CoreC-45FC-u--show_Show_FC e-59) (string-append ":" (string-append (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 e-58 e-61) (string-append " borrows argument " (string-append (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 e-58 e-62) " so must be fully applied")))))))))) ((16) (let ((e-63 (vector-ref arg-0 1))) (let ((e-64 (vector-ref arg-0 2))) (let ((e-66 (vector-ref arg-0 4))) (string-append (CoreC-45FC-u--show_Show_FC e-64) (string-append ":" (string-append (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 e-63 e-66) " borrows, so must return a concrete type"))))))) ((17) (let ((e-67 (vector-ref arg-0 1))) (let ((e-68 (vector-ref arg-0 2))) (string-append (CoreC-45FC-u--show_Show_FC e-67) (string-append ":Ambiguous name " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-100) e-68)))))) ((18) (let ((e-69 (vector-ref arg-0 1))) (let ((e-70 (vector-ref arg-0 2))) (let ((e-72 (vector-ref arg-0 4))) (string-append (CoreC-45FC-u--show_Show_FC e-70) (string-append ":Ambiguous elaboration " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (cons (lambda (u--x) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 e-69 u--x)) (lambda (u--d) (lambda (u--x) (CoreC-45TT-u--showPrec_Show_C-40TermC-32C-36varsC-41 e-69 u--d u--x)))) ((csegen-947) e-72)))))))) ((19) (let ((e-73 (vector-ref arg-0 1))) (let ((e-74 (vector-ref arg-0 2))) (let ((e-77 (vector-ref arg-0 5))) (string-append (CoreC-45FC-u--show_Show_FC e-74) (string-append ":Ambiguous search " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (cons (lambda (u--x) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 e-73 u--x)) (lambda (u--d) (lambda (u--x) (CoreC-45TT-u--showPrec_Show_C-40TermC-32C-36varsC-41 e-73 u--d u--x)))) e-77))))))) ((20) (let ((e-78 (vector-ref arg-0 1))) (let ((e-79 (vector-ref arg-0 2))) (let ((e-80 (vector-ref arg-0 3))) (string-append (CoreC-45FC-u--show_Show_FC e-78) (string-append ":Ambiguity too deep in " (string-append (CoreC-45Name-u--show_Show_Name e-79) (string-append " " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-100) e-80))))))))) ((21) (let ((e-81 (vector-ref arg-0 1))) (string-append "No successful elaboration: " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (cons (lambda (u--x) (PreludeC-45Show-u--show_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-1280) u--x)) (lambda (u--d) (lambda (u--x) (PreludeC-45Show-u--showPrec_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-1280) u--d u--x)))) e-81)))) ((22) (let ((e-83 (vector-ref arg-0 2))) (string-append (CoreC-45FC-u--show_Show_FC e-83) ":Can't infer type of record to update"))) ((23) (let ((e-85 (vector-ref arg-0 1))) (let ((e-86 (vector-ref arg-0 2))) (string-append (CoreC-45FC-u--show_Show_FC e-85) (string-append ":Duplicated record update paths: " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-1286) e-86)))))) ((24) (let ((e-87 (vector-ref arg-0 1))) (let ((e-88 (vector-ref arg-0 2))) (let ((e-89 (vector-ref arg-0 3))) (if (null? e-89) (string-append (CoreC-45FC-u--show_Show_FC e-87) (string-append ":" (string-append e-88 " is not part of a record type"))) (let ((e-222 (unbox e-89))) (string-append (CoreC-45FC-u--show_Show_FC e-87) (string-append ":Record type " (string-append (CoreC-45Name-u--show_Show_Name e-222) (string-append " has no field " e-88)))))))))) ((25) (let ((e-90 (vector-ref arg-0 1))) (let ((e-91 (vector-ref arg-0 2))) (string-append (CoreC-45FC-u--show_Show_FC e-90) (string-append ":" (string-append (CoreC-45Name-u--show_Show_Name e-91) " is not a record type")))))) ((26) (let ((e-92 (vector-ref arg-0 1))) (let ((e-93 (vector-ref arg-0 2))) (string-append (CoreC-45FC-u--show_Show_FC e-92) (string-append ":Field update " (string-append (CoreC-45NameC-45Namespace-showSep "->" e-93) " not compatible with other updates")))))) ((27) (let ((e-94 (vector-ref arg-0 1))) (let ((e-95 (vector-ref arg-0 2))) (let ((e-97 (vector-ref arg-0 4))) (let ((e-98 (vector-ref arg-0 5))) (string-append (CoreC-45FC-u--show_Show_FC e-95) (string-append ":" (string-append (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-100) e-97) (string-append " are not valid arguments in " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 e-94 e-98)))))))))) ((28) (let ((e-99 (vector-ref arg-0 1))) (let ((e-100 (vector-ref arg-0 2))) (let ((e-102 (vector-ref arg-0 4))) (string-append (CoreC-45FC-u--show_Show_FC e-100) (string-append ":Need to bind implicits " (string-append (CoreC-45NameC-45Namespace-showSep "," (((csegen-25) (lambda (u--x) (string-append (CoreC-45Name-u--show_Show_Name (Builtin-fst u--x)) (string-append " : " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 e-99 (Builtin-snd u--x)))))) e-102)) "\xa;(The front end should probably have done this for you. Please report!)"))))))) ((29) (let ((e-103 (vector-ref arg-0 1))) (let ((e-104 (vector-ref arg-0 2))) (let ((e-106 (vector-ref arg-0 4))) (let ((e-107 (vector-ref arg-0 5))) (string-append (CoreC-45FC-u--show_Show_FC e-104) (string-append ":Can't bind name " (string-append (CoreC-45Name-nameRoot e-106) (string-append " with type " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 e-103 e-107)))))))))) ((30) (let ((e-108 (vector-ref arg-0 1))) (let ((e-109 (vector-ref arg-0 2))) (let ((e-112 (vector-ref arg-0 5))) (string-append (CoreC-45FC-u--show_Show_FC e-109) (string-append ":Can't solve goal " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 e-108 e-112))))))) ((31) (let ((e-114 (vector-ref arg-0 1))) (let ((e-115 (vector-ref arg-0 2))) (let ((e-116 (vector-ref arg-0 3))) (let ((e-119 (vector-ref arg-0 6))) (string-append (CoreC-45FC-u--show_Show_FC e-115) (string-append ":Can't solve goal " (string-append (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 e-114 e-119) (string-append " since argument " (string-append (CoreC-45Name-u--show_Show_Name e-116) " can't be inferred")))))))))) ((32) (let ((e-120 (vector-ref arg-0 1))) (string-append "Unsolved holes " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-350) e-120)))) ((33) (let ((e-121 (vector-ref arg-0 1))) (let ((e-122 (vector-ref arg-0 2))) (let ((e-124 (vector-ref arg-0 4))) (let ((e-125 (vector-ref arg-0 5))) (let ((e-126 (vector-ref arg-0 6))) (string-append (CoreC-45FC-u--show_Show_FC e-122) (string-append ":Can't infer type for " (string-append (CoreC-45Name-u--show_Show_Name e-124) (string-append " (got " (string-append (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 e-121 e-126) (string-append " with hole " (string-append (CoreC-45Name-u--show_Show_Name e-125) ")"))))))))))))) ((34) (let ((e-128 (vector-ref arg-0 2))) (let ((e-130 (vector-ref arg-0 4))) (string-append (CoreC-45FC-u--show_Show_FC e-128) (string-append ":Named hole " (string-append (CoreC-45Name-u--show_Show_Name e-130) " is solved by unification")))))) ((35) (let ((e-132 (vector-ref arg-0 1))) (let ((e-133 (vector-ref arg-0 2))) (let ((e-134 (vector-ref arg-0 3))) (let ((e-135 (vector-ref arg-0 4))) (let ((e-136 (vector-ref arg-0 5))) (string-append (CoreC-45FC-u--show_Show_FC e-132) (string-append ":" (string-append (CoreC-45TT-u--show_Show_Visibility e-133) (string-append " " (string-append (CoreC-45Name-u--show_Show_Name e-134) (string-append " cannot refer to " (string-append (CoreC-45TT-u--show_Show_Visibility e-135) (string-append " " (CoreC-45Name-u--show_Show_Name e-136))))))))))))))) ((36) (let ((e-137 (vector-ref arg-0 1))) (let ((e-138 (vector-ref arg-0 2))) (string-append (CoreC-45FC-u--show_Show_FC e-137) (string-append ":Non linear pattern variable " (CoreC-45Name-u--show_Show_Name e-138)))))) ((37) (let ((e-139 (vector-ref arg-0 1))) (let ((e-140 (vector-ref arg-0 2))) (string-append (CoreC-45FC-u--show_Show_FC e-139) (string-append ":Pattern not allowed here: " (CoreC-45Name-u--show_Show_Name e-140)))))) ((38) (let ((e-141 (vector-ref arg-0 1))) (let ((e-142 (vector-ref arg-0 2))) (string-append (CoreC-45FC-u--show_Show_FC e-141) (string-append ":No type declaration for " (CoreC-45Name-u--show_Show_Name e-142)))))) ((39) (let ((e-143 (vector-ref arg-0 1))) (let ((e-144 (vector-ref arg-0 2))) (string-append (CoreC-45FC-u--show_Show_FC e-143) (string-append ":" (string-append (CoreC-45Name-u--show_Show_Name e-144) " is already defined")))))) ((40) (let ((e-145 (vector-ref arg-0 1))) (let ((e-146 (vector-ref arg-0 2))) (let ((e-148 (vector-ref arg-0 4))) (string-append (CoreC-45FC-u--show_Show_FC e-146) (string-append ":Not a function type: " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 e-145 e-148))))))) ((41) (let ((e-149 (vector-ref arg-0 1))) (let ((e-150 (vector-ref arg-0 2))) (let ((e-152 (vector-ref arg-0 4))) (let ((e-153 (vector-ref arg-0 5))) (string-append (CoreC-45FC-u--show_Show_FC e-150) (string-append ":Rewriting by " (string-append (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 e-149 e-152) (string-append " did not change type " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 e-149 e-153)))))))))) ((42) (let ((e-154 (vector-ref arg-0 1))) (let ((e-155 (vector-ref arg-0 2))) (let ((e-157 (vector-ref arg-0 4))) (string-append (CoreC-45FC-u--show_Show_FC e-155) (string-append ":" (string-append (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 e-154 e-157) " is not a rewrite rule type"))))))) ((43) (let ((e-158 (vector-ref arg-0 1))) (let ((e-159 (vector-ref arg-0 2))) (let ((e-160 (vector-ref arg-0 3))) (case (vector-ref e-160 0) ((0) (string-append (CoreC-45FC-u--show_Show_FC e-158) (string-append ":Patterns for " (string-append (CoreC-45Name-u--show_Show_Name e-159) " have different numbers of arguments")))) ((1) (string-append (CoreC-45FC-u--show_Show_FC e-158) (string-append ":Patterns for " (string-append (CoreC-45Name-u--show_Show_Name e-159) " require matching on different types")))) ((4) (string-append (CoreC-45FC-u--show_Show_FC e-158) (string-append ":Can't infer type to match in " (CoreC-45Name-u--show_Show_Name e-159)))) ((2) (let ((e-223 (vector-ref e-160 1))) (let ((e-227 (car e-223))) (let ((e-228 (cdr e-223))) (let ((e-232 (cdr e-228))) (string-append (CoreC-45FC-u--show_Show_FC e-158) (string-append ":Attempt to match on erased argument " (string-append (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 e-227 e-232) (string-append " in " (CoreC-45Name-u--show_Show_Name e-159)))))))))) (else (let ((e-224 (vector-ref e-160 1))) (string-append (CoreC-45FC-u--show_Show_FC e-158) (string-append ":Constructor " (string-append (CoreC-45Name-u--show_Show_Name e-224) " is not fully applied")))))))))) ((44) (let ((e-161 (vector-ref arg-0 1))) (let ((e-162 (vector-ref arg-0 2))) (let ((e-164 (vector-ref arg-0 4))) (string-append (CoreC-45FC-u--show_Show_FC e-162) (string-append ":Can't match on " (string-append (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 e-161 e-164) " as it is has a polymorphic type"))))))) ((45) (let ((e-165 (vector-ref arg-0 1))) (let ((e-166 (vector-ref arg-0 2))) (let ((e-168 (vector-ref arg-0 4))) (let ((e-169 (vector-ref arg-0 5))) (let ((e-170 (vector-ref arg-0 6))) (string-append (CoreC-45FC-u--show_Show_FC e-166) (string-append ":Can't match on " (string-append (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 e-165 e-169) (string-append " (" (string-append (CoreC-45Core-u--show_Show_DotReason e-168) (string-append ")" (string-append " - it elaborates to " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 e-165 e-170)))))))))))))) ((46) (let ((e-171 (vector-ref arg-0 1))) (let ((e-172 (vector-ref arg-0 2))) (string-append (CoreC-45FC-u--show_Show_FC e-171) (string-append ":" (string-append e-172 " can't be bound here")))))) ((47) (let ((e-173 (vector-ref arg-0 1))) (let ((e-174 (vector-ref arg-0 2))) (let ((e-176 (vector-ref arg-0 4))) (let ((e-177 (vector-ref arg-0 5))) (string-append (CoreC-45FC-u--show_Show_FC e-174) (string-append ":Bad elaborator script " (string-append (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 e-173 e-176) (string-append " (" (string-append e-177 ")")))))))))) ((48) (let ((e-178 (vector-ref arg-0 1))) (string-append "Error during reflection: " (CoreC-45Core-u--show_Show_Error e-178)))) ((49) (let ((e-179 (vector-ref arg-0 1))) (let ((e-180 (vector-ref arg-0 2))) (string-append (CoreC-45FC-u--show_Show_FC e-179) (string-append ":" e-180))))) ((50) (let ((e-181 (vector-ref arg-0 1))) (string-append "Error in TTC file: " (CoreC-45Core-u--show_Show_TTCErrorMsg e-181)))) ((51) (let ((e-182 (vector-ref arg-0 1))) (let ((e-183 (vector-ref arg-0 2))) (string-append "File error (" (string-append e-182 (string-append "): " (SystemC-45FileC-45Error-u--show_Show_FileError e-183))))))) ((52) (let ((e-184 (vector-ref arg-0 1))) (string-append "Can't find package " e-184))) ((53) (let ((e-185 (vector-ref arg-0 1))) (string-append (CoreC-45FC-u--show_Show_FC e-185) ":Can't parse literate"))) ((54) (let ((e-186 (vector-ref arg-0 1))) (let ((e-187 (vector-ref arg-0 2))) (string-append (CoreC-45FC-u--show_Show_FC e-186) (string-append ":Lexer error (" (string-append (PreludeC-45Show-u--show_Show_String e-187) ")")))))) ((55) (let ((e-188 (vector-ref arg-0 1))) (string-append "Parse errors (" (string-append (DataC-45List1-u--show_Show_C-40List1C-32C-36aC-41 (cons (lambda (u--x) (PreludeC-45Show-u--show_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-1287) u--x)) (lambda (u--d) (lambda (u--x) (PreludeC-45Show-u--showPrec_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-1287) u--d u--x)))) e-188) ")")))) ((56) (let ((e-189 (vector-ref arg-0 1))) (let ((e-190 (vector-ref arg-0 2))) (string-append (CoreC-45FC-u--show_Show_FC e-189) (string-append ":" (string-append (CoreC-45NameC-45Namespace-u--show_Show_ModuleIdent e-190) " not found")))))) ((57) (let ((e-191 (vector-ref arg-0 1))) (string-append "Module imports form a cycle: " (CoreC-45NameC-45Namespace-showSep " -> " ((csegen-1291) e-191))))) ((58) "Internal error when resolving implicit laziness") ((59) (let ((e-192 (vector-ref arg-0 1))) (string-append "INTERNAL ERROR: " e-192))) ((60) (let ((e-193 (vector-ref arg-0 1))) (string-append "Error: " e-193))) ((61) (let ((e-194 (vector-ref arg-0 1))) (let ((e-195 (vector-ref arg-0 2))) (string-append (CoreC-45FC-u--show_Show_FC e-194) (string-append ":The given specifier " (string-append (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-581) e-195) " was not accepted by any available backend.")))))) ((62) (let ((e-197 (vector-ref arg-0 2))) (string-append "Invalid multiline string: " e-197))) ((63) (let ((e-198 (vector-ref arg-0 1))) (string-append "Timeout in " e-198))) ((64) "Failing block did not fail") ((65) (let ((e-200 (vector-ref arg-0 1))) (let ((e-201 (vector-ref arg-0 2))) (let ((e-202 (vector-ref arg-0 3))) (string-append (CoreC-45FC-u--show_Show_FC e-200) (string-append ":Failing block failed with the wrong error:\xa;" (string-append "Expected: " (string-append e-201 (string-append "\xa;" (string-append "but got: " (DataC-45List1-u--show_Show_C-40List1C-32C-36aC-41 (csegen-1279) e-202))))))))))) ((66) (let ((e-203 (vector-ref arg-0 1))) (let ((e-204 (vector-ref arg-0 2))) (let ((e-205 (vector-ref arg-0 3))) (string-append (CoreC-45FC-u--show_Show_FC e-203) (string-append ":When elaborating type of " (string-append (CoreC-45Name-u--show_Show_Name e-204) (string-append ":\xa;" (CoreC-45Core-u--show_Show_Error e-205))))))))) ((67) (let ((e-206 (vector-ref arg-0 1))) (let ((e-207 (vector-ref arg-0 2))) (let ((e-208 (vector-ref arg-0 3))) (string-append (CoreC-45FC-u--show_Show_FC e-206) (string-append ":When elaborating type of constructor " (string-append (CoreC-45Name-u--show_Show_Name e-207) (string-append ":\xa;" (CoreC-45Core-u--show_Show_Error e-208))))))))) ((68) (let ((e-209 (vector-ref arg-0 1))) (let ((e-210 (vector-ref arg-0 2))) (let ((e-211 (vector-ref arg-0 3))) (string-append (CoreC-45FC-u--show_Show_FC e-209) (string-append ":When elaborating left hand side of " (string-append (CoreC-45Name-u--show_Show_Name e-210) (string-append ":\xa;" (CoreC-45Core-u--show_Show_Error e-211))))))))) ((69) (let ((e-212 (vector-ref arg-0 1))) (let ((e-213 (vector-ref arg-0 2))) (let ((e-214 (vector-ref arg-0 3))) (string-append (CoreC-45FC-u--show_Show_FC e-212) (string-append ":When elaborating right hand side of " (string-append (CoreC-45Name-u--show_Show_Name e-213) (string-append ":\xa;" (CoreC-45Core-u--show_Show_Error e-214))))))))) ((70) (let ((e-215 (vector-ref arg-0 1))) (let ((e-216 (vector-ref arg-0 2))) (string-append (CoreC-45Core-u--show_Show_Error e-215) (string-append "\xa;Did you mean" (if (null? e-216) (string-append " any of: " (string-append (CoreC-45NameC-45Namespace-showSep ", " ((csegen-1292) (DataC-45List1-forget e-216))) "?")) (let ((e-1 (car e-216))) (let ((e-2 (cdr e-216))) (if (null? e-2) (string-append ": " (string-append e-1 "?")) (string-append " any of: " (string-append (CoreC-45NameC-45Namespace-showSep ", " ((csegen-1292) (DataC-45List1-forget e-216))) "?"))))))))))) (else (let ((e-217 (vector-ref arg-0 1))) (CoreC-45Core-u--show_Show_Warning e-217))))))
(define CoreC-45Core-u--show_Show_DotReason (lambda (arg-0) (cond ((equal? arg-0 0) "Non linear pattern variable") ((equal? arg-0 1) "Variable applied to arguments") ((equal? arg-0 2) "Not a constructor application or primitive") ((equal? arg-0 3) "Erased argument") ((equal? arg-0 4) "User dotted") ((equal? arg-0 5) "Unknown reason") (else "Under-applied constructor"))))
(define CoreC-45Core-u--showPrec_Show_TTCErrorMsg (lambda (arg-0 arg-1) (CoreC-45Core-u--show_Show_TTCErrorMsg arg-1)))
(define CoreC-45Core-u--showPrec_Show_Error (lambda (arg-0 arg-1) (CoreC-45Core-u--show_Show_Error arg-1)))
(define CoreC-45CoreC-45Applicative-u--pure_Applicative_CORECore (lambda (ext-0 ext-1) (vector 1 ext-0)))
(define CoreC-45Core-u--pretty_Pretty_C-36ann_DotReason (lambda (arg-1) (cond ((equal? arg-1 0) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "Non linear pattern variable")) ((equal? arg-1 1) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "Variable applied to arguments")) ((equal? arg-1 2) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "Not a constructor application or primitive")) ((equal? arg-1 3) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "Erased argument")) ((equal? arg-1 4) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "User dotted")) ((equal? arg-1 5) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "Unknown reason")) (else (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "Under-applied constructor")))))
(define CoreC-45CoreC-45Functor-u--map_Functor_CORECore (lambda (ext-0 ext-1) (let ((eff-0 ext-1)) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-0) (lambda (arg-1) ((((eff-1 'erased) 'erased) arg-0) arg-1)))) ext-0)) eff-0))))
(define CoreC-45CoreC-45Monad-u--join_Monad_CORECore (lambda (arg-1) (let ((eff-0 arg-1)) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 e-5)) eff-1)))))))))
(define CoreC-45Core-u--catch_Catchable_Core_Error (lambda (arg-1 arg-2) (let ((eff-0 arg-1)) (PrimIO-io_bind eff-0 (lambda (u--pC-39) (case (vector-ref u--pC-39 0) ((0) (let ((e-2 (vector-ref u--pC-39 1))) (let ((eff-1 (arg-2 e-2))) eff-1))) (else (let ((e-5 (vector-ref u--pC-39 1))) (lambda (eta-0) (vector 1 e-5))))))))))
(define CoreC-45CoreC-45Monad-u--C-62C-62C-61_Monad_CORECore (lambda (ext-0 ext-1) (let ((eff-0 ext-0)) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (ext-1 e-5))) eff-1)))))))))
(define CoreC-45CoreC-45Applicative-u--C-60C-42C-62_Applicative_CORECore (lambda (ext-0 ext-1) (CoreC-45Core-C-60C-42C-62 ext-0 ext-1)))
(define CoreC-45Core-writeFile (lambda (arg-0 arg-1) (let ((eff-0 (PrimIO-io_bind (SystemC-45FileC-45ReadWrite-writeFile (csegen-40) arg-0 arg-1) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (clam-0) (case (vector-ref e-5 0) ((1) (vector 1 (vector 0 ))) (else (let ((e-6 (vector-ref e-5 1))) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 51 arg-0 e-6) clam-0))))))) eff-1)))))))))
(define CoreC-45Core-wrapRef (lambda (arg-3 arg-4 arg-5 arg-6) (let ((eff-0 (let ((eff-0 arg-4)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Core-u--catch_Catchable_Core_Error arg-6 (lambda (u--err) (let ((eff-1 (arg-5 e-5))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (let ((eff-2 arg-4)) (PrimIO-io_bind (let ((eff-3 eff-2)) (lambda (eta-0) (set-box! eff-3 e-5))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error u--err eta-0)))) eff-3)))))))) eff-2)))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (arg-5 e-5))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (let ((eff-3 (let ((eff-3 arg-4)) (PrimIO-io_bind (let ((eff-4 eff-3)) (lambda (eta-0) (set-box! eff-4 e-5))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-4 (lambda (eta-0) (vector 1 e-6)))) eff-4)))))))) eff-3)))))))) eff-2))))))))) eff-1)))))))))
(define CoreC-45Core-wrapError (lambda (arg-1 arg-2) (let ((eff-0 arg-2)) (PreludeC-45Interfaces-C-60C-36C-62 (csegen-49) (lambda (eta-0) (case (vector-ref eta-0 0) ((0) (let ((e-2 (vector-ref eta-0 1))) (vector 0 (arg-1 e-2)))) (else (let ((e-5 (vector-ref eta-0 1))) (vector 1 e-5))))) eff-0))))
(define CoreC-45Core-traverse_ (lambda (arg-2 arg-3) (if (null? arg-3) (lambda (eta-0) (vector 1 (vector 0 ))) (let ((e-2 (car arg-3))) (let ((e-3 (cdr arg-3))) (let ((eff-0 (let ((eff-0 (arg-2 e-2))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-4 (vector-ref eta-3 1))) (vector 0 e-4))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-0) (lambda (arg-1) ((((eff-1 'erased) 'erased) arg-0) arg-1)))) (lambda (_-8679) (vector 0 )))) eff-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-1 (CoreC-45Core-traverse_ arg-2 e-3))) eff-1)))))))))))
(define CoreC-45Core-traverseVect (lambda (arg-3 arg-4) (if (null? arg-4) (lambda (eta-0) (vector 1 '())) (let ((e-3 (car arg-4))) (let ((e-4 (cdr arg-4))) (CoreC-45Core-C-60C-42C-62 (CoreC-45Core-C-60C-42C-62 (lambda (eta-0) (vector 1 (csegen-1197))) (arg-3 e-3)) (CoreC-45Core-traverseVect arg-3 e-4)))))))
(define CoreC-45Core-traversePair (lambda (arg-3 arg-4) (let ((e-2 (car arg-4))) (let ((e-3 (cdr arg-4))) (let ((eff-0 (arg-3 e-3))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-4 (vector-ref eta-3 1))) (vector 0 e-4))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-0) (lambda (arg-1) ((((eff-1 'erased) 'erased) arg-0) arg-1)))) (lambda (__infixTupleSection-0) (cons e-2 __infixTupleSection-0)))) eff-0))))))
(define CoreC-45Core-traverseList1_ (lambda (arg-2 arg-3) (let ((u--x (let ((e-1 (car arg-3))) e-1))) (let ((u--xs (let ((e-2 (cdr arg-3))) e-2))) (let ((eff-0 (let ((eff-0 (arg-2 u--x))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-0) (lambda (arg-1) ((((eff-1 'erased) 'erased) arg-0) arg-1)))) (lambda (_-8679) (vector 0 )))) eff-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45Core-traverse_ arg-2 u--xs))) eff-1))))))))))
(define CoreC-45Core-traverseList1 (lambda (arg-2 arg-3) (let ((u--x (let ((e-1 (car arg-3))) e-1))) (let ((u--xs (let ((e-2 (cdr arg-3))) e-2))) (CoreC-45Core-C-60C-42C-62 (CoreC-45Core-C-60C-42C-62 (lambda (eta-0) (vector 1 (csegen-253))) (arg-2 u--x)) (CoreC-45Core-traverseC-39 arg-2 u--xs '()))))))
(define CoreC-45Core-traverseC-39 (lambda (arg-2 arg-3 arg-4) (if (null? arg-3) (lambda (eta-0) (vector 1 (PreludeC-45TypesC-45List-reverse arg-4))) (let ((e-2 (car arg-3))) (let ((e-3 (cdr arg-3))) (let ((eff-0 (arg-2 e-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45Core-traverseC-39 arg-2 e-3 (cons e-5 arg-4)))) eff-1))))))))))))
(define CoreC-45CoreC-45Search-traverse (lambda (ext-0 ext-1) (LibrariesC-45DataC-45Tap-traverse (csegen-1311) ext-0 ext-1)))
(define CoreC-45CoreC-45PiInfo-traverse (lambda (arg-2 arg-3) (case (vector-ref arg-3 0) ((1) (lambda (eta-0) (vector 1 (vector 1 )))) ((0) (lambda (eta-0) (vector 1 (vector 0 )))) ((2) (lambda (eta-0) (vector 1 (vector 2 )))) (else (let ((e-4 (vector-ref arg-3 1))) (let ((eff-0 (arg-2 e-4))) (PrimIO-io_bind eff-0 (csegen-1312))))))))
(define CoreC-45CoreC-45Binder-traverse (lambda (arg-2 arg-3) (case (vector-ref arg-3 0) ((0) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-3 (vector-ref arg-3 3))) (let ((e-4 (vector-ref arg-3 4))) (let ((eff-0 (CoreC-45CoreC-45PiInfo-traverse arg-2 e-3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (arg-2 e-4))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-6 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 0 e-1 e-2 e-5 e-6))))) eff-2))))))))) eff-1)))))))))))) ((1) (let ((e-6 (vector-ref arg-3 1))) (let ((e-7 (vector-ref arg-3 2))) (let ((e-8 (vector-ref arg-3 3))) (let ((e-9 (vector-ref arg-3 4))) (let ((eff-0 (arg-2 e-8))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (arg-2 e-9))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-10 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 1 e-6 e-7 e-5 e-10))))) eff-2))))))))) eff-1)))))))))))) ((2) (let ((e-11 (vector-ref arg-3 1))) (let ((e-12 (vector-ref arg-3 2))) (let ((e-13 (vector-ref arg-3 3))) (let ((e-14 (vector-ref arg-3 4))) (let ((eff-0 (CoreC-45CoreC-45PiInfo-traverse arg-2 e-13))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (arg-2 e-14))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 2 e-11 e-12 e-5 e-6))))) eff-2))))))))) eff-1)))))))))))) ((3) (let ((e-16 (vector-ref arg-3 1))) (let ((e-17 (vector-ref arg-3 2))) (let ((e-18 (vector-ref arg-3 3))) (let ((e-19 (vector-ref arg-3 4))) (let ((eff-0 (CoreC-45CoreC-45PiInfo-traverse arg-2 e-18))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (arg-2 e-19))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 3 e-16 e-17 e-5 e-6))))) eff-2))))))))) eff-1)))))))))))) ((4) (let ((e-21 (vector-ref arg-3 1))) (let ((e-22 (vector-ref arg-3 2))) (let ((e-23 (vector-ref arg-3 3))) (let ((e-24 (vector-ref arg-3 4))) (let ((eff-0 (arg-2 e-23))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (arg-2 e-24))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 4 e-21 e-22 e-5 e-6))))) eff-2))))))))) eff-1)))))))))))) (else (let ((e-26 (vector-ref arg-3 1))) (let ((e-27 (vector-ref arg-3 2))) (let ((e-28 (vector-ref arg-3 3))) (let ((eff-0 (arg-2 e-28))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 5 e-26 e-27 e-5))))) eff-1))))))))))))))
(define CoreC-45Core-newRef (lambda (arg-2 arg-3) (let ((eff-0 (PrimIO-io_bind (DataC-45IORef-newIORef (csegen-40) arg-3) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-0 (csegen-1313)))))
(define CoreC-45Core-mapTermM (lambda (arg-0 arg-1 ext-0) (CoreC-45Core-n--12429-10251-u--goTerm arg-1 arg-0 arg-1 ext-0)))
(define CoreC-45Core-mapMaybeM (lambda (arg-2 ext-0) (CoreC-45Core-n--11853-9649-u--go arg-2 '() ext-0)))
(define CoreC-45Core-killWarningLoc (lambda (arg-0) (case (vector-ref arg-0 0) ((0) (let ((e-1 (vector-ref arg-0 2))) (vector 0 (CoreC-45FC-emptyFC) e-1))) ((1) (let ((e-2 (vector-ref arg-0 1))) (let ((e-4 (vector-ref arg-0 3))) (let ((e-5 (vector-ref arg-0 4))) (vector 1 e-2 (CoreC-45FC-emptyFC) e-4 e-5))))) ((2) (let ((e-7 (vector-ref arg-0 2))) (vector 2 (CoreC-45FC-emptyFC) e-7))) ((3) (let ((e-9 (vector-ref arg-0 2))) (vector 3 (CoreC-45FC-emptyFC) (PreludeC-45Interfaces-C-60C-36C-62 (csegen-1316) (lambda (lamc-0) (let ((e-2 (car lamc-0))) (let ((e-3 (cdr lamc-0))) (cons e-2 (cons (CoreC-45FC-emptyFC) (CoreC-45FC-emptyFC)))))) e-9)))) ((4) (let ((e-10 (vector-ref arg-0 1))) (let ((e-11 (vector-ref arg-0 2))) (vector 4 e-10 (((csegen-77) (csegen-1318)) e-11))))) (else (let ((e-12 (vector-ref arg-0 1))) (vector 5 e-12))))))
(define CoreC-45Core-killErrorLoc (lambda (arg-0) (case (vector-ref arg-0 0) ((0) (let ((e-0 (vector-ref arg-0 1))) (vector 0 (CoreC-45Core-killErrorLoc e-0)))) ((1) (let ((e-1 (vector-ref arg-0 1))) (let ((e-3 (vector-ref arg-0 3))) (let ((e-4 (vector-ref arg-0 4))) (let ((e-5 (vector-ref arg-0 5))) (let ((e-6 (vector-ref arg-0 6))) (vector 1 e-1 (CoreC-45FC-emptyFC) e-3 e-4 e-5 e-6))))))) ((2) (let ((e-7 (vector-ref arg-0 1))) (let ((e-9 (vector-ref arg-0 3))) (let ((e-10 (vector-ref arg-0 4))) (let ((e-11 (vector-ref arg-0 5))) (let ((e-12 (vector-ref arg-0 6))) (vector 2 e-7 (CoreC-45FC-emptyFC) e-9 e-10 e-11 e-12))))))) ((3) (let ((e-13 (vector-ref arg-0 1))) (let ((e-16 (vector-ref arg-0 4))) (let ((e-17 (vector-ref arg-0 5))) (let ((e-18 (vector-ref arg-0 6))) (vector 3 e-13 (CoreC-45FC-emptyFC) (CoreC-45FC-emptyFC) e-16 e-17 e-18)))))) ((4) (let ((e-19 (vector-ref arg-0 1))) (let ((e-21 (vector-ref arg-0 3))) (let ((e-22 (vector-ref arg-0 4))) (let ((e-23 (vector-ref arg-0 5))) (vector 4 e-19 (CoreC-45FC-emptyFC) e-21 e-22 e-23)))))) ((5) (let ((e-24 (vector-ref arg-0 1))) (let ((e-26 (vector-ref arg-0 3))) (let ((e-27 (vector-ref arg-0 4))) (let ((e-28 (vector-ref arg-0 5))) (let ((e-29 (vector-ref arg-0 6))) (let ((e-30 (vector-ref arg-0 7))) (vector 5 e-24 (CoreC-45FC-emptyFC) e-26 e-27 e-28 e-29 (CoreC-45Core-killErrorLoc e-30))))))))) ((6) (let ((e-31 (vector-ref arg-0 1))) (let ((e-33 (vector-ref arg-0 3))) (let ((e-34 (vector-ref arg-0 4))) (vector 6 e-31 (CoreC-45FC-emptyFC) e-33 e-34))))) ((7) (let ((e-36 (vector-ref arg-0 2))) (vector 7 (CoreC-45FC-emptyFC) e-36))) ((8) (let ((e-38 (vector-ref arg-0 2))) (let ((e-39 (vector-ref arg-0 3))) (vector 8 (CoreC-45FC-emptyFC) e-38 e-39)))) ((9) (let ((e-41 (vector-ref arg-0 2))) (vector 9 (CoreC-45FC-emptyFC) e-41))) ((10) (let ((e-43 (vector-ref arg-0 2))) (let ((e-44 (vector-ref arg-0 3))) (vector 10 (CoreC-45FC-emptyFC) e-43 e-44)))) ((11) (let ((e-46 (vector-ref arg-0 2))) (let ((e-47 (vector-ref arg-0 3))) (vector 11 (CoreC-45FC-emptyFC) e-46 e-47)))) ((12) (let ((e-49 (vector-ref arg-0 2))) (let ((e-50 (vector-ref arg-0 3))) (vector 12 (CoreC-45FC-emptyFC) e-49 e-50)))) ((13) (let ((e-52 (vector-ref arg-0 2))) (let ((e-53 (vector-ref arg-0 3))) (vector 13 (CoreC-45FC-emptyFC) e-52 e-53)))) ((14) (let ((e-55 (vector-ref arg-0 2))) (let ((e-56 (vector-ref arg-0 3))) (let ((e-57 (vector-ref arg-0 4))) (vector 14 (CoreC-45FC-emptyFC) e-55 e-56 e-57))))) ((15) (let ((e-58 (vector-ref arg-0 1))) (let ((e-60 (vector-ref arg-0 3))) (let ((e-61 (vector-ref arg-0 4))) (let ((e-62 (vector-ref arg-0 5))) (vector 15 e-58 (CoreC-45FC-emptyFC) e-60 e-61 e-62)))))) ((16) (let ((e-63 (vector-ref arg-0 1))) (let ((e-65 (vector-ref arg-0 3))) (let ((e-66 (vector-ref arg-0 4))) (vector 16 e-63 (CoreC-45FC-emptyFC) e-65 e-66))))) ((17) (let ((e-68 (vector-ref arg-0 2))) (vector 17 (CoreC-45FC-emptyFC) e-68))) ((18) (let ((e-69 (vector-ref arg-0 1))) (let ((e-71 (vector-ref arg-0 3))) (let ((e-72 (vector-ref arg-0 4))) (vector 18 e-69 (CoreC-45FC-emptyFC) e-71 e-72))))) ((19) (let ((e-73 (vector-ref arg-0 1))) (let ((e-75 (vector-ref arg-0 3))) (let ((e-76 (vector-ref arg-0 4))) (let ((e-77 (vector-ref arg-0 5))) (vector 19 e-73 (CoreC-45FC-emptyFC) e-75 e-76 e-77)))))) ((20) (let ((e-79 (vector-ref arg-0 2))) (let ((e-80 (vector-ref arg-0 3))) (vector 20 (CoreC-45FC-emptyFC) e-79 e-80)))) ((21) (let ((e-81 (vector-ref arg-0 1))) (vector 21 (((csegen-25) ((let ((eff-0 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (let ((e-2 (car eta-3))) (let ((e-3 (cdr eta-3))) (cons e-2 (eta-2 e-3)))))))))) (lambda (arg-1) (lambda (arg-2) ((((eff-0 'erased) 'erased) arg-1) arg-2)))) (lambda (eta-0) (CoreC-45Core-killErrorLoc eta-0)))) e-81)))) ((22) (let ((e-82 (vector-ref arg-0 1))) (let ((e-84 (vector-ref arg-0 3))) (vector 22 e-82 (CoreC-45FC-emptyFC) e-84)))) ((23) (let ((e-86 (vector-ref arg-0 2))) (vector 23 (CoreC-45FC-emptyFC) e-86))) ((24) (let ((e-88 (vector-ref arg-0 2))) (let ((e-89 (vector-ref arg-0 3))) (vector 24 (CoreC-45FC-emptyFC) e-88 e-89)))) ((25) (let ((e-91 (vector-ref arg-0 2))) (vector 25 (CoreC-45FC-emptyFC) e-91))) ((26) (let ((e-93 (vector-ref arg-0 2))) (vector 26 (CoreC-45FC-emptyFC) e-93))) ((27) (let ((e-94 (vector-ref arg-0 1))) (let ((e-96 (vector-ref arg-0 3))) (let ((e-97 (vector-ref arg-0 4))) (let ((e-98 (vector-ref arg-0 5))) (vector 27 e-94 (CoreC-45FC-emptyFC) e-96 e-97 e-98)))))) ((28) (let ((e-99 (vector-ref arg-0 1))) (let ((e-101 (vector-ref arg-0 3))) (let ((e-102 (vector-ref arg-0 4))) (vector 28 e-99 (CoreC-45FC-emptyFC) e-101 e-102))))) ((29) (let ((e-103 (vector-ref arg-0 1))) (let ((e-105 (vector-ref arg-0 3))) (let ((e-106 (vector-ref arg-0 4))) (let ((e-107 (vector-ref arg-0 5))) (vector 29 e-103 (CoreC-45FC-emptyFC) e-105 e-106 e-107)))))) ((30) (let ((e-108 (vector-ref arg-0 1))) (let ((e-110 (vector-ref arg-0 3))) (let ((e-111 (vector-ref arg-0 4))) (let ((e-112 (vector-ref arg-0 5))) (let ((e-113 (vector-ref arg-0 6))) (vector 30 e-108 (CoreC-45FC-emptyFC) e-110 e-111 e-112 e-113))))))) ((31) (let ((e-114 (vector-ref arg-0 1))) (let ((e-116 (vector-ref arg-0 3))) (let ((e-117 (vector-ref arg-0 4))) (let ((e-118 (vector-ref arg-0 5))) (let ((e-119 (vector-ref arg-0 6))) (vector 31 e-114 (CoreC-45FC-emptyFC) e-116 e-117 e-118 e-119))))))) ((32) (let ((e-120 (vector-ref arg-0 1))) (vector 32 e-120))) ((33) (let ((e-121 (vector-ref arg-0 1))) (let ((e-123 (vector-ref arg-0 3))) (let ((e-124 (vector-ref arg-0 4))) (let ((e-125 (vector-ref arg-0 5))) (let ((e-126 (vector-ref arg-0 6))) (vector 33 e-121 (CoreC-45FC-emptyFC) e-123 e-124 e-125 e-126))))))) ((34) (let ((e-127 (vector-ref arg-0 1))) (let ((e-129 (vector-ref arg-0 3))) (let ((e-130 (vector-ref arg-0 4))) (let ((e-131 (vector-ref arg-0 5))) (vector 34 e-127 (CoreC-45FC-emptyFC) e-129 e-130 e-131)))))) ((35) (let ((e-133 (vector-ref arg-0 2))) (let ((e-134 (vector-ref arg-0 3))) (let ((e-135 (vector-ref arg-0 4))) (let ((e-136 (vector-ref arg-0 5))) (vector 35 (CoreC-45FC-emptyFC) e-133 e-134 e-135 e-136)))))) ((36) (let ((e-138 (vector-ref arg-0 2))) (vector 36 (CoreC-45FC-emptyFC) e-138))) ((37) (let ((e-140 (vector-ref arg-0 2))) (vector 37 (CoreC-45FC-emptyFC) e-140))) ((38) (let ((e-142 (vector-ref arg-0 2))) (vector 38 (CoreC-45FC-emptyFC) e-142))) ((39) (let ((e-144 (vector-ref arg-0 2))) (vector 39 (CoreC-45FC-emptyFC) e-144))) ((40) (let ((e-145 (vector-ref arg-0 1))) (let ((e-147 (vector-ref arg-0 3))) (let ((e-148 (vector-ref arg-0 4))) (vector 40 e-145 (CoreC-45FC-emptyFC) e-147 e-148))))) ((41) (let ((e-149 (vector-ref arg-0 1))) (let ((e-151 (vector-ref arg-0 3))) (let ((e-152 (vector-ref arg-0 4))) (let ((e-153 (vector-ref arg-0 5))) (vector 41 e-149 (CoreC-45FC-emptyFC) e-151 e-152 e-153)))))) ((42) (let ((e-154 (vector-ref arg-0 1))) (let ((e-156 (vector-ref arg-0 3))) (let ((e-157 (vector-ref arg-0 4))) (vector 42 e-154 (CoreC-45FC-emptyFC) e-156 e-157))))) ((43) (let ((e-159 (vector-ref arg-0 2))) (let ((e-160 (vector-ref arg-0 3))) (vector 43 (CoreC-45FC-emptyFC) e-159 e-160)))) ((44) (let ((e-161 (vector-ref arg-0 1))) (let ((e-163 (vector-ref arg-0 3))) (let ((e-164 (vector-ref arg-0 4))) (vector 44 e-161 (CoreC-45FC-emptyFC) e-163 e-164))))) ((45) (let ((e-165 (vector-ref arg-0 1))) (let ((e-167 (vector-ref arg-0 3))) (let ((e-168 (vector-ref arg-0 4))) (let ((e-169 (vector-ref arg-0 5))) (let ((e-170 (vector-ref arg-0 6))) (vector 45 e-165 (CoreC-45FC-emptyFC) e-167 e-168 e-169 e-170))))))) ((46) (let ((e-172 (vector-ref arg-0 2))) (vector 46 (CoreC-45FC-emptyFC) e-172))) ((47) (let ((e-173 (vector-ref arg-0 1))) (let ((e-175 (vector-ref arg-0 3))) (let ((e-176 (vector-ref arg-0 4))) (let ((e-177 (vector-ref arg-0 5))) (vector 47 e-173 (CoreC-45FC-emptyFC) e-175 e-176 e-177)))))) ((48) (let ((e-178 (vector-ref arg-0 1))) (vector 48 (CoreC-45Core-killErrorLoc e-178)))) ((49) (let ((e-180 (vector-ref arg-0 2))) (vector 49 (CoreC-45FC-emptyFC) e-180))) ((50) (let ((e-181 (vector-ref arg-0 1))) (vector 50 e-181))) ((51) (let ((e-182 (vector-ref arg-0 1))) (let ((e-183 (vector-ref arg-0 2))) (vector 51 e-182 e-183)))) ((52) (let ((e-184 (vector-ref arg-0 1))) (vector 52 e-184))) ((53) (vector 53 (CoreC-45FC-emptyFC))) ((54) (let ((e-187 (vector-ref arg-0 2))) (vector 54 (CoreC-45FC-emptyFC) e-187))) ((55) (let ((e-188 (vector-ref arg-0 1))) (vector 55 (DataC-45List1-u--map_Functor_List1 (csegen-1318) e-188)))) ((56) (let ((e-190 (vector-ref arg-0 2))) (vector 56 (CoreC-45FC-emptyFC) e-190))) ((57) (let ((e-191 (vector-ref arg-0 1))) (vector 57 e-191))) ((58) (vector 58 )) ((59) (let ((e-192 (vector-ref arg-0 1))) (vector 59 e-192))) ((60) (let ((e-193 (vector-ref arg-0 1))) (vector 60 e-193))) ((61) (let ((e-195 (vector-ref arg-0 2))) (vector 61 (CoreC-45FC-emptyFC) e-195))) ((62) (let ((e-197 (vector-ref arg-0 2))) (vector 62 (CoreC-45FC-emptyFC) e-197))) ((63) (let ((e-198 (vector-ref arg-0 1))) (vector 63 e-198))) ((64) (vector 64 (CoreC-45FC-emptyFC))) ((65) (let ((e-201 (vector-ref arg-0 2))) (let ((e-202 (vector-ref arg-0 3))) (vector 65 (CoreC-45FC-emptyFC) e-201 (DataC-45List1-u--map_Functor_List1 (lambda (eta-0) (CoreC-45Core-killErrorLoc eta-0)) e-202))))) ((66) (let ((e-204 (vector-ref arg-0 2))) (let ((e-205 (vector-ref arg-0 3))) (vector 66 (CoreC-45FC-emptyFC) e-204 (CoreC-45Core-killErrorLoc e-205))))) ((67) (let ((e-207 (vector-ref arg-0 2))) (let ((e-208 (vector-ref arg-0 3))) (vector 67 (CoreC-45FC-emptyFC) e-207 (CoreC-45Core-killErrorLoc e-208))))) ((68) (let ((e-210 (vector-ref arg-0 2))) (let ((e-211 (vector-ref arg-0 3))) (vector 68 (CoreC-45FC-emptyFC) e-210 (CoreC-45Core-killErrorLoc e-211))))) ((69) (let ((e-213 (vector-ref arg-0 2))) (let ((e-214 (vector-ref arg-0 3))) (vector 69 (CoreC-45FC-emptyFC) e-213 (CoreC-45Core-killErrorLoc e-214))))) ((70) (let ((e-215 (vector-ref arg-0 1))) (let ((e-216 (vector-ref arg-0 2))) (vector 70 (CoreC-45Core-killErrorLoc e-215) e-216)))) (else (let ((e-217 (vector-ref arg-0 1))) (vector 71 (CoreC-45Core-killWarningLoc e-217)))))))
(define CoreC-45Core-iwhenJust (lambda (arg-2 arg-3) (if (null? arg-2) (lambda (eta-0) (vector 1 (vector 0 ))) (let ((e-1 (unbox arg-2))) (arg-3 e-1)))))
(define CoreC-45Core-iwhen (lambda (arg-1 arg-2) (cond ((equal? arg-1 1) (let ((eff-0 (arg-2))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-0) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-0) arg-3)))) (lambda (eta-0) (box eta-0)))) eff-0))) (else (lambda (eta-0) (vector 1 '()))))))
(define CoreC-45Core-iunless (lambda (arg-1 arg-2) (CoreC-45Core-iwhen (cond ((equal? arg-1 1) 0) (else 1)) arg-2)))
(define CoreC-45Core-getWarningLoc (lambda (arg-0) (case (vector-ref arg-0 0) ((0) (let ((e-0 (vector-ref arg-0 1))) (box e-0))) ((1) (let ((e-3 (vector-ref arg-0 2))) (box e-3))) ((2) (let ((e-6 (vector-ref arg-0 1))) (box e-6))) ((3) (let ((e-8 (vector-ref arg-0 1))) (box e-8))) ((4) (let ((e-11 (vector-ref arg-0 2))) (PreludeC-45Interfaces-C-60C-36C-62 (csegen-76) (lambda (eta-0) (Builtin-fst eta-0)) e-11))) (else '()))))
(define CoreC-45Core-getErrorLoc (lambda (arg-0) (case (vector-ref arg-0 0) ((0) (let ((e-0 (vector-ref arg-0 1))) (CoreC-45Core-getErrorLoc e-0))) ((1) (let ((e-2 (vector-ref arg-0 2))) (box e-2))) ((2) (let ((e-8 (vector-ref arg-0 2))) (box e-8))) ((3) (let ((e-14 (vector-ref arg-0 2))) (box e-14))) ((4) (let ((e-20 (vector-ref arg-0 2))) (box e-20))) ((5) (let ((e-25 (vector-ref arg-0 2))) (box e-25))) ((6) (let ((e-32 (vector-ref arg-0 2))) (box e-32))) ((7) (let ((e-35 (vector-ref arg-0 1))) (box e-35))) ((8) (let ((e-37 (vector-ref arg-0 1))) (box e-37))) ((9) (let ((e-40 (vector-ref arg-0 1))) (box e-40))) ((10) (let ((e-42 (vector-ref arg-0 1))) (box e-42))) ((11) (let ((e-45 (vector-ref arg-0 1))) (box e-45))) ((12) (let ((e-48 (vector-ref arg-0 1))) (box e-48))) ((13) (let ((e-51 (vector-ref arg-0 1))) (box e-51))) ((14) (let ((e-54 (vector-ref arg-0 1))) (box e-54))) ((15) (let ((e-59 (vector-ref arg-0 2))) (box e-59))) ((16) (let ((e-64 (vector-ref arg-0 2))) (box e-64))) ((17) (let ((e-67 (vector-ref arg-0 1))) (box e-67))) ((18) (let ((e-70 (vector-ref arg-0 2))) (box e-70))) ((19) (let ((e-74 (vector-ref arg-0 2))) (box e-74))) ((20) (let ((e-78 (vector-ref arg-0 1))) (box e-78))) ((21) (let ((e-81 (vector-ref arg-0 1))) (if (null? e-81) '() (let ((e-219 (car e-81))) (let ((e-225 (cdr e-219))) (CoreC-45Core-getErrorLoc e-225)))))) ((22) (let ((e-83 (vector-ref arg-0 2))) (box e-83))) ((23) (let ((e-85 (vector-ref arg-0 1))) (box e-85))) ((24) (let ((e-87 (vector-ref arg-0 1))) (box e-87))) ((25) (let ((e-90 (vector-ref arg-0 1))) (box e-90))) ((26) (let ((e-92 (vector-ref arg-0 1))) (box e-92))) ((27) (let ((e-95 (vector-ref arg-0 2))) (box e-95))) ((28) (let ((e-100 (vector-ref arg-0 2))) (box e-100))) ((29) (let ((e-104 (vector-ref arg-0 2))) (box e-104))) ((30) (let ((e-109 (vector-ref arg-0 2))) (box e-109))) ((31) (let ((e-115 (vector-ref arg-0 2))) (box e-115))) ((32) (let ((e-120 (vector-ref arg-0 1))) (if (null? e-120) '() (let ((e-227 (car e-120))) (let ((e-232 (car e-227))) (box e-232)))))) ((33) (let ((e-122 (vector-ref arg-0 2))) (box e-122))) ((34) (let ((e-128 (vector-ref arg-0 2))) (box e-128))) ((35) (let ((e-132 (vector-ref arg-0 1))) (box e-132))) ((36) (let ((e-137 (vector-ref arg-0 1))) (box e-137))) ((37) (let ((e-139 (vector-ref arg-0 1))) (box e-139))) ((38) (let ((e-141 (vector-ref arg-0 1))) (box e-141))) ((39) (let ((e-143 (vector-ref arg-0 1))) (box e-143))) ((40) (let ((e-146 (vector-ref arg-0 2))) (box e-146))) ((41) (let ((e-150 (vector-ref arg-0 2))) (box e-150))) ((42) (let ((e-155 (vector-ref arg-0 2))) (box e-155))) ((43) (let ((e-158 (vector-ref arg-0 1))) (box e-158))) ((44) (let ((e-162 (vector-ref arg-0 2))) (box e-162))) ((45) (let ((e-166 (vector-ref arg-0 2))) (box e-166))) ((46) (let ((e-171 (vector-ref arg-0 1))) (box e-171))) ((47) (let ((e-174 (vector-ref arg-0 2))) (box e-174))) ((48) (let ((e-178 (vector-ref arg-0 1))) (CoreC-45Core-getErrorLoc e-178))) ((49) (let ((e-179 (vector-ref arg-0 1))) (box e-179))) ((50) '()) ((51) '()) ((52) '()) ((53) (let ((e-185 (vector-ref arg-0 1))) (box e-185))) ((54) (let ((e-186 (vector-ref arg-0 1))) (box e-186))) ((55) (let ((e-188 (vector-ref arg-0 1))) (let ((e-235 (car e-188))) (let ((e-239 (car e-235))) (box e-239))))) ((56) (let ((e-189 (vector-ref arg-0 1))) (box e-189))) ((57) '()) ((58) '()) ((59) '()) ((60) '()) ((61) (let ((e-194 (vector-ref arg-0 1))) (box e-194))) ((62) (let ((e-196 (vector-ref arg-0 1))) (box e-196))) ((63) '()) ((66) (let ((e-201 (vector-ref arg-0 3))) (CoreC-45Core-getErrorLoc e-201))) ((67) (let ((e-204 (vector-ref arg-0 3))) (CoreC-45Core-getErrorLoc e-204))) ((64) (let ((e-205 (vector-ref arg-0 1))) (box e-205))) ((65) (let ((e-206 (vector-ref arg-0 1))) (box e-206))) ((68) (let ((e-211 (vector-ref arg-0 3))) (CoreC-45Core-getErrorLoc e-211))) ((69) (let ((e-214 (vector-ref arg-0 3))) (CoreC-45Core-getErrorLoc e-214))) ((70) (let ((e-215 (vector-ref arg-0 1))) (CoreC-45Core-getErrorLoc e-215))) (else (let ((e-217 (vector-ref arg-0 1))) (CoreC-45Core-getWarningLoc e-217))))))
(define CoreC-45CoreC-45Search-functor (lambda (ext-0 ext-1 ext-2 ext-3) (LibrariesC-45DataC-45Tap-u--map_Functor_C-40TapC-32C-36mC-41 (csegen-1300) ext-2 ext-3)))
(define CoreC-45Core-foldlC (lambda (arg-3 arg-4 arg-5 ext-0) (let ((e-2 (vector-ref arg-3 1))) (((((e-2 'erased) 'erased) (lambda (u--ma) (lambda (u--b) (let ((eff-0 u--ma)) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-7 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-0 1))) (let ((eff-1 (PreludeC-45Basics-flip arg-4 u--b e-7))) eff-1)))))))))) (lambda (eta-0) (vector 1 arg-5))) ext-0))))
(define CoreC-45Core-filterM (lambda (arg-1 arg-2) (if (null? arg-2) (lambda (eta-0) (vector 1 '())) (let ((e-2 (car arg-2))) (let ((e-3 (cdr arg-2))) (let ((eff-0 (arg-1 e-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (cond ((equal? e-5 1) (let ((eff-1 (CoreC-45Core-filterM arg-1 e-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (cons e-2 e-6))))) eff-2)))))))) (else (CoreC-45Core-filterM arg-1 e-3))))) eff-1))))))))))))
(define CoreC-45CoreC-45Search-filter (lambda (ext-0 ext-1) (LibrariesC-45DataC-45Tap-filter (csegen-1311) ext-0 ext-1)))
(define CoreC-45Core-coreRun (lambda (arg-2 arg-3 arg-4) (let ((eff-0 arg-2)) (PrimIO-io_bind eff-0 (lambda (bind-0) (PreludeC-45Types-either (lambda () arg-3) (lambda () arg-4) bind-0))))))
(define CoreC-45Core-coreFail (lambda (arg-1 ext-0) (vector 0 arg-1)))
(define CoreC-45Core-cond (lambda (arg-1 arg-2) (if (null? arg-1) arg-2 (let ((e-2 (car arg-1))) (let ((e-3 (cdr arg-1))) (let ((e-6 (car e-2))) (let ((e-7 (cdr e-2))) (let ((e-1 (e-6))) (cond ((equal? e-1 1) (e-7)) (else (CoreC-45Core-cond e-3 arg-2)))))))))))
(define CoreC-45Core-anyM (lambda (arg-1 arg-2) (if (null? arg-2) (lambda (eta-0) (vector 1 0)) (let ((e-2 (car arg-2))) (let ((e-3 (cdr arg-2))) (let ((eff-0 (arg-1 e-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (cond ((equal? e-5 1) (lambda (eta-0) (vector 1 1))) (else (CoreC-45Core-anyM arg-1 e-3))))) eff-1))))))))))))
(define CoreC-45Core-allM (lambda (arg-1 arg-2) (if (null? arg-2) (lambda (eta-0) (vector 1 1)) (let ((e-2 (car arg-2))) (let ((e-3 (cdr arg-2))) (let ((eff-0 (arg-1 e-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (cond ((equal? e-5 1) (CoreC-45Core-allM arg-1 e-3)) (else (lambda (eta-0) (vector 1 0)))))) eff-1))))))))))))
(define CoreC-45Core-C-60C-42C-62 (lambda (arg-2 arg-3) (let ((eff-0 arg-2)) (let ((eff-1 arg-3)) (PrimIO-io_bind (PrimIO-io_bind (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (case (vector-ref eta-1 0) ((0) (let ((e-2 (vector-ref eta-1 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-1 1))) (case (vector-ref eta-2 0) ((1) (let ((e-8 (vector-ref eta-2 1))) (vector 1 (e-5 e-8)))) (else (let ((e-11 (vector-ref eta-2 1))) (vector 0 e-11)))))))))) (lambda (u--fC-39) (PrimIO-io_bind eff-0 (lambda (u--aC-39) (lambda (eta-0) (u--fC-39 u--aC-39)))))) (lambda (u--fC-39) (PrimIO-io_bind eff-1 (lambda (u--aC-39) (lambda (eta-0) (u--fC-39 u--aC-39))))))))))
(define CoreC-45Core-C-42C-62 (lambda (arg-2 arg-3) (let ((eff-0 arg-2)) (let ((eff-1 arg-3)) (PrimIO-io_bind (PrimIO-io_bind (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (PreludeC-45Interfaces-C-42C-62 (vector (lambda (u--b) (lambda (u--a) (lambda (u--func) (lambda (arg-8737) (case (vector-ref arg-8737 0) ((0) (let ((e-2 (vector-ref arg-8737 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref arg-8737 1))) (vector 1 (u--func e-5))))))))) (lambda (u--a) (lambda (arg-9440) (vector 1 arg-9440))) (lambda (u--b) (lambda (u--a) (lambda (arg-9446) (lambda (arg-9453) (case (vector-ref arg-9446 0) ((0) (let ((e-2 (vector-ref arg-9446 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref arg-9446 1))) (case (vector-ref arg-9453 0) ((1) (let ((e-8 (vector-ref arg-9453 1))) (vector 1 (e-5 e-8)))) (else (let ((e-11 (vector-ref arg-9453 1))) (vector 0 e-11)))))))))))) eta-1 eta-2)))) (lambda (u--fC-39) (PrimIO-io_bind eff-0 (lambda (u--aC-39) (lambda (eta-0) (u--fC-39 u--aC-39)))))) (lambda (u--fC-39) (PrimIO-io_bind eff-1 (lambda (u--aC-39) (lambda (eta-0) (u--fC-39 u--aC-39))))))))))
(define DataC-45IORef-newIORef (lambda (arg-2 arg-3) (let ((e-1 (car arg-2))) (let ((e-4 (vector-ref e-1 1))) ((((e-4 'erased) 'erased) (let ((e-6 (cdr arg-2))) ((e-6 'erased) (lambda (eta-0) (box arg-3))))) (lambda (u--m) (let ((e-7 (car arg-2))) (let ((e-10 (vector-ref e-7 0))) (let ((e-12 (vector-ref e-10 1))) ((e-12 'erased) u--m))))))))))
(define LibrariesC-45DataC-45Tap-u--map_Functor_C-40TapC-32C-36mC-41 (lambda (arg-3 arg-4 ext-0) (if (null? ext-0) '() (let ((e-4 (car ext-0))) (let ((e-5 (cdr ext-0))) (cons (arg-4 e-4) (((let ((eff-0 arg-3)) (lambda (arg-0) (lambda (arg-1) ((((eff-0 'erased) 'erased) arg-0) arg-1)))) ((let ((eff-0 (lambda (u--b) (lambda (u--a) (lambda (u--func) (lambda (arg-8737) (LibrariesC-45DataC-45Tap-u--map_Functor_C-40TapC-32C-36mC-41 arg-3 u--func arg-8737))))))) (lambda (arg-0) (lambda (arg-1) ((((eff-0 'erased) 'erased) arg-0) arg-1)))) arg-4)) e-5)))))))
(define LibrariesC-45DataC-45Tap-traverse (lambda (arg-3 arg-4 arg-5) (if (null? arg-5) (let ((e-1 (vector-ref arg-3 0))) (let ((e-5 (vector-ref e-1 1))) ((e-5 'erased) '()))) (let ((e-4 (car arg-5))) (let ((e-5 (cdr arg-5))) (let ((e-2 (vector-ref arg-3 1))) ((((e-2 'erased) 'erased) (arg-4 e-4)) (lambda (bind-0) (let ((e-8 (vector-ref arg-3 0))) (let ((e-10 (vector-ref e-8 1))) ((e-10 'erased) (cons bind-0 (let ((e-13 (vector-ref arg-3 1))) ((((e-13 'erased) 'erased) e-5) (lambda (eta-0) (LibrariesC-45DataC-45Tap-traverse arg-3 arg-4 eta-0))))))))))))))))
(define LibrariesC-45DataC-45Tap-filter (lambda (arg-2 arg-3 arg-4) (if (null? arg-4) (let ((e-1 (vector-ref arg-2 0))) (let ((e-5 (vector-ref e-1 1))) ((e-5 'erased) '()))) (let ((e-4 (car arg-4))) (let ((e-5 (cdr arg-4))) (let ((u--mxs (let ((e-2 (vector-ref arg-2 1))) ((((e-2 'erased) 'erased) e-5) (lambda (eta-0) (LibrariesC-45DataC-45Tap-filter arg-2 arg-3 eta-0)))))) (let ((sc1 (arg-3 e-4))) (cond ((equal? sc1 1) (let ((e-1 (vector-ref arg-2 0))) (let ((e-7 (vector-ref e-1 1))) ((e-7 'erased) (cons e-4 u--mxs))))) (else u--mxs)))))))))
(define LibrariesC-45DataC-45IMaybe-fromJust (lambda (arg-1) (let ((e-1 (unbox arg-1))) e-1)))
(define CoreC-45ContextC-45Context-u--show_Show_SizeChange (lambda (arg-0) (cond ((equal? arg-0 0) "Smaller") ((equal? arg-0 1) "Same") (else "Unknown"))))
(define CoreC-45ContextC-45Context-u--show_Show_SCCall (lambda (arg-0) (string-append (CoreC-45Name-u--show_Show_Name (let ((e-0 (car arg-0))) e-0)) (string-append ": " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-1328) (let ((e-1 (cdr arg-0))) e-1))))))
(define CoreC-45ContextC-45Context-u--show_Show_DefFlag (lambda (arg-0) (case (vector-ref arg-0 0) ((0) "inline") ((1) "noinline") ((2) "deprecate") ((3) "invertible") ((4) "overloadable") ((5) "tcinline") ((6) (let ((e-0 (vector-ref arg-0 1))) (CoreC-45TT-u--show_Show_TotalReq e-0))) ((7) "blockedhint") ((8) "macro") ((9) "partialeval") ((10) "allguarded") ((11) (let ((e-2 (vector-ref arg-0 1))) (string-append "contype " (CoreC-45CompileExpr-u--show_Show_ConInfo e-2)))) (else (let ((e-3 (vector-ref arg-0 1))) (string-append "identity " (PreludeC-45Show-u--show_Show_Nat e-3)))))))
(define CoreC-45ContextC-45Context-u--show_Show_Def (lambda (arg-0) (case (vector-ref arg-0 0) ((0) "undefined") ((1) (let ((e-1 (vector-ref arg-0 2))) (let ((e-2 (vector-ref arg-0 3))) (let ((e-3 (vector-ref arg-0 4))) (DataC-45String-fastUnlines (cons (string-append (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-100) e-1) ";") (cons (string-append "Compile time tree: " (CoreC-45CaseC-45CaseTree-u--show_Show_C-40CaseTreeC-32C-36varsC-41 e-1 e-2)) (cons (string-append "Run time tree: " (CoreC-45CaseC-45CaseTree-u--show_Show_C-40CaseTreeC-32C-36varsC-41 e-1 e-3)) '())))))))) ((5) (let ((e-5 (vector-ref arg-0 1))) (let ((e-6 (vector-ref arg-0 2))) (let ((e-7 (vector-ref arg-0 3))) (string-append "DataCon " (string-append (PreludeC-45Show-u--show_Show_Int e-5) (string-append " " (string-append (PreludeC-45Show-u--show_Show_Nat e-6) (PreludeC-45Types-maybe (lambda () "") (lambda () (lambda (u--n) (string-append " (newtype by " (string-append (PreludeC-45Show-u--show_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-1331) u--n) ")")))) e-7))))))))) ((6) (let ((e-8 (vector-ref arg-0 1))) (let ((e-9 (vector-ref arg-0 2))) (let ((e-10 (vector-ref arg-0 3))) (let ((e-13 (vector-ref arg-0 6))) (let ((e-14 (vector-ref arg-0 7))) (let ((e-15 (vector-ref arg-0 8))) (string-append "TyCon " (string-append (PreludeC-45Show-u--show_Show_Int e-8) (string-append " " (string-append (PreludeC-45Show-u--show_Show_Nat e-9) (string-append " params: " (string-append (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-1068) e-10) (string-append " constructors: " (string-append (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-100) e-14) (string-append " mutual with: " (string-append (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-100) e-13) (string-append " detaggable by: " (PreludeC-45Show-u--show_Show_C-40MaybeC-32C-36aC-41 (csegen-1335) e-15))))))))))))))))))) ((2) (let ((e-16 (vector-ref arg-0 1))) (string-append "<external def with arity " (string-append (PreludeC-45Show-u--show_Show_Nat e-16) ">")))) ((3) (let ((e-17 (vector-ref arg-0 1))) (let ((e-18 (vector-ref arg-0 2))) (string-append "<foreign def with arity " (string-append (PreludeC-45Show-u--show_Show_Nat e-17) (string-append " " (string-append (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-581) e-18) ">"))))))) ((4) (let ((e-19 (vector-ref arg-0 1))) (string-append "<builtin with arith " (string-append (PreludeC-45Show-u--show_Show_Nat e-19) ">")))) ((7) (let ((e-22 (vector-ref arg-0 2))) (string-append "Hole" (let ((sc1 (let ((e-0 (car e-22))) e-0))) (cond ((equal? sc1 1) " [impl]") (else "")))))) ((8) (let ((e-25 (vector-ref arg-0 3))) (string-append "Search in " (CoreC-45Name-u--show_Show_Name e-25)))) ((9) (let ((e-26 (vector-ref arg-0 1))) (let ((e-28 (vector-ref arg-0 3))) (string-append "Guess " (string-append (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-26) (string-append " when " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-583) e-28))))))) ((11) (let ((e-29 (vector-ref arg-0 1))) (string-append "Universe level #" (PreludeC-45Show-u--show_Show_Integer e-29)))) ((10) "Bound name") (else "Delayed"))))
(define CoreC-45ContextC-45Context-u--show_Show_Clause (lambda (arg-0) (let ((e-0 (vector-ref arg-0 0))) (let ((e-2 (vector-ref arg-0 2))) (let ((e-3 (vector-ref arg-0 3))) (string-append (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-100) e-0) (string-append ": " (string-append (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 e-0 e-2) (string-append " = " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 e-0 e-3))))))))))
(define CoreC-45ContextC-45Context-u--showPrec_Show_SizeChange (lambda (arg-0 arg-1) (CoreC-45ContextC-45Context-u--show_Show_SizeChange arg-1)))
(define CoreC-45ContextC-45Context-u--showPrec_Show_SCCall (lambda (arg-0 arg-1) (CoreC-45ContextC-45Context-u--show_Show_SCCall arg-1)))
(define CoreC-45ContextC-45Context-u--showPrec_Show_DefFlag (lambda (arg-0 arg-1) (CoreC-45ContextC-45Context-u--show_Show_DefFlag arg-1)))
(define CoreC-45ContextC-45Context-u--showPrec_Show_Def (lambda (arg-0 arg-1) (CoreC-45ContextC-45Context-u--show_Show_Def arg-1)))
(define CoreC-45ContextC-45Context-u--showPrec_Show_Clause (lambda (arg-0 arg-1) (CoreC-45ContextC-45Context-u--show_Show_Clause arg-1)))
(define CoreC-45ContextC-45Context-u--C-61C-61_Eq_SizeChange (lambda (arg-0 arg-1) (cond ((equal? arg-0 0) (cond ((equal? arg-1 0) 1)(else 0))) ((equal? arg-0 1) (cond ((equal? arg-1 1) 1)(else 0))) ((equal? arg-0 2) (cond ((equal? arg-1 2) 1)(else 0)))(else 0))))
(define CoreC-45ContextC-45Context-u--C-61C-61_Eq_SchemeMode (lambda (arg-0 arg-1) (cond ((equal? arg-0 0) (cond ((equal? arg-1 0) 1)(else 0))) ((equal? arg-0 1) (cond ((equal? arg-1 1) 1)(else 0)))(else 0))))
(define CoreC-45ContextC-45Context-u--C-61C-61_Eq_SCCall (lambda (arg-0 arg-1) (let ((sc0 (CoreC-45Name-u--C-61C-61_Eq_Name (let ((e-0 (car arg-0))) e-0) (let ((e-0 (car arg-1))) e-0)))) (cond ((equal? sc0 1) (PreludeC-45Types-u--C-61C-61_Eq_C-40ListC-32C-36aC-41 (cons (lambda (arg-528) (lambda (arg-531) (PreludeC-45Types-u--C-61C-61_Eq_C-40MaybeC-32C-36aC-41 (csegen-1344) arg-528 arg-531))) (lambda (arg-538) (lambda (arg-541) (PreludeC-45Types-u--C-47C-61_Eq_C-40MaybeC-32C-36aC-41 (csegen-1344) arg-538 arg-541)))) (let ((e-1 (cdr arg-0))) e-1) (let ((e-1 (cdr arg-1))) e-1))) (else 0)))))
(define CoreC-45ContextC-45Context-u--C-61C-61_Eq_DefFlag (lambda (arg-0 arg-1) (case (vector-ref arg-0 0) ((0) (case (vector-ref arg-1 0) ((0) 1)(else 0))) ((1) (case (vector-ref arg-1 0) ((1) 1)(else 0))) ((2) (case (vector-ref arg-1 0) ((2) 1)(else 0))) ((3) (case (vector-ref arg-1 0) ((3) 1)(else 0))) ((4) (case (vector-ref arg-1 0) ((4) 1)(else 0))) ((5) (case (vector-ref arg-1 0) ((5) 1)(else 0))) ((6) (let ((e-0 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((6) (let ((e-4 (vector-ref arg-1 1))) (CoreC-45TT-u--C-61C-61_Eq_TotalReq e-0 e-4)))(else 0)))) ((7) (case (vector-ref arg-1 0) ((7) 1)(else 0))) ((8) (case (vector-ref arg-1 0) ((8) 1)(else 0))) ((9) (let ((e-1 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((9) (let ((e-5 (vector-ref arg-1 1))) (PreludeC-45Types-u--C-61C-61_Eq_C-40ListC-32C-36aC-41 (cons (lambda (arg-528) (lambda (arg-531) (PreludeC-45EqOrd-u--C-61C-61_Eq_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-1008) (csegen-1338) arg-528 arg-531))) (lambda (arg-538) (lambda (arg-541) (PreludeC-45EqOrd-u--C-47C-61_Eq_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-1008) (csegen-1338) arg-538 arg-541)))) e-1 e-5)))(else 0)))) ((10) (case (vector-ref arg-1 0) ((10) 1)(else 0))) ((11) (let ((e-2 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((11) (let ((e-6 (vector-ref arg-1 1))) (CoreC-45CompileExpr-u--C-61C-61_Eq_ConInfo e-2 e-6)))(else 0)))) ((12) (let ((e-3 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((12) (let ((e-7 (vector-ref arg-1 1))) (or (and (= e-3 e-7) 1) 0)))(else 0))))(else 0))))
(define CoreC-45ContextC-45Context-u--C-47C-61_Eq_SizeChange (lambda (arg-0 arg-1) (let ((sc0 (CoreC-45ContextC-45Context-u--C-61C-61_Eq_SizeChange arg-0 arg-1))) (cond ((equal? sc0 1) 0) (else 1)))))
(define CoreC-45ContextC-45Context-u--C-47C-61_Eq_SchemeMode (lambda (arg-0 arg-1) (let ((sc0 (CoreC-45ContextC-45Context-u--C-61C-61_Eq_SchemeMode arg-0 arg-1))) (cond ((equal? sc0 1) 0) (else 1)))))
(define CoreC-45ContextC-45Context-u--C-47C-61_Eq_SCCall (lambda (arg-0 arg-1) (let ((sc0 (CoreC-45ContextC-45Context-u--C-61C-61_Eq_SCCall arg-0 arg-1))) (cond ((equal? sc0 1) 0) (else 1)))))
(define CoreC-45ContextC-45Context-u--C-47C-61_Eq_DefFlag (lambda (arg-0 arg-1) (let ((sc0 (CoreC-45ContextC-45Context-u--C-61C-61_Eq_DefFlag arg-0 arg-1))) (cond ((equal? sc0 1) 0) (else 1)))))
(define CoreC-45ContextC-45Context-refersToRuntime (lambda (arg-0) (PreludeC-45Types-maybe (lambda () (LibrariesC-45DataC-45NameMap-empty)) (lambda () (lambda (eta-0) eta-0)) (let ((e-13 (vector-ref arg-0 13))) e-13))))
(define CoreC-45ContextC-45Context-refersTo (lambda (arg-0) (PreludeC-45Types-maybe (lambda () (LibrariesC-45DataC-45NameMap-empty)) (lambda () (lambda (eta-0) eta-0)) (let ((e-12 (vector-ref arg-0 12))) e-12))))
(define CoreC-45ContextC-45Context-holeInit (lambda (arg-0) (cons arg-0 0)))
(define CoreC-45ContextC-45Context-gDefKindedName (lambda (arg-0) (let ((u--nm (let ((e-1 (vector-ref arg-0 1))) e-1))) (vector (CoreC-45ContextC-45Context-defNameType (let ((e-17 (vector-ref arg-0 17))) e-17)) u--nm u--nm))))
(define CoreC-45ContextC-45Context-findSetTotal (lambda (arg-0) (if (null? arg-0) '() (let ((e-2 (car arg-0))) (let ((e-3 (cdr arg-0))) (case (vector-ref e-2 0) ((6) (let ((e-4 (vector-ref e-2 1))) (box e-4)))(else (CoreC-45ContextC-45Context-findSetTotal e-3))))))))
(define CoreC-45ContextC-45Context-defaultPI(blodwen-lazy (lambda () (vector '() 0 0))))
(define CoreC-45ContextC-45Context-defaultFlags(blodwen-lazy (lambda () (cons 0 0))))
(define CoreC-45ContextC-45Context-defNameType (lambda (arg-0) (case (vector-ref arg-0 0) ((0) '()) ((1) (box (vector 1 ))) ((2) (box (vector 1 ))) ((3) (box (vector 1 ))) ((4) (box (vector 1 ))) ((5) (let ((e-10 (vector-ref arg-0 1))) (let ((e-11 (vector-ref arg-0 2))) (box (vector 2 e-10 e-11))))) ((6) (let ((e-13 (vector-ref arg-0 1))) (let ((e-14 (vector-ref arg-0 2))) (box (vector 3 e-13 e-14))))) ((7) (box (vector 1 ))) ((8) '()) ((9) '()) ((10) (box (vector 0 ))) ((11) '()) (else '()))))
(define LibrariesC-45UtilsC-45Scheme-n--3066-1348-u--toString (lambda (arg-0 arg-1) (case (vector-ref arg-1 0) ((0) "'()") ((1) (let ((e-2 (vector-ref arg-1 1))) (let ((e-3 (vector-ref arg-1 2))) (string-append "(cons " (string-append (LibrariesC-45UtilsC-45Scheme-n--3066-1348-u--toString arg-0 e-2) (string-append " " (string-append (LibrariesC-45UtilsC-45Scheme-n--3066-1348-u--toString arg-0 e-3) ")"))))))) ((2) (let ((e-5 (vector-ref arg-1 1))) (PreludeC-45Show-u--show_Show_Integer e-5))) ((3) (let ((e-7 (vector-ref arg-1 1))) (PreludeC-45Show-u--show_Show_Double e-7))) ((4) (let ((e-9 (vector-ref arg-1 1))) (PreludeC-45Show-u--show_Show_String e-9))) ((5) (let ((e-11 (vector-ref arg-1 1))) (let ((sc1 (let ((sc2 (PreludeC-45EqOrd-u--C-62C-61_Ord_Int (cast-char-boundedInt e-11 63) (blodwen-toSignedInt 32 63)))) (cond ((equal? sc2 1) (PreludeC-45EqOrd-u--C-60_Ord_Int (cast-char-boundedInt e-11 63) (blodwen-toSignedInt 127 63))) (else 0))))) (cond ((equal? sc1 1) (string-append "#\\" (string e-11))) (else (string-append "(integer->char " (string-append (PreludeC-45Show-u--show_Show_Int (cast-char-boundedInt e-11 63)) ")"))))))) ((6) (let ((e-13 (vector-ref arg-1 1))) (string-append "'" e-13))) ((8) (let ((e-15 (vector-ref arg-1 1))) (let ((e-16 (vector-ref arg-1 2))) (string-append "(vector " (string-append (PreludeC-45Show-u--show_Show_Integer e-15) (string-append " " (string-append (LibrariesC-45UtilsC-45Scheme-n--3066-1347-u--showSep arg-0 " " (((csegen-25) (lambda (eta-0) (LibrariesC-45UtilsC-45Scheme-n--3066-1348-u--toString arg-0 eta-0))) e-16)) ")"))))))) ((7) (let ((e-18 (vector-ref arg-1 1))) (string-append "(box " (string-append (LibrariesC-45UtilsC-45Scheme-n--3066-1348-u--toString arg-0 e-18) ")")))) ((10) (let ((e-19 (vector-ref arg-1 1))) (let ((e-20 (vector-ref arg-1 2))) (string-append "(define (" (string-append e-19 (string-append ") " (string-append (LibrariesC-45UtilsC-45Scheme-n--3066-1348-u--toString arg-0 e-20) ")"))))))) ((11) (let ((e-21 (vector-ref arg-1 1))) e-21)) ((12) (let ((e-22 (vector-ref arg-1 1))) (let ((e-23 (vector-ref arg-1 2))) (string-append "(lambda (" (string-append (LibrariesC-45UtilsC-45Scheme-n--3066-1347-u--showSep arg-0 " " e-22) (string-append ") " (string-append (LibrariesC-45UtilsC-45Scheme-n--3066-1348-u--toString arg-0 e-23) ")"))))))) ((13) (let ((e-24 (vector-ref arg-1 1))) (let ((e-25 (vector-ref arg-1 2))) (let ((e-26 (vector-ref arg-1 3))) (string-append "(let ((" (string-append e-24 (string-append " " (string-append (LibrariesC-45UtilsC-45Scheme-n--3066-1348-u--toString arg-0 e-25) (string-append ")) " (string-append (LibrariesC-45UtilsC-45Scheme-n--3066-1348-u--toString arg-0 e-26) ")")))))))))) ((14) (let ((e-27 (vector-ref arg-1 1))) (let ((e-28 (vector-ref arg-1 2))) (let ((e-29 (vector-ref arg-1 3))) (string-append "(if " (string-append (LibrariesC-45UtilsC-45Scheme-n--3066-1348-u--toString arg-0 e-27) (string-append " " (string-append (LibrariesC-45UtilsC-45Scheme-n--3066-1348-u--toString arg-0 e-28) (string-append " " (string-append (LibrariesC-45UtilsC-45Scheme-n--3066-1348-u--toString arg-0 e-29) ")")))))))))) ((15) (let ((e-30 (vector-ref arg-1 1))) (let ((e-31 (vector-ref arg-1 2))) (let ((e-32 (vector-ref arg-1 3))) (string-append "(case " (string-append (LibrariesC-45UtilsC-45Scheme-n--3066-1348-u--toString arg-0 e-30) (string-append " " (string-append (LibrariesC-45UtilsC-45Scheme-n--3066-1347-u--showSep arg-0 " " (((csegen-25) (lambda (eta-0) (LibrariesC-45UtilsC-45Scheme-n--3073-1541-u--showAlt arg-0 e-32 e-31 e-30 eta-0))) e-31)) (string-append (LibrariesC-45UtilsC-45Scheme-n--3073-1542-u--showDef arg-0 e-32 e-31 e-30 e-32) ")"))))))))) ((16) (let ((e-33 (vector-ref arg-1 1))) (let ((e-34 (vector-ref arg-1 2))) (string-append "(cond " (string-append (LibrariesC-45UtilsC-45Scheme-n--3066-1347-u--showSep arg-0 " " (((csegen-25) (lambda (eta-0) (LibrariesC-45UtilsC-45Scheme-n--3073-1597-u--showAlt arg-0 e-34 e-33 eta-0))) e-33)) (string-append (LibrariesC-45UtilsC-45Scheme-n--3073-1598-u--showDef arg-0 e-34 e-33 e-34) ")")))))) (else (let ((e-35 (vector-ref arg-1 1))) (let ((e-36 (vector-ref arg-1 2))) (string-append "(" (string-append (LibrariesC-45UtilsC-45Scheme-n--3066-1348-u--toString arg-0 e-35) (string-append " " (string-append (LibrariesC-45UtilsC-45Scheme-n--3066-1347-u--showSep arg-0 " " (((csegen-25) (lambda (eta-0) (LibrariesC-45UtilsC-45Scheme-n--3066-1348-u--toString arg-0 eta-0))) e-36)) ")"))))))))))
(define LibrariesC-45UtilsC-45Scheme-n--3066-1347-u--showSep (lambda (arg-0 arg-1 arg-2) (if (null? arg-2) "" (let ((e-2 (car arg-2))) (let ((e-3 (cdr arg-2))) (if (null? e-3) e-2 (string-append e-2 (string-append arg-1 (LibrariesC-45UtilsC-45Scheme-n--3066-1347-u--showSep arg-0 arg-1 e-3)))))))))
(define LibrariesC-45UtilsC-45Scheme-n--3073-1598-u--showDef (lambda (arg-0 arg-1 arg-2 arg-3) (if (null? arg-3) "" (let ((e-2 (unbox arg-3))) (string-append " (else " (string-append (LibrariesC-45UtilsC-45Scheme-n--3066-1348-u--toString arg-0 e-2) ")"))))))
(define LibrariesC-45UtilsC-45Scheme-n--3073-1542-u--showDef (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (if (null? arg-4) "" (let ((e-2 (unbox arg-4))) (string-append " (else " (string-append (LibrariesC-45UtilsC-45Scheme-n--3066-1348-u--toString arg-0 e-2) ")"))))))
(define LibrariesC-45UtilsC-45Scheme-n--3073-1597-u--showAlt (lambda (arg-0 arg-1 arg-2 arg-3) (let ((e-2 (car arg-3))) (let ((e-3 (cdr arg-3))) (string-append "(" (string-append (LibrariesC-45UtilsC-45Scheme-n--3066-1348-u--toString arg-0 e-2) (string-append " " (string-append (LibrariesC-45UtilsC-45Scheme-n--3066-1348-u--toString arg-0 e-3) ")"))))))))
(define LibrariesC-45UtilsC-45Scheme-n--3073-1541-u--showAlt (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (let ((e-2 (car arg-4))) (let ((e-3 (cdr arg-4))) (string-append "((" (string-append (LibrariesC-45UtilsC-45Scheme-n--3066-1348-u--toString arg-0 e-2) (string-append ") " (string-append (LibrariesC-45UtilsC-45Scheme-n--3066-1348-u--toString arg-0 e-3) ")"))))))))
(define LibrariesC-45UtilsC-45Scheme-n--3402-1672-u--readVector (lambda (arg-0 arg-1 arg-2 arg-3) (let ((sc0 (PreludeC-45EqOrd-u--C-61C-61_Eq_Integer arg-1 arg-2))) (cond ((equal? sc0 1) '()) (else (cons (LibrariesC-45UtilsC-45Scheme-decodeObj (LibrariesC-45UtilsC-45Scheme-unsafeVectorRef arg-3 arg-2)) (LibrariesC-45UtilsC-45Scheme-n--3402-1672-u--readVector arg-0 arg-1 (+ arg-2 1) arg-3)))))))
(define LibrariesC-45UtilsC-45Scheme-u--toScheme_Scheme_String (lambda (arg-0) (vector 4 arg-0)))
(define LibrariesC-45UtilsC-45Scheme-u--toScheme_Scheme_Integer (lambda (arg-0) (vector 2 arg-0)))
(define LibrariesC-45UtilsC-45Scheme-u--toScheme_Scheme_Int8 (lambda (arg-0) (vector 2 arg-0)))
(define LibrariesC-45UtilsC-45Scheme-u--toScheme_Scheme_Int64 (lambda (arg-0) (vector 2 arg-0)))
(define LibrariesC-45UtilsC-45Scheme-u--toScheme_Scheme_Int32 (lambda (arg-0) (vector 2 arg-0)))
(define LibrariesC-45UtilsC-45Scheme-u--toScheme_Scheme_Int16 (lambda (arg-0) (vector 2 arg-0)))
(define LibrariesC-45UtilsC-45Scheme-u--toScheme_Scheme_Int (lambda (arg-0) (vector 2 arg-0)))
(define LibrariesC-45UtilsC-45Scheme-u--toScheme_Scheme_Bits8 (lambda (arg-0) (vector 2 arg-0)))
(define LibrariesC-45UtilsC-45Scheme-u--toScheme_Scheme_Bits64 (lambda (arg-0) (vector 2 arg-0)))
(define LibrariesC-45UtilsC-45Scheme-u--toScheme_Scheme_Bits32 (lambda (arg-0) (vector 2 arg-0)))
(define LibrariesC-45UtilsC-45Scheme-u--toScheme_Scheme_Bits16 (lambda (arg-0) (vector 2 arg-0)))
(define LibrariesC-45UtilsC-45Scheme-u--toScheme_Scheme_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (lambda (arg-2 arg-3) (let ((e-2 (car arg-3))) (let ((e-3 (cdr arg-3))) (vector 1 (let ((sc1 (Builtin-fst arg-2))) (let ((e-1 (car sc1))) (e-1 e-2))) (let ((sc1 (Builtin-snd arg-2))) (let ((e-1 (car sc1))) (e-1 e-3))))))))
(define LibrariesC-45UtilsC-45Scheme-u--toScheme_Scheme_C-40ListC-32C-36aC-41 (lambda (arg-1 arg-2) (if (null? arg-2) (vector 0 ) (let ((e-2 (car arg-2))) (let ((e-3 (cdr arg-2))) (vector 1 (let ((e-1 (car arg-1))) (e-1 e-2)) (LibrariesC-45UtilsC-45Scheme-u--toScheme_Scheme_C-40ListC-32C-36aC-41 arg-1 e-3)))))))
(define LibrariesC-45UtilsC-45Scheme-u--fromScheme_Scheme_String (lambda (arg-0) (case (vector-ref arg-0 0) ((4) (let ((e-1 (vector-ref arg-0 1))) (box e-1)))(else '()))))
(define LibrariesC-45UtilsC-45Scheme-u--fromScheme_Scheme_Integer (lambda (arg-0) (case (vector-ref arg-0 0) ((2) (let ((e-1 (vector-ref arg-0 1))) (box e-1)))(else '()))))
(define LibrariesC-45UtilsC-45Scheme-u--fromScheme_Scheme_Int8 (lambda (arg-0) (case (vector-ref arg-0 0) ((2) (let ((e-1 (vector-ref arg-0 1))) (box (blodwen-toSignedInt e-1 7))))(else '()))))
(define LibrariesC-45UtilsC-45Scheme-u--fromScheme_Scheme_Int64 (lambda (arg-0) (case (vector-ref arg-0 0) ((2) (let ((e-1 (vector-ref arg-0 1))) (box (blodwen-toSignedInt e-1 63))))(else '()))))
(define LibrariesC-45UtilsC-45Scheme-u--fromScheme_Scheme_Int32 (lambda (arg-0) (case (vector-ref arg-0 0) ((2) (let ((e-1 (vector-ref arg-0 1))) (box (blodwen-toSignedInt e-1 31))))(else '()))))
(define LibrariesC-45UtilsC-45Scheme-u--fromScheme_Scheme_Int16 (lambda (arg-0) (case (vector-ref arg-0 0) ((2) (let ((e-1 (vector-ref arg-0 1))) (box (blodwen-toSignedInt e-1 15))))(else '()))))
(define LibrariesC-45UtilsC-45Scheme-u--fromScheme_Scheme_Int (lambda (arg-0) (case (vector-ref arg-0 0) ((2) (let ((e-1 (vector-ref arg-0 1))) (box (blodwen-toSignedInt e-1 63))))(else '()))))
(define LibrariesC-45UtilsC-45Scheme-u--fromScheme_Scheme_Bits8 (lambda (arg-0) (case (vector-ref arg-0 0) ((2) (let ((e-1 (vector-ref arg-0 1))) (box (blodwen-toUnsignedInt e-1 8))))(else '()))))
(define LibrariesC-45UtilsC-45Scheme-u--fromScheme_Scheme_Bits64 (lambda (arg-0) (case (vector-ref arg-0 0) ((2) (let ((e-1 (vector-ref arg-0 1))) (box (blodwen-toUnsignedInt e-1 64))))(else '()))))
(define LibrariesC-45UtilsC-45Scheme-u--fromScheme_Scheme_Bits32 (lambda (arg-0) (case (vector-ref arg-0 0) ((2) (let ((e-1 (vector-ref arg-0 1))) (box (blodwen-toUnsignedInt e-1 32))))(else '()))))
(define LibrariesC-45UtilsC-45Scheme-u--fromScheme_Scheme_Bits16 (lambda (arg-0) (case (vector-ref arg-0 0) ((2) (let ((e-1 (vector-ref arg-0 1))) (box (blodwen-toUnsignedInt e-1 16))))(else '()))))
(define LibrariesC-45UtilsC-45Scheme-u--fromScheme_Scheme_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (lambda (arg-2 arg-3) (case (vector-ref arg-3 0) ((1) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (let ((sc1 (Builtin-fst arg-2))) (let ((e-3 (cdr sc1))) (e-3 e-1))) (lambda (bind-0) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (let ((sc1 (Builtin-snd arg-2))) (let ((e-3 (cdr sc1))) (e-3 e-2))) (lambda (bind-1) (box (cons bind-0 bind-1)))))))))(else '()))))
(define LibrariesC-45UtilsC-45Scheme-u--fromScheme_Scheme_C-40ListC-32C-36aC-41 (lambda (arg-1 arg-2) (case (vector-ref arg-2 0) ((0) (box '())) ((1) (let ((e-2 (vector-ref arg-2 1))) (let ((e-3 (vector-ref arg-2 2))) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (let ((e-4 (cdr arg-1))) (e-4 e-2)) (lambda (bind-0) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (LibrariesC-45UtilsC-45Scheme-u--fromScheme_Scheme_C-40ListC-32C-36aC-41 arg-1 e-3) (lambda (bind-1) (box (cons bind-0 bind-1)))))))))(else '()))))
(define LibrariesC-45UtilsC-45Scheme-isVector (lambda (arg-0) (PreludeC-45EqOrd-u--C-61C-61_Eq_Int (LibrariesC-45UtilsC-45Scheme-prim_isVector arg-0) (blodwen-toSignedInt 1 63))))
(define LibrariesC-45UtilsC-45Scheme-isSymbol (lambda (arg-0) (PreludeC-45EqOrd-u--C-61C-61_Eq_Int (LibrariesC-45UtilsC-45Scheme-prim_isSymbol arg-0) (blodwen-toSignedInt 1 63))))
(define LibrariesC-45UtilsC-45Scheme-isString (lambda (arg-0) (PreludeC-45EqOrd-u--C-61C-61_Eq_Int (LibrariesC-45UtilsC-45Scheme-prim_isString arg-0) (blodwen-toSignedInt 1 63))))
(define LibrariesC-45UtilsC-45Scheme-isProcedure (lambda (arg-0) (PreludeC-45EqOrd-u--C-61C-61_Eq_Int (LibrariesC-45UtilsC-45Scheme-prim_isProcedure arg-0) (blodwen-toSignedInt 1 63))))
(define LibrariesC-45UtilsC-45Scheme-isPair (lambda (arg-0) (PreludeC-45EqOrd-u--C-61C-61_Eq_Int (LibrariesC-45UtilsC-45Scheme-prim_isPair arg-0) (blodwen-toSignedInt 1 63))))
(define LibrariesC-45UtilsC-45Scheme-isInteger (lambda (arg-0) (PreludeC-45EqOrd-u--C-61C-61_Eq_Int (LibrariesC-45UtilsC-45Scheme-prim_isInteger arg-0) (blodwen-toSignedInt 1 63))))
(define LibrariesC-45UtilsC-45Scheme-isFloat (lambda (arg-0) (PreludeC-45EqOrd-u--C-61C-61_Eq_Int (LibrariesC-45UtilsC-45Scheme-prim_isFloat arg-0) (blodwen-toSignedInt 1 63))))
(define LibrariesC-45UtilsC-45Scheme-isChar (lambda (arg-0) (PreludeC-45EqOrd-u--C-61C-61_Eq_Int (LibrariesC-45UtilsC-45Scheme-prim_isChar arg-0) (blodwen-toSignedInt 1 63))))
(define LibrariesC-45UtilsC-45Scheme-isBox (lambda (arg-0) (PreludeC-45EqOrd-u--C-61C-61_Eq_Int (LibrariesC-45UtilsC-45Scheme-prim_isBox arg-0) (blodwen-toSignedInt 1 63))))
(define LibrariesC-45UtilsC-45Scheme-evalSchemeStr (lambda (arg-0) (let ((u--obj (LibrariesC-45UtilsC-45Scheme-prim__evalScheme arg-0))) (lambda (clam-0) (let ((sc0 (PreludeC-45EqOrd-u--C-61C-61_Eq_Int (LibrariesC-45UtilsC-45Scheme-prim__evalOkay u--obj) (blodwen-toSignedInt 1 63)))) (cond ((equal? sc0 1) (box (LibrariesC-45UtilsC-45Scheme-prim__evalResult u--obj))) (else '())))))))
(define LibrariesC-45UtilsC-45Scheme-evalSchemeObj (lambda (arg-0) (let ((u--str (LibrariesC-45UtilsC-45Scheme-n--3066-1348-u--toString arg-0 arg-0))) (LibrariesC-45UtilsC-45Scheme-evalSchemeStr u--str))))
(define LibrariesC-45UtilsC-45Scheme-decodeObj (lambda (arg-0) (let ((sc0 (LibrariesC-45UtilsC-45Scheme-isInteger arg-0))) (cond ((equal? sc0 1) (vector 2 (LibrariesC-45UtilsC-45Scheme-unsafeGetInteger arg-0))) (else (let ((sc1 (LibrariesC-45UtilsC-45Scheme-isVector arg-0))) (cond ((equal? sc1 1) (vector 8 (LibrariesC-45UtilsC-45Scheme-unsafeGetInteger (LibrariesC-45UtilsC-45Scheme-unsafeVectorRef arg-0 0)) (LibrariesC-45UtilsC-45Scheme-n--3402-1672-u--readVector arg-0 (LibrariesC-45UtilsC-45Scheme-unsafeVectorLength arg-0) 1 arg-0))) (else (let ((sc2 (LibrariesC-45UtilsC-45Scheme-isPair arg-0))) (cond ((equal? sc2 1) (vector 1 (LibrariesC-45UtilsC-45Scheme-decodeObj (LibrariesC-45UtilsC-45Scheme-unsafeFst arg-0)) (LibrariesC-45UtilsC-45Scheme-decodeObj (LibrariesC-45UtilsC-45Scheme-unsafeSnd arg-0)))) (else (let ((sc3 (LibrariesC-45UtilsC-45Scheme-isFloat arg-0))) (cond ((equal? sc3 1) (vector 3 (LibrariesC-45UtilsC-45Scheme-unsafeGetFloat arg-0))) (else (let ((sc4 (LibrariesC-45UtilsC-45Scheme-isString arg-0))) (cond ((equal? sc4 1) (vector 4 (LibrariesC-45UtilsC-45Scheme-unsafeGetString arg-0))) (else (let ((sc5 (LibrariesC-45UtilsC-45Scheme-isChar arg-0))) (cond ((equal? sc5 1) (vector 5 (LibrariesC-45UtilsC-45Scheme-unsafeGetChar arg-0))) (else (let ((sc6 (LibrariesC-45UtilsC-45Scheme-isSymbol arg-0))) (cond ((equal? sc6 1) (vector 6 (LibrariesC-45UtilsC-45Scheme-unsafeReadSymbol arg-0))) (else (let ((sc7 (LibrariesC-45UtilsC-45Scheme-isProcedure arg-0))) (cond ((equal? sc7 1) (vector 9 arg-0)) (else (let ((sc8 (LibrariesC-45UtilsC-45Scheme-isBox arg-0))) (cond ((equal? sc8 1) (vector 7 (LibrariesC-45UtilsC-45Scheme-decodeObj (LibrariesC-45UtilsC-45Scheme-unsafeUnbox arg-0)))) (else (vector 0 ))))))))))))))))))))))))))))))
(define LibrariesC-45UtilsC-45Binary-writeToFile (lambda (arg-0 arg-1) (PrimIO-io_bind (LibrariesC-45SystemC-45FileC-45Buffer-writeBufferToFile (csegen-40) arg-0 (let ((e-0 (vector-ref arg-1 0))) e-0) (let ((e-3 (vector-ref arg-1 3))) e-3)) (lambda (_-0) (lambda (clam-0) (case (vector-ref _-0 0) ((1) (let ((e-2 (vector-ref _-0 1))) (vector 1 e-2))) (else (let ((e-5 (vector-ref _-0 1))) (let ((e-8 (car e-5))) (vector 0 e-8))))))))))
(define LibrariesC-45UtilsC-45Binary-toRead (lambda (arg-0) (bs- (let ((e-3 (vector-ref arg-0 3))) e-3) (let ((e-1 (vector-ref arg-0 1))) e-1) 63)))
(define LibrariesC-45UtilsC-45Binary-readFromFile (lambda (arg-0) (PrimIO-io_bind (LibrariesC-45SystemC-45FileC-45Buffer-createBufferFromFile (csegen-40) arg-0) (lambda (_-0) (case (vector-ref _-0 0) ((1) (let ((e-2 (vector-ref _-0 1))) (PrimIO-io_bind (lambda (eta-0) (DataC-45Buffer-prim__bufferSize e-2)) (lambda (u--bsize) (lambda (eta-0) (vector 1 (vector e-2 0 u--bsize u--bsize))))))) (else (let ((e-5 (vector-ref _-0 1))) (lambda (eta-0) (vector 0 e-5)))))))))
(define LibrariesC-45UtilsC-45Binary-newBinary (lambda (arg-0 arg-1) (vector arg-0 0 arg-1 0)))
(define LibrariesC-45UtilsC-45Binary-incLoc (lambda (arg-0 arg-1) (let ((e-0 (vector-ref arg-1 0))) (let ((e-1 (vector-ref arg-1 1))) (let ((e-2 (vector-ref arg-1 2))) (let ((e-3 (vector-ref arg-1 3))) (vector e-0 (bs+ e-1 arg-0 63) e-2 e-3)))))))
(define LibrariesC-45UtilsC-45Binary-blockSize(blodwen-lazy (lambda () (blodwen-toSignedInt 655360 63))))
(define LibrariesC-45UtilsC-45Binary-avail (lambda (arg-0) (bs- (bs- (let ((e-2 (vector-ref arg-0 2))) e-2) (let ((e-1 (vector-ref arg-0 1))) e-1) 63) 1 63)))
(define LibrariesC-45UtilsC-45Binary-appended (lambda (arg-0 arg-1) (let ((e-0 (vector-ref arg-1 0))) (let ((e-1 (vector-ref arg-1 1))) (let ((e-2 (vector-ref arg-1 2))) (let ((e-3 (vector-ref arg-1 3))) (vector e-0 (bs+ e-1 arg-0 63) e-2 (bs+ e-3 arg-0 63))))))))
(define LibrariesC-45SystemC-45FileC-45Buffer-writeBufferToFile (lambda (arg-1 arg-2 arg-3 arg-4) (let ((e-1 (car arg-1))) (let ((e-4 (vector-ref e-1 1))) ((((e-4 'erased) 'erased) (SystemC-45FileC-45Handle-openFile arg-1 arg-2 1)) (lambda (_-0) (case (vector-ref _-0 0) ((1) (let ((e-6 (vector-ref _-0 1))) (let ((e-8 (car arg-1))) (let ((e-10 (vector-ref e-8 1))) ((((e-10 'erased) 'erased) (LibrariesC-45SystemC-45FileC-45Buffer-writeBufferData arg-1 e-6 arg-3 0 arg-4)) (lambda (_-1) (case (vector-ref _-1 0) ((1) (let ((e-12 (vector-ref _-1 1))) (PreludeC-45Interfaces-C-62C-62 (let ((e-14 (car arg-1))) e-14) (SystemC-45FileC-45Handle-closeFile arg-1 e-6) (lambda () (let ((e-14 (car arg-1))) (let ((e-17 (vector-ref e-14 0))) (let ((e-19 (vector-ref e-17 1))) ((e-19 'erased) (vector 1 e-12))))))))) (else (let ((e-12 (vector-ref _-1 1))) (let ((e-14 (car arg-1))) (let ((e-17 (vector-ref e-14 0))) (let ((e-19 (vector-ref e-17 1))) ((e-19 'erased) (vector 0 e-12)))))))))))))) (else (let ((e-6 (vector-ref _-0 1))) (let ((e-8 (car arg-1))) (let ((e-11 (vector-ref e-8 0))) (let ((e-13 (vector-ref e-11 1))) ((e-13 'erased) (vector 0 (cons e-6 (blodwen-toSignedInt 0 63))))))))))))))))
(define LibrariesC-45SystemC-45FileC-45Buffer-writeBufferData (lambda (arg-1 arg-2 arg-3 arg-4 arg-5) (let ((eff-0 arg-2)) (let ((e-1 (car arg-1))) (let ((e-4 (vector-ref e-1 1))) ((((e-4 'erased) 'erased) (let ((e-6 (cdr arg-1))) ((e-6 'erased) (lambda (eta-0) (LibrariesC-45SystemC-45FileC-45Buffer-prim__writeBufferData eff-0 arg-3 arg-4 arg-5 eta-0))))) (lambda (u--written) (let ((sc1 (PreludeC-45EqOrd-u--C-61C-61_Eq_Int u--written arg-5))) (cond ((equal? sc1 1) (let ((e-7 (car arg-1))) (let ((e-10 (vector-ref e-7 0))) (let ((e-12 (vector-ref e-10 1))) ((e-12 'erased) (vector 1 (vector 0 ))))))) (else (let ((e-7 (car arg-1))) (let ((e-10 (vector-ref e-7 0))) (let ((e-12 (vector-ref e-10 1))) ((e-12 'erased) (vector 0 (cons (vector 2 ) u--written))))))))))))))))
(define LibrariesC-45SystemC-45FileC-45Buffer-readBufferData (lambda (arg-1 arg-2 arg-3 arg-4 arg-5) (let ((eff-0 arg-2)) (let ((e-1 (car arg-1))) (let ((e-4 (vector-ref e-1 1))) ((((e-4 'erased) 'erased) (let ((e-6 (cdr arg-1))) ((e-6 'erased) (lambda (eta-0) (LibrariesC-45SystemC-45FileC-45Buffer-prim__readBufferData eff-0 arg-3 arg-4 arg-5 eta-0))))) (lambda (u--read) (let ((sc1 (PreludeC-45EqOrd-u--C-62C-61_Ord_Int u--read (blodwen-toSignedInt 0 63)))) (cond ((equal? sc1 1) (let ((e-7 (car arg-1))) (let ((e-10 (vector-ref e-7 0))) (let ((e-12 (vector-ref e-10 1))) ((e-12 'erased) (vector 1 (vector 0 ))))))) (else (let ((e-7 (car arg-1))) (let ((e-10 (vector-ref e-7 0))) (let ((e-12 (vector-ref e-10 1))) ((e-12 'erased) (vector 0 (vector 1 ))))))))))))))))
(define LibrariesC-45SystemC-45FileC-45Buffer-createBufferFromFile (lambda (arg-1 arg-2) (let ((e-1 (car arg-1))) (let ((e-4 (vector-ref e-1 1))) ((((e-4 'erased) 'erased) (SystemC-45FileC-45Handle-openFile arg-1 arg-2 0)) (lambda (_-0) (case (vector-ref _-0 0) ((1) (let ((e-6 (vector-ref _-0 1))) (let ((e-8 (car arg-1))) (let ((e-10 (vector-ref e-8 1))) ((((e-10 'erased) 'erased) (SystemC-45FileC-45Meta-fileSize arg-1 e-6)) (lambda (_-1) (case (vector-ref _-1 0) ((1) (let ((e-12 (vector-ref _-1 1))) (let ((e-14 (car arg-1))) (let ((e-16 (vector-ref e-14 1))) ((((e-16 'erased) 'erased) (DataC-45Buffer-newBuffer arg-1 e-12)) (lambda (_-2) (if (null? _-2) (let ((e-19 (car arg-1))) (let ((e-22 (vector-ref e-19 0))) (let ((e-24 (vector-ref e-22 1))) ((e-24 'erased) (vector 0 (vector 1 )))))) (let ((e-18 (unbox _-2))) (let ((e-20 (car arg-1))) (let ((e-22 (vector-ref e-20 1))) ((((e-22 'erased) 'erased) (LibrariesC-45SystemC-45FileC-45Buffer-readBufferData arg-1 e-6 e-18 0 e-12)) (lambda (_-3) (case (vector-ref _-3 0) ((1) (PreludeC-45Interfaces-C-62C-62 (let ((e-26 (car arg-1))) e-26) (SystemC-45FileC-45Handle-closeFile arg-1 e-6) (lambda () (let ((e-26 (car arg-1))) (let ((e-29 (vector-ref e-26 0))) (let ((e-31 (vector-ref e-29 1))) ((e-31 'erased) (vector 1 e-18)))))))) (else (let ((e-24 (vector-ref _-3 1))) (let ((e-26 (car arg-1))) (let ((e-29 (vector-ref e-26 0))) (let ((e-31 (vector-ref e-29 1))) ((e-31 'erased) (vector 0 e-24)))))))))))))))))))) (else (let ((e-12 (vector-ref _-1 1))) (let ((e-14 (car arg-1))) (let ((e-17 (vector-ref e-14 0))) (let ((e-19 (vector-ref e-17 1))) ((e-19 'erased) (vector 0 e-12)))))))))))))) (else (let ((e-6 (vector-ref _-0 1))) (let ((e-8 (car arg-1))) (let ((e-11 (vector-ref e-8 0))) (let ((e-13 (vector-ref e-11 1))) ((e-13 'erased) (vector 0 e-6))))))))))))))
(define LibrariesC-45DataC-45IOArray-n--3018-1354-u--iter (lambda (arg-2 arg-3 arg-4 arg-5 arg-6) (let ((sc0 (PreludeC-45EqOrd-u--C-62C-61_Ord_Int arg-4 arg-5))) (cond ((equal? sc0 1) (let ((e-1 (car arg-2))) (let ((e-5 (vector-ref e-1 0))) (let ((e-7 (vector-ref e-5 1))) ((e-7 'erased) (PreludeC-45TypesC-45List-reverse arg-6)))))) (else (let ((e-1 (car arg-2))) (let ((e-4 (vector-ref e-1 1))) ((((e-4 'erased) 'erased) (LibrariesC-45DataC-45IOArray-readArray arg-2 arg-3 arg-4)) (lambda (u--el) (LibrariesC-45DataC-45IOArray-n--3018-1354-u--iter arg-2 arg-3 (bs+ arg-4 1 63) arg-5 (cons u--el arg-6)))))))))))
(define LibrariesC-45DataC-45IOArray-n--2821-1166-u--copyFrom (lambda (arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (let ((sc0 (PreludeC-45EqOrd-u--C-60_Ord_Int arg-7 (blodwen-toSignedInt 0 63)))) (cond ((equal? sc0 1) (let ((e-1 (car arg-2))) (let ((e-5 (vector-ref e-1 0))) (let ((e-7 (vector-ref e-5 1))) ((e-7 'erased) (vector 0 )))))) (else (let ((e-1 (car arg-2))) (let ((e-4 (vector-ref e-1 1))) ((((e-4 'erased) 'erased) (let ((e-6 (cdr arg-2))) ((e-6 'erased) (lambda (eta-0) (vector-ref arg-5 arg-7))))) (lambda (u--el) (PreludeC-45Interfaces-C-62C-62 (let ((e-7 (car arg-2))) e-7) (let ((e-6 (cdr arg-2))) ((e-6 'erased) (lambda (eta-0) (vector-set! arg-6 arg-7 u--el)))) (lambda () (LibrariesC-45DataC-45IOArray-n--2821-1166-u--copyFrom arg-2 arg-3 arg-4 arg-5 arg-6 (bs- arg-7 1 63)))))))))))))
(define LibrariesC-45DataC-45IOArray-writeArray (lambda (arg-2 arg-3 arg-4 arg-5) (let ((sc0 (let ((sc1 (PreludeC-45EqOrd-u--C-60_Ord_Int arg-4 (blodwen-toSignedInt 0 63)))) (cond ((equal? sc1 1) 1) (else (PreludeC-45EqOrd-u--C-62C-61_Ord_Int arg-4 (LibrariesC-45DataC-45IOArray-max arg-3))))))) (cond ((equal? sc0 1) (let ((e-1 (car arg-2))) (let ((e-5 (vector-ref e-1 0))) (let ((e-7 (vector-ref e-5 1))) ((e-7 'erased) (vector 0 )))))) (else (let ((e-2 (cdr arg-2))) ((e-2 'erased) (lambda (eta-0) (vector-set! (let ((e-3 (cdr arg-3))) e-3) arg-4 (box arg-5))))))))))
(define LibrariesC-45DataC-45IOArray-toList (lambda (arg-2 arg-3) (LibrariesC-45DataC-45IOArray-n--3018-1354-u--iter arg-2 arg-3 0 (LibrariesC-45DataC-45IOArray-max arg-3) '())))
(define LibrariesC-45DataC-45IOArray-readArray (lambda (arg-2 arg-3 arg-4) (let ((sc0 (let ((sc1 (PreludeC-45EqOrd-u--C-60_Ord_Int arg-4 (blodwen-toSignedInt 0 63)))) (cond ((equal? sc1 1) 1) (else (PreludeC-45EqOrd-u--C-62C-61_Ord_Int arg-4 (LibrariesC-45DataC-45IOArray-max arg-3))))))) (cond ((equal? sc0 1) (let ((e-1 (car arg-2))) (let ((e-5 (vector-ref e-1 0))) (let ((e-7 (vector-ref e-5 1))) ((e-7 'erased) '()))))) (else (let ((e-2 (cdr arg-2))) ((e-2 'erased) (lambda (eta-0) (vector-ref (let ((e-3 (cdr arg-3))) e-3) arg-4)))))))))
(define LibrariesC-45DataC-45IOArray-newArrayCopy (lambda (arg-2 arg-3 arg-4) (let ((u--newsizeC-39 (let ((sc0 (PreludeC-45EqOrd-u--C-60_Ord_Int arg-3 (LibrariesC-45DataC-45IOArray-max arg-4)))) (cond ((equal? sc0 1) (LibrariesC-45DataC-45IOArray-max arg-4)) (else arg-3))))) (let ((e-1 (car arg-2))) (let ((e-4 (vector-ref e-1 1))) ((((e-4 'erased) 'erased) (LibrariesC-45DataC-45IOArray-newArray arg-2 u--newsizeC-39)) (lambda (u--arrC-39) (PreludeC-45Interfaces-C-62C-62 (let ((e-7 (car arg-2))) e-7) (LibrariesC-45DataC-45IOArray-n--2821-1166-u--copyFrom arg-2 arg-4 arg-3 (let ((e-6 (cdr arg-4))) e-6) (let ((e-6 (cdr u--arrC-39))) e-6) (bs- (LibrariesC-45DataC-45IOArray-max arg-4) (blodwen-toSignedInt 1 63) 63)) (lambda () (let ((e-7 (car arg-2))) (let ((e-10 (vector-ref e-7 0))) (let ((e-12 (vector-ref e-10 1))) ((e-12 'erased) u--arrC-39)))))))))))))
(define LibrariesC-45DataC-45IOArray-newArray (lambda (arg-2 arg-3) (let ((e-1 (car arg-2))) (let ((e-4 (vector-ref e-1 1))) ((((e-4 'erased) 'erased) (let ((e-6 (cdr arg-2))) ((e-6 'erased) (lambda (eta-0) (make-vector arg-3 '()))))) (lambda (bind-0) (let ((e-7 (car arg-2))) (let ((e-10 (vector-ref e-7 0))) (let ((e-12 (vector-ref e-10 1))) ((e-12 'erased) (cons arg-3 bind-0)))))))))))
(define LibrariesC-45DataC-45IOArray-max (lambda (ext-0) (let ((e-1 (car ext-0))) e-1)))
(define LibrariesC-45DataC-45IntMap-n--5233-3210-u--treeToListC-39 (lambda (arg-3 arg-4) (case (vector-ref arg-4 0) ((0) (let ((e-1 (vector-ref arg-4 1))) (let ((e-2 (vector-ref arg-4 2))) (cons (cons e-1 e-2) arg-3)))) ((1) (let ((e-5 (vector-ref arg-4 1))) (let ((e-7 (vector-ref arg-4 3))) (LibrariesC-45DataC-45IntMap-n--5233-3210-u--treeToListC-39 (LibrariesC-45DataC-45IntMap-n--5233-3210-u--treeToListC-39 arg-3 e-7) e-5)))) (else (let ((e-10 (vector-ref arg-4 1))) (let ((e-12 (vector-ref arg-4 3))) (let ((e-14 (vector-ref arg-4 5))) (LibrariesC-45DataC-45IntMap-n--5233-3210-u--treeToListC-39 (LibrariesC-45DataC-45IntMap-n--5233-3210-u--treeToListC-39 (LibrariesC-45DataC-45IntMap-n--5233-3210-u--treeToListC-39 arg-3 e-14) e-12) e-10))))))))
(define LibrariesC-45DataC-45IntMap-n--5786-3767-u--inserted (lambda (arg-1 arg-2 arg-3) (PreludeC-45Types-listBind (LibrariesC-45DataC-45IntMap-toList arg-1) (lambda (_-0) (let ((e-2 (car _-0))) (let ((e-3 (cdr _-0))) (let ((u--vC-39 ((PreludeC-45Types-maybe (lambda () (lambda (eta-0) eta-0)) (lambda () arg-3) (LibrariesC-45DataC-45IntMap-lookup e-2 arg-2)) e-3))) (PreludeC-45Types-u--pure_Applicative_List (cons e-2 u--vC-39)))))))))
(define LibrariesC-45DataC-45IntMap-u--neutral_Monoid_C-40IntMapC-32C-36vC-41 (lambda (arg-1) (LibrariesC-45DataC-45IntMap-empty)))
(define LibrariesC-45DataC-45IntMap-u--C-60C-43C-62_Semigroup_C-40IntMapC-32C-36vC-41 (lambda (arg-1 ext-0 ext-1) (LibrariesC-45DataC-45IntMap-merge arg-1 ext-0 ext-1)))
(define LibrariesC-45DataC-45IntMap-treeToList (lambda (ext-0) (LibrariesC-45DataC-45IntMap-n--5233-3210-u--treeToListC-39 '() ext-0)))
(define LibrariesC-45DataC-45IntMap-treeLookup (lambda (arg-2 arg-3) (case (vector-ref arg-3 0) ((0) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((sc1 (PreludeC-45EqOrd-u--C-61C-61_Eq_Int arg-2 e-1))) (cond ((equal? sc1 1) (box e-2)) (else '())))))) ((1) (let ((e-5 (vector-ref arg-3 1))) (let ((e-6 (vector-ref arg-3 2))) (let ((e-7 (vector-ref arg-3 3))) (let ((sc1 (PreludeC-45EqOrd-u--C-60C-61_Ord_Int arg-2 e-6))) (cond ((equal? sc1 1) (LibrariesC-45DataC-45IntMap-treeLookup arg-2 e-5)) (else (LibrariesC-45DataC-45IntMap-treeLookup arg-2 e-7)))))))) (else (let ((e-10 (vector-ref arg-3 1))) (let ((e-11 (vector-ref arg-3 2))) (let ((e-12 (vector-ref arg-3 3))) (let ((e-13 (vector-ref arg-3 4))) (let ((e-14 (vector-ref arg-3 5))) (let ((sc1 (PreludeC-45EqOrd-u--C-60C-61_Ord_Int arg-2 e-11))) (cond ((equal? sc1 1) (LibrariesC-45DataC-45IntMap-treeLookup arg-2 e-10)) (else (let ((sc2 (PreludeC-45EqOrd-u--C-60C-61_Ord_Int arg-2 e-13))) (cond ((equal? sc2 1) (LibrariesC-45DataC-45IntMap-treeLookup arg-2 e-12)) (else (LibrariesC-45DataC-45IntMap-treeLookup arg-2 e-14))))))))))))))))
(define LibrariesC-45DataC-45IntMap-treeInsertC-39 (lambda (arg-2 arg-3 arg-4) (case (vector-ref arg-4 0) ((0) (let ((e-1 (vector-ref arg-4 1))) (let ((e-2 (vector-ref arg-4 2))) (let ((sc1 (PreludeC-45EqOrd-u--compare_Ord_Int arg-2 e-1))) (cond ((equal? sc1 0) (vector 1 (cons (vector 0 arg-2 arg-3) (cons arg-2 (vector 0 e-1 e-2))))) ((equal? sc1 1) (vector 0 (vector 0 arg-2 arg-3))) (else (vector 1 (cons (vector 0 e-1 e-2) (cons e-1 (vector 0 arg-2 arg-3)))))))))) ((1) (let ((e-5 (vector-ref arg-4 1))) (let ((e-6 (vector-ref arg-4 2))) (let ((e-7 (vector-ref arg-4 3))) (let ((sc1 (PreludeC-45EqOrd-u--C-60C-61_Ord_Int arg-2 e-6))) (cond ((equal? sc1 1) (let ((sc2 (LibrariesC-45DataC-45IntMap-treeInsertC-39 arg-2 arg-3 e-5))) (case (vector-ref sc2 0) ((0) (let ((e-2 (vector-ref sc2 1))) (vector 0 (vector 1 e-2 e-6 e-7)))) (else (let ((e-8 (vector-ref sc2 1))) (let ((e-10 (car e-8))) (let ((e-9 (cdr e-8))) (let ((e-12 (car e-9))) (let ((e-13 (cdr e-9))) (vector 0 (vector 2 e-10 e-12 e-13 e-6 e-7))))))))))) (else (let ((sc2 (LibrariesC-45DataC-45IntMap-treeInsertC-39 arg-2 arg-3 e-7))) (case (vector-ref sc2 0) ((0) (let ((e-2 (vector-ref sc2 1))) (vector 0 (vector 1 e-5 e-6 e-2)))) (else (let ((e-8 (vector-ref sc2 1))) (let ((e-10 (car e-8))) (let ((e-9 (cdr e-8))) (let ((e-12 (car e-9))) (let ((e-13 (cdr e-9))) (vector 0 (vector 2 e-5 e-6 e-10 e-12 e-13))))))))))))))))) (else (let ((e-10 (vector-ref arg-4 1))) (let ((e-11 (vector-ref arg-4 2))) (let ((e-12 (vector-ref arg-4 3))) (let ((e-13 (vector-ref arg-4 4))) (let ((e-14 (vector-ref arg-4 5))) (let ((sc1 (PreludeC-45EqOrd-u--C-60C-61_Ord_Int arg-2 e-11))) (cond ((equal? sc1 1) (let ((sc2 (LibrariesC-45DataC-45IntMap-treeInsertC-39 arg-2 arg-3 e-10))) (case (vector-ref sc2 0) ((0) (let ((e-2 (vector-ref sc2 1))) (vector 0 (vector 2 e-2 e-11 e-12 e-13 e-14)))) (else (let ((e-5 (vector-ref sc2 1))) (let ((e-8 (car e-5))) (let ((e-9 (cdr e-5))) (let ((e-16 (car e-9))) (let ((e-15 (cdr e-9))) (vector 1 (cons (vector 1 e-8 e-16 e-15) (cons e-11 (vector 1 e-12 e-13 e-14))))))))))))) (else (let ((sc2 (PreludeC-45EqOrd-u--C-60C-61_Ord_Int arg-2 e-13))) (cond ((equal? sc2 1) (let ((sc3 (LibrariesC-45DataC-45IntMap-treeInsertC-39 arg-2 arg-3 e-12))) (case (vector-ref sc3 0) ((0) (let ((e-2 (vector-ref sc3 1))) (vector 0 (vector 2 e-10 e-11 e-2 e-13 e-14)))) (else (let ((e-5 (vector-ref sc3 1))) (let ((e-8 (car e-5))) (let ((e-9 (cdr e-5))) (let ((e-16 (car e-9))) (let ((e-15 (cdr e-9))) (vector 1 (cons (vector 1 e-10 e-11 e-8) (cons e-16 (vector 1 e-15 e-13 e-14))))))))))))) (else (let ((sc3 (LibrariesC-45DataC-45IntMap-treeInsertC-39 arg-2 arg-3 e-14))) (case (vector-ref sc3 0) ((0) (let ((e-2 (vector-ref sc3 1))) (vector 0 (vector 2 e-10 e-11 e-12 e-13 e-2)))) (else (let ((e-5 (vector-ref sc3 1))) (let ((e-8 (car e-5))) (let ((e-9 (cdr e-5))) (let ((e-16 (car e-9))) (let ((e-15 (cdr e-9))) (vector 1 (cons (vector 1 e-10 e-11 e-12) (cons e-13 (vector 1 e-8 e-16 e-15)))))))))))))))))))))))))))
(define LibrariesC-45DataC-45IntMap-treeInsert (lambda (arg-2 arg-3 arg-4) (let ((sc0 (LibrariesC-45DataC-45IntMap-treeInsertC-39 arg-2 arg-3 arg-4))) (case (vector-ref sc0 0) ((0) (let ((e-2 (vector-ref sc0 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref sc0 1))) (let ((e-8 (car e-5))) (let ((e-9 (cdr e-5))) (let ((e-12 (car e-9))) (let ((e-13 (cdr e-9))) (vector 1 (vector 1 e-8 e-12 e-13))))))))))))
(define LibrariesC-45DataC-45IntMap-treeDelete (lambda (arg-1 arg-2 arg-3) (cond ((equal? arg-1 0) (let ((e-2 (vector-ref arg-3 1))) (let ((e-3 (vector-ref arg-3 2))) (let ((sc2 (PreludeC-45EqOrd-u--C-61C-61_Eq_Int arg-2 e-2))) (cond ((equal? sc2 1) (vector 1 (vector 0 ))) (else (vector 0 (vector 0 e-2 e-3))))))))(else (let ((e-0 (- arg-1 1))) (cond ((equal? e-0 0) (case (vector-ref arg-3 0) ((1) (let ((e-7 (vector-ref arg-3 1))) (let ((e-8 (vector-ref arg-3 2))) (let ((e-9 (vector-ref arg-3 3))) (let ((sc2 (PreludeC-45EqOrd-u--C-60C-61_Ord_Int arg-2 e-8))) (cond ((equal? sc2 1) (let ((sc3 (LibrariesC-45DataC-45IntMap-treeDelete 0 arg-2 e-7))) (case (vector-ref sc3 0) ((0) (let ((e-2 (vector-ref sc3 1))) (vector 0 (vector 1 e-2 e-8 e-9)))) (else (vector 1 e-9))))) (else (let ((sc3 (LibrariesC-45DataC-45IntMap-treeDelete 0 arg-2 e-9))) (case (vector-ref sc3 0) ((0) (let ((e-2 (vector-ref sc3 1))) (vector 0 (vector 1 e-7 e-8 e-2)))) (else (vector 1 e-7))))))))))) (else (let ((e-12 (vector-ref arg-3 1))) (let ((e-13 (vector-ref arg-3 2))) (let ((e-14 (vector-ref arg-3 3))) (let ((e-15 (vector-ref arg-3 4))) (let ((e-16 (vector-ref arg-3 5))) (let ((sc2 (PreludeC-45EqOrd-u--C-60C-61_Ord_Int arg-2 e-13))) (cond ((equal? sc2 1) (let ((sc3 (LibrariesC-45DataC-45IntMap-treeDelete 0 arg-2 e-12))) (case (vector-ref sc3 0) ((0) (let ((e-2 (vector-ref sc3 1))) (vector 0 (vector 2 e-2 e-13 e-14 e-15 e-16)))) (else (vector 0 (vector 1 e-14 e-15 e-16)))))) (else (let ((sc3 (PreludeC-45EqOrd-u--C-60C-61_Ord_Int arg-2 e-15))) (cond ((equal? sc3 1) (let ((sc4 (LibrariesC-45DataC-45IntMap-treeDelete 0 arg-2 e-14))) (case (vector-ref sc4 0) ((0) (let ((e-2 (vector-ref sc4 1))) (vector 0 (vector 2 e-12 e-13 e-2 e-15 e-16)))) (else (vector 0 (vector 1 e-12 e-13 e-16)))))) (else (let ((sc4 (LibrariesC-45DataC-45IntMap-treeDelete 0 arg-2 e-16))) (case (vector-ref sc4 0) ((0) (let ((e-2 (vector-ref sc4 1))) (vector 0 (vector 2 e-12 e-13 e-14 e-15 e-2)))) (else (vector 0 (vector 1 e-12 e-13 e-14)))))))))))))))))))(else (let ((e-4 (- e-0 1))) (case (vector-ref arg-3 0) ((1) (let ((e-19 (vector-ref arg-3 1))) (let ((e-20 (vector-ref arg-3 2))) (let ((e-21 (vector-ref arg-3 3))) (let ((sc1 (PreludeC-45EqOrd-u--C-60C-61_Ord_Int arg-2 e-20))) (cond ((equal? sc1 1) (let ((sc2 (LibrariesC-45DataC-45IntMap-treeDelete (+ e-4 1) arg-2 e-19))) (case (vector-ref sc2 0) ((0) (let ((e-2 (vector-ref sc2 1))) (vector 0 (vector 1 e-2 e-20 e-21)))) (else (let ((e-5 (vector-ref sc2 1))) (case (vector-ref e-21 0) ((1) (let ((e-2 (vector-ref e-21 1))) (let ((e-3 (vector-ref e-21 2))) (let ((e-6 (vector-ref e-21 3))) (vector 1 (vector 2 e-5 e-20 e-2 e-3 e-6)))))) (else (let ((e-7 (vector-ref e-21 1))) (let ((e-8 (vector-ref e-21 2))) (let ((e-9 (vector-ref e-21 3))) (let ((e-10 (vector-ref e-21 4))) (let ((e-11 (vector-ref e-21 5))) (vector 0 (LibrariesC-45DataC-45IntMap-branch4 e-5 e-20 e-7 e-8 e-9 e-10 e-11)))))))))))))) (else (let ((sc2 (LibrariesC-45DataC-45IntMap-treeDelete (+ e-4 1) arg-2 e-21))) (case (vector-ref sc2 0) ((0) (let ((e-2 (vector-ref sc2 1))) (vector 0 (vector 1 e-19 e-20 e-2)))) (else (let ((e-5 (vector-ref sc2 1))) (case (vector-ref e-19 0) ((1) (let ((e-2 (vector-ref e-19 1))) (let ((e-3 (vector-ref e-19 2))) (let ((e-6 (vector-ref e-19 3))) (vector 1 (vector 2 e-2 e-3 e-6 e-20 e-5)))))) (else (let ((e-7 (vector-ref e-19 1))) (let ((e-8 (vector-ref e-19 2))) (let ((e-9 (vector-ref e-19 3))) (let ((e-10 (vector-ref e-19 4))) (let ((e-11 (vector-ref e-19 5))) (vector 0 (LibrariesC-45DataC-45IntMap-branch4 e-7 e-8 e-9 e-10 e-11 e-20 e-5)))))))))))))))))))) (else (let ((e-24 (vector-ref arg-3 1))) (let ((e-25 (vector-ref arg-3 2))) (let ((e-26 (vector-ref arg-3 3))) (let ((e-27 (vector-ref arg-3 4))) (let ((e-28 (vector-ref arg-3 5))) (let ((sc1 (PreludeC-45EqOrd-u--C-60C-61_Ord_Int arg-2 e-25))) (cond ((equal? sc1 1) (let ((sc2 (LibrariesC-45DataC-45IntMap-treeDelete (+ e-4 1) arg-2 e-24))) (case (vector-ref sc2 0) ((0) (let ((e-2 (vector-ref sc2 1))) (vector 0 (vector 2 e-2 e-25 e-26 e-27 e-28)))) (else (let ((e-5 (vector-ref sc2 1))) (vector 0 (LibrariesC-45DataC-45IntMap-merge1 e-5 e-25 e-26 e-27 e-28))))))) (else (let ((sc2 (PreludeC-45EqOrd-u--C-60C-61_Ord_Int arg-2 e-27))) (cond ((equal? sc2 1) (let ((sc3 (LibrariesC-45DataC-45IntMap-treeDelete (+ e-4 1) arg-2 e-26))) (case (vector-ref sc3 0) ((0) (let ((e-2 (vector-ref sc3 1))) (vector 0 (vector 2 e-24 e-25 e-2 e-27 e-28)))) (else (let ((e-5 (vector-ref sc3 1))) (vector 0 (LibrariesC-45DataC-45IntMap-merge2 e-24 e-25 e-5 e-27 e-28))))))) (else (let ((sc3 (LibrariesC-45DataC-45IntMap-treeDelete (+ e-4 1) arg-2 e-28))) (case (vector-ref sc3 0) ((0) (let ((e-2 (vector-ref sc3 1))) (vector 0 (vector 2 e-24 e-25 e-26 e-27 e-2)))) (else (let ((e-5 (vector-ref sc3 1))) (vector 0 (LibrariesC-45DataC-45IntMap-merge3 e-24 e-25 e-26 e-27 e-5)))))))))))))))))))))))))))
(define LibrariesC-45DataC-45IntMap-toList (lambda (arg-1) (if (null? arg-1) '() (let ((e-3 (cdr arg-1))) (LibrariesC-45DataC-45IntMap-treeToList e-3)))))
(define LibrariesC-45DataC-45IntMap-singleton (lambda (arg-1 arg-2) (LibrariesC-45DataC-45IntMap-insert arg-1 arg-2 (LibrariesC-45DataC-45IntMap-empty))))
(define LibrariesC-45DataC-45IntMap-mergeWith (lambda (arg-1 arg-2 arg-3) (LibrariesC-45DataC-45IntMap-insertFrom (LibrariesC-45DataC-45IntMap-n--5786-3767-u--inserted arg-3 arg-2 arg-1) arg-2)))
(define LibrariesC-45DataC-45IntMap-merge3 (lambda (arg-2 arg-3 arg-4 arg-5 arg-6) (case (vector-ref arg-2 0) ((1) (let ((e-2 (vector-ref arg-2 1))) (let ((e-3 (vector-ref arg-2 2))) (let ((e-4 (vector-ref arg-2 3))) (case (vector-ref arg-4 0) ((1) (let ((e-14 (vector-ref arg-4 1))) (let ((e-15 (vector-ref arg-4 2))) (let ((e-16 (vector-ref arg-4 3))) (LibrariesC-45DataC-45IntMap-branch5 e-2 e-3 e-4 arg-3 e-14 e-15 e-16 arg-5 arg-6))))) (else (let ((e-19 (vector-ref arg-4 1))) (let ((e-20 (vector-ref arg-4 2))) (let ((e-21 (vector-ref arg-4 3))) (let ((e-22 (vector-ref arg-4 4))) (let ((e-23 (vector-ref arg-4 5))) (LibrariesC-45DataC-45IntMap-branch6 e-2 e-3 e-4 arg-3 e-19 e-20 e-21 e-22 e-23 arg-5 arg-6)))))))))))) (else (let ((e-7 (vector-ref arg-2 1))) (let ((e-8 (vector-ref arg-2 2))) (let ((e-9 (vector-ref arg-2 3))) (let ((e-10 (vector-ref arg-2 4))) (let ((e-11 (vector-ref arg-2 5))) (case (vector-ref arg-4 0) ((1) (let ((e-26 (vector-ref arg-4 1))) (let ((e-27 (vector-ref arg-4 2))) (let ((e-28 (vector-ref arg-4 3))) (LibrariesC-45DataC-45IntMap-branch6 e-7 e-8 e-9 e-10 e-11 arg-3 e-26 e-27 e-28 arg-5 arg-6))))) (else (let ((e-31 (vector-ref arg-4 1))) (let ((e-32 (vector-ref arg-4 2))) (let ((e-33 (vector-ref arg-4 3))) (let ((e-34 (vector-ref arg-4 4))) (let ((e-35 (vector-ref arg-4 5))) (LibrariesC-45DataC-45IntMap-branch7 e-7 e-8 e-9 e-10 e-11 arg-3 e-31 e-32 e-33 e-34 e-35 arg-5 arg-6)))))))))))))))))
(define LibrariesC-45DataC-45IntMap-merge2 (lambda (arg-2 arg-3 arg-4 arg-5 arg-6) (case (vector-ref arg-2 0) ((1) (let ((e-2 (vector-ref arg-2 1))) (let ((e-3 (vector-ref arg-2 2))) (let ((e-4 (vector-ref arg-2 3))) (case (vector-ref arg-6 0) ((1) (let ((e-14 (vector-ref arg-6 1))) (let ((e-15 (vector-ref arg-6 2))) (let ((e-16 (vector-ref arg-6 3))) (LibrariesC-45DataC-45IntMap-branch5 e-2 e-3 e-4 arg-3 arg-4 arg-5 e-14 e-15 e-16))))) (else (let ((e-19 (vector-ref arg-6 1))) (let ((e-20 (vector-ref arg-6 2))) (let ((e-21 (vector-ref arg-6 3))) (let ((e-22 (vector-ref arg-6 4))) (let ((e-23 (vector-ref arg-6 5))) (LibrariesC-45DataC-45IntMap-branch6 e-2 e-3 e-4 arg-3 arg-4 arg-5 e-19 e-20 e-21 e-22 e-23)))))))))))) (else (let ((e-7 (vector-ref arg-2 1))) (let ((e-8 (vector-ref arg-2 2))) (let ((e-9 (vector-ref arg-2 3))) (let ((e-10 (vector-ref arg-2 4))) (let ((e-11 (vector-ref arg-2 5))) (case (vector-ref arg-6 0) ((1) (let ((e-26 (vector-ref arg-6 1))) (let ((e-27 (vector-ref arg-6 2))) (let ((e-28 (vector-ref arg-6 3))) (LibrariesC-45DataC-45IntMap-branch6 e-7 e-8 e-9 e-10 e-11 arg-3 arg-4 arg-5 e-26 e-27 e-28))))) (else (let ((e-31 (vector-ref arg-6 1))) (let ((e-32 (vector-ref arg-6 2))) (let ((e-33 (vector-ref arg-6 3))) (let ((e-34 (vector-ref arg-6 4))) (let ((e-35 (vector-ref arg-6 5))) (LibrariesC-45DataC-45IntMap-branch7 e-7 e-8 e-9 e-10 e-11 arg-3 arg-4 arg-5 e-31 e-32 e-33 e-34 e-35)))))))))))))))))
(define LibrariesC-45DataC-45IntMap-merge1 (lambda (arg-2 arg-3 arg-4 arg-5 arg-6) (case (vector-ref arg-4 0) ((1) (let ((e-2 (vector-ref arg-4 1))) (let ((e-3 (vector-ref arg-4 2))) (let ((e-4 (vector-ref arg-4 3))) (case (vector-ref arg-6 0) ((1) (let ((e-14 (vector-ref arg-6 1))) (let ((e-15 (vector-ref arg-6 2))) (let ((e-16 (vector-ref arg-6 3))) (LibrariesC-45DataC-45IntMap-branch5 arg-2 arg-3 e-2 e-3 e-4 arg-5 e-14 e-15 e-16))))) (else (let ((e-19 (vector-ref arg-6 1))) (let ((e-20 (vector-ref arg-6 2))) (let ((e-21 (vector-ref arg-6 3))) (let ((e-22 (vector-ref arg-6 4))) (let ((e-23 (vector-ref arg-6 5))) (LibrariesC-45DataC-45IntMap-branch6 arg-2 arg-3 e-2 e-3 e-4 arg-5 e-19 e-20 e-21 e-22 e-23)))))))))))) (else (let ((e-7 (vector-ref arg-4 1))) (let ((e-8 (vector-ref arg-4 2))) (let ((e-9 (vector-ref arg-4 3))) (let ((e-10 (vector-ref arg-4 4))) (let ((e-11 (vector-ref arg-4 5))) (case (vector-ref arg-6 0) ((1) (let ((e-26 (vector-ref arg-6 1))) (let ((e-27 (vector-ref arg-6 2))) (let ((e-28 (vector-ref arg-6 3))) (LibrariesC-45DataC-45IntMap-branch6 arg-2 arg-3 e-7 e-8 e-9 e-10 e-11 arg-5 e-26 e-27 e-28))))) (else (let ((e-31 (vector-ref arg-6 1))) (let ((e-32 (vector-ref arg-6 2))) (let ((e-33 (vector-ref arg-6 3))) (let ((e-34 (vector-ref arg-6 4))) (let ((e-35 (vector-ref arg-6 5))) (LibrariesC-45DataC-45IntMap-branch7 arg-2 arg-3 e-7 e-8 e-9 e-10 e-11 arg-5 e-31 e-32 e-33 e-34 e-35)))))))))))))))))
(define LibrariesC-45DataC-45IntMap-merge (lambda (arg-1 ext-0 ext-1) (LibrariesC-45DataC-45IntMap-mergeWith (let ((eff-0 arg-1)) (lambda (arg-0) (lambda (arg-2) ((eff-0 arg-0) arg-2)))) ext-0 ext-1)))
(define LibrariesC-45DataC-45IntMap-lookup (lambda (arg-1 arg-2) (if (null? arg-2) '() (let ((e-3 (cdr arg-2))) (LibrariesC-45DataC-45IntMap-treeLookup arg-1 e-3)))))
(define LibrariesC-45DataC-45IntMap-keys (lambda (ext-0) ((csegen-101) (LibrariesC-45DataC-45IntMap-toList ext-0))))
(define LibrariesC-45DataC-45IntMap-insertFrom (lambda (ext-0 ext-1) (PreludeC-45Basics-flip (lambda (eta-0) (lambda (clam-0) (PreludeC-45Types-u--foldl_Foldable_List (lambda (eta-1) (lambda (eta-2) (PreludeC-45Basics-flip (lambda (eta-3) (PreludeC-45Basics-uncurry (lambda (eta-4) (lambda (eta-5) (lambda (eta-6) (LibrariesC-45DataC-45IntMap-insert eta-4 eta-5 eta-6)))) eta-3)) eta-1 eta-2))) eta-0 clam-0))) ext-0 ext-1)))
(define LibrariesC-45DataC-45IntMap-insert (lambda (arg-1 arg-2 arg-3) (if (null? arg-3) (cons 0 (vector 0 arg-1 arg-2)) (let ((e-2 (car arg-3))) (let ((e-3 (cdr arg-3))) (let ((sc1 (LibrariesC-45DataC-45IntMap-treeInsert arg-1 arg-2 e-3))) (case (vector-ref sc1 0) ((0) (let ((e-4 (vector-ref sc1 1))) (cons e-2 e-4))) (else (let ((e-5 (vector-ref sc1 1))) (cons (+ e-2 1) e-5))))))))))
(define LibrariesC-45DataC-45IntMap-empty(blodwen-lazy (lambda () '())))
(define LibrariesC-45DataC-45IntMap-delete (lambda (arg-1 arg-2) (if (null? arg-2) '() (let ((e-2 (car arg-2))) (let ((e-3 (cdr arg-2))) (cond ((equal? e-2 0) (let ((sc2 (LibrariesC-45DataC-45IntMap-treeDelete 0 arg-1 e-3))) (case (vector-ref sc2 0) ((0) (let ((e-4 (vector-ref sc2 1))) (cons 0 e-4))) (else '()))))(else (let ((e-4 (- e-2 1))) (let ((sc1 (LibrariesC-45DataC-45IntMap-treeDelete (+ e-4 1) arg-1 e-3))) (case (vector-ref sc1 0) ((0) (let ((e-5 (vector-ref sc1 1))) (cons (+ e-4 1) e-5))) (else (let ((e-5 (vector-ref sc1 1))) (cons e-4 e-5)))))))))))))
(define LibrariesC-45DataC-45IntMap-branch7 (lambda (arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14) (vector 2 (vector 2 arg-2 arg-3 arg-4 arg-5 arg-6) arg-7 (vector 1 arg-8 arg-9 arg-10) arg-11 (vector 1 arg-12 arg-13 arg-14))))
(define LibrariesC-45DataC-45IntMap-branch6 (lambda (arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12) (vector 2 (vector 1 arg-2 arg-3 arg-4) arg-5 (vector 1 arg-6 arg-7 arg-8) arg-9 (vector 1 arg-10 arg-11 arg-12))))
(define LibrariesC-45DataC-45IntMap-branch5 (lambda (arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10) (vector 1 (vector 1 arg-2 arg-3 arg-4) arg-5 (vector 2 arg-6 arg-7 arg-8 arg-9 arg-10))))
(define LibrariesC-45DataC-45IntMap-branch4 (lambda (arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8) (vector 1 (vector 1 arg-2 arg-3 arg-4) arg-5 (vector 1 arg-6 arg-7 arg-8))))
(define CoreC-45OptionsC-45Log-n--6461-7302-u--there (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (if (null? arg-4) 0 (let ((e-2 (car arg-4))) (let ((e-3 (cdr arg-4))) (DataC-45Maybe-fromMaybe (lambda () 0) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (DataC-45These-fromThat arg-3) (lambda (u--assoc) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (LibrariesC-45DataC-45StringMap-lookup e-2 u--assoc) (lambda (u--next) (box (CoreC-45OptionsC-45Log-n--6443-7289-u--go arg-0 arg-1 arg-2 e-3 u--next))))))))))))
(define CoreC-45OptionsC-45Log-n--6461-7301-u--here (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (let ((sc0 (DataC-45These-fromThis arg-3))) (if (null? sc0) 0 (let ((e-2 (unbox sc0))) (PreludeC-45Types-u--C-60C-61_Ord_Nat arg-0 e-2))))))
(define CoreC-45OptionsC-45Log-n--6065-6907-u--helpTopic (lambda (arg-0) (let ((e-2 (car arg-0))) (let ((e-3 (cdr arg-0))) (let ((u--title (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "+") (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--pretty_Pretty_Void_String e-2)))) (let ((u--blurb (PreludeC-45Types-maybe (lambda () '()) (lambda () (lambda (eta-0) (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-indent 2 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow eta-0)) '()))) e-3))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vcat (cons u--title u--blurb))))))))
(define CoreC-45OptionsC-45Log-n--6443-7289-u--go (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (let ((eff-0 arg-4)) (let ((sc0 (CoreC-45OptionsC-45Log-n--6461-7301-u--here arg-0 arg-1 arg-2 eff-0 arg-3))) (cond ((equal? sc0 1) 1) (else (CoreC-45OptionsC-45Log-n--6461-7302-u--there arg-0 arg-1 arg-2 eff-0 arg-3)))))))
(define CoreC-45OptionsC-45Log-u--show_Show_LogLevel (lambda (arg-0) (let ((e-0 (car arg-0))) (let ((e-1 (cdr arg-0))) (if (null? e-0) (PreludeC-45Show-u--show_Show_Nat e-1) (string-append (PreludeC-45Types-fastConcat (DataC-45List-intersperse "." e-0)) (string-append ":" (PreludeC-45Show-u--show_Show_Nat e-1))))))))
(define CoreC-45OptionsC-45Log-u--showPrec_Show_LogLevel (lambda (arg-0 arg-1) (CoreC-45OptionsC-45Log-u--show_Show_LogLevel arg-1)))
(define CoreC-45OptionsC-45Log-verbosity (lambda (arg-0) (let ((e-1 (cdr arg-0))) e-1)))
(define CoreC-45OptionsC-45Log-unsafeMkLogLevel (lambda (ext-0 ext-1) (cons ext-0 ext-1)))
(define CoreC-45OptionsC-45Log-topics (lambda (arg-0) (let ((e-0 (car arg-0))) e-0)))
(define CoreC-45OptionsC-45Log-parseLogLevel (lambda (arg-0) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (let ((u--nns (DataC-45String-split (csegen-1358) arg-0))) (let ((u--n (let ((e-1 (car u--nns))) e-1))) (let ((u--ns (let ((e-2 (cdr u--nns))) e-2))) (if (null? u--ns) (box (cons (lambda (eta-0) (cons '() eta-0)) u--n)) (let ((e-2 (car u--ns))) (let ((e-3 (cdr u--ns))) (if (null? e-3) (box (cons (lambda (eta-0) (CoreC-45OptionsC-45Log-mkUnverifiedLogLevel u--n eta-0)) e-2)) '()))))))) (lambda (_-0) (let ((e-2 (car _-0))) (let ((e-3 (cdr _-0))) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (DataC-45String-parsePositive (csegen-1359) e-3) (lambda (u--lvl) (box (e-2 (PreludeC-45Types-prim__integerToNat u--lvl)))))))))))
(define CoreC-45OptionsC-45Log-mkUnverifiedLogLevel (lambda (arg-0 ext-0) (cond ((equal? arg-0 "") (CoreC-45OptionsC-45Log-mkLogLevelC-39 '() ext-0))(else (CoreC-45OptionsC-45Log-mkLogLevelC-39 (box (DataC-45String-split (csegen-627) arg-0)) ext-0)))))
(define CoreC-45OptionsC-45Log-mkLogLevelC-39 (lambda (arg-0 arg-1) (cons (PreludeC-45Types-maybe (lambda () '()) (lambda () (lambda (eta-0) (DataC-45List1-forget eta-0))) arg-0) arg-1)))
(define CoreC-45OptionsC-45Log-knownTopics(blodwen-lazy (lambda () (cons (cons "auto" (box "Auto proof search")) (cons (cons "auto.determining" (box "Checking that interface's determining argument are concrete")) (cons (cons "builtin.Natural" (box "Log each encountered %builtin Natural declaration.")) (cons (cons "builtin.NaturalToInteger" (box "Log each encountered %builtin NaturalToInteger declaration.")) (cons (cons "builtin.IntegerToNatural" (box "Log each encountered %builtin IntegerToNatural declaration.")) (cons (cons "compile.execute" '()) (cons (cons "compile.export" (box "Log each name exported using %export")) (cons (cons "compile.casetree" '()) (cons (cons "compile.casetree.clauses" '()) (cons (cons "compile.casetree.getpmdef" '()) (cons (cons "compile.casetree.intermediate" '()) (cons (cons "compile.casetree.measure" (box "Log the node counts of each runtime case tree.")) (cons (cons "compile.casetree.pick" '()) (cons (cons "compile.casetree.partition" '()) (cons (cons "compiler.const-fold" (box "Log definitions before and after constant folding.")) (cons (cons "compiler.cse" (box "Log information about common sub-expression elimination.")) (cons (cons "compiler.identity" (box "Log definitions that are equivalent to identity at runtime.")) (cons (cons "compiler.inline.eval" (box "Log function definitions before and after inlining.")) (cons (cons "compiler.inline.heuristic" (box "Log names the inlining heuristic(s) have decided to inline.")) (cons (cons "compiler.interpreter" (box "Log the call-stack of the VMCode interpreter.")) (cons (cons "compiler.javascript.doc" (box "Generating doc comments for the JS backend.")) (cons (cons "compiler.refc" '()) (cons (cons "compiler.refc.cc" '()) (cons (cons "compiler.scheme.chez" '()) (cons (cons "coverage" '()) (cons (cons "coverage.empty" '()) (cons (cons "coverage.missing" '()) (cons (cons "coverage.recover" '()) (cons (cons "declare.data" '()) (cons (cons "declare.data.constructor" '()) (cons (cons "declare.data.parameters" '()) (cons (cons "declare.def" '()) (cons (cons "declare.def.alias" '()) (cons (cons "declare.def.clause" '()) (cons (cons "declare.def.clause.impossible" '()) (cons (cons "declare.def.clause.with" '()) (cons (cons "declare.def.impossible" '()) (cons (cons "declare.def.lhs" '()) (cons (cons "declare.def.lhs.implicits" '()) (cons (cons "declare.param" '()) (cons (cons "declare.record" '()) (cons (cons "declare.record.field" '()) (cons (cons "declare.record.projection" '()) (cons (cons "declare.record.projection.prefix" '()) (cons (cons "declare.type" '()) (cons (cons "desugar.idiom" '()) (cons (cons "desugar.failing" (box "Log result of desugaring a `failing' block")) (cons (cons "desugar.lhs" (box "Log result of desugaring a left hand side")) (cons (cons "doc.data" '()) (cons (cons "doc.implementation" '()) (cons (cons "doc.record" '()) (cons (cons "doc.module" '()) (cons (cons "doc.module.definitions" '()) (cons (cons "elab" '()) (cons (cons "elab.ambiguous" '()) (cons (cons "elab.app.var" '()) (cons (cons "elab.app.dot" (box "Dealing with forced expressions when elaborating applications")) (cons (cons "elab.app.lhs" '()) (cons (cons "elab.as" '()) (cons (cons "elab.bindnames" '()) (cons (cons "elab.binder" '()) (cons (cons "elab.case" '()) (cons (cons "elab.def.local" '()) (cons (cons "elab.delay" '()) (cons (cons "elab.failing" (box "Elaborating a 'failing' block.")) (cons (cons "elab.hole" '()) (cons (cons "elab.implicits" '()) (cons (cons "elab.implementation" '()) (cons (cons "elab.interface" '()) (cons (cons "elab.interface.default" '()) (cons (cons "elab.local" '()) (cons (cons "elab.prune" '()) (cons (cons "elab.record" '()) (cons (cons "elab.retry" '()) (cons (cons "elab.rewrite" '()) (cons (cons "elab.unify" '()) (cons (cons "elab.update" '()) (cons (cons "elab.with" '()) (cons (cons "eval.casetree" '()) (cons (cons "eval.casetree.stuck" '()) (cons (cons "eval.def.underapplied" (box "Evaluating definitions (unavailable by default, edit Core.Normalise.Eval & recompile)")) (cons (cons "eval.def.stuck" (box "Evaluating definitions (unavailable by default, edit Core.Normalise.Eval & recompile)")) (cons (cons "eval.eta" '()) (cons (cons "eval.ref" (box "Evaluating refs (unavailable by default, edit Core.Normalise.Eval & recompile)")) (cons (cons "eval.stuck" '()) (cons (cons "eval.stuck.outofscope" '()) (cons (cons "ide-mode.completion" (box "Autocompletion requests")) (cons (cons "ide-mode.hole" (box "Displaying hole contexts")) (cons (cons "ide-mode.highlight" '()) (cons (cons "ide-mode.highlight.alias" '()) (cons (cons "ide-mode.send" (box "The IDE mode's SExp traffic")) (cons (cons "ide-mode.recv" (box "Messages received by the IDE mode")) (cons (cons "import" '()) (cons (cons "import.file" '()) (cons (cons "interaction.casesplit" '()) (cons (cons "interaction.generate" '()) (cons (cons "interaction.search" '()) (cons (cons "metadata.names" '()) (cons (cons "module" '()) (cons (cons "module.hash" '()) (cons (cons "package.depends" (box "Log which packages are being added")) (cons (cons "quantity" '()) (cons (cons "quantity.hole" '()) (cons (cons "quantity.hole.update" '()) (cons (cons "reflection.reify" (box "Log what's happening when converting an `NF` to some real value")) (cons (cons "repl.eval" '()) (cons (cons "resugar.var" (box "Resugaring variables")) (cons (cons "resugar.sectionL" (box "Resugaring left sections")) (cons (cons "specialise" '()) (cons (cons "totality" '()) (cons (cons "totality.positivity" '()) (cons (cons "totality.requirement" '()) (cons (cons "totality.termination" '()) (cons (cons "totality.termination.calc" '()) (cons (cons "totality.termination.guarded" '()) (cons (cons "totality.termination.sizechange" '()) (cons (cons "totality.termination.sizechange.checkCall" '()) (cons (cons "totality.termination.sizechange.checkCall.inPath" '()) (cons (cons "totality.termination.sizechange.checkCall.inPathNot.restart" '()) (cons (cons "totality.termination.sizechange.checkCall.inPathNot.return" '()) (cons (cons "totality.termination.sizechange.inPath" '()) (cons (cons "totality.termination.sizechange.isTerminating" '()) (cons (cons "totality.termination.sizechange.needsChecking" '()) (cons (cons "transform.lhs" '()) (cons (cons "transform.rhs" '()) (cons (cons "ttc.read" '()) (cons (cons "ttc.write" '()) (cons (cons "typesearch.equiv" '()) (cons (cons "unelab.case" (box "Unelaborating a case block")) (cons (cons "unelab.case.clause" (box "Unelaborating a case block's clauses")) (cons (cons "unelab.var" '()) (cons (cons "unify" '()) (cons (cons "unify.application" '()) (cons (cons "unify.binder" '()) (cons (cons "unify.constant" '()) (cons (cons "unify.constraint" '()) (cons (cons "unify.delay" '()) (cons (cons "unify.equal" '()) (cons (cons "unify.head" '()) (cons (cons "unify.hole" '()) (cons (cons "unify.instantiate" '()) (cons (cons "unify.invertible" '()) (cons (cons "unify.meta" '()) (cons (cons "unify.noeta" '()) (cons (cons "unify.postpone" '()) (cons (cons "unify.retry" '()) (cons (cons "unify.search" '()) (cons (cons "unify.unsolved" '()) '())))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))
(define CoreC-45OptionsC-45Log-keepLog (lambda (arg-0 arg-1) (let ((e-0 (car arg-0))) (let ((e-1 (cdr arg-0))) (cond ((equal? e-1 0) 1)(else (CoreC-45OptionsC-45Log-n--6443-7289-u--go e-1 e-0 arg-1 e-0 arg-1)))))))
(define CoreC-45OptionsC-45Log-insertLogLevel (lambda (arg-0 ext-0) (let ((e-0 (car arg-0))) (let ((e-1 (cdr arg-0))) (LibrariesC-45DataC-45StringTrie-insert e-0 e-1 ext-0)))))
(define CoreC-45OptionsC-45Log-helpTopics(blodwen-lazy (lambda () (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--show_Show_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vcat (((csegen-25) (lambda (eta-0) (CoreC-45OptionsC-45Log-n--6065-6907-u--helpTopic eta-0))) (CoreC-45OptionsC-45Log-knownTopics)))))))
(define CoreC-45OptionsC-45Log-defaultLogLevel(blodwen-lazy (lambda () (LibrariesC-45DataC-45StringTrie-singleton '() 0))))
(define LibrariesC-45DataC-45StringTrie-n--2961-4374-u--rec (lambda (arg-1 arg-2 arg-3 arg-4 arg-5) (PreludeC-45Types-maybe (lambda () (LibrariesC-45DataC-45StringMap-insert arg-1 (LibrariesC-45DataC-45StringTrie-n--2961-4373-u--end arg-1 arg-2 arg-3 arg-4) arg-5)) (lambda () (lambda (u--tm) (LibrariesC-45DataC-45StringMap-insert arg-1 (LibrariesC-45DataC-45StringTrie-insertWith arg-2 arg-4 u--tm) arg-5))) (LibrariesC-45DataC-45StringMap-lookup arg-1 arg-5))))
(define LibrariesC-45DataC-45StringTrie-n--2961-4373-u--end (lambda (arg-1 arg-2 arg-3 arg-4) (LibrariesC-45DataC-45StringTrie-singleton arg-2 (arg-4 '()))))
(define LibrariesC-45DataC-45StringTrie-singleton (lambda (arg-1 arg-2) (if (null? arg-1) (vector 0 arg-2) (let ((e-2 (car arg-1))) (let ((e-3 (cdr arg-1))) (vector 1 (LibrariesC-45DataC-45StringMap-singleton e-2 (LibrariesC-45DataC-45StringTrie-singleton e-3 arg-2))))))))
(define LibrariesC-45DataC-45StringTrie-insertWith (lambda (arg-1 arg-2 arg-3) (if (null? arg-1) (let ((eff-0 arg-3)) (DataC-45These-these (lambda (eta-0) (vector 0 (arg-2 (box eta-0)))) (lambda (eta-0) (vector 2 (arg-2 '()) eta-0)) (lambda (eta-0) (lambda (eta-1) (vector 2 (arg-2 (box eta-0)) eta-1))) eff-0)) (let ((e-2 (car arg-1))) (let ((e-3 (cdr arg-1))) (let ((eff-0 arg-3)) (DataC-45These-these (lambda (u--x) (vector 2 u--x (LibrariesC-45DataC-45StringMap-singleton e-2 (LibrariesC-45DataC-45StringTrie-n--2961-4373-u--end e-2 e-3 eff-0 arg-2)))) (lambda (eta-0) (vector 1 (LibrariesC-45DataC-45StringTrie-n--2961-4374-u--rec e-2 e-3 eff-0 arg-2 eta-0))) (lambda (u--x) (lambda (eta-0) (vector 2 u--x (LibrariesC-45DataC-45StringTrie-n--2961-4374-u--rec e-2 e-3 eff-0 arg-2 eta-0)))) eff-0)))))))
(define LibrariesC-45DataC-45StringTrie-insert (lambda (arg-1 arg-2 ext-0) (LibrariesC-45DataC-45StringTrie-insertWith arg-1 (lambda (eta-0) arg-2) ext-0)))
(define LibrariesC-45DataC-45StringTrie-empty(blodwen-lazy (lambda () (vector 1 (LibrariesC-45DataC-45StringMap-empty)))))
(define CoreC-45CompileExpr-case--find-6132 (lambda (arg-3 arg-4 arg-5 arg-6 arg-7) (let ((eff-0 arg-5)) (cond ((equal? eff-0 0) (if (null? arg-7) (CoreC-45CompileExpr-findDrop arg-6 arg-4 arg-3) (let ((e-3 (unbox arg-7))) (let ((eff-1 arg-4)) (cond ((equal? eff-1 0) (vector 0 0 arg-6))(else (let ((e-4 (- eff-1 1))) (CoreC-45CompileExpr-u--weaken_Weaken_CExp (CoreC-45CompileExpr-find arg-6 e-3 e-4 arg-3)))))))))(else (let ((e-3 (unbox arg-7))) (let ((eff-1 arg-4)) (cond ((equal? eff-1 0) (vector 0 0 arg-6))(else (let ((e-4 (- eff-1 1))) (CoreC-45CompileExpr-u--weaken_Weaken_CExp (CoreC-45CompileExpr-find arg-6 e-3 e-4 arg-3))))))))))))
(define CoreC-45CompileExpr-n--6333-4090-u--showFlag (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (case (vector-ref arg-5 0) ((0) "")(else (string-append (CoreC-45CompileExpr-u--show_Show_ConInfo arg-5) " ")))))
(define CoreC-45CompileExpr-n--6005-3856-u--showFlag (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (case (vector-ref arg-5 0) ((0) "")(else (string-append (CoreC-45CompileExpr-u--show_Show_ConInfo arg-5) " ")))))
(define CoreC-45CompileExpr-u--weaken_Weaken_CExp (lambda (ext-0) (CoreC-45CompileExpr-u--weakenNs_Weaken_CExp (CoreC-45TTC-45SizeOf-suc (CoreC-45TTC-45SizeOf-zero)) ext-0)))
(define CoreC-45CompileExpr-u--weaken_Weaken_CConAlt (lambda (ext-0) (CoreC-45CompileExpr-u--weakenNs_Weaken_CConAlt (CoreC-45TTC-45SizeOf-suc (CoreC-45TTC-45SizeOf-zero)) ext-0)))
(define CoreC-45CompileExpr-u--weakenNs_Weaken_CExp (lambda (arg-2 arg-3) (CoreC-45CompileExpr-insertNames (CoreC-45TTC-45SizeOf-zero) arg-2 arg-3)))
(define CoreC-45CompileExpr-u--weakenNs_Weaken_CConAlt (lambda (arg-2 arg-3) (CoreC-45CompileExpr-insertNamesConAlt (CoreC-45TTC-45SizeOf-zero) arg-2 arg-3)))
(define CoreC-45CompileExpr-u--show_Show_NamedDef (lambda (arg-0) (case (vector-ref arg-0 0) ((0) (let ((e-0 (vector-ref arg-0 1))) (let ((e-1 (vector-ref arg-0 2))) (string-append (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-100) e-0) (string-append ": " (CoreC-45CompileExpr-u--show_Show_NamedCExp e-1)))))) ((1) (let ((e-2 (vector-ref arg-0 1))) (let ((e-3 (vector-ref arg-0 2))) (let ((e-4 (vector-ref arg-0 3))) (string-append "Constructor tag " (string-append (PreludeC-45Show-u--show_Show_C-40MaybeC-32C-36aC-41 (csegen-583) e-2) (string-append " arity " (string-append (PreludeC-45Show-u--show_Show_Nat e-3) (PreludeC-45Types-maybe (lambda () "") (lambda () (csegen-1513)) e-4))))))))) ((2) (let ((e-5 (vector-ref arg-0 1))) (let ((e-6 (vector-ref arg-0 2))) (let ((e-7 (vector-ref arg-0 3))) (string-append "Foreign call " (string-append (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-581) e-5) (string-append " " (string-append (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-1515) e-6) (string-append " -> " (CoreC-45CompileExpr-u--show_Show_CFType e-7)))))))))) (else (let ((e-8 (vector-ref arg-0 1))) (string-append "Error: " (CoreC-45CompileExpr-u--show_Show_NamedCExp e-8)))))))
(define CoreC-45CompileExpr-u--show_Show_NamedConstAlt (lambda (arg-0) (let ((e-0 (car arg-0))) (let ((e-1 (cdr arg-0))) (string-append "(%constcase " (string-append (CoreC-45TT-u--show_Show_Constant e-0) (string-append " " (string-append (CoreC-45CompileExpr-u--show_Show_NamedCExp e-1) ")"))))))))
(define CoreC-45CompileExpr-u--show_Show_NamedConAlt (lambda (arg-0) (let ((e-0 (vector-ref arg-0 0))) (let ((e-1 (vector-ref arg-0 1))) (let ((e-2 (vector-ref arg-0 2))) (let ((e-3 (vector-ref arg-0 3))) (let ((e-4 (vector-ref arg-0 4))) (string-append "(%concase " (string-append (CoreC-45CompileExpr-n--6333-4090-u--showFlag e-4 e-3 e-2 e-1 e-0 e-1) (string-append (CoreC-45Name-u--show_Show_Name e-0) (string-append " " (string-append (PreludeC-45Show-u--show_Show_C-40MaybeC-32C-36aC-41 (csegen-583) e-2) (string-append " " (string-append (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-100) e-3) (string-append " " (string-append (CoreC-45CompileExpr-u--show_Show_NamedCExp e-4) ")"))))))))))))))))
(define CoreC-45CompileExpr-u--show_Show_NamedCExp (lambda (arg-0) (case (vector-ref arg-0 0) ((0) (let ((e-1 (vector-ref arg-0 2))) (string-append "!" (CoreC-45Name-u--show_Show_Name e-1)))) ((1) (let ((e-3 (vector-ref arg-0 2))) (CoreC-45Name-u--show_Show_Name e-3))) ((2) (let ((e-5 (vector-ref arg-0 2))) (let ((e-6 (vector-ref arg-0 3))) (string-append "(%lam " (string-append (CoreC-45Name-u--show_Show_Name e-5) (string-append " " (string-append (CoreC-45CompileExpr-u--show_Show_NamedCExp e-6) ")"))))))) ((3) (let ((e-8 (vector-ref arg-0 2))) (let ((e-9 (vector-ref arg-0 3))) (let ((e-10 (vector-ref arg-0 4))) (string-append "(%let " (string-append (CoreC-45Name-u--show_Show_Name e-8) (string-append " " (string-append (CoreC-45CompileExpr-u--show_Show_NamedCExp e-9) (string-append " " (string-append (CoreC-45CompileExpr-u--show_Show_NamedCExp e-10) ")")))))))))) ((4) (let ((e-12 (vector-ref arg-0 2))) (let ((e-13 (vector-ref arg-0 3))) (string-append "(" (string-append (CoreC-45CompileExpr-u--show_Show_NamedCExp e-12) (string-append " " (string-append (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-1517) e-13) ")"))))))) ((5) (let ((e-14 (vector-ref arg-0 1))) (let ((e-15 (vector-ref arg-0 2))) (let ((e-16 (vector-ref arg-0 3))) (let ((e-17 (vector-ref arg-0 4))) (let ((e-18 (vector-ref arg-0 5))) (string-append "(%con " (string-append (CoreC-45CompileExpr-n--6005-3856-u--showFlag e-14 e-18 e-17 e-16 e-15 e-16) (string-append (CoreC-45Name-u--show_Show_Name e-15) (string-append " " (string-append (PreludeC-45Show-u--show_Show_C-40MaybeC-32C-36aC-41 (csegen-583) e-17) (string-append " " (string-append (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-1517) e-18) ")"))))))))))))) ((6) (let ((e-21 (vector-ref arg-0 3))) (let ((e-22 (vector-ref arg-0 4))) (string-append "(" (string-append (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 e-21) (string-append " " (string-append (DataC-45Vect-u--show_Show_C-40C-40VectC-32C-36lenC-41C-32C-36elemC-41 (csegen-1517) e-22) ")"))))))) ((7) (let ((e-24 (vector-ref arg-0 2))) (let ((e-25 (vector-ref arg-0 3))) (string-append "(%extern " (string-append (CoreC-45Name-u--show_Show_Name e-24) (string-append " " (string-append (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-1517) e-25) ")"))))))) ((8) (let ((e-27 (vector-ref arg-0 2))) (let ((e-28 (vector-ref arg-0 3))) (string-append "(%force " (string-append (CoreC-45TT-u--show_Show_LazyReason e-27) (string-append " " (string-append (CoreC-45CompileExpr-u--show_Show_NamedCExp e-28) ")"))))))) ((9) (let ((e-30 (vector-ref arg-0 2))) (let ((e-31 (vector-ref arg-0 3))) (string-append "(%delay " (string-append (CoreC-45TT-u--show_Show_LazyReason e-30) (string-append " " (string-append (CoreC-45CompileExpr-u--show_Show_NamedCExp e-31) ")"))))))) ((10) (let ((e-33 (vector-ref arg-0 2))) (let ((e-34 (vector-ref arg-0 3))) (let ((e-35 (vector-ref arg-0 4))) (string-append "(%case " (string-append (CoreC-45CompileExpr-u--show_Show_NamedCExp e-33) (string-append " " (string-append (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (cons (lambda (u--x) (CoreC-45CompileExpr-u--show_Show_NamedConAlt u--x)) (lambda (u--d) (lambda (u--x) (CoreC-45CompileExpr-u--showPrec_Show_NamedConAlt u--d u--x)))) e-34) (string-append " " (string-append (PreludeC-45Show-u--show_Show_C-40MaybeC-32C-36aC-41 (csegen-1517) e-35) ")")))))))))) ((11) (let ((e-37 (vector-ref arg-0 2))) (let ((e-38 (vector-ref arg-0 3))) (let ((e-39 (vector-ref arg-0 4))) (string-append "(%case " (string-append (CoreC-45CompileExpr-u--show_Show_NamedCExp e-37) (string-append " " (string-append (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (cons (lambda (u--x) (CoreC-45CompileExpr-u--show_Show_NamedConstAlt u--x)) (lambda (u--d) (lambda (u--x) (CoreC-45CompileExpr-u--showPrec_Show_NamedConstAlt u--d u--x)))) e-38) (string-append " " (string-append (PreludeC-45Show-u--show_Show_C-40MaybeC-32C-36aC-41 (csegen-1517) e-39) ")")))))))))) ((12) (let ((e-41 (vector-ref arg-0 2))) (CoreC-45TT-u--show_Show_Constant e-41))) ((13) "___") (else (let ((e-44 (vector-ref arg-0 2))) (string-append "(CRASH " (string-append (PreludeC-45Show-u--show_Show_String e-44) ")")))))))
(define CoreC-45CompileExpr-u--show_Show_ConInfo (lambda (arg-0) (case (vector-ref arg-0 0) ((0) "[datacon]") ((1) "[tycon]") ((2) "[nil]") ((3) "[cons]") ((4) (let ((e-0 (vector-ref arg-0 1))) (string-append "[enum " (string-append (PreludeC-45Show-u--show_Show_Nat e-0) "]")))) ((5) "[nothing]") ((6) "[just]") ((7) "[record]") ((8) "[zero]") ((9) "[succ]") (else "[unit]"))))
(define CoreC-45CompileExpr-u--show_Show_CFType (lambda (arg-0) (case (vector-ref arg-0 0) ((0) "Unit") ((1) "Int") ((2) "Integer") ((3) "Int_8") ((4) "Int_16") ((5) "Int_32") ((6) "Int_64") ((7) "Bits_8") ((8) "Bits_16") ((9) "Bits_32") ((10) "Bits_64") ((11) "String") ((12) "Double") ((13) "Char") ((14) "Ptr") ((15) "GCPtr") ((16) "Buffer") ((17) "ForeignObj") ((18) "%World") ((19) (let ((e-0 (vector-ref arg-0 1))) (let ((e-1 (vector-ref arg-0 2))) (string-append (CoreC-45CompileExpr-u--show_Show_CFType e-0) (string-append " -> " (CoreC-45CompileExpr-u--show_Show_CFType e-1)))))) ((20) (let ((e-2 (vector-ref arg-0 1))) (string-append "IORes " (CoreC-45CompileExpr-u--show_Show_CFType e-2)))) ((21) (let ((e-3 (vector-ref arg-0 1))) (let ((e-4 (vector-ref arg-0 2))) (string-append "struct " (string-append (PreludeC-45Show-u--show_Show_String e-3) (string-append " " (CoreC-45NameC-45Namespace-showSep " " (((csegen-25) (lambda (eta-0) (PreludeC-45Show-u--show_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (cons (csegen-581) (csegen-1515)) eta-0))) e-4)))))))) (else (let ((e-5 (vector-ref arg-0 1))) (let ((e-6 (vector-ref arg-0 2))) (string-append (CoreC-45Name-u--show_Show_Name e-5) (string-append " " (CoreC-45NameC-45Namespace-showSep " " (((csegen-25) (lambda (eta-0) (CoreC-45CompileExpr-u--show_Show_CFType eta-0))) e-6))))))))))
(define CoreC-45CompileExpr-u--show_Show_CDef (lambda (arg-0) (case (vector-ref arg-0 0) ((0) (let ((e-0 (vector-ref arg-0 1))) (let ((e-1 (vector-ref arg-0 2))) (string-append (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-100) e-0) (string-append ": " (CoreC-45CompileExpr-u--show_Show_C-40CExpC-32C-36varsC-41 e-0 e-1)))))) ((1) (let ((e-2 (vector-ref arg-0 1))) (let ((e-3 (vector-ref arg-0 2))) (let ((e-4 (vector-ref arg-0 3))) (string-append "Constructor tag " (string-append (PreludeC-45Show-u--show_Show_C-40MaybeC-32C-36aC-41 (csegen-583) e-2) (string-append " arity " (string-append (PreludeC-45Show-u--show_Show_Nat e-3) (PreludeC-45Types-maybe (lambda () "") (lambda () (csegen-1513)) e-4))))))))) ((2) (let ((e-5 (vector-ref arg-0 1))) (let ((e-6 (vector-ref arg-0 2))) (let ((e-7 (vector-ref arg-0 3))) (string-append "Foreign call " (string-append (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-581) e-5) (string-append " " (string-append (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-1515) e-6) (string-append " -> " (CoreC-45CompileExpr-u--show_Show_CFType e-7)))))))))) (else (let ((e-8 (vector-ref arg-0 1))) (string-append "Error: " (CoreC-45CompileExpr-u--show_Show_C-40CExpC-32C-36varsC-41 '() e-8)))))))
(define CoreC-45CompileExpr-u--show_Show_C-40CExpC-32C-36varsC-41 (lambda (arg-0 arg-1) (CoreC-45CompileExpr-u--show_Show_NamedCExp (CoreC-45CompileExpr-forget arg-0 arg-1))))
(define CoreC-45CompileExpr-u--showPrec_Show_NamedDef (lambda (arg-0 arg-1) (CoreC-45CompileExpr-u--show_Show_NamedDef arg-1)))
(define CoreC-45CompileExpr-u--showPrec_Show_NamedConstAlt (lambda (arg-0 arg-1) (CoreC-45CompileExpr-u--show_Show_NamedConstAlt arg-1)))
(define CoreC-45CompileExpr-u--showPrec_Show_NamedConAlt (lambda (arg-0 arg-1) (CoreC-45CompileExpr-u--show_Show_NamedConAlt arg-1)))
(define CoreC-45CompileExpr-u--showPrec_Show_NamedCExp (lambda (arg-0 arg-1) (CoreC-45CompileExpr-u--show_Show_NamedCExp arg-1)))
(define CoreC-45CompileExpr-u--showPrec_Show_ConInfo (lambda (arg-0 arg-1) (CoreC-45CompileExpr-u--show_Show_ConInfo arg-1)))
(define CoreC-45CompileExpr-u--showPrec_Show_CFType (lambda (arg-0 arg-1) (CoreC-45CompileExpr-u--show_Show_CFType arg-1)))
(define CoreC-45CompileExpr-u--showPrec_Show_CDef (lambda (arg-0 arg-1) (CoreC-45CompileExpr-u--show_Show_CDef arg-1)))
(define CoreC-45CompileExpr-u--C-61C-61_Eq_ConInfo (lambda (arg-0 arg-1) (case (vector-ref arg-0 0) ((0) (case (vector-ref arg-1 0) ((0) 1)(else 0))) ((1) (case (vector-ref arg-1 0) ((1) 1)(else 0))) ((2) (case (vector-ref arg-1 0) ((2) 1)(else 0))) ((3) (case (vector-ref arg-1 0) ((3) 1)(else 0))) ((4) (let ((e-0 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((4) (let ((e-1 (vector-ref arg-1 1))) (or (and (= e-0 e-1) 1) 0)))(else 0)))) ((5) (case (vector-ref arg-1 0) ((5) 1)(else 0))) ((6) (case (vector-ref arg-1 0) ((6) 1)(else 0))) ((7) (case (vector-ref arg-1 0) ((7) 1)(else 0))) ((8) (case (vector-ref arg-1 0) ((8) 1)(else 0))) ((9) (case (vector-ref arg-1 0) ((9) 1)(else 0))) ((10) (case (vector-ref arg-1 0) ((10) 1)(else 0)))(else 0))))
(define CoreC-45CompileExpr-uniqueName (lambda (arg-1 arg-2) (let ((sc0 (CoreC-45CompileExpr-elem arg-1 arg-2))) (cond ((equal? sc0 1) (CoreC-45CompileExpr-uniqueName (CoreC-45CompileExpr-tryNext arg-1) arg-2)) (else arg-1)))))
(define CoreC-45CompileExpr-tryNext (lambda (arg-0) (case (vector-ref arg-0 0) ((1) (let ((e-0 (vector-ref arg-0 1))) (vector 2 (CoreC-45Name-displayUserName e-0) 0))) ((2) (let ((e-1 (vector-ref arg-0 1))) (let ((e-2 (vector-ref arg-0 2))) (vector 2 e-1 (bs+ e-2 1 63)))))(else (vector 2 (CoreC-45Name-nameRoot arg-0) 0)))))
(define CoreC-45CompileExpr-substs (lambda (arg-0 arg-1 arg-2 arg-3) (CoreC-45CompileExpr-substEnv (CoreC-45TTC-45SizeOf-zero) arg-2 arg-3)))
(define CoreC-45CompileExpr-substEnv (lambda (arg-3 arg-4 arg-5) (case (vector-ref arg-5 0) ((0) (let ((e-2 (vector-ref arg-5 1))) (let ((e-3 (vector-ref arg-5 2))) (CoreC-45CompileExpr-find e-3 arg-3 e-2 arg-4)))) ((1) (let ((e-6 (vector-ref arg-5 1))) (let ((e-7 (vector-ref arg-5 2))) (vector 1 e-6 e-7)))) ((2) (let ((e-9 (vector-ref arg-5 1))) (let ((e-10 (vector-ref arg-5 2))) (let ((e-11 (vector-ref arg-5 3))) (let ((u--scC-39 (CoreC-45CompileExpr-substEnv (CoreC-45TTC-45SizeOf-suc arg-3) arg-4 e-11))) (vector 2 e-9 e-10 u--scC-39)))))) ((3) (let ((e-13 (vector-ref arg-5 1))) (let ((e-14 (vector-ref arg-5 2))) (let ((e-15 (vector-ref arg-5 3))) (let ((e-16 (vector-ref arg-5 4))) (let ((e-17 (vector-ref arg-5 5))) (let ((u--scC-39 (CoreC-45CompileExpr-substEnv (CoreC-45TTC-45SizeOf-suc arg-3) arg-4 e-17))) (vector 3 e-13 e-14 e-15 (CoreC-45CompileExpr-substEnv arg-3 arg-4 e-16) u--scC-39)))))))) ((4) (let ((e-19 (vector-ref arg-5 1))) (let ((e-20 (vector-ref arg-5 2))) (let ((e-21 (vector-ref arg-5 3))) (vector 4 e-19 (CoreC-45CompileExpr-substEnv arg-3 arg-4 e-20) (((csegen-25) (lambda (eta-0) (CoreC-45CompileExpr-substEnv arg-3 arg-4 eta-0))) e-21)))))) ((5) (let ((e-23 (vector-ref arg-5 1))) (let ((e-24 (vector-ref arg-5 2))) (let ((e-25 (vector-ref arg-5 3))) (let ((e-26 (vector-ref arg-5 4))) (let ((e-27 (vector-ref arg-5 5))) (vector 5 e-23 e-24 e-25 e-26 (((csegen-25) (lambda (eta-0) (CoreC-45CompileExpr-substEnv arg-3 arg-4 eta-0))) e-27)))))))) ((6) (let ((e-29 (vector-ref arg-5 1))) (let ((e-30 (vector-ref arg-5 2))) (let ((e-31 (vector-ref arg-5 3))) (let ((e-32 (vector-ref arg-5 4))) (vector 6 e-29 e-30 e-31 (DataC-45Vect-u--map_Functor_C-40VectC-32C-36nC-41 (lambda (eta-0) (CoreC-45CompileExpr-substEnv arg-3 arg-4 eta-0)) e-32))))))) ((7) (let ((e-34 (vector-ref arg-5 1))) (let ((e-35 (vector-ref arg-5 2))) (let ((e-36 (vector-ref arg-5 3))) (vector 7 e-34 e-35 (((csegen-25) (lambda (eta-0) (CoreC-45CompileExpr-substEnv arg-3 arg-4 eta-0))) e-36)))))) ((8) (let ((e-38 (vector-ref arg-5 1))) (let ((e-39 (vector-ref arg-5 2))) (let ((e-40 (vector-ref arg-5 3))) (vector 8 e-38 e-39 (CoreC-45CompileExpr-substEnv arg-3 arg-4 e-40)))))) ((9) (let ((e-42 (vector-ref arg-5 1))) (let ((e-43 (vector-ref arg-5 2))) (let ((e-44 (vector-ref arg-5 3))) (vector 9 e-42 e-43 (CoreC-45CompileExpr-substEnv arg-3 arg-4 e-44)))))) ((10) (let ((e-46 (vector-ref arg-5 1))) (let ((e-47 (vector-ref arg-5 2))) (let ((e-48 (vector-ref arg-5 3))) (let ((e-49 (vector-ref arg-5 4))) (vector 10 e-46 (CoreC-45CompileExpr-substEnv arg-3 arg-4 e-47) (((csegen-25) (lambda (eta-0) (CoreC-45CompileExpr-substConAlt arg-3 arg-4 eta-0))) e-48) (((csegen-77) (lambda (eta-0) (CoreC-45CompileExpr-substEnv arg-3 arg-4 eta-0))) e-49))))))) ((11) (let ((e-51 (vector-ref arg-5 1))) (let ((e-52 (vector-ref arg-5 2))) (let ((e-53 (vector-ref arg-5 3))) (let ((e-54 (vector-ref arg-5 4))) (vector 11 e-51 (CoreC-45CompileExpr-substEnv arg-3 arg-4 e-52) (((csegen-25) (lambda (eta-0) (CoreC-45CompileExpr-substConstAlt arg-3 arg-4 eta-0))) e-53) (((csegen-77) (lambda (eta-0) (CoreC-45CompileExpr-substEnv arg-3 arg-4 eta-0))) e-54))))))) ((12) (let ((e-56 (vector-ref arg-5 1))) (let ((e-57 (vector-ref arg-5 2))) (vector 12 e-56 e-57)))) ((13) (let ((e-59 (vector-ref arg-5 1))) (vector 13 e-59))) (else (let ((e-61 (vector-ref arg-5 1))) (let ((e-62 (vector-ref arg-5 2))) (vector 14 e-61 e-62)))))))
(define CoreC-45CompileExpr-substConstAlt (lambda (arg-3 arg-4 arg-5) (let ((e-1 (car arg-5))) (let ((e-2 (cdr arg-5))) (cons e-1 (CoreC-45CompileExpr-substEnv arg-3 arg-4 e-2))))))
(define CoreC-45CompileExpr-substConAlt (lambda (arg-3 arg-4 arg-5) (let ((e-1 (vector-ref arg-5 0))) (let ((e-2 (vector-ref arg-5 1))) (let ((e-3 (vector-ref arg-5 2))) (let ((e-4 (vector-ref arg-5 3))) (let ((e-5 (vector-ref arg-5 4))) (vector e-1 e-2 e-3 e-4 (CoreC-45CompileExpr-substEnv (CoreC-45TTC-45SizeOf-C-43 (CoreC-45TTC-45SizeOf-mkSizeOf e-4) arg-3) arg-4 e-5)))))))))
(define CoreC-45CompileExpr-shrinkConstAlt (lambda (arg-2 arg-3) (let ((e-1 (car arg-3))) (let ((e-2 (cdr arg-3))) (cons e-1 (CoreC-45CompileExpr-shrinkCExp arg-2 e-2))))))
(define CoreC-45CompileExpr-shrinkConAlt (lambda (arg-2 arg-3) (let ((e-1 (vector-ref arg-3 0))) (let ((e-2 (vector-ref arg-3 1))) (let ((e-3 (vector-ref arg-3 2))) (let ((e-4 (vector-ref arg-3 3))) (let ((e-5 (vector-ref arg-3 4))) (vector e-1 e-2 e-3 e-4 (CoreC-45CompileExpr-shrinkCExp (CoreC-45TT-subExtend e-4 arg-2) e-5)))))))))
(define CoreC-45CompileExpr-shrinkCExp (lambda (arg-2 arg-3) (case (vector-ref arg-3 0) ((0) (let ((e-2 (vector-ref arg-3 1))) (let ((e-3 (vector-ref arg-3 2))) (let ((sc1 (CoreC-45TT-subElem e-2 arg-2))) (if (null? sc1) (vector 13 e-3) (let ((e-4 (unbox sc1))) (let ((eff-0 e-4)) (vector 0 eff-0 e-3)))))))) ((1) (let ((e-6 (vector-ref arg-3 1))) (let ((e-7 (vector-ref arg-3 2))) (vector 1 e-6 e-7)))) ((2) (let ((e-9 (vector-ref arg-3 1))) (let ((e-10 (vector-ref arg-3 2))) (let ((e-11 (vector-ref arg-3 3))) (let ((u--scC-39 (CoreC-45CompileExpr-shrinkCExp (vector 2 arg-2) e-11))) (vector 2 e-9 e-10 u--scC-39)))))) ((3) (let ((e-13 (vector-ref arg-3 1))) (let ((e-14 (vector-ref arg-3 2))) (let ((e-15 (vector-ref arg-3 3))) (let ((e-16 (vector-ref arg-3 4))) (let ((e-17 (vector-ref arg-3 5))) (let ((u--scC-39 (CoreC-45CompileExpr-shrinkCExp (vector 2 arg-2) e-17))) (vector 3 e-13 e-14 e-15 (CoreC-45CompileExpr-shrinkCExp arg-2 e-16) u--scC-39)))))))) ((4) (let ((e-19 (vector-ref arg-3 1))) (let ((e-20 (vector-ref arg-3 2))) (let ((e-21 (vector-ref arg-3 3))) (vector 4 e-19 (CoreC-45CompileExpr-shrinkCExp arg-2 e-20) (((csegen-25) (lambda (eta-0) (CoreC-45CompileExpr-shrinkCExp arg-2 eta-0))) e-21)))))) ((5) (let ((e-23 (vector-ref arg-3 1))) (let ((e-24 (vector-ref arg-3 2))) (let ((e-25 (vector-ref arg-3 3))) (let ((e-26 (vector-ref arg-3 4))) (let ((e-27 (vector-ref arg-3 5))) (vector 5 e-23 e-24 e-25 e-26 (((csegen-25) (lambda (eta-0) (CoreC-45CompileExpr-shrinkCExp arg-2 eta-0))) e-27)))))))) ((6) (let ((e-29 (vector-ref arg-3 1))) (let ((e-30 (vector-ref arg-3 2))) (let ((e-31 (vector-ref arg-3 3))) (let ((e-32 (vector-ref arg-3 4))) (vector 6 e-29 e-30 e-31 (DataC-45Vect-u--map_Functor_C-40VectC-32C-36nC-41 (lambda (eta-0) (CoreC-45CompileExpr-shrinkCExp arg-2 eta-0)) e-32))))))) ((7) (let ((e-34 (vector-ref arg-3 1))) (let ((e-35 (vector-ref arg-3 2))) (let ((e-36 (vector-ref arg-3 3))) (vector 7 e-34 e-35 (((csegen-25) (lambda (eta-0) (CoreC-45CompileExpr-shrinkCExp arg-2 eta-0))) e-36)))))) ((8) (let ((e-38 (vector-ref arg-3 1))) (let ((e-39 (vector-ref arg-3 2))) (let ((e-40 (vector-ref arg-3 3))) (vector 8 e-38 e-39 (CoreC-45CompileExpr-shrinkCExp arg-2 e-40)))))) ((9) (let ((e-42 (vector-ref arg-3 1))) (let ((e-43 (vector-ref arg-3 2))) (let ((e-44 (vector-ref arg-3 3))) (vector 9 e-42 e-43 (CoreC-45CompileExpr-shrinkCExp arg-2 e-44)))))) ((10) (let ((e-46 (vector-ref arg-3 1))) (let ((e-47 (vector-ref arg-3 2))) (let ((e-48 (vector-ref arg-3 3))) (let ((e-49 (vector-ref arg-3 4))) (vector 10 e-46 (CoreC-45CompileExpr-shrinkCExp arg-2 e-47) (((csegen-25) (lambda (eta-0) (CoreC-45CompileExpr-shrinkConAlt arg-2 eta-0))) e-48) (((csegen-77) (lambda (eta-0) (CoreC-45CompileExpr-shrinkCExp arg-2 eta-0))) e-49))))))) ((11) (let ((e-51 (vector-ref arg-3 1))) (let ((e-52 (vector-ref arg-3 2))) (let ((e-53 (vector-ref arg-3 3))) (let ((e-54 (vector-ref arg-3 4))) (vector 11 e-51 (CoreC-45CompileExpr-shrinkCExp arg-2 e-52) (((csegen-25) (lambda (eta-0) (CoreC-45CompileExpr-shrinkConstAlt arg-2 eta-0))) e-53) (((csegen-77) (lambda (eta-0) (CoreC-45CompileExpr-shrinkCExp arg-2 eta-0))) e-54))))))) ((12) (let ((e-56 (vector-ref arg-3 1))) (let ((e-57 (vector-ref arg-3 2))) (vector 12 e-56 e-57)))) ((13) (let ((e-59 (vector-ref arg-3 1))) (vector 13 e-59))) (else (let ((e-61 (vector-ref arg-3 1))) (let ((e-62 (vector-ref arg-3 2))) (vector 14 e-61 e-62)))))))
(define CoreC-45CompileExpr-resolveRef (lambda (arg-4 arg-5 arg-6 arg-7 arg-8) (case (vector-ref arg-6 0) ((0) '()) (else (let ((e-2 (vector-ref arg-6 2))) (let ((e-3 (vector-ref arg-6 3))) (let ((sc1 (CoreC-45Name-u--C-61C-61_Eq_Name arg-8 e-2))) (cond ((equal? sc1 1) (let ((eff-0 (CoreC-45TT-weakenNVar (CoreC-45TTC-45SizeOf-C-43 arg-4 arg-5) 0))) (box (vector 0 eff-0 arg-7)))) (else (CoreC-45CompileExpr-resolveRef arg-4 (CoreC-45TTC-45SizeOf-sucR arg-5) e-3 arg-7 arg-8))))))))))
(define CoreC-45CompileExpr-refsToLocals (lambda (arg-2 arg-3) (case (vector-ref arg-2 0) ((0) arg-3)(else (CoreC-45CompileExpr-mkLocals (CoreC-45TTC-45SizeOf-zero) arg-2 arg-3)))))
(define CoreC-45CompileExpr-mkLocalsConstAlt (lambda (arg-3 arg-4 arg-5) (let ((e-1 (car arg-5))) (let ((e-2 (cdr arg-5))) (cons e-1 (CoreC-45CompileExpr-mkLocals arg-3 arg-4 e-2))))))
(define CoreC-45CompileExpr-mkLocalsConAlt (lambda (arg-3 arg-4 arg-5) (let ((e-1 (vector-ref arg-5 0))) (let ((e-2 (vector-ref arg-5 1))) (let ((e-3 (vector-ref arg-5 2))) (let ((e-4 (vector-ref arg-5 3))) (let ((e-5 (vector-ref arg-5 4))) (let ((u--scC-39 e-5)) (vector e-1 e-2 e-3 e-4 (CoreC-45CompileExpr-mkLocals (CoreC-45TTC-45SizeOf-C-43 (CoreC-45TTC-45SizeOf-mkSizeOf e-4) arg-3) arg-4 u--scC-39))))))))))
(define CoreC-45CompileExpr-mkLocals (lambda (arg-3 arg-4 arg-5) (case (vector-ref arg-5 0) ((0) (let ((e-2 (vector-ref arg-5 1))) (let ((e-3 (vector-ref arg-5 2))) (let ((eff-0 (CoreC-45TT-addVars arg-3 arg-4 e-2))) (vector 0 eff-0 e-3))))) ((1) (let ((e-6 (vector-ref arg-5 1))) (let ((e-7 (vector-ref arg-5 2))) (PreludeC-45Types-maybe (lambda () (vector 1 e-6 e-7)) (lambda () (lambda (eta-0) eta-0)) (CoreC-45CompileExpr-resolveRef arg-3 (CoreC-45TTC-45SizeOf-zero) arg-4 e-6 e-7))))) ((2) (let ((e-9 (vector-ref arg-5 1))) (let ((e-10 (vector-ref arg-5 2))) (let ((e-11 (vector-ref arg-5 3))) (let ((u--scC-39 (CoreC-45CompileExpr-mkLocals (CoreC-45TTC-45SizeOf-suc arg-3) arg-4 e-11))) (vector 2 e-9 e-10 u--scC-39)))))) ((3) (let ((e-13 (vector-ref arg-5 1))) (let ((e-14 (vector-ref arg-5 2))) (let ((e-15 (vector-ref arg-5 3))) (let ((e-16 (vector-ref arg-5 4))) (let ((e-17 (vector-ref arg-5 5))) (let ((u--scC-39 (CoreC-45CompileExpr-mkLocals (CoreC-45TTC-45SizeOf-suc arg-3) arg-4 e-17))) (vector 3 e-13 e-14 e-15 (CoreC-45CompileExpr-mkLocals arg-3 arg-4 e-16) u--scC-39)))))))) ((4) (let ((e-19 (vector-ref arg-5 1))) (let ((e-20 (vector-ref arg-5 2))) (let ((e-21 (vector-ref arg-5 3))) (vector 4 e-19 (CoreC-45CompileExpr-mkLocals arg-3 arg-4 e-20) (((csegen-25) (lambda (eta-0) (CoreC-45CompileExpr-mkLocals arg-3 arg-4 eta-0))) e-21)))))) ((5) (let ((e-23 (vector-ref arg-5 1))) (let ((e-24 (vector-ref arg-5 2))) (let ((e-25 (vector-ref arg-5 3))) (let ((e-26 (vector-ref arg-5 4))) (let ((e-27 (vector-ref arg-5 5))) (vector 5 e-23 e-24 e-25 e-26 (((csegen-25) (lambda (eta-0) (CoreC-45CompileExpr-mkLocals arg-3 arg-4 eta-0))) e-27)))))))) ((6) (let ((e-29 (vector-ref arg-5 1))) (let ((e-30 (vector-ref arg-5 2))) (let ((e-31 (vector-ref arg-5 3))) (let ((e-32 (vector-ref arg-5 4))) (vector 6 e-29 e-30 e-31 (DataC-45Vect-u--map_Functor_C-40VectC-32C-36nC-41 (lambda (eta-0) (CoreC-45CompileExpr-mkLocals arg-3 arg-4 eta-0)) e-32))))))) ((7) (let ((e-34 (vector-ref arg-5 1))) (let ((e-35 (vector-ref arg-5 2))) (let ((e-36 (vector-ref arg-5 3))) (vector 7 e-34 e-35 (((csegen-25) (lambda (eta-0) (CoreC-45CompileExpr-mkLocals arg-3 arg-4 eta-0))) e-36)))))) ((8) (let ((e-38 (vector-ref arg-5 1))) (let ((e-39 (vector-ref arg-5 2))) (let ((e-40 (vector-ref arg-5 3))) (vector 8 e-38 e-39 (CoreC-45CompileExpr-mkLocals arg-3 arg-4 e-40)))))) ((9) (let ((e-42 (vector-ref arg-5 1))) (let ((e-43 (vector-ref arg-5 2))) (let ((e-44 (vector-ref arg-5 3))) (vector 9 e-42 e-43 (CoreC-45CompileExpr-mkLocals arg-3 arg-4 e-44)))))) ((10) (let ((e-46 (vector-ref arg-5 1))) (let ((e-47 (vector-ref arg-5 2))) (let ((e-48 (vector-ref arg-5 3))) (let ((e-49 (vector-ref arg-5 4))) (vector 10 e-46 (CoreC-45CompileExpr-mkLocals arg-3 arg-4 e-47) (((csegen-25) (lambda (eta-0) (CoreC-45CompileExpr-mkLocalsConAlt arg-3 arg-4 eta-0))) e-48) (((csegen-77) (lambda (eta-0) (CoreC-45CompileExpr-mkLocals arg-3 arg-4 eta-0))) e-49))))))) ((11) (let ((e-51 (vector-ref arg-5 1))) (let ((e-52 (vector-ref arg-5 2))) (let ((e-53 (vector-ref arg-5 3))) (let ((e-54 (vector-ref arg-5 4))) (vector 11 e-51 (CoreC-45CompileExpr-mkLocals arg-3 arg-4 e-52) (((csegen-25) (lambda (eta-0) (CoreC-45CompileExpr-mkLocalsConstAlt arg-3 arg-4 eta-0))) e-53) (((csegen-77) (lambda (eta-0) (CoreC-45CompileExpr-mkLocals arg-3 arg-4 eta-0))) e-54))))))) ((12) (let ((e-56 (vector-ref arg-5 1))) (let ((e-57 (vector-ref arg-5 2))) (vector 12 e-56 e-57)))) ((13) (let ((e-59 (vector-ref arg-5 1))) (vector 13 e-59))) (else (let ((e-61 (vector-ref arg-5 1))) (let ((e-62 (vector-ref arg-5 2))) (vector 14 e-61 e-62)))))))
(define CoreC-45CompileExpr-insertNamesConstAlt (lambda (arg-3 arg-4 arg-5) (let ((e-1 (car arg-5))) (let ((e-2 (cdr arg-5))) (cons e-1 (CoreC-45CompileExpr-insertNames arg-3 arg-4 e-2))))))
(define CoreC-45CompileExpr-insertNamesConAlt (lambda (arg-3 arg-4 arg-5) (let ((e-1 (vector-ref arg-5 0))) (let ((e-2 (vector-ref arg-5 1))) (let ((e-3 (vector-ref arg-5 2))) (let ((e-4 (vector-ref arg-5 3))) (let ((e-5 (vector-ref arg-5 4))) (let ((u--scC-39 e-5)) (vector e-1 e-2 e-3 e-4 (CoreC-45CompileExpr-insertNames (CoreC-45TTC-45SizeOf-C-43 (CoreC-45TTC-45SizeOf-mkSizeOf e-4) arg-3) arg-4 u--scC-39))))))))))
(define CoreC-45CompileExpr-insertNames (lambda (arg-3 arg-4 arg-5) (case (vector-ref arg-5 0) ((0) (let ((e-2 (vector-ref arg-5 1))) (let ((e-3 (vector-ref arg-5 2))) (let ((eff-0 (CoreC-45TT-insertNVarNames arg-3 arg-4 e-2))) (vector 0 eff-0 e-3))))) ((1) (let ((e-6 (vector-ref arg-5 1))) (let ((e-7 (vector-ref arg-5 2))) (vector 1 e-6 e-7)))) ((2) (let ((e-9 (vector-ref arg-5 1))) (let ((e-10 (vector-ref arg-5 2))) (let ((e-11 (vector-ref arg-5 3))) (let ((u--scC-39 (CoreC-45CompileExpr-insertNames (CoreC-45TTC-45SizeOf-suc arg-3) arg-4 e-11))) (vector 2 e-9 e-10 u--scC-39)))))) ((3) (let ((e-13 (vector-ref arg-5 1))) (let ((e-14 (vector-ref arg-5 2))) (let ((e-15 (vector-ref arg-5 3))) (let ((e-16 (vector-ref arg-5 4))) (let ((e-17 (vector-ref arg-5 5))) (let ((u--scC-39 (CoreC-45CompileExpr-insertNames (CoreC-45TTC-45SizeOf-suc arg-3) arg-4 e-17))) (vector 3 e-13 e-14 e-15 (CoreC-45CompileExpr-insertNames arg-3 arg-4 e-16) u--scC-39)))))))) ((4) (let ((e-19 (vector-ref arg-5 1))) (let ((e-20 (vector-ref arg-5 2))) (let ((e-21 (vector-ref arg-5 3))) (vector 4 e-19 (CoreC-45CompileExpr-insertNames arg-3 arg-4 e-20) (((csegen-25) (lambda (eta-0) (CoreC-45CompileExpr-insertNames arg-3 arg-4 eta-0))) e-21)))))) ((5) (let ((e-23 (vector-ref arg-5 1))) (let ((e-24 (vector-ref arg-5 2))) (let ((e-25 (vector-ref arg-5 3))) (let ((e-26 (vector-ref arg-5 4))) (let ((e-27 (vector-ref arg-5 5))) (vector 5 e-23 e-24 e-25 e-26 (((csegen-25) (lambda (eta-0) (CoreC-45CompileExpr-insertNames arg-3 arg-4 eta-0))) e-27)))))))) ((6) (let ((e-29 (vector-ref arg-5 1))) (let ((e-30 (vector-ref arg-5 2))) (let ((e-31 (vector-ref arg-5 3))) (let ((e-32 (vector-ref arg-5 4))) (vector 6 e-29 e-30 e-31 (DataC-45Vect-u--map_Functor_C-40VectC-32C-36nC-41 (lambda (eta-0) (CoreC-45CompileExpr-insertNames arg-3 arg-4 eta-0)) e-32))))))) ((7) (let ((e-34 (vector-ref arg-5 1))) (let ((e-35 (vector-ref arg-5 2))) (let ((e-36 (vector-ref arg-5 3))) (vector 7 e-34 e-35 (((csegen-25) (lambda (eta-0) (CoreC-45CompileExpr-insertNames arg-3 arg-4 eta-0))) e-36)))))) ((8) (let ((e-38 (vector-ref arg-5 1))) (let ((e-39 (vector-ref arg-5 2))) (let ((e-40 (vector-ref arg-5 3))) (vector 8 e-38 e-39 (CoreC-45CompileExpr-insertNames arg-3 arg-4 e-40)))))) ((9) (let ((e-42 (vector-ref arg-5 1))) (let ((e-43 (vector-ref arg-5 2))) (let ((e-44 (vector-ref arg-5 3))) (vector 9 e-42 e-43 (CoreC-45CompileExpr-insertNames arg-3 arg-4 e-44)))))) ((10) (let ((e-46 (vector-ref arg-5 1))) (let ((e-47 (vector-ref arg-5 2))) (let ((e-48 (vector-ref arg-5 3))) (let ((e-49 (vector-ref arg-5 4))) (vector 10 e-46 (CoreC-45CompileExpr-insertNames arg-3 arg-4 e-47) (((csegen-25) (lambda (eta-0) (CoreC-45CompileExpr-insertNamesConAlt arg-3 arg-4 eta-0))) e-48) (((csegen-77) (lambda (eta-0) (CoreC-45CompileExpr-insertNames arg-3 arg-4 eta-0))) e-49))))))) ((11) (let ((e-51 (vector-ref arg-5 1))) (let ((e-52 (vector-ref arg-5 2))) (let ((e-53 (vector-ref arg-5 3))) (let ((e-54 (vector-ref arg-5 4))) (vector 11 e-51 (CoreC-45CompileExpr-insertNames arg-3 arg-4 e-52) (((csegen-25) (lambda (eta-0) (CoreC-45CompileExpr-insertNamesConstAlt arg-3 arg-4 eta-0))) e-53) (((csegen-77) (lambda (eta-0) (CoreC-45CompileExpr-insertNames arg-3 arg-4 eta-0))) e-54))))))) ((12) (let ((e-56 (vector-ref arg-5 1))) (let ((e-57 (vector-ref arg-5 2))) (vector 12 e-56 e-57)))) ((13) (let ((e-59 (vector-ref arg-5 1))) (vector 13 e-59))) (else (let ((e-61 (vector-ref arg-5 1))) (let ((e-62 (vector-ref arg-5 2))) (vector 14 e-61 e-62)))))))
(define CoreC-45CompileExpr-getLocName (lambda (arg-2 arg-3) (cond ((equal? arg-2 0) (let ((e-3 (car arg-3))) e-3))(else (let ((e-0 (- arg-2 1))) (let ((e-8 (cdr arg-3))) (CoreC-45CompileExpr-getLocName e-0 e-8)))))))
(define CoreC-45CompileExpr-getFC (lambda (arg-1) (case (vector-ref arg-1 0) ((0) (let ((e-3 (vector-ref arg-1 2))) e-3)) ((1) (let ((e-6 (vector-ref arg-1 1))) e-6)) ((2) (let ((e-9 (vector-ref arg-1 1))) e-9)) ((3) (let ((e-13 (vector-ref arg-1 1))) e-13)) ((4) (let ((e-19 (vector-ref arg-1 1))) e-19)) ((5) (let ((e-23 (vector-ref arg-1 1))) e-23)) ((6) (let ((e-30 (vector-ref arg-1 2))) e-30)) ((7) (let ((e-34 (vector-ref arg-1 1))) e-34)) ((8) (let ((e-38 (vector-ref arg-1 1))) e-38)) ((9) (let ((e-42 (vector-ref arg-1 1))) e-42)) ((10) (let ((e-46 (vector-ref arg-1 1))) e-46)) ((11) (let ((e-51 (vector-ref arg-1 1))) e-51)) ((12) (let ((e-56 (vector-ref arg-1 1))) e-56)) ((13) (let ((e-59 (vector-ref arg-1 1))) e-59)) (else (let ((e-61 (vector-ref arg-1 1))) e-61)))))
(define CoreC-45CompileExpr-forgetExp (lambda (arg-1 arg-2) (case (vector-ref arg-2 0) ((0) (let ((e-2 (vector-ref arg-2 1))) (let ((e-3 (vector-ref arg-2 2))) (vector 0 e-3 (CoreC-45CompileExpr-getLocName e-2 arg-1))))) ((1) (let ((e-6 (vector-ref arg-2 1))) (let ((e-7 (vector-ref arg-2 2))) (vector 1 e-6 e-7)))) ((2) (let ((e-9 (vector-ref arg-2 1))) (let ((e-10 (vector-ref arg-2 2))) (let ((e-11 (vector-ref arg-2 3))) (let ((u--locsC-39 (CoreC-45CompileExpr-addLocs (cons e-10 '()) arg-1))) (vector 2 e-9 (CoreC-45CompileExpr-getLocName 0 u--locsC-39) (CoreC-45CompileExpr-forgetExp u--locsC-39 e-11))))))) ((3) (let ((e-13 (vector-ref arg-2 1))) (let ((e-14 (vector-ref arg-2 2))) (let ((e-16 (vector-ref arg-2 4))) (let ((e-17 (vector-ref arg-2 5))) (let ((u--locsC-39 (CoreC-45CompileExpr-addLocs (cons e-14 '()) arg-1))) (vector 3 e-13 (CoreC-45CompileExpr-getLocName 0 u--locsC-39) (CoreC-45CompileExpr-forgetExp arg-1 e-16) (CoreC-45CompileExpr-forgetExp u--locsC-39 e-17)))))))) ((4) (let ((e-19 (vector-ref arg-2 1))) (let ((e-20 (vector-ref arg-2 2))) (let ((e-21 (vector-ref arg-2 3))) (vector 4 e-19 (CoreC-45CompileExpr-forgetExp arg-1 e-20) (((csegen-25) (lambda (eta-0) (CoreC-45CompileExpr-forgetExp arg-1 eta-0))) e-21)))))) ((5) (let ((e-23 (vector-ref arg-2 1))) (let ((e-24 (vector-ref arg-2 2))) (let ((e-25 (vector-ref arg-2 3))) (let ((e-26 (vector-ref arg-2 4))) (let ((e-27 (vector-ref arg-2 5))) (vector 5 e-23 e-24 e-25 e-26 (((csegen-25) (lambda (eta-0) (CoreC-45CompileExpr-forgetExp arg-1 eta-0))) e-27)))))))) ((6) (let ((e-29 (vector-ref arg-2 1))) (let ((e-30 (vector-ref arg-2 2))) (let ((e-31 (vector-ref arg-2 3))) (let ((e-32 (vector-ref arg-2 4))) (vector 6 e-29 e-30 e-31 (DataC-45Vect-u--map_Functor_C-40VectC-32C-36nC-41 (lambda (eta-0) (CoreC-45CompileExpr-forgetExp arg-1 eta-0)) e-32))))))) ((7) (let ((e-34 (vector-ref arg-2 1))) (let ((e-35 (vector-ref arg-2 2))) (let ((e-36 (vector-ref arg-2 3))) (vector 7 e-34 e-35 (((csegen-25) (lambda (eta-0) (CoreC-45CompileExpr-forgetExp arg-1 eta-0))) e-36)))))) ((8) (let ((e-38 (vector-ref arg-2 1))) (let ((e-39 (vector-ref arg-2 2))) (let ((e-40 (vector-ref arg-2 3))) (vector 8 e-38 e-39 (CoreC-45CompileExpr-forgetExp arg-1 e-40)))))) ((9) (let ((e-42 (vector-ref arg-2 1))) (let ((e-43 (vector-ref arg-2 2))) (let ((e-44 (vector-ref arg-2 3))) (vector 9 e-42 e-43 (CoreC-45CompileExpr-forgetExp arg-1 e-44)))))) ((10) (let ((e-46 (vector-ref arg-2 1))) (let ((e-47 (vector-ref arg-2 2))) (let ((e-48 (vector-ref arg-2 3))) (let ((e-49 (vector-ref arg-2 4))) (vector 10 e-46 (CoreC-45CompileExpr-forgetExp arg-1 e-47) (((csegen-25) (lambda (eta-0) (CoreC-45CompileExpr-forgetConAlt arg-1 eta-0))) e-48) (((csegen-77) (lambda (eta-0) (CoreC-45CompileExpr-forgetExp arg-1 eta-0))) e-49))))))) ((11) (let ((e-51 (vector-ref arg-2 1))) (let ((e-52 (vector-ref arg-2 2))) (let ((e-53 (vector-ref arg-2 3))) (let ((e-54 (vector-ref arg-2 4))) (vector 11 e-51 (CoreC-45CompileExpr-forgetExp arg-1 e-52) (((csegen-25) (lambda (eta-0) (CoreC-45CompileExpr-forgetConstAlt arg-1 eta-0))) e-53) (((csegen-77) (lambda (eta-0) (CoreC-45CompileExpr-forgetExp arg-1 eta-0))) e-54))))))) ((12) (let ((e-56 (vector-ref arg-2 1))) (let ((e-57 (vector-ref arg-2 2))) (vector 12 e-56 e-57)))) ((13) (let ((e-59 (vector-ref arg-2 1))) (vector 13 e-59))) (else (let ((e-61 (vector-ref arg-2 1))) (let ((e-62 (vector-ref arg-2 2))) (vector 14 e-61 e-62)))))))
(define CoreC-45CompileExpr-forgetDef (lambda (arg-0) (case (vector-ref arg-0 0) ((0) (let ((e-0 (vector-ref arg-0 1))) (let ((e-1 (vector-ref arg-0 2))) (let ((u--ns (CoreC-45CompileExpr-addLocs e-0 '()))) (let ((u--argsC-39 (CoreC-45CompileExpr-conArgs e-0 u--ns))) (vector 0 u--argsC-39 (CoreC-45CompileExpr-forget e-0 e-1))))))) ((1) (let ((e-2 (vector-ref arg-0 1))) (let ((e-3 (vector-ref arg-0 2))) (let ((e-4 (vector-ref arg-0 3))) (vector 1 e-2 e-3 e-4))))) ((2) (let ((e-5 (vector-ref arg-0 1))) (let ((e-6 (vector-ref arg-0 2))) (let ((e-7 (vector-ref arg-0 3))) (vector 2 e-5 e-6 e-7))))) (else (let ((e-8 (vector-ref arg-0 1))) (vector 3 (CoreC-45CompileExpr-forget '() e-8)))))))
(define CoreC-45CompileExpr-forgetConstAlt (lambda (arg-1 arg-2) (let ((e-1 (car arg-2))) (let ((e-2 (cdr arg-2))) (cons e-1 (CoreC-45CompileExpr-forgetExp arg-1 e-2))))))
(define CoreC-45CompileExpr-forgetConAlt (lambda (arg-1 arg-2) (let ((e-1 (vector-ref arg-2 0))) (let ((e-2 (vector-ref arg-2 1))) (let ((e-3 (vector-ref arg-2 2))) (let ((e-4 (vector-ref arg-2 3))) (let ((e-5 (vector-ref arg-2 4))) (let ((u--argsC-39 (CoreC-45CompileExpr-addLocs e-4 arg-1))) (vector e-1 e-2 e-3 (CoreC-45CompileExpr-conArgs e-4 u--argsC-39) (CoreC-45CompileExpr-forgetExp u--argsC-39 e-5))))))))))
(define CoreC-45CompileExpr-forget (lambda (arg-0 arg-1) (CoreC-45CompileExpr-forgetExp (CoreC-45CompileExpr-addLocs arg-0 '()) arg-1)))
(define CoreC-45CompileExpr-findDrop (lambda (arg-2 arg-3 arg-4) (let ((eff-0 arg-3)) (if (null? arg-4) (vector 0 eff-0 arg-2) (cond ((equal? eff-0 0) (let ((e-8 (car arg-4))) e-8))(else (let ((e-4 (- eff-0 1))) (let ((e-14 (cdr arg-4))) (CoreC-45CompileExpr-findDrop arg-2 e-4 e-14)))))))))
(define CoreC-45CompileExpr-find (lambda (arg-3 arg-4 arg-5 arg-6) (CoreC-45CompileExpr-case--find-6132 arg-6 arg-5 arg-4 arg-3 (CoreC-45TT-sizedView arg-4))))
(define CoreC-45CompileExpr-embed (lambda (arg-2) arg-2))
(define CoreC-45CompileExpr-elem (lambda (arg-1 arg-2) (if (null? arg-2) 0 (let ((e-2 (car arg-2))) (let ((e-3 (cdr arg-2))) (let ((sc1 (CoreC-45Name-u--C-61C-61_Eq_Name arg-1 e-2))) (cond ((equal? sc1 1) 1) (else (CoreC-45CompileExpr-elem arg-1 e-3)))))))))
(define CoreC-45CompileExpr-conArgs (lambda (arg-1 arg-2) (if (null? arg-1) '() (let ((e-3 (cdr arg-1))) (let ((e-6 (car arg-2))) (let ((e-7 (cdr arg-2))) (cons e-6 (CoreC-45CompileExpr-conArgs e-3 e-7))))))))
(define CoreC-45CompileExpr-addLocs (lambda (arg-1 arg-2) (if (null? arg-1) arg-2 (let ((e-2 (car arg-1))) (let ((e-3 (cdr arg-1))) (let ((u--rec (CoreC-45CompileExpr-addLocs e-3 arg-2))) (cons (CoreC-45CompileExpr-uniqueName e-2 u--rec) u--rec)))))))
(define CoreC-45CaseC-45CaseTree-n--7460-8739-u--getSet (lambda (arg-1 arg-2 arg-3 arg-5 arg-6) (case (vector-ref arg-6 0) ((0) (let ((e-5 (vector-ref arg-6 4))) (CoreC-45CaseC-45CaseTree-n--7460-8738-u--getAltSets arg-1 arg-2 arg-3 arg-5 e-5))) ((1) (let ((e-8 (vector-ref arg-6 2))) (((arg-3 'erased) arg-5) e-8))) ((2) arg-5) (else arg-5))))
(define CoreC-45CaseC-45CaseTree-n--7460-8738-u--getAltSets (lambda (arg-1 arg-2 arg-3 arg-5 arg-6) (if (null? arg-6) arg-5 (let ((e-2 (car arg-6))) (let ((e-3 (cdr arg-6))) (CoreC-45CaseC-45CaseTree-n--7460-8738-u--getAltSets arg-1 arg-2 arg-3 (CoreC-45CaseC-45CaseTree-n--7460-8737-u--getAltSet arg-1 arg-2 arg-3 arg-5 e-2) e-3))))))
(define CoreC-45CaseC-45CaseTree-n--7460-8737-u--getAltSet (lambda (arg-1 arg-2 arg-3 arg-5 arg-6) (case (vector-ref arg-6 0) ((0) (let ((e-4 (vector-ref arg-6 4))) (CoreC-45CaseC-45CaseTree-n--7460-8739-u--getSet arg-1 arg-2 arg-3 arg-5 e-4))) ((1) (let ((e-8 (vector-ref arg-6 3))) (CoreC-45CaseC-45CaseTree-n--7460-8739-u--getSet arg-1 arg-2 arg-3 arg-5 e-8))) ((2) (let ((e-11 (vector-ref arg-6 2))) (CoreC-45CaseC-45CaseTree-n--7460-8739-u--getSet arg-1 arg-2 arg-3 arg-5 e-11))) (else (let ((e-13 (vector-ref arg-6 1))) (CoreC-45CaseC-45CaseTree-n--7460-8739-u--getSet arg-1 arg-2 arg-3 arg-5 e-13))))))
(define CoreC-45CaseC-45CaseTree-u--weakenNs_Weaken_CaseTree (lambda (arg-2 arg-3) (CoreC-45CaseC-45CaseTree-insertCaseNames (CoreC-45TTC-45SizeOf-zero) arg-2 arg-3)))
(define CoreC-45CaseC-45CaseTree-u--trimNS_StripNamespace_C-40CaseTreeC-32C-36varsC-41 (lambda (arg-1 arg-2) (case (vector-ref arg-2 0) ((0) (let ((e-1 (vector-ref arg-2 1))) (let ((e-2 (vector-ref arg-2 2))) (let ((e-4 (vector-ref arg-2 3))) (let ((e-5 (vector-ref arg-2 4))) (vector 0 e-1 e-2 (CoreC-45TT-u--trimNS_StripNamespace_C-40TermC-32C-36varsC-41 arg-1 e-4) (((csegen-25) (lambda (eta-0) (CoreC-45CaseC-45CaseTree-u--trimNS_StripNamespace_C-40CaseAltC-32C-36varsC-41 arg-1 eta-0))) e-5))))))) ((1) (let ((e-7 (vector-ref arg-2 1))) (let ((e-8 (vector-ref arg-2 2))) (vector 1 e-7 (CoreC-45TT-u--trimNS_StripNamespace_C-40TermC-32C-36varsC-41 arg-1 e-8)))))(else arg-2))))
(define CoreC-45CaseC-45CaseTree-u--trimNS_StripNamespace_C-40CaseAltC-32C-36varsC-41 (lambda (arg-1 arg-2) (case (vector-ref arg-2 0) ((0) (let ((e-1 (vector-ref arg-2 1))) (let ((e-2 (vector-ref arg-2 2))) (let ((e-3 (vector-ref arg-2 3))) (let ((e-4 (vector-ref arg-2 4))) (vector 0 e-1 e-2 e-3 (CoreC-45CaseC-45CaseTree-u--trimNS_StripNamespace_C-40CaseTreeC-32C-36varsC-41 arg-1 e-4))))))) ((1) (let ((e-6 (vector-ref arg-2 1))) (let ((e-7 (vector-ref arg-2 2))) (let ((e-8 (vector-ref arg-2 3))) (vector 1 e-6 e-7 (CoreC-45CaseC-45CaseTree-u--trimNS_StripNamespace_C-40CaseTreeC-32C-36varsC-41 arg-1 e-8)))))) ((2) (let ((e-10 (vector-ref arg-2 1))) (let ((e-11 (vector-ref arg-2 2))) (vector 2 e-10 (CoreC-45CaseC-45CaseTree-u--trimNS_StripNamespace_C-40CaseTreeC-32C-36varsC-41 arg-1 e-11))))) (else (let ((e-13 (vector-ref arg-2 1))) (vector 3 (CoreC-45CaseC-45CaseTree-u--trimNS_StripNamespace_C-40CaseTreeC-32C-36varsC-41 arg-1 e-13)))))))
(define CoreC-45CaseC-45CaseTree-u--show_Show_Pat (lambda (arg-0) (case (vector-ref arg-0 0) ((0) (let ((e-1 (vector-ref arg-0 2))) (let ((e-2 (vector-ref arg-0 3))) (string-append (CoreC-45Name-u--show_Show_Name e-1) (string-append "@(" (string-append (CoreC-45CaseC-45CaseTree-u--show_Show_Pat e-2) ")")))))) ((1) (let ((e-4 (vector-ref arg-0 2))) (let ((e-5 (vector-ref arg-0 3))) (let ((e-7 (vector-ref arg-0 5))) (string-append (CoreC-45Name-u--show_Show_Name e-4) (string-append " " (string-append (PreludeC-45Show-u--show_Show_Int e-5) (string-append " " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-1527) e-7))))))))) ((2) (let ((e-9 (vector-ref arg-0 2))) (let ((e-11 (vector-ref arg-0 4))) (string-append "<TyCon>" (string-append (CoreC-45Name-u--show_Show_Name e-9) (string-append " " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-1527) e-11))))))) ((3) (let ((e-13 (vector-ref arg-0 2))) (CoreC-45TT-u--show_Show_Constant e-13))) ((4) (let ((e-16 (vector-ref arg-0 3))) (let ((e-17 (vector-ref arg-0 4))) (string-append "(" (string-append (CoreC-45CaseC-45CaseTree-u--show_Show_Pat e-16) (string-append " -> " (string-append (CoreC-45CaseC-45CaseTree-u--show_Show_Pat e-17) ")"))))))) ((5) (let ((e-21 (vector-ref arg-0 4))) (string-append "(Delay " (string-append (CoreC-45CaseC-45CaseTree-u--show_Show_Pat e-21) ")")))) ((6) (let ((e-23 (vector-ref arg-0 2))) (CoreC-45Name-u--show_Show_Name e-23))) (else (let ((e-25 (vector-ref arg-0 2))) (string-append ".(" (string-append (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-25) ")")))))))
(define CoreC-45CaseC-45CaseTree-u--show_Show_C-40CaseTreeC-32C-36varsC-41 (lambda (arg-0 ext-0) (CoreC-45CaseC-45CaseTree-showCT arg-0 "" ext-0)))
(define CoreC-45CaseC-45CaseTree-u--show_Show_C-40CaseAltC-32C-36varsC-41 (lambda (arg-0 ext-0) (CoreC-45CaseC-45CaseTree-showCA arg-0 "" ext-0)))
(define CoreC-45CaseC-45CaseTree-u--showPrec_Show_Pat (lambda (arg-0 arg-1) (CoreC-45CaseC-45CaseTree-u--show_Show_Pat arg-1)))
(define CoreC-45CaseC-45CaseTree-u--restoreNS_StripNamespace_C-40CaseTreeC-32C-36varsC-41 (lambda (arg-1 arg-2) (case (vector-ref arg-2 0) ((0) (let ((e-1 (vector-ref arg-2 1))) (let ((e-2 (vector-ref arg-2 2))) (let ((e-4 (vector-ref arg-2 3))) (let ((e-5 (vector-ref arg-2 4))) (vector 0 e-1 e-2 (CoreC-45TT-u--restoreNS_StripNamespace_C-40TermC-32C-36varsC-41 arg-1 e-4) (((csegen-25) (lambda (eta-0) (CoreC-45CaseC-45CaseTree-u--restoreNS_StripNamespace_C-40CaseAltC-32C-36varsC-41 arg-1 eta-0))) e-5))))))) ((1) (let ((e-7 (vector-ref arg-2 1))) (let ((e-8 (vector-ref arg-2 2))) (vector 1 e-7 (CoreC-45TT-u--restoreNS_StripNamespace_C-40TermC-32C-36varsC-41 arg-1 e-8)))))(else arg-2))))
(define CoreC-45CaseC-45CaseTree-u--restoreNS_StripNamespace_C-40CaseAltC-32C-36varsC-41 (lambda (arg-1 arg-2) (case (vector-ref arg-2 0) ((0) (let ((e-1 (vector-ref arg-2 1))) (let ((e-2 (vector-ref arg-2 2))) (let ((e-3 (vector-ref arg-2 3))) (let ((e-4 (vector-ref arg-2 4))) (vector 0 e-1 e-2 e-3 (CoreC-45CaseC-45CaseTree-u--restoreNS_StripNamespace_C-40CaseTreeC-32C-36varsC-41 arg-1 e-4))))))) ((1) (let ((e-6 (vector-ref arg-2 1))) (let ((e-7 (vector-ref arg-2 2))) (let ((e-8 (vector-ref arg-2 3))) (vector 1 e-6 e-7 (CoreC-45CaseC-45CaseTree-u--restoreNS_StripNamespace_C-40CaseTreeC-32C-36varsC-41 arg-1 e-8)))))) ((2) (let ((e-10 (vector-ref arg-2 1))) (let ((e-11 (vector-ref arg-2 2))) (vector 2 e-10 (CoreC-45CaseC-45CaseTree-u--restoreNS_StripNamespace_C-40CaseTreeC-32C-36varsC-41 arg-1 e-11))))) (else (let ((e-13 (vector-ref arg-2 1))) (vector 3 (CoreC-45CaseC-45CaseTree-u--restoreNS_StripNamespace_C-40CaseTreeC-32C-36varsC-41 arg-1 e-13)))))))
(define CoreC-45CaseC-45CaseTree-u--pretty_Pretty_IdrisSyntax_Pat (lambda (arg-0) (CoreC-45CaseC-45CaseTree-u--prettyPrec_Pretty_IdrisSyntax_Pat (vector 0 ) arg-0)))
(define CoreC-45CaseC-45CaseTree-u--prettyPrec_Pretty_IdrisSyntax_Pat (lambda (arg-0 arg-1) (case (vector-ref arg-1 0) ((0) (let ((e-1 (vector-ref arg-1 2))) (let ((e-2 (vector-ref arg-1 3))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-1529) e-1) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (IdrisC-45PrettyC-45Annotations-keyword (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-594) "@")) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-parens (CoreC-45CaseC-45CaseTree-u--pretty_Pretty_IdrisSyntax_Pat e-2))))))) ((1) (let ((e-4 (vector-ref arg-1 2))) (let ((e-7 (vector-ref arg-1 5))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-parenthesise (PreludeC-45Show-u--C-62_Ord_Prec arg-0 (vector 0 )) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-hsep (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-1529) e-4) ((csegen-1533) e-7))))))) ((2) (let ((e-9 (vector-ref arg-1 2))) (let ((e-11 (vector-ref arg-1 4))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-parenthesise (PreludeC-45Show-u--C-62_Ord_Prec arg-0 (vector 0 )) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-hsep (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-1529) e-9) ((csegen-1533) e-11))))))) ((3) (let ((e-13 (vector-ref arg-1 2))) (CoreC-45TT-u--pretty_Pretty_IdrisSyntax_Constant e-13))) ((4) (let ((e-16 (vector-ref arg-1 3))) (let ((e-17 (vector-ref arg-1 4))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-parenthesise (PreludeC-45Show-u--C-62_Ord_Prec arg-0 (vector 0 )) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (CoreC-45CaseC-45CaseTree-u--pretty_Pretty_IdrisSyntax_Pat e-16) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45PrettyC-45Annotations-arrow) (CoreC-45CaseC-45CaseTree-u--pretty_Pretty_IdrisSyntax_Pat e-17))))))) ((5) (let ((e-21 (vector-ref arg-1 4))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-parens (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "Delay") (CoreC-45CaseC-45CaseTree-u--pretty_Pretty_IdrisSyntax_Pat e-21))))) ((6) (let ((e-23 (vector-ref arg-1 2))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-1529) e-23))) (else (let ((e-25 (vector-ref arg-1 2))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (IdrisC-45PrettyC-45Annotations-keyword (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-594) ".")) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-parens (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-byShow (csegen-1538) e-25))))))))
(define CoreC-45CaseC-45CaseTree-showCT (lambda (arg-0 arg-1 arg-2) (case (vector-ref arg-2 0) ((0) (let ((e-1 (vector-ref arg-2 1))) (let ((e-2 (vector-ref arg-2 2))) (let ((e-4 (vector-ref arg-2 3))) (let ((e-5 (vector-ref arg-2 4))) (string-append "case " (string-append (CoreC-45Name-u--show_Show_Name e-1) (string-append "[" (string-append (PreludeC-45Show-u--show_Show_Nat e-2) (string-append "] : " (string-append (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-0 e-4) (string-append " of" (string-append "\xa;" (string-append arg-1 (string-append " { " (string-append (CoreC-45NameC-45Namespace-showSep (string-append "\xa;" (string-append arg-1 " | ")) (((csegen-25) (lambda (eta-0) (CoreC-45CaseC-45CaseTree-showCA arg-0 (string-append "  " arg-1) eta-0))) e-5)) (string-append "\xa;" (string-append arg-1 " }")))))))))))))))))) ((1) (let ((e-7 (vector-ref arg-2 1))) (let ((e-8 (vector-ref arg-2 2))) (string-append "[" (string-append (PreludeC-45Show-u--show_Show_Int e-7) (string-append "] " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-0 e-8))))))) ((2) (let ((e-10 (vector-ref arg-2 1))) (string-append "Error: " (PreludeC-45Show-u--show_Show_String e-10)))) (else "Impossible"))))
(define CoreC-45CaseC-45CaseTree-showCA (lambda (arg-0 arg-1 arg-2) (case (vector-ref arg-2 0) ((0) (let ((e-1 (vector-ref arg-2 1))) (let ((e-3 (vector-ref arg-2 3))) (let ((e-4 (vector-ref arg-2 4))) (string-append (CoreC-45NameC-45Namespace-showSep " " ((csegen-102) (cons e-1 e-3))) (string-append " => " (CoreC-45CaseC-45CaseTree-showCT (PreludeC-45TypesC-45List-tailRecAppend e-3 arg-0) arg-1 e-4))))))) ((1) (let ((e-6 (vector-ref arg-2 1))) (let ((e-7 (vector-ref arg-2 2))) (let ((e-8 (vector-ref arg-2 3))) (string-append "Delay " (string-append (CoreC-45Name-u--show_Show_Name e-7) (string-append " => " (CoreC-45CaseC-45CaseTree-showCT (cons e-6 (cons e-7 arg-0)) arg-1 e-8)))))))) ((2) (let ((e-10 (vector-ref arg-2 1))) (let ((e-11 (vector-ref arg-2 2))) (string-append "Constant " (string-append (CoreC-45TT-u--show_Show_Constant e-10) (string-append " => " (CoreC-45CaseC-45CaseTree-showCT arg-0 arg-1 e-11))))))) (else (let ((e-13 (vector-ref arg-2 1))) (string-append "_ => " (CoreC-45CaseC-45CaseTree-showCT arg-0 arg-1 e-13)))))))
(define CoreC-45CaseC-45CaseTree-mkTerm (lambda (arg-0 arg-1) (case (vector-ref arg-1 0) ((0) (let ((e-2 (vector-ref arg-1 3))) (CoreC-45CaseC-45CaseTree-mkTerm arg-0 e-2))) ((1) (let ((e-3 (vector-ref arg-1 1))) (let ((e-4 (vector-ref arg-1 2))) (let ((e-5 (vector-ref arg-1 3))) (let ((e-6 (vector-ref arg-1 4))) (let ((e-7 (vector-ref arg-1 5))) (CoreC-45TT-apply e-3 (vector 1 e-3 (vector 2 e-5 e-6) e-4) (((csegen-25) (lambda (eta-0) (CoreC-45CaseC-45CaseTree-mkTerm arg-0 eta-0))) e-7)))))))) ((2) (let ((e-8 (vector-ref arg-1 1))) (let ((e-9 (vector-ref arg-1 2))) (let ((e-10 (vector-ref arg-1 3))) (let ((e-11 (vector-ref arg-1 4))) (CoreC-45TT-apply e-8 (vector 1 e-8 (vector 3 0 e-10) e-9) (((csegen-25) (lambda (eta-0) (CoreC-45CaseC-45CaseTree-mkTerm arg-0 eta-0))) e-11))))))) ((3) (let ((e-12 (vector-ref arg-1 1))) (let ((e-13 (vector-ref arg-1 2))) (vector 9 e-12 e-13)))) ((4) (let ((e-14 (vector-ref arg-1 1))) (let ((e-15 (vector-ref arg-1 2))) (let ((e-16 (vector-ref arg-1 3))) (let ((e-17 (vector-ref arg-1 4))) (vector 3 e-14 e-15 (vector 2 e-14 (AlgebraC-45ZeroOneOmega-u--top_Top_ZeroOneOmega) (vector 1 ) (CoreC-45CaseC-45CaseTree-mkTerm arg-0 e-16)) (CoreC-45CaseC-45CaseTree-mkTerm (cons e-15 arg-0) e-17))))))) ((5) (let ((e-18 (vector-ref arg-1 1))) (let ((e-19 (vector-ref arg-1 2))) (let ((e-20 (vector-ref arg-1 3))) (let ((e-21 (vector-ref arg-1 4))) (vector 7 e-18 e-19 (CoreC-45CaseC-45CaseTree-mkTerm arg-0 e-20) (CoreC-45CaseC-45CaseTree-mkTerm arg-0 e-21))))))) ((6) (let ((e-22 (vector-ref arg-1 1))) (let ((e-23 (vector-ref arg-1 2))) (let ((sc1 (CoreC-45TT-isVar e-23 arg-0))) (if (null? sc1) (vector 1 e-22 (vector 0 ) e-23) (let ((e-1 (unbox sc1))) (let ((eff-0 e-1)) (vector 0 e-22 '() eff-0)))))))) (else (let ((e-25 (vector-ref arg-1 2))) (CoreC-45TT-embed e-25))))))
(define CoreC-45CaseC-45CaseTree-measureAlts (lambda (arg-1) (case (vector-ref arg-1 0) ((0) (let ((e-4 (vector-ref arg-1 4))) (+ (CoreC-45CaseC-45CaseTree-measure e-4) 1))) ((1) (let ((e-8 (vector-ref arg-1 3))) (+ (CoreC-45CaseC-45CaseTree-measure e-8) 1))) ((2) (let ((e-11 (vector-ref arg-1 2))) (+ (CoreC-45CaseC-45CaseTree-measure e-11) 1))) (else (let ((e-13 (vector-ref arg-1 1))) (+ (CoreC-45CaseC-45CaseTree-measure e-13) 1))))))
(define CoreC-45CaseC-45CaseTree-measure (lambda (arg-1) (case (vector-ref arg-1 0) ((0) (let ((e-5 (vector-ref arg-1 4))) (PreludeC-45Interfaces-sum (csegen-157) (csegen-16) (PreludeC-45Interfaces-C-60C-36C-62 (csegen-24) (lambda (eta-0) (CoreC-45CaseC-45CaseTree-measureAlts eta-0)) e-5)))) ((1) 0) ((2) 0) (else 0))))
(define CoreC-45CaseC-45CaseTree-isPConst (lambda (arg-0) (case (vector-ref arg-0 0) ((3) (let ((e-1 (vector-ref arg-0 2))) (box e-1)))(else '()))))
(define CoreC-45CaseC-45CaseTree-isDefault (lambda (arg-1) (case (vector-ref arg-1 0) ((3) 1)(else 0))))
(define CoreC-45CaseC-45CaseTree-insertCaseNames (lambda (arg-3 arg-4 arg-5) (case (vector-ref arg-5 0) ((0) (let ((e-1 (vector-ref arg-5 1))) (let ((e-2 (vector-ref arg-5 2))) (let ((e-4 (vector-ref arg-5 3))) (let ((e-5 (vector-ref arg-5 4))) (let ((eff-0 (CoreC-45TT-insertNVarNames arg-3 arg-4 e-2))) (vector 0 e-1 eff-0 (CoreC-45TT-insertNames arg-3 arg-4 e-4) (((csegen-25) (lambda (eta-0) (CoreC-45CaseC-45CaseTree-insertCaseAltNames arg-3 arg-4 eta-0))) e-5)))))))) ((1) (let ((e-7 (vector-ref arg-5 1))) (let ((e-8 (vector-ref arg-5 2))) (vector 1 e-7 (CoreC-45TT-insertNames arg-3 arg-4 e-8))))) ((2) (let ((e-10 (vector-ref arg-5 1))) (vector 2 e-10))) (else (vector 3 )))))
(define CoreC-45CaseC-45CaseTree-insertCaseAltNames (lambda (arg-3 arg-4 arg-5) (case (vector-ref arg-5 0) ((0) (let ((e-1 (vector-ref arg-5 1))) (let ((e-2 (vector-ref arg-5 2))) (let ((e-3 (vector-ref arg-5 3))) (let ((e-4 (vector-ref arg-5 4))) (vector 0 e-1 e-2 e-3 (CoreC-45CaseC-45CaseTree-insertCaseNames (CoreC-45TTC-45SizeOf-C-43 (CoreC-45TTC-45SizeOf-mkSizeOf e-3) arg-3) arg-4 e-4))))))) ((1) (let ((e-6 (vector-ref arg-5 1))) (let ((e-7 (vector-ref arg-5 2))) (let ((e-8 (vector-ref arg-5 3))) (vector 1 e-6 e-7 (CoreC-45CaseC-45CaseTree-insertCaseNames (CoreC-45TTC-45SizeOf-suc (CoreC-45TTC-45SizeOf-suc arg-3)) arg-4 e-8)))))) ((2) (let ((e-10 (vector-ref arg-5 1))) (let ((e-11 (vector-ref arg-5 2))) (vector 2 e-10 (CoreC-45CaseC-45CaseTree-insertCaseNames arg-3 arg-4 e-11))))) (else (let ((e-13 (vector-ref arg-5 1))) (vector 3 (CoreC-45CaseC-45CaseTree-insertCaseNames arg-3 arg-4 e-13)))))))
(define CoreC-45CaseC-45CaseTree-getNames (lambda (arg-1 arg-2 arg-3) (CoreC-45CaseC-45CaseTree-n--7460-8739-u--getSet arg-3 arg-2 arg-1 arg-2 arg-3)))
(define CoreC-45CaseC-45CaseTree-getMetas (lambda (ext-0) (CoreC-45CaseC-45CaseTree-getNames (lambda (vs-8872) (lambda (eta-0) (lambda (eta-1) (CoreC-45TT-addMetas 0 eta-0 eta-1)))) (LibrariesC-45DataC-45NameMap-empty) ext-0)))
(define CoreC-45CaseC-45CaseTree-addRefs (lambda (arg-1 arg-2 ext-0) (CoreC-45CaseC-45CaseTree-getNames (lambda (vs-8858) (lambda (eta-0) (lambda (eta-1) (CoreC-45TT-addRefs 0 arg-1 eta-0 eta-1)))) arg-2 ext-0)))
(define CoreC-45Context-case--checkTimer-28392 (lambda (arg-0 arg-1 arg-2) (if (null? arg-2) (lambda (eta-0) (vector 1 (vector 0 ))) (let ((e-1 (unbox arg-2))) (let ((e-5 (car e-1))) (let ((e-6 (cdr e-1))) (let ((eff-0 (CoreC-45Context-getTime))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (clam-0) (let ((sc3 (PreludeC-45EqOrd-u--C-62_Ord_Integer e-7 e-5))) (cond ((equal? sc3 1) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 63 e-6) clam-0)) (else (vector 1 (vector 0 )))))))) eff-1)))))))))))))
(define CoreC-45Context-case--addTransform-22560 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (if (null? arg-4) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 arg-1 "LHS of a transformation must be a function application") eta-0)) (let ((e-1 (unbox arg-4))) (let ((eff-0 (CoreC-45Context-toResolvedNames arg-2 (csegen-81) e-1))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toResolvedNames arg-2 (csegen-1543) arg-0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-2 (csegen-81) e-1))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45Context-toFullNames arg-2 (csegen-1543) arg-0))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((sc5 (LibrariesC-45DataC-45NameMap-lookup e-5 (let ((e-13 (vector-ref arg-3 13))) e-13)))) (if (null? sc5) (let ((eff-4 arg-2)) (PrimIO-io_bind (let ((eff-5 eff-4)) (lambda (eta-0) (set-box! eff-5 (let ((e-0 (vector-ref arg-3 0))) (let ((e-36 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-3 (vector-ref arg-3 3))) (let ((e-4 (vector-ref arg-3 4))) (let ((e-35 (vector-ref arg-3 5))) (let ((e-34 (vector-ref arg-3 6))) (let ((e-33 (vector-ref arg-3 7))) (let ((e-32 (vector-ref arg-3 8))) (let ((e-9 (vector-ref arg-3 9))) (let ((e-10 (vector-ref arg-3 10))) (let ((e-11 (vector-ref arg-3 11))) (let ((e-12 (vector-ref arg-3 12))) (let ((e-13 (vector-ref arg-3 13))) (let ((e-14 (vector-ref arg-3 14))) (let ((e-15 (vector-ref arg-3 15))) (let ((e-16 (vector-ref arg-3 16))) (let ((e-17 (vector-ref arg-3 17))) (let ((e-18 (vector-ref arg-3 18))) (let ((e-19 (vector-ref arg-3 19))) (let ((e-20 (vector-ref arg-3 20))) (let ((e-21 (vector-ref arg-3 21))) (let ((e-22 (vector-ref arg-3 22))) (let ((e-23 (vector-ref arg-3 23))) (let ((e-24 (vector-ref arg-3 24))) (let ((e-25 (vector-ref arg-3 25))) (let ((e-26 (vector-ref arg-3 26))) (let ((e-27 (vector-ref arg-3 27))) (let ((e-28 (vector-ref arg-3 28))) (let ((e-29 (vector-ref arg-3 29))) (let ((e-30 (vector-ref arg-3 30))) (let ((e-31 (vector-ref arg-3 31))) (vector e-0 e-36 e-2 e-3 e-4 e-35 e-34 e-33 e-32 e-9 e-10 e-11 e-12 (LibrariesC-45DataC-45NameMap-insert e-5 (cons e-6 '()) e-13) (cons (cons e-7 e-8) e-14) e-15 e-16 e-17 e-18 e-19 e-20 e-21 e-22 e-23 e-24 e-25 e-26 e-27 e-28 e-29 e-30 e-31)))))))))))))))))))))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))) (let ((e-2 (unbox sc5))) (let ((eff-4 arg-2)) (PrimIO-io_bind (let ((eff-5 eff-4)) (lambda (eta-0) (set-box! eff-5 (let ((e-0 (vector-ref arg-3 0))) (let ((e-37 (vector-ref arg-3 1))) (let ((e-36 (vector-ref arg-3 2))) (let ((e-3 (vector-ref arg-3 3))) (let ((e-4 (vector-ref arg-3 4))) (let ((e-35 (vector-ref arg-3 5))) (let ((e-34 (vector-ref arg-3 6))) (let ((e-33 (vector-ref arg-3 7))) (let ((e-32 (vector-ref arg-3 8))) (let ((e-9 (vector-ref arg-3 9))) (let ((e-10 (vector-ref arg-3 10))) (let ((e-11 (vector-ref arg-3 11))) (let ((e-12 (vector-ref arg-3 12))) (let ((e-13 (vector-ref arg-3 13))) (let ((e-14 (vector-ref arg-3 14))) (let ((e-15 (vector-ref arg-3 15))) (let ((e-16 (vector-ref arg-3 16))) (let ((e-17 (vector-ref arg-3 17))) (let ((e-18 (vector-ref arg-3 18))) (let ((e-19 (vector-ref arg-3 19))) (let ((e-20 (vector-ref arg-3 20))) (let ((e-21 (vector-ref arg-3 21))) (let ((e-22 (vector-ref arg-3 22))) (let ((e-23 (vector-ref arg-3 23))) (let ((e-24 (vector-ref arg-3 24))) (let ((e-25 (vector-ref arg-3 25))) (let ((e-26 (vector-ref arg-3 26))) (let ((e-27 (vector-ref arg-3 27))) (let ((e-28 (vector-ref arg-3 28))) (let ((e-29 (vector-ref arg-3 29))) (let ((e-30 (vector-ref arg-3 30))) (let ((e-31 (vector-ref arg-3 31))) (vector e-0 e-37 e-36 e-3 e-4 e-35 e-34 e-33 e-32 e-9 e-10 e-11 e-12 (LibrariesC-45DataC-45NameMap-insert e-5 (cons e-6 e-2) e-13) (cons (cons e-7 e-8) e-14) e-15 e-16 e-17 e-18 e-19 e-20 e-21 e-22 e-23 e-24 e-25 e-26 e-27 e-28 e-29 e-30 e-31)))))))))))))))))))))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))
(define CoreC-45Context-case--caseC-32blockC-32inC-32setExternal-21735 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (case (vector-ref arg-7 0) ((6) (let ((e-0 (vector-ref arg-7 1))) (let ((e-1 (vector-ref arg-7 2))) (let ((e-2 (vector-ref arg-7 3))) (let ((e-3 (vector-ref arg-7 4))) (let ((e-4 (vector-ref arg-7 5))) (let ((e-5 (vector-ref arg-7 6))) (let ((e-6 (vector-ref arg-7 7))) (let ((e-7 (vector-ref arg-7 8))) (let ((u--flC-39 (let ((e-9 (car e-4))) (cons e-9 arg-0)))) (CoreC-45Context-updateDef arg-3 arg-1 (lambda (eta-0) (box (vector 6 e-0 e-1 e-2 e-3 u--flC-39 e-5 e-6 e-7))))))))))))))(else (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 arg-2 (string-append (CoreC-45Name-u--show_Show_Name (let ((e-1 (vector-ref arg-5 1))) e-1)) " is not a type constructor [setDetermining]")) eta-0))))))
(define CoreC-45Context-case--caseC-32blockC-32inC-32setUniqueSearch-21577 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (case (vector-ref arg-7 0) ((6) (let ((e-0 (vector-ref arg-7 1))) (let ((e-1 (vector-ref arg-7 2))) (let ((e-2 (vector-ref arg-7 3))) (let ((e-3 (vector-ref arg-7 4))) (let ((e-4 (vector-ref arg-7 5))) (let ((e-5 (vector-ref arg-7 6))) (let ((e-6 (vector-ref arg-7 7))) (let ((e-7 (vector-ref arg-7 8))) (let ((u--flC-39 (let ((e-8 (cdr e-4))) (cons arg-0 e-8)))) (CoreC-45Context-updateDef arg-3 arg-1 (lambda (eta-0) (box (vector 6 e-0 e-1 e-2 e-3 u--flC-39 e-5 e-6 e-7))))))))))))))(else (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 arg-2 (string-append (CoreC-45Name-u--show_Show_Name (let ((e-1 (vector-ref arg-5 1))) e-1)) " is not a type constructor [setDetermining]")) eta-0))))))
(define CoreC-45Context-case--aliasName-17067 (lambda (arg-0 arg-1 arg-2 arg-3) (if (null? arg-3) (lambda (eta-0) (vector 1 arg-0)) (let ((e-1 (unbox arg-3))) (let ((sc1 (LibrariesC-45DataC-45UserNameMap-lookup e-1 (let ((e-0 (vector-ref arg-2 0))) (let ((e-41 (vector-ref e-0 3))) e-41))))) (if (null? sc1) (lambda (eta-0) (vector 1 arg-0)) (let ((e-2 (unbox sc1))) (CoreC-45Context-n--21146-16999-u--findAlias arg-0 arg-1 e-2))))))))
(define CoreC-45Context-case--caseC-32blockC-32inC-32caseC-32blockC-32inC-32getSimilarNames-16013 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (if (null? arg-6) (lambda (eta-0) (vector 1 '())) (let ((e-1 (unbox arg-6))) (let ((eff-0 (PrimIO-io_bind (LibrariesC-45TextC-45DistanceC-45Levenshtein-compute (csegen-40) arg-2 e-1) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((sc2 (PreludeC-45Types-u--C-60C-61_Ord_Nat e-5 arg-4))) (cond ((equal? sc2 1) (let ((eff-1 (CoreC-45Context-lookupCtxtExact arg-5 (let ((e-0 (vector-ref arg-3 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (clam-0) (if (null? e-6) (vector 1 '()) (let ((e-2 (unbox e-6))) (vector 1 (box (cons (let ((e-9 (vector-ref e-2 9))) e-9) e-5)))))))) eff-2)))))))) (else (lambda (eta-0) (vector 1 '()))))))) eff-1)))))))))))
(define CoreC-45Context-case--getSimilarNames-15922 (lambda (arg-0 arg-1 arg-2) (if (null? arg-2) (lambda (eta-0) (vector 1 '())) (let ((e-2 (unbox arg-2))) (let ((sc1 (PreludeC-45Types-u--C-60C-61_Ord_Nat (PreludeC-45TypesC-45String-length e-2) 1))) (cond ((equal? sc1 1) (lambda (eta-0) (vector 1 (box (cons e-2 '()))))) (else (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--threshold (PreludeC-45Types-u--max_Ord_Nat 1 (DataC-45Nat-divNat (PreludeC-45TypesC-45String-length e-2) 3)))) (let ((u--test (lambda (u--nm) (CoreC-45Context-case--caseC-32blockC-32inC-32caseC-32blockC-32inC-32getSimilarNames-16013 arg-0 arg-1 e-2 e-5 u--threshold u--nm (PreludeC-45Interfaces-C-60C-36C-62 (csegen-76) (lambda (eta-0) (CoreC-45Name-u--show_Show_UserName eta-0)) (CoreC-45Name-userNameRoot u--nm)))))) (let ((eff-1 (LibrariesC-45DataC-45NameMap-mapMaybeM (csegen-1311) u--test (let ((e-0 (vector-ref e-5 0))) (let ((e-43 (vector-ref e-0 2))) e-43))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-3 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (box (cons e-2 (LibrariesC-45DataC-45NameMap-toList e-6))))))) eff-2))))))))))) eff-1))))))))))))))
(define CoreC-45Context-case--commitCtxt-6731 (lambda (arg-0 arg-1) (cond ((equal? arg-1 0) (lambda (eta-0) (vector 1 arg-0)))(else (let ((e-0 (- arg-1 1))) (cond ((equal? e-0 0) (let ((u--a (let ((e-4 (vector-ref arg-0 4))) e-4))) (let ((eff-0 (let ((eff-0 u--a)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (PrimIO-io_bind (CoreC-45Context-n--10573-6693-u--commitStaged arg-0 (LibrariesC-45DataC-45IntMap-toList (let ((e-6 (vector-ref arg-0 6))) e-6)) e-5) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (lambda (eta-0) (vector 1 (let ((e-14 (vector-ref arg-0 0))) (let ((e-1 (vector-ref arg-0 1))) (let ((e-2 (vector-ref arg-0 2))) (let ((e-3 (vector-ref arg-0 3))) (let ((e-4 (vector-ref arg-0 4))) (let ((e-7 (vector-ref arg-0 7))) (let ((e-8 (vector-ref arg-0 8))) (let ((e-9 (vector-ref arg-0 9))) (let ((e-10 (vector-ref arg-0 10))) (let ((e-11 (vector-ref arg-0 11))) (vector e-14 e-1 e-2 e-3 e-4 0 (LibrariesC-45DataC-45IntMap-empty) e-7 e-8 e-9 e-10 e-11))))))))))))))) eff-2)))))))) eff-1)))))))))(else (lambda (eta-0) (vector 1 (let ((e-12 (vector-ref arg-0 0))) (let ((e-1 (vector-ref arg-0 1))) (let ((e-2 (vector-ref arg-0 2))) (let ((e-3 (vector-ref arg-0 3))) (let ((e-4 (vector-ref arg-0 4))) (let ((e-6 (vector-ref arg-0 6))) (let ((e-7 (vector-ref arg-0 7))) (let ((e-8 (vector-ref arg-0 8))) (let ((e-9 (vector-ref arg-0 9))) (let ((e-10 (vector-ref arg-0 10))) (let ((e-11 (vector-ref arg-0 11))) (vector e-12 e-1 e-2 e-3 e-4 e-0 e-6 e-7 e-8 e-9 e-10 e-11)))))))))))))))))))))
(define CoreC-45Context-case--lookupCtxtNameC-39-6471 (lambda (arg-0 arg-1 arg-2 arg-3) (if (null? arg-3) (let ((eff-0 (CoreC-45Context-lookupCtxtExactI arg-1 arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (clam-0) (if (null? e-5) (vector 1 '()) (let ((e-1 (unbox e-5))) (let ((e-7 (car e-1))) (let ((e-6 (cdr e-1))) (vector 1 (cons (cons arg-1 (cons e-7 e-6)) '()))))))))) eff-1))))))) (let ((e-2 (unbox arg-3))) (let ((sc1 (LibrariesC-45DataC-45UserNameMap-lookup e-2 (let ((e-3 (vector-ref arg-0 3))) e-3)))) (if (null? sc1) (lambda (eta-0) (vector 1 '())) (let ((e-1 (unbox sc1))) (CoreC-45Context-n--9884-6079-u--lookupPossibles arg-0 arg-1 arg-2 '() e-1))))))))
(define CoreC-45Context-case--lookupCtxtExact-5758 (lambda (arg-0 arg-1 arg-2) (if (null? arg-2) (let ((eff-0 (let ((eff-0 (let ((e-4 (vector-ref arg-1 4))) e-4))) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (PrimIO-io_bind (LibrariesC-45DataC-45IOArray-readArray (csegen-40) e-5 arg-0) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-6) (lambda (eta-0) (vector 1 '())) (let ((e-1 (unbox e-6))) (let ((eff-2 (CoreC-45Context-decode arg-1 arg-0 1 e-1))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 ((csegen-1545) (CoreC-45Context-returnDef (let ((e-9 (vector-ref arg-1 9))) e-9) arg-0 e-7)))))) eff-3))))))))))) eff-2))))))))) eff-1))))))) (let ((e-1 (unbox arg-2))) (let ((eff-0 (CoreC-45Context-decode arg-1 arg-0 1 e-1))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 ((csegen-1545) (CoreC-45Context-returnDef (let ((e-9 (vector-ref arg-1 9))) e-9) arg-0 e-5)))))) eff-1)))))))))))
(define CoreC-45Context-case--returnDef-5563 (lambda (arg-0 arg-1 arg-2) (case (vector-ref arg-2 0) ((1) (let ((e-0 (vector-ref arg-2 1))) (let ((sc1 (let ((e-6 (vector-ref e-0 1))) e-6))) (cond ((equal? sc1 1) (box (cons arg-1 arg-0))) (else '())))))(else '()))))
(define CoreC-45Context-case--addAlias-4962 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (if (null? arg-4) arg-0 (let ((e-2 (unbox arg-4))) (let ((sc1 (LibrariesC-45DataC-45UserNameMap-lookup e-2 arg-0))) (if (null? sc1) (LibrariesC-45DataC-45UserNameMap-insert e-2 (cons (vector 1 arg-3 arg-2 arg-1) '()) arg-0) (let ((e-3 (unbox sc1))) (LibrariesC-45DataC-45UserNameMap-insert e-2 (cons (vector 1 arg-3 arg-2 arg-1) e-3) arg-0))))))))
(define CoreC-45Context-case--addPossible-4884 (lambda (arg-0 arg-1 arg-2 arg-3) (if (null? arg-3) arg-0 (let ((e-2 (unbox arg-3))) (let ((sc1 (LibrariesC-45DataC-45UserNameMap-lookup e-2 arg-0))) (if (null? sc1) (LibrariesC-45DataC-45UserNameMap-insert e-2 (cons (vector 0 arg-2 arg-1) '()) arg-0) (let ((e-3 (unbox sc1))) (LibrariesC-45DataC-45UserNameMap-insert e-2 (cons (vector 0 arg-2 arg-1) e-3) arg-0))))))))
(define CoreC-45Context-n--28788-24014-u--visible (lambda (arg-0 arg-1 arg-2) (CoreC-45NameC-45Namespace-isParentOf arg-2 arg-0)))
(define CoreC-45Context-n--13308-9300-u--trimNSpat (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (let ((e-2 (car arg-6))) (let ((e-3 (cdr arg-6))) (let ((e-6 (car e-3))) (let ((e-7 (cdr e-3))) (let ((e-10 (car e-7))) (let ((e-11 (cdr e-7))) (cons e-2 (cons e-6 (cons (CoreC-45TT-u--trimNS_StripNamespace_C-40TermC-32C-36varsC-41 arg-5 e-10) (CoreC-45TT-u--trimNS_StripNamespace_C-40TermC-32C-36varsC-41 arg-5 e-11))))))))))))
(define CoreC-45Context-n--20252-16204-u--showNames (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (let ((u--adj (cond ((equal? arg-6 1) ((csegen-0) " (not exported)")) (else (csegen-1))))) (let ((u--root (CoreC-45Name-nameRoot arg-7))) (let ((sc0 (PreludeC-45EqOrd-u--C-61C-61_Eq_String arg-5 u--root))) (cond ((equal? sc0 1) (let ((u--full (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--show_Show_C-40DocC-32C-36annC-41 (CoreC-45Name-u--pretty_Pretty_Void_Name arg-7)))) (let ((sc1 (let ((sc2 (let ((sc3 (PreludeC-45EqOrd-u--C-61C-61_Eq_String arg-5 u--full))) (cond ((equal? sc3 1) 1) (else (PreludeC-45EqOrd-u--C-61C-61_Eq_String (CoreC-45Name-u--show_Show_Name arg-4) u--full)))))) (cond ((equal? sc2 1) (cond ((equal? arg-6 1) 0) (else 1))) (else 0))))) (cond ((equal? sc1 1) '())(else (box (string-append u--full u--adj)))))))(else (box (string-append u--root u--adj)))))))))
(define CoreC-45Context-n--13316-9359-u--restoreNSpat (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (let ((e-2 (car arg-6))) (let ((e-3 (cdr arg-6))) (let ((e-6 (car e-3))) (let ((e-7 (cdr e-3))) (let ((e-10 (car e-7))) (let ((e-11 (cdr e-7))) (cons e-2 (cons e-6 (cons (CoreC-45TT-u--restoreNS_StripNamespace_C-40TermC-32C-36varsC-41 arg-5 e-10) (CoreC-45TT-u--restoreNS_StripNamespace_C-40TermC-32C-36varsC-41 arg-5 e-11))))))))))))
(define CoreC-45Context-n--12939-9110-u--resolvedNamesPat (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (let ((e-2 (car arg-6))) (let ((e-3 (cdr arg-6))) (let ((e-6 (car e-3))) (let ((e-7 (cdr e-3))) (let ((e-10 (car e-7))) (let ((e-11 (cdr e-7))) (let ((eff-0 (CoreC-45Context-u--resolved_HasNames_C-40C-40EnvC-32TermC-41C-32C-36varsC-41 arg-5 e-6))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-u--resolved_HasNames_C-40TermC-32C-36varsC-41 arg-5 e-10))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-8 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-u--resolved_HasNames_C-40TermC-32C-36varsC-41 arg-5 e-11))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-9 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (cons e-2 (cons e-5 (cons e-8 e-9))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))
(define CoreC-45Context-n--9884-6077-u--resn (lambda (arg-0 arg-1 arg-2 arg-3) (let ((e-3 (cdr arg-3))) (let ((e-6 (car e-3))) e-6))))
(define CoreC-45Context-n--19726-15709-u--resetElab (lambda (arg-0 arg-1) (let ((u--tot (let ((e-2 (vector-ref arg-1 2))) (let ((e-32 (vector-ref e-2 1))) e-32)))) (let ((e-0 (vector-ref arg-1 0))) (let ((e-1 (vector-ref arg-1 1))) (let ((e-2 (vector-ref arg-1 2))) (let ((e-4 (vector-ref arg-1 4))) (let ((e-5 (vector-ref arg-1 5))) (let ((e-6 (vector-ref arg-1 6))) (let ((e-7 (vector-ref arg-1 7))) (let ((e-8 (vector-ref arg-1 8))) (let ((e-9 (vector-ref arg-1 9))) (vector e-0 e-1 e-2 (let ((sc0 (CoreC-45Options-defaultElab))) (let ((e-16 (vector-ref sc0 0))) (let ((e-15 (vector-ref sc0 1))) (let ((e-13 (vector-ref sc0 3))) (let ((e-12 (vector-ref sc0 4))) (let ((e-11 (vector-ref sc0 5))) (let ((e-10 (vector-ref sc0 6))) (vector e-16 e-15 u--tot e-13 e-12 e-11 e-10)))))))) e-4 e-5 e-6 e-7 e-8 e-9)))))))))))))
(define CoreC-45Context-n--30264-25455-u--resetCtxt (lambda (arg-1 arg-2) (let ((u--dir (let ((e-4 (vector-ref arg-2 4))) (let ((e-41 (vector-ref e-4 0))) (let ((e-52 (vector-ref e-41 0))) e-52))))) (let ((eff-0 (PrimIO-io_bind (SystemC-45Directory-changeDir (csegen-40) u--dir) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-0) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-0) arg-3)))) (lambda (_-8679) (vector 0 )))) eff-0)))))
(define CoreC-45Context-n--24843-20399-u--notHidden (lambda (arg-0 arg-1 arg-2 arg-3 arg-5 arg-6) (let ((e-2 (car arg-5))) (let ((eff-0 (CoreC-45Context-toFullNames arg-3 (csegen-81) e-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (let ((sc2 (CoreC-45Context-isHidden e-5 arg-6))) (cond ((equal? sc2 1) 0) (else 1))))))) eff-1))))))))))
(define CoreC-45Context-n--33140-28209-u--nano(blodwen-lazy (lambda () 1000000000)))
(define CoreC-45Context-n--9884-6079-u--lookupPossibles (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (if (null? arg-4) (lambda (eta-0) (vector 1 (PreludeC-45TypesC-45List-reverse arg-3))) (let ((e-2 (car arg-4))) (let ((e-3 (cdr arg-4))) (case (vector-ref e-2 0) ((0) (let ((e-4 (vector-ref e-2 1))) (let ((e-5 (vector-ref e-2 2))) (let ((sc2 (CoreC-45Context-n--9884-6078-u--hlookup arg-0 arg-1 arg-2 e-4 (let ((e-10 (vector-ref arg-0 10))) e-10)))) (if (null? sc2) (let ((eff-0 (CoreC-45Context-lookupCtxtExact (vector 8 e-5) arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (if (null? e-6) (CoreC-45Context-n--9884-6079-u--lookupPossibles arg-0 arg-1 arg-2 arg-3 e-3) (let ((e-1 (unbox e-6))) (let ((sc5 (let ((sc6 (CoreC-45Name-matches arg-1 e-4))) (cond ((equal? sc6 1) (let ((sc7 (PreludeC-45Types-elem (csegen-16) (csegen-290) e-5 (((csegen-25) (lambda (eta-0) (CoreC-45Context-n--9884-6077-u--resn arg-0 arg-1 arg-2 eta-0))) arg-3)))) (cond ((equal? sc7 1) 0) (else 1)))) (else 0))))) (cond ((equal? sc5 1) (CoreC-45Context-n--9884-6079-u--lookupPossibles arg-0 arg-1 arg-2 (cons (cons e-4 (cons e-5 e-1)) arg-3) e-3)) (else (CoreC-45Context-n--9884-6079-u--lookupPossibles arg-0 arg-1 arg-2 arg-3 e-3)))))))) eff-1))))))) (CoreC-45Context-n--9884-6079-u--lookupPossibles arg-0 arg-1 arg-2 arg-3 e-3)))))) (else (let ((e-6 (vector-ref e-2 1))) (let ((e-7 (vector-ref e-2 2))) (let ((e-8 (vector-ref e-2 3))) (let ((sc2 (CoreC-45Context-n--9884-6078-u--hlookup arg-0 arg-1 arg-2 e-7 (let ((e-10 (vector-ref arg-0 10))) e-10)))) (if (null? sc2) (let ((eff-0 (CoreC-45Context-lookupCtxtExact (vector 8 e-8) arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (if (null? e-5) (CoreC-45Context-n--9884-6079-u--lookupPossibles arg-0 arg-1 arg-2 arg-3 e-3) (let ((e-1 (unbox e-5))) (let ((sc5 (let ((sc6 (CoreC-45Name-matches arg-1 e-6))) (cond ((equal? sc6 1) (let ((sc7 (PreludeC-45Types-elem (csegen-16) (csegen-290) e-8 (((csegen-25) (lambda (eta-0) (CoreC-45Context-n--9884-6077-u--resn arg-0 arg-1 arg-2 eta-0))) arg-3)))) (cond ((equal? sc7 1) 0) (else 1)))) (else 0))))) (cond ((equal? sc5 1) (CoreC-45Context-n--9884-6079-u--lookupPossibles arg-0 arg-1 arg-2 (cons (cons e-7 (cons e-8 e-1)) arg-3) e-3)) (else (CoreC-45Context-n--9884-6079-u--lookupPossibles arg-0 arg-1 arg-2 arg-3 e-3)))))))) eff-1))))))) (CoreC-45Context-n--9884-6079-u--lookupPossibles arg-0 arg-1 arg-2 arg-3 e-3)))))))))))))
(define CoreC-45Context-n--21582-17402-u--isHole (lambda (arg-0 arg-1 arg-2) (let ((eff-0 (CoreC-45Context-lookupCtxtExact arg-2 (let ((e-0 (vector-ref arg-1 0))) e-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (clam-0) (if (null? e-5) (vector 1 1) (let ((e-1 (unbox e-5))) (vector 1 (let ((e-17 (vector-ref e-1 17))) (case (vector-ref e-17 0) ((0) 1) ((7) 1)(else 0))))))))) eff-1)))))))))
(define CoreC-45Context-n--24843-20400-u--isDefault (lambda (arg-0 arg-1 arg-2 arg-3 ext-0) (Builtin-snd ext-0)))
(define CoreC-45Context-n--13589-9601-u--insertAll (lambda (arg-1 arg-2 arg-3 arg-4) (if (null? arg-4) (lambda (eta-0) (vector 1 arg-3)) (let ((e-2 (car arg-4))) (let ((e-3 (cdr arg-4))) (let ((e-6 (car e-2))) (let ((e-7 (cdr e-2))) (let ((eff-0 (CoreC-45Context-u--resolved_HasNames_Name arg-2 e-6))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45Context-n--13589-9601-u--insertAll arg-1 arg-2 (LibrariesC-45DataC-45NameMap-insert e-5 e-7 arg-3) e-3))) eff-1))))))))))))))
(define CoreC-45Context-n--13577-9561-u--insertAll (lambda (arg-1 arg-2 arg-3 arg-4) (if (null? arg-4) (lambda (eta-0) (vector 1 arg-3)) (let ((e-2 (car arg-4))) (let ((e-3 (cdr arg-4))) (let ((e-6 (car e-2))) (let ((e-7 (cdr e-2))) (let ((eff-0 (CoreC-45Context-u--full_HasNames_Name arg-2 e-6))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45Context-n--13577-9561-u--insertAll arg-1 arg-2 (LibrariesC-45DataC-45NameMap-insert e-5 e-7 arg-3) e-3))) eff-1))))))))))))))
(define CoreC-45Context-n--9884-6078-u--hlookup (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (cond ((equal? arg-2 1) '()) (else (LibrariesC-45DataC-45NameMap-lookup arg-3 arg-4)))))
(define CoreC-45Context-n--32237-27343-u--go (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (if (null? arg-4) 0 (let ((e-2 (car arg-4))) (let ((e-3 (cdr arg-4))) (let ((sc1 (CoreC-45Name-splitNS e-2))) (let ((e-5 (car sc1))) (let ((e-4 (cdr sc1))) (let ((sc2 (let ((sc3 (CoreC-45Name-u--C-61C-61_Eq_Name e-4 arg-3))) (cond ((equal? sc3 1) (CoreC-45NameC-45Namespace-isApproximationOf e-5 arg-2)) (else 0))))) (cond ((equal? sc2 1) 1) (else (CoreC-45Context-n--32237-27343-u--go arg-0 arg-1 arg-2 arg-3 e-3))))))))))))
(define CoreC-45Context-n--25618-21126-u--getPos (lambda (arg-0 arg-1 arg-2 arg-3 arg-5 arg-6 arg-7) (case (vector-ref arg-7 0) ((3) (let ((e-3 (vector-ref arg-7 2))) (let ((e-4 (vector-ref arg-7 3))) (let ((e-5 (vector-ref arg-7 4))) (case (vector-ref e-4 0) ((2) (let ((sc2 (PreludeC-45Types-elem (csegen-16) (csegen-1008) e-3 arg-6))) (cond ((equal? sc2 1) (let ((eff-0 (CoreC-45Context-n--25618-21126-u--getPos arg-0 arg-1 arg-2 arg-3 (+ arg-5 1) (PreludeC-45TypesC-45List-filterAppend '() (lambda (arg-4) (CoreC-45Name-u--C-47C-61_Eq_Name arg-4 e-3)) arg-6) e-5))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (cons arg-5 e-6))))) eff-1)))))))) (else (CoreC-45Context-n--25618-21126-u--getPos arg-0 arg-1 arg-2 arg-3 (+ arg-5 1) arg-6 e-5)))))(else (lambda (clam-0) (if (null? arg-6) (vector 1 '()) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 arg-2 (string-append "Unknown determining arguments: " (CoreC-45NameC-45Namespace-showSep ", " ((csegen-102) arg-6)))) clam-0)))))))))(else (lambda (clam-1) (if (null? arg-6) (vector 1 '()) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 arg-2 (string-append "Unknown determining arguments: " (CoreC-45NameC-45Namespace-showSep ", " ((csegen-102) arg-6)))) clam-1)))))))
(define CoreC-45Context-n--28015-23280-u--getDir (lambda (arg-0 arg-1 arg-2) (let ((e-2 (car arg-2))) (let ((e-3 (cdr arg-2))) (let ((sc1 (CoreC-45Options-u--C-61C-61_Eq_CG arg-0 e-2))) (cond ((equal? sc1 1) (box e-3)) (else '())))))))
(define CoreC-45Context-n--12931-8954-u--fullNamesPat (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (let ((e-2 (car arg-6))) (let ((e-3 (cdr arg-6))) (let ((e-6 (car e-3))) (let ((e-7 (cdr e-3))) (let ((e-10 (car e-7))) (let ((e-11 (cdr e-7))) (let ((eff-0 (CoreC-45Context-u--full_HasNames_C-40C-40EnvC-32TermC-41C-32C-36varsC-41 arg-5 e-6))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-u--full_HasNames_C-40TermC-32C-36varsC-41 arg-5 e-10))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-8 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-u--full_HasNames_C-40TermC-32C-36varsC-41 arg-5 e-11))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-9 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (cons e-2 (cons e-5 (cons e-8 e-9))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))
(define CoreC-45Context-n--21146-16999-u--findAlias (lambda (arg-0 arg-1 arg-2) (if (null? arg-2) (lambda (eta-0) (vector 1 arg-0)) (let ((e-2 (car arg-2))) (let ((e-3 (cdr arg-2))) (case (vector-ref e-2 0) ((1) (let ((e-4 (vector-ref e-2 1))) (let ((e-5 (vector-ref e-2 2))) (let ((sc2 (CoreC-45Name-u--C-61C-61_Eq_Name e-5 arg-0))) (cond ((equal? sc2 1) (lambda (eta-0) (vector 1 e-4))) (else (CoreC-45Context-n--21146-16999-u--findAlias arg-0 arg-1 e-3)))))))(else (CoreC-45Context-n--21146-16999-u--findAlias arg-0 arg-1 e-3))))))))
(define CoreC-45Context-n--33404-28473-u--drop (lambda (arg-0 arg-1 arg-2 arg-4 arg-5) (if (null? arg-5) '() (let ((e-2 (car arg-5))) (let ((e-3 (cdr arg-5))) (let ((e-6 (car e-2))) (let ((e-7 (cdr e-2))) (let ((sc2 (CoreC-45Options-u--C-61C-61_Eq_CG arg-4 e-6))) (cond ((equal? sc2 1) e-3) (else (cons (cons e-6 e-7) (CoreC-45Context-n--33404-28473-u--drop arg-0 arg-1 arg-2 arg-4 e-3))))))))))))
(define CoreC-45Context-n--24843-20401-u--direct (lambda (arg-0 arg-1 arg-2 arg-3 ext-0) (Builtin-snd ext-0)))
(define CoreC-45Context-n--10573-6693-u--commitStaged (lambda (arg-0 arg-1 arg-2) (if (null? arg-1) (lambda (eta-0) (vector 0 )) (let ((e-2 (car arg-1))) (let ((e-3 (cdr arg-1))) (let ((e-6 (car e-2))) (let ((e-7 (cdr e-2))) (PreludeC-45Interfaces-C-62C-62 (csegen-39) (LibrariesC-45DataC-45IOArray-writeArray (csegen-40) arg-2 e-6 e-7) (lambda () (CoreC-45Context-n--10573-6693-u--commitStaged arg-0 e-3 arg-2))))))))))
(define CoreC-45Context-n--33404-28472-u--addMod (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (let ((e-2 (car arg-4))) (let ((e-3 (cdr arg-4))) (if (null? arg-5) (cons (cons arg-3 (cons (cons e-2 '()) e-3)) '()) (let ((e-6 (car arg-5))) (let ((e-7 (cdr arg-5))) (let ((e-10 (car e-6))) (let ((e-11 (cdr e-6))) (let ((e-14 (car e-11))) (let ((e-15 (cdr e-11))) (let ((sc4 (CoreC-45Options-u--C-61C-61_Eq_CG arg-3 e-10))) (cond ((equal? sc4 1) (cons (cons arg-3 (cons (cons e-2 e-14) (PreludeC-45TypesC-45List-tailRecAppend e-15 e-3))) e-7)) (else (cons (cons e-10 (cons e-14 e-15)) (CoreC-45Context-n--33404-28472-u--addMod arg-0 arg-1 arg-2 arg-3 (cons e-2 e-3) e-7))))))))))))))))
(define CoreC-45Context-u--trimNS_StripNamespace_GlobalDef (lambda (arg-0 arg-1) (let ((e-0 (vector-ref arg-1 0))) (let ((e-1 (vector-ref arg-1 1))) (let ((e-2 (vector-ref arg-1 2))) (let ((e-3 (vector-ref arg-1 3))) (let ((e-4 (vector-ref arg-1 4))) (let ((e-5 (vector-ref arg-1 5))) (let ((e-6 (vector-ref arg-1 6))) (let ((e-7 (vector-ref arg-1 7))) (let ((e-8 (vector-ref arg-1 8))) (let ((e-9 (vector-ref arg-1 9))) (let ((e-10 (vector-ref arg-1 10))) (let ((e-11 (vector-ref arg-1 11))) (let ((e-12 (vector-ref arg-1 12))) (let ((e-13 (vector-ref arg-1 13))) (let ((e-14 (vector-ref arg-1 14))) (let ((e-15 (vector-ref arg-1 15))) (let ((e-16 (vector-ref arg-1 16))) (let ((e-17 (vector-ref arg-1 17))) (let ((e-18 (vector-ref arg-1 18))) (let ((e-19 (vector-ref arg-1 19))) (let ((e-20 (vector-ref arg-1 20))) (let ((e-21 (vector-ref arg-1 21))) (vector e-0 e-1 e-2 e-3 e-4 e-5 e-6 e-7 e-8 e-9 e-10 e-11 e-12 e-13 e-14 e-15 e-16 (CoreC-45Context-u--trimNS_StripNamespace_Def arg-0 e-17) e-18 e-19 e-20 e-21)))))))))))))))))))))))))
(define CoreC-45Context-u--trimNS_StripNamespace_Def (lambda (arg-0 arg-1) (case (vector-ref arg-1 0) ((1) (let ((e-0 (vector-ref arg-1 1))) (let ((e-1 (vector-ref arg-1 2))) (let ((e-2 (vector-ref arg-1 3))) (let ((e-3 (vector-ref arg-1 4))) (let ((e-4 (vector-ref arg-1 5))) (vector 1 e-0 e-1 (CoreC-45CaseC-45CaseTree-u--trimNS_StripNamespace_C-40CaseTreeC-32C-36varsC-41 arg-0 e-2) e-3 (((csegen-25) (lambda (eta-0) (CoreC-45Context-n--13308-9300-u--trimNSpat e-4 e-1 e-3 e-2 e-0 arg-0 eta-0))) e-4))))))))(else arg-1))))
(define CoreC-45Context-u--show_Show_BuiltinType (lambda (arg-0) (cond ((equal? arg-0 0) "Natural") ((equal? arg-0 1) "NaturalToInteger") (else "IntegerToNatural"))))
(define CoreC-45Context-u--restoreNS_StripNamespace_GlobalDef (lambda (arg-0 arg-1) (let ((e-0 (vector-ref arg-1 0))) (let ((e-1 (vector-ref arg-1 1))) (let ((e-2 (vector-ref arg-1 2))) (let ((e-3 (vector-ref arg-1 3))) (let ((e-4 (vector-ref arg-1 4))) (let ((e-5 (vector-ref arg-1 5))) (let ((e-6 (vector-ref arg-1 6))) (let ((e-7 (vector-ref arg-1 7))) (let ((e-8 (vector-ref arg-1 8))) (let ((e-9 (vector-ref arg-1 9))) (let ((e-10 (vector-ref arg-1 10))) (let ((e-11 (vector-ref arg-1 11))) (let ((e-12 (vector-ref arg-1 12))) (let ((e-13 (vector-ref arg-1 13))) (let ((e-14 (vector-ref arg-1 14))) (let ((e-15 (vector-ref arg-1 15))) (let ((e-16 (vector-ref arg-1 16))) (let ((e-17 (vector-ref arg-1 17))) (let ((e-18 (vector-ref arg-1 18))) (let ((e-19 (vector-ref arg-1 19))) (let ((e-20 (vector-ref arg-1 20))) (let ((e-21 (vector-ref arg-1 21))) (vector e-0 e-1 e-2 e-3 e-4 e-5 e-6 e-7 e-8 e-9 e-10 e-11 e-12 e-13 e-14 e-15 e-16 (CoreC-45Context-u--restoreNS_StripNamespace_Def arg-0 e-17) e-18 e-19 e-20 e-21)))))))))))))))))))))))))
(define CoreC-45Context-u--restoreNS_StripNamespace_Def (lambda (arg-0 arg-1) (case (vector-ref arg-1 0) ((1) (let ((e-0 (vector-ref arg-1 1))) (let ((e-1 (vector-ref arg-1 2))) (let ((e-2 (vector-ref arg-1 3))) (let ((e-3 (vector-ref arg-1 4))) (let ((e-4 (vector-ref arg-1 5))) (vector 1 e-0 e-1 (CoreC-45CaseC-45CaseTree-u--restoreNS_StripNamespace_C-40CaseTreeC-32C-36varsC-41 arg-0 e-2) e-3 (((csegen-25) (lambda (eta-0) (CoreC-45Context-n--13316-9359-u--restoreNSpat e-4 e-1 e-3 e-2 e-0 arg-0 eta-0))) e-4))))))))(else arg-1))))
(define CoreC-45Context-u--resolved_HasNames_Warning (lambda (arg-0 arg-1) (case (vector-ref arg-1 0) ((0) (let ((e-0 (vector-ref arg-1 1))) (let ((e-1 (vector-ref arg-1 2))) (lambda (eta-0) (vector 1 (vector 0 e-0 e-1)))))) ((1) (let ((e-2 (vector-ref arg-1 1))) (let ((e-3 (vector-ref arg-1 2))) (let ((e-4 (vector-ref arg-1 3))) (let ((e-5 (vector-ref arg-1 4))) (CoreC-45Core-C-60C-42C-62 (let ((eff-0 (CoreC-45Context-u--resolved_HasNames_C-40C-40EnvC-32TermC-41C-32C-36varsC-41 arg-0 e-4))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-6 (vector-ref eta-3 1))) (vector 0 e-6))) (else (let ((e-6 (vector-ref eta-3 1))) (vector 1 (eta-2 e-6))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (eta-0) (lambda (eta-1) (vector 1 e-2 e-3 eta-0 eta-1))))) eff-0)) (CoreC-45Context-u--resolved_HasNames_C-40TermC-32C-36varsC-41 arg-0 e-5))))))) ((2) (let ((e-6 (vector-ref arg-1 1))) (let ((e-7 (vector-ref arg-1 2))) (let ((eff-0 (CoreC-45Core-traverseList1 (lambda (eta-0) (CoreC-45Core-traversePair (lambda (eta-1) (CoreC-45Core-traverseList1 (lambda (eta-2) (CoreC-45Context-u--resolved_HasNames_Name arg-0 eta-2)) eta-1)) eta-0)) e-7))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (eta-0) (vector 2 e-6 eta-0)))) eff-0))))) ((3) (lambda (eta-0) (vector 1 arg-1))) ((4) (let ((e-10 (vector-ref arg-1 1))) (let ((e-11 (vector-ref arg-1 2))) (let ((eff-0 (if (null? e-11) (lambda (eta-0) (vector 1 '())) (let ((e-2 (unbox e-11))) (let ((eff-0 (CoreC-45Core-traversePair (lambda (eta-0) (CoreC-45Context-u--resolved_HasNames_Name arg-0 eta-0)) e-2))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-3 (vector-ref eta-3 1))) (vector 0 e-3))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (eta-0) (box eta-0)))) eff-0)))))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (eta-0) (vector 4 e-10 eta-0)))) eff-0))))) (else (let ((e-12 (vector-ref arg-1 1))) (lambda (eta-0) (vector 1 (vector 5 e-12))))))))
(define CoreC-45Context-u--resolved_HasNames_Transform (lambda (arg-0 arg-1) (let ((e-0 (vector-ref arg-1 0))) (let ((e-1 (vector-ref arg-1 1))) (let ((e-2 (vector-ref arg-1 2))) (let ((e-3 (vector-ref arg-1 3))) (let ((e-4 (vector-ref arg-1 4))) (let ((eff-0 (CoreC-45Context-u--resolved_HasNames_Name arg-0 e-1))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-u--resolved_HasNames_C-40C-40EnvC-32TermC-41C-32C-36varsC-41 arg-0 e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-6 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-u--resolved_HasNames_C-40TermC-32C-36varsC-41 arg-0 e-3))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-7 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45Context-u--resolved_HasNames_C-40TermC-32C-36varsC-41 arg-0 e-4))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-8 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector e-0 e-5 e-6 e-7 e-8))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))))))
(define CoreC-45Context-u--resolved_HasNames_Totality (lambda (arg-0 arg-1) (let ((e-0 (car arg-1))) (let ((e-1 (cdr arg-1))) (let ((eff-0 (CoreC-45Context-u--resolved_HasNames_Terminating arg-0 e-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-u--resolved_HasNames_Covering arg-0 e-1))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (cons e-5 e-6))))) eff-2))))))))) eff-1)))))))))))
(define CoreC-45Context-u--resolved_HasNames_Terminating (lambda (arg-0 arg-1) (case (vector-ref arg-1 0) ((2) (let ((e-0 (vector-ref arg-1 1))) (let ((eff-0 (CoreC-45Context-u--resolved_HasNames_PartialReason arg-0 e-0))) (PrimIO-io_bind eff-0 (csegen-1548)))))(else (lambda (eta-0) (vector 1 arg-1))))))
(define CoreC-45Context-u--resolved_HasNames_SCCall (lambda (arg-0 arg-1) (let ((eff-0 (CoreC-45Context-u--resolved_HasNames_Name arg-0 (let ((e-0 (car arg-1))) e-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (let ((e-1 (cdr arg-1))) (cons e-5 e-1)))))) eff-1)))))))))
(define CoreC-45Context-u--resolved_HasNames_Pat (lambda (arg-0 arg-1) (case (vector-ref arg-1 0) ((0) (let ((e-0 (vector-ref arg-1 1))) (let ((e-1 (vector-ref arg-1 2))) (let ((e-2 (vector-ref arg-1 3))) (CoreC-45Core-C-60C-42C-62 (CoreC-45Core-C-60C-42C-62 (CoreC-45Core-C-60C-42C-62 (csegen-1551) (lambda (eta-0) (vector 1 e-0))) (CoreC-45Context-u--resolved_HasNames_Name arg-0 e-1)) (CoreC-45Context-u--resolved_HasNames_Pat arg-0 e-2)))))) ((1) (let ((e-3 (vector-ref arg-1 1))) (let ((e-4 (vector-ref arg-1 2))) (let ((e-5 (vector-ref arg-1 3))) (let ((e-6 (vector-ref arg-1 4))) (let ((e-7 (vector-ref arg-1 5))) (CoreC-45Core-C-60C-42C-62 (CoreC-45Core-C-60C-42C-62 (CoreC-45Core-C-60C-42C-62 (CoreC-45Core-C-60C-42C-62 (CoreC-45Core-C-60C-42C-62 (csegen-1554) (lambda (eta-0) (vector 1 e-3))) (CoreC-45Context-u--resolved_HasNames_Name arg-0 e-4)) (lambda (eta-0) (vector 1 e-5))) (lambda (eta-0) (vector 1 e-6))) (CoreC-45Core-traverseC-39 (lambda (arg-2) (CoreC-45Context-u--resolved_HasNames_Pat arg-0 arg-2)) e-7 '())))))))) ((2) (let ((e-8 (vector-ref arg-1 1))) (let ((e-9 (vector-ref arg-1 2))) (let ((e-10 (vector-ref arg-1 3))) (let ((e-11 (vector-ref arg-1 4))) (CoreC-45Core-C-60C-42C-62 (CoreC-45Core-C-60C-42C-62 (CoreC-45Core-C-60C-42C-62 (CoreC-45Core-C-60C-42C-62 (csegen-1557) (lambda (eta-0) (vector 1 e-8))) (CoreC-45Context-u--resolved_HasNames_Name arg-0 e-9)) (lambda (eta-0) (vector 1 e-10))) (CoreC-45Core-traverseC-39 (lambda (arg-2) (CoreC-45Context-u--resolved_HasNames_Pat arg-0 arg-2)) e-11 '()))))))) ((3) (lambda (eta-0) (vector 1 arg-1))) ((4) (let ((e-14 (vector-ref arg-1 1))) (let ((e-15 (vector-ref arg-1 2))) (let ((e-16 (vector-ref arg-1 3))) (let ((e-17 (vector-ref arg-1 4))) (CoreC-45Core-C-60C-42C-62 (CoreC-45Core-C-60C-42C-62 (CoreC-45Core-C-60C-42C-62 (CoreC-45Core-C-60C-42C-62 (csegen-1560) (lambda (eta-0) (vector 1 e-14))) (CoreC-45Context-u--resolved_HasNames_Name arg-0 e-15)) (CoreC-45Context-u--resolved_HasNames_Pat arg-0 e-16)) (CoreC-45Context-u--resolved_HasNames_Pat arg-0 e-17))))))) ((5) (let ((e-18 (vector-ref arg-1 1))) (let ((e-19 (vector-ref arg-1 2))) (let ((e-20 (vector-ref arg-1 3))) (let ((e-21 (vector-ref arg-1 4))) (CoreC-45Core-C-60C-42C-62 (CoreC-45Core-C-60C-42C-62 (CoreC-45Core-C-60C-42C-62 (CoreC-45Core-C-60C-42C-62 (csegen-1563) (lambda (eta-0) (vector 1 e-18))) (lambda (eta-0) (vector 1 e-19))) (CoreC-45Context-u--resolved_HasNames_Pat arg-0 e-20)) (CoreC-45Context-u--resolved_HasNames_Pat arg-0 e-21))))))) ((6) (let ((e-22 (vector-ref arg-1 1))) (let ((e-23 (vector-ref arg-1 2))) (let ((eff-0 (CoreC-45Context-u--resolved_HasNames_Name arg-0 e-23))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (eta-0) (vector 6 e-22 eta-0)))) eff-0))))) (else (let ((e-24 (vector-ref arg-1 1))) (let ((e-25 (vector-ref arg-1 2))) (let ((eff-0 (CoreC-45Context-u--resolved_HasNames_C-40TermC-32C-36varsC-41 arg-0 e-25))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (eta-0) (vector 7 e-24 eta-0)))) eff-0))))))))
(define CoreC-45Context-u--resolved_HasNames_PartialReason (lambda (arg-0 arg-1) (case (vector-ref arg-1 0) ((0) (lambda (eta-0) (vector 1 (vector 0 )))) ((1) (let ((e-0 (vector-ref arg-1 1))) (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45Context-u--resolved_HasNames_Name arg-0 eta-0)) e-0 '()))) (PrimIO-io_bind eff-0 (csegen-1564))))) (else (let ((e-1 (vector-ref arg-1 1))) (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45Context-u--resolved_HasNames_Name arg-0 eta-0)) e-1 '()))) (PrimIO-io_bind eff-0 (csegen-1565))))))))
(define CoreC-45Context-u--resolved_HasNames_Name (lambda (arg-0 arg-1) (lambda (clam-0) (case (vector-ref arg-1 0) ((8) (let ((e-0 (vector-ref arg-1 1))) (vector 1 (vector 8 e-0))))(else (let ((sc0 (CoreC-45Context-getNameID arg-1 arg-0))) (if (null? sc0) (vector 1 arg-1) (let ((e-1 (unbox sc0))) (vector 1 (vector 8 e-1))))))))))
(define CoreC-45Context-u--resolved_HasNames_GlobalDef (lambda (arg-0 arg-1) (let ((eff-0 (CoreC-45Context-u--resolved_HasNames_C-40TermC-32C-36varsC-41 arg-0 (let ((e-2 (vector-ref arg-1 2))) e-2)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-u--resolved_HasNames_Def arg-0 (let ((e-17 (vector-ref arg-1 17))) e-17)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-u--resolved_HasNames_Totality arg-0 (let ((e-10 (vector-ref arg-1 10))) e-10)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45Context-u--resolved_HasNames_C-40MaybeC-32C-36aC-41 (csegen-1568) arg-0 (let ((e-12 (vector-ref arg-1 12))) e-12)))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Context-u--resolved_HasNames_C-40MaybeC-32C-36aC-41 (csegen-1568) arg-0 (let ((e-13 (vector-ref arg-1 13))) e-13)))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (let ((eff-5 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45Context-u--resolved_HasNames_SCCall arg-0 eta-0)) (let ((e-20 (vector-ref arg-1 20))) e-20) '()))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-10 (vector-ref lcase-5 1))) (let ((eff-6 (lambda (eta-0) (vector 1 (let ((e-0 (vector-ref arg-1 0))) (let ((e-1 (vector-ref arg-1 1))) (let ((e-3 (vector-ref arg-1 3))) (let ((e-4 (vector-ref arg-1 4))) (let ((e-27 (vector-ref arg-1 5))) (let ((e-26 (vector-ref arg-1 6))) (let ((e-25 (vector-ref arg-1 7))) (let ((e-24 (vector-ref arg-1 8))) (let ((e-23 (vector-ref arg-1 9))) (let ((e-11 (vector-ref arg-1 11))) (let ((e-14 (vector-ref arg-1 14))) (let ((e-15 (vector-ref arg-1 15))) (let ((e-16 (vector-ref arg-1 16))) (let ((e-18 (vector-ref arg-1 18))) (let ((e-19 (vector-ref arg-1 19))) (let ((e-21 (vector-ref arg-1 21))) (vector e-0 e-1 e-5 e-3 e-4 e-27 e-26 e-25 e-24 e-23 e-7 e-11 e-8 e-9 e-14 e-15 e-16 e-6 e-18 e-19 e-10 e-21))))))))))))))))))))) eff-6))))))))) eff-5))))))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))
(define CoreC-45Context-u--resolved_HasNames_Error (lambda (arg-0 arg-1) (case (vector-ref arg-1 0) ((0) (let ((e-0 (vector-ref arg-1 1))) (let ((eff-0 (CoreC-45Context-u--resolved_HasNames_Error arg-0 e-0))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (eta-0) (vector 0 eta-0)))) eff-0)))) ((1) (let ((e-1 (vector-ref arg-1 1))) (let ((e-2 (vector-ref arg-1 2))) (let ((e-3 (vector-ref arg-1 3))) (let ((e-4 (vector-ref arg-1 4))) (let ((e-5 (vector-ref arg-1 5))) (let ((e-6 (vector-ref arg-1 6))) (CoreC-45Core-C-60C-42C-62 (CoreC-45Core-C-60C-42C-62 (let ((eff-0 (CoreC-45Context-u--resolved_HasNames_C-40C-40EnvC-32TermC-41C-32C-36varsC-41 e-3 e-4))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-7 (vector-ref eta-3 1))) (vector 0 e-7))) (else (let ((e-7 (vector-ref eta-3 1))) (vector 1 (eta-2 e-7))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (vector 1 e-1 e-2 e-3 eta-0 eta-1 eta-2)))))) eff-0)) (CoreC-45Context-u--resolved_HasNames_C-40TermC-32C-36varsC-41 e-3 e-5)) (CoreC-45Context-u--resolved_HasNames_C-40TermC-32C-36varsC-41 e-3 e-6))))))))) ((2) (let ((e-7 (vector-ref arg-1 1))) (let ((e-8 (vector-ref arg-1 2))) (let ((e-9 (vector-ref arg-1 3))) (let ((e-10 (vector-ref arg-1 4))) (let ((e-11 (vector-ref arg-1 5))) (let ((e-12 (vector-ref arg-1 6))) (CoreC-45Core-C-60C-42C-62 (CoreC-45Core-C-60C-42C-62 (let ((eff-0 (CoreC-45Context-u--resolved_HasNames_C-40C-40EnvC-32TermC-41C-32C-36varsC-41 e-9 e-10))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (vector 2 e-7 e-8 e-9 eta-0 eta-1 eta-2)))))) eff-0)) (CoreC-45Context-u--resolved_HasNames_C-40TermC-32C-36varsC-41 e-9 e-11)) (CoreC-45Context-u--resolved_HasNames_C-40TermC-32C-36varsC-41 e-9 e-12))))))))) ((3) (let ((e-13 (vector-ref arg-1 1))) (let ((e-14 (vector-ref arg-1 2))) (let ((e-15 (vector-ref arg-1 3))) (let ((e-16 (vector-ref arg-1 4))) (let ((e-17 (vector-ref arg-1 5))) (let ((e-18 (vector-ref arg-1 6))) (CoreC-45Core-C-60C-42C-62 (CoreC-45Core-C-60C-42C-62 (let ((eff-0 (CoreC-45Context-u--resolved_HasNames_C-40C-40EnvC-32TermC-41C-32C-36varsC-41 arg-0 e-16))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (vector 3 e-13 e-14 e-15 eta-0 eta-1 eta-2)))))) eff-0)) (CoreC-45Context-u--resolved_HasNames_Name arg-0 e-17)) (CoreC-45Context-u--resolved_HasNames_C-40TermC-32C-36varsC-41 arg-0 e-18))))))))) ((4) (let ((e-19 (vector-ref arg-1 1))) (let ((e-20 (vector-ref arg-1 2))) (let ((e-21 (vector-ref arg-1 3))) (let ((e-22 (vector-ref arg-1 4))) (let ((e-23 (vector-ref arg-1 5))) (CoreC-45Core-C-60C-42C-62 (CoreC-45Core-C-60C-42C-62 (let ((eff-0 (CoreC-45Context-u--resolved_HasNames_C-40C-40EnvC-32TermC-41C-32C-36varsC-41 arg-0 e-21))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (vector 4 e-19 e-20 eta-0 eta-1 eta-2)))))) eff-0)) (CoreC-45Context-u--resolved_HasNames_Name arg-0 e-22)) (CoreC-45Context-u--resolved_HasNames_C-40TermC-32C-36varsC-41 arg-0 e-23)))))))) ((5) (let ((e-24 (vector-ref arg-1 1))) (let ((e-25 (vector-ref arg-1 2))) (let ((e-26 (vector-ref arg-1 3))) (let ((e-27 (vector-ref arg-1 4))) (let ((e-28 (vector-ref arg-1 5))) (let ((e-29 (vector-ref arg-1 6))) (let ((e-30 (vector-ref arg-1 7))) (CoreC-45Core-C-60C-42C-62 (CoreC-45Core-C-60C-42C-62 (CoreC-45Core-C-60C-42C-62 (let ((eff-0 (CoreC-45Context-u--resolved_HasNames_C-40C-40EnvC-32TermC-41C-32C-36varsC-41 e-26 e-27))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (vector 5 e-24 e-25 e-26 eta-0 eta-1 eta-2 eta-3))))))) eff-0)) (CoreC-45Context-u--resolved_HasNames_C-40TermC-32C-36varsC-41 e-26 e-28)) (CoreC-45Context-u--resolved_HasNames_C-40TermC-32C-36varsC-41 e-26 e-29)) (CoreC-45Context-u--resolved_HasNames_Error e-26 e-30)))))))))) ((6) (let ((e-31 (vector-ref arg-1 1))) (let ((e-32 (vector-ref arg-1 2))) (let ((e-33 (vector-ref arg-1 3))) (let ((e-34 (vector-ref arg-1 4))) (CoreC-45Core-C-60C-42C-62 (let ((eff-0 (CoreC-45Context-u--resolved_HasNames_C-40C-40EnvC-32TermC-41C-32C-36varsC-41 arg-0 e-33))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (eta-0) (lambda (eta-1) (vector 6 e-31 e-32 eta-0 eta-1))))) eff-0)) (PreludeC-45Types-either (lambda () (lambda (eta-0) (let ((eff-0 (CoreC-45Context-u--resolved_HasNames_C-40TermC-32C-36varsC-41 arg-0 eta-0))) (((csegen-50) ((let ((eff-1 (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (lambda (eta-4) (case (vector-ref eta-4 0) ((0) (let ((e-2 (vector-ref eta-4 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-4 1))) (vector 1 (eta-3 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (eta-1) (vector 0 eta-1)))) eff-0)))) (lambda () (lambda (eta-0) (let ((eff-0 (CoreC-45Context-u--resolved_HasNames_Error arg-0 eta-0))) (((csegen-50) ((let ((eff-1 (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (lambda (eta-4) (case (vector-ref eta-4 0) ((0) (let ((e-2 (vector-ref eta-4 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-4 1))) (vector 1 (eta-3 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (eta-1) (vector 1 eta-1)))) eff-0)))) e-34))))))) ((7) (let ((e-35 (vector-ref arg-1 1))) (let ((e-36 (vector-ref arg-1 2))) (let ((eff-0 (CoreC-45Context-u--resolved_HasNames_Name arg-0 e-36))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (eta-0) (vector 7 e-35 eta-0)))) eff-0))))) ((8) (let ((e-37 (vector-ref arg-1 1))) (let ((e-38 (vector-ref arg-1 2))) (let ((e-39 (vector-ref arg-1 3))) (CoreC-45Core-C-60C-42C-62 (let ((eff-0 (CoreC-45Context-u--resolved_HasNames_Name arg-0 e-38))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (eta-0) (lambda (eta-1) (vector 8 e-37 eta-0 eta-1))))) eff-0)) (lambda (eta-0) (vector 1 e-39))))))) ((9) (let ((e-40 (vector-ref arg-1 1))) (let ((e-41 (vector-ref arg-1 2))) (let ((eff-0 (CoreC-45Context-u--resolved_HasNames_Name arg-0 e-41))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (eta-0) (vector 9 e-40 eta-0)))) eff-0))))) ((10) (let ((e-42 (vector-ref arg-1 1))) (let ((e-43 (vector-ref arg-1 2))) (let ((e-44 (vector-ref arg-1 3))) (CoreC-45Core-C-60C-42C-62 (let ((eff-0 (CoreC-45Context-u--resolved_HasNames_Name arg-0 e-43))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (eta-0) (lambda (eta-1) (vector 10 e-42 eta-0 eta-1))))) eff-0)) (CoreC-45Context-u--resolved_HasNames_Name arg-0 e-44)))))) ((11) (let ((e-45 (vector-ref arg-1 1))) (let ((e-46 (vector-ref arg-1 2))) (let ((e-47 (vector-ref arg-1 3))) (CoreC-45Core-C-60C-42C-62 (let ((eff-0 (CoreC-45Context-u--resolved_HasNames_Name arg-0 e-46))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (eta-0) (lambda (eta-1) (vector 11 e-45 eta-0 eta-1))))) eff-0)) (CoreC-45Context-u--resolved_HasNames_Covering arg-0 e-47)))))) ((12) (let ((e-48 (vector-ref arg-1 1))) (let ((e-49 (vector-ref arg-1 2))) (let ((e-50 (vector-ref arg-1 3))) (CoreC-45Core-C-60C-42C-62 (let ((eff-0 (CoreC-45Context-u--resolved_HasNames_Name arg-0 e-49))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (eta-0) (lambda (eta-1) (vector 12 e-48 eta-0 eta-1))))) eff-0)) (CoreC-45Context-u--resolved_HasNames_PartialReason arg-0 e-50)))))) ((13) (let ((e-51 (vector-ref arg-1 1))) (let ((e-52 (vector-ref arg-1 2))) (let ((e-53 (vector-ref arg-1 3))) (let ((eff-0 (CoreC-45Context-u--resolved_HasNames_Name arg-0 e-53))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (eta-0) (vector 13 e-51 e-52 eta-0)))) eff-0)))))) ((14) (let ((e-54 (vector-ref arg-1 1))) (let ((e-55 (vector-ref arg-1 2))) (let ((e-56 (vector-ref arg-1 3))) (let ((e-57 (vector-ref arg-1 4))) (CoreC-45Core-C-60C-42C-62 (CoreC-45Core-C-60C-42C-62 (let ((eff-0 (CoreC-45Context-u--resolved_HasNames_Name arg-0 e-55))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (vector 14 e-54 eta-0 eta-1 eta-2)))))) eff-0)) (lambda (eta-0) (vector 1 e-56))) (lambda (eta-0) (vector 1 e-57)))))))) ((15) (let ((e-58 (vector-ref arg-1 1))) (let ((e-59 (vector-ref arg-1 2))) (let ((e-60 (vector-ref arg-1 3))) (let ((e-61 (vector-ref arg-1 4))) (let ((e-62 (vector-ref arg-1 5))) (CoreC-45Core-C-60C-42C-62 (CoreC-45Core-C-60C-42C-62 (let ((eff-0 (CoreC-45Context-u--resolved_HasNames_C-40C-40EnvC-32TermC-41C-32C-36varsC-41 arg-0 e-60))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (vector 15 e-58 e-59 eta-0 eta-1 eta-2)))))) eff-0)) (CoreC-45Context-u--resolved_HasNames_C-40TermC-32C-36varsC-41 arg-0 e-61)) (CoreC-45Context-u--resolved_HasNames_C-40TermC-32C-36varsC-41 arg-0 e-62)))))))) ((16) (let ((e-63 (vector-ref arg-1 1))) (let ((e-64 (vector-ref arg-1 2))) (let ((e-65 (vector-ref arg-1 3))) (let ((e-66 (vector-ref arg-1 4))) (CoreC-45Core-C-60C-42C-62 (let ((eff-0 (CoreC-45Context-u--resolved_HasNames_C-40C-40EnvC-32TermC-41C-32C-36varsC-41 arg-0 e-65))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (eta-0) (lambda (eta-1) (vector 16 e-63 e-64 eta-0 eta-1))))) eff-0)) (CoreC-45Context-u--resolved_HasNames_C-40TermC-32C-36varsC-41 arg-0 e-66))))))) ((17) (let ((e-67 (vector-ref arg-1 1))) (let ((e-68 (vector-ref arg-1 2))) (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45Context-u--resolved_HasNames_Name arg-0 eta-0)) e-68 '()))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (eta-0) (vector 17 e-67 eta-0)))) eff-0))))) ((18) (let ((e-69 (vector-ref arg-1 1))) (let ((e-70 (vector-ref arg-1 2))) (let ((e-71 (vector-ref arg-1 3))) (let ((e-72 (vector-ref arg-1 4))) (CoreC-45Core-C-60C-42C-62 (let ((eff-0 (CoreC-45Context-u--resolved_HasNames_C-40C-40EnvC-32TermC-41C-32C-36varsC-41 arg-0 e-71))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (eta-0) (lambda (eta-1) (vector 18 e-69 e-70 eta-0 eta-1))))) eff-0)) (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-2 (car lamc-0))) (let ((e-3 (cdr lamc-0))) (let ((eff-0 (CoreC-45Context-u--resolved_HasNames_C-40TermC-32C-36varsC-41 e-2 e-3))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-4 (vector-ref eta-3 1))) (vector 0 e-4))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (__infixTupleSection-0) (cons e-2 __infixTupleSection-0)))) eff-0))))) e-72 '()))))))) ((19) (let ((e-73 (vector-ref arg-1 1))) (let ((e-74 (vector-ref arg-1 2))) (let ((e-75 (vector-ref arg-1 3))) (let ((e-76 (vector-ref arg-1 4))) (let ((e-77 (vector-ref arg-1 5))) (CoreC-45Core-C-60C-42C-62 (CoreC-45Core-C-60C-42C-62 (let ((eff-0 (CoreC-45Context-u--resolved_HasNames_C-40C-40EnvC-32TermC-41C-32C-36varsC-41 arg-0 e-75))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (vector 19 e-73 e-74 eta-0 eta-1 eta-2)))))) eff-0)) (CoreC-45Context-u--resolved_HasNames_C-40TermC-32C-36varsC-41 arg-0 e-76)) (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45Context-u--resolved_HasNames_C-40TermC-32C-36varsC-41 arg-0 eta-0)) e-77 '())))))))) ((20) (let ((e-78 (vector-ref arg-1 1))) (let ((e-79 (vector-ref arg-1 2))) (let ((e-80 (vector-ref arg-1 3))) (CoreC-45Core-C-60C-42C-62 (let ((eff-0 (CoreC-45Context-u--resolved_HasNames_Name arg-0 e-79))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (eta-0) (lambda (eta-1) (vector 20 e-78 eta-0 eta-1))))) eff-0)) (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45Context-u--resolved_HasNames_Name arg-0 eta-0)) e-80 '())))))) ((21) (let ((e-81 (vector-ref arg-1 1))) (let ((eff-0 (PreludeC-45Basics-flip (csegen-1569) e-81 (lambda (lamc-0) (let ((e-2 (car lamc-0))) (let ((e-3 (cdr lamc-0))) (CoreC-45Core-C-60C-42C-62 (let ((eff-0 (if (null? e-2) (lambda (eta-0) (vector 1 '())) (let ((e-4 (unbox e-2))) (let ((eff-0 (CoreC-45Context-u--resolved_HasNames_Name arg-0 e-4))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-5 (vector-ref eta-3 1))) (vector 0 e-5))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (eta-0) (box eta-0)))) eff-0)))))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-4 (vector-ref eta-3 1))) (vector 0 e-4))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (csegen-254))) eff-0)) (CoreC-45Context-u--resolved_HasNames_Error arg-0 e-3)))))))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (eta-0) (vector 21 eta-0)))) eff-0)))) ((22) (let ((e-82 (vector-ref arg-1 1))) (let ((e-83 (vector-ref arg-1 2))) (let ((e-84 (vector-ref arg-1 3))) (let ((eff-0 (CoreC-45Context-u--resolved_HasNames_C-40C-40EnvC-32TermC-41C-32C-36varsC-41 arg-0 e-84))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (eta-0) (vector 22 e-82 e-83 eta-0)))) eff-0)))))) ((23) (let ((e-85 (vector-ref arg-1 1))) (let ((e-86 (vector-ref arg-1 2))) (lambda (eta-0) (vector 1 (vector 23 e-85 e-86)))))) ((24) (let ((e-87 (vector-ref arg-1 1))) (let ((e-88 (vector-ref arg-1 2))) (let ((e-89 (vector-ref arg-1 3))) (let ((eff-0 (if (null? e-89) (lambda (eta-0) (vector 1 '())) (let ((e-2 (unbox e-89))) (let ((eff-0 (CoreC-45Context-u--resolved_HasNames_Name arg-0 e-2))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-3 (vector-ref eta-3 1))) (vector 0 e-3))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (eta-0) (box eta-0)))) eff-0)))))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (eta-0) (vector 24 e-87 e-88 eta-0)))) eff-0)))))) ((25) (let ((e-90 (vector-ref arg-1 1))) (let ((e-91 (vector-ref arg-1 2))) (let ((eff-0 (CoreC-45Context-u--resolved_HasNames_Name arg-0 e-91))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (eta-0) (vector 25 e-90 eta-0)))) eff-0))))) ((26) (let ((e-92 (vector-ref arg-1 1))) (let ((e-93 (vector-ref arg-1 2))) (lambda (eta-0) (vector 1 (vector 26 e-92 e-93)))))) ((27) (let ((e-94 (vector-ref arg-1 1))) (let ((e-95 (vector-ref arg-1 2))) (let ((e-96 (vector-ref arg-1 3))) (let ((e-97 (vector-ref arg-1 4))) (let ((e-98 (vector-ref arg-1 5))) (CoreC-45Core-C-60C-42C-62 (CoreC-45Core-C-60C-42C-62 (let ((eff-0 (CoreC-45Context-u--resolved_HasNames_C-40C-40EnvC-32TermC-41C-32C-36varsC-41 arg-0 e-96))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (vector 27 e-94 e-95 eta-0 eta-1 eta-2)))))) eff-0)) (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45Context-u--resolved_HasNames_Name arg-0 eta-0)) e-97 '())) (CoreC-45Context-u--resolved_HasNames_C-40TermC-32C-36varsC-41 arg-0 e-98)))))))) ((28) (let ((e-99 (vector-ref arg-1 1))) (let ((e-100 (vector-ref arg-1 2))) (let ((e-101 (vector-ref arg-1 3))) (let ((e-102 (vector-ref arg-1 4))) (CoreC-45Core-C-60C-42C-62 (let ((eff-0 (CoreC-45Context-u--resolved_HasNames_C-40C-40EnvC-32TermC-41C-32C-36varsC-41 arg-0 e-101))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (eta-0) (lambda (eta-1) (vector 28 e-99 e-100 eta-0 eta-1))))) eff-0)) (PreludeC-45Basics-flip (csegen-1569) e-102 (lambda (lamc-0) (let ((e-2 (car lamc-0))) (let ((e-3 (cdr lamc-0))) (CoreC-45Core-C-60C-42C-62 (let ((eff-0 (CoreC-45Context-u--resolved_HasNames_Name arg-0 e-2))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-4 (vector-ref eta-3 1))) (vector 0 e-4))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (csegen-254))) eff-0)) (CoreC-45Context-u--resolved_HasNames_C-40TermC-32C-36varsC-41 arg-0 e-3)))))))))))) ((29) (let ((e-103 (vector-ref arg-1 1))) (let ((e-104 (vector-ref arg-1 2))) (let ((e-105 (vector-ref arg-1 3))) (let ((e-106 (vector-ref arg-1 4))) (let ((e-107 (vector-ref arg-1 5))) (CoreC-45Core-C-60C-42C-62 (CoreC-45Core-C-60C-42C-62 (let ((eff-0 (CoreC-45Context-u--resolved_HasNames_C-40C-40EnvC-32TermC-41C-32C-36varsC-41 arg-0 e-105))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (vector 29 e-103 e-104 eta-0 eta-1 eta-2)))))) eff-0)) (CoreC-45Context-u--resolved_HasNames_Name arg-0 e-106)) (CoreC-45Context-u--resolved_HasNames_C-40TermC-32C-36varsC-41 arg-0 e-107)))))))) ((30) (let ((e-108 (vector-ref arg-1 1))) (let ((e-109 (vector-ref arg-1 2))) (let ((e-110 (vector-ref arg-1 3))) (let ((e-111 (vector-ref arg-1 4))) (let ((e-112 (vector-ref arg-1 5))) (let ((e-113 (vector-ref arg-1 6))) (CoreC-45Core-C-60C-42C-62 (CoreC-45Core-C-60C-42C-62 (let ((eff-0 (CoreC-45Context-u--resolved_HasNames_C-40C-40EnvC-32TermC-41C-32C-36varsC-41 e-110 e-111))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (vector 30 e-108 e-109 e-110 eta-0 eta-1 eta-2)))))) eff-0)) (CoreC-45Context-u--resolved_HasNames_C-40TermC-32C-36varsC-41 e-110 e-112)) (if (null? e-113) (lambda (eta-0) (vector 1 '())) (let ((e-2 (unbox e-113))) (let ((eff-0 (CoreC-45Context-u--resolved_HasNames_Error e-110 e-2))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-3 (vector-ref eta-3 1))) (vector 0 e-3))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (eta-0) (box eta-0)))) eff-0)))))))))))) ((31) (let ((e-114 (vector-ref arg-1 1))) (let ((e-115 (vector-ref arg-1 2))) (let ((e-116 (vector-ref arg-1 3))) (let ((e-117 (vector-ref arg-1 4))) (let ((e-118 (vector-ref arg-1 5))) (let ((e-119 (vector-ref arg-1 6))) (CoreC-45Core-C-60C-42C-62 (CoreC-45Core-C-60C-42C-62 (CoreC-45Core-C-60C-42C-62 (let ((eff-0 (CoreC-45Context-u--resolved_HasNames_Name arg-0 e-116))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (vector 31 e-114 e-115 eta-0 eta-1 eta-2 eta-3))))))) eff-0)) (lambda (eta-0) (vector 1 e-117))) (CoreC-45Context-u--resolved_HasNames_C-40C-40EnvC-32TermC-41C-32C-36varsC-41 arg-0 e-118)) (CoreC-45Context-u--resolved_HasNames_C-40TermC-32C-36varsC-41 arg-0 e-119))))))))) ((32) (let ((e-120 (vector-ref arg-1 1))) (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45Core-traversePair (lambda (eta-1) (CoreC-45Context-u--resolved_HasNames_Name arg-0 eta-1)) eta-0)) e-120 '()))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (eta-0) (vector 32 eta-0)))) eff-0)))) ((33) (let ((e-121 (vector-ref arg-1 1))) (let ((e-122 (vector-ref arg-1 2))) (let ((e-123 (vector-ref arg-1 3))) (let ((e-124 (vector-ref arg-1 4))) (let ((e-125 (vector-ref arg-1 5))) (let ((e-126 (vector-ref arg-1 6))) (CoreC-45Core-C-60C-42C-62 (CoreC-45Core-C-60C-42C-62 (CoreC-45Core-C-60C-42C-62 (let ((eff-0 (CoreC-45Context-u--resolved_HasNames_C-40C-40EnvC-32TermC-41C-32C-36varsC-41 arg-0 e-123))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (vector 33 e-121 e-122 eta-0 eta-1 eta-2 eta-3))))))) eff-0)) (CoreC-45Context-u--resolved_HasNames_Name arg-0 e-124)) (CoreC-45Context-u--resolved_HasNames_Name arg-0 e-125)) (CoreC-45Context-u--resolved_HasNames_C-40TermC-32C-36varsC-41 arg-0 e-126))))))))) ((34) (let ((e-127 (vector-ref arg-1 1))) (let ((e-128 (vector-ref arg-1 2))) (let ((e-129 (vector-ref arg-1 3))) (let ((e-130 (vector-ref arg-1 4))) (let ((e-131 (vector-ref arg-1 5))) (CoreC-45Core-C-60C-42C-62 (CoreC-45Core-C-60C-42C-62 (let ((eff-0 (CoreC-45Context-u--resolved_HasNames_C-40C-40EnvC-32TermC-41C-32C-36varsC-41 arg-0 e-129))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (vector 34 e-127 e-128 eta-0 eta-1 eta-2)))))) eff-0)) (CoreC-45Context-u--resolved_HasNames_Name arg-0 e-130)) (CoreC-45Context-u--resolved_HasNames_C-40TermC-32C-36varsC-41 arg-0 e-131)))))))) ((35) (let ((e-132 (vector-ref arg-1 1))) (let ((e-133 (vector-ref arg-1 2))) (let ((e-134 (vector-ref arg-1 3))) (let ((e-135 (vector-ref arg-1 4))) (let ((e-136 (vector-ref arg-1 5))) (CoreC-45Core-C-60C-42C-62 (CoreC-45Core-C-60C-42C-62 (let ((eff-0 (CoreC-45Context-u--resolved_HasNames_Name arg-0 e-134))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (vector 35 e-132 e-133 eta-0 eta-1 eta-2)))))) eff-0)) (lambda (eta-0) (vector 1 e-135))) (CoreC-45Context-u--resolved_HasNames_Name arg-0 e-136)))))))) ((36) (let ((e-137 (vector-ref arg-1 1))) (let ((e-138 (vector-ref arg-1 2))) (let ((eff-0 (CoreC-45Context-u--resolved_HasNames_Name arg-0 e-138))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (eta-0) (vector 36 e-137 eta-0)))) eff-0))))) ((37) (let ((e-139 (vector-ref arg-1 1))) (let ((e-140 (vector-ref arg-1 2))) (let ((eff-0 (CoreC-45Context-u--resolved_HasNames_Name arg-0 e-140))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (eta-0) (vector 37 e-139 eta-0)))) eff-0))))) ((38) (let ((e-141 (vector-ref arg-1 1))) (let ((e-142 (vector-ref arg-1 2))) (let ((eff-0 (CoreC-45Context-u--resolved_HasNames_Name arg-0 e-142))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (eta-0) (vector 38 e-141 eta-0)))) eff-0))))) ((39) (let ((e-143 (vector-ref arg-1 1))) (let ((e-144 (vector-ref arg-1 2))) (let ((eff-0 (CoreC-45Context-u--resolved_HasNames_Name arg-0 e-144))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (eta-0) (vector 39 e-143 eta-0)))) eff-0))))) ((40) (let ((e-145 (vector-ref arg-1 1))) (let ((e-146 (vector-ref arg-1 2))) (let ((e-147 (vector-ref arg-1 3))) (let ((e-148 (vector-ref arg-1 4))) (CoreC-45Core-C-60C-42C-62 (let ((eff-0 (CoreC-45Context-u--resolved_HasNames_C-40C-40EnvC-32TermC-41C-32C-36varsC-41 arg-0 e-147))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (eta-0) (lambda (eta-1) (vector 40 e-145 e-146 eta-0 eta-1))))) eff-0)) (CoreC-45Context-u--resolved_HasNames_C-40TermC-32C-36varsC-41 arg-0 e-148))))))) ((41) (let ((e-149 (vector-ref arg-1 1))) (let ((e-150 (vector-ref arg-1 2))) (let ((e-151 (vector-ref arg-1 3))) (let ((e-152 (vector-ref arg-1 4))) (let ((e-153 (vector-ref arg-1 5))) (CoreC-45Core-C-60C-42C-62 (CoreC-45Core-C-60C-42C-62 (let ((eff-0 (CoreC-45Context-u--resolved_HasNames_C-40C-40EnvC-32TermC-41C-32C-36varsC-41 arg-0 e-151))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (vector 41 e-149 e-150 eta-0 eta-1 eta-2)))))) eff-0)) (CoreC-45Context-u--resolved_HasNames_C-40TermC-32C-36varsC-41 arg-0 e-152)) (CoreC-45Context-u--resolved_HasNames_C-40TermC-32C-36varsC-41 arg-0 e-153)))))))) ((42) (let ((e-154 (vector-ref arg-1 1))) (let ((e-155 (vector-ref arg-1 2))) (let ((e-156 (vector-ref arg-1 3))) (let ((e-157 (vector-ref arg-1 4))) (CoreC-45Core-C-60C-42C-62 (let ((eff-0 (CoreC-45Context-u--resolved_HasNames_C-40C-40EnvC-32TermC-41C-32C-36varsC-41 arg-0 e-156))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (eta-0) (lambda (eta-1) (vector 42 e-154 e-155 eta-0 eta-1))))) eff-0)) (CoreC-45Context-u--resolved_HasNames_C-40TermC-32C-36varsC-41 arg-0 e-157))))))) ((43) (let ((e-158 (vector-ref arg-1 1))) (let ((e-159 (vector-ref arg-1 2))) (let ((e-160 (vector-ref arg-1 3))) (CoreC-45Core-C-60C-42C-62 (let ((eff-0 (CoreC-45Context-u--resolved_HasNames_Name arg-0 e-159))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (eta-0) (lambda (eta-1) (vector 43 e-158 eta-0 eta-1))))) eff-0)) (CoreC-45Context-u--resolved_HasNames_CaseError arg-0 e-160)))))) ((44) (let ((e-161 (vector-ref arg-1 1))) (let ((e-162 (vector-ref arg-1 2))) (let ((e-163 (vector-ref arg-1 3))) (let ((e-164 (vector-ref arg-1 4))) (CoreC-45Core-C-60C-42C-62 (let ((eff-0 (CoreC-45Context-u--resolved_HasNames_C-40C-40EnvC-32TermC-41C-32C-36varsC-41 arg-0 e-163))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (eta-0) (lambda (eta-1) (vector 44 e-161 e-162 eta-0 eta-1))))) eff-0)) (CoreC-45Context-u--resolved_HasNames_C-40TermC-32C-36varsC-41 arg-0 e-164))))))) ((45) (let ((e-165 (vector-ref arg-1 1))) (let ((e-166 (vector-ref arg-1 2))) (let ((e-167 (vector-ref arg-1 3))) (let ((e-168 (vector-ref arg-1 4))) (let ((e-169 (vector-ref arg-1 5))) (let ((e-170 (vector-ref arg-1 6))) (CoreC-45Core-C-60C-42C-62 (CoreC-45Core-C-60C-42C-62 (CoreC-45Core-C-60C-42C-62 (let ((eff-0 (CoreC-45Context-u--resolved_HasNames_C-40C-40EnvC-32TermC-41C-32C-36varsC-41 arg-0 e-167))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (vector 45 e-165 e-166 eta-0 eta-1 eta-2 eta-3))))))) eff-0)) (lambda (eta-0) (vector 1 e-168))) (CoreC-45Context-u--resolved_HasNames_C-40TermC-32C-36varsC-41 arg-0 e-169)) (CoreC-45Context-u--resolved_HasNames_C-40TermC-32C-36varsC-41 arg-0 e-170))))))))) ((46) (let ((e-171 (vector-ref arg-1 1))) (let ((e-172 (vector-ref arg-1 2))) (lambda (eta-0) (vector 1 (vector 46 e-171 e-172)))))) ((47) (let ((e-173 (vector-ref arg-1 1))) (let ((e-174 (vector-ref arg-1 2))) (let ((e-175 (vector-ref arg-1 3))) (let ((e-176 (vector-ref arg-1 4))) (let ((e-177 (vector-ref arg-1 5))) (CoreC-45Core-C-60C-42C-62 (CoreC-45Core-C-60C-42C-62 (let ((eff-0 (CoreC-45Context-u--resolved_HasNames_C-40C-40EnvC-32TermC-41C-32C-36varsC-41 arg-0 e-175))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (vector 47 e-173 e-174 eta-0 eta-1 eta-2)))))) eff-0)) (CoreC-45Context-u--resolved_HasNames_C-40TermC-32C-36varsC-41 arg-0 e-176)) (lambda (eta-0) (vector 1 e-177))))))))) ((48) (let ((e-178 (vector-ref arg-1 1))) (let ((eff-0 (CoreC-45Context-u--resolved_HasNames_Error arg-0 e-178))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (eta-0) (vector 48 eta-0)))) eff-0)))) ((49) (let ((e-179 (vector-ref arg-1 1))) (let ((e-180 (vector-ref arg-1 2))) (lambda (eta-0) (vector 1 (vector 49 e-179 e-180)))))) ((50) (let ((e-181 (vector-ref arg-1 1))) (lambda (eta-0) (vector 1 (vector 50 e-181))))) ((51) (let ((e-182 (vector-ref arg-1 1))) (let ((e-183 (vector-ref arg-1 2))) (lambda (eta-0) (vector 1 (vector 51 e-182 e-183)))))) ((52) (let ((e-184 (vector-ref arg-1 1))) (lambda (eta-0) (vector 1 (vector 52 e-184))))) ((53) (let ((e-185 (vector-ref arg-1 1))) (lambda (eta-0) (vector 1 (vector 53 e-185))))) ((54) (let ((e-186 (vector-ref arg-1 1))) (let ((e-187 (vector-ref arg-1 2))) (lambda (eta-0) (vector 1 (vector 54 e-186 e-187)))))) ((55) (let ((e-188 (vector-ref arg-1 1))) (lambda (eta-0) (vector 1 (vector 55 e-188))))) ((56) (let ((e-189 (vector-ref arg-1 1))) (let ((e-190 (vector-ref arg-1 2))) (lambda (eta-0) (vector 1 (vector 56 e-189 e-190)))))) ((57) (let ((e-191 (vector-ref arg-1 1))) (lambda (eta-0) (vector 1 (vector 57 e-191))))) ((58) (lambda (eta-0) (vector 1 (vector 58 )))) ((59) (let ((e-192 (vector-ref arg-1 1))) (lambda (eta-0) (vector 1 (vector 59 e-192))))) ((60) (let ((e-193 (vector-ref arg-1 1))) (lambda (eta-0) (vector 1 (vector 60 e-193))))) ((61) (let ((e-194 (vector-ref arg-1 1))) (let ((e-195 (vector-ref arg-1 2))) (lambda (eta-0) (vector 1 (vector 61 e-194 e-195)))))) ((62) (let ((e-196 (vector-ref arg-1 1))) (let ((e-197 (vector-ref arg-1 2))) (lambda (eta-0) (vector 1 (vector 62 e-196 e-197)))))) ((63) (let ((e-198 (vector-ref arg-1 1))) (lambda (eta-0) (vector 1 (vector 63 e-198))))) ((64) (let ((e-199 (vector-ref arg-1 1))) (lambda (eta-0) (vector 1 (vector 64 e-199))))) ((65) (let ((e-200 (vector-ref arg-1 1))) (let ((e-201 (vector-ref arg-1 2))) (let ((e-202 (vector-ref arg-1 3))) (let ((eff-0 (CoreC-45Core-traverseList1 (lambda (arg-2) (CoreC-45Context-u--resolved_HasNames_Error arg-0 arg-2)) e-202))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (eta-0) (vector 65 e-200 e-201 eta-0)))) eff-0)))))) ((66) (let ((e-203 (vector-ref arg-1 1))) (let ((e-204 (vector-ref arg-1 2))) (let ((e-205 (vector-ref arg-1 3))) (CoreC-45Core-C-60C-42C-62 (let ((eff-0 (CoreC-45Context-u--resolved_HasNames_Name arg-0 e-204))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (eta-0) (lambda (eta-1) (vector 66 e-203 eta-0 eta-1))))) eff-0)) (CoreC-45Context-u--resolved_HasNames_Error arg-0 e-205)))))) ((67) (let ((e-206 (vector-ref arg-1 1))) (let ((e-207 (vector-ref arg-1 2))) (let ((e-208 (vector-ref arg-1 3))) (CoreC-45Core-C-60C-42C-62 (let ((eff-0 (CoreC-45Context-u--resolved_HasNames_Name arg-0 e-207))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (eta-0) (lambda (eta-1) (vector 67 e-206 eta-0 eta-1))))) eff-0)) (CoreC-45Context-u--resolved_HasNames_Error arg-0 e-208)))))) ((68) (let ((e-209 (vector-ref arg-1 1))) (let ((e-210 (vector-ref arg-1 2))) (let ((e-211 (vector-ref arg-1 3))) (CoreC-45Core-C-60C-42C-62 (let ((eff-0 (CoreC-45Context-u--resolved_HasNames_Name arg-0 e-210))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (eta-0) (lambda (eta-1) (vector 68 e-209 eta-0 eta-1))))) eff-0)) (CoreC-45Context-u--resolved_HasNames_Error arg-0 e-211)))))) ((69) (let ((e-212 (vector-ref arg-1 1))) (let ((e-213 (vector-ref arg-1 2))) (let ((e-214 (vector-ref arg-1 3))) (CoreC-45Core-C-60C-42C-62 (let ((eff-0 (CoreC-45Context-u--resolved_HasNames_Name arg-0 e-213))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (eta-0) (lambda (eta-1) (vector 69 e-212 eta-0 eta-1))))) eff-0)) (CoreC-45Context-u--resolved_HasNames_Error arg-0 e-214)))))) ((70) (let ((e-215 (vector-ref arg-1 1))) (let ((e-216 (vector-ref arg-1 2))) (CoreC-45Core-C-60C-42C-62 (let ((eff-0 (CoreC-45Context-u--resolved_HasNames_Error arg-0 e-215))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (csegen-1570))) eff-0)) (lambda (eta-0) (vector 1 e-216)))))) (else (let ((e-217 (vector-ref arg-1 1))) (let ((eff-0 (CoreC-45Context-u--resolved_HasNames_Warning arg-0 e-217))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (eta-0) (vector 71 eta-0)))) eff-0)))))))
(define CoreC-45Context-u--resolved_HasNames_Def (lambda (arg-0 arg-1) (case (vector-ref arg-1 0) ((1) (let ((e-0 (vector-ref arg-1 1))) (let ((e-1 (vector-ref arg-1 2))) (let ((e-2 (vector-ref arg-1 3))) (let ((e-3 (vector-ref arg-1 4))) (let ((e-4 (vector-ref arg-1 5))) (let ((eff-0 (CoreC-45Context-u--resolved_HasNames_C-40CaseTreeC-32C-36varsC-41 arg-0 e-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-u--resolved_HasNames_C-40CaseTreeC-32C-36varsC-41 arg-0 e-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-6 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45Context-n--12939-9110-u--resolvedNamesPat e-4 e-1 e-3 e-2 e-0 arg-0 eta-0)) e-4 '()))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-7 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (vector 1 e-0 e-1 e-5 e-6 e-7))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))))) ((6) (let ((e-5 (vector-ref arg-1 1))) (let ((e-6 (vector-ref arg-1 2))) (let ((e-7 (vector-ref arg-1 3))) (let ((e-8 (vector-ref arg-1 4))) (let ((e-9 (vector-ref arg-1 5))) (let ((e-10 (vector-ref arg-1 6))) (let ((e-11 (vector-ref arg-1 7))) (let ((e-12 (vector-ref arg-1 8))) (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45Context-u--resolved_HasNames_Name arg-0 eta-0)) e-10 '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-13 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45Context-u--resolved_HasNames_Name arg-0 eta-0)) e-11 '()))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-14 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 6 e-5 e-6 e-7 e-8 e-9 e-13 e-14 e-12))))) eff-2))))))))) eff-1)))))))))))))))) ((8) (let ((e-13 (vector-ref arg-1 1))) (let ((e-14 (vector-ref arg-1 2))) (let ((e-15 (vector-ref arg-1 3))) (let ((eff-0 (CoreC-45Context-u--resolved_HasNames_Name arg-0 e-15))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 8 e-13 e-14 e-5))))) eff-1))))))))))) ((9) (let ((e-16 (vector-ref arg-1 1))) (let ((e-17 (vector-ref arg-1 2))) (let ((e-18 (vector-ref arg-1 3))) (let ((eff-0 (CoreC-45Context-u--resolved_HasNames_C-40TermC-32C-36varsC-41 arg-0 e-16))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 9 e-5 e-17 e-18))))) eff-1)))))))))))(else (lambda (eta-0) (vector 1 arg-1))))))
(define CoreC-45Context-u--resolved_HasNames_Covering (lambda (arg-0 arg-1) (case (vector-ref arg-1 0) ((0) (lambda (eta-0) (vector 1 (vector 0 )))) ((1) (let ((e-0 (vector-ref arg-1 1))) (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45Context-u--resolved_HasNames_C-40TermC-32C-36varsC-41 arg-0 eta-0)) e-0 '()))) (PrimIO-io_bind eff-0 (csegen-1571))))) (else (let ((e-1 (vector-ref arg-1 1))) (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45Context-u--resolved_HasNames_Name arg-0 eta-0)) e-1 '()))) (PrimIO-io_bind eff-0 (csegen-1572))))))))
(define CoreC-45Context-u--resolved_HasNames_Clause (lambda (arg-0 arg-1) (let ((e-0 (vector-ref arg-1 0))) (let ((e-1 (vector-ref arg-1 1))) (let ((e-2 (vector-ref arg-1 2))) (let ((e-3 (vector-ref arg-1 3))) (CoreC-45Core-C-60C-42C-62 (CoreC-45Core-C-60C-42C-62 (CoreC-45Core-C-60C-42C-62 (lambda (eta-0) (vector 1 (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (vector e-0 eta-1 eta-2 eta-3)))))) (CoreC-45Context-u--resolved_HasNames_C-40C-40EnvC-32TermC-41C-32C-36varsC-41 arg-0 e-1)) (CoreC-45Context-u--resolved_HasNames_C-40TermC-32C-36varsC-41 arg-0 e-2)) (CoreC-45Context-u--resolved_HasNames_C-40TermC-32C-36varsC-41 arg-0 e-3))))))))
(define CoreC-45Context-u--resolved_HasNames_CaseError (lambda (arg-0 arg-1) (case (vector-ref arg-1 0) ((0) (lambda (eta-0) (vector 1 (vector 0 )))) ((1) (lambda (eta-0) (vector 1 (vector 1 )))) ((2) (let ((e-0 (vector-ref arg-1 1))) (let ((e-4 (car e-0))) (let ((e-5 (cdr e-0))) (let ((e-8 (car e-5))) (let ((e-9 (cdr e-5))) (let ((eff-0 (CoreC-45Context-u--resolved_HasNames_C-40C-40EnvC-32TermC-41C-32C-36varsC-41 arg-0 e-8))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-u--resolved_HasNames_C-40TermC-32C-36varsC-41 arg-0 e-9))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 2 (cons e-4 (cons e-6 e-7))))))) eff-2))))))))) eff-1))))))))))))) ((3) (let ((e-1 (vector-ref arg-1 1))) (let ((eff-0 (CoreC-45Context-u--resolved_HasNames_Name arg-0 e-1))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (eta-0) (vector 3 eta-0)))) eff-0)))) (else (lambda (eta-0) (vector 1 (vector 4 )))))))
(define CoreC-45Context-u--resolved_HasNames_C-40TermC-32C-36varsC-41 (lambda (arg-1 arg-2) (case (vector-ref arg-2 0) ((1) (let ((e-1 (vector-ref arg-2 1))) (let ((e-2 (vector-ref arg-2 2))) (let ((e-3 (vector-ref arg-2 3))) (lambda (clam-0) (let ((sc1 (CoreC-45Context-getNameID e-3 arg-1))) (if (null? sc1) (vector 1 (vector 1 e-1 e-2 e-3)) (let ((e-4 (unbox sc1))) (vector 1 (vector 1 e-1 e-2 (vector 8 e-4))))))))))) ((2) (let ((e-5 (vector-ref arg-2 1))) (let ((e-6 (vector-ref arg-2 2))) (let ((e-7 (vector-ref arg-2 3))) (let ((e-8 (vector-ref arg-2 4))) (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (arg-3) (CoreC-45Context-u--resolved_HasNames_C-40TermC-32C-36varsC-41 arg-1 arg-3)) e-8 '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (clam-1) (let ((sc2 (CoreC-45Context-getNameID e-6 arg-1))) (if (null? sc2) (vector 1 (vector 2 e-5 e-6 e-7 e-9)) (let ((e-1 (unbox sc2))) (vector 1 (vector 2 e-5 e-6 e-1 e-9)))))))) eff-1)))))))))))) ((3) (let ((e-10 (vector-ref arg-2 1))) (let ((e-11 (vector-ref arg-2 2))) (let ((e-12 (vector-ref arg-2 3))) (let ((e-13 (vector-ref arg-2 4))) (let ((eff-0 (CoreC-45CoreC-45Binder-traverse (lambda (arg-3) (CoreC-45Context-u--resolved_HasNames_C-40TermC-32C-36varsC-41 arg-1 arg-3)) e-12))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-u--resolved_HasNames_C-40TermC-32C-36varsC-41 arg-1 e-13))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 3 e-10 e-11 e-5 e-6))))) eff-2))))))))) eff-1)))))))))))) ((4) (let ((e-15 (vector-ref arg-2 1))) (let ((e-16 (vector-ref arg-2 2))) (let ((e-17 (vector-ref arg-2 3))) (let ((eff-0 (CoreC-45Context-u--resolved_HasNames_C-40TermC-32C-36varsC-41 arg-1 e-16))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-u--resolved_HasNames_C-40TermC-32C-36varsC-41 arg-1 e-17))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 4 e-15 e-5 e-6))))) eff-2))))))))) eff-1))))))))))) ((5) (let ((e-19 (vector-ref arg-2 1))) (let ((e-20 (vector-ref arg-2 2))) (let ((e-21 (vector-ref arg-2 3))) (let ((e-22 (vector-ref arg-2 4))) (let ((eff-0 (CoreC-45Context-u--resolved_HasNames_C-40TermC-32C-36varsC-41 arg-1 e-21))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-u--resolved_HasNames_C-40TermC-32C-36varsC-41 arg-1 e-22))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 5 e-19 e-20 e-5 e-6))))) eff-2))))))))) eff-1)))))))))))) ((6) (let ((e-24 (vector-ref arg-2 1))) (let ((e-25 (vector-ref arg-2 2))) (let ((e-26 (vector-ref arg-2 3))) (let ((eff-0 (CoreC-45Context-u--resolved_HasNames_C-40TermC-32C-36varsC-41 arg-1 e-26))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 6 e-24 e-25 e-5))))) eff-1))))))))))) ((7) (let ((e-28 (vector-ref arg-2 1))) (let ((e-29 (vector-ref arg-2 2))) (let ((e-30 (vector-ref arg-2 3))) (let ((e-31 (vector-ref arg-2 4))) (let ((eff-0 (CoreC-45Context-u--resolved_HasNames_C-40TermC-32C-36varsC-41 arg-1 e-30))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-u--resolved_HasNames_C-40TermC-32C-36varsC-41 arg-1 e-31))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 7 e-28 e-29 e-5 e-6))))) eff-2))))))))) eff-1)))))))))))) ((8) (let ((e-33 (vector-ref arg-2 1))) (let ((e-34 (vector-ref arg-2 2))) (let ((e-35 (vector-ref arg-2 3))) (let ((eff-0 (CoreC-45Context-u--resolved_HasNames_C-40TermC-32C-36varsC-41 arg-1 e-35))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 8 e-33 e-34 e-5))))) eff-1))))))))))) ((11) (let ((e-37 (vector-ref arg-2 1))) (let ((e-38 (vector-ref arg-2 2))) (lambda (clam-2) (let ((sc1 (CoreC-45Context-getNameID e-38 arg-1))) (if (null? sc1) (vector 1 (vector 11 e-37 e-38)) (let ((e-1 (unbox sc1))) (vector 1 (vector 11 e-37 (vector 8 e-1))))))))))(else (lambda (eta-0) (vector 1 arg-2))))))
(define CoreC-45Context-u--resolved_HasNames_C-40NameMapC-32C-36aC-41 (lambda (arg-1 arg-2) (CoreC-45Context-n--13589-9601-u--insertAll arg-2 arg-1 (LibrariesC-45DataC-45NameMap-empty) (LibrariesC-45DataC-45NameMap-toList arg-2))))
(define CoreC-45Context-u--resolved_HasNames_C-40MaybeC-32C-36aC-41 (lambda (arg-1 arg-2 arg-3) (if (null? arg-3) (lambda (eta-0) (vector 1 '())) (let ((e-2 (unbox arg-3))) (let ((eff-0 (let ((e-3 (cdr arg-1))) ((e-3 arg-2) e-2)))) (PrimIO-io_bind eff-0 (csegen-1573)))))))
(define CoreC-45Context-u--resolved_HasNames_C-40CaseTreeC-32C-36varsC-41 (lambda (arg-1 arg-2) (case (vector-ref arg-2 0) ((0) (let ((e-1 (vector-ref arg-2 1))) (let ((e-2 (vector-ref arg-2 2))) (let ((e-4 (vector-ref arg-2 3))) (let ((e-5 (vector-ref arg-2 4))) (let ((eff-0 (CoreC-45Context-u--resolved_HasNames_C-40TermC-32C-36varsC-41 arg-1 e-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Core-traverseC-39 (lambda (arg-3) (CoreC-45Context-u--resolved_HasNames_C-40CaseAltC-32C-36varsC-41 arg-1 arg-3)) e-5 '()))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-3 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 0 e-1 e-2 e-6 e-7))))) eff-2))))))))) eff-1)))))))))))) ((1) (let ((e-7 (vector-ref arg-2 1))) (let ((e-8 (vector-ref arg-2 2))) (let ((eff-0 (CoreC-45Context-u--resolved_HasNames_C-40TermC-32C-36varsC-41 arg-1 e-8))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 1 e-7 e-5))))) eff-1))))))))))(else (lambda (eta-0) (vector 1 arg-2))))))
(define CoreC-45Context-u--resolved_HasNames_C-40CaseAltC-32C-36varsC-41 (lambda (arg-1 arg-2) (case (vector-ref arg-2 0) ((0) (let ((e-1 (vector-ref arg-2 1))) (let ((e-2 (vector-ref arg-2 2))) (let ((e-3 (vector-ref arg-2 3))) (let ((e-4 (vector-ref arg-2 4))) (let ((eff-0 (CoreC-45Context-u--resolved_HasNames_C-40CaseTreeC-32C-36varsC-41 arg-1 e-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (clam-0) (let ((sc2 (CoreC-45Context-getNameID e-1 arg-1))) (if (null? sc2) (vector 1 (vector 0 e-1 e-2 e-3 e-5)) (let ((e-6 (unbox sc2))) (vector 1 (vector 0 (vector 8 e-6) e-2 e-3 e-5)))))))) eff-1)))))))))))) ((1) (let ((e-6 (vector-ref arg-2 1))) (let ((e-7 (vector-ref arg-2 2))) (let ((e-8 (vector-ref arg-2 3))) (let ((eff-0 (CoreC-45Context-u--resolved_HasNames_C-40CaseTreeC-32C-36varsC-41 arg-1 e-8))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 1 e-6 e-7 e-5))))) eff-1))))))))))) ((2) (let ((e-10 (vector-ref arg-2 1))) (let ((e-11 (vector-ref arg-2 2))) (let ((eff-0 (CoreC-45Context-u--resolved_HasNames_C-40CaseTreeC-32C-36varsC-41 arg-1 e-11))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 2 e-10 e-5))))) eff-1)))))))))) (else (let ((e-13 (vector-ref arg-2 1))) (let ((eff-0 (CoreC-45Context-u--resolved_HasNames_C-40CaseTreeC-32C-36varsC-41 arg-1 e-13))) (PrimIO-io_bind eff-0 (csegen-1574))))))))
(define CoreC-45Context-u--resolved_HasNames_C-40C-40EnvC-32TermC-41C-32C-36varsC-41 (lambda (arg-1 arg-2) (if (null? arg-2) (lambda (eta-0) (vector 1 '())) (let ((e-4 (car arg-2))) (let ((e-5 (cdr arg-2))) (let ((eff-0 (CoreC-45CoreC-45Binder-traverse (lambda (arg-3) (CoreC-45Context-u--resolved_HasNames_C-40TermC-32C-36varsC-41 arg-1 arg-3)) e-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-u--resolved_HasNames_C-40C-40EnvC-32TermC-41C-32C-36varsC-41 arg-1 e-5))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (cons e-6 e-7))))) eff-2))))))))) eff-1))))))))))))
(define CoreC-45Context-u--full_HasNames_Warning (lambda (arg-0 arg-1) (case (vector-ref arg-1 0) ((0) (let ((e-0 (vector-ref arg-1 1))) (let ((e-1 (vector-ref arg-1 2))) (lambda (eta-0) (vector 1 (vector 0 e-0 e-1)))))) ((1) (let ((e-2 (vector-ref arg-1 1))) (let ((e-3 (vector-ref arg-1 2))) (let ((e-4 (vector-ref arg-1 3))) (let ((e-5 (vector-ref arg-1 4))) (CoreC-45Core-C-60C-42C-62 (let ((eff-0 (CoreC-45Context-u--full_HasNames_C-40C-40EnvC-32TermC-41C-32C-36varsC-41 arg-0 e-4))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-6 (vector-ref eta-3 1))) (vector 0 e-6))) (else (let ((e-6 (vector-ref eta-3 1))) (vector 1 (eta-2 e-6))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (eta-0) (lambda (eta-1) (vector 1 e-2 e-3 eta-0 eta-1))))) eff-0)) (CoreC-45Context-u--full_HasNames_C-40TermC-32C-36varsC-41 arg-0 e-5))))))) ((2) (let ((e-6 (vector-ref arg-1 1))) (let ((e-7 (vector-ref arg-1 2))) (let ((eff-0 (CoreC-45Core-traverseList1 (lambda (eta-0) (CoreC-45Core-traversePair (lambda (eta-1) (CoreC-45Core-traverseList1 (lambda (eta-2) (CoreC-45Context-u--full_HasNames_Name arg-0 eta-2)) eta-1)) eta-0)) e-7))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (eta-0) (vector 2 e-6 eta-0)))) eff-0))))) ((3) (lambda (eta-0) (vector 1 arg-1))) ((4) (let ((e-10 (vector-ref arg-1 1))) (let ((e-11 (vector-ref arg-1 2))) (let ((eff-0 (if (null? e-11) (lambda (eta-0) (vector 1 '())) (let ((e-2 (unbox e-11))) (let ((eff-0 (CoreC-45Core-traversePair (lambda (eta-0) (CoreC-45Context-u--full_HasNames_Name arg-0 eta-0)) e-2))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-3 (vector-ref eta-3 1))) (vector 0 e-3))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (eta-0) (box eta-0)))) eff-0)))))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (eta-0) (vector 4 e-10 eta-0)))) eff-0))))) (else (let ((e-12 (vector-ref arg-1 1))) (lambda (eta-0) (vector 1 (vector 5 e-12))))))))
(define CoreC-45Context-u--full_HasNames_Transform (lambda (arg-0 arg-1) (let ((e-0 (vector-ref arg-1 0))) (let ((e-1 (vector-ref arg-1 1))) (let ((e-2 (vector-ref arg-1 2))) (let ((e-3 (vector-ref arg-1 3))) (let ((e-4 (vector-ref arg-1 4))) (let ((eff-0 (CoreC-45Context-u--full_HasNames_Name arg-0 e-1))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-u--full_HasNames_C-40C-40EnvC-32TermC-41C-32C-36varsC-41 arg-0 e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-6 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-u--full_HasNames_C-40TermC-32C-36varsC-41 arg-0 e-3))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-7 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45Context-u--full_HasNames_C-40TermC-32C-36varsC-41 arg-0 e-4))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-8 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector e-0 e-5 e-6 e-7 e-8))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))))))
(define CoreC-45Context-u--full_HasNames_Totality (lambda (arg-0 arg-1) (let ((e-0 (car arg-1))) (let ((e-1 (cdr arg-1))) (let ((eff-0 (CoreC-45Context-u--full_HasNames_Terminating arg-0 e-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-u--full_HasNames_Covering arg-0 e-1))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (cons e-5 e-6))))) eff-2))))))))) eff-1)))))))))))
(define CoreC-45Context-u--full_HasNames_Terminating (lambda (arg-0 arg-1) (case (vector-ref arg-1 0) ((2) (let ((e-0 (vector-ref arg-1 1))) (let ((eff-0 (CoreC-45Context-u--full_HasNames_PartialReason arg-0 e-0))) (PrimIO-io_bind eff-0 (csegen-1548)))))(else (lambda (eta-0) (vector 1 arg-1))))))
(define CoreC-45Context-u--full_HasNames_SCCall (lambda (arg-0 arg-1) (let ((eff-0 (CoreC-45Context-u--full_HasNames_Name arg-0 (let ((e-0 (car arg-1))) e-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (let ((e-1 (cdr arg-1))) (cons e-5 e-1)))))) eff-1)))))))))
(define CoreC-45Context-u--full_HasNames_Pat (lambda (arg-0 arg-1) (case (vector-ref arg-1 0) ((0) (let ((e-0 (vector-ref arg-1 1))) (let ((e-1 (vector-ref arg-1 2))) (let ((e-2 (vector-ref arg-1 3))) (CoreC-45Core-C-60C-42C-62 (CoreC-45Core-C-60C-42C-62 (CoreC-45Core-C-60C-42C-62 (csegen-1551) (lambda (eta-0) (vector 1 e-0))) (CoreC-45Context-u--full_HasNames_Name arg-0 e-1)) (CoreC-45Context-u--full_HasNames_Pat arg-0 e-2)))))) ((1) (let ((e-3 (vector-ref arg-1 1))) (let ((e-4 (vector-ref arg-1 2))) (let ((e-5 (vector-ref arg-1 3))) (let ((e-6 (vector-ref arg-1 4))) (let ((e-7 (vector-ref arg-1 5))) (CoreC-45Core-C-60C-42C-62 (CoreC-45Core-C-60C-42C-62 (CoreC-45Core-C-60C-42C-62 (CoreC-45Core-C-60C-42C-62 (CoreC-45Core-C-60C-42C-62 (csegen-1554) (lambda (eta-0) (vector 1 e-3))) (CoreC-45Context-u--full_HasNames_Name arg-0 e-4)) (lambda (eta-0) (vector 1 e-5))) (lambda (eta-0) (vector 1 e-6))) (CoreC-45Core-traverseC-39 (lambda (arg-2) (CoreC-45Context-u--full_HasNames_Pat arg-0 arg-2)) e-7 '())))))))) ((2) (let ((e-8 (vector-ref arg-1 1))) (let ((e-9 (vector-ref arg-1 2))) (let ((e-10 (vector-ref arg-1 3))) (let ((e-11 (vector-ref arg-1 4))) (CoreC-45Core-C-60C-42C-62 (CoreC-45Core-C-60C-42C-62 (CoreC-45Core-C-60C-42C-62 (CoreC-45Core-C-60C-42C-62 (csegen-1557) (lambda (eta-0) (vector 1 e-8))) (CoreC-45Context-u--full_HasNames_Name arg-0 e-9)) (lambda (eta-0) (vector 1 e-10))) (CoreC-45Core-traverseC-39 (lambda (arg-2) (CoreC-45Context-u--full_HasNames_Pat arg-0 arg-2)) e-11 '()))))))) ((3) (lambda (eta-0) (vector 1 arg-1))) ((4) (let ((e-14 (vector-ref arg-1 1))) (let ((e-15 (vector-ref arg-1 2))) (let ((e-16 (vector-ref arg-1 3))) (let ((e-17 (vector-ref arg-1 4))) (CoreC-45Core-C-60C-42C-62 (CoreC-45Core-C-60C-42C-62 (CoreC-45Core-C-60C-42C-62 (CoreC-45Core-C-60C-42C-62 (csegen-1560) (lambda (eta-0) (vector 1 e-14))) (CoreC-45Context-u--full_HasNames_Name arg-0 e-15)) (CoreC-45Context-u--full_HasNames_Pat arg-0 e-16)) (CoreC-45Context-u--full_HasNames_Pat arg-0 e-17))))))) ((5) (let ((e-18 (vector-ref arg-1 1))) (let ((e-19 (vector-ref arg-1 2))) (let ((e-20 (vector-ref arg-1 3))) (let ((e-21 (vector-ref arg-1 4))) (CoreC-45Core-C-60C-42C-62 (CoreC-45Core-C-60C-42C-62 (CoreC-45Core-C-60C-42C-62 (CoreC-45Core-C-60C-42C-62 (csegen-1563) (lambda (eta-0) (vector 1 e-18))) (lambda (eta-0) (vector 1 e-19))) (CoreC-45Context-u--full_HasNames_Pat arg-0 e-20)) (CoreC-45Context-u--full_HasNames_Pat arg-0 e-21))))))) ((6) (let ((e-22 (vector-ref arg-1 1))) (let ((e-23 (vector-ref arg-1 2))) (let ((eff-0 (CoreC-45Context-u--full_HasNames_Name arg-0 e-23))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (eta-0) (vector 6 e-22 eta-0)))) eff-0))))) (else (let ((e-24 (vector-ref arg-1 1))) (let ((e-25 (vector-ref arg-1 2))) (let ((eff-0 (CoreC-45Context-u--full_HasNames_C-40TermC-32C-36varsC-41 arg-0 e-25))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (eta-0) (vector 7 e-24 eta-0)))) eff-0))))))))
(define CoreC-45Context-u--full_HasNames_PartialReason (lambda (arg-0 arg-1) (case (vector-ref arg-1 0) ((0) (lambda (eta-0) (vector 1 (vector 0 )))) ((1) (let ((e-0 (vector-ref arg-1 1))) (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45Context-u--full_HasNames_Name arg-0 eta-0)) e-0 '()))) (PrimIO-io_bind eff-0 (csegen-1564))))) (else (let ((e-1 (vector-ref arg-1 1))) (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45Context-u--full_HasNames_Name arg-0 eta-0)) e-1 '()))) (PrimIO-io_bind eff-0 (csegen-1565))))))))
(define CoreC-45Context-u--full_HasNames_Name (lambda (arg-0 arg-1) (case (vector-ref arg-1 0) ((8) (let ((e-0 (vector-ref arg-1 1))) (let ((eff-0 (CoreC-45Context-lookupCtxtExact (vector 8 e-0) arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (clam-0) (if (null? e-5) (vector 1 (vector 8 e-0)) (let ((e-1 (unbox e-5))) (vector 1 (let ((e-23 (vector-ref e-1 1))) e-23))))))) eff-1)))))))))(else (lambda (eta-0) (vector 1 arg-1))))))
(define CoreC-45Context-u--full_HasNames_GlobalDef (lambda (arg-0 arg-1) (let ((eff-0 (CoreC-45Context-u--full_HasNames_C-40TermC-32C-36varsC-41 arg-0 (let ((e-2 (vector-ref arg-1 2))) e-2)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-u--full_HasNames_Def arg-0 (let ((e-17 (vector-ref arg-1 17))) e-17)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-u--full_HasNames_Totality arg-0 (let ((e-10 (vector-ref arg-1 10))) e-10)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45Context-u--full_HasNames_C-40MaybeC-32C-36aC-41 (csegen-1568) arg-0 (let ((e-12 (vector-ref arg-1 12))) e-12)))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Context-u--full_HasNames_C-40MaybeC-32C-36aC-41 (csegen-1568) arg-0 (let ((e-13 (vector-ref arg-1 13))) e-13)))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (let ((eff-5 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45Context-u--full_HasNames_SCCall arg-0 eta-0)) (let ((e-20 (vector-ref arg-1 20))) e-20) '()))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-10 (vector-ref lcase-5 1))) (let ((eff-6 (lambda (eta-0) (vector 1 (let ((e-0 (vector-ref arg-1 0))) (let ((e-1 (vector-ref arg-1 1))) (let ((e-3 (vector-ref arg-1 3))) (let ((e-4 (vector-ref arg-1 4))) (let ((e-27 (vector-ref arg-1 5))) (let ((e-26 (vector-ref arg-1 6))) (let ((e-25 (vector-ref arg-1 7))) (let ((e-24 (vector-ref arg-1 8))) (let ((e-23 (vector-ref arg-1 9))) (let ((e-11 (vector-ref arg-1 11))) (let ((e-14 (vector-ref arg-1 14))) (let ((e-15 (vector-ref arg-1 15))) (let ((e-16 (vector-ref arg-1 16))) (let ((e-18 (vector-ref arg-1 18))) (let ((e-19 (vector-ref arg-1 19))) (let ((e-21 (vector-ref arg-1 21))) (vector e-0 e-1 e-5 e-3 e-4 e-27 e-26 e-25 e-24 e-23 e-7 e-11 e-8 e-9 e-14 e-15 e-16 e-6 e-18 e-19 e-10 e-21))))))))))))))))))))) eff-6))))))))) eff-5))))))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))
(define CoreC-45Context-u--full_HasNames_Error (lambda (arg-0 arg-1) (case (vector-ref arg-1 0) ((0) (let ((e-0 (vector-ref arg-1 1))) (let ((eff-0 (CoreC-45Context-u--full_HasNames_Error arg-0 e-0))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (eta-0) (vector 0 eta-0)))) eff-0)))) ((1) (let ((e-1 (vector-ref arg-1 1))) (let ((e-2 (vector-ref arg-1 2))) (let ((e-3 (vector-ref arg-1 3))) (let ((e-4 (vector-ref arg-1 4))) (let ((e-5 (vector-ref arg-1 5))) (let ((e-6 (vector-ref arg-1 6))) (CoreC-45Core-C-60C-42C-62 (CoreC-45Core-C-60C-42C-62 (let ((eff-0 (CoreC-45Context-u--full_HasNames_C-40C-40EnvC-32TermC-41C-32C-36varsC-41 e-3 e-4))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-7 (vector-ref eta-3 1))) (vector 0 e-7))) (else (let ((e-7 (vector-ref eta-3 1))) (vector 1 (eta-2 e-7))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (vector 1 e-1 e-2 e-3 eta-0 eta-1 eta-2)))))) eff-0)) (CoreC-45Context-u--full_HasNames_C-40TermC-32C-36varsC-41 e-3 e-5)) (CoreC-45Context-u--full_HasNames_C-40TermC-32C-36varsC-41 e-3 e-6))))))))) ((2) (let ((e-7 (vector-ref arg-1 1))) (let ((e-8 (vector-ref arg-1 2))) (let ((e-9 (vector-ref arg-1 3))) (let ((e-10 (vector-ref arg-1 4))) (let ((e-11 (vector-ref arg-1 5))) (let ((e-12 (vector-ref arg-1 6))) (CoreC-45Core-C-60C-42C-62 (CoreC-45Core-C-60C-42C-62 (let ((eff-0 (CoreC-45Context-u--full_HasNames_C-40C-40EnvC-32TermC-41C-32C-36varsC-41 e-9 e-10))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (vector 2 e-7 e-8 e-9 eta-0 eta-1 eta-2)))))) eff-0)) (CoreC-45Context-u--full_HasNames_C-40TermC-32C-36varsC-41 e-9 e-11)) (CoreC-45Context-u--full_HasNames_C-40TermC-32C-36varsC-41 e-9 e-12))))))))) ((3) (let ((e-13 (vector-ref arg-1 1))) (let ((e-14 (vector-ref arg-1 2))) (let ((e-15 (vector-ref arg-1 3))) (let ((e-16 (vector-ref arg-1 4))) (let ((e-17 (vector-ref arg-1 5))) (let ((e-18 (vector-ref arg-1 6))) (CoreC-45Core-C-60C-42C-62 (CoreC-45Core-C-60C-42C-62 (let ((eff-0 (CoreC-45Context-u--full_HasNames_C-40C-40EnvC-32TermC-41C-32C-36varsC-41 arg-0 e-16))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (vector 3 e-13 e-14 e-15 eta-0 eta-1 eta-2)))))) eff-0)) (CoreC-45Context-u--full_HasNames_Name arg-0 e-17)) (CoreC-45Context-u--full_HasNames_C-40TermC-32C-36varsC-41 arg-0 e-18))))))))) ((4) (let ((e-19 (vector-ref arg-1 1))) (let ((e-20 (vector-ref arg-1 2))) (let ((e-21 (vector-ref arg-1 3))) (let ((e-22 (vector-ref arg-1 4))) (let ((e-23 (vector-ref arg-1 5))) (CoreC-45Core-C-60C-42C-62 (CoreC-45Core-C-60C-42C-62 (let ((eff-0 (CoreC-45Context-u--full_HasNames_C-40C-40EnvC-32TermC-41C-32C-36varsC-41 arg-0 e-21))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (vector 4 e-19 e-20 eta-0 eta-1 eta-2)))))) eff-0)) (CoreC-45Context-u--full_HasNames_Name arg-0 e-22)) (CoreC-45Context-u--full_HasNames_C-40TermC-32C-36varsC-41 arg-0 e-23)))))))) ((5) (let ((e-24 (vector-ref arg-1 1))) (let ((e-25 (vector-ref arg-1 2))) (let ((e-26 (vector-ref arg-1 3))) (let ((e-27 (vector-ref arg-1 4))) (let ((e-28 (vector-ref arg-1 5))) (let ((e-29 (vector-ref arg-1 6))) (let ((e-30 (vector-ref arg-1 7))) (CoreC-45Core-C-60C-42C-62 (CoreC-45Core-C-60C-42C-62 (CoreC-45Core-C-60C-42C-62 (let ((eff-0 (CoreC-45Context-u--full_HasNames_C-40C-40EnvC-32TermC-41C-32C-36varsC-41 e-26 e-27))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (vector 5 e-24 e-25 e-26 eta-0 eta-1 eta-2 eta-3))))))) eff-0)) (CoreC-45Context-u--full_HasNames_C-40TermC-32C-36varsC-41 e-26 e-28)) (CoreC-45Context-u--full_HasNames_C-40TermC-32C-36varsC-41 e-26 e-29)) (CoreC-45Context-u--full_HasNames_Error e-26 e-30)))))))))) ((6) (let ((e-31 (vector-ref arg-1 1))) (let ((e-32 (vector-ref arg-1 2))) (let ((e-33 (vector-ref arg-1 3))) (let ((e-34 (vector-ref arg-1 4))) (CoreC-45Core-C-60C-42C-62 (let ((eff-0 (CoreC-45Context-u--full_HasNames_C-40C-40EnvC-32TermC-41C-32C-36varsC-41 arg-0 e-33))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (eta-0) (lambda (eta-1) (vector 6 e-31 e-32 eta-0 eta-1))))) eff-0)) (PreludeC-45Types-either (lambda () (lambda (eta-0) (let ((eff-0 (CoreC-45Context-u--full_HasNames_C-40TermC-32C-36varsC-41 arg-0 eta-0))) (((csegen-50) ((let ((eff-1 (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (lambda (eta-4) (case (vector-ref eta-4 0) ((0) (let ((e-2 (vector-ref eta-4 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-4 1))) (vector 1 (eta-3 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (eta-1) (vector 0 eta-1)))) eff-0)))) (lambda () (lambda (eta-0) (let ((eff-0 (CoreC-45Context-u--full_HasNames_Error arg-0 eta-0))) (((csegen-50) ((let ((eff-1 (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (lambda (eta-4) (case (vector-ref eta-4 0) ((0) (let ((e-2 (vector-ref eta-4 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-4 1))) (vector 1 (eta-3 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (eta-1) (vector 1 eta-1)))) eff-0)))) e-34))))))) ((7) (let ((e-35 (vector-ref arg-1 1))) (let ((e-36 (vector-ref arg-1 2))) (let ((eff-0 (CoreC-45Context-u--full_HasNames_Name arg-0 e-36))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (eta-0) (vector 7 e-35 eta-0)))) eff-0))))) ((8) (let ((e-37 (vector-ref arg-1 1))) (let ((e-38 (vector-ref arg-1 2))) (let ((e-39 (vector-ref arg-1 3))) (CoreC-45Core-C-60C-42C-62 (let ((eff-0 (CoreC-45Context-u--full_HasNames_Name arg-0 e-38))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (eta-0) (lambda (eta-1) (vector 8 e-37 eta-0 eta-1))))) eff-0)) (lambda (eta-0) (vector 1 e-39))))))) ((9) (let ((e-40 (vector-ref arg-1 1))) (let ((e-41 (vector-ref arg-1 2))) (let ((eff-0 (CoreC-45Context-u--full_HasNames_Name arg-0 e-41))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (eta-0) (vector 9 e-40 eta-0)))) eff-0))))) ((10) (let ((e-42 (vector-ref arg-1 1))) (let ((e-43 (vector-ref arg-1 2))) (let ((e-44 (vector-ref arg-1 3))) (CoreC-45Core-C-60C-42C-62 (let ((eff-0 (CoreC-45Context-u--full_HasNames_Name arg-0 e-43))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (eta-0) (lambda (eta-1) (vector 10 e-42 eta-0 eta-1))))) eff-0)) (CoreC-45Context-u--full_HasNames_Name arg-0 e-44)))))) ((11) (let ((e-45 (vector-ref arg-1 1))) (let ((e-46 (vector-ref arg-1 2))) (let ((e-47 (vector-ref arg-1 3))) (CoreC-45Core-C-60C-42C-62 (let ((eff-0 (CoreC-45Context-u--full_HasNames_Name arg-0 e-46))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (eta-0) (lambda (eta-1) (vector 11 e-45 eta-0 eta-1))))) eff-0)) (CoreC-45Context-u--full_HasNames_Covering arg-0 e-47)))))) ((12) (let ((e-48 (vector-ref arg-1 1))) (let ((e-49 (vector-ref arg-1 2))) (let ((e-50 (vector-ref arg-1 3))) (CoreC-45Core-C-60C-42C-62 (let ((eff-0 (CoreC-45Context-u--full_HasNames_Name arg-0 e-49))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (eta-0) (lambda (eta-1) (vector 12 e-48 eta-0 eta-1))))) eff-0)) (CoreC-45Context-u--full_HasNames_PartialReason arg-0 e-50)))))) ((13) (let ((e-51 (vector-ref arg-1 1))) (let ((e-52 (vector-ref arg-1 2))) (let ((e-53 (vector-ref arg-1 3))) (let ((eff-0 (CoreC-45Context-u--full_HasNames_Name arg-0 e-53))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (eta-0) (vector 13 e-51 e-52 eta-0)))) eff-0)))))) ((14) (let ((e-54 (vector-ref arg-1 1))) (let ((e-55 (vector-ref arg-1 2))) (let ((e-56 (vector-ref arg-1 3))) (let ((e-57 (vector-ref arg-1 4))) (CoreC-45Core-C-60C-42C-62 (CoreC-45Core-C-60C-42C-62 (let ((eff-0 (CoreC-45Context-u--full_HasNames_Name arg-0 e-55))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (vector 14 e-54 eta-0 eta-1 eta-2)))))) eff-0)) (lambda (eta-0) (vector 1 e-56))) (lambda (eta-0) (vector 1 e-57)))))))) ((15) (let ((e-58 (vector-ref arg-1 1))) (let ((e-59 (vector-ref arg-1 2))) (let ((e-60 (vector-ref arg-1 3))) (let ((e-61 (vector-ref arg-1 4))) (let ((e-62 (vector-ref arg-1 5))) (CoreC-45Core-C-60C-42C-62 (CoreC-45Core-C-60C-42C-62 (let ((eff-0 (CoreC-45Context-u--full_HasNames_C-40C-40EnvC-32TermC-41C-32C-36varsC-41 arg-0 e-60))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (vector 15 e-58 e-59 eta-0 eta-1 eta-2)))))) eff-0)) (CoreC-45Context-u--full_HasNames_C-40TermC-32C-36varsC-41 arg-0 e-61)) (CoreC-45Context-u--full_HasNames_C-40TermC-32C-36varsC-41 arg-0 e-62)))))))) ((16) (let ((e-63 (vector-ref arg-1 1))) (let ((e-64 (vector-ref arg-1 2))) (let ((e-65 (vector-ref arg-1 3))) (let ((e-66 (vector-ref arg-1 4))) (CoreC-45Core-C-60C-42C-62 (let ((eff-0 (CoreC-45Context-u--full_HasNames_C-40C-40EnvC-32TermC-41C-32C-36varsC-41 arg-0 e-65))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (eta-0) (lambda (eta-1) (vector 16 e-63 e-64 eta-0 eta-1))))) eff-0)) (CoreC-45Context-u--full_HasNames_C-40TermC-32C-36varsC-41 arg-0 e-66))))))) ((17) (let ((e-67 (vector-ref arg-1 1))) (let ((e-68 (vector-ref arg-1 2))) (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45Context-u--full_HasNames_Name arg-0 eta-0)) e-68 '()))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (eta-0) (vector 17 e-67 eta-0)))) eff-0))))) ((18) (let ((e-69 (vector-ref arg-1 1))) (let ((e-70 (vector-ref arg-1 2))) (let ((e-71 (vector-ref arg-1 3))) (let ((e-72 (vector-ref arg-1 4))) (CoreC-45Core-C-60C-42C-62 (let ((eff-0 (CoreC-45Context-u--full_HasNames_C-40C-40EnvC-32TermC-41C-32C-36varsC-41 arg-0 e-71))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (eta-0) (lambda (eta-1) (vector 18 e-69 e-70 eta-0 eta-1))))) eff-0)) (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-2 (car lamc-0))) (let ((e-3 (cdr lamc-0))) (let ((eff-0 (CoreC-45Context-u--full_HasNames_C-40TermC-32C-36varsC-41 e-2 e-3))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-4 (vector-ref eta-3 1))) (vector 0 e-4))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (__infixTupleSection-0) (cons e-2 __infixTupleSection-0)))) eff-0))))) e-72 '()))))))) ((19) (let ((e-73 (vector-ref arg-1 1))) (let ((e-74 (vector-ref arg-1 2))) (let ((e-75 (vector-ref arg-1 3))) (let ((e-76 (vector-ref arg-1 4))) (let ((e-77 (vector-ref arg-1 5))) (CoreC-45Core-C-60C-42C-62 (CoreC-45Core-C-60C-42C-62 (let ((eff-0 (CoreC-45Context-u--full_HasNames_C-40C-40EnvC-32TermC-41C-32C-36varsC-41 arg-0 e-75))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (vector 19 e-73 e-74 eta-0 eta-1 eta-2)))))) eff-0)) (CoreC-45Context-u--full_HasNames_C-40TermC-32C-36varsC-41 arg-0 e-76)) (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45Context-u--full_HasNames_C-40TermC-32C-36varsC-41 arg-0 eta-0)) e-77 '())))))))) ((20) (let ((e-78 (vector-ref arg-1 1))) (let ((e-79 (vector-ref arg-1 2))) (let ((e-80 (vector-ref arg-1 3))) (CoreC-45Core-C-60C-42C-62 (let ((eff-0 (CoreC-45Context-u--full_HasNames_Name arg-0 e-79))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (eta-0) (lambda (eta-1) (vector 20 e-78 eta-0 eta-1))))) eff-0)) (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45Context-u--full_HasNames_Name arg-0 eta-0)) e-80 '())))))) ((21) (let ((e-81 (vector-ref arg-1 1))) (let ((eff-0 (PreludeC-45Basics-flip (csegen-1569) e-81 (lambda (lamc-0) (let ((e-2 (car lamc-0))) (let ((e-3 (cdr lamc-0))) (CoreC-45Core-C-60C-42C-62 (let ((eff-0 (if (null? e-2) (lambda (eta-0) (vector 1 '())) (let ((e-4 (unbox e-2))) (let ((eff-0 (CoreC-45Context-u--full_HasNames_Name arg-0 e-4))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-5 (vector-ref eta-3 1))) (vector 0 e-5))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (eta-0) (box eta-0)))) eff-0)))))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-4 (vector-ref eta-3 1))) (vector 0 e-4))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (csegen-254))) eff-0)) (CoreC-45Context-u--full_HasNames_Error arg-0 e-3)))))))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (eta-0) (vector 21 eta-0)))) eff-0)))) ((22) (let ((e-82 (vector-ref arg-1 1))) (let ((e-83 (vector-ref arg-1 2))) (let ((e-84 (vector-ref arg-1 3))) (let ((eff-0 (CoreC-45Context-u--full_HasNames_C-40C-40EnvC-32TermC-41C-32C-36varsC-41 arg-0 e-84))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (eta-0) (vector 22 e-82 e-83 eta-0)))) eff-0)))))) ((23) (let ((e-85 (vector-ref arg-1 1))) (let ((e-86 (vector-ref arg-1 2))) (lambda (eta-0) (vector 1 (vector 23 e-85 e-86)))))) ((24) (let ((e-87 (vector-ref arg-1 1))) (let ((e-88 (vector-ref arg-1 2))) (let ((e-89 (vector-ref arg-1 3))) (let ((eff-0 (if (null? e-89) (lambda (eta-0) (vector 1 '())) (let ((e-2 (unbox e-89))) (let ((eff-0 (CoreC-45Context-u--full_HasNames_Name arg-0 e-2))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-3 (vector-ref eta-3 1))) (vector 0 e-3))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (eta-0) (box eta-0)))) eff-0)))))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (eta-0) (vector 24 e-87 e-88 eta-0)))) eff-0)))))) ((25) (let ((e-90 (vector-ref arg-1 1))) (let ((e-91 (vector-ref arg-1 2))) (let ((eff-0 (CoreC-45Context-u--full_HasNames_Name arg-0 e-91))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (eta-0) (vector 25 e-90 eta-0)))) eff-0))))) ((26) (let ((e-92 (vector-ref arg-1 1))) (let ((e-93 (vector-ref arg-1 2))) (lambda (eta-0) (vector 1 (vector 26 e-92 e-93)))))) ((27) (let ((e-94 (vector-ref arg-1 1))) (let ((e-95 (vector-ref arg-1 2))) (let ((e-96 (vector-ref arg-1 3))) (let ((e-97 (vector-ref arg-1 4))) (let ((e-98 (vector-ref arg-1 5))) (CoreC-45Core-C-60C-42C-62 (CoreC-45Core-C-60C-42C-62 (let ((eff-0 (CoreC-45Context-u--full_HasNames_C-40C-40EnvC-32TermC-41C-32C-36varsC-41 arg-0 e-96))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (vector 27 e-94 e-95 eta-0 eta-1 eta-2)))))) eff-0)) (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45Context-u--full_HasNames_Name arg-0 eta-0)) e-97 '())) (CoreC-45Context-u--full_HasNames_C-40TermC-32C-36varsC-41 arg-0 e-98)))))))) ((28) (let ((e-99 (vector-ref arg-1 1))) (let ((e-100 (vector-ref arg-1 2))) (let ((e-101 (vector-ref arg-1 3))) (let ((e-102 (vector-ref arg-1 4))) (CoreC-45Core-C-60C-42C-62 (let ((eff-0 (CoreC-45Context-u--full_HasNames_C-40C-40EnvC-32TermC-41C-32C-36varsC-41 arg-0 e-101))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (eta-0) (lambda (eta-1) (vector 28 e-99 e-100 eta-0 eta-1))))) eff-0)) (PreludeC-45Basics-flip (csegen-1569) e-102 (lambda (lamc-0) (let ((e-2 (car lamc-0))) (let ((e-3 (cdr lamc-0))) (CoreC-45Core-C-60C-42C-62 (let ((eff-0 (CoreC-45Context-u--full_HasNames_Name arg-0 e-2))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-4 (vector-ref eta-3 1))) (vector 0 e-4))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (csegen-254))) eff-0)) (CoreC-45Context-u--full_HasNames_C-40TermC-32C-36varsC-41 arg-0 e-3)))))))))))) ((29) (let ((e-103 (vector-ref arg-1 1))) (let ((e-104 (vector-ref arg-1 2))) (let ((e-105 (vector-ref arg-1 3))) (let ((e-106 (vector-ref arg-1 4))) (let ((e-107 (vector-ref arg-1 5))) (CoreC-45Core-C-60C-42C-62 (CoreC-45Core-C-60C-42C-62 (let ((eff-0 (CoreC-45Context-u--full_HasNames_C-40C-40EnvC-32TermC-41C-32C-36varsC-41 arg-0 e-105))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (vector 29 e-103 e-104 eta-0 eta-1 eta-2)))))) eff-0)) (CoreC-45Context-u--full_HasNames_Name arg-0 e-106)) (CoreC-45Context-u--full_HasNames_C-40TermC-32C-36varsC-41 arg-0 e-107)))))))) ((30) (let ((e-108 (vector-ref arg-1 1))) (let ((e-109 (vector-ref arg-1 2))) (let ((e-110 (vector-ref arg-1 3))) (let ((e-111 (vector-ref arg-1 4))) (let ((e-112 (vector-ref arg-1 5))) (let ((e-113 (vector-ref arg-1 6))) (CoreC-45Core-C-60C-42C-62 (CoreC-45Core-C-60C-42C-62 (let ((eff-0 (CoreC-45Context-u--full_HasNames_C-40C-40EnvC-32TermC-41C-32C-36varsC-41 e-110 e-111))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (vector 30 e-108 e-109 e-110 eta-0 eta-1 eta-2)))))) eff-0)) (CoreC-45Context-u--full_HasNames_C-40TermC-32C-36varsC-41 e-110 e-112)) (if (null? e-113) (lambda (eta-0) (vector 1 '())) (let ((e-2 (unbox e-113))) (let ((eff-0 (CoreC-45Context-u--full_HasNames_Error e-110 e-2))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-3 (vector-ref eta-3 1))) (vector 0 e-3))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (eta-0) (box eta-0)))) eff-0)))))))))))) ((31) (let ((e-114 (vector-ref arg-1 1))) (let ((e-115 (vector-ref arg-1 2))) (let ((e-116 (vector-ref arg-1 3))) (let ((e-117 (vector-ref arg-1 4))) (let ((e-118 (vector-ref arg-1 5))) (let ((e-119 (vector-ref arg-1 6))) (CoreC-45Core-C-60C-42C-62 (CoreC-45Core-C-60C-42C-62 (CoreC-45Core-C-60C-42C-62 (let ((eff-0 (CoreC-45Context-u--full_HasNames_Name arg-0 e-116))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (vector 31 e-114 e-115 eta-0 eta-1 eta-2 eta-3))))))) eff-0)) (lambda (eta-0) (vector 1 e-117))) (CoreC-45Context-u--full_HasNames_C-40C-40EnvC-32TermC-41C-32C-36varsC-41 arg-0 e-118)) (CoreC-45Context-u--full_HasNames_C-40TermC-32C-36varsC-41 arg-0 e-119))))))))) ((32) (let ((e-120 (vector-ref arg-1 1))) (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45Core-traversePair (lambda (eta-1) (CoreC-45Context-u--full_HasNames_Name arg-0 eta-1)) eta-0)) e-120 '()))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (eta-0) (vector 32 eta-0)))) eff-0)))) ((33) (let ((e-121 (vector-ref arg-1 1))) (let ((e-122 (vector-ref arg-1 2))) (let ((e-123 (vector-ref arg-1 3))) (let ((e-124 (vector-ref arg-1 4))) (let ((e-125 (vector-ref arg-1 5))) (let ((e-126 (vector-ref arg-1 6))) (CoreC-45Core-C-60C-42C-62 (CoreC-45Core-C-60C-42C-62 (CoreC-45Core-C-60C-42C-62 (let ((eff-0 (CoreC-45Context-u--full_HasNames_C-40C-40EnvC-32TermC-41C-32C-36varsC-41 arg-0 e-123))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (vector 33 e-121 e-122 eta-0 eta-1 eta-2 eta-3))))))) eff-0)) (CoreC-45Context-u--full_HasNames_Name arg-0 e-124)) (CoreC-45Context-u--full_HasNames_Name arg-0 e-125)) (CoreC-45Context-u--full_HasNames_C-40TermC-32C-36varsC-41 arg-0 e-126))))))))) ((34) (let ((e-127 (vector-ref arg-1 1))) (let ((e-128 (vector-ref arg-1 2))) (let ((e-129 (vector-ref arg-1 3))) (let ((e-130 (vector-ref arg-1 4))) (let ((e-131 (vector-ref arg-1 5))) (CoreC-45Core-C-60C-42C-62 (CoreC-45Core-C-60C-42C-62 (let ((eff-0 (CoreC-45Context-u--full_HasNames_C-40C-40EnvC-32TermC-41C-32C-36varsC-41 arg-0 e-129))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (vector 34 e-127 e-128 eta-0 eta-1 eta-2)))))) eff-0)) (CoreC-45Context-u--full_HasNames_Name arg-0 e-130)) (CoreC-45Context-u--full_HasNames_C-40TermC-32C-36varsC-41 arg-0 e-131)))))))) ((35) (let ((e-132 (vector-ref arg-1 1))) (let ((e-133 (vector-ref arg-1 2))) (let ((e-134 (vector-ref arg-1 3))) (let ((e-135 (vector-ref arg-1 4))) (let ((e-136 (vector-ref arg-1 5))) (CoreC-45Core-C-60C-42C-62 (CoreC-45Core-C-60C-42C-62 (let ((eff-0 (CoreC-45Context-u--full_HasNames_Name arg-0 e-134))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (vector 35 e-132 e-133 eta-0 eta-1 eta-2)))))) eff-0)) (lambda (eta-0) (vector 1 e-135))) (CoreC-45Context-u--full_HasNames_Name arg-0 e-136)))))))) ((36) (let ((e-137 (vector-ref arg-1 1))) (let ((e-138 (vector-ref arg-1 2))) (let ((eff-0 (CoreC-45Context-u--full_HasNames_Name arg-0 e-138))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (eta-0) (vector 36 e-137 eta-0)))) eff-0))))) ((37) (let ((e-139 (vector-ref arg-1 1))) (let ((e-140 (vector-ref arg-1 2))) (let ((eff-0 (CoreC-45Context-u--full_HasNames_Name arg-0 e-140))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (eta-0) (vector 37 e-139 eta-0)))) eff-0))))) ((38) (let ((e-141 (vector-ref arg-1 1))) (let ((e-142 (vector-ref arg-1 2))) (let ((eff-0 (CoreC-45Context-u--full_HasNames_Name arg-0 e-142))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (eta-0) (vector 38 e-141 eta-0)))) eff-0))))) ((39) (let ((e-143 (vector-ref arg-1 1))) (let ((e-144 (vector-ref arg-1 2))) (let ((eff-0 (CoreC-45Context-u--full_HasNames_Name arg-0 e-144))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (eta-0) (vector 39 e-143 eta-0)))) eff-0))))) ((40) (let ((e-145 (vector-ref arg-1 1))) (let ((e-146 (vector-ref arg-1 2))) (let ((e-147 (vector-ref arg-1 3))) (let ((e-148 (vector-ref arg-1 4))) (CoreC-45Core-C-60C-42C-62 (let ((eff-0 (CoreC-45Context-u--full_HasNames_C-40C-40EnvC-32TermC-41C-32C-36varsC-41 arg-0 e-147))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (eta-0) (lambda (eta-1) (vector 40 e-145 e-146 eta-0 eta-1))))) eff-0)) (CoreC-45Context-u--full_HasNames_C-40TermC-32C-36varsC-41 arg-0 e-148))))))) ((41) (let ((e-149 (vector-ref arg-1 1))) (let ((e-150 (vector-ref arg-1 2))) (let ((e-151 (vector-ref arg-1 3))) (let ((e-152 (vector-ref arg-1 4))) (let ((e-153 (vector-ref arg-1 5))) (CoreC-45Core-C-60C-42C-62 (CoreC-45Core-C-60C-42C-62 (let ((eff-0 (CoreC-45Context-u--full_HasNames_C-40C-40EnvC-32TermC-41C-32C-36varsC-41 arg-0 e-151))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (vector 41 e-149 e-150 eta-0 eta-1 eta-2)))))) eff-0)) (CoreC-45Context-u--full_HasNames_C-40TermC-32C-36varsC-41 arg-0 e-152)) (CoreC-45Context-u--full_HasNames_C-40TermC-32C-36varsC-41 arg-0 e-153)))))))) ((42) (let ((e-154 (vector-ref arg-1 1))) (let ((e-155 (vector-ref arg-1 2))) (let ((e-156 (vector-ref arg-1 3))) (let ((e-157 (vector-ref arg-1 4))) (CoreC-45Core-C-60C-42C-62 (let ((eff-0 (CoreC-45Context-u--full_HasNames_C-40C-40EnvC-32TermC-41C-32C-36varsC-41 arg-0 e-156))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (eta-0) (lambda (eta-1) (vector 42 e-154 e-155 eta-0 eta-1))))) eff-0)) (CoreC-45Context-u--full_HasNames_C-40TermC-32C-36varsC-41 arg-0 e-157))))))) ((43) (let ((e-158 (vector-ref arg-1 1))) (let ((e-159 (vector-ref arg-1 2))) (let ((e-160 (vector-ref arg-1 3))) (CoreC-45Core-C-60C-42C-62 (let ((eff-0 (CoreC-45Context-u--full_HasNames_Name arg-0 e-159))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (eta-0) (lambda (eta-1) (vector 43 e-158 eta-0 eta-1))))) eff-0)) (CoreC-45Context-u--full_HasNames_CaseError arg-0 e-160)))))) ((44) (let ((e-161 (vector-ref arg-1 1))) (let ((e-162 (vector-ref arg-1 2))) (let ((e-163 (vector-ref arg-1 3))) (let ((e-164 (vector-ref arg-1 4))) (CoreC-45Core-C-60C-42C-62 (let ((eff-0 (CoreC-45Context-u--full_HasNames_C-40C-40EnvC-32TermC-41C-32C-36varsC-41 arg-0 e-163))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (eta-0) (lambda (eta-1) (vector 44 e-161 e-162 eta-0 eta-1))))) eff-0)) (CoreC-45Context-u--full_HasNames_C-40TermC-32C-36varsC-41 arg-0 e-164))))))) ((45) (let ((e-165 (vector-ref arg-1 1))) (let ((e-166 (vector-ref arg-1 2))) (let ((e-167 (vector-ref arg-1 3))) (let ((e-168 (vector-ref arg-1 4))) (let ((e-169 (vector-ref arg-1 5))) (let ((e-170 (vector-ref arg-1 6))) (CoreC-45Core-C-60C-42C-62 (CoreC-45Core-C-60C-42C-62 (CoreC-45Core-C-60C-42C-62 (let ((eff-0 (CoreC-45Context-u--full_HasNames_C-40C-40EnvC-32TermC-41C-32C-36varsC-41 arg-0 e-167))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (vector 45 e-165 e-166 eta-0 eta-1 eta-2 eta-3))))))) eff-0)) (lambda (eta-0) (vector 1 e-168))) (CoreC-45Context-u--full_HasNames_C-40TermC-32C-36varsC-41 arg-0 e-169)) (CoreC-45Context-u--full_HasNames_C-40TermC-32C-36varsC-41 arg-0 e-170))))))))) ((46) (let ((e-171 (vector-ref arg-1 1))) (let ((e-172 (vector-ref arg-1 2))) (lambda (eta-0) (vector 1 (vector 46 e-171 e-172)))))) ((47) (let ((e-173 (vector-ref arg-1 1))) (let ((e-174 (vector-ref arg-1 2))) (let ((e-175 (vector-ref arg-1 3))) (let ((e-176 (vector-ref arg-1 4))) (let ((e-177 (vector-ref arg-1 5))) (CoreC-45Core-C-60C-42C-62 (CoreC-45Core-C-60C-42C-62 (let ((eff-0 (CoreC-45Context-u--full_HasNames_C-40C-40EnvC-32TermC-41C-32C-36varsC-41 arg-0 e-175))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (vector 47 e-173 e-174 eta-0 eta-1 eta-2)))))) eff-0)) (CoreC-45Context-u--full_HasNames_C-40TermC-32C-36varsC-41 arg-0 e-176)) (lambda (eta-0) (vector 1 e-177))))))))) ((48) (let ((e-178 (vector-ref arg-1 1))) (let ((eff-0 (CoreC-45Context-u--full_HasNames_Error arg-0 e-178))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (eta-0) (vector 48 eta-0)))) eff-0)))) ((49) (let ((e-179 (vector-ref arg-1 1))) (let ((e-180 (vector-ref arg-1 2))) (lambda (eta-0) (vector 1 (vector 49 e-179 e-180)))))) ((50) (let ((e-181 (vector-ref arg-1 1))) (lambda (eta-0) (vector 1 (vector 50 e-181))))) ((51) (let ((e-182 (vector-ref arg-1 1))) (let ((e-183 (vector-ref arg-1 2))) (lambda (eta-0) (vector 1 (vector 51 e-182 e-183)))))) ((52) (let ((e-184 (vector-ref arg-1 1))) (lambda (eta-0) (vector 1 (vector 52 e-184))))) ((53) (let ((e-185 (vector-ref arg-1 1))) (lambda (eta-0) (vector 1 (vector 53 e-185))))) ((54) (let ((e-186 (vector-ref arg-1 1))) (let ((e-187 (vector-ref arg-1 2))) (lambda (eta-0) (vector 1 (vector 54 e-186 e-187)))))) ((55) (let ((e-188 (vector-ref arg-1 1))) (lambda (eta-0) (vector 1 (vector 55 e-188))))) ((56) (let ((e-189 (vector-ref arg-1 1))) (let ((e-190 (vector-ref arg-1 2))) (lambda (eta-0) (vector 1 (vector 56 e-189 e-190)))))) ((57) (let ((e-191 (vector-ref arg-1 1))) (lambda (eta-0) (vector 1 (vector 57 e-191))))) ((58) (lambda (eta-0) (vector 1 (vector 58 )))) ((59) (let ((e-192 (vector-ref arg-1 1))) (lambda (eta-0) (vector 1 (vector 59 e-192))))) ((60) (let ((e-193 (vector-ref arg-1 1))) (lambda (eta-0) (vector 1 (vector 60 e-193))))) ((61) (let ((e-194 (vector-ref arg-1 1))) (let ((e-195 (vector-ref arg-1 2))) (lambda (eta-0) (vector 1 (vector 61 e-194 e-195)))))) ((62) (let ((e-196 (vector-ref arg-1 1))) (let ((e-197 (vector-ref arg-1 2))) (lambda (eta-0) (vector 1 (vector 62 e-196 e-197)))))) ((63) (let ((e-198 (vector-ref arg-1 1))) (lambda (eta-0) (vector 1 (vector 63 e-198))))) ((64) (let ((e-199 (vector-ref arg-1 1))) (lambda (eta-0) (vector 1 (vector 64 e-199))))) ((65) (let ((e-200 (vector-ref arg-1 1))) (let ((e-201 (vector-ref arg-1 2))) (let ((e-202 (vector-ref arg-1 3))) (let ((eff-0 (CoreC-45Core-traverseList1 (lambda (arg-2) (CoreC-45Context-u--full_HasNames_Error arg-0 arg-2)) e-202))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (eta-0) (vector 65 e-200 e-201 eta-0)))) eff-0)))))) ((66) (let ((e-203 (vector-ref arg-1 1))) (let ((e-204 (vector-ref arg-1 2))) (let ((e-205 (vector-ref arg-1 3))) (CoreC-45Core-C-60C-42C-62 (let ((eff-0 (CoreC-45Context-u--full_HasNames_Name arg-0 e-204))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (eta-0) (lambda (eta-1) (vector 66 e-203 eta-0 eta-1))))) eff-0)) (CoreC-45Context-u--full_HasNames_Error arg-0 e-205)))))) ((67) (let ((e-206 (vector-ref arg-1 1))) (let ((e-207 (vector-ref arg-1 2))) (let ((e-208 (vector-ref arg-1 3))) (CoreC-45Core-C-60C-42C-62 (let ((eff-0 (CoreC-45Context-u--full_HasNames_Name arg-0 e-207))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (eta-0) (lambda (eta-1) (vector 67 e-206 eta-0 eta-1))))) eff-0)) (CoreC-45Context-u--full_HasNames_Error arg-0 e-208)))))) ((68) (let ((e-209 (vector-ref arg-1 1))) (let ((e-210 (vector-ref arg-1 2))) (let ((e-211 (vector-ref arg-1 3))) (CoreC-45Core-C-60C-42C-62 (let ((eff-0 (CoreC-45Context-u--full_HasNames_Name arg-0 e-210))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (eta-0) (lambda (eta-1) (vector 68 e-209 eta-0 eta-1))))) eff-0)) (CoreC-45Context-u--full_HasNames_Error arg-0 e-211)))))) ((69) (let ((e-212 (vector-ref arg-1 1))) (let ((e-213 (vector-ref arg-1 2))) (let ((e-214 (vector-ref arg-1 3))) (CoreC-45Core-C-60C-42C-62 (let ((eff-0 (CoreC-45Context-u--full_HasNames_Name arg-0 e-213))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (eta-0) (lambda (eta-1) (vector 69 e-212 eta-0 eta-1))))) eff-0)) (CoreC-45Context-u--full_HasNames_Error arg-0 e-214)))))) ((70) (let ((e-215 (vector-ref arg-1 1))) (let ((e-216 (vector-ref arg-1 2))) (CoreC-45Core-C-60C-42C-62 (let ((eff-0 (CoreC-45Context-u--full_HasNames_Error arg-0 e-215))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (csegen-1570))) eff-0)) (lambda (eta-0) (vector 1 e-216)))))) (else (let ((e-217 (vector-ref arg-1 1))) (let ((eff-0 (CoreC-45Context-u--full_HasNames_Warning arg-0 e-217))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (eta-0) (vector 71 eta-0)))) eff-0)))))))
(define CoreC-45Context-u--full_HasNames_Def (lambda (arg-0 arg-1) (case (vector-ref arg-1 0) ((1) (let ((e-0 (vector-ref arg-1 1))) (let ((e-1 (vector-ref arg-1 2))) (let ((e-2 (vector-ref arg-1 3))) (let ((e-3 (vector-ref arg-1 4))) (let ((e-4 (vector-ref arg-1 5))) (let ((eff-0 (CoreC-45Context-u--full_HasNames_C-40CaseTreeC-32C-36varsC-41 arg-0 e-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-u--full_HasNames_C-40CaseTreeC-32C-36varsC-41 arg-0 e-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-6 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45Context-n--12931-8954-u--fullNamesPat e-4 e-1 e-3 e-2 e-0 arg-0 eta-0)) e-4 '()))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-7 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (vector 1 e-0 e-1 e-5 e-6 e-7))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))))) ((6) (let ((e-5 (vector-ref arg-1 1))) (let ((e-6 (vector-ref arg-1 2))) (let ((e-7 (vector-ref arg-1 3))) (let ((e-8 (vector-ref arg-1 4))) (let ((e-9 (vector-ref arg-1 5))) (let ((e-10 (vector-ref arg-1 6))) (let ((e-11 (vector-ref arg-1 7))) (let ((e-12 (vector-ref arg-1 8))) (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45Context-u--full_HasNames_Name arg-0 eta-0)) e-10 '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-13 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45Context-u--full_HasNames_Name arg-0 eta-0)) e-11 '()))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-14 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 6 e-5 e-6 e-7 e-8 e-9 e-13 e-14 e-12))))) eff-2))))))))) eff-1)))))))))))))))) ((8) (let ((e-13 (vector-ref arg-1 1))) (let ((e-14 (vector-ref arg-1 2))) (let ((e-15 (vector-ref arg-1 3))) (let ((eff-0 (CoreC-45Context-u--full_HasNames_Name arg-0 e-15))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 8 e-13 e-14 e-5))))) eff-1))))))))))) ((9) (let ((e-16 (vector-ref arg-1 1))) (let ((e-17 (vector-ref arg-1 2))) (let ((e-18 (vector-ref arg-1 3))) (let ((eff-0 (CoreC-45Context-u--full_HasNames_C-40TermC-32C-36varsC-41 arg-0 e-16))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 9 e-5 e-17 e-18))))) eff-1)))))))))))(else (lambda (eta-0) (vector 1 arg-1))))))
(define CoreC-45Context-u--full_HasNames_Covering (lambda (arg-0 arg-1) (case (vector-ref arg-1 0) ((0) (lambda (eta-0) (vector 1 (vector 0 )))) ((1) (let ((e-0 (vector-ref arg-1 1))) (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45Context-u--full_HasNames_C-40TermC-32C-36varsC-41 arg-0 eta-0)) e-0 '()))) (PrimIO-io_bind eff-0 (csegen-1571))))) (else (let ((e-1 (vector-ref arg-1 1))) (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45Context-u--full_HasNames_Name arg-0 eta-0)) e-1 '()))) (PrimIO-io_bind eff-0 (csegen-1572))))))))
(define CoreC-45Context-u--full_HasNames_Clause (lambda (arg-0 arg-1) (let ((e-0 (vector-ref arg-1 0))) (let ((e-1 (vector-ref arg-1 1))) (let ((e-2 (vector-ref arg-1 2))) (let ((e-3 (vector-ref arg-1 3))) (let ((eff-0 (CoreC-45Context-u--full_HasNames_C-40C-40EnvC-32TermC-41C-32C-36varsC-41 arg-0 e-1))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-u--full_HasNames_C-40TermC-32C-36varsC-41 arg-0 e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-u--full_HasNames_C-40TermC-32C-36varsC-41 arg-0 e-3))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (vector e-0 e-5 e-6 e-7))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))
(define CoreC-45Context-u--full_HasNames_CaseError (lambda (arg-0 arg-1) (case (vector-ref arg-1 0) ((0) (lambda (eta-0) (vector 1 (vector 0 )))) ((1) (lambda (eta-0) (vector 1 (vector 1 )))) ((2) (let ((e-0 (vector-ref arg-1 1))) (let ((e-4 (car e-0))) (let ((e-5 (cdr e-0))) (let ((e-8 (car e-5))) (let ((e-9 (cdr e-5))) (let ((eff-0 (CoreC-45Context-u--full_HasNames_C-40C-40EnvC-32TermC-41C-32C-36varsC-41 arg-0 e-8))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-u--full_HasNames_C-40TermC-32C-36varsC-41 arg-0 e-9))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 2 (cons e-4 (cons e-6 e-7))))))) eff-2))))))))) eff-1))))))))))))) ((3) (let ((e-1 (vector-ref arg-1 1))) (let ((eff-0 (CoreC-45Context-u--full_HasNames_Name arg-0 e-1))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (eta-0) (vector 3 eta-0)))) eff-0)))) (else (lambda (eta-0) (vector 1 (vector 4 )))))))
(define CoreC-45Context-u--full_HasNames_C-40TermC-32C-36varsC-41 (lambda (arg-1 arg-2) (case (vector-ref arg-2 0) ((1) (let ((e-1 (vector-ref arg-2 1))) (let ((e-2 (vector-ref arg-2 2))) (let ((e-3 (vector-ref arg-2 3))) (case (vector-ref e-3 0) ((8) (let ((e-39 (vector-ref e-3 1))) (let ((eff-0 (CoreC-45Context-lookupCtxtExact (vector 8 e-39) arg-1))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (clam-0) (if (null? e-5) (vector 1 (vector 1 e-1 e-2 (vector 8 e-39))) (let ((e-4 (unbox e-5))) (vector 1 (vector 1 e-1 e-2 (let ((e-26 (vector-ref e-4 1))) e-26)))))))) eff-1)))))))))(else (lambda (eta-0) (vector 1 arg-2)))))))) ((2) (let ((e-5 (vector-ref arg-2 1))) (let ((e-6 (vector-ref arg-2 2))) (let ((e-7 (vector-ref arg-2 3))) (let ((e-8 (vector-ref arg-2 4))) (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (arg-3) (CoreC-45Context-u--full_HasNames_C-40TermC-32C-36varsC-41 arg-1 arg-3)) e-8 '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-lookupCtxtExact (vector 8 e-7) arg-1))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-10 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (if (null? e-10) (vector 2 e-5 e-6 e-7 e-9) (let ((e-2 (unbox e-10))) (vector 2 e-5 (let ((e-1 (vector-ref e-2 1))) e-1) e-7 e-9))))))) eff-2))))))))) eff-1)))))))))))) ((3) (let ((e-10 (vector-ref arg-2 1))) (let ((e-11 (vector-ref arg-2 2))) (let ((e-12 (vector-ref arg-2 3))) (let ((e-13 (vector-ref arg-2 4))) (let ((eff-0 (CoreC-45CoreC-45Binder-traverse (lambda (arg-3) (CoreC-45Context-u--full_HasNames_C-40TermC-32C-36varsC-41 arg-1 arg-3)) e-12))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-u--full_HasNames_C-40TermC-32C-36varsC-41 arg-1 e-13))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 3 e-10 e-11 e-5 e-6))))) eff-2))))))))) eff-1)))))))))))) ((4) (let ((e-15 (vector-ref arg-2 1))) (let ((e-16 (vector-ref arg-2 2))) (let ((e-17 (vector-ref arg-2 3))) (let ((eff-0 (CoreC-45Context-u--full_HasNames_C-40TermC-32C-36varsC-41 arg-1 e-16))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-u--full_HasNames_C-40TermC-32C-36varsC-41 arg-1 e-17))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 4 e-15 e-5 e-6))))) eff-2))))))))) eff-1))))))))))) ((5) (let ((e-19 (vector-ref arg-2 1))) (let ((e-20 (vector-ref arg-2 2))) (let ((e-21 (vector-ref arg-2 3))) (let ((e-22 (vector-ref arg-2 4))) (let ((eff-0 (CoreC-45Context-u--full_HasNames_C-40TermC-32C-36varsC-41 arg-1 e-21))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-u--full_HasNames_C-40TermC-32C-36varsC-41 arg-1 e-22))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 5 e-19 e-20 e-5 e-6))))) eff-2))))))))) eff-1)))))))))))) ((6) (let ((e-24 (vector-ref arg-2 1))) (let ((e-25 (vector-ref arg-2 2))) (let ((e-26 (vector-ref arg-2 3))) (let ((eff-0 (CoreC-45Context-u--full_HasNames_C-40TermC-32C-36varsC-41 arg-1 e-26))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 6 e-24 e-25 e-5))))) eff-1))))))))))) ((7) (let ((e-28 (vector-ref arg-2 1))) (let ((e-29 (vector-ref arg-2 2))) (let ((e-30 (vector-ref arg-2 3))) (let ((e-31 (vector-ref arg-2 4))) (let ((eff-0 (CoreC-45Context-u--full_HasNames_C-40TermC-32C-36varsC-41 arg-1 e-30))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-u--full_HasNames_C-40TermC-32C-36varsC-41 arg-1 e-31))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 7 e-28 e-29 e-5 e-6))))) eff-2))))))))) eff-1)))))))))))) ((8) (let ((e-33 (vector-ref arg-2 1))) (let ((e-34 (vector-ref arg-2 2))) (let ((e-35 (vector-ref arg-2 3))) (let ((eff-0 (CoreC-45Context-u--full_HasNames_C-40TermC-32C-36varsC-41 arg-1 e-35))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 8 e-33 e-34 e-5))))) eff-1))))))))))) ((11) (let ((e-37 (vector-ref arg-2 1))) (let ((e-38 (vector-ref arg-2 2))) (case (vector-ref e-38 0) ((8) (let ((e-40 (vector-ref e-38 1))) (let ((eff-0 (CoreC-45Context-lookupCtxtExact (vector 8 e-40) arg-1))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (clam-1) (if (null? e-5) (vector 1 (vector 11 e-37 (vector 8 e-40))) (let ((e-1 (unbox e-5))) (vector 1 (vector 11 e-37 (let ((e-23 (vector-ref e-1 1))) e-23)))))))) eff-1)))))))))(else (lambda (eta-0) (vector 1 arg-2)))))))(else (lambda (eta-0) (vector 1 arg-2))))))
(define CoreC-45Context-u--full_HasNames_C-40NameMapC-32C-36aC-41 (lambda (arg-1 arg-2) (CoreC-45Context-n--13577-9561-u--insertAll arg-2 arg-1 (LibrariesC-45DataC-45NameMap-empty) (LibrariesC-45DataC-45NameMap-toList arg-2))))
(define CoreC-45Context-u--full_HasNames_C-40MaybeC-32C-36aC-41 (lambda (arg-1 arg-2 arg-3) (if (null? arg-3) (lambda (eta-0) (vector 1 '())) (let ((e-2 (unbox arg-3))) (let ((eff-0 (let ((e-1 (car arg-1))) ((e-1 arg-2) e-2)))) (PrimIO-io_bind eff-0 (csegen-1573)))))))
(define CoreC-45Context-u--full_HasNames_C-40CaseTreeC-32C-36varsC-41 (lambda (arg-1 arg-2) (case (vector-ref arg-2 0) ((0) (let ((e-1 (vector-ref arg-2 1))) (let ((e-2 (vector-ref arg-2 2))) (let ((e-4 (vector-ref arg-2 3))) (let ((e-5 (vector-ref arg-2 4))) (let ((eff-0 (CoreC-45Context-u--full_HasNames_C-40TermC-32C-36varsC-41 arg-1 e-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Core-traverseC-39 (lambda (arg-3) (CoreC-45Context-u--full_HasNames_C-40CaseAltC-32C-36varsC-41 arg-1 arg-3)) e-5 '()))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-3 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 0 e-1 e-2 e-6 e-7))))) eff-2))))))))) eff-1)))))))))))) ((1) (let ((e-7 (vector-ref arg-2 1))) (let ((e-8 (vector-ref arg-2 2))) (let ((eff-0 (CoreC-45Context-u--full_HasNames_C-40TermC-32C-36varsC-41 arg-1 e-8))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 1 e-7 e-5))))) eff-1))))))))))(else (lambda (eta-0) (vector 1 arg-2))))))
(define CoreC-45Context-u--full_HasNames_C-40CaseAltC-32C-36varsC-41 (lambda (arg-1 arg-2) (case (vector-ref arg-2 0) ((0) (let ((e-1 (vector-ref arg-2 1))) (let ((e-2 (vector-ref arg-2 2))) (let ((e-3 (vector-ref arg-2 3))) (let ((e-4 (vector-ref arg-2 4))) (let ((eff-0 (CoreC-45Context-u--full_HasNames_C-40CaseTreeC-32C-36varsC-41 arg-1 e-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-lookupCtxtExact e-1 arg-1))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-6 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (clam-0) (if (null? e-6) (vector 1 (vector 0 e-1 e-2 e-3 e-5)) (let ((e-7 (unbox e-6))) (vector 1 (vector 0 (let ((e-28 (vector-ref e-7 1))) e-28) e-2 e-3 e-5))))))) eff-2))))))))) eff-1)))))))))))) ((1) (let ((e-6 (vector-ref arg-2 1))) (let ((e-7 (vector-ref arg-2 2))) (let ((e-8 (vector-ref arg-2 3))) (let ((eff-0 (CoreC-45Context-u--full_HasNames_C-40CaseTreeC-32C-36varsC-41 arg-1 e-8))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 1 e-6 e-7 e-5))))) eff-1))))))))))) ((2) (let ((e-10 (vector-ref arg-2 1))) (let ((e-11 (vector-ref arg-2 2))) (let ((eff-0 (CoreC-45Context-u--full_HasNames_C-40CaseTreeC-32C-36varsC-41 arg-1 e-11))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 2 e-10 e-5))))) eff-1)))))))))) (else (let ((e-13 (vector-ref arg-2 1))) (let ((eff-0 (CoreC-45Context-u--full_HasNames_C-40CaseTreeC-32C-36varsC-41 arg-1 e-13))) (PrimIO-io_bind eff-0 (csegen-1574))))))))
(define CoreC-45Context-u--full_HasNames_C-40C-40EnvC-32TermC-41C-32C-36varsC-41 (lambda (arg-1 arg-2) (if (null? arg-2) (lambda (eta-0) (vector 1 '())) (let ((e-4 (car arg-2))) (let ((e-5 (cdr arg-2))) (let ((eff-0 (CoreC-45CoreC-45Binder-traverse (lambda (arg-3) (CoreC-45Context-u--full_HasNames_C-40TermC-32C-36varsC-41 arg-1 arg-3)) e-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-u--full_HasNames_C-40C-40EnvC-32TermC-41C-32C-36varsC-41 arg-1 e-5))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (cons e-6 e-7))))) eff-2))))))))) eff-1))))))))))))
(define CoreC-45Context-withLogLevel (lambda (arg-1 arg-2 arg-3) (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--logs (let ((e-4 (vector-ref e-5 4))) (let ((e-40 (vector-ref e-4 2))) (let ((e-57 (vector-ref e-40 9))) e-57))))) (let ((eff-1 (let ((eff-1 arg-1)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (let ((e-0 (vector-ref e-5 0))) (let ((e-1 (vector-ref e-5 1))) (let ((e-2 (vector-ref e-5 2))) (let ((e-3 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-32 (vector-ref e-5 5))) (let ((e-6 (vector-ref e-5 6))) (let ((e-7 (vector-ref e-5 7))) (let ((e-8 (vector-ref e-5 8))) (let ((e-9 (vector-ref e-5 9))) (let ((e-10 (vector-ref e-5 10))) (let ((e-11 (vector-ref e-5 11))) (let ((e-12 (vector-ref e-5 12))) (let ((e-13 (vector-ref e-5 13))) (let ((e-14 (vector-ref e-5 14))) (let ((e-15 (vector-ref e-5 15))) (let ((e-16 (vector-ref e-5 16))) (let ((e-17 (vector-ref e-5 17))) (let ((e-18 (vector-ref e-5 18))) (let ((e-19 (vector-ref e-5 19))) (let ((e-20 (vector-ref e-5 20))) (let ((e-21 (vector-ref e-5 21))) (let ((e-22 (vector-ref e-5 22))) (let ((e-23 (vector-ref e-5 23))) (let ((e-24 (vector-ref e-5 24))) (let ((e-25 (vector-ref e-5 25))) (let ((e-26 (vector-ref e-5 26))) (let ((e-27 (vector-ref e-5 27))) (let ((e-28 (vector-ref e-5 28))) (let ((e-29 (vector-ref e-5 29))) (let ((e-30 (vector-ref e-5 30))) (let ((e-31 (vector-ref e-5 31))) (let ((e-42 (vector-ref e-4 0))) (let ((e-33 (vector-ref e-4 1))) (let ((e-34 (vector-ref e-4 2))) (let ((e-35 (vector-ref e-4 3))) (let ((e-36 (vector-ref e-4 4))) (let ((e-37 (vector-ref e-4 5))) (let ((e-38 (vector-ref e-4 6))) (let ((e-39 (vector-ref e-4 7))) (let ((e-40 (vector-ref e-4 8))) (let ((e-41 (vector-ref e-4 9))) (let ((e-66 (vector-ref e-34 0))) (let ((e-43 (vector-ref e-34 1))) (let ((e-44 (vector-ref e-34 2))) (let ((e-45 (vector-ref e-34 3))) (let ((e-46 (vector-ref e-34 4))) (let ((e-47 (vector-ref e-34 5))) (let ((e-48 (vector-ref e-34 6))) (let ((e-49 (vector-ref e-34 7))) (let ((e-50 (vector-ref e-34 8))) (let ((e-52 (vector-ref e-34 10))) (let ((e-53 (vector-ref e-34 11))) (let ((e-54 (vector-ref e-34 12))) (let ((e-55 (vector-ref e-34 13))) (let ((e-56 (vector-ref e-34 14))) (let ((e-57 (vector-ref e-34 15))) (let ((e-58 (vector-ref e-34 16))) (let ((e-59 (vector-ref e-34 17))) (let ((e-60 (vector-ref e-34 18))) (let ((e-61 (vector-ref e-34 19))) (let ((e-62 (vector-ref e-34 20))) (let ((e-63 (vector-ref e-34 21))) (let ((e-64 (vector-ref e-34 22))) (let ((e-65 (vector-ref e-34 23))) (vector e-0 e-1 e-2 e-3 (vector e-42 e-33 (vector e-66 e-43 e-44 e-45 e-46 e-47 e-48 e-49 e-50 (CoreC-45OptionsC-45Log-insertLogLevel arg-2 u--logs) e-52 e-53 e-54 e-55 e-56 e-57 e-58 e-59 e-60 e-61 e-62 e-63 e-64 e-65) e-35 e-36 e-37 e-38 e-39 e-40 e-41) e-32 e-6 e-7 e-8 e-9 e-10 e-11 e-12 e-13 e-14 e-15 e-16 e-17 e-18 e-19 e-20 e-21 e-22 e-23 e-24 e-25 e-26 e-27 e-28 e-29 e-30 e-31))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 arg-3)) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (let ((eff-3 arg-1)) (PrimIO-io_bind (let ((eff-4 eff-3)) (lambda (eta-0) (unbox eff-4))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (let ((eff-4 arg-1)) (PrimIO-io_bind (let ((eff-5 eff-4)) (lambda (eta-0) (set-box! eff-5 (let ((e-0 (vector-ref e-8 0))) (let ((e-1 (vector-ref e-8 1))) (let ((e-2 (vector-ref e-8 2))) (let ((e-3 (vector-ref e-8 3))) (let ((e-4 (vector-ref e-8 4))) (let ((e-35 (vector-ref e-8 5))) (let ((e-34 (vector-ref e-8 6))) (let ((e-33 (vector-ref e-8 7))) (let ((e-32 (vector-ref e-8 8))) (let ((e-9 (vector-ref e-8 9))) (let ((e-10 (vector-ref e-8 10))) (let ((e-11 (vector-ref e-8 11))) (let ((e-12 (vector-ref e-8 12))) (let ((e-13 (vector-ref e-8 13))) (let ((e-14 (vector-ref e-8 14))) (let ((e-15 (vector-ref e-8 15))) (let ((e-16 (vector-ref e-8 16))) (let ((e-17 (vector-ref e-8 17))) (let ((e-18 (vector-ref e-8 18))) (let ((e-19 (vector-ref e-8 19))) (let ((e-20 (vector-ref e-8 20))) (let ((e-21 (vector-ref e-8 21))) (let ((e-22 (vector-ref e-8 22))) (let ((e-23 (vector-ref e-8 23))) (let ((e-24 (vector-ref e-8 24))) (let ((e-25 (vector-ref e-8 25))) (let ((e-26 (vector-ref e-8 26))) (let ((e-27 (vector-ref e-8 27))) (let ((e-28 (vector-ref e-8 28))) (let ((e-29 (vector-ref e-8 29))) (let ((e-30 (vector-ref e-8 30))) (let ((e-31 (vector-ref e-8 31))) (let ((e-45 (vector-ref e-4 0))) (let ((e-44 (vector-ref e-4 1))) (let ((e-43 (vector-ref e-4 2))) (let ((e-42 (vector-ref e-4 3))) (let ((e-36 (vector-ref e-4 4))) (let ((e-37 (vector-ref e-4 5))) (let ((e-38 (vector-ref e-4 6))) (let ((e-39 (vector-ref e-4 7))) (let ((e-40 (vector-ref e-4 8))) (let ((e-41 (vector-ref e-4 9))) (let ((e-69 (vector-ref e-43 0))) (let ((e-68 (vector-ref e-43 1))) (let ((e-67 (vector-ref e-43 2))) (let ((e-66 (vector-ref e-43 3))) (let ((e-46 (vector-ref e-43 4))) (let ((e-47 (vector-ref e-43 5))) (let ((e-48 (vector-ref e-43 6))) (let ((e-49 (vector-ref e-43 7))) (let ((e-50 (vector-ref e-43 8))) (let ((e-52 (vector-ref e-43 10))) (let ((e-53 (vector-ref e-43 11))) (let ((e-54 (vector-ref e-43 12))) (let ((e-55 (vector-ref e-43 13))) (let ((e-56 (vector-ref e-43 14))) (let ((e-57 (vector-ref e-43 15))) (let ((e-58 (vector-ref e-43 16))) (let ((e-59 (vector-ref e-43 17))) (let ((e-60 (vector-ref e-43 18))) (let ((e-61 (vector-ref e-43 19))) (let ((e-62 (vector-ref e-43 20))) (let ((e-63 (vector-ref e-43 21))) (let ((e-64 (vector-ref e-43 22))) (let ((e-65 (vector-ref e-43 23))) (vector e-0 e-1 e-2 e-3 (vector e-45 e-44 (vector e-69 e-68 e-67 e-66 e-46 e-47 e-48 e-49 e-50 u--logs e-52 e-53 e-54 e-55 e-56 e-57 e-58 e-59 e-60 e-61 e-62 e-63 e-64 e-65) e-42 e-36 e-37 e-38 e-39 e-40 e-41) e-35 e-34 e-33 e-32 e-9 e-10 e-11 e-12 e-13 e-14 e-15 e-16 e-17 e-18 e-19 e-20 e-21 e-22 e-23 e-24 e-25 e-26 e-27 e-28 e-29 e-30 e-31))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-5 (lambda (eta-0) (vector 1 e-7)))) eff-5)))))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))
(define CoreC-45Context-withExtendedNS (lambda (arg-1 arg-2 arg-3) (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--cns (let ((e-2 (vector-ref e-5 2))) e-2))) (let ((eff-1 (let ((eff-1 arg-1)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (let ((e-0 (vector-ref e-5 0))) (let ((e-1 (vector-ref e-5 1))) (let ((e-3 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-32 (vector-ref e-5 5))) (let ((e-6 (vector-ref e-5 6))) (let ((e-7 (vector-ref e-5 7))) (let ((e-8 (vector-ref e-5 8))) (let ((e-9 (vector-ref e-5 9))) (let ((e-10 (vector-ref e-5 10))) (let ((e-11 (vector-ref e-5 11))) (let ((e-12 (vector-ref e-5 12))) (let ((e-13 (vector-ref e-5 13))) (let ((e-14 (vector-ref e-5 14))) (let ((e-15 (vector-ref e-5 15))) (let ((e-16 (vector-ref e-5 16))) (let ((e-17 (vector-ref e-5 17))) (let ((e-18 (vector-ref e-5 18))) (let ((e-19 (vector-ref e-5 19))) (let ((e-20 (vector-ref e-5 20))) (let ((e-21 (vector-ref e-5 21))) (let ((e-22 (vector-ref e-5 22))) (let ((e-23 (vector-ref e-5 23))) (let ((e-24 (vector-ref e-5 24))) (let ((e-25 (vector-ref e-5 25))) (let ((e-26 (vector-ref e-5 26))) (let ((e-27 (vector-ref e-5 27))) (let ((e-28 (vector-ref e-5 28))) (let ((e-29 (vector-ref e-5 29))) (let ((e-30 (vector-ref e-5 30))) (let ((e-31 (vector-ref e-5 31))) (vector e-0 e-1 (CoreC-45NameC-45Namespace-C-60C-46C-62 u--cns arg-2) e-3 e-4 e-32 e-6 e-7 e-8 e-9 e-10 e-11 e-12 e-13 e-14 e-15 e-16 e-17 e-18 e-19 e-20 e-21 e-22 e-23 e-24 e-25 e-26 e-27 e-28 e-29 e-30 e-31))))))))))))))))))))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45Core-u--catch_Catchable_Core_Error (let ((eff-2 arg-3)) (((csegen-50) ((let ((eff-3 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-7 (vector-ref eta-3 1))) (vector 1 (eta-2 e-7))))))))))) (lambda (arg-0) (lambda (arg-4) ((((eff-3 'erased) 'erased) arg-0) arg-4)))) (lambda (eta-0) (vector 1 eta-0)))) eff-2)) (lambda (eta-0) (lambda (eta-1) (vector 1 (vector 0 eta-0))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (let ((eff-3 arg-1)) (PrimIO-io_bind (let ((eff-4 eff-3)) (lambda (eta-0) (unbox eff-4))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (let ((eff-4 arg-1)) (PrimIO-io_bind (let ((eff-5 eff-4)) (lambda (eta-0) (set-box! eff-5 (let ((e-0 (vector-ref e-8 0))) (let ((e-1 (vector-ref e-8 1))) (let ((e-3 (vector-ref e-8 3))) (let ((e-4 (vector-ref e-8 4))) (let ((e-35 (vector-ref e-8 5))) (let ((e-34 (vector-ref e-8 6))) (let ((e-33 (vector-ref e-8 7))) (let ((e-32 (vector-ref e-8 8))) (let ((e-9 (vector-ref e-8 9))) (let ((e-10 (vector-ref e-8 10))) (let ((e-11 (vector-ref e-8 11))) (let ((e-12 (vector-ref e-8 12))) (let ((e-13 (vector-ref e-8 13))) (let ((e-14 (vector-ref e-8 14))) (let ((e-15 (vector-ref e-8 15))) (let ((e-16 (vector-ref e-8 16))) (let ((e-17 (vector-ref e-8 17))) (let ((e-18 (vector-ref e-8 18))) (let ((e-19 (vector-ref e-8 19))) (let ((e-20 (vector-ref e-8 20))) (let ((e-21 (vector-ref e-8 21))) (let ((e-22 (vector-ref e-8 22))) (let ((e-23 (vector-ref e-8 23))) (let ((e-24 (vector-ref e-8 24))) (let ((e-25 (vector-ref e-8 25))) (let ((e-26 (vector-ref e-8 26))) (let ((e-27 (vector-ref e-8 27))) (let ((e-28 (vector-ref e-8 28))) (let ((e-29 (vector-ref e-8 29))) (let ((e-30 (vector-ref e-8 30))) (let ((e-31 (vector-ref e-8 31))) (vector e-0 e-1 u--cns e-3 e-4 e-35 e-34 e-33 e-32 e-9 e-10 e-11 e-12 e-13 e-14 e-15 e-16 e-17 e-18 e-19 e-20 e-21 e-22 e-23 e-24 e-25 e-26 e-27 e-28 e-29 e-30 e-31))))))))))))))))))))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-5 (lambda (clam-0) (case (vector-ref e-7 0) ((0) (let ((e-2 (vector-ref e-7 1))) (CoreC-45Core-u--throw_Catchable_Core_Error e-2 clam-0))) (else (let ((e-10 (vector-ref e-7 1))) (vector 1 e-10))))))) eff-5)))))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))
(define CoreC-45Context-withCtxt (lambda (arg-1 ext-0) (CoreC-45Core-wrapRef (vector "Core.Context.Ctxt" ) arg-1 (lambda (eta-0) (CoreC-45Context-n--30264-25455-u--resetCtxt arg-1 eta-0)) ext-0)))
(define CoreC-45Context-visibleInAny (lambda (arg-0 arg-1 arg-2) (PreludeC-45Interfaces-any (csegen-16) (lambda (u--ns) (CoreC-45Context-visibleIn u--ns arg-1 arg-2)) arg-0)))
(define CoreC-45Context-visibleIn (lambda (arg-0 arg-1 arg-2) (case (vector-ref arg-1 0) ((0) (let ((e-0 (vector-ref arg-1 1))) (cond ((equal? arg-2 0) (CoreC-45NameC-45Namespace-isParentOf e-0 arg-0))(else 1))))(else 1))))
(define CoreC-45Context-updateTy (lambda (arg-0 arg-1 arg-2) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-lookupCtxtExact (vector 8 arg-1) (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-6) (lambda (eta-0) (vector 1 (vector 0 ))) (let ((e-1 (unbox e-6))) (let ((eff-2 (CoreC-45Context-addDef arg-0 (vector 8 arg-1) (let ((e-0 (vector-ref e-1 0))) (let ((e-24 (vector-ref e-1 1))) (let ((e-3 (vector-ref e-1 3))) (let ((e-4 (vector-ref e-1 4))) (let ((e-23 (vector-ref e-1 5))) (let ((e-22 (vector-ref e-1 6))) (let ((e-7 (vector-ref e-1 7))) (let ((e-8 (vector-ref e-1 8))) (let ((e-9 (vector-ref e-1 9))) (let ((e-10 (vector-ref e-1 10))) (let ((e-11 (vector-ref e-1 11))) (let ((e-12 (vector-ref e-1 12))) (let ((e-13 (vector-ref e-1 13))) (let ((e-14 (vector-ref e-1 14))) (let ((e-15 (vector-ref e-1 15))) (let ((e-16 (vector-ref e-1 16))) (let ((e-17 (vector-ref e-1 17))) (let ((e-18 (vector-ref e-1 18))) (let ((e-19 (vector-ref e-1 19))) (let ((e-20 (vector-ref e-1 20))) (let ((e-21 (vector-ref e-1 21))) (vector e-0 e-24 arg-2 e-3 e-4 e-23 e-22 e-7 e-8 e-9 e-10 e-11 e-12 e-13 e-14 e-15 e-16 e-17 e-18 e-19 e-20 e-21))))))))))))))))))))))))) (((csegen-50) ((let ((eff-3 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-7 (vector-ref eta-3 1))) (vector 1 (eta-2 e-7))))))))))) (lambda (arg-3) (lambda (arg-4) ((((eff-3 'erased) 'erased) arg-3) arg-4)))) (lambda (_-8679) (vector 0 )))) eff-2)))))) eff-2))))))))) eff-1)))))))))
(define CoreC-45Context-updateDef (lambda (arg-0 arg-1 arg-2) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-lookupCtxtExact arg-1 (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-6) (lambda (eta-0) (vector 1 (vector 0 ))) (let ((e-1 (unbox e-6))) (let ((sc3 (arg-2 (let ((e-17 (vector-ref e-1 17))) e-17)))) (if (null? sc3) (lambda (eta-0) (vector 1 (vector 0 ))) (let ((e-2 (unbox sc3))) (let ((eff-2 (CoreC-45Context-addDef arg-0 arg-1 (let ((e-0 (vector-ref e-1 0))) (let ((e-25 (vector-ref e-1 1))) (let ((e-24 (vector-ref e-1 2))) (let ((e-3 (vector-ref e-1 3))) (let ((e-4 (vector-ref e-1 4))) (let ((e-23 (vector-ref e-1 5))) (let ((e-22 (vector-ref e-1 6))) (let ((e-7 (vector-ref e-1 7))) (let ((e-8 (vector-ref e-1 8))) (let ((e-9 (vector-ref e-1 9))) (let ((e-10 (vector-ref e-1 10))) (let ((e-11 (vector-ref e-1 11))) (let ((e-12 (vector-ref e-1 12))) (let ((e-13 (vector-ref e-1 13))) (let ((e-14 (vector-ref e-1 14))) (let ((e-15 (vector-ref e-1 15))) (let ((e-16 (vector-ref e-1 16))) (let ((e-18 (vector-ref e-1 18))) (let ((e-19 (vector-ref e-1 19))) (let ((e-20 (vector-ref e-1 20))) (vector e-0 e-25 e-24 e-3 e-4 e-23 e-22 e-7 e-8 e-9 e-10 e-11 e-12 e-13 e-14 e-15 e-16 e-2 e-18 e-19 e-20 '())))))))))))))))))))))))) (((csegen-50) ((let ((eff-3 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-3 (vector-ref eta-3 1))) (vector 0 e-3))) (else (let ((e-7 (vector-ref eta-3 1))) (vector 1 (eta-2 e-7))))))))))) (lambda (arg-3) (lambda (arg-4) ((((eff-3 'erased) 'erased) arg-3) arg-4)))) (lambda (_-8679) (vector 0 )))) eff-2))))))))) eff-2))))))))) eff-1)))))))))
(define CoreC-45Context-unsetFlag (lambda (arg-0 arg-1 arg-2 arg-3) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-lookupCtxtExact arg-2 (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-6) (CoreC-45Context-undefinedName arg-0 arg-1 arg-2) (let ((e-1 (unbox e-6))) (let ((u--flagsC-39 (PreludeC-45TypesC-45List-filterAppend '() (lambda (arg-4) (CoreC-45ContextC-45Context-u--C-47C-61_Eq_DefFlag arg-4 arg-3)) (let ((e-11 (vector-ref e-1 11))) e-11)))) (let ((eff-2 (CoreC-45Context-addDef arg-0 arg-2 (let ((e-0 (vector-ref e-1 0))) (let ((e-24 (vector-ref e-1 1))) (let ((e-2 (vector-ref e-1 2))) (let ((e-3 (vector-ref e-1 3))) (let ((e-4 (vector-ref e-1 4))) (let ((e-23 (vector-ref e-1 5))) (let ((e-22 (vector-ref e-1 6))) (let ((e-7 (vector-ref e-1 7))) (let ((e-8 (vector-ref e-1 8))) (let ((e-9 (vector-ref e-1 9))) (let ((e-10 (vector-ref e-1 10))) (let ((e-12 (vector-ref e-1 12))) (let ((e-13 (vector-ref e-1 13))) (let ((e-14 (vector-ref e-1 14))) (let ((e-15 (vector-ref e-1 15))) (let ((e-16 (vector-ref e-1 16))) (let ((e-17 (vector-ref e-1 17))) (let ((e-18 (vector-ref e-1 18))) (let ((e-19 (vector-ref e-1 19))) (let ((e-20 (vector-ref e-1 20))) (let ((e-21 (vector-ref e-1 21))) (vector e-0 e-24 e-2 e-3 e-4 e-23 e-22 e-7 e-8 e-9 e-10 u--flagsC-39 e-12 e-13 e-14 e-15 e-16 e-17 e-18 e-19 e-20 e-21))))))))))))))))))))))))) (((csegen-50) ((let ((eff-3 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-7 (vector-ref eta-3 1))) (vector 1 (eta-2 e-7))))))))))) (lambda (arg-4) (lambda (arg-5) ((((eff-3 'erased) 'erased) arg-4) arg-5)))) (lambda (_-8679) (vector 0 )))) eff-2))))))) eff-2))))))))) eff-1)))))))))
(define CoreC-45Context-unhideName (lambda (arg-0 arg-1) (let ((e-0 (vector-ref arg-1 0))) (let ((e-1 (vector-ref arg-1 1))) (let ((e-2 (vector-ref arg-1 2))) (let ((e-3 (vector-ref arg-1 3))) (let ((e-4 (vector-ref arg-1 4))) (let ((e-5 (vector-ref arg-1 5))) (let ((e-6 (vector-ref arg-1 6))) (let ((e-7 (vector-ref arg-1 7))) (let ((e-8 (vector-ref arg-1 8))) (let ((e-9 (vector-ref arg-1 9))) (let ((e-10 (vector-ref arg-1 10))) (let ((e-11 (vector-ref arg-1 11))) (vector e-0 e-1 e-2 e-3 e-4 e-5 e-6 e-7 e-8 e-9 (LibrariesC-45DataC-45NameMap-delete arg-0 e-10) e-11)))))))))))))))
(define CoreC-45Context-unhide (lambda (arg-0 arg-1 arg-2) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-lookupHiddenCtxtName arg-2 (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-6) (CoreC-45Context-ambiguousName arg-0 arg-1 arg-2 ((csegen-101) e-6)) (let ((e-1 (car e-6))) (let ((e-2 (cdr e-6))) (if (null? e-1) (CoreC-45Context-ambiguousName arg-0 arg-1 arg-2 ((csegen-101) e-6)) (let ((e-8 (car e-1))) (if (null? e-2) (let ((eff-2 (let ((eff-2 arg-0)) (PrimIO-io_bind (let ((eff-3 eff-2)) (lambda (eta-0) (set-box! eff-3 (let ((e-0 (vector-ref e-5 0))) (let ((e-37 (vector-ref e-5 1))) (let ((e-36 (vector-ref e-5 2))) (let ((e-3 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-35 (vector-ref e-5 5))) (let ((e-34 (vector-ref e-5 6))) (let ((e-33 (vector-ref e-5 7))) (let ((e-32 (vector-ref e-5 8))) (let ((e-9 (vector-ref e-5 9))) (let ((e-10 (vector-ref e-5 10))) (let ((e-11 (vector-ref e-5 11))) (let ((e-12 (vector-ref e-5 12))) (let ((e-13 (vector-ref e-5 13))) (let ((e-14 (vector-ref e-5 14))) (let ((e-15 (vector-ref e-5 15))) (let ((e-16 (vector-ref e-5 16))) (let ((e-17 (vector-ref e-5 17))) (let ((e-18 (vector-ref e-5 18))) (let ((e-19 (vector-ref e-5 19))) (let ((e-20 (vector-ref e-5 20))) (let ((e-21 (vector-ref e-5 21))) (let ((e-22 (vector-ref e-5 22))) (let ((e-23 (vector-ref e-5 23))) (let ((e-24 (vector-ref e-5 24))) (let ((e-25 (vector-ref e-5 25))) (let ((e-26 (vector-ref e-5 26))) (let ((e-27 (vector-ref e-5 27))) (let ((e-28 (vector-ref e-5 28))) (let ((e-29 (vector-ref e-5 29))) (let ((e-30 (vector-ref e-5 30))) (let ((e-31 (vector-ref e-5 31))) (vector (CoreC-45Context-unhideName e-8 e-0) e-37 e-36 e-3 e-4 e-35 e-34 e-33 e-32 e-9 e-10 e-11 e-12 e-13 e-14 e-15 e-16 e-17 e-18 e-19 e-20 e-21 e-22 e-23 e-24 e-25 e-26 e-27 e-28 e-29 e-30 e-31)))))))))))))))))))))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-3 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-3 (let ((sc6 (CoreC-45Context-isHidden e-8 (let ((e-0 (vector-ref e-5 0))) e-0)))) (cond ((equal? sc6 1) (lambda (eta-0) (vector 1 (vector 0 )))) (else (CoreC-45Context-recordWarning arg-0 (vector 5 (string-append ((csegen-0) "Trying to %unhide `") (string-append (CoreC-45Name-u--show_Show_Name e-8) ((csegen-0) "`, which was not hidden in the first place")))))))))) eff-3)))))) (CoreC-45Context-ambiguousName arg-0 arg-1 arg-2 ((csegen-101) e-6)))))))))) eff-2))))))))) eff-1)))))))))
(define CoreC-45Context-undefinedName (lambda (arg-1 arg-2 arg-3) (CoreC-45Context-maybeMisspelling arg-1 (vector 7 arg-2 arg-3) arg-3)))
(define CoreC-45Context-toResolvedNames (lambda (arg-1 arg-2 arg-3) (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((e-2 (cdr arg-2))) ((e-2 (let ((e-0 (vector-ref e-5 0))) e-0)) arg-3)))) eff-1)))))))))
(define CoreC-45Context-toFullNames (lambda (arg-1 arg-2 arg-3) (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((e-1 (car arg-2))) ((e-1 (let ((e-0 (vector-ref e-5 0))) e-0)) arg-3)))) eff-1)))))))))
(define CoreC-45Context-startTimer (lambda (arg-0 arg-1 arg-2) (let ((eff-0 (CoreC-45Context-getTime))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (unbox eff-2))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 arg-0)) (PrimIO-io_bind (let ((eff-3 eff-2)) (lambda (eta-0) (set-box! eff-3 (let ((e-0 (vector-ref e-6 0))) (let ((e-1 (vector-ref e-6 1))) (let ((e-2 (vector-ref e-6 2))) (let ((e-3 (vector-ref e-6 3))) (let ((e-4 (vector-ref e-6 4))) (let ((e-33 (vector-ref e-6 5))) (let ((e-32 (vector-ref e-6 6))) (let ((e-7 (vector-ref e-6 7))) (let ((e-8 (vector-ref e-6 8))) (let ((e-9 (vector-ref e-6 9))) (let ((e-10 (vector-ref e-6 10))) (let ((e-11 (vector-ref e-6 11))) (let ((e-12 (vector-ref e-6 12))) (let ((e-13 (vector-ref e-6 13))) (let ((e-14 (vector-ref e-6 14))) (let ((e-15 (vector-ref e-6 15))) (let ((e-16 (vector-ref e-6 16))) (let ((e-17 (vector-ref e-6 17))) (let ((e-18 (vector-ref e-6 18))) (let ((e-19 (vector-ref e-6 19))) (let ((e-20 (vector-ref e-6 20))) (let ((e-21 (vector-ref e-6 21))) (let ((e-22 (vector-ref e-6 22))) (let ((e-23 (vector-ref e-6 23))) (let ((e-24 (vector-ref e-6 24))) (let ((e-25 (vector-ref e-6 25))) (let ((e-26 (vector-ref e-6 26))) (let ((e-27 (vector-ref e-6 27))) (let ((e-29 (vector-ref e-6 29))) (let ((e-30 (vector-ref e-6 30))) (let ((e-31 (vector-ref e-6 31))) (vector e-0 e-1 e-2 e-3 e-4 e-33 e-32 e-7 e-8 e-9 e-10 e-11 e-12 e-13 e-14 e-15 e-16 e-17 e-18 e-19 e-20 e-21 e-22 e-23 e-24 e-25 e-26 e-27 (box (cons (+ e-5 (* arg-1 1000000)) arg-2)) e-29 e-30 e-31))))))))))))))))))))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-2))))))))) eff-1)))))))))
(define CoreC-45Context-sndName (lambda (arg-0) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (PreludeC-45Types-maybe (lambda () '()) (lambda () (lambda (eta-1) (box (let ((e-2 (vector-ref eta-1 2))) e-2)))) (let ((e-4 (vector-ref e-5 4))) (let ((e-38 (vector-ref e-4 4))) e-38))))))) eff-1)))))))))
(define CoreC-45Context-showSimilarNames (lambda (arg-0 arg-1 arg-2 arg-3) (let ((sc0 (DataC-45Either-partitionEithers (PreludeC-45Interfaces-C-60C-38C-62 (csegen-24) arg-3 (lambda (lamc-0) (let ((e-2 (car lamc-0))) (let ((e-3 (cdr lamc-0))) (let ((e-6 (car e-3))) (let ((e-7 (cdr e-3))) (let ((sc3 (CoreC-45NameC-45Namespace-isParentOf (Builtin-fst (CoreC-45Name-splitNS e-2)) arg-0))) (cond ((equal? sc3 0) (cond ((equal? e-6 0) (vector 1 (cons e-2 e-7)))(else (vector 0 (cons e-2 e-7)))))(else (vector 0 (cons e-2 e-7)))))))))))))) (let ((e-2 (car sc0))) (let ((e-3 (cdr sc0))) (let ((u--sorted (lambda (eta-0) (DataC-45List-sortBy (lambda (eta-1) (lambda (eta-2) (PreludeC-45Basics-on (lambda (eta-3) (lambda (eta-4) (PreludeC-45EqOrd-u--compare_Ord_Integer eta-3 eta-4))) (lambda (eta-3) (Builtin-snd eta-3)) eta-1 eta-2))) eta-0)))) (let ((u--roots1 (PreludeC-45TypesC-45List-mapMaybeAppend '() (lambda (eta-0) (CoreC-45Context-n--20252-16204-u--showNames arg-3 arg-2 arg-1 arg-0 arg-1 arg-2 0 (Builtin-fst eta-0))) (u--sorted e-2)))) (let ((u--roots2 (PreludeC-45TypesC-45List-mapMaybeAppend '() (lambda (eta-0) (CoreC-45Context-n--20252-16204-u--showNames arg-3 arg-2 arg-1 arg-0 arg-1 arg-2 1 (Builtin-fst eta-0))) (u--sorted e-3)))) (PreludeC-45TypesC-45List-tailRecAppend (DataC-45List-nub (csegen-43) u--roots1) (DataC-45List-nub (csegen-43) u--roots2))))))))))
(define CoreC-45Context-setWorkingDir (lambda (arg-0 arg-1) (let ((eff-0 (let ((eff-0 (PrimIO-io_bind (SystemC-45Directory-changeDir (csegen-40) arg-1) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (_-8679) (vector 0 )))) eff-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (csegen-1584))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-6) (csegen-1587) (let ((e-1 (unbox e-6))) (let ((eff-2 (let ((eff-2 arg-0)) (PrimIO-io_bind (let ((eff-3 eff-2)) (lambda (eta-0) (unbox eff-3))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 arg-0)) (PrimIO-io_bind (let ((eff-4 eff-3)) (lambda (eta-0) (set-box! eff-4 (let ((e-0 (vector-ref e-7 0))) (let ((e-35 (vector-ref e-7 1))) (let ((e-2 (vector-ref e-7 2))) (let ((e-3 (vector-ref e-7 3))) (let ((e-4 (vector-ref e-7 4))) (let ((e-34 (vector-ref e-7 5))) (let ((e-33 (vector-ref e-7 6))) (let ((e-32 (vector-ref e-7 7))) (let ((e-8 (vector-ref e-7 8))) (let ((e-9 (vector-ref e-7 9))) (let ((e-10 (vector-ref e-7 10))) (let ((e-11 (vector-ref e-7 11))) (let ((e-12 (vector-ref e-7 12))) (let ((e-13 (vector-ref e-7 13))) (let ((e-14 (vector-ref e-7 14))) (let ((e-15 (vector-ref e-7 15))) (let ((e-16 (vector-ref e-7 16))) (let ((e-17 (vector-ref e-7 17))) (let ((e-18 (vector-ref e-7 18))) (let ((e-19 (vector-ref e-7 19))) (let ((e-20 (vector-ref e-7 20))) (let ((e-21 (vector-ref e-7 21))) (let ((e-22 (vector-ref e-7 22))) (let ((e-23 (vector-ref e-7 23))) (let ((e-24 (vector-ref e-7 24))) (let ((e-25 (vector-ref e-7 25))) (let ((e-26 (vector-ref e-7 26))) (let ((e-27 (vector-ref e-7 27))) (let ((e-28 (vector-ref e-7 28))) (let ((e-29 (vector-ref e-7 29))) (let ((e-30 (vector-ref e-7 30))) (let ((e-31 (vector-ref e-7 31))) (let ((e-45 (vector-ref e-4 0))) (let ((e-44 (vector-ref e-4 1))) (let ((e-43 (vector-ref e-4 2))) (let ((e-42 (vector-ref e-4 3))) (let ((e-36 (vector-ref e-4 4))) (let ((e-37 (vector-ref e-4 5))) (let ((e-38 (vector-ref e-4 6))) (let ((e-39 (vector-ref e-4 7))) (let ((e-40 (vector-ref e-4 8))) (let ((e-41 (vector-ref e-4 9))) (let ((e-55 (vector-ref e-45 1))) (let ((e-54 (vector-ref e-45 2))) (let ((e-53 (vector-ref e-45 3))) (let ((e-46 (vector-ref e-45 4))) (let ((e-47 (vector-ref e-45 5))) (let ((e-48 (vector-ref e-45 6))) (let ((e-49 (vector-ref e-45 7))) (let ((e-50 (vector-ref e-45 8))) (let ((e-51 (vector-ref e-45 9))) (let ((e-52 (vector-ref e-45 10))) (vector e-0 e-35 e-2 e-3 (vector (vector e-1 e-55 e-54 e-53 e-46 e-47 e-48 e-49 e-50 e-51 e-52) e-44 e-43 e-42 e-36 e-37 e-38 e-39 e-40 e-41) e-34 e-33 e-32 e-8 e-9 e-10 e-11 e-12 e-13 e-14 e-15 e-16 e-17 e-18 e-19 e-20 e-21 e-22 e-23 e-24 e-25 e-26 e-27 e-28 e-29 e-30 e-31)))))))))))))))))))))))))))))))))))))))))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-3))))))))))) eff-2))))))))) eff-1))))))))
(define CoreC-45Context-setVisible (lambda (arg-0 arg-1) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (let ((e-0 (vector-ref e-5 0))) (let ((e-1 (vector-ref e-5 1))) (let ((e-2 (vector-ref e-5 2))) (let ((e-3 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-32 (vector-ref e-5 5))) (let ((e-6 (vector-ref e-5 6))) (let ((e-7 (vector-ref e-5 7))) (let ((e-8 (vector-ref e-5 8))) (let ((e-9 (vector-ref e-5 9))) (let ((e-10 (vector-ref e-5 10))) (let ((e-11 (vector-ref e-5 11))) (let ((e-12 (vector-ref e-5 12))) (let ((e-13 (vector-ref e-5 13))) (let ((e-14 (vector-ref e-5 14))) (let ((e-15 (vector-ref e-5 15))) (let ((e-16 (vector-ref e-5 16))) (let ((e-17 (vector-ref e-5 17))) (let ((e-18 (vector-ref e-5 18))) (let ((e-19 (vector-ref e-5 19))) (let ((e-20 (vector-ref e-5 20))) (let ((e-21 (vector-ref e-5 21))) (let ((e-22 (vector-ref e-5 22))) (let ((e-23 (vector-ref e-5 23))) (let ((e-24 (vector-ref e-5 24))) (let ((e-25 (vector-ref e-5 25))) (let ((e-26 (vector-ref e-5 26))) (let ((e-27 (vector-ref e-5 27))) (let ((e-28 (vector-ref e-5 28))) (let ((e-29 (vector-ref e-5 29))) (let ((e-30 (vector-ref e-5 30))) (let ((e-31 (vector-ref e-5 31))) (let ((e-44 (vector-ref e-0 0))) (let ((e-33 (vector-ref e-0 1))) (let ((e-34 (vector-ref e-0 2))) (let ((e-35 (vector-ref e-0 3))) (let ((e-36 (vector-ref e-0 4))) (let ((e-37 (vector-ref e-0 5))) (let ((e-38 (vector-ref e-0 6))) (let ((e-39 (vector-ref e-0 7))) (let ((e-40 (vector-ref e-0 8))) (let ((e-41 (vector-ref e-0 9))) (let ((e-42 (vector-ref e-0 10))) (let ((e-43 (vector-ref e-0 11))) (vector (vector e-44 e-33 e-34 e-35 e-36 e-37 e-38 (cons arg-1 e-39) e-40 e-41 e-42 e-43) e-1 e-2 e-3 e-4 e-32 e-6 e-7 e-8 e-9 e-10 e-11 e-12 e-13 e-14 e-15 e-16 e-17 e-18 e-19 e-20 e-21 e-22 e-23 e-24 e-25 e-26 e-27 e-28 e-29 e-30 e-31)))))))))))))))))))))))))))))))))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-1)))))))))
(define CoreC-45Context-setUniqueSearch (lambda (arg-0 arg-1 arg-2 arg-3) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-lookupCtxtExact arg-2 (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-6) (CoreC-45Context-undefinedName arg-0 arg-1 arg-2) (let ((e-1 (unbox e-6))) (let ((_-0 (box e-1))) (CoreC-45Context-case--caseC-32blockC-32inC-32setUniqueSearch-21577 arg-3 arg-2 arg-1 arg-0 e-5 e-1 _-0 (let ((e-17 (vector-ref e-1 17))) e-17))))))) eff-2))))))))) eff-1)))))))))
(define CoreC-45Context-setUnboundImplicits (lambda (arg-0 arg-1) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (let ((e-0 (vector-ref e-5 0))) (let ((e-1 (vector-ref e-5 1))) (let ((e-2 (vector-ref e-5 2))) (let ((e-3 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-32 (vector-ref e-5 5))) (let ((e-6 (vector-ref e-5 6))) (let ((e-7 (vector-ref e-5 7))) (let ((e-8 (vector-ref e-5 8))) (let ((e-9 (vector-ref e-5 9))) (let ((e-10 (vector-ref e-5 10))) (let ((e-11 (vector-ref e-5 11))) (let ((e-12 (vector-ref e-5 12))) (let ((e-13 (vector-ref e-5 13))) (let ((e-14 (vector-ref e-5 14))) (let ((e-15 (vector-ref e-5 15))) (let ((e-16 (vector-ref e-5 16))) (let ((e-17 (vector-ref e-5 17))) (let ((e-18 (vector-ref e-5 18))) (let ((e-19 (vector-ref e-5 19))) (let ((e-20 (vector-ref e-5 20))) (let ((e-21 (vector-ref e-5 21))) (let ((e-22 (vector-ref e-5 22))) (let ((e-23 (vector-ref e-5 23))) (let ((e-24 (vector-ref e-5 24))) (let ((e-25 (vector-ref e-5 25))) (let ((e-26 (vector-ref e-5 26))) (let ((e-27 (vector-ref e-5 27))) (let ((e-28 (vector-ref e-5 28))) (let ((e-29 (vector-ref e-5 29))) (let ((e-30 (vector-ref e-5 30))) (let ((e-31 (vector-ref e-5 31))) (let ((e-42 (vector-ref e-4 0))) (let ((e-33 (vector-ref e-4 1))) (let ((e-34 (vector-ref e-4 2))) (let ((e-35 (vector-ref e-4 3))) (let ((e-36 (vector-ref e-4 4))) (let ((e-37 (vector-ref e-4 5))) (let ((e-38 (vector-ref e-4 6))) (let ((e-39 (vector-ref e-4 7))) (let ((e-40 (vector-ref e-4 8))) (let ((e-41 (vector-ref e-4 9))) (let ((e-49 (vector-ref e-35 0))) (let ((e-44 (vector-ref e-35 2))) (let ((e-45 (vector-ref e-35 3))) (let ((e-46 (vector-ref e-35 4))) (let ((e-47 (vector-ref e-35 5))) (let ((e-48 (vector-ref e-35 6))) (vector e-0 e-1 e-2 e-3 (vector e-42 e-33 e-34 (vector e-49 arg-1 e-44 e-45 e-46 e-47 e-48) e-36 e-37 e-38 e-39 e-40 e-41) e-32 e-6 e-7 e-8 e-9 e-10 e-11 e-12 e-13 e-14 e-15 e-16 e-17 e-18 e-19 e-20 e-21 e-22 e-23 e-24 e-25 e-26 e-27 e-28 e-29 e-30 e-31)))))))))))))))))))))))))))))))))))))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-1)))))))))
(define CoreC-45Context-setTerminating (lambda (arg-0 arg-1 arg-2 arg-3) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-lookupCtxtExact arg-2 (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-6) (CoreC-45Context-undefinedName arg-0 arg-1 arg-2) (let ((e-1 (unbox e-6))) (let ((eff-2 (CoreC-45Context-addDef arg-0 arg-2 (let ((e-0 (vector-ref e-1 0))) (let ((e-24 (vector-ref e-1 1))) (let ((e-2 (vector-ref e-1 2))) (let ((e-3 (vector-ref e-1 3))) (let ((e-4 (vector-ref e-1 4))) (let ((e-23 (vector-ref e-1 5))) (let ((e-22 (vector-ref e-1 6))) (let ((e-7 (vector-ref e-1 7))) (let ((e-8 (vector-ref e-1 8))) (let ((e-9 (vector-ref e-1 9))) (let ((e-10 (vector-ref e-1 10))) (let ((e-11 (vector-ref e-1 11))) (let ((e-12 (vector-ref e-1 12))) (let ((e-13 (vector-ref e-1 13))) (let ((e-14 (vector-ref e-1 14))) (let ((e-15 (vector-ref e-1 15))) (let ((e-16 (vector-ref e-1 16))) (let ((e-17 (vector-ref e-1 17))) (let ((e-18 (vector-ref e-1 18))) (let ((e-19 (vector-ref e-1 19))) (let ((e-20 (vector-ref e-1 20))) (let ((e-21 (vector-ref e-1 21))) (let ((e-25 (cdr e-10))) (vector e-0 e-24 e-2 e-3 e-4 e-23 e-22 e-7 e-8 e-9 (cons arg-3 e-25) e-11 e-12 e-13 e-14 e-15 e-16 e-17 e-18 e-19 e-20 e-21))))))))))))))))))))))))))) (((csegen-50) ((let ((eff-3 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-7 (vector-ref eta-3 1))) (vector 1 (eta-2 e-7))))))))))) (lambda (arg-4) (lambda (arg-5) ((((eff-3 'erased) 'erased) arg-4) arg-5)))) (lambda (_-8679) (vector 0 )))) eff-2)))))) eff-2))))))))) eff-1)))))))))
(define CoreC-45Context-setStageDir (lambda (arg-0 arg-1) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (let ((e-0 (vector-ref e-5 0))) (let ((e-1 (vector-ref e-5 1))) (let ((e-2 (vector-ref e-5 2))) (let ((e-3 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-32 (vector-ref e-5 5))) (let ((e-6 (vector-ref e-5 6))) (let ((e-7 (vector-ref e-5 7))) (let ((e-8 (vector-ref e-5 8))) (let ((e-9 (vector-ref e-5 9))) (let ((e-10 (vector-ref e-5 10))) (let ((e-11 (vector-ref e-5 11))) (let ((e-12 (vector-ref e-5 12))) (let ((e-13 (vector-ref e-5 13))) (let ((e-14 (vector-ref e-5 14))) (let ((e-15 (vector-ref e-5 15))) (let ((e-16 (vector-ref e-5 16))) (let ((e-17 (vector-ref e-5 17))) (let ((e-18 (vector-ref e-5 18))) (let ((e-19 (vector-ref e-5 19))) (let ((e-20 (vector-ref e-5 20))) (let ((e-21 (vector-ref e-5 21))) (let ((e-22 (vector-ref e-5 22))) (let ((e-23 (vector-ref e-5 23))) (let ((e-24 (vector-ref e-5 24))) (let ((e-25 (vector-ref e-5 25))) (let ((e-26 (vector-ref e-5 26))) (let ((e-27 (vector-ref e-5 27))) (let ((e-28 (vector-ref e-5 28))) (let ((e-29 (vector-ref e-5 29))) (let ((e-30 (vector-ref e-5 30))) (let ((e-31 (vector-ref e-5 31))) (let ((e-42 (vector-ref e-4 0))) (let ((e-33 (vector-ref e-4 1))) (let ((e-34 (vector-ref e-4 2))) (let ((e-35 (vector-ref e-4 3))) (let ((e-36 (vector-ref e-4 4))) (let ((e-37 (vector-ref e-4 5))) (let ((e-38 (vector-ref e-4 6))) (let ((e-39 (vector-ref e-4 7))) (let ((e-40 (vector-ref e-4 8))) (let ((e-41 (vector-ref e-4 9))) (let ((e-53 (vector-ref e-42 0))) (let ((e-43 (vector-ref e-42 1))) (let ((e-44 (vector-ref e-42 2))) (let ((e-45 (vector-ref e-42 3))) (let ((e-46 (vector-ref e-42 4))) (let ((e-48 (vector-ref e-42 6))) (let ((e-49 (vector-ref e-42 7))) (let ((e-50 (vector-ref e-42 8))) (let ((e-51 (vector-ref e-42 9))) (let ((e-52 (vector-ref e-42 10))) (vector e-0 e-1 e-2 e-3 (vector (vector e-53 e-43 e-44 e-45 e-46 arg-1 e-48 e-49 e-50 e-51 e-52) e-33 e-34 e-35 e-36 e-37 e-38 e-39 e-40 e-41) e-32 e-6 e-7 e-8 e-9 e-10 e-11 e-12 e-13 e-14 e-15 e-16 e-17 e-18 e-19 e-20 e-21 e-22 e-23 e-24 e-25 e-26 e-27 e-28 e-29 e-30 e-31)))))))))))))))))))))))))))))))))))))))))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-1)))))))))
(define CoreC-45Context-setSourceDir (lambda (arg-0 arg-1) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (let ((e-0 (vector-ref e-5 0))) (let ((e-1 (vector-ref e-5 1))) (let ((e-2 (vector-ref e-5 2))) (let ((e-3 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-32 (vector-ref e-5 5))) (let ((e-6 (vector-ref e-5 6))) (let ((e-7 (vector-ref e-5 7))) (let ((e-8 (vector-ref e-5 8))) (let ((e-9 (vector-ref e-5 9))) (let ((e-10 (vector-ref e-5 10))) (let ((e-11 (vector-ref e-5 11))) (let ((e-12 (vector-ref e-5 12))) (let ((e-13 (vector-ref e-5 13))) (let ((e-14 (vector-ref e-5 14))) (let ((e-15 (vector-ref e-5 15))) (let ((e-16 (vector-ref e-5 16))) (let ((e-17 (vector-ref e-5 17))) (let ((e-18 (vector-ref e-5 18))) (let ((e-19 (vector-ref e-5 19))) (let ((e-20 (vector-ref e-5 20))) (let ((e-21 (vector-ref e-5 21))) (let ((e-22 (vector-ref e-5 22))) (let ((e-23 (vector-ref e-5 23))) (let ((e-24 (vector-ref e-5 24))) (let ((e-25 (vector-ref e-5 25))) (let ((e-26 (vector-ref e-5 26))) (let ((e-27 (vector-ref e-5 27))) (let ((e-28 (vector-ref e-5 28))) (let ((e-29 (vector-ref e-5 29))) (let ((e-30 (vector-ref e-5 30))) (let ((e-31 (vector-ref e-5 31))) (let ((e-42 (vector-ref e-4 0))) (let ((e-33 (vector-ref e-4 1))) (let ((e-34 (vector-ref e-4 2))) (let ((e-35 (vector-ref e-4 3))) (let ((e-36 (vector-ref e-4 4))) (let ((e-37 (vector-ref e-4 5))) (let ((e-38 (vector-ref e-4 6))) (let ((e-39 (vector-ref e-4 7))) (let ((e-40 (vector-ref e-4 8))) (let ((e-41 (vector-ref e-4 9))) (let ((e-53 (vector-ref e-42 0))) (let ((e-44 (vector-ref e-42 2))) (let ((e-45 (vector-ref e-42 3))) (let ((e-46 (vector-ref e-42 4))) (let ((e-47 (vector-ref e-42 5))) (let ((e-48 (vector-ref e-42 6))) (let ((e-49 (vector-ref e-42 7))) (let ((e-50 (vector-ref e-42 8))) (let ((e-51 (vector-ref e-42 9))) (let ((e-52 (vector-ref e-42 10))) (vector e-0 e-1 e-2 e-3 (vector (vector e-53 arg-1 e-44 e-45 e-46 e-47 e-48 e-49 e-50 e-51 e-52) e-33 e-34 e-35 e-36 e-37 e-38 e-39 e-40 e-41) e-32 e-6 e-7 e-8 e-9 e-10 e-11 e-12 e-13 e-14 e-15 e-16 e-17 e-18 e-19 e-20 e-21 e-22 e-23 e-24 e-25 e-26 e-27 e-28 e-29 e-30 e-31)))))))))))))))))))))))))))))))))))))))))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-1)))))))))
(define CoreC-45Context-setSizeChange (lambda (arg-0 arg-1 arg-2 arg-3) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-lookupCtxtExact arg-2 (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-6) (CoreC-45Context-undefinedName arg-0 arg-1 arg-2) (let ((e-1 (unbox e-6))) (let ((eff-2 (CoreC-45Context-addDef arg-0 arg-2 (let ((e-0 (vector-ref e-1 0))) (let ((e-24 (vector-ref e-1 1))) (let ((e-2 (vector-ref e-1 2))) (let ((e-3 (vector-ref e-1 3))) (let ((e-4 (vector-ref e-1 4))) (let ((e-23 (vector-ref e-1 5))) (let ((e-22 (vector-ref e-1 6))) (let ((e-7 (vector-ref e-1 7))) (let ((e-8 (vector-ref e-1 8))) (let ((e-9 (vector-ref e-1 9))) (let ((e-10 (vector-ref e-1 10))) (let ((e-11 (vector-ref e-1 11))) (let ((e-12 (vector-ref e-1 12))) (let ((e-13 (vector-ref e-1 13))) (let ((e-14 (vector-ref e-1 14))) (let ((e-15 (vector-ref e-1 15))) (let ((e-16 (vector-ref e-1 16))) (let ((e-17 (vector-ref e-1 17))) (let ((e-18 (vector-ref e-1 18))) (let ((e-19 (vector-ref e-1 19))) (let ((e-21 (vector-ref e-1 21))) (vector e-0 e-24 e-2 e-3 e-4 e-23 e-22 e-7 e-8 e-9 e-10 e-11 e-12 e-13 e-14 e-15 e-16 e-17 e-18 e-19 arg-3 e-21))))))))))))))))))))))))) (((csegen-50) ((let ((eff-3 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-7 (vector-ref eta-3 1))) (vector 1 (eta-2 e-7))))))))))) (lambda (arg-4) (lambda (arg-5) ((((eff-3 'erased) 'erased) arg-4) arg-5)))) (lambda (_-8679) (vector 0 )))) eff-2)))))) eff-2))))))))) eff-1)))))))))
(define CoreC-45Context-setSession (lambda (arg-0 arg-1) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (let ((e-0 (vector-ref e-5 0))) (let ((e-1 (vector-ref e-5 1))) (let ((e-2 (vector-ref e-5 2))) (let ((e-3 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-32 (vector-ref e-5 5))) (let ((e-6 (vector-ref e-5 6))) (let ((e-7 (vector-ref e-5 7))) (let ((e-8 (vector-ref e-5 8))) (let ((e-9 (vector-ref e-5 9))) (let ((e-10 (vector-ref e-5 10))) (let ((e-11 (vector-ref e-5 11))) (let ((e-12 (vector-ref e-5 12))) (let ((e-13 (vector-ref e-5 13))) (let ((e-14 (vector-ref e-5 14))) (let ((e-15 (vector-ref e-5 15))) (let ((e-16 (vector-ref e-5 16))) (let ((e-17 (vector-ref e-5 17))) (let ((e-18 (vector-ref e-5 18))) (let ((e-19 (vector-ref e-5 19))) (let ((e-20 (vector-ref e-5 20))) (let ((e-21 (vector-ref e-5 21))) (let ((e-22 (vector-ref e-5 22))) (let ((e-23 (vector-ref e-5 23))) (let ((e-24 (vector-ref e-5 24))) (let ((e-25 (vector-ref e-5 25))) (let ((e-26 (vector-ref e-5 26))) (let ((e-27 (vector-ref e-5 27))) (let ((e-28 (vector-ref e-5 28))) (let ((e-29 (vector-ref e-5 29))) (let ((e-30 (vector-ref e-5 30))) (let ((e-31 (vector-ref e-5 31))) (let ((e-42 (vector-ref e-4 0))) (let ((e-33 (vector-ref e-4 1))) (let ((e-35 (vector-ref e-4 3))) (let ((e-36 (vector-ref e-4 4))) (let ((e-37 (vector-ref e-4 5))) (let ((e-38 (vector-ref e-4 6))) (let ((e-39 (vector-ref e-4 7))) (let ((e-40 (vector-ref e-4 8))) (let ((e-41 (vector-ref e-4 9))) (vector e-0 e-1 e-2 e-3 (vector e-42 e-33 arg-1 e-35 e-36 e-37 e-38 e-39 e-40 e-41) e-32 e-6 e-7 e-8 e-9 e-10 e-11 e-12 e-13 e-14 e-15 e-16 e-17 e-18 e-19 e-20 e-21 e-22 e-23 e-24 e-25 e-26 e-27 e-28 e-29 e-30 e-31))))))))))))))))))))))))))))))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-1)))))))))
(define CoreC-45Context-setSearchTimeout (lambda (arg-0 arg-1) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (let ((e-0 (vector-ref e-5 0))) (let ((e-1 (vector-ref e-5 1))) (let ((e-2 (vector-ref e-5 2))) (let ((e-3 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-32 (vector-ref e-5 5))) (let ((e-6 (vector-ref e-5 6))) (let ((e-7 (vector-ref e-5 7))) (let ((e-8 (vector-ref e-5 8))) (let ((e-9 (vector-ref e-5 9))) (let ((e-10 (vector-ref e-5 10))) (let ((e-11 (vector-ref e-5 11))) (let ((e-12 (vector-ref e-5 12))) (let ((e-13 (vector-ref e-5 13))) (let ((e-14 (vector-ref e-5 14))) (let ((e-15 (vector-ref e-5 15))) (let ((e-16 (vector-ref e-5 16))) (let ((e-17 (vector-ref e-5 17))) (let ((e-18 (vector-ref e-5 18))) (let ((e-19 (vector-ref e-5 19))) (let ((e-20 (vector-ref e-5 20))) (let ((e-21 (vector-ref e-5 21))) (let ((e-22 (vector-ref e-5 22))) (let ((e-23 (vector-ref e-5 23))) (let ((e-24 (vector-ref e-5 24))) (let ((e-25 (vector-ref e-5 25))) (let ((e-26 (vector-ref e-5 26))) (let ((e-27 (vector-ref e-5 27))) (let ((e-28 (vector-ref e-5 28))) (let ((e-29 (vector-ref e-5 29))) (let ((e-30 (vector-ref e-5 30))) (let ((e-31 (vector-ref e-5 31))) (let ((e-42 (vector-ref e-4 0))) (let ((e-33 (vector-ref e-4 1))) (let ((e-34 (vector-ref e-4 2))) (let ((e-35 (vector-ref e-4 3))) (let ((e-36 (vector-ref e-4 4))) (let ((e-37 (vector-ref e-4 5))) (let ((e-38 (vector-ref e-4 6))) (let ((e-39 (vector-ref e-4 7))) (let ((e-40 (vector-ref e-4 8))) (let ((e-41 (vector-ref e-4 9))) (let ((e-66 (vector-ref e-34 0))) (let ((e-43 (vector-ref e-34 1))) (let ((e-44 (vector-ref e-34 2))) (let ((e-45 (vector-ref e-34 3))) (let ((e-46 (vector-ref e-34 4))) (let ((e-47 (vector-ref e-34 5))) (let ((e-49 (vector-ref e-34 7))) (let ((e-50 (vector-ref e-34 8))) (let ((e-51 (vector-ref e-34 9))) (let ((e-52 (vector-ref e-34 10))) (let ((e-53 (vector-ref e-34 11))) (let ((e-54 (vector-ref e-34 12))) (let ((e-55 (vector-ref e-34 13))) (let ((e-56 (vector-ref e-34 14))) (let ((e-57 (vector-ref e-34 15))) (let ((e-58 (vector-ref e-34 16))) (let ((e-59 (vector-ref e-34 17))) (let ((e-60 (vector-ref e-34 18))) (let ((e-61 (vector-ref e-34 19))) (let ((e-62 (vector-ref e-34 20))) (let ((e-63 (vector-ref e-34 21))) (let ((e-64 (vector-ref e-34 22))) (let ((e-65 (vector-ref e-34 23))) (vector e-0 e-1 e-2 e-3 (vector e-42 e-33 (vector e-66 e-43 e-44 e-45 e-46 e-47 arg-1 e-49 e-50 e-51 e-52 e-53 e-54 e-55 e-56 e-57 e-58 e-59 e-60 e-61 e-62 e-63 e-64 e-65) e-35 e-36 e-37 e-38 e-39 e-40 e-41) e-32 e-6 e-7 e-8 e-9 e-10 e-11 e-12 e-13 e-14 e-15 e-16 e-17 e-18 e-19 e-20 e-21 e-22 e-23 e-24 e-25 e-26 e-27 e-28 e-29 e-30 e-31))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-1)))))))))
(define CoreC-45Context-setRewrite (lambda (arg-0 arg-1 arg-2 arg-3) (let ((eff-0 (CoreC-45Context-checkUnambig arg-0 arg-1 arg-3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-checkUnambig arg-0 arg-1 arg-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (let ((eff-2 arg-0)) (PrimIO-io_bind (let ((eff-3 eff-2)) (lambda (eta-0) (unbox eff-3))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 arg-0)) (PrimIO-io_bind (let ((eff-4 eff-3)) (lambda (eta-0) (set-box! eff-4 (let ((e-0 (vector-ref e-7 0))) (let ((e-1 (vector-ref e-7 1))) (let ((e-2 (vector-ref e-7 2))) (let ((e-3 (vector-ref e-7 3))) (let ((e-4 (vector-ref e-7 4))) (let ((e-34 (vector-ref e-7 5))) (let ((e-33 (vector-ref e-7 6))) (let ((e-32 (vector-ref e-7 7))) (let ((e-8 (vector-ref e-7 8))) (let ((e-9 (vector-ref e-7 9))) (let ((e-10 (vector-ref e-7 10))) (let ((e-11 (vector-ref e-7 11))) (let ((e-12 (vector-ref e-7 12))) (let ((e-13 (vector-ref e-7 13))) (let ((e-14 (vector-ref e-7 14))) (let ((e-15 (vector-ref e-7 15))) (let ((e-16 (vector-ref e-7 16))) (let ((e-17 (vector-ref e-7 17))) (let ((e-18 (vector-ref e-7 18))) (let ((e-19 (vector-ref e-7 19))) (let ((e-20 (vector-ref e-7 20))) (let ((e-21 (vector-ref e-7 21))) (let ((e-22 (vector-ref e-7 22))) (let ((e-23 (vector-ref e-7 23))) (let ((e-24 (vector-ref e-7 24))) (let ((e-25 (vector-ref e-7 25))) (let ((e-26 (vector-ref e-7 26))) (let ((e-27 (vector-ref e-7 27))) (let ((e-28 (vector-ref e-7 28))) (let ((e-29 (vector-ref e-7 29))) (let ((e-30 (vector-ref e-7 30))) (let ((e-31 (vector-ref e-7 31))) (vector e-0 e-1 e-2 e-3 (CoreC-45Options-setRewrite e-6 e-5 e-4) e-34 e-33 e-32 e-8 e-9 e-10 e-11 e-12 e-13 e-14 e-15 e-16 e-17 e-18 e-19 e-20 e-21 e-22 e-23 e-24 e-25 e-26 e-27 e-28 e-29 e-30 e-31)))))))))))))))))))))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))
(define CoreC-45Context-setPrefixRecordProjections (lambda (arg-0 arg-1) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (let ((e-0 (vector-ref e-5 0))) (let ((e-1 (vector-ref e-5 1))) (let ((e-2 (vector-ref e-5 2))) (let ((e-3 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-32 (vector-ref e-5 5))) (let ((e-6 (vector-ref e-5 6))) (let ((e-7 (vector-ref e-5 7))) (let ((e-8 (vector-ref e-5 8))) (let ((e-9 (vector-ref e-5 9))) (let ((e-10 (vector-ref e-5 10))) (let ((e-11 (vector-ref e-5 11))) (let ((e-12 (vector-ref e-5 12))) (let ((e-13 (vector-ref e-5 13))) (let ((e-14 (vector-ref e-5 14))) (let ((e-15 (vector-ref e-5 15))) (let ((e-16 (vector-ref e-5 16))) (let ((e-17 (vector-ref e-5 17))) (let ((e-18 (vector-ref e-5 18))) (let ((e-19 (vector-ref e-5 19))) (let ((e-20 (vector-ref e-5 20))) (let ((e-21 (vector-ref e-5 21))) (let ((e-22 (vector-ref e-5 22))) (let ((e-23 (vector-ref e-5 23))) (let ((e-24 (vector-ref e-5 24))) (let ((e-25 (vector-ref e-5 25))) (let ((e-26 (vector-ref e-5 26))) (let ((e-27 (vector-ref e-5 27))) (let ((e-28 (vector-ref e-5 28))) (let ((e-29 (vector-ref e-5 29))) (let ((e-30 (vector-ref e-5 30))) (let ((e-31 (vector-ref e-5 31))) (let ((e-42 (vector-ref e-4 0))) (let ((e-33 (vector-ref e-4 1))) (let ((e-34 (vector-ref e-4 2))) (let ((e-35 (vector-ref e-4 3))) (let ((e-36 (vector-ref e-4 4))) (let ((e-37 (vector-ref e-4 5))) (let ((e-38 (vector-ref e-4 6))) (let ((e-39 (vector-ref e-4 7))) (let ((e-40 (vector-ref e-4 8))) (let ((e-41 (vector-ref e-4 9))) (let ((e-49 (vector-ref e-35 0))) (let ((e-43 (vector-ref e-35 1))) (let ((e-44 (vector-ref e-35 2))) (let ((e-45 (vector-ref e-35 3))) (let ((e-46 (vector-ref e-35 4))) (let ((e-47 (vector-ref e-35 5))) (vector e-0 e-1 e-2 e-3 (vector e-42 e-33 e-34 (vector e-49 e-43 e-44 e-45 e-46 e-47 arg-1) e-36 e-37 e-38 e-39 e-40 e-41) e-32 e-6 e-7 e-8 e-9 e-10 e-11 e-12 e-13 e-14 e-15 e-16 e-17 e-18 e-19 e-20 e-21 e-22 e-23 e-24 e-25 e-26 e-27 e-28 e-29 e-30 e-31)))))))))))))))))))))))))))))))))))))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-1)))))))))
(define CoreC-45Context-setPrefix (lambda (arg-0 arg-1) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (let ((e-0 (vector-ref e-5 0))) (let ((e-1 (vector-ref e-5 1))) (let ((e-2 (vector-ref e-5 2))) (let ((e-3 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-32 (vector-ref e-5 5))) (let ((e-6 (vector-ref e-5 6))) (let ((e-7 (vector-ref e-5 7))) (let ((e-8 (vector-ref e-5 8))) (let ((e-9 (vector-ref e-5 9))) (let ((e-10 (vector-ref e-5 10))) (let ((e-11 (vector-ref e-5 11))) (let ((e-12 (vector-ref e-5 12))) (let ((e-13 (vector-ref e-5 13))) (let ((e-14 (vector-ref e-5 14))) (let ((e-15 (vector-ref e-5 15))) (let ((e-16 (vector-ref e-5 16))) (let ((e-17 (vector-ref e-5 17))) (let ((e-18 (vector-ref e-5 18))) (let ((e-19 (vector-ref e-5 19))) (let ((e-20 (vector-ref e-5 20))) (let ((e-21 (vector-ref e-5 21))) (let ((e-22 (vector-ref e-5 22))) (let ((e-23 (vector-ref e-5 23))) (let ((e-24 (vector-ref e-5 24))) (let ((e-25 (vector-ref e-5 25))) (let ((e-26 (vector-ref e-5 26))) (let ((e-27 (vector-ref e-5 27))) (let ((e-28 (vector-ref e-5 28))) (let ((e-29 (vector-ref e-5 29))) (let ((e-30 (vector-ref e-5 30))) (let ((e-31 (vector-ref e-5 31))) (let ((e-42 (vector-ref e-4 0))) (let ((e-33 (vector-ref e-4 1))) (let ((e-34 (vector-ref e-4 2))) (let ((e-35 (vector-ref e-4 3))) (let ((e-36 (vector-ref e-4 4))) (let ((e-37 (vector-ref e-4 5))) (let ((e-38 (vector-ref e-4 6))) (let ((e-39 (vector-ref e-4 7))) (let ((e-40 (vector-ref e-4 8))) (let ((e-41 (vector-ref e-4 9))) (let ((e-53 (vector-ref e-42 0))) (let ((e-43 (vector-ref e-42 1))) (let ((e-44 (vector-ref e-42 2))) (let ((e-45 (vector-ref e-42 3))) (let ((e-46 (vector-ref e-42 4))) (let ((e-47 (vector-ref e-42 5))) (let ((e-49 (vector-ref e-42 7))) (let ((e-50 (vector-ref e-42 8))) (let ((e-51 (vector-ref e-42 9))) (let ((e-52 (vector-ref e-42 10))) (vector e-0 e-1 e-2 e-3 (vector (vector e-53 e-43 e-44 e-45 e-46 e-47 arg-1 e-49 e-50 e-51 e-52) e-33 e-34 e-35 e-36 e-37 e-38 e-39 e-40 e-41) e-32 e-6 e-7 e-8 e-9 e-10 e-11 e-12 e-13 e-14 e-15 e-16 e-17 e-18 e-19 e-20 e-21 e-22 e-23 e-24 e-25 e-26 e-27 e-28 e-29 e-30 e-31)))))))))))))))))))))))))))))))))))))))))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-1)))))))))
(define CoreC-45Context-setPair (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (let ((eff-0 (CoreC-45Context-checkUnambig arg-0 arg-1 arg-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-checkUnambig arg-0 arg-1 arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-checkUnambig arg-0 arg-1 arg-4))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (let ((eff-3 arg-0)) (PrimIO-io_bind (let ((eff-4 eff-3)) (lambda (eta-0) (unbox eff-4))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 arg-0)) (PrimIO-io_bind (let ((eff-5 eff-4)) (lambda (eta-0) (set-box! eff-5 (let ((e-0 (vector-ref e-8 0))) (let ((e-1 (vector-ref e-8 1))) (let ((e-2 (vector-ref e-8 2))) (let ((e-3 (vector-ref e-8 3))) (let ((e-4 (vector-ref e-8 4))) (let ((e-35 (vector-ref e-8 5))) (let ((e-34 (vector-ref e-8 6))) (let ((e-33 (vector-ref e-8 7))) (let ((e-32 (vector-ref e-8 8))) (let ((e-9 (vector-ref e-8 9))) (let ((e-10 (vector-ref e-8 10))) (let ((e-11 (vector-ref e-8 11))) (let ((e-12 (vector-ref e-8 12))) (let ((e-13 (vector-ref e-8 13))) (let ((e-14 (vector-ref e-8 14))) (let ((e-15 (vector-ref e-8 15))) (let ((e-16 (vector-ref e-8 16))) (let ((e-17 (vector-ref e-8 17))) (let ((e-18 (vector-ref e-8 18))) (let ((e-19 (vector-ref e-8 19))) (let ((e-20 (vector-ref e-8 20))) (let ((e-21 (vector-ref e-8 21))) (let ((e-22 (vector-ref e-8 22))) (let ((e-23 (vector-ref e-8 23))) (let ((e-24 (vector-ref e-8 24))) (let ((e-25 (vector-ref e-8 25))) (let ((e-26 (vector-ref e-8 26))) (let ((e-27 (vector-ref e-8 27))) (let ((e-28 (vector-ref e-8 28))) (let ((e-29 (vector-ref e-8 29))) (let ((e-30 (vector-ref e-8 30))) (let ((e-31 (vector-ref e-8 31))) (vector e-0 e-1 e-2 e-3 (CoreC-45Options-setPair e-5 e-6 e-7 e-4) e-35 e-34 e-33 e-32 e-9 e-10 e-11 e-12 e-13 e-14 e-15 e-16 e-17 e-18 e-19 e-20 e-21 e-22 e-23 e-24 e-25 e-26 e-27 e-28 e-29 e-30 e-31)))))))))))))))))))))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))
(define CoreC-45Context-setPPrint (lambda (arg-0 arg-1) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (let ((e-0 (vector-ref e-5 0))) (let ((e-1 (vector-ref e-5 1))) (let ((e-2 (vector-ref e-5 2))) (let ((e-3 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-32 (vector-ref e-5 5))) (let ((e-6 (vector-ref e-5 6))) (let ((e-7 (vector-ref e-5 7))) (let ((e-8 (vector-ref e-5 8))) (let ((e-9 (vector-ref e-5 9))) (let ((e-10 (vector-ref e-5 10))) (let ((e-11 (vector-ref e-5 11))) (let ((e-12 (vector-ref e-5 12))) (let ((e-13 (vector-ref e-5 13))) (let ((e-14 (vector-ref e-5 14))) (let ((e-15 (vector-ref e-5 15))) (let ((e-16 (vector-ref e-5 16))) (let ((e-17 (vector-ref e-5 17))) (let ((e-18 (vector-ref e-5 18))) (let ((e-19 (vector-ref e-5 19))) (let ((e-20 (vector-ref e-5 20))) (let ((e-21 (vector-ref e-5 21))) (let ((e-22 (vector-ref e-5 22))) (let ((e-23 (vector-ref e-5 23))) (let ((e-24 (vector-ref e-5 24))) (let ((e-25 (vector-ref e-5 25))) (let ((e-26 (vector-ref e-5 26))) (let ((e-27 (vector-ref e-5 27))) (let ((e-28 (vector-ref e-5 28))) (let ((e-29 (vector-ref e-5 29))) (let ((e-30 (vector-ref e-5 30))) (let ((e-31 (vector-ref e-5 31))) (let ((e-42 (vector-ref e-4 0))) (let ((e-34 (vector-ref e-4 2))) (let ((e-35 (vector-ref e-4 3))) (let ((e-36 (vector-ref e-4 4))) (let ((e-37 (vector-ref e-4 5))) (let ((e-38 (vector-ref e-4 6))) (let ((e-39 (vector-ref e-4 7))) (let ((e-40 (vector-ref e-4 8))) (let ((e-41 (vector-ref e-4 9))) (vector e-0 e-1 e-2 e-3 (vector e-42 arg-1 e-34 e-35 e-36 e-37 e-38 e-39 e-40 e-41) e-32 e-6 e-7 e-8 e-9 e-10 e-11 e-12 e-13 e-14 e-15 e-16 e-17 e-18 e-19 e-20 e-21 e-22 e-23 e-24 e-25 e-26 e-27 e-28 e-29 e-30 e-31))))))))))))))))))))))))))))))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-1)))))))))
(define CoreC-45Context-setOutputDir (lambda (arg-0 arg-1) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (let ((e-0 (vector-ref e-5 0))) (let ((e-1 (vector-ref e-5 1))) (let ((e-2 (vector-ref e-5 2))) (let ((e-3 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-32 (vector-ref e-5 5))) (let ((e-6 (vector-ref e-5 6))) (let ((e-7 (vector-ref e-5 7))) (let ((e-8 (vector-ref e-5 8))) (let ((e-9 (vector-ref e-5 9))) (let ((e-10 (vector-ref e-5 10))) (let ((e-11 (vector-ref e-5 11))) (let ((e-12 (vector-ref e-5 12))) (let ((e-13 (vector-ref e-5 13))) (let ((e-14 (vector-ref e-5 14))) (let ((e-15 (vector-ref e-5 15))) (let ((e-16 (vector-ref e-5 16))) (let ((e-17 (vector-ref e-5 17))) (let ((e-18 (vector-ref e-5 18))) (let ((e-19 (vector-ref e-5 19))) (let ((e-20 (vector-ref e-5 20))) (let ((e-21 (vector-ref e-5 21))) (let ((e-22 (vector-ref e-5 22))) (let ((e-23 (vector-ref e-5 23))) (let ((e-24 (vector-ref e-5 24))) (let ((e-25 (vector-ref e-5 25))) (let ((e-26 (vector-ref e-5 26))) (let ((e-27 (vector-ref e-5 27))) (let ((e-28 (vector-ref e-5 28))) (let ((e-29 (vector-ref e-5 29))) (let ((e-30 (vector-ref e-5 30))) (let ((e-31 (vector-ref e-5 31))) (let ((e-42 (vector-ref e-4 0))) (let ((e-33 (vector-ref e-4 1))) (let ((e-34 (vector-ref e-4 2))) (let ((e-35 (vector-ref e-4 3))) (let ((e-36 (vector-ref e-4 4))) (let ((e-37 (vector-ref e-4 5))) (let ((e-38 (vector-ref e-4 6))) (let ((e-39 (vector-ref e-4 7))) (let ((e-40 (vector-ref e-4 8))) (let ((e-41 (vector-ref e-4 9))) (let ((e-53 (vector-ref e-42 0))) (let ((e-43 (vector-ref e-42 1))) (let ((e-44 (vector-ref e-42 2))) (let ((e-45 (vector-ref e-42 3))) (let ((e-47 (vector-ref e-42 5))) (let ((e-48 (vector-ref e-42 6))) (let ((e-49 (vector-ref e-42 7))) (let ((e-50 (vector-ref e-42 8))) (let ((e-51 (vector-ref e-42 9))) (let ((e-52 (vector-ref e-42 10))) (vector e-0 e-1 e-2 e-3 (vector (vector e-53 e-43 e-44 e-45 arg-1 e-47 e-48 e-49 e-50 e-51 e-52) e-33 e-34 e-35 e-36 e-37 e-38 e-39 e-40 e-41) e-32 e-6 e-7 e-8 e-9 e-10 e-11 e-12 e-13 e-14 e-15 e-16 e-17 e-18 e-19 e-20 e-21 e-22 e-23 e-24 e-25 e-26 e-27 e-28 e-29 e-30 e-31)))))))))))))))))))))))))))))))))))))))))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-1)))))))))
(define CoreC-45Context-setOpenHints (lambda (arg-0 arg-1) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (let ((e-0 (vector-ref e-5 0))) (let ((e-1 (vector-ref e-5 1))) (let ((e-2 (vector-ref e-5 2))) (let ((e-3 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-32 (vector-ref e-5 5))) (let ((e-6 (vector-ref e-5 6))) (let ((e-7 (vector-ref e-5 7))) (let ((e-8 (vector-ref e-5 8))) (let ((e-10 (vector-ref e-5 10))) (let ((e-11 (vector-ref e-5 11))) (let ((e-12 (vector-ref e-5 12))) (let ((e-13 (vector-ref e-5 13))) (let ((e-14 (vector-ref e-5 14))) (let ((e-15 (vector-ref e-5 15))) (let ((e-16 (vector-ref e-5 16))) (let ((e-17 (vector-ref e-5 17))) (let ((e-18 (vector-ref e-5 18))) (let ((e-19 (vector-ref e-5 19))) (let ((e-20 (vector-ref e-5 20))) (let ((e-21 (vector-ref e-5 21))) (let ((e-22 (vector-ref e-5 22))) (let ((e-23 (vector-ref e-5 23))) (let ((e-24 (vector-ref e-5 24))) (let ((e-25 (vector-ref e-5 25))) (let ((e-26 (vector-ref e-5 26))) (let ((e-27 (vector-ref e-5 27))) (let ((e-28 (vector-ref e-5 28))) (let ((e-29 (vector-ref e-5 29))) (let ((e-30 (vector-ref e-5 30))) (let ((e-31 (vector-ref e-5 31))) (vector e-0 e-1 e-2 e-3 e-4 e-32 e-6 e-7 e-8 arg-1 e-10 e-11 e-12 e-13 e-14 e-15 e-16 e-17 e-18 e-19 e-20 e-21 e-22 e-23 e-24 e-25 e-26 e-27 e-28 e-29 e-30 e-31))))))))))))))))))))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-1)))))))))
(define CoreC-45Context-setNestedNS (lambda (arg-0 arg-1) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (let ((e-0 (vector-ref e-5 0))) (let ((e-1 (vector-ref e-5 1))) (let ((e-2 (vector-ref e-5 2))) (let ((e-4 (vector-ref e-5 4))) (let ((e-32 (vector-ref e-5 5))) (let ((e-6 (vector-ref e-5 6))) (let ((e-7 (vector-ref e-5 7))) (let ((e-8 (vector-ref e-5 8))) (let ((e-9 (vector-ref e-5 9))) (let ((e-10 (vector-ref e-5 10))) (let ((e-11 (vector-ref e-5 11))) (let ((e-12 (vector-ref e-5 12))) (let ((e-13 (vector-ref e-5 13))) (let ((e-14 (vector-ref e-5 14))) (let ((e-15 (vector-ref e-5 15))) (let ((e-16 (vector-ref e-5 16))) (let ((e-17 (vector-ref e-5 17))) (let ((e-18 (vector-ref e-5 18))) (let ((e-19 (vector-ref e-5 19))) (let ((e-20 (vector-ref e-5 20))) (let ((e-21 (vector-ref e-5 21))) (let ((e-22 (vector-ref e-5 22))) (let ((e-23 (vector-ref e-5 23))) (let ((e-24 (vector-ref e-5 24))) (let ((e-25 (vector-ref e-5 25))) (let ((e-26 (vector-ref e-5 26))) (let ((e-27 (vector-ref e-5 27))) (let ((e-28 (vector-ref e-5 28))) (let ((e-29 (vector-ref e-5 29))) (let ((e-30 (vector-ref e-5 30))) (let ((e-31 (vector-ref e-5 31))) (vector e-0 e-1 e-2 arg-1 e-4 e-32 e-6 e-7 e-8 e-9 e-10 e-11 e-12 e-13 e-14 e-15 e-16 e-17 e-18 e-19 e-20 e-21 e-22 e-23 e-24 e-25 e-26 e-27 e-28 e-29 e-30 e-31))))))))))))))))))))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-1)))))))))
(define CoreC-45Context-setNameFlag (lambda (arg-0 arg-1 arg-2 arg-3) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-lookupCtxtName arg-2 (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-6) (CoreC-45Context-ambiguousName arg-0 arg-1 arg-2 ((csegen-101) e-6)) (let ((e-1 (car e-6))) (let ((e-2 (cdr e-6))) (if (null? e-1) (CoreC-45Context-ambiguousName arg-0 arg-1 arg-2 ((csegen-101) e-6)) (let ((e-7 (cdr e-1))) (if (null? e-7) (CoreC-45Context-ambiguousName arg-0 arg-1 arg-2 ((csegen-101) e-6)) (let ((e-9 (car e-7))) (let ((e-10 (cdr e-7))) (if (null? e-2) (let ((u--flagsC-39 (cons arg-3 (PreludeC-45TypesC-45List-filterAppend '() (lambda (arg-4) (CoreC-45ContextC-45Context-u--C-47C-61_Eq_DefFlag arg-4 arg-3)) (let ((e-11 (vector-ref e-10 11))) e-11))))) (let ((eff-2 (CoreC-45Context-addDef arg-0 (vector 8 e-9) (let ((e-0 (vector-ref e-10 0))) (let ((e-29 (vector-ref e-10 1))) (let ((e-28 (vector-ref e-10 2))) (let ((e-3 (vector-ref e-10 3))) (let ((e-4 (vector-ref e-10 4))) (let ((e-27 (vector-ref e-10 5))) (let ((e-26 (vector-ref e-10 6))) (let ((e-25 (vector-ref e-10 7))) (let ((e-24 (vector-ref e-10 8))) (let ((e-23 (vector-ref e-10 9))) (let ((e-22 (vector-ref e-10 10))) (let ((e-12 (vector-ref e-10 12))) (let ((e-13 (vector-ref e-10 13))) (let ((e-14 (vector-ref e-10 14))) (let ((e-15 (vector-ref e-10 15))) (let ((e-16 (vector-ref e-10 16))) (let ((e-17 (vector-ref e-10 17))) (let ((e-18 (vector-ref e-10 18))) (let ((e-19 (vector-ref e-10 19))) (let ((e-20 (vector-ref e-10 20))) (let ((e-21 (vector-ref e-10 21))) (vector e-0 e-29 e-28 e-3 e-4 e-27 e-26 e-25 e-24 e-23 e-22 u--flagsC-39 e-12 e-13 e-14 e-15 e-16 e-17 e-18 e-19 e-20 e-21))))))))))))))))))))))))) (((csegen-50) ((let ((eff-3 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-3 (vector-ref eta-3 1))) (vector 0 e-3))) (else (let ((e-11 (vector-ref eta-3 1))) (vector 1 (eta-2 e-11))))))))))) (lambda (arg-4) (lambda (arg-5) ((((eff-3 'erased) 'erased) arg-4) arg-5)))) (lambda (_-8679) (vector 0 )))) eff-2))) (CoreC-45Context-ambiguousName arg-0 arg-1 arg-2 ((csegen-101) e-6))))))))))))) eff-2))))))))) eff-1)))))))))
(define CoreC-45Context-setNS (lambda (arg-0 arg-1) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (let ((e-0 (vector-ref e-5 0))) (let ((e-1 (vector-ref e-5 1))) (let ((e-3 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-32 (vector-ref e-5 5))) (let ((e-6 (vector-ref e-5 6))) (let ((e-7 (vector-ref e-5 7))) (let ((e-8 (vector-ref e-5 8))) (let ((e-9 (vector-ref e-5 9))) (let ((e-10 (vector-ref e-5 10))) (let ((e-11 (vector-ref e-5 11))) (let ((e-12 (vector-ref e-5 12))) (let ((e-13 (vector-ref e-5 13))) (let ((e-14 (vector-ref e-5 14))) (let ((e-15 (vector-ref e-5 15))) (let ((e-16 (vector-ref e-5 16))) (let ((e-17 (vector-ref e-5 17))) (let ((e-18 (vector-ref e-5 18))) (let ((e-19 (vector-ref e-5 19))) (let ((e-20 (vector-ref e-5 20))) (let ((e-21 (vector-ref e-5 21))) (let ((e-22 (vector-ref e-5 22))) (let ((e-23 (vector-ref e-5 23))) (let ((e-24 (vector-ref e-5 24))) (let ((e-25 (vector-ref e-5 25))) (let ((e-26 (vector-ref e-5 26))) (let ((e-27 (vector-ref e-5 27))) (let ((e-28 (vector-ref e-5 28))) (let ((e-29 (vector-ref e-5 29))) (let ((e-30 (vector-ref e-5 30))) (let ((e-31 (vector-ref e-5 31))) (vector e-0 e-1 arg-1 e-3 e-4 e-32 e-6 e-7 e-8 e-9 e-10 e-11 e-12 e-13 e-14 e-15 e-16 e-17 e-18 e-19 e-20 e-21 e-22 e-23 e-24 e-25 e-26 e-27 e-28 e-29 e-30 e-31))))))))))))))))))))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-1)))))))))
(define CoreC-45Context-setNFThreshold (lambda (arg-0 arg-1) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (let ((e-0 (vector-ref e-5 0))) (let ((e-1 (vector-ref e-5 1))) (let ((e-2 (vector-ref e-5 2))) (let ((e-3 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-32 (vector-ref e-5 5))) (let ((e-6 (vector-ref e-5 6))) (let ((e-7 (vector-ref e-5 7))) (let ((e-8 (vector-ref e-5 8))) (let ((e-9 (vector-ref e-5 9))) (let ((e-10 (vector-ref e-5 10))) (let ((e-11 (vector-ref e-5 11))) (let ((e-12 (vector-ref e-5 12))) (let ((e-13 (vector-ref e-5 13))) (let ((e-14 (vector-ref e-5 14))) (let ((e-15 (vector-ref e-5 15))) (let ((e-16 (vector-ref e-5 16))) (let ((e-17 (vector-ref e-5 17))) (let ((e-18 (vector-ref e-5 18))) (let ((e-19 (vector-ref e-5 19))) (let ((e-20 (vector-ref e-5 20))) (let ((e-21 (vector-ref e-5 21))) (let ((e-22 (vector-ref e-5 22))) (let ((e-23 (vector-ref e-5 23))) (let ((e-24 (vector-ref e-5 24))) (let ((e-25 (vector-ref e-5 25))) (let ((e-26 (vector-ref e-5 26))) (let ((e-27 (vector-ref e-5 27))) (let ((e-28 (vector-ref e-5 28))) (let ((e-29 (vector-ref e-5 29))) (let ((e-30 (vector-ref e-5 30))) (let ((e-31 (vector-ref e-5 31))) (let ((e-42 (vector-ref e-4 0))) (let ((e-33 (vector-ref e-4 1))) (let ((e-34 (vector-ref e-4 2))) (let ((e-35 (vector-ref e-4 3))) (let ((e-36 (vector-ref e-4 4))) (let ((e-37 (vector-ref e-4 5))) (let ((e-38 (vector-ref e-4 6))) (let ((e-39 (vector-ref e-4 7))) (let ((e-40 (vector-ref e-4 8))) (let ((e-41 (vector-ref e-4 9))) (let ((e-49 (vector-ref e-35 0))) (let ((e-43 (vector-ref e-35 1))) (let ((e-44 (vector-ref e-35 2))) (let ((e-45 (vector-ref e-35 3))) (let ((e-46 (vector-ref e-35 4))) (let ((e-48 (vector-ref e-35 6))) (vector e-0 e-1 e-2 e-3 (vector e-42 e-33 e-34 (vector e-49 e-43 e-44 e-45 e-46 arg-1 e-48) e-36 e-37 e-38 e-39 e-40 e-41) e-32 e-6 e-7 e-8 e-9 e-10 e-11 e-12 e-13 e-14 e-15 e-16 e-17 e-18 e-19 e-20 e-21 e-22 e-23 e-24 e-25 e-26 e-27 e-28 e-29 e-30 e-31)))))))))))))))))))))))))))))))))))))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-1)))))))))
(define CoreC-45Context-setMutWith (lambda (arg-0 arg-1 arg-2 arg-3) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-lookupCtxtExact arg-2 (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-6) (CoreC-45Context-undefinedName arg-0 arg-1 arg-2) (let ((e-1 (unbox e-6))) (let ((e-17 (vector-ref e-1 17))) (case (vector-ref e-17 0) ((6) (let ((e-32 (vector-ref e-17 1))) (let ((e-31 (vector-ref e-17 2))) (let ((e-30 (vector-ref e-17 3))) (let ((e-29 (vector-ref e-17 4))) (let ((e-28 (vector-ref e-17 5))) (let ((e-26 (vector-ref e-17 7))) (let ((e-25 (vector-ref e-17 8))) (CoreC-45Context-updateDef arg-0 arg-2 (lambda (eta-0) (box (vector 6 e-32 e-31 e-30 e-29 e-28 arg-3 e-26 e-25))))))))))))(else (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 arg-1 (string-append (CoreC-45Name-u--show_Show_Name (let ((e-45 (vector-ref e-1 1))) e-45)) " is not a type constructor [setMutWith]")) eta-0))))))))) eff-2))))))))) eff-1)))))))))
(define CoreC-45Context-setLogTimings (lambda (arg-0 arg-1) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (let ((e-0 (vector-ref e-5 0))) (let ((e-1 (vector-ref e-5 1))) (let ((e-2 (vector-ref e-5 2))) (let ((e-3 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-32 (vector-ref e-5 5))) (let ((e-6 (vector-ref e-5 6))) (let ((e-7 (vector-ref e-5 7))) (let ((e-8 (vector-ref e-5 8))) (let ((e-9 (vector-ref e-5 9))) (let ((e-10 (vector-ref e-5 10))) (let ((e-11 (vector-ref e-5 11))) (let ((e-12 (vector-ref e-5 12))) (let ((e-13 (vector-ref e-5 13))) (let ((e-14 (vector-ref e-5 14))) (let ((e-15 (vector-ref e-5 15))) (let ((e-16 (vector-ref e-5 16))) (let ((e-17 (vector-ref e-5 17))) (let ((e-18 (vector-ref e-5 18))) (let ((e-19 (vector-ref e-5 19))) (let ((e-20 (vector-ref e-5 20))) (let ((e-21 (vector-ref e-5 21))) (let ((e-22 (vector-ref e-5 22))) (let ((e-23 (vector-ref e-5 23))) (let ((e-24 (vector-ref e-5 24))) (let ((e-25 (vector-ref e-5 25))) (let ((e-26 (vector-ref e-5 26))) (let ((e-27 (vector-ref e-5 27))) (let ((e-28 (vector-ref e-5 28))) (let ((e-29 (vector-ref e-5 29))) (let ((e-30 (vector-ref e-5 30))) (let ((e-31 (vector-ref e-5 31))) (let ((e-42 (vector-ref e-4 0))) (let ((e-33 (vector-ref e-4 1))) (let ((e-34 (vector-ref e-4 2))) (let ((e-35 (vector-ref e-4 3))) (let ((e-36 (vector-ref e-4 4))) (let ((e-37 (vector-ref e-4 5))) (let ((e-38 (vector-ref e-4 6))) (let ((e-39 (vector-ref e-4 7))) (let ((e-40 (vector-ref e-4 8))) (let ((e-41 (vector-ref e-4 9))) (let ((e-66 (vector-ref e-34 0))) (let ((e-43 (vector-ref e-34 1))) (let ((e-44 (vector-ref e-34 2))) (let ((e-45 (vector-ref e-34 3))) (let ((e-46 (vector-ref e-34 4))) (let ((e-47 (vector-ref e-34 5))) (let ((e-48 (vector-ref e-34 6))) (let ((e-49 (vector-ref e-34 7))) (let ((e-50 (vector-ref e-34 8))) (let ((e-51 (vector-ref e-34 9))) (let ((e-53 (vector-ref e-34 11))) (let ((e-54 (vector-ref e-34 12))) (let ((e-55 (vector-ref e-34 13))) (let ((e-56 (vector-ref e-34 14))) (let ((e-57 (vector-ref e-34 15))) (let ((e-58 (vector-ref e-34 16))) (let ((e-59 (vector-ref e-34 17))) (let ((e-60 (vector-ref e-34 18))) (let ((e-61 (vector-ref e-34 19))) (let ((e-62 (vector-ref e-34 20))) (let ((e-63 (vector-ref e-34 21))) (let ((e-64 (vector-ref e-34 22))) (let ((e-65 (vector-ref e-34 23))) (vector e-0 e-1 e-2 e-3 (vector e-42 e-33 (vector e-66 e-43 e-44 e-45 e-46 e-47 e-48 e-49 e-50 e-51 (box arg-1) e-53 e-54 e-55 e-56 e-57 e-58 e-59 e-60 e-61 e-62 e-63 e-64 e-65) e-35 e-36 e-37 e-38 e-39 e-40 e-41) e-32 e-6 e-7 e-8 e-9 e-10 e-11 e-12 e-13 e-14 e-15 e-16 e-17 e-18 e-19 e-20 e-21 e-22 e-23 e-24 e-25 e-26 e-27 e-28 e-29 e-30 e-31))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-1)))))))))
(define CoreC-45Context-setLinearCheck (lambda (arg-0 arg-1 arg-2) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-lookupCtxtExact (vector 8 arg-1) (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-6) (lambda (eta-0) (vector 1 (vector 0 ))) (let ((e-1 (unbox e-6))) (let ((eff-2 (CoreC-45Context-addDef arg-0 (vector 8 arg-1) (let ((e-0 (vector-ref e-1 0))) (let ((e-24 (vector-ref e-1 1))) (let ((e-2 (vector-ref e-1 2))) (let ((e-3 (vector-ref e-1 3))) (let ((e-4 (vector-ref e-1 4))) (let ((e-23 (vector-ref e-1 5))) (let ((e-22 (vector-ref e-1 6))) (let ((e-7 (vector-ref e-1 7))) (let ((e-8 (vector-ref e-1 8))) (let ((e-9 (vector-ref e-1 9))) (let ((e-10 (vector-ref e-1 10))) (let ((e-11 (vector-ref e-1 11))) (let ((e-12 (vector-ref e-1 12))) (let ((e-13 (vector-ref e-1 13))) (let ((e-14 (vector-ref e-1 14))) (let ((e-15 (vector-ref e-1 15))) (let ((e-17 (vector-ref e-1 17))) (let ((e-18 (vector-ref e-1 18))) (let ((e-19 (vector-ref e-1 19))) (let ((e-20 (vector-ref e-1 20))) (let ((e-21 (vector-ref e-1 21))) (vector e-0 e-24 e-2 e-3 e-4 e-23 e-22 e-7 e-8 e-9 e-10 e-11 e-12 e-13 e-14 e-15 arg-2 e-17 e-18 e-19 e-20 e-21))))))))))))))))))))))))) (((csegen-50) ((let ((eff-3 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-7 (vector-ref eta-3 1))) (vector 1 (eta-2 e-7))))))))))) (lambda (arg-3) (lambda (arg-4) ((((eff-3 'erased) 'erased) arg-3) arg-4)))) (lambda (_-8679) (vector 0 )))) eff-2)))))) eff-2))))))))) eff-1)))))))))
(define CoreC-45Context-setIncData (lambda (arg-0 arg-1 arg-2) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (let ((e-0 (vector-ref e-5 0))) (let ((e-1 (vector-ref e-5 1))) (let ((e-2 (vector-ref e-5 2))) (let ((e-3 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-32 (vector-ref e-5 5))) (let ((e-6 (vector-ref e-5 6))) (let ((e-7 (vector-ref e-5 7))) (let ((e-8 (vector-ref e-5 8))) (let ((e-9 (vector-ref e-5 9))) (let ((e-10 (vector-ref e-5 10))) (let ((e-11 (vector-ref e-5 11))) (let ((e-12 (vector-ref e-5 12))) (let ((e-13 (vector-ref e-5 13))) (let ((e-14 (vector-ref e-5 14))) (let ((e-15 (vector-ref e-5 15))) (let ((e-16 (vector-ref e-5 16))) (let ((e-17 (vector-ref e-5 17))) (let ((e-18 (vector-ref e-5 18))) (let ((e-19 (vector-ref e-5 19))) (let ((e-20 (vector-ref e-5 20))) (let ((e-21 (vector-ref e-5 21))) (let ((e-22 (vector-ref e-5 22))) (let ((e-23 (vector-ref e-5 23))) (let ((e-24 (vector-ref e-5 24))) (let ((e-25 (vector-ref e-5 25))) (let ((e-26 (vector-ref e-5 26))) (let ((e-27 (vector-ref e-5 27))) (let ((e-28 (vector-ref e-5 28))) (let ((e-29 (vector-ref e-5 29))) (let ((e-30 (vector-ref e-5 30))) (let ((e-31 (vector-ref e-5 31))) (vector e-0 e-1 e-2 e-3 e-4 e-32 e-6 e-7 e-8 e-9 e-10 e-11 e-12 e-13 e-14 e-15 e-16 e-17 e-18 e-19 e-20 e-21 (cons (cons arg-1 arg-2) e-22) e-23 e-24 e-25 e-26 e-27 e-28 e-29 e-30 e-31)))))))))))))))))))))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-1)))))))))
(define CoreC-45Context-setFromString (lambda (arg-0 arg-1) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (let ((e-0 (vector-ref e-5 0))) (let ((e-1 (vector-ref e-5 1))) (let ((e-2 (vector-ref e-5 2))) (let ((e-3 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-32 (vector-ref e-5 5))) (let ((e-6 (vector-ref e-5 6))) (let ((e-7 (vector-ref e-5 7))) (let ((e-8 (vector-ref e-5 8))) (let ((e-9 (vector-ref e-5 9))) (let ((e-10 (vector-ref e-5 10))) (let ((e-11 (vector-ref e-5 11))) (let ((e-12 (vector-ref e-5 12))) (let ((e-13 (vector-ref e-5 13))) (let ((e-14 (vector-ref e-5 14))) (let ((e-15 (vector-ref e-5 15))) (let ((e-16 (vector-ref e-5 16))) (let ((e-17 (vector-ref e-5 17))) (let ((e-18 (vector-ref e-5 18))) (let ((e-19 (vector-ref e-5 19))) (let ((e-20 (vector-ref e-5 20))) (let ((e-21 (vector-ref e-5 21))) (let ((e-22 (vector-ref e-5 22))) (let ((e-23 (vector-ref e-5 23))) (let ((e-24 (vector-ref e-5 24))) (let ((e-25 (vector-ref e-5 25))) (let ((e-26 (vector-ref e-5 26))) (let ((e-27 (vector-ref e-5 27))) (let ((e-28 (vector-ref e-5 28))) (let ((e-29 (vector-ref e-5 29))) (let ((e-30 (vector-ref e-5 30))) (let ((e-31 (vector-ref e-5 31))) (vector e-0 e-1 e-2 e-3 (CoreC-45Options-setFromString arg-1 e-4) e-32 e-6 e-7 e-8 e-9 e-10 e-11 e-12 e-13 e-14 e-15 e-16 e-17 e-18 e-19 e-20 e-21 e-22 e-23 e-24 e-25 e-26 e-27 e-28 e-29 e-30 e-31)))))))))))))))))))))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-1)))))))))
(define CoreC-45Context-setFromInteger (lambda (arg-0 arg-1) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (let ((e-0 (vector-ref e-5 0))) (let ((e-1 (vector-ref e-5 1))) (let ((e-2 (vector-ref e-5 2))) (let ((e-3 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-32 (vector-ref e-5 5))) (let ((e-6 (vector-ref e-5 6))) (let ((e-7 (vector-ref e-5 7))) (let ((e-8 (vector-ref e-5 8))) (let ((e-9 (vector-ref e-5 9))) (let ((e-10 (vector-ref e-5 10))) (let ((e-11 (vector-ref e-5 11))) (let ((e-12 (vector-ref e-5 12))) (let ((e-13 (vector-ref e-5 13))) (let ((e-14 (vector-ref e-5 14))) (let ((e-15 (vector-ref e-5 15))) (let ((e-16 (vector-ref e-5 16))) (let ((e-17 (vector-ref e-5 17))) (let ((e-18 (vector-ref e-5 18))) (let ((e-19 (vector-ref e-5 19))) (let ((e-20 (vector-ref e-5 20))) (let ((e-21 (vector-ref e-5 21))) (let ((e-22 (vector-ref e-5 22))) (let ((e-23 (vector-ref e-5 23))) (let ((e-24 (vector-ref e-5 24))) (let ((e-25 (vector-ref e-5 25))) (let ((e-26 (vector-ref e-5 26))) (let ((e-27 (vector-ref e-5 27))) (let ((e-28 (vector-ref e-5 28))) (let ((e-29 (vector-ref e-5 29))) (let ((e-30 (vector-ref e-5 30))) (let ((e-31 (vector-ref e-5 31))) (vector e-0 e-1 e-2 e-3 (CoreC-45Options-setFromInteger arg-1 e-4) e-32 e-6 e-7 e-8 e-9 e-10 e-11 e-12 e-13 e-14 e-15 e-16 e-17 e-18 e-19 e-20 e-21 e-22 e-23 e-24 e-25 e-26 e-27 e-28 e-29 e-30 e-31)))))))))))))))))))))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-1)))))))))
(define CoreC-45Context-setFromDouble (lambda (arg-0 arg-1) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (let ((e-0 (vector-ref e-5 0))) (let ((e-1 (vector-ref e-5 1))) (let ((e-2 (vector-ref e-5 2))) (let ((e-3 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-32 (vector-ref e-5 5))) (let ((e-6 (vector-ref e-5 6))) (let ((e-7 (vector-ref e-5 7))) (let ((e-8 (vector-ref e-5 8))) (let ((e-9 (vector-ref e-5 9))) (let ((e-10 (vector-ref e-5 10))) (let ((e-11 (vector-ref e-5 11))) (let ((e-12 (vector-ref e-5 12))) (let ((e-13 (vector-ref e-5 13))) (let ((e-14 (vector-ref e-5 14))) (let ((e-15 (vector-ref e-5 15))) (let ((e-16 (vector-ref e-5 16))) (let ((e-17 (vector-ref e-5 17))) (let ((e-18 (vector-ref e-5 18))) (let ((e-19 (vector-ref e-5 19))) (let ((e-20 (vector-ref e-5 20))) (let ((e-21 (vector-ref e-5 21))) (let ((e-22 (vector-ref e-5 22))) (let ((e-23 (vector-ref e-5 23))) (let ((e-24 (vector-ref e-5 24))) (let ((e-25 (vector-ref e-5 25))) (let ((e-26 (vector-ref e-5 26))) (let ((e-27 (vector-ref e-5 27))) (let ((e-28 (vector-ref e-5 28))) (let ((e-29 (vector-ref e-5 29))) (let ((e-30 (vector-ref e-5 30))) (let ((e-31 (vector-ref e-5 31))) (vector e-0 e-1 e-2 e-3 (CoreC-45Options-setFromDouble arg-1 e-4) e-32 e-6 e-7 e-8 e-9 e-10 e-11 e-12 e-13 e-14 e-15 e-16 e-17 e-18 e-19 e-20 e-21 e-22 e-23 e-24 e-25 e-26 e-27 e-28 e-29 e-30 e-31)))))))))))))))))))))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-1)))))))))
(define CoreC-45Context-setFromChar (lambda (arg-0 arg-1) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (let ((e-0 (vector-ref e-5 0))) (let ((e-1 (vector-ref e-5 1))) (let ((e-2 (vector-ref e-5 2))) (let ((e-3 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-32 (vector-ref e-5 5))) (let ((e-6 (vector-ref e-5 6))) (let ((e-7 (vector-ref e-5 7))) (let ((e-8 (vector-ref e-5 8))) (let ((e-9 (vector-ref e-5 9))) (let ((e-10 (vector-ref e-5 10))) (let ((e-11 (vector-ref e-5 11))) (let ((e-12 (vector-ref e-5 12))) (let ((e-13 (vector-ref e-5 13))) (let ((e-14 (vector-ref e-5 14))) (let ((e-15 (vector-ref e-5 15))) (let ((e-16 (vector-ref e-5 16))) (let ((e-17 (vector-ref e-5 17))) (let ((e-18 (vector-ref e-5 18))) (let ((e-19 (vector-ref e-5 19))) (let ((e-20 (vector-ref e-5 20))) (let ((e-21 (vector-ref e-5 21))) (let ((e-22 (vector-ref e-5 22))) (let ((e-23 (vector-ref e-5 23))) (let ((e-24 (vector-ref e-5 24))) (let ((e-25 (vector-ref e-5 25))) (let ((e-26 (vector-ref e-5 26))) (let ((e-27 (vector-ref e-5 27))) (let ((e-28 (vector-ref e-5 28))) (let ((e-29 (vector-ref e-5 29))) (let ((e-30 (vector-ref e-5 30))) (let ((e-31 (vector-ref e-5 31))) (vector e-0 e-1 e-2 e-3 (CoreC-45Options-setFromChar arg-1 e-4) e-32 e-6 e-7 e-8 e-9 e-10 e-11 e-12 e-13 e-14 e-15 e-16 e-17 e-18 e-19 e-20 e-21 e-22 e-23 e-24 e-25 e-26 e-27 e-28 e-29 e-30 e-31)))))))))))))))))))))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-1)))))))))
(define CoreC-45Context-setFlag (lambda (arg-0 arg-1 arg-2 arg-3) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-lookupCtxtExact arg-2 (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-6) (CoreC-45Context-undefinedName arg-0 arg-1 arg-2) (let ((e-1 (unbox e-6))) (let ((u--flagsC-39 (cons arg-3 (PreludeC-45TypesC-45List-filterAppend '() (lambda (arg-4) (CoreC-45ContextC-45Context-u--C-47C-61_Eq_DefFlag arg-4 arg-3)) (let ((e-11 (vector-ref e-1 11))) e-11))))) (let ((eff-2 (CoreC-45Context-addDef arg-0 arg-2 (let ((e-0 (vector-ref e-1 0))) (let ((e-24 (vector-ref e-1 1))) (let ((e-2 (vector-ref e-1 2))) (let ((e-3 (vector-ref e-1 3))) (let ((e-4 (vector-ref e-1 4))) (let ((e-23 (vector-ref e-1 5))) (let ((e-22 (vector-ref e-1 6))) (let ((e-7 (vector-ref e-1 7))) (let ((e-8 (vector-ref e-1 8))) (let ((e-9 (vector-ref e-1 9))) (let ((e-10 (vector-ref e-1 10))) (let ((e-12 (vector-ref e-1 12))) (let ((e-13 (vector-ref e-1 13))) (let ((e-14 (vector-ref e-1 14))) (let ((e-15 (vector-ref e-1 15))) (let ((e-16 (vector-ref e-1 16))) (let ((e-17 (vector-ref e-1 17))) (let ((e-18 (vector-ref e-1 18))) (let ((e-19 (vector-ref e-1 19))) (let ((e-20 (vector-ref e-1 20))) (let ((e-21 (vector-ref e-1 21))) (vector e-0 e-24 e-2 e-3 e-4 e-23 e-22 e-7 e-8 e-9 e-10 u--flagsC-39 e-12 e-13 e-14 e-15 e-16 e-17 e-18 e-19 e-20 e-21))))))))))))))))))))))))) (((csegen-50) ((let ((eff-3 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-7 (vector-ref eta-3 1))) (vector 1 (eta-2 e-7))))))))))) (lambda (arg-4) (lambda (arg-5) ((((eff-3 'erased) 'erased) arg-4) arg-5)))) (lambda (_-8679) (vector 0 )))) eff-2))))))) eff-2))))))))) eff-1)))))))))
(define CoreC-45Context-setExternal (lambda (arg-0 arg-1 arg-2 arg-3) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-lookupCtxtExact arg-2 (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-6) (CoreC-45Context-undefinedName arg-0 arg-1 arg-2) (let ((e-1 (unbox e-6))) (let ((_-0 (box e-1))) (CoreC-45Context-case--caseC-32blockC-32inC-32setExternal-21735 arg-3 arg-2 arg-1 arg-0 e-5 e-1 _-0 (let ((e-17 (vector-ref e-1 17))) e-17))))))) eff-2))))))))) eff-1)))))))))
(define CoreC-45Context-setExtension (lambda (arg-0 arg-1) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (let ((e-0 (vector-ref e-5 0))) (let ((e-1 (vector-ref e-5 1))) (let ((e-2 (vector-ref e-5 2))) (let ((e-3 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-32 (vector-ref e-5 5))) (let ((e-6 (vector-ref e-5 6))) (let ((e-7 (vector-ref e-5 7))) (let ((e-8 (vector-ref e-5 8))) (let ((e-9 (vector-ref e-5 9))) (let ((e-10 (vector-ref e-5 10))) (let ((e-11 (vector-ref e-5 11))) (let ((e-12 (vector-ref e-5 12))) (let ((e-13 (vector-ref e-5 13))) (let ((e-14 (vector-ref e-5 14))) (let ((e-15 (vector-ref e-5 15))) (let ((e-16 (vector-ref e-5 16))) (let ((e-17 (vector-ref e-5 17))) (let ((e-18 (vector-ref e-5 18))) (let ((e-19 (vector-ref e-5 19))) (let ((e-20 (vector-ref e-5 20))) (let ((e-21 (vector-ref e-5 21))) (let ((e-22 (vector-ref e-5 22))) (let ((e-23 (vector-ref e-5 23))) (let ((e-24 (vector-ref e-5 24))) (let ((e-25 (vector-ref e-5 25))) (let ((e-26 (vector-ref e-5 26))) (let ((e-27 (vector-ref e-5 27))) (let ((e-28 (vector-ref e-5 28))) (let ((e-29 (vector-ref e-5 29))) (let ((e-30 (vector-ref e-5 30))) (let ((e-31 (vector-ref e-5 31))) (vector e-0 e-1 e-2 e-3 (CoreC-45Options-setExtension arg-1 e-4) e-32 e-6 e-7 e-8 e-9 e-10 e-11 e-12 e-13 e-14 e-15 e-16 e-17 e-18 e-19 e-20 e-21 e-22 e-23 e-24 e-25 e-26 e-27 e-28 e-29 e-30 e-31)))))))))))))))))))))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-1)))))))))
(define CoreC-45Context-setDetermining (lambda (arg-0 arg-1 arg-2 arg-3) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-lookupCtxtExact arg-2 (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-6) (CoreC-45Context-undefinedName arg-0 arg-1 arg-2) (let ((e-1 (unbox e-6))) (let ((e-17 (vector-ref e-1 17))) (case (vector-ref e-17 0) ((6) (let ((e-32 (vector-ref e-17 1))) (let ((e-31 (vector-ref e-17 2))) (let ((e-30 (vector-ref e-17 3))) (let ((e-28 (vector-ref e-17 5))) (let ((e-27 (vector-ref e-17 6))) (let ((e-26 (vector-ref e-17 7))) (let ((e-25 (vector-ref e-17 8))) (let ((eff-2 (CoreC-45Context-n--25618-21126-u--getPos arg-3 arg-2 arg-1 arg-0 0 arg-3 (let ((e-52 (vector-ref e-1 2))) e-52)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-33 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-33)))) (else (let ((e-33 (vector-ref lcase-2 1))) (let ((eff-3 (CoreC-45Context-updateDef arg-0 arg-2 (lambda (eta-0) (box (vector 6 e-32 e-31 e-30 e-33 e-28 e-27 e-26 e-25)))))) eff-3)))))))))))))))(else (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 arg-1 (string-append (CoreC-45Name-u--show_Show_Name (let ((e-45 (vector-ref e-1 1))) e-45)) " is not a type constructor [setDetermining]")) eta-0))))))))) eff-2))))))))) eff-1)))))))))
(define CoreC-45Context-setDetags (lambda (arg-0 arg-1 arg-2 arg-3) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-lookupCtxtExact arg-2 (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-6) (CoreC-45Context-undefinedName arg-0 arg-1 arg-2) (let ((e-1 (unbox e-6))) (let ((e-17 (vector-ref e-1 17))) (case (vector-ref e-17 0) ((6) (let ((e-32 (vector-ref e-17 1))) (let ((e-31 (vector-ref e-17 2))) (let ((e-30 (vector-ref e-17 3))) (let ((e-29 (vector-ref e-17 4))) (let ((e-28 (vector-ref e-17 5))) (let ((e-27 (vector-ref e-17 6))) (let ((e-26 (vector-ref e-17 7))) (CoreC-45Context-updateDef arg-0 arg-2 (lambda (eta-0) (box (vector 6 e-32 e-31 e-30 e-29 e-28 e-27 e-26 arg-3))))))))))))(else (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 arg-1 (string-append (CoreC-45Name-u--show_Show_Name (let ((e-45 (vector-ref e-1 1))) e-45)) " is not a type constructor [setDetermining]")) eta-0))))))))) eff-2))))))))) eff-1)))))))))
(define CoreC-45Context-setDefaultTotalityOption (lambda (arg-0 arg-1) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (let ((e-0 (vector-ref e-5 0))) (let ((e-1 (vector-ref e-5 1))) (let ((e-2 (vector-ref e-5 2))) (let ((e-3 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-32 (vector-ref e-5 5))) (let ((e-6 (vector-ref e-5 6))) (let ((e-7 (vector-ref e-5 7))) (let ((e-8 (vector-ref e-5 8))) (let ((e-9 (vector-ref e-5 9))) (let ((e-10 (vector-ref e-5 10))) (let ((e-11 (vector-ref e-5 11))) (let ((e-12 (vector-ref e-5 12))) (let ((e-13 (vector-ref e-5 13))) (let ((e-14 (vector-ref e-5 14))) (let ((e-15 (vector-ref e-5 15))) (let ((e-16 (vector-ref e-5 16))) (let ((e-17 (vector-ref e-5 17))) (let ((e-18 (vector-ref e-5 18))) (let ((e-19 (vector-ref e-5 19))) (let ((e-20 (vector-ref e-5 20))) (let ((e-21 (vector-ref e-5 21))) (let ((e-22 (vector-ref e-5 22))) (let ((e-23 (vector-ref e-5 23))) (let ((e-24 (vector-ref e-5 24))) (let ((e-25 (vector-ref e-5 25))) (let ((e-26 (vector-ref e-5 26))) (let ((e-27 (vector-ref e-5 27))) (let ((e-28 (vector-ref e-5 28))) (let ((e-29 (vector-ref e-5 29))) (let ((e-30 (vector-ref e-5 30))) (let ((e-31 (vector-ref e-5 31))) (let ((e-42 (vector-ref e-4 0))) (let ((e-33 (vector-ref e-4 1))) (let ((e-34 (vector-ref e-4 2))) (let ((e-35 (vector-ref e-4 3))) (let ((e-36 (vector-ref e-4 4))) (let ((e-37 (vector-ref e-4 5))) (let ((e-38 (vector-ref e-4 6))) (let ((e-39 (vector-ref e-4 7))) (let ((e-40 (vector-ref e-4 8))) (let ((e-41 (vector-ref e-4 9))) (let ((e-49 (vector-ref e-35 0))) (let ((e-43 (vector-ref e-35 1))) (let ((e-45 (vector-ref e-35 3))) (let ((e-46 (vector-ref e-35 4))) (let ((e-47 (vector-ref e-35 5))) (let ((e-48 (vector-ref e-35 6))) (vector e-0 e-1 e-2 e-3 (vector e-42 e-33 e-34 (vector e-49 e-43 arg-1 e-45 e-46 e-47 e-48) e-36 e-37 e-38 e-39 e-40 e-41) e-32 e-6 e-7 e-8 e-9 e-10 e-11 e-12 e-13 e-14 e-15 e-16 e-17 e-18 e-19 e-20 e-21 e-22 e-23 e-24 e-25 e-26 e-27 e-28 e-29 e-30 e-31)))))))))))))))))))))))))))))))))))))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-1)))))))))
(define CoreC-45Context-setDebugElabCheck (lambda (arg-0 arg-1) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (let ((e-0 (vector-ref e-5 0))) (let ((e-1 (vector-ref e-5 1))) (let ((e-2 (vector-ref e-5 2))) (let ((e-3 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-32 (vector-ref e-5 5))) (let ((e-6 (vector-ref e-5 6))) (let ((e-7 (vector-ref e-5 7))) (let ((e-8 (vector-ref e-5 8))) (let ((e-9 (vector-ref e-5 9))) (let ((e-10 (vector-ref e-5 10))) (let ((e-11 (vector-ref e-5 11))) (let ((e-12 (vector-ref e-5 12))) (let ((e-13 (vector-ref e-5 13))) (let ((e-14 (vector-ref e-5 14))) (let ((e-15 (vector-ref e-5 15))) (let ((e-16 (vector-ref e-5 16))) (let ((e-17 (vector-ref e-5 17))) (let ((e-18 (vector-ref e-5 18))) (let ((e-19 (vector-ref e-5 19))) (let ((e-20 (vector-ref e-5 20))) (let ((e-21 (vector-ref e-5 21))) (let ((e-22 (vector-ref e-5 22))) (let ((e-23 (vector-ref e-5 23))) (let ((e-24 (vector-ref e-5 24))) (let ((e-25 (vector-ref e-5 25))) (let ((e-26 (vector-ref e-5 26))) (let ((e-27 (vector-ref e-5 27))) (let ((e-28 (vector-ref e-5 28))) (let ((e-29 (vector-ref e-5 29))) (let ((e-30 (vector-ref e-5 30))) (let ((e-31 (vector-ref e-5 31))) (let ((e-42 (vector-ref e-4 0))) (let ((e-33 (vector-ref e-4 1))) (let ((e-34 (vector-ref e-4 2))) (let ((e-35 (vector-ref e-4 3))) (let ((e-36 (vector-ref e-4 4))) (let ((e-37 (vector-ref e-4 5))) (let ((e-38 (vector-ref e-4 6))) (let ((e-39 (vector-ref e-4 7))) (let ((e-40 (vector-ref e-4 8))) (let ((e-41 (vector-ref e-4 9))) (let ((e-66 (vector-ref e-34 0))) (let ((e-43 (vector-ref e-34 1))) (let ((e-44 (vector-ref e-34 2))) (let ((e-45 (vector-ref e-34 3))) (let ((e-46 (vector-ref e-34 4))) (let ((e-47 (vector-ref e-34 5))) (let ((e-48 (vector-ref e-34 6))) (let ((e-49 (vector-ref e-34 7))) (let ((e-50 (vector-ref e-34 8))) (let ((e-51 (vector-ref e-34 9))) (let ((e-52 (vector-ref e-34 10))) (let ((e-54 (vector-ref e-34 12))) (let ((e-55 (vector-ref e-34 13))) (let ((e-56 (vector-ref e-34 14))) (let ((e-57 (vector-ref e-34 15))) (let ((e-58 (vector-ref e-34 16))) (let ((e-59 (vector-ref e-34 17))) (let ((e-60 (vector-ref e-34 18))) (let ((e-61 (vector-ref e-34 19))) (let ((e-62 (vector-ref e-34 20))) (let ((e-63 (vector-ref e-34 21))) (let ((e-64 (vector-ref e-34 22))) (let ((e-65 (vector-ref e-34 23))) (vector e-0 e-1 e-2 e-3 (vector e-42 e-33 (vector e-66 e-43 e-44 e-45 e-46 e-47 e-48 e-49 e-50 e-51 e-52 arg-1 e-54 e-55 e-56 e-57 e-58 e-59 e-60 e-61 e-62 e-63 e-64 e-65) e-35 e-36 e-37 e-38 e-39 e-40 e-41) e-32 e-6 e-7 e-8 e-9 e-10 e-11 e-12 e-13 e-14 e-15 e-16 e-17 e-18 e-19 e-20 e-21 e-22 e-23 e-24 e-25 e-26 e-27 e-28 e-29 e-30 e-31))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-1)))))))))
(define CoreC-45Context-setCtxt (lambda (arg-0 arg-1) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (let ((e-1 (vector-ref e-5 1))) (let ((e-2 (vector-ref e-5 2))) (let ((e-3 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-32 (vector-ref e-5 5))) (let ((e-6 (vector-ref e-5 6))) (let ((e-7 (vector-ref e-5 7))) (let ((e-8 (vector-ref e-5 8))) (let ((e-9 (vector-ref e-5 9))) (let ((e-10 (vector-ref e-5 10))) (let ((e-11 (vector-ref e-5 11))) (let ((e-12 (vector-ref e-5 12))) (let ((e-13 (vector-ref e-5 13))) (let ((e-14 (vector-ref e-5 14))) (let ((e-15 (vector-ref e-5 15))) (let ((e-16 (vector-ref e-5 16))) (let ((e-17 (vector-ref e-5 17))) (let ((e-18 (vector-ref e-5 18))) (let ((e-19 (vector-ref e-5 19))) (let ((e-20 (vector-ref e-5 20))) (let ((e-21 (vector-ref e-5 21))) (let ((e-22 (vector-ref e-5 22))) (let ((e-23 (vector-ref e-5 23))) (let ((e-24 (vector-ref e-5 24))) (let ((e-25 (vector-ref e-5 25))) (let ((e-26 (vector-ref e-5 26))) (let ((e-27 (vector-ref e-5 27))) (let ((e-28 (vector-ref e-5 28))) (let ((e-29 (vector-ref e-5 29))) (let ((e-30 (vector-ref e-5 30))) (let ((e-31 (vector-ref e-5 31))) (vector arg-1 e-1 e-2 e-3 e-4 e-32 e-6 e-7 e-8 e-9 e-10 e-11 e-12 e-13 e-14 e-15 e-16 e-17 e-18 e-19 e-20 e-21 e-22 e-23 e-24 e-25 e-26 e-27 e-28 e-29 e-30 e-31))))))))))))))))))))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-1)))))))))
(define CoreC-45Context-setCovering (lambda (arg-0 arg-1 arg-2 arg-3) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-lookupCtxtExact arg-2 (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-6) (CoreC-45Context-undefinedName arg-0 arg-1 arg-2) (let ((e-1 (unbox e-6))) (let ((eff-2 (CoreC-45Context-addDef arg-0 arg-2 (let ((e-0 (vector-ref e-1 0))) (let ((e-24 (vector-ref e-1 1))) (let ((e-2 (vector-ref e-1 2))) (let ((e-3 (vector-ref e-1 3))) (let ((e-4 (vector-ref e-1 4))) (let ((e-23 (vector-ref e-1 5))) (let ((e-22 (vector-ref e-1 6))) (let ((e-7 (vector-ref e-1 7))) (let ((e-8 (vector-ref e-1 8))) (let ((e-9 (vector-ref e-1 9))) (let ((e-10 (vector-ref e-1 10))) (let ((e-11 (vector-ref e-1 11))) (let ((e-12 (vector-ref e-1 12))) (let ((e-13 (vector-ref e-1 13))) (let ((e-14 (vector-ref e-1 14))) (let ((e-15 (vector-ref e-1 15))) (let ((e-16 (vector-ref e-1 16))) (let ((e-17 (vector-ref e-1 17))) (let ((e-18 (vector-ref e-1 18))) (let ((e-19 (vector-ref e-1 19))) (let ((e-20 (vector-ref e-1 20))) (let ((e-21 (vector-ref e-1 21))) (let ((e-26 (car e-10))) (vector e-0 e-24 e-2 e-3 e-4 e-23 e-22 e-7 e-8 e-9 (cons e-26 arg-3) e-11 e-12 e-13 e-14 e-15 e-16 e-17 e-18 e-19 e-20 e-21))))))))))))))))))))))))))) (((csegen-50) ((let ((eff-3 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-7 (vector-ref eta-3 1))) (vector 1 (eta-2 e-7))))))))))) (lambda (arg-4) (lambda (arg-5) ((((eff-3 'erased) 'erased) arg-4) arg-5)))) (lambda (_-8679) (vector 0 )))) eff-2)))))) eff-2))))))))) eff-1)))))))))
(define CoreC-45Context-setCompiled (lambda (arg-0 arg-1 arg-2) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-lookupCtxtExact arg-1 (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-6) (lambda (eta-0) (vector 1 (vector 0 ))) (let ((e-1 (unbox e-6))) (let ((eff-2 (CoreC-45Context-addDef arg-0 arg-1 (let ((e-0 (vector-ref e-1 0))) (let ((e-24 (vector-ref e-1 1))) (let ((e-2 (vector-ref e-1 2))) (let ((e-3 (vector-ref e-1 3))) (let ((e-4 (vector-ref e-1 4))) (let ((e-23 (vector-ref e-1 5))) (let ((e-22 (vector-ref e-1 6))) (let ((e-7 (vector-ref e-1 7))) (let ((e-8 (vector-ref e-1 8))) (let ((e-9 (vector-ref e-1 9))) (let ((e-10 (vector-ref e-1 10))) (let ((e-11 (vector-ref e-1 11))) (let ((e-12 (vector-ref e-1 12))) (let ((e-13 (vector-ref e-1 13))) (let ((e-14 (vector-ref e-1 14))) (let ((e-15 (vector-ref e-1 15))) (let ((e-16 (vector-ref e-1 16))) (let ((e-17 (vector-ref e-1 17))) (let ((e-19 (vector-ref e-1 19))) (let ((e-20 (vector-ref e-1 20))) (let ((e-21 (vector-ref e-1 21))) (vector e-0 e-24 e-2 e-3 e-4 e-23 e-22 e-7 e-8 e-9 e-10 e-11 e-12 e-13 e-14 e-15 e-16 e-17 (box arg-2) e-19 e-20 e-21))))))))))))))))))))))))) (((csegen-50) ((let ((eff-3 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-7 (vector-ref eta-3 1))) (vector 1 (eta-2 e-7))))))))))) (lambda (arg-3) (lambda (arg-4) ((((eff-3 'erased) 'erased) arg-3) arg-4)))) (lambda (_-8679) (vector 0 )))) eff-2)))))) eff-2))))))))) eff-1)))))))))
(define CoreC-45Context-setCG (lambda (arg-0 arg-1) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (let ((e-0 (vector-ref e-5 0))) (let ((e-1 (vector-ref e-5 1))) (let ((e-2 (vector-ref e-5 2))) (let ((e-3 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-32 (vector-ref e-5 5))) (let ((e-6 (vector-ref e-5 6))) (let ((e-7 (vector-ref e-5 7))) (let ((e-8 (vector-ref e-5 8))) (let ((e-9 (vector-ref e-5 9))) (let ((e-10 (vector-ref e-5 10))) (let ((e-11 (vector-ref e-5 11))) (let ((e-12 (vector-ref e-5 12))) (let ((e-13 (vector-ref e-5 13))) (let ((e-14 (vector-ref e-5 14))) (let ((e-15 (vector-ref e-5 15))) (let ((e-16 (vector-ref e-5 16))) (let ((e-17 (vector-ref e-5 17))) (let ((e-18 (vector-ref e-5 18))) (let ((e-19 (vector-ref e-5 19))) (let ((e-20 (vector-ref e-5 20))) (let ((e-21 (vector-ref e-5 21))) (let ((e-22 (vector-ref e-5 22))) (let ((e-23 (vector-ref e-5 23))) (let ((e-24 (vector-ref e-5 24))) (let ((e-25 (vector-ref e-5 25))) (let ((e-26 (vector-ref e-5 26))) (let ((e-27 (vector-ref e-5 27))) (let ((e-28 (vector-ref e-5 28))) (let ((e-29 (vector-ref e-5 29))) (let ((e-30 (vector-ref e-5 30))) (let ((e-31 (vector-ref e-5 31))) (let ((e-42 (vector-ref e-4 0))) (let ((e-33 (vector-ref e-4 1))) (let ((e-34 (vector-ref e-4 2))) (let ((e-35 (vector-ref e-4 3))) (let ((e-36 (vector-ref e-4 4))) (let ((e-37 (vector-ref e-4 5))) (let ((e-38 (vector-ref e-4 6))) (let ((e-39 (vector-ref e-4 7))) (let ((e-40 (vector-ref e-4 8))) (let ((e-41 (vector-ref e-4 9))) (let ((e-66 (vector-ref e-34 0))) (let ((e-43 (vector-ref e-34 1))) (let ((e-44 (vector-ref e-34 2))) (let ((e-45 (vector-ref e-34 3))) (let ((e-47 (vector-ref e-34 5))) (let ((e-48 (vector-ref e-34 6))) (let ((e-49 (vector-ref e-34 7))) (let ((e-50 (vector-ref e-34 8))) (let ((e-51 (vector-ref e-34 9))) (let ((e-52 (vector-ref e-34 10))) (let ((e-53 (vector-ref e-34 11))) (let ((e-54 (vector-ref e-34 12))) (let ((e-55 (vector-ref e-34 13))) (let ((e-56 (vector-ref e-34 14))) (let ((e-57 (vector-ref e-34 15))) (let ((e-58 (vector-ref e-34 16))) (let ((e-59 (vector-ref e-34 17))) (let ((e-60 (vector-ref e-34 18))) (let ((e-61 (vector-ref e-34 19))) (let ((e-62 (vector-ref e-34 20))) (let ((e-63 (vector-ref e-34 21))) (let ((e-64 (vector-ref e-34 22))) (let ((e-65 (vector-ref e-34 23))) (vector e-0 e-1 e-2 e-3 (vector e-42 e-33 (vector e-66 e-43 e-44 e-45 arg-1 e-47 e-48 e-49 e-50 e-51 e-52 e-53 e-54 e-55 e-56 e-57 e-58 e-59 e-60 e-61 e-62 e-63 e-64 e-65) e-35 e-36 e-37 e-38 e-39 e-40 e-41) e-32 e-6 e-7 e-8 e-9 e-10 e-11 e-12 e-13 e-14 e-15 e-16 e-17 e-18 e-19 e-20 e-21 e-22 e-23 e-24 e-25 e-26 e-27 e-28 e-29 e-30 e-31))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-1)))))))))
(define CoreC-45Context-setBuildDir (lambda (arg-0 arg-1) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (let ((e-0 (vector-ref e-5 0))) (let ((e-1 (vector-ref e-5 1))) (let ((e-2 (vector-ref e-5 2))) (let ((e-3 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-32 (vector-ref e-5 5))) (let ((e-6 (vector-ref e-5 6))) (let ((e-7 (vector-ref e-5 7))) (let ((e-8 (vector-ref e-5 8))) (let ((e-9 (vector-ref e-5 9))) (let ((e-10 (vector-ref e-5 10))) (let ((e-11 (vector-ref e-5 11))) (let ((e-12 (vector-ref e-5 12))) (let ((e-13 (vector-ref e-5 13))) (let ((e-14 (vector-ref e-5 14))) (let ((e-15 (vector-ref e-5 15))) (let ((e-16 (vector-ref e-5 16))) (let ((e-17 (vector-ref e-5 17))) (let ((e-18 (vector-ref e-5 18))) (let ((e-19 (vector-ref e-5 19))) (let ((e-20 (vector-ref e-5 20))) (let ((e-21 (vector-ref e-5 21))) (let ((e-22 (vector-ref e-5 22))) (let ((e-23 (vector-ref e-5 23))) (let ((e-24 (vector-ref e-5 24))) (let ((e-25 (vector-ref e-5 25))) (let ((e-26 (vector-ref e-5 26))) (let ((e-27 (vector-ref e-5 27))) (let ((e-28 (vector-ref e-5 28))) (let ((e-29 (vector-ref e-5 29))) (let ((e-30 (vector-ref e-5 30))) (let ((e-31 (vector-ref e-5 31))) (let ((e-42 (vector-ref e-4 0))) (let ((e-33 (vector-ref e-4 1))) (let ((e-34 (vector-ref e-4 2))) (let ((e-35 (vector-ref e-4 3))) (let ((e-36 (vector-ref e-4 4))) (let ((e-37 (vector-ref e-4 5))) (let ((e-38 (vector-ref e-4 6))) (let ((e-39 (vector-ref e-4 7))) (let ((e-40 (vector-ref e-4 8))) (let ((e-41 (vector-ref e-4 9))) (let ((e-53 (vector-ref e-42 0))) (let ((e-43 (vector-ref e-42 1))) (let ((e-45 (vector-ref e-42 3))) (let ((e-46 (vector-ref e-42 4))) (let ((e-47 (vector-ref e-42 5))) (let ((e-48 (vector-ref e-42 6))) (let ((e-49 (vector-ref e-42 7))) (let ((e-50 (vector-ref e-42 8))) (let ((e-51 (vector-ref e-42 9))) (let ((e-52 (vector-ref e-42 10))) (vector e-0 e-1 e-2 e-3 (vector (vector e-53 e-43 arg-1 e-45 e-46 e-47 e-48 e-49 e-50 e-51 e-52) e-33 e-34 e-35 e-36 e-37 e-38 e-39 e-40 e-41) e-32 e-6 e-7 e-8 e-9 e-10 e-11 e-12 e-13 e-14 e-15 e-16 e-17 e-18 e-19 e-20 e-21 e-22 e-23 e-24 e-25 e-26 e-27 e-28 e-29 e-30 e-31)))))))))))))))))))))))))))))))))))))))))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-1)))))))))
(define CoreC-45Context-setAutoImplicitLimit (lambda (arg-0 arg-1) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (let ((e-0 (vector-ref e-5 0))) (let ((e-1 (vector-ref e-5 1))) (let ((e-2 (vector-ref e-5 2))) (let ((e-3 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-32 (vector-ref e-5 5))) (let ((e-6 (vector-ref e-5 6))) (let ((e-7 (vector-ref e-5 7))) (let ((e-8 (vector-ref e-5 8))) (let ((e-9 (vector-ref e-5 9))) (let ((e-10 (vector-ref e-5 10))) (let ((e-11 (vector-ref e-5 11))) (let ((e-12 (vector-ref e-5 12))) (let ((e-13 (vector-ref e-5 13))) (let ((e-14 (vector-ref e-5 14))) (let ((e-15 (vector-ref e-5 15))) (let ((e-16 (vector-ref e-5 16))) (let ((e-17 (vector-ref e-5 17))) (let ((e-18 (vector-ref e-5 18))) (let ((e-19 (vector-ref e-5 19))) (let ((e-20 (vector-ref e-5 20))) (let ((e-21 (vector-ref e-5 21))) (let ((e-22 (vector-ref e-5 22))) (let ((e-23 (vector-ref e-5 23))) (let ((e-24 (vector-ref e-5 24))) (let ((e-25 (vector-ref e-5 25))) (let ((e-26 (vector-ref e-5 26))) (let ((e-27 (vector-ref e-5 27))) (let ((e-28 (vector-ref e-5 28))) (let ((e-29 (vector-ref e-5 29))) (let ((e-30 (vector-ref e-5 30))) (let ((e-31 (vector-ref e-5 31))) (let ((e-42 (vector-ref e-4 0))) (let ((e-33 (vector-ref e-4 1))) (let ((e-34 (vector-ref e-4 2))) (let ((e-35 (vector-ref e-4 3))) (let ((e-36 (vector-ref e-4 4))) (let ((e-37 (vector-ref e-4 5))) (let ((e-38 (vector-ref e-4 6))) (let ((e-39 (vector-ref e-4 7))) (let ((e-40 (vector-ref e-4 8))) (let ((e-41 (vector-ref e-4 9))) (let ((e-49 (vector-ref e-35 0))) (let ((e-43 (vector-ref e-35 1))) (let ((e-44 (vector-ref e-35 2))) (let ((e-45 (vector-ref e-35 3))) (let ((e-47 (vector-ref e-35 5))) (let ((e-48 (vector-ref e-35 6))) (vector e-0 e-1 e-2 e-3 (vector e-42 e-33 e-34 (vector e-49 e-43 e-44 e-45 arg-1 e-47 e-48) e-36 e-37 e-38 e-39 e-40 e-41) e-32 e-6 e-7 e-8 e-9 e-10 e-11 e-12 e-13 e-14 e-15 e-16 e-17 e-18 e-19 e-20 e-21 e-22 e-23 e-24 e-25 e-26 e-27 e-28 e-29 e-30 e-31)))))))))))))))))))))))))))))))))))))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-1)))))))))
(define CoreC-45Context-setAmbigLimit (lambda (arg-0 arg-1) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (let ((e-0 (vector-ref e-5 0))) (let ((e-1 (vector-ref e-5 1))) (let ((e-2 (vector-ref e-5 2))) (let ((e-3 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-32 (vector-ref e-5 5))) (let ((e-6 (vector-ref e-5 6))) (let ((e-7 (vector-ref e-5 7))) (let ((e-8 (vector-ref e-5 8))) (let ((e-9 (vector-ref e-5 9))) (let ((e-10 (vector-ref e-5 10))) (let ((e-11 (vector-ref e-5 11))) (let ((e-12 (vector-ref e-5 12))) (let ((e-13 (vector-ref e-5 13))) (let ((e-14 (vector-ref e-5 14))) (let ((e-15 (vector-ref e-5 15))) (let ((e-16 (vector-ref e-5 16))) (let ((e-17 (vector-ref e-5 17))) (let ((e-18 (vector-ref e-5 18))) (let ((e-19 (vector-ref e-5 19))) (let ((e-20 (vector-ref e-5 20))) (let ((e-21 (vector-ref e-5 21))) (let ((e-22 (vector-ref e-5 22))) (let ((e-23 (vector-ref e-5 23))) (let ((e-24 (vector-ref e-5 24))) (let ((e-25 (vector-ref e-5 25))) (let ((e-26 (vector-ref e-5 26))) (let ((e-27 (vector-ref e-5 27))) (let ((e-28 (vector-ref e-5 28))) (let ((e-29 (vector-ref e-5 29))) (let ((e-30 (vector-ref e-5 30))) (let ((e-31 (vector-ref e-5 31))) (let ((e-42 (vector-ref e-4 0))) (let ((e-33 (vector-ref e-4 1))) (let ((e-34 (vector-ref e-4 2))) (let ((e-35 (vector-ref e-4 3))) (let ((e-36 (vector-ref e-4 4))) (let ((e-37 (vector-ref e-4 5))) (let ((e-38 (vector-ref e-4 6))) (let ((e-39 (vector-ref e-4 7))) (let ((e-40 (vector-ref e-4 8))) (let ((e-41 (vector-ref e-4 9))) (let ((e-49 (vector-ref e-35 0))) (let ((e-43 (vector-ref e-35 1))) (let ((e-44 (vector-ref e-35 2))) (let ((e-46 (vector-ref e-35 4))) (let ((e-47 (vector-ref e-35 5))) (let ((e-48 (vector-ref e-35 6))) (vector e-0 e-1 e-2 e-3 (vector e-42 e-33 e-34 (vector e-49 e-43 e-44 arg-1 e-46 e-47 e-48) e-36 e-37 e-38 e-39 e-40 e-41) e-32 e-6 e-7 e-8 e-9 e-10 e-11 e-12 e-13 e-14 e-15 e-16 e-17 e-18 e-19 e-20 e-21 e-22 e-23 e-24 e-25 e-26 e-27 e-28 e-29 e-30 e-31)))))))))))))))))))))))))))))))))))))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-1)))))))))
(define CoreC-45Context-setAllPublic (lambda (arg-0 arg-1) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (let ((e-0 (vector-ref e-5 0))) (let ((e-1 (vector-ref e-5 1))) (let ((e-2 (vector-ref e-5 2))) (let ((e-3 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-32 (vector-ref e-5 5))) (let ((e-6 (vector-ref e-5 6))) (let ((e-7 (vector-ref e-5 7))) (let ((e-8 (vector-ref e-5 8))) (let ((e-9 (vector-ref e-5 9))) (let ((e-10 (vector-ref e-5 10))) (let ((e-11 (vector-ref e-5 11))) (let ((e-12 (vector-ref e-5 12))) (let ((e-13 (vector-ref e-5 13))) (let ((e-14 (vector-ref e-5 14))) (let ((e-15 (vector-ref e-5 15))) (let ((e-16 (vector-ref e-5 16))) (let ((e-17 (vector-ref e-5 17))) (let ((e-18 (vector-ref e-5 18))) (let ((e-19 (vector-ref e-5 19))) (let ((e-20 (vector-ref e-5 20))) (let ((e-21 (vector-ref e-5 21))) (let ((e-22 (vector-ref e-5 22))) (let ((e-23 (vector-ref e-5 23))) (let ((e-24 (vector-ref e-5 24))) (let ((e-25 (vector-ref e-5 25))) (let ((e-26 (vector-ref e-5 26))) (let ((e-27 (vector-ref e-5 27))) (let ((e-28 (vector-ref e-5 28))) (let ((e-29 (vector-ref e-5 29))) (let ((e-30 (vector-ref e-5 30))) (let ((e-31 (vector-ref e-5 31))) (let ((e-44 (vector-ref e-0 0))) (let ((e-33 (vector-ref e-0 1))) (let ((e-34 (vector-ref e-0 2))) (let ((e-35 (vector-ref e-0 3))) (let ((e-36 (vector-ref e-0 4))) (let ((e-37 (vector-ref e-0 5))) (let ((e-38 (vector-ref e-0 6))) (let ((e-39 (vector-ref e-0 7))) (let ((e-41 (vector-ref e-0 9))) (let ((e-42 (vector-ref e-0 10))) (let ((e-43 (vector-ref e-0 11))) (vector (vector e-44 e-33 e-34 e-35 e-36 e-37 e-38 e-39 arg-1 e-41 e-42 e-43) e-1 e-2 e-3 e-4 e-32 e-6 e-7 e-8 e-9 e-10 e-11 e-12 e-13 e-14 e-15 e-16 e-17 e-18 e-19 e-20 e-21 e-22 e-23 e-24 e-25 e-26 e-27 e-28 e-29 e-30 e-31))))))))))))))))))))))))))))))))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-1)))))))))
(define CoreC-45Context-returnDef (lambda (arg-0 arg-1 arg-2) (cond ((equal? arg-0 0) (box (cons arg-1 arg-2))) (else (CoreC-45Context-case--returnDef-5563 arg-2 arg-1 (let ((e-17 (vector-ref arg-2 17))) e-17))))))
(define CoreC-45Context-resolveName (lambda (arg-0 arg-1) (case (vector-ref arg-1 0) ((8) (let ((e-0 (vector-ref arg-1 1))) (lambda (eta-0) (vector 1 e-0))))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-getPosition arg-1 (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((e-2 (car e-6))) (let ((e-3 (cdr e-6))) (let ((eff-2 (CoreC-45Context-setCtxt arg-0 e-3))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-3 (lambda (eta-0) (vector 1 e-2)))) eff-3)))))))))) eff-2))))))))) eff-1)))))))))))
(define CoreC-45Context-resetFirstEntry (lambda (arg-0) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (let ((e-0 (vector-ref e-5 0))) (let ((e-1 (vector-ref e-5 1))) (let ((e-2 (vector-ref e-5 2))) (let ((e-3 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-32 (vector-ref e-5 5))) (let ((e-6 (vector-ref e-5 6))) (let ((e-7 (vector-ref e-5 7))) (let ((e-8 (vector-ref e-5 8))) (let ((e-9 (vector-ref e-5 9))) (let ((e-10 (vector-ref e-5 10))) (let ((e-11 (vector-ref e-5 11))) (let ((e-12 (vector-ref e-5 12))) (let ((e-13 (vector-ref e-5 13))) (let ((e-14 (vector-ref e-5 14))) (let ((e-15 (vector-ref e-5 15))) (let ((e-16 (vector-ref e-5 16))) (let ((e-17 (vector-ref e-5 17))) (let ((e-18 (vector-ref e-5 18))) (let ((e-19 (vector-ref e-5 19))) (let ((e-20 (vector-ref e-5 20))) (let ((e-21 (vector-ref e-5 21))) (let ((e-22 (vector-ref e-5 22))) (let ((e-23 (vector-ref e-5 23))) (let ((e-24 (vector-ref e-5 24))) (let ((e-25 (vector-ref e-5 25))) (let ((e-26 (vector-ref e-5 26))) (let ((e-27 (vector-ref e-5 27))) (let ((e-28 (vector-ref e-5 28))) (let ((e-29 (vector-ref e-5 29))) (let ((e-30 (vector-ref e-5 30))) (let ((e-31 (vector-ref e-5 31))) (let ((e-33 (vector-ref e-0 1))) (let ((e-34 (vector-ref e-0 2))) (let ((e-35 (vector-ref e-0 3))) (let ((e-36 (vector-ref e-0 4))) (let ((e-37 (vector-ref e-0 5))) (let ((e-38 (vector-ref e-0 6))) (let ((e-39 (vector-ref e-0 7))) (let ((e-40 (vector-ref e-0 8))) (let ((e-41 (vector-ref e-0 9))) (let ((e-42 (vector-ref e-0 10))) (let ((e-43 (vector-ref e-0 11))) (vector (vector (let ((e-76 (vector-ref e-5 0))) (let ((e-87 (vector-ref e-76 1))) e-87)) e-33 e-34 e-35 e-36 e-37 e-38 e-39 e-40 e-41 e-42 e-43) e-1 e-2 e-3 e-4 e-32 e-6 e-7 e-8 e-9 e-10 e-11 e-12 e-13 e-14 e-15 e-16 e-17 e-18 e-19 e-20 e-21 e-22 e-23 e-24 e-25 e-26 e-27 e-28 e-29 e-30 e-31))))))))))))))))))))))))))))))))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-1)))))))))
(define CoreC-45Context-reducibleInAny (lambda (arg-0 arg-1 arg-2) (PreludeC-45Interfaces-any (csegen-16) (lambda (u--ns) (CoreC-45Context-reducibleIn u--ns arg-1 arg-2)) arg-0)))
(define CoreC-45Context-reducibleIn (lambda (arg-0 arg-1 arg-2) (case (vector-ref arg-1 0) ((0) (let ((e-0 (vector-ref arg-1 1))) (let ((e-1 (vector-ref arg-1 2))) (case (vector-ref e-1 0) ((1) (cond ((equal? arg-2 1) (CoreC-45NameC-45Namespace-isParentOf e-0 arg-0)) ((equal? arg-2 0) (CoreC-45NameC-45Namespace-isParentOf e-0 arg-0))(else 1)))(else 1)))))(else 1))))
(define CoreC-45Context-recordWarning (lambda (arg-0 arg-1) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (let ((e-0 (vector-ref e-5 0))) (let ((e-1 (vector-ref e-5 1))) (let ((e-2 (vector-ref e-5 2))) (let ((e-3 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-32 (vector-ref e-5 5))) (let ((e-6 (vector-ref e-5 6))) (let ((e-7 (vector-ref e-5 7))) (let ((e-8 (vector-ref e-5 8))) (let ((e-9 (vector-ref e-5 9))) (let ((e-10 (vector-ref e-5 10))) (let ((e-11 (vector-ref e-5 11))) (let ((e-12 (vector-ref e-5 12))) (let ((e-13 (vector-ref e-5 13))) (let ((e-14 (vector-ref e-5 14))) (let ((e-15 (vector-ref e-5 15))) (let ((e-16 (vector-ref e-5 16))) (let ((e-17 (vector-ref e-5 17))) (let ((e-18 (vector-ref e-5 18))) (let ((e-19 (vector-ref e-5 19))) (let ((e-20 (vector-ref e-5 20))) (let ((e-21 (vector-ref e-5 21))) (let ((e-22 (vector-ref e-5 22))) (let ((e-23 (vector-ref e-5 23))) (let ((e-24 (vector-ref e-5 24))) (let ((e-25 (vector-ref e-5 25))) (let ((e-26 (vector-ref e-5 26))) (let ((e-27 (vector-ref e-5 27))) (let ((e-28 (vector-ref e-5 28))) (let ((e-29 (vector-ref e-5 29))) (let ((e-30 (vector-ref e-5 30))) (let ((e-31 (vector-ref e-5 31))) (vector e-0 e-1 e-2 e-3 e-4 e-32 e-6 e-7 e-8 e-9 e-10 e-11 e-12 e-13 e-14 e-15 e-16 e-17 e-18 e-19 e-20 e-21 e-22 e-23 e-24 e-25 e-26 e-27 e-28 (cons arg-1 e-29) e-30 e-31)))))))))))))))))))))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-1)))))))))
(define CoreC-45Context-prettyName (lambda (arg-0 arg-1) (case (vector-ref arg-1 0) ((5) (let ((e-0 (vector-ref arg-1 1))) (let ((e-1 (vector-ref arg-1 2))) (if (null? e-0) (lambda (eta-0) (vector 1 (CoreC-45Name-u--show_Show_Name arg-1))) (let ((e-10 (car e-0))) (let ((eff-0 (CoreC-45Context-toFullNames arg-0 (csegen-81) (vector 8 e-10)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-prettyName arg-0 e-5))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-prettyName arg-0 e-1))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (string-append e-6 (string-append "," e-7)))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))) ((6) (let ((e-2 (vector-ref arg-1 1))) (lambda (eta-0) (vector 1 (string-append "case block in " e-2))))) ((7) (let ((e-4 (vector-ref arg-1 1))) (lambda (eta-0) (vector 1 (string-append "with block in " e-4))))) ((0) (let ((e-7 (vector-ref arg-1 2))) (CoreC-45Context-prettyName arg-0 e-7)))(else (lambda (eta-0) (vector 1 (CoreC-45Name-u--show_Show_Name arg-1)))))))
(define CoreC-45Context-noDeclaration (lambda (arg-1 arg-2 arg-3) (CoreC-45Context-maybeMisspelling arg-1 (vector 38 arg-2 arg-3) arg-3)))
(define CoreC-45Context-newEntry (lambda (arg-0 arg-1) (let ((u--idx (let ((e-1 (vector-ref arg-1 1))) e-1))) (let ((u--a (let ((e-4 (vector-ref arg-1 4))) e-4))) (let ((eff-0 (let ((eff-0 u--a)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((sc1 (PreludeC-45EqOrd-u--C-62C-61_Ord_Int u--idx (LibrariesC-45DataC-45IOArray-max e-5)))) (cond ((equal? sc1 1) (let ((eff-1 (PrimIO-io_bind (LibrariesC-45DataC-45IOArray-newArrayCopy (csegen-40) (bs+ (LibrariesC-45DataC-45IOArray-max e-5) (CoreC-45Context-Grow) 63) e-5) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 u--a)) (PrimIO-io_bind (let ((eff-3 eff-2)) (lambda (eta-0) (set-box! eff-3 e-6))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-2)))))))) (else (lambda (eta-0) (vector 1 (vector 0 )))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (lambda (eta-0) (vector 1 (cons u--idx (let ((e-0 (vector-ref arg-1 0))) (let ((e-2 (vector-ref arg-1 2))) (let ((e-3 (vector-ref arg-1 3))) (let ((e-4 (vector-ref arg-1 4))) (let ((e-13 (vector-ref arg-1 5))) (let ((e-12 (vector-ref arg-1 6))) (let ((e-7 (vector-ref arg-1 7))) (let ((e-8 (vector-ref arg-1 8))) (let ((e-9 (vector-ref arg-1 9))) (let ((e-10 (vector-ref arg-1 10))) (let ((e-11 (vector-ref arg-1 11))) (vector e-0 (bs+ u--idx 1 63) (LibrariesC-45DataC-45NameMap-insert arg-0 u--idx e-2) (CoreC-45Context-addPossible arg-0 u--idx e-3) e-4 e-13 e-12 e-7 e-8 e-9 e-10 e-11))))))))))))))))) eff-2)))))))) eff-1)))))))))))
(define CoreC-45Context-newDef (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (vector arg-0 arg-1 arg-4 '() '() '() '() arg-2 arg-3 arg-5 (CoreC-45TT-unchecked) '() '() '() 0 0 0 arg-6 '() '() '() '())))
(define CoreC-45Context-newAlias (lambda (arg-0 arg-1 arg-2) (let ((eff-0 (CoreC-45Context-getPosition arg-1 arg-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (clam-0) (let ((e-2 (car e-5))) (let ((e-3 (cdr e-5))) (vector 1 (let ((e-0 (vector-ref e-3 0))) (let ((e-1 (vector-ref e-3 1))) (let ((e-14 (vector-ref e-3 2))) (let ((e-13 (vector-ref e-3 3))) (let ((e-4 (vector-ref e-3 4))) (let ((e-12 (vector-ref e-3 5))) (let ((e-6 (vector-ref e-3 6))) (let ((e-7 (vector-ref e-3 7))) (let ((e-8 (vector-ref e-3 8))) (let ((e-9 (vector-ref e-3 9))) (let ((e-10 (vector-ref e-3 10))) (let ((e-11 (vector-ref e-3 11))) (vector e-0 e-1 e-14 (CoreC-45Context-addAlias arg-0 arg-1 e-2 e-13) e-4 e-12 e-6 e-7 e-8 e-9 e-10 e-11))))))))))))))))))) eff-1)))))))))
(define CoreC-45Context-maybeMisspelling (lambda (arg-1 arg-2 arg-3) (let ((eff-0 (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-0) (lambda (arg-4) ((((eff-1 'erased) 'erased) arg-0) arg-4)))) (lambda (eta-0) (let ((e-2 (vector-ref eta-0 2))) e-2)))) eff-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-getSimilarNames arg-1 arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-6) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error arg-2 eta-0)) (let ((e-1 (unbox e-6))) (let ((e-8 (car e-1))) (let ((e-7 (cdr e-1))) (let ((u--candidates (CoreC-45Context-showSimilarNames e-5 arg-3 e-8 e-7))) (lambda (clam-0) (if (null? u--candidates) (CoreC-45Core-u--throw_Catchable_Core_Error arg-2 clam-0) (let ((e-2 (car u--candidates))) (let ((e-3 (cdr u--candidates))) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 70 arg-2 (cons e-2 e-3)) clam-0)))))))))))) eff-2))))))))) eff-1)))))))))
(define CoreC-45Context-lookupTyName (lambda (ext-0 ext-1) (CoreC-45Context-lookupNameBy (csegen-1589) ext-0 ext-1)))
(define CoreC-45Context-lookupTyExact (lambda (ext-0 ext-1) (CoreC-45Context-lookupExactBy (csegen-1589) ext-0 ext-1)))
(define CoreC-45Context-lookupNameBy (lambda (arg-1 arg-2 arg-3) (let ((eff-0 (CoreC-45Context-lookupCtxtName arg-2 arg-3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (((csegen-25) (lambda (lamc-0) (let ((e-2 (car lamc-0))) (let ((e-3 (cdr lamc-0))) (let ((e-6 (car e-3))) (let ((e-7 (cdr e-3))) (cons e-2 (cons e-6 (arg-1 e-7))))))))) e-5))))) eff-1)))))))))
(define CoreC-45Context-lookupHiddenCtxtName (lambda (ext-0 ext-1) (CoreC-45Context-lookupCtxtNameC-39 1 ext-0 ext-1)))
(define CoreC-45Context-lookupExactBy (lambda (arg-1 arg-2 arg-3) (let ((eff-0 (CoreC-45Context-lookupCtxtExact arg-2 arg-3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (clam-0) (if (null? e-5) (vector 1 '()) (let ((e-1 (unbox e-5))) (vector 1 (box (arg-1 e-1)))))))) eff-1)))))))))
(define CoreC-45Context-lookupDefTyExact (lambda (ext-0 ext-1) (CoreC-45Context-lookupExactBy (csegen-1590) ext-0 ext-1)))
(define CoreC-45Context-lookupDefName (lambda (ext-0 ext-1) (CoreC-45Context-lookupNameBy (csegen-1591) ext-0 ext-1)))
(define CoreC-45Context-lookupDefExact (lambda (ext-0 ext-1) (CoreC-45Context-lookupExactBy (csegen-1591) ext-0 ext-1)))
(define CoreC-45Context-lookupCtxtNameC-39 (lambda (arg-0 arg-1 arg-2) (CoreC-45Context-case--lookupCtxtNameC-39-6471 arg-2 arg-1 arg-0 (CoreC-45Name-userNameRoot arg-1))))
(define CoreC-45Context-lookupCtxtName (lambda (ext-0 ext-1) (CoreC-45Context-lookupCtxtNameC-39 0 ext-0 ext-1)))
(define CoreC-45Context-lookupCtxtExactI (lambda (arg-0 arg-1) (case (vector-ref arg-0 0) ((8) (let ((e-0 (vector-ref arg-0 1))) (let ((sc1 (LibrariesC-45DataC-45IntMap-lookup e-0 (let ((e-6 (vector-ref arg-1 6))) e-6)))) (if (null? sc1) (let ((eff-0 (let ((eff-0 (let ((e-4 (vector-ref arg-1 4))) e-4))) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (PrimIO-io_bind (LibrariesC-45DataC-45IOArray-readArray (csegen-40) e-5 e-0) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-6) (lambda (eta-0) (vector 1 '())) (let ((e-1 (unbox e-6))) (let ((eff-2 (CoreC-45Context-decode arg-1 e-0 1 e-1))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (CoreC-45Context-returnDef (let ((e-9 (vector-ref arg-1 9))) e-9) e-0 e-7))))) eff-3))))))))))) eff-2))))))))) eff-1))))))) (let ((e-1 (unbox sc1))) (let ((eff-0 (CoreC-45Context-decode arg-1 e-0 1 e-1))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (CoreC-45Context-returnDef (let ((e-9 (vector-ref arg-1 9))) e-9) e-0 e-5))))) eff-1))))))))))))(else (let ((sc0 (LibrariesC-45DataC-45NameMap-lookup arg-0 (let ((e-2 (vector-ref arg-1 2))) e-2)))) (if (null? sc0) (lambda (eta-0) (vector 1 '())) (let ((e-1 (unbox sc0))) (CoreC-45Context-lookupCtxtExactI (vector 8 e-1) arg-1))))))))
(define CoreC-45Context-lookupCtxtExact (lambda (arg-0 arg-1) (case (vector-ref arg-0 0) ((8) (let ((e-0 (vector-ref arg-0 1))) (CoreC-45Context-case--lookupCtxtExact-5758 e-0 arg-1 (LibrariesC-45DataC-45IntMap-lookup e-0 (let ((e-6 (vector-ref arg-1 6))) e-6)))))(else (let ((eff-0 (CoreC-45Context-lookupCtxtExactI arg-0 arg-1))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (clam-0) (if (null? e-5) (vector 1 '()) (let ((e-1 (unbox e-5))) (let ((e-6 (cdr e-1))) (vector 1 (box e-6)))))))) eff-1)))))))))))
(define CoreC-45Context-lookupContextEntry (lambda (arg-0 arg-1) (case (vector-ref arg-0 0) ((8) (let ((e-0 (vector-ref arg-0 1))) (let ((sc1 (LibrariesC-45DataC-45IntMap-lookup e-0 (let ((e-6 (vector-ref arg-1 6))) e-6)))) (if (null? sc1) (let ((u--a (let ((e-4 (vector-ref arg-1 4))) e-4))) (let ((eff-0 (let ((eff-0 u--a)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (PrimIO-io_bind (LibrariesC-45DataC-45IOArray-readArray (csegen-40) e-5 e-0) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (clam-0) (if (null? e-6) (vector 1 '()) (let ((e-1 (unbox e-6))) (vector 1 (box (cons e-0 e-1)))))))) eff-2))))))))) eff-1)))))))) (let ((e-1 (unbox sc1))) (lambda (eta-0) (vector 1 (box (cons e-0 e-1)))))))))(else (let ((sc0 (LibrariesC-45DataC-45NameMap-lookup arg-0 (let ((e-2 (vector-ref arg-1 2))) e-2)))) (if (null? sc0) (lambda (eta-0) (vector 1 '())) (let ((e-1 (unbox sc0))) (CoreC-45Context-lookupContextEntry (vector 8 e-1) arg-1))))))))
(define CoreC-45Context-lazyActive (lambda (arg-0 arg-1) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (let ((e-0 (vector-ref e-5 0))) (let ((e-1 (vector-ref e-5 1))) (let ((e-2 (vector-ref e-5 2))) (let ((e-3 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-32 (vector-ref e-5 5))) (let ((e-6 (vector-ref e-5 6))) (let ((e-7 (vector-ref e-5 7))) (let ((e-8 (vector-ref e-5 8))) (let ((e-9 (vector-ref e-5 9))) (let ((e-10 (vector-ref e-5 10))) (let ((e-11 (vector-ref e-5 11))) (let ((e-12 (vector-ref e-5 12))) (let ((e-13 (vector-ref e-5 13))) (let ((e-14 (vector-ref e-5 14))) (let ((e-15 (vector-ref e-5 15))) (let ((e-16 (vector-ref e-5 16))) (let ((e-17 (vector-ref e-5 17))) (let ((e-18 (vector-ref e-5 18))) (let ((e-19 (vector-ref e-5 19))) (let ((e-20 (vector-ref e-5 20))) (let ((e-21 (vector-ref e-5 21))) (let ((e-22 (vector-ref e-5 22))) (let ((e-23 (vector-ref e-5 23))) (let ((e-24 (vector-ref e-5 24))) (let ((e-25 (vector-ref e-5 25))) (let ((e-26 (vector-ref e-5 26))) (let ((e-27 (vector-ref e-5 27))) (let ((e-28 (vector-ref e-5 28))) (let ((e-29 (vector-ref e-5 29))) (let ((e-30 (vector-ref e-5 30))) (let ((e-31 (vector-ref e-5 31))) (let ((e-42 (vector-ref e-4 0))) (let ((e-33 (vector-ref e-4 1))) (let ((e-34 (vector-ref e-4 2))) (let ((e-35 (vector-ref e-4 3))) (let ((e-36 (vector-ref e-4 4))) (let ((e-37 (vector-ref e-4 5))) (let ((e-38 (vector-ref e-4 6))) (let ((e-39 (vector-ref e-4 7))) (let ((e-40 (vector-ref e-4 8))) (let ((e-41 (vector-ref e-4 9))) (let ((e-43 (vector-ref e-35 1))) (let ((e-44 (vector-ref e-35 2))) (let ((e-45 (vector-ref e-35 3))) (let ((e-46 (vector-ref e-35 4))) (let ((e-47 (vector-ref e-35 5))) (let ((e-48 (vector-ref e-35 6))) (vector e-0 e-1 e-2 e-3 (vector e-42 e-33 e-34 (vector arg-1 e-43 e-44 e-45 e-46 e-47 e-48) e-36 e-37 e-38 e-39 e-40 e-41) e-32 e-6 e-7 e-8 e-9 e-10 e-11 e-12 e-13 e-14 e-15 e-16 e-17 e-18 e-19 e-20 e-21 e-22 e-23 e-24 e-25 e-26 e-27 e-28 e-29 e-30 e-31)))))))))))))))))))))))))))))))))))))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-1)))))))))
(define CoreC-45Context-isVisible (lambda (arg-0 arg-1) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (PreludeC-45Interfaces-any (csegen-16) (lambda (eta-1) (CoreC-45Context-n--28788-24014-u--visible arg-1 arg-0 eta-1)) (PreludeC-45TypesC-45List-tailRecAppend (CoreC-45NameC-45Namespace-allParents (let ((e-2 (vector-ref e-5 2))) e-2)) (PreludeC-45TypesC-45List-tailRecAppend (let ((e-3 (vector-ref e-5 3))) e-3) (let ((e-0 (vector-ref e-5 0))) (let ((e-37 (vector-ref e-0 7))) e-37))))))))) eff-1)))))))))
(define CoreC-45Context-isUnboundImplicits (lambda (arg-0) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (let ((e-4 (vector-ref e-5 4))) (let ((e-39 (vector-ref e-4 3))) (let ((e-48 (vector-ref e-39 1))) e-48))))))) eff-1)))))))))
(define CoreC-45Context-isPrimName (lambda (arg-0 arg-1) (let ((sc0 (CoreC-45Name-splitNS arg-1))) (let ((e-2 (car sc0))) (let ((e-3 (cdr sc0))) (CoreC-45Context-n--32237-27343-u--go arg-1 arg-0 e-2 e-3 arg-0))))))
(define CoreC-45Context-isPrefixRecordProjections (lambda (arg-0) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-1) (lambda (arg-2) ((((eff-1 'erased) 'erased) arg-1) arg-2)))) (lambda (eta-0) (let ((e-4 (vector-ref eta-0 4))) (let ((e-38 (vector-ref e-4 3))) (let ((e-42 (vector-ref e-38 6))) e-42)))))) eff-0))))
(define CoreC-45Context-isPairType (lambda (arg-0 arg-1) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((e-4 (vector-ref e-5 4))) (let ((e-38 (vector-ref e-4 4))) (if (null? e-38) (lambda (eta-0) (vector 1 0)) (let ((e-43 (unbox e-38))) (let ((eff-1 (CoreC-45Context-getFullName arg-0 arg-1))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-44 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-44)))) (else (let ((e-44 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-getFullName arg-0 (let ((e-47 (vector-ref e-43 0))) e-47)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-45 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-45)))) (else (let ((e-45 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (CoreC-45Name-u--C-61C-61_Eq_Name e-44 e-45))))) eff-3))))))))) eff-2))))))))))))) eff-1)))))))))
(define CoreC-45Context-isLazyActive (lambda (arg-0) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (let ((e-4 (vector-ref e-5 4))) (let ((e-39 (vector-ref e-4 3))) (let ((e-49 (vector-ref e-39 0))) e-49))))))) eff-1)))))))))
(define CoreC-45Context-isHidden (lambda (arg-0 arg-1) (DataC-45Maybe-isJust (LibrariesC-45DataC-45NameMap-lookup arg-0 (let ((e-10 (vector-ref arg-1 10))) e-10)))))
(define CoreC-45Context-isExtension (lambda (arg-0 arg-1) (CoreC-45Options-isExtension arg-0 (let ((e-4 (vector-ref arg-1 4))) e-4))))
(define CoreC-45Context-isEqualTy (lambda (arg-0 arg-1) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((e-4 (vector-ref e-5 4))) (let ((e-37 (vector-ref e-4 5))) (if (null? e-37) (lambda (eta-0) (vector 1 0)) (let ((e-43 (unbox e-37))) (let ((eff-1 (CoreC-45Context-getFullName arg-0 arg-1))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-44 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-44)))) (else (let ((e-44 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-getFullName arg-0 (let ((e-46 (car e-43))) e-46)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-45 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-45)))) (else (let ((e-45 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (CoreC-45Name-u--C-61C-61_Eq_Name e-44 e-45))))) eff-3))))))))) eff-2))))))))))))) eff-1)))))))))
(define CoreC-45Context-isAllPublic (lambda (arg-0) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (let ((e-0 (vector-ref e-5 0))) (let ((e-36 (vector-ref e-0 8))) e-36)))))) eff-1)))))))))
(define CoreC-45Context-initSize(blodwen-lazy (lambda () (blodwen-toSignedInt 10000 63))))
(define CoreC-45Context-initHash (lambda (arg-0) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (let ((e-0 (vector-ref e-5 0))) (let ((e-1 (vector-ref e-5 1))) (let ((e-2 (vector-ref e-5 2))) (let ((e-3 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-32 (vector-ref e-5 5))) (let ((e-6 (vector-ref e-5 6))) (let ((e-7 (vector-ref e-5 7))) (let ((e-8 (vector-ref e-5 8))) (let ((e-9 (vector-ref e-5 9))) (let ((e-10 (vector-ref e-5 10))) (let ((e-11 (vector-ref e-5 11))) (let ((e-12 (vector-ref e-5 12))) (let ((e-13 (vector-ref e-5 13))) (let ((e-14 (vector-ref e-5 14))) (let ((e-15 (vector-ref e-5 15))) (let ((e-17 (vector-ref e-5 17))) (let ((e-18 (vector-ref e-5 18))) (let ((e-19 (vector-ref e-5 19))) (let ((e-20 (vector-ref e-5 20))) (let ((e-21 (vector-ref e-5 21))) (let ((e-22 (vector-ref e-5 22))) (let ((e-23 (vector-ref e-5 23))) (let ((e-24 (vector-ref e-5 24))) (let ((e-25 (vector-ref e-5 25))) (let ((e-26 (vector-ref e-5 26))) (let ((e-27 (vector-ref e-5 27))) (let ((e-28 (vector-ref e-5 28))) (let ((e-29 (vector-ref e-5 29))) (let ((e-30 (vector-ref e-5 30))) (let ((e-31 (vector-ref e-5 31))) (vector e-0 e-1 e-2 e-3 e-4 e-32 e-6 e-7 e-8 e-9 e-10 e-11 e-12 e-13 e-14 e-15 (blodwen-toSignedInt 5381 63) e-17 e-18 e-19 e-20 e-21 e-22 e-23 e-24 e-25 e-26 e-27 e-28 e-29 e-30 e-31))))))))))))))))))))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-1)))))))))
(define CoreC-45Context-initDefs(blodwen-lazy (lambda () (let ((eff-0 (CoreC-45Context-initCtxt))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (lambda (eta-0) (CoreC-45Options-defaults eta-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector e-5 '() (CoreC-45NameC-45Namespace-mainNS) '() e-6 (LibrariesC-45DataC-45NameMap-empty) (blodwen-toSignedInt 100 63) (LibrariesC-45DataC-45NameMap-empty) (LibrariesC-45DataC-45NameMap-empty) (LibrariesC-45DataC-45NameMap-empty) (LibrariesC-45DataC-45NameMap-empty) '() '() (LibrariesC-45DataC-45NameMap-empty) '() (LibrariesC-45DataC-45NameMap-empty) (blodwen-toSignedInt 5381 63) '() '() '() '() '() '() '() (LibrariesC-45DataC-45NameMap-empty) (LibrariesC-45DataC-45NameMap-empty) (LibrariesC-45DataC-45NameMap-empty) (LibrariesC-45DataC-45StringMap-empty) '() '() 0 (LibrariesC-45DataC-45NameMap-empty)))))) eff-2))))))))) eff-1))))))))))
(define CoreC-45Context-initCtxtS (lambda (arg-0) (let ((eff-0 (PrimIO-io_bind (LibrariesC-45DataC-45IOArray-newArray (csegen-40) arg-0) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Core-newRef (vector "Core.Context.Context.Arr" ) e-5))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 0 0 (LibrariesC-45DataC-45NameMap-empty) (LibrariesC-45DataC-45UserNameMap-empty) e-6 0 (LibrariesC-45DataC-45IntMap-empty) (cons (CoreC-45NameC-45Namespace-partialEvalNS) '()) 0 0 (LibrariesC-45DataC-45NameMap-empty) '()))))) eff-2))))))))) eff-1)))))))))
(define CoreC-45Context-initCtxt(blodwen-lazy (lambda () (CoreC-45Context-initCtxtS (CoreC-45Context-initSize)))))
(define CoreC-45Context-inCurrentNS (lambda (arg-0 arg-1) (case (vector-ref arg-1 0) ((1) (let ((e-0 (vector-ref arg-1 1))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 0 (let ((e-2 (vector-ref e-5 2))) e-2) (vector 1 e-0)))))) eff-1))))))))) ((6) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 0 (let ((e-33 (vector-ref e-5 2))) e-33) arg-1))))) eff-1)))))))) ((7) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 0 (let ((e-2 (vector-ref e-5 2))) e-2) arg-1))))) eff-1)))))))) ((5) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 0 (let ((e-2 (vector-ref e-7 2))) e-2) arg-1))))) eff-1)))))))) ((2) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 0 (let ((e-2 (vector-ref e-5 2))) e-2) arg-1))))) eff-1)))))))) ((4) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 0 (let ((e-2 (vector-ref e-5 2))) e-2) arg-1))))) eff-1))))))))(else (lambda (eta-0) (vector 1 arg-1))))))
(define CoreC-45Context-hideName (lambda (arg-0 arg-1) (let ((e-0 (vector-ref arg-1 0))) (let ((e-1 (vector-ref arg-1 1))) (let ((e-2 (vector-ref arg-1 2))) (let ((e-3 (vector-ref arg-1 3))) (let ((e-4 (vector-ref arg-1 4))) (let ((e-5 (vector-ref arg-1 5))) (let ((e-6 (vector-ref arg-1 6))) (let ((e-7 (vector-ref arg-1 7))) (let ((e-8 (vector-ref arg-1 8))) (let ((e-9 (vector-ref arg-1 9))) (let ((e-10 (vector-ref arg-1 10))) (let ((e-11 (vector-ref arg-1 11))) (vector e-0 e-1 e-2 e-3 e-4 e-5 e-6 e-7 e-8 e-9 (LibrariesC-45DataC-45NameMap-insert arg-0 (vector 0 ) e-10) e-11)))))))))))))))
(define CoreC-45Context-hide (lambda (arg-0 arg-1 arg-2) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-lookupCtxtName arg-2 (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-6) (CoreC-45Context-ambiguousName arg-0 arg-1 arg-2 ((csegen-101) e-6)) (let ((e-1 (car e-6))) (let ((e-2 (cdr e-6))) (if (null? e-1) (CoreC-45Context-ambiguousName arg-0 arg-1 arg-2 ((csegen-101) e-6)) (let ((e-8 (car e-1))) (if (null? e-2) (let ((eff-2 arg-0)) (PrimIO-io_bind (let ((eff-3 eff-2)) (lambda (eta-0) (set-box! eff-3 (let ((e-0 (vector-ref e-5 0))) (let ((e-37 (vector-ref e-5 1))) (let ((e-36 (vector-ref e-5 2))) (let ((e-3 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-35 (vector-ref e-5 5))) (let ((e-34 (vector-ref e-5 6))) (let ((e-33 (vector-ref e-5 7))) (let ((e-32 (vector-ref e-5 8))) (let ((e-9 (vector-ref e-5 9))) (let ((e-10 (vector-ref e-5 10))) (let ((e-11 (vector-ref e-5 11))) (let ((e-12 (vector-ref e-5 12))) (let ((e-13 (vector-ref e-5 13))) (let ((e-14 (vector-ref e-5 14))) (let ((e-15 (vector-ref e-5 15))) (let ((e-16 (vector-ref e-5 16))) (let ((e-17 (vector-ref e-5 17))) (let ((e-18 (vector-ref e-5 18))) (let ((e-19 (vector-ref e-5 19))) (let ((e-20 (vector-ref e-5 20))) (let ((e-21 (vector-ref e-5 21))) (let ((e-22 (vector-ref e-5 22))) (let ((e-23 (vector-ref e-5 23))) (let ((e-24 (vector-ref e-5 24))) (let ((e-25 (vector-ref e-5 25))) (let ((e-26 (vector-ref e-5 26))) (let ((e-27 (vector-ref e-5 27))) (let ((e-28 (vector-ref e-5 28))) (let ((e-29 (vector-ref e-5 29))) (let ((e-30 (vector-ref e-5 30))) (let ((e-31 (vector-ref e-5 31))) (vector (CoreC-45Context-hideName e-8 e-0) e-37 e-36 e-3 e-4 e-35 e-34 e-33 e-32 e-9 e-10 e-11 e-12 e-13 e-14 e-15 e-16 e-17 e-18 e-19 e-20 e-21 e-22 e-23 e-24 e-25 e-26 e-27 e-28 e-29 e-30 e-31)))))))))))))))))))))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))) (CoreC-45Context-ambiguousName arg-0 arg-1 arg-2 ((csegen-101) e-6)))))))))) eff-2))))))))) eff-1)))))))))
(define CoreC-45Context-hasFlag (lambda (arg-0 arg-1 arg-2 arg-3) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-lookupCtxtExact arg-2 (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-6) (CoreC-45Context-undefinedName arg-0 arg-1 arg-2) (let ((e-1 (unbox e-6))) (lambda (eta-0) (vector 1 (PreludeC-45Types-elem (csegen-16) (csegen-1601) arg-3 (let ((e-11 (vector-ref e-1 11))) e-11)))))))) eff-2))))))))) eff-1)))))))))
(define CoreC-45Context-getWorkingDir(blodwen-lazy (lambda () (let ((eff-0 (csegen-1584))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (clam-0) (if (null? e-5) (CoreC-45Core-u--throw_Catchable_Core_Error (csegen-1586) clam-0) (let ((e-1 (unbox e-5))) (vector 1 e-1)))))) eff-1))))))))))
(define CoreC-45Context-getVisibility (lambda (arg-0 arg-1 arg-2) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-lookupCtxtExact arg-2 (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (clam-0) (if (null? e-6) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 7 arg-1 arg-2) clam-0) (let ((e-1 (unbox e-6))) (vector 1 (let ((e-9 (vector-ref e-1 9))) e-9))))))) eff-2))))))))) eff-1)))))))))
(define CoreC-45Context-getUserHoles (lambda (arg-0) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--hs (DataC-45List-sort (csegen-1609) (LibrariesC-45DataC-45NameMap-keys (let ((e-25 (vector-ref e-5 25))) e-25))))) (CoreC-45Core-filterM (lambda (eta-0) (CoreC-45Context-n--21582-17402-u--isHole arg-0 e-5 eta-0)) u--hs)))) eff-1)))))))))
(define CoreC-45Context-getTotality (lambda (arg-0 arg-1 arg-2) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-lookupCtxtExact arg-2 (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-6) (CoreC-45Context-undefinedName arg-0 arg-1 arg-2) (let ((e-1 (unbox e-6))) (lambda (eta-0) (vector 1 (let ((e-10 (vector-ref e-1 10))) e-10))))))) eff-2))))))))) eff-1)))))))))
(define CoreC-45Context-getTime(blodwen-lazy (lambda () (let ((eff-0 (PrimIO-io_bind (SystemC-45Clock-clockTime 1) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (+ (* (SystemC-45Clock-seconds e-5) (CoreC-45Context-n--33140-28209-u--nano)) (SystemC-45Clock-nanoseconds e-5)))))) eff-1))))))))))
(define CoreC-45Context-getSimilarNames (lambda (arg-0 arg-1) (CoreC-45Context-case--getSimilarNames-15922 arg-1 arg-0 (PreludeC-45Interfaces-C-60C-36C-62 (csegen-76) (lambda (eta-0) (CoreC-45Name-u--show_Show_UserName eta-0)) (CoreC-45Name-userNameRoot arg-1)))))
(define CoreC-45Context-getSession (lambda (arg-0) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (let ((e-4 (vector-ref e-5 4))) (let ((e-40 (vector-ref e-4 2))) e-40)))))) eff-1)))))))))
(define CoreC-45Context-getSearchData (lambda (arg-0 arg-1 arg-2 arg-3) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-lookupDefExact arg-3 (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-6) (CoreC-45Context-undefinedName arg-0 arg-1 arg-3) (let ((e-1 (unbox e-6))) (case (vector-ref e-1 0) ((6) (let ((e-11 (vector-ref e-1 4))) (let ((e-10 (vector-ref e-1 5))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-81) arg-3))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-12 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-12)))) (else (let ((e-12 (vector-ref lcase-2 1))) (let ((eff-3 (let ((sc5 (LibrariesC-45DataC-45NameMap-lookup e-12 (let ((e-37 (vector-ref e-5 7))) e-37)))) (if (null? sc5) (lambda (eta-0) (vector 1 '())) (let ((e-13 (unbox sc5))) (CoreC-45Core-filterM (lambda (u--x) (CoreC-45Context-n--24843-20399-u--notHidden arg-3 arg-2 arg-1 arg-0 u--x (let ((e-0 (vector-ref e-5 0))) e-0))) e-13)))))) eff-3))))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-12 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-12)))) (else (let ((e-12 (vector-ref lcase-2 1))) (let ((eff-3 (cond ((equal? arg-2 1) (let ((eff-3 (CoreC-45Core-filterM (lambda (u--x) (let ((eff-3 (CoreC-45Context-n--24843-20399-u--notHidden arg-3 arg-2 arg-1 arg-0 u--x (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (let ((sc7 (CoreC-45Context-n--24843-20400-u--isDefault arg-3 arg-2 arg-1 arg-0 u--x))) (cond ((equal? sc7 1) e-13) (else 0))))))) eff-4)))))))) (LibrariesC-45DataC-45NameMap-toList (let ((e-36 (vector-ref e-5 8))) e-36))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((u--defns ((csegen-101) e-13))) (lambda (eta-0) (vector 1 (cons '() (cons (cons 0 u--defns) '()))))))) eff-4)))))))) (else (let ((eff-3 (CoreC-45Core-filterM (lambda (u--x) (CoreC-45Context-n--24843-20399-u--notHidden arg-3 arg-2 arg-1 arg-0 u--x (let ((e-0 (vector-ref e-5 0))) e-0))) (LibrariesC-45DataC-45NameMap-toList (let ((e-35 (vector-ref e-5 9))) e-35))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((u--opens ((csegen-101) e-13))) (let ((eff-4 (CoreC-45Core-filterM (lambda (u--x) (let ((eff-4 (CoreC-45Context-n--24843-20399-u--notHidden arg-3 arg-2 arg-1 arg-0 u--x (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (let ((sc8 (CoreC-45Context-n--24843-20400-u--isDefault arg-3 arg-2 arg-1 arg-0 u--x))) (cond ((equal? sc8 1) 0) (else e-14))))))) eff-5)))))))) (LibrariesC-45DataC-45NameMap-toList (let ((e-37 (vector-ref e-5 8))) e-37))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (let ((u--autos ((csegen-101) e-14))) (let ((u--tyhs ((csegen-101) (PreludeC-45TypesC-45List-filterAppend '() (lambda (eta-0) (CoreC-45Context-n--24843-20401-u--direct arg-3 arg-2 arg-1 arg-0 eta-0)) e-12)))) (let ((u--chasers ((csegen-101) (PreludeC-45TypesC-45List-filterAppend '() (lambda (eta-0) (let ((sc8 (CoreC-45Context-n--24843-20401-u--direct arg-3 arg-2 arg-1 arg-0 eta-0))) (cond ((equal? sc8 1) 0) (else 1)))) e-12)))) (lambda (eta-0) (vector 1 (cons e-11 (PreludeC-45TypesC-45List-filterAppend '() (lambda (eta-1) (DataC-45List-isCons (Builtin-snd eta-1))) (cons (cons 0 u--opens) (cons (cons 0 u--autos) (cons (cons (let ((sc8 (let ((e-0 (car e-10))) e-0))) (cond ((equal? sc8 1) 0) (else 1))) u--tyhs) (cons (cons 1 u--chasers) '()))))))))))))) eff-5)))))))))) eff-4))))))))))) eff-3))))))))))(else (CoreC-45Context-undefinedName arg-0 arg-1 arg-3))))))) eff-2))))))))) eff-1)))))))))
(define CoreC-45Context-getRewrite (lambda (arg-0) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (PreludeC-45Types-maybe (lambda () '()) (lambda () (lambda (eta-1) (box (let ((e-1 (cdr eta-1))) e-1)))) (let ((e-4 (vector-ref e-5 4))) (let ((e-37 (vector-ref e-4 5))) e-37))))))) eff-1)))))))))
(define CoreC-45Context-getPrimitiveNames (lambda (arg-0) (let ((eff-0 (CoreC-45Context-getPrimNames arg-0))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-1) (lambda (arg-2) ((((eff-1 'erased) 'erased) arg-1) arg-2)))) (lambda (eta-0) (CoreC-45Options-primNamesToList eta-0)))) eff-0))))
(define CoreC-45Context-getPrimNames (lambda (arg-0) (CoreC-45Core-C-60C-42C-62 (CoreC-45Core-C-60C-42C-62 (CoreC-45Core-C-60C-42C-62 (CoreC-45Core-C-60C-42C-62 (csegen-1620) (CoreC-45Context-fromIntegerName arg-0)) (CoreC-45Context-fromStringName arg-0)) (CoreC-45Context-fromCharName arg-0)) (CoreC-45Context-fromDoubleName arg-0))))
(define CoreC-45Context-getPosition (lambda (arg-0 arg-1) (case (vector-ref arg-0 0) ((8) (let ((e-0 (vector-ref arg-0 1))) (lambda (eta-0) (vector 1 (cons e-0 arg-1)))))(else (let ((sc0 (LibrariesC-45DataC-45NameMap-lookup arg-0 (let ((e-2 (vector-ref arg-1 2))) e-2)))) (if (null? sc0) (CoreC-45Context-newEntry arg-0 arg-1) (let ((e-1 (unbox sc0))) (lambda (eta-0) (vector 1 (cons e-1 arg-1))))))))))
(define CoreC-45Context-getPPrint (lambda (arg-0) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (let ((e-4 (vector-ref e-5 4))) (let ((e-41 (vector-ref e-4 1))) e-41)))))) eff-1)))))))))
(define CoreC-45Context-getNextTypeTag (lambda (arg-0) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (let ((e-0 (vector-ref e-5 0))) (let ((e-1 (vector-ref e-5 1))) (let ((e-2 (vector-ref e-5 2))) (let ((e-3 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-32 (vector-ref e-5 5))) (let ((e-6 (vector-ref e-5 6))) (let ((e-7 (vector-ref e-5 7))) (let ((e-8 (vector-ref e-5 8))) (let ((e-9 (vector-ref e-5 9))) (let ((e-10 (vector-ref e-5 10))) (let ((e-11 (vector-ref e-5 11))) (let ((e-12 (vector-ref e-5 12))) (let ((e-13 (vector-ref e-5 13))) (let ((e-14 (vector-ref e-5 14))) (let ((e-15 (vector-ref e-5 15))) (let ((e-16 (vector-ref e-5 16))) (let ((e-17 (vector-ref e-5 17))) (let ((e-18 (vector-ref e-5 18))) (let ((e-19 (vector-ref e-5 19))) (let ((e-20 (vector-ref e-5 20))) (let ((e-21 (vector-ref e-5 21))) (let ((e-22 (vector-ref e-5 22))) (let ((e-23 (vector-ref e-5 23))) (let ((e-24 (vector-ref e-5 24))) (let ((e-25 (vector-ref e-5 25))) (let ((e-26 (vector-ref e-5 26))) (let ((e-27 (vector-ref e-5 27))) (let ((e-28 (vector-ref e-5 28))) (let ((e-29 (vector-ref e-5 29))) (let ((e-30 (vector-ref e-5 30))) (let ((e-31 (vector-ref e-5 31))) (vector e-0 e-1 e-2 e-3 e-4 e-32 (bs+ e-6 1 63) e-7 e-8 e-9 e-10 e-11 e-12 e-13 e-14 e-15 e-16 e-17 e-18 e-19 e-20 e-21 e-22 e-23 e-24 e-25 e-26 e-27 e-28 e-29 e-30 e-31)))))))))))))))))))))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (lambda (eta-0) (vector 1 (let ((e-32 (vector-ref e-5 6))) e-32))))) eff-2)))))))) eff-1)))))))))
(define CoreC-45Context-getNextEntry (lambda (arg-0) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (let ((e-0 (vector-ref e-5 0))) (let ((e-43 (vector-ref e-0 1))) e-43)))))) eff-1)))))))))
(define CoreC-45Context-getNestedNS (lambda (arg-0) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (let ((e-3 (vector-ref e-5 3))) e-3))))) eff-1)))))))))
(define CoreC-45Context-getNameID (lambda (arg-0 arg-1) (case (vector-ref arg-0 0) ((8) (let ((e-0 (vector-ref arg-0 1))) (box e-0)))(else (LibrariesC-45DataC-45NameMap-lookup arg-0 (let ((e-2 (vector-ref arg-1 2))) e-2))))))
(define CoreC-45Context-getNS (lambda (arg-0) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (let ((e-2 (vector-ref e-5 2))) e-2))))) eff-1)))))))))
(define CoreC-45Context-getFullName (lambda (arg-0 arg-1) (case (vector-ref arg-1 0) ((8) (let ((e-0 (vector-ref arg-1 1))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-lookupCtxtExact (vector 8 e-0) (let ((e-33 (vector-ref e-5 0))) e-33)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (clam-0) (if (null? e-6) (vector 1 (vector 8 e-0)) (let ((e-1 (unbox e-6))) (vector 1 (let ((e-24 (vector-ref e-1 1))) e-24))))))) eff-2))))))))) eff-1)))))))))(else (lambda (eta-0) (vector 1 arg-1))))))
(define CoreC-45Context-getFnName (lambda (arg-0) (let ((e-3 (vector-ref arg-0 3))) (let ((sc0 (CoreC-45TT-getFn e-3))) (case (vector-ref sc0 0) ((1) (let ((e-5 (vector-ref sc0 3))) (box e-5)))(else '()))))))
(define CoreC-45Context-getFieldNames (lambda (arg-0 arg-1) (let ((u--nms (let ((e-2 (vector-ref arg-0 2))) e-2))) (LibrariesC-45DataC-45NameMap-keys (PreludeC-45Basics-flip (lambda (eta-0) (lambda (eta-1) (LibrariesC-45DataC-45NameMap-filterBy eta-0 eta-1))) u--nms (lambda (u--n) (let ((sc0 (CoreC-45Name-isRF u--n))) (if (null? sc0) 0 (let ((e-2 (unbox sc0))) (let ((e-5 (car e-2))) (CoreC-45NameC-45Namespace-u--C-61C-61_Eq_Namespace e-5 arg-1)))))))))))
(define CoreC-45Context-getDirs (lambda (arg-0) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (let ((e-4 (vector-ref e-5 4))) (let ((e-42 (vector-ref e-4 0))) e-42)))))) eff-1)))))))))
(define CoreC-45Context-getDirectives (lambda (arg-0 arg-1) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (PreludeC-45TypesC-45List-tailRecAppend (let ((e-4 (vector-ref e-5 4))) (let ((e-40 (vector-ref e-4 2))) (let ((e-61 (vector-ref e-40 5))) e-61))) (PreludeC-45TypesC-45List-mapMaybeAppend '() (lambda (eta-1) (CoreC-45Context-n--28015-23280-u--getDir arg-1 arg-0 eta-1)) (let ((e-20 (vector-ref e-5 20))) e-20))))))) eff-1)))))))))
(define CoreC-45Context-getDefaultTotalityOption (lambda (arg-0) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (let ((e-4 (vector-ref e-5 4))) (let ((e-39 (vector-ref e-4 3))) (let ((e-47 (vector-ref e-39 2))) e-47))))))) eff-1)))))))))
(define CoreC-45Context-getContent (lambda (ext-0) (let ((e-4 (vector-ref ext-0 4))) e-4)))
(define CoreC-45Context-getAutoImplicitLimit (lambda (arg-0) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (let ((e-4 (vector-ref e-5 4))) (let ((e-39 (vector-ref e-4 3))) (let ((e-45 (vector-ref e-39 4))) e-45))))))) eff-1)))))))))
(define CoreC-45Context-getAmbigLimit (lambda (arg-0) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (let ((e-4 (vector-ref e-5 4))) (let ((e-39 (vector-ref e-4 3))) (let ((e-46 (vector-ref e-39 3))) e-46))))))) eff-1)))))))))
(define CoreC-45Context-fstName (lambda (arg-0) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (PreludeC-45Types-maybe (lambda () '()) (lambda () (lambda (eta-1) (box (let ((e-1 (vector-ref eta-1 1))) e-1)))) (let ((e-4 (vector-ref e-5 4))) (let ((e-38 (vector-ref e-4 4))) e-38))))))) eff-1)))))))))
(define CoreC-45Context-fromStringName (lambda (arg-0) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (let ((e-4 (vector-ref e-5 4))) (let ((e-36 (vector-ref e-4 6))) (let ((e-45 (vector-ref e-36 1))) e-45))))))) eff-1)))))))))
(define CoreC-45Context-fromIntegerName (lambda (arg-0) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (let ((e-4 (vector-ref e-5 4))) (let ((e-36 (vector-ref e-4 6))) (let ((e-46 (vector-ref e-36 0))) e-46))))))) eff-1)))))))))
(define CoreC-45Context-fromDoubleName (lambda (arg-0) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (let ((e-4 (vector-ref e-5 4))) (let ((e-36 (vector-ref e-4 6))) (let ((e-43 (vector-ref e-36 3))) e-43))))))) eff-1)))))))))
(define CoreC-45Context-fromCharName (lambda (arg-0) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (let ((e-4 (vector-ref e-5 4))) (let ((e-36 (vector-ref e-4 6))) (let ((e-44 (vector-ref e-36 2))) e-44))))))) eff-1)))))))))
(define CoreC-45Context-extendNS (lambda (arg-0 arg-1) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (let ((e-0 (vector-ref e-5 0))) (let ((e-1 (vector-ref e-5 1))) (let ((e-2 (vector-ref e-5 2))) (let ((e-3 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-32 (vector-ref e-5 5))) (let ((e-6 (vector-ref e-5 6))) (let ((e-7 (vector-ref e-5 7))) (let ((e-8 (vector-ref e-5 8))) (let ((e-9 (vector-ref e-5 9))) (let ((e-10 (vector-ref e-5 10))) (let ((e-11 (vector-ref e-5 11))) (let ((e-12 (vector-ref e-5 12))) (let ((e-13 (vector-ref e-5 13))) (let ((e-14 (vector-ref e-5 14))) (let ((e-15 (vector-ref e-5 15))) (let ((e-16 (vector-ref e-5 16))) (let ((e-17 (vector-ref e-5 17))) (let ((e-18 (vector-ref e-5 18))) (let ((e-19 (vector-ref e-5 19))) (let ((e-20 (vector-ref e-5 20))) (let ((e-21 (vector-ref e-5 21))) (let ((e-22 (vector-ref e-5 22))) (let ((e-23 (vector-ref e-5 23))) (let ((e-24 (vector-ref e-5 24))) (let ((e-25 (vector-ref e-5 25))) (let ((e-26 (vector-ref e-5 26))) (let ((e-27 (vector-ref e-5 27))) (let ((e-28 (vector-ref e-5 28))) (let ((e-29 (vector-ref e-5 29))) (let ((e-30 (vector-ref e-5 30))) (let ((e-31 (vector-ref e-5 31))) (vector e-0 e-1 (CoreC-45NameC-45Namespace-C-60C-46C-62 e-2 arg-1) e-3 e-4 e-32 e-6 e-7 e-8 e-9 e-10 e-11 e-12 e-13 e-14 e-15 e-16 e-17 e-18 e-19 e-20 e-21 e-22 e-23 e-24 e-25 e-26 e-27 e-28 e-29 e-30 e-31)))))))))))))))))))))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-1)))))))))
(define CoreC-45Context-dropMutData (lambda (arg-0 arg-1) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (let ((e-0 (vector-ref e-5 0))) (let ((e-1 (vector-ref e-5 1))) (let ((e-2 (vector-ref e-5 2))) (let ((e-3 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-32 (vector-ref e-5 5))) (let ((e-6 (vector-ref e-5 6))) (let ((e-7 (vector-ref e-5 7))) (let ((e-8 (vector-ref e-5 8))) (let ((e-9 (vector-ref e-5 9))) (let ((e-10 (vector-ref e-5 10))) (let ((e-11 (vector-ref e-5 11))) (let ((e-12 (vector-ref e-5 12))) (let ((e-13 (vector-ref e-5 13))) (let ((e-14 (vector-ref e-5 14))) (let ((e-15 (vector-ref e-5 15))) (let ((e-16 (vector-ref e-5 16))) (let ((e-17 (vector-ref e-5 17))) (let ((e-18 (vector-ref e-5 18))) (let ((e-19 (vector-ref e-5 19))) (let ((e-20 (vector-ref e-5 20))) (let ((e-21 (vector-ref e-5 21))) (let ((e-22 (vector-ref e-5 22))) (let ((e-23 (vector-ref e-5 23))) (let ((e-24 (vector-ref e-5 24))) (let ((e-25 (vector-ref e-5 25))) (let ((e-26 (vector-ref e-5 26))) (let ((e-27 (vector-ref e-5 27))) (let ((e-28 (vector-ref e-5 28))) (let ((e-29 (vector-ref e-5 29))) (let ((e-30 (vector-ref e-5 30))) (let ((e-31 (vector-ref e-5 31))) (vector e-0 (PreludeC-45TypesC-45List-filterAppend '() (lambda (arg-2) (CoreC-45Name-u--C-47C-61_Eq_Name arg-2 arg-1)) e-1) e-2 e-3 e-4 e-32 e-6 e-7 e-8 e-9 e-10 e-11 e-12 e-13 e-14 e-15 e-16 e-17 e-18 e-19 e-20 e-21 e-22 e-23 e-24 e-25 e-26 e-27 e-28 e-29 e-30 e-31)))))))))))))))))))))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-1)))))))))
(define CoreC-45Context-decode (lambda (ext-0 ext-1 ext-2 ext-3) (case (vector-ref ext-3 0) ((0) (let ((e-0 (vector-ref ext-3 1))) (let ((e-1 (vector-ref ext-3 2))) (let ((eff-0 (CoreC-45Core-newRef (vector "Core.Binary.Prims.Bin" ) e-1))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45TTC-u--fromBuf_TTC_GlobalDef e-5))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((u--a (CoreC-45Context-getContent ext-0))) (let ((eff-2 (let ((eff-2 u--a)) (PrimIO-io_bind (let ((eff-3 eff-2)) (lambda (eta-0) (unbox eff-3))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45Context-u--resolved_HasNames_GlobalDef ext-0 (CoreC-45Context-u--restoreNS_StripNamespace_GlobalDef e-0 e-6)))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (cond ((equal? ext-2 1) (PrimIO-io_bind (LibrariesC-45DataC-45IOArray-writeArray (csegen-40) e-7 ext-1 (vector 1 e-8)) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))) (else (lambda (eta-0) (vector 1 (vector 0 ))))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-5 (lambda (eta-0) (vector 1 e-8)))) eff-5)))))))) eff-4))))))))) eff-3)))))))))) eff-2))))))))) eff-1)))))))))) (else (let ((e-2 (vector-ref ext-3 1))) (lambda (eta-0) (vector 1 e-2)))))))
(define CoreC-45Context-commitCtxt (lambda (arg-0) (CoreC-45Context-case--commitCtxt-6731 arg-0 (let ((e-5 (vector-ref arg-0 5))) e-5))))
(define CoreC-45Context-commit (lambda (arg-0) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-commitCtxt (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45Context-setCtxt arg-0 e-6))) eff-2))))))))) eff-1)))))))))
(define CoreC-45Context-clearUserHole (lambda (arg-0 arg-1) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (let ((e-0 (vector-ref e-5 0))) (let ((e-1 (vector-ref e-5 1))) (let ((e-2 (vector-ref e-5 2))) (let ((e-3 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-32 (vector-ref e-5 5))) (let ((e-6 (vector-ref e-5 6))) (let ((e-7 (vector-ref e-5 7))) (let ((e-8 (vector-ref e-5 8))) (let ((e-9 (vector-ref e-5 9))) (let ((e-10 (vector-ref e-5 10))) (let ((e-11 (vector-ref e-5 11))) (let ((e-12 (vector-ref e-5 12))) (let ((e-13 (vector-ref e-5 13))) (let ((e-14 (vector-ref e-5 14))) (let ((e-15 (vector-ref e-5 15))) (let ((e-16 (vector-ref e-5 16))) (let ((e-17 (vector-ref e-5 17))) (let ((e-18 (vector-ref e-5 18))) (let ((e-19 (vector-ref e-5 19))) (let ((e-20 (vector-ref e-5 20))) (let ((e-21 (vector-ref e-5 21))) (let ((e-22 (vector-ref e-5 22))) (let ((e-23 (vector-ref e-5 23))) (let ((e-24 (vector-ref e-5 24))) (let ((e-25 (vector-ref e-5 25))) (let ((e-26 (vector-ref e-5 26))) (let ((e-27 (vector-ref e-5 27))) (let ((e-28 (vector-ref e-5 28))) (let ((e-29 (vector-ref e-5 29))) (let ((e-30 (vector-ref e-5 30))) (let ((e-31 (vector-ref e-5 31))) (vector e-0 e-1 e-2 e-3 e-4 e-32 e-6 e-7 e-8 e-9 e-10 e-11 e-12 e-13 e-14 e-15 e-16 e-17 e-18 e-19 e-20 e-21 e-22 e-23 e-24 (LibrariesC-45DataC-45NameMap-delete arg-1 e-25) e-26 e-27 e-28 e-29 e-30 e-31)))))))))))))))))))))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-1)))))))))
(define CoreC-45Context-clearTimer (lambda (arg-0) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (let ((e-0 (vector-ref e-5 0))) (let ((e-1 (vector-ref e-5 1))) (let ((e-2 (vector-ref e-5 2))) (let ((e-3 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-32 (vector-ref e-5 5))) (let ((e-6 (vector-ref e-5 6))) (let ((e-7 (vector-ref e-5 7))) (let ((e-8 (vector-ref e-5 8))) (let ((e-9 (vector-ref e-5 9))) (let ((e-10 (vector-ref e-5 10))) (let ((e-11 (vector-ref e-5 11))) (let ((e-12 (vector-ref e-5 12))) (let ((e-13 (vector-ref e-5 13))) (let ((e-14 (vector-ref e-5 14))) (let ((e-15 (vector-ref e-5 15))) (let ((e-16 (vector-ref e-5 16))) (let ((e-17 (vector-ref e-5 17))) (let ((e-18 (vector-ref e-5 18))) (let ((e-19 (vector-ref e-5 19))) (let ((e-20 (vector-ref e-5 20))) (let ((e-21 (vector-ref e-5 21))) (let ((e-22 (vector-ref e-5 22))) (let ((e-23 (vector-ref e-5 23))) (let ((e-24 (vector-ref e-5 24))) (let ((e-25 (vector-ref e-5 25))) (let ((e-26 (vector-ref e-5 26))) (let ((e-27 (vector-ref e-5 27))) (let ((e-29 (vector-ref e-5 29))) (let ((e-30 (vector-ref e-5 30))) (let ((e-31 (vector-ref e-5 31))) (vector e-0 e-1 e-2 e-3 e-4 e-32 e-6 e-7 e-8 e-9 e-10 e-11 e-12 e-13 e-14 e-15 e-16 e-17 e-18 e-19 e-20 e-21 e-22 e-23 e-24 e-25 e-26 e-27 '() e-29 e-30 e-31))))))))))))))))))))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-1)))))))))
(define CoreC-45Context-clearSavedHints (lambda (arg-0) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (let ((e-0 (vector-ref e-5 0))) (let ((e-1 (vector-ref e-5 1))) (let ((e-2 (vector-ref e-5 2))) (let ((e-3 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-32 (vector-ref e-5 5))) (let ((e-6 (vector-ref e-5 6))) (let ((e-7 (vector-ref e-5 7))) (let ((e-8 (vector-ref e-5 8))) (let ((e-9 (vector-ref e-5 9))) (let ((e-10 (vector-ref e-5 10))) (let ((e-13 (vector-ref e-5 13))) (let ((e-14 (vector-ref e-5 14))) (let ((e-15 (vector-ref e-5 15))) (let ((e-16 (vector-ref e-5 16))) (let ((e-17 (vector-ref e-5 17))) (let ((e-18 (vector-ref e-5 18))) (let ((e-19 (vector-ref e-5 19))) (let ((e-20 (vector-ref e-5 20))) (let ((e-21 (vector-ref e-5 21))) (let ((e-22 (vector-ref e-5 22))) (let ((e-23 (vector-ref e-5 23))) (let ((e-24 (vector-ref e-5 24))) (let ((e-25 (vector-ref e-5 25))) (let ((e-26 (vector-ref e-5 26))) (let ((e-27 (vector-ref e-5 27))) (let ((e-28 (vector-ref e-5 28))) (let ((e-29 (vector-ref e-5 29))) (let ((e-30 (vector-ref e-5 30))) (let ((e-31 (vector-ref e-5 31))) (vector e-0 e-1 e-2 e-3 e-4 e-32 e-6 e-7 e-8 e-9 e-10 '() '() e-13 e-14 e-15 e-16 e-17 e-18 e-19 e-20 e-21 e-22 e-23 e-24 e-25 e-26 e-27 e-28 e-29 e-30 e-31)))))))))))))))))))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-1)))))))))
(define CoreC-45Context-clearDefs (lambda (arg-0 ext-0) (vector 1 (let ((e-0 (vector-ref arg-0 0))) (let ((e-1 (vector-ref arg-0 1))) (let ((e-2 (vector-ref arg-0 2))) (let ((e-3 (vector-ref arg-0 3))) (let ((e-4 (vector-ref arg-0 4))) (let ((e-5 (vector-ref arg-0 5))) (let ((e-6 (vector-ref arg-0 6))) (let ((e-7 (vector-ref arg-0 7))) (let ((e-8 (vector-ref arg-0 8))) (let ((e-9 (vector-ref arg-0 9))) (let ((e-10 (vector-ref arg-0 10))) (let ((e-11 (vector-ref arg-0 11))) (let ((e-12 (vector-ref arg-0 12))) (let ((e-13 (vector-ref arg-0 13))) (let ((e-14 (vector-ref arg-0 14))) (let ((e-15 (vector-ref arg-0 15))) (let ((e-16 (vector-ref arg-0 16))) (let ((e-17 (vector-ref arg-0 17))) (let ((e-18 (vector-ref arg-0 18))) (let ((e-19 (vector-ref arg-0 19))) (let ((e-20 (vector-ref arg-0 20))) (let ((e-21 (vector-ref arg-0 21))) (let ((e-22 (vector-ref arg-0 22))) (let ((e-23 (vector-ref arg-0 23))) (let ((e-24 (vector-ref arg-0 24))) (let ((e-25 (vector-ref arg-0 25))) (let ((e-26 (vector-ref arg-0 26))) (let ((e-27 (vector-ref arg-0 27))) (let ((e-28 (vector-ref arg-0 28))) (let ((e-29 (vector-ref arg-0 29))) (let ((e-30 (vector-ref arg-0 30))) (let ((e-31 (vector-ref arg-0 31))) (let ((e-32 (vector-ref e-0 0))) (let ((e-33 (vector-ref e-0 1))) (let ((e-34 (vector-ref e-0 2))) (let ((e-35 (vector-ref e-0 3))) (let ((e-36 (vector-ref e-0 4))) (let ((e-37 (vector-ref e-0 5))) (let ((e-38 (vector-ref e-0 6))) (let ((e-39 (vector-ref e-0 7))) (let ((e-40 (vector-ref e-0 8))) (let ((e-42 (vector-ref e-0 10))) (let ((e-43 (vector-ref e-0 11))) (vector (vector e-32 e-33 e-34 e-35 e-36 e-37 e-38 e-39 e-40 1 e-42 e-43) e-1 e-2 e-3 e-4 e-5 e-6 e-7 e-8 e-9 e-10 e-11 e-12 e-13 e-14 e-15 e-16 e-17 e-18 e-19 e-20 e-21 e-22 e-23 e-24 e-25 e-26 e-27 e-28 e-29 e-30 e-31)))))))))))))))))))))))))))))))))))))))))))))))
(define CoreC-45Context-clearCtxt (lambda (arg-0) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-initDefs))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 arg-0)) (PrimIO-io_bind (let ((eff-3 eff-2)) (lambda (eta-0) (set-box! eff-3 (let ((e-0 (vector-ref e-6 0))) (let ((e-1 (vector-ref e-6 1))) (let ((e-2 (vector-ref e-6 2))) (let ((e-3 (vector-ref e-6 3))) (let ((e-33 (vector-ref e-6 5))) (let ((e-32 (vector-ref e-6 6))) (let ((e-7 (vector-ref e-6 7))) (let ((e-8 (vector-ref e-6 8))) (let ((e-9 (vector-ref e-6 9))) (let ((e-10 (vector-ref e-6 10))) (let ((e-11 (vector-ref e-6 11))) (let ((e-12 (vector-ref e-6 12))) (let ((e-13 (vector-ref e-6 13))) (let ((e-14 (vector-ref e-6 14))) (let ((e-15 (vector-ref e-6 15))) (let ((e-16 (vector-ref e-6 16))) (let ((e-17 (vector-ref e-6 17))) (let ((e-18 (vector-ref e-6 18))) (let ((e-19 (vector-ref e-6 19))) (let ((e-20 (vector-ref e-6 20))) (let ((e-21 (vector-ref e-6 21))) (let ((e-22 (vector-ref e-6 22))) (let ((e-23 (vector-ref e-6 23))) (let ((e-24 (vector-ref e-6 24))) (let ((e-25 (vector-ref e-6 25))) (let ((e-26 (vector-ref e-6 26))) (let ((e-28 (vector-ref e-6 28))) (let ((e-29 (vector-ref e-6 29))) (let ((e-30 (vector-ref e-6 30))) (let ((e-31 (vector-ref e-6 31))) (vector e-0 e-1 e-2 e-3 (CoreC-45Context-n--19726-15709-u--resetElab arg-0 (let ((e-61 (vector-ref e-5 4))) e-61)) e-33 e-32 e-7 e-8 e-9 e-10 e-11 e-12 e-13 e-14 e-15 e-16 e-17 e-18 e-19 e-20 e-21 e-22 e-23 e-24 e-25 e-26 (let ((e-38 (vector-ref e-5 27))) e-38) e-28 e-29 e-30 e-31)))))))))))))))))))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-2))))))))) eff-1)))))))))
(define CoreC-45Context-checkUnambig (lambda (arg-0 arg-1 arg-2) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-lookupDefName arg-2 (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-6) (CoreC-45Context-ambiguousName arg-0 arg-1 arg-2 ((csegen-101) e-6)) (let ((e-1 (car e-6))) (let ((e-2 (cdr e-6))) (if (null? e-1) (CoreC-45Context-ambiguousName arg-0 arg-1 arg-2 ((csegen-101) e-6)) (let ((e-7 (cdr e-1))) (if (null? e-7) (CoreC-45Context-ambiguousName arg-0 arg-1 arg-2 ((csegen-101) e-6)) (let ((e-9 (car e-7))) (if (null? e-2) (lambda (eta-0) (vector 1 (vector 8 e-9))) (CoreC-45Context-ambiguousName arg-0 arg-1 arg-2 ((csegen-101) e-6)))))))))))) eff-2))))))))) eff-1)))))))))
(define CoreC-45Context-checkTimer (lambda (arg-0) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45Context-case--checkTimer-28392 arg-0 e-5 (let ((e-28 (vector-ref e-5 28))) e-28)))) eff-1)))))))))
(define CoreC-45Context-branchCtxt (lambda (arg-0 ext-0) (vector 1 (let ((e-0 (vector-ref arg-0 0))) (let ((e-1 (vector-ref arg-0 1))) (let ((e-2 (vector-ref arg-0 2))) (let ((e-3 (vector-ref arg-0 3))) (let ((e-4 (vector-ref arg-0 4))) (let ((e-5 (vector-ref arg-0 5))) (let ((e-6 (vector-ref arg-0 6))) (let ((e-7 (vector-ref arg-0 7))) (let ((e-8 (vector-ref arg-0 8))) (let ((e-9 (vector-ref arg-0 9))) (let ((e-10 (vector-ref arg-0 10))) (let ((e-11 (vector-ref arg-0 11))) (vector e-0 e-1 e-2 e-3 e-4 (+ e-5 1) e-6 e-7 e-8 e-9 e-10 e-11))))))))))))))))
(define CoreC-45Context-branch (lambda (arg-0) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (lambda (eta-0) (CoreC-45Context-branchCtxt (let ((e-0 (vector-ref e-5 0))) e-0) eta-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-setCtxt arg-0 e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (lambda (eta-0) (vector 1 e-5)))) eff-3)))))))) eff-2))))))))) eff-1)))))))))
(define CoreC-45Context-ambiguousName (lambda (arg-1 arg-2 arg-3 arg-4) (let ((eff-0 (CoreC-45Core-filterM (lambda (u--x) (let ((eff-0 (CoreC-45Context-getVisibility arg-1 arg-2 u--x))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (CoreC-45TT-u--C-47C-61_Eq_Visibility e-5 0))))) eff-1)))))))) arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (if (null? e-5) (CoreC-45Context-undefinedName arg-1 arg-2 arg-3) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 17 arg-2 e-5) eta-0))))) eff-1)))))))))
(define CoreC-45Context-allNames (lambda (arg-0) (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45Context-u--full_HasNames_Name arg-0 eta-0)) (((csegen-25) (lambda (eta-0) (vector 8 eta-0))) (PreludeC-45Types-u--rangeFromTo_Range_C-36a (csegen-302) 1 (bs- (let ((e-1 (vector-ref arg-0 1))) e-1) 1 63))) '())))
(define CoreC-45Context-aliasName (lambda (arg-0 arg-1) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45Context-case--aliasName-17067 arg-1 arg-0 e-5 (CoreC-45Name-userNameRoot arg-1)))) eff-1)))))))))
(define CoreC-45Context-addUserHole (lambda (arg-0 arg-1 arg-2) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (let ((e-0 (vector-ref e-5 0))) (let ((e-1 (vector-ref e-5 1))) (let ((e-2 (vector-ref e-5 2))) (let ((e-3 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-32 (vector-ref e-5 5))) (let ((e-6 (vector-ref e-5 6))) (let ((e-7 (vector-ref e-5 7))) (let ((e-8 (vector-ref e-5 8))) (let ((e-9 (vector-ref e-5 9))) (let ((e-10 (vector-ref e-5 10))) (let ((e-11 (vector-ref e-5 11))) (let ((e-12 (vector-ref e-5 12))) (let ((e-13 (vector-ref e-5 13))) (let ((e-14 (vector-ref e-5 14))) (let ((e-15 (vector-ref e-5 15))) (let ((e-16 (vector-ref e-5 16))) (let ((e-17 (vector-ref e-5 17))) (let ((e-18 (vector-ref e-5 18))) (let ((e-19 (vector-ref e-5 19))) (let ((e-20 (vector-ref e-5 20))) (let ((e-21 (vector-ref e-5 21))) (let ((e-22 (vector-ref e-5 22))) (let ((e-23 (vector-ref e-5 23))) (let ((e-24 (vector-ref e-5 24))) (let ((e-25 (vector-ref e-5 25))) (let ((e-26 (vector-ref e-5 26))) (let ((e-27 (vector-ref e-5 27))) (let ((e-28 (vector-ref e-5 28))) (let ((e-29 (vector-ref e-5 29))) (let ((e-30 (vector-ref e-5 30))) (let ((e-31 (vector-ref e-5 31))) (vector e-0 e-1 e-2 e-3 e-4 e-32 e-6 e-7 e-8 e-9 e-10 e-11 e-12 e-13 e-14 e-15 e-16 e-17 e-18 e-19 e-20 e-21 e-22 e-23 e-24 (LibrariesC-45DataC-45NameMap-insert arg-2 arg-1 e-25) e-26 e-27 e-28 e-29 e-30 e-31)))))))))))))))))))))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-1)))))))))
(define CoreC-45Context-addTransform (lambda (arg-0 arg-1 arg-2) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45Context-case--addTransform-22560 arg-2 arg-1 arg-0 e-5 (CoreC-45Context-getFnName arg-2)))) eff-1)))))))))
(define CoreC-45Context-addToSave (lambda (arg-0 arg-1) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-u--full_HasNames_Name (let ((e-0 (vector-ref e-5 0))) e-0) arg-1))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 arg-0)) (PrimIO-io_bind (let ((eff-3 eff-2)) (lambda (eta-0) (set-box! eff-3 (let ((e-0 (vector-ref e-5 0))) (let ((e-1 (vector-ref e-5 1))) (let ((e-2 (vector-ref e-5 2))) (let ((e-3 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-33 (vector-ref e-5 5))) (let ((e-32 (vector-ref e-5 6))) (let ((e-7 (vector-ref e-5 7))) (let ((e-8 (vector-ref e-5 8))) (let ((e-9 (vector-ref e-5 9))) (let ((e-10 (vector-ref e-5 10))) (let ((e-11 (vector-ref e-5 11))) (let ((e-12 (vector-ref e-5 12))) (let ((e-13 (vector-ref e-5 13))) (let ((e-14 (vector-ref e-5 14))) (let ((e-15 (vector-ref e-5 15))) (let ((e-16 (vector-ref e-5 16))) (let ((e-17 (vector-ref e-5 17))) (let ((e-18 (vector-ref e-5 18))) (let ((e-19 (vector-ref e-5 19))) (let ((e-20 (vector-ref e-5 20))) (let ((e-21 (vector-ref e-5 21))) (let ((e-22 (vector-ref e-5 22))) (let ((e-23 (vector-ref e-5 23))) (let ((e-24 (vector-ref e-5 24))) (let ((e-25 (vector-ref e-5 25))) (let ((e-26 (vector-ref e-5 26))) (let ((e-27 (vector-ref e-5 27))) (let ((e-28 (vector-ref e-5 28))) (let ((e-29 (vector-ref e-5 29))) (let ((e-30 (vector-ref e-5 30))) (let ((e-31 (vector-ref e-5 31))) (vector e-0 e-1 e-2 e-3 e-4 (LibrariesC-45DataC-45NameMap-insert e-6 (vector 0 ) e-33) e-32 e-7 e-8 e-9 e-10 e-11 e-12 e-13 e-14 e-15 e-16 e-17 e-18 e-19 e-20 e-21 e-22 e-23 (LibrariesC-45DataC-45NameMap-insert e-6 (vector 0 ) e-24) e-25 e-26 e-27 e-28 e-29 e-30 e-31)))))))))))))))))))))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-2))))))))) eff-1)))))))))
(define CoreC-45Context-addPossible (lambda (arg-0 arg-1 arg-2) (CoreC-45Context-case--addPossible-4884 arg-2 arg-1 arg-0 (CoreC-45Name-userNameRoot arg-0))))
(define CoreC-45Context-addPackageDir (lambda (arg-0 arg-1) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (let ((e-0 (vector-ref e-5 0))) (let ((e-1 (vector-ref e-5 1))) (let ((e-2 (vector-ref e-5 2))) (let ((e-3 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-32 (vector-ref e-5 5))) (let ((e-6 (vector-ref e-5 6))) (let ((e-7 (vector-ref e-5 7))) (let ((e-8 (vector-ref e-5 8))) (let ((e-9 (vector-ref e-5 9))) (let ((e-10 (vector-ref e-5 10))) (let ((e-11 (vector-ref e-5 11))) (let ((e-12 (vector-ref e-5 12))) (let ((e-13 (vector-ref e-5 13))) (let ((e-14 (vector-ref e-5 14))) (let ((e-15 (vector-ref e-5 15))) (let ((e-16 (vector-ref e-5 16))) (let ((e-17 (vector-ref e-5 17))) (let ((e-18 (vector-ref e-5 18))) (let ((e-19 (vector-ref e-5 19))) (let ((e-20 (vector-ref e-5 20))) (let ((e-21 (vector-ref e-5 21))) (let ((e-22 (vector-ref e-5 22))) (let ((e-23 (vector-ref e-5 23))) (let ((e-24 (vector-ref e-5 24))) (let ((e-25 (vector-ref e-5 25))) (let ((e-26 (vector-ref e-5 26))) (let ((e-27 (vector-ref e-5 27))) (let ((e-28 (vector-ref e-5 28))) (let ((e-29 (vector-ref e-5 29))) (let ((e-30 (vector-ref e-5 30))) (let ((e-31 (vector-ref e-5 31))) (let ((e-42 (vector-ref e-4 0))) (let ((e-33 (vector-ref e-4 1))) (let ((e-34 (vector-ref e-4 2))) (let ((e-35 (vector-ref e-4 3))) (let ((e-36 (vector-ref e-4 4))) (let ((e-37 (vector-ref e-4 5))) (let ((e-38 (vector-ref e-4 6))) (let ((e-39 (vector-ref e-4 7))) (let ((e-40 (vector-ref e-4 8))) (let ((e-41 (vector-ref e-4 9))) (let ((e-53 (vector-ref e-42 0))) (let ((e-43 (vector-ref e-42 1))) (let ((e-44 (vector-ref e-42 2))) (let ((e-45 (vector-ref e-42 3))) (let ((e-46 (vector-ref e-42 4))) (let ((e-47 (vector-ref e-42 5))) (let ((e-48 (vector-ref e-42 6))) (let ((e-49 (vector-ref e-42 7))) (let ((e-50 (vector-ref e-42 8))) (let ((e-51 (vector-ref e-42 9))) (let ((e-52 (vector-ref e-42 10))) (vector e-0 e-1 e-2 e-3 (vector (vector e-53 e-43 e-44 e-45 e-46 e-47 e-48 e-49 (PreludeC-45TypesC-45List-tailRecAppend e-50 (cons arg-1 '())) e-51 e-52) e-33 e-34 e-35 e-36 e-37 e-38 e-39 e-40 e-41) e-32 e-6 e-7 e-8 e-9 e-10 e-11 e-12 e-13 e-14 e-15 e-16 e-17 e-18 e-19 e-20 e-21 e-22 e-23 e-24 e-25 e-26 e-27 e-28 e-29 e-30 e-31))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-1)))))))))
(define CoreC-45Context-addOpenHint (lambda (arg-0 arg-1) (let ((eff-0 (CoreC-45Context-toResolvedNames arg-0 (csegen-81) arg-1))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (unbox eff-2))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 arg-0)) (PrimIO-io_bind (let ((eff-3 eff-2)) (lambda (eta-0) (set-box! eff-3 (let ((e-0 (vector-ref e-6 0))) (let ((e-1 (vector-ref e-6 1))) (let ((e-2 (vector-ref e-6 2))) (let ((e-3 (vector-ref e-6 3))) (let ((e-4 (vector-ref e-6 4))) (let ((e-33 (vector-ref e-6 5))) (let ((e-32 (vector-ref e-6 6))) (let ((e-7 (vector-ref e-6 7))) (let ((e-8 (vector-ref e-6 8))) (let ((e-9 (vector-ref e-6 9))) (let ((e-10 (vector-ref e-6 10))) (let ((e-11 (vector-ref e-6 11))) (let ((e-12 (vector-ref e-6 12))) (let ((e-13 (vector-ref e-6 13))) (let ((e-14 (vector-ref e-6 14))) (let ((e-15 (vector-ref e-6 15))) (let ((e-16 (vector-ref e-6 16))) (let ((e-17 (vector-ref e-6 17))) (let ((e-18 (vector-ref e-6 18))) (let ((e-19 (vector-ref e-6 19))) (let ((e-20 (vector-ref e-6 20))) (let ((e-21 (vector-ref e-6 21))) (let ((e-22 (vector-ref e-6 22))) (let ((e-23 (vector-ref e-6 23))) (let ((e-24 (vector-ref e-6 24))) (let ((e-25 (vector-ref e-6 25))) (let ((e-26 (vector-ref e-6 26))) (let ((e-27 (vector-ref e-6 27))) (let ((e-28 (vector-ref e-6 28))) (let ((e-29 (vector-ref e-6 29))) (let ((e-30 (vector-ref e-6 30))) (let ((e-31 (vector-ref e-6 31))) (vector e-0 e-1 e-2 e-3 e-4 e-33 e-32 e-7 e-8 (LibrariesC-45DataC-45NameMap-insert e-5 (vector 0 ) e-9) e-10 e-11 e-12 e-13 e-14 e-15 e-16 e-17 e-18 e-19 e-20 e-21 e-22 e-23 e-24 e-25 e-26 e-27 e-28 e-29 e-30 e-31)))))))))))))))))))))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-2))))))))) eff-1)))))))))
(define CoreC-45Context-addNameDirective (lambda (arg-0 arg-1 arg-2 arg-3) (let ((eff-0 (CoreC-45Context-checkUnambig arg-0 arg-1 arg-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (unbox eff-2))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 arg-0)) (PrimIO-io_bind (let ((eff-3 eff-2)) (lambda (eta-0) (set-box! eff-3 (let ((e-0 (vector-ref e-6 0))) (let ((e-1 (vector-ref e-6 1))) (let ((e-2 (vector-ref e-6 2))) (let ((e-3 (vector-ref e-6 3))) (let ((e-4 (vector-ref e-6 4))) (let ((e-33 (vector-ref e-6 5))) (let ((e-32 (vector-ref e-6 6))) (let ((e-7 (vector-ref e-6 7))) (let ((e-8 (vector-ref e-6 8))) (let ((e-9 (vector-ref e-6 9))) (let ((e-10 (vector-ref e-6 10))) (let ((e-11 (vector-ref e-6 11))) (let ((e-12 (vector-ref e-6 12))) (let ((e-13 (vector-ref e-6 13))) (let ((e-14 (vector-ref e-6 14))) (let ((e-15 (vector-ref e-6 15))) (let ((e-16 (vector-ref e-6 16))) (let ((e-17 (vector-ref e-6 17))) (let ((e-18 (vector-ref e-6 18))) (let ((e-19 (vector-ref e-6 19))) (let ((e-20 (vector-ref e-6 20))) (let ((e-21 (vector-ref e-6 21))) (let ((e-22 (vector-ref e-6 22))) (let ((e-23 (vector-ref e-6 23))) (let ((e-24 (vector-ref e-6 24))) (let ((e-25 (vector-ref e-6 25))) (let ((e-26 (vector-ref e-6 26))) (let ((e-27 (vector-ref e-6 27))) (let ((e-28 (vector-ref e-6 28))) (let ((e-29 (vector-ref e-6 29))) (let ((e-30 (vector-ref e-6 30))) (let ((e-31 (vector-ref e-6 31))) (vector e-0 e-1 e-2 e-3 e-4 e-33 e-32 e-7 e-8 e-9 e-10 e-11 e-12 e-13 e-14 (LibrariesC-45DataC-45NameMap-insert e-5 arg-3 e-15) e-16 e-17 e-18 e-19 e-20 e-21 e-22 e-23 e-24 e-25 e-26 e-27 e-28 e-29 e-30 e-31)))))))))))))))))))))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-2))))))))) eff-1)))))))))
(define CoreC-45Context-addName (lambda (arg-0 arg-1) (case (vector-ref arg-1 0) ((8) (let ((e-0 (vector-ref arg-1 1))) (lambda (eta-0) (vector 1 e-0))))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-newEntry arg-1 (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((e-2 (car e-6))) (let ((e-3 (cdr e-6))) (let ((eff-2 (CoreC-45Context-setCtxt arg-0 e-3))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-3 (lambda (eta-0) (vector 1 e-2)))) eff-3)))))))))) eff-2))))))))) eff-1)))))))))))
(define CoreC-45Context-addMutData (lambda (arg-0 arg-1) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (let ((e-0 (vector-ref e-5 0))) (let ((e-1 (vector-ref e-5 1))) (let ((e-2 (vector-ref e-5 2))) (let ((e-3 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-32 (vector-ref e-5 5))) (let ((e-6 (vector-ref e-5 6))) (let ((e-7 (vector-ref e-5 7))) (let ((e-8 (vector-ref e-5 8))) (let ((e-9 (vector-ref e-5 9))) (let ((e-10 (vector-ref e-5 10))) (let ((e-11 (vector-ref e-5 11))) (let ((e-12 (vector-ref e-5 12))) (let ((e-13 (vector-ref e-5 13))) (let ((e-14 (vector-ref e-5 14))) (let ((e-15 (vector-ref e-5 15))) (let ((e-16 (vector-ref e-5 16))) (let ((e-17 (vector-ref e-5 17))) (let ((e-18 (vector-ref e-5 18))) (let ((e-19 (vector-ref e-5 19))) (let ((e-20 (vector-ref e-5 20))) (let ((e-21 (vector-ref e-5 21))) (let ((e-22 (vector-ref e-5 22))) (let ((e-23 (vector-ref e-5 23))) (let ((e-24 (vector-ref e-5 24))) (let ((e-25 (vector-ref e-5 25))) (let ((e-26 (vector-ref e-5 26))) (let ((e-27 (vector-ref e-5 27))) (let ((e-28 (vector-ref e-5 28))) (let ((e-29 (vector-ref e-5 29))) (let ((e-30 (vector-ref e-5 30))) (let ((e-31 (vector-ref e-5 31))) (vector e-0 (cons arg-1 e-1) e-2 e-3 e-4 e-32 e-6 e-7 e-8 e-9 e-10 e-11 e-12 e-13 e-14 e-15 e-16 e-17 e-18 e-19 e-20 e-21 e-22 e-23 e-24 e-25 e-26 e-27 e-28 e-29 e-30 e-31)))))))))))))))))))))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-1)))))))))
(define CoreC-45Context-addLogLevel (lambda (arg-0 arg-1) (if (null? arg-1) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (let ((e-0 (vector-ref e-5 0))) (let ((e-1 (vector-ref e-5 1))) (let ((e-2 (vector-ref e-5 2))) (let ((e-3 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-32 (vector-ref e-5 5))) (let ((e-6 (vector-ref e-5 6))) (let ((e-7 (vector-ref e-5 7))) (let ((e-8 (vector-ref e-5 8))) (let ((e-9 (vector-ref e-5 9))) (let ((e-10 (vector-ref e-5 10))) (let ((e-11 (vector-ref e-5 11))) (let ((e-12 (vector-ref e-5 12))) (let ((e-13 (vector-ref e-5 13))) (let ((e-14 (vector-ref e-5 14))) (let ((e-15 (vector-ref e-5 15))) (let ((e-16 (vector-ref e-5 16))) (let ((e-17 (vector-ref e-5 17))) (let ((e-18 (vector-ref e-5 18))) (let ((e-19 (vector-ref e-5 19))) (let ((e-20 (vector-ref e-5 20))) (let ((e-21 (vector-ref e-5 21))) (let ((e-22 (vector-ref e-5 22))) (let ((e-23 (vector-ref e-5 23))) (let ((e-24 (vector-ref e-5 24))) (let ((e-25 (vector-ref e-5 25))) (let ((e-26 (vector-ref e-5 26))) (let ((e-27 (vector-ref e-5 27))) (let ((e-28 (vector-ref e-5 28))) (let ((e-29 (vector-ref e-5 29))) (let ((e-30 (vector-ref e-5 30))) (let ((e-31 (vector-ref e-5 31))) (let ((e-42 (vector-ref e-4 0))) (let ((e-33 (vector-ref e-4 1))) (let ((e-34 (vector-ref e-4 2))) (let ((e-35 (vector-ref e-4 3))) (let ((e-36 (vector-ref e-4 4))) (let ((e-37 (vector-ref e-4 5))) (let ((e-38 (vector-ref e-4 6))) (let ((e-39 (vector-ref e-4 7))) (let ((e-40 (vector-ref e-4 8))) (let ((e-41 (vector-ref e-4 9))) (let ((e-66 (vector-ref e-34 0))) (let ((e-43 (vector-ref e-34 1))) (let ((e-44 (vector-ref e-34 2))) (let ((e-45 (vector-ref e-34 3))) (let ((e-46 (vector-ref e-34 4))) (let ((e-47 (vector-ref e-34 5))) (let ((e-48 (vector-ref e-34 6))) (let ((e-49 (vector-ref e-34 7))) (let ((e-52 (vector-ref e-34 10))) (let ((e-53 (vector-ref e-34 11))) (let ((e-54 (vector-ref e-34 12))) (let ((e-55 (vector-ref e-34 13))) (let ((e-56 (vector-ref e-34 14))) (let ((e-57 (vector-ref e-34 15))) (let ((e-58 (vector-ref e-34 16))) (let ((e-59 (vector-ref e-34 17))) (let ((e-60 (vector-ref e-34 18))) (let ((e-61 (vector-ref e-34 19))) (let ((e-62 (vector-ref e-34 20))) (let ((e-63 (vector-ref e-34 21))) (let ((e-64 (vector-ref e-34 22))) (let ((e-65 (vector-ref e-34 23))) (vector e-0 e-1 e-2 e-3 (vector e-42 e-33 (vector e-66 e-43 e-44 e-45 e-46 e-47 e-48 e-49 0 (CoreC-45OptionsC-45Log-defaultLogLevel) e-52 e-53 e-54 e-55 e-56 e-57 e-58 e-59 e-60 e-61 e-62 e-63 e-64 e-65) e-35 e-36 e-37 e-38 e-39 e-40 e-41) e-32 e-6 e-7 e-8 e-9 e-10 e-11 e-12 e-13 e-14 e-15 e-16 e-17 e-18 e-19 e-20 e-21 e-22 e-23 e-24 e-25 e-26 e-27 e-28 e-29 e-30 e-31)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-1))))))) (let ((e-2 (unbox arg-1))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (let ((e-0 (vector-ref e-5 0))) (let ((e-1 (vector-ref e-5 1))) (let ((e-33 (vector-ref e-5 2))) (let ((e-3 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-32 (vector-ref e-5 5))) (let ((e-6 (vector-ref e-5 6))) (let ((e-7 (vector-ref e-5 7))) (let ((e-8 (vector-ref e-5 8))) (let ((e-9 (vector-ref e-5 9))) (let ((e-10 (vector-ref e-5 10))) (let ((e-11 (vector-ref e-5 11))) (let ((e-12 (vector-ref e-5 12))) (let ((e-13 (vector-ref e-5 13))) (let ((e-14 (vector-ref e-5 14))) (let ((e-15 (vector-ref e-5 15))) (let ((e-16 (vector-ref e-5 16))) (let ((e-17 (vector-ref e-5 17))) (let ((e-18 (vector-ref e-5 18))) (let ((e-19 (vector-ref e-5 19))) (let ((e-20 (vector-ref e-5 20))) (let ((e-21 (vector-ref e-5 21))) (let ((e-22 (vector-ref e-5 22))) (let ((e-23 (vector-ref e-5 23))) (let ((e-24 (vector-ref e-5 24))) (let ((e-25 (vector-ref e-5 25))) (let ((e-26 (vector-ref e-5 26))) (let ((e-27 (vector-ref e-5 27))) (let ((e-28 (vector-ref e-5 28))) (let ((e-29 (vector-ref e-5 29))) (let ((e-30 (vector-ref e-5 30))) (let ((e-31 (vector-ref e-5 31))) (let ((e-43 (vector-ref e-4 0))) (let ((e-42 (vector-ref e-4 1))) (let ((e-34 (vector-ref e-4 2))) (let ((e-35 (vector-ref e-4 3))) (let ((e-36 (vector-ref e-4 4))) (let ((e-37 (vector-ref e-4 5))) (let ((e-38 (vector-ref e-4 6))) (let ((e-39 (vector-ref e-4 7))) (let ((e-40 (vector-ref e-4 8))) (let ((e-41 (vector-ref e-4 9))) (let ((e-67 (vector-ref e-34 0))) (let ((e-66 (vector-ref e-34 1))) (let ((e-44 (vector-ref e-34 2))) (let ((e-45 (vector-ref e-34 3))) (let ((e-46 (vector-ref e-34 4))) (let ((e-47 (vector-ref e-34 5))) (let ((e-48 (vector-ref e-34 6))) (let ((e-49 (vector-ref e-34 7))) (let ((e-51 (vector-ref e-34 9))) (let ((e-52 (vector-ref e-34 10))) (let ((e-53 (vector-ref e-34 11))) (let ((e-54 (vector-ref e-34 12))) (let ((e-55 (vector-ref e-34 13))) (let ((e-56 (vector-ref e-34 14))) (let ((e-57 (vector-ref e-34 15))) (let ((e-58 (vector-ref e-34 16))) (let ((e-59 (vector-ref e-34 17))) (let ((e-60 (vector-ref e-34 18))) (let ((e-61 (vector-ref e-34 19))) (let ((e-62 (vector-ref e-34 20))) (let ((e-63 (vector-ref e-34 21))) (let ((e-64 (vector-ref e-34 22))) (let ((e-65 (vector-ref e-34 23))) (vector e-0 e-1 e-33 e-3 (vector e-43 e-42 (vector e-67 e-66 e-44 e-45 e-46 e-47 e-48 e-49 1 (CoreC-45OptionsC-45Log-insertLogLevel e-2 e-51) e-52 e-53 e-54 e-55 e-56 e-57 e-58 e-59 e-60 e-61 e-62 e-63 e-64 e-65) e-35 e-36 e-37 e-38 e-39 e-40 e-41) e-32 e-6 e-7 e-8 e-9 e-10 e-11 e-12 e-13 e-14 e-15 e-16 e-17 e-18 e-19 e-20 e-21 e-22 e-23 e-24 e-25 e-26 e-27 e-28 e-29 e-30 e-31))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-1)))))))))))
(define CoreC-45Context-addLocalHint (lambda (arg-0 arg-1) (let ((eff-0 (CoreC-45Context-toResolvedNames arg-0 (csegen-81) arg-1))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (unbox eff-2))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 arg-0)) (PrimIO-io_bind (let ((eff-3 eff-2)) (lambda (eta-0) (set-box! eff-3 (let ((e-0 (vector-ref e-6 0))) (let ((e-1 (vector-ref e-6 1))) (let ((e-2 (vector-ref e-6 2))) (let ((e-3 (vector-ref e-6 3))) (let ((e-4 (vector-ref e-6 4))) (let ((e-33 (vector-ref e-6 5))) (let ((e-32 (vector-ref e-6 6))) (let ((e-7 (vector-ref e-6 7))) (let ((e-8 (vector-ref e-6 8))) (let ((e-9 (vector-ref e-6 9))) (let ((e-10 (vector-ref e-6 10))) (let ((e-11 (vector-ref e-6 11))) (let ((e-12 (vector-ref e-6 12))) (let ((e-13 (vector-ref e-6 13))) (let ((e-14 (vector-ref e-6 14))) (let ((e-15 (vector-ref e-6 15))) (let ((e-16 (vector-ref e-6 16))) (let ((e-17 (vector-ref e-6 17))) (let ((e-18 (vector-ref e-6 18))) (let ((e-19 (vector-ref e-6 19))) (let ((e-20 (vector-ref e-6 20))) (let ((e-21 (vector-ref e-6 21))) (let ((e-22 (vector-ref e-6 22))) (let ((e-23 (vector-ref e-6 23))) (let ((e-24 (vector-ref e-6 24))) (let ((e-25 (vector-ref e-6 25))) (let ((e-26 (vector-ref e-6 26))) (let ((e-27 (vector-ref e-6 27))) (let ((e-28 (vector-ref e-6 28))) (let ((e-29 (vector-ref e-6 29))) (let ((e-30 (vector-ref e-6 30))) (let ((e-31 (vector-ref e-6 31))) (vector e-0 e-1 e-2 e-3 e-4 e-33 e-32 e-7 e-8 e-9 (LibrariesC-45DataC-45NameMap-insert e-5 (vector 0 ) e-10) e-11 e-12 e-13 e-14 e-15 e-16 e-17 e-18 e-19 e-20 e-21 e-22 e-23 e-24 e-25 e-26 e-27 e-28 e-29 e-30 e-31)))))))))))))))))))))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-2))))))))) eff-1)))))))))
(define CoreC-45Context-addLibDir (lambda (arg-0 arg-1) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (let ((e-0 (vector-ref e-5 0))) (let ((e-1 (vector-ref e-5 1))) (let ((e-2 (vector-ref e-5 2))) (let ((e-3 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-32 (vector-ref e-5 5))) (let ((e-6 (vector-ref e-5 6))) (let ((e-7 (vector-ref e-5 7))) (let ((e-8 (vector-ref e-5 8))) (let ((e-9 (vector-ref e-5 9))) (let ((e-10 (vector-ref e-5 10))) (let ((e-11 (vector-ref e-5 11))) (let ((e-12 (vector-ref e-5 12))) (let ((e-13 (vector-ref e-5 13))) (let ((e-14 (vector-ref e-5 14))) (let ((e-15 (vector-ref e-5 15))) (let ((e-16 (vector-ref e-5 16))) (let ((e-17 (vector-ref e-5 17))) (let ((e-18 (vector-ref e-5 18))) (let ((e-19 (vector-ref e-5 19))) (let ((e-20 (vector-ref e-5 20))) (let ((e-21 (vector-ref e-5 21))) (let ((e-22 (vector-ref e-5 22))) (let ((e-23 (vector-ref e-5 23))) (let ((e-24 (vector-ref e-5 24))) (let ((e-25 (vector-ref e-5 25))) (let ((e-26 (vector-ref e-5 26))) (let ((e-27 (vector-ref e-5 27))) (let ((e-28 (vector-ref e-5 28))) (let ((e-29 (vector-ref e-5 29))) (let ((e-30 (vector-ref e-5 30))) (let ((e-31 (vector-ref e-5 31))) (let ((e-42 (vector-ref e-4 0))) (let ((e-33 (vector-ref e-4 1))) (let ((e-34 (vector-ref e-4 2))) (let ((e-35 (vector-ref e-4 3))) (let ((e-36 (vector-ref e-4 4))) (let ((e-37 (vector-ref e-4 5))) (let ((e-38 (vector-ref e-4 6))) (let ((e-39 (vector-ref e-4 7))) (let ((e-40 (vector-ref e-4 8))) (let ((e-41 (vector-ref e-4 9))) (let ((e-53 (vector-ref e-42 0))) (let ((e-43 (vector-ref e-42 1))) (let ((e-44 (vector-ref e-42 2))) (let ((e-45 (vector-ref e-42 3))) (let ((e-46 (vector-ref e-42 4))) (let ((e-47 (vector-ref e-42 5))) (let ((e-48 (vector-ref e-42 6))) (let ((e-49 (vector-ref e-42 7))) (let ((e-50 (vector-ref e-42 8))) (let ((e-51 (vector-ref e-42 9))) (let ((e-52 (vector-ref e-42 10))) (vector e-0 e-1 e-2 e-3 (vector (vector e-53 e-43 e-44 e-45 e-46 e-47 e-48 e-49 e-50 (PreludeC-45TypesC-45List-tailRecAppend e-51 (cons arg-1 '())) e-52) e-33 e-34 e-35 e-36 e-37 e-38 e-39 e-40 e-41) e-32 e-6 e-7 e-8 e-9 e-10 e-11 e-12 e-13 e-14 e-15 e-16 e-17 e-18 e-19 e-20 e-21 e-22 e-23 e-24 e-25 e-26 e-27 e-28 e-29 e-30 e-31))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-1)))))))))
(define CoreC-45Context-addImportedInc (lambda (arg-0 arg-1 arg-2) (let ((eff-0 (CoreC-45Context-getSession arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--cg (let ((e-4 (vector-ref e-5 4))) e-4))) (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (unbox eff-2))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((sc2 (PreludeC-45Types-elem (csegen-16) (csegen-1640) u--cg (let ((e-21 (vector-ref e-5 21))) e-21)))) (cond ((equal? sc2 1) ((let ((sc3 (DataC-45List-lookup (csegen-1640) u--cg arg-2))) (if (null? sc3) (lambda () (let ((eff-2 (CoreC-45Context-recordWarning arg-0 (vector 5 (string-append "No incremental compile data for " (CoreC-45NameC-45Namespace-u--show_Show_ModuleIdent arg-1)))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (let ((eff-3 (let ((eff-3 arg-0)) (PrimIO-io_bind (let ((eff-4 eff-3)) (lambda (eta-0) (unbox eff-4))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (let ((eff-4 arg-0)) (PrimIO-io_bind (let ((eff-5 eff-4)) (lambda (eta-0) (set-box! eff-5 (let ((e-0 (vector-ref e-8 0))) (let ((e-1 (vector-ref e-8 1))) (let ((e-2 (vector-ref e-8 2))) (let ((e-3 (vector-ref e-8 3))) (let ((e-4 (vector-ref e-8 4))) (let ((e-35 (vector-ref e-8 5))) (let ((e-34 (vector-ref e-8 6))) (let ((e-33 (vector-ref e-8 7))) (let ((e-32 (vector-ref e-8 8))) (let ((e-9 (vector-ref e-8 9))) (let ((e-10 (vector-ref e-8 10))) (let ((e-11 (vector-ref e-8 11))) (let ((e-12 (vector-ref e-8 12))) (let ((e-13 (vector-ref e-8 13))) (let ((e-14 (vector-ref e-8 14))) (let ((e-15 (vector-ref e-8 15))) (let ((e-16 (vector-ref e-8 16))) (let ((e-17 (vector-ref e-8 17))) (let ((e-18 (vector-ref e-8 18))) (let ((e-19 (vector-ref e-8 19))) (let ((e-20 (vector-ref e-8 20))) (let ((e-21 (vector-ref e-8 21))) (let ((e-22 (vector-ref e-8 22))) (let ((e-23 (vector-ref e-8 23))) (let ((e-24 (vector-ref e-8 24))) (let ((e-25 (vector-ref e-8 25))) (let ((e-26 (vector-ref e-8 26))) (let ((e-27 (vector-ref e-8 27))) (let ((e-28 (vector-ref e-8 28))) (let ((e-29 (vector-ref e-8 29))) (let ((e-30 (vector-ref e-8 30))) (let ((e-31 (vector-ref e-8 31))) (vector e-0 e-1 e-2 e-3 e-4 e-35 e-34 e-33 e-32 e-9 e-10 e-11 e-12 e-13 e-14 e-15 e-16 e-17 e-18 e-19 e-20 e-21 e-22 (CoreC-45Context-n--33404-28473-u--drop arg-2 arg-1 arg-0 u--cg e-23) e-24 e-25 e-26 e-27 e-28 e-29 e-30 e-31)))))))))))))))))))))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-5 (let ((sc7 (PreludeC-45EqOrd-u--C-47C-61_Eq_String (CoreC-45NameC-45Namespace-u--show_Show_ModuleIdent arg-1) ""))) (cond ((equal? sc7 1) (let ((eff-5 (CoreC-45Context-getSession arg-0))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-10 (vector-ref lcase-5 1))) (let ((eff-6 (CoreC-45Context-setSession arg-0 (let ((e-0 (vector-ref e-10 0))) (let ((e-1 (vector-ref e-10 1))) (let ((e-2 (vector-ref e-10 2))) (let ((e-3 (vector-ref e-10 3))) (let ((e-4 (vector-ref e-10 4))) (let ((e-29 (vector-ref e-10 5))) (let ((e-28 (vector-ref e-10 6))) (let ((e-27 (vector-ref e-10 7))) (let ((e-26 (vector-ref e-10 8))) (let ((e-25 (vector-ref e-10 9))) (let ((e-24 (vector-ref e-10 10))) (let ((e-11 (vector-ref e-10 11))) (let ((e-12 (vector-ref e-10 12))) (let ((e-13 (vector-ref e-10 13))) (let ((e-14 (vector-ref e-10 14))) (let ((e-15 (vector-ref e-10 15))) (let ((e-16 (vector-ref e-10 16))) (let ((e-17 (vector-ref e-10 17))) (let ((e-18 (vector-ref e-10 18))) (let ((e-19 (vector-ref e-10 19))) (let ((e-20 (vector-ref e-10 20))) (let ((e-21 (vector-ref e-10 21))) (let ((e-22 (vector-ref e-10 22))) (let ((e-23 (vector-ref e-10 23))) (vector e-0 e-1 e-2 e-3 e-4 e-29 e-28 e-27 e-26 e-25 e-24 e-11 e-12 e-13 e-14 e-15 e-16 e-17 e-18 e-19 e-20 (DataC-45List-delete (csegen-1640) u--cg e-21) e-22 e-23)))))))))))))))))))))))))))) eff-6)))))))) (else (lambda (eta-0) (vector 1 (vector 0 )))))))) eff-5)))))))) eff-4))))))))) eff-3))))))) (let ((e-2 (unbox sc3))) (let ((e-8 (car e-2))) (let ((e-7 (cdr e-2))) (lambda () (let ((eff-2 arg-0)) (PrimIO-io_bind (let ((eff-3 eff-2)) (lambda (eta-0) (set-box! eff-3 (let ((e-0 (vector-ref e-6 0))) (let ((e-1 (vector-ref e-6 1))) (let ((e-36 (vector-ref e-6 2))) (let ((e-3 (vector-ref e-6 3))) (let ((e-4 (vector-ref e-6 4))) (let ((e-35 (vector-ref e-6 5))) (let ((e-34 (vector-ref e-6 6))) (let ((e-33 (vector-ref e-6 7))) (let ((e-32 (vector-ref e-6 8))) (let ((e-9 (vector-ref e-6 9))) (let ((e-10 (vector-ref e-6 10))) (let ((e-11 (vector-ref e-6 11))) (let ((e-12 (vector-ref e-6 12))) (let ((e-13 (vector-ref e-6 13))) (let ((e-14 (vector-ref e-6 14))) (let ((e-15 (vector-ref e-6 15))) (let ((e-16 (vector-ref e-6 16))) (let ((e-17 (vector-ref e-6 17))) (let ((e-18 (vector-ref e-6 18))) (let ((e-19 (vector-ref e-6 19))) (let ((e-20 (vector-ref e-6 20))) (let ((e-21 (vector-ref e-6 21))) (let ((e-22 (vector-ref e-6 22))) (let ((e-23 (vector-ref e-6 23))) (let ((e-24 (vector-ref e-6 24))) (let ((e-25 (vector-ref e-6 25))) (let ((e-26 (vector-ref e-6 26))) (let ((e-27 (vector-ref e-6 27))) (let ((e-28 (vector-ref e-6 28))) (let ((e-29 (vector-ref e-6 29))) (let ((e-30 (vector-ref e-6 30))) (let ((e-31 (vector-ref e-6 31))) (vector e-0 e-1 e-36 e-3 e-4 e-35 e-34 e-33 e-32 e-9 e-10 e-11 e-12 e-13 e-14 e-15 e-16 e-17 e-18 e-19 e-20 e-21 e-22 (CoreC-45Context-n--33404-28472-u--addMod arg-2 arg-1 arg-0 u--cg (cons e-8 e-7) e-23) e-24 e-25 e-26 e-27 e-28 e-29 e-30 e-31)))))))))))))))))))))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))))))))) (else (lambda (eta-0) (vector 1 (vector 0 )))))))) eff-2)))))))))) eff-1)))))))))
(define CoreC-45Context-addImported (lambda (arg-0 arg-1) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (let ((e-0 (vector-ref e-5 0))) (let ((e-1 (vector-ref e-5 1))) (let ((e-2 (vector-ref e-5 2))) (let ((e-3 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-32 (vector-ref e-5 5))) (let ((e-6 (vector-ref e-5 6))) (let ((e-7 (vector-ref e-5 7))) (let ((e-8 (vector-ref e-5 8))) (let ((e-9 (vector-ref e-5 9))) (let ((e-10 (vector-ref e-5 10))) (let ((e-11 (vector-ref e-5 11))) (let ((e-12 (vector-ref e-5 12))) (let ((e-13 (vector-ref e-5 13))) (let ((e-14 (vector-ref e-5 14))) (let ((e-15 (vector-ref e-5 15))) (let ((e-16 (vector-ref e-5 16))) (let ((e-17 (vector-ref e-5 17))) (let ((e-18 (vector-ref e-5 18))) (let ((e-19 (vector-ref e-5 19))) (let ((e-20 (vector-ref e-5 20))) (let ((e-21 (vector-ref e-5 21))) (let ((e-22 (vector-ref e-5 22))) (let ((e-23 (vector-ref e-5 23))) (let ((e-24 (vector-ref e-5 24))) (let ((e-25 (vector-ref e-5 25))) (let ((e-26 (vector-ref e-5 26))) (let ((e-27 (vector-ref e-5 27))) (let ((e-28 (vector-ref e-5 28))) (let ((e-29 (vector-ref e-5 29))) (let ((e-30 (vector-ref e-5 30))) (let ((e-31 (vector-ref e-5 31))) (vector e-0 e-1 e-2 e-3 e-4 e-32 e-6 e-7 e-8 e-9 e-10 e-11 e-12 e-13 e-14 e-15 e-16 e-17 (cons arg-1 e-18) e-19 e-20 e-21 e-22 e-23 e-24 e-25 e-26 e-27 e-28 e-29 e-30 e-31)))))))))))))))))))))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-1)))))))))
(define CoreC-45Context-addHintFor (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) arg-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toResolvedNames arg-0 (csegen-81) arg-3))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((u--hs (let ((sc3 (LibrariesC-45DataC-45NameMap-lookup e-6 (let ((e-32 (vector-ref e-5 7))) e-32)))) (if (null? sc3) '() (let ((e-1 (unbox sc3))) e-1))))) (cond ((equal? arg-5 1) (let ((eff-3 arg-0)) (PrimIO-io_bind (let ((eff-4 eff-3)) (lambda (eta-0) (set-box! eff-4 (let ((e-0 (vector-ref e-5 0))) (let ((e-1 (vector-ref e-5 1))) (let ((e-2 (vector-ref e-5 2))) (let ((e-3 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-34 (vector-ref e-5 5))) (let ((e-33 (vector-ref e-5 6))) (let ((e-32 (vector-ref e-5 7))) (let ((e-8 (vector-ref e-5 8))) (let ((e-9 (vector-ref e-5 9))) (let ((e-10 (vector-ref e-5 10))) (let ((e-11 (vector-ref e-5 11))) (let ((e-12 (vector-ref e-5 12))) (let ((e-13 (vector-ref e-5 13))) (let ((e-14 (vector-ref e-5 14))) (let ((e-15 (vector-ref e-5 15))) (let ((e-16 (vector-ref e-5 16))) (let ((e-17 (vector-ref e-5 17))) (let ((e-18 (vector-ref e-5 18))) (let ((e-19 (vector-ref e-5 19))) (let ((e-20 (vector-ref e-5 20))) (let ((e-21 (vector-ref e-5 21))) (let ((e-22 (vector-ref e-5 22))) (let ((e-23 (vector-ref e-5 23))) (let ((e-24 (vector-ref e-5 24))) (let ((e-25 (vector-ref e-5 25))) (let ((e-26 (vector-ref e-5 26))) (let ((e-27 (vector-ref e-5 27))) (let ((e-28 (vector-ref e-5 28))) (let ((e-29 (vector-ref e-5 29))) (let ((e-30 (vector-ref e-5 30))) (let ((e-31 (vector-ref e-5 31))) (vector e-0 e-1 e-2 e-3 e-4 e-34 e-33 (LibrariesC-45DataC-45NameMap-insert e-6 (cons (cons e-7 arg-4) u--hs) e-32) e-8 e-9 e-10 e-11 e-12 e-13 e-14 e-15 e-16 e-17 e-18 e-19 e-20 e-21 e-22 e-23 e-24 e-25 e-26 e-27 e-28 e-29 e-30 e-31)))))))))))))))))))))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (else (let ((eff-3 arg-0)) (PrimIO-io_bind (let ((eff-4 eff-3)) (lambda (eta-0) (set-box! eff-4 (let ((e-0 (vector-ref e-5 0))) (let ((e-1 (vector-ref e-5 1))) (let ((e-2 (vector-ref e-5 2))) (let ((e-3 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-34 (vector-ref e-5 5))) (let ((e-33 (vector-ref e-5 6))) (let ((e-32 (vector-ref e-5 7))) (let ((e-8 (vector-ref e-5 8))) (let ((e-9 (vector-ref e-5 9))) (let ((e-10 (vector-ref e-5 10))) (let ((e-11 (vector-ref e-5 11))) (let ((e-12 (vector-ref e-5 12))) (let ((e-13 (vector-ref e-5 13))) (let ((e-14 (vector-ref e-5 14))) (let ((e-15 (vector-ref e-5 15))) (let ((e-16 (vector-ref e-5 16))) (let ((e-17 (vector-ref e-5 17))) (let ((e-18 (vector-ref e-5 18))) (let ((e-19 (vector-ref e-5 19))) (let ((e-20 (vector-ref e-5 20))) (let ((e-21 (vector-ref e-5 21))) (let ((e-22 (vector-ref e-5 22))) (let ((e-23 (vector-ref e-5 23))) (let ((e-24 (vector-ref e-5 24))) (let ((e-25 (vector-ref e-5 25))) (let ((e-26 (vector-ref e-5 26))) (let ((e-27 (vector-ref e-5 27))) (let ((e-28 (vector-ref e-5 28))) (let ((e-29 (vector-ref e-5 29))) (let ((e-30 (vector-ref e-5 30))) (let ((e-31 (vector-ref e-5 31))) (vector e-0 e-1 e-2 e-3 e-4 e-34 e-33 (LibrariesC-45DataC-45NameMap-insert e-6 (cons (cons e-7 arg-4) u--hs) e-32) e-8 e-9 e-10 (cons (cons e-6 (cons e-7 arg-4)) e-11) e-12 e-13 e-14 e-15 e-16 e-17 e-18 e-19 e-20 e-21 e-22 e-23 e-24 e-25 e-26 e-27 e-28 e-29 e-30 e-31)))))))))))))))))))))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))
(define CoreC-45Context-addHashWithNames (lambda (arg-1 arg-2 arg-3 arg-4) (let ((eff-0 (CoreC-45Context-toFullNames arg-1 arg-3 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45Context-addHash arg-1 arg-2 e-5))) eff-1)))))))))
(define CoreC-45Context-addHash (lambda (arg-1 arg-2 arg-3) (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 arg-1)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (let ((e-0 (vector-ref e-5 0))) (let ((e-1 (vector-ref e-5 1))) (let ((e-2 (vector-ref e-5 2))) (let ((e-3 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-32 (vector-ref e-5 5))) (let ((e-6 (vector-ref e-5 6))) (let ((e-7 (vector-ref e-5 7))) (let ((e-8 (vector-ref e-5 8))) (let ((e-9 (vector-ref e-5 9))) (let ((e-10 (vector-ref e-5 10))) (let ((e-11 (vector-ref e-5 11))) (let ((e-12 (vector-ref e-5 12))) (let ((e-13 (vector-ref e-5 13))) (let ((e-14 (vector-ref e-5 14))) (let ((e-15 (vector-ref e-5 15))) (let ((e-16 (vector-ref e-5 16))) (let ((e-17 (vector-ref e-5 17))) (let ((e-18 (vector-ref e-5 18))) (let ((e-19 (vector-ref e-5 19))) (let ((e-20 (vector-ref e-5 20))) (let ((e-21 (vector-ref e-5 21))) (let ((e-22 (vector-ref e-5 22))) (let ((e-23 (vector-ref e-5 23))) (let ((e-24 (vector-ref e-5 24))) (let ((e-25 (vector-ref e-5 25))) (let ((e-26 (vector-ref e-5 26))) (let ((e-27 (vector-ref e-5 27))) (let ((e-28 (vector-ref e-5 28))) (let ((e-29 (vector-ref e-5 29))) (let ((e-30 (vector-ref e-5 30))) (let ((e-31 (vector-ref e-5 31))) (vector e-0 e-1 e-2 e-3 e-4 e-32 e-6 e-7 e-8 e-9 e-10 e-11 e-12 e-13 e-14 e-15 (PreludeC-45Basics-flip (lambda (eta-1) (lambda (eta-2) (let ((e-33 (cdr arg-2))) ((e-33 eta-1) eta-2)))) arg-3 e-16) e-17 e-18 e-19 e-20 e-21 e-22 e-23 e-24 e-25 e-26 e-27 e-28 e-29 e-30 e-31)))))))))))))))))))))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-1)))))))))
(define CoreC-45Context-addGlobalHint (lambda (arg-0 arg-1 arg-2) (let ((eff-0 (CoreC-45Context-toResolvedNames arg-0 (csegen-81) arg-1))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (unbox eff-2))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 arg-0)) (PrimIO-io_bind (let ((eff-3 eff-2)) (lambda (eta-0) (set-box! eff-3 (let ((e-0 (vector-ref e-6 0))) (let ((e-1 (vector-ref e-6 1))) (let ((e-2 (vector-ref e-6 2))) (let ((e-3 (vector-ref e-6 3))) (let ((e-4 (vector-ref e-6 4))) (let ((e-33 (vector-ref e-6 5))) (let ((e-32 (vector-ref e-6 6))) (let ((e-7 (vector-ref e-6 7))) (let ((e-8 (vector-ref e-6 8))) (let ((e-9 (vector-ref e-6 9))) (let ((e-10 (vector-ref e-6 10))) (let ((e-11 (vector-ref e-6 11))) (let ((e-12 (vector-ref e-6 12))) (let ((e-13 (vector-ref e-6 13))) (let ((e-14 (vector-ref e-6 14))) (let ((e-15 (vector-ref e-6 15))) (let ((e-16 (vector-ref e-6 16))) (let ((e-17 (vector-ref e-6 17))) (let ((e-18 (vector-ref e-6 18))) (let ((e-19 (vector-ref e-6 19))) (let ((e-20 (vector-ref e-6 20))) (let ((e-21 (vector-ref e-6 21))) (let ((e-22 (vector-ref e-6 22))) (let ((e-23 (vector-ref e-6 23))) (let ((e-24 (vector-ref e-6 24))) (let ((e-25 (vector-ref e-6 25))) (let ((e-26 (vector-ref e-6 26))) (let ((e-27 (vector-ref e-6 27))) (let ((e-28 (vector-ref e-6 28))) (let ((e-29 (vector-ref e-6 29))) (let ((e-30 (vector-ref e-6 30))) (let ((e-31 (vector-ref e-6 31))) (vector e-0 e-1 e-2 e-3 e-4 e-33 e-32 e-7 (LibrariesC-45DataC-45NameMap-insert e-5 arg-2 e-8) e-9 e-10 e-11 (cons (cons e-5 arg-2) e-12) e-13 e-14 e-15 e-16 e-17 e-18 e-19 e-20 e-21 e-22 e-23 e-24 e-25 e-26 e-27 e-28 e-29 e-30 e-31)))))))))))))))))))))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-2))))))))) eff-1)))))))))
(define CoreC-45Context-addExtraDir (lambda (arg-0 arg-1) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (let ((e-0 (vector-ref e-5 0))) (let ((e-1 (vector-ref e-5 1))) (let ((e-2 (vector-ref e-5 2))) (let ((e-3 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-32 (vector-ref e-5 5))) (let ((e-6 (vector-ref e-5 6))) (let ((e-7 (vector-ref e-5 7))) (let ((e-8 (vector-ref e-5 8))) (let ((e-9 (vector-ref e-5 9))) (let ((e-10 (vector-ref e-5 10))) (let ((e-11 (vector-ref e-5 11))) (let ((e-12 (vector-ref e-5 12))) (let ((e-13 (vector-ref e-5 13))) (let ((e-14 (vector-ref e-5 14))) (let ((e-15 (vector-ref e-5 15))) (let ((e-16 (vector-ref e-5 16))) (let ((e-17 (vector-ref e-5 17))) (let ((e-18 (vector-ref e-5 18))) (let ((e-19 (vector-ref e-5 19))) (let ((e-20 (vector-ref e-5 20))) (let ((e-21 (vector-ref e-5 21))) (let ((e-22 (vector-ref e-5 22))) (let ((e-23 (vector-ref e-5 23))) (let ((e-24 (vector-ref e-5 24))) (let ((e-25 (vector-ref e-5 25))) (let ((e-26 (vector-ref e-5 26))) (let ((e-27 (vector-ref e-5 27))) (let ((e-28 (vector-ref e-5 28))) (let ((e-29 (vector-ref e-5 29))) (let ((e-30 (vector-ref e-5 30))) (let ((e-31 (vector-ref e-5 31))) (let ((e-42 (vector-ref e-4 0))) (let ((e-33 (vector-ref e-4 1))) (let ((e-34 (vector-ref e-4 2))) (let ((e-35 (vector-ref e-4 3))) (let ((e-36 (vector-ref e-4 4))) (let ((e-37 (vector-ref e-4 5))) (let ((e-38 (vector-ref e-4 6))) (let ((e-39 (vector-ref e-4 7))) (let ((e-40 (vector-ref e-4 8))) (let ((e-41 (vector-ref e-4 9))) (let ((e-53 (vector-ref e-42 0))) (let ((e-43 (vector-ref e-42 1))) (let ((e-44 (vector-ref e-42 2))) (let ((e-45 (vector-ref e-42 3))) (let ((e-46 (vector-ref e-42 4))) (let ((e-47 (vector-ref e-42 5))) (let ((e-48 (vector-ref e-42 6))) (let ((e-49 (vector-ref e-42 7))) (let ((e-50 (vector-ref e-42 8))) (let ((e-51 (vector-ref e-42 9))) (let ((e-52 (vector-ref e-42 10))) (vector e-0 e-1 e-2 e-3 (vector (vector e-53 e-43 e-44 e-45 e-46 e-47 e-48 (PreludeC-45TypesC-45List-tailRecAppend e-49 (cons arg-1 '())) e-50 e-51 e-52) e-33 e-34 e-35 e-36 e-37 e-38 e-39 e-40 e-41) e-32 e-6 e-7 e-8 e-9 e-10 e-11 e-12 e-13 e-14 e-15 e-16 e-17 e-18 e-19 e-20 e-21 e-22 e-23 e-24 e-25 e-26 e-27 e-28 e-29 e-30 e-31))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-1)))))))))
(define CoreC-45Context-addEntry (lambda (arg-0 arg-1 arg-2) (let ((sc0 (or (and (= (let ((e-5 (vector-ref arg-2 5))) e-5) 0) 1) 0))) (cond ((equal? sc0 1) (let ((eff-0 (CoreC-45Context-getPosition arg-0 arg-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((e-2 (car e-5))) (let ((e-3 (cdr e-5))) (let ((u--a (let ((e-4 (vector-ref e-3 4))) e-4))) (let ((eff-1 (let ((eff-1 u--a)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (unbox eff-2))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (PrimIO-io_bind (LibrariesC-45DataC-45IOArray-writeArray (csegen-40) e-6 e-2 arg-1) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-3 (lambda (eta-0) (vector 1 (cons e-2 e-3))))) eff-3)))))))) eff-2)))))))))))) eff-1)))))))) (else (let ((eff-0 (CoreC-45Context-getPosition arg-0 arg-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (clam-0) (let ((e-2 (car e-5))) (let ((e-3 (cdr e-5))) (vector 1 (cons e-2 (let ((e-0 (vector-ref e-3 0))) (let ((e-1 (vector-ref e-3 1))) (let ((e-14 (vector-ref e-3 2))) (let ((e-13 (vector-ref e-3 3))) (let ((e-4 (vector-ref e-3 4))) (let ((e-12 (vector-ref e-3 5))) (let ((e-6 (vector-ref e-3 6))) (let ((e-7 (vector-ref e-3 7))) (let ((e-8 (vector-ref e-3 8))) (let ((e-9 (vector-ref e-3 9))) (let ((e-10 (vector-ref e-3 10))) (let ((e-11 (vector-ref e-3 11))) (vector e-0 e-1 e-14 e-13 e-4 e-12 (LibrariesC-45DataC-45IntMap-insert e-2 arg-1 e-6) e-7 e-8 e-9 e-10 e-11)))))))))))))))))))) eff-1))))))))))))
(define CoreC-45Context-addDirective (lambda (arg-0 arg-1 arg-2) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((sc1 (CoreC-45Options-getCG (let ((e-4 (vector-ref e-5 4))) e-4) arg-1))) (if (null? sc1) (PrimIO-io_bind (PreludeC-45IO-putStrLn (csegen-40) (string-append "Unknown code generator " arg-1)) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))) (let ((e-2 (unbox sc1))) (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (let ((e-0 (vector-ref e-5 0))) (let ((e-1 (vector-ref e-5 1))) (let ((e-33 (vector-ref e-5 2))) (let ((e-3 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-32 (vector-ref e-5 5))) (let ((e-6 (vector-ref e-5 6))) (let ((e-7 (vector-ref e-5 7))) (let ((e-8 (vector-ref e-5 8))) (let ((e-9 (vector-ref e-5 9))) (let ((e-10 (vector-ref e-5 10))) (let ((e-11 (vector-ref e-5 11))) (let ((e-12 (vector-ref e-5 12))) (let ((e-13 (vector-ref e-5 13))) (let ((e-14 (vector-ref e-5 14))) (let ((e-15 (vector-ref e-5 15))) (let ((e-16 (vector-ref e-5 16))) (let ((e-17 (vector-ref e-5 17))) (let ((e-18 (vector-ref e-5 18))) (let ((e-19 (vector-ref e-5 19))) (let ((e-20 (vector-ref e-5 20))) (let ((e-21 (vector-ref e-5 21))) (let ((e-22 (vector-ref e-5 22))) (let ((e-23 (vector-ref e-5 23))) (let ((e-24 (vector-ref e-5 24))) (let ((e-25 (vector-ref e-5 25))) (let ((e-26 (vector-ref e-5 26))) (let ((e-27 (vector-ref e-5 27))) (let ((e-28 (vector-ref e-5 28))) (let ((e-29 (vector-ref e-5 29))) (let ((e-30 (vector-ref e-5 30))) (let ((e-31 (vector-ref e-5 31))) (vector e-0 e-1 e-33 e-3 e-4 e-32 e-6 e-7 e-8 e-9 e-10 e-11 e-12 e-13 e-14 e-15 e-16 e-17 e-18 e-19 (cons (cons e-2 arg-2) e-20) e-21 e-22 e-23 e-24 e-25 e-26 e-27 e-28 e-29 e-30 e-31)))))))))))))))))))))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))))))) eff-1)))))))))
(define CoreC-45Context-addDef (lambda (arg-0 arg-1 arg-2) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-addCtxt arg-1 arg-2 (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((e-2 (car e-6))) (let ((e-3 (cdr e-6))) (let ((eff-2 (let ((eff-2 arg-0)) (PrimIO-io_bind (let ((eff-3 eff-2)) (lambda (eta-0) (set-box! eff-3 (let ((e-1 (vector-ref e-5 1))) (let ((e-35 (vector-ref e-5 2))) (let ((e-34 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-33 (vector-ref e-5 5))) (let ((e-32 (vector-ref e-5 6))) (let ((e-7 (vector-ref e-5 7))) (let ((e-8 (vector-ref e-5 8))) (let ((e-9 (vector-ref e-5 9))) (let ((e-10 (vector-ref e-5 10))) (let ((e-11 (vector-ref e-5 11))) (let ((e-12 (vector-ref e-5 12))) (let ((e-13 (vector-ref e-5 13))) (let ((e-14 (vector-ref e-5 14))) (let ((e-15 (vector-ref e-5 15))) (let ((e-16 (vector-ref e-5 16))) (let ((e-17 (vector-ref e-5 17))) (let ((e-18 (vector-ref e-5 18))) (let ((e-19 (vector-ref e-5 19))) (let ((e-20 (vector-ref e-5 20))) (let ((e-21 (vector-ref e-5 21))) (let ((e-22 (vector-ref e-5 22))) (let ((e-23 (vector-ref e-5 23))) (let ((e-24 (vector-ref e-5 24))) (let ((e-25 (vector-ref e-5 25))) (let ((e-26 (vector-ref e-5 26))) (let ((e-27 (vector-ref e-5 27))) (let ((e-28 (vector-ref e-5 28))) (let ((e-29 (vector-ref e-5 29))) (let ((e-30 (vector-ref e-5 30))) (let ((e-31 (vector-ref e-5 31))) (vector e-3 e-1 e-35 e-34 e-4 e-33 e-32 e-7 e-8 e-9 e-10 e-11 e-12 e-13 e-14 e-15 e-16 e-17 e-18 e-19 e-20 e-21 e-22 e-23 e-24 e-25 e-26 e-27 e-28 e-29 e-30 e-31))))))))))))))))))))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-3 (let ((eff-3 (let ((e-17 (vector-ref arg-2 17))) (case (vector-ref e-17 0) ((0) (lambda (eta-0) (vector 1 (vector 0 )))) ((7) (lambda (eta-0) (vector 1 (vector 0 ))))(else (CoreC-45Context-clearUserHole arg-0 (let ((e-47 (vector-ref arg-2 1))) e-47))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-4 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-4 (lambda (eta-0) (vector 1 e-2)))) eff-4)))))))) eff-3)))))))))) eff-2))))))))) eff-1)))))))))
(define CoreC-45Context-addDataDir (lambda (arg-0 arg-1) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (let ((e-0 (vector-ref e-5 0))) (let ((e-1 (vector-ref e-5 1))) (let ((e-2 (vector-ref e-5 2))) (let ((e-3 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-32 (vector-ref e-5 5))) (let ((e-6 (vector-ref e-5 6))) (let ((e-7 (vector-ref e-5 7))) (let ((e-8 (vector-ref e-5 8))) (let ((e-9 (vector-ref e-5 9))) (let ((e-10 (vector-ref e-5 10))) (let ((e-11 (vector-ref e-5 11))) (let ((e-12 (vector-ref e-5 12))) (let ((e-13 (vector-ref e-5 13))) (let ((e-14 (vector-ref e-5 14))) (let ((e-15 (vector-ref e-5 15))) (let ((e-16 (vector-ref e-5 16))) (let ((e-17 (vector-ref e-5 17))) (let ((e-18 (vector-ref e-5 18))) (let ((e-19 (vector-ref e-5 19))) (let ((e-20 (vector-ref e-5 20))) (let ((e-21 (vector-ref e-5 21))) (let ((e-22 (vector-ref e-5 22))) (let ((e-23 (vector-ref e-5 23))) (let ((e-24 (vector-ref e-5 24))) (let ((e-25 (vector-ref e-5 25))) (let ((e-26 (vector-ref e-5 26))) (let ((e-27 (vector-ref e-5 27))) (let ((e-28 (vector-ref e-5 28))) (let ((e-29 (vector-ref e-5 29))) (let ((e-30 (vector-ref e-5 30))) (let ((e-31 (vector-ref e-5 31))) (let ((e-42 (vector-ref e-4 0))) (let ((e-33 (vector-ref e-4 1))) (let ((e-34 (vector-ref e-4 2))) (let ((e-35 (vector-ref e-4 3))) (let ((e-36 (vector-ref e-4 4))) (let ((e-37 (vector-ref e-4 5))) (let ((e-38 (vector-ref e-4 6))) (let ((e-39 (vector-ref e-4 7))) (let ((e-40 (vector-ref e-4 8))) (let ((e-41 (vector-ref e-4 9))) (let ((e-53 (vector-ref e-42 0))) (let ((e-43 (vector-ref e-42 1))) (let ((e-44 (vector-ref e-42 2))) (let ((e-45 (vector-ref e-42 3))) (let ((e-46 (vector-ref e-42 4))) (let ((e-47 (vector-ref e-42 5))) (let ((e-48 (vector-ref e-42 6))) (let ((e-49 (vector-ref e-42 7))) (let ((e-50 (vector-ref e-42 8))) (let ((e-51 (vector-ref e-42 9))) (let ((e-52 (vector-ref e-42 10))) (vector e-0 e-1 e-2 e-3 (vector (vector e-53 e-43 e-44 e-45 e-46 e-47 e-48 e-49 e-50 e-51 (PreludeC-45TypesC-45List-tailRecAppend e-52 (cons arg-1 '()))) e-33 e-34 e-35 e-36 e-37 e-38 e-39 e-40 e-41) e-32 e-6 e-7 e-8 e-9 e-10 e-11 e-12 e-13 e-14 e-15 e-16 e-17 e-18 e-19 e-20 e-21 e-22 e-23 e-24 e-25 e-26 e-27 e-28 e-29 e-30 e-31))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-1)))))))))
(define CoreC-45Context-addCtxt (lambda (arg-0 arg-1 arg-2) (let ((sc0 (or (and (= (let ((e-5 (vector-ref arg-2 5))) e-5) 0) 1) 0))) (cond ((equal? sc0 1) (let ((eff-0 (CoreC-45Context-getPosition arg-0 arg-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((e-2 (car e-5))) (let ((e-3 (cdr e-5))) (let ((u--a (let ((e-4 (vector-ref e-3 4))) e-4))) (let ((eff-1 (let ((eff-1 u--a)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (unbox eff-2))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (PrimIO-io_bind (LibrariesC-45DataC-45IOArray-writeArray (csegen-40) e-6 e-2 (vector 1 arg-1)) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-3 (lambda (eta-0) (vector 1 (cons e-2 e-3))))) eff-3)))))))) eff-2)))))))))))) eff-1)))))))) (else (let ((eff-0 (CoreC-45Context-getPosition arg-0 arg-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (clam-0) (let ((e-2 (car e-5))) (let ((e-3 (cdr e-5))) (vector 1 (cons e-2 (let ((e-0 (vector-ref e-3 0))) (let ((e-1 (vector-ref e-3 1))) (let ((e-14 (vector-ref e-3 2))) (let ((e-13 (vector-ref e-3 3))) (let ((e-4 (vector-ref e-3 4))) (let ((e-12 (vector-ref e-3 5))) (let ((e-6 (vector-ref e-3 6))) (let ((e-7 (vector-ref e-3 7))) (let ((e-8 (vector-ref e-3 8))) (let ((e-9 (vector-ref e-3 9))) (let ((e-10 (vector-ref e-3 10))) (let ((e-11 (vector-ref e-3 11))) (vector e-0 e-1 e-14 e-13 e-4 e-12 (LibrariesC-45DataC-45IntMap-insert e-2 (vector 1 arg-1) e-6) e-7 e-8 e-9 e-10 e-11)))))))))))))))))))) eff-1))))))))))))
(define CoreC-45Context-addContextEntry (lambda (arg-0 arg-1 arg-2 arg-3) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-addEntry arg-2 (vector 0 arg-1 arg-3) (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((e-2 (car e-6))) (let ((e-3 (cdr e-6))) (let ((eff-2 (let ((eff-2 arg-0)) (PrimIO-io_bind (let ((eff-3 eff-2)) (lambda (eta-0) (set-box! eff-3 (let ((e-1 (vector-ref e-5 1))) (let ((e-35 (vector-ref e-5 2))) (let ((e-34 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-33 (vector-ref e-5 5))) (let ((e-32 (vector-ref e-5 6))) (let ((e-7 (vector-ref e-5 7))) (let ((e-8 (vector-ref e-5 8))) (let ((e-9 (vector-ref e-5 9))) (let ((e-10 (vector-ref e-5 10))) (let ((e-11 (vector-ref e-5 11))) (let ((e-12 (vector-ref e-5 12))) (let ((e-13 (vector-ref e-5 13))) (let ((e-14 (vector-ref e-5 14))) (let ((e-15 (vector-ref e-5 15))) (let ((e-16 (vector-ref e-5 16))) (let ((e-17 (vector-ref e-5 17))) (let ((e-18 (vector-ref e-5 18))) (let ((e-19 (vector-ref e-5 19))) (let ((e-20 (vector-ref e-5 20))) (let ((e-21 (vector-ref e-5 21))) (let ((e-22 (vector-ref e-5 22))) (let ((e-23 (vector-ref e-5 23))) (let ((e-24 (vector-ref e-5 24))) (let ((e-25 (vector-ref e-5 25))) (let ((e-26 (vector-ref e-5 26))) (let ((e-27 (vector-ref e-5 27))) (let ((e-28 (vector-ref e-5 28))) (let ((e-29 (vector-ref e-5 29))) (let ((e-30 (vector-ref e-5 30))) (let ((e-31 (vector-ref e-5 31))) (vector e-3 e-1 e-35 e-34 e-4 e-33 e-32 e-7 e-8 e-9 e-10 e-11 e-12 e-13 e-14 e-15 e-16 e-17 e-18 e-19 e-20 e-21 e-22 e-23 e-24 e-25 e-26 e-27 e-28 e-29 e-30 e-31))))))))))))))))))))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-3 (lambda (eta-0) (vector 1 e-2)))) eff-3)))))))))) eff-2))))))))) eff-1)))))))))
(define CoreC-45Context-addContextAlias (lambda (arg-0 arg-1 arg-2) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-lookupCtxtExact arg-1 (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-6) (let ((eff-2 (CoreC-45Context-newAlias arg-1 arg-2 (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 arg-0)) (PrimIO-io_bind (let ((eff-4 eff-3)) (lambda (eta-0) (set-box! eff-4 (let ((e-1 (vector-ref e-5 1))) (let ((e-2 (vector-ref e-5 2))) (let ((e-3 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-34 (vector-ref e-5 5))) (let ((e-33 (vector-ref e-5 6))) (let ((e-32 (vector-ref e-5 7))) (let ((e-8 (vector-ref e-5 8))) (let ((e-9 (vector-ref e-5 9))) (let ((e-10 (vector-ref e-5 10))) (let ((e-11 (vector-ref e-5 11))) (let ((e-12 (vector-ref e-5 12))) (let ((e-13 (vector-ref e-5 13))) (let ((e-14 (vector-ref e-5 14))) (let ((e-15 (vector-ref e-5 15))) (let ((e-16 (vector-ref e-5 16))) (let ((e-17 (vector-ref e-5 17))) (let ((e-18 (vector-ref e-5 18))) (let ((e-19 (vector-ref e-5 19))) (let ((e-20 (vector-ref e-5 20))) (let ((e-21 (vector-ref e-5 21))) (let ((e-22 (vector-ref e-5 22))) (let ((e-23 (vector-ref e-5 23))) (let ((e-24 (vector-ref e-5 24))) (let ((e-25 (vector-ref e-5 25))) (let ((e-26 (vector-ref e-5 26))) (let ((e-27 (vector-ref e-5 27))) (let ((e-28 (vector-ref e-5 28))) (let ((e-29 (vector-ref e-5 29))) (let ((e-30 (vector-ref e-5 30))) (let ((e-31 (vector-ref e-5 31))) (vector e-7 e-1 e-2 e-3 e-4 e-34 e-33 e-32 e-8 e-9 e-10 e-11 e-12 e-13 e-14 e-15 e-16 e-17 e-18 e-19 e-20 e-21 e-22 e-23 e-24 e-25 e-26 e-27 e-28 e-29 e-30 e-31))))))))))))))))))))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-3))))))) (lambda (eta-0) (vector 1 (vector 0 )))))) eff-2))))))))) eff-1)))))))))
(define CoreC-45Context-addBuiltin (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (let ((eff-0 (CoreC-45Context-addDef arg-1 arg-2 (vector (CoreC-45FC-emptyFC) arg-2 arg-3 '() '() '() '() (AlgebraC-45ZeroOneOmega-u--top_Top_ZeroOneOmega) '() 2 arg-4 (cons (vector 0 ) '()) '() '() 0 0 1 (vector 4 arg-0 arg-5) '() '() '() '())))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-6) (lambda (arg-7) ((((eff-1 'erased) 'erased) arg-6) arg-7)))) (lambda (_-8679) (vector 0 )))) eff-0))))
(define CoreC-45Context-addAlias (lambda (arg-0 arg-1 arg-2 arg-3) (CoreC-45Context-case--addAlias-4962 arg-3 arg-2 arg-1 arg-0 (CoreC-45Name-userNameRoot arg-0))))
(define CoreC-45Context-Grow(blodwen-lazy (lambda () (CoreC-45Context-initSize))))
(define SystemC-45Clock-with--clockTime-2303 (lambda (arg-0 arg-1) (cond ((equal? arg-1 0) (PrimIO-io_bind (lambda (eta-0) (SystemC-45Clock-fetchOSClock arg-0 eta-0)) (lambda (eta-0) (SystemC-45Clock-fromOSClock arg-0 eta-0)))) (else (PrimIO-io_bind (lambda (eta-0) (SystemC-45Clock-fetchOSClock arg-0 eta-0)) (lambda (u--clk) (PrimIO-io_bind (((csegen-50) (lambda (arg-2) (PreludeC-45EqOrd-u--C-61C-61_Eq_Int arg-2 (blodwen-toSignedInt 1 63)))) (lambda (eta-0) (SystemC-45Clock-osClockValid u--clk eta-0))) (lambda (u--valid) (cond ((equal? u--valid 1) (((csegen-50) (lambda (eta-0) (box eta-0))) (SystemC-45Clock-fromOSClock arg-0 u--clk))) (else (lambda (eta-0) '())))))))))))
(define SystemC-45Clock-seconds (lambda (arg-1) (let ((e-1 (vector-ref arg-1 1))) e-1)))
(define SystemC-45Clock-osClockValid (lambda (arg-0 ext-0) (SystemC-45Clock-prim__osClockValid arg-0 ext-0)))
(define SystemC-45Clock-osClockSecond (lambda (arg-0 ext-0) (SystemC-45Clock-prim__osClockSecond arg-0 ext-0)))
(define SystemC-45Clock-osClockNanosecond (lambda (arg-0 ext-0) (SystemC-45Clock-prim__osClockNanosecond arg-0 ext-0)))
(define SystemC-45Clock-nanoseconds (lambda (arg-1) (let ((e-2 (vector-ref arg-1 2))) e-2)))
(define SystemC-45Clock-isClockMandatory (lambda (arg-0) (cond ((equal? arg-0 5) 1) ((equal? arg-0 6) 1)(else 0))))
(define SystemC-45Clock-fromOSClock (lambda (arg-0 arg-1) (PrimIO-io_bind (lambda (eta-0) (SystemC-45Clock-osClockSecond arg-1 eta-0)) (lambda (bind-0) (PrimIO-io_bind (lambda (eta-0) (SystemC-45Clock-osClockNanosecond arg-1 eta-0)) (lambda (bind-1) (lambda (eta-0) (vector arg-0 bind-0 bind-1))))))))
(define SystemC-45Clock-fetchOSClock (lambda (arg-0 ext-0) (cond ((equal? arg-0 0) (SystemC-45Clock-clockTimeUtc ext-0)) ((equal? arg-0 1) (SystemC-45Clock-clockTimeMonotonic ext-0)) ((equal? arg-0 3) (SystemC-45Clock-clockTimeProcess ext-0)) ((equal? arg-0 4) (SystemC-45Clock-clockTimeThread ext-0)) ((equal? arg-0 5) (SystemC-45Clock-clockTimeGcCpu ext-0)) ((equal? arg-0 6) (SystemC-45Clock-clockTimeGcReal ext-0)) (else (SystemC-45Clock-clockTimeMonotonic ext-0)))))
(define SystemC-45Clock-clockTimeUtc (lambda (ext-0) (SystemC-45Clock-prim__clockTimeUtc ext-0)))
(define SystemC-45Clock-clockTimeThread (lambda (ext-0) (SystemC-45Clock-prim__clockTimeThread ext-0)))
(define SystemC-45Clock-clockTimeProcess (lambda (ext-0) (SystemC-45Clock-prim__clockTimeProcess ext-0)))
(define SystemC-45Clock-clockTimeMonotonic (lambda (ext-0) (SystemC-45Clock-prim__clockTimeMonotonic ext-0)))
(define SystemC-45Clock-clockTimeGcReal (lambda (ext-0) (SystemC-45Clock-prim__clockTimeGcReal ext-0)))
(define SystemC-45Clock-clockTimeGcCpu (lambda (ext-0) (SystemC-45Clock-prim__clockTimeGcCpu ext-0)))
(define SystemC-45Clock-clockTime (lambda (arg-0) (SystemC-45Clock-with--clockTime-2303 arg-0 (SystemC-45Clock-isClockMandatory arg-0))))
(define LibrariesC-45TextC-45DistanceC-45Levenshtein-compute (lambda (arg-1 arg-2 arg-3) (let ((u--w (string-length arg-2))) (let ((u--h (string-length arg-3))) (let ((e-1 (car arg-1))) (let ((e-4 (vector-ref e-1 1))) ((((e-4 'erased) 'erased) (LibrariesC-45DataC-45IOMatrix-new arg-1 (bs+ u--w 1 63) (bs+ u--h 1 63))) (lambda (u--mat) (PreludeC-45Interfaces-C-62C-62 (let ((e-7 (car arg-1))) e-7) (PreludeC-45Interfaces-for_ (let ((e-7 (car arg-1))) (let ((e-10 (vector-ref e-7 0))) e-10)) (csegen-16) (PreludeC-45Types-u--rangeFromTo_Range_C-36a (csegen-302) 0 u--w) (lambda (u--i) (LibrariesC-45DataC-45IOMatrix-write arg-1 u--mat u--i 0 u--i))) (lambda () (PreludeC-45Interfaces-C-62C-62 (let ((e-7 (car arg-1))) e-7) (PreludeC-45Interfaces-for_ (let ((e-7 (car arg-1))) (let ((e-10 (vector-ref e-7 0))) e-10)) (csegen-16) (PreludeC-45Types-u--rangeFromTo_Range_C-36a (csegen-302) 0 u--h) (lambda (u--j) (LibrariesC-45DataC-45IOMatrix-write arg-1 u--mat 0 u--j u--j))) (let ((u--get (lambda (u--i) (lambda (u--j) (let ((e-7 (car arg-1))) (let ((e-9 (vector-ref e-7 1))) ((((e-9 'erased) 'erased) (LibrariesC-45DataC-45IOMatrix-read arg-1 u--mat u--i u--j)) (lambda (bind-0) (if (null? bind-0) (Builtin-idris_crash ((csegen-0) "INTERNAL ERROR: Badly initialised matrix")) (let ((e-11 (unbox bind-0))) (let ((e-13 (car arg-1))) (let ((e-16 (vector-ref e-13 0))) (let ((e-18 (vector-ref e-16 1))) ((e-18 'erased) e-11)))))))))))))) (lambda () (PreludeC-45Interfaces-C-62C-62 (let ((e-7 (car arg-1))) e-7) (PreludeC-45Interfaces-for_ (let ((e-7 (car arg-1))) (let ((e-10 (vector-ref e-7 0))) e-10)) (csegen-16) (PreludeC-45Types-u--rangeFromTo_Range_C-36a (csegen-302) 1 u--h) (lambda (u--j) (PreludeC-45Interfaces-for_ (let ((e-7 (car arg-1))) (let ((e-10 (vector-ref e-7 0))) e-10)) (csegen-16) (PreludeC-45Types-u--rangeFromTo_Range_C-36a (csegen-302) 1 u--w) (lambda (u--i) (let ((u--cost (let ((u--c (string-ref arg-2 (bs- u--i 1 63)))) (let ((u--d (string-ref arg-3 (bs- u--j 1 63)))) (let ((sc1 (PreludeC-45EqOrd-u--C-61C-61_Eq_Char u--c u--d))) (cond ((equal? sc1 1) (blodwen-toSignedInt 0 63)) (else (let ((sc2 (let ((sc3 (PreludeC-45Types-isAlpha u--c))) (cond ((equal? sc3 1) (PreludeC-45Types-isAlpha u--d)) (else 0))))) (cond ((equal? sc2 1) (blodwen-toSignedInt 1 63)) (else (let ((sc3 (let ((sc4 (PreludeC-45Types-isDigit u--c))) (cond ((equal? sc4 1) (PreludeC-45Types-isDigit u--d)) (else 0))))) (cond ((equal? sc3 1) (blodwen-toSignedInt 1 63)) (else (blodwen-toSignedInt 2 63)))))))))))))) (let ((e-7 (car arg-1))) (let ((e-9 (vector-ref e-7 1))) ((((e-9 'erased) 'erased) ((u--get u--i) (bs- u--j 1 63))) (lambda (bind-0) (let ((e-12 (car arg-1))) (let ((e-14 (vector-ref e-12 1))) ((((e-14 'erased) 'erased) ((u--get (bs- u--i 1 63)) u--j)) (lambda (bind-1) (let ((e-17 (car arg-1))) (let ((e-19 (vector-ref e-17 1))) ((((e-19 'erased) 'erased) ((u--get (bs- u--i 1 63)) (bs- u--j 1 63))) (lambda (bind-2) (LibrariesC-45DataC-45IOMatrix-write arg-1 u--mat u--i u--j (LibrariesC-45DataC-45ListC-45Extra-minimum (csegen-298) (cons (bs+ (blodwen-toSignedInt 1 63) bind-0 63) (cons (bs+ (blodwen-toSignedInt 1 63) bind-1 63) (cons (bs+ u--cost bind-2 63) '())))))))))))))))))))))) (lambda () (PreludeC-45Interfaces-C-60C-36C-62 (let ((e-7 (car arg-1))) (let ((e-10 (vector-ref e-7 0))) (let ((e-13 (vector-ref e-10 0))) e-13))) (csegen-1646) ((u--get u--w) u--h)))))))))))))))))
(define LibrariesC-45DataC-45ListC-45Extra-case--diffBy-5542 (lambda (arg-1 arg-2 arg-3 arg-4 arg-5) (let ((e-2 (car arg-5))) (let ((e-3 (cdr arg-5))) (let ((e-6 (car e-3))) (let ((e-7 (cdr e-3))) (let ((u--ysC-39 (PreludeC-45TypesC-45List-tailRecAppend e-2 e-7))) (if (null? e-6) (cons arg-1 (LibrariesC-45DataC-45ListC-45Extra-diffBy arg-4 arg-2 u--ysC-39)) (LibrariesC-45DataC-45ListC-45Extra-diffBy arg-4 arg-2 u--ysC-39)))))))))
(define LibrariesC-45DataC-45ListC-45Extra-case--splitAfter-5295 (lambda (arg-1 arg-2 arg-3) (let ((e-2 (car arg-3))) (let ((e-3 (cdr arg-3))) (if (null? e-3) (DataC-45List1-singleton e-2) (DataC-45List1-cons e-2 (LibrariesC-45DataC-45ListC-45Extra-splitAfter arg-2 e-3)))))))
(define LibrariesC-45DataC-45ListC-45Extra-n--4159-6015-u--go (lambda (arg-3 arg-4 arg-5 arg-6) (if (null? arg-5) (box (cons (LibrariesC-45DataC-45ListC-45Extra-n--4159-6014-u--chips arg-3 arg-4 '()) arg-6)) (if (null? arg-6) '() (let ((e-1 (car arg-5))) (let ((e-2 (cdr arg-5))) (let ((e-4 (car arg-6))) (let ((e-5 (cdr arg-6))) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe ((arg-3 e-1) e-4) (lambda (bind-0) (LibrariesC-45DataC-45ListC-45Extra-n--4159-6015-u--go arg-3 (cons arg-4 bind-0) e-2 e-5)))))))))))
(define LibrariesC-45DataC-45ListC-45Extra-n--4159-6014-u--chips (lambda (arg-3 arg-5 arg-6) (if (null? arg-5) arg-6 (let ((e-2 (car arg-5))) (let ((e-3 (cdr arg-5))) (LibrariesC-45DataC-45ListC-45Extra-n--4159-6014-u--chips arg-3 e-2 (cons e-3 arg-6)))))))
(define LibrariesC-45DataC-45ListC-45Extra-suffixOfBy (lambda (arg-3 arg-4 arg-5) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (LibrariesC-45DataC-45ListC-45Extra-prefixOfBy arg-3 (PreludeC-45TypesC-45List-reverse arg-4) (PreludeC-45TypesC-45List-reverse arg-5)) (lambda (_-0) (let ((e-2 (car _-0))) (let ((e-3 (cdr _-0))) (box (cons (PreludeC-45TypesC-45List-reverse e-3) (PreludeC-45TypesC-45List-reverse e-2)))))))))
(define LibrariesC-45DataC-45ListC-45Extra-splitAfter (lambda (arg-1 arg-2) (LibrariesC-45DataC-45ListC-45Extra-case--splitAfter-5295 arg-2 arg-1 (LibrariesC-45DataC-45ListC-45Extra-breakAfter arg-1 arg-2))))
(define LibrariesC-45DataC-45ListC-45Extra-sortedNub (lambda (arg-1 ext-0) (LibrariesC-45DataC-45ListC-45Extra-dedup (let ((e-1 (vector-ref arg-1 0))) e-1) (DataC-45List-sort arg-1 ext-0))))
(define LibrariesC-45DataC-45ListC-45Extra-prefixOfBy (lambda (arg-3 ext-0 ext-1) (LibrariesC-45DataC-45ListC-45Extra-n--4159-6015-u--go arg-3 '() ext-0 ext-1)))
(define LibrariesC-45DataC-45ListC-45Extra-minimum (lambda (arg-1 arg-2) (let ((e-1 (car arg-2))) (let ((e-2 (cdr arg-2))) (PreludeC-45Types-u--foldl_Foldable_List (lambda (eta-0) (lambda (eta-1) (let ((e-8 (vector-ref arg-1 7))) ((e-8 eta-0) eta-1)))) e-1 e-2)))))
(define LibrariesC-45DataC-45ListC-45Extra-findByC-39 (lambda (arg-1 arg-2) (if (null? arg-2) (cons '() (cons '() '())) (let ((e-2 (car arg-2))) (let ((e-3 (cdr arg-2))) (let ((sc1 (arg-1 e-2))) (cond ((equal? sc1 1) (cons '() (cons (box e-2) e-3))) (else (let ((sc2 (LibrariesC-45DataC-45ListC-45Extra-findByC-39 arg-1 e-3))) (let ((e-5 (car sc2))) (let ((e-4 (cdr sc2))) (let ((e-6 (car e-4))) (let ((e-7 (cdr e-4))) (cons (cons e-2 e-5) (cons e-6 e-7)))))))))))))))
(define LibrariesC-45DataC-45ListC-45Extra-findBy (lambda (arg-2 arg-3) (if (null? arg-3) '() (let ((e-2 (car arg-3))) (let ((e-3 (cdr arg-3))) (let ((sc1 (arg-2 e-2))) (if (null? sc1) (LibrariesC-45DataC-45ListC-45Extra-findBy arg-2 e-3) (let ((e-4 (unbox sc1))) (box e-4)))))))))
(define LibrariesC-45DataC-45ListC-45Extra-elemAt (lambda (arg-1 arg-2) (if (null? arg-1) '() (let ((e-2 (car arg-1))) (let ((e-3 (cdr arg-1))) (cond ((equal? arg-2 0) (box e-2))(else (let ((e-4 (- arg-2 1))) (LibrariesC-45DataC-45ListC-45Extra-elemAt e-3 e-4)))))))))
(define LibrariesC-45DataC-45ListC-45Extra-diffBy (lambda (arg-1 arg-2 arg-3) (if (null? arg-2) '() (let ((e-2 (car arg-2))) (let ((e-3 (cdr arg-2))) (LibrariesC-45DataC-45ListC-45Extra-case--diffBy-5542 e-2 e-3 arg-3 arg-1 (LibrariesC-45DataC-45ListC-45Extra-findByC-39 (arg-1 e-2) arg-3)))))))
(define LibrariesC-45DataC-45ListC-45Extra-dedup (lambda (arg-1 arg-2) (if (null? arg-2) arg-2 (let ((e-1 (car arg-2))) (let ((e-2 (cdr arg-2))) (if (null? e-2) arg-2 (let ((e-4 (car e-2))) (let ((e-5 (cdr e-2))) (let ((u--xs (cons e-4 e-5))) (let ((sc2 (let ((e-6 (car arg-1))) ((e-6 e-1) e-4)))) (cond ((equal? sc2 1) (LibrariesC-45DataC-45ListC-45Extra-dedup arg-1 u--xs)) (else (cons e-1 (LibrariesC-45DataC-45ListC-45Extra-dedup arg-1 u--xs))))))))))))))
(define LibrariesC-45DataC-45ListC-45Extra-breakAfter (lambda (arg-1 arg-2) (if (null? arg-2) (cons '() '()) (let ((e-2 (car arg-2))) (let ((e-3 (cdr arg-2))) (let ((sc1 (arg-1 e-2))) (cond ((equal? sc1 1) (cons (cons e-2 '()) e-3)) (else (let ((sc2 (LibrariesC-45DataC-45ListC-45Extra-breakAfter arg-1 e-3))) (let ((e-5 (car sc2))) (let ((e-4 (cdr sc2))) (cons (cons e-2 e-5) e-4))))))))))))
(define LibrariesC-45DataC-45IOMatrix-write (lambda (arg-2 arg-3 arg-4 arg-5 arg-6) (let ((sc0 (LibrariesC-45DataC-45IOMatrix-toPosition arg-3 arg-4 arg-5))) (if (null? sc0) (let ((e-1 (car arg-2))) (let ((e-5 (vector-ref e-1 0))) (let ((e-7 (vector-ref e-5 1))) ((e-7 'erased) 0)))) (let ((e-2 (unbox sc0))) ((PreludeC-45Interfaces-C-60C-36 (let ((e-1 (car arg-2))) (let ((e-6 (vector-ref e-1 0))) (let ((e-9 (vector-ref e-6 0))) e-9))) 1) (let ((e-3 (cdr arg-2))) ((e-3 'erased) (lambda (eta-0) (vector-set! (let ((e-4 (vector-ref arg-3 2))) e-4) e-2 (box arg-6)))))))))))
(define LibrariesC-45DataC-45IOMatrix-toPosition (lambda (arg-1 arg-2 arg-3) (let ((e-1 (vector-ref arg-1 0))) (let ((e-2 (vector-ref arg-1 1))) (PreludeC-45Interfaces-C-62C-62 (csegen-614) (PreludeC-45Interfaces-guard (csegen-326) (let ((sc0 (let ((sc1 (PreludeC-45EqOrd-u--C-60_Ord_Int arg-2 (blodwen-toSignedInt 0 63)))) (cond ((equal? sc1 1) 1) (else (let ((sc2 (PreludeC-45EqOrd-u--C-60_Ord_Int arg-3 (blodwen-toSignedInt 0 63)))) (cond ((equal? sc2 1) 1) (else (let ((sc3 (PreludeC-45EqOrd-u--C-62C-61_Ord_Int arg-2 e-1))) (cond ((equal? sc3 1) 1) (else (PreludeC-45EqOrd-u--C-62C-61_Ord_Int arg-3 e-2)))))))))))) (cond ((equal? sc0 1) 0) (else 1)))) (lambda () (box (bs+ (bs* arg-2 e-2 63) arg-3 63))))))))
(define LibrariesC-45DataC-45IOMatrix-read (lambda (arg-2 arg-3 arg-4 arg-5) (let ((sc0 (LibrariesC-45DataC-45IOMatrix-toPosition arg-3 arg-4 arg-5))) (if (null? sc0) (let ((e-1 (car arg-2))) (let ((e-5 (vector-ref e-1 0))) (let ((e-7 (vector-ref e-5 1))) ((e-7 'erased) '())))) (let ((e-2 (unbox sc0))) (let ((e-3 (cdr arg-2))) ((e-3 'erased) (lambda (eta-0) (vector-ref (let ((e-4 (vector-ref arg-3 2))) e-4) e-2)))))))))
(define LibrariesC-45DataC-45IOMatrix-new (lambda (arg-2 arg-3 arg-4) (let ((e-1 (car arg-2))) (let ((e-4 (vector-ref e-1 1))) ((((e-4 'erased) 'erased) (let ((e-6 (cdr arg-2))) ((e-6 'erased) (lambda (eta-0) (make-vector (bs* arg-3 arg-4 63) '()))))) (lambda (bind-0) (let ((e-7 (car arg-2))) (let ((e-10 (vector-ref e-7 0))) (let ((e-12 (vector-ref e-10 1))) ((e-12 'erased) (vector arg-3 arg-4 bind-0)))))))))))
(define CoreC-45Options-u--show_Show_CG (lambda (arg-0) (case (vector-ref arg-0 0) ((0) "chez") ((1) "chez-sep") ((2) "racket") ((3) "gambit") ((4) "node") ((5) "javascript") ((6) "refc") ((7) "vmcode-interp") (else (let ((e-0 (vector-ref arg-0 1))) e-0)))))
(define CoreC-45Options-u--showPrec_Show_CG (lambda (arg-0 arg-1) (CoreC-45Options-u--show_Show_CG arg-1)))
(define CoreC-45Options-u--C-61C-61_Eq_CG (lambda (arg-0 arg-1) (case (vector-ref arg-0 0) ((0) (case (vector-ref arg-1 0) ((0) 1)(else 0))) ((1) (case (vector-ref arg-1 0) ((1) 1)(else 0))) ((2) (case (vector-ref arg-1 0) ((2) 1)(else 0))) ((3) (case (vector-ref arg-1 0) ((3) 1)(else 0))) ((4) (case (vector-ref arg-1 0) ((4) 1)(else 0))) ((5) (case (vector-ref arg-1 0) ((5) 1)(else 0))) ((6) (case (vector-ref arg-1 0) ((6) 1)(else 0))) ((7) (case (vector-ref arg-1 0) ((7) 1)(else 0))) ((8) (let ((e-0 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((8) (let ((e-1 (vector-ref arg-1 1))) (PreludeC-45EqOrd-u--C-61C-61_Eq_String e-0 e-1)))(else 0))))(else 0))))
(define CoreC-45Options-u--C-47C-61_Eq_CG (lambda (arg-0 arg-1) (let ((sc0 (CoreC-45Options-u--C-61C-61_Eq_CG arg-0 arg-1))) (cond ((equal? sc0 1) 0) (else 1)))))
(define CoreC-45Options-toString (lambda (arg-0) (let ((e-0 (vector-ref arg-0 0))) (let ((e-1 (vector-ref arg-0 1))) (let ((e-2 (vector-ref arg-0 2))) (let ((e-3 (vector-ref arg-0 3))) (let ((e-5 (vector-ref arg-0 5))) (let ((e-6 (vector-ref arg-0 6))) (let ((e-7 (vector-ref arg-0 7))) (let ((e-8 (vector-ref arg-0 8))) (let ((e-9 (vector-ref arg-0 9))) (let ((e-10 (vector-ref arg-0 10))) ((csegen-0) (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons ((csegen-0) "+ Working Directory      :: ") (cons ((csegen-0) (PreludeC-45Show-u--show_Show_String e-0)) (cons ((csegen-0) "\xa;+ Source Directory       :: ") (cons ((csegen-0) (PreludeC-45Show-u--show_Show_C-40MaybeC-32C-36aC-41 (csegen-581) e-1)) (cons ((csegen-0) "\xa;+ Build Directory        :: ") (cons ((csegen-0) (PreludeC-45Show-u--show_Show_String e-2)) (cons ((csegen-0) "\xa;+ Local Depend Directory :: ") (cons ((csegen-0) (PreludeC-45Show-u--show_Show_String e-3)) (cons ((csegen-0) "\xa;+ Output Directory       :: ") (cons ((csegen-0) (PreludeC-45Show-u--show_Show_String (CoreC-45Options-outputDirWithDefault arg-0))) (cons ((csegen-0) "\xa;+ Stage Directory        :: ") (cons ((csegen-0) (PreludeC-45Show-u--show_Show_C-40MaybeC-32C-36aC-41 (csegen-581) e-5)) (cons ((csegen-0) "\xa;+ Installation Prefix    :: ") (cons ((csegen-0) (PreludeC-45Show-u--show_Show_String e-6)) (cons ((csegen-0) "\xa;+ Extra Directories      :: ") (cons ((csegen-0) (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-581) e-7)) (cons ((csegen-0) "\xa;+ Package Directories    :: ") (cons ((csegen-0) (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-581) e-8)) (cons ((csegen-0) "\xa;+ CG Library Directories :: ") (cons ((csegen-0) (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-581) e-9)) (cons ((csegen-0) "\xa;+ Data Directories       :: ") (cons ((csegen-0) (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-581) e-10)) '()))))))))))))))))))))))))))))))))))))
(define CoreC-45Options-setRewrite (lambda (arg-0 arg-1 ext-0) (let ((e-0 (vector-ref ext-0 0))) (let ((e-1 (vector-ref ext-0 1))) (let ((e-2 (vector-ref ext-0 2))) (let ((e-3 (vector-ref ext-0 3))) (let ((e-4 (vector-ref ext-0 4))) (let ((e-6 (vector-ref ext-0 6))) (let ((e-7 (vector-ref ext-0 7))) (let ((e-8 (vector-ref ext-0 8))) (let ((e-9 (vector-ref ext-0 9))) (vector e-0 e-1 e-2 e-3 e-4 (box (cons arg-0 arg-1)) e-6 e-7 e-8 e-9))))))))))))
(define CoreC-45Options-setPair (lambda (arg-0 arg-1 arg-2 ext-0) (let ((e-0 (vector-ref ext-0 0))) (let ((e-1 (vector-ref ext-0 1))) (let ((e-2 (vector-ref ext-0 2))) (let ((e-3 (vector-ref ext-0 3))) (let ((e-5 (vector-ref ext-0 5))) (let ((e-6 (vector-ref ext-0 6))) (let ((e-7 (vector-ref ext-0 7))) (let ((e-8 (vector-ref ext-0 8))) (let ((e-9 (vector-ref ext-0 9))) (vector e-0 e-1 e-2 e-3 (box (vector arg-0 arg-1 arg-2)) e-5 e-6 e-7 e-8 e-9))))))))))))
(define CoreC-45Options-setFromString (lambda (arg-0 ext-0) (let ((e-0 (vector-ref ext-0 0))) (let ((e-1 (vector-ref ext-0 1))) (let ((e-2 (vector-ref ext-0 2))) (let ((e-3 (vector-ref ext-0 3))) (let ((e-4 (vector-ref ext-0 4))) (let ((e-5 (vector-ref ext-0 5))) (let ((e-6 (vector-ref ext-0 6))) (let ((e-7 (vector-ref ext-0 7))) (let ((e-8 (vector-ref ext-0 8))) (let ((e-9 (vector-ref ext-0 9))) (let ((e-10 (vector-ref e-6 0))) (let ((e-12 (vector-ref e-6 2))) (let ((e-13 (vector-ref e-6 3))) (vector e-0 e-1 e-2 e-3 e-4 e-5 (vector e-10 (box arg-0) e-12 e-13) e-7 e-8 e-9))))))))))))))))
(define CoreC-45Options-setFromInteger (lambda (arg-0 ext-0) (let ((e-0 (vector-ref ext-0 0))) (let ((e-1 (vector-ref ext-0 1))) (let ((e-2 (vector-ref ext-0 2))) (let ((e-3 (vector-ref ext-0 3))) (let ((e-4 (vector-ref ext-0 4))) (let ((e-5 (vector-ref ext-0 5))) (let ((e-6 (vector-ref ext-0 6))) (let ((e-7 (vector-ref ext-0 7))) (let ((e-8 (vector-ref ext-0 8))) (let ((e-9 (vector-ref ext-0 9))) (let ((e-11 (vector-ref e-6 1))) (let ((e-12 (vector-ref e-6 2))) (let ((e-13 (vector-ref e-6 3))) (vector e-0 e-1 e-2 e-3 e-4 e-5 (vector (box arg-0) e-11 e-12 e-13) e-7 e-8 e-9))))))))))))))))
(define CoreC-45Options-setFromDouble (lambda (arg-0 ext-0) (let ((e-0 (vector-ref ext-0 0))) (let ((e-1 (vector-ref ext-0 1))) (let ((e-2 (vector-ref ext-0 2))) (let ((e-3 (vector-ref ext-0 3))) (let ((e-4 (vector-ref ext-0 4))) (let ((e-5 (vector-ref ext-0 5))) (let ((e-6 (vector-ref ext-0 6))) (let ((e-7 (vector-ref ext-0 7))) (let ((e-8 (vector-ref ext-0 8))) (let ((e-9 (vector-ref ext-0 9))) (let ((e-10 (vector-ref e-6 0))) (let ((e-11 (vector-ref e-6 1))) (let ((e-12 (vector-ref e-6 2))) (vector e-0 e-1 e-2 e-3 e-4 e-5 (vector e-10 e-11 e-12 (box arg-0)) e-7 e-8 e-9))))))))))))))))
(define CoreC-45Options-setFromChar (lambda (arg-0 ext-0) (let ((e-0 (vector-ref ext-0 0))) (let ((e-1 (vector-ref ext-0 1))) (let ((e-2 (vector-ref ext-0 2))) (let ((e-3 (vector-ref ext-0 3))) (let ((e-4 (vector-ref ext-0 4))) (let ((e-5 (vector-ref ext-0 5))) (let ((e-6 (vector-ref ext-0 6))) (let ((e-7 (vector-ref ext-0 7))) (let ((e-8 (vector-ref ext-0 8))) (let ((e-9 (vector-ref ext-0 9))) (let ((e-10 (vector-ref e-6 0))) (let ((e-11 (vector-ref e-6 1))) (let ((e-13 (vector-ref e-6 3))) (vector e-0 e-1 e-2 e-3 e-4 e-5 (vector e-10 e-11 (box arg-0) e-13) e-7 e-8 e-9))))))))))))))))
(define CoreC-45Options-setExtension (lambda (arg-0 ext-0) (let ((e-0 (vector-ref ext-0 0))) (let ((e-1 (vector-ref ext-0 1))) (let ((e-2 (vector-ref ext-0 2))) (let ((e-3 (vector-ref ext-0 3))) (let ((e-4 (vector-ref ext-0 4))) (let ((e-5 (vector-ref ext-0 5))) (let ((e-6 (vector-ref ext-0 6))) (let ((e-7 (vector-ref ext-0 7))) (let ((e-8 (vector-ref ext-0 8))) (let ((e-9 (vector-ref ext-0 9))) (vector e-0 e-1 e-2 e-3 e-4 e-5 e-6 (cons arg-0 e-7) e-8 e-9)))))))))))))
(define CoreC-45Options-primNamesToList (lambda (arg-0) (let ((e-0 (vector-ref arg-0 0))) (let ((e-1 (vector-ref arg-0 1))) (let ((e-2 (vector-ref arg-0 2))) (let ((e-3 (vector-ref arg-0 3))) (DataC-45List-catMaybes (cons e-0 (cons e-1 (cons e-2 (cons e-3 '())))))))))))
(define CoreC-45Options-outputDirWithDefault (lambda (arg-0) (DataC-45Maybe-fromMaybe (lambda () (LibrariesC-45UtilsC-45Path-C-60C-47C-62 (let ((e-2 (vector-ref arg-0 2))) e-2) "exec")) (let ((e-4 (vector-ref arg-0 4))) e-4))))
(define CoreC-45Options-isExtension (lambda (arg-0 arg-1) (PreludeC-45Types-elem (csegen-16) (cons (lambda (arg-528) (lambda (arg-531) (IdrisC-45SyntaxC-45Pragmas-u--C-61C-61_Eq_LangExt arg-528 arg-531))) (lambda (arg-538) (lambda (arg-541) (IdrisC-45SyntaxC-45Pragmas-u--C-47C-61_Eq_LangExt arg-538 arg-541)))) arg-0 (let ((e-7 (vector-ref arg-1 7))) e-7))))
(define CoreC-45Options-getCG (lambda (arg-0 arg-1) (DataC-45List-lookup (csegen-43) (DataC-45String-toLower arg-1) (CoreC-45Options-availableCGs arg-0))))
(define CoreC-45Options-execBuildDir (lambda (arg-0) (LibrariesC-45UtilsC-45Path-C-60C-47C-62 (let ((e-2 (vector-ref arg-0 2))) e-2) "exec")))
(define CoreC-45Options-defaults (lambda (ext-0) (vector 1 (vector (CoreC-45Options-defaultDirs) (CoreC-45Options-defaultPPrint) (CoreC-45Options-defaultSession) (CoreC-45Options-defaultElab) '() '() (csegen-1663) '() '() '()))))
(define CoreC-45Options-defaultSession(blodwen-lazy (lambda () (vector 0 1 0 0 (vector 0 ) '() 1000 0 0 (CoreC-45OptionsC-45Log-defaultLogLevel) '() 0 '() '() '() '() 0 1 0 1 0 '() 0 0))))
(define CoreC-45Options-defaultPPrint(blodwen-lazy (lambda () (vector 0 0 1 0))))
(define CoreC-45Options-defaultElab(blodwen-lazy (lambda () (vector 1 1 1 3 50 25 1))))
(define CoreC-45Options-defaultDirs(blodwen-lazy (lambda () (vector "." '() "build" "depends" '() '() "/usr/local" (cons "." '()) '() '() '()))))
(define CoreC-45Options-clearNames (lambda (ext-0) (let ((e-0 (vector-ref ext-0 0))) (let ((e-1 (vector-ref ext-0 1))) (let ((e-2 (vector-ref ext-0 2))) (let ((e-3 (vector-ref ext-0 3))) (let ((e-8 (vector-ref ext-0 8))) (let ((e-9 (vector-ref ext-0 9))) (vector e-0 e-1 e-2 e-3 '() '() (csegen-1663) '() e-8 e-9)))))))))
(define CoreC-45Options-availableCGs (lambda (arg-0) (PreludeC-45TypesC-45List-tailRecAppend (cons (cons "chez" (vector 0 )) (cons (cons "chez-sep" (vector 1 )) (cons (cons "racket" (vector 2 )) (cons (cons "node" (vector 4 )) (cons (cons "javascript" (vector 5 )) (cons (cons "refc" (vector 6 )) (cons (cons "gambit" (vector 3 )) (cons (cons "vmcode-interp" (vector 7 )) '())))))))) (let ((e-8 (vector-ref arg-0 8))) e-8))))
(define CoreC-45Options-addCG (lambda (arg-0 ext-0) (let ((e-0 (vector-ref ext-0 0))) (let ((e-1 (vector-ref ext-0 1))) (let ((e-2 (vector-ref ext-0 2))) (let ((e-3 (vector-ref ext-0 3))) (let ((e-4 (vector-ref ext-0 4))) (let ((e-5 (vector-ref ext-0 5))) (let ((e-6 (vector-ref ext-0 6))) (let ((e-7 (vector-ref ext-0 7))) (let ((e-8 (vector-ref ext-0 8))) (let ((e-9 (vector-ref ext-0 9))) (vector e-0 e-1 e-2 e-3 e-4 e-5 e-6 e-7 (cons arg-0 e-8) e-9)))))))))))))
(define CoreC-45Hash-u--hash_Hashable_String (lambda (ext-0) (CoreC-45Hash-u--hashWithSalt_Hashable_String (blodwen-toSignedInt 5381 63) ext-0)))
(define CoreC-45Hash-u--hash_Hashable_Nat (lambda (ext-0) (blodwen-toSignedInt ext-0 63)))
(define CoreC-45Hash-u--hash_Hashable_Namespace (lambda (ext-0) (CoreC-45Hash-u--hashWithSalt_Hashable_Namespace (blodwen-toSignedInt 5381 63) ext-0)))
(define CoreC-45Hash-u--hash_Hashable_NamedDef (lambda (ext-0) (CoreC-45Hash-u--hashWithSalt_Hashable_NamedDef (blodwen-toSignedInt 5381 63) ext-0)))
(define CoreC-45Hash-u--hash_Hashable_NamedConstAlt (lambda (ext-0) (CoreC-45Hash-u--hashWithSalt_Hashable_NamedConstAlt (blodwen-toSignedInt 5381 63) ext-0)))
(define CoreC-45Hash-u--hash_Hashable_NamedConAlt (lambda (ext-0) (CoreC-45Hash-u--hashWithSalt_Hashable_NamedConAlt (blodwen-toSignedInt 5381 63) ext-0)))
(define CoreC-45Hash-u--hash_Hashable_NamedCExp (lambda (ext-0) (CoreC-45Hash-u--hashWithSalt_Hashable_NamedCExp (blodwen-toSignedInt 5381 63) ext-0)))
(define CoreC-45Hash-u--hash_Hashable_Name (lambda (ext-0) (CoreC-45Hash-u--hashWithSalt_Hashable_Name (blodwen-toSignedInt 5381 63) ext-0)))
(define CoreC-45Hash-u--hash_Hashable_Integer (lambda (ext-0) (blodwen-toSignedInt ext-0 63)))
(define CoreC-45Hash-u--hash_Hashable_Int8 (lambda (ext-0) ext-0))
(define CoreC-45Hash-u--hash_Hashable_Int64 (lambda (ext-0) ext-0))
(define CoreC-45Hash-u--hash_Hashable_Int32 (lambda (ext-0) ext-0))
(define CoreC-45Hash-u--hash_Hashable_Int16 (lambda (ext-0) ext-0))
(define CoreC-45Hash-u--hash_Hashable_Double (lambda (ext-0) (CoreC-45Hash-u--hash_Hashable_String (PreludeC-45Show-u--show_Show_Double ext-0))))
(define CoreC-45Hash-u--hash_Hashable_Char (lambda (ext-0) (cast-char-boundedInt ext-0 63)))
(define CoreC-45Hash-u--hash_Hashable_CFType (lambda (ext-0) (CoreC-45Hash-u--hashWithSalt_Hashable_CFType (blodwen-toSignedInt 5381 63) ext-0)))
(define CoreC-45Hash-u--hash_Hashable_Bits8 (lambda (ext-0) ext-0))
(define CoreC-45Hash-u--hash_Hashable_Bits64 (lambda (ext-0) (blodwen-toSignedInt ext-0 63)))
(define CoreC-45Hash-u--hash_Hashable_Bits32 (lambda (ext-0) ext-0))
(define CoreC-45Hash-u--hash_Hashable_Bits16 (lambda (ext-0) ext-0))
(define CoreC-45Hash-u--hash_Hashable_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (lambda (arg-2 arg-3 ext-0) (CoreC-45Hash-u--hashWithSalt_Hashable_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 arg-2 arg-3 (blodwen-toSignedInt 5381 63) ext-0)))
(define CoreC-45Hash-u--hash_Hashable_C-40TermC-32C-36varsC-41 (lambda (ext-0) (CoreC-45Hash-u--hashWithSalt_Hashable_C-40TermC-32C-36varsC-41 (blodwen-toSignedInt 5381 63) ext-0)))
(define CoreC-45Hash-u--hash_Hashable_C-40ListC-32C-36aC-41 (lambda (arg-1 ext-0) (CoreC-45Hash-u--hashWithSalt_Hashable_C-40ListC-32C-36aC-41 arg-1 (blodwen-toSignedInt 5381 63) ext-0)))
(define CoreC-45Hash-u--hashWithSalt_Hashable_String (lambda (arg-0 ext-0) (LibrariesC-45DataC-45StringC-45Iterator-foldl (lambda (eta-0) (lambda (eta-1) (CoreC-45Hash-u--hashWithSalt_Hashable_Char eta-0 eta-1))) arg-0 ext-0)))
(define CoreC-45Hash-u--hashWithSalt_Hashable_RigCount (lambda (arg-0 ext-0) (AlgebraC-45Semiring-elimSemi (csegen-1156) (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-0 0) (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-0 1) (lambda (eta-0) (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-0 2)) ext-0)))
(define CoreC-45Hash-u--hashWithSalt_Hashable_PrimType (lambda (arg-0 ext-0) (cond ((equal? ext-0 0) (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-0 1)) ((equal? ext-0 1) (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-0 2)) ((equal? ext-0 2) (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-0 3)) ((equal? ext-0 3) (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-0 4)) ((equal? ext-0 4) (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-0 5)) ((equal? ext-0 5) (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-0 6)) ((equal? ext-0 6) (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-0 7)) ((equal? ext-0 7) (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-0 8)) ((equal? ext-0 8) (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-0 9)) ((equal? ext-0 9) (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-0 10)) ((equal? ext-0 10) (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-0 11)) ((equal? ext-0 11) (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-0 12)) ((equal? ext-0 12) (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-0 13)) (else (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-0 14)))))
(define CoreC-45Hash-u--hashWithSalt_Hashable_Nat (lambda (arg-0 arg-1) (bs+ (bs* arg-0 33 63) (CoreC-45Hash-u--hash_Hashable_Nat arg-1) 63)))
(define CoreC-45Hash-u--hashWithSalt_Hashable_Namespace (lambda (arg-0 arg-1) (CoreC-45Hash-u--hashWithSalt_Hashable_C-40ListC-32C-36aC-41 (csegen-1680) arg-0 (CoreC-45NameC-45Namespace-unsafeUnfoldNamespace arg-1))))
(define CoreC-45Hash-u--hashWithSalt_Hashable_NamedDef (lambda (arg-0 ext-0) (case (vector-ref ext-0 0) ((0) (let ((e-0 (vector-ref ext-0 1))) (let ((e-1 (vector-ref ext-0 2))) (CoreC-45Hash-u--hashWithSalt_Hashable_NamedCExp (CoreC-45Hash-u--hashWithSalt_Hashable_C-40ListC-32C-36aC-41 (csegen-1682) (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-0 0) e-0) e-1)))) ((1) (let ((e-2 (vector-ref ext-0 1))) (let ((e-3 (vector-ref ext-0 2))) (let ((e-4 (vector-ref ext-0 3))) (CoreC-45Hash-u--hashWithSalt_Hashable_C-40MaybeC-32C-36aC-41 (csegen-1684) (CoreC-45Hash-u--hashWithSalt_Hashable_Nat (CoreC-45Hash-u--hashWithSalt_Hashable_C-40MaybeC-32C-36aC-41 (csegen-1686) (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-0 1) e-2) e-3) e-4))))) ((2) (let ((e-5 (vector-ref ext-0 1))) (let ((e-6 (vector-ref ext-0 2))) (let ((e-7 (vector-ref ext-0 3))) (CoreC-45Hash-u--hashWithSalt_Hashable_CFType (CoreC-45Hash-u--hashWithSalt_Hashable_C-40ListC-32C-36aC-41 (csegen-1688) (CoreC-45Hash-u--hashWithSalt_Hashable_C-40ListC-32C-36aC-41 (csegen-1680) (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-0 2) e-5) e-6) e-7))))) (else (let ((e-8 (vector-ref ext-0 1))) (CoreC-45Hash-u--hashWithSalt_Hashable_NamedCExp (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-0 3) e-8))))))
(define CoreC-45Hash-u--hashWithSalt_Hashable_NamedConstAlt (lambda (arg-0 arg-1) (let ((e-0 (car arg-1))) (let ((e-1 (cdr arg-1))) (CoreC-45Hash-u--hashWithSalt_Hashable_NamedCExp (CoreC-45Hash-u--hashWithSalt_Hashable_Constant arg-0 e-0) e-1)))))
(define CoreC-45Hash-u--hashWithSalt_Hashable_NamedConAlt (lambda (arg-0 arg-1) (let ((e-0 (vector-ref arg-1 0))) (let ((e-1 (vector-ref arg-1 1))) (let ((e-2 (vector-ref arg-1 2))) (let ((e-3 (vector-ref arg-1 3))) (let ((e-4 (vector-ref arg-1 4))) (CoreC-45Hash-u--hashWithSalt_Hashable_NamedCExp (CoreC-45Hash-u--hashWithSalt_Hashable_C-40ListC-32C-36aC-41 (csegen-1682) (CoreC-45Hash-u--hashWithSalt_Hashable_C-40MaybeC-32C-36aC-41 (csegen-1686) (CoreC-45Hash-u--hashWithSalt_Hashable_ConInfo (CoreC-45Hash-u--hashWithSalt_Hashable_Name arg-0 e-0) e-1) e-2) e-3) e-4))))))))
(define CoreC-45Hash-u--hashWithSalt_Hashable_NamedCExp (lambda (arg-0 ext-0) (case (vector-ref ext-0 0) ((0) (let ((e-1 (vector-ref ext-0 2))) (CoreC-45Hash-u--hashWithSalt_Hashable_Name (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-0 0) e-1))) ((1) (let ((e-3 (vector-ref ext-0 2))) (CoreC-45Hash-u--hashWithSalt_Hashable_Name (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-0 1) e-3))) ((2) (let ((e-5 (vector-ref ext-0 2))) (let ((e-6 (vector-ref ext-0 3))) (CoreC-45Hash-u--hashWithSalt_Hashable_NamedCExp (CoreC-45Hash-u--hashWithSalt_Hashable_Name (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-0 2) e-5) e-6)))) ((3) (let ((e-8 (vector-ref ext-0 2))) (let ((e-9 (vector-ref ext-0 3))) (let ((e-10 (vector-ref ext-0 4))) (CoreC-45Hash-u--hashWithSalt_Hashable_NamedCExp (CoreC-45Hash-u--hashWithSalt_Hashable_NamedCExp (CoreC-45Hash-u--hashWithSalt_Hashable_Name (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-0 3) e-8) e-9) e-10))))) ((4) (let ((e-12 (vector-ref ext-0 2))) (let ((e-13 (vector-ref ext-0 3))) (CoreC-45Hash-u--hashWithSalt_Hashable_C-40ListC-32C-36aC-41 (csegen-1690) (CoreC-45Hash-u--hashWithSalt_Hashable_NamedCExp (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-0 4) e-12) e-13)))) ((5) (let ((e-15 (vector-ref ext-0 2))) (let ((e-16 (vector-ref ext-0 3))) (let ((e-17 (vector-ref ext-0 4))) (let ((e-18 (vector-ref ext-0 5))) (CoreC-45Hash-u--hashWithSalt_Hashable_C-40ListC-32C-36aC-41 (csegen-1690) (CoreC-45Hash-u--hashWithSalt_Hashable_C-40MaybeC-32C-36aC-41 (csegen-1686) (CoreC-45Hash-u--hashWithSalt_Hashable_ConInfo (CoreC-45Hash-u--hashWithSalt_Hashable_Name (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-0 5) e-15) e-16) e-17) e-18)))))) ((6) (let ((e-21 (vector-ref ext-0 3))) (let ((e-22 (vector-ref ext-0 4))) (CoreC-45Hash-u--hashWithSalt_Hashable_C-40C-40VectC-32C-36nC-41C-32C-36aC-41 (csegen-1690) (CoreC-45Hash-u--hashWithSalt_Hashable_C-40PrimFnC-32C-36arityC-41 (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-0 6) e-21) e-22)))) ((7) (let ((e-24 (vector-ref ext-0 2))) (let ((e-25 (vector-ref ext-0 3))) (CoreC-45Hash-u--hashWithSalt_Hashable_C-40ListC-32C-36aC-41 (csegen-1690) (CoreC-45Hash-u--hashWithSalt_Hashable_Name (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-0 7) e-24) e-25)))) ((8) (let ((e-27 (vector-ref ext-0 2))) (let ((e-28 (vector-ref ext-0 3))) (CoreC-45Hash-u--hashWithSalt_Hashable_NamedCExp (CoreC-45Hash-u--hashWithSalt_Hashable_LazyReason (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-0 8) e-27) e-28)))) ((9) (let ((e-30 (vector-ref ext-0 2))) (let ((e-31 (vector-ref ext-0 3))) (CoreC-45Hash-u--hashWithSalt_Hashable_NamedCExp (CoreC-45Hash-u--hashWithSalt_Hashable_LazyReason (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-0 9) e-30) e-31)))) ((10) (let ((e-33 (vector-ref ext-0 2))) (let ((e-34 (vector-ref ext-0 3))) (let ((e-35 (vector-ref ext-0 4))) (CoreC-45Hash-u--hashWithSalt_Hashable_C-40MaybeC-32C-36aC-41 (csegen-1690) (CoreC-45Hash-u--hashWithSalt_Hashable_C-40ListC-32C-36aC-41 (cons (lambda (arg-2985) (CoreC-45Hash-u--hash_Hashable_NamedConAlt arg-2985)) (lambda (arg-2991) (lambda (arg-2994) (CoreC-45Hash-u--hashWithSalt_Hashable_NamedConAlt arg-2991 arg-2994)))) (CoreC-45Hash-u--hashWithSalt_Hashable_NamedCExp (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-0 10) e-33) e-34) e-35))))) ((11) (let ((e-37 (vector-ref ext-0 2))) (let ((e-38 (vector-ref ext-0 3))) (let ((e-39 (vector-ref ext-0 4))) (CoreC-45Hash-u--hashWithSalt_Hashable_C-40MaybeC-32C-36aC-41 (csegen-1690) (CoreC-45Hash-u--hashWithSalt_Hashable_C-40ListC-32C-36aC-41 (cons (lambda (arg-2985) (CoreC-45Hash-u--hash_Hashable_NamedConstAlt arg-2985)) (lambda (arg-2991) (lambda (arg-2994) (CoreC-45Hash-u--hashWithSalt_Hashable_NamedConstAlt arg-2991 arg-2994)))) (CoreC-45Hash-u--hashWithSalt_Hashable_NamedCExp (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-0 11) e-37) e-38) e-39))))) ((12) (let ((e-41 (vector-ref ext-0 2))) (CoreC-45Hash-u--hashWithSalt_Hashable_Constant (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-0 12) e-41))) ((13) (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-0 13)) (else (let ((e-44 (vector-ref ext-0 2))) (CoreC-45Hash-u--hashWithSalt_Hashable_String (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-0 14) e-44))))))
(define CoreC-45Hash-u--hashWithSalt_Hashable_Name (lambda (arg-0 arg-1) (case (vector-ref arg-1 0) ((2) (let ((e-0 (vector-ref arg-1 1))) (CoreC-45Hash-u--hashWithSalt_Hashable_String arg-0 e-0))) ((4) (let ((e-3 (vector-ref arg-1 2))) (CoreC-45Hash-u--hashWithSalt_Hashable_Name arg-0 e-3))) ((0) (let ((e-4 (vector-ref arg-1 1))) (let ((e-5 (vector-ref arg-1 2))) (CoreC-45Hash-u--hashWithSalt_Hashable_Name (CoreC-45Hash-u--hashWithSalt_Hashable_Namespace arg-0 e-4) e-5)))) ((8) (let ((e-6 (vector-ref arg-1 1))) (CoreC-45Hash-u--hashWithSalt_Hashable_Int arg-0 e-6)))(else (CoreC-45Hash-u--hashWithSalt_Hashable_String arg-0 (CoreC-45Name-u--show_Show_Name arg-1))))))
(define CoreC-45Hash-u--hashWithSalt_Hashable_LazyReason (lambda (arg-0 ext-0) (cond ((equal? ext-0 0) (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-0 0)) ((equal? ext-0 1) (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-0 1)) (else (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-0 2)))))
(define CoreC-45Hash-u--hashWithSalt_Hashable_Integer (lambda (arg-0 arg-1) (bs+ (bs* arg-0 33 63) (CoreC-45Hash-u--hash_Hashable_Integer arg-1) 63)))
(define CoreC-45Hash-u--hashWithSalt_Hashable_Int8 (lambda (arg-0 arg-1) (bs+ (bs* arg-0 33 63) (CoreC-45Hash-u--hash_Hashable_Int8 arg-1) 63)))
(define CoreC-45Hash-u--hashWithSalt_Hashable_Int64 (lambda (arg-0 arg-1) (bs+ (bs* arg-0 33 63) (CoreC-45Hash-u--hash_Hashable_Int64 arg-1) 63)))
(define CoreC-45Hash-u--hashWithSalt_Hashable_Int32 (lambda (arg-0 arg-1) (bs+ (bs* arg-0 33 63) (CoreC-45Hash-u--hash_Hashable_Int32 arg-1) 63)))
(define CoreC-45Hash-u--hashWithSalt_Hashable_Int16 (lambda (arg-0 arg-1) (bs+ (bs* arg-0 33 63) (CoreC-45Hash-u--hash_Hashable_Int16 arg-1) 63)))
(define CoreC-45Hash-u--hashWithSalt_Hashable_Int (lambda (arg-0 arg-1) (bs+ (bs* arg-0 33 63) arg-1 63)))
(define CoreC-45Hash-u--hashWithSalt_Hashable_Double (lambda (arg-0 arg-1) (bs+ (bs* arg-0 33 63) (CoreC-45Hash-u--hash_Hashable_Double arg-1) 63)))
(define CoreC-45Hash-u--hashWithSalt_Hashable_Constant (lambda (arg-0 ext-0) (case (vector-ref ext-0 0) ((0) (let ((e-0 (vector-ref ext-0 1))) (CoreC-45Hash-u--hashWithSalt_Hashable_Int (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-0 0) e-0))) ((1) (let ((e-1 (vector-ref ext-0 1))) (CoreC-45Hash-u--hashWithSalt_Hashable_Int8 (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-0 1) e-1))) ((2) (let ((e-2 (vector-ref ext-0 1))) (CoreC-45Hash-u--hashWithSalt_Hashable_Int16 (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-0 2) e-2))) ((3) (let ((e-3 (vector-ref ext-0 1))) (CoreC-45Hash-u--hashWithSalt_Hashable_Int32 (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-0 3) e-3))) ((4) (let ((e-4 (vector-ref ext-0 1))) (CoreC-45Hash-u--hashWithSalt_Hashable_Int64 (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-0 4) e-4))) ((5) (let ((e-5 (vector-ref ext-0 1))) (CoreC-45Hash-u--hashWithSalt_Hashable_Integer (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-0 5) e-5))) ((6) (let ((e-6 (vector-ref ext-0 1))) (CoreC-45Hash-u--hashWithSalt_Hashable_Bits8 (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-0 6) e-6))) ((7) (let ((e-7 (vector-ref ext-0 1))) (CoreC-45Hash-u--hashWithSalt_Hashable_Bits16 (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-0 7) e-7))) ((8) (let ((e-8 (vector-ref ext-0 1))) (CoreC-45Hash-u--hashWithSalt_Hashable_Bits32 (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-0 8) e-8))) ((9) (let ((e-9 (vector-ref ext-0 1))) (CoreC-45Hash-u--hashWithSalt_Hashable_Bits64 (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-0 9) e-9))) ((10) (let ((e-10 (vector-ref ext-0 1))) (CoreC-45Hash-u--hashWithSalt_Hashable_String (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-0 10) e-10))) ((11) (let ((e-11 (vector-ref ext-0 1))) (CoreC-45Hash-u--hashWithSalt_Hashable_Char (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-0 11) e-11))) ((12) (let ((e-12 (vector-ref ext-0 1))) (CoreC-45Hash-u--hashWithSalt_Hashable_Double (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-0 12) e-12))) ((13) (let ((e-13 (vector-ref ext-0 1))) (CoreC-45Hash-u--hashWithSalt_Hashable_PrimType (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-0 13) e-13))) (else (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-0 14)))))
(define CoreC-45Hash-u--hashWithSalt_Hashable_ConInfo (lambda (arg-0 ext-0) (case (vector-ref ext-0 0) ((0) (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-0 0)) ((1) (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-0 1)) ((2) (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-0 2)) ((3) (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-0 3)) ((4) (let ((e-0 (vector-ref ext-0 1))) (CoreC-45Hash-u--hashWithSalt_Hashable_Nat (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-0 4) e-0))) ((5) (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-0 5)) ((6) (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-0 6)) ((7) (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-0 7)) ((8) (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-0 8)) ((9) (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-0 9)) (else (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-0 10)))))
(define CoreC-45Hash-u--hashWithSalt_Hashable_Char (lambda (arg-0 arg-1) (bs+ (bs* arg-0 33 63) (CoreC-45Hash-u--hash_Hashable_Char arg-1) 63)))
(define CoreC-45Hash-u--hashWithSalt_Hashable_CFType (lambda (arg-0 ext-0) (case (vector-ref ext-0 0) ((0) (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-0 0)) ((1) (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-0 1)) ((7) (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-0 2)) ((8) (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-0 3)) ((9) (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-0 4)) ((10) (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-0 5)) ((11) (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-0 6)) ((12) (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-0 7)) ((13) (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-0 8)) ((14) (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-0 9)) ((15) (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-0 10)) ((16) (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-0 11)) ((18) (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-0 12)) ((19) (let ((e-0 (vector-ref ext-0 1))) (let ((e-1 (vector-ref ext-0 2))) (CoreC-45Hash-u--hashWithSalt_Hashable_CFType (CoreC-45Hash-u--hashWithSalt_Hashable_CFType (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-0 13) e-0) e-1)))) ((20) (let ((e-2 (vector-ref ext-0 1))) (CoreC-45Hash-u--hashWithSalt_Hashable_CFType (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-0 14) e-2))) ((21) (let ((e-3 (vector-ref ext-0 1))) (let ((e-4 (vector-ref ext-0 2))) (CoreC-45Hash-u--hashWithSalt_Hashable_C-40ListC-32C-36aC-41 (cons (lambda (arg-2985) (CoreC-45Hash-u--hash_Hashable_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-1680) (csegen-1688) arg-2985)) (lambda (arg-2991) (lambda (arg-2994) (CoreC-45Hash-u--hashWithSalt_Hashable_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-1680) (csegen-1688) arg-2991 arg-2994)))) (CoreC-45Hash-u--hashWithSalt_Hashable_String (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-0 15) e-3) e-4)))) ((22) (let ((e-5 (vector-ref ext-0 1))) (let ((e-6 (vector-ref ext-0 2))) (CoreC-45Hash-u--hashWithSalt_Hashable_C-40ListC-32C-36aC-41 (csegen-1688) (CoreC-45Hash-u--hashWithSalt_Hashable_Name (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-0 16) e-5) e-6)))) ((3) (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-0 17)) ((4) (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-0 18)) ((5) (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-0 19)) ((6) (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-0 20)) ((17) (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-0 21)) (else (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-0 22)))))
(define CoreC-45Hash-u--hashWithSalt_Hashable_Bits8 (lambda (arg-0 arg-1) (bs+ (bs* arg-0 33 63) (CoreC-45Hash-u--hash_Hashable_Bits8 arg-1) 63)))
(define CoreC-45Hash-u--hashWithSalt_Hashable_Bits64 (lambda (arg-0 arg-1) (bs+ (bs* arg-0 33 63) (CoreC-45Hash-u--hash_Hashable_Bits64 arg-1) 63)))
(define CoreC-45Hash-u--hashWithSalt_Hashable_Bits32 (lambda (arg-0 arg-1) (bs+ (bs* arg-0 33 63) (CoreC-45Hash-u--hash_Hashable_Bits32 arg-1) 63)))
(define CoreC-45Hash-u--hashWithSalt_Hashable_Bits16 (lambda (arg-0 arg-1) (bs+ (bs* arg-0 33 63) (CoreC-45Hash-u--hash_Hashable_Bits16 arg-1) 63)))
(define CoreC-45Hash-u--hashWithSalt_Hashable_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (lambda (arg-2 arg-3 arg-4 arg-5) (let ((e-2 (car arg-5))) (let ((e-3 (cdr arg-5))) (let ((e-4 (cdr arg-3))) ((e-4 (let ((e-5 (cdr arg-2))) ((e-5 arg-4) e-2))) e-3))))))
(define CoreC-45Hash-u--hashWithSalt_Hashable_C-40TermC-32C-36varsC-41 (lambda (arg-1 arg-2) (case (vector-ref arg-2 0) ((0) (let ((e-4 (vector-ref arg-2 3))) (CoreC-45Hash-u--hashWithSalt_Hashable_Nat (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-1 0) e-4))) ((1) (let ((e-9 (vector-ref arg-2 3))) (CoreC-45Hash-u--hashWithSalt_Hashable_Name (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-1 1) e-9))) ((2) (let ((e-13 (vector-ref arg-2 3))) (let ((e-14 (vector-ref arg-2 4))) (CoreC-45Hash-u--hashWithSalt_Hashable_C-40ListC-32C-36aC-41 (csegen-1699) (CoreC-45Hash-u--hashWithSalt_Hashable_Int (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-1 2) e-13) e-14)))) ((3) (let ((e-18 (vector-ref arg-2 3))) (let ((e-19 (vector-ref arg-2 4))) (CoreC-45Hash-u--hashWithSalt_Hashable_C-40TermC-32C-36varsC-41 (CoreC-45Hash-u--hashWithSalt_Hashable_C-40BinderC-32C-36tyC-41 (csegen-1699) (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-1 3) e-18) e-19)))) ((4) (let ((e-22 (vector-ref arg-2 2))) (let ((e-23 (vector-ref arg-2 3))) (CoreC-45Hash-u--hashWithSalt_Hashable_C-40TermC-32C-36varsC-41 (CoreC-45Hash-u--hashWithSalt_Hashable_C-40TermC-32C-36varsC-41 (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-1 4) e-22) e-23)))) ((5) (let ((e-27 (vector-ref arg-2 3))) (let ((e-28 (vector-ref arg-2 4))) (CoreC-45Hash-u--hashWithSalt_Hashable_C-40TermC-32C-36varsC-41 (CoreC-45Hash-u--hashWithSalt_Hashable_C-40TermC-32C-36varsC-41 (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-1 5) e-27) e-28)))) ((6) (let ((e-32 (vector-ref arg-2 3))) (CoreC-45Hash-u--hashWithSalt_Hashable_C-40TermC-32C-36varsC-41 (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-1 6) e-32))) ((7) (let ((e-36 (vector-ref arg-2 3))) (let ((e-37 (vector-ref arg-2 4))) (CoreC-45Hash-u--hashWithSalt_Hashable_C-40TermC-32C-36varsC-41 (CoreC-45Hash-u--hashWithSalt_Hashable_C-40TermC-32C-36varsC-41 (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-1 7) e-36) e-37)))) ((8) (let ((e-41 (vector-ref arg-2 3))) (CoreC-45Hash-u--hashWithSalt_Hashable_C-40TermC-32C-36varsC-41 (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-1 8) e-41))) ((9) (let ((e-44 (vector-ref arg-2 2))) (CoreC-45Hash-u--hashWithSalt_Hashable_String (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-1 9) (CoreC-45TT-u--show_Show_Constant e-44)))) ((10) (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-1 10)) (else (let ((e-50 (vector-ref arg-2 2))) (CoreC-45Hash-u--hashWithSalt_Hashable_Name (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-1 11) e-50))))))
(define CoreC-45Hash-u--hashWithSalt_Hashable_C-40PrimFnC-32C-36arityC-41 (lambda (arg-1 ext-0) (case (vector-ref ext-0 0) ((0) (let ((e-0 (vector-ref ext-0 1))) (CoreC-45Hash-u--hashWithSalt_Hashable_PrimType (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-1 0) e-0))) ((1) (let ((e-1 (vector-ref ext-0 1))) (CoreC-45Hash-u--hashWithSalt_Hashable_PrimType (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-1 1) e-1))) ((2) (let ((e-2 (vector-ref ext-0 1))) (CoreC-45Hash-u--hashWithSalt_Hashable_PrimType (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-1 2) e-2))) ((3) (let ((e-3 (vector-ref ext-0 1))) (CoreC-45Hash-u--hashWithSalt_Hashable_PrimType (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-1 3) e-3))) ((4) (let ((e-4 (vector-ref ext-0 1))) (CoreC-45Hash-u--hashWithSalt_Hashable_PrimType (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-1 4) e-4))) ((5) (let ((e-5 (vector-ref ext-0 1))) (CoreC-45Hash-u--hashWithSalt_Hashable_PrimType (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-1 5) e-5))) ((6) (let ((e-6 (vector-ref ext-0 1))) (CoreC-45Hash-u--hashWithSalt_Hashable_PrimType (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-1 6) e-6))) ((7) (let ((e-7 (vector-ref ext-0 1))) (CoreC-45Hash-u--hashWithSalt_Hashable_PrimType (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-1 7) e-7))) ((8) (let ((e-8 (vector-ref ext-0 1))) (CoreC-45Hash-u--hashWithSalt_Hashable_PrimType (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-1 8) e-8))) ((9) (let ((e-9 (vector-ref ext-0 1))) (CoreC-45Hash-u--hashWithSalt_Hashable_PrimType (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-1 9) e-9))) ((10) (let ((e-10 (vector-ref ext-0 1))) (CoreC-45Hash-u--hashWithSalt_Hashable_PrimType (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-1 10) e-10))) ((11) (let ((e-11 (vector-ref ext-0 1))) (CoreC-45Hash-u--hashWithSalt_Hashable_PrimType (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-1 11) e-11))) ((12) (let ((e-12 (vector-ref ext-0 1))) (CoreC-45Hash-u--hashWithSalt_Hashable_PrimType (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-1 12) e-12))) ((13) (let ((e-13 (vector-ref ext-0 1))) (CoreC-45Hash-u--hashWithSalt_Hashable_PrimType (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-1 13) e-13))) ((14) (let ((e-14 (vector-ref ext-0 1))) (CoreC-45Hash-u--hashWithSalt_Hashable_PrimType (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-1 14) e-14))) ((15) (let ((e-15 (vector-ref ext-0 1))) (CoreC-45Hash-u--hashWithSalt_Hashable_PrimType (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-1 15) e-15))) ((16) (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-1 16)) ((17) (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-1 17)) ((18) (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-1 18)) ((19) (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-1 19)) ((20) (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-1 20)) ((21) (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-1 21)) ((22) (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-1 22)) ((23) (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-1 23)) ((24) (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-1 24)) ((25) (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-1 25)) ((27) (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-1 26)) ((28) (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-1 27)) ((29) (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-1 28)) ((30) (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-1 29)) ((31) (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-1 30)) ((32) (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-1 31)) ((33) (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-1 32)) ((34) (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-1 33)) ((35) (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-1 34)) ((36) (let ((e-16 (vector-ref ext-0 1))) (let ((e-17 (vector-ref ext-0 2))) (CoreC-45Hash-u--hashWithSalt_Hashable_PrimType (CoreC-45Hash-u--hashWithSalt_Hashable_PrimType (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-1 35) e-16) e-17)))) ((37) (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-1 36)) ((38) (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-1 37)) (else (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-1 38)))))
(define CoreC-45Hash-u--hashWithSalt_Hashable_C-40PiInfoC-32C-36tC-41 (lambda (arg-1 arg-2 arg-3) (case (vector-ref arg-3 0) ((0) (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-2 0)) ((1) (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-2 1)) ((2) (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-2 2)) (else (let ((e-4 (vector-ref arg-3 1))) (let ((e-2 (cdr arg-1))) ((e-2 (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-2 3)) e-4)))))))
(define CoreC-45Hash-u--hashWithSalt_Hashable_C-40MaybeC-32C-36aC-41 (lambda (arg-1 arg-2 arg-3) (if (null? arg-3) (PreludeC-45Num-u--abs_Abs_Int arg-2) (let ((e-2 (unbox arg-3))) (let ((e-3 (cdr arg-1))) ((e-3 arg-2) e-2))))))
(define CoreC-45Hash-u--hashWithSalt_Hashable_C-40ListC-32C-36aC-41 (lambda (arg-1 arg-2 arg-3) (if (null? arg-3) (PreludeC-45Num-u--abs_Abs_Int arg-2) (let ((e-2 (car arg-3))) (let ((e-3 (cdr arg-3))) (CoreC-45Hash-u--hashWithSalt_Hashable_C-40ListC-32C-36aC-41 arg-1 (bs+ (bs* arg-2 33 63) (let ((e-1 (car arg-1))) (e-1 e-2)) 63) e-3))))))
(define CoreC-45Hash-u--hashWithSalt_Hashable_C-40BinderC-32C-36tyC-41 (lambda (arg-1 arg-2 arg-3) (case (vector-ref arg-3 0) ((0) (let ((e-2 (vector-ref arg-3 2))) (let ((e-3 (vector-ref arg-3 3))) (let ((e-4 (vector-ref arg-3 4))) (let ((e-5 (cdr arg-1))) ((e-5 (CoreC-45Hash-u--hashWithSalt_Hashable_C-40PiInfoC-32C-36tC-41 arg-1 (CoreC-45Hash-u--hashWithSalt_Hashable_RigCount (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-2 0) e-2) e-3)) e-4)))))) ((1) (let ((e-7 (vector-ref arg-3 2))) (let ((e-8 (vector-ref arg-3 3))) (let ((e-9 (vector-ref arg-3 4))) (let ((e-2 (cdr arg-1))) ((e-2 (let ((e-3 (cdr arg-1))) ((e-3 (CoreC-45Hash-u--hashWithSalt_Hashable_RigCount (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-2 1) e-7)) e-8))) e-9)))))) ((2) (let ((e-12 (vector-ref arg-3 2))) (let ((e-13 (vector-ref arg-3 3))) (let ((e-14 (vector-ref arg-3 4))) (let ((e-2 (cdr arg-1))) ((e-2 (CoreC-45Hash-u--hashWithSalt_Hashable_C-40PiInfoC-32C-36tC-41 arg-1 (CoreC-45Hash-u--hashWithSalt_Hashable_RigCount (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-2 2) e-12) e-13)) e-14)))))) ((3) (let ((e-17 (vector-ref arg-3 2))) (let ((e-18 (vector-ref arg-3 3))) (let ((e-19 (vector-ref arg-3 4))) (let ((e-2 (cdr arg-1))) ((e-2 (CoreC-45Hash-u--hashWithSalt_Hashable_C-40PiInfoC-32C-36tC-41 arg-1 (CoreC-45Hash-u--hashWithSalt_Hashable_RigCount (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-2 3) e-17) e-18)) e-19)))))) ((4) (let ((e-22 (vector-ref arg-3 2))) (let ((e-23 (vector-ref arg-3 3))) (let ((e-24 (vector-ref arg-3 4))) (let ((e-2 (cdr arg-1))) ((e-2 (let ((e-3 (cdr arg-1))) ((e-3 (CoreC-45Hash-u--hashWithSalt_Hashable_RigCount (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-2 4) e-22)) e-23))) e-24)))))) (else (let ((e-27 (vector-ref arg-3 2))) (let ((e-28 (vector-ref arg-3 3))) (let ((e-2 (cdr arg-1))) ((e-2 (CoreC-45Hash-u--hashWithSalt_Hashable_RigCount (CoreC-45Hash-u--hashWithSalt_Hashable_Integer arg-2 5) e-27)) e-28))))))))
(define CoreC-45Hash-u--hashWithSalt_Hashable_C-40C-40VectC-32C-36nC-41C-32C-36aC-41 (lambda (arg-2 arg-3 arg-4) (if (null? arg-4) (PreludeC-45Num-u--abs_Abs_Int arg-3) (let ((e-3 (car arg-4))) (let ((e-4 (cdr arg-4))) (CoreC-45Hash-u--hashWithSalt_Hashable_C-40C-40VectC-32C-36nC-41C-32C-36aC-41 arg-2 (bs+ (bs* arg-3 33 63) (let ((e-1 (car arg-2))) (e-1 e-3)) 63) e-4))))))
(define LibrariesC-45DataC-45StringC-45Iterator-n--2654-2205-u--loop (lambda (arg-1 arg-2 arg-3 arg-4 arg-5) (let ((sc0 (LibrariesC-45DataC-45StringC-45Iterator-uncons arg-1 arg-5))) (if (null? sc0) arg-4 (let ((e-2 (car sc0))) (let ((e-3 (cdr sc0))) (LibrariesC-45DataC-45StringC-45Iterator-n--2654-2205-u--loop arg-1 arg-2 arg-3 ((arg-3 arg-4) e-2) e-3)))))))
(define LibrariesC-45DataC-45StringC-45Iterator-withString (lambda (arg-1 arg-2) (arg-2 (LibrariesC-45DataC-45StringC-45Iterator-fromString arg-1))))
(define LibrariesC-45DataC-45StringC-45Iterator-foldl (lambda (arg-1 arg-2 arg-3) (LibrariesC-45DataC-45StringC-45Iterator-withString arg-3 (lambda (eta-0) (LibrariesC-45DataC-45StringC-45Iterator-n--2654-2205-u--loop arg-3 arg-2 arg-1 arg-2 eta-0)))))
(define CoreC-45Normalise-case--caseC-32blockC-32inC-32caseC-32blockC-32inC-32normalisePrims-8437 (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14) (if (null? arg-14) (lambda (eta-0) (vector 1 '())) (let ((e-1 (unbox arg-14))) (let ((sc1 (arg-9 e-1))) (cond ((equal? sc1 1) (let ((eff-0 (let ((eff-0 arg-10)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (cond ((equal? arg-7 1) (CoreC-45Normalise-normaliseAll arg-10 arg-1 e-5 arg-2 arg-3)) (else (CoreC-45Normalise-normalise arg-10 arg-1 e-5 arg-2 arg-3))))) (PrimIO-io_bind eff-1 (csegen-1573))))) eff-1))))))))(else (lambda (eta-0) (vector 1 '())))))))))
(define CoreC-45Normalise-case--caseC-32blockC-32inC-32normalisePrims-8400 (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12) (if (null? arg-12) (lambda (eta-0) (vector 1 '())) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (CoreC-45Normalise-case--caseC-32blockC-32inC-32caseC-32blockC-32inC-32normalisePrims-8437 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 e-2 e-1 (arg-8 e-1)))))))
(define CoreC-45Normalise-n--8686-7910-u--repSub (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8) (case (vector-ref arg-8 0) ((0) (let ((e-1 (vector-ref arg-8 1))) (let ((e-2 (vector-ref arg-8 2))) (let ((e-3 (vector-ref arg-8 3))) (let ((e-4 (vector-ref arg-8 4))) (let ((eff-0 (CoreC-45CoreC-45Binder-traverse (lambda (u--c) (let ((eff-0 (CoreC-45NormaliseC-45Eval-evalClosure arg-7 arg-0 arg-5 u--c))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45Normalise-n--8686-7910-u--repSub arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-5))) eff-1)))))))) e-3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--xC-39 (vector 2 "tmp" arg-6))) (let ((eff-1 (let ((eff-1 ((e-4 arg-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) arg-4 (vector 1 e-1 (vector 0 ) u--xC-39))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-6 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45Normalise-replaceC-39 arg-7 arg-0 (bs+ arg-6 1 63) arg-5 arg-4 arg-3 arg-2 e-6))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-6 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 3 e-1 e-2 e-5 (CoreC-45TT-refsToLocals (vector 1 e-2 u--xC-39 (vector 0 )) e-6)))))) eff-2)))))))))) eff-1)))))))))))) ((1) (let ((e-6 (vector-ref arg-8 1))) (let ((e-7 (vector-ref arg-8 2))) (let ((e-8 (vector-ref arg-8 3))) (if (null? e-8) (let ((eff-0 (lambda (eta-0) (CoreC-45Context-clearDefs arg-5 eta-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-7 arg-0 e-5 arg-4 (vector 1 e-6 e-7 '())))) eff-1))))))) (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45Core-traversePair (lambda (eta-1) (CoreC-45Normalise-n--8686-7909-u--repArg arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 eta-1)) eta-0)) e-8 '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Normalise-replaceC-39 arg-7 arg-0 arg-6 arg-5 arg-4 arg-3 arg-2 (vector 1 e-6 e-7 '())))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (CoreC-45TT-applyWithFC e-9 e-5))))) eff-2))))))))) eff-1)))))))))))) ((2) (let ((e-10 (vector-ref arg-8 1))) (let ((e-11 (vector-ref arg-8 2))) (let ((e-12 (vector-ref arg-8 3))) (let ((e-13 (vector-ref arg-8 4))) (let ((e-14 (vector-ref arg-8 5))) (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45Core-traversePair (lambda (eta-1) (CoreC-45Normalise-n--8686-7909-u--repArg arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 eta-1)) eta-0)) e-14 '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (lambda (eta-0) (CoreC-45Context-clearDefs arg-5 eta-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-7 arg-0 e-6 arg-4 (vector 2 e-10 e-11 e-12 e-13 '())))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (CoreC-45TT-applyWithFC e-7 e-5))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))))) ((3) (let ((e-16 (vector-ref arg-8 1))) (let ((e-17 (vector-ref arg-8 2))) (let ((e-18 (vector-ref arg-8 3))) (let ((e-19 (vector-ref arg-8 4))) (let ((e-20 (vector-ref arg-8 5))) (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45Core-traversePair (lambda (eta-1) (CoreC-45Normalise-n--8686-7909-u--repArg arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 eta-1)) eta-0)) e-20 '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (lambda (eta-0) (CoreC-45Context-clearDefs arg-5 eta-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-7 arg-0 e-6 arg-4 (vector 3 e-16 e-17 e-18 e-19 '())))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (CoreC-45TT-applyWithFC e-7 e-5))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))))) ((4) (let ((e-22 (vector-ref arg-8 1))) (let ((e-23 (vector-ref arg-8 2))) (let ((e-24 (vector-ref arg-8 3))) (let ((e-25 (vector-ref arg-8 4))) (let ((eff-0 (CoreC-45Normalise-n--8686-7910-u--repSub arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-24))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Normalise-n--8686-7910-u--repSub arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-25))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 5 e-22 e-23 e-5 e-6))))) eff-2))))))))) eff-1)))))))))))) ((5) (let ((e-27 (vector-ref arg-8 1))) (let ((e-28 (vector-ref arg-8 2))) (let ((e-29 (vector-ref arg-8 3))) (let ((eff-0 (CoreC-45Normalise-n--8686-7910-u--repSub arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-29))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 6 e-27 e-28 e-5))))) eff-1))))))))))) ((6) (let ((e-31 (vector-ref arg-8 1))) (let ((e-32 (vector-ref arg-8 2))) (let ((e-33 (vector-ref arg-8 3))) (let ((e-34 (vector-ref arg-8 4))) (let ((eff-0 (let ((eff-0 (CoreC-45NormaliseC-45Eval-evalClosure arg-7 arg-0 arg-5 e-33))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45Normalise-replaceC-39 arg-7 arg-0 arg-6 arg-5 arg-4 arg-3 arg-2 e-5))) eff-1))))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-7 arg-0 arg-5 e-34))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45Normalise-replaceC-39 arg-7 arg-0 arg-6 arg-5 arg-4 arg-3 arg-2 e-6))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 7 e-31 e-32 e-5 e-6))))) eff-2))))))))) eff-1)))))))))))) ((7) (let ((e-36 (vector-ref arg-8 1))) (let ((e-37 (vector-ref arg-8 2))) (let ((e-38 (vector-ref arg-8 3))) (let ((e-39 (vector-ref arg-8 4))) (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45Core-traversePair (lambda (eta-1) (CoreC-45Normalise-n--8686-7909-u--repArg arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 eta-1)) eta-0)) e-39 '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Normalise-n--8686-7910-u--repSub arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-38))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (CoreC-45TT-applyWithFC (vector 8 e-36 e-37 e-6) e-5))))) eff-2))))))))) eff-1)))))))))))) ((9) (let ((e-41 (vector-ref arg-8 1))) (let ((e-42 (vector-ref arg-8 2))) (case (vector-ref e-42 0) ((2) (let ((e-45 (vector-ref e-42 1))) (let ((eff-0 (CoreC-45Normalise-n--8686-7910-u--repSub arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-45))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 10 e-41 (vector 2 e-5)))))) eff-1)))))))))(else (let ((eff-0 (lambda (eta-0) (CoreC-45Context-clearDefs arg-5 eta-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-7 arg-0 e-5 arg-4 arg-8))) eff-1))))))))))))(else (let ((eff-0 (lambda (eta-0) (CoreC-45Context-clearDefs arg-5 eta-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-7 arg-0 e-5 arg-4 arg-8))) eff-1)))))))))))
(define CoreC-45Normalise-n--8686-7909-u--repArg (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8) (let ((eff-0 (CoreC-45NormaliseC-45Eval-evalClosure arg-7 arg-0 arg-5 arg-8))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45Normalise-replaceC-39 arg-7 arg-0 arg-6 arg-5 arg-4 arg-3 arg-2 e-5))) eff-1)))))))))
(define CoreC-45Normalise-n--8531-7764-u--dumpEnv (lambda (arg-0 arg-1 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8) (if (null? arg-7) (lambda (clam-0) (vector 1 (vector 0 ))) (let ((e-2 (car arg-7))) (let ((e-3 (cdr arg-7))) (let ((e-8 (car arg-8))) (let ((e-9 (cdr arg-8))) (case (vector-ref e-8 0) ((1) (let ((e-12 (vector-ref e-8 2))) (let ((e-13 (vector-ref e-8 3))) (let ((e-14 (vector-ref e-8 4))) (let ((eff-0 (CoreC-45Normalise-logTermNFC-39 e-3 arg-6 arg-1 arg-5 (lambda () (string-append arg-4 (string-append ": let " (CoreC-45Name-u--show_Show_Name e-2)))) e-9 e-13))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45Normalise-logTermNFC-39 e-3 arg-6 arg-1 arg-5 (lambda () (string-append arg-4 (string-append ":" (string-append (AlgebraC-45ZeroOneOmega-u--show_Show_ZeroOneOmega e-12) (string-append " " (CoreC-45Name-u--show_Show_Name e-2)))))) e-9 e-14))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-2 (CoreC-45Normalise-n--8531-7764-u--dumpEnv arg-0 arg-1 arg-3 arg-4 arg-5 arg-6 e-3 e-9))) eff-2)))))))) eff-1))))))))))(else (let ((eff-0 (CoreC-45Normalise-logTermNFC-39 e-3 arg-6 arg-1 arg-5 (lambda () (string-append arg-4 (string-append ":" (string-append (AlgebraC-45ZeroOneOmega-u--show_Show_ZeroOneOmega (CoreC-45TT-multiplicity e-8)) (string-append " " (string-append (CoreC-45TT-u--show_Show_C-40PiInfoC-32C-36tC-41 (cons (lambda (u--x) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 e-3 u--x)) (lambda (u--d) (lambda (u--x) (CoreC-45TT-u--showPrec_Show_C-40TermC-32C-36varsC-41 e-3 u--d u--x)))) (CoreC-45TT-piInfo e-8)) (string-append " " (CoreC-45Name-u--show_Show_Name e-2)))))))) e-9 (CoreC-45TT-binderType e-8)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-1 (CoreC-45Normalise-n--8531-7764-u--dumpEnv arg-0 arg-1 arg-3 arg-4 arg-5 arg-6 e-3 e-9))) eff-1)))))))))))))))
(define CoreC-45Normalise-n--7732-6987-u--act (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (let ((eff-0 (CoreC-45ContextC-45Log-logTerm arg-3 arg-0 "eval.eta" 10 (lambda () "  Considering") arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (case (vector-ref arg-4 0) ((3) (let ((e-1 (vector-ref arg-4 1))) (let ((e-2 (vector-ref arg-4 2))) (let ((e-3 (vector-ref arg-4 3))) (let ((e-4 (vector-ref arg-4 4))) (case (vector-ref e-3 0) ((0) (let ((e-6 (vector-ref e-3 1))) (let ((e-7 (vector-ref e-3 2))) (let ((e-8 (vector-ref e-3 3))) (let ((e-9 (vector-ref e-3 4))) (case (vector-ref e-4 0) ((4) (let ((e-11 (vector-ref e-4 1))) (let ((e-12 (vector-ref e-4 2))) (let ((e-13 (vector-ref e-4 3))) (case (vector-ref e-13 0) ((0) (let ((e-16 (vector-ref e-13 1))) (let ((e-17 (vector-ref e-13 2))) (let ((e-18 (vector-ref e-13 3))) (cond ((equal? e-18 0) (let ((eff-1 (CoreC-45ContextC-45Log-logTerm (cons e-2 arg-3) arg-0 "eval.eta" 10 (lambda () ((csegen-0) "  Shrinking candidate")) e-12))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-10 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((eff-2 (let ((u--shrunk (CoreC-45TT-shrinkTerm e-12 (vector 1 (vector 0 ))))) (let ((u--tm (vector 3 e-1 e-2 (vector 0 e-6 e-7 e-8 e-9) (vector 4 e-11 e-12 (vector 0 e-16 e-17 0))))) (if (null? u--shrunk) (let ((eff-2 (CoreC-45ContextC-45Log-log arg-0 "eval.eta" 10 (lambda () ((csegen-0) "  Failure!"))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-14 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((eff-3 (lambda (eta-0) (vector 1 u--tm)))) eff-3)))))) (let ((e-14 (unbox u--shrunk))) (let ((eff-2 (CoreC-45ContextC-45Log-logTerm arg-3 arg-0 "eval.eta" 10 (lambda () ((csegen-0) "  Success!")) e-14))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-15 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-15)))) (else (let ((eff-3 (lambda (eta-0) (vector 1 e-14)))) eff-3)))))))))))) eff-2)))))))(else (lambda (eta-0) (vector 1 arg-4))))))))(else (lambda (eta-0) (vector 1 arg-4))))))))(else (lambda (eta-0) (vector 1 arg-4)))))))))(else (lambda (eta-0) (vector 1 arg-4)))))))))(else (lambda (eta-0) (vector 1 arg-4)))))) eff-1))))))))
(define CoreC-45Normalise-tryNormaliseSizeLimit (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (let ((eff-0 (CoreC-45NormaliseC-45Eval-nf arg-0 arg-1 arg-2 arg-4 arg-5))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quoteOpts_Quote_NF arg-0 arg-1 (vector 0 0 (box arg-3)) arg-2 arg-4 e-5))) eff-1)))))))))
(define CoreC-45Normalise-replaceC-39 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (let ((eff-0 (CoreC-45NormaliseC-45Convert-u--convert_Convert_NF arg-0 arg-1 arg-3 arg-4 arg-5 arg-7))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (cond ((equal? e-5 1) (lambda (eta-0) (vector 1 arg-6))) (else (CoreC-45Normalise-n--8686-7910-u--repSub arg-1 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-0 arg-7))))) eff-1)))))))))
(define CoreC-45Normalise-replace (lambda (arg-0 arg-1 ext-0 ext-1 ext-2 ext-3 ext-4) (CoreC-45Normalise-replaceC-39 arg-0 arg-1 0 ext-0 ext-1 ext-2 ext-3 ext-4)))
(define CoreC-45Normalise-normaliseSizeLimit (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (CoreC-45Core-u--catch_Catchable_Core_Error (let ((eff-0 (CoreC-45NormaliseC-45Eval-nf arg-0 arg-1 arg-2 arg-4 arg-5))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quoteOpts_Quote_NF arg-0 arg-1 (vector 0 0 (box arg-3)) arg-2 arg-4 e-5))) eff-1))))))) (lambda (u--err) (lambda (eta-0) (vector 1 arg-5))))))
(define CoreC-45Normalise-normaliseScope (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (case (vector-ref arg-4 0) ((3) (let ((e-1 (vector-ref arg-4 1))) (let ((e-2 (vector-ref arg-4 2))) (let ((e-3 (vector-ref arg-4 3))) (let ((e-4 (vector-ref arg-4 4))) (let ((eff-0 (CoreC-45Normalise-normaliseScope arg-0 (cons e-2 arg-1) arg-2 (cons e-3 arg-3) e-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 3 e-1 e-2 e-3 e-5))))) eff-1))))))))))))(else (CoreC-45Normalise-normalise arg-0 arg-1 arg-2 arg-3 arg-4)))))
(define CoreC-45Normalise-normalisePrims (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10) (let ((eff-0 (CoreC-45Context-getFullName arg-1 arg-7))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((sc1 (CoreC-45Context-isPrimName arg-6 e-5))) (cond ((equal? sc1 1) (CoreC-45Normalise-case--caseC-32blockC-32inC-32normalisePrims-8400 arg-2 arg-10 arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-1 e-5 (PreludeC-45TypesC-45List-reverse arg-8)))(else (lambda (eta-0) (vector 1 '()))))))) eff-1)))))))))
(define CoreC-45Normalise-normalisePis (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (let ((eff-0 (CoreC-45NormaliseC-45Eval-nf arg-0 arg-1 arg-2 arg-3 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (case (vector-ref e-5 0) ((0) (let ((e-3 (vector-ref e-5 3))) (case (vector-ref e-3 0) ((2) (CoreC-45NormaliseC-45Quote-quoteWithPi arg-0 arg-1 arg-2 arg-3 e-5))(else (lambda (eta-0) (vector 1 arg-4))))))(else (lambda (eta-0) (vector 1 arg-4)))))) eff-1)))))))))
(define CoreC-45Normalise-normaliseOpts (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (let ((eff-0 (CoreC-45NormaliseC-45Eval-nfOpts arg-0 arg-1 arg-2 arg-3 arg-4 arg-5))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 arg-1 arg-3 arg-4 e-5))) eff-1)))))))))
(define CoreC-45Normalise-normaliseHoles (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (let ((eff-0 (CoreC-45NormaliseC-45Eval-nfOpts arg-0 arg-1 (CoreC-45Value-withHoles) arg-2 arg-3 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 arg-1 arg-2 arg-3 e-5))) eff-1)))))))))
(define CoreC-45Normalise-normaliseArgHoles (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (let ((eff-0 (CoreC-45NormaliseC-45Eval-nfOpts arg-0 arg-1 (CoreC-45Value-withArgHoles) arg-2 arg-3 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 arg-1 arg-2 arg-3 e-5))) eff-1)))))))))
(define CoreC-45Normalise-normaliseAll (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (let ((eff-0 (CoreC-45NormaliseC-45Eval-nfOpts arg-0 arg-1 (CoreC-45Value-withAll) arg-2 arg-3 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 arg-1 arg-2 arg-3 e-5))) eff-1)))))))))
(define CoreC-45Normalise-normalise (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (let ((eff-0 (CoreC-45NormaliseC-45Eval-nf arg-0 arg-1 arg-2 arg-3 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 arg-1 arg-2 arg-3 e-5))) eff-1)))))))))
(define CoreC-45Normalise-logTermNFC-39 (lambda (arg-0 arg-1 arg-2 arg-4 arg-5 arg-6 arg-7) (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Normalise-normaliseHoles arg-1 arg-0 e-5 arg-6 arg-7))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-1 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (cond ((equal? arg-2 "") (PrimIO-io_bind (PreludeC-45IO-putStrLn (csegen-40) (string-append "LOG " (string-append (PreludeC-45Show-u--show_Show_Nat arg-4) (string-append ": " (string-append (arg-5) (string-append ": " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-0 e-7))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))(else (PrimIO-io_bind (PreludeC-45IO-putStrLn (csegen-40) (string-append "LOG " (string-append arg-2 (string-append ":" (string-append (PreludeC-45Show-u--show_Show_Nat arg-4) (string-append ": " (string-append (arg-5) (string-append ": " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-0 e-7))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))
(define CoreC-45Normalise-logTermNF (lambda (arg-0 arg-1 arg-2 arg-4 arg-5 arg-6 arg-7) (let ((eff-0 (CoreC-45ContextC-45Log-unverifiedLogging arg-1 arg-2 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (cond ((equal? e-5 1) (CoreC-45Normalise-logTermNFC-39 arg-0 arg-1 arg-2 arg-4 arg-5 arg-6 arg-7)) (else (lambda (eta-0) (vector 1 (vector 0 ))))))) eff-1)))))))))
(define CoreC-45Normalise-logNF (lambda (arg-0 arg-1 arg-2 arg-4 arg-5 arg-6 arg-7) (let ((eff-0 (CoreC-45ContextC-45Log-unverifiedLogging arg-1 arg-2 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (cond ((equal? e-5 1) (let ((eff-1 (let ((eff-1 arg-1)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (unbox eff-2))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-1 arg-0 e-6 arg-6 arg-7))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45Context-toFullNames arg-1 (csegen-105) e-7))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (cond ((equal? arg-2 "") (PrimIO-io_bind (PreludeC-45IO-putStrLn (csegen-40) (string-append "LOG " (string-append (PreludeC-45Show-u--show_Show_Nat arg-4) (string-append ": " (string-append (arg-5) (string-append ": " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-0 e-8))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))(else (PrimIO-io_bind (PreludeC-45IO-putStrLn (csegen-40) (string-append "LOG " (string-append arg-2 (string-append ":" (string-append (PreludeC-45Show-u--show_Show_Nat arg-4) (string-append ": " (string-append (arg-5) (string-append ": " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-0 e-8))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))))) eff-4))))))))) eff-3))))))))) eff-2)))))))) (else (lambda (eta-0) (vector 1 (vector 0 ))))))) eff-1)))))))))
(define CoreC-45Normalise-logGlueNF (lambda (arg-0 arg-1 arg-2 arg-4 arg-5 arg-6 arg-7) (let ((eff-0 (CoreC-45ContextC-45Log-unverifiedLogging arg-1 arg-2 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (cond ((equal? e-5 1) (let ((eff-1 (let ((eff-1 arg-1)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (unbox eff-2))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45NormaliseC-45Eval-getTerm arg-7))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45Normalise-normaliseHoles arg-1 arg-0 e-6 arg-6 e-7))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Context-toFullNames arg-1 (csegen-105) e-8))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (cond ((equal? arg-2 "") (PrimIO-io_bind (PreludeC-45IO-putStrLn (csegen-40) (string-append "LOG " (string-append (PreludeC-45Show-u--show_Show_Nat arg-4) (string-append ": " (string-append (arg-5) (string-append ": " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-0 e-9))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))(else (PrimIO-io_bind (PreludeC-45IO-putStrLn (csegen-40) (string-append "LOG " (string-append arg-2 (string-append ":" (string-append (PreludeC-45Show-u--show_Show_Nat arg-4) (string-append ": " (string-append (arg-5) (string-append ": " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-0 e-9))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))))) eff-5))))))))) eff-4))))))))) eff-3))))))))) eff-2)))))))) (else (lambda (eta-0) (vector 1 (vector 0 ))))))) eff-1)))))))))
(define CoreC-45Normalise-logGlue (lambda (arg-0 arg-1 arg-2 arg-4 arg-5 arg-6 arg-7) (let ((eff-0 (CoreC-45ContextC-45Log-unverifiedLogging arg-1 arg-2 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (cond ((equal? e-5 1) (let ((eff-1 (let ((eff-1 arg-1)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (unbox eff-2))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45NormaliseC-45Eval-getTerm arg-7))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45Context-toFullNames arg-1 (csegen-105) e-7))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (cond ((equal? arg-2 "") (PrimIO-io_bind (PreludeC-45IO-putStrLn (csegen-40) (string-append "LOG " (string-append (PreludeC-45Show-u--show_Show_Nat arg-4) (string-append ": " (string-append (arg-5) (string-append ": " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-0 e-8))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))(else (PrimIO-io_bind (PreludeC-45IO-putStrLn (csegen-40) (string-append "LOG " (string-append arg-2 (string-append ":" (string-append (PreludeC-45Show-u--show_Show_Nat arg-4) (string-append ": " (string-append (arg-5) (string-append ": " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-0 e-8))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))))) eff-4))))))))) eff-3))))))))) eff-2))))))) (else (lambda (eta-0) (vector 1 (vector 0 ))))))) eff-1)))))))))
(define CoreC-45Normalise-logEnv (lambda (arg-0 arg-1 arg-2 arg-4 arg-5 arg-6) (let ((eff-0 (CoreC-45ContextC-45Log-unverifiedLogging arg-1 arg-2 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (cond ((equal? e-5 1) (let ((eff-1 (cond ((equal? arg-2 "") (PrimIO-io_bind (PreludeC-45IO-putStrLn (csegen-40) (string-append "LOG " (string-append (PreludeC-45Show-u--show_Show_Nat arg-4) (string-append ": " arg-5)))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))(else (PrimIO-io_bind (PreludeC-45IO-putStrLn (csegen-40) (string-append "LOG " (string-append arg-2 (string-append ":" (string-append (PreludeC-45Show-u--show_Show_Nat arg-4) (string-append ": " arg-5)))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (CoreC-45Normalise-n--8531-7764-u--dumpEnv arg-0 arg-2 arg-6 arg-5 arg-4 arg-1 arg-0 arg-6))) eff-2))))))) (else (lambda (eta-0) (vector 1 (vector 0 ))))))) eff-1)))))))))
(define CoreC-45Normalise-glueClosure (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (vector 0 (let ((eff-0 (lambda (eta-0) (CoreC-45Context-clearDefs arg-2 eta-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_Closure arg-0 arg-1 e-5 arg-3 arg-4))) eff-1))))))) (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 arg-4)))))
(define CoreC-45Normalise-glueBack (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (vector 0 (let ((eff-0 (lambda (eta-0) (CoreC-45Context-clearDefs arg-2 eta-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 arg-1 e-5 arg-3 arg-4))) eff-1))))))) (lambda (eta-0) (lambda (eta-1) (vector 1 arg-4))))))
(define CoreC-45Normalise-getValArity (lambda (arg-1 arg-2 arg-3) (case (vector-ref arg-3 0) ((0) (let ((e-1 (vector-ref arg-3 1))) (let ((e-3 (vector-ref arg-3 3))) (let ((e-4 (vector-ref arg-3 4))) (case (vector-ref e-3 0) ((2) (let ((eff-0 ((e-4 arg-1) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) arg-2 (vector 10 e-1 (vector 0 )))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Normalise-getValArity arg-1 arg-2 e-5))) (PrimIO-io_bind eff-1 (csegen-1703))))) eff-1))))))))(else (lambda (eta-0) (vector 1 0))))))))(else (lambda (eta-0) (vector 1 0))))))
(define CoreC-45Normalise-getArity (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (let ((eff-0 (CoreC-45NormaliseC-45Eval-nf arg-0 arg-1 arg-2 arg-3 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45Normalise-getValArity arg-2 arg-3 e-5))) eff-1)))))))))
(define CoreC-45Normalise-etaContract (lambda (arg-0 arg-1 arg-2) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45ContextC-45Log-logTerm arg-1 arg-0 "eval.eta" 5 (lambda () "Attempting to eta contract subterms of") arg-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45Normalise-normalise arg-0 arg-1 e-5 (CoreC-45Env-mkEnv (vector 2 ) arg-1) arg-2))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45ContextC-45Log-logTerm arg-1 arg-0 "eval.eta" 5 (lambda () "Evaluated to") e-7))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-4 (let ((eff-4 (CoreC-45Core-mapTermM (lambda (vars-7242) (lambda (eta-0) (CoreC-45Normalise-n--7732-6987-u--act arg-0 arg-1 arg-2 vars-7242 eta-0))) arg-1 arg-2))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (let ((eff-5 (CoreC-45ContextC-45Log-logTerm arg-1 arg-0 "eval.eta" 5 (lambda () "Result of eta-contraction") e-9))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-6 (lambda (eta-0) (vector 1 e-9)))) eff-6)))))))) eff-5))))))))) eff-4)))))))) eff-3))))))))) eff-2)))))))) eff-1)))))))))
(define CoreC-45ContextC-45Log-n--8093-3454-u--showTimeLog (lambda (arg-0 arg-1) (let ((e-2 (car arg-1))) (let ((e-3 (cdr arg-1))) (let ((e-7 (cdr e-3))) (let ((eff-0 (PrimIO-io_bind (PreludeC-45IO-putStr (csegen-40) (string-append e-2 ": ")) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-1 (PrimIO-io_bind (PreludeC-45IO-putStrLn (csegen-40) (string-append (PreludeC-45Show-u--show_Show_Integer (PreludeC-45Num-u--div_Integral_Integer e-7 (CoreC-45ContextC-45Log-nano))) (string-append "." (string-append (CoreC-45ContextC-45Log-n--8093-3453-u--addZeros arg-0 (PreludeC-45Types-fastUnpack (PreludeC-45Show-u--show_Show_Integer (PreludeC-45Num-u--div_Integral_Integer (PreludeC-45Num-u--mod_Integral_Integer e-7 (CoreC-45ContextC-45Log-nano)) (CoreC-45ContextC-45Log-micro))))) "s")))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) eff-1)))))))))))
(define CoreC-45ContextC-45Log-n--8093-3453-u--addZeros (lambda (arg-0 arg-1) (if (null? arg-1) "000" (let ((e-2 (car arg-1))) (let ((e-3 (cdr arg-1))) (if (null? e-3) (string-append "00" (string e-2)) (let ((e-6 (car e-3))) (let ((e-7 (cdr e-3))) (if (null? e-7) (string-append "0" (string-append (string e-2) (string e-6))) (PreludeC-45Types-fastPack arg-1))))))))))
(define CoreC-45ContextC-45Log-n--7512-2936-u--addZeros (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (if (null? arg-6) "000" (let ((e-2 (car arg-6))) (let ((e-3 (cdr arg-6))) (if (null? e-3) (string-append "00" (string e-2)) (let ((e-6 (car e-3))) (let ((e-7 (cdr e-3))) (if (null? e-7) (string-append "0" (string-append (string e-2) (string e-6))) (PreludeC-45Types-fastPack arg-6))))))))))
(define CoreC-45ContextC-45Log-unverifiedLogging (lambda (arg-0 arg-1 arg-2) (cond ((equal? arg-2 0) (lambda (eta-0) (vector 1 1)))(else (let ((eff-0 (CoreC-45Context-getSession arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (let ((sc1 (let ((e-8 (vector-ref e-5 8))) e-8))) (cond ((equal? sc1 1) (CoreC-45OptionsC-45Log-keepLog (CoreC-45OptionsC-45Log-mkUnverifiedLogLevel arg-1 arg-2) (let ((e-9 (vector-ref e-5 9))) e-9))) (else 0))))))) eff-1)))))))))))
(define CoreC-45ContextC-45Log-unverifiedLogC (lambda (arg-0 arg-1 arg-2 arg-3) (let ((eff-0 (CoreC-45ContextC-45Log-unverifiedLogging arg-0 arg-1 arg-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (cond ((equal? e-5 1) (let ((eff-1 arg-3)) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (cond ((equal? arg-1 "") (PrimIO-io_bind (PreludeC-45IO-putStrLn (csegen-40) (string-append "LOG " (string-append (PreludeC-45Show-u--show_Show_Nat arg-2) (string-append ": " e-6)))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))(else (PrimIO-io_bind (PreludeC-45IO-putStrLn (csegen-40) (string-append "LOG " (string-append arg-1 (string-append ":" (string-append (PreludeC-45Show-u--show_Show_Nat arg-2) (string-append ": " e-6)))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))))) eff-2)))))))) (else (lambda (eta-0) (vector 1 (vector 0 ))))))) eff-1)))))))))
(define CoreC-45ContextC-45Log-showTimeRecord (lambda (arg-0) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45Core-traverse_ (lambda (eta-0) (CoreC-45ContextC-45Log-n--8093-3454-u--showTimeLog arg-0 eta-0)) (LibrariesC-45DataC-45StringMap-toList (let ((e-27 (vector-ref e-5 27))) e-27))))) eff-1)))))))))
(define CoreC-45ContextC-45Log-nano(blodwen-lazy (lambda () 1000000000)))
(define CoreC-45ContextC-45Log-micro(blodwen-lazy (lambda () 1000000)))
(define CoreC-45ContextC-45Log-logTimeWhen (lambda (arg-1 arg-2 arg-3 arg-4 arg-5) (cond ((equal? arg-2 1) (let ((eff-0 (csegen-1704))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--t (+ (* (SystemC-45Clock-seconds e-5) (CoreC-45ContextC-45Log-nano)) (SystemC-45Clock-nanoseconds e-5)))) (let ((eff-1 arg-5)) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (csegen-1704))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((u--tC-39 (+ (* (SystemC-45Clock-seconds e-7) (CoreC-45ContextC-45Log-nano)) (SystemC-45Clock-nanoseconds e-7)))) (let ((u--time (- u--tC-39 u--t))) (let ((eff-3 (PrimIO-io_bind (let ((u--header (string-append "TIMING " (string-append (DataC-45String-replicate arg-3 #\+) (let ((sc4 (PreludeC-45Types-u--C-60_Ord_Nat 0 arg-3))) (cond ((equal? sc4 1) ((csegen-0) " ")) (else (csegen-1)))))))) (PreludeC-45IO-putStrLn (csegen-40) (string-append u--header (string-append (arg-4) (string-append ": " (string-append (PreludeC-45Show-u--show_Show_Integer (PreludeC-45Num-u--div_Integral_Integer u--time (CoreC-45ContextC-45Log-nano))) (string-append "." (string-append (CoreC-45ContextC-45Log-n--7512-2936-u--addZeros arg-5 arg-4 arg-3 arg-2 arg-1 (PreludeC-45Types-fastUnpack (PreludeC-45Show-u--show_Show_Integer (PreludeC-45Num-u--div_Integral_Integer (PreludeC-45Num-u--mod_Integral_Integer u--time (CoreC-45ContextC-45Log-nano)) (CoreC-45ContextC-45Log-micro))))) "s")))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-4 (lambda (eta-0) (vector 1 e-6)))) eff-4)))))))))) eff-3))))))))) eff-2)))))))))) eff-1)))))))) (else arg-5))))
(define CoreC-45ContextC-45Log-logTime (lambda (arg-1 arg-2 arg-3 arg-4) (let ((eff-0 (CoreC-45Context-getSession arg-1))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45ContextC-45Log-logTimeWhen arg-1 (PreludeC-45Types-maybe (lambda () 0) (lambda () (lambda (arg-0) (PreludeC-45Types-u--C-60C-61_Ord_Nat arg-2 arg-0))) (let ((e-10 (vector-ref e-5 10))) e-10)) arg-2 arg-3 arg-4))) eff-1)))))))))
(define CoreC-45ContextC-45Log-logTerm (lambda (arg-0 arg-1 arg-2 arg-4 arg-5 arg-6) (let ((eff-0 (CoreC-45ContextC-45Log-unverifiedLogging arg-1 arg-2 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (cond ((equal? e-5 1) (let ((eff-1 (CoreC-45Context-toFullNames arg-1 (csegen-105) arg-6))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (cond ((equal? arg-2 "") (PrimIO-io_bind (PreludeC-45IO-putStrLn (csegen-40) (string-append "LOG " (string-append (PreludeC-45Show-u--show_Show_Nat arg-4) (string-append ": " (string-append (arg-5) (string-append ": " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-0 e-6))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))(else (PrimIO-io_bind (PreludeC-45IO-putStrLn (csegen-40) (string-append "LOG " (string-append arg-2 (string-append ":" (string-append (PreludeC-45Show-u--show_Show_Nat arg-4) (string-append ": " (string-append (arg-5) (string-append ": " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-0 e-6))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))))) eff-2)))))))) (else (lambda (eta-0) (vector 1 (vector 0 ))))))) eff-1)))))))))
(define CoreC-45ContextC-45Log-log (lambda (arg-0 arg-1 arg-3 arg-4) (let ((eff-0 (CoreC-45ContextC-45Log-unverifiedLogging arg-0 arg-1 arg-3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (cond ((equal? e-5 1) (cond ((equal? arg-1 "") (PrimIO-io_bind (PreludeC-45IO-putStrLn (csegen-40) (string-append "LOG " (string-append (PreludeC-45Show-u--show_Show_Nat arg-3) (string-append ": " (arg-4))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))(else (PrimIO-io_bind (PreludeC-45IO-putStrLn (csegen-40) (string-append "LOG " (string-append arg-1 (string-append ":" (string-append (PreludeC-45Show-u--show_Show_Nat arg-3) (string-append ": " (arg-4))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (else (lambda (eta-0) (vector 1 (vector 0 ))))))) eff-1)))))))))
(define CoreC-45NormaliseC-45Quote-n--7337-8568-u--toHolesOnly (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-13) (case (vector-ref arg-13 0) ((0) (let ((e-1 (vector-ref arg-13 1))) (let ((e-2 (vector-ref arg-13 2))) (let ((e-3 (vector-ref arg-13 3))) (let ((e-4 (vector-ref arg-13 4))) (let ((e-5 (vector-ref arg-13 5))) (vector 0 e-1 (let ((e-11 (vector-ref e-2 2))) (let ((e-10 (vector-ref e-2 3))) (let ((e-9 (vector-ref e-2 4))) (let ((e-8 (vector-ref e-2 5))) (let ((e-6 (vector-ref e-2 6))) (let ((e-7 (vector-ref e-2 7))) (vector 1 1 e-11 e-10 e-9 e-8 e-6 e-7))))))) e-3 e-4 e-5)))))))(else arg-13))))
(define CoreC-45NormaliseC-45Quote-n--7337-8208-u--isRef (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11) (case (vector-ref arg-11 0) ((1) 1)(else 0))))
(define CoreC-45NormaliseC-45Quote-n--7223-7554-u--findName (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-12) (case (vector-ref arg-12 0) ((0) '()) (else (let ((e-2 (vector-ref arg-12 2))) (let ((e-3 (vector-ref arg-12 3))) (case (vector-ref e-2 0) ((2) (let ((e-5 (vector-ref e-2 2))) (let ((sc2 (PreludeC-45EqOrd-u--C-61C-61_Eq_Int arg-2 e-5))) (cond ((equal? sc2 1) (box 0)) (else (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (CoreC-45NormaliseC-45Quote-n--7223-7554-u--findName arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 e-3) (csegen-1106)))))))(else (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (CoreC-45NormaliseC-45Quote-n--7223-7554-u--findName arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 e-3) (csegen-1106))))))))))
(define CoreC-45NormaliseC-45Quote-n--7223-7406-u--addLater (lambda (arg-0 arg-2 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-15 arg-16) (if (null? arg-16) arg-15 (let ((e-3 (cdr arg-16))) (let ((eff-0 (CoreC-45NormaliseC-45Quote-n--7223-7406-u--addLater arg-0 arg-2 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-15 e-3))) (+ eff-0 1))))))
(define CoreC-45NormaliseC-45Quote-u--quote_Quote_Term (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (let ((eff-0 (csegen-1706))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (CoreC-45NormaliseC-45Quote-u--quoteGen_Quote_Term arg-0 arg-1 e-5 (vector 1 0 '()) arg-2 arg-3 arg-4 eta-0)))) eff-1)))))))))
(define CoreC-45NormaliseC-45Quote-u--quote_Quote_NF (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (let ((eff-0 (csegen-1706))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quoteGen_Quote_NF arg-0 arg-1 e-5 (vector 1 0 '()) arg-2 arg-3 arg-4))) eff-1)))))))))
(define CoreC-45NormaliseC-45Quote-u--quote_Quote_Closure (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (let ((eff-0 (csegen-1706))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quoteGen_Quote_Closure arg-0 arg-1 e-5 (vector 1 0 '()) arg-2 arg-3 arg-4))) eff-1)))))))))
(define CoreC-45NormaliseC-45Quote-u--quoteOpts_Quote_NF (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (let ((eff-0 (csegen-1706))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quoteGen_Quote_NF arg-0 arg-1 e-5 arg-2 arg-3 arg-4 arg-5))) eff-1)))))))))
(define CoreC-45NormaliseC-45Quote-u--quoteOpts_Quote_Closure (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (let ((eff-0 (csegen-1706))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quoteGen_Quote_Closure arg-0 arg-1 e-5 arg-2 arg-3 arg-4 arg-5))) eff-1)))))))))
(define CoreC-45NormaliseC-45Quote-u--quoteLHS_Quote_NF (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (let ((eff-0 (csegen-1706))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quoteGen_Quote_NF arg-0 arg-1 e-5 (vector 1 1 '()) arg-2 arg-3 arg-4))) eff-1)))))))))
(define CoreC-45NormaliseC-45Quote-u--quoteLHS_Quote_Closure (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (let ((eff-0 (csegen-1706))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quoteGen_Quote_Closure arg-0 arg-1 e-5 (vector 1 1 '()) arg-2 arg-3 arg-4))) eff-1)))))))))
(define CoreC-45NormaliseC-45Quote-u--quoteGen_Quote_Term (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 ext-0) (vector 1 arg-6)))
(define CoreC-45NormaliseC-45Quote-u--quoteGen_Quote_NF (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (CoreC-45NormaliseC-45Quote-quoteGenNF arg-0 '() arg-1 arg-2 arg-3 arg-4 (vector 0 ) arg-5 arg-6)))
(define CoreC-45NormaliseC-45Quote-u--quoteGen_Quote_Closure (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (let ((eff-0 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-4 arg-6))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quoteGen_Quote_NF arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-5))) eff-1)))))))))
(define CoreC-45NormaliseC-45Quote-quoteWithPiGen (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8) (case (vector-ref arg-8 0) ((0) (let ((e-1 (vector-ref arg-8 1))) (let ((e-2 (vector-ref arg-8 2))) (let ((e-3 (vector-ref arg-8 3))) (let ((e-4 (vector-ref arg-8 4))) (case (vector-ref e-3 0) ((2) (let ((e-9 (vector-ref e-3 1))) (let ((e-10 (vector-ref e-3 2))) (let ((e-11 (vector-ref e-3 3))) (let ((e-12 (vector-ref e-3 4))) (let ((eff-0 (CoreC-45NormaliseC-45Quote-genName arg-3 "qv"))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (lambda (eta-0) (CoreC-45Context-clearDefs arg-5 eta-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-6 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (let ((eff-2 ((e-4 arg-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) arg-7 (vector 1 e-1 (vector 0 ) e-5))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-7 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (CoreC-45NormaliseC-45Quote-quoteWithPiGen arg-0 (cons e-2 arg-1) arg-2 arg-3 arg-4 arg-5 (vector 1 e-2 e-5 arg-6) arg-7 e-7))) eff-3))))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-7 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-2 e-6 e-12))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-8 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (CoreC-45NormaliseC-45Quote-quoteGenNF arg-0 arg-1 arg-2 arg-3 arg-4 e-6 arg-6 arg-7 e-8))) eff-4))))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-8 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45NormaliseC-45Quote-quotePi arg-0 arg-1 arg-2 arg-3 arg-4 e-6 arg-6 arg-7 e-11))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-13 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 3 e-1 e-2 (vector 2 e-9 e-10 e-13 e-8) e-7))))) eff-5))))))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))))(else (let ((eff-0 (lambda (eta-0) (CoreC-45Context-clearDefs arg-5 eta-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45NormaliseC-45Quote-quoteGenNF arg-0 arg-1 arg-2 arg-3 arg-4 e-5 arg-6 arg-7 arg-8))) eff-1)))))))))))))) ((9) (let ((e-6 (vector-ref arg-8 1))) (let ((e-7 (vector-ref arg-8 2))) (let ((eff-0 (CoreC-45TT-u--traverse_Traversable_WhyErased (csegen-1306) (lambda (eta-0) (CoreC-45NormaliseC-45Quote-quoteWithPiGen arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 eta-0)) e-7))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-9) (lambda (arg-10) ((((eff-1 'erased) 'erased) arg-9) arg-10)))) (lambda (eta-0) (vector 10 e-6 eta-0)))) eff-0)))))(else (let ((eff-0 (lambda (eta-0) (CoreC-45Context-clearDefs arg-5 eta-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45NormaliseC-45Quote-quoteGenNF arg-0 arg-1 arg-2 arg-3 arg-4 e-5 arg-6 arg-7 arg-8))) eff-1)))))))))))
(define CoreC-45NormaliseC-45Quote-quoteWithPi (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (let ((eff-0 (csegen-1706))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45NormaliseC-45Quote-quoteWithPiGen arg-0 '() arg-1 e-5 (vector 1 0 '()) arg-2 (vector 0 ) arg-3 arg-4))) eff-1)))))))))
(define CoreC-45NormaliseC-45Quote-quotePi (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8) (case (vector-ref arg-8 0) ((1) (lambda (eta-0) (vector 1 (vector 1 )))) ((0) (lambda (eta-0) (vector 1 (vector 0 )))) ((2) (lambda (eta-0) (vector 1 (vector 2 )))) (else (let ((e-4 (vector-ref arg-8 1))) (let ((eff-0 (let ((eff-0 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-2 arg-5 e-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45NormaliseC-45Quote-quoteGenNF arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-5))) eff-1))))))))) (PrimIO-io_bind eff-0 (csegen-1312))))))))
(define CoreC-45NormaliseC-45Quote-quoteHead (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9) (case (vector-ref arg-9 0) ((0) (let ((e-2 (vector-ref arg-9 1))) (let ((e-3 (vector-ref arg-9 2))) (let ((eff-0 (CoreC-45NormaliseC-45Quote-n--7223-7406-u--addLater arg-2 e-3 e-2 arg-8 arg-1 arg-7 arg-6 arg-5 arg-4 arg-3 arg-0 e-3 arg-1))) (lambda (eta-0) (vector 1 (vector 0 arg-6 e-2 eff-0))))))) ((1) (let ((e-6 (vector-ref arg-9 1))) (let ((e-7 (vector-ref arg-9 2))) (lambda (clam-0) (case (vector-ref e-6 0) ((0) (case (vector-ref e-7 0) ((2) (let ((e-12 (vector-ref e-7 1))) (let ((e-13 (vector-ref e-7 2))) (vector 1 (let ((sc3 (CoreC-45NormaliseC-45Quote-n--7223-7554-u--findName arg-1 arg-2 e-13 e-12 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-0 arg-7))) (if (null? sc3) (vector 1 arg-6 (vector 0 ) (vector 2 e-12 e-13)) (let ((e-1 (unbox sc3))) (let ((eff-0 e-1)) (vector 0 arg-6 '() eff-0)))))))))(else (vector 1 (vector 1 arg-6 e-6 e-7)))))(else (vector 1 (vector 1 arg-6 e-6 e-7)))))))) (else (let ((e-9 (vector-ref arg-9 1))) (let ((e-10 (vector-ref arg-9 2))) (let ((e-11 (vector-ref arg-9 3))) (let ((eff-0 (CoreC-45NormaliseC-45Quote-quoteArgs arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-7 arg-8 e-11))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 2 arg-6 e-9 e-10 e-5))))) eff-1))))))))))))))
(define CoreC-45NormaliseC-45Quote-quoteGenNF (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8) (case (vector-ref arg-8 0) ((0) (let ((e-1 (vector-ref arg-8 1))) (let ((e-2 (vector-ref arg-8 2))) (let ((e-3 (vector-ref arg-8 3))) (let ((e-4 (vector-ref arg-8 4))) (let ((eff-0 (CoreC-45NormaliseC-45Quote-genName arg-3 "qv"))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 ((e-4 arg-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) arg-7 (vector 1 e-1 (vector 0 ) e-5))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-6 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45NormaliseC-45Quote-quoteGenNF arg-0 (cons e-2 arg-1) arg-2 arg-3 arg-4 arg-5 (vector 1 e-2 e-5 arg-6) arg-7 e-6))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-6 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45NormaliseC-45Quote-quoteBinder arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-3))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-7 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (vector 3 e-1 e-2 e-7 e-6))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))) ((1) (let ((e-6 (vector-ref arg-8 1))) (let ((e-7 (vector-ref arg-8 2))) (let ((e-8 (vector-ref arg-8 3))) (let ((eff-0 (CoreC-45NormaliseC-45Quote-quoteHead arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-6 arg-6 arg-7 e-7))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((e-2 (vector-ref arg-4 2))) (if (null? e-2) (lambda (eta-0) (vector 1 arg-4)) (let ((e-3 (unbox e-2))) (cond ((equal? e-3 0) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 "Size limit exceeded") eta-0)))(else (let ((e-4 (- e-3 1))) (lambda (eta-0) (vector 1 (let ((e-11 (vector-ref arg-4 0))) (let ((e-10 (vector-ref arg-4 1))) (vector e-11 e-10 (box e-4)))))))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (let ((sc3 (let ((sc4 (let ((e-1 (vector-ref arg-4 1))) e-1))) (cond ((equal? sc4 1) (let ((sc5 (let ((e-0 (vector-ref arg-4 0))) e-0))) (cond ((equal? sc5 1) 0) (else (CoreC-45NormaliseC-45Quote-n--7337-8208-u--isRef arg-1 arg-2 e-8 e-7 e-6 arg-7 arg-6 arg-5 arg-4 arg-3 arg-0 e-7))))) (else 0))))) (cond ((equal? sc3 1) (let ((eff-2 (lambda (eta-0) (CoreC-45Context-clearDefs arg-5 eta-0)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-10 (vector-ref lcase-2 1))) (let ((eff-3 (CoreC-45NormaliseC-45Quote-quoteArgsWithFC arg-0 arg-1 arg-2 arg-3 e-9 e-10 arg-6 arg-7 e-8))) eff-3)))))))) (else (CoreC-45NormaliseC-45Quote-quoteArgsWithFC arg-0 arg-1 arg-2 arg-3 (let ((e-1 (vector-ref e-9 1))) (let ((e-2 (vector-ref e-9 2))) (vector 0 e-1 e-2))) arg-5 arg-6 arg-7 e-8)))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-10 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (CoreC-45TT-applyWithFC e-5 e-10))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((2) (let ((e-10 (vector-ref arg-8 1))) (let ((e-11 (vector-ref arg-8 2))) (let ((e-12 (vector-ref arg-8 3))) (let ((e-13 (vector-ref arg-8 4))) (let ((e-14 (vector-ref arg-8 5))) (let ((eff-0 (CoreC-45NormaliseC-45Quote-quoteArgsWithFC arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-14))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (CoreC-45TT-applyWithFC (vector 1 e-10 (vector 2 e-12 e-13) e-11) e-5))))) eff-1))))))))))))) ((3) (let ((e-16 (vector-ref arg-8 1))) (let ((e-17 (vector-ref arg-8 2))) (let ((e-18 (vector-ref arg-8 3))) (let ((e-19 (vector-ref arg-8 4))) (let ((e-20 (vector-ref arg-8 5))) (let ((eff-0 (CoreC-45NormaliseC-45Quote-quoteArgsWithFC arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-20))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (CoreC-45TT-applyWithFC (vector 1 e-16 (vector 3 e-18 e-19) e-17) e-5))))) eff-1))))))))))))) ((4) (let ((e-22 (vector-ref arg-8 1))) (let ((e-23 (vector-ref arg-8 2))) (let ((e-24 (vector-ref arg-8 3))) (let ((e-25 (vector-ref arg-8 4))) (let ((eff-0 (CoreC-45NormaliseC-45Quote-quoteGenNF arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-24))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-quoteGenNF arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-25))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 5 e-22 e-23 e-5 e-6))))) eff-2))))))))) eff-1)))))))))))) ((5) (let ((e-27 (vector-ref arg-8 1))) (let ((e-28 (vector-ref arg-8 2))) (let ((e-29 (vector-ref arg-8 3))) (let ((eff-0 (CoreC-45NormaliseC-45Quote-quoteGenNF arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-29))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 6 e-27 e-28 e-5))))) eff-1))))))))))) ((6) (let ((e-31 (vector-ref arg-8 1))) (let ((e-32 (vector-ref arg-8 2))) (let ((e-33 (vector-ref arg-8 3))) (let ((e-34 (vector-ref arg-8 4))) (let ((eff-0 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-2 arg-5 (CoreC-45NormaliseC-45Quote-n--7337-8568-u--toHolesOnly arg-1 arg-2 e-34 e-33 e-32 e-31 arg-7 arg-6 arg-5 arg-4 arg-3 arg-0 e-34)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-quoteGenNF arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-5))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-2 arg-5 (CoreC-45NormaliseC-45Quote-n--7337-8568-u--toHolesOnly arg-1 arg-2 e-34 e-33 e-32 e-31 arg-7 arg-6 arg-5 arg-4 arg-3 arg-0 e-33)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45NormaliseC-45Quote-quoteGenNF arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-7))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 7 e-31 e-32 e-8 e-6))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))) ((7) (let ((e-36 (vector-ref arg-8 1))) (let ((e-37 (vector-ref arg-8 2))) (let ((e-38 (vector-ref arg-8 3))) (let ((e-39 (vector-ref arg-8 4))) (let ((eff-0 (CoreC-45NormaliseC-45Quote-quoteArgsWithFC arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-39))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (case (vector-ref e-38 0) ((6) (let ((e-4 (vector-ref e-38 4))) (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-2 arg-5 e-4))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-6 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45NormaliseC-45Quote-quoteGenNF arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-7 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (CoreC-45TT-applyWithFC e-7 e-5))))) eff-3))))))))) eff-2)))))))))(else (let ((eff-1 (CoreC-45NormaliseC-45Quote-quoteGenNF arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-38))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (CoreC-45TT-applyWithFC (vector 8 e-36 e-37 e-6) e-5))))) eff-2))))))))))) eff-1)))))))))))) ((8) (let ((e-41 (vector-ref arg-8 1))) (let ((e-42 (vector-ref arg-8 2))) (lambda (eta-0) (vector 1 (vector 9 e-41 e-42)))))) ((9) (let ((e-44 (vector-ref arg-8 1))) (let ((e-45 (vector-ref arg-8 2))) (let ((eff-0 (CoreC-45TT-u--traverse_Traversable_WhyErased (csegen-1306) (lambda (u--nf) (CoreC-45NormaliseC-45Quote-quoteGenNF arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 u--nf)) e-45))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-9) (lambda (arg-10) ((((eff-1 'erased) 'erased) arg-9) arg-10)))) (lambda (eta-0) (vector 10 e-44 eta-0)))) eff-0))))) (else (let ((e-47 (vector-ref arg-8 1))) (let ((e-48 (vector-ref arg-8 2))) (lambda (eta-0) (vector 1 (vector 11 e-47 e-48)))))))))
(define CoreC-45NormaliseC-45Quote-quoteBinder (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8) (case (vector-ref arg-8 0) ((0) (let ((e-1 (vector-ref arg-8 1))) (let ((e-2 (vector-ref arg-8 2))) (let ((e-3 (vector-ref arg-8 3))) (let ((e-4 (vector-ref arg-8 4))) (let ((eff-0 (let ((eff-0 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-2 arg-5 e-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45NormaliseC-45Quote-quoteGenNF arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-5))) eff-1))))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-quotePi arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-6 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 0 e-1 e-2 e-6 e-5))))) eff-2))))))))) eff-1)))))))))))) ((1) (let ((e-6 (vector-ref arg-8 1))) (let ((e-7 (vector-ref arg-8 2))) (let ((e-8 (vector-ref arg-8 3))) (let ((e-9 (vector-ref arg-8 4))) (let ((eff-0 (let ((eff-0 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-2 arg-5 e-8))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45NormaliseC-45Quote-quoteGenNF arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-5))) eff-1))))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-2 arg-5 e-9))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-10 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45NormaliseC-45Quote-quoteGenNF arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-10))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-10 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 1 e-6 e-7 e-5 e-10))))) eff-2))))))))) eff-1)))))))))))) ((2) (let ((e-11 (vector-ref arg-8 1))) (let ((e-12 (vector-ref arg-8 2))) (let ((e-13 (vector-ref arg-8 3))) (let ((e-14 (vector-ref arg-8 4))) (let ((eff-0 (let ((eff-0 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-2 arg-5 e-14))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45NormaliseC-45Quote-quoteGenNF arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-5))) eff-1))))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-quotePi arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-13))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 2 e-11 e-12 e-6 e-5))))) eff-2))))))))) eff-1)))))))))))) ((3) (let ((e-16 (vector-ref arg-8 1))) (let ((e-17 (vector-ref arg-8 2))) (let ((e-18 (vector-ref arg-8 3))) (let ((e-19 (vector-ref arg-8 4))) (let ((eff-0 (let ((eff-0 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-2 arg-5 e-19))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45NormaliseC-45Quote-quoteGenNF arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-5))) eff-1))))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-quotePi arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-18))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 3 e-16 e-17 e-6 e-5))))) eff-2))))))))) eff-1)))))))))))) ((4) (let ((e-21 (vector-ref arg-8 1))) (let ((e-22 (vector-ref arg-8 2))) (let ((e-23 (vector-ref arg-8 3))) (let ((e-24 (vector-ref arg-8 4))) (let ((eff-0 (let ((eff-0 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-2 arg-5 e-23))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45NormaliseC-45Quote-quoteGenNF arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-5))) eff-1))))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-2 arg-5 e-24))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45NormaliseC-45Quote-quoteGenNF arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-6))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 4 e-21 e-22 e-5 e-6))))) eff-2))))))))) eff-1)))))))))))) (else (let ((e-26 (vector-ref arg-8 1))) (let ((e-27 (vector-ref arg-8 2))) (let ((e-28 (vector-ref arg-8 3))) (let ((eff-0 (let ((eff-0 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-2 arg-5 e-28))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45NormaliseC-45Quote-quoteGenNF arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-5))) eff-1))))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 5 e-26 e-27 e-5))))) eff-1))))))))))))))
(define CoreC-45NormaliseC-45Quote-quoteArgsWithFC (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 ext-0) (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Quote-quoteArgWithFC arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 eta-0)) ext-0 '())))
(define CoreC-45NormaliseC-45Quote-quoteArgs (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 ext-0) (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Quote-quoteArg arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 eta-0)) ext-0 '())))
(define CoreC-45NormaliseC-45Quote-quoteArgWithFC (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 ext-0) (CoreC-45Core-traversePair (lambda (eta-0) (CoreC-45NormaliseC-45Quote-quoteArg arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 eta-0)) ext-0)))
(define CoreC-45NormaliseC-45Quote-quoteArg (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8) (let ((eff-0 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-2 arg-5 arg-8))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45NormaliseC-45Quote-quoteGenNF arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-5))) eff-1)))))))))
(define CoreC-45NormaliseC-45Quote-genName (lambda (arg-0 arg-1) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (bs+ e-5 1 63)))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (lambda (eta-0) (vector 1 (vector 2 arg-1 e-5))))) eff-2)))))))) eff-1)))))))))
(define CoreC-45NormaliseC-45Eval-case--caseC-32blockC-32inC-32evalDef-5704 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17) (if (null? arg-17) (let ((eff-0 (CoreC-45ContextC-45Log-unverifiedLogC arg-16 "eval.def.underapplied" 50 (let ((eff-0 (CoreC-45Context-toFullNames arg-16 (csegen-1710) (arg-8)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons "Cannot reduce under-applied " (cons (CoreC-45Value-u--show_Show_C-40NFC-32C-36freeC-41 arg-2 e-5) '()))))))) eff-1)))))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (lambda (eta-0) (vector 1 (arg-8))))) eff-1)))))) (let ((e-2 (unbox arg-17))) (let ((e-5 (car e-2))) (let ((e-6 (cdr e-2))) (let ((eff-0 (CoreC-45NormaliseC-45Eval-evalTree arg-0 arg-1 arg-16 arg-3 arg-2 arg-15 e-5 arg-14 arg-12 e-6 arg-6))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-7 (vector-ref lcase-0 1))) (let ((eff-1 (case (vector-ref e-7 0) ((0) (let ((e-1 (vector-ref e-7 1))) (lambda (eta-0) (vector 1 e-1))))(else (let ((eff-1 (CoreC-45ContextC-45Log-unverifiedLogC arg-16 "eval.def.stuck" 50 (let ((eff-1 (CoreC-45Context-toFullNames arg-16 (csegen-1710) (arg-8)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-3 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-8 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons "evalTree failed on " (cons (CoreC-45Value-u--show_Show_C-40NFC-32C-36freeC-41 arg-2 e-8) '()))))))) eff-2)))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-3 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-2 (lambda (eta-0) (vector 1 (arg-8))))) eff-2)))))))))) eff-1)))))))))))))
(define CoreC-45NormaliseC-45Eval-case--evalOp-5528 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8) (if (null? arg-8) (lambda (eta-0) (vector 1 (arg-3))) (let ((e-1 (unbox arg-8))) (if (null? e-1) (lambda (eta-0) (vector 1 (arg-3))) (let ((e-4 (car e-1))) (let ((e-5 (cdr e-1))) (if (null? e-5) (let ((eff-0 (CoreC-45NormaliseC-45Eval-n--8431-5486-u--evalAll arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (let ((sc4 (arg-6 e-6))) (if (null? sc4) (arg-3) (let ((e-2 (unbox sc4))) e-2))))))) eff-1))))))) (lambda (eta-0) (vector 1 (arg-3)))))))))))
(define CoreC-45NormaliseC-45Eval-n--8429-5342-u--takeStk (lambda (arg-0 arg-1 arg-3 arg-4 arg-6 arg-7 arg-8) (cond ((equal? arg-6 0) (box (cons (DataC-45Vect-reverse arg-8) arg-7)))(else (let ((e-0 (- arg-6 1))) (if (null? arg-7) '() (let ((e-3 (car arg-7))) (let ((e-4 (cdr arg-7))) (CoreC-45NormaliseC-45Eval-n--8429-5342-u--takeStk arg-0 arg-1 arg-3 arg-4 e-0 e-4 (cons (Builtin-snd e-3) arg-8))))))))))
(define CoreC-45NormaliseC-45Eval-n--8209-1625-u--set (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (if (null? arg-4) '() (let ((e-2 (car arg-4))) (let ((e-3 (cdr arg-4))) (let ((e-6 (car e-2))) (let ((e-7 (cdr e-2))) (let ((sc2 (CoreC-45Name-u--C-61C-61_Eq_Name e-6 arg-2))) (cond ((equal? sc2 1) (cons (cons e-6 arg-3) e-3)) (else (cons (cons e-6 e-7) (CoreC-45NormaliseC-45Eval-n--8209-1625-u--set arg-0 arg-1 arg-2 arg-3 e-3))))))))))))
(define CoreC-45NormaliseC-45Eval-n--8431-5486-u--evalAll (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-9) (if (null? arg-9) (lambda (eta-0) (vector 1 '())) (let ((e-3 (car arg-9))) (let ((e-4 (cdr arg-9))) (let ((eff-0 (CoreC-45NormaliseC-45Eval-evalClosure arg-7 arg-2 arg-0 e-3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-n--8431-5486-u--evalAll arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-4))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (cons e-5 e-6))))) eff-2))))))))) eff-1))))))))))))
(define CoreC-45NormaliseC-45Eval-n--8426-4715-u--concrete (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12) (case (vector-ref arg-12 0) ((2) 1) ((3) 1) ((8) 1) ((0) 1) ((10) 1) ((6) 1)(else 0))))
(define CoreC-45NormaliseC-45Eval-n--8417-2340-u--closeArgs (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12) (if (null? arg-12) '() (let ((e-2 (car arg-12))) (let ((e-3 (cdr arg-12))) (cons (vector 0 arg-2 arg-1 arg-9 arg-10 e-2) (CoreC-45NormaliseC-45Eval-n--8417-2340-u--closeArgs arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 e-3)))))))
(define CoreC-45NormaliseC-45Eval-updateLocal (lambda (arg-0 arg-1 arg-5 arg-6 arg-7 arg-9 arg-10) (cond ((equal? arg-7 0) (if (null? arg-9) arg-9 (let ((e-5 (cdr arg-9))) (cons (vector 1 arg-5 arg-6 arg-10) e-5))))(else (let ((e-0 (- arg-7 1))) (if (null? arg-9) arg-9 (let ((e-9 (car arg-9))) (let ((e-10 (cdr arg-9))) (cons e-9 (CoreC-45NormaliseC-45Eval-updateLocal arg-0 arg-1 arg-5 arg-6 e-0 e-10 arg-10))))))))))
(define CoreC-45NormaliseC-45Eval-updateLimit (lambda (arg-0 arg-1 arg-2 ext-0) (case (vector-ref arg-0 0) ((1) (vector 1 (let ((sc1 (DataC-45List-isNil (let ((e-6 (vector-ref arg-2 6))) e-6)))) (cond ((equal? sc1 1) (box arg-2)) (else (let ((sc2 (DataC-45List-lookup (csegen-1008) arg-1 (let ((e-6 (vector-ref arg-2 6))) e-6)))) (if (null? sc2) '() (let ((e-2 (unbox sc2))) (cond ((equal? e-2 0) '())(else (let ((e-3 (- e-2 1))) (box (let ((e-0 (vector-ref arg-2 0))) (let ((e-1 (vector-ref arg-2 1))) (let ((e-9 (vector-ref arg-2 2))) (let ((e-8 (vector-ref arg-2 3))) (let ((e-4 (vector-ref arg-2 4))) (let ((e-5 (vector-ref arg-2 5))) (let ((e-6 (vector-ref arg-2 6))) (let ((e-7 (vector-ref arg-2 7))) (vector e-0 e-1 e-9 e-8 e-4 e-5 (CoreC-45NormaliseC-45Eval-n--8209-1625-u--set arg-2 arg-1 arg-1 e-3 e-6) e-7)))))))))))))))))))))(else (vector 1 (box arg-2))))))
(define CoreC-45NormaliseC-45Eval-tryAlt (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11) (case (vector-ref arg-10 0) ((9) (let ((e-4 (vector-ref arg-10 2))) (case (vector-ref e-4 0) ((2) (let ((e-34 (vector-ref e-4 1))) (CoreC-45NormaliseC-45Eval-tryAlt arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-34 arg-11)))(else (case (vector-ref arg-11 0) ((3) (let ((e-1 (vector-ref arg-11 1))) (let ((sc2 (CoreC-45NormaliseC-45Eval-n--8426-4715-u--concrete arg-0 arg-1 arg-3 arg-4 e-1 arg-10 arg-9 arg-8 arg-7 arg-6 arg-5 arg-2 arg-10))) (cond ((equal? sc2 1) (CoreC-45NormaliseC-45Eval-evalTree arg-0 arg-1 arg-2 arg-4 arg-3 arg-5 arg-6 arg-7 arg-8 arg-9 e-1)) (else (lambda (eta-0) (vector 1 (vector 2 ))))))))(else (lambda (eta-0) (vector 1 (vector 2 ))))))))) ((2) (let ((e-8 (vector-ref arg-10 3))) (let ((e-10 (vector-ref arg-10 5))) (case (vector-ref arg-11 0) ((0) (let ((e-37 (vector-ref arg-11 2))) (let ((e-38 (vector-ref arg-11 3))) (let ((e-39 (vector-ref arg-11 4))) (let ((sc2 (PreludeC-45EqOrd-u--C-61C-61_Eq_Int e-37 e-8))) (cond ((equal? sc2 1) (CoreC-45NormaliseC-45Eval-evalConAlt arg-0 arg-1 arg-2 arg-4 arg-3 arg-5 arg-6 arg-7 arg-8 arg-9 e-38 ((csegen-947) e-10) e-39)) (else (lambda (eta-0) (vector 1 (vector 1 ))))))))))(else (case (vector-ref arg-11 0) ((3) (let ((e-1 (vector-ref arg-11 1))) (let ((sc2 (CoreC-45NormaliseC-45Eval-n--8426-4715-u--concrete arg-0 arg-1 arg-3 arg-4 e-1 arg-10 arg-9 arg-8 arg-7 arg-6 arg-5 arg-2 arg-10))) (cond ((equal? sc2 1) (CoreC-45NormaliseC-45Eval-evalTree arg-0 arg-1 arg-2 arg-4 arg-3 arg-5 arg-6 arg-7 arg-8 arg-9 e-1)) (else (lambda (eta-0) (vector 1 (vector 2 ))))))))(else (lambda (eta-0) (vector 1 (vector 2 )))))))))) ((3) (let ((e-13 (vector-ref arg-10 2))) (let ((e-16 (vector-ref arg-10 5))) (case (vector-ref arg-11 0) ((0) (let ((e-41 (vector-ref arg-11 1))) (let ((e-43 (vector-ref arg-11 3))) (let ((e-44 (vector-ref arg-11 4))) (let ((sc2 (CoreC-45Name-u--C-61C-61_Eq_Name e-13 e-41))) (cond ((equal? sc2 1) (CoreC-45NormaliseC-45Eval-evalConAlt arg-0 arg-1 arg-2 arg-4 arg-3 arg-5 arg-6 arg-7 arg-8 arg-9 e-43 ((csegen-947) e-16) e-44)) (else (lambda (eta-0) (vector 1 (vector 1 ))))))))))(else (case (vector-ref arg-11 0) ((3) (let ((e-1 (vector-ref arg-11 1))) (let ((sc2 (CoreC-45NormaliseC-45Eval-n--8426-4715-u--concrete arg-0 arg-1 arg-3 arg-4 e-1 arg-10 arg-9 arg-8 arg-7 arg-6 arg-5 arg-2 arg-10))) (cond ((equal? sc2 1) (CoreC-45NormaliseC-45Eval-evalTree arg-0 arg-1 arg-2 arg-4 arg-3 arg-5 arg-6 arg-7 arg-8 arg-9 e-1)) (else (lambda (eta-0) (vector 1 (vector 2 ))))))))(else (lambda (eta-0) (vector 1 (vector 2 )))))))))) ((8) (let ((e-19 (vector-ref arg-10 2))) (case (vector-ref arg-11 0) ((0) (let ((e-46 (vector-ref arg-11 1))) (let ((e-48 (vector-ref arg-11 3))) (let ((e-49 (vector-ref arg-11 4))) (if (null? e-48) (let ((sc3 (CoreC-45Name-u--C-61C-61_Eq_Name (vector 1 (vector 0 (CoreC-45TT-u--show_Show_Constant e-19))) e-46))) (cond ((equal? sc3 1) (CoreC-45NormaliseC-45Eval-evalTree arg-0 arg-1 arg-2 arg-4 arg-3 arg-5 arg-6 arg-7 arg-8 arg-9 e-49)) (else (lambda (eta-0) (vector 1 (vector 1 )))))) (lambda (eta-0) (vector 1 (vector 1 )))))))) ((2) (let ((e-51 (vector-ref arg-11 1))) (let ((e-52 (vector-ref arg-11 2))) (let ((sc2 (CoreC-45TT-u--C-61C-61_Eq_Constant e-51 e-19))) (cond ((equal? sc2 1) (CoreC-45NormaliseC-45Eval-evalTree arg-0 arg-1 arg-2 arg-4 arg-3 arg-5 arg-6 arg-7 arg-8 arg-9 e-52)) (else (lambda (eta-0) (vector 1 (vector 1 )))))))))(else (case (vector-ref arg-11 0) ((3) (let ((e-1 (vector-ref arg-11 1))) (let ((sc2 (CoreC-45NormaliseC-45Eval-n--8426-4715-u--concrete arg-0 arg-1 arg-3 arg-4 e-1 arg-10 arg-9 arg-8 arg-7 arg-6 arg-5 arg-2 arg-10))) (cond ((equal? sc2 1) (CoreC-45NormaliseC-45Eval-evalTree arg-0 arg-1 arg-2 arg-4 arg-3 arg-5 arg-6 arg-7 arg-8 arg-9 e-1)) (else (lambda (eta-0) (vector 1 (vector 2 ))))))))(else (lambda (eta-0) (vector 1 (vector 2 ))))))))) ((10) (case (vector-ref arg-11 0) ((0) (let ((e-54 (vector-ref arg-11 1))) (let ((e-56 (vector-ref arg-11 3))) (let ((e-57 (vector-ref arg-11 4))) (case (vector-ref e-54 0) ((1) (let ((e-58 (vector-ref e-54 1))) (case (vector-ref e-58 0) ((0) (let ((e-59 (vector-ref e-58 1))) (cond ((equal? e-59 "Type") (if (null? e-56) (CoreC-45NormaliseC-45Eval-evalTree arg-0 arg-1 arg-2 arg-4 arg-3 arg-5 arg-6 arg-7 arg-8 arg-9 e-57) (case (vector-ref arg-11 0) ((3) (let ((e-1 (vector-ref arg-11 1))) (let ((sc7 (CoreC-45NormaliseC-45Eval-n--8426-4715-u--concrete arg-0 arg-1 arg-3 arg-4 e-1 arg-10 arg-9 arg-8 arg-7 arg-6 arg-5 arg-2 arg-10))) (cond ((equal? sc7 1) (CoreC-45NormaliseC-45Eval-evalTree arg-0 arg-1 arg-2 arg-4 arg-3 arg-5 arg-6 arg-7 arg-8 arg-9 e-1)) (else (lambda (eta-0) (vector 1 (vector 2 ))))))))(else (lambda (eta-0) (vector 1 (vector 2 )))))))(else (case (vector-ref arg-11 0) ((3) (let ((e-1 (vector-ref arg-11 1))) (let ((sc5 (CoreC-45NormaliseC-45Eval-n--8426-4715-u--concrete arg-0 arg-1 arg-3 arg-4 e-1 arg-10 arg-9 arg-8 arg-7 arg-6 arg-5 arg-2 arg-10))) (cond ((equal? sc5 1) (CoreC-45NormaliseC-45Eval-evalTree arg-0 arg-1 arg-2 arg-4 arg-3 arg-5 arg-6 arg-7 arg-8 arg-9 e-1)) (else (lambda (eta-0) (vector 1 (vector 2 ))))))))(else (lambda (eta-0) (vector 1 (vector 2 )))))))))(else (case (vector-ref arg-11 0) ((3) (let ((e-1 (vector-ref arg-11 1))) (let ((sc4 (CoreC-45NormaliseC-45Eval-n--8426-4715-u--concrete arg-0 arg-1 arg-3 arg-4 e-1 arg-10 arg-9 arg-8 arg-7 arg-6 arg-5 arg-2 arg-10))) (cond ((equal? sc4 1) (CoreC-45NormaliseC-45Eval-evalTree arg-0 arg-1 arg-2 arg-4 arg-3 arg-5 arg-6 arg-7 arg-8 arg-9 e-1)) (else (lambda (eta-0) (vector 1 (vector 2 ))))))))(else (lambda (eta-0) (vector 1 (vector 2 )))))))))(else (case (vector-ref arg-11 0) ((3) (let ((e-1 (vector-ref arg-11 1))) (let ((sc3 (CoreC-45NormaliseC-45Eval-n--8426-4715-u--concrete arg-0 arg-1 arg-3 arg-4 e-1 arg-10 arg-9 arg-8 arg-7 arg-6 arg-5 arg-2 arg-10))) (cond ((equal? sc3 1) (CoreC-45NormaliseC-45Eval-evalTree arg-0 arg-1 arg-2 arg-4 arg-3 arg-5 arg-6 arg-7 arg-8 arg-9 e-1)) (else (lambda (eta-0) (vector 1 (vector 2 ))))))))(else (lambda (eta-0) (vector 1 (vector 2 )))))))))))(else (case (vector-ref arg-11 0) ((3) (let ((e-1 (vector-ref arg-11 1))) (let ((sc2 (CoreC-45NormaliseC-45Eval-n--8426-4715-u--concrete arg-0 arg-1 arg-3 arg-4 e-1 arg-10 arg-9 arg-8 arg-7 arg-6 arg-5 arg-2 arg-10))) (cond ((equal? sc2 1) (CoreC-45NormaliseC-45Eval-evalTree arg-0 arg-1 arg-2 arg-4 arg-3 arg-5 arg-6 arg-7 arg-8 arg-9 e-1)) (else (lambda (eta-0) (vector 1 (vector 2 ))))))))(else (lambda (eta-0) (vector 1 (vector 2 )))))))) ((0) (let ((e-24 (vector-ref arg-10 1))) (let ((e-25 (vector-ref arg-10 2))) (let ((e-26 (vector-ref arg-10 3))) (let ((e-27 (vector-ref arg-10 4))) (case (vector-ref e-26 0) ((2) (let ((e-62 (vector-ref e-26 1))) (let ((e-63 (vector-ref e-26 2))) (let ((e-64 (vector-ref e-26 3))) (let ((e-65 (vector-ref e-26 4))) (case (vector-ref arg-11 0) ((0) (let ((e-67 (vector-ref arg-11 1))) (let ((e-69 (vector-ref arg-11 3))) (let ((e-70 (vector-ref arg-11 4))) (case (vector-ref e-67 0) ((1) (let ((e-71 (vector-ref e-67 1))) (case (vector-ref e-71 0) ((0) (let ((e-72 (vector-ref e-71 1))) (cond ((equal? e-72 "->") (if (null? e-69) (case (vector-ref arg-11 0) ((3) (let ((e-1 (vector-ref arg-11 1))) (let ((sc8 (CoreC-45NormaliseC-45Eval-n--8426-4715-u--concrete arg-0 arg-1 arg-3 arg-4 e-1 arg-10 arg-9 arg-8 arg-7 arg-6 arg-5 arg-2 arg-10))) (cond ((equal? sc8 1) (CoreC-45NormaliseC-45Eval-evalTree arg-0 arg-1 arg-2 arg-4 arg-3 arg-5 arg-6 arg-7 arg-8 arg-9 e-1)) (else (lambda (eta-0) (vector 1 (vector 2 ))))))))(else (lambda (eta-0) (vector 1 (vector 2 ))))) (let ((e-74 (car e-69))) (let ((e-75 (cdr e-69))) (if (null? e-75) (case (vector-ref arg-11 0) ((3) (let ((e-1 (vector-ref arg-11 1))) (let ((sc9 (CoreC-45NormaliseC-45Eval-n--8426-4715-u--concrete arg-0 arg-1 arg-3 arg-4 e-1 arg-10 arg-9 arg-8 arg-7 arg-6 arg-5 arg-2 arg-10))) (cond ((equal? sc9 1) (CoreC-45NormaliseC-45Eval-evalTree arg-0 arg-1 arg-2 arg-4 arg-3 arg-5 arg-6 arg-7 arg-8 arg-9 e-1)) (else (lambda (eta-0) (vector 1 (vector 2 ))))))))(else (lambda (eta-0) (vector 1 (vector 2 ))))) (let ((e-77 (car e-75))) (let ((e-78 (cdr e-75))) (if (null? e-78) (CoreC-45NormaliseC-45Eval-evalConAlt arg-0 arg-1 arg-2 arg-4 arg-3 arg-5 arg-6 arg-7 arg-8 arg-9 (cons e-74 (cons e-77 '())) (cons e-65 (cons (vector 1 arg-7 arg-5 (vector 0 e-24 e-25 (vector 0 e-62 e-63 e-64 e-65) e-27)) '())) e-70) (case (vector-ref arg-11 0) ((3) (let ((e-1 (vector-ref arg-11 1))) (let ((sc10 (CoreC-45NormaliseC-45Eval-n--8426-4715-u--concrete arg-0 arg-1 arg-3 arg-4 e-1 arg-10 arg-9 arg-8 arg-7 arg-6 arg-5 arg-2 arg-10))) (cond ((equal? sc10 1) (CoreC-45NormaliseC-45Eval-evalTree arg-0 arg-1 arg-2 arg-4 arg-3 arg-5 arg-6 arg-7 arg-8 arg-9 e-1)) (else (lambda (eta-0) (vector 1 (vector 2 ))))))))(else (lambda (eta-0) (vector 1 (vector 2 )))))))))))))(else (case (vector-ref arg-11 0) ((3) (let ((e-1 (vector-ref arg-11 1))) (let ((sc6 (CoreC-45NormaliseC-45Eval-n--8426-4715-u--concrete arg-0 arg-1 arg-3 arg-4 e-1 arg-10 arg-9 arg-8 arg-7 arg-6 arg-5 arg-2 arg-10))) (cond ((equal? sc6 1) (CoreC-45NormaliseC-45Eval-evalTree arg-0 arg-1 arg-2 arg-4 arg-3 arg-5 arg-6 arg-7 arg-8 arg-9 e-1)) (else (lambda (eta-0) (vector 1 (vector 2 ))))))))(else (lambda (eta-0) (vector 1 (vector 2 )))))))))(else (case (vector-ref arg-11 0) ((3) (let ((e-1 (vector-ref arg-11 1))) (let ((sc5 (CoreC-45NormaliseC-45Eval-n--8426-4715-u--concrete arg-0 arg-1 arg-3 arg-4 e-1 arg-10 arg-9 arg-8 arg-7 arg-6 arg-5 arg-2 arg-10))) (cond ((equal? sc5 1) (CoreC-45NormaliseC-45Eval-evalTree arg-0 arg-1 arg-2 arg-4 arg-3 arg-5 arg-6 arg-7 arg-8 arg-9 e-1)) (else (lambda (eta-0) (vector 1 (vector 2 ))))))))(else (lambda (eta-0) (vector 1 (vector 2 )))))))))(else (case (vector-ref arg-11 0) ((3) (let ((e-1 (vector-ref arg-11 1))) (let ((sc4 (CoreC-45NormaliseC-45Eval-n--8426-4715-u--concrete arg-0 arg-1 arg-3 arg-4 e-1 arg-10 arg-9 arg-8 arg-7 arg-6 arg-5 arg-2 arg-10))) (cond ((equal? sc4 1) (CoreC-45NormaliseC-45Eval-evalTree arg-0 arg-1 arg-2 arg-4 arg-3 arg-5 arg-6 arg-7 arg-8 arg-9 e-1)) (else (lambda (eta-0) (vector 1 (vector 2 ))))))))(else (lambda (eta-0) (vector 1 (vector 2 )))))))))))(else (case (vector-ref arg-11 0) ((3) (let ((e-1 (vector-ref arg-11 1))) (let ((sc3 (CoreC-45NormaliseC-45Eval-n--8426-4715-u--concrete arg-0 arg-1 arg-3 arg-4 e-1 arg-10 arg-9 arg-8 arg-7 arg-6 arg-5 arg-2 arg-10))) (cond ((equal? sc3 1) (CoreC-45NormaliseC-45Eval-evalTree arg-0 arg-1 arg-2 arg-4 arg-3 arg-5 arg-6 arg-7 arg-8 arg-9 e-1)) (else (lambda (eta-0) (vector 1 (vector 2 ))))))))(else (lambda (eta-0) (vector 1 (vector 2 ))))))))))))(else (case (vector-ref arg-11 0) ((3) (let ((e-1 (vector-ref arg-11 1))) (let ((sc2 (CoreC-45NormaliseC-45Eval-n--8426-4715-u--concrete arg-0 arg-1 arg-3 arg-4 e-1 arg-10 arg-9 arg-8 arg-7 arg-6 arg-5 arg-2 arg-10))) (cond ((equal? sc2 1) (CoreC-45NormaliseC-45Eval-evalTree arg-0 arg-1 arg-2 arg-4 arg-3 arg-5 arg-6 arg-7 arg-8 arg-9 e-1)) (else (lambda (eta-0) (vector 1 (vector 2 ))))))))(else (lambda (eta-0) (vector 1 (vector 2 )))))))))))) ((6) (let ((e-31 (vector-ref arg-10 3))) (let ((e-32 (vector-ref arg-10 4))) (case (vector-ref arg-11 0) ((1) (let ((e-81 (vector-ref arg-11 1))) (let ((e-82 (vector-ref arg-11 2))) (let ((e-83 (vector-ref arg-11 3))) (CoreC-45NormaliseC-45Eval-evalTree arg-0 arg-1 arg-2 (cons e-81 (cons e-82 arg-4)) arg-3 arg-5 (cons e-31 (cons e-32 arg-6)) arg-7 arg-8 arg-9 e-83)))))(else (case (vector-ref arg-11 0) ((3) (let ((e-1 (vector-ref arg-11 1))) (let ((sc2 (CoreC-45NormaliseC-45Eval-n--8426-4715-u--concrete arg-0 arg-1 arg-3 arg-4 e-1 arg-10 arg-9 arg-8 arg-7 arg-6 arg-5 arg-2 arg-10))) (cond ((equal? sc2 1) (CoreC-45NormaliseC-45Eval-evalTree arg-0 arg-1 arg-2 arg-4 arg-3 arg-5 arg-6 arg-7 arg-8 arg-9 e-1)) (else (lambda (eta-0) (vector 1 (vector 2 ))))))))(else (lambda (eta-0) (vector 1 (vector 2 ))))))))))(else (case (vector-ref arg-11 0) ((3) (let ((e-1 (vector-ref arg-11 1))) (let ((sc1 (CoreC-45NormaliseC-45Eval-n--8426-4715-u--concrete arg-0 arg-1 arg-3 arg-4 e-1 arg-10 arg-9 arg-8 arg-7 arg-6 arg-5 arg-2 arg-10))) (cond ((equal? sc1 1) (CoreC-45NormaliseC-45Eval-evalTree arg-0 arg-1 arg-2 arg-4 arg-3 arg-5 arg-6 arg-7 arg-8 arg-9 e-1)) (else (lambda (eta-0) (vector 1 (vector 2 ))))))))(else (lambda (eta-0) (vector 1 (vector 2 )))))))))
(define CoreC-45NormaliseC-45Eval-toClosure (lambda (arg-1 arg-2 arg-3) (vector 0 '() arg-1 '() arg-2 arg-3)))
(define CoreC-45NormaliseC-45Eval-takeFromStack (lambda (arg-0 arg-1 arg-3 arg-4) (CoreC-45NormaliseC-45Eval-n--8429-5342-u--takeStk arg-0 arg-1 arg-4 arg-3 arg-3 arg-4 '())))
(define CoreC-45NormaliseC-45Eval-nfOpts (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (CoreC-45NormaliseC-45Eval-eval arg-3 arg-2 arg-0 arg-1 '() arg-4 '() arg-5 '())))
(define CoreC-45NormaliseC-45Eval-nf (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (CoreC-45NormaliseC-45Eval-eval arg-2 (CoreC-45Value-defaultOpts) arg-0 arg-1 '() arg-3 '() arg-4 '())))
(define CoreC-45NormaliseC-45Eval-isFromTerm (lambda (arg-1) (let ((e-1 (vector-ref arg-1 0))) e-1)))
(define CoreC-45NormaliseC-45Eval-gnf (lambda (arg-0 arg-1 arg-2) (vector 1 (lambda (eta-0) (vector 1 arg-2)) (lambda (u--c) (let ((eff-0 (let ((eff-0 u--c)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45NormaliseC-45Eval-nf u--c arg-0 e-5 arg-1 arg-2))) eff-1)))))))))))
(define CoreC-45NormaliseC-45Eval-getTerm (lambda (arg-1) (let ((e-2 (vector-ref arg-1 1))) e-2)))
(define CoreC-45NormaliseC-45Eval-getNF (lambda (arg-1 arg-2) (let ((e-3 (vector-ref arg-2 2))) (e-3 arg-1))))
(define CoreC-45NormaliseC-45Eval-getCaseBound (lambda (arg-0 arg-1 arg-4 arg-5 arg-6) (if (null? arg-4) (if (null? arg-5) (box arg-6) '()) (let ((e-2 (car arg-4))) (let ((e-3 (cdr arg-4))) (if (null? arg-5) '() (let ((e-11 (cdr arg-5))) (PreludeC-45Interfaces-C-60C-36C-62 (csegen-76) (lambda (arg-2) (cons e-2 arg-2)) (CoreC-45NormaliseC-45Eval-getCaseBound arg-0 arg-1 e-3 e-11 arg-6)))))))))
(define CoreC-45NormaliseC-45Eval-gType (lambda (arg-1 arg-2) (vector 1 (lambda (eta-0) (vector 1 (vector 11 arg-1 arg-2))) (lambda (eta-0) (lambda (eta-1) (vector 1 (vector 10 arg-1 arg-2)))))))
(define CoreC-45NormaliseC-45Eval-gErased (lambda (arg-1) (vector 1 (lambda (eta-0) (vector 1 (vector 10 arg-1 (vector 0 )))) (lambda (eta-0) (lambda (eta-1) (vector 1 (vector 9 arg-1 (vector 0 ))))))))
(define CoreC-45NormaliseC-45Eval-findAlt (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11) (if (null? arg-11) (let ((eff-0 (CoreC-45ContextC-45Log-log arg-2 "eval.casetree.stuck" 2 (lambda () "Ran out of alternatives")))) (PrimIO-io_bind eff-0 (csegen-1712))) (let ((e-2 (car arg-11))) (let ((e-3 (cdr arg-11))) (let ((eff-0 (CoreC-45NormaliseC-45Eval-tryAlt arg-0 arg-1 arg-2 arg-4 arg-3 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 e-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (case (vector-ref e-5 0) ((0) (let ((e-1 (vector-ref e-5 1))) (lambda (eta-0) (vector 1 (vector 0 e-1))))) ((1) (CoreC-45NormaliseC-45Eval-findAlt arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 e-3)) (else (let ((eff-1 (CoreC-45ContextC-45Log-unverifiedLogC arg-2 ((csegen-0) "eval.casetree.stuck") 5 (let ((eff-1 (CoreC-45Context-toFullNames arg-2 (csegen-1710) arg-10))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-2 (cons (lambda (arg-6988) (lambda (arg-6991) (CoreC-45Context-u--full_HasNames_C-40CaseAltC-32C-36varsC-41 arg-6988 arg-6991))) (lambda (arg-6998) (lambda (arg-7001) (CoreC-45Context-u--resolved_HasNames_C-40CaseAltC-32C-36varsC-41 arg-6998 arg-7001)))) e-2))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons ((csegen-0) "Got stuck matching ") (cons ((csegen-0) (CoreC-45Value-u--show_Show_C-40NFC-32C-36freeC-41 arg-4 e-6)) (cons ((csegen-0) " against ") (cons ((csegen-0) (CoreC-45CaseC-45CaseTree-u--show_Show_C-40CaseAltC-32C-36varsC-41 arg-3 e-7)) '()))))))))) eff-3))))))))) eff-2)))))))))) (PrimIO-io_bind eff-1 (csegen-1712))))))) eff-1))))))))))))
(define CoreC-45NormaliseC-45Eval-evalWithOpts (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 ext-0 ext-1 ext-2 ext-3) (CoreC-45NormaliseC-45Eval-eval arg-3 arg-4 arg-0 arg-1 arg-2 ext-0 ext-1 ext-2 ext-3)))
(define CoreC-45NormaliseC-45Eval-evalTree (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10) (case (vector-ref arg-10 0) ((0) (let ((e-1 (vector-ref arg-10 1))) (let ((e-2 (vector-ref arg-10 2))) (let ((e-5 (vector-ref arg-10 4))) (let ((eff-0 (CoreC-45NormaliseC-45Eval-evalLocal arg-0 arg-1 arg-2 arg-4 arg-5 arg-8 '() e-2 '() arg-6))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45ContextC-45Log-unverifiedLogC arg-2 "eval.casetree" 5 (let ((eff-1 (CoreC-45Context-toFullNames arg-2 (csegen-1710) e-6))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-3 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons "Evaluated " (cons (CoreC-45Name-u--show_Show_Name e-1) (cons " to " (cons (CoreC-45Value-u--show_Show_C-40NFC-32C-36freeC-41 arg-4 e-7) '()))))))))) eff-2)))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-3 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-2 (let ((u--locC-39 (CoreC-45NormaliseC-45Eval-updateLocal arg-0 arg-1 arg-7 arg-5 e-2 arg-6 e-6))) (CoreC-45NormaliseC-45Eval-findAlt arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 u--locC-39 arg-7 arg-8 arg-9 e-6 e-5)))) eff-2)))))))) eff-1))))))))))) ((1) (let ((e-8 (vector-ref arg-10 2))) (let ((e-5 (vector-ref arg-7 5))) (if (null? e-5) (let ((eff-0 (CoreC-45NormaliseC-45Eval-evalWithOpts arg-2 arg-4 arg-3 arg-0 arg-7 arg-5 arg-6 (CoreC-45TT-embed e-8) arg-9))) (PrimIO-io_bind eff-0 (csegen-1719))) (let ((e-10 (unbox e-5))) (cond ((equal? e-10 0) (lambda (eta-0) (vector 1 (vector 2 ))))(else (let ((e-11 (- e-10 1))) (let ((u--optsC-39 (let ((e-19 (vector-ref arg-7 0))) (let ((e-18 (vector-ref arg-7 1))) (let ((e-17 (vector-ref arg-7 2))) (let ((e-16 (vector-ref arg-7 3))) (let ((e-15 (vector-ref arg-7 4))) (let ((e-13 (vector-ref arg-7 6))) (let ((e-12 (vector-ref arg-7 7))) (vector e-19 e-18 e-17 e-16 e-15 (box e-11) e-13 e-12)))))))))) (let ((eff-0 (CoreC-45NormaliseC-45Eval-evalWithOpts arg-2 arg-4 arg-3 arg-0 u--optsC-39 arg-5 arg-6 (CoreC-45TT-embed e-8) arg-9))) (PrimIO-io_bind eff-0 (csegen-1719))))))))))))(else (lambda (eta-0) (vector 1 (vector 2 )))))))
(define CoreC-45NormaliseC-45Eval-evalRef (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10) (case (vector-ref arg-7 0) ((2) (let ((e-0 (vector-ref arg-7 1))) (let ((e-1 (vector-ref arg-7 2))) (lambda (eta-0) (vector 1 (vector 2 arg-6 arg-8 e-0 e-1 arg-9)))))) ((3) (let ((e-2 (vector-ref arg-7 1))) (let ((e-3 (vector-ref arg-7 2))) (lambda (eta-0) (vector 1 (CoreC-45Value-ntCon arg-6 arg-8 e-2 e-3 arg-9)))))) ((0) (lambda (eta-0) (vector 1 (arg-10)))) (else (let ((eff-0 (CoreC-45Context-lookupCtxtExact arg-8 (let ((e-0 (vector-ref arg-0 0))) e-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--nt (vector 1 ))) (if (null? e-5) (let ((eff-1 (CoreC-45ContextC-45Log-unverifiedLogC arg-2 ((csegen-0) "eval.stuck.outofscope") 5 (let ((eff-1 (CoreC-45Context-toFullNames arg-2 (csegen-81) arg-8))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (string-append (csegen-1721) (CoreC-45Name-u--show_Show_Name e-6)))))) eff-2)))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (lambda (eta-0) (vector 1 (arg-10))))) eff-2)))))) (let ((e-1 (unbox e-5))) (let ((u--redok1 (let ((e-3 (vector-ref arg-1 3))) e-3))) (let ((u--redok2 (CoreC-45Context-reducibleInAny (cons (let ((e-2 (vector-ref arg-0 2))) e-2) (let ((e-3 (vector-ref arg-0 3))) e-3)) (let ((e-23 (vector-ref e-1 1))) e-23) (let ((e-9 (vector-ref e-1 9))) e-9)))) (let ((u--redok (cond ((equal? u--redok1 1) 1) (else u--redok2)))) (let ((eff-1 (CoreC-45Context-checkTimer arg-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (cond ((equal? u--redok2 1) (lambda (eta-0) (vector 1 (vector 0 )))) (else (CoreC-45ContextC-45Log-unverifiedLogC arg-2 (csegen-1720) 5 (let ((eff-2 (CoreC-45Context-toFullNames arg-2 (csegen-81) arg-8))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons (csegen-1721) (cons ((csegen-0) (CoreC-45Name-u--show_Show_Name e-7)) '()))))))) eff-3)))))))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (cond ((equal? u--redok 1) (let ((eff-3 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-updateLimit u--nt arg-8 arg-1 eta-0)))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (if (null? e-8) (let ((eff-4 (CoreC-45ContextC-45Log-log arg-2 (csegen-1720) 10 (lambda () (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons ((csegen-0) "Function ") (cons ((csegen-0) (CoreC-45Name-u--show_Show_Name arg-8)) (cons ((csegen-0) " past reduction limit") '())))))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-5 (lambda (eta-0) (vector 1 (arg-10))))) eff-5)))))) (let ((e-2 (unbox e-8))) (let ((eff-4 (CoreC-45NormaliseC-45Eval-evalDef arg-0 arg-1 arg-2 arg-3 arg-4 e-2 arg-5 arg-6 (let ((e-23 (vector-ref e-1 7))) e-23) (let ((e-17 (vector-ref e-1 17))) e-17) (let ((e-11 (vector-ref e-1 11))) e-11) arg-9 arg-10))) (PrimIO-io_bind eff-4 (csegen-1313))))))) eff-4)))))))) (else (lambda (eta-0) (vector 1 (arg-10))))))) eff-3)))))))) eff-2)))))))))))))) eff-1)))))))))))
(define CoreC-45NormaliseC-45Eval-evalOp (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (CoreC-45NormaliseC-45Eval-case--evalOp-5528 arg-0 arg-1 arg-4 arg-7 arg-6 arg-3 arg-5 arg-2 (CoreC-45NormaliseC-45Eval-takeFromStack arg-0 arg-1 arg-3 arg-6))))
(define CoreC-45NormaliseC-45Eval-evalMeta (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9) (let ((u--argsC-39 (let ((sc0 (DataC-45List-isNil arg-9))) (cond ((equal? sc0 1) ((csegen-1728) arg-8)) (else (PreludeC-45TypesC-45List-tailRecAppend ((csegen-1728) arg-8) arg-9)))))) (CoreC-45NormaliseC-45Eval-evalRef arg-0 arg-1 arg-2 arg-3 arg-4 1 arg-5 (vector 1 ) (vector 8 arg-7) u--argsC-39 (lambda () (vector 1 arg-5 (vector 2 arg-6 arg-7 arg-8) arg-9))))))
(define CoreC-45NormaliseC-45Eval-evalLocal (lambda (arg-0 arg-1 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-11 arg-12) (if (null? arg-12) (let ((sc1 (let ((sc2 (let ((sc3 (let ((e-0 (vector-ref arg-1 0))) e-0))) (cond ((equal? sc3 1) 1) (else (let ((e-1 (vector-ref arg-1 1))) e-1)))))) (cond ((equal? sc2 1) 0) (else (DataC-45Maybe-fromMaybe (lambda () 1) arg-8)))))) (cond ((equal? sc1 1) (let ((sc2 (CoreC-45Env-getBinder (csegen-1260) arg-5 arg-9 arg-6))) (case (vector-ref sc2 0) ((1) (let ((e-3 (vector-ref sc2 3))) (CoreC-45NormaliseC-45Eval-eval arg-0 arg-1 arg-4 arg-5 '() arg-6 '() e-3 arg-11)))(else (lambda (eta-0) (vector 1 (vector 1 arg-7 (vector 0 arg-8 arg-9) arg-11))))))) (else (lambda (eta-0) (vector 1 (vector 1 arg-7 (vector 0 arg-8 arg-9) arg-11)))))) (cond ((equal? arg-9 0) (let ((e-4 (car arg-12))) (CoreC-45NormaliseC-45Eval-evalLocClosure arg-0 arg-1 arg-4 arg-5 arg-6 arg-7 arg-8 arg-11 e-4)))(else (let ((e-0 (- arg-9 1))) (let ((e-10 (cdr arg-12))) (CoreC-45NormaliseC-45Eval-evalLocal arg-0 arg-1 arg-4 arg-5 arg-6 arg-7 arg-8 e-0 arg-11 e-10))))))))
(define CoreC-45NormaliseC-45Eval-evalLocClosure (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8) (case (vector-ref arg-8 0) ((0) (let ((e-1 (vector-ref arg-8 1))) (let ((e-2 (vector-ref arg-8 2))) (let ((e-3 (vector-ref arg-8 3))) (let ((e-4 (vector-ref arg-8 4))) (let ((e-5 (vector-ref arg-8 5))) (CoreC-45NormaliseC-45Eval-evalWithOpts arg-2 arg-3 e-1 arg-0 e-2 e-4 e-3 e-5 arg-7))))))) (else (let ((e-8 (vector-ref arg-8 2))) (let ((e-9 (vector-ref arg-8 3))) (CoreC-45NormaliseC-45Eval-applyToStack arg-0 arg-1 arg-2 arg-3 e-8 e-9 arg-7)))))))
(define CoreC-45NormaliseC-45Eval-evalDef (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12) (case (vector-ref arg-9 0) ((1) (let ((e-0 (vector-ref arg-9 1))) (let ((e-1 (vector-ref arg-9 2))) (let ((e-2 (vector-ref arg-9 3))) (let ((e-3 (vector-ref arg-9 4))) (let ((e-4 (vector-ref arg-9 5))) (let ((sc1 (let ((sc2 (let ((e-6 (vector-ref e-0 1))) e-6))) (cond ((equal? sc2 1) 1) (else (let ((sc3 (let ((sc4 (let ((e-12 (vector-ref arg-5 0))) e-12))) (cond ((equal? sc4 1) 1) (else (let ((sc5 (let ((e-11 (vector-ref arg-5 1))) e-11))) (cond ((equal? sc5 1) 1) (else (let ((e-8 (vector-ref arg-5 4))) e-8))))))))) (cond ((equal? sc3 1) (let ((sc4 (cond ((equal? arg-6 1) (let ((sc6 (AlgebraC-45Semiring-isErased (csegen-1156) arg-8))) (cond ((equal? sc6 1) 0) (else 1)))) (else 0)))) (cond ((equal? sc4 1) 1) (else (let ((sc5 (cond ((equal? arg-6 1) (let ((e-12 (vector-ref arg-5 0))) e-12)) (else 0)))) (cond ((equal? sc5 1) 1) (else (let ((sc6 (let ((e-8 (vector-ref arg-5 4))) e-8))) (cond ((equal? sc6 1) (PreludeC-45Types-elem (csegen-16) (csegen-1601) (vector 5 ) arg-10)) (else 0)))))))))) (else 1)))))))) (cond ((equal? sc1 1) (CoreC-45NormaliseC-45Eval-case--caseC-32blockC-32inC-32evalDef-5704 arg-0 arg-1 arg-3 e-1 e-3 e-4 e-2 e-0 arg-12 arg-11 arg-10 arg-8 arg-7 arg-6 arg-5 arg-4 arg-2 (CoreC-45NormaliseC-45Eval-argsFromStack arg-0 arg-1 e-1 arg-11))) (else (lambda (eta-0) (vector 1 (arg-12)))))))))))) ((4) (let ((e-5 (vector-ref arg-9 1))) (let ((e-6 (vector-ref arg-9 2))) (CoreC-45NormaliseC-45Eval-evalOp arg-0 arg-1 arg-2 e-5 arg-3 (CoreC-45Primitives-getOp e-6 arg-3) arg-11 arg-12))))(else (let ((eff-0 (CoreC-45ContextC-45Log-unverifiedLogC arg-2 "eval.def.stuck" 50 (let ((eff-0 (CoreC-45Context-toFullNames arg-2 (csegen-1710) (arg-12)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons "Cannot reduce def " (cons (CoreC-45Value-u--show_Show_C-40NFC-32C-36freeC-41 arg-3 e-5) (cons ": it is a " (cons (CoreC-45ContextC-45Context-u--show_Show_Def arg-9) '()))))))))) eff-1)))))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (lambda (eta-0) (vector 1 (arg-12))))) eff-1))))))))))
(define CoreC-45NormaliseC-45Eval-evalConAlt (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12) (let ((sc0 (CoreC-45NormaliseC-45Eval-getCaseBound arg-0 arg-1 arg-11 arg-10 arg-6))) (if (null? sc0) (lambda (eta-0) (vector 1 (vector 2 ))) (let ((e-1 (unbox sc0))) (CoreC-45NormaliseC-45Eval-evalTree arg-0 arg-1 arg-2 (PreludeC-45TypesC-45List-tailRecAppend arg-10 arg-3) arg-4 arg-5 e-1 arg-7 arg-8 arg-9 arg-12))))))
(define CoreC-45NormaliseC-45Eval-evalClosure (lambda (arg-0 arg-1 arg-2 arg-3) (case (vector-ref arg-3 0) ((0) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-3 (vector-ref arg-3 3))) (let ((e-4 (vector-ref arg-3 4))) (let ((e-5 (vector-ref arg-3 5))) (CoreC-45NormaliseC-45Eval-eval arg-2 e-2 arg-0 arg-1 e-1 e-4 e-3 e-5 '()))))))) (else (let ((e-7 (vector-ref arg-3 1))) (let ((e-8 (vector-ref arg-3 2))) (let ((e-9 (vector-ref arg-3 3))) (CoreC-45NormaliseC-45Eval-applyToStack arg-2 e-7 arg-0 arg-1 e-8 e-9 '()))))))))
(define CoreC-45NormaliseC-45Eval-evalArg (lambda (arg-0 arg-1 arg-2 arg-3) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 arg-3)))
(define CoreC-45NormaliseC-45Eval-eval (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8) (case (vector-ref arg-7 0) ((0) (let ((e-2 (vector-ref arg-7 1))) (let ((e-3 (vector-ref arg-7 2))) (let ((e-4 (vector-ref arg-7 3))) (CoreC-45NormaliseC-45Eval-evalLocal arg-0 arg-1 arg-2 arg-3 arg-5 e-2 e-3 e-4 arg-8 arg-6))))) ((1) (let ((e-7 (vector-ref arg-7 1))) (let ((e-8 (vector-ref arg-7 2))) (let ((e-9 (vector-ref arg-7 3))) (CoreC-45NormaliseC-45Eval-evalRef arg-0 arg-1 arg-2 arg-3 arg-5 0 e-7 e-8 e-9 arg-8 (lambda () (vector 1 e-7 (vector 1 e-8 e-9) arg-8))))))) ((2) (let ((e-11 (vector-ref arg-7 1))) (let ((e-12 (vector-ref arg-7 2))) (let ((e-13 (vector-ref arg-7 3))) (let ((e-14 (vector-ref arg-7 4))) (CoreC-45NormaliseC-45Eval-evalMeta arg-0 arg-1 arg-2 arg-3 arg-5 e-11 e-12 e-13 (CoreC-45NormaliseC-45Eval-n--8417-2340-u--closeArgs arg-0 arg-1 arg-4 arg-3 e-14 e-13 e-12 e-11 arg-8 arg-6 arg-5 arg-2 e-14) arg-8)))))) ((3) (let ((e-16 (vector-ref arg-7 1))) (let ((e-17 (vector-ref arg-7 2))) (let ((e-18 (vector-ref arg-7 3))) (let ((e-19 (vector-ref arg-7 4))) (case (vector-ref e-18 0) ((0) (if (null? arg-8) (let ((u--bC-39 (CoreC-45TT-u--map_Functor_Binder (lambda (eta-0) (vector 0 arg-4 arg-1 arg-6 arg-5 eta-0)) e-18))) (lambda (eta-0) (vector 1 (vector 0 e-16 e-17 u--bC-39 (lambda (u--defsC-39) (lambda (u--arg) (CoreC-45NormaliseC-45Eval-evalWithOpts arg-2 arg-3 (cons e-17 arg-4) u--defsC-39 arg-1 arg-5 (cons u--arg arg-6) e-19 arg-8))))))) (let ((e-62 (car arg-8))) (let ((e-63 (cdr arg-8))) (CoreC-45NormaliseC-45Eval-eval arg-0 arg-1 arg-2 arg-3 (cons e-17 arg-4) arg-5 (cons (Builtin-snd e-62) arg-6) e-19 e-63))))) ((1) (let ((e-57 (vector-ref e-18 1))) (let ((e-58 (vector-ref e-18 2))) (let ((e-59 (vector-ref e-18 3))) (let ((e-60 (vector-ref e-18 4))) (let ((u--b (vector 1 e-57 e-58 e-59 e-60))) (let ((sc2 (let ((sc3 (let ((sc4 (let ((e-0 (vector-ref arg-1 0))) e-0))) (cond ((equal? sc4 1) 1) (else (let ((e-1 (vector-ref arg-1 1))) e-1)))))) (cond ((equal? sc3 1) (let ((sc4 (let ((e-4 (vector-ref arg-1 4))) e-4))) (cond ((equal? sc4 1) 0) (else 1)))) (else 0))))) (cond ((equal? sc2 1) (let ((u--bC-39 (CoreC-45TT-u--map_Functor_Binder (lambda (eta-0) (vector 0 arg-4 arg-1 arg-6 arg-5 eta-0)) u--b))) (lambda (eta-0) (vector 1 (vector 0 e-16 e-17 u--bC-39 (lambda (u--defsC-39) (lambda (u--arg) (CoreC-45NormaliseC-45Eval-evalWithOpts arg-2 arg-3 (cons e-17 arg-4) u--defsC-39 arg-1 arg-5 (cons u--arg arg-6) e-19 arg-8)))))))) (else (CoreC-45NormaliseC-45Eval-eval arg-0 arg-1 arg-2 arg-3 (cons e-17 arg-4) arg-5 (cons (vector 0 arg-4 arg-1 arg-6 arg-5 e-59) arg-6) e-19 arg-8))))))))))(else (let ((u--bC-39 (CoreC-45TT-u--map_Functor_Binder (lambda (eta-0) (vector 0 arg-4 arg-1 arg-6 arg-5 eta-0)) e-18))) (lambda (eta-0) (vector 1 (vector 0 e-16 e-17 u--bC-39 (lambda (u--defsC-39) (lambda (u--arg) (CoreC-45NormaliseC-45Eval-evalWithOpts arg-2 arg-3 (cons e-17 arg-4) u--defsC-39 arg-1 arg-5 (cons u--arg arg-6) e-19 arg-8)))))))))))))) ((4) (let ((e-21 (vector-ref arg-7 1))) (let ((e-22 (vector-ref arg-7 2))) (let ((e-23 (vector-ref arg-7 3))) (let ((sc1 (let ((e-7 (vector-ref arg-1 7))) e-7))) (cond ((equal? sc1 0) (let ((eff-0 (CoreC-45NormaliseC-45Eval-eval arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-23 '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45NormaliseC-45Eval-eval arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-22 (cons (cons e-21 (vector 1 arg-1 arg-5 e-5)) arg-8)))) eff-1)))))))) (else (CoreC-45NormaliseC-45Eval-eval arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-22 (cons (cons e-21 (vector 0 arg-4 arg-1 arg-6 arg-5 e-23)) arg-8))))))))) ((5) (let ((e-25 (vector-ref arg-7 1))) (let ((e-26 (vector-ref arg-7 2))) (let ((e-27 (vector-ref arg-7 3))) (let ((e-28 (vector-ref arg-7 4))) (let ((sc1 (let ((e-2 (vector-ref arg-1 2))) e-2))) (cond ((equal? sc1 1) (CoreC-45NormaliseC-45Eval-eval arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-28 arg-8)) (else (let ((eff-0 (CoreC-45NormaliseC-45Eval-eval arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-27 arg-8))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-eval arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-28 arg-8))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 4 e-25 e-26 e-5 e-6))))) eff-2))))))))) eff-1))))))))))))))) ((6) (let ((e-30 (vector-ref arg-7 1))) (let ((e-31 (vector-ref arg-7 2))) (let ((e-32 (vector-ref arg-7 3))) (let ((eff-0 (CoreC-45NormaliseC-45Eval-eval arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-32 arg-8))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 5 e-30 e-31 e-5))))) eff-1))))))))))) ((7) (let ((e-34 (vector-ref arg-7 1))) (let ((e-35 (vector-ref arg-7 2))) (let ((e-36 (vector-ref arg-7 3))) (let ((e-37 (vector-ref arg-7 4))) (lambda (eta-0) (vector 1 (vector 6 e-34 e-35 (vector 0 arg-4 arg-1 arg-6 arg-5 e-36) (vector 0 arg-4 arg-1 arg-6 arg-5 e-37))))))))) ((8) (let ((e-39 (vector-ref arg-7 1))) (let ((e-40 (vector-ref arg-7 2))) (let ((e-41 (vector-ref arg-7 3))) (let ((eff-0 (CoreC-45NormaliseC-45Eval-eval arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-41 '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (case (vector-ref e-5 0) ((6) (let ((e-1 (vector-ref e-5 1))) (let ((e-4 (vector-ref e-5 4))) (CoreC-45NormaliseC-45Eval-eval arg-0 arg-1 arg-2 arg-3 (cons (vector 1 (vector 0 "fvar")) arg-4) arg-5 (cons e-4 arg-6) (vector 0 e-1 '() 0) arg-8))))(else (lambda (eta-0) (vector 1 (vector 7 e-39 e-40 e-5 arg-8))))))) eff-1))))))))))) ((9) (let ((e-43 (vector-ref arg-7 1))) (let ((e-44 (vector-ref arg-7 2))) (lambda (eta-0) (vector 1 (vector 8 e-43 e-44)))))) ((10) (let ((e-46 (vector-ref arg-7 1))) (let ((e-47 (vector-ref arg-7 2))) (let ((eff-0 (CoreC-45TT-u--traverse_Traversable_WhyErased (csegen-1306) (lambda (u--t) (CoreC-45NormaliseC-45Eval-eval arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 u--t arg-8)) e-47))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-9) (lambda (arg-10) ((((eff-1 'erased) 'erased) arg-9) arg-10)))) (lambda (eta-0) (vector 9 e-46 eta-0)))) eff-0))))) (else (let ((e-49 (vector-ref arg-7 1))) (let ((e-50 (vector-ref arg-7 2))) (lambda (eta-0) (vector 1 (vector 10 e-49 e-50)))))))))
(define CoreC-45NormaliseC-45Eval-continueNF (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (CoreC-45NormaliseC-45Eval-applyToStack arg-2 (CoreC-45Value-defaultOpts) arg-0 arg-1 arg-3 arg-4 '())))
(define CoreC-45NormaliseC-45Eval-argsFromStack (lambda (arg-0 arg-1 arg-3 arg-4) (if (null? arg-3) (box (cons '() arg-4)) (let ((e-3 (cdr arg-3))) (if (null? arg-4) '() (let ((e-6 (car arg-4))) (let ((e-7 (cdr arg-4))) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (CoreC-45NormaliseC-45Eval-argsFromStack arg-0 arg-1 e-3 e-7) (lambda (_-0) (let ((e-5 (car _-0))) (let ((e-4 (cdr _-0))) (box (cons (cons (Builtin-snd e-6) e-5) e-4)))))))))))))
(define CoreC-45NormaliseC-45Eval-applyToStack (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (case (vector-ref arg-5 0) ((0) (let ((e-1 (vector-ref arg-5 1))) (let ((e-2 (vector-ref arg-5 2))) (let ((e-3 (vector-ref arg-5 3))) (let ((e-4 (vector-ref arg-5 4))) (case (vector-ref e-3 0) ((0) (if (null? arg-6) (lambda (eta-0) (vector 1 (vector 0 e-1 e-2 e-3 (lambda (u--defsC-39) (lambda (u--arg) (let ((eff-0 ((e-4 u--defsC-39) u--arg))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-1) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45NormaliseC-45Eval-applyToStack arg-0 arg-1 arg-2 arg-3 arg-4 e-5 arg-6))) eff-1)))))))))))) (let ((e-60 (car arg-6))) (let ((e-61 (cdr arg-6))) (let ((eff-0 ((e-4 arg-0) (Builtin-snd e-60)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45NormaliseC-45Eval-applyToStack arg-0 arg-1 arg-2 arg-3 arg-4 e-5 e-61))) eff-1))))))))))) ((1) (let ((e-55 (vector-ref e-3 1))) (let ((e-56 (vector-ref e-3 2))) (let ((e-57 (vector-ref e-3 3))) (let ((e-58 (vector-ref e-3 4))) (let ((u--b (vector 1 e-55 e-56 e-57 e-58))) (let ((sc2 (let ((sc3 (let ((sc4 (let ((e-0 (vector-ref arg-1 0))) e-0))) (cond ((equal? sc4 1) 1) (else (let ((e-11 (vector-ref arg-1 1))) e-11)))))) (cond ((equal? sc3 1) (let ((sc4 (let ((e-8 (vector-ref arg-1 4))) e-8))) (cond ((equal? sc4 1) 0) (else 1)))) (else 0))))) (cond ((equal? sc2 1) (lambda (eta-0) (vector 1 (vector 0 e-1 e-2 u--b (lambda (u--defsC-39) (lambda (u--arg) (let ((eff-0 ((e-4 u--defsC-39) u--arg))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-1) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45NormaliseC-45Eval-applyToStack arg-0 arg-1 arg-2 arg-3 arg-4 e-5 arg-6))) eff-1))))))))))))) (else (let ((eff-0 ((e-4 arg-0) e-57))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45NormaliseC-45Eval-applyToStack arg-0 arg-1 arg-2 arg-3 arg-4 e-5 arg-6))) eff-1))))))))))))))))(else (lambda (eta-0) (vector 1 (vector 0 e-1 e-2 e-3 (lambda (u--defsC-39) (lambda (u--arg) (let ((eff-0 ((e-4 u--defsC-39) u--arg))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-1) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45NormaliseC-45Eval-applyToStack arg-0 arg-1 arg-2 arg-3 arg-4 e-5 arg-6))) eff-1))))))))))))))))))) ((1) (let ((e-6 (vector-ref arg-5 1))) (let ((e-7 (vector-ref arg-5 2))) (let ((e-8 (vector-ref arg-5 3))) (case (vector-ref e-7 0) ((1) (let ((e-63 (vector-ref e-7 1))) (let ((e-64 (vector-ref e-7 2))) (CoreC-45NormaliseC-45Eval-evalRef arg-0 arg-1 arg-2 arg-3 arg-4 0 e-6 e-63 e-64 (PreludeC-45TypesC-45List-tailRecAppend e-8 arg-6) (lambda () (vector 1 e-6 (vector 1 e-63 e-64) (PreludeC-45TypesC-45List-tailRecAppend e-8 arg-6))))))) ((0) (let ((e-67 (vector-ref e-7 1))) (let ((e-68 (vector-ref e-7 2))) (CoreC-45NormaliseC-45Eval-evalLocal arg-0 arg-1 arg-2 arg-3 arg-4 e-6 e-67 e-68 (PreludeC-45TypesC-45List-tailRecAppend e-8 arg-6) '())))) (else (let ((e-71 (vector-ref e-7 1))) (let ((e-72 (vector-ref e-7 2))) (let ((e-73 (vector-ref e-7 3))) (CoreC-45NormaliseC-45Eval-evalMeta arg-0 arg-1 arg-2 arg-3 arg-4 e-6 e-71 e-72 e-73 (PreludeC-45TypesC-45List-tailRecAppend e-8 arg-6))))))))))) ((2) (let ((e-10 (vector-ref arg-5 1))) (let ((e-11 (vector-ref arg-5 2))) (let ((e-12 (vector-ref arg-5 3))) (let ((e-13 (vector-ref arg-5 4))) (let ((e-14 (vector-ref arg-5 5))) (lambda (eta-0) (vector 1 (vector 2 e-10 e-11 e-12 e-13 (PreludeC-45TypesC-45List-tailRecAppend e-14 arg-6)))))))))) ((3) (let ((e-16 (vector-ref arg-5 1))) (let ((e-17 (vector-ref arg-5 2))) (let ((e-18 (vector-ref arg-5 3))) (let ((e-19 (vector-ref arg-5 4))) (let ((e-20 (vector-ref arg-5 5))) (lambda (eta-0) (vector 1 (vector 3 e-16 e-17 e-18 e-19 (PreludeC-45TypesC-45List-tailRecAppend e-20 arg-6)))))))))) ((4) (let ((e-22 (vector-ref arg-5 1))) (let ((e-23 (vector-ref arg-5 2))) (let ((e-24 (vector-ref arg-5 3))) (let ((e-25 (vector-ref arg-5 4))) (let ((sc1 (let ((e-2 (vector-ref arg-1 2))) e-2))) (cond ((equal? sc1 1) (CoreC-45NormaliseC-45Eval-applyToStack arg-0 arg-1 arg-2 arg-3 arg-4 e-25 arg-6)) (else (let ((eff-0 (CoreC-45NormaliseC-45Eval-applyToStack arg-0 arg-1 arg-2 arg-3 arg-4 e-24 '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-applyToStack arg-0 arg-1 arg-2 arg-3 arg-4 e-25 arg-6))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 4 e-22 e-23 e-5 e-6))))) eff-2))))))))) eff-1))))))))))))))) ((5) (let ((e-27 (vector-ref arg-5 1))) (let ((e-28 (vector-ref arg-5 2))) (let ((e-29 (vector-ref arg-5 3))) (let ((eff-0 (CoreC-45NormaliseC-45Eval-applyToStack arg-0 arg-1 arg-2 arg-3 arg-4 e-29 arg-6))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 5 e-27 e-28 e-5))))) eff-1))))))))))) ((6) (lambda (eta-0) (vector 1 arg-5))) ((7) (let ((e-36 (vector-ref arg-5 1))) (let ((e-37 (vector-ref arg-5 2))) (let ((e-38 (vector-ref arg-5 3))) (let ((e-39 (vector-ref arg-5 4))) (let ((eff-0 (CoreC-45NormaliseC-45Eval-applyToStack arg-0 arg-1 arg-2 arg-3 arg-4 e-38 '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (case (vector-ref e-5 0) ((6) (let ((e-1 (vector-ref e-5 1))) (let ((e-4 (vector-ref e-5 4))) (CoreC-45NormaliseC-45Eval-eval arg-0 arg-1 arg-2 arg-3 (cons (vector 1 (vector 0 "fvar")) '()) arg-4 (cons e-4 '()) (vector 0 e-1 '() 0) arg-6))))(else (lambda (eta-0) (vector 1 (vector 7 e-36 e-37 e-5 (PreludeC-45TypesC-45List-tailRecAppend e-39 arg-6)))))))) eff-1)))))))))))) ((8) (lambda (eta-0) (vector 1 arg-5))) ((9) (let ((e-44 (vector-ref arg-5 1))) (let ((e-45 (vector-ref arg-5 2))) (let ((eff-0 (CoreC-45TT-u--traverse_Traversable_WhyErased (csegen-1306) (lambda (u--t) (CoreC-45NormaliseC-45Eval-applyToStack arg-0 arg-1 arg-2 arg-3 arg-4 u--t arg-6)) e-45))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-7) (lambda (arg-8) ((((eff-1 'erased) 'erased) arg-7) arg-8)))) (lambda (eta-0) (vector 9 e-44 eta-0)))) eff-0))))) (else (lambda (eta-0) (vector 1 arg-5))))))
(define CoreC-45Primitives-n--10774-6212-u--powC-39 (lambda (arg-0 arg-1 arg-2) (case (vector-ref arg-1 0) ((12) (let ((e-0 (vector-ref arg-1 1))) (case (vector-ref arg-2 0) ((12) (let ((e-1 (vector-ref arg-2 1))) (box (vector 12 (flexpt e-0 e-1)))))(else '()))))(else '()))))
(define CoreC-45Primitives-unaryOp (lambda (arg-0 arg-1 arg-2) (if (null? arg-2) '() (let ((e-2 (car arg-2))) (let ((e-3 (cdr arg-2))) (case (vector-ref e-2 0) ((8) (let ((e-5 (vector-ref e-2 1))) (let ((e-6 (vector-ref e-2 2))) (if (null? e-3) (((csegen-77) (lambda (eta-0) (vector 8 e-5 eta-0))) (arg-0 e-6)) '()))))(else '())))))))
(define CoreC-45Primitives-toInt (lambda (arg-0) (cond ((equal? arg-0 1) (vector 0 1)) (else (vector 0 0)))))
(define CoreC-45Primitives-sub (lambda (arg-0 arg-1) (case (vector-ref arg-0 0) ((5) (let ((e-0 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((5) (let ((e-12 (vector-ref arg-1 1))) (box (vector 5 (- e-0 e-12)))))(else '())))) ((0) (let ((e-1 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((0) (let ((e-13 (vector-ref arg-1 1))) (box (vector 0 (bs- e-1 e-13 63)))))(else '())))) ((1) (let ((e-2 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((1) (let ((e-14 (vector-ref arg-1 1))) (box (vector 1 (bs- e-2 e-14 7)))))(else '())))) ((2) (let ((e-3 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((2) (let ((e-15 (vector-ref arg-1 1))) (box (vector 2 (bs- e-3 e-15 15)))))(else '())))) ((3) (let ((e-4 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((3) (let ((e-16 (vector-ref arg-1 1))) (box (vector 3 (bs- e-4 e-16 31)))))(else '())))) ((4) (let ((e-5 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((4) (let ((e-17 (vector-ref arg-1 1))) (box (vector 4 (bs- e-5 e-17 63)))))(else '())))) ((6) (let ((e-6 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((6) (let ((e-18 (vector-ref arg-1 1))) (box (vector 6 (bu- e-6 e-18 8)))))(else '())))) ((7) (let ((e-7 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((7) (let ((e-19 (vector-ref arg-1 1))) (box (vector 7 (bu- e-7 e-19 16)))))(else '())))) ((8) (let ((e-8 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((8) (let ((e-20 (vector-ref arg-1 1))) (box (vector 8 (bu- e-8 e-20 32)))))(else '())))) ((9) (let ((e-9 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((9) (let ((e-21 (vector-ref arg-1 1))) (box (vector 9 (bu- e-9 e-21 64)))))(else '())))) ((11) (let ((e-10 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((11) (let ((e-22 (vector-ref arg-1 1))) (box (vector 11 (cast-int-char (bs- (cast-char-boundedInt e-10 63) (cast-char-boundedInt e-22 63) 63))))))(else '())))) ((12) (let ((e-11 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((12) (let ((e-23 (vector-ref arg-1 1))) (box (vector 12 (- e-11 e-23)))))(else '()))))(else '()))))
(define CoreC-45Primitives-strTail (lambda (arg-1) (if (null? arg-1) '() (let ((e-2 (car arg-1))) (let ((e-3 (cdr arg-1))) (case (vector-ref e-2 0) ((8) (let ((e-5 (vector-ref e-2 1))) (let ((e-6 (vector-ref e-2 2))) (case (vector-ref e-6 0) ((10) (let ((e-7 (vector-ref e-6 1))) (cond ((equal? e-7 "") (if (null? e-3) '() (if (null? e-3) (box (vector 8 e-5 (vector 10 (substring e-7 1 (string-length e-7))))) '())))(else (if (null? e-3) (box (vector 8 e-5 (vector 10 (substring e-7 1 (string-length e-7))))) '())))))(else '())))))(else '())))))))
(define CoreC-45Primitives-strSubstr (lambda (arg-1) (if (null? arg-1) '() (let ((e-2 (car arg-1))) (let ((e-3 (cdr arg-1))) (case (vector-ref e-2 0) ((8) (let ((e-5 (vector-ref e-2 1))) (let ((e-6 (vector-ref e-2 2))) (case (vector-ref e-6 0) ((0) (let ((e-7 (vector-ref e-6 1))) (if (null? e-3) '() (let ((e-10 (car e-3))) (let ((e-11 (cdr e-3))) (case (vector-ref e-10 0) ((8) (let ((e-14 (vector-ref e-10 2))) (case (vector-ref e-14 0) ((0) (let ((e-15 (vector-ref e-14 1))) (if (null? e-11) '() (let ((e-18 (car e-11))) (let ((e-19 (cdr e-11))) (case (vector-ref e-18 0) ((8) (let ((e-22 (vector-ref e-18 2))) (case (vector-ref e-22 0) ((10) (let ((e-23 (vector-ref e-22 1))) (if (null? e-19) (box (vector 8 e-5 (vector 10 (string-substr e-7 e-15 e-23)))) '())))(else '()))))(else '())))))))(else '()))))(else '())))))))(else '())))))(else '())))))))
(define CoreC-45Primitives-strReverse (lambda (arg-1) (if (null? arg-1) '() (let ((e-2 (car arg-1))) (let ((e-3 (cdr arg-1))) (case (vector-ref e-2 0) ((8) (let ((e-5 (vector-ref e-2 1))) (let ((e-6 (vector-ref e-2 2))) (case (vector-ref e-6 0) ((10) (let ((e-7 (vector-ref e-6 1))) (if (null? e-3) (box (vector 8 e-5 (vector 10 (string-reverse e-7)))) '())))(else '())))))(else '())))))))
(define CoreC-45Primitives-strLength (lambda (arg-1) (if (null? arg-1) '() (let ((e-2 (car arg-1))) (let ((e-3 (cdr arg-1))) (case (vector-ref e-2 0) ((8) (let ((e-5 (vector-ref e-2 1))) (let ((e-6 (vector-ref e-2 2))) (case (vector-ref e-6 0) ((10) (let ((e-7 (vector-ref e-6 1))) (if (null? e-3) (box (vector 8 e-5 (vector 0 (blodwen-toSignedInt (PreludeC-45TypesC-45String-length e-7) 63)))) '())))(else '())))))(else '())))))))
(define CoreC-45Primitives-strIndex (lambda (arg-1) (if (null? arg-1) '() (let ((e-2 (car arg-1))) (let ((e-3 (cdr arg-1))) (case (vector-ref e-2 0) ((8) (let ((e-5 (vector-ref e-2 1))) (let ((e-6 (vector-ref e-2 2))) (case (vector-ref e-6 0) ((10) (let ((e-7 (vector-ref e-6 1))) (if (null? e-3) '() (let ((e-10 (car e-3))) (let ((e-11 (cdr e-3))) (case (vector-ref e-10 0) ((8) (let ((e-14 (vector-ref e-10 2))) (case (vector-ref e-14 0) ((0) (let ((e-15 (vector-ref e-14 1))) (if (null? e-11) (let ((sc7 (let ((sc8 (PreludeC-45EqOrd-u--C-62C-61_Ord_Int e-15 0))) (cond ((equal? sc8 1) (PreludeC-45Types-u--C-60_Ord_Nat (PreludeC-45Types-prim__integerToNat e-15) (PreludeC-45TypesC-45String-length e-7))) (else 0))))) (cond ((equal? sc7 1) (box (vector 8 e-5 (vector 11 (string-ref e-7 e-15))))) (else '()))) '())))(else '()))))(else '())))))))(else '())))))(else '())))))))
(define CoreC-45Primitives-strHead (lambda (arg-1) (if (null? arg-1) '() (let ((e-2 (car arg-1))) (let ((e-3 (cdr arg-1))) (case (vector-ref e-2 0) ((8) (let ((e-5 (vector-ref e-2 1))) (let ((e-6 (vector-ref e-2 2))) (case (vector-ref e-6 0) ((10) (let ((e-7 (vector-ref e-6 1))) (cond ((equal? e-7 "") (if (null? e-3) '() (if (null? e-3) (box (vector 8 e-5 (vector 11 (string-ref e-7 0)))) '())))(else (if (null? e-3) (box (vector 8 e-5 (vector 11 (string-ref e-7 0)))) '())))))(else '())))))(else '())))))))
(define CoreC-45Primitives-strCons (lambda (arg-1) (if (null? arg-1) '() (let ((e-2 (car arg-1))) (let ((e-3 (cdr arg-1))) (case (vector-ref e-2 0) ((8) (let ((e-5 (vector-ref e-2 1))) (let ((e-6 (vector-ref e-2 2))) (case (vector-ref e-6 0) ((11) (let ((e-7 (vector-ref e-6 1))) (if (null? e-3) '() (let ((e-10 (car e-3))) (let ((e-11 (cdr e-3))) (case (vector-ref e-10 0) ((8) (let ((e-14 (vector-ref e-10 2))) (case (vector-ref e-14 0) ((10) (let ((e-15 (vector-ref e-14 1))) (if (null? e-11) (box (vector 8 e-5 (vector 10 (string-cons e-7 e-15)))) '())))(else '()))))(else '())))))))(else '())))))(else '())))))))
(define CoreC-45Primitives-strAppend (lambda (arg-1) (if (null? arg-1) '() (let ((e-2 (car arg-1))) (let ((e-3 (cdr arg-1))) (case (vector-ref e-2 0) ((8) (let ((e-5 (vector-ref e-2 1))) (let ((e-6 (vector-ref e-2 2))) (case (vector-ref e-6 0) ((10) (let ((e-7 (vector-ref e-6 1))) (if (null? e-3) '() (let ((e-10 (car e-3))) (let ((e-11 (cdr e-3))) (case (vector-ref e-10 0) ((8) (let ((e-14 (vector-ref e-10 2))) (case (vector-ref e-14 0) ((10) (let ((e-15 (vector-ref e-14 1))) (if (null? e-11) (box (vector 8 e-5 (vector 10 (string-append e-7 e-15)))) '())))(else '()))))(else '())))))))(else '())))))(else '())))))))
(define CoreC-45Primitives-shiftr (lambda (arg-0 arg-1) (case (vector-ref arg-0 0) ((0) (let ((e-0 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((0) (let ((e-10 (vector-ref arg-1 1))) (box (vector 0 (blodwen-shr e-0 e-10)))))(else '())))) ((1) (let ((e-1 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((1) (let ((e-11 (vector-ref arg-1 1))) (box (vector 1 (blodwen-shr e-1 e-11)))))(else '())))) ((2) (let ((e-2 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((2) (let ((e-12 (vector-ref arg-1 1))) (box (vector 2 (blodwen-shr e-2 e-12)))))(else '())))) ((3) (let ((e-3 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((3) (let ((e-13 (vector-ref arg-1 1))) (box (vector 3 (blodwen-shr e-3 e-13)))))(else '())))) ((4) (let ((e-4 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((4) (let ((e-14 (vector-ref arg-1 1))) (box (vector 4 (blodwen-shr e-4 e-14)))))(else '())))) ((5) (let ((e-5 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((5) (let ((e-15 (vector-ref arg-1 1))) (box (vector 5 (blodwen-shr e-5 e-15)))))(else '())))) ((6) (let ((e-6 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((6) (let ((e-16 (vector-ref arg-1 1))) (box (vector 6 (blodwen-shr e-6 e-16)))))(else '())))) ((7) (let ((e-7 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((7) (let ((e-17 (vector-ref arg-1 1))) (box (vector 7 (blodwen-shr e-7 e-17)))))(else '())))) ((8) (let ((e-8 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((8) (let ((e-18 (vector-ref arg-1 1))) (box (vector 8 (blodwen-shr e-8 e-18)))))(else '())))) ((9) (let ((e-9 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((9) (let ((e-19 (vector-ref arg-1 1))) (box (vector 9 (blodwen-shr e-9 e-19)))))(else '()))))(else '()))))
(define CoreC-45Primitives-shiftl (lambda (arg-0 arg-1) (case (vector-ref arg-0 0) ((0) (let ((e-0 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((0) (let ((e-10 (vector-ref arg-1 1))) (box (vector 0 (blodwen-bits-shl-signed e-0 e-10 63)))))(else '())))) ((1) (let ((e-1 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((1) (let ((e-11 (vector-ref arg-1 1))) (box (vector 1 (blodwen-bits-shl-signed e-1 e-11 7)))))(else '())))) ((2) (let ((e-2 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((2) (let ((e-12 (vector-ref arg-1 1))) (box (vector 2 (blodwen-bits-shl-signed e-2 e-12 15)))))(else '())))) ((3) (let ((e-3 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((3) (let ((e-13 (vector-ref arg-1 1))) (box (vector 3 (blodwen-bits-shl-signed e-3 e-13 31)))))(else '())))) ((4) (let ((e-4 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((4) (let ((e-14 (vector-ref arg-1 1))) (box (vector 4 (blodwen-bits-shl-signed e-4 e-14 63)))))(else '())))) ((5) (let ((e-5 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((5) (let ((e-15 (vector-ref arg-1 1))) (box (vector 5 (blodwen-shl e-5 e-15)))))(else '())))) ((6) (let ((e-6 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((6) (let ((e-16 (vector-ref arg-1 1))) (box (vector 6 (blodwen-bits-shl e-6 e-16 8)))))(else '())))) ((7) (let ((e-7 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((7) (let ((e-17 (vector-ref arg-1 1))) (box (vector 7 (blodwen-bits-shl e-7 e-17 16)))))(else '())))) ((8) (let ((e-8 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((8) (let ((e-18 (vector-ref arg-1 1))) (box (vector 8 (blodwen-bits-shl e-8 e-18 32)))))(else '())))) ((9) (let ((e-9 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((9) (let ((e-19 (vector-ref arg-1 1))) (box (vector 9 (blodwen-bits-shl e-9 e-19 64)))))(else '()))))(else '()))))
(define CoreC-45Primitives-primTypes(blodwen-lazy (lambda () (PreludeC-45TypesC-45List-tailRecAppend (CoreC-45Primitives-numTypes) (cons 10 (cons 11 '()))))))
(define CoreC-45Primitives-primTyVal (lambda (ext-0) (vector 9 (CoreC-45FC-emptyFC) (vector 13 ext-0))))
(define CoreC-45Primitives-prim (lambda (arg-0) (vector 1 (vector 0 (string-append "prim__" arg-0)))))
(define CoreC-45Primitives-predTy (lambda (arg-0 arg-1) (let ((u--arr (csegen-1732))) ((u--arr (CoreC-45Primitives-primTyVal arg-0)) (CoreC-45Primitives-primTyVal arg-1)))))
(define CoreC-45Primitives-pi (lambda (arg-1 arg-2 arg-3 arg-4 arg-5) (vector 3 (CoreC-45FC-emptyFC) (vector 1 (vector 0 arg-1)) (vector 2 (CoreC-45FC-emptyFC) arg-2 arg-3 arg-4) arg-5)))
(define CoreC-45Primitives-opName (lambda (arg-1) (case (vector-ref arg-1 0) ((0) (let ((e-0 (vector-ref arg-1 1))) (CoreC-45Primitives-prim (string-append "add_" (CoreC-45TT-u--show_Show_PrimType e-0))))) ((1) (let ((e-1 (vector-ref arg-1 1))) (CoreC-45Primitives-prim (string-append "sub_" (CoreC-45TT-u--show_Show_PrimType e-1))))) ((2) (let ((e-2 (vector-ref arg-1 1))) (CoreC-45Primitives-prim (string-append "mul_" (CoreC-45TT-u--show_Show_PrimType e-2))))) ((3) (let ((e-3 (vector-ref arg-1 1))) (CoreC-45Primitives-prim (string-append "div_" (CoreC-45TT-u--show_Show_PrimType e-3))))) ((4) (let ((e-4 (vector-ref arg-1 1))) (CoreC-45Primitives-prim (string-append "mod_" (CoreC-45TT-u--show_Show_PrimType e-4))))) ((5) (let ((e-5 (vector-ref arg-1 1))) (CoreC-45Primitives-prim (string-append "negate_" (CoreC-45TT-u--show_Show_PrimType e-5))))) ((6) (let ((e-6 (vector-ref arg-1 1))) (CoreC-45Primitives-prim (string-append "shl_" (CoreC-45TT-u--show_Show_PrimType e-6))))) ((7) (let ((e-7 (vector-ref arg-1 1))) (CoreC-45Primitives-prim (string-append "shr_" (CoreC-45TT-u--show_Show_PrimType e-7))))) ((8) (let ((e-8 (vector-ref arg-1 1))) (CoreC-45Primitives-prim (string-append "and_" (CoreC-45TT-u--show_Show_PrimType e-8))))) ((9) (let ((e-9 (vector-ref arg-1 1))) (CoreC-45Primitives-prim (string-append "or_" (CoreC-45TT-u--show_Show_PrimType e-9))))) ((10) (let ((e-10 (vector-ref arg-1 1))) (CoreC-45Primitives-prim (string-append "xor_" (CoreC-45TT-u--show_Show_PrimType e-10))))) ((11) (let ((e-11 (vector-ref arg-1 1))) (CoreC-45Primitives-prim (string-append "lt_" (CoreC-45TT-u--show_Show_PrimType e-11))))) ((12) (let ((e-12 (vector-ref arg-1 1))) (CoreC-45Primitives-prim (string-append "lte_" (CoreC-45TT-u--show_Show_PrimType e-12))))) ((13) (let ((e-13 (vector-ref arg-1 1))) (CoreC-45Primitives-prim (string-append "eq_" (CoreC-45TT-u--show_Show_PrimType e-13))))) ((14) (let ((e-14 (vector-ref arg-1 1))) (CoreC-45Primitives-prim (string-append "gte_" (CoreC-45TT-u--show_Show_PrimType e-14))))) ((15) (let ((e-15 (vector-ref arg-1 1))) (CoreC-45Primitives-prim (string-append "gt_" (CoreC-45TT-u--show_Show_PrimType e-15))))) ((16) (CoreC-45Primitives-prim "strLength")) ((17) (CoreC-45Primitives-prim "strHead")) ((18) (CoreC-45Primitives-prim "strTail")) ((19) (CoreC-45Primitives-prim "strIndex")) ((20) (CoreC-45Primitives-prim "strCons")) ((21) (CoreC-45Primitives-prim "strAppend")) ((22) (CoreC-45Primitives-prim (csegen-1733))) ((23) (CoreC-45Primitives-prim "strSubstr")) ((24) (CoreC-45Primitives-prim "doubleExp")) ((25) (CoreC-45Primitives-prim "doubleLog")) ((26) (CoreC-45Primitives-prim "doublePow")) ((27) (CoreC-45Primitives-prim "doubleSin")) ((28) (CoreC-45Primitives-prim "doubleCos")) ((29) (CoreC-45Primitives-prim "doubleTan")) ((30) (CoreC-45Primitives-prim ((csegen-0) "doubleASin"))) ((31) (CoreC-45Primitives-prim ((csegen-0) "doubleACos"))) ((32) (CoreC-45Primitives-prim ((csegen-0) "doubleATan"))) ((33) (CoreC-45Primitives-prim ((csegen-0) "doubleSqrt"))) ((34) (CoreC-45Primitives-prim ((csegen-0) "doubleFloor"))) ((35) (CoreC-45Primitives-prim ((csegen-0) "doubleCeiling"))) ((36) (let ((e-16 (vector-ref arg-1 1))) (let ((e-17 (vector-ref arg-1 2))) (CoreC-45Primitives-prim (string-append "cast_" (string-append (CoreC-45TT-u--show_Show_PrimType e-16) (CoreC-45TT-u--show_Show_PrimType e-17))))))) ((37) (CoreC-45Primitives-prim (csegen-1061))) (else (CoreC-45Primitives-prim "crash")))))
(define CoreC-45Primitives-numTypes(blodwen-lazy (lambda () (PreludeC-45TypesC-45List-tailRecAppend (CoreC-45Primitives-integralTypes) (cons 12 '())))))
(define CoreC-45Primitives-neg (lambda (arg-0) (case (vector-ref arg-0 0) ((5) (let ((e-0 (vector-ref arg-0 1))) (box (vector 5 (- 0 e-0))))) ((0) (let ((e-1 (vector-ref arg-0 1))) (box (vector 0 (bs- 0 e-1 63))))) ((1) (let ((e-2 (vector-ref arg-0 1))) (box (vector 1 (bs- 0 e-2 7))))) ((2) (let ((e-3 (vector-ref arg-0 1))) (box (vector 2 (bs- 0 e-3 15))))) ((3) (let ((e-4 (vector-ref arg-0 1))) (box (vector 3 (bs- 0 e-4 31))))) ((4) (let ((e-5 (vector-ref arg-0 1))) (box (vector 4 (bs- 0 e-5 63))))) ((6) (let ((e-6 (vector-ref arg-0 1))) (box (vector 6 (bu- 0 e-6 8))))) ((7) (let ((e-7 (vector-ref arg-0 1))) (box (vector 7 (bu- 0 e-7 16))))) ((8) (let ((e-8 (vector-ref arg-0 1))) (box (vector 8 (bu- 0 e-8 32))))) ((9) (let ((e-9 (vector-ref arg-0 1))) (box (vector 9 (bu- 0 e-9 64))))) ((12) (let ((e-10 (vector-ref arg-0 1))) (box (vector 12 (- e-10)))))(else '()))))
(define CoreC-45Primitives-mul (lambda (arg-0 arg-1) (case (vector-ref arg-0 0) ((5) (let ((e-0 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((5) (let ((e-11 (vector-ref arg-1 1))) (box (vector 5 (* e-0 e-11)))))(else '())))) ((6) (let ((e-1 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((6) (let ((e-12 (vector-ref arg-1 1))) (box (vector 6 (bu* e-1 e-12 8)))))(else '())))) ((7) (let ((e-2 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((7) (let ((e-13 (vector-ref arg-1 1))) (box (vector 7 (bu* e-2 e-13 16)))))(else '())))) ((8) (let ((e-3 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((8) (let ((e-14 (vector-ref arg-1 1))) (box (vector 8 (bu* e-3 e-14 32)))))(else '())))) ((9) (let ((e-4 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((9) (let ((e-15 (vector-ref arg-1 1))) (box (vector 9 (bu* e-4 e-15 64)))))(else '())))) ((0) (let ((e-5 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((0) (let ((e-16 (vector-ref arg-1 1))) (box (vector 0 (bs* e-5 e-16 63)))))(else '())))) ((1) (let ((e-6 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((1) (let ((e-17 (vector-ref arg-1 1))) (box (vector 1 (bs* e-6 e-17 7)))))(else '())))) ((2) (let ((e-7 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((2) (let ((e-18 (vector-ref arg-1 1))) (box (vector 2 (bs* e-7 e-18 15)))))(else '())))) ((3) (let ((e-8 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((3) (let ((e-19 (vector-ref arg-1 1))) (box (vector 3 (bs* e-8 e-19 31)))))(else '())))) ((4) (let ((e-9 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((4) (let ((e-20 (vector-ref arg-1 1))) (box (vector 4 (bs* e-9 e-20 63)))))(else '())))) ((12) (let ((e-10 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((12) (let ((e-21 (vector-ref arg-1 1))) (box (vector 12 (* e-10 e-21)))))(else '()))))(else '()))))
(define CoreC-45Primitives-mod (lambda (arg-0 arg-1) (case (vector-ref arg-0 0) ((5) (let ((e-0 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((5) (let ((e-10 (vector-ref arg-1 1))) (cond ((equal? e-10 0) '())(else (box (vector 5 (PreludeC-45Num-u--mod_Integral_Integer e-0 e-10)))))))(else '())))) ((0) (let ((e-1 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((0) (let ((e-11 (vector-ref arg-1 1))) (cond ((equal? e-11 0) '())(else (box (vector 0 (PreludeC-45Num-u--mod_Integral_Int e-1 e-11)))))))(else '())))) ((1) (let ((e-2 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((1) (let ((e-12 (vector-ref arg-1 1))) (cond ((equal? e-12 0) '())(else (box (vector 1 (PreludeC-45Num-u--mod_Integral_Int8 e-2 e-12)))))))(else '())))) ((2) (let ((e-3 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((2) (let ((e-13 (vector-ref arg-1 1))) (cond ((equal? e-13 0) '())(else (box (vector 2 (PreludeC-45Num-u--mod_Integral_Int16 e-3 e-13)))))))(else '())))) ((3) (let ((e-4 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((3) (let ((e-14 (vector-ref arg-1 1))) (cond ((equal? e-14 0) '())(else (box (vector 3 (PreludeC-45Num-u--mod_Integral_Int32 e-4 e-14)))))))(else '())))) ((4) (let ((e-5 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((4) (let ((e-15 (vector-ref arg-1 1))) (cond ((equal? e-15 0) '())(else (box (vector 4 (PreludeC-45Num-u--mod_Integral_Int64 e-5 e-15)))))))(else '())))) ((6) (let ((e-6 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((6) (let ((e-16 (vector-ref arg-1 1))) (cond ((equal? e-16 0) '())(else (box (vector 6 (PreludeC-45Num-u--mod_Integral_Bits8 e-6 e-16)))))))(else '())))) ((7) (let ((e-7 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((7) (let ((e-17 (vector-ref arg-1 1))) (cond ((equal? e-17 0) '())(else (box (vector 7 (PreludeC-45Num-u--mod_Integral_Bits16 e-7 e-17)))))))(else '())))) ((8) (let ((e-8 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((8) (let ((e-18 (vector-ref arg-1 1))) (cond ((equal? e-18 0) '())(else (box (vector 8 (PreludeC-45Num-u--mod_Integral_Bits32 e-8 e-18)))))))(else '())))) ((9) (let ((e-9 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((9) (let ((e-19 (vector-ref arg-1 1))) (cond ((equal? e-19 0) '())(else (box (vector 9 (PreludeC-45Num-u--mod_Integral_Bits64 e-9 e-19)))))))(else '()))))(else '()))))
(define CoreC-45Primitives-lte (lambda (arg-0 arg-1) (case (vector-ref arg-0 0) ((0) (let ((e-0 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((0) (let ((e-13 (vector-ref arg-1 1))) (box (CoreC-45Primitives-toInt (PreludeC-45EqOrd-u--C-60C-61_Ord_Int e-0 e-13)))))(else '())))) ((1) (let ((e-1 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((1) (let ((e-14 (vector-ref arg-1 1))) (box (CoreC-45Primitives-toInt (PreludeC-45EqOrd-u--C-60C-61_Ord_Int8 e-1 e-14)))))(else '())))) ((2) (let ((e-2 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((2) (let ((e-15 (vector-ref arg-1 1))) (box (CoreC-45Primitives-toInt (PreludeC-45EqOrd-u--C-60C-61_Ord_Int16 e-2 e-15)))))(else '())))) ((3) (let ((e-3 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((3) (let ((e-16 (vector-ref arg-1 1))) (box (CoreC-45Primitives-toInt (PreludeC-45EqOrd-u--C-60C-61_Ord_Int32 e-3 e-16)))))(else '())))) ((4) (let ((e-4 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((4) (let ((e-17 (vector-ref arg-1 1))) (box (CoreC-45Primitives-toInt (PreludeC-45EqOrd-u--C-60C-61_Ord_Int64 e-4 e-17)))))(else '())))) ((5) (let ((e-5 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((5) (let ((e-18 (vector-ref arg-1 1))) (box (CoreC-45Primitives-toInt (PreludeC-45EqOrd-u--C-60C-61_Ord_Integer e-5 e-18)))))(else '())))) ((6) (let ((e-6 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((6) (let ((e-19 (vector-ref arg-1 1))) (box (CoreC-45Primitives-toInt (PreludeC-45EqOrd-u--C-60C-61_Ord_Bits8 e-6 e-19)))))(else '())))) ((7) (let ((e-7 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((7) (let ((e-20 (vector-ref arg-1 1))) (box (CoreC-45Primitives-toInt (PreludeC-45EqOrd-u--C-60C-61_Ord_Bits16 e-7 e-20)))))(else '())))) ((8) (let ((e-8 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((8) (let ((e-21 (vector-ref arg-1 1))) (box (CoreC-45Primitives-toInt (PreludeC-45EqOrd-u--C-60C-61_Ord_Bits32 e-8 e-21)))))(else '())))) ((9) (let ((e-9 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((9) (let ((e-22 (vector-ref arg-1 1))) (box (CoreC-45Primitives-toInt (PreludeC-45EqOrd-u--C-60C-61_Ord_Bits64 e-9 e-22)))))(else '())))) ((10) (let ((e-10 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((10) (let ((e-23 (vector-ref arg-1 1))) (box (CoreC-45Primitives-toInt (PreludeC-45EqOrd-u--C-60C-61_Ord_String e-10 e-23)))))(else '())))) ((11) (let ((e-11 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((11) (let ((e-24 (vector-ref arg-1 1))) (box (CoreC-45Primitives-toInt (PreludeC-45EqOrd-u--C-60C-61_Ord_Char e-11 e-24)))))(else '())))) ((12) (let ((e-12 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((12) (let ((e-25 (vector-ref arg-1 1))) (box (CoreC-45Primitives-toInt (PreludeC-45EqOrd-u--C-60C-61_Ord_Double e-12 e-25)))))(else '()))))(else '()))))
(define CoreC-45Primitives-lt (lambda (arg-0 arg-1) (case (vector-ref arg-0 0) ((0) (let ((e-0 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((0) (let ((e-13 (vector-ref arg-1 1))) (box (CoreC-45Primitives-toInt (PreludeC-45EqOrd-u--C-60_Ord_Int e-0 e-13)))))(else '())))) ((1) (let ((e-1 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((1) (let ((e-14 (vector-ref arg-1 1))) (box (CoreC-45Primitives-toInt (PreludeC-45EqOrd-u--C-60_Ord_Int8 e-1 e-14)))))(else '())))) ((2) (let ((e-2 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((2) (let ((e-15 (vector-ref arg-1 1))) (box (CoreC-45Primitives-toInt (PreludeC-45EqOrd-u--C-60_Ord_Int16 e-2 e-15)))))(else '())))) ((3) (let ((e-3 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((3) (let ((e-16 (vector-ref arg-1 1))) (box (CoreC-45Primitives-toInt (PreludeC-45EqOrd-u--C-60_Ord_Int32 e-3 e-16)))))(else '())))) ((4) (let ((e-4 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((4) (let ((e-17 (vector-ref arg-1 1))) (box (CoreC-45Primitives-toInt (PreludeC-45EqOrd-u--C-60_Ord_Int64 e-4 e-17)))))(else '())))) ((5) (let ((e-5 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((5) (let ((e-18 (vector-ref arg-1 1))) (box (CoreC-45Primitives-toInt (PreludeC-45EqOrd-u--C-60_Ord_Integer e-5 e-18)))))(else '())))) ((6) (let ((e-6 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((6) (let ((e-19 (vector-ref arg-1 1))) (box (CoreC-45Primitives-toInt (PreludeC-45EqOrd-u--C-60_Ord_Bits8 e-6 e-19)))))(else '())))) ((7) (let ((e-7 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((7) (let ((e-20 (vector-ref arg-1 1))) (box (CoreC-45Primitives-toInt (PreludeC-45EqOrd-u--C-60_Ord_Bits16 e-7 e-20)))))(else '())))) ((8) (let ((e-8 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((8) (let ((e-21 (vector-ref arg-1 1))) (box (CoreC-45Primitives-toInt (PreludeC-45EqOrd-u--C-60_Ord_Bits32 e-8 e-21)))))(else '())))) ((9) (let ((e-9 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((9) (let ((e-22 (vector-ref arg-1 1))) (box (CoreC-45Primitives-toInt (PreludeC-45EqOrd-u--C-60_Ord_Bits64 e-9 e-22)))))(else '())))) ((10) (let ((e-10 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((10) (let ((e-23 (vector-ref arg-1 1))) (box (CoreC-45Primitives-toInt (PreludeC-45EqOrd-u--C-60_Ord_String e-10 e-23)))))(else '())))) ((11) (let ((e-11 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((11) (let ((e-24 (vector-ref arg-1 1))) (box (CoreC-45Primitives-toInt (PreludeC-45EqOrd-u--C-60_Ord_Char e-11 e-24)))))(else '())))) ((12) (let ((e-12 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((12) (let ((e-25 (vector-ref arg-1 1))) (box (CoreC-45Primitives-toInt (PreludeC-45EqOrd-u--C-60_Ord_Double e-12 e-25)))))(else '()))))(else '()))))
(define CoreC-45Primitives-integralTypes(blodwen-lazy (lambda () (cons 0 (cons 1 (cons 2 (cons 3 (cons 4 (cons 5 (cons 6 (cons 7 (cons 8 (cons 9 '())))))))))))))
(define CoreC-45Primitives-gte (lambda (arg-0 arg-1) (case (vector-ref arg-0 0) ((0) (let ((e-0 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((0) (let ((e-13 (vector-ref arg-1 1))) (box (CoreC-45Primitives-toInt (PreludeC-45EqOrd-u--C-62C-61_Ord_Int e-0 e-13)))))(else '())))) ((1) (let ((e-1 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((1) (let ((e-14 (vector-ref arg-1 1))) (box (CoreC-45Primitives-toInt (PreludeC-45EqOrd-u--C-62C-61_Ord_Int8 e-1 e-14)))))(else '())))) ((2) (let ((e-2 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((2) (let ((e-15 (vector-ref arg-1 1))) (box (CoreC-45Primitives-toInt (PreludeC-45EqOrd-u--C-62C-61_Ord_Int16 e-2 e-15)))))(else '())))) ((3) (let ((e-3 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((3) (let ((e-16 (vector-ref arg-1 1))) (box (CoreC-45Primitives-toInt (PreludeC-45EqOrd-u--C-62C-61_Ord_Int32 e-3 e-16)))))(else '())))) ((4) (let ((e-4 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((4) (let ((e-17 (vector-ref arg-1 1))) (box (CoreC-45Primitives-toInt (PreludeC-45EqOrd-u--C-62C-61_Ord_Int64 e-4 e-17)))))(else '())))) ((5) (let ((e-5 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((5) (let ((e-18 (vector-ref arg-1 1))) (box (CoreC-45Primitives-toInt (PreludeC-45EqOrd-u--C-62C-61_Ord_Integer e-5 e-18)))))(else '())))) ((6) (let ((e-6 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((6) (let ((e-19 (vector-ref arg-1 1))) (box (CoreC-45Primitives-toInt (PreludeC-45EqOrd-u--C-62C-61_Ord_Bits8 e-6 e-19)))))(else '())))) ((7) (let ((e-7 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((7) (let ((e-20 (vector-ref arg-1 1))) (box (CoreC-45Primitives-toInt (PreludeC-45EqOrd-u--C-62C-61_Ord_Bits16 e-7 e-20)))))(else '())))) ((8) (let ((e-8 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((8) (let ((e-21 (vector-ref arg-1 1))) (box (CoreC-45Primitives-toInt (PreludeC-45EqOrd-u--C-62C-61_Ord_Bits32 e-8 e-21)))))(else '())))) ((9) (let ((e-9 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((9) (let ((e-22 (vector-ref arg-1 1))) (box (CoreC-45Primitives-toInt (PreludeC-45EqOrd-u--C-62C-61_Ord_Bits64 e-9 e-22)))))(else '())))) ((10) (let ((e-10 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((10) (let ((e-23 (vector-ref arg-1 1))) (box (CoreC-45Primitives-toInt (PreludeC-45EqOrd-u--C-62C-61_Ord_String e-10 e-23)))))(else '())))) ((11) (let ((e-11 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((11) (let ((e-24 (vector-ref arg-1 1))) (box (CoreC-45Primitives-toInt (PreludeC-45EqOrd-u--C-62C-61_Ord_Char e-11 e-24)))))(else '())))) ((12) (let ((e-12 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((12) (let ((e-25 (vector-ref arg-1 1))) (box (CoreC-45Primitives-toInt (PreludeC-45EqOrd-u--C-62C-61_Ord_Double e-12 e-25)))))(else '()))))(else '()))))
(define CoreC-45Primitives-gt (lambda (arg-0 arg-1) (case (vector-ref arg-0 0) ((0) (let ((e-0 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((0) (let ((e-13 (vector-ref arg-1 1))) (box (CoreC-45Primitives-toInt (PreludeC-45EqOrd-u--C-62_Ord_Int e-0 e-13)))))(else '())))) ((1) (let ((e-1 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((1) (let ((e-14 (vector-ref arg-1 1))) (box (CoreC-45Primitives-toInt (PreludeC-45EqOrd-u--C-62_Ord_Int8 e-1 e-14)))))(else '())))) ((2) (let ((e-2 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((2) (let ((e-15 (vector-ref arg-1 1))) (box (CoreC-45Primitives-toInt (PreludeC-45EqOrd-u--C-62_Ord_Int16 e-2 e-15)))))(else '())))) ((3) (let ((e-3 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((3) (let ((e-16 (vector-ref arg-1 1))) (box (CoreC-45Primitives-toInt (PreludeC-45EqOrd-u--C-62_Ord_Int32 e-3 e-16)))))(else '())))) ((4) (let ((e-4 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((4) (let ((e-17 (vector-ref arg-1 1))) (box (CoreC-45Primitives-toInt (PreludeC-45EqOrd-u--C-62_Ord_Int64 e-4 e-17)))))(else '())))) ((5) (let ((e-5 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((5) (let ((e-18 (vector-ref arg-1 1))) (box (CoreC-45Primitives-toInt (PreludeC-45EqOrd-u--C-62_Ord_Integer e-5 e-18)))))(else '())))) ((6) (let ((e-6 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((6) (let ((e-19 (vector-ref arg-1 1))) (box (CoreC-45Primitives-toInt (PreludeC-45EqOrd-u--C-62_Ord_Bits8 e-6 e-19)))))(else '())))) ((7) (let ((e-7 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((7) (let ((e-20 (vector-ref arg-1 1))) (box (CoreC-45Primitives-toInt (PreludeC-45EqOrd-u--C-62_Ord_Bits16 e-7 e-20)))))(else '())))) ((8) (let ((e-8 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((8) (let ((e-21 (vector-ref arg-1 1))) (box (CoreC-45Primitives-toInt (PreludeC-45EqOrd-u--C-62_Ord_Bits32 e-8 e-21)))))(else '())))) ((9) (let ((e-9 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((9) (let ((e-22 (vector-ref arg-1 1))) (box (CoreC-45Primitives-toInt (PreludeC-45EqOrd-u--C-62_Ord_Bits64 e-9 e-22)))))(else '())))) ((10) (let ((e-10 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((10) (let ((e-23 (vector-ref arg-1 1))) (box (CoreC-45Primitives-toInt (PreludeC-45EqOrd-u--C-62_Ord_String e-10 e-23)))))(else '())))) ((11) (let ((e-11 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((11) (let ((e-24 (vector-ref arg-1 1))) (box (CoreC-45Primitives-toInt (PreludeC-45EqOrd-u--C-62_Ord_Char e-11 e-24)))))(else '())))) ((12) (let ((e-12 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((12) (let ((e-25 (vector-ref arg-1 1))) (box (CoreC-45Primitives-toInt (PreludeC-45EqOrd-u--C-62_Ord_Double e-12 e-25)))))(else '()))))(else '()))))
(define CoreC-45Primitives-getOp (lambda (arg-1 arg-2) (case (vector-ref arg-1 0) ((0) (lambda (eta-0) (CoreC-45Primitives-binOp (lambda (eta-1) (lambda (eta-2) (CoreC-45Primitives-add eta-1 eta-2))) arg-2 eta-0))) ((1) (lambda (eta-0) (CoreC-45Primitives-binOp (lambda (eta-1) (lambda (eta-2) (CoreC-45Primitives-sub eta-1 eta-2))) arg-2 eta-0))) ((2) (lambda (eta-0) (CoreC-45Primitives-binOp (lambda (eta-1) (lambda (eta-2) (CoreC-45Primitives-mul eta-1 eta-2))) arg-2 eta-0))) ((3) (lambda (eta-0) (CoreC-45Primitives-binOp (lambda (eta-1) (lambda (eta-2) (CoreC-45Primitives-div eta-1 eta-2))) arg-2 eta-0))) ((4) (lambda (eta-0) (CoreC-45Primitives-binOp (lambda (eta-1) (lambda (eta-2) (CoreC-45Primitives-mod eta-1 eta-2))) arg-2 eta-0))) ((5) (lambda (eta-0) (CoreC-45Primitives-unaryOp (lambda (eta-1) (CoreC-45Primitives-neg eta-1)) arg-2 eta-0))) ((6) (lambda (eta-0) (CoreC-45Primitives-binOp (lambda (eta-1) (lambda (eta-2) (CoreC-45Primitives-shiftl eta-1 eta-2))) arg-2 eta-0))) ((7) (lambda (eta-0) (CoreC-45Primitives-binOp (lambda (eta-1) (lambda (eta-2) (CoreC-45Primitives-shiftr eta-1 eta-2))) arg-2 eta-0))) ((8) (lambda (eta-0) (CoreC-45Primitives-binOp (lambda (eta-1) (lambda (eta-2) (CoreC-45Primitives-band eta-1 eta-2))) arg-2 eta-0))) ((9) (lambda (eta-0) (CoreC-45Primitives-binOp (lambda (eta-1) (lambda (eta-2) (CoreC-45Primitives-bor eta-1 eta-2))) arg-2 eta-0))) ((10) (lambda (eta-0) (CoreC-45Primitives-binOp (lambda (eta-1) (lambda (eta-2) (CoreC-45Primitives-bxor eta-1 eta-2))) arg-2 eta-0))) ((11) (lambda (eta-0) (CoreC-45Primitives-binOp (lambda (eta-1) (lambda (eta-2) (CoreC-45Primitives-lt eta-1 eta-2))) arg-2 eta-0))) ((12) (lambda (eta-0) (CoreC-45Primitives-binOp (lambda (eta-1) (lambda (eta-2) (CoreC-45Primitives-lte eta-1 eta-2))) arg-2 eta-0))) ((13) (lambda (eta-0) (CoreC-45Primitives-binOp (lambda (eta-1) (lambda (eta-2) (CoreC-45Primitives-eq eta-1 eta-2))) arg-2 eta-0))) ((14) (lambda (eta-0) (CoreC-45Primitives-binOp (lambda (eta-1) (lambda (eta-2) (CoreC-45Primitives-gte eta-1 eta-2))) arg-2 eta-0))) ((15) (lambda (eta-0) (CoreC-45Primitives-binOp (lambda (eta-1) (lambda (eta-2) (CoreC-45Primitives-gt eta-1 eta-2))) arg-2 eta-0))) ((16) (lambda (eta-0) (CoreC-45Primitives-strLength eta-0))) ((17) (lambda (eta-0) (CoreC-45Primitives-strHead eta-0))) ((18) (lambda (eta-0) (CoreC-45Primitives-strTail eta-0))) ((19) (lambda (eta-0) (CoreC-45Primitives-strIndex eta-0))) ((20) (lambda (eta-0) (CoreC-45Primitives-strCons eta-0))) ((21) (lambda (eta-0) (CoreC-45Primitives-strAppend eta-0))) ((22) (lambda (eta-0) (CoreC-45Primitives-strReverse eta-0))) ((23) (lambda (eta-0) (CoreC-45Primitives-strSubstr eta-0))) ((24) (lambda (eta-0) (CoreC-45Primitives-doubleExp eta-0))) ((25) (lambda (eta-0) (CoreC-45Primitives-doubleLog eta-0))) ((26) (lambda (eta-0) (CoreC-45Primitives-doublePow arg-2 eta-0))) ((27) (lambda (eta-0) (CoreC-45Primitives-doubleSin eta-0))) ((28) (lambda (eta-0) (CoreC-45Primitives-doubleCos eta-0))) ((29) (lambda (eta-0) (CoreC-45Primitives-doubleTan eta-0))) ((30) (lambda (eta-0) (CoreC-45Primitives-doubleASin eta-0))) ((31) (lambda (eta-0) (CoreC-45Primitives-doubleACos eta-0))) ((32) (lambda (eta-0) (CoreC-45Primitives-doubleATan eta-0))) ((33) (lambda (eta-0) (CoreC-45Primitives-doubleSqrt eta-0))) ((34) (lambda (eta-0) (CoreC-45Primitives-doubleFloor eta-0))) ((35) (lambda (eta-0) (CoreC-45Primitives-doubleCeiling eta-0))) ((36) (let ((e-17 (vector-ref arg-1 2))) (lambda (eta-0) (CoreC-45Primitives-castTo e-17 eta-0)))) ((37) (lambda (eta-0) (CoreC-45Primitives-believeMe eta-0)))(else (lambda (eta-0) '())))))
(define CoreC-45Primitives-eq (lambda (arg-0 arg-1) (case (vector-ref arg-0 0) ((0) (let ((e-0 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((0) (let ((e-13 (vector-ref arg-1 1))) (box (CoreC-45Primitives-toInt (PreludeC-45EqOrd-u--C-61C-61_Eq_Int e-0 e-13)))))(else '())))) ((1) (let ((e-1 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((1) (let ((e-14 (vector-ref arg-1 1))) (box (CoreC-45Primitives-toInt (PreludeC-45EqOrd-u--C-61C-61_Eq_Int8 e-1 e-14)))))(else '())))) ((2) (let ((e-2 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((2) (let ((e-15 (vector-ref arg-1 1))) (box (CoreC-45Primitives-toInt (PreludeC-45EqOrd-u--C-61C-61_Eq_Int16 e-2 e-15)))))(else '())))) ((3) (let ((e-3 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((3) (let ((e-16 (vector-ref arg-1 1))) (box (CoreC-45Primitives-toInt (PreludeC-45EqOrd-u--C-61C-61_Eq_Int32 e-3 e-16)))))(else '())))) ((4) (let ((e-4 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((4) (let ((e-17 (vector-ref arg-1 1))) (box (CoreC-45Primitives-toInt (PreludeC-45EqOrd-u--C-61C-61_Eq_Int64 e-4 e-17)))))(else '())))) ((5) (let ((e-5 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((5) (let ((e-18 (vector-ref arg-1 1))) (box (CoreC-45Primitives-toInt (PreludeC-45EqOrd-u--C-61C-61_Eq_Integer e-5 e-18)))))(else '())))) ((6) (let ((e-6 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((6) (let ((e-19 (vector-ref arg-1 1))) (box (CoreC-45Primitives-toInt (PreludeC-45EqOrd-u--C-61C-61_Eq_Bits8 e-6 e-19)))))(else '())))) ((7) (let ((e-7 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((7) (let ((e-20 (vector-ref arg-1 1))) (box (CoreC-45Primitives-toInt (PreludeC-45EqOrd-u--C-61C-61_Eq_Bits16 e-7 e-20)))))(else '())))) ((8) (let ((e-8 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((8) (let ((e-21 (vector-ref arg-1 1))) (box (CoreC-45Primitives-toInt (PreludeC-45EqOrd-u--C-61C-61_Eq_Bits32 e-8 e-21)))))(else '())))) ((9) (let ((e-9 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((9) (let ((e-22 (vector-ref arg-1 1))) (box (CoreC-45Primitives-toInt (PreludeC-45EqOrd-u--C-61C-61_Eq_Bits64 e-9 e-22)))))(else '())))) ((10) (let ((e-10 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((10) (let ((e-23 (vector-ref arg-1 1))) (box (CoreC-45Primitives-toInt (PreludeC-45EqOrd-u--C-61C-61_Eq_String e-10 e-23)))))(else '())))) ((11) (let ((e-11 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((11) (let ((e-24 (vector-ref arg-1 1))) (box (CoreC-45Primitives-toInt (PreludeC-45EqOrd-u--C-61C-61_Eq_Char e-11 e-24)))))(else '())))) ((12) (let ((e-12 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((12) (let ((e-25 (vector-ref arg-1 1))) (box (CoreC-45Primitives-toInt (PreludeC-45EqOrd-u--C-61C-61_Eq_Double e-12 e-25)))))(else '()))))(else '()))))
(define CoreC-45Primitives-doubleTy(blodwen-lazy (lambda () (CoreC-45Primitives-predTy 12 12))))
(define CoreC-45Primitives-doubleTan (lambda (ext-0) (CoreC-45Primitives-doubleOp (lambda (eta-0) (fltan eta-0)) ext-0)))
(define CoreC-45Primitives-doubleSqrt (lambda (ext-0) (CoreC-45Primitives-doubleOp (lambda (eta-0) (flsqrt eta-0)) ext-0)))
(define CoreC-45Primitives-doubleSin (lambda (ext-0) (CoreC-45Primitives-doubleOp (lambda (eta-0) (flsin eta-0)) ext-0)))
(define CoreC-45Primitives-doublePow (lambda (arg-0 ext-0) (CoreC-45Primitives-binOp (lambda (eta-0) (lambda (eta-1) (CoreC-45Primitives-n--10774-6212-u--powC-39 arg-0 eta-0 eta-1))) arg-0 ext-0)))
(define CoreC-45Primitives-doubleOp (lambda (arg-1 arg-2) (if (null? arg-2) '() (let ((e-2 (car arg-2))) (let ((e-3 (cdr arg-2))) (case (vector-ref e-2 0) ((8) (let ((e-5 (vector-ref e-2 1))) (let ((e-6 (vector-ref e-2 2))) (case (vector-ref e-6 0) ((12) (let ((e-7 (vector-ref e-6 1))) (if (null? e-3) (box (vector 8 e-5 (vector 12 (arg-1 e-7)))) '())))(else '())))))(else '())))))))
(define CoreC-45Primitives-doubleLog (lambda (ext-0) (CoreC-45Primitives-doubleOp (lambda (eta-0) (fllog eta-0)) ext-0)))
(define CoreC-45Primitives-doubleFloor (lambda (ext-0) (CoreC-45Primitives-doubleOp (lambda (eta-0) (flfloor eta-0)) ext-0)))
(define CoreC-45Primitives-doubleExp (lambda (ext-0) (CoreC-45Primitives-doubleOp (lambda (eta-0) (flexp eta-0)) ext-0)))
(define CoreC-45Primitives-doubleCos (lambda (ext-0) (CoreC-45Primitives-doubleOp (lambda (eta-0) (flcos eta-0)) ext-0)))
(define CoreC-45Primitives-doubleCeiling (lambda (ext-0) (CoreC-45Primitives-doubleOp (lambda (eta-0) (flceiling eta-0)) ext-0)))
(define CoreC-45Primitives-doubleATan (lambda (ext-0) (CoreC-45Primitives-doubleOp (lambda (eta-0) (flatan eta-0)) ext-0)))
(define CoreC-45Primitives-doubleASin (lambda (ext-0) (CoreC-45Primitives-doubleOp (lambda (eta-0) (flasin eta-0)) ext-0)))
(define CoreC-45Primitives-doubleACos (lambda (ext-0) (CoreC-45Primitives-doubleOp (lambda (eta-0) (flacos eta-0)) ext-0)))
(define CoreC-45Primitives-div (lambda (arg-0 arg-1) (case (vector-ref arg-0 0) ((5) (let ((e-0 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((5) (let ((e-11 (vector-ref arg-1 1))) (cond ((equal? e-11 0) '())(else (box (vector 5 (PreludeC-45Num-u--div_Integral_Integer e-0 e-11)))))))(else '())))) ((0) (let ((e-1 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((0) (let ((e-12 (vector-ref arg-1 1))) (cond ((equal? e-12 0) '())(else (box (vector 0 (PreludeC-45Num-u--div_Integral_Int e-1 e-12)))))))(else '())))) ((1) (let ((e-2 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((1) (let ((e-13 (vector-ref arg-1 1))) (cond ((equal? e-13 0) '())(else (box (vector 1 (PreludeC-45Num-u--div_Integral_Int8 e-2 e-13)))))))(else '())))) ((2) (let ((e-3 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((2) (let ((e-14 (vector-ref arg-1 1))) (cond ((equal? e-14 0) '())(else (box (vector 2 (PreludeC-45Num-u--div_Integral_Int16 e-3 e-14)))))))(else '())))) ((3) (let ((e-4 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((3) (let ((e-15 (vector-ref arg-1 1))) (cond ((equal? e-15 0) '())(else (box (vector 3 (PreludeC-45Num-u--div_Integral_Int32 e-4 e-15)))))))(else '())))) ((4) (let ((e-5 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((4) (let ((e-16 (vector-ref arg-1 1))) (cond ((equal? e-16 0) '())(else (box (vector 4 (PreludeC-45Num-u--div_Integral_Int64 e-5 e-16)))))))(else '())))) ((6) (let ((e-6 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((6) (let ((e-17 (vector-ref arg-1 1))) (cond ((equal? e-17 0) '())(else (box (vector 6 (PreludeC-45Num-u--div_Integral_Bits8 e-6 e-17)))))))(else '())))) ((7) (let ((e-7 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((7) (let ((e-18 (vector-ref arg-1 1))) (cond ((equal? e-18 0) '())(else (box (vector 7 (PreludeC-45Num-u--div_Integral_Bits16 e-7 e-18)))))))(else '())))) ((8) (let ((e-8 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((8) (let ((e-19 (vector-ref arg-1 1))) (cond ((equal? e-19 0) '())(else (box (vector 8 (PreludeC-45Num-u--div_Integral_Bits32 e-8 e-19)))))))(else '())))) ((9) (let ((e-9 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((9) (let ((e-20 (vector-ref arg-1 1))) (cond ((equal? e-20 0) '())(else (box (vector 9 (PreludeC-45Num-u--div_Integral_Bits64 e-9 e-20)))))))(else '())))) ((12) (let ((e-10 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((12) (let ((e-21 (vector-ref arg-1 1))) (box (vector 12 (/ e-10 e-21)))))(else '()))))(else '()))))
(define CoreC-45Primitives-crashTy(blodwen-lazy (lambda () (CoreC-45Primitives-pi "a" (csegen-54) (vector 1 ) (csegen-1773) (CoreC-45Primitives-pi "msg" (AlgebraC-45ZeroOneOmega-u--top_Top_ZeroOneOmega) (vector 1 ) (vector 9 (CoreC-45FC-emptyFC) (vector 13 10)) (csegen-1775))))))
(define CoreC-45Primitives-constantIntegerValue (lambda (arg-0) (case (vector-ref arg-0 0) ((0) (let ((e-0 (vector-ref arg-0 1))) (box e-0))) ((1) (let ((e-1 (vector-ref arg-0 1))) (box e-1))) ((2) (let ((e-2 (vector-ref arg-0 1))) (box e-2))) ((3) (let ((e-3 (vector-ref arg-0 1))) (box e-3))) ((4) (let ((e-4 (vector-ref arg-0 1))) (box e-4))) ((5) (let ((e-5 (vector-ref arg-0 1))) (box e-5))) ((6) (let ((e-6 (vector-ref arg-0 1))) (box e-6))) ((7) (let ((e-7 (vector-ref arg-0 1))) (box e-7))) ((8) (let ((e-8 (vector-ref arg-0 1))) (box e-8))) ((9) (let ((e-9 (vector-ref arg-0 1))) (box e-9)))(else '()))))
(define CoreC-45Primitives-constTy3 (lambda (arg-0 arg-1 arg-2 arg-3) (let ((u--arr (csegen-1732))) ((u--arr (CoreC-45Primitives-primTyVal arg-0)) ((u--arr (CoreC-45Primitives-primTyVal arg-1)) ((u--arr (CoreC-45Primitives-primTyVal arg-2)) (CoreC-45Primitives-primTyVal arg-3)))))))
(define CoreC-45Primitives-constTy (lambda (arg-0 arg-1 arg-2) (let ((u--arr (csegen-1732))) ((u--arr (CoreC-45Primitives-primTyVal arg-0)) ((u--arr (CoreC-45Primitives-primTyVal arg-1)) (CoreC-45Primitives-primTyVal arg-2))))))
(define CoreC-45Primitives-cmpTy (lambda (arg-0) (CoreC-45Primitives-constTy arg-0 arg-0 0)))
(define CoreC-45Primitives-castTo (lambda (arg-1 ext-0) (cond ((equal? arg-1 0) (CoreC-45Primitives-castInt ext-0)) ((equal? arg-1 1) (CoreC-45Primitives-castInt8 ext-0)) ((equal? arg-1 2) (CoreC-45Primitives-castInt16 ext-0)) ((equal? arg-1 3) (CoreC-45Primitives-castInt32 ext-0)) ((equal? arg-1 4) (CoreC-45Primitives-castInt64 ext-0)) ((equal? arg-1 5) (CoreC-45Primitives-castInteger ext-0)) ((equal? arg-1 6) (CoreC-45Primitives-castBits8 ext-0)) ((equal? arg-1 7) (CoreC-45Primitives-castBits16 ext-0)) ((equal? arg-1 8) (CoreC-45Primitives-castBits32 ext-0)) ((equal? arg-1 9) (CoreC-45Primitives-castBits64 ext-0)) ((equal? arg-1 10) (CoreC-45Primitives-castString ext-0)) ((equal? arg-1 11) (CoreC-45Primitives-castChar ext-0)) ((equal? arg-1 12) (CoreC-45Primitives-castDouble ext-0)) (else '()))))
(define CoreC-45Primitives-castString (lambda (arg-1) (if (null? arg-1) '() (let ((e-2 (car arg-1))) (let ((e-3 (cdr arg-1))) (case (vector-ref e-2 0) ((8) (let ((e-5 (vector-ref e-2 1))) (let ((e-6 (vector-ref e-2 2))) (case (vector-ref e-6 0) ((0) (let ((e-7 (vector-ref e-6 1))) (if (null? e-3) (box (vector 8 e-5 (vector 10 (PreludeC-45Show-u--show_Show_Int e-7)))) '()))) ((1) (let ((e-8 (vector-ref e-6 1))) (if (null? e-3) (box (vector 8 e-5 (vector 10 (PreludeC-45Show-u--show_Show_Int8 e-8)))) '()))) ((2) (let ((e-9 (vector-ref e-6 1))) (if (null? e-3) (box (vector 8 e-5 (vector 10 (PreludeC-45Show-u--show_Show_Int16 e-9)))) '()))) ((3) (let ((e-10 (vector-ref e-6 1))) (if (null? e-3) (box (vector 8 e-5 (vector 10 (PreludeC-45Show-u--show_Show_Int32 e-10)))) '()))) ((4) (let ((e-11 (vector-ref e-6 1))) (if (null? e-3) (box (vector 8 e-5 (vector 10 (PreludeC-45Show-u--show_Show_Int64 e-11)))) '()))) ((5) (let ((e-12 (vector-ref e-6 1))) (if (null? e-3) (box (vector 8 e-5 (vector 10 (PreludeC-45Show-u--show_Show_Integer e-12)))) '()))) ((6) (let ((e-13 (vector-ref e-6 1))) (if (null? e-3) (box (vector 8 e-5 (vector 10 (PreludeC-45Show-u--show_Show_Bits8 e-13)))) '()))) ((7) (let ((e-14 (vector-ref e-6 1))) (if (null? e-3) (box (vector 8 e-5 (vector 10 (PreludeC-45Show-u--show_Show_Bits16 e-14)))) '()))) ((8) (let ((e-15 (vector-ref e-6 1))) (if (null? e-3) (box (vector 8 e-5 (vector 10 (PreludeC-45Show-u--show_Show_Bits32 e-15)))) '()))) ((9) (let ((e-16 (vector-ref e-6 1))) (if (null? e-3) (box (vector 8 e-5 (vector 10 (PreludeC-45Show-u--show_Show_Bits64 e-16)))) '()))) ((11) (let ((e-17 (vector-ref e-6 1))) (if (null? e-3) (box (vector 8 e-5 (vector 10 (LibrariesC-45UtilsC-45String-stripQuotes (PreludeC-45Show-u--show_Show_Char e-17))))) '()))) ((12) (let ((e-18 (vector-ref e-6 1))) (if (null? e-3) (box (vector 8 e-5 (vector 10 (PreludeC-45Show-u--show_Show_Double e-18)))) '())))(else '())))))(else '())))))))
(define CoreC-45Primitives-castInteger (lambda (arg-1) (if (null? arg-1) '() (let ((e-2 (car arg-1))) (let ((e-3 (cdr arg-1))) (case (vector-ref e-2 0) ((8) (let ((e-5 (vector-ref e-2 1))) (let ((e-6 (vector-ref e-2 2))) (case (vector-ref e-6 0) ((0) (let ((e-7 (vector-ref e-6 1))) (if (null? e-3) (box (vector 8 e-5 (vector 5 e-7))) '()))) ((1) (let ((e-8 (vector-ref e-6 1))) (if (null? e-3) (box (vector 8 e-5 (vector 5 e-8))) '()))) ((2) (let ((e-9 (vector-ref e-6 1))) (if (null? e-3) (box (vector 8 e-5 (vector 5 e-9))) '()))) ((3) (let ((e-10 (vector-ref e-6 1))) (if (null? e-3) (box (vector 8 e-5 (vector 5 e-10))) '()))) ((4) (let ((e-11 (vector-ref e-6 1))) (if (null? e-3) (box (vector 8 e-5 (vector 5 e-11))) '()))) ((6) (let ((e-12 (vector-ref e-6 1))) (if (null? e-3) (box (vector 8 e-5 (vector 5 e-12))) '()))) ((7) (let ((e-13 (vector-ref e-6 1))) (if (null? e-3) (box (vector 8 e-5 (vector 5 e-13))) '()))) ((8) (let ((e-14 (vector-ref e-6 1))) (if (null? e-3) (box (vector 8 e-5 (vector 5 e-14))) '()))) ((9) (let ((e-15 (vector-ref e-6 1))) (if (null? e-3) (box (vector 8 e-5 (vector 5 e-15))) '()))) ((11) (let ((e-16 (vector-ref e-6 1))) (if (null? e-3) (box (vector 8 e-5 (vector 5 (cast-char-boundedInt e-16 63)))) '()))) ((12) (let ((e-17 (vector-ref e-6 1))) (if (null? e-3) (box (vector 8 e-5 (vector 5 (exact-truncate e-17)))) '()))) ((10) (let ((e-18 (vector-ref e-6 1))) (if (null? e-3) (box (vector 8 e-5 (vector 5 (cast-string-int e-18)))) '())))(else '())))))(else '())))))))
(define CoreC-45Primitives-castInt8 (lambda (arg-1) (if (null? arg-1) '() (let ((e-2 (car arg-1))) (let ((e-3 (cdr arg-1))) (case (vector-ref e-2 0) ((8) (let ((e-5 (vector-ref e-2 1))) (let ((e-6 (vector-ref e-2 2))) (if (null? e-3) (PreludeC-45Interfaces-C-60C-36C-62 (csegen-76) (lambda (eta-0) (vector 8 e-5 (vector 1 (blodwen-toSignedInt eta-0 7)))) (CoreC-45Primitives-constantIntegerValue e-6)) '()))))(else '())))))))
(define CoreC-45Primitives-castInt64 (lambda (arg-1) (if (null? arg-1) '() (let ((e-2 (car arg-1))) (let ((e-3 (cdr arg-1))) (case (vector-ref e-2 0) ((8) (let ((e-5 (vector-ref e-2 1))) (let ((e-6 (vector-ref e-2 2))) (if (null? e-3) (PreludeC-45Interfaces-C-60C-36C-62 (csegen-76) (lambda (eta-0) (vector 8 e-5 (vector 4 (blodwen-toSignedInt eta-0 63)))) (CoreC-45Primitives-constantIntegerValue e-6)) '()))))(else '())))))))
(define CoreC-45Primitives-castInt32 (lambda (arg-1) (if (null? arg-1) '() (let ((e-2 (car arg-1))) (let ((e-3 (cdr arg-1))) (case (vector-ref e-2 0) ((8) (let ((e-5 (vector-ref e-2 1))) (let ((e-6 (vector-ref e-2 2))) (if (null? e-3) (PreludeC-45Interfaces-C-60C-36C-62 (csegen-76) (lambda (eta-0) (vector 8 e-5 (vector 3 (blodwen-toSignedInt eta-0 31)))) (CoreC-45Primitives-constantIntegerValue e-6)) '()))))(else '())))))))
(define CoreC-45Primitives-castInt16 (lambda (arg-1) (if (null? arg-1) '() (let ((e-2 (car arg-1))) (let ((e-3 (cdr arg-1))) (case (vector-ref e-2 0) ((8) (let ((e-5 (vector-ref e-2 1))) (let ((e-6 (vector-ref e-2 2))) (if (null? e-3) (PreludeC-45Interfaces-C-60C-36C-62 (csegen-76) (lambda (eta-0) (vector 8 e-5 (vector 2 (blodwen-toSignedInt eta-0 15)))) (CoreC-45Primitives-constantIntegerValue e-6)) '()))))(else '())))))))
(define CoreC-45Primitives-castInt (lambda (arg-1) (if (null? arg-1) '() (let ((e-2 (car arg-1))) (let ((e-3 (cdr arg-1))) (case (vector-ref e-2 0) ((8) (let ((e-5 (vector-ref e-2 1))) (let ((e-6 (vector-ref e-2 2))) (case (vector-ref e-6 0) ((1) (let ((e-7 (vector-ref e-6 1))) (if (null? e-3) (box (vector 8 e-5 (vector 0 e-7))) '()))) ((2) (let ((e-8 (vector-ref e-6 1))) (if (null? e-3) (box (vector 8 e-5 (vector 0 e-8))) '()))) ((3) (let ((e-9 (vector-ref e-6 1))) (if (null? e-3) (box (vector 8 e-5 (vector 0 e-9))) '()))) ((4) (let ((e-10 (vector-ref e-6 1))) (if (null? e-3) (box (vector 8 e-5 (vector 0 e-10))) '()))) ((5) (let ((e-11 (vector-ref e-6 1))) (if (null? e-3) (box (vector 8 e-5 (vector 0 (blodwen-toSignedInt e-11 63)))) '()))) ((6) (let ((e-12 (vector-ref e-6 1))) (if (null? e-3) (box (vector 8 e-5 (vector 0 e-12))) '()))) ((7) (let ((e-13 (vector-ref e-6 1))) (if (null? e-3) (box (vector 8 e-5 (vector 0 e-13))) '()))) ((8) (let ((e-14 (vector-ref e-6 1))) (if (null? e-3) (box (vector 8 e-5 (vector 0 e-14))) '()))) ((9) (let ((e-15 (vector-ref e-6 1))) (if (null? e-3) (box (vector 8 e-5 (vector 0 (blodwen-toSignedInt e-15 63)))) '()))) ((12) (let ((e-16 (vector-ref e-6 1))) (if (null? e-3) (box (vector 8 e-5 (vector 0 (exact-truncate-boundedInt e-16 63)))) '()))) ((11) (let ((e-17 (vector-ref e-6 1))) (if (null? e-3) (box (vector 8 e-5 (vector 0 (cast-char-boundedInt e-17 63)))) '()))) ((10) (let ((e-18 (vector-ref e-6 1))) (if (null? e-3) (box (vector 8 e-5 (vector 0 (cast-string-boundedInt e-18 63)))) '())))(else '())))))(else '())))))))
(define CoreC-45Primitives-castDouble (lambda (arg-1) (if (null? arg-1) '() (let ((e-2 (car arg-1))) (let ((e-3 (cdr arg-1))) (case (vector-ref e-2 0) ((8) (let ((e-5 (vector-ref e-2 1))) (let ((e-6 (vector-ref e-2 2))) (case (vector-ref e-6 0) ((0) (let ((e-7 (vector-ref e-6 1))) (if (null? e-3) (box (vector 8 e-5 (vector 12 (exact->inexact e-7)))) '()))) ((1) (let ((e-8 (vector-ref e-6 1))) (if (null? e-3) (box (vector 8 e-5 (vector 12 (exact->inexact e-8)))) '()))) ((2) (let ((e-9 (vector-ref e-6 1))) (if (null? e-3) (box (vector 8 e-5 (vector 12 (exact->inexact e-9)))) '()))) ((3) (let ((e-10 (vector-ref e-6 1))) (if (null? e-3) (box (vector 8 e-5 (vector 12 (exact->inexact e-10)))) '()))) ((4) (let ((e-11 (vector-ref e-6 1))) (if (null? e-3) (box (vector 8 e-5 (vector 12 (exact->inexact e-11)))) '()))) ((6) (let ((e-12 (vector-ref e-6 1))) (if (null? e-3) (box (vector 8 e-5 (vector 12 (exact->inexact e-12)))) '()))) ((7) (let ((e-13 (vector-ref e-6 1))) (if (null? e-3) (box (vector 8 e-5 (vector 12 (exact->inexact e-13)))) '()))) ((8) (let ((e-14 (vector-ref e-6 1))) (if (null? e-3) (box (vector 8 e-5 (vector 12 (exact->inexact e-14)))) '()))) ((9) (let ((e-15 (vector-ref e-6 1))) (if (null? e-3) (box (vector 8 e-5 (vector 12 (exact->inexact e-15)))) '()))) ((5) (let ((e-16 (vector-ref e-6 1))) (if (null? e-3) (box (vector 8 e-5 (vector 12 (exact->inexact e-16)))) '()))) ((10) (let ((e-17 (vector-ref e-6 1))) (if (null? e-3) (box (vector 8 e-5 (vector 12 (cast-string-double e-17)))) '())))(else '())))))(else '())))))))
(define CoreC-45Primitives-castChar (lambda (arg-1) (if (null? arg-1) '() (let ((e-2 (car arg-1))) (let ((e-3 (cdr arg-1))) (case (vector-ref e-2 0) ((8) (let ((e-5 (vector-ref e-2 1))) (let ((e-6 (vector-ref e-2 2))) (case (vector-ref e-6 0) ((0) (let ((e-7 (vector-ref e-6 1))) (if (null? e-3) (box (vector 8 e-5 (vector 11 (cast-int-char e-7)))) '()))) ((1) (let ((e-8 (vector-ref e-6 1))) (if (null? e-3) (box (vector 8 e-5 (vector 11 (cast-int-char e-8)))) '()))) ((2) (let ((e-9 (vector-ref e-6 1))) (if (null? e-3) (box (vector 8 e-5 (vector 11 (cast-int-char e-9)))) '()))) ((3) (let ((e-10 (vector-ref e-6 1))) (if (null? e-3) (box (vector 8 e-5 (vector 11 (cast-int-char e-10)))) '()))) ((4) (let ((e-11 (vector-ref e-6 1))) (if (null? e-3) (box (vector 8 e-5 (vector 11 (cast-int-char e-11)))) '()))) ((6) (let ((e-12 (vector-ref e-6 1))) (if (null? e-3) (box (vector 8 e-5 (vector 11 (cast-int-char e-12)))) '()))) ((7) (let ((e-13 (vector-ref e-6 1))) (if (null? e-3) (box (vector 8 e-5 (vector 11 (cast-int-char e-13)))) '()))) ((8) (let ((e-14 (vector-ref e-6 1))) (if (null? e-3) (box (vector 8 e-5 (vector 11 (cast-int-char e-14)))) '()))) ((9) (let ((e-15 (vector-ref e-6 1))) (if (null? e-3) (box (vector 8 e-5 (vector 11 (cast-int-char e-15)))) '()))) ((5) (let ((e-16 (vector-ref e-6 1))) (if (null? e-3) (box (vector 8 e-5 (vector 11 (cast-int-char e-16)))) '())))(else '())))))(else '())))))))
(define CoreC-45Primitives-castBits8 (lambda (arg-1) (if (null? arg-1) '() (let ((e-2 (car arg-1))) (let ((e-3 (cdr arg-1))) (case (vector-ref e-2 0) ((8) (let ((e-5 (vector-ref e-2 1))) (let ((e-6 (vector-ref e-2 2))) (if (null? e-3) (PreludeC-45Interfaces-C-60C-36C-62 (csegen-76) (lambda (eta-0) (vector 8 e-5 (vector 6 (blodwen-toUnsignedInt eta-0 8)))) (CoreC-45Primitives-constantIntegerValue e-6)) '()))))(else '())))))))
(define CoreC-45Primitives-castBits64 (lambda (arg-1) (if (null? arg-1) '() (let ((e-2 (car arg-1))) (let ((e-3 (cdr arg-1))) (case (vector-ref e-2 0) ((8) (let ((e-5 (vector-ref e-2 1))) (let ((e-6 (vector-ref e-2 2))) (if (null? e-3) (PreludeC-45Interfaces-C-60C-36C-62 (csegen-76) (lambda (eta-0) (vector 8 e-5 (vector 9 (blodwen-toUnsignedInt eta-0 64)))) (CoreC-45Primitives-constantIntegerValue e-6)) '()))))(else '())))))))
(define CoreC-45Primitives-castBits32 (lambda (arg-1) (if (null? arg-1) '() (let ((e-2 (car arg-1))) (let ((e-3 (cdr arg-1))) (case (vector-ref e-2 0) ((8) (let ((e-5 (vector-ref e-2 1))) (let ((e-6 (vector-ref e-2 2))) (if (null? e-3) (PreludeC-45Interfaces-C-60C-36C-62 (csegen-76) (lambda (eta-0) (vector 8 e-5 (vector 8 (blodwen-toUnsignedInt eta-0 32)))) (CoreC-45Primitives-constantIntegerValue e-6)) '()))))(else '())))))))
(define CoreC-45Primitives-castBits16 (lambda (arg-1) (if (null? arg-1) '() (let ((e-2 (car arg-1))) (let ((e-3 (cdr arg-1))) (case (vector-ref e-2 0) ((8) (let ((e-5 (vector-ref e-2 1))) (let ((e-6 (vector-ref e-2 2))) (if (null? e-3) (PreludeC-45Interfaces-C-60C-36C-62 (csegen-76) (lambda (eta-0) (vector 8 e-5 (vector 7 (blodwen-toUnsignedInt eta-0 16)))) (CoreC-45Primitives-constantIntegerValue e-6)) '()))))(else '())))))))
(define CoreC-45Primitives-bxor (lambda (arg-0 arg-1) (case (vector-ref arg-0 0) ((0) (let ((e-0 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((0) (let ((e-10 (vector-ref arg-1 1))) (box (vector 0 (blodwen-xor e-0 e-10)))))(else '())))) ((6) (let ((e-1 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((6) (let ((e-11 (vector-ref arg-1 1))) (box (vector 6 (blodwen-xor e-1 e-11)))))(else '())))) ((7) (let ((e-2 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((7) (let ((e-12 (vector-ref arg-1 1))) (box (vector 7 (blodwen-xor e-2 e-12)))))(else '())))) ((8) (let ((e-3 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((8) (let ((e-13 (vector-ref arg-1 1))) (box (vector 8 (blodwen-xor e-3 e-13)))))(else '())))) ((9) (let ((e-4 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((9) (let ((e-14 (vector-ref arg-1 1))) (box (vector 9 (blodwen-xor e-4 e-14)))))(else '())))) ((1) (let ((e-5 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((1) (let ((e-15 (vector-ref arg-1 1))) (box (vector 1 (blodwen-xor e-5 e-15)))))(else '())))) ((2) (let ((e-6 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((2) (let ((e-16 (vector-ref arg-1 1))) (box (vector 2 (blodwen-xor e-6 e-16)))))(else '())))) ((3) (let ((e-7 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((3) (let ((e-17 (vector-ref arg-1 1))) (box (vector 3 (blodwen-xor e-7 e-17)))))(else '())))) ((4) (let ((e-8 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((4) (let ((e-18 (vector-ref arg-1 1))) (box (vector 4 (blodwen-xor e-8 e-18)))))(else '())))) ((5) (let ((e-9 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((5) (let ((e-19 (vector-ref arg-1 1))) (box (vector 5 (blodwen-xor e-9 e-19)))))(else '()))))(else '()))))
(define CoreC-45Primitives-bor (lambda (arg-0 arg-1) (case (vector-ref arg-0 0) ((0) (let ((e-0 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((0) (let ((e-10 (vector-ref arg-1 1))) (box (vector 0 (blodwen-or e-0 e-10)))))(else '())))) ((1) (let ((e-1 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((1) (let ((e-11 (vector-ref arg-1 1))) (box (vector 1 (blodwen-or e-1 e-11)))))(else '())))) ((2) (let ((e-2 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((2) (let ((e-12 (vector-ref arg-1 1))) (box (vector 2 (blodwen-or e-2 e-12)))))(else '())))) ((3) (let ((e-3 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((3) (let ((e-13 (vector-ref arg-1 1))) (box (vector 3 (blodwen-or e-3 e-13)))))(else '())))) ((4) (let ((e-4 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((4) (let ((e-14 (vector-ref arg-1 1))) (box (vector 4 (blodwen-or e-4 e-14)))))(else '())))) ((5) (let ((e-5 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((5) (let ((e-15 (vector-ref arg-1 1))) (box (vector 5 (blodwen-or e-5 e-15)))))(else '())))) ((6) (let ((e-6 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((6) (let ((e-16 (vector-ref arg-1 1))) (box (vector 6 (blodwen-or e-6 e-16)))))(else '())))) ((7) (let ((e-7 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((7) (let ((e-17 (vector-ref arg-1 1))) (box (vector 7 (blodwen-or e-7 e-17)))))(else '())))) ((8) (let ((e-8 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((8) (let ((e-18 (vector-ref arg-1 1))) (box (vector 8 (blodwen-or e-8 e-18)))))(else '())))) ((9) (let ((e-9 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((9) (let ((e-19 (vector-ref arg-1 1))) (box (vector 9 (blodwen-or e-9 e-19)))))(else '()))))(else '()))))
(define CoreC-45Primitives-binOp (lambda (arg-0 arg-1 arg-2) (if (null? arg-2) '() (let ((e-2 (car arg-2))) (let ((e-3 (cdr arg-2))) (case (vector-ref e-2 0) ((8) (let ((e-5 (vector-ref e-2 1))) (let ((e-6 (vector-ref e-2 2))) (if (null? e-3) '() (let ((e-9 (car e-3))) (let ((e-10 (cdr e-3))) (case (vector-ref e-9 0) ((8) (let ((e-13 (vector-ref e-9 2))) (if (null? e-10) (((csegen-77) (lambda (eta-0) (vector 8 e-5 eta-0))) ((arg-0 e-6) e-13)) '())))(else '()))))))))(else '())))))))
(define CoreC-45Primitives-believeMeTy(blodwen-lazy (lambda () (CoreC-45Primitives-pi "a" (csegen-54) (vector 1 ) (csegen-1773) (CoreC-45Primitives-pi "b" (csegen-54) (vector 1 ) (csegen-1773) (CoreC-45Primitives-pi "x" (csegen-1778) (vector 1 ) (csegen-1775) (csegen-1775)))))))
(define CoreC-45Primitives-believeMe (lambda (arg-1) (let ((e-3 (cdr arg-1))) (let ((e-7 (cdr e-3))) (let ((e-10 (car e-7))) (let ((e-11 (cdr e-7))) (case (vector-ref e-10 0) ((2) (if (null? e-11) (box e-10) '())) ((3) (if (null? e-11) (box e-10) '())) ((8) (if (null? e-11) (box e-10) '())) ((10) (let ((e-29 (vector-ref e-10 1))) (let ((e-30 (vector-ref e-10 2))) (if (null? e-11) (box (vector 10 e-29 e-30)) '()))))(else '()))))))))
(define CoreC-45Primitives-band (lambda (arg-0 arg-1) (case (vector-ref arg-0 0) ((0) (let ((e-0 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((0) (let ((e-10 (vector-ref arg-1 1))) (box (vector 0 (blodwen-and e-0 e-10)))))(else '())))) ((1) (let ((e-1 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((1) (let ((e-11 (vector-ref arg-1 1))) (box (vector 1 (blodwen-and e-1 e-11)))))(else '())))) ((2) (let ((e-2 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((2) (let ((e-12 (vector-ref arg-1 1))) (box (vector 2 (blodwen-and e-2 e-12)))))(else '())))) ((3) (let ((e-3 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((3) (let ((e-13 (vector-ref arg-1 1))) (box (vector 3 (blodwen-and e-3 e-13)))))(else '())))) ((4) (let ((e-4 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((4) (let ((e-14 (vector-ref arg-1 1))) (box (vector 4 (blodwen-and e-4 e-14)))))(else '())))) ((5) (let ((e-5 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((5) (let ((e-15 (vector-ref arg-1 1))) (box (vector 5 (blodwen-and e-5 e-15)))))(else '())))) ((6) (let ((e-6 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((6) (let ((e-16 (vector-ref arg-1 1))) (box (vector 6 (blodwen-and e-6 e-16)))))(else '())))) ((7) (let ((e-7 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((7) (let ((e-17 (vector-ref arg-1 1))) (box (vector 7 (blodwen-and e-7 e-17)))))(else '())))) ((8) (let ((e-8 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((8) (let ((e-18 (vector-ref arg-1 1))) (box (vector 8 (blodwen-and e-8 e-18)))))(else '())))) ((9) (let ((e-9 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((9) (let ((e-19 (vector-ref arg-1 1))) (box (vector 9 (blodwen-and e-9 e-19)))))(else '()))))(else '()))))
(define CoreC-45Primitives-arithTy (lambda (arg-0) (CoreC-45Primitives-constTy arg-0 arg-0 arg-0)))
(define CoreC-45Primitives-allPrimitives(blodwen-lazy (lambda () (PreludeC-45TypesC-45List-tailRecAppend (((csegen-25) (lambda (u--t) (vector 2 (vector 0 u--t) (CoreC-45Primitives-arithTy u--t) (CoreC-45TT-isTotal)))) (CoreC-45Primitives-numTypes)) (PreludeC-45TypesC-45List-tailRecAppend (((csegen-25) (lambda (u--t) (vector 2 (vector 1 u--t) (CoreC-45Primitives-arithTy u--t) (CoreC-45TT-isTotal)))) (CoreC-45Primitives-numTypes)) (PreludeC-45TypesC-45List-tailRecAppend (((csegen-25) (lambda (u--t) (vector 2 (vector 2 u--t) (CoreC-45Primitives-arithTy u--t) (CoreC-45TT-isTotal)))) (CoreC-45Primitives-numTypes)) (PreludeC-45TypesC-45List-tailRecAppend (((csegen-25) (lambda (u--t) (vector 1 (vector 5 u--t) (CoreC-45Primitives-predTy u--t u--t) (CoreC-45TT-isTotal)))) (CoreC-45Primitives-numTypes)) (PreludeC-45TypesC-45List-tailRecAppend (((csegen-25) (lambda (u--t) (vector 2 (vector 3 u--t) (CoreC-45Primitives-arithTy u--t) (CoreC-45TT-notCovering)))) (CoreC-45Primitives-numTypes)) (PreludeC-45TypesC-45List-tailRecAppend (((csegen-25) (lambda (u--t) (vector 2 (vector 4 u--t) (CoreC-45Primitives-arithTy u--t) (CoreC-45TT-notCovering)))) (CoreC-45Primitives-integralTypes)) (PreludeC-45TypesC-45List-tailRecAppend (((csegen-25) (lambda (u--t) (vector 2 (vector 6 u--t) (CoreC-45Primitives-arithTy u--t) (CoreC-45TT-isTotal)))) (CoreC-45Primitives-integralTypes)) (PreludeC-45TypesC-45List-tailRecAppend (((csegen-25) (lambda (u--t) (vector 2 (vector 7 u--t) (CoreC-45Primitives-arithTy u--t) (CoreC-45TT-isTotal)))) (CoreC-45Primitives-integralTypes)) (PreludeC-45TypesC-45List-tailRecAppend (((csegen-25) (lambda (u--t) (vector 2 (vector 8 u--t) (CoreC-45Primitives-arithTy u--t) (CoreC-45TT-isTotal)))) (CoreC-45Primitives-integralTypes)) (PreludeC-45TypesC-45List-tailRecAppend (((csegen-25) (lambda (u--t) (vector 2 (vector 9 u--t) (CoreC-45Primitives-arithTy u--t) (CoreC-45TT-isTotal)))) (CoreC-45Primitives-integralTypes)) (PreludeC-45TypesC-45List-tailRecAppend (((csegen-25) (lambda (u--t) (vector 2 (vector 10 u--t) (CoreC-45Primitives-arithTy u--t) (CoreC-45TT-isTotal)))) (CoreC-45Primitives-integralTypes)) (PreludeC-45TypesC-45List-tailRecAppend (((csegen-25) (lambda (u--t) (vector 2 (vector 11 u--t) (CoreC-45Primitives-cmpTy u--t) (CoreC-45TT-isTotal)))) (CoreC-45Primitives-primTypes)) (PreludeC-45TypesC-45List-tailRecAppend (((csegen-25) (lambda (u--t) (vector 2 (vector 12 u--t) (CoreC-45Primitives-cmpTy u--t) (CoreC-45TT-isTotal)))) (CoreC-45Primitives-primTypes)) (PreludeC-45TypesC-45List-tailRecAppend (((csegen-25) (lambda (u--t) (vector 2 (vector 13 u--t) (CoreC-45Primitives-cmpTy u--t) (CoreC-45TT-isTotal)))) (CoreC-45Primitives-primTypes)) (PreludeC-45TypesC-45List-tailRecAppend (((csegen-25) (lambda (u--t) (vector 2 (vector 14 u--t) (CoreC-45Primitives-cmpTy u--t) (CoreC-45TT-isTotal)))) (CoreC-45Primitives-primTypes)) (PreludeC-45TypesC-45List-tailRecAppend (((csegen-25) (lambda (u--t) (vector 2 (vector 15 u--t) (CoreC-45Primitives-cmpTy u--t) (CoreC-45TT-isTotal)))) (CoreC-45Primitives-primTypes)) (PreludeC-45TypesC-45List-tailRecAppend (cons (vector 1 (vector 16 ) (CoreC-45Primitives-predTy 10 0) (CoreC-45TT-isTotal)) (cons (vector 1 (vector 17 ) (CoreC-45Primitives-predTy 10 11) (CoreC-45TT-notCovering)) (cons (vector 1 (vector 18 ) (CoreC-45Primitives-predTy 10 10) (CoreC-45TT-notCovering)) (cons (vector 2 (vector 19 ) (CoreC-45Primitives-constTy 10 0 11) (CoreC-45TT-notCovering)) (cons (vector 2 (vector 20 ) (CoreC-45Primitives-constTy 11 10 10) (CoreC-45TT-isTotal)) (cons (vector 2 (vector 21 ) (CoreC-45Primitives-arithTy 10) (CoreC-45TT-isTotal)) (cons (vector 1 (vector 22 ) (CoreC-45Primitives-predTy 10 10) (CoreC-45TT-isTotal)) (cons (vector 3 (vector 23 ) (CoreC-45Primitives-constTy3 0 0 10 10) (CoreC-45TT-isTotal)) (cons (vector 3 (vector 37 ) (CoreC-45Primitives-believeMeTy) (CoreC-45TT-isTotal)) (cons (vector 2 (vector 38 ) (CoreC-45Primitives-crashTy) (CoreC-45TT-notCovering)) '())))))))))) (PreludeC-45TypesC-45List-tailRecAppend (cons (vector 1 (vector 24 ) (CoreC-45Primitives-doubleTy) (CoreC-45TT-isTotal)) (cons (vector 1 (vector 25 ) (CoreC-45Primitives-doubleTy) (CoreC-45TT-isTotal)) (cons (vector 2 (vector 26 ) (CoreC-45Primitives-arithTy 12) (CoreC-45TT-isTotal)) (cons (vector 1 (vector 27 ) (CoreC-45Primitives-doubleTy) (CoreC-45TT-isTotal)) (cons (vector 1 (vector 28 ) (CoreC-45Primitives-doubleTy) (CoreC-45TT-isTotal)) (cons (vector 1 (vector 29 ) (CoreC-45Primitives-doubleTy) (CoreC-45TT-isTotal)) (cons (vector 1 (vector 30 ) (CoreC-45Primitives-doubleTy) (CoreC-45TT-isTotal)) (cons (vector 1 (vector 31 ) (CoreC-45Primitives-doubleTy) (CoreC-45TT-isTotal)) (cons (vector 1 (vector 32 ) (CoreC-45Primitives-doubleTy) (CoreC-45TT-isTotal)) (cons (vector 1 (vector 33 ) (CoreC-45Primitives-doubleTy) (CoreC-45TT-isTotal)) (cons (vector 1 (vector 34 ) (CoreC-45Primitives-doubleTy) (CoreC-45TT-isTotal)) (cons (vector 1 (vector 35 ) (CoreC-45Primitives-doubleTy) (CoreC-45TT-isTotal)) '())))))))))))) (PreludeC-45Types-listBind (CoreC-45Primitives-primTypes) (lambda (u--t1) (PreludeC-45Types-listBind (CoreC-45Primitives-primTypes) (lambda (u--t2) (PreludeC-45Interfaces-C-62C-62 (csegen-1886) (PreludeC-45Interfaces-guard (csegen-1889) (let ((sc0 (CoreC-45TT-u--C-47C-61_Eq_PrimType u--t1 u--t2))) (cond ((equal? sc0 1) (let ((sc1 (PreludeC-45EqOrd-u--C-47C-61_Eq_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-1892) (csegen-1892) (cons u--t1 u--t2) (cons 10 11)))) (cond ((equal? sc1 1) (let ((sc2 (PreludeC-45EqOrd-u--C-47C-61_Eq_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-1892) (csegen-1892) (cons u--t1 u--t2) (cons 12 11)))) (cond ((equal? sc2 1) (PreludeC-45EqOrd-u--C-47C-61_Eq_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-1892) (csegen-1892) (cons u--t1 u--t2) (cons 11 12))) (else 0)))) (else 0)))) (else 0)))) (lambda () (PreludeC-45Types-u--pure_Applicative_List (vector 1 (vector 36 u--t1 u--t2) (CoreC-45Primitives-predTy u--t1 u--t2) (CoreC-45TT-isTotal))))))))))))))))))))))))))))))
(define CoreC-45Primitives-add (lambda (arg-0 arg-1) (case (vector-ref arg-0 0) ((5) (let ((e-0 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((5) (let ((e-12 (vector-ref arg-1 1))) (box (vector 5 (+ e-0 e-12)))))(else '())))) ((0) (let ((e-1 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((0) (let ((e-13 (vector-ref arg-1 1))) (box (vector 0 (bs+ e-1 e-13 63)))))(else '())))) ((1) (let ((e-2 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((1) (let ((e-14 (vector-ref arg-1 1))) (box (vector 1 (bs+ e-2 e-14 7)))))(else '())))) ((2) (let ((e-3 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((2) (let ((e-15 (vector-ref arg-1 1))) (box (vector 2 (bs+ e-3 e-15 15)))))(else '())))) ((3) (let ((e-4 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((3) (let ((e-16 (vector-ref arg-1 1))) (box (vector 3 (bs+ e-4 e-16 31)))))(else '())))) ((4) (let ((e-5 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((4) (let ((e-17 (vector-ref arg-1 1))) (box (vector 4 (bs+ e-5 e-17 63)))))(else '())))) ((6) (let ((e-6 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((6) (let ((e-18 (vector-ref arg-1 1))) (box (vector 6 (bu+ e-6 e-18 8)))))(else '())))) ((7) (let ((e-7 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((7) (let ((e-19 (vector-ref arg-1 1))) (box (vector 7 (bu+ e-7 e-19 16)))))(else '())))) ((8) (let ((e-8 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((8) (let ((e-20 (vector-ref arg-1 1))) (box (vector 8 (bu+ e-8 e-20 32)))))(else '())))) ((9) (let ((e-9 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((9) (let ((e-21 (vector-ref arg-1 1))) (box (vector 9 (bu+ e-9 e-21 64)))))(else '())))) ((11) (let ((e-10 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((11) (let ((e-22 (vector-ref arg-1 1))) (box (vector 11 (cast-int-char (bs+ (cast-char-boundedInt e-10 63) (cast-char-boundedInt e-22 63) 63))))))(else '())))) ((12) (let ((e-11 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((12) (let ((e-23 (vector-ref arg-1 1))) (box (vector 12 (+ e-11 e-23)))))(else '()))))(else '()))))
(define CoreC-45NormaliseC-45Convert-case--getMatchingVars-8866 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9) (if (null? arg-9) (lambda (eta-0) (vector 1 '())) (let ((e-1 (unbox arg-9))) (let ((eff-0 (CoreC-45NormaliseC-45Convert-u--convert_Convert_Term arg-8 arg-1 arg-7 (CoreC-45Env-mkEnv (CoreC-45TT-getLoc arg-2) arg-1) e-1 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (clam-0) (cond ((equal? e-5 1) (vector 1 (box arg-6))) (else (vector 1 '())))))) eff-1)))))))))))
(define CoreC-45NormaliseC-45Convert-case--caseC-32blockC-32inC-32getMatchingVarAlt-8456 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13) (if (null? arg-13) (lambda (eta-0) (vector 1 '())) (let ((e-1 (unbox arg-13))) (let ((eff-0 (CoreC-45NormaliseC-45Convert-getMatchingVars arg-12 (PreludeC-45TypesC-45List-tailRecAppend arg-2 arg-0) (PreludeC-45TypesC-45List-tailRecAppend arg-6 arg-1) arg-11 e-1 arg-3 arg-7))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (clam-0) (if (null? e-5) (vector 1 '()) (let ((e-2 (unbox e-5))) (vector 1 (box (PreludeC-45TypesC-45List-mapMaybeAppend '() (lambda (eta-0) (CoreC-45NormaliseC-45Convert-n--7839-8182-u--dropP arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-2 arg-6 eta-0)) e-2)))))))) eff-1)))))))))))
(define CoreC-45NormaliseC-45Convert-n--7839-8179-u--weakenP (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17) (let ((e-2 (car arg-17))) (let ((e-3 (cdr arg-17))) (cons (CoreC-45TT-u--weaken_Weaken_Var e-2) (CoreC-45TT-u--weaken_Weaken_Var e-3))))))
(define CoreC-45NormaliseC-45Convert-n--7160-7019-u--weakenP (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8) (let ((e-2 (car arg-8))) (let ((e-3 (cdr arg-8))) (cons (CoreC-45TT-u--weaken_Weaken_Var e-2) (CoreC-45TT-u--weaken_Weaken_Var e-3))))))
(define CoreC-45NormaliseC-45Convert-n--7160-7017-u--tryUpdatePi (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (case (vector-ref arg-7 0) ((1) (box (vector 1 ))) ((0) (box (vector 0 ))) ((2) (box (vector 2 ))) (else (let ((e-4 (vector-ref arg-7 1))) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (CoreC-45NormaliseC-45Convert-tryUpdate arg-0 arg-1 arg-6 e-4) (lambda (bind-0) (box (vector 3 bind-0)))))))))
(define CoreC-45NormaliseC-45Convert-n--7160-7018-u--tryUpdateB (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (case (vector-ref arg-7 0) ((0) (let ((e-1 (vector-ref arg-7 1))) (let ((e-2 (vector-ref arg-7 2))) (let ((e-3 (vector-ref arg-7 3))) (let ((e-4 (vector-ref arg-7 4))) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (CoreC-45NormaliseC-45Convert-n--7160-7017-u--tryUpdatePi arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-3) (lambda (bind-0) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (CoreC-45NormaliseC-45Convert-tryUpdate arg-0 arg-1 arg-6 e-4) (lambda (bind-1) (box (vector 0 e-1 e-2 bind-0 bind-1))))))))))) ((1) (let ((e-6 (vector-ref arg-7 1))) (let ((e-7 (vector-ref arg-7 2))) (let ((e-8 (vector-ref arg-7 3))) (let ((e-9 (vector-ref arg-7 4))) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (CoreC-45NormaliseC-45Convert-tryUpdate arg-0 arg-1 arg-6 e-8) (lambda (bind-0) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (CoreC-45NormaliseC-45Convert-tryUpdate arg-0 arg-1 arg-6 e-9) (lambda (bind-1) (box (vector 1 e-6 e-7 bind-0 bind-1))))))))))) ((2) (let ((e-11 (vector-ref arg-7 1))) (let ((e-12 (vector-ref arg-7 2))) (let ((e-13 (vector-ref arg-7 3))) (let ((e-14 (vector-ref arg-7 4))) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (CoreC-45NormaliseC-45Convert-n--7160-7017-u--tryUpdatePi arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-13) (lambda (bind-0) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (CoreC-45NormaliseC-45Convert-tryUpdate arg-0 arg-1 arg-6 e-14) (lambda (bind-1) (box (vector 2 e-11 e-12 bind-0 bind-1)))))))))))(else '()))))
(define CoreC-45NormaliseC-45Convert-n--7799-7824-u--quickConvHead (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (case (vector-ref arg-5 0) ((0) (case (vector-ref arg-6 0) ((0) 1)(else 0))) ((1) (let ((e-7 (vector-ref arg-5 2))) (case (vector-ref arg-6 0) ((1) (let ((e-19 (vector-ref arg-6 2))) (CoreC-45Name-u--C-61C-61_Eq_Name e-7 e-19)))(else 0)))) ((2) (let ((e-9 (vector-ref arg-5 1))) (case (vector-ref arg-6 0) ((2) (let ((e-21 (vector-ref arg-6 1))) (CoreC-45Name-u--C-61C-61_Eq_Name e-9 e-21)))(else 0))))(else 0))))
(define CoreC-45NormaliseC-45Convert-n--7799-7825-u--quickConvArg (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (case (vector-ref arg-5 0) ((0) 1)(else (case (vector-ref arg-6 0) ((0) 1)(else (case (vector-ref arg-5 0) ((1) (let ((e-5 (vector-ref arg-5 2))) (case (vector-ref arg-6 0) ((1) (let ((e-49 (vector-ref arg-6 2))) (CoreC-45NormaliseC-45Convert-n--7799-7824-u--quickConvHead arg-1 arg-2 arg-3 arg-4 e-5 e-49)))(else (case (vector-ref arg-6 0) ((9) 1)(else 0)))))) ((2) (let ((e-10 (vector-ref arg-5 3))) (case (vector-ref arg-6 0) ((2) (let ((e-54 (vector-ref arg-6 3))) (PreludeC-45EqOrd-u--C-61C-61_Eq_Int e-10 e-54)))(else (case (vector-ref arg-6 0) ((9) 1)(else 0)))))) ((3) (let ((e-15 (vector-ref arg-5 2))) (case (vector-ref arg-6 0) ((3) (let ((e-59 (vector-ref arg-6 2))) (CoreC-45Name-u--C-61C-61_Eq_Name e-15 e-59)))(else (case (vector-ref arg-6 0) ((9) 1)(else 0)))))) ((4) (let ((e-23 (vector-ref arg-5 4))) (case (vector-ref arg-6 0) ((4) (let ((e-67 (vector-ref arg-6 4))) (CoreC-45NormaliseC-45Convert-n--7799-7825-u--quickConvArg arg-1 arg-2 arg-3 arg-4 e-23 e-67)))(else (case (vector-ref arg-6 0) ((9) 1)(else 0)))))) ((5) (let ((e-27 (vector-ref arg-5 3))) (case (vector-ref arg-6 0) ((5) (let ((e-71 (vector-ref arg-6 3))) (CoreC-45NormaliseC-45Convert-n--7799-7825-u--quickConvArg arg-1 arg-2 arg-3 arg-4 e-27 e-71)))(else (case (vector-ref arg-6 0) ((9) 1)(else 0)))))) ((6) (case (vector-ref arg-6 0) ((6) 1)(else (case (vector-ref arg-6 0) ((9) 1)(else 0))))) ((7) (let ((e-36 (vector-ref arg-5 3))) (case (vector-ref arg-6 0) ((7) (let ((e-80 (vector-ref arg-6 3))) (CoreC-45NormaliseC-45Convert-n--7799-7825-u--quickConvArg arg-1 arg-2 arg-3 arg-4 e-36 e-80)))(else (case (vector-ref arg-6 0) ((9) 1)(else 0)))))) ((8) (let ((e-40 (vector-ref arg-5 2))) (case (vector-ref arg-6 0) ((8) (let ((e-84 (vector-ref arg-6 2))) (CoreC-45TT-u--C-61C-61_Eq_Constant e-40 e-84)))(else (case (vector-ref arg-6 0) ((9) 1)(else 0)))))) ((10) (case (vector-ref arg-6 0) ((10) 1)(else (case (vector-ref arg-6 0) ((9) 1)(else 0))))) ((9) 1)(else (case (vector-ref arg-6 0) ((9) 1)(else 0))))))))))
(define CoreC-45NormaliseC-45Convert-n--7963-9564-u--getScrutinee (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-14 arg-15) (cond ((equal? arg-14 0) (if (null? arg-15) '() (let ((e-2 (car arg-15))) (box e-2))))(else (let ((e-0 (- arg-14 1))) (if (null? arg-15) '() (let ((e-6 (cdr arg-15))) (CoreC-45NormaliseC-45Convert-n--7963-9564-u--getScrutinee arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 e-0 e-6))))))))
(define CoreC-45NormaliseC-45Convert-n--12476-11874-u--getInfPos (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12) (case (vector-ref arg-12 0) ((1) (let ((e-2 (vector-ref arg-12 2))) (cond ((equal? arg-9 1) (let ((eff-0 (CoreC-45Context-lookupCtxtExact e-2 (let ((e-0 (vector-ref arg-8 0))) e-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (clam-0) (if (null? e-5) (vector 1 '()) (let ((e-3 (unbox e-5))) (vector 1 (let ((e-6 (vector-ref e-3 6))) e-6))))))) eff-1)))))))) (else (lambda (eta-0) (vector 1 '()))))))(else (lambda (eta-0) (vector 1 '()))))))
(define CoreC-45NormaliseC-45Convert-n--7926-9024-u--getArgPos (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11) (if (null? arg-11) '() (cond ((equal? arg-10 0) (let ((e-2 (car arg-11))) (box e-2)))(else (let ((e-0 (- arg-10 1))) (let ((e-6 (cdr arg-11))) (CoreC-45NormaliseC-45Convert-n--7926-9024-u--getArgPos arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-0 e-6))))))))
(define CoreC-45NormaliseC-45Convert-n--7160-6836-u--findIdx (lambda (arg-0 arg-1 arg-3 arg-5 arg-6 arg-7 arg-8 arg-9) (if (null? arg-8) '() (let ((e-2 (car arg-8))) (let ((e-3 (cdr arg-8))) (let ((e-6 (car e-2))) (let ((e-7 (cdr e-2))) (let ((eff-0 e-6)) (let ((sc2 (or (and (= eff-0 arg-9) 1) 0))) (cond ((equal? sc2 1) (box e-7)) (else (CoreC-45NormaliseC-45Convert-n--7160-6836-u--findIdx arg-0 arg-1 arg-3 arg-5 arg-6 arg-7 e-3 arg-9))))))))))))
(define CoreC-45NormaliseC-45Convert-n--7963-9563-u--findArgPos (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-14) (case (vector-ref arg-14 0) ((0) (let ((e-2 (vector-ref arg-14 2))) (box e-2)))(else '()))))
(define CoreC-45NormaliseC-45Convert-n--7839-8180-u--extend (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15) (if (null? arg-13) (if (null? arg-14) (box arg-15) '()) (let ((e-2 (car arg-13))) (let ((e-3 (cdr arg-13))) (if (null? arg-14) '() (let ((e-6 (car arg-14))) (let ((e-7 (cdr arg-14))) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (CoreC-45NormaliseC-45Convert-n--7839-8180-u--extend arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 e-3 e-7 arg-15) (lambda (u--rest) (box (cons (cons 0 0) (((csegen-25) (lambda (eta-0) (CoreC-45NormaliseC-45Convert-n--7839-8179-u--weakenP arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 e-2 e-6 (PreludeC-45TypesC-45List-tailRecAppend e-3 arg-0) (PreludeC-45TypesC-45List-tailRecAppend e-7 arg-1) eta-0))) u--rest)))))))))))))
(define CoreC-45NormaliseC-45Convert-n--7839-8181-u--dropV (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-14 arg-15) (if (null? arg-14) (box arg-15) (let ((e-3 (cdr arg-14))) (let ((eff-0 arg-15)) (cond ((equal? eff-0 0) '())(else (let ((e-8 (- eff-0 1))) (CoreC-45NormaliseC-45Convert-n--7839-8181-u--dropV arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 e-3 e-8)))))))))
(define CoreC-45NormaliseC-45Convert-n--7839-8182-u--dropP (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15) (let ((e-2 (car arg-15))) (let ((e-3 (cdr arg-15))) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (CoreC-45NormaliseC-45Convert-n--7839-8181-u--dropV arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 e-2) (lambda (bind-0) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (CoreC-45NormaliseC-45Convert-n--7839-8181-u--dropV arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-14 e-3) (lambda (bind-1) (box (cons bind-0 bind-1))))))))))
(define CoreC-45NormaliseC-45Convert-n--12476-11875-u--dropInf (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-13 arg-14 arg-15) (if (null? arg-14) arg-15 (if (null? arg-15) '() (let ((e-2 (car arg-15))) (let ((e-3 (cdr arg-15))) (let ((sc2 (PreludeC-45Types-elem (csegen-16) (csegen-1338) arg-13 arg-14))) (cond ((equal? sc2 1) (CoreC-45NormaliseC-45Convert-n--12476-11875-u--dropInf arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 (+ arg-13 1) arg-14 e-3)) (else (cons e-2 (CoreC-45NormaliseC-45Convert-n--12476-11875-u--dropInf arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 (+ arg-13 1) arg-14 e-3)))))))))))
(define CoreC-45NormaliseC-45Convert-n--7926-9025-u--convertMatches (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12) (if (null? arg-12) (lambda (eta-0) (vector 1 1)) (let ((e-2 (car arg-12))) (let ((e-3 (cdr arg-12))) (let ((e-6 (car e-2))) (let ((e-7 (cdr e-2))) (let ((eff-0 e-6)) (let ((eff-1 e-7)) (let ((sc2 (CoreC-45NormaliseC-45Convert-n--7926-9024-u--getArgPos arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 eff-0 arg-2))) (if (null? sc2) (lambda (eta-0) (vector 1 0)) (let ((e-1 (unbox sc2))) (let ((sc3 (CoreC-45NormaliseC-45Convert-n--7926-9024-u--getArgPos arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 eff-1 arg-1))) (if (null? sc3) (lambda (eta-0) (vector 1 0)) (let ((e-4 (unbox sc3))) (let ((eff-2 (CoreC-45NormaliseC-45Convert-u--convGen_Convert_Closure arg-9 arg-0 arg-8 arg-7 arg-6 arg-5 e-1 e-4))) (PrimIO-io_bind eff-2 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-3 (let ((eff-3 (CoreC-45NormaliseC-45Convert-n--7926-9025-u--convertMatches arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 e-3))) (PrimIO-io_bind eff-3 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-8 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-1 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (cond ((equal? e-5 1) e-8) (else 0)))))) eff-4))))))))) eff-3))))))))))))))))))))))
(define CoreC-45NormaliseC-45Convert-n--12476-11877-u--args2 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11) ((csegen-947) arg-5)))
(define CoreC-45NormaliseC-45Convert-n--12476-11876-u--args1 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11) ((csegen-947) arg-2)))
(define CoreC-45NormaliseC-45Convert-u--convert_Convert_Term (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (let ((eff-0 (csegen-1706))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45NormaliseC-45Convert-u--convGen_Convert_Term arg-0 arg-1 e-5 0 arg-2 arg-3 arg-4 arg-5))) eff-1)))))))))
(define CoreC-45NormaliseC-45Convert-u--convert_Convert_NF (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (let ((eff-0 (csegen-1706))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45NormaliseC-45Convert-u--convGen_Convert_NF arg-0 arg-1 e-5 0 arg-2 arg-3 arg-4 arg-5))) eff-1)))))))))
(define CoreC-45NormaliseC-45Convert-u--convert_Convert_Closure (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (let ((eff-0 (csegen-1706))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45NormaliseC-45Convert-u--convGen_Convert_Closure arg-0 arg-1 e-5 0 arg-2 arg-3 arg-4 arg-5))) eff-1)))))))))
(define CoreC-45NormaliseC-45Convert-u--convertInf_Convert_NF (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (let ((eff-0 (csegen-1706))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45NormaliseC-45Convert-u--convGen_Convert_NF arg-0 arg-1 e-5 1 arg-2 arg-3 arg-4 arg-5))) eff-1)))))))))
(define CoreC-45NormaliseC-45Convert-u--convGen_Convert_Term (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (let ((eff-0 (CoreC-45NormaliseC-45Eval-nf arg-0 arg-1 arg-4 arg-5 arg-6))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-nf arg-0 arg-1 arg-4 arg-5 arg-7))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45NormaliseC-45Convert-u--convGen_Convert_NF arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-5 e-6))) eff-2))))))))) eff-1)))))))))
(define CoreC-45NormaliseC-45Convert-u--convGen_Convert_NF (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (case (vector-ref arg-6 0) ((0) (let ((e-109 (vector-ref arg-6 1))) (let ((e-110 (vector-ref arg-6 2))) (let ((e-111 (vector-ref arg-6 3))) (let ((e-112 (vector-ref arg-6 4))) (case (vector-ref arg-7 0) ((0) (let ((e-121 (vector-ref arg-7 3))) (let ((e-122 (vector-ref arg-7 4))) (let ((eff-0 (CoreC-45NormaliseC-45Quote-genName arg-2 "conv"))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--c (vector 0 '() (CoreC-45Value-defaultOpts) '() arg-5 (vector 1 e-109 (vector 0 ) e-5)))) (let ((eff-1 (CoreC-45NormaliseC-45Convert-convBinders arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-111 e-121))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (cond ((equal? e-6 1) (let ((eff-2 ((e-112 arg-4) u--c))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 ((e-122 arg-4) u--c))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (CoreC-45NormaliseC-45Convert-u--convGen_Convert_NF arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-7 e-8))) eff-4))))))))) eff-3)))))))) (else (lambda (eta-0) (vector 1 0)))))) eff-2)))))))))) eff-1))))))))))(else (case (vector-ref e-111 0) ((0) (let ((e-114 (vector-ref e-111 1))) (let ((e-115 (vector-ref e-111 2))) (let ((e-116 (vector-ref e-111 3))) (let ((e-117 (vector-ref e-111 4))) (let ((eff-0 (lambda (eta-0) (CoreC-45Context-clearDefs arg-4 eta-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 (CoreC-45CoreC-45PiInfo-traverse (lambda (clam-0) (CoreC-45NormaliseC-45Quote-u--quote_Quote_Closure arg-0 arg-1 e-5 arg-5 clam-0)) e-116))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45NormaliseC-45Quote-u--quote_Quote_Closure arg-0 arg-1 e-5 arg-5 e-117))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 arg-1 e-5 arg-5 arg-7))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (CoreC-45NormaliseC-45Eval-nf arg-0 arg-1 arg-4 arg-5 (vector 3 e-109 e-110 (vector 0 e-114 e-115 e-6 e-7) (vector 4 e-109 (CoreC-45TT-u--weaken_Weaken_Term e-8) (vector 0 e-109 '() 0)))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45NormaliseC-45Convert-u--convGen_Convert_NF arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-6))) eff-2))))))))) eff-1))))))))))))(else (case (vector-ref arg-7 0) ((0) (let ((e-99 (vector-ref arg-7 1))) (let ((e-100 (vector-ref arg-7 2))) (let ((e-101 (vector-ref arg-7 3))) (case (vector-ref e-101 0) ((0) (let ((e-104 (vector-ref e-101 1))) (let ((e-105 (vector-ref e-101 2))) (let ((e-106 (vector-ref e-101 3))) (let ((e-107 (vector-ref e-101 4))) (let ((eff-0 (lambda (eta-0) (CoreC-45Context-clearDefs arg-4 eta-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 (CoreC-45CoreC-45PiInfo-traverse (lambda (clam-0) (CoreC-45NormaliseC-45Quote-u--quote_Quote_Closure arg-0 arg-1 e-5 arg-5 clam-0)) e-106))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45NormaliseC-45Quote-u--quote_Quote_Closure arg-0 arg-1 e-5 arg-5 e-107))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 arg-1 e-5 arg-5 arg-6))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (CoreC-45NormaliseC-45Eval-nf arg-0 arg-1 arg-4 arg-5 (vector 3 e-99 e-100 (vector 0 e-104 e-105 e-6 e-7) (vector 4 e-99 (CoreC-45TT-u--weaken_Weaken_Term e-8) (vector 0 e-99 '() 0)))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45NormaliseC-45Convert-u--convGen_Convert_NF arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-6 arg-7))) eff-2))))))))) eff-1))))))))))))(else (case (vector-ref arg-6 0) ((1) (let ((e-18 (vector-ref arg-6 1))) (let ((e-19 (vector-ref arg-6 2))) (let ((e-20 (vector-ref arg-6 3))) (case (vector-ref arg-7 0) ((1) (let ((e-59 (vector-ref arg-7 1))) (let ((e-60 (vector-ref arg-7 2))) (let ((e-61 (vector-ref arg-7 3))) (let ((eff-0 (CoreC-45NormaliseC-45Convert-chkConvHead arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-19 e-60))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (cond ((equal? e-5 1) (let ((eff-1 (CoreC-45NormaliseC-45Convert-n--12476-11874-u--getInfPos arg-1 e-59 e-20 e-19 e-18 e-61 e-60 arg-5 arg-4 arg-3 arg-2 arg-0 e-19))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45NormaliseC-45Convert-allConv arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 (CoreC-45NormaliseC-45Convert-n--12476-11875-u--dropInf arg-1 e-59 e-20 e-19 e-18 e-61 e-60 arg-5 arg-4 arg-3 arg-2 arg-0 0 e-6 (CoreC-45NormaliseC-45Convert-n--12476-11876-u--args1 arg-1 e-59 e-20 e-19 e-18 e-61 e-60 arg-5 arg-4 arg-3 arg-2 arg-0)) (CoreC-45NormaliseC-45Convert-n--12476-11875-u--dropInf arg-1 e-59 e-20 e-19 e-18 e-61 e-60 arg-5 arg-4 arg-3 arg-2 arg-0 0 e-6 (CoreC-45NormaliseC-45Convert-n--12476-11877-u--args2 arg-1 e-59 e-20 e-19 e-18 e-61 e-60 arg-5 arg-4 arg-3 arg-2 arg-0))))) eff-2)))))))) (else (CoreC-45NormaliseC-45Convert-chkConvCaseBlock arg-0 arg-1 e-18 arg-2 arg-3 arg-4 arg-5 e-19 (CoreC-45NormaliseC-45Convert-n--12476-11876-u--args1 arg-1 e-59 e-20 e-19 e-18 e-61 e-60 arg-5 arg-4 arg-3 arg-2 arg-0) e-60 (CoreC-45NormaliseC-45Convert-n--12476-11877-u--args2 arg-1 e-59 e-20 e-19 e-18 e-61 e-60 arg-5 arg-4 arg-3 arg-2 arg-0)))))) eff-1)))))))))))(else (case (vector-ref arg-7 0) ((9) (let ((e-14 (vector-ref arg-7 2))) (case (vector-ref e-14 0) ((2) (let ((e-16 (vector-ref e-14 1))) (CoreC-45NormaliseC-45Convert-u--convGen_Convert_NF arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-16)))(else (case (vector-ref arg-6 0) ((9) (lambda (eta-0) (vector 1 1)))(else (case (vector-ref arg-7 0) ((9) (lambda (eta-0) (vector 1 1)))(else (lambda (clam-0) (case (vector-ref arg-6 0) ((10) (case (vector-ref arg-7 0) ((10) (vector 1 1))(else (vector 1 0))))(else (vector 1 0))))))))))))(else (case (vector-ref arg-6 0) ((9) (lambda (eta-0) (vector 1 1)))(else (case (vector-ref arg-7 0) ((9) (lambda (eta-0) (vector 1 1)))(else (lambda (clam-1) (case (vector-ref arg-6 0) ((10) (case (vector-ref arg-7 0) ((10) (vector 1 1))(else (vector 1 0))))(else (vector 1 0)))))))))))))))) ((2) (let ((e-24 (vector-ref arg-6 3))) (let ((e-26 (vector-ref arg-6 5))) (case (vector-ref arg-7 0) ((2) (let ((e-65 (vector-ref arg-7 3))) (let ((e-67 (vector-ref arg-7 5))) (let ((sc4 (PreludeC-45EqOrd-u--C-61C-61_Eq_Int e-24 e-65))) (cond ((equal? sc4 1) (CoreC-45NormaliseC-45Convert-allConv arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 ((csegen-947) e-26) ((csegen-947) e-67))) (else (lambda (eta-0) (vector 1 0))))))))(else (case (vector-ref arg-7 0) ((9) (let ((e-14 (vector-ref arg-7 2))) (case (vector-ref e-14 0) ((2) (let ((e-16 (vector-ref e-14 1))) (CoreC-45NormaliseC-45Convert-u--convGen_Convert_NF arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-16)))(else (case (vector-ref arg-6 0) ((9) (lambda (eta-0) (vector 1 1)))(else (case (vector-ref arg-7 0) ((9) (lambda (eta-0) (vector 1 1)))(else (lambda (clam-2) (case (vector-ref arg-6 0) ((10) (case (vector-ref arg-7 0) ((10) (vector 1 1))(else (vector 1 0))))(else (vector 1 0))))))))))))(else (case (vector-ref arg-6 0) ((9) (lambda (eta-0) (vector 1 1)))(else (case (vector-ref arg-7 0) ((9) (lambda (eta-0) (vector 1 1)))(else (lambda (clam-3) (case (vector-ref arg-6 0) ((10) (case (vector-ref arg-7 0) ((10) (vector 1 1))(else (vector 1 0))))(else (vector 1 0))))))))))))))) ((3) (let ((e-29 (vector-ref arg-6 2))) (let ((e-32 (vector-ref arg-6 5))) (case (vector-ref arg-7 0) ((3) (let ((e-70 (vector-ref arg-7 2))) (let ((e-73 (vector-ref arg-7 5))) (let ((sc4 (CoreC-45Name-u--C-61C-61_Eq_Name e-29 e-70))) (cond ((equal? sc4 1) (CoreC-45NormaliseC-45Convert-allConv arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 ((csegen-947) e-32) ((csegen-947) e-73))) (else (lambda (eta-0) (vector 1 0))))))))(else (case (vector-ref arg-7 0) ((9) (let ((e-14 (vector-ref arg-7 2))) (case (vector-ref e-14 0) ((2) (let ((e-16 (vector-ref e-14 1))) (CoreC-45NormaliseC-45Convert-u--convGen_Convert_NF arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-16)))(else (case (vector-ref arg-6 0) ((9) (lambda (eta-0) (vector 1 1)))(else (case (vector-ref arg-7 0) ((9) (lambda (eta-0) (vector 1 1)))(else (lambda (clam-4) (case (vector-ref arg-6 0) ((10) (case (vector-ref arg-7 0) ((10) (vector 1 1))(else (vector 1 0))))(else (vector 1 0))))))))))))(else (case (vector-ref arg-6 0) ((9) (lambda (eta-0) (vector 1 1)))(else (case (vector-ref arg-7 0) ((9) (lambda (eta-0) (vector 1 1)))(else (lambda (clam-5) (case (vector-ref arg-6 0) ((10) (case (vector-ref arg-7 0) ((10) (vector 1 1))(else (vector 1 0))))(else (vector 1 0))))))))))))))) ((4) (let ((e-37 (vector-ref arg-6 4))) (case (vector-ref arg-7 0) ((4) (let ((e-78 (vector-ref arg-7 4))) (CoreC-45NormaliseC-45Convert-u--convGen_Convert_NF arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-37 e-78)))(else (case (vector-ref arg-7 0) ((9) (let ((e-14 (vector-ref arg-7 2))) (case (vector-ref e-14 0) ((2) (let ((e-16 (vector-ref e-14 1))) (CoreC-45NormaliseC-45Convert-u--convGen_Convert_NF arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-16)))(else (case (vector-ref arg-6 0) ((9) (lambda (eta-0) (vector 1 1)))(else (case (vector-ref arg-7 0) ((9) (lambda (eta-0) (vector 1 1)))(else (lambda (clam-6) (case (vector-ref arg-6 0) ((10) (case (vector-ref arg-7 0) ((10) (vector 1 1))(else (vector 1 0))))(else (vector 1 0))))))))))))(else (case (vector-ref arg-6 0) ((9) (lambda (eta-0) (vector 1 1)))(else (case (vector-ref arg-7 0) ((9) (lambda (eta-0) (vector 1 1)))(else (lambda (clam-7) (case (vector-ref arg-6 0) ((10) (case (vector-ref arg-7 0) ((10) (vector 1 1))(else (vector 1 0))))(else (vector 1 0)))))))))))))) ((5) (let ((e-40 (vector-ref arg-6 2))) (let ((e-41 (vector-ref arg-6 3))) (case (vector-ref arg-7 0) ((5) (let ((e-81 (vector-ref arg-7 2))) (let ((e-82 (vector-ref arg-7 3))) (let ((sc4 (CoreC-45TT-compatible e-40 e-81))) (cond ((equal? sc4 1) (CoreC-45NormaliseC-45Convert-u--convGen_Convert_NF arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-41 e-82)) (else (lambda (eta-0) (vector 1 0))))))))(else (case (vector-ref arg-7 0) ((9) (let ((e-14 (vector-ref arg-7 2))) (case (vector-ref e-14 0) ((2) (let ((e-16 (vector-ref e-14 1))) (CoreC-45NormaliseC-45Convert-u--convGen_Convert_NF arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-16)))(else (case (vector-ref arg-6 0) ((9) (lambda (eta-0) (vector 1 1)))(else (case (vector-ref arg-7 0) ((9) (lambda (eta-0) (vector 1 1)))(else (lambda (clam-8) (case (vector-ref arg-6 0) ((10) (case (vector-ref arg-7 0) ((10) (vector 1 1))(else (vector 1 0))))(else (vector 1 0))))))))))))(else (case (vector-ref arg-6 0) ((9) (lambda (eta-0) (vector 1 1)))(else (case (vector-ref arg-7 0) ((9) (lambda (eta-0) (vector 1 1)))(else (lambda (clam-9) (case (vector-ref arg-6 0) ((10) (case (vector-ref arg-7 0) ((10) (vector 1 1))(else (vector 1 0))))(else (vector 1 0))))))))))))))) ((6) (let ((e-44 (vector-ref arg-6 2))) (let ((e-46 (vector-ref arg-6 4))) (case (vector-ref arg-7 0) ((6) (let ((e-85 (vector-ref arg-7 2))) (let ((e-87 (vector-ref arg-7 4))) (let ((sc4 (CoreC-45TT-compatible e-44 e-85))) (cond ((equal? sc4 1) (let ((eff-0 (lambda (clam-10) (cond ((equal? e-44 1) (vector 1 arg-4))(else (CoreC-45Context-clearDefs arg-4 clam-10)))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45NormaliseC-45Convert-u--convGen_Convert_Closure arg-0 arg-1 arg-2 arg-3 e-5 arg-5 e-46 e-87))) eff-1)))))))) (else (lambda (eta-0) (vector 1 0))))))))(else (case (vector-ref arg-7 0) ((9) (let ((e-14 (vector-ref arg-7 2))) (case (vector-ref e-14 0) ((2) (let ((e-16 (vector-ref e-14 1))) (CoreC-45NormaliseC-45Convert-u--convGen_Convert_NF arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-16)))(else (case (vector-ref arg-6 0) ((9) (lambda (eta-0) (vector 1 1)))(else (case (vector-ref arg-7 0) ((9) (lambda (eta-0) (vector 1 1)))(else (lambda (clam-10) (case (vector-ref arg-6 0) ((10) (case (vector-ref arg-7 0) ((10) (vector 1 1))(else (vector 1 0))))(else (vector 1 0))))))))))))(else (case (vector-ref arg-6 0) ((9) (lambda (eta-0) (vector 1 1)))(else (case (vector-ref arg-7 0) ((9) (lambda (eta-0) (vector 1 1)))(else (lambda (clam-11) (case (vector-ref arg-6 0) ((10) (case (vector-ref arg-7 0) ((10) (vector 1 1))(else (vector 1 0))))(else (vector 1 0))))))))))))))) ((7) (let ((e-49 (vector-ref arg-6 2))) (let ((e-50 (vector-ref arg-6 3))) (let ((e-51 (vector-ref arg-6 4))) (case (vector-ref arg-7 0) ((7) (let ((e-90 (vector-ref arg-7 2))) (let ((e-91 (vector-ref arg-7 3))) (let ((e-92 (vector-ref arg-7 4))) (let ((sc4 (CoreC-45TT-compatible e-49 e-90))) (cond ((equal? sc4 1) (let ((eff-0 (CoreC-45NormaliseC-45Convert-u--convGen_Convert_NF arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-50 e-91))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (cond ((equal? e-5 1) (CoreC-45NormaliseC-45Convert-allConv arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 ((csegen-947) e-51) ((csegen-947) e-92))) (else (lambda (eta-0) (vector 1 0)))))) eff-1)))))))) (else (lambda (eta-0) (vector 1 0)))))))))(else (case (vector-ref arg-7 0) ((9) (let ((e-14 (vector-ref arg-7 2))) (case (vector-ref e-14 0) ((2) (let ((e-16 (vector-ref e-14 1))) (CoreC-45NormaliseC-45Convert-u--convGen_Convert_NF arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-16)))(else (case (vector-ref arg-6 0) ((9) (lambda (eta-0) (vector 1 1)))(else (case (vector-ref arg-7 0) ((9) (lambda (eta-0) (vector 1 1)))(else (lambda (clam-12) (case (vector-ref arg-6 0) ((10) (case (vector-ref arg-7 0) ((10) (vector 1 1))(else (vector 1 0))))(else (vector 1 0))))))))))))(else (case (vector-ref arg-6 0) ((9) (lambda (eta-0) (vector 1 1)))(else (case (vector-ref arg-7 0) ((9) (lambda (eta-0) (vector 1 1)))(else (lambda (clam-13) (case (vector-ref arg-6 0) ((10) (case (vector-ref arg-7 0) ((10) (vector 1 1))(else (vector 1 0))))(else (vector 1 0)))))))))))))))) ((8) (let ((e-54 (vector-ref arg-6 2))) (case (vector-ref arg-7 0) ((8) (let ((e-95 (vector-ref arg-7 2))) (lambda (eta-0) (vector 1 (CoreC-45TT-u--C-61C-61_Eq_Constant e-54 e-95)))))(else (case (vector-ref arg-7 0) ((9) (let ((e-14 (vector-ref arg-7 2))) (case (vector-ref e-14 0) ((2) (let ((e-16 (vector-ref e-14 1))) (CoreC-45NormaliseC-45Convert-u--convGen_Convert_NF arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-16)))(else (case (vector-ref arg-6 0) ((9) (lambda (eta-0) (vector 1 1)))(else (case (vector-ref arg-7 0) ((9) (lambda (eta-0) (vector 1 1)))(else (lambda (clam-14) (case (vector-ref arg-6 0) ((10) (case (vector-ref arg-7 0) ((10) (vector 1 1))(else (vector 1 0))))(else (vector 1 0))))))))))))(else (case (vector-ref arg-6 0) ((9) (lambda (eta-0) (vector 1 1)))(else (case (vector-ref arg-7 0) ((9) (lambda (eta-0) (vector 1 1)))(else (lambda (clam-15) (case (vector-ref arg-6 0) ((10) (case (vector-ref arg-7 0) ((10) (vector 1 1))(else (vector 1 0))))(else (vector 1 0)))))))))))))) ((9) (let ((e-57 (vector-ref arg-6 2))) (case (vector-ref e-57 0) ((2) (let ((e-97 (vector-ref e-57 1))) (CoreC-45NormaliseC-45Convert-u--convGen_Convert_NF arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-97 arg-7)))(else (case (vector-ref arg-7 0) ((9) (let ((e-14 (vector-ref arg-7 2))) (case (vector-ref e-14 0) ((2) (let ((e-16 (vector-ref e-14 1))) (CoreC-45NormaliseC-45Convert-u--convGen_Convert_NF arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-16)))(else (case (vector-ref arg-6 0) ((9) (lambda (eta-0) (vector 1 1)))(else (case (vector-ref arg-7 0) ((9) (lambda (eta-0) (vector 1 1)))(else (lambda (clam-16) (case (vector-ref arg-6 0) ((10) (case (vector-ref arg-7 0) ((10) (vector 1 1))(else (vector 1 0))))(else (vector 1 0))))))))))))(else (case (vector-ref arg-6 0) ((9) (lambda (eta-0) (vector 1 1)))(else (case (vector-ref arg-7 0) ((9) (lambda (eta-0) (vector 1 1)))(else (lambda (clam-17) (case (vector-ref arg-6 0) ((10) (case (vector-ref arg-7 0) ((10) (vector 1 1))(else (vector 1 0))))(else (vector 1 0))))))))))))))(else (case (vector-ref arg-7 0) ((9) (let ((e-14 (vector-ref arg-7 2))) (case (vector-ref e-14 0) ((2) (let ((e-16 (vector-ref e-14 1))) (CoreC-45NormaliseC-45Convert-u--convGen_Convert_NF arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-16)))(else (case (vector-ref arg-6 0) ((9) (lambda (eta-0) (vector 1 1)))(else (case (vector-ref arg-7 0) ((9) (lambda (eta-0) (vector 1 1)))(else (lambda (clam-18) (case (vector-ref arg-6 0) ((10) (case (vector-ref arg-7 0) ((10) (vector 1 1))(else (vector 1 0))))(else (vector 1 0))))))))))))(else (case (vector-ref arg-6 0) ((9) (lambda (eta-0) (vector 1 1)))(else (case (vector-ref arg-7 0) ((9) (lambda (eta-0) (vector 1 1)))(else (lambda (clam-19) (case (vector-ref arg-6 0) ((10) (case (vector-ref arg-7 0) ((10) (vector 1 1))(else (vector 1 0))))(else (vector 1 0))))))))))))))))))(else (case (vector-ref arg-6 0) ((1) (let ((e-18 (vector-ref arg-6 1))) (let ((e-19 (vector-ref arg-6 2))) (let ((e-20 (vector-ref arg-6 3))) (case (vector-ref arg-7 0) ((1) (let ((e-59 (vector-ref arg-7 1))) (let ((e-60 (vector-ref arg-7 2))) (let ((e-61 (vector-ref arg-7 3))) (let ((eff-0 (CoreC-45NormaliseC-45Convert-chkConvHead arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-19 e-60))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (cond ((equal? e-5 1) (let ((eff-1 (CoreC-45NormaliseC-45Convert-n--12476-11874-u--getInfPos arg-1 e-59 e-20 e-19 e-18 e-61 e-60 arg-5 arg-4 arg-3 arg-2 arg-0 e-19))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45NormaliseC-45Convert-allConv arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 (CoreC-45NormaliseC-45Convert-n--12476-11875-u--dropInf arg-1 e-59 e-20 e-19 e-18 e-61 e-60 arg-5 arg-4 arg-3 arg-2 arg-0 0 e-6 (CoreC-45NormaliseC-45Convert-n--12476-11876-u--args1 arg-1 e-59 e-20 e-19 e-18 e-61 e-60 arg-5 arg-4 arg-3 arg-2 arg-0)) (CoreC-45NormaliseC-45Convert-n--12476-11875-u--dropInf arg-1 e-59 e-20 e-19 e-18 e-61 e-60 arg-5 arg-4 arg-3 arg-2 arg-0 0 e-6 (CoreC-45NormaliseC-45Convert-n--12476-11877-u--args2 arg-1 e-59 e-20 e-19 e-18 e-61 e-60 arg-5 arg-4 arg-3 arg-2 arg-0))))) eff-2)))))))) (else (CoreC-45NormaliseC-45Convert-chkConvCaseBlock arg-0 arg-1 e-18 arg-2 arg-3 arg-4 arg-5 e-19 (CoreC-45NormaliseC-45Convert-n--12476-11876-u--args1 arg-1 e-59 e-20 e-19 e-18 e-61 e-60 arg-5 arg-4 arg-3 arg-2 arg-0) e-60 (CoreC-45NormaliseC-45Convert-n--12476-11877-u--args2 arg-1 e-59 e-20 e-19 e-18 e-61 e-60 arg-5 arg-4 arg-3 arg-2 arg-0)))))) eff-1)))))))))))(else (case (vector-ref arg-7 0) ((9) (let ((e-14 (vector-ref arg-7 2))) (case (vector-ref e-14 0) ((2) (let ((e-16 (vector-ref e-14 1))) (CoreC-45NormaliseC-45Convert-u--convGen_Convert_NF arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-16)))(else (case (vector-ref arg-6 0) ((9) (lambda (eta-0) (vector 1 1)))(else (case (vector-ref arg-7 0) ((9) (lambda (eta-0) (vector 1 1)))(else (lambda (clam-20) (case (vector-ref arg-6 0) ((10) (case (vector-ref arg-7 0) ((10) (vector 1 1))(else (vector 1 0))))(else (vector 1 0))))))))))))(else (case (vector-ref arg-6 0) ((9) (lambda (eta-0) (vector 1 1)))(else (case (vector-ref arg-7 0) ((9) (lambda (eta-0) (vector 1 1)))(else (lambda (clam-21) (case (vector-ref arg-6 0) ((10) (case (vector-ref arg-7 0) ((10) (vector 1 1))(else (vector 1 0))))(else (vector 1 0)))))))))))))))) ((2) (let ((e-24 (vector-ref arg-6 3))) (let ((e-26 (vector-ref arg-6 5))) (case (vector-ref arg-7 0) ((2) (let ((e-65 (vector-ref arg-7 3))) (let ((e-67 (vector-ref arg-7 5))) (let ((sc3 (PreludeC-45EqOrd-u--C-61C-61_Eq_Int e-24 e-65))) (cond ((equal? sc3 1) (CoreC-45NormaliseC-45Convert-allConv arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 ((csegen-947) e-26) ((csegen-947) e-67))) (else (lambda (eta-0) (vector 1 0))))))))(else (case (vector-ref arg-7 0) ((9) (let ((e-14 (vector-ref arg-7 2))) (case (vector-ref e-14 0) ((2) (let ((e-16 (vector-ref e-14 1))) (CoreC-45NormaliseC-45Convert-u--convGen_Convert_NF arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-16)))(else (case (vector-ref arg-6 0) ((9) (lambda (eta-0) (vector 1 1)))(else (case (vector-ref arg-7 0) ((9) (lambda (eta-0) (vector 1 1)))(else (lambda (clam-22) (case (vector-ref arg-6 0) ((10) (case (vector-ref arg-7 0) ((10) (vector 1 1))(else (vector 1 0))))(else (vector 1 0))))))))))))(else (case (vector-ref arg-6 0) ((9) (lambda (eta-0) (vector 1 1)))(else (case (vector-ref arg-7 0) ((9) (lambda (eta-0) (vector 1 1)))(else (lambda (clam-23) (case (vector-ref arg-6 0) ((10) (case (vector-ref arg-7 0) ((10) (vector 1 1))(else (vector 1 0))))(else (vector 1 0))))))))))))))) ((3) (let ((e-29 (vector-ref arg-6 2))) (let ((e-32 (vector-ref arg-6 5))) (case (vector-ref arg-7 0) ((3) (let ((e-70 (vector-ref arg-7 2))) (let ((e-73 (vector-ref arg-7 5))) (let ((sc3 (CoreC-45Name-u--C-61C-61_Eq_Name e-29 e-70))) (cond ((equal? sc3 1) (CoreC-45NormaliseC-45Convert-allConv arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 ((csegen-947) e-32) ((csegen-947) e-73))) (else (lambda (eta-0) (vector 1 0))))))))(else (case (vector-ref arg-7 0) ((9) (let ((e-14 (vector-ref arg-7 2))) (case (vector-ref e-14 0) ((2) (let ((e-16 (vector-ref e-14 1))) (CoreC-45NormaliseC-45Convert-u--convGen_Convert_NF arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-16)))(else (case (vector-ref arg-6 0) ((9) (lambda (eta-0) (vector 1 1)))(else (case (vector-ref arg-7 0) ((9) (lambda (eta-0) (vector 1 1)))(else (lambda (clam-24) (case (vector-ref arg-6 0) ((10) (case (vector-ref arg-7 0) ((10) (vector 1 1))(else (vector 1 0))))(else (vector 1 0))))))))))))(else (case (vector-ref arg-6 0) ((9) (lambda (eta-0) (vector 1 1)))(else (case (vector-ref arg-7 0) ((9) (lambda (eta-0) (vector 1 1)))(else (lambda (clam-25) (case (vector-ref arg-6 0) ((10) (case (vector-ref arg-7 0) ((10) (vector 1 1))(else (vector 1 0))))(else (vector 1 0))))))))))))))) ((4) (let ((e-37 (vector-ref arg-6 4))) (case (vector-ref arg-7 0) ((4) (let ((e-78 (vector-ref arg-7 4))) (CoreC-45NormaliseC-45Convert-u--convGen_Convert_NF arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-37 e-78)))(else (case (vector-ref arg-7 0) ((9) (let ((e-14 (vector-ref arg-7 2))) (case (vector-ref e-14 0) ((2) (let ((e-16 (vector-ref e-14 1))) (CoreC-45NormaliseC-45Convert-u--convGen_Convert_NF arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-16)))(else (case (vector-ref arg-6 0) ((9) (lambda (eta-0) (vector 1 1)))(else (case (vector-ref arg-7 0) ((9) (lambda (eta-0) (vector 1 1)))(else (lambda (clam-26) (case (vector-ref arg-6 0) ((10) (case (vector-ref arg-7 0) ((10) (vector 1 1))(else (vector 1 0))))(else (vector 1 0))))))))))))(else (case (vector-ref arg-6 0) ((9) (lambda (eta-0) (vector 1 1)))(else (case (vector-ref arg-7 0) ((9) (lambda (eta-0) (vector 1 1)))(else (lambda (clam-27) (case (vector-ref arg-6 0) ((10) (case (vector-ref arg-7 0) ((10) (vector 1 1))(else (vector 1 0))))(else (vector 1 0)))))))))))))) ((5) (let ((e-40 (vector-ref arg-6 2))) (let ((e-41 (vector-ref arg-6 3))) (case (vector-ref arg-7 0) ((5) (let ((e-81 (vector-ref arg-7 2))) (let ((e-82 (vector-ref arg-7 3))) (let ((sc3 (CoreC-45TT-compatible e-40 e-81))) (cond ((equal? sc3 1) (CoreC-45NormaliseC-45Convert-u--convGen_Convert_NF arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-41 e-82)) (else (lambda (eta-0) (vector 1 0))))))))(else (case (vector-ref arg-7 0) ((9) (let ((e-14 (vector-ref arg-7 2))) (case (vector-ref e-14 0) ((2) (let ((e-16 (vector-ref e-14 1))) (CoreC-45NormaliseC-45Convert-u--convGen_Convert_NF arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-16)))(else (case (vector-ref arg-6 0) ((9) (lambda (eta-0) (vector 1 1)))(else (case (vector-ref arg-7 0) ((9) (lambda (eta-0) (vector 1 1)))(else (lambda (clam-28) (case (vector-ref arg-6 0) ((10) (case (vector-ref arg-7 0) ((10) (vector 1 1))(else (vector 1 0))))(else (vector 1 0))))))))))))(else (case (vector-ref arg-6 0) ((9) (lambda (eta-0) (vector 1 1)))(else (case (vector-ref arg-7 0) ((9) (lambda (eta-0) (vector 1 1)))(else (lambda (clam-29) (case (vector-ref arg-6 0) ((10) (case (vector-ref arg-7 0) ((10) (vector 1 1))(else (vector 1 0))))(else (vector 1 0))))))))))))))) ((6) (let ((e-44 (vector-ref arg-6 2))) (let ((e-46 (vector-ref arg-6 4))) (case (vector-ref arg-7 0) ((6) (let ((e-85 (vector-ref arg-7 2))) (let ((e-87 (vector-ref arg-7 4))) (let ((sc3 (CoreC-45TT-compatible e-44 e-85))) (cond ((equal? sc3 1) (let ((eff-0 (lambda (clam-31) (cond ((equal? e-44 1) (vector 1 arg-4))(else (CoreC-45Context-clearDefs arg-4 clam-31)))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45NormaliseC-45Convert-u--convGen_Convert_Closure arg-0 arg-1 arg-2 arg-3 e-5 arg-5 e-46 e-87))) eff-1)))))))) (else (lambda (eta-0) (vector 1 0))))))))(else (case (vector-ref arg-7 0) ((9) (let ((e-14 (vector-ref arg-7 2))) (case (vector-ref e-14 0) ((2) (let ((e-16 (vector-ref e-14 1))) (CoreC-45NormaliseC-45Convert-u--convGen_Convert_NF arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-16)))(else (case (vector-ref arg-6 0) ((9) (lambda (eta-0) (vector 1 1)))(else (case (vector-ref arg-7 0) ((9) (lambda (eta-0) (vector 1 1)))(else (lambda (clam-30) (case (vector-ref arg-6 0) ((10) (case (vector-ref arg-7 0) ((10) (vector 1 1))(else (vector 1 0))))(else (vector 1 0))))))))))))(else (case (vector-ref arg-6 0) ((9) (lambda (eta-0) (vector 1 1)))(else (case (vector-ref arg-7 0) ((9) (lambda (eta-0) (vector 1 1)))(else (lambda (clam-31) (case (vector-ref arg-6 0) ((10) (case (vector-ref arg-7 0) ((10) (vector 1 1))(else (vector 1 0))))(else (vector 1 0))))))))))))))) ((7) (let ((e-49 (vector-ref arg-6 2))) (let ((e-50 (vector-ref arg-6 3))) (let ((e-51 (vector-ref arg-6 4))) (case (vector-ref arg-7 0) ((7) (let ((e-90 (vector-ref arg-7 2))) (let ((e-91 (vector-ref arg-7 3))) (let ((e-92 (vector-ref arg-7 4))) (let ((sc3 (CoreC-45TT-compatible e-49 e-90))) (cond ((equal? sc3 1) (let ((eff-0 (CoreC-45NormaliseC-45Convert-u--convGen_Convert_NF arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-50 e-91))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (cond ((equal? e-5 1) (CoreC-45NormaliseC-45Convert-allConv arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 ((csegen-947) e-51) ((csegen-947) e-92))) (else (lambda (eta-0) (vector 1 0)))))) eff-1)))))))) (else (lambda (eta-0) (vector 1 0)))))))))(else (case (vector-ref arg-7 0) ((9) (let ((e-14 (vector-ref arg-7 2))) (case (vector-ref e-14 0) ((2) (let ((e-16 (vector-ref e-14 1))) (CoreC-45NormaliseC-45Convert-u--convGen_Convert_NF arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-16)))(else (case (vector-ref arg-6 0) ((9) (lambda (eta-0) (vector 1 1)))(else (case (vector-ref arg-7 0) ((9) (lambda (eta-0) (vector 1 1)))(else (lambda (clam-32) (case (vector-ref arg-6 0) ((10) (case (vector-ref arg-7 0) ((10) (vector 1 1))(else (vector 1 0))))(else (vector 1 0))))))))))))(else (case (vector-ref arg-6 0) ((9) (lambda (eta-0) (vector 1 1)))(else (case (vector-ref arg-7 0) ((9) (lambda (eta-0) (vector 1 1)))(else (lambda (clam-33) (case (vector-ref arg-6 0) ((10) (case (vector-ref arg-7 0) ((10) (vector 1 1))(else (vector 1 0))))(else (vector 1 0)))))))))))))))) ((8) (let ((e-54 (vector-ref arg-6 2))) (case (vector-ref arg-7 0) ((8) (let ((e-95 (vector-ref arg-7 2))) (lambda (eta-0) (vector 1 (CoreC-45TT-u--C-61C-61_Eq_Constant e-54 e-95)))))(else (case (vector-ref arg-7 0) ((9) (let ((e-14 (vector-ref arg-7 2))) (case (vector-ref e-14 0) ((2) (let ((e-16 (vector-ref e-14 1))) (CoreC-45NormaliseC-45Convert-u--convGen_Convert_NF arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-16)))(else (case (vector-ref arg-6 0) ((9) (lambda (eta-0) (vector 1 1)))(else (case (vector-ref arg-7 0) ((9) (lambda (eta-0) (vector 1 1)))(else (lambda (clam-34) (case (vector-ref arg-6 0) ((10) (case (vector-ref arg-7 0) ((10) (vector 1 1))(else (vector 1 0))))(else (vector 1 0))))))))))))(else (case (vector-ref arg-6 0) ((9) (lambda (eta-0) (vector 1 1)))(else (case (vector-ref arg-7 0) ((9) (lambda (eta-0) (vector 1 1)))(else (lambda (clam-35) (case (vector-ref arg-6 0) ((10) (case (vector-ref arg-7 0) ((10) (vector 1 1))(else (vector 1 0))))(else (vector 1 0)))))))))))))) ((9) (let ((e-57 (vector-ref arg-6 2))) (case (vector-ref e-57 0) ((2) (let ((e-97 (vector-ref e-57 1))) (CoreC-45NormaliseC-45Convert-u--convGen_Convert_NF arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-97 arg-7)))(else (case (vector-ref arg-7 0) ((9) (let ((e-14 (vector-ref arg-7 2))) (case (vector-ref e-14 0) ((2) (let ((e-16 (vector-ref e-14 1))) (CoreC-45NormaliseC-45Convert-u--convGen_Convert_NF arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-16)))(else (case (vector-ref arg-6 0) ((9) (lambda (eta-0) (vector 1 1)))(else (case (vector-ref arg-7 0) ((9) (lambda (eta-0) (vector 1 1)))(else (lambda (clam-36) (case (vector-ref arg-6 0) ((10) (case (vector-ref arg-7 0) ((10) (vector 1 1))(else (vector 1 0))))(else (vector 1 0))))))))))))(else (case (vector-ref arg-6 0) ((9) (lambda (eta-0) (vector 1 1)))(else (case (vector-ref arg-7 0) ((9) (lambda (eta-0) (vector 1 1)))(else (lambda (clam-37) (case (vector-ref arg-6 0) ((10) (case (vector-ref arg-7 0) ((10) (vector 1 1))(else (vector 1 0))))(else (vector 1 0))))))))))))))(else (case (vector-ref arg-7 0) ((9) (let ((e-14 (vector-ref arg-7 2))) (case (vector-ref e-14 0) ((2) (let ((e-16 (vector-ref e-14 1))) (CoreC-45NormaliseC-45Convert-u--convGen_Convert_NF arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-16)))(else (case (vector-ref arg-6 0) ((9) (lambda (eta-0) (vector 1 1)))(else (case (vector-ref arg-7 0) ((9) (lambda (eta-0) (vector 1 1)))(else (lambda (clam-38) (case (vector-ref arg-6 0) ((10) (case (vector-ref arg-7 0) ((10) (vector 1 1))(else (vector 1 0))))(else (vector 1 0))))))))))))(else (case (vector-ref arg-6 0) ((9) (lambda (eta-0) (vector 1 1)))(else (case (vector-ref arg-7 0) ((9) (lambda (eta-0) (vector 1 1)))(else (lambda (clam-39) (case (vector-ref arg-6 0) ((10) (case (vector-ref arg-7 0) ((10) (vector 1 1))(else (vector 1 0))))(else (vector 1 0)))))))))))))))))))))))(else (case (vector-ref arg-7 0) ((0) (let ((e-99 (vector-ref arg-7 1))) (let ((e-100 (vector-ref arg-7 2))) (let ((e-101 (vector-ref arg-7 3))) (case (vector-ref e-101 0) ((0) (let ((e-104 (vector-ref e-101 1))) (let ((e-105 (vector-ref e-101 2))) (let ((e-106 (vector-ref e-101 3))) (let ((e-107 (vector-ref e-101 4))) (let ((eff-0 (lambda (eta-0) (CoreC-45Context-clearDefs arg-4 eta-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 (CoreC-45CoreC-45PiInfo-traverse (lambda (clam-0) (CoreC-45NormaliseC-45Quote-u--quote_Quote_Closure arg-0 arg-1 e-5 arg-5 clam-0)) e-106))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45NormaliseC-45Quote-u--quote_Quote_Closure arg-0 arg-1 e-5 arg-5 e-107))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 arg-1 e-5 arg-5 arg-6))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (CoreC-45NormaliseC-45Eval-nf arg-0 arg-1 arg-4 arg-5 (vector 3 e-99 e-100 (vector 0 e-104 e-105 e-6 e-7) (vector 4 e-99 (CoreC-45TT-u--weaken_Weaken_Term e-8) (vector 0 e-99 '() 0)))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45NormaliseC-45Convert-u--convGen_Convert_NF arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-6 arg-7))) eff-2))))))))) eff-1))))))))))))(else (case (vector-ref arg-6 0) ((1) (let ((e-18 (vector-ref arg-6 1))) (let ((e-19 (vector-ref arg-6 2))) (let ((e-20 (vector-ref arg-6 3))) (case (vector-ref arg-7 0) ((1) (let ((e-59 (vector-ref arg-7 1))) (let ((e-60 (vector-ref arg-7 2))) (let ((e-61 (vector-ref arg-7 3))) (let ((eff-0 (CoreC-45NormaliseC-45Convert-chkConvHead arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-19 e-60))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (cond ((equal? e-5 1) (let ((eff-1 (CoreC-45NormaliseC-45Convert-n--12476-11874-u--getInfPos arg-1 e-59 e-20 e-19 e-18 e-61 e-60 arg-5 arg-4 arg-3 arg-2 arg-0 e-19))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45NormaliseC-45Convert-allConv arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 (CoreC-45NormaliseC-45Convert-n--12476-11875-u--dropInf arg-1 e-59 e-20 e-19 e-18 e-61 e-60 arg-5 arg-4 arg-3 arg-2 arg-0 0 e-6 (CoreC-45NormaliseC-45Convert-n--12476-11876-u--args1 arg-1 e-59 e-20 e-19 e-18 e-61 e-60 arg-5 arg-4 arg-3 arg-2 arg-0)) (CoreC-45NormaliseC-45Convert-n--12476-11875-u--dropInf arg-1 e-59 e-20 e-19 e-18 e-61 e-60 arg-5 arg-4 arg-3 arg-2 arg-0 0 e-6 (CoreC-45NormaliseC-45Convert-n--12476-11877-u--args2 arg-1 e-59 e-20 e-19 e-18 e-61 e-60 arg-5 arg-4 arg-3 arg-2 arg-0))))) eff-2)))))))) (else (CoreC-45NormaliseC-45Convert-chkConvCaseBlock arg-0 arg-1 e-18 arg-2 arg-3 arg-4 arg-5 e-19 (CoreC-45NormaliseC-45Convert-n--12476-11876-u--args1 arg-1 e-59 e-20 e-19 e-18 e-61 e-60 arg-5 arg-4 arg-3 arg-2 arg-0) e-60 (CoreC-45NormaliseC-45Convert-n--12476-11877-u--args2 arg-1 e-59 e-20 e-19 e-18 e-61 e-60 arg-5 arg-4 arg-3 arg-2 arg-0)))))) eff-1)))))))))))(else (case (vector-ref arg-7 0) ((9) (let ((e-14 (vector-ref arg-7 2))) (case (vector-ref e-14 0) ((2) (let ((e-16 (vector-ref e-14 1))) (CoreC-45NormaliseC-45Convert-u--convGen_Convert_NF arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-16)))(else (case (vector-ref arg-6 0) ((9) (lambda (eta-0) (vector 1 1)))(else (case (vector-ref arg-7 0) ((9) (lambda (eta-0) (vector 1 1)))(else (lambda (clam-40) (case (vector-ref arg-6 0) ((10) (case (vector-ref arg-7 0) ((10) (vector 1 1))(else (vector 1 0))))(else (vector 1 0))))))))))))(else (case (vector-ref arg-6 0) ((9) (lambda (eta-0) (vector 1 1)))(else (case (vector-ref arg-7 0) ((9) (lambda (eta-0) (vector 1 1)))(else (lambda (clam-41) (case (vector-ref arg-6 0) ((10) (case (vector-ref arg-7 0) ((10) (vector 1 1))(else (vector 1 0))))(else (vector 1 0)))))))))))))))) ((2) (let ((e-24 (vector-ref arg-6 3))) (let ((e-26 (vector-ref arg-6 5))) (case (vector-ref arg-7 0) ((2) (let ((e-65 (vector-ref arg-7 3))) (let ((e-67 (vector-ref arg-7 5))) (let ((sc3 (PreludeC-45EqOrd-u--C-61C-61_Eq_Int e-24 e-65))) (cond ((equal? sc3 1) (CoreC-45NormaliseC-45Convert-allConv arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 ((csegen-947) e-26) ((csegen-947) e-67))) (else (lambda (eta-0) (vector 1 0))))))))(else (case (vector-ref arg-7 0) ((9) (let ((e-14 (vector-ref arg-7 2))) (case (vector-ref e-14 0) ((2) (let ((e-16 (vector-ref e-14 1))) (CoreC-45NormaliseC-45Convert-u--convGen_Convert_NF arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-16)))(else (case (vector-ref arg-6 0) ((9) (lambda (eta-0) (vector 1 1)))(else (case (vector-ref arg-7 0) ((9) (lambda (eta-0) (vector 1 1)))(else (lambda (clam-42) (case (vector-ref arg-6 0) ((10) (case (vector-ref arg-7 0) ((10) (vector 1 1))(else (vector 1 0))))(else (vector 1 0))))))))))))(else (case (vector-ref arg-6 0) ((9) (lambda (eta-0) (vector 1 1)))(else (case (vector-ref arg-7 0) ((9) (lambda (eta-0) (vector 1 1)))(else (lambda (clam-43) (case (vector-ref arg-6 0) ((10) (case (vector-ref arg-7 0) ((10) (vector 1 1))(else (vector 1 0))))(else (vector 1 0))))))))))))))) ((3) (let ((e-29 (vector-ref arg-6 2))) (let ((e-32 (vector-ref arg-6 5))) (case (vector-ref arg-7 0) ((3) (let ((e-70 (vector-ref arg-7 2))) (let ((e-73 (vector-ref arg-7 5))) (let ((sc3 (CoreC-45Name-u--C-61C-61_Eq_Name e-29 e-70))) (cond ((equal? sc3 1) (CoreC-45NormaliseC-45Convert-allConv arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 ((csegen-947) e-32) ((csegen-947) e-73))) (else (lambda (eta-0) (vector 1 0))))))))(else (case (vector-ref arg-7 0) ((9) (let ((e-14 (vector-ref arg-7 2))) (case (vector-ref e-14 0) ((2) (let ((e-16 (vector-ref e-14 1))) (CoreC-45NormaliseC-45Convert-u--convGen_Convert_NF arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-16)))(else (case (vector-ref arg-6 0) ((9) (lambda (eta-0) (vector 1 1)))(else (case (vector-ref arg-7 0) ((9) (lambda (eta-0) (vector 1 1)))(else (lambda (clam-44) (case (vector-ref arg-6 0) ((10) (case (vector-ref arg-7 0) ((10) (vector 1 1))(else (vector 1 0))))(else (vector 1 0))))))))))))(else (case (vector-ref arg-6 0) ((9) (lambda (eta-0) (vector 1 1)))(else (case (vector-ref arg-7 0) ((9) (lambda (eta-0) (vector 1 1)))(else (lambda (clam-45) (case (vector-ref arg-6 0) ((10) (case (vector-ref arg-7 0) ((10) (vector 1 1))(else (vector 1 0))))(else (vector 1 0))))))))))))))) ((4) (let ((e-37 (vector-ref arg-6 4))) (case (vector-ref arg-7 0) ((4) (let ((e-78 (vector-ref arg-7 4))) (CoreC-45NormaliseC-45Convert-u--convGen_Convert_NF arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-37 e-78)))(else (case (vector-ref arg-7 0) ((9) (let ((e-14 (vector-ref arg-7 2))) (case (vector-ref e-14 0) ((2) (let ((e-16 (vector-ref e-14 1))) (CoreC-45NormaliseC-45Convert-u--convGen_Convert_NF arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-16)))(else (case (vector-ref arg-6 0) ((9) (lambda (eta-0) (vector 1 1)))(else (case (vector-ref arg-7 0) ((9) (lambda (eta-0) (vector 1 1)))(else (lambda (clam-46) (case (vector-ref arg-6 0) ((10) (case (vector-ref arg-7 0) ((10) (vector 1 1))(else (vector 1 0))))(else (vector 1 0))))))))))))(else (case (vector-ref arg-6 0) ((9) (lambda (eta-0) (vector 1 1)))(else (case (vector-ref arg-7 0) ((9) (lambda (eta-0) (vector 1 1)))(else (lambda (clam-47) (case (vector-ref arg-6 0) ((10) (case (vector-ref arg-7 0) ((10) (vector 1 1))(else (vector 1 0))))(else (vector 1 0)))))))))))))) ((5) (let ((e-40 (vector-ref arg-6 2))) (let ((e-41 (vector-ref arg-6 3))) (case (vector-ref arg-7 0) ((5) (let ((e-81 (vector-ref arg-7 2))) (let ((e-82 (vector-ref arg-7 3))) (let ((sc3 (CoreC-45TT-compatible e-40 e-81))) (cond ((equal? sc3 1) (CoreC-45NormaliseC-45Convert-u--convGen_Convert_NF arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-41 e-82)) (else (lambda (eta-0) (vector 1 0))))))))(else (case (vector-ref arg-7 0) ((9) (let ((e-14 (vector-ref arg-7 2))) (case (vector-ref e-14 0) ((2) (let ((e-16 (vector-ref e-14 1))) (CoreC-45NormaliseC-45Convert-u--convGen_Convert_NF arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-16)))(else (case (vector-ref arg-6 0) ((9) (lambda (eta-0) (vector 1 1)))(else (case (vector-ref arg-7 0) ((9) (lambda (eta-0) (vector 1 1)))(else (lambda (clam-48) (case (vector-ref arg-6 0) ((10) (case (vector-ref arg-7 0) ((10) (vector 1 1))(else (vector 1 0))))(else (vector 1 0))))))))))))(else (case (vector-ref arg-6 0) ((9) (lambda (eta-0) (vector 1 1)))(else (case (vector-ref arg-7 0) ((9) (lambda (eta-0) (vector 1 1)))(else (lambda (clam-49) (case (vector-ref arg-6 0) ((10) (case (vector-ref arg-7 0) ((10) (vector 1 1))(else (vector 1 0))))(else (vector 1 0))))))))))))))) ((6) (let ((e-44 (vector-ref arg-6 2))) (let ((e-46 (vector-ref arg-6 4))) (case (vector-ref arg-7 0) ((6) (let ((e-85 (vector-ref arg-7 2))) (let ((e-87 (vector-ref arg-7 4))) (let ((sc3 (CoreC-45TT-compatible e-44 e-85))) (cond ((equal? sc3 1) (let ((eff-0 (lambda (clam-52) (cond ((equal? e-44 1) (vector 1 arg-4))(else (CoreC-45Context-clearDefs arg-4 clam-52)))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45NormaliseC-45Convert-u--convGen_Convert_Closure arg-0 arg-1 arg-2 arg-3 e-5 arg-5 e-46 e-87))) eff-1)))))))) (else (lambda (eta-0) (vector 1 0))))))))(else (case (vector-ref arg-7 0) ((9) (let ((e-14 (vector-ref arg-7 2))) (case (vector-ref e-14 0) ((2) (let ((e-16 (vector-ref e-14 1))) (CoreC-45NormaliseC-45Convert-u--convGen_Convert_NF arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-16)))(else (case (vector-ref arg-6 0) ((9) (lambda (eta-0) (vector 1 1)))(else (case (vector-ref arg-7 0) ((9) (lambda (eta-0) (vector 1 1)))(else (lambda (clam-50) (case (vector-ref arg-6 0) ((10) (case (vector-ref arg-7 0) ((10) (vector 1 1))(else (vector 1 0))))(else (vector 1 0))))))))))))(else (case (vector-ref arg-6 0) ((9) (lambda (eta-0) (vector 1 1)))(else (case (vector-ref arg-7 0) ((9) (lambda (eta-0) (vector 1 1)))(else (lambda (clam-51) (case (vector-ref arg-6 0) ((10) (case (vector-ref arg-7 0) ((10) (vector 1 1))(else (vector 1 0))))(else (vector 1 0))))))))))))))) ((7) (let ((e-49 (vector-ref arg-6 2))) (let ((e-50 (vector-ref arg-6 3))) (let ((e-51 (vector-ref arg-6 4))) (case (vector-ref arg-7 0) ((7) (let ((e-90 (vector-ref arg-7 2))) (let ((e-91 (vector-ref arg-7 3))) (let ((e-92 (vector-ref arg-7 4))) (let ((sc3 (CoreC-45TT-compatible e-49 e-90))) (cond ((equal? sc3 1) (let ((eff-0 (CoreC-45NormaliseC-45Convert-u--convGen_Convert_NF arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-50 e-91))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (cond ((equal? e-5 1) (CoreC-45NormaliseC-45Convert-allConv arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 ((csegen-947) e-51) ((csegen-947) e-92))) (else (lambda (eta-0) (vector 1 0)))))) eff-1)))))))) (else (lambda (eta-0) (vector 1 0)))))))))(else (case (vector-ref arg-7 0) ((9) (let ((e-14 (vector-ref arg-7 2))) (case (vector-ref e-14 0) ((2) (let ((e-16 (vector-ref e-14 1))) (CoreC-45NormaliseC-45Convert-u--convGen_Convert_NF arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-16)))(else (case (vector-ref arg-6 0) ((9) (lambda (eta-0) (vector 1 1)))(else (case (vector-ref arg-7 0) ((9) (lambda (eta-0) (vector 1 1)))(else (lambda (clam-52) (case (vector-ref arg-6 0) ((10) (case (vector-ref arg-7 0) ((10) (vector 1 1))(else (vector 1 0))))(else (vector 1 0))))))))))))(else (case (vector-ref arg-6 0) ((9) (lambda (eta-0) (vector 1 1)))(else (case (vector-ref arg-7 0) ((9) (lambda (eta-0) (vector 1 1)))(else (lambda (clam-53) (case (vector-ref arg-6 0) ((10) (case (vector-ref arg-7 0) ((10) (vector 1 1))(else (vector 1 0))))(else (vector 1 0)))))))))))))))) ((8) (let ((e-54 (vector-ref arg-6 2))) (case (vector-ref arg-7 0) ((8) (let ((e-95 (vector-ref arg-7 2))) (lambda (eta-0) (vector 1 (CoreC-45TT-u--C-61C-61_Eq_Constant e-54 e-95)))))(else (case (vector-ref arg-7 0) ((9) (let ((e-14 (vector-ref arg-7 2))) (case (vector-ref e-14 0) ((2) (let ((e-16 (vector-ref e-14 1))) (CoreC-45NormaliseC-45Convert-u--convGen_Convert_NF arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-16)))(else (case (vector-ref arg-6 0) ((9) (lambda (eta-0) (vector 1 1)))(else (case (vector-ref arg-7 0) ((9) (lambda (eta-0) (vector 1 1)))(else (lambda (clam-54) (case (vector-ref arg-6 0) ((10) (case (vector-ref arg-7 0) ((10) (vector 1 1))(else (vector 1 0))))(else (vector 1 0))))))))))))(else (case (vector-ref arg-6 0) ((9) (lambda (eta-0) (vector 1 1)))(else (case (vector-ref arg-7 0) ((9) (lambda (eta-0) (vector 1 1)))(else (lambda (clam-55) (case (vector-ref arg-6 0) ((10) (case (vector-ref arg-7 0) ((10) (vector 1 1))(else (vector 1 0))))(else (vector 1 0)))))))))))))) ((9) (let ((e-57 (vector-ref arg-6 2))) (case (vector-ref e-57 0) ((2) (let ((e-97 (vector-ref e-57 1))) (CoreC-45NormaliseC-45Convert-u--convGen_Convert_NF arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-97 arg-7)))(else (case (vector-ref arg-7 0) ((9) (let ((e-14 (vector-ref arg-7 2))) (case (vector-ref e-14 0) ((2) (let ((e-16 (vector-ref e-14 1))) (CoreC-45NormaliseC-45Convert-u--convGen_Convert_NF arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-16)))(else (case (vector-ref arg-6 0) ((9) (lambda (eta-0) (vector 1 1)))(else (case (vector-ref arg-7 0) ((9) (lambda (eta-0) (vector 1 1)))(else (lambda (clam-56) (case (vector-ref arg-6 0) ((10) (case (vector-ref arg-7 0) ((10) (vector 1 1))(else (vector 1 0))))(else (vector 1 0))))))))))))(else (case (vector-ref arg-6 0) ((9) (lambda (eta-0) (vector 1 1)))(else (case (vector-ref arg-7 0) ((9) (lambda (eta-0) (vector 1 1)))(else (lambda (clam-57) (case (vector-ref arg-6 0) ((10) (case (vector-ref arg-7 0) ((10) (vector 1 1))(else (vector 1 0))))(else (vector 1 0))))))))))))))(else (case (vector-ref arg-7 0) ((9) (let ((e-14 (vector-ref arg-7 2))) (case (vector-ref e-14 0) ((2) (let ((e-16 (vector-ref e-14 1))) (CoreC-45NormaliseC-45Convert-u--convGen_Convert_NF arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-16)))(else (case (vector-ref arg-6 0) ((9) (lambda (eta-0) (vector 1 1)))(else (case (vector-ref arg-7 0) ((9) (lambda (eta-0) (vector 1 1)))(else (lambda (clam-58) (case (vector-ref arg-6 0) ((10) (case (vector-ref arg-7 0) ((10) (vector 1 1))(else (vector 1 0))))(else (vector 1 0))))))))))))(else (case (vector-ref arg-6 0) ((9) (lambda (eta-0) (vector 1 1)))(else (case (vector-ref arg-7 0) ((9) (lambda (eta-0) (vector 1 1)))(else (lambda (clam-59) (case (vector-ref arg-6 0) ((10) (case (vector-ref arg-7 0) ((10) (vector 1 1))(else (vector 1 0))))(else (vector 1 0))))))))))))))))))(else (case (vector-ref arg-6 0) ((1) (let ((e-18 (vector-ref arg-6 1))) (let ((e-19 (vector-ref arg-6 2))) (let ((e-20 (vector-ref arg-6 3))) (case (vector-ref arg-7 0) ((1) (let ((e-59 (vector-ref arg-7 1))) (let ((e-60 (vector-ref arg-7 2))) (let ((e-61 (vector-ref arg-7 3))) (let ((eff-0 (CoreC-45NormaliseC-45Convert-chkConvHead arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-19 e-60))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (cond ((equal? e-5 1) (let ((eff-1 (CoreC-45NormaliseC-45Convert-n--12476-11874-u--getInfPos arg-1 e-59 e-20 e-19 e-18 e-61 e-60 arg-5 arg-4 arg-3 arg-2 arg-0 e-19))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45NormaliseC-45Convert-allConv arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 (CoreC-45NormaliseC-45Convert-n--12476-11875-u--dropInf arg-1 e-59 e-20 e-19 e-18 e-61 e-60 arg-5 arg-4 arg-3 arg-2 arg-0 0 e-6 (CoreC-45NormaliseC-45Convert-n--12476-11876-u--args1 arg-1 e-59 e-20 e-19 e-18 e-61 e-60 arg-5 arg-4 arg-3 arg-2 arg-0)) (CoreC-45NormaliseC-45Convert-n--12476-11875-u--dropInf arg-1 e-59 e-20 e-19 e-18 e-61 e-60 arg-5 arg-4 arg-3 arg-2 arg-0 0 e-6 (CoreC-45NormaliseC-45Convert-n--12476-11877-u--args2 arg-1 e-59 e-20 e-19 e-18 e-61 e-60 arg-5 arg-4 arg-3 arg-2 arg-0))))) eff-2)))))))) (else (CoreC-45NormaliseC-45Convert-chkConvCaseBlock arg-0 arg-1 e-18 arg-2 arg-3 arg-4 arg-5 e-19 (CoreC-45NormaliseC-45Convert-n--12476-11876-u--args1 arg-1 e-59 e-20 e-19 e-18 e-61 e-60 arg-5 arg-4 arg-3 arg-2 arg-0) e-60 (CoreC-45NormaliseC-45Convert-n--12476-11877-u--args2 arg-1 e-59 e-20 e-19 e-18 e-61 e-60 arg-5 arg-4 arg-3 arg-2 arg-0)))))) eff-1)))))))))))(else (case (vector-ref arg-7 0) ((9) (let ((e-14 (vector-ref arg-7 2))) (case (vector-ref e-14 0) ((2) (let ((e-16 (vector-ref e-14 1))) (CoreC-45NormaliseC-45Convert-u--convGen_Convert_NF arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-16)))(else (case (vector-ref arg-6 0) ((9) (lambda (eta-0) (vector 1 1)))(else (case (vector-ref arg-7 0) ((9) (lambda (eta-0) (vector 1 1)))(else (lambda (clam-60) (case (vector-ref arg-6 0) ((10) (case (vector-ref arg-7 0) ((10) (vector 1 1))(else (vector 1 0))))(else (vector 1 0))))))))))))(else (case (vector-ref arg-6 0) ((9) (lambda (eta-0) (vector 1 1)))(else (case (vector-ref arg-7 0) ((9) (lambda (eta-0) (vector 1 1)))(else (lambda (clam-61) (case (vector-ref arg-6 0) ((10) (case (vector-ref arg-7 0) ((10) (vector 1 1))(else (vector 1 0))))(else (vector 1 0)))))))))))))))) ((2) (let ((e-24 (vector-ref arg-6 3))) (let ((e-26 (vector-ref arg-6 5))) (case (vector-ref arg-7 0) ((2) (let ((e-65 (vector-ref arg-7 3))) (let ((e-67 (vector-ref arg-7 5))) (let ((sc2 (PreludeC-45EqOrd-u--C-61C-61_Eq_Int e-24 e-65))) (cond ((equal? sc2 1) (CoreC-45NormaliseC-45Convert-allConv arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 ((csegen-947) e-26) ((csegen-947) e-67))) (else (lambda (eta-0) (vector 1 0))))))))(else (case (vector-ref arg-7 0) ((9) (let ((e-14 (vector-ref arg-7 2))) (case (vector-ref e-14 0) ((2) (let ((e-16 (vector-ref e-14 1))) (CoreC-45NormaliseC-45Convert-u--convGen_Convert_NF arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-16)))(else (case (vector-ref arg-6 0) ((9) (lambda (eta-0) (vector 1 1)))(else (case (vector-ref arg-7 0) ((9) (lambda (eta-0) (vector 1 1)))(else (lambda (clam-62) (case (vector-ref arg-6 0) ((10) (case (vector-ref arg-7 0) ((10) (vector 1 1))(else (vector 1 0))))(else (vector 1 0))))))))))))(else (case (vector-ref arg-6 0) ((9) (lambda (eta-0) (vector 1 1)))(else (case (vector-ref arg-7 0) ((9) (lambda (eta-0) (vector 1 1)))(else (lambda (clam-63) (case (vector-ref arg-6 0) ((10) (case (vector-ref arg-7 0) ((10) (vector 1 1))(else (vector 1 0))))(else (vector 1 0))))))))))))))) ((3) (let ((e-29 (vector-ref arg-6 2))) (let ((e-32 (vector-ref arg-6 5))) (case (vector-ref arg-7 0) ((3) (let ((e-70 (vector-ref arg-7 2))) (let ((e-73 (vector-ref arg-7 5))) (let ((sc2 (CoreC-45Name-u--C-61C-61_Eq_Name e-29 e-70))) (cond ((equal? sc2 1) (CoreC-45NormaliseC-45Convert-allConv arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 ((csegen-947) e-32) ((csegen-947) e-73))) (else (lambda (eta-0) (vector 1 0))))))))(else (case (vector-ref arg-7 0) ((9) (let ((e-14 (vector-ref arg-7 2))) (case (vector-ref e-14 0) ((2) (let ((e-16 (vector-ref e-14 1))) (CoreC-45NormaliseC-45Convert-u--convGen_Convert_NF arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-16)))(else (case (vector-ref arg-6 0) ((9) (lambda (eta-0) (vector 1 1)))(else (case (vector-ref arg-7 0) ((9) (lambda (eta-0) (vector 1 1)))(else (lambda (clam-64) (case (vector-ref arg-6 0) ((10) (case (vector-ref arg-7 0) ((10) (vector 1 1))(else (vector 1 0))))(else (vector 1 0))))))))))))(else (case (vector-ref arg-6 0) ((9) (lambda (eta-0) (vector 1 1)))(else (case (vector-ref arg-7 0) ((9) (lambda (eta-0) (vector 1 1)))(else (lambda (clam-65) (case (vector-ref arg-6 0) ((10) (case (vector-ref arg-7 0) ((10) (vector 1 1))(else (vector 1 0))))(else (vector 1 0))))))))))))))) ((4) (let ((e-37 (vector-ref arg-6 4))) (case (vector-ref arg-7 0) ((4) (let ((e-78 (vector-ref arg-7 4))) (CoreC-45NormaliseC-45Convert-u--convGen_Convert_NF arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-37 e-78)))(else (case (vector-ref arg-7 0) ((9) (let ((e-14 (vector-ref arg-7 2))) (case (vector-ref e-14 0) ((2) (let ((e-16 (vector-ref e-14 1))) (CoreC-45NormaliseC-45Convert-u--convGen_Convert_NF arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-16)))(else (case (vector-ref arg-6 0) ((9) (lambda (eta-0) (vector 1 1)))(else (case (vector-ref arg-7 0) ((9) (lambda (eta-0) (vector 1 1)))(else (lambda (clam-66) (case (vector-ref arg-6 0) ((10) (case (vector-ref arg-7 0) ((10) (vector 1 1))(else (vector 1 0))))(else (vector 1 0))))))))))))(else (case (vector-ref arg-6 0) ((9) (lambda (eta-0) (vector 1 1)))(else (case (vector-ref arg-7 0) ((9) (lambda (eta-0) (vector 1 1)))(else (lambda (clam-67) (case (vector-ref arg-6 0) ((10) (case (vector-ref arg-7 0) ((10) (vector 1 1))(else (vector 1 0))))(else (vector 1 0)))))))))))))) ((5) (let ((e-40 (vector-ref arg-6 2))) (let ((e-41 (vector-ref arg-6 3))) (case (vector-ref arg-7 0) ((5) (let ((e-81 (vector-ref arg-7 2))) (let ((e-82 (vector-ref arg-7 3))) (let ((sc2 (CoreC-45TT-compatible e-40 e-81))) (cond ((equal? sc2 1) (CoreC-45NormaliseC-45Convert-u--convGen_Convert_NF arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-41 e-82)) (else (lambda (eta-0) (vector 1 0))))))))(else (case (vector-ref arg-7 0) ((9) (let ((e-14 (vector-ref arg-7 2))) (case (vector-ref e-14 0) ((2) (let ((e-16 (vector-ref e-14 1))) (CoreC-45NormaliseC-45Convert-u--convGen_Convert_NF arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-16)))(else (case (vector-ref arg-6 0) ((9) (lambda (eta-0) (vector 1 1)))(else (case (vector-ref arg-7 0) ((9) (lambda (eta-0) (vector 1 1)))(else (lambda (clam-68) (case (vector-ref arg-6 0) ((10) (case (vector-ref arg-7 0) ((10) (vector 1 1))(else (vector 1 0))))(else (vector 1 0))))))))))))(else (case (vector-ref arg-6 0) ((9) (lambda (eta-0) (vector 1 1)))(else (case (vector-ref arg-7 0) ((9) (lambda (eta-0) (vector 1 1)))(else (lambda (clam-69) (case (vector-ref arg-6 0) ((10) (case (vector-ref arg-7 0) ((10) (vector 1 1))(else (vector 1 0))))(else (vector 1 0))))))))))))))) ((6) (let ((e-44 (vector-ref arg-6 2))) (let ((e-46 (vector-ref arg-6 4))) (case (vector-ref arg-7 0) ((6) (let ((e-85 (vector-ref arg-7 2))) (let ((e-87 (vector-ref arg-7 4))) (let ((sc2 (CoreC-45TT-compatible e-44 e-85))) (cond ((equal? sc2 1) (let ((eff-0 (lambda (clam-73) (cond ((equal? e-44 1) (vector 1 arg-4))(else (CoreC-45Context-clearDefs arg-4 clam-73)))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45NormaliseC-45Convert-u--convGen_Convert_Closure arg-0 arg-1 arg-2 arg-3 e-5 arg-5 e-46 e-87))) eff-1)))))))) (else (lambda (eta-0) (vector 1 0))))))))(else (case (vector-ref arg-7 0) ((9) (let ((e-14 (vector-ref arg-7 2))) (case (vector-ref e-14 0) ((2) (let ((e-16 (vector-ref e-14 1))) (CoreC-45NormaliseC-45Convert-u--convGen_Convert_NF arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-16)))(else (case (vector-ref arg-6 0) ((9) (lambda (eta-0) (vector 1 1)))(else (case (vector-ref arg-7 0) ((9) (lambda (eta-0) (vector 1 1)))(else (lambda (clam-70) (case (vector-ref arg-6 0) ((10) (case (vector-ref arg-7 0) ((10) (vector 1 1))(else (vector 1 0))))(else (vector 1 0))))))))))))(else (case (vector-ref arg-6 0) ((9) (lambda (eta-0) (vector 1 1)))(else (case (vector-ref arg-7 0) ((9) (lambda (eta-0) (vector 1 1)))(else (lambda (clam-71) (case (vector-ref arg-6 0) ((10) (case (vector-ref arg-7 0) ((10) (vector 1 1))(else (vector 1 0))))(else (vector 1 0))))))))))))))) ((7) (let ((e-49 (vector-ref arg-6 2))) (let ((e-50 (vector-ref arg-6 3))) (let ((e-51 (vector-ref arg-6 4))) (case (vector-ref arg-7 0) ((7) (let ((e-90 (vector-ref arg-7 2))) (let ((e-91 (vector-ref arg-7 3))) (let ((e-92 (vector-ref arg-7 4))) (let ((sc2 (CoreC-45TT-compatible e-49 e-90))) (cond ((equal? sc2 1) (let ((eff-0 (CoreC-45NormaliseC-45Convert-u--convGen_Convert_NF arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-50 e-91))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (cond ((equal? e-5 1) (CoreC-45NormaliseC-45Convert-allConv arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 ((csegen-947) e-51) ((csegen-947) e-92))) (else (lambda (eta-0) (vector 1 0)))))) eff-1)))))))) (else (lambda (eta-0) (vector 1 0)))))))))(else (case (vector-ref arg-7 0) ((9) (let ((e-14 (vector-ref arg-7 2))) (case (vector-ref e-14 0) ((2) (let ((e-16 (vector-ref e-14 1))) (CoreC-45NormaliseC-45Convert-u--convGen_Convert_NF arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-16)))(else (case (vector-ref arg-6 0) ((9) (lambda (eta-0) (vector 1 1)))(else (case (vector-ref arg-7 0) ((9) (lambda (eta-0) (vector 1 1)))(else (lambda (clam-72) (case (vector-ref arg-6 0) ((10) (case (vector-ref arg-7 0) ((10) (vector 1 1))(else (vector 1 0))))(else (vector 1 0))))))))))))(else (case (vector-ref arg-6 0) ((9) (lambda (eta-0) (vector 1 1)))(else (case (vector-ref arg-7 0) ((9) (lambda (eta-0) (vector 1 1)))(else (lambda (clam-73) (case (vector-ref arg-6 0) ((10) (case (vector-ref arg-7 0) ((10) (vector 1 1))(else (vector 1 0))))(else (vector 1 0)))))))))))))))) ((8) (let ((e-54 (vector-ref arg-6 2))) (case (vector-ref arg-7 0) ((8) (let ((e-95 (vector-ref arg-7 2))) (lambda (eta-0) (vector 1 (CoreC-45TT-u--C-61C-61_Eq_Constant e-54 e-95)))))(else (case (vector-ref arg-7 0) ((9) (let ((e-14 (vector-ref arg-7 2))) (case (vector-ref e-14 0) ((2) (let ((e-16 (vector-ref e-14 1))) (CoreC-45NormaliseC-45Convert-u--convGen_Convert_NF arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-16)))(else (case (vector-ref arg-6 0) ((9) (lambda (eta-0) (vector 1 1)))(else (case (vector-ref arg-7 0) ((9) (lambda (eta-0) (vector 1 1)))(else (lambda (clam-74) (case (vector-ref arg-6 0) ((10) (case (vector-ref arg-7 0) ((10) (vector 1 1))(else (vector 1 0))))(else (vector 1 0))))))))))))(else (case (vector-ref arg-6 0) ((9) (lambda (eta-0) (vector 1 1)))(else (case (vector-ref arg-7 0) ((9) (lambda (eta-0) (vector 1 1)))(else (lambda (clam-75) (case (vector-ref arg-6 0) ((10) (case (vector-ref arg-7 0) ((10) (vector 1 1))(else (vector 1 0))))(else (vector 1 0)))))))))))))) ((9) (let ((e-57 (vector-ref arg-6 2))) (case (vector-ref e-57 0) ((2) (let ((e-97 (vector-ref e-57 1))) (CoreC-45NormaliseC-45Convert-u--convGen_Convert_NF arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-97 arg-7)))(else (case (vector-ref arg-7 0) ((9) (let ((e-14 (vector-ref arg-7 2))) (case (vector-ref e-14 0) ((2) (let ((e-16 (vector-ref e-14 1))) (CoreC-45NormaliseC-45Convert-u--convGen_Convert_NF arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-16)))(else (case (vector-ref arg-6 0) ((9) (lambda (eta-0) (vector 1 1)))(else (case (vector-ref arg-7 0) ((9) (lambda (eta-0) (vector 1 1)))(else (lambda (clam-76) (case (vector-ref arg-6 0) ((10) (case (vector-ref arg-7 0) ((10) (vector 1 1))(else (vector 1 0))))(else (vector 1 0))))))))))))(else (case (vector-ref arg-6 0) ((9) (lambda (eta-0) (vector 1 1)))(else (case (vector-ref arg-7 0) ((9) (lambda (eta-0) (vector 1 1)))(else (lambda (clam-77) (case (vector-ref arg-6 0) ((10) (case (vector-ref arg-7 0) ((10) (vector 1 1))(else (vector 1 0))))(else (vector 1 0))))))))))))))(else (case (vector-ref arg-7 0) ((9) (let ((e-14 (vector-ref arg-7 2))) (case (vector-ref e-14 0) ((2) (let ((e-16 (vector-ref e-14 1))) (CoreC-45NormaliseC-45Convert-u--convGen_Convert_NF arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-16)))(else (case (vector-ref arg-6 0) ((9) (lambda (eta-0) (vector 1 1)))(else (case (vector-ref arg-7 0) ((9) (lambda (eta-0) (vector 1 1)))(else (lambda (clam-78) (case (vector-ref arg-6 0) ((10) (case (vector-ref arg-7 0) ((10) (vector 1 1))(else (vector 1 0))))(else (vector 1 0))))))))))))(else (case (vector-ref arg-6 0) ((9) (lambda (eta-0) (vector 1 1)))(else (case (vector-ref arg-7 0) ((9) (lambda (eta-0) (vector 1 1)))(else (lambda (clam-79) (case (vector-ref arg-6 0) ((10) (case (vector-ref arg-7 0) ((10) (vector 1 1))(else (vector 1 0))))(else (vector 1 0))))))))))))))))))
(define CoreC-45NormaliseC-45Convert-u--convGen_Convert_Closure (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (let ((eff-0 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-4 arg-6))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-4 arg-7))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45NormaliseC-45Convert-u--convGen_Convert_NF arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-5 e-6))) eff-2))))))))) eff-1)))))))))
(define CoreC-45NormaliseC-45Convert-tryUpdate (lambda (arg-0 arg-1 arg-2 arg-3) (case (vector-ref arg-3 0) ((0) (let ((e-2 (vector-ref arg-3 1))) (let ((e-3 (vector-ref arg-3 2))) (let ((e-4 (vector-ref arg-3 3))) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (CoreC-45NormaliseC-45Convert-n--7160-6836-u--findIdx arg-0 arg-1 e-4 e-3 e-2 arg-2 arg-2 e-4) (lambda (_-0) (let ((eff-0 _-0)) (box (vector 0 e-2 e-3 eff-0))))))))) ((1) (let ((e-7 (vector-ref arg-3 1))) (let ((e-8 (vector-ref arg-3 2))) (let ((e-9 (vector-ref arg-3 3))) (box (vector 1 e-7 e-8 e-9)))))) ((2) (let ((e-11 (vector-ref arg-3 1))) (let ((e-12 (vector-ref arg-3 2))) (let ((e-13 (vector-ref arg-3 3))) (let ((e-14 (vector-ref arg-3 4))) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (PreludeC-45Types-u--traverse_Traversable_List (csegen-323) (lambda (eta-0) (CoreC-45NormaliseC-45Convert-tryUpdate arg-0 arg-1 arg-2 eta-0)) e-14) (lambda (bind-0) (box (vector 2 e-11 e-12 e-13 bind-0))))))))) ((3) (let ((e-16 (vector-ref arg-3 1))) (let ((e-17 (vector-ref arg-3 2))) (let ((e-18 (vector-ref arg-3 3))) (let ((e-19 (vector-ref arg-3 4))) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (CoreC-45NormaliseC-45Convert-n--7160-7018-u--tryUpdateB arg-0 arg-1 e-17 e-19 e-18 e-16 arg-2 e-18) (lambda (u--bC-39) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (CoreC-45NormaliseC-45Convert-tryUpdate (cons e-17 arg-0) (cons e-17 arg-1) (((csegen-25) (lambda (eta-0) (CoreC-45NormaliseC-45Convert-n--7160-7019-u--weakenP arg-0 arg-1 e-17 e-19 e-18 e-16 arg-2 e-17 eta-0))) arg-2) e-19) (lambda (bind-0) (box (vector 3 e-16 e-17 u--bC-39 bind-0))))))))))) ((4) (let ((e-21 (vector-ref arg-3 1))) (let ((e-22 (vector-ref arg-3 2))) (let ((e-23 (vector-ref arg-3 3))) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (CoreC-45NormaliseC-45Convert-tryUpdate arg-0 arg-1 arg-2 e-22) (lambda (bind-0) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (CoreC-45NormaliseC-45Convert-tryUpdate arg-0 arg-1 arg-2 e-23) (lambda (bind-1) (box (vector 4 e-21 bind-0 bind-1)))))))))) ((5) (let ((e-25 (vector-ref arg-3 1))) (let ((e-26 (vector-ref arg-3 2))) (let ((e-27 (vector-ref arg-3 3))) (let ((e-28 (vector-ref arg-3 4))) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (CoreC-45NormaliseC-45Convert-tryUpdate arg-0 arg-1 arg-2 e-27) (lambda (bind-0) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (CoreC-45NormaliseC-45Convert-tryUpdate arg-0 arg-1 arg-2 e-28) (lambda (bind-1) (box (vector 5 e-25 e-26 bind-0 bind-1))))))))))) ((6) (let ((e-30 (vector-ref arg-3 1))) (let ((e-31 (vector-ref arg-3 2))) (let ((e-32 (vector-ref arg-3 3))) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (CoreC-45NormaliseC-45Convert-tryUpdate arg-0 arg-1 arg-2 e-32) (lambda (bind-0) (box (vector 6 e-30 e-31 bind-0)))))))) ((7) (let ((e-34 (vector-ref arg-3 1))) (let ((e-35 (vector-ref arg-3 2))) (let ((e-36 (vector-ref arg-3 3))) (let ((e-37 (vector-ref arg-3 4))) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (CoreC-45NormaliseC-45Convert-tryUpdate arg-0 arg-1 arg-2 e-36) (lambda (bind-0) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (CoreC-45NormaliseC-45Convert-tryUpdate arg-0 arg-1 arg-2 e-37) (lambda (bind-1) (box (vector 7 e-34 e-35 bind-0 bind-1))))))))))) ((8) (let ((e-39 (vector-ref arg-3 1))) (let ((e-40 (vector-ref arg-3 2))) (let ((e-41 (vector-ref arg-3 3))) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (CoreC-45NormaliseC-45Convert-tryUpdate arg-0 arg-1 arg-2 e-41) (lambda (bind-0) (box (vector 8 e-39 e-40 bind-0)))))))) ((9) (let ((e-43 (vector-ref arg-3 1))) (let ((e-44 (vector-ref arg-3 2))) (box (vector 9 e-43 e-44))))) ((10) (let ((e-46 (vector-ref arg-3 1))) (let ((e-47 (vector-ref arg-3 2))) (PreludeC-45Interfaces-C-60C-36C-62 (csegen-76) (lambda (eta-0) (vector 10 e-46 eta-0)) (CoreC-45TT-u--traverse_Traversable_WhyErased (csegen-323) (lambda (eta-0) (CoreC-45NormaliseC-45Convert-tryUpdate arg-0 arg-1 arg-2 eta-0)) e-47))))) (else (let ((e-49 (vector-ref arg-3 1))) (let ((e-50 (vector-ref arg-3 2))) (box (vector 11 e-49 e-50))))))))
(define CoreC-45NormaliseC-45Convert-quickConv (lambda (arg-1 arg-2) (if (null? arg-1) (if (null? arg-2) 1 0) (let ((e-2 (car arg-1))) (let ((e-3 (cdr arg-1))) (if (null? arg-2) 0 (let ((e-6 (car arg-2))) (let ((e-7 (cdr arg-2))) (let ((sc2 (CoreC-45NormaliseC-45Convert-n--7799-7825-u--quickConvArg e-2 e-3 e-6 e-7 e-2 e-6))) (cond ((equal? sc2 1) (CoreC-45NormaliseC-45Convert-quickConv e-3 e-7)) (else 0)))))))))))
(define CoreC-45NormaliseC-45Convert-getMatchingVars (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (case (vector-ref arg-5 0) ((0) (let ((e-2 (vector-ref arg-5 2))) (let ((e-5 (vector-ref arg-5 4))) (case (vector-ref arg-6 0) ((0) (let ((e-14 (vector-ref arg-6 2))) (let ((e-17 (vector-ref arg-6 4))) (CoreC-45NormaliseC-45Convert-getMatchingVarAlts arg-0 arg-1 arg-2 arg-3 (cons (cons e-2 e-14) arg-4) e-5 e-17))))(else (lambda (eta-0) (vector 1 '()))))))) ((1) (let ((e-7 (vector-ref arg-5 1))) (let ((e-8 (vector-ref arg-5 2))) (case (vector-ref arg-6 0) ((1) (let ((e-19 (vector-ref arg-6 1))) (let ((e-20 (vector-ref arg-6 2))) (CoreC-45NormaliseC-45Convert-case--getMatchingVars-8866 arg-1 arg-2 e-8 e-7 e-20 e-19 arg-4 arg-3 arg-0 (CoreC-45NormaliseC-45Convert-tryUpdate arg-1 arg-2 arg-4 e-8)))))(else (lambda (eta-0) (vector 1 '()))))))) ((2) (lambda (clam-0) (case (vector-ref arg-6 0) ((2) (vector 1 (box arg-4)))(else (vector 1 '()))))) ((3) (lambda (clam-1) (case (vector-ref arg-6 0) ((3) (vector 1 (box arg-4)))(else (vector 1 '())))))(else (lambda (eta-0) (vector 1 '()))))))
(define CoreC-45NormaliseC-45Convert-getMatchingVarAlts (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (if (null? arg-5) (lambda (clam-0) (if (null? arg-6) (vector 1 (box arg-4)) (vector 1 '()))) (let ((e-2 (car arg-5))) (let ((e-3 (cdr arg-5))) (if (null? arg-6) (lambda (eta-0) (vector 1 '())) (let ((e-6 (car arg-6))) (let ((e-7 (cdr arg-6))) (let ((eff-0 (CoreC-45NormaliseC-45Convert-getMatchingVarAlt arg-0 arg-1 arg-2 arg-3 arg-4 e-2 e-6))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (if (null? e-5) (lambda (eta-0) (vector 1 '())) (let ((e-1 (unbox e-5))) (CoreC-45NormaliseC-45Convert-getMatchingVarAlts arg-0 arg-1 arg-2 arg-3 e-1 e-3 e-7))))) eff-1)))))))))))))))
(define CoreC-45NormaliseC-45Convert-getMatchingVarAlt (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (case (vector-ref arg-5 0) ((0) (let ((e-1 (vector-ref arg-5 1))) (let ((e-2 (vector-ref arg-5 2))) (let ((e-3 (vector-ref arg-5 3))) (let ((e-4 (vector-ref arg-5 4))) (case (vector-ref arg-6 0) ((0) (let ((e-11 (vector-ref arg-6 1))) (let ((e-12 (vector-ref arg-6 2))) (let ((e-13 (vector-ref arg-6 3))) (let ((e-14 (vector-ref arg-6 4))) (let ((sc2 (CoreC-45Name-u--C-61C-61_Eq_Name e-1 e-11))) (cond ((equal? sc2 1) (CoreC-45NormaliseC-45Convert-case--caseC-32blockC-32inC-32getMatchingVarAlt-8456 arg-1 arg-2 e-3 e-4 e-2 e-1 e-13 e-14 e-12 e-11 arg-4 arg-3 arg-0 (CoreC-45NormaliseC-45Convert-n--7839-8180-u--extend arg-1 arg-2 e-3 e-4 e-2 e-1 e-13 e-14 e-12 e-11 arg-4 arg-3 arg-0 e-3 e-13 arg-4))) (else (lambda (eta-0) (vector 1 '()))))))))))(else (lambda (eta-0) (vector 1 '()))))))))) ((2) (let ((e-6 (vector-ref arg-5 1))) (let ((e-7 (vector-ref arg-5 2))) (case (vector-ref arg-6 0) ((2) (let ((e-16 (vector-ref arg-6 1))) (let ((e-17 (vector-ref arg-6 2))) (let ((sc2 (CoreC-45TT-u--C-61C-61_Eq_Constant e-6 e-16))) (cond ((equal? sc2 1) (CoreC-45NormaliseC-45Convert-getMatchingVars arg-0 arg-1 arg-2 arg-3 arg-4 e-7 e-17)) (else (lambda (eta-0) (vector 1 '()))))))))(else (lambda (eta-0) (vector 1 '()))))))) ((3) (let ((e-9 (vector-ref arg-5 1))) (case (vector-ref arg-6 0) ((3) (let ((e-19 (vector-ref arg-6 1))) (CoreC-45NormaliseC-45Convert-getMatchingVars arg-0 arg-1 arg-2 arg-3 arg-4 e-9 e-19)))(else (lambda (eta-0) (vector 1 '()))))))(else (lambda (eta-0) (vector 1 '()))))))
(define CoreC-45NormaliseC-45Convert-convBinders (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (case (vector-ref arg-6 0) ((2) (let ((e-2 (vector-ref arg-6 2))) (let ((e-4 (vector-ref arg-6 4))) (case (vector-ref arg-7 0) ((2) (let ((e-12 (vector-ref arg-7 2))) (let ((e-14 (vector-ref arg-7 4))) (let ((sc2 (AlgebraC-45ZeroOneOmega-u--C-47C-61_Eq_ZeroOneOmega e-2 e-12))) (cond ((equal? sc2 1) (lambda (eta-0) (vector 1 0))) (else (CoreC-45NormaliseC-45Convert-u--convGen_Convert_Closure arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-4 e-14)))))))(else (let ((sc1 (AlgebraC-45ZeroOneOmega-u--C-47C-61_Eq_ZeroOneOmega (CoreC-45TT-multiplicity arg-6) (CoreC-45TT-multiplicity arg-7)))) (cond ((equal? sc1 1) (lambda (eta-0) (vector 1 0))) (else (CoreC-45NormaliseC-45Convert-u--convGen_Convert_Closure arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 (CoreC-45TT-binderType arg-6) (CoreC-45TT-binderType arg-7)))))))))) ((0) (let ((e-7 (vector-ref arg-6 2))) (let ((e-9 (vector-ref arg-6 4))) (case (vector-ref arg-7 0) ((0) (let ((e-17 (vector-ref arg-7 2))) (let ((e-19 (vector-ref arg-7 4))) (let ((sc2 (AlgebraC-45ZeroOneOmega-u--C-47C-61_Eq_ZeroOneOmega e-7 e-17))) (cond ((equal? sc2 1) (lambda (eta-0) (vector 1 0))) (else (CoreC-45NormaliseC-45Convert-u--convGen_Convert_Closure arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-9 e-19)))))))(else (let ((sc1 (AlgebraC-45ZeroOneOmega-u--C-47C-61_Eq_ZeroOneOmega (CoreC-45TT-multiplicity arg-6) (CoreC-45TT-multiplicity arg-7)))) (cond ((equal? sc1 1) (lambda (eta-0) (vector 1 0))) (else (CoreC-45NormaliseC-45Convert-u--convGen_Convert_Closure arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 (CoreC-45TT-binderType arg-6) (CoreC-45TT-binderType arg-7))))))))))(else (let ((sc0 (AlgebraC-45ZeroOneOmega-u--C-47C-61_Eq_ZeroOneOmega (CoreC-45TT-multiplicity arg-6) (CoreC-45TT-multiplicity arg-7)))) (cond ((equal? sc0 1) (lambda (eta-0) (vector 1 0))) (else (CoreC-45NormaliseC-45Convert-u--convGen_Convert_Closure arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 (CoreC-45TT-binderType arg-6) (CoreC-45TT-binderType arg-7)))))))))
(define CoreC-45NormaliseC-45Convert-chkSameDefs (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9) (let ((eff-0 (CoreC-45Context-lookupDefExact arg-6 (let ((e-0 (vector-ref arg-4 0))) e-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (if (null? e-5) (lambda (eta-0) (vector 1 0)) (let ((e-1 (unbox e-5))) (case (vector-ref e-1 0) ((1) (let ((e-3 (vector-ref e-1 2))) (let ((e-4 (vector-ref e-1 3))) (let ((eff-1 (CoreC-45Context-lookupDefExact arg-7 (let ((e-0 (vector-ref arg-4 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-8 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-8) (lambda (eta-0) (vector 1 0)) (let ((e-9 (unbox e-8))) (case (vector-ref e-9 0) ((1) (let ((e-13 (vector-ref e-9 2))) (let ((e-12 (vector-ref e-9 3))) (let ((eff-2 (CoreC-45NormaliseC-45Convert-getMatchingVars arg-0 e-3 e-13 arg-4 '() e-4 e-12))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-15 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-15)))) (else (let ((e-15 (vector-ref lcase-2 1))) (let ((eff-3 (if (null? e-15) (lambda (eta-0) (vector 1 0)) (let ((e-16 (unbox e-15))) (CoreC-45NormaliseC-45Convert-n--7926-9025-u--convertMatches arg-1 arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-0 e-3 e-13 e-16))))) eff-3))))))))))(else (lambda (eta-0) (vector 1 0)))))))) eff-2))))))))))(else (lambda (eta-0) (vector 1 0)))))))) eff-1)))))))))
(define CoreC-45NormaliseC-45Convert-chkConvHead (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (case (vector-ref arg-6 0) ((0) (let ((e-3 (vector-ref arg-6 2))) (lambda (clam-0) (case (vector-ref arg-7 0) ((0) (let ((e-15 (vector-ref arg-7 2))) (vector 1 (or (and (= e-3 e-15) 1) 0))))(else (vector 1 0)))))) ((1) (let ((e-7 (vector-ref arg-6 2))) (lambda (clam-1) (case (vector-ref arg-7 0) ((1) (let ((e-19 (vector-ref arg-7 2))) (vector 1 (CoreC-45Name-u--C-61C-61_Eq_Name e-7 e-19))))(else (vector 1 0)))))) ((2) (let ((e-10 (vector-ref arg-6 2))) (let ((e-11 (vector-ref arg-6 3))) (case (vector-ref arg-7 0) ((2) (let ((e-22 (vector-ref arg-7 2))) (let ((e-23 (vector-ref arg-7 3))) (let ((sc2 (PreludeC-45EqOrd-u--C-61C-61_Eq_Int e-10 e-22))) (cond ((equal? sc2 1) (CoreC-45NormaliseC-45Convert-allConv arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-11 e-23)) (else (lambda (eta-0) (vector 1 0))))))))(else (lambda (eta-0) (vector 1 0)))))))(else (lambda (eta-0) (vector 1 0))))))
(define CoreC-45NormaliseC-45Convert-chkConvCaseBlock (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10) (case (vector-ref arg-7 0) ((1) (let ((e-1 (vector-ref arg-7 1))) (let ((e-2 (vector-ref arg-7 2))) (case (vector-ref arg-9 0) ((1) (let ((e-4 (vector-ref arg-9 1))) (let ((e-5 (vector-ref arg-9 2))) (let ((eff-0 (CoreC-45Context-u--full_HasNames_Name (let ((e-0 (vector-ref arg-5 0))) e-0) e-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (case (vector-ref e-6 0) ((0) (let ((e-3 (vector-ref e-6 2))) (case (vector-ref e-3 0) ((6) (let ((eff-1 (CoreC-45Context-u--full_HasNames_Name (let ((e-40 (vector-ref arg-5 0))) e-40) e-5))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-9 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-1 1))) (let ((eff-2 (case (vector-ref e-9 0) ((0) (let ((e-10 (vector-ref e-9 2))) (case (vector-ref e-10 0) ((6) (let ((eff-2 (CoreC-45NormaliseC-45Convert-chkSameDefs arg-0 arg-1 arg-3 arg-4 arg-5 arg-6 e-2 e-5 arg-8 arg-10))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-14 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-2 1))) (let ((eff-3 (cond ((equal? e-14 0) (let ((eff-3 (CoreC-45Context-lookupCtxtExact e-2 (let ((e-46 (vector-ref arg-5 0))) e-46)))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-15 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-15)))) (else (let ((e-15 (vector-ref lcase-3 1))) (let ((eff-4 (if (null? e-15) (lambda (eta-0) (vector 1 0)) (let ((e-16 (unbox e-15))) (let ((eff-4 (CoreC-45Context-lookupCtxtExact e-5 (let ((e-48 (vector-ref arg-5 0))) e-48)))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-17 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-17)))) (else (let ((e-17 (vector-ref lcase-4 1))) (let ((eff-5 (if (null? e-17) (lambda (eta-0) (vector 1 0)) (let ((e-18 (unbox e-17))) (let ((e-23 (vector-ref e-16 17))) (case (vector-ref e-23 0) ((1) (let ((e-43 (vector-ref e-23 3))) (let ((e-50 (vector-ref e-18 17))) (case (vector-ref e-50 0) ((1) (let ((e-70 (vector-ref e-50 3))) (let ((sc16 (CoreC-45NormaliseC-45Convert-n--7963-9563-u--findArgPos arg-1 e-4 e-1 e-2 e-5 arg-10 arg-8 arg-6 arg-5 arg-4 arg-3 arg-2 arg-0 e-43))) (if (null? sc16) (lambda (eta-0) (vector 1 0)) (let ((e-73 (unbox sc16))) (let ((sc17 (CoreC-45NormaliseC-45Convert-n--7963-9563-u--findArgPos arg-1 e-4 e-1 e-2 e-5 arg-10 arg-8 arg-6 arg-5 arg-4 arg-3 arg-2 arg-0 e-70))) (if (null? sc17) (lambda (eta-0) (vector 1 0)) (let ((e-74 (unbox sc17))) (let ((sc18 (CoreC-45NormaliseC-45Convert-n--7963-9564-u--getScrutinee arg-1 e-4 e-1 e-2 e-5 arg-10 arg-8 arg-6 arg-5 arg-4 arg-3 arg-2 arg-0 e-73 arg-8))) (if (null? sc18) (lambda (eta-0) (vector 1 0)) (let ((e-75 (unbox sc18))) (let ((sc19 (CoreC-45NormaliseC-45Convert-n--7963-9564-u--getScrutinee arg-1 e-4 e-1 e-2 e-5 arg-10 arg-8 arg-6 arg-5 arg-4 arg-3 arg-2 arg-0 e-74 arg-10))) (if (null? sc19) (lambda (eta-0) (vector 1 0)) (let ((e-76 (unbox sc19))) (let ((eff-5 (let ((eff-5 (CoreC-45NormaliseC-45Convert-u--convGen_Convert_Closure arg-0 arg-1 arg-3 arg-4 arg-5 arg-6 e-75 e-76))) (((csegen-50) ((let ((eff-6 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-77 (vector-ref eta-3 1))) (vector 0 e-77))) (else (let ((e-77 (vector-ref eta-3 1))) (vector 1 (eta-2 e-77))))))))))) (lambda (arg-11) (lambda (arg-12) ((((eff-6 'erased) 'erased) arg-11) arg-12)))) (lambda (_-8679) (vector 0 )))) eff-5)))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-77 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-77)))) (else (let ((eff-6 (lambda (eta-0) (vector 1 (CoreC-45FC-u--C-61C-61_Eq_FC (let ((e-99 (vector-ref e-16 0))) e-99) (let ((e-99 (vector-ref e-18 0))) e-99)))))) eff-6))))))))))))))))))))(else (lambda (eta-0) (vector 1 0)))))))(else (lambda (eta-0) (vector 1 0))))))))) eff-5))))))))))) eff-4)))))))) (else (lambda (eta-0) (vector 1 1)))))) eff-3))))))))(else (lambda (eta-0) (vector 1 0))))))(else (lambda (eta-0) (vector 1 0)))))) eff-2))))))))(else (lambda (eta-0) (vector 1 0))))))(else (lambda (eta-0) (vector 1 0)))))) eff-1))))))))))(else (lambda (eta-0) (vector 1 0)))))))(else (lambda (eta-0) (vector 1 0))))))
(define CoreC-45NormaliseC-45Convert-allConvNF (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (if (null? arg-6) (lambda (clam-0) (if (null? arg-7) (vector 1 1) (vector 1 0))) (let ((e-2 (car arg-6))) (let ((e-3 (cdr arg-6))) (if (null? arg-7) (lambda (eta-0) (vector 1 0)) (let ((e-6 (car arg-7))) (let ((e-7 (cdr arg-7))) (let ((eff-0 (CoreC-45NormaliseC-45Convert-allConvNF arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-3 e-7))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (cond ((equal? e-5 1) (CoreC-45NormaliseC-45Convert-u--convGen_Convert_NF arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-2 e-6)) (else (lambda (eta-0) (vector 1 0)))))) eff-1)))))))))))))))
(define CoreC-45NormaliseC-45Convert-allConv (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-4 eta-0)) arg-6 '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-4 eta-0)) arg-7 '()))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((sc2 (CoreC-45NormaliseC-45Convert-quickConv e-5 e-6))) (cond ((equal? sc2 1) (CoreC-45NormaliseC-45Convert-allConvNF arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-5 e-6)) (else (lambda (eta-0) (vector 1 0))))))) eff-2))))))))) eff-1)))))))))
(define CoreC-45TTC-n--13491-8077-u--fromBuf3 (lambda (arg-0 arg-1) (let ((eff-0 (CoreC-45BinaryC-45Prims-getTag arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (clam-0) (cond ((equal? e-5 18) (vector 1 (vector 23 ))) ((equal? e-5 100) (vector 1 (vector 37 )))(else (CoreC-45BinaryC-45Prims-corrupt "PrimFn 3" clam-0)))))) eff-1)))))))))
(define CoreC-45TTC-n--13491-8076-u--fromBuf2 (lambda (arg-0 arg-1) (let ((eff-0 (CoreC-45BinaryC-45Prims-getTag arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (cond ((equal? e-5 0) (let ((eff-1 (CoreC-45TTC-u--fromBuf_TTC_PrimType arg-0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 0 e-6))))) eff-2)))))))) ((equal? e-5 1) (let ((eff-1 (CoreC-45TTC-u--fromBuf_TTC_PrimType arg-0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 1 e-6))))) eff-2)))))))) ((equal? e-5 2) (let ((eff-1 (CoreC-45TTC-u--fromBuf_TTC_PrimType arg-0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 2 e-6))))) eff-2)))))))) ((equal? e-5 3) (let ((eff-1 (CoreC-45TTC-u--fromBuf_TTC_PrimType arg-0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 3 e-6))))) eff-2)))))))) ((equal? e-5 4) (let ((eff-1 (CoreC-45TTC-u--fromBuf_TTC_PrimType arg-0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 4 e-6))))) eff-2)))))))) ((equal? e-5 6) (let ((eff-1 (CoreC-45TTC-u--fromBuf_TTC_PrimType arg-0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 11 e-6))))) eff-2)))))))) ((equal? e-5 7) (let ((eff-1 (CoreC-45TTC-u--fromBuf_TTC_PrimType arg-0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 12 e-6))))) eff-2)))))))) ((equal? e-5 8) (let ((eff-1 (CoreC-45TTC-u--fromBuf_TTC_PrimType arg-0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 13 e-6))))) eff-2)))))))) ((equal? e-5 9) (let ((eff-1 (CoreC-45TTC-u--fromBuf_TTC_PrimType arg-0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 14 e-6))))) eff-2)))))))) ((equal? e-5 10) (let ((eff-1 (CoreC-45TTC-u--fromBuf_TTC_PrimType arg-0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 15 e-6))))) eff-2)))))))) ((equal? e-5 14) (lambda (eta-0) (vector 1 (vector 19 )))) ((equal? e-5 15) (lambda (eta-0) (vector 1 (vector 20 )))) ((equal? e-5 16) (lambda (eta-0) (vector 1 (vector 21 )))) ((equal? e-5 21) (lambda (eta-0) (vector 1 (vector 26 )))) ((equal? e-5 35) (let ((eff-1 (CoreC-45TTC-u--fromBuf_TTC_PrimType arg-0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 6 e-6))))) eff-2)))))))) ((equal? e-5 36) (let ((eff-1 (CoreC-45TTC-u--fromBuf_TTC_PrimType arg-0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 7 e-6))))) eff-2)))))))) ((equal? e-5 37) (let ((eff-1 (CoreC-45TTC-u--fromBuf_TTC_PrimType arg-0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 8 e-6))))) eff-2)))))))) ((equal? e-5 38) (let ((eff-1 (CoreC-45TTC-u--fromBuf_TTC_PrimType arg-0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 9 e-6))))) eff-2)))))))) ((equal? e-5 39) (let ((eff-1 (CoreC-45TTC-u--fromBuf_TTC_PrimType arg-0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 10 e-6))))) eff-2)))))))) ((equal? e-5 101) (lambda (eta-0) (vector 1 (vector 38 ))))(else (lambda (eta-0) (CoreC-45BinaryC-45Prims-corrupt "PrimFn 2" eta-0)))))) eff-1)))))))))
(define CoreC-45TTC-n--13491-8075-u--fromBuf1 (lambda (arg-0 arg-1) (let ((eff-0 (CoreC-45BinaryC-45Prims-getTag arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (cond ((equal? e-5 5) (let ((eff-1 (CoreC-45TTC-u--fromBuf_TTC_PrimType arg-0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 5 e-6))))) eff-2)))))))) ((equal? e-5 11) (lambda (eta-0) (vector 1 (vector 16 )))) ((equal? e-5 12) (lambda (eta-0) (vector 1 (vector 17 )))) ((equal? e-5 13) (lambda (eta-0) (vector 1 (vector 18 )))) ((equal? e-5 17) (lambda (eta-0) (vector 1 (vector 22 )))) ((equal? e-5 19) (lambda (eta-0) (vector 1 (vector 24 )))) ((equal? e-5 20) (lambda (eta-0) (vector 1 (vector 25 )))) ((equal? e-5 22) (lambda (eta-0) (vector 1 (vector 27 )))) ((equal? e-5 23) (lambda (eta-0) (vector 1 (vector 28 )))) ((equal? e-5 24) (lambda (eta-0) (vector 1 (vector 29 )))) ((equal? e-5 25) (lambda (eta-0) (vector 1 (vector 30 )))) ((equal? e-5 26) (lambda (eta-0) (vector 1 (vector 31 )))) ((equal? e-5 27) (lambda (eta-0) (vector 1 (vector 32 )))) ((equal? e-5 32) (lambda (eta-0) (vector 1 (vector 33 )))) ((equal? e-5 33) (lambda (eta-0) (vector 1 (vector 34 )))) ((equal? e-5 34) (lambda (eta-0) (vector 1 (vector 35 )))) ((equal? e-5 99) (let ((eff-1 (CoreC-45TTC-u--fromBuf_TTC_PrimType arg-0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45TTC-u--fromBuf_TTC_PrimType arg-0))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (vector 36 e-6 e-7))))) eff-3))))))))) eff-2))))))))(else (lambda (eta-0) (CoreC-45BinaryC-45Prims-corrupt "PrimFn 1" eta-0)))))) eff-1)))))))))
(define CoreC-45TTC-n--18474-12610-u--cwName (lambda (arg-0 arg-1 arg-2) (case (vector-ref arg-2 0) ((6) 1) ((7) 1)(else 0))))
(define CoreC-45TTC-u--toBuf_TTC_Visibility (lambda (arg-0 arg-1) (cond ((equal? arg-1 0) (CoreC-45BinaryC-45Prims-tag arg-0 0)) ((equal? arg-1 1) (CoreC-45BinaryC-45Prims-tag arg-0 1)) (else (CoreC-45BinaryC-45Prims-tag arg-0 2)))))
(define CoreC-45TTC-u--toBuf_TTC_VirtualIdent (lambda (arg-0 arg-1) (CoreC-45BinaryC-45Prims-tag arg-0 0)))
(define CoreC-45TTC-u--toBuf_TTC_UseSide (lambda (arg-0 arg-1) (cond ((equal? arg-1 0) (CoreC-45BinaryC-45Prims-tag arg-0 0)) (else (CoreC-45BinaryC-45Prims-tag arg-0 1)))))
(define CoreC-45TTC-u--toBuf_TTC_TypeFlags (lambda (arg-0 arg-1) (let ((eff-0 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_Bool arg-0 (let ((e-0 (car arg-1))) e-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_Bool arg-0 (let ((e-1 (cdr arg-1))) e-1)))) eff-1))))))))
(define CoreC-45TTC-u--toBuf_TTC_Transform (lambda (arg-0 arg-1) (let ((e-0 (vector-ref arg-1 0))) (let ((e-1 (vector-ref arg-1 1))) (let ((e-2 (vector-ref arg-1 2))) (let ((e-3 (vector-ref arg-1 3))) (let ((e-4 (vector-ref arg-1 4))) (let ((eff-0 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40ListC-32C-36aC-41 (csegen-64) arg-0 e-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45TTC-u--toBuf_TTC_Name arg-0 e-1))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-6 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45TTC-u--toBuf_TTC_C-40C-40EnvC-32TermC-41C-32C-36varsC-41 e-0 arg-0 e-2))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-7 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((eff-3 (let ((eff-3 (CoreC-45TTC-u--toBuf_TTC_C-40TermC-32C-36varsC-41 e-0 arg-0 e-3))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-8 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((eff-4 (CoreC-45TTC-u--toBuf_TTC_C-40TermC-32C-36varsC-41 e-0 arg-0 e-4))) eff-4)))))))) eff-3)))))))) eff-2)))))))) eff-1)))))))))))))
(define CoreC-45TTC-u--toBuf_TTC_Totality (lambda (arg-0 arg-1) (let ((e-0 (car arg-1))) (let ((e-1 (cdr arg-1))) (let ((eff-0 (CoreC-45TTC-u--toBuf_TTC_Terminating arg-0 e-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45TTC-u--toBuf_TTC_Covering arg-0 e-1))) eff-1))))))))))
(define CoreC-45TTC-u--toBuf_TTC_TotalReq (lambda (arg-0 arg-1) (cond ((equal? arg-1 0) (CoreC-45BinaryC-45Prims-tag arg-0 0)) ((equal? arg-1 1) (CoreC-45BinaryC-45Prims-tag arg-0 1)) (else (CoreC-45BinaryC-45Prims-tag arg-0 2)))))
(define CoreC-45TTC-u--toBuf_TTC_Terminating (lambda (arg-0 arg-1) (case (vector-ref arg-1 0) ((0) (CoreC-45BinaryC-45Prims-tag arg-0 0)) ((1) (CoreC-45BinaryC-45Prims-tag arg-0 1)) (else (let ((e-0 (vector-ref arg-1 1))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-0 2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45TTC-u--toBuf_TTC_PartialReason arg-0 e-0))) eff-1)))))))))))
(define CoreC-45TTC-u--toBuf_TTC_SizeChange (lambda (arg-0 arg-1) (cond ((equal? arg-1 0) (CoreC-45BinaryC-45Prims-tag arg-0 0)) ((equal? arg-1 1) (CoreC-45BinaryC-45Prims-tag arg-0 1)) (else (CoreC-45BinaryC-45Prims-tag arg-0 2)))))
(define CoreC-45TTC-u--toBuf_TTC_SCCall (lambda (arg-0 arg-1) (let ((eff-0 (CoreC-45TTC-u--toBuf_TTC_Name arg-0 (let ((e-0 (car arg-1))) e-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40ListC-32C-36aC-41 (csegen-1943) arg-0 (let ((e-1 (cdr arg-1))) e-1)))) eff-1))))))))
(define CoreC-45TTC-u--toBuf_TTC_RigCount (lambda (arg-0 ext-0) (AlgebraC-45Semiring-elimSemi (csegen-1156) (CoreC-45BinaryC-45Prims-tag arg-0 0) (CoreC-45BinaryC-45Prims-tag arg-0 1) (lambda (eta-0) (CoreC-45BinaryC-45Prims-tag arg-0 2)) ext-0)))
(define CoreC-45TTC-u--toBuf_TTC_RewriteNames (lambda (arg-0 arg-1) (let ((eff-0 (CoreC-45TTC-u--toBuf_TTC_Name arg-0 (let ((e-0 (car arg-1))) e-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45TTC-u--toBuf_TTC_Name arg-0 (let ((e-1 (cdr arg-1))) e-1)))) eff-1))))))))
(define CoreC-45TTC-u--toBuf_TTC_PrimType (lambda (arg-0 arg-1) (cond ((equal? arg-1 0) (CoreC-45BinaryC-45Prims-tag arg-0 0)) ((equal? arg-1 1) (CoreC-45BinaryC-45Prims-tag arg-0 1)) ((equal? arg-1 2) (CoreC-45BinaryC-45Prims-tag arg-0 2)) ((equal? arg-1 3) (CoreC-45BinaryC-45Prims-tag arg-0 3)) ((equal? arg-1 4) (CoreC-45BinaryC-45Prims-tag arg-0 4)) ((equal? arg-1 5) (CoreC-45BinaryC-45Prims-tag arg-0 5)) ((equal? arg-1 6) (CoreC-45BinaryC-45Prims-tag arg-0 6)) ((equal? arg-1 7) (CoreC-45BinaryC-45Prims-tag arg-0 7)) ((equal? arg-1 8) (CoreC-45BinaryC-45Prims-tag arg-0 8)) ((equal? arg-1 9) (CoreC-45BinaryC-45Prims-tag arg-0 9)) ((equal? arg-1 10) (CoreC-45BinaryC-45Prims-tag arg-0 10)) ((equal? arg-1 11) (CoreC-45BinaryC-45Prims-tag arg-0 11)) ((equal? arg-1 12) (CoreC-45BinaryC-45Prims-tag arg-0 12)) (else (CoreC-45BinaryC-45Prims-tag arg-0 13)))))
(define CoreC-45TTC-u--toBuf_TTC_PrimNames (lambda (arg-0 arg-1) (let ((eff-0 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40MaybeC-32C-36aC-41 (csegen-64) arg-0 (let ((e-0 (vector-ref arg-1 0))) e-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40MaybeC-32C-36aC-41 (csegen-64) arg-0 (let ((e-1 (vector-ref arg-1 1))) e-1)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40MaybeC-32C-36aC-41 (csegen-64) arg-0 (let ((e-2 (vector-ref arg-1 2))) e-2)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40MaybeC-32C-36aC-41 (csegen-64) arg-0 (let ((e-3 (vector-ref arg-1 3))) e-3)))) eff-3)))))))) eff-2)))))))) eff-1))))))))
(define CoreC-45TTC-u--toBuf_TTC_PartialReason (lambda (arg-0 arg-1) (case (vector-ref arg-1 0) ((0) (CoreC-45BinaryC-45Prims-tag arg-0 0)) ((1) (let ((e-0 (vector-ref arg-1 1))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-0 1))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40ListC-32C-36aC-41 (csegen-64) arg-0 e-0))) eff-1)))))))) (else (let ((e-1 (vector-ref arg-1 1))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-0 2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40ListC-32C-36aC-41 (csegen-64) arg-0 e-1))) eff-1)))))))))))
(define CoreC-45TTC-u--toBuf_TTC_PairNames (lambda (arg-0 arg-1) (let ((eff-0 (CoreC-45TTC-u--toBuf_TTC_Name arg-0 (let ((e-0 (vector-ref arg-1 0))) e-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45TTC-u--toBuf_TTC_Name arg-0 (let ((e-1 (vector-ref arg-1 1))) e-1)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (CoreC-45TTC-u--toBuf_TTC_Name arg-0 (let ((e-2 (vector-ref arg-1 2))) e-2)))) eff-2)))))))) eff-1))))))))
(define CoreC-45TTC-u--toBuf_TTC_PMDefInfo (lambda (arg-0 arg-1) (let ((eff-0 (CoreC-45TTC-u--toBuf_TTC_HoleInfo arg-0 (let ((e-0 (vector-ref arg-1 0))) e-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_Bool arg-0 (let ((e-1 (vector-ref arg-1 1))) e-1)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_Bool arg-0 (let ((e-2 (vector-ref arg-1 2))) e-2)))) eff-2)))))))) eff-1))))))))
(define CoreC-45TTC-u--toBuf_TTC_OriginDesc (lambda (arg-0 arg-1) (case (vector-ref arg-1 0) ((0) (let ((e-0 (vector-ref arg-1 1))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-0 0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45TTC-u--toBuf_TTC_ModuleIdent arg-0 e-0))) eff-1)))))))) ((1) (let ((e-1 (vector-ref arg-1 1))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-0 1))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_String arg-0 e-1))) eff-1)))))))) (else (let ((e-2 (vector-ref arg-1 1))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-0 2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-1 (CoreC-45TTC-u--toBuf_TTC_VirtualIdent arg-0 e-2))) eff-1)))))))))))
(define CoreC-45TTC-u--toBuf_TTC_Namespace (lambda (arg-0 ext-0) (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40ListC-32C-36aC-41 (csegen-1945) arg-0 (CoreC-45NameC-45Namespace-unsafeUnfoldNamespace ext-0))))
(define CoreC-45TTC-u--toBuf_TTC_NameType (lambda (arg-0 arg-1) (case (vector-ref arg-1 0) ((0) (CoreC-45BinaryC-45Prims-tag arg-0 0)) ((1) (CoreC-45BinaryC-45Prims-tag arg-0 1)) ((2) (let ((e-0 (vector-ref arg-1 1))) (let ((e-1 (vector-ref arg-1 2))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-0 2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_Int arg-0 e-0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_Nat arg-0 e-1))) eff-2)))))))) eff-1))))))))) (else (let ((e-2 (vector-ref arg-1 1))) (let ((e-3 (vector-ref arg-1 2))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-0 3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_Int arg-0 e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-2 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_Nat arg-0 e-3))) eff-2)))))))) eff-1))))))))))))
(define CoreC-45TTC-u--toBuf_TTC_Name (lambda (arg-0 arg-1) (case (vector-ref arg-1 0) ((0) (let ((e-0 (vector-ref arg-1 1))) (let ((e-1 (vector-ref arg-1 2))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-0 0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45TTC-u--toBuf_TTC_Namespace arg-0 e-0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (CoreC-45TTC-u--toBuf_TTC_Name arg-0 e-1))) eff-2)))))))) eff-1))))))))) ((1) (let ((e-2 (vector-ref arg-1 1))) (case (vector-ref e-2 0) ((0) (let ((e-16 (vector-ref e-2 1))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-0 1))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-1 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_String arg-0 e-16))) eff-1)))))))) ((1) (let ((e-17 (vector-ref e-2 1))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-0 5))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-1 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_String arg-0 e-17))) eff-1)))))))) (else (CoreC-45BinaryC-45Prims-tag arg-0 9))))) ((2) (let ((e-3 (vector-ref arg-1 1))) (let ((e-4 (vector-ref arg-1 2))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-0 2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_String arg-0 e-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_Int arg-0 e-4))) eff-2)))))))) eff-1))))))))) ((3) (let ((e-5 (vector-ref arg-1 1))) (let ((e-6 (vector-ref arg-1 2))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-0 3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45TTC-u--toBuf_TTC_Name arg-0 e-5))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_Int arg-0 e-6))) eff-2)))))))) eff-1))))))))) ((4) (let ((e-7 (vector-ref arg-1 1))) (let ((e-8 (vector-ref arg-1 2))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-0 4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_String arg-0 e-7))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (CoreC-45TTC-u--toBuf_TTC_Name arg-0 e-8))) eff-2)))))))) eff-1))))))))) ((5) (let ((e-9 (vector-ref arg-1 1))) (let ((e-10 (vector-ref arg-1 2))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-0 6))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-1948) arg-0 e-9))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (CoreC-45TTC-u--toBuf_TTC_Name arg-0 e-10))) eff-2)))))))) eff-1))))))))) ((6) (let ((e-11 (vector-ref arg-1 1))) (let ((e-12 (vector-ref arg-1 2))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-0 7))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_String arg-0 e-11))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_Int arg-0 e-12))) eff-2)))))))) eff-1))))))))) ((7) (let ((e-13 (vector-ref arg-1 1))) (let ((e-14 (vector-ref arg-1 2))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-0 8))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_String arg-0 e-13))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_Int arg-0 e-14))) eff-2)))))))) eff-1))))))))) (else (let ((e-15 (vector-ref arg-1 1))) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 (string-append "Can't write resolved name " (PreludeC-45Show-u--show_Show_Int e-15))) eta-0)))))))
(define CoreC-45TTC-u--toBuf_TTC_ModuleIdent (lambda (arg-0 ext-0) (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40ListC-32C-36aC-41 (csegen-1945) arg-0 (CoreC-45NameC-45Namespace-unsafeUnfoldModuleIdent ext-0))))
(define CoreC-45TTC-u--toBuf_TTC_LazyReason (lambda (arg-0 arg-1) (cond ((equal? arg-1 0) (CoreC-45BinaryC-45Prims-tag arg-0 0)) ((equal? arg-1 1) (CoreC-45BinaryC-45Prims-tag arg-0 1)) (else (CoreC-45BinaryC-45Prims-tag arg-0 2)))))
(define CoreC-45TTC-u--toBuf_TTC_HoleInfo (lambda (arg-0 arg-1) (if (null? arg-1) (CoreC-45BinaryC-45Prims-tag arg-0 0) (let ((e-0 (unbox arg-1))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-0 1))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_Nat arg-0 e-0))) eff-1))))))))))
(define CoreC-45TTC-u--toBuf_TTC_GlobalDef (lambda (arg-0 arg-1) (let ((eff-0 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40MaybeC-32C-36aC-41 (csegen-62) arg-0 (let ((e-18 (vector-ref arg-1 18))) e-18)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40MaybeC-32C-36aC-41 (csegen-73) arg-0 ((csegen-1949) (let ((e-13 (vector-ref arg-1 13))) e-13))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45TTC-u--toBuf_TTC_FC arg-0 (let ((e-0 (vector-ref arg-1 0))) e-0)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (let ((eff-3 (CoreC-45TTC-u--toBuf_TTC_RigCount arg-0 (let ((e-22 (vector-ref arg-1 7))) e-22)))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-4 (let ((eff-4 (CoreC-45TTC-u--toBuf_TTC_Name arg-0 (let ((e-1 (vector-ref arg-1 1))) e-1)))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-5 (let ((eff-5 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40MaybeC-32C-36aC-41 (csegen-73) arg-0 ((csegen-1949) (let ((e-12 (vector-ref arg-1 12))) e-12))))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-6 (let ((eff-6 (CoreC-45TTC-u--toBuf_TTC_Def arg-0 (let ((e-17 (vector-ref arg-1 17))) e-17)))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-2 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-7 (let ((sc7 (let ((sc8 (CoreC-45Name-isUserName (let ((e-1 (vector-ref arg-1 1))) e-1)))) (cond ((equal? sc8 1) 1) (else (CoreC-45TTC-n--18474-12610-u--cwName arg-1 arg-0 (let ((e-1 (vector-ref arg-1 1))) e-1))))))) (cond ((equal? sc7 1) (let ((eff-7 (CoreC-45TTC-u--toBuf_TTC_C-40TermC-32C-36varsC-41 '() arg-0 (let ((e-2 (vector-ref arg-1 2))) e-2)))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-2 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-8 (let ((eff-8 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40ListC-32C-36aC-41 (csegen-1934) arg-0 (let ((e-3 (vector-ref arg-1 3))) e-3)))) (PrimIO-io_bind eff-8 (lambda (lcase-8) (case (vector-ref lcase-8 0) ((0) (let ((e-2 (vector-ref lcase-8 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-9 (let ((eff-9 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40ListC-32C-36aC-41 (csegen-1934) arg-0 (let ((e-4 (vector-ref arg-1 4))) e-4)))) (PrimIO-io_bind eff-9 (lambda (lcase-9) (case (vector-ref lcase-9 0) ((0) (let ((e-2 (vector-ref lcase-9 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-10 (let ((eff-10 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40ListC-32C-36aC-41 (csegen-1934) arg-0 (let ((e-31 (vector-ref arg-1 5))) e-31)))) (PrimIO-io_bind eff-10 (lambda (lcase-10) (case (vector-ref lcase-10 0) ((0) (let ((e-2 (vector-ref lcase-10 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-11 (let ((eff-11 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40ListC-32C-36aC-41 (csegen-1934) arg-0 (let ((e-31 (vector-ref arg-1 6))) e-31)))) (PrimIO-io_bind eff-11 (lambda (lcase-11) (case (vector-ref lcase-11 0) ((0) (let ((e-2 (vector-ref lcase-11 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-12 (let ((eff-12 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40ListC-32C-36aC-41 (csegen-64) arg-0 (let ((e-30 (vector-ref arg-1 8))) e-30)))) (PrimIO-io_bind eff-12 (lambda (lcase-12) (case (vector-ref lcase-12 0) ((0) (let ((e-2 (vector-ref lcase-12 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-13 (let ((eff-13 (CoreC-45TTC-u--toBuf_TTC_Visibility arg-0 (let ((e-30 (vector-ref arg-1 9))) e-30)))) (PrimIO-io_bind eff-13 (lambda (lcase-13) (case (vector-ref lcase-13 0) ((0) (let ((e-2 (vector-ref lcase-13 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-14 (let ((eff-14 (CoreC-45TTC-u--toBuf_TTC_Totality arg-0 (let ((e-30 (vector-ref arg-1 10))) e-30)))) (PrimIO-io_bind eff-14 (lambda (lcase-14) (case (vector-ref lcase-14 0) ((0) (let ((e-2 (vector-ref lcase-14 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-15 (let ((eff-15 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40ListC-32C-36aC-41 (csegen-1951) arg-0 (let ((e-30 (vector-ref arg-1 11))) e-30)))) (PrimIO-io_bind eff-15 (lambda (lcase-15) (case (vector-ref lcase-15 0) ((0) (let ((e-2 (vector-ref lcase-15 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-16 (let ((eff-16 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_Bool arg-0 (let ((e-28 (vector-ref arg-1 14))) e-28)))) (PrimIO-io_bind eff-16 (lambda (lcase-16) (case (vector-ref lcase-16 0) ((0) (let ((e-2 (vector-ref lcase-16 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-17 (let ((eff-17 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_Bool arg-0 (let ((e-28 (vector-ref arg-1 15))) e-28)))) (PrimIO-io_bind eff-17 (lambda (lcase-17) (case (vector-ref lcase-17 0) ((0) (let ((e-2 (vector-ref lcase-17 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-18 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40ListC-32C-36aC-41 (csegen-1953) arg-0 (let ((e-24 (vector-ref arg-1 20))) e-24)))) eff-18)))))))) eff-17)))))))) eff-16)))))))) eff-15)))))))) eff-14)))))))) eff-13)))))))) eff-12)))))))) eff-11)))))))) eff-10)))))))) eff-9)))))))) eff-8))))))) (else (lambda (eta-0) (vector 1 (vector 0 )))))))) eff-7)))))))) eff-6)))))))) eff-5)))))))) eff-4)))))))) eff-3)))))))) eff-2)))))))) eff-1))))))))
(define CoreC-45TTC-u--toBuf_TTC_FC (lambda (arg-0 arg-1) (case (vector-ref arg-1 0) ((0) (let ((e-0 (vector-ref arg-1 1))) (let ((e-1 (vector-ref arg-1 2))) (let ((e-2 (vector-ref arg-1 3))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-0 0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45TTC-u--toBuf_TTC_OriginDesc arg-0 e-0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-3 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-1948) arg-0 e-1))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-3 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-3 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-1948) arg-0 e-2))) eff-3)))))))) eff-2)))))))) eff-1)))))))))) ((1) (let ((e-3 (vector-ref arg-1 1))) (let ((e-4 (vector-ref arg-1 2))) (let ((e-5 (vector-ref arg-1 3))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-0 2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45TTC-u--toBuf_TTC_OriginDesc arg-0 e-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-1948) arg-0 e-4))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-1948) arg-0 e-5))) eff-3)))))))) eff-2)))))))) eff-1)))))))))) (else (CoreC-45BinaryC-45Prims-tag arg-0 1)))))
(define CoreC-45TTC-u--toBuf_TTC_DefFlag (lambda (arg-0 arg-1) (case (vector-ref arg-1 0) ((0) (CoreC-45BinaryC-45Prims-tag arg-0 2)) ((1) (CoreC-45BinaryC-45Prims-tag arg-0 13)) ((2) (CoreC-45BinaryC-45Prims-tag arg-0 15)) ((3) (CoreC-45BinaryC-45Prims-tag arg-0 3)) ((4) (CoreC-45BinaryC-45Prims-tag arg-0 4)) ((5) (CoreC-45BinaryC-45Prims-tag arg-0 5)) ((6) (let ((e-0 (vector-ref arg-1 1))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-0 6))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45TTC-u--toBuf_TTC_TotalReq arg-0 e-0))) eff-1)))))))) ((7) (CoreC-45BinaryC-45Prims-tag arg-0 7)) ((8) (CoreC-45BinaryC-45Prims-tag arg-0 8)) ((9) (CoreC-45BinaryC-45Prims-tag arg-0 9)) ((10) (CoreC-45BinaryC-45Prims-tag arg-0 10)) ((11) (let ((e-2 (vector-ref arg-1 1))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-0 11))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-1 (CoreC-45TTC-u--toBuf_TTC_ConInfo arg-0 e-2))) eff-1)))))))) (else (let ((e-3 (vector-ref arg-1 1))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-0 12))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_Nat arg-0 e-3))) eff-1)))))))))))
(define CoreC-45TTC-u--toBuf_TTC_Def (lambda (arg-0 arg-1) (case (vector-ref arg-1 0) ((0) (CoreC-45BinaryC-45Prims-tag arg-0 0)) ((1) (let ((e-0 (vector-ref arg-1 1))) (let ((e-1 (vector-ref arg-1 2))) (let ((e-2 (vector-ref arg-1 3))) (let ((e-4 (vector-ref arg-1 5))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-0 1))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45TTC-u--toBuf_TTC_PMDefInfo arg-0 e-0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-6 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40ListC-32C-36aC-41 (csegen-64) arg-0 e-1))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-7 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((eff-3 (let ((eff-3 (CoreC-45TTC-u--toBuf_TTC_C-40CaseTreeC-32C-36varsC-41 e-1 arg-0 e-2))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-8 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((eff-4 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40ListC-32C-36aC-41 (csegen-1961) arg-0 e-4))) eff-4)))))))) eff-3)))))))) eff-2)))))))) eff-1))))))))))) ((2) (let ((e-5 (vector-ref arg-1 1))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-0 2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_Nat arg-0 e-5))) eff-1)))))))) ((3) (let ((e-6 (vector-ref arg-1 1))) (let ((e-7 (vector-ref arg-1 2))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-0 3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_Nat arg-0 e-6))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40ListC-32C-36aC-41 (csegen-1945) arg-0 e-7))) eff-2)))))))) eff-1))))))))) ((4) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 "Trying to serialise a Builtin") eta-0))) ((5) (let ((e-10 (vector-ref arg-1 1))) (let ((e-11 (vector-ref arg-1 2))) (let ((e-12 (vector-ref arg-1 3))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-0 4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_Int arg-0 e-10))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_Nat arg-0 e-11))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40MaybeC-32C-36aC-41 (csegen-1966) arg-0 e-12))) eff-3)))))))) eff-2)))))))) eff-1)))))))))) ((6) (let ((e-13 (vector-ref arg-1 1))) (let ((e-14 (vector-ref arg-1 2))) (let ((e-15 (vector-ref arg-1 3))) (let ((e-16 (vector-ref arg-1 4))) (let ((e-17 (vector-ref arg-1 5))) (let ((e-18 (vector-ref arg-1 6))) (let ((e-19 (vector-ref arg-1 7))) (let ((e-20 (vector-ref arg-1 8))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-0 5))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_Int arg-0 e-13))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_Nat arg-0 e-14))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (let ((eff-3 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40ListC-32C-36aC-41 (csegen-1934) arg-0 e-15))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-4 (let ((eff-4 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40ListC-32C-36aC-41 (csegen-1934) arg-0 e-16))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-5 (let ((eff-5 (CoreC-45TTC-u--toBuf_TTC_TypeFlags arg-0 e-17))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-6 (let ((eff-6 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40ListC-32C-36aC-41 (csegen-64) arg-0 e-18))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-2 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-7 (let ((eff-7 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40ListC-32C-36aC-41 (csegen-64) arg-0 e-19))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-2 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-8 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40MaybeC-32C-36aC-41 (csegen-1969) arg-0 e-20))) eff-8)))))))) eff-7)))))))) eff-6)))))))) eff-5)))))))) eff-4)))))))) eff-3)))))))) eff-2)))))))) eff-1))))))))))))))) ((7) (let ((e-21 (vector-ref arg-1 1))) (let ((e-22 (vector-ref arg-1 2))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-0 6))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_Nat arg-0 e-21))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_Bool arg-0 (let ((e-0 (car e-22))) e-0)))) eff-2)))))))) eff-1))))))))) ((8) (let ((e-23 (vector-ref arg-1 1))) (let ((e-24 (vector-ref arg-1 2))) (let ((e-25 (vector-ref arg-1 3))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-0 7))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45TTC-u--toBuf_TTC_RigCount arg-0 e-23))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_Nat arg-0 e-24))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (CoreC-45TTC-u--toBuf_TTC_Name arg-0 e-25))) eff-3)))))))) eff-2)))))))) eff-1)))))))))) ((9) (let ((e-26 (vector-ref arg-1 1))) (let ((e-27 (vector-ref arg-1 2))) (let ((e-28 (vector-ref arg-1 3))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-0 8))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45TTC-u--toBuf_TTC_C-40TermC-32C-36varsC-41 '() arg-0 e-26))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_Nat arg-0 e-27))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40ListC-32C-36aC-41 (csegen-1947) arg-0 e-28))) eff-3)))))))) eff-2)))))))) eff-1)))))))))) ((10) (CoreC-45BinaryC-45Prims-tag arg-0 9)) ((12) (CoreC-45BinaryC-45Prims-tag arg-0 10)) (else (let ((e-29 (vector-ref arg-1 1))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-0 11))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_Integer arg-0 e-29))) eff-1)))))))))))
(define CoreC-45TTC-u--toBuf_TTC_Covering (lambda (arg-0 arg-1) (case (vector-ref arg-1 0) ((0) (CoreC-45BinaryC-45Prims-tag arg-0 0)) ((1) (let ((e-0 (vector-ref arg-1 1))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-0 1))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40ListC-32C-36aC-41 (csegen-1972) arg-0 e-0))) eff-1)))))))) (else (let ((e-1 (vector-ref arg-1 1))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-0 2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40ListC-32C-36aC-41 (csegen-64) arg-0 e-1))) eff-1)))))))))))
(define CoreC-45TTC-u--toBuf_TTC_Constant (lambda (arg-0 arg-1) (case (vector-ref arg-1 0) ((0) (let ((e-0 (vector-ref arg-1 1))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-0 0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_Int arg-0 e-0))) eff-1)))))))) ((1) (let ((e-1 (vector-ref arg-1 1))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-0 1))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_Int8 arg-0 e-1))) eff-1)))))))) ((2) (let ((e-2 (vector-ref arg-1 1))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-0 2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-1 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_Int16 arg-0 e-2))) eff-1)))))))) ((3) (let ((e-3 (vector-ref arg-1 1))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-0 3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_Int32 arg-0 e-3))) eff-1)))))))) ((4) (let ((e-4 (vector-ref arg-1 1))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-0 4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_Int64 arg-0 e-4))) eff-1)))))))) ((5) (let ((e-5 (vector-ref arg-1 1))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-0 5))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_Integer arg-0 e-5))) eff-1)))))))) ((6) (let ((e-6 (vector-ref arg-1 1))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-0 6))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_Bits8 arg-0 e-6))) eff-1)))))))) ((7) (let ((e-7 (vector-ref arg-1 1))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-0 7))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_Bits16 arg-0 e-7))) eff-1)))))))) ((8) (let ((e-8 (vector-ref arg-1 1))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-0 8))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_Bits32 arg-0 e-8))) eff-1)))))))) ((9) (let ((e-9 (vector-ref arg-1 1))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-0 9))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_Bits64 arg-0 e-9))) eff-1)))))))) ((10) (let ((e-10 (vector-ref arg-1 1))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-0 10))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_String arg-0 e-10))) eff-1)))))))) ((11) (let ((e-11 (vector-ref arg-1 1))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-0 11))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_Char arg-0 e-11))) eff-1)))))))) ((12) (let ((e-12 (vector-ref arg-1 1))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-0 12))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_Double arg-0 e-12))) eff-1)))))))) ((13) (let ((e-13 (vector-ref arg-1 1))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-0 13))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45TTC-u--toBuf_TTC_PrimType arg-0 e-13))) eff-1)))))))) (else (CoreC-45BinaryC-45Prims-tag arg-0 14)))))
(define CoreC-45TTC-u--toBuf_TTC_ConInfo (lambda (arg-0 arg-1) (case (vector-ref arg-1 0) ((0) (CoreC-45BinaryC-45Prims-tag arg-0 0)) ((1) (CoreC-45BinaryC-45Prims-tag arg-0 1)) ((2) (CoreC-45BinaryC-45Prims-tag arg-0 2)) ((3) (CoreC-45BinaryC-45Prims-tag arg-0 3)) ((4) (let ((e-0 (vector-ref arg-1 1))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-0 4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_Nat arg-0 e-0))) eff-1)))))))) ((5) (CoreC-45BinaryC-45Prims-tag arg-0 5)) ((6) (CoreC-45BinaryC-45Prims-tag arg-0 6)) ((7) (CoreC-45BinaryC-45Prims-tag arg-0 7)) ((8) (CoreC-45BinaryC-45Prims-tag arg-0 8)) ((9) (CoreC-45BinaryC-45Prims-tag arg-0 9)) (else (CoreC-45BinaryC-45Prims-tag arg-0 10)))))
(define CoreC-45TTC-u--toBuf_TTC_CG (lambda (arg-0 arg-1) (case (vector-ref arg-1 0) ((0) (CoreC-45BinaryC-45Prims-tag arg-0 0)) ((1) (CoreC-45BinaryC-45Prims-tag arg-0 1)) ((2) (CoreC-45BinaryC-45Prims-tag arg-0 2)) ((3) (CoreC-45BinaryC-45Prims-tag arg-0 3)) ((8) (let ((e-0 (vector-ref arg-1 1))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-0 4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_String arg-0 e-0))) eff-1)))))))) ((4) (CoreC-45BinaryC-45Prims-tag arg-0 5)) ((5) (CoreC-45BinaryC-45Prims-tag arg-0 6)) ((6) (CoreC-45BinaryC-45Prims-tag arg-0 7)) (else (CoreC-45BinaryC-45Prims-tag arg-0 8)))))
(define CoreC-45TTC-u--toBuf_TTC_CFType (lambda (arg-0 arg-1) (case (vector-ref arg-1 0) ((0) (CoreC-45BinaryC-45Prims-tag arg-0 0)) ((1) (CoreC-45BinaryC-45Prims-tag arg-0 1)) ((7) (CoreC-45BinaryC-45Prims-tag arg-0 2)) ((8) (CoreC-45BinaryC-45Prims-tag arg-0 3)) ((9) (CoreC-45BinaryC-45Prims-tag arg-0 4)) ((10) (CoreC-45BinaryC-45Prims-tag arg-0 5)) ((11) (CoreC-45BinaryC-45Prims-tag arg-0 6)) ((12) (CoreC-45BinaryC-45Prims-tag arg-0 7)) ((13) (CoreC-45BinaryC-45Prims-tag arg-0 8)) ((14) (CoreC-45BinaryC-45Prims-tag arg-0 9)) ((18) (CoreC-45BinaryC-45Prims-tag arg-0 10)) ((19) (let ((e-0 (vector-ref arg-1 1))) (let ((e-1 (vector-ref arg-1 2))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-0 11))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45TTC-u--toBuf_TTC_CFType arg-0 e-0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (CoreC-45TTC-u--toBuf_TTC_CFType arg-0 e-1))) eff-2)))))))) eff-1))))))))) ((20) (let ((e-2 (vector-ref arg-1 1))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-0 12))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-1 (CoreC-45TTC-u--toBuf_TTC_CFType arg-0 e-2))) eff-1)))))))) ((21) (let ((e-3 (vector-ref arg-1 1))) (let ((e-4 (vector-ref arg-1 2))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-0 13))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_String arg-0 e-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40ListC-32C-36aC-41 (csegen-1978) arg-0 e-4))) eff-2)))))))) eff-1))))))))) ((22) (let ((e-5 (vector-ref arg-1 1))) (let ((e-6 (vector-ref arg-1 2))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-0 14))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45TTC-u--toBuf_TTC_Name arg-0 e-5))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40ListC-32C-36aC-41 (csegen-1974) arg-0 e-6))) eff-2)))))))) eff-1))))))))) ((15) (CoreC-45BinaryC-45Prims-tag arg-0 15)) ((16) (CoreC-45BinaryC-45Prims-tag arg-0 16)) ((3) (CoreC-45BinaryC-45Prims-tag arg-0 17)) ((4) (CoreC-45BinaryC-45Prims-tag arg-0 18)) ((5) (CoreC-45BinaryC-45Prims-tag arg-0 19)) ((6) (CoreC-45BinaryC-45Prims-tag arg-0 20)) ((17) (CoreC-45BinaryC-45Prims-tag arg-0 21)) (else (CoreC-45BinaryC-45Prims-tag arg-0 22)))))
(define CoreC-45TTC-u--toBuf_TTC_CDef (lambda (arg-0 arg-1) (case (vector-ref arg-1 0) ((0) (let ((e-0 (vector-ref arg-1 1))) (let ((e-1 (vector-ref arg-1 2))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-0 0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40ListC-32C-36aC-41 (csegen-64) arg-0 e-0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (CoreC-45TTC-u--toBuf_TTC_C-40CExpC-32C-36varsC-41 e-0 arg-0 e-1))) eff-2)))))))) eff-1))))))))) ((1) (let ((e-2 (vector-ref arg-1 1))) (let ((e-3 (vector-ref arg-1 2))) (let ((e-4 (vector-ref arg-1 3))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-0 1))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40MaybeC-32C-36aC-41 (csegen-1947) arg-0 e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-6 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_Nat arg-0 e-3))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-7 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((eff-3 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40MaybeC-32C-36aC-41 (csegen-1934) arg-0 e-4))) eff-3)))))))) eff-2)))))))) eff-1)))))))))) ((2) (let ((e-5 (vector-ref arg-1 1))) (let ((e-6 (vector-ref arg-1 2))) (let ((e-7 (vector-ref arg-1 3))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-0 2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40ListC-32C-36aC-41 (csegen-1945) arg-0 e-5))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40ListC-32C-36aC-41 (csegen-1974) arg-0 e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (CoreC-45TTC-u--toBuf_TTC_CFType arg-0 e-7))) eff-3)))))))) eff-2)))))))) eff-1)))))))))) (else (let ((e-8 (vector-ref arg-1 1))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-0 3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45TTC-u--toBuf_TTC_C-40CExpC-32C-36varsC-41 '() arg-0 e-8))) eff-1)))))))))))
(define CoreC-45TTC-u--toBuf_TTC_C-40TermC-32C-36varsC-41 (lambda (arg-0 arg-1 arg-2) (case (vector-ref arg-2 0) ((0) (let ((e-3 (vector-ref arg-2 2))) (let ((e-4 (vector-ref arg-2 3))) (let ((sc1 (PreludeC-45Types-u--C-60_Ord_Nat e-4 243))) (cond ((equal? sc1 1) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-1 (bs+ (blodwen-toSignedInt e-4 63) 13 63)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((eff-1 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40MaybeC-32C-36aC-41 (csegen-66) arg-1 e-3))) eff-1))))))) (else (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-1 0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40MaybeC-32C-36aC-41 (csegen-66) arg-1 e-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-6 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((eff-2 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_Nat arg-1 e-4))) eff-2)))))))) eff-1)))))))))))) ((1) (let ((e-8 (vector-ref arg-2 2))) (let ((e-9 (vector-ref arg-2 3))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-1 1))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45TTC-u--toBuf_TTC_NameType arg-1 e-8))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (CoreC-45TTC-u--toBuf_TTC_Name arg-1 e-9))) eff-2)))))))) eff-1))))))))) ((2) (let ((e-12 (vector-ref arg-2 2))) (let ((e-14 (vector-ref arg-2 4))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-1 2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45TTC-u--toBuf_TTC_Name arg-1 e-12))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40ListC-32C-36aC-41 (cons (lambda (arg-4791) (lambda (arg-4796) (CoreC-45TTC-u--toBuf_TTC_C-40TermC-32C-36varsC-41 arg-0 arg-4791 arg-4796))) (lambda (arg-4804) (CoreC-45TTC-u--fromBuf_TTC_C-40TermC-32C-36varsC-41 arg-0 arg-4804))) arg-1 e-14))) eff-2)))))))) eff-1))))))))) ((3) (let ((e-17 (vector-ref arg-2 2))) (let ((e-18 (vector-ref arg-2 3))) (let ((e-19 (vector-ref arg-2 4))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-1 3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45TTC-u--toBuf_TTC_Name arg-1 e-17))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45TTC-u--toBuf_TTC_C-40BinderC-32C-40TermC-32C-36varsC-41C-41 arg-0 arg-1 e-18))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (CoreC-45TTC-u--toBuf_TTC_C-40TermC-32C-36varsC-41 (cons e-17 arg-0) arg-1 e-19))) eff-3)))))))) eff-2)))))))) eff-1)))))))))) ((4) (let ((e-21 (vector-ref arg-2 1))) (let ((e-22 (vector-ref arg-2 2))) (let ((e-23 (vector-ref arg-2 3))) (let ((sc1 (CoreC-45TT-getFnArgs (vector 4 e-21 e-22 e-23)))) (let ((e-2 (car sc1))) (let ((e-3 (cdr sc1))) (if (null? e-3) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-1 12))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45TTC-u--toBuf_TTC_C-40TermC-32C-36varsC-41 arg-0 arg-1 e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-2 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40ListC-32C-36aC-41 (cons (lambda (arg-4791) (lambda (arg-4796) (CoreC-45TTC-u--toBuf_TTC_C-40TermC-32C-36varsC-41 arg-0 arg-4791 arg-4796))) (lambda (arg-4804) (CoreC-45TTC-u--fromBuf_TTC_C-40TermC-32C-36varsC-41 arg-0 arg-4804))) arg-1 e-3))) eff-2)))))))) eff-1)))))) (let ((e-1 (car e-3))) (let ((e-4 (cdr e-3))) (if (null? e-4) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-1 4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45TTC-u--toBuf_TTC_C-40TermC-32C-36varsC-41 arg-0 arg-1 e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-6 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((eff-2 (CoreC-45TTC-u--toBuf_TTC_C-40TermC-32C-36varsC-41 arg-0 arg-1 e-1))) eff-2)))))))) eff-1)))))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-1 12))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45TTC-u--toBuf_TTC_C-40TermC-32C-36varsC-41 arg-0 arg-1 e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-6 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((eff-2 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40ListC-32C-36aC-41 (cons (lambda (arg-4791) (lambda (arg-4796) (CoreC-45TTC-u--toBuf_TTC_C-40TermC-32C-36varsC-41 arg-0 arg-4791 arg-4796))) (lambda (arg-4804) (CoreC-45TTC-u--fromBuf_TTC_C-40TermC-32C-36varsC-41 arg-0 arg-4804))) arg-1 e-3))) eff-2)))))))) eff-1))))))))))))))))) ((5) (let ((e-26 (vector-ref arg-2 2))) (let ((e-27 (vector-ref arg-2 3))) (let ((e-28 (vector-ref arg-2 4))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-1 5))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45TTC-u--toBuf_TTC_C-40TermC-32C-36varsC-41 arg-0 arg-1 e-27))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45TTC-u--toBuf_TTC_UseSide arg-1 e-26))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (CoreC-45TTC-u--toBuf_TTC_C-40TermC-32C-36varsC-41 arg-0 arg-1 e-28))) eff-3)))))))) eff-2)))))))) eff-1)))))))))) ((6) (let ((e-31 (vector-ref arg-2 2))) (let ((e-32 (vector-ref arg-2 3))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-1 6))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45TTC-u--toBuf_TTC_LazyReason arg-1 e-31))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (CoreC-45TTC-u--toBuf_TTC_C-40TermC-32C-36varsC-41 arg-0 arg-1 e-32))) eff-2)))))))) eff-1))))))))) ((7) (let ((e-35 (vector-ref arg-2 2))) (let ((e-36 (vector-ref arg-2 3))) (let ((e-37 (vector-ref arg-2 4))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-1 7))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45TTC-u--toBuf_TTC_LazyReason arg-1 e-35))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45TTC-u--toBuf_TTC_C-40TermC-32C-36varsC-41 arg-0 arg-1 e-36))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (CoreC-45TTC-u--toBuf_TTC_C-40TermC-32C-36varsC-41 arg-0 arg-1 e-37))) eff-3)))))))) eff-2)))))))) eff-1)))))))))) ((8) (let ((e-40 (vector-ref arg-2 2))) (let ((e-41 (vector-ref arg-2 3))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-1 8))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45TTC-u--toBuf_TTC_LazyReason arg-1 e-40))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (CoreC-45TTC-u--toBuf_TTC_C-40TermC-32C-36varsC-41 arg-0 arg-1 e-41))) eff-2)))))))) eff-1))))))))) ((9) (let ((e-44 (vector-ref arg-2 2))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-1 9))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45TTC-u--toBuf_TTC_Constant arg-1 e-44))) eff-1)))))))) ((10) (CoreC-45BinaryC-45Prims-tag arg-1 10)) (else (let ((e-50 (vector-ref arg-2 2))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-1 11))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45TTC-u--toBuf_TTC_Name arg-1 e-50))) eff-1)))))))))))
(define CoreC-45TTC-u--toBuf_TTC_C-40PrimFnC-32C-36nC-41 (lambda (arg-0 arg-1 arg-2) (cond ((equal? arg-0 0) (blodwen-error-quit "Nat case not covered"))(else (let ((e-0 (- arg-0 1))) (cond ((equal? e-0 0) (case (vector-ref arg-2 0) ((5) (let ((e-18 (vector-ref arg-2 1))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-1 5))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45TTC-u--toBuf_TTC_PrimType arg-1 e-18))) eff-1)))))))) ((16) (CoreC-45BinaryC-45Prims-tag arg-1 11)) ((17) (CoreC-45BinaryC-45Prims-tag arg-1 12)) ((18) (CoreC-45BinaryC-45Prims-tag arg-1 13)) ((22) (CoreC-45BinaryC-45Prims-tag arg-1 17)) ((24) (CoreC-45BinaryC-45Prims-tag arg-1 19)) ((25) (CoreC-45BinaryC-45Prims-tag arg-1 20)) ((27) (CoreC-45BinaryC-45Prims-tag arg-1 22)) ((28) (CoreC-45BinaryC-45Prims-tag arg-1 23)) ((29) (CoreC-45BinaryC-45Prims-tag arg-1 24)) ((30) (CoreC-45BinaryC-45Prims-tag arg-1 25)) ((31) (CoreC-45BinaryC-45Prims-tag arg-1 26)) ((32) (CoreC-45BinaryC-45Prims-tag arg-1 27)) ((33) (CoreC-45BinaryC-45Prims-tag arg-1 32)) ((34) (CoreC-45BinaryC-45Prims-tag arg-1 33)) ((35) (CoreC-45BinaryC-45Prims-tag arg-1 34)) (else (let ((e-19 (vector-ref arg-2 1))) (let ((e-20 (vector-ref arg-2 2))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-1 99))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45TTC-u--toBuf_TTC_PrimType arg-1 e-19))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (CoreC-45TTC-u--toBuf_TTC_PrimType arg-1 e-20))) eff-2)))))))) eff-1)))))))))))(else (let ((e-1 (- e-0 1))) (cond ((equal? e-1 0) (case (vector-ref arg-2 0) ((0) (let ((e-3 (vector-ref arg-2 1))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-1 0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45TTC-u--toBuf_TTC_PrimType arg-1 e-3))) eff-1)))))))) ((1) (let ((e-4 (vector-ref arg-2 1))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-1 1))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45TTC-u--toBuf_TTC_PrimType arg-1 e-4))) eff-1)))))))) ((2) (let ((e-5 (vector-ref arg-2 1))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-1 2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45TTC-u--toBuf_TTC_PrimType arg-1 e-5))) eff-1)))))))) ((3) (let ((e-6 (vector-ref arg-2 1))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-1 3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45TTC-u--toBuf_TTC_PrimType arg-1 e-6))) eff-1)))))))) ((4) (let ((e-7 (vector-ref arg-2 1))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-1 4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45TTC-u--toBuf_TTC_PrimType arg-1 e-7))) eff-1)))))))) ((6) (let ((e-8 (vector-ref arg-2 1))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-1 35))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45TTC-u--toBuf_TTC_PrimType arg-1 e-8))) eff-1)))))))) ((7) (let ((e-9 (vector-ref arg-2 1))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-1 36))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45TTC-u--toBuf_TTC_PrimType arg-1 e-9))) eff-1)))))))) ((8) (let ((e-10 (vector-ref arg-2 1))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-1 37))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45TTC-u--toBuf_TTC_PrimType arg-1 e-10))) eff-1)))))))) ((9) (let ((e-11 (vector-ref arg-2 1))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-1 38))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45TTC-u--toBuf_TTC_PrimType arg-1 e-11))) eff-1)))))))) ((10) (let ((e-12 (vector-ref arg-2 1))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-1 39))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45TTC-u--toBuf_TTC_PrimType arg-1 e-12))) eff-1)))))))) ((11) (let ((e-13 (vector-ref arg-2 1))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-1 6))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45TTC-u--toBuf_TTC_PrimType arg-1 e-13))) eff-1)))))))) ((12) (let ((e-14 (vector-ref arg-2 1))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-1 7))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45TTC-u--toBuf_TTC_PrimType arg-1 e-14))) eff-1)))))))) ((13) (let ((e-15 (vector-ref arg-2 1))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-1 8))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45TTC-u--toBuf_TTC_PrimType arg-1 e-15))) eff-1)))))))) ((14) (let ((e-16 (vector-ref arg-2 1))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-1 9))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45TTC-u--toBuf_TTC_PrimType arg-1 e-16))) eff-1)))))))) ((15) (let ((e-17 (vector-ref arg-2 1))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-1 10))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45TTC-u--toBuf_TTC_PrimType arg-1 e-17))) eff-1)))))))) ((19) (CoreC-45BinaryC-45Prims-tag arg-1 14)) ((20) (CoreC-45BinaryC-45Prims-tag arg-1 15)) ((21) (CoreC-45BinaryC-45Prims-tag arg-1 16)) ((26) (CoreC-45BinaryC-45Prims-tag arg-1 21)) (else (CoreC-45BinaryC-45Prims-tag arg-1 (blodwen-toSignedInt 101 63)))))(else (let ((e-2 (- e-1 1))) (cond ((equal? e-2 0) (case (vector-ref arg-2 0) ((23) (CoreC-45BinaryC-45Prims-tag arg-1 18)) (else (CoreC-45BinaryC-45Prims-tag arg-1 (blodwen-toSignedInt 100 63)))))(else (blodwen-error-quit "Nat case not covered"))))))))))))))
(define CoreC-45TTC-u--toBuf_TTC_C-40PiInfoC-32C-36tC-41 (lambda (arg-1 arg-2 arg-3) (case (vector-ref arg-3 0) ((0) (CoreC-45BinaryC-45Prims-tag arg-2 0)) ((1) (CoreC-45BinaryC-45Prims-tag arg-2 1)) ((2) (CoreC-45BinaryC-45Prims-tag arg-2 2)) (else (let ((e-4 (vector-ref arg-3 1))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-2 3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((e-1 (car arg-1))) ((e-1 arg-2) e-4)))) eff-1)))))))))))
(define CoreC-45TTC-u--toBuf_TTC_C-40CaseTreeC-32C-36varsC-41 (lambda (arg-0 arg-1 arg-2) (case (vector-ref arg-2 0) ((0) (let ((e-1 (vector-ref arg-2 1))) (let ((e-2 (vector-ref arg-2 2))) (let ((e-5 (vector-ref arg-2 4))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-1 0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45TTC-u--toBuf_TTC_Name arg-1 e-1))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-3 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_Nat arg-1 e-2))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-3 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-3 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40ListC-32C-36aC-41 (cons (lambda (arg-4791) (lambda (arg-4796) (CoreC-45TTC-u--toBuf_TTC_C-40CaseAltC-32C-36varsC-41 arg-0 arg-4791 arg-4796))) (lambda (arg-4804) (CoreC-45TTC-u--fromBuf_TTC_C-40CaseAltC-32C-36varsC-41 arg-0 arg-4804))) arg-1 e-5))) eff-3)))))))) eff-2)))))))) eff-1)))))))))) ((1) (let ((e-8 (vector-ref arg-2 2))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-1 1))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45TTC-u--toBuf_TTC_C-40TermC-32C-36varsC-41 arg-0 arg-1 e-8))) eff-1)))))))) ((2) (let ((e-10 (vector-ref arg-2 1))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-1 2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_String arg-1 e-10))) eff-1)))))))) (else (CoreC-45BinaryC-45Prims-tag arg-1 3)))))
(define CoreC-45TTC-u--toBuf_TTC_C-40CaseAltC-32C-36varsC-41 (lambda (arg-0 arg-1 arg-2) (case (vector-ref arg-2 0) ((0) (let ((e-1 (vector-ref arg-2 1))) (let ((e-2 (vector-ref arg-2 2))) (let ((e-3 (vector-ref arg-2 3))) (let ((e-4 (vector-ref arg-2 4))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-1 0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45TTC-u--toBuf_TTC_Name arg-1 e-1))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-6 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_Int arg-1 e-2))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-7 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((eff-3 (let ((eff-3 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40ListC-32C-36aC-41 (csegen-64) arg-1 e-3))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-8 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((eff-4 (CoreC-45TTC-u--toBuf_TTC_C-40CaseTreeC-32C-36varsC-41 (PreludeC-45TypesC-45List-tailRecAppend e-3 arg-0) arg-1 e-4))) eff-4)))))))) eff-3)))))))) eff-2)))))))) eff-1))))))))))) ((1) (let ((e-6 (vector-ref arg-2 1))) (let ((e-7 (vector-ref arg-2 2))) (let ((e-8 (vector-ref arg-2 3))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-1 1))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45TTC-u--toBuf_TTC_Name arg-1 e-6))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45TTC-u--toBuf_TTC_Name arg-1 e-7))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (CoreC-45TTC-u--toBuf_TTC_C-40CaseTreeC-32C-36varsC-41 (cons e-6 (cons e-7 arg-0)) arg-1 e-8))) eff-3)))))))) eff-2)))))))) eff-1)))))))))) ((2) (let ((e-10 (vector-ref arg-2 1))) (let ((e-11 (vector-ref arg-2 2))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-1 2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45TTC-u--toBuf_TTC_Constant arg-1 e-10))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (CoreC-45TTC-u--toBuf_TTC_C-40CaseTreeC-32C-36varsC-41 arg-0 arg-1 e-11))) eff-2)))))))) eff-1))))))))) (else (let ((e-13 (vector-ref arg-2 1))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-1 3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45TTC-u--toBuf_TTC_C-40CaseTreeC-32C-36varsC-41 arg-0 arg-1 e-13))) eff-1)))))))))))
(define CoreC-45TTC-u--toBuf_TTC_C-40CExpC-32C-36varsC-41 (lambda (arg-0 arg-1 arg-2) (case (vector-ref arg-2 0) ((0) (let ((e-2 (vector-ref arg-2 1))) (let ((e-3 (vector-ref arg-2 2))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-1 0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45TTC-u--toBuf_TTC_FC arg-1 e-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-2 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_Nat arg-1 e-2))) eff-2)))))))) eff-1))))))))) ((1) (let ((e-6 (vector-ref arg-2 1))) (let ((e-7 (vector-ref arg-2 2))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-1 1))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45TTC-u--toBuf_TTC_FC arg-1 e-6))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (CoreC-45TTC-u--toBuf_TTC_Name arg-1 e-7))) eff-2)))))))) eff-1))))))))) ((2) (let ((e-9 (vector-ref arg-2 1))) (let ((e-10 (vector-ref arg-2 2))) (let ((e-11 (vector-ref arg-2 3))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-1 2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45TTC-u--toBuf_TTC_FC arg-1 e-9))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45TTC-u--toBuf_TTC_Name arg-1 e-10))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (CoreC-45TTC-u--toBuf_TTC_C-40CExpC-32C-36varsC-41 (cons e-10 arg-0) arg-1 e-11))) eff-3)))))))) eff-2)))))))) eff-1)))))))))) ((3) (let ((e-13 (vector-ref arg-2 1))) (let ((e-14 (vector-ref arg-2 2))) (let ((e-15 (vector-ref arg-2 3))) (let ((e-16 (vector-ref arg-2 4))) (let ((e-17 (vector-ref arg-2 5))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-1 3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45TTC-u--toBuf_TTC_FC arg-1 e-13))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45TTC-u--toBuf_TTC_Name arg-1 e-14))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (let ((eff-3 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_Bool arg-1 e-15))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-4 (let ((eff-4 (CoreC-45TTC-u--toBuf_TTC_C-40CExpC-32C-36varsC-41 arg-0 arg-1 e-16))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-5 (CoreC-45TTC-u--toBuf_TTC_C-40CExpC-32C-36varsC-41 (cons e-14 arg-0) arg-1 e-17))) eff-5)))))))) eff-4)))))))) eff-3)))))))) eff-2)))))))) eff-1)))))))))))) ((4) (let ((e-19 (vector-ref arg-2 1))) (let ((e-20 (vector-ref arg-2 2))) (let ((e-21 (vector-ref arg-2 3))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-1 4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45TTC-u--toBuf_TTC_FC arg-1 e-19))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45TTC-u--toBuf_TTC_C-40CExpC-32C-36varsC-41 arg-0 arg-1 e-20))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40ListC-32C-36aC-41 (cons (lambda (arg-4791) (lambda (arg-4796) (CoreC-45TTC-u--toBuf_TTC_C-40CExpC-32C-36varsC-41 arg-0 arg-4791 arg-4796))) (lambda (arg-4804) (CoreC-45TTC-u--fromBuf_TTC_C-40CExpC-32C-36varsC-41 arg-0 arg-4804))) arg-1 e-21))) eff-3)))))))) eff-2)))))))) eff-1)))))))))) ((5) (let ((e-23 (vector-ref arg-2 1))) (let ((e-24 (vector-ref arg-2 2))) (let ((e-25 (vector-ref arg-2 3))) (let ((e-26 (vector-ref arg-2 4))) (let ((e-27 (vector-ref arg-2 5))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-1 5))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45TTC-u--toBuf_TTC_FC arg-1 e-23))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45TTC-u--toBuf_TTC_Name arg-1 e-24))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (let ((eff-3 (CoreC-45TTC-u--toBuf_TTC_ConInfo arg-1 e-25))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-4 (let ((eff-4 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40MaybeC-32C-36aC-41 (csegen-1947) arg-1 e-26))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-5 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40ListC-32C-36aC-41 (cons (lambda (arg-4791) (lambda (arg-4796) (CoreC-45TTC-u--toBuf_TTC_C-40CExpC-32C-36varsC-41 arg-0 arg-4791 arg-4796))) (lambda (arg-4804) (CoreC-45TTC-u--fromBuf_TTC_C-40CExpC-32C-36varsC-41 arg-0 arg-4804))) arg-1 e-27))) eff-5)))))))) eff-4)))))))) eff-3)))))))) eff-2)))))))) eff-1)))))))))))) ((6) (let ((e-29 (vector-ref arg-2 1))) (let ((e-30 (vector-ref arg-2 2))) (let ((e-31 (vector-ref arg-2 3))) (let ((e-32 (vector-ref arg-2 4))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-1 6))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45TTC-u--toBuf_TTC_FC arg-1 e-30))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_Nat arg-1 e-29))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (let ((eff-3 (CoreC-45TTC-u--toBuf_TTC_C-40PrimFnC-32C-36nC-41 e-29 arg-1 e-31))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-4 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40C-40VectC-32C-36nC-41C-32C-36aC-41 e-29 (cons (lambda (arg-4791) (lambda (arg-4796) (CoreC-45TTC-u--toBuf_TTC_C-40CExpC-32C-36varsC-41 arg-0 arg-4791 arg-4796))) (lambda (arg-4804) (CoreC-45TTC-u--fromBuf_TTC_C-40CExpC-32C-36varsC-41 arg-0 arg-4804))) arg-1 e-32))) eff-4)))))))) eff-3)))))))) eff-2)))))))) eff-1))))))))))) ((7) (let ((e-34 (vector-ref arg-2 1))) (let ((e-35 (vector-ref arg-2 2))) (let ((e-36 (vector-ref arg-2 3))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-1 7))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45TTC-u--toBuf_TTC_FC arg-1 e-34))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45TTC-u--toBuf_TTC_Name arg-1 e-35))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40ListC-32C-36aC-41 (cons (lambda (arg-4791) (lambda (arg-4796) (CoreC-45TTC-u--toBuf_TTC_C-40CExpC-32C-36varsC-41 arg-0 arg-4791 arg-4796))) (lambda (arg-4804) (CoreC-45TTC-u--fromBuf_TTC_C-40CExpC-32C-36varsC-41 arg-0 arg-4804))) arg-1 e-36))) eff-3)))))))) eff-2)))))))) eff-1)))))))))) ((8) (let ((e-38 (vector-ref arg-2 1))) (let ((e-39 (vector-ref arg-2 2))) (let ((e-40 (vector-ref arg-2 3))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-1 8))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45TTC-u--toBuf_TTC_FC arg-1 e-38))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45TTC-u--toBuf_TTC_LazyReason arg-1 e-39))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (CoreC-45TTC-u--toBuf_TTC_C-40CExpC-32C-36varsC-41 arg-0 arg-1 e-40))) eff-3)))))))) eff-2)))))))) eff-1)))))))))) ((9) (let ((e-42 (vector-ref arg-2 1))) (let ((e-43 (vector-ref arg-2 2))) (let ((e-44 (vector-ref arg-2 3))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-1 9))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45TTC-u--toBuf_TTC_FC arg-1 e-42))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45TTC-u--toBuf_TTC_LazyReason arg-1 e-43))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (CoreC-45TTC-u--toBuf_TTC_C-40CExpC-32C-36varsC-41 arg-0 arg-1 e-44))) eff-3)))))))) eff-2)))))))) eff-1)))))))))) ((10) (let ((e-46 (vector-ref arg-2 1))) (let ((e-47 (vector-ref arg-2 2))) (let ((e-48 (vector-ref arg-2 3))) (let ((e-49 (vector-ref arg-2 4))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-1 10))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45TTC-u--toBuf_TTC_FC arg-1 e-46))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45TTC-u--toBuf_TTC_C-40CExpC-32C-36varsC-41 arg-0 arg-1 e-47))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (let ((eff-3 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40ListC-32C-36aC-41 (cons (lambda (arg-4791) (lambda (arg-4796) (CoreC-45TTC-u--toBuf_TTC_C-40CConAltC-32C-36varsC-41 arg-0 arg-4791 arg-4796))) (lambda (arg-4804) (CoreC-45TTC-u--fromBuf_TTC_C-40CConAltC-32C-36varsC-41 arg-0 arg-4804))) arg-1 e-48))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-4 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40MaybeC-32C-36aC-41 (cons (lambda (arg-4791) (lambda (arg-4796) (CoreC-45TTC-u--toBuf_TTC_C-40CExpC-32C-36varsC-41 arg-0 arg-4791 arg-4796))) (lambda (arg-4804) (CoreC-45TTC-u--fromBuf_TTC_C-40CExpC-32C-36varsC-41 arg-0 arg-4804))) arg-1 e-49))) eff-4)))))))) eff-3)))))))) eff-2)))))))) eff-1))))))))))) ((11) (let ((e-51 (vector-ref arg-2 1))) (let ((e-52 (vector-ref arg-2 2))) (let ((e-53 (vector-ref arg-2 3))) (let ((e-54 (vector-ref arg-2 4))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-1 11))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45TTC-u--toBuf_TTC_FC arg-1 e-51))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45TTC-u--toBuf_TTC_C-40CExpC-32C-36varsC-41 arg-0 arg-1 e-52))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (let ((eff-3 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40ListC-32C-36aC-41 (cons (lambda (arg-4791) (lambda (arg-4796) (CoreC-45TTC-u--toBuf_TTC_C-40CConstAltC-32C-36varsC-41 arg-0 arg-4791 arg-4796))) (lambda (arg-4804) (CoreC-45TTC-u--fromBuf_TTC_C-40CConstAltC-32C-36varsC-41 arg-0 arg-4804))) arg-1 e-53))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-4 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40MaybeC-32C-36aC-41 (cons (lambda (arg-4791) (lambda (arg-4796) (CoreC-45TTC-u--toBuf_TTC_C-40CExpC-32C-36varsC-41 arg-0 arg-4791 arg-4796))) (lambda (arg-4804) (CoreC-45TTC-u--fromBuf_TTC_C-40CExpC-32C-36varsC-41 arg-0 arg-4804))) arg-1 e-54))) eff-4)))))))) eff-3)))))))) eff-2)))))))) eff-1))))))))))) ((12) (let ((e-56 (vector-ref arg-2 1))) (let ((e-57 (vector-ref arg-2 2))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-1 12))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45TTC-u--toBuf_TTC_FC arg-1 e-56))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (CoreC-45TTC-u--toBuf_TTC_Constant arg-1 e-57))) eff-2)))))))) eff-1))))))))) ((13) (let ((e-59 (vector-ref arg-2 1))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-1 13))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45TTC-u--toBuf_TTC_FC arg-1 e-59))) eff-1)))))))) (else (let ((e-61 (vector-ref arg-2 1))) (let ((e-62 (vector-ref arg-2 2))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-1 14))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45TTC-u--toBuf_TTC_FC arg-1 e-61))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_String arg-1 e-62))) eff-2)))))))) eff-1))))))))))))
(define CoreC-45TTC-u--toBuf_TTC_C-40CConstAltC-32C-36varsC-41 (lambda (arg-0 arg-1 arg-2) (let ((e-1 (car arg-2))) (let ((e-2 (cdr arg-2))) (let ((eff-0 (CoreC-45TTC-u--toBuf_TTC_Constant arg-1 e-1))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-1 (CoreC-45TTC-u--toBuf_TTC_C-40CExpC-32C-36varsC-41 arg-0 arg-1 e-2))) eff-1))))))))))
(define CoreC-45TTC-u--toBuf_TTC_C-40CConAltC-32C-36varsC-41 (lambda (arg-0 arg-1 arg-2) (let ((e-1 (vector-ref arg-2 0))) (let ((e-2 (vector-ref arg-2 1))) (let ((e-3 (vector-ref arg-2 2))) (let ((e-4 (vector-ref arg-2 3))) (let ((e-5 (vector-ref arg-2 4))) (let ((eff-0 (CoreC-45TTC-u--toBuf_TTC_Name arg-1 e-1))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45TTC-u--toBuf_TTC_ConInfo arg-1 e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40MaybeC-32C-36aC-41 (csegen-1947) arg-1 e-3))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((eff-3 (let ((eff-3 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40ListC-32C-36aC-41 (csegen-64) arg-1 e-4))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-9 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((eff-4 (CoreC-45TTC-u--toBuf_TTC_C-40CExpC-32C-36varsC-41 (PreludeC-45TypesC-45List-tailRecAppend e-4 arg-0) arg-1 e-5))) eff-4)))))))) eff-3)))))))) eff-2)))))))) eff-1)))))))))))))
(define CoreC-45TTC-u--toBuf_TTC_C-40BinderC-32C-40TermC-32C-36varsC-41C-41 (lambda (arg-0 arg-1 arg-2) (case (vector-ref arg-2 0) ((0) (let ((e-2 (vector-ref arg-2 2))) (let ((e-3 (vector-ref arg-2 3))) (let ((e-4 (vector-ref arg-2 4))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-1 0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45TTC-u--toBuf_TTC_RigCount arg-1 e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-6 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45TTC-u--toBuf_TTC_C-40PiInfoC-32C-36tC-41 (cons (lambda (arg-4791) (lambda (arg-4796) (CoreC-45TTC-u--toBuf_TTC_C-40TermC-32C-36varsC-41 arg-0 arg-4791 arg-4796))) (lambda (arg-4804) (CoreC-45TTC-u--fromBuf_TTC_C-40TermC-32C-36varsC-41 arg-0 arg-4804))) arg-1 e-3))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-7 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((eff-3 (CoreC-45TTC-u--toBuf_TTC_C-40TermC-32C-36varsC-41 arg-0 arg-1 e-4))) eff-3)))))))) eff-2)))))))) eff-1)))))))))) ((1) (let ((e-7 (vector-ref arg-2 2))) (let ((e-8 (vector-ref arg-2 3))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-1 1))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45TTC-u--toBuf_TTC_RigCount arg-1 e-7))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (CoreC-45TTC-u--toBuf_TTC_C-40TermC-32C-36varsC-41 arg-0 arg-1 e-8))) eff-2)))))))) eff-1))))))))) ((2) (let ((e-12 (vector-ref arg-2 2))) (let ((e-13 (vector-ref arg-2 3))) (let ((e-14 (vector-ref arg-2 4))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-1 2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45TTC-u--toBuf_TTC_RigCount arg-1 e-12))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45TTC-u--toBuf_TTC_C-40PiInfoC-32C-36tC-41 (cons (lambda (arg-4791) (lambda (arg-4796) (CoreC-45TTC-u--toBuf_TTC_C-40TermC-32C-36varsC-41 arg-0 arg-4791 arg-4796))) (lambda (arg-4804) (CoreC-45TTC-u--fromBuf_TTC_C-40TermC-32C-36varsC-41 arg-0 arg-4804))) arg-1 e-13))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (CoreC-45TTC-u--toBuf_TTC_C-40TermC-32C-36varsC-41 arg-0 arg-1 e-14))) eff-3)))))))) eff-2)))))))) eff-1)))))))))) ((3) (let ((e-17 (vector-ref arg-2 2))) (let ((e-18 (vector-ref arg-2 3))) (let ((e-19 (vector-ref arg-2 4))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-1 3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45TTC-u--toBuf_TTC_RigCount arg-1 e-17))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45TTC-u--toBuf_TTC_C-40PiInfoC-32C-36tC-41 (cons (lambda (arg-4791) (lambda (arg-4796) (CoreC-45TTC-u--toBuf_TTC_C-40TermC-32C-36varsC-41 arg-0 arg-4791 arg-4796))) (lambda (arg-4804) (CoreC-45TTC-u--fromBuf_TTC_C-40TermC-32C-36varsC-41 arg-0 arg-4804))) arg-1 e-18))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (CoreC-45TTC-u--toBuf_TTC_C-40TermC-32C-36varsC-41 arg-0 arg-1 e-19))) eff-3)))))))) eff-2)))))))) eff-1)))))))))) ((4) (let ((e-22 (vector-ref arg-2 2))) (let ((e-23 (vector-ref arg-2 3))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-1 4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45TTC-u--toBuf_TTC_RigCount arg-1 e-22))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (CoreC-45TTC-u--toBuf_TTC_C-40TermC-32C-36varsC-41 arg-0 arg-1 e-23))) eff-2)))))))) eff-1))))))))) (else (let ((e-27 (vector-ref arg-2 2))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-1 5))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45TTC-u--toBuf_TTC_RigCount arg-1 e-27))) eff-1)))))))))))
(define CoreC-45TTC-u--toBuf_TTC_C-40C-40EnvC-32TermC-41C-32C-36varsC-41 (lambda (arg-0 arg-1 arg-2) (if (null? arg-0) (lambda (clam-0) (vector 1 (vector 0 ))) (let ((e-3 (cdr arg-0))) (let ((e-8 (car arg-2))) (let ((e-9 (cdr arg-2))) (let ((eff-0 (CoreC-45TTC-u--toBuf_TTC_C-40BinderC-32C-40TermC-32C-36varsC-41C-41 e-3 arg-1 e-8))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-1 (CoreC-45TTC-u--toBuf_TTC_C-40C-40EnvC-32TermC-41C-32C-36varsC-41 e-3 arg-1 e-9))) eff-1))))))))))))
(define CoreC-45TTC-u--fromBuf_TTC_Visibility (lambda (arg-0) (let ((eff-0 (CoreC-45BinaryC-45Prims-getTag arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (clam-0) (cond ((equal? e-5 0) (vector 1 0)) ((equal? e-5 1) (vector 1 1)) ((equal? e-5 2) (vector 1 2))(else (CoreC-45BinaryC-45Prims-corrupt "Visibility" clam-0)))))) eff-1)))))))))
(define CoreC-45TTC-u--fromBuf_TTC_VirtualIdent (lambda (arg-0) (let ((eff-0 (CoreC-45BinaryC-45Prims-getTag arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (clam-0) (cond ((equal? e-5 0) (vector 1 (vector 0 )))(else (CoreC-45BinaryC-45Prims-corrupt "VirtualIdent" clam-0)))))) eff-1)))))))))
(define CoreC-45TTC-u--fromBuf_TTC_UseSide (lambda (arg-0) (let ((eff-0 (CoreC-45BinaryC-45Prims-getTag arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (clam-0) (cond ((equal? e-5 0) (vector 1 0)) ((equal? e-5 1) (vector 1 1))(else (CoreC-45BinaryC-45Prims-corrupt "UseSide" clam-0)))))) eff-1)))))))))
(define CoreC-45TTC-u--fromBuf_TTC_TypeFlags (lambda (arg-0) (let ((eff-0 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_Bool arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_Bool arg-0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (cons e-5 e-6))))) eff-2))))))))) eff-1)))))))))
(define CoreC-45TTC-u--fromBuf_TTC_Transform (lambda (arg-0) (let ((eff-0 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40ListC-32C-36aC-41 (csegen-64) arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45TTC-u--fromBuf_TTC_Name arg-0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45TTC-u--fromBuf_TTC_C-40C-40EnvC-32TermC-41C-32C-36varsC-41 e-5 arg-0))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45TTC-u--fromBuf_TTC_C-40TermC-32C-36varsC-41 e-5 arg-0))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45TTC-u--fromBuf_TTC_C-40TermC-32C-36varsC-41 e-5 arg-0))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector e-5 e-6 e-7 e-8 e-9))))) eff-5))))))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))
(define CoreC-45TTC-u--fromBuf_TTC_Totality (lambda (arg-0) (let ((eff-0 (CoreC-45TTC-u--fromBuf_TTC_Terminating arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45TTC-u--fromBuf_TTC_Covering arg-0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (cons e-5 e-6))))) eff-2))))))))) eff-1)))))))))
(define CoreC-45TTC-u--fromBuf_TTC_TotalReq (lambda (arg-0) (let ((eff-0 (CoreC-45BinaryC-45Prims-getTag arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (clam-0) (cond ((equal? e-5 0) (vector 1 0)) ((equal? e-5 1) (vector 1 1)) ((equal? e-5 2) (vector 1 2))(else (CoreC-45BinaryC-45Prims-corrupt "TotalReq" clam-0)))))) eff-1)))))))))
(define CoreC-45TTC-u--fromBuf_TTC_Terminating (lambda (arg-0) (let ((eff-0 (CoreC-45BinaryC-45Prims-getTag arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (cond ((equal? e-5 0) (lambda (eta-0) (vector 1 (vector 0 )))) ((equal? e-5 1) (lambda (eta-0) (vector 1 (vector 1 )))) ((equal? e-5 2) (let ((eff-1 (CoreC-45TTC-u--fromBuf_TTC_PartialReason arg-0))) (PrimIO-io_bind eff-1 (csegen-1548))))(else (lambda (eta-0) (CoreC-45BinaryC-45Prims-corrupt "Terminating" eta-0)))))) eff-1)))))))))
(define CoreC-45TTC-u--fromBuf_TTC_SizeChange (lambda (arg-0) (let ((eff-0 (CoreC-45BinaryC-45Prims-getTag arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (clam-0) (cond ((equal? e-5 0) (vector 1 0)) ((equal? e-5 1) (vector 1 1)) ((equal? e-5 2) (vector 1 2))(else (CoreC-45BinaryC-45Prims-corrupt "SizeChange" clam-0)))))) eff-1)))))))))
(define CoreC-45TTC-u--fromBuf_TTC_SCCall (lambda (arg-0) (let ((eff-0 (CoreC-45TTC-u--fromBuf_TTC_Name arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40ListC-32C-36aC-41 (csegen-1943) arg-0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (cons e-5 e-6))))) eff-2))))))))) eff-1)))))))))
(define CoreC-45TTC-u--fromBuf_TTC_RigCount (lambda (arg-0) (let ((eff-0 (CoreC-45BinaryC-45Prims-getTag arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (clam-0) (cond ((equal? e-5 0) (csegen-1985)) ((equal? e-5 1) (csegen-1986)) ((equal? e-5 2) (vector 1 (AlgebraC-45ZeroOneOmega-u--top_Top_ZeroOneOmega)))(else (CoreC-45BinaryC-45Prims-corrupt "RigCount" clam-0)))))) eff-1)))))))))
(define CoreC-45TTC-u--fromBuf_TTC_RewriteNames (lambda (arg-0) (let ((eff-0 (CoreC-45TTC-u--fromBuf_TTC_Name arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45TTC-u--fromBuf_TTC_Name arg-0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (cons e-5 e-6))))) eff-2))))))))) eff-1)))))))))
(define CoreC-45TTC-u--fromBuf_TTC_PrimType (lambda (arg-0) (let ((eff-0 (CoreC-45BinaryC-45Prims-getTag arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (clam-0) (cond ((equal? e-5 0) (vector 1 0)) ((equal? e-5 1) (vector 1 1)) ((equal? e-5 2) (vector 1 2)) ((equal? e-5 3) (vector 1 3)) ((equal? e-5 4) (vector 1 4)) ((equal? e-5 5) (vector 1 5)) ((equal? e-5 6) (vector 1 6)) ((equal? e-5 7) (vector 1 7)) ((equal? e-5 8) (vector 1 8)) ((equal? e-5 9) (vector 1 9)) ((equal? e-5 10) (vector 1 10)) ((equal? e-5 11) (vector 1 11)) ((equal? e-5 12) (vector 1 12)) ((equal? e-5 13) (vector 1 13))(else (CoreC-45BinaryC-45Prims-corrupt "PrimType" clam-0)))))) eff-1)))))))))
(define CoreC-45TTC-u--fromBuf_TTC_PrimNames (lambda (arg-0) (let ((eff-0 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40MaybeC-32C-36aC-41 (csegen-64) arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40MaybeC-32C-36aC-41 (csegen-64) arg-0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40MaybeC-32C-36aC-41 (csegen-64) arg-0))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40MaybeC-32C-36aC-41 (csegen-64) arg-0))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector e-5 e-6 e-7 e-8))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))
(define CoreC-45TTC-u--fromBuf_TTC_PartialReason (lambda (arg-0) (let ((eff-0 (CoreC-45BinaryC-45Prims-getTag arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (cond ((equal? e-5 0) (lambda (eta-0) (vector 1 (vector 0 )))) ((equal? e-5 1) (let ((eff-1 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40ListC-32C-36aC-41 (csegen-64) arg-0))) (PrimIO-io_bind eff-1 (csegen-1564)))) ((equal? e-5 2) (let ((eff-1 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40ListC-32C-36aC-41 (csegen-64) arg-0))) (PrimIO-io_bind eff-1 (csegen-1565))))(else (lambda (eta-0) (CoreC-45BinaryC-45Prims-corrupt "PartialReason" eta-0)))))) eff-1)))))))))
(define CoreC-45TTC-u--fromBuf_TTC_PairNames (lambda (arg-0) (let ((eff-0 (CoreC-45TTC-u--fromBuf_TTC_Name arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45TTC-u--fromBuf_TTC_Name arg-0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45TTC-u--fromBuf_TTC_Name arg-0))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (vector e-5 e-6 e-7))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))
(define CoreC-45TTC-u--fromBuf_TTC_PMDefInfo (lambda (arg-0) (let ((eff-0 (CoreC-45TTC-u--fromBuf_TTC_HoleInfo arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_Bool arg-0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_Bool arg-0))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (vector e-5 e-6 e-7))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))
(define CoreC-45TTC-u--fromBuf_TTC_OriginDesc (lambda (arg-0) (let ((eff-0 (CoreC-45BinaryC-45Prims-getTag arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (cond ((equal? e-5 0) (CoreC-45Core-C-60C-42C-62 (lambda (eta-0) (vector 1 (lambda (eta-1) (vector 0 eta-1)))) (CoreC-45TTC-u--fromBuf_TTC_ModuleIdent arg-0))) ((equal? e-5 1) (CoreC-45Core-C-60C-42C-62 (lambda (eta-0) (vector 1 (lambda (eta-1) (vector 1 eta-1)))) (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_String arg-0))) ((equal? e-5 2) (CoreC-45Core-C-60C-42C-62 (lambda (eta-0) (vector 1 (lambda (eta-1) (vector 2 eta-1)))) (CoreC-45TTC-u--fromBuf_TTC_VirtualIdent arg-0)))(else (lambda (eta-0) (CoreC-45BinaryC-45Prims-corrupt "OriginDesc" eta-0)))))) eff-1)))))))))
(define CoreC-45TTC-u--fromBuf_TTC_Namespace (lambda (ext-0) (let ((eff-0 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40ListC-32C-36aC-41 (csegen-1945) ext-0))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-0) (lambda (arg-1) ((((eff-1 'erased) 'erased) arg-0) arg-1)))) (lambda (eta-0) eta-0))) eff-0))))
(define CoreC-45TTC-u--fromBuf_TTC_NameType (lambda (arg-0) (let ((eff-0 (CoreC-45BinaryC-45Prims-getTag arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (cond ((equal? e-5 0) (lambda (eta-0) (vector 1 (vector 0 )))) ((equal? e-5 1) (lambda (eta-0) (vector 1 (vector 1 )))) ((equal? e-5 2) (let ((eff-1 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_Int arg-0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_Nat arg-0))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (vector 2 e-6 e-7))))) eff-3))))))))) eff-2)))))))) ((equal? e-5 3) (let ((eff-1 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_Int arg-0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_Nat arg-0))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (vector 3 e-6 e-7))))) eff-3))))))))) eff-2))))))))(else (lambda (eta-0) (CoreC-45BinaryC-45Prims-corrupt "NameType" eta-0)))))) eff-1)))))))))
(define CoreC-45TTC-u--fromBuf_TTC_Name (lambda (arg-0) (let ((eff-0 (CoreC-45BinaryC-45Prims-getTag arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (cond ((equal? e-5 0) (let ((eff-1 (CoreC-45TTC-u--fromBuf_TTC_Namespace arg-0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45TTC-u--fromBuf_TTC_Name arg-0))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (vector 0 e-6 e-7))))) eff-3))))))))) eff-2)))))))) ((equal? e-5 1) (let ((eff-1 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_String arg-0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 1 (vector 0 e-6)))))) eff-2)))))))) ((equal? e-5 2) (let ((eff-1 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_String arg-0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_Int arg-0))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (vector 2 e-6 e-7))))) eff-3))))))))) eff-2)))))))) ((equal? e-5 3) (let ((eff-1 (CoreC-45TTC-u--fromBuf_TTC_Name arg-0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_Int arg-0))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (vector 3 e-6 e-7))))) eff-3))))))))) eff-2)))))))) ((equal? e-5 4) (let ((eff-1 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_String arg-0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45TTC-u--fromBuf_TTC_Name arg-0))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (vector 4 e-6 e-7))))) eff-3))))))))) eff-2)))))))) ((equal? e-5 5) (let ((eff-1 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_String arg-0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 1 (vector 1 e-6)))))) eff-2)))))))) ((equal? e-5 6) (let ((eff-1 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-1948) arg-0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45TTC-u--fromBuf_TTC_Name arg-0))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (vector 5 e-6 e-7))))) eff-3))))))))) eff-2)))))))) ((equal? e-5 7) (let ((eff-1 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_String arg-0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_Int arg-0))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (vector 6 e-6 e-7))))) eff-3))))))))) eff-2)))))))) ((equal? e-5 8) (let ((eff-1 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_String arg-0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_Int arg-0))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (vector 7 e-6 e-7))))) eff-3))))))))) eff-2)))))))) ((equal? e-5 9) (lambda (eta-0) (vector 1 (vector 1 (vector 2 )))))(else (lambda (eta-0) (CoreC-45BinaryC-45Prims-corrupt "Name" eta-0)))))) eff-1)))))))))
(define CoreC-45TTC-u--fromBuf_TTC_ModuleIdent (lambda (ext-0) (let ((eff-0 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40ListC-32C-36aC-41 (csegen-1945) ext-0))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-0) (lambda (arg-1) ((((eff-1 'erased) 'erased) arg-0) arg-1)))) (lambda (eta-0) eta-0))) eff-0))))
(define CoreC-45TTC-u--fromBuf_TTC_LazyReason (lambda (arg-0) (let ((eff-0 (CoreC-45BinaryC-45Prims-getTag arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (clam-0) (cond ((equal? e-5 0) (vector 1 0)) ((equal? e-5 1) (vector 1 1)) ((equal? e-5 2) (vector 1 2))(else (CoreC-45BinaryC-45Prims-corrupt "LazyReason" clam-0)))))) eff-1)))))))))
(define CoreC-45TTC-u--fromBuf_TTC_HoleInfo (lambda (arg-0) (let ((eff-0 (CoreC-45BinaryC-45Prims-getTag arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (cond ((equal? e-5 0) (lambda (eta-0) (vector 1 '()))) ((equal? e-5 1) (let ((eff-1 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_Nat arg-0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (box e-6))))) eff-2))))))))(else (lambda (eta-0) (CoreC-45BinaryC-45Prims-corrupt "HoleInfo" eta-0)))))) eff-1)))))))))
(define CoreC-45TTC-u--fromBuf_TTC_GlobalDef (lambda (arg-0) (let ((eff-0 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40MaybeC-32C-36aC-41 (csegen-62) arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40MaybeC-32C-36aC-41 (csegen-73) arg-0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((u--refsR ((csegen-78) e-6))) (let ((eff-2 (CoreC-45TTC-u--fromBuf_TTC_FC arg-0))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45TTC-u--fromBuf_TTC_RigCount arg-0))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45TTC-u--fromBuf_TTC_Name arg-0))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (let ((eff-5 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40MaybeC-32C-36aC-41 (csegen-73) arg-0))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-10 (vector-ref lcase-5 1))) (let ((eff-6 (let ((u--refs ((csegen-78) e-10))) (let ((eff-6 (CoreC-45TTC-u--fromBuf_TTC_Def arg-0))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-2 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-11 (vector-ref lcase-6 1))) (let ((eff-7 (let ((sc7 (CoreC-45Name-isUserName e-9))) (cond ((equal? sc7 1) (let ((eff-7 (CoreC-45TTC-u--fromBuf_TTC_C-40TermC-32C-36varsC-41 '() arg-0))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-2 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-12 (vector-ref lcase-7 1))) (let ((eff-8 (let ((eff-8 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40ListC-32C-36aC-41 (csegen-1934) arg-0))) (PrimIO-io_bind eff-8 (lambda (lcase-8) (case (vector-ref lcase-8 0) ((0) (let ((e-2 (vector-ref lcase-8 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-13 (vector-ref lcase-8 1))) (let ((eff-9 (let ((eff-9 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40ListC-32C-36aC-41 (csegen-1934) arg-0))) (PrimIO-io_bind eff-9 (lambda (lcase-9) (case (vector-ref lcase-9 0) ((0) (let ((e-2 (vector-ref lcase-9 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-14 (vector-ref lcase-9 1))) (let ((eff-10 (let ((eff-10 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40ListC-32C-36aC-41 (csegen-1934) arg-0))) (PrimIO-io_bind eff-10 (lambda (lcase-10) (case (vector-ref lcase-10 0) ((0) (let ((e-2 (vector-ref lcase-10 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-15 (vector-ref lcase-10 1))) (let ((eff-11 (let ((eff-11 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40ListC-32C-36aC-41 (csegen-1934) arg-0))) (PrimIO-io_bind eff-11 (lambda (lcase-11) (case (vector-ref lcase-11 0) ((0) (let ((e-2 (vector-ref lcase-11 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-16 (vector-ref lcase-11 1))) (let ((eff-12 (let ((eff-12 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40ListC-32C-36aC-41 (csegen-64) arg-0))) (PrimIO-io_bind eff-12 (lambda (lcase-12) (case (vector-ref lcase-12 0) ((0) (let ((e-2 (vector-ref lcase-12 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-17 (vector-ref lcase-12 1))) (let ((eff-13 (let ((eff-13 (CoreC-45TTC-u--fromBuf_TTC_Visibility arg-0))) (PrimIO-io_bind eff-13 (lambda (lcase-13) (case (vector-ref lcase-13 0) ((0) (let ((e-2 (vector-ref lcase-13 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-18 (vector-ref lcase-13 1))) (let ((eff-14 (let ((eff-14 (CoreC-45TTC-u--fromBuf_TTC_Totality arg-0))) (PrimIO-io_bind eff-14 (lambda (lcase-14) (case (vector-ref lcase-14 0) ((0) (let ((e-2 (vector-ref lcase-14 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-19 (vector-ref lcase-14 1))) (let ((eff-15 (let ((eff-15 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40ListC-32C-36aC-41 (csegen-1951) arg-0))) (PrimIO-io_bind eff-15 (lambda (lcase-15) (case (vector-ref lcase-15 0) ((0) (let ((e-2 (vector-ref lcase-15 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-20 (vector-ref lcase-15 1))) (let ((eff-16 (let ((eff-16 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_Bool arg-0))) (PrimIO-io_bind eff-16 (lambda (lcase-16) (case (vector-ref lcase-16 0) ((0) (let ((e-2 (vector-ref lcase-16 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-21 (vector-ref lcase-16 1))) (let ((eff-17 (let ((eff-17 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_Bool arg-0))) (PrimIO-io_bind eff-17 (lambda (lcase-17) (case (vector-ref lcase-17 0) ((0) (let ((e-2 (vector-ref lcase-17 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-22 (vector-ref lcase-17 1))) (let ((eff-18 (let ((eff-18 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40ListC-32C-36aC-41 (csegen-1953) arg-0))) (PrimIO-io_bind eff-18 (lambda (lcase-18) (case (vector-ref lcase-18 0) ((0) (let ((e-2 (vector-ref lcase-18 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-23 (vector-ref lcase-18 1))) (let ((eff-19 (lambda (eta-0) (vector 1 (vector e-7 e-9 e-12 e-13 e-14 e-15 e-16 e-8 e-17 e-18 e-19 e-20 u--refs u--refsR e-21 e-22 1 e-11 e-5 '() e-23 '()))))) eff-19))))))))) eff-18))))))))) eff-17))))))))) eff-16))))))))) eff-15))))))))) eff-14))))))))) eff-13))))))))) eff-12))))))))) eff-11))))))))) eff-10))))))))) eff-9))))))))) eff-8)))))))) (else (lambda (eta-0) (vector 1 (vector e-7 e-9 (vector 10 e-7 (vector 0 )) '() '() '() '() e-8 '() 2 (CoreC-45TT-unchecked) '() u--refs u--refsR 0 0 1 e-11 e-5 '() '() '())))))))) eff-7)))))))))) eff-6))))))))) eff-5))))))))) eff-4))))))))) eff-3)))))))))) eff-2))))))))) eff-1)))))))))
(define CoreC-45TTC-u--fromBuf_TTC_FC (lambda (arg-0) (let ((eff-0 (CoreC-45BinaryC-45Prims-getTag arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (cond ((equal? e-5 0) (let ((eff-1 (CoreC-45TTC-u--fromBuf_TTC_OriginDesc arg-0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-1948) arg-0))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-1948) arg-0))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 0 e-6 e-7 e-8))))) eff-4))))))))) eff-3))))))))) eff-2)))))))) ((equal? e-5 1) (lambda (eta-0) (vector 1 (vector 2 )))) ((equal? e-5 2) (let ((eff-1 (CoreC-45TTC-u--fromBuf_TTC_OriginDesc arg-0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-1948) arg-0))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-1948) arg-0))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 1 e-6 e-7 e-8))))) eff-4))))))))) eff-3))))))))) eff-2))))))))(else (lambda (eta-0) (CoreC-45BinaryC-45Prims-corrupt "FC" eta-0)))))) eff-1)))))))))
(define CoreC-45TTC-u--fromBuf_TTC_DefFlag (lambda (arg-0) (let ((eff-0 (CoreC-45BinaryC-45Prims-getTag arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (cond ((equal? e-5 2) (lambda (eta-0) (vector 1 (vector 0 )))) ((equal? e-5 3) (lambda (eta-0) (vector 1 (vector 3 )))) ((equal? e-5 4) (lambda (eta-0) (vector 1 (vector 4 )))) ((equal? e-5 5) (lambda (eta-0) (vector 1 (vector 5 )))) ((equal? e-5 6) (let ((eff-1 (CoreC-45TTC-u--fromBuf_TTC_TotalReq arg-0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 6 e-6))))) eff-2)))))))) ((equal? e-5 7) (lambda (eta-0) (vector 1 (vector 7 )))) ((equal? e-5 8) (lambda (eta-0) (vector 1 (vector 8 )))) ((equal? e-5 9) (lambda (eta-0) (vector 1 (vector 9 '())))) ((equal? e-5 10) (lambda (eta-0) (vector 1 (vector 10 )))) ((equal? e-5 11) (let ((eff-1 (CoreC-45TTC-u--fromBuf_TTC_ConInfo arg-0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 11 e-6))))) eff-2)))))))) ((equal? e-5 12) (let ((eff-1 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_Nat arg-0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 12 e-6))))) eff-2)))))))) ((equal? e-5 13) (lambda (eta-0) (vector 1 (vector 1 )))) ((equal? e-5 15) (lambda (eta-0) (vector 1 (vector 2 ))))(else (lambda (eta-0) (CoreC-45BinaryC-45Prims-corrupt "DefFlag" eta-0)))))) eff-1)))))))))
(define CoreC-45TTC-u--fromBuf_TTC_Def (lambda (arg-0) (let ((eff-0 (CoreC-45BinaryC-45Prims-getTag arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (cond ((equal? e-5 0) (lambda (eta-0) (vector 1 (vector 0 )))) ((equal? e-5 1) (let ((eff-1 (CoreC-45TTC-u--fromBuf_TTC_PMDefInfo arg-0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40ListC-32C-36aC-41 (csegen-64) arg-0))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45TTC-u--fromBuf_TTC_C-40CaseTreeC-32C-36varsC-41 e-7 arg-0))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40ListC-32C-36aC-41 (csegen-1961) arg-0))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 1 e-6 e-7 e-8 (vector 2 "") e-9))))) eff-5))))))))) eff-4))))))))) eff-3))))))))) eff-2)))))))) ((equal? e-5 2) (let ((eff-1 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_Nat arg-0))) (PrimIO-io_bind eff-1 (csegen-2006)))) ((equal? e-5 3) (let ((eff-1 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_Nat arg-0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40ListC-32C-36aC-41 (csegen-1945) arg-0))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (vector 3 e-6 e-7))))) eff-3))))))))) eff-2)))))))) ((equal? e-5 4) (let ((eff-1 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_Int arg-0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_Nat arg-0))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40MaybeC-32C-36aC-41 (csegen-1966) arg-0))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 5 e-6 e-7 e-8))))) eff-4))))))))) eff-3))))))))) eff-2)))))))) ((equal? e-5 5) (let ((eff-1 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_Int arg-0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_Nat arg-0))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40ListC-32C-36aC-41 (csegen-1934) arg-0))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40ListC-32C-36aC-41 (csegen-1934) arg-0))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (let ((eff-5 (CoreC-45TTC-u--fromBuf_TTC_TypeFlags arg-0))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-10 (vector-ref lcase-5 1))) (let ((eff-6 (let ((eff-6 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40ListC-32C-36aC-41 (csegen-64) arg-0))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-2 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-11 (vector-ref lcase-6 1))) (let ((eff-7 (let ((eff-7 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40ListC-32C-36aC-41 (csegen-64) arg-0))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-2 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-12 (vector-ref lcase-7 1))) (let ((eff-8 (let ((eff-8 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40MaybeC-32C-36aC-41 (csegen-1969) arg-0))) (PrimIO-io_bind eff-8 (lambda (lcase-8) (case (vector-ref lcase-8 0) ((0) (let ((e-2 (vector-ref lcase-8 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-13 (vector-ref lcase-8 1))) (let ((eff-9 (lambda (eta-0) (vector 1 (vector 6 e-6 e-7 e-8 e-9 e-10 e-11 e-12 e-13))))) eff-9))))))))) eff-8))))))))) eff-7))))))))) eff-6))))))))) eff-5))))))))) eff-4))))))))) eff-3))))))))) eff-2)))))))) ((equal? e-5 6) (let ((eff-1 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_Nat arg-0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_Bool arg-0))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (vector 7 e-6 (CoreC-45ContextC-45Context-holeInit e-7)))))) eff-3))))))))) eff-2)))))))) ((equal? e-5 7) (let ((eff-1 (CoreC-45TTC-u--fromBuf_TTC_RigCount arg-0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_Nat arg-0))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45TTC-u--fromBuf_TTC_Name arg-0))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 8 e-6 e-7 e-8))))) eff-4))))))))) eff-3))))))))) eff-2)))))))) ((equal? e-5 8) (let ((eff-1 (CoreC-45TTC-u--fromBuf_TTC_C-40TermC-32C-36varsC-41 '() arg-0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_Nat arg-0))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40ListC-32C-36aC-41 (csegen-1947) arg-0))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 9 e-6 e-7 e-8))))) eff-4))))))))) eff-3))))))))) eff-2)))))))) ((equal? e-5 9) (lambda (eta-0) (vector 1 (vector 10 )))) ((equal? e-5 10) (lambda (eta-0) (vector 1 (vector 12 )))) ((equal? e-5 11) (let ((eff-1 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_Integer arg-0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 11 e-6))))) eff-2))))))))(else (lambda (eta-0) (CoreC-45BinaryC-45Prims-corrupt "Def" eta-0)))))) eff-1)))))))))
(define CoreC-45TTC-u--fromBuf_TTC_Covering (lambda (arg-0) (let ((eff-0 (CoreC-45BinaryC-45Prims-getTag arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (cond ((equal? e-5 0) (lambda (eta-0) (vector 1 (vector 0 )))) ((equal? e-5 1) (let ((eff-1 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40ListC-32C-36aC-41 (csegen-1972) arg-0))) (PrimIO-io_bind eff-1 (csegen-1571)))) ((equal? e-5 2) (let ((eff-1 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40ListC-32C-36aC-41 (csegen-64) arg-0))) (PrimIO-io_bind eff-1 (csegen-1572))))(else (lambda (eta-0) (CoreC-45BinaryC-45Prims-corrupt "Covering" eta-0)))))) eff-1)))))))))
(define CoreC-45TTC-u--fromBuf_TTC_Constant (lambda (arg-0) (let ((eff-0 (CoreC-45BinaryC-45Prims-getTag arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (cond ((equal? e-5 0) (let ((eff-1 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_Int arg-0))) (PrimIO-io_bind eff-1 (csegen-2010)))) ((equal? e-5 1) (let ((eff-1 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_Int8 arg-0))) (PrimIO-io_bind eff-1 (csegen-2011)))) ((equal? e-5 2) (let ((eff-1 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_Int16 arg-0))) (PrimIO-io_bind eff-1 (csegen-2012)))) ((equal? e-5 3) (let ((eff-1 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_Int32 arg-0))) (PrimIO-io_bind eff-1 (csegen-2013)))) ((equal? e-5 4) (let ((eff-1 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_Int64 arg-0))) (PrimIO-io_bind eff-1 (csegen-2014)))) ((equal? e-5 5) (let ((eff-1 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_Integer arg-0))) (PrimIO-io_bind eff-1 (csegen-2015)))) ((equal? e-5 6) (let ((eff-1 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_Bits8 arg-0))) (PrimIO-io_bind eff-1 (csegen-2016)))) ((equal? e-5 7) (let ((eff-1 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_Bits16 arg-0))) (PrimIO-io_bind eff-1 (csegen-2017)))) ((equal? e-5 8) (let ((eff-1 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_Bits32 arg-0))) (PrimIO-io_bind eff-1 (csegen-2018)))) ((equal? e-5 9) (let ((eff-1 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_Bits64 arg-0))) (PrimIO-io_bind eff-1 (csegen-2019)))) ((equal? e-5 10) (let ((eff-1 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_String arg-0))) (PrimIO-io_bind eff-1 (csegen-2020)))) ((equal? e-5 11) (let ((eff-1 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_Char arg-0))) (PrimIO-io_bind eff-1 (csegen-2021)))) ((equal? e-5 12) (let ((eff-1 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_Double arg-0))) (PrimIO-io_bind eff-1 (csegen-2022)))) ((equal? e-5 13) (let ((eff-1 (CoreC-45TTC-u--fromBuf_TTC_PrimType arg-0))) (PrimIO-io_bind eff-1 (csegen-2023)))) ((equal? e-5 14) (lambda (eta-0) (vector 1 (vector 14 ))))(else (lambda (eta-0) (CoreC-45BinaryC-45Prims-corrupt "Constant" eta-0)))))) eff-1)))))))))
(define CoreC-45TTC-u--fromBuf_TTC_ConInfo (lambda (arg-0) (let ((eff-0 (CoreC-45BinaryC-45Prims-getTag arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (cond ((equal? e-5 0) (lambda (eta-0) (vector 1 (vector 0 )))) ((equal? e-5 1) (lambda (eta-0) (vector 1 (vector 1 )))) ((equal? e-5 2) (lambda (eta-0) (vector 1 (vector 2 )))) ((equal? e-5 3) (lambda (eta-0) (vector 1 (vector 3 )))) ((equal? e-5 4) (let ((eff-1 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_Nat arg-0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 4 e-6))))) eff-2)))))))) ((equal? e-5 5) (lambda (eta-0) (vector 1 (vector 5 )))) ((equal? e-5 6) (lambda (eta-0) (vector 1 (vector 6 )))) ((equal? e-5 7) (lambda (eta-0) (vector 1 (vector 7 )))) ((equal? e-5 8) (lambda (eta-0) (vector 1 (vector 8 )))) ((equal? e-5 9) (lambda (eta-0) (vector 1 (vector 9 )))) ((equal? e-5 10) (lambda (eta-0) (vector 1 (vector 10 ))))(else (lambda (eta-0) (CoreC-45BinaryC-45Prims-corrupt "ConInfo" eta-0)))))) eff-1)))))))))
(define CoreC-45TTC-u--fromBuf_TTC_CG (lambda (arg-0) (let ((eff-0 (CoreC-45BinaryC-45Prims-getTag arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (cond ((equal? e-5 0) (lambda (eta-0) (vector 1 (vector 0 )))) ((equal? e-5 1) (lambda (eta-0) (vector 1 (vector 1 )))) ((equal? e-5 2) (lambda (eta-0) (vector 1 (vector 2 )))) ((equal? e-5 3) (lambda (eta-0) (vector 1 (vector 3 )))) ((equal? e-5 4) (let ((eff-1 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_String arg-0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 8 e-6))))) eff-2)))))))) ((equal? e-5 5) (lambda (eta-0) (vector 1 (vector 4 )))) ((equal? e-5 6) (lambda (eta-0) (vector 1 (vector 5 )))) ((equal? e-5 7) (lambda (eta-0) (vector 1 (vector 6 )))) ((equal? e-5 8) (lambda (eta-0) (vector 1 (vector 7 ))))(else (lambda (eta-0) (CoreC-45BinaryC-45Prims-corrupt "CG" eta-0)))))) eff-1)))))))))
(define CoreC-45TTC-u--fromBuf_TTC_CFType (lambda (arg-0) (let ((eff-0 (CoreC-45BinaryC-45Prims-getTag arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (cond ((equal? e-5 0) (lambda (eta-0) (vector 1 (vector 0 )))) ((equal? e-5 1) (lambda (eta-0) (vector 1 (vector 1 )))) ((equal? e-5 2) (lambda (eta-0) (vector 1 (vector 7 )))) ((equal? e-5 3) (lambda (eta-0) (vector 1 (vector 8 )))) ((equal? e-5 4) (lambda (eta-0) (vector 1 (vector 9 )))) ((equal? e-5 5) (lambda (eta-0) (vector 1 (vector 10 )))) ((equal? e-5 6) (lambda (eta-0) (vector 1 (vector 11 )))) ((equal? e-5 7) (lambda (eta-0) (vector 1 (vector 12 )))) ((equal? e-5 8) (lambda (eta-0) (vector 1 (vector 13 )))) ((equal? e-5 9) (lambda (eta-0) (vector 1 (vector 14 )))) ((equal? e-5 10) (lambda (eta-0) (vector 1 (vector 18 )))) ((equal? e-5 11) (let ((eff-1 (CoreC-45TTC-u--fromBuf_TTC_CFType arg-0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45TTC-u--fromBuf_TTC_CFType arg-0))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (vector 19 e-6 e-7))))) eff-3))))))))) eff-2)))))))) ((equal? e-5 12) (let ((eff-1 (CoreC-45TTC-u--fromBuf_TTC_CFType arg-0))) (PrimIO-io_bind eff-1 (csegen-2029)))) ((equal? e-5 13) (let ((eff-1 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_String arg-0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40ListC-32C-36aC-41 (csegen-1978) arg-0))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (vector 21 e-6 e-7))))) eff-3))))))))) eff-2)))))))) ((equal? e-5 14) (let ((eff-1 (CoreC-45TTC-u--fromBuf_TTC_Name arg-0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40ListC-32C-36aC-41 (csegen-1974) arg-0))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (vector 22 e-6 e-7))))) eff-3))))))))) eff-2)))))))) ((equal? e-5 15) (lambda (eta-0) (vector 1 (vector 15 )))) ((equal? e-5 16) (lambda (eta-0) (vector 1 (vector 16 )))) ((equal? e-5 17) (lambda (eta-0) (vector 1 (vector 3 )))) ((equal? e-5 18) (lambda (eta-0) (vector 1 (vector 4 )))) ((equal? e-5 19) (lambda (eta-0) (vector 1 (vector 5 )))) ((equal? e-5 20) (lambda (eta-0) (vector 1 (vector 6 )))) ((equal? e-5 21) (lambda (eta-0) (vector 1 (vector 17 )))) ((equal? e-5 22) (lambda (eta-0) (vector 1 (vector 2 ))))(else (lambda (eta-0) (CoreC-45BinaryC-45Prims-corrupt "CFType" eta-0)))))) eff-1)))))))))
(define CoreC-45TTC-u--fromBuf_TTC_CDef (lambda (arg-0) (let ((eff-0 (CoreC-45BinaryC-45Prims-getTag arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (cond ((equal? e-5 0) (let ((eff-1 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40ListC-32C-36aC-41 (csegen-64) arg-0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45TTC-u--fromBuf_TTC_C-40CExpC-32C-36varsC-41 e-6 arg-0))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (vector 0 e-6 e-7))))) eff-3))))))))) eff-2)))))))) ((equal? e-5 1) (let ((eff-1 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40MaybeC-32C-36aC-41 (csegen-1947) arg-0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_Nat arg-0))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40MaybeC-32C-36aC-41 (csegen-1934) arg-0))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 1 e-6 e-7 e-8))))) eff-4))))))))) eff-3))))))))) eff-2)))))))) ((equal? e-5 2) (let ((eff-1 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40ListC-32C-36aC-41 (csegen-1945) arg-0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40ListC-32C-36aC-41 (csegen-1974) arg-0))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45TTC-u--fromBuf_TTC_CFType arg-0))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 2 e-6 e-7 e-8))))) eff-4))))))))) eff-3))))))))) eff-2)))))))) ((equal? e-5 3) (let ((eff-1 (CoreC-45TTC-u--fromBuf_TTC_C-40CExpC-32C-36varsC-41 '() arg-0))) (PrimIO-io_bind eff-1 (csegen-2031))))(else (lambda (eta-0) (CoreC-45BinaryC-45Prims-corrupt "CDef" eta-0)))))) eff-1)))))))))
(define CoreC-45TTC-u--fromBuf_TTC_C-40TermC-32C-36varsC-41 (lambda (arg-0 arg-1) (let ((eff-0 (CoreC-45BinaryC-45Prims-getTag arg-1))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (cond ((equal? e-5 0) (let ((eff-1 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40MaybeC-32C-36aC-41 (csegen-66) arg-1))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_Nat arg-1))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (PreludeC-45Types-maybe (lambda () (lambda (eta-0) (CoreC-45BinaryC-45Prims-corrupt "Term" eta-0))) (lambda () (lambda (eta-0) (lambda (eta-1) (vector 1 eta-0)))) (CoreC-45TTC-getName e-7 arg-0)))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-4 (lambda (eta-0) (vector 1 (vector 0 (CoreC-45FC-emptyFC) e-6 e-7))))) eff-4)))))))) eff-3))))))))) eff-2)))))))) ((equal? e-5 1) (let ((eff-1 (CoreC-45TTC-u--fromBuf_TTC_NameType arg-1))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45TTC-u--fromBuf_TTC_Name arg-1))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (vector 1 (CoreC-45FC-emptyFC) e-6 e-7))))) eff-3))))))))) eff-2)))))))) ((equal? e-5 2) (let ((eff-1 (CoreC-45TTC-u--fromBuf_TTC_Name arg-1))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40ListC-32C-36aC-41 (cons (lambda (arg-4791) (lambda (arg-4796) (CoreC-45TTC-u--toBuf_TTC_C-40TermC-32C-36varsC-41 arg-0 arg-4791 arg-4796))) (lambda (arg-4804) (CoreC-45TTC-u--fromBuf_TTC_C-40TermC-32C-36varsC-41 arg-0 arg-4804))) arg-1))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (vector 2 (CoreC-45FC-emptyFC) e-6 0 e-7))))) eff-3))))))))) eff-2)))))))) ((equal? e-5 3) (let ((eff-1 (CoreC-45TTC-u--fromBuf_TTC_Name arg-1))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45TTC-u--fromBuf_TTC_C-40BinderC-32C-40TermC-32C-36varsC-41C-41 arg-0 arg-1))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45TTC-u--fromBuf_TTC_C-40TermC-32C-36varsC-41 (cons e-6 arg-0) arg-1))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 3 (CoreC-45FC-emptyFC) e-6 e-7 e-8))))) eff-4))))))))) eff-3))))))))) eff-2)))))))) ((equal? e-5 4) (let ((eff-1 (CoreC-45TTC-u--fromBuf_TTC_C-40TermC-32C-36varsC-41 arg-0 arg-1))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45TTC-u--fromBuf_TTC_C-40TermC-32C-36varsC-41 arg-0 arg-1))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (vector 4 (CoreC-45FC-emptyFC) e-6 e-7))))) eff-3))))))))) eff-2)))))))) ((equal? e-5 5) (let ((eff-1 (CoreC-45TTC-u--fromBuf_TTC_C-40TermC-32C-36varsC-41 arg-0 arg-1))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45TTC-u--fromBuf_TTC_UseSide arg-1))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45TTC-u--fromBuf_TTC_C-40TermC-32C-36varsC-41 arg-0 arg-1))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 5 (CoreC-45FC-emptyFC) e-7 e-6 e-8))))) eff-4))))))))) eff-3))))))))) eff-2)))))))) ((equal? e-5 6) (let ((eff-1 (CoreC-45TTC-u--fromBuf_TTC_LazyReason arg-1))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45TTC-u--fromBuf_TTC_C-40TermC-32C-36varsC-41 arg-0 arg-1))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (vector 6 (CoreC-45FC-emptyFC) e-6 e-7))))) eff-3))))))))) eff-2)))))))) ((equal? e-5 7) (let ((eff-1 (CoreC-45TTC-u--fromBuf_TTC_LazyReason arg-1))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45TTC-u--fromBuf_TTC_C-40TermC-32C-36varsC-41 arg-0 arg-1))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45TTC-u--fromBuf_TTC_C-40TermC-32C-36varsC-41 arg-0 arg-1))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 7 (CoreC-45FC-emptyFC) e-6 e-7 e-8))))) eff-4))))))))) eff-3))))))))) eff-2)))))))) ((equal? e-5 8) (let ((eff-1 (CoreC-45TTC-u--fromBuf_TTC_LazyReason arg-1))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45TTC-u--fromBuf_TTC_C-40TermC-32C-36varsC-41 arg-0 arg-1))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (vector 8 (CoreC-45FC-emptyFC) e-6 e-7))))) eff-3))))))))) eff-2)))))))) ((equal? e-5 9) (let ((eff-1 (CoreC-45TTC-u--fromBuf_TTC_Constant arg-1))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 9 (CoreC-45FC-emptyFC) e-6))))) eff-2)))))))) ((equal? e-5 10) (lambda (eta-0) (vector 1 (vector 10 (CoreC-45FC-emptyFC) (vector 0 ))))) ((equal? e-5 11) (let ((eff-1 (CoreC-45TTC-u--fromBuf_TTC_Name arg-1))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 11 (CoreC-45FC-emptyFC) e-6))))) eff-2)))))))) ((equal? e-5 12) (let ((eff-1 (CoreC-45TTC-u--fromBuf_TTC_C-40TermC-32C-36varsC-41 arg-0 arg-1))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40ListC-32C-36aC-41 (cons (lambda (arg-4791) (lambda (arg-4796) (CoreC-45TTC-u--toBuf_TTC_C-40TermC-32C-36varsC-41 arg-0 arg-4791 arg-4796))) (lambda (arg-4804) (CoreC-45TTC-u--fromBuf_TTC_C-40TermC-32C-36varsC-41 arg-0 arg-4804))) arg-1))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (CoreC-45TT-apply (CoreC-45FC-emptyFC) e-6 e-7))))) eff-3))))))))) eff-2))))))))(else (let ((eff-1 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40MaybeC-32C-36aC-41 (csegen-66) arg-1))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((u--idx (PreludeC-45Types-prim__integerToNat ((csegen-2038) (bs- e-5 13 63))))) (lambda (clam-0) (let ((sc2 (CoreC-45TTC-getName u--idx arg-0))) (if (null? sc2) (CoreC-45BinaryC-45Prims-corrupt "Term" clam-0) (vector 1 (vector 0 (CoreC-45FC-emptyFC) e-6 u--idx)))))))) eff-2))))))))))) eff-1)))))))))
(define CoreC-45TTC-u--fromBuf_TTC_C-40PrimFnC-32C-36nC-41 (lambda (arg-0 arg-1) (cond ((equal? arg-0 0) (csegen-2039))(else (let ((e-0 (- arg-0 1))) (cond ((equal? e-0 0) (CoreC-45TTC-n--13491-8075-u--fromBuf1 arg-1 arg-0))(else (let ((e-1 (- e-0 1))) (cond ((equal? e-1 0) (CoreC-45TTC-n--13491-8076-u--fromBuf2 arg-1 arg-0))(else (let ((e-2 (- e-1 1))) (cond ((equal? e-2 0) (CoreC-45TTC-n--13491-8077-u--fromBuf3 arg-1 arg-0))(else (csegen-2039))))))))))))))
(define CoreC-45TTC-u--fromBuf_TTC_C-40PiInfoC-32C-36tC-41 (lambda (arg-1 arg-2) (let ((eff-0 (CoreC-45BinaryC-45Prims-getTag arg-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (cond ((equal? e-5 0) (lambda (eta-0) (vector 1 (vector 0 )))) ((equal? e-5 1) (lambda (eta-0) (vector 1 (vector 1 )))) ((equal? e-5 2) (lambda (eta-0) (vector 1 (vector 2 )))) ((equal? e-5 3) (let ((eff-1 (let ((e-2 (cdr arg-1))) (e-2 arg-2)))) (PrimIO-io_bind eff-1 (csegen-1312))))(else (lambda (eta-0) (CoreC-45BinaryC-45Prims-corrupt "PiInfo" eta-0)))))) eff-1)))))))))
(define CoreC-45TTC-u--fromBuf_TTC_C-40CaseTreeC-32C-36varsC-41 (lambda (arg-0 arg-1) (let ((eff-0 (CoreC-45BinaryC-45Prims-getTag arg-1))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (cond ((equal? e-5 0) (let ((eff-1 (CoreC-45TTC-u--fromBuf_TTC_Name arg-1))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_Nat arg-1))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40ListC-32C-36aC-41 (cons (lambda (arg-4791) (lambda (arg-4796) (CoreC-45TTC-u--toBuf_TTC_C-40CaseAltC-32C-36varsC-41 arg-0 arg-4791 arg-4796))) (lambda (arg-4804) (CoreC-45TTC-u--fromBuf_TTC_C-40CaseAltC-32C-36varsC-41 arg-0 arg-4804))) arg-1))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 0 e-6 e-7 (vector 10 (CoreC-45FC-emptyFC) (vector 0 )) e-8))))) eff-4))))))))) eff-3))))))))) eff-2)))))))) ((equal? e-5 1) (let ((eff-1 (CoreC-45TTC-u--fromBuf_TTC_C-40TermC-32C-36varsC-41 arg-0 arg-1))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 1 0 e-6))))) eff-2)))))))) ((equal? e-5 2) (let ((eff-1 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_String arg-1))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 2 e-6))))) eff-2)))))))) ((equal? e-5 3) (lambda (eta-0) (vector 1 (vector 3 ))))(else (lambda (eta-0) (CoreC-45BinaryC-45Prims-corrupt "CaseTree" eta-0)))))) eff-1)))))))))
(define CoreC-45TTC-u--fromBuf_TTC_C-40CaseAltC-32C-36varsC-41 (lambda (arg-0 arg-1) (let ((eff-0 (CoreC-45BinaryC-45Prims-getTag arg-1))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (cond ((equal? e-5 0) (let ((eff-1 (CoreC-45TTC-u--fromBuf_TTC_Name arg-1))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_Int arg-1))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40ListC-32C-36aC-41 (csegen-64) arg-1))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45TTC-u--fromBuf_TTC_C-40CaseTreeC-32C-36varsC-41 (PreludeC-45TypesC-45List-tailRecAppend e-8 arg-0) arg-1))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 0 e-6 e-7 e-8 e-9))))) eff-5))))))))) eff-4))))))))) eff-3))))))))) eff-2)))))))) ((equal? e-5 1) (let ((eff-1 (CoreC-45TTC-u--fromBuf_TTC_Name arg-1))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45TTC-u--fromBuf_TTC_Name arg-1))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45TTC-u--fromBuf_TTC_C-40CaseTreeC-32C-36varsC-41 (cons e-6 (cons e-7 arg-0)) arg-1))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 1 e-6 e-7 e-8))))) eff-4))))))))) eff-3))))))))) eff-2)))))))) ((equal? e-5 2) (let ((eff-1 (CoreC-45TTC-u--fromBuf_TTC_Constant arg-1))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45TTC-u--fromBuf_TTC_C-40CaseTreeC-32C-36varsC-41 arg-0 arg-1))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (vector 2 e-6 e-7))))) eff-3))))))))) eff-2)))))))) ((equal? e-5 3) (let ((eff-1 (CoreC-45TTC-u--fromBuf_TTC_C-40CaseTreeC-32C-36varsC-41 arg-0 arg-1))) (PrimIO-io_bind eff-1 (csegen-1574))))(else (lambda (eta-0) (CoreC-45BinaryC-45Prims-corrupt "CaseAlt" eta-0)))))) eff-1)))))))))
(define CoreC-45TTC-u--fromBuf_TTC_C-40CExpC-32C-36varsC-41 (lambda (arg-0 arg-1) (let ((eff-0 (CoreC-45BinaryC-45Prims-getTag arg-1))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (cond ((equal? e-5 0) (let ((eff-1 (CoreC-45TTC-u--fromBuf_TTC_FC arg-1))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_Nat arg-1))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (clam-0) (let ((sc4 (CoreC-45TTC-getName e-7 arg-0))) (if (null? sc4) (CoreC-45BinaryC-45Prims-corrupt "CExp" clam-0) (vector 1 (vector 0 e-7 e-6))))))) eff-3))))))))) eff-2)))))))) ((equal? e-5 1) (let ((eff-1 (CoreC-45TTC-u--fromBuf_TTC_FC arg-1))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45TTC-u--fromBuf_TTC_Name arg-1))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (vector 1 e-6 e-7))))) eff-3))))))))) eff-2)))))))) ((equal? e-5 2) (let ((eff-1 (CoreC-45TTC-u--fromBuf_TTC_FC arg-1))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45TTC-u--fromBuf_TTC_Name arg-1))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45TTC-u--fromBuf_TTC_C-40CExpC-32C-36varsC-41 (cons e-7 arg-0) arg-1))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 2 e-6 e-7 e-8))))) eff-4))))))))) eff-3))))))))) eff-2)))))))) ((equal? e-5 3) (let ((eff-1 (CoreC-45TTC-u--fromBuf_TTC_FC arg-1))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45TTC-u--fromBuf_TTC_Name arg-1))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_Bool arg-1))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45TTC-u--fromBuf_TTC_C-40CExpC-32C-36varsC-41 arg-0 arg-1))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (let ((eff-5 (CoreC-45TTC-u--fromBuf_TTC_C-40CExpC-32C-36varsC-41 (cons e-7 arg-0) arg-1))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-10 (vector-ref lcase-5 1))) (let ((eff-6 (lambda (eta-0) (vector 1 (vector 3 e-6 e-7 e-8 e-9 e-10))))) eff-6))))))))) eff-5))))))))) eff-4))))))))) eff-3))))))))) eff-2)))))))) ((equal? e-5 4) (let ((eff-1 (CoreC-45TTC-u--fromBuf_TTC_FC arg-1))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45TTC-u--fromBuf_TTC_C-40CExpC-32C-36varsC-41 arg-0 arg-1))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40ListC-32C-36aC-41 (cons (lambda (arg-4791) (lambda (arg-4796) (CoreC-45TTC-u--toBuf_TTC_C-40CExpC-32C-36varsC-41 arg-0 arg-4791 arg-4796))) (lambda (arg-4804) (CoreC-45TTC-u--fromBuf_TTC_C-40CExpC-32C-36varsC-41 arg-0 arg-4804))) arg-1))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 4 e-6 e-7 e-8))))) eff-4))))))))) eff-3))))))))) eff-2)))))))) ((equal? e-5 5) (let ((eff-1 (CoreC-45TTC-u--fromBuf_TTC_FC arg-1))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45TTC-u--fromBuf_TTC_Name arg-1))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45TTC-u--fromBuf_TTC_ConInfo arg-1))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40MaybeC-32C-36aC-41 (csegen-1947) arg-1))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (let ((eff-5 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40ListC-32C-36aC-41 (cons (lambda (arg-4791) (lambda (arg-4796) (CoreC-45TTC-u--toBuf_TTC_C-40CExpC-32C-36varsC-41 arg-0 arg-4791 arg-4796))) (lambda (arg-4804) (CoreC-45TTC-u--fromBuf_TTC_C-40CExpC-32C-36varsC-41 arg-0 arg-4804))) arg-1))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-10 (vector-ref lcase-5 1))) (let ((eff-6 (lambda (eta-0) (vector 1 (vector 5 e-6 e-7 e-8 e-9 e-10))))) eff-6))))))))) eff-5))))))))) eff-4))))))))) eff-3))))))))) eff-2)))))))) ((equal? e-5 6) (let ((eff-1 (CoreC-45TTC-u--fromBuf_TTC_FC arg-1))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_Nat arg-1))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45TTC-u--fromBuf_TTC_C-40PrimFnC-32C-36nC-41 e-7 arg-1))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40C-40VectC-32C-36nC-41C-32C-36aC-41 e-7 (cons (lambda (arg-4791) (lambda (arg-4796) (CoreC-45TTC-u--toBuf_TTC_C-40CExpC-32C-36varsC-41 arg-0 arg-4791 arg-4796))) (lambda (arg-4804) (CoreC-45TTC-u--fromBuf_TTC_C-40CExpC-32C-36varsC-41 arg-0 arg-4804))) arg-1))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 6 e-7 e-6 e-8 e-9))))) eff-5))))))))) eff-4))))))))) eff-3))))))))) eff-2)))))))) ((equal? e-5 7) (let ((eff-1 (CoreC-45TTC-u--fromBuf_TTC_FC arg-1))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45TTC-u--fromBuf_TTC_Name arg-1))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40ListC-32C-36aC-41 (cons (lambda (arg-4791) (lambda (arg-4796) (CoreC-45TTC-u--toBuf_TTC_C-40CExpC-32C-36varsC-41 arg-0 arg-4791 arg-4796))) (lambda (arg-4804) (CoreC-45TTC-u--fromBuf_TTC_C-40CExpC-32C-36varsC-41 arg-0 arg-4804))) arg-1))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 7 e-6 e-7 e-8))))) eff-4))))))))) eff-3))))))))) eff-2)))))))) ((equal? e-5 8) (let ((eff-1 (CoreC-45TTC-u--fromBuf_TTC_FC arg-1))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45TTC-u--fromBuf_TTC_LazyReason arg-1))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45TTC-u--fromBuf_TTC_C-40CExpC-32C-36varsC-41 arg-0 arg-1))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 8 e-6 e-7 e-8))))) eff-4))))))))) eff-3))))))))) eff-2)))))))) ((equal? e-5 9) (let ((eff-1 (CoreC-45TTC-u--fromBuf_TTC_FC arg-1))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45TTC-u--fromBuf_TTC_LazyReason arg-1))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45TTC-u--fromBuf_TTC_C-40CExpC-32C-36varsC-41 arg-0 arg-1))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 9 e-6 e-7 e-8))))) eff-4))))))))) eff-3))))))))) eff-2)))))))) ((equal? e-5 10) (let ((eff-1 (CoreC-45TTC-u--fromBuf_TTC_FC arg-1))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45TTC-u--fromBuf_TTC_C-40CExpC-32C-36varsC-41 arg-0 arg-1))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40ListC-32C-36aC-41 (cons (lambda (arg-4791) (lambda (arg-4796) (CoreC-45TTC-u--toBuf_TTC_C-40CConAltC-32C-36varsC-41 arg-0 arg-4791 arg-4796))) (lambda (arg-4804) (CoreC-45TTC-u--fromBuf_TTC_C-40CConAltC-32C-36varsC-41 arg-0 arg-4804))) arg-1))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40MaybeC-32C-36aC-41 (cons (lambda (arg-4791) (lambda (arg-4796) (CoreC-45TTC-u--toBuf_TTC_C-40CExpC-32C-36varsC-41 arg-0 arg-4791 arg-4796))) (lambda (arg-4804) (CoreC-45TTC-u--fromBuf_TTC_C-40CExpC-32C-36varsC-41 arg-0 arg-4804))) arg-1))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 10 e-6 e-7 e-8 e-9))))) eff-5))))))))) eff-4))))))))) eff-3))))))))) eff-2)))))))) ((equal? e-5 11) (let ((eff-1 (CoreC-45TTC-u--fromBuf_TTC_FC arg-1))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45TTC-u--fromBuf_TTC_C-40CExpC-32C-36varsC-41 arg-0 arg-1))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40ListC-32C-36aC-41 (cons (lambda (arg-4791) (lambda (arg-4796) (CoreC-45TTC-u--toBuf_TTC_C-40CConstAltC-32C-36varsC-41 arg-0 arg-4791 arg-4796))) (lambda (arg-4804) (CoreC-45TTC-u--fromBuf_TTC_C-40CConstAltC-32C-36varsC-41 arg-0 arg-4804))) arg-1))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40MaybeC-32C-36aC-41 (cons (lambda (arg-4791) (lambda (arg-4796) (CoreC-45TTC-u--toBuf_TTC_C-40CExpC-32C-36varsC-41 arg-0 arg-4791 arg-4796))) (lambda (arg-4804) (CoreC-45TTC-u--fromBuf_TTC_C-40CExpC-32C-36varsC-41 arg-0 arg-4804))) arg-1))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 11 e-6 e-7 e-8 e-9))))) eff-5))))))))) eff-4))))))))) eff-3))))))))) eff-2)))))))) ((equal? e-5 12) (let ((eff-1 (CoreC-45TTC-u--fromBuf_TTC_FC arg-1))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45TTC-u--fromBuf_TTC_Constant arg-1))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (vector 12 e-6 e-7))))) eff-3))))))))) eff-2)))))))) ((equal? e-5 13) (let ((eff-1 (CoreC-45TTC-u--fromBuf_TTC_FC arg-1))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 13 e-6))))) eff-2)))))))) ((equal? e-5 14) (let ((eff-1 (CoreC-45TTC-u--fromBuf_TTC_FC arg-1))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_String arg-1))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (vector 14 e-6 e-7))))) eff-3))))))))) eff-2))))))))(else (lambda (eta-0) (CoreC-45BinaryC-45Prims-corrupt "CExp" eta-0)))))) eff-1)))))))))
(define CoreC-45TTC-u--fromBuf_TTC_C-40CConstAltC-32C-36varsC-41 (lambda (arg-0 arg-1) (let ((eff-0 (CoreC-45TTC-u--fromBuf_TTC_Constant arg-1))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45TTC-u--fromBuf_TTC_C-40CExpC-32C-36varsC-41 arg-0 arg-1))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (cons e-5 e-6))))) eff-2))))))))) eff-1)))))))))
(define CoreC-45TTC-u--fromBuf_TTC_C-40CConAltC-32C-36varsC-41 (lambda (arg-0 arg-1) (let ((eff-0 (CoreC-45TTC-u--fromBuf_TTC_Name arg-1))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45TTC-u--fromBuf_TTC_ConInfo arg-1))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40MaybeC-32C-36aC-41 (csegen-1947) arg-1))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40ListC-32C-36aC-41 (csegen-64) arg-1))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45TTC-u--fromBuf_TTC_C-40CExpC-32C-36varsC-41 (PreludeC-45TypesC-45List-tailRecAppend e-8 arg-0) arg-1))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector e-5 e-6 e-7 e-8 e-9))))) eff-5))))))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))
(define CoreC-45TTC-u--fromBuf_TTC_C-40BinderC-32C-40TermC-32C-36varsC-41C-41 (lambda (arg-0 arg-1) (let ((eff-0 (CoreC-45BinaryC-45Prims-getTag arg-1))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (cond ((equal? e-5 0) (let ((eff-1 (CoreC-45TTC-u--fromBuf_TTC_RigCount arg-1))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45TTC-u--fromBuf_TTC_C-40PiInfoC-32C-36tC-41 (cons (lambda (arg-4791) (lambda (arg-4796) (CoreC-45TTC-u--toBuf_TTC_C-40TermC-32C-36varsC-41 arg-0 arg-4791 arg-4796))) (lambda (arg-4804) (CoreC-45TTC-u--fromBuf_TTC_C-40TermC-32C-36varsC-41 arg-0 arg-4804))) arg-1))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45TTC-u--fromBuf_TTC_C-40TermC-32C-36varsC-41 arg-0 arg-1))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 0 (CoreC-45FC-emptyFC) e-6 e-7 e-8))))) eff-4))))))))) eff-3))))))))) eff-2)))))))) ((equal? e-5 1) (let ((eff-1 (CoreC-45TTC-u--fromBuf_TTC_RigCount arg-1))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45TTC-u--fromBuf_TTC_C-40TermC-32C-36varsC-41 arg-0 arg-1))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (vector 1 (CoreC-45FC-emptyFC) e-6 e-7 (vector 10 (CoreC-45FC-emptyFC) (vector 0 ))))))) eff-3))))))))) eff-2)))))))) ((equal? e-5 2) (let ((eff-1 (CoreC-45TTC-u--fromBuf_TTC_RigCount arg-1))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45TTC-u--fromBuf_TTC_C-40PiInfoC-32C-36tC-41 (cons (lambda (arg-4791) (lambda (arg-4796) (CoreC-45TTC-u--toBuf_TTC_C-40TermC-32C-36varsC-41 arg-0 arg-4791 arg-4796))) (lambda (arg-4804) (CoreC-45TTC-u--fromBuf_TTC_C-40TermC-32C-36varsC-41 arg-0 arg-4804))) arg-1))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45TTC-u--fromBuf_TTC_C-40TermC-32C-36varsC-41 arg-0 arg-1))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 2 (CoreC-45FC-emptyFC) e-6 e-7 e-8))))) eff-4))))))))) eff-3))))))))) eff-2)))))))) ((equal? e-5 3) (let ((eff-1 (CoreC-45TTC-u--fromBuf_TTC_RigCount arg-1))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45TTC-u--fromBuf_TTC_C-40PiInfoC-32C-36tC-41 (cons (lambda (arg-4791) (lambda (arg-4796) (CoreC-45TTC-u--toBuf_TTC_C-40TermC-32C-36varsC-41 arg-0 arg-4791 arg-4796))) (lambda (arg-4804) (CoreC-45TTC-u--fromBuf_TTC_C-40TermC-32C-36varsC-41 arg-0 arg-4804))) arg-1))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45TTC-u--fromBuf_TTC_C-40TermC-32C-36varsC-41 arg-0 arg-1))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 3 (CoreC-45FC-emptyFC) e-6 e-7 e-8))))) eff-4))))))))) eff-3))))))))) eff-2)))))))) ((equal? e-5 4) (let ((eff-1 (CoreC-45TTC-u--fromBuf_TTC_RigCount arg-1))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45TTC-u--fromBuf_TTC_C-40TermC-32C-36varsC-41 arg-0 arg-1))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (vector 4 (CoreC-45FC-emptyFC) e-6 e-7 (vector 10 (CoreC-45FC-emptyFC) (vector 0 ))))))) eff-3))))))))) eff-2)))))))) ((equal? e-5 5) (let ((eff-1 (CoreC-45TTC-u--fromBuf_TTC_RigCount arg-1))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 5 (CoreC-45FC-emptyFC) e-6 (vector 10 (CoreC-45FC-emptyFC) (vector 0 ))))))) eff-2))))))))(else (lambda (eta-0) (CoreC-45BinaryC-45Prims-corrupt "Binder" eta-0)))))) eff-1)))))))))
(define CoreC-45TTC-u--fromBuf_TTC_C-40C-40EnvC-32TermC-41C-32C-36varsC-41 (lambda (arg-0 arg-1) (if (null? arg-0) (lambda (eta-0) (vector 1 '())) (let ((e-3 (cdr arg-0))) (let ((eff-0 (CoreC-45TTC-u--fromBuf_TTC_C-40BinderC-32C-40TermC-32C-36varsC-41C-41 e-3 arg-1))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45TTC-u--fromBuf_TTC_C-40C-40EnvC-32TermC-41C-32C-36varsC-41 e-3 arg-1))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (cons e-5 e-6))))) eff-2))))))))) eff-1)))))))))))
(define CoreC-45TTC-getName (lambda (arg-0 arg-1) (cond ((equal? arg-0 0) (if (null? arg-1) '() (let ((e-3 (car arg-1))) (box e-3))))(else (let ((e-1 (- arg-0 1))) (if (null? arg-1) '() (let ((e-7 (cdr arg-1))) (CoreC-45TTC-getName e-1 e-7))))))))
(define CoreC-45BinaryC-45Prims-case--caseC-32blockC-32inC-32caseC-32blockC-32inC-32hashFileWith-8331 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (lambda (clam-0) (if (null? arg-6) (CoreC-45BinaryC-45Prims-n--10824-8219-u--err arg-0 arg-1 clam-0) (vector 1 (box (DataC-45List-last arg-6)))))))
(define CoreC-45BinaryC-45Prims-n--9787-7261-u--writeAll (lambda (arg-1 arg-2 arg-3 arg-4 arg-6) (if (null? arg-6) (lambda (eta-0) (vector 1 (vector 0 ))) (let ((e-3 (car arg-6))) (let ((e-4 (cdr arg-6))) (let ((eff-0 (let ((e-1 (car arg-2))) ((e-1 arg-4) e-3)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45BinaryC-45Prims-n--9787-7261-u--writeAll arg-1 arg-2 arg-3 arg-4 e-4))) eff-1)))))))))))
(define CoreC-45BinaryC-45Prims-n--9808-7293-u--readElems (lambda (arg-1 arg-2 arg-3 arg-5 arg-6) (cond ((equal? arg-6 0) (lambda (eta-0) (vector 1 (DataC-45Vect-reverse arg-5))))(else (let ((e-0 (- arg-6 1))) (let ((eff-0 (let ((e-2 (cdr arg-1))) (e-2 arg-2)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45BinaryC-45Prims-n--9808-7293-u--readElems arg-1 arg-2 arg-3 (cons e-5 arg-5) e-0))) eff-1))))))))))))
(define CoreC-45BinaryC-45Prims-n--9564-7063-u--readElems (lambda (arg-1 arg-2 arg-3 arg-4) (cond ((equal? arg-4 0) (lambda (eta-0) (vector 1 (PreludeC-45TypesC-45List-reverse arg-3))))(else (let ((e-0 (- arg-4 1))) (let ((eff-0 (let ((e-2 (cdr arg-1))) (e-2 arg-2)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45BinaryC-45Prims-n--9564-7063-u--readElems arg-1 arg-2 (cons e-5 arg-3) e-0))) eff-1))))))))))))
(define CoreC-45BinaryC-45Prims-n--10824-8220-u--osEscape (lambda (arg-0 arg-1 ext-0) (let ((sc0 (SystemC-45Info-isWindows))) (cond ((equal? sc0 1) ext-0) (else (LibrariesC-45UtilsC-45String-escapeStringUnix ext-0))))))
(define CoreC-45BinaryC-45Prims-n--9546-7017-u--length_aux (lambda (arg-1 arg-2 arg-3 arg-4 arg-5) (if (null? arg-4) arg-5 (let ((e-3 (cdr arg-4))) (CoreC-45BinaryC-45Prims-n--9546-7017-u--length_aux arg-1 arg-2 arg-3 e-3 (bs+ arg-5 1 63))))))
(define CoreC-45BinaryC-45Prims-n--10824-8219-u--err (lambda (arg-0 arg-1 ext-0) (CoreC-45Core-coreFail (vector 59 (string-append "Can't get " (string-append arg-0 (string-append " of " arg-1)))) ext-0)))
(define CoreC-45BinaryC-45Prims-n--9546-7018-u--TailRec_length (lambda (arg-1 arg-2 arg-3 arg-4) (CoreC-45BinaryC-45Prims-n--9546-7017-u--length_aux arg-1 arg-2 arg-3 arg-4 0)))
(define CoreC-45BinaryC-45Prims-u--toBuf_TTC_WastefulInt (lambda (arg-0 arg-1) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((sc1 (PreludeC-45EqOrd-u--C-62C-61_Ord_Int (LibrariesC-45UtilsC-45Binary-avail e-5) 8))) (cond ((equal? sc1 1) (let ((eff-1 (PrimIO-io_bind (lambda (eta-0) (DataC-45Buffer-prim__setInt (let ((e-0 (vector-ref e-5 0))) e-0) (let ((e-1 (vector-ref e-5 1))) e-1) arg-1 eta-0)) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 arg-0)) (PrimIO-io_bind (let ((eff-3 eff-2)) (lambda (eta-0) (set-box! eff-3 (LibrariesC-45UtilsC-45Binary-appended 8 e-5)))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-2))))))) (else (let ((eff-1 (CoreC-45BinaryC-45Prims-extendBinary 8 e-5))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (PrimIO-io_bind (lambda (eta-0) (DataC-45Buffer-prim__setInt (let ((e-0 (vector-ref e-6 0))) e-0) (let ((e-1 (vector-ref e-6 1))) e-1) arg-1 eta-0)) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (let ((eff-3 arg-0)) (PrimIO-io_bind (let ((eff-4 eff-3)) (lambda (eta-0) (set-box! eff-4 (LibrariesC-45UtilsC-45Binary-appended 8 e-6)))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-3)))))))) eff-2)))))))))))) eff-1)))))))))
(define CoreC-45BinaryC-45Prims-u--toBuf_TTC_String (lambda (arg-0 arg-1) (let ((u--req (DataC-45Buffer-stringByteLength arg-1))) (let ((eff-0 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_Int arg-0 u--req))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (unbox eff-2))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((sc2 (PreludeC-45EqOrd-u--C-62C-61_Ord_Int (LibrariesC-45UtilsC-45Binary-avail e-6) u--req))) (cond ((equal? sc2 1) (let ((eff-2 (PrimIO-io_bind (lambda (eta-0) (DataC-45Buffer-prim__setString (let ((e-0 (vector-ref e-6 0))) e-0) (let ((e-1 (vector-ref e-6 1))) e-1) arg-1 eta-0)) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (let ((eff-3 arg-0)) (PrimIO-io_bind (let ((eff-4 eff-3)) (lambda (eta-0) (set-box! eff-4 (LibrariesC-45UtilsC-45Binary-appended u--req e-6)))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-3))))))) (else (let ((eff-2 (CoreC-45BinaryC-45Prims-extendBinary u--req e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (PrimIO-io_bind (lambda (eta-0) (DataC-45Buffer-prim__setString (let ((e-0 (vector-ref e-7 0))) e-0) (let ((e-1 (vector-ref e-7 1))) e-1) arg-1 eta-0)) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-4 (let ((eff-4 arg-0)) (PrimIO-io_bind (let ((eff-5 eff-4)) (lambda (eta-0) (set-box! eff-5 (LibrariesC-45UtilsC-45Binary-appended u--req e-7)))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-4)))))))) eff-3)))))))))))) eff-2))))))))) eff-1)))))))))
(define CoreC-45BinaryC-45Prims-u--toBuf_TTC_Nat (lambda (arg-0 arg-1) (CoreC-45BinaryC-45Prims-u--toBuf_TTC_Integer arg-0 arg-1)))
(define CoreC-45BinaryC-45Prims-u--toBuf_TTC_Integer (lambda (arg-0 arg-1) (let ((sc0 (PreludeC-45EqOrd-u--C-60_Ord_Integer arg-1 0))) (cond ((equal? sc0 1) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-0 0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40ListC-32C-36aC-41 (csegen-1947) arg-0 (CoreC-45BinaryC-45Prims-toLimbs (- 0 arg-1))))) eff-1))))))) (else (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-0 1))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40ListC-32C-36aC-41 (csegen-1947) arg-0 (CoreC-45BinaryC-45Prims-toLimbs arg-1)))) eff-1)))))))))))
(define CoreC-45BinaryC-45Prims-u--toBuf_TTC_Int8 (lambda (arg-0 arg-1) (CoreC-45BinaryC-45Prims-u--toBuf_TTC_Int arg-0 arg-1)))
(define CoreC-45BinaryC-45Prims-u--toBuf_TTC_Int64 (lambda (arg-0 arg-1) (CoreC-45BinaryC-45Prims-u--toBuf_TTC_Integer arg-0 arg-1)))
(define CoreC-45BinaryC-45Prims-u--toBuf_TTC_Int32 (lambda (arg-0 arg-1) (CoreC-45BinaryC-45Prims-u--toBuf_TTC_Int arg-0 arg-1)))
(define CoreC-45BinaryC-45Prims-u--toBuf_TTC_Int16 (lambda (arg-0 arg-1) (CoreC-45BinaryC-45Prims-u--toBuf_TTC_Int arg-0 arg-1)))
(define CoreC-45BinaryC-45Prims-u--toBuf_TTC_Int (lambda (arg-0 arg-1) (let ((sc0 (let ((sc1 (PreludeC-45EqOrd-u--C-62C-61_Ord_Int arg-1 (blodwen-toSignedInt -127 63)))) (cond ((equal? sc1 1) (PreludeC-45EqOrd-u--C-60_Ord_Int arg-1 (blodwen-toSignedInt 128 63))) (else 0))))) (cond ((equal? sc0 1) (CoreC-45BinaryC-45Prims-tag arg-0 (bs+ arg-1 (blodwen-toSignedInt 127 63) 63))) (else (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-0 (blodwen-toSignedInt 255 63)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (unbox eff-2))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((sc3 (PreludeC-45EqOrd-u--C-62C-61_Ord_Int (LibrariesC-45UtilsC-45Binary-avail e-6) 8))) (cond ((equal? sc3 1) (let ((eff-2 (PrimIO-io_bind (lambda (eta-0) (DataC-45Buffer-prim__setInt (let ((e-0 (vector-ref e-6 0))) e-0) (let ((e-1 (vector-ref e-6 1))) e-1) arg-1 eta-0)) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (let ((eff-3 arg-0)) (PrimIO-io_bind (let ((eff-4 eff-3)) (lambda (eta-0) (set-box! eff-4 (LibrariesC-45UtilsC-45Binary-appended 8 e-6)))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-3))))))) (else (let ((eff-2 (CoreC-45BinaryC-45Prims-extendBinary 8 e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (PrimIO-io_bind (lambda (eta-0) (DataC-45Buffer-prim__setInt (let ((e-0 (vector-ref e-7 0))) e-0) (let ((e-1 (vector-ref e-7 1))) e-1) arg-1 eta-0)) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-4 (let ((eff-4 arg-0)) (PrimIO-io_bind (let ((eff-5 eff-4)) (lambda (eta-0) (set-box! eff-5 (LibrariesC-45UtilsC-45Binary-appended 8 e-7)))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-4)))))))) eff-3)))))))))))) eff-2))))))))) eff-1)))))))))))
(define CoreC-45BinaryC-45Prims-u--toBuf_TTC_Double (lambda (arg-0 arg-1) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((sc1 (PreludeC-45EqOrd-u--C-62C-61_Ord_Int (LibrariesC-45UtilsC-45Binary-avail e-5) 8))) (cond ((equal? sc1 1) (let ((eff-1 (PrimIO-io_bind (lambda (eta-0) (DataC-45Buffer-prim__setDouble (let ((e-0 (vector-ref e-5 0))) e-0) (let ((e-1 (vector-ref e-5 1))) e-1) arg-1 eta-0)) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 arg-0)) (PrimIO-io_bind (let ((eff-3 eff-2)) (lambda (eta-0) (set-box! eff-3 (LibrariesC-45UtilsC-45Binary-appended 8 e-5)))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-2))))))) (else (let ((eff-1 (CoreC-45BinaryC-45Prims-extendBinary 8 e-5))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (PrimIO-io_bind (lambda (eta-0) (DataC-45Buffer-prim__setDouble (let ((e-0 (vector-ref e-6 0))) e-0) (let ((e-1 (vector-ref e-6 1))) e-1) arg-1 eta-0)) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (let ((eff-3 arg-0)) (PrimIO-io_bind (let ((eff-4 eff-3)) (lambda (eta-0) (set-box! eff-4 (LibrariesC-45UtilsC-45Binary-appended 8 e-6)))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-3)))))))) eff-2)))))))))))) eff-1)))))))))
(define CoreC-45BinaryC-45Prims-u--toBuf_TTC_Char (lambda (arg-0 arg-1) (CoreC-45BinaryC-45Prims-u--toBuf_TTC_Int arg-0 (cast-char-boundedInt arg-1 63))))
(define CoreC-45BinaryC-45Prims-u--toBuf_TTC_Bool (lambda (arg-0 arg-1) (cond ((equal? arg-1 0) (CoreC-45BinaryC-45Prims-tag arg-0 0)) (else (CoreC-45BinaryC-45Prims-tag arg-0 1)))))
(define CoreC-45BinaryC-45Prims-u--toBuf_TTC_Bits8 (lambda (arg-0 arg-1) (CoreC-45BinaryC-45Prims-u--toBuf_TTC_Int arg-0 arg-1)))
(define CoreC-45BinaryC-45Prims-u--toBuf_TTC_Bits64 (lambda (arg-0 arg-1) (CoreC-45BinaryC-45Prims-u--toBuf_TTC_Integer arg-0 arg-1)))
(define CoreC-45BinaryC-45Prims-u--toBuf_TTC_Bits32 (lambda (arg-0 arg-1) (CoreC-45BinaryC-45Prims-u--toBuf_TTC_Integer arg-0 arg-1)))
(define CoreC-45BinaryC-45Prims-u--toBuf_TTC_Bits16 (lambda (arg-0 arg-1) (CoreC-45BinaryC-45Prims-u--toBuf_TTC_Int arg-0 arg-1)))
(define CoreC-45BinaryC-45Prims-u--toBuf_TTC_Binary (lambda (arg-0 arg-1) (let ((u--len (let ((e-3 (vector-ref arg-1 3))) e-3))) (let ((eff-0 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_Int arg-0 u--len))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (unbox eff-2))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((sc2 (PreludeC-45EqOrd-u--C-62C-61_Ord_Int (LibrariesC-45UtilsC-45Binary-avail e-6) u--len))) (cond ((equal? sc2 1) (let ((eff-2 (PrimIO-io_bind (DataC-45Buffer-copyData (csegen-40) (let ((e-0 (vector-ref arg-1 0))) e-0) 0 u--len (let ((e-0 (vector-ref e-6 0))) e-0) (let ((e-1 (vector-ref e-6 1))) e-1)) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (let ((eff-3 arg-0)) (PrimIO-io_bind (let ((eff-4 eff-3)) (lambda (eta-0) (set-box! eff-4 (LibrariesC-45UtilsC-45Binary-appended u--len e-6)))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-3))))))) (else (let ((eff-2 (CoreC-45BinaryC-45Prims-extendBinary u--len e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (PrimIO-io_bind (DataC-45Buffer-copyData (csegen-40) (let ((e-0 (vector-ref arg-1 0))) e-0) 0 u--len (let ((e-0 (vector-ref e-7 0))) e-0) (let ((e-1 (vector-ref e-7 1))) e-1)) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-4 (let ((eff-4 arg-0)) (PrimIO-io_bind (let ((eff-5 eff-4)) (lambda (eta-0) (set-box! eff-5 (LibrariesC-45UtilsC-45Binary-appended u--len e-7)))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-4)))))))) eff-3)))))))))))) eff-2))))))))) eff-1)))))))))
(define CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40C-124UnitC-44MkUnitC-124C-41 (lambda (arg-0 arg-1 ext-0) (vector 1 (vector 0 ))))
(define CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (lambda (arg-2 arg-3 arg-4) (let ((e-2 (car arg-4))) (let ((e-3 (cdr arg-4))) (let ((eff-0 (let ((sc1 (Builtin-fst arg-2))) (let ((e-1 (car sc1))) ((e-1 arg-3) e-2))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-1 (let ((sc2 (Builtin-snd arg-2))) (let ((e-1 (car sc2))) ((e-1 arg-3) e-3))))) eff-1))))))))))
(define CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40PosMapC-32C-36aC-41 (lambda (arg-1 arg-2 ext-0) (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40ListC-32C-36aC-41 (Builtin-fst arg-1) arg-2 (LibrariesC-45DataC-45PosMap-u--toList_Foldable_PosMap ext-0))))
(define CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40MaybeC-32C-36aC-41 (lambda (arg-1 arg-2 arg-3) (if (null? arg-3) (CoreC-45BinaryC-45Prims-tag arg-2 0) (let ((e-2 (unbox arg-3))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-2 1))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-1 (let ((e-1 (car arg-1))) ((e-1 arg-2) e-2)))) eff-1))))))))))
(define CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40ListC-32C-36aC-41 (lambda (arg-1 arg-2 arg-3) (let ((eff-0 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_Int arg-2 (CoreC-45BinaryC-45Prims-n--9546-7018-u--TailRec_length arg-1 arg-3 arg-2 arg-3)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45Core-traverse_ (lambda (clam-0) (let ((e-1 (car arg-1))) ((e-1 arg-2) clam-0))) arg-3))) eff-1))))))))
(define CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40C-40VectC-32C-36nC-41C-32C-36aC-41 (lambda (arg-1 arg-2 arg-3 arg-4) (CoreC-45BinaryC-45Prims-n--9787-7261-u--writeAll arg-1 arg-2 arg-4 arg-3 arg-4)))
(define CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40C-40DPairC-32C-36aC-41C-32C-36pC-41 (lambda (arg-2 arg-3 arg-4) (let ((e-2 (car arg-4))) (let ((e-3 (cdr arg-4))) (let ((eff-0 (let ((sc1 (Builtin-fst arg-2))) (let ((e-1 (car sc1))) ((e-1 arg-3) e-2))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-1 (let ((sc2 ((Builtin-snd arg-2) e-2))) (let ((e-1 (car sc2))) ((e-1 arg-3) e-3))))) eff-1))))))))))
(define CoreC-45BinaryC-45Prims-u--fromBuf_TTC_WastefulInt (lambda (arg-0) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((sc1 (PreludeC-45EqOrd-u--C-62C-61_Ord_Int (LibrariesC-45UtilsC-45Binary-toRead e-5) 8))) (cond ((equal? sc1 1) (let ((eff-1 (PrimIO-io_bind (lambda (eta-0) (DataC-45Buffer-prim__getInt (let ((e-0 (vector-ref e-5 0))) e-0) (let ((e-1 (vector-ref e-5 1))) e-1) eta-0)) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (let ((eff-2 arg-0)) (PrimIO-io_bind (let ((eff-3 eff-2)) (lambda (eta-0) (set-box! eff-3 (LibrariesC-45UtilsC-45Binary-incLoc 8 e-5)))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (lambda (eta-0) (vector 1 e-6)))) eff-3)))))))) eff-2)))))))) (else (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 50 (vector 1 (string-append "Int " (PreludeC-45Show-u--show_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-584) (cons (let ((e-1 (vector-ref e-5 1))) e-1) (let ((e-2 (vector-ref e-5 2))) e-2)))))) eta-0))))))) eff-1)))))))))
(define CoreC-45BinaryC-45Prims-u--fromBuf_TTC_String (lambda (arg-0) (let ((eff-0 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_Int arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (unbox eff-2))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (lambda (clam-0) (let ((sc2 (PreludeC-45EqOrd-u--C-60_Ord_Int e-5 0))) (cond ((equal? sc2 1) (CoreC-45BinaryC-45Prims-corrupt "String" clam-0)) (else (vector 1 (vector 0 )))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (let ((sc3 (PreludeC-45EqOrd-u--C-62C-61_Ord_Int (LibrariesC-45UtilsC-45Binary-toRead e-6) e-5))) (cond ((equal? sc3 1) (let ((eff-3 (PrimIO-io_bind (lambda (eta-0) (DataC-45Buffer-prim__getString (let ((e-0 (vector-ref e-6 0))) e-0) (let ((e-1 (vector-ref e-6 1))) e-1) e-5 eta-0)) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (let ((eff-4 arg-0)) (PrimIO-io_bind (let ((eff-5 eff-4)) (lambda (eta-0) (set-box! eff-5 (LibrariesC-45UtilsC-45Binary-incLoc e-5 e-6)))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-5 (lambda (eta-0) (vector 1 e-8)))) eff-5)))))))) eff-4)))))))) (else (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 50 (vector 1 (string-append "String length " (string-append (PreludeC-45Show-u--show_Show_Int e-5) (string-append " at " (PreludeC-45Show-u--show_Show_Int (let ((e-1 (vector-ref e-6 1))) e-1))))))) eta-0))))))) eff-3)))))))) eff-2))))))))) eff-1)))))))))
(define CoreC-45BinaryC-45Prims-u--fromBuf_TTC_Nat (lambda (arg-0) (let ((eff-0 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_Integer arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (PreludeC-45Types-prim__integerToNat e-5))))) eff-1)))))))))
(define CoreC-45BinaryC-45Prims-u--fromBuf_TTC_Integer (lambda (arg-0) (let ((eff-0 (CoreC-45BinaryC-45Prims-getTag arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (cond ((equal? e-5 0) (let ((eff-1 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40ListC-32C-36aC-41 (csegen-1947) arg-0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (- 0 (CoreC-45BinaryC-45Prims-fromLimbs e-6)))))) eff-2)))))))) ((equal? e-5 1) (let ((eff-1 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40ListC-32C-36aC-41 (csegen-1947) arg-0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (CoreC-45BinaryC-45Prims-fromLimbs e-6))))) eff-2))))))))(else (lambda (eta-0) (CoreC-45BinaryC-45Prims-corrupt "Integer" eta-0)))))) eff-1)))))))))
(define CoreC-45BinaryC-45Prims-u--fromBuf_TTC_Int8 (lambda (arg-0) (let ((eff-0 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_Int arg-0))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-1) (lambda (arg-2) ((((eff-1 'erased) 'erased) arg-1) arg-2)))) (lambda (eta-0) (blodwen-toSignedInt eta-0 7)))) eff-0))))
(define CoreC-45BinaryC-45Prims-u--fromBuf_TTC_Int64 (lambda (arg-0) (let ((eff-0 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_Integer arg-0))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-1) (lambda (arg-2) ((((eff-1 'erased) 'erased) arg-1) arg-2)))) (lambda (eta-0) (blodwen-toSignedInt eta-0 63)))) eff-0))))
(define CoreC-45BinaryC-45Prims-u--fromBuf_TTC_Int32 (lambda (arg-0) (let ((eff-0 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_Int arg-0))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-1) (lambda (arg-2) ((((eff-1 'erased) 'erased) arg-1) arg-2)))) (lambda (eta-0) (blodwen-toSignedInt eta-0 31)))) eff-0))))
(define CoreC-45BinaryC-45Prims-u--fromBuf_TTC_Int16 (lambda (arg-0) (let ((eff-0 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_Int arg-0))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-1) (lambda (arg-2) ((((eff-1 'erased) 'erased) arg-1) arg-2)))) (lambda (eta-0) (blodwen-toSignedInt eta-0 15)))) eff-0))))
(define CoreC-45BinaryC-45Prims-u--fromBuf_TTC_Int (lambda (arg-0) (let ((eff-0 (CoreC-45BinaryC-45Prims-getTag arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (cond ((equal? e-5 255) (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (unbox eff-2))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((sc3 (PreludeC-45EqOrd-u--C-62C-61_Ord_Int (LibrariesC-45UtilsC-45Binary-toRead e-6) 8))) (cond ((equal? sc3 1) (let ((eff-2 (PrimIO-io_bind (lambda (eta-0) (DataC-45Buffer-prim__getInt (let ((e-0 (vector-ref e-6 0))) e-0) (let ((e-1 (vector-ref e-6 1))) e-1) eta-0)) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (let ((eff-3 arg-0)) (PrimIO-io_bind (let ((eff-4 eff-3)) (lambda (eta-0) (set-box! eff-4 (LibrariesC-45UtilsC-45Binary-incLoc 8 e-6)))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-4 (lambda (eta-0) (vector 1 e-7)))) eff-4)))))))) eff-3)))))))) (else (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 50 (vector 1 (string-append "Int " (PreludeC-45Show-u--show_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-584) (cons (let ((e-1 (vector-ref e-6 1))) e-1) (let ((e-2 (vector-ref e-6 2))) e-2)))))) eta-0))))))) eff-2))))))))(else (lambda (eta-0) (vector 1 (bs- e-5 (blodwen-toSignedInt 127 63) 63))))))) eff-1)))))))))
(define CoreC-45BinaryC-45Prims-u--fromBuf_TTC_Double (lambda (arg-0) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((sc1 (PreludeC-45EqOrd-u--C-62C-61_Ord_Int (LibrariesC-45UtilsC-45Binary-toRead e-5) 8))) (cond ((equal? sc1 1) (let ((eff-1 (PrimIO-io_bind (lambda (eta-0) (DataC-45Buffer-prim__getDouble (let ((e-0 (vector-ref e-5 0))) e-0) (let ((e-1 (vector-ref e-5 1))) e-1) eta-0)) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (let ((eff-2 arg-0)) (PrimIO-io_bind (let ((eff-3 eff-2)) (lambda (eta-0) (set-box! eff-3 (LibrariesC-45UtilsC-45Binary-incLoc 8 e-5)))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (lambda (eta-0) (vector 1 e-6)))) eff-3)))))))) eff-2)))))))) (else (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 50 (vector 1 "Double")) eta-0))))))) eff-1)))))))))
(define CoreC-45BinaryC-45Prims-u--fromBuf_TTC_Char (lambda (arg-0) (let ((eff-0 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_Int arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (cast-int-char e-5))))) eff-1)))))))))
(define CoreC-45BinaryC-45Prims-u--fromBuf_TTC_Bool (lambda (arg-0) (let ((eff-0 (CoreC-45BinaryC-45Prims-getTag arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (clam-0) (cond ((equal? e-5 0) (vector 1 0)) ((equal? e-5 1) (vector 1 1))(else (CoreC-45BinaryC-45Prims-corrupt "Bool" clam-0)))))) eff-1)))))))))
(define CoreC-45BinaryC-45Prims-u--fromBuf_TTC_Bits8 (lambda (arg-0) (let ((eff-0 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_Int arg-0))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-1) (lambda (arg-2) ((((eff-1 'erased) 'erased) arg-1) arg-2)))) (lambda (eta-0) (blodwen-toUnsignedInt eta-0 8)))) eff-0))))
(define CoreC-45BinaryC-45Prims-u--fromBuf_TTC_Bits64 (lambda (arg-0) (let ((eff-0 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_Integer arg-0))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-1) (lambda (arg-2) ((((eff-1 'erased) 'erased) arg-1) arg-2)))) (lambda (eta-0) (blodwen-toUnsignedInt eta-0 64)))) eff-0))))
(define CoreC-45BinaryC-45Prims-u--fromBuf_TTC_Bits32 (lambda (arg-0) (let ((eff-0 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_Integer arg-0))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-1) (lambda (arg-2) ((((eff-1 'erased) 'erased) arg-1) arg-2)))) (lambda (eta-0) (blodwen-toUnsignedInt eta-0 32)))) eff-0))))
(define CoreC-45BinaryC-45Prims-u--fromBuf_TTC_Bits16 (lambda (arg-0) (let ((eff-0 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_Int arg-0))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-1) (lambda (arg-2) ((((eff-1 'erased) 'erased) arg-1) arg-2)))) (lambda (eta-0) (blodwen-toUnsignedInt eta-0 16)))) eff-0))))
(define CoreC-45BinaryC-45Prims-u--fromBuf_TTC_Binary (lambda (arg-0) (let ((eff-0 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_Int arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (unbox eff-2))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((sc2 (PreludeC-45EqOrd-u--C-62C-61_Ord_Int (LibrariesC-45UtilsC-45Binary-toRead e-6) e-5))) (cond ((equal? sc2 1) (let ((eff-2 (PrimIO-io_bind (DataC-45Buffer-newBuffer (csegen-40) e-5) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (if (null? e-7) (lambda (eta-0) (CoreC-45BinaryC-45Prims-corrupt "Binary" eta-0)) (let ((e-1 (unbox e-7))) (let ((eff-3 (PrimIO-io_bind (DataC-45Buffer-copyData (csegen-40) (let ((e-0 (vector-ref e-6 0))) e-0) (let ((e-4 (vector-ref e-6 1))) e-4) e-5 e-1 0) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-4 (let ((eff-4 (let ((eff-4 arg-0)) (PrimIO-io_bind (let ((eff-5 eff-4)) (lambda (eta-0) (set-box! eff-5 (LibrariesC-45UtilsC-45Binary-incLoc e-5 e-6)))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-5 (lambda (eta-0) (vector 1 (vector e-1 0 e-5 e-5))))) eff-5)))))))) eff-4)))))))))) eff-3)))))))) (else (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 50 (vector 1 "Binary")) eta-0))))))) eff-2))))))))) eff-1)))))))))
(define CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40C-124UnitC-44MkUnitC-124C-41 (lambda (arg-0 ext-0) (vector 1 (vector 0 ))))
(define CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (lambda (arg-2 arg-3) (let ((eff-0 (let ((sc0 (Builtin-fst arg-2))) (let ((e-2 (cdr sc0))) (e-2 arg-3))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((sc1 (Builtin-snd arg-2))) (let ((e-2 (cdr sc1))) (e-2 arg-3))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (cons e-5 e-6))))) eff-2))))))))) eff-1)))))))))
(define CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40PosMapC-32C-36aC-41 (lambda (arg-1 arg-2) (let ((eff-0 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40ListC-32C-36aC-41 (Builtin-fst arg-1) arg-2))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-0) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-0) arg-3)))) (lambda (eta-0) (LibrariesC-45DataC-45PosMap-fromList (Builtin-snd arg-1) eta-0)))) eff-0))))
(define CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40MaybeC-32C-36aC-41 (lambda (arg-1 arg-2) (let ((eff-0 (CoreC-45BinaryC-45Prims-getTag arg-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (cond ((equal? e-5 0) (lambda (eta-0) (vector 1 '()))) ((equal? e-5 1) (let ((eff-1 (let ((e-2 (cdr arg-1))) (e-2 arg-2)))) (PrimIO-io_bind eff-1 (csegen-1573))))(else (lambda (eta-0) (CoreC-45BinaryC-45Prims-corrupt "Maybe" eta-0)))))) eff-1)))))))))
(define CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40ListC-32C-36aC-41 (lambda (arg-1 arg-2) (let ((eff-0 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_Int arg-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45BinaryC-45Prims-n--9564-7063-u--readElems arg-1 arg-2 '() (PreludeC-45Types-prim__integerToNat e-5)))) eff-1)))))))))
(define CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40C-40VectC-32C-36nC-41C-32C-36aC-41 (lambda (arg-1 arg-2 arg-3) (CoreC-45BinaryC-45Prims-n--9808-7293-u--readElems arg-2 arg-3 arg-1 '() arg-1)))
(define CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40C-40DPairC-32C-36aC-41C-32C-36pC-41 (lambda (arg-2 arg-3) (let ((eff-0 (let ((sc0 (Builtin-fst arg-2))) (let ((e-2 (cdr sc0))) (e-2 arg-3))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((sc1 ((Builtin-snd arg-2) e-5))) (let ((e-2 (cdr sc1))) (e-2 arg-3))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (cons e-5 e-6))))) eff-2))))))))) eff-1)))))))))
(define CoreC-45BinaryC-45Prims-toLimbs (lambda (arg-0) (let ((sc0 (PreludeC-45EqOrd-u--C-61C-61_Eq_Integer arg-0 0))) (cond ((equal? sc0 1) '()) (else (let ((sc1 (PreludeC-45EqOrd-u--C-61C-61_Eq_Integer arg-0 -1))) (cond ((equal? sc1 1) (cons -1 '())) (else (cons (blodwen-toSignedInt (blodwen-and arg-0 4294967295) 63) (CoreC-45BinaryC-45Prims-toLimbs (blodwen-shr arg-0 32)))))))))))
(define CoreC-45BinaryC-45Prims-tag (lambda (arg-0 arg-1) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((sc1 (PreludeC-45EqOrd-u--C-62C-61_Ord_Int (LibrariesC-45UtilsC-45Binary-avail e-5) 1))) (cond ((equal? sc1 1) (let ((eff-1 (PrimIO-io_bind (lambda (eta-0) (DataC-45Buffer-prim__setByte (let ((e-0 (vector-ref e-5 0))) e-0) (let ((e-1 (vector-ref e-5 1))) e-1) arg-1 eta-0)) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 arg-0)) (PrimIO-io_bind (let ((eff-3 eff-2)) (lambda (eta-0) (set-box! eff-3 (LibrariesC-45UtilsC-45Binary-appended 1 e-5)))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-2))))))) (else (let ((eff-1 (CoreC-45BinaryC-45Prims-extendBinary 1 e-5))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (PrimIO-io_bind (lambda (eta-0) (DataC-45Buffer-prim__setByte (let ((e-0 (vector-ref e-6 0))) e-0) (let ((e-1 (vector-ref e-6 1))) e-1) arg-1 eta-0)) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (let ((eff-3 arg-0)) (PrimIO-io_bind (let ((eff-4 eff-3)) (lambda (eta-0) (set-box! eff-4 (LibrariesC-45UtilsC-45Binary-appended 1 e-6)))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-3)))))))) eff-2)))))))))))) eff-1)))))))))
(define CoreC-45BinaryC-45Prims-modTime (lambda (arg-0) (let ((eff-0 (PrimIO-io_bind (SystemC-45FileC-45Handle-openFile (csegen-40) arg-0 0) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (case (vector-ref e-5 0) ((1) (let ((e-2 (vector-ref e-5 1))) (let ((eff-1 (PrimIO-io_bind (SystemC-45FileC-45Meta-fileModifiedTime (csegen-40) e-2) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-3 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (case (vector-ref e-6 0) ((1) (let ((e-3 (vector-ref e-6 1))) (let ((eff-2 (PrimIO-io_bind (SystemC-45FileC-45Handle-closeFile (csegen-40) e-2) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-3 (lambda (eta-0) (vector 1 e-3)))) eff-3)))))))) (else (let ((eff-2 (PrimIO-io_bind (SystemC-45FileC-45Handle-closeFile (csegen-40) e-2) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-3 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-3 (lambda (eta-0) (vector 1 0)))) eff-3)))))))))) eff-2))))))))) (else (lambda (eta-0) (vector 1 0)))))) eff-1)))))))))
(define CoreC-45BinaryC-45Prims-initBinaryS (lambda (arg-0) (let ((eff-0 (PrimIO-io_bind (DataC-45Buffer-newBuffer (csegen-40) arg-0) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (if (null? e-5) (csegen-2063) (let ((e-1 (unbox e-5))) (CoreC-45Core-newRef (vector "Core.Binary.Prims.Bin" ) (LibrariesC-45UtilsC-45Binary-newBinary e-1 arg-0)))))) eff-1)))))))))
(define CoreC-45BinaryC-45Prims-initBinary(blodwen-lazy (lambda () (let ((eff-0 (PrimIO-io_bind (DataC-45Buffer-newBuffer (csegen-40) (LibrariesC-45UtilsC-45Binary-blockSize)) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (if (null? e-5) (csegen-2063) (let ((e-1 (unbox e-5))) (CoreC-45Core-newRef (vector "Core.Binary.Prims.Bin" ) (LibrariesC-45UtilsC-45Binary-newBinary e-1 (LibrariesC-45UtilsC-45Binary-blockSize))))))) eff-1))))))))))
(define CoreC-45BinaryC-45Prims-hashFileWith (lambda (arg-0 arg-1) (if (null? arg-0) (lambda (eta-0) (vector 1 '())) (let ((e-2 (unbox arg-0))) (let ((eff-0 (PrimIO-io_bind (SystemC-45FileC-45Process-popen (csegen-40) (string-append e-2 (string-append " \"" (string-append (CoreC-45BinaryC-45Prims-n--10824-8220-u--osEscape e-2 arg-1 arg-1) "\""))) 0) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (case (vector-ref e-5 0) ((1) (let ((e-3 (vector-ref e-5 1))) (let ((eff-1 (PrimIO-io_bind (SystemC-45FileC-45ReadWrite-fGetLine (csegen-40) e-3) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((_-0 (vector 1 e-3))) (case (vector-ref e-6 0) ((1) (let ((e-4 (vector-ref e-6 1))) (let ((eff-2 (let ((eff-2 (PrimIO-io_bind (SystemC-45FileC-45Process-pclose (csegen-40) e-3) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (((csegen-50) ((let ((eff-3 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-7 (vector-ref eta-3 1))) (vector 0 e-7))) (else (let ((e-7 (vector-ref eta-3 1))) (vector 1 (eta-2 e-7))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-3 'erased) 'erased) arg-2) arg-3)))) (lambda (_-8679) (vector 0 )))) eff-2)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-7 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((eff-3 (let ((_-1 (vector 1 e-4))) (CoreC-45BinaryC-45Prims-case--caseC-32blockC-32inC-32caseC-32blockC-32inC-32hashFileWith-8331 e-2 arg-1 e-3 _-0 e-4 _-1 (DataC-45String-words e-4))))) eff-3)))))))) (else (let ((eff-2 (let ((eff-2 (PrimIO-io_bind (SystemC-45FileC-45Process-pclose (csegen-40) e-3) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (((csegen-50) ((let ((eff-3 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-4 (vector-ref eta-3 1))) (vector 0 e-4))) (else (let ((e-8 (vector-ref eta-3 1))) (vector 1 (eta-2 e-8))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-3 'erased) 'erased) arg-2) arg-3)))) (lambda (_-8679) (vector 0 )))) eff-2)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-3 (lambda (eta-0) (CoreC-45BinaryC-45Prims-n--10824-8219-u--err e-2 arg-1 eta-0)))) eff-3))))))))))) eff-2))))))))) (else (lambda (eta-0) (CoreC-45BinaryC-45Prims-n--10824-8219-u--err e-2 arg-1 eta-0)))))) eff-1)))))))))))
(define CoreC-45BinaryC-45Prims-getTag (lambda (arg-0) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((sc1 (PreludeC-45EqOrd-u--C-62C-61_Ord_Int (LibrariesC-45UtilsC-45Binary-toRead e-5) 1))) (cond ((equal? sc1 1) (let ((eff-1 (PrimIO-io_bind (lambda (eta-0) (DataC-45Buffer-prim__getByte (let ((e-0 (vector-ref e-5 0))) e-0) (let ((e-1 (vector-ref e-5 1))) e-1) eta-0)) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (let ((eff-2 arg-0)) (PrimIO-io_bind (let ((eff-3 eff-2)) (lambda (eta-0) (set-box! eff-3 (LibrariesC-45UtilsC-45Binary-incLoc 1 e-5)))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (lambda (eta-0) (vector 1 e-6)))) eff-3)))))))) eff-2)))))))) (else (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 50 (vector 1 "Byte")) eta-0))))))) eff-1)))))))))
(define CoreC-45BinaryC-45Prims-fromLimbs (lambda (arg-0) (if (null? arg-0) 0 (let ((e-2 (car arg-0))) (let ((e-3 (cdr arg-0))) (+ e-2 (blodwen-shl (CoreC-45BinaryC-45Prims-fromLimbs e-3) 32)))))))
(define CoreC-45BinaryC-45Prims-extendBinary (lambda (arg-0 arg-1) (let ((e-0 (vector-ref arg-1 0))) (let ((e-1 (vector-ref arg-1 1))) (let ((e-2 (vector-ref arg-1 2))) (let ((e-3 (vector-ref arg-1 3))) (let ((u--newsize (bs* e-2 2 63))) (let ((u--sC-39 (let ((sc0 (PreludeC-45EqOrd-u--C-60_Ord_Int (bs- u--newsize e-1 63) arg-0))) (cond ((equal? sc0 1) (bs+ u--newsize arg-0 63)) (else u--newsize))))) (let ((eff-0 (PrimIO-io_bind (DataC-45Buffer-resizeBuffer (csegen-40) e-0 u--sC-39) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (clam-0) (if (null? e-5) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 ((csegen-0) "Buffer expansion failed")) clam-0) (let ((e-4 (unbox e-5))) (vector 1 (vector e-4 e-1 u--sC-39 e-3))))))) eff-1)))))))))))))))
(define CoreC-45BinaryC-45Prims-corrupt (lambda (arg-1 ext-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 50 (vector 2 arg-1)) ext-0)))
(define LibrariesC-45DataC-45PosMap-case--merge2-11531 (lambda (arg-1 arg-2 arg-3 arg-4) (if (null? arg-4) arg-3 (let ((e-2 (car arg-4))) (let ((e-3 (cdr arg-4))) (let ((sc1 (LibrariesC-45DataC-45PosMap-split (lambda (arg-2936) (LibrariesC-45DataC-45PosMap-u--measureRM_MeasureRM_C-36a arg-1 arg-2936)) (lambda (eta-0) (LibrariesC-45DataC-45PosMap-largerC-39 ((let ((eff-0 arg-1)) (lambda (arg-0) (eff-0 arg-0))) e-2) eta-0)) arg-3))) (let ((e-5 (car sc1))) (let ((e-4 (cdr sc1))) (LibrariesC-45DataC-45PosMap-C-43C-43 (lambda (arg-2936) (LibrariesC-45DataC-45PosMap-u--measureRM_MeasureRM_C-36a arg-1 arg-2936)) e-5 (LibrariesC-45DataC-45PosMap-C-60C-124 (lambda (arg-2936) (LibrariesC-45DataC-45PosMap-u--measureRM_MeasureRM_C-36a arg-1 arg-2936)) e-2 (LibrariesC-45DataC-45PosMap-merge1 arg-1 e-4 e-3)))))))))))
(define LibrariesC-45DataC-45PosMap-case--merge1-11452 (lambda (arg-1 arg-2 arg-3 arg-4) (if (null? arg-4) arg-2 (let ((e-2 (car arg-4))) (let ((e-3 (cdr arg-4))) (let ((sc1 (LibrariesC-45DataC-45PosMap-split (lambda (arg-2936) (LibrariesC-45DataC-45PosMap-u--measureRM_MeasureRM_C-36a arg-1 arg-2936)) (lambda (eta-0) (LibrariesC-45DataC-45PosMap-larger ((let ((eff-0 arg-1)) (lambda (arg-0) (eff-0 arg-0))) e-2) eta-0)) arg-2))) (let ((e-5 (car sc1))) (let ((e-4 (cdr sc1))) (LibrariesC-45DataC-45PosMap-C-43C-43 (lambda (arg-2936) (LibrariesC-45DataC-45PosMap-u--measureRM_MeasureRM_C-36a arg-1 arg-2936)) e-5 (LibrariesC-45DataC-45PosMap-C-60C-124 (lambda (arg-2936) (LibrariesC-45DataC-45PosMap-u--measureRM_MeasureRM_C-36a arg-1 arg-2936)) e-2 (LibrariesC-45DataC-45PosMap-merge2 arg-1 e-3 e-4)))))))))))
(define LibrariesC-45DataC-45PosMap-n--5437-4879-u--value (lambda (arg-1 arg-2 arg-3 arg-4) (let ((sc0 (LibrariesC-45DataC-45PosMap-measureTree (lambda (arg-2936) (LibrariesC-45DataC-45PosMap-u--measureRM_MeasureRM_C-40NodeC-32C-36aC-41 arg-2936)) arg-3))) (if (null? sc0) (LibrariesC-45DataC-45PosMap-u--C-60C-43C-62_Semigroup_RMFileRange ((let ((eff-0 (lambda (arg-2936) (LibrariesC-45DataC-45PosMap-u--measureRM_MeasureRM_C-40DigitC-32C-36aC-41 arg-1 arg-2936)))) (lambda (arg-0) (eff-0 arg-0))) arg-4) ((let ((eff-0 (lambda (arg-2936) (LibrariesC-45DataC-45PosMap-u--measureRM_MeasureRM_C-40DigitC-32C-36aC-41 arg-1 arg-2936)))) (lambda (arg-0) (eff-0 arg-0))) arg-2)) (let ((e-0 (unbox sc0))) (LibrariesC-45DataC-45PosMap-u--C-60C-43C-62_Semigroup_RMFileRange (LibrariesC-45DataC-45PosMap-u--C-60C-43C-62_Semigroup_RMFileRange ((let ((eff-0 (lambda (arg-2936) (LibrariesC-45DataC-45PosMap-u--measureRM_MeasureRM_C-40DigitC-32C-36aC-41 arg-1 arg-2936)))) (lambda (arg-0) (eff-0 arg-0))) arg-4) e-0) ((let ((eff-0 (lambda (arg-2936) (LibrariesC-45DataC-45PosMap-u--measureRM_MeasureRM_C-40DigitC-32C-36aC-41 arg-1 arg-2936)))) (lambda (arg-0) (eff-0 arg-0))) arg-2)))))))
(define LibrariesC-45DataC-45PosMap-n--12495-11684-u--matches (lambda (arg-1 arg-2 arg-3 arg-4 arg-5) (let ((sc0 (LibrariesC-45DataC-45PosMap-viewl arg-1 (LibrariesC-45DataC-45PosMap-dropUntil arg-1 (lambda (eta-0) (LibrariesC-45DataC-45PosMap-atleast arg-4 eta-0)) arg-5)))) (if (null? sc0) '() (let ((e-2 (car sc0))) (let ((e-3 (cdr sc0))) (cons e-2 (LibrariesC-45DataC-45PosMap-n--12495-11684-u--matches arg-1 arg-2 arg-3 arg-4 e-3))))))))
(define LibrariesC-45DataC-45PosMap-u--toList_Foldable_PosMap (lambda (ext-0) (LibrariesC-45DataC-45PosMap-u--foldr_Foldable_PosMap (csegen-152) '() ext-0)))
(define LibrariesC-45DataC-45PosMap-u--show_Show_C-40PosMapC-32C-36aC-41 (lambda (arg-1 arg-2) (LibrariesC-45DataC-45PosMap-u--showPrec_Show_C-40PosMapC-32C-36aC-41 arg-1 (vector 0 ) arg-2)))
(define LibrariesC-45DataC-45PosMap-u--showPrec_Show_C-40PosMapC-32C-36aC-41 (lambda (arg-1 arg-2 arg-3) (PreludeC-45Show-showCon arg-2 "fromList" (PreludeC-45Show-showArg (cons (lambda (u--x) (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 arg-1 u--x)) (lambda (u--d) (lambda (u--x) (PreludeC-45Show-u--showPrec_Show_C-40ListC-32C-36aC-41 arg-1 u--d u--x)))) (LibrariesC-45DataC-45PosMap-u--foldr_Foldable_PosMap (csegen-152) '() arg-3)))))
(define LibrariesC-45DataC-45PosMap-u--neutral_Monoid_Interval(blodwen-lazy (lambda () '())))
(define LibrariesC-45DataC-45PosMap-u--measure_Measure_C-40C-124C-40C-40BuiltinC-46PairC-32NonEmptyFCC-41C-32C-36aC-41C-44C-40C-40BuiltinC-46MkPairC-32NonEmptyFCC-41C-32C-36aC-41C-124C-41 (lambda (ext-0) ((let ((eff-0 (lambda (arg-2898) (Builtin-snd arg-2898)))) (lambda (arg-0) (eff-0 arg-0))) (Builtin-fst ext-0))))
(define LibrariesC-45DataC-45PosMap-u--measureRM_MeasureRM_C-40NodeC-32C-36aC-41 (lambda (arg-1) (case (vector-ref arg-1 0) ((0) (let ((e-1 (vector-ref arg-1 1))) e-1)) (else (let ((e-5 (vector-ref arg-1 1))) e-5)))))
(define LibrariesC-45DataC-45PosMap-u--measureRM_MeasureRM_C-40DigitC-32C-36aC-41 (lambda (arg-1 arg-2) (case (vector-ref arg-2 0) ((0) (let ((e-1 (vector-ref arg-2 1))) ((let ((eff-0 arg-1)) (lambda (arg-0) (eff-0 arg-0))) e-1))) ((1) (let ((e-3 (vector-ref arg-2 1))) (let ((e-4 (vector-ref arg-2 2))) (LibrariesC-45DataC-45PosMap-u--C-60C-43C-62_Semigroup_RMFileRange ((let ((eff-0 arg-1)) (lambda (arg-0) (eff-0 arg-0))) e-3) ((let ((eff-0 arg-1)) (lambda (arg-0) (eff-0 arg-0))) e-4))))) ((2) (let ((e-6 (vector-ref arg-2 1))) (let ((e-7 (vector-ref arg-2 2))) (let ((e-8 (vector-ref arg-2 3))) (LibrariesC-45DataC-45PosMap-u--C-60C-43C-62_Semigroup_RMFileRange (LibrariesC-45DataC-45PosMap-u--C-60C-43C-62_Semigroup_RMFileRange ((let ((eff-0 arg-1)) (lambda (arg-0) (eff-0 arg-0))) e-6) ((let ((eff-0 arg-1)) (lambda (arg-0) (eff-0 arg-0))) e-7)) ((let ((eff-0 arg-1)) (lambda (arg-0) (eff-0 arg-0))) e-8)))))) (else (let ((e-10 (vector-ref arg-2 1))) (let ((e-11 (vector-ref arg-2 2))) (let ((e-12 (vector-ref arg-2 3))) (let ((e-13 (vector-ref arg-2 4))) (LibrariesC-45DataC-45PosMap-u--C-60C-43C-62_Semigroup_RMFileRange (LibrariesC-45DataC-45PosMap-u--C-60C-43C-62_Semigroup_RMFileRange (LibrariesC-45DataC-45PosMap-u--C-60C-43C-62_Semigroup_RMFileRange ((let ((eff-0 arg-1)) (lambda (arg-0) (eff-0 arg-0))) e-10) ((let ((eff-0 arg-1)) (lambda (arg-0) (eff-0 arg-0))) e-11)) ((let ((eff-0 arg-1)) (lambda (arg-0) (eff-0 arg-0))) e-12)) ((let ((eff-0 arg-1)) (lambda (arg-0) (eff-0 arg-0))) e-13))))))))))
(define LibrariesC-45DataC-45PosMap-u--measureRM_MeasureRM_C-36a (lambda (arg-1 ext-0) ((let ((eff-0 (lambda (u--orig) (LibrariesC-45DataC-45PosMap-u--cast_Cast_FileRange_RMFileRange u--orig)))) (lambda (arg-0) (eff-0 arg-0))) ((let ((eff-0 arg-1)) (lambda (arg-0) (eff-0 arg-0))) ext-0))))
(define LibrariesC-45DataC-45PosMap-u--foldr_Foldable_PosMap (lambda (arg-2 arg-3 arg-4) (case (vector-ref arg-4 0) ((0) arg-3) ((1) (let ((e-2 (vector-ref arg-4 1))) ((arg-2 e-2) arg-3))) (else (let ((e-5 (vector-ref arg-4 2))) (let ((e-6 (vector-ref arg-4 3))) (let ((e-7 (vector-ref arg-4 4))) (LibrariesC-45DataC-45PosMap-u--foldr_Foldable_Digit arg-2 (LibrariesC-45DataC-45PosMap-u--foldr_Foldable_PosMap (lambda (eta-0) (lambda (eta-1) (PreludeC-45Basics-flip (lambda (eta-2) (lambda (eta-3) (LibrariesC-45DataC-45PosMap-u--foldr_Foldable_Node arg-2 eta-2 eta-3))) eta-0 eta-1))) (LibrariesC-45DataC-45PosMap-u--foldr_Foldable_Digit arg-2 arg-3 e-7) e-6) e-5))))))))
(define LibrariesC-45DataC-45PosMap-u--foldr_Foldable_Node (lambda (arg-2 arg-3 arg-4) (case (vector-ref arg-4 0) ((0) (let ((e-2 (vector-ref arg-4 2))) (let ((e-3 (vector-ref arg-4 3))) ((arg-2 e-2) ((arg-2 e-3) arg-3))))) (else (let ((e-6 (vector-ref arg-4 2))) (let ((e-7 (vector-ref arg-4 3))) (let ((e-8 (vector-ref arg-4 4))) ((arg-2 e-6) ((arg-2 e-7) ((arg-2 e-8) arg-3))))))))))
(define LibrariesC-45DataC-45PosMap-u--foldr_Foldable_Digit (lambda (arg-2 arg-3 arg-4) (case (vector-ref arg-4 0) ((0) (let ((e-1 (vector-ref arg-4 1))) ((arg-2 e-1) arg-3))) ((1) (let ((e-3 (vector-ref arg-4 1))) (let ((e-4 (vector-ref arg-4 2))) ((arg-2 e-3) ((arg-2 e-4) arg-3))))) ((2) (let ((e-6 (vector-ref arg-4 1))) (let ((e-7 (vector-ref arg-4 2))) (let ((e-8 (vector-ref arg-4 3))) ((arg-2 e-6) ((arg-2 e-7) ((arg-2 e-8) arg-3))))))) (else (let ((e-10 (vector-ref arg-4 1))) (let ((e-11 (vector-ref arg-4 2))) (let ((e-12 (vector-ref arg-4 3))) (let ((e-13 (vector-ref arg-4 4))) ((arg-2 e-10) ((arg-2 e-11) ((arg-2 e-12) ((arg-2 e-13) arg-3))))))))))))
(define LibrariesC-45DataC-45PosMap-u--foldMap_Foldable_PosMap (lambda (arg-2 arg-3 ext-0) (LibrariesC-45DataC-45PosMap-u--foldr_Foldable_PosMap (lambda (eta-0) ((let ((eff-0 (let ((e-1 (car arg-2))) e-1))) (lambda (arg-0) (lambda (arg-1) ((eff-0 arg-0) arg-1)))) (arg-3 eta-0))) (let ((e-2 (cdr arg-2))) e-2) ext-0)))
(define LibrariesC-45DataC-45PosMap-u--cast_Cast_RMFileRange_Interval (lambda (ext-0) (box ext-0)))
(define LibrariesC-45DataC-45PosMap-u--cast_Cast_FileRange_RMFileRange (lambda (arg-0) (let ((e-2 (car arg-0))) (let ((e-3 (cdr arg-0))) (cons (cons e-2 e-3) e-3)))))
(define LibrariesC-45DataC-45PosMap-u--C-60C-43C-62_Semigroup_RMFileRange (lambda (arg-0 arg-1) (let ((e-1 (cdr arg-0))) (let ((e-2 (car arg-1))) (let ((e-3 (cdr arg-1))) (cons e-2 (PreludeC-45EqOrd-u--max_Ord_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-298) (csegen-298) e-1 e-3)))))))
(define LibrariesC-45DataC-45PosMap-u--C-60C-43C-62_Semigroup_Interval (lambda (arg-0 arg-1) (if (null? arg-0) arg-1 (if (null? arg-1) arg-0 (let ((e-0 (unbox arg-0))) (let ((e-1 (unbox arg-1))) (box (LibrariesC-45DataC-45PosMap-u--C-60C-43C-62_Semigroup_RMFileRange e-0 e-1))))))))
(define LibrariesC-45DataC-45PosMap-C-124C-62 (lambda (arg-1 arg-2 arg-3) (case (vector-ref arg-2 0) ((0) (vector 1 arg-3)) ((1) (let ((e-2 (vector-ref arg-2 1))) (LibrariesC-45DataC-45PosMap-deep arg-1 (vector 0 e-2) (vector 0 ) (vector 0 arg-3)))) (else (let ((e-5 (vector-ref arg-2 2))) (let ((e-6 (vector-ref arg-2 3))) (let ((e-7 (vector-ref arg-2 4))) (case (vector-ref e-7 0) ((0) (let ((e-9 (vector-ref e-7 1))) (LibrariesC-45DataC-45PosMap-deep arg-1 e-5 e-6 (vector 1 e-9 arg-3)))) ((1) (let ((e-11 (vector-ref e-7 1))) (let ((e-12 (vector-ref e-7 2))) (LibrariesC-45DataC-45PosMap-deep arg-1 e-5 e-6 (vector 2 e-11 e-12 arg-3))))) ((2) (let ((e-14 (vector-ref e-7 1))) (let ((e-15 (vector-ref e-7 2))) (let ((e-16 (vector-ref e-7 3))) (LibrariesC-45DataC-45PosMap-deep arg-1 e-5 e-6 (vector 3 e-14 e-15 e-16 arg-3)))))) (else (let ((e-18 (vector-ref e-7 1))) (let ((e-19 (vector-ref e-7 2))) (let ((e-20 (vector-ref e-7 3))) (let ((e-21 (vector-ref e-7 4))) (LibrariesC-45DataC-45PosMap-deep arg-1 e-5 (LibrariesC-45DataC-45PosMap-C-124C-62 (lambda (arg-2936) (LibrariesC-45DataC-45PosMap-u--measureRM_MeasureRM_C-40NodeC-32C-36aC-41 arg-2936)) e-6 (LibrariesC-45DataC-45PosMap-node3 arg-1 e-18 e-19 e-20)) (vector 1 e-21 arg-3)))))))))))))))
(define LibrariesC-45DataC-45PosMap-viewr (lambda (arg-1 arg-2) (case (vector-ref arg-2 0) ((0) '()) ((1) (let ((e-2 (vector-ref arg-2 1))) (cons (vector 0 ) e-2))) (else (let ((e-5 (vector-ref arg-2 2))) (let ((e-6 (vector-ref arg-2 3))) (let ((e-7 (vector-ref arg-2 4))) (case (vector-ref e-7 0) ((0) (let ((e-9 (vector-ref e-7 1))) (cons (LibrariesC-45DataC-45PosMap-rotr arg-1 e-5 e-6) e-9))) ((1) (let ((e-11 (vector-ref e-7 1))) (let ((e-12 (vector-ref e-7 2))) (cons (LibrariesC-45DataC-45PosMap-deep arg-1 e-5 e-6 (vector 0 e-11)) e-12)))) ((2) (let ((e-14 (vector-ref e-7 1))) (let ((e-15 (vector-ref e-7 2))) (let ((e-16 (vector-ref e-7 3))) (cons (LibrariesC-45DataC-45PosMap-deep arg-1 e-5 e-6 (vector 1 e-14 e-15)) e-16))))) (else (let ((e-18 (vector-ref e-7 1))) (let ((e-19 (vector-ref e-7 2))) (let ((e-20 (vector-ref e-7 3))) (let ((e-21 (vector-ref e-7 4))) (cons (LibrariesC-45DataC-45PosMap-deep arg-1 e-5 e-6 (vector 2 e-18 e-19 e-20)) e-21))))))))))))))
(define LibrariesC-45DataC-45PosMap-viewl (lambda (arg-1 arg-2) (case (vector-ref arg-2 0) ((0) '()) ((1) (let ((e-2 (vector-ref arg-2 1))) (cons e-2 (vector 0 )))) (else (let ((e-5 (vector-ref arg-2 2))) (let ((e-6 (vector-ref arg-2 3))) (let ((e-7 (vector-ref arg-2 4))) (case (vector-ref e-5 0) ((0) (let ((e-9 (vector-ref e-5 1))) (cons e-9 (LibrariesC-45DataC-45PosMap-rotl arg-1 e-6 e-7)))) ((1) (let ((e-11 (vector-ref e-5 1))) (let ((e-12 (vector-ref e-5 2))) (cons e-11 (LibrariesC-45DataC-45PosMap-deep arg-1 (vector 0 e-12) e-6 e-7))))) ((2) (let ((e-14 (vector-ref e-5 1))) (let ((e-15 (vector-ref e-5 2))) (let ((e-16 (vector-ref e-5 3))) (cons e-14 (LibrariesC-45DataC-45PosMap-deep arg-1 (vector 1 e-15 e-16) e-6 e-7)))))) (else (let ((e-18 (vector-ref e-5 1))) (let ((e-19 (vector-ref e-5 2))) (let ((e-20 (vector-ref e-5 3))) (let ((e-21 (vector-ref e-5 4))) (cons e-18 (LibrariesC-45DataC-45PosMap-deep arg-1 (vector 2 e-19 e-20 e-21) e-6 e-7)))))))))))))))
(define LibrariesC-45DataC-45PosMap-union (lambda (arg-1 arg-2 arg-3) (LibrariesC-45DataC-45PosMap-merge1 arg-1 arg-2 arg-3)))
(define LibrariesC-45DataC-45PosMap-takeUntil (lambda (arg-1 arg-2 ext-0) (Builtin-fst (LibrariesC-45DataC-45PosMap-split arg-1 arg-2 ext-0))))
(define LibrariesC-45DataC-45PosMap-split (lambda (arg-1 arg-2 arg-3) (case (vector-ref arg-3 0) ((0) (cons (vector 0 ) (vector 0 )))(else (let ((sc0 (LibrariesC-45DataC-45PosMap-searchTree arg-1 (lambda (u--a) (lambda (_-10814) (arg-2 u--a))) (LibrariesC-45DataC-45PosMap-u--neutral_Monoid_Interval) arg-3 (LibrariesC-45DataC-45PosMap-u--neutral_Monoid_Interval)))) (if (null? sc0) (cons arg-3 (vector 0 )) (let ((e-1 (unbox sc0))) (let ((e-5 (car e-1))) (let ((e-6 (cdr e-1))) (let ((e-9 (car e-6))) (let ((e-10 (cdr e-6))) (let ((sc3 (arg-2 (LibrariesC-45DataC-45PosMap-measureTree arg-1 arg-3)))) (cond ((equal? sc3 1) (cons e-5 (LibrariesC-45DataC-45PosMap-C-60C-124 arg-1 e-9 e-10))) (else (cons arg-3 (vector 0 ))))))))))))))))
(define LibrariesC-45DataC-45PosMap-searchTree (lambda (arg-1 arg-2 arg-3 arg-4 arg-5) (case (vector-ref arg-4 0) ((0) '()) ((1) (let ((e-2 (vector-ref arg-4 1))) (box (cons (vector 0 ) (cons e-2 (vector 0 )))))) (else (let ((e-5 (vector-ref arg-4 2))) (let ((e-6 (vector-ref arg-4 3))) (let ((e-7 (vector-ref arg-4 4))) (let ((u--vm (LibrariesC-45DataC-45PosMap-measureTree (lambda (arg-2936) (LibrariesC-45DataC-45PosMap-u--measureRM_MeasureRM_C-40NodeC-32C-36aC-41 arg-2936)) e-6))) (let ((u--vsr (LibrariesC-45DataC-45PosMap-u--C-60C-43C-62_Semigroup_Interval (LibrariesC-45DataC-45PosMap-u--cast_Cast_RMFileRange_Interval ((let ((eff-0 (lambda (arg-2936) (LibrariesC-45DataC-45PosMap-u--measureRM_MeasureRM_C-40DigitC-32C-36aC-41 arg-1 arg-2936)))) (lambda (arg-0) (eff-0 arg-0))) e-7)) arg-5))) (let ((u--vmsr (LibrariesC-45DataC-45PosMap-u--C-60C-43C-62_Semigroup_Interval u--vm u--vsr))) (let ((u--vlp (LibrariesC-45DataC-45PosMap-u--C-60C-43C-62_Semigroup_Interval arg-3 (LibrariesC-45DataC-45PosMap-u--cast_Cast_RMFileRange_Interval ((let ((eff-0 (lambda (arg-2936) (LibrariesC-45DataC-45PosMap-u--measureRM_MeasureRM_C-40DigitC-32C-36aC-41 arg-1 arg-2936)))) (lambda (arg-0) (eff-0 arg-0))) e-5))))) (let ((u--vlpm (LibrariesC-45DataC-45PosMap-u--C-60C-43C-62_Semigroup_Interval u--vlp u--vm))) (let ((sc1 ((arg-2 u--vlp) u--vmsr))) (cond ((equal? sc1 1) (let ((sc2 (LibrariesC-45DataC-45PosMap-searchDigit arg-1 arg-2 arg-3 e-5 u--vmsr))) (let ((e-2 (car sc2))) (let ((e-3 (cdr sc2))) (let ((e-9 (car e-3))) (let ((e-8 (cdr e-3))) (box (cons (PreludeC-45Types-maybe (lambda () (vector 0 )) (lambda () (lambda (eta-0) (LibrariesC-45DataC-45PosMap-digitToTree arg-1 eta-0))) e-2) (cons e-9 (LibrariesC-45DataC-45PosMap-deepl arg-1 e-8 e-6 e-7)))))))))) (else (let ((sc2 ((arg-2 u--vlpm) u--vsr))) (cond ((equal? sc2 1) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (LibrariesC-45DataC-45PosMap-searchTree (lambda (arg-2936) (LibrariesC-45DataC-45PosMap-u--measureRM_MeasureRM_C-40NodeC-32C-36aC-41 arg-2936)) arg-2 u--vlp e-6 u--vsr) (lambda (_-0) (let ((e-2 (car _-0))) (let ((e-3 (cdr _-0))) (let ((e-9 (car e-3))) (let ((e-8 (cdr e-3))) (let ((sc5 (LibrariesC-45DataC-45PosMap-searchNode arg-1 arg-2 (((csegen-2074) u--vlp) (LibrariesC-45DataC-45PosMap-measureTree (lambda (arg-2936) (LibrariesC-45DataC-45PosMap-u--measureRM_MeasureRM_C-40NodeC-32C-36aC-41 arg-2936)) e-2)) e-9 (((csegen-2074) (LibrariesC-45DataC-45PosMap-measureTree (lambda (arg-2936) (LibrariesC-45DataC-45PosMap-u--measureRM_MeasureRM_C-40NodeC-32C-36aC-41 arg-2936)) e-8)) u--vsr)))) (let ((e-11 (car sc5))) (let ((e-10 (cdr sc5))) (let ((e-13 (car e-10))) (let ((e-12 (cdr e-10))) (box (cons (LibrariesC-45DataC-45PosMap-deepr arg-1 e-5 e-2 e-11) (cons e-13 (LibrariesC-45DataC-45PosMap-deepl arg-1 e-12 e-8 e-7)))))))))))))))) (else (let ((sc3 (LibrariesC-45DataC-45PosMap-searchDigit arg-1 arg-2 u--vlpm e-7 arg-5))) (let ((e-2 (car sc3))) (let ((e-3 (cdr sc3))) (let ((e-9 (car e-3))) (let ((e-8 (cdr e-3))) (box (cons (LibrariesC-45DataC-45PosMap-deepr arg-1 e-5 e-6 e-2) (cons e-9 (PreludeC-45Types-maybe (lambda () (vector 0 )) (lambda () (lambda (eta-0) (LibrariesC-45DataC-45PosMap-digitToTree arg-1 eta-0))) e-8)))))))))))))))))))))))))))
(define LibrariesC-45DataC-45PosMap-searchPos (lambda (arg-1 arg-2 ext-0) (LibrariesC-45DataC-45PosMap-inRange arg-1 arg-2 arg-2 ext-0)))
(define LibrariesC-45DataC-45PosMap-searchNode (lambda (arg-1 arg-2 arg-3 arg-4 arg-5) (LibrariesC-45DataC-45PosMap-searchDigit arg-1 arg-2 arg-3 (LibrariesC-45DataC-45PosMap-nodeToDigit arg-1 arg-4) arg-5)))
(define LibrariesC-45DataC-45PosMap-searchDigit (lambda (arg-1 arg-2 arg-3 arg-4 arg-5) (case (vector-ref arg-4 0) ((0) (let ((e-1 (vector-ref arg-4 1))) (cons '() (cons e-1 '())))) ((1) (let ((e-3 (vector-ref arg-4 1))) (let ((e-4 (vector-ref arg-4 2))) (let ((u--va (LibrariesC-45DataC-45PosMap-u--C-60C-43C-62_Semigroup_Interval arg-3 (LibrariesC-45DataC-45PosMap-u--cast_Cast_RMFileRange_Interval ((let ((eff-0 arg-1)) (lambda (arg-0) (eff-0 arg-0))) e-3))))) (let ((u--vb (LibrariesC-45DataC-45PosMap-u--C-60C-43C-62_Semigroup_Interval (LibrariesC-45DataC-45PosMap-u--cast_Cast_RMFileRange_Interval ((let ((eff-0 arg-1)) (lambda (arg-0) (eff-0 arg-0))) e-4)) arg-5))) (let ((sc1 ((arg-2 u--va) u--vb))) (cond ((equal? sc1 1) (cons '() (cons e-3 (box (vector 0 e-4))))) (else (cons (box (vector 0 e-3)) (cons e-4 '())))))))))) ((2) (let ((e-6 (vector-ref arg-4 1))) (let ((e-7 (vector-ref arg-4 2))) (let ((e-8 (vector-ref arg-4 3))) (let ((u--va (LibrariesC-45DataC-45PosMap-u--C-60C-43C-62_Semigroup_Interval arg-3 (LibrariesC-45DataC-45PosMap-u--cast_Cast_RMFileRange_Interval ((let ((eff-0 arg-1)) (lambda (arg-0) (eff-0 arg-0))) e-6))))) (let ((u--vab (LibrariesC-45DataC-45PosMap-u--C-60C-43C-62_Semigroup_Interval u--va (LibrariesC-45DataC-45PosMap-u--cast_Cast_RMFileRange_Interval ((let ((eff-0 arg-1)) (lambda (arg-0) (eff-0 arg-0))) e-7))))) (let ((u--vc (LibrariesC-45DataC-45PosMap-u--C-60C-43C-62_Semigroup_Interval (LibrariesC-45DataC-45PosMap-u--cast_Cast_RMFileRange_Interval ((let ((eff-0 arg-1)) (lambda (arg-0) (eff-0 arg-0))) e-8)) arg-5))) (let ((u--vbc (LibrariesC-45DataC-45PosMap-u--C-60C-43C-62_Semigroup_Interval (LibrariesC-45DataC-45PosMap-u--cast_Cast_RMFileRange_Interval ((let ((eff-0 arg-1)) (lambda (arg-0) (eff-0 arg-0))) e-7)) u--vc))) (let ((sc1 ((arg-2 u--va) u--vbc))) (cond ((equal? sc1 1) (cons '() (cons e-6 (box (vector 1 e-7 e-8))))) (else (let ((sc2 ((arg-2 u--vab) u--vc))) (cond ((equal? sc2 1) (cons (box (vector 0 e-6)) (cons e-7 (box (vector 0 e-8))))) (else (cons (box (vector 1 e-6 e-7)) (cons e-8 '())))))))))))))))) (else (let ((e-10 (vector-ref arg-4 1))) (let ((e-11 (vector-ref arg-4 2))) (let ((e-12 (vector-ref arg-4 3))) (let ((e-13 (vector-ref arg-4 4))) (let ((u--va (LibrariesC-45DataC-45PosMap-u--C-60C-43C-62_Semigroup_Interval arg-3 (LibrariesC-45DataC-45PosMap-u--cast_Cast_RMFileRange_Interval ((let ((eff-0 arg-1)) (lambda (arg-0) (eff-0 arg-0))) e-10))))) (let ((u--vab (LibrariesC-45DataC-45PosMap-u--C-60C-43C-62_Semigroup_Interval u--va (LibrariesC-45DataC-45PosMap-u--cast_Cast_RMFileRange_Interval ((let ((eff-0 arg-1)) (lambda (arg-0) (eff-0 arg-0))) e-11))))) (let ((u--vabc (LibrariesC-45DataC-45PosMap-u--C-60C-43C-62_Semigroup_Interval u--vab (LibrariesC-45DataC-45PosMap-u--cast_Cast_RMFileRange_Interval ((let ((eff-0 arg-1)) (lambda (arg-0) (eff-0 arg-0))) e-12))))) (let ((u--vd (LibrariesC-45DataC-45PosMap-u--C-60C-43C-62_Semigroup_Interval (LibrariesC-45DataC-45PosMap-u--cast_Cast_RMFileRange_Interval ((let ((eff-0 arg-1)) (lambda (arg-0) (eff-0 arg-0))) e-13)) arg-5))) (let ((u--vcd (LibrariesC-45DataC-45PosMap-u--C-60C-43C-62_Semigroup_Interval (LibrariesC-45DataC-45PosMap-u--cast_Cast_RMFileRange_Interval ((let ((eff-0 arg-1)) (lambda (arg-0) (eff-0 arg-0))) e-12)) u--vd))) (let ((u--vbcd (LibrariesC-45DataC-45PosMap-u--C-60C-43C-62_Semigroup_Interval (LibrariesC-45DataC-45PosMap-u--cast_Cast_RMFileRange_Interval ((let ((eff-0 arg-1)) (lambda (arg-0) (eff-0 arg-0))) e-11)) u--vcd))) (let ((sc1 ((arg-2 u--va) u--vbcd))) (cond ((equal? sc1 1) (cons '() (cons e-10 (box (vector 2 e-11 e-12 e-13))))) (else (let ((sc2 ((arg-2 u--vab) u--vcd))) (cond ((equal? sc2 1) (cons (box (vector 0 e-10)) (cons e-11 (box (vector 1 e-12 e-13))))) (else (let ((sc3 ((arg-2 u--vabc) u--vd))) (cond ((equal? sc3 1) (cons (box (vector 1 e-10 e-11)) (cons e-12 (box (vector 0 e-13))))) (else (cons (box (vector 2 e-10 e-11 e-12)) (cons e-13 '())))))))))))))))))))))))))
(define LibrariesC-45DataC-45PosMap-rotr (lambda (arg-1 arg-2 arg-3) (let ((sc0 (LibrariesC-45DataC-45PosMap-viewr (lambda (arg-2936) (LibrariesC-45DataC-45PosMap-u--measureRM_MeasureRM_C-40NodeC-32C-36aC-41 arg-2936)) arg-3))) (if (null? sc0) (LibrariesC-45DataC-45PosMap-digitToTree arg-1 arg-2) (let ((e-2 (car sc0))) (let ((e-3 (cdr sc0))) (let ((sc1 (LibrariesC-45DataC-45PosMap-measureTree (lambda (arg-2936) (LibrariesC-45DataC-45PosMap-u--measureRM_MeasureRM_C-40NodeC-32C-36aC-41 arg-2936)) arg-3))) (if (null? sc1) (vector 2 ((let ((eff-0 (lambda (arg-2936) (LibrariesC-45DataC-45PosMap-u--measureRM_MeasureRM_C-40DigitC-32C-36aC-41 arg-1 arg-2936)))) (lambda (arg-0) (eff-0 arg-0))) arg-2) arg-2 e-2 (LibrariesC-45DataC-45PosMap-nodeToDigit arg-1 e-3)) (let ((e-0 (unbox sc1))) (vector 2 (LibrariesC-45DataC-45PosMap-u--C-60C-43C-62_Semigroup_RMFileRange ((let ((eff-0 (lambda (arg-2936) (LibrariesC-45DataC-45PosMap-u--measureRM_MeasureRM_C-40DigitC-32C-36aC-41 arg-1 arg-2936)))) (lambda (arg-0) (eff-0 arg-0))) arg-2) e-0) arg-2 e-2 (LibrariesC-45DataC-45PosMap-nodeToDigit arg-1 e-3)))))))))))
(define LibrariesC-45DataC-45PosMap-rotl (lambda (arg-1 arg-2 arg-3) (let ((sc0 (LibrariesC-45DataC-45PosMap-viewl (lambda (arg-2936) (LibrariesC-45DataC-45PosMap-u--measureRM_MeasureRM_C-40NodeC-32C-36aC-41 arg-2936)) arg-2))) (if (null? sc0) (LibrariesC-45DataC-45PosMap-digitToTree arg-1 arg-3) (let ((e-2 (car sc0))) (let ((e-3 (cdr sc0))) (let ((sc1 (LibrariesC-45DataC-45PosMap-measureTree (lambda (arg-2936) (LibrariesC-45DataC-45PosMap-u--measureRM_MeasureRM_C-40NodeC-32C-36aC-41 arg-2936)) arg-2))) (if (null? sc1) (vector 2 ((let ((eff-0 (lambda (arg-2936) (LibrariesC-45DataC-45PosMap-u--measureRM_MeasureRM_C-40DigitC-32C-36aC-41 arg-1 arg-2936)))) (lambda (arg-0) (eff-0 arg-0))) arg-3) (LibrariesC-45DataC-45PosMap-nodeToDigit arg-1 e-2) e-3 arg-3) (let ((e-0 (unbox sc1))) (vector 2 (LibrariesC-45DataC-45PosMap-u--C-60C-43C-62_Semigroup_RMFileRange e-0 ((let ((eff-0 (lambda (arg-2936) (LibrariesC-45DataC-45PosMap-u--measureRM_MeasureRM_C-40DigitC-32C-36aC-41 arg-1 arg-2936)))) (lambda (arg-0) (eff-0 arg-0))) arg-3)) (LibrariesC-45DataC-45PosMap-nodeToDigit arg-1 e-2) e-3 arg-3))))))))))
(define LibrariesC-45DataC-45PosMap-nodeToDigit (lambda (arg-1 arg-2) (case (vector-ref arg-2 0) ((0) (let ((e-2 (vector-ref arg-2 2))) (let ((e-3 (vector-ref arg-2 3))) (vector 1 e-2 e-3)))) (else (let ((e-6 (vector-ref arg-2 2))) (let ((e-7 (vector-ref arg-2 3))) (let ((e-8 (vector-ref arg-2 4))) (vector 2 e-6 e-7 e-8))))))))
(define LibrariesC-45DataC-45PosMap-node3 (lambda (arg-1 arg-2 arg-3 arg-4) (vector 1 (LibrariesC-45DataC-45PosMap-u--C-60C-43C-62_Semigroup_RMFileRange (LibrariesC-45DataC-45PosMap-u--C-60C-43C-62_Semigroup_RMFileRange ((let ((eff-0 arg-1)) (lambda (arg-0) (eff-0 arg-0))) arg-2) ((let ((eff-0 arg-1)) (lambda (arg-0) (eff-0 arg-0))) arg-3)) ((let ((eff-0 arg-1)) (lambda (arg-0) (eff-0 arg-0))) arg-4)) arg-2 arg-3 arg-4)))
(define LibrariesC-45DataC-45PosMap-node2 (lambda (arg-1 arg-2 arg-3) (vector 0 (LibrariesC-45DataC-45PosMap-u--C-60C-43C-62_Semigroup_RMFileRange ((let ((eff-0 arg-1)) (lambda (arg-0) (eff-0 arg-0))) arg-2) ((let ((eff-0 arg-1)) (lambda (arg-0) (eff-0 arg-0))) arg-3)) arg-2 arg-3)))
(define LibrariesC-45DataC-45PosMap-merge2 (lambda (arg-1 arg-2 arg-3) (LibrariesC-45DataC-45PosMap-case--merge2-11531 arg-1 arg-3 arg-2 (LibrariesC-45DataC-45PosMap-viewl (lambda (arg-2936) (LibrariesC-45DataC-45PosMap-u--measureRM_MeasureRM_C-36a arg-1 arg-2936)) arg-3))))
(define LibrariesC-45DataC-45PosMap-merge1 (lambda (arg-1 arg-2 arg-3) (LibrariesC-45DataC-45PosMap-case--merge1-11452 arg-1 arg-3 arg-2 (LibrariesC-45DataC-45PosMap-viewl (lambda (arg-2936) (LibrariesC-45DataC-45PosMap-u--measureRM_MeasureRM_C-36a arg-1 arg-2936)) arg-2))))
(define LibrariesC-45DataC-45PosMap-measureTree (lambda (arg-1 arg-2) (case (vector-ref arg-2 0) ((0) (LibrariesC-45DataC-45PosMap-u--neutral_Monoid_Interval)) ((1) (let ((e-2 (vector-ref arg-2 1))) (LibrariesC-45DataC-45PosMap-u--cast_Cast_RMFileRange_Interval ((let ((eff-0 arg-1)) (lambda (arg-0) (eff-0 arg-0))) e-2)))) (else (let ((e-4 (vector-ref arg-2 1))) (LibrariesC-45DataC-45PosMap-u--cast_Cast_RMFileRange_Interval e-4))))))
(define LibrariesC-45DataC-45PosMap-largerC-39 (lambda (arg-0 arg-1) (if (null? arg-1) 0 (let ((e-0 (unbox arg-1))) (let ((e-1 (car e-0))) (PreludeC-45EqOrd-u--C-62_Ord_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-2085) (csegen-2085) e-1 arg-0))))))
(define LibrariesC-45DataC-45PosMap-larger (lambda (arg-0 arg-1) (if (null? arg-1) 0 (let ((e-0 (unbox arg-1))) (let ((e-1 (car e-0))) (PreludeC-45EqOrd-u--C-62C-61_Ord_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-2085) (csegen-2085) e-1 arg-0))))))
(define LibrariesC-45DataC-45PosMap-insert (lambda (arg-1 arg-2 arg-3) (let ((sc0 (LibrariesC-45DataC-45PosMap-split (lambda (arg-2936) (LibrariesC-45DataC-45PosMap-u--measureRM_MeasureRM_C-36a arg-1 arg-2936)) (lambda (eta-0) (LibrariesC-45DataC-45PosMap-larger ((let ((eff-0 arg-1)) (lambda (arg-0) (eff-0 arg-0))) arg-2) eta-0)) arg-3))) (let ((e-2 (car sc0))) (let ((e-3 (cdr sc0))) (LibrariesC-45DataC-45PosMap-C-43C-43 (lambda (arg-2936) (LibrariesC-45DataC-45PosMap-u--measureRM_MeasureRM_C-36a arg-1 arg-2936)) e-2 (LibrariesC-45DataC-45PosMap-C-60C-124 (lambda (arg-2936) (LibrariesC-45DataC-45PosMap-u--measureRM_MeasureRM_C-36a arg-1 arg-2936)) arg-2 e-3)))))))
(define LibrariesC-45DataC-45PosMap-inRange (lambda (arg-1 arg-2 arg-3 arg-4) (LibrariesC-45DataC-45PosMap-n--12495-11684-u--matches arg-1 arg-4 arg-3 arg-2 (LibrariesC-45DataC-45PosMap-takeUntil arg-1 (lambda (eta-0) (LibrariesC-45DataC-45PosMap-greater arg-3 eta-0)) arg-4))))
(define LibrariesC-45DataC-45PosMap-greater (lambda (arg-0 arg-1) (if (null? arg-1) 0 (let ((e-0 (unbox arg-1))) (let ((e-1 (car e-0))) (PreludeC-45EqOrd-u--C-62_Ord_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-298) (csegen-298) (Builtin-fst e-1) arg-0))))))
(define LibrariesC-45DataC-45PosMap-fromList (lambda (arg-1 ext-0) (PreludeC-45Types-u--foldr_Foldable_List (lambda (eta-0) (lambda (eta-1) (LibrariesC-45DataC-45PosMap-insert arg-1 eta-0 eta-1))) (LibrariesC-45DataC-45PosMap-empty) ext-0)))
(define LibrariesC-45DataC-45PosMap-exactRange (lambda (arg-1 arg-2 arg-3 arg-4) (PreludeC-45Basics-flip (csegen-2086) (LibrariesC-45DataC-45PosMap-inRange arg-1 arg-2 arg-3 arg-4) (lambda (u--a) (let ((sc0 ((let ((eff-0 arg-1)) (lambda (arg-0) (eff-0 arg-0))) u--a))) (let ((e-0 (car sc0))) (PreludeC-45Interfaces-C-62C-62 (csegen-614) (PreludeC-45Interfaces-guard (csegen-326) (PreludeC-45EqOrd-u--C-61C-61_Eq_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-2077) (csegen-2077) e-0 (cons arg-2 arg-3))) (lambda () (box u--a)))))))))
(define LibrariesC-45DataC-45PosMap-empty(blodwen-lazy (lambda () (vector 0 ))))
(define LibrariesC-45DataC-45PosMap-dropUntil (lambda (arg-1 arg-2 ext-0) (Builtin-snd (LibrariesC-45DataC-45PosMap-split arg-1 arg-2 ext-0))))
(define LibrariesC-45DataC-45PosMap-digitToTree (lambda (arg-1 arg-2) (case (vector-ref arg-2 0) ((0) (let ((e-1 (vector-ref arg-2 1))) (vector 1 e-1))) ((1) (let ((e-3 (vector-ref arg-2 1))) (let ((e-4 (vector-ref arg-2 2))) (LibrariesC-45DataC-45PosMap-deep arg-1 (vector 0 e-3) (vector 0 ) (vector 0 e-4))))) ((2) (let ((e-6 (vector-ref arg-2 1))) (let ((e-7 (vector-ref arg-2 2))) (let ((e-8 (vector-ref arg-2 3))) (LibrariesC-45DataC-45PosMap-deep arg-1 (vector 1 e-6 e-7) (vector 0 ) (vector 0 e-8)))))) (else (let ((e-10 (vector-ref arg-2 1))) (let ((e-11 (vector-ref arg-2 2))) (let ((e-12 (vector-ref arg-2 3))) (let ((e-13 (vector-ref arg-2 4))) (LibrariesC-45DataC-45PosMap-deep arg-1 (vector 1 e-10 e-11) (vector 0 ) (vector 1 e-12 e-13))))))))))
(define LibrariesC-45DataC-45PosMap-deepr (lambda (arg-1 arg-2 arg-3 arg-4) (if (null? arg-4) (LibrariesC-45DataC-45PosMap-rotr arg-1 arg-2 arg-3) (let ((e-2 (unbox arg-4))) (LibrariesC-45DataC-45PosMap-deep arg-1 arg-2 arg-3 e-2)))))
(define LibrariesC-45DataC-45PosMap-deepl (lambda (arg-1 arg-2 arg-3 arg-4) (if (null? arg-2) (LibrariesC-45DataC-45PosMap-rotl arg-1 arg-3 arg-4) (let ((e-2 (unbox arg-2))) (LibrariesC-45DataC-45PosMap-deep arg-1 e-2 arg-3 arg-4)))))
(define LibrariesC-45DataC-45PosMap-deep (lambda (arg-1 arg-2 arg-3 arg-4) (vector 2 (LibrariesC-45DataC-45PosMap-n--5437-4879-u--value arg-1 arg-4 arg-3 arg-2) arg-2 arg-3 arg-4)))
(define LibrariesC-45DataC-45PosMap-atleast (lambda (arg-0 arg-1) (if (null? arg-1) 0 (let ((e-0 (unbox arg-1))) (let ((e-2 (cdr e-0))) (PreludeC-45EqOrd-u--C-60C-61_Ord_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-298) (csegen-298) arg-0 e-2))))))
(define LibrariesC-45DataC-45PosMap-appendTree4 (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (case (vector-ref arg-2 0) ((0) (LibrariesC-45DataC-45PosMap-C-60C-124 arg-1 arg-3 (LibrariesC-45DataC-45PosMap-C-60C-124 arg-1 arg-4 (LibrariesC-45DataC-45PosMap-C-60C-124 arg-1 arg-5 (LibrariesC-45DataC-45PosMap-C-60C-124 arg-1 arg-6 arg-7)))))(else (case (vector-ref arg-7 0) ((0) (LibrariesC-45DataC-45PosMap-C-124C-62 arg-1 (LibrariesC-45DataC-45PosMap-C-124C-62 arg-1 (LibrariesC-45DataC-45PosMap-C-124C-62 arg-1 (LibrariesC-45DataC-45PosMap-C-124C-62 arg-1 arg-2 arg-3) arg-4) arg-5) arg-6))(else (case (vector-ref arg-2 0) ((1) (let ((e-13 (vector-ref arg-2 1))) (LibrariesC-45DataC-45PosMap-C-60C-124 arg-1 arg-3 (LibrariesC-45DataC-45PosMap-C-60C-124 arg-1 arg-4 (LibrariesC-45DataC-45PosMap-C-60C-124 arg-1 arg-5 (LibrariesC-45DataC-45PosMap-C-60C-124 arg-1 arg-6 (LibrariesC-45DataC-45PosMap-C-60C-124 arg-1 e-13 arg-7)))))))(else (case (vector-ref arg-7 0) ((1) (let ((e-11 (vector-ref arg-7 1))) (LibrariesC-45DataC-45PosMap-C-124C-62 arg-1 (LibrariesC-45DataC-45PosMap-C-124C-62 arg-1 (LibrariesC-45DataC-45PosMap-C-124C-62 arg-1 (LibrariesC-45DataC-45PosMap-C-124C-62 arg-1 (LibrariesC-45DataC-45PosMap-C-124C-62 arg-1 arg-2 arg-3) arg-4) arg-5) arg-6) e-11)))(else (let ((e-2 (vector-ref arg-2 2))) (let ((e-3 (vector-ref arg-2 3))) (let ((e-4 (vector-ref arg-2 4))) (let ((e-7 (vector-ref arg-7 2))) (let ((e-8 (vector-ref arg-7 3))) (let ((e-9 (vector-ref arg-7 4))) (LibrariesC-45DataC-45PosMap-deep arg-1 e-2 (LibrariesC-45DataC-45PosMap-addDigits4 arg-1 e-3 e-4 arg-3 arg-4 arg-5 arg-6 e-7 e-8) e-9)))))))))))))))))
(define LibrariesC-45DataC-45PosMap-appendTree3 (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (case (vector-ref arg-2 0) ((0) (LibrariesC-45DataC-45PosMap-C-60C-124 arg-1 arg-3 (LibrariesC-45DataC-45PosMap-C-60C-124 arg-1 arg-4 (LibrariesC-45DataC-45PosMap-C-60C-124 arg-1 arg-5 arg-6))))(else (case (vector-ref arg-6 0) ((0) (LibrariesC-45DataC-45PosMap-C-124C-62 arg-1 (LibrariesC-45DataC-45PosMap-C-124C-62 arg-1 (LibrariesC-45DataC-45PosMap-C-124C-62 arg-1 arg-2 arg-3) arg-4) arg-5))(else (case (vector-ref arg-2 0) ((1) (let ((e-13 (vector-ref arg-2 1))) (LibrariesC-45DataC-45PosMap-C-60C-124 arg-1 e-13 (LibrariesC-45DataC-45PosMap-C-60C-124 arg-1 arg-3 (LibrariesC-45DataC-45PosMap-C-60C-124 arg-1 arg-4 (LibrariesC-45DataC-45PosMap-C-60C-124 arg-1 arg-5 arg-6))))))(else (case (vector-ref arg-6 0) ((1) (let ((e-11 (vector-ref arg-6 1))) (LibrariesC-45DataC-45PosMap-C-124C-62 arg-1 (LibrariesC-45DataC-45PosMap-C-124C-62 arg-1 (LibrariesC-45DataC-45PosMap-C-124C-62 arg-1 (LibrariesC-45DataC-45PosMap-C-124C-62 arg-1 arg-2 arg-3) arg-4) arg-5) e-11)))(else (let ((e-2 (vector-ref arg-2 2))) (let ((e-3 (vector-ref arg-2 3))) (let ((e-4 (vector-ref arg-2 4))) (let ((e-7 (vector-ref arg-6 2))) (let ((e-8 (vector-ref arg-6 3))) (let ((e-9 (vector-ref arg-6 4))) (LibrariesC-45DataC-45PosMap-deep arg-1 e-2 (LibrariesC-45DataC-45PosMap-addDigits3 arg-1 e-3 e-4 arg-3 arg-4 arg-5 e-7 e-8) e-9)))))))))))))))))
(define LibrariesC-45DataC-45PosMap-appendTree2 (lambda (arg-1 arg-2 arg-3 arg-4 arg-5) (case (vector-ref arg-2 0) ((0) (LibrariesC-45DataC-45PosMap-C-60C-124 arg-1 arg-3 (LibrariesC-45DataC-45PosMap-C-60C-124 arg-1 arg-4 arg-5)))(else (case (vector-ref arg-5 0) ((0) (LibrariesC-45DataC-45PosMap-C-124C-62 arg-1 (LibrariesC-45DataC-45PosMap-C-124C-62 arg-1 arg-2 arg-3) arg-4))(else (case (vector-ref arg-2 0) ((1) (let ((e-13 (vector-ref arg-2 1))) (LibrariesC-45DataC-45PosMap-C-60C-124 arg-1 e-13 (LibrariesC-45DataC-45PosMap-C-60C-124 arg-1 arg-3 (LibrariesC-45DataC-45PosMap-C-60C-124 arg-1 arg-4 arg-5)))))(else (case (vector-ref arg-5 0) ((1) (let ((e-11 (vector-ref arg-5 1))) (LibrariesC-45DataC-45PosMap-C-124C-62 arg-1 (LibrariesC-45DataC-45PosMap-C-124C-62 arg-1 (LibrariesC-45DataC-45PosMap-C-124C-62 arg-1 arg-2 arg-3) arg-4) e-11)))(else (let ((e-2 (vector-ref arg-2 2))) (let ((e-3 (vector-ref arg-2 3))) (let ((e-4 (vector-ref arg-2 4))) (let ((e-7 (vector-ref arg-5 2))) (let ((e-8 (vector-ref arg-5 3))) (let ((e-9 (vector-ref arg-5 4))) (LibrariesC-45DataC-45PosMap-deep arg-1 e-2 (LibrariesC-45DataC-45PosMap-addDigits2 arg-1 e-3 e-4 arg-3 arg-4 e-7 e-8) e-9)))))))))))))))))
(define LibrariesC-45DataC-45PosMap-appendTree1 (lambda (arg-1 arg-2 arg-3 arg-4) (case (vector-ref arg-2 0) ((0) (LibrariesC-45DataC-45PosMap-C-60C-124 arg-1 arg-3 arg-4))(else (case (vector-ref arg-4 0) ((0) (LibrariesC-45DataC-45PosMap-C-124C-62 arg-1 arg-2 arg-3))(else (case (vector-ref arg-2 0) ((1) (let ((e-13 (vector-ref arg-2 1))) (LibrariesC-45DataC-45PosMap-C-60C-124 arg-1 e-13 (LibrariesC-45DataC-45PosMap-C-60C-124 arg-1 arg-3 arg-4))))(else (case (vector-ref arg-4 0) ((1) (let ((e-11 (vector-ref arg-4 1))) (LibrariesC-45DataC-45PosMap-C-124C-62 arg-1 (LibrariesC-45DataC-45PosMap-C-124C-62 arg-1 arg-2 arg-3) e-11)))(else (let ((e-2 (vector-ref arg-2 2))) (let ((e-3 (vector-ref arg-2 3))) (let ((e-4 (vector-ref arg-2 4))) (let ((e-7 (vector-ref arg-4 2))) (let ((e-8 (vector-ref arg-4 3))) (let ((e-9 (vector-ref arg-4 4))) (LibrariesC-45DataC-45PosMap-deep arg-1 e-2 (LibrariesC-45DataC-45PosMap-addDigits1 arg-1 e-3 e-4 arg-3 e-7 e-8) e-9)))))))))))))))))
(define LibrariesC-45DataC-45PosMap-appendTree0 (lambda (arg-1 arg-2 arg-3) (case (vector-ref arg-2 0) ((0) arg-3)(else (case (vector-ref arg-3 0) ((0) arg-2)(else (case (vector-ref arg-2 0) ((1) (let ((e-13 (vector-ref arg-2 1))) (LibrariesC-45DataC-45PosMap-C-60C-124 arg-1 e-13 arg-3)))(else (case (vector-ref arg-3 0) ((1) (let ((e-11 (vector-ref arg-3 1))) (LibrariesC-45DataC-45PosMap-C-124C-62 arg-1 arg-2 e-11)))(else (let ((e-2 (vector-ref arg-2 2))) (let ((e-3 (vector-ref arg-2 3))) (let ((e-4 (vector-ref arg-2 4))) (let ((e-7 (vector-ref arg-3 2))) (let ((e-8 (vector-ref arg-3 3))) (let ((e-9 (vector-ref arg-3 4))) (LibrariesC-45DataC-45PosMap-deep arg-1 e-2 (LibrariesC-45DataC-45PosMap-addDigits0 arg-1 e-3 e-4 e-7 e-8) e-9)))))))))))))))))
(define LibrariesC-45DataC-45PosMap-addDigits4 (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9) (case (vector-ref arg-3 0) ((0) (let ((e-1 (vector-ref arg-3 1))) (case (vector-ref arg-8 0) ((0) (let ((e-15 (vector-ref arg-8 1))) (LibrariesC-45DataC-45PosMap-appendTree2 (lambda (arg-2936) (LibrariesC-45DataC-45PosMap-u--measureRM_MeasureRM_C-40NodeC-32C-36aC-41 arg-2936)) arg-2 (LibrariesC-45DataC-45PosMap-node3 arg-1 e-1 arg-4 arg-5) (LibrariesC-45DataC-45PosMap-node3 arg-1 arg-6 arg-7 e-15) arg-9))) ((1) (let ((e-17 (vector-ref arg-8 1))) (let ((e-18 (vector-ref arg-8 2))) (LibrariesC-45DataC-45PosMap-appendTree3 (lambda (arg-2936) (LibrariesC-45DataC-45PosMap-u--measureRM_MeasureRM_C-40NodeC-32C-36aC-41 arg-2936)) arg-2 (LibrariesC-45DataC-45PosMap-node3 arg-1 e-1 arg-4 arg-5) (LibrariesC-45DataC-45PosMap-node2 arg-1 arg-6 arg-7) (LibrariesC-45DataC-45PosMap-node2 arg-1 e-17 e-18) arg-9)))) ((2) (let ((e-20 (vector-ref arg-8 1))) (let ((e-21 (vector-ref arg-8 2))) (let ((e-22 (vector-ref arg-8 3))) (LibrariesC-45DataC-45PosMap-appendTree3 (lambda (arg-2936) (LibrariesC-45DataC-45PosMap-u--measureRM_MeasureRM_C-40NodeC-32C-36aC-41 arg-2936)) arg-2 (LibrariesC-45DataC-45PosMap-node3 arg-1 e-1 arg-4 arg-5) (LibrariesC-45DataC-45PosMap-node3 arg-1 arg-6 arg-7 e-20) (LibrariesC-45DataC-45PosMap-node2 arg-1 e-21 e-22) arg-9))))) (else (let ((e-24 (vector-ref arg-8 1))) (let ((e-25 (vector-ref arg-8 2))) (let ((e-26 (vector-ref arg-8 3))) (let ((e-27 (vector-ref arg-8 4))) (LibrariesC-45DataC-45PosMap-appendTree3 (lambda (arg-2936) (LibrariesC-45DataC-45PosMap-u--measureRM_MeasureRM_C-40NodeC-32C-36aC-41 arg-2936)) arg-2 (LibrariesC-45DataC-45PosMap-node3 arg-1 e-1 arg-4 arg-5) (LibrariesC-45DataC-45PosMap-node3 arg-1 arg-6 arg-7 e-24) (LibrariesC-45DataC-45PosMap-node3 arg-1 e-25 e-26 e-27) arg-9))))))))) ((1) (let ((e-3 (vector-ref arg-3 1))) (let ((e-4 (vector-ref arg-3 2))) (case (vector-ref arg-8 0) ((0) (let ((e-29 (vector-ref arg-8 1))) (LibrariesC-45DataC-45PosMap-appendTree3 (lambda (arg-2936) (LibrariesC-45DataC-45PosMap-u--measureRM_MeasureRM_C-40NodeC-32C-36aC-41 arg-2936)) arg-2 (LibrariesC-45DataC-45PosMap-node3 arg-1 e-3 e-4 arg-4) (LibrariesC-45DataC-45PosMap-node2 arg-1 arg-5 arg-6) (LibrariesC-45DataC-45PosMap-node2 arg-1 arg-7 e-29) arg-9))) ((1) (let ((e-31 (vector-ref arg-8 1))) (let ((e-32 (vector-ref arg-8 2))) (LibrariesC-45DataC-45PosMap-appendTree3 (lambda (arg-2936) (LibrariesC-45DataC-45PosMap-u--measureRM_MeasureRM_C-40NodeC-32C-36aC-41 arg-2936)) arg-2 (LibrariesC-45DataC-45PosMap-node3 arg-1 e-3 e-4 arg-4) (LibrariesC-45DataC-45PosMap-node3 arg-1 arg-5 arg-6 arg-7) (LibrariesC-45DataC-45PosMap-node2 arg-1 e-31 e-32) arg-9)))) ((2) (let ((e-34 (vector-ref arg-8 1))) (let ((e-35 (vector-ref arg-8 2))) (let ((e-36 (vector-ref arg-8 3))) (LibrariesC-45DataC-45PosMap-appendTree3 (lambda (arg-2936) (LibrariesC-45DataC-45PosMap-u--measureRM_MeasureRM_C-40NodeC-32C-36aC-41 arg-2936)) arg-2 (LibrariesC-45DataC-45PosMap-node3 arg-1 e-3 e-4 arg-4) (LibrariesC-45DataC-45PosMap-node3 arg-1 arg-5 arg-6 arg-7) (LibrariesC-45DataC-45PosMap-node3 arg-1 e-34 e-35 e-36) arg-9))))) (else (let ((e-38 (vector-ref arg-8 1))) (let ((e-39 (vector-ref arg-8 2))) (let ((e-40 (vector-ref arg-8 3))) (let ((e-41 (vector-ref arg-8 4))) (LibrariesC-45DataC-45PosMap-appendTree4 (lambda (arg-2936) (LibrariesC-45DataC-45PosMap-u--measureRM_MeasureRM_C-40NodeC-32C-36aC-41 arg-2936)) arg-2 (LibrariesC-45DataC-45PosMap-node3 arg-1 e-3 e-4 arg-4) (LibrariesC-45DataC-45PosMap-node3 arg-1 arg-5 arg-6 arg-7) (LibrariesC-45DataC-45PosMap-node2 arg-1 e-38 e-39) (LibrariesC-45DataC-45PosMap-node2 arg-1 e-40 e-41) arg-9)))))))))) ((2) (let ((e-6 (vector-ref arg-3 1))) (let ((e-7 (vector-ref arg-3 2))) (let ((e-8 (vector-ref arg-3 3))) (case (vector-ref arg-8 0) ((0) (let ((e-43 (vector-ref arg-8 1))) (LibrariesC-45DataC-45PosMap-appendTree3 (lambda (arg-2936) (LibrariesC-45DataC-45PosMap-u--measureRM_MeasureRM_C-40NodeC-32C-36aC-41 arg-2936)) arg-2 (LibrariesC-45DataC-45PosMap-node3 arg-1 e-6 e-7 e-8) (LibrariesC-45DataC-45PosMap-node3 arg-1 arg-4 arg-5 arg-6) (LibrariesC-45DataC-45PosMap-node2 arg-1 arg-7 e-43) arg-9))) ((1) (let ((e-45 (vector-ref arg-8 1))) (let ((e-46 (vector-ref arg-8 2))) (LibrariesC-45DataC-45PosMap-appendTree3 (lambda (arg-2936) (LibrariesC-45DataC-45PosMap-u--measureRM_MeasureRM_C-40NodeC-32C-36aC-41 arg-2936)) arg-2 (LibrariesC-45DataC-45PosMap-node3 arg-1 e-6 e-7 e-8) (LibrariesC-45DataC-45PosMap-node3 arg-1 arg-4 arg-5 arg-6) (LibrariesC-45DataC-45PosMap-node3 arg-1 arg-7 e-45 e-46) arg-9)))) ((2) (let ((e-48 (vector-ref arg-8 1))) (let ((e-49 (vector-ref arg-8 2))) (let ((e-50 (vector-ref arg-8 3))) (LibrariesC-45DataC-45PosMap-appendTree4 (lambda (arg-2936) (LibrariesC-45DataC-45PosMap-u--measureRM_MeasureRM_C-40NodeC-32C-36aC-41 arg-2936)) arg-2 (LibrariesC-45DataC-45PosMap-node3 arg-1 e-6 e-7 e-8) (LibrariesC-45DataC-45PosMap-node3 arg-1 arg-4 arg-5 arg-6) (LibrariesC-45DataC-45PosMap-node2 arg-1 arg-7 e-48) (LibrariesC-45DataC-45PosMap-node2 arg-1 e-49 e-50) arg-9))))) (else (let ((e-52 (vector-ref arg-8 1))) (let ((e-53 (vector-ref arg-8 2))) (let ((e-54 (vector-ref arg-8 3))) (let ((e-55 (vector-ref arg-8 4))) (LibrariesC-45DataC-45PosMap-appendTree4 (lambda (arg-2936) (LibrariesC-45DataC-45PosMap-u--measureRM_MeasureRM_C-40NodeC-32C-36aC-41 arg-2936)) arg-2 (LibrariesC-45DataC-45PosMap-node3 arg-1 e-6 e-7 e-8) (LibrariesC-45DataC-45PosMap-node3 arg-1 arg-4 arg-5 arg-6) (LibrariesC-45DataC-45PosMap-node3 arg-1 arg-7 e-52 e-53) (LibrariesC-45DataC-45PosMap-node2 arg-1 e-54 e-55) arg-9))))))))))) (else (let ((e-10 (vector-ref arg-3 1))) (let ((e-11 (vector-ref arg-3 2))) (let ((e-12 (vector-ref arg-3 3))) (let ((e-13 (vector-ref arg-3 4))) (case (vector-ref arg-8 0) ((0) (let ((e-57 (vector-ref arg-8 1))) (LibrariesC-45DataC-45PosMap-appendTree3 (lambda (arg-2936) (LibrariesC-45DataC-45PosMap-u--measureRM_MeasureRM_C-40NodeC-32C-36aC-41 arg-2936)) arg-2 (LibrariesC-45DataC-45PosMap-node3 arg-1 e-10 e-11 e-12) (LibrariesC-45DataC-45PosMap-node3 arg-1 e-13 arg-4 arg-5) (LibrariesC-45DataC-45PosMap-node3 arg-1 arg-6 arg-7 e-57) arg-9))) ((1) (let ((e-59 (vector-ref arg-8 1))) (let ((e-60 (vector-ref arg-8 2))) (LibrariesC-45DataC-45PosMap-appendTree4 (lambda (arg-2936) (LibrariesC-45DataC-45PosMap-u--measureRM_MeasureRM_C-40NodeC-32C-36aC-41 arg-2936)) arg-2 (LibrariesC-45DataC-45PosMap-node3 arg-1 e-10 e-11 e-12) (LibrariesC-45DataC-45PosMap-node3 arg-1 e-13 arg-4 arg-5) (LibrariesC-45DataC-45PosMap-node2 arg-1 arg-6 arg-7) (LibrariesC-45DataC-45PosMap-node2 arg-1 e-59 e-60) arg-9)))) ((2) (let ((e-62 (vector-ref arg-8 1))) (let ((e-63 (vector-ref arg-8 2))) (let ((e-64 (vector-ref arg-8 3))) (LibrariesC-45DataC-45PosMap-appendTree4 (lambda (arg-2936) (LibrariesC-45DataC-45PosMap-u--measureRM_MeasureRM_C-40NodeC-32C-36aC-41 arg-2936)) arg-2 (LibrariesC-45DataC-45PosMap-node3 arg-1 e-10 e-11 e-12) (LibrariesC-45DataC-45PosMap-node3 arg-1 e-13 arg-4 arg-5) (LibrariesC-45DataC-45PosMap-node3 arg-1 arg-6 arg-7 e-62) (LibrariesC-45DataC-45PosMap-node2 arg-1 e-63 e-64) arg-9))))) (else (let ((e-66 (vector-ref arg-8 1))) (let ((e-67 (vector-ref arg-8 2))) (let ((e-68 (vector-ref arg-8 3))) (let ((e-69 (vector-ref arg-8 4))) (LibrariesC-45DataC-45PosMap-appendTree4 (lambda (arg-2936) (LibrariesC-45DataC-45PosMap-u--measureRM_MeasureRM_C-40NodeC-32C-36aC-41 arg-2936)) arg-2 (LibrariesC-45DataC-45PosMap-node3 arg-1 e-10 e-11 e-12) (LibrariesC-45DataC-45PosMap-node3 arg-1 e-13 arg-4 arg-5) (LibrariesC-45DataC-45PosMap-node3 arg-1 arg-6 arg-7 e-66) (LibrariesC-45DataC-45PosMap-node3 arg-1 e-67 e-68 e-69) arg-9)))))))))))))))
(define LibrariesC-45DataC-45PosMap-addDigits3 (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8) (case (vector-ref arg-3 0) ((0) (let ((e-1 (vector-ref arg-3 1))) (case (vector-ref arg-7 0) ((0) (let ((e-15 (vector-ref arg-7 1))) (LibrariesC-45DataC-45PosMap-appendTree2 (lambda (arg-2936) (LibrariesC-45DataC-45PosMap-u--measureRM_MeasureRM_C-40NodeC-32C-36aC-41 arg-2936)) arg-2 (LibrariesC-45DataC-45PosMap-node3 arg-1 e-1 arg-4 arg-5) (LibrariesC-45DataC-45PosMap-node2 arg-1 arg-6 e-15) arg-8))) ((1) (let ((e-17 (vector-ref arg-7 1))) (let ((e-18 (vector-ref arg-7 2))) (LibrariesC-45DataC-45PosMap-appendTree2 (lambda (arg-2936) (LibrariesC-45DataC-45PosMap-u--measureRM_MeasureRM_C-40NodeC-32C-36aC-41 arg-2936)) arg-2 (LibrariesC-45DataC-45PosMap-node3 arg-1 e-1 arg-4 arg-5) (LibrariesC-45DataC-45PosMap-node3 arg-1 arg-6 e-17 e-18) arg-8)))) ((2) (let ((e-20 (vector-ref arg-7 1))) (let ((e-21 (vector-ref arg-7 2))) (let ((e-22 (vector-ref arg-7 3))) (LibrariesC-45DataC-45PosMap-appendTree3 (lambda (arg-2936) (LibrariesC-45DataC-45PosMap-u--measureRM_MeasureRM_C-40NodeC-32C-36aC-41 arg-2936)) arg-2 (LibrariesC-45DataC-45PosMap-node3 arg-1 e-1 arg-4 arg-5) (LibrariesC-45DataC-45PosMap-node2 arg-1 arg-6 e-20) (LibrariesC-45DataC-45PosMap-node2 arg-1 e-21 e-22) arg-8))))) (else (let ((e-24 (vector-ref arg-7 1))) (let ((e-25 (vector-ref arg-7 2))) (let ((e-26 (vector-ref arg-7 3))) (let ((e-27 (vector-ref arg-7 4))) (LibrariesC-45DataC-45PosMap-appendTree3 (lambda (arg-2936) (LibrariesC-45DataC-45PosMap-u--measureRM_MeasureRM_C-40NodeC-32C-36aC-41 arg-2936)) arg-2 (LibrariesC-45DataC-45PosMap-node3 arg-1 e-1 arg-4 arg-5) (LibrariesC-45DataC-45PosMap-node3 arg-1 arg-6 e-24 e-25) (LibrariesC-45DataC-45PosMap-node2 arg-1 e-26 e-27) arg-8))))))))) ((1) (let ((e-3 (vector-ref arg-3 1))) (let ((e-4 (vector-ref arg-3 2))) (case (vector-ref arg-7 0) ((0) (let ((e-29 (vector-ref arg-7 1))) (LibrariesC-45DataC-45PosMap-appendTree2 (lambda (arg-2936) (LibrariesC-45DataC-45PosMap-u--measureRM_MeasureRM_C-40NodeC-32C-36aC-41 arg-2936)) arg-2 (LibrariesC-45DataC-45PosMap-node3 arg-1 e-3 e-4 arg-4) (LibrariesC-45DataC-45PosMap-node3 arg-1 arg-5 arg-6 e-29) arg-8))) ((1) (let ((e-31 (vector-ref arg-7 1))) (let ((e-32 (vector-ref arg-7 2))) (LibrariesC-45DataC-45PosMap-appendTree3 (lambda (arg-2936) (LibrariesC-45DataC-45PosMap-u--measureRM_MeasureRM_C-40NodeC-32C-36aC-41 arg-2936)) arg-2 (LibrariesC-45DataC-45PosMap-node3 arg-1 e-3 e-4 arg-4) (LibrariesC-45DataC-45PosMap-node2 arg-1 arg-5 arg-6) (LibrariesC-45DataC-45PosMap-node2 arg-1 e-31 e-32) arg-8)))) ((2) (let ((e-34 (vector-ref arg-7 1))) (let ((e-35 (vector-ref arg-7 2))) (let ((e-36 (vector-ref arg-7 3))) (LibrariesC-45DataC-45PosMap-appendTree3 (lambda (arg-2936) (LibrariesC-45DataC-45PosMap-u--measureRM_MeasureRM_C-40NodeC-32C-36aC-41 arg-2936)) arg-2 (LibrariesC-45DataC-45PosMap-node3 arg-1 e-3 e-4 arg-4) (LibrariesC-45DataC-45PosMap-node3 arg-1 arg-5 arg-6 e-34) (LibrariesC-45DataC-45PosMap-node2 arg-1 e-35 e-36) arg-8))))) (else (let ((e-38 (vector-ref arg-7 1))) (let ((e-39 (vector-ref arg-7 2))) (let ((e-40 (vector-ref arg-7 3))) (let ((e-41 (vector-ref arg-7 4))) (LibrariesC-45DataC-45PosMap-appendTree3 (lambda (arg-2936) (LibrariesC-45DataC-45PosMap-u--measureRM_MeasureRM_C-40NodeC-32C-36aC-41 arg-2936)) arg-2 (LibrariesC-45DataC-45PosMap-node3 arg-1 e-3 e-4 arg-4) (LibrariesC-45DataC-45PosMap-node3 arg-1 arg-5 arg-6 e-38) (LibrariesC-45DataC-45PosMap-node3 arg-1 e-39 e-40 e-41) arg-8)))))))))) ((2) (let ((e-6 (vector-ref arg-3 1))) (let ((e-7 (vector-ref arg-3 2))) (let ((e-8 (vector-ref arg-3 3))) (case (vector-ref arg-7 0) ((0) (let ((e-43 (vector-ref arg-7 1))) (LibrariesC-45DataC-45PosMap-appendTree3 (lambda (arg-2936) (LibrariesC-45DataC-45PosMap-u--measureRM_MeasureRM_C-40NodeC-32C-36aC-41 arg-2936)) arg-2 (LibrariesC-45DataC-45PosMap-node3 arg-1 e-6 e-7 e-8) (LibrariesC-45DataC-45PosMap-node2 arg-1 arg-4 arg-5) (LibrariesC-45DataC-45PosMap-node2 arg-1 arg-6 e-43) arg-8))) ((1) (let ((e-45 (vector-ref arg-7 1))) (let ((e-46 (vector-ref arg-7 2))) (LibrariesC-45DataC-45PosMap-appendTree3 (lambda (arg-2936) (LibrariesC-45DataC-45PosMap-u--measureRM_MeasureRM_C-40NodeC-32C-36aC-41 arg-2936)) arg-2 (LibrariesC-45DataC-45PosMap-node3 arg-1 e-6 e-7 e-8) (LibrariesC-45DataC-45PosMap-node3 arg-1 arg-4 arg-5 arg-6) (LibrariesC-45DataC-45PosMap-node2 arg-1 e-45 e-46) arg-8)))) ((2) (let ((e-48 (vector-ref arg-7 1))) (let ((e-49 (vector-ref arg-7 2))) (let ((e-50 (vector-ref arg-7 3))) (LibrariesC-45DataC-45PosMap-appendTree3 (lambda (arg-2936) (LibrariesC-45DataC-45PosMap-u--measureRM_MeasureRM_C-40NodeC-32C-36aC-41 arg-2936)) arg-2 (LibrariesC-45DataC-45PosMap-node3 arg-1 e-6 e-7 e-8) (LibrariesC-45DataC-45PosMap-node3 arg-1 arg-4 arg-5 arg-6) (LibrariesC-45DataC-45PosMap-node3 arg-1 e-48 e-49 e-50) arg-8))))) (else (let ((e-52 (vector-ref arg-7 1))) (let ((e-53 (vector-ref arg-7 2))) (let ((e-54 (vector-ref arg-7 3))) (let ((e-55 (vector-ref arg-7 4))) (LibrariesC-45DataC-45PosMap-appendTree4 (lambda (arg-2936) (LibrariesC-45DataC-45PosMap-u--measureRM_MeasureRM_C-40NodeC-32C-36aC-41 arg-2936)) arg-2 (LibrariesC-45DataC-45PosMap-node3 arg-1 e-6 e-7 e-8) (LibrariesC-45DataC-45PosMap-node3 arg-1 arg-4 arg-5 arg-6) (LibrariesC-45DataC-45PosMap-node2 arg-1 e-52 e-53) (LibrariesC-45DataC-45PosMap-node2 arg-1 e-54 e-55) arg-8))))))))))) (else (let ((e-10 (vector-ref arg-3 1))) (let ((e-11 (vector-ref arg-3 2))) (let ((e-12 (vector-ref arg-3 3))) (let ((e-13 (vector-ref arg-3 4))) (case (vector-ref arg-7 0) ((0) (let ((e-57 (vector-ref arg-7 1))) (LibrariesC-45DataC-45PosMap-appendTree3 (lambda (arg-2936) (LibrariesC-45DataC-45PosMap-u--measureRM_MeasureRM_C-40NodeC-32C-36aC-41 arg-2936)) arg-2 (LibrariesC-45DataC-45PosMap-node3 arg-1 e-10 e-11 e-12) (LibrariesC-45DataC-45PosMap-node3 arg-1 e-13 arg-4 arg-5) (LibrariesC-45DataC-45PosMap-node2 arg-1 arg-6 e-57) arg-8))) ((1) (let ((e-59 (vector-ref arg-7 1))) (let ((e-60 (vector-ref arg-7 2))) (LibrariesC-45DataC-45PosMap-appendTree3 (lambda (arg-2936) (LibrariesC-45DataC-45PosMap-u--measureRM_MeasureRM_C-40NodeC-32C-36aC-41 arg-2936)) arg-2 (LibrariesC-45DataC-45PosMap-node3 arg-1 e-10 e-11 e-12) (LibrariesC-45DataC-45PosMap-node3 arg-1 e-13 arg-4 arg-5) (LibrariesC-45DataC-45PosMap-node3 arg-1 arg-6 e-59 e-60) arg-8)))) ((2) (let ((e-62 (vector-ref arg-7 1))) (let ((e-63 (vector-ref arg-7 2))) (let ((e-64 (vector-ref arg-7 3))) (LibrariesC-45DataC-45PosMap-appendTree4 (lambda (arg-2936) (LibrariesC-45DataC-45PosMap-u--measureRM_MeasureRM_C-40NodeC-32C-36aC-41 arg-2936)) arg-2 (LibrariesC-45DataC-45PosMap-node3 arg-1 e-10 e-11 e-12) (LibrariesC-45DataC-45PosMap-node3 arg-1 e-13 arg-4 arg-5) (LibrariesC-45DataC-45PosMap-node2 arg-1 arg-6 e-62) (LibrariesC-45DataC-45PosMap-node2 arg-1 e-63 e-64) arg-8))))) (else (let ((e-66 (vector-ref arg-7 1))) (let ((e-67 (vector-ref arg-7 2))) (let ((e-68 (vector-ref arg-7 3))) (let ((e-69 (vector-ref arg-7 4))) (LibrariesC-45DataC-45PosMap-appendTree4 (lambda (arg-2936) (LibrariesC-45DataC-45PosMap-u--measureRM_MeasureRM_C-40NodeC-32C-36aC-41 arg-2936)) arg-2 (LibrariesC-45DataC-45PosMap-node3 arg-1 e-10 e-11 e-12) (LibrariesC-45DataC-45PosMap-node3 arg-1 e-13 arg-4 arg-5) (LibrariesC-45DataC-45PosMap-node3 arg-1 arg-6 e-66 e-67) (LibrariesC-45DataC-45PosMap-node2 arg-1 e-68 e-69) arg-8)))))))))))))))
(define LibrariesC-45DataC-45PosMap-addDigits2 (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (case (vector-ref arg-3 0) ((0) (let ((e-1 (vector-ref arg-3 1))) (case (vector-ref arg-6 0) ((0) (let ((e-15 (vector-ref arg-6 1))) (LibrariesC-45DataC-45PosMap-appendTree2 (lambda (arg-2936) (LibrariesC-45DataC-45PosMap-u--measureRM_MeasureRM_C-40NodeC-32C-36aC-41 arg-2936)) arg-2 (LibrariesC-45DataC-45PosMap-node2 arg-1 e-1 arg-4) (LibrariesC-45DataC-45PosMap-node2 arg-1 arg-5 e-15) arg-7))) ((1) (let ((e-17 (vector-ref arg-6 1))) (let ((e-18 (vector-ref arg-6 2))) (LibrariesC-45DataC-45PosMap-appendTree2 (lambda (arg-2936) (LibrariesC-45DataC-45PosMap-u--measureRM_MeasureRM_C-40NodeC-32C-36aC-41 arg-2936)) arg-2 (LibrariesC-45DataC-45PosMap-node3 arg-1 e-1 arg-4 arg-5) (LibrariesC-45DataC-45PosMap-node2 arg-1 e-17 e-18) arg-7)))) ((2) (let ((e-20 (vector-ref arg-6 1))) (let ((e-21 (vector-ref arg-6 2))) (let ((e-22 (vector-ref arg-6 3))) (LibrariesC-45DataC-45PosMap-appendTree2 (lambda (arg-2936) (LibrariesC-45DataC-45PosMap-u--measureRM_MeasureRM_C-40NodeC-32C-36aC-41 arg-2936)) arg-2 (LibrariesC-45DataC-45PosMap-node3 arg-1 e-1 arg-4 arg-5) (LibrariesC-45DataC-45PosMap-node3 arg-1 e-20 e-21 e-22) arg-7))))) (else (let ((e-24 (vector-ref arg-6 1))) (let ((e-25 (vector-ref arg-6 2))) (let ((e-26 (vector-ref arg-6 3))) (let ((e-27 (vector-ref arg-6 4))) (LibrariesC-45DataC-45PosMap-appendTree3 (lambda (arg-2936) (LibrariesC-45DataC-45PosMap-u--measureRM_MeasureRM_C-40NodeC-32C-36aC-41 arg-2936)) arg-2 (LibrariesC-45DataC-45PosMap-node3 arg-1 e-1 arg-4 arg-5) (LibrariesC-45DataC-45PosMap-node2 arg-1 e-24 e-25) (LibrariesC-45DataC-45PosMap-node2 arg-1 e-26 e-27) arg-7))))))))) ((1) (let ((e-3 (vector-ref arg-3 1))) (let ((e-4 (vector-ref arg-3 2))) (case (vector-ref arg-6 0) ((0) (let ((e-29 (vector-ref arg-6 1))) (LibrariesC-45DataC-45PosMap-appendTree2 (lambda (arg-2936) (LibrariesC-45DataC-45PosMap-u--measureRM_MeasureRM_C-40NodeC-32C-36aC-41 arg-2936)) arg-2 (LibrariesC-45DataC-45PosMap-node3 arg-1 e-3 e-4 arg-4) (LibrariesC-45DataC-45PosMap-node2 arg-1 arg-5 e-29) arg-7))) ((1) (let ((e-31 (vector-ref arg-6 1))) (let ((e-32 (vector-ref arg-6 2))) (LibrariesC-45DataC-45PosMap-appendTree2 (lambda (arg-2936) (LibrariesC-45DataC-45PosMap-u--measureRM_MeasureRM_C-40NodeC-32C-36aC-41 arg-2936)) arg-2 (LibrariesC-45DataC-45PosMap-node3 arg-1 e-3 e-4 arg-4) (LibrariesC-45DataC-45PosMap-node3 arg-1 arg-5 e-31 e-32) arg-7)))) ((2) (let ((e-34 (vector-ref arg-6 1))) (let ((e-35 (vector-ref arg-6 2))) (let ((e-36 (vector-ref arg-6 3))) (LibrariesC-45DataC-45PosMap-appendTree3 (lambda (arg-2936) (LibrariesC-45DataC-45PosMap-u--measureRM_MeasureRM_C-40NodeC-32C-36aC-41 arg-2936)) arg-2 (LibrariesC-45DataC-45PosMap-node3 arg-1 e-3 e-4 arg-4) (LibrariesC-45DataC-45PosMap-node2 arg-1 arg-5 e-34) (LibrariesC-45DataC-45PosMap-node2 arg-1 e-35 e-36) arg-7))))) (else (let ((e-38 (vector-ref arg-6 1))) (let ((e-39 (vector-ref arg-6 2))) (let ((e-40 (vector-ref arg-6 3))) (let ((e-41 (vector-ref arg-6 4))) (LibrariesC-45DataC-45PosMap-appendTree3 (lambda (arg-2936) (LibrariesC-45DataC-45PosMap-u--measureRM_MeasureRM_C-40NodeC-32C-36aC-41 arg-2936)) arg-2 (LibrariesC-45DataC-45PosMap-node3 arg-1 e-3 e-4 arg-4) (LibrariesC-45DataC-45PosMap-node3 arg-1 arg-5 e-38 e-39) (LibrariesC-45DataC-45PosMap-node2 arg-1 e-40 e-41) arg-7)))))))))) ((2) (let ((e-6 (vector-ref arg-3 1))) (let ((e-7 (vector-ref arg-3 2))) (let ((e-8 (vector-ref arg-3 3))) (case (vector-ref arg-6 0) ((0) (let ((e-43 (vector-ref arg-6 1))) (LibrariesC-45DataC-45PosMap-appendTree2 (lambda (arg-2936) (LibrariesC-45DataC-45PosMap-u--measureRM_MeasureRM_C-40NodeC-32C-36aC-41 arg-2936)) arg-2 (LibrariesC-45DataC-45PosMap-node3 arg-1 e-6 e-7 e-8) (LibrariesC-45DataC-45PosMap-node3 arg-1 arg-4 arg-5 e-43) arg-7))) ((1) (let ((e-45 (vector-ref arg-6 1))) (let ((e-46 (vector-ref arg-6 2))) (LibrariesC-45DataC-45PosMap-appendTree3 (lambda (arg-2936) (LibrariesC-45DataC-45PosMap-u--measureRM_MeasureRM_C-40NodeC-32C-36aC-41 arg-2936)) arg-2 (LibrariesC-45DataC-45PosMap-node3 arg-1 e-6 e-7 e-8) (LibrariesC-45DataC-45PosMap-node2 arg-1 arg-4 arg-5) (LibrariesC-45DataC-45PosMap-node2 arg-1 e-45 e-46) arg-7)))) ((2) (let ((e-48 (vector-ref arg-6 1))) (let ((e-49 (vector-ref arg-6 2))) (let ((e-50 (vector-ref arg-6 3))) (LibrariesC-45DataC-45PosMap-appendTree3 (lambda (arg-2936) (LibrariesC-45DataC-45PosMap-u--measureRM_MeasureRM_C-40NodeC-32C-36aC-41 arg-2936)) arg-2 (LibrariesC-45DataC-45PosMap-node3 arg-1 e-6 e-7 e-8) (LibrariesC-45DataC-45PosMap-node3 arg-1 arg-4 arg-5 e-48) (LibrariesC-45DataC-45PosMap-node2 arg-1 e-49 e-50) arg-7))))) (else (let ((e-52 (vector-ref arg-6 1))) (let ((e-53 (vector-ref arg-6 2))) (let ((e-54 (vector-ref arg-6 3))) (let ((e-55 (vector-ref arg-6 4))) (LibrariesC-45DataC-45PosMap-appendTree3 (lambda (arg-2936) (LibrariesC-45DataC-45PosMap-u--measureRM_MeasureRM_C-40NodeC-32C-36aC-41 arg-2936)) arg-2 (LibrariesC-45DataC-45PosMap-node3 arg-1 e-6 e-7 e-8) (LibrariesC-45DataC-45PosMap-node3 arg-1 arg-4 arg-5 e-52) (LibrariesC-45DataC-45PosMap-node3 arg-1 e-53 e-54 e-55) arg-7))))))))))) (else (let ((e-10 (vector-ref arg-3 1))) (let ((e-11 (vector-ref arg-3 2))) (let ((e-12 (vector-ref arg-3 3))) (let ((e-13 (vector-ref arg-3 4))) (case (vector-ref arg-6 0) ((0) (let ((e-57 (vector-ref arg-6 1))) (LibrariesC-45DataC-45PosMap-appendTree3 (lambda (arg-2936) (LibrariesC-45DataC-45PosMap-u--measureRM_MeasureRM_C-40NodeC-32C-36aC-41 arg-2936)) arg-2 (LibrariesC-45DataC-45PosMap-node3 arg-1 e-10 e-11 e-12) (LibrariesC-45DataC-45PosMap-node2 arg-1 e-13 arg-4) (LibrariesC-45DataC-45PosMap-node2 arg-1 arg-5 e-57) arg-7))) ((1) (let ((e-59 (vector-ref arg-6 1))) (let ((e-60 (vector-ref arg-6 2))) (LibrariesC-45DataC-45PosMap-appendTree3 (lambda (arg-2936) (LibrariesC-45DataC-45PosMap-u--measureRM_MeasureRM_C-40NodeC-32C-36aC-41 arg-2936)) arg-2 (LibrariesC-45DataC-45PosMap-node3 arg-1 e-10 e-11 e-12) (LibrariesC-45DataC-45PosMap-node3 arg-1 e-13 arg-4 arg-5) (LibrariesC-45DataC-45PosMap-node2 arg-1 e-59 e-60) arg-7)))) ((2) (let ((e-62 (vector-ref arg-6 1))) (let ((e-63 (vector-ref arg-6 2))) (let ((e-64 (vector-ref arg-6 3))) (LibrariesC-45DataC-45PosMap-appendTree3 (lambda (arg-2936) (LibrariesC-45DataC-45PosMap-u--measureRM_MeasureRM_C-40NodeC-32C-36aC-41 arg-2936)) arg-2 (LibrariesC-45DataC-45PosMap-node3 arg-1 e-10 e-11 e-12) (LibrariesC-45DataC-45PosMap-node3 arg-1 e-13 arg-4 arg-5) (LibrariesC-45DataC-45PosMap-node3 arg-1 e-62 e-63 e-64) arg-7))))) (else (let ((e-66 (vector-ref arg-6 1))) (let ((e-67 (vector-ref arg-6 2))) (let ((e-68 (vector-ref arg-6 3))) (let ((e-69 (vector-ref arg-6 4))) (LibrariesC-45DataC-45PosMap-appendTree4 (lambda (arg-2936) (LibrariesC-45DataC-45PosMap-u--measureRM_MeasureRM_C-40NodeC-32C-36aC-41 arg-2936)) arg-2 (LibrariesC-45DataC-45PosMap-node3 arg-1 e-10 e-11 e-12) (LibrariesC-45DataC-45PosMap-node3 arg-1 e-13 arg-4 arg-5) (LibrariesC-45DataC-45PosMap-node2 arg-1 e-66 e-67) (LibrariesC-45DataC-45PosMap-node2 arg-1 e-68 e-69) arg-7)))))))))))))))
(define LibrariesC-45DataC-45PosMap-addDigits1 (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (case (vector-ref arg-3 0) ((0) (let ((e-1 (vector-ref arg-3 1))) (case (vector-ref arg-5 0) ((0) (let ((e-15 (vector-ref arg-5 1))) (LibrariesC-45DataC-45PosMap-appendTree1 (lambda (arg-2936) (LibrariesC-45DataC-45PosMap-u--measureRM_MeasureRM_C-40NodeC-32C-36aC-41 arg-2936)) arg-2 (LibrariesC-45DataC-45PosMap-node3 arg-1 e-1 arg-4 e-15) arg-6))) ((1) (let ((e-17 (vector-ref arg-5 1))) (let ((e-18 (vector-ref arg-5 2))) (LibrariesC-45DataC-45PosMap-appendTree2 (lambda (arg-2936) (LibrariesC-45DataC-45PosMap-u--measureRM_MeasureRM_C-40NodeC-32C-36aC-41 arg-2936)) arg-2 (LibrariesC-45DataC-45PosMap-node2 arg-1 e-1 arg-4) (LibrariesC-45DataC-45PosMap-node2 arg-1 e-17 e-18) arg-6)))) ((2) (let ((e-20 (vector-ref arg-5 1))) (let ((e-21 (vector-ref arg-5 2))) (let ((e-22 (vector-ref arg-5 3))) (LibrariesC-45DataC-45PosMap-appendTree2 (lambda (arg-2936) (LibrariesC-45DataC-45PosMap-u--measureRM_MeasureRM_C-40NodeC-32C-36aC-41 arg-2936)) arg-2 (LibrariesC-45DataC-45PosMap-node3 arg-1 e-1 arg-4 e-20) (LibrariesC-45DataC-45PosMap-node2 arg-1 e-21 e-22) arg-6))))) (else (let ((e-24 (vector-ref arg-5 1))) (let ((e-25 (vector-ref arg-5 2))) (let ((e-26 (vector-ref arg-5 3))) (let ((e-27 (vector-ref arg-5 4))) (LibrariesC-45DataC-45PosMap-appendTree2 (lambda (arg-2936) (LibrariesC-45DataC-45PosMap-u--measureRM_MeasureRM_C-40NodeC-32C-36aC-41 arg-2936)) arg-2 (LibrariesC-45DataC-45PosMap-node3 arg-1 e-1 arg-4 e-24) (LibrariesC-45DataC-45PosMap-node3 arg-1 e-25 e-26 e-27) arg-6))))))))) ((1) (let ((e-3 (vector-ref arg-3 1))) (let ((e-4 (vector-ref arg-3 2))) (case (vector-ref arg-5 0) ((0) (let ((e-29 (vector-ref arg-5 1))) (LibrariesC-45DataC-45PosMap-appendTree2 (lambda (arg-2936) (LibrariesC-45DataC-45PosMap-u--measureRM_MeasureRM_C-40NodeC-32C-36aC-41 arg-2936)) arg-2 (LibrariesC-45DataC-45PosMap-node2 arg-1 e-3 e-4) (LibrariesC-45DataC-45PosMap-node2 arg-1 arg-4 e-29) arg-6))) ((1) (let ((e-31 (vector-ref arg-5 1))) (let ((e-32 (vector-ref arg-5 2))) (LibrariesC-45DataC-45PosMap-appendTree2 (lambda (arg-2936) (LibrariesC-45DataC-45PosMap-u--measureRM_MeasureRM_C-40NodeC-32C-36aC-41 arg-2936)) arg-2 (LibrariesC-45DataC-45PosMap-node3 arg-1 e-3 e-4 arg-4) (LibrariesC-45DataC-45PosMap-node2 arg-1 e-31 e-32) arg-6)))) ((2) (let ((e-34 (vector-ref arg-5 1))) (let ((e-35 (vector-ref arg-5 2))) (let ((e-36 (vector-ref arg-5 3))) (LibrariesC-45DataC-45PosMap-appendTree2 (lambda (arg-2936) (LibrariesC-45DataC-45PosMap-u--measureRM_MeasureRM_C-40NodeC-32C-36aC-41 arg-2936)) arg-2 (LibrariesC-45DataC-45PosMap-node3 arg-1 e-3 e-4 arg-4) (LibrariesC-45DataC-45PosMap-node3 arg-1 e-34 e-35 e-36) arg-6))))) (else (let ((e-38 (vector-ref arg-5 1))) (let ((e-39 (vector-ref arg-5 2))) (let ((e-40 (vector-ref arg-5 3))) (let ((e-41 (vector-ref arg-5 4))) (LibrariesC-45DataC-45PosMap-appendTree3 (lambda (arg-2936) (LibrariesC-45DataC-45PosMap-u--measureRM_MeasureRM_C-40NodeC-32C-36aC-41 arg-2936)) arg-2 (LibrariesC-45DataC-45PosMap-node3 arg-1 e-3 e-4 arg-4) (LibrariesC-45DataC-45PosMap-node2 arg-1 e-38 e-39) (LibrariesC-45DataC-45PosMap-node2 arg-1 e-40 e-41) arg-6)))))))))) ((2) (let ((e-6 (vector-ref arg-3 1))) (let ((e-7 (vector-ref arg-3 2))) (let ((e-8 (vector-ref arg-3 3))) (case (vector-ref arg-5 0) ((0) (let ((e-43 (vector-ref arg-5 1))) (LibrariesC-45DataC-45PosMap-appendTree2 (lambda (arg-2936) (LibrariesC-45DataC-45PosMap-u--measureRM_MeasureRM_C-40NodeC-32C-36aC-41 arg-2936)) arg-2 (LibrariesC-45DataC-45PosMap-node3 arg-1 e-6 e-7 e-8) (LibrariesC-45DataC-45PosMap-node2 arg-1 arg-4 e-43) arg-6))) ((1) (let ((e-45 (vector-ref arg-5 1))) (let ((e-46 (vector-ref arg-5 2))) (LibrariesC-45DataC-45PosMap-appendTree2 (lambda (arg-2936) (LibrariesC-45DataC-45PosMap-u--measureRM_MeasureRM_C-40NodeC-32C-36aC-41 arg-2936)) arg-2 (LibrariesC-45DataC-45PosMap-node3 arg-1 e-6 e-7 e-8) (LibrariesC-45DataC-45PosMap-node3 arg-1 arg-4 e-45 e-46) arg-6)))) ((2) (let ((e-48 (vector-ref arg-5 1))) (let ((e-49 (vector-ref arg-5 2))) (let ((e-50 (vector-ref arg-5 3))) (LibrariesC-45DataC-45PosMap-appendTree3 (lambda (arg-2936) (LibrariesC-45DataC-45PosMap-u--measureRM_MeasureRM_C-40NodeC-32C-36aC-41 arg-2936)) arg-2 (LibrariesC-45DataC-45PosMap-node3 arg-1 e-6 e-7 e-8) (LibrariesC-45DataC-45PosMap-node2 arg-1 arg-4 e-48) (LibrariesC-45DataC-45PosMap-node2 arg-1 e-49 e-50) arg-6))))) (else (let ((e-52 (vector-ref arg-5 1))) (let ((e-53 (vector-ref arg-5 2))) (let ((e-54 (vector-ref arg-5 3))) (let ((e-55 (vector-ref arg-5 4))) (LibrariesC-45DataC-45PosMap-appendTree3 (lambda (arg-2936) (LibrariesC-45DataC-45PosMap-u--measureRM_MeasureRM_C-40NodeC-32C-36aC-41 arg-2936)) arg-2 (LibrariesC-45DataC-45PosMap-node3 arg-1 e-6 e-7 e-8) (LibrariesC-45DataC-45PosMap-node3 arg-1 arg-4 e-52 e-53) (LibrariesC-45DataC-45PosMap-node2 arg-1 e-54 e-55) arg-6))))))))))) (else (let ((e-10 (vector-ref arg-3 1))) (let ((e-11 (vector-ref arg-3 2))) (let ((e-12 (vector-ref arg-3 3))) (let ((e-13 (vector-ref arg-3 4))) (case (vector-ref arg-5 0) ((0) (let ((e-57 (vector-ref arg-5 1))) (LibrariesC-45DataC-45PosMap-appendTree2 (lambda (arg-2936) (LibrariesC-45DataC-45PosMap-u--measureRM_MeasureRM_C-40NodeC-32C-36aC-41 arg-2936)) arg-2 (LibrariesC-45DataC-45PosMap-node3 arg-1 e-10 e-11 e-12) (LibrariesC-45DataC-45PosMap-node3 arg-1 e-13 arg-4 e-57) arg-6))) ((1) (let ((e-59 (vector-ref arg-5 1))) (let ((e-60 (vector-ref arg-5 2))) (LibrariesC-45DataC-45PosMap-appendTree3 (lambda (arg-2936) (LibrariesC-45DataC-45PosMap-u--measureRM_MeasureRM_C-40NodeC-32C-36aC-41 arg-2936)) arg-2 (LibrariesC-45DataC-45PosMap-node3 arg-1 e-10 e-11 e-12) (LibrariesC-45DataC-45PosMap-node2 arg-1 e-13 arg-4) (LibrariesC-45DataC-45PosMap-node2 arg-1 e-59 e-60) arg-6)))) ((2) (let ((e-62 (vector-ref arg-5 1))) (let ((e-63 (vector-ref arg-5 2))) (let ((e-64 (vector-ref arg-5 3))) (LibrariesC-45DataC-45PosMap-appendTree3 (lambda (arg-2936) (LibrariesC-45DataC-45PosMap-u--measureRM_MeasureRM_C-40NodeC-32C-36aC-41 arg-2936)) arg-2 (LibrariesC-45DataC-45PosMap-node3 arg-1 e-10 e-11 e-12) (LibrariesC-45DataC-45PosMap-node3 arg-1 e-13 arg-4 e-62) (LibrariesC-45DataC-45PosMap-node2 arg-1 e-63 e-64) arg-6))))) (else (let ((e-66 (vector-ref arg-5 1))) (let ((e-67 (vector-ref arg-5 2))) (let ((e-68 (vector-ref arg-5 3))) (let ((e-69 (vector-ref arg-5 4))) (LibrariesC-45DataC-45PosMap-appendTree3 (lambda (arg-2936) (LibrariesC-45DataC-45PosMap-u--measureRM_MeasureRM_C-40NodeC-32C-36aC-41 arg-2936)) arg-2 (LibrariesC-45DataC-45PosMap-node3 arg-1 e-10 e-11 e-12) (LibrariesC-45DataC-45PosMap-node3 arg-1 e-13 arg-4 e-66) (LibrariesC-45DataC-45PosMap-node3 arg-1 e-67 e-68 e-69) arg-6)))))))))))))))
(define LibrariesC-45DataC-45PosMap-addDigits0 (lambda (arg-1 arg-2 arg-3 arg-4 arg-5) (case (vector-ref arg-3 0) ((0) (let ((e-1 (vector-ref arg-3 1))) (case (vector-ref arg-4 0) ((0) (let ((e-15 (vector-ref arg-4 1))) (LibrariesC-45DataC-45PosMap-appendTree1 (lambda (arg-2936) (LibrariesC-45DataC-45PosMap-u--measureRM_MeasureRM_C-40NodeC-32C-36aC-41 arg-2936)) arg-2 (LibrariesC-45DataC-45PosMap-node2 arg-1 e-1 e-15) arg-5))) ((1) (let ((e-17 (vector-ref arg-4 1))) (let ((e-18 (vector-ref arg-4 2))) (LibrariesC-45DataC-45PosMap-appendTree1 (lambda (arg-2936) (LibrariesC-45DataC-45PosMap-u--measureRM_MeasureRM_C-40NodeC-32C-36aC-41 arg-2936)) arg-2 (LibrariesC-45DataC-45PosMap-node3 arg-1 e-1 e-17 e-18) arg-5)))) ((2) (let ((e-20 (vector-ref arg-4 1))) (let ((e-21 (vector-ref arg-4 2))) (let ((e-22 (vector-ref arg-4 3))) (LibrariesC-45DataC-45PosMap-appendTree2 (lambda (arg-2936) (LibrariesC-45DataC-45PosMap-u--measureRM_MeasureRM_C-40NodeC-32C-36aC-41 arg-2936)) arg-2 (LibrariesC-45DataC-45PosMap-node2 arg-1 e-1 e-20) (LibrariesC-45DataC-45PosMap-node2 arg-1 e-21 e-22) arg-5))))) (else (let ((e-24 (vector-ref arg-4 1))) (let ((e-25 (vector-ref arg-4 2))) (let ((e-26 (vector-ref arg-4 3))) (let ((e-27 (vector-ref arg-4 4))) (LibrariesC-45DataC-45PosMap-appendTree2 (lambda (arg-2936) (LibrariesC-45DataC-45PosMap-u--measureRM_MeasureRM_C-40NodeC-32C-36aC-41 arg-2936)) arg-2 (LibrariesC-45DataC-45PosMap-node3 arg-1 e-1 e-24 e-25) (LibrariesC-45DataC-45PosMap-node2 arg-1 e-26 e-27) arg-5))))))))) ((1) (let ((e-3 (vector-ref arg-3 1))) (let ((e-4 (vector-ref arg-3 2))) (case (vector-ref arg-4 0) ((0) (let ((e-29 (vector-ref arg-4 1))) (LibrariesC-45DataC-45PosMap-appendTree1 (lambda (arg-2936) (LibrariesC-45DataC-45PosMap-u--measureRM_MeasureRM_C-40NodeC-32C-36aC-41 arg-2936)) arg-2 (LibrariesC-45DataC-45PosMap-node3 arg-1 e-3 e-4 e-29) arg-5))) ((1) (let ((e-31 (vector-ref arg-4 1))) (let ((e-32 (vector-ref arg-4 2))) (LibrariesC-45DataC-45PosMap-appendTree2 (lambda (arg-2936) (LibrariesC-45DataC-45PosMap-u--measureRM_MeasureRM_C-40NodeC-32C-36aC-41 arg-2936)) arg-2 (LibrariesC-45DataC-45PosMap-node2 arg-1 e-3 e-4) (LibrariesC-45DataC-45PosMap-node2 arg-1 e-31 e-32) arg-5)))) ((2) (let ((e-34 (vector-ref arg-4 1))) (let ((e-35 (vector-ref arg-4 2))) (let ((e-36 (vector-ref arg-4 3))) (LibrariesC-45DataC-45PosMap-appendTree2 (lambda (arg-2936) (LibrariesC-45DataC-45PosMap-u--measureRM_MeasureRM_C-40NodeC-32C-36aC-41 arg-2936)) arg-2 (LibrariesC-45DataC-45PosMap-node3 arg-1 e-3 e-4 e-34) (LibrariesC-45DataC-45PosMap-node2 arg-1 e-35 e-36) arg-5))))) (else (let ((e-38 (vector-ref arg-4 1))) (let ((e-39 (vector-ref arg-4 2))) (let ((e-40 (vector-ref arg-4 3))) (let ((e-41 (vector-ref arg-4 4))) (LibrariesC-45DataC-45PosMap-appendTree2 (lambda (arg-2936) (LibrariesC-45DataC-45PosMap-u--measureRM_MeasureRM_C-40NodeC-32C-36aC-41 arg-2936)) arg-2 (LibrariesC-45DataC-45PosMap-node3 arg-1 e-3 e-4 e-38) (LibrariesC-45DataC-45PosMap-node3 arg-1 e-39 e-40 e-41) arg-5)))))))))) ((2) (let ((e-6 (vector-ref arg-3 1))) (let ((e-7 (vector-ref arg-3 2))) (let ((e-8 (vector-ref arg-3 3))) (case (vector-ref arg-4 0) ((0) (let ((e-43 (vector-ref arg-4 1))) (LibrariesC-45DataC-45PosMap-appendTree2 (lambda (arg-2936) (LibrariesC-45DataC-45PosMap-u--measureRM_MeasureRM_C-40NodeC-32C-36aC-41 arg-2936)) arg-2 (LibrariesC-45DataC-45PosMap-node2 arg-1 e-6 e-7) (LibrariesC-45DataC-45PosMap-node2 arg-1 e-8 e-43) arg-5))) ((1) (let ((e-45 (vector-ref arg-4 1))) (let ((e-46 (vector-ref arg-4 2))) (LibrariesC-45DataC-45PosMap-appendTree2 (lambda (arg-2936) (LibrariesC-45DataC-45PosMap-u--measureRM_MeasureRM_C-40NodeC-32C-36aC-41 arg-2936)) arg-2 (LibrariesC-45DataC-45PosMap-node3 arg-1 e-6 e-7 e-8) (LibrariesC-45DataC-45PosMap-node2 arg-1 e-45 e-46) arg-5)))) ((2) (let ((e-48 (vector-ref arg-4 1))) (let ((e-49 (vector-ref arg-4 2))) (let ((e-50 (vector-ref arg-4 3))) (LibrariesC-45DataC-45PosMap-appendTree2 (lambda (arg-2936) (LibrariesC-45DataC-45PosMap-u--measureRM_MeasureRM_C-40NodeC-32C-36aC-41 arg-2936)) arg-2 (LibrariesC-45DataC-45PosMap-node3 arg-1 e-6 e-7 e-8) (LibrariesC-45DataC-45PosMap-node3 arg-1 e-48 e-49 e-50) arg-5))))) (else (let ((e-52 (vector-ref arg-4 1))) (let ((e-53 (vector-ref arg-4 2))) (let ((e-54 (vector-ref arg-4 3))) (let ((e-55 (vector-ref arg-4 4))) (LibrariesC-45DataC-45PosMap-appendTree3 (lambda (arg-2936) (LibrariesC-45DataC-45PosMap-u--measureRM_MeasureRM_C-40NodeC-32C-36aC-41 arg-2936)) arg-2 (LibrariesC-45DataC-45PosMap-node3 arg-1 e-6 e-7 e-8) (LibrariesC-45DataC-45PosMap-node2 arg-1 e-52 e-53) (LibrariesC-45DataC-45PosMap-node2 arg-1 e-54 e-55) arg-5))))))))))) (else (let ((e-10 (vector-ref arg-3 1))) (let ((e-11 (vector-ref arg-3 2))) (let ((e-12 (vector-ref arg-3 3))) (let ((e-13 (vector-ref arg-3 4))) (case (vector-ref arg-4 0) ((0) (let ((e-57 (vector-ref arg-4 1))) (LibrariesC-45DataC-45PosMap-appendTree2 (lambda (arg-2936) (LibrariesC-45DataC-45PosMap-u--measureRM_MeasureRM_C-40NodeC-32C-36aC-41 arg-2936)) arg-2 (LibrariesC-45DataC-45PosMap-node3 arg-1 e-10 e-11 e-12) (LibrariesC-45DataC-45PosMap-node2 arg-1 e-13 e-57) arg-5))) ((1) (let ((e-59 (vector-ref arg-4 1))) (let ((e-60 (vector-ref arg-4 2))) (LibrariesC-45DataC-45PosMap-appendTree2 (lambda (arg-2936) (LibrariesC-45DataC-45PosMap-u--measureRM_MeasureRM_C-40NodeC-32C-36aC-41 arg-2936)) arg-2 (LibrariesC-45DataC-45PosMap-node3 arg-1 e-10 e-11 e-12) (LibrariesC-45DataC-45PosMap-node3 arg-1 e-13 e-59 e-60) arg-5)))) ((2) (let ((e-62 (vector-ref arg-4 1))) (let ((e-63 (vector-ref arg-4 2))) (let ((e-64 (vector-ref arg-4 3))) (LibrariesC-45DataC-45PosMap-appendTree3 (lambda (arg-2936) (LibrariesC-45DataC-45PosMap-u--measureRM_MeasureRM_C-40NodeC-32C-36aC-41 arg-2936)) arg-2 (LibrariesC-45DataC-45PosMap-node3 arg-1 e-10 e-11 e-12) (LibrariesC-45DataC-45PosMap-node2 arg-1 e-13 e-62) (LibrariesC-45DataC-45PosMap-node2 arg-1 e-63 e-64) arg-5))))) (else (let ((e-66 (vector-ref arg-4 1))) (let ((e-67 (vector-ref arg-4 2))) (let ((e-68 (vector-ref arg-4 3))) (let ((e-69 (vector-ref arg-4 4))) (LibrariesC-45DataC-45PosMap-appendTree3 (lambda (arg-2936) (LibrariesC-45DataC-45PosMap-u--measureRM_MeasureRM_C-40NodeC-32C-36aC-41 arg-2936)) arg-2 (LibrariesC-45DataC-45PosMap-node3 arg-1 e-10 e-11 e-12) (LibrariesC-45DataC-45PosMap-node3 arg-1 e-13 e-66 e-67) (LibrariesC-45DataC-45PosMap-node2 arg-1 e-68 e-69) arg-5)))))))))))))))
(define LibrariesC-45DataC-45PosMap-C-60C-124 (lambda (arg-1 arg-2 arg-3) (case (vector-ref arg-3 0) ((0) (vector 1 arg-2)) ((1) (let ((e-2 (vector-ref arg-3 1))) (LibrariesC-45DataC-45PosMap-deep arg-1 (vector 0 arg-2) (vector 0 ) (vector 0 e-2)))) (else (let ((e-5 (vector-ref arg-3 2))) (let ((e-6 (vector-ref arg-3 3))) (let ((e-7 (vector-ref arg-3 4))) (case (vector-ref e-5 0) ((0) (let ((e-9 (vector-ref e-5 1))) (LibrariesC-45DataC-45PosMap-deep arg-1 (vector 1 arg-2 e-9) e-6 e-7))) ((1) (let ((e-11 (vector-ref e-5 1))) (let ((e-12 (vector-ref e-5 2))) (LibrariesC-45DataC-45PosMap-deep arg-1 (vector 2 arg-2 e-11 e-12) e-6 e-7)))) ((2) (let ((e-14 (vector-ref e-5 1))) (let ((e-15 (vector-ref e-5 2))) (let ((e-16 (vector-ref e-5 3))) (LibrariesC-45DataC-45PosMap-deep arg-1 (vector 3 arg-2 e-14 e-15 e-16) e-6 e-7))))) (else (let ((e-18 (vector-ref e-5 1))) (let ((e-19 (vector-ref e-5 2))) (let ((e-20 (vector-ref e-5 3))) (let ((e-21 (vector-ref e-5 4))) (LibrariesC-45DataC-45PosMap-deep arg-1 (vector 1 arg-2 e-18) (LibrariesC-45DataC-45PosMap-C-60C-124 (lambda (arg-2936) (LibrariesC-45DataC-45PosMap-u--measureRM_MeasureRM_C-40NodeC-32C-36aC-41 arg-2936)) (LibrariesC-45DataC-45PosMap-node3 arg-1 e-19 e-20 e-21) e-6) e-7))))))))))))))
(define LibrariesC-45DataC-45PosMap-C-43C-43 (lambda (arg-1 arg-2 arg-3) (LibrariesC-45DataC-45PosMap-appendTree0 arg-1 arg-2 arg-3)))
(define CoreC-45Directory-n--7111-4957-u--isPureCode (lambda (arg-0) (let ((sc0 (LibrariesC-45UtilsC-45Path-splitFileName arg-0))) (let ((e-2 (car sc0))) (let ((e-3 (cdr sc0))) (PreludeC-45Interfaces-C-62C-62 (csegen-614) (PreludeC-45Interfaces-guard (csegen-326) (PreludeC-45EqOrd-u--C-61C-61_Eq_String e-3 "idr")) (lambda () (box (cons e-2 ".idr")))))))))
(define CoreC-45Directory-n--8203-5972-u--findIpkgFileC-39 (lambda (arg-0 arg-1) (PrimIO-io_bind (SystemC-45Directory-listDir (csegen-40) arg-0) (lambda (_-0) (case (vector-ref _-0 0) ((1) (let ((e-2 (vector-ref _-0 1))) (let ((sc1 (DataC-45List-find (lambda (u--f) (PreludeC-45Types-u--C-61C-61_Eq_C-40MaybeC-32C-36aC-41 (csegen-43) (LibrariesC-45UtilsC-45Path-extension u--f) (box ((csegen-0) "ipkg")))) e-2))) (if (null? sc1) (let ((sc2 (LibrariesC-45UtilsC-45Path-splitParent arg-0))) (if (null? sc2) (lambda (eta-0) '()) (let ((e-1 (unbox sc2))) (let ((e-5 (car e-1))) (let ((e-6 (cdr e-1))) (CoreC-45Directory-n--8203-5972-u--findIpkgFileC-39 e-5 (LibrariesC-45UtilsC-45Path-C-60C-47C-62 e-6 arg-1))))))) (let ((e-1 (unbox sc1))) (lambda (eta-0) (box (cons arg-0 (cons e-1 arg-1))))))))) (else (lambda (eta-0) '())))))))
(define CoreC-45Directory-splitIdrisFileName (lambda (arg-0) (PreludeC-45Types-u--C-60C-124C-62_Alternative_Maybe (ParserC-45Unlit-hasLitFileExt arg-0) (lambda () (CoreC-45Directory-n--7111-4957-u--isPureCode arg-0)))))
(define CoreC-45Directory-readDataFile (lambda (arg-0 arg-1) (let ((eff-0 (CoreC-45Directory-findDataFile arg-0 arg-1))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (PrimIO-io_bind (SystemC-45FileC-45ReadWrite-readFile (csegen-40) e-5) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (clam-0) (case (vector-ref e-6 0) ((1) (let ((e-2 (vector-ref e-6 1))) (vector 1 e-2))) (else (let ((e-7 (vector-ref e-6 1))) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 51 e-5 e-7) clam-0))))))) eff-2))))))))) eff-1)))))))))
(define CoreC-45Directory-nsToSource (lambda (arg-0 arg-1 arg-2) (let ((eff-0 (CoreC-45Context-getDirs arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--fnameOrig (CoreC-45NameC-45NamespaceC-45ModuleIdent-toPath arg-2))) (let ((u--fnameBase (CoreC-45Directory-cleanPath (PreludeC-45Types-maybe (lambda () u--fnameOrig) (lambda () (lambda (u--srcdir) (LibrariesC-45UtilsC-45Path-C-60C-47C-62 u--srcdir u--fnameOrig))) (let ((e-1 (vector-ref e-5 1))) e-1))))) (let ((u--fs (((csegen-25) (lambda (arg-3) (string-append u--fnameBase arg-3))) (CoreC-45Directory-listOfExtensionsStr)))) (let ((eff-1 (CoreC-45Directory-firstAvailable arg-0 u--fs))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (clam-0) (if (null? e-6) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 56 arg-1 arg-2) clam-0) (let ((e-1 (unbox e-6))) (vector 1 e-1)))))) eff-2)))))))))))) eff-1)))))))))
(define CoreC-45Directory-nsToPath (lambda (arg-0 arg-1 arg-2) (let ((eff-0 (CoreC-45Context-getDirs arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--fnameBase (CoreC-45NameC-45NamespaceC-45ModuleIdent-toPath arg-2))) (let ((u--fs (((csegen-25) (lambda (u--p) (CoreC-45Directory-cleanPath (LibrariesC-45UtilsC-45Path-C-60C-47C-62 u--p (LibrariesC-45UtilsC-45Path-C-60C-46C-62 u--fnameBase "ttc"))))) (cons (LibrariesC-45UtilsC-45Path-C-60C-47C-62 (let ((e-2 (vector-ref e-5 2))) e-2) "ttc") (let ((e-7 (vector-ref e-5 7))) e-7))))) (let ((eff-1 (CoreC-45Directory-firstAvailable arg-0 u--fs))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (clam-0) (if (null? e-6) (vector 1 (vector 0 (vector 56 arg-1 arg-2))) (let ((e-1 (unbox e-6))) (vector 1 (vector 1 e-1))))))) eff-2))))))))))) eff-1)))))))))
(define CoreC-45Directory-mkdirAll (lambda (arg-0) (let ((sc0 (LibrariesC-45UtilsC-45Path-u--C-61C-61_Eq_Path (LibrariesC-45UtilsC-45Path-parse arg-0) (LibrariesC-45UtilsC-45Path-emptyPath)))) (cond ((equal? sc0 1) (lambda (eta-0) (vector 1 (vector 0 )))) (else (PrimIO-io_bind (CoreC-45Directory-dirExists arg-0) (lambda (u--exist) (cond ((equal? u--exist 1) (lambda (eta-0) (vector 1 (vector 0 )))) (else (PrimIO-io_bind (let ((sc2 (LibrariesC-45UtilsC-45Path-parent arg-0))) (if (null? sc2) (lambda (eta-0) (vector 1 (vector 0 ))) (let ((e-1 (unbox sc2))) (CoreC-45Directory-mkdirAll e-1)))) (lambda (_-0) (case (vector-ref _-0 0) ((1) (SystemC-45Directory-createDir (csegen-40) arg-0))(else (lambda (eta-0) _-0))))))))))))))
(define CoreC-45Directory-mbPathToNS (lambda (arg-0 arg-1 arg-2) (let ((u--sdir (DataC-45Maybe-fromMaybe (lambda () "") arg-1))) (let ((u--base (let ((sc0 (LibrariesC-45UtilsC-45Path-isAbsolute arg-2))) (cond ((equal? sc0 1) (LibrariesC-45UtilsC-45Path-C-60C-47C-62 arg-0 u--sdir)) (else u--sdir))))) (PreludeC-45Interfaces-C-60C-36C-62 (csegen-76) (lambda (eta-0) (PreludeC-45TypesC-45List-reverse (LibrariesC-45UtilsC-45Path-splitPath (LibrariesC-45UtilsC-45Path-dropExtension eta-0)))) (PreludeC-45Basics-on (lambda (eta-0) (lambda (eta-1) (LibrariesC-45UtilsC-45Path-dropBase eta-0 eta-1))) (lambda (eta-0) (CoreC-45Directory-cleanPath eta-0)) u--base arg-2))))))
(define CoreC-45Directory-makeBuildDirectory (lambda (arg-0 arg-1) (let ((eff-0 (CoreC-45Context-getDirs arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--bdir (LibrariesC-45UtilsC-45Path-C-60C-47C-62 (let ((e-2 (vector-ref e-5 2))) e-2) "ttc"))) (let ((u--ns (PreludeC-45TypesC-45List-reverse (DataC-45Maybe-fromMaybe (lambda () '()) (DataC-45List-tailC-39 (CoreC-45NameC-45Namespace-unsafeUnfoldModuleIdent arg-1)))))) (let ((u--ndir (LibrariesC-45UtilsC-45Path-joinPath u--ns))) (let ((eff-1 (PrimIO-io_bind (CoreC-45Directory-mkdirAll (LibrariesC-45UtilsC-45Path-C-60C-47C-62 u--bdir u--ndir)) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (clam-0) (case (vector-ref e-6 0) ((1) (vector 1 (vector 0 ))) (else (let ((e-7 (vector-ref e-6 1))) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 51 (LibrariesC-45UtilsC-45Path-C-60C-47C-62 (let ((e-2 (vector-ref e-5 2))) e-2) u--ndir) e-7) clam-0))))))) eff-2)))))))))))) eff-1)))))))))
(define CoreC-45Directory-listOfExtensionsStr(blodwen-lazy (lambda () (PreludeC-45TypesC-45List-tailRecAppend (ParserC-45Unlit-listOfExtensionsLiterate) (cons ".yaff" (cons ".idr" '()))))))
(define CoreC-45Directory-getTTCFileName (lambda (arg-0 arg-1 arg-2) (let ((eff-0 (CoreC-45Directory-ctxtPathToNS arg-0 arg-1))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--fname (LibrariesC-45UtilsC-45Path-C-60C-46C-62 (CoreC-45NameC-45NamespaceC-45ModuleIdent-toPath e-5) arg-2))) (let ((eff-1 (CoreC-45Context-getDirs arg-0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((u--bdir (let ((e-2 (vector-ref e-6 2))) e-2))) (lambda (eta-0) (vector 1 (LibrariesC-45UtilsC-45Path-C-60C-47C-62 (LibrariesC-45UtilsC-45Path-C-60C-47C-62 u--bdir "ttc") u--fname)))))) eff-2)))))))))) eff-1)))))))))
(define CoreC-45Directory-getObjFileName (lambda (arg-0 arg-1 arg-2) (let ((eff-0 (CoreC-45Directory-ctxtPathToNS arg-0 arg-1))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--fname (LibrariesC-45UtilsC-45Path-C-60C-46C-62 (CoreC-45NameC-45NamespaceC-45ModuleIdent-toPath e-5) arg-2))) (lambda (eta-0) (vector 1 u--fname))))) eff-1)))))))))
(define CoreC-45Directory-firstAvailable (lambda (arg-0 arg-1) (if (null? arg-1) (lambda (eta-0) (vector 1 '())) (let ((e-2 (car arg-1))) (let ((e-3 (cdr arg-1))) (let ((eff-0 (CoreC-45ContextC-45Log-log arg-0 "import.file" 30 (lambda () (string-append "Attempting to read " e-2))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-1 (let ((eff-1 (PrimIO-io_bind (SystemC-45FileC-45Handle-openFile (csegen-40) e-2 0) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (case (vector-ref e-6 0) ((1) (let ((e-4 (vector-ref e-6 1))) (let ((eff-2 (PrimIO-io_bind (SystemC-45FileC-45Handle-closeFile (csegen-40) e-4) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-7 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((eff-3 (lambda (eta-0) (vector 1 (box e-2))))) eff-3)))))))) (else (CoreC-45Directory-firstAvailable arg-0 e-3))))) eff-2))))))))) eff-1)))))))))))
(define CoreC-45Directory-findLibraryFile (lambda (arg-0 arg-1) (let ((eff-0 (CoreC-45Context-getDirs arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--fs (((csegen-25) (lambda (u--p) (CoreC-45Directory-cleanPath (LibrariesC-45UtilsC-45Path-C-60C-47C-62 u--p arg-1)))) (PreludeC-45TypesC-45List-tailRecAppend (let ((e-9 (vector-ref e-5 9))) e-9) (((csegen-25) (lambda (u--x) (LibrariesC-45UtilsC-45Path-C-60C-47C-62 u--x "lib"))) (let ((e-7 (vector-ref e-5 7))) e-7)))))) (let ((eff-1 (CoreC-45Directory-firstAvailable arg-0 u--fs))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (clam-0) (if (null? e-6) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 (string-append ((csegen-0) "Can't find library ") arg-1)) clam-0) (let ((e-1 (unbox e-6))) (vector 1 e-1)))))) eff-2)))))))))) eff-1)))))))))
(define CoreC-45Directory-findIpkgFile(blodwen-lazy (lambda () (PrimIO-io_bind (csegen-1583) (lambda (_-0) (if (null? _-0) (lambda (eta-0) '()) (let ((e-1 (unbox _-0))) (PrimIO-io_bind (CoreC-45Directory-n--8203-5972-u--findIpkgFileC-39 e-1 "") (lambda (u--res) (lambda (eta-0) u--res))))))))))
(define CoreC-45Directory-findDataFile (lambda (arg-0 arg-1) (let ((eff-0 (CoreC-45Context-getDirs arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--fs (((csegen-25) (lambda (u--p) (CoreC-45Directory-cleanPath (LibrariesC-45UtilsC-45Path-C-60C-47C-62 u--p arg-1)))) (let ((e-10 (vector-ref e-5 10))) e-10)))) (let ((eff-1 (CoreC-45Directory-firstAvailable arg-0 u--fs))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (clam-0) (if (null? e-6) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 (string-append ((csegen-0) "Can't find data file ") (string-append arg-1 (string-append ((csegen-0) " in any of ") (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-581) u--fs))))) clam-0) (let ((e-1 (unbox e-6))) (vector 1 e-1)))))) eff-2)))))))))) eff-1)))))))))
(define CoreC-45Directory-ensureDirectoryExists (lambda (arg-0) (let ((eff-0 (PrimIO-io_bind (CoreC-45Directory-mkdirAll arg-0) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (clam-0) (case (vector-ref e-5 0) ((1) (vector 1 (vector 0 ))) (else (let ((e-6 (vector-ref e-5 1))) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 51 arg-0 e-6) clam-0))))))) eff-1)))))))))
(define CoreC-45Directory-dirExists (lambda (arg-0) (PrimIO-io_bind (SystemC-45Directory-openDir (csegen-40) arg-0) (csegen-2101))))
(define CoreC-45Directory-ctxtPathToNS (lambda (arg-0 arg-1) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--wdir (let ((e-4 (vector-ref e-5 4))) (let ((e-42 (vector-ref e-4 0))) (let ((e-53 (vector-ref e-42 0))) e-53))))) (let ((u--sdir (let ((e-4 (vector-ref e-5 4))) (let ((e-42 (vector-ref e-4 0))) (let ((e-52 (vector-ref e-42 1))) e-52))))) (CoreC-45Directory-corePathToNS u--wdir u--sdir arg-1))))) eff-1)))))))))
(define CoreC-45Directory-corePathToNS (lambda (arg-0 arg-1 arg-2) (let ((u--err (vector 60 (string-append "Source file " (string-append (PreludeC-45Show-u--show_Show_String arg-2) (string-append " is not in the source directory " (PreludeC-45Show-u--show_Show_String (LibrariesC-45UtilsC-45Path-C-60C-47C-62 arg-0 (DataC-45Maybe-fromMaybe (lambda () "") arg-1))))))))) (PreludeC-45Types-maybe (lambda () (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error u--err eta-0))) (lambda () (lambda (eta-0) (lambda (eta-1) (vector 1 eta-0)))) (CoreC-45Directory-mbPathToNS arg-0 arg-1 arg-2)))))
(define CoreC-45Directory-cleanPath (lambda (ext-0) (LibrariesC-45UtilsC-45Path-u--show_Show_Path (let ((sc0 (LibrariesC-45UtilsC-45Path-parse ext-0))) (let ((e-0 (vector-ref sc0 0))) (let ((e-1 (vector-ref sc0 1))) (let ((e-2 (vector-ref sc0 2))) (vector e-0 e-1 (PreludeC-45TypesC-45List-filterAppend '() (lambda (arg-0) (LibrariesC-45UtilsC-45Path-u--C-47C-61_Eq_Body arg-0 (vector 0 ))) e-2) 0))))))))
(define ParserC-45Unlit-case--caseC-32blockC-32inC-32hasLitFileExt-6433 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (if (null? arg-5) (ParserC-45Unlit-n--4299-6365-u--err arg-0) (let ((e-1 (car arg-5))) (let ((e-2 (cdr arg-5))) (cond ((equal? e-1 "") (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (LibrariesC-45DataC-45ListC-45Extra-suffixOfBy (lambda (u--v) (lambda (u--w) ((PreludeC-45Interfaces-C-60C-36 (csegen-76) u--v) (PreludeC-45Interfaces-guard (csegen-326) (PreludeC-45EqOrd-u--C-61C-61_Eq_String u--v u--w))))) e-2 arg-3) (lambda (_-0) (let ((e-4 (car _-0))) (let ((e-3 (cdr _-0))) (box (cons (string-append arg-2 (arg-1 e-4)) (arg-1 e-3))))))))(else (ParserC-45Unlit-n--4299-6365-u--err arg-0))))))))
(define ParserC-45Unlit-n--4531-6585-u--walk (lambda (arg-0) (PreludeC-45Types-u--C-60C-124C-62_Alternative_Maybe (ParserC-45Unlit-n--4531-6584-u--try arg-0 (ParserC-45Unlit-styleBird)) (lambda () (PreludeC-45Types-u--C-60C-124C-62_Alternative_Maybe (ParserC-45Unlit-n--4531-6584-u--try arg-0 (ParserC-45Unlit-styleOrg)) (lambda () (PreludeC-45Types-u--C-60C-124C-62_Alternative_Maybe (ParserC-45Unlit-n--4531-6584-u--try arg-0 (ParserC-45Unlit-styleCMark)) (lambda () (ParserC-45Unlit-n--4531-6584-u--try arg-0 (ParserC-45Unlit-styleTeX))))))))))
(define ParserC-45Unlit-n--4531-6584-u--try (lambda (arg-0 arg-1) (let ((sc0 (LibrariesC-45TextC-45Literate-isLiterateLine arg-1 arg-0))) (if (null? sc0) '() (let ((e-2 (car sc0))) (let ((e-3 (cdr sc0))) (if (null? e-2) '() (let ((e-5 (unbox e-2))) (box (cons (box e-5) e-3))))))))))
(define ParserC-45Unlit-n--4473-6528-u--isStyle (lambda (arg-0 arg-1) (let ((sc0 (PreludeC-45Interfaces-any (csegen-16) (lambda (eta-0) (ParserC-45Unlit-n--4473-6527-u--hasSuffix arg-0 eta-0)) (let ((e-2 (vector-ref arg-1 2))) e-2)))) (cond ((equal? sc0 1) (box arg-1)) (else '())))))
(define ParserC-45Unlit-n--4473-6527-u--hasSuffix (lambda (arg-0 arg-1) (DataC-45String-isSuffixOf arg-1 arg-0)))
(define ParserC-45Unlit-n--4299-6365-u--err (lambda (arg-0) (Builtin-idris_crash "Internal error: all literate extensions should start with a \".\"")))
(define ParserC-45Unlit-unlit (lambda (arg-0 arg-1) (if (null? arg-0) (vector 1 arg-1) (let ((e-2 (unbox arg-0))) (LibrariesC-45TextC-45Literate-unlit e-2 arg-1)))))
(define ParserC-45Unlit-styleTeX(blodwen-lazy (lambda () (vector (cons (cons "\\begin{code}" "\\end{code}") (cons (cons "\\begin{hidden}" "\\end{hidden}") '())) '() (cons ".tex" (cons ".ltx" '()))))))
(define ParserC-45Unlit-styleOrg(blodwen-lazy (lambda () (vector (cons (cons "#+BEGIN_SRC idris" "#+END_SRC") (cons (cons "#+begin_src idris" "#+end_src") (cons (cons "#+BEGIN_COMMENT idris" "#+END_COMMENT") (cons (cons "#+begin_comment idris" "#+end_comment") '())))) (cons "#+IDRIS:" '()) (cons ".org" '())))))
(define ParserC-45Unlit-styleCMark(blodwen-lazy (lambda () (vector (cons (cons "```idris" "```") (cons (cons "~~~idris" "~~~") (cons (cons "<!-- idris" "-->") '()))) '() (cons ".md" (cons ".markdown" '()))))))
(define ParserC-45Unlit-styleBird(blodwen-lazy (lambda () (vector '() (cons ">" (cons "<" '())) (cons ".lidr" '())))))
(define ParserC-45Unlit-relit (lambda (arg-0 arg-1) (if (null? arg-0) arg-1 (let ((e-2 (unbox arg-0))) (DataC-45String-unwords (cons e-2 (cons arg-1 '())))))))
(define ParserC-45Unlit-listOfExtensionsLiterate(blodwen-lazy (lambda () (PreludeC-45Interfaces-concatMap (csegen-83) (csegen-16) (lambda (eta-0) (let ((e-2 (vector-ref eta-0 2))) e-2)) (cons (ParserC-45Unlit-styleBird) (cons (ParserC-45Unlit-styleOrg) (cons (ParserC-45Unlit-styleCMark) (cons (ParserC-45Unlit-styleTeX) '()))))))))
(define ParserC-45Unlit-isLitLine (lambda (arg-0) (DataC-45Maybe-fromMaybe (lambda () (cons '() arg-0)) (ParserC-45Unlit-n--4531-6585-u--walk arg-0))))
(define ParserC-45Unlit-isLitFile (lambda (arg-0) (PreludeC-45Types-u--C-60C-124C-62_Alternative_Maybe (ParserC-45Unlit-n--4473-6528-u--isStyle arg-0 (ParserC-45Unlit-styleBird)) (lambda () (PreludeC-45Types-u--C-60C-124C-62_Alternative_Maybe (ParserC-45Unlit-n--4473-6528-u--isStyle arg-0 (ParserC-45Unlit-styleOrg)) (lambda () (PreludeC-45Types-u--C-60C-124C-62_Alternative_Maybe (ParserC-45Unlit-n--4473-6528-u--isStyle arg-0 (ParserC-45Unlit-styleCMark)) (lambda () (ParserC-45Unlit-n--4473-6528-u--isStyle arg-0 (ParserC-45Unlit-styleTeX))))))))))
(define ParserC-45Unlit-hasLitFileExt (lambda (arg-0) (let ((u--toExtension (lambda (eta-0) (PreludeC-45Interfaces-concatMap (csegen-85) (csegen-16) (lambda (arg-1) (string-append "." arg-1)) eta-0)))) (let ((sc0 (LibrariesC-45UtilsC-45Path-splitExtensions arg-0))) (let ((e-2 (car sc0))) (let ((e-3 (cdr sc0))) (PreludeC-45Basics-flip (lambda (eta-0) (lambda (eta-1) (PreludeC-45Interfaces-choiceMap (csegen-326) (csegen-16) eta-0 eta-1))) (ParserC-45Unlit-listOfExtensionsLiterate) (lambda (u--candidate) (ParserC-45Unlit-case--caseC-32blockC-32inC-32hasLitFileExt-6433 arg-0 u--toExtension e-2 e-3 u--candidate (DataC-45List1-u--map_Functor_List1 (lambda (eta-0) (PreludeC-45Types-fastPack eta-0)) (DataC-45List-split (csegen-2127) (PreludeC-45Types-fastUnpack u--candidate))))))))))))
(define LibrariesC-45TextC-45Literate-with--isLiterateLine-9938 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (let ((e-2 (car arg-3))) (let ((e-3 (cdr arg-3))) (if (null? e-2) (cons '() arg-2) (let ((e-5 (car e-2))) (let ((e-6 (cdr e-2))) (let ((e-8 (vector-ref e-5 0))) (case (vector-ref e-8 0) ((2) (let ((e-11 (vector-ref e-8 1))) (let ((e-12 (vector-ref e-8 2))) (if (null? e-6) (if (null? e-3) (cons '() arg-2) (let ((e-17 (cdr e-3))) (if (null? e-17) (cons '() arg-2) (let ((e-21 (cdr e-17))) (cond ((equal? e-21 "") (cons (box e-11) e-12))(else (cons '() arg-2))))))) (cons '() arg-2)))))(else (cons '() arg-2)))))))))))
(define LibrariesC-45TextC-45Literate-with--withC-32blockC-32inC-32reduce-9619 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9) (if (null? arg-0) (case (vector-ref arg-1 0) ((0) (LibrariesC-45TextC-45Literate-reduce arg-6 arg-5))(else (let ((e-2 (vector-ref arg-1 2))) (LibrariesC-45TextC-45Literate-reduce arg-6 (cons (DataC-45String-fastUnlines e-2) (cons "\xa;" arg-5)))))) (let ((e-2 (vector-ref arg-1 2))) (LibrariesC-45TextC-45Literate-reduce arg-6 (cons (DataC-45String-fastUnlines e-2) (cons "\xa;" arg-5)))))))
(define LibrariesC-45TextC-45Literate-with--reduce-9604 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (if (null? arg-1) (LibrariesC-45TextC-45Literate-reduce arg-6 arg-7) (let ((e-2 (car arg-1))) (let ((e-3 (cdr arg-1))) (LibrariesC-45TextC-45Literate-with--withC-32blockC-32inC-32reduce-9619 e-3 (DataC-45ListC-45Views-snocList e-3) arg-2 arg-3 e-2 arg-7 arg-6 arg-5 arg-4 arg-0))))))
(define LibrariesC-45TextC-45Literate-case--lexLiterate-9840 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (let ((e-2 (car arg-4))) (let ((e-3 (cdr arg-4))) (let ((e-6 (car e-3))) (let ((e-7 (cdr e-3))) (let ((e-10 (car e-7))) (let ((e-11 (cdr e-7))) (cond ((equal? e-11 "") (vector 1 e-2))(else (vector 0 (vector e-6 e-10 e-11))))))))))))
(define LibrariesC-45TextC-45Literate-untilEOL(blodwen-lazy (lambda () (LibrariesC-45TextC-45Lexer-manyUntil (LibrariesC-45TextC-45Lexer-newline) (LibrariesC-45TextC-45Lexer-any)))))
(define LibrariesC-45TextC-45Literate-unlit (lambda (ext-0 ext-1) (LibrariesC-45TextC-45Literate-extractCode ext-0 ext-1)))
(define LibrariesC-45TextC-45Literate-reduce (lambda (arg-0 arg-1) (if (null? arg-0) (PreludeC-45Types-fastConcat (PreludeC-45TypesC-45List-reverse arg-1)) (let ((e-2 (car arg-0))) (let ((e-3 (cdr arg-0))) (let ((e-5 (vector-ref e-2 0))) (let ((e-6 (vector-ref e-2 1))) (let ((e-7 (vector-ref e-2 2))) (case (vector-ref e-5 0) ((1) (let ((e-8 (vector-ref e-5 1))) (let ((sc2 (PreludeC-45EqOrd-u--C-61C-61_Eq_String e-8 "\xa;"))) (cond ((equal? sc2 1) (LibrariesC-45TextC-45Literate-reduce e-3 (cons "\xa;" arg-1))) (else (LibrariesC-45TextC-45Literate-reduce e-3 arg-1)))))) ((2) (let ((e-9 (vector-ref e-5 1))) (let ((e-10 (vector-ref e-5 2))) (let ((sc2 (PreludeC-45EqOrd-u--C-61C-61_Eq_String e-9 (DataC-45String-trim e-10)))) (cond ((equal? sc2 1) (LibrariesC-45TextC-45Literate-reduce e-3 (cons "\xa;" arg-1))) (else (LibrariesC-45TextC-45Literate-reduce e-3 (cons (PreludeC-45Types-substr (+ (PreludeC-45TypesC-45String-length e-9) 1) (PreludeC-45TypesC-45String-length e-10) e-10) arg-1)))))))) (else (let ((e-11 (vector-ref e-5 1))) (let ((e-12 (vector-ref e-5 2))) (let ((e-13 (vector-ref e-5 3))) (LibrariesC-45TextC-45Literate-with--reduce-9604 e-13 (DataC-45String-lines e-13) e-6 e-7 e-12 e-11 e-3 arg-1))))))))))))))
(define LibrariesC-45TextC-45Literate-rawTokens (lambda (arg-0 arg-1) (PreludeC-45TypesC-45List-tailRecAppend (((csegen-25) (lambda (lamc-0) (let ((e-2 (car lamc-0))) (let ((e-3 (cdr lamc-0))) (cons (LibrariesC-45TextC-45Literate-block e-2 e-3) (lambda (eta-0) (vector 0 (DataC-45String-trim e-2) (DataC-45String-trim e-3) eta-0))))))) arg-0) (PreludeC-45TypesC-45List-tailRecAppend (((csegen-25) (lambda (u--m) (cons (LibrariesC-45TextC-45Literate-line u--m) (lambda (eta-0) (vector 2 (DataC-45String-trim u--m) eta-0))))) arg-1) (cons (cons (LibrariesC-45TextC-45Literate-notCodeLine) (lambda (eta-0) (vector 1 eta-0))) '())))))
(define LibrariesC-45TextC-45Literate-notCodeLine(blodwen-lazy (lambda () (LibrariesC-45TextC-45LexerC-45Core-C-60C-124C-62 (LibrariesC-45TextC-45Lexer-newline) (vector 5 (LibrariesC-45TextC-45Lexer-any) (lambda () (LibrariesC-45TextC-45Literate-untilEOL)))))))
(define LibrariesC-45TextC-45Literate-line (lambda (arg-0) (vector 5 (LibrariesC-45TextC-45Lexer-exact arg-0) (lambda () (LibrariesC-45TextC-45LexerC-45Core-C-60C-124C-62 (LibrariesC-45TextC-45Lexer-newline) (vector 5 (LibrariesC-45TextC-45Lexer-space) (lambda () (LibrariesC-45TextC-45Literate-untilEOL))))))))
(define LibrariesC-45TextC-45Literate-lexLiterate (lambda (arg-0 arg-1) (let ((e-0 (vector-ref arg-0 0))) (let ((e-1 (vector-ref arg-0 1))) (let ((e-2 (vector-ref arg-0 2))) (LibrariesC-45TextC-45Literate-case--lexLiterate-9840 e-2 e-1 e-0 arg-1 (LibrariesC-45TextC-45LexerC-45Core-lex (LibrariesC-45TextC-45Literate-rawTokens e-0 e-1) arg-1)))))))
(define LibrariesC-45TextC-45Literate-isLiterateLine (lambda (arg-0 arg-1) (let ((e-0 (vector-ref arg-0 0))) (let ((e-1 (vector-ref arg-0 1))) (let ((e-2 (vector-ref arg-0 2))) (LibrariesC-45TextC-45Literate-with--isLiterateLine-9938 e-1 e-0 arg-1 (LibrariesC-45TextC-45LexerC-45Core-lex (LibrariesC-45TextC-45Literate-rawTokens e-0 e-1) arg-1) e-2))))))
(define LibrariesC-45TextC-45Literate-extractCode (lambda (arg-0 arg-1) (PreludeC-45Interfaces-C-60C-36C-62 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))) (lambda (eta-0) (PreludeC-45Basics-flip (lambda (eta-1) (lambda (eta-2) (LibrariesC-45TextC-45Literate-reduce eta-1 eta-2))) '() eta-0)) (LibrariesC-45TextC-45Literate-lexLiterate arg-0 arg-1))))
(define LibrariesC-45TextC-45Literate-block (lambda (arg-0 arg-1) (LibrariesC-45TextC-45Lexer-surround (vector 5 (LibrariesC-45TextC-45Lexer-exact arg-0) (lambda () (LibrariesC-45TextC-45Literate-untilEOL))) (vector 5 (LibrariesC-45TextC-45Lexer-exact arg-1) (lambda () (LibrariesC-45TextC-45Literate-untilEOL))) (LibrariesC-45TextC-45Lexer-any))))
(define DataC-45ListC-45Views-snocListHelp (lambda (arg-1 arg-2 arg-3) (if (null? arg-3) arg-2 (let ((e-2 (car arg-3))) (let ((e-3 (cdr arg-3))) (DataC-45ListC-45Views-snocListHelp (PreludeC-45TypesC-45List-tailRecAppend arg-1 (cons e-2 '())) (vector 1 e-2 arg-1 arg-2) e-3))))))
(define DataC-45ListC-45Views-snocList (lambda (arg-1) (DataC-45ListC-45Views-snocListHelp '() (vector 0 ) arg-1)))
(define CompilerC-45VMCode-n--8506-3631-u--toVMConstAlt (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (let ((e-0 (car arg-6))) (let ((e-1 (cdr arg-6))) (cons e-0 (CompilerC-45VMCode-toVM arg-5 arg-4 e-1))))))
(define CompilerC-45VMCode-n--8506-3577-u--toVMConAlt (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (let ((e-0 (vector-ref arg-6 0))) (let ((e-2 (vector-ref arg-6 2))) (let ((e-3 (vector-ref arg-6 3))) (let ((e-4 (vector-ref arg-6 4))) (let ((u--body (CompilerC-45VMCode-toVM arg-5 arg-4 e-4))) (let ((u--used (PreludeC-45Types-u--foldMap_Foldable_List (csegen-2143) (lambda (eta-0) (CompilerC-45VMCode-collectUsed eta-0)) u--body))) (cons (PreludeC-45Types-maybe (lambda () (vector 1 e-0)) (lambda () (lambda (eta-0) (vector 0 eta-0))) e-2) (PreludeC-45TypesC-45List-tailRecAppend (CompilerC-45VMCode-projectArgs arg-0 0 u--used e-3) u--body))))))))))
(define CompilerC-45VMCode-n--8768-3769-u--findVarAlt (lambda (arg-0 arg-1 arg-2 arg-3) (let ((e-3 (cdr arg-3))) (PreludeC-45Types-u--foldMap_Foldable_List (csegen-83) (lambda (eta-0) (CompilerC-45VMCode-findVars eta-0)) e-3))))
(define CompilerC-45VMCode-n--8768-3815-u--findConstVarAlt (lambda (arg-0 arg-1 arg-2 arg-3) (let ((e-3 (cdr arg-3))) (PreludeC-45Types-u--foldMap_Foldable_List (csegen-83) (lambda (eta-0) (CompilerC-45VMCode-findVars eta-0)) e-3))))
(define CompilerC-45VMCode-n--8957-3880-u--declareAll (lambda (arg-0 arg-1 arg-2 arg-3) (if (null? arg-3) (cons (vector 1 ) arg-0) (let ((e-2 (car arg-3))) (let ((e-3 (cdr arg-3))) (let ((sc1 (PreludeC-45Types-elem (csegen-16) (csegen-290) e-2 arg-2))) (cond ((equal? sc1 1) (CompilerC-45VMCode-n--8957-3880-u--declareAll arg-0 arg-1 arg-2 e-3)) (else (cons (vector 0 (vector 1 e-2)) (CompilerC-45VMCode-n--8957-3880-u--declareAll arg-0 arg-1 (cons e-2 arg-2) e-3))))))))))
(define CompilerC-45VMCode-u--show_Show_VMInst (lambda (arg-0) (case (vector-ref arg-0 0) ((0) (let ((e-0 (vector-ref arg-0 1))) (string-append "DECLARE " (CompilerC-45VMCode-u--show_Show_Reg e-0)))) ((1) "START") ((2) (let ((e-1 (vector-ref arg-0 1))) (let ((e-2 (vector-ref arg-0 2))) (string-append (CompilerC-45VMCode-u--show_Show_Reg e-1) (string-append " := " (CompilerC-45VMCode-u--show_Show_Reg e-2)))))) ((3) (let ((e-3 (vector-ref arg-0 1))) (let ((e-4 (vector-ref arg-0 2))) (let ((e-5 (vector-ref arg-0 3))) (string-append (CompilerC-45VMCode-u--show_Show_Reg e-3) (string-append " := MKCON " (string-append (PreludeC-45Show-u--show_Show_C-40C-40EitherC-32C-36aC-41C-32C-36bC-41 (csegen-2144) e-4) (string-append " (" (string-append (CoreC-45NameC-45Namespace-showSep ", " ((csegen-2145) e-5)) ")"))))))))) ((4) (let ((e-6 (vector-ref arg-0 1))) (let ((e-7 (vector-ref arg-0 2))) (let ((e-8 (vector-ref arg-0 3))) (let ((e-9 (vector-ref arg-0 4))) (string-append (CompilerC-45VMCode-u--show_Show_Reg e-6) (string-append " := MKCLOSURE " (string-append (CoreC-45Name-u--show_Show_Name e-7) (string-append " " (string-append (PreludeC-45Show-u--show_Show_Nat e-8) (string-append " (" (string-append (CoreC-45NameC-45Namespace-showSep ", " ((csegen-2145) e-9)) ")")))))))))))) ((5) (let ((e-10 (vector-ref arg-0 1))) (let ((e-11 (vector-ref arg-0 2))) (string-append (CompilerC-45VMCode-u--show_Show_Reg e-10) (string-append " := MKCONSTANT " (CoreC-45TT-u--show_Show_Constant e-11)))))) ((6) (let ((e-12 (vector-ref arg-0 1))) (let ((e-13 (vector-ref arg-0 2))) (let ((e-14 (vector-ref arg-0 3))) (string-append (CompilerC-45VMCode-u--show_Show_Reg e-12) (string-append " := " (string-append (CompilerC-45VMCode-u--show_Show_Reg e-13) (string-append " @ " (CompilerC-45VMCode-u--show_Show_Reg e-14))))))))) ((7) (let ((e-15 (vector-ref arg-0 1))) (let ((e-16 (vector-ref arg-0 2))) (let ((e-17 (vector-ref arg-0 3))) (let ((e-18 (vector-ref arg-0 4))) (string-append (CompilerC-45VMCode-u--show_Show_Reg e-15) (string-append " := " (string-append (cond ((equal? e-16 1) "TAILCALL ") (else "CALL ")) (string-append (CoreC-45Name-u--show_Show_Name e-17) (string-append "(" (string-append (CoreC-45NameC-45Namespace-showSep ", " ((csegen-2145) e-18)) ")"))))))))))) ((8) (let ((e-20 (vector-ref arg-0 1))) (let ((e-21 (vector-ref arg-0 2))) (let ((e-22 (vector-ref arg-0 3))) (string-append (CompilerC-45VMCode-u--show_Show_Reg e-20) (string-append " := " (string-append "OP " (string-append (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 e-21) (string-append "(" (string-append (CoreC-45NameC-45Namespace-showSep ", " ((csegen-2145) (DataC-45Vect-u--toList_Foldable_C-40VectC-32C-36nC-41 e-22))) ")")))))))))) ((9) (let ((e-23 (vector-ref arg-0 1))) (let ((e-24 (vector-ref arg-0 2))) (let ((e-25 (vector-ref arg-0 3))) (string-append (CompilerC-45VMCode-u--show_Show_Reg e-23) (string-append " := " (string-append "EXTPRIM " (string-append (CoreC-45Name-u--show_Show_Name e-24) (string-append "(" (string-append (CoreC-45NameC-45Namespace-showSep ", " ((csegen-2145) e-25)) ")")))))))))) ((10) (let ((e-26 (vector-ref arg-0 1))) (let ((e-27 (vector-ref arg-0 2))) (let ((e-28 (vector-ref arg-0 3))) (string-append "CASE " (string-append (CompilerC-45VMCode-u--show_Show_Reg e-26) (string-append " " (string-append (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (cons (lambda (u--x) (PreludeC-45Show-u--show_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-2154) u--x)) (lambda (u--d) (lambda (u--x) (PreludeC-45Show-u--showPrec_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-2154) u--d u--x)))) e-27) (string-append " {default: " (string-append (PreludeC-45Show-u--show_Show_C-40MaybeC-32C-36aC-41 (csegen-2153) e-28) "}")))))))))) ((11) (let ((e-29 (vector-ref arg-0 1))) (let ((e-30 (vector-ref arg-0 2))) (let ((e-31 (vector-ref arg-0 3))) (string-append "CASE " (string-append (CompilerC-45VMCode-u--show_Show_Reg e-29) (string-append " " (string-append (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (cons (lambda (u--x) (PreludeC-45Show-u--show_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-2160) u--x)) (lambda (u--d) (lambda (u--x) (PreludeC-45Show-u--showPrec_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-2160) u--d u--x)))) e-30) (string-append " {default: " (string-append (PreludeC-45Show-u--show_Show_C-40MaybeC-32C-36aC-41 (csegen-2153) e-31) "}")))))))))) ((12) (let ((e-32 (vector-ref arg-0 1))) (let ((e-33 (vector-ref arg-0 2))) (let ((e-34 (vector-ref arg-0 3))) (string-append (CompilerC-45VMCode-u--show_Show_Reg e-32) (string-append " := PROJECT(" (string-append (CompilerC-45VMCode-u--show_Show_Reg e-33) (string-append ", " (string-append (PreludeC-45Show-u--show_Show_Int e-34) ")"))))))))) ((13) (let ((e-35 (vector-ref arg-0 1))) (string-append (CompilerC-45VMCode-u--show_Show_Reg e-35) " := NULL"))) (else (let ((e-36 (vector-ref arg-0 1))) (string-append "ERROR " (PreludeC-45Show-u--show_Show_String e-36)))))))
(define CompilerC-45VMCode-u--show_Show_VMDef (lambda (arg-0) (case (vector-ref arg-0 0) ((0) (let ((e-0 (vector-ref arg-0 1))) (let ((e-1 (vector-ref arg-0 2))) (string-append (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-583) e-0) (string-append ": " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-2150) e-1)))))) ((1) (let ((e-2 (vector-ref arg-0 1))) (let ((e-3 (vector-ref arg-0 2))) (let ((e-4 (vector-ref arg-0 3))) (string-append "Foreign call " (string-append (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-581) e-2) (string-append " " (string-append (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-1515) e-3) (string-append " " (CoreC-45CompileExpr-u--show_Show_CFType e-4)))))))))) (else (let ((e-5 (vector-ref arg-0 1))) (string-append "Error: " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-2150) e-5)))))))
(define CompilerC-45VMCode-u--show_Show_Reg (lambda (arg-0) (case (vector-ref arg-0 0) ((0) "RVAL") ((1) (let ((e-0 (vector-ref arg-0 1))) (string-append "v" (PreludeC-45Show-u--show_Show_Int e-0)))) (else "DISCARD"))))
(define CompilerC-45VMCode-u--showPrec_Show_VMInst (lambda (arg-0 arg-1) (CompilerC-45VMCode-u--show_Show_VMInst arg-1)))
(define CompilerC-45VMCode-u--showPrec_Show_VMDef (lambda (arg-0 arg-1) (CompilerC-45VMCode-u--show_Show_VMDef arg-1)))
(define CompilerC-45VMCode-toVMDef (lambda (arg-0) (case (vector-ref arg-0 0) ((0) (let ((e-0 (vector-ref arg-0 1))) (let ((e-1 (vector-ref arg-0 2))) (box (vector 0 e-0 (CompilerC-45VMCode-declareVars e-0 (CompilerC-45VMCode-toVM 1 (vector 0 ) e-1))))))) ((2) (let ((e-2 (vector-ref arg-0 1))) (let ((e-3 (vector-ref arg-0 2))) (let ((e-4 (vector-ref arg-0 3))) (box (vector 1 e-2 e-3 e-4)))))) ((3) (let ((e-5 (vector-ref arg-0 1))) (box (vector 2 (CompilerC-45VMCode-declareVars '() (CompilerC-45VMCode-toVM 1 (vector 0 ) e-5))))))(else '()))))
(define CompilerC-45VMCode-toVM (lambda (arg-0 arg-1 arg-2) (case (vector-ref arg-1 0) ((2) '())(else (case (vector-ref arg-2 0) ((0) (let ((e-1 (vector-ref arg-2 2))) (if (null? e-1) (cons (vector 13 arg-1) '()) (let ((e-45 (unbox e-1))) (cons (vector 2 arg-1 (vector 1 e-45)) '()))))) ((1) (let ((e-4 (vector-ref arg-2 3))) (let ((e-5 (vector-ref arg-2 4))) (cons (vector 7 arg-1 arg-0 e-4 ((csegen-2164) e-5)) '())))) ((2) (let ((e-7 (vector-ref arg-2 2))) (let ((e-8 (vector-ref arg-2 3))) (let ((e-9 (vector-ref arg-2 4))) (cons (vector 4 arg-1 e-7 e-8 ((csegen-2164) e-9)) '()))))) ((3) (let ((e-12 (vector-ref arg-2 3))) (let ((e-13 (vector-ref arg-2 4))) (cons (vector 6 arg-1 (CompilerC-45VMCode-toReg e-12) (CompilerC-45VMCode-toReg e-13)) '())))) ((4) (let ((e-15 (vector-ref arg-2 2))) (let ((e-16 (vector-ref arg-2 3))) (let ((e-17 (vector-ref arg-2 4))) (PreludeC-45TypesC-45List-tailRecAppend (CompilerC-45VMCode-toVM 0 (vector 1 e-15) e-16) (CompilerC-45VMCode-toVM arg-0 arg-1 e-17)))))) ((5) (let ((e-19 (vector-ref arg-2 2))) (let ((e-21 (vector-ref arg-2 4))) (let ((e-22 (vector-ref arg-2 5))) (if (null? e-21) (cons (vector 3 arg-1 (vector 1 e-19) ((csegen-2164) e-22)) '()) (let ((e-47 (unbox e-21))) (cons (vector 3 arg-1 (vector 0 e-47) ((csegen-2164) e-22)) '()))))))) ((6) (let ((e-26 (vector-ref arg-2 3))) (let ((e-27 (vector-ref arg-2 4))) (cons (vector 8 arg-1 e-26 (DataC-45Vect-u--map_Functor_C-40VectC-32C-36nC-41 (lambda (eta-0) (CompilerC-45VMCode-toReg eta-0)) e-27)) '())))) ((7) (let ((e-30 (vector-ref arg-2 3))) (let ((e-31 (vector-ref arg-2 4))) (cons (vector 9 arg-1 e-30 ((csegen-2164) e-31)) '())))) ((8) (let ((e-32 (vector-ref arg-2 1))) (let ((e-33 (vector-ref arg-2 2))) (let ((e-34 (vector-ref arg-2 3))) (let ((e-35 (vector-ref arg-2 4))) (if (null? e-33) (cons (vector 13 arg-1) '()) (let ((e-49 (unbox e-33))) (if (null? e-34) (cons (vector 10 (vector 1 e-49) (((csegen-25) (lambda (eta-0) (CompilerC-45VMCode-n--8506-3577-u--toVMConAlt e-49 e-35 e-34 e-32 arg-1 arg-0 eta-0))) e-34) (((csegen-77) (lambda (eta-0) (CompilerC-45VMCode-toVM arg-0 arg-1 eta-0))) e-35)) '()) (let ((e-51 (car e-34))) (let ((e-52 (cdr e-34))) (let ((e-56 (vector-ref e-51 3))) (let ((e-57 (vector-ref e-51 4))) (if (null? e-52) (if (null? e-35) (let ((u--body (CompilerC-45VMCode-toVM arg-0 arg-1 e-57))) (let ((u--used (PreludeC-45Types-u--foldMap_Foldable_List (csegen-2143) (lambda (eta-0) (CompilerC-45VMCode-collectUsed eta-0)) u--body))) (PreludeC-45TypesC-45List-tailRecAppend (CompilerC-45VMCode-projectArgs e-49 0 u--used e-56) u--body))) (cons (vector 10 (vector 1 e-49) (((csegen-25) (lambda (eta-0) (CompilerC-45VMCode-n--8506-3577-u--toVMConAlt e-49 e-35 e-34 e-32 arg-1 arg-0 eta-0))) e-34) (((csegen-77) (lambda (eta-0) (CompilerC-45VMCode-toVM arg-0 arg-1 eta-0))) e-35)) '())) (cons (vector 10 (vector 1 e-49) (((csegen-25) (lambda (eta-0) (CompilerC-45VMCode-n--8506-3577-u--toVMConAlt e-49 e-35 e-34 e-32 arg-1 arg-0 eta-0))) e-34) (((csegen-77) (lambda (eta-0) (CompilerC-45VMCode-toVM arg-0 arg-1 eta-0))) e-35)) '())))))))))))))) ((9) (let ((e-36 (vector-ref arg-2 1))) (let ((e-37 (vector-ref arg-2 2))) (let ((e-38 (vector-ref arg-2 3))) (let ((e-39 (vector-ref arg-2 4))) (if (null? e-37) (cons (vector 13 arg-1) '()) (let ((e-60 (unbox e-37))) (cons (vector 11 (vector 1 e-60) (((csegen-25) (lambda (eta-0) (CompilerC-45VMCode-n--8506-3631-u--toVMConstAlt e-60 e-39 e-38 e-36 arg-1 arg-0 eta-0))) e-38) (((csegen-77) (lambda (eta-0) (CompilerC-45VMCode-toVM arg-0 arg-1 eta-0))) e-39)) '())))))))) ((10) (let ((e-41 (vector-ref arg-2 2))) (cons (vector 5 arg-1 e-41) '()))) ((11) (cons (vector 13 arg-1) '())) ((12) (let ((e-44 (vector-ref arg-2 2))) (cons (vector 14 e-44) '())))(else (cons (vector 13 arg-1) '())))))))
(define CompilerC-45VMCode-toReg (lambda (arg-0) (if (null? arg-0) (vector 2 ) (let ((e-0 (unbox arg-0))) (vector 1 e-0)))))
(define CompilerC-45VMCode-projectArgs (lambda (arg-0 arg-1 arg-2 arg-3) (if (null? arg-3) '() (let ((e-2 (car arg-3))) (let ((e-3 (cdr arg-3))) (let ((sc1 (LibrariesC-45DataC-45IntMap-lookup e-2 arg-2))) (if (null? sc1) (CompilerC-45VMCode-projectArgs arg-0 (bs+ arg-1 1 63) arg-2 e-3) (cons (vector 12 (vector 1 e-2) (vector 1 arg-0) arg-1) (CompilerC-45VMCode-projectArgs arg-0 (bs+ arg-1 1 63) arg-2 e-3)))))))))
(define CompilerC-45VMCode-findVars (lambda (arg-0) (case (vector-ref arg-0 0) ((2) (let ((e-0 (vector-ref arg-0 1))) (case (vector-ref e-0 0) ((1) (let ((e-34 (vector-ref e-0 1))) (cons e-34 '())))(else '())))) ((3) (let ((e-2 (vector-ref arg-0 1))) (case (vector-ref e-2 0) ((1) (let ((e-35 (vector-ref e-2 1))) (cons e-35 '())))(else '())))) ((4) (let ((e-5 (vector-ref arg-0 1))) (case (vector-ref e-5 0) ((1) (let ((e-36 (vector-ref e-5 1))) (cons e-36 '())))(else '())))) ((5) (let ((e-9 (vector-ref arg-0 1))) (case (vector-ref e-9 0) ((1) (let ((e-37 (vector-ref e-9 1))) (cons e-37 '())))(else '())))) ((6) (let ((e-11 (vector-ref arg-0 1))) (case (vector-ref e-11 0) ((1) (let ((e-38 (vector-ref e-11 1))) (cons e-38 '())))(else '())))) ((7) (let ((e-14 (vector-ref arg-0 1))) (case (vector-ref e-14 0) ((1) (let ((e-39 (vector-ref e-14 1))) (cons e-39 '())))(else '())))) ((8) (let ((e-19 (vector-ref arg-0 1))) (case (vector-ref e-19 0) ((1) (let ((e-40 (vector-ref e-19 1))) (cons e-40 '())))(else '())))) ((9) (let ((e-22 (vector-ref arg-0 1))) (case (vector-ref e-22 0) ((1) (let ((e-41 (vector-ref e-22 1))) (cons e-41 '())))(else '())))) ((10) (let ((e-25 (vector-ref arg-0 1))) (let ((e-26 (vector-ref arg-0 2))) (let ((e-27 (vector-ref arg-0 3))) (PreludeC-45TypesC-45List-tailRecAppend (PreludeC-45Types-u--foldMap_Foldable_List (csegen-83) (lambda (eta-0) (CompilerC-45VMCode-n--8768-3769-u--findVarAlt e-25 e-27 e-26 eta-0)) e-26) (DataC-45Maybe-fromMaybe (lambda () '()) ((csegen-2166) e-27))))))) ((11) (let ((e-28 (vector-ref arg-0 1))) (let ((e-29 (vector-ref arg-0 2))) (let ((e-30 (vector-ref arg-0 3))) (PreludeC-45TypesC-45List-tailRecAppend (PreludeC-45Types-u--foldMap_Foldable_List (csegen-83) (lambda (eta-0) (CompilerC-45VMCode-n--8768-3815-u--findConstVarAlt e-28 e-30 e-29 eta-0)) e-29) (DataC-45Maybe-fromMaybe (lambda () '()) ((csegen-2166) e-30))))))) ((12) (let ((e-31 (vector-ref arg-0 1))) (case (vector-ref e-31 0) ((1) (let ((e-42 (vector-ref e-31 1))) (cons e-42 '())))(else '()))))(else '()))))
(define CompilerC-45VMCode-declareVars (lambda (arg-0 arg-1) (let ((u--vs (PreludeC-45Types-u--foldMap_Foldable_List (csegen-83) (lambda (eta-0) (CompilerC-45VMCode-findVars eta-0)) arg-1))) (CompilerC-45VMCode-n--8957-3880-u--declareAll arg-1 arg-0 arg-0 u--vs))))
(define CompilerC-45VMCode-collectUsed (lambda (arg-0) (case (vector-ref arg-0 0) ((0) (let ((e-0 (vector-ref arg-0 1))) (CompilerC-45VMCode-collectReg e-0))) ((1) (LibrariesC-45DataC-45IntMap-empty)) ((2) (let ((e-2 (vector-ref arg-0 2))) (CompilerC-45VMCode-collectReg e-2))) ((3) (let ((e-5 (vector-ref arg-0 3))) (PreludeC-45Types-u--foldMap_Foldable_List (csegen-2143) (lambda (eta-0) (CompilerC-45VMCode-collectReg eta-0)) e-5))) ((4) (let ((e-9 (vector-ref arg-0 4))) (PreludeC-45Types-u--foldMap_Foldable_List (csegen-2143) (lambda (eta-0) (CompilerC-45VMCode-collectReg eta-0)) e-9))) ((5) (LibrariesC-45DataC-45IntMap-empty)) ((6) (let ((e-13 (vector-ref arg-0 2))) (let ((e-14 (vector-ref arg-0 3))) (((csegen-2168) (CompilerC-45VMCode-collectReg e-13)) (CompilerC-45VMCode-collectReg e-14))))) ((7) (let ((e-18 (vector-ref arg-0 4))) (PreludeC-45Types-u--foldMap_Foldable_List (csegen-2143) (lambda (eta-0) (CompilerC-45VMCode-collectReg eta-0)) e-18))) ((8) (let ((e-22 (vector-ref arg-0 3))) (DataC-45Vect-u--foldMap_Foldable_C-40VectC-32C-36nC-41 (csegen-2143) (lambda (eta-0) (CompilerC-45VMCode-collectReg eta-0)) e-22))) ((9) (let ((e-25 (vector-ref arg-0 3))) (PreludeC-45Types-u--foldMap_Foldable_List (csegen-2143) (lambda (eta-0) (CompilerC-45VMCode-collectReg eta-0)) e-25))) ((10) (let ((e-26 (vector-ref arg-0 1))) (let ((e-27 (vector-ref arg-0 2))) (let ((e-28 (vector-ref arg-0 3))) (((csegen-2168) (((csegen-2168) (CompilerC-45VMCode-collectReg e-26)) (PreludeC-45Types-u--foldMap_Foldable_List (csegen-2143) (csegen-2169) e-27))) (PreludeC-45Types-maybe (lambda () (LibrariesC-45DataC-45IntMap-empty)) (lambda () (csegen-2170)) e-28)))))) ((11) (let ((e-29 (vector-ref arg-0 1))) (let ((e-30 (vector-ref arg-0 2))) (let ((e-31 (vector-ref arg-0 3))) (((csegen-2168) (((csegen-2168) (CompilerC-45VMCode-collectReg e-29)) (PreludeC-45Types-u--foldMap_Foldable_List (csegen-2143) (csegen-2169) e-30))) (PreludeC-45Types-maybe (lambda () (LibrariesC-45DataC-45IntMap-empty)) (lambda () (csegen-2170)) e-31)))))) ((12) (let ((e-33 (vector-ref arg-0 2))) (CompilerC-45VMCode-collectReg e-33))) ((13) (LibrariesC-45DataC-45IntMap-empty)) (else (LibrariesC-45DataC-45IntMap-empty)))))
(define CompilerC-45VMCode-collectReg (lambda (arg-0) (case (vector-ref arg-0 0) ((1) (let ((e-0 (vector-ref arg-0 1))) (LibrariesC-45DataC-45IntMap-singleton e-0 (vector 0 ))))(else (LibrariesC-45DataC-45IntMap-empty)))))
(define CompilerC-45VMCode-allDefs (lambda (ext-0) (PreludeC-45TypesC-45List-mapMaybeAppend '() (lambda (lamc-0) (let ((e-2 (car lamc-0))) (let ((e-3 (cdr lamc-0))) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (CompilerC-45VMCode-toVMDef e-3) (lambda (u--dC-39) (box (cons e-2 u--dC-39))))))) ext-0)))
(define CompilerC-45ANF-n--8146-3102-u--showArg (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (string-append "v" (PreludeC-45Show-u--show_Show_Int arg-5))))
(define CompilerC-45ANF-n--8552-3468-u--doBind (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (if (null? arg-5) (arg-0 (PreludeC-45TypesC-45List-reverse arg-4)) (let ((e-2 (car arg-5))) (let ((e-3 (cdr arg-5))) (let ((e-6 (car e-2))) (let ((e-7 (cdr e-2))) (if (null? e-6) (CompilerC-45ANF-n--8552-3468-u--doBind arg-0 arg-1 arg-2 arg-3 (cons e-6 arg-4) e-3) (let ((e-8 (unbox e-6))) (if (null? e-7) (CompilerC-45ANF-n--8552-3468-u--doBind arg-0 arg-1 arg-2 arg-3 (cons e-6 arg-4) e-3) (let ((e-10 (unbox e-7))) (vector 4 arg-2 e-8 e-10 (CompilerC-45ANF-n--8552-3468-u--doBind arg-0 arg-1 arg-2 arg-3 (cons (box e-8) arg-4) e-3)))))))))))))
(define CompilerC-45ANF-n--9284-4110-u--bindArgs (lambda (arg-0 arg-1 arg-2 arg-4 arg-5 arg-6) (if (null? arg-5) (lambda (eta-0) (vector 1 (cons '() arg-6))) (let ((e-3 (cdr arg-5))) (let ((eff-0 (CompilerC-45ANF-nextVar arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CompilerC-45ANF-n--9284-4110-u--bindArgs arg-0 arg-1 arg-2 arg-4 e-3 arg-6))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (clam-0) (let ((e-7 (car e-6))) (let ((e-4 (cdr e-6))) (vector 1 (cons (cons e-5 e-7) (cons e-5 e-4)))))))) eff-2))))))))) eff-1)))))))))))
(define CompilerC-45ANF-n--8707-3962-u--bindArgs (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-9 arg-10) (if (null? arg-9) (lambda (eta-0) (vector 1 (cons '() arg-10))) (let ((e-3 (cdr arg-9))) (let ((eff-0 (CompilerC-45ANF-nextVar arg-7))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CompilerC-45ANF-n--8707-3962-u--bindArgs arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-3 arg-10))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (clam-0) (let ((e-7 (car e-6))) (let ((e-4 (cdr e-6))) (vector 1 (cons (cons e-5 e-7) (cons e-5 e-4)))))))) eff-2))))))))) eff-1)))))))))))
(define CompilerC-45ANF-u--show_Show_AVar (lambda (arg-0) (if (null? arg-0) "[__]" (let ((e-0 (unbox arg-0))) (string-append "v" (PreludeC-45Show-u--show_Show_Int e-0))))))
(define CompilerC-45ANF-u--show_Show_ANFDef (lambda (arg-0) (case (vector-ref arg-0 0) ((0) (let ((e-0 (vector-ref arg-0 1))) (let ((e-1 (vector-ref arg-0 2))) (string-append (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-583) e-0) (string-append ": " (CompilerC-45ANF-u--show_Show_ANF e-1)))))) ((1) (let ((e-2 (vector-ref arg-0 1))) (let ((e-3 (vector-ref arg-0 2))) (let ((e-4 (vector-ref arg-0 3))) (string-append "Constructor tag " (string-append (PreludeC-45Show-u--show_Show_C-40MaybeC-32C-36aC-41 (csegen-583) e-2) (string-append " arity " (string-append (PreludeC-45Show-u--show_Show_Nat e-3) (string-append " newtype by " (PreludeC-45Show-u--show_Show_C-40MaybeC-32C-36aC-41 (csegen-1068) e-4)))))))))) ((2) (let ((e-5 (vector-ref arg-0 1))) (let ((e-6 (vector-ref arg-0 2))) (let ((e-7 (vector-ref arg-0 3))) (string-append "Foreign call " (string-append (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-581) e-5) (string-append " " (string-append (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-1515) e-6) (string-append " -> " (CoreC-45CompileExpr-u--show_Show_CFType e-7)))))))))) (else (let ((e-8 (vector-ref arg-0 1))) (string-append "Error: " (CompilerC-45ANF-u--show_Show_ANF e-8)))))))
(define CompilerC-45ANF-u--show_Show_ANF (lambda (arg-0) (case (vector-ref arg-0 0) ((0) (let ((e-1 (vector-ref arg-0 2))) (CompilerC-45ANF-u--show_Show_AVar e-1))) ((1) (let ((e-3 (vector-ref arg-0 2))) (let ((e-4 (vector-ref arg-0 3))) (let ((e-5 (vector-ref arg-0 4))) (string-append (CoreC-45Name-u--show_Show_Name e-4) (string-append (CompilerC-45ANF-showLazy e-3) (string-append "(" (string-append (CoreC-45NameC-45Namespace-showSep ", " ((csegen-2172) e-5)) ")")))))))) ((2) (let ((e-7 (vector-ref arg-0 2))) (let ((e-8 (vector-ref arg-0 3))) (let ((e-9 (vector-ref arg-0 4))) (string-append "<" (string-append (CoreC-45Name-u--show_Show_Name e-7) (string-append " underapp " (string-append (PreludeC-45Show-u--show_Show_Nat e-8) (string-append ">(" (string-append (CoreC-45NameC-45Namespace-showSep ", " ((csegen-2172) e-9)) ")")))))))))) ((3) (let ((e-11 (vector-ref arg-0 2))) (let ((e-12 (vector-ref arg-0 3))) (let ((e-13 (vector-ref arg-0 4))) (string-append (CompilerC-45ANF-u--show_Show_AVar e-12) (string-append (CompilerC-45ANF-showLazy e-11) (string-append " @ (" (string-append (CompilerC-45ANF-u--show_Show_AVar e-13) ")")))))))) ((4) (let ((e-15 (vector-ref arg-0 2))) (let ((e-16 (vector-ref arg-0 3))) (let ((e-17 (vector-ref arg-0 4))) (string-append "%let v" (string-append (PreludeC-45Show-u--show_Show_Int e-15) (string-append " = (" (string-append (CompilerC-45ANF-u--show_Show_ANF e-16) (string-append ") in (" (string-append (CompilerC-45ANF-u--show_Show_ANF e-17) ")")))))))))) ((5) (let ((e-19 (vector-ref arg-0 2))) (let ((e-22 (vector-ref arg-0 5))) (string-append "%con " (string-append (CoreC-45Name-u--show_Show_Name e-19) (string-append "(" (string-append (CoreC-45NameC-45Namespace-showSep ", " ((csegen-2172) e-22)) ")"))))))) ((6) (let ((e-25 (vector-ref arg-0 2))) (let ((e-26 (vector-ref arg-0 3))) (let ((e-27 (vector-ref arg-0 4))) (string-append "%op " (string-append (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 e-26) (string-append (CompilerC-45ANF-showLazy e-25) (string-append "(" (string-append (CoreC-45NameC-45Namespace-showSep ", " (DataC-45Vect-u--toList_Foldable_C-40VectC-32C-36nC-41 (DataC-45Vect-u--map_Functor_C-40VectC-32C-36nC-41 (lambda (eta-0) (CompilerC-45ANF-u--show_Show_AVar eta-0)) e-27))) ")"))))))))) ((7) (let ((e-29 (vector-ref arg-0 2))) (let ((e-30 (vector-ref arg-0 3))) (let ((e-31 (vector-ref arg-0 4))) (string-append "%extprim " (string-append (CoreC-45Name-u--show_Show_Name e-30) (string-append (CompilerC-45ANF-showLazy e-29) (string-append "(" (string-append (CoreC-45NameC-45Namespace-showSep ", " ((csegen-2172) e-31)) ")"))))))))) ((8) (let ((e-33 (vector-ref arg-0 2))) (let ((e-34 (vector-ref arg-0 3))) (let ((e-35 (vector-ref arg-0 4))) (string-append "%case " (string-append (CompilerC-45ANF-u--show_Show_AVar e-33) (string-append " of { " (string-append (CoreC-45NameC-45Namespace-showSep "| " (((csegen-25) (lambda (eta-0) (CompilerC-45ANF-u--show_Show_AConAlt eta-0))) e-34)) (string-append " " (string-append (PreludeC-45Show-u--show_Show_C-40MaybeC-32C-36aC-41 (csegen-2175) e-35) " }")))))))))) ((9) (let ((e-37 (vector-ref arg-0 2))) (let ((e-38 (vector-ref arg-0 3))) (let ((e-39 (vector-ref arg-0 4))) (string-append "%case " (string-append (CompilerC-45ANF-u--show_Show_AVar e-37) (string-append " of { " (string-append (CoreC-45NameC-45Namespace-showSep "| " (((csegen-25) (lambda (eta-0) (CompilerC-45ANF-u--show_Show_AConstAlt eta-0))) e-38)) (string-append " " (string-append (PreludeC-45Show-u--show_Show_C-40MaybeC-32C-36aC-41 (csegen-2175) e-39) " }")))))))))) ((10) (let ((e-41 (vector-ref arg-0 2))) (CoreC-45TT-u--show_Show_Constant e-41))) ((11) "___") (else (let ((e-44 (vector-ref arg-0 2))) (string-append "%CRASH(" (string-append (PreludeC-45Show-u--show_Show_String e-44) ")")))))))
(define CompilerC-45ANF-u--show_Show_AConstAlt (lambda (arg-0) (let ((e-0 (car arg-0))) (let ((e-1 (cdr arg-0))) (string-append "%constalt(" (string-append (CoreC-45TT-u--show_Show_Constant e-0) (string-append ") => " (CompilerC-45ANF-u--show_Show_ANF e-1))))))))
(define CompilerC-45ANF-u--show_Show_AConAlt (lambda (arg-0) (let ((e-0 (vector-ref arg-0 0))) (let ((e-1 (vector-ref arg-0 1))) (let ((e-2 (vector-ref arg-0 2))) (let ((e-3 (vector-ref arg-0 3))) (let ((e-4 (vector-ref arg-0 4))) (string-append "%conalt " (string-append (CoreC-45Name-u--show_Show_Name e-0) (string-append "(" (string-append (CoreC-45NameC-45Namespace-showSep ", " (((csegen-25) (lambda (eta-0) (CompilerC-45ANF-n--8146-3102-u--showArg e-1 e-4 e-3 e-2 e-0 eta-0))) e-3)) (string-append ") => " (CompilerC-45ANF-u--show_Show_ANF e-4)))))))))))))
(define CompilerC-45ANF-u--showPrec_Show_ANFDef (lambda (arg-0 arg-1) (CompilerC-45ANF-u--show_Show_ANFDef arg-1)))
(define CompilerC-45ANF-u--showPrec_Show_ANF (lambda (arg-0 arg-1) (CompilerC-45ANF-u--show_Show_ANF arg-1)))
(define CompilerC-45ANF-toANF (lambda (arg-0) (case (vector-ref arg-0 0) ((0) (let ((e-0 (vector-ref arg-0 1))) (let ((e-1 (vector-ref arg-0 2))) (let ((e-2 (vector-ref arg-0 3))) (let ((eff-0 (CoreC-45Core-newRef (vector "Compiler.ANF.Next" ) 0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CompilerC-45ANF-n--9284-4110-u--bindArgs e-1 e-0 e-2 e-5 e-0 '()))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-3 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((e-4 (car e-6))) (let ((e-3 (cdr e-6))) (let ((u--vs e-3)) (let ((eff-2 (CompilerC-45ANF-n--9284-4110-u--bindArgs e-1 e-0 e-2 e-5 e-1 u--vs))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-7 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((e-9 (car e-7))) (let ((e-8 (cdr e-7))) (let ((eff-3 (CompilerC-45ANF-anf (PreludeC-45TypesC-45List-tailRecAppend e-1 e-0) e-5 e-8 e-2))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 0 (PreludeC-45TypesC-45List-tailRecAppend e-4 (PreludeC-45TypesC-45List-reverse e-9)) e-10))))) eff-4))))))))))) eff-3)))))))))))) eff-2))))))))) eff-1))))))))))) ((1) (let ((e-3 (vector-ref arg-0 1))) (let ((e-4 (vector-ref arg-0 2))) (let ((e-5 (vector-ref arg-0 3))) (lambda (eta-0) (vector 1 (vector 1 e-3 e-4 e-5))))))) ((2) (let ((e-6 (vector-ref arg-0 1))) (let ((e-7 (vector-ref arg-0 2))) (let ((e-8 (vector-ref arg-0 3))) (lambda (eta-0) (vector 1 (vector 2 e-6 e-7 e-8))))))) (else (let ((e-9 (vector-ref arg-0 1))) (let ((eff-0 (CoreC-45Core-newRef (vector "Compiler.ANF.Next" ) 0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CompilerC-45ANF-anf '() e-5 '() e-9))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 3 e-6))))) eff-2))))))))) eff-1))))))))))))
(define CompilerC-45ANF-showLazy (lambda (ext-0) (PreludeC-45Types-maybe (lambda () "") (lambda () (csegen-2178)) ext-0)))
(define CompilerC-45ANF-nextVar (lambda (arg-0) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (bs+ e-5 1 63)))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (lambda (eta-0) (vector 1 e-5)))) eff-2)))))))) eff-1)))))))))
(define CompilerC-45ANF-mlet (lambda (arg-0 arg-1 arg-2 arg-3) (case (vector-ref arg-2 0) ((0) (let ((e-1 (vector-ref arg-2 2))) (lambda (eta-0) (vector 1 (arg-3 e-1)))))(else (let ((eff-0 (CompilerC-45ANF-nextVar arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 4 arg-1 e-5 arg-2 (arg-3 (box e-5))))))) eff-1)))))))))))
(define CompilerC-45ANF-lookup (lambda (arg-2 arg-4) (cond ((equal? arg-2 0) (let ((e-3 (car arg-4))) e-3))(else (let ((e-0 (- arg-2 1))) (let ((e-8 (cdr arg-4))) (CompilerC-45ANF-lookup e-0 e-8)))))))
(define CompilerC-45ANF-letBind (lambda (arg-0 arg-1 arg-2 arg-3) (let ((eff-0 (CompilerC-45ANF-bindArgs arg-0 arg-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (CompilerC-45ANF-n--8552-3468-u--doBind arg-3 arg-2 arg-1 arg-0 '() e-5))))) eff-1)))))))))
(define CompilerC-45ANF-bindArgs (lambda (arg-0 arg-1) (if (null? arg-1) (lambda (eta-0) (vector 1 '())) (let ((e-2 (car arg-1))) (let ((e-3 (cdr arg-1))) (case (vector-ref e-2 0) ((0) (let ((e-5 (vector-ref e-2 2))) (let ((eff-0 (CompilerC-45ANF-bindArgs arg-0 e-3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (cons (cons e-5 '()) e-6))))) eff-1))))))))) ((11) (let ((eff-0 (CompilerC-45ANF-bindArgs arg-0 e-3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (cons (cons '() '()) e-5))))) eff-1))))))))(else (let ((eff-0 (CompilerC-45ANF-nextVar arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CompilerC-45ANF-bindArgs arg-0 e-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (cons (cons (box e-5) (box e-2)) e-6))))) eff-2))))))))) eff-1))))))))))))))
(define CompilerC-45ANF-anfConstAlt (lambda (arg-0 arg-1 arg-2 arg-3) (let ((e-1 (car arg-3))) (let ((e-2 (cdr arg-3))) (let ((eff-0 (CompilerC-45ANF-anf arg-0 arg-1 arg-2 e-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (cons e-1 e-5))))) eff-1)))))))))))
(define CompilerC-45ANF-anfConAlt (lambda (arg-0 arg-1 arg-2 arg-3) (let ((e-1 (vector-ref arg-3 0))) (let ((e-2 (vector-ref arg-3 1))) (let ((e-3 (vector-ref arg-3 2))) (let ((e-4 (vector-ref arg-3 3))) (let ((e-5 (vector-ref arg-3 4))) (let ((eff-0 (CompilerC-45ANF-n--8707-3962-u--bindArgs arg-0 e-4 e-5 e-3 e-2 e-1 arg-2 arg-1 e-4 arg-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((e-8 (car e-6))) (let ((e-7 (cdr e-6))) (let ((eff-1 (CompilerC-45ANF-anf (PreludeC-45TypesC-45List-tailRecAppend e-4 arg-0) arg-1 e-7 e-5))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-9 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector e-1 e-2 e-3 e-8 e-9))))) eff-2))))))))))) eff-1))))))))))))))
(define CompilerC-45ANF-anfArgs (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45ANF-anf arg-0 arg-1 arg-3 eta-0)) arg-4 '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CompilerC-45ANF-letBind arg-1 arg-2 e-5 arg-5))) eff-1)))))))))
(define CompilerC-45ANF-anf (lambda (arg-0 arg-1 arg-2 arg-3) (case (vector-ref arg-3 0) ((0) (let ((e-2 (vector-ref arg-3 1))) (let ((e-3 (vector-ref arg-3 2))) (lambda (eta-0) (vector 1 (vector 0 e-3 (box (CompilerC-45ANF-lookup e-2 arg-2)))))))) ((1) (let ((e-6 (vector-ref arg-3 1))) (let ((e-7 (vector-ref arg-3 2))) (let ((e-8 (vector-ref arg-3 3))) (let ((e-9 (vector-ref arg-3 4))) (CompilerC-45ANF-anfArgs arg-0 arg-1 e-6 arg-2 e-9 (lambda (eta-0) (vector 1 e-6 e-7 e-8 eta-0)))))))) ((2) (let ((e-11 (vector-ref arg-3 1))) (let ((e-12 (vector-ref arg-3 2))) (let ((e-13 (vector-ref arg-3 3))) (let ((e-14 (vector-ref arg-3 4))) (CompilerC-45ANF-anfArgs arg-0 arg-1 e-11 arg-2 e-14 (lambda (eta-0) (vector 2 e-11 e-12 e-13 eta-0)))))))) ((3) (let ((e-16 (vector-ref arg-3 1))) (let ((e-17 (vector-ref arg-3 2))) (let ((e-18 (vector-ref arg-3 3))) (let ((e-19 (vector-ref arg-3 4))) (CompilerC-45ANF-anfArgs arg-0 arg-1 e-16 arg-2 (cons e-18 (cons e-19 '())) (lambda (lcase-0) (if (null? lcase-0) (vector 12 e-16 "Can't happen (AApp)") (let ((e-1 (car lcase-0))) (let ((e-2 (cdr lcase-0))) (if (null? e-2) (vector 12 e-16 "Can't happen (AApp)") (let ((e-4 (car e-2))) (let ((e-5 (cdr e-2))) (if (null? e-5) (vector 3 e-16 e-17 e-1 e-4) (vector 12 e-16 "Can't happen (AApp)"))))))))))))))) ((4) (let ((e-21 (vector-ref arg-3 1))) (let ((e-22 (vector-ref arg-3 2))) (let ((e-23 (vector-ref arg-3 3))) (let ((e-24 (vector-ref arg-3 4))) (let ((eff-0 (CompilerC-45ANF-nextVar arg-1))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--vsC-39 (cons e-5 arg-2))) (let ((eff-1 (CompilerC-45ANF-anf arg-0 arg-1 arg-2 e-23))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45ANF-anf (cons e-22 arg-0) arg-1 u--vsC-39 e-24))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (vector 4 e-21 e-5 e-6 e-7))))) eff-3))))))))) eff-2)))))))))) eff-1)))))))))))) ((5) (let ((e-26 (vector-ref arg-3 1))) (let ((e-27 (vector-ref arg-3 2))) (let ((e-28 (vector-ref arg-3 3))) (let ((e-29 (vector-ref arg-3 4))) (let ((e-30 (vector-ref arg-3 5))) (CompilerC-45ANF-anfArgs arg-0 arg-1 e-26 arg-2 e-30 (lambda (eta-0) (vector 5 e-26 e-27 e-28 e-29 eta-0))))))))) ((6) (let ((e-32 (vector-ref arg-3 1))) (let ((e-33 (vector-ref arg-3 2))) (let ((e-34 (vector-ref arg-3 3))) (let ((e-35 (vector-ref arg-3 4))) (let ((e-36 (vector-ref arg-3 5))) (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45ANF-anf arg-0 arg-1 arg-2 eta-0)) (DataC-45Vect-u--toList_Foldable_C-40VectC-32C-36nC-41 e-36) '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CompilerC-45ANF-letBind arg-1 e-33 e-5 (lambda (u--args) (let ((sc2 (DataC-45Vect-toVect e-32 u--args))) (if (null? sc2) (vector 12 e-33 "Can't happen (AOp)") (let ((e-2 (unbox sc2))) (vector 6 e-33 e-34 e-35 e-2)))))))) eff-1))))))))))))) ((7) (let ((e-38 (vector-ref arg-3 1))) (let ((e-39 (vector-ref arg-3 2))) (let ((e-40 (vector-ref arg-3 3))) (let ((e-41 (vector-ref arg-3 4))) (CompilerC-45ANF-anfArgs arg-0 arg-1 e-38 arg-2 e-41 (lambda (eta-0) (vector 7 e-38 e-39 e-40 eta-0)))))))) ((8) (let ((e-43 (vector-ref arg-3 1))) (let ((e-44 (vector-ref arg-3 2))) (let ((e-45 (vector-ref arg-3 3))) (let ((e-46 (vector-ref arg-3 4))) (let ((eff-0 (CompilerC-45ANF-anf arg-0 arg-1 arg-2 e-44))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45ANF-anfConAlt arg-0 arg-1 arg-2 eta-0)) e-45 '()))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (if (null? e-46) (lambda (eta-0) (vector 1 '())) (let ((e-2 (unbox e-46))) (let ((eff-2 (CompilerC-45ANF-anf arg-0 arg-1 arg-2 e-2))) (((csegen-50) ((let ((eff-3 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-3 (vector-ref eta-3 1))) (vector 0 e-3))) (else (let ((e-7 (vector-ref eta-3 1))) (vector 1 (eta-2 e-7))))))))))) (lambda (arg-4) (lambda (arg-5) ((((eff-3 'erased) 'erased) arg-4) arg-5)))) (lambda (eta-0) (box eta-0)))) eff-2)))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (CompilerC-45ANF-mlet arg-1 e-43 e-5 (lambda (u--x) (vector 8 e-43 u--x e-6 e-7))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))) ((9) (let ((e-48 (vector-ref arg-3 1))) (let ((e-49 (vector-ref arg-3 2))) (let ((e-50 (vector-ref arg-3 3))) (let ((e-51 (vector-ref arg-3 4))) (let ((eff-0 (CompilerC-45ANF-anf arg-0 arg-1 arg-2 e-49))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45ANF-anfConstAlt arg-0 arg-1 arg-2 eta-0)) e-50 '()))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (if (null? e-51) (lambda (eta-0) (vector 1 '())) (let ((e-2 (unbox e-51))) (let ((eff-2 (CompilerC-45ANF-anf arg-0 arg-1 arg-2 e-2))) (((csegen-50) ((let ((eff-3 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-3 (vector-ref eta-3 1))) (vector 0 e-3))) (else (let ((e-7 (vector-ref eta-3 1))) (vector 1 (eta-2 e-7))))))))))) (lambda (arg-4) (lambda (arg-5) ((((eff-3 'erased) 'erased) arg-4) arg-5)))) (lambda (eta-0) (box eta-0)))) eff-2)))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (CompilerC-45ANF-mlet arg-1 e-48 e-5 (lambda (u--x) (vector 9 e-48 u--x e-6 e-7))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))) ((10) (let ((e-53 (vector-ref arg-3 1))) (let ((e-54 (vector-ref arg-3 2))) (lambda (eta-0) (vector 1 (vector 10 e-53 e-54)))))) ((11) (let ((e-56 (vector-ref arg-3 1))) (lambda (eta-0) (vector 1 (vector 11 e-56))))) (else (let ((e-58 (vector-ref arg-3 1))) (let ((e-59 (vector-ref arg-3 2))) (lambda (eta-0) (vector 1 (vector 12 e-58 e-59)))))))))
(define CompilerC-45LambdaLift-n--8782-4796-u--usedConstAlt (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9) (let ((e-2 (cdr arg-9))) (CompilerC-45LambdaLift-usedVars arg-0 arg-6 arg-8 e-2))))
(define CompilerC-45LambdaLift-n--8782-4749-u--usedConAlt (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9) (let ((e-4 (vector-ref arg-9 3))) (let ((e-5 (vector-ref arg-9 4))) (CompilerC-45LambdaLift-contractUsedMany e-4 (CompilerC-45LambdaLift-usedVars (PreludeC-45TypesC-45List-tailRecAppend e-4 arg-0) arg-6 (CompilerC-45LambdaLift-weakenUsed e-4 arg-8) e-5))))))
(define CompilerC-45LambdaLift-n--8761-4309-u--traverseArgs (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-9) (if (null? arg-9) (lambda (eta-0) (vector 1 '())) (let ((e-3 (car arg-9))) (let ((e-4 (cdr arg-9))) (let ((eff-0 (CompilerC-45LambdaLift-liftExp arg-0 arg-7 arg-1 '() e-3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CompilerC-45LambdaLift-n--8761-4309-u--traverseArgs arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-4))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (cons e-5 e-6))))) eff-2))))))))) eff-1))))))))))))
(define CompilerC-45LambdaLift-n--8288-3389-u--mkName (lambda (arg-0 arg-1 arg-2) (case (vector-ref arg-1 0) ((0) (let ((e-0 (vector-ref arg-1 1))) (let ((e-1 (vector-ref arg-1 2))) (vector 0 e-0 (CompilerC-45LambdaLift-n--8288-3389-u--mkName arg-0 e-1 arg-2))))) ((1) (let ((e-2 (vector-ref arg-1 1))) (vector 2 (CoreC-45Name-displayUserName e-2) arg-2))) ((4) (let ((e-4 (vector-ref arg-1 2))) (CompilerC-45LambdaLift-n--8288-3389-u--mkName arg-0 e-4 arg-2))) ((6) (let ((e-5 (vector-ref arg-1 1))) (let ((e-6 (vector-ref arg-1 2))) (vector 2 (string-append "case block in " (string-append e-5 (string-append " (" (string-append (PreludeC-45Show-u--show_Show_Int e-6) ")")))) arg-2)))) ((7) (let ((e-7 (vector-ref arg-1 1))) (let ((e-8 (vector-ref arg-1 2))) (vector 2 (string-append "with block in " (string-append e-7 (string-append " (" (string-append (PreludeC-45Show-u--show_Show_Int e-8) ")")))) arg-2))))(else (vector 2 (CoreC-45Name-u--show_Show_Name arg-1) arg-2)))))
(define CompilerC-45LambdaLift-n--8761-4557-u--liftConstAlt (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9) (let ((e-1 (car arg-9))) (let ((e-2 (cdr arg-9))) (let ((eff-0 (CompilerC-45LambdaLift-liftExp arg-0 arg-7 arg-1 arg-2 e-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (cons e-1 e-5))))) eff-1)))))))))))
(define CompilerC-45LambdaLift-n--8761-4495-u--liftConAlt (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9) (let ((e-1 (vector-ref arg-9 0))) (let ((e-2 (vector-ref arg-9 1))) (let ((e-3 (vector-ref arg-9 2))) (let ((e-4 (vector-ref arg-9 3))) (let ((e-5 (vector-ref arg-9 4))) (let ((eff-0 (CompilerC-45LambdaLift-liftExp (PreludeC-45TypesC-45List-tailRecAppend e-4 arg-0) arg-7 arg-1 arg-2 e-5))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector e-1 e-2 e-3 e-4 e-6))))) eff-1))))))))))))))
(define CompilerC-45LambdaLift-n--8609-3694-u--finIdx (lambda (arg-1 arg-2 arg-3 arg-5 arg-6) (let ((e-2 (cdr arg-5))) (cond ((equal? arg-6 0) 0)(else (let ((e-3 (- arg-6 1))) (+ (CompilerC-45LambdaLift-n--8609-3694-u--finIdx arg-1 arg-2 arg-3 e-2 e-3) 1)))))))
(define CompilerC-45LambdaLift-n--8827-5324-u--dropConstCase (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8) (let ((e-1 (car arg-8))) (let ((e-2 (cdr arg-8))) (cons e-1 (CompilerC-45LambdaLift-dropUnused arg-2 arg-0 arg-1 arg-7 e-2))))))
(define CompilerC-45LambdaLift-n--8827-5250-u--dropConCase (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8) (let ((e-1 (vector-ref arg-8 0))) (let ((e-2 (vector-ref arg-8 1))) (let ((e-3 (vector-ref arg-8 2))) (let ((e-4 (vector-ref arg-8 3))) (let ((e-5 (vector-ref arg-8 4))) (let ((u--scC-39 e-5)) (let ((u--droppedSc (CompilerC-45LambdaLift-dropUnused arg-2 arg-0 (PreludeC-45TypesC-45List-tailRecAppend e-4 arg-1) arg-7 u--scC-39))) (vector e-1 e-2 e-3 e-4 u--droppedSc))))))))))
(define CompilerC-45LambdaLift-n--8732-3930-u--allVars (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9) (((csegen-25) (lambda (lamc-0) (let ((eff-0 lamc-0)) (vector 0 eff-0 arg-7)))) (CompilerC-45LambdaLift-n--8732-3929-u--allPrfs arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-8 arg-9))))
(define CompilerC-45LambdaLift-n--8732-3929-u--allPrfs (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8) (if (null? arg-7) '() (let ((e-3 (cdr arg-7))) (let ((e-6 (car arg-8))) (let ((e-7 (cdr arg-8))) (cond ((equal? e-6 0) (cons 0 ((csegen-1005) (CompilerC-45LambdaLift-n--8732-3929-u--allPrfs arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-3 e-7)))) (else ((csegen-1005) (CompilerC-45LambdaLift-n--8732-3929-u--allPrfs arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-3 e-7))))))))))
(define CompilerC-45LambdaLift-u--show_Show_LiftedDef (lambda (arg-0) (case (vector-ref arg-0 0) ((0) (let ((e-0 (vector-ref arg-0 1))) (let ((e-1 (vector-ref arg-0 2))) (let ((e-2 (vector-ref arg-0 3))) (string-append (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-100) e-0) (string-append (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-100) (PreludeC-45TypesC-45List-reverse e-1)) (string-append ": " (CompilerC-45LambdaLift-u--show_Show_C-40LiftedC-32C-36vsC-41 (PreludeC-45TypesC-45List-tailRecAppend e-1 e-0) e-2)))))))) ((1) (let ((e-3 (vector-ref arg-0 1))) (let ((e-4 (vector-ref arg-0 2))) (let ((e-5 (vector-ref arg-0 3))) (string-append "Constructor tag " (string-append (PreludeC-45Show-u--show_Show_C-40MaybeC-32C-36aC-41 (csegen-583) e-3) (string-append " arity " (string-append (PreludeC-45Show-u--show_Show_Nat e-4) (PreludeC-45Types-maybe (lambda () "") (lambda () (csegen-1513)) e-5))))))))) ((2) (let ((e-6 (vector-ref arg-0 1))) (let ((e-7 (vector-ref arg-0 2))) (let ((e-8 (vector-ref arg-0 3))) (string-append "Foreign call " (string-append (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-581) e-6) (string-append " " (string-append (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-1515) e-7) (string-append " -> " (CoreC-45CompileExpr-u--show_Show_CFType e-8)))))))))) (else (let ((e-9 (vector-ref arg-0 1))) (string-append "Error: " (CompilerC-45LambdaLift-u--show_Show_C-40LiftedC-32C-36vsC-41 '() e-9)))))))
(define CompilerC-45LambdaLift-u--show_Show_C-40LiftedConstAltC-32C-36vsC-41 (lambda (arg-0 arg-1) (let ((e-1 (car arg-1))) (let ((e-2 (cdr arg-1))) (string-append "%constalt(" (string-append (CoreC-45TT-u--show_Show_Constant e-1) (string-append ") => " (CompilerC-45LambdaLift-u--show_Show_C-40LiftedC-32C-36vsC-41 arg-0 e-2))))))))
(define CompilerC-45LambdaLift-u--show_Show_C-40LiftedConAltC-32C-36vsC-41 (lambda (arg-0 arg-1) (let ((e-1 (vector-ref arg-1 0))) (let ((e-4 (vector-ref arg-1 3))) (let ((e-5 (vector-ref arg-1 4))) (string-append "%conalt " (string-append (CoreC-45Name-u--show_Show_Name e-1) (string-append "(" (string-append (CoreC-45NameC-45Namespace-showSep ", " ((csegen-102) e-4)) (string-append ") => " (CompilerC-45LambdaLift-u--show_Show_C-40LiftedC-32C-36vsC-41 (PreludeC-45TypesC-45List-tailRecAppend e-4 arg-0) e-5)))))))))))
(define CompilerC-45LambdaLift-u--show_Show_C-40LiftedC-32C-36vsC-41 (lambda (arg-0 arg-1) (case (vector-ref arg-1 0) ((0) (let ((e-2 (vector-ref arg-1 1))) (string-append "!" (CoreC-45Name-u--show_Show_Name (CoreC-45TT-nameAt arg-0 e-2))))) ((1) (let ((e-7 (vector-ref arg-1 2))) (let ((e-8 (vector-ref arg-1 3))) (let ((e-9 (vector-ref arg-1 4))) (string-append (CoreC-45Name-u--show_Show_Name e-8) (string-append (CompilerC-45LambdaLift-showLazy e-7) (string-append "(" (string-append (CoreC-45NameC-45Namespace-showSep ", " (((csegen-25) (lambda (eta-0) (CompilerC-45LambdaLift-u--show_Show_C-40LiftedC-32C-36vsC-41 arg-0 eta-0))) e-9)) ")")))))))) ((2) (let ((e-12 (vector-ref arg-1 2))) (let ((e-13 (vector-ref arg-1 3))) (let ((e-14 (vector-ref arg-1 4))) (string-append "<" (string-append (CoreC-45Name-u--show_Show_Name e-12) (string-append " underapp " (string-append (PreludeC-45Show-u--show_Show_Nat e-13) (string-append ">(" (string-append (CoreC-45NameC-45Namespace-showSep ", " (((csegen-25) (lambda (eta-0) (CompilerC-45LambdaLift-u--show_Show_C-40LiftedC-32C-36vsC-41 arg-0 eta-0))) e-14)) ")")))))))))) ((3) (let ((e-17 (vector-ref arg-1 2))) (let ((e-18 (vector-ref arg-1 3))) (let ((e-19 (vector-ref arg-1 4))) (string-append (CompilerC-45LambdaLift-u--show_Show_C-40LiftedC-32C-36vsC-41 arg-0 e-18) (string-append (CompilerC-45LambdaLift-showLazy e-17) (string-append " @ (" (string-append (CompilerC-45LambdaLift-u--show_Show_C-40LiftedC-32C-36vsC-41 arg-0 e-19) ")")))))))) ((4) (let ((e-22 (vector-ref arg-1 2))) (let ((e-23 (vector-ref arg-1 3))) (let ((e-24 (vector-ref arg-1 4))) (string-append "%let " (string-append (CoreC-45Name-u--show_Show_Name e-22) (string-append " = " (string-append (CompilerC-45LambdaLift-u--show_Show_C-40LiftedC-32C-36vsC-41 arg-0 e-23) (string-append " in " (CompilerC-45LambdaLift-u--show_Show_C-40LiftedC-32C-36vsC-41 (cons e-22 arg-0) e-24)))))))))) ((5) (let ((e-27 (vector-ref arg-1 2))) (let ((e-30 (vector-ref arg-1 5))) (string-append "%con " (string-append (CoreC-45Name-u--show_Show_Name e-27) (string-append "(" (string-append (CoreC-45NameC-45Namespace-showSep ", " (((csegen-25) (lambda (eta-0) (CompilerC-45LambdaLift-u--show_Show_C-40LiftedC-32C-36vsC-41 arg-0 eta-0))) e-30)) ")"))))))) ((6) (let ((e-34 (vector-ref arg-1 3))) (let ((e-35 (vector-ref arg-1 4))) (let ((e-36 (vector-ref arg-1 5))) (string-append "%op " (string-append (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 e-35) (string-append (CompilerC-45LambdaLift-showLazy e-34) (string-append "(" (string-append (CoreC-45NameC-45Namespace-showSep ", " (DataC-45Vect-u--toList_Foldable_C-40VectC-32C-36nC-41 (DataC-45Vect-u--map_Functor_C-40VectC-32C-36nC-41 (lambda (eta-0) (CompilerC-45LambdaLift-u--show_Show_C-40LiftedC-32C-36vsC-41 arg-0 eta-0)) e-36))) ")"))))))))) ((7) (let ((e-39 (vector-ref arg-1 2))) (let ((e-40 (vector-ref arg-1 3))) (let ((e-41 (vector-ref arg-1 4))) (string-append "%extprim " (string-append (CoreC-45Name-u--show_Show_Name e-40) (string-append (CompilerC-45LambdaLift-showLazy e-39) (string-append "(" (string-append (CoreC-45NameC-45Namespace-showSep ", " (((csegen-25) (lambda (eta-0) (CompilerC-45LambdaLift-u--show_Show_C-40LiftedC-32C-36vsC-41 arg-0 eta-0))) e-41)) ")"))))))))) ((8) (let ((e-44 (vector-ref arg-1 2))) (let ((e-45 (vector-ref arg-1 3))) (let ((e-46 (vector-ref arg-1 4))) (string-append "%case " (string-append (CompilerC-45LambdaLift-u--show_Show_C-40LiftedC-32C-36vsC-41 arg-0 e-44) (string-append " of { " (string-append (CoreC-45NameC-45Namespace-showSep "| " (((csegen-25) (lambda (eta-0) (CompilerC-45LambdaLift-u--show_Show_C-40LiftedConAltC-32C-36vsC-41 arg-0 eta-0))) e-45)) (string-append " " (PreludeC-45Show-u--show_Show_C-40MaybeC-32C-36aC-41 (cons (lambda (u--x) (CompilerC-45LambdaLift-u--show_Show_C-40LiftedC-32C-36vsC-41 arg-0 u--x)) (lambda (u--d) (lambda (u--x) (CompilerC-45LambdaLift-u--showPrec_Show_C-40LiftedC-32C-36vsC-41 arg-0 u--d u--x)))) e-46)))))))))) ((9) (let ((e-49 (vector-ref arg-1 2))) (let ((e-50 (vector-ref arg-1 3))) (let ((e-51 (vector-ref arg-1 4))) (string-append "%case " (string-append (CompilerC-45LambdaLift-u--show_Show_C-40LiftedC-32C-36vsC-41 arg-0 e-49) (string-append " of { " (string-append (CoreC-45NameC-45Namespace-showSep "| " (((csegen-25) (lambda (eta-0) (CompilerC-45LambdaLift-u--show_Show_C-40LiftedConstAltC-32C-36vsC-41 arg-0 eta-0))) e-50)) (string-append " " (PreludeC-45Show-u--show_Show_C-40MaybeC-32C-36aC-41 (cons (lambda (u--x) (CompilerC-45LambdaLift-u--show_Show_C-40LiftedC-32C-36vsC-41 arg-0 u--x)) (lambda (u--d) (lambda (u--x) (CompilerC-45LambdaLift-u--showPrec_Show_C-40LiftedC-32C-36vsC-41 arg-0 u--d u--x)))) e-51)))))))))) ((10) (let ((e-54 (vector-ref arg-1 2))) (CoreC-45TT-u--show_Show_Constant e-54))) ((11) "___") (else (let ((e-59 (vector-ref arg-1 2))) (string-append "%CRASH(" (string-append (PreludeC-45Show-u--show_Show_String e-59) ")")))))))
(define CompilerC-45LambdaLift-u--showPrec_Show_LiftedDef (lambda (arg-0 arg-1) (CompilerC-45LambdaLift-u--show_Show_LiftedDef arg-1)))
(define CompilerC-45LambdaLift-u--showPrec_Show_C-40LiftedC-32C-36vsC-41 (lambda (arg-0 arg-1 arg-2) (CompilerC-45LambdaLift-u--show_Show_C-40LiftedC-32C-36vsC-41 arg-0 arg-2)))
(define CompilerC-45LambdaLift-weakenUsed (lambda (arg-1 arg-2) (let ((eff-0 arg-2)) (DataC-45Vect-C-43C-43 (DataC-45Vect-replicate (PreludeC-45TypesC-45List-lengthTR arg-1) 0) eff-0))))
(define CompilerC-45LambdaLift-usedVars (lambda (arg-0 arg-1 arg-2 arg-3) (case (vector-ref arg-3 0) ((0) (let ((e-2 (vector-ref arg-3 1))) (CompilerC-45LambdaLift-markUsed arg-0 e-2 arg-2))) ((1) (let ((e-9 (vector-ref arg-3 4))) (PreludeC-45Types-u--foldl_Foldable_List (lambda (eta-0) (lambda (eta-1) (CompilerC-45LambdaLift-usedVars arg-0 arg-1 eta-0 eta-1))) arg-2 e-9))) ((2) (let ((e-14 (vector-ref arg-3 4))) (PreludeC-45Types-u--foldl_Foldable_List (lambda (eta-0) (lambda (eta-1) (CompilerC-45LambdaLift-usedVars arg-0 arg-1 eta-0 eta-1))) arg-2 e-14))) ((3) (let ((e-18 (vector-ref arg-3 3))) (let ((e-19 (vector-ref arg-3 4))) (CompilerC-45LambdaLift-usedVars arg-0 arg-1 (CompilerC-45LambdaLift-usedVars arg-0 arg-1 arg-2 e-19) e-18)))) ((4) (let ((e-22 (vector-ref arg-3 2))) (let ((e-23 (vector-ref arg-3 3))) (let ((e-24 (vector-ref arg-3 4))) (let ((u--innerUsed (CompilerC-45LambdaLift-contractUsed (CompilerC-45LambdaLift-usedVars (PreludeC-45TypesC-45List-tailRecAppend (cons e-22 '()) arg-0) arg-1 (CompilerC-45LambdaLift-weakenUsed (cons e-22 '()) arg-2) e-24)))) (CompilerC-45LambdaLift-usedVars (PreludeC-45TypesC-45List-tailRecAppend '() arg-0) arg-1 u--innerUsed e-23)))))) ((5) (let ((e-30 (vector-ref arg-3 5))) (PreludeC-45Types-u--foldl_Foldable_List (lambda (eta-0) (lambda (eta-1) (CompilerC-45LambdaLift-usedVars arg-0 arg-1 eta-0 eta-1))) arg-2 e-30))) ((6) (let ((e-36 (vector-ref arg-3 5))) (DataC-45Vect-u--foldl_Foldable_C-40VectC-32C-36nC-41 (lambda (eta-0) (lambda (eta-1) (CompilerC-45LambdaLift-usedVars arg-0 arg-1 eta-0 eta-1))) arg-2 e-36))) ((7) (let ((e-41 (vector-ref arg-3 4))) (PreludeC-45Types-u--foldl_Foldable_List (lambda (eta-0) (lambda (eta-1) (CompilerC-45LambdaLift-usedVars arg-0 arg-1 eta-0 eta-1))) arg-2 e-41))) ((8) (let ((e-43 (vector-ref arg-3 1))) (let ((e-44 (vector-ref arg-3 2))) (let ((e-45 (vector-ref arg-3 3))) (let ((e-46 (vector-ref arg-3 4))) (let ((u--defUsed (PreludeC-45Types-maybe (lambda () arg-2) (lambda () (lambda (eta-0) (CompilerC-45LambdaLift-usedVars arg-0 arg-1 arg-2 eta-0))) e-46))) (let ((u--scDefUsed (CompilerC-45LambdaLift-usedVars arg-0 arg-1 u--defUsed e-44))) (PreludeC-45Types-u--foldl_Foldable_List (lambda (eta-0) (lambda (eta-1) (CompilerC-45LambdaLift-n--8782-4749-u--usedConAlt arg-0 e-46 e-45 e-44 e-43 arg-2 arg-1 '() eta-0 eta-1))) u--scDefUsed e-45)))))))) ((9) (let ((e-48 (vector-ref arg-3 1))) (let ((e-49 (vector-ref arg-3 2))) (let ((e-50 (vector-ref arg-3 3))) (let ((e-51 (vector-ref arg-3 4))) (let ((u--defUsed (PreludeC-45Types-maybe (lambda () arg-2) (lambda () (lambda (eta-0) (CompilerC-45LambdaLift-usedVars arg-0 arg-1 arg-2 eta-0))) e-51))) (let ((u--scDefUsed (CompilerC-45LambdaLift-usedVars arg-0 arg-1 u--defUsed e-49))) (PreludeC-45Types-u--foldl_Foldable_List (lambda (eta-0) (lambda (eta-1) (CompilerC-45LambdaLift-n--8782-4796-u--usedConstAlt arg-0 e-51 e-50 e-49 e-48 arg-2 arg-1 '() eta-0 eta-1))) u--scDefUsed e-50)))))))) ((10) arg-2) ((11) arg-2) (else arg-2))))
(define CompilerC-45LambdaLift-unload (lambda (arg-1 arg-2 arg-3 arg-4) (if (null? arg-4) (lambda (eta-0) (vector 1 arg-3)) (let ((e-2 (car arg-4))) (let ((e-3 (cdr arg-4))) (CompilerC-45LambdaLift-unload arg-1 '() (vector 3 arg-1 arg-2 arg-3 e-2) e-3))))))
(define CompilerC-45LambdaLift-showLazy (lambda (ext-0) (PreludeC-45Types-maybe (lambda () "") (lambda () (csegen-2178)) ext-0)))
(define CompilerC-45LambdaLift-markUsed (lambda (arg-1 arg-2 arg-4) (let ((eff-0 arg-4)) (let ((u--newUsed (DataC-45Vect-replaceAt (CompilerC-45LambdaLift-n--8609-3694-u--finIdx arg-1 eff-0 arg-2 arg-1 arg-2) 1 eff-0))) u--newUsed))))
(define CompilerC-45LambdaLift-makeLam (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (case (vector-ref arg-6 0) ((2) (let ((e-2 (vector-ref arg-6 2))) (let ((e-3 (vector-ref arg-6 3))) (CompilerC-45LambdaLift-makeLam arg-0 arg-1 arg-2 arg-3 arg-4 (cons e-2 arg-5) e-3))))(else (let ((eff-0 (CompilerC-45LambdaLift-liftExp (PreludeC-45TypesC-45List-tailRecAppend arg-5 arg-1) arg-0 arg-2 arg-3 arg-6))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--scUsedL (CompilerC-45LambdaLift-usedVars (PreludeC-45TypesC-45List-tailRecAppend arg-5 arg-1) arg-0 (CompilerC-45LambdaLift-initUsed (PreludeC-45TypesC-45List-tailRecAppend arg-5 arg-1)) e-5))) (let ((u--unusedContracted (CompilerC-45LambdaLift-contractUsedMany arg-5 u--scUsedL))) (let ((u--unused (CompilerC-45LambdaLift-getUnused u--unusedContracted))) (let ((u--sclC-39 (CompilerC-45LambdaLift-dropUnused arg-1 arg-0 arg-5 u--unused e-5))) (let ((eff-1 (CompilerC-45LambdaLift-genName arg-0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (let ((eff-2 (let ((eff-2 arg-0)) (PrimIO-io_bind (let ((eff-3 eff-2)) (lambda (eta-0) (unbox eff-3))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 arg-0)) (PrimIO-io_bind (let ((eff-4 eff-3)) (lambda (eta-0) (set-box! eff-4 (let ((e-0 (vector-ref e-7 0))) (let ((e-1 (vector-ref e-7 1))) (let ((e-2 (vector-ref e-7 2))) (vector e-0 (cons (cons e-6 (vector 0 (CompilerC-45LambdaLift-dropped arg-1 u--unused) arg-5 u--sclC-39)) e-1) e-2))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-3))))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (lambda (eta-0) (vector 1 (vector 2 arg-4 e-6 (PreludeC-45TypesC-45List-lengthTR arg-5) (CompilerC-45LambdaLift-n--8732-3930-u--allVars arg-2 arg-3 arg-5 arg-1 arg-6 arg-4 arg-0 arg-4 arg-1 u--unused)))))) eff-3)))))))) eff-2))))))))))))) eff-1)))))))))))
(define CompilerC-45LambdaLift-liftExp (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (case (vector-ref arg-4 0) ((0) (let ((e-2 (vector-ref arg-4 1))) (let ((e-3 (vector-ref arg-4 2))) (lambda (eta-0) (vector 1 (vector 0 e-2 e-3)))))) ((1) (let ((e-6 (vector-ref arg-4 1))) (let ((e-7 (vector-ref arg-4 2))) (lambda (eta-0) (vector 1 (vector 1 e-6 arg-3 e-7 '())))))) ((2) (let ((e-9 (vector-ref arg-4 1))) (let ((e-10 (vector-ref arg-4 2))) (let ((e-11 (vector-ref arg-4 3))) (CompilerC-45LambdaLift-makeLam arg-1 arg-0 arg-2 arg-3 e-9 (cons e-10 '()) e-11))))) ((3) (let ((e-13 (vector-ref arg-4 1))) (let ((e-14 (vector-ref arg-4 2))) (let ((e-16 (vector-ref arg-4 4))) (let ((e-17 (vector-ref arg-4 5))) (let ((eff-0 (CompilerC-45LambdaLift-liftExp arg-0 arg-1 arg-2 '() e-16))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CompilerC-45LambdaLift-liftExp (cons e-14 arg-0) arg-1 arg-2 '() e-17))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 4 e-13 e-14 e-5 e-6))))) eff-2))))))))) eff-1)))))))))))) ((4) (let ((e-19 (vector-ref arg-4 1))) (let ((e-20 (vector-ref arg-4 2))) (let ((e-21 (vector-ref arg-4 3))) (case (vector-ref e-20 0) ((1) (let ((e-65 (vector-ref e-20 2))) (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45LambdaLift-liftExp arg-0 arg-1 arg-2 '() eta-0)) e-21 '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 1 e-19 arg-3 e-65 e-5))))) eff-1)))))))))(else (let ((eff-0 (CompilerC-45LambdaLift-liftExp arg-0 arg-1 arg-2 '() e-20))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45LambdaLift-liftExp arg-0 arg-1 arg-2 '() eta-0)) e-21 '()))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CompilerC-45LambdaLift-unload e-19 arg-3 e-5 e-6))) eff-2))))))))) eff-1))))))))))))) ((5) (let ((e-23 (vector-ref arg-4 1))) (let ((e-24 (vector-ref arg-4 2))) (let ((e-25 (vector-ref arg-4 3))) (let ((e-26 (vector-ref arg-4 4))) (let ((e-27 (vector-ref arg-4 5))) (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45LambdaLift-liftExp arg-0 arg-1 arg-2 '() eta-0)) e-27 '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 5 e-23 e-24 e-25 e-26 e-5))))) eff-1))))))))))))) ((6) (let ((e-29 (vector-ref arg-4 1))) (let ((e-30 (vector-ref arg-4 2))) (let ((e-31 (vector-ref arg-4 3))) (let ((e-32 (vector-ref arg-4 4))) (let ((eff-0 (CompilerC-45LambdaLift-n--8761-4309-u--traverseArgs arg-0 arg-2 arg-3 e-29 e-32 e-31 e-30 arg-1 e-32))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 6 e-29 e-30 arg-3 e-31 e-5))))) eff-1)))))))))))) ((7) (let ((e-34 (vector-ref arg-4 1))) (let ((e-35 (vector-ref arg-4 2))) (let ((e-36 (vector-ref arg-4 3))) (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45LambdaLift-liftExp arg-0 arg-1 arg-2 '() eta-0)) e-36 '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 7 e-34 arg-3 e-35 e-5))))) eff-1))))))))))) ((8) (let ((e-38 (vector-ref arg-4 1))) (let ((e-40 (vector-ref arg-4 3))) (cond ((equal? arg-2 1) (CompilerC-45LambdaLift-liftExp arg-0 arg-1 arg-2 '() e-40)) (else (CompilerC-45LambdaLift-liftExp arg-0 arg-1 arg-2 '() (vector 4 e-38 e-40 (cons (vector 13 e-38) '())))))))) ((9) (let ((e-42 (vector-ref arg-4 1))) (let ((e-43 (vector-ref arg-4 2))) (let ((e-44 (vector-ref arg-4 3))) (cond ((equal? arg-2 1) (CompilerC-45LambdaLift-liftExp arg-0 arg-1 arg-2 (box e-43) e-44)) (else (CompilerC-45LambdaLift-liftExp arg-0 arg-1 arg-2 '() (vector 2 e-42 (vector 2 "act" 0) (CoreC-45CompileExpr-u--weaken_Weaken_CExp e-44))))))))) ((10) (let ((e-46 (vector-ref arg-4 1))) (let ((e-47 (vector-ref arg-4 2))) (let ((e-48 (vector-ref arg-4 3))) (let ((e-49 (vector-ref arg-4 4))) (let ((eff-0 (CompilerC-45LambdaLift-liftExp arg-0 arg-1 arg-2 '() e-47))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45LambdaLift-n--8761-4495-u--liftConAlt arg-0 arg-2 arg-3 e-49 e-48 e-47 e-46 arg-1 arg-3 eta-0)) e-48 '()))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (if (null? e-49) (lambda (eta-0) (vector 1 '())) (let ((e-2 (unbox e-49))) (let ((eff-2 (CompilerC-45LambdaLift-liftExp arg-0 arg-1 arg-2 '() e-2))) (((csegen-50) ((let ((eff-3 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-3 (vector-ref eta-3 1))) (vector 0 e-3))) (else (let ((e-7 (vector-ref eta-3 1))) (vector 1 (eta-2 e-7))))))))))) (lambda (arg-5) (lambda (arg-6) ((((eff-3 'erased) 'erased) arg-5) arg-6)))) (lambda (eta-0) (box eta-0)))) eff-2)))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (vector 8 e-46 e-5 e-6 e-7))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))) ((11) (let ((e-51 (vector-ref arg-4 1))) (let ((e-52 (vector-ref arg-4 2))) (let ((e-53 (vector-ref arg-4 3))) (let ((e-54 (vector-ref arg-4 4))) (let ((eff-0 (CompilerC-45LambdaLift-liftExp arg-0 arg-1 arg-2 '() e-52))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45LambdaLift-n--8761-4557-u--liftConstAlt arg-0 arg-2 arg-3 e-54 e-53 e-52 e-51 arg-1 '() eta-0)) e-53 '()))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (if (null? e-54) (lambda (eta-0) (vector 1 '())) (let ((e-2 (unbox e-54))) (let ((eff-2 (CompilerC-45LambdaLift-liftExp arg-0 arg-1 arg-2 '() e-2))) (((csegen-50) ((let ((eff-3 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-3 (vector-ref eta-3 1))) (vector 0 e-3))) (else (let ((e-7 (vector-ref eta-3 1))) (vector 1 (eta-2 e-7))))))))))) (lambda (arg-5) (lambda (arg-6) ((((eff-3 'erased) 'erased) arg-5) arg-6)))) (lambda (eta-0) (box eta-0)))) eff-2)))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (vector 9 e-51 e-5 e-6 e-7))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))) ((12) (let ((e-56 (vector-ref arg-4 1))) (let ((e-57 (vector-ref arg-4 2))) (lambda (eta-0) (vector 1 (vector 10 e-56 e-57)))))) ((13) (let ((e-59 (vector-ref arg-4 1))) (lambda (eta-0) (vector 1 (vector 11 e-59))))) (else (let ((e-61 (vector-ref arg-4 1))) (let ((e-62 (vector-ref arg-4 2))) (lambda (eta-0) (vector 1 (vector 12 e-61 e-62)))))))))
(define CompilerC-45LambdaLift-liftBody (lambda (arg-0 arg-1 arg-2 arg-3) (let ((eff-0 (CoreC-45Core-newRef (vector "Compiler.LambdaLift.Lifts" ) (vector arg-2 '() 0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CompilerC-45LambdaLift-liftExp arg-0 e-5 arg-1 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (let ((eff-2 e-5)) (PrimIO-io_bind (let ((eff-3 eff-2)) (lambda (eta-0) (unbox eff-3))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (cons e-6 (let ((e-1 (vector-ref e-7 1))) e-1)))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))
(define CompilerC-45LambdaLift-lambdaLiftDef (lambda (arg-0 arg-1 arg-2) (case (vector-ref arg-2 0) ((0) (let ((e-0 (vector-ref arg-2 1))) (let ((e-1 (vector-ref arg-2 2))) (let ((eff-0 (CompilerC-45LambdaLift-liftBody e-0 arg-0 arg-1 e-1))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (clam-0) (let ((e-2 (car e-5))) (let ((e-3 (cdr e-5))) (vector 1 (cons (cons arg-1 (vector 0 e-0 '() e-2)) e-3))))))) eff-1)))))))))) ((1) (let ((e-2 (vector-ref arg-2 1))) (let ((e-3 (vector-ref arg-2 2))) (let ((e-4 (vector-ref arg-2 3))) (lambda (eta-0) (vector 1 (cons (cons arg-1 (vector 1 e-2 e-3 e-4)) '()))))))) ((2) (let ((e-5 (vector-ref arg-2 1))) (let ((e-6 (vector-ref arg-2 2))) (let ((e-7 (vector-ref arg-2 3))) (lambda (eta-0) (vector 1 (cons (cons arg-1 (vector 2 e-5 e-6 e-7)) '()))))))) (else (let ((e-8 (vector-ref arg-2 1))) (let ((eff-0 (CompilerC-45LambdaLift-liftBody '() arg-0 arg-1 e-8))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (clam-1) (let ((e-2 (car e-5))) (let ((e-3 (cdr e-5))) (vector 1 (cons (cons arg-1 (vector 3 e-2)) e-3))))))) eff-1))))))))))))
(define CompilerC-45LambdaLift-lambdaLift (lambda (arg-0 arg-1 arg-2) (let ((e-2 (car arg-2))) (let ((e-3 (cdr arg-2))) (let ((e-7 (cdr e-3))) (CompilerC-45LambdaLift-lambdaLiftDef arg-1 e-2 e-7))))))
(define CompilerC-45LambdaLift-initUsed (lambda (arg-0) (DataC-45Vect-replicate (PreludeC-45TypesC-45List-lengthTR arg-0) 0)))
(define CompilerC-45LambdaLift-getUnused (lambda (arg-1) (let ((eff-0 arg-1)) (DataC-45Vect-u--map_Functor_C-40VectC-32C-36nC-41 (csegen-2180) eff-0))))
(define CompilerC-45LambdaLift-genName (lambda (arg-0) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--i (let ((e-2 (vector-ref e-5 2))) e-2))) (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (let ((e-0 (vector-ref e-5 0))) (let ((e-1 (vector-ref e-5 1))) (vector e-0 e-1 (bs+ u--i 1 63))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (lambda (eta-0) (vector 1 (CompilerC-45LambdaLift-n--8288-3389-u--mkName arg-0 (let ((e-0 (vector-ref e-5 0))) e-0) u--i))))) eff-2))))))))) eff-1)))))))))
(define CompilerC-45LambdaLift-dropped (lambda (arg-0 arg-1) (if (null? arg-0) '() (let ((e-2 (car arg-0))) (let ((e-3 (cdr arg-0))) (let ((e-6 (car arg-1))) (let ((e-7 (cdr arg-1))) (cond ((equal? e-6 0) (cons e-2 (CompilerC-45LambdaLift-dropped e-3 e-7))) (else (CompilerC-45LambdaLift-dropped e-3 e-7))))))))))
(define CompilerC-45LambdaLift-dropUnused (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (case (vector-ref arg-4 0) ((10) (let ((e-1 (vector-ref arg-4 1))) (let ((e-2 (vector-ref arg-4 2))) (vector 10 e-1 e-2)))) ((11) (let ((e-4 (vector-ref arg-4 1))) (vector 11 e-4))) ((12) (let ((e-6 (vector-ref arg-4 1))) (let ((e-7 (vector-ref arg-4 2))) (vector 12 e-6 e-7)))) ((0) (let ((e-10 (vector-ref arg-4 1))) (let ((e-11 (vector-ref arg-4 2))) (let ((eff-0 (CompilerC-45LambdaLift-dropIdx arg-0 e-10 arg-2 arg-3))) (vector 0 eff-0 e-11))))) ((5) (let ((e-14 (vector-ref arg-4 1))) (let ((e-15 (vector-ref arg-4 2))) (let ((e-16 (vector-ref arg-4 3))) (let ((e-17 (vector-ref arg-4 4))) (let ((e-18 (vector-ref arg-4 5))) (let ((u--argsC-39 (((csegen-25) (lambda (eta-0) (CompilerC-45LambdaLift-dropUnused arg-0 arg-1 arg-2 arg-3 eta-0))) e-18))) (vector 5 e-14 e-15 e-16 e-17 u--argsC-39)))))))) ((4) (let ((e-20 (vector-ref arg-4 1))) (let ((e-21 (vector-ref arg-4 2))) (let ((e-22 (vector-ref arg-4 3))) (let ((e-23 (vector-ref arg-4 4))) (let ((u--valC-39 (CompilerC-45LambdaLift-dropUnused arg-0 arg-1 arg-2 arg-3 e-22))) (let ((u--scC-39 (CompilerC-45LambdaLift-dropUnused arg-0 arg-1 (cons e-21 arg-2) arg-3 e-23))) (vector 4 e-20 e-21 u--valC-39 u--scC-39)))))))) ((3) (let ((e-25 (vector-ref arg-4 1))) (let ((e-26 (vector-ref arg-4 2))) (let ((e-27 (vector-ref arg-4 3))) (let ((e-28 (vector-ref arg-4 4))) (let ((u--cC-39 (CompilerC-45LambdaLift-dropUnused arg-0 arg-1 arg-2 arg-3 e-27))) (let ((u--argC-39 (CompilerC-45LambdaLift-dropUnused arg-0 arg-1 arg-2 arg-3 e-28))) (vector 3 e-25 e-26 u--cC-39 u--argC-39)))))))) ((6) (let ((e-30 (vector-ref arg-4 1))) (let ((e-31 (vector-ref arg-4 2))) (let ((e-32 (vector-ref arg-4 3))) (let ((e-33 (vector-ref arg-4 4))) (let ((e-34 (vector-ref arg-4 5))) (let ((u--argsC-39 (DataC-45Vect-u--map_Functor_C-40VectC-32C-36nC-41 (lambda (eta-0) (CompilerC-45LambdaLift-dropUnused arg-0 arg-1 arg-2 arg-3 eta-0)) e-34))) (vector 6 e-30 e-31 e-32 e-33 u--argsC-39)))))))) ((7) (let ((e-36 (vector-ref arg-4 1))) (let ((e-37 (vector-ref arg-4 2))) (let ((e-38 (vector-ref arg-4 3))) (let ((e-39 (vector-ref arg-4 4))) (let ((u--argsC-39 (((csegen-25) (lambda (eta-0) (CompilerC-45LambdaLift-dropUnused arg-0 arg-1 arg-2 arg-3 eta-0))) e-39))) (vector 7 e-36 e-37 e-38 u--argsC-39))))))) ((1) (let ((e-41 (vector-ref arg-4 1))) (let ((e-42 (vector-ref arg-4 2))) (let ((e-43 (vector-ref arg-4 3))) (let ((e-44 (vector-ref arg-4 4))) (let ((u--argsC-39 (((csegen-25) (lambda (eta-0) (CompilerC-45LambdaLift-dropUnused arg-0 arg-1 arg-2 arg-3 eta-0))) e-44))) (vector 1 e-41 e-42 e-43 u--argsC-39))))))) ((2) (let ((e-46 (vector-ref arg-4 1))) (let ((e-47 (vector-ref arg-4 2))) (let ((e-48 (vector-ref arg-4 3))) (let ((e-49 (vector-ref arg-4 4))) (let ((u--argsC-39 (((csegen-25) (lambda (eta-0) (CompilerC-45LambdaLift-dropUnused arg-0 arg-1 arg-2 arg-3 eta-0))) e-49))) (vector 2 e-46 e-47 e-48 u--argsC-39))))))) ((8) (let ((e-51 (vector-ref arg-4 1))) (let ((e-52 (vector-ref arg-4 2))) (let ((e-53 (vector-ref arg-4 3))) (let ((e-54 (vector-ref arg-4 4))) (let ((u--altsC-39 (((csegen-25) (lambda (eta-0) (CompilerC-45LambdaLift-n--8827-5250-u--dropConCase arg-1 arg-2 arg-0 e-54 e-53 e-52 e-51 arg-3 eta-0))) e-53))) (vector 8 e-51 (CompilerC-45LambdaLift-dropUnused arg-0 arg-1 arg-2 arg-3 e-52) u--altsC-39 (((csegen-77) (lambda (eta-0) (CompilerC-45LambdaLift-dropUnused arg-0 arg-1 arg-2 arg-3 eta-0))) e-54)))))))) (else (let ((e-56 (vector-ref arg-4 1))) (let ((e-57 (vector-ref arg-4 2))) (let ((e-58 (vector-ref arg-4 3))) (let ((e-59 (vector-ref arg-4 4))) (let ((u--altsC-39 (((csegen-25) (lambda (eta-0) (CompilerC-45LambdaLift-n--8827-5324-u--dropConstCase arg-1 arg-2 arg-0 e-59 e-58 e-57 e-56 arg-3 eta-0))) e-58))) (vector 9 e-56 (CompilerC-45LambdaLift-dropUnused arg-0 arg-1 arg-2 arg-3 e-57) u--altsC-39 (((csegen-77) (lambda (eta-0) (CompilerC-45LambdaLift-dropUnused arg-0 arg-1 arg-2 arg-3 eta-0))) e-59)))))))))))
(define CompilerC-45LambdaLift-dropIdx (lambda (arg-1 arg-2 arg-3 arg-4) (if (null? arg-1) (cond ((equal? arg-2 0) 0)(else (let ((e-0 (- arg-2 1))) (let ((e-6 (cdr arg-3))) (CoreC-45TTC-45Var-later (CompilerC-45LambdaLift-dropIdx arg-1 e-0 e-6 arg-4)))))) (let ((e-9 (cdr arg-1))) (cond ((equal? arg-2 0) (if (null? arg-3) (if (null? arg-4) (cond ((equal? arg-2 0) 0)(else (let ((e-0 (- arg-2 1))) (let ((e-6 (cdr arg-3))) (CoreC-45TTC-45Var-later (CompilerC-45LambdaLift-dropIdx arg-1 e-0 e-6 arg-4)))))) (let ((e-14 (car arg-4))) (cond ((equal? e-14 0) 0) ((equal? e-14 1) (Builtin-idris_crash ((csegen-0) "INTERNAL ERROR: Referenced variable marked as unused")))(else (cond ((equal? arg-2 0) 0)(else (let ((e-0 (- arg-2 1))) (let ((e-6 (cdr arg-3))) (CoreC-45TTC-45Var-later (CompilerC-45LambdaLift-dropIdx arg-1 e-0 e-6 arg-4)))))))))) (cond ((equal? arg-2 0) 0)(else (let ((e-0 (- arg-2 1))) (let ((e-6 (cdr arg-3))) (CoreC-45TTC-45Var-later (CompilerC-45LambdaLift-dropIdx arg-1 e-0 e-6 arg-4))))))))(else (let ((e-10 (- arg-2 1))) (if (null? arg-3) (if (null? arg-4) (cond ((equal? arg-2 0) 0)(else (let ((e-0 (- arg-2 1))) (let ((e-6 (cdr arg-3))) (CoreC-45TTC-45Var-later (CompilerC-45LambdaLift-dropIdx arg-1 e-0 e-6 arg-4)))))) (let ((e-19 (car arg-4))) (let ((e-20 (cdr arg-4))) (cond ((equal? e-19 0) (CoreC-45TTC-45Var-later (CompilerC-45LambdaLift-dropIdx e-9 e-10 '() e-20))) ((equal? e-19 1) (CompilerC-45LambdaLift-dropIdx e-9 e-10 '() e-20))(else (cond ((equal? arg-2 0) 0)(else (let ((e-0 (- arg-2 1))) (let ((e-6 (cdr arg-3))) (CoreC-45TTC-45Var-later (CompilerC-45LambdaLift-dropIdx arg-1 e-0 e-6 arg-4))))))))))) (cond ((equal? arg-2 0) 0)(else (let ((e-0 (- arg-2 1))) (let ((e-6 (cdr arg-3))) (CoreC-45TTC-45Var-later (CompilerC-45LambdaLift-dropIdx arg-1 e-0 e-6 arg-4))))))))))))))
(define CompilerC-45LambdaLift-contractUsedMany (lambda (arg-1 arg-2) (if (null? arg-1) arg-2 (let ((e-3 (cdr arg-1))) (CompilerC-45LambdaLift-contractUsedMany e-3 (CompilerC-45LambdaLift-contractUsed arg-2))))))
(define CompilerC-45LambdaLift-contractUsed (lambda (arg-2) (let ((eff-0 arg-2)) (DataC-45Vect-tail eff-0))))
(define CompilerC-45OptsC-45CSE-case--caseC-32blockC-32inC-32analyze-7289 (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (if (null? arg-6) (lambda (eta-0) (vector 1 (cons arg-3 arg-4))) (let ((e-1 (unbox arg-6))) (let ((eff-0 (CompilerC-45OptsC-45CSE-store arg-1 arg-3 e-1))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (clam-0) (if (null? e-5) (vector 1 (cons arg-3 arg-4)) (let ((e-2 (unbox e-5))) (vector 1 (cons arg-3 (vector 1 (vector 2 ) e-2)))))))) eff-1)))))))))))
(define CompilerC-45OptsC-45CSE-n--11879-9592-u--toDef (lambda (arg-0 arg-1) (if (null? arg-1) '() (let ((e-2 (car arg-1))) (let ((e-3 (cdr arg-1))) (if (null? e-3) '() (let ((e-6 (car e-3))) (let ((e-7 (cdr e-3))) (case (vector-ref e-7 0) ((1) (box (cons e-2 (cons (vector 2 ) (vector 0 '() e-6)))))(else '()))))))))))
(define CompilerC-45OptsC-45CSE-u--show_Show_Count (lambda (arg-0) (case (vector-ref arg-0 0) ((0) "Once") ((1) "Many") (else (let ((e-0 (vector-ref arg-0 1))) (string-append "C " (PreludeC-45Show-u--show_Show_Integer e-0)))))))
(define CompilerC-45OptsC-45CSE-toReplaceMap (lambda (ext-0) (LibrariesC-45DataC-45SortedMap-fromList (csegen-1609) (((csegen-25) (lambda (lamc-0) (let ((e-2 (car lamc-0))) (let ((e-3 (cdr lamc-0))) (let ((e-7 (cdr e-2))) (let ((e-10 (car e-3))) (let ((e-11 (cdr e-3))) (cons e-10 (cons e-7 (vector 2 e-11)))))))))) (LibrariesC-45DataC-45SortedMap-toList ext-0)))))
(define CompilerC-45OptsC-45CSE-store (lambda (arg-0 arg-1 arg-2) (let ((sc0 (PreludeC-45EqOrd-u--C-60_Ord_Integer arg-1 5))) (cond ((equal? sc0 1) (lambda (eta-0) (vector 1 '()))) (else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((e-0 (car e-5))) (let ((e-1 (cdr e-5))) (let ((eff-1 (lambda (clam-0) (let ((sc3 (LibrariesC-45DataC-45SortedMap-lookup (cons arg-1 arg-2) e-0))) (if (null? sc3) (vector 1 (cons (vector 2 "csegen" e-1) (cons 1 (bs+ e-1 1 63)))) (let ((e-2 (unbox sc3))) (let ((e-7 (car e-2))) (let ((e-6 (cdr e-2))) (vector 1 (cons e-7 (cons (+ e-6 1) e-1))))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((e-2 (car e-6))) (let ((e-3 (cdr e-6))) (let ((e-8 (car e-3))) (let ((e-7 (cdr e-3))) (let ((eff-2 (let ((eff-2 arg-0)) (PrimIO-io_bind (let ((eff-3 eff-2)) (lambda (eta-0) (set-box! eff-3 (cons (LibrariesC-45DataC-45SortedMap-insert (cons arg-1 arg-2) (cons e-2 e-8) e-0) e-7)))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-3 (lambda (eta-0) (vector 1 (box e-2))))) eff-3)))))))))))) eff-2))))))))))) eff-1))))))))))))
(define CompilerC-45OptsC-45CSE-replaceRef (lambda (arg-1 arg-2 arg-3 arg-4 arg-5) (let ((eff-0 (CoreC-45ContextC-45Log-log arg-2 "compiler.cse" 10 (lambda () (string-append "Trying to replace " (string-append (CoreC-45Name-u--show_Show_Name arg-5) ": ")))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (let ((eff-1 (let ((eff-1 arg-1)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (unbox eff-2))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (((csegen-50) ((let ((eff-2 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-6 (vector-ref eta-3 1))) (vector 1 (eta-2 e-6))))))))))) (lambda (arg-0) (lambda (arg-6) ((((eff-2 'erased) 'erased) arg-0) arg-6)))) (lambda (eta-0) (LibrariesC-45DataC-45SortedMap-lookup arg-5 eta-0)))) eff-1)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-6) (let ((eff-2 (CoreC-45ContextC-45Log-log arg-2 (csegen-2183) 10 (lambda () ((csegen-0) "  not a name generated during CSE"))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (lambda (eta-0) (vector 1 (vector 1 arg-4 arg-5))))) eff-3)))))) (let ((e-2 (unbox e-6))) (let ((e-8 (car e-2))) (let ((e-7 (cdr e-2))) (case (vector-ref e-7 0) ((1) (let ((eff-2 (CoreC-45ContextC-45Log-log arg-2 (csegen-2183) 10 (lambda () ((csegen-0) "  already replaced: Occurs many times"))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-3 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-3 (lambda (eta-0) (vector 1 (vector 4 (vector 2 ) (vector 1 arg-4 arg-5) '()))))) eff-3))))))) ((0) (let ((eff-2 (CoreC-45ContextC-45Log-log arg-2 (csegen-2183) 10 (lambda () ((csegen-0) "  already replaced: Occurs once"))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-3 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-3 (lambda (eta-0) (vector 1 (CoreC-45CompileExpr-embed e-8))))) eff-3))))))) (else (let ((e-9 (vector-ref e-7 1))) (let ((eff-2 (CoreC-45ContextC-45Log-log arg-2 (csegen-2183) 10 (lambda () (string-append ((csegen-0) "  expression of unknown quantity (") (string-append (PreludeC-45Show-u--show_Show_Integer e-9) ((csegen-0) " occurences)"))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-3 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-3 (let ((eff-3 (CompilerC-45OptsC-45CSE-replaceExp arg-1 arg-2 e-9 e-8))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-3 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (let ((sc7 (PreludeC-45EqOrd-u--C-62_Ord_Integer e-9 arg-3))) (cond ((equal? sc7 1) (let ((eff-4 (CoreC-45ContextC-45Log-log arg-2 "compiler.cse" 10 (lambda () (string-append (CoreC-45Name-u--show_Show_Name arg-5) " assigned quantity \"Many\""))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-3 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-5 (let ((eff-5 (let ((eff-5 (let ((eff-5 arg-1)) (PrimIO-io_bind (let ((eff-6 eff-5)) (lambda (eta-0) (unbox eff-6))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-3 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-13 (vector-ref lcase-5 1))) (let ((eff-6 (let ((eff-6 arg-1)) (PrimIO-io_bind (let ((eff-7 eff-6)) (lambda (eta-0) (set-box! eff-7 (LibrariesC-45DataC-45SortedMap-insert arg-5 (cons e-11 (vector 1 )) e-13)))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-6))))))))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-3 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-6 (lambda (eta-0) (vector 1 (vector 4 (vector 2 ) (vector 1 arg-4 arg-5) '()))))) eff-6)))))))) eff-5))))))) (else (let ((eff-4 (CoreC-45ContextC-45Log-log arg-2 "compiler.cse" 10 (lambda () (string-append (CoreC-45Name-u--show_Show_Name arg-5) " assigned quantity \"Once\""))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-3 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-5 (let ((eff-5 (let ((eff-5 (let ((eff-5 arg-1)) (PrimIO-io_bind (let ((eff-6 eff-5)) (lambda (eta-0) (unbox eff-6))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-3 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-13 (vector-ref lcase-5 1))) (let ((eff-6 (let ((eff-6 arg-1)) (PrimIO-io_bind (let ((eff-7 eff-6)) (lambda (eta-0) (set-box! eff-7 (LibrariesC-45DataC-45SortedMap-insert arg-5 (cons e-11 (vector 0 )) e-13)))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-6))))))))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-3 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-6 (lambda (eta-0) (vector 1 (CoreC-45CompileExpr-embed e-11))))) eff-6)))))))) eff-5))))))))))) eff-4))))))))) eff-3))))))))))))))) eff-2))))))))) eff-1))))))))
(define CompilerC-45OptsC-45CSE-replaceExp (lambda (arg-1 arg-2 arg-3 arg-4) (case (vector-ref arg-4 0) ((0) (lambda (eta-0) (vector 1 arg-4))) ((1) (let ((e-6 (vector-ref arg-4 1))) (let ((e-7 (vector-ref arg-4 2))) (CompilerC-45OptsC-45CSE-replaceRef arg-1 arg-2 arg-3 e-6 e-7)))) ((2) (let ((e-9 (vector-ref arg-4 1))) (let ((e-10 (vector-ref arg-4 2))) (let ((e-11 (vector-ref arg-4 3))) (let ((eff-0 (CompilerC-45OptsC-45CSE-replaceExp arg-1 arg-2 arg-3 e-11))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-0) (lambda (arg-5) ((((eff-1 'erased) 'erased) arg-0) arg-5)))) (lambda (eta-0) (vector 2 e-9 e-10 eta-0)))) eff-0)))))) ((3) (let ((e-13 (vector-ref arg-4 1))) (let ((e-14 (vector-ref arg-4 2))) (let ((e-15 (vector-ref arg-4 3))) (let ((e-16 (vector-ref arg-4 4))) (let ((e-17 (vector-ref arg-4 5))) (CoreC-45Core-C-60C-42C-62 (let ((eff-0 (CompilerC-45OptsC-45CSE-replaceExp arg-1 arg-2 arg-3 e-16))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-0) (lambda (arg-5) ((((eff-1 'erased) 'erased) arg-0) arg-5)))) (lambda (eta-0) (lambda (eta-1) (vector 3 e-13 e-14 e-15 eta-0 eta-1))))) eff-0)) (CompilerC-45OptsC-45CSE-replaceExp arg-1 arg-2 arg-3 e-17)))))))) ((4) (let ((e-19 (vector-ref arg-4 1))) (let ((e-20 (vector-ref arg-4 2))) (let ((e-21 (vector-ref arg-4 3))) (CoreC-45Core-C-60C-42C-62 (let ((eff-0 (CompilerC-45OptsC-45CSE-replaceExp arg-1 arg-2 arg-3 e-20))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-0) (lambda (arg-5) ((((eff-1 'erased) 'erased) arg-0) arg-5)))) (lambda (eta-0) (lambda (eta-1) (vector 4 e-19 eta-0 eta-1))))) eff-0)) (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45OptsC-45CSE-replaceExp arg-1 arg-2 arg-3 eta-0)) e-21 '())))))) ((5) (let ((e-23 (vector-ref arg-4 1))) (let ((e-24 (vector-ref arg-4 2))) (let ((e-25 (vector-ref arg-4 3))) (let ((e-26 (vector-ref arg-4 4))) (let ((e-27 (vector-ref arg-4 5))) (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45OptsC-45CSE-replaceExp arg-1 arg-2 arg-3 eta-0)) e-27 '()))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-0) (lambda (arg-5) ((((eff-1 'erased) 'erased) arg-0) arg-5)))) (lambda (eta-0) (vector 5 e-23 e-24 e-25 e-26 eta-0)))) eff-0)))))))) ((6) (let ((e-29 (vector-ref arg-4 1))) (let ((e-30 (vector-ref arg-4 2))) (let ((e-31 (vector-ref arg-4 3))) (let ((e-32 (vector-ref arg-4 4))) (let ((eff-0 (CoreC-45Core-traverseVect (lambda (eta-0) (CompilerC-45OptsC-45CSE-replaceExp arg-1 arg-2 arg-3 eta-0)) e-32))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-0) (lambda (arg-5) ((((eff-1 'erased) 'erased) arg-0) arg-5)))) (lambda (eta-0) (vector 6 e-29 e-30 e-31 eta-0)))) eff-0))))))) ((7) (let ((e-34 (vector-ref arg-4 1))) (let ((e-35 (vector-ref arg-4 2))) (let ((e-36 (vector-ref arg-4 3))) (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45OptsC-45CSE-replaceExp arg-1 arg-2 arg-3 eta-0)) e-36 '()))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-0) (lambda (arg-5) ((((eff-1 'erased) 'erased) arg-0) arg-5)))) (lambda (eta-0) (vector 7 e-34 e-35 eta-0)))) eff-0)))))) ((8) (let ((e-38 (vector-ref arg-4 1))) (let ((e-39 (vector-ref arg-4 2))) (let ((e-40 (vector-ref arg-4 3))) (let ((eff-0 (CompilerC-45OptsC-45CSE-replaceExp arg-1 arg-2 arg-3 e-40))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-0) (lambda (arg-5) ((((eff-1 'erased) 'erased) arg-0) arg-5)))) (lambda (eta-0) (vector 8 e-38 e-39 eta-0)))) eff-0)))))) ((9) (let ((e-42 (vector-ref arg-4 1))) (let ((e-43 (vector-ref arg-4 2))) (let ((e-44 (vector-ref arg-4 3))) (let ((eff-0 (CompilerC-45OptsC-45CSE-replaceExp arg-1 arg-2 arg-3 e-44))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-0) (lambda (arg-5) ((((eff-1 'erased) 'erased) arg-0) arg-5)))) (lambda (eta-0) (vector 9 e-42 e-43 eta-0)))) eff-0)))))) ((10) (let ((e-46 (vector-ref arg-4 1))) (let ((e-47 (vector-ref arg-4 2))) (let ((e-48 (vector-ref arg-4 3))) (let ((e-49 (vector-ref arg-4 4))) (CoreC-45Core-C-60C-42C-62 (CoreC-45Core-C-60C-42C-62 (let ((eff-0 (CompilerC-45OptsC-45CSE-replaceExp arg-1 arg-2 arg-3 e-47))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-0) (lambda (arg-5) ((((eff-1 'erased) 'erased) arg-0) arg-5)))) (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (vector 10 e-46 eta-0 eta-1 eta-2)))))) eff-0)) (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45OptsC-45CSE-replaceConAlt arg-1 arg-2 arg-3 eta-0)) e-48 '())) (if (null? e-49) (lambda (eta-0) (vector 1 '())) (let ((e-2 (unbox e-49))) (let ((eff-0 (CompilerC-45OptsC-45CSE-replaceExp arg-1 arg-2 arg-3 e-2))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-3 (vector-ref eta-3 1))) (vector 0 e-3))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-0) (lambda (arg-5) ((((eff-1 'erased) 'erased) arg-0) arg-5)))) (lambda (eta-0) (box eta-0)))) eff-0)))))))))) ((11) (let ((e-51 (vector-ref arg-4 1))) (let ((e-52 (vector-ref arg-4 2))) (let ((e-53 (vector-ref arg-4 3))) (let ((e-54 (vector-ref arg-4 4))) (CoreC-45Core-C-60C-42C-62 (CoreC-45Core-C-60C-42C-62 (let ((eff-0 (CompilerC-45OptsC-45CSE-replaceExp arg-1 arg-2 arg-3 e-52))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-0) (lambda (arg-5) ((((eff-1 'erased) 'erased) arg-0) arg-5)))) (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (vector 11 e-51 eta-0 eta-1 eta-2)))))) eff-0)) (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45OptsC-45CSE-replaceConstAlt arg-1 arg-2 arg-3 eta-0)) e-53 '())) (if (null? e-54) (lambda (eta-0) (vector 1 '())) (let ((e-2 (unbox e-54))) (let ((eff-0 (CompilerC-45OptsC-45CSE-replaceExp arg-1 arg-2 arg-3 e-2))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-3 (vector-ref eta-3 1))) (vector 0 e-3))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-0) (lambda (arg-5) ((((eff-1 'erased) 'erased) arg-0) arg-5)))) (lambda (eta-0) (box eta-0)))) eff-0)))))))))) ((12) (lambda (eta-0) (vector 1 arg-4))) ((13) (lambda (eta-0) (vector 1 arg-4))) (else (lambda (eta-0) (vector 1 arg-4))))))
(define CompilerC-45OptsC-45CSE-replaceDef (lambda (arg-0 arg-1 arg-2) (let ((e-2 (car arg-2))) (let ((e-3 (cdr arg-2))) (let ((e-6 (car e-3))) (let ((e-7 (cdr e-3))) (case (vector-ref e-7 0) ((0) (let ((e-8 (vector-ref e-7 1))) (let ((e-9 (vector-ref e-7 2))) (let ((eff-0 (CompilerC-45OptsC-45CSE-replaceExp arg-0 arg-1 1 e-9))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-4 (vector-ref eta-3 1))) (vector 0 e-4))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-3) (lambda (arg-4) ((((eff-1 'erased) 'erased) arg-3) arg-4)))) (lambda (u--xC-39) (cons e-2 (cons e-6 (vector 0 e-8 u--xC-39)))))) eff-0))))) ((1) (lambda (eta-0) (vector 1 (cons e-2 (cons e-6 e-7))))) ((2) (lambda (eta-0) (vector 1 (cons e-2 (cons e-6 e-7))))) (else (lambda (eta-0) (vector 1 (cons e-2 (cons e-6 e-7))))))))))))
(define CompilerC-45OptsC-45CSE-replaceConstAlt (lambda (arg-1 arg-2 arg-3 arg-4) (let ((e-1 (car arg-4))) (let ((e-2 (cdr arg-4))) (let ((eff-0 (CompilerC-45OptsC-45CSE-replaceExp arg-1 arg-2 arg-3 e-2))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-3 (vector-ref eta-3 1))) (vector 0 e-3))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-0) (lambda (arg-5) ((((eff-1 'erased) 'erased) arg-0) arg-5)))) (lambda (eta-0) (cons e-1 eta-0)))) eff-0))))))
(define CompilerC-45OptsC-45CSE-replaceConAlt (lambda (arg-1 arg-2 arg-3 arg-4) (let ((e-1 (vector-ref arg-4 0))) (let ((e-2 (vector-ref arg-4 1))) (let ((e-3 (vector-ref arg-4 2))) (let ((e-4 (vector-ref arg-4 3))) (let ((e-5 (vector-ref arg-4 4))) (let ((eff-0 (CompilerC-45OptsC-45CSE-replaceExp arg-1 arg-2 arg-3 e-5))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-6 (vector-ref eta-3 1))) (vector 0 e-6))) (else (let ((e-6 (vector-ref eta-3 1))) (vector 1 (eta-2 e-6))))))))))) (lambda (arg-0) (lambda (arg-5) ((((eff-1 'erased) 'erased) arg-0) arg-5)))) (lambda (eta-0) (vector e-1 e-2 e-3 e-4 eta-0)))) eff-0)))))))))
(define CompilerC-45OptsC-45CSE-newToplevelDefs (lambda (arg-0) (PreludeC-45TypesC-45List-mapMaybeAppend '() (lambda (eta-0) (CompilerC-45OptsC-45CSE-n--11879-9592-u--toDef arg-0 eta-0)) (LibrariesC-45DataC-45SortedMap-toList arg-0))))
(define CompilerC-45OptsC-45CSE-dropVar (lambda (arg-2 arg-3) (if (null? arg-2) '() (let ((e-3 (cdr arg-2))) (cond ((equal? arg-3 0) (box 0))(else (let ((e-4 (- arg-3 1))) (let ((sc1 (CompilerC-45OptsC-45CSE-dropVar e-3 e-4))) (if (null? sc1) '() (let ((e-1 (unbox sc1))) (box (+ e-1 1))))))))))))
(define CompilerC-45OptsC-45CSE-dropEnv (lambda (arg-1 arg-2) (case (vector-ref arg-2 0) ((0) (let ((e-2 (vector-ref arg-2 1))) (let ((e-3 (vector-ref arg-2 2))) (PreludeC-45Interfaces-C-60C-36C-62 (csegen-76) (lambda (u--q) (vector 0 e-2 e-3)) (CompilerC-45OptsC-45CSE-dropVar arg-1 e-2))))) ((1) (let ((e-6 (vector-ref arg-2 1))) (let ((e-7 (vector-ref arg-2 2))) (box (vector 1 e-6 e-7))))) ((2) (let ((e-9 (vector-ref arg-2 1))) (let ((e-10 (vector-ref arg-2 2))) (let ((e-11 (vector-ref arg-2 3))) (PreludeC-45Interfaces-C-60C-36C-62 (csegen-76) (lambda (eta-0) (vector 2 e-9 e-10 eta-0)) (CompilerC-45OptsC-45CSE-dropEnv (cons e-10 arg-1) e-11)))))) ((3) (let ((e-13 (vector-ref arg-2 1))) (let ((e-14 (vector-ref arg-2 2))) (let ((e-15 (vector-ref arg-2 3))) (let ((e-16 (vector-ref arg-2 4))) (let ((e-17 (vector-ref arg-2 5))) (PreludeC-45Types-u--C-60C-42C-62_Applicative_Maybe (PreludeC-45Interfaces-C-60C-36C-62 (csegen-76) (lambda (eta-0) (lambda (eta-1) (vector 3 e-13 e-14 e-15 eta-0 eta-1))) (CompilerC-45OptsC-45CSE-dropEnv arg-1 e-16)) (CompilerC-45OptsC-45CSE-dropEnv (cons e-14 arg-1) e-17)))))))) ((4) (let ((e-19 (vector-ref arg-2 1))) (let ((e-20 (vector-ref arg-2 2))) (let ((e-21 (vector-ref arg-2 3))) (PreludeC-45Types-u--C-60C-42C-62_Applicative_Maybe (PreludeC-45Interfaces-C-60C-36C-62 (csegen-76) (lambda (eta-0) (lambda (eta-1) (vector 4 e-19 eta-0 eta-1))) (CompilerC-45OptsC-45CSE-dropEnv arg-1 e-20)) (PreludeC-45Types-u--traverse_Traversable_List (csegen-323) (lambda (eta-0) (CompilerC-45OptsC-45CSE-dropEnv arg-1 eta-0)) e-21)))))) ((5) (let ((e-23 (vector-ref arg-2 1))) (let ((e-24 (vector-ref arg-2 2))) (let ((e-25 (vector-ref arg-2 3))) (let ((e-26 (vector-ref arg-2 4))) (let ((e-27 (vector-ref arg-2 5))) (PreludeC-45Interfaces-C-60C-36C-62 (csegen-76) (lambda (eta-0) (vector 5 e-23 e-24 e-25 e-26 eta-0)) (PreludeC-45Types-u--traverse_Traversable_List (csegen-323) (lambda (eta-0) (CompilerC-45OptsC-45CSE-dropEnv arg-1 eta-0)) e-27)))))))) ((6) (let ((e-29 (vector-ref arg-2 1))) (let ((e-30 (vector-ref arg-2 2))) (let ((e-31 (vector-ref arg-2 3))) (let ((e-32 (vector-ref arg-2 4))) (PreludeC-45Interfaces-C-60C-36C-62 (csegen-76) (lambda (eta-0) (vector 6 e-29 e-30 e-31 eta-0)) (DataC-45Vect-u--traverse_Traversable_C-40VectC-32C-36kC-41 (csegen-323) (lambda (eta-0) (CompilerC-45OptsC-45CSE-dropEnv arg-1 eta-0)) e-32))))))) ((7) (let ((e-34 (vector-ref arg-2 1))) (let ((e-35 (vector-ref arg-2 2))) (let ((e-36 (vector-ref arg-2 3))) (PreludeC-45Interfaces-C-60C-36C-62 (csegen-76) (lambda (eta-0) (vector 7 e-34 e-35 eta-0)) (PreludeC-45Types-u--traverse_Traversable_List (csegen-323) (lambda (eta-0) (CompilerC-45OptsC-45CSE-dropEnv arg-1 eta-0)) e-36)))))) ((8) (let ((e-38 (vector-ref arg-2 1))) (let ((e-39 (vector-ref arg-2 2))) (let ((e-40 (vector-ref arg-2 3))) (PreludeC-45Interfaces-C-60C-36C-62 (csegen-76) (lambda (eta-0) (vector 8 e-38 e-39 eta-0)) (CompilerC-45OptsC-45CSE-dropEnv arg-1 e-40)))))) ((9) (let ((e-42 (vector-ref arg-2 1))) (let ((e-43 (vector-ref arg-2 2))) (let ((e-44 (vector-ref arg-2 3))) (PreludeC-45Interfaces-C-60C-36C-62 (csegen-76) (lambda (eta-0) (vector 9 e-42 e-43 eta-0)) (CompilerC-45OptsC-45CSE-dropEnv arg-1 e-44)))))) ((10) (let ((e-46 (vector-ref arg-2 1))) (let ((e-47 (vector-ref arg-2 2))) (let ((e-48 (vector-ref arg-2 3))) (let ((e-49 (vector-ref arg-2 4))) (PreludeC-45Types-u--C-60C-42C-62_Applicative_Maybe (PreludeC-45Types-u--C-60C-42C-62_Applicative_Maybe (PreludeC-45Interfaces-C-60C-36C-62 (csegen-76) (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (vector 10 e-46 eta-0 eta-1 eta-2)))) (CompilerC-45OptsC-45CSE-dropEnv arg-1 e-47)) (PreludeC-45Types-u--traverse_Traversable_List (csegen-323) (lambda (eta-0) (CompilerC-45OptsC-45CSE-dropConAlt arg-1 eta-0)) e-48)) (PreludeC-45Types-u--traverse_Traversable_Maybe (csegen-323) (lambda (eta-0) (CompilerC-45OptsC-45CSE-dropEnv arg-1 eta-0)) e-49))))))) ((11) (let ((e-51 (vector-ref arg-2 1))) (let ((e-52 (vector-ref arg-2 2))) (let ((e-53 (vector-ref arg-2 3))) (let ((e-54 (vector-ref arg-2 4))) (PreludeC-45Types-u--C-60C-42C-62_Applicative_Maybe (PreludeC-45Types-u--C-60C-42C-62_Applicative_Maybe (PreludeC-45Interfaces-C-60C-36C-62 (csegen-76) (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (vector 11 e-51 eta-0 eta-1 eta-2)))) (CompilerC-45OptsC-45CSE-dropEnv arg-1 e-52)) (PreludeC-45Types-u--traverse_Traversable_List (csegen-323) (lambda (eta-0) (CompilerC-45OptsC-45CSE-dropConstAlt arg-1 eta-0)) e-53)) (PreludeC-45Types-u--traverse_Traversable_Maybe (csegen-323) (lambda (eta-0) (CompilerC-45OptsC-45CSE-dropEnv arg-1 eta-0)) e-54))))))) ((12) (let ((e-56 (vector-ref arg-2 1))) (let ((e-57 (vector-ref arg-2 2))) (box (vector 12 e-56 e-57))))) ((13) (let ((e-59 (vector-ref arg-2 1))) (box (vector 13 e-59)))) (else (let ((e-61 (vector-ref arg-2 1))) (let ((e-62 (vector-ref arg-2 2))) (box (vector 14 e-61 e-62))))))))
(define CompilerC-45OptsC-45CSE-dropConstAlt (lambda (arg-1 arg-2) (let ((e-1 (car arg-2))) (let ((e-2 (cdr arg-2))) (PreludeC-45Interfaces-C-60C-36C-62 (csegen-76) (lambda (eta-0) (cons e-1 eta-0)) (CompilerC-45OptsC-45CSE-dropEnv arg-1 e-2))))))
(define CompilerC-45OptsC-45CSE-dropConAlt (lambda (arg-1 arg-2) (let ((e-1 (vector-ref arg-2 0))) (let ((e-2 (vector-ref arg-2 1))) (let ((e-3 (vector-ref arg-2 2))) (let ((e-4 (vector-ref arg-2 3))) (let ((e-5 (vector-ref arg-2 4))) (PreludeC-45Interfaces-C-60C-36C-62 (csegen-76) (lambda (eta-0) (vector e-1 e-2 e-3 e-4 (CoreC-45CompileExpr-embed eta-0))) (CompilerC-45OptsC-45CSE-dropEnv e-4 e-5)))))))))
(define CompilerC-45OptsC-45CSE-cse (lambda (arg-1 arg-2 arg-3) (let ((eff-0 (CoreC-45ContextC-45Log-log arg-1 "compiler.cse" 10 (lambda () (string-append "Analysing " (string-append (PreludeC-45Show-u--show_Show_Nat (PreludeC-45TypesC-45List-lengthTR arg-2)) " names")))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45Core-newRef (vector "Compiler.Opts.CSE.Sts" ) (cons (LibrariesC-45DataC-45SortedMap-empty (vector (cons (lambda (arg-528) (lambda (arg-531) (PreludeC-45EqOrd-u--C-61C-61_Eq_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-892) (csegen-2191) arg-528 arg-531))) (lambda (arg-538) (lambda (arg-541) (PreludeC-45EqOrd-u--C-47C-61_Eq_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-892) (csegen-2191) arg-538 arg-541)))) (lambda (arg-1418) (lambda (arg-1421) (PreludeC-45EqOrd-u--compare_Ord_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-2202) (csegen-2210) arg-1418 arg-1421))) (lambda (arg-1428) (lambda (arg-1431) (PreludeC-45EqOrd-u--C-60_Ord_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-2202) (csegen-2210) arg-1428 arg-1431))) (lambda (arg-1438) (lambda (arg-1441) (PreludeC-45EqOrd-u--C-62_Ord_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-2202) (csegen-2210) arg-1438 arg-1441))) (lambda (arg-1448) (lambda (arg-1451) (PreludeC-45EqOrd-u--C-60C-61_Ord_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-2202) (csegen-2210) arg-1448 arg-1451))) (lambda (arg-1458) (lambda (arg-1461) (PreludeC-45EqOrd-u--C-62C-61_Ord_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-2202) (csegen-2210) arg-1458 arg-1461))) (lambda (arg-1468) (lambda (arg-1471) (PreludeC-45EqOrd-u--max_Ord_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-2202) (csegen-2210) arg-1468 arg-1471))) (lambda (arg-1478) (lambda (arg-1481) (PreludeC-45EqOrd-u--min_Ord_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-2202) (csegen-2210) arg-1478 arg-1481))))) 0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (let ((eff-2 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45OptsC-45CSE-analyzeName e-6 arg-1 eta-0)) arg-2 '()))) (((csegen-50) ((let ((eff-3 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-7 (vector-ref eta-3 1))) (vector 1 (eta-2 e-7))))))))))) (lambda (arg-0) (lambda (arg-4) ((((eff-3 'erased) 'erased) arg-0) arg-4)))) (lambda (eta-0) (DataC-45List-catMaybes eta-0)))) eff-2)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (let ((eff-3 e-6)) (PrimIO-io_bind (let ((eff-4 eff-3)) (lambda (eta-0) (unbox eff-4))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((e-0 (car e-8))) (let ((eff-4 (CoreC-45Core-newRef (CompilerC-45OptsC-45CSE-ReplaceMap) (CompilerC-45OptsC-45CSE-toReplaceMap e-0)))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (let ((eff-5 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45OptsC-45CSE-replaceDef e-9 arg-1 eta-0)) e-7 '()))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-10 (vector-ref lcase-5 1))) (let ((eff-6 (let ((eff-6 (CompilerC-45OptsC-45CSE-replaceExp e-9 arg-1 1 arg-3))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-2 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-11 (vector-ref lcase-6 1))) (let ((eff-7 (let ((eff-7 (let ((eff-7 e-9)) (PrimIO-io_bind (let ((eff-8 eff-7)) (lambda (eta-0) (unbox eff-8))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-2 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-12 (vector-ref lcase-7 1))) (let ((eff-8 (let ((u--filtered (LibrariesC-45DataC-45SortedMap-toList e-12))) (let ((eff-8 (CoreC-45ContextC-45Log-log arg-1 (csegen-2183) 10 (lambda () (DataC-45String-fastUnlines (cons ((csegen-0) "Found the following unadjusted subexpressions:") (((csegen-25) (lambda (lamc-0) (let ((e-2 (car lamc-0))) (let ((e-3 (cdr lamc-0))) (let ((e-13 (cdr e-3))) (string-append (CoreC-45Name-u--show_Show_Name e-2) (string-append ": count " (CompilerC-45OptsC-45CSE-u--show_Show_Count e-13)))))))) u--filtered))))))) (PrimIO-io_bind eff-8 (lambda (lcase-8) (case (vector-ref lcase-8 0) ((0) (let ((e-2 (vector-ref lcase-8 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-9 (lambda (eta-0) (vector 1 (cons (PreludeC-45TypesC-45List-tailRecAppend (CompilerC-45OptsC-45CSE-newToplevelDefs e-12) e-10) e-11))))) eff-9))))))))) eff-8))))))))) eff-7))))))))) eff-6))))))))) eff-5)))))))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))
(define CompilerC-45OptsC-45CSE-analyzeVect (lambda (arg-2 arg-3) (let ((eff-0 (let ((eff-0 (CoreC-45Core-traverseVect (lambda (eta-0) (CompilerC-45OptsC-45CSE-analyze arg-2 eta-0)) arg-3))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-0) (lambda (arg-1) ((((eff-1 'erased) 'erased) arg-0) arg-1)))) (lambda (eta-0) (DataC-45Vect-u--unzip_Zippable_C-40VectC-32C-36kC-41 eta-0)))) eff-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (clam-0) (let ((e-2 (car e-5))) (let ((e-3 (cdr e-5))) (vector 1 (cons (PreludeC-45Interfaces-sum (csegen-1359) (csegen-2238) e-2) e-3))))))) eff-1)))))))))
(define CompilerC-45OptsC-45CSE-analyzeSubExp (lambda (arg-1 arg-2) (case (vector-ref arg-2 0) ((0) (lambda (eta-0) (vector 1 (cons 1 arg-2)))) ((1) (lambda (eta-0) (vector 1 (cons 1 arg-2)))) ((2) (let ((e-9 (vector-ref arg-2 1))) (let ((e-10 (vector-ref arg-2 2))) (let ((e-11 (vector-ref arg-2 3))) (let ((eff-0 (CompilerC-45OptsC-45CSE-analyze arg-1 e-11))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (clam-0) (let ((e-2 (car e-5))) (let ((e-3 (cdr e-5))) (vector 1 (cons (+ e-2 1) (vector 2 e-9 e-10 e-3)))))))) eff-1))))))))))) ((3) (let ((e-13 (vector-ref arg-2 1))) (let ((e-14 (vector-ref arg-2 2))) (let ((e-15 (vector-ref arg-2 3))) (let ((e-16 (vector-ref arg-2 4))) (let ((e-17 (vector-ref arg-2 5))) (let ((eff-0 (CompilerC-45OptsC-45CSE-analyze arg-1 e-16))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((e-2 (car e-5))) (let ((e-3 (cdr e-5))) (let ((eff-1 (CompilerC-45OptsC-45CSE-analyze arg-1 e-17))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (clam-1) (let ((e-7 (car e-6))) (let ((e-4 (cdr e-6))) (vector 1 (cons (+ (+ e-2 e-7) 1) (vector 3 e-13 e-14 e-15 e-3 e-4)))))))) eff-2))))))))))) eff-1))))))))))))) ((4) (let ((e-19 (vector-ref arg-2 1))) (let ((e-20 (vector-ref arg-2 2))) (let ((e-21 (vector-ref arg-2 3))) (let ((eff-0 (CompilerC-45OptsC-45CSE-analyze arg-1 e-20))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((e-2 (car e-5))) (let ((e-3 (cdr e-5))) (let ((eff-1 (CompilerC-45OptsC-45CSE-analyzeList arg-1 e-21))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (clam-2) (let ((e-7 (car e-6))) (let ((e-4 (cdr e-6))) (vector 1 (cons (+ (+ e-2 e-7) 1) (vector 4 e-19 e-3 e-4)))))))) eff-2))))))))))) eff-1))))))))))) ((5) (let ((e-23 (vector-ref arg-2 1))) (let ((e-24 (vector-ref arg-2 2))) (let ((e-25 (vector-ref arg-2 3))) (let ((e-26 (vector-ref arg-2 4))) (let ((e-27 (vector-ref arg-2 5))) (let ((eff-0 (CompilerC-45OptsC-45CSE-analyzeList arg-1 e-27))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (clam-3) (let ((e-2 (car e-5))) (let ((e-3 (cdr e-5))) (vector 1 (cons (+ e-2 1) (vector 5 e-23 e-24 e-25 e-26 e-3)))))))) eff-1))))))))))))) ((6) (let ((e-29 (vector-ref arg-2 1))) (let ((e-30 (vector-ref arg-2 2))) (let ((e-31 (vector-ref arg-2 3))) (let ((e-32 (vector-ref arg-2 4))) (let ((eff-0 (CompilerC-45OptsC-45CSE-analyzeVect arg-1 e-32))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (clam-4) (let ((e-2 (car e-5))) (let ((e-3 (cdr e-5))) (vector 1 (cons (+ e-2 1) (vector 6 e-29 e-30 e-31 e-3)))))))) eff-1)))))))))))) ((7) (let ((e-34 (vector-ref arg-2 1))) (let ((e-35 (vector-ref arg-2 2))) (let ((e-36 (vector-ref arg-2 3))) (let ((eff-0 (CompilerC-45OptsC-45CSE-analyzeList arg-1 e-36))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (clam-5) (let ((e-2 (car e-5))) (let ((e-3 (cdr e-5))) (vector 1 (cons (+ e-2 1) (vector 7 e-34 e-35 e-3)))))))) eff-1))))))))))) ((8) (let ((e-38 (vector-ref arg-2 1))) (let ((e-39 (vector-ref arg-2 2))) (let ((e-40 (vector-ref arg-2 3))) (let ((eff-0 (CompilerC-45OptsC-45CSE-analyze arg-1 e-40))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (clam-6) (let ((e-2 (car e-5))) (let ((e-3 (cdr e-5))) (vector 1 (cons (+ e-2 1) (vector 8 e-38 e-39 e-3)))))))) eff-1))))))))))) ((9) (let ((e-42 (vector-ref arg-2 1))) (let ((e-43 (vector-ref arg-2 2))) (let ((e-44 (vector-ref arg-2 3))) (let ((eff-0 (CompilerC-45OptsC-45CSE-analyze arg-1 e-44))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (clam-7) (let ((e-2 (car e-5))) (let ((e-3 (cdr e-5))) (vector 1 (cons (+ e-2 1) (vector 9 e-42 e-43 e-3)))))))) eff-1))))))))))) ((10) (let ((e-46 (vector-ref arg-2 1))) (let ((e-47 (vector-ref arg-2 2))) (let ((e-48 (vector-ref arg-2 3))) (let ((e-49 (vector-ref arg-2 4))) (let ((eff-0 (CompilerC-45OptsC-45CSE-analyze arg-1 e-47))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((e-2 (car e-5))) (let ((e-3 (cdr e-5))) (let ((eff-1 (let ((eff-1 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45OptsC-45CSE-analyzeConAlt arg-1 eta-0)) e-48 '()))) (((csegen-50) ((let ((eff-2 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-4 (vector-ref eta-3 1))) (vector 0 e-4))) (else (let ((e-6 (vector-ref eta-3 1))) (vector 1 (eta-2 e-6))))))))))) (lambda (arg-0) (lambda (arg-3) ((((eff-2 'erased) 'erased) arg-0) arg-3)))) (lambda (eta-0) (DataC-45List-u--unzip_Zippable_List eta-0)))) eff-1)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((e-7 (car e-6))) (let ((e-4 (cdr e-6))) (let ((eff-2 (CompilerC-45OptsC-45CSE-analyzeMaybe arg-1 e-49))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (clam-8) (let ((e-10 (car e-8))) (let ((e-9 (cdr e-8))) (vector 1 (cons (+ (+ (+ e-2 (PreludeC-45Interfaces-sum (csegen-1359) (csegen-16) e-7)) e-10) 1) (vector 10 e-46 e-3 e-4 e-9)))))))) eff-3))))))))))) eff-2))))))))))) eff-1)))))))))))) ((11) (let ((e-51 (vector-ref arg-2 1))) (let ((e-52 (vector-ref arg-2 2))) (let ((e-53 (vector-ref arg-2 3))) (let ((e-54 (vector-ref arg-2 4))) (let ((eff-0 (CompilerC-45OptsC-45CSE-analyze arg-1 e-52))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((e-2 (car e-5))) (let ((e-3 (cdr e-5))) (let ((eff-1 (let ((eff-1 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45OptsC-45CSE-analyzeConstAlt arg-1 eta-0)) e-53 '()))) (((csegen-50) ((let ((eff-2 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-4 (vector-ref eta-3 1))) (vector 0 e-4))) (else (let ((e-6 (vector-ref eta-3 1))) (vector 1 (eta-2 e-6))))))))))) (lambda (arg-0) (lambda (arg-3) ((((eff-2 'erased) 'erased) arg-0) arg-3)))) (lambda (eta-0) (DataC-45List-u--unzip_Zippable_List eta-0)))) eff-1)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((e-7 (car e-6))) (let ((e-4 (cdr e-6))) (let ((eff-2 (CompilerC-45OptsC-45CSE-analyzeMaybe arg-1 e-54))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (clam-9) (let ((e-10 (car e-8))) (let ((e-9 (cdr e-8))) (vector 1 (cons (+ (+ (+ e-2 (PreludeC-45Interfaces-sum (csegen-1359) (csegen-16) e-7)) e-10) 1) (vector 11 e-51 e-3 e-4 e-9)))))))) eff-3))))))))))) eff-2))))))))))) eff-1)))))))))))) ((12) (lambda (eta-0) (vector 1 (cons 1 arg-2)))) ((13) (lambda (eta-0) (vector 1 (cons 1 arg-2)))) (else (lambda (eta-0) (vector 1 (cons 1 arg-2)))))))
(define CompilerC-45OptsC-45CSE-analyzeName (lambda (arg-0 arg-1 arg-2) (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-lookupCtxtExact arg-2 (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-6) (let ((eff-2 (CoreC-45ContextC-45Log-log arg-1 (csegen-95) 50 (lambda () (string-append (csegen-126) (CoreC-45Name-u--show_Show_Name arg-2)))))) (PrimIO-io_bind eff-2 (csegen-2241))) (let ((e-1 (unbox e-6))) (let ((e-18 (vector-ref e-1 18))) (if (null? e-18) (let ((eff-2 (CoreC-45ContextC-45Log-log arg-1 "compile.execute" 50 (lambda () (string-append "Couldn't compile " (CoreC-45Name-u--show_Show_Name arg-2)))))) (PrimIO-io_bind eff-2 (csegen-2241))) (let ((e-25 (unbox e-18))) (let ((eff-2 (CompilerC-45OptsC-45CSE-analyzeDef arg-0 e-25))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-26 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-26)))) (else (let ((e-26 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (box (cons arg-2 (cons (let ((e-48 (vector-ref e-1 0))) e-48) e-26))))))) eff-3)))))))))))))) eff-2))))))))) eff-1)))))))))
(define CompilerC-45OptsC-45CSE-analyzeMaybe (lambda (arg-1 arg-2) (if (null? arg-2) (lambda (eta-0) (vector 1 (cons 0 '()))) (let ((e-2 (unbox arg-2))) (let ((eff-0 (CompilerC-45OptsC-45CSE-analyze arg-1 e-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (clam-0) (let ((e-4 (car e-5))) (let ((e-3 (cdr e-5))) (vector 1 (cons e-4 (box e-3)))))))) eff-1)))))))))))
(define CompilerC-45OptsC-45CSE-analyzeList (lambda (arg-1 arg-2) (let ((eff-0 (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45OptsC-45CSE-analyze arg-1 eta-0)) arg-2 '()))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-0) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-0) arg-3)))) (lambda (eta-0) (DataC-45List-u--unzip_Zippable_List eta-0)))) eff-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (clam-0) (let ((e-2 (car e-5))) (let ((e-3 (cdr e-5))) (vector 1 (cons (PreludeC-45Interfaces-sum (csegen-1359) (csegen-16) e-2) e-3))))))) eff-1)))))))))
(define CompilerC-45OptsC-45CSE-analyzeDef (lambda (arg-0 arg-1) (case (vector-ref arg-1 0) ((0) (let ((e-0 (vector-ref arg-1 1))) (let ((e-1 (vector-ref arg-1 2))) (let ((eff-0 (CompilerC-45OptsC-45CSE-analyze arg-0 e-1))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (eta-0) (vector 0 e-0 (Builtin-snd eta-0))))) eff-0))))) ((1) (lambda (eta-0) (vector 1 arg-1))) ((2) (lambda (eta-0) (vector 1 arg-1))) (else (lambda (eta-0) (vector 1 arg-1))))))
(define CompilerC-45OptsC-45CSE-analyzeConstAlt (lambda (arg-1 arg-2) (let ((e-1 (car arg-2))) (let ((e-2 (cdr arg-2))) (let ((eff-0 (CompilerC-45OptsC-45CSE-analyze arg-1 e-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (clam-0) (let ((e-4 (car e-5))) (let ((e-3 (cdr e-5))) (vector 1 (cons (+ e-4 1) (cons e-1 e-3)))))))) eff-1)))))))))))
(define CompilerC-45OptsC-45CSE-analyzeConAlt (lambda (arg-1 arg-2) (let ((e-1 (vector-ref arg-2 0))) (let ((e-2 (vector-ref arg-2 1))) (let ((e-3 (vector-ref arg-2 2))) (let ((e-4 (vector-ref arg-2 3))) (let ((e-5 (vector-ref arg-2 4))) (let ((eff-0 (CompilerC-45OptsC-45CSE-analyze arg-1 e-5))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (clam-0) (let ((e-8 (car e-6))) (let ((e-7 (cdr e-6))) (vector 1 (cons (+ e-8 1) (vector e-1 e-2 e-3 e-4 e-7)))))))) eff-1))))))))))))))
(define CompilerC-45OptsC-45CSE-analyze (lambda (arg-1 arg-2) (case (vector-ref arg-2 0) ((6) (CompilerC-45OptsC-45CSE-analyzeSubExp arg-1 arg-2)) ((7) (CompilerC-45OptsC-45CSE-analyzeSubExp arg-1 arg-2)) ((8) (CompilerC-45OptsC-45CSE-analyzeSubExp arg-1 arg-2)) ((9) (CompilerC-45OptsC-45CSE-analyzeSubExp arg-1 arg-2))(else (let ((eff-0 (CompilerC-45OptsC-45CSE-analyzeSubExp arg-1 arg-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((e-2 (car e-5))) (let ((e-3 (cdr e-5))) (let ((_-0 (cons e-2 e-3))) (CompilerC-45OptsC-45CSE-case--caseC-32blockC-32inC-32analyze-7289 arg-1 arg-2 e-2 e-3 _-0 (CompilerC-45OptsC-45CSE-dropEnv '() e-3))))))) eff-1)))))))))))
(define CompilerC-45OptsC-45CSE-ReplaceMap(blodwen-lazy (lambda () (vector "Libraries.Data.SortedMap.SortedMap" (vector "Core.Name.Name" ) (vector "Builtin.Pair" (vector "Core.CompileExpr.CExp" '()) (vector "Compiler.Opts.CSE.Count" ))))))
(define CoreC-45Ord-n--8440-6649-u--tag (lambda (arg-1 arg-2 arg-4) (case (vector-ref arg-4 0) ((0) 0) ((1) 1) ((2) 2) ((3) 3) ((4) 4) ((5) 5) ((6) 6) ((7) 7) ((8) 8) ((9) 9) ((10) 10) ((11) 11) ((12) 12) ((13) 13) (else 14))))
(define CoreC-45Ord-n--6724-4534-u--tag (lambda (arg-2 arg-3 arg-5) (case (vector-ref arg-5 0) ((0) 0) ((1) 1) ((2) 2) ((3) 3) ((4) 4) ((5) 5) ((6) 6) ((7) 7) ((8) 8) ((9) 9) ((10) 10) ((11) 11) ((12) 12) ((13) 13) ((14) 14) ((15) 15) ((16) 16) ((17) 17) ((18) 18) ((19) 19) ((20) 20) ((21) 21) ((22) 22) ((23) 23) ((24) 24) ((25) 25) ((26) 26) ((27) 27) ((28) 28) ((29) 29) ((30) 30) ((31) 31) ((32) 32) ((33) 33) ((34) 34) ((35) 35) ((36) 36) ((37) 37) (else 38))))
(define CoreC-45Ord-n--5498-3462-u--tag (lambda (arg-0 arg-1 arg-2) (case (vector-ref arg-2 0) ((0) 0) ((1) 1) ((2) 2) ((3) 3) ((4) 4) ((5) 5) ((6) 6) ((7) 7) ((8) 8) ((9) 9) ((10) 10) ((11) 11) ((12) 12) ((13) 13) (else 14))))
(define CoreC-45Ord-n--5266-3149-u--tag (lambda (arg-0) (cond ((equal? arg-0 0) 1) ((equal? arg-0 1) 2) ((equal? arg-0 2) 3) ((equal? arg-0 3) 4) ((equal? arg-0 4) 5) ((equal? arg-0 5) 6) ((equal? arg-0 6) 7) ((equal? arg-0 7) 8) ((equal? arg-0 8) 9) ((equal? arg-0 9) 10) ((equal? arg-0 10) 11) ((equal? arg-0 11) 12) ((equal? arg-0 12) 13) (else 14))))
(define CoreC-45Ord-u--min_Ord_Constant (lambda (arg-0 arg-1) (let ((sc0 (CoreC-45Ord-u--C-60_Ord_Constant arg-0 arg-1))) (cond ((equal? sc0 1) arg-0) (else arg-1)))))
(define CoreC-45Ord-u--min_Ord_C-40CExpC-32C-36varsC-41 (lambda (arg-1 arg-2) (let ((sc0 (CoreC-45Ord-u--C-60_Ord_C-40CExpC-32C-36varsC-41 arg-1 arg-2))) (cond ((equal? sc0 1) arg-1) (else arg-2)))))
(define CoreC-45Ord-u--min_Ord_C-40CConstAltC-32C-36varsC-41 (lambda (arg-1 arg-2) (let ((sc0 (CoreC-45Ord-u--C-60_Ord_C-40CConstAltC-32C-36varsC-41 arg-1 arg-2))) (cond ((equal? sc0 1) arg-1) (else arg-2)))))
(define CoreC-45Ord-u--min_Ord_C-40CConAltC-32C-36varsC-41 (lambda (arg-1 arg-2) (let ((sc0 (CoreC-45Ord-u--C-60_Ord_C-40CConAltC-32C-36varsC-41 arg-1 arg-2))) (cond ((equal? sc0 1) arg-1) (else arg-2)))))
(define CoreC-45Ord-u--max_Ord_Constant (lambda (arg-0 arg-1) (let ((sc0 (CoreC-45Ord-u--C-62_Ord_Constant arg-0 arg-1))) (cond ((equal? sc0 1) arg-0) (else arg-1)))))
(define CoreC-45Ord-u--max_Ord_C-40CExpC-32C-36varsC-41 (lambda (arg-1 arg-2) (let ((sc0 (CoreC-45Ord-u--C-62_Ord_C-40CExpC-32C-36varsC-41 arg-1 arg-2))) (cond ((equal? sc0 1) arg-1) (else arg-2)))))
(define CoreC-45Ord-u--max_Ord_C-40CConstAltC-32C-36varsC-41 (lambda (arg-1 arg-2) (let ((sc0 (CoreC-45Ord-u--C-62_Ord_C-40CConstAltC-32C-36varsC-41 arg-1 arg-2))) (cond ((equal? sc0 1) arg-1) (else arg-2)))))
(define CoreC-45Ord-u--max_Ord_C-40CConAltC-32C-36varsC-41 (lambda (arg-1 arg-2) (let ((sc0 (CoreC-45Ord-u--C-62_Ord_C-40CConAltC-32C-36varsC-41 arg-1 arg-2))) (cond ((equal? sc0 1) arg-1) (else arg-2)))))
(define CoreC-45Ord-u--compare_Ord_PrimType (lambda (ext-0 ext-1) (PreludeC-45Basics-on (lambda (eta-0) (lambda (eta-1) (PreludeC-45EqOrd-u--compare_Ord_Int eta-0 eta-1))) (lambda (eta-0) (CoreC-45Ord-n--5266-3149-u--tag eta-0)) ext-0 ext-1)))
(define CoreC-45Ord-u--compare_Ord_LazyReason (lambda (arg-0 arg-1) (PreludeC-45EqOrd-u--compare_Ord_Int (CoreC-45Ord-lrTag arg-0) (CoreC-45Ord-lrTag arg-1))))
(define CoreC-45Ord-u--compare_Ord_Constant (lambda (arg-0 arg-1) (case (vector-ref arg-0 0) ((0) (let ((e-0 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((0) (let ((e-14 (vector-ref arg-1 1))) (PreludeC-45EqOrd-u--compare_Ord_Int e-0 e-14)))(else (PreludeC-45EqOrd-u--compare_Ord_Int (CoreC-45Ord-n--5498-3462-u--tag arg-1 arg-0 arg-0) (CoreC-45Ord-n--5498-3462-u--tag arg-1 arg-0 arg-1)))))) ((1) (let ((e-1 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((1) (let ((e-15 (vector-ref arg-1 1))) (PreludeC-45EqOrd-u--compare_Ord_Int8 e-1 e-15)))(else (PreludeC-45EqOrd-u--compare_Ord_Int (CoreC-45Ord-n--5498-3462-u--tag arg-1 arg-0 arg-0) (CoreC-45Ord-n--5498-3462-u--tag arg-1 arg-0 arg-1)))))) ((2) (let ((e-2 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((2) (let ((e-16 (vector-ref arg-1 1))) (PreludeC-45EqOrd-u--compare_Ord_Int16 e-2 e-16)))(else (PreludeC-45EqOrd-u--compare_Ord_Int (CoreC-45Ord-n--5498-3462-u--tag arg-1 arg-0 arg-0) (CoreC-45Ord-n--5498-3462-u--tag arg-1 arg-0 arg-1)))))) ((3) (let ((e-3 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((3) (let ((e-17 (vector-ref arg-1 1))) (PreludeC-45EqOrd-u--compare_Ord_Int32 e-3 e-17)))(else (PreludeC-45EqOrd-u--compare_Ord_Int (CoreC-45Ord-n--5498-3462-u--tag arg-1 arg-0 arg-0) (CoreC-45Ord-n--5498-3462-u--tag arg-1 arg-0 arg-1)))))) ((4) (let ((e-4 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((4) (let ((e-18 (vector-ref arg-1 1))) (PreludeC-45EqOrd-u--compare_Ord_Int64 e-4 e-18)))(else (PreludeC-45EqOrd-u--compare_Ord_Int (CoreC-45Ord-n--5498-3462-u--tag arg-1 arg-0 arg-0) (CoreC-45Ord-n--5498-3462-u--tag arg-1 arg-0 arg-1)))))) ((5) (let ((e-5 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((5) (let ((e-19 (vector-ref arg-1 1))) (PreludeC-45EqOrd-u--compare_Ord_Integer e-5 e-19)))(else (PreludeC-45EqOrd-u--compare_Ord_Int (CoreC-45Ord-n--5498-3462-u--tag arg-1 arg-0 arg-0) (CoreC-45Ord-n--5498-3462-u--tag arg-1 arg-0 arg-1)))))) ((6) (let ((e-6 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((6) (let ((e-20 (vector-ref arg-1 1))) (PreludeC-45EqOrd-u--compare_Ord_Bits8 e-6 e-20)))(else (PreludeC-45EqOrd-u--compare_Ord_Int (CoreC-45Ord-n--5498-3462-u--tag arg-1 arg-0 arg-0) (CoreC-45Ord-n--5498-3462-u--tag arg-1 arg-0 arg-1)))))) ((7) (let ((e-7 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((7) (let ((e-21 (vector-ref arg-1 1))) (PreludeC-45EqOrd-u--compare_Ord_Bits16 e-7 e-21)))(else (PreludeC-45EqOrd-u--compare_Ord_Int (CoreC-45Ord-n--5498-3462-u--tag arg-1 arg-0 arg-0) (CoreC-45Ord-n--5498-3462-u--tag arg-1 arg-0 arg-1)))))) ((8) (let ((e-8 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((8) (let ((e-22 (vector-ref arg-1 1))) (PreludeC-45EqOrd-u--compare_Ord_Bits32 e-8 e-22)))(else (PreludeC-45EqOrd-u--compare_Ord_Int (CoreC-45Ord-n--5498-3462-u--tag arg-1 arg-0 arg-0) (CoreC-45Ord-n--5498-3462-u--tag arg-1 arg-0 arg-1)))))) ((9) (let ((e-9 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((9) (let ((e-23 (vector-ref arg-1 1))) (PreludeC-45EqOrd-u--compare_Ord_Bits64 e-9 e-23)))(else (PreludeC-45EqOrd-u--compare_Ord_Int (CoreC-45Ord-n--5498-3462-u--tag arg-1 arg-0 arg-0) (CoreC-45Ord-n--5498-3462-u--tag arg-1 arg-0 arg-1)))))) ((10) (let ((e-10 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((10) (let ((e-24 (vector-ref arg-1 1))) (PreludeC-45EqOrd-u--compare_Ord_String e-10 e-24)))(else (PreludeC-45EqOrd-u--compare_Ord_Int (CoreC-45Ord-n--5498-3462-u--tag arg-1 arg-0 arg-0) (CoreC-45Ord-n--5498-3462-u--tag arg-1 arg-0 arg-1)))))) ((11) (let ((e-11 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((11) (let ((e-25 (vector-ref arg-1 1))) (PreludeC-45EqOrd-u--compare_Ord_Char e-11 e-25)))(else (PreludeC-45EqOrd-u--compare_Ord_Int (CoreC-45Ord-n--5498-3462-u--tag arg-1 arg-0 arg-0) (CoreC-45Ord-n--5498-3462-u--tag arg-1 arg-0 arg-1)))))) ((12) (let ((e-12 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((12) (let ((e-26 (vector-ref arg-1 1))) (PreludeC-45EqOrd-u--compare_Ord_Double e-12 e-26)))(else (PreludeC-45EqOrd-u--compare_Ord_Int (CoreC-45Ord-n--5498-3462-u--tag arg-1 arg-0 arg-0) (CoreC-45Ord-n--5498-3462-u--tag arg-1 arg-0 arg-1)))))) ((13) (let ((e-13 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((13) (let ((e-27 (vector-ref arg-1 1))) (CoreC-45Ord-u--compare_Ord_PrimType e-13 e-27)))(else (PreludeC-45EqOrd-u--compare_Ord_Int (CoreC-45Ord-n--5498-3462-u--tag arg-1 arg-0 arg-0) (CoreC-45Ord-n--5498-3462-u--tag arg-1 arg-0 arg-1))))))(else (PreludeC-45EqOrd-u--compare_Ord_Int (CoreC-45Ord-n--5498-3462-u--tag arg-1 arg-0 arg-0) (CoreC-45Ord-n--5498-3462-u--tag arg-1 arg-0 arg-1))))))
(define CoreC-45Ord-u--compare_Ord_C-40CExpC-32C-36varsC-41 (lambda (arg-1 arg-2) (case (vector-ref arg-1 0) ((0) (let ((e-2 (vector-ref arg-1 1))) (case (vector-ref arg-2 0) ((0) (let ((e-65 (vector-ref arg-2 1))) (PreludeC-45EqOrd-u--compare_Ord_Integer e-2 e-65)))(else (PreludeC-45EqOrd-u--compare_Ord_Int (CoreC-45Ord-n--8440-6649-u--tag arg-2 arg-1 arg-1) (CoreC-45Ord-n--8440-6649-u--tag arg-2 arg-1 arg-2)))))) ((1) (let ((e-7 (vector-ref arg-1 2))) (case (vector-ref arg-2 0) ((1) (let ((e-70 (vector-ref arg-2 2))) (CoreC-45Name-u--compare_Ord_Name e-7 e-70)))(else (PreludeC-45EqOrd-u--compare_Ord_Int (CoreC-45Ord-n--8440-6649-u--tag arg-2 arg-1 arg-1) (CoreC-45Ord-n--8440-6649-u--tag arg-2 arg-1 arg-2)))))) ((2) (let ((e-10 (vector-ref arg-1 2))) (let ((e-11 (vector-ref arg-1 3))) (case (vector-ref arg-2 0) ((2) (let ((e-73 (vector-ref arg-2 2))) (let ((e-74 (vector-ref arg-2 3))) (let ((sc2 (CoreC-45Name-nameEq e-10 e-73))) (if (null? sc2) (CoreC-45Name-u--compare_Ord_Name e-10 e-73) (CoreC-45Ord-u--compare_Ord_C-40CExpC-32C-36varsC-41 e-11 e-74))))))(else (PreludeC-45EqOrd-u--compare_Ord_Int (CoreC-45Ord-n--8440-6649-u--tag arg-2 arg-1 arg-1) (CoreC-45Ord-n--8440-6649-u--tag arg-2 arg-1 arg-2))))))) ((3) (let ((e-14 (vector-ref arg-1 2))) (let ((e-16 (vector-ref arg-1 4))) (let ((e-17 (vector-ref arg-1 5))) (case (vector-ref arg-2 0) ((3) (let ((e-77 (vector-ref arg-2 2))) (let ((e-79 (vector-ref arg-2 4))) (let ((e-80 (vector-ref arg-2 5))) (let ((sc2 (CoreC-45Name-nameEq e-14 e-77))) (if (null? sc2) (CoreC-45Name-u--compare_Ord_Name e-14 e-77) (CoreC-45Ord-thenCmp (CoreC-45Ord-u--compare_Ord_C-40CExpC-32C-36varsC-41 e-16 e-79) (lambda () (CoreC-45Ord-u--compare_Ord_C-40CExpC-32C-36varsC-41 e-17 e-80)))))))))(else (PreludeC-45EqOrd-u--compare_Ord_Int (CoreC-45Ord-n--8440-6649-u--tag arg-2 arg-1 arg-1) (CoreC-45Ord-n--8440-6649-u--tag arg-2 arg-1 arg-2)))))))) ((4) (let ((e-20 (vector-ref arg-1 2))) (let ((e-21 (vector-ref arg-1 3))) (case (vector-ref arg-2 0) ((4) (let ((e-83 (vector-ref arg-2 2))) (let ((e-84 (vector-ref arg-2 3))) (CoreC-45Ord-thenCmp (CoreC-45Ord-u--compare_Ord_C-40CExpC-32C-36varsC-41 e-20 e-83) (lambda () (PreludeC-45Types-u--compare_Ord_C-40ListC-32C-36aC-41 (csegen-2210) e-21 e-84))))))(else (PreludeC-45EqOrd-u--compare_Ord_Int (CoreC-45Ord-n--8440-6649-u--tag arg-2 arg-1 arg-1) (CoreC-45Ord-n--8440-6649-u--tag arg-2 arg-1 arg-2))))))) ((5) (let ((e-24 (vector-ref arg-1 2))) (let ((e-26 (vector-ref arg-1 4))) (let ((e-27 (vector-ref arg-1 5))) (case (vector-ref arg-2 0) ((5) (let ((e-87 (vector-ref arg-2 2))) (let ((e-89 (vector-ref arg-2 4))) (let ((e-90 (vector-ref arg-2 5))) (CoreC-45Ord-thenCmp (CoreC-45Ord-thenCmp (PreludeC-45Types-u--compare_Ord_C-40MaybeC-32C-36aC-41 (csegen-298) e-26 e-89) (lambda () (CoreC-45Name-u--compare_Ord_Name e-24 e-87))) (lambda () (PreludeC-45Types-u--compare_Ord_C-40ListC-32C-36aC-41 (csegen-2210) e-27 e-90)))))))(else (PreludeC-45EqOrd-u--compare_Ord_Int (CoreC-45Ord-n--8440-6649-u--tag arg-2 arg-1 arg-1) (CoreC-45Ord-n--8440-6649-u--tag arg-2 arg-1 arg-2)))))))) ((6) (let ((e-31 (vector-ref arg-1 3))) (let ((e-32 (vector-ref arg-1 4))) (case (vector-ref arg-2 0) ((6) (let ((e-94 (vector-ref arg-2 3))) (let ((e-95 (vector-ref arg-2 4))) (let ((sc2 (CoreC-45Ord-primFnEq e-31 e-94))) (if (null? sc2) (CoreC-45Ord-primFnCmp e-31 e-94) (DataC-45Vect-u--compare_Ord_C-40C-40VectC-32C-36lenC-41C-32C-36elemC-41 (csegen-2210) e-32 e-95))))))(else (PreludeC-45EqOrd-u--compare_Ord_Int (CoreC-45Ord-n--8440-6649-u--tag arg-2 arg-1 arg-1) (CoreC-45Ord-n--8440-6649-u--tag arg-2 arg-1 arg-2))))))) ((7) (let ((e-35 (vector-ref arg-1 2))) (let ((e-36 (vector-ref arg-1 3))) (case (vector-ref arg-2 0) ((7) (let ((e-98 (vector-ref arg-2 2))) (let ((e-99 (vector-ref arg-2 3))) (CoreC-45Ord-thenCmp (CoreC-45Name-u--compare_Ord_Name e-35 e-98) (lambda () (PreludeC-45Types-u--compare_Ord_C-40ListC-32C-36aC-41 (csegen-2210) e-36 e-99))))))(else (PreludeC-45EqOrd-u--compare_Ord_Int (CoreC-45Ord-n--8440-6649-u--tag arg-2 arg-1 arg-1) (CoreC-45Ord-n--8440-6649-u--tag arg-2 arg-1 arg-2))))))) ((8) (let ((e-39 (vector-ref arg-1 2))) (let ((e-40 (vector-ref arg-1 3))) (case (vector-ref arg-2 0) ((8) (let ((e-102 (vector-ref arg-2 2))) (let ((e-103 (vector-ref arg-2 3))) (CoreC-45Ord-thenCmp (CoreC-45Ord-u--compare_Ord_LazyReason e-39 e-102) (lambda () (CoreC-45Ord-u--compare_Ord_C-40CExpC-32C-36varsC-41 e-40 e-103))))))(else (PreludeC-45EqOrd-u--compare_Ord_Int (CoreC-45Ord-n--8440-6649-u--tag arg-2 arg-1 arg-1) (CoreC-45Ord-n--8440-6649-u--tag arg-2 arg-1 arg-2))))))) ((9) (let ((e-43 (vector-ref arg-1 2))) (let ((e-44 (vector-ref arg-1 3))) (case (vector-ref arg-2 0) ((9) (let ((e-106 (vector-ref arg-2 2))) (let ((e-107 (vector-ref arg-2 3))) (CoreC-45Ord-thenCmp (CoreC-45Ord-u--compare_Ord_LazyReason e-43 e-106) (lambda () (CoreC-45Ord-u--compare_Ord_C-40CExpC-32C-36varsC-41 e-44 e-107))))))(else (PreludeC-45EqOrd-u--compare_Ord_Int (CoreC-45Ord-n--8440-6649-u--tag arg-2 arg-1 arg-1) (CoreC-45Ord-n--8440-6649-u--tag arg-2 arg-1 arg-2))))))) ((10) (let ((e-47 (vector-ref arg-1 2))) (let ((e-48 (vector-ref arg-1 3))) (let ((e-49 (vector-ref arg-1 4))) (case (vector-ref arg-2 0) ((10) (let ((e-110 (vector-ref arg-2 2))) (let ((e-111 (vector-ref arg-2 3))) (let ((e-112 (vector-ref arg-2 4))) (CoreC-45Ord-thenCmp (CoreC-45Ord-thenCmp (CoreC-45Ord-u--compare_Ord_C-40CExpC-32C-36varsC-41 e-47 e-110) (lambda () (PreludeC-45Types-u--compare_Ord_C-40ListC-32C-36aC-41 (vector (csegen-2249) (lambda (arg-1418) (lambda (arg-1421) (CoreC-45Ord-u--compare_Ord_C-40CConAltC-32C-36varsC-41 arg-1418 arg-1421))) (lambda (arg-1428) (lambda (arg-1431) (CoreC-45Ord-u--C-60_Ord_C-40CConAltC-32C-36varsC-41 arg-1428 arg-1431))) (lambda (arg-1438) (lambda (arg-1441) (CoreC-45Ord-u--C-62_Ord_C-40CConAltC-32C-36varsC-41 arg-1438 arg-1441))) (lambda (arg-1448) (lambda (arg-1451) (CoreC-45Ord-u--C-60C-61_Ord_C-40CConAltC-32C-36varsC-41 arg-1448 arg-1451))) (lambda (arg-1458) (lambda (arg-1461) (CoreC-45Ord-u--C-62C-61_Ord_C-40CConAltC-32C-36varsC-41 arg-1458 arg-1461))) (lambda (arg-1468) (lambda (arg-1471) (CoreC-45Ord-u--max_Ord_C-40CConAltC-32C-36varsC-41 arg-1468 arg-1471))) (lambda (arg-1478) (lambda (arg-1481) (CoreC-45Ord-u--min_Ord_C-40CConAltC-32C-36varsC-41 arg-1478 arg-1481)))) e-48 e-111))) (lambda () (PreludeC-45Types-u--compare_Ord_C-40MaybeC-32C-36aC-41 (csegen-2210) e-49 e-112)))))))(else (PreludeC-45EqOrd-u--compare_Ord_Int (CoreC-45Ord-n--8440-6649-u--tag arg-2 arg-1 arg-1) (CoreC-45Ord-n--8440-6649-u--tag arg-2 arg-1 arg-2)))))))) ((11) (let ((e-52 (vector-ref arg-1 2))) (let ((e-53 (vector-ref arg-1 3))) (let ((e-54 (vector-ref arg-1 4))) (case (vector-ref arg-2 0) ((11) (let ((e-115 (vector-ref arg-2 2))) (let ((e-116 (vector-ref arg-2 3))) (let ((e-117 (vector-ref arg-2 4))) (CoreC-45Ord-thenCmp (CoreC-45Ord-thenCmp (CoreC-45Ord-u--compare_Ord_C-40CExpC-32C-36varsC-41 e-52 e-115) (lambda () (PreludeC-45Types-u--compare_Ord_C-40ListC-32C-36aC-41 (vector (csegen-2260) (lambda (arg-1418) (lambda (arg-1421) (CoreC-45Ord-u--compare_Ord_C-40CConstAltC-32C-36varsC-41 arg-1418 arg-1421))) (lambda (arg-1428) (lambda (arg-1431) (CoreC-45Ord-u--C-60_Ord_C-40CConstAltC-32C-36varsC-41 arg-1428 arg-1431))) (lambda (arg-1438) (lambda (arg-1441) (CoreC-45Ord-u--C-62_Ord_C-40CConstAltC-32C-36varsC-41 arg-1438 arg-1441))) (lambda (arg-1448) (lambda (arg-1451) (CoreC-45Ord-u--C-60C-61_Ord_C-40CConstAltC-32C-36varsC-41 arg-1448 arg-1451))) (lambda (arg-1458) (lambda (arg-1461) (CoreC-45Ord-u--C-62C-61_Ord_C-40CConstAltC-32C-36varsC-41 arg-1458 arg-1461))) (lambda (arg-1468) (lambda (arg-1471) (CoreC-45Ord-u--max_Ord_C-40CConstAltC-32C-36varsC-41 arg-1468 arg-1471))) (lambda (arg-1478) (lambda (arg-1481) (CoreC-45Ord-u--min_Ord_C-40CConstAltC-32C-36varsC-41 arg-1478 arg-1481)))) e-53 e-116))) (lambda () (PreludeC-45Types-u--compare_Ord_C-40MaybeC-32C-36aC-41 (csegen-2210) e-54 e-117)))))))(else (PreludeC-45EqOrd-u--compare_Ord_Int (CoreC-45Ord-n--8440-6649-u--tag arg-2 arg-1 arg-1) (CoreC-45Ord-n--8440-6649-u--tag arg-2 arg-1 arg-2)))))))) ((12) (let ((e-57 (vector-ref arg-1 2))) (case (vector-ref arg-2 0) ((12) (let ((e-120 (vector-ref arg-2 2))) (CoreC-45Ord-u--compare_Ord_Constant e-57 e-120)))(else (PreludeC-45EqOrd-u--compare_Ord_Int (CoreC-45Ord-n--8440-6649-u--tag arg-2 arg-1 arg-1) (CoreC-45Ord-n--8440-6649-u--tag arg-2 arg-1 arg-2)))))) ((13) (case (vector-ref arg-2 0) ((13) 1)(else (PreludeC-45EqOrd-u--compare_Ord_Int (CoreC-45Ord-n--8440-6649-u--tag arg-2 arg-1 arg-1) (CoreC-45Ord-n--8440-6649-u--tag arg-2 arg-1 arg-2))))) ((14) (let ((e-62 (vector-ref arg-1 2))) (case (vector-ref arg-2 0) ((14) (let ((e-125 (vector-ref arg-2 2))) (PreludeC-45EqOrd-u--compare_Ord_String e-62 e-125)))(else (PreludeC-45EqOrd-u--compare_Ord_Int (CoreC-45Ord-n--8440-6649-u--tag arg-2 arg-1 arg-1) (CoreC-45Ord-n--8440-6649-u--tag arg-2 arg-1 arg-2))))))(else (PreludeC-45EqOrd-u--compare_Ord_Int (CoreC-45Ord-n--8440-6649-u--tag arg-2 arg-1 arg-1) (CoreC-45Ord-n--8440-6649-u--tag arg-2 arg-1 arg-2))))))
(define CoreC-45Ord-u--compare_Ord_C-40CConstAltC-32C-36varsC-41 (lambda (arg-1 arg-2) (let ((e-1 (car arg-1))) (let ((e-2 (cdr arg-1))) (let ((e-4 (car arg-2))) (let ((e-5 (cdr arg-2))) (CoreC-45Ord-thenCmp (CoreC-45Ord-u--compare_Ord_Constant e-1 e-4) (lambda () (CoreC-45Ord-u--compare_Ord_C-40CExpC-32C-36varsC-41 e-2 e-5)))))))))
(define CoreC-45Ord-u--compare_Ord_C-40CConAltC-32C-36varsC-41 (lambda (arg-1 arg-2) (let ((e-1 (vector-ref arg-1 0))) (let ((e-3 (vector-ref arg-1 2))) (let ((e-4 (vector-ref arg-1 3))) (let ((e-5 (vector-ref arg-1 4))) (let ((e-7 (vector-ref arg-2 0))) (let ((e-9 (vector-ref arg-2 2))) (let ((e-10 (vector-ref arg-2 3))) (let ((e-11 (vector-ref arg-2 4))) (CoreC-45Ord-thenCmp (CoreC-45Ord-thenCmp (PreludeC-45Types-u--compare_Ord_C-40MaybeC-32C-36aC-41 (csegen-298) e-3 e-9) (lambda () (CoreC-45Name-u--compare_Ord_Name e-1 e-7))) (let ((sc0 (CoreC-45Name-namesEq e-4 e-10))) (if (null? sc0) (lambda () (PreludeC-45Types-u--compare_Ord_C-40ListC-32C-36aC-41 (csegen-1609) e-4 e-10)) (lambda () (CoreC-45Ord-u--compare_Ord_C-40CExpC-32C-36varsC-41 e-5 e-11)))))))))))))))
(define CoreC-45Ord-u--C-62_Ord_Constant (lambda (arg-0 arg-1) (PreludeC-45EqOrd-u--C-61C-61_Eq_Ordering (CoreC-45Ord-u--compare_Ord_Constant arg-0 arg-1) 2)))
(define CoreC-45Ord-u--C-62_Ord_C-40CExpC-32C-36varsC-41 (lambda (arg-1 arg-2) (PreludeC-45EqOrd-u--C-61C-61_Eq_Ordering (CoreC-45Ord-u--compare_Ord_C-40CExpC-32C-36varsC-41 arg-1 arg-2) 2)))
(define CoreC-45Ord-u--C-62_Ord_C-40CConstAltC-32C-36varsC-41 (lambda (arg-1 arg-2) (PreludeC-45EqOrd-u--C-61C-61_Eq_Ordering (CoreC-45Ord-u--compare_Ord_C-40CConstAltC-32C-36varsC-41 arg-1 arg-2) 2)))
(define CoreC-45Ord-u--C-62_Ord_C-40CConAltC-32C-36varsC-41 (lambda (arg-1 arg-2) (PreludeC-45EqOrd-u--C-61C-61_Eq_Ordering (CoreC-45Ord-u--compare_Ord_C-40CConAltC-32C-36varsC-41 arg-1 arg-2) 2)))
(define CoreC-45Ord-u--C-62C-61_Ord_Constant (lambda (arg-0 arg-1) (PreludeC-45EqOrd-u--C-47C-61_Eq_Ordering (CoreC-45Ord-u--compare_Ord_Constant arg-0 arg-1) 0)))
(define CoreC-45Ord-u--C-62C-61_Ord_C-40CExpC-32C-36varsC-41 (lambda (arg-1 arg-2) (PreludeC-45EqOrd-u--C-47C-61_Eq_Ordering (CoreC-45Ord-u--compare_Ord_C-40CExpC-32C-36varsC-41 arg-1 arg-2) 0)))
(define CoreC-45Ord-u--C-62C-61_Ord_C-40CConstAltC-32C-36varsC-41 (lambda (arg-1 arg-2) (PreludeC-45EqOrd-u--C-47C-61_Eq_Ordering (CoreC-45Ord-u--compare_Ord_C-40CConstAltC-32C-36varsC-41 arg-1 arg-2) 0)))
(define CoreC-45Ord-u--C-62C-61_Ord_C-40CConAltC-32C-36varsC-41 (lambda (arg-1 arg-2) (PreludeC-45EqOrd-u--C-47C-61_Eq_Ordering (CoreC-45Ord-u--compare_Ord_C-40CConAltC-32C-36varsC-41 arg-1 arg-2) 0)))
(define CoreC-45Ord-u--C-61C-61_Eq_C-40CExpC-32C-36varsC-41 (lambda (arg-1 arg-2) (case (vector-ref arg-1 0) ((0) (let ((e-2 (vector-ref arg-1 1))) (case (vector-ref arg-2 0) ((0) (let ((e-65 (vector-ref arg-2 1))) (or (and (= e-2 e-65) 1) 0)))(else 0)))) ((1) (let ((e-7 (vector-ref arg-1 2))) (case (vector-ref arg-2 0) ((1) (let ((e-70 (vector-ref arg-2 2))) (CoreC-45Name-u--C-61C-61_Eq_Name e-7 e-70)))(else 0)))) ((2) (let ((e-10 (vector-ref arg-1 2))) (let ((e-11 (vector-ref arg-1 3))) (case (vector-ref arg-2 0) ((2) (let ((e-73 (vector-ref arg-2 2))) (let ((e-74 (vector-ref arg-2 3))) (let ((sc2 (CoreC-45Name-nameEq e-10 e-73))) (if (null? sc2) 0 (CoreC-45Ord-u--C-61C-61_Eq_C-40CExpC-32C-36varsC-41 e-11 e-74))))))(else 0))))) ((3) (let ((e-14 (vector-ref arg-1 2))) (let ((e-16 (vector-ref arg-1 4))) (let ((e-17 (vector-ref arg-1 5))) (case (vector-ref arg-2 0) ((3) (let ((e-77 (vector-ref arg-2 2))) (let ((e-79 (vector-ref arg-2 4))) (let ((e-80 (vector-ref arg-2 5))) (let ((sc2 (CoreC-45Name-nameEq e-14 e-77))) (if (null? sc2) 0 (let ((sc3 (CoreC-45Ord-u--C-61C-61_Eq_C-40CExpC-32C-36varsC-41 e-16 e-79))) (cond ((equal? sc3 1) (CoreC-45Ord-u--C-61C-61_Eq_C-40CExpC-32C-36varsC-41 e-17 e-80)) (else 0)))))))))(else 0)))))) ((4) (let ((e-20 (vector-ref arg-1 2))) (let ((e-21 (vector-ref arg-1 3))) (case (vector-ref arg-2 0) ((4) (let ((e-83 (vector-ref arg-2 2))) (let ((e-84 (vector-ref arg-2 3))) (let ((sc2 (CoreC-45Ord-u--C-61C-61_Eq_C-40CExpC-32C-36varsC-41 e-20 e-83))) (cond ((equal? sc2 1) (PreludeC-45Types-u--C-61C-61_Eq_C-40ListC-32C-36aC-41 (csegen-2191) e-21 e-84)) (else 0))))))(else 0))))) ((5) (let ((e-24 (vector-ref arg-1 2))) (let ((e-26 (vector-ref arg-1 4))) (let ((e-27 (vector-ref arg-1 5))) (case (vector-ref arg-2 0) ((5) (let ((e-87 (vector-ref arg-2 2))) (let ((e-89 (vector-ref arg-2 4))) (let ((e-90 (vector-ref arg-2 5))) (let ((sc2 (PreludeC-45Types-u--C-61C-61_Eq_C-40MaybeC-32C-36aC-41 (csegen-290) e-26 e-89))) (cond ((equal? sc2 1) (let ((sc3 (CoreC-45Name-u--C-61C-61_Eq_Name e-24 e-87))) (cond ((equal? sc3 1) (PreludeC-45Types-u--C-61C-61_Eq_C-40ListC-32C-36aC-41 (csegen-2191) e-27 e-90)) (else 0)))) (else 0)))))))(else 0)))))) ((6) (let ((e-31 (vector-ref arg-1 3))) (let ((e-32 (vector-ref arg-1 4))) (case (vector-ref arg-2 0) ((6) (let ((e-94 (vector-ref arg-2 3))) (let ((e-95 (vector-ref arg-2 4))) (let ((sc2 (CoreC-45Ord-primFnEq e-31 e-94))) (if (null? sc2) 0 (DataC-45Vect-u--C-61C-61_Eq_C-40C-40VectC-32C-36nC-41C-32C-36aC-41 (csegen-2191) e-32 e-95))))))(else 0))))) ((7) (let ((e-35 (vector-ref arg-1 2))) (let ((e-36 (vector-ref arg-1 3))) (case (vector-ref arg-2 0) ((7) (let ((e-98 (vector-ref arg-2 2))) (let ((e-99 (vector-ref arg-2 3))) (let ((sc2 (CoreC-45Name-u--C-61C-61_Eq_Name e-35 e-98))) (cond ((equal? sc2 1) (PreludeC-45Types-u--C-61C-61_Eq_C-40ListC-32C-36aC-41 (csegen-2191) e-36 e-99)) (else 0))))))(else 0))))) ((8) (let ((e-39 (vector-ref arg-1 2))) (let ((e-40 (vector-ref arg-1 3))) (case (vector-ref arg-2 0) ((8) (let ((e-102 (vector-ref arg-2 2))) (let ((e-103 (vector-ref arg-2 3))) (let ((sc2 (CoreC-45TT-u--C-61C-61_Eq_LazyReason e-39 e-102))) (cond ((equal? sc2 1) (CoreC-45Ord-u--C-61C-61_Eq_C-40CExpC-32C-36varsC-41 e-40 e-103)) (else 0))))))(else 0))))) ((9) (let ((e-43 (vector-ref arg-1 2))) (let ((e-44 (vector-ref arg-1 3))) (case (vector-ref arg-2 0) ((9) (let ((e-106 (vector-ref arg-2 2))) (let ((e-107 (vector-ref arg-2 3))) (let ((sc2 (CoreC-45TT-u--C-61C-61_Eq_LazyReason e-43 e-106))) (cond ((equal? sc2 1) (CoreC-45Ord-u--C-61C-61_Eq_C-40CExpC-32C-36varsC-41 e-44 e-107)) (else 0))))))(else 0))))) ((10) (let ((e-47 (vector-ref arg-1 2))) (let ((e-48 (vector-ref arg-1 3))) (let ((e-49 (vector-ref arg-1 4))) (case (vector-ref arg-2 0) ((10) (let ((e-110 (vector-ref arg-2 2))) (let ((e-111 (vector-ref arg-2 3))) (let ((e-112 (vector-ref arg-2 4))) (let ((sc2 (CoreC-45Ord-u--C-61C-61_Eq_C-40CExpC-32C-36varsC-41 e-47 e-110))) (cond ((equal? sc2 1) (let ((sc3 (PreludeC-45Types-u--C-61C-61_Eq_C-40ListC-32C-36aC-41 (csegen-2249) e-48 e-111))) (cond ((equal? sc3 1) (PreludeC-45Types-u--C-61C-61_Eq_C-40MaybeC-32C-36aC-41 (csegen-2191) e-49 e-112)) (else 0)))) (else 0)))))))(else 0)))))) ((11) (let ((e-52 (vector-ref arg-1 2))) (let ((e-53 (vector-ref arg-1 3))) (let ((e-54 (vector-ref arg-1 4))) (case (vector-ref arg-2 0) ((11) (let ((e-115 (vector-ref arg-2 2))) (let ((e-116 (vector-ref arg-2 3))) (let ((e-117 (vector-ref arg-2 4))) (let ((sc2 (CoreC-45Ord-u--C-61C-61_Eq_C-40CExpC-32C-36varsC-41 e-52 e-115))) (cond ((equal? sc2 1) (let ((sc3 (PreludeC-45Types-u--C-61C-61_Eq_C-40ListC-32C-36aC-41 (csegen-2260) e-53 e-116))) (cond ((equal? sc3 1) (PreludeC-45Types-u--C-61C-61_Eq_C-40MaybeC-32C-36aC-41 (csegen-2191) e-54 e-117)) (else 0)))) (else 0)))))))(else 0)))))) ((12) (let ((e-57 (vector-ref arg-1 2))) (case (vector-ref arg-2 0) ((12) (let ((e-120 (vector-ref arg-2 2))) (CoreC-45TT-u--C-61C-61_Eq_Constant e-57 e-120)))(else 0)))) ((13) (case (vector-ref arg-2 0) ((13) 1)(else 0))) ((14) (let ((e-62 (vector-ref arg-1 2))) (case (vector-ref arg-2 0) ((14) (let ((e-125 (vector-ref arg-2 2))) (PreludeC-45EqOrd-u--C-61C-61_Eq_String e-62 e-125)))(else 0))))(else 0))))
(define CoreC-45Ord-u--C-61C-61_Eq_C-40CConstAltC-32C-36varsC-41 (lambda (arg-1 arg-2) (let ((e-1 (car arg-1))) (let ((e-2 (cdr arg-1))) (let ((e-4 (car arg-2))) (let ((e-5 (cdr arg-2))) (let ((sc2 (CoreC-45TT-u--C-61C-61_Eq_Constant e-1 e-4))) (cond ((equal? sc2 1) (CoreC-45Ord-u--C-61C-61_Eq_C-40CExpC-32C-36varsC-41 e-2 e-5)) (else 0)))))))))
(define CoreC-45Ord-u--C-61C-61_Eq_C-40CConAltC-32C-36varsC-41 (lambda (arg-1 arg-2) (let ((e-1 (vector-ref arg-1 0))) (let ((e-3 (vector-ref arg-1 2))) (let ((e-4 (vector-ref arg-1 3))) (let ((e-5 (vector-ref arg-1 4))) (let ((e-7 (vector-ref arg-2 0))) (let ((e-9 (vector-ref arg-2 2))) (let ((e-10 (vector-ref arg-2 3))) (let ((e-11 (vector-ref arg-2 4))) (let ((sc0 (PreludeC-45Types-u--C-61C-61_Eq_C-40MaybeC-32C-36aC-41 (csegen-290) e-3 e-9))) (cond ((equal? sc0 1) (let ((sc1 (CoreC-45Name-u--C-61C-61_Eq_Name e-1 e-7))) (cond ((equal? sc1 1) ((let ((sc2 (CoreC-45Name-namesEq e-4 e-10))) (if (null? sc2) (lambda () 0) (lambda () (CoreC-45Ord-u--C-61C-61_Eq_C-40CExpC-32C-36varsC-41 e-5 e-11)))))) (else 0)))) (else 0)))))))))))))
(define CoreC-45Ord-u--C-60_Ord_Constant (lambda (arg-0 arg-1) (PreludeC-45EqOrd-u--C-61C-61_Eq_Ordering (CoreC-45Ord-u--compare_Ord_Constant arg-0 arg-1) 0)))
(define CoreC-45Ord-u--C-60_Ord_C-40CExpC-32C-36varsC-41 (lambda (arg-1 arg-2) (PreludeC-45EqOrd-u--C-61C-61_Eq_Ordering (CoreC-45Ord-u--compare_Ord_C-40CExpC-32C-36varsC-41 arg-1 arg-2) 0)))
(define CoreC-45Ord-u--C-60_Ord_C-40CConstAltC-32C-36varsC-41 (lambda (arg-1 arg-2) (PreludeC-45EqOrd-u--C-61C-61_Eq_Ordering (CoreC-45Ord-u--compare_Ord_C-40CConstAltC-32C-36varsC-41 arg-1 arg-2) 0)))
(define CoreC-45Ord-u--C-60_Ord_C-40CConAltC-32C-36varsC-41 (lambda (arg-1 arg-2) (PreludeC-45EqOrd-u--C-61C-61_Eq_Ordering (CoreC-45Ord-u--compare_Ord_C-40CConAltC-32C-36varsC-41 arg-1 arg-2) 0)))
(define CoreC-45Ord-u--C-60C-61_Ord_Constant (lambda (arg-0 arg-1) (PreludeC-45EqOrd-u--C-47C-61_Eq_Ordering (CoreC-45Ord-u--compare_Ord_Constant arg-0 arg-1) 2)))
(define CoreC-45Ord-u--C-60C-61_Ord_C-40CExpC-32C-36varsC-41 (lambda (arg-1 arg-2) (PreludeC-45EqOrd-u--C-47C-61_Eq_Ordering (CoreC-45Ord-u--compare_Ord_C-40CExpC-32C-36varsC-41 arg-1 arg-2) 2)))
(define CoreC-45Ord-u--C-60C-61_Ord_C-40CConstAltC-32C-36varsC-41 (lambda (arg-1 arg-2) (PreludeC-45EqOrd-u--C-47C-61_Eq_Ordering (CoreC-45Ord-u--compare_Ord_C-40CConstAltC-32C-36varsC-41 arg-1 arg-2) 2)))
(define CoreC-45Ord-u--C-60C-61_Ord_C-40CConAltC-32C-36varsC-41 (lambda (arg-1 arg-2) (PreludeC-45EqOrd-u--C-47C-61_Eq_Ordering (CoreC-45Ord-u--compare_Ord_C-40CConAltC-32C-36varsC-41 arg-1 arg-2) 2)))
(define CoreC-45Ord-u--C-47C-61_Eq_C-40CExpC-32C-36varsC-41 (lambda (arg-1 arg-2) (let ((sc0 (CoreC-45Ord-u--C-61C-61_Eq_C-40CExpC-32C-36varsC-41 arg-1 arg-2))) (cond ((equal? sc0 1) 0) (else 1)))))
(define CoreC-45Ord-u--C-47C-61_Eq_C-40CConstAltC-32C-36varsC-41 (lambda (arg-1 arg-2) (let ((sc0 (CoreC-45Ord-u--C-61C-61_Eq_C-40CConstAltC-32C-36varsC-41 arg-1 arg-2))) (cond ((equal? sc0 1) 0) (else 1)))))
(define CoreC-45Ord-u--C-47C-61_Eq_C-40CConAltC-32C-36varsC-41 (lambda (arg-1 arg-2) (let ((sc0 (CoreC-45Ord-u--C-61C-61_Eq_C-40CConAltC-32C-36varsC-41 arg-1 arg-2))) (cond ((equal? sc0 1) 0) (else 1)))))
(define CoreC-45Ord-thenCmp (lambda (arg-0 arg-1) (cond ((equal? arg-0 0) 0) ((equal? arg-0 1) (arg-1)) (else 2))))
(define CoreC-45Ord-primFnEq (lambda (arg-2 arg-3) (case (vector-ref arg-2 0) ((0) (let ((e-0 (vector-ref arg-2 1))) (case (vector-ref arg-3 0) ((0) (let ((e-18 (vector-ref arg-3 1))) (let ((sc2 (CoreC-45TT-u--C-61C-61_Eq_PrimType e-0 e-18))) (cond ((equal? sc2 1) (box (vector 0 ))) (else '())))))(else '())))) ((1) (let ((e-1 (vector-ref arg-2 1))) (case (vector-ref arg-3 0) ((1) (let ((e-19 (vector-ref arg-3 1))) (let ((sc2 (CoreC-45TT-u--C-61C-61_Eq_PrimType e-1 e-19))) (cond ((equal? sc2 1) (box (vector 0 ))) (else '())))))(else '())))) ((2) (let ((e-2 (vector-ref arg-2 1))) (case (vector-ref arg-3 0) ((2) (let ((e-20 (vector-ref arg-3 1))) (let ((sc2 (CoreC-45TT-u--C-61C-61_Eq_PrimType e-2 e-20))) (cond ((equal? sc2 1) (box (vector 0 ))) (else '())))))(else '())))) ((3) (let ((e-3 (vector-ref arg-2 1))) (case (vector-ref arg-3 0) ((3) (let ((e-21 (vector-ref arg-3 1))) (let ((sc2 (CoreC-45TT-u--C-61C-61_Eq_PrimType e-3 e-21))) (cond ((equal? sc2 1) (box (vector 0 ))) (else '())))))(else '())))) ((4) (let ((e-4 (vector-ref arg-2 1))) (case (vector-ref arg-3 0) ((4) (let ((e-22 (vector-ref arg-3 1))) (let ((sc2 (CoreC-45TT-u--C-61C-61_Eq_PrimType e-4 e-22))) (cond ((equal? sc2 1) (box (vector 0 ))) (else '())))))(else '())))) ((5) (let ((e-5 (vector-ref arg-2 1))) (case (vector-ref arg-3 0) ((5) (let ((e-23 (vector-ref arg-3 1))) (let ((sc2 (CoreC-45TT-u--C-61C-61_Eq_PrimType e-5 e-23))) (cond ((equal? sc2 1) (box (vector 0 ))) (else '())))))(else '())))) ((6) (let ((e-6 (vector-ref arg-2 1))) (case (vector-ref arg-3 0) ((6) (let ((e-24 (vector-ref arg-3 1))) (let ((sc2 (CoreC-45TT-u--C-61C-61_Eq_PrimType e-6 e-24))) (cond ((equal? sc2 1) (box (vector 0 ))) (else '())))))(else '())))) ((7) (let ((e-7 (vector-ref arg-2 1))) (case (vector-ref arg-3 0) ((7) (let ((e-25 (vector-ref arg-3 1))) (let ((sc2 (CoreC-45TT-u--C-61C-61_Eq_PrimType e-7 e-25))) (cond ((equal? sc2 1) (box (vector 0 ))) (else '())))))(else '())))) ((8) (let ((e-8 (vector-ref arg-2 1))) (case (vector-ref arg-3 0) ((8) (let ((e-26 (vector-ref arg-3 1))) (let ((sc2 (CoreC-45TT-u--C-61C-61_Eq_PrimType e-8 e-26))) (cond ((equal? sc2 1) (box (vector 0 ))) (else '())))))(else '())))) ((9) (let ((e-9 (vector-ref arg-2 1))) (case (vector-ref arg-3 0) ((9) (let ((e-27 (vector-ref arg-3 1))) (let ((sc2 (CoreC-45TT-u--C-61C-61_Eq_PrimType e-9 e-27))) (cond ((equal? sc2 1) (box (vector 0 ))) (else '())))))(else '())))) ((10) (let ((e-10 (vector-ref arg-2 1))) (case (vector-ref arg-3 0) ((10) (let ((e-28 (vector-ref arg-3 1))) (let ((sc2 (CoreC-45TT-u--C-61C-61_Eq_PrimType e-10 e-28))) (cond ((equal? sc2 1) (box (vector 0 ))) (else '())))))(else '())))) ((11) (let ((e-11 (vector-ref arg-2 1))) (case (vector-ref arg-3 0) ((11) (let ((e-29 (vector-ref arg-3 1))) (let ((sc2 (CoreC-45TT-u--C-61C-61_Eq_PrimType e-11 e-29))) (cond ((equal? sc2 1) (box (vector 0 ))) (else '())))))(else '())))) ((12) (let ((e-12 (vector-ref arg-2 1))) (case (vector-ref arg-3 0) ((12) (let ((e-30 (vector-ref arg-3 1))) (let ((sc2 (CoreC-45TT-u--C-61C-61_Eq_PrimType e-12 e-30))) (cond ((equal? sc2 1) (box (vector 0 ))) (else '())))))(else '())))) ((13) (let ((e-13 (vector-ref arg-2 1))) (case (vector-ref arg-3 0) ((13) (let ((e-31 (vector-ref arg-3 1))) (let ((sc2 (CoreC-45TT-u--C-61C-61_Eq_PrimType e-13 e-31))) (cond ((equal? sc2 1) (box (vector 0 ))) (else '())))))(else '())))) ((14) (let ((e-14 (vector-ref arg-2 1))) (case (vector-ref arg-3 0) ((14) (let ((e-32 (vector-ref arg-3 1))) (let ((sc2 (CoreC-45TT-u--C-61C-61_Eq_PrimType e-14 e-32))) (cond ((equal? sc2 1) (box (vector 0 ))) (else '())))))(else '())))) ((15) (let ((e-15 (vector-ref arg-2 1))) (case (vector-ref arg-3 0) ((15) (let ((e-33 (vector-ref arg-3 1))) (let ((sc2 (CoreC-45TT-u--C-61C-61_Eq_PrimType e-15 e-33))) (cond ((equal? sc2 1) (box (vector 0 ))) (else '())))))(else '())))) ((16) (case (vector-ref arg-3 0) ((16) (box (vector 0 )))(else '()))) ((17) (case (vector-ref arg-3 0) ((17) (box (vector 0 )))(else '()))) ((18) (case (vector-ref arg-3 0) ((18) (box (vector 0 )))(else '()))) ((19) (case (vector-ref arg-3 0) ((19) (box (vector 0 )))(else '()))) ((20) (case (vector-ref arg-3 0) ((20) (box (vector 0 )))(else '()))) ((21) (case (vector-ref arg-3 0) ((21) (box (vector 0 )))(else '()))) ((22) (case (vector-ref arg-3 0) ((22) (box (vector 0 )))(else '()))) ((23) (case (vector-ref arg-3 0) ((23) (box (vector 0 )))(else '()))) ((24) (case (vector-ref arg-3 0) ((24) (box (vector 0 )))(else '()))) ((25) (case (vector-ref arg-3 0) ((25) (box (vector 0 )))(else '()))) ((26) (case (vector-ref arg-3 0) ((26) (box (vector 0 )))(else '()))) ((27) (case (vector-ref arg-3 0) ((27) (box (vector 0 )))(else '()))) ((28) (case (vector-ref arg-3 0) ((28) (box (vector 0 )))(else '()))) ((29) (case (vector-ref arg-3 0) ((29) (box (vector 0 )))(else '()))) ((30) (case (vector-ref arg-3 0) ((30) (box (vector 0 )))(else '()))) ((31) (case (vector-ref arg-3 0) ((31) (box (vector 0 )))(else '()))) ((32) (case (vector-ref arg-3 0) ((32) (box (vector 0 )))(else '()))) ((33) (case (vector-ref arg-3 0) ((33) (box (vector 0 )))(else '()))) ((34) (case (vector-ref arg-3 0) ((34) (box (vector 0 )))(else '()))) ((35) (case (vector-ref arg-3 0) ((35) (box (vector 0 )))(else '()))) ((36) (let ((e-16 (vector-ref arg-2 1))) (let ((e-17 (vector-ref arg-2 2))) (case (vector-ref arg-3 0) ((36) (let ((e-34 (vector-ref arg-3 1))) (let ((e-35 (vector-ref arg-3 2))) (let ((sc2 (let ((sc3 (CoreC-45TT-u--C-61C-61_Eq_PrimType e-16 e-34))) (cond ((equal? sc3 1) (CoreC-45TT-u--C-61C-61_Eq_PrimType e-17 e-35)) (else 0))))) (cond ((equal? sc2 1) (box (vector 0 ))) (else '()))))))(else '()))))) ((37) (case (vector-ref arg-3 0) ((37) (box (vector 0 )))(else '()))) ((38) (case (vector-ref arg-3 0) ((38) (box (vector 0 )))(else '())))(else '()))))
(define CoreC-45Ord-primFnCmp (lambda (arg-2 arg-3) (case (vector-ref arg-2 0) ((0) (let ((e-0 (vector-ref arg-2 1))) (case (vector-ref arg-3 0) ((0) (let ((e-18 (vector-ref arg-3 1))) (CoreC-45Ord-u--compare_Ord_PrimType e-0 e-18)))(else (PreludeC-45EqOrd-u--compare_Ord_Int (CoreC-45Ord-n--6724-4534-u--tag arg-3 arg-2 arg-2) (CoreC-45Ord-n--6724-4534-u--tag arg-3 arg-2 arg-3)))))) ((1) (let ((e-1 (vector-ref arg-2 1))) (case (vector-ref arg-3 0) ((1) (let ((e-19 (vector-ref arg-3 1))) (CoreC-45Ord-u--compare_Ord_PrimType e-1 e-19)))(else (PreludeC-45EqOrd-u--compare_Ord_Int (CoreC-45Ord-n--6724-4534-u--tag arg-3 arg-2 arg-2) (CoreC-45Ord-n--6724-4534-u--tag arg-3 arg-2 arg-3)))))) ((2) (let ((e-2 (vector-ref arg-2 1))) (case (vector-ref arg-3 0) ((2) (let ((e-20 (vector-ref arg-3 1))) (CoreC-45Ord-u--compare_Ord_PrimType e-2 e-20)))(else (PreludeC-45EqOrd-u--compare_Ord_Int (CoreC-45Ord-n--6724-4534-u--tag arg-3 arg-2 arg-2) (CoreC-45Ord-n--6724-4534-u--tag arg-3 arg-2 arg-3)))))) ((3) (let ((e-3 (vector-ref arg-2 1))) (case (vector-ref arg-3 0) ((3) (let ((e-21 (vector-ref arg-3 1))) (CoreC-45Ord-u--compare_Ord_PrimType e-3 e-21)))(else (PreludeC-45EqOrd-u--compare_Ord_Int (CoreC-45Ord-n--6724-4534-u--tag arg-3 arg-2 arg-2) (CoreC-45Ord-n--6724-4534-u--tag arg-3 arg-2 arg-3)))))) ((4) (let ((e-4 (vector-ref arg-2 1))) (case (vector-ref arg-3 0) ((4) (let ((e-22 (vector-ref arg-3 1))) (CoreC-45Ord-u--compare_Ord_PrimType e-4 e-22)))(else (PreludeC-45EqOrd-u--compare_Ord_Int (CoreC-45Ord-n--6724-4534-u--tag arg-3 arg-2 arg-2) (CoreC-45Ord-n--6724-4534-u--tag arg-3 arg-2 arg-3)))))) ((5) (let ((e-5 (vector-ref arg-2 1))) (case (vector-ref arg-3 0) ((5) (let ((e-23 (vector-ref arg-3 1))) (CoreC-45Ord-u--compare_Ord_PrimType e-5 e-23)))(else (PreludeC-45EqOrd-u--compare_Ord_Int (CoreC-45Ord-n--6724-4534-u--tag arg-3 arg-2 arg-2) (CoreC-45Ord-n--6724-4534-u--tag arg-3 arg-2 arg-3)))))) ((6) (let ((e-6 (vector-ref arg-2 1))) (case (vector-ref arg-3 0) ((6) (let ((e-24 (vector-ref arg-3 1))) (CoreC-45Ord-u--compare_Ord_PrimType e-6 e-24)))(else (PreludeC-45EqOrd-u--compare_Ord_Int (CoreC-45Ord-n--6724-4534-u--tag arg-3 arg-2 arg-2) (CoreC-45Ord-n--6724-4534-u--tag arg-3 arg-2 arg-3)))))) ((7) (let ((e-7 (vector-ref arg-2 1))) (case (vector-ref arg-3 0) ((7) (let ((e-25 (vector-ref arg-3 1))) (CoreC-45Ord-u--compare_Ord_PrimType e-7 e-25)))(else (PreludeC-45EqOrd-u--compare_Ord_Int (CoreC-45Ord-n--6724-4534-u--tag arg-3 arg-2 arg-2) (CoreC-45Ord-n--6724-4534-u--tag arg-3 arg-2 arg-3)))))) ((8) (let ((e-8 (vector-ref arg-2 1))) (case (vector-ref arg-3 0) ((8) (let ((e-26 (vector-ref arg-3 1))) (CoreC-45Ord-u--compare_Ord_PrimType e-8 e-26)))(else (PreludeC-45EqOrd-u--compare_Ord_Int (CoreC-45Ord-n--6724-4534-u--tag arg-3 arg-2 arg-2) (CoreC-45Ord-n--6724-4534-u--tag arg-3 arg-2 arg-3)))))) ((9) (let ((e-9 (vector-ref arg-2 1))) (case (vector-ref arg-3 0) ((9) (let ((e-27 (vector-ref arg-3 1))) (CoreC-45Ord-u--compare_Ord_PrimType e-9 e-27)))(else (PreludeC-45EqOrd-u--compare_Ord_Int (CoreC-45Ord-n--6724-4534-u--tag arg-3 arg-2 arg-2) (CoreC-45Ord-n--6724-4534-u--tag arg-3 arg-2 arg-3)))))) ((10) (let ((e-10 (vector-ref arg-2 1))) (case (vector-ref arg-3 0) ((10) (let ((e-28 (vector-ref arg-3 1))) (CoreC-45Ord-u--compare_Ord_PrimType e-10 e-28)))(else (PreludeC-45EqOrd-u--compare_Ord_Int (CoreC-45Ord-n--6724-4534-u--tag arg-3 arg-2 arg-2) (CoreC-45Ord-n--6724-4534-u--tag arg-3 arg-2 arg-3)))))) ((11) (let ((e-11 (vector-ref arg-2 1))) (case (vector-ref arg-3 0) ((11) (let ((e-29 (vector-ref arg-3 1))) (CoreC-45Ord-u--compare_Ord_PrimType e-11 e-29)))(else (PreludeC-45EqOrd-u--compare_Ord_Int (CoreC-45Ord-n--6724-4534-u--tag arg-3 arg-2 arg-2) (CoreC-45Ord-n--6724-4534-u--tag arg-3 arg-2 arg-3)))))) ((12) (let ((e-12 (vector-ref arg-2 1))) (case (vector-ref arg-3 0) ((12) (let ((e-30 (vector-ref arg-3 1))) (CoreC-45Ord-u--compare_Ord_PrimType e-12 e-30)))(else (PreludeC-45EqOrd-u--compare_Ord_Int (CoreC-45Ord-n--6724-4534-u--tag arg-3 arg-2 arg-2) (CoreC-45Ord-n--6724-4534-u--tag arg-3 arg-2 arg-3)))))) ((13) (let ((e-13 (vector-ref arg-2 1))) (case (vector-ref arg-3 0) ((13) (let ((e-31 (vector-ref arg-3 1))) (CoreC-45Ord-u--compare_Ord_PrimType e-13 e-31)))(else (PreludeC-45EqOrd-u--compare_Ord_Int (CoreC-45Ord-n--6724-4534-u--tag arg-3 arg-2 arg-2) (CoreC-45Ord-n--6724-4534-u--tag arg-3 arg-2 arg-3)))))) ((14) (let ((e-14 (vector-ref arg-2 1))) (case (vector-ref arg-3 0) ((14) (let ((e-32 (vector-ref arg-3 1))) (CoreC-45Ord-u--compare_Ord_PrimType e-14 e-32)))(else (PreludeC-45EqOrd-u--compare_Ord_Int (CoreC-45Ord-n--6724-4534-u--tag arg-3 arg-2 arg-2) (CoreC-45Ord-n--6724-4534-u--tag arg-3 arg-2 arg-3)))))) ((15) (let ((e-15 (vector-ref arg-2 1))) (case (vector-ref arg-3 0) ((15) (let ((e-33 (vector-ref arg-3 1))) (CoreC-45Ord-u--compare_Ord_PrimType e-15 e-33)))(else (PreludeC-45EqOrd-u--compare_Ord_Int (CoreC-45Ord-n--6724-4534-u--tag arg-3 arg-2 arg-2) (CoreC-45Ord-n--6724-4534-u--tag arg-3 arg-2 arg-3)))))) ((36) (let ((e-16 (vector-ref arg-2 1))) (let ((e-17 (vector-ref arg-2 2))) (case (vector-ref arg-3 0) ((36) (let ((e-34 (vector-ref arg-3 1))) (let ((e-35 (vector-ref arg-3 2))) (CoreC-45Ord-thenCmp (CoreC-45Ord-u--compare_Ord_PrimType e-16 e-34) (lambda () (CoreC-45Ord-u--compare_Ord_PrimType e-17 e-35))))))(else (PreludeC-45EqOrd-u--compare_Ord_Int (CoreC-45Ord-n--6724-4534-u--tag arg-3 arg-2 arg-2) (CoreC-45Ord-n--6724-4534-u--tag arg-3 arg-2 arg-3)))))))(else (PreludeC-45EqOrd-u--compare_Ord_Int (CoreC-45Ord-n--6724-4534-u--tag arg-3 arg-2 arg-2) (CoreC-45Ord-n--6724-4534-u--tag arg-3 arg-2 arg-3))))))
(define CoreC-45Ord-lrTag (lambda (arg-0) (cond ((equal? arg-0 0) 0) ((equal? arg-0 1) 1) (else 2))))
(define CompilerC-45NoMangle-case--initNoMangle-12702 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (if (null? arg-6) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (vector 2 ) (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons "No valid %export specifier for " (cons (CoreC-45Name-u--show_Show_Name arg-4) (cons "\xa;  Supported backends: " (cons (CoreC-45NameC-45Namespace-showSep ", " arg-1) (cons "\xa;  Given backends: " (cons (CoreC-45NameC-45Namespace-showSep ", " (PreludeC-45Interfaces-C-60C-36C-62 (csegen-24) (lambda (eta-1) (Builtin-fst eta-1)) arg-5)) '())))))))) eta-0)) (let ((e-1 (unbox arg-6))) (lambda (clam-0) (let ((e-5 (car e-1))) (let ((e-6 (cdr e-1))) (let ((sc2 (arg-0 e-6))) (cond ((equal? sc2 1) (vector 1 e-6)) (else (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (vector 2 ) (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons "\"" (cons e-6 (cons "\" is not a valid name on " (cons e-5 (cons " backend" '()))))))) clam-0)))))))))))
(define CompilerC-45NoMangle-n--6235-12607-u--lookupBackend (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (if (null? arg-3) '() (let ((e-2 (car arg-3))) (let ((e-3 (cdr arg-3))) (let ((sc1 (DataC-45List-lookup (csegen-43) e-2 arg-4))) (if (null? sc1) (CompilerC-45NoMangle-n--6235-12607-u--lookupBackend arg-0 arg-1 arg-2 e-3 arg-4) (let ((e-1 (unbox sc1))) (box (cons e-2 e-1))))))))))
(define CompilerC-45NoMangle-isNoMangle (lambda (arg-0 arg-1) (LibrariesC-45DataC-45NameMap-lookup arg-1 (let ((eff-0 arg-0)) eff-0))))
(define CompilerC-45NoMangle-initNoMangle (lambda (arg-0 arg-1 arg-2) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (LibrariesC-45DataC-45NameMapC-45Traversable-traverseNameMap (lambda (u--name) (lambda (u--exps) (CompilerC-45NoMangle-case--initNoMangle-12702 arg-2 arg-1 arg-0 e-5 u--name u--exps (CompilerC-45NoMangle-n--6235-12607-u--lookupBackend arg-2 arg-1 arg-0 arg-1 u--exps)))) (let ((e-31 (vector-ref e-5 31))) e-31)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45Core-newRef (vector "Compiler.NoMangle.NoMangleMap" ) e-6))) eff-2))))))))) eff-1)))))))))
(define LibrariesC-45DataC-45NameMapC-45Traversable-treeTraverse (lambda (arg-3 arg-4) (case (vector-ref arg-4 0) ((0) (let ((e-1 (vector-ref arg-4 1))) (let ((e-2 (vector-ref arg-4 2))) (let ((eff-0 ((arg-3 e-1) e-2))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-3 (vector-ref eta-3 1))) (vector 0 e-3))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-0) (lambda (arg-1) ((((eff-1 'erased) 'erased) arg-0) arg-1)))) (lambda (eta-0) (vector 0 e-1 eta-0)))) eff-0))))) ((1) (let ((e-5 (vector-ref arg-4 1))) (let ((e-6 (vector-ref arg-4 2))) (let ((e-7 (vector-ref arg-4 3))) (CoreC-45Core-C-60C-42C-62 (let ((eff-0 (LibrariesC-45DataC-45NameMapC-45Traversable-treeTraverse arg-3 e-5))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-8 (vector-ref eta-3 1))) (vector 1 (eta-2 e-8))))))))))) (lambda (arg-0) (lambda (arg-1) ((((eff-1 'erased) 'erased) arg-0) arg-1)))) (lambda (u--lC-39) (lambda (u--rC-39) (vector 1 u--lC-39 e-6 u--rC-39))))) eff-0)) (LibrariesC-45DataC-45NameMapC-45Traversable-treeTraverse arg-3 e-7)))))) (else (let ((e-10 (vector-ref arg-4 1))) (let ((e-11 (vector-ref arg-4 2))) (let ((e-12 (vector-ref arg-4 3))) (let ((e-13 (vector-ref arg-4 4))) (let ((e-14 (vector-ref arg-4 5))) (CoreC-45Core-C-60C-42C-62 (CoreC-45Core-C-60C-42C-62 (let ((eff-0 (LibrariesC-45DataC-45NameMapC-45Traversable-treeTraverse arg-3 e-10))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-0) (lambda (arg-1) ((((eff-1 'erased) 'erased) arg-0) arg-1)))) (lambda (u--lC-39) (lambda (u--mC-39) (lambda (u--rC-39) (vector 2 u--lC-39 e-11 u--mC-39 e-13 u--rC-39)))))) eff-0)) (LibrariesC-45DataC-45NameMapC-45Traversable-treeTraverse arg-3 e-12)) (LibrariesC-45DataC-45NameMapC-45Traversable-treeTraverse arg-3 e-14)))))))))))
(define LibrariesC-45DataC-45NameMapC-45Traversable-traverseNameMap (lambda (arg-2 arg-3) (if (null? arg-3) (lambda (eta-0) (vector 1 '())) (let ((e-2 (car arg-3))) (let ((e-3 (cdr arg-3))) (let ((eff-0 (LibrariesC-45DataC-45NameMapC-45Traversable-treeTraverse arg-2 e-3))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-4 (vector-ref eta-3 1))) (vector 0 e-4))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-0) (lambda (arg-1) ((((eff-1 'erased) 'erased) arg-0) arg-1)))) (lambda (eta-0) (cons e-2 eta-0)))) eff-0)))))))
(define CompilerC-45Inline-case--caseC-32blockC-32inC-32mergeLamDef-7383 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (case (vector-ref arg-5 0) ((1) (let ((e-0 (vector-ref arg-5 1))) (let ((eff-0 (CoreC-45Context-getSession arg-1))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((sc2 (let ((sc3 (DataC-45List-isNil (let ((e-21 (vector-ref e-5 21))) e-21)))) (cond ((equal? sc3 1) 0) (else (let ((e-6 (vector-ref e-0 2))) e-6)))))) (cond ((equal? sc2 1) (lambda (eta-0) (vector 1 (vector 0 )))) (else (let ((e-18 (vector-ref arg-3 18))) (if (null? e-18) (lambda (eta-0) (vector 1 (vector 0 ))) (let ((e-28 (unbox e-18))) (let ((eff-1 (CompilerC-45Inline-mergeLam arg-1 e-28))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-29 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-29)))) (else (let ((e-29 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45Context-setCompiled arg-1 arg-0 e-29))) eff-2))))))))))))))) eff-1)))))))))(else (lambda (eta-0) (vector 1 (vector 0 )))))))
(define CompilerC-45Inline-case--caseC-32blockC-32inC-32updateCallGraph-7163 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (if (null? arg-5) (lambda (eta-0) (vector 1 (vector 0 ))) (let ((e-1 (unbox arg-5))) (let ((u--refs (CompilerC-45Inline-getRefs e-1))) (let ((eff-0 (CoreC-45Context-addDef arg-1 arg-0 (let ((e-0 (vector-ref arg-3 0))) (let ((e-22 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-3 (vector-ref arg-3 3))) (let ((e-4 (vector-ref arg-3 4))) (let ((e-5 (vector-ref arg-3 5))) (let ((e-6 (vector-ref arg-3 6))) (let ((e-7 (vector-ref arg-3 7))) (let ((e-8 (vector-ref arg-3 8))) (let ((e-9 (vector-ref arg-3 9))) (let ((e-10 (vector-ref arg-3 10))) (let ((e-11 (vector-ref arg-3 11))) (let ((e-12 (vector-ref arg-3 12))) (let ((e-14 (vector-ref arg-3 14))) (let ((e-15 (vector-ref arg-3 15))) (let ((e-16 (vector-ref arg-3 16))) (let ((e-17 (vector-ref arg-3 17))) (let ((e-18 (vector-ref arg-3 18))) (let ((e-19 (vector-ref arg-3 19))) (let ((e-20 (vector-ref arg-3 20))) (let ((e-21 (vector-ref arg-3 21))) (vector e-0 e-22 e-2 e-3 e-4 e-5 e-6 e-7 e-8 e-9 e-10 e-11 e-12 (box u--refs) e-14 e-15 e-16 e-17 e-18 e-19 e-20 e-21))))))))))))))))))))))))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-6) (lambda (arg-7) ((((eff-1 'erased) 'erased) arg-6) arg-7)))) (lambda (_-8679) (vector 0 )))) eff-0)))))))
(define CompilerC-45Inline-case--mergeLambdas-6599 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (let ((e-2 (car arg-4))) (let ((e-3 (cdr arg-4))) (let ((e-6 (car e-3))) (let ((e-7 (cdr e-3))) (let ((u--expNs (CoreC-45CompileExpr-substs e-2 arg-1 e-6 e-7))) (let ((u--newArgs (PreludeC-45TypesC-45List-reverse (CompilerC-45Inline-getNewArgs e-2 e-6)))) (let ((u--expLocs (CoreC-45CompileExpr-mkLocals (CoreC-45TTC-45SizeOf-mkSizeOf arg-1) (CompilerC-45Inline-mkBounds u--newArgs) u--expNs))) (cons (PreludeC-45TypesC-45List-tailRecAppend arg-1 (PreludeC-45TypesC-45List-tailRecAppend u--newArgs '())) u--expLocs))))))))))
(define CompilerC-45Inline-case--caseC-32blockC-32inC-32caseC-32blockC-32inC-32eval-4066 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14) (if (null? arg-14) (lambda (eta-0) (vector 1 (CompilerC-45Inline-unload arg-4 (vector 1 arg-3 arg-2)))) (let ((e-1 (unbox arg-14))) (let ((u--arity (CompilerC-45Inline-getArity e-1))) (let ((u--gdefFlags (let ((e-11 (vector-ref arg-12 11))) e-11))) (let ((sc1 (let ((sc2 (PreludeC-45Types-elem (csegen-16) (csegen-1601) (vector 0 ) u--gdefFlags))) (cond ((equal? sc2 1) (let ((sc3 (PreludeC-45Types-elem (csegen-16) (csegen-1008) arg-2 arg-6))) (cond ((equal? sc3 1) 0) (else (let ((sc4 (PreludeC-45Types-elem (csegen-16) (csegen-1601) (vector 1 ) u--gdefFlags))) (cond ((equal? sc4 1) 0) (else 1))))))) (else 0))))) (cond ((equal? sc1 1) (let ((eff-0 (CompilerC-45Inline-tryApply arg-0 arg-1 arg-8 arg-7 (cons arg-2 arg-6) arg-4 arg-5 e-1))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (DataC-45Maybe-fromMaybe (lambda () (CompilerC-45Inline-unloadApp u--arity arg-4 (vector 1 arg-3 arg-2))) e-5))))) eff-1)))))))) (else (lambda (eta-0) (vector 1 (CompilerC-45Inline-unloadApp u--arity arg-4 (vector 1 arg-3 arg-2)))))))))))))
(define CompilerC-45Inline-case--eval-3911 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9) (let ((e-2 (car arg-9))) (let ((e-3 (cdr arg-9))) (cond ((equal? e-2 1) (if (null? e-3) (let ((eff-0 (let ((eff-0 arg-8)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-lookupCtxtExact arg-2 (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-6) (lambda (eta-0) (vector 1 (CompilerC-45Inline-unload arg-4 (vector 1 arg-3 arg-2)))) (let ((e-1 (unbox e-6))) (let ((_-0 (box e-1))) (CompilerC-45Inline-case--caseC-32blockC-32inC-32caseC-32blockC-32inC-32eval-4066 arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 e-3 e-2 e-5 e-1 _-0 (let ((e-18 (vector-ref e-1 18))) e-18))))))) eff-2))))))))) eff-1))))))) (let ((e-5 (car e-3))) (let ((e-6 (cdr e-3))) (if (null? e-6) (let ((eff-0 (let ((eff-0 arg-8)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-7 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-lookupCtxtExact arg-2 (let ((e-0 (vector-ref e-7 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-8 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-8) (lambda (eta-0) (vector 1 (CompilerC-45Inline-unload arg-4 (vector 1 arg-3 arg-2)))) (let ((e-1 (unbox e-8))) (let ((_-0 (box e-1))) (CompilerC-45Inline-case--caseC-32blockC-32inC-32caseC-32blockC-32inC-32eval-4066 arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 e-3 e-2 e-7 e-1 _-0 (let ((e-18 (vector-ref e-1 18))) e-18))))))) eff-2))))))))) eff-1))))))) (let ((e-8 (car e-6))) (let ((e-9 (cdr e-6))) (if (null? e-9) (let ((eff-0 (let ((eff-0 arg-8)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-7 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-lookupCtxtExact arg-2 (let ((e-0 (vector-ref e-7 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-10 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-10) (lambda (eta-0) (vector 1 (CompilerC-45Inline-unload arg-4 (vector 1 arg-3 arg-2)))) (let ((e-1 (unbox e-10))) (let ((_-0 (box e-1))) (CompilerC-45Inline-case--caseC-32blockC-32inC-32caseC-32blockC-32inC-32eval-4066 arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 e-3 e-2 e-7 e-1 _-0 (let ((e-18 (vector-ref e-1 18))) e-18))))))) eff-2))))))))) eff-1))))))) (let ((e-11 (car e-9))) (let ((e-12 (cdr e-9))) (let ((eff-0 (CompilerC-45Inline-genName arg-7 "act"))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-7 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CompilerC-45Inline-eval '() arg-1 arg-8 arg-7 arg-6 '() '() (vector 4 arg-3 e-8 (cons (vector 1 arg-3 e-7) (cons e-11 '())))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-10 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (CompilerC-45Inline-unload e-12 (vector 3 arg-3 e-7 0 (vector 4 arg-3 e-5 (cons e-11 '())) (CompilerC-45Inline-refToLocal e-7 e-7 e-10))))))) eff-2))))))))) eff-1)))))))))))))))))(else (let ((eff-0 (let ((eff-0 arg-8)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-lookupCtxtExact arg-2 (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-6) (lambda (eta-0) (vector 1 (CompilerC-45Inline-unload arg-4 (vector 1 arg-3 arg-2)))) (let ((e-1 (unbox e-6))) (let ((_-0 (box e-1))) (CompilerC-45Inline-case--caseC-32blockC-32inC-32caseC-32blockC-32inC-32eval-4066 arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 e-3 e-2 e-5 e-1 _-0 (let ((e-18 (vector-ref e-1 18))) e-18))))))) eff-2))))))))) eff-1)))))))))))))
(define CompilerC-45Inline-n--9612-4859-u--updateLoc (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-12 arg-13 arg-15 arg-16) (if (null? arg-13) arg-15 (cond ((equal? arg-12 0) (let ((e-8 (cdr arg-15))) (cons arg-16 e-8)))(else (let ((e-0 (- arg-12 1))) (let ((e-11 (cdr arg-13))) (let ((e-15 (car arg-15))) (let ((e-16 (cdr arg-15))) (cons e-15 (CompilerC-45Inline-n--9612-4859-u--updateLoc arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 e-0 e-11 e-16 arg-16)))))))))))
(define CompilerC-45Inline-n--9612-4860-u--update (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14) (case (vector-ref arg-12 0) ((0) (let ((e-2 (vector-ref arg-12 1))) (CompilerC-45Inline-n--9612-4859-u--updateLoc arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 e-2 arg-11 arg-13 arg-14)))(else arg-13))))
(define CompilerC-45Inline-n--12271-6141-u--traverseArgs (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-7 arg-8) (if (null? arg-8) (lambda (eta-0) (vector 1 '())) (let ((e-3 (car arg-8))) (let ((e-4 (cdr arg-8))) (let ((eff-0 (CompilerC-45Inline-fixArityTm arg-7 arg-5 e-3 '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CompilerC-45Inline-n--12271-6141-u--traverseArgs arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-7 e-4))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (cons e-5 e-6))))) eff-2))))))))) eff-1))))))))))))
(define CompilerC-45Inline-n--14387-7729-u--transform (lambda (arg-0 arg-1 arg-2) (cond ((equal? arg-1 0) (lambda (eta-0) (vector 1 (vector 0 ))))(else (let ((e-0 (- arg-1 1))) (let ((eff-0 (CoreC-45Core-traverse_ (lambda (eta-0) (CompilerC-45Inline-inlineDef arg-0 eta-0)) arg-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45Core-traverse_ (lambda (eta-0) (CompilerC-45Inline-mergeLamDef arg-0 eta-0)) arg-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45Core-traverse_ (lambda (eta-0) (CompilerC-45CaseOpts-caseLamDef arg-0 eta-0)) arg-2))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (let ((eff-3 (CoreC-45Core-traverse_ (lambda (eta-0) (CompilerC-45Inline-fixArityDef arg-0 eta-0)) arg-2))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverse_ (lambda (eta-0) (CompilerC-45OptsC-45InlineHeuristics-inlineHeuristics arg-0 eta-0)) arg-2))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-5 (let ((eff-5 (CoreC-45Core-traverse_ (lambda (eta-0) (CompilerC-45OptsC-45ConstantFold-constantFold arg-0 eta-0)) arg-2))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-6 (let ((eff-6 (CoreC-45Core-traverse_ (lambda (eta-0) (CompilerC-45OptsC-45Identity-setIdentity arg-0 eta-0)) arg-2))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-2 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-7 (CompilerC-45Inline-n--14387-7729-u--transform arg-0 e-0 arg-2))) eff-7)))))))) eff-6)))))))) eff-5)))))))) eff-4)))))))) eff-3)))))))) eff-2)))))))) eff-1)))))))))))
(define CompilerC-45Inline-n--14387-7730-u--nonErased (lambda (arg-0 arg-1) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-lookupCtxtExact arg-1 (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (clam-0) (if (null? e-6) (vector 1 0) (let ((e-1 (unbox e-6))) (vector 1 (AlgebraC-45ZeroOneOmega-u--C-47C-61_Eq_ZeroOneOmega (let ((e-7 (vector-ref e-1 7))) e-7) (csegen-54)))))))) eff-2))))))))) eff-1)))))))))
(define CompilerC-45Inline-n--9738-5421-u--matches (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20 arg-21 arg-22 arg-23) (if (null? arg-21) (if (null? arg-23) (CoreC-45Name-u--C-61C-61_Eq_Name arg-20 arg-22) 0) (let ((e-1 (unbox arg-21))) (if (null? arg-23) 0 (let ((e-4 (unbox arg-23))) (PreludeC-45EqOrd-u--C-61C-61_Eq_Int e-1 e-4)))))))
(define CompilerC-45Inline-n--12271-6326-u--fixArityConstAlt (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (let ((e-1 (car arg-7))) (let ((e-2 (cdr arg-7))) (let ((eff-0 (CompilerC-45Inline-fixArityTm arg-0 arg-6 e-2 '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (cons e-1 e-5))))) eff-1)))))))))))
(define CompilerC-45Inline-n--12271-6264-u--fixArityAlt (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (let ((e-1 (vector-ref arg-7 0))) (let ((e-2 (vector-ref arg-7 1))) (let ((e-3 (vector-ref arg-7 2))) (let ((e-4 (vector-ref arg-7 3))) (let ((e-5 (vector-ref arg-7 4))) (let ((eff-0 (CompilerC-45Inline-fixArityTm (PreludeC-45TypesC-45List-tailRecAppend e-4 arg-0) arg-6 e-5 '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector e-1 e-2 e-3 e-4 e-6))))) eff-1))))))))))))))
(define CompilerC-45Inline-usedConst (lambda (arg-1 arg-2 arg-4) (let ((e-2 (cdr arg-4))) (CompilerC-45Inline-used arg-1 arg-2 e-2))))
(define CompilerC-45Inline-usedCon (lambda (arg-1 arg-2 arg-4) (let ((e-4 (vector-ref arg-4 3))) (let ((e-5 (vector-ref arg-4 4))) (let ((eff-0 (CoreC-45TT-u--weakenNs_Weaken_Var (CoreC-45TTC-45SizeOf-mkSizeOf e-4) arg-2))) (CompilerC-45Inline-used (PreludeC-45TypesC-45List-tailRecAppend e-4 arg-1) eff-0 e-5))))))
(define CompilerC-45Inline-used (lambda (arg-1 arg-2 arg-4) (case (vector-ref arg-4 0) ((0) (let ((e-2 (vector-ref arg-4 1))) (let ((sc1 (or (and (= arg-2 e-2) 1) 0))) (cond ((equal? sc1 1) 1) (else 0))))) ((2) (let ((e-7 (vector-ref arg-4 2))) (let ((e-8 (vector-ref arg-4 3))) (CompilerC-45Inline-used (cons e-7 arg-1) (+ arg-2 1) e-8)))) ((3) (let ((e-11 (vector-ref arg-4 2))) (let ((e-12 (vector-ref arg-4 3))) (let ((e-13 (vector-ref arg-4 4))) (let ((e-14 (vector-ref arg-4 5))) (cond ((equal? e-12 0) (let ((u--usedl (bs+ (CompilerC-45Inline-used arg-1 arg-2 e-13) (CompilerC-45Inline-used (cons e-11 arg-1) (+ arg-2 1) e-14) 63))) (let ((sc2 (PreludeC-45EqOrd-u--C-62_Ord_Int u--usedl 0))) (cond ((equal? sc2 1) (blodwen-toSignedInt 1000 63)) (else u--usedl))))) ((equal? e-12 1) (bs+ (CompilerC-45Inline-used arg-1 arg-2 e-13) (CompilerC-45Inline-used (cons e-11 arg-1) (+ arg-2 1) e-14) 63))(else 0))))))) ((4) (let ((e-17 (vector-ref arg-4 2))) (let ((e-18 (vector-ref arg-4 3))) (PreludeC-45Types-u--foldr_Foldable_List (csegen-2271) (CompilerC-45Inline-used arg-1 arg-2 e-17) (((csegen-25) (lambda (eta-0) (CompilerC-45Inline-used arg-1 arg-2 eta-0))) e-18))))) ((5) (let ((e-24 (vector-ref arg-4 5))) (PreludeC-45Types-u--foldr_Foldable_List (csegen-2271) 0 (((csegen-25) (lambda (eta-0) (CompilerC-45Inline-used arg-1 arg-2 eta-0))) e-24)))) ((6) (let ((e-29 (vector-ref arg-4 4))) (DataC-45Vect-u--foldr_Foldable_C-40VectC-32C-36nC-41 (csegen-2271) 0 (DataC-45Vect-u--map_Functor_C-40VectC-32C-36nC-41 (lambda (eta-0) (CompilerC-45Inline-used arg-1 arg-2 eta-0)) e-29)))) ((7) (let ((e-33 (vector-ref arg-4 3))) (PreludeC-45Types-u--foldr_Foldable_List (csegen-2271) 0 (((csegen-25) (lambda (eta-0) (CompilerC-45Inline-used arg-1 arg-2 eta-0))) e-33)))) ((8) (let ((e-37 (vector-ref arg-4 3))) (CompilerC-45Inline-used arg-1 arg-2 e-37))) ((9) (let ((e-41 (vector-ref arg-4 3))) (CompilerC-45Inline-used arg-1 arg-2 e-41))) ((10) (let ((e-44 (vector-ref arg-4 2))) (let ((e-45 (vector-ref arg-4 3))) (let ((e-46 (vector-ref arg-4 4))) (bs+ (CompilerC-45Inline-used arg-1 arg-2 e-44) (CompilerC-45Inline-largest (csegen-298) (PreludeC-45Types-maybe (lambda () (blodwen-toSignedInt 0 63)) (lambda () (lambda (eta-0) (CompilerC-45Inline-used arg-1 arg-2 eta-0))) e-46) (((csegen-25) (lambda (eta-0) (CompilerC-45Inline-usedCon arg-1 arg-2 eta-0))) e-45)) 63))))) ((11) (let ((e-49 (vector-ref arg-4 2))) (let ((e-50 (vector-ref arg-4 3))) (let ((e-51 (vector-ref arg-4 4))) (bs+ (CompilerC-45Inline-used arg-1 arg-2 e-49) (CompilerC-45Inline-largest (csegen-298) (PreludeC-45Types-maybe (lambda () (blodwen-toSignedInt 0 63)) (lambda () (lambda (eta-0) (CompilerC-45Inline-used arg-1 arg-2 eta-0))) e-51) (((csegen-25) (lambda (eta-0) (CompilerC-45Inline-usedConst arg-1 arg-2 eta-0))) e-50)) 63)))))(else 0))))
(define CompilerC-45Inline-updateCallGraph (lambda (arg-0 arg-1) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-lookupCtxtExact arg-1 (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-6) (lambda (eta-0) (vector 1 (vector 0 ))) (let ((e-1 (unbox e-6))) (let ((_-0 (box e-1))) (CompilerC-45Inline-case--caseC-32blockC-32inC-32updateCallGraph-7163 arg-1 arg-0 e-5 e-1 _-0 (let ((e-18 (vector-ref e-1 18))) e-18))))))) eff-2))))))))) eff-1)))))))))
(define CompilerC-45Inline-unloadApp (lambda (arg-1 arg-2 arg-3) (CompilerC-45Inline-unload (DataC-45List-drop arg-1 arg-2) (vector 4 (CoreC-45CompileExpr-getFC arg-3) arg-3 (DataC-45List-take arg-1 arg-2)))))
(define CompilerC-45Inline-unload (lambda (arg-1 arg-2) (if (null? arg-1) arg-2 (let ((e-2 (car arg-1))) (let ((e-3 (cdr arg-1))) (CompilerC-45Inline-unload e-3 (vector 4 (CoreC-45CompileExpr-getFC arg-2) arg-2 (cons e-2 '()))))))))
(define CompilerC-45Inline-tryApply (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (case (vector-ref arg-7 0) ((0) (let ((e-0 (vector-ref arg-7 1))) (let ((e-1 (vector-ref arg-7 2))) (let ((sc1 (CompilerC-45Inline-takeFromStack arg-6 arg-5 e-0))) (if (null? sc1) (lambda (eta-0) (vector 1 '())) (let ((e-2 (unbox sc1))) (let ((e-5 (car e-2))) (let ((e-6 (cdr e-2))) (let ((eff-0 (CompilerC-45Inline-eval (PreludeC-45TypesC-45List-tailRecAppend e-0 arg-0) arg-1 arg-2 arg-3 arg-4 e-5 e-6 (CoreC-45CompileExpr-embed e-1)))) (PrimIO-io_bind eff-0 (csegen-1573)))))))))))(else (lambda (eta-0) (vector 1 '()))))))
(define CompilerC-45Inline-takeFromStack (lambda (arg-2 arg-3 arg-4) (if (null? arg-3) (if (null? arg-4) (box (cons arg-2 arg-3)) '()) (let ((e-3 (car arg-3))) (let ((e-4 (cdr arg-3))) (if (null? arg-4) (if (null? arg-4) (box (cons arg-2 arg-3)) '()) (let ((e-7 (cdr arg-4))) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (CompilerC-45Inline-takeFromStack arg-2 e-4 e-7) (lambda (_-0) (let ((e-2 (car _-0))) (let ((e-5 (cdr _-0))) (box (cons (cons e-3 e-2) e-5)))))))))))))
(define CompilerC-45Inline-refToLocal (lambda (arg-1 arg-2 arg-3) (CoreC-45CompileExpr-refsToLocals (vector 1 arg-2 arg-1 (vector 0 )) arg-3)))
(define CompilerC-45Inline-pickConstAlt (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9) (case (vector-ref arg-7 0) ((12) (let ((e-1 (vector-ref arg-7 1))) (let ((e-2 (vector-ref arg-7 2))) (if (null? arg-8) (if (null? arg-9) (lambda (eta-0) (vector 1 '())) (let ((e-3 (unbox arg-9))) (let ((eff-0 (CompilerC-45Inline-eval arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-3))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-4 (vector-ref eta-3 1))) (vector 0 e-4))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-10) (lambda (arg-11) ((((eff-1 'erased) 'erased) arg-10) arg-11)))) (lambda (eta-0) (box eta-0)))) eff-0)))) (let ((e-5 (car arg-8))) (let ((e-6 (cdr arg-8))) (if (null? e-5) (lambda (eta-0) (vector 1 '())) (let ((e-8 (car e-5))) (let ((e-9 (cdr e-5))) (let ((sc3 (CoreC-45TT-u--C-61C-61_Eq_Constant e-2 e-8))) (cond ((equal? sc3 1) (let ((eff-0 (CompilerC-45Inline-eval arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-9))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-3 (vector-ref eta-3 1))) (vector 0 e-3))) (else (let ((e-7 (vector-ref eta-3 1))) (vector 1 (eta-2 e-7))))))))))) (lambda (arg-10) (lambda (arg-11) ((((eff-1 'erased) 'erased) arg-10) arg-11)))) (lambda (eta-0) (box eta-0)))) eff-0))) (else (CompilerC-45Inline-pickConstAlt arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 (vector 12 e-1 e-2) e-6 arg-9)))))))))))))(else (lambda (eta-0) (vector 1 '()))))))
(define CompilerC-45Inline-pickAlt (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9) (case (vector-ref arg-7 0) ((5) (let ((e-1 (vector-ref arg-7 1))) (let ((e-2 (vector-ref arg-7 2))) (let ((e-3 (vector-ref arg-7 3))) (let ((e-4 (vector-ref arg-7 4))) (let ((e-5 (vector-ref arg-7 5))) (if (null? arg-8) (if (null? arg-9) (lambda (eta-0) (vector 1 '())) (let ((e-6 (unbox arg-9))) (let ((eff-0 (CompilerC-45Inline-eval arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-6))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-7 (vector-ref eta-3 1))) (vector 0 e-7))) (else (let ((e-7 (vector-ref eta-3 1))) (vector 1 (eta-2 e-7))))))))))) (lambda (arg-10) (lambda (arg-11) ((((eff-1 'erased) 'erased) arg-10) arg-11)))) (lambda (eta-0) (box eta-0)))) eff-0)))) (let ((e-8 (car arg-8))) (let ((e-9 (cdr arg-8))) (let ((e-11 (vector-ref e-8 0))) (let ((e-12 (vector-ref e-8 1))) (let ((e-13 (vector-ref e-8 2))) (let ((e-14 (vector-ref e-8 3))) (let ((e-15 (vector-ref e-8 4))) (let ((u--con (vector 5 e-1 e-2 e-3 e-4 e-5))) (let ((sc2 (CompilerC-45Inline-n--9738-5421-u--matches e-12 arg-1 e-5 e-4 e-3 e-2 e-1 u--con e-14 arg-0 e-15 e-13 e-11 e-9 arg-9 arg-6 arg-5 arg-4 arg-3 arg-2 e-2 e-4 e-11 e-13))) (cond ((equal? sc2 1) (let ((sc3 (LibrariesC-45DataC-45LengthMatch-checkLengthMatch e-5 e-14))) (if (null? sc3) (lambda (eta-0) (vector 1 '())) (let ((e-6 (unbox sc3))) (let ((u--envC-39 (CompilerC-45Inline-extend arg-5 e-5 e-14 e-6))) (let ((eff-0 (CompilerC-45Inline-eval (PreludeC-45TypesC-45List-C-43C-43 e-14 arg-0) arg-1 arg-2 arg-3 arg-4 u--envC-39 arg-6 e-15))) (PrimIO-io_bind eff-0 (csegen-1573)))))))) (else (CompilerC-45Inline-pickAlt arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 u--con e-9 arg-9)))))))))))))))))))(else (lambda (eta-0) (vector 1 '()))))))
(define CompilerC-45Inline-mkBounds (lambda (arg-0) (if (null? arg-0) (vector 0 ) (let ((e-2 (car arg-0))) (let ((e-3 (cdr arg-0))) (vector 1 e-2 e-2 (CompilerC-45Inline-mkBounds e-3)))))))
(define CompilerC-45Inline-mergeLambdas (lambda (arg-0 arg-1) (case (vector-ref arg-1 0) ((2) (let ((e-1 (vector-ref arg-1 1))) (let ((e-2 (vector-ref arg-1 2))) (let ((e-3 (vector-ref arg-1 3))) (CompilerC-45Inline-case--mergeLambdas-6599 e-2 arg-0 e-3 e-1 (CompilerC-45Inline-getLams '() 0 '() (vector 2 e-1 e-2 e-3)))))))(else (cons arg-0 arg-1)))))
(define CompilerC-45Inline-mergeLamDef (lambda (arg-0 arg-1) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-lookupCtxtExact arg-1 (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-6) (lambda (eta-0) (vector 1 (vector 0 ))) (let ((e-1 (unbox e-6))) (let ((_-0 (box e-1))) (CompilerC-45Inline-case--caseC-32blockC-32inC-32mergeLamDef-7383 arg-1 arg-0 e-5 e-1 _-0 (let ((e-17 (vector-ref e-1 17))) e-17))))))) eff-2))))))))) eff-1)))))))))
(define CompilerC-45Inline-mergeLam (lambda (arg-0 arg-1) (lambda (clam-0) (case (vector-ref arg-1 0) ((0) (let ((e-0 (vector-ref arg-1 1))) (let ((e-1 (vector-ref arg-1 2))) (let ((sc1 (CompilerC-45Inline-mergeLambdas e-0 e-1))) (let ((e-2 (car sc1))) (let ((e-3 (cdr sc1))) (vector 1 (vector 0 e-2 e-3))))))))(else (vector 1 arg-1))))))
(define CompilerC-45Inline-largest (lambda (arg-1 arg-2 arg-3) (if (null? arg-3) arg-2 (let ((e-2 (car arg-3))) (let ((e-3 (cdr arg-3))) (let ((sc1 (let ((e-4 (vector-ref arg-1 3))) ((e-4 e-2) arg-2)))) (cond ((equal? sc1 1) (CompilerC-45Inline-largest arg-1 e-2 e-3)) (else (CompilerC-45Inline-largest arg-1 arg-2 e-3)))))))))
(define CompilerC-45Inline-inlineDef (lambda (arg-0 arg-1) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-lookupCtxtExact arg-1 (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-6) (lambda (eta-0) (vector 1 (vector 0 ))) (let ((e-1 (unbox e-6))) (let ((e-18 (vector-ref e-1 18))) (if (null? e-18) (lambda (eta-0) (vector 1 (vector 0 ))) (let ((e-25 (unbox e-18))) (let ((eff-2 (CompilerC-45Inline-inline arg-0 arg-1 e-25))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-26 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-26)))) (else (let ((e-26 (vector-ref lcase-2 1))) (let ((eff-3 (CoreC-45Context-setCompiled arg-0 arg-1 e-26))) eff-3)))))))))))))) eff-2))))))))) eff-1)))))))))
(define CompilerC-45Inline-inline (lambda (arg-0 arg-1 arg-2) (case (vector-ref arg-2 0) ((0) (let ((e-0 (vector-ref arg-2 1))) (let ((e-1 (vector-ref arg-2 2))) (let ((eff-0 (CompilerC-45Inline-doEval e-0 arg-0 arg-1 e-1))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 0 e-0 e-5))))) eff-1))))))))))(else (lambda (eta-0) (vector 1 arg-2))))))
(define CompilerC-45Inline-getRefs (lambda (arg-0) (case (vector-ref arg-0 0) ((0) (let ((e-1 (vector-ref arg-0 2))) (CompilerC-45Inline-addRefs (LibrariesC-45DataC-45NameMap-empty) e-1)))(else (LibrariesC-45DataC-45NameMap-empty)))))
(define CompilerC-45Inline-getNewArgs (lambda (arg-1 arg-2) (if (null? arg-1) '() (let ((e-2 (car arg-1))) (let ((e-3 (cdr arg-1))) (let ((e-8 (car arg-2))) (let ((e-9 (cdr arg-2))) (case (vector-ref e-8 0) ((1) (let ((e-12 (vector-ref e-8 2))) (cons e-12 (CompilerC-45Inline-getNewArgs e-3 e-9))))(else (cons e-2 (CompilerC-45Inline-getNewArgs e-3 e-9)))))))))))
(define CompilerC-45Inline-getLams (lambda (arg-1 arg-2 arg-3 arg-4) (case (vector-ref arg-4 0) ((2) (let ((e-1 (vector-ref arg-4 1))) (let ((e-2 (vector-ref arg-4 2))) (let ((e-3 (vector-ref arg-4 3))) (CompilerC-45Inline-getLams (cons e-2 arg-1) (bs+ arg-2 1 63) (cons (vector 1 e-1 (vector 2 "ext" arg-2)) arg-3) e-3)))))(else (cons arg-1 (cons arg-3 arg-4))))))
(define CompilerC-45Inline-getArity (lambda (arg-0) (case (vector-ref arg-0 0) ((0) (let ((e-0 (vector-ref arg-0 1))) (PreludeC-45TypesC-45List-lengthTR e-0))) ((1) (let ((e-3 (vector-ref arg-0 2))) e-3)) ((2) (let ((e-6 (vector-ref arg-0 2))) (PreludeC-45TypesC-45List-lengthTR e-6))) (else 0))))
(define CompilerC-45Inline-genName (lambda (arg-0 arg-1) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (bs+ e-5 1 63)))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (lambda (eta-0) (vector 1 (vector 2 arg-1 e-5))))) eff-2)))))))) eff-1)))))))))
(define CompilerC-45Inline-fixArityTm (lambda (arg-0 arg-1 arg-2 arg-3) (case (vector-ref arg-2 0) ((1) (let ((e-2 (vector-ref arg-2 1))) (let ((e-3 (vector-ref arg-2 2))) (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-lookupCtxtExact e-3 (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-6) (lambda (eta-0) (vector 1 (CompilerC-45Inline-unload arg-3 (vector 1 e-2 e-3)))) (let ((e-1 (unbox e-6))) (let ((u--arity (let ((e-18 (vector-ref e-1 18))) (if (null? e-18) 0 (let ((e-27 (unbox e-18))) (CompilerC-45Inline-getArity e-27)))))) (lambda (eta-0) (vector 1 (CompilerC-45CompileExpr-expandToArity arg-0 u--arity (vector 4 e-2 (vector 1 e-2 e-3) '()) arg-3)))))))) eff-2))))))))) eff-1)))))))))) ((2) (let ((e-5 (vector-ref arg-2 1))) (let ((e-6 (vector-ref arg-2 2))) (let ((e-7 (vector-ref arg-2 3))) (let ((eff-0 (CompilerC-45Inline-fixArityTm (cons e-6 arg-0) arg-1 e-7 '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (CompilerC-45CompileExpr-expandToArity arg-0 0 (vector 2 e-5 e-6 e-8) arg-3))))) eff-1))))))))))) ((3) (let ((e-9 (vector-ref arg-2 1))) (let ((e-10 (vector-ref arg-2 2))) (let ((e-11 (vector-ref arg-2 3))) (let ((e-12 (vector-ref arg-2 4))) (let ((e-13 (vector-ref arg-2 5))) (let ((eff-0 (CompilerC-45Inline-fixArityTm arg-0 arg-1 e-12 '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CompilerC-45Inline-fixArityTm (cons e-10 arg-0) arg-1 e-13 '()))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (CompilerC-45CompileExpr-expandToArity arg-0 0 (vector 3 e-9 e-10 e-11 e-5 e-6) arg-3))))) eff-2))))))))) eff-1))))))))))))) ((4) (let ((e-15 (vector-ref arg-2 1))) (let ((e-16 (vector-ref arg-2 2))) (let ((e-17 (vector-ref arg-2 3))) (case (vector-ref e-16 0) ((1) (let ((e-52 (vector-ref e-16 1))) (let ((e-53 (vector-ref e-16 2))) (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-lookupCtxtExact e-53 (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((u--outf (vector 4 e-15 (vector 1 e-52 e-53) e-17))) (let ((u--f (vector 1 e-52 e-53))) (if (null? e-6) (lambda (eta-0) (vector 1 (CompilerC-45Inline-unload arg-3 u--outf))) (let ((eff-2 (CoreC-45Core-traverseC-39 (lambda (u--tm) (CompilerC-45Inline-fixArityTm arg-0 arg-1 u--tm '())) e-17 '()))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (CompilerC-45Inline-fixArityTm arg-0 arg-1 u--f (PreludeC-45TypesC-45List-tailRecAppend e-7 arg-3)))) eff-3)))))))))))) eff-2))))))))) eff-1))))))))))(else (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (u--tm) (CompilerC-45Inline-fixArityTm arg-0 arg-1 u--tm '())) e-17 '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CompilerC-45Inline-fixArityTm arg-0 arg-1 e-16 (PreludeC-45TypesC-45List-tailRecAppend e-5 arg-3)))) eff-1))))))))))))) ((5) (let ((e-19 (vector-ref arg-2 1))) (let ((e-20 (vector-ref arg-2 2))) (let ((e-21 (vector-ref arg-2 3))) (let ((e-22 (vector-ref arg-2 4))) (let ((e-23 (vector-ref arg-2 5))) (if (null? arg-3) (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (u--tm) (CompilerC-45Inline-fixArityTm arg-0 arg-1 u--tm '())) e-23 '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 5 e-19 e-20 e-21 e-22 e-5))))) eff-1))))))) (lambda (clam-0) (if (null? arg-3) (vector 1 arg-2) (vector 1 (CompilerC-45CompileExpr-expandToArity arg-0 0 arg-2 arg-3))))))))))) ((6) (let ((e-25 (vector-ref arg-2 1))) (let ((e-26 (vector-ref arg-2 2))) (let ((e-27 (vector-ref arg-2 3))) (let ((e-28 (vector-ref arg-2 4))) (if (null? arg-3) (let ((eff-0 (CompilerC-45Inline-n--12271-6141-u--traverseArgs arg-0 e-25 e-28 e-27 e-26 arg-1 arg-0 e-28))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 6 e-25 e-26 e-27 e-5))))) eff-1))))))) (lambda (clam-1) (if (null? arg-3) (vector 1 arg-2) (vector 1 (CompilerC-45CompileExpr-expandToArity arg-0 0 arg-2 arg-3)))))))))) ((7) (let ((e-30 (vector-ref arg-2 1))) (let ((e-31 (vector-ref arg-2 2))) (let ((e-32 (vector-ref arg-2 3))) (if (null? arg-3) (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (u--tm) (CompilerC-45Inline-fixArityTm arg-0 arg-1 u--tm '())) e-32 '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 7 e-30 e-31 e-5))))) eff-1))))))) (lambda (clam-2) (if (null? arg-3) (vector 1 arg-2) (vector 1 (CompilerC-45CompileExpr-expandToArity arg-0 0 arg-2 arg-3))))))))) ((8) (let ((e-34 (vector-ref arg-2 1))) (let ((e-35 (vector-ref arg-2 2))) (let ((e-36 (vector-ref arg-2 3))) (let ((eff-0 (CompilerC-45Inline-fixArityTm arg-0 arg-1 e-36 '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (CompilerC-45CompileExpr-expandToArity arg-0 0 (vector 8 e-34 e-35 e-5) arg-3))))) eff-1))))))))))) ((9) (let ((e-38 (vector-ref arg-2 1))) (let ((e-39 (vector-ref arg-2 2))) (let ((e-40 (vector-ref arg-2 3))) (let ((eff-0 (CompilerC-45Inline-fixArityTm arg-0 arg-1 e-40 '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (CompilerC-45CompileExpr-expandToArity arg-0 0 (vector 9 e-38 e-39 e-5) arg-3))))) eff-1))))))))))) ((10) (let ((e-42 (vector-ref arg-2 1))) (let ((e-43 (vector-ref arg-2 2))) (let ((e-44 (vector-ref arg-2 3))) (let ((e-45 (vector-ref arg-2 4))) (let ((eff-0 (CompilerC-45Inline-fixArityTm arg-0 arg-1 e-43 '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45Inline-n--12271-6264-u--fixArityAlt arg-0 e-45 e-44 e-43 e-42 arg-3 arg-1 eta-0)) e-44 '()))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (if (null? e-45) (lambda (eta-0) (vector 1 '())) (let ((e-2 (unbox e-45))) (let ((eff-2 (CompilerC-45Inline-fixArityTm arg-0 arg-1 e-2 '()))) (((csegen-50) ((let ((eff-3 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-3 (vector-ref eta-3 1))) (vector 0 e-3))) (else (let ((e-7 (vector-ref eta-3 1))) (vector 1 (eta-2 e-7))))))))))) (lambda (arg-4) (lambda (arg-5) ((((eff-3 'erased) 'erased) arg-4) arg-5)))) (lambda (eta-0) (box eta-0)))) eff-2)))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (CompilerC-45CompileExpr-expandToArity arg-0 0 (vector 10 e-42 e-5 e-6 e-7) arg-3))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))) ((11) (let ((e-47 (vector-ref arg-2 1))) (let ((e-48 (vector-ref arg-2 2))) (let ((e-49 (vector-ref arg-2 3))) (let ((e-50 (vector-ref arg-2 4))) (let ((eff-0 (CompilerC-45Inline-fixArityTm arg-0 arg-1 e-48 '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45Inline-n--12271-6326-u--fixArityConstAlt arg-0 e-50 e-49 e-48 e-47 arg-3 arg-1 eta-0)) e-49 '()))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (if (null? e-50) (lambda (eta-0) (vector 1 '())) (let ((e-2 (unbox e-50))) (let ((eff-2 (CompilerC-45Inline-fixArityTm arg-0 arg-1 e-2 '()))) (((csegen-50) ((let ((eff-3 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-3 (vector-ref eta-3 1))) (vector 0 e-3))) (else (let ((e-7 (vector-ref eta-3 1))) (vector 1 (eta-2 e-7))))))))))) (lambda (arg-4) (lambda (arg-5) ((((eff-3 'erased) 'erased) arg-4) arg-5)))) (lambda (eta-0) (box eta-0)))) eff-2)))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (CompilerC-45CompileExpr-expandToArity arg-0 0 (vector 11 e-47 e-5 e-6 e-7) arg-3))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))))(else (lambda (clam-3) (if (null? arg-3) (vector 1 arg-2) (vector 1 (CompilerC-45CompileExpr-expandToArity arg-0 0 arg-2 arg-3))))))))
(define CompilerC-45Inline-fixArityExp (lambda (arg-0 arg-1 arg-2) (CompilerC-45Inline-fixArityTm arg-0 arg-1 arg-2 '())))
(define CompilerC-45Inline-fixArityDef (lambda (arg-0 arg-1) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-lookupCtxtExact arg-1 (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-6) (lambda (eta-0) (vector 1 (vector 0 ))) (let ((e-1 (unbox e-6))) (let ((e-18 (vector-ref e-1 18))) (if (null? e-18) (lambda (eta-0) (vector 1 (vector 0 ))) (let ((e-25 (unbox e-18))) (let ((eff-2 (CompilerC-45Inline-fixArity arg-0 e-25))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-26 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-26)))) (else (let ((e-26 (vector-ref lcase-2 1))) (let ((eff-3 (CoreC-45Context-setCompiled arg-0 arg-1 e-26))) eff-3)))))))))))))) eff-2))))))))) eff-1)))))))))
(define CompilerC-45Inline-fixArity (lambda (arg-0 arg-1) (case (vector-ref arg-1 0) ((0) (let ((e-0 (vector-ref arg-1 1))) (let ((e-1 (vector-ref arg-1 2))) (let ((eff-0 (CompilerC-45Inline-fixArityTm e-0 arg-0 e-1 '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 0 e-0 e-5))))) eff-1)))))))))) ((3) (let ((e-2 (vector-ref arg-1 1))) (let ((eff-0 (CompilerC-45Inline-fixArityTm '() arg-0 e-2 '()))) (PrimIO-io_bind eff-0 (csegen-2031)))))(else (lambda (eta-0) (vector 1 arg-1))))))
(define CompilerC-45Inline-extendLoc (lambda (arg-2 arg-3 arg-4 arg-5) (if (null? arg-5) (lambda (eta-0) (vector 1 (cons (vector 0 ) arg-4))) (let ((e-2 (car arg-5))) (let ((e-3 (cdr arg-5))) (let ((eff-0 (CompilerC-45Inline-genName arg-2 "cv"))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CompilerC-45Inline-extendLoc arg-2 arg-3 arg-4 e-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (clam-0) (let ((e-7 (car e-6))) (let ((e-4 (cdr e-6))) (vector 1 (cons (vector 1 e-2 e-5 e-7) (cons (vector 1 arg-3 e-5) e-4)))))))) eff-2))))))))) eff-1))))))))))))
(define CompilerC-45Inline-extend (lambda (arg-2 arg-3 arg-4 arg-5) (if (null? arg-3) (cond ((equal? arg-5 0) arg-2)(else (blodwen-error-quit "Nat case not covered"))) (let ((e-2 (car arg-3))) (let ((e-3 (cdr arg-3))) (let ((e-9 (cdr arg-4))) (cond ((equal? arg-5 0) (blodwen-error-quit "Nat case not covered"))(else (let ((e-16 (- arg-5 1))) (cons e-2 (CompilerC-45Inline-extend arg-2 e-3 e-9 e-16)))))))))))
(define CompilerC-45Inline-evalLocal (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9) (if (null? arg-1) (lambda (eta-0) (vector 1 (CompilerC-45Inline-unload arg-7 (vector 0 arg-9 arg-5)))) (let ((e-3 (cdr arg-1))) (let ((e-7 (car arg-8))) (let ((e-8 (cdr arg-8))) (cond ((equal? arg-9 0) (if (null? arg-7) (lambda (eta-0) (vector 1 e-7)) (CompilerC-45Inline-eval e-3 arg-2 arg-3 arg-4 arg-6 e-8 arg-7 (CoreC-45CompileExpr-u--weakenNs_Weaken_CExp (CoreC-45TTC-45SizeOf-mkSizeOf e-3) e-7))))(else (let ((e-9 (- arg-9 1))) (CompilerC-45Inline-evalLocal e-3 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-8 e-9))))))))))
(define CompilerC-45Inline-evalConstAlt (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (let ((e-1 (car arg-7))) (let ((e-2 (cdr arg-7))) (let ((eff-0 (CompilerC-45Inline-eval arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-2))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-3 (vector-ref eta-3 1))) (vector 0 e-3))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-8) (lambda (arg-9) ((((eff-1 'erased) 'erased) arg-8) arg-9)))) (lambda (eta-0) (cons e-1 eta-0)))) eff-0))))))
(define CompilerC-45Inline-evalAlt (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8) (let ((e-1 (vector-ref arg-8 0))) (let ((e-2 (vector-ref arg-8 1))) (let ((e-3 (vector-ref arg-8 2))) (let ((e-4 (vector-ref arg-8 3))) (let ((e-5 (vector-ref arg-8 4))) (let ((eff-0 (CompilerC-45Inline-extendLoc arg-3 arg-4 arg-6 e-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((e-8 (car e-6))) (let ((e-7 (cdr e-6))) (let ((eff-1 (CompilerC-45Inline-eval (PreludeC-45TypesC-45List-tailRecAppend e-4 arg-0) arg-1 arg-2 arg-3 arg-5 e-7 arg-7 e-5))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-9 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector e-1 e-2 e-3 e-4 (CoreC-45CompileExpr-refsToLocals e-8 e-9)))))) eff-2))))))))))) eff-1))))))))))))))
(define CompilerC-45Inline-eval (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (case (vector-ref arg-7 0) ((0) (let ((e-68 (vector-ref arg-7 1))) (let ((e-69 (vector-ref arg-7 2))) (CompilerC-45Inline-evalLocal arg-0 arg-1 arg-2 arg-3 e-69 arg-4 arg-6 arg-5 e-68)))) ((1) (let ((e-72 (vector-ref arg-7 1))) (let ((e-73 (vector-ref arg-7 2))) (CompilerC-45Inline-case--eval-3911 arg-0 arg-1 e-73 e-72 arg-6 arg-5 arg-4 arg-3 arg-2 (cons (CoreC-45Name-u--C-61C-61_Eq_Name e-73 (vector 0 (CoreC-45NameC-45Namespace-primIONS) (vector 1 (vector 0 "io_bind")))) arg-6)))))(else (if (null? arg-6) (case (vector-ref arg-7 0) ((2) (let ((e-59 (vector-ref arg-7 1))) (let ((e-60 (vector-ref arg-7 2))) (let ((e-61 (vector-ref arg-7 3))) (let ((eff-0 (CompilerC-45Inline-genName arg-3 "lamv"))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CompilerC-45Inline-eval (cons e-60 arg-0) arg-1 arg-2 arg-3 arg-4 (cons (vector 1 e-59 e-5) arg-5) '() e-61))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 2 e-59 e-60 (CompilerC-45Inline-refToLocal e-5 e-60 e-6)))))) eff-2))))))))) eff-1)))))))))))(else (case (vector-ref arg-7 0) ((3) (let ((e-1 (vector-ref arg-7 1))) (let ((e-2 (vector-ref arg-7 2))) (let ((e-3 (vector-ref arg-7 3))) (let ((e-4 (vector-ref arg-7 4))) (let ((e-5 (vector-ref arg-7 5))) (cond ((equal? e-3 0) (let ((eff-0 (CompilerC-45Inline-genName arg-3 "letv"))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CompilerC-45Inline-eval (cons e-2 arg-0) arg-1 arg-2 arg-3 arg-4 (cons (vector 1 e-1 e-6) arg-5) '() e-5))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45Inline-eval arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 '() e-4))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (CompilerC-45Inline-unload arg-6 (vector 3 e-1 e-2 0 e-8 (CompilerC-45Inline-refToLocal e-6 e-2 e-7))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))) (else (let ((u--u (CompilerC-45Inline-used (cons e-2 (PreludeC-45TypesC-45List-tailRecAppend arg-0 arg-1)) 0 e-5))) (let ((sc3 (PreludeC-45EqOrd-u--C-60_Ord_Int u--u 1))) (cond ((equal? sc3 1) (let ((eff-0 (CompilerC-45Inline-eval arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 '() e-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (CompilerC-45Inline-eval (cons e-2 arg-0) arg-1 arg-2 arg-3 arg-4 (cons e-6 arg-5) arg-6 e-5))) eff-1)))))))) (else (let ((eff-0 (CompilerC-45Inline-genName arg-3 "letv"))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CompilerC-45Inline-eval (cons e-2 arg-0) arg-1 arg-2 arg-3 arg-4 (cons (vector 1 e-1 e-6) arg-5) arg-6 e-5))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45Inline-eval arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 '() e-4))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (vector 3 e-1 e-2 1 e-8 (CompilerC-45Inline-refToLocal e-6 e-2 e-7)))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))))))))))) ((4) (let ((e-7 (vector-ref arg-7 1))) (let ((e-8 (vector-ref arg-7 2))) (let ((e-9 (vector-ref arg-7 3))) (case (vector-ref e-8 0) ((1) (let ((e-52 (vector-ref e-8 1))) (let ((e-53 (vector-ref e-8 2))) (let ((eff-0 (let ((eff-0 arg-2)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-lookupCtxtExact e-53 (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((u--f (vector 1 e-52 e-53))) (if (null? e-6) (let ((eff-2 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45Inline-eval arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 '() eta-0)) e-9 '()))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-10 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (CompilerC-45Inline-unload arg-6 (vector 4 e-7 (vector 1 e-52 e-53) e-10)))))) eff-3))))))) (let ((eff-2 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45Inline-eval arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 '() eta-0)) e-9 '()))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-10 (vector-ref lcase-2 1))) (let ((eff-3 (CompilerC-45Inline-eval arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 (PreludeC-45TypesC-45List-tailRecAppend e-10 arg-6) u--f))) eff-3))))))))))) eff-2))))))))) eff-1))))))))))(else (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45Inline-eval arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 '() eta-0)) e-9 '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CompilerC-45Inline-eval arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 (PreludeC-45TypesC-45List-tailRecAppend e-5 arg-6) e-8))) eff-1))))))))))))) ((5) (let ((e-11 (vector-ref arg-7 1))) (let ((e-12 (vector-ref arg-7 2))) (let ((e-13 (vector-ref arg-7 3))) (let ((e-14 (vector-ref arg-7 4))) (let ((e-15 (vector-ref arg-7 5))) (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45Inline-eval arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 '() eta-0)) e-15 '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (CompilerC-45Inline-unload arg-6 (vector 5 e-11 e-12 e-13 e-14 e-5)))))) eff-1))))))))))))) ((6) (let ((e-17 (vector-ref arg-7 1))) (let ((e-18 (vector-ref arg-7 2))) (let ((e-19 (vector-ref arg-7 3))) (let ((e-20 (vector-ref arg-7 4))) (let ((eff-0 (CoreC-45Core-traverseVect (lambda (eta-0) (CompilerC-45Inline-eval arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 '() eta-0)) e-20))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (CompilerC-45Inline-unload arg-6 (vector 6 e-17 e-18 e-19 e-5)))))) eff-1)))))))))))) ((7) (let ((e-22 (vector-ref arg-7 1))) (let ((e-23 (vector-ref arg-7 2))) (let ((e-24 (vector-ref arg-7 3))) (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45Inline-eval arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 '() eta-0)) e-24 '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (CompilerC-45Inline-unload arg-6 (vector 7 e-22 e-23 e-5)))))) eff-1))))))))))) ((8) (let ((e-26 (vector-ref arg-7 1))) (let ((e-27 (vector-ref arg-7 2))) (let ((e-28 (vector-ref arg-7 3))) (let ((eff-0 (CompilerC-45Inline-eval arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 '() e-28))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (case (vector-ref e-5 0) ((9) (let ((e-3 (vector-ref e-5 3))) (CompilerC-45Inline-eval '() arg-1 arg-2 arg-3 arg-4 '() arg-6 e-3)))(else (lambda (eta-0) (vector 1 (CompilerC-45Inline-unload arg-6 (vector 8 e-26 e-27 e-5)))))))) eff-1))))))))))) ((9) (let ((e-30 (vector-ref arg-7 1))) (let ((e-31 (vector-ref arg-7 2))) (let ((e-32 (vector-ref arg-7 3))) (let ((eff-0 (CompilerC-45Inline-eval arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 '() e-32))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (CompilerC-45Inline-unload arg-6 (vector 9 e-30 e-31 e-5)))))) eff-1))))))))))) ((10) (let ((e-34 (vector-ref arg-7 1))) (let ((e-35 (vector-ref arg-7 2))) (let ((e-36 (vector-ref arg-7 3))) (let ((e-37 (vector-ref arg-7 4))) (let ((eff-0 (CompilerC-45Inline-eval arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 '() e-35))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--envC-39 (CompilerC-45Inline-n--9612-4860-u--update arg-0 arg-1 e-37 e-36 e-35 e-34 arg-6 arg-5 arg-4 arg-3 arg-2 arg-0 e-35 arg-5 e-5))) (let ((eff-1 (CompilerC-45Inline-pickAlt arg-0 arg-1 arg-2 arg-3 arg-4 u--envC-39 arg-6 e-5 e-36 e-37))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-6) (let ((eff-2 (if (null? e-37) (lambda (eta-0) (vector 1 '())) (let ((e-2 (unbox e-37))) (let ((eff-2 (CompilerC-45Inline-eval arg-0 arg-1 arg-2 arg-3 arg-4 u--envC-39 arg-6 e-2))) (((csegen-50) ((let ((eff-3 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-3 (vector-ref eta-3 1))) (vector 0 e-3))) (else (let ((e-7 (vector-ref eta-3 1))) (vector 1 (eta-2 e-7))))))))))) (lambda (arg-8) (lambda (arg-9) ((((eff-3 'erased) 'erased) arg-8) arg-9)))) (lambda (eta-0) (box eta-0)))) eff-2)))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45Inline-evalAlt arg-0 arg-1 arg-2 arg-3 e-34 arg-4 u--envC-39 arg-6 eta-0)) e-36 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (CompilerC-45CaseOpts-caseOfCase (vector 10 e-34 e-5 e-8 e-7)))))) eff-4))))))))) eff-3))))))) (let ((e-2 (unbox e-6))) (lambda (eta-0) (vector 1 e-2)))))) eff-2)))))))))) eff-1)))))))))))) ((11) (let ((e-39 (vector-ref arg-7 1))) (let ((e-40 (vector-ref arg-7 2))) (let ((e-41 (vector-ref arg-7 3))) (let ((e-42 (vector-ref arg-7 4))) (let ((eff-0 (CompilerC-45Inline-eval arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 '() e-40))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CompilerC-45Inline-pickConstAlt arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-5 e-41 e-42))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-6) (let ((eff-2 (if (null? e-42) (lambda (eta-0) (vector 1 '())) (let ((e-2 (unbox e-42))) (let ((eff-2 (CompilerC-45Inline-eval arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-2))) (((csegen-50) ((let ((eff-3 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-3 (vector-ref eta-3 1))) (vector 0 e-3))) (else (let ((e-7 (vector-ref eta-3 1))) (vector 1 (eta-2 e-7))))))))))) (lambda (arg-8) (lambda (arg-9) ((((eff-3 'erased) 'erased) arg-8) arg-9)))) (lambda (eta-0) (box eta-0)))) eff-2)))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45Inline-evalConstAlt arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 eta-0)) e-41 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (CompilerC-45CaseOpts-caseOfCase (vector 11 e-39 e-5 e-8 e-7)))))) eff-4))))))))) eff-3))))))) (let ((e-2 (unbox e-6))) (lambda (eta-0) (vector 1 e-2)))))) eff-2))))))))) eff-1)))))))))))) ((12) (let ((e-44 (vector-ref arg-7 1))) (let ((e-45 (vector-ref arg-7 2))) (lambda (eta-0) (vector 1 (CompilerC-45Inline-unload arg-6 (vector 12 e-44 e-45))))))) ((13) (let ((e-47 (vector-ref arg-7 1))) (lambda (eta-0) (vector 1 (CompilerC-45Inline-unload arg-6 (vector 13 e-47)))))) (else (let ((e-49 (vector-ref arg-7 1))) (let ((e-50 (vector-ref arg-7 2))) (lambda (eta-0) (vector 1 (CompilerC-45Inline-unload arg-6 (vector 14 e-49 e-50)))))))))) (let ((e-56 (car arg-6))) (let ((e-57 (cdr arg-6))) (case (vector-ref arg-7 0) ((2) (let ((e-64 (vector-ref arg-7 2))) (let ((e-65 (vector-ref arg-7 3))) (CompilerC-45Inline-eval (cons e-64 arg-0) arg-1 arg-2 arg-3 arg-4 (cons e-56 arg-5) e-57 e-65))))(else (case (vector-ref arg-7 0) ((3) (let ((e-1 (vector-ref arg-7 1))) (let ((e-2 (vector-ref arg-7 2))) (let ((e-3 (vector-ref arg-7 3))) (let ((e-4 (vector-ref arg-7 4))) (let ((e-5 (vector-ref arg-7 5))) (cond ((equal? e-3 0) (let ((eff-0 (CompilerC-45Inline-genName arg-3 "letv"))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CompilerC-45Inline-eval (cons e-2 arg-0) arg-1 arg-2 arg-3 arg-4 (cons (vector 1 e-1 e-6) arg-5) '() e-5))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45Inline-eval arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 '() e-4))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (CompilerC-45Inline-unload arg-6 (vector 3 e-1 e-2 0 e-8 (CompilerC-45Inline-refToLocal e-6 e-2 e-7))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))) (else (let ((u--u (CompilerC-45Inline-used (cons e-2 (PreludeC-45TypesC-45List-tailRecAppend arg-0 arg-1)) 0 e-5))) (let ((sc3 (PreludeC-45EqOrd-u--C-60_Ord_Int u--u 1))) (cond ((equal? sc3 1) (let ((eff-0 (CompilerC-45Inline-eval arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 '() e-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (CompilerC-45Inline-eval (cons e-2 arg-0) arg-1 arg-2 arg-3 arg-4 (cons e-6 arg-5) arg-6 e-5))) eff-1)))))))) (else (let ((eff-0 (CompilerC-45Inline-genName arg-3 "letv"))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CompilerC-45Inline-eval (cons e-2 arg-0) arg-1 arg-2 arg-3 arg-4 (cons (vector 1 e-1 e-6) arg-5) arg-6 e-5))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45Inline-eval arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 '() e-4))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (vector 3 e-1 e-2 1 e-8 (CompilerC-45Inline-refToLocal e-6 e-2 e-7)))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))))))))))) ((4) (let ((e-7 (vector-ref arg-7 1))) (let ((e-8 (vector-ref arg-7 2))) (let ((e-9 (vector-ref arg-7 3))) (case (vector-ref e-8 0) ((1) (let ((e-52 (vector-ref e-8 1))) (let ((e-53 (vector-ref e-8 2))) (let ((eff-0 (let ((eff-0 arg-2)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-lookupCtxtExact e-53 (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((u--f (vector 1 e-52 e-53))) (if (null? e-6) (let ((eff-2 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45Inline-eval arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 '() eta-0)) e-9 '()))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-10 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (CompilerC-45Inline-unload arg-6 (vector 4 e-7 (vector 1 e-52 e-53) e-10)))))) eff-3))))))) (let ((eff-2 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45Inline-eval arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 '() eta-0)) e-9 '()))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-10 (vector-ref lcase-2 1))) (let ((eff-3 (CompilerC-45Inline-eval arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 (PreludeC-45TypesC-45List-tailRecAppend e-10 arg-6) u--f))) eff-3))))))))))) eff-2))))))))) eff-1))))))))))(else (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45Inline-eval arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 '() eta-0)) e-9 '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CompilerC-45Inline-eval arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 (PreludeC-45TypesC-45List-tailRecAppend e-5 arg-6) e-8))) eff-1))))))))))))) ((5) (let ((e-11 (vector-ref arg-7 1))) (let ((e-12 (vector-ref arg-7 2))) (let ((e-13 (vector-ref arg-7 3))) (let ((e-14 (vector-ref arg-7 4))) (let ((e-15 (vector-ref arg-7 5))) (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45Inline-eval arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 '() eta-0)) e-15 '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (CompilerC-45Inline-unload arg-6 (vector 5 e-11 e-12 e-13 e-14 e-5)))))) eff-1))))))))))))) ((6) (let ((e-17 (vector-ref arg-7 1))) (let ((e-18 (vector-ref arg-7 2))) (let ((e-19 (vector-ref arg-7 3))) (let ((e-20 (vector-ref arg-7 4))) (let ((eff-0 (CoreC-45Core-traverseVect (lambda (eta-0) (CompilerC-45Inline-eval arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 '() eta-0)) e-20))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (CompilerC-45Inline-unload arg-6 (vector 6 e-17 e-18 e-19 e-5)))))) eff-1)))))))))))) ((7) (let ((e-22 (vector-ref arg-7 1))) (let ((e-23 (vector-ref arg-7 2))) (let ((e-24 (vector-ref arg-7 3))) (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45Inline-eval arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 '() eta-0)) e-24 '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (CompilerC-45Inline-unload arg-6 (vector 7 e-22 e-23 e-5)))))) eff-1))))))))))) ((8) (let ((e-26 (vector-ref arg-7 1))) (let ((e-27 (vector-ref arg-7 2))) (let ((e-28 (vector-ref arg-7 3))) (let ((eff-0 (CompilerC-45Inline-eval arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 '() e-28))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (case (vector-ref e-5 0) ((9) (let ((e-3 (vector-ref e-5 3))) (CompilerC-45Inline-eval '() arg-1 arg-2 arg-3 arg-4 '() arg-6 e-3)))(else (lambda (eta-0) (vector 1 (CompilerC-45Inline-unload arg-6 (vector 8 e-26 e-27 e-5)))))))) eff-1))))))))))) ((9) (let ((e-30 (vector-ref arg-7 1))) (let ((e-31 (vector-ref arg-7 2))) (let ((e-32 (vector-ref arg-7 3))) (let ((eff-0 (CompilerC-45Inline-eval arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 '() e-32))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (CompilerC-45Inline-unload arg-6 (vector 9 e-30 e-31 e-5)))))) eff-1))))))))))) ((10) (let ((e-34 (vector-ref arg-7 1))) (let ((e-35 (vector-ref arg-7 2))) (let ((e-36 (vector-ref arg-7 3))) (let ((e-37 (vector-ref arg-7 4))) (let ((eff-0 (CompilerC-45Inline-eval arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 '() e-35))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--envC-39 (CompilerC-45Inline-n--9612-4860-u--update arg-0 arg-1 e-37 e-36 e-35 e-34 arg-6 arg-5 arg-4 arg-3 arg-2 arg-0 e-35 arg-5 e-5))) (let ((eff-1 (CompilerC-45Inline-pickAlt arg-0 arg-1 arg-2 arg-3 arg-4 u--envC-39 arg-6 e-5 e-36 e-37))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-6) (let ((eff-2 (if (null? e-37) (lambda (eta-0) (vector 1 '())) (let ((e-2 (unbox e-37))) (let ((eff-2 (CompilerC-45Inline-eval arg-0 arg-1 arg-2 arg-3 arg-4 u--envC-39 arg-6 e-2))) (((csegen-50) ((let ((eff-3 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-3 (vector-ref eta-3 1))) (vector 0 e-3))) (else (let ((e-7 (vector-ref eta-3 1))) (vector 1 (eta-2 e-7))))))))))) (lambda (arg-8) (lambda (arg-9) ((((eff-3 'erased) 'erased) arg-8) arg-9)))) (lambda (eta-0) (box eta-0)))) eff-2)))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45Inline-evalAlt arg-0 arg-1 arg-2 arg-3 e-34 arg-4 u--envC-39 arg-6 eta-0)) e-36 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (CompilerC-45CaseOpts-caseOfCase (vector 10 e-34 e-5 e-8 e-7)))))) eff-4))))))))) eff-3))))))) (let ((e-2 (unbox e-6))) (lambda (eta-0) (vector 1 e-2)))))) eff-2)))))))))) eff-1)))))))))))) ((11) (let ((e-39 (vector-ref arg-7 1))) (let ((e-40 (vector-ref arg-7 2))) (let ((e-41 (vector-ref arg-7 3))) (let ((e-42 (vector-ref arg-7 4))) (let ((eff-0 (CompilerC-45Inline-eval arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 '() e-40))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CompilerC-45Inline-pickConstAlt arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-5 e-41 e-42))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-6) (let ((eff-2 (if (null? e-42) (lambda (eta-0) (vector 1 '())) (let ((e-2 (unbox e-42))) (let ((eff-2 (CompilerC-45Inline-eval arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-2))) (((csegen-50) ((let ((eff-3 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-3 (vector-ref eta-3 1))) (vector 0 e-3))) (else (let ((e-7 (vector-ref eta-3 1))) (vector 1 (eta-2 e-7))))))))))) (lambda (arg-8) (lambda (arg-9) ((((eff-3 'erased) 'erased) arg-8) arg-9)))) (lambda (eta-0) (box eta-0)))) eff-2)))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45Inline-evalConstAlt arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 eta-0)) e-41 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (CompilerC-45CaseOpts-caseOfCase (vector 11 e-39 e-5 e-8 e-7)))))) eff-4))))))))) eff-3))))))) (let ((e-2 (unbox e-6))) (lambda (eta-0) (vector 1 e-2)))))) eff-2))))))))) eff-1)))))))))))) ((12) (let ((e-44 (vector-ref arg-7 1))) (let ((e-45 (vector-ref arg-7 2))) (lambda (eta-0) (vector 1 (CompilerC-45Inline-unload arg-6 (vector 12 e-44 e-45))))))) ((13) (let ((e-47 (vector-ref arg-7 1))) (lambda (eta-0) (vector 1 (CompilerC-45Inline-unload arg-6 (vector 13 e-47)))))) (else (let ((e-49 (vector-ref arg-7 1))) (let ((e-50 (vector-ref arg-7 2))) (lambda (eta-0) (vector 1 (CompilerC-45Inline-unload arg-6 (vector 14 e-49 e-50)))))))))))))))))
(define CompilerC-45Inline-doEval (lambda (arg-0 arg-1 arg-2 arg-3) (let ((eff-0 (CoreC-45Core-newRef (vector "Compiler.Inline.LVar" ) 0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45ContextC-45Log-log arg-1 "compiler.inline.eval" 10 (lambda () (string-append (CoreC-45Name-u--show_Show_Name arg-2) (string-append ": " (CoreC-45CompileExpr-u--show_Show_C-40CExpC-32C-36varsC-41 arg-0 arg-3))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (CompilerC-45Inline-eval '() arg-0 arg-1 e-5 '() '() '() arg-3))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45ContextC-45Log-log arg-1 "compiler.inline.eval" 10 (lambda () (string-append "Inlined: " (CoreC-45CompileExpr-u--show_Show_C-40CExpC-32C-36varsC-41 arg-0 e-7)))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-4 (lambda (eta-0) (vector 1 e-7)))) eff-4)))))))) eff-3))))))))) eff-2)))))))) eff-1)))))))))
(define CompilerC-45Inline-compileAndInlineAll (lambda (arg-0) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--ns (LibrariesC-45DataC-45NameMap-keys (let ((e-24 (vector-ref e-5 24))) e-24)))) (let ((eff-1 (CoreC-45Core-filterM (lambda (eta-0) (CompilerC-45Inline-n--14387-7730-u--nonErased arg-0 eta-0)) u--ns))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Core-traverse_ (lambda (eta-0) (CompilerC-45CompileExpr-compileDef arg-0 eta-0)) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (let ((eff-3 (CoreC-45Core-traverse_ (lambda (eta-0) (CompilerC-45OptsC-45Identity-rewriteIdentityFlag arg-0 eta-0)) e-6))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-4 (let ((eff-4 (CompilerC-45Inline-n--14387-7729-u--transform arg-0 3 e-6))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-5 (let ((eff-5 (CoreC-45Core-traverse_ (lambda (eta-0) (CompilerC-45Inline-updateCallGraph arg-0 eta-0)) e-6))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-6 (let ((eff-6 (CoreC-45Context-getSession arg-0))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-2 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-11 (vector-ref lcase-6 1))) (let ((eff-7 (let ((sc7 (DataC-45List-isNil (let ((e-21 (vector-ref e-11 21))) e-21)))) (cond ((equal? sc7 1) (lambda (eta-0) (vector 1 (vector 0 )))) (else (CoreC-45Core-traverse_ (lambda (eta-0) (CompilerC-45Inline-addArityHash arg-0 eta-0)) e-6)))))) eff-7))))))))) eff-6)))))))) eff-5)))))))) eff-4)))))))) eff-3)))))))) eff-2)))))))))) eff-1)))))))))
(define CompilerC-45Inline-addRefsConstAlts (lambda (arg-1 arg-2) (if (null? arg-2) arg-1 (let ((e-2 (car arg-2))) (let ((e-3 (cdr arg-2))) (let ((e-6 (cdr e-2))) (CompilerC-45Inline-addRefsConstAlts (CompilerC-45Inline-addRefs arg-1 e-6) e-3)))))))
(define CompilerC-45Inline-addRefsConAlts (lambda (arg-1 arg-2) (if (null? arg-2) arg-1 (let ((e-2 (car arg-2))) (let ((e-3 (cdr arg-2))) (let ((e-9 (vector-ref e-2 4))) (CompilerC-45Inline-addRefsConAlts (CompilerC-45Inline-addRefs arg-1 e-9) e-3)))))))
(define CompilerC-45Inline-addRefsArgs (lambda (arg-1 arg-2) (if (null? arg-2) arg-1 (let ((e-2 (car arg-2))) (let ((e-3 (cdr arg-2))) (CompilerC-45Inline-addRefsArgs (CompilerC-45Inline-addRefs arg-1 e-2) e-3))))))
(define CompilerC-45Inline-addRefs (lambda (arg-1 arg-2) (case (vector-ref arg-2 0) ((1) (let ((e-2 (vector-ref arg-2 2))) (LibrariesC-45DataC-45NameMap-insert e-2 0 arg-1))) ((2) (let ((e-6 (vector-ref arg-2 3))) (CompilerC-45Inline-addRefs arg-1 e-6))) ((3) (let ((e-11 (vector-ref arg-2 4))) (let ((e-12 (vector-ref arg-2 5))) (CompilerC-45Inline-addRefs (CompilerC-45Inline-addRefs arg-1 e-11) e-12)))) ((4) (let ((e-15 (vector-ref arg-2 2))) (let ((e-16 (vector-ref arg-2 3))) (CompilerC-45Inline-addRefsArgs (CompilerC-45Inline-addRefs arg-1 e-15) e-16)))) ((5) (let ((e-19 (vector-ref arg-2 2))) (let ((e-22 (vector-ref arg-2 5))) (CompilerC-45Inline-addRefsArgs (LibrariesC-45DataC-45NameMap-insert e-19 0 arg-1) e-22)))) ((6) (let ((e-27 (vector-ref arg-2 4))) (CompilerC-45Inline-addRefsArgs arg-1 (DataC-45Vect-u--toList_Foldable_C-40VectC-32C-36nC-41 e-27)))) ((7) (let ((e-31 (vector-ref arg-2 3))) (CompilerC-45Inline-addRefsArgs arg-1 e-31))) ((8) (let ((e-35 (vector-ref arg-2 3))) (CompilerC-45Inline-addRefs arg-1 e-35))) ((9) (let ((e-39 (vector-ref arg-2 3))) (CompilerC-45Inline-addRefs arg-1 e-39))) ((10) (let ((e-42 (vector-ref arg-2 2))) (let ((e-43 (vector-ref arg-2 3))) (let ((e-44 (vector-ref arg-2 4))) (let ((u--dsC-39 (PreludeC-45Types-maybe (lambda () arg-1) (lambda () (lambda (eta-0) (CompilerC-45Inline-addRefs arg-1 eta-0))) e-44))) (CompilerC-45Inline-addRefsConAlts (CompilerC-45Inline-addRefs u--dsC-39 e-42) e-43)))))) ((11) (let ((e-47 (vector-ref arg-2 2))) (let ((e-48 (vector-ref arg-2 3))) (let ((e-49 (vector-ref arg-2 4))) (let ((u--dsC-39 (PreludeC-45Types-maybe (lambda () arg-1) (lambda () (lambda (eta-0) (CompilerC-45Inline-addRefs arg-1 eta-0))) e-49))) (CompilerC-45Inline-addRefsConstAlts (CompilerC-45Inline-addRefs u--dsC-39 e-47) e-48))))))(else arg-1))))
(define CompilerC-45Inline-addArityHash (lambda (arg-0 arg-1) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-lookupCtxtExact arg-1 (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-6) (lambda (eta-0) (vector 1 (vector 0 ))) (let ((e-1 (unbox e-6))) (let ((e-18 (vector-ref e-1 18))) (if (null? e-18) (lambda (eta-0) (vector 1 (vector 0 ))) (let ((e-25 (unbox e-18))) (case (vector-ref e-25 0) ((0) (let ((e-27 (vector-ref e-25 1))) (let ((sc5 (let ((e-40 (vector-ref e-1 9))) e-40))) (cond ((equal? sc5 0) (lambda (eta-0) (vector 1 (vector 0 ))))(else (CoreC-45Context-addHash arg-0 (cons (lambda (arg-2985) (CoreC-45Hash-u--hash_Hashable_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-1682) (csegen-1684) arg-2985)) (lambda (arg-2991) (lambda (arg-2994) (CoreC-45Hash-u--hashWithSalt_Hashable_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-1682) (csegen-1684) arg-2991 arg-2994)))) (cons arg-1 (PreludeC-45TypesC-45List-lengthTR e-27))))))))(else (lambda (eta-0) (vector 1 (vector 0 )))))))))))) eff-2))))))))) eff-1)))))))))
(define LibrariesC-45DataC-45LengthMatch-checkLengthMatch (lambda (arg-2 arg-3) (if (null? arg-2) (if (null? arg-3) (box 0) '()) (let ((e-3 (cdr arg-2))) (if (null? arg-3) '() (let ((e-11 (cdr arg-3))) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (LibrariesC-45DataC-45LengthMatch-checkLengthMatch e-3 e-11) (lambda (bind-0) (box (+ bind-0 1))))))))))
(define CompilerC-45OptsC-45InlineHeuristics-case--caseC-32blockC-32inC-32inlineHeuristics-2772 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (if (null? arg-6) (lambda (eta-0) (vector 1 (vector 0 ))) (let ((e-1 (unbox arg-6))) (let ((sc1 (CompilerC-45OptsC-45InlineHeuristics-inlineCDef arg-1 e-1))) (cond ((equal? sc1 1) (let ((sc2 (let ((e-9 (vector-ref arg-4 9))) e-9))) (cond ((equal? sc2 2) (let ((sc3 (PreludeC-45Types-elem (csegen-16) (csegen-1601) (vector 1 ) (let ((e-11 (vector-ref arg-4 11))) e-11)))) (cond ((equal? sc3 1) (lambda (eta-0) (vector 1 (vector 0 )))) (else (let ((eff-0 (CoreC-45ContextC-45Log-log arg-0 "compiler.inline.heuristic" 25 (lambda () (string-append "inlining heuristic decided to inline: " (CoreC-45Name-u--show_Show_Name arg-1)))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45Context-setFlag arg-0 (vector 2 ) (vector 8 arg-3) (vector 0 )))) eff-1))))))))))(else (lambda (eta-0) (vector 1 (vector 0 ))))))) (else (lambda (eta-0) (vector 1 (vector 0 ))))))))))
(define CompilerC-45OptsC-45InlineHeuristics-simple (lambda (arg-0 arg-2) (case (vector-ref arg-2 0) ((0) 1) ((1) 1) ((2) 0) ((3) 0) ((4) (let ((e-20 (vector-ref arg-2 2))) (let ((e-21 (vector-ref arg-2 3))) (case (vector-ref e-20 0) ((1) (let ((e-65 (vector-ref e-20 2))) (let ((sc2 (CoreC-45Name-u--C-61C-61_Eq_Name arg-0 e-65))) (cond ((equal? sc2 1) 0) (else (PreludeC-45Interfaces-all (csegen-16) (lambda (eta-0) (CompilerC-45OptsC-45InlineHeuristics-isVar arg-0 eta-0)) e-21))))))(else (let ((sc1 (CompilerC-45OptsC-45InlineHeuristics-isVar arg-0 e-20))) (cond ((equal? sc1 1) (PreludeC-45Interfaces-all (csegen-16) (lambda (eta-0) (CompilerC-45OptsC-45InlineHeuristics-isVar arg-0 eta-0)) e-21)) (else 0)))))))) ((5) (let ((e-27 (vector-ref arg-2 5))) (PreludeC-45Interfaces-all (csegen-16) (lambda (eta-0) (CompilerC-45OptsC-45InlineHeuristics-isVar arg-0 eta-0)) e-27))) ((6) (let ((e-32 (vector-ref arg-2 4))) (PreludeC-45Interfaces-all (csegen-2238) (lambda (eta-0) (CompilerC-45OptsC-45InlineHeuristics-isVar arg-0 eta-0)) e-32))) ((7) (let ((e-36 (vector-ref arg-2 3))) (PreludeC-45Interfaces-all (csegen-16) (lambda (eta-0) (CompilerC-45OptsC-45InlineHeuristics-isVar arg-0 eta-0)) e-36))) ((8) (let ((e-40 (vector-ref arg-2 3))) (CompilerC-45OptsC-45InlineHeuristics-simple arg-0 e-40))) ((9) (let ((e-44 (vector-ref arg-2 3))) (CompilerC-45OptsC-45InlineHeuristics-simple arg-0 e-44))) ((10) 0) ((11) 0) ((12) 1) ((13) 1) (else 0))))
(define CompilerC-45OptsC-45InlineHeuristics-isVar (lambda (arg-0 arg-2) (case (vector-ref arg-2 0) ((0) 1) ((1) 1) ((8) (let ((e-11 (vector-ref arg-2 3))) (CompilerC-45OptsC-45InlineHeuristics-isVar arg-0 e-11))) ((9) (let ((e-15 (vector-ref arg-2 3))) (CompilerC-45OptsC-45InlineHeuristics-isVar arg-0 e-15)))(else 0))))
(define CompilerC-45OptsC-45InlineHeuristics-inlineHeuristics (lambda (arg-0 arg-1) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-lookupCtxtExactI arg-1 (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-6) (lambda (eta-0) (vector 1 (vector 0 ))) (let ((e-1 (unbox e-6))) (let ((e-8 (car e-1))) (let ((e-7 (cdr e-1))) (let ((_-0 (box (cons e-8 e-7)))) (CompilerC-45OptsC-45InlineHeuristics-case--caseC-32blockC-32inC-32inlineHeuristics-2772 arg-0 arg-1 e-5 e-8 e-7 _-0 (let ((e-18 (vector-ref e-7 18))) e-18))))))))) eff-2))))))))) eff-1)))))))))
(define CompilerC-45OptsC-45InlineHeuristics-inlineCDef (lambda (arg-0 arg-1) (case (vector-ref arg-1 0) ((0) (let ((e-1 (vector-ref arg-1 2))) (CompilerC-45OptsC-45InlineHeuristics-simple arg-0 e-1)))(else 0))))
(define CompilerC-45CompileExpr-case--caseC-32blockC-32inC-32getFieldArgs-7407 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9) (if (null? arg-9) (lambda (eta-0) (vector 1 '())) (let ((e-2 (cdr arg-9))) (if (null? e-2) (lambda (eta-0) (vector 1 '())) (let ((e-4 (car e-2))) (let ((e-5 (cdr e-2))) (if (null? e-5) (lambda (eta-0) (vector 1 '())) (let ((e-7 (car e-5))) (let ((e-8 (cdr e-5))) (if (null? e-8) (let ((eff-0 (CompilerC-45CompileExpr-getFieldArgs arg-2 arg-1 e-7))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CompilerC-45CompileExpr-getPArgs arg-2 arg-1 e-4))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-3 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-9 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (clam-0) (let ((e-10 (car e-9))) (let ((e-3 (cdr e-9))) (vector 1 (cons (cons e-10 e-3) e-6))))))) eff-2))))))))) eff-1))))))) (lambda (eta-0) (vector 1 '())))))))))))))
(define CompilerC-45CompileExpr-case--caseC-32blockC-32inC-32getPArgs-7200 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9) (if (null? arg-9) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 arg-7 "Badly formed struct type") eta-0)) (let ((e-1 (car arg-9))) (let ((e-2 (cdr arg-9))) (if (null? e-2) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 arg-7 "Badly formed struct type") eta-0)) (let ((e-4 (car e-2))) (let ((eff-0 (CoreC-45NormaliseC-45Eval-evalClosure arg-2 '() arg-1 e-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (clam-0) (case (vector-ref e-6 0) ((8) (let ((e-3 (vector-ref e-6 2))) (case (vector-ref e-3 0) ((10) (let ((e-8 (vector-ref e-3 1))) (vector 1 (cons e-8 e-1))))(else (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc e-6) (csegen-2277)) clam-0)))))(else (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc e-6) (csegen-2277)) clam-0)))))) eff-1))))))))))))))
(define CompilerC-45CompileExpr-case--caseC-32blockC-32inC-32conCases-5745 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12) (case (vector-ref arg-12 0) ((5) (let ((e-2 (vector-ref arg-12 3))) (if (null? e-2) (let ((eff-0 (CoreC-45Context-getFullName arg-8 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((sc3 (CompilerC-45CompileExpr-mkDropSubst 0 (let ((e-3 (vector-ref arg-10 3))) e-3) arg-1 arg-0))) (let ((e-4 (car sc3))) (let ((e-3 (cdr sc3))) (let ((eff-1 (CompilerC-45CompileExpr-toCExpTree (PreludeC-45TypesC-45List-tailRecAppend arg-0 arg-1) arg-8 arg-7 arg-6 arg-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-6 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-conCases arg-1 arg-8 arg-7 arg-6 arg-5))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-7 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((sc6 (CompilerC-45CompileExpr-n--11886-5684-u--dcon arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (let ((e-17 (vector-ref arg-10 17))) e-17)))) (cond ((equal? sc6 1) (let ((eff-3 (CompilerC-45CompileExpr-dconFlag arg-8 e-5))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-8 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (cons (vector e-5 e-8 (box arg-3) e-4 (CoreC-45CompileExpr-shrinkCExp e-3 e-6)) e-7))))) eff-4)))))))) (else (let ((eff-3 (CompilerC-45CompileExpr-dconFlag arg-8 e-5))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-8 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (cons (vector e-5 e-8 '() e-4 (CoreC-45CompileExpr-shrinkCExp e-3 e-6)) e-7))))) eff-4)))))))))))) eff-3))))))))) eff-2)))))))))))) eff-1))))))) (CompilerC-45CompileExpr-conCases arg-1 arg-8 arg-7 arg-6 arg-5))))(else (let ((eff-0 (CoreC-45Context-getFullName arg-8 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((sc1 (CompilerC-45CompileExpr-mkDropSubst 0 (let ((e-3 (vector-ref arg-10 3))) e-3) arg-1 arg-0))) (let ((e-2 (car sc1))) (let ((e-3 (cdr sc1))) (let ((eff-1 (CompilerC-45CompileExpr-toCExpTree (PreludeC-45TypesC-45List-tailRecAppend arg-0 arg-1) arg-8 arg-7 arg-6 arg-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-conCases arg-1 arg-8 arg-7 arg-6 arg-5))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((sc4 (CompilerC-45CompileExpr-n--11886-5684-u--dcon arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (let ((e-17 (vector-ref arg-10 17))) e-17)))) (cond ((equal? sc4 1) (let ((eff-3 (CompilerC-45CompileExpr-dconFlag arg-8 e-5))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-4 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (cons (vector e-5 e-8 (box arg-3) e-2 (CoreC-45CompileExpr-shrinkCExp e-3 e-6)) e-7))))) eff-4)))))))) (else (let ((eff-3 (CompilerC-45CompileExpr-dconFlag arg-8 e-5))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-4 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (cons (vector e-5 e-8 '() e-2 (CoreC-45CompileExpr-shrinkCExp e-3 e-6)) e-7))))) eff-4)))))))))))) eff-3))))))))) eff-2)))))))))))) eff-1)))))))))))
(define CompilerC-45CompileExpr-case--toCExp-5389 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (let ((e-2 (car arg-5))) (let ((e-3 (cdr arg-5))) (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-toCExp arg-0 arg-4 arg-3 arg-2 eta-0)) e-3 '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 arg-4)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (unbox eff-2))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-toCExpTm arg-0 arg-4 arg-3 arg-2 e-2))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CompilerC-45CompileExpr-numArgs e-6 e-2))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-4 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (case (vector-ref e-8 0) ((2) (let ((e-0 (vector-ref e-8 1))) (let ((u--res (CompilerC-45CompileExpr-expandToArity arg-0 e-0 e-7 e-5))) (lambda (eta-0) (vector 1 (CompilerC-45CompileExpr-builtinMagic u--res)))))) ((0) (let ((e-1 (vector-ref e-8 1))) (let ((e-4 (vector-ref e-8 2))) (let ((u--res (CompilerC-45CompileExpr-applyNewType arg-0 e-1 e-4 e-7 e-5))) (lambda (eta-0) (vector 1 (CompilerC-45CompileExpr-builtinMagic u--res))))))) (else (let ((e-9 (vector-ref e-8 1))) (let ((e-4 (vector-ref e-8 2))) (let ((u--res (CompilerC-45CompileExpr-eraseConArgs arg-0 e-9 e-4 e-7 e-5))) (lambda (eta-0) (vector 1 (CompilerC-45CompileExpr-builtinMagic u--res)))))))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))
(define CompilerC-45CompileExpr-n--15342-8696-u--toLam (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10) (cond ((equal? arg-9 1) (case (vector-ref arg-10 0) ((0) (let ((e-0 (vector-ref arg-10 1))) (let ((e-1 (vector-ref arg-10 2))) (vector 0 '() (CompilerC-45CompileExpr-lamRHS e-0 e-1)))))(else arg-10)))(else arg-10))))
(define CompilerC-45CompileExpr-n--10799-4551-u--toEnum (lambda (arg-1 arg-2 arg-3 arg-4 arg-5) (let ((e-2 (vector-ref arg-5 1))) (let ((e-3 (vector-ref arg-5 2))) (let ((e-4 (vector-ref arg-5 3))) (let ((e-5 (vector-ref arg-5 4))) (case (vector-ref e-2 0) ((4) (let ((e-6 (vector-ref e-2 1))) (if (null? e-3) '() (let ((e-8 (unbox e-3))) (if (null? e-4) (box (cons (CompilerC-45CompileExpr-enumTag e-6 e-8) e-5)) '())))))(else '()))))))))
(define CompilerC-45CompileExpr-n--15342-8987-u--toArgExp (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-7) (let ((eff-0 arg-7)) (vector 0 eff-0 (CoreC-45FC-emptyFC)))))
(define CompilerC-45CompileExpr-n--15342-8832-u--toArgExp (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-6) (let ((eff-0 arg-6)) (vector 0 eff-0 (CoreC-45FC-emptyFC)))))
(define CompilerC-45CompileExpr-n--16108-9357-u--noDefYet (lambda (arg-0 arg-1 arg-2 arg-3) (case (vector-ref arg-2 0) ((0) (if (null? arg-3) 0 1))(else 0))))
(define CompilerC-45CompileExpr-n--11930-6115-u--mkSubst (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-12 arg-13 arg-14 arg-15) (if (null? arg-15) '() (let ((e-3 (cdr arg-15))) (let ((sc1 (or (and (= arg-12 arg-14) 1) 0))) (cond ((equal? sc1 1) (cons arg-13 (CompilerC-45CompileExpr-n--11930-6115-u--mkSubst arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (+ arg-12 1) arg-13 arg-14 e-3))) (else (cons (vector 13 arg-8) (CompilerC-45CompileExpr-n--11930-6115-u--mkSubst arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (+ arg-12 1) arg-13 arg-14 e-3)))))))))
(define CompilerC-45CompileExpr-n--8968-2870-u--mkLocal (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (let ((eff-0 arg-5)) (vector 0 eff-0 arg-4))))
(define CompilerC-45CompileExpr-n--8968-2871-u--mkApp (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (if (null? arg-5) arg-4 (case (vector-ref arg-4 0) ((4) (let ((e-1 (vector-ref arg-4 1))) (let ((e-2 (vector-ref arg-4 2))) (let ((e-3 (vector-ref arg-4 3))) (vector 4 e-1 e-2 (PreludeC-45TypesC-45List-tailRecAppend e-3 arg-5)))))) ((5) (let ((e-5 (vector-ref arg-4 1))) (let ((e-6 (vector-ref arg-4 2))) (let ((e-7 (vector-ref arg-4 3))) (let ((e-8 (vector-ref arg-4 4))) (let ((e-9 (vector-ref arg-4 5))) (vector 5 e-5 e-6 e-7 e-8 (PreludeC-45TypesC-45List-tailRecAppend e-9 arg-5)))))))) ((7) (let ((e-11 (vector-ref arg-4 1))) (let ((e-12 (vector-ref arg-4 2))) (let ((e-13 (vector-ref arg-4 3))) (vector 7 e-11 e-12 (PreludeC-45TypesC-45List-tailRecAppend e-13 arg-5))))))(else (vector 4 (CoreC-45CompileExpr-getFC arg-4) arg-4 arg-5))))))
(define CompilerC-45CompileExpr-n--15274-8593-u--lamBind (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (if (null? arg-3) arg-4 (let ((e-2 (car arg-3))) (let ((e-3 (cdr arg-3))) (CompilerC-45CompileExpr-n--15274-8593-u--lamBind arg-0 arg-1 arg-2 e-3 (vector 2 arg-2 e-2 arg-4)))))))
(define CompilerC-45CompileExpr-n--9229-3110-u--keepArg (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-6) (case (vector-ref arg-6 0) ((2) (let ((e-1 (vector-ref arg-6 1))) (let ((e-2 (vector-ref arg-6 2))) (let ((e-3 (vector-ref arg-6 3))) (vector 2 e-1 e-2 (CompilerC-45CompileExpr-n--9229-3110-u--keepArg arg-0 arg-1 arg-2 arg-3 arg-4 e-3)))))) ((5) (let ((e-9 (vector-ref arg-6 5))) (CompilerC-45CompileExpr-n--9229-3109-u--keep arg-0 arg-1 arg-2 arg-3 arg-4 0 e-9)))(else (vector 13 (CoreC-45CompileExpr-getFC arg-2))))))
(define CompilerC-45CompileExpr-n--9229-3109-u--keep (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-6 arg-7) (if (null? arg-7) (vector 13 (CoreC-45CompileExpr-getFC arg-2)) (let ((e-2 (car arg-7))) (let ((e-3 (cdr arg-7))) (let ((sc1 (or (and (= arg-6 arg-3) 1) 0))) (cond ((equal? sc1 1) e-2) (else (CompilerC-45CompileExpr-n--9229-3109-u--keep arg-0 arg-1 arg-2 arg-3 arg-4 (+ arg-6 1) e-3)))))))))
(define CompilerC-45CompileExpr-n--9773-3596-u--go (lambda (arg-1 arg-2 arg-3 arg-4) (if (null? arg-3) arg-4 (let ((e-2 (car arg-3))) (let ((e-3 (cdr arg-3))) (let ((sc1 (CompilerC-45CompileExpr-n--9773-3595-u--fire arg-1 arg-2 e-2 arg-4))) (if (null? sc1) (CompilerC-45CompileExpr-n--9773-3596-u--go arg-1 arg-2 e-3 arg-4) (let ((e-4 (unbox sc1))) e-4))))))))
(define CompilerC-45CompileExpr-n--15342-8988-u--getVars (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-8) (if (null? arg-8) '() (let ((e-3 (cdr arg-8))) (cons 0 (((csegen-2281) (lambda (eta-0) (CompilerC-45CompileExpr-weakenVar eta-0))) (CompilerC-45CompileExpr-n--15342-8988-u--getVars arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-3)))))))
(define CompilerC-45CompileExpr-n--15342-8833-u--getVars (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-7) (if (null? arg-7) '() (let ((e-3 (cdr arg-7))) (cons 0 ((csegen-2283) (CompilerC-45CompileExpr-n--15342-8833-u--getVars arg-0 arg-1 arg-2 arg-3 arg-4 e-3)))))))
(define CompilerC-45CompileExpr-n--9773-3595-u--fire (lambda (arg-1 arg-2 arg-3 arg-4) (case (vector-ref arg-3 0) ((0) (let ((e-0 (vector-ref arg-3 1))) (let ((e-1 (vector-ref arg-3 2))) (let ((e-2 (vector-ref arg-3 3))) (case (vector-ref arg-4 0) ((5) (let ((e-7 (vector-ref arg-4 1))) (let ((e-8 (vector-ref arg-4 2))) (let ((e-11 (vector-ref arg-4 5))) (PreludeC-45Interfaces-C-62C-62 (csegen-614) (PreludeC-45Interfaces-guard (csegen-326) (CoreC-45Name-u--C-61C-61_Eq_Name e-0 e-8)) (lambda () (((csegen-77) ((e-2 e-7) 'erased)) (DataC-45Vect-toVect e-1 e-11))))))))(else '())))))) ((1) (let ((e-3 (vector-ref arg-3 1))) (let ((e-4 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 3))) (case (vector-ref arg-4 0) ((4) (let ((e-13 (vector-ref arg-4 1))) (let ((e-14 (vector-ref arg-4 2))) (let ((e-15 (vector-ref arg-4 3))) (case (vector-ref e-14 0) ((1) (let ((e-17 (vector-ref e-14 1))) (let ((e-18 (vector-ref e-14 2))) (PreludeC-45Interfaces-C-62C-62 (csegen-614) (PreludeC-45Interfaces-guard (csegen-326) (CoreC-45Name-u--C-61C-61_Eq_Name e-3 e-18)) (lambda () (((csegen-77) (((e-5 e-13) e-17) 'erased)) (DataC-45Vect-toVect e-4 e-15)))))))(else '()))))))(else '()))))))(else '()))))
(define CompilerC-45CompileExpr-n--11886-5684-u--dcon (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9) (case (vector-ref arg-9 0) ((5) 1)(else 0))))
(define CompilerC-45CompileExpr-n--11057-4772-u--ciFlags (lambda (arg-0 arg-1 arg-2 arg-3) (if (null? arg-3) (case (vector-ref arg-2 0) ((6) (vector 1 ))(else (vector 0 ))) (let ((e-2 (car arg-3))) (let ((e-3 (cdr arg-3))) (case (vector-ref e-2 0) ((11) (let ((e-4 (vector-ref e-2 1))) e-4))(else (CompilerC-45CompileExpr-n--11057-4772-u--ciFlags arg-0 arg-1 arg-2 e-3))))))))
(define CompilerC-45CompileExpr-n--9098-2998-u--applyAll (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (if (null? arg-4) arg-3 (let ((e-2 (car arg-4))) (let ((e-3 (cdr arg-4))) (CompilerC-45CompileExpr-n--9098-2998-u--applyAll arg-0 arg-1 arg-2 (vector 4 (CoreC-45CompileExpr-getFC arg-3) arg-3 (cons e-2 '())) e-3))))))
(define CompilerC-45CompileExpr-n--9098-3027-u--addArg (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (case (vector-ref arg-5 0) ((4) (let ((e-1 (vector-ref arg-5 1))) (let ((e-2 (vector-ref arg-5 2))) (let ((e-3 (vector-ref arg-5 3))) (vector 4 e-1 e-2 (PreludeC-45TypesC-45List-tailRecAppend e-3 (cons arg-6 '()))))))) ((5) (let ((e-5 (vector-ref arg-5 1))) (let ((e-6 (vector-ref arg-5 2))) (let ((e-7 (vector-ref arg-5 3))) (let ((e-8 (vector-ref arg-5 4))) (let ((e-9 (vector-ref arg-5 5))) (vector 5 e-5 e-6 e-7 e-8 (PreludeC-45TypesC-45List-tailRecAppend e-9 (cons arg-6 '()))))))))) ((7) (let ((e-11 (vector-ref arg-5 1))) (let ((e-12 (vector-ref arg-5 2))) (let ((e-13 (vector-ref arg-5 3))) (vector 7 e-11 e-12 (PreludeC-45TypesC-45List-tailRecAppend e-13 (cons arg-6 '())))))))(else (vector 4 (CoreC-45CompileExpr-getFC arg-5) arg-5 (cons arg-6 '()))))))
(define CompilerC-45CompileExpr-weakenVar (lambda (arg-2) (let ((eff-0 arg-2)) (+ eff-0 1))))
(define CompilerC-45CompileExpr-unitTree (lambda (arg-1 arg-2) (case (vector-ref arg-2 0) ((10) (let ((e-1 (vector-ref arg-2 1))) (let ((e-2 (vector-ref arg-2 2))) (let ((e-3 (vector-ref arg-2 3))) (let ((e-4 (vector-ref arg-2 4))) (DataC-45Maybe-fromMaybe (let ((u--exp (vector 10 e-1 e-2 e-3 e-4))) (lambda () (lambda (eta-0) (vector 1 u--exp)))) (if (null? e-3) '() (let ((e-6 (car e-3))) (let ((e-5 (cdr e-3))) (let ((e-10 (vector-ref e-6 1))) (let ((e-7 (vector-ref e-6 3))) (let ((e-8 (vector-ref e-6 4))) (case (vector-ref e-10 0) ((10) (if (null? e-7) (if (null? e-5) (box (case (vector-ref e-2 0) ((0) (lambda (eta-0) (vector 1 e-8)))(else (let ((eff-0 (CompilerC-45CompileExpr-newMN arg-1 "_unit"))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-12 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-12)))) (else (let ((e-12 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 3 e-1 e-12 0 e-2 (CoreC-45CompileExpr-u--weaken_Weaken_CExp e-8)))))) eff-1)))))))))) '()) '()))(else '()))))))))))))))(else (lambda (eta-0) (vector 1 arg-2))))))
(define CompilerC-45CompileExpr-tryZBranch (lambda (arg-1) (let ((e-2 (vector-ref arg-1 1))) (let ((e-4 (vector-ref arg-1 3))) (let ((e-5 (vector-ref arg-1 4))) (case (vector-ref e-2 0) ((8) (if (null? e-4) (box e-5) '()))(else '())))))))
(define CompilerC-45CompileExpr-trySBranch (lambda (arg-1 arg-2) (let ((e-2 (vector-ref arg-2 1))) (let ((e-4 (vector-ref arg-2 3))) (let ((e-5 (vector-ref arg-2 4))) (case (vector-ref e-2 0) ((9) (if (null? e-4) '() (let ((e-7 (car e-4))) (let ((e-8 (cdr e-4))) (if (null? e-8) (box (vector 3 (CoreC-45CompileExpr-getFC arg-1) e-7 1 (CompilerC-45CompileExpr-magic__natUnsuc (CoreC-45CompileExpr-getFC arg-1) (CoreC-45CompileExpr-getFC arg-1) (cons arg-1 '())) e-5)) '())))))(else '())))))))
(define CompilerC-45CompileExpr-toCExpTreeC-39 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (case (vector-ref arg-4 0) ((0) (let ((e-2 (vector-ref arg-4 2))) (let ((e-4 (vector-ref arg-4 3))) (let ((e-5 (vector-ref arg-4 4))) (if (null? e-5) (lambda (eta-0) (vector 1 (vector 14 (CoreC-45TT-getLoc e-4) (string-append "Missing case tree in " (CoreC-45Name-u--show_Show_Name arg-3))))) (let ((e-13 (car e-5))) (let ((e-14 (cdr e-5))) (case (vector-ref e-13 0) ((0) (let ((e-17 (vector-ref e-13 1))) (let ((e-18 (vector-ref e-13 2))) (let ((e-19 (vector-ref e-13 3))) (let ((e-20 (vector-ref e-13 4))) (let ((u--fc (CoreC-45TT-getLoc e-4))) (let ((eff-0 (CompilerC-45CompileExpr-getNewType arg-0 arg-1 arg-2 u--fc (vector 0 e-2 u--fc) arg-3 e-5))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--alts (cons (vector 0 e-17 e-18 e-19 e-20) e-14))) (if (null? e-6) (let ((eff-1 (let ((eff-1 arg-1)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (unbox eff-2))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-3 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-conCases arg-0 arg-1 arg-2 arg-3 u--alts))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-3 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CompilerC-45CompileExpr-getDef arg-0 arg-1 arg-2 arg-3 u--alts))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-3 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-9 (vector-ref lcase-3 1))) (let ((eff-4 (let ((sc8 (DataC-45List-isNil e-8))) (cond ((equal? sc8 1) (lambda (eta-0) (vector 1 (DataC-45Maybe-fromMaybe (lambda () (vector 13 u--fc)) e-9)))) (else (let ((eff-4 (CompilerC-45CompileExpr-builtinNatTree arg-2 (vector 10 u--fc (vector 0 e-2 u--fc) e-8 e-9)))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-3 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-10 (vector-ref lcase-4 1))) (let ((eff-5 (CompilerC-45CompileExpr-unitTree arg-2 (CompilerC-45CompileExpr-enumTree e-10)))) eff-5)))))))))))) eff-4))))))))) eff-3))))))))) eff-2)))))) (let ((e-3 (unbox e-6))) (lambda (eta-0) (vector 1 e-3))))))) eff-1))))))))))))) ((1) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 ((csegen-0) "Unexpected DelayCase")) eta-0))) ((2) (let ((u--fc (CoreC-45TT-getLoc e-4))) (let ((eff-0 (CompilerC-45CompileExpr-constCases arg-0 arg-1 arg-2 arg-3 e-5))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CompilerC-45CompileExpr-getDef arg-0 arg-1 arg-2 arg-3 e-5))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-3 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (clam-0) (let ((sc5 (DataC-45List-isNil e-6))) (cond ((equal? sc5 1) (vector 1 (DataC-45Maybe-fromMaybe (lambda () (vector 13 u--fc)) e-7))) (else (vector 1 (vector 11 u--fc (vector 0 e-2 u--fc) e-6 e-7)))))))) eff-2))))))))) eff-1))))))))) (else (let ((e-29 (vector-ref e-13 1))) (CompilerC-45CompileExpr-toCExpTree arg-0 arg-1 arg-2 arg-3 e-29))))))))))) ((1) (let ((e-8 (vector-ref arg-4 2))) (CompilerC-45CompileExpr-toCExp arg-0 arg-1 arg-2 arg-3 e-8))) ((2) (let ((e-10 (vector-ref arg-4 1))) (lambda (eta-0) (vector 1 (vector 14 (CoreC-45FC-emptyFC) e-10))))) (else (lambda (eta-0) (vector 1 (vector 14 (CoreC-45FC-emptyFC) (string-append "Impossible case encountered in " (CoreC-45Name-u--show_Show_Name arg-3)))))))))
(define CompilerC-45CompileExpr-toCExpTree (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (case (vector-ref arg-4 0) ((0) (let ((e-2 (vector-ref arg-4 2))) (let ((e-4 (vector-ref arg-4 3))) (let ((e-5 (vector-ref arg-4 4))) (if (null? e-5) (CompilerC-45CompileExpr-toCExpTreeC-39 arg-0 arg-1 arg-2 arg-3 arg-4) (let ((e-7 (car e-5))) (case (vector-ref e-7 0) ((1) (let ((e-10 (vector-ref e-7 1))) (let ((e-11 (vector-ref e-7 2))) (let ((e-12 (vector-ref e-7 3))) (let ((u--fc (CoreC-45TT-getLoc e-4))) (let ((eff-0 (CompilerC-45CompileExpr-toCExpTree (cons e-10 (cons e-11 arg-0)) arg-1 arg-2 arg-3 e-12))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 3 u--fc e-11 1 (vector 8 u--fc 0 (vector 0 e-2 (CoreC-45TT-getLoc e-4))) (vector 3 u--fc e-10 1 (vector 13 u--fc) e-6)))))) eff-1))))))))))))(else (CompilerC-45CompileExpr-toCExpTreeC-39 arg-0 arg-1 arg-2 arg-3 arg-4)))))))))(else (CompilerC-45CompileExpr-toCExpTreeC-39 arg-0 arg-1 arg-2 arg-3 arg-4)))))
(define CompilerC-45CompileExpr-toCExpTm (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (case (vector-ref arg-4 0) ((0) (let ((e-2 (vector-ref arg-4 1))) (let ((e-4 (vector-ref arg-4 3))) (lambda (eta-0) (vector 1 (vector 0 e-4 e-2)))))) ((1) (let ((e-7 (vector-ref arg-4 1))) (let ((e-8 (vector-ref arg-4 2))) (let ((e-9 (vector-ref arg-4 3))) (case (vector-ref e-8 0) ((2) (let ((e-51 (vector-ref e-8 1))) (let ((eff-0 (CoreC-45Context-getFullName arg-1 e-9))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CompilerC-45CompileExpr-dconFlag arg-1 e-5))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (case (vector-ref e-6 0) ((4) (let ((e-0 (vector-ref e-6 1))) (lambda (eta-0) (vector 1 (vector 12 e-7 (CompilerC-45CompileExpr-enumTag e-0 e-51)))))) ((8) (lambda (eta-0) (vector 1 (vector 12 e-7 (vector 5 0))))) ((9) (let ((eff-2 (CompilerC-45CompileExpr-newMN arg-2 "succ"))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-10 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (vector 2 e-7 e-10 (vector 6 2 e-7 (vector 0 5) (cons (vector 12 e-7 (vector 5 1)) (cons (vector 0 0 e-7) '())))))))) eff-3))))))))(else (lambda (eta-0) (vector 1 (vector 5 e-7 e-5 e-6 (box e-51) '()))))))) eff-2))))))))) eff-1))))))))) ((3) (lambda (eta-0) (vector 1 (vector 5 e-7 e-9 (vector 1 ) '() '()))))(else (let ((eff-0 (CoreC-45Context-getFullName arg-1 e-9))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 4 e-7 (vector 1 e-7 e-5) '()))))) eff-1))))))))))))) ((2) (let ((e-11 (vector-ref arg-4 1))) (let ((e-12 (vector-ref arg-4 2))) (let ((e-14 (vector-ref arg-4 4))) (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-toCExp arg-0 arg-1 arg-2 arg-3 eta-0)) e-14 '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 4 e-11 (vector 1 e-11 e-12) e-5))))) eff-1))))))))))) ((3) (let ((e-16 (vector-ref arg-4 1))) (let ((e-17 (vector-ref arg-4 2))) (let ((e-18 (vector-ref arg-4 3))) (let ((e-19 (vector-ref arg-4 4))) (case (vector-ref e-18 0) ((0) (let ((eff-0 (CompilerC-45CompileExpr-toCExp (cons e-17 arg-0) arg-1 arg-2 arg-3 e-19))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 2 e-16 e-17 e-5))))) eff-1)))))))) ((1) (let ((e-62 (vector-ref e-18 2))) (let ((e-63 (vector-ref e-18 3))) (let ((eff-0 (CompilerC-45CompileExpr-toCExp (cons e-17 arg-0) arg-1 arg-2 arg-3 e-19))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CompilerC-45CompileExpr-toCExp arg-0 arg-1 arg-2 arg-3 e-63))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (AlgebraC-45Semiring-branchZero (csegen-1156) (lambda () (CoreC-45CompileExpr-shrinkCExp (vector 1 (vector 0 )) e-5)) (lambda () (vector 3 e-16 e-17 1 e-6 e-5)) e-62))))) eff-2))))))))) eff-1)))))))))) ((2) (let ((e-69 (vector-ref e-18 4))) (let ((eff-0 (CompilerC-45CompileExpr-toCExp arg-0 arg-1 arg-2 arg-3 e-69))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CompilerC-45CompileExpr-toCExp (cons e-17 arg-0) arg-1 arg-2 arg-3 e-19))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 5 e-16 (vector 1 (vector 0 "->")) (vector 1 ) '() (cons e-5 (cons (vector 2 e-16 e-17 e-6) '()))))))) eff-2))))))))) eff-1)))))))))(else (lambda (eta-0) (vector 1 (vector 13 e-16)))))))))) ((4) (let ((e-21 (vector-ref arg-4 1))) (let ((e-22 (vector-ref arg-4 2))) (let ((e-23 (vector-ref arg-4 3))) (let ((eff-0 (CompilerC-45CompileExpr-toCExp arg-0 arg-1 arg-2 arg-3 e-22))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CompilerC-45CompileExpr-toCExp arg-0 arg-1 arg-2 arg-3 e-23))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 4 e-21 e-5 (cons e-6 '())))))) eff-2))))))))) eff-1))))))))))) ((5) (let ((e-28 (vector-ref arg-4 4))) (CompilerC-45CompileExpr-toCExpTm arg-0 arg-1 arg-2 arg-3 e-28))) ((6) (let ((e-30 (vector-ref arg-4 1))) (lambda (eta-0) (vector 1 (vector 13 e-30))))) ((7) (let ((e-34 (vector-ref arg-4 1))) (let ((e-35 (vector-ref arg-4 2))) (let ((e-37 (vector-ref arg-4 4))) (let ((eff-0 (CompilerC-45CompileExpr-toCExp arg-0 arg-1 arg-2 arg-3 e-37))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 9 e-34 e-35 e-5))))) eff-1))))))))))) ((8) (let ((e-39 (vector-ref arg-4 1))) (let ((e-40 (vector-ref arg-4 2))) (let ((e-41 (vector-ref arg-4 3))) (let ((eff-0 (CompilerC-45CompileExpr-toCExp arg-0 arg-1 arg-2 arg-3 e-41))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 8 e-39 e-40 e-5))))) eff-1))))))))))) ((9) (let ((e-43 (vector-ref arg-4 1))) (let ((e-44 (vector-ref arg-4 2))) (lambda (clam-0) (case (vector-ref e-44 0) ((13) (let ((e-70 (vector-ref e-44 1))) (vector 1 (vector 5 e-43 (vector 1 (vector 0 (CoreC-45TT-u--show_Show_PrimType e-70))) (vector 1 ) '() '()))))(else (vector 1 (vector 12 e-43 e-44)))))))) ((10) (let ((e-46 (vector-ref arg-4 1))) (lambda (eta-0) (vector 1 (vector 13 e-46))))) (else (let ((e-49 (vector-ref arg-4 1))) (lambda (eta-0) (vector 1 (vector 5 e-49 (vector 1 (vector 0 "Type")) (vector 1 ) '() '()))))))))
(define CompilerC-45CompileExpr-toCExp (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (CompilerC-45CompileExpr-case--toCExp-5389 arg-0 arg-4 arg-3 arg-2 arg-1 (CoreC-45TT-getFnArgs arg-4))))
(define CompilerC-45CompileExpr-toCDef (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (case (vector-ref arg-4 0) ((0) (let ((eff-0 (CoreC-45Context-getFullName arg-0 arg-1))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 3 (vector 14 (CoreC-45FC-emptyFC) (string-append "Encountered undefined name " (CoreC-45Name-u--show_Show_Name e-5)))))))) eff-1)))))))) ((1) (let ((e-0 (vector-ref arg-4 1))) (let ((e-1 (vector-ref arg-4 2))) (let ((e-2 (vector-ref arg-4 3))) (let ((e-3 (vector-ref arg-4 4))) (let ((e-4 (vector-ref arg-4 5))) (let ((sc1 (CompilerC-45CompileExpr-mkSub 0 e-1 arg-3))) (let ((e-6 (car sc1))) (let ((e-5 (cdr sc1))) (let ((eff-0 (CoreC-45Core-newRef (vector "Compiler.CompileExpr.NextMN" ) 0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-7 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CompilerC-45CompileExpr-toCExpTree e-1 arg-0 e-7 arg-1 e-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-8 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (CompilerC-45CompileExpr-n--15342-8696-u--toLam e-1 e-2 e-4 e-3 e-0 arg-3 arg-2 arg-1 arg-0 (let ((e-9 (vector-ref e-0 2))) e-9) (let ((sc4 (DataC-45List-isNil arg-3))) (cond ((equal? sc4 1) (vector 0 e-1 e-8)) (else (vector 0 e-6 (CoreC-45CompileExpr-shrinkCExp e-5 e-8)))))))))) eff-2))))))))) eff-1)))))))))))))))) ((2) (let ((e-5 (vector-ref arg-4 1))) (let ((sc1 (CompilerC-45CompileExpr-mkArgList 0 e-5))) (let ((e-2 (car sc1))) (let ((e-3 (cdr sc1))) (let ((eff-0 (CoreC-45Context-getFullName arg-0 arg-1))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 0 e-2 (vector 7 (CoreC-45FC-emptyFC) e-6 (((csegen-25) (lambda (eta-1) (CompilerC-45CompileExpr-n--15342-8832-u--toArgExp arg-3 e-5 arg-2 arg-1 arg-0 eta-1))) (CompilerC-45CompileExpr-n--15342-8833-u--getVars arg-3 e-5 arg-2 arg-1 arg-0 e-3)))))))) eff-1)))))))))))) ((3) (let ((e-7 (vector-ref arg-4 2))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-nf arg-0 '() e-5 '() arg-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-1 1))) (let ((eff-2 (CompilerC-45CompileExpr-getCFTypes arg-0 '() e-8))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (clam-0) (let ((e-2 (car e-8))) (let ((e-3 (cdr e-8))) (vector 1 (vector 2 e-7 e-2 e-3))))))) eff-2))))))))) eff-1))))))))) ((4) (let ((e-8 (vector-ref arg-4 1))) (let ((e-9 (vector-ref arg-4 2))) (lambda (clam-1) (let ((sc1 (CompilerC-45CompileExpr-mkArgList 0 e-8))) (let ((e-2 (car sc1))) (let ((e-3 (cdr sc1))) (vector 1 (vector 0 e-2 (vector 6 e-8 (CoreC-45FC-emptyFC) e-9 (DataC-45Vect-u--map_Functor_C-40VectC-32C-36nC-41 (lambda (eta-0) (CompilerC-45CompileExpr-n--15342-8987-u--toArgExp arg-3 e-8 e-9 arg-2 arg-1 arg-0 eta-0)) (CompilerC-45CompileExpr-n--15342-8988-u--getVars arg-3 e-8 e-9 arg-2 arg-1 arg-0 e-3)))))))))))) ((5) (let ((e-10 (vector-ref arg-4 1))) (let ((e-11 (vector-ref arg-4 2))) (let ((e-12 (vector-ref arg-4 3))) (let ((u--nt (PreludeC-45Interfaces-C-60C-36C-62 (csegen-76) (lambda (eta-0) (Builtin-snd eta-0)) e-12))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CompilerC-45CompileExpr-numArgs e-5 (vector 1 (vector 2 ) (vector 2 e-10 e-11) arg-1)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((u--arityC-39 (case (vector-ref e-6 0) ((0) (let ((e-0 (vector-ref e-6 1))) e-0)) ((1) (let ((e-2 (vector-ref e-6 1))) (let ((e-3 (vector-ref e-6 2))) (PreludeC-45Types-prim__integerToNat (- e-2 (PreludeC-45TypesC-45List-length e-3)))))) (else (let ((e-4 (vector-ref e-6 1))) e-4))))) (lambda (eta-0) (vector 1 (vector 1 (box e-10) u--arityC-39 u--nt)))))) eff-2))))))))) eff-1)))))))))))) ((6) (let ((e-14 (vector-ref arg-4 2))) (lambda (eta-0) (vector 1 (vector 1 '() e-14 '()))))) ((7) (let ((eff-0 (CoreC-45Context-getFullName arg-0 arg-1))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 3 (vector 14 (CoreC-45FC-emptyFC) (string-append "Encountered unimplemented hole " (CoreC-45Name-u--show_Show_Name e-5)))))))) eff-1)))))))) ((9) (let ((eff-0 (CoreC-45Context-getFullName arg-0 arg-1))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 3 (vector 14 (CoreC-45FC-emptyFC) (string-append "Encountered constrained hole " (CoreC-45Name-u--show_Show_Name e-5)))))))) eff-1)))))))) ((8) (let ((eff-0 (CoreC-45Context-getFullName arg-0 arg-1))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 3 (vector 14 (CoreC-45FC-emptyFC) (string-append "Encountered incomplete proof search " (CoreC-45Name-u--show_Show_Name e-5)))))))) eff-1))))))))(else (let ((eff-0 (CoreC-45Context-getFullName arg-0 arg-1))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 3 (vector 14 (CoreC-45FC-emptyFC) (string-append "Encountered uncompilable name " (PreludeC-45Show-u--show_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (cons (csegen-100) (csegen-2292)) (cons e-5 arg-4))))))))) eff-1)))))))))))
(define CompilerC-45CompileExpr-numArgs (lambda (arg-1 arg-2) (case (vector-ref arg-2 0) ((1) (let ((e-2 (vector-ref arg-2 2))) (let ((e-3 (vector-ref arg-2 3))) (case (vector-ref e-2 0) ((3) (let ((e-5 (vector-ref e-2 2))) (lambda (eta-0) (vector 1 (vector 2 e-5)))))(else (let ((eff-0 (CoreC-45Context-lookupCtxtExact e-3 (let ((e-0 (vector-ref arg-1 0))) e-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (if (null? e-5) (lambda (eta-0) (vector 1 (vector 2 0))) (let ((e-4 (unbox e-5))) (let ((e-17 (vector-ref e-4 17))) (case (vector-ref e-17 0) ((5) (let ((e-28 (vector-ref e-17 2))) (let ((e-27 (vector-ref e-17 3))) (lambda (clam-0) (if (null? e-27) (vector 1 (vector 1 e-28 (let ((e-48 (vector-ref e-4 3))) e-48))) (let ((e-30 (unbox e-27))) (if (null? e-30) (vector 1 (vector 2 0)) (let ((e-31 (cdr e-30))) (vector 1 (vector 0 e-28 e-31)))))))))) ((1) (let ((e-30 (vector-ref e-17 2))) (lambda (eta-0) (vector 1 (vector 1 (PreludeC-45TypesC-45List-lengthTR e-30) (let ((e-50 (vector-ref e-4 3))) e-50)))))) ((2) (let ((e-27 (vector-ref e-17 1))) (lambda (eta-0) (vector 1 (vector 2 e-27))))) ((3) (let ((e-28 (vector-ref e-17 1))) (lambda (eta-0) (vector 1 (vector 2 e-28))))) ((4) (let ((e-28 (vector-ref e-17 1))) (lambda (eta-0) (vector 1 (vector 2 e-28)))))(else (lambda (eta-0) (vector 1 (vector 2 0)))))))))) eff-1))))))))))))(else (lambda (eta-0) (vector 1 (vector 2 0)))))))
(define CompilerC-45CompileExpr-nfToCFType (lambda (arg-0 arg-1 arg-2 arg-3) (case (vector-ref arg-3 0) ((8) (let ((e-41 (vector-ref arg-3 2))) (case (vector-ref e-41 0) ((13) (let ((e-42 (vector-ref e-41 1))) (cond ((equal? e-42 0) (lambda (eta-0) (vector 1 (vector 1 )))) ((equal? e-42 5) (lambda (eta-0) (vector 1 (vector 2 )))) ((equal? e-42 6) (lambda (eta-0) (vector 1 (vector 7 )))) ((equal? e-42 7) (lambda (eta-0) (vector 1 (vector 8 )))) ((equal? e-42 8) (lambda (eta-0) (vector 1 (vector 9 )))) ((equal? e-42 9) (lambda (eta-0) (vector 1 (vector 10 )))) ((equal? e-42 1) (lambda (eta-0) (vector 1 (vector 3 )))) ((equal? e-42 2) (lambda (eta-0) (vector 1 (vector 4 )))) ((equal? e-42 3) (lambda (eta-0) (vector 1 (vector 5 )))) ((equal? e-42 4) (lambda (eta-0) (vector 1 (vector 6 ))))(else (cond ((equal? arg-2 0) (case (vector-ref arg-3 0) ((8) (let ((e-33 (vector-ref arg-3 2))) (case (vector-ref e-33 0) ((13) (let ((e-34 (vector-ref e-33 1))) (cond ((equal? e-34 10) (lambda (eta-0) (vector 1 (vector 11 ))))(else (case (vector-ref arg-3 0) ((8) (let ((e-29 (vector-ref arg-3 2))) (case (vector-ref e-29 0) ((13) (let ((e-30 (vector-ref e-29 1))) (cond ((equal? e-30 12) (lambda (eta-0) (vector 1 (vector 12 )))) ((equal? e-30 11) (lambda (eta-0) (vector 1 (vector 13 )))) ((equal? e-30 13) (lambda (eta-0) (vector 1 (vector 18 ))))(else (cond ((equal? arg-2 0) (case (vector-ref arg-3 0) ((0) (let ((e-13 (vector-ref arg-3 1))) (let ((e-15 (vector-ref arg-3 3))) (let ((e-16 (vector-ref arg-3 4))) (case (vector-ref e-15 0) ((2) (let ((e-21 (vector-ref e-15 4))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-5 e-21))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CompilerC-45CompileExpr-nfToCFType arg-0 e-13 0 e-6))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 ((e-16 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 e-13 (vector 0 )))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CompilerC-45CompileExpr-nfToCFType arg-0 e-13 0 e-7))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 19 e-6 e-8))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-17 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-17)))) (else (let ((e-17 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-17))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-18 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-18)))) (else (let ((e-18 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-18))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))) ((equal? arg-2 1) (case (vector-ref arg-3 0) ((0) (let ((e-23 (vector-ref arg-3 1))) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 e-23 "Function types not allowed in a foreign struct") eta-0))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1))))))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))(else (cond ((equal? arg-2 0) (case (vector-ref arg-3 0) ((0) (let ((e-13 (vector-ref arg-3 1))) (let ((e-15 (vector-ref arg-3 3))) (let ((e-16 (vector-ref arg-3 4))) (case (vector-ref e-15 0) ((2) (let ((e-21 (vector-ref e-15 4))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-5 e-21))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CompilerC-45CompileExpr-nfToCFType arg-0 e-13 0 e-6))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 ((e-16 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 e-13 (vector 0 )))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CompilerC-45CompileExpr-nfToCFType arg-0 e-13 0 e-7))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 19 e-6 e-8))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-17 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-17)))) (else (let ((e-17 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-17))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-18 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-18)))) (else (let ((e-18 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-18))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))) ((equal? arg-2 1) (case (vector-ref arg-3 0) ((0) (let ((e-23 (vector-ref arg-3 1))) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 e-23 "Function types not allowed in a foreign struct") eta-0))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1))))))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))(else (cond ((equal? arg-2 0) (case (vector-ref arg-3 0) ((0) (let ((e-13 (vector-ref arg-3 1))) (let ((e-15 (vector-ref arg-3 3))) (let ((e-16 (vector-ref arg-3 4))) (case (vector-ref e-15 0) ((2) (let ((e-21 (vector-ref e-15 4))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-5 e-21))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CompilerC-45CompileExpr-nfToCFType arg-0 e-13 0 e-6))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 ((e-16 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 e-13 (vector 0 )))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CompilerC-45CompileExpr-nfToCFType arg-0 e-13 0 e-7))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 19 e-6 e-8))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-17 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-17)))) (else (let ((e-17 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-17))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-18 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-18)))) (else (let ((e-18 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-18))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))) ((equal? arg-2 1) (case (vector-ref arg-3 0) ((0) (let ((e-23 (vector-ref arg-3 1))) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 e-23 "Function types not allowed in a foreign struct") eta-0))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1))))))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))))(else (case (vector-ref arg-3 0) ((8) (let ((e-29 (vector-ref arg-3 2))) (case (vector-ref e-29 0) ((13) (let ((e-30 (vector-ref e-29 1))) (cond ((equal? e-30 12) (lambda (eta-0) (vector 1 (vector 12 )))) ((equal? e-30 11) (lambda (eta-0) (vector 1 (vector 13 )))) ((equal? e-30 13) (lambda (eta-0) (vector 1 (vector 18 ))))(else (cond ((equal? arg-2 0) (case (vector-ref arg-3 0) ((0) (let ((e-13 (vector-ref arg-3 1))) (let ((e-15 (vector-ref arg-3 3))) (let ((e-16 (vector-ref arg-3 4))) (case (vector-ref e-15 0) ((2) (let ((e-21 (vector-ref e-15 4))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-5 e-21))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CompilerC-45CompileExpr-nfToCFType arg-0 e-13 0 e-6))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 ((e-16 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 e-13 (vector 0 )))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CompilerC-45CompileExpr-nfToCFType arg-0 e-13 0 e-7))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 19 e-6 e-8))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-17 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-17)))) (else (let ((e-17 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-17))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-18 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-18)))) (else (let ((e-18 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-18))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))) ((equal? arg-2 1) (case (vector-ref arg-3 0) ((0) (let ((e-23 (vector-ref arg-3 1))) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 e-23 "Function types not allowed in a foreign struct") eta-0))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1))))))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))(else (cond ((equal? arg-2 0) (case (vector-ref arg-3 0) ((0) (let ((e-13 (vector-ref arg-3 1))) (let ((e-15 (vector-ref arg-3 3))) (let ((e-16 (vector-ref arg-3 4))) (case (vector-ref e-15 0) ((2) (let ((e-21 (vector-ref e-15 4))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-5 e-21))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CompilerC-45CompileExpr-nfToCFType arg-0 e-13 0 e-6))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 ((e-16 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 e-13 (vector 0 )))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CompilerC-45CompileExpr-nfToCFType arg-0 e-13 0 e-7))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 19 e-6 e-8))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-17 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-17)))) (else (let ((e-17 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-17))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-18 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-18)))) (else (let ((e-18 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-18))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))) ((equal? arg-2 1) (case (vector-ref arg-3 0) ((0) (let ((e-23 (vector-ref arg-3 1))) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 e-23 "Function types not allowed in a foreign struct") eta-0))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1))))))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))(else (cond ((equal? arg-2 0) (case (vector-ref arg-3 0) ((0) (let ((e-13 (vector-ref arg-3 1))) (let ((e-15 (vector-ref arg-3 3))) (let ((e-16 (vector-ref arg-3 4))) (case (vector-ref e-15 0) ((2) (let ((e-21 (vector-ref e-15 4))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-5 e-21))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CompilerC-45CompileExpr-nfToCFType arg-0 e-13 0 e-6))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 ((e-16 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 e-13 (vector 0 )))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CompilerC-45CompileExpr-nfToCFType arg-0 e-13 0 e-7))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 19 e-6 e-8))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-17 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-17)))) (else (let ((e-17 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-17))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-18 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-18)))) (else (let ((e-18 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-18))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))) ((equal? arg-2 1) (case (vector-ref arg-3 0) ((0) (let ((e-23 (vector-ref arg-3 1))) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 e-23 "Function types not allowed in a foreign struct") eta-0))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1))))))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))))(else (case (vector-ref arg-3 0) ((8) (let ((e-29 (vector-ref arg-3 2))) (case (vector-ref e-29 0) ((13) (let ((e-30 (vector-ref e-29 1))) (cond ((equal? e-30 12) (lambda (eta-0) (vector 1 (vector 12 )))) ((equal? e-30 11) (lambda (eta-0) (vector 1 (vector 13 )))) ((equal? e-30 13) (lambda (eta-0) (vector 1 (vector 18 ))))(else (cond ((equal? arg-2 0) (case (vector-ref arg-3 0) ((0) (let ((e-13 (vector-ref arg-3 1))) (let ((e-15 (vector-ref arg-3 3))) (let ((e-16 (vector-ref arg-3 4))) (case (vector-ref e-15 0) ((2) (let ((e-21 (vector-ref e-15 4))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-5 e-21))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CompilerC-45CompileExpr-nfToCFType arg-0 e-13 0 e-6))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 ((e-16 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 e-13 (vector 0 )))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CompilerC-45CompileExpr-nfToCFType arg-0 e-13 0 e-7))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 19 e-6 e-8))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-17 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-17)))) (else (let ((e-17 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-17))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-18 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-18)))) (else (let ((e-18 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-18))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))) ((equal? arg-2 1) (case (vector-ref arg-3 0) ((0) (let ((e-23 (vector-ref arg-3 1))) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 e-23 "Function types not allowed in a foreign struct") eta-0))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1))))))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))(else (cond ((equal? arg-2 0) (case (vector-ref arg-3 0) ((0) (let ((e-13 (vector-ref arg-3 1))) (let ((e-15 (vector-ref arg-3 3))) (let ((e-16 (vector-ref arg-3 4))) (case (vector-ref e-15 0) ((2) (let ((e-21 (vector-ref e-15 4))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-5 e-21))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CompilerC-45CompileExpr-nfToCFType arg-0 e-13 0 e-6))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 ((e-16 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 e-13 (vector 0 )))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CompilerC-45CompileExpr-nfToCFType arg-0 e-13 0 e-7))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 19 e-6 e-8))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-17 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-17)))) (else (let ((e-17 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-17))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-18 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-18)))) (else (let ((e-18 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-18))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))) ((equal? arg-2 1) (case (vector-ref arg-3 0) ((0) (let ((e-23 (vector-ref arg-3 1))) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 e-23 "Function types not allowed in a foreign struct") eta-0))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1))))))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))(else (cond ((equal? arg-2 0) (case (vector-ref arg-3 0) ((0) (let ((e-13 (vector-ref arg-3 1))) (let ((e-15 (vector-ref arg-3 3))) (let ((e-16 (vector-ref arg-3 4))) (case (vector-ref e-15 0) ((2) (let ((e-21 (vector-ref e-15 4))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-5 e-21))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CompilerC-45CompileExpr-nfToCFType arg-0 e-13 0 e-6))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 ((e-16 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 e-13 (vector 0 )))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CompilerC-45CompileExpr-nfToCFType arg-0 e-13 0 e-7))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 19 e-6 e-8))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-17 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-17)))) (else (let ((e-17 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-17))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-18 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-18)))) (else (let ((e-18 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-18))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))) ((equal? arg-2 1) (case (vector-ref arg-3 0) ((0) (let ((e-23 (vector-ref arg-3 1))) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 e-23 "Function types not allowed in a foreign struct") eta-0))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1))))))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))) ((equal? arg-2 1) (case (vector-ref arg-3 0) ((8) (let ((e-37 (vector-ref arg-3 2))) (case (vector-ref e-37 0) ((13) (let ((e-38 (vector-ref e-37 1))) (cond ((equal? e-38 10) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 arg-1 "String not allowed in a foreign struct") eta-0)))(else (case (vector-ref arg-3 0) ((8) (let ((e-29 (vector-ref arg-3 2))) (case (vector-ref e-29 0) ((13) (let ((e-30 (vector-ref e-29 1))) (cond ((equal? e-30 12) (lambda (eta-0) (vector 1 (vector 12 )))) ((equal? e-30 11) (lambda (eta-0) (vector 1 (vector 13 )))) ((equal? e-30 13) (lambda (eta-0) (vector 1 (vector 18 ))))(else (cond ((equal? arg-2 0) (case (vector-ref arg-3 0) ((0) (let ((e-13 (vector-ref arg-3 1))) (let ((e-15 (vector-ref arg-3 3))) (let ((e-16 (vector-ref arg-3 4))) (case (vector-ref e-15 0) ((2) (let ((e-21 (vector-ref e-15 4))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-5 e-21))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CompilerC-45CompileExpr-nfToCFType arg-0 e-13 0 e-6))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 ((e-16 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 e-13 (vector 0 )))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CompilerC-45CompileExpr-nfToCFType arg-0 e-13 0 e-7))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 19 e-6 e-8))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-17 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-17)))) (else (let ((e-17 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-17))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-18 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-18)))) (else (let ((e-18 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-18))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))) ((equal? arg-2 1) (case (vector-ref arg-3 0) ((0) (let ((e-23 (vector-ref arg-3 1))) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 e-23 "Function types not allowed in a foreign struct") eta-0))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1))))))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))(else (cond ((equal? arg-2 0) (case (vector-ref arg-3 0) ((0) (let ((e-13 (vector-ref arg-3 1))) (let ((e-15 (vector-ref arg-3 3))) (let ((e-16 (vector-ref arg-3 4))) (case (vector-ref e-15 0) ((2) (let ((e-21 (vector-ref e-15 4))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-5 e-21))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CompilerC-45CompileExpr-nfToCFType arg-0 e-13 0 e-6))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 ((e-16 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 e-13 (vector 0 )))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CompilerC-45CompileExpr-nfToCFType arg-0 e-13 0 e-7))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 19 e-6 e-8))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-17 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-17)))) (else (let ((e-17 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-17))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-18 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-18)))) (else (let ((e-18 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-18))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))) ((equal? arg-2 1) (case (vector-ref arg-3 0) ((0) (let ((e-23 (vector-ref arg-3 1))) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 e-23 "Function types not allowed in a foreign struct") eta-0))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1))))))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))(else (cond ((equal? arg-2 0) (case (vector-ref arg-3 0) ((0) (let ((e-13 (vector-ref arg-3 1))) (let ((e-15 (vector-ref arg-3 3))) (let ((e-16 (vector-ref arg-3 4))) (case (vector-ref e-15 0) ((2) (let ((e-21 (vector-ref e-15 4))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-5 e-21))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CompilerC-45CompileExpr-nfToCFType arg-0 e-13 0 e-6))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 ((e-16 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 e-13 (vector 0 )))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CompilerC-45CompileExpr-nfToCFType arg-0 e-13 0 e-7))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 19 e-6 e-8))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-17 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-17)))) (else (let ((e-17 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-17))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-18 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-18)))) (else (let ((e-18 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-18))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))) ((equal? arg-2 1) (case (vector-ref arg-3 0) ((0) (let ((e-23 (vector-ref arg-3 1))) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 e-23 "Function types not allowed in a foreign struct") eta-0))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1))))))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))))(else (case (vector-ref arg-3 0) ((8) (let ((e-29 (vector-ref arg-3 2))) (case (vector-ref e-29 0) ((13) (let ((e-30 (vector-ref e-29 1))) (cond ((equal? e-30 12) (lambda (eta-0) (vector 1 (vector 12 )))) ((equal? e-30 11) (lambda (eta-0) (vector 1 (vector 13 )))) ((equal? e-30 13) (lambda (eta-0) (vector 1 (vector 18 ))))(else (cond ((equal? arg-2 0) (case (vector-ref arg-3 0) ((0) (let ((e-13 (vector-ref arg-3 1))) (let ((e-15 (vector-ref arg-3 3))) (let ((e-16 (vector-ref arg-3 4))) (case (vector-ref e-15 0) ((2) (let ((e-21 (vector-ref e-15 4))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-5 e-21))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CompilerC-45CompileExpr-nfToCFType arg-0 e-13 0 e-6))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 ((e-16 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 e-13 (vector 0 )))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CompilerC-45CompileExpr-nfToCFType arg-0 e-13 0 e-7))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 19 e-6 e-8))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-17 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-17)))) (else (let ((e-17 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-17))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-18 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-18)))) (else (let ((e-18 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-18))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))) ((equal? arg-2 1) (case (vector-ref arg-3 0) ((0) (let ((e-23 (vector-ref arg-3 1))) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 e-23 "Function types not allowed in a foreign struct") eta-0))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1))))))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))(else (cond ((equal? arg-2 0) (case (vector-ref arg-3 0) ((0) (let ((e-13 (vector-ref arg-3 1))) (let ((e-15 (vector-ref arg-3 3))) (let ((e-16 (vector-ref arg-3 4))) (case (vector-ref e-15 0) ((2) (let ((e-21 (vector-ref e-15 4))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-5 e-21))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CompilerC-45CompileExpr-nfToCFType arg-0 e-13 0 e-6))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 ((e-16 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 e-13 (vector 0 )))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CompilerC-45CompileExpr-nfToCFType arg-0 e-13 0 e-7))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 19 e-6 e-8))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-17 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-17)))) (else (let ((e-17 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-17))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-18 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-18)))) (else (let ((e-18 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-18))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))) ((equal? arg-2 1) (case (vector-ref arg-3 0) ((0) (let ((e-23 (vector-ref arg-3 1))) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 e-23 "Function types not allowed in a foreign struct") eta-0))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1))))))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))(else (cond ((equal? arg-2 0) (case (vector-ref arg-3 0) ((0) (let ((e-13 (vector-ref arg-3 1))) (let ((e-15 (vector-ref arg-3 3))) (let ((e-16 (vector-ref arg-3 4))) (case (vector-ref e-15 0) ((2) (let ((e-21 (vector-ref e-15 4))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-5 e-21))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CompilerC-45CompileExpr-nfToCFType arg-0 e-13 0 e-6))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 ((e-16 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 e-13 (vector 0 )))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CompilerC-45CompileExpr-nfToCFType arg-0 e-13 0 e-7))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 19 e-6 e-8))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-17 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-17)))) (else (let ((e-17 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-17))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-18 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-18)))) (else (let ((e-18 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-18))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))) ((equal? arg-2 1) (case (vector-ref arg-3 0) ((0) (let ((e-23 (vector-ref arg-3 1))) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 e-23 "Function types not allowed in a foreign struct") eta-0))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1))))))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))))(else (case (vector-ref arg-3 0) ((8) (let ((e-29 (vector-ref arg-3 2))) (case (vector-ref e-29 0) ((13) (let ((e-30 (vector-ref e-29 1))) (cond ((equal? e-30 12) (lambda (eta-0) (vector 1 (vector 12 )))) ((equal? e-30 11) (lambda (eta-0) (vector 1 (vector 13 )))) ((equal? e-30 13) (lambda (eta-0) (vector 1 (vector 18 ))))(else (cond ((equal? arg-2 0) (case (vector-ref arg-3 0) ((0) (let ((e-13 (vector-ref arg-3 1))) (let ((e-15 (vector-ref arg-3 3))) (let ((e-16 (vector-ref arg-3 4))) (case (vector-ref e-15 0) ((2) (let ((e-21 (vector-ref e-15 4))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-5 e-21))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CompilerC-45CompileExpr-nfToCFType arg-0 e-13 0 e-6))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 ((e-16 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 e-13 (vector 0 )))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CompilerC-45CompileExpr-nfToCFType arg-0 e-13 0 e-7))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 19 e-6 e-8))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-17 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-17)))) (else (let ((e-17 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-17))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-18 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-18)))) (else (let ((e-18 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-18))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))) ((equal? arg-2 1) (case (vector-ref arg-3 0) ((0) (let ((e-23 (vector-ref arg-3 1))) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 e-23 "Function types not allowed in a foreign struct") eta-0))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1))))))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))(else (cond ((equal? arg-2 0) (case (vector-ref arg-3 0) ((0) (let ((e-13 (vector-ref arg-3 1))) (let ((e-15 (vector-ref arg-3 3))) (let ((e-16 (vector-ref arg-3 4))) (case (vector-ref e-15 0) ((2) (let ((e-21 (vector-ref e-15 4))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-5 e-21))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CompilerC-45CompileExpr-nfToCFType arg-0 e-13 0 e-6))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 ((e-16 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 e-13 (vector 0 )))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CompilerC-45CompileExpr-nfToCFType arg-0 e-13 0 e-7))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 19 e-6 e-8))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-17 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-17)))) (else (let ((e-17 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-17))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-18 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-18)))) (else (let ((e-18 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-18))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))) ((equal? arg-2 1) (case (vector-ref arg-3 0) ((0) (let ((e-23 (vector-ref arg-3 1))) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 e-23 "Function types not allowed in a foreign struct") eta-0))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1))))))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))(else (cond ((equal? arg-2 0) (case (vector-ref arg-3 0) ((0) (let ((e-13 (vector-ref arg-3 1))) (let ((e-15 (vector-ref arg-3 3))) (let ((e-16 (vector-ref arg-3 4))) (case (vector-ref e-15 0) ((2) (let ((e-21 (vector-ref e-15 4))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-5 e-21))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CompilerC-45CompileExpr-nfToCFType arg-0 e-13 0 e-6))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 ((e-16 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 e-13 (vector 0 )))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CompilerC-45CompileExpr-nfToCFType arg-0 e-13 0 e-7))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 19 e-6 e-8))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-17 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-17)))) (else (let ((e-17 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-17))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-18 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-18)))) (else (let ((e-18 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-18))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))) ((equal? arg-2 1) (case (vector-ref arg-3 0) ((0) (let ((e-23 (vector-ref arg-3 1))) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 e-23 "Function types not allowed in a foreign struct") eta-0))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1))))))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1))))))))))))))))(else (case (vector-ref arg-3 0) ((8) (let ((e-29 (vector-ref arg-3 2))) (case (vector-ref e-29 0) ((13) (let ((e-30 (vector-ref e-29 1))) (cond ((equal? e-30 12) (lambda (eta-0) (vector 1 (vector 12 )))) ((equal? e-30 11) (lambda (eta-0) (vector 1 (vector 13 )))) ((equal? e-30 13) (lambda (eta-0) (vector 1 (vector 18 ))))(else (cond ((equal? arg-2 0) (case (vector-ref arg-3 0) ((0) (let ((e-13 (vector-ref arg-3 1))) (let ((e-15 (vector-ref arg-3 3))) (let ((e-16 (vector-ref arg-3 4))) (case (vector-ref e-15 0) ((2) (let ((e-21 (vector-ref e-15 4))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-5 e-21))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CompilerC-45CompileExpr-nfToCFType arg-0 e-13 0 e-6))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 ((e-16 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 e-13 (vector 0 )))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CompilerC-45CompileExpr-nfToCFType arg-0 e-13 0 e-7))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 19 e-6 e-8))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-17 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-17)))) (else (let ((e-17 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-17))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-18 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-18)))) (else (let ((e-18 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-18))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))) ((equal? arg-2 1) (case (vector-ref arg-3 0) ((0) (let ((e-23 (vector-ref arg-3 1))) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 e-23 "Function types not allowed in a foreign struct") eta-0))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1))))))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))(else (cond ((equal? arg-2 0) (case (vector-ref arg-3 0) ((0) (let ((e-13 (vector-ref arg-3 1))) (let ((e-15 (vector-ref arg-3 3))) (let ((e-16 (vector-ref arg-3 4))) (case (vector-ref e-15 0) ((2) (let ((e-21 (vector-ref e-15 4))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-5 e-21))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CompilerC-45CompileExpr-nfToCFType arg-0 e-13 0 e-6))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 ((e-16 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 e-13 (vector 0 )))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CompilerC-45CompileExpr-nfToCFType arg-0 e-13 0 e-7))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 19 e-6 e-8))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-17 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-17)))) (else (let ((e-17 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-17))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-18 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-18)))) (else (let ((e-18 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-18))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))) ((equal? arg-2 1) (case (vector-ref arg-3 0) ((0) (let ((e-23 (vector-ref arg-3 1))) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 e-23 "Function types not allowed in a foreign struct") eta-0))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1))))))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))(else (cond ((equal? arg-2 0) (case (vector-ref arg-3 0) ((0) (let ((e-13 (vector-ref arg-3 1))) (let ((e-15 (vector-ref arg-3 3))) (let ((e-16 (vector-ref arg-3 4))) (case (vector-ref e-15 0) ((2) (let ((e-21 (vector-ref e-15 4))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-5 e-21))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CompilerC-45CompileExpr-nfToCFType arg-0 e-13 0 e-6))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 ((e-16 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 e-13 (vector 0 )))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CompilerC-45CompileExpr-nfToCFType arg-0 e-13 0 e-7))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 19 e-6 e-8))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-17 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-17)))) (else (let ((e-17 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-17))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-18 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-18)))) (else (let ((e-18 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-18))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))) ((equal? arg-2 1) (case (vector-ref arg-3 0) ((0) (let ((e-23 (vector-ref arg-3 1))) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 e-23 "Function types not allowed in a foreign struct") eta-0))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1))))))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))))))(else (cond ((equal? arg-2 0) (case (vector-ref arg-3 0) ((8) (let ((e-33 (vector-ref arg-3 2))) (case (vector-ref e-33 0) ((13) (let ((e-34 (vector-ref e-33 1))) (cond ((equal? e-34 10) (lambda (eta-0) (vector 1 (vector 11 ))))(else (case (vector-ref arg-3 0) ((8) (let ((e-29 (vector-ref arg-3 2))) (case (vector-ref e-29 0) ((13) (let ((e-30 (vector-ref e-29 1))) (cond ((equal? e-30 12) (lambda (eta-0) (vector 1 (vector 12 )))) ((equal? e-30 11) (lambda (eta-0) (vector 1 (vector 13 )))) ((equal? e-30 13) (lambda (eta-0) (vector 1 (vector 18 ))))(else (cond ((equal? arg-2 0) (case (vector-ref arg-3 0) ((0) (let ((e-13 (vector-ref arg-3 1))) (let ((e-15 (vector-ref arg-3 3))) (let ((e-16 (vector-ref arg-3 4))) (case (vector-ref e-15 0) ((2) (let ((e-21 (vector-ref e-15 4))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-5 e-21))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CompilerC-45CompileExpr-nfToCFType arg-0 e-13 0 e-6))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 ((e-16 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 e-13 (vector 0 )))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CompilerC-45CompileExpr-nfToCFType arg-0 e-13 0 e-7))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 19 e-6 e-8))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-17 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-17)))) (else (let ((e-17 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-17))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-18 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-18)))) (else (let ((e-18 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-18))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))) ((equal? arg-2 1) (case (vector-ref arg-3 0) ((0) (let ((e-23 (vector-ref arg-3 1))) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 e-23 "Function types not allowed in a foreign struct") eta-0))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1))))))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))(else (cond ((equal? arg-2 0) (case (vector-ref arg-3 0) ((0) (let ((e-13 (vector-ref arg-3 1))) (let ((e-15 (vector-ref arg-3 3))) (let ((e-16 (vector-ref arg-3 4))) (case (vector-ref e-15 0) ((2) (let ((e-21 (vector-ref e-15 4))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-5 e-21))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CompilerC-45CompileExpr-nfToCFType arg-0 e-13 0 e-6))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 ((e-16 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 e-13 (vector 0 )))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CompilerC-45CompileExpr-nfToCFType arg-0 e-13 0 e-7))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 19 e-6 e-8))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-17 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-17)))) (else (let ((e-17 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-17))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-18 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-18)))) (else (let ((e-18 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-18))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))) ((equal? arg-2 1) (case (vector-ref arg-3 0) ((0) (let ((e-23 (vector-ref arg-3 1))) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 e-23 "Function types not allowed in a foreign struct") eta-0))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1))))))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))(else (cond ((equal? arg-2 0) (case (vector-ref arg-3 0) ((0) (let ((e-13 (vector-ref arg-3 1))) (let ((e-15 (vector-ref arg-3 3))) (let ((e-16 (vector-ref arg-3 4))) (case (vector-ref e-15 0) ((2) (let ((e-21 (vector-ref e-15 4))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-5 e-21))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CompilerC-45CompileExpr-nfToCFType arg-0 e-13 0 e-6))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 ((e-16 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 e-13 (vector 0 )))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CompilerC-45CompileExpr-nfToCFType arg-0 e-13 0 e-7))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 19 e-6 e-8))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-17 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-17)))) (else (let ((e-17 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-17))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-18 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-18)))) (else (let ((e-18 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-18))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))) ((equal? arg-2 1) (case (vector-ref arg-3 0) ((0) (let ((e-23 (vector-ref arg-3 1))) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 e-23 "Function types not allowed in a foreign struct") eta-0))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1))))))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))))(else (case (vector-ref arg-3 0) ((8) (let ((e-29 (vector-ref arg-3 2))) (case (vector-ref e-29 0) ((13) (let ((e-30 (vector-ref e-29 1))) (cond ((equal? e-30 12) (lambda (eta-0) (vector 1 (vector 12 )))) ((equal? e-30 11) (lambda (eta-0) (vector 1 (vector 13 )))) ((equal? e-30 13) (lambda (eta-0) (vector 1 (vector 18 ))))(else (cond ((equal? arg-2 0) (case (vector-ref arg-3 0) ((0) (let ((e-13 (vector-ref arg-3 1))) (let ((e-15 (vector-ref arg-3 3))) (let ((e-16 (vector-ref arg-3 4))) (case (vector-ref e-15 0) ((2) (let ((e-21 (vector-ref e-15 4))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-5 e-21))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CompilerC-45CompileExpr-nfToCFType arg-0 e-13 0 e-6))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 ((e-16 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 e-13 (vector 0 )))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CompilerC-45CompileExpr-nfToCFType arg-0 e-13 0 e-7))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 19 e-6 e-8))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-17 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-17)))) (else (let ((e-17 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-17))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-18 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-18)))) (else (let ((e-18 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-18))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))) ((equal? arg-2 1) (case (vector-ref arg-3 0) ((0) (let ((e-23 (vector-ref arg-3 1))) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 e-23 "Function types not allowed in a foreign struct") eta-0))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1))))))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))(else (cond ((equal? arg-2 0) (case (vector-ref arg-3 0) ((0) (let ((e-13 (vector-ref arg-3 1))) (let ((e-15 (vector-ref arg-3 3))) (let ((e-16 (vector-ref arg-3 4))) (case (vector-ref e-15 0) ((2) (let ((e-21 (vector-ref e-15 4))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-5 e-21))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CompilerC-45CompileExpr-nfToCFType arg-0 e-13 0 e-6))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 ((e-16 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 e-13 (vector 0 )))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CompilerC-45CompileExpr-nfToCFType arg-0 e-13 0 e-7))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 19 e-6 e-8))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-17 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-17)))) (else (let ((e-17 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-17))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-18 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-18)))) (else (let ((e-18 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-18))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))) ((equal? arg-2 1) (case (vector-ref arg-3 0) ((0) (let ((e-23 (vector-ref arg-3 1))) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 e-23 "Function types not allowed in a foreign struct") eta-0))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1))))))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))(else (cond ((equal? arg-2 0) (case (vector-ref arg-3 0) ((0) (let ((e-13 (vector-ref arg-3 1))) (let ((e-15 (vector-ref arg-3 3))) (let ((e-16 (vector-ref arg-3 4))) (case (vector-ref e-15 0) ((2) (let ((e-21 (vector-ref e-15 4))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-5 e-21))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CompilerC-45CompileExpr-nfToCFType arg-0 e-13 0 e-6))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 ((e-16 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 e-13 (vector 0 )))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CompilerC-45CompileExpr-nfToCFType arg-0 e-13 0 e-7))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 19 e-6 e-8))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-17 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-17)))) (else (let ((e-17 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-17))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-18 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-18)))) (else (let ((e-18 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-18))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))) ((equal? arg-2 1) (case (vector-ref arg-3 0) ((0) (let ((e-23 (vector-ref arg-3 1))) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 e-23 "Function types not allowed in a foreign struct") eta-0))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1))))))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))))(else (case (vector-ref arg-3 0) ((8) (let ((e-29 (vector-ref arg-3 2))) (case (vector-ref e-29 0) ((13) (let ((e-30 (vector-ref e-29 1))) (cond ((equal? e-30 12) (lambda (eta-0) (vector 1 (vector 12 )))) ((equal? e-30 11) (lambda (eta-0) (vector 1 (vector 13 )))) ((equal? e-30 13) (lambda (eta-0) (vector 1 (vector 18 ))))(else (cond ((equal? arg-2 0) (case (vector-ref arg-3 0) ((0) (let ((e-13 (vector-ref arg-3 1))) (let ((e-15 (vector-ref arg-3 3))) (let ((e-16 (vector-ref arg-3 4))) (case (vector-ref e-15 0) ((2) (let ((e-21 (vector-ref e-15 4))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-5 e-21))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CompilerC-45CompileExpr-nfToCFType arg-0 e-13 0 e-6))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 ((e-16 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 e-13 (vector 0 )))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CompilerC-45CompileExpr-nfToCFType arg-0 e-13 0 e-7))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 19 e-6 e-8))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-17 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-17)))) (else (let ((e-17 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-17))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-18 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-18)))) (else (let ((e-18 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-18))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))) ((equal? arg-2 1) (case (vector-ref arg-3 0) ((0) (let ((e-23 (vector-ref arg-3 1))) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 e-23 "Function types not allowed in a foreign struct") eta-0))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1))))))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))(else (cond ((equal? arg-2 0) (case (vector-ref arg-3 0) ((0) (let ((e-13 (vector-ref arg-3 1))) (let ((e-15 (vector-ref arg-3 3))) (let ((e-16 (vector-ref arg-3 4))) (case (vector-ref e-15 0) ((2) (let ((e-21 (vector-ref e-15 4))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-5 e-21))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CompilerC-45CompileExpr-nfToCFType arg-0 e-13 0 e-6))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 ((e-16 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 e-13 (vector 0 )))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CompilerC-45CompileExpr-nfToCFType arg-0 e-13 0 e-7))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 19 e-6 e-8))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-17 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-17)))) (else (let ((e-17 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-17))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-18 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-18)))) (else (let ((e-18 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-18))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))) ((equal? arg-2 1) (case (vector-ref arg-3 0) ((0) (let ((e-23 (vector-ref arg-3 1))) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 e-23 "Function types not allowed in a foreign struct") eta-0))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1))))))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))(else (cond ((equal? arg-2 0) (case (vector-ref arg-3 0) ((0) (let ((e-13 (vector-ref arg-3 1))) (let ((e-15 (vector-ref arg-3 3))) (let ((e-16 (vector-ref arg-3 4))) (case (vector-ref e-15 0) ((2) (let ((e-21 (vector-ref e-15 4))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-5 e-21))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CompilerC-45CompileExpr-nfToCFType arg-0 e-13 0 e-6))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 ((e-16 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 e-13 (vector 0 )))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CompilerC-45CompileExpr-nfToCFType arg-0 e-13 0 e-7))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 19 e-6 e-8))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-17 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-17)))) (else (let ((e-17 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-17))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-18 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-18)))) (else (let ((e-18 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-18))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))) ((equal? arg-2 1) (case (vector-ref arg-3 0) ((0) (let ((e-23 (vector-ref arg-3 1))) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 e-23 "Function types not allowed in a foreign struct") eta-0))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1))))))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))) ((equal? arg-2 1) (case (vector-ref arg-3 0) ((8) (let ((e-37 (vector-ref arg-3 2))) (case (vector-ref e-37 0) ((13) (let ((e-38 (vector-ref e-37 1))) (cond ((equal? e-38 10) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 arg-1 "String not allowed in a foreign struct") eta-0)))(else (case (vector-ref arg-3 0) ((8) (let ((e-29 (vector-ref arg-3 2))) (case (vector-ref e-29 0) ((13) (let ((e-30 (vector-ref e-29 1))) (cond ((equal? e-30 12) (lambda (eta-0) (vector 1 (vector 12 )))) ((equal? e-30 11) (lambda (eta-0) (vector 1 (vector 13 )))) ((equal? e-30 13) (lambda (eta-0) (vector 1 (vector 18 ))))(else (cond ((equal? arg-2 0) (case (vector-ref arg-3 0) ((0) (let ((e-13 (vector-ref arg-3 1))) (let ((e-15 (vector-ref arg-3 3))) (let ((e-16 (vector-ref arg-3 4))) (case (vector-ref e-15 0) ((2) (let ((e-21 (vector-ref e-15 4))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-5 e-21))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CompilerC-45CompileExpr-nfToCFType arg-0 e-13 0 e-6))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 ((e-16 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 e-13 (vector 0 )))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CompilerC-45CompileExpr-nfToCFType arg-0 e-13 0 e-7))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 19 e-6 e-8))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-17 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-17)))) (else (let ((e-17 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-17))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-18 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-18)))) (else (let ((e-18 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-18))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))) ((equal? arg-2 1) (case (vector-ref arg-3 0) ((0) (let ((e-23 (vector-ref arg-3 1))) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 e-23 "Function types not allowed in a foreign struct") eta-0))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1))))))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))(else (cond ((equal? arg-2 0) (case (vector-ref arg-3 0) ((0) (let ((e-13 (vector-ref arg-3 1))) (let ((e-15 (vector-ref arg-3 3))) (let ((e-16 (vector-ref arg-3 4))) (case (vector-ref e-15 0) ((2) (let ((e-21 (vector-ref e-15 4))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-5 e-21))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CompilerC-45CompileExpr-nfToCFType arg-0 e-13 0 e-6))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 ((e-16 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 e-13 (vector 0 )))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CompilerC-45CompileExpr-nfToCFType arg-0 e-13 0 e-7))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 19 e-6 e-8))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-17 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-17)))) (else (let ((e-17 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-17))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-18 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-18)))) (else (let ((e-18 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-18))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))) ((equal? arg-2 1) (case (vector-ref arg-3 0) ((0) (let ((e-23 (vector-ref arg-3 1))) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 e-23 "Function types not allowed in a foreign struct") eta-0))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1))))))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))(else (cond ((equal? arg-2 0) (case (vector-ref arg-3 0) ((0) (let ((e-13 (vector-ref arg-3 1))) (let ((e-15 (vector-ref arg-3 3))) (let ((e-16 (vector-ref arg-3 4))) (case (vector-ref e-15 0) ((2) (let ((e-21 (vector-ref e-15 4))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-5 e-21))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CompilerC-45CompileExpr-nfToCFType arg-0 e-13 0 e-6))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 ((e-16 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 e-13 (vector 0 )))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CompilerC-45CompileExpr-nfToCFType arg-0 e-13 0 e-7))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 19 e-6 e-8))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-17 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-17)))) (else (let ((e-17 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-17))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-18 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-18)))) (else (let ((e-18 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-18))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))) ((equal? arg-2 1) (case (vector-ref arg-3 0) ((0) (let ((e-23 (vector-ref arg-3 1))) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 e-23 "Function types not allowed in a foreign struct") eta-0))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1))))))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))))(else (case (vector-ref arg-3 0) ((8) (let ((e-29 (vector-ref arg-3 2))) (case (vector-ref e-29 0) ((13) (let ((e-30 (vector-ref e-29 1))) (cond ((equal? e-30 12) (lambda (eta-0) (vector 1 (vector 12 )))) ((equal? e-30 11) (lambda (eta-0) (vector 1 (vector 13 )))) ((equal? e-30 13) (lambda (eta-0) (vector 1 (vector 18 ))))(else (cond ((equal? arg-2 0) (case (vector-ref arg-3 0) ((0) (let ((e-13 (vector-ref arg-3 1))) (let ((e-15 (vector-ref arg-3 3))) (let ((e-16 (vector-ref arg-3 4))) (case (vector-ref e-15 0) ((2) (let ((e-21 (vector-ref e-15 4))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-5 e-21))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CompilerC-45CompileExpr-nfToCFType arg-0 e-13 0 e-6))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 ((e-16 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 e-13 (vector 0 )))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CompilerC-45CompileExpr-nfToCFType arg-0 e-13 0 e-7))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 19 e-6 e-8))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-17 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-17)))) (else (let ((e-17 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-17))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-18 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-18)))) (else (let ((e-18 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-18))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))) ((equal? arg-2 1) (case (vector-ref arg-3 0) ((0) (let ((e-23 (vector-ref arg-3 1))) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 e-23 "Function types not allowed in a foreign struct") eta-0))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1))))))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))(else (cond ((equal? arg-2 0) (case (vector-ref arg-3 0) ((0) (let ((e-13 (vector-ref arg-3 1))) (let ((e-15 (vector-ref arg-3 3))) (let ((e-16 (vector-ref arg-3 4))) (case (vector-ref e-15 0) ((2) (let ((e-21 (vector-ref e-15 4))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-5 e-21))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CompilerC-45CompileExpr-nfToCFType arg-0 e-13 0 e-6))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 ((e-16 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 e-13 (vector 0 )))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CompilerC-45CompileExpr-nfToCFType arg-0 e-13 0 e-7))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 19 e-6 e-8))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-17 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-17)))) (else (let ((e-17 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-17))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-18 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-18)))) (else (let ((e-18 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-18))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))) ((equal? arg-2 1) (case (vector-ref arg-3 0) ((0) (let ((e-23 (vector-ref arg-3 1))) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 e-23 "Function types not allowed in a foreign struct") eta-0))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1))))))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))(else (cond ((equal? arg-2 0) (case (vector-ref arg-3 0) ((0) (let ((e-13 (vector-ref arg-3 1))) (let ((e-15 (vector-ref arg-3 3))) (let ((e-16 (vector-ref arg-3 4))) (case (vector-ref e-15 0) ((2) (let ((e-21 (vector-ref e-15 4))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-5 e-21))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CompilerC-45CompileExpr-nfToCFType arg-0 e-13 0 e-6))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 ((e-16 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 e-13 (vector 0 )))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CompilerC-45CompileExpr-nfToCFType arg-0 e-13 0 e-7))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 19 e-6 e-8))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-17 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-17)))) (else (let ((e-17 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-17))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-18 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-18)))) (else (let ((e-18 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-18))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))) ((equal? arg-2 1) (case (vector-ref arg-3 0) ((0) (let ((e-23 (vector-ref arg-3 1))) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 e-23 "Function types not allowed in a foreign struct") eta-0))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1))))))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))))(else (case (vector-ref arg-3 0) ((8) (let ((e-29 (vector-ref arg-3 2))) (case (vector-ref e-29 0) ((13) (let ((e-30 (vector-ref e-29 1))) (cond ((equal? e-30 12) (lambda (eta-0) (vector 1 (vector 12 )))) ((equal? e-30 11) (lambda (eta-0) (vector 1 (vector 13 )))) ((equal? e-30 13) (lambda (eta-0) (vector 1 (vector 18 ))))(else (cond ((equal? arg-2 0) (case (vector-ref arg-3 0) ((0) (let ((e-13 (vector-ref arg-3 1))) (let ((e-15 (vector-ref arg-3 3))) (let ((e-16 (vector-ref arg-3 4))) (case (vector-ref e-15 0) ((2) (let ((e-21 (vector-ref e-15 4))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-5 e-21))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CompilerC-45CompileExpr-nfToCFType arg-0 e-13 0 e-6))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 ((e-16 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 e-13 (vector 0 )))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CompilerC-45CompileExpr-nfToCFType arg-0 e-13 0 e-7))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 19 e-6 e-8))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-17 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-17)))) (else (let ((e-17 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-17))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-18 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-18)))) (else (let ((e-18 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-18))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))) ((equal? arg-2 1) (case (vector-ref arg-3 0) ((0) (let ((e-23 (vector-ref arg-3 1))) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 e-23 "Function types not allowed in a foreign struct") eta-0))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1))))))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))(else (cond ((equal? arg-2 0) (case (vector-ref arg-3 0) ((0) (let ((e-13 (vector-ref arg-3 1))) (let ((e-15 (vector-ref arg-3 3))) (let ((e-16 (vector-ref arg-3 4))) (case (vector-ref e-15 0) ((2) (let ((e-21 (vector-ref e-15 4))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-5 e-21))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CompilerC-45CompileExpr-nfToCFType arg-0 e-13 0 e-6))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 ((e-16 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 e-13 (vector 0 )))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CompilerC-45CompileExpr-nfToCFType arg-0 e-13 0 e-7))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 19 e-6 e-8))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-17 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-17)))) (else (let ((e-17 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-17))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-18 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-18)))) (else (let ((e-18 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-18))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))) ((equal? arg-2 1) (case (vector-ref arg-3 0) ((0) (let ((e-23 (vector-ref arg-3 1))) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 e-23 "Function types not allowed in a foreign struct") eta-0))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1))))))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))(else (cond ((equal? arg-2 0) (case (vector-ref arg-3 0) ((0) (let ((e-13 (vector-ref arg-3 1))) (let ((e-15 (vector-ref arg-3 3))) (let ((e-16 (vector-ref arg-3 4))) (case (vector-ref e-15 0) ((2) (let ((e-21 (vector-ref e-15 4))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-5 e-21))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CompilerC-45CompileExpr-nfToCFType arg-0 e-13 0 e-6))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 ((e-16 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 e-13 (vector 0 )))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CompilerC-45CompileExpr-nfToCFType arg-0 e-13 0 e-7))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 19 e-6 e-8))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-17 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-17)))) (else (let ((e-17 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-17))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-18 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-18)))) (else (let ((e-18 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-18))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))) ((equal? arg-2 1) (case (vector-ref arg-3 0) ((0) (let ((e-23 (vector-ref arg-3 1))) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 e-23 "Function types not allowed in a foreign struct") eta-0))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1))))))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1))))))))))))))))(else (case (vector-ref arg-3 0) ((8) (let ((e-29 (vector-ref arg-3 2))) (case (vector-ref e-29 0) ((13) (let ((e-30 (vector-ref e-29 1))) (cond ((equal? e-30 12) (lambda (eta-0) (vector 1 (vector 12 )))) ((equal? e-30 11) (lambda (eta-0) (vector 1 (vector 13 )))) ((equal? e-30 13) (lambda (eta-0) (vector 1 (vector 18 ))))(else (cond ((equal? arg-2 0) (case (vector-ref arg-3 0) ((0) (let ((e-13 (vector-ref arg-3 1))) (let ((e-15 (vector-ref arg-3 3))) (let ((e-16 (vector-ref arg-3 4))) (case (vector-ref e-15 0) ((2) (let ((e-21 (vector-ref e-15 4))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-5 e-21))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CompilerC-45CompileExpr-nfToCFType arg-0 e-13 0 e-6))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 ((e-16 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 e-13 (vector 0 )))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CompilerC-45CompileExpr-nfToCFType arg-0 e-13 0 e-7))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 19 e-6 e-8))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-17 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-17)))) (else (let ((e-17 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-17))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-18 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-18)))) (else (let ((e-18 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-18))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))) ((equal? arg-2 1) (case (vector-ref arg-3 0) ((0) (let ((e-23 (vector-ref arg-3 1))) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 e-23 "Function types not allowed in a foreign struct") eta-0))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1))))))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))(else (cond ((equal? arg-2 0) (case (vector-ref arg-3 0) ((0) (let ((e-13 (vector-ref arg-3 1))) (let ((e-15 (vector-ref arg-3 3))) (let ((e-16 (vector-ref arg-3 4))) (case (vector-ref e-15 0) ((2) (let ((e-21 (vector-ref e-15 4))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-5 e-21))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CompilerC-45CompileExpr-nfToCFType arg-0 e-13 0 e-6))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 ((e-16 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 e-13 (vector 0 )))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CompilerC-45CompileExpr-nfToCFType arg-0 e-13 0 e-7))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 19 e-6 e-8))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-17 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-17)))) (else (let ((e-17 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-17))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-18 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-18)))) (else (let ((e-18 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-18))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))) ((equal? arg-2 1) (case (vector-ref arg-3 0) ((0) (let ((e-23 (vector-ref arg-3 1))) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 e-23 "Function types not allowed in a foreign struct") eta-0))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1))))))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))(else (cond ((equal? arg-2 0) (case (vector-ref arg-3 0) ((0) (let ((e-13 (vector-ref arg-3 1))) (let ((e-15 (vector-ref arg-3 3))) (let ((e-16 (vector-ref arg-3 4))) (case (vector-ref e-15 0) ((2) (let ((e-21 (vector-ref e-15 4))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-5 e-21))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CompilerC-45CompileExpr-nfToCFType arg-0 e-13 0 e-6))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 ((e-16 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 e-13 (vector 0 )))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CompilerC-45CompileExpr-nfToCFType arg-0 e-13 0 e-7))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 19 e-6 e-8))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-17 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-17)))) (else (let ((e-17 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-17))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-18 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-18)))) (else (let ((e-18 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-18))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))) ((equal? arg-2 1) (case (vector-ref arg-3 0) ((0) (let ((e-23 (vector-ref arg-3 1))) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 e-23 "Function types not allowed in a foreign struct") eta-0))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1))))))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))))))(else (cond ((equal? arg-2 0) (case (vector-ref arg-3 0) ((8) (let ((e-33 (vector-ref arg-3 2))) (case (vector-ref e-33 0) ((13) (let ((e-34 (vector-ref e-33 1))) (cond ((equal? e-34 10) (lambda (eta-0) (vector 1 (vector 11 ))))(else (case (vector-ref arg-3 0) ((8) (let ((e-29 (vector-ref arg-3 2))) (case (vector-ref e-29 0) ((13) (let ((e-30 (vector-ref e-29 1))) (cond ((equal? e-30 12) (lambda (eta-0) (vector 1 (vector 12 )))) ((equal? e-30 11) (lambda (eta-0) (vector 1 (vector 13 )))) ((equal? e-30 13) (lambda (eta-0) (vector 1 (vector 18 ))))(else (cond ((equal? arg-2 0) (case (vector-ref arg-3 0) ((0) (let ((e-13 (vector-ref arg-3 1))) (let ((e-15 (vector-ref arg-3 3))) (let ((e-16 (vector-ref arg-3 4))) (case (vector-ref e-15 0) ((2) (let ((e-21 (vector-ref e-15 4))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-5 e-21))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CompilerC-45CompileExpr-nfToCFType arg-0 e-13 0 e-6))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 ((e-16 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 e-13 (vector 0 )))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CompilerC-45CompileExpr-nfToCFType arg-0 e-13 0 e-7))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 19 e-6 e-8))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-17 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-17)))) (else (let ((e-17 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-17))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-18 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-18)))) (else (let ((e-18 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-18))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))) ((equal? arg-2 1) (case (vector-ref arg-3 0) ((0) (let ((e-23 (vector-ref arg-3 1))) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 e-23 "Function types not allowed in a foreign struct") eta-0))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1))))))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))(else (cond ((equal? arg-2 0) (case (vector-ref arg-3 0) ((0) (let ((e-13 (vector-ref arg-3 1))) (let ((e-15 (vector-ref arg-3 3))) (let ((e-16 (vector-ref arg-3 4))) (case (vector-ref e-15 0) ((2) (let ((e-21 (vector-ref e-15 4))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-5 e-21))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CompilerC-45CompileExpr-nfToCFType arg-0 e-13 0 e-6))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 ((e-16 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 e-13 (vector 0 )))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CompilerC-45CompileExpr-nfToCFType arg-0 e-13 0 e-7))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 19 e-6 e-8))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-17 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-17)))) (else (let ((e-17 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-17))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-18 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-18)))) (else (let ((e-18 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-18))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))) ((equal? arg-2 1) (case (vector-ref arg-3 0) ((0) (let ((e-23 (vector-ref arg-3 1))) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 e-23 "Function types not allowed in a foreign struct") eta-0))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1))))))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))(else (cond ((equal? arg-2 0) (case (vector-ref arg-3 0) ((0) (let ((e-13 (vector-ref arg-3 1))) (let ((e-15 (vector-ref arg-3 3))) (let ((e-16 (vector-ref arg-3 4))) (case (vector-ref e-15 0) ((2) (let ((e-21 (vector-ref e-15 4))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-5 e-21))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CompilerC-45CompileExpr-nfToCFType arg-0 e-13 0 e-6))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 ((e-16 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 e-13 (vector 0 )))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CompilerC-45CompileExpr-nfToCFType arg-0 e-13 0 e-7))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 19 e-6 e-8))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-17 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-17)))) (else (let ((e-17 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-17))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-18 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-18)))) (else (let ((e-18 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-18))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))) ((equal? arg-2 1) (case (vector-ref arg-3 0) ((0) (let ((e-23 (vector-ref arg-3 1))) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 e-23 "Function types not allowed in a foreign struct") eta-0))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1))))))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))))(else (case (vector-ref arg-3 0) ((8) (let ((e-29 (vector-ref arg-3 2))) (case (vector-ref e-29 0) ((13) (let ((e-30 (vector-ref e-29 1))) (cond ((equal? e-30 12) (lambda (eta-0) (vector 1 (vector 12 )))) ((equal? e-30 11) (lambda (eta-0) (vector 1 (vector 13 )))) ((equal? e-30 13) (lambda (eta-0) (vector 1 (vector 18 ))))(else (cond ((equal? arg-2 0) (case (vector-ref arg-3 0) ((0) (let ((e-13 (vector-ref arg-3 1))) (let ((e-15 (vector-ref arg-3 3))) (let ((e-16 (vector-ref arg-3 4))) (case (vector-ref e-15 0) ((2) (let ((e-21 (vector-ref e-15 4))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-5 e-21))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CompilerC-45CompileExpr-nfToCFType arg-0 e-13 0 e-6))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 ((e-16 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 e-13 (vector 0 )))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CompilerC-45CompileExpr-nfToCFType arg-0 e-13 0 e-7))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 19 e-6 e-8))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-17 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-17)))) (else (let ((e-17 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-17))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-18 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-18)))) (else (let ((e-18 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-18))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))) ((equal? arg-2 1) (case (vector-ref arg-3 0) ((0) (let ((e-23 (vector-ref arg-3 1))) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 e-23 "Function types not allowed in a foreign struct") eta-0))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1))))))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))(else (cond ((equal? arg-2 0) (case (vector-ref arg-3 0) ((0) (let ((e-13 (vector-ref arg-3 1))) (let ((e-15 (vector-ref arg-3 3))) (let ((e-16 (vector-ref arg-3 4))) (case (vector-ref e-15 0) ((2) (let ((e-21 (vector-ref e-15 4))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-5 e-21))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CompilerC-45CompileExpr-nfToCFType arg-0 e-13 0 e-6))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 ((e-16 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 e-13 (vector 0 )))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CompilerC-45CompileExpr-nfToCFType arg-0 e-13 0 e-7))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 19 e-6 e-8))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-17 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-17)))) (else (let ((e-17 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-17))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-18 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-18)))) (else (let ((e-18 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-18))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))) ((equal? arg-2 1) (case (vector-ref arg-3 0) ((0) (let ((e-23 (vector-ref arg-3 1))) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 e-23 "Function types not allowed in a foreign struct") eta-0))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1))))))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))(else (cond ((equal? arg-2 0) (case (vector-ref arg-3 0) ((0) (let ((e-13 (vector-ref arg-3 1))) (let ((e-15 (vector-ref arg-3 3))) (let ((e-16 (vector-ref arg-3 4))) (case (vector-ref e-15 0) ((2) (let ((e-21 (vector-ref e-15 4))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-5 e-21))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CompilerC-45CompileExpr-nfToCFType arg-0 e-13 0 e-6))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 ((e-16 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 e-13 (vector 0 )))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CompilerC-45CompileExpr-nfToCFType arg-0 e-13 0 e-7))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 19 e-6 e-8))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-17 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-17)))) (else (let ((e-17 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-17))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-18 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-18)))) (else (let ((e-18 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-18))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))) ((equal? arg-2 1) (case (vector-ref arg-3 0) ((0) (let ((e-23 (vector-ref arg-3 1))) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 e-23 "Function types not allowed in a foreign struct") eta-0))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1))))))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))))(else (case (vector-ref arg-3 0) ((8) (let ((e-29 (vector-ref arg-3 2))) (case (vector-ref e-29 0) ((13) (let ((e-30 (vector-ref e-29 1))) (cond ((equal? e-30 12) (lambda (eta-0) (vector 1 (vector 12 )))) ((equal? e-30 11) (lambda (eta-0) (vector 1 (vector 13 )))) ((equal? e-30 13) (lambda (eta-0) (vector 1 (vector 18 ))))(else (cond ((equal? arg-2 0) (case (vector-ref arg-3 0) ((0) (let ((e-13 (vector-ref arg-3 1))) (let ((e-15 (vector-ref arg-3 3))) (let ((e-16 (vector-ref arg-3 4))) (case (vector-ref e-15 0) ((2) (let ((e-21 (vector-ref e-15 4))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-5 e-21))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CompilerC-45CompileExpr-nfToCFType arg-0 e-13 0 e-6))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 ((e-16 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 e-13 (vector 0 )))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CompilerC-45CompileExpr-nfToCFType arg-0 e-13 0 e-7))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 19 e-6 e-8))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-17 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-17)))) (else (let ((e-17 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-17))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-18 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-18)))) (else (let ((e-18 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-18))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))) ((equal? arg-2 1) (case (vector-ref arg-3 0) ((0) (let ((e-23 (vector-ref arg-3 1))) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 e-23 "Function types not allowed in a foreign struct") eta-0))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1))))))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))(else (cond ((equal? arg-2 0) (case (vector-ref arg-3 0) ((0) (let ((e-13 (vector-ref arg-3 1))) (let ((e-15 (vector-ref arg-3 3))) (let ((e-16 (vector-ref arg-3 4))) (case (vector-ref e-15 0) ((2) (let ((e-21 (vector-ref e-15 4))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-5 e-21))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CompilerC-45CompileExpr-nfToCFType arg-0 e-13 0 e-6))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 ((e-16 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 e-13 (vector 0 )))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CompilerC-45CompileExpr-nfToCFType arg-0 e-13 0 e-7))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 19 e-6 e-8))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-17 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-17)))) (else (let ((e-17 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-17))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-18 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-18)))) (else (let ((e-18 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-18))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))) ((equal? arg-2 1) (case (vector-ref arg-3 0) ((0) (let ((e-23 (vector-ref arg-3 1))) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 e-23 "Function types not allowed in a foreign struct") eta-0))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1))))))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))(else (cond ((equal? arg-2 0) (case (vector-ref arg-3 0) ((0) (let ((e-13 (vector-ref arg-3 1))) (let ((e-15 (vector-ref arg-3 3))) (let ((e-16 (vector-ref arg-3 4))) (case (vector-ref e-15 0) ((2) (let ((e-21 (vector-ref e-15 4))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-5 e-21))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CompilerC-45CompileExpr-nfToCFType arg-0 e-13 0 e-6))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 ((e-16 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 e-13 (vector 0 )))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CompilerC-45CompileExpr-nfToCFType arg-0 e-13 0 e-7))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 19 e-6 e-8))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-17 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-17)))) (else (let ((e-17 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-17))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-18 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-18)))) (else (let ((e-18 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-18))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))) ((equal? arg-2 1) (case (vector-ref arg-3 0) ((0) (let ((e-23 (vector-ref arg-3 1))) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 e-23 "Function types not allowed in a foreign struct") eta-0))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1))))))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))) ((equal? arg-2 1) (case (vector-ref arg-3 0) ((8) (let ((e-37 (vector-ref arg-3 2))) (case (vector-ref e-37 0) ((13) (let ((e-38 (vector-ref e-37 1))) (cond ((equal? e-38 10) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 arg-1 "String not allowed in a foreign struct") eta-0)))(else (case (vector-ref arg-3 0) ((8) (let ((e-29 (vector-ref arg-3 2))) (case (vector-ref e-29 0) ((13) (let ((e-30 (vector-ref e-29 1))) (cond ((equal? e-30 12) (lambda (eta-0) (vector 1 (vector 12 )))) ((equal? e-30 11) (lambda (eta-0) (vector 1 (vector 13 )))) ((equal? e-30 13) (lambda (eta-0) (vector 1 (vector 18 ))))(else (cond ((equal? arg-2 0) (case (vector-ref arg-3 0) ((0) (let ((e-13 (vector-ref arg-3 1))) (let ((e-15 (vector-ref arg-3 3))) (let ((e-16 (vector-ref arg-3 4))) (case (vector-ref e-15 0) ((2) (let ((e-21 (vector-ref e-15 4))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-5 e-21))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CompilerC-45CompileExpr-nfToCFType arg-0 e-13 0 e-6))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 ((e-16 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 e-13 (vector 0 )))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CompilerC-45CompileExpr-nfToCFType arg-0 e-13 0 e-7))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 19 e-6 e-8))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-17 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-17)))) (else (let ((e-17 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-17))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-18 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-18)))) (else (let ((e-18 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-18))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))) ((equal? arg-2 1) (case (vector-ref arg-3 0) ((0) (let ((e-23 (vector-ref arg-3 1))) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 e-23 "Function types not allowed in a foreign struct") eta-0))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1))))))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))(else (cond ((equal? arg-2 0) (case (vector-ref arg-3 0) ((0) (let ((e-13 (vector-ref arg-3 1))) (let ((e-15 (vector-ref arg-3 3))) (let ((e-16 (vector-ref arg-3 4))) (case (vector-ref e-15 0) ((2) (let ((e-21 (vector-ref e-15 4))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-5 e-21))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CompilerC-45CompileExpr-nfToCFType arg-0 e-13 0 e-6))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 ((e-16 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 e-13 (vector 0 )))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CompilerC-45CompileExpr-nfToCFType arg-0 e-13 0 e-7))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 19 e-6 e-8))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-17 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-17)))) (else (let ((e-17 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-17))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-18 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-18)))) (else (let ((e-18 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-18))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))) ((equal? arg-2 1) (case (vector-ref arg-3 0) ((0) (let ((e-23 (vector-ref arg-3 1))) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 e-23 "Function types not allowed in a foreign struct") eta-0))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1))))))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))(else (cond ((equal? arg-2 0) (case (vector-ref arg-3 0) ((0) (let ((e-13 (vector-ref arg-3 1))) (let ((e-15 (vector-ref arg-3 3))) (let ((e-16 (vector-ref arg-3 4))) (case (vector-ref e-15 0) ((2) (let ((e-21 (vector-ref e-15 4))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-5 e-21))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CompilerC-45CompileExpr-nfToCFType arg-0 e-13 0 e-6))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 ((e-16 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 e-13 (vector 0 )))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CompilerC-45CompileExpr-nfToCFType arg-0 e-13 0 e-7))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 19 e-6 e-8))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-17 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-17)))) (else (let ((e-17 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-17))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-18 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-18)))) (else (let ((e-18 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-18))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))) ((equal? arg-2 1) (case (vector-ref arg-3 0) ((0) (let ((e-23 (vector-ref arg-3 1))) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 e-23 "Function types not allowed in a foreign struct") eta-0))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1))))))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))))(else (case (vector-ref arg-3 0) ((8) (let ((e-29 (vector-ref arg-3 2))) (case (vector-ref e-29 0) ((13) (let ((e-30 (vector-ref e-29 1))) (cond ((equal? e-30 12) (lambda (eta-0) (vector 1 (vector 12 )))) ((equal? e-30 11) (lambda (eta-0) (vector 1 (vector 13 )))) ((equal? e-30 13) (lambda (eta-0) (vector 1 (vector 18 ))))(else (cond ((equal? arg-2 0) (case (vector-ref arg-3 0) ((0) (let ((e-13 (vector-ref arg-3 1))) (let ((e-15 (vector-ref arg-3 3))) (let ((e-16 (vector-ref arg-3 4))) (case (vector-ref e-15 0) ((2) (let ((e-21 (vector-ref e-15 4))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-5 e-21))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CompilerC-45CompileExpr-nfToCFType arg-0 e-13 0 e-6))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 ((e-16 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 e-13 (vector 0 )))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CompilerC-45CompileExpr-nfToCFType arg-0 e-13 0 e-7))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 19 e-6 e-8))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-17 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-17)))) (else (let ((e-17 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-17))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-18 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-18)))) (else (let ((e-18 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-18))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))) ((equal? arg-2 1) (case (vector-ref arg-3 0) ((0) (let ((e-23 (vector-ref arg-3 1))) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 e-23 "Function types not allowed in a foreign struct") eta-0))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1))))))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))(else (cond ((equal? arg-2 0) (case (vector-ref arg-3 0) ((0) (let ((e-13 (vector-ref arg-3 1))) (let ((e-15 (vector-ref arg-3 3))) (let ((e-16 (vector-ref arg-3 4))) (case (vector-ref e-15 0) ((2) (let ((e-21 (vector-ref e-15 4))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-5 e-21))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CompilerC-45CompileExpr-nfToCFType arg-0 e-13 0 e-6))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 ((e-16 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 e-13 (vector 0 )))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CompilerC-45CompileExpr-nfToCFType arg-0 e-13 0 e-7))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 19 e-6 e-8))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-17 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-17)))) (else (let ((e-17 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-17))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-18 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-18)))) (else (let ((e-18 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-18))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))) ((equal? arg-2 1) (case (vector-ref arg-3 0) ((0) (let ((e-23 (vector-ref arg-3 1))) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 e-23 "Function types not allowed in a foreign struct") eta-0))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1))))))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))(else (cond ((equal? arg-2 0) (case (vector-ref arg-3 0) ((0) (let ((e-13 (vector-ref arg-3 1))) (let ((e-15 (vector-ref arg-3 3))) (let ((e-16 (vector-ref arg-3 4))) (case (vector-ref e-15 0) ((2) (let ((e-21 (vector-ref e-15 4))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-5 e-21))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CompilerC-45CompileExpr-nfToCFType arg-0 e-13 0 e-6))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 ((e-16 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 e-13 (vector 0 )))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CompilerC-45CompileExpr-nfToCFType arg-0 e-13 0 e-7))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 19 e-6 e-8))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-17 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-17)))) (else (let ((e-17 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-17))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-18 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-18)))) (else (let ((e-18 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-18))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))) ((equal? arg-2 1) (case (vector-ref arg-3 0) ((0) (let ((e-23 (vector-ref arg-3 1))) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 e-23 "Function types not allowed in a foreign struct") eta-0))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1))))))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))))(else (case (vector-ref arg-3 0) ((8) (let ((e-29 (vector-ref arg-3 2))) (case (vector-ref e-29 0) ((13) (let ((e-30 (vector-ref e-29 1))) (cond ((equal? e-30 12) (lambda (eta-0) (vector 1 (vector 12 )))) ((equal? e-30 11) (lambda (eta-0) (vector 1 (vector 13 )))) ((equal? e-30 13) (lambda (eta-0) (vector 1 (vector 18 ))))(else (cond ((equal? arg-2 0) (case (vector-ref arg-3 0) ((0) (let ((e-13 (vector-ref arg-3 1))) (let ((e-15 (vector-ref arg-3 3))) (let ((e-16 (vector-ref arg-3 4))) (case (vector-ref e-15 0) ((2) (let ((e-21 (vector-ref e-15 4))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-5 e-21))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CompilerC-45CompileExpr-nfToCFType arg-0 e-13 0 e-6))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 ((e-16 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 e-13 (vector 0 )))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CompilerC-45CompileExpr-nfToCFType arg-0 e-13 0 e-7))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 19 e-6 e-8))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-17 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-17)))) (else (let ((e-17 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-17))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-18 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-18)))) (else (let ((e-18 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-18))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))) ((equal? arg-2 1) (case (vector-ref arg-3 0) ((0) (let ((e-23 (vector-ref arg-3 1))) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 e-23 "Function types not allowed in a foreign struct") eta-0))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1))))))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))(else (cond ((equal? arg-2 0) (case (vector-ref arg-3 0) ((0) (let ((e-13 (vector-ref arg-3 1))) (let ((e-15 (vector-ref arg-3 3))) (let ((e-16 (vector-ref arg-3 4))) (case (vector-ref e-15 0) ((2) (let ((e-21 (vector-ref e-15 4))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-5 e-21))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CompilerC-45CompileExpr-nfToCFType arg-0 e-13 0 e-6))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 ((e-16 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 e-13 (vector 0 )))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CompilerC-45CompileExpr-nfToCFType arg-0 e-13 0 e-7))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 19 e-6 e-8))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-17 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-17)))) (else (let ((e-17 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-17))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-18 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-18)))) (else (let ((e-18 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-18))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))) ((equal? arg-2 1) (case (vector-ref arg-3 0) ((0) (let ((e-23 (vector-ref arg-3 1))) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 e-23 "Function types not allowed in a foreign struct") eta-0))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1))))))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))(else (cond ((equal? arg-2 0) (case (vector-ref arg-3 0) ((0) (let ((e-13 (vector-ref arg-3 1))) (let ((e-15 (vector-ref arg-3 3))) (let ((e-16 (vector-ref arg-3 4))) (case (vector-ref e-15 0) ((2) (let ((e-21 (vector-ref e-15 4))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-5 e-21))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CompilerC-45CompileExpr-nfToCFType arg-0 e-13 0 e-6))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 ((e-16 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 e-13 (vector 0 )))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CompilerC-45CompileExpr-nfToCFType arg-0 e-13 0 e-7))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 19 e-6 e-8))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-17 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-17)))) (else (let ((e-17 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-17))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-18 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-18)))) (else (let ((e-18 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-18))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))) ((equal? arg-2 1) (case (vector-ref arg-3 0) ((0) (let ((e-23 (vector-ref arg-3 1))) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 e-23 "Function types not allowed in a foreign struct") eta-0))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1))))))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1))))))))))))))))(else (case (vector-ref arg-3 0) ((8) (let ((e-29 (vector-ref arg-3 2))) (case (vector-ref e-29 0) ((13) (let ((e-30 (vector-ref e-29 1))) (cond ((equal? e-30 12) (lambda (eta-0) (vector 1 (vector 12 )))) ((equal? e-30 11) (lambda (eta-0) (vector 1 (vector 13 )))) ((equal? e-30 13) (lambda (eta-0) (vector 1 (vector 18 ))))(else (cond ((equal? arg-2 0) (case (vector-ref arg-3 0) ((0) (let ((e-13 (vector-ref arg-3 1))) (let ((e-15 (vector-ref arg-3 3))) (let ((e-16 (vector-ref arg-3 4))) (case (vector-ref e-15 0) ((2) (let ((e-21 (vector-ref e-15 4))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-5 e-21))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CompilerC-45CompileExpr-nfToCFType arg-0 e-13 0 e-6))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 ((e-16 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 e-13 (vector 0 )))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CompilerC-45CompileExpr-nfToCFType arg-0 e-13 0 e-7))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 19 e-6 e-8))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-17 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-17)))) (else (let ((e-17 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-17))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-18 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-18)))) (else (let ((e-18 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-18))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))) ((equal? arg-2 1) (case (vector-ref arg-3 0) ((0) (let ((e-23 (vector-ref arg-3 1))) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 e-23 "Function types not allowed in a foreign struct") eta-0))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1))))))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))(else (cond ((equal? arg-2 0) (case (vector-ref arg-3 0) ((0) (let ((e-13 (vector-ref arg-3 1))) (let ((e-15 (vector-ref arg-3 3))) (let ((e-16 (vector-ref arg-3 4))) (case (vector-ref e-15 0) ((2) (let ((e-21 (vector-ref e-15 4))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-5 e-21))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CompilerC-45CompileExpr-nfToCFType arg-0 e-13 0 e-6))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 ((e-16 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 e-13 (vector 0 )))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CompilerC-45CompileExpr-nfToCFType arg-0 e-13 0 e-7))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 19 e-6 e-8))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-17 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-17)))) (else (let ((e-17 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-17))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-18 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-18)))) (else (let ((e-18 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-18))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))) ((equal? arg-2 1) (case (vector-ref arg-3 0) ((0) (let ((e-23 (vector-ref arg-3 1))) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 e-23 "Function types not allowed in a foreign struct") eta-0))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1))))))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))(else (cond ((equal? arg-2 0) (case (vector-ref arg-3 0) ((0) (let ((e-13 (vector-ref arg-3 1))) (let ((e-15 (vector-ref arg-3 3))) (let ((e-16 (vector-ref arg-3 4))) (case (vector-ref e-15 0) ((2) (let ((e-21 (vector-ref e-15 4))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-5 e-21))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CompilerC-45CompileExpr-nfToCFType arg-0 e-13 0 e-6))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 ((e-16 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 e-13 (vector 0 )))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CompilerC-45CompileExpr-nfToCFType arg-0 e-13 0 e-7))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 19 e-6 e-8))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-17 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-17)))) (else (let ((e-17 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-17))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-18 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-18)))) (else (let ((e-18 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-18))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))) ((equal? arg-2 1) (case (vector-ref arg-3 0) ((0) (let ((e-23 (vector-ref arg-3 1))) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 e-23 "Function types not allowed in a foreign struct") eta-0))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1))))))))))))(else (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45CompileExpr-getNArgs arg-0 e-6 e-7 ((csegen-947) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-8 0) ((0) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 eta-0)) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 22 e-7 e-11))))) eff-5))))))))) eff-4))))))))) ((1) (let ((e-10 (vector-ref e-8 1))) (let ((e-9 (vector-ref e-8 2))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 1 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-12 e-14))))) eff-5))))))))) eff-4)))))))))) e-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 21 e-10 e-11))))) eff-4)))))))))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((3) (lambda (eta-0) (vector 1 (vector 14 )))) ((4) (lambda (eta-0) (vector 1 (vector 15 )))) ((5) (lambda (eta-0) (vector 1 (vector 16 )))) ((6) (lambda (eta-0) (vector 1 (vector 17 )))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 arg-2 e-10))) (PrimIO-io_bind eff-4 (csegen-2029))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (csegen-2296)) ((9) (csegen-2299))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 '() e-5 '() arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't marshal type for foreign call " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-7))) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))))))
(define CompilerC-45CompileExpr-newMN (lambda (arg-0 arg-1) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (bs+ e-5 1 63)))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (lambda (eta-0) (vector 1 (vector 2 arg-1 e-5))))) eff-2)))))))) eff-1)))))))))
(define CompilerC-45CompileExpr-natHack(blodwen-lazy (lambda () (cons (vector 1 (vector 0 (CoreC-45NameC-45Namespace-typesNS) (vector 1 (vector 0 "natToInteger"))) 1 (lambda (_-3947) (lambda (_-3950) (lambda (vars-3953) (lambda (lamc-0) (let ((e-2 (car lamc-0))) (let ((e-3 (cdr lamc-0))) e-2))))))) (cons (vector 1 (vector 0 (CoreC-45NameC-45Namespace-typesNS) (vector 1 (vector 0 "integerToNat"))) 1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (let ((e-2 (car eta-3))) (let ((e-3 (cdr eta-3))) (vector 4 eta-0 (vector 1 eta-1 (csegen-56)) (cons e-2 '()))))))))) (cons (vector 1 (vector 0 (CoreC-45NameC-45Namespace-typesNS) (vector 1 (vector 0 "plus"))) 2 (lambda (u--fc) (lambda (u--fcC-39) (lambda (vars-3926) (lambda (lamc-0) (let ((e-2 (car lamc-0))) (let ((e-3 (cdr lamc-0))) (let ((e-6 (car e-3))) (let ((e-7 (cdr e-3))) (vector 6 2 u--fc (vector 0 5) (cons e-2 (cons e-6 '())))))))))))) (cons (vector 1 (vector 0 (CoreC-45NameC-45Namespace-typesNS) (vector 1 (vector 0 "mult"))) 2 (lambda (u--fc) (lambda (u--fcC-39) (lambda (vars-3910) (lambda (lamc-0) (let ((e-2 (car lamc-0))) (let ((e-3 (cdr lamc-0))) (let ((e-6 (car e-3))) (let ((e-7 (cdr e-3))) (vector 6 2 u--fc (vector 2 5) (cons e-2 (cons e-6 '())))))))))))) (cons (vector 1 (vector 0 (CoreC-45NameC-45Namespace-typesNS) (vector 1 (vector 0 "minus"))) 2 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (CompilerC-45CompileExpr-magic__natMinus eta-0 eta-1 eta-3)))))) (cons (vector 1 (vector 0 (CoreC-45NameC-45Namespace-typesNS) (vector 1 (vector 0 "equalNat"))) 2 (lambda (u--fc) (lambda (u--fcC-39) (lambda (vars-3885) (lambda (lamc-0) (let ((e-2 (car lamc-0))) (let ((e-3 (cdr lamc-0))) (let ((e-6 (car e-3))) (let ((e-7 (cdr e-3))) (vector 6 2 u--fc (vector 13 5) (cons e-2 (cons e-6 '())))))))))))) (cons (vector 1 (vector 0 (CoreC-45NameC-45Namespace-typesNS) (vector 1 (vector 0 "compareNat"))) 2 (lambda (u--fc) (lambda (u--fcC-39) (lambda (vars-3869) (lambda (lamc-0) (let ((e-2 (car lamc-0))) (let ((e-3 (cdr lamc-0))) (let ((e-6 (car e-3))) (let ((e-7 (cdr e-3))) (vector 4 u--fc (vector 1 u--fcC-39 (vector 0 (CoreC-45NameC-45Namespace-eqOrdNS) (vector 1 (vector 0 ((csegen-0) "compareInteger"))))) (cons e-2 (cons e-6 '())))))))))))) '()))))))))))
(define CompilerC-45CompileExpr-natBranch (lambda (arg-1) (let ((e-2 (vector-ref arg-1 1))) (case (vector-ref e-2 0) ((8) 1) ((9) 1)(else 0)))))
(define CompilerC-45CompileExpr-mkSub (lambda (arg-0 arg-1 arg-2) (if (null? arg-2) (cons arg-1 (vector 0 )) (if (null? arg-1) (cons '() (vector 0 )) (let ((e-2 (car arg-1))) (let ((e-3 (cdr arg-1))) (let ((sc2 (CompilerC-45CompileExpr-mkSub (+ arg-0 1) e-3 arg-2))) (let ((e-5 (car sc2))) (let ((e-4 (cdr sc2))) (let ((sc3 (PreludeC-45Types-elem (csegen-16) (csegen-1338) arg-0 arg-2))) (cond ((equal? sc3 1) (cons e-5 (vector 1 e-4))) (else (cons (cons e-2 e-5) (vector 2 e-4))))))))))))))
(define CompilerC-45CompileExpr-mkDropSubst (lambda (arg-0 arg-1 arg-2 arg-3) (if (null? arg-3) (cons '() (vector 0 )) (let ((e-2 (car arg-3))) (let ((e-3 (cdr arg-3))) (let ((sc1 (CompilerC-45CompileExpr-mkDropSubst (+ arg-0 1) arg-1 arg-2 e-3))) (let ((e-5 (car sc1))) (let ((e-4 (cdr sc1))) (let ((sc2 (PreludeC-45Types-elem (csegen-16) (csegen-1338) arg-0 arg-1))) (cond ((equal? sc2 1) (cons e-5 (vector 1 e-4))) (else (cons (cons e-2 e-5) (vector 2 e-4)))))))))))))
(define CompilerC-45CompileExpr-mkBounds (lambda (arg-0) (if (null? arg-0) (vector 0 ) (let ((e-2 (car arg-0))) (let ((e-3 (cdr arg-0))) (vector 1 e-2 e-2 (CompilerC-45CompileExpr-mkBounds e-3)))))))
(define CompilerC-45CompileExpr-mkArgList (lambda (arg-0 arg-1) (cond ((equal? arg-1 0) (cons '() '()))(else (let ((e-0 (- arg-1 1))) (let ((sc0 (CompilerC-45CompileExpr-mkArgList (bs+ arg-0 1 63) e-0))) (let ((e-2 (car sc0))) (let ((e-3 (cdr sc0))) (cons (cons (vector 2 "arg" arg-0) e-2) (cons (vector 2 "arg" arg-0) e-3))))))))))
(define CompilerC-45CompileExpr-magic__natUnsuc (lambda (arg-0 arg-1 arg-3) (let ((e-2 (car arg-3))) (let ((e-3 (cdr arg-3))) (vector 6 2 arg-0 (vector 1 5) (cons e-2 (cons (vector 12 arg-0 (vector 5 1)) '())))))))
(define CompilerC-45CompileExpr-magic__natMinus (lambda (arg-0 arg-1 arg-3) (let ((e-2 (car arg-3))) (let ((e-3 (cdr arg-3))) (let ((e-6 (car e-3))) (let ((e-7 (cdr e-3))) (vector 4 arg-0 (vector 1 arg-1 (csegen-56)) (cons (vector 6 2 arg-0 (vector 1 5) (cons e-2 (cons e-6 '()))) '()))))))))
(define CompilerC-45CompileExpr-magic (lambda (arg-1 arg-2) (case (vector-ref arg-2 0) ((2) (let ((e-1 (vector-ref arg-2 1))) (let ((e-2 (vector-ref arg-2 2))) (let ((e-3 (vector-ref arg-2 3))) (vector 2 e-1 e-2 (CompilerC-45CompileExpr-magic arg-1 e-3))))))(else (CompilerC-45CompileExpr-n--9773-3596-u--go arg-2 arg-1 arg-1 arg-2)))))
(define CompilerC-45CompileExpr-lamRHSenv (lambda (arg-0 arg-1 arg-2) (if (null? arg-2) '() (let ((e-3 (cdr arg-2))) (cons (vector 1 arg-1 (vector 2 "x" arg-0)) (CompilerC-45CompileExpr-lamRHSenv (bs+ arg-0 1 63) arg-1 e-3))))))
(define CompilerC-45CompileExpr-lamRHS (lambda (arg-0 arg-1) (let ((u--env (CompilerC-45CompileExpr-lamRHSenv 0 (CoreC-45CompileExpr-getFC arg-1) arg-0))) (let ((u--tmExp (CoreC-45CompileExpr-substs arg-0 '() u--env arg-1))) (let ((u--newArgs (PreludeC-45TypesC-45List-reverse (CompilerC-45CompileExpr-getNewArgs arg-0 u--env)))) (let ((u--bounds (CompilerC-45CompileExpr-mkBounds u--newArgs))) (let ((u--expLocs (CoreC-45CompileExpr-mkLocals (CoreC-45TTC-45SizeOf-zero) u--bounds u--tmExp))) (CompilerC-45CompileExpr-n--15274-8593-u--lamBind arg-0 arg-1 (CoreC-45CompileExpr-getFC arg-1) (PreludeC-45TypesC-45List-tailRecAppend '() (PreludeC-45TypesC-45List-tailRecAppend u--newArgs '())) u--expLocs))))))))
(define CompilerC-45CompileExpr-getZBranch (lambda (arg-1) (if (null? arg-1) '() (let ((e-2 (car arg-1))) (let ((e-3 (cdr arg-1))) (PreludeC-45Types-u--C-60C-124C-62_Alternative_Maybe (CompilerC-45CompileExpr-tryZBranch e-2) (lambda () (CompilerC-45CompileExpr-getZBranch e-3))))))))
(define CompilerC-45CompileExpr-getSBranch (lambda (arg-1 arg-2) (if (null? arg-2) '() (let ((e-2 (car arg-2))) (let ((e-3 (cdr arg-2))) (PreludeC-45Types-u--C-60C-124C-62_Alternative_Maybe (CompilerC-45CompileExpr-trySBranch arg-1 e-2) (lambda () (CompilerC-45CompileExpr-getSBranch arg-1 e-3))))))))
(define CompilerC-45CompileExpr-getPArgs (lambda (arg-0 arg-1 arg-2) (let ((eff-0 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() arg-1 arg-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (case (vector-ref e-5 0) ((2) (let ((e-1 (vector-ref e-5 1))) (let ((e-2 (vector-ref e-5 2))) (let ((e-3 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-6 (vector-ref e-5 5))) (let ((_-0 (vector 2 e-1 e-2 e-3 e-4 e-6))) (CompilerC-45CompileExpr-case--caseC-32blockC-32inC-32getPArgs-7200 arg-2 arg-1 arg-0 e-2 e-3 e-4 e-6 e-1 _-0 (PreludeC-45TypesC-45List-reverse ((csegen-947) e-6))))))))))(else (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc e-5) (csegen-2313)) eta-0)))))) eff-1)))))))))
(define CompilerC-45CompileExpr-getNewType (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (if (null? arg-6) (lambda (eta-0) (vector 1 '())) (let ((e-2 (car arg-6))) (let ((e-3 (cdr arg-6))) (case (vector-ref e-2 0) ((3) (lambda (eta-0) (vector 1 '()))) ((0) (let ((e-7 (vector-ref e-2 1))) (let ((e-8 (vector-ref e-2 2))) (let ((e-9 (vector-ref e-2 3))) (let ((e-10 (vector-ref e-2 4))) (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-lookupDefExact e-7 (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-6) (lambda (eta-0) (vector 1 '())) (let ((e-1 (unbox e-6))) (case (vector-ref e-1 0) ((5) (let ((e-4 (vector-ref e-1 3))) (if (null? e-4) (lambda (eta-0) (vector 1 '())) (let ((e-13 (unbox e-4))) (if (null? e-13) (lambda (eta-0) (vector 1 '())) (let ((e-15 (car e-13))) (let ((e-14 (cdr e-13))) (cond ((equal? e-15 1) (let ((u--env (CompilerC-45CompileExpr-n--11930-6115-u--mkSubst e-9 arg-0 e-10 e-8 e-7 e-3 arg-5 arg-4 arg-3 arg-2 arg-1 0 arg-4 e-14 e-9))) (let ((eff-2 (CompilerC-45CompileExpr-toCExpTree (PreludeC-45TypesC-45List-tailRecAppend e-9 arg-0) arg-1 arg-2 arg-5 e-10))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-16 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-16)))) (else (let ((e-16 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (box (CoreC-45CompileExpr-substs e-9 arg-0 u--env e-16)))))) eff-3))))))))) (else (let ((u--env (CompilerC-45CompileExpr-n--11930-6115-u--mkSubst e-9 arg-0 e-10 e-8 e-7 e-3 arg-5 arg-4 arg-3 arg-2 arg-1 0 (vector 0 0 arg-3) e-14 e-9))) (let ((eff-2 (CompilerC-45CompileExpr-toCExpTree (PreludeC-45TypesC-45List-tailRecAppend e-9 arg-0) arg-1 arg-2 arg-5 e-10))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-16 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-16)))) (else (let ((e-16 (vector-ref lcase-2 1))) (let ((eff-3 (let ((u--scope (CoreC-45CompileExpr-insertNames (CoreC-45TTC-45SizeOf-mkSizeOf e-9) (CoreC-45TTC-45SizeOf-mkSizeOf (cons (vector 2 "eff" 0) '())) e-16))) (lambda (eta-0) (vector 1 (box (vector 3 arg-3 (vector 2 "eff" 0) 0 arg-4 (CoreC-45CompileExpr-substs e-9 (cons (vector 2 "eff" 0) arg-0) u--env u--scope)))))))) eff-3)))))))))))))))))(else (lambda (eta-0) (vector 1 '())))))))) eff-2))))))))) eff-1))))))))))))(else (CompilerC-45CompileExpr-getNewType arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-3))))))))
(define CompilerC-45CompileExpr-getNewArgs (lambda (arg-1 arg-2) (if (null? arg-1) '() (let ((e-2 (car arg-1))) (let ((e-3 (cdr arg-1))) (let ((e-8 (car arg-2))) (let ((e-9 (cdr arg-2))) (case (vector-ref e-8 0) ((1) (let ((e-12 (vector-ref e-8 2))) (cons e-12 (CompilerC-45CompileExpr-getNewArgs e-3 e-9))))(else (cons e-2 (CompilerC-45CompileExpr-getNewArgs e-3 e-9)))))))))))
(define CompilerC-45CompileExpr-getNArgs (lambda (arg-0 arg-1 arg-2 arg-3) (case (vector-ref arg-2 0) ((0) (let ((e-1 (vector-ref arg-2 2))) (case (vector-ref e-1 0) ((1) (let ((e-2 (vector-ref e-1 1))) (case (vector-ref e-2 0) ((0) (let ((e-3 (vector-ref e-2 1))) (cond ((equal? e-3 "IORes") (lambda (clam-0) (if (null? arg-3) (vector 1 (vector 0 arg-2 arg-3)) (let ((e-5 (car arg-3))) (let ((e-6 (cdr arg-3))) (if (null? e-6) (vector 1 (vector 7 e-5)) (vector 1 (vector 0 arg-2 arg-3)))))))) ((equal? e-3 "Ptr") (lambda (clam-1) (if (null? arg-3) (vector 1 (vector 0 arg-2 arg-3)) (let ((e-10 (cdr arg-3))) (if (null? e-10) (vector 1 (vector 3 )) (vector 1 (vector 0 arg-2 arg-3))))))) ((equal? e-3 "AnyPtr") (lambda (clam-2) (if (null? arg-3) (vector 1 (vector 3 )) (vector 1 (vector 0 arg-2 arg-3))))) ((equal? e-3 "GCPtr") (lambda (clam-2) (if (null? arg-3) (vector 1 (vector 0 arg-2 arg-3)) (let ((e-15 (cdr arg-3))) (if (null? e-15) (vector 1 (vector 4 )) (vector 1 (vector 0 arg-2 arg-3))))))) ((equal? e-3 "GCAnyPtr") (lambda (clam-4) (if (null? arg-3) (vector 1 (vector 4 )) (vector 1 (vector 0 arg-2 arg-3))))) ((equal? e-3 "Buffer") (lambda (clam-5) (if (null? arg-3) (vector 1 (vector 5 )) (vector 1 (vector 0 arg-2 arg-3))))) ((equal? e-3 "ForeignObj") (lambda (clam-6) (if (null? arg-3) (vector 1 (vector 6 )) (vector 1 (vector 0 arg-2 arg-3))))) ((equal? e-3 "Unit") (lambda (clam-7) (if (null? arg-3) (vector 1 (vector 2 )) (vector 1 (vector 0 arg-2 arg-3))))) ((equal? e-3 "Struct") (if (null? arg-3) (lambda (eta-0) (vector 1 (vector 0 arg-2 arg-3))) (let ((e-22 (car arg-3))) (let ((e-23 (cdr arg-3))) (if (null? e-23) (lambda (eta-0) (vector 1 (vector 0 arg-2 arg-3))) (let ((e-25 (car e-23))) (let ((e-26 (cdr e-23))) (if (null? e-26) (let ((eff-0 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() arg-1 e-22))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (case (vector-ref e-5 0) ((8) (let ((e-4 (vector-ref e-5 2))) (case (vector-ref e-4 0) ((10) (let ((e-7 (vector-ref e-4 1))) (let ((eff-1 (CompilerC-45CompileExpr-getFieldArgs arg-0 arg-1 e-25))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-8 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 1 e-7 e-8))))) eff-2)))))))))(else (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc e-5) (csegen-2316)) eta-0))))))(else (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc e-5) (csegen-2316)) eta-0)))))) eff-1))))))) (lambda (eta-0) (vector 1 (vector 0 arg-2 arg-3)))))))))))(else (lambda (eta-0) (vector 1 (vector 0 arg-2 arg-3)))))))(else (lambda (eta-0) (vector 1 (vector 0 arg-2 arg-3)))))))(else (lambda (eta-0) (vector 1 (vector 0 arg-2 arg-3)))))))(else (lambda (eta-0) (vector 1 (vector 0 arg-2 arg-3)))))))
(define CompilerC-45CompileExpr-getFieldArgs (lambda (arg-0 arg-1 arg-2) (let ((eff-0 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() arg-1 arg-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (case (vector-ref e-5 0) ((2) (let ((e-1 (vector-ref e-5 1))) (let ((e-2 (vector-ref e-5 2))) (let ((e-3 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-6 (vector-ref e-5 5))) (let ((_-0 (vector 2 e-1 e-2 e-3 e-4 e-6))) (CompilerC-45CompileExpr-case--caseC-32blockC-32inC-32getFieldArgs-7407 arg-2 arg-1 arg-0 e-2 e-3 e-4 e-6 e-1 _-0 ((csegen-947) e-6)))))))))(else (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc e-5) (csegen-2313)) eta-0)))))) eff-1)))))))))
(define CompilerC-45CompileExpr-getDef (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (if (null? arg-4) (lambda (eta-0) (vector 1 '())) (let ((e-2 (car arg-4))) (let ((e-3 (cdr arg-4))) (case (vector-ref e-2 0) ((3) (let ((e-5 (vector-ref e-2 1))) (let ((eff-0 (CompilerC-45CompileExpr-toCExpTree arg-0 arg-1 arg-2 arg-3 e-5))) (PrimIO-io_bind eff-0 (csegen-1573))))) ((2) (let ((e-7 (vector-ref e-2 1))) (let ((e-8 (vector-ref e-2 2))) (case (vector-ref e-7 0) ((14) (let ((eff-0 (CompilerC-45CompileExpr-toCExpTree arg-0 arg-1 arg-2 arg-3 e-8))) (PrimIO-io_bind eff-0 (csegen-1573))))(else (CompilerC-45CompileExpr-getDef arg-0 arg-1 arg-2 arg-3 e-3))))))(else (CompilerC-45CompileExpr-getDef arg-0 arg-1 arg-2 arg-3 e-3))))))))
(define CompilerC-45CompileExpr-getCFTypes (lambda (arg-0 arg-1 arg-2) (case (vector-ref arg-2 0) ((0) (let ((e-1 (vector-ref arg-2 1))) (let ((e-3 (vector-ref arg-2 3))) (let ((e-4 (vector-ref arg-2 4))) (case (vector-ref e-3 0) ((2) (let ((e-9 (vector-ref e-3 4))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-5 e-9))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-10 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-1 1))) (let ((eff-2 (CompilerC-45CompileExpr-nfToCFType arg-0 e-1 0 e-10))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-10 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 ((e-4 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 e-1 (vector 0 )))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-11 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-2 1))) (let ((eff-3 (CompilerC-45CompileExpr-getCFTypes arg-0 (cons e-10 arg-1) e-11))) eff-3))))))))) eff-2))))))))) eff-1)))))))))(else (let ((eff-0 (CompilerC-45CompileExpr-nfToCFType arg-0 (CoreC-45Value-getLoc arg-2) 0 arg-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (cons (PreludeC-45TypesC-45List-reverse arg-1) e-5))))) eff-1)))))))))))))(else (let ((eff-0 (CompilerC-45CompileExpr-nfToCFType arg-0 (CoreC-45Value-getLoc arg-2) 0 arg-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (cons (PreludeC-45TypesC-45List-reverse arg-1) e-5))))) eff-1)))))))))))
(define CompilerC-45CompileExpr-expandToArity (lambda (arg-0 arg-1 arg-2 arg-3) (case (vector-ref arg-2 0) ((13) (let ((e-6 (vector-ref arg-2 1))) (vector 13 e-6)))(else (cond ((equal? arg-1 0) (CompilerC-45CompileExpr-n--9098-2998-u--applyAll arg-0 arg-3 arg-2 arg-2 arg-3))(else (let ((e-1 (- arg-1 1))) (if (null? arg-3) (CompilerC-45CompileExpr-etaExpand arg-0 0 arg-1 arg-2 '()) (let ((e-3 (car arg-3))) (let ((e-4 (cdr arg-3))) (CompilerC-45CompileExpr-expandToArity arg-0 e-1 (CompilerC-45CompileExpr-n--9098-3027-u--addArg arg-0 e-1 e-3 e-4 arg-2 arg-2 e-3) e-4)))))))))))
(define CompilerC-45CompileExpr-etaExpand (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (cond ((equal? arg-2 0) (CompilerC-45CompileExpr-n--8968-2871-u--mkApp arg-0 arg-4 arg-3 arg-1 arg-3 (((csegen-25) (lambda (eta-0) (CompilerC-45CompileExpr-n--8968-2870-u--mkLocal arg-0 arg-4 arg-3 arg-1 (CoreC-45CompileExpr-getFC arg-3) eta-0))) (PreludeC-45TypesC-45List-reverse arg-4))))(else (let ((e-0 (- arg-2 1))) (vector 2 (CoreC-45CompileExpr-getFC arg-3) (vector 2 "eta" arg-1) (CompilerC-45CompileExpr-etaExpand (cons (vector 2 "eta" arg-1) arg-0) (bs+ arg-1 1 63) e-0 (CoreC-45CompileExpr-u--weaken_Weaken_CExp arg-3) (cons 0 ((csegen-2283) arg-4)))))))))
(define CompilerC-45CompileExpr-eraseConArgs (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (let ((u--fnC-39 (CompilerC-45CompileExpr-expandToArity arg-0 arg-1 arg-3 arg-4))) (let ((sc0 (DataC-45List-isNil arg-2))) (cond ((equal? sc0 1) u--fnC-39) (else (CompilerC-45CompileExpr-dropPos arg-2 u--fnC-39)))))))
(define CompilerC-45CompileExpr-enumTree (lambda (arg-1) (case (vector-ref arg-1 0) ((10) (let ((e-1 (vector-ref arg-1 1))) (let ((e-2 (vector-ref arg-1 2))) (let ((e-3 (vector-ref arg-1 3))) (let ((e-4 (vector-ref arg-1 4))) (let ((u--x (PreludeC-45Types-u--traverse_Traversable_List (csegen-323) (lambda (eta-0) (CompilerC-45CompileExpr-n--10799-4551-u--toEnum e-4 e-3 e-2 e-1 eta-0)) e-3))) (if (null? u--x) (vector 10 e-1 e-2 e-3 e-4) (let ((e-5 (unbox u--x))) (vector 11 e-1 e-2 e-5 e-4)))))))))(else arg-1))))
(define CompilerC-45CompileExpr-enumTag (lambda (arg-0 arg-1) (let ((sc0 (PreludeC-45Types-u--C-60C-61_Ord_Nat arg-0 255))) (cond ((equal? sc0 1) (vector 6 (blodwen-toUnsignedInt arg-1 8))) (else (let ((sc1 (PreludeC-45Types-u--C-60C-61_Ord_Nat arg-0 65535))) (cond ((equal? sc1 1) (vector 7 (blodwen-toUnsignedInt arg-1 16))) (else (vector 8 (blodwen-toUnsignedInt arg-1 32))))))))))
(define CompilerC-45CompileExpr-dropPos (lambda (arg-1 arg-2) (case (vector-ref arg-2 0) ((2) (let ((e-1 (vector-ref arg-2 1))) (let ((e-2 (vector-ref arg-2 2))) (let ((e-3 (vector-ref arg-2 3))) (vector 2 e-1 e-2 (CompilerC-45CompileExpr-dropPos arg-1 e-3)))))) ((4) (let ((e-5 (vector-ref arg-2 1))) (let ((e-6 (vector-ref arg-2 2))) (let ((e-7 (vector-ref arg-2 3))) (case (vector-ref e-6 0) ((4) (vector 4 e-5 (CompilerC-45CompileExpr-dropPos arg-1 e-6) e-7))(else (vector 4 e-5 e-6 (CompilerC-45CompileExpr-dropFrom arg-1 0 e-7)))))))) ((5) (let ((e-9 (vector-ref arg-2 1))) (let ((e-10 (vector-ref arg-2 2))) (let ((e-11 (vector-ref arg-2 3))) (let ((e-12 (vector-ref arg-2 4))) (let ((e-13 (vector-ref arg-2 5))) (vector 5 e-9 e-10 e-11 e-12 (CompilerC-45CompileExpr-dropFrom arg-1 0 e-13))))))))(else arg-2))))
(define CompilerC-45CompileExpr-dropFrom (lambda (arg-1 arg-2 arg-3) (if (null? arg-3) '() (let ((e-2 (car arg-3))) (let ((e-3 (cdr arg-3))) (let ((sc1 (PreludeC-45Types-elem (csegen-16) (csegen-1338) arg-2 arg-1))) (cond ((equal? sc1 1) (CompilerC-45CompileExpr-dropFrom arg-1 (+ arg-2 1) e-3)) (else (cons e-2 (CompilerC-45CompileExpr-dropFrom arg-1 (+ arg-2 1) e-3))))))))))
(define CompilerC-45CompileExpr-dconFlag (lambda (arg-0 arg-1) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-lookupCtxtExact arg-1 (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (clam-0) (if (null? e-6) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 (string-append ((csegen-0) "Can't find ") (CoreC-45Name-u--show_Show_Name arg-1))) clam-0) (let ((e-1 (unbox e-6))) (vector 1 (CompilerC-45CompileExpr-n--11057-4772-u--ciFlags arg-1 arg-0 (let ((e-17 (vector-ref e-1 17))) e-17) (let ((e-11 (vector-ref e-1 11))) e-11)))))))) eff-2))))))))) eff-1)))))))))
(define CompilerC-45CompileExpr-constCases (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (if (null? arg-4) (lambda (eta-0) (vector 1 '())) (let ((e-2 (car arg-4))) (let ((e-3 (cdr arg-4))) (case (vector-ref e-2 0) ((2) (let ((e-5 (vector-ref e-2 1))) (let ((e-6 (vector-ref e-2 2))) (case (vector-ref e-5 0) ((14) (CompilerC-45CompileExpr-constCases arg-0 arg-1 arg-2 arg-3 e-3))(else (let ((eff-0 (CompilerC-45CompileExpr-toCExpTree arg-0 arg-1 arg-2 arg-3 e-6))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-7 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CompilerC-45CompileExpr-constCases arg-0 arg-1 arg-2 arg-3 e-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-8 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (cons (cons e-5 e-7) e-8))))) eff-2))))))))) eff-1))))))))))))(else (CompilerC-45CompileExpr-constCases arg-0 arg-1 arg-2 arg-3 e-3))))))))
(define CompilerC-45CompileExpr-conCases (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (if (null? arg-4) (lambda (eta-0) (vector 1 '())) (let ((e-2 (car arg-4))) (let ((e-3 (cdr arg-4))) (case (vector-ref e-2 0) ((0) (let ((e-5 (vector-ref e-2 1))) (let ((e-6 (vector-ref e-2 2))) (let ((e-7 (vector-ref e-2 3))) (let ((e-8 (vector-ref e-2 4))) (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-9 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-lookupCtxtExact e-5 (let ((e-0 (vector-ref e-9 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-10 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-10) (let ((eff-2 (CoreC-45Context-getFullName arg-1 e-5))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-11 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CompilerC-45CompileExpr-toCExpTree (PreludeC-45TypesC-45List-tailRecAppend e-7 arg-0) arg-1 arg-2 arg-3 e-8))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-4 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-12 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45CompileExpr-conCases arg-0 arg-1 arg-2 arg-3 e-3))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-4 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-13 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons (vector e-11 (vector 1 ) '() e-7 e-12) e-13))))) eff-5))))))))) eff-4))))))))) eff-3))))))) (let ((e-1 (unbox e-10))) (let ((_-0 (box e-1))) (CompilerC-45CompileExpr-case--caseC-32blockC-32inC-32conCases-5745 e-7 arg-0 e-8 e-6 e-5 e-3 arg-3 arg-2 arg-1 e-9 e-1 _-0 (let ((e-17 (vector-ref e-1 17))) e-17))))))) eff-2))))))))) eff-1))))))))))))(else (CompilerC-45CompileExpr-conCases arg-0 arg-1 arg-2 arg-3 e-3))))))))
(define CompilerC-45CompileExpr-compileExp (lambda (arg-0 arg-1) (let ((eff-0 (CoreC-45Core-newRef (vector "Compiler.CompileExpr.NextMN" ) 0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CompilerC-45CompileExpr-toCExp '() arg-0 e-5 (vector 1 (vector 0 "main")) arg-1))) (PrimIO-io_bind eff-1 (csegen-1313))))) eff-1)))))))))
(define CompilerC-45CompileExpr-compileDef (lambda (arg-0 arg-1) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-lookupCtxtExact arg-1 (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-6) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 (string-append ((csegen-0) "Trying to compile unknown name ") (CoreC-45Name-u--show_Show_Name arg-1))) eta-0)) (let ((e-1 (unbox e-6))) (let ((eff-2 (CoreC-45Context-getSession arg-0))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((sc4 (CompilerC-45CompileExpr-n--16108-9357-u--noDefYet arg-1 arg-0 (let ((e-17 (vector-ref e-1 17))) e-17) (let ((e-21 (vector-ref e-7 21))) e-21)))) (cond ((equal? sc4 1) (CoreC-45Context-recordWarning arg-0 (vector 5 (string-append "Compiling hole " (CoreC-45Name-u--show_Show_Name arg-1))))) (else (let ((eff-3 (let ((eff-3 (CoreC-45Context-toFullNames arg-0 (csegen-2320) (let ((e-17 (vector-ref e-1 17))) e-17)))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (CompilerC-45CompileExpr-toCDef arg-0 arg-1 (let ((e-2 (vector-ref e-1 2))) e-2) (let ((e-3 (vector-ref e-1 3))) e-3) e-8))) eff-4))))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (CoreC-45Context-setCompiled arg-0 arg-1 e-8))) eff-4)))))))))))) eff-3))))))))))) eff-2))))))))) eff-1)))))))))
(define CompilerC-45CompileExpr-builtinNatTree (lambda (arg-1 arg-2) (case (vector-ref arg-2 0) ((10) (let ((e-1 (vector-ref arg-2 1))) (let ((e-2 (vector-ref arg-2 2))) (let ((e-3 (vector-ref arg-2 3))) (let ((e-4 (vector-ref arg-2 4))) (case (vector-ref e-2 0) ((0) (let ((e-7 (vector-ref e-2 1))) (let ((e-8 (vector-ref e-2 2))) (lambda (eta-0) (vector 1 (let ((u--sc (vector 0 e-7 e-8))) (let ((sc2 (PreludeC-45Interfaces-any (csegen-16) (lambda (eta-1) (CompilerC-45CompileExpr-natBranch eta-1)) e-3))) (cond ((equal? sc2 1) (let ((u--defb (DataC-45Maybe-fromMaybe (lambda () (vector 14 e-1 "Nat case not covered")) e-4))) (let ((u--salt (PreludeC-45Types-maybe (lambda () u--defb) (lambda () (lambda (eta-1) eta-1)) (CompilerC-45CompileExpr-getSBranch u--sc e-3)))) (let ((u--zalt (PreludeC-45Types-maybe (lambda () u--defb) (lambda () (lambda (eta-1) eta-1)) (CompilerC-45CompileExpr-getZBranch e-3)))) (vector 11 e-1 u--sc (cons (cons (vector 5 0) u--zalt) '()) (box u--salt)))))) (else (vector 10 e-1 u--sc e-3 e-4))))))))))(else (let ((eff-0 (CompilerC-45CompileExpr-newMN arg-1 "succ"))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CompilerC-45CompileExpr-builtinNatTree arg-1 (vector 10 e-1 (vector 0 0 e-1) (((csegen-25) (lambda (eta-0) (CoreC-45CompileExpr-u--weaken_Weaken_CConAlt eta-0))) e-3) (((csegen-77) (lambda (eta-0) (CoreC-45CompileExpr-u--weaken_Weaken_CExp eta-0))) e-4))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-6 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 3 e-1 e-5 1 e-2 e-6))))) eff-2))))))))) eff-1))))))))))))))(else (lambda (eta-0) (vector 1 arg-2))))))
(define CompilerC-45CompileExpr-builtinMagic (lambda (ext-0) (CompilerC-45CompileExpr-magic (CompilerC-45CompileExpr-natHack) ext-0)))
(define CompilerC-45CompileExpr-applyNewType (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (let ((u--fnC-39 (CompilerC-45CompileExpr-expandToArity arg-0 arg-1 arg-3 arg-4))) (CompilerC-45CompileExpr-n--9229-3110-u--keepArg arg-0 arg-4 arg-3 arg-2 arg-1 u--fnC-39))))
(define CompilerC-45OptsC-45Identity-case--caseC-32blockC-32inC-32caseC-32blockC-32inC-32rewriteIdentityFlag-3797 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8) (if (null? arg-8) (lambda (eta-0) (vector 1 (vector 0 ))) (let ((e-1 (unbox arg-8))) (let ((eff-0 (CoreC-45ContextC-45Log-log arg-0 "compiler.identity" 5 (lambda () (string-append "\x9;new def: " (CoreC-45CompileExpr-u--show_Show_CDef e-1)))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45Context-unsetFlag arg-0 (vector 2 ) (vector 8 arg-3) arg-7))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45Context-setFlag arg-0 (vector 2 ) (vector 8 arg-3) (vector 0 )))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (CoreC-45Context-setCompiled arg-0 (vector 8 arg-3) e-1))) eff-3)))))))) eff-2)))))))) eff-1))))))))))
(define CompilerC-45OptsC-45Identity-case--caseC-32blockC-32inC-32rewriteIdentityFlag-3728 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (if (null? arg-6) (lambda (eta-0) (vector 1 (vector 0 ))) (let ((e-1 (unbox arg-6))) (case (vector-ref e-1 0) ((12) (let ((e-2 (vector-ref e-1 1))) (let ((eff-0 (let ((eff-0 (CoreC-45Context-getFullName arg-0 arg-1))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45ContextC-45Log-log arg-0 ((csegen-0) "compiler.identity") 5 (lambda () (string-append ((csegen-0) "found identity flag for: ") (string-append (CoreC-45Name-u--show_Show_Name e-5) (string-append ", " (string-append (PreludeC-45Show-u--show_Show_Nat e-2) (string-append ((csegen-0) "\xa;\x9;old def: ") (PreludeC-45Show-u--show_Show_C-40MaybeC-32C-36aC-41 (cons (lambda (u--x) (CoreC-45CompileExpr-u--show_Show_CDef u--x)) (lambda (u--d) (lambda (u--x) (CoreC-45CompileExpr-u--showPrec_Show_CDef u--d u--x)))) (let ((e-18 (vector-ref arg-4 18))) e-18))))))))))) eff-1))))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-1 (let ((u--flg (vector 12 e-2))) (CompilerC-45OptsC-45Identity-case--caseC-32blockC-32inC-32caseC-32blockC-32inC-32rewriteIdentityFlag-3797 arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-2 u--flg (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (let ((e-18 (vector-ref arg-4 18))) e-18) (lambda (eta-0) (CompilerC-45OptsC-45Identity-idCDef e-2 eta-0))))))) eff-1))))))))(else (lambda (eta-0) (vector 1 (vector 0 )))))))))
(define CompilerC-45OptsC-45Identity-n--7592-2462-u--makeArgsC-39 (lambda (arg-1 arg-3 arg-4) (if (null? arg-3) '() (let ((e-3 (cdr arg-3))) (cons (arg-4 0) (CompilerC-45OptsC-45Identity-n--7592-2462-u--makeArgsC-39 arg-1 e-3 (lambda (eta-0) (arg-4 (CoreC-45TT-u--weaken_Weaken_Var eta-0)))))))))
(define CompilerC-45OptsC-45Identity-n--8917-3678-u--isId (lambda (arg-0 arg-1 arg-2) (case (vector-ref arg-2 0) ((12) 1)(else 0))))
(define CompilerC-45OptsC-45Identity-n--7658-3009-u--eqArgs (lambda (arg-0 arg-1 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13) (if (null? arg-12) (if (null? arg-13) 1 0) (let ((e-2 (car arg-12))) (let ((e-3 (cdr arg-12))) (if (null? arg-13) 0 (let ((e-6 (car arg-13))) (let ((e-7 (cdr arg-13))) (let ((sc2 (CompilerC-45OptsC-45Identity-cexpIdentity arg-0 arg-1 e-2 '() '() e-6))) (cond ((equal? sc2 1) (CompilerC-45OptsC-45Identity-n--7658-3009-u--eqArgs arg-0 arg-1 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 e-3 e-7)) (else 0)))))))))))
(define CompilerC-45OptsC-45Identity-n--7658-3400-u--altEq (lambda (arg-0 arg-1 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10) (let ((e-1 (car arg-10))) (let ((e-2 (cdr arg-10))) (CompilerC-45OptsC-45Identity-cexpIdentity arg-0 arg-1 arg-9 arg-8 (box e-1) e-2)))))
(define CompilerC-45OptsC-45Identity-n--7658-3360-u--altEq (lambda (arg-0 arg-1 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10) (let ((e-1 (vector-ref arg-10 0))) (let ((e-4 (vector-ref arg-10 3))) (let ((e-5 (vector-ref arg-10 4))) (CompilerC-45OptsC-45Identity-cexpIdentity arg-0 arg-1 (CoreC-45TT-u--weakenNs_Weaken_Var (CoreC-45TTC-45SizeOf-mkSizeOf e-4) arg-9) (box (cons e-1 (CompilerC-45OptsC-45Identity-makeArgs e-4))) arg-7 e-5))))))
(define CompilerC-45OptsC-45Identity-unsuccIdentity (lambda (arg-0 arg-1 arg-3 arg-4 arg-5) (case (vector-ref arg-5 0) ((6) (let ((e-1 (vector-ref arg-5 1))) (let ((e-3 (vector-ref arg-5 3))) (let ((e-4 (vector-ref arg-5 4))) (cond ((equal? e-1 0) 0)(else (let ((e-5 (- e-1 1))) (cond ((equal? e-5 0) 0)(else (let ((e-6 (- e-5 1))) (cond ((equal? e-6 0) (case (vector-ref e-3 0) ((0) (if (null? e-4) 0 (let ((e-10 (car e-4))) (let ((e-11 (cdr e-4))) (if (null? e-11) 0 (let ((e-14 (car e-11))) (let ((e-15 (cdr e-11))) (case (vector-ref e-14 0) ((12) (let ((e-18 (vector-ref e-14 2))) (if (null? e-15) (let ((sc7 (CoreC-45TT-u--C-61C-61_Eq_Constant arg-3 e-18))) (cond ((equal? sc7 1) (CompilerC-45OptsC-45Identity-cexpIdentity arg-0 arg-1 arg-4 '() '() e-10)) (else 0))) 0)))(else 0)))))))))(else 0)))(else 0))))))))))))(else 0))))
(define CompilerC-45OptsC-45Identity-setIdentity (lambda (arg-0 arg-1) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-lookupCtxtExactI arg-1 (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-6) (lambda (eta-0) (vector 1 (vector 0 ))) (let ((e-1 (unbox e-6))) (let ((e-8 (car e-1))) (let ((e-7 (cdr e-1))) (let ((sc4 (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (let ((e-18 (vector-ref e-7 18))) e-18) (lambda (eta-0) (CompilerC-45OptsC-45Identity-calcIdentity arg-1 eta-0))))) (if (null? sc4) (lambda (eta-0) (vector 1 (vector 0 ))) (let ((e-2 (unbox sc4))) (let ((eff-2 (CoreC-45Context-setFlag arg-0 (vector 2 ) (vector 8 e-8) (vector 12 e-2)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-3 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-3 (CompilerC-45OptsC-45Identity-rewriteIdentityFlag arg-0 (vector 8 e-8)))) eff-3))))))))))))))) eff-2))))))))) eff-1)))))))))
(define CompilerC-45OptsC-45Identity-rewriteIdentityFlag (lambda (arg-0 arg-1) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-lookupCtxtExactI arg-1 (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-6) (lambda (eta-0) (vector 1 (vector 0 ))) (let ((e-1 (unbox e-6))) (let ((e-8 (car e-1))) (let ((e-7 (cdr e-1))) (let ((_-0 (box (cons e-8 e-7)))) (CompilerC-45OptsC-45Identity-case--caseC-32blockC-32inC-32rewriteIdentityFlag-3728 arg-0 arg-1 e-5 e-8 e-7 _-0 (DataC-45List-find (lambda (eta-0) (CompilerC-45OptsC-45Identity-n--8917-3678-u--isId arg-0 arg-1 eta-0)) (let ((e-11 (vector-ref e-7 11))) e-11)))))))))) eff-2))))))))) eff-1)))))))))
(define CompilerC-45OptsC-45Identity-maybeVarEq (lambda (arg-0 arg-1 arg-3 arg-4 arg-5 arg-6) (if (null? arg-6) 1 (let ((e-2 (unbox arg-6))) (CompilerC-45OptsC-45Identity-cexpIdentity arg-0 arg-1 arg-3 arg-4 arg-5 e-2)))))
(define CompilerC-45OptsC-45Identity-makeArgs (lambda (arg-1) (CompilerC-45OptsC-45Identity-n--7592-2462-u--makeArgsC-39 arg-1 arg-1 (lambda (eta-0) eta-0))))
(define CompilerC-45OptsC-45Identity-isUnsucc (lambda (arg-0 arg-1 arg-4 arg-5) (let ((eff-0 arg-4)) (case (vector-ref arg-5 0) ((6) (let ((e-5 (vector-ref arg-5 1))) (let ((e-7 (vector-ref arg-5 3))) (let ((e-8 (vector-ref arg-5 4))) (cond ((equal? e-5 0) '())(else (let ((e-9 (- e-5 1))) (cond ((equal? e-9 0) '())(else (let ((e-10 (- e-9 1))) (cond ((equal? e-10 0) (case (vector-ref e-7 0) ((1) (if (null? e-8) '() (let ((e-14 (car e-8))) (let ((e-15 (cdr e-8))) (case (vector-ref e-14 0) ((0) (let ((e-18 (vector-ref e-14 1))) (if (null? e-15) '() (let ((e-23 (car e-15))) (let ((e-24 (cdr e-15))) (case (vector-ref e-23 0) ((12) (let ((e-27 (vector-ref e-23 2))) (if (null? e-24) (let ((sc8 (or (and (= eff-0 e-18) 1) 0))) (cond ((equal? sc8 1) (box (cons e-27 0))) (else '()))) '())))(else '())))))))(else '()))))))(else '())))(else '()))))))))))))(else '())))))
(define CompilerC-45OptsC-45Identity-idCDef (lambda (arg-0 arg-1) (case (vector-ref arg-1 0) ((0) (let ((e-0 (vector-ref arg-1 1))) (let ((e-1 (vector-ref arg-1 2))) (PreludeC-45Interfaces-C-60C-36C-62 (csegen-76) (lambda (eta-0) (vector 0 e-0 eta-0)) (CompilerC-45OptsC-45Identity-getArg (CoreC-45CompileExpr-getFC e-1) arg-0 e-0)))))(else (box arg-1)))))
(define CompilerC-45OptsC-45Identity-getArg (lambda (arg-0 arg-1 arg-2) (if (null? arg-2) '() (cond ((equal? arg-1 0) (box (vector 0 0 arg-0)))(else (let ((e-0 (- arg-1 1))) (let ((e-6 (cdr arg-2))) (PreludeC-45Interfaces-C-60C-36C-62 (csegen-76) (lambda (eta-0) (CoreC-45CompileExpr-u--weaken_Weaken_CExp eta-0)) (CompilerC-45OptsC-45Identity-getArg arg-0 e-0 e-6)))))))))
(define CompilerC-45OptsC-45Identity-checkIdentity (lambda (arg-1 arg-2 arg-3 arg-4) (if (null? arg-2) '() (let ((e-2 (car arg-2))) (let ((e-3 (cdr arg-2))) (let ((sc1 (CompilerC-45OptsC-45Identity-cexpIdentity arg-1 arg-4 e-2 '() '() arg-3))) (cond ((equal? sc1 1) (box arg-4)) (else (CompilerC-45OptsC-45Identity-checkIdentity arg-1 e-3 arg-3 (+ arg-4 1))))))))))
(define CompilerC-45OptsC-45Identity-cexpIdentity (lambda (arg-0 arg-1 arg-3 arg-4 arg-5 arg-6) (let ((eff-0 arg-3)) (case (vector-ref arg-6 0) ((0) (let ((e-98 (vector-ref arg-6 1))) (or (and (= e-98 eff-0) 1) 0)))(else (case (vector-ref arg-6 0) ((1) 0) ((2) 0) ((3) (let ((e-83 (vector-ref arg-6 4))) (let ((e-84 (vector-ref arg-6 5))) (let ((sc1 (let ((sc2 (CompilerC-45OptsC-45Identity-isUnsucc arg-0 arg-1 arg-3 e-83))) (if (null? sc2) 0 (let ((e-1 (unbox sc2))) (let ((e-5 (car e-1))) (let ((e-6 (cdr e-1))) (CompilerC-45OptsC-45Identity-unsuccIdentity arg-0 arg-1 e-5 e-6 e-84)))))))) (cond ((equal? sc1 1) 1) (else (CompilerC-45OptsC-45Identity-cexpIdentity arg-0 arg-1 (CoreC-45TT-u--weaken_Weaken_Var arg-3) (((csegen-77) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (let ((e-2 (car eta-3))) (let ((e-3 (cdr eta-3))) (cons e-2 (eta-2 e-3)))))))))) (lambda (arg-2) (lambda (arg-7) ((((eff-1 'erased) 'erased) arg-2) arg-7)))) (csegen-1005))) arg-4) arg-5 e-84))))))) ((4) (let ((e-87 (vector-ref arg-6 2))) (let ((e-88 (vector-ref arg-6 3))) (case (vector-ref e-87 0) ((1) (let ((e-91 (vector-ref e-87 2))) (let ((sc2 (CoreC-45Name-u--C-61C-61_Eq_Name arg-0 e-91))) (cond ((equal? sc2 1) ((let ((sc3 (PreludeC-45Types-getAt arg-1 e-88))) (if (null? sc3) (lambda () 0) (let ((e-1 (unbox sc3))) (lambda () (CompilerC-45OptsC-45Identity-cexpIdentity arg-0 arg-1 arg-3 arg-4 arg-5 e-1))))))) (else 0)))))(else 0)))))(else (if (null? arg-4) (case (vector-ref arg-6 0) ((5) 0)(else (case (vector-ref arg-6 0) ((6) (let ((e-15 (vector-ref arg-6 1))) (let ((e-17 (vector-ref arg-6 3))) (let ((e-18 (vector-ref arg-6 4))) (cond ((equal? e-15 0) 0)(else (let ((e-41 (- e-15 1))) (cond ((equal? e-41 0) 0)(else (let ((e-42 (- e-41 1))) (cond ((equal? e-42 0) (case (vector-ref e-17 0) ((0) (if (null? e-18) 0 (let ((e-46 (car e-18))) (let ((e-47 (cdr e-18))) (if (null? e-47) 0 (let ((e-50 (car e-47))) (let ((e-51 (cdr e-47))) (if (null? e-51) (case (vector-ref e-50 0) ((12) (let ((e-2 (vector-ref e-50 2))) (case (vector-ref e-46 0) ((4) (let ((e-4 (vector-ref e-46 2))) (let ((e-3 (vector-ref e-46 3))) (case (vector-ref e-4 0) ((1) (let ((e-6 (vector-ref e-4 2))) (let ((sc10 (CoreC-45Name-u--C-61C-61_Eq_Name arg-0 e-6))) (cond ((equal? sc10 1) ((let ((sc11 (PreludeC-45Types-getAt arg-1 e-3))) (if (null? sc11) (lambda () 0) (let ((e-8 (unbox sc11))) (case (vector-ref e-8 0) ((6) (let ((e-12 (vector-ref e-8 1))) (let ((e-10 (vector-ref e-8 3))) (let ((e-9 (vector-ref e-8 4))) (cond ((equal? e-12 0) (lambda () 0))(else (let ((e-13 (- e-12 1))) (cond ((equal? e-13 0) (lambda () 0))(else (let ((e-14 (- e-13 1))) (cond ((equal? e-14 0) (case (vector-ref e-10 0) ((1) (if (null? e-9) (lambda () 0) (let ((e-21 (car e-9))) (let ((e-20 (cdr e-9))) (if (null? e-20) (lambda () 0) (let ((e-23 (car e-20))) (let ((e-22 (cdr e-20))) (case (vector-ref e-23 0) ((12) (let ((e-24 (vector-ref e-23 2))) (if (null? e-22) (lambda () (let ((sc19 (CoreC-45TT-u--C-61C-61_Eq_Constant e-2 e-24))) (cond ((equal? sc19 1) (CompilerC-45OptsC-45Identity-cexpIdentity arg-0 arg-1 arg-3 '() '() e-21)) (else 0)))) (lambda () 0))))(else (lambda () 0))))))))))(else (lambda () 0))))(else (lambda () 0)))))))))))))(else (lambda () 0)))))))) (else 0)))))(else 0)))))(else 0))))(else 0)) 0))))))))(else 0)))(else 0)))))))))))) ((7) 0) ((8) 0) ((9) 0) ((10) (let ((e-32 (vector-ref arg-6 1))) (let ((e-33 (vector-ref arg-6 2))) (let ((e-34 (vector-ref arg-6 3))) (let ((e-35 (vector-ref arg-6 4))) (let ((sc2 (CompilerC-45OptsC-45Identity-cexpIdentity arg-0 arg-1 arg-3 '() '() e-33))) (cond ((equal? sc2 1) (let ((sc3 (PreludeC-45Interfaces-all (csegen-16) (lambda (eta-0) (CompilerC-45OptsC-45Identity-n--7658-3360-u--altEq arg-0 arg-1 e-32 e-35 e-34 e-33 arg-5 arg-4 arg-3 eta-0)) e-34))) (cond ((equal? sc3 1) (CompilerC-45OptsC-45Identity-maybeVarEq arg-0 arg-1 arg-3 arg-4 arg-5 e-35)) (else 0)))) (else 0)))))))) ((11) (let ((e-37 (vector-ref arg-6 1))) (let ((e-38 (vector-ref arg-6 2))) (let ((e-39 (vector-ref arg-6 3))) (let ((e-40 (vector-ref arg-6 4))) (let ((sc2 (CompilerC-45OptsC-45Identity-cexpIdentity arg-0 arg-1 arg-3 '() '() e-38))) (cond ((equal? sc2 1) (let ((sc3 (PreludeC-45Interfaces-all (csegen-16) (lambda (eta-0) (CompilerC-45OptsC-45Identity-n--7658-3400-u--altEq arg-0 arg-1 e-40 e-39 e-38 e-37 arg-5 arg-4 arg-3 eta-0)) e-39))) (cond ((equal? sc3 1) (CompilerC-45OptsC-45Identity-maybeVarEq arg-0 arg-1 arg-3 arg-4 arg-5 e-40)) (else 0)))) (else 0))))))))(else (if (null? arg-5) (case (vector-ref arg-6 0) ((12) 0)(else (case (vector-ref arg-6 0) ((13) 0) (else 0)))) (let ((e-6 (unbox arg-5))) (case (vector-ref arg-6 0) ((12) (let ((e-10 (vector-ref arg-6 2))) (CoreC-45TT-u--C-61C-61_Eq_Constant e-6 e-10)))(else (case (vector-ref arg-6 0) ((13) 0) (else 0)))))))))) (let ((e-54 (unbox arg-4))) (if (null? e-54) (case (vector-ref arg-6 0) ((6) (let ((e-15 (vector-ref arg-6 1))) (let ((e-17 (vector-ref arg-6 3))) (let ((e-18 (vector-ref arg-6 4))) (cond ((equal? e-15 0) 0)(else (let ((e-41 (- e-15 1))) (cond ((equal? e-41 0) 0)(else (let ((e-42 (- e-41 1))) (cond ((equal? e-42 0) (case (vector-ref e-17 0) ((0) (if (null? e-18) 0 (let ((e-46 (car e-18))) (let ((e-47 (cdr e-18))) (if (null? e-47) 0 (let ((e-50 (car e-47))) (let ((e-51 (cdr e-47))) (if (null? e-51) (case (vector-ref e-50 0) ((12) (let ((e-2 (vector-ref e-50 2))) (case (vector-ref e-46 0) ((4) (let ((e-4 (vector-ref e-46 2))) (let ((e-3 (vector-ref e-46 3))) (case (vector-ref e-4 0) ((1) (let ((e-6 (vector-ref e-4 2))) (let ((sc11 (CoreC-45Name-u--C-61C-61_Eq_Name arg-0 e-6))) (cond ((equal? sc11 1) ((let ((sc12 (PreludeC-45Types-getAt arg-1 e-3))) (if (null? sc12) (lambda () 0) (let ((e-8 (unbox sc12))) (case (vector-ref e-8 0) ((6) (let ((e-12 (vector-ref e-8 1))) (let ((e-10 (vector-ref e-8 3))) (let ((e-9 (vector-ref e-8 4))) (cond ((equal? e-12 0) (lambda () 0))(else (let ((e-13 (- e-12 1))) (cond ((equal? e-13 0) (lambda () 0))(else (let ((e-14 (- e-13 1))) (cond ((equal? e-14 0) (case (vector-ref e-10 0) ((1) (if (null? e-9) (lambda () 0) (let ((e-21 (car e-9))) (let ((e-20 (cdr e-9))) (if (null? e-20) (lambda () 0) (let ((e-23 (car e-20))) (let ((e-22 (cdr e-20))) (case (vector-ref e-23 0) ((12) (let ((e-24 (vector-ref e-23 2))) (if (null? e-22) (lambda () (let ((sc20 (CoreC-45TT-u--C-61C-61_Eq_Constant e-2 e-24))) (cond ((equal? sc20 1) (CompilerC-45OptsC-45Identity-cexpIdentity arg-0 arg-1 arg-3 '() '() e-21)) (else 0)))) (lambda () 0))))(else (lambda () 0))))))))))(else (lambda () 0))))(else (lambda () 0)))))))))))))(else (lambda () 0)))))))) (else 0)))))(else 0)))))(else 0))))(else 0)) 0))))))))(else 0)))(else 0)))))))))))) ((7) 0) ((8) 0) ((9) 0) ((10) (let ((e-32 (vector-ref arg-6 1))) (let ((e-33 (vector-ref arg-6 2))) (let ((e-34 (vector-ref arg-6 3))) (let ((e-35 (vector-ref arg-6 4))) (let ((sc3 (CompilerC-45OptsC-45Identity-cexpIdentity arg-0 arg-1 arg-3 '() '() e-33))) (cond ((equal? sc3 1) (let ((sc4 (PreludeC-45Interfaces-all (csegen-16) (lambda (eta-0) (CompilerC-45OptsC-45Identity-n--7658-3360-u--altEq arg-0 arg-1 e-32 e-35 e-34 e-33 arg-5 arg-4 arg-3 eta-0)) e-34))) (cond ((equal? sc4 1) (CompilerC-45OptsC-45Identity-maybeVarEq arg-0 arg-1 arg-3 arg-4 arg-5 e-35)) (else 0)))) (else 0)))))))) ((11) (let ((e-37 (vector-ref arg-6 1))) (let ((e-38 (vector-ref arg-6 2))) (let ((e-39 (vector-ref arg-6 3))) (let ((e-40 (vector-ref arg-6 4))) (let ((sc3 (CompilerC-45OptsC-45Identity-cexpIdentity arg-0 arg-1 arg-3 '() '() e-38))) (cond ((equal? sc3 1) (let ((sc4 (PreludeC-45Interfaces-all (csegen-16) (lambda (eta-0) (CompilerC-45OptsC-45Identity-n--7658-3400-u--altEq arg-0 arg-1 e-40 e-39 e-38 e-37 arg-5 arg-4 arg-3 eta-0)) e-39))) (cond ((equal? sc4 1) (CompilerC-45OptsC-45Identity-maybeVarEq arg-0 arg-1 arg-3 arg-4 arg-5 e-40)) (else 0)))) (else 0))))))))(else (if (null? arg-5) (case (vector-ref arg-6 0) ((12) 0)(else (case (vector-ref arg-6 0) ((13) 0) (else 0)))) (let ((e-6 (unbox arg-5))) (case (vector-ref arg-6 0) ((12) (let ((e-10 (vector-ref arg-6 2))) (CoreC-45TT-u--C-61C-61_Eq_Constant e-6 e-10)))(else (case (vector-ref arg-6 0) ((13) 0) (else 0)))))))) (let ((e-58 (car e-54))) (let ((e-59 (cdr e-54))) (case (vector-ref arg-6 0) ((5) (let ((e-61 (vector-ref arg-6 1))) (let ((e-62 (vector-ref arg-6 2))) (let ((e-63 (vector-ref arg-6 3))) (let ((e-64 (vector-ref arg-6 4))) (let ((e-65 (vector-ref arg-6 5))) (let ((sc3 (CoreC-45Name-u--C-61C-61_Eq_Name e-58 e-62))) (cond ((equal? sc3 1) (CompilerC-45OptsC-45Identity-n--7658-3009-u--eqArgs arg-0 arg-1 e-61 e-63 e-64 e-58 e-59 e-65 e-62 arg-5 arg-3 e-59 e-65)) (else 0)))))))))(else (case (vector-ref arg-6 0) ((6) (let ((e-15 (vector-ref arg-6 1))) (let ((e-17 (vector-ref arg-6 3))) (let ((e-18 (vector-ref arg-6 4))) (cond ((equal? e-15 0) 0)(else (let ((e-41 (- e-15 1))) (cond ((equal? e-41 0) 0)(else (let ((e-42 (- e-41 1))) (cond ((equal? e-42 0) (case (vector-ref e-17 0) ((0) (if (null? e-18) 0 (let ((e-46 (car e-18))) (let ((e-47 (cdr e-18))) (if (null? e-47) 0 (let ((e-50 (car e-47))) (let ((e-51 (cdr e-47))) (if (null? e-51) (case (vector-ref e-50 0) ((12) (let ((e-2 (vector-ref e-50 2))) (case (vector-ref e-46 0) ((4) (let ((e-4 (vector-ref e-46 2))) (let ((e-3 (vector-ref e-46 3))) (case (vector-ref e-4 0) ((1) (let ((e-6 (vector-ref e-4 2))) (let ((sc11 (CoreC-45Name-u--C-61C-61_Eq_Name arg-0 e-6))) (cond ((equal? sc11 1) ((let ((sc12 (PreludeC-45Types-getAt arg-1 e-3))) (if (null? sc12) (lambda () 0) (let ((e-8 (unbox sc12))) (case (vector-ref e-8 0) ((6) (let ((e-12 (vector-ref e-8 1))) (let ((e-10 (vector-ref e-8 3))) (let ((e-9 (vector-ref e-8 4))) (cond ((equal? e-12 0) (lambda () 0))(else (let ((e-13 (- e-12 1))) (cond ((equal? e-13 0) (lambda () 0))(else (let ((e-14 (- e-13 1))) (cond ((equal? e-14 0) (case (vector-ref e-10 0) ((1) (if (null? e-9) (lambda () 0) (let ((e-21 (car e-9))) (let ((e-20 (cdr e-9))) (if (null? e-20) (lambda () 0) (let ((e-23 (car e-20))) (let ((e-22 (cdr e-20))) (case (vector-ref e-23 0) ((12) (let ((e-24 (vector-ref e-23 2))) (if (null? e-22) (lambda () (let ((sc20 (CoreC-45TT-u--C-61C-61_Eq_Constant e-2 e-24))) (cond ((equal? sc20 1) (CompilerC-45OptsC-45Identity-cexpIdentity arg-0 arg-1 arg-3 '() '() e-21)) (else 0)))) (lambda () 0))))(else (lambda () 0))))))))))(else (lambda () 0))))(else (lambda () 0)))))))))))))(else (lambda () 0)))))))) (else 0)))))(else 0)))))(else 0))))(else 0)) 0))))))))(else 0)))(else 0)))))))))))) ((7) 0) ((8) 0) ((9) 0) ((10) (let ((e-32 (vector-ref arg-6 1))) (let ((e-33 (vector-ref arg-6 2))) (let ((e-34 (vector-ref arg-6 3))) (let ((e-35 (vector-ref arg-6 4))) (let ((sc3 (CompilerC-45OptsC-45Identity-cexpIdentity arg-0 arg-1 arg-3 '() '() e-33))) (cond ((equal? sc3 1) (let ((sc4 (PreludeC-45Interfaces-all (csegen-16) (lambda (eta-0) (CompilerC-45OptsC-45Identity-n--7658-3360-u--altEq arg-0 arg-1 e-32 e-35 e-34 e-33 arg-5 arg-4 arg-3 eta-0)) e-34))) (cond ((equal? sc4 1) (CompilerC-45OptsC-45Identity-maybeVarEq arg-0 arg-1 arg-3 arg-4 arg-5 e-35)) (else 0)))) (else 0)))))))) ((11) (let ((e-37 (vector-ref arg-6 1))) (let ((e-38 (vector-ref arg-6 2))) (let ((e-39 (vector-ref arg-6 3))) (let ((e-40 (vector-ref arg-6 4))) (let ((sc3 (CompilerC-45OptsC-45Identity-cexpIdentity arg-0 arg-1 arg-3 '() '() e-38))) (cond ((equal? sc3 1) (let ((sc4 (PreludeC-45Interfaces-all (csegen-16) (lambda (eta-0) (CompilerC-45OptsC-45Identity-n--7658-3400-u--altEq arg-0 arg-1 e-40 e-39 e-38 e-37 arg-5 arg-4 arg-3 eta-0)) e-39))) (cond ((equal? sc4 1) (CompilerC-45OptsC-45Identity-maybeVarEq arg-0 arg-1 arg-3 arg-4 arg-5 e-40)) (else 0)))) (else 0))))))))(else (if (null? arg-5) (case (vector-ref arg-6 0) ((12) 0)(else (case (vector-ref arg-6 0) ((13) 0) (else 0)))) (let ((e-6 (unbox arg-5))) (case (vector-ref arg-6 0) ((12) (let ((e-10 (vector-ref arg-6 2))) (CoreC-45TT-u--C-61C-61_Eq_Constant e-6 e-10)))(else (case (vector-ref arg-6 0) ((13) 0) (else 0))))))))))))))))))))))
(define CompilerC-45OptsC-45Identity-calcIdentity (lambda (arg-0 arg-1) (case (vector-ref arg-1 0) ((0) (let ((e-0 (vector-ref arg-1 1))) (let ((e-1 (vector-ref arg-1 2))) (CompilerC-45OptsC-45Identity-checkIdentity arg-0 (CompilerC-45OptsC-45Identity-makeArgs e-0) e-1 0))))(else '()))))
(define CompilerC-45OptsC-45ConstantFold-case--caseC-32blockC-32inC-32caseC-32blockC-32inC-32constantFold-4361 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (if (null? arg-7) (lambda (eta-0) (vector 1 (vector 0 ))) (let ((e-1 (unbox arg-7))) (let ((eff-0 (let ((eff-0 (CoreC-45Context-getFullName arg-0 arg-1))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45ContextC-45Log-log arg-0 "compiler.const-fold" 50 (lambda () (string-append "constant folding " (string-append (CoreC-45Name-u--show_Show_Name e-5) (string-append "\xa;\x9;old def: " (string-append (CoreC-45CompileExpr-u--show_Show_CDef arg-6) (string-append "\xa;\x9;new def: " (CoreC-45CompileExpr-u--show_Show_CDef e-1)))))))))) eff-1))))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45Context-setCompiled arg-0 (vector 8 arg-3) e-1))) eff-1))))))))))
(define CompilerC-45OptsC-45ConstantFold-case--caseC-32blockC-32inC-32constantFold-4340 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (if (null? arg-6) (lambda (eta-0) (vector 1 (vector 0 ))) (let ((e-1 (unbox arg-6))) (CompilerC-45OptsC-45ConstantFold-case--caseC-32blockC-32inC-32caseC-32blockC-32inC-32constantFold-4361 arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-1 (CompilerC-45OptsC-45ConstantFold-constFoldCDef e-1))))))
(define CompilerC-45OptsC-45ConstantFold-case--caseC-32blockC-32inC-32constFold-3548 (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (case (vector-ref arg-7 0) ((12) (let ((e-1 (vector-ref arg-7 1))) (let ((e-2 (vector-ref arg-7 2))) (case (vector-ref e-2 0) ((5) (let ((e-3 (vector-ref e-2 1))) (let ((sc2 (PreludeC-45EqOrd-u--C-62C-61_Ord_Integer e-3 0))) (cond ((equal? sc2 1) (vector 12 e-1 (vector 5 e-3))) (else (vector 12 e-1 (vector 5 0)))))))(else (vector 4 arg-5 (vector 1 arg-3 arg-2) (cons arg-7 '())))))))(else (vector 4 arg-5 (vector 1 arg-3 arg-2) (cons arg-7 '()))))))
(define CompilerC-45OptsC-45ConstantFold-case--lookupC-44go-3067 (lambda (arg-3 arg-5 arg-6 arg-8 arg-12 arg-13 arg-15) (let ((eff-0 arg-13)) (cond ((equal? eff-0 0) (if (null? arg-15) (CompilerC-45OptsC-45ConstantFold-n--8380-2982-u--go arg-3 arg-5 arg-6 arg-8 arg-12) (let ((e-3 (unbox arg-15))) (cond ((equal? arg-8 0) (vector 0 0))(else (let ((e-0 (- arg-8 1))) (let ((sc3 (CompilerC-45OptsC-45ConstantFold-n--8380-2982-u--go arg-3 arg-5 arg-6 e-0 (vector 2 e-3 arg-12)))) (case (vector-ref sc3 0) ((0) (let ((e-2 (vector-ref sc3 1))) (vector 0 (CoreC-45TTC-45Var-later e-2)))) (else (let ((e-5 (vector-ref sc3 1))) (vector 1 (CompilerC-45OptsC-45ConstantFold-u--weaken_Weaken_WkCExp e-5))))))))))))(else (let ((e-3 (unbox arg-15))) (cond ((equal? arg-8 0) (vector 0 0))(else (let ((e-0 (- arg-8 1))) (let ((sc1 (CompilerC-45OptsC-45ConstantFold-n--8380-2982-u--go arg-3 arg-5 arg-6 e-0 (vector 2 e-3 arg-12)))) (case (vector-ref sc1 0) ((0) (let ((e-2 (vector-ref sc1 1))) (vector 0 (CoreC-45TTC-45Var-later e-2)))) (else (let ((e-5 (vector-ref sc1 1))) (vector 1 (CompilerC-45OptsC-45ConstantFold-u--weaken_Weaken_WkCExp e-5)))))))))))))))
(define CompilerC-45OptsC-45ConstantFold-n--8784-3705-u--toNF (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (case (vector-ref arg-7 0) ((12) (let ((e-1 (vector-ref arg-7 1))) (let ((e-2 (vector-ref arg-7 2))) (case (vector-ref e-2 0) ((0) '()) ((12) '())(else (box (vector 8 e-1 e-2)))))))(else '()))))
(define CompilerC-45OptsC-45ConstantFold-n--8380-2982-u--go (lambda (arg-3 arg-5 arg-6 arg-8 arg-12) (cond ((equal? arg-8 0) (case (vector-ref arg-12 0) ((1) (let ((e-9 (vector-ref arg-12 1))) (vector 1 (cons (CoreC-45TTC-45SizeOf-zero) e-9))))(else (let ((e-3 (vector-ref arg-12 1))) (let ((e-4 (vector-ref arg-12 2))) (CompilerC-45OptsC-45ConstantFold-case--lookupC-44go-3067 arg-3 arg-5 arg-6 arg-8 e-4 e-3 (CoreC-45TT-sizedView e-3)))))))(else (let ((e-5 (- arg-8 1))) (case (vector-ref arg-12 0) ((1) (let ((e-15 (vector-ref arg-12 2))) (CompilerC-45OptsC-45ConstantFold-n--8380-2982-u--go arg-3 arg-5 arg-6 e-5 e-15)))(else (let ((e-3 (vector-ref arg-12 1))) (let ((e-4 (vector-ref arg-12 2))) (CompilerC-45OptsC-45ConstantFold-case--lookupC-44go-3067 arg-3 arg-5 arg-6 arg-8 e-4 e-3 (CoreC-45TT-sizedView e-3)))))))))))
(define CompilerC-45OptsC-45ConstantFold-n--8784-3706-u--fromNF (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (case (vector-ref arg-7 0) ((8) (let ((e-1 (vector-ref arg-7 1))) (let ((e-2 (vector-ref arg-7 2))) (box (vector 12 e-1 e-2)))))(else '()))))
(define CompilerC-45OptsC-45ConstantFold-n--8784-4112-u--foldAlt (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (let ((e-1 (car arg-7))) (let ((e-2 (cdr arg-7))) (cons e-1 (CompilerC-45OptsC-45ConstantFold-constFold arg-1 arg-6 e-2))))))
(define CompilerC-45OptsC-45ConstantFold-n--8784-4073-u--foldAlt (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (let ((e-1 (vector-ref arg-7 0))) (let ((e-2 (vector-ref arg-7 1))) (let ((e-3 (vector-ref arg-7 2))) (let ((e-4 (vector-ref arg-7 3))) (let ((e-5 (vector-ref arg-7 4))) (vector e-1 e-2 e-3 e-4 (CompilerC-45OptsC-45ConstantFold-constFold (PreludeC-45TypesC-45List-tailRecAppend e-4 arg-1) (CompilerC-45OptsC-45ConstantFold-wk (CoreC-45TTC-45SizeOf-mkSizeOf e-4) arg-6) e-5)))))))))
(define CompilerC-45OptsC-45ConstantFold-n--8784-3708-u--constRight (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10) (cond ((equal? arg-7 0) (vector 6 arg-7 arg-8 arg-9 arg-10))(else (let ((e-0 (- arg-7 1))) (cond ((equal? e-0 0) (vector 6 arg-7 arg-8 arg-9 arg-10))(else (let ((e-1 (- e-0 1))) (cond ((equal? e-1 0) (case (vector-ref arg-9 0) ((0) (let ((e-2 (vector-ref arg-9 1))) (if (null? arg-10) (vector 6 arg-7 arg-8 arg-9 arg-10) (let ((e-6 (car arg-10))) (let ((e-7 (cdr arg-10))) (case (vector-ref e-6 0) ((12) (let ((e-9 (vector-ref e-6 1))) (let ((e-10 (vector-ref e-6 2))) (if (null? e-7) (vector 6 arg-7 arg-8 arg-9 arg-10) (let ((e-13 (car e-7))) (let ((e-14 (cdr e-7))) (if (null? e-14) (let ((u--x (vector 12 e-9 e-10))) (let ((sc6 (CompilerC-45OptsC-45ConstantFold-n--8784-3707-u--commutative arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-2))) (cond ((equal? sc6 1) (vector 6 2 arg-8 (vector 0 e-2) (cons e-13 (cons u--x '())))) (else (vector 6 2 arg-8 (vector 0 e-2) (cons u--x (cons e-13 '()))))))) (vector 6 arg-7 arg-8 arg-9 arg-10))))))))(else (vector 6 arg-7 arg-8 arg-9 arg-10)))))))) ((2) (let ((e-3 (vector-ref arg-9 1))) (if (null? arg-10) (vector 6 arg-7 arg-8 arg-9 arg-10) (let ((e-18 (car arg-10))) (let ((e-19 (cdr arg-10))) (case (vector-ref e-18 0) ((12) (let ((e-21 (vector-ref e-18 1))) (let ((e-22 (vector-ref e-18 2))) (if (null? e-19) (vector 6 arg-7 arg-8 arg-9 arg-10) (let ((e-25 (car e-19))) (let ((e-26 (cdr e-19))) (if (null? e-26) (let ((u--x (vector 12 e-21 e-22))) (let ((sc6 (CompilerC-45OptsC-45ConstantFold-n--8784-3707-u--commutative arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-3))) (cond ((equal? sc6 1) (vector 6 2 arg-8 (vector 2 e-3) (cons e-25 (cons u--x '())))) (else (vector 6 2 arg-8 (vector 2 e-3) (cons u--x (cons e-25 '()))))))) (vector 6 arg-7 arg-8 arg-9 arg-10))))))))(else (vector 6 arg-7 arg-8 arg-9 arg-10))))))))(else (vector 6 arg-7 arg-8 arg-9 arg-10))))(else (vector 6 arg-7 arg-8 arg-9 arg-10)))))))))))
(define CompilerC-45OptsC-45ConstantFold-n--8784-3707-u--commutative (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (cond ((equal? arg-7 12) 0)(else 1))))
(define CompilerC-45OptsC-45ConstantFold-u--weaken_Weaken_WkCExp (lambda (arg-2) (let ((e-3 (car arg-2))) (let ((e-5 (cdr arg-2))) (cons (CoreC-45TTC-45SizeOf-suc e-3) e-5)))))
(define CompilerC-45OptsC-45ConstantFold-wk (lambda (arg-3 arg-4) (case (vector-ref arg-4 0) ((2) (let ((e-3 (vector-ref arg-4 1))) (let ((e-4 (vector-ref arg-4 2))) (vector 2 (CoreC-45TTC-45SizeOf-C-43 arg-3 e-3) e-4))))(else (vector 2 arg-3 arg-4)))))
(define CompilerC-45OptsC-45ConstantFold-lookup (lambda (arg-2 arg-3 arg-4) (let ((eff-0 arg-3)) (let ((sc0 (CompilerC-45OptsC-45ConstantFold-n--8380-2982-u--go eff-0 arg-4 arg-2 eff-0 arg-4))) (case (vector-ref sc0 0) ((0) (let ((e-2 (vector-ref sc0 1))) (let ((eff-1 e-2)) (vector 0 eff-1 arg-2)))) (else (let ((e-5 (vector-ref sc0 1))) (let ((e-13 (car e-5))) (let ((e-15 (cdr e-5))) (CoreC-45CompileExpr-u--weakenNs_Weaken_CExp e-13 e-15))))))))))
(define CompilerC-45OptsC-45ConstantFold-initSubst (lambda (arg-0) (vector 2 (CoreC-45TTC-45SizeOf-mkSizeOf arg-0) (vector 0 ))))
(define CompilerC-45OptsC-45ConstantFold-foldableOp (lambda (arg-1) (case (vector-ref arg-1 0) ((37) 0) ((36) (let ((e-0 (vector-ref arg-1 1))) (let ((e-1 (vector-ref arg-1 2))) (cond ((equal? e-0 0) 0)(else (cond ((equal? e-1 0) 0)(else (let ((sc1 (DataC-45Maybe-isJust (CoreC-45TT-intKind e-0)))) (cond ((equal? sc1 1) (DataC-45Maybe-isJust (CoreC-45TT-intKind e-1))) (else 0))))))))))(else 1))))
(define CompilerC-45OptsC-45ConstantFold-findConstAlt (lambda (arg-1 arg-2 arg-3) (if (null? arg-2) arg-3 (let ((e-2 (car arg-2))) (let ((e-3 (cdr arg-2))) (let ((e-5 (car e-2))) (let ((e-6 (cdr e-2))) (let ((sc2 (CoreC-45TT-u--C-61C-61_Eq_Constant arg-1 e-5))) (cond ((equal? sc2 1) (box e-6)) (else (CompilerC-45OptsC-45ConstantFold-findConstAlt arg-1 e-3 arg-3)))))))))))
(define CompilerC-45OptsC-45ConstantFold-constantFold (lambda (arg-0 arg-1) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-lookupCtxtExactI arg-1 (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-6) (lambda (eta-0) (vector 1 (vector 0 ))) (let ((e-1 (unbox e-6))) (let ((e-8 (car e-1))) (let ((e-7 (cdr e-1))) (let ((_-0 (box (cons e-8 e-7)))) (CompilerC-45OptsC-45ConstantFold-case--caseC-32blockC-32inC-32constantFold-4340 arg-0 arg-1 e-5 e-8 e-7 _-0 (let ((e-18 (vector-ref e-7 18))) e-18))))))))) eff-2))))))))) eff-1)))))))))
(define CompilerC-45OptsC-45ConstantFold-constFoldCDef (lambda (arg-0) (case (vector-ref arg-0 0) ((0) (let ((e-0 (vector-ref arg-0 1))) (let ((e-1 (vector-ref arg-0 2))) (box (vector 0 e-0 (CompilerC-45OptsC-45ConstantFold-constFold e-0 (CompilerC-45OptsC-45ConstantFold-initSubst e-0) e-1))))))(else '()))))
(define CompilerC-45OptsC-45ConstantFold-constFold (lambda (arg-1 arg-2 arg-3) (case (vector-ref arg-3 0) ((0) (let ((e-2 (vector-ref arg-3 1))) (let ((e-3 (vector-ref arg-3 2))) (CompilerC-45OptsC-45ConstantFold-lookup e-3 e-2 arg-2)))) ((1) (let ((e-6 (vector-ref arg-3 1))) (let ((e-7 (vector-ref arg-3 2))) (vector 1 e-6 e-7)))) ((2) (let ((e-9 (vector-ref arg-3 1))) (let ((e-10 (vector-ref arg-3 2))) (let ((e-11 (vector-ref arg-3 3))) (vector 2 e-9 e-10 (CompilerC-45OptsC-45ConstantFold-constFold (PreludeC-45TypesC-45List-tailRecAppend (cons e-10 '()) arg-1) (CompilerC-45OptsC-45ConstantFold-wk (CoreC-45TTC-45SizeOf-mkSizeOf (cons e-10 '())) arg-2) e-11)))))) ((3) (let ((e-13 (vector-ref arg-3 1))) (let ((e-14 (vector-ref arg-3 2))) (let ((e-15 (vector-ref arg-3 3))) (let ((e-16 (vector-ref arg-3 4))) (let ((e-17 (vector-ref arg-3 5))) (let ((u--val (CompilerC-45OptsC-45ConstantFold-constFold arg-1 arg-2 e-16))) (case (vector-ref u--val 0) ((12) (let ((e-1 (vector-ref u--val 1))) (let ((e-2 (vector-ref u--val 2))) (let ((val-0 (vector 12 e-1 e-2))) (cond ((equal? e-15 1) (CompilerC-45OptsC-45ConstantFold-constFold arg-1 (vector 1 val-0 arg-2) e-17)) (else (vector 3 e-13 e-14 e-15 val-0 (CompilerC-45OptsC-45ConstantFold-constFold (PreludeC-45TypesC-45List-tailRecAppend (cons e-14 '()) arg-1) (CompilerC-45OptsC-45ConstantFold-wk (CoreC-45TTC-45SizeOf-mkSizeOf (cons e-14 '())) arg-2) e-17))))))))(else (vector 3 e-13 e-14 e-15 u--val (CompilerC-45OptsC-45ConstantFold-constFold (PreludeC-45TypesC-45List-tailRecAppend (cons e-14 '()) arg-1) (CompilerC-45OptsC-45ConstantFold-wk (CoreC-45TTC-45SizeOf-mkSizeOf (cons e-14 '())) arg-2) e-17))))))))))) ((4) (let ((e-19 (vector-ref arg-3 1))) (let ((e-20 (vector-ref arg-3 2))) (let ((e-21 (vector-ref arg-3 3))) (case (vector-ref e-20 0) ((1) (let ((e-64 (vector-ref e-20 1))) (let ((e-65 (vector-ref e-20 2))) (if (null? e-21) (vector 4 e-19 (CompilerC-45OptsC-45ConstantFold-constFold arg-1 arg-2 e-20) (PreludeC-45Interfaces-C-60C-36C-62 (csegen-24) (lambda (eta-0) (CompilerC-45OptsC-45ConstantFold-constFold arg-1 arg-2 eta-0)) e-21)) (let ((e-67 (car e-21))) (let ((e-68 (cdr e-21))) (if (null? e-68) (let ((sc4 (CoreC-45Name-u--C-61C-61_Eq_Name e-65 (csegen-56)))) (cond ((equal? sc4 1) (CompilerC-45OptsC-45ConstantFold-case--caseC-32blockC-32inC-32constFold-3548 arg-1 e-65 e-64 e-67 e-19 arg-2 (CompilerC-45OptsC-45ConstantFold-constFold arg-1 arg-2 e-67))) (else (vector 4 e-19 (vector 1 e-64 e-65) (cons (CompilerC-45OptsC-45ConstantFold-constFold arg-1 arg-2 e-67) '()))))) (vector 4 e-19 (CompilerC-45OptsC-45ConstantFold-constFold arg-1 arg-2 e-20) (PreludeC-45Interfaces-C-60C-36C-62 (csegen-24) (lambda (eta-0) (CompilerC-45OptsC-45ConstantFold-constFold arg-1 arg-2 eta-0)) e-21)))))))))(else (vector 4 e-19 (CompilerC-45OptsC-45ConstantFold-constFold arg-1 arg-2 e-20) (PreludeC-45Interfaces-C-60C-36C-62 (csegen-24) (lambda (eta-0) (CompilerC-45OptsC-45ConstantFold-constFold arg-1 arg-2 eta-0)) e-21)))))))) ((5) (let ((e-23 (vector-ref arg-3 1))) (let ((e-24 (vector-ref arg-3 2))) (let ((e-25 (vector-ref arg-3 3))) (let ((e-26 (vector-ref arg-3 4))) (let ((e-27 (vector-ref arg-3 5))) (vector 5 e-23 e-24 e-25 e-26 (PreludeC-45Interfaces-C-60C-36C-62 (csegen-24) (lambda (eta-0) (CompilerC-45OptsC-45ConstantFold-constFold arg-1 arg-2 eta-0)) e-27)))))))) ((6) (let ((e-29 (vector-ref arg-3 1))) (let ((e-30 (vector-ref arg-3 2))) (let ((e-31 (vector-ref arg-3 3))) (let ((e-32 (vector-ref arg-3 4))) (let ((u--xsC-39 (DataC-45Vect-u--map_Functor_C-40VectC-32C-36nC-41 (lambda (eta-0) (CompilerC-45OptsC-45ConstantFold-constFold arg-1 arg-2 eta-0)) e-32))) (let ((u--e (CompilerC-45OptsC-45ConstantFold-n--8784-3708-u--constRight arg-1 e-29 e-32 e-31 e-30 arg-2 e-29 e-30 e-31 u--xsC-39))) (DataC-45Maybe-fromMaybe (lambda () u--e) (PreludeC-45Interfaces-C-62C-62 (csegen-614) (PreludeC-45Interfaces-guard (csegen-326) (CompilerC-45OptsC-45ConstantFold-foldableOp e-31)) (lambda () (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (DataC-45Vect-u--traverse_Traversable_C-40VectC-32C-36kC-41 (csegen-323) (lambda (eta-0) (CompilerC-45OptsC-45ConstantFold-n--8784-3705-u--toNF arg-1 e-29 e-32 e-31 e-30 arg-2 eta-0)) u--xsC-39) (lambda (u--nfs) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe ((CoreC-45Primitives-getOp e-31 arg-1) u--nfs) (lambda (u--nf) (CompilerC-45OptsC-45ConstantFold-n--8784-3706-u--fromNF arg-1 e-29 e-32 e-31 e-30 arg-2 u--nf))))))))))))))) ((7) (let ((e-34 (vector-ref arg-3 1))) (let ((e-35 (vector-ref arg-3 2))) (let ((e-36 (vector-ref arg-3 3))) (vector 7 e-34 e-35 (PreludeC-45Interfaces-C-60C-36C-62 (csegen-24) (lambda (eta-0) (CompilerC-45OptsC-45ConstantFold-constFold arg-1 arg-2 eta-0)) e-36)))))) ((8) (let ((e-38 (vector-ref arg-3 1))) (let ((e-39 (vector-ref arg-3 2))) (let ((e-40 (vector-ref arg-3 3))) (vector 8 e-38 e-39 (CompilerC-45OptsC-45ConstantFold-constFold arg-1 arg-2 e-40)))))) ((9) (let ((e-42 (vector-ref arg-3 1))) (let ((e-43 (vector-ref arg-3 2))) (let ((e-44 (vector-ref arg-3 3))) (vector 9 e-42 e-43 (CompilerC-45OptsC-45ConstantFold-constFold arg-1 arg-2 e-44)))))) ((10) (let ((e-46 (vector-ref arg-3 1))) (let ((e-47 (vector-ref arg-3 2))) (let ((e-48 (vector-ref arg-3 3))) (let ((e-49 (vector-ref arg-3 4))) (vector 10 e-46 (CompilerC-45OptsC-45ConstantFold-constFold arg-1 arg-2 e-47) (PreludeC-45Interfaces-C-60C-36C-62 (csegen-24) (lambda (eta-0) (CompilerC-45OptsC-45ConstantFold-n--8784-4073-u--foldAlt arg-1 e-49 e-48 e-47 e-46 arg-2 eta-0)) e-48) (PreludeC-45Interfaces-C-60C-36C-62 (csegen-76) (lambda (eta-0) (CompilerC-45OptsC-45ConstantFold-constFold arg-1 arg-2 eta-0)) e-49))))))) ((11) (let ((e-51 (vector-ref arg-3 1))) (let ((e-52 (vector-ref arg-3 2))) (let ((e-53 (vector-ref arg-3 3))) (let ((e-54 (vector-ref arg-3 4))) (let ((u--scC-39 (CompilerC-45OptsC-45ConstantFold-constFold arg-1 arg-2 e-52))) (case (vector-ref u--scC-39 0) ((12) (let ((e-2 (vector-ref u--scC-39 2))) (let ((sc2 (CompilerC-45OptsC-45ConstantFold-findConstAlt e-2 e-53 e-54))) (if (null? sc2) (vector 11 e-51 (CompilerC-45OptsC-45ConstantFold-constFold arg-1 arg-2 e-52) (PreludeC-45Interfaces-C-60C-36C-62 (csegen-24) (lambda (eta-0) (CompilerC-45OptsC-45ConstantFold-n--8784-4112-u--foldAlt arg-1 e-54 e-53 e-52 e-51 arg-2 eta-0)) e-53) (PreludeC-45Interfaces-C-60C-36C-62 (csegen-76) (lambda (eta-0) (CompilerC-45OptsC-45ConstantFold-constFold arg-1 arg-2 eta-0)) e-54)) (let ((e-3 (unbox sc2))) (CompilerC-45OptsC-45ConstantFold-constFold arg-1 arg-2 e-3))))))(else (vector 11 e-51 (CompilerC-45OptsC-45ConstantFold-constFold arg-1 arg-2 e-52) (PreludeC-45Interfaces-C-60C-36C-62 (csegen-24) (lambda (eta-0) (CompilerC-45OptsC-45ConstantFold-n--8784-4112-u--foldAlt arg-1 e-54 e-53 e-52 e-51 arg-2 eta-0)) e-53) (PreludeC-45Interfaces-C-60C-36C-62 (csegen-76) (lambda (eta-0) (CompilerC-45OptsC-45ConstantFold-constFold arg-1 arg-2 eta-0)) e-54)))))))))) ((12) (let ((e-56 (vector-ref arg-3 1))) (let ((e-57 (vector-ref arg-3 2))) (vector 12 e-56 e-57)))) ((13) (let ((e-59 (vector-ref arg-3 1))) (vector 13 e-59))) (else (let ((e-61 (vector-ref arg-3 1))) (let ((e-62 (vector-ref arg-3 2))) (vector 14 e-61 e-62)))))))
(define CompilerC-45CaseOpts-n--9570-4330-u--updateAlt (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (let ((e-1 (car arg-6))) (let ((e-2 (cdr arg-6))) (cons e-1 (vector 11 arg-5 e-2 arg-2 arg-1))))))
(define CompilerC-45CaseOpts-n--9503-4270-u--updateAlt (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (let ((e-1 (vector-ref arg-6 0))) (let ((e-2 (vector-ref arg-6 1))) (let ((e-3 (vector-ref arg-6 2))) (let ((e-4 (vector-ref arg-6 3))) (let ((e-5 (vector-ref arg-6 4))) (vector e-1 e-2 e-3 e-4 (vector 10 arg-5 e-5 (((csegen-25) (lambda (eta-0) (CoreC-45CompileExpr-u--weakenNs_Weaken_CConAlt (CoreC-45TTC-45SizeOf-mkSizeOf e-4) eta-0))) arg-2) (((csegen-77) (lambda (eta-0) (CoreC-45CompileExpr-u--weakenNs_Weaken_CExp (CoreC-45TTC-45SizeOf-mkSizeOf e-4) eta-0))) arg-1))))))))))
(define CompilerC-45CaseOpts-n--9820-4545-u--go (lambda (arg-1 arg-2 arg-3) (cond ((equal? arg-2 0) arg-3)(else (let ((e-0 (- arg-2 1))) (PreludeC-45Types-maybe (lambda () arg-3) (lambda () (lambda (eta-0) (CompilerC-45CaseOpts-n--9820-4545-u--go arg-1 e-0 eta-0))) (CompilerC-45CaseOpts-tryCaseOfCase arg-3)))))))
(define CompilerC-45CaseOpts-n--9371-4143-u--doCaseLam (lambda (arg-0 arg-1 arg-2) (case (vector-ref arg-2 0) ((0) (let ((e-0 (vector-ref arg-2 1))) (let ((e-1 (vector-ref arg-2 2))) (let ((eff-0 (CoreC-45Core-newRef (vector "Compiler.CaseOpts.NextName" ) 0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CompilerC-45CaseOpts-caseLam e-5 e-1))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 0 e-0 e-6))))) eff-2))))))))) eff-1))))))))))(else (lambda (eta-0) (vector 1 arg-2))))))
(define CompilerC-45CaseOpts-n--8717-3774-u--defLam (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (if (null? arg-6) 1 (let ((e-2 (unbox arg-6))) (case (vector-ref e-2 0) ((2) 1)(else 0))))))
(define CompilerC-45CaseOpts-n--8717-3552-u--defLam (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (if (null? arg-6) 1 (let ((e-2 (unbox arg-6))) (case (vector-ref e-2 0) ((2) 1)(else 0))))))
(define CompilerC-45CaseOpts-n--9613-4457-u--constCase (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (if (null? arg-7) 0 (let ((e-2 (cdr arg-7))) (case (vector-ref e-2 0) ((12) 1)(else 0))))))
(define CompilerC-45CaseOpts-n--9613-4361-u--conCase (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (let ((e-5 (vector-ref arg-7 4))) (case (vector-ref e-5 0) ((5) 1)(else 0)))))
(define CompilerC-45CaseOpts-n--9613-4458-u--canCaseOfCase (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (if (null? arg-7) 1 (let ((e-3 (cdr arg-7))) (if (null? e-3) 1 (PreludeC-45Interfaces-all (csegen-16) (lambda (eta-0) (CompilerC-45CaseOpts-n--9613-4457-u--constCase arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 eta-0)) arg-7))))))
(define CompilerC-45CaseOpts-n--9613-4362-u--canCaseOfCase (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (if (null? arg-7) 1 (let ((e-3 (cdr arg-7))) (if (null? e-3) 1 (PreludeC-45Interfaces-all (csegen-16) (lambda (eta-0) (CompilerC-45CaseOpts-n--9613-4361-u--conCase arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 eta-0)) arg-7))))))
(define CompilerC-45CaseOpts-tryLiftOutConst (lambda (arg-1 arg-2) (if (null? arg-2) (box '()) (let ((e-2 (car arg-2))) (let ((e-3 (cdr arg-2))) (if (null? e-2) '() (let ((e-5 (car e-2))) (let ((e-6 (cdr e-2))) (case (vector-ref e-6 0) ((2) (let ((e-10 (vector-ref e-6 3))) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (CompilerC-45CaseOpts-tryLiftOutConst arg-1 e-3) (lambda (u--asC-39) (let ((u--scC-39 (CompilerC-45CaseOpts-liftOutLambda '() arg-1 e-10))) (box (cons (cons e-5 u--scC-39) u--asC-39)))))))(else '()))))))))))
(define CompilerC-45CaseOpts-tryLiftOut (lambda (arg-1 arg-2) (if (null? arg-2) (box '()) (let ((e-2 (car arg-2))) (let ((e-3 (cdr arg-2))) (let ((e-5 (vector-ref e-2 0))) (let ((e-6 (vector-ref e-2 1))) (let ((e-7 (vector-ref e-2 2))) (let ((e-8 (vector-ref e-2 3))) (let ((e-9 (vector-ref e-2 4))) (case (vector-ref e-9 0) ((2) (let ((e-13 (vector-ref e-9 3))) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (CompilerC-45CaseOpts-tryLiftOut arg-1 e-3) (lambda (u--asC-39) (let ((u--scC-39 (CompilerC-45CaseOpts-liftOutLambda e-8 arg-1 e-13))) (box (cons (vector e-5 e-6 e-7 e-8 u--scC-39) u--asC-39)))))))(else '()))))))))))))
(define CompilerC-45CaseOpts-tryLiftDef (lambda (arg-1 arg-2) (if (null? arg-2) (box '()) (let ((e-2 (unbox arg-2))) (case (vector-ref e-2 0) ((2) (let ((e-6 (vector-ref e-2 3))) (let ((u--scC-39 (CompilerC-45CaseOpts-liftOutLambda '() arg-1 e-6))) (box (box u--scC-39)))))(else '()))))))
(define CompilerC-45CaseOpts-tryCaseOfCase (lambda (arg-1) (case (vector-ref arg-1 0) ((10) (let ((e-1 (vector-ref arg-1 1))) (let ((e-2 (vector-ref arg-1 2))) (let ((e-3 (vector-ref arg-1 3))) (let ((e-4 (vector-ref arg-1 4))) (case (vector-ref e-2 0) ((10) (let ((e-11 (vector-ref e-2 1))) (let ((e-12 (vector-ref e-2 2))) (let ((e-13 (vector-ref e-2 3))) (let ((e-14 (vector-ref e-2 4))) (if (null? e-14) (let ((sc3 (CompilerC-45CaseOpts-n--9613-4362-u--canCaseOfCase e-13 e-12 e-11 e-4 e-3 e-1 e-13))) (cond ((equal? sc3 1) (box (CompilerC-45CaseOpts-doCaseOfCase e-11 e-12 e-13 e-3 e-4))) (else '()))) '()))))))(else '()))))))) ((11) (let ((e-6 (vector-ref arg-1 1))) (let ((e-7 (vector-ref arg-1 2))) (let ((e-8 (vector-ref arg-1 3))) (let ((e-9 (vector-ref arg-1 4))) (case (vector-ref e-7 0) ((11) (let ((e-17 (vector-ref e-7 1))) (let ((e-18 (vector-ref e-7 2))) (let ((e-19 (vector-ref e-7 3))) (let ((e-20 (vector-ref e-7 4))) (if (null? e-20) (let ((sc3 (CompilerC-45CaseOpts-n--9613-4458-u--canCaseOfCase e-19 e-18 e-17 e-9 e-8 e-6 e-19))) (cond ((equal? sc3 1) (box (CompilerC-45CaseOpts-doCaseOfConstCase e-17 e-18 e-19 e-8 e-9))) (else '()))) '()))))))(else '())))))))(else '()))))
(define CompilerC-45CaseOpts-shiftVar (lambda (arg-3 arg-4 arg-5) (if (null? arg-3) (CompilerC-45CaseOpts-shiftUnder arg-4 arg-5) (let ((e-3 (cdr arg-3))) (cond ((equal? arg-5 0) 0)(else (let ((e-4 (- arg-5 1))) (let ((eff-0 (CompilerC-45CaseOpts-shiftVar e-3 arg-4 e-4))) (+ eff-0 1)))))))))
(define CompilerC-45CaseOpts-shiftUnder (lambda (arg-3 arg-4) (cond ((equal? arg-4 0) (CoreC-45TT-weakenNVar (CoreC-45TTC-45SizeOf-mkSizeOf arg-3) 0))(else (let ((e-0 (- arg-4 1))) (CoreC-45TT-insertNVar (CoreC-45TTC-45SizeOf-mkSizeOf arg-3) e-0))))))
(define CompilerC-45CaseOpts-shiftBinderConstAlt (lambda (arg-2 arg-3 arg-4 arg-5) (let ((e-1 (car arg-5))) (let ((e-2 (cdr arg-5))) (cons e-1 (CompilerC-45CaseOpts-shiftBinder arg-2 arg-3 arg-4 e-2))))))
(define CompilerC-45CaseOpts-shiftBinderConAlt (lambda (arg-2 arg-3 arg-4 arg-5) (let ((e-1 (vector-ref arg-5 0))) (let ((e-2 (vector-ref arg-5 1))) (let ((e-3 (vector-ref arg-5 2))) (let ((e-4 (vector-ref arg-5 3))) (let ((e-5 (vector-ref arg-5 4))) (let ((u--scC-39 e-5)) (vector e-1 e-2 e-3 e-4 (CompilerC-45CaseOpts-shiftBinder (PreludeC-45TypesC-45List-tailRecAppend e-4 arg-2) arg-3 arg-4 u--scC-39))))))))))
(define CompilerC-45CaseOpts-shiftBinder (lambda (arg-2 arg-3 arg-4 arg-5) (case (vector-ref arg-5 0) ((0) (let ((e-2 (vector-ref arg-5 1))) (let ((e-3 (vector-ref arg-5 2))) (let ((eff-0 (CompilerC-45CaseOpts-shiftVar arg-2 arg-3 e-2))) (vector 0 eff-0 e-3))))) ((1) (let ((e-6 (vector-ref arg-5 1))) (let ((e-7 (vector-ref arg-5 2))) (vector 1 e-6 e-7)))) ((2) (let ((e-9 (vector-ref arg-5 1))) (let ((e-10 (vector-ref arg-5 2))) (let ((e-11 (vector-ref arg-5 3))) (vector 2 e-9 e-10 (CompilerC-45CaseOpts-shiftBinder (cons e-10 arg-2) arg-3 arg-4 e-11)))))) ((3) (let ((e-13 (vector-ref arg-5 1))) (let ((e-14 (vector-ref arg-5 2))) (let ((e-15 (vector-ref arg-5 3))) (let ((e-16 (vector-ref arg-5 4))) (let ((e-17 (vector-ref arg-5 5))) (vector 3 e-13 e-14 e-15 (CompilerC-45CaseOpts-shiftBinder arg-2 arg-3 arg-4 e-16) (CompilerC-45CaseOpts-shiftBinder (cons e-14 arg-2) arg-3 arg-4 e-17)))))))) ((4) (let ((e-19 (vector-ref arg-5 1))) (let ((e-20 (vector-ref arg-5 2))) (let ((e-21 (vector-ref arg-5 3))) (vector 4 e-19 (CompilerC-45CaseOpts-shiftBinder arg-2 arg-3 arg-4 e-20) (((csegen-25) (lambda (eta-0) (CompilerC-45CaseOpts-shiftBinder arg-2 arg-3 arg-4 eta-0))) e-21)))))) ((5) (let ((e-23 (vector-ref arg-5 1))) (let ((e-24 (vector-ref arg-5 2))) (let ((e-25 (vector-ref arg-5 3))) (let ((e-26 (vector-ref arg-5 4))) (let ((e-27 (vector-ref arg-5 5))) (vector 5 e-23 e-24 e-25 e-26 (((csegen-25) (lambda (eta-0) (CompilerC-45CaseOpts-shiftBinder arg-2 arg-3 arg-4 eta-0))) e-27)))))))) ((6) (let ((e-29 (vector-ref arg-5 1))) (let ((e-30 (vector-ref arg-5 2))) (let ((e-31 (vector-ref arg-5 3))) (let ((e-32 (vector-ref arg-5 4))) (vector 6 e-29 e-30 e-31 (DataC-45Vect-u--map_Functor_C-40VectC-32C-36nC-41 (lambda (eta-0) (CompilerC-45CaseOpts-shiftBinder arg-2 arg-3 arg-4 eta-0)) e-32))))))) ((7) (let ((e-34 (vector-ref arg-5 1))) (let ((e-35 (vector-ref arg-5 2))) (let ((e-36 (vector-ref arg-5 3))) (vector 7 e-34 e-35 (((csegen-25) (lambda (eta-0) (CompilerC-45CaseOpts-shiftBinder arg-2 arg-3 arg-4 eta-0))) e-36)))))) ((8) (let ((e-38 (vector-ref arg-5 1))) (let ((e-39 (vector-ref arg-5 2))) (let ((e-40 (vector-ref arg-5 3))) (vector 8 e-38 e-39 (CompilerC-45CaseOpts-shiftBinder arg-2 arg-3 arg-4 e-40)))))) ((9) (let ((e-42 (vector-ref arg-5 1))) (let ((e-43 (vector-ref arg-5 2))) (let ((e-44 (vector-ref arg-5 3))) (vector 9 e-42 e-43 (CompilerC-45CaseOpts-shiftBinder arg-2 arg-3 arg-4 e-44)))))) ((10) (let ((e-46 (vector-ref arg-5 1))) (let ((e-47 (vector-ref arg-5 2))) (let ((e-48 (vector-ref arg-5 3))) (let ((e-49 (vector-ref arg-5 4))) (vector 10 e-46 (CompilerC-45CaseOpts-shiftBinder arg-2 arg-3 arg-4 e-47) (((csegen-25) (lambda (eta-0) (CompilerC-45CaseOpts-shiftBinderConAlt arg-2 arg-3 arg-4 eta-0))) e-48) (((csegen-77) (lambda (eta-0) (CompilerC-45CaseOpts-shiftBinder arg-2 arg-3 arg-4 eta-0))) e-49))))))) ((11) (let ((e-51 (vector-ref arg-5 1))) (let ((e-52 (vector-ref arg-5 2))) (let ((e-53 (vector-ref arg-5 3))) (let ((e-54 (vector-ref arg-5 4))) (vector 11 e-51 (CompilerC-45CaseOpts-shiftBinder arg-2 arg-3 arg-4 e-52) (((csegen-25) (lambda (eta-0) (CompilerC-45CaseOpts-shiftBinderConstAlt arg-2 arg-3 arg-4 eta-0))) e-53) (((csegen-77) (lambda (eta-0) (CompilerC-45CaseOpts-shiftBinder arg-2 arg-3 arg-4 eta-0))) e-54))))))) ((12) (let ((e-56 (vector-ref arg-5 1))) (let ((e-57 (vector-ref arg-5 2))) (vector 12 e-56 e-57)))) ((13) (let ((e-59 (vector-ref arg-5 1))) (vector 13 e-59))) (else (let ((e-61 (vector-ref arg-5 1))) (let ((e-62 (vector-ref arg-5 2))) (vector 14 e-61 e-62)))))))
(define CompilerC-45CaseOpts-liftOutLambda (lambda (arg-2 ext-0 ext-1) (CompilerC-45CaseOpts-shiftBinder '() arg-2 ext-0 ext-1)))
(define CompilerC-45CaseOpts-getName (lambda (arg-0) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (bs+ e-5 1 63)))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (lambda (eta-0) (vector 1 (vector 2 "clam" e-5))))) eff-2)))))))) eff-1)))))))))
(define CompilerC-45CaseOpts-doCaseOfConstCase (lambda (arg-1 arg-2 arg-3 arg-4 arg-5) (vector 11 arg-1 arg-2 (((csegen-25) (lambda (eta-0) (CompilerC-45CaseOpts-n--9570-4330-u--updateAlt arg-5 arg-4 arg-3 arg-2 arg-1 eta-0))) arg-3) '())))
(define CompilerC-45CaseOpts-doCaseOfCase (lambda (arg-1 arg-2 arg-3 arg-4 arg-5) (vector 10 arg-1 arg-2 (((csegen-25) (lambda (eta-0) (CompilerC-45CaseOpts-n--9503-4270-u--updateAlt arg-5 arg-4 arg-3 arg-2 arg-1 eta-0))) arg-3) '())))
(define CompilerC-45CaseOpts-caseOfCase (lambda (arg-1) (CompilerC-45CaseOpts-n--9820-4545-u--go arg-1 5 arg-1)))
(define CompilerC-45CaseOpts-caseLamDef (lambda (arg-0 arg-1) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-lookupCtxtExact arg-1 (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-6) (lambda (eta-0) (vector 1 (vector 0 ))) (let ((e-1 (unbox e-6))) (let ((e-18 (vector-ref e-1 18))) (if (null? e-18) (lambda (eta-0) (vector 1 (vector 0 ))) (let ((e-25 (unbox e-18))) (let ((eff-2 (CompilerC-45CaseOpts-n--9371-4143-u--doCaseLam arg-1 arg-0 e-25))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-26 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-26)))) (else (let ((e-26 (vector-ref lcase-2 1))) (let ((eff-3 (CoreC-45Context-setCompiled arg-0 arg-1 e-26))) eff-3)))))))))))))) eff-2))))))))) eff-1)))))))))
(define CompilerC-45CaseOpts-caseLamConstAlt (lambda (arg-1 arg-2) (let ((e-1 (car arg-2))) (let ((e-2 (cdr arg-2))) (let ((eff-0 (CompilerC-45CaseOpts-caseLam arg-1 e-2))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-3 (vector-ref eta-3 1))) (vector 0 e-3))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-0) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-0) arg-3)))) (lambda (eta-0) (cons e-1 eta-0)))) eff-0))))))
(define CompilerC-45CaseOpts-caseLamConAlt (lambda (arg-1 arg-2) (let ((e-1 (vector-ref arg-2 0))) (let ((e-2 (vector-ref arg-2 1))) (let ((e-3 (vector-ref arg-2 2))) (let ((e-4 (vector-ref arg-2 3))) (let ((e-5 (vector-ref arg-2 4))) (let ((eff-0 (CompilerC-45CaseOpts-caseLam arg-1 e-5))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-6 (vector-ref eta-3 1))) (vector 0 e-6))) (else (let ((e-6 (vector-ref eta-3 1))) (vector 1 (eta-2 e-6))))))))))) (lambda (arg-0) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-0) arg-3)))) (lambda (eta-0) (vector e-1 e-2 e-3 e-4 eta-0)))) eff-0)))))))))
(define CompilerC-45CaseOpts-caseLam (lambda (arg-1 arg-2) (case (vector-ref arg-2 0) ((10) (let ((e-1 (vector-ref arg-2 1))) (let ((e-2 (vector-ref arg-2 2))) (let ((e-3 (vector-ref arg-2 3))) (let ((e-4 (vector-ref arg-2 4))) (let ((sc1 (let ((sc2 (CompilerC-45CaseOpts-allLams e-3))) (cond ((equal? sc2 1) (CompilerC-45CaseOpts-n--8717-3552-u--defLam e-4 e-3 e-2 e-1 arg-1 e-4)) (else 0))))) (cond ((equal? sc1 1) (let ((eff-0 (CompilerC-45CaseOpts-getName arg-1))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((sc3 (CompilerC-45CaseOpts-tryLiftOut e-5 e-3))) (if (null? sc3) (csegen-2330) (let ((e-6 (unbox sc3))) (let ((sc4 (CompilerC-45CaseOpts-tryLiftDef e-5 e-4))) (if (null? sc4) (csegen-2329) (let ((e-7 (unbox sc4))) (let ((eff-1 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CaseOpts-caseLamConAlt arg-1 eta-0)) e-6 '()))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-8 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (if (null? e-7) (lambda (eta-0) (vector 1 '())) (let ((e-9 (unbox e-7))) (let ((eff-2 (CompilerC-45CaseOpts-caseLam arg-1 e-9))) (((csegen-50) ((let ((eff-3 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-10 (vector-ref eta-3 1))) (vector 0 e-10))) (else (let ((e-10 (vector-ref eta-3 1))) (vector 1 (eta-2 e-10))))))))))) (lambda (arg-0) (lambda (arg-3) ((((eff-3 'erased) 'erased) arg-0) arg-3)))) (lambda (eta-0) (box eta-0)))) eff-2)))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-9 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (vector 2 e-1 e-5 (vector 10 e-1 (CoreC-45CompileExpr-u--weaken_Weaken_CExp e-2) e-8 e-9)))))) eff-3))))))))) eff-2))))))))))))))) eff-1)))))))) (else (let ((eff-0 (CompilerC-45CaseOpts-caseLam arg-1 e-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CaseOpts-caseLamConAlt arg-1 eta-0)) e-3 '()))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-6 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (if (null? e-4) (lambda (eta-0) (vector 1 '())) (let ((e-7 (unbox e-4))) (let ((eff-2 (CompilerC-45CaseOpts-caseLam arg-1 e-7))) (((csegen-50) ((let ((eff-3 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-8 (vector-ref eta-3 1))) (vector 0 e-8))) (else (let ((e-8 (vector-ref eta-3 1))) (vector 1 (eta-2 e-8))))))))))) (lambda (arg-0) (lambda (arg-3) ((((eff-3 'erased) 'erased) arg-0) arg-3)))) (lambda (eta-0) (box eta-0)))) eff-2)))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-7 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (vector 10 e-1 e-5 e-6 e-7))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))))))) ((11) (let ((e-6 (vector-ref arg-2 1))) (let ((e-7 (vector-ref arg-2 2))) (let ((e-8 (vector-ref arg-2 3))) (let ((e-9 (vector-ref arg-2 4))) (let ((sc1 (let ((sc2 (CompilerC-45CaseOpts-allLamsConst e-8))) (cond ((equal? sc2 1) (CompilerC-45CaseOpts-n--8717-3774-u--defLam e-9 e-8 e-7 e-6 arg-1 e-9)) (else 0))))) (cond ((equal? sc1 1) (let ((eff-0 (CompilerC-45CaseOpts-getName arg-1))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((sc3 (CompilerC-45CaseOpts-tryLiftOutConst e-5 e-8))) (if (null? sc3) (csegen-2330) (let ((e-1 (unbox sc3))) (let ((sc4 (CompilerC-45CaseOpts-tryLiftDef e-5 e-9))) (if (null? sc4) (csegen-2329) (let ((e-2 (unbox sc4))) (let ((eff-1 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CaseOpts-caseLamConstAlt arg-1 eta-0)) e-1 '()))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-3 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-10 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (if (null? e-2) (lambda (eta-0) (vector 1 '())) (let ((e-3 (unbox e-2))) (let ((eff-2 (CompilerC-45CaseOpts-caseLam arg-1 e-3))) (((csegen-50) ((let ((eff-3 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-4 (vector-ref eta-3 1))) (vector 0 e-4))) (else (let ((e-11 (vector-ref eta-3 1))) (vector 1 (eta-2 e-11))))))))))) (lambda (arg-0) (lambda (arg-3) ((((eff-3 'erased) 'erased) arg-0) arg-3)))) (lambda (eta-0) (box eta-0)))) eff-2)))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-3 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-11 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (vector 2 e-6 e-5 (vector 11 e-6 (CoreC-45CompileExpr-u--weaken_Weaken_CExp e-7) e-10 e-11)))))) eff-3))))))))) eff-2))))))))))))))) eff-1)))))))) (else (let ((eff-0 (CompilerC-45CaseOpts-caseLam arg-1 e-7))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CaseOpts-caseLamConstAlt arg-1 eta-0)) e-8 '()))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-10 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (if (null? e-9) (lambda (eta-0) (vector 1 '())) (let ((e-2 (unbox e-9))) (let ((eff-2 (CompilerC-45CaseOpts-caseLam arg-1 e-2))) (((csegen-50) ((let ((eff-3 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-3 (vector-ref eta-3 1))) (vector 0 e-3))) (else (let ((e-11 (vector-ref eta-3 1))) (vector 1 (eta-2 e-11))))))))))) (lambda (arg-0) (lambda (arg-3) ((((eff-3 'erased) 'erased) arg-0) arg-3)))) (lambda (eta-0) (box eta-0)))) eff-2)))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-11 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (vector 11 e-6 e-5 e-10 e-11))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))))))) ((2) (let ((e-11 (vector-ref arg-2 1))) (let ((e-12 (vector-ref arg-2 2))) (let ((e-13 (vector-ref arg-2 3))) (let ((eff-0 (CompilerC-45CaseOpts-caseLam arg-1 e-13))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-0) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-0) arg-3)))) (lambda (eta-0) (vector 2 e-11 e-12 eta-0)))) eff-0)))))) ((3) (let ((e-15 (vector-ref arg-2 1))) (let ((e-16 (vector-ref arg-2 2))) (let ((e-17 (vector-ref arg-2 3))) (let ((e-18 (vector-ref arg-2 4))) (let ((e-19 (vector-ref arg-2 5))) (CoreC-45Core-C-60C-42C-62 (let ((eff-0 (CompilerC-45CaseOpts-caseLam arg-1 e-18))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-0) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-0) arg-3)))) (lambda (eta-0) (lambda (eta-1) (vector 3 e-15 e-16 e-17 eta-0 eta-1))))) eff-0)) (CompilerC-45CaseOpts-caseLam arg-1 e-19)))))))) ((4) (let ((e-21 (vector-ref arg-2 1))) (let ((e-22 (vector-ref arg-2 2))) (let ((e-23 (vector-ref arg-2 3))) (CoreC-45Core-C-60C-42C-62 (let ((eff-0 (CompilerC-45CaseOpts-caseLam arg-1 e-22))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-0) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-0) arg-3)))) (lambda (eta-0) (lambda (eta-1) (vector 4 e-21 eta-0 eta-1))))) eff-0)) (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CaseOpts-caseLam arg-1 eta-0)) e-23 '())))))) ((5) (let ((e-25 (vector-ref arg-2 1))) (let ((e-26 (vector-ref arg-2 2))) (let ((e-27 (vector-ref arg-2 3))) (let ((e-28 (vector-ref arg-2 4))) (let ((e-29 (vector-ref arg-2 5))) (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CaseOpts-caseLam arg-1 eta-0)) e-29 '()))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-0) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-0) arg-3)))) (lambda (eta-0) (vector 5 e-25 e-26 e-27 e-28 eta-0)))) eff-0)))))))) ((6) (let ((e-31 (vector-ref arg-2 1))) (let ((e-32 (vector-ref arg-2 2))) (let ((e-33 (vector-ref arg-2 3))) (let ((e-34 (vector-ref arg-2 4))) (let ((eff-0 (CoreC-45Core-traverseVect (lambda (eta-0) (CompilerC-45CaseOpts-caseLam arg-1 eta-0)) e-34))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-0) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-0) arg-3)))) (lambda (eta-0) (vector 6 e-31 e-32 e-33 eta-0)))) eff-0))))))) ((7) (let ((e-36 (vector-ref arg-2 1))) (let ((e-37 (vector-ref arg-2 2))) (let ((e-38 (vector-ref arg-2 3))) (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45CaseOpts-caseLam arg-1 eta-0)) e-38 '()))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-0) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-0) arg-3)))) (lambda (eta-0) (vector 7 e-36 e-37 eta-0)))) eff-0)))))) ((8) (let ((e-40 (vector-ref arg-2 1))) (let ((e-41 (vector-ref arg-2 2))) (let ((e-42 (vector-ref arg-2 3))) (let ((eff-0 (CompilerC-45CaseOpts-caseLam arg-1 e-42))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-0) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-0) arg-3)))) (lambda (eta-0) (vector 8 e-40 e-41 eta-0)))) eff-0)))))) ((9) (let ((e-44 (vector-ref arg-2 1))) (let ((e-45 (vector-ref arg-2 2))) (let ((e-46 (vector-ref arg-2 3))) (let ((eff-0 (CompilerC-45CaseOpts-caseLam arg-1 e-46))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-0) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-0) arg-3)))) (lambda (eta-0) (vector 9 e-44 e-45 eta-0)))) eff-0))))))(else (lambda (eta-0) (vector 1 arg-2))))))
(define CompilerC-45CaseOpts-allLamsConst (lambda (arg-1) (if (null? arg-1) 1 (let ((e-2 (car arg-1))) (let ((e-3 (cdr arg-1))) (if (null? e-2) 0 (let ((e-6 (cdr e-2))) (case (vector-ref e-6 0) ((2) (CompilerC-45CaseOpts-allLamsConst e-3))(else 0)))))))))
(define CompilerC-45CaseOpts-allLams (lambda (arg-1) (if (null? arg-1) 1 (let ((e-2 (car arg-1))) (let ((e-3 (cdr arg-1))) (let ((e-9 (vector-ref e-2 4))) (case (vector-ref e-9 0) ((2) (CompilerC-45CaseOpts-allLams e-3))(else 0))))))))
(define IdrisC-45Driver-case--caseC-32blockC-32inC-32caseC-32blockC-32inC-32caseC-32blockC-32inC-32caseC-32blockC-32inC-32caseC-32blockC-32inC-32caseC-32blockC-32inC-32stMain-3380 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20 arg-21 arg-22 arg-23) (let ((e-2 (car arg-23))) (let ((e-3 (cdr arg-23))) (let ((eff-0 (PrimIO-io_bind (IdrisC-45IDEModeC-45REPL-initIDESocketFile e-2 e-3) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (case (vector-ref e-5 0) ((0) (let ((e-4 (vector-ref e-5 1))) (let ((eff-1 (PrimIO-io_bind (PreludeC-45IO-putStrLn (csegen-40) e-4) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-1 (csegen-2334))))) (else (let ((e-6 (vector-ref e-5 1))) (let ((eff-1 (IdrisC-45REPLC-45Opts-setOutput arg-12 (vector 0 0 e-6 e-6)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-2 (IdrisC-45IDEModeC-45REPL-replIDE arg-6 arg-16 arg-7 arg-18 arg-12))) eff-2))))))))))) eff-1)))))))))))
(define IdrisC-45Driver-n--14036-2469-u--renderError (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (let ((eff-0 (IdrisC-45Error-perror arg-2 arg-3 arg-4 arg-5))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (IdrisC-45Pretty-render arg-4 e-5))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 60 e-6) eta-0)))) eff-2))))))))) eff-1)))))))))
(define IdrisC-45Driver-updateREPLOpts (lambda (arg-0) (let ((eff-0 (PrimIO-io_bind (System-getEnv (csegen-40) "EDITOR") (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (if (null? e-5) (lambda (eta-0) (vector 1 (vector 0 ))) (let ((e-1 (unbox e-5))) (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (unbox eff-2))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 arg-0)) (PrimIO-io_bind (let ((eff-3 eff-2)) (lambda (eta-0) (set-box! eff-3 (let ((e-0 (vector-ref e-6 0))) (let ((e-19 (vector-ref e-6 1))) (let ((e-2 (vector-ref e-6 2))) (let ((e-3 (vector-ref e-6 3))) (let ((e-4 (vector-ref e-6 4))) (let ((e-18 (vector-ref e-6 5))) (let ((e-7 (vector-ref e-6 7))) (let ((e-8 (vector-ref e-6 8))) (let ((e-9 (vector-ref e-6 9))) (let ((e-10 (vector-ref e-6 10))) (let ((e-11 (vector-ref e-6 11))) (let ((e-12 (vector-ref e-6 12))) (let ((e-13 (vector-ref e-6 13))) (let ((e-14 (vector-ref e-6 14))) (let ((e-15 (vector-ref e-6 15))) (let ((e-16 (vector-ref e-6 16))) (vector e-0 e-19 e-2 e-3 e-4 e-18 e-1 e-7 e-8 e-9 e-10 e-11 e-12 e-13 e-14 e-15 e-16)))))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-2))))))))))) eff-1)))))))))
(define IdrisC-45Driver-updateEnv (lambda (arg-0 arg-1) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (PrimIO-io_bind (System-getEnv (csegen-40) "IDRIS2_PREFIX") (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-setPrefix arg-0 (DataC-45Maybe-fromMaybe (lambda () (IdrisPaths-yprefix)) e-6)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (let ((eff-3 (PrimIO-io_bind (System-getEnv (csegen-40) "IDRIS2_PATH") (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (if (null? e-8) (lambda (eta-0) (vector 1 (vector 0 ))) (let ((e-1 (unbox e-8))) (CoreC-45Core-traverseList1_ (lambda (eta-0) (CoreC-45Context-addExtraDir arg-0 eta-0)) (IdrisC-45Driver-splitPaths e-1)))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-5 (let ((eff-5 (PrimIO-io_bind (System-getEnv (csegen-40) "IDRIS2_DATA") (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-10 (vector-ref lcase-5 1))) (let ((eff-6 (let ((eff-6 (if (null? e-10) (lambda (eta-0) (vector 1 (vector 0 ))) (let ((e-1 (unbox e-10))) (CoreC-45Core-traverseList1_ (lambda (eta-0) (CoreC-45Context-addDataDir arg-0 eta-0)) (IdrisC-45Driver-splitPaths e-1)))))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-2 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-7 (let ((eff-7 (PrimIO-io_bind (System-getEnv (csegen-40) "IDRIS2_LIBS") (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-2 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-12 (vector-ref lcase-7 1))) (let ((eff-8 (let ((eff-8 (if (null? e-12) (lambda (eta-0) (vector 1 (vector 0 ))) (let ((e-1 (unbox e-12))) (CoreC-45Core-traverseList1_ (lambda (eta-0) (CoreC-45Context-addLibDir arg-0 eta-0)) (IdrisC-45Driver-splitPaths e-1)))))) (PrimIO-io_bind eff-8 (lambda (lcase-8) (case (vector-ref lcase-8 0) ((0) (let ((e-2 (vector-ref lcase-8 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-9 (let ((eff-9 (PrimIO-io_bind (System-getEnv (csegen-40) "IDRIS2_PACKAGE_PATH") (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-9 (lambda (lcase-9) (case (vector-ref lcase-9 0) ((0) (let ((e-2 (vector-ref lcase-9 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-14 (vector-ref lcase-9 1))) (let ((eff-10 (let ((eff-10 (if (null? e-14) (lambda (eta-0) (vector 1 (vector 0 ))) (let ((e-1 (unbox e-14))) (CoreC-45Core-traverseList1_ (lambda (eta-0) (CoreC-45Context-addPackageDir arg-0 eta-0)) (IdrisC-45Driver-splitPaths e-1)))))) (PrimIO-io_bind eff-10 (lambda (lcase-10) (case (vector-ref lcase-10 0) ((0) (let ((e-2 (vector-ref lcase-10 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-11 (let ((eff-11 (PrimIO-io_bind (System-getEnv (csegen-40) "IDRIS2_CG") (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-11 (lambda (lcase-11) (case (vector-ref lcase-11 0) ((0) (let ((e-2 (vector-ref lcase-11 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-16 (vector-ref lcase-11 1))) (let ((eff-12 (let ((eff-12 (if (null? e-16) (lambda (eta-0) (vector 1 (vector 0 ))) (let ((e-1 (unbox e-16))) (let ((sc13 (CoreC-45Options-getCG (let ((e-4 (vector-ref e-5 4))) e-4) e-1))) (if (null? sc13) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 (string-append "Unknown code generator " (PreludeC-45Show-u--show_Show_String e-1))) eta-0)) (let ((e-2 (unbox sc13))) (CoreC-45Context-setCG arg-0 e-2)))))))) (PrimIO-io_bind eff-12 (lambda (lcase-12) (case (vector-ref lcase-12 0) ((0) (let ((e-2 (vector-ref lcase-12 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-13 (let ((eff-13 (PrimIO-io_bind (System-getEnv (csegen-40) "IDRIS2_INC_CGS") (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-13 (lambda (lcase-13) (case (vector-ref lcase-13 0) ((0) (let ((e-2 (vector-ref lcase-13 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-18 (vector-ref lcase-13 1))) (let ((eff-14 (let ((eff-14 (if (null? e-18) (lambda (eta-0) (vector 1 (vector 0 ))) (let ((e-1 (unbox e-18))) (CoreC-45Core-traverseList1_ (lambda (eta-0) (IdrisC-45SetOptions-setIncrementalCG arg-0 arg-1 0 eta-0)) (DataC-45List1-u--map_Functor_List1 (lambda (eta-0) (DataC-45String-trim eta-0)) (DataC-45String-split (lambda (arg-2) (PreludeC-45EqOrd-u--C-61C-61_Eq_Char arg-2 #\,)) e-1))))))) (PrimIO-io_bind eff-14 (lambda (lcase-14) (case (vector-ref lcase-14 0) ((0) (let ((e-2 (vector-ref lcase-14 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-15 (let ((eff-15 (let ((eff-15 arg-0)) (PrimIO-io_bind (let ((eff-16 eff-15)) (lambda (eta-0) (unbox eff-16))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-15 (lambda (lcase-15) (case (vector-ref lcase-15 0) ((0) (let ((e-2 (vector-ref lcase-15 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-20 (vector-ref lcase-15 1))) (let ((eff-16 (let ((eff-16 (CoreC-45Core-u--catch_Catchable_Core_Error (IdrisC-45SetOptions-addPkgDir arg-0 "prelude" (IdrisC-45PackageC-45Types-anyBounds)) (lambda (eta-0) (lambda (eta-1) (vector 1 (vector 0 ))))))) (PrimIO-io_bind eff-16 (lambda (lcase-16) (case (vector-ref lcase-16 0) ((0) (let ((e-2 (vector-ref lcase-16 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-17 (let ((eff-17 (CoreC-45Core-u--catch_Catchable_Core_Error (IdrisC-45SetOptions-addPkgDir arg-0 "base" (IdrisC-45PackageC-45Types-anyBounds)) (lambda (eta-0) (lambda (eta-1) (vector 1 (vector 0 ))))))) (PrimIO-io_bind eff-17 (lambda (lcase-17) (case (vector-ref lcase-17 0) ((0) (let ((e-2 (vector-ref lcase-17 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-18 (let ((eff-18 (CoreC-45Context-addDataDir arg-0 (LibrariesC-45UtilsC-45Path-C-60C-47C-62 (LibrariesC-45UtilsC-45Path-C-60C-47C-62 (let ((e-4 (vector-ref e-20 4))) (let ((e-59 (vector-ref e-4 0))) (let ((e-64 (vector-ref e-59 6))) e-64))) (string-append "idris2-" (csegen-2353))) "support")))) (PrimIO-io_bind eff-18 (lambda (lcase-18) (case (vector-ref lcase-18 0) ((0) (let ((e-2 (vector-ref lcase-18 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-19 (let ((eff-19 (CoreC-45Context-addLibDir arg-0 (LibrariesC-45UtilsC-45Path-C-60C-47C-62 (LibrariesC-45UtilsC-45Path-C-60C-47C-62 (let ((e-4 (vector-ref e-20 4))) (let ((e-60 (vector-ref e-4 0))) (let ((e-65 (vector-ref e-60 6))) e-65))) (string-append "idris2-" (csegen-2353))) "lib")))) (PrimIO-io_bind eff-19 (lambda (lcase-19) (case (vector-ref lcase-19 0) ((0) (let ((e-2 (vector-ref lcase-19 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-20 (let ((eff-20 (csegen-1584))) (PrimIO-io_bind eff-20 (lambda (lcase-20) (case (vector-ref lcase-20 0) ((0) (let ((e-2 (vector-ref lcase-20 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-25 (vector-ref lcase-20 1))) (let ((eff-21 (if (null? e-25) (csegen-1587) (let ((e-1 (unbox e-25))) (CoreC-45Context-addLibDir arg-0 e-1))))) eff-21))))))))) eff-20)))))))) eff-19)))))))) eff-18)))))))) eff-17)))))))) eff-16))))))))) eff-15)))))))) eff-14))))))))) eff-13)))))))) eff-12))))))))) eff-11)))))))) eff-10))))))))) eff-9)))))))) eff-8))))))))) eff-7)))))))) eff-6))))))))) eff-5)))))))) eff-4))))))))) eff-3)))))))) eff-2))))))))) eff-1)))))))))
(define IdrisC-45Driver-tryYaffle (lambda (arg-0) (if (null? arg-0) (lambda (eta-0) (vector 1 0)) (let ((e-2 (car arg-0))) (let ((e-3 (cdr arg-0))) (case (vector-ref e-2 0) ((28) (let ((e-4 (vector-ref e-2 1))) (let ((eff-0 (YaffleC-45Main-yaffleMain e-4 '()))) (PrimIO-io_bind eff-0 (csegen-2355)))))(else (IdrisC-45Driver-tryYaffle e-3))))))))
(define IdrisC-45Driver-tryTTM (lambda (arg-0) (if (null? arg-0) (lambda (eta-0) (vector 1 0)) (let ((e-2 (car arg-0))) (let ((e-3 (cdr arg-0))) (case (vector-ref e-2 0) ((29) (let ((e-4 (vector-ref e-2 1))) (let ((eff-0 (CoreC-45Metadata-dumpTTM e-4))) (PrimIO-io_bind eff-0 (csegen-2355)))))(else (IdrisC-45Driver-tryTTM e-3))))))))
(define IdrisC-45Driver-stMain (lambda (arg-0 arg-1) (let ((eff-0 (IdrisC-45Driver-tryYaffle arg-1))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (cond ((equal? e-5 0) (let ((eff-1 (IdrisC-45Driver-tryTTM arg-1))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (cond ((equal? e-6 0) (let ((eff-2 (CoreC-45Context-initDefs))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((u--updated (PreludeC-45Types-u--foldl_Foldable_List (lambda (u--o) (lambda (lamc-0) (let ((e-2 (car lamc-0))) (CoreC-45Options-addCG (cons e-2 (vector 8 e-2)) u--o)))) (let ((e-4 (vector-ref e-7 4))) e-4) arg-0))) (let ((eff-3 (CoreC-45Core-newRef (vector "Core.Context.Ctxt" ) (let ((e-0 (vector-ref e-7 0))) (let ((e-1 (vector-ref e-7 1))) (let ((e-2 (vector-ref e-7 2))) (let ((e-3 (vector-ref e-7 3))) (let ((e-34 (vector-ref e-7 5))) (let ((e-33 (vector-ref e-7 6))) (let ((e-32 (vector-ref e-7 7))) (let ((e-8 (vector-ref e-7 8))) (let ((e-9 (vector-ref e-7 9))) (let ((e-10 (vector-ref e-7 10))) (let ((e-11 (vector-ref e-7 11))) (let ((e-12 (vector-ref e-7 12))) (let ((e-13 (vector-ref e-7 13))) (let ((e-14 (vector-ref e-7 14))) (let ((e-15 (vector-ref e-7 15))) (let ((e-16 (vector-ref e-7 16))) (let ((e-17 (vector-ref e-7 17))) (let ((e-18 (vector-ref e-7 18))) (let ((e-19 (vector-ref e-7 19))) (let ((e-20 (vector-ref e-7 20))) (let ((e-21 (vector-ref e-7 21))) (let ((e-22 (vector-ref e-7 22))) (let ((e-23 (vector-ref e-7 23))) (let ((e-24 (vector-ref e-7 24))) (let ((e-25 (vector-ref e-7 25))) (let ((e-26 (vector-ref e-7 26))) (let ((e-27 (vector-ref e-7 27))) (let ((e-28 (vector-ref e-7 28))) (let ((e-29 (vector-ref e-7 29))) (let ((e-30 (vector-ref e-7 30))) (let ((e-31 (vector-ref e-7 31))) (vector e-0 e-1 e-2 e-3 u--updated e-34 e-33 e-32 e-8 e-9 e-10 e-11 e-12 e-13 e-14 e-15 e-16 e-17 e-18 e-19 e-20 e-21 e-22 e-23 e-24 e-25 e-26 e-27 e-28 e-29 e-30 e-31))))))))))))))))))))))))))))))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (csegen-2356))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (let ((eff-5 (CoreC-45Context-setCG e-8 (PreludeC-45Types-maybe (lambda () (vector 0 )) (lambda () (lambda (eta-0) (vector 8 (Builtin-fst eta-0)))) (DataC-45List-headC-39 arg-0))))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-6 (let ((eff-6 (CoreC-45InitPrimitives-addPrimitives e-8))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-2 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-7 (let ((eff-7 (CoreC-45Context-setWorkingDir e-8 "."))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-2 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-8 (let ((eff-8 (let ((eff-8 (CoreC-45Context-getSession e-8))) (PrimIO-io_bind eff-8 (lambda (lcase-8) (case (vector-ref lcase-8 0) ((0) (let ((e-2 (vector-ref lcase-8 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-13 (vector-ref lcase-8 1))) (let ((eff-9 (let ((sc11 (IdrisC-45Driver-ignoreMissingIpkg arg-1))) (cond ((equal? sc11 1) (CoreC-45Context-setSession e-8 (let ((e-0 (vector-ref e-13 0))) (let ((e-1 (vector-ref e-13 1))) (let ((e-2 (vector-ref e-13 2))) (let ((e-3 (vector-ref e-13 3))) (let ((e-4 (vector-ref e-13 4))) (let ((e-32 (vector-ref e-13 5))) (let ((e-31 (vector-ref e-13 6))) (let ((e-29 (vector-ref e-13 8))) (let ((e-28 (vector-ref e-13 9))) (let ((e-27 (vector-ref e-13 10))) (let ((e-26 (vector-ref e-13 11))) (let ((e-25 (vector-ref e-13 12))) (let ((e-24 (vector-ref e-13 13))) (let ((e-14 (vector-ref e-13 14))) (let ((e-15 (vector-ref e-13 15))) (let ((e-16 (vector-ref e-13 16))) (let ((e-17 (vector-ref e-13 17))) (let ((e-18 (vector-ref e-13 18))) (let ((e-19 (vector-ref e-13 19))) (let ((e-20 (vector-ref e-13 20))) (let ((e-21 (vector-ref e-13 21))) (let ((e-22 (vector-ref e-13 22))) (let ((e-23 (vector-ref e-13 23))) (vector e-0 e-1 e-2 e-3 e-4 e-32 e-31 1 e-29 e-28 e-27 e-26 e-25 e-24 e-14 e-15 e-16 e-17 e-18 e-19 e-20 e-21 e-22 e-23)))))))))))))))))))))))))) (else (lambda (eta-0) (vector 1 (vector 0 )))))))) eff-9))))))))) (PrimIO-io_bind eff-8 (lambda (lcase-8) (case (vector-ref lcase-8 0) ((0) (let ((e-2 (vector-ref lcase-8 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-9 (let ((u--ide (IdrisC-45SetOptions-ideMode arg-1))) (let ((u--ideSocket (IdrisC-45SetOptions-ideModeSocket arg-1))) (let ((u--outmode (cond ((equal? u--ide 1) (csegen-2358)) (else (vector 1 2))))) (let ((u--fname (IdrisC-45Driver-findInput arg-1))) (let ((eff-9 (CoreC-45Core-newRef (vector "Idris.REPL.Opts.ROpts" ) (IdrisC-45REPLC-45Opts-defaultOpts u--fname u--outmode arg-0)))) (PrimIO-io_bind eff-9 (lambda (lcase-9) (case (vector-ref lcase-9 0) ((0) (let ((e-2 (vector-ref lcase-9 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-14 (vector-ref lcase-9 1))) (let ((eff-10 (let ((eff-10 (IdrisC-45Driver-updateEnv e-8 e-14))) (PrimIO-io_bind eff-10 (lambda (lcase-10) (case (vector-ref lcase-10 0) ((0) (let ((e-2 (vector-ref lcase-10 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-11 (let ((eff-11 (IdrisC-45Driver-showInfo e-8 e-14 arg-1))) (PrimIO-io_bind eff-11 (lambda (lcase-11) (case (vector-ref lcase-11 0) ((0) (let ((e-2 (vector-ref lcase-11 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-16 (vector-ref lcase-11 1))) (let ((eff-12 (cond ((equal? e-16 1) (lambda (eta-0) (vector 1 (vector 0 )))) (else (let ((eff-12 (IdrisC-45SetOptions-preOptions e-8 e-14 arg-1))) (PrimIO-io_bind eff-12 (lambda (lcase-12) (case (vector-ref lcase-12 0) ((0) (let ((e-2 (vector-ref lcase-12 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-17 (vector-ref lcase-12 1))) (let ((eff-13 (cond ((equal? e-17 1) (let ((eff-13 (IdrisC-45Package-processPackageOpts e-8 e-9 e-14 arg-1))) (PrimIO-io_bind eff-13 (lambda (lcase-13) (case (vector-ref lcase-13 0) ((0) (let ((e-2 (vector-ref lcase-13 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-18 (vector-ref lcase-13 1))) (let ((eff-14 (cond ((equal? e-18 1) (lambda (eta-0) (vector 1 (vector 0 )))) (else (PreludeC-45Basics-flip (lambda (eta-0) (lambda (eta-1) (CoreC-45Core-u--catch_Catchable_Core_Error eta-0 eta-1))) (lambda (eta-0) (IdrisC-45Driver-n--14036-2469-u--renderError arg-1 arg-0 e-8 e-9 e-14 eta-0)) (let ((eff-14 (let ((sc19 (IdrisC-45Driver-checkVerbose arg-1))) (cond ((equal? sc19 1) (IdrisC-45REPLC-45Opts-setOutput e-14 (vector 1 2))) (else (lambda (eta-0) (vector 1 (vector 0 )))))))) (PrimIO-io_bind eff-14 (lambda (lcase-14) (case (vector-ref lcase-14 0) ((0) (let ((e-2 (vector-ref lcase-14 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-15 (let ((eff-15 (csegen-2360))) (PrimIO-io_bind eff-15 (lambda (lcase-15) (case (vector-ref lcase-15 0) ((0) (let ((e-2 (vector-ref lcase-15 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-20 (vector-ref lcase-15 1))) (let ((eff-16 (let ((eff-16 (PreludeC-45Types-maybe (lambda () (lambda (eta-0) (vector 1 (vector 2 (vector 0 ))))) (lambda () (lambda (fname-0) (let ((eff-16 (CoreC-45Directory-ctxtPathToNS e-8 fname-0))) (PrimIO-io_bind eff-16 (csegen-2361))))) u--fname))) (PrimIO-io_bind eff-16 (lambda (lcase-16) (case (vector-ref lcase-16 0) ((0) (let ((e-2 (vector-ref lcase-16 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-21 (vector-ref lcase-16 1))) (let ((eff-17 (let ((eff-17 (CoreC-45Core-newRef (vector "Core.Metadata.MD" ) (CoreC-45Metadata-initMetadata e-21)))) (PrimIO-io_bind eff-17 (lambda (lcase-17) (case (vector-ref lcase-17 0) ((0) (let ((e-2 (vector-ref lcase-17 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-22 (vector-ref lcase-17 1))) (let ((eff-18 (let ((eff-18 (IdrisC-45Driver-updateREPLOpts e-14))) (PrimIO-io_bind eff-18 (lambda (lcase-18) (case (vector-ref lcase-18 0) ((0) (let ((e-2 (vector-ref lcase-18 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-19 (let ((eff-19 (CoreC-45Context-getSession e-8))) (PrimIO-io_bind eff-19 (lambda (lcase-19) (case (vector-ref lcase-19 0) ((0) (let ((e-2 (vector-ref lcase-19 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-24 (vector-ref lcase-19 1))) (let ((eff-20 (let ((eff-20 (let ((sc25 (let ((e-2 (vector-ref e-24 2))) e-2))) (cond ((equal? sc25 1) (lambda (eta-0) (vector 1 (vector 0 )))) (else (let ((eff-20 (IdrisC-45REPLC-45Common-iputStrLn e-8 e-14 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-863) (IdrisC-45Driver-banner))))) (PrimIO-io_bind eff-20 (lambda (lcase-20) (case (vector-ref lcase-20 0) ((0) (let ((e-2 (vector-ref lcase-20 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-21 (let ((sc27 (DataC-45List-isCons arg-0))) (cond ((equal? sc27 1) (IdrisC-45REPLC-45Common-iputStrLn e-8 e-14 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow ((csegen-0) "With codegen for:")) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-hsep (PreludeC-45Interfaces-C-60C-36C-62 (csegen-24) (csegen-2365) arg-0))))) (else (lambda (eta-0) (vector 1 (vector 0 )))))))) eff-21))))))))))) (PrimIO-io_bind eff-20 (lambda (lcase-20) (case (vector-ref lcase-20 0) ((0) (let ((e-2 (vector-ref lcase-20 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-21 (let ((eff-21 (let ((sc26 (let ((e-3 (vector-ref e-24 3))) e-3))) (cond ((equal? sc26 1) (IdrisC-45Package-findIpkg e-8 e-14 e-9 u--fname)) (else (lambda (eta-0) (vector 1 u--fname))))))) (PrimIO-io_bind eff-21 (lambda (lcase-21) (case (vector-ref lcase-21 0) ((0) (let ((e-2 (vector-ref lcase-21 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-26 (vector-ref lcase-21 1))) (let ((eff-22 (let ((eff-22 (IdrisC-45REPLC-45Opts-setMainFile e-14 e-26))) (PrimIO-io_bind eff-22 (lambda (lcase-22) (case (vector-ref lcase-22 0) ((0) (let ((e-2 (vector-ref lcase-22 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-23 (let ((eff-23 (if (null? e-26) (CoreC-45ContextC-45Log-logTime e-8 1 (lambda () ((csegen-0) "Loading prelude")) (let ((eff-23 (let ((sc29 (let ((e-0 (vector-ref e-24 0))) e-0))) (cond ((equal? sc29 1) (lambda (eta-0) (vector 1 (vector 0 )))) (else (IdrisC-45ProcessIdr-readPrelude e-8 e-20 e-9 1)))))) (PrimIO-io_bind eff-23 (csegen-2368)))) (let ((e-2 (unbox e-26))) (CoreC-45ContextC-45Log-logTime e-8 1 (lambda () ((csegen-0) "Loading main file")) (let ((eff-23 (IdrisC-45REPL-loadMainFile e-8 e-20 e-9 e-22 e-14 e-2))) (PrimIO-io_bind eff-23 (lambda (lcase-23) (case (vector-ref lcase-23 0) ((0) (let ((e-3 (vector-ref lcase-23 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-28 (vector-ref lcase-23 1))) (let ((eff-24 (let ((eff-24 (IdrisC-45REPL-displayErrors e-8 e-20 e-9 e-22 e-14 e-28))) (PrimIO-io_bind eff-24 (lambda (lcase-24) (case (vector-ref lcase-24 0) ((0) (let ((e-3 (vector-ref lcase-24 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-25 (lambda (eta-0) (vector 1 e-28)))) eff-25)))))))) eff-24)))))))))))) (PrimIO-io_bind eff-23 (lambda (lcase-23) (case (vector-ref lcase-23 0) ((0) (let ((e-2 (vector-ref lcase-23 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-28 (vector-ref lcase-23 1))) (let ((eff-24 (let ((eff-24 (CoreC-45Core-u--catch_Catchable_Core_Error (IdrisC-45SetOptions-postOptions e-8 e-20 e-9 e-22 e-14 e-28 arg-1) (lambda (u--err) (CoreC-45Core-C-42C-62 (IdrisC-45REPLC-45Common-emitError e-8 e-14 e-9 u--err) (lambda (eta-0) (vector 1 0))))))) (PrimIO-io_bind eff-24 (lambda (lcase-24) (case (vector-ref lcase-24 0) ((0) (let ((e-2 (vector-ref lcase-24 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-29 (vector-ref lcase-24 1))) (let ((eff-25 (cond ((equal? e-29 1) (let ((sc31 (cond ((equal? u--ide 1) 1) (else u--ideSocket)))) (cond ((equal? sc31 1) (cond ((equal? u--ideSocket 1) (IdrisC-45Driver-case--caseC-32blockC-32inC-32caseC-32blockC-32inC-32caseC-32blockC-32inC-32caseC-32blockC-32inC-32caseC-32blockC-32inC-32caseC-32blockC-32inC-32stMain-3380 arg-1 arg-0 0 0 e-7 u--updated e-8 e-9 u--ide u--ideSocket u--outmode u--fname e-14 e-16 1 e-18 e-20 e-21 e-22 e-24 e-26 e-28 1 (IdrisC-45CommandLine-ideSocketModeAddress arg-1))) (else (let ((eff-25 (IdrisC-45REPLC-45Opts-setOutput e-14 (csegen-2358)))) (PrimIO-io_bind eff-25 (lambda (lcase-25) (case (vector-ref lcase-25 0) ((0) (let ((e-2 (vector-ref lcase-25 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-26 (IdrisC-45IDEModeC-45REPL-replIDE e-8 e-20 e-9 e-22 e-14))) eff-26))))))))) (else (let ((eff-25 (IdrisC-45REPL-repl e-8 e-20 e-9 e-22 e-14))) (PrimIO-io_bind eff-25 (lambda (lcase-25) (case (vector-ref lcase-25 0) ((0) (let ((e-2 (vector-ref lcase-25 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-26 (CoreC-45ContextC-45Log-showTimeRecord e-8))) eff-26)))))))))) (else (let ((eff-25 (let ((eff-25 e-14)) (PrimIO-io_bind (let ((eff-26 eff-25)) (lambda (eta-0) (unbox eff-26))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-25 (lambda (lcase-25) (case (vector-ref lcase-25 0) ((0) (let ((e-2 (vector-ref lcase-25 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-30 (vector-ref lcase-25 1))) (let ((eff-26 (let ((eff-26 (CoreC-45ContextC-45Log-showTimeRecord e-8))) (PrimIO-io_bind eff-26 (lambda (lcase-26) (case (vector-ref lcase-26 0) ((0) (let ((e-2 (vector-ref lcase-26 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-27 (let ((e-41 (vector-ref e-30 7))) (if (null? e-41) (lambda (eta-0) (vector 1 (vector 0 ))) (csegen-2332))))) eff-27)))))))) eff-26))))))))))) eff-25))))))))) eff-24))))))))) eff-23)))))))) eff-22))))))))) eff-21)))))))) eff-20))))))))) eff-19)))))))) eff-18))))))))) eff-17))))))))) eff-16))))))))) eff-15))))))))))) eff-14)))))))) (else (lambda (eta-0) (vector 1 (vector 0 ))))))) eff-13))))))))))) eff-12))))))))) eff-11)))))))) eff-10))))))))))))) eff-9)))))))) eff-8)))))))) eff-7)))))))) eff-6)))))))) eff-5))))))))) eff-4)))))))))) eff-3)))))))) (else (lambda (eta-0) (vector 1 (vector 0 ))))))) eff-2)))))))) (else (lambda (eta-0) (vector 1 (vector 0 ))))))) eff-1)))))))))
(define IdrisC-45Driver-splitPaths (lambda (ext-0) (DataC-45List1-u--map_Functor_List1 (lambda (eta-0) (DataC-45String-trim eta-0)) (DataC-45String-split (csegen-692) ext-0))))
(define IdrisC-45Driver-showInfo (lambda (arg-0 arg-1 arg-2) (if (null? arg-2) (lambda (eta-0) (vector 1 0)) (let ((e-3 (cdr arg-2))) (IdrisC-45Driver-showInfo arg-0 arg-1 e-3)))))
(define IdrisC-45Driver-quitOpts (lambda (arg-0) (if (null? arg-0) (lambda (eta-0) 1) (let ((e-2 (car arg-0))) (let ((e-3 (cdr arg-0))) (case (vector-ref e-2 0) ((11) (PreludeC-45Interfaces-C-62C-62 (csegen-39) (PreludeC-45IO-putStrLn (csegen-40) (IdrisC-45CommandLine-versionMsg)) (lambda () (lambda (eta-0) 0)))) ((12) (let ((e-4 (vector-ref e-2 1))) (if (null? e-4) (PreludeC-45Interfaces-C-62C-62 (csegen-39) (csegen-2372) (lambda () (lambda (eta-0) 0))) (let ((e-7 (unbox e-4))) (cond ((equal? e-7 0) (PreludeC-45Interfaces-C-62C-62 (csegen-39) (PreludeC-45IO-putStrLn (csegen-40) (CoreC-45OptionsC-45Log-helpTopics)) (lambda () (lambda (eta-0) 0)))) ((equal? e-7 1) (PreludeC-45Interfaces-C-62C-62 (csegen-39) (PreludeC-45IO-putStrLn (csegen-40) (IdrisC-45SyntaxC-45Pragmas-pragmaTopics)) (lambda () (lambda (eta-0) 0))))(else (IdrisC-45Driver-quitOpts e-3)))))))(else (IdrisC-45Driver-quitOpts e-3))))))))
(define IdrisC-45Driver-mainWithCodegens (lambda (arg-0) (PrimIO-io_bind (IdrisC-45CommandLine-getCmdOpts) (lambda (_-0) (case (vector-ref _-0 0) ((1) (let ((e-2 (vector-ref _-0 1))) (PrimIO-io_bind (IdrisC-45Driver-quitOpts e-2) (lambda (u--continue) (PreludeC-45Interfaces-when (csegen-33) u--continue (lambda () (PreludeC-45Interfaces-C-62C-62 (csegen-39) (lambda (eta-0) (LibrariesC-45UtilsC-45Term-setupTerm eta-0)) (lambda () (CoreC-45Core-coreRun (IdrisC-45Driver-stMain arg-0 e-2) (lambda (u--err) (PreludeC-45Interfaces-C-62C-62 (csegen-39) (PreludeC-45IO-putStrLn (csegen-40) (string-append ((csegen-0) "Uncaught error: ") (CoreC-45Core-u--show_Show_Error u--err))) (lambda () (csegen-2331)))) (lambda (u--res) (lambda (eta-0) (vector 0 )))))))))))) (else (let ((e-5 (vector-ref _-0 1))) (PreludeC-45Interfaces-C-62C-62 (csegen-39) (PreludeC-45IO-putStrLn (csegen-40) e-5) (lambda () (csegen-2372))))))))))
(define IdrisC-45Driver-ignoreMissingIpkg (lambda (arg-0) (if (null? arg-0) 0 (let ((e-2 (car arg-0))) (let ((e-3 (cdr arg-0))) (case (vector-ref e-2 0) ((35) 1)(else (IdrisC-45Driver-ignoreMissingIpkg e-3))))))))
(define IdrisC-45Driver-findInput (lambda (arg-0) (if (null? arg-0) '() (let ((e-2 (car arg-0))) (let ((e-3 (cdr arg-0))) (case (vector-ref e-2 0) ((25) (let ((e-4 (vector-ref e-2 1))) (box e-4)))(else (IdrisC-45Driver-findInput e-3))))))))
(define IdrisC-45Driver-checkVerbose (lambda (arg-0) (if (null? arg-0) 0 (let ((e-2 (car arg-0))) (let ((e-3 (cdr arg-0))) (case (vector-ref e-2 0) ((17) 1)(else (IdrisC-45Driver-checkVerbose e-3))))))))
(define IdrisC-45Driver-banner(blodwen-lazy (lambda () (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons "     ____    __     _         ___\xa;    /  _/___/ /____(_)____   |__ \\\xa;    / // __  / ___/ / ___/   __/ /     Version " (cons (csegen-2380) (cons "\xa;  _/ // /_/ / /  / (__  )   / __/      https://www.idris-lang.org\xa; /___/\\__,_/_/  /_/____/   /____/      Type :? for help\xa;\xa;Welcome to Idris 2.  Enjoy yourself!" '())))))))
(define YaffleC-45Main-u--resolved_HasNames_C-40C-124UnitC-44MkUnitC-124C-41 (lambda (arg-0 arg-1 ext-0) (vector 1 (vector 0 ))))
(define YaffleC-45Main-u--full_HasNames_C-40C-124UnitC-44MkUnitC-124C-41 (lambda (arg-0 arg-1 ext-0) (vector 1 (vector 0 ))))
(define YaffleC-45Main-yaffleMain (lambda (arg-0 arg-1) (let ((eff-0 (CoreC-45Context-initDefs))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Core-newRef (vector "Core.Context.Ctxt" ) e-5))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (YaffleC-45Main-processArgs arg-1))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45Directory-ctxtPathToNS e-6 arg-0))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-newRef (vector "Core.Metadata.MD" ) (CoreC-45Metadata-initMetadata (vector 0 e-8))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (let ((eff-5 (csegen-2360))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-10 (vector-ref lcase-5 1))) (let ((eff-6 (let ((eff-6 (csegen-2356))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-2 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-11 (vector-ref lcase-6 1))) (let ((eff-7 (let ((eff-7 (CoreC-45Core-newRef (vector "Idris.REPL.Opts.ROpts" ) (IdrisC-45REPLC-45Opts-defaultOpts (box arg-0) (vector 1 1) '())))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-2 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-12 (vector-ref lcase-7 1))) (let ((eff-8 (let ((eff-8 (if (null? e-7) (lambda (eta-0) (vector 1 (vector 0 ))) (let ((e-1 (unbox e-7))) (CoreC-45Context-setLogTimings e-6 e-1))))) (PrimIO-io_bind eff-8 (lambda (lcase-8) (case (vector-ref lcase-8 0) ((0) (let ((e-2 (vector-ref lcase-8 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-9 (let ((eff-9 (CoreC-45InitPrimitives-addPrimitives e-6))) (PrimIO-io_bind eff-9 (lambda (lcase-9) (case (vector-ref lcase-9 0) ((0) (let ((e-2 (vector-ref lcase-9 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-10 (let ((eff-10 (let ((sc10 (LibrariesC-45UtilsC-45Path-extension arg-0))) (if (null? sc10) (let ((eff-10 (let ((eff-10 (csegen-2392))) (((csegen-50) ((let ((eff-11 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-15 (vector-ref eta-3 1))) (vector 1 (eta-2 e-15))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-11 'erased) 'erased) arg-2) arg-3)))) (lambda (_-8679) (vector 0 )))) eff-10)))) (PrimIO-io_bind eff-10 (lambda (lcase-10) (case (vector-ref lcase-10 0) ((0) (let ((e-2 (vector-ref lcase-10 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-11 (let ((eff-11 (TTImpC-45ProcessDecls-processTTImpFile e-6 e-9 e-10 e-11 e-12 arg-0))) (PrimIO-io_bind eff-11 (lambda (lcase-11) (case (vector-ref lcase-11 0) ((0) (let ((e-2 (vector-ref lcase-11 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-16 (vector-ref lcase-11 1))) (let ((eff-12 (cond ((equal? e-16 1) (let ((eff-12 (CoreC-45Directory-makeBuildDirectory e-6 e-8))) (PrimIO-io_bind eff-12 (lambda (lcase-12) (case (vector-ref lcase-12 0) ((0) (let ((e-2 (vector-ref lcase-12 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-13 (let ((eff-13 (CoreC-45Directory-getTTCFileName e-6 arg-0 "ttc"))) (PrimIO-io_bind eff-13 (lambda (lcase-13) (case (vector-ref lcase-13 0) ((0) (let ((e-2 (vector-ref lcase-13 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-18 (vector-ref lcase-13 1))) (let ((eff-14 (let ((eff-14 (CoreC-45Binary-writeToTTC (csegen-2396) e-6 e-10 (vector 0 ) arg-0 e-18))) (PrimIO-io_bind eff-14 (lambda (lcase-14) (case (vector-ref lcase-14 0) ((0) (let ((e-2 (vector-ref lcase-14 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-15 (let ((eff-15 (csegen-2398))) (((csegen-50) ((let ((eff-16 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-20 (vector-ref eta-3 1))) (vector 1 (eta-2 e-20))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-16 'erased) 'erased) arg-2) arg-3)))) (lambda (_-8679) (vector 0 )))) eff-15)))) eff-15)))))))) eff-14))))))))) eff-13))))))) (else (lambda (eta-0) (vector 1 (vector 0 ))))))) eff-12))))))))) eff-11)))))) (let ((e-1 (unbox sc10))) (cond ((equal? e-1 "ttc") (let ((eff-10 (let ((eff-10 (PrimIO-io_bind (PreludeC-45IO-putStrLn (csegen-40) "Processing as TTC") (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (((csegen-50) ((let ((eff-11 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-15 (vector-ref eta-3 1))) (vector 1 (eta-2 e-15))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-11 'erased) 'erased) arg-2) arg-3)))) (lambda (_-8679) (vector 0 )))) eff-10)))) (PrimIO-io_bind eff-10 (lambda (lcase-10) (case (vector-ref lcase-10 0) ((0) (let ((e-2 (vector-ref lcase-10 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-11 (let ((eff-11 (let ((eff-11 (CoreC-45Binary-readFromTTC (csegen-2388) e-6 e-10 1 (CoreC-45FC-emptyFC) 1 arg-0 (CoreC-45NameC-45Namespace-nsAsModuleIdent (CoreC-45NameC-45Namespace-emptyNS)) (CoreC-45NameC-45Namespace-emptyNS)))) (((csegen-50) ((let ((eff-12 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-16 (vector-ref eta-3 1))) (vector 1 (eta-2 e-16))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-12 'erased) 'erased) arg-2) arg-3)))) (lambda (_-8679) (vector 0 )))) eff-11)))) (PrimIO-io_bind eff-11 (lambda (lcase-11) (case (vector-ref lcase-11 0) ((0) (let ((e-2 (vector-ref lcase-11 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-12 (let ((eff-12 (PrimIO-io_bind (PreludeC-45IO-putStrLn (csegen-40) "Read TTC") (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (((csegen-50) ((let ((eff-13 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-17 (vector-ref eta-3 1))) (vector 1 (eta-2 e-17))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-13 'erased) 'erased) arg-2) arg-3)))) (lambda (_-8679) (vector 0 )))) eff-12)))) eff-12)))))))) eff-11)))))))(else (let ((eff-10 (let ((eff-10 (csegen-2392))) (((csegen-50) ((let ((eff-11 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-15 (vector-ref eta-3 1))) (vector 1 (eta-2 e-15))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-11 'erased) 'erased) arg-2) arg-3)))) (lambda (_-8679) (vector 0 )))) eff-10)))) (PrimIO-io_bind eff-10 (lambda (lcase-10) (case (vector-ref lcase-10 0) ((0) (let ((e-2 (vector-ref lcase-10 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-11 (let ((eff-11 (TTImpC-45ProcessDecls-processTTImpFile e-6 e-9 e-10 e-11 e-12 arg-0))) (PrimIO-io_bind eff-11 (lambda (lcase-11) (case (vector-ref lcase-11 0) ((0) (let ((e-2 (vector-ref lcase-11 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-16 (vector-ref lcase-11 1))) (let ((eff-12 (cond ((equal? e-16 1) (let ((eff-12 (CoreC-45Directory-makeBuildDirectory e-6 e-8))) (PrimIO-io_bind eff-12 (lambda (lcase-12) (case (vector-ref lcase-12 0) ((0) (let ((e-2 (vector-ref lcase-12 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-13 (let ((eff-13 (CoreC-45Directory-getTTCFileName e-6 arg-0 "ttc"))) (PrimIO-io_bind eff-13 (lambda (lcase-13) (case (vector-ref lcase-13 0) ((0) (let ((e-2 (vector-ref lcase-13 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-18 (vector-ref lcase-13 1))) (let ((eff-14 (let ((eff-14 (CoreC-45Binary-writeToTTC (csegen-2396) e-6 e-10 (vector 0 ) arg-0 e-18))) (PrimIO-io_bind eff-14 (lambda (lcase-14) (case (vector-ref lcase-14 0) ((0) (let ((e-2 (vector-ref lcase-14 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-15 (let ((eff-15 (csegen-2398))) (((csegen-50) ((let ((eff-16 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-20 (vector-ref eta-3 1))) (vector 1 (eta-2 e-20))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-16 'erased) 'erased) arg-2) arg-3)))) (lambda (_-8679) (vector 0 )))) eff-15)))) eff-15)))))))) eff-14))))))))) eff-13))))))) (else (lambda (eta-0) (vector 1 (vector 0 ))))))) eff-12))))))))) eff-11))))))))))))) (PrimIO-io_bind eff-10 (lambda (lcase-10) (case (vector-ref lcase-10 0) ((0) (let ((e-2 (vector-ref lcase-10 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-11 (YaffleC-45REPL-repl e-6 e-9 e-10 e-11 e-12))) eff-11)))))))) eff-10)))))))) eff-9)))))))) eff-8))))))))) eff-7))))))))) eff-6))))))))) eff-5))))))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))
(define YaffleC-45Main-usage(blodwen-lazy (lambda () "Usage: yaffle <input file> [--timing]")))
(define YaffleC-45Main-processArgs (lambda (arg-0) (if (null? arg-0) (lambda (eta-0) (vector 1 '())) (let ((e-2 (car arg-0))) (let ((e-3 (cdr arg-0))) (cond ((equal? e-2 "--timing") (if (null? e-3) (lambda (eta-0) (vector 1 (box 10))) (csegen-2403)))(else (csegen-2403))))))))
(define YaffleC-45REPL-n--12830-1193-u--printName (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (let ((e-2 (car arg-7))) (let ((e-3 (cdr arg-7))) (let ((e-7 (cdr e-3))) (let ((eff-0 (let ((eff-0 arg-6)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Normalise-normaliseHoles arg-6 '() e-5 '() e-7))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-8 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45Unelab-unelab '() arg-6 '() e-8))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-9 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (PrimIO-io_bind (PreludeC-45IO-putStrLn (csegen-40) (string-append (CoreC-45Name-u--show_Show_Name e-2) (string-append " : " (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 (csegen-2405) e-9)))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (((csegen-50) ((let ((eff-4 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-4 (vector-ref eta-3 1))) (vector 0 e-4))) (else (let ((e-10 (vector-ref eta-3 1))) (vector 1 (eta-2 e-10))))))))))) (lambda (arg-8) (lambda (arg-9) ((((eff-4 'erased) 'erased) arg-8) arg-9)))) (lambda (_-8679) (vector 0 )))) eff-3)))) eff-3))))))))) eff-2))))))))) eff-1))))))))))))
(define YaffleC-45REPL-showInfo (lambda (arg-0) (let ((e-2 (car arg-0))) (let ((e-3 (cdr arg-0))) (let ((e-7 (cdr e-3))) (let ((eff-0 (PrimIO-io_bind (PreludeC-45IO-putStrLn (csegen-40) (string-append (CoreC-45Name-u--show_Show_Name e-2) (string-append " ==>\xa;" (string-append "\x9;" (string-append (CoreC-45ContextC-45Context-u--show_Show_Def (let ((e-17 (vector-ref e-7 17))) e-17)) (string-append "\xa;" (string-append "\x9;" (string-append (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (cons (lambda (u--x) (CoreC-45ContextC-45Context-u--show_Show_SCCall u--x)) (lambda (u--d) (lambda (u--x) (CoreC-45ContextC-45Context-u--showPrec_Show_SCCall u--d u--x)))) (let ((e-20 (vector-ref e-7 20))) e-20)) "\xa;")))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-4 (vector-ref eta-3 1))) (vector 0 e-4))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-1) (lambda (arg-2) ((((eff-1 'erased) 'erased) arg-1) arg-2)))) (lambda (_-8679) (vector 0 )))) eff-0)))))))
(define YaffleC-45REPL-repl (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (let ((eff-0 (let ((eff-0 (PrimIO-io_bind (PreludeC-45IO-putStr (csegen-40) "Yaffle> ") (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-5) (lambda (arg-6) ((((eff-1 'erased) 'erased) arg-5) arg-6)))) (lambda (_-8679) (vector 0 )))) eff-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (csegen-2411))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((sc2 (ParserC-45Source-runParser 1 (vector 2 (vector 0 )) '() e-6 (TTImpC-45Parser-command)))) (case (vector-ref sc2 0) ((0) (let ((e-2 (vector-ref sc2 1))) (let ((eff-2 (let ((eff-2 (PrimIO-io_bind (PreludeC-45IO-printLn (csegen-2412) e-2) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (((csegen-50) ((let ((eff-3 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-3 (vector-ref eta-3 1))) (vector 0 e-3))) (else (let ((e-7 (vector-ref eta-3 1))) (vector 1 (eta-2 e-7))))))))))) (lambda (arg-5) (lambda (arg-6) ((((eff-3 'erased) 'erased) arg-5) arg-6)))) (lambda (_-8679) (vector 0 )))) eff-2)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-3 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-3 (YaffleC-45REPL-repl arg-0 arg-1 arg-2 arg-3 arg-4))) eff-3)))))))) (else (let ((e-7 (vector-ref sc2 1))) (let ((e-9 (cdr e-7))) (let ((e-13 (cdr e-9))) (let ((eff-2 (YaffleC-45REPL-processCatch arg-0 arg-1 arg-2 arg-3 arg-4 e-13))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-10 (vector-ref lcase-2 1))) (let ((eff-3 (cond ((equal? e-10 1) (YaffleC-45REPL-repl arg-0 arg-1 arg-2 arg-3 arg-4)) (else (lambda (eta-0) (vector 1 (vector 0 ))))))) eff-3))))))))))))))) eff-2))))))))) eff-1))))))))
(define YaffleC-45REPL-processCatch (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (CoreC-45Core-u--catch_Catchable_Core_Error (YaffleC-45REPL-process arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (lambda (u--err) (let ((eff-0 (let ((eff-0 (PrimIO-io_bind (PreludeC-45IO-putStrLn (csegen-40) (CoreC-45Core-u--show_Show_Error u--err)) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-6) (lambda (arg-7) ((((eff-1 'erased) 'erased) arg-6) arg-7)))) (lambda (_-8679) (vector 0 )))) eff-0)))) (PrimIO-io_bind eff-0 (csegen-2355)))))))
(define YaffleC-45REPL-process (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (case (vector-ref arg-5 0) ((0) (let ((e-0 (vector-ref arg-5 1))) (let ((eff-0 (TTImpC-45Elab-elabTerm '() arg-0 arg-1 arg-2 arg-3 arg-4 0 (vector 2 ) '() '() '() e-0 '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((e-2 (car e-5))) (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (unbox eff-2))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Normalise-normalise arg-0 '() e-6 '() e-2))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (let ((eff-3 (TTImpC-45Unelab-unelab '() arg-0 '() e-7))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-4 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (PrimIO-io_bind (PreludeC-45IO-printLn (csegen-2416) e-8) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (((csegen-50) ((let ((eff-5 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-4 (vector-ref eta-3 1))) (vector 0 e-4))) (else (let ((e-9 (vector-ref eta-3 1))) (vector 1 (eta-2 e-9))))))))))) (lambda (arg-6) (lambda (arg-7) ((((eff-5 'erased) 'erased) arg-6) arg-7)))) (lambda (_-8679) (vector 0 )))) eff-4)))) eff-4))))))))) (PrimIO-io_bind eff-3 (csegen-2355))))) eff-3))))))))) eff-2)))))))))) eff-1))))))))) ((1) (let ((e-1 (vector-ref arg-5 1))) (case (vector-ref e-1 0) ((0) (let ((e-10 (vector-ref e-1 1))) (let ((e-11 (vector-ref e-1 2))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-lookupTyName e-11 (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Core-traverse_ (lambda (eta-0) (YaffleC-45REPL-n--12830-1193-u--printName e-10 e-11 arg-4 arg-3 arg-2 arg-1 arg-0 eta-0)) e-6))) (PrimIO-io_bind eff-2 (csegen-2355))))) eff-2))))))))) eff-1))))))))))(else (let ((eff-0 (TTImpC-45Elab-elabTerm '() arg-0 arg-1 arg-2 arg-3 arg-4 0 (vector 2 ) '() '() '() e-1 '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((e-3 (cdr e-5))) (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (unbox eff-2))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45NormaliseC-45Eval-getTerm e-3))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45Normalise-normaliseHoles arg-0 '() e-6 '() e-7))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-4 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (let ((eff-4 (TTImpC-45Unelab-unelab '() arg-0 '() e-8))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-4 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (let ((eff-5 (PrimIO-io_bind (PreludeC-45IO-printLn (csegen-2416) e-9) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (((csegen-50) ((let ((eff-6 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-4 (vector-ref eta-3 1))) (vector 0 e-4))) (else (let ((e-10 (vector-ref eta-3 1))) (vector 1 (eta-2 e-10))))))))))) (lambda (arg-6) (lambda (arg-7) ((((eff-6 'erased) 'erased) arg-6) arg-7)))) (lambda (_-8679) (vector 0 )))) eff-5)))) eff-5))))))))) (PrimIO-io_bind eff-4 (csegen-2355))))) eff-4))))))))) eff-3))))))))) eff-2)))))))))) eff-1))))))))))) ((2) (let ((e-2 (vector-ref arg-5 1))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-lookupTyName e-2 (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-3 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-6) (CoreC-45Context-ambiguousName arg-0 (CoreC-45FC-justFC (CoreC-45FC-defaultFC)) e-2 ((csegen-101) e-6)) (let ((e-1 (car e-6))) (let ((e-3 (cdr e-6))) (if (null? e-1) (CoreC-45Context-ambiguousName arg-0 (CoreC-45FC-justFC (CoreC-45FC-defaultFC)) e-2 ((csegen-101) e-6)) (let ((e-8 (car e-1))) (let ((e-7 (cdr e-1))) (if (null? e-7) (CoreC-45Context-ambiguousName arg-0 (CoreC-45FC-justFC (CoreC-45FC-defaultFC)) e-2 ((csegen-101) e-6)) (let ((e-10 (cdr e-7))) (if (null? e-3) (let ((eff-2 (CoreC-45Unify-search '() arg-0 arg-2 (CoreC-45FC-justFC (CoreC-45FC-defaultFC)) (AlgebraC-45ZeroOneOmega-u--top_Top_ZeroOneOmega) 0 1000 e-8 e-10 '()))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-11 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (let ((eff-3 arg-0)) (PrimIO-io_bind (let ((eff-4 eff-3)) (lambda (eta-0) (unbox eff-4))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-4 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-12 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Normalise-normaliseHoles arg-0 '() e-12 '() e-11))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-4 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-13 (vector-ref lcase-4 1))) (let ((eff-5 (let ((eff-5 (let ((eff-5 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-13))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-4 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-14 (vector-ref lcase-5 1))) (let ((eff-6 (let ((eff-6 (PrimIO-io_bind (PreludeC-45IO-printLn (cons (csegen-40) (csegen-1538)) e-14) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (((csegen-50) ((let ((eff-7 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-4 (vector-ref eta-3 1))) (vector 0 e-4))) (else (let ((e-15 (vector-ref eta-3 1))) (vector 1 (eta-2 e-15))))))))))) (lambda (arg-6) (lambda (arg-7) ((((eff-7 'erased) 'erased) arg-6) arg-7)))) (lambda (_-8679) (vector 0 )))) eff-6)))) eff-6))))))))) (PrimIO-io_bind eff-5 (csegen-2355))))) eff-5))))))))) eff-4))))))))) eff-3))))))) (CoreC-45Context-ambiguousName arg-0 (CoreC-45FC-justFC (CoreC-45FC-defaultFC)) e-2 ((csegen-101) e-6))))))))))))) eff-2))))))))) eff-1))))))))) ((3) (let ((e-3 (vector-ref arg-5 1))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-lookupTyName e-3 (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-6) (CoreC-45Context-ambiguousName arg-0 (CoreC-45FC-justFC (CoreC-45FC-defaultFC)) e-3 ((csegen-101) e-6)) (let ((e-1 (car e-6))) (let ((e-2 (cdr e-6))) (if (null? e-1) (CoreC-45Context-ambiguousName arg-0 (CoreC-45FC-justFC (CoreC-45FC-defaultFC)) e-3 ((csegen-101) e-6)) (let ((e-8 (car e-1))) (let ((e-7 (cdr e-1))) (if (null? e-7) (CoreC-45Context-ambiguousName arg-0 (CoreC-45FC-justFC (CoreC-45FC-defaultFC)) e-3 ((csegen-101) e-6)) (if (null? e-2) (let ((eff-2 (TTImpC-45InteractiveC-45ExprSearch-exprSearchN arg-0 arg-1 arg-2 arg-3 arg-4 (CoreC-45FC-justFC (CoreC-45FC-defaultFC)) 1 e-8 '()))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-11 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45Core-traverse_ (lambda (eta-0) (PrimIO-io_bind (PreludeC-45IO-printLn (cons (csegen-40) (csegen-1016)) eta-0) (lambda (u--opC-39) (lambda (eta-1) (vector 1 u--opC-39))))) e-11))) (PrimIO-io_bind eff-3 (csegen-2355))))) eff-3))))))) (CoreC-45Context-ambiguousName arg-0 (CoreC-45FC-justFC (CoreC-45FC-defaultFC)) e-3 ((csegen-101) e-6)))))))))))) eff-2))))))))) eff-1))))))))) ((4) (let ((e-4 (vector-ref arg-5 1))) (let ((e-5 (vector-ref arg-5 2))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Metadata-findTyDeclAt arg-1 (lambda (u--p) (lambda (u--n) (CoreC-45FC-onLine e-4 u--p)))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-7) (let ((eff-2 (let ((eff-2 (PrimIO-io_bind (PreludeC-45IO-putStrLn (csegen-40) (string-append (csegen-2431) (CoreC-45Name-u--show_Show_Name e-5))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (((csegen-50) ((let ((eff-3 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-8 (vector-ref eta-3 1))) (vector 1 (eta-2 e-8))))))))))) (lambda (arg-6) (lambda (arg-7) ((((eff-3 'erased) 'erased) arg-6) arg-7)))) (lambda (_-8679) (vector 0 )))) eff-2)))) (PrimIO-io_bind eff-2 (csegen-2355))) (let ((e-1 (unbox e-7))) (let ((e-8 (cdr e-1))) (let ((e-11 (car e-8))) (let ((e-10 (cdr e-8))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-lookupDefExact e-11 (let ((e-0 (vector-ref e-6 0))) e-0)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-12 (vector-ref lcase-2 1))) (let ((eff-3 (if (null? e-12) (let ((eff-3 (PrimIO-io_bind (PreludeC-45IO-putStrLn (csegen-40) (string-append (csegen-2431) (CoreC-45Name-u--show_Show_Name e-5))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (((csegen-50) ((let ((eff-4 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-15 (vector-ref eta-3 1))) (vector 1 (eta-2 e-15))))))))))) (lambda (arg-6) (lambda (arg-7) ((((eff-4 'erased) 'erased) arg-6) arg-7)))) (lambda (_-8679) (vector 0 )))) eff-3)) (let ((e-2 (unbox e-12))) (case (vector-ref e-2 0) ((0) (CoreC-45Core-u--catch_Catchable_Core_Error (let ((eff-3 (CoreC-45ContextC-45Log-logTime arg-0 0 (lambda () ((csegen-0) "Generation")) (TTImpC-45InteractiveC-45GenerateDef-makeDefN arg-0 arg-1 arg-2 arg-3 arg-4 (lambda (u--p) (lambda (u--n) (CoreC-45FC-onLine e-4 u--p))) 1 e-11)))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-3 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-15 (vector-ref lcase-3 1))) (let ((eff-4 (if (null? e-15) (let ((eff-4 (csegen-2426))) (((csegen-50) ((let ((eff-5 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-3 (vector-ref eta-3 1))) (vector 0 e-3))) (else (let ((e-16 (vector-ref eta-3 1))) (vector 1 (eta-2 e-16))))))))))) (lambda (arg-6) (lambda (arg-7) ((((eff-5 'erased) 'erased) arg-6) arg-7)))) (lambda (_-8679) (vector 0 )))) eff-4)) (let ((e-16 (car e-15))) (if (null? e-16) (let ((eff-4 (csegen-2426))) (((csegen-50) ((let ((eff-5 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-17 (vector-ref eta-3 1))) (vector 0 e-17))) (else (let ((e-17 (vector-ref eta-3 1))) (vector 1 (eta-2 e-17))))))))))) (lambda (arg-6) (lambda (arg-7) ((((eff-5 'erased) 'erased) arg-6) arg-7)))) (lambda (_-8679) (vector 0 )))) eff-4)) (let ((e-17 (cdr e-16))) (let ((eff-4 (PrimIO-io_bind (PreludeC-45IO-putStrLn (csegen-40) (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-2424) e-17)) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (((csegen-50) ((let ((eff-5 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-19 (vector-ref eta-3 1))) (vector 0 e-19))) (else (let ((e-19 (vector-ref eta-3 1))) (vector 1 (eta-2 e-19))))))))))) (lambda (arg-6) (lambda (arg-7) ((((eff-5 'erased) 'erased) arg-6) arg-7)))) (lambda (_-8679) (vector 0 )))) eff-4)))))))) eff-4))))))) (lambda (u--err) (let ((eff-3 (PrimIO-io_bind (PreludeC-45IO-putStrLn (csegen-40) (string-append ((csegen-0) "Can't find a definition for ") (CoreC-45Name-u--show_Show_Name e-11))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (((csegen-50) ((let ((eff-4 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-3 (vector-ref eta-3 1))) (vector 0 e-3))) (else (let ((e-15 (vector-ref eta-3 1))) (vector 1 (eta-2 e-15))))))))))) (lambda (arg-6) (lambda (arg-7) ((((eff-4 'erased) 'erased) arg-6) arg-7)))) (lambda (_-8679) (vector 0 )))) eff-3)))))(else (let ((eff-3 (PrimIO-io_bind (PreludeC-45IO-putStrLn (csegen-40) ((csegen-0) "Already defined")) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (((csegen-50) ((let ((eff-4 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-3 (vector-ref eta-3 1))) (vector 0 e-3))) (else (let ((e-15 (vector-ref eta-3 1))) (vector 1 (eta-2 e-15))))))))))) (lambda (arg-6) (lambda (arg-7) ((((eff-4 'erased) 'erased) arg-6) arg-7)))) (lambda (_-8679) (vector 0 )))) eff-3)))))))) eff-3))))))))) (PrimIO-io_bind eff-2 (csegen-2355)))))))))) eff-2))))))))) eff-1)))))))))) ((5) (let ((e-6 (vector-ref arg-5 1))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-lookupCtxtName e-6 (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-7) (CoreC-45Context-undefinedName arg-0 (CoreC-45FC-emptyFC) e-6) (let ((eff-2 (CoreC-45Core-traverse_ (lambda (u--fn) (let ((eff-2 (CoreC-45Context-getTotality arg-0 (CoreC-45FC-emptyFC) u--fn))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (let ((e-1 (cdr e-8))) (case (vector-ref e-1 0) ((1) (let ((e-2 (vector-ref e-1 1))) (let ((eff-3 (PrimIO-io_bind (PreludeC-45IO-putStrLn (csegen-40) (string-append (CoreC-45Name-u--show_Show_Name u--fn) (string-append ":\xa;" (CoreC-45NameC-45Namespace-showSep "\xa;" ((csegen-1273) e-2))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (((csegen-50) ((let ((eff-4 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-3 (vector-ref eta-3 1))) (vector 0 e-3))) (else (let ((e-9 (vector-ref eta-3 1))) (vector 1 (eta-2 e-9))))))))))) (lambda (arg-6) (lambda (arg-7) ((((eff-4 'erased) 'erased) arg-6) arg-7)))) (lambda (_-8679) (vector 0 )))) eff-3)))) ((2) (let ((e-2 (vector-ref e-1 1))) (let ((eff-3 (PrimIO-io_bind (PreludeC-45IO-putStrLn (csegen-40) (string-append (CoreC-45Name-u--show_Show_Name u--fn) (string-append ": Calls non covering function" (if (null? e-2) (string-append "s: " (CoreC-45NameC-45Namespace-showSep ", " ((csegen-102) e-2))) (let ((e-4 (car e-2))) (let ((e-3 (cdr e-2))) (if (null? e-3) (string-append " " (CoreC-45Name-u--show_Show_Name e-4)) (string-append "s: " (CoreC-45NameC-45Namespace-showSep ", " ((csegen-102) e-2)))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (((csegen-50) ((let ((eff-4 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-3 (vector-ref eta-3 1))) (vector 0 e-3))) (else (let ((e-9 (vector-ref eta-3 1))) (vector 1 (eta-2 e-9))))))))))) (lambda (arg-6) (lambda (arg-7) ((((eff-4 'erased) 'erased) arg-6) arg-7)))) (lambda (_-8679) (vector 0 )))) eff-3))))(else (let ((eff-3 (PrimIO-io_bind (PreludeC-45IO-putStrLn (csegen-40) (string-append (CoreC-45Name-u--show_Show_Name u--fn) ": All cases covered")) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (((csegen-50) ((let ((eff-4 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-9 (vector-ref eta-3 1))) (vector 1 (eta-2 e-9))))))))))) (lambda (arg-6) (lambda (arg-7) ((((eff-4 'erased) 'erased) arg-6) arg-7)))) (lambda (_-8679) (vector 0 )))) eff-3))))))) eff-3)))))))) ((csegen-101) e-7)))) (PrimIO-io_bind eff-2 (csegen-2355)))))) eff-2))))))))) eff-1))))))))) ((6) (let ((e-7 (vector-ref arg-5 1))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-lookupCtxtName e-7 (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-6) (CoreC-45Context-undefinedName arg-0 (CoreC-45FC-emptyFC) e-7) (let ((eff-2 (CoreC-45Core-traverse_ (lambda (u--fn) (let ((eff-2 (let ((eff-2 (CoreC-45Termination-checkTotal arg-0 (CoreC-45FC-emptyFC) u--fn))) (((csegen-50) ((let ((eff-3 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-8 (vector-ref eta-3 1))) (vector 1 (eta-2 e-8))))))))))) (lambda (arg-6) (lambda (arg-7) ((((eff-3 'erased) 'erased) arg-6) arg-7)))) (lambda (_-8679) (vector 0 )))) eff-2)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (let ((eff-3 (CoreC-45Context-getTotality arg-0 (CoreC-45FC-emptyFC) u--fn))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (PrimIO-io_bind (PreludeC-45IO-putStrLn (csegen-40) (string-append (CoreC-45Name-u--show_Show_Name u--fn) (string-append " is " (CoreC-45TT-u--show_Show_Totality e-9)))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (((csegen-50) ((let ((eff-5 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-10 (vector-ref eta-3 1))) (vector 1 (eta-2 e-10))))))))))) (lambda (arg-6) (lambda (arg-7) ((((eff-5 'erased) 'erased) arg-6) arg-7)))) (lambda (_-8679) (vector 0 )))) eff-4)))) eff-4))))))))) eff-3))))))) ((csegen-101) e-6)))) (PrimIO-io_bind eff-2 (csegen-2355)))))) eff-2))))))))) eff-1))))))))) ((7) (let ((e-8 (vector-ref arg-5 1))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 (CoreC-45Context-lookupCtxtName e-8 (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45Core-traverse_ (lambda (eta-0) (YaffleC-45REPL-showInfo eta-0)) e-6))) eff-2))))))))) (PrimIO-io_bind eff-1 (csegen-2355))))) eff-1))))))))) (else (let ((eff-0 (let ((eff-0 (PrimIO-io_bind (PreludeC-45IO-putStrLn (csegen-40) "Bye for now!") (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-6) (lambda (arg-7) ((((eff-1 'erased) 'erased) arg-6) arg-7)))) (lambda (_-8679) (vector 0 )))) eff-0)))) (PrimIO-io_bind eff-0 (csegen-2436)))))))
(define ParserC-45Source-n--5451-5023-u--state (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17) (let ((sc0 (ParserC-45RuleC-45Source-toState arg-12))) (let ((e-1 (car sc0))) (let ((e-2 (cdr sc0))) (cons (PreludeC-45TypesC-45List-tailRecAppend arg-16 e-1) e-2))))))
(define ParserC-45Source-runParserTo (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (PreludeC-45Types-u--C-62C-62C-61_Monad_C-40EitherC-32C-36eC-41 (let ((sc0 (ParserC-45Unlit-unlit arg-3 arg-5))) (case (vector-ref sc0 0) ((0) (let ((e-2 (vector-ref sc0 1))) (vector 0 (ParserC-45Support-fromLitError arg-2 e-2)))) (else (let ((e-5 (vector-ref sc0 1))) (vector 1 e-5))))) (lambda (u--str) (PreludeC-45Types-u--C-62C-62C-61_Monad_C-40EitherC-32C-36eC-41 (let ((sc0 (ParserC-45LexerC-45Source-lexTo arg-4 u--str))) (case (vector-ref sc0 0) ((0) (let ((e-2 (vector-ref sc0 1))) (vector 0 (ParserC-45Support-fromLexError arg-2 e-2)))) (else (let ((e-5 (vector-ref sc0 1))) (vector 1 e-5))))) (lambda (_-0) (let ((e-2 (car _-0))) (let ((e-3 (cdr _-0))) (PreludeC-45Types-u--C-62C-62C-61_Monad_C-40EitherC-32C-36eC-41 (let ((sc1 (LibrariesC-45TextC-45ParserC-45Core-parseWith (csegen-2438) arg-1 arg-6 e-3))) (case (vector-ref sc1 0) ((0) (let ((e-4 (vector-ref sc1 1))) (vector 0 (ParserC-45Support-fromParsingErrors (csegen-2443) arg-2 e-4)))) (else (let ((e-5 (vector-ref sc1 1))) (vector 1 e-5))))) (lambda (_-1) (let ((_-2 (cons e-2 e-3))) (let ((e-5 (car _-1))) (let ((e-4 (cdr _-1))) (let ((e-6 (car e-4))) (let ((e-7 (cdr e-4))) (let ((e-10 (car e-7))) (let ((e-11 (cdr e-7))) (let ((u--cs (PreludeC-45Interfaces-C-60C-38C-62 (csegen-24) e-2 (lambda (u--c) (cons (cons arg-2 (cons (LibrariesC-45TextC-45Bounded-start u--c) (LibrariesC-45TextC-45Bounded-end u--c))) (cons 0 '())))))) (let ((u--ws (PreludeC-45Interfaces-C-60C-38C-62 (csegen-24) e-6 (lambda (lamc-0) (let ((e-9 (car lamc-0))) (let ((e-8 (cdr lamc-0))) (let ((u--mkFC (lambda (u--b) (vector 0 arg-2 (LibrariesC-45TextC-45Bounded-startBounds u--b) (LibrariesC-45TextC-45Bounded-endBounds u--b))))) (vector 0 (PreludeC-45Types-maybe (lambda () (vector 2 )) (lambda () u--mkFC) e-9) e-8)))))))) (vector 1 (cons u--ws (cons (ParserC-45Source-n--5451-5023-u--state arg-1 arg-6 arg-5 arg-4 arg-3 arg-2 u--str e-2 e-3 _-2 e-11 e-5 e-6 e-10 _-1 u--cs u--ws) e-10))))))))))))))))))))))
(define ParserC-45Source-runParser (lambda (arg-1 arg-2 arg-3 ext-0 ext-1) (ParserC-45Source-runParserTo arg-1 arg-2 arg-3 (LibrariesC-45TextC-45LexerC-45Core-pred (lambda (eta-0) 0)) ext-0 ext-1)))
(define ParserC-45Source-parseFile (lambda (arg-1 arg-2 arg-3) (PrimIO-io_bind (SystemC-45FileC-45ReadWrite-readFile (csegen-40) arg-1) (lambda (_-0) (lambda (clam-0) (case (vector-ref _-0 0) ((1) (let ((e-2 (vector-ref _-0 1))) (ParserC-45Source-runParser 1 arg-2 (ParserC-45Unlit-isLitFile arg-1) e-2 arg-3))) (else (let ((e-5 (vector-ref _-0 1))) (vector 0 (vector 51 arg-1 e-5))))))))))
(define CoreC-45Metadata-case--addSemanticDecorations-9549 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (let ((e-2 (car arg-5))) (let ((e-3 (cdr arg-5))) (let ((eff-0 (let ((sc1 (DataC-45List-isNil e-3))) (cond ((equal? sc1 1) (lambda (eta-0) (vector 1 (vector 0 )))) (else (CoreC-45ContextC-45Log-log arg-1 "ide-mode.highlight" 19 (lambda () (string-append "ignored adding decorations to " (string-append (CoreC-45FC-u--show_Show_OriginDesc (let ((e-6 (vector-ref arg-3 6))) e-6)) (string-append ": " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-2461) e-3))))))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-1 (let ((eff-1 arg-2)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (let ((e-0 (vector-ref arg-3 0))) (let ((e-1 (vector-ref arg-3 1))) (let ((e-12 (vector-ref arg-3 2))) (let ((e-11 (vector-ref arg-3 3))) (let ((e-4 (vector-ref arg-3 4))) (let ((e-10 (vector-ref arg-3 5))) (let ((e-6 (vector-ref arg-3 6))) (let ((e-8 (vector-ref arg-3 8))) (let ((e-9 (vector-ref arg-3 9))) (vector e-0 e-1 e-12 e-11 e-4 e-10 e-6 (LibrariesC-45DataC-45PosMap-union (lambda (eta-1) (LibrariesC-45DataC-45PosMap-u--measure_Measure_C-40C-124C-40C-40BuiltinC-46PairC-32NonEmptyFCC-41C-32C-36aC-41C-44C-40C-40BuiltinC-46MkPairC-32NonEmptyFCC-41C-32C-36aC-41C-124C-41 eta-1)) (LibrariesC-45DataC-45PosMap-fromList (lambda (eta-1) (LibrariesC-45DataC-45PosMap-u--measure_Measure_C-40C-124C-40C-40BuiltinC-46PairC-32NonEmptyFCC-41C-32C-36aC-41C-44C-40C-40BuiltinC-46MkPairC-32NonEmptyFCC-41C-32C-36aC-41C-124C-41 eta-1)) e-2) arg-4) e-8 e-9))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-1))))))))))
(define CoreC-45Metadata-n--10559-8532-u--toPat (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-8) (if (null? arg-8) '() (let ((e-3 (car arg-8))) (let ((e-4 (cdr arg-8))) (case (vector-ref e-3 0) ((0) (let ((e-7 (vector-ref e-3 1))) (let ((e-8 (vector-ref e-3 2))) (let ((e-9 (vector-ref e-3 3))) (let ((e-10 (vector-ref e-3 4))) (cons (vector 3 e-7 e-8 e-9 e-10) (CoreC-45Metadata-n--10559-8532-u--toPat arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-4)))))))(else (cons e-3 (CoreC-45Metadata-n--10559-8532-u--toPat arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-4)))))))))
(define CoreC-45Metadata-n--11803-9691-u--nfType (lambda (arg-0 arg-1 arg-2 arg-3) (let ((e-2 (car arg-3))) (let ((e-3 (cdr arg-3))) (let ((e-6 (car e-3))) (let ((e-7 (cdr e-3))) (let ((e-10 (car e-7))) (let ((e-11 (cdr e-7))) (let ((eff-0 (CoreC-45Normalise-normaliseArgHoles arg-0 '() arg-2 '() e-11))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (cons e-2 (cons e-6 (cons e-10 e-5))))))) eff-1)))))))))))))))
(define CoreC-45Metadata-n--8197-6212-u--nameTypeDecoration (lambda (arg-0 arg-1 arg-2) (case (vector-ref arg-2 0) ((0) 5) ((1) 2) ((2) 3) (else 1))))
(define CoreC-45Metadata-n--12062-9950-u--fullTy (lambda (arg-0 arg-1 arg-2) (let ((e-2 (car arg-2))) (let ((e-3 (cdr arg-2))) (let ((e-6 (car e-3))) (let ((e-7 (cdr e-3))) (let ((e-10 (car e-7))) (let ((e-11 (cdr e-7))) (let ((eff-0 (CoreC-45Context-u--full_HasNames_Name arg-1 e-6))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-u--full_HasNames_C-40TermC-32C-36varsC-41 arg-1 e-11))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-8 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (cons e-2 (cons e-5 (cons e-10 e-8))))))) eff-2))))))))) eff-1)))))))))))))))
(define CoreC-45Metadata-n--12062-9949-u--fullLHS (lambda (arg-0 arg-1 arg-2) (let ((e-2 (car arg-2))) (let ((e-3 (cdr arg-2))) (let ((e-6 (car e-3))) (let ((e-7 (cdr e-3))) (let ((eff-0 (CoreC-45Context-u--full_HasNames_C-40TermC-32C-36varsC-41 arg-1 e-7))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (cons e-2 (cons e-6 e-5)))))) eff-1)))))))))))))
(define CoreC-45Metadata-n--12062-9951-u--fullHLHS (lambda (arg-0 arg-1 arg-2) (let ((e-2 (car arg-2))) (let ((e-3 (cdr arg-2))) (let ((eff-0 (CoreC-45Context-u--full_HasNames_Name arg-1 e-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-u--full_HasNames_C-40TermC-32C-36varsC-41 arg-1 e-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (cons e-5 e-6))))) eff-2))))))))) eff-1)))))))))))
(define CoreC-45Metadata-n--12062-9952-u--fullDecls (lambda (arg-0 arg-1 arg-2) (let ((e-2 (car arg-2))) (let ((e-3 (cdr arg-2))) (let ((eff-0 (CoreC-45Context-u--full_HasNames_Name arg-1 e-3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (cons e-2 e-5))))) eff-1)))))))))))
(define CoreC-45Metadata-u--toBuf_TTC_TTMFile (lambda (arg-0 arg-1) (let ((eff-0 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_String arg-0 (csegen-2462)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_Int arg-0 (let ((e-0 (car arg-1))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (CoreC-45Metadata-u--toBuf_TTC_Metadata arg-0 (let ((e-1 (cdr arg-1))) e-1)))) eff-2)))))))) eff-1))))))))
(define CoreC-45Metadata-u--toBuf_TTC_Metadata (lambda (arg-0 arg-1) (let ((eff-0 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40ListC-32C-36aC-41 (csegen-2483) arg-0 (let ((e-0 (vector-ref arg-1 0))) e-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40ListC-32C-36aC-41 (csegen-2491) arg-0 (let ((e-1 (vector-ref arg-1 1))) e-1)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40ListC-32C-36aC-41 (csegen-2491) arg-0 (let ((e-2 (vector-ref arg-1 2))) e-2)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (let ((eff-3 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40ListC-32C-36aC-41 (csegen-2495) arg-0 (let ((e-4 (vector-ref arg-1 4))) e-4)))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-4 (let ((eff-4 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40PosMapC-32C-36aC-41 (csegen-2500) arg-0 (let ((e-13 (vector-ref arg-1 5))) e-13)))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-5 (let ((eff-5 (CoreC-45TTC-u--toBuf_TTC_OriginDesc arg-0 (let ((e-13 (vector-ref arg-1 6))) e-13)))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-6 (let ((eff-6 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40PosMapC-32C-36aC-41 (csegen-2514) arg-0 (let ((e-13 (vector-ref arg-1 7))) e-13)))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-2 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-7 (let ((eff-7 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40PosMapC-32C-36aC-41 (csegen-2519) arg-0 (let ((e-13 (vector-ref arg-1 8))) e-13)))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-2 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-8 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40PosMapC-32C-36aC-41 (csegen-2514) arg-0 (let ((e-13 (vector-ref arg-1 9))) e-13)))) eff-8)))))))) eff-7)))))))) eff-6)))))))) eff-5)))))))) eff-4)))))))) eff-3)))))))) eff-2)))))))) eff-1))))))))
(define CoreC-45Metadata-u--toBuf_TTC_Decoration (lambda (arg-0 arg-1) (cond ((equal? arg-1 1) (CoreC-45BinaryC-45Prims-tag arg-0 0)) ((equal? arg-1 2) (CoreC-45BinaryC-45Prims-tag arg-0 1)) ((equal? arg-1 3) (CoreC-45BinaryC-45Prims-tag arg-0 2)) ((equal? arg-1 4) (CoreC-45BinaryC-45Prims-tag arg-0 3)) ((equal? arg-1 5) (CoreC-45BinaryC-45Prims-tag arg-0 4)) ((equal? arg-1 6) (CoreC-45BinaryC-45Prims-tag arg-0 5)) ((equal? arg-1 7) (CoreC-45BinaryC-45Prims-tag arg-0 6)) ((equal? arg-1 8) (CoreC-45BinaryC-45Prims-tag arg-0 7)) (else (CoreC-45BinaryC-45Prims-tag arg-0 8)))))
(define CoreC-45Metadata-u--show_Show_Metadata (lambda (arg-0) (let ((e-0 (vector-ref arg-0 0))) (let ((e-1 (vector-ref arg-0 1))) (let ((e-2 (vector-ref arg-0 2))) (let ((e-3 (vector-ref arg-0 3))) (let ((e-4 (vector-ref arg-0 4))) (let ((e-5 (vector-ref arg-0 5))) (let ((e-6 (vector-ref arg-0 6))) (let ((e-7 (vector-ref arg-0 7))) (let ((e-8 (vector-ref arg-0 8))) (let ((e-9 (vector-ref arg-0 9))) (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons "Metadata:\xa; lhsApps: " (cons (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (cons (lambda (u--x) (PreludeC-45Show-u--show_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-2524) u--x)) (lambda (u--d) (lambda (u--x) (PreludeC-45Show-u--showPrec_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-2524) u--d u--x)))) e-0) (cons "\xa; names: " (cons (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-2535) e-1) (cons "\xa; type declarations: " (cons (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-2535) e-2) (cons "\xa; current LHS: " (cons (PreludeC-45Show-u--show_Show_C-40MaybeC-32C-36aC-41 (csegen-1538) e-3) (cons "\xa; holes: " (cons (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (cons (lambda (u--x) (PreludeC-45Show-u--show_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-2536) u--x)) (lambda (u--d) (lambda (u--x) (PreludeC-45Show-u--showPrec_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-2536) u--d u--x)))) e-4) (cons "\xa; nameLocMap: " (cons (LibrariesC-45DataC-45PosMap-u--show_Show_C-40PosMapC-32C-36aC-41 (cons (lambda (u--x) (PreludeC-45Show-u--show_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-2540) u--x)) (lambda (u--d) (lambda (u--x) (PreludeC-45Show-u--showPrec_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-2540) u--d u--x)))) e-5) (cons "\xa; sourceIdent: " (cons (CoreC-45FC-u--show_Show_OriginDesc e-6) (cons "\xa; semanticHighlighting: " (cons (LibrariesC-45DataC-45PosMap-u--show_Show_C-40PosMapC-32C-36aC-41 (csegen-2461) e-7) (cons "\xa; semanticAliases: " (cons (LibrariesC-45DataC-45PosMap-u--show_Show_C-40PosMapC-32C-36aC-41 (cons (lambda (u--x) (PreludeC-45Show-u--show_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-2544) u--x)) (lambda (u--d) (lambda (u--x) (PreludeC-45Show-u--showPrec_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-2544) u--d u--x)))) e-8) (cons "\xa; semanticDefaults: " (cons (LibrariesC-45DataC-45PosMap-u--show_Show_C-40PosMapC-32C-36aC-41 (csegen-2461) e-9) '())))))))))))))))))))))))))))))))))
(define CoreC-45Metadata-u--full_HasNames_Metadata (lambda (arg-0 arg-1) (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45Metadata-n--12062-9949-u--fullLHS arg-1 arg-0 eta-0)) (let ((e-0 (vector-ref arg-1 0))) e-0) '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45Metadata-n--12062-9950-u--fullTy arg-1 arg-0 eta-0)) (let ((e-1 (vector-ref arg-1 1))) e-1) '()))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45Metadata-n--12062-9950-u--fullTy arg-1 arg-0 eta-0)) (let ((e-2 (vector-ref arg-1 2))) e-2) '()))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45Metadata-n--12062-9951-u--fullHLHS arg-1 arg-0 eta-0)) (let ((e-4 (vector-ref arg-1 4))) e-4) '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45Metadata-n--12062-9952-u--fullDecls arg-1 arg-0 eta-0)) (LibrariesC-45DataC-45PosMap-u--toList_Foldable_PosMap (let ((e-13 (vector-ref arg-1 5))) e-13)) '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (let ((e-13 (vector-ref arg-1 6))) (let ((e-12 (vector-ref arg-1 7))) (let ((e-11 (vector-ref arg-1 8))) (let ((e-10 (vector-ref arg-1 9))) (vector e-5 e-6 e-7 '() e-8 (LibrariesC-45DataC-45PosMap-fromList (lambda (eta-1) (LibrariesC-45DataC-45PosMap-u--measure_Measure_C-40C-124C-40C-40BuiltinC-46PairC-32NonEmptyFCC-41C-32C-36aC-41C-44C-40C-40BuiltinC-46MkPairC-32NonEmptyFCC-41C-32C-36aC-41C-124C-41 eta-1)) e-9) e-13 e-12 e-11 e-10))))))))) eff-5))))))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))
(define CoreC-45Metadata-u--fromBuf_TTC_TTMFile (lambda (arg-0) (let ((eff-0 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_String arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (lambda (clam-0) (let ((sc1 (PreludeC-45EqOrd-u--C-47C-61_Eq_String e-5 (csegen-2462)))) (cond ((equal? sc1 1) (CoreC-45BinaryC-45Prims-corrupt "TTM header" clam-0)) (else (vector 1 (vector 0 )))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_Int arg-0))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (lambda (eta-0) (CoreC-45Binary-checkTTCVersion "" e-7 (CoreC-45Binary-ttcVersion) eta-0)))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-4 (let ((eff-4 (CoreC-45Metadata-u--fromBuf_TTC_Metadata arg-0))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-7 e-9))))) eff-5))))))))) eff-4)))))))) eff-3))))))))) eff-2)))))))) eff-1)))))))))
(define CoreC-45Metadata-u--fromBuf_TTC_Metadata (lambda (arg-0) (let ((eff-0 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40ListC-32C-36aC-41 (csegen-2483) arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40ListC-32C-36aC-41 (csegen-2491) arg-0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40ListC-32C-36aC-41 (csegen-2491) arg-0))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40ListC-32C-36aC-41 (csegen-2495) arg-0))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40PosMapC-32C-36aC-41 (csegen-2500) arg-0))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (let ((eff-5 (CoreC-45TTC-u--fromBuf_TTC_OriginDesc arg-0))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-10 (vector-ref lcase-5 1))) (let ((eff-6 (let ((eff-6 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40PosMapC-32C-36aC-41 (csegen-2514) arg-0))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-2 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-11 (vector-ref lcase-6 1))) (let ((eff-7 (let ((eff-7 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40PosMapC-32C-36aC-41 (csegen-2519) arg-0))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-2 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-12 (vector-ref lcase-7 1))) (let ((eff-8 (let ((eff-8 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40PosMapC-32C-36aC-41 (csegen-2514) arg-0))) (PrimIO-io_bind eff-8 (lambda (lcase-8) (case (vector-ref lcase-8 0) ((0) (let ((e-2 (vector-ref lcase-8 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-13 (vector-ref lcase-8 1))) (let ((eff-9 (lambda (eta-0) (vector 1 (vector e-5 e-6 e-7 '() e-8 e-9 e-10 e-11 e-12 e-13))))) eff-9))))))))) eff-8))))))))) eff-7))))))))) eff-6))))))))) eff-5))))))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))
(define CoreC-45Metadata-u--fromBuf_TTC_Decoration (lambda (arg-0) (let ((eff-0 (CoreC-45BinaryC-45Prims-getTag arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (clam-0) (cond ((equal? e-5 0) (vector 1 1)) ((equal? e-5 1) (vector 1 2)) ((equal? e-5 2) (vector 1 3)) ((equal? e-5 3) (vector 1 4)) ((equal? e-5 4) (vector 1 5)) ((equal? e-5 5) (vector 1 6)) ((equal? e-5 6) (vector 1 7)) ((equal? e-5 7) (vector 1 8)) ((equal? e-5 8) (vector 1 0))(else (CoreC-45BinaryC-45Prims-corrupt "Decoration" clam-0)))))) eff-1)))))))))
(define CoreC-45Metadata-writeToTTM (lambda (arg-0 arg-1 arg-2) (let ((eff-0 (CoreC-45Metadata-normaliseTypes arg-1 arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45BinaryC-45Prims-initBinary))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (let ((eff-2 arg-1)) (PrimIO-io_bind (let ((eff-3 eff-2)) (lambda (eta-0) (unbox eff-3))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (let ((eff-3 arg-0)) (PrimIO-io_bind (let ((eff-4 eff-3)) (lambda (eta-0) (unbox eff-4))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (let ((eff-4 (CoreC-45Metadata-u--full_HasNames_Metadata (let ((e-0 (vector-ref e-8 0))) e-0) e-7))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (CoreC-45Metadata-u--toBuf_TTC_TTMFile e-6 (cons (CoreC-45Binary-ttcVersion) e-9)))) eff-5))))))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-5 (let ((eff-5 (let ((eff-5 (let ((eff-5 e-6)) (PrimIO-io_bind (let ((eff-6 eff-5)) (lambda (eta-0) (unbox eff-6))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-10 (vector-ref lcase-5 1))) (let ((eff-6 (PrimIO-io_bind (LibrariesC-45UtilsC-45Binary-writeToFile arg-2 e-10) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) eff-6))))))))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-10 (vector-ref lcase-5 1))) (let ((eff-6 (lambda (clam-0) (case (vector-ref e-10 0) ((1) (vector 1 (vector 0 ))) (else (let ((e-11 (vector-ref e-10 1))) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 (string-append arg-2 (string-append ": " (SystemC-45FileC-45Error-u--show_Show_FileError e-11)))) clam-0))))))) eff-6))))))))) eff-5)))))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))
(define CoreC-45Metadata-withCurrentLHS (lambda (arg-0 arg-1 arg-2) (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-getFullName arg-0 arg-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (PreludeC-45Types-maybe (lambda () (lambda (eta-0) (vector 1 (vector 0 )))) (lambda () (lambda (u--lhs) (let ((eff-2 arg-1)) (PrimIO-io_bind (let ((eff-3 eff-2)) (lambda (eta-0) (set-box! eff-3 (let ((e-0 (vector-ref e-5 0))) (let ((e-1 (vector-ref e-5 1))) (let ((e-2 (vector-ref e-5 2))) (let ((e-3 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-11 (vector-ref e-5 5))) (let ((e-10 (vector-ref e-5 6))) (let ((e-7 (vector-ref e-5 7))) (let ((e-8 (vector-ref e-5 8))) (let ((e-9 (vector-ref e-5 9))) (vector e-0 e-1 e-2 e-3 (cons (cons e-6 u--lhs) e-4) e-11 e-10 e-7 e-8 e-9)))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (let ((e-3 (vector-ref e-5 3))) e-3)))) eff-2))))))))) eff-1)))))))))
(define CoreC-45Metadata-substEnv (lambda (arg-0 arg-1 arg-2 arg-3) (if (null? arg-0) arg-3 (let ((e-2 (car arg-0))) (let ((e-3 (cdr arg-0))) (let ((e-9 (cdr arg-2))) (CoreC-45Metadata-substEnv e-3 arg-1 e-9 (CoreC-45TTC-45SubstEnv-subst (vector 1 arg-1 (vector 0 ) e-2) arg-3))))))))
(define CoreC-45Metadata-setHoleLHS (lambda (arg-0 arg-1) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (let ((e-0 (vector-ref e-5 0))) (let ((e-1 (vector-ref e-5 1))) (let ((e-2 (vector-ref e-5 2))) (let ((e-4 (vector-ref e-5 4))) (let ((e-10 (vector-ref e-5 5))) (let ((e-6 (vector-ref e-5 6))) (let ((e-7 (vector-ref e-5 7))) (let ((e-8 (vector-ref e-5 8))) (let ((e-9 (vector-ref e-5 9))) (vector e-0 e-1 e-2 (box arg-1) e-4 e-10 e-6 e-7 e-8 e-9))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-1)))))))))
(define CoreC-45Metadata-readMetadata (lambda (arg-0) (let ((eff-0 (PrimIO-io_bind (LibrariesC-45UtilsC-45Binary-readFromFile arg-0) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (case (vector-ref e-5 0) ((1) (let ((e-2 (vector-ref e-5 1))) (let ((eff-1 (CoreC-45Core-newRef (vector "Core.Binary.Prims.Bin" ) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-3 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Metadata-u--fromBuf_TTC_TTMFile e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-3 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (clam-0) (let ((e-1 (cdr e-7))) (vector 1 e-1))))) eff-3))))))))) eff-2))))))))) (else (let ((e-6 (vector-ref e-5 1))) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 (string-append arg-0 (string-append ": " (SystemC-45FileC-45Error-u--show_Show_FileError e-6)))) eta-0))))))) eff-1)))))))))
(define CoreC-45Metadata-readFromTTM (lambda (arg-0 arg-1) (let ((eff-0 (PrimIO-io_bind (LibrariesC-45UtilsC-45Binary-readFromFile arg-1) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (case (vector-ref e-5 0) ((1) (let ((e-2 (vector-ref e-5 1))) (let ((eff-1 (CoreC-45Core-newRef (vector "Core.Binary.Prims.Bin" ) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-3 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Metadata-u--fromBuf_TTC_TTMFile e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-3 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 arg-0)) (PrimIO-io_bind (let ((eff-4 eff-3)) (lambda (eta-0) (set-box! eff-4 (let ((e-1 (cdr e-7))) e-1)))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-3))))))))) eff-2))))))))) (else (let ((e-6 (vector-ref e-5 1))) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 (string-append arg-1 (string-append ": " (SystemC-45FileC-45Error-u--show_Show_FileError e-6)))) eta-0))))))) eff-1)))))))))
(define CoreC-45Metadata-normaliseTypes (lambda (arg-0 arg-1) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 arg-1)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (unbox eff-2))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45Metadata-n--11803-9691-u--nfType arg-1 arg-0 e-6 eta-0)) (let ((e-1 (vector-ref e-5 1))) e-1) '()))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 arg-0)) (PrimIO-io_bind (let ((eff-4 eff-3)) (lambda (eta-0) (set-box! eff-4 (let ((e-0 (vector-ref e-5 0))) (let ((e-2 (vector-ref e-5 2))) (let ((e-3 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-12 (vector-ref e-5 5))) (let ((e-11 (vector-ref e-5 6))) (let ((e-10 (vector-ref e-5 7))) (let ((e-8 (vector-ref e-5 8))) (let ((e-9 (vector-ref e-5 9))) (vector e-0 e-7 e-2 e-3 e-4 e-12 e-11 e-10 e-8 e-9))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))
(define CoreC-45Metadata-nameDecoration (lambda (arg-0 arg-1) (let ((sc0 (CoreC-45Name-isUnsafeBuiltin arg-0))) (cond ((equal? sc0 1) 7) (else (CoreC-45Metadata-n--8197-6212-u--nameTypeDecoration arg-1 arg-0 arg-1))))))
(define CoreC-45Metadata-initMetadata (lambda (arg-0) (vector '() '() '() '() '() (LibrariesC-45DataC-45PosMap-empty) arg-0 (LibrariesC-45DataC-45PosMap-empty) (LibrariesC-45DataC-45PosMap-empty) (LibrariesC-45DataC-45PosMap-empty))))
(define CoreC-45Metadata-findTypeAt (lambda (arg-0 arg-1) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 ((csegen-2551) (CoreC-45Metadata-findEntryWith arg-1 (let ((e-1 (vector-ref e-5 1))) e-1))))))) eff-1)))))))))
(define CoreC-45Metadata-findTyDeclAt (lambda (arg-0 arg-1) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (CoreC-45Metadata-findEntryWith arg-1 (let ((e-2 (vector-ref e-5 2))) e-2)))))) eff-1)))))))))
(define CoreC-45Metadata-findLHSAt (lambda (arg-0 arg-1) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (CoreC-45Metadata-findEntryWith (lambda (u--loc) (lambda (u--tm) ((arg-1 u--loc) (Builtin-snd u--tm)))) (let ((e-0 (vector-ref e-5 0))) e-0)))))) eff-1)))))))))
(define CoreC-45Metadata-findHoleLHS (lambda (arg-0 arg-1) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (DataC-45List-lookupBy (csegen-2552) arg-1 (let ((e-4 (vector-ref e-5 4))) e-4)))))) eff-1)))))))))
(define CoreC-45Metadata-findEntryWith (lambda (ext-0 ext-1) (DataC-45List-find (lambda (eta-1) (PreludeC-45Basics-uncurry ext-0 eta-1)) ext-1)))
(define CoreC-45Metadata-dumpTTM (lambda (arg-0) (let ((eff-0 (CoreC-45Metadata-readMetadata arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (PrimIO-io_bind (PreludeC-45IO-putStrLn (csegen-40) (CoreC-45Metadata-u--show_Show_Metadata e-5)) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) eff-1)))))))))
(define CoreC-45Metadata-clearHoleLHS (lambda (arg-0) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (let ((e-0 (vector-ref e-5 0))) (let ((e-1 (vector-ref e-5 1))) (let ((e-2 (vector-ref e-5 2))) (let ((e-4 (vector-ref e-5 4))) (let ((e-10 (vector-ref e-5 5))) (let ((e-6 (vector-ref e-5 6))) (let ((e-7 (vector-ref e-5 7))) (let ((e-8 (vector-ref e-5 8))) (let ((e-9 (vector-ref e-5 9))) (vector e-0 e-1 e-2 '() e-4 e-10 e-6 e-7 e-8 e-9))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-1)))))))))
(define CoreC-45Metadata-allSemanticHighlighting (lambda (arg-0 arg-1) (let ((u--semHigh (let ((e-7 (vector-ref arg-1 7))) e-7))) (let ((eff-0 (CoreC-45ContextC-45Log-log arg-0 "ide-mode.highlight" 19 (lambda () (string-append "Semantic metadata is: " (LibrariesC-45DataC-45PosMap-u--show_Show_C-40PosMapC-32C-36aC-41 (csegen-2461) u--semHigh)))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((u--aliases (PreludeC-45Basics-flip (csegen-2554) (let ((e-8 (vector-ref arg-1 8))) e-8) (lambda (lamc-0) (let ((e-2 (car lamc-0))) (let ((e-3 (cdr lamc-0))) (let ((u--decors ((PreludeC-45Basics-uncurry (csegen-2556) (Builtin-snd e-3)) u--semHigh))) (((csegen-25) (lambda (lamc-1) (let ((e-6 (car lamc-1))) (let ((e-4 (cdr lamc-1))) (let ((e-8 (car e-6))) (cons (cons e-8 (Builtin-snd e-2)) e-4)))))) u--decors)))))))) (let ((eff-1 (CoreC-45ContextC-45Log-log arg-0 "ide-mode.highlight.alias" 19 (lambda () (string-append "Semantic metadata from aliases is: " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-2461) u--aliases)))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((u--defaults (PreludeC-45Basics-flip (csegen-2554) (let ((e-9 (vector-ref arg-1 9))) e-9) (lambda (lamc-0) (let ((e-2 (car lamc-0))) (let ((e-3 (cdr lamc-0))) (let ((e-8 (car e-2))) (let ((e-7 (cdr e-2))) (let ((u--decor (cons (cons e-8 e-7) e-3))) (let ((sc4 ((PreludeC-45Basics-uncurry (csegen-2556) e-7) u--semHigh))) (if (null? sc4) (cons u--decor '()) '()))))))))))) (lambda (eta-0) (vector 1 (LibrariesC-45DataC-45PosMap-union (lambda (eta-1) (LibrariesC-45DataC-45PosMap-u--measure_Measure_C-40C-124C-40C-40BuiltinC-46PairC-32NonEmptyFCC-41C-32C-36aC-41C-44C-40C-40BuiltinC-46MkPairC-32NonEmptyFCC-41C-32C-36aC-41C-124C-41 eta-1)) (LibrariesC-45DataC-45PosMap-fromList (lambda (eta-1) (LibrariesC-45DataC-45PosMap-u--measure_Measure_C-40C-124C-40C-40BuiltinC-46PairC-32NonEmptyFCC-41C-32C-36aC-41C-44C-40C-40BuiltinC-46MkPairC-32NonEmptyFCC-41C-32C-36aC-41C-124C-41 eta-1)) u--aliases) (LibrariesC-45DataC-45PosMap-union (lambda (eta-1) (LibrariesC-45DataC-45PosMap-u--measure_Measure_C-40C-124C-40C-40BuiltinC-46PairC-32NonEmptyFCC-41C-32C-36aC-41C-44C-40C-40BuiltinC-46MkPairC-32NonEmptyFCC-41C-32C-36aC-41C-124C-41 eta-1)) (LibrariesC-45DataC-45PosMap-fromList (lambda (eta-1) (LibrariesC-45DataC-45PosMap-u--measure_Measure_C-40C-124C-40C-40BuiltinC-46PairC-32NonEmptyFCC-41C-32C-36aC-41C-44C-40C-40BuiltinC-46MkPairC-32NonEmptyFCC-41C-32C-36aC-41C-124C-41 eta-1)) u--defaults) u--semHigh))))))) eff-2))))))))) eff-1)))))))))
(define CoreC-45Metadata-addTyDecl (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (let ((eff-0 (let ((eff-0 arg-2)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-getFullName arg-1 arg-4))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((sc2 (CoreC-45FC-isNonEmptyFC arg-3))) (if (null? sc2) (lambda (eta-0) (vector 1 (vector 0 ))) (let ((e-1 (unbox sc2))) (let ((eff-2 arg-2)) (PrimIO-io_bind (let ((eff-3 eff-2)) (lambda (eta-0) (set-box! eff-3 (let ((e-0 (vector-ref e-5 0))) (let ((e-12 (vector-ref e-5 1))) (let ((e-2 (vector-ref e-5 2))) (let ((e-3 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-11 (vector-ref e-5 5))) (let ((e-10 (vector-ref e-5 6))) (let ((e-7 (vector-ref e-5 7))) (let ((e-8 (vector-ref e-5 8))) (let ((e-9 (vector-ref e-5 9))) (vector e-0 e-12 (cons (cons e-1 (cons e-6 (cons (CoreC-45Env-length arg-5) (CoreC-45Env-bindEnv arg-0 arg-3 arg-5 arg-6)))) e-2) e-3 e-4 e-11 e-10 e-7 e-8 e-9)))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))))))) eff-2))))))))) eff-1)))))))))
(define CoreC-45Metadata-addSemanticDefault (lambda (arg-0 arg-1) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (let ((e-0 (vector-ref e-5 0))) (let ((e-1 (vector-ref e-5 1))) (let ((e-2 (vector-ref e-5 2))) (let ((e-3 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-10 (vector-ref e-5 5))) (let ((e-6 (vector-ref e-5 6))) (let ((e-7 (vector-ref e-5 7))) (let ((e-8 (vector-ref e-5 8))) (let ((e-9 (vector-ref e-5 9))) (vector e-0 e-1 e-2 e-3 e-4 e-10 e-6 e-7 e-8 (LibrariesC-45DataC-45PosMap-insert (lambda (eta-1) (LibrariesC-45DataC-45PosMap-u--measure_Measure_C-40C-124C-40C-40BuiltinC-46PairC-32NonEmptyFCC-41C-32C-36aC-41C-44C-40C-40BuiltinC-46MkPairC-32NonEmptyFCC-41C-32C-36aC-41C-124C-41 eta-1)) arg-1 e-9))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-1)))))))))
(define CoreC-45Metadata-addSemanticDecorations (lambda (arg-0 arg-1 arg-2) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--posmap (let ((e-7 (vector-ref e-5 7))) e-7))) (CoreC-45Metadata-case--addSemanticDecorations-9549 arg-2 arg-1 arg-0 e-5 u--posmap (DataC-45List-span (lambda (eta-0) (CoreC-45FC-u--C-61C-61_Eq_OriginDesc (let ((e-6 (vector-ref e-5 6))) e-6) (Builtin-fst (Builtin-fst eta-0)))) arg-2))))) eff-1)))))))))
(define CoreC-45Metadata-addSemanticAlias (lambda (arg-0 arg-1 arg-2) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (let ((e-0 (vector-ref e-5 0))) (let ((e-1 (vector-ref e-5 1))) (let ((e-2 (vector-ref e-5 2))) (let ((e-3 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-10 (vector-ref e-5 5))) (let ((e-6 (vector-ref e-5 6))) (let ((e-7 (vector-ref e-5 7))) (let ((e-8 (vector-ref e-5 8))) (let ((e-9 (vector-ref e-5 9))) (vector e-0 e-1 e-2 e-3 e-4 e-10 e-6 e-7 (LibrariesC-45DataC-45PosMap-insert (lambda (eta-1) (LibrariesC-45DataC-45PosMap-u--measure_Measure_C-40C-124C-40C-40BuiltinC-46PairC-32NonEmptyFCC-41C-32C-36aC-41C-44C-40C-40BuiltinC-46MkPairC-32NonEmptyFCC-41C-32C-36aC-41C-124C-41 eta-1)) (cons arg-1 arg-2) e-8) e-9)))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-1)))))))))
(define CoreC-45Metadata-addNameType (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (let ((eff-0 (let ((eff-0 arg-2)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-getFullName arg-1 arg-4))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((sc2 (CoreC-45FC-isConcreteFC arg-3))) (if (null? sc2) (lambda (eta-0) (vector 1 (vector 0 ))) (let ((e-1 (unbox sc2))) (let ((eff-2 (let ((eff-2 arg-2)) (PrimIO-io_bind (let ((eff-3 eff-2)) (lambda (eta-0) (set-box! eff-3 (let ((e-0 (vector-ref e-5 0))) (let ((e-12 (vector-ref e-5 1))) (let ((e-2 (vector-ref e-5 2))) (let ((e-3 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-11 (vector-ref e-5 5))) (let ((e-10 (vector-ref e-5 6))) (let ((e-7 (vector-ref e-5 7))) (let ((e-8 (vector-ref e-5 8))) (let ((e-9 (vector-ref e-5 9))) (vector e-0 (cons (cons e-1 (cons e-6 (cons 0 (CoreC-45Metadata-substEnv arg-0 arg-3 arg-5 arg-6)))) e-12) e-2 e-3 e-4 e-11 e-10 e-7 e-8 e-9)))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (CoreC-45ContextC-45Log-log arg-1 "metadata.names" 7 (lambda () (string-append (CoreC-45Name-u--show_Show_Name e-6) (string-append " at line " (PreludeC-45Show-u--show_Show_Int (bs+ (blodwen-toSignedInt 1 63) (CoreC-45FC-startLine e-1) 63)))))))) eff-3))))))))))) eff-2))))))))) eff-1)))))))))
(define CoreC-45Metadata-addNameLoc (lambda (arg-0 arg-1 arg-2 arg-3) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-getFullName arg-1 arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((sc2 (CoreC-45FC-isConcreteFC arg-2))) (if (null? sc2) (lambda (eta-0) (vector 1 (vector 0 ))) (let ((e-1 (unbox sc2))) (let ((eff-2 arg-0)) (PrimIO-io_bind (let ((eff-3 eff-2)) (lambda (eta-0) (set-box! eff-3 (let ((e-0 (vector-ref e-5 0))) (let ((e-12 (vector-ref e-5 1))) (let ((e-2 (vector-ref e-5 2))) (let ((e-3 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-11 (vector-ref e-5 5))) (let ((e-10 (vector-ref e-5 6))) (let ((e-7 (vector-ref e-5 7))) (let ((e-8 (vector-ref e-5 8))) (let ((e-9 (vector-ref e-5 9))) (vector e-0 e-12 e-2 e-3 e-4 (LibrariesC-45DataC-45PosMap-insert (lambda (eta-1) (LibrariesC-45DataC-45PosMap-u--measure_Measure_C-40C-124C-40C-40BuiltinC-46PairC-32NonEmptyFCC-41C-32C-36aC-41C-44C-40C-40BuiltinC-46MkPairC-32NonEmptyFCC-41C-32C-36aC-41C-124C-41 eta-1)) (cons e-1 e-6) e-11) e-10 e-7 e-8 e-9)))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))))))) eff-2))))))))) eff-1)))))))))
(define CoreC-45Metadata-addLHS (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (let ((eff-0 (let ((eff-0 arg-2)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-1 (csegen-105) (CoreC-45Env-bindEnv arg-0 arg-3 (CoreC-45Metadata-n--10559-8532-u--toPat arg-0 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 arg-5) arg-6)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((sc2 (CoreC-45FC-isNonEmptyFC arg-3))) (if (null? sc2) (lambda (eta-0) (vector 1 (vector 0 ))) (let ((e-1 (unbox sc2))) (let ((eff-2 arg-2)) (PrimIO-io_bind (let ((eff-3 eff-2)) (lambda (eta-0) (set-box! eff-3 (let ((e-0 (vector-ref e-5 0))) (let ((e-12 (vector-ref e-5 1))) (let ((e-2 (vector-ref e-5 2))) (let ((e-3 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-11 (vector-ref e-5 5))) (let ((e-10 (vector-ref e-5 6))) (let ((e-7 (vector-ref e-5 7))) (let ((e-8 (vector-ref e-5 8))) (let ((e-9 (vector-ref e-5 9))) (vector (cons (cons e-1 (cons arg-4 e-6)) e-0) e-12 e-2 e-3 e-4 e-11 e-10 e-7 e-8 e-9)))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))))))) eff-2))))))))) eff-1)))))))))
(define ProtocolC-45IDEC-45Decoration-u--toSExp_SExpable_Decoration (lambda (arg-0) (vector 0 (cons (vector 4 "decor") (cons (vector 4 (ProtocolC-45IDEC-45Decoration-u--show_Show_Decoration arg-0)) '())))))
(define ProtocolC-45IDEC-45Decoration-u--show_Show_Decoration (lambda (arg-0) (cond ((equal? arg-0 0) "comment") ((equal? arg-0 1) "type") ((equal? arg-0 2) "function") ((equal? arg-0 3) "data") ((equal? arg-0 4) "keyword") ((equal? arg-0 5) "bound") ((equal? arg-0 6) "namespace") ((equal? arg-0 7) "postulate") (else "module"))))
(define ProtocolC-45SExp-case--toSExp-5532 (lambda (arg-2 arg-3 arg-4 arg-5) (case (vector-ref arg-5 0) ((0) (let ((e-0 (vector-ref arg-5 1))) (vector 0 (cons ((let ((eff-0 (Builtin-fst arg-2))) (lambda (arg-0) (eff-0 arg-0))) arg-3) e-0))))(else (vector 0 (cons ((let ((eff-0 (Builtin-fst arg-2))) (lambda (arg-0) (eff-0 arg-0))) arg-3) (cons arg-5 '())))))))
(define ProtocolC-45SExp-n--3223-5092-u--escapeChar (lambda (arg-0) (cond ((equal? arg-0 #\\) (cons #\\ (cons #\\ '()))) ((equal? arg-0 #\") (cons #\\ (cons #\" '())))(else (cons arg-0 '())))))
(define ProtocolC-45SExp-u--toSExp_SExpable_String (lambda (ext-0) (vector 1 ext-0)))
(define ProtocolC-45SExp-u--toSExp_SExpable_Nat (lambda (ext-0) (vector 3 ext-0)))
(define ProtocolC-45SExp-u--toSExp_SExpable_Integer (lambda (ext-0) (vector 3 ext-0)))
(define ProtocolC-45SExp-u--toSExp_SExpable_Int (lambda (ext-0) (vector 3 ext-0)))
(define ProtocolC-45SExp-u--toSExp_SExpable_Bool (lambda (ext-0) (vector 2 ext-0)))
(define ProtocolC-45SExp-u--toSExp_SExpable_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (lambda (arg-2 arg-3) (let ((e-2 (car arg-3))) (let ((e-3 (cdr arg-3))) (ProtocolC-45SExp-case--toSExp-5532 arg-2 e-2 e-3 ((let ((eff-0 (Builtin-snd arg-2))) (lambda (arg-0) (eff-0 arg-0))) e-3))))))
(define ProtocolC-45SExp-u--toSExp_SExpable_C-40List1C-32C-36aC-41 (lambda (arg-1 arg-2) (vector 0 (((csegen-25) (let ((eff-0 arg-1)) (lambda (arg-0) (eff-0 arg-0)))) (DataC-45List1-forget arg-2)))))
(define ProtocolC-45SExp-u--toSExp_SExpable_C-40ListC-32C-36aC-41 (lambda (arg-1 arg-2) (vector 0 (((csegen-25) (let ((eff-0 arg-1)) (lambda (arg-0) (eff-0 arg-0)))) arg-2))))
(define ProtocolC-45SExp-u--show_Show_SExp (lambda (arg-0) (case (vector-ref arg-0 0) ((0) (let ((e-0 (vector-ref arg-0 1))) (string-append "(" (string-append (ProtocolC-45SExp-join " " (((csegen-25) (lambda (eta-0) (ProtocolC-45SExp-u--show_Show_SExp eta-0))) e-0)) ")")))) ((1) (let ((e-1 (vector-ref arg-0 1))) (string-append "\"" (string-append (ProtocolC-45SExp-escape e-1) "\"")))) ((2) (let ((e-2 (vector-ref arg-0 1))) (string-append ":" (PreludeC-45Show-u--show_Show_Bool e-2)))) ((3) (let ((e-3 (vector-ref arg-0 1))) (PreludeC-45Show-u--show_Show_Integer e-3))) (else (let ((e-4 (vector-ref arg-0 1))) (string-append ":" e-4))))))
(define ProtocolC-45SExp-u--fromSExp_FromSExpable_String (lambda (arg-0) (case (vector-ref arg-0 0) ((1) (let ((e-0 (vector-ref arg-0 1))) (box e-0)))(else '()))))
(define ProtocolC-45SExp-u--fromSExp_FromSExpable_C-40ListC-32C-36aC-41 (lambda (arg-1 arg-2) (case (vector-ref arg-2 0) ((0) (let ((e-0 (vector-ref arg-2 1))) (PreludeC-45Types-u--traverse_Traversable_List (csegen-323) (let ((eff-0 arg-1)) (lambda (arg-0) (eff-0 arg-0))) e-0)))(else '()))))
(define ProtocolC-45SExp-join (lambda (arg-0 arg-1) (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (DataC-45List-intersperse arg-0 arg-1))))
(define ProtocolC-45SExp-escape (lambda (ext-0) (PreludeC-45Types-fastPack (PreludeC-45Interfaces-concatMap (csegen-83) (csegen-16) (lambda (eta-0) (ProtocolC-45SExp-n--3223-5092-u--escapeChar eta-0)) (PreludeC-45Types-fastUnpack ext-0)))))
(define CoreC-45Binary-n--11847-15997-u--trimName (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (case (vector-ref arg-5 0) ((0) (let ((e-0 (vector-ref arg-5 1))) (let ((e-1 (vector-ref arg-5 2))) (let ((u--n (vector 0 e-0 e-1))) (let ((sc1 (CoreC-45NameC-45Namespace-u--C-61C-61_Eq_Namespace e-0 arg-4))) (cond ((equal? sc1 1) e-1) (else u--n)))))))(else arg-5))))
(define CoreC-45Binary-n--9817-14120-u--resolved_aux (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (if (null? arg-6) (lambda (eta-0) (vector 1 (PreludeC-45TypesC-45List-reverse arg-5))) (let ((e-2 (car arg-6))) (let ((e-3 (cdr arg-6))) (let ((eff-0 (let ((e-4 (cdr arg-1))) ((e-4 arg-4) e-2)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45Binary-n--9817-14120-u--resolved_aux arg-1 arg-2 arg-3 arg-4 (cons e-5 arg-5) e-3))) eff-1))))))))))))
(define CoreC-45Binary-n--10453-14919-u--resolvedRW (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20 arg-21 arg-22 arg-23 arg-24 arg-25 arg-26) (if (null? arg-26) (lambda (eta-0) (vector 1 '())) (let ((e-2 (unbox arg-26))) (let ((e-3 (car e-2))) (let ((e-4 (cdr e-2))) (let ((eff-0 (CoreC-45Context-u--resolved_HasNames_Name arg-25 e-3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-u--resolved_HasNames_Name arg-25 e-4))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-6 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (box (cons e-5 e-6)))))) eff-2))))))))) eff-1)))))))))))))
(define CoreC-45Binary-n--10453-14920-u--resolvedPrim (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20 arg-21 arg-22 arg-23 arg-24 arg-25 arg-26) (let ((e-0 (vector-ref arg-26 0))) (let ((e-1 (vector-ref arg-26 1))) (let ((e-2 (vector-ref arg-26 2))) (let ((e-3 (vector-ref arg-26 3))) (let ((eff-0 (CoreC-45Context-u--resolved_HasNames_C-40MaybeC-32C-36aC-41 (csegen-81) arg-25 e-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-u--resolved_HasNames_C-40MaybeC-32C-36aC-41 (csegen-81) arg-25 e-1))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-u--resolved_HasNames_C-40MaybeC-32C-36aC-41 (csegen-81) arg-25 e-2))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45Context-u--resolved_HasNames_C-40MaybeC-32C-36aC-41 (csegen-81) arg-25 e-3))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-4 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector e-5 e-6 e-7 e-8))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))
(define CoreC-45Binary-n--10453-14918-u--resolvedPair (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20 arg-21 arg-22 arg-23 arg-24 arg-25 arg-26) (if (null? arg-26) (lambda (eta-0) (vector 1 '())) (let ((e-2 (unbox arg-26))) (let ((e-3 (vector-ref e-2 0))) (let ((e-4 (vector-ref e-2 1))) (let ((e-5 (vector-ref e-2 2))) (let ((eff-0 (CoreC-45Context-u--resolved_HasNames_Name arg-25 e-3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-u--resolved_HasNames_Name arg-25 e-4))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-u--resolved_HasNames_Name arg-25 e-5))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (box (vector e-6 e-7 e-8)))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))))))
(define CoreC-45Binary-n--11313-15485-u--replaceNS (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-8 arg-9) (let ((e-2 (car arg-9))) (let ((e-3 (cdr arg-9))) (case (vector-ref e-2 0) ((0) arg-9)(else (cons (vector 0 arg-8 e-2) e-3)))))))
(define CoreC-45Binary-n--9802-14081-u--full_aux (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (if (null? arg-6) (lambda (eta-0) (vector 1 (PreludeC-45TypesC-45List-reverse arg-5))) (let ((e-2 (car arg-6))) (let ((e-3 (cdr arg-6))) (let ((eff-0 (let ((e-1 (car arg-1))) ((e-1 arg-4) e-2)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45Binary-n--9802-14081-u--full_aux arg-1 arg-2 arg-3 arg-4 (cons e-5 arg-5) e-3))) eff-1))))))))))))
(define CoreC-45Binary-n--10438-14686-u--fullRW (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20 arg-21 arg-22 arg-23 arg-24 arg-25 arg-26) (if (null? arg-26) (lambda (eta-0) (vector 1 '())) (let ((e-2 (unbox arg-26))) (let ((e-3 (car e-2))) (let ((e-4 (cdr e-2))) (let ((eff-0 (CoreC-45Context-u--full_HasNames_Name arg-25 e-3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-u--full_HasNames_Name arg-25 e-4))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-6 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (box (cons e-5 e-6)))))) eff-2))))))))) eff-1)))))))))))))
(define CoreC-45Binary-n--10438-14687-u--fullPrim (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20 arg-21 arg-22 arg-23 arg-24 arg-25 arg-26) (let ((e-0 (vector-ref arg-26 0))) (let ((e-1 (vector-ref arg-26 1))) (let ((e-2 (vector-ref arg-26 2))) (let ((e-3 (vector-ref arg-26 3))) (CoreC-45Core-C-60C-42C-62 (CoreC-45Core-C-60C-42C-62 (CoreC-45Core-C-60C-42C-62 (CoreC-45Core-C-60C-42C-62 (csegen-1620) (CoreC-45Context-u--full_HasNames_C-40MaybeC-32C-36aC-41 (csegen-81) arg-25 e-0)) (CoreC-45Context-u--full_HasNames_C-40MaybeC-32C-36aC-41 (csegen-81) arg-25 e-1)) (CoreC-45Context-u--full_HasNames_C-40MaybeC-32C-36aC-41 (csegen-81) arg-25 e-2)) (CoreC-45Context-u--full_HasNames_C-40MaybeC-32C-36aC-41 (csegen-81) arg-25 e-3))))))))
(define CoreC-45Binary-n--10438-14685-u--fullPair (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20 arg-21 arg-22 arg-23 arg-24 arg-25 arg-26) (if (null? arg-26) (lambda (eta-0) (vector 1 '())) (let ((e-2 (unbox arg-26))) (let ((e-3 (vector-ref e-2 0))) (let ((e-4 (vector-ref e-2 1))) (let ((e-5 (vector-ref e-2 2))) (let ((eff-0 (CoreC-45Context-u--full_HasNames_Name arg-25 e-3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-u--full_HasNames_Name arg-25 e-4))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-u--full_HasNames_Name arg-25 e-5))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (box (vector e-6 e-7 e-8)))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))))))
(define CoreC-45Binary-n--12324-16429-u--completeDef (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (if (null? arg-6) 0 (let ((e-2 (unbox arg-6))) (let ((e-17 (vector-ref e-2 17))) (case (vector-ref e-17 0) ((0) 0) ((7) 0)(else 1)))))))
(define CoreC-45Binary-n--13467-17522-u--alreadyDone (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12) (if (null? arg-12) 0 (let ((e-2 (car arg-12))) (let ((e-3 (cdr arg-12))) (let ((e-7 (cdr e-2))) (let ((e-10 (car e-7))) (let ((e-11 (cdr e-7))) (let ((e-15 (cdr e-11))) (let ((sc4 (let ((sc5 (CoreC-45NameC-45Namespace-u--C-61C-61_Eq_ModuleIdent arg-10 e-10))) (cond ((equal? sc5 1) (CoreC-45NameC-45Namespace-u--C-61C-61_Eq_Namespace arg-11 e-15)) (else 0))))) (cond ((equal? sc4 1) 1) (else (let ((sc5 (let ((sc6 (CoreC-45NameC-45Namespace-u--C-61C-61_Eq_ModuleIdent arg-10 e-10))) (cond ((equal? sc6 1) (CoreC-45NameC-45Namespace-u--C-61C-61_Eq_Namespace (CoreC-45NameC-45Namespace-miAsNamespace arg-10) arg-11)) (else 0))))) (cond ((equal? sc5 1) 1) (else (CoreC-45Binary-n--13467-17522-u--alreadyDone arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 e-3))))))))))))))))
(define CoreC-45Binary-n--13089-17156-u--addT (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (let ((eff-0 (let ((eff-0 arg-3)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((sc1 (LibrariesC-45DataC-45NameMap-lookup arg-4 (let ((e-13 (vector-ref e-5 13))) e-13)))) (if (null? sc1) (let ((eff-1 arg-3)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (let ((e-0 (vector-ref e-5 0))) (let ((e-1 (vector-ref e-5 1))) (let ((e-2 (vector-ref e-5 2))) (let ((e-3 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-32 (vector-ref e-5 5))) (let ((e-6 (vector-ref e-5 6))) (let ((e-7 (vector-ref e-5 7))) (let ((e-8 (vector-ref e-5 8))) (let ((e-9 (vector-ref e-5 9))) (let ((e-10 (vector-ref e-5 10))) (let ((e-11 (vector-ref e-5 11))) (let ((e-12 (vector-ref e-5 12))) (let ((e-13 (vector-ref e-5 13))) (let ((e-14 (vector-ref e-5 14))) (let ((e-15 (vector-ref e-5 15))) (let ((e-16 (vector-ref e-5 16))) (let ((e-17 (vector-ref e-5 17))) (let ((e-18 (vector-ref e-5 18))) (let ((e-19 (vector-ref e-5 19))) (let ((e-20 (vector-ref e-5 20))) (let ((e-21 (vector-ref e-5 21))) (let ((e-22 (vector-ref e-5 22))) (let ((e-23 (vector-ref e-5 23))) (let ((e-24 (vector-ref e-5 24))) (let ((e-25 (vector-ref e-5 25))) (let ((e-26 (vector-ref e-5 26))) (let ((e-27 (vector-ref e-5 27))) (let ((e-28 (vector-ref e-5 28))) (let ((e-29 (vector-ref e-5 29))) (let ((e-30 (vector-ref e-5 30))) (let ((e-31 (vector-ref e-5 31))) (vector e-0 e-1 e-2 e-3 e-4 e-32 e-6 e-7 e-8 e-9 e-10 e-11 e-12 (LibrariesC-45DataC-45NameMap-insert arg-4 (cons arg-5 '()) e-13) e-14 e-15 e-16 e-17 e-18 e-19 e-20 e-21 e-22 e-23 e-24 e-25 e-26 e-27 e-28 e-29 e-30 e-31)))))))))))))))))))))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))) (let ((e-2 (unbox sc1))) (let ((eff-1 arg-3)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (let ((e-0 (vector-ref e-5 0))) (let ((e-1 (vector-ref e-5 1))) (let ((e-33 (vector-ref e-5 2))) (let ((e-3 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-32 (vector-ref e-5 5))) (let ((e-6 (vector-ref e-5 6))) (let ((e-7 (vector-ref e-5 7))) (let ((e-8 (vector-ref e-5 8))) (let ((e-9 (vector-ref e-5 9))) (let ((e-10 (vector-ref e-5 10))) (let ((e-11 (vector-ref e-5 11))) (let ((e-12 (vector-ref e-5 12))) (let ((e-13 (vector-ref e-5 13))) (let ((e-14 (vector-ref e-5 14))) (let ((e-15 (vector-ref e-5 15))) (let ((e-16 (vector-ref e-5 16))) (let ((e-17 (vector-ref e-5 17))) (let ((e-18 (vector-ref e-5 18))) (let ((e-19 (vector-ref e-5 19))) (let ((e-20 (vector-ref e-5 20))) (let ((e-21 (vector-ref e-5 21))) (let ((e-22 (vector-ref e-5 22))) (let ((e-23 (vector-ref e-5 23))) (let ((e-24 (vector-ref e-5 24))) (let ((e-25 (vector-ref e-5 25))) (let ((e-26 (vector-ref e-5 26))) (let ((e-27 (vector-ref e-5 27))) (let ((e-28 (vector-ref e-5 28))) (let ((e-29 (vector-ref e-5 29))) (let ((e-30 (vector-ref e-5 30))) (let ((e-31 (vector-ref e-5 31))) (vector e-0 e-1 e-33 e-3 e-4 e-32 e-6 e-7 e-8 e-9 e-10 e-11 e-12 (LibrariesC-45DataC-45NameMap-insert arg-4 (cons arg-5 e-2) e-13) e-14 e-15 e-16 e-17 e-18 e-19 e-20 e-21 e-22 e-23 e-24 e-25 e-26 e-27 e-28 e-29 e-30 e-31)))))))))))))))))))))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))))))) eff-1)))))))))
(define CoreC-45Binary-u--resolved_HasNames_C-40C-124C-40C-40BuiltinC-46PairC-32NameC-41C-32TransformC-41C-44C-40C-40BuiltinC-46MkPairC-32NameC-41C-32TransformC-41C-124C-41 (lambda (arg-0 arg-1) (let ((e-2 (car arg-1))) (let ((e-3 (cdr arg-1))) (let ((eff-0 (CoreC-45Context-u--resolved_HasNames_Name arg-0 e-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-u--resolved_HasNames_Transform arg-0 e-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (cons e-5 e-6))))) eff-2))))))))) eff-1)))))))))))
(define CoreC-45Binary-u--resolved_HasNames_C-40C-124C-40C-40BuiltinC-46PairC-32NameC-41C-32BoolC-41C-44C-40C-40BuiltinC-46MkPairC-32NameC-41C-32BoolC-41C-124C-41 (lambda (arg-0 arg-1) (let ((e-2 (car arg-1))) (let ((e-3 (cdr arg-1))) (let ((eff-0 (CoreC-45Context-u--resolved_HasNames_Name arg-0 e-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (cons e-5 e-3))))) eff-1)))))))))))
(define CoreC-45Binary-u--resolved_HasNames_C-40C-124C-40C-40BuiltinC-46PairC-32NameC-41C-32C-40C-124C-40C-40BuiltinC-46PairC-32NameC-41C-32BoolC-41C-44C-40C-40BuiltinC-46MkPairC-32NameC-41C-32BoolC-41C-124C-41C-41C-44C-40C-40BuiltinC-46MkPairC-32NameC-41C-32C-40C-124C-40C-40BuiltinC-46PairC-32NameC-41C-32BoolC-41C-44C-40C-40BuiltinC-46MkPairC-32NameC-41C-32BoolC-41C-124C-41C-41C-124C-41 (lambda (arg-0 arg-1) (let ((e-2 (car arg-1))) (let ((e-3 (cdr arg-1))) (let ((e-6 (car e-3))) (let ((e-7 (cdr e-3))) (let ((eff-0 (CoreC-45Context-u--resolved_HasNames_Name arg-0 e-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-u--resolved_HasNames_Name arg-0 e-6))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-8 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (cons e-5 (cons e-8 e-7)))))) eff-2))))))))) eff-1)))))))))))))
(define CoreC-45Binary-u--resolved_HasNames_C-40C-124C-40C-40BuiltinC-46PairC-32NameC-41C-32C-40ListC-32C-36aC-41C-41C-44C-40C-40BuiltinC-46MkPairC-32NameC-41C-32C-40ListC-32C-36aC-41C-41C-124C-41 (lambda (arg-1 arg-2) (let ((e-2 (car arg-2))) (let ((e-3 (cdr arg-2))) (let ((eff-0 (CoreC-45Context-u--resolved_HasNames_Name arg-1 e-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (cons e-5 e-3))))) eff-1)))))))))))
(define CoreC-45Binary-u--resolved_HasNames_C-40TTCFileC-32C-36eC-41 (lambda (arg-1 arg-2 arg-3) (let ((e-1 (vector-ref arg-3 0))) (let ((e-2 (vector-ref arg-3 1))) (let ((e-3 (vector-ref arg-3 2))) (let ((e-4 (vector-ref arg-3 3))) (let ((e-5 (vector-ref arg-3 4))) (let ((e-6 (vector-ref arg-3 5))) (let ((e-7 (vector-ref arg-3 6))) (let ((e-8 (vector-ref arg-3 7))) (let ((e-9 (vector-ref arg-3 8))) (let ((e-10 (vector-ref arg-3 9))) (let ((e-11 (vector-ref arg-3 10))) (let ((e-12 (vector-ref arg-3 11))) (let ((e-13 (vector-ref arg-3 12))) (let ((e-14 (vector-ref arg-3 13))) (let ((e-15 (vector-ref arg-3 14))) (let ((e-16 (vector-ref arg-3 15))) (let ((e-17 (vector-ref arg-3 16))) (let ((e-18 (vector-ref arg-3 17))) (let ((e-19 (vector-ref arg-3 18))) (let ((e-20 (vector-ref arg-3 19))) (let ((e-21 (vector-ref arg-3 20))) (let ((e-22 (vector-ref arg-3 21))) (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45Binary-u--resolved_HasNames_C-40C-124C-40C-40BuiltinC-46PairC-32NameC-41C-32BoolC-41C-44C-40C-40BuiltinC-46MkPairC-32NameC-41C-32BoolC-41C-124C-41 arg-2 eta-0)) e-9 '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-23 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-23)))) (else (let ((e-23 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45Binary-u--resolved_HasNames_C-40C-124C-40C-40BuiltinC-46PairC-32NameC-41C-32C-40C-124C-40C-40BuiltinC-46PairC-32NameC-41C-32BoolC-41C-44C-40C-40BuiltinC-46MkPairC-32NameC-41C-32BoolC-41C-124C-41C-41C-44C-40C-40BuiltinC-46MkPairC-32NameC-41C-32C-40C-124C-40C-40BuiltinC-46PairC-32NameC-41C-32BoolC-41C-44C-40C-40BuiltinC-46MkPairC-32NameC-41C-32BoolC-41C-124C-41C-41C-124C-41 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-24 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-24)))) (else (let ((e-24 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Binary-n--10453-14918-u--resolvedPair arg-1 e-22 e-21 e-20 e-19 e-18 e-17 e-16 e-15 e-14 e-13 e-12 e-11 e-10 e-9 e-8 e-7 e-6 e-5 e-4 e-3 e-2 e-1 arg-2 arg-2 e-15))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-25 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-25)))) (else (let ((e-25 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45Binary-n--10453-14919-u--resolvedRW arg-1 e-22 e-21 e-20 e-19 e-18 e-17 e-16 e-15 e-14 e-13 e-12 e-11 e-10 e-9 e-8 e-7 e-6 e-5 e-4 e-3 e-2 e-1 arg-2 arg-2 e-16))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-26 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-26)))) (else (let ((e-26 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Binary-n--10453-14920-u--resolvedPrim arg-1 e-22 e-21 e-20 e-19 e-18 e-17 e-16 e-15 e-14 e-13 e-12 e-11 e-10 e-9 e-8 e-7 e-6 e-5 e-4 e-3 e-2 e-1 arg-2 arg-2 e-17))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-27 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-27)))) (else (let ((e-27 (vector-ref lcase-4 1))) (let ((eff-5 (let ((eff-5 (CoreC-45Binary-u--resolved_HasNames_C-40ListC-32C-36aC-41 (csegen-2562) arg-2 e-18))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-28 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-28)))) (else (let ((e-28 (vector-ref lcase-5 1))) (let ((eff-6 (let ((eff-6 (CoreC-45Binary-u--resolved_HasNames_C-40ListC-32C-36aC-41 (csegen-2565) arg-2 e-20))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-29 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-29)))) (else (let ((e-29 (vector-ref lcase-6 1))) (let ((eff-7 (let ((eff-7 (CoreC-45Binary-u--resolved_HasNames_C-40ListC-32C-36aC-41 (csegen-2562) arg-2 e-21))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-30 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-30)))) (else (let ((e-30 (vector-ref lcase-7 1))) (let ((eff-8 (let ((eff-8 (let ((e-31 (cdr arg-1))) ((e-31 arg-2) e-22)))) (PrimIO-io_bind eff-8 (lambda (lcase-8) (case (vector-ref lcase-8 0) ((0) (let ((e-31 (vector-ref lcase-8 1))) (lambda (eta-0) (vector 0 e-31)))) (else (let ((e-31 (vector-ref lcase-8 1))) (let ((eff-9 (lambda (eta-0) (vector 1 (vector e-1 e-2 e-3 e-4 e-5 e-6 e-7 e-8 e-23 e-24 e-11 e-12 e-13 e-14 e-25 e-26 e-27 e-28 e-19 e-29 e-30 e-31))))) eff-9))))))))) eff-8))))))))) eff-7))))))))) eff-6))))))))) eff-5))))))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))))))))))))))))))
(define CoreC-45Binary-u--resolved_HasNames_C-40ListC-32C-36aC-41 (lambda (arg-1 arg-2 arg-3) (CoreC-45Binary-n--9817-14120-u--resolved_aux arg-1 arg-3 arg-2 arg-2 '() arg-3)))
(define CoreC-45Binary-u--full_HasNames_C-40C-124C-40C-40BuiltinC-46PairC-32NameC-41C-32TransformC-41C-44C-40C-40BuiltinC-46MkPairC-32NameC-41C-32TransformC-41C-124C-41 (lambda (arg-0 arg-1) (let ((e-2 (car arg-1))) (let ((e-3 (cdr arg-1))) (let ((eff-0 (CoreC-45Context-u--full_HasNames_Name arg-0 e-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-u--full_HasNames_Transform arg-0 e-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (cons e-5 e-6))))) eff-2))))))))) eff-1)))))))))))
(define CoreC-45Binary-u--full_HasNames_C-40C-124C-40C-40BuiltinC-46PairC-32NameC-41C-32BoolC-41C-44C-40C-40BuiltinC-46MkPairC-32NameC-41C-32BoolC-41C-124C-41 (lambda (arg-0 arg-1) (let ((e-2 (car arg-1))) (let ((e-3 (cdr arg-1))) (let ((eff-0 (CoreC-45Context-u--full_HasNames_Name arg-0 e-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (cons e-5 e-3))))) eff-1)))))))))))
(define CoreC-45Binary-u--full_HasNames_C-40C-124C-40C-40BuiltinC-46PairC-32NameC-41C-32C-40C-124C-40C-40BuiltinC-46PairC-32NameC-41C-32BoolC-41C-44C-40C-40BuiltinC-46MkPairC-32NameC-41C-32BoolC-41C-124C-41C-41C-44C-40C-40BuiltinC-46MkPairC-32NameC-41C-32C-40C-124C-40C-40BuiltinC-46PairC-32NameC-41C-32BoolC-41C-44C-40C-40BuiltinC-46MkPairC-32NameC-41C-32BoolC-41C-124C-41C-41C-124C-41 (lambda (arg-0 arg-1) (let ((e-2 (car arg-1))) (let ((e-3 (cdr arg-1))) (let ((e-6 (car e-3))) (let ((e-7 (cdr e-3))) (let ((eff-0 (CoreC-45Context-u--full_HasNames_Name arg-0 e-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-u--full_HasNames_Name arg-0 e-6))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-8 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (cons e-5 (cons e-8 e-7)))))) eff-2))))))))) eff-1)))))))))))))
(define CoreC-45Binary-u--full_HasNames_C-40C-124C-40C-40BuiltinC-46PairC-32NameC-41C-32C-40ListC-32C-36aC-41C-41C-44C-40C-40BuiltinC-46MkPairC-32NameC-41C-32C-40ListC-32C-36aC-41C-41C-124C-41 (lambda (arg-1 arg-2) (let ((e-2 (car arg-2))) (let ((e-3 (cdr arg-2))) (let ((eff-0 (CoreC-45Context-u--full_HasNames_Name arg-1 e-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (cons e-5 e-3))))) eff-1)))))))))))
(define CoreC-45Binary-u--full_HasNames_C-40TTCFileC-32C-36eC-41 (lambda (arg-1 arg-2 arg-3) (let ((e-1 (vector-ref arg-3 0))) (let ((e-2 (vector-ref arg-3 1))) (let ((e-3 (vector-ref arg-3 2))) (let ((e-4 (vector-ref arg-3 3))) (let ((e-5 (vector-ref arg-3 4))) (let ((e-6 (vector-ref arg-3 5))) (let ((e-7 (vector-ref arg-3 6))) (let ((e-8 (vector-ref arg-3 7))) (let ((e-9 (vector-ref arg-3 8))) (let ((e-10 (vector-ref arg-3 9))) (let ((e-11 (vector-ref arg-3 10))) (let ((e-12 (vector-ref arg-3 11))) (let ((e-13 (vector-ref arg-3 12))) (let ((e-14 (vector-ref arg-3 13))) (let ((e-15 (vector-ref arg-3 14))) (let ((e-16 (vector-ref arg-3 15))) (let ((e-17 (vector-ref arg-3 16))) (let ((e-18 (vector-ref arg-3 17))) (let ((e-19 (vector-ref arg-3 18))) (let ((e-20 (vector-ref arg-3 19))) (let ((e-21 (vector-ref arg-3 20))) (let ((e-22 (vector-ref arg-3 21))) (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45Binary-u--full_HasNames_C-40C-124C-40C-40BuiltinC-46PairC-32NameC-41C-32BoolC-41C-44C-40C-40BuiltinC-46MkPairC-32NameC-41C-32BoolC-41C-124C-41 arg-2 eta-0)) e-9 '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-23 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-23)))) (else (let ((e-23 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45Binary-u--full_HasNames_C-40C-124C-40C-40BuiltinC-46PairC-32NameC-41C-32C-40C-124C-40C-40BuiltinC-46PairC-32NameC-41C-32BoolC-41C-44C-40C-40BuiltinC-46MkPairC-32NameC-41C-32BoolC-41C-124C-41C-41C-44C-40C-40BuiltinC-46MkPairC-32NameC-41C-32C-40C-124C-40C-40BuiltinC-46PairC-32NameC-41C-32BoolC-41C-44C-40C-40BuiltinC-46MkPairC-32NameC-41C-32BoolC-41C-124C-41C-41C-124C-41 arg-2 eta-0)) e-10 '()))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-24 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-24)))) (else (let ((e-24 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Binary-n--10438-14685-u--fullPair arg-1 e-22 e-21 e-20 e-19 e-18 e-17 e-16 e-15 e-14 e-13 e-12 e-11 e-10 e-9 e-8 e-7 e-6 e-5 e-4 e-3 e-2 e-1 arg-2 arg-2 e-15))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-25 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-25)))) (else (let ((e-25 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45Binary-n--10438-14686-u--fullRW arg-1 e-22 e-21 e-20 e-19 e-18 e-17 e-16 e-15 e-14 e-13 e-12 e-11 e-10 e-9 e-8 e-7 e-6 e-5 e-4 e-3 e-2 e-1 arg-2 arg-2 e-16))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-26 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-26)))) (else (let ((e-26 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Binary-n--10438-14687-u--fullPrim arg-1 e-22 e-21 e-20 e-19 e-18 e-17 e-16 e-15 e-14 e-13 e-12 e-11 e-10 e-9 e-8 e-7 e-6 e-5 e-4 e-3 e-2 e-1 arg-2 arg-2 e-17))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-27 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-27)))) (else (let ((e-27 (vector-ref lcase-4 1))) (let ((eff-5 (let ((eff-5 (CoreC-45Binary-u--full_HasNames_C-40ListC-32C-36aC-41 (csegen-2562) arg-2 e-18))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-28 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-28)))) (else (let ((e-28 (vector-ref lcase-5 1))) (let ((eff-6 (let ((eff-6 (CoreC-45Binary-u--full_HasNames_C-40ListC-32C-36aC-41 (csegen-2565) arg-2 e-20))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-29 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-29)))) (else (let ((e-29 (vector-ref lcase-6 1))) (let ((eff-7 (let ((eff-7 (CoreC-45Binary-u--full_HasNames_C-40ListC-32C-36aC-41 (csegen-2562) arg-2 e-21))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-30 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-30)))) (else (let ((e-30 (vector-ref lcase-7 1))) (let ((eff-8 (let ((eff-8 (let ((e-32 (car arg-1))) ((e-32 arg-2) e-22)))) (PrimIO-io_bind eff-8 (lambda (lcase-8) (case (vector-ref lcase-8 0) ((0) (let ((e-31 (vector-ref lcase-8 1))) (lambda (eta-0) (vector 0 e-31)))) (else (let ((e-31 (vector-ref lcase-8 1))) (let ((eff-9 (lambda (eta-0) (vector 1 (vector e-1 e-2 e-3 e-4 e-5 e-6 e-7 e-8 e-23 e-24 e-11 e-12 e-13 e-14 e-25 e-26 e-27 e-28 e-19 e-29 e-30 e-31))))) eff-9))))))))) eff-8))))))))) eff-7))))))))) eff-6))))))))) eff-5))))))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))))))))))))))))))
(define CoreC-45Binary-u--full_HasNames_C-40ListC-32C-36aC-41 (lambda (arg-1 arg-2 arg-3) (CoreC-45Binary-n--9802-14081-u--full_aux arg-1 arg-3 arg-2 arg-2 '() arg-3)))
(define CoreC-45Binary-writeToTTC (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (let ((eff-0 (CoreC-45BinaryC-45Prims-initBinary))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 arg-2)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (unbox eff-2))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (let ((eff-2 arg-3)) (PrimIO-io_bind (let ((eff-3 eff-2)) (lambda (eta-0) (unbox eff-3))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45Binary-getSaveDefs (let ((e-2 (vector-ref e-6 2))) e-2) (LibrariesC-45DataC-45NameMap-keys (let ((e-34 (vector-ref e-6 5))) e-34)) '() e-6))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45BinaryC-45Prims-hashFileWith (let ((e-4 (vector-ref e-6 4))) (let ((e-36 (vector-ref e-4 9))) e-36)) arg-5))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (let ((eff-5 (CoreC-45Context-getDefaultTotalityOption arg-2))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-10 (vector-ref lcase-5 1))) (let ((eff-6 (let ((eff-6 (CoreC-45ContextC-45Log-log arg-2 "ttc.write" 5 (lambda () (DataC-45String-unwords (cons "Writing" (cons arg-6 (cons "with source hash" (cons (PreludeC-45Show-u--show_Show_C-40MaybeC-32C-36aC-41 (csegen-581) e-9) (cons "and interface hash" (cons (PreludeC-45Show-u--show_Show_Int (let ((e-16 (vector-ref e-6 16))) e-16)) '()))))))))))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-2 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-7 (let ((eff-7 (CoreC-45Binary-writeTTCFile arg-1 arg-2 e-5 (vector (CoreC-45Binary-ttcVersion) e-10 e-9 (let ((e-16 (vector-ref e-6 16))) e-16) (let ((e-17 (vector-ref e-6 17))) e-17) (let ((e-22 (vector-ref e-6 22))) e-22) e-8 (LibrariesC-45DataC-45NameMap-keys (let ((e-25 (vector-ref e-6 25))) e-25)) (let ((e-12 (vector-ref e-6 12))) e-12) (let ((e-32 (vector-ref e-6 11))) e-32) (let ((e-18 (vector-ref e-6 18))) e-18) (let ((e-15 (vector-ref e-7 8))) e-15) (let ((e-2 (vector-ref e-6 2))) e-2) (let ((e-3 (vector-ref e-6 3))) e-3) (let ((e-4 (vector-ref e-6 4))) (let ((e-44 (vector-ref e-4 4))) e-44)) (let ((e-4 (vector-ref e-6 4))) (let ((e-43 (vector-ref e-4 5))) e-43)) (let ((e-4 (vector-ref e-6 4))) (let ((e-42 (vector-ref e-4 6))) e-42)) (LibrariesC-45DataC-45NameMap-toList (let ((e-15 (vector-ref e-6 15))) e-15)) (let ((e-20 (vector-ref e-6 20))) e-20) (let ((e-14 (vector-ref e-6 14))) e-14) (LibrariesC-45DataC-45NameMap-toList (let ((e-31 (vector-ref e-6 31))) e-31)) arg-4)))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-2 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-8 (let ((eff-8 (let ((eff-8 (let ((eff-8 e-5)) (PrimIO-io_bind (let ((eff-9 eff-8)) (lambda (eta-0) (unbox eff-9))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-8 (lambda (lcase-8) (case (vector-ref lcase-8 0) ((0) (let ((e-2 (vector-ref lcase-8 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-13 (vector-ref lcase-8 1))) (let ((eff-9 (PrimIO-io_bind (LibrariesC-45UtilsC-45Binary-writeToFile arg-6 e-13) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) eff-9))))))))) (PrimIO-io_bind eff-8 (lambda (lcase-8) (case (vector-ref lcase-8 0) ((0) (let ((e-2 (vector-ref lcase-8 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-13 (vector-ref lcase-8 1))) (let ((eff-9 (lambda (clam-0) (case (vector-ref e-13 0) ((1) (vector 1 (vector 0 ))) (else (let ((e-14 (vector-ref e-13 1))) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 (string-append arg-6 (string-append ": " (SystemC-45FileC-45Error-u--show_Show_FileError e-14)))) clam-0))))))) eff-9))))))))) eff-8)))))))) eff-7)))))))) eff-6))))))))) eff-5))))))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))
(define CoreC-45Binary-writeTTCFile (lambda (arg-1 arg-2 arg-3 arg-4) (let ((eff-0 (CoreC-45Context-toFullNames arg-2 (cons (lambda (arg-6988) (lambda (arg-6991) (CoreC-45Binary-u--full_HasNames_C-40TTCFileC-32C-36eC-41 (Builtin-fst arg-1) arg-6988 arg-6991))) (lambda (arg-6998) (lambda (arg-7001) (CoreC-45Binary-u--resolved_HasNames_C-40TTCFileC-32C-36eC-41 (Builtin-fst arg-1) arg-6998 arg-7001)))) arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_String arg-3 (csegen-2566)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_WastefulInt arg-3 (let ((e-1 (vector-ref e-5 0))) e-1)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (let ((eff-3 (CoreC-45TTC-u--toBuf_TTC_TotalReq arg-3 (let ((e-2 (vector-ref e-5 1))) e-2)))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-4 (let ((eff-4 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40MaybeC-32C-36aC-41 (csegen-1945) arg-3 (let ((e-3 (vector-ref e-5 2))) e-3)))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-5 (let ((eff-5 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_Int arg-3 (let ((e-4 (vector-ref e-5 3))) e-4)))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-6 (let ((eff-6 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40ListC-32C-36aC-41 (csegen-2572) arg-3 (let ((e-28 (vector-ref e-5 4))) e-28)))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-2 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-7 (let ((eff-7 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40ListC-32C-36aC-41 (csegen-2585) arg-3 (let ((e-28 (vector-ref e-5 5))) e-28)))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-2 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-8 (let ((eff-8 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40ListC-32C-36aC-41 (csegen-2595) arg-3 (let ((e-24 (vector-ref e-5 10))) e-24)))) (PrimIO-io_bind eff-8 (lambda (lcase-8) (case (vector-ref lcase-8 0) ((0) (let ((e-2 (vector-ref lcase-8 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-9 (let ((eff-9 (let ((sc9 (Builtin-snd arg-1))) (let ((e-1 (car sc9))) ((e-1 arg-3) (let ((e-22 (vector-ref e-5 21))) e-22)))))) (PrimIO-io_bind eff-9 (lambda (lcase-9) (case (vector-ref lcase-9 0) ((0) (let ((e-2 (vector-ref lcase-9 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-10 (let ((eff-10 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40ListC-32C-36aC-41 (csegen-2601) arg-3 (let ((e-30 (vector-ref e-5 6))) e-30)))) (PrimIO-io_bind eff-10 (lambda (lcase-10) (case (vector-ref lcase-10 0) ((0) (let ((e-2 (vector-ref lcase-10 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-11 (let ((eff-11 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40ListC-32C-36aC-41 (csegen-64) arg-3 (let ((e-30 (vector-ref e-5 7))) e-30)))) (PrimIO-io_bind eff-11 (lambda (lcase-11) (case (vector-ref lcase-11 0) ((0) (let ((e-2 (vector-ref lcase-11 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-12 (let ((eff-12 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40ListC-32C-36aC-41 (csegen-70) arg-3 (let ((e-30 (vector-ref e-5 8))) e-30)))) (PrimIO-io_bind eff-12 (lambda (lcase-12) (case (vector-ref lcase-12 0) ((0) (let ((e-2 (vector-ref lcase-12 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-13 (let ((eff-13 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40ListC-32C-36aC-41 (csegen-2605) arg-3 (let ((e-30 (vector-ref e-5 9))) e-30)))) (PrimIO-io_bind eff-13 (lambda (lcase-13) (case (vector-ref lcase-13 0) ((0) (let ((e-2 (vector-ref lcase-13 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-14 (let ((eff-14 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_Int arg-3 (let ((e-29 (vector-ref e-5 11))) e-29)))) (PrimIO-io_bind eff-14 (lambda (lcase-14) (case (vector-ref lcase-14 0) ((0) (let ((e-2 (vector-ref lcase-14 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-15 (let ((eff-15 (CoreC-45TTC-u--toBuf_TTC_Namespace arg-3 (let ((e-29 (vector-ref e-5 12))) e-29)))) (PrimIO-io_bind eff-15 (lambda (lcase-15) (case (vector-ref lcase-15 0) ((0) (let ((e-2 (vector-ref lcase-15 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-16 (let ((eff-16 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40ListC-32C-36aC-41 (csegen-2568) arg-3 (let ((e-29 (vector-ref e-5 13))) e-29)))) (PrimIO-io_bind eff-16 (lambda (lcase-16) (case (vector-ref lcase-16 0) ((0) (let ((e-2 (vector-ref lcase-16 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-17 (let ((eff-17 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40MaybeC-32C-36aC-41 (csegen-2607) arg-3 (let ((e-29 (vector-ref e-5 14))) e-29)))) (PrimIO-io_bind eff-17 (lambda (lcase-17) (case (vector-ref lcase-17 0) ((0) (let ((e-2 (vector-ref lcase-17 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-18 (let ((eff-18 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40MaybeC-32C-36aC-41 (csegen-2609) arg-3 (let ((e-29 (vector-ref e-5 15))) e-29)))) (PrimIO-io_bind eff-18 (lambda (lcase-18) (case (vector-ref lcase-18 0) ((0) (let ((e-2 (vector-ref lcase-18 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-19 (let ((eff-19 (CoreC-45TTC-u--toBuf_TTC_PrimNames arg-3 (let ((e-29 (vector-ref e-5 16))) e-29)))) (PrimIO-io_bind eff-19 (lambda (lcase-19) (case (vector-ref lcase-19 0) ((0) (let ((e-2 (vector-ref lcase-19 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-20 (let ((eff-20 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40ListC-32C-36aC-41 (csegen-2613) arg-3 (let ((e-29 (vector-ref e-5 17))) e-29)))) (PrimIO-io_bind eff-20 (lambda (lcase-20) (case (vector-ref lcase-20 0) ((0) (let ((e-2 (vector-ref lcase-20 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-21 (let ((eff-21 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40ListC-32C-36aC-41 (csegen-2617) arg-3 (let ((e-29 (vector-ref e-5 18))) e-29)))) (PrimIO-io_bind eff-21 (lambda (lcase-21) (case (vector-ref lcase-21 0) ((0) (let ((e-2 (vector-ref lcase-21 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-22 (let ((eff-22 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40ListC-32C-36aC-41 (csegen-2623) arg-3 (let ((e-29 (vector-ref e-5 19))) e-29)))) (PrimIO-io_bind eff-22 (lambda (lcase-22) (case (vector-ref lcase-22 0) ((0) (let ((e-2 (vector-ref lcase-22 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-23 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40ListC-32C-36aC-41 (csegen-2634) arg-3 (let ((e-29 (vector-ref e-5 20))) e-29)))) eff-23)))))))) eff-22)))))))) eff-21)))))))) eff-20)))))))) eff-19)))))))) eff-18)))))))) eff-17)))))))) eff-16)))))))) eff-15)))))))) eff-14)))))))) eff-13)))))))) eff-12)))))))) eff-11)))))))) eff-10)))))))) eff-9)))))))) eff-8)))))))) eff-7)))))))) eff-6)))))))) eff-5)))))))) eff-4)))))))) eff-3)))))))) eff-2)))))))) eff-1)))))))))
(define CoreC-45Binary-updateTransforms (lambda (arg-0 arg-1) (if (null? arg-1) (lambda (eta-0) (vector 1 (vector 0 ))) (let ((e-2 (car arg-1))) (let ((e-3 (cdr arg-1))) (let ((e-6 (car e-2))) (let ((e-7 (cdr e-2))) (let ((eff-0 (let ((eff-0 (CoreC-45Context-toResolvedNames arg-0 (csegen-81) e-6))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toResolvedNames arg-0 (csegen-1543) e-7))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-8 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45Binary-n--13089-17156-u--addT e-6 e-7 e-3 arg-0 e-5 e-8))) eff-2))))))))) eff-1))))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-1 (CoreC-45Binary-updateTransforms arg-0 e-3))) eff-1)))))))))))))
(define CoreC-45Binary-updateRewrite (lambda (arg-0 arg-1) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (let ((e-0 (vector-ref e-5 0))) (let ((e-1 (vector-ref e-5 1))) (let ((e-2 (vector-ref e-5 2))) (let ((e-3 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-32 (vector-ref e-5 5))) (let ((e-6 (vector-ref e-5 6))) (let ((e-7 (vector-ref e-5 7))) (let ((e-8 (vector-ref e-5 8))) (let ((e-9 (vector-ref e-5 9))) (let ((e-10 (vector-ref e-5 10))) (let ((e-11 (vector-ref e-5 11))) (let ((e-12 (vector-ref e-5 12))) (let ((e-13 (vector-ref e-5 13))) (let ((e-14 (vector-ref e-5 14))) (let ((e-15 (vector-ref e-5 15))) (let ((e-16 (vector-ref e-5 16))) (let ((e-17 (vector-ref e-5 17))) (let ((e-18 (vector-ref e-5 18))) (let ((e-19 (vector-ref e-5 19))) (let ((e-20 (vector-ref e-5 20))) (let ((e-21 (vector-ref e-5 21))) (let ((e-22 (vector-ref e-5 22))) (let ((e-23 (vector-ref e-5 23))) (let ((e-24 (vector-ref e-5 24))) (let ((e-25 (vector-ref e-5 25))) (let ((e-26 (vector-ref e-5 26))) (let ((e-27 (vector-ref e-5 27))) (let ((e-28 (vector-ref e-5 28))) (let ((e-29 (vector-ref e-5 29))) (let ((e-30 (vector-ref e-5 30))) (let ((e-31 (vector-ref e-5 31))) (let ((e-42 (vector-ref e-4 0))) (let ((e-33 (vector-ref e-4 1))) (let ((e-34 (vector-ref e-4 2))) (let ((e-35 (vector-ref e-4 3))) (let ((e-36 (vector-ref e-4 4))) (let ((e-37 (vector-ref e-4 5))) (let ((e-38 (vector-ref e-4 6))) (let ((e-39 (vector-ref e-4 7))) (let ((e-40 (vector-ref e-4 8))) (let ((e-41 (vector-ref e-4 9))) (vector e-0 e-1 e-2 e-3 (vector e-42 e-33 e-34 e-35 e-36 (((csegen-2636) arg-1) e-37) e-38 e-39 e-40 e-41) e-32 e-6 e-7 e-8 e-9 e-10 e-11 e-12 e-13 e-14 e-15 e-16 e-17 e-18 e-19 e-20 e-21 e-22 e-23 e-24 e-25 e-26 e-27 e-28 e-29 e-30 e-31)))))))))))))))))))))))))))))))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-1)))))))))
(define CoreC-45Binary-updatePrims (lambda (arg-0 arg-1) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (let ((e-0 (vector-ref e-5 0))) (let ((e-1 (vector-ref e-5 1))) (let ((e-2 (vector-ref e-5 2))) (let ((e-3 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-32 (vector-ref e-5 5))) (let ((e-6 (vector-ref e-5 6))) (let ((e-7 (vector-ref e-5 7))) (let ((e-8 (vector-ref e-5 8))) (let ((e-9 (vector-ref e-5 9))) (let ((e-10 (vector-ref e-5 10))) (let ((e-11 (vector-ref e-5 11))) (let ((e-12 (vector-ref e-5 12))) (let ((e-13 (vector-ref e-5 13))) (let ((e-14 (vector-ref e-5 14))) (let ((e-15 (vector-ref e-5 15))) (let ((e-16 (vector-ref e-5 16))) (let ((e-17 (vector-ref e-5 17))) (let ((e-18 (vector-ref e-5 18))) (let ((e-19 (vector-ref e-5 19))) (let ((e-20 (vector-ref e-5 20))) (let ((e-21 (vector-ref e-5 21))) (let ((e-22 (vector-ref e-5 22))) (let ((e-23 (vector-ref e-5 23))) (let ((e-24 (vector-ref e-5 24))) (let ((e-25 (vector-ref e-5 25))) (let ((e-26 (vector-ref e-5 26))) (let ((e-27 (vector-ref e-5 27))) (let ((e-28 (vector-ref e-5 28))) (let ((e-29 (vector-ref e-5 29))) (let ((e-30 (vector-ref e-5 30))) (let ((e-31 (vector-ref e-5 31))) (let ((e-42 (vector-ref e-4 0))) (let ((e-33 (vector-ref e-4 1))) (let ((e-34 (vector-ref e-4 2))) (let ((e-35 (vector-ref e-4 3))) (let ((e-36 (vector-ref e-4 4))) (let ((e-37 (vector-ref e-4 5))) (let ((e-38 (vector-ref e-4 6))) (let ((e-39 (vector-ref e-4 7))) (let ((e-40 (vector-ref e-4 8))) (let ((e-41 (vector-ref e-4 9))) (vector e-0 e-1 e-2 e-3 (vector e-42 e-33 e-34 e-35 e-36 e-37 (CoreC-45Binary-updatePrimNames arg-1 e-38) e-39 e-40 e-41) e-32 e-6 e-7 e-8 e-9 e-10 e-11 e-12 e-13 e-14 e-15 e-16 e-17 e-18 e-19 e-20 e-21 e-22 e-23 e-24 e-25 e-26 e-27 e-28 e-29 e-30 e-31)))))))))))))))))))))))))))))))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-1)))))))))
(define CoreC-45Binary-updatePrimNames (lambda (arg-0 ext-0) (let ((e-0 (vector-ref ext-0 0))) (let ((e-1 (vector-ref ext-0 1))) (let ((e-2 (vector-ref ext-0 2))) (let ((e-3 (vector-ref ext-0 3))) (vector (((csegen-2636) (let ((e-7 (vector-ref arg-0 0))) e-7)) e-0) (((csegen-2636) (let ((e-6 (vector-ref arg-0 1))) e-6)) e-1) (((csegen-2636) (let ((e-5 (vector-ref arg-0 2))) e-5)) e-2) (((csegen-2636) (let ((e-4 (vector-ref arg-0 3))) e-4)) e-3))))))))
(define CoreC-45Binary-updatePair (lambda (arg-0 arg-1) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (let ((e-0 (vector-ref e-5 0))) (let ((e-1 (vector-ref e-5 1))) (let ((e-2 (vector-ref e-5 2))) (let ((e-3 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-32 (vector-ref e-5 5))) (let ((e-6 (vector-ref e-5 6))) (let ((e-7 (vector-ref e-5 7))) (let ((e-8 (vector-ref e-5 8))) (let ((e-9 (vector-ref e-5 9))) (let ((e-10 (vector-ref e-5 10))) (let ((e-11 (vector-ref e-5 11))) (let ((e-12 (vector-ref e-5 12))) (let ((e-13 (vector-ref e-5 13))) (let ((e-14 (vector-ref e-5 14))) (let ((e-15 (vector-ref e-5 15))) (let ((e-16 (vector-ref e-5 16))) (let ((e-17 (vector-ref e-5 17))) (let ((e-18 (vector-ref e-5 18))) (let ((e-19 (vector-ref e-5 19))) (let ((e-20 (vector-ref e-5 20))) (let ((e-21 (vector-ref e-5 21))) (let ((e-22 (vector-ref e-5 22))) (let ((e-23 (vector-ref e-5 23))) (let ((e-24 (vector-ref e-5 24))) (let ((e-25 (vector-ref e-5 25))) (let ((e-26 (vector-ref e-5 26))) (let ((e-27 (vector-ref e-5 27))) (let ((e-28 (vector-ref e-5 28))) (let ((e-29 (vector-ref e-5 29))) (let ((e-30 (vector-ref e-5 30))) (let ((e-31 (vector-ref e-5 31))) (let ((e-42 (vector-ref e-4 0))) (let ((e-33 (vector-ref e-4 1))) (let ((e-34 (vector-ref e-4 2))) (let ((e-35 (vector-ref e-4 3))) (let ((e-36 (vector-ref e-4 4))) (let ((e-37 (vector-ref e-4 5))) (let ((e-38 (vector-ref e-4 6))) (let ((e-39 (vector-ref e-4 7))) (let ((e-40 (vector-ref e-4 8))) (let ((e-41 (vector-ref e-4 9))) (vector e-0 e-1 e-2 e-3 (vector e-42 e-33 e-34 e-35 (((csegen-2636) arg-1) e-36) e-37 e-38 e-39 e-40 e-41) e-32 e-6 e-7 e-8 e-9 e-10 e-11 e-12 e-13 e-14 e-15 e-16 e-17 e-18 e-19 e-20 e-21 e-22 e-23 e-24 e-25 e-26 e-27 e-28 e-29 e-30 e-31)))))))))))))))))))))))))))))))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-1)))))))))
(define CoreC-45Binary-updateNameDirectives (lambda (arg-0 arg-1) (if (null? arg-1) (lambda (eta-0) (vector 1 (vector 0 ))) (let ((e-2 (car arg-1))) (let ((e-3 (cdr arg-1))) (let ((e-6 (car e-2))) (let ((e-7 (cdr e-2))) (let ((eff-0 (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (let ((e-0 (vector-ref e-5 0))) (let ((e-1 (vector-ref e-5 1))) (let ((e-36 (vector-ref e-5 2))) (let ((e-35 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-34 (vector-ref e-5 5))) (let ((e-33 (vector-ref e-5 6))) (let ((e-32 (vector-ref e-5 7))) (let ((e-8 (vector-ref e-5 8))) (let ((e-9 (vector-ref e-5 9))) (let ((e-10 (vector-ref e-5 10))) (let ((e-11 (vector-ref e-5 11))) (let ((e-12 (vector-ref e-5 12))) (let ((e-13 (vector-ref e-5 13))) (let ((e-14 (vector-ref e-5 14))) (let ((e-15 (vector-ref e-5 15))) (let ((e-16 (vector-ref e-5 16))) (let ((e-17 (vector-ref e-5 17))) (let ((e-18 (vector-ref e-5 18))) (let ((e-19 (vector-ref e-5 19))) (let ((e-20 (vector-ref e-5 20))) (let ((e-21 (vector-ref e-5 21))) (let ((e-22 (vector-ref e-5 22))) (let ((e-23 (vector-ref e-5 23))) (let ((e-24 (vector-ref e-5 24))) (let ((e-25 (vector-ref e-5 25))) (let ((e-26 (vector-ref e-5 26))) (let ((e-27 (vector-ref e-5 27))) (let ((e-28 (vector-ref e-5 28))) (let ((e-29 (vector-ref e-5 29))) (let ((e-30 (vector-ref e-5 30))) (let ((e-31 (vector-ref e-5 31))) (vector e-0 e-1 e-36 e-35 e-4 e-34 e-33 e-32 e-8 e-9 e-10 e-11 e-12 e-13 e-14 (LibrariesC-45DataC-45NameMap-insert e-6 e-7 e-15) e-16 e-17 e-18 e-19 e-20 e-21 e-22 e-23 e-24 e-25 e-26 e-27 e-28 e-29 e-30 e-31)))))))))))))))))))))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-1))))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-1 (CoreC-45Binary-updateNameDirectives arg-0 e-3))) eff-1)))))))))))))
(define CoreC-45Binary-updateFExports (lambda (arg-0 arg-1) (if (null? arg-1) (lambda (eta-0) (vector 1 (vector 0 ))) (let ((e-2 (car arg-1))) (let ((e-3 (cdr arg-1))) (let ((e-6 (car e-2))) (let ((e-7 (cdr e-2))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (let ((e-0 (vector-ref e-5 0))) (let ((e-1 (vector-ref e-5 1))) (let ((e-36 (vector-ref e-5 2))) (let ((e-35 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-34 (vector-ref e-5 5))) (let ((e-33 (vector-ref e-5 6))) (let ((e-32 (vector-ref e-5 7))) (let ((e-8 (vector-ref e-5 8))) (let ((e-9 (vector-ref e-5 9))) (let ((e-10 (vector-ref e-5 10))) (let ((e-11 (vector-ref e-5 11))) (let ((e-12 (vector-ref e-5 12))) (let ((e-13 (vector-ref e-5 13))) (let ((e-14 (vector-ref e-5 14))) (let ((e-15 (vector-ref e-5 15))) (let ((e-16 (vector-ref e-5 16))) (let ((e-17 (vector-ref e-5 17))) (let ((e-18 (vector-ref e-5 18))) (let ((e-19 (vector-ref e-5 19))) (let ((e-20 (vector-ref e-5 20))) (let ((e-21 (vector-ref e-5 21))) (let ((e-22 (vector-ref e-5 22))) (let ((e-23 (vector-ref e-5 23))) (let ((e-24 (vector-ref e-5 24))) (let ((e-25 (vector-ref e-5 25))) (let ((e-26 (vector-ref e-5 26))) (let ((e-27 (vector-ref e-5 27))) (let ((e-28 (vector-ref e-5 28))) (let ((e-29 (vector-ref e-5 29))) (let ((e-30 (vector-ref e-5 30))) (let ((e-31 (vector-ref e-5 31))) (vector e-0 e-1 e-36 e-35 e-4 e-34 e-33 e-32 e-8 e-9 e-10 e-11 e-12 e-13 e-14 e-15 e-16 e-17 e-18 e-19 e-20 e-21 e-22 e-23 e-24 e-25 e-26 e-27 e-28 e-29 e-30 (LibrariesC-45DataC-45NameMap-insert e-6 e-7 e-31))))))))))))))))))))))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-2 (CoreC-45Binary-updateFExports arg-0 e-3))) eff-2)))))))) eff-1))))))))))))))
(define CoreC-45Binary-updateCGDirectives (lambda (arg-0 arg-1) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (let ((e-0 (vector-ref e-5 0))) (let ((e-1 (vector-ref e-5 1))) (let ((e-2 (vector-ref e-5 2))) (let ((e-3 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-32 (vector-ref e-5 5))) (let ((e-6 (vector-ref e-5 6))) (let ((e-7 (vector-ref e-5 7))) (let ((e-8 (vector-ref e-5 8))) (let ((e-9 (vector-ref e-5 9))) (let ((e-10 (vector-ref e-5 10))) (let ((e-11 (vector-ref e-5 11))) (let ((e-12 (vector-ref e-5 12))) (let ((e-13 (vector-ref e-5 13))) (let ((e-14 (vector-ref e-5 14))) (let ((e-15 (vector-ref e-5 15))) (let ((e-16 (vector-ref e-5 16))) (let ((e-17 (vector-ref e-5 17))) (let ((e-18 (vector-ref e-5 18))) (let ((e-19 (vector-ref e-5 19))) (let ((e-20 (vector-ref e-5 20))) (let ((e-21 (vector-ref e-5 21))) (let ((e-22 (vector-ref e-5 22))) (let ((e-23 (vector-ref e-5 23))) (let ((e-24 (vector-ref e-5 24))) (let ((e-25 (vector-ref e-5 25))) (let ((e-26 (vector-ref e-5 26))) (let ((e-27 (vector-ref e-5 27))) (let ((e-28 (vector-ref e-5 28))) (let ((e-29 (vector-ref e-5 29))) (let ((e-30 (vector-ref e-5 30))) (let ((e-31 (vector-ref e-5 31))) (vector e-0 e-1 e-2 e-3 e-4 e-32 e-6 e-7 e-8 e-9 e-10 e-11 e-12 e-13 e-14 e-15 e-16 e-17 e-18 e-19 (DataC-45List-nub (cons (lambda (arg-528) (lambda (arg-531) (PreludeC-45EqOrd-u--C-61C-61_Eq_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-1640) (csegen-43) arg-528 arg-531))) (lambda (arg-538) (lambda (arg-541) (PreludeC-45EqOrd-u--C-47C-61_Eq_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-1640) (csegen-43) arg-538 arg-541)))) (PreludeC-45TypesC-45List-tailRecAppend arg-1 e-20)) e-21 e-22 e-23 e-24 e-25 e-26 e-27 e-28 e-29 e-30 e-31)))))))))))))))))))))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-1)))))))))
(define CoreC-45Binary-ttcVersion(blodwen-lazy (lambda () (bs+ (bs* (blodwen-toSignedInt 20220930 63) (blodwen-toSignedInt 100 63) 63) (blodwen-toSignedInt 0 63) 63))))
(define CoreC-45Binary-readTotalReq (lambda (arg-0) (let ((eff-0 (PrimIO-io_bind (LibrariesC-45UtilsC-45Binary-readFromFile arg-0) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (case (vector-ref e-5 0) ((1) (let ((e-2 (vector-ref e-5 1))) (let ((eff-1 (CoreC-45Core-newRef (vector "Core.Binary.Prims.Bin" ) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-3 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45Core-u--catch_Catchable_Core_Error (let ((eff-2 (CoreC-45Binary-getTotalReq arg-0 e-6))) (((csegen-50) ((let ((eff-3 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-3 (vector-ref eta-3 1))) (vector 0 e-3))) (else (let ((e-7 (vector-ref eta-3 1))) (vector 1 (eta-2 e-7))))))))))) (lambda (arg-1) (lambda (arg-2) ((((eff-3 'erased) 'erased) arg-1) arg-2)))) (lambda (eta-0) (box eta-0)))) eff-2)) (lambda (u--err) (lambda (eta-0) (vector 1 '())))))) eff-2))))))))) (else (lambda (eta-0) (vector 1 '())))))) eff-1)))))))))
(define CoreC-45Binary-readTTCFile (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (let ((eff-0 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_String arg-6))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (lambda (clam-0) (let ((sc1 (PreludeC-45EqOrd-u--C-47C-61_Eq_String e-5 (csegen-2566)))) (cond ((equal? sc1 1) (CoreC-45BinaryC-45Prims-corrupt (string-append "TTC header in " (string-append arg-4 (string-append " " (PreludeC-45Show-u--show_Show_String e-5)))) clam-0)) (else (vector 1 (vector 0 )))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_WastefulInt arg-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (lambda (eta-0) (CoreC-45Binary-checkTTCVersion arg-4 e-7 (CoreC-45Binary-ttcVersion) eta-0)))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-4 (let ((eff-4 (CoreC-45TTC-u--fromBuf_TTC_TotalReq arg-6))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (let ((eff-5 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40MaybeC-32C-36aC-41 (csegen-1945) arg-6))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-10 (vector-ref lcase-5 1))) (let ((eff-6 (let ((eff-6 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_Int arg-6))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-2 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-11 (vector-ref lcase-6 1))) (let ((eff-7 (let ((eff-7 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40ListC-32C-36aC-41 (csegen-2572) arg-6))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-2 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-12 (vector-ref lcase-7 1))) (let ((eff-8 (let ((eff-8 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40ListC-32C-36aC-41 (csegen-2585) arg-6))) (PrimIO-io_bind eff-8 (lambda (lcase-8) (case (vector-ref lcase-8 0) ((0) (let ((e-2 (vector-ref lcase-8 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-13 (vector-ref lcase-8 1))) (let ((eff-9 (let ((eff-9 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40ListC-32C-36aC-41 (csegen-2595) arg-6))) (PrimIO-io_bind eff-9 (lambda (lcase-9) (case (vector-ref lcase-9 0) ((0) (let ((e-2 (vector-ref lcase-9 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-14 (vector-ref lcase-9 1))) (let ((eff-10 (let ((eff-10 (let ((e-2 (cdr arg-1))) (e-2 arg-6)))) (PrimIO-io_bind eff-10 (lambda (lcase-10) (case (vector-ref lcase-10 0) ((0) (let ((e-2 (vector-ref lcase-10 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-15 (vector-ref lcase-10 1))) (let ((eff-11 (cond ((equal? arg-3 1) (let ((eff-11 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40ListC-32C-36aC-41 (csegen-2601) arg-6))) (PrimIO-io_bind eff-11 (lambda (lcase-11) (case (vector-ref lcase-11 0) ((0) (let ((e-2 (vector-ref lcase-11 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-16 (vector-ref lcase-11 1))) (let ((eff-12 (let ((eff-12 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40ListC-32C-36aC-41 (csegen-64) arg-6))) (PrimIO-io_bind eff-12 (lambda (lcase-12) (case (vector-ref lcase-12 0) ((0) (let ((e-2 (vector-ref lcase-12 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-17 (vector-ref lcase-12 1))) (let ((eff-13 (let ((eff-13 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40ListC-32C-36aC-41 (csegen-70) arg-6))) (PrimIO-io_bind eff-13 (lambda (lcase-13) (case (vector-ref lcase-13 0) ((0) (let ((e-2 (vector-ref lcase-13 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-18 (vector-ref lcase-13 1))) (let ((eff-14 (let ((eff-14 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40ListC-32C-36aC-41 (csegen-2605) arg-6))) (PrimIO-io_bind eff-14 (lambda (lcase-14) (case (vector-ref lcase-14 0) ((0) (let ((e-2 (vector-ref lcase-14 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-19 (vector-ref lcase-14 1))) (let ((eff-15 (let ((eff-15 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_Int arg-6))) (PrimIO-io_bind eff-15 (lambda (lcase-15) (case (vector-ref lcase-15 0) ((0) (let ((e-2 (vector-ref lcase-15 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-20 (vector-ref lcase-15 1))) (let ((eff-16 (let ((eff-16 (CoreC-45TTC-u--fromBuf_TTC_Namespace arg-6))) (PrimIO-io_bind eff-16 (lambda (lcase-16) (case (vector-ref lcase-16 0) ((0) (let ((e-2 (vector-ref lcase-16 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-21 (vector-ref lcase-16 1))) (let ((eff-17 (let ((eff-17 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40ListC-32C-36aC-41 (csegen-2568) arg-6))) (PrimIO-io_bind eff-17 (lambda (lcase-17) (case (vector-ref lcase-17 0) ((0) (let ((e-2 (vector-ref lcase-17 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-22 (vector-ref lcase-17 1))) (let ((eff-18 (let ((eff-18 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40MaybeC-32C-36aC-41 (csegen-2607) arg-6))) (PrimIO-io_bind eff-18 (lambda (lcase-18) (case (vector-ref lcase-18 0) ((0) (let ((e-2 (vector-ref lcase-18 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-23 (vector-ref lcase-18 1))) (let ((eff-19 (let ((eff-19 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40MaybeC-32C-36aC-41 (csegen-2609) arg-6))) (PrimIO-io_bind eff-19 (lambda (lcase-19) (case (vector-ref lcase-19 0) ((0) (let ((e-2 (vector-ref lcase-19 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-24 (vector-ref lcase-19 1))) (let ((eff-20 (let ((eff-20 (CoreC-45TTC-u--fromBuf_TTC_PrimNames arg-6))) (PrimIO-io_bind eff-20 (lambda (lcase-20) (case (vector-ref lcase-20 0) ((0) (let ((e-2 (vector-ref lcase-20 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-25 (vector-ref lcase-20 1))) (let ((eff-21 (let ((eff-21 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40ListC-32C-36aC-41 (csegen-2613) arg-6))) (PrimIO-io_bind eff-21 (lambda (lcase-21) (case (vector-ref lcase-21 0) ((0) (let ((e-2 (vector-ref lcase-21 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-26 (vector-ref lcase-21 1))) (let ((eff-22 (let ((eff-22 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40ListC-32C-36aC-41 (csegen-2617) arg-6))) (PrimIO-io_bind eff-22 (lambda (lcase-22) (case (vector-ref lcase-22 0) ((0) (let ((e-2 (vector-ref lcase-22 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-27 (vector-ref lcase-22 1))) (let ((eff-23 (let ((eff-23 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40ListC-32C-36aC-41 (csegen-2623) arg-6))) (PrimIO-io_bind eff-23 (lambda (lcase-23) (case (vector-ref lcase-23 0) ((0) (let ((e-2 (vector-ref lcase-23 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-28 (vector-ref lcase-23 1))) (let ((eff-24 (let ((eff-24 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40ListC-32C-36aC-41 (csegen-2634) arg-6))) (PrimIO-io_bind eff-24 (lambda (lcase-24) (case (vector-ref lcase-24 0) ((0) (let ((e-2 (vector-ref lcase-24 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-29 (vector-ref lcase-24 1))) (let ((eff-25 (lambda (eta-0) (vector 1 (vector e-7 e-9 e-10 e-11 e-12 e-13 (((csegen-25) (lambda (eta-1) (CoreC-45Binary-n--11313-15485-u--replaceNS arg-1 arg-6 arg-5 arg-4 arg-3 arg-2 e-21 eta-1))) e-16) e-17 e-18 e-19 e-14 e-20 e-21 e-22 e-23 e-24 e-25 e-26 e-27 e-28 e-29 e-15))))) eff-25))))))))) eff-24))))))))) eff-23))))))))) eff-22))))))))) eff-21))))))))) eff-20))))))))) eff-19))))))))) eff-18))))))))) eff-17))))))))) eff-16))))))))) eff-15))))))))) eff-14))))))))) eff-13))))))))) eff-12)))))))) (else (lambda (eta-0) (vector 1 (vector e-7 e-9 e-10 e-11 e-12 e-13 '() '() '() '() '() 0 (CoreC-45NameC-45Namespace-mkNamespace "") '() '() '() (csegen-1663) '() '() '() '() e-15))))))) eff-11))))))))) eff-10))))))))) eff-9))))))))) eff-8))))))))) eff-7))))))))) eff-6))))))))) eff-5))))))))) eff-4)))))))) eff-3))))))))) eff-2)))))))) eff-1)))))))))
(define CoreC-45Binary-readIncData (lambda (arg-0) (let ((eff-0 (PrimIO-io_bind (LibrariesC-45UtilsC-45Binary-readFromFile arg-0) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (case (vector-ref e-5 0) ((1) (let ((e-2 (vector-ref e-5 1))) (let ((eff-1 (CoreC-45Core-newRef (vector "Core.Binary.Prims.Bin" ) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-3 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45Core-u--catch_Catchable_Core_Error (let ((eff-2 (CoreC-45Binary-getIncData arg-0 e-6))) (PrimIO-io_bind eff-2 (csegen-1313))) (lambda (u--err) (lambda (eta-0) (vector 1 '())))))) eff-2))))))))) (else (lambda (eta-0) (vector 1 '())))))) eff-1)))))))))
(define CoreC-45Binary-readImportHashes (lambda (arg-0) (let ((eff-0 (PrimIO-io_bind (LibrariesC-45UtilsC-45Binary-readFromFile arg-0) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (case (vector-ref e-5 0) ((1) (let ((e-2 (vector-ref e-5 1))) (let ((eff-1 (CoreC-45Core-newRef (vector "Core.Binary.Prims.Bin" ) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-3 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45Core-u--catch_Catchable_Core_Error (let ((eff-2 (CoreC-45Binary-getImportHashes arg-0 e-6))) (PrimIO-io_bind eff-2 (csegen-1313))) (lambda (u--err) (lambda (eta-0) (vector 1 '())))))) eff-2))))))))) (else (lambda (eta-0) (vector 1 '())))))) eff-1)))))))))
(define CoreC-45Binary-readHashes (lambda (arg-0) (let ((eff-0 (PrimIO-io_bind (LibrariesC-45UtilsC-45Binary-readFromFile arg-0) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (case (vector-ref e-5 0) ((1) (let ((e-2 (vector-ref e-5 1))) (let ((eff-1 (CoreC-45Core-newRef (vector "Core.Binary.Prims.Bin" ) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-3 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45Core-u--catch_Catchable_Core_Error (CoreC-45Binary-getHashes arg-0 e-6) (lambda (u--err) (csegen-2640))))) eff-2))))))))) (else (csegen-2640))))) eff-1)))))))))
(define CoreC-45Binary-readFromTTC (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9) (let ((eff-0 (let ((eff-0 arg-2)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((sc1 (PreludeC-45Types-elem (csegen-16) (csegen-2653) (cons arg-8 (cons arg-6 arg-9)) ((csegen-947) (let ((e-19 (vector-ref e-5 19))) e-19))))) (cond ((equal? sc1 0) (let ((eff-1 (let ((eff-1 arg-2)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (let ((e-0 (vector-ref e-5 0))) (let ((e-1 (vector-ref e-5 1))) (let ((e-2 (vector-ref e-5 2))) (let ((e-3 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-32 (vector-ref e-5 5))) (let ((e-6 (vector-ref e-5 6))) (let ((e-7 (vector-ref e-5 7))) (let ((e-8 (vector-ref e-5 8))) (let ((e-9 (vector-ref e-5 9))) (let ((e-10 (vector-ref e-5 10))) (let ((e-11 (vector-ref e-5 11))) (let ((e-12 (vector-ref e-5 12))) (let ((e-13 (vector-ref e-5 13))) (let ((e-14 (vector-ref e-5 14))) (let ((e-15 (vector-ref e-5 15))) (let ((e-16 (vector-ref e-5 16))) (let ((e-17 (vector-ref e-5 17))) (let ((e-18 (vector-ref e-5 18))) (let ((e-19 (vector-ref e-5 19))) (let ((e-20 (vector-ref e-5 20))) (let ((e-21 (vector-ref e-5 21))) (let ((e-22 (vector-ref e-5 22))) (let ((e-23 (vector-ref e-5 23))) (let ((e-24 (vector-ref e-5 24))) (let ((e-25 (vector-ref e-5 25))) (let ((e-26 (vector-ref e-5 26))) (let ((e-27 (vector-ref e-5 27))) (let ((e-28 (vector-ref e-5 28))) (let ((e-29 (vector-ref e-5 29))) (let ((e-30 (vector-ref e-5 30))) (let ((e-31 (vector-ref e-5 31))) (vector e-0 e-1 e-2 e-3 e-4 e-32 e-6 e-7 e-8 e-9 e-10 e-11 e-12 e-13 e-14 e-15 e-16 e-17 e-18 (cons (cons arg-7 (cons arg-8 (cons arg-6 arg-9))) e-19) e-20 e-21 e-22 e-23 e-24 e-25 e-26 e-27 e-28 e-29 e-30 e-31)))))))))))))))))))))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (PrimIO-io_bind (LibrariesC-45UtilsC-45Binary-readFromFile arg-7) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-7 0) ((1) (let ((e-2 (vector-ref e-7 1))) (let ((eff-3 (CoreC-45Core-newRef (vector "Core.Binary.Prims.Bin" ) e-2))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-3 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((u--as (let ((sc6 (CoreC-45NameC-45Namespace-u--C-61C-61_Eq_Namespace arg-9 (CoreC-45NameC-45Namespace-miAsNamespace arg-8)))) (cond ((equal? sc6 1) '()) (else (box arg-9)))))) (let ((sc6 (CoreC-45Binary-n--13467-17522-u--alreadyDone arg-1 arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-8 arg-9 (let ((e-19 (vector-ref e-5 19))) e-19)))) (cond ((equal? sc6 1) (let ((eff-4 (CoreC-45Binary-readTTCFile arg-1 arg-2 0 arg-7 u--as e-8))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-3 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (let ((u--ex (let ((e-22 (vector-ref e-9 21))) e-22))) (lambda (eta-0) (vector 1 (box (cons u--ex (cons (let ((e-4 (vector-ref e-9 3))) e-4) (let ((e-11 (vector-ref e-9 10))) e-11))))))))) eff-5)))))))) (else (let ((eff-4 (CoreC-45Binary-readTTCFile arg-1 arg-2 1 arg-7 u--as e-8))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-3 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (let ((u--ex (let ((e-22 (vector-ref e-9 21))) e-22))) (let ((eff-5 (CoreC-45Core-traverse_ (lambda (eta-0) (CoreC-45Binary-addGlobalDef arg-2 arg-8 (let ((e-13 (vector-ref e-9 12))) e-13) u--as eta-0)) (let ((e-25 (vector-ref e-9 6))) e-25)))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-3 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-6 (let ((eff-6 (CoreC-45Core-traverse_ (lambda (eta-0) (CoreC-45Context-addUserHole arg-2 1 eta-0)) (let ((e-25 (vector-ref e-9 7))) e-25)))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-3 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-7 (let ((eff-7 (CoreC-45Context-setNS arg-2 (let ((e-13 (vector-ref e-9 12))) e-13)))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-3 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-8 (let ((eff-8 (cond ((equal? arg-4 1) (CoreC-45Context-setNestedNS arg-2 (let ((e-14 (vector-ref e-9 13))) e-14))) (else (lambda (eta-0) (vector 1 (vector 0 ))))))) (PrimIO-io_bind eff-8 (lambda (lcase-8) (case (vector-ref lcase-8 0) ((0) (let ((e-3 (vector-ref lcase-8 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-9 (let ((eff-9 (let ((sc12 (PreludeC-45Types-elem (csegen-16) (csegen-353) arg-8 (((csegen-25) (lambda (eta-0) (Builtin-fst (CoreC-45Binary-getNSas eta-0)))) (let ((e-19 (vector-ref e-5 19))) e-19))))) (cond ((equal? sc12 1) (lambda (eta-0) (vector 1 (vector 0 )))) (else (let ((eff-9 (CoreC-45Core-traverse_ (lambda (eta-0) (CoreC-45Binary-addTypeHint arg-2 arg-5 eta-0)) (let ((e-26 (vector-ref e-9 9))) e-26)))) (PrimIO-io_bind eff-9 (lambda (lcase-9) (case (vector-ref lcase-9 0) ((0) (let ((e-3 (vector-ref lcase-9 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-10 (let ((eff-10 (CoreC-45Core-traverse_ (lambda (eta-0) (CoreC-45Binary-addAutoHint arg-2 eta-0)) (let ((e-28 (vector-ref e-9 8))) e-28)))) (PrimIO-io_bind eff-10 (lambda (lcase-10) (case (vector-ref lcase-10 0) ((0) (let ((e-3 (vector-ref lcase-10 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-11 (let ((eff-11 (CoreC-45Context-addImportedInc arg-2 arg-8 (let ((e-32 (vector-ref e-9 5))) e-32)))) (PrimIO-io_bind eff-11 (lambda (lcase-11) (case (vector-ref lcase-11 0) ((0) (let ((e-3 (vector-ref lcase-11 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-12 (let ((eff-12 (CoreC-45Binary-updatePair arg-2 (let ((e-24 (vector-ref e-9 14))) e-24)))) (PrimIO-io_bind eff-12 (lambda (lcase-12) (case (vector-ref lcase-12 0) ((0) (let ((e-3 (vector-ref lcase-12 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-13 (let ((eff-13 (CoreC-45Binary-updateRewrite arg-2 (let ((e-24 (vector-ref e-9 15))) e-24)))) (PrimIO-io_bind eff-13 (lambda (lcase-13) (case (vector-ref lcase-13 0) ((0) (let ((e-3 (vector-ref lcase-13 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-14 (let ((eff-14 (CoreC-45Binary-updatePrims arg-2 (let ((e-24 (vector-ref e-9 16))) e-24)))) (PrimIO-io_bind eff-14 (lambda (lcase-14) (case (vector-ref lcase-14 0) ((0) (let ((e-3 (vector-ref lcase-14 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-15 (let ((eff-15 (CoreC-45Binary-updateNameDirectives arg-2 (PreludeC-45TypesC-45List-reverse (let ((e-24 (vector-ref e-9 17))) e-24))))) (PrimIO-io_bind eff-15 (lambda (lcase-15) (case (vector-ref lcase-15 0) ((0) (let ((e-3 (vector-ref lcase-15 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-16 (let ((eff-16 (CoreC-45Binary-updateCGDirectives arg-2 (let ((e-24 (vector-ref e-9 18))) e-24)))) (PrimIO-io_bind eff-16 (lambda (lcase-16) (case (vector-ref lcase-16 0) ((0) (let ((e-3 (vector-ref lcase-16 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-17 (let ((eff-17 (CoreC-45Binary-updateTransforms arg-2 (let ((e-24 (vector-ref e-9 19))) e-24)))) (PrimIO-io_bind eff-17 (lambda (lcase-17) (case (vector-ref lcase-17 0) ((0) (let ((e-3 (vector-ref lcase-17 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-18 (CoreC-45Binary-updateFExports arg-2 (let ((e-24 (vector-ref e-9 20))) e-24)))) eff-18)))))))) eff-17)))))))) eff-16)))))))) eff-15)))))))) eff-14)))))))) eff-13)))))))) eff-12)))))))) eff-11)))))))) eff-10))))))))))) (PrimIO-io_bind eff-9 (lambda (lcase-9) (case (vector-ref lcase-9 0) ((0) (let ((e-3 (vector-ref lcase-9 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-10 (let ((eff-10 (cond ((equal? arg-6 1) (lambda (eta-0) (vector 1 (vector 0 )))) (else (CoreC-45Context-clearSavedHints arg-2))))) (PrimIO-io_bind eff-10 (lambda (lcase-10) (case (vector-ref lcase-10 0) ((0) (let ((e-3 (vector-ref lcase-10 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-11 (let ((eff-11 (CoreC-45Context-resetFirstEntry arg-2))) (PrimIO-io_bind eff-11 (lambda (lcase-11) (case (vector-ref lcase-11 0) ((0) (let ((e-3 (vector-ref lcase-11 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-12 (let ((eff-12 (let ((eff-12 (let ((eff-12 arg-3)) (PrimIO-io_bind (let ((eff-13 eff-12)) (lambda (eta-0) (unbox eff-13))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-12 (lambda (lcase-12) (case (vector-ref lcase-12 0) ((0) (let ((e-3 (vector-ref lcase-12 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-17 (vector-ref lcase-12 1))) (let ((eff-13 (let ((eff-13 arg-3)) (PrimIO-io_bind (let ((eff-14 eff-13)) (lambda (eta-0) (set-box! eff-14 (let ((e-0 (vector-ref e-17 0))) (let ((e-1 (vector-ref e-17 1))) (let ((e-25 (vector-ref e-17 2))) (let ((e-3 (vector-ref e-17 3))) (let ((e-4 (vector-ref e-17 4))) (let ((e-24 (vector-ref e-17 5))) (let ((e-23 (vector-ref e-17 6))) (let ((e-22 (vector-ref e-17 7))) (let ((e-20 (vector-ref e-17 9))) (let ((e-19 (vector-ref e-17 10))) (let ((e-18 (vector-ref e-17 11))) (vector e-0 e-1 e-25 e-3 e-4 e-24 e-23 e-22 (let ((e-36 (vector-ref e-9 11))) e-36) e-20 e-19 e-18))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-13))))))))) (PrimIO-io_bind eff-12 (lambda (lcase-12) (case (vector-ref lcase-12 0) ((0) (let ((e-3 (vector-ref lcase-12 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-13 (lambda (eta-0) (vector 1 (box (cons u--ex (cons (let ((e-4 (vector-ref e-9 3))) e-4) (let ((e-29 (vector-ref e-9 10))) e-29)))))))) eff-13)))))))) eff-12)))))))) eff-11)))))))) eff-10)))))))) eff-9)))))))) eff-8)))))))) eff-7)))))))) eff-6))))))))) eff-5))))))))))))) eff-4))))))))) (else (let ((e-8 (vector-ref e-7 1))) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 (string-append arg-7 (string-append ": " (SystemC-45FileC-45Error-u--show_Show_FileError e-8)))) eta-0))))))) eff-3))))))))) eff-2))))))) (else (lambda (eta-0) (vector 1 '()))))))) eff-1)))))))))
(define CoreC-45Binary-getTotalReq (lambda (arg-0 arg-1) (let ((eff-0 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_String arg-1))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (lambda (clam-0) (let ((sc1 (PreludeC-45EqOrd-u--C-47C-61_Eq_String e-5 "TT2"))) (cond ((equal? sc1 1) (CoreC-45BinaryC-45Prims-corrupt (string-append "TTC header in " (string-append arg-0 (string-append " " (PreludeC-45Show-u--show_Show_String e-5)))) clam-0)) (else (vector 1 (vector 0 )))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_WastefulInt arg-1))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (lambda (eta-0) (CoreC-45Binary-checkTTCVersion arg-0 e-7 (CoreC-45Binary-ttcVersion) eta-0)))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-4 (CoreC-45TTC-u--fromBuf_TTC_TotalReq arg-1))) eff-4)))))))) eff-3))))))))) eff-2)))))))) eff-1)))))))))
(define CoreC-45Binary-getSaveDefs (lambda (arg-0 arg-1 arg-2 arg-3) (if (null? arg-1) (lambda (eta-0) (vector 1 arg-2)) (let ((e-2 (car arg-1))) (let ((e-3 (cdr arg-1))) (let ((eff-0 (CoreC-45Context-lookupCtxtExact e-2 (let ((e-0 (vector-ref arg-3 0))) e-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (if (null? e-5) (CoreC-45Binary-getSaveDefs arg-0 e-3 arg-2 arg-3) (let ((e-1 (unbox e-5))) (let ((e-17 (vector-ref e-1 17))) (case (vector-ref e-17 0) ((4) (CoreC-45Binary-getSaveDefs arg-0 e-3 arg-2 arg-3))(else (let ((eff-1 (CoreC-45BinaryC-45Prims-initBinaryS (blodwen-toSignedInt 16384 63)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-26 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-26)))) (else (let ((e-26 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (let ((eff-2 (CoreC-45Context-u--full_HasNames_GlobalDef (let ((e-58 (vector-ref arg-3 0))) e-58) e-1))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-27 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-27)))) (else (let ((e-27 (vector-ref lcase-2 1))) (let ((eff-3 (CoreC-45TTC-u--toBuf_TTC_GlobalDef e-26 (CoreC-45Context-u--trimNS_StripNamespace_GlobalDef arg-0 e-27)))) eff-3))))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-27 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-27)))) (else (let ((eff-3 (let ((eff-3 (let ((eff-3 e-26)) (PrimIO-io_bind (let ((eff-4 eff-3)) (lambda (eta-0) (unbox eff-4))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-28 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-28)))) (else (let ((e-28 (vector-ref lcase-3 1))) (let ((eff-4 (CoreC-45Binary-getSaveDefs arg-0 e-3 (cons (cons (CoreC-45Binary-n--11847-15997-u--trimName e-2 e-3 arg-3 arg-2 arg-0 (let ((e-49 (vector-ref e-1 1))) e-49)) e-28) arg-2) arg-3))) eff-4))))))))) eff-3)))))))) eff-2)))))))))))))) eff-1))))))))))))
(define CoreC-45Binary-getNSas (lambda (arg-0) (let ((e-3 (cdr arg-0))) (let ((e-6 (car e-3))) (let ((e-7 (cdr e-3))) (let ((e-11 (cdr e-7))) (cons e-6 e-11)))))))
(define CoreC-45Binary-getIncData (lambda (arg-0 arg-1) (let ((eff-0 (let ((eff-0 (CoreC-45Binary-getImportHashes arg-0 arg-1))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (_-8679) (vector 0 )))) eff-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40ListC-32C-36aC-41 (csegen-2585) arg-1))) eff-1))))))))
(define CoreC-45Binary-getImportHashes (lambda (arg-0 arg-1) (let ((eff-0 (let ((eff-0 (CoreC-45Binary-getHashes arg-0 arg-1))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (_-8679) (vector 0 )))) eff-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40ListC-32C-36aC-41 (csegen-2572) arg-1))) eff-1))))))))
(define CoreC-45Binary-getHashes (lambda (arg-0 arg-1) (let ((eff-0 (let ((eff-0 (CoreC-45Binary-getTotalReq arg-0 arg-1))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (_-8679) (vector 0 )))) eff-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40MaybeC-32C-36aC-41 (csegen-1945) arg-1))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_Int arg-1))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (cons e-6 e-7))))) eff-3))))))))) eff-2))))))))) eff-1))))))))
(define CoreC-45Binary-checkTTCVersion (lambda (arg-0 arg-1 arg-2 ext-0) (let ((sc0 (PreludeC-45EqOrd-u--C-47C-61_Eq_Int arg-1 arg-2))) (cond ((equal? sc0 1) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 50 (vector 0 arg-0 arg-1 arg-2)) ext-0)) (else (vector 1 (vector 0 )))))))
(define CoreC-45Binary-addTypeHint (lambda (arg-0 arg-1 arg-2) (let ((e-2 (car arg-2))) (let ((e-3 (cdr arg-2))) (let ((e-6 (car e-3))) (let ((e-7 (cdr e-3))) (let ((eff-0 (let ((eff-0 (CoreC-45Context-getFullName arg-0 e-6))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-getFullName arg-0 e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-8 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45ContextC-45Log-unverifiedLogC arg-0 "ttc.read" 10 (lambda (eta-0) (vector 1 (string-append (CoreC-45Name-u--show_Show_Name e-5) (string-append " for " (CoreC-45Name-u--show_Show_Name e-8)))))))) eff-2))))))))) eff-1))))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-1 (CoreC-45Context-addHintFor arg-0 arg-1 e-2 e-6 e-7 1))) eff-1))))))))))))
(define CoreC-45Binary-addGlobalDef (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (let ((e-2 (car arg-4))) (let ((e-3 (cdr arg-4))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-lookupContextEntry e-2 (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (PreludeC-45Types-maybe (lambda () (lambda (eta-0) (vector 1 '()))) (lambda () (lambda (u--p) (let ((eff-2 (CoreC-45Context-decode (let ((e-0 (vector-ref e-5 0))) e-0) (Builtin-fst u--p) 0 (Builtin-snd u--p)))) (PrimIO-io_bind eff-2 (csegen-1573))))) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (let ((sc4 (CoreC-45Binary-n--12324-16429-u--completeDef e-2 e-3 arg-3 arg-2 arg-1 arg-0 e-7))) (cond ((equal? sc4 1) (lambda (eta-0) (vector 1 (vector 0 )))) (else (let ((eff-3 (CoreC-45Context-addContextEntry arg-0 arg-2 e-2 e-3))) (((csegen-50) ((let ((eff-4 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-4 (vector-ref eta-3 1))) (vector 0 e-4))) (else (let ((e-8 (vector-ref eta-3 1))) (vector 1 (eta-2 e-8))))))))))) (lambda (arg-5) (lambda (arg-6) ((((eff-4 'erased) 'erased) arg-5) arg-6)))) (lambda (_-8679) (vector 0 )))) eff-3))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-4 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-4 (if (null? arg-3) (lambda (eta-0) (vector 1 (vector 0 ))) (let ((e-1 (unbox arg-3))) (CoreC-45Context-addContextAlias arg-0 (CoreC-45Name-asName arg-1 e-1 e-2) e-2))))) eff-4)))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))
(define CoreC-45Binary-addAutoHint (lambda (arg-0 arg-1) (let ((e-2 (car arg-1))) (let ((e-3 (cdr arg-1))) (let ((eff-0 (CoreC-45Context-toResolvedNames arg-0 (csegen-81) e-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (unbox eff-2))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 arg-0)) (PrimIO-io_bind (let ((eff-3 eff-2)) (lambda (eta-0) (set-box! eff-3 (let ((e-0 (vector-ref e-6 0))) (let ((e-1 (vector-ref e-6 1))) (let ((e-35 (vector-ref e-6 2))) (let ((e-34 (vector-ref e-6 3))) (let ((e-4 (vector-ref e-6 4))) (let ((e-33 (vector-ref e-6 5))) (let ((e-32 (vector-ref e-6 6))) (let ((e-7 (vector-ref e-6 7))) (let ((e-8 (vector-ref e-6 8))) (let ((e-9 (vector-ref e-6 9))) (let ((e-10 (vector-ref e-6 10))) (let ((e-11 (vector-ref e-6 11))) (let ((e-12 (vector-ref e-6 12))) (let ((e-13 (vector-ref e-6 13))) (let ((e-14 (vector-ref e-6 14))) (let ((e-15 (vector-ref e-6 15))) (let ((e-16 (vector-ref e-6 16))) (let ((e-17 (vector-ref e-6 17))) (let ((e-18 (vector-ref e-6 18))) (let ((e-19 (vector-ref e-6 19))) (let ((e-20 (vector-ref e-6 20))) (let ((e-21 (vector-ref e-6 21))) (let ((e-22 (vector-ref e-6 22))) (let ((e-23 (vector-ref e-6 23))) (let ((e-24 (vector-ref e-6 24))) (let ((e-25 (vector-ref e-6 25))) (let ((e-26 (vector-ref e-6 26))) (let ((e-27 (vector-ref e-6 27))) (let ((e-28 (vector-ref e-6 28))) (let ((e-29 (vector-ref e-6 29))) (let ((e-30 (vector-ref e-6 30))) (let ((e-31 (vector-ref e-6 31))) (vector e-0 e-1 e-35 e-34 e-4 e-33 e-32 e-7 (LibrariesC-45DataC-45NameMap-insert e-5 e-3 e-8) e-9 e-10 e-11 e-12 e-13 e-14 e-15 e-16 e-17 e-18 e-19 e-20 e-21 e-22 e-23 e-24 e-25 e-26 e-27 e-28 e-29 e-30 e-31)))))))))))))))))))))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-2))))))))) eff-1)))))))))))
(define CoreC-45UnifyState-case--caseC-32blockC-32inC-32dumpHole-17866 (lambda (arg-0 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10) (if (null? arg-10) (lambda (eta-0) (vector 1 (vector 0 ))) (let ((e-2 (car arg-10))) (let ((e-3 (cdr arg-10))) (case (vector-ref e-2 0) ((9) (let ((e-4 (vector-ref e-2 1))) (let ((e-6 (vector-ref e-2 3))) (let ((eff-0 (let ((eff-0 (CoreC-45Context-getFullName arg-4 (vector 8 arg-2)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-7 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Normalise-normaliseHoles arg-4 '() arg-7 '() e-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-8 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-4 (csegen-105) e-8))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-9 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45Normalise-normaliseHoles arg-4 '() arg-7 '() e-4))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (cond ((equal? arg-0 "") (PrimIO-io_bind (PreludeC-45IO-putStrLn (csegen-40) (string-append "LOG " (string-append (PreludeC-45Show-u--show_Show_Nat arg-3) (string-append ": " (string-append "!" (string-append (CoreC-45Name-u--show_Show_Name e-7) (string-append " : " (string-append (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-9) (string-append "\xa;\x9;  = " (string-append (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-10) "\xa;\x9;when")))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))(else (PrimIO-io_bind (PreludeC-45IO-putStrLn (csegen-40) (string-append "LOG " (string-append arg-0 (string-append ":" (string-append (PreludeC-45Show-u--show_Show_Nat arg-3) (string-append ": " (string-append "!" (string-append (CoreC-45Name-u--show_Show_Name e-7) (string-append " : " (string-append (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-9) (string-append "\xa;\x9;  = " (string-append (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-10) "\xa;\x9;when")))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-7 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((eff-1 (CoreC-45Core-traverse_ (lambda (eta-0) (CoreC-45UnifyState-n--13039-17428-u--dumpConstraint arg-0 arg-2 arg-3 arg-4 arg-5 eta-0)) e-6))) eff-1))))))))) ((7) (let ((e-8 (vector-ref e-2 2))) (let ((eff-0 (CoreC-45Normalise-normaliseHoles arg-4 '() arg-7 '() e-3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (cond ((equal? arg-0 "") (PrimIO-io_bind (PreludeC-45IO-putStrLn (csegen-40) (string-append "LOG " (string-append (PreludeC-45Show-u--show_Show_Nat arg-3) (string-append ": " (string-append "?" (string-append (CoreC-45Name-u--show_Show_Name (let ((e-1 (vector-ref arg-8 1))) e-1)) (string-append " : " (string-append (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-5) (let ((sc4 (let ((e-0 (car e-8))) e-0))) (cond ((equal? sc4 1) " (ImplBind)") (else (string-append "" (let ((sc5 (let ((e-14 (vector-ref arg-8 14))) e-14))) (cond ((equal? sc5 1) " (Invertible)") (else ""))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))(else (PrimIO-io_bind (PreludeC-45IO-putStrLn (csegen-40) (string-append "LOG " (string-append arg-0 (string-append ":" (string-append (PreludeC-45Show-u--show_Show_Nat arg-3) (string-append ": " (string-append "?" (string-append (CoreC-45Name-u--show_Show_Name (let ((e-1 (vector-ref arg-8 1))) e-1)) (string-append " : " (string-append (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-5) (let ((sc3 (let ((e-0 (car e-8))) e-0))) (cond ((equal? sc3 1) " (ImplBind)") (else (string-append "" (let ((sc4 (let ((e-14 (vector-ref arg-8 14))) e-14))) (cond ((equal? sc4 1) " (Invertible)") (else ""))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))))) eff-1))))))))) ((8) (let ((eff-0 (CoreC-45Normalise-normaliseHoles arg-4 '() arg-7 '() e-3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-4 (csegen-105) e-5))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (cond ((equal? arg-0 "") (PrimIO-io_bind (PreludeC-45IO-putStrLn (csegen-40) (string-append "LOG " (string-append (PreludeC-45Show-u--show_Show_Nat arg-3) (string-append ": " (string-append "Search " (string-append (PreludeC-45Show-u--show_Show_Int arg-2) (string-append " : " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-6)))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))(else (PrimIO-io_bind (PreludeC-45IO-putStrLn (csegen-40) (string-append "LOG " (string-append arg-0 (string-append ":" (string-append (PreludeC-45Show-u--show_Show_Nat arg-3) (string-append ": " (string-append "Search " (string-append (PreludeC-45Show-u--show_Show_Int arg-2) (string-append " : " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-6)))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))))) eff-2))))))))) eff-1)))))))) ((1) (let ((eff-0 (CoreC-45Normalise-normalise arg-4 '() arg-7 '() e-3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Normalise-normalise arg-4 '() arg-7 '() (vector 1 (CoreC-45FC-emptyFC) (vector 1 ) (vector 8 arg-2))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45ContextC-45Log-log arg-4 arg-0 4 (lambda () (string-append "Solved: " (string-append (PreludeC-45Show-u--show_Show_Int arg-2) (string-append " : " (string-append (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-5) (string-append " = " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-6)))))))))) eff-2))))))))) eff-1)))))))) ((10) (let ((eff-0 (CoreC-45Normalise-normalise arg-4 '() arg-7 '() e-3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45ContextC-45Log-log arg-4 arg-0 4 (lambda () (string-append "Bound: " (string-append (PreludeC-45Show-u--show_Show_Int arg-2) (string-append " : " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-5)))))))) eff-1)))))))) ((12) (let ((eff-0 (CoreC-45Normalise-normalise arg-4 '() arg-7 '() e-3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45ContextC-45Log-log arg-4 arg-0 4 (lambda () (string-append "Delayed elaborator : " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-5)))))) eff-1))))))))(else (lambda (eta-0) (vector 1 (vector 0 ))))))))))
(define CoreC-45UnifyState-case--dumpHoleC-44dumpConstraint-17458 (lambda (arg-0 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9) (if (null? arg-9) (lambda (eta-0) (vector 1 (vector 0 ))) (let ((e-2 (unbox arg-9))) (case (vector-ref e-2 0) ((2) (cond ((equal? arg-0 "") (PrimIO-io_bind (PreludeC-45IO-putStrLn (csegen-40) (string-append "LOG " (string-append (PreludeC-45Show-u--show_Show_Nat arg-3) ": \x9;Resolved"))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))(else (PrimIO-io_bind (PreludeC-45IO-putStrLn (csegen-40) (string-append "LOG " (string-append arg-0 (string-append ":" (string-append (PreludeC-45Show-u--show_Show_Nat arg-3) ": \x9;Resolved"))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) ((0) (let ((e-3 (vector-ref e-2 1))) (let ((e-5 (vector-ref e-2 3))) (let ((e-6 (vector-ref e-2 4))) (let ((e-7 (vector-ref e-2 5))) (let ((e-8 (vector-ref e-2 6))) (let ((eff-0 (let ((eff-0 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-4 e-3 arg-8 e-6 e-7))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-9 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-4 (csegen-105) e-9))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-10 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-4 e-3 arg-8 e-6 e-8))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-11 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45Context-toFullNames arg-4 (csegen-105) e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-12 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-12)))) (else (let ((e-12 (vector-ref lcase-3 1))) (let ((eff-4 (cond ((equal? arg-0 "") (PrimIO-io_bind (PreludeC-45IO-putStrLn (csegen-40) (string-append "LOG " (string-append (PreludeC-45Show-u--show_Show_Nat arg-3) (string-append ": " (string-append "\x9;  " (string-append (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 e-3 e-10) (string-append " =?= " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 e-3 e-12)))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))(else (PrimIO-io_bind (PreludeC-45IO-putStrLn (csegen-40) (string-append "LOG " (string-append arg-0 (string-append ":" (string-append (PreludeC-45Show-u--show_Show_Nat arg-3) (string-append ": " (string-append "\x9;  " (string-append (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 e-3 e-10) (string-append " =?= " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 e-3 e-12)))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-9 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((eff-1 (let ((eff-1 (lambda (eta-0) (CoreC-45Context-clearDefs arg-8 eta-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-10 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-4 e-3 e-10 e-6 e-7))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-11 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45Context-toFullNames arg-4 (csegen-105) e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-12 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-12)))) (else (let ((e-12 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-4 e-3 e-10 e-6 e-8))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-13 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-4 1))) (let ((eff-5 (let ((eff-5 (CoreC-45Context-toFullNames arg-4 (csegen-105) e-13))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-14 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-5 1))) (let ((eff-6 (CoreC-45ContextC-45Log-log arg-4 arg-0 5 (lambda () (string-append "\x9;    from " (string-append (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 e-3 e-12) (string-append " =?= " (string-append (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 e-3 e-14) (cond ((equal? e-5 1) ((csegen-0) "\xa;\x9;(lazy allowed)")) (else "")))))))))) eff-6))))))))) eff-5))))))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))) (else (let ((e-9 (vector-ref e-2 1))) (let ((e-12 (vector-ref e-2 4))) (let ((e-13 (vector-ref e-2 5))) (cond ((equal? arg-0 "") (PrimIO-io_bind (PreludeC-45IO-putStrLn (csegen-40) (string-append "LOG " (string-append (PreludeC-45Show-u--show_Show_Nat arg-3) (string-append ": " (string-append "\x9;\x9;" (string-append (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (cons (lambda (u--x) (CoreC-45Value-u--show_Show_C-40NFC-32C-36freeC-41 e-9 u--x)) (lambda (u--d) (lambda (u--x) (CoreC-45Value-u--showPrec_Show_C-40NFC-32C-36freeC-41 e-9 u--d u--x)))) e-12) (string-append " =?= " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (cons (lambda (u--x) (CoreC-45Value-u--show_Show_C-40NFC-32C-36freeC-41 e-9 u--x)) (lambda (u--d) (lambda (u--x) (CoreC-45Value-u--showPrec_Show_C-40NFC-32C-36freeC-41 e-9 u--d u--x)))) e-13)))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))(else (PrimIO-io_bind (PreludeC-45IO-putStrLn (csegen-40) (string-append "LOG " (string-append arg-0 (string-append ":" (string-append (PreludeC-45Show-u--show_Show_Nat arg-3) (string-append ": " (string-append "\x9;\x9;" (string-append (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (cons (lambda (u--x) (CoreC-45Value-u--show_Show_C-40NFC-32C-36freeC-41 e-9 u--x)) (lambda (u--d) (lambda (u--x) (CoreC-45Value-u--showPrec_Show_C-40NFC-32C-36freeC-41 e-9 u--d u--x)))) e-12) (string-append " =?= " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (cons (lambda (u--x) (CoreC-45Value-u--show_Show_C-40NFC-32C-36freeC-41 e-9 u--x)) (lambda (u--d) (lambda (u--x) (CoreC-45Value-u--showPrec_Show_C-40NFC-32C-36freeC-41 e-9 u--d u--x)))) e-13)))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))))))))))))
(define CoreC-45UnifyState-case--caseC-32blockC-32inC-32checkValidHole-16558 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9) (case (vector-ref arg-9 0) ((8) (let ((eff-0 (let ((eff-0 arg-5)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-lookupTyExact arg-2 (let ((e-35 (vector-ref e-5 0))) e-35)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-3 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (clam-0) (if (null? e-6) (vector 1 (vector 0 )) (let ((e-3 (unbox e-6))) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 30 '() arg-1 (let ((e-37 (vector-ref e-5 0))) e-37) '() e-3 '()) clam-0)))))) eff-2))))))))) eff-1)))))))) ((9) (let ((e-5 (vector-ref arg-9 3))) (if (null? e-5) (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45Context-getFullName arg-5 eta-0)) (LibrariesC-45DataC-45NameMap-keys (CoreC-45TT-getRefs (vector 8 -1) (let ((e-2 (vector-ref arg-7 2))) e-2))) '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45Core-traverse_ (lambda (eta-0) (lambda (eta-1) (CoreC-45UnifyState-n--11983-16490-u--checkRef arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 eta-0 eta-1))) e-6))) eff-1))))))) (let ((e-7 (car e-5))) (let ((eff-0 (let ((eff-0 arg-4)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((sc3 (LibrariesC-45DataC-45IntMap-lookup e-7 (let ((e-16 (vector-ref e-6 4))) e-16)))) (if (null? sc3) (lambda (eta-0) (vector 1 (vector 0 ))) (let ((e-1 (unbox sc3))) (case (vector-ref e-1 0) ((0) (let ((e-0 (vector-ref e-1 1))) (let ((e-12 (vector-ref e-1 2))) (let ((e-11 (vector-ref e-1 4))) (let ((e-10 (vector-ref e-1 5))) (let ((e-9 (vector-ref e-1 6))) (let ((eff-1 (let ((eff-1 arg-4)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (let ((e-24 (vector-ref e-6 0))) (let ((e-22 (vector-ref e-6 2))) (let ((e-21 (vector-ref e-6 3))) (let ((e-20 (vector-ref e-6 4))) (let ((e-19 (vector-ref e-6 5))) (let ((e-18 (vector-ref e-6 6))) (let ((e-17 (vector-ref e-6 7))) (let ((e-16 (vector-ref e-6 8))) (let ((e-15 (vector-ref e-6 9))) (let ((e-14 (vector-ref e-6 10))) (let ((e-13 (vector-ref e-6 11))) (vector e-24 (LibrariesC-45DataC-45IntMap-empty) e-22 e-21 e-20 e-19 e-18 e-17 e-16 e-15 e-14 e-13))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-13 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((eff-2 (let ((eff-2 (lambda (eta-0) (CoreC-45Context-clearDefs arg-6 eta-0)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-14 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-5 e-0 e-14 e-11 e-10))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-15 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-15)))) (else (let ((e-15 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-5 e-0 e-14 e-11 e-9))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-16 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-16)))) (else (let ((e-16 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 2 e-0 e-12 (let ((e-48 (vector-ref arg-6 0))) e-48) e-11 e-15 e-16) eta-0)))) eff-5))))))))) eff-4))))))))) eff-3))))))))) eff-2)))))))))))) ((1) (let ((e-13 (vector-ref e-1 1))) (let ((e-12 (vector-ref e-1 2))) (let ((e-11 (vector-ref e-1 3))) (let ((e-9 (vector-ref e-1 4))) (let ((e-10 (vector-ref e-1 5))) (if (null? e-9) (lambda (eta-0) (vector 1 (vector 0 ))) (let ((e-15 (car e-9))) (if (null? e-10) (lambda (eta-0) (vector 1 (vector 0 ))) (let ((e-17 (car e-10))) (let ((eff-1 (let ((eff-1 arg-4)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (let ((e-0 (vector-ref e-6 0))) (let ((e-2 (vector-ref e-6 2))) (let ((e-26 (vector-ref e-6 3))) (let ((e-25 (vector-ref e-6 4))) (let ((e-24 (vector-ref e-6 5))) (let ((e-23 (vector-ref e-6 6))) (let ((e-22 (vector-ref e-6 7))) (let ((e-21 (vector-ref e-6 8))) (let ((e-20 (vector-ref e-6 9))) (let ((e-19 (vector-ref e-6 10))) (let ((e-18 (vector-ref e-6 11))) (vector e-0 (LibrariesC-45DataC-45IntMap-empty) e-2 e-26 e-25 e-24 e-23 e-22 e-21 e-20 e-19 e-18))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (lambda (eta-0) (CoreC-45Context-clearDefs arg-6 eta-0)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-19 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-5 e-13 e-19 e-11 e-15))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-20 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-5 e-13 e-19 e-11 e-17))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-21 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 2 e-13 e-12 (let ((e-0 (vector-ref arg-6 0))) e-0) e-11 e-20 e-21) eta-0)))) eff-5))))))))) eff-4))))))))) eff-3))))))))) eff-2))))))))))))))))(else (lambda (eta-0) (vector 1 (vector 0 )))))))))) eff-1)))))))))))(else (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45Context-getFullName arg-5 eta-0)) (LibrariesC-45DataC-45NameMap-keys (CoreC-45TT-getRefs (vector 8 -1) (let ((e-2 (vector-ref arg-7 2))) e-2))) '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45Core-traverse_ (lambda (eta-0) (lambda (eta-1) (CoreC-45UnifyState-n--11983-16490-u--checkRef arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 eta-0 eta-1))) e-5))) eff-1)))))))))))
(define CoreC-45UnifyState-n--7876-12707-u--tag (lambda (arg-0 arg-1 arg-2) (cond ((equal? arg-2 0) 1) ((equal? arg-2 1) 2) ((equal? arg-2 4) 3) ((equal? arg-2 2) 4) (else 5))))
(define CoreC-45UnifyState-n--12778-17166-u--nameEq (lambda (arg-0 arg-1 arg-2 arg-3 arg-6 arg-7) (let ((e-3 (cdr arg-6))) (let ((e-7 (cdr e-3))) (let ((e-11 (cdr arg-7))) (let ((e-15 (cdr e-11))) (CoreC-45Name-u--C-61C-61_Eq_Name e-7 e-15)))))))
(define CoreC-45UnifyState-n--11440-15991-u--envArgs (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (let ((u--args (PreludeC-45TypesC-45List-reverse (CoreC-45UnifyState-mkConstantAppArgs arg-0 0 arg-5 arg-3 '())))) u--args)))
(define CoreC-45UnifyState-n--11312-15871-u--envArgs (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9) (let ((u--args (PreludeC-45TypesC-45List-reverse (CoreC-45UnifyState-mkConstantAppArgs arg-0 0 arg-7 arg-3 '())))) u--args)))
(define CoreC-45UnifyState-n--11159-15712-u--envArgs (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8) (let ((u--args (PreludeC-45TypesC-45List-reverse (CoreC-45UnifyState-mkConstantAppArgs arg-1 1 arg-6 arg-4 '())))) u--args)))
(define CoreC-45UnifyState-n--10789-15379-u--envArgs (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10) (let ((u--args (PreludeC-45TypesC-45List-reverse (CoreC-45UnifyState-mkConstantAppArgs arg-3 arg-0 arg-8 arg-6 '())))) u--args)))
(define CoreC-45UnifyState-n--13039-17428-u--dumpConstraint (lambda (arg-0 arg-2 arg-3 arg-4 arg-5 arg-6) (let ((eff-0 (let ((eff-0 arg-5)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 arg-4)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (unbox eff-2))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45UnifyState-case--dumpHoleC-44dumpConstraint-17458 arg-0 arg-2 arg-3 arg-4 arg-5 arg-6 e-5 e-6 (LibrariesC-45DataC-45IntMap-lookup arg-6 (let ((e-4 (vector-ref e-5 4))) e-4))))) eff-2))))))))) eff-1)))))))))
(define CoreC-45UnifyState-n--11983-16490-u--checkRef (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 ext-0) (case (vector-ref arg-6 0) ((3) (let ((e-0 (vector-ref arg-6 1))) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 arg-1 (string-append "Hole cannot depend on an unbound implicit " (CoreC-45Name-u--show_Show_Name e-0))) ext-0)))(else (vector 1 (vector 0 ))))))
(define CoreC-45UnifyState-u--compare_Ord_DelayReason (lambda (arg-0 arg-1) (PreludeC-45EqOrd-u--compare_Ord_Int (CoreC-45UnifyState-n--7876-12707-u--tag arg-1 arg-0 arg-0) (CoreC-45UnifyState-n--7876-12707-u--tag arg-1 arg-0 arg-1))))
(define CoreC-45UnifyState-u--C-61C-61_Eq_DelayReason (lambda (arg-0 arg-1) (cond ((equal? arg-0 0) (cond ((equal? arg-1 0) 1)(else 0))) ((equal? arg-0 1) (cond ((equal? arg-1 1) 1)(else 0))) ((equal? arg-0 2) (cond ((equal? arg-1 2) 1)(else 0))) ((equal? arg-0 3) (cond ((equal? arg-1 3) 1)(else 0))) ((equal? arg-0 4) (cond ((equal? arg-1 4) 1)(else 0)))(else 0))))
(define CoreC-45UnifyState-tryUnify (lambda (arg-1 arg-2 arg-3 arg-4) (let ((eff-0 (CoreC-45UnifyState-tryErrorUnify arg-1 arg-2 arg-3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (case (vector-ref e-5 0) ((1) (let ((e-2 (vector-ref e-5 1))) (lambda (eta-0) (vector 1 e-2)))) (else arg-4)))) eff-1)))))))))
(define CoreC-45UnifyState-tryErrorUnify (lambda (arg-1 arg-2 arg-3) (let ((eff-0 (let ((eff-0 arg-2)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-branch arg-1))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45Core-u--catch_Catchable_Core_Error (let ((eff-2 arg-3)) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45Context-commit arg-1))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-4 (lambda (eta-0) (vector 1 (vector 1 e-7))))) eff-4)))))))) eff-3))))))) (lambda (u--err) (let ((eff-2 (let ((eff-2 arg-2)) (PrimIO-io_bind (let ((eff-3 eff-2)) (lambda (eta-0) (set-box! eff-3 e-5))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (let ((eff-3 (let ((eff-3 arg-1)) (PrimIO-io_bind (let ((eff-4 eff-3)) (lambda (eta-0) (unbox eff-4))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (let ((eff-4 arg-1)) (PrimIO-io_bind (let ((eff-5 eff-4)) (lambda (eta-0) (set-box! eff-5 (let ((e-0 (vector-ref e-6 0))) (let ((e-1 (vector-ref e-6 1))) (let ((e-2 (vector-ref e-6 2))) (let ((e-3 (vector-ref e-6 3))) (let ((e-4 (vector-ref e-6 4))) (let ((e-35 (vector-ref e-6 5))) (let ((e-34 (vector-ref e-6 6))) (let ((e-33 (vector-ref e-6 7))) (let ((e-32 (vector-ref e-6 8))) (let ((e-9 (vector-ref e-6 9))) (let ((e-10 (vector-ref e-6 10))) (let ((e-11 (vector-ref e-6 11))) (let ((e-12 (vector-ref e-6 12))) (let ((e-13 (vector-ref e-6 13))) (let ((e-14 (vector-ref e-6 14))) (let ((e-15 (vector-ref e-6 15))) (let ((e-16 (vector-ref e-6 16))) (let ((e-17 (vector-ref e-6 17))) (let ((e-18 (vector-ref e-6 18))) (let ((e-19 (vector-ref e-6 19))) (let ((e-20 (vector-ref e-6 20))) (let ((e-21 (vector-ref e-6 21))) (let ((e-22 (vector-ref e-6 22))) (let ((e-23 (vector-ref e-6 23))) (let ((e-24 (vector-ref e-6 24))) (let ((e-25 (vector-ref e-6 25))) (let ((e-26 (vector-ref e-6 26))) (let ((e-28 (vector-ref e-6 28))) (let ((e-29 (vector-ref e-6 29))) (let ((e-30 (vector-ref e-6 30))) (let ((e-31 (vector-ref e-6 31))) (vector e-0 e-1 e-2 e-3 e-4 e-35 e-34 e-33 e-32 e-9 e-10 e-11 e-12 e-13 e-14 e-15 e-16 e-17 e-18 e-19 e-20 e-21 e-22 e-23 e-24 e-25 e-26 (let ((e-40 (vector-ref e-8 27))) e-40) e-28 e-29 e-30 e-31))))))))))))))))))))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-5 (lambda (eta-0) (vector 1 (vector 0 u--err))))) eff-5)))))))) eff-4))))))))) eff-3)))))))))) eff-2))))))))) eff-1)))))))))
(define CoreC-45UnifyState-saveHoles (lambda (arg-0) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (let ((e-0 (vector-ref e-5 0))) (let ((e-1 (vector-ref e-5 1))) (let ((e-3 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-12 (vector-ref e-5 5))) (let ((e-6 (vector-ref e-5 6))) (let ((e-7 (vector-ref e-5 7))) (let ((e-8 (vector-ref e-5 8))) (let ((e-9 (vector-ref e-5 9))) (let ((e-10 (vector-ref e-5 10))) (let ((e-11 (vector-ref e-5 11))) (vector e-0 e-1 (LibrariesC-45DataC-45IntMap-empty) e-3 e-4 e-12 e-6 e-7 e-8 e-9 e-10 e-11))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (lambda (eta-0) (vector 1 (let ((e-2 (vector-ref e-5 2))) e-2))))) eff-2)))))))) eff-1)))))))))
(define CoreC-45UnifyState-restoreHoles (lambda (arg-0 arg-1) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (let ((e-0 (vector-ref e-5 0))) (let ((e-1 (vector-ref e-5 1))) (let ((e-3 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-12 (vector-ref e-5 5))) (let ((e-6 (vector-ref e-5 6))) (let ((e-7 (vector-ref e-5 7))) (let ((e-8 (vector-ref e-5 8))) (let ((e-9 (vector-ref e-5 9))) (let ((e-10 (vector-ref e-5 10))) (let ((e-11 (vector-ref e-5 11))) (vector e-0 e-1 arg-1 e-3 e-4 e-12 e-6 e-7 e-8 e-9 e-10 e-11))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-1)))))))))
(define CoreC-45UnifyState-resetNextVar (lambda (arg-0) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (let ((e-0 (vector-ref e-5 0))) (let ((e-1 (vector-ref e-5 1))) (let ((e-2 (vector-ref e-5 2))) (let ((e-3 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-12 (vector-ref e-5 5))) (let ((e-6 (vector-ref e-5 6))) (let ((e-7 (vector-ref e-5 7))) (let ((e-9 (vector-ref e-5 9))) (let ((e-10 (vector-ref e-5 10))) (let ((e-11 (vector-ref e-5 11))) (vector e-0 e-1 e-2 e-3 e-4 e-12 e-6 e-7 0 e-9 e-10 e-11))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-1)))))))))
(define CoreC-45UnifyState-removeNoSolve (lambda (arg-0 arg-1) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (let ((e-0 (vector-ref e-5 0))) (let ((e-1 (vector-ref e-5 1))) (let ((e-2 (vector-ref e-5 2))) (let ((e-3 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-12 (vector-ref e-5 5))) (let ((e-6 (vector-ref e-5 6))) (let ((e-7 (vector-ref e-5 7))) (let ((e-8 (vector-ref e-5 8))) (let ((e-9 (vector-ref e-5 9))) (let ((e-10 (vector-ref e-5 10))) (let ((e-11 (vector-ref e-5 11))) (vector e-0 e-1 e-2 e-3 e-4 (LibrariesC-45DataC-45IntMap-delete arg-1 e-12) e-6 e-7 e-8 e-9 e-10 e-11)))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-1)))))))))
(define CoreC-45UnifyState-removeHoleName (lambda (arg-0 arg-1 arg-2) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((sc1 (CoreC-45Context-getNameID arg-2 (let ((e-0 (vector-ref e-5 0))) e-0)))) (if (null? sc1) (lambda (eta-0) (vector 1 (vector 0 ))) (let ((e-1 (unbox sc1))) (CoreC-45UnifyState-removeHole arg-1 e-1)))))) eff-1)))))))))
(define CoreC-45UnifyState-removeHole (lambda (arg-0 arg-1) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (let ((e-0 (vector-ref e-5 0))) (let ((e-1 (vector-ref e-5 1))) (let ((e-2 (vector-ref e-5 2))) (let ((e-3 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-12 (vector-ref e-5 5))) (let ((e-6 (vector-ref e-5 6))) (let ((e-7 (vector-ref e-5 7))) (let ((e-8 (vector-ref e-5 8))) (let ((e-9 (vector-ref e-5 9))) (let ((e-10 (vector-ref e-5 10))) (let ((e-11 (vector-ref e-5 11))) (vector (LibrariesC-45DataC-45IntMap-delete arg-1 e-0) e-1 (LibrariesC-45DataC-45IntMap-delete arg-1 e-2) (LibrariesC-45DataC-45IntMap-delete arg-1 e-3) e-4 e-12 e-6 e-7 e-8 e-9 e-10 e-11)))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-1)))))))))
(define CoreC-45UnifyState-removeGuess (lambda (arg-0 arg-1) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (let ((e-0 (vector-ref e-5 0))) (let ((e-1 (vector-ref e-5 1))) (let ((e-2 (vector-ref e-5 2))) (let ((e-3 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-12 (vector-ref e-5 5))) (let ((e-6 (vector-ref e-5 6))) (let ((e-7 (vector-ref e-5 7))) (let ((e-8 (vector-ref e-5 8))) (let ((e-9 (vector-ref e-5 9))) (let ((e-10 (vector-ref e-5 10))) (let ((e-11 (vector-ref e-5 11))) (vector e-0 (LibrariesC-45DataC-45IntMap-delete arg-1 e-1) e-2 e-3 e-4 e-12 e-6 e-7 e-8 e-9 e-10 e-11)))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-1)))))))))
(define CoreC-45UnifyState-newSearch (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9) (let ((u--hty (CoreC-45Env-abstractEnvType arg-0 arg-3 arg-7 arg-9))) (let ((u--hole (CoreC-45Context-newDef arg-3 arg-8 arg-4 '() u--hty 2 (vector 8 arg-4 arg-5 arg-6)))) (let ((eff-0 (CoreC-45ContextC-45Log-log arg-1 "unify.search" 10 (lambda () (string-append "Adding new search " (string-append (CoreC-45FC-u--show_Show_FC arg-3) (string-append " " (CoreC-45Name-u--show_Show_Name arg-8)))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45Normalise-logTermNF '() arg-1 "unify.search" 10 (lambda () "New search type") '() u--hty))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45Context-addDef arg-1 arg-8 u--hole))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45UnifyState-addGuessName arg-2 arg-3 arg-8 e-7))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-4 (lambda (eta-0) (vector 1 (cons e-7 (vector 2 arg-3 arg-8 e-7 (CoreC-45UnifyState-n--11312-15871-u--envArgs arg-0 arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1))))))) eff-4)))))))) eff-3))))))))) eff-2)))))))) eff-1))))))))))
(define CoreC-45UnifyState-newMetaLets (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10) (let ((u--hty (cond ((equal? arg-10 1) (CoreC-45Env-abstractFullEnvType arg-0 arg-3 arg-5 arg-7)) (else (CoreC-45Env-abstractEnvType arg-0 arg-3 arg-5 arg-7))))) (let ((u--hole (let ((sc0 (CoreC-45Context-newDef arg-3 arg-6 arg-4 '() u--hty 2 arg-8))) (let ((e-0 (vector-ref sc0 0))) (let ((e-1 (vector-ref sc0 1))) (let ((e-2 (vector-ref sc0 2))) (let ((e-3 (vector-ref sc0 3))) (let ((e-4 (vector-ref sc0 4))) (let ((e-5 (vector-ref sc0 5))) (let ((e-6 (vector-ref sc0 6))) (let ((e-7 (vector-ref sc0 7))) (let ((e-8 (vector-ref sc0 8))) (let ((e-9 (vector-ref sc0 9))) (let ((e-10 (vector-ref sc0 10))) (let ((e-11 (vector-ref sc0 11))) (let ((e-12 (vector-ref sc0 12))) (let ((e-13 (vector-ref sc0 13))) (let ((e-14 (vector-ref sc0 14))) (let ((e-16 (vector-ref sc0 16))) (let ((e-17 (vector-ref sc0 17))) (let ((e-18 (vector-ref sc0 18))) (let ((e-19 (vector-ref sc0 19))) (let ((e-20 (vector-ref sc0 20))) (let ((e-21 (vector-ref sc0 21))) (vector e-0 e-1 e-2 e-3 e-4 e-5 e-6 e-7 e-8 e-9 e-10 e-11 e-12 e-13 e-14 arg-9 e-16 e-17 e-18 e-19 e-20 e-21))))))))))))))))))))))))) (let ((eff-0 (CoreC-45ContextC-45Log-log arg-1 "unify.meta" 5 (lambda () (string-append "Adding new meta " (PreludeC-45Show-u--show_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-2662) (cons arg-6 (cons arg-3 arg-4)))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45ContextC-45Log-logTerm '() arg-1 "unify.meta" 10 (lambda () (string-append "New meta type " (CoreC-45Name-u--show_Show_Name arg-6))) u--hty))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45Context-addDef arg-1 arg-6 u--hole))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45UnifyState-addHoleName arg-2 arg-3 arg-6 e-7))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-4 (lambda (eta-0) (vector 1 (cons e-7 (vector 2 arg-3 arg-6 e-7 (CoreC-45UnifyState-n--10789-15379-u--envArgs arg-10 arg-9 arg-8 arg-0 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1))))))) eff-4)))))))) eff-3))))))))) eff-2)))))))) eff-1))))))))))
(define CoreC-45UnifyState-newMeta (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9) (CoreC-45UnifyState-newMetaLets arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 0)))
(define CoreC-45UnifyState-newDelayed (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (let ((u--hty (CoreC-45Env-abstractEnvType arg-0 arg-3 arg-5 arg-7))) (let ((u--hole (CoreC-45Context-newDef arg-3 arg-6 arg-4 '() u--hty 2 (vector 12 )))) (let ((eff-0 (CoreC-45Context-addDef arg-2 arg-6 u--hole))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45ContextC-45Log-log arg-2 "unify.delay" 10 (lambda () (string-append "Added delayed elaborator " (PreludeC-45Show-u--show_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-2663) (cons arg-6 e-5))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45UnifyState-addHoleName arg-1 arg-3 arg-6 e-5))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (lambda (eta-0) (vector 1 (cons e-5 (vector 2 arg-3 arg-6 e-5 (CoreC-45UnifyState-n--11440-15991-u--envArgs arg-0 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1))))))) eff-3)))))))) eff-2)))))))) eff-1)))))))))))
(define CoreC-45UnifyState-newConstant (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8) (let ((u--def (CoreC-45UnifyState-mkConstant arg-0 arg-3 arg-5 arg-6))) (let ((u--defty (CoreC-45Env-abstractFullEnvType arg-0 arg-3 arg-5 arg-7))) (let ((eff-0 (CoreC-45UnifyState-genName arg-2 arg-1 "postpone"))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--guess (CoreC-45Context-newDef arg-3 e-5 arg-4 '() u--defty 2 (vector 9 u--def (CoreC-45Env-length arg-5) arg-8)))) (let ((eff-1 (CoreC-45ContextC-45Log-log arg-2 "unify.constant" 5 (lambda () (string-append "Adding new constant " (PreludeC-45Show-u--show_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-2662) (cons e-5 (cons arg-3 arg-4)))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45ContextC-45Log-logTerm '() arg-2 "unify.constant" 10 (lambda () (string-append "New constant type " (CoreC-45Name-u--show_Show_Name e-5))) u--defty))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (let ((eff-3 (CoreC-45Context-addDef arg-2 e-5 u--guess))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45UnifyState-addGuessName arg-1 arg-3 e-5 e-8))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-5 (lambda (eta-0) (vector 1 (vector 2 arg-3 e-5 e-8 (CoreC-45UnifyState-n--11159-15712-u--envArgs arg-8 arg-0 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1)))))) eff-5)))))))) eff-4))))))))) eff-3)))))))) eff-2))))))))) eff-1)))))))))))
(define CoreC-45UnifyState-mkConstantAppArgs (lambda (arg-1 arg-2 arg-3 arg-4 arg-5) (if (null? arg-1) '() (let ((e-2 (car arg-1))) (let ((e-3 (cdr arg-1))) (let ((e-8 (car arg-4))) (let ((e-9 (cdr arg-4))) (let ((u--rec (CoreC-45UnifyState-mkConstantAppArgs e-3 arg-2 arg-3 e-9 (PreludeC-45TypesC-45List-tailRecAppend arg-5 (cons e-2 '()))))) (let ((sc2 (cond ((equal? arg-2 1) 1) (else (let ((sc4 (CoreC-45TT-isLet e-8))) (cond ((equal? sc4 1) 0) (else 1))))))) (cond ((equal? sc2 1) (cons (vector 0 arg-3 (box (CoreC-45TT-isLet e-8)) (PreludeC-45TypesC-45List-lengthTR arg-5)) u--rec)) (else u--rec)))))))))))
(define CoreC-45UnifyState-mkConstant (lambda (arg-0 arg-1 arg-2 arg-3) (if (null? arg-0) arg-3 (let ((e-2 (car arg-0))) (let ((e-3 (cdr arg-0))) (let ((e-8 (car arg-2))) (let ((e-9 (cdr arg-2))) (let ((u--ty (CoreC-45TT-binderType e-8))) (CoreC-45UnifyState-mkConstant e-3 arg-1 e-9 (vector 3 arg-1 e-2 (vector 0 arg-1 (CoreC-45TT-multiplicity e-8) (vector 1 ) u--ty) arg-3))))))))))
(define CoreC-45UnifyState-isCurrentHole (lambda (arg-0 arg-1) (let ((eff-0 (CoreC-45UnifyState-getCurrentHoles arg-0))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (eta-0) (DataC-45Maybe-isJust (LibrariesC-45DataC-45IntMap-lookup arg-1 eta-0))))) eff-0))))
(define CoreC-45UnifyState-initUState(blodwen-lazy (lambda () (vector (LibrariesC-45DataC-45IntMap-empty) (LibrariesC-45DataC-45IntMap-empty) (LibrariesC-45DataC-45IntMap-empty) (LibrariesC-45DataC-45IntMap-empty) (LibrariesC-45DataC-45IntMap-empty) (LibrariesC-45DataC-45IntMap-empty) '() '() 0 0 '() 0))))
(define CoreC-45UnifyState-handleUnify (lambda (arg-1 arg-2 arg-3 arg-4) (let ((eff-0 (CoreC-45UnifyState-tryErrorUnify arg-1 arg-2 arg-3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (case (vector-ref e-5 0) ((1) (let ((e-2 (vector-ref e-5 1))) (lambda (eta-0) (vector 1 e-2)))) (else (let ((e-6 (vector-ref e-5 1))) (arg-4 e-6)))))) eff-1)))))))))
(define CoreC-45UnifyState-getHoles (lambda (arg-0) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-1) (lambda (arg-2) ((((eff-1 'erased) 'erased) arg-1) arg-2)))) (lambda (eta-0) (let ((e-0 (vector-ref eta-0 0))) e-0)))) eff-0))))
(define CoreC-45UnifyState-getGuesses (lambda (arg-0) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-1) (lambda (arg-2) ((((eff-1 'erased) 'erased) arg-1) arg-2)))) (lambda (eta-0) (let ((e-1 (vector-ref eta-0 1))) e-1)))) eff-0))))
(define CoreC-45UnifyState-getCurrentHoles (lambda (arg-0) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-1) (lambda (arg-2) ((((eff-1 'erased) 'erased) arg-1) arg-2)))) (lambda (eta-0) (let ((e-2 (vector-ref eta-0 2))) e-2)))) eff-0))))
(define CoreC-45UnifyState-genWithName (lambda (arg-0 arg-1 arg-2) (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 arg-1)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (let ((e-0 (vector-ref e-5 0))) (let ((e-1 (vector-ref e-5 1))) (let ((e-2 (vector-ref e-5 2))) (let ((e-3 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-12 (vector-ref e-5 5))) (let ((e-6 (vector-ref e-5 6))) (let ((e-7 (vector-ref e-5 7))) (let ((e-8 (vector-ref e-5 8))) (let ((e-9 (vector-ref e-5 9))) (let ((e-10 (vector-ref e-5 10))) (let ((e-11 (vector-ref e-5 11))) (vector e-0 e-1 e-2 e-3 e-4 e-12 e-6 e-7 (bs+ e-8 1 63) e-9 e-10 e-11)))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (CoreC-45Context-inCurrentNS arg-0 (vector 7 arg-2 (let ((e-8 (vector-ref e-5 8))) e-8))))) eff-2)))))))) eff-1)))))))))
(define CoreC-45UnifyState-genVarName (lambda (arg-0 arg-1 arg-2) (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 arg-1)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (let ((e-0 (vector-ref e-5 0))) (let ((e-1 (vector-ref e-5 1))) (let ((e-2 (vector-ref e-5 2))) (let ((e-3 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-12 (vector-ref e-5 5))) (let ((e-6 (vector-ref e-5 6))) (let ((e-7 (vector-ref e-5 7))) (let ((e-8 (vector-ref e-5 8))) (let ((e-9 (vector-ref e-5 9))) (let ((e-10 (vector-ref e-5 10))) (let ((e-11 (vector-ref e-5 11))) (vector e-0 e-1 e-2 e-3 e-4 e-12 e-6 e-7 (bs+ e-8 1 63) e-9 e-10 e-11)))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (lambda (eta-0) (vector 1 (vector 2 arg-2 (let ((e-8 (vector-ref e-5 8))) e-8)))))) eff-2)))))))) eff-1)))))))))
(define CoreC-45UnifyState-genName (lambda (arg-0 arg-1 arg-2) (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 arg-1)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (let ((e-0 (vector-ref e-5 0))) (let ((e-1 (vector-ref e-5 1))) (let ((e-2 (vector-ref e-5 2))) (let ((e-3 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-12 (vector-ref e-5 5))) (let ((e-6 (vector-ref e-5 6))) (let ((e-7 (vector-ref e-5 7))) (let ((e-8 (vector-ref e-5 8))) (let ((e-9 (vector-ref e-5 9))) (let ((e-10 (vector-ref e-5 10))) (let ((e-11 (vector-ref e-5 11))) (vector e-0 e-1 e-2 e-3 e-4 e-12 e-6 e-7 (bs+ e-8 1 63) e-9 e-10 e-11)))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45Context-inCurrentNS arg-0 (vector 2 arg-2 (let ((e-8 (vector-ref e-5 8))) e-8))))) (PrimIO-io_bind eff-2 (csegen-1313))))) eff-2)))))))) eff-1)))))))))
(define CoreC-45UnifyState-genMVName (lambda (arg-0 arg-1 arg-2) (case (vector-ref arg-2 0) ((1) (let ((e-0 (vector-ref arg-2 1))) (CoreC-45UnifyState-genName arg-0 arg-1 (CoreC-45Name-displayUserName e-0)))) ((2) (let ((e-1 (vector-ref arg-2 1))) (CoreC-45UnifyState-genName arg-0 arg-1 e-1)))(else (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 arg-1)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (let ((e-0 (vector-ref e-5 0))) (let ((e-1 (vector-ref e-5 1))) (let ((e-2 (vector-ref e-5 2))) (let ((e-3 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-12 (vector-ref e-5 5))) (let ((e-6 (vector-ref e-5 6))) (let ((e-7 (vector-ref e-5 7))) (let ((e-8 (vector-ref e-5 8))) (let ((e-9 (vector-ref e-5 9))) (let ((e-10 (vector-ref e-5 10))) (let ((e-11 (vector-ref e-5 11))) (vector e-0 e-1 e-2 e-3 e-4 e-12 e-6 e-7 (bs+ e-8 1 63) e-9 e-10 e-11)))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45Context-inCurrentNS arg-0 (vector 2 (CoreC-45Name-u--show_Show_Name arg-2) (let ((e-8 (vector-ref e-5 8))) e-8))))) (PrimIO-io_bind eff-2 (csegen-1313))))) eff-2)))))))) eff-1)))))))))))
(define CoreC-45UnifyState-genCaseName (lambda (arg-0 arg-1 arg-2) (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 arg-1)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (let ((e-0 (vector-ref e-5 0))) (let ((e-1 (vector-ref e-5 1))) (let ((e-2 (vector-ref e-5 2))) (let ((e-3 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-12 (vector-ref e-5 5))) (let ((e-6 (vector-ref e-5 6))) (let ((e-7 (vector-ref e-5 7))) (let ((e-8 (vector-ref e-5 8))) (let ((e-9 (vector-ref e-5 9))) (let ((e-10 (vector-ref e-5 10))) (let ((e-11 (vector-ref e-5 11))) (vector e-0 e-1 e-2 e-3 e-4 e-12 e-6 e-7 (bs+ e-8 1 63) e-9 e-10 e-11)))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (CoreC-45Context-inCurrentNS arg-0 (vector 6 arg-2 (let ((e-8 (vector-ref e-5 8))) e-8))))) eff-2)))))))) eff-1)))))))))
(define CoreC-45UnifyState-dumpHole (lambda (arg-0 arg-1 arg-2 arg-4 arg-5) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 arg-1)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (unbox eff-2))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-lookupCtxtExact (vector 8 arg-5) (let ((e-0 (vector-ref e-6 0))) e-0)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (if (null? e-7) (lambda (eta-0) (vector 1 (vector 0 ))) (let ((e-2 (unbox e-7))) (let ((bind-0 (box e-2))) (CoreC-45UnifyState-case--caseC-32blockC-32inC-32dumpHole-17866 arg-2 arg-5 arg-4 arg-1 arg-0 e-5 e-6 e-2 bind-0 (cons (let ((e-17 (vector-ref e-2 17))) e-17) (let ((e-25 (vector-ref e-2 2))) e-25)))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))
(define CoreC-45UnifyState-dumpConstraints (lambda (arg-0 arg-1 arg-2 arg-4 arg-5) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 arg-1)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (unbox eff-2))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45ContextC-45Log-unverifiedLogging arg-1 arg-2 arg-4))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (cond ((equal? e-7 1) ((let ((u--hs (PreludeC-45TypesC-45List-tailRecAppend (LibrariesC-45DataC-45IntMap-toList (let ((e-1 (vector-ref e-5 1))) e-1)) (LibrariesC-45DataC-45IntMap-toList (cond ((equal? arg-5 1) (let ((e-0 (vector-ref e-5 0))) e-0)) (else (let ((e-2 (vector-ref e-5 2))) e-2))))))) (lambda () (let ((sc4 (DataC-45List-isNil u--hs))) (cond ((equal? sc4 1) (lambda (eta-0) (vector 1 (vector 0 )))) (else (let ((eff-3 (cond ((equal? arg-2 "") (PrimIO-io_bind (PreludeC-45IO-putStrLn (csegen-40) (string-append "LOG " (string-append (PreludeC-45Show-u--show_Show_Nat arg-4) ": --- CONSTRAINTS AND HOLES ---"))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))(else (PrimIO-io_bind (PreludeC-45IO-putStrLn (csegen-40) (string-append "LOG " (string-append arg-2 (string-append ":" (string-append (PreludeC-45Show-u--show_Show_Nat arg-4) ": --- CONSTRAINTS AND HOLES ---"))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-4 (CoreC-45Core-traverse_ (lambda (eta-0) (CoreC-45UnifyState-dumpHole arg-0 arg-1 arg-2 arg-4 eta-0)) ((csegen-101) u--hs)))) eff-4))))))))))))) (else (lambda (eta-0) (vector 1 (vector 0 ))))))) eff-3))))))))) eff-2)))))))) eff-1)))))))))
(define CoreC-45UnifyState-deleteConstraint (lambda (arg-0 arg-1) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (let ((e-0 (vector-ref e-5 0))) (let ((e-1 (vector-ref e-5 1))) (let ((e-2 (vector-ref e-5 2))) (let ((e-3 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-12 (vector-ref e-5 5))) (let ((e-6 (vector-ref e-5 6))) (let ((e-7 (vector-ref e-5 7))) (let ((e-8 (vector-ref e-5 8))) (let ((e-9 (vector-ref e-5 9))) (let ((e-10 (vector-ref e-5 10))) (let ((e-11 (vector-ref e-5 11))) (vector e-0 e-1 e-2 e-3 (LibrariesC-45DataC-45IntMap-delete arg-1 e-4) e-12 e-6 e-7 e-8 e-9 e-10 e-11)))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-1)))))))))
(define CoreC-45UnifyState-checkValidHole (lambda (arg-0 arg-1 arg-2 arg-3) (let ((e-2 (car arg-3))) (let ((e-3 (cdr arg-3))) (let ((e-6 (car e-3))) (let ((e-7 (cdr e-3))) (let ((sc2 (PreludeC-45EqOrd-u--C-62C-61_Ord_Int e-2 arg-2))) (cond ((equal? sc2 1) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-lookupCtxtExact (vector 8 e-2) (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-8 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-8) (lambda (eta-0) (vector 1 (vector 0 ))) (let ((e-1 (unbox e-8))) (let ((_-0 (box e-1))) (CoreC-45UnifyState-case--caseC-32blockC-32inC-32checkValidHole-16558 e-2 e-6 e-7 arg-2 arg-1 arg-0 e-5 e-1 _-0 (let ((e-17 (vector-ref e-1 17))) e-17))))))) eff-2))))))))) eff-1)))))))) (else (lambda (eta-0) (vector 1 (vector 0 ))))))))))))
(define CoreC-45UnifyState-checkUserHolesAfter (lambda (arg-0 arg-1 arg-2 arg-3) (let ((eff-0 (CoreC-45UnifyState-getGuesses arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--gs (LibrariesC-45DataC-45IntMap-toList e-5))) (let ((eff-1 (CoreC-45ContextC-45Log-log arg-1 "unify.unsolved" 10 (lambda () (string-append "Unsolved guesses " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (cons (lambda (u--x) (PreludeC-45Show-u--show_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-2668) u--x)) (lambda (u--d) (lambda (u--x) (PreludeC-45Show-u--showPrec_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-2668) u--d u--x)))) u--gs)))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45Core-traverse_ (lambda (eta-0) (CoreC-45UnifyState-checkValidHole arg-1 arg-0 arg-2 eta-0)) u--gs))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (let ((eff-3 (CoreC-45UnifyState-getCurrentHoles arg-0))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((u--hs (LibrariesC-45DataC-45IntMap-toList e-8))) (let ((u--hsC-39 (let ((sc4 (PreludeC-45Interfaces-any (csegen-16) (lambda (eta-0) (CoreC-45Name-isUserName eta-0)) ((csegen-2673) u--hs)))) (cond ((equal? sc4 1) '()) (else u--hs))))) (let ((eff-4 (lambda (clam-0) (let ((sc4 (cond ((equal? arg-3 1) (let ((sc6 (DataC-45List-isNil u--hsC-39))) (cond ((equal? sc6 1) 0) (else 1)))) (else 0)))) (cond ((equal? sc4 1) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 32 ((csegen-947) (DataC-45List-nubBy (lambda (eta-0) (lambda (eta-1) (CoreC-45UnifyState-n--12778-17166-u--nameEq arg-3 arg-2 arg-1 arg-0 eta-0 eta-1))) u--hs))) clam-0)) (else (vector 1 (vector 0 )))))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-5 (CoreC-45Core-traverse_ (lambda (eta-0) (CoreC-45UnifyState-addDelayedHoleName arg-0 eta-0)) u--hsC-39))) eff-5)))))))))) eff-4))))))))) eff-3)))))))) eff-2))))))))) eff-1)))))))))
(define CoreC-45UnifyState-checkDelayedHoles (lambda (arg-0 arg-1) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--hs (LibrariesC-45DataC-45IntMap-toList (let ((e-3 (vector-ref e-5 3))) e-3)))) (lambda (clam-0) (let ((sc1 (DataC-45List-isNil u--hs))) (cond ((equal? sc1 1) (vector 1 '())) (else (vector 1 (box (vector 32 ((csegen-947) u--hs))))))))))) eff-1)))))))))
(define CoreC-45UnifyState-applyToFull (lambda (arg-0 arg-1 arg-2 arg-3) (let ((u--args (PreludeC-45TypesC-45List-reverse (CoreC-45UnifyState-mkConstantAppArgs arg-0 1 arg-1 arg-3 '())))) (CoreC-45TT-apply arg-1 arg-2 u--args))))
(define CoreC-45UnifyState-applyTo (lambda (arg-0 arg-1 arg-2 arg-3) (let ((u--args (PreludeC-45TypesC-45List-reverse (CoreC-45UnifyState-mkConstantAppArgs arg-0 0 arg-1 arg-3 '())))) (CoreC-45TT-apply arg-1 arg-2 u--args))))
(define CoreC-45UnifyState-addPolyConstraint (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (case (vector-ref arg-5 0) ((1) (let ((e-1 (vector-ref arg-5 1))) (let ((e-2 (vector-ref arg-5 2))) (let ((e-3 (vector-ref arg-5 3))) (case (vector-ref e-2 0) ((2) (let ((e-5 (vector-ref e-2 1))) (let ((e-6 (vector-ref e-2 2))) (let ((e-7 (vector-ref e-2 3))) (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-8 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 arg-1)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (let ((u--x (vector 1 e-1 (vector 2 e-5 e-6 e-7) e-3))) (let ((e-0 (vector-ref e-8 0))) (let ((e-18 (vector-ref e-8 1))) (let ((e-17 (vector-ref e-8 2))) (let ((e-16 (vector-ref e-8 3))) (let ((e-4 (vector-ref e-8 4))) (let ((e-15 (vector-ref e-8 5))) (let ((e-14 (vector-ref e-8 6))) (let ((e-13 (vector-ref e-8 7))) (let ((e-12 (vector-ref e-8 8))) (let ((e-9 (vector-ref e-8 9))) (let ((e-10 (vector-ref e-8 10))) (let ((e-11 (vector-ref e-8 11))) (vector e-0 e-18 e-17 e-16 e-4 e-15 (cons (vector arg-0 arg-2 arg-3 arg-4 u--x arg-6) e-14) e-13 e-12 e-9 e-10 e-11))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-1)))))))))))(else (lambda (eta-0) (vector 1 (vector 0 )))))))))(else (lambda (eta-0) (vector 1 (vector 0 )))))))
(define CoreC-45UnifyState-addNoSolve (lambda (arg-0 arg-1) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (let ((e-0 (vector-ref e-5 0))) (let ((e-1 (vector-ref e-5 1))) (let ((e-2 (vector-ref e-5 2))) (let ((e-3 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-12 (vector-ref e-5 5))) (let ((e-6 (vector-ref e-5 6))) (let ((e-7 (vector-ref e-5 7))) (let ((e-8 (vector-ref e-5 8))) (let ((e-9 (vector-ref e-5 9))) (let ((e-10 (vector-ref e-5 10))) (let ((e-11 (vector-ref e-5 11))) (vector e-0 e-1 e-2 e-3 e-4 (LibrariesC-45DataC-45IntMap-insert arg-1 (vector 0 ) e-12) e-6 e-7 e-8 e-9 e-10 e-11)))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-1)))))))))
(define CoreC-45UnifyState-addHoleName (lambda (arg-0 arg-1 arg-2 arg-3) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (let ((e-0 (vector-ref e-5 0))) (let ((e-1 (vector-ref e-5 1))) (let ((e-2 (vector-ref e-5 2))) (let ((e-3 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-12 (vector-ref e-5 5))) (let ((e-6 (vector-ref e-5 6))) (let ((e-7 (vector-ref e-5 7))) (let ((e-8 (vector-ref e-5 8))) (let ((e-9 (vector-ref e-5 9))) (let ((e-10 (vector-ref e-5 10))) (let ((e-11 (vector-ref e-5 11))) (vector (LibrariesC-45DataC-45IntMap-insert arg-3 (cons arg-1 arg-2) e-0) e-1 (LibrariesC-45DataC-45IntMap-insert arg-3 (cons arg-1 arg-2) e-2) e-3 e-4 e-12 e-6 e-7 e-8 e-9 e-10 e-11)))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-1)))))))))
(define CoreC-45UnifyState-addGuessName (lambda (arg-0 arg-1 arg-2 arg-3) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (let ((e-0 (vector-ref e-5 0))) (let ((e-1 (vector-ref e-5 1))) (let ((e-2 (vector-ref e-5 2))) (let ((e-3 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-12 (vector-ref e-5 5))) (let ((e-6 (vector-ref e-5 6))) (let ((e-7 (vector-ref e-5 7))) (let ((e-8 (vector-ref e-5 8))) (let ((e-9 (vector-ref e-5 9))) (let ((e-10 (vector-ref e-5 10))) (let ((e-11 (vector-ref e-5 11))) (vector e-0 (LibrariesC-45DataC-45IntMap-insert arg-3 (cons arg-1 arg-2) e-1) e-2 e-3 e-4 e-12 e-6 e-7 e-8 e-9 e-10 e-11)))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-1)))))))))
(define CoreC-45UnifyState-addDot (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8) (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-nf arg-1 arg-0 e-5 arg-4 arg-6))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45NormaliseC-45Eval-nf arg-1 arg-0 e-5 arg-4 arg-8))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (let ((eff-3 arg-2)) (PrimIO-io_bind (let ((eff-4 eff-3)) (lambda (eta-0) (unbox eff-4))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 arg-2)) (PrimIO-io_bind (let ((eff-5 eff-4)) (lambda (eta-0) (set-box! eff-5 (let ((e-0 (vector-ref e-8 0))) (let ((e-1 (vector-ref e-8 1))) (let ((e-2 (vector-ref e-8 2))) (let ((e-3 (vector-ref e-8 3))) (let ((e-4 (vector-ref e-8 4))) (let ((e-15 (vector-ref e-8 5))) (let ((e-14 (vector-ref e-8 6))) (let ((e-13 (vector-ref e-8 7))) (let ((e-12 (vector-ref e-8 8))) (let ((e-9 (vector-ref e-8 9))) (let ((e-10 (vector-ref e-8 10))) (let ((e-11 (vector-ref e-8 11))) (vector e-0 e-1 e-2 e-3 e-4 e-15 e-14 (cons (cons arg-5 (cons arg-7 (vector 0 arg-0 arg-3 0 arg-4 e-6 e-7))) e-13) e-12 e-9 e-10 e-11)))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))
(define CoreC-45UnifyState-addDelayedHoleName (lambda (arg-0 arg-1) (let ((e-2 (car arg-1))) (let ((e-3 (cdr arg-1))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (let ((e-0 (vector-ref e-5 0))) (let ((e-1 (vector-ref e-5 1))) (let ((e-14 (vector-ref e-5 2))) (let ((e-13 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-12 (vector-ref e-5 5))) (let ((e-6 (vector-ref e-5 6))) (let ((e-7 (vector-ref e-5 7))) (let ((e-8 (vector-ref e-5 8))) (let ((e-9 (vector-ref e-5 9))) (let ((e-10 (vector-ref e-5 10))) (let ((e-11 (vector-ref e-5 11))) (vector e-0 e-1 e-14 (LibrariesC-45DataC-45IntMap-insert e-2 e-3 e-13) e-4 e-12 e-6 e-7 e-8 e-9 e-10 e-11)))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-1)))))))))))
(define CoreC-45UnifyState-addConstraint (lambda (arg-0 arg-1 arg-2) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--cid (let ((e-9 (vector-ref e-5 9))) e-9))) (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (let ((e-0 (vector-ref e-5 0))) (let ((e-1 (vector-ref e-5 1))) (let ((e-2 (vector-ref e-5 2))) (let ((e-3 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-12 (vector-ref e-5 5))) (let ((e-6 (vector-ref e-5 6))) (let ((e-7 (vector-ref e-5 7))) (let ((e-8 (vector-ref e-5 8))) (let ((e-10 (vector-ref e-5 10))) (let ((e-11 (vector-ref e-5 11))) (vector e-0 e-1 e-2 e-3 (LibrariesC-45DataC-45IntMap-insert u--cid arg-2 e-4) e-12 e-6 e-7 e-8 (bs+ u--cid 1 63) e-10 e-11))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (lambda (eta-0) (vector 1 u--cid)))) eff-2))))))))) eff-1)))))))))
(define ParserC-45RuleC-45Source-case--isCapitalisedIdent-7238 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (cond ((equal? arg-1 "") (if (null? arg-4) arg-3 (let ((e-0 (car arg-4))) (let ((sc3 (let ((sc4 (PreludeC-45Types-isUpper e-0))) (cond ((equal? sc4 1) 1) (else (PreludeC-45EqOrd-u--C-62_Ord_Char e-0 (cast-int-char (blodwen-toSignedInt 160 63)))))))) (cond ((equal? sc3 1) (vector 0 (vector 0 ))) (else arg-3))))))(else (let ((e-0 (car arg-4))) (let ((sc1 (let ((sc2 (PreludeC-45Types-isUpper e-0))) (cond ((equal? sc2 1) 1) (else (PreludeC-45EqOrd-u--C-62_Ord_Char e-0 (cast-int-char (blodwen-toSignedInt 160 63)))))))) (cond ((equal? sc1 1) (vector 0 (vector 0 ))) (else arg-3))))))))
(define ParserC-45RuleC-45Source-n--10928-8873-u--restOfBlock (lambda (arg-2 arg-3 arg-4 arg-5) (if (null? arg-5) (vector 10 0 1 (ParserC-45RuleC-45Source-blockEntries (vector 0 ) arg-2) (lambda (u--ps) (vector 11 0 (ParserC-45RuleC-45Source-symbol "}") (lambda () (vector 0 (cons '() u--ps)))))) (let ((e-1 (unbox arg-5))) (let ((e-5 (car e-1))) (let ((e-6 (cdr e-1))) (vector 10 0 1 (ParserC-45RuleC-45Source-blockEntries e-6 arg-2) (lambda (u--ps) (vector 11 0 (ParserC-45RuleC-45Source-symbol "}") (lambda () (vector 0 (cons (box e-5) u--ps))))))))))))
(define ParserC-45RuleC-45Source-n--9765-7698-u--opNS (lambda (arg-0 arg-1) (vector 12 0 1 (ParserC-45RuleC-45Source-isCapitalisedIdent (PreludeC-45Interfaces-C-60C-36C-62 (csegen-367) (lambda (eta-0) (Builtin-snd eta-0)) arg-1)) (let ((u--ns (PreludeC-45Basics-uncurry (csegen-628) (let ((e-1 (vector-ref arg-1 0))) e-1)))) (vector 11 1 (ParserC-45RuleC-45Source-symbol ".(") (lambda () (vector 9 1 (vector 13 1 1 (ParserC-45RuleC-45Source-operator) (lambda () (ParserC-45RuleC-45Source-postfixProj))) (lambda () (lambda (u--n) (vector 11 0 (ParserC-45RuleC-45Source-symbol ")") (lambda () (vector 0 (vector 0 u--ns u--n)))))))))))))
(define ParserC-45RuleC-45Source-n--9765-7697-u--nameNS (lambda (arg-0 arg-1) (let ((u--id (PreludeC-45Interfaces-C-60C-36C-62 (csegen-367) (lambda (eta-0) (Builtin-snd eta-0)) arg-1))) (vector 12 0 0 (ParserC-45RuleC-45Source-identWithCapital arg-0 u--id) (vector 12 0 0 (ParserC-45RuleC-45Source-isNotReservedName u--id) (vector 0 (PreludeC-45Basics-uncurry (lambda (eta-0) (lambda (eta-1) (CoreC-45Name-mkNamespacedName eta-0 eta-1))) (((let ((eff-0 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (let ((e-2 (car eta-3))) (let ((e-3 (cdr eta-3))) (cons e-2 (eta-2 e-3)))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-0 'erased) 'erased) arg-2) arg-3)))) (lambda (eta-0) (vector 0 eta-0))) (let ((e-1 (vector-ref arg-1 0))) e-1)))))))))
(define ParserC-45RuleC-45Source-n--8417-6398-u--isEOI (lambda (arg-0) (case (vector-ref arg-0 0) ((17) 1)(else 0))))
(define ParserC-45RuleC-45Source-n--10386-8314-u--afterSemi (lambda (arg-0 arg-1 arg-2) (case (vector-ref arg-2 0) ((0) (vector 0 )) ((1) (let ((e-0 (vector-ref arg-2 1))) (vector 2 e-0))) ((2) (let ((e-1 (vector-ref arg-2 1))) (vector 2 e-1))) (else (vector 3 )))))
(define ParserC-45RuleC-45Source-n--10386-8315-u--afterDedent (lambda (arg-0 arg-1 arg-2 arg-3) (case (vector-ref arg-2 0) ((0) (let ((sc1 (PreludeC-45EqOrd-u--C-60C-61_Ord_Int arg-3 arg-0))) (cond ((equal? sc1 1) (vector 0 (vector 0 ))) (else (vector 4 '() 0 "Not the end of a block entry"))))) ((2) (let ((e-0 (vector-ref arg-2 1))) (let ((sc1 (PreludeC-45EqOrd-u--C-60C-61_Ord_Int arg-3 arg-0))) (cond ((equal? sc1 1) (vector 0 (vector 1 e-0))) (else (vector 4 '() 0 "Not the end of a block entry")))))) ((1) (let ((e-1 (vector-ref arg-2 1))) (let ((sc1 (PreludeC-45EqOrd-u--C-60C-61_Ord_Int arg-3 arg-0))) (cond ((equal? sc1 1) (vector 0 (vector 1 e-1))) (else (vector 4 '() 0 "Not the end of a block entry")))))) (else (vector 0 (vector 3 ))))))
(define ParserC-45RuleC-45Source-u--neutral_Monoid_ParsingState(blodwen-lazy (lambda () (cons '() '()))))
(define ParserC-45RuleC-45Source-u--C-60C-43C-62_Semigroup_ParsingState (lambda (arg-0 arg-1) (let ((e-1 (car arg-0))) (let ((e-2 (cdr arg-0))) (let ((e-4 (car arg-1))) (let ((e-5 (cdr arg-1))) (cons (PreludeC-45TypesC-45SnocList-tailRecAppend e-1 e-4) (PreludeC-45TypesC-45List-tailRecAppend e-2 e-5))))))))
(define ParserC-45RuleC-45Source-unqualifiedOperatorName(blodwen-lazy (lambda () (vector 1 "Expected operator" (lambda (lcase-0) (case (vector-ref lcase-0 0) ((12) (let ((e-0 (vector-ref lcase-0 1))) ((PreludeC-45Interfaces-C-60C-36 (csegen-76) e-0) (PreludeC-45Interfaces-guard (csegen-326) (let ((sc1 (PreludeC-45Types-elem (csegen-16) (csegen-43) e-0 (ParserC-45LexerC-45Source-reservedSymbols)))) (cond ((equal? sc1 1) 0) (else 1)))))))(else '())))))))
(define ParserC-45RuleC-45Source-unqualifiedName(blodwen-lazy (lambda () (ParserC-45RuleC-45Source-identPart))))
(define ParserC-45RuleC-45Source-toState (lambda (arg-0) (let ((e-1 (car arg-0))) (let ((e-2 (cdr arg-0))) (cons (DataC-45SnocList-u--cast_Cast_C-40SnocListC-32C-36aC-41_C-40ListC-32C-36aC-41 e-1) e-2)))))
(define ParserC-45RuleC-45Source-terminator (lambda (arg-0 arg-1) (vector 13 0 0 (vector 12 0 0 (ParserC-45RuleC-45Source-eoi) (vector 0 (vector 3 ))) (lambda () (vector 13 1 0 (vector 11 0 (ParserC-45RuleC-45Source-symbol ";") (lambda () (vector 0 (ParserC-45RuleC-45Source-n--10386-8314-u--afterSemi arg-1 arg-0 arg-0)))) (lambda () (vector 13 0 0 (vector 10 0 0 (LibrariesC-45TextC-45Parser-column) (lambda (u--col) (ParserC-45RuleC-45Source-n--10386-8315-u--afterDedent arg-1 arg-0 arg-0 u--col))) (lambda () (vector 0 (vector 3 ))))))))))
(define ParserC-45RuleC-45Source-symbol (lambda (arg-0) (vector 1 (string-append "Expected '" (string-append arg-0 "'")) (lambda (lcase-0) (case (vector-ref lcase-0 0) ((12) (let ((e-0 (vector-ref lcase-0 1))) (PreludeC-45Interfaces-guard (csegen-326) (PreludeC-45EqOrd-u--C-61C-61_Eq_String e-0 arg-0))))(else '()))))))
(define ParserC-45RuleC-45Source-strLitLines(blodwen-lazy (lambda () (vector 1 "Expected string literal" (lambda (lcase-0) (case (vector-ref lcase-0 0) ((7) (let ((e-0 (vector-ref lcase-0 1))) (let ((e-1 (vector-ref lcase-0 2))) (DataC-45List1-u--traverse_Traversable_List1 (csegen-323) (lambda (eta-0) (ParserC-45Support-escape e-0 (PreludeC-45Types-fastPack eta-0))) (LibrariesC-45DataC-45ListC-45Extra-splitAfter (lambda (eta-0) (PreludeC-45Types-isNL eta-0)) (PreludeC-45Types-fastUnpack e-1))))))(else '())))))))
(define ParserC-45RuleC-45Source-strLit(blodwen-lazy (lambda () (vector 1 "Expected string literal" (lambda (lcase-0) (case (vector-ref lcase-0 0) ((7) (let ((e-0 (vector-ref lcase-0 1))) (let ((e-1 (vector-ref lcase-0 2))) (ParserC-45Support-escape e-0 e-1))))(else '())))))))
(define ParserC-45RuleC-45Source-strEnd(blodwen-lazy (lambda () (vector 1 "Expected string end" (lambda (lcase-0) (case (vector-ref lcase-0 0) ((4) (box (vector 0 )))(else '())))))))
(define ParserC-45RuleC-45Source-strBegin(blodwen-lazy (lambda () (vector 1 "Expected string begin" (lambda (lcase-0) (case (vector-ref lcase-0 0) ((3) (let ((e-0 (vector-ref lcase-0 1))) (cond ((equal? e-0 1) (box (vector 0 )))(else '()))))(else '())))))))
(define ParserC-45RuleC-45Source-simpleStr(blodwen-lazy (lambda () (vector 10 1 1 ((csegen-2689) (vector 10 1 0 ((csegen-726) (vector 10 1 0 ((csegen-726) (ParserC-45RuleC-45Source-strBegin)) (lambda (u--f) (((csegen-721) u--f) (vector 7 ))))) (lambda (u--f) (((csegen-721) u--f) (LibrariesC-45TextC-45Parser-option 1 "" (ParserC-45RuleC-45Source-strLit)))))) (lambda (u--f) (((csegen-725) u--f) (ParserC-45RuleC-45Source-strEnd)))))))
(define ParserC-45RuleC-45Source-reservedNames(blodwen-lazy (lambda () (cons "Type" (cons "Int" (cons "Int8" (cons "Int16" (cons "Int32" (cons "Int64" (cons "Integer" (cons "Bits8" (cons "Bits16" (cons "Bits32" (cons "Bits64" (cons "String" (cons "Char" (cons "Double" (cons "Lazy" (cons "Inf" (cons "Force" (cons "Delay" '())))))))))))))))))))))
(define ParserC-45RuleC-45Source-pragma (lambda (arg-0) (vector 1 (string-append "Expected pragma " arg-0) (lambda (lcase-0) (case (vector-ref lcase-0 0) ((19) (let ((e-0 (vector-ref lcase-0 1))) (PreludeC-45Interfaces-guard (csegen-326) (PreludeC-45EqOrd-u--C-61C-61_Eq_String e-0 arg-0))))(else '()))))))
(define ParserC-45RuleC-45Source-postfixProj(blodwen-lazy (lambda () (PreludeC-45Interfaces-C-60C-36C-62 (csegen-729) (lambda (eta-0) (vector 1 (vector 1 eta-0))) (ParserC-45RuleC-45Source-aDotIdent)))))
(define ParserC-45RuleC-45Source-optDocumentation (lambda (arg-0) (LibrariesC-45TextC-45Parser-option 1 "" (ParserC-45RuleC-45Source-documentation arg-0))))
(define ParserC-45RuleC-45Source-operatorCandidate(blodwen-lazy (lambda () (vector 1 "Expected operator" (lambda (lcase-0) (case (vector-ref lcase-0 0) ((12) (let ((e-0 (vector-ref lcase-0 1))) (box (vector 1 (vector 0 e-0)))))(else '())))))))
(define ParserC-45RuleC-45Source-operator(blodwen-lazy (lambda () (PreludeC-45Interfaces-C-60C-36C-62 (csegen-729) (lambda (eta-0) (vector 1 (vector 0 eta-0))) (ParserC-45RuleC-45Source-unqualifiedOperatorName)))))
(define ParserC-45RuleC-45Source-opNonNS(blodwen-lazy (lambda () (vector 11 1 (ParserC-45RuleC-45Source-symbol "(") (lambda () (vector 12 0 1 (vector 7 ) (vector 9 1 (vector 14 (vector 13 1 1 (ParserC-45RuleC-45Source-operatorCandidate) (lambda () (ParserC-45RuleC-45Source-postfixProj)))) (lambda () (lambda (u--id) (vector 12 0 1 (ParserC-45RuleC-45Source-isNotReservedSymbol (PreludeC-45Interfaces-C-60C-36C-62 (csegen-367) (lambda (eta-0) (CoreC-45Name-nameRoot eta-0)) u--id)) (vector 11 0 (ParserC-45RuleC-45Source-symbol ")") (lambda () (vector 0 (let ((e-1 (vector-ref u--id 0))) e-1))))))))))))))
(define ParserC-45RuleC-45Source-onOffLit(blodwen-lazy (lambda () (vector 1 "Expected on or off" (lambda (lcase-0) (case (vector-ref lcase-0 0) ((9) (let ((e-0 (vector-ref lcase-0 1))) (cond ((equal? e-0 "on") (box 1)) ((equal? e-0 "off") (box 0))(else '()))))(else '())))))))
(define ParserC-45RuleC-45Source-nonEmptyBlockAfter (lambda (arg-1 arg-2) (vector 13 1 1 (vector 11 1 (ParserC-45RuleC-45Source-symbol "{") (lambda () (vector 12 0 1 (vector 7 ) (vector 9 1 (ParserC-45RuleC-45Source-blockEntry (vector 0 ) arg-2) (lambda () (lambda (u--res) (vector 10 0 1 (ParserC-45RuleC-45Source-blockEntries (Builtin-snd u--res) arg-2) (lambda (u--ps) (vector 11 0 (ParserC-45RuleC-45Source-symbol "}") (lambda () (vector 0 (cons (Builtin-fst u--res) u--ps)))))))))))) (lambda () (vector 10 0 1 (LibrariesC-45TextC-45Parser-column) (lambda (u--col) (let ((sc0 (PreludeC-45EqOrd-u--C-60C-61_Ord_Int u--col arg-1))) (cond ((equal? sc0 0) (vector 9 0 (ParserC-45RuleC-45Source-blockEntry (vector 1 u--col) arg-2) (lambda () (lambda (u--res) (vector 10 0 0 (ParserC-45RuleC-45Source-blockEntries (Builtin-snd u--res) arg-2) (lambda (u--ps) (vector 0 (cons (Builtin-fst u--res) u--ps)))))))) (else (vector 4 '() 1 "Expected an indented non-empty block"))))))))))
(define ParserC-45RuleC-45Source-nonEmptyBlock (lambda (arg-1) (vector 13 1 1 (vector 11 1 (ParserC-45RuleC-45Source-symbol "{") (lambda () (vector 12 0 1 (vector 7 ) (vector 9 1 (ParserC-45RuleC-45Source-blockEntry (vector 0 ) arg-1) (lambda () (lambda (u--res) (vector 10 0 1 (ParserC-45RuleC-45Source-blockEntries (Builtin-snd u--res) arg-1) (lambda (u--ps) (vector 11 0 (ParserC-45RuleC-45Source-symbol "}") (lambda () (vector 0 (cons (Builtin-fst u--res) u--ps)))))))))))) (lambda () (vector 10 0 1 (LibrariesC-45TextC-45Parser-column) (lambda (u--col) (vector 9 0 (ParserC-45RuleC-45Source-blockEntry (vector 1 u--col) arg-1) (lambda () (lambda (u--res) (vector 10 0 0 (ParserC-45RuleC-45Source-blockEntries (Builtin-snd u--res) arg-1) (lambda (u--ps) (vector 0 (cons (Builtin-fst u--res) u--ps)))))))))))))
(define ParserC-45RuleC-45Source-namespacedSymbol (lambda (arg-0) (vector 13 1 1 (PreludeC-45Interfaces-C-36C-62 (csegen-729) (ParserC-45RuleC-45Source-symbol arg-0) '()) (lambda () (vector 9 1 (ParserC-45RuleC-45Source-namespaceId) (lambda () (lambda (u--ns) (vector 11 0 (ParserC-45RuleC-45Source-symbol (string-append "." arg-0)) (lambda () (vector 0 (box u--ns)))))))))))
(define ParserC-45RuleC-45Source-namespacedIdent(blodwen-lazy (lambda () (vector 1 "Expected namespaced name" (lambda (lcase-0) (case (vector-ref lcase-0 0) ((10) (let ((e-0 (vector-ref lcase-0 1))) (let ((e-1 (vector-ref lcase-0 2))) (box (cons (box e-0) e-1))))) ((9) (let ((e-2 (vector-ref lcase-0 1))) (box (cons '() e-2))))(else '())))))))
(define ParserC-45RuleC-45Source-namespaceId(blodwen-lazy (lambda () (vector 9 0 (vector 14 (ParserC-45RuleC-45Source-namespacedIdent)) (lambda () (lambda (u--nsid) (vector 12 0 0 (ParserC-45RuleC-45Source-isCapitalisedIdent (PreludeC-45Interfaces-C-60C-36C-62 (csegen-367) (lambda (eta-0) (Builtin-snd eta-0)) u--nsid)) (vector 0 (PreludeC-45Basics-uncurry (csegen-628) (let ((e-1 (vector-ref u--nsid 0))) e-1))))))))))
(define ParserC-45RuleC-45Source-nameWithCapital (lambda (arg-0) (vector 13 1 1 (ParserC-45RuleC-45Source-opNonNS) (lambda () (vector 9 0 (vector 14 (ParserC-45RuleC-45Source-namespacedIdent)) (lambda () (lambda (u--nsx) (vector 13 1 0 (ParserC-45RuleC-45Source-n--9765-7698-u--opNS arg-0 u--nsx) (lambda () (ParserC-45RuleC-45Source-n--9765-7697-u--nameNS arg-0 u--nsx))))))))))
(define ParserC-45RuleC-45Source-name(blodwen-lazy (lambda () (ParserC-45RuleC-45Source-nameWithCapital 0))))
(define ParserC-45RuleC-45Source-mustContinue (lambda (arg-0 arg-1) (if (null? arg-1) (ParserC-45RuleC-45Source-continueF (vector 4 '() 1 "Unexpected end of expression") arg-0) (let ((e-2 (unbox arg-1))) (ParserC-45RuleC-45Source-continueF (vector 4 '() 1 (string-append "Expected '" (string-append e-2 "'"))) arg-0)))))
(define ParserC-45RuleC-45Source-multilineBegin(blodwen-lazy (lambda () (vector 1 "Expected multiline string begin" (lambda (lcase-0) (case (vector-ref lcase-0 0) ((3) (let ((e-0 (vector-ref lcase-0 1))) (cond ((equal? e-0 0) (box (vector 0 )))(else '()))))(else '())))))))
(define ParserC-45RuleC-45Source-moduleIdent(blodwen-lazy (lambda () (PreludeC-45Interfaces-C-60C-36C-62 (csegen-729) (lambda (eta-0) (CoreC-45NameC-45Namespace-nsAsModuleIdent eta-0)) (ParserC-45RuleC-45Source-namespaceId)))))
(define ParserC-45RuleC-45Source-keyword (lambda (arg-0) (vector 1 (string-append "Expected '" (string-append arg-0 "'")) (lambda (lcase-0) (case (vector-ref lcase-0 0) ((18) (let ((e-0 (vector-ref lcase-0 1))) (PreludeC-45Interfaces-guard (csegen-326) (PreludeC-45EqOrd-u--C-61C-61_Eq_String e-0 arg-0))))(else '()))))))
(define ParserC-45RuleC-45Source-isTerminator (lambda (arg-0) (case (vector-ref arg-0 0) ((12) (let ((e-0 (vector-ref arg-0 1))) (cond ((equal? e-0 ",") 1) ((equal? e-0 "]") 1) ((equal? e-0 ";") 1) ((equal? e-0 "}") 1) ((equal? e-0 ")") 1) ((equal? e-0 "|") 1) ((equal? e-0 "**") 1)(else 0)))) ((18) (let ((e-1 (vector-ref arg-0 1))) (cond ((equal? e-1 "in") 1) ((equal? e-1 "then") 1) ((equal? e-1 "else") 1) ((equal? e-1 "where") 1)(else 0)))) ((6) 1) ((17) 1)(else 0))))
(define ParserC-45RuleC-45Source-isNotReservedSymbol (lambda (arg-0) (LibrariesC-45TextC-45Parser-when (PreludeC-45Types-elem (csegen-16) (csegen-43) (let ((e-1 (vector-ref arg-0 0))) e-1) (ParserC-45LexerC-45Source-reservedSymbols)) (lambda () (vector 4 (box (let ((e-3 (vector-ref arg-0 2))) e-3)) 0 (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons "Can't use reserved symbol " (cons (let ((e-1 (vector-ref arg-0 0))) e-1) '()))))))))
(define ParserC-45RuleC-45Source-isNotReservedName (lambda (arg-0) (LibrariesC-45TextC-45Parser-when (PreludeC-45Types-elem (csegen-16) (csegen-43) (let ((e-1 (vector-ref arg-0 0))) e-1) (ParserC-45RuleC-45Source-reservedNames)) (lambda () (vector 4 (box (let ((e-3 (vector-ref arg-0 2))) e-3)) 0 (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons "Can't use reserved name " (cons (let ((e-1 (vector-ref arg-0 0))) e-1) '()))))))))
(define ParserC-45RuleC-45Source-isCapitalisedIdent (lambda (arg-0) (let ((u--val (let ((e-1 (vector-ref arg-0 0))) e-1))) (let ((u--loc (let ((e-3 (vector-ref arg-0 2))) e-3))) (let ((u--err (vector 4 (box u--loc) 0 (string-append "Expected a capitalised identifier, got: " u--val)))) (ParserC-45RuleC-45Source-case--isCapitalisedIdent-7238 arg-0 u--val u--loc u--err (DataC-45String-strM u--val)))))))
(define ParserC-45RuleC-45Source-interpEnd(blodwen-lazy (lambda () (vector 1 "Expected string interp end" (lambda (lcase-0) (case (vector-ref lcase-0 0) ((6) (box (vector 0 )))(else '())))))))
(define ParserC-45RuleC-45Source-interpBegin(blodwen-lazy (lambda () (vector 1 "Expected string interp begin" (lambda (lcase-0) (case (vector-ref lcase-0 0) ((5) (box (vector 0 )))(else '())))))))
(define ParserC-45RuleC-45Source-intLit(blodwen-lazy (lambda () (vector 1 "Expected integer literal" (lambda (lcase-0) (case (vector-ref lcase-0 0) ((2) (let ((e-0 (vector-ref lcase-0 1))) (box e-0)))(else '())))))))
(define ParserC-45RuleC-45Source-init(blodwen-lazy (lambda () 0)))
(define ParserC-45RuleC-45Source-identWithCapital (lambda (arg-0 arg-1) (LibrariesC-45TextC-45Parser-when arg-0 (lambda () (ParserC-45RuleC-45Source-isCapitalisedIdent arg-1)))))
(define ParserC-45RuleC-45Source-identPart(blodwen-lazy (lambda () (vector 1 "Expected name" (lambda (lcase-0) (case (vector-ref lcase-0 0) ((9) (let ((e-0 (vector-ref lcase-0 1))) (box e-0)))(else '())))))))
(define ParserC-45RuleC-45Source-holeName(blodwen-lazy (lambda () (vector 1 "Expected hole name" (lambda (lcase-0) (case (vector-ref lcase-0 0) ((8) (let ((e-0 (vector-ref lcase-0 1))) (box e-0)))(else '())))))))
(define ParserC-45RuleC-45Source-exactIdent (lambda (arg-0) (vector 1 (string-append "Expected " arg-0) (lambda (lcase-0) (case (vector-ref lcase-0 0) ((9) (let ((e-0 (vector-ref lcase-0 1))) (PreludeC-45Interfaces-guard (csegen-326) (PreludeC-45EqOrd-u--C-61C-61_Eq_String e-0 arg-0))))(else '()))))))
(define ParserC-45RuleC-45Source-eoi(blodwen-lazy (lambda () ((csegen-2747) (vector 2 "Expected end of input" (lambda (eta-0) (ParserC-45RuleC-45Source-n--8417-6398-u--isEOI eta-0)))))))
(define ParserC-45RuleC-45Source-documentationC-39(blodwen-lazy (lambda () (vector 1 "Expected documentation comment" (lambda (lcase-0) (case (vector-ref lcase-0 0) ((15) (let ((e-0 (vector-ref lcase-0 1))) (box e-0)))(else '())))))))
(define ParserC-45RuleC-45Source-documentation (lambda (arg-0) (vector 9 0 (vector 14 (LibrariesC-45TextC-45Parser-some (ParserC-45RuleC-45Source-documentationC-39))) (lambda () (lambda (u--b) (vector 12 0 0 (ParserC-45RuleC-45Source-actD (ParserC-45RuleC-45Source-decorationFromBounded arg-0 0 u--b)) (vector 0 (DataC-45String-fastUnlines (DataC-45List1-forget (let ((e-1 (vector-ref u--b 0))) e-1))))))))))
(define ParserC-45RuleC-45Source-decorationFromBounded (lambda (arg-1 arg-2 arg-3) (cons (cons arg-1 (cons (LibrariesC-45TextC-45Bounded-start arg-3) (LibrariesC-45TextC-45Bounded-end arg-3))) (cons arg-2 '()))))
(define ParserC-45RuleC-45Source-dataConstructorName(blodwen-lazy (lambda () (vector 13 1 1 (ParserC-45RuleC-45Source-opNonNS) (lambda () (PreludeC-45Interfaces-C-60C-36C-62 (csegen-729) (lambda (eta-0) (vector 1 (vector 0 eta-0))) (ParserC-45RuleC-45Source-capitalisedIdent)))))))
(define ParserC-45RuleC-45Source-continueF (lambda (arg-0 arg-1) (vector 13 0 0 (vector 12 0 0 (ParserC-45RuleC-45Source-eoi) arg-0) (lambda () (vector 13 1 0 (vector 11 0 (ParserC-45RuleC-45Source-keyword "where") (lambda () arg-0)) (lambda () (vector 10 0 0 (LibrariesC-45TextC-45Parser-column) (lambda (u--col) (LibrariesC-45TextC-45Parser-when (PreludeC-45EqOrd-u--C-60C-61_Ord_Int u--col arg-1) (lambda () arg-0))))))))))
(define ParserC-45RuleC-45Source-continue (lambda (ext-0) (ParserC-45RuleC-45Source-continueF (vector 4 '() 0 "Unexpected end of expression") ext-0)))
(define ParserC-45RuleC-45Source-constant(blodwen-lazy (lambda () (vector 1 "Expected constant" (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-0 (vector-ref lcase-0 1))) (PreludeC-45Interfaces-C-60C-36C-62 (csegen-76) (lambda (eta-0) (vector 11 eta-0)) (ParserC-45Support-getCharLit e-0)))) ((1) (let ((e-1 (vector-ref lcase-0 1))) (box (vector 12 e-1)))) ((2) (let ((e-2 (vector-ref lcase-0 1))) (box (vector 5 e-2)))) ((9) (let ((e-3 (vector-ref lcase-0 1))) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (CoreC-45TT-isConstantType (vector 1 (vector 0 e-3))) (lambda (lcase-1) (cond ((equal? lcase-1 13) '())(else (box (vector 13 lcase-1))))))))(else '())))))))
(define ParserC-45RuleC-45Source-checkValid (lambda (arg-0 arg-1) (case (vector-ref arg-0 0) ((0) (vector 0 (vector 0 ))) ((1) (let ((e-0 (vector-ref arg-0 1))) (LibrariesC-45TextC-45Parser-when (let ((sc1 (PreludeC-45EqOrd-u--C-61C-61_Eq_Int arg-1 e-0))) (cond ((equal? sc1 1) 0) (else 1))) (lambda () (vector 4 '() 0 "Invalid indentation"))))) ((2) (let ((e-1 (vector-ref arg-0 1))) (LibrariesC-45TextC-45Parser-when (let ((sc1 (PreludeC-45EqOrd-u--C-62C-61_Ord_Int arg-1 e-1))) (cond ((equal? sc1 1) 0) (else 1))) (lambda () (vector 4 '() 0 "Invalid indentation"))))) (else (vector 4 '() 0 "End of block")))))
(define ParserC-45RuleC-45Source-capitalisedName(blodwen-lazy (lambda () (ParserC-45RuleC-45Source-nameWithCapital 1))))
(define ParserC-45RuleC-45Source-capitalisedIdent(blodwen-lazy (lambda () (vector 9 0 (vector 14 (ParserC-45RuleC-45Source-identPart)) (lambda () (lambda (u--id) (vector 12 0 0 (ParserC-45RuleC-45Source-isCapitalisedIdent u--id) (vector 12 0 0 (ParserC-45RuleC-45Source-isNotReservedName u--id) (vector 0 (let ((e-1 (vector-ref u--id 0))) e-1))))))))))
(define ParserC-45RuleC-45Source-builtinType(blodwen-lazy (lambda () (vector 13 1 1 ((csegen-2760) (ParserC-45RuleC-45Source-exactIdent "Natural")) (lambda () (vector 13 1 1 ((csegen-2762) (ParserC-45RuleC-45Source-exactIdent "NaturalToInteger")) (lambda () ((csegen-2764) (ParserC-45RuleC-45Source-exactIdent "IntegerToNatural")))))))))
(define ParserC-45RuleC-45Source-blockWithOptHeaderAfter (lambda (arg-2 arg-3 arg-4) (vector 13 1 0 (vector 11 1 (ParserC-45RuleC-45Source-symbol "{") (lambda () (vector 12 0 1 (vector 7 ) (vector 10 0 1 (LibrariesC-45TextC-45Parser-optional 1 (ParserC-45RuleC-45Source-blockEntry (vector 0 ) arg-3)) (lambda (u--hidt) (ParserC-45RuleC-45Source-n--10928-8873-u--restOfBlock arg-4 arg-3 arg-2 u--hidt)))))) (lambda () (vector 10 0 0 (LibrariesC-45TextC-45Parser-column) (lambda (u--col) (let ((sc0 (PreludeC-45EqOrd-u--C-60C-61_Ord_Int u--col arg-2))) (cond ((equal? sc0 1) (vector 0 (cons '() '()))) (else (vector 10 0 0 (LibrariesC-45TextC-45Parser-optional 1 (ParserC-45RuleC-45Source-blockEntry (vector 1 u--col) arg-3)) (lambda (u--hidt) (vector 10 0 0 (ParserC-45RuleC-45Source-blockEntries (vector 1 u--col) arg-4) (lambda (u--ps) (vector 0 (cons ((csegen-704) u--hidt) u--ps)))))))))))))))
(define ParserC-45RuleC-45Source-blockEntry (lambda (arg-1 arg-2) (vector 10 0 1 (LibrariesC-45TextC-45Parser-column) (lambda (u--col) (vector 12 0 1 (ParserC-45RuleC-45Source-checkValid arg-1 u--col) (vector 9 0 (arg-2 u--col) (lambda () (lambda (u--p) (vector 10 0 0 (ParserC-45RuleC-45Source-terminator arg-1 u--col) (lambda (u--validC-39) (vector 0 (cons u--p u--validC-39))))))))))))
(define ParserC-45RuleC-45Source-blockEntries (lambda (arg-1 arg-2) (vector 13 0 0 (vector 12 0 0 (ParserC-45RuleC-45Source-eoi) (vector 0 '())) (lambda () (vector 13 1 0 (vector 9 0 (ParserC-45RuleC-45Source-blockEntry arg-1 arg-2) (lambda () (lambda (u--res) (vector 10 0 0 (ParserC-45RuleC-45Source-blockEntries (Builtin-snd u--res) arg-2) (lambda (u--ts) (vector 0 (cons (Builtin-fst u--res) u--ts))))))) (lambda () (vector 0 '())))))))
(define ParserC-45RuleC-45Source-blockAfter (lambda (arg-1 arg-2) (vector 13 1 0 (vector 11 1 (ParserC-45RuleC-45Source-symbol "{") (lambda () (vector 12 0 1 (vector 7 ) (vector 10 0 1 (ParserC-45RuleC-45Source-blockEntries (vector 0 ) arg-2) (csegen-2769))))) (lambda () (vector 10 0 0 (LibrariesC-45TextC-45Parser-column) (lambda (u--col) (let ((sc0 (PreludeC-45EqOrd-u--C-60C-61_Ord_Int u--col arg-1))) (cond ((equal? sc0 1) (vector 0 '())) (else (ParserC-45RuleC-45Source-blockEntries (vector 1 u--col) arg-2))))))))))
(define ParserC-45RuleC-45Source-block (lambda (arg-1) (vector 13 1 0 (vector 11 1 (ParserC-45RuleC-45Source-symbol "{") (lambda () (vector 12 0 1 (vector 7 ) (vector 10 0 1 (ParserC-45RuleC-45Source-blockEntries (vector 0 ) arg-1) (csegen-2769))))) (lambda () (vector 10 0 0 (LibrariesC-45TextC-45Parser-column) (lambda (u--col) (ParserC-45RuleC-45Source-blockEntries (vector 1 u--col) arg-1)))))))
(define ParserC-45RuleC-45Source-atEndIndent (lambda (arg-0) (vector 13 0 0 (ParserC-45RuleC-45Source-eoi) (lambda () (vector 10 0 0 (LibrariesC-45TextC-45Parser-column) (lambda (u--col) (LibrariesC-45TextC-45Parser-when (let ((sc0 (PreludeC-45EqOrd-u--C-60C-61_Ord_Int u--col arg-0))) (cond ((equal? sc0 1) 0) (else 1))) (lambda () (vector 4 '() 0 "Not the end of a block entry")))))))))
(define ParserC-45RuleC-45Source-atEnd (lambda (arg-0) (vector 13 0 0 (ParserC-45RuleC-45Source-eoi) (lambda () (vector 13 0 0 ((csegen-2747) (vector 2 "Expected end of block" (lambda (eta-0) (ParserC-45RuleC-45Source-isTerminator eta-0)))) (lambda () (vector 10 0 0 (LibrariesC-45TextC-45Parser-column) (lambda (u--col) (LibrariesC-45TextC-45Parser-when (let ((sc0 (PreludeC-45EqOrd-u--C-60C-61_Ord_Int u--col arg-0))) (cond ((equal? sc0 1) 0) (else 1))) (lambda () (vector 4 '() 0 "Not the end of a block entry")))))))))))
(define ParserC-45RuleC-45Source-anyReservedSymbol(blodwen-lazy (lambda () (vector 1 "Expected a reserved symbol" (lambda (lcase-0) (case (vector-ref lcase-0 0) ((12) (let ((e-0 (vector-ref lcase-0 1))) ((PreludeC-45Interfaces-C-60C-36 (csegen-76) e-0) (PreludeC-45Interfaces-guard (csegen-326) (PreludeC-45Types-elem (csegen-16) (csegen-43) e-0 (ParserC-45LexerC-45Source-reservedSymbols))))))(else '())))))))
(define ParserC-45RuleC-45Source-anyKeyword(blodwen-lazy (lambda () (vector 1 "Expected a keyword" (lambda (lcase-0) (case (vector-ref lcase-0 0) ((18) (let ((e-0 (vector-ref lcase-0 1))) (box e-0)))(else '())))))))
(define ParserC-45RuleC-45Source-actH (lambda (arg-0) (vector 16 (cons '() (cons arg-0 '())))))
(define ParserC-45RuleC-45Source-actD (lambda (arg-0) (vector 16 (cons (cons '() arg-0) '()))))
(define ParserC-45RuleC-45Source-aDotIdent(blodwen-lazy (lambda () (vector 1 "Expected dot+identifier" (lambda (lcase-0) (case (vector-ref lcase-0 0) ((11) (let ((e-0 (vector-ref lcase-0 1))) (box e-0)))(else '())))))))
(define ParserC-45Support-case--caseC-32blockC-32inC-32caseC-32blockC-32inC-32escapeC-39-11387 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (let ((e-2 (car arg-4))) (let ((e-3 (cdr arg-4))) (if (null? e-2) (if (null? e-3) (ParserC-45Support-escapeC-39 arg-2 e-3) (let ((e-6 (car e-3))) (let ((e-7 (cdr e-3))) (if (null? e-7) (ParserC-45Support-escapeC-39 arg-2 e-3) (let ((e-9 (car e-7))) (let ((e-10 (cdr e-7))) (if (null? e-10) (let ((sc5 (ParserC-45Support-getEsc (PreludeC-45Types-fastPack (cons e-6 (cons e-9 '())))))) (if (null? sc5) (ParserC-45Support-escapeC-39 arg-2 arg-3) (let ((e-1 (unbox sc5))) (box (cons e-1 '()))))) (let ((e-12 (car e-10))) (let ((e-13 (cdr e-10))) (let ((sc5 (ParserC-45Support-getEsc (PreludeC-45Types-fastPack (cons e-6 (cons e-9 (cons e-12 '()))))))) (if (null? sc5) (let ((sc6 (ParserC-45Support-getEsc (PreludeC-45Types-fastPack (cons e-6 (cons e-9 '())))))) (if (null? sc6) (ParserC-45Support-escapeC-39 arg-2 arg-3) (let ((e-1 (unbox sc6))) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (ParserC-45Support-escapeC-39 arg-2 (cons e-12 e-13)) (lambda (bind-0) (box (cons e-1 bind-0))))))) (let ((e-1 (unbox sc5))) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (ParserC-45Support-escapeC-39 arg-2 e-13) (lambda (bind-0) (box (cons e-1 bind-0)))))))))))))))) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (ParserC-45Support-escapeC-39 arg-2 e-3) (lambda (bind-0) (box (cons (cast-int-char (cast-string-boundedInt (PreludeC-45Types-fastPack e-2) 63)) bind-0)))))))))
(define ParserC-45Support-case--caseC-32blockC-32inC-32caseC-32blockC-32inC-32escapeC-39-11320 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (let ((e-2 (car arg-4))) (let ((e-3 (cdr arg-4))) (if (null? e-2) (ParserC-45Support-escapeC-39 arg-2 e-3) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (ParserC-45Support-n--6648-10818-u--toOct arg-0 arg-1 arg-2 1 (PreludeC-45TypesC-45List-reverse e-2)) (lambda (bind-0) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (ParserC-45Support-escapeC-39 arg-2 e-3) (lambda (bind-1) (box (cons (cast-int-char bind-0) bind-1)))))))))))
(define ParserC-45Support-case--caseC-32blockC-32inC-32caseC-32blockC-32inC-32escapeC-39-11248 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (let ((e-2 (car arg-4))) (let ((e-3 (cdr arg-4))) (if (null? e-2) (ParserC-45Support-escapeC-39 arg-2 e-3) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (ParserC-45Support-n--6648-10817-u--toHex arg-0 arg-1 arg-2 1 (PreludeC-45TypesC-45List-reverse e-2)) (lambda (bind-0) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (ParserC-45Support-escapeC-39 arg-2 e-3) (lambda (bind-1) (box (cons (cast-int-char bind-0) bind-1)))))))))))
(define ParserC-45Support-case--caseC-32blockC-32inC-32escapeC-39-10937 (lambda (arg-0 arg-1 arg-2 arg-3) (if (null? arg-3) (ParserC-45Support-case--caseC-32blockC-32inC-32caseC-32blockC-32inC-32escapeC-39-11387 arg-0 arg-1 arg-2 arg-3 (DataC-45List-span (lambda (eta-0) (PreludeC-45Types-isDigit eta-0)) arg-3)) (let ((e-1 (car arg-3))) (let ((e-2 (cdr arg-3))) (cond ((equal? e-1 #\\) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (ParserC-45Support-escapeC-39 arg-2 e-2) (lambda (bind-0) (box (cons #\\ bind-0))))) ((equal? e-1 (integer->char 10)) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (ParserC-45Support-escapeC-39 arg-2 e-2) (lambda (bind-0) (box bind-0)))) ((equal? e-1 #\&) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (ParserC-45Support-escapeC-39 arg-2 e-2) (lambda (bind-0) (box bind-0)))) ((equal? e-1 #\a) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (ParserC-45Support-escapeC-39 arg-2 e-2) (lambda (bind-0) (box (cons (integer->char 7) bind-0))))) ((equal? e-1 #\b) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (ParserC-45Support-escapeC-39 arg-2 e-2) (lambda (bind-0) (box (cons (integer->char 8) bind-0))))) ((equal? e-1 #\f) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (ParserC-45Support-escapeC-39 arg-2 e-2) (lambda (bind-0) (box (cons (integer->char 12) bind-0))))) ((equal? e-1 #\n) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (ParserC-45Support-escapeC-39 arg-2 e-2) (lambda (bind-0) (box (cons (integer->char 10) bind-0))))) ((equal? e-1 #\r) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (ParserC-45Support-escapeC-39 arg-2 e-2) (lambda (bind-0) (box (cons (integer->char 13) bind-0))))) ((equal? e-1 #\t) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (ParserC-45Support-escapeC-39 arg-2 e-2) (lambda (bind-0) (box (cons (integer->char 9) bind-0))))) ((equal? e-1 #\v) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (ParserC-45Support-escapeC-39 arg-2 e-2) (lambda (bind-0) (box (cons (integer->char 11) bind-0))))) ((equal? e-1 #\') (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (ParserC-45Support-escapeC-39 arg-2 e-2) (lambda (bind-0) (box (cons #\' bind-0))))) ((equal? e-1 #\") (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (ParserC-45Support-escapeC-39 arg-2 e-2) (lambda (bind-0) (box (cons #\" bind-0))))) ((equal? e-1 #\x) (ParserC-45Support-case--caseC-32blockC-32inC-32caseC-32blockC-32inC-32escapeC-39-11248 arg-0 arg-1 arg-2 e-2 (DataC-45List-span (lambda (eta-0) (PreludeC-45Types-isHexDigit eta-0)) e-2))) ((equal? e-1 #\o) (ParserC-45Support-case--caseC-32blockC-32inC-32caseC-32blockC-32inC-32escapeC-39-11320 arg-0 arg-1 arg-2 e-2 (DataC-45List-span (lambda (eta-0) (PreludeC-45Types-isOctDigit eta-0)) e-2)))(else (ParserC-45Support-case--caseC-32blockC-32inC-32caseC-32blockC-32inC-32escapeC-39-11387 arg-0 arg-1 arg-2 arg-3 (DataC-45List-span (lambda (eta-0) (PreludeC-45Types-isDigit eta-0)) arg-3)))))))))
(define ParserC-45Support-n--6648-10818-u--toOct (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (if (null? arg-4) (box 0) (let ((e-2 (car arg-4))) (let ((e-3 (cdr arg-4))) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (ParserC-45Support-oct (PreludeC-45Types-toLower e-2)) (lambda (bind-0) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (ParserC-45Support-n--6648-10818-u--toOct arg-0 arg-1 arg-2 (bs* arg-3 8 63) e-3) (lambda (bind-1) (box (bs+ (bs* bind-0 arg-3 63) bind-1 63)))))))))))
(define ParserC-45Support-n--6648-10817-u--toHex (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (if (null? arg-4) (box 0) (let ((e-2 (car arg-4))) (let ((e-3 (cdr arg-4))) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (ParserC-45Support-hex (PreludeC-45Types-toLower e-2)) (lambda (bind-0) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (ParserC-45Support-n--6648-10817-u--toHex arg-0 arg-1 arg-2 (bs* arg-3 16 63) e-3) (lambda (bind-1) (box (bs+ (bs* bind-0 arg-3 63) bind-1 63)))))))))))
(define ParserC-45Support-n--5993-10165-u--fromError (lambda (arg-2 arg-3 arg-4) (let ((e-1 (car arg-4))) (let ((e-2 (cdr arg-4))) (if (null? e-2) (cons (vector 0 arg-3 (cons 0 0) (cons 0 0)) (LibrariesC-45DataC-45StringC-45Extra-strSnoc e-1 #\.)) (let ((e-5 (unbox e-2))) (let ((u--start (LibrariesC-45TextC-45Bounded-startBounds e-5))) (let ((u--end (LibrariesC-45TextC-45Bounded-endBounds e-5))) (let ((u--fc (let ((sc2 (PreludeC-45EqOrd-u--C-61C-61_Eq_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-290) (csegen-290) u--start u--end))) (cond ((equal? sc2 1) (vector 0 arg-3 u--start (let ((e-4 (car u--start))) (let ((e-3 (cdr u--start))) (cons e-4 (bs+ e-3 1 63)))))) (else (vector 0 arg-3 u--start u--end)))))) (cons u--fc (LibrariesC-45DataC-45StringC-45Extra-strSnoc e-1 #\.)))))))))))
(define ParserC-45Support-oct (lambda (arg-0) (cond ((equal? arg-0 #\0) (box 0)) ((equal? arg-0 #\1) (box 1)) ((equal? arg-0 #\2) (box 2)) ((equal? arg-0 #\3) (box 3)) ((equal? arg-0 #\4) (box 4)) ((equal? arg-0 #\5) (box 5)) ((equal? arg-0 #\6) (box 6)) ((equal? arg-0 #\7) (box 7))(else '()))))
(define ParserC-45Support-hex (lambda (arg-0) (cond ((equal? arg-0 #\0) (box 0)) ((equal? arg-0 #\1) (box 1)) ((equal? arg-0 #\2) (box 2)) ((equal? arg-0 #\3) (box 3)) ((equal? arg-0 #\4) (box 4)) ((equal? arg-0 #\5) (box 5)) ((equal? arg-0 #\6) (box 6)) ((equal? arg-0 #\7) (box 7)) ((equal? arg-0 #\8) (box 8)) ((equal? arg-0 #\9) (box 9)) ((equal? arg-0 #\a) (box 10)) ((equal? arg-0 #\b) (box 11)) ((equal? arg-0 #\c) (box 12)) ((equal? arg-0 #\d) (box 13)) ((equal? arg-0 #\e) (box 14)) ((equal? arg-0 #\f) (box 15))(else '()))))
(define ParserC-45Support-getEsc (lambda (arg-0) (cond ((equal? arg-0 "NUL") (box (integer->char 0))) ((equal? arg-0 "SOH") (box (integer->char 1))) ((equal? arg-0 "STX") (box (integer->char 2))) ((equal? arg-0 "ETX") (box (integer->char 3))) ((equal? arg-0 "EOT") (box (integer->char 4))) ((equal? arg-0 "ENQ") (box (integer->char 5))) ((equal? arg-0 "ACK") (box (integer->char 6))) ((equal? arg-0 "BEL") (box (integer->char 7))) ((equal? arg-0 "BS") (box (integer->char 8))) ((equal? arg-0 "HT") (box (integer->char 9))) ((equal? arg-0 "LF") (box (integer->char 10))) ((equal? arg-0 "VT") (box (integer->char 11))) ((equal? arg-0 "FF") (box (integer->char 12))) ((equal? arg-0 "CR") (box (integer->char 13))) ((equal? arg-0 "SO") (box (integer->char 14))) ((equal? arg-0 "SI") (box (integer->char 15))) ((equal? arg-0 "DLE") (box (integer->char 16))) ((equal? arg-0 "DC1") (box (integer->char 17))) ((equal? arg-0 "DC2") (box (integer->char 18))) ((equal? arg-0 "DC3") (box (integer->char 19))) ((equal? arg-0 "DC4") (box (integer->char 20))) ((equal? arg-0 "NAK") (box (integer->char 21))) ((equal? arg-0 "SYN") (box (integer->char 22))) ((equal? arg-0 "ETB") (box (integer->char 23))) ((equal? arg-0 "CAN") (box (integer->char 24))) ((equal? arg-0 "EM") (box (integer->char 25))) ((equal? arg-0 "SUB") (box (integer->char 26))) ((equal? arg-0 "ESC") (box (integer->char 27))) ((equal? arg-0 "FS") (box (integer->char 28))) ((equal? arg-0 "GS") (box (integer->char 29))) ((equal? arg-0 "RS") (box (integer->char 30))) ((equal? arg-0 "US") (box (integer->char 31))) ((equal? arg-0 "SP") (box #\ )) ((equal? arg-0 "DEL") (box (integer->char 127)))(else '()))))
(define ParserC-45Support-getCharLit (lambda (arg-0) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (ParserC-45Support-escape 0 arg-0) (lambda (u--e) (let ((sc0 (or (and (= (PreludeC-45TypesC-45String-length u--e) 1) 1) 0))) (cond ((equal? sc0 1) (box (string-ref u--e 0))) (else (let ((sc1 (or (and (= (PreludeC-45TypesC-45String-length u--e) 0) 1) 0))) (cond ((equal? sc1 1) (box (integer->char 0))) (else '()))))))))))
(define ParserC-45Support-fromParsingErrors (lambda (arg-2 arg-3 ext-0) (vector 55 (DataC-45List1-u--map_Functor_List1 (lambda (eta-0) (ParserC-45Support-n--5993-10165-u--fromError arg-2 arg-3 eta-0)) ext-0))))
(define ParserC-45Support-fromLitError (lambda (arg-0 arg-1) (let ((e-0 (vector-ref arg-1 0))) (let ((e-1 (vector-ref arg-1 1))) (vector 53 (vector 0 arg-0 (cons e-0 e-1) (cons e-0 (bs+ e-1 1 63))))))))
(define ParserC-45Support-fromLexError (lambda (arg-0 arg-1) (let ((e-2 (car arg-1))) (let ((e-3 (cdr arg-1))) (case (vector-ref e-2 0) ((2) (let ((e-12 (vector-ref e-2 1))) (let ((e-13 (vector-ref e-2 2))) (if (null? e-3) (let ((e-6 (car e-3))) (let ((e-7 (cdr e-3))) (let ((e-10 (car e-7))) (vector 54 (vector 0 arg-0 (cons e-6 e-10) (cons e-6 (bs+ e-10 1 63))) "Can't recognise token.")))) (let ((e-17 (cdr e-3))) (if (null? e-17) (let ((e-6 (car e-3))) (let ((e-7 (cdr e-3))) (let ((e-10 (car e-7))) (vector 54 (vector 0 arg-0 (cons e-6 e-10) (cons e-6 (bs+ e-10 1 63))) "Can't recognise token.")))) (vector 54 (vector 0 arg-0 e-12 e-13) "Bracket is not properly closed.")))))))(else (let ((e-6 (car e-3))) (let ((e-7 (cdr e-3))) (let ((e-10 (car e-7))) (vector 54 (vector 0 arg-0 (cons e-6 e-10) (cons e-6 (bs+ e-10 1 63))) "Can't recognise token."))))))))))
(define ParserC-45Support-escapeC-39 (lambda (arg-0 arg-1) (if (null? arg-1) (box '()) (let ((e-2 (car arg-1))) (let ((e-3 (cdr arg-1))) (let ((sc1 (DataC-45List-isPrefixOf (csegen-19) arg-0 (cons e-2 e-3)))) (cond ((equal? sc1 1) (ParserC-45Support-case--caseC-32blockC-32inC-32escapeC-39-10937 e-2 e-3 arg-0 (DataC-45List-drop (PreludeC-45TypesC-45List-lengthTR arg-0) (cons e-2 e-3)))) (else (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (ParserC-45Support-escapeC-39 arg-0 e-3) (lambda (bind-0) (box (cons e-2 bind-0))))))))))))
(define ParserC-45Support-escape (lambda (arg-0 arg-1) (let ((u--escapeChars (cons #\\ (DataC-45List-replicateTR '() arg-0 #\#)))) (PreludeC-45Interfaces-C-60C-36C-62 (csegen-76) (lambda (eta-0) (PreludeC-45Types-fastPack eta-0)) (ParserC-45Support-escapeC-39 u--escapeChars (PreludeC-45Types-fastUnpack arg-1))))))
(define TTImpC-45Unelab-case--caseC-32blockC-32inC-32caseC-32blockC-32inC-32caseC-32blockC-32inC-32unelabTyC-39-9417 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17) (if (null? arg-17) (lambda (eta-0) (vector 1 '())) (let ((e-2 (car arg-17))) (let ((e-3 (cdr arg-17))) (case (vector-ref e-2 0) ((1) (let ((e-7 (vector-ref e-2 3))) (let ((eff-0 (CoreC-45Context-getFullName arg-8 e-7))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-8 (vector-ref lcase-0 1))) (let ((eff-1 (case (vector-ref e-8 0) ((0) (let ((e-1 (vector-ref e-8 2))) (case (vector-ref e-1 0) ((6) (TTImpC-45Unelab-unelabCase arg-0 arg-8 arg-6 arg-5 e-8 e-3))(else (lambda (eta-0) (vector 1 '()))))))(else (lambda (eta-0) (vector 1 '())))))) eff-1)))))))))(else (lambda (eta-0) (vector 1 '())))))))))
(define TTImpC-45Unelab-case--dropParams-8402 (lambda (arg-1 arg-2 arg-3 arg-4 arg-5) (if (null? arg-5) (lambda (eta-0) (vector 1 (cons arg-1 arg-2))) (let ((e-2 (car arg-5))) (let ((e-3 (cdr arg-5))) (lambda (clam-0) (case (vector-ref e-2 0) ((0) (let ((e-5 (vector-ref e-2 1))) (let ((e-6 (vector-ref e-2 2))) (let ((sc2 (DataC-45List-lookup (csegen-1008) (let ((e-4 (vector-ref e-6 2))) e-4) arg-3))) (if (null? sc2) (vector 1 (cons arg-1 arg-2)) (let ((e-4 (unbox sc2))) (vector 1 (cons (TTImpC-45Unelab-n--8238-8368-u--apply arg-1 arg-2 arg-3 arg-4 (vector 0 e-5 e-6) (DataC-45List-drop e-4 e-3)) arg-2))))))))(else (vector 1 (cons arg-1 arg-2))))))))))
(define TTImpC-45Unelab-case--caseC-32blockC-32inC-32unelabCase-8147 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9) (case (vector-ref arg-9 0) ((1) (let ((e-1 (vector-ref arg-9 2))) (let ((e-2 (vector-ref arg-9 3))) (let ((e-4 (vector-ref arg-9 5))) (let ((sc1 (TTImpC-45Unelab-n--8214-7268-u--findArgPos arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-2))) (if (null? sc1) (lambda (eta-0) (vector 1 '())) (let ((e-5 (unbox sc1))) (let ((sc2 (or (and (= (PreludeC-45TypesC-45List-lengthTR arg-1) (PreludeC-45TypesC-45List-lengthTR e-1)) 1) 0))) (cond ((equal? sc2 1) (TTImpC-45Unelab-n--8214-7275-u--mkCase arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-4 e-5 arg-1)) (else (lambda (eta-0) (vector 1 '()))))))))))))(else (lambda (eta-0) (vector 1 '()))))))
(define TTImpC-45Unelab-case--unelabCaseC-44mkCase-7918 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9) (if (null? arg-9) (lambda (eta-0) (vector 1 '())) (let ((e-1 (unbox arg-9))) (let ((u--fc (CoreC-45TT-getLoc e-1))) (let ((eff-0 (TTImpC-45Unelab-unelabTy arg-0 arg-5 (vector 0 ) arg-4 arg-3 e-1))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((e-2 (car e-5))) (let ((eff-1 (let ((eff-1 (CoreC-45Core-traverseC-39 (lambda (eta-0) (TTImpC-45Unelab-n--8214-7274-u--mkClause arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 u--fc arg-7 arg-6 eta-0)) arg-8 '()))) (((csegen-50) ((let ((eff-2 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-4 (vector-ref eta-3 1))) (vector 0 e-4))) (else (let ((e-6 (vector-ref eta-3 1))) (vector 1 (eta-2 e-6))))))))))) (lambda (arg-10) (lambda (arg-11) ((((eff-2 'erased) 'erased) arg-10) arg-11)))) (lambda (eta-0) (PreludeC-45Interfaces-sequence (csegen-323) (csegen-284) eta-0)))) eff-1)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (clam-0) (if (null? e-6) (vector 1 '()) (let ((e-4 (unbox e-6))) (vector 1 (box (vector 4 u--fc e-2 (vector 32 u--fc 0) e-4)))))))) eff-2)))))))))) eff-1))))))))))))
(define TTImpC-45Unelab-case--unelabCaseC-44mkClause-7715 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14) (if (null? arg-14) (lambda (eta-0) (vector 1 '())) (let ((e-1 (unbox arg-14))) (let ((u--rhs (TTImpC-45Unelab-n--8214-7272-u--substArgs arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 (CoreC-45TTC-45SizeOf-mkSizeOf arg-6) (DataC-45List-u--zip_Zippable_List (((csegen-25) (lambda (eta-0) (TTImpC-45Unelab-n--8214-7273-u--argVars arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 eta-0))) arg-13) arg-10) arg-9))) (let ((eff-0 (CoreC-45ContextC-45Log-logTerm arg-6 arg-5 "unelab.case.clause" 20 (lambda () "Unelaborating LHS") e-1))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (TTImpC-45Unelab-unelabTy arg-6 arg-5 (vector 0 ) arg-4 arg-7 e-1))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45ContextC-45Log-logTerm (PreludeC-45TypesC-45List-tailRecAppend arg-6 arg-0) arg-5 "unelab.case.clause" 20 (lambda () "Unelaborating RHS") u--rhs))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (let ((eff-3 (CoreC-45Normalise-logEnv arg-6 arg-5 "unelab.case.clause" 20 "In Env" arg-7))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-4 (let ((eff-4 (TTImpC-45Unelab-unelabTy (PreludeC-45TypesC-45List-tailRecAppend arg-6 arg-0) arg-5 (vector 0 ) arg-4 (CoreC-45Env-C-43C-43 arg-6 arg-7 arg-3) u--rhs))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (box (vector 0 arg-12 (Builtin-fst e-6) (Builtin-fst e-9))))))) eff-5))))))))) eff-4)))))))) eff-3)))))))) eff-2))))))))) eff-1)))))))))))
(define TTImpC-45Unelab-n--8017-6939-u--usedBinder (lambda (arg-0 arg-1 arg-3 arg-4 arg-5 arg-6) (case (vector-ref arg-6 0) ((1) (let ((e-3 (vector-ref arg-6 3))) (let ((e-4 (vector-ref arg-6 4))) (let ((sc1 (TTImpC-45Unelab-used arg-5 e-3))) (cond ((equal? sc1 1) 1) (else (TTImpC-45Unelab-used arg-5 e-4)))))))(else (TTImpC-45Unelab-used arg-5 (CoreC-45TT-binderType arg-6))))))
(define TTImpC-45Unelab-n--8279-8975-u--uniqueLocal (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10) (let ((sc0 (PreludeC-45Types-elem (csegen-16) (csegen-1008) arg-10 arg-9))) (cond ((equal? sc0 1) (TTImpC-45Unelab-n--8279-8975-u--uniqueLocal arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 (TTImpC-45Unelab-n--8279-8974-u--next arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-10))) (else arg-10)))))
(define TTImpC-45Unelab-n--12985-11240-u--toName (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8) (case (vector-ref arg-8 0) ((0) (let ((e-4 (vector-ref arg-8 3))) (box (CoreC-45TT-nameAt arg-0 e-4))))(else '()))))
(define TTImpC-45Unelab-n--8214-7270-u--substVars (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-7 arg-8) (case (vector-ref arg-8 0) ((0) (let ((e-2 (vector-ref arg-8 1))) (let ((e-3 (vector-ref arg-8 2))) (let ((e-4 (vector-ref arg-8 3))) (let ((u--tm (vector 0 e-2 e-3 e-4))) (let ((sc1 (DataC-45List-find (lambda (eta-0) (PreludeC-45Interfaces-any (csegen-16) (lambda (eta-1) (or (and (= e-4 (CoreC-45TT-varIdx eta-1)) 1) 0)) (Builtin-fst eta-0))) arg-7))) (if (null? sc1) u--tm (let ((e-1 (unbox sc1))) (let ((e-6 (cdr e-1))) e-6))))))))) ((2) (let ((e-7 (vector-ref arg-8 1))) (let ((e-8 (vector-ref arg-8 2))) (let ((e-9 (vector-ref arg-8 3))) (let ((e-10 (vector-ref arg-8 4))) (vector 2 e-7 e-8 e-9 (((csegen-25) (lambda (eta-0) (TTImpC-45Unelab-n--8214-7270-u--substVars arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-7 eta-0))) e-10))))))) ((3) (let ((e-12 (vector-ref arg-8 1))) (let ((e-13 (vector-ref arg-8 2))) (let ((e-14 (vector-ref arg-8 3))) (let ((e-15 (vector-ref arg-8 4))) (vector 3 e-12 e-13 (CoreC-45TT-u--map_Functor_Binder (lambda (eta-0) (TTImpC-45Unelab-n--8214-7270-u--substVars arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-7 eta-0)) e-14) (TTImpC-45Unelab-n--8214-7270-u--substVars arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 (((csegen-25) (lambda (clam-0) (let ((e-2 (car clam-0))) (let ((e-3 (cdr clam-0))) (cons ((csegen-1005) e-2) (CoreC-45TT-u--weaken_Weaken_Term e-3)))))) arg-7) e-15))))))) ((4) (let ((e-17 (vector-ref arg-8 1))) (let ((e-18 (vector-ref arg-8 2))) (let ((e-19 (vector-ref arg-8 3))) (vector 4 e-17 (TTImpC-45Unelab-n--8214-7270-u--substVars arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-7 e-18) (TTImpC-45Unelab-n--8214-7270-u--substVars arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-7 e-19)))))) ((5) (let ((e-21 (vector-ref arg-8 1))) (let ((e-22 (vector-ref arg-8 2))) (let ((e-23 (vector-ref arg-8 3))) (let ((e-24 (vector-ref arg-8 4))) (vector 5 e-21 e-22 e-23 (TTImpC-45Unelab-n--8214-7270-u--substVars arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-7 e-24))))))) ((6) (let ((e-26 (vector-ref arg-8 1))) (let ((e-27 (vector-ref arg-8 2))) (let ((e-28 (vector-ref arg-8 3))) (vector 6 e-26 e-27 (TTImpC-45Unelab-n--8214-7270-u--substVars arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-7 e-28)))))) ((7) (let ((e-30 (vector-ref arg-8 1))) (let ((e-31 (vector-ref arg-8 2))) (let ((e-32 (vector-ref arg-8 3))) (let ((e-33 (vector-ref arg-8 4))) (vector 7 e-30 e-31 (TTImpC-45Unelab-n--8214-7270-u--substVars arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-7 e-32) (TTImpC-45Unelab-n--8214-7270-u--substVars arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-7 e-33))))))) ((8) (let ((e-35 (vector-ref arg-8 1))) (let ((e-36 (vector-ref arg-8 2))) (let ((e-37 (vector-ref arg-8 3))) (vector 8 e-35 e-36 (TTImpC-45Unelab-n--8214-7270-u--substVars arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-7 e-37))))))(else arg-8))))
(define TTImpC-45Unelab-n--8214-7272-u--substArgs (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-7 arg-8 arg-9) (let ((u--substsC-39 (((csegen-25) (lambda (clam-0) (let ((e-2 (car clam-0))) (let ((e-3 (cdr clam-0))) (cons (((csegen-25) (lambda (eta-0) (TTImpC-45Unelab-n--8214-7271-u--embedVar arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 eta-0))) e-2) (CoreC-45TT-u--weakenNs_Weaken_Term arg-7 e-3)))))) arg-8))) (let ((u--tmC-39 (CoreC-45TT-embed arg-9))) (TTImpC-45Unelab-n--8214-7270-u--substVars arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 u--substsC-39 u--tmC-39)))))
(define TTImpC-45Unelab-n--12985-11242-u--showScope (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8) (string-append " " (TTImpC-45Unelab-n--12985-11241-u--showNScope arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 (PreludeC-45TypesC-45List-mapMaybeAppend '() (lambda (eta-0) (TTImpC-45Unelab-n--12985-11240-u--toName arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 eta-0)) arg-8)))))
(define TTImpC-45Unelab-n--12985-11241-u--showNScope (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8) (if (null? arg-8) "[no locals in scope]" (string-append "[locals in scope: " (string-append (CoreC-45NameC-45Namespace-showSep ", " ((csegen-102) (DataC-45List-nub (csegen-1008) arg-8))) "]")))))
(define TTImpC-45Unelab-n--8279-8974-u--next (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9) (case (vector-ref arg-9 0) ((2) (let ((e-0 (vector-ref arg-9 1))) (let ((e-1 (vector-ref arg-9 2))) (vector 2 e-0 (bs+ e-1 1 63))))) ((1) (let ((e-2 (vector-ref arg-9 1))) (vector 2 (CoreC-45Name-u--show_Show_UserName e-2) 0))) ((0) (let ((e-3 (vector-ref arg-9 1))) (let ((e-4 (vector-ref arg-9 2))) (vector 0 e-3 (TTImpC-45Unelab-n--8279-8974-u--next arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 e-4)))))(else (vector 2 (CoreC-45Name-u--show_Show_Name arg-9) 0)))))
(define TTImpC-45Unelab-n--8214-7274-u--mkClause (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9) (let ((e-2 (car arg-9))) (let ((e-3 (cdr arg-9))) (let ((e-6 (car e-3))) (let ((e-7 (cdr e-3))) (let ((e-10 (car e-7))) (let ((e-11 (cdr e-7))) (let ((eff-0 (CoreC-45ContextC-45Log-logTerm e-2 arg-5 "unelab.case.clause" 20 (lambda () "Unelaborating clause") e-10))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-1 (let ((u--patArgs (Builtin-snd (CoreC-45TT-getFnArgs e-10)))) (TTImpC-45Unelab-case--unelabCaseC-44mkClause-7715 arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-2 e-6 e-10 e-11 arg-8 arg-7 arg-6 u--patArgs (TTImpC-45Unelab-n--8214-7269-u--idxOrMaybe arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-7 u--patArgs))))) eff-1))))))))))))))
(define TTImpC-45Unelab-n--8214-7275-u--mkCase (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8) (let ((eff-0 (let ((sc0 (PreludeC-45Types-u--null_Foldable_List arg-8))) (cond ((equal? sc0 1) (lambda (eta-0) (vector 1 (vector 0 )))) (else (CoreC-45ContextC-45Log-log arg-5 "unelab.case.clause" 20 (lambda () (DataC-45String-unwords (cons "Ignoring" (((csegen-25) (lambda (eta-0) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-0 eta-0))) arg-8)))))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (TTImpC-45Unelab-case--unelabCaseC-44mkCase-7918 arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-8 arg-7 arg-6 (TTImpC-45Unelab-n--8214-7269-u--idxOrMaybe arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-7 arg-8)))) eff-1))))))))
(define TTImpC-45Unelab-n--8328-10592-u--isNoSugar (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14) (case (vector-ref arg-14 0) ((1) 1)(else 0))))
(define TTImpC-45Unelab-n--8328-10593-u--isDefImp (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-15) (case (vector-ref arg-15 0) ((3) 1)(else 0))))
(define TTImpC-45Unelab-n--8214-7269-u--idxOrMaybe (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-7 arg-8) (cond ((equal? arg-7 0) (if (null? arg-8) '() (let ((e-3 (car arg-8))) (box e-3))))(else (let ((e-1 (- arg-7 1))) (if (null? arg-8) '() (let ((e-7 (cdr arg-8))) (TTImpC-45Unelab-n--8214-7269-u--idxOrMaybe arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-1 e-7))))))))
(define TTImpC-45Unelab-n--8214-7268-u--findArgPos (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-7) (case (vector-ref arg-7 0) ((0) (let ((e-2 (vector-ref arg-7 2))) (box e-2)))(else '()))))
(define TTImpC-45Unelab-n--8214-7271-u--embedVar (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-8) (let ((eff-0 arg-8)) eff-0)))
(define TTImpC-45Unelab-n--8214-7273-u--argVars (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (case (vector-ref arg-7 0) ((5) (let ((e-3 (vector-ref arg-7 3))) (let ((e-4 (vector-ref arg-7 4))) (PreludeC-45TypesC-45List-tailRecAppend (TTImpC-45Unelab-n--8214-7273-u--argVars arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-3) (TTImpC-45Unelab-n--8214-7273-u--argVars arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-4))))) ((0) (let ((e-9 (vector-ref arg-7 3))) (cons e-9 '())))(else '()))))
(define TTImpC-45Unelab-n--8238-8368-u--apply (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (if (null? arg-6) arg-5 (let ((e-2 (car arg-6))) (let ((e-3 (cdr arg-6))) (case (vector-ref e-2 0) ((0) (let ((e-5 (vector-ref e-2 1))) (let ((e-6 (vector-ref e-2 2))) (TTImpC-45Unelab-n--8238-8368-u--apply arg-1 arg-2 arg-3 arg-4 (vector 8 e-5 arg-5 e-6) e-3)))) ((1) (let ((e-8 (vector-ref e-2 1))) (let ((e-9 (vector-ref e-2 2))) (TTImpC-45Unelab-n--8238-8368-u--apply arg-1 arg-2 arg-3 arg-4 (vector 9 e-8 arg-5 e-9) e-3)))) (else (let ((e-11 (vector-ref e-2 1))) (let ((e-12 (vector-ref e-2 2))) (let ((e-13 (vector-ref e-2 3))) (TTImpC-45Unelab-n--8238-8368-u--apply arg-1 arg-2 arg-3 arg-4 (vector 10 e-11 arg-5 e-12 e-13) e-3)))))))))))
(define TTImpC-45Unelab-used (lambda (arg-1 arg-2) (case (vector-ref arg-2 0) ((0) (let ((e-4 (vector-ref arg-2 3))) (or (and (= arg-1 e-4) 1) 0))) ((3) (let ((e-7 (vector-ref arg-2 1))) (let ((e-8 (vector-ref arg-2 2))) (let ((e-9 (vector-ref arg-2 3))) (let ((e-10 (vector-ref arg-2 4))) (let ((sc1 (TTImpC-45Unelab-n--8017-6939-u--usedBinder e-7 e-8 e-10 e-9 arg-1 e-9))) (cond ((equal? sc1 1) 1) (else (TTImpC-45Unelab-used (+ arg-1 1) e-10))))))))) ((2) (let ((e-15 (vector-ref arg-2 4))) (PreludeC-45Interfaces-any (csegen-16) (lambda (eta-0) (TTImpC-45Unelab-used arg-1 eta-0)) e-15))) ((4) (let ((e-18 (vector-ref arg-2 2))) (let ((e-19 (vector-ref arg-2 3))) (let ((sc1 (TTImpC-45Unelab-used arg-1 e-18))) (cond ((equal? sc1 1) 1) (else (TTImpC-45Unelab-used arg-1 e-19))))))) ((5) (let ((e-24 (vector-ref arg-2 4))) (TTImpC-45Unelab-used arg-1 e-24))) ((6) (let ((e-28 (vector-ref arg-2 3))) (TTImpC-45Unelab-used arg-1 e-28))) ((7) (let ((e-33 (vector-ref arg-2 4))) (TTImpC-45Unelab-used arg-1 e-33))) ((8) (let ((e-37 (vector-ref arg-2 3))) (TTImpC-45Unelab-used arg-1 e-37)))(else 0))))
(define TTImpC-45Unelab-unelabUniqueBinders (lambda (arg-0 arg-1 arg-2 arg-3) (let ((eff-0 (TTImpC-45Unelab-unelabTy arg-0 arg-1 (vector 1 1) '() arg-2 arg-3))) (PrimIO-io_bind eff-0 (csegen-2792)))))
(define TTImpC-45Unelab-unelabTyC-39 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (case (vector-ref arg-5 0) ((0) (let ((e-2 (vector-ref arg-5 1))) (let ((e-4 (vector-ref arg-5 3))) (let ((u--nm (CoreC-45TT-nameAt arg-0 e-4))) (let ((eff-0 (CoreC-45ContextC-45Log-log arg-1 "unelab.case" 20 (lambda () (string-append "Found local name: " (CoreC-45Name-u--show_Show_Name u--nm)))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((eff-1 (let ((u--ty (CoreC-45NormaliseC-45Eval-gnf arg-0 arg-4 (CoreC-45TT-binderType (CoreC-45Env-getBinder (csegen-1260) arg-0 e-4 arg-4))))) (lambda (eta-0) (vector 1 (cons (vector 0 e-2 (vector (box (vector 0 )) u--nm u--nm)) u--ty)))))) eff-1)))))))))) ((1) (let ((e-7 (vector-ref arg-5 1))) (let ((e-8 (vector-ref arg-5 2))) (let ((e-9 (vector-ref arg-5 3))) (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-lookupTyExact e-9 (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-6) (lambda (clam-0) (case (vector-ref arg-2 0) ((2) (vector 1 (cons (vector 32 e-7 1) (CoreC-45NormaliseC-45Eval-gErased e-7))))(else (vector 1 (cons (vector 0 e-7 (vector (box e-8) e-9 e-9)) (CoreC-45NormaliseC-45Eval-gErased e-7)))))) (let ((e-1 (unbox e-6))) (let ((eff-2 (CoreC-45Context-getFullName arg-1 e-9))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-10 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (case (vector-ref arg-2 0) ((1) (lambda (eta-0) (vector 1 e-10)))(else (CoreC-45Context-aliasName arg-1 e-10))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45ContextC-45Log-log arg-1 ((csegen-0) "unelab.var") 50 (lambda () (DataC-45String-unwords (cons ((csegen-0) "Found name:") (cons (CoreC-45Name-u--show_Show_Name e-9) (cons (string-append " (aka " (string-append (CoreC-45Name-u--show_Show_Name e-10) ")")) (cons ((csegen-0) "sugared to") (cons (CoreC-45Name-u--show_Show_Name e-11) '())))))))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-5 (lambda (eta-0) (vector 1 (cons (vector 0 e-7 (vector (box e-8) e-10 e-11)) (CoreC-45NormaliseC-45Eval-gnf arg-0 arg-4 (CoreC-45TT-embed e-1))))))) eff-5)))))))) eff-4))))))))) eff-3))))))))))) eff-2))))))))) eff-1))))))))))) ((2) (let ((e-11 (vector-ref arg-5 1))) (let ((e-12 (vector-ref arg-5 2))) (let ((e-13 (vector-ref arg-5 3))) (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--mkn (CoreC-45Name-nameRoot e-12))) (let ((eff-1 (CoreC-45Context-lookupTyExact (vector 8 e-13) (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (clam-0) (if (null? e-6) (case (vector-ref arg-2 0) ((2) (vector 1 (cons (vector 32 e-11 1) (CoreC-45NormaliseC-45Eval-gErased e-11))))(else (vector 1 (cons (vector 30 e-11 u--mkn) (CoreC-45NormaliseC-45Eval-gErased e-11))))) (let ((e-1 (unbox e-6))) (vector 1 (cons (vector 30 e-11 u--mkn) (CoreC-45NormaliseC-45Eval-gnf arg-0 arg-4 (CoreC-45TT-embed e-1))))))))) eff-2)))))))))) eff-1))))))))))) ((3) (let ((e-16 (vector-ref arg-5 1))) (let ((e-17 (vector-ref arg-5 2))) (let ((e-18 (vector-ref arg-5 3))) (let ((e-19 (vector-ref arg-5 4))) (let ((eff-0 (TTImpC-45Unelab-unelabTy (cons e-17 arg-0) arg-1 arg-2 arg-3 (cons e-18 arg-4) e-19))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((e-2 (car e-5))) (let ((e-3 (cdr e-5))) (case (vector-ref arg-2 0) ((1) (let ((e-0 (vector-ref arg-2 1))) (cond ((equal? e-0 1) (let ((u--xC-39 (TTImpC-45Unelab-n--8279-8975-u--uniqueLocal arg-0 e-17 e-19 e-18 e-16 arg-4 arg-3 arg-2 arg-1 arg-0 e-17))) (let ((eff-1 (CoreC-45NormaliseC-45Eval-getTerm e-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (TTImpC-45Unelab-unelabBinder arg-0 arg-1 arg-2 arg-3 e-16 arg-4 u--xC-39 e-18 (CoreC-45TT-renameVars 1 e-19) e-2 (CoreC-45TT-renameVars 1 e-6)))) eff-2)))))))))(else (let ((eff-1 (CoreC-45NormaliseC-45Eval-getTerm e-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (TTImpC-45Unelab-unelabBinder arg-0 arg-1 arg-2 arg-3 e-16 arg-4 e-17 e-18 e-19 e-2 e-6))) eff-2)))))))))))(else (let ((eff-1 (CoreC-45NormaliseC-45Eval-getTerm e-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (TTImpC-45Unelab-unelabBinder arg-0 arg-1 arg-2 arg-3 e-16 arg-4 e-17 e-18 e-19 e-2 e-6))) eff-2))))))))))))) eff-1)))))))))))) ((4) (let ((e-21 (vector-ref arg-5 1))) (let ((e-22 (vector-ref arg-5 2))) (let ((e-23 (vector-ref arg-5 3))) (let ((eff-0 (TTImpC-45Unelab-unelabTy arg-0 arg-1 arg-2 arg-3 arg-4 e-22))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--tm (vector 4 e-21 e-22 e-23))) (let ((e-2 (car e-5))) (let ((e-3 (cdr e-5))) (let ((eff-1 (TTImpC-45Unelab-unelabTy arg-0 arg-1 arg-2 arg-3 arg-4 e-23))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((_-0 (cons e-2 e-3))) (let ((e-7 (car e-6))) (let ((e-4 (cdr e-6))) (let ((eff-2 (CoreC-45NormaliseC-45Eval-getNF arg-1 e-3))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (let ((eff-3 arg-1)) (PrimIO-io_bind (let ((eff-4 eff-3)) (lambda (eta-0) (unbox eff-4))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-9 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (let ((_-1 (cons e-7 e-4))) (case (vector-ref arg-2 0) ((1) (lambda (eta-0) (vector 1 '()))) ((2) (lambda (eta-0) (vector 1 '())))(else (TTImpC-45Unelab-case--caseC-32blockC-32inC-32caseC-32blockC-32inC-32caseC-32blockC-32inC-32unelabTyC-39-9417 arg-0 e-23 e-22 e-21 u--tm arg-4 arg-3 arg-2 arg-1 e-2 e-3 _-0 e-7 e-4 _-1 e-8 e-9 (CoreC-45TT-getFnArgs u--tm))))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-10 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-4 1))) (let ((eff-5 (if (null? e-10) (case (vector-ref e-8 0) ((0) (let ((e-13 (vector-ref e-8 2))) (let ((e-12 (vector-ref e-8 3))) (let ((e-11 (vector-ref e-8 4))) (case (vector-ref e-12 0) ((2) (let ((e-15 (vector-ref e-12 3))) (case (vector-ref e-15 0) ((1) (let ((eff-5 ((e-11 e-9) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) arg-4 e-23)))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-18 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-18)))) (else (let ((e-18 (vector-ref lcase-5 1))) (let ((eff-6 (lambda (eta-0) (vector 1 (cons (vector 8 e-21 e-2 e-7) (CoreC-45Normalise-glueBack arg-1 arg-0 e-9 arg-4 e-18)))))) eff-6))))))))(else (let ((eff-5 ((e-11 e-9) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) arg-4 e-23)))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-18 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-18)))) (else (let ((e-18 (vector-ref lcase-5 1))) (let ((eff-6 (lambda (eta-0) (vector 1 (cons (vector 10 e-21 e-2 e-13 e-7) (CoreC-45Normalise-glueBack arg-1 arg-0 e-9 arg-4 e-18)))))) eff-6)))))))))))(else (lambda (eta-0) (vector 1 (cons (vector 8 e-21 e-2 e-7) (CoreC-45NormaliseC-45Eval-gErased e-21))))))))))(else (lambda (eta-0) (vector 1 (cons (vector 8 e-21 e-2 e-7) (CoreC-45NormaliseC-45Eval-gErased e-21)))))) (let ((e-11 (unbox e-10))) (lambda (eta-0) (vector 1 (cons e-11 (CoreC-45NormaliseC-45Eval-gErased e-21)))))))) eff-5))))))))) eff-4))))))))) eff-3)))))))))))) eff-2)))))))))))) eff-1))))))))))) ((5) (let ((e-25 (vector-ref arg-5 1))) (let ((e-26 (vector-ref arg-5 2))) (let ((e-27 (vector-ref arg-5 3))) (let ((e-28 (vector-ref arg-5 4))) (let ((eff-0 (TTImpC-45Unelab-unelabTyC-39 arg-0 arg-1 arg-2 arg-3 arg-4 e-27))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((e-2 (car e-5))) (let ((eff-1 (TTImpC-45Unelab-unelabTyC-39 arg-0 arg-1 arg-2 arg-3 arg-4 e-28))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((e-7 (car e-6))) (let ((e-4 (cdr e-6))) (lambda (clam-1) (case (vector-ref e-2 0) ((0) (let ((e-8 (vector-ref e-2 2))) (case (vector-ref arg-2 0) ((1) (vector 1 (cons (vector 18 e-25 (CoreC-45TT-getLoc e-27) e-26 (let ((e-9 (vector-ref e-8 2))) e-9) e-7) e-4)))(else (vector 1 (cons e-7 e-4))))))(else (vector 1 (cons e-7 e-4))))))))) eff-2)))))))))) eff-1)))))))))))) ((6) (let ((e-30 (vector-ref arg-5 1))) (let ((e-31 (vector-ref arg-5 2))) (let ((e-32 (vector-ref arg-5 3))) (let ((eff-0 (TTImpC-45Unelab-unelabTyC-39 arg-0 arg-1 arg-2 arg-3 arg-4 e-32))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((e-2 (car e-5))) (let ((eff-1 (let ((eff-1 arg-1)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (unbox eff-2))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-2 (lambda (eta-0) (vector 1 (cons (vector 20 e-30 e-31 e-2) (CoreC-45NormaliseC-45Eval-gErased e-30)))))) eff-2))))))))) eff-1))))))))))) ((7) (let ((e-34 (vector-ref arg-5 1))) (let ((e-37 (vector-ref arg-5 4))) (let ((eff-0 (TTImpC-45Unelab-unelabTyC-39 arg-0 arg-1 arg-2 arg-3 arg-4 e-37))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((e-2 (car e-5))) (let ((eff-1 (let ((eff-1 arg-1)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (unbox eff-2))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-2 (lambda (eta-0) (vector 1 (cons (vector 21 e-34 e-2) (CoreC-45NormaliseC-45Eval-gErased e-34)))))) eff-2))))))))) eff-1)))))))))) ((8) (let ((e-39 (vector-ref arg-5 1))) (let ((e-41 (vector-ref arg-5 3))) (let ((eff-0 (TTImpC-45Unelab-unelabTyC-39 arg-0 arg-1 arg-2 arg-3 arg-4 e-41))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((e-2 (car e-5))) (let ((eff-1 (let ((eff-1 arg-1)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (unbox eff-2))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-2 (lambda (eta-0) (vector 1 (cons (vector 22 e-39 e-2) (CoreC-45NormaliseC-45Eval-gErased e-39)))))) eff-2))))))))) eff-1)))))))))) ((9) (let ((e-43 (vector-ref arg-5 1))) (let ((e-44 (vector-ref arg-5 2))) (lambda (eta-0) (vector 1 (cons (vector 28 e-43 e-44) (CoreC-45NormaliseC-45Eval-gErased e-43))))))) ((10) (let ((e-46 (vector-ref arg-5 1))) (let ((e-47 (vector-ref arg-5 2))) (case (vector-ref e-47 0) ((2) (let ((e-52 (vector-ref e-47 1))) (TTImpC-45Unelab-unelabTyC-39 arg-0 arg-1 arg-2 arg-3 arg-4 e-52)))(else (lambda (eta-0) (vector 1 (cons (vector 32 e-46 1) (CoreC-45NormaliseC-45Eval-gErased e-46))))))))) (else (let ((e-49 (vector-ref arg-5 1))) (lambda (eta-0) (vector 1 (cons (vector 29 e-49) (CoreC-45NormaliseC-45Eval-gType e-49 (vector 2 "top" 0))))))))))
(define TTImpC-45Unelab-unelabTy (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (let ((eff-0 (TTImpC-45Unelab-unelabTyC-39 arg-0 arg-1 arg-2 arg-3 arg-4 arg-5))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45Unelab-dropParams arg-1 arg-3 e-5))) eff-1)))))))))
(define TTImpC-45Unelab-unelabPi (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (case (vector-ref arg-5 0) ((1) (lambda (eta-0) (vector 1 (vector 1 )))) ((0) (lambda (eta-0) (vector 1 (vector 0 )))) ((2) (lambda (eta-0) (vector 1 (vector 2 )))) (else (let ((e-4 (vector-ref arg-5 1))) (let ((eff-0 (TTImpC-45Unelab-unelabTy arg-0 arg-1 arg-2 arg-3 arg-4 e-4))) (PrimIO-io_bind eff-0 (csegen-2796))))))))
(define TTImpC-45Unelab-unelabNoSugar (lambda (arg-0 arg-1 arg-2 arg-3) (let ((eff-0 (TTImpC-45Unelab-unelabTy arg-0 arg-1 (vector 1 0) '() arg-2 arg-3))) (PrimIO-io_bind eff-0 (csegen-2792)))))
(define TTImpC-45Unelab-unelabNoPatvars (lambda (arg-0 arg-1 arg-2 arg-3) (let ((eff-0 (TTImpC-45Unelab-unelabTy arg-0 arg-1 (vector 2 ) '() arg-2 arg-3))) (PrimIO-io_bind eff-0 (csegen-2792)))))
(define TTImpC-45Unelab-unelabNest (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (case (vector-ref arg-4 0) ((2) (let ((e-1 (vector-ref arg-4 1))) (let ((e-2 (vector-ref arg-4 2))) (let ((e-3 (vector-ref arg-4 3))) (let ((e-4 (vector-ref arg-4 4))) (let ((u--mkn (string-append (CoreC-45Name-nameRoot e-2) (TTImpC-45Unelab-n--12985-11242-u--showScope arg-0 e-4 e-3 e-2 e-1 arg-3 arg-2 arg-1 e-4)))) (lambda (eta-0) (vector 1 (vector 30 e-1 u--mkn)))))))))(else (let ((eff-0 (TTImpC-45Unelab-unelabTy arg-0 arg-1 (vector 0 ) arg-2 arg-3 arg-4))) (PrimIO-io_bind eff-0 (csegen-2792)))))))
(define TTImpC-45Unelab-unelabCase (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-lookupCtxtExact arg-4 (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-6) (lambda (eta-0) (vector 1 '())) (let ((e-1 (unbox e-6))) (let ((_-0 (box e-1))) (TTImpC-45Unelab-case--caseC-32blockC-32inC-32unelabCase-8147 arg-0 arg-5 arg-4 arg-3 arg-2 arg-1 e-5 e-1 _-0 (let ((e-17 (vector-ref e-1 17))) e-17))))))) eff-2))))))))) eff-1)))))))))
(define TTImpC-45Unelab-unelabBinder (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10) (case (vector-ref arg-7 0) ((0) (let ((e-1 (vector-ref arg-7 1))) (let ((e-2 (vector-ref arg-7 2))) (let ((e-3 (vector-ref arg-7 3))) (let ((e-4 (vector-ref arg-7 4))) (let ((eff-0 (TTImpC-45Unelab-unelabTy arg-0 arg-1 arg-2 arg-3 arg-5 e-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((e-7 (car e-5))) (let ((eff-1 (TTImpC-45Unelab-unelabPi arg-0 arg-1 arg-2 arg-3 arg-5 e-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-8 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (cons (vector 2 arg-4 e-2 e-8 (box arg-6) e-7 arg-9) (CoreC-45NormaliseC-45Eval-gnf arg-0 arg-5 (vector 3 arg-4 arg-6 (vector 2 e-1 e-2 e-3 e-4) arg-10))))))) eff-2)))))))))) eff-1)))))))))))) ((1) (let ((e-6 (vector-ref arg-7 1))) (let ((e-7 (vector-ref arg-7 2))) (let ((e-8 (vector-ref arg-7 3))) (let ((e-9 (vector-ref arg-7 4))) (let ((eff-0 (TTImpC-45Unelab-unelabTy arg-0 arg-1 arg-2 arg-3 arg-5 e-8))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((e-2 (car e-5))) (let ((eff-1 (TTImpC-45Unelab-unelabTy arg-0 arg-1 arg-2 arg-3 arg-5 e-9))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-10 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (clam-0) (let ((e-11 (car e-10))) (vector 1 (cons (vector 3 arg-4 (vector 2 ) e-7 arg-6 e-11 e-2 arg-9) (CoreC-45NormaliseC-45Eval-gnf arg-0 arg-5 (vector 3 arg-4 arg-6 (vector 1 e-6 e-7 e-8 e-9) arg-10)))))))) eff-2)))))))))) eff-1)))))))))))) ((2) (let ((e-11 (vector-ref arg-7 1))) (let ((e-12 (vector-ref arg-7 2))) (let ((e-13 (vector-ref arg-7 3))) (let ((e-14 (vector-ref arg-7 4))) (let ((eff-0 (TTImpC-45Unelab-unelabTy arg-0 arg-1 arg-2 arg-3 arg-5 e-14))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((e-2 (car e-5))) (let ((eff-1 (TTImpC-45Unelab-unelabPi arg-0 arg-1 arg-2 arg-3 arg-5 e-13))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((u--nm (let ((sc4 (let ((sc5 (TTImpC-45Unelab-used 0 arg-8))) (cond ((equal? sc5 1) 1) (else (TTImpC-45Unelab-n--8328-10592-u--isNoSugar arg-0 e-11 e-14 e-13 e-12 arg-6 arg-10 arg-9 arg-8 arg-5 arg-4 arg-3 arg-2 arg-1 arg-2)))))) (cond ((equal? sc4 1) (box arg-6)) (else (let ((sc5 (let ((sc6 (AlgebraC-45ZeroOneOmega-u--C-47C-61_Eq_ZeroOneOmega e-12 (AlgebraC-45ZeroOneOmega-u--top_Top_ZeroOneOmega)))) (cond ((equal? sc6 1) 1) (else (TTImpC-45Unelab-n--8328-10593-u--isDefImp arg-0 e-11 e-14 e-13 e-12 arg-6 arg-10 arg-9 arg-8 arg-5 arg-4 arg-3 arg-2 arg-1 e-13)))))) (cond ((equal? sc5 1) (box (vector 1 (vector 2 )))) (else '())))))))) (lambda (eta-0) (vector 1 (cons (vector 1 arg-4 e-12 e-6 u--nm e-2 arg-9) (CoreC-45NormaliseC-45Eval-gType arg-4 (vector 2 "top" 0)))))))) eff-2)))))))))) eff-1)))))))))))) ((3) (let ((e-16 (vector-ref arg-7 1))) (let ((e-17 (vector-ref arg-7 2))) (let ((e-19 (vector-ref arg-7 4))) (let ((eff-0 (TTImpC-45Unelab-unelabTy arg-0 arg-1 arg-2 arg-3 arg-5 e-19))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (clam-1) (vector 1 (cons arg-9 (CoreC-45NormaliseC-45Eval-gnf arg-0 arg-5 (vector 3 arg-4 arg-6 (vector 5 e-16 e-17 e-19) arg-10))))))) eff-1))))))))))) ((4) (let ((e-21 (vector-ref arg-7 1))) (let ((e-22 (vector-ref arg-7 2))) (let ((e-23 (vector-ref arg-7 3))) (let ((e-24 (vector-ref arg-7 4))) (let ((eff-0 (TTImpC-45Unelab-unelabTy arg-0 arg-1 arg-2 arg-3 arg-5 e-23))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((e-2 (car e-5))) (let ((eff-1 (TTImpC-45Unelab-unelabTy arg-0 arg-1 arg-2 arg-3 arg-5 e-24))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (clam-2) (let ((e-7 (car e-6))) (vector 1 (cons (vector 3 arg-4 (vector 2 ) e-22 arg-6 e-7 e-2 arg-9) (CoreC-45NormaliseC-45Eval-gnf arg-0 arg-5 (vector 3 arg-4 arg-6 (vector 4 e-21 e-22 e-23 e-24) arg-10)))))))) eff-2)))))))))) eff-1)))))))))))) (else (let ((e-28 (vector-ref arg-7 3))) (let ((eff-0 (TTImpC-45Unelab-unelabTy arg-0 arg-1 arg-2 arg-3 arg-5 e-28))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (clam-3) (vector 1 (cons arg-9 (CoreC-45NormaliseC-45Eval-gType arg-4 (vector 2 "top" 0))))))) eff-1))))))))))))
(define TTImpC-45Unelab-unelab (lambda (arg-0 arg-1 ext-0 ext-1) (TTImpC-45Unelab-unelabNest arg-0 arg-1 '() ext-0 ext-1)))
(define TTImpC-45Unelab-dropParams (lambda (arg-1 arg-2 arg-3) (let ((e-2 (car arg-3))) (let ((e-3 (cdr arg-3))) (TTImpC-45Unelab-case--dropParams-8402 e-2 e-3 arg-2 arg-1 (TTImpC-45TTImp-getFnArgs e-2 '()))))))
(define TTImpC-45ProcessDecls-n--14793-13341-u--bindNames (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9) (case (vector-ref arg-9 0) ((0) (let ((e-1 (vector-ref arg-9 1))) (let ((e-2 (vector-ref arg-9 2))) (let ((e-3 (vector-ref arg-9 3))) (let ((e-4 (vector-ref arg-9 4))) (let ((e-5 (vector-ref arg-9 5))) (let ((e-12 (vector-ref e-5 0))) (let ((e-13 (vector-ref e-5 1))) (let ((e-14 (vector-ref e-5 2))) (let ((e-15 (vector-ref e-5 3))) (let ((eff-0 (TTImpC-45BindImplicits-bindTypeNames arg-8 e-1 '() arg-1 e-15))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 0 e-1 e-2 e-3 e-4 (vector e-12 e-13 e-14 e-6)))))) eff-1))))))))))))))))) ((1) (let ((e-7 (vector-ref arg-9 1))) (let ((e-8 (vector-ref arg-9 2))) (let ((e-9 (vector-ref arg-9 3))) (let ((e-10 (vector-ref arg-9 4))) (let ((eff-0 (TTImpC-45ProcessDecls-n--14793-13340-u--bindDataNames arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 e-10))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 1 e-7 e-8 e-9 e-5))))) eff-1))))))))))))(else (lambda (eta-0) (vector 1 arg-9))))))
(define TTImpC-45ProcessDecls-n--14793-13340-u--bindDataNames (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9) (case (vector-ref arg-9 0) ((0) (let ((e-1 (vector-ref arg-9 1))) (let ((e-2 (vector-ref arg-9 2))) (let ((e-3 (vector-ref arg-9 3))) (let ((e-4 (vector-ref arg-9 4))) (let ((e-5 (vector-ref arg-9 5))) (let ((eff-0 (TTImpC-45BindImplicits-bindTypeNames arg-8 e-1 '() arg-1 e-3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Core-traverseC-39 (lambda (eta-0) (TTImpC-45ProcessDecls-n--14793-13339-u--bindConNames arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 eta-0)) e-5 '()))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 0 e-1 e-2 e-6 e-4 e-7))))) eff-2))))))))) eff-1))))))))))))) (else (let ((e-7 (vector-ref arg-9 1))) (let ((e-8 (vector-ref arg-9 2))) (let ((e-9 (vector-ref arg-9 3))) (let ((eff-0 (TTImpC-45BindImplicits-bindTypeNames arg-8 e-7 '() arg-1 e-9))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 1 e-7 e-8 e-5))))) eff-1))))))))))))))
(define TTImpC-45ProcessDecls-n--14793-13339-u--bindConNames (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9) (let ((e-1 (vector-ref arg-9 0))) (let ((e-2 (vector-ref arg-9 1))) (let ((e-3 (vector-ref arg-9 2))) (let ((e-4 (vector-ref arg-9 3))) (let ((eff-0 (TTImpC-45BindImplicits-bindTypeNames arg-8 e-1 '() arg-1 e-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector e-1 e-2 e-3 e-5))))) eff-1)))))))))))))
(define TTImpC-45ProcessDecls-processTTImpFile (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (let ((eff-0 (CoreC-45Directory-ctxtPathToNS arg-0 arg-5))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45ContextC-45Log-logTime arg-0 0 (lambda () "Parsing") (PrimIO-io_bind (ParserC-45Source-parseFile arg-5 (vector 0 e-5) (vector 9 0 (TTImpC-45Parser-prog (vector 0 e-5)) (lambda () (lambda (u--decls) (vector 12 0 0 (ParserC-45RuleC-45Source-eoi) (vector 0 u--decls)))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (case (vector-ref e-6 0) ((1) (let ((e-2 (vector-ref e-6 1))) (let ((e-8 (car e-2))) (let ((e-9 (cdr e-2))) (let ((e-13 (cdr e-9))) (let ((eff-2 (CoreC-45Core-traverse_ (lambda (eta-0) (CoreC-45Context-recordWarning arg-0 eta-0)) e-8))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-3 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-3 (CoreC-45ContextC-45Log-logTime arg-0 0 (lambda () ((csegen-0) "Elaboration")) (CoreC-45Core-u--catch_Catchable_Core_Error (let ((eff-3 (let ((eff-3 (TTImpC-45ProcessDecls-processTTImpDecls '() arg-0 arg-1 arg-2 arg-3 arg-4 '() '() e-13))) (((csegen-50) ((let ((eff-4 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-3 (vector-ref eta-3 1))) (vector 0 e-3))) (else (let ((e-10 (vector-ref eta-3 1))) (vector 1 (eta-2 e-10))))))))))) (lambda (arg-6) (lambda (arg-7) ((((eff-4 'erased) 'erased) arg-6) arg-7)))) (lambda (_-8679) (vector 0 )))) eff-3)))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-3 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-4 (let ((eff-4 (CoreC-45UnifyState-checkDelayedHoles arg-2 arg-0))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-3 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (clam-0) (if (null? e-11) (vector 1 1) (let ((e-3 (unbox e-11))) (CoreC-45Core-u--throw_Catchable_Core_Error e-3 clam-0)))))) eff-5))))))))) eff-4)))))) (lambda (u--err) (let ((eff-3 (let ((eff-3 (PrimIO-io_bind (PreludeC-45IO-printLn (csegen-2412) u--err) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (((csegen-50) ((let ((eff-4 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-3 (vector-ref eta-3 1))) (vector 0 e-3))) (else (let ((e-10 (vector-ref eta-3 1))) (vector 1 (eta-2 e-10))))))))))) (lambda (arg-6) (lambda (arg-7) ((((eff-4 'erased) 'erased) arg-6) arg-7)))) (lambda (_-8679) (vector 0 )))) eff-3)))) (PrimIO-io_bind eff-3 (csegen-2436)))))))) eff-3))))))))))) (else (let ((e-7 (vector-ref e-6 1))) (let ((eff-2 (PrimIO-io_bind (PreludeC-45IO-putStrLn (csegen-40) (CoreC-45Core-u--show_Show_Error e-7)) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-2 (csegen-2436)))))))) eff-2))))))))) eff-1)))))))))
(define TTImpC-45ProcessDecls-processTTImpDecls (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8) (let ((eff-0 (CoreC-45Core-traverse_ (lambda (u--d) (let ((eff-0 (TTImpC-45ProcessDecls-n--14793-13341-u--bindNames arg-8 arg-0 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 u--d))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45ElabC-45Check-processDecl arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 '() arg-6 arg-7 e-5))) eff-1)))))))) arg-8))) (PrimIO-io_bind eff-0 (csegen-2355)))))
(define TTImpC-45ProcessDecls-processFailing (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11) (let ((eff-0 (let ((eff-0 arg-3)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 arg-4)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (unbox eff-2))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (let ((eff-2 arg-2)) (PrimIO-io_bind (let ((eff-3 eff-2)) (lambda (eta-0) (unbox eff-3))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45Context-branch arg-1))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-u--catch_Catchable_Core_Error (let ((eff-4 (TTImpC-45ProcessDeclsC-45Totality-getTotalityErrors arg-1))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (let ((eff-5 (CoreC-45Core-traverse_ (lambda (eta-0) (TTImpC-45ElabC-45Check-processDecl arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 eta-0)) arg-11))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-6 (let ((eff-6 (TTImpC-45ProcessDeclsC-45Totality-getTotalityErrors arg-1))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-2 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-11 (vector-ref lcase-6 1))) (let ((eff-7 (let ((u--errs (DataC-45List-C-92C-92 (csegen-2801) e-11 e-9))) (if (null? u--errs) (lambda (eta-0) (vector 1 (box (vector 64 arg-9)))) (let ((e-1 (car u--errs))) (let ((e-2 (cdr u--errs))) (let ((errs-0 (cons e-1 e-2))) (if (null? arg-10) (lambda (eta-0) (vector 1 '())) (let ((e-3 (unbox arg-10))) (let ((eff-7 (CoreC-45ContextC-45Log-log arg-1 (csegen-2802) 10 (lambda () (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons (csegen-2803) (cons ((csegen-0) (PreludeC-45Show-u--show_Show_String e-3)) (cons (csegen-2804) (cons ((csegen-0) (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-1279) errs-0)) '()))))))))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-4 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-8 (let ((eff-8 (CoreC-45Core-anyM (lambda (eta-0) (IdrisC-45Error-checkError arg-1 arg-4 arg-5 e-3 eta-0)) errs-0))) (PrimIO-io_bind eff-8 (lambda (lcase-8) (case (vector-ref lcase-8 0) ((0) (let ((e-4 (vector-ref lcase-8 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-13 (vector-ref lcase-8 1))) (let ((eff-9 (lambda (eta-0) (vector 1 (PreludeC-45Interfaces-C-62C-62 (csegen-614) (PreludeC-45Interfaces-guard (csegen-326) (cond ((equal? e-13 1) 0) (else 1))) (lambda () (box (vector 65 arg-9 e-3 (cons e-1 e-2))))))))) eff-9))))))))) eff-8))))))))))))))) eff-7))))))))) eff-6)))))))) eff-5))))))) (lambda (u--err) (if (null? arg-10) (lambda (eta-0) (vector 1 '())) (let ((e-1 (unbox arg-10))) (let ((eff-4 (CoreC-45ContextC-45Log-log arg-1 (csegen-2802) 10 (lambda () (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons (csegen-2803) (cons ((csegen-0) (PreludeC-45Show-u--show_Show_String e-1)) (cons (csegen-2804) (cons ((csegen-0) (CoreC-45Core-u--show_Show_Error u--err)) '()))))))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-5 (let ((eff-5 (IdrisC-45Error-checkError arg-1 arg-4 arg-5 e-1 u--err))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-10 (vector-ref lcase-5 1))) (let ((eff-6 (lambda (eta-0) (vector 1 (PreludeC-45Interfaces-C-62C-62 (csegen-614) (PreludeC-45Interfaces-guard (csegen-326) (cond ((equal? e-10 1) 0) (else 1))) (lambda () (box (vector 65 arg-9 e-1 (cons u--err '()))))))))) eff-6))))))))) eff-5)))))))))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (let ((eff-5 (let ((eff-5 arg-2)) (PrimIO-io_bind (let ((eff-6 eff-5)) (lambda (eta-0) (unbox eff-6))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-10 (vector-ref lcase-5 1))) (let ((eff-6 (let ((eff-6 (let ((eff-6 arg-3)) (PrimIO-io_bind (let ((eff-7 eff-6)) (lambda (eta-0) (set-box! eff-7 e-5))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-2 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-7 (let ((eff-7 (let ((eff-7 arg-4)) (PrimIO-io_bind (let ((eff-8 eff-7)) (lambda (eta-0) (set-box! eff-8 e-6))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-2 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-8 (let ((eff-8 (let ((eff-8 arg-2)) (PrimIO-io_bind (let ((eff-9 eff-8)) (lambda (eta-0) (set-box! eff-9 (let ((e-0 (vector-ref e-7 0))) (let ((e-1 (vector-ref e-7 1))) (let ((e-2 (vector-ref e-7 2))) (let ((e-3 (vector-ref e-7 3))) (let ((e-4 (vector-ref e-7 4))) (let ((e-17 (vector-ref e-7 5))) (let ((e-16 (vector-ref e-7 6))) (vector e-0 e-1 e-2 e-3 e-4 e-17 e-16 (let ((e-20 (vector-ref e-10 7))) e-20) (let ((e-19 (vector-ref e-10 8))) e-19) (let ((e-18 (vector-ref e-10 9))) e-18)))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-8 (lambda (lcase-8) (case (vector-ref lcase-8 0) ((0) (let ((e-2 (vector-ref lcase-8 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-9 (let ((eff-9 (let ((eff-9 arg-1)) (PrimIO-io_bind (let ((eff-10 eff-9)) (lambda (eta-0) (set-box! eff-10 e-8))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-9 (lambda (lcase-9) (case (vector-ref lcase-9 0) ((0) (let ((e-2 (vector-ref lcase-9 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-10 (lambda (clam-0) (if (null? e-9) (vector 1 (vector 0 )) (let ((e-1 (unbox e-9))) (CoreC-45Core-u--throw_Catchable_Core_Error e-1 clam-0)))))) eff-10)))))))) eff-9)))))))) eff-8)))))))) eff-7)))))))) eff-6))))))))) eff-5))))))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))
(define TTImpC-45ProcessDecls-processDecls (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8) (let ((eff-0 (CoreC-45Core-traverse_ (lambda (eta-0) (TTImpC-45ElabC-45Check-processDecl arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 '() arg-6 arg-7 eta-0)) arg-8))) (PrimIO-io_bind eff-0 (csegen-2355)))))
(define TTImpC-45ElabC-45Check-processDecl (lambda (ext-0 ext-1 ext-2 ext-3 ext-4 ext-5 ext-6 ext-7 ext-8 ext-9) (TTImpC-45ProcessDecls-process ext-0 ext-1 ext-2 ext-3 ext-4 ext-5 ext-6 ext-7 ext-8 ext-9)))
(define TTImpC-45ProcessDecls-process (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9) (case (vector-ref arg-9 0) ((0) (let ((e-1 (vector-ref arg-9 1))) (let ((e-2 (vector-ref arg-9 2))) (let ((e-3 (vector-ref arg-9 3))) (let ((e-4 (vector-ref arg-9 4))) (let ((e-5 (vector-ref arg-9 5))) (TTImpC-45ProcessType-processType arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 e-1 e-2 e-3 e-4 e-5))))))) ((1) (let ((e-7 (vector-ref arg-9 1))) (let ((e-8 (vector-ref arg-9 2))) (let ((e-9 (vector-ref arg-9 3))) (let ((e-10 (vector-ref arg-9 4))) (TTImpC-45ProcessData-processData arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 e-7 e-8 e-9 e-10)))))) ((2) (let ((e-12 (vector-ref arg-9 1))) (let ((e-13 (vector-ref arg-9 2))) (let ((e-14 (vector-ref arg-9 3))) (TTImpC-45ProcessDef-processDef arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 e-12 e-13 e-14))))) ((3) (let ((e-16 (vector-ref arg-9 1))) (let ((e-17 (vector-ref arg-9 2))) (let ((e-18 (vector-ref arg-9 3))) (TTImpC-45ProcessParams-processParams arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-7 arg-8 e-16 e-17 e-18))))) ((4) (let ((e-21 (vector-ref arg-9 2))) (let ((e-22 (vector-ref arg-9 3))) (let ((e-23 (vector-ref arg-9 4))) (let ((e-24 (vector-ref arg-9 5))) (TTImpC-45ProcessRecord-processRecord arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 e-21 e-22 e-23 e-24)))))) ((5) (let ((e-26 (vector-ref arg-9 1))) (let ((e-27 (vector-ref arg-9 2))) (let ((e-28 (vector-ref arg-9 3))) (TTImpC-45ProcessDecls-processFailing arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 e-26 e-27 e-28))))) ((6) (let ((e-31 (vector-ref arg-9 2))) (let ((e-32 (vector-ref arg-9 3))) (CoreC-45Context-withExtendedNS arg-1 e-31 (CoreC-45Core-traverse_ (lambda (eta-0) (TTImpC-45ElabC-45Check-processDecl arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 eta-0)) e-32))))) ((7) (let ((e-34 (vector-ref arg-9 1))) (let ((e-35 (vector-ref arg-9 2))) (let ((e-36 (vector-ref arg-9 3))) (let ((e-37 (vector-ref arg-9 4))) (TTImpC-45ProcessTransform-processTransform arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 e-34 e-35 e-36 e-37)))))) ((8) (let ((e-39 (vector-ref arg-9 1))) (let ((e-40 (vector-ref arg-9 2))) (TTImpC-45ProcessRunElab-processRunElab arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 e-39 e-40)))) ((9) (let ((e-44 (vector-ref arg-9 3))) (((e-44 arg-0) arg-7) arg-8))) ((10) (let ((e-46 (vector-ref arg-9 1))) (CoreC-45Context-addLogLevel arg-1 (PreludeC-45Interfaces-C-60C-36C-62 (csegen-76) (lambda (eta-0) (PreludeC-45Basics-uncurry (lambda (eta-1) (lambda (eta-2) (CoreC-45OptionsC-45Log-unsafeMkLogLevel eta-1 eta-2))) eta-0)) e-46)))) (else (let ((e-48 (vector-ref arg-9 1))) (let ((e-49 (vector-ref arg-9 2))) (let ((e-50 (vector-ref arg-9 3))) (TTImpC-45ProcessBuiltin-processBuiltin arg-1 arg-7 arg-8 e-48 e-49 e-50))))))))
(define TTImpC-45ProcessDeclsC-45Totality-n--6629-12457-u--checkTotality (lambda (arg-0 arg-1 arg-2) (let ((eff-0 (let ((eff-0 (CoreC-45ContextC-45Log-logTime arg-1 3 (lambda () (string-append "Checking Termination " (CoreC-45Name-u--show_Show_Name arg-0))) (CoreC-45Termination-checkTotal arg-1 arg-2 arg-0)))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-3) (lambda (arg-4) ((((eff-1 'erased) 'erased) arg-3) arg-4)))) (lambda (_-8679) (vector 0 )))) eff-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45Context-getTotality arg-1 arg-2 arg-0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (lambda (eta-0) (TTImpC-45ProcessDeclsC-45Totality-n--6629-12456-u--checkCovering arg-0 arg-1 arg-2 (let ((e-1 (cdr e-6))) e-1) eta-0)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (PreludeC-45Types-maybe (let ((e-0 (car e-6))) (case (vector-ref e-0 0) ((2) (let ((e-2 (vector-ref e-0 1))) (lambda () (lambda (eta-0) (vector 1 (box (vector 12 arg-2 arg-0 e-2)))))))(else (lambda () (lambda (eta-0) (vector 1 '())))))) (lambda () (lambda (eta-0) (lambda (eta-1) (vector 1 (box eta-0))))) e-7))) eff-3))))))))) eff-2))))))))) eff-1))))))))
(define TTImpC-45ProcessDeclsC-45Totality-n--6629-12456-u--checkCovering (lambda (arg-0 arg-1 arg-2 arg-3 ext-0) (case (vector-ref arg-3 0) ((0) (vector 1 '()))(else (vector 1 (box (vector 11 arg-2 arg-0 arg-3)))))))
(define TTImpC-45ProcessDeclsC-45Totality-getTotalityErrors (lambda (arg-0) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Core-traverseC-39 (lambda (eta-0) (TTImpC-45ProcessDeclsC-45Totality-checkTotalityOK arg-0 eta-0)) (LibrariesC-45DataC-45NameMap-keys (let ((e-32 (vector-ref e-5 5))) e-32)) '()))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (PreludeC-45TypesC-45List-mapMaybeAppend '() (lambda (eta-1) eta-1) e-6))))) eff-2))))))))) eff-1)))))))))
(define TTImpC-45ProcessDeclsC-45Totality-checkTotalityOK (lambda (arg-0 arg-1) (case (vector-ref arg-1 0) ((0) (let ((e-1 (vector-ref arg-1 2))) (case (vector-ref e-1 0) ((2) (lambda (eta-0) (vector 1 '()))) ((6) (lambda (eta-0) (vector 1 '())))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-lookupCtxtExact arg-1 (let ((e-34 (vector-ref e-5 0))) e-34)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-6) (lambda (eta-0) (vector 1 '())) (let ((e-2 (unbox e-6))) (let ((u--fc (let ((e-26 (vector-ref e-2 0))) e-26))) (let ((eff-2 (let ((e-17 (vector-ref e-2 17))) (case (vector-ref e-17 0) ((6) (let ((eff-2 (CoreC-45Termination-checkPositive arg-0 u--fc arg-1))) (((csegen-50) ((let ((eff-3 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-35 (vector-ref eta-3 1))) (vector 0 e-35))) (else (let ((e-35 (vector-ref eta-3 1))) (vector 1 (eta-2 e-35))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-3 'erased) 'erased) arg-2) arg-3)))) (lambda (_-8679) (vector 0 )))) eff-2)))(else (lambda (eta-0) (vector 1 (vector 0 )))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-3 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-3 (let ((eff-3 (CoreC-45Context-getDefaultTotalityOption arg-0))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-3 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((u--treq (DataC-45Maybe-fromMaybe (lambda () e-8) (CoreC-45ContextC-45Context-findSetTotal (let ((e-11 (vector-ref e-2 11))) e-11))))) (let ((u--tot (let ((e-10 (vector-ref e-2 10))) e-10))) (let ((eff-4 (CoreC-45ContextC-45Log-log arg-0 "totality" 3 (lambda () (string-append (CoreC-45Name-u--show_Show_Name arg-1) (string-append (csegen-2809) (CoreC-45TT-u--show_Show_TotalReq u--treq))))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-3 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-5 (cond ((equal? u--treq 2) (lambda (eta-0) (vector 1 '()))) ((equal? u--treq 1) (lambda (eta-0) (TTImpC-45ProcessDeclsC-45Totality-n--6629-12456-u--checkCovering arg-1 arg-0 u--fc (let ((e-3 (cdr u--tot))) e-3) eta-0))) (else (TTImpC-45ProcessDeclsC-45Totality-n--6629-12457-u--checkTotality arg-1 arg-0 u--fc))))) eff-5)))))))))) eff-4))))))))) eff-3))))))))))) eff-2))))))))) eff-1)))))))))))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-lookupCtxtExact arg-1 (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-6) (lambda (eta-0) (vector 1 '())) (let ((e-1 (unbox e-6))) (let ((u--fc (let ((e-0 (vector-ref e-1 0))) e-0))) (let ((eff-2 (let ((e-17 (vector-ref e-1 17))) (case (vector-ref e-17 0) ((6) (let ((eff-2 (CoreC-45Termination-checkPositive arg-0 u--fc arg-1))) (((csegen-50) ((let ((eff-3 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-33 (vector-ref eta-3 1))) (vector 0 e-33))) (else (let ((e-33 (vector-ref eta-3 1))) (vector 1 (eta-2 e-33))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-3 'erased) 'erased) arg-2) arg-3)))) (lambda (_-8679) (vector 0 )))) eff-2)))(else (lambda (eta-0) (vector 1 (vector 0 )))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (let ((eff-3 (CoreC-45Context-getDefaultTotalityOption arg-0))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((u--treq (DataC-45Maybe-fromMaybe (lambda () e-8) (CoreC-45ContextC-45Context-findSetTotal (let ((e-11 (vector-ref e-1 11))) e-11))))) (let ((u--tot (let ((e-10 (vector-ref e-1 10))) e-10))) (let ((eff-4 (CoreC-45ContextC-45Log-log arg-0 "totality" 3 (lambda () (string-append (CoreC-45Name-u--show_Show_Name arg-1) (string-append (csegen-2809) (CoreC-45TT-u--show_Show_TotalReq u--treq))))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-5 (cond ((equal? u--treq 2) (lambda (eta-0) (vector 1 '()))) ((equal? u--treq 1) (lambda (eta-0) (TTImpC-45ProcessDeclsC-45Totality-n--6629-12456-u--checkCovering arg-1 arg-0 u--fc (let ((e-2 (cdr u--tot))) e-2) eta-0))) (else (TTImpC-45ProcessDeclsC-45Totality-n--6629-12457-u--checkTotality arg-1 arg-0 u--fc))))) eff-5)))))))))) eff-4))))))))) eff-3))))))))))) eff-2))))))))) eff-1)))))))))))
(define CoreC-45Termination-case--caseC-32blockC-32inC-32checkTotal-14216 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8) (case (vector-ref arg-8 0) ((0) (let ((eff-0 (CoreC-45Context-lookupCtxtExact arg-5 (let ((e-0 (vector-ref arg-7 0))) e-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((sc2 (PreludeC-45Interfaces-C-60C-36C-62 (csegen-76) (csegen-1591) e-5))) (if (null? sc2) (let ((eff-1 (let ((sc3 (PreludeC-45Interfaces-C-61C-60C-60 (csegen-614) (csegen-2810) e-5))) (if (null? sc3) (lambda (eta-0) (vector 1 (vector 0 ))) (let ((e-1 (unbox sc3))) (let ((eff-1 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45Context-toFullNames arg-2 (csegen-81) eta-0)) (LibrariesC-45DataC-45NameMap-keys e-1) '()))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45ContextC-45Log-log arg-2 "totality" 5 (lambda () (string-append "  Mutually defined with:" (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-100) e-6)))))) eff-2)))))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (CoreC-45Termination-checkTerminating arg-2 arg-1 arg-5))) eff-2)))))) (let ((e-1 (unbox sc2))) (case (vector-ref e-1 0) ((6) (CoreC-45Termination-checkPositive arg-2 arg-1 arg-5))(else (let ((eff-1 (let ((sc3 (PreludeC-45Interfaces-C-61C-60C-60 (csegen-614) (csegen-2810) e-5))) (if (null? sc3) (lambda (eta-0) (vector 1 (vector 0 ))) (let ((e-2 (unbox sc3))) (let ((eff-1 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45Context-toFullNames arg-2 (csegen-81) eta-0)) (LibrariesC-45DataC-45NameMap-keys e-2) '()))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-3 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45ContextC-45Log-log arg-2 "totality" 5 (lambda () (string-append "  Mutually defined with:" (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-100) e-6)))))) eff-2)))))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (CoreC-45Termination-checkTerminating arg-2 arg-1 arg-5))) eff-2))))))))))))) eff-1))))))))(else (lambda (eta-0) (vector 1 arg-8))))))
(define CoreC-45Termination-case--checkTotal-14157 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (if (null? arg-4) (CoreC-45Context-undefinedName arg-2 arg-1 arg-0) (let ((e-1 (unbox arg-4))) (let ((u--n (vector 8 e-1))) (let ((eff-0 (CoreC-45Context-getTotality arg-2 arg-1 u--n))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-2 (csegen-81) u--n))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45ContextC-45Log-log arg-2 "totality" 5 (lambda () (string-append "Checking totality: " (CoreC-45Name-u--show_Show_Name e-6)))))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (let ((eff-2 arg-2)) (PrimIO-io_bind (let ((eff-3 eff-2)) (lambda (eta-0) (unbox eff-3))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (CoreC-45Termination-case--caseC-32blockC-32inC-32checkTotal-14216 arg-0 arg-1 arg-2 arg-3 e-1 u--n e-5 e-7 (let ((e-0 (car e-5))) e-0)))) eff-3))))))))) eff-2)))))))) eff-1))))))))))))
(define CoreC-45Termination-case--checkPositive-14064 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (case (vector-ref arg-5 0) ((0) (let ((eff-0 (CoreC-45Termination-calcPositive arg-2 arg-1 arg-3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((e-2 (car e-5))) (let ((e-3 (cdr e-5))) (let ((eff-1 (CoreC-45Context-setTerminating arg-2 arg-1 arg-3 e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45Core-traverse_ (lambda (u--c) (CoreC-45Context-setTerminating arg-2 arg-1 u--c e-2)) e-3))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-3 (lambda (eta-0) (vector 1 e-2)))) eff-3)))))))) eff-2)))))))))) eff-1))))))))(else (lambda (eta-0) (vector 1 arg-5))))))
(define CoreC-45Termination-case--checkTerminating-12429 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (case (vector-ref arg-4 0) ((0) (let ((eff-0 (CoreC-45Termination-calcTerminating arg-2 arg-1 arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-setTerminating arg-2 arg-1 arg-0 e-5))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (lambda (eta-0) (vector 1 e-5)))) eff-2)))))))) eff-1))))))))(else (lambda (eta-0) (vector 1 arg-4))))))
(define CoreC-45Termination-case--asserted-9402 (lambda (arg-1 arg-2 arg-3) (if (null? arg-3) '() (let ((e-2 (car arg-3))) (let ((e-3 (cdr arg-3))) (case (vector-ref e-2 0) ((1) (let ((e-7 (vector-ref e-2 3))) (if (null? e-3) '() (let ((e-10 (cdr e-3))) (if (null? e-10) '() (let ((e-13 (cdr e-10))) (if (null? e-13) '() (let ((e-15 (car e-13))) (let ((e-16 (cdr e-13))) (if (null? e-16) '() (let ((e-19 (cdr e-16))) (if (null? e-19) (let ((sc7 (CoreC-45Name-u--C-61C-61_Eq_Name e-7 arg-2))) (cond ((equal? sc7 1) (box e-15)) (else '()))) '()))))))))))))(else '())))))))
(define CoreC-45Termination-case--smallerArg-9313 (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (if (null? arg-6) (case (vector-ref arg-2 0) ((4) (let ((e-2 (vector-ref arg-2 2))) (lambda () (CoreC-45Termination-smaller arg-5 arg-4 arg-3 e-2 arg-1))))(else (lambda () 0))) (let ((e-2 (car arg-6))) (let ((e-3 (cdr arg-6))) (case (vector-ref e-2 0) ((1) (let ((e-6 (vector-ref e-2 2))) (case (vector-ref e-6 0) ((2) (lambda () (PreludeC-45Interfaces-any (csegen-16) (lambda (eta-0) (CoreC-45Termination-smaller 1 arg-4 arg-3 arg-2 eta-0)) e-3)))(else (case (vector-ref arg-2 0) ((4) (let ((e-8 (vector-ref arg-2 2))) (lambda () (CoreC-45Termination-smaller arg-5 arg-4 arg-3 e-8 arg-1))))(else (lambda () 0)))))))(else (case (vector-ref arg-2 0) ((4) (let ((e-5 (vector-ref arg-2 2))) (lambda () (CoreC-45Termination-smaller arg-5 arg-4 arg-3 e-5 arg-1))))(else (lambda () 0))))))))))
(define CoreC-45Termination-case--caseC-32blockC-32inC-32caseC-32blockC-32inC-32findSC-8771 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11) (let ((e-2 (car arg-11))) (let ((e-3 (cdr arg-11))) (cond ((equal? e-2 3) (if (null? e-3) (let ((e-6 (car e-3))) (let ((e-7 (cdr e-3))) (case (vector-ref e-6 0) ((1) (let ((e-9 (vector-ref e-6 1))) (let ((e-10 (vector-ref e-6 2))) (let ((e-11 (vector-ref e-6 3))) (case (vector-ref e-10 0) ((1) (let ((eff-0 (let ((eff-0 (CoreC-45Context-toFullNames arg-6 (csegen-81) e-11))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45ContextC-45Log-unverifiedLogC arg-6 "totality" 50 (lambda (eta-0) (vector 1 (string-append "Looking up type of " (CoreC-45Name-u--show_Show_Name e-5))))))) eff-1))))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45Context-lookupTyExact e-11 (let ((e-0 (vector-ref arg-5 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-8 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-8) (let ((eff-2 (CoreC-45ContextC-45Log-log arg-6 "totality" 50 (lambda () (csegen-2812))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-3 (CoreC-45Termination-findSCcall arg-0 arg-6 arg-5 arg-4 1 arg-2 e-9 e-11 0 e-7))) eff-3)))))) (let ((e-1 (unbox e-8))) (let ((eff-2 (CoreC-45Normalise-getArity arg-6 '() arg-5 '() e-1))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-12 (vector-ref lcase-2 1))) (let ((eff-3 (CoreC-45Termination-findSCcall arg-0 arg-6 arg-5 arg-4 1 arg-2 e-9 e-11 e-12 e-7))) eff-3))))))))))) eff-2))))))))) eff-1)))))))(else (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45Termination-findSC arg-0 arg-6 arg-5 arg-4 1 arg-2 eta-0)) e-7 '()))) (PrimIO-io_bind eff-0 (csegen-2811)))))))))(else (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45Termination-findSC arg-0 arg-6 arg-5 arg-4 1 arg-2 eta-0)) e-7 '()))) (PrimIO-io_bind eff-0 (csegen-2811))))))) (let ((e-14 (car e-3))) (let ((e-15 (cdr e-3))) (case (vector-ref e-14 0) ((1) (let ((e-18 (vector-ref e-14 2))) (case (vector-ref e-18 0) ((2) (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45Termination-findSC arg-0 arg-6 arg-5 arg-4 3 arg-2 eta-0)) e-15 '()))) (PrimIO-io_bind eff-0 (csegen-2811))))(else (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45Termination-findSC arg-0 arg-6 arg-5 arg-4 1 arg-2 eta-0)) e-15 '()))) (PrimIO-io_bind eff-0 (csegen-2811)))))))(else (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45Termination-findSC arg-0 arg-6 arg-5 arg-4 1 arg-2 eta-0)) e-15 '()))) (PrimIO-io_bind eff-0 (csegen-2811))))))))) ((equal? e-2 2) (if (null? e-3) (let ((e-6 (car e-3))) (let ((e-7 (cdr e-3))) (case (vector-ref e-6 0) ((1) (let ((e-9 (vector-ref e-6 1))) (let ((e-10 (vector-ref e-6 2))) (let ((e-11 (vector-ref e-6 3))) (case (vector-ref e-10 0) ((1) (let ((eff-0 (let ((eff-0 (CoreC-45Context-toFullNames arg-6 (csegen-81) e-11))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45ContextC-45Log-unverifiedLogC arg-6 "totality" 50 (lambda (eta-0) (vector 1 (string-append "Looking up type of " (CoreC-45Name-u--show_Show_Name e-5))))))) eff-1))))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45Context-lookupTyExact e-11 (let ((e-0 (vector-ref arg-5 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-8 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-8) (let ((eff-2 (CoreC-45ContextC-45Log-log arg-6 "totality" 50 (lambda () (csegen-2812))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-3 (CoreC-45Termination-findSCcall arg-0 arg-6 arg-5 arg-4 1 arg-2 e-9 e-11 0 e-7))) eff-3)))))) (let ((e-1 (unbox e-8))) (let ((eff-2 (CoreC-45Normalise-getArity arg-6 '() arg-5 '() e-1))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-12 (vector-ref lcase-2 1))) (let ((eff-3 (CoreC-45Termination-findSCcall arg-0 arg-6 arg-5 arg-4 1 arg-2 e-9 e-11 e-12 e-7))) eff-3))))))))))) eff-2))))))))) eff-1)))))))(else (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45Termination-findSC arg-0 arg-6 arg-5 arg-4 1 arg-2 eta-0)) e-7 '()))) (PrimIO-io_bind eff-0 (csegen-2811)))))))))(else (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45Termination-findSC arg-0 arg-6 arg-5 arg-4 1 arg-2 eta-0)) e-7 '()))) (PrimIO-io_bind eff-0 (csegen-2811))))))) (let ((e-24 (car e-3))) (let ((e-25 (cdr e-3))) (case (vector-ref e-24 0) ((1) (let ((e-28 (vector-ref e-24 2))) (case (vector-ref e-28 0) ((2) (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45Termination-findSC arg-0 arg-6 arg-5 arg-4 2 arg-2 eta-0)) e-25 '()))) (PrimIO-io_bind eff-0 (csegen-2811))))(else (let ((e-6 (car e-3))) (let ((e-7 (cdr e-3))) (case (vector-ref e-6 0) ((1) (let ((e-9 (vector-ref e-6 1))) (let ((e-10 (vector-ref e-6 2))) (let ((e-11 (vector-ref e-6 3))) (case (vector-ref e-10 0) ((1) (let ((eff-0 (let ((eff-0 (CoreC-45Context-toFullNames arg-6 (csegen-81) e-11))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45ContextC-45Log-unverifiedLogC arg-6 "totality" 50 (lambda (eta-0) (vector 1 (string-append "Looking up type of " (CoreC-45Name-u--show_Show_Name e-5))))))) eff-1))))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45Context-lookupTyExact e-11 (let ((e-0 (vector-ref arg-5 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-8 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-8) (let ((eff-2 (CoreC-45ContextC-45Log-log arg-6 "totality" 50 (lambda () (csegen-2812))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-3 (CoreC-45Termination-findSCcall arg-0 arg-6 arg-5 arg-4 1 arg-2 e-9 e-11 0 e-7))) eff-3)))))) (let ((e-1 (unbox e-8))) (let ((eff-2 (CoreC-45Normalise-getArity arg-6 '() arg-5 '() e-1))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-12 (vector-ref lcase-2 1))) (let ((eff-3 (CoreC-45Termination-findSCcall arg-0 arg-6 arg-5 arg-4 1 arg-2 e-9 e-11 e-12 e-7))) eff-3))))))))))) eff-2))))))))) eff-1)))))))(else (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45Termination-findSC arg-0 arg-6 arg-5 arg-4 1 arg-2 eta-0)) e-7 '()))) (PrimIO-io_bind eff-0 (csegen-2811)))))))))(else (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45Termination-findSC arg-0 arg-6 arg-5 arg-4 1 arg-2 eta-0)) e-7 '()))) (PrimIO-io_bind eff-0 (csegen-2811)))))))))))(else (let ((e-6 (car e-3))) (let ((e-7 (cdr e-3))) (case (vector-ref e-6 0) ((1) (let ((e-9 (vector-ref e-6 1))) (let ((e-10 (vector-ref e-6 2))) (let ((e-11 (vector-ref e-6 3))) (case (vector-ref e-10 0) ((1) (let ((eff-0 (let ((eff-0 (CoreC-45Context-toFullNames arg-6 (csegen-81) e-11))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45ContextC-45Log-unverifiedLogC arg-6 "totality" 50 (lambda (eta-0) (vector 1 (string-append "Looking up type of " (CoreC-45Name-u--show_Show_Name e-5))))))) eff-1))))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45Context-lookupTyExact e-11 (let ((e-0 (vector-ref arg-5 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-8 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-8) (let ((eff-2 (CoreC-45ContextC-45Log-log arg-6 "totality" 50 (lambda () (csegen-2812))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-3 (CoreC-45Termination-findSCcall arg-0 arg-6 arg-5 arg-4 1 arg-2 e-9 e-11 0 e-7))) eff-3)))))) (let ((e-1 (unbox e-8))) (let ((eff-2 (CoreC-45Normalise-getArity arg-6 '() arg-5 '() e-1))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-12 (vector-ref lcase-2 1))) (let ((eff-3 (CoreC-45Termination-findSCcall arg-0 arg-6 arg-5 arg-4 1 arg-2 e-9 e-11 e-12 e-7))) eff-3))))))))))) eff-2))))))))) eff-1)))))))(else (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45Termination-findSC arg-0 arg-6 arg-5 arg-4 1 arg-2 eta-0)) e-7 '()))) (PrimIO-io_bind eff-0 (csegen-2811)))))))))(else (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45Termination-findSC arg-0 arg-6 arg-5 arg-4 1 arg-2 eta-0)) e-7 '()))) (PrimIO-io_bind eff-0 (csegen-2811))))))))))))) ((equal? e-2 0) (if (null? e-3) (let ((e-6 (car e-3))) (let ((e-7 (cdr e-3))) (case (vector-ref e-6 0) ((1) (let ((e-9 (vector-ref e-6 1))) (let ((e-10 (vector-ref e-6 2))) (let ((e-11 (vector-ref e-6 3))) (case (vector-ref e-10 0) ((1) (let ((eff-0 (let ((eff-0 (CoreC-45Context-toFullNames arg-6 (csegen-81) e-11))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45ContextC-45Log-unverifiedLogC arg-6 "totality" 50 (lambda (eta-0) (vector 1 (string-append "Looking up type of " (CoreC-45Name-u--show_Show_Name e-5))))))) eff-1))))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45Context-lookupTyExact e-11 (let ((e-0 (vector-ref arg-5 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-8 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-8) (let ((eff-2 (CoreC-45ContextC-45Log-log arg-6 "totality" 50 (lambda () (csegen-2812))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-3 (CoreC-45Termination-findSCcall arg-0 arg-6 arg-5 arg-4 1 arg-2 e-9 e-11 0 e-7))) eff-3)))))) (let ((e-1 (unbox e-8))) (let ((eff-2 (CoreC-45Normalise-getArity arg-6 '() arg-5 '() e-1))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-12 (vector-ref lcase-2 1))) (let ((eff-3 (CoreC-45Termination-findSCcall arg-0 arg-6 arg-5 arg-4 1 arg-2 e-9 e-11 e-12 e-7))) eff-3))))))))))) eff-2))))))))) eff-1)))))))(else (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45Termination-findSC arg-0 arg-6 arg-5 arg-4 1 arg-2 eta-0)) e-7 '()))) (PrimIO-io_bind eff-0 (csegen-2811)))))))))(else (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45Termination-findSC arg-0 arg-6 arg-5 arg-4 1 arg-2 eta-0)) e-7 '()))) (PrimIO-io_bind eff-0 (csegen-2811))))))) (let ((e-34 (car e-3))) (let ((e-35 (cdr e-3))) (case (vector-ref e-34 0) ((1) (let ((e-38 (vector-ref e-34 2))) (case (vector-ref e-38 0) ((2) (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45Termination-findSC arg-0 arg-6 arg-5 arg-4 2 arg-2 eta-0)) e-35 '()))) (PrimIO-io_bind eff-0 (csegen-2811))))(else (let ((e-6 (car e-3))) (let ((e-7 (cdr e-3))) (case (vector-ref e-6 0) ((1) (let ((e-9 (vector-ref e-6 1))) (let ((e-10 (vector-ref e-6 2))) (let ((e-11 (vector-ref e-6 3))) (case (vector-ref e-10 0) ((1) (let ((eff-0 (let ((eff-0 (CoreC-45Context-toFullNames arg-6 (csegen-81) e-11))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45ContextC-45Log-unverifiedLogC arg-6 "totality" 50 (lambda (eta-0) (vector 1 (string-append "Looking up type of " (CoreC-45Name-u--show_Show_Name e-5))))))) eff-1))))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45Context-lookupTyExact e-11 (let ((e-0 (vector-ref arg-5 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-8 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-8) (let ((eff-2 (CoreC-45ContextC-45Log-log arg-6 "totality" 50 (lambda () (csegen-2812))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-3 (CoreC-45Termination-findSCcall arg-0 arg-6 arg-5 arg-4 1 arg-2 e-9 e-11 0 e-7))) eff-3)))))) (let ((e-1 (unbox e-8))) (let ((eff-2 (CoreC-45Normalise-getArity arg-6 '() arg-5 '() e-1))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-12 (vector-ref lcase-2 1))) (let ((eff-3 (CoreC-45Termination-findSCcall arg-0 arg-6 arg-5 arg-4 1 arg-2 e-9 e-11 e-12 e-7))) eff-3))))))))))) eff-2))))))))) eff-1)))))))(else (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45Termination-findSC arg-0 arg-6 arg-5 arg-4 1 arg-2 eta-0)) e-7 '()))) (PrimIO-io_bind eff-0 (csegen-2811)))))))))(else (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45Termination-findSC arg-0 arg-6 arg-5 arg-4 1 arg-2 eta-0)) e-7 '()))) (PrimIO-io_bind eff-0 (csegen-2811)))))))))))(else (let ((e-6 (car e-3))) (let ((e-7 (cdr e-3))) (case (vector-ref e-6 0) ((1) (let ((e-9 (vector-ref e-6 1))) (let ((e-10 (vector-ref e-6 2))) (let ((e-11 (vector-ref e-6 3))) (case (vector-ref e-10 0) ((1) (let ((eff-0 (let ((eff-0 (CoreC-45Context-toFullNames arg-6 (csegen-81) e-11))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45ContextC-45Log-unverifiedLogC arg-6 "totality" 50 (lambda (eta-0) (vector 1 (string-append "Looking up type of " (CoreC-45Name-u--show_Show_Name e-5))))))) eff-1))))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45Context-lookupTyExact e-11 (let ((e-0 (vector-ref arg-5 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-8 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-8) (let ((eff-2 (CoreC-45ContextC-45Log-log arg-6 "totality" 50 (lambda () (csegen-2812))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-3 (CoreC-45Termination-findSCcall arg-0 arg-6 arg-5 arg-4 1 arg-2 e-9 e-11 0 e-7))) eff-3)))))) (let ((e-1 (unbox e-8))) (let ((eff-2 (CoreC-45Normalise-getArity arg-6 '() arg-5 '() e-1))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-12 (vector-ref lcase-2 1))) (let ((eff-3 (CoreC-45Termination-findSCcall arg-0 arg-6 arg-5 arg-4 1 arg-2 e-9 e-11 e-12 e-7))) eff-3))))))))))) eff-2))))))))) eff-1)))))))(else (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45Termination-findSC arg-0 arg-6 arg-5 arg-4 1 arg-2 eta-0)) e-7 '()))) (PrimIO-io_bind eff-0 (csegen-2811)))))))))(else (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45Termination-findSC arg-0 arg-6 arg-5 arg-4 1 arg-2 eta-0)) e-7 '()))) (PrimIO-io_bind eff-0 (csegen-2811)))))))))))))(else (let ((e-6 (car e-3))) (let ((e-7 (cdr e-3))) (case (vector-ref e-6 0) ((1) (let ((e-9 (vector-ref e-6 1))) (let ((e-10 (vector-ref e-6 2))) (let ((e-11 (vector-ref e-6 3))) (case (vector-ref e-10 0) ((1) (let ((eff-0 (let ((eff-0 (CoreC-45Context-toFullNames arg-6 (csegen-81) e-11))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45ContextC-45Log-unverifiedLogC arg-6 "totality" 50 (lambda (eta-0) (vector 1 (string-append "Looking up type of " (CoreC-45Name-u--show_Show_Name e-5))))))) eff-1))))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45Context-lookupTyExact e-11 (let ((e-0 (vector-ref arg-5 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-8 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-8) (let ((eff-2 (CoreC-45ContextC-45Log-log arg-6 "totality" 50 (lambda () (csegen-2812))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-3 (CoreC-45Termination-findSCcall arg-0 arg-6 arg-5 arg-4 1 arg-2 e-9 e-11 0 e-7))) eff-3)))))) (let ((e-1 (unbox e-8))) (let ((eff-2 (CoreC-45Normalise-getArity arg-6 '() arg-5 '() e-1))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-12 (vector-ref lcase-2 1))) (let ((eff-3 (CoreC-45Termination-findSCcall arg-0 arg-6 arg-5 arg-4 1 arg-2 e-9 e-11 e-12 e-7))) eff-3))))))))))) eff-2))))))))) eff-1)))))))(else (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45Termination-findSC arg-0 arg-6 arg-5 arg-4 1 arg-2 eta-0)) e-7 '()))) (PrimIO-io_bind eff-0 (csegen-2811)))))))))(else (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45Termination-findSC arg-0 arg-6 arg-5 arg-4 1 arg-2 eta-0)) e-7 '()))) (PrimIO-io_bind eff-0 (csegen-2811)))))))))))))
(define CoreC-45Termination-case--findSC-8702 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (let ((e-2 (car arg-7))) (let ((e-3 (cdr arg-7))) (let ((eff-0 (CoreC-45Termination-n--9302-8452-u--handleCase arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-2 e-3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (if (null? e-5) (let ((eff-1 (CoreC-45Termination-n--9302-8453-u--conIfGuarded arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((_-0 '())) (CoreC-45Termination-case--caseC-32blockC-32inC-32caseC-32blockC-32inC-32findSC-8771 arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-2 e-3 _-0 e-6 (cons arg-3 (cons e-6 e-3)))))) eff-2))))))) (let ((e-4 (unbox e-5))) (lambda (eta-0) (vector 1 e-4)))))) eff-1)))))))))))
(define CoreC-45Termination-case--caseC-32blockC-32inC-32totRefs-6965 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (case (vector-ref arg-7 0) ((1) (lambda (eta-0) (vector 1 arg-4))) ((0) (let ((eff-0 (let ((eff-0 (CoreC-45Context-toFullNames arg-3 (csegen-81) arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45ContextC-45Log-log arg-3 "totality" 20 (lambda () (string-append "Totality unchecked for " (CoreC-45Name-u--show_Show_Name e-5)))))) eff-1))))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (lambda (eta-0) (vector 1 arg-4)))) eff-1)))))))(else (case (vector-ref arg-4 0) ((2) (let ((e-0 (vector-ref arg-4 1))) (case (vector-ref e-0 0) ((1) (let ((e-1 (vector-ref e-0 1))) (CoreC-45Context-toFullNames arg-3 (csegen-2815) (vector 2 (vector 1 (cons arg-0 e-1))))))(else (CoreC-45Context-toFullNames arg-3 (csegen-2815) (vector 2 (vector 1 (cons arg-0 '()))))))))(else (CoreC-45Context-toFullNames arg-3 (csegen-2815) (vector 2 (vector 1 (cons arg-0 '()))))))))))
(define CoreC-45Termination-n--10910-9596-u--urhs (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10) (case (vector-ref arg-10 0) ((0) (let ((e-2 (vector-ref arg-10 1))) (vector 10 e-2 (vector 0 )))) ((1) (let ((e-7 (vector-ref arg-10 1))) (let ((e-8 (vector-ref arg-10 2))) (let ((e-9 (vector-ref arg-10 3))) (vector 1 e-7 e-8 e-9))))) ((2) (let ((e-11 (vector-ref arg-10 1))) (let ((e-12 (vector-ref arg-10 2))) (let ((e-13 (vector-ref arg-10 3))) (let ((e-14 (vector-ref arg-10 4))) (vector 2 e-11 e-12 e-13 (((csegen-25) (lambda (eta-0) (CoreC-45Termination-n--9410-9575-u--updateRHS arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-8 arg-9 eta-0))) e-14))))))) ((4) (let ((e-16 (vector-ref arg-10 1))) (let ((e-17 (vector-ref arg-10 2))) (let ((e-18 (vector-ref arg-10 3))) (vector 4 e-16 (CoreC-45Termination-n--9410-9575-u--updateRHS arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-8 arg-9 e-17) (CoreC-45Termination-n--9410-9575-u--updateRHS arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-8 arg-9 e-18)))))) ((5) (let ((e-20 (vector-ref arg-10 1))) (let ((e-21 (vector-ref arg-10 2))) (let ((e-22 (vector-ref arg-10 3))) (let ((e-23 (vector-ref arg-10 4))) (vector 5 e-20 e-21 (CoreC-45Termination-n--9410-9575-u--updateRHS arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-8 arg-9 e-22) (CoreC-45Termination-n--9410-9575-u--updateRHS arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-8 arg-9 e-23))))))) ((6) (let ((e-25 (vector-ref arg-10 1))) (let ((e-26 (vector-ref arg-10 2))) (let ((e-27 (vector-ref arg-10 3))) (vector 6 e-25 e-26 (CoreC-45Termination-n--9410-9575-u--updateRHS arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-8 arg-9 e-27)))))) ((7) (let ((e-29 (vector-ref arg-10 1))) (let ((e-30 (vector-ref arg-10 2))) (let ((e-31 (vector-ref arg-10 3))) (let ((e-32 (vector-ref arg-10 4))) (vector 7 e-29 e-30 (CoreC-45Termination-n--9410-9575-u--updateRHS arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-8 arg-9 e-31) (CoreC-45Termination-n--9410-9575-u--updateRHS arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-8 arg-9 e-32))))))) ((8) (let ((e-34 (vector-ref arg-10 1))) (let ((e-35 (vector-ref arg-10 2))) (let ((e-36 (vector-ref arg-10 3))) (vector 8 e-34 e-35 (CoreC-45Termination-n--9410-9575-u--updateRHS arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-8 arg-9 e-36)))))) ((3) (let ((e-38 (vector-ref arg-10 1))) (let ((e-39 (vector-ref arg-10 2))) (let ((e-40 (vector-ref arg-10 3))) (let ((e-41 (vector-ref arg-10 4))) (vector 3 e-38 e-39 (CoreC-45TT-u--map_Functor_Binder (lambda (eta-0) (CoreC-45Termination-n--9410-9575-u--updateRHS arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-8 arg-9 eta-0)) e-40) (CoreC-45Termination-n--9410-9575-u--updateRHS arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 (cons e-39 arg-6) (cons e-39 arg-8) (((csegen-25) (lambda (u--vt) (cons (CoreC-45TT-u--weaken_Weaken_Term (Builtin-fst u--vt)) (CoreC-45TT-u--weaken_Weaken_Term (Builtin-snd u--vt))))) arg-9) e-41))))))) ((9) (let ((e-43 (vector-ref arg-10 1))) (let ((e-44 (vector-ref arg-10 2))) (vector 9 e-43 e-44)))) ((10) (let ((e-46 (vector-ref arg-10 1))) (let ((e-47 (vector-ref arg-10 2))) (case (vector-ref e-47 0) ((1) (vector 10 e-46 (vector 1 ))) ((0) (vector 10 e-46 (vector 0 ))) (else (let ((e-54 (vector-ref e-47 1))) (vector 10 e-46 (vector 2 (CoreC-45Termination-n--9410-9575-u--updateRHS arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-8 arg-9 e-54))))))))) (else (let ((e-49 (vector-ref arg-10 1))) (let ((e-50 (vector-ref arg-10 2))) (vector 11 e-49 e-50)))))))
(define CoreC-45Termination-n--9410-9575-u--updateRHS (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9) (let ((sc0 (CoreC-45Termination-n--10910-9597-u--lookupTm arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-9 arg-7 arg-8 arg-9 arg-8))) (if (null? sc0) (CoreC-45Termination-n--10910-9596-u--urhs arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-9 arg-7 arg-8 arg-9) (let ((e-2 (unbox sc0))) e-2)))))
(define CoreC-45Termination-n--9410-9576-u--updatePat (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9) (let ((e-2 (car arg-9))) (let ((e-3 (cdr arg-9))) (cons e-2 (CoreC-45Termination-n--9410-9575-u--updateRHS arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 e-3))))))
(define CoreC-45Termination-n--12446-11008-u--updateArg (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8) (if (null? arg-8) '() (let ((e-14 (unbox arg-8))) (if (null? e-14) (cond ((equal? arg-7 2) (if (null? arg-8) (if (null? arg-8) arg-8 (let ((e-1 (unbox arg-8))) (if (null? e-1) arg-8 (let ((e-4 (car e-1))) (let ((e-5 (cdr e-1))) (cond ((equal? e-5 1) (box (cons e-4 arg-7)))(else arg-8))))))) (let ((e-7 (unbox arg-8))) (if (null? e-7) (if (null? arg-8) arg-8 (let ((e-1 (unbox arg-8))) (if (null? e-1) arg-8 (let ((e-4 (car e-1))) (let ((e-5 (cdr e-1))) (cond ((equal? e-5 1) (box (cons e-4 arg-7)))(else arg-8))))))) (let ((e-10 (car e-7))) (box (cons e-10 2)))))))(else (if (null? arg-8) arg-8 (let ((e-1 (unbox arg-8))) (if (null? e-1) arg-8 (let ((e-4 (car e-1))) (let ((e-5 (cdr e-1))) (cond ((equal? e-5 1) (box (cons e-4 arg-7)))(else arg-8))))))))) (let ((e-18 (cdr e-14))) (cond ((equal? e-18 2) arg-8)(else (cond ((equal? arg-7 2) (if (null? arg-8) (if (null? arg-8) arg-8 (let ((e-1 (unbox arg-8))) (if (null? e-1) arg-8 (let ((e-4 (car e-1))) (let ((e-5 (cdr e-1))) (cond ((equal? e-5 1) (box (cons e-4 arg-7)))(else arg-8))))))) (let ((e-7 (unbox arg-8))) (if (null? e-7) (if (null? arg-8) arg-8 (let ((e-1 (unbox arg-8))) (if (null? e-1) arg-8 (let ((e-4 (car e-1))) (let ((e-5 (cdr e-1))) (cond ((equal? e-5 1) (box (cons e-4 arg-7)))(else arg-8))))))) (let ((e-10 (car e-7))) (box (cons e-10 2)))))))(else (if (null? arg-8) arg-8 (let ((e-1 (unbox arg-8))) (if (null? e-1) arg-8 (let ((e-4 (car e-1))) (let ((e-5 (cdr e-1))) (cond ((equal? e-5 1) (box (cons e-4 arg-7)))(else arg-8)))))))))))))))))
(define CoreC-45Termination-n--14315-12820-u--splitParams (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11) (if (null? arg-11) (cons '() '()) (let ((e-2 (car arg-11))) (let ((e-3 (cdr arg-11))) (let ((u--nf (vector 3 arg-4 arg-3 arg-0 arg-1 arg-2))) (let ((sc1 (PreludeC-45Types-elem (csegen-16) (csegen-1338) arg-9 arg-10))) (cond ((equal? sc1 1) (let ((sc2 (CoreC-45Termination-n--14315-12820-u--splitParams arg-0 arg-1 arg-2 arg-3 arg-4 u--nf arg-6 arg-7 arg-8 (+ arg-9 1) arg-10 e-3))) (let ((e-5 (car sc2))) (let ((e-4 (cdr sc2))) (cons (cons e-2 e-5) e-4))))) (else (let ((sc2 (CoreC-45Termination-n--14315-12820-u--splitParams arg-0 arg-1 arg-2 arg-3 arg-4 u--nf arg-6 arg-7 arg-8 (+ arg-9 1) arg-10 e-3))) (let ((e-5 (car sc2))) (let ((e-4 (cdr sc2))) (cons e-5 (cons e-2 e-4))))))))))))))
(define CoreC-45Termination-n--12446-11009-u--mkArgs (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (if (null? arg-7) '() (let ((e-2 (car arg-7))) (let ((e-3 (cdr arg-7))) (if (null? e-2) (cons '() (CoreC-45Termination-n--12446-11009-u--mkArgs arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-3)) (let ((e-6 (unbox e-2))) (let ((e-9 (car e-6))) (let ((e-10 (cdr e-6))) (let ((sc3 (CoreC-45Termination-n--12446-11007-u--getPos arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-1 e-9))) (if (null? sc3) (cons '() (CoreC-45Termination-n--12446-11009-u--mkArgs arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-3)) (let ((e-4 (unbox sc3))) (cons (CoreC-45Termination-n--12446-11008-u--updateArg arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-10 e-4) (CoreC-45Termination-n--12446-11009-u--mkArgs arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-3))))))))))))))
(define CoreC-45Termination-n--9410-9577-u--matchArgs (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (let ((e-2 (car arg-6))) (let ((e-3 (cdr arg-6))) (let ((e-6 (car e-3))) (let ((e-7 (cdr e-3))) (let ((e-10 (car e-7))) (let ((e-11 (cdr e-7))) (let ((u--patMatch (PreludeC-45TypesC-45List-reverse (DataC-45List-u--zip_Zippable_List arg-1 (CoreC-45TT-getArgs e-10))))) (cons e-2 (cons e-6 (cons (((csegen-25) (lambda (eta-0) (CoreC-45Termination-n--9410-9576-u--updatePat arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-0 e-2 u--patMatch eta-0))) arg-2) e-11))))))))))))
(define CoreC-45Termination-n--10910-9597-u--lookupTm (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11) (if (null? arg-11) '() (case (vector-ref arg-10 0) ((5) (let ((e-13 (vector-ref arg-10 1))) (let ((e-14 (vector-ref arg-10 2))) (let ((e-16 (vector-ref arg-10 4))) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (CoreC-45Termination-n--10910-9597-u--lookupTm arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-16 arg-11) (lambda (u--tmC-39) (box (vector 5 e-13 e-14 u--tmC-39 (CoreC-45Termination-n--10910-9596-u--urhs arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-16)))))))))(else (let ((e-1 (car arg-11))) (let ((e-2 (cdr arg-11))) (let ((e-5 (car e-1))) (let ((e-6 (cdr e-1))) (case (vector-ref e-5 0) ((5) (let ((e-8 (vector-ref e-5 1))) (let ((e-9 (vector-ref e-5 2))) (let ((e-10 (vector-ref e-5 3))) (let ((e-11 (vector-ref e-5 4))) (let ((sc4 (CoreC-45TT-u--C-61C-61_Eq_C-40TermC-32C-36varsC-41 arg-10 e-10))) (cond ((equal? sc4 1) (box e-6)) (else (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (CoreC-45Termination-n--10910-9597-u--lookupTm arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (cons (cons e-11 e-6) e-2)) (lambda (u--tmC-39) (box (vector 5 e-8 e-9 (CoreC-45Termination-n--10910-9596-u--urhs arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-10) u--tmC-39))))))))))))(else (let ((sc3 (CoreC-45TT-u--C-61C-61_Eq_C-40TermC-32C-36varsC-41 arg-10 e-5))) (cond ((equal? sc3 1) (box e-6)) (else (CoreC-45Termination-n--10910-9597-u--lookupTm arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 e-2)))))))))))))))
(define CoreC-45Termination-n--9302-8452-u--handleCase (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8) (case (vector-ref arg-7 0) ((1) (let ((e-1 (vector-ref arg-7 1))) (let ((e-3 (vector-ref arg-7 3))) (let ((eff-0 (CoreC-45Context-toFullNames arg-6 (csegen-81) e-3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((sc2 (CoreC-45Termination-caseFn e-5))) (cond ((equal? sc2 1) (let ((eff-1 (CoreC-45Termination-findSCcall arg-0 arg-6 arg-5 arg-4 arg-3 arg-2 e-1 e-3 4 arg-8))) (((csegen-50) ((let ((eff-2 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-4 (vector-ref eta-3 1))) (vector 0 e-4))) (else (let ((e-6 (vector-ref eta-3 1))) (vector 1 (eta-2 e-6))))))))))) (lambda (arg-9) (lambda (arg-10) ((((eff-2 'erased) 'erased) arg-9) arg-10)))) (lambda (eta-0) (box eta-0)))) eff-1))) (else (lambda (eta-0) (vector 1 '()))))))) eff-1))))))))))(else (lambda (eta-0) (vector 1 '()))))))
(define CoreC-45Termination-n--8206-7147-u--guardedNF (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (case (vector-ref arg-6 0) ((2) (lambda (eta-0) (vector 1 1))) ((1) (let ((e-8 (vector-ref arg-6 2))) (case (vector-ref e-8 0) ((1) (let ((e-12 (vector-ref e-8 2))) (let ((eff-0 (CoreC-45Context-lookupCtxtExact e-12 (let ((e-0 (vector-ref arg-4 0))) e-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (clam-0) (if (null? e-5) (vector 1 0) (let ((e-1 (unbox e-5))) (vector 1 (PreludeC-45Types-elem (csegen-16) (csegen-1601) (vector 10 ) (let ((e-23 (vector-ref e-1 11))) e-23)))))))) eff-1)))))))))(else (lambda (eta-0) (vector 1 0))))))(else (lambda (eta-0) (vector 1 0))))))
(define CoreC-45Termination-n--8206-7149-u--guarded (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (let ((eff-0 (let ((eff-0 arg-2)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (lambda (eta-0) (CoreC-45Context-clearDefs e-5 eta-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45NormaliseC-45Eval-nf arg-2 arg-3 e-6 arg-4 arg-5))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45Termination-n--8206-7147-u--guardedNF arg-0 arg-1 arg-2 arg-3 e-5 arg-4 e-7))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (cond ((equal? e-8 1) (let ((eff-4 (CoreC-45Context-lookupCtxtExact arg-0 (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (if (null? e-9) (lambda (eta-0) (vector 1 0)) (let ((e-1 (unbox e-9))) (CoreC-45Core-allM (lambda (eta-0) (CoreC-45Termination-n--8206-7148-u--checkNotFn arg-0 arg-1 arg-2 e-5 eta-0)) (LibrariesC-45DataC-45NameMap-keys (CoreC-45ContextC-45Context-refersTo e-1))))))) eff-5)))))))) (else (lambda (eta-0) (vector 1 0)))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))
(define CoreC-45Termination-n--12446-11011-u--getWorst (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8) (if (null? arg-8) arg-7 (let ((e-2 (car arg-8))) (let ((e-3 (cdr arg-8))) (case (vector-ref e-2 0) ((1) (CoreC-45Termination-n--12446-11011-u--getWorst arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-3)) ((0) (CoreC-45Termination-n--12446-11011-u--getWorst arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 (vector 0 ) e-3))(else e-2)))))))
(define CoreC-45Termination-n--12446-11007-u--getPos (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-8 arg-9) (if (null? arg-8) '() (let ((e-2 (car arg-8))) (let ((e-3 (cdr arg-8))) (cond ((equal? arg-9 0) (box e-2))(else (let ((e-4 (- arg-9 1))) (CoreC-45Termination-n--12446-11007-u--getPos arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-3 e-4)))))))))
(define CoreC-45Termination-n--9302-8338-u--findSCbinder (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10) (case (vector-ref arg-10 0) ((1) (let ((e-3 (vector-ref arg-10 3))) (CoreC-45Termination-findSC arg-1 arg-9 arg-8 arg-7 arg-6 arg-5 e-3)))(else (lambda (eta-0) (vector 1 '()))))))
(define CoreC-45Termination-n--12446-11012-u--continue (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8) (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45Termination-n--12446-11010-u--checkCall arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-8 eta-0)) arg-7 '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (CoreC-45Termination-n--12446-11011-u--getWorst arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 (vector 1 ) e-5))))) eff-1)))))))))
(define CoreC-45Termination-n--9302-8453-u--conIfGuarded (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (case (vector-ref arg-7 0) ((1) (let ((e-1 (vector-ref arg-7 1))) (let ((e-2 (vector-ref arg-7 2))) (let ((e-3 (vector-ref arg-7 3))) (case (vector-ref e-2 0) ((1) (let ((eff-0 (let ((eff-0 arg-6)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-lookupCtxtExact e-3 (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (clam-0) (if (null? e-6) (vector 1 (vector 1 e-1 (vector 1 ) e-3)) (let ((e-4 (unbox e-6))) (let ((sc5 (PreludeC-45Types-elem (csegen-16) (csegen-1601) (vector 10 ) (let ((e-11 (vector-ref e-4 11))) e-11)))) (cond ((equal? sc5 1) (vector 1 (vector 1 e-1 (vector 2 0 0) e-3))) (else (vector 1 (vector 1 e-1 (vector 1 ) e-3)))))))))) eff-2))))))))) eff-1))))))))(else (lambda (eta-0) (vector 1 arg-7))))))))(else (lambda (eta-0) (vector 1 arg-7))))))
(define CoreC-45Termination-n--8206-7148-u--checkNotFn (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (let ((eff-0 (CoreC-45Context-lookupCtxtExact arg-4 (let ((e-0 (vector-ref arg-3 0))) e-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (if (null? e-5) (lambda (eta-0) (vector 1 0)) (let ((e-1 (unbox e-5))) (lambda (clam-0) (let ((e-17 (vector-ref e-1 17))) (case (vector-ref e-17 0) ((5) (vector 1 1))(else (vector 1 (let ((sc2 (AlgebraC-45ZeroOneOmega-u--C-61C-61_Eq_ZeroOneOmega (let ((e-38 (vector-ref e-1 7))) e-38) (csegen-54)))) (cond ((equal? sc2 1) 1) (else (PreludeC-45Types-elem (csegen-16) (csegen-1601) (vector 10 ) (let ((e-34 (vector-ref e-1 11))) e-34)))))))))))))) eff-1)))))))))
(define CoreC-45Termination-n--12446-11006-u--checkDesc (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8) (if (null? arg-7) (vector 2 (vector 2 (PreludeC-45TypesC-45List-reverse ((csegen-101) arg-8)))) (let ((e-2 (car arg-7))) (let ((e-3 (cdr arg-7))) (cond ((equal? e-2 0) (vector 1 ))(else (CoreC-45Termination-n--12446-11006-u--checkDesc arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-3 arg-8))))))))
(define CoreC-45Termination-n--12446-11010-u--checkCall (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8) (let ((eff-0 (CoreC-45Context-lookupCtxtExact (let ((e-0 (car arg-8))) e-0) (let ((e-0 (vector-ref arg-3 0))) e-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (if (null? e-5) (lambda (eta-0) (vector 1 (vector 1 ))) (let ((e-1 (unbox e-5))) (let ((e-10 (vector-ref e-1 10))) (let ((e-25 (car e-10))) (case (vector-ref e-25 0) ((0) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-5 (csegen-81) (let ((e-27 (car arg-8))) e-27)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-26 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-26)))) (else (let ((e-26 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45ContextC-45Log-log arg-5 "totality.termination.sizechange.checkCall" 8 (lambda () (string-append "CheckCall Size Change Graph: " (CoreC-45Name-u--show_Show_Name e-26)))))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-26 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-26)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45Termination-checkSC arg-6 arg-5 arg-4 arg-3 (let ((e-28 (car arg-8))) e-28) (CoreC-45Termination-n--12446-11009-u--mkArgs arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 (let ((e-27 (cdr arg-8))) e-27)) arg-7))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-27 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-27)))) (else (let ((e-27 (vector-ref lcase-2 1))) (let ((eff-3 (let ((u--inpath (PreludeC-45Types-elem (csegen-16) (csegen-1008) (let ((e-29 (car arg-8))) e-29) ((csegen-101) arg-7)))) (cond ((equal? u--inpath 1) (let ((eff-3 (let ((eff-3 (CoreC-45Context-toFullNames arg-5 (csegen-81) (let ((e-29 (car arg-8))) e-29)))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-28 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-28)))) (else (let ((e-28 (vector-ref lcase-3 1))) (let ((eff-4 (CoreC-45ContextC-45Log-log arg-5 "totality.termination.sizechange.checkCall.inPath" 9 (lambda () (string-append "Have Result: " (CoreC-45Name-u--show_Show_Name e-28)))))) eff-4))))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-28 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-28)))) (else (let ((eff-4 (lambda (eta-0) (vector 1 e-27)))) eff-4))))))) (else (case (vector-ref e-27 0) ((2) (let ((e-28 (vector-ref e-27 1))) (case (vector-ref e-28 0) ((2) (let ((eff-3 (let ((eff-3 (CoreC-45Context-toFullNames arg-5 (csegen-81) (let ((e-31 (car arg-8))) e-31)))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-30 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-30)))) (else (let ((e-30 (vector-ref lcase-3 1))) (let ((eff-4 (CoreC-45ContextC-45Log-log arg-5 ((csegen-0) "totality.termination.sizechange.checkCall.inPathNot.restart") 9 (lambda () (string-append ((csegen-0) "ReChecking Size Change Graph: ") (CoreC-45Name-u--show_Show_Name e-30)))))) eff-4))))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-30 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-30)))) (else (let ((eff-4 (let ((eff-4 (CoreC-45Termination-initArgs arg-6 (PreludeC-45TypesC-45List-lengthTR (let ((e-31 (cdr arg-8))) e-31))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-31 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-31)))) (else (let ((e-31 (vector-ref lcase-4 1))) (let ((eff-5 (let ((eff-5 (CoreC-45Termination-checkSC arg-6 arg-5 arg-4 arg-3 (let ((e-33 (car arg-8))) e-33) e-31 arg-7))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-32 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-32)))) (else (let ((e-32 (vector-ref lcase-5 1))) (let ((eff-6 (let ((eff-6 (CoreC-45Context-setTerminating arg-5 (CoreC-45FC-emptyFC) (let ((e-34 (car arg-8))) e-34) e-32))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-33 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-33)))) (else (let ((eff-7 (lambda (eta-0) (vector 1 e-32)))) eff-7)))))))) eff-6))))))))) eff-5))))))))) eff-4)))))))(else (let ((eff-3 (let ((eff-3 (CoreC-45Context-toFullNames arg-5 (csegen-81) (let ((e-30 (car arg-8))) e-30)))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-29 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-29)))) (else (let ((e-29 (vector-ref lcase-3 1))) (let ((eff-4 (CoreC-45ContextC-45Log-log arg-5 (csegen-2821) 9 (lambda () (string-append (csegen-2822) (CoreC-45Name-u--show_Show_Name e-29)))))) eff-4))))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-29 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-29)))) (else (let ((eff-4 (lambda (eta-0) (vector 1 e-27)))) eff-4))))))))))(else (let ((eff-3 (let ((eff-3 (CoreC-45Context-toFullNames arg-5 (csegen-81) (let ((e-29 (car arg-8))) e-29)))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-28 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-28)))) (else (let ((e-28 (vector-ref lcase-3 1))) (let ((eff-4 (CoreC-45ContextC-45Log-log arg-5 (csegen-2821) 9 (lambda () (string-append (csegen-2822) (CoreC-45Name-u--show_Show_Name e-28)))))) eff-4))))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-28 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-28)))) (else (let ((eff-4 (lambda (eta-0) (vector 1 e-27)))) eff-4))))))))))))) eff-3))))))))) eff-2))))))) ((1) (lambda (eta-0) (vector 1 (vector 1 ))))(else (lambda (eta-0) (vector 1 (vector 2 (vector 1 (cons (let ((e-27 (car arg-8))) e-27) '()))))))))))))) eff-1)))))))))
(define CoreC-45Termination-n--8206-7150-u--allGuarded (lambda (arg-0 arg-1 arg-2 arg-3) (if (null? arg-3) (lambda (eta-0) (vector 1 1)) (let ((e-2 (car arg-3))) (let ((e-3 (cdr arg-3))) (let ((e-6 (car e-2))) (let ((e-7 (cdr e-2))) (let ((e-10 (car e-7))) (let ((e-11 (cdr e-7))) (let ((e-15 (cdr e-11))) (let ((eff-0 (CoreC-45Termination-n--8206-7149-u--guarded arg-0 arg-1 arg-2 e-6 e-10 e-15))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (cond ((equal? e-5 1) (CoreC-45Termination-n--8206-7150-u--allGuarded arg-0 arg-1 arg-2 e-3)) (else (lambda (eta-0) (vector 1 0)))))) eff-1)))))))))))))))))
(define CoreC-45Termination-n--13568-12024-u--addCasesC-39 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (if (null? arg-5) (lambda (eta-0) (vector 1 (LibrariesC-45DataC-45NameMap-keys arg-4))) (let ((e-2 (car arg-5))) (let ((e-3 (cdr arg-5))) (let ((sc1 (LibrariesC-45DataC-45NameMap-lookup e-2 arg-4))) (if (null? sc1) (let ((eff-0 (CoreC-45Context-getFullName arg-2 e-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((sc3 (CoreC-45Termination-caseFn e-5))) (cond ((equal? sc3 1) (let ((eff-1 (CoreC-45Context-lookupCtxtExact e-2 (let ((e-0 (vector-ref arg-3 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-6) (CoreC-45Termination-n--13568-12024-u--addCasesC-39 arg-0 arg-1 arg-2 arg-3 (LibrariesC-45DataC-45NameMap-insert e-2 (vector 0 ) arg-4) e-3) (let ((e-1 (unbox e-6))) (CoreC-45Termination-n--13568-12024-u--addCasesC-39 arg-0 arg-1 arg-2 arg-3 (LibrariesC-45DataC-45NameMap-insert e-2 (vector 0 ) arg-4) (PreludeC-45TypesC-45List-tailRecAppend (LibrariesC-45DataC-45NameMap-keys (CoreC-45ContextC-45Context-refersTo e-1)) e-3)))))) eff-2)))))))) (else (CoreC-45Termination-n--13568-12024-u--addCasesC-39 arg-0 arg-1 arg-2 arg-3 (LibrariesC-45DataC-45NameMap-insert e-2 (vector 0 ) arg-4) e-3)))))) eff-1))))))) (CoreC-45Termination-n--13568-12024-u--addCasesC-39 arg-0 arg-1 arg-2 arg-3 arg-4 e-3))))))))
(define CoreC-45Termination-n--13568-12025-u--addCases (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (CoreC-45Termination-n--13568-12024-u--addCasesC-39 arg-0 arg-1 arg-2 arg-3 (LibrariesC-45DataC-45NameMap-empty) arg-4)))
(define CoreC-45Termination-totRefsIn (lambda (arg-1 arg-2 arg-3) (CoreC-45Termination-totRefs arg-1 arg-2 (LibrariesC-45DataC-45NameMap-keys (CoreC-45TT-getRefs (vector 8 -1) arg-3)))))
(define CoreC-45Termination-totRefs (lambda (arg-0 arg-1 arg-2) (if (null? arg-2) (lambda (eta-0) (vector 1 (vector 1 ))) (let ((e-2 (car arg-2))) (let ((e-3 (cdr arg-2))) (let ((eff-0 (CoreC-45Termination-totRefs arg-0 arg-1 e-3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-lookupCtxtExact e-2 (let ((e-0 (vector-ref arg-1 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-6) (lambda (eta-0) (vector 1 e-5)) (let ((e-1 (unbox e-6))) (let ((_-0 (box e-1))) (CoreC-45Termination-case--caseC-32blockC-32inC-32totRefs-6965 e-2 e-3 arg-1 arg-0 e-5 e-1 _-0 (let ((e-10 (vector-ref e-1 10))) (let ((e-28 (car e-10))) e-28)))))))) eff-2))))))))) eff-1))))))))))))
(define CoreC-45Termination-smallerArg (lambda (arg-1 arg-2 arg-3 arg-4 arg-5) (case (vector-ref arg-4 0) ((5) (let ((e-4 (vector-ref arg-4 4))) (CoreC-45Termination-smallerArg arg-1 arg-2 arg-3 e-4 arg-5)))(else (let ((sc0 (CoreC-45Termination-assertedSmaller arg-3 arg-5))) (cond ((equal? sc0 1) 1) (else ((CoreC-45Termination-case--smallerArg-9313 arg-5 arg-4 arg-3 arg-2 arg-1 (CoreC-45TT-getFnArgs arg-5))))))))))
(define CoreC-45Termination-smaller (lambda (arg-1 arg-2 arg-3 arg-4 arg-5) (case (vector-ref arg-5 0) ((10) 0) ((5) (let ((e-6 (vector-ref arg-5 3))) (let ((e-7 (vector-ref arg-5 4))) (let ((sc1 (CoreC-45Termination-smaller arg-1 arg-2 arg-3 arg-4 e-6))) (cond ((equal? sc1 1) 1) (else (CoreC-45Termination-smaller arg-1 arg-2 arg-3 arg-4 e-7)))))))(else (cond ((equal? arg-1 1) (let ((sc1 (CoreC-45TT-u--C-61C-61_Eq_C-40TermC-32C-36varsC-41 arg-4 arg-5))) (cond ((equal? sc1 1) 1) (else (CoreC-45Termination-smallerArg 1 arg-2 arg-3 arg-4 arg-5)))))(else (CoreC-45Termination-smallerArg arg-1 arg-2 arg-3 arg-4 arg-5)))))))
(define CoreC-45Termination-scEq (lambda (arg-1 arg-2) (case (vector-ref arg-1 0) ((0) (let ((e-81 (vector-ref arg-1 3))) (case (vector-ref arg-2 0) ((0) (let ((e-96 (vector-ref arg-2 3))) (or (and (= e-81 e-96) 1) 0)))(else (case (vector-ref arg-2 0) ((2) 1)(else (case (vector-ref arg-1 0) ((3) (case (vector-ref arg-2 0) ((3) 0)(else (case (vector-ref arg-2 0) ((5) (let ((e-48 (vector-ref arg-2 4))) (CoreC-45Termination-scEq arg-1 e-48)))(else (case (vector-ref arg-1 0) ((6) (let ((e-3 (vector-ref arg-1 3))) (case (vector-ref arg-2 0) ((6) (let ((e-25 (vector-ref arg-2 3))) (CoreC-45Termination-scEq e-3 e-25)))(else 0)))) ((7) (let ((e-7 (vector-ref arg-1 3))) (let ((e-8 (vector-ref arg-1 4))) (case (vector-ref arg-2 0) ((7) (let ((e-29 (vector-ref arg-2 3))) (let ((e-30 (vector-ref arg-2 4))) (let ((sc4 (CoreC-45Termination-scEq e-7 e-29))) (cond ((equal? sc4 1) (CoreC-45Termination-scEq e-8 e-30)) (else 0))))))(else 0))))) ((8) (let ((e-12 (vector-ref arg-1 3))) (case (vector-ref arg-2 0) ((8) (let ((e-34 (vector-ref arg-2 3))) (CoreC-45Termination-scEq e-12 e-34)))(else 0)))) ((9) (let ((e-15 (vector-ref arg-1 2))) (case (vector-ref arg-2 0) ((9) (let ((e-37 (vector-ref arg-2 2))) (CoreC-45TT-u--C-61C-61_Eq_Constant e-15 e-37)))(else 0)))) ((10) (case (vector-ref arg-2 0) ((10) 1)(else 0))) ((11) (case (vector-ref arg-2 0) ((11) 1)(else 0)))(else 0))))))) ((4) (let ((e-56 (vector-ref arg-1 2))) (let ((e-57 (vector-ref arg-1 3))) (case (vector-ref arg-2 0) ((4) (let ((e-70 (vector-ref arg-2 2))) (let ((e-71 (vector-ref arg-2 3))) (let ((sc3 (CoreC-45Termination-scEq e-56 e-70))) (cond ((equal? sc3 1) (CoreC-45Termination-scEq e-57 e-71)) (else 0))))))(else (case (vector-ref arg-2 0) ((5) (let ((e-48 (vector-ref arg-2 4))) (CoreC-45Termination-scEq arg-1 e-48)))(else (case (vector-ref arg-1 0) ((6) (let ((e-3 (vector-ref arg-1 3))) (case (vector-ref arg-2 0) ((6) (let ((e-25 (vector-ref arg-2 3))) (CoreC-45Termination-scEq e-3 e-25)))(else 0)))) ((7) (let ((e-7 (vector-ref arg-1 3))) (let ((e-8 (vector-ref arg-1 4))) (case (vector-ref arg-2 0) ((7) (let ((e-29 (vector-ref arg-2 3))) (let ((e-30 (vector-ref arg-2 4))) (let ((sc4 (CoreC-45Termination-scEq e-7 e-29))) (cond ((equal? sc4 1) (CoreC-45Termination-scEq e-8 e-30)) (else 0))))))(else 0))))) ((8) (let ((e-12 (vector-ref arg-1 3))) (case (vector-ref arg-2 0) ((8) (let ((e-34 (vector-ref arg-2 3))) (CoreC-45Termination-scEq e-12 e-34)))(else 0)))) ((9) (let ((e-15 (vector-ref arg-1 2))) (case (vector-ref arg-2 0) ((9) (let ((e-37 (vector-ref arg-2 2))) (CoreC-45TT-u--C-61C-61_Eq_Constant e-15 e-37)))(else 0)))) ((10) (case (vector-ref arg-2 0) ((10) 1)(else 0))) ((11) (case (vector-ref arg-2 0) ((11) 1)(else 0)))(else 0))))))))) ((5) (let ((e-62 (vector-ref arg-1 4))) (CoreC-45Termination-scEq e-62 arg-2)))(else (case (vector-ref arg-2 0) ((5) (let ((e-48 (vector-ref arg-2 4))) (CoreC-45Termination-scEq arg-1 e-48)))(else (case (vector-ref arg-1 0) ((6) (let ((e-3 (vector-ref arg-1 3))) (case (vector-ref arg-2 0) ((6) (let ((e-25 (vector-ref arg-2 3))) (CoreC-45Termination-scEq e-3 e-25)))(else 0)))) ((7) (let ((e-7 (vector-ref arg-1 3))) (let ((e-8 (vector-ref arg-1 4))) (case (vector-ref arg-2 0) ((7) (let ((e-29 (vector-ref arg-2 3))) (let ((e-30 (vector-ref arg-2 4))) (let ((sc3 (CoreC-45Termination-scEq e-7 e-29))) (cond ((equal? sc3 1) (CoreC-45Termination-scEq e-8 e-30)) (else 0))))))(else 0))))) ((8) (let ((e-12 (vector-ref arg-1 3))) (case (vector-ref arg-2 0) ((8) (let ((e-34 (vector-ref arg-2 3))) (CoreC-45Termination-scEq e-12 e-34)))(else 0)))) ((9) (let ((e-15 (vector-ref arg-1 2))) (case (vector-ref arg-2 0) ((9) (let ((e-37 (vector-ref arg-2 2))) (CoreC-45TT-u--C-61C-61_Eq_Constant e-15 e-37)))(else 0)))) ((10) (case (vector-ref arg-2 0) ((10) 1)(else 0))) ((11) (case (vector-ref arg-2 0) ((11) 1)(else 0)))(else 0)))))))))))) ((1) (let ((e-86 (vector-ref arg-1 3))) (case (vector-ref arg-2 0) ((1) (let ((e-101 (vector-ref arg-2 3))) (CoreC-45Name-u--C-61C-61_Eq_Name e-86 e-101)))(else (case (vector-ref arg-2 0) ((2) 1)(else (case (vector-ref arg-1 0) ((3) (case (vector-ref arg-2 0) ((3) 0)(else (case (vector-ref arg-2 0) ((5) (let ((e-48 (vector-ref arg-2 4))) (CoreC-45Termination-scEq arg-1 e-48)))(else (case (vector-ref arg-1 0) ((6) (let ((e-3 (vector-ref arg-1 3))) (case (vector-ref arg-2 0) ((6) (let ((e-25 (vector-ref arg-2 3))) (CoreC-45Termination-scEq e-3 e-25)))(else 0)))) ((7) (let ((e-7 (vector-ref arg-1 3))) (let ((e-8 (vector-ref arg-1 4))) (case (vector-ref arg-2 0) ((7) (let ((e-29 (vector-ref arg-2 3))) (let ((e-30 (vector-ref arg-2 4))) (let ((sc4 (CoreC-45Termination-scEq e-7 e-29))) (cond ((equal? sc4 1) (CoreC-45Termination-scEq e-8 e-30)) (else 0))))))(else 0))))) ((8) (let ((e-12 (vector-ref arg-1 3))) (case (vector-ref arg-2 0) ((8) (let ((e-34 (vector-ref arg-2 3))) (CoreC-45Termination-scEq e-12 e-34)))(else 0)))) ((9) (let ((e-15 (vector-ref arg-1 2))) (case (vector-ref arg-2 0) ((9) (let ((e-37 (vector-ref arg-2 2))) (CoreC-45TT-u--C-61C-61_Eq_Constant e-15 e-37)))(else 0)))) ((10) (case (vector-ref arg-2 0) ((10) 1)(else 0))) ((11) (case (vector-ref arg-2 0) ((11) 1)(else 0)))(else 0))))))) ((4) (let ((e-56 (vector-ref arg-1 2))) (let ((e-57 (vector-ref arg-1 3))) (case (vector-ref arg-2 0) ((4) (let ((e-70 (vector-ref arg-2 2))) (let ((e-71 (vector-ref arg-2 3))) (let ((sc3 (CoreC-45Termination-scEq e-56 e-70))) (cond ((equal? sc3 1) (CoreC-45Termination-scEq e-57 e-71)) (else 0))))))(else (case (vector-ref arg-2 0) ((5) (let ((e-48 (vector-ref arg-2 4))) (CoreC-45Termination-scEq arg-1 e-48)))(else (case (vector-ref arg-1 0) ((6) (let ((e-3 (vector-ref arg-1 3))) (case (vector-ref arg-2 0) ((6) (let ((e-25 (vector-ref arg-2 3))) (CoreC-45Termination-scEq e-3 e-25)))(else 0)))) ((7) (let ((e-7 (vector-ref arg-1 3))) (let ((e-8 (vector-ref arg-1 4))) (case (vector-ref arg-2 0) ((7) (let ((e-29 (vector-ref arg-2 3))) (let ((e-30 (vector-ref arg-2 4))) (let ((sc4 (CoreC-45Termination-scEq e-7 e-29))) (cond ((equal? sc4 1) (CoreC-45Termination-scEq e-8 e-30)) (else 0))))))(else 0))))) ((8) (let ((e-12 (vector-ref arg-1 3))) (case (vector-ref arg-2 0) ((8) (let ((e-34 (vector-ref arg-2 3))) (CoreC-45Termination-scEq e-12 e-34)))(else 0)))) ((9) (let ((e-15 (vector-ref arg-1 2))) (case (vector-ref arg-2 0) ((9) (let ((e-37 (vector-ref arg-2 2))) (CoreC-45TT-u--C-61C-61_Eq_Constant e-15 e-37)))(else 0)))) ((10) (case (vector-ref arg-2 0) ((10) 1)(else 0))) ((11) (case (vector-ref arg-2 0) ((11) 1)(else 0)))(else 0))))))))) ((5) (let ((e-62 (vector-ref arg-1 4))) (CoreC-45Termination-scEq e-62 arg-2)))(else (case (vector-ref arg-2 0) ((5) (let ((e-48 (vector-ref arg-2 4))) (CoreC-45Termination-scEq arg-1 e-48)))(else (case (vector-ref arg-1 0) ((6) (let ((e-3 (vector-ref arg-1 3))) (case (vector-ref arg-2 0) ((6) (let ((e-25 (vector-ref arg-2 3))) (CoreC-45Termination-scEq e-3 e-25)))(else 0)))) ((7) (let ((e-7 (vector-ref arg-1 3))) (let ((e-8 (vector-ref arg-1 4))) (case (vector-ref arg-2 0) ((7) (let ((e-29 (vector-ref arg-2 3))) (let ((e-30 (vector-ref arg-2 4))) (let ((sc3 (CoreC-45Termination-scEq e-7 e-29))) (cond ((equal? sc3 1) (CoreC-45Termination-scEq e-8 e-30)) (else 0))))))(else 0))))) ((8) (let ((e-12 (vector-ref arg-1 3))) (case (vector-ref arg-2 0) ((8) (let ((e-34 (vector-ref arg-2 3))) (CoreC-45Termination-scEq e-12 e-34)))(else 0)))) ((9) (let ((e-15 (vector-ref arg-1 2))) (case (vector-ref arg-2 0) ((9) (let ((e-37 (vector-ref arg-2 2))) (CoreC-45TT-u--C-61C-61_Eq_Constant e-15 e-37)))(else 0)))) ((10) (case (vector-ref arg-2 0) ((10) 1)(else 0))) ((11) (case (vector-ref arg-2 0) ((11) 1)(else 0)))(else 0)))))))))))) ((2) 1)(else (case (vector-ref arg-2 0) ((2) 1)(else (case (vector-ref arg-1 0) ((3) (case (vector-ref arg-2 0) ((3) 0)(else (case (vector-ref arg-2 0) ((5) (let ((e-48 (vector-ref arg-2 4))) (CoreC-45Termination-scEq arg-1 e-48)))(else (case (vector-ref arg-1 0) ((6) (let ((e-3 (vector-ref arg-1 3))) (case (vector-ref arg-2 0) ((6) (let ((e-25 (vector-ref arg-2 3))) (CoreC-45Termination-scEq e-3 e-25)))(else 0)))) ((7) (let ((e-7 (vector-ref arg-1 3))) (let ((e-8 (vector-ref arg-1 4))) (case (vector-ref arg-2 0) ((7) (let ((e-29 (vector-ref arg-2 3))) (let ((e-30 (vector-ref arg-2 4))) (let ((sc3 (CoreC-45Termination-scEq e-7 e-29))) (cond ((equal? sc3 1) (CoreC-45Termination-scEq e-8 e-30)) (else 0))))))(else 0))))) ((8) (let ((e-12 (vector-ref arg-1 3))) (case (vector-ref arg-2 0) ((8) (let ((e-34 (vector-ref arg-2 3))) (CoreC-45Termination-scEq e-12 e-34)))(else 0)))) ((9) (let ((e-15 (vector-ref arg-1 2))) (case (vector-ref arg-2 0) ((9) (let ((e-37 (vector-ref arg-2 2))) (CoreC-45TT-u--C-61C-61_Eq_Constant e-15 e-37)))(else 0)))) ((10) (case (vector-ref arg-2 0) ((10) 1)(else 0))) ((11) (case (vector-ref arg-2 0) ((11) 1)(else 0)))(else 0))))))) ((4) (let ((e-56 (vector-ref arg-1 2))) (let ((e-57 (vector-ref arg-1 3))) (case (vector-ref arg-2 0) ((4) (let ((e-70 (vector-ref arg-2 2))) (let ((e-71 (vector-ref arg-2 3))) (let ((sc2 (CoreC-45Termination-scEq e-56 e-70))) (cond ((equal? sc2 1) (CoreC-45Termination-scEq e-57 e-71)) (else 0))))))(else (case (vector-ref arg-2 0) ((5) (let ((e-48 (vector-ref arg-2 4))) (CoreC-45Termination-scEq arg-1 e-48)))(else (case (vector-ref arg-1 0) ((6) (let ((e-3 (vector-ref arg-1 3))) (case (vector-ref arg-2 0) ((6) (let ((e-25 (vector-ref arg-2 3))) (CoreC-45Termination-scEq e-3 e-25)))(else 0)))) ((7) (let ((e-7 (vector-ref arg-1 3))) (let ((e-8 (vector-ref arg-1 4))) (case (vector-ref arg-2 0) ((7) (let ((e-29 (vector-ref arg-2 3))) (let ((e-30 (vector-ref arg-2 4))) (let ((sc3 (CoreC-45Termination-scEq e-7 e-29))) (cond ((equal? sc3 1) (CoreC-45Termination-scEq e-8 e-30)) (else 0))))))(else 0))))) ((8) (let ((e-12 (vector-ref arg-1 3))) (case (vector-ref arg-2 0) ((8) (let ((e-34 (vector-ref arg-2 3))) (CoreC-45Termination-scEq e-12 e-34)))(else 0)))) ((9) (let ((e-15 (vector-ref arg-1 2))) (case (vector-ref arg-2 0) ((9) (let ((e-37 (vector-ref arg-2 2))) (CoreC-45TT-u--C-61C-61_Eq_Constant e-15 e-37)))(else 0)))) ((10) (case (vector-ref arg-2 0) ((10) 1)(else 0))) ((11) (case (vector-ref arg-2 0) ((11) 1)(else 0)))(else 0))))))))) ((5) (let ((e-62 (vector-ref arg-1 4))) (CoreC-45Termination-scEq e-62 arg-2)))(else (case (vector-ref arg-2 0) ((5) (let ((e-48 (vector-ref arg-2 4))) (CoreC-45Termination-scEq arg-1 e-48)))(else (case (vector-ref arg-1 0) ((6) (let ((e-3 (vector-ref arg-1 3))) (case (vector-ref arg-2 0) ((6) (let ((e-25 (vector-ref arg-2 3))) (CoreC-45Termination-scEq e-3 e-25)))(else 0)))) ((7) (let ((e-7 (vector-ref arg-1 3))) (let ((e-8 (vector-ref arg-1 4))) (case (vector-ref arg-2 0) ((7) (let ((e-29 (vector-ref arg-2 3))) (let ((e-30 (vector-ref arg-2 4))) (let ((sc2 (CoreC-45Termination-scEq e-7 e-29))) (cond ((equal? sc2 1) (CoreC-45Termination-scEq e-8 e-30)) (else 0))))))(else 0))))) ((8) (let ((e-12 (vector-ref arg-1 3))) (case (vector-ref arg-2 0) ((8) (let ((e-34 (vector-ref arg-2 3))) (CoreC-45Termination-scEq e-12 e-34)))(else 0)))) ((9) (let ((e-15 (vector-ref arg-1 2))) (case (vector-ref arg-2 0) ((9) (let ((e-37 (vector-ref arg-2 2))) (CoreC-45TT-u--C-61C-61_Eq_Constant e-15 e-37)))(else 0)))) ((10) (case (vector-ref arg-2 0) ((10) 1)(else 0))) ((11) (case (vector-ref arg-2 0) ((11) 1)(else 0)))(else 0))))))))))))
(define CoreC-45Termination-posArgs (lambda (arg-0 arg-1 arg-2 arg-3) (if (null? arg-3) (lambda (eta-0) (vector 1 (vector 1 ))) (let ((e-2 (car arg-3))) (let ((e-3 (cdr arg-3))) (let ((eff-0 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() arg-1 e-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Normalise-logNF '() arg-0 "totality.positivity" 50 (lambda () "Checking parameter for positivity") '() e-5))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45Termination-posArg arg-0 arg-1 arg-2 e-5))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-7 0) ((1) (CoreC-45Termination-posArgs arg-0 arg-1 arg-2 e-3))(else (lambda (eta-0) (vector 1 e-7)))))) eff-3))))))))) eff-2)))))))) eff-1))))))))))))
(define CoreC-45Termination-posArg (lambda (arg-0 arg-1 arg-2 arg-3) (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-3 (vector-ref arg-3 3))) (let ((e-4 (vector-ref arg-3 4))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (CoreC-45Normalise-logNF '() arg-0 (csegen-2823) 50 (lambda () ((csegen-0) "Found a type constructor")) '() arg-3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((eff-1 (let ((eff-1 (let ((eff-1 (CoreC-45Context-lookupDefExact e-2 (let ((e-0 (vector-ref arg-1 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((u--nf (vector 3 e-1 e-2 e-3 e-4 e-5))) (if (null? e-7) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 e-1 (string-append (CoreC-45Name-u--show_Show_Name e-2) " not a data type")) eta-0)) (let ((e-8 (unbox e-7))) (case (vector-ref e-8 0) ((6) (let ((e-14 (vector-ref e-8 3))) (let ((eff-2 (CoreC-45ContextC-45Log-log arg-0 (csegen-2823) 50 (lambda () (DataC-45String-unwords (cons (CoreC-45Name-u--show_Show_Name e-2) (cons "has" (cons (PreludeC-45Show-u--show_Show_Nat (PreludeC-45TypesC-45List-lengthTR e-14)) (cons ((csegen-0) "parameters") '()))))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-17 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-17)))) (else (let ((eff-3 (lambda (eta-0) (vector 1 (CoreC-45Termination-n--14315-12820-u--splitParams e-3 e-4 e-5 e-2 e-1 u--nf arg-2 arg-1 arg-0 0 e-14 ((csegen-947) e-5)))))) eff-3))))))))(else (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 e-1 (string-append (CoreC-45Name-u--show_Show_Name e-2) " not a data type")) eta-0))))))))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((e-9 (car e-7))) (let ((e-8 (cdr e-7))) (let ((eff-2 (let ((eff-2 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() arg-1 eta-0)) e-8 '()))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-10 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-2 1))) (let ((eff-3 (CoreC-45Core-anyM (lambda (eta-0) (CoreC-45Termination-nameIn arg-0 arg-1 arg-2 eta-0)) e-10))) eff-3))))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-10 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-2 1))) (let ((eff-3 (cond ((equal? e-10 0) (CoreC-45Termination-posArgs arg-0 arg-1 arg-2 e-9)) (else (lambda (eta-0) (vector 1 (vector 2 (vector 0 )))))))) eff-3))))))))))) eff-2))))))))) eff-1)))))))))))) ((0) (let ((e-7 (vector-ref arg-3 1))) (let ((e-8 (vector-ref arg-3 2))) (let ((e-9 (vector-ref arg-3 3))) (let ((e-10 (vector-ref arg-3 4))) (case (vector-ref e-9 0) ((2) (let ((e-19 (vector-ref e-9 4))) (let ((eff-0 (CoreC-45Normalise-logNF '() arg-0 (csegen-2823) 50 (lambda () ((csegen-0) "Found a Pi-type")) '() arg-3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() arg-1 e-19))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Termination-nameIn arg-0 arg-1 arg-2 e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-11 (vector-ref lcase-2 1))) (let ((eff-3 (cond ((equal? e-11 1) (lambda (eta-0) (vector 1 (vector 2 (vector 0 ))))) (else (let ((u--nm (vector 1 e-7 (vector 0 ) (vector 2 (string-append "POSCHECK_" (CoreC-45Name-u--show_Show_Name e-8)) 1)))) (let ((u--arg (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() u--nm))) (let ((eff-3 ((e-10 arg-1) u--arg))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-12 (vector-ref lcase-3 1))) (let ((eff-4 (CoreC-45Termination-posArg arg-0 arg-1 arg-2 e-12))) eff-4))))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))(else (let ((eff-0 (CoreC-45Normalise-logNF '() arg-0 "totality.positivity" 50 (lambda () "Reached the catchall") '() arg-3))) (PrimIO-io_bind eff-0 (csegen-2829)))))))))) ((1) (let ((e-14 (vector-ref arg-3 3))) (let ((eff-0 (CoreC-45Normalise-logNF '() arg-0 (csegen-2823) 50 (lambda () ((csegen-0) "Found an application")) '() arg-3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() arg-1 (Builtin-snd eta-0))) e-14 '()))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Core-anyM (lambda (eta-0) (CoreC-45Termination-nameIn arg-0 arg-1 arg-2 eta-0)) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (cond ((equal? e-7 1) (vector 2 (vector 0 ))) (else (vector 1 ))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))(else (let ((eff-0 (CoreC-45Normalise-logNF '() arg-0 "totality.positivity" 50 (lambda () "Reached the catchall") '() arg-3))) (PrimIO-io_bind eff-0 (csegen-2829)))))))
(define CoreC-45Termination-nextArg (lambda (arg-0) (bs+ arg-0 1 63)))
(define CoreC-45Termination-nameIn (lambda (arg-0 arg-1 arg-2 arg-3) (case (vector-ref arg-3 0) ((0) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-3 (vector-ref arg-3 3))) (let ((e-4 (vector-ref arg-3 4))) (let ((eff-0 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() arg-1 (CoreC-45TT-binderType e-3)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Termination-nameIn arg-0 arg-1 arg-2 e-5))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-6 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (cond ((equal? e-6 1) (lambda (eta-0) (vector 1 1))) (else (let ((u--nm (vector 1 e-1 (vector 0 ) (vector 2 (string-append "NAMEIN_" (CoreC-45Name-u--show_Show_Name e-2)) 0)))) (let ((u--arg (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() u--nm))) (let ((eff-2 ((e-4 arg-1) u--arg))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-7 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (CoreC-45Termination-nameIn arg-0 arg-1 arg-2 e-7))) eff-3))))))))))))) eff-2))))))))) eff-1)))))))))))) ((1) (let ((e-8 (vector-ref arg-3 3))) (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() arg-1 (Builtin-snd eta-0))) e-8 '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45Core-anyM (lambda (eta-0) (CoreC-45Termination-nameIn arg-0 arg-1 arg-2 eta-0)) e-5))) eff-1))))))))) ((3) (let ((e-11 (vector-ref arg-3 2))) (let ((e-14 (vector-ref arg-3 5))) (let ((sc1 (PreludeC-45Types-elem (csegen-16) (csegen-1008) e-11 arg-2))) (cond ((equal? sc1 1) (lambda (eta-0) (vector 1 1))) (else (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() arg-1 (Builtin-snd eta-0))) e-14 '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45Core-anyM (lambda (eta-0) (CoreC-45Termination-nameIn arg-0 arg-1 arg-2 eta-0)) e-5))) eff-1))))))))))))) ((2) (let ((e-20 (vector-ref arg-3 5))) (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() arg-1 (Builtin-snd eta-0))) e-20 '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45Core-anyM (lambda (eta-0) (CoreC-45Termination-nameIn arg-0 arg-1 arg-2 eta-0)) e-5))) eff-1)))))))))(else (lambda (eta-0) (vector 1 0))))))
(define CoreC-45Termination-mkChange (lambda (arg-1 arg-2 arg-3 arg-4) (if (null? arg-3) '() (let ((e-2 (car arg-3))) (let ((e-3 (cdr arg-3))) (let ((e-6 (car e-2))) (let ((e-7 (cdr e-2))) (case (vector-ref e-7 0) ((5) (let ((e-11 (vector-ref e-7 3))) (let ((e-12 (vector-ref e-7 4))) (CoreC-45Termination-mkChange arg-1 arg-2 (cons (cons e-6 e-11) (cons (cons e-6 e-12) e-3)) arg-4))))(else (CoreC-45Core-cond (cons (cons (lambda () (CoreC-45Termination-scEq arg-4 e-7)) (lambda () (box (cons e-6 1)))) (cons (cons (lambda () (CoreC-45Termination-smaller 0 arg-1 (CoreC-45Termination-asserted arg-2 arg-4) arg-4 e-7)) (lambda () (box (cons e-6 0)))) '())) (CoreC-45Termination-mkChange arg-1 arg-2 e-3 arg-4)))))))))))
(define CoreC-45Termination-initArgs (lambda (arg-0 arg-1) (cond ((equal? arg-1 0) (lambda (eta-0) (vector 1 '())))(else (let ((e-0 (- arg-1 1))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (CoreC-45Termination-nextArg e-5)))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45Termination-initArgs arg-0 e-0))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (cons (box (cons e-5 1)) e-7))))) eff-3))))))))) eff-2)))))))) eff-1))))))))))))
(define CoreC-45Termination-getSC (lambda (arg-0 arg-1 arg-2) (case (vector-ref arg-2 0) ((1) (let ((e-4 (vector-ref arg-2 5))) (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45Termination-findCalls arg-0 arg-1 eta-0)) e-4 '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (DataC-45List-nub (cons (lambda (arg-528) (lambda (arg-531) (CoreC-45ContextC-45Context-u--C-61C-61_Eq_SCCall arg-528 arg-531))) (lambda (arg-538) (lambda (arg-541) (CoreC-45ContextC-45Context-u--C-47C-61_Eq_SCCall arg-538 arg-541)))) (PreludeC-45Interfaces-concat (csegen-83) (csegen-16) e-5)))))) eff-1)))))))))(else (lambda (eta-0) (vector 1 '()))))))
(define CoreC-45Termination-getCasePats (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (let ((eff-0 (CoreC-45Context-lookupDefExact arg-3 (let ((e-0 (vector-ref arg-2 0))) e-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (if (null? e-5) (lambda (eta-0) (vector 1 '())) (let ((e-1 (unbox e-5))) (case (vector-ref e-1 0) ((1) (let ((e-6 (vector-ref e-1 5))) (let ((eff-1 (CoreC-45ContextC-45Log-log arg-0 "totality" 20 (lambda () (DataC-45String-unwords (cons ((csegen-0) "Looking at the") (cons (PreludeC-45Show-u--show_Show_Nat (PreludeC-45TypesC-45List-lengthTR e-6)) (cons "cases of" (cons (CoreC-45Name-u--show_Show_Name arg-3) '()))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-8 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((eff-2 (let ((u--pdefsC-39 (((csegen-25) (lambda (eta-0) (CoreC-45Termination-n--9410-9577-u--matchArgs arg-1 arg-5 arg-4 arg-3 arg-2 arg-0 eta-0))) e-6))) (let ((eff-2 (CoreC-45ContextC-45Log-unverifiedLogC arg-0 "totality" 20 (let ((eff-2 (PreludeC-45Basics-flip (csegen-1569) e-6 (lambda (lamc-0) (let ((e-10 (car lamc-0))) (let ((e-9 (cdr lamc-0))) (let ((e-11 (cdr e-9))) (let ((e-14 (car e-11))) (let ((e-13 (cdr e-11))) (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-14))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-15 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-15)))) (else (let ((e-15 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-13))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-16 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-16)))) (else (let ((e-16 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (string-append "    " (string-append (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 e-10 e-15) (string-append " => " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 e-10 e-16)))))))) eff-4))))))))) eff-3)))))))))))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-9 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (PreludeC-45Basics-flip (csegen-1569) u--pdefsC-39 (lambda (lamc-0) (let ((e-11 (car lamc-0))) (let ((e-10 (cdr lamc-0))) (let ((e-12 (cdr e-10))) (let ((e-15 (car e-12))) (let ((e-14 (cdr e-12))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45Context-toFullNames arg-0 (csegen-105) (Builtin-snd eta-0))) e-15 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-16 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-16)))) (else (let ((e-16 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-14))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-17 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-17)))) (else (let ((e-17 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (string-append "    " (string-append (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (cons (lambda (u--x) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 e-11 u--x)) (lambda (u--d) (lambda (u--x) (CoreC-45TT-u--showPrec_Show_C-40TermC-32C-36varsC-41 e-11 u--d u--x)))) e-16) (string-append " => " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 e-11 e-17)))))))) eff-5))))))))) eff-4)))))))))))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (DataC-45String-fastUnlines (cons "Updated" (PreludeC-45TypesC-45List-tailRecAppend e-9 (cons "  to:" e-10)))))))) eff-4))))))))) eff-3)))))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-9 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((eff-3 (lambda (eta-0) (vector 1 (box u--pdefsC-39))))) eff-3))))))))) eff-2))))))))(else (lambda (eta-0) (vector 1 '())))))))) eff-1)))))))))
(define CoreC-45Termination-firstArg(blodwen-lazy (lambda () 0)))
(define CoreC-45Termination-findSCcall (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9) (let ((eff-0 (CoreC-45Context-lookupCtxtExact arg-7 (let ((e-0 (vector-ref arg-2 0))) e-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (if (null? e-5) (CoreC-45Context-undefinedName arg-1 arg-6 arg-7) (let ((e-1 (unbox e-5))) (let ((u--fn (let ((e-23 (vector-ref e-1 1))) e-23))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-1 (csegen-81) u--fn))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45ContextC-45Log-log arg-1 ((csegen-0) "totality.termination.sizechange") 10 (lambda () (string-append ((csegen-0) "Looking under ") (CoreC-45Name-u--show_Show_Name e-6)))))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45Context-u--resolved_HasNames_Name (let ((e-0 (vector-ref arg-2 0))) e-0) (vector 0 (CoreC-45NameC-45Namespace-builtinNS) (vector 1 (vector 0 ((csegen-0) "assert_smaller"))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (CoreC-45Core-cond (cons (cons (lambda () (CoreC-45Name-u--C-61C-61_Eq_Name u--fn (csegen-2846))) (lambda () (lambda (eta-0) (vector 1 '())))) (cons (cons (lambda () (CoreC-45Termination-caseFn u--fn)) (lambda () (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45Termination-findSC arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 eta-0)) arg-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Termination-getCasePats arg-1 arg-0 arg-2 u--fn arg-5 arg-9))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (let ((eff-5 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45Termination-findInCase arg-1 arg-2 arg-4 eta-0)) (DataC-45Maybe-fromMaybe (lambda () '()) e-9) '()))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-10 (vector-ref lcase-5 1))) (let ((eff-6 (lambda (eta-0) (vector 1 (PreludeC-45Interfaces-concat (csegen-83) (csegen-16) (PreludeC-45TypesC-45List-tailRecAppend e-8 e-10)))))) eff-6))))))))) eff-5))))))))) eff-4))))))))) '())) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45Termination-findSC arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 eta-0)) arg-9 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (PreludeC-45TypesC-45List-tailRecAppend (cons (cons u--fn (CoreC-45Termination-expandToArity arg-8 (((csegen-25) (lambda (eta-1) (CoreC-45Termination-mkChange arg-2 e-7 arg-5 eta-1))) arg-9))) '()) (PreludeC-45Interfaces-concat (csegen-83) (csegen-16) e-8)))))) eff-4)))))))))) eff-3))))))))) eff-2))))))))))) eff-1)))))))))
(define CoreC-45Termination-findSC (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (case (vector-ref arg-6 0) ((3) (let ((e-11 (vector-ref arg-6 1))) (let ((e-12 (vector-ref arg-6 2))) (let ((e-13 (vector-ref arg-6 3))) (let ((e-14 (vector-ref arg-6 4))) (let ((eff-0 (CoreC-45Termination-n--9302-8338-u--findSCbinder e-12 arg-0 e-14 e-13 e-11 arg-5 arg-4 arg-3 arg-2 arg-1 e-13))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Termination-findSC (cons e-12 arg-0) arg-1 arg-2 (cons e-13 arg-3) arg-4 (((csegen-25) (lambda (lamc-0) (let ((e-2 (car lamc-0))) (let ((e-3 (cdr lamc-0))) (cons e-2 (CoreC-45TT-u--weaken_Weaken_Term e-3)))))) arg-5) e-14))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (PreludeC-45TypesC-45List-tailRecAppend e-5 e-6))))) eff-2))))))))) eff-1))))))))))))(else (cond ((equal? arg-4 2) (case (vector-ref arg-6 0) ((7) (let ((e-9 (vector-ref arg-6 4))) (CoreC-45Termination-findSC arg-0 arg-1 arg-2 arg-3 3 arg-5 e-9)))(else (case (vector-ref arg-6 0) ((7) (let ((e-4 (vector-ref arg-6 4))) (CoreC-45Termination-findSC arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-4)))(else (CoreC-45Termination-case--findSC-8702 arg-0 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 (CoreC-45TT-getFnArgs arg-6)))))))(else (case (vector-ref arg-6 0) ((7) (let ((e-4 (vector-ref arg-6 4))) (CoreC-45Termination-findSC arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-4)))(else (CoreC-45Termination-case--findSC-8702 arg-0 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 (CoreC-45TT-getFnArgs arg-6))))))))))
(define CoreC-45Termination-findInCase (lambda (arg-0 arg-1 arg-2 arg-3) (let ((e-2 (car arg-3))) (let ((e-3 (cdr arg-3))) (let ((e-6 (car e-3))) (let ((e-7 (cdr e-3))) (let ((e-10 (car e-7))) (let ((e-11 (cdr e-7))) (let ((eff-0 (CoreC-45ContextC-45Log-unverifiedLogC arg-0 "totality" 10 (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45Context-toFullNames arg-0 (csegen-105) eta-0)) ((csegen-947) e-10) '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (string-append "Looking in case args " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (cons (lambda (u--x) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 e-2 u--x)) (lambda (u--d) (lambda (u--x) (CoreC-45TT-u--showPrec_Show_C-40TermC-32C-36varsC-41 e-2 u--d u--x)))) e-5)))))) eff-1)))))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45Normalise-logTermNF e-2 arg-0 "totality" 10 (lambda () "        =") e-6 e-11))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45Normalise-normaliseOpts arg-0 e-2 (CoreC-45Value-tcOnly) arg-1 e-6 e-11))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-9 (vector-ref lcase-2 1))) (let ((eff-3 (CoreC-45Termination-findSC e-2 arg-0 arg-1 e-6 arg-2 e-10 (CoreC-45Termination-delazy arg-1 e-9)))) eff-3))))))))) eff-2)))))))) eff-1))))))))))))))
(define CoreC-45Termination-findCalls (lambda (arg-0 arg-1 arg-2) (let ((e-2 (car arg-2))) (let ((e-3 (cdr arg-2))) (let ((e-6 (car e-3))) (let ((e-7 (cdr e-3))) (let ((e-10 (car e-7))) (let ((e-11 (cdr e-7))) (let ((u--pargs (CoreC-45TT-getArgs (CoreC-45Termination-delazy arg-1 e-10)))) (let ((eff-0 (CoreC-45Normalise-normaliseOpts arg-0 e-2 (CoreC-45Value-tcOnly) arg-1 e-6 e-11))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45Termination-findSC e-2 arg-0 arg-1 e-6 0 (DataC-45List-u--zip_Zippable_List (PreludeC-45Types-take (PreludeC-45TypesC-45List-lengthTR u--pargs) (PreludeC-45Types-u--rangeFrom_Range_Nat 0)) u--pargs) (CoreC-45Termination-delazy arg-1 e-5)))) eff-1))))))))))))))))
(define CoreC-45Termination-expandToArity (lambda (arg-0 arg-1) (cond ((equal? arg-0 0) arg-1)(else (let ((e-0 (- arg-0 1))) (if (null? arg-1) (cons '() (CoreC-45Termination-expandToArity e-0 '())) (let ((e-2 (car arg-1))) (let ((e-3 (cdr arg-1))) (cons e-2 (CoreC-45Termination-expandToArity e-0 e-3))))))))))
(define CoreC-45Termination-delazy (lambda (arg-1 arg-2) (case (vector-ref arg-2 0) ((6) (let ((e-1 (vector-ref arg-2 1))) (let ((e-2 (vector-ref arg-2 2))) (let ((e-3 (vector-ref arg-2 3))) (let ((u--tmC-39 (CoreC-45Termination-delazy arg-1 e-3))) (cond ((equal? e-2 0) (vector 6 e-1 e-2 u--tmC-39))(else u--tmC-39))))))) ((7) (let ((e-5 (vector-ref arg-2 1))) (let ((e-6 (vector-ref arg-2 2))) (let ((e-7 (vector-ref arg-2 3))) (let ((e-8 (vector-ref arg-2 4))) (let ((u--tyC-39 (CoreC-45Termination-delazy arg-1 e-7))) (let ((u--tmC-39 (CoreC-45Termination-delazy arg-1 e-8))) (cond ((equal? e-6 0) (vector 7 e-5 e-6 u--tyC-39 u--tmC-39))(else u--tmC-39))))))))) ((8) (let ((e-10 (vector-ref arg-2 1))) (let ((e-11 (vector-ref arg-2 2))) (let ((e-12 (vector-ref arg-2 3))) (cond ((equal? e-11 0) (vector 8 e-10 e-11 (CoreC-45Termination-delazy arg-1 e-12)))(else (CoreC-45Termination-delazy arg-1 e-12))))))) ((2) (let ((e-14 (vector-ref arg-2 1))) (let ((e-15 (vector-ref arg-2 2))) (let ((e-16 (vector-ref arg-2 3))) (let ((e-17 (vector-ref arg-2 4))) (vector 2 e-14 e-15 e-16 (((csegen-25) (lambda (eta-0) (CoreC-45Termination-delazy arg-1 eta-0))) e-17))))))) ((3) (let ((e-19 (vector-ref arg-2 1))) (let ((e-20 (vector-ref arg-2 2))) (let ((e-21 (vector-ref arg-2 3))) (let ((e-22 (vector-ref arg-2 4))) (vector 3 e-19 e-20 (CoreC-45TT-u--map_Functor_Binder (lambda (eta-0) (CoreC-45Termination-delazy arg-1 eta-0)) e-21) (CoreC-45Termination-delazy arg-1 e-22))))))) ((4) (let ((e-24 (vector-ref arg-2 1))) (let ((e-25 (vector-ref arg-2 2))) (let ((e-26 (vector-ref arg-2 3))) (vector 4 e-24 (CoreC-45Termination-delazy arg-1 e-25) (CoreC-45Termination-delazy arg-1 e-26)))))) ((5) (let ((e-28 (vector-ref arg-2 1))) (let ((e-29 (vector-ref arg-2 2))) (let ((e-30 (vector-ref arg-2 3))) (let ((e-31 (vector-ref arg-2 4))) (vector 5 e-28 e-29 (CoreC-45Termination-delazy arg-1 e-30) (CoreC-45Termination-delazy arg-1 e-31)))))))(else arg-2))))
(define CoreC-45Termination-checkTotal (lambda (arg-0 arg-1 arg-2) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45Termination-case--checkTotal-14157 arg-2 arg-1 arg-0 e-5 (CoreC-45Context-getNameID arg-2 (let ((e-0 (vector-ref e-5 0))) e-0))))) eff-1)))))))))
(define CoreC-45Termination-checkTerminating (lambda (arg-0 arg-1 arg-2) (let ((eff-0 (CoreC-45Context-getTotality arg-0 arg-1 arg-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) arg-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45ContextC-45Log-log arg-0 "totality.termination" 6 (lambda () (string-append "Checking termination: " (CoreC-45Name-u--show_Show_Name e-6)))))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (CoreC-45Termination-case--checkTerminating-12429 arg-2 arg-1 arg-0 e-5 (let ((e-0 (car e-5))) e-0)))) eff-2)))))))) eff-1)))))))))
(define CoreC-45Termination-checkSC (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (let ((eff-0 (let ((eff-0 arg-2)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-1 (csegen-81) arg-4))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45ContextC-45Log-log arg-1 "totality.termination.sizechange" 7 (lambda () (string-append "Checking Size Change Graph: " (CoreC-45Name-u--show_Show_Name e-6)))))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((u--pos (cons arg-4 (((csegen-25) (csegen-704)) arg-5)))) (let ((sc2 (LibrariesC-45DataC-45SortedMap-lookup u--pos e-5))) (if (null? sc2) (let ((sc3 (PreludeC-45Types-elem (csegen-16) (csegen-2858) u--pos arg-6))) (cond ((equal? sc3 1) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-1 (csegen-81) arg-4))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (CoreC-45ContextC-45Log-log arg-1 "totality.termination.sizechange.inPath" 8 (lambda () (string-append "Checking arguments: " (CoreC-45Name-u--show_Show_Name e-7)))))) eff-3))))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (let ((eff-3 (CoreC-45Context-toFullNames arg-1 (csegen-2815) (CoreC-45Termination-n--12446-11006-u--checkDesc arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 arg-0 (PreludeC-45TypesC-45List-mapMaybeAppend '() (csegen-2551) arg-5) arg-6)))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (let ((eff-4 arg-2)) (PrimIO-io_bind (let ((eff-5 eff-4)) (lambda (eta-0) (set-box! eff-5 (LibrariesC-45DataC-45SortedMap-insert u--pos e-8 e-5)))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-5 (lambda (eta-0) (vector 1 e-8)))) eff-5)))))))) eff-4))))))))) eff-3))))))) (else (let ((eff-2 (CoreC-45Context-lookupCtxtExact arg-4 (let ((e-0 (vector-ref arg-3 0))) e-0)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (if (null? e-7) (let ((eff-3 (let ((eff-3 (CoreC-45Context-toFullNames arg-1 (csegen-81) arg-4))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (CoreC-45ContextC-45Log-log arg-1 ((csegen-0) "totality.termination.sizechange.isTerminating") 8 (lambda () (string-append ((csegen-0) "Size Change Graph is Terminating for: ") (CoreC-45Name-u--show_Show_Name e-8)))))) eff-4))))))))) (PrimIO-io_bind eff-3 (csegen-2829))) (let ((e-2 (unbox e-7))) (let ((eff-3 (let ((eff-3 (CoreC-45Context-toFullNames arg-1 (csegen-81) arg-4))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-3 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (CoreC-45ContextC-45Log-log arg-1 ((csegen-0) "totality.termination.sizechange.needsChecking") 8 (lambda () (string-append ((csegen-0) "Size Change Graph needs traversing: ") (CoreC-45Name-u--show_Show_Name e-8)))))) eff-4))))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-3 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-4 (CoreC-45Termination-n--12446-11012-u--continue arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 arg-0 (let ((e-20 (vector-ref e-2 20))) e-20) (cons u--pos arg-6)))) eff-4)))))))))) eff-3)))))))))) (let ((e-1 (unbox sc2))) (lambda (eta-0) (vector 1 e-1)))))))) eff-2)))))))) eff-1)))))))))
(define CoreC-45Termination-checkPositive (lambda (arg-0 arg-1 arg-2) (let ((eff-0 (CoreC-45Context-toResolvedNames arg-0 (csegen-81) arg-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-getTotality arg-0 arg-1 e-5))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-5))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (CoreC-45ContextC-45Log-log arg-0 "totality.positivity" 6 (lambda () (string-append "Checking positivity: " (CoreC-45Name-u--show_Show_Name e-7)))))) eff-3))))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (CoreC-45Termination-case--checkPositive-14064 arg-2 arg-1 arg-0 e-5 e-6 (let ((e-0 (car e-6))) e-0)))) eff-3)))))))) eff-2))))))))) eff-1)))))))))
(define CoreC-45Termination-checkPosArgs (lambda (arg-0 arg-1 arg-2 arg-3) (case (vector-ref arg-3 0) ((0) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-3 (vector-ref arg-3 3))) (let ((e-4 (vector-ref arg-3 4))) (case (vector-ref e-3 0) ((2) (let ((e-9 (vector-ref e-3 4))) (let ((eff-0 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() arg-1 e-9))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Termination-posArg arg-0 arg-1 arg-2 e-5))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-10 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-1 1))) (let ((eff-2 (case (vector-ref e-10 0) ((1) (let ((u--nm (vector 1 e-1 (vector 0 ) (vector 2 (string-append "POSCHECK_" (CoreC-45Name-u--show_Show_Name e-2)) 0)))) (let ((u--arg (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() u--nm))) (let ((eff-2 ((e-4 arg-1) u--arg))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-11 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-2 1))) (let ((eff-3 (CoreC-45Termination-checkPosArgs arg-0 arg-1 arg-2 e-11))) eff-3))))))))))(else (lambda (eta-0) (vector 1 e-10)))))) eff-2))))))))) eff-1)))))))))(else (let ((eff-0 (CoreC-45Normalise-logNF '() arg-0 "totality.positivity" 50 (lambda () "Giving up on non-Pi type") '() arg-3))) (PrimIO-io_bind eff-0 (csegen-2829))))))))))(else (let ((eff-0 (CoreC-45Normalise-logNF '() arg-0 "totality.positivity" 50 (lambda () "Giving up on non-Pi type") '() arg-3))) (PrimIO-io_bind eff-0 (csegen-2829)))))))
(define CoreC-45Termination-checkIfGuarded (lambda (arg-0 arg-1 arg-2) (let ((eff-0 (let ((eff-0 (CoreC-45Context-toFullNames arg-0 (csegen-81) arg-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45ContextC-45Log-log arg-0 "totality.termination.guarded" 6 (lambda () (string-append "Check if Guarded: " (CoreC-45Name-u--show_Show_Name e-5)))))) eff-1))))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (unbox eff-2))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-lookupDefExact arg-2 (let ((e-0 (vector-ref e-6 0))) e-0)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (if (null? e-7) (lambda (eta-0) (vector 1 (vector 0 ))) (let ((e-1 (unbox e-7))) (case (vector-ref e-1 0) ((1) (let ((e-8 (vector-ref e-1 5))) (let ((eff-3 (CoreC-45Termination-n--8206-7150-u--allGuarded arg-2 arg-1 arg-0 e-8))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (cond ((equal? e-10 1) (CoreC-45Context-setFlag arg-0 arg-1 arg-2 (vector 10 ))) (else (lambda (eta-0) (vector 1 (vector 0 ))))))) eff-4)))))))))(else (lambda (eta-0) (vector 1 (vector 0 ))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))
(define CoreC-45Termination-checkData (lambda (arg-0 arg-1 arg-2 arg-3) (if (null? arg-3) (lambda (eta-0) (vector 1 (vector 1 ))) (let ((e-2 (car arg-3))) (let ((e-3 (cdr arg-3))) (let ((eff-0 (CoreC-45ContextC-45Log-log arg-0 "totality.positivity" 40 (lambda () (string-append "Checking positivity of constructor " (CoreC-45Name-u--show_Show_Name e-2)))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45Termination-checkCon arg-0 arg-1 arg-2 e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (case (vector-ref e-6 0) ((1) (CoreC-45Termination-checkData arg-0 arg-1 arg-2 e-3))(else (lambda (eta-0) (vector 1 e-6)))))) eff-2))))))))) eff-1)))))))))))
(define CoreC-45Termination-checkCon (lambda (arg-0 arg-1 arg-2 arg-3) (let ((eff-0 (CoreC-45Context-lookupTyExact arg-3 (let ((e-0 (vector-ref arg-1 0))) e-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (if (null? e-5) (let ((eff-1 (CoreC-45ContextC-45Log-log arg-0 (csegen-2823) 20 (lambda () (string-append ((csegen-0) "Couldn't find constructor ") (CoreC-45Name-u--show_Show_Name arg-3)))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (lambda (eta-0) (vector 1 (vector 0 ))))) eff-2)))))) (let ((e-2 (unbox e-5))) (let ((eff-1 (CoreC-45Termination-totRefsIn arg-0 arg-1 e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-3 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (case (vector-ref e-6 0) ((1) (let ((eff-2 (CoreC-45NormaliseC-45Eval-nf arg-0 '() arg-1 '() e-2))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-3 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45Normalise-logNF '() arg-0 (csegen-2823) 20 (lambda () ((csegen-0) "Checking the type ")) '() e-7))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-3 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-4 (CoreC-45Termination-checkPosArgs arg-0 arg-1 arg-2 e-7))) eff-4)))))))) eff-3))))))))(else (lambda (eta-0) (vector 1 e-6)))))) eff-2))))))))))) eff-1)))))))))
(define CoreC-45Termination-caseFn (lambda (arg-0) (case (vector-ref arg-0 0) ((6) 1) ((4) (let ((e-3 (vector-ref arg-0 2))) (CoreC-45Termination-caseFn e-3))) ((0) (let ((e-5 (vector-ref arg-0 2))) (CoreC-45Termination-caseFn e-5)))(else 0))))
(define CoreC-45Termination-calculateSizeChange (lambda (arg-0 arg-1 arg-2) (let ((eff-0 (let ((eff-0 (CoreC-45Context-toFullNames arg-0 (csegen-81) arg-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45ContextC-45Log-log arg-0 "totality.termination.sizechange" 5 (lambda () (string-append "Calculating Size Change: " (CoreC-45Name-u--show_Show_Name e-5)))))) eff-1))))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (unbox eff-2))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-lookupCtxtExact arg-2 (let ((e-0 (vector-ref e-6 0))) e-0)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (if (null? e-7) (CoreC-45Context-undefinedName arg-0 arg-1 arg-2) (let ((e-1 (unbox e-7))) (CoreC-45Termination-getSC arg-0 e-6 (let ((e-17 (vector-ref e-1 17))) e-17)))))) eff-3))))))))) eff-2))))))))) eff-1))))))))
(define CoreC-45Termination-calcTerminating (lambda (arg-0 arg-1 arg-2) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) arg-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45ContextC-45Log-log arg-0 "totality.termination.calc" 7 (lambda () (string-append "Calculating termination: " (CoreC-45Name-u--show_Show_Name e-6)))))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45Context-lookupCtxtExact arg-2 (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (if (null? e-7) (CoreC-45Context-undefinedName arg-0 arg-1 arg-2) (let ((e-2 (unbox e-7))) (let ((eff-3 (CoreC-45Termination-n--13568-12025-u--addCases arg-2 arg-1 arg-0 e-5 (LibrariesC-45DataC-45NameMap-keys (CoreC-45ContextC-45Context-refersTo e-2))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-3 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Termination-totRefs arg-0 e-5 (DataC-45List-nub (csegen-1008) e-8)))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-3 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (case (vector-ref e-9 0) ((1) (let ((u--ty (let ((e-27 (vector-ref e-2 2))) e-27))) (let ((eff-5 (CoreC-45Core-newRef (vector "Core.Termination.APos" ) (CoreC-45Termination-firstArg)))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-3 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-10 (vector-ref lcase-5 1))) (let ((eff-6 (let ((eff-6 (let ((eff-6 (CoreC-45Normalise-getArity arg-0 '() e-5 '() u--ty))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-3 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-11 (vector-ref lcase-6 1))) (let ((eff-7 (CoreC-45Termination-initArgs e-10 e-11))) eff-7))))))))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-3 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-11 (vector-ref lcase-6 1))) (let ((eff-7 (let ((eff-7 (CoreC-45Core-newRef (vector "Core.Termination.Explored" ) (LibrariesC-45DataC-45SortedMap-empty (vector (csegen-2858) (lambda (arg-1418) (lambda (arg-1421) (PreludeC-45EqOrd-u--compare_Ord_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-1609) (csegen-2883) arg-1418 arg-1421))) (lambda (arg-1428) (lambda (arg-1431) (PreludeC-45EqOrd-u--C-60_Ord_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-1609) (csegen-2883) arg-1428 arg-1431))) (lambda (arg-1438) (lambda (arg-1441) (PreludeC-45EqOrd-u--C-62_Ord_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-1609) (csegen-2883) arg-1438 arg-1441))) (lambda (arg-1448) (lambda (arg-1451) (PreludeC-45EqOrd-u--C-60C-61_Ord_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-1609) (csegen-2883) arg-1448 arg-1451))) (lambda (arg-1458) (lambda (arg-1461) (PreludeC-45EqOrd-u--C-62C-61_Ord_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-1609) (csegen-2883) arg-1458 arg-1461))) (lambda (arg-1468) (lambda (arg-1471) (PreludeC-45EqOrd-u--max_Ord_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-1609) (csegen-2883) arg-1468 arg-1471))) (lambda (arg-1478) (lambda (arg-1481) (PreludeC-45EqOrd-u--min_Ord_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-1609) (csegen-2883) arg-1478 arg-1481)))))))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-3 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-12 (vector-ref lcase-7 1))) (let ((eff-8 (CoreC-45Termination-checkSC e-10 arg-0 e-12 e-5 arg-2 e-11 '()))) eff-8))))))))) eff-7))))))))) eff-6)))))))))(else (lambda (eta-0) (vector 1 e-9)))))) eff-5))))))))) eff-4))))))))))) eff-3))))))))) eff-2)))))))) eff-1)))))))))
(define CoreC-45Termination-calcPositive (lambda (arg-0 arg-1 arg-2) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) arg-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45ContextC-45Log-log arg-0 "totality.positivity" 6 (lambda () (string-append "Calculating positivity: " (CoreC-45Name-u--show_Show_Name e-6)))))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45Context-lookupDefTyExact arg-2 (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (if (null? e-7) (CoreC-45Context-undefinedName arg-0 arg-1 arg-2) (let ((e-1 (unbox e-7))) (if (null? e-1) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 arg-1 (string-append (CoreC-45Name-u--show_Show_Name arg-2) (csegen-2895))) eta-0)) (let ((e-9 (car e-1))) (let ((e-8 (cdr e-1))) (case (vector-ref e-9 0) ((6) (let ((e-12 (vector-ref e-9 6))) (let ((e-13 (vector-ref e-9 7))) (let ((eff-3 (CoreC-45Termination-totRefsIn arg-0 e-5 e-8))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-18 (vector-ref lcase-3 1))) (let ((eff-4 (case (vector-ref e-18 0) ((1) (let ((eff-4 (let ((eff-4 (CoreC-45Context-toFullNames arg-0 (csegen-81) arg-2))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-19 (vector-ref lcase-4 1))) (let ((eff-5 (CoreC-45ContextC-45Log-log arg-0 (csegen-2823) 30 (lambda () (string-append ((csegen-0) "Now checking constructors of ") (CoreC-45Name-u--show_Show_Name e-19)))))) eff-5))))))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-5 (let ((eff-5 (CoreC-45Termination-checkData arg-0 e-5 (cons arg-2 e-12) e-13))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-20 (vector-ref lcase-5 1))) (let ((eff-6 (lambda (eta-0) (vector 1 (cons e-20 e-13))))) eff-6))))))))) eff-5)))))))(else (lambda (eta-0) (vector 1 (cons e-18 e-13))))))) eff-4))))))))))(else (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 arg-1 (string-append (CoreC-45Name-u--show_Show_Name arg-2) (csegen-2895))) eta-0))))))))))) eff-3))))))))) eff-2)))))))) eff-1)))))))))
(define CoreC-45Termination-assertedSmaller (lambda (arg-1 arg-2) (if (null? arg-1) 0 (let ((e-1 (unbox arg-1))) (CoreC-45Termination-scEq e-1 arg-2)))))
(define CoreC-45Termination-asserted (lambda (arg-1 arg-2) (CoreC-45Termination-case--asserted-9402 arg-2 arg-1 (CoreC-45TT-getFnArgs arg-2))))
(define TTImpC-45ProcessType-case--findInferrableC-44findInf-6235 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (lambda (clam-0) (if (null? arg-7) (vector 1 arg-6) (let ((e-2 (unbox arg-7))) (let ((sc1 (PreludeC-45Types-elem (csegen-16) (csegen-1338) e-2 arg-6))) (cond ((equal? sc1 1) (vector 1 arg-6)) (else (vector 1 (cons e-2 arg-6))))))))))
(define TTImpC-45ProcessType-case--processFnOptC-44insertDeps-4421 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9) (if (null? arg-9) (TTImpC-45ProcessType-n--10599-4388-u--insertDeps arg-0 arg-1 arg-2 arg-3 arg-4 arg-8 arg-7 arg-6) (let ((e-2 (unbox arg-9))) (let ((sc1 (PreludeC-45Types-elem (csegen-16) (csegen-1338) e-2 arg-8))) (cond ((equal? sc1 1) (TTImpC-45ProcessType-n--10599-4388-u--insertDeps arg-0 arg-1 arg-2 arg-3 arg-4 arg-8 arg-7 arg-6)) (else (TTImpC-45ProcessType-n--10599-4388-u--insertDeps arg-0 arg-1 arg-2 arg-3 arg-4 (cons e-2 arg-8) arg-7 arg-6))))))))
(define TTImpC-45ProcessType-n--10822-4884-u--splitPs (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14) (if (null? arg-14) (cons '() '()) (let ((e-2 (car arg-14))) (let ((e-3 (cdr arg-14))) (let ((sc1 (TTImpC-45ProcessType-n--10822-4884-u--splitPs arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 (+ arg-12 1) arg-13 e-3))) (let ((e-5 (car sc1))) (let ((e-4 (cdr sc1))) (let ((sc2 (PreludeC-45Types-elem (csegen-16) (csegen-1338) arg-12 arg-13))) (cond ((equal? sc2 1) (cons (cons e-2 e-5) e-4)) (else (cons e-5 (cons e-2 e-4)))))))))))))
(define TTImpC-45ProcessType-n--13539-6956-u--isNested (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20 arg-21 arg-22 arg-23 arg-24 arg-25 arg-26 arg-27 arg-28 arg-29 arg-30 arg-31 arg-32) (case (vector-ref arg-32 0) ((5) 1) ((0) (let ((e-3 (vector-ref arg-32 2))) (TTImpC-45ProcessType-n--13539-6956-u--isNested arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20 arg-21 arg-22 arg-23 arg-24 arg-25 arg-26 arg-27 arg-28 arg-29 arg-30 arg-31 e-3)))(else 0))))
(define TTImpC-45ProcessType-n--10599-4388-u--insertDeps (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (if (null? arg-7) arg-5 (let ((e-2 (car arg-7))) (let ((e-3 (cdr arg-7))) (TTImpC-45ProcessType-case--processFnOptC-44insertDeps-4421 arg-0 arg-1 arg-2 arg-3 arg-4 e-2 e-3 arg-6 arg-5 (DataC-45List-lookup (csegen-1008) e-2 arg-6)))))))
(define TTImpC-45ProcessType-n--10599-4393-u--getNamePos (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (case (vector-ref arg-6 0) ((0) (let ((e-1 (vector-ref arg-6 1))) (let ((e-2 (vector-ref arg-6 2))) (let ((e-3 (vector-ref arg-6 3))) (let ((e-4 (vector-ref arg-6 4))) (case (vector-ref e-3 0) ((2) (let ((eff-0 (let ((eff-0 arg-4)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 ((e-4 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 e-1 (vector 0 )))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-10 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-1 1))) (let ((eff-2 (TTImpC-45ProcessType-n--10599-4393-u--getNamePos arg-0 arg-1 arg-2 arg-3 arg-4 (+ arg-5 1) e-10))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-10 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (cons (cons e-2 arg-5) e-10))))) eff-2))))))))) eff-1))))))))(else (lambda (eta-0) (vector 1 '())))))))))(else (lambda (eta-0) (vector 1 '()))))))
(define TTImpC-45ProcessType-n--10599-4390-u--getDepsArgs (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (if (null? arg-6) (lambda (eta-0) (vector 1 arg-7)) (let ((e-2 (car arg-6))) (let ((e-3 (cdr arg-6))) (let ((eff-0 (TTImpC-45ProcessType-n--10599-4391-u--getDeps arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-2 arg-7))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45ProcessType-n--10599-4390-u--getDepsArgs arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-3 e-5))) eff-1))))))))))))
(define TTImpC-45ProcessType-n--10599-4391-u--getDeps (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (case (vector-ref arg-6 0) ((0) (let ((e-3 (vector-ref arg-6 3))) (let ((e-4 (vector-ref arg-6 4))) (case (vector-ref e-3 0) ((2) (let ((e-29 (vector-ref e-3 4))) (let ((eff-0 (let ((eff-0 arg-4)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-4 '() e-5 e-29))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-6 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (TTImpC-45ProcessType-n--10599-4391-u--getDeps arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-6 arg-7))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-6 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 ((e-4 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 arg-3 (vector 0 )))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-7 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (TTImpC-45ProcessType-n--10599-4391-u--getDeps arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-7 e-6))) eff-3))))))))) eff-2))))))))) eff-1)))))))))(else (let ((eff-0 (let ((eff-0 arg-4)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-4 '() e-5 (CoreC-45TT-binderType e-3)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-6 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (TTImpC-45ProcessType-n--10599-4391-u--getDeps arg-0 arg-1 arg-2 arg-3 arg-4 0 e-6 arg-7))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-6 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((eff-2 (let ((eff-2 ((e-4 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 arg-3 (vector 0 )))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-7 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (TTImpC-45ProcessType-n--10599-4391-u--getDeps arg-0 arg-1 arg-2 arg-3 arg-4 0 e-7 arg-7))) eff-3))))))))) eff-2)))))))) eff-1)))))))))))) ((1) (let ((e-7 (vector-ref arg-6 2))) (let ((e-8 (vector-ref arg-6 3))) (case (vector-ref e-7 0) ((1) (let ((e-31 (vector-ref e-7 1))) (let ((e-32 (vector-ref e-7 2))) (case (vector-ref e-31 0) ((0) (let ((eff-0 (let ((eff-0 arg-4)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-4 '() e-5 (Builtin-snd eta-0))) e-8 '()))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-1 1))) (let ((eff-2 (TTImpC-45ProcessType-n--10599-4390-u--getDepsArgs arg-0 arg-1 arg-2 arg-3 arg-4 0 e-9 arg-7))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (LibrariesC-45DataC-45NameMap-insert e-32 arg-5 e-9))))) eff-2))))))))) eff-1))))))))(else (lambda (eta-0) (vector 1 arg-7)))))))(else (lambda (eta-0) (vector 1 arg-7))))))) ((2) (let ((e-14 (vector-ref arg-6 5))) (let ((eff-0 (let ((eff-0 arg-4)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-4 '() e-5 (Builtin-snd eta-0))) e-14 '()))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (TTImpC-45ProcessType-n--10599-4390-u--getDepsArgs arg-0 arg-1 arg-2 arg-3 arg-4 0 e-6 arg-7))) eff-2))))))))) eff-1))))))))) ((3) (let ((e-16 (vector-ref arg-6 1))) (let ((e-17 (vector-ref arg-6 2))) (let ((e-18 (vector-ref arg-6 3))) (let ((e-19 (vector-ref arg-6 4))) (let ((e-20 (vector-ref arg-6 5))) (let ((eff-0 (let ((eff-0 arg-4)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 (CoreC-45Context-lookupDefExact e-17 (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (clam-0) (if (null? e-6) (vector 1 '()) (let ((e-1 (unbox e-6))) (case (vector-ref e-1 0) ((6) (let ((e-4 (vector-ref e-1 3))) (vector 1 e-4)))(else (vector 1 '())))))))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((sc3 (TTImpC-45ProcessType-n--10822-4884-u--splitPs arg-0 arg-1 arg-2 arg-3 arg-4 e-16 e-20 e-19 e-18 e-17 arg-7 arg-5 0 e-6 ((csegen-947) e-20)))) (let ((e-2 (car sc3))) (let ((e-3 (cdr sc3))) (let ((eff-2 (let ((eff-2 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-4 '() e-5 eta-0)) e-2 '()))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (TTImpC-45ProcessType-n--10599-4390-u--getDepsArgs arg-0 arg-1 arg-2 arg-3 arg-4 1 e-7 arg-7))) eff-3))))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-4 '() e-5 eta-0)) e-3 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-4 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (TTImpC-45ProcessType-n--10599-4390-u--getDepsArgs arg-0 arg-1 arg-2 arg-3 arg-4 0 e-8 e-7))) eff-4))))))))) eff-3)))))))))))) eff-2))))))))) eff-1))))))))))))) ((5) (let ((e-24 (vector-ref arg-6 3))) (TTImpC-45ProcessType-n--10599-4391-u--getDeps arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-24 arg-7)))(else (lambda (eta-0) (vector 1 arg-7))))))
(define TTImpC-45ProcessType-n--12395-5942-u--getConvention (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12) (let ((sc0 (DataC-45String-split (csegen-1358) arg-12))) (if (null? sc0) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 arg-6 "Invalid calling convention") eta-0)) (let ((e-1 (car sc0))) (let ((e-2 (cdr sc0))) (lambda (clam-0) (if (null? e-2) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 arg-6 "Invalid calling convention") clam-0) (let ((e-4 (car e-2))) (let ((e-5 (cdr e-2))) (if (null? e-5) (vector 1 (cons (DataC-45String-trim e-1) (DataC-45String-trim e-4))) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 arg-6 "Invalid calling convention") clam-0))))))))))))
(define TTImpC-45ProcessType-n--12779-6184-u--findInfs (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (if (null? arg-5) (lambda (eta-0) (vector 1 arg-3)) (let ((e-2 (car arg-5))) (let ((e-3 (cdr arg-5))) (let ((eff-0 (TTImpC-45ProcessType-n--12779-6184-u--findInfs arg-0 arg-1 arg-2 arg-3 arg-4 e-3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45ProcessType-n--12779-6183-u--findInf arg-0 arg-1 arg-2 e-5 arg-4 e-2))) eff-1))))))))))))
(define TTImpC-45ProcessType-n--12779-6183-u--findInf (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (case (vector-ref arg-5 0) ((1) (let ((e-1 (vector-ref arg-5 1))) (let ((e-2 (vector-ref arg-5 2))) (let ((e-3 (vector-ref arg-5 3))) (case (vector-ref e-2 0) ((1) (let ((e-21 (vector-ref e-2 1))) (let ((e-22 (vector-ref e-2 2))) (case (vector-ref e-21 0) ((0) (if (null? e-3) (TTImpC-45ProcessType-case--findInferrableC-44findInf-6235 arg-0 arg-1 arg-2 e-1 e-22 arg-4 arg-3 (DataC-45List-lookup (csegen-1008) e-22 arg-4)) (lambda (eta-0) (vector 1 arg-3))))(else (lambda (eta-0) (vector 1 arg-3)))))))(else (lambda (eta-0) (vector 1 arg-3)))))))) ((2) (let ((e-9 (vector-ref arg-5 5))) (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-2 '() arg-1 (Builtin-snd eta-0))) e-9 '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-10 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45ProcessType-n--12779-6184-u--findInfs arg-0 arg-1 arg-2 arg-3 arg-4 e-10))) eff-1))))))))) ((3) (let ((e-15 (vector-ref arg-5 5))) (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-2 '() arg-1 (Builtin-snd eta-0))) e-15 '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45ProcessType-n--12779-6184-u--findInfs arg-0 arg-1 arg-2 arg-3 arg-4 e-5))) eff-1))))))))) ((5) (let ((e-19 (vector-ref arg-5 3))) (TTImpC-45ProcessType-n--12779-6183-u--findInf arg-0 arg-1 arg-2 arg-3 arg-4 e-19)))(else (lambda (eta-0) (vector 1 arg-3))))))
(define TTImpC-45ProcessType-n--12779-6185-u--fi (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (case (vector-ref arg-7 0) ((0) (let ((e-1 (vector-ref arg-7 1))) (let ((e-3 (vector-ref arg-7 3))) (let ((e-4 (vector-ref arg-7 4))) (case (vector-ref e-3 0) ((2) (let ((e-9 (vector-ref e-3 4))) (let ((u--argn (vector 2 "inf" arg-4))) (let ((eff-0 ((e-4 arg-1) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 1 e-1 (vector 0 ) u--argn))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-2 '() arg-1 e-9))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-10 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-1 1))) (let ((eff-2 (TTImpC-45ProcessType-n--12779-6183-u--findInf arg-0 arg-1 arg-2 arg-6 arg-5 e-10))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-10 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45ProcessType-n--12779-6185-u--fi arg-0 arg-1 arg-2 (+ arg-3 1) (bs+ (blodwen-toSignedInt 1 63) arg-4 63) (cons (cons u--argn arg-3) arg-5) e-10 e-5))) (PrimIO-io_bind eff-2 (csegen-1313))))) eff-2))))))))) eff-1))))))))))(else (TTImpC-45ProcessType-n--12779-6183-u--findInf arg-0 arg-1 arg-2 arg-6 arg-5 arg-7)))))))(else (TTImpC-45ProcessType-n--12779-6183-u--findInf arg-0 arg-1 arg-2 arg-6 arg-5 arg-7)))))
(define TTImpC-45ProcessType-n--10599-4392-u--collectSpec (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8) (case (vector-ref arg-8 0) ((0) (let ((e-1 (vector-ref arg-8 1))) (let ((e-2 (vector-ref arg-8 2))) (let ((e-3 (vector-ref arg-8 3))) (let ((e-4 (vector-ref arg-8 4))) (case (vector-ref e-3 0) ((2) (let ((e-9 (vector-ref e-3 4))) (let ((eff-0 (let ((eff-0 arg-4)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (lambda (eta-0) (CoreC-45Context-clearDefs e-5 eta-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-10 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((eff-2 (let ((eff-2 ((e-4 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 1 e-1 (vector 0 ) e-2))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-11 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-2 1))) (let ((eff-3 (let ((sc5 (PreludeC-45Types-elem (csegen-16) (csegen-1008) e-2 arg-1))) (cond ((equal? sc5 1) (let ((eff-3 (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-4 '() e-5 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-12 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-12)))) (else (let ((e-12 (vector-ref lcase-3 1))) (let ((eff-4 (TTImpC-45ProcessType-n--10599-4391-u--getDeps arg-0 arg-1 arg-2 arg-3 arg-4 1 e-12 (LibrariesC-45DataC-45NameMap-empty)))) eff-4))))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-12 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-12)))) (else (let ((e-12 (vector-ref lcase-3 1))) (let ((eff-4 (let ((u--rs (PreludeC-45TypesC-45List-filterAppend '() (lambda (u--x) (let ((sc7 (Builtin-snd u--x))) (cond ((equal? sc7 1) 1) (else (let ((sc8 (PreludeC-45Types-elem (csegen-16) (csegen-1008) (Builtin-fst u--x) arg-6))) (cond ((equal? sc8 1) 0) (else 1))))))) (LibrariesC-45DataC-45NameMap-toList e-12)))) (let ((u--accC-39 (TTImpC-45ProcessType-n--10599-4388-u--insertDeps arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-7 (cons e-2 ((csegen-101) u--rs))))) (TTImpC-45ProcessType-n--10599-4392-u--collectSpec arg-0 arg-1 arg-2 arg-3 arg-4 u--accC-39 arg-6 arg-7 e-11))))) eff-4)))))))) (else (TTImpC-45ProcessType-n--10599-4392-u--collectSpec arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-11)))))) eff-3))))))))) eff-2)))))))) eff-1)))))))))(else (lambda (eta-0) (vector 1 arg-5)))))))))(else (lambda (eta-0) (vector 1 arg-5))))))
(define TTImpC-45ProcessType-n--10599-4389-u--collectDDeps (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (case (vector-ref arg-5 0) ((0) (let ((e-1 (vector-ref arg-5 1))) (let ((e-2 (vector-ref arg-5 2))) (let ((e-3 (vector-ref arg-5 3))) (let ((e-4 (vector-ref arg-5 4))) (case (vector-ref e-3 0) ((2) (let ((e-9 (vector-ref e-3 4))) (let ((eff-0 (let ((eff-0 arg-4)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (lambda (eta-0) (CoreC-45Context-clearDefs e-5 eta-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-10 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 ((e-4 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 1 e-1 (vector 0 ) e-2))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-11 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-2 1))) (let ((eff-3 (let ((sc5 (PreludeC-45Types-elem (csegen-16) (csegen-1008) e-2 arg-1))) (cond ((equal? sc5 1) (TTImpC-45ProcessType-n--10599-4389-u--collectDDeps arg-0 arg-1 arg-2 arg-3 arg-4 e-11)) (else (let ((eff-3 (CoreC-45NormaliseC-45Quote-u--quote_Quote_Closure arg-4 '() e-10 '() e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-12 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-12)))) (else (let ((e-12 (vector-ref lcase-3 1))) (let ((eff-4 (let ((u--deps (LibrariesC-45DataC-45NameMap-keys (CoreC-45TT-getRefs (vector 1 (vector 2 )) e-12)))) (let ((eff-4 (TTImpC-45ProcessType-n--10599-4389-u--collectDDeps arg-0 arg-1 arg-2 arg-3 arg-4 e-11))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-13 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (PreludeC-45TypesC-45List-tailRecAppend e-13 u--deps))))) eff-5)))))))))) eff-4)))))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))(else (lambda (eta-0) (vector 1 '())))))))))(else (lambda (eta-0) (vector 1 '()))))))
(define TTImpC-45ProcessType-throwIfHasFlag (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (let ((eff-0 (CoreC-45Context-hasFlag arg-0 arg-1 arg-2 arg-3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (clam-0) (cond ((equal? e-5 1) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 arg-1 arg-4) clam-0)) (else (vector 1 (vector 0 ))))))) eff-1)))))))))
(define TTImpC-45ProcessType-processType (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13) (let ((e-1 (vector-ref arg-13 0))) (let ((e-2 (vector-ref arg-13 1))) (let ((e-3 (vector-ref arg-13 2))) (let ((e-4 (vector-ref arg-13 3))) (let ((eff-0 (CoreC-45Context-inCurrentNS arg-1 e-3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Metadata-addNameLoc arg-2 arg-1 e-2 e-5))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-6 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45ContextC-45Log-log arg-1 "declare.type" 1 (lambda () (string-append "Processing " (CoreC-45Name-u--show_Show_Name e-5)))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-7 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((eff-3 (let ((eff-3 (CoreC-45ContextC-45Log-log arg-1 "declare.type" 5 (lambda () (DataC-45String-unwords (cons "Checking type decl:" (cons (AlgebraC-45ZeroOneOmega-u--show_Show_ZeroOneOmega arg-10) (cons (CoreC-45Name-u--show_Show_Name e-5) (cons ":" (cons (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 (csegen-100) e-4) '())))))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-8 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((eff-4 (let ((eff-4 (CoreC-45Context-resolveName arg-1 e-5))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-9 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (let ((eff-5 (let ((eff-5 arg-1)) (PrimIO-io_bind (let ((eff-6 eff-5)) (lambda (eta-0) (unbox eff-6))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-10 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-5 1))) (let ((eff-6 (let ((eff-6 (CoreC-45Context-lookupCtxtExact (vector 8 e-9) (let ((e-0 (vector-ref e-10 0))) e-0)))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-11 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-6 1))) (let ((eff-7 (if (null? e-11) (let ((eff-7 (TTImpC-45ElabC-45Check-uniVar arg-1 arg-3 arg-9))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-12 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-12)))) (else (let ((e-12 (vector-ref lcase-7 1))) (let ((eff-8 (let ((eff-8 (TTImpC-45ElabC-45Utils-wrapErrorC arg-6 (lambda (eta-0) (vector 66 arg-9 e-5 eta-0)) (TTImpC-45Elab-checkTerm arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-9 (vector 0 ) (cons 0 arg-6) arg-7 arg-8 (vector 16 arg-9 (csegen-2897) e-4) (CoreC-45NormaliseC-45Eval-gType arg-9 e-12))))) (PrimIO-io_bind eff-8 (lambda (lcase-8) (case (vector-ref lcase-8 0) ((0) (let ((e-13 (vector-ref lcase-8 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-8 1))) (let ((eff-9 (let ((eff-9 (CoreC-45Normalise-logTermNF '() arg-1 (csegen-2898) 3 (lambda () (string-append "Type of " (CoreC-45Name-u--show_Show_Name e-5))) '() (CoreC-45Env-abstractFullEnvType arg-0 e-1 arg-8 e-13)))) (PrimIO-io_bind eff-9 (lambda (lcase-9) (case (vector-ref lcase-9 0) ((0) (let ((e-14 (vector-ref lcase-9 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((eff-10 (let ((eff-10 (TTImpC-45ProcessType-initDef arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-9 e-5 arg-8 e-13 arg-12))) (PrimIO-io_bind eff-10 (lambda (lcase-10) (case (vector-ref lcase-10 0) ((0) (let ((e-15 (vector-ref lcase-10 1))) (lambda (eta-0) (vector 0 e-15)))) (else (let ((e-15 (vector-ref lcase-10 1))) (let ((eff-11 (let ((u--fullty (CoreC-45Env-abstractFullEnvType arg-0 e-1 arg-8 e-13))) (let ((eff-11 (TTImpC-45ElabC-45Utils-findErased arg-1 u--fullty))) (PrimIO-io_bind eff-11 (lambda (lcase-11) (case (vector-ref lcase-11 0) ((0) (let ((e-16 (vector-ref lcase-11 1))) (lambda (eta-0) (vector 0 e-16)))) (else (let ((e-16 (vector-ref lcase-11 1))) (let ((eff-12 (let ((_-0 '())) (let ((e-18 (car e-16))) (let ((e-17 (cdr e-16))) (let ((eff-12 (let ((eff-12 arg-1)) (PrimIO-io_bind (let ((eff-13 eff-12)) (lambda (eta-0) (unbox eff-13))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-12 (lambda (lcase-12) (case (vector-ref lcase-12 0) ((0) (let ((e-19 (vector-ref lcase-12 1))) (lambda (eta-0) (vector 0 e-19)))) (else (let ((e-19 (vector-ref lcase-12 1))) (let ((eff-13 (let ((eff-13 (lambda (eta-0) (CoreC-45Context-clearDefs e-19 eta-0)))) (PrimIO-io_bind eff-13 (lambda (lcase-13) (case (vector-ref lcase-13 0) ((0) (let ((e-20 (vector-ref lcase-13 1))) (lambda (eta-0) (vector 0 e-20)))) (else (let ((e-20 (vector-ref lcase-13 1))) (let ((eff-14 (let ((eff-14 (let ((eff-14 (CoreC-45NormaliseC-45Eval-nf arg-1 '() e-19 '() u--fullty))) (PrimIO-io_bind eff-14 (lambda (lcase-14) (case (vector-ref lcase-14 0) ((0) (let ((e-21 (vector-ref lcase-14 1))) (lambda (eta-0) (vector 0 e-21)))) (else (let ((e-21 (vector-ref lcase-14 1))) (let ((eff-15 (TTImpC-45ProcessType-findInferrable arg-1 e-20 e-21))) eff-15))))))))) (PrimIO-io_bind eff-14 (lambda (lcase-14) (case (vector-ref lcase-14 0) ((0) (let ((e-21 (vector-ref lcase-14 1))) (lambda (eta-0) (vector 0 e-21)))) (else (let ((e-21 (vector-ref lcase-14 1))) (let ((eff-15 (let ((eff-15 (let ((eff-15 (CoreC-45Context-addDef arg-1 (vector 8 e-9) (let ((sc17 (CoreC-45Context-newDef arg-9 e-5 arg-10 arg-0 u--fullty arg-11 e-15))) (let ((e-0 (vector-ref sc17 0))) (let ((e-42 (vector-ref sc17 1))) (let ((e-41 (vector-ref sc17 2))) (let ((e-38 (vector-ref sc17 5))) (let ((e-36 (vector-ref sc17 7))) (let ((e-35 (vector-ref sc17 8))) (let ((e-34 (vector-ref sc17 9))) (let ((e-33 (vector-ref sc17 10))) (let ((e-32 (vector-ref sc17 11))) (let ((e-31 (vector-ref sc17 12))) (let ((e-30 (vector-ref sc17 13))) (let ((e-29 (vector-ref sc17 14))) (let ((e-28 (vector-ref sc17 15))) (let ((e-27 (vector-ref sc17 16))) (let ((e-26 (vector-ref sc17 17))) (let ((e-25 (vector-ref sc17 18))) (let ((e-24 (vector-ref sc17 19))) (let ((e-23 (vector-ref sc17 20))) (let ((e-22 (vector-ref sc17 21))) (vector e-0 e-42 e-41 e-18 e-17 e-38 e-21 e-36 e-35 e-34 e-33 e-32 e-31 e-30 e-29 e-28 e-27 e-26 e-25 e-24 e-23 e-22)))))))))))))))))))))))) (((csegen-50) ((let ((eff-16 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-22 (vector-ref eta-3 1))) (vector 0 e-22))) (else (let ((e-22 (vector-ref eta-3 1))) (vector 1 (eta-2 e-22))))))))))) (lambda (arg-14) (lambda (arg-15) ((((eff-16 'erased) 'erased) arg-14) arg-15)))) (lambda (_-8679) (vector 0 )))) eff-15)))) (PrimIO-io_bind eff-15 (lambda (lcase-15) (case (vector-ref lcase-15 0) ((0) (let ((e-22 (vector-ref lcase-15 1))) (lambda (eta-0) (vector 0 e-22)))) (else (let ((eff-16 (let ((eff-16 (let ((sc18 (PreludeC-45Types-elem (csegen-16) (csegen-2901) 1 arg-6))) (cond ((equal? sc18 1) (lambda (eta-0) (vector 1 (vector 0 )))) (else (CoreC-45Context-setLinearCheck arg-1 e-9 1)))))) (PrimIO-io_bind eff-16 (lambda (lcase-16) (case (vector-ref lcase-16 0) ((0) (let ((e-23 (vector-ref lcase-16 1))) (lambda (eta-0) (vector 0 e-23)))) (else (let ((eff-17 (let ((eff-17 (CoreC-45ContextC-45Log-log arg-1 (csegen-2898) 2 (lambda () (string-append ((csegen-0) "Setting options for ") (string-append (CoreC-45Name-u--show_Show_Name e-5) (string-append ": " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (cons (lambda (u--x) (TTImpC-45TTImp-u--show_Show_C-40FnOptC-39C-32C-36nmC-41 (csegen-100) u--x)) (lambda (u--d) (lambda (u--x) (TTImpC-45TTImp-u--showPrec_Show_C-40FnOptC-39C-32C-36nmC-41 (csegen-100) u--d u--x)))) arg-12)))))))) (PrimIO-io_bind eff-17 (lambda (lcase-17) (case (vector-ref lcase-17 0) ((0) (let ((e-24 (vector-ref lcase-17 1))) (lambda (eta-0) (vector 0 e-24)))) (else (let ((eff-18 (let ((u--name (vector 8 e-9))) (let ((eff-18 (CoreC-45Core-traverse_ (lambda (eta-0) (TTImpC-45ProcessType-processFnOpt arg-1 arg-9 (let ((sc20 (TTImpC-45ProcessType-n--13539-6956-u--isNested e-4 e-3 e-2 e-1 arg-12 arg-11 arg-10 arg-9 arg-0 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 e-5 e-9 e-10 _-0 e-12 e-13 e-15 u--fullty e-18 e-17 e-16 e-19 e-20 e-21 u--name e-5))) (cond ((equal? sc20 1) 0) (else 1))) u--name eta-0)) arg-12))) (PrimIO-io_bind eff-18 (lambda (lcase-18) (case (vector-ref lcase-18 0) ((0) (let ((e-25 (vector-ref lcase-18 1))) (lambda (eta-0) (vector 0 e-25)))) (else (let ((eff-19 (let ((eff-19 (let ((eff-19 (CoreC-45Context-getDefaultTotalityOption arg-1))) (PrimIO-io_bind eff-19 (lambda (lcase-19) (case (vector-ref lcase-19 0) ((0) (let ((e-26 (vector-ref lcase-19 1))) (lambda (eta-0) (vector 0 e-26)))) (else (let ((e-26 (vector-ref lcase-19 1))) (let ((eff-20 (let ((sc22 (PreludeC-45Interfaces-any (csegen-16) (lambda (eta-0) (TTImpC-45TTImp-isTotalityReq eta-0)) arg-12))) (cond ((equal? sc22 1) (lambda (eta-0) (vector 1 (vector 0 )))) (else (CoreC-45Context-setFlag arg-1 arg-9 u--name (vector 6 e-26))))))) eff-20))))))))) (PrimIO-io_bind eff-19 (lambda (lcase-19) (case (vector-ref lcase-19 0) ((0) (let ((e-26 (vector-ref lcase-19 1))) (lambda (eta-0) (vector 0 e-26)))) (else (let ((eff-20 (let ((eff-20 (CoreC-45Metadata-addTyDecl arg-0 arg-1 arg-2 arg-9 (vector 8 e-9) arg-8 e-13))) (PrimIO-io_bind eff-20 (lambda (lcase-20) (case (vector-ref lcase-20 0) ((0) (let ((e-27 (vector-ref lcase-20 1))) (lambda (eta-0) (vector 0 e-27)))) (else (let ((eff-21 (let ((eff-21 (CoreC-45ContextC-45Log-log arg-1 (csegen-2906) 7 (lambda () ((csegen-0) "processType is adding \x2193;"))))) (PrimIO-io_bind eff-21 (lambda (lcase-21) (case (vector-ref lcase-21 0) ((0) (let ((e-28 (vector-ref lcase-21 1))) (lambda (eta-0) (vector 0 e-28)))) (else (let ((eff-22 (let ((eff-22 (CoreC-45Metadata-addNameType arg-0 arg-1 arg-2 e-2 (vector 8 e-9) arg-8 e-13))) (PrimIO-io_bind eff-22 (lambda (lcase-22) (case (vector-ref lcase-22 0) ((0) (let ((e-29 (vector-ref lcase-22 1))) (lambda (eta-0) (vector 0 e-29)))) (else (let ((eff-23 (let ((eff-23 (CoreC-45Core-traverse_ (lambda (eta-0) (CoreC-45Context-addToSave arg-1 eta-0)) (LibrariesC-45DataC-45NameMap-keys (CoreC-45TT-getMetas e-13))))) (PrimIO-io_bind eff-23 (lambda (lcase-23) (case (vector-ref lcase-23 0) ((0) (let ((e-30 (vector-ref lcase-23 1))) (lambda (eta-0) (vector 0 e-30)))) (else (let ((eff-24 (let ((eff-24 (CoreC-45Context-addToSave arg-1 e-5))) (PrimIO-io_bind eff-24 (lambda (lcase-24) (case (vector-ref lcase-24 0) ((0) (let ((e-31 (vector-ref lcase-24 1))) (lambda (eta-0) (vector 0 e-31)))) (else (let ((eff-25 (let ((eff-25 (CoreC-45ContextC-45Log-log arg-1 (csegen-2898) 10 (lambda () (string-append (csegen-2908) (string-append (CoreC-45Name-u--show_Show_Name e-5) (string-append ": " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-100) (LibrariesC-45DataC-45NameMap-keys (CoreC-45TT-getMetas e-13)))))))))) (PrimIO-io_bind eff-25 (lambda (lcase-25) (case (vector-ref lcase-25 0) ((0) (let ((e-32 (vector-ref lcase-25 1))) (lambda (eta-0) (vector 0 e-32)))) (else (let ((eff-26 (let ((eff-26 (let ((sc28 (CoreC-45TT-u--C-47C-61_Eq_Visibility arg-11 0))) (cond ((equal? sc28 1) (let ((eff-26 (CoreC-45Context-addHashWithNames arg-1 (csegen-1682) (csegen-81) e-5))) (PrimIO-io_bind eff-26 (lambda (lcase-26) (case (vector-ref lcase-26 0) ((0) (let ((e-33 (vector-ref lcase-26 1))) (lambda (eta-0) (vector 0 e-33)))) (else (let ((eff-27 (let ((eff-27 (CoreC-45Context-addHashWithNames arg-1 (csegen-1699) (csegen-105) e-13))) (PrimIO-io_bind eff-27 (lambda (lcase-27) (case (vector-ref lcase-27 0) ((0) (let ((e-34 (vector-ref lcase-27 1))) (lambda (eta-0) (vector 0 e-34)))) (else (let ((eff-28 (CoreC-45ContextC-45Log-log arg-1 (csegen-2909) 15 (lambda () (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons ((csegen-0) "Adding hash for type with name ") (cons ((csegen-0) (CoreC-45Name-u--show_Show_Name e-5)) '()))))))) eff-28)))))))) eff-27))))))) (else (lambda (eta-0) (vector 1 (vector 0 )))))))) (PrimIO-io_bind eff-26 (lambda (lcase-26) (case (vector-ref lcase-26 0) ((0) (let ((e-33 (vector-ref lcase-26 1))) (lambda (eta-0) (vector 0 e-33)))) (else (let ((eff-27 (let ((eff-27 (CoreC-45Context-getSession arg-1))) (PrimIO-io_bind eff-27 (lambda (lcase-27) (case (vector-ref lcase-27 0) ((0) (let ((e-34 (vector-ref lcase-27 1))) (lambda (eta-0) (vector 0 e-34)))) (else (let ((e-34 (vector-ref lcase-27 1))) (let ((eff-28 (let ((sc30 (let ((e-39 (vector-ref e-34 19))) e-39))) (cond ((equal? sc30 1) (let ((sc31 (DataC-45List1-fromList (TTImpC-45ProcessType-checkForShadowing (LibrariesC-45DataC-45StringMap-empty) e-4)))) (if (null? sc31) (lambda (eta-0) (vector 1 (vector 0 ))) (let ((e-35 (unbox sc31))) (CoreC-45Context-recordWarning arg-1 (vector 3 arg-9 e-35)))))) (else (lambda (eta-0) (vector 1 (vector 0 )))))))) eff-28))))))))) eff-27)))))))) eff-26)))))))) eff-25)))))))) eff-24)))))))) eff-23)))))))) eff-22)))))))) eff-21)))))))) eff-20)))))))) eff-19))))))))) eff-18)))))))) eff-17)))))))) eff-16)))))))) eff-15))))))))) eff-14))))))))) eff-13)))))))))))) eff-12)))))))))) eff-11))))))))) eff-10)))))))) eff-9))))))))) eff-8))))))) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 39 arg-9 e-5) eta-0))))) eff-7))))))))) eff-6))))))))) eff-5))))))))) eff-4)))))))) eff-3)))))))) eff-2)))))))) eff-1)))))))))))))
(define TTImpC-45ProcessType-processFnOpt (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (case (vector-ref arg-4 0) ((0) (let ((eff-0 (TTImpC-45ProcessType-throwIfHasFlag arg-0 arg-1 arg-3 (vector 1 ) "%noinline and %inline are mutually exclusive"))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45Context-setFlag arg-0 arg-1 arg-3 (vector 0 )))) eff-1))))))) ((1) (let ((eff-0 (TTImpC-45ProcessType-throwIfHasFlag arg-0 arg-1 arg-3 (vector 0 ) "%inline and %noinline are mutually exclusive"))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45Context-setFlag arg-0 arg-1 arg-3 (vector 1 )))) eff-1))))))) ((2) (CoreC-45Context-setFlag arg-0 arg-1 arg-3 (vector 2 ))) ((3) (CoreC-45Context-setFlag arg-0 arg-1 arg-3 (vector 5 )))(else (cond ((equal? arg-2 1) (case (vector-ref arg-4 0) ((4) (let ((e-18 (vector-ref arg-4 1))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-lookupTyExact arg-3 (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-6) (CoreC-45Context-undefinedName arg-0 arg-1 arg-3) (let ((e-1 (unbox e-6))) (let ((eff-2 (let ((eff-2 (CoreC-45NormaliseC-45Eval-nf arg-0 '() e-5 '() e-1))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (TTImpC-45ProcessType-getRetTy e-5 e-7))) eff-3))))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (CoreC-45Context-addHintFor arg-0 arg-1 e-7 arg-3 e-18 0))) eff-3))))))))))) eff-2))))))))) eff-1)))))))))(else (case (vector-ref arg-4 0) ((4) (let ((eff-0 (let ((eff-0 (CoreC-45Context-toFullNames arg-0 (csegen-81) arg-3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45ContextC-45Log-log arg-0 "elab" 5 (lambda () (string-append "Adding local hint " (CoreC-45Name-u--show_Show_Name e-5)))))) eff-1))))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45Context-addLocalHint arg-0 arg-3))) eff-1)))))))(else (cond ((equal? arg-2 1) (case (vector-ref arg-4 0) ((5) (let ((e-14 (vector-ref arg-4 1))) (CoreC-45Context-addGlobalHint arg-0 arg-3 e-14)))(else (case (vector-ref arg-4 0) ((5) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 arg-1 "%globalhint is not valid in local definitions") eta-0))) ((6) (CoreC-45Context-setFlag arg-0 arg-1 arg-3 (vector 0 ))) ((7) (CoreC-45Context-setFlag arg-0 arg-1 arg-3 (vector 0 ))) ((8) (lambda (eta-0) (vector 1 (vector 0 )))) ((9) (CoreC-45Context-setFlag arg-0 arg-1 arg-3 (vector 3 ))) ((10) (let ((e-9 (vector-ref arg-4 1))) (CoreC-45Context-setFlag arg-0 arg-1 arg-3 (vector 6 e-9)))) ((11) (CoreC-45Context-setFlag arg-0 arg-1 arg-3 (vector 8 ))) (else (let ((e-12 (vector-ref arg-4 1))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-lookupCtxtExact arg-3 (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-6) (CoreC-45Context-undefinedName arg-0 arg-1 arg-3) (let ((e-1 (unbox e-6))) (let ((eff-2 (CoreC-45NormaliseC-45Eval-nf arg-0 '() e-5 '() (let ((e-2 (vector-ref e-1 2))) e-2)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (TTImpC-45ProcessType-n--10599-4393-u--getNamePos arg-2 e-12 arg-3 arg-1 arg-0 0 e-7))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (TTImpC-45ProcessType-n--10599-4389-u--collectDDeps arg-2 e-12 arg-3 arg-1 arg-0 e-7))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (let ((eff-5 (TTImpC-45ProcessType-n--10599-4392-u--collectSpec arg-2 e-12 arg-3 arg-1 arg-0 '() e-9 e-8 e-7))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-10 (vector-ref lcase-5 1))) (let ((eff-6 (let ((eff-6 (CoreC-45Context-addDef arg-0 arg-3 (let ((e-0 (vector-ref e-1 0))) (let ((e-29 (vector-ref e-1 1))) (let ((e-2 (vector-ref e-1 2))) (let ((e-3 (vector-ref e-1 3))) (let ((e-4 (vector-ref e-1 4))) (let ((e-27 (vector-ref e-1 6))) (let ((e-26 (vector-ref e-1 7))) (let ((e-25 (vector-ref e-1 8))) (let ((e-24 (vector-ref e-1 9))) (let ((e-23 (vector-ref e-1 10))) (let ((e-11 (vector-ref e-1 11))) (let ((e-22 (vector-ref e-1 12))) (let ((e-13 (vector-ref e-1 13))) (let ((e-14 (vector-ref e-1 14))) (let ((e-15 (vector-ref e-1 15))) (let ((e-16 (vector-ref e-1 16))) (let ((e-17 (vector-ref e-1 17))) (let ((e-18 (vector-ref e-1 18))) (let ((e-19 (vector-ref e-1 19))) (let ((e-20 (vector-ref e-1 20))) (let ((e-21 (vector-ref e-1 21))) (vector e-0 e-29 e-2 e-3 e-4 e-10 e-27 e-26 e-25 e-24 e-23 e-11 e-22 e-13 e-14 e-15 e-16 e-17 e-18 e-19 e-20 e-21))))))))))))))))))))))))) (((csegen-50) ((let ((eff-7 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-11 (vector-ref eta-3 1))) (vector 1 (eta-2 e-11))))))))))) (lambda (arg-5) (lambda (arg-6) ((((eff-7 'erased) 'erased) arg-5) arg-6)))) (lambda (_-8679) (vector 0 )))) eff-6)))) eff-6))))))))) eff-5))))))))) eff-4))))))))) eff-3))))))))))) eff-2))))))))) eff-1)))))))))))))(else (case (vector-ref arg-4 0) ((5) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 arg-1 "%globalhint is not valid in local definitions") eta-0))) ((6) (CoreC-45Context-setFlag arg-0 arg-1 arg-3 (vector 0 ))) ((7) (CoreC-45Context-setFlag arg-0 arg-1 arg-3 (vector 0 ))) ((8) (lambda (eta-0) (vector 1 (vector 0 )))) ((9) (CoreC-45Context-setFlag arg-0 arg-1 arg-3 (vector 3 ))) ((10) (let ((e-9 (vector-ref arg-4 1))) (CoreC-45Context-setFlag arg-0 arg-1 arg-3 (vector 6 e-9)))) ((11) (CoreC-45Context-setFlag arg-0 arg-1 arg-3 (vector 8 ))) (else (let ((e-12 (vector-ref arg-4 1))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-lookupCtxtExact arg-3 (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-6) (CoreC-45Context-undefinedName arg-0 arg-1 arg-3) (let ((e-1 (unbox e-6))) (let ((eff-2 (CoreC-45NormaliseC-45Eval-nf arg-0 '() e-5 '() (let ((e-2 (vector-ref e-1 2))) e-2)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (TTImpC-45ProcessType-n--10599-4393-u--getNamePos arg-2 e-12 arg-3 arg-1 arg-0 0 e-7))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (TTImpC-45ProcessType-n--10599-4389-u--collectDDeps arg-2 e-12 arg-3 arg-1 arg-0 e-7))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (let ((eff-5 (TTImpC-45ProcessType-n--10599-4392-u--collectSpec arg-2 e-12 arg-3 arg-1 arg-0 '() e-9 e-8 e-7))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-10 (vector-ref lcase-5 1))) (let ((eff-6 (let ((eff-6 (CoreC-45Context-addDef arg-0 arg-3 (let ((e-0 (vector-ref e-1 0))) (let ((e-29 (vector-ref e-1 1))) (let ((e-2 (vector-ref e-1 2))) (let ((e-3 (vector-ref e-1 3))) (let ((e-4 (vector-ref e-1 4))) (let ((e-27 (vector-ref e-1 6))) (let ((e-26 (vector-ref e-1 7))) (let ((e-25 (vector-ref e-1 8))) (let ((e-24 (vector-ref e-1 9))) (let ((e-23 (vector-ref e-1 10))) (let ((e-11 (vector-ref e-1 11))) (let ((e-22 (vector-ref e-1 12))) (let ((e-13 (vector-ref e-1 13))) (let ((e-14 (vector-ref e-1 14))) (let ((e-15 (vector-ref e-1 15))) (let ((e-16 (vector-ref e-1 16))) (let ((e-17 (vector-ref e-1 17))) (let ((e-18 (vector-ref e-1 18))) (let ((e-19 (vector-ref e-1 19))) (let ((e-20 (vector-ref e-1 20))) (let ((e-21 (vector-ref e-1 21))) (vector e-0 e-29 e-2 e-3 e-4 e-10 e-27 e-26 e-25 e-24 e-23 e-11 e-22 e-13 e-14 e-15 e-16 e-17 e-18 e-19 e-20 e-21))))))))))))))))))))))))) (((csegen-50) ((let ((eff-7 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-11 (vector-ref eta-3 1))) (vector 1 (eta-2 e-11))))))))))) (lambda (arg-5) (lambda (arg-6) ((((eff-7 'erased) 'erased) arg-5) arg-6)))) (lambda (_-8679) (vector 0 )))) eff-6)))) eff-6))))))))) eff-5))))))))) eff-4))))))))) eff-3))))))))))) eff-2))))))))) eff-1)))))))))))))))))(else (case (vector-ref arg-4 0) ((4) (let ((eff-0 (let ((eff-0 (CoreC-45Context-toFullNames arg-0 (csegen-81) arg-3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45ContextC-45Log-log arg-0 "elab" 5 (lambda () (string-append "Adding local hint " (CoreC-45Name-u--show_Show_Name e-5)))))) eff-1))))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45Context-addLocalHint arg-0 arg-3))) eff-1)))))))(else (cond ((equal? arg-2 1) (case (vector-ref arg-4 0) ((5) (let ((e-14 (vector-ref arg-4 1))) (CoreC-45Context-addGlobalHint arg-0 arg-3 e-14)))(else (case (vector-ref arg-4 0) ((5) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 arg-1 "%globalhint is not valid in local definitions") eta-0))) ((6) (CoreC-45Context-setFlag arg-0 arg-1 arg-3 (vector 0 ))) ((7) (CoreC-45Context-setFlag arg-0 arg-1 arg-3 (vector 0 ))) ((8) (lambda (eta-0) (vector 1 (vector 0 )))) ((9) (CoreC-45Context-setFlag arg-0 arg-1 arg-3 (vector 3 ))) ((10) (let ((e-9 (vector-ref arg-4 1))) (CoreC-45Context-setFlag arg-0 arg-1 arg-3 (vector 6 e-9)))) ((11) (CoreC-45Context-setFlag arg-0 arg-1 arg-3 (vector 8 ))) (else (let ((e-12 (vector-ref arg-4 1))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-lookupCtxtExact arg-3 (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-6) (CoreC-45Context-undefinedName arg-0 arg-1 arg-3) (let ((e-1 (unbox e-6))) (let ((eff-2 (CoreC-45NormaliseC-45Eval-nf arg-0 '() e-5 '() (let ((e-2 (vector-ref e-1 2))) e-2)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (TTImpC-45ProcessType-n--10599-4393-u--getNamePos arg-2 e-12 arg-3 arg-1 arg-0 0 e-7))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (TTImpC-45ProcessType-n--10599-4389-u--collectDDeps arg-2 e-12 arg-3 arg-1 arg-0 e-7))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (let ((eff-5 (TTImpC-45ProcessType-n--10599-4392-u--collectSpec arg-2 e-12 arg-3 arg-1 arg-0 '() e-9 e-8 e-7))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-10 (vector-ref lcase-5 1))) (let ((eff-6 (let ((eff-6 (CoreC-45Context-addDef arg-0 arg-3 (let ((e-0 (vector-ref e-1 0))) (let ((e-29 (vector-ref e-1 1))) (let ((e-2 (vector-ref e-1 2))) (let ((e-3 (vector-ref e-1 3))) (let ((e-4 (vector-ref e-1 4))) (let ((e-27 (vector-ref e-1 6))) (let ((e-26 (vector-ref e-1 7))) (let ((e-25 (vector-ref e-1 8))) (let ((e-24 (vector-ref e-1 9))) (let ((e-23 (vector-ref e-1 10))) (let ((e-11 (vector-ref e-1 11))) (let ((e-22 (vector-ref e-1 12))) (let ((e-13 (vector-ref e-1 13))) (let ((e-14 (vector-ref e-1 14))) (let ((e-15 (vector-ref e-1 15))) (let ((e-16 (vector-ref e-1 16))) (let ((e-17 (vector-ref e-1 17))) (let ((e-18 (vector-ref e-1 18))) (let ((e-19 (vector-ref e-1 19))) (let ((e-20 (vector-ref e-1 20))) (let ((e-21 (vector-ref e-1 21))) (vector e-0 e-29 e-2 e-3 e-4 e-10 e-27 e-26 e-25 e-24 e-23 e-11 e-22 e-13 e-14 e-15 e-16 e-17 e-18 e-19 e-20 e-21))))))))))))))))))))))))) (((csegen-50) ((let ((eff-7 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-11 (vector-ref eta-3 1))) (vector 1 (eta-2 e-11))))))))))) (lambda (arg-5) (lambda (arg-6) ((((eff-7 'erased) 'erased) arg-5) arg-6)))) (lambda (_-8679) (vector 0 )))) eff-6)))) eff-6))))))))) eff-5))))))))) eff-4))))))))) eff-3))))))))))) eff-2))))))))) eff-1)))))))))))))(else (case (vector-ref arg-4 0) ((5) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 arg-1 "%globalhint is not valid in local definitions") eta-0))) ((6) (CoreC-45Context-setFlag arg-0 arg-1 arg-3 (vector 0 ))) ((7) (CoreC-45Context-setFlag arg-0 arg-1 arg-3 (vector 0 ))) ((8) (lambda (eta-0) (vector 1 (vector 0 )))) ((9) (CoreC-45Context-setFlag arg-0 arg-1 arg-3 (vector 3 ))) ((10) (let ((e-9 (vector-ref arg-4 1))) (CoreC-45Context-setFlag arg-0 arg-1 arg-3 (vector 6 e-9)))) ((11) (CoreC-45Context-setFlag arg-0 arg-1 arg-3 (vector 8 ))) (else (let ((e-12 (vector-ref arg-4 1))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-lookupCtxtExact arg-3 (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-6) (CoreC-45Context-undefinedName arg-0 arg-1 arg-3) (let ((e-1 (unbox e-6))) (let ((eff-2 (CoreC-45NormaliseC-45Eval-nf arg-0 '() e-5 '() (let ((e-2 (vector-ref e-1 2))) e-2)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (TTImpC-45ProcessType-n--10599-4393-u--getNamePos arg-2 e-12 arg-3 arg-1 arg-0 0 e-7))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (TTImpC-45ProcessType-n--10599-4389-u--collectDDeps arg-2 e-12 arg-3 arg-1 arg-0 e-7))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (let ((eff-5 (TTImpC-45ProcessType-n--10599-4392-u--collectSpec arg-2 e-12 arg-3 arg-1 arg-0 '() e-9 e-8 e-7))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-10 (vector-ref lcase-5 1))) (let ((eff-6 (let ((eff-6 (CoreC-45Context-addDef arg-0 arg-3 (let ((e-0 (vector-ref e-1 0))) (let ((e-29 (vector-ref e-1 1))) (let ((e-2 (vector-ref e-1 2))) (let ((e-3 (vector-ref e-1 3))) (let ((e-4 (vector-ref e-1 4))) (let ((e-27 (vector-ref e-1 6))) (let ((e-26 (vector-ref e-1 7))) (let ((e-25 (vector-ref e-1 8))) (let ((e-24 (vector-ref e-1 9))) (let ((e-23 (vector-ref e-1 10))) (let ((e-11 (vector-ref e-1 11))) (let ((e-22 (vector-ref e-1 12))) (let ((e-13 (vector-ref e-1 13))) (let ((e-14 (vector-ref e-1 14))) (let ((e-15 (vector-ref e-1 15))) (let ((e-16 (vector-ref e-1 16))) (let ((e-17 (vector-ref e-1 17))) (let ((e-18 (vector-ref e-1 18))) (let ((e-19 (vector-ref e-1 19))) (let ((e-20 (vector-ref e-1 20))) (let ((e-21 (vector-ref e-1 21))) (vector e-0 e-29 e-2 e-3 e-4 e-10 e-27 e-26 e-25 e-24 e-23 e-11 e-22 e-13 e-14 e-15 e-16 e-17 e-18 e-19 e-20 e-21))))))))))))))))))))))))) (((csegen-50) ((let ((eff-7 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-11 (vector-ref eta-3 1))) (vector 1 (eta-2 e-11))))))))))) (lambda (arg-5) (lambda (arg-6) ((((eff-7 'erased) 'erased) arg-5) arg-6)))) (lambda (_-8679) (vector 0 )))) eff-6)))) eff-6))))))))) eff-5))))))))) eff-4))))))))) eff-3))))))))))) eff-2))))))))) eff-1))))))))))))))))))))
(define TTImpC-45ProcessType-initDef (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10) (if (null? arg-10) (let ((eff-0 (CoreC-45Context-addUserHole arg-1 0 arg-7))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (lambda (eta-0) (vector 1 (vector 0 ))))) eff-1)))))) (let ((e-2 (car arg-10))) (let ((e-3 (cdr arg-10))) (case (vector-ref e-2 0) ((6) (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Normalise-getArity arg-1 arg-0 e-5 arg-8 arg-9))) (PrimIO-io_bind eff-1 (csegen-2006))))) eff-1)))))))) ((7) (let ((e-6 (vector-ref e-2 1))) (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Normalise-getArity arg-1 arg-0 e-5 arg-8 arg-9))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Core-traverseC-39 (lambda (eta-0) (TTImpC-45ProcessType-getFnString arg-1 arg-2 arg-3 arg-4 arg-5 eta-0)) e-6 '()))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (vector 3 e-7 e-8))))) eff-3))))))))) eff-2))))))))) eff-1))))))))) ((8) (let ((e-8 (vector-ref e-2 1))) (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (TTImpC-45ProcessType-getFnString arg-1 arg-2 arg-3 arg-4 arg-5 eta-0)) e-8 '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Core-traverseC-39 (lambda (eta-0) (TTImpC-45ProcessType-n--12395-5942-u--getConvention arg-0 e-8 e-3 arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 eta-0)) e-5 '()))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (let ((eff-2 arg-1)) (PrimIO-io_bind (let ((eff-3 eff-2)) (lambda (eta-0) (unbox eff-3))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (let ((eff-3 arg-1)) (PrimIO-io_bind (let ((eff-4 eff-3)) (lambda (eta-0) (set-box! eff-4 (let ((e-0 (vector-ref e-7 0))) (let ((e-1 (vector-ref e-7 1))) (let ((e-37 (vector-ref e-7 2))) (let ((e-36 (vector-ref e-7 3))) (let ((e-4 (vector-ref e-7 4))) (let ((e-35 (vector-ref e-7 5))) (let ((e-34 (vector-ref e-7 6))) (let ((e-33 (vector-ref e-7 7))) (let ((e-32 (vector-ref e-7 8))) (let ((e-9 (vector-ref e-7 9))) (let ((e-10 (vector-ref e-7 10))) (let ((e-11 (vector-ref e-7 11))) (let ((e-12 (vector-ref e-7 12))) (let ((e-13 (vector-ref e-7 13))) (let ((e-14 (vector-ref e-7 14))) (let ((e-15 (vector-ref e-7 15))) (let ((e-16 (vector-ref e-7 16))) (let ((e-17 (vector-ref e-7 17))) (let ((e-18 (vector-ref e-7 18))) (let ((e-19 (vector-ref e-7 19))) (let ((e-20 (vector-ref e-7 20))) (let ((e-21 (vector-ref e-7 21))) (let ((e-22 (vector-ref e-7 22))) (let ((e-23 (vector-ref e-7 23))) (let ((e-24 (vector-ref e-7 24))) (let ((e-25 (vector-ref e-7 25))) (let ((e-26 (vector-ref e-7 26))) (let ((e-27 (vector-ref e-7 27))) (let ((e-28 (vector-ref e-7 28))) (let ((e-29 (vector-ref e-7 29))) (let ((e-30 (vector-ref e-7 30))) (let ((e-31 (vector-ref e-7 31))) (vector e-0 e-1 e-37 e-36 e-4 e-35 e-34 e-33 e-32 e-9 e-10 e-11 e-12 e-13 e-14 e-15 e-16 e-17 e-18 e-19 e-20 e-21 e-22 e-23 e-24 e-25 e-26 e-27 e-28 e-29 e-30 (LibrariesC-45DataC-45NameMap-insert arg-7 e-6 e-31))))))))))))))))))))))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-4 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-4 (TTImpC-45ProcessType-initDef arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-3))) eff-4)))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))(else (TTImpC-45ProcessType-initDef arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-3))))))))
(define TTImpC-45ProcessType-getRetTy (lambda (arg-0 arg-1) (case (vector-ref arg-1 0) ((0) (let ((e-1 (vector-ref arg-1 1))) (let ((e-3 (vector-ref arg-1 3))) (let ((e-4 (vector-ref arg-1 4))) (case (vector-ref e-3 0) ((2) (let ((eff-0 ((e-4 arg-0) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 e-1 (vector 0 )))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45ProcessType-getRetTy arg-0 e-5))) eff-1))))))))(else (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-1) "Can only add hints for concrete return types") eta-0)))))))) ((3) (let ((e-7 (vector-ref arg-1 2))) (lambda (eta-0) (vector 1 e-7))))(else (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-1) "Can only add hints for concrete return types") eta-0))))))
(define TTImpC-45ProcessType-getFnString (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (case (vector-ref arg-5 0) ((28) (let ((e-2 (vector-ref arg-5 2))) (case (vector-ref e-2 0) ((10) (let ((e-3 (vector-ref e-2 1))) (lambda (eta-0) (vector 1 e-3))))(else (let ((eff-0 (CoreC-45Context-resolveName arg-0 (vector 1 (vector 0 "[foreign]"))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--fc (TTImpC-45TTImp-getFC arg-5))) (let ((u--gstr (CoreC-45NormaliseC-45Eval-gnf '() '() (vector 9 u--fc (vector 13 10))))) (let ((eff-1 (TTImpC-45Elab-checkTerm '() arg-0 arg-1 arg-2 arg-3 arg-4 e-5 (vector 2 ) '() '() '() arg-5 u--gstr))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-3 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (let ((eff-2 arg-0)) (PrimIO-io_bind (let ((eff-3 eff-2)) (lambda (eta-0) (unbox eff-3))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-3 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45NormaliseC-45Eval-nf arg-0 '() e-7 '() e-6))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-3 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (clam-0) (case (vector-ref e-8 0) ((8) (let ((e-3 (vector-ref e-8 2))) (case (vector-ref e-3 0) ((10) (let ((e-9 (vector-ref e-3 1))) (vector 1 e-9)))(else (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 u--fc "%foreign calling convention must evaluate to a String") clam-0)))))(else (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 u--fc "%foreign calling convention must evaluate to a String") clam-0)))))) eff-4))))))))) eff-3))))))))) eff-2))))))))))) eff-1)))))))))))(else (let ((eff-0 (CoreC-45Context-resolveName arg-0 (vector 1 (vector 0 "[foreign]"))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--fc (TTImpC-45TTImp-getFC arg-5))) (let ((u--gstr (CoreC-45NormaliseC-45Eval-gnf '() '() (vector 9 u--fc (vector 13 10))))) (let ((eff-1 (TTImpC-45Elab-checkTerm '() arg-0 arg-1 arg-2 arg-3 arg-4 e-5 (vector 2 ) '() '() '() arg-5 u--gstr))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (let ((eff-2 arg-0)) (PrimIO-io_bind (let ((eff-3 eff-2)) (lambda (eta-0) (unbox eff-3))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45NormaliseC-45Eval-nf arg-0 '() e-7 '() e-6))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (clam-1) (case (vector-ref e-8 0) ((8) (let ((e-2 (vector-ref e-8 2))) (case (vector-ref e-2 0) ((10) (let ((e-3 (vector-ref e-2 1))) (vector 1 e-3)))(else (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 u--fc "%foreign calling convention must evaluate to a String") clam-1)))))(else (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 u--fc "%foreign calling convention must evaluate to a String") clam-1)))))) eff-4))))))))) eff-3))))))))) eff-2))))))))))) eff-1)))))))))))
(define TTImpC-45ProcessType-findInferrable (lambda (arg-0 arg-1 arg-2) (TTImpC-45ProcessType-n--12779-6185-u--fi arg-2 arg-1 arg-0 0 0 '() '() arg-2)))
(define TTImpC-45ProcessType-checkForShadowing (lambda (arg-0 arg-1) (case (vector-ref arg-1 0) ((1) (let ((e-1 (vector-ref arg-1 1))) (let ((e-4 (vector-ref arg-1 4))) (let ((e-5 (vector-ref arg-1 5))) (let ((e-6 (vector-ref arg-1 6))) (if (null? e-4) '() (let ((e-8 (unbox e-4))) (case (vector-ref e-8 0) ((1) (let ((e-9 (vector-ref e-8 1))) (case (vector-ref e-9 0) ((0) (let ((e-10 (vector-ref e-9 1))) (let ((u--argShadowing (TTImpC-45ProcessType-checkForShadowing (LibrariesC-45DataC-45StringMap-empty) e-5))) (PreludeC-45TypesC-45List-tailRecAppend (let ((sc4 (LibrariesC-45DataC-45StringMap-lookup e-10 arg-0))) (if (null? sc4) (TTImpC-45ProcessType-checkForShadowing (LibrariesC-45DataC-45StringMap-insert e-10 e-1 arg-0) e-6) (let ((e-7 (unbox sc4))) (cons (cons e-10 (cons e-7 e-1)) (TTImpC-45ProcessType-checkForShadowing arg-0 e-6))))) u--argShadowing))))(else '()))))(else '())))))))))(else '()))))
(define TTImpC-45Elab-case--doPLetRenames-12649 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (if (null? arg-7) (vector 3 arg-4 arg-1 arg-3 (TTImpC-45Elab-doPLetRenames (cons arg-1 arg-0) arg-6 arg-5 arg-2)) (let ((e-1 (unbox arg-7))) (let ((e-5 (car e-1))) (let ((e-6 (cdr e-1))) (vector 3 arg-4 e-6 (CoreC-45TT-setMultiplicity arg-3 (AlgebraC-45Preorder-lub (csegen-2915) e-5 (CoreC-45TT-multiplicity arg-3))) (TTImpC-45Elab-doPLetRenames (cons e-6 arg-0) arg-6 (cons e-6 arg-5) (CoreC-45TT-renameTop e-6 arg-2)))))))))
(define TTImpC-45Elab-case--findPLetRenames-12458 (lambda (arg-0 arg-1 arg-3 arg-4 arg-5 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12) (case (vector-ref arg-12 0) ((2) (cons (cons arg-12 (cons arg-8 arg-9)) (TTImpC-45Elab-findPLetRenames (cons arg-9 arg-0) arg-10)))(else (TTImpC-45Elab-findPLetRenames (cons arg-9 arg-0) arg-10)))))
(define TTImpC-45Elab-n--10936-12751-u--updateType (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (let ((eff-0 (CoreC-45Core-u--catch_Catchable_Core_Error (CoreC-45Normalise-tryNormaliseSizeLimit arg-1 '() arg-2 10 '() (let ((e-2 (vector-ref arg-4 2))) e-2)) (lambda (u--err) (CoreC-45Normalise-normaliseHoles arg-1 '() arg-2 '() (let ((e-2 (vector-ref arg-4 2))) e-2)))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-addDef arg-1 (vector 8 arg-3) (let ((e-0 (vector-ref arg-4 0))) (let ((e-1 (vector-ref arg-4 1))) (let ((e-3 (vector-ref arg-4 3))) (let ((e-4 (vector-ref arg-4 4))) (let ((e-22 (vector-ref arg-4 5))) (let ((e-6 (vector-ref arg-4 6))) (let ((e-7 (vector-ref arg-4 7))) (let ((e-8 (vector-ref arg-4 8))) (let ((e-9 (vector-ref arg-4 9))) (let ((e-10 (vector-ref arg-4 10))) (let ((e-11 (vector-ref arg-4 11))) (let ((e-12 (vector-ref arg-4 12))) (let ((e-13 (vector-ref arg-4 13))) (let ((e-14 (vector-ref arg-4 14))) (let ((e-15 (vector-ref arg-4 15))) (let ((e-16 (vector-ref arg-4 16))) (let ((e-17 (vector-ref arg-4 17))) (let ((e-18 (vector-ref arg-4 18))) (let ((e-19 (vector-ref arg-4 19))) (let ((e-20 (vector-ref arg-4 20))) (let ((e-21 (vector-ref arg-4 21))) (vector e-0 e-1 e-5 e-3 e-4 e-22 e-6 e-7 e-8 e-9 e-10 e-11 e-12 e-13 e-14 e-15 e-16 e-17 e-18 e-19 e-20 e-21))))))))))))))))))))))))) (((csegen-50) ((let ((eff-2 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-6 (vector-ref eta-3 1))) (vector 1 (eta-2 e-6))))))))))) (lambda (arg-5) (lambda (arg-6) ((((eff-2 'erased) 'erased) arg-5) arg-6)))) (lambda (_-8679) (vector 0 )))) eff-1)))) eff-1)))))))))
(define TTImpC-45Elab-n--10936-12752-u--normaliseH (lambda (arg-0 arg-1 arg-2 arg-3) (let ((eff-0 (CoreC-45Context-lookupCtxtExact (vector 8 arg-3) (let ((e-0 (vector-ref arg-2 0))) e-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (if (null? e-5) (lambda (eta-0) (vector 1 (vector 0 ))) (let ((e-1 (unbox e-5))) (let ((e-17 (vector-ref e-1 17))) (case (vector-ref e-17 0) ((7) (TTImpC-45Elab-n--10936-12751-u--updateType arg-0 arg-1 arg-2 arg-3 e-1))(else (lambda (eta-0) (vector 1 (vector 0 )))))))))) eff-1)))))))))
(define TTImpC-45Elab-n--13245-14789-u--bindImpsC-39 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20) (if (null? arg-19) (lambda (eta-0) (vector 1 arg-20)) (let ((e-2 (car arg-19))) (let ((e-3 (cdr arg-19))) (let ((e-6 (car e-2))) (let ((eff-0 (TTImpC-45Elab-n--13245-14789-u--bindImpsC-39 arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 e-3 arg-20))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 1 arg-17 (csegen-54) (vector 0 ) (box e-6) (vector 32 arg-17 1) e-5))))) eff-1)))))))))))))
(define TTImpC-45Elab-n--13245-14790-u--bindImps (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20) (case (vector-ref arg-20 0) ((16) (let ((e-1 (vector-ref arg-20 1))) (let ((e-2 (vector-ref arg-20 2))) (let ((e-3 (vector-ref arg-20 3))) (let ((eff-0 (TTImpC-45Elab-n--13245-14789-u--bindImpsC-39 arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 e-3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 16 e-1 e-2 e-5))))) eff-1)))))))))))(else (TTImpC-45Elab-n--13245-14789-u--bindImpsC-39 arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20)))))
(define TTImpC-45Elab-n--11190-13052-u--addHoles (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18) (if (null? arg-18) arg-16 (let ((e-2 (car arg-18))) (let ((e-3 (cdr arg-18))) (let ((e-6 (car e-2))) (let ((e-7 (cdr e-2))) (let ((sc2 (LibrariesC-45DataC-45IntMap-lookup e-6 arg-17))) (if (null? sc2) (TTImpC-45Elab-n--11190-13052-u--addHoles arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 e-3) (TTImpC-45Elab-n--11190-13052-u--addHoles arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 (LibrariesC-45DataC-45IntMap-insert e-6 e-7 arg-16) arg-17 e-3))))))))))
(define TTImpC-45Elab-normaliseHoleTypes (lambda (arg-0 arg-1) (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--hs (LibrariesC-45DataC-45IntMap-keys (let ((e-0 (vector-ref e-5 0))) e-0)))) (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (unbox eff-2))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45Core-traverse_ (lambda (eta-0) (TTImpC-45Elab-n--10936-12752-u--normaliseH arg-1 arg-0 e-6 eta-0)) u--hs))) eff-2)))))))))) eff-1)))))))))
(define TTImpC-45Elab-getRigNeeded (lambda (arg-0) (case (vector-ref arg-0 0) ((0) (csegen-54)) ((1) (let ((e-0 (vector-ref arg-0 1))) (let ((sc1 (AlgebraC-45Semiring-isErased (csegen-1156) e-0))) (cond ((equal? sc1 1) (csegen-54)) (else (csegen-1778))))))(else (csegen-1778)))))
(define TTImpC-45Elab-findPLetRenames (lambda (arg-0 arg-1) (case (vector-ref arg-1 0) ((3) (let ((e-1 (vector-ref arg-1 1))) (let ((e-2 (vector-ref arg-1 2))) (let ((e-3 (vector-ref arg-1 3))) (let ((e-4 (vector-ref arg-1 4))) (case (vector-ref e-3 0) ((4) (let ((e-6 (vector-ref e-3 1))) (let ((e-7 (vector-ref e-3 2))) (let ((e-8 (vector-ref e-3 3))) (let ((e-9 (vector-ref e-3 4))) (case (vector-ref e-8 0) ((0) (let ((e-12 (vector-ref e-8 1))) (let ((e-13 (vector-ref e-8 2))) (let ((e-14 (vector-ref e-8 3))) (TTImpC-45Elab-case--findPLetRenames-12458 arg-0 e-6 e-12 e-13 e-14 e-9 e-7 e-2 e-4 e-1 (CoreC-45TT-nameAt arg-0 e-14))))))(else (TTImpC-45Elab-findPLetRenames (cons e-2 arg-0) e-4))))))))(else (TTImpC-45Elab-findPLetRenames (cons e-2 arg-0) e-4))))))))(else '()))))
(define TTImpC-45Elab-elabTermSub (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15) (let ((u--incase (PreludeC-45Types-elem (csegen-16) (csegen-2901) 1 arg-9))) (let ((u--inPE (PreludeC-45Types-elem (csegen-16) (csegen-2901) 2 arg-9))) (let ((u--inTrans (PreludeC-45Types-elem (csegen-16) (csegen-2901) 3 arg-9))) (let ((eff-0 (cond ((equal? u--incase 1) (lambda (eta-0) (vector 1 (LibrariesC-45DataC-45IntMap-empty)))) (else (CoreC-45UnifyState-saveHoles arg-4))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 arg-4)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (unbox eff-2))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((u--olddelayed (let ((e-10 (vector-ref e-6 10))) e-10))) (let ((eff-2 (let ((eff-2 arg-4)) (PrimIO-io_bind (let ((eff-3 eff-2)) (lambda (eta-0) (set-box! eff-3 (let ((e-0 (vector-ref e-6 0))) (let ((e-1 (vector-ref e-6 1))) (let ((e-2 (vector-ref e-6 2))) (let ((e-3 (vector-ref e-6 3))) (let ((e-4 (vector-ref e-6 4))) (let ((e-13 (vector-ref e-6 5))) (let ((e-12 (vector-ref e-6 6))) (let ((e-7 (vector-ref e-6 7))) (let ((e-8 (vector-ref e-6 8))) (let ((e-9 (vector-ref e-6 9))) (let ((e-11 (vector-ref e-6 11))) (vector e-0 e-1 e-2 e-3 e-4 e-13 e-12 e-7 e-8 e-9 '() e-11))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (let ((eff-3 (CoreC-45Context-getNextEntry arg-2))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (let ((eff-4 arg-2)) (PrimIO-io_bind (let ((eff-5 eff-4)) (lambda (eta-0) (unbox eff-5))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-5 (let ((eff-5 (CoreC-45Core-newRef (vector "TTImp.Elab.Check.EST" ) (TTImpC-45ElabC-45Check-initEStateSub arg-0 arg-7 arg-12 arg-13)))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-10 (vector-ref lcase-5 1))) (let ((eff-6 (let ((u--rigc (TTImpC-45Elab-getRigNeeded arg-8))) (let ((eff-6 (TTImpC-45ElabC-45Check-check arg-1 arg-2 arg-3 arg-4 e-10 arg-5 arg-6 u--rigc (TTImpC-45ElabC-45Check-initElabInfo arg-8) arg-10 arg-11 arg-14 arg-15))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-2 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-11 (vector-ref lcase-6 1))) (let ((eff-7 (let ((e-2 (car e-11))) (let ((e-3 (cdr e-11))) (let ((u--solvemode (case (vector-ref arg-8 0) ((1) (CoreC-45Unify-inLHS))(else (CoreC-45Unify-inTerm))))) (let ((eff-7 (CoreC-45Unify-solveConstraints arg-2 arg-4 u--solvemode 0))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-4 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-8 (let ((eff-8 (CoreC-45ContextC-45Log-logTerm arg-1 arg-2 "elab" 5 (lambda () ((csegen-0) "Looking for delayed in ")) e-2))) (PrimIO-io_bind eff-8 (lambda (lcase-8) (case (vector-ref lcase-8 0) ((0) (let ((e-4 (vector-ref lcase-8 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-9 (let ((eff-9 (let ((eff-9 arg-4)) (PrimIO-io_bind (let ((eff-10 eff-9)) (lambda (eta-0) (unbox eff-10))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-9 (lambda (lcase-9) (case (vector-ref lcase-9 0) ((0) (let ((e-4 (vector-ref lcase-9 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-14 (vector-ref lcase-9 1))) (let ((eff-10 (let ((eff-10 (CoreC-45Core-u--catch_Catchable_Core_Error (TTImpC-45ElabC-45Delayed-retryDelayed arg-1 arg-2 arg-3 arg-4 e-10 u--solvemode (DataC-45List-sortBy (lambda (u--x) (lambda (u--y) (CoreC-45UnifyState-u--compare_Ord_DelayReason (Builtin-fst u--x) (Builtin-fst u--y)))) (let ((e-16 (vector-ref e-14 10))) e-16))) (lambda (u--err) (let ((eff-10 (let ((eff-10 (let ((eff-10 arg-4)) (PrimIO-io_bind (let ((eff-11 eff-10)) (lambda (eta-0) (unbox eff-11))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-10 (lambda (lcase-10) (case (vector-ref lcase-10 0) ((0) (let ((e-4 (vector-ref lcase-10 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-15 (vector-ref lcase-10 1))) (let ((eff-11 (let ((eff-11 arg-4)) (PrimIO-io_bind (let ((eff-12 eff-11)) (lambda (eta-0) (set-box! eff-12 (let ((e-0 (vector-ref e-15 0))) (let ((e-1 (vector-ref e-15 1))) (let ((e-24 (vector-ref e-15 2))) (let ((e-23 (vector-ref e-15 3))) (let ((e-4 (vector-ref e-15 4))) (let ((e-22 (vector-ref e-15 5))) (let ((e-21 (vector-ref e-15 6))) (let ((e-20 (vector-ref e-15 7))) (let ((e-19 (vector-ref e-15 8))) (let ((e-18 (vector-ref e-15 9))) (let ((e-16 (vector-ref e-15 11))) (vector e-0 e-1 e-24 e-23 e-4 e-22 e-21 e-20 e-19 e-18 u--olddelayed e-16))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-11))))))))) (PrimIO-io_bind eff-10 (lambda (lcase-10) (case (vector-ref lcase-10 0) ((0) (let ((e-4 (vector-ref lcase-10 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-11 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error u--err eta-0)))) eff-11)))))))))) (PrimIO-io_bind eff-10 (lambda (lcase-10) (case (vector-ref lcase-10 0) ((0) (let ((e-4 (vector-ref lcase-10 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-11 (let ((eff-11 (let ((eff-11 (let ((eff-11 arg-4)) (PrimIO-io_bind (let ((eff-12 eff-11)) (lambda (eta-0) (unbox eff-12))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-11 (lambda (lcase-11) (case (vector-ref lcase-11 0) ((0) (let ((e-4 (vector-ref lcase-11 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-16 (vector-ref lcase-11 1))) (let ((eff-12 (let ((eff-12 arg-4)) (PrimIO-io_bind (let ((eff-13 eff-12)) (lambda (eta-0) (set-box! eff-13 (let ((e-0 (vector-ref e-16 0))) (let ((e-1 (vector-ref e-16 1))) (let ((e-25 (vector-ref e-16 2))) (let ((e-24 (vector-ref e-16 3))) (let ((e-4 (vector-ref e-16 4))) (let ((e-23 (vector-ref e-16 5))) (let ((e-22 (vector-ref e-16 6))) (let ((e-21 (vector-ref e-16 7))) (let ((e-20 (vector-ref e-16 8))) (let ((e-19 (vector-ref e-16 9))) (let ((e-17 (vector-ref e-16 11))) (vector e-0 e-1 e-25 e-24 e-4 e-23 e-22 e-21 e-20 e-19 u--olddelayed e-17))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-12))))))))) (PrimIO-io_bind eff-11 (lambda (lcase-11) (case (vector-ref lcase-11 0) ((0) (let ((e-4 (vector-ref lcase-11 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-12 (let ((eff-12 (CoreC-45Unify-solveConstraintsAfter arg-2 arg-4 e-8 u--solvemode 2))) (PrimIO-io_bind eff-12 (lambda (lcase-12) (case (vector-ref lcase-12 0) ((0) (let ((e-4 (vector-ref lcase-12 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-13 (let ((eff-13 (let ((sc14 (cond ((equal? u--incase 1) (DataC-45Maybe-isJust (TTImpC-45ElabC-45Check-isLHS arg-8))) (else 1)))) (cond ((equal? sc14 1) (let ((eff-13 (CoreC-45ContextC-45Log-log arg-2 "elab" 5 (lambda () ((csegen-0) "Resolving default hints"))))) (PrimIO-io_bind eff-13 (lambda (lcase-13) (case (vector-ref lcase-13 0) ((0) (let ((e-4 (vector-ref lcase-13 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-14 (let ((eff-14 (CoreC-45Unify-solveConstraintsAfter arg-2 arg-4 e-8 u--solvemode 1))) (PrimIO-io_bind eff-14 (lambda (lcase-14) (case (vector-ref lcase-14 0) ((0) (let ((e-4 (vector-ref lcase-14 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-15 (CoreC-45Unify-solveConstraintsAfter arg-2 arg-4 e-8 u--solvemode 3))) eff-15)))))))) eff-14))))))) (else (lambda (eta-0) (vector 1 (vector 0 )))))))) (PrimIO-io_bind eff-13 (lambda (lcase-13) (case (vector-ref lcase-13 0) ((0) (let ((e-4 (vector-ref lcase-13 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-14 (let ((eff-14 (CoreC-45UnifyState-dumpConstraints arg-4 arg-2 "elab" 4 0))) (PrimIO-io_bind eff-14 (lambda (lcase-14) (case (vector-ref lcase-14 0) ((0) (let ((e-4 (vector-ref lcase-14 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-15 (let ((eff-15 (let ((eff-15 arg-2)) (PrimIO-io_bind (let ((eff-16 eff-15)) (lambda (eta-0) (unbox eff-16))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-15 (lambda (lcase-15) (case (vector-ref lcase-15 0) ((0) (let ((e-4 (vector-ref lcase-15 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-20 (vector-ref lcase-15 1))) (let ((eff-16 (let ((eff-16 (cond ((equal? u--inPE 1) (CoreC-45Normalise-normaliseHoles arg-2 arg-1 e-20 arg-11 e-2)) (else (CoreC-45Normalise-normaliseArgHoles arg-2 arg-1 e-20 arg-11 e-2))))) (PrimIO-io_bind eff-16 (lambda (lcase-16) (case (vector-ref lcase-16 0) ((0) (let ((e-4 (vector-ref lcase-16 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-21 (vector-ref lcase-16 1))) (let ((eff-17 (let ((eff-17 (case (vector-ref arg-8 0) ((1) (let ((eff-17 (cond ((equal? u--incase 1) (lambda (eta-0) (vector 1 (vector 0 )))) (else (CoreC-45UnifyState-checkUserHolesAfter arg-4 arg-2 e-8 1))))) (PrimIO-io_bind eff-17 (lambda (lcase-17) (case (vector-ref lcase-17 0) ((0) (let ((e-4 (vector-ref lcase-17 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-18 (lambda (eta-0) (vector 1 e-21)))) eff-18))))))) ((3) (let ((eff-17 (cond ((equal? u--incase 1) (lambda (eta-0) (vector 1 (vector 0 )))) (else (CoreC-45UnifyState-checkUserHolesAfter arg-4 arg-2 e-8 1))))) (PrimIO-io_bind eff-17 (lambda (lcase-17) (case (vector-ref lcase-17 0) ((0) (let ((e-4 (vector-ref lcase-17 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-18 (lambda (eta-0) (vector 1 e-21)))) eff-18)))))))(else (cond ((equal? u--incase 1) (lambda (eta-0) (vector 1 e-21))) (else (let ((eff-17 (CoreC-45UnifyState-checkUserHolesAfter arg-4 arg-2 e-8 (cond ((equal? u--inTrans 1) 1) (else u--inPE))))) (PrimIO-io_bind eff-17 (lambda (lcase-17) (case (vector-ref lcase-17 0) ((0) (let ((e-4 (vector-ref lcase-17 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-18 (CoreC-45LinearCheck-linearCheck arg-1 arg-2 arg-4 (TTImpC-45TTImp-getFC arg-14) u--rigc 0 arg-11 e-21))) eff-18)))))))))))) (PrimIO-io_bind eff-17 (lambda (lcase-17) (case (vector-ref lcase-17 0) ((0) (let ((e-4 (vector-ref lcase-17 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-22 (vector-ref lcase-17 1))) (let ((eff-18 (let ((eff-18 (TTImpC-45Elab-normaliseHoleTypes arg-2 arg-4))) (PrimIO-io_bind eff-18 (lambda (lcase-18) (case (vector-ref lcase-18 0) ((0) (let ((e-4 (vector-ref lcase-18 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-19 (let ((eff-19 (cond ((equal? u--incase 1) (lambda (eta-0) (vector 1 (vector 0 )))) (else (let ((eff-19 (CoreC-45UnifyState-getHoles arg-4))) (PrimIO-io_bind eff-19 (lambda (lcase-19) (case (vector-ref lcase-19 0) ((0) (let ((e-4 (vector-ref lcase-19 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-24 (vector-ref lcase-19 1))) (let ((eff-20 (CoreC-45UnifyState-restoreHoles arg-4 (TTImpC-45Elab-n--11190-13052-u--addHoles arg-0 arg-1 arg-15 arg-14 arg-13 arg-12 arg-11 arg-10 arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 (LibrariesC-45DataC-45IntMap-empty) e-24 (LibrariesC-45DataC-45IntMap-toList e-5))))) eff-20))))))))))) (PrimIO-io_bind eff-19 (lambda (lcase-19) (case (vector-ref lcase-19 0) ((0) (let ((e-4 (vector-ref lcase-19 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-20 (let ((eff-20 (let ((eff-20 e-10)) (PrimIO-io_bind (let ((eff-21 eff-20)) (lambda (eta-0) (unbox eff-21))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-20 (lambda (lcase-20) (case (vector-ref lcase-20 0) ((0) (let ((e-4 (vector-ref lcase-20 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-25 (vector-ref lcase-20 1))) (let ((eff-21 (let ((eff-21 (CoreC-45Core-traverse_ (lambda (eta-0) (TTImpC-45Elab-addHoleToSave arg-2 eta-0)) (LibrariesC-45DataC-45NameMap-keys (let ((e-27 (vector-ref e-25 12))) e-27))))) (PrimIO-io_bind eff-21 (lambda (lcase-21) (case (vector-ref lcase-21 0) ((0) (let ((e-4 (vector-ref lcase-21 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-22 (case (vector-ref arg-8 0) ((1) (let ((u--vs (TTImpC-45Elab-findPLetRenames arg-1 e-22))) (let ((u--ret (TTImpC-45Elab-doPLetRenames arg-1 u--vs '() e-22))) (let ((eff-22 (CoreC-45NormaliseC-45Eval-getTerm e-3))) (PrimIO-io_bind eff-22 (lambda (lcase-22) (case (vector-ref lcase-22 0) ((0) (let ((e-4 (vector-ref lcase-22 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-27 (vector-ref lcase-22 1))) (let ((eff-23 (lambda (eta-0) (vector 1 (cons u--ret (CoreC-45NormaliseC-45Eval-gnf arg-1 arg-11 (TTImpC-45Elab-doPLetRenames arg-1 u--vs '() e-27))))))) eff-23))))))))))(else (let ((eff-22 (CoreC-45UnifyState-dumpConstraints arg-4 arg-2 "elab" 2 0))) (PrimIO-io_bind eff-22 (lambda (lcase-22) (case (vector-ref lcase-22 0) ((0) (let ((e-4 (vector-ref lcase-22 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-23 (lambda (eta-0) (vector 1 (cons e-22 e-3))))) eff-23)))))))))) eff-22)))))))) eff-21))))))))) eff-20)))))))) eff-19)))))))) eff-18))))))))) eff-17))))))))) eff-16))))))))) eff-15)))))))) eff-14)))))))) eff-13)))))))) eff-12)))))))) eff-11)))))))) eff-10))))))))) eff-9)))))))) eff-8))))))))))) eff-7)))))))))) eff-6))))))))) eff-5)))))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))))
(define TTImpC-45Elab-elabTerm (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12) (TTImpC-45Elab-elabTermSub arg-0 arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-10 (vector 0 ) arg-11 arg-12)))
(define TTImpC-45Elab-doPLetRenames (lambda (arg-0 arg-1 arg-2 arg-3) (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-3 (vector-ref arg-3 3))) (let ((e-4 (vector-ref arg-3 4))) (case (vector-ref e-3 0) ((4) (let ((e-6 (vector-ref e-3 1))) (let ((e-7 (vector-ref e-3 2))) (let ((e-8 (vector-ref e-3 3))) (let ((e-9 (vector-ref e-3 4))) (let ((u--b (vector 4 e-6 e-7 e-8 e-9))) (let ((sc2 (PreludeC-45Types-elem (csegen-16) (csegen-1008) e-2 arg-2))) (cond ((equal? sc2 1) (CoreC-45TTC-45SubstEnv-subst (vector 10 e-1 (vector 0 )) (TTImpC-45Elab-doPLetRenames (cons e-2 arg-0) arg-1 arg-2 e-4))) (else (vector 3 e-1 e-2 u--b (TTImpC-45Elab-doPLetRenames (cons e-2 arg-0) arg-1 arg-2 e-4)))))))))))(else (TTImpC-45Elab-case--doPLetRenames-12649 arg-0 e-2 e-4 e-3 e-1 arg-2 arg-1 (DataC-45List-lookup (csegen-1008) e-2 arg-1)))))))))(else arg-3))))
(define TTImpC-45Elab-checkTermSub (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15) (let ((eff-0 (case (vector-ref arg-8 0) ((0) (CoreC-45Context-branch arg-2))(else (let ((eff-0 arg-2)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 arg-4)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (unbox eff-2))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (let ((eff-2 arg-3)) (PrimIO-io_bind (let ((eff-3 eff-2)) (lambda (eta-0) (unbox eff-3))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45Core-u--catch_Catchable_Core_Error (TTImpC-45Elab-elabTermSub arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 (box arg-15)) (lambda (lcase-3) (case (vector-ref lcase-3 0) ((28) (let ((e-0 (vector-ref lcase-3 1))) (let ((e-1 (vector-ref lcase-3 2))) (let ((e-2 (vector-ref lcase-3 3))) (let ((e-3 (vector-ref lcase-3 4))) (let ((eff-3 (let ((eff-3 arg-2)) (PrimIO-io_bind (let ((eff-4 eff-3)) (lambda (eta-0) (set-box! eff-4 e-5))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-3 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-4 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-4 (let ((eff-4 (let ((eff-4 arg-4)) (PrimIO-io_bind (let ((eff-5 eff-4)) (lambda (eta-0) (set-box! eff-5 e-6))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-4 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-4 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-5 (let ((eff-5 (let ((eff-5 arg-3)) (PrimIO-io_bind (let ((eff-6 eff-5)) (lambda (eta-0) (set-box! eff-6 e-7))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-5 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-4 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-6 (let ((eff-6 (TTImpC-45Elab-n--13245-14790-u--bindImps arg-0 arg-1 arg-15 arg-14 arg-13 arg-12 arg-11 arg-10 arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 e-0 e-1 e-2 e-3 arg-14))) (PrimIO-io_bind eff-6 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-4 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-11 (vector-ref lcase-7 1))) (let ((eff-7 (TTImpC-45Elab-elabTermSub arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 e-11 (box arg-15)))) eff-7))))))))) eff-6)))))))) eff-5)))))))) eff-4)))))))))))(else (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error lcase-3 eta-0)))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (case (vector-ref arg-8 0) ((0) (CoreC-45Context-commit arg-2))(else (lambda (eta-0) (vector 1 (vector 0 ))))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-5 (lambda (eta-0) (vector 1 (Builtin-fst e-8))))) eff-5)))))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))
(define TTImpC-45Elab-checkTerm (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12) (TTImpC-45Elab-checkTermSub arg-0 arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-10 (vector 0 ) arg-11 arg-12)))
(define TTImpC-45Elab-addHoleToSave (lambda (arg-0 arg-1) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-lookupTyExact arg-1 (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-6) (lambda (eta-0) (vector 1 (vector 0 ))) (let ((e-1 (unbox e-6))) (let ((u--ms (LibrariesC-45DataC-45NameMap-keys (CoreC-45TT-getMetas e-1)))) (let ((eff-2 (CoreC-45Context-addToSave arg-0 arg-1))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (CoreC-45Core-traverse_ (lambda (eta-0) (CoreC-45Context-addToSave arg-0 eta-0)) u--ms))) eff-3))))))))))) eff-2))))))))) eff-1)))))))))
(define TTImpC-45ElabC-45Term-n--12348-13390-u--resolveNames (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16) (if (null? arg-16) (lambda (eta-0) (vector 1 (LibrariesC-45DataC-45UserNameMap-empty))) (let ((e-2 (car arg-16))) (let ((e-3 (cdr arg-16))) (let ((e-6 (car e-2))) (let ((e-7 (cdr e-2))) (let ((sc2 (CoreC-45Name-userNameRoot e-7))) (if (null? sc2) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 (string-append "non-UN in \"with\" LHS: " (CoreC-45Name-u--show_Show_Name e-7))) eta-0)) (let ((e-4 (unbox sc2))) (let ((eff-0 (let ((eff-0 arg-14)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-lookupCtxtName e-7 (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-8 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-8) (CoreC-45Context-ambiguousName arg-14 arg-15 e-7 ((csegen-101) e-8)) (let ((e-1 (car e-8))) (let ((e-9 (cdr e-8))) (if (null? e-1) (CoreC-45Context-ambiguousName arg-14 arg-15 e-7 ((csegen-101) e-8)) (let ((e-10 (cdr e-1))) (if (null? e-10) (CoreC-45Context-ambiguousName arg-14 arg-15 e-7 ((csegen-101) e-8)) (let ((e-12 (cdr e-10))) (if (null? e-9) (let ((eff-2 (let ((sc9 (CoreC-45FC-isConcreteFC e-6))) (if (null? sc9) (lambda (eta-0) (vector 1 (vector 0 ))) (let ((e-14 (unbox sc9))) (let ((u--nt (DataC-45Maybe-fromMaybe (lambda () (vector 1 )) (CoreC-45ContextC-45Context-defNameType (let ((e-17 (vector-ref e-12 17))) e-17))))) (let ((u--decor (CoreC-45Metadata-nameDecoration (let ((e-35 (vector-ref e-12 1))) e-35) u--nt))) (let ((eff-2 (CoreC-45ContextC-45Log-log arg-14 (csegen-2919) 7 (lambda () (string-append ((csegen-0) "`with' unambiguous name is adding ") (string-append (ProtocolC-45IDEC-45Decoration-u--show_Show_Decoration u--decor) (string-append ": " (CoreC-45Name-u--show_Show_Name (let ((e-35 (vector-ref e-12 1))) e-35))))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-15 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-15)))) (else (let ((eff-3 (CoreC-45Metadata-addSemanticDecorations arg-13 arg-14 (cons (cons e-14 (cons u--decor (box (let ((e-36 (vector-ref e-12 1))) e-36)))) '())))) eff-3))))))))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-14 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((eff-3 (let ((eff-3 (TTImpC-45ElabC-45Term-n--12348-13390-u--resolveNames arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 e-3))) (((csegen-50) ((let ((eff-4 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-15 (vector-ref eta-3 1))) (vector 0 e-15))) (else (let ((e-15 (vector-ref eta-3 1))) (vector 1 (eta-2 e-15))))))))))) (lambda (arg-17) (lambda (arg-18) ((((eff-4 'erased) 'erased) arg-17) arg-18)))) (lambda (eta-0) (LibrariesC-45DataC-45UserNameMap-insert e-4 e-1 eta-0)))) eff-3)))) eff-3)))))) (CoreC-45Context-ambiguousName arg-14 arg-15 e-7 ((csegen-101) e-8)))))))))))) eff-2))))))))) eff-1)))))))))))))))))
(define TTImpC-45ElabC-45Term-n--11361-11547-u--bindLamTm (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-7 arg-8) (case (vector-ref arg-7 0) ((2) (let ((e-17 (vector-ref arg-7 3))) (case (vector-ref e-17 0) ((0) (case (vector-ref arg-8 0) ((3) (let ((e-28 (vector-ref arg-8 3))) (case (vector-ref e-28 0) ((2) (let ((e-33 (vector-ref e-28 3))) (case (vector-ref e-33 0) ((0) (lambda (eta-0) (vector 1 (box arg-7))))(else (case (vector-ref arg-8 0) ((3) (let ((e-1 (vector-ref arg-8 1))) (let ((e-2 (vector-ref arg-8 2))) (let ((e-3 (vector-ref arg-8 3))) (let ((e-4 (vector-ref arg-8 4))) (case (vector-ref e-3 0) ((2) (let ((e-7 (vector-ref e-3 2))) (let ((e-8 (vector-ref e-3 3))) (case (vector-ref e-8 0) ((0) (let ((eff-0 (CoreC-45UnifyState-genVarName arg-5 arg-4 (CoreC-45Name-nameRoot e-2)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (TTImpC-45ElabC-45Term-n--11361-11547-u--bindLamTm arg-1 arg-2 arg-3 arg-4 arg-5 arg-7 e-4))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-10 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (clam-0) (if (null? e-10) (vector 1 '()) (let ((e-11 (unbox e-10))) (vector 1 (box (vector 2 e-1 e-7 (vector 0 ) (box e-5) (vector 32 e-1 0) e-11)))))))) eff-2))))))))) eff-1)))))))) ((2) (let ((eff-0 (CoreC-45UnifyState-genVarName arg-5 arg-4 (CoreC-45Name-nameRoot e-2)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (TTImpC-45ElabC-45Term-n--11361-11547-u--bindLamTm arg-1 arg-2 arg-3 arg-4 arg-5 arg-7 e-4))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-10 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (clam-1) (if (null? e-10) (vector 1 '()) (let ((e-11 (unbox e-10))) (vector 1 (box (vector 2 e-1 e-7 (vector 2 ) (box e-5) (vector 32 e-1 0) e-11)))))))) eff-2))))))))) eff-1)))))))) ((3) (let ((eff-0 (CoreC-45UnifyState-genVarName arg-5 arg-4 (CoreC-45Name-nameRoot e-2)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (TTImpC-45ElabC-45Term-n--11361-11547-u--bindLamTm arg-1 arg-2 arg-3 arg-4 arg-5 arg-7 e-4))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-10 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (clam-2) (if (null? e-10) (vector 1 '()) (let ((e-11 (unbox e-10))) (vector 1 (box (vector 2 e-1 e-7 (vector 3 (vector 32 e-1 0)) (box e-5) (vector 32 e-1 0) e-11)))))))) eff-2))))))))) eff-1))))))))(else (lambda (clam-0) (let ((sc6 (CoreC-45TT-getFn arg-8))) (case (vector-ref sc6 0) ((1) (let ((e-10 (vector-ref sc6 2))) (case (vector-ref e-10 0) ((1) (vector 1 '()))(else (vector 1 (box arg-7)))))) ((8) (vector 1 '())) ((3) (let ((e-11 (vector-ref sc6 3))) (case (vector-ref e-11 0) ((0) (vector 1 '()))(else (vector 1 (box arg-7))))))(else (vector 1 (box arg-7)))))))))))(else (lambda (clam-1) (let ((sc5 (CoreC-45TT-getFn arg-8))) (case (vector-ref sc5 0) ((1) (let ((e-6 (vector-ref sc5 2))) (case (vector-ref e-6 0) ((1) (vector 1 '()))(else (vector 1 (box arg-7)))))) ((8) (vector 1 '())) ((3) (let ((e-11 (vector-ref sc5 3))) (case (vector-ref e-11 0) ((0) (vector 1 '()))(else (vector 1 (box arg-7))))))(else (vector 1 (box arg-7)))))))))))))(else (lambda (clam-2) (let ((sc4 (CoreC-45TT-getFn arg-8))) (case (vector-ref sc4 0) ((1) (let ((e-2 (vector-ref sc4 2))) (case (vector-ref e-2 0) ((1) (vector 1 '()))(else (vector 1 (box arg-7)))))) ((8) (vector 1 '())) ((3) (let ((e-11 (vector-ref sc4 3))) (case (vector-ref e-11 0) ((0) (vector 1 '()))(else (vector 1 (box arg-7))))))(else (vector 1 (box arg-7))))))))))))(else (case (vector-ref arg-8 0) ((3) (let ((e-1 (vector-ref arg-8 1))) (let ((e-2 (vector-ref arg-8 2))) (let ((e-3 (vector-ref arg-8 3))) (let ((e-4 (vector-ref arg-8 4))) (case (vector-ref e-3 0) ((2) (let ((e-7 (vector-ref e-3 2))) (let ((e-8 (vector-ref e-3 3))) (case (vector-ref e-8 0) ((0) (let ((eff-0 (CoreC-45UnifyState-genVarName arg-5 arg-4 (CoreC-45Name-nameRoot e-2)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (TTImpC-45ElabC-45Term-n--11361-11547-u--bindLamTm arg-1 arg-2 arg-3 arg-4 arg-5 arg-7 e-4))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-10 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (clam-9) (if (null? e-10) (vector 1 '()) (let ((e-11 (unbox e-10))) (vector 1 (box (vector 2 e-1 e-7 (vector 0 ) (box e-5) (vector 32 e-1 0) e-11)))))))) eff-2))))))))) eff-1)))))))) ((2) (let ((eff-0 (CoreC-45UnifyState-genVarName arg-5 arg-4 (CoreC-45Name-nameRoot e-2)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (TTImpC-45ElabC-45Term-n--11361-11547-u--bindLamTm arg-1 arg-2 arg-3 arg-4 arg-5 arg-7 e-4))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-10 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (clam-10) (if (null? e-10) (vector 1 '()) (let ((e-11 (unbox e-10))) (vector 1 (box (vector 2 e-1 e-7 (vector 2 ) (box e-5) (vector 32 e-1 0) e-11)))))))) eff-2))))))))) eff-1)))))))) ((3) (let ((eff-0 (CoreC-45UnifyState-genVarName arg-5 arg-4 (CoreC-45Name-nameRoot e-2)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (TTImpC-45ElabC-45Term-n--11361-11547-u--bindLamTm arg-1 arg-2 arg-3 arg-4 arg-5 arg-7 e-4))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-10 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (clam-11) (if (null? e-10) (vector 1 '()) (let ((e-11 (unbox e-10))) (vector 1 (box (vector 2 e-1 e-7 (vector 3 (vector 32 e-1 0)) (box e-5) (vector 32 e-1 0) e-11)))))))) eff-2))))))))) eff-1))))))))(else (lambda (clam-3) (let ((sc5 (CoreC-45TT-getFn arg-8))) (case (vector-ref sc5 0) ((1) (let ((e-10 (vector-ref sc5 2))) (case (vector-ref e-10 0) ((1) (vector 1 '()))(else (vector 1 (box arg-7)))))) ((8) (vector 1 '())) ((3) (let ((e-11 (vector-ref sc5 3))) (case (vector-ref e-11 0) ((0) (vector 1 '()))(else (vector 1 (box arg-7))))))(else (vector 1 (box arg-7)))))))))))(else (lambda (clam-4) (let ((sc4 (CoreC-45TT-getFn arg-8))) (case (vector-ref sc4 0) ((1) (let ((e-6 (vector-ref sc4 2))) (case (vector-ref e-6 0) ((1) (vector 1 '()))(else (vector 1 (box arg-7)))))) ((8) (vector 1 '())) ((3) (let ((e-11 (vector-ref sc4 3))) (case (vector-ref e-11 0) ((0) (vector 1 '()))(else (vector 1 (box arg-7))))))(else (vector 1 (box arg-7)))))))))))))(else (lambda (clam-5) (let ((sc3 (CoreC-45TT-getFn arg-8))) (case (vector-ref sc3 0) ((1) (let ((e-2 (vector-ref sc3 2))) (case (vector-ref e-2 0) ((1) (vector 1 '()))(else (vector 1 (box arg-7)))))) ((8) (vector 1 '())) ((3) (let ((e-11 (vector-ref sc3 3))) (case (vector-ref e-11 0) ((0) (vector 1 '()))(else (vector 1 (box arg-7))))))(else (vector 1 (box arg-7))))))))))))(else (case (vector-ref arg-8 0) ((3) (let ((e-1 (vector-ref arg-8 1))) (let ((e-2 (vector-ref arg-8 2))) (let ((e-3 (vector-ref arg-8 3))) (let ((e-4 (vector-ref arg-8 4))) (case (vector-ref e-3 0) ((2) (let ((e-7 (vector-ref e-3 2))) (let ((e-8 (vector-ref e-3 3))) (case (vector-ref e-8 0) ((0) (let ((eff-0 (CoreC-45UnifyState-genVarName arg-5 arg-4 (CoreC-45Name-nameRoot e-2)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (TTImpC-45ElabC-45Term-n--11361-11547-u--bindLamTm arg-1 arg-2 arg-3 arg-4 arg-5 arg-7 e-4))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-10 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (clam-18) (if (null? e-10) (vector 1 '()) (let ((e-11 (unbox e-10))) (vector 1 (box (vector 2 e-1 e-7 (vector 0 ) (box e-5) (vector 32 e-1 0) e-11)))))))) eff-2))))))))) eff-1)))))))) ((2) (let ((eff-0 (CoreC-45UnifyState-genVarName arg-5 arg-4 (CoreC-45Name-nameRoot e-2)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (TTImpC-45ElabC-45Term-n--11361-11547-u--bindLamTm arg-1 arg-2 arg-3 arg-4 arg-5 arg-7 e-4))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-10 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (clam-19) (if (null? e-10) (vector 1 '()) (let ((e-11 (unbox e-10))) (vector 1 (box (vector 2 e-1 e-7 (vector 2 ) (box e-5) (vector 32 e-1 0) e-11)))))))) eff-2))))))))) eff-1)))))))) ((3) (let ((eff-0 (CoreC-45UnifyState-genVarName arg-5 arg-4 (CoreC-45Name-nameRoot e-2)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (TTImpC-45ElabC-45Term-n--11361-11547-u--bindLamTm arg-1 arg-2 arg-3 arg-4 arg-5 arg-7 e-4))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-10 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (clam-20) (if (null? e-10) (vector 1 '()) (let ((e-11 (unbox e-10))) (vector 1 (box (vector 2 e-1 e-7 (vector 3 (vector 32 e-1 0)) (box e-5) (vector 32 e-1 0) e-11)))))))) eff-2))))))))) eff-1))))))))(else (lambda (clam-6) (let ((sc4 (CoreC-45TT-getFn arg-8))) (case (vector-ref sc4 0) ((1) (let ((e-10 (vector-ref sc4 2))) (case (vector-ref e-10 0) ((1) (vector 1 '()))(else (vector 1 (box arg-7)))))) ((8) (vector 1 '())) ((3) (let ((e-11 (vector-ref sc4 3))) (case (vector-ref e-11 0) ((0) (vector 1 '()))(else (vector 1 (box arg-7))))))(else (vector 1 (box arg-7)))))))))))(else (lambda (clam-7) (let ((sc3 (CoreC-45TT-getFn arg-8))) (case (vector-ref sc3 0) ((1) (let ((e-6 (vector-ref sc3 2))) (case (vector-ref e-6 0) ((1) (vector 1 '()))(else (vector 1 (box arg-7)))))) ((8) (vector 1 '())) ((3) (let ((e-11 (vector-ref sc3 3))) (case (vector-ref e-11 0) ((0) (vector 1 '()))(else (vector 1 (box arg-7))))))(else (vector 1 (box arg-7)))))))))))))(else (lambda (clam-8) (let ((sc2 (CoreC-45TT-getFn arg-8))) (case (vector-ref sc2 0) ((1) (let ((e-2 (vector-ref sc2 2))) (case (vector-ref e-2 0) ((1) (vector 1 '()))(else (vector 1 (box arg-7)))))) ((8) (vector 1 '())) ((3) (let ((e-11 (vector-ref sc2 3))) (case (vector-ref e-11 0) ((0) (vector 1 '()))(else (vector 1 (box arg-7))))))(else (vector 1 (box arg-7))))))))))) ((2) (case (vector-ref arg-8 0) ((3) (let ((e-39 (vector-ref arg-8 3))) (case (vector-ref e-39 0) ((2) (let ((e-44 (vector-ref e-39 3))) (case (vector-ref e-44 0) ((2) (lambda (eta-0) (vector 1 (box arg-7))))(else (case (vector-ref arg-8 0) ((3) (let ((e-1 (vector-ref arg-8 1))) (let ((e-2 (vector-ref arg-8 2))) (let ((e-3 (vector-ref arg-8 3))) (let ((e-4 (vector-ref arg-8 4))) (case (vector-ref e-3 0) ((2) (let ((e-7 (vector-ref e-3 2))) (let ((e-8 (vector-ref e-3 3))) (case (vector-ref e-8 0) ((0) (let ((eff-0 (CoreC-45UnifyState-genVarName arg-5 arg-4 (CoreC-45Name-nameRoot e-2)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (TTImpC-45ElabC-45Term-n--11361-11547-u--bindLamTm arg-1 arg-2 arg-3 arg-4 arg-5 arg-7 e-4))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-10 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (clam-27) (if (null? e-10) (vector 1 '()) (let ((e-11 (unbox e-10))) (vector 1 (box (vector 2 e-1 e-7 (vector 0 ) (box e-5) (vector 32 e-1 0) e-11)))))))) eff-2))))))))) eff-1)))))))) ((2) (let ((eff-0 (CoreC-45UnifyState-genVarName arg-5 arg-4 (CoreC-45Name-nameRoot e-2)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (TTImpC-45ElabC-45Term-n--11361-11547-u--bindLamTm arg-1 arg-2 arg-3 arg-4 arg-5 arg-7 e-4))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-10 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (clam-28) (if (null? e-10) (vector 1 '()) (let ((e-11 (unbox e-10))) (vector 1 (box (vector 2 e-1 e-7 (vector 2 ) (box e-5) (vector 32 e-1 0) e-11)))))))) eff-2))))))))) eff-1)))))))) ((3) (let ((eff-0 (CoreC-45UnifyState-genVarName arg-5 arg-4 (CoreC-45Name-nameRoot e-2)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (TTImpC-45ElabC-45Term-n--11361-11547-u--bindLamTm arg-1 arg-2 arg-3 arg-4 arg-5 arg-7 e-4))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-10 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (clam-29) (if (null? e-10) (vector 1 '()) (let ((e-11 (unbox e-10))) (vector 1 (box (vector 2 e-1 e-7 (vector 3 (vector 32 e-1 0)) (box e-5) (vector 32 e-1 0) e-11)))))))) eff-2))))))))) eff-1))))))))(else (lambda (clam-9) (let ((sc6 (CoreC-45TT-getFn arg-8))) (case (vector-ref sc6 0) ((1) (let ((e-10 (vector-ref sc6 2))) (case (vector-ref e-10 0) ((1) (vector 1 '()))(else (vector 1 (box arg-7)))))) ((8) (vector 1 '())) ((3) (let ((e-11 (vector-ref sc6 3))) (case (vector-ref e-11 0) ((0) (vector 1 '()))(else (vector 1 (box arg-7))))))(else (vector 1 (box arg-7)))))))))))(else (lambda (clam-10) (let ((sc5 (CoreC-45TT-getFn arg-8))) (case (vector-ref sc5 0) ((1) (let ((e-6 (vector-ref sc5 2))) (case (vector-ref e-6 0) ((1) (vector 1 '()))(else (vector 1 (box arg-7)))))) ((8) (vector 1 '())) ((3) (let ((e-11 (vector-ref sc5 3))) (case (vector-ref e-11 0) ((0) (vector 1 '()))(else (vector 1 (box arg-7))))))(else (vector 1 (box arg-7)))))))))))))(else (lambda (clam-11) (let ((sc4 (CoreC-45TT-getFn arg-8))) (case (vector-ref sc4 0) ((1) (let ((e-2 (vector-ref sc4 2))) (case (vector-ref e-2 0) ((1) (vector 1 '()))(else (vector 1 (box arg-7)))))) ((8) (vector 1 '())) ((3) (let ((e-11 (vector-ref sc4 3))) (case (vector-ref e-11 0) ((0) (vector 1 '()))(else (vector 1 (box arg-7))))))(else (vector 1 (box arg-7))))))))))))(else (case (vector-ref arg-8 0) ((3) (let ((e-1 (vector-ref arg-8 1))) (let ((e-2 (vector-ref arg-8 2))) (let ((e-3 (vector-ref arg-8 3))) (let ((e-4 (vector-ref arg-8 4))) (case (vector-ref e-3 0) ((2) (let ((e-7 (vector-ref e-3 2))) (let ((e-8 (vector-ref e-3 3))) (case (vector-ref e-8 0) ((0) (let ((eff-0 (CoreC-45UnifyState-genVarName arg-5 arg-4 (CoreC-45Name-nameRoot e-2)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (TTImpC-45ElabC-45Term-n--11361-11547-u--bindLamTm arg-1 arg-2 arg-3 arg-4 arg-5 arg-7 e-4))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-10 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (clam-36) (if (null? e-10) (vector 1 '()) (let ((e-11 (unbox e-10))) (vector 1 (box (vector 2 e-1 e-7 (vector 0 ) (box e-5) (vector 32 e-1 0) e-11)))))))) eff-2))))))))) eff-1)))))))) ((2) (let ((eff-0 (CoreC-45UnifyState-genVarName arg-5 arg-4 (CoreC-45Name-nameRoot e-2)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (TTImpC-45ElabC-45Term-n--11361-11547-u--bindLamTm arg-1 arg-2 arg-3 arg-4 arg-5 arg-7 e-4))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-10 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (clam-37) (if (null? e-10) (vector 1 '()) (let ((e-11 (unbox e-10))) (vector 1 (box (vector 2 e-1 e-7 (vector 2 ) (box e-5) (vector 32 e-1 0) e-11)))))))) eff-2))))))))) eff-1)))))))) ((3) (let ((eff-0 (CoreC-45UnifyState-genVarName arg-5 arg-4 (CoreC-45Name-nameRoot e-2)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (TTImpC-45ElabC-45Term-n--11361-11547-u--bindLamTm arg-1 arg-2 arg-3 arg-4 arg-5 arg-7 e-4))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-10 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (clam-38) (if (null? e-10) (vector 1 '()) (let ((e-11 (unbox e-10))) (vector 1 (box (vector 2 e-1 e-7 (vector 3 (vector 32 e-1 0)) (box e-5) (vector 32 e-1 0) e-11)))))))) eff-2))))))))) eff-1))))))))(else (lambda (clam-12) (let ((sc5 (CoreC-45TT-getFn arg-8))) (case (vector-ref sc5 0) ((1) (let ((e-10 (vector-ref sc5 2))) (case (vector-ref e-10 0) ((1) (vector 1 '()))(else (vector 1 (box arg-7)))))) ((8) (vector 1 '())) ((3) (let ((e-11 (vector-ref sc5 3))) (case (vector-ref e-11 0) ((0) (vector 1 '()))(else (vector 1 (box arg-7))))))(else (vector 1 (box arg-7)))))))))))(else (lambda (clam-13) (let ((sc4 (CoreC-45TT-getFn arg-8))) (case (vector-ref sc4 0) ((1) (let ((e-6 (vector-ref sc4 2))) (case (vector-ref e-6 0) ((1) (vector 1 '()))(else (vector 1 (box arg-7)))))) ((8) (vector 1 '())) ((3) (let ((e-11 (vector-ref sc4 3))) (case (vector-ref e-11 0) ((0) (vector 1 '()))(else (vector 1 (box arg-7))))))(else (vector 1 (box arg-7)))))))))))))(else (lambda (clam-14) (let ((sc3 (CoreC-45TT-getFn arg-8))) (case (vector-ref sc3 0) ((1) (let ((e-2 (vector-ref sc3 2))) (case (vector-ref e-2 0) ((1) (vector 1 '()))(else (vector 1 (box arg-7)))))) ((8) (vector 1 '())) ((3) (let ((e-11 (vector-ref sc3 3))) (case (vector-ref e-11 0) ((0) (vector 1 '()))(else (vector 1 (box arg-7))))))(else (vector 1 (box arg-7))))))))))))(else (case (vector-ref arg-8 0) ((3) (let ((e-1 (vector-ref arg-8 1))) (let ((e-2 (vector-ref arg-8 2))) (let ((e-3 (vector-ref arg-8 3))) (let ((e-4 (vector-ref arg-8 4))) (case (vector-ref e-3 0) ((2) (let ((e-7 (vector-ref e-3 2))) (let ((e-8 (vector-ref e-3 3))) (case (vector-ref e-8 0) ((0) (let ((eff-0 (CoreC-45UnifyState-genVarName arg-5 arg-4 (CoreC-45Name-nameRoot e-2)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (TTImpC-45ElabC-45Term-n--11361-11547-u--bindLamTm arg-1 arg-2 arg-3 arg-4 arg-5 arg-7 e-4))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-10 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (clam-45) (if (null? e-10) (vector 1 '()) (let ((e-11 (unbox e-10))) (vector 1 (box (vector 2 e-1 e-7 (vector 0 ) (box e-5) (vector 32 e-1 0) e-11)))))))) eff-2))))))))) eff-1)))))))) ((2) (let ((eff-0 (CoreC-45UnifyState-genVarName arg-5 arg-4 (CoreC-45Name-nameRoot e-2)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (TTImpC-45ElabC-45Term-n--11361-11547-u--bindLamTm arg-1 arg-2 arg-3 arg-4 arg-5 arg-7 e-4))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-10 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (clam-46) (if (null? e-10) (vector 1 '()) (let ((e-11 (unbox e-10))) (vector 1 (box (vector 2 e-1 e-7 (vector 2 ) (box e-5) (vector 32 e-1 0) e-11)))))))) eff-2))))))))) eff-1)))))))) ((3) (let ((eff-0 (CoreC-45UnifyState-genVarName arg-5 arg-4 (CoreC-45Name-nameRoot e-2)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (TTImpC-45ElabC-45Term-n--11361-11547-u--bindLamTm arg-1 arg-2 arg-3 arg-4 arg-5 arg-7 e-4))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-10 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (clam-47) (if (null? e-10) (vector 1 '()) (let ((e-11 (unbox e-10))) (vector 1 (box (vector 2 e-1 e-7 (vector 3 (vector 32 e-1 0)) (box e-5) (vector 32 e-1 0) e-11)))))))) eff-2))))))))) eff-1))))))))(else (lambda (clam-15) (let ((sc4 (CoreC-45TT-getFn arg-8))) (case (vector-ref sc4 0) ((1) (let ((e-10 (vector-ref sc4 2))) (case (vector-ref e-10 0) ((1) (vector 1 '()))(else (vector 1 (box arg-7)))))) ((8) (vector 1 '())) ((3) (let ((e-11 (vector-ref sc4 3))) (case (vector-ref e-11 0) ((0) (vector 1 '()))(else (vector 1 (box arg-7))))))(else (vector 1 (box arg-7)))))))))))(else (lambda (clam-16) (let ((sc3 (CoreC-45TT-getFn arg-8))) (case (vector-ref sc3 0) ((1) (let ((e-6 (vector-ref sc3 2))) (case (vector-ref e-6 0) ((1) (vector 1 '()))(else (vector 1 (box arg-7)))))) ((8) (vector 1 '())) ((3) (let ((e-11 (vector-ref sc3 3))) (case (vector-ref e-11 0) ((0) (vector 1 '()))(else (vector 1 (box arg-7))))))(else (vector 1 (box arg-7)))))))))))))(else (lambda (clam-17) (let ((sc2 (CoreC-45TT-getFn arg-8))) (case (vector-ref sc2 0) ((1) (let ((e-2 (vector-ref sc2 2))) (case (vector-ref e-2 0) ((1) (vector 1 '()))(else (vector 1 (box arg-7)))))) ((8) (vector 1 '())) ((3) (let ((e-11 (vector-ref sc2 3))) (case (vector-ref e-11 0) ((0) (vector 1 '()))(else (vector 1 (box arg-7))))))(else (vector 1 (box arg-7))))))))))) ((3) (case (vector-ref arg-8 0) ((3) (let ((e-50 (vector-ref arg-8 3))) (case (vector-ref e-50 0) ((2) (let ((e-55 (vector-ref e-50 3))) (case (vector-ref e-55 0) ((3) (lambda (eta-0) (vector 1 (box arg-7))))(else (case (vector-ref arg-8 0) ((3) (let ((e-1 (vector-ref arg-8 1))) (let ((e-2 (vector-ref arg-8 2))) (let ((e-3 (vector-ref arg-8 3))) (let ((e-4 (vector-ref arg-8 4))) (case (vector-ref e-3 0) ((2) (let ((e-7 (vector-ref e-3 2))) (let ((e-8 (vector-ref e-3 3))) (case (vector-ref e-8 0) ((0) (let ((eff-0 (CoreC-45UnifyState-genVarName arg-5 arg-4 (CoreC-45Name-nameRoot e-2)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (TTImpC-45ElabC-45Term-n--11361-11547-u--bindLamTm arg-1 arg-2 arg-3 arg-4 arg-5 arg-7 e-4))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-10 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (clam-54) (if (null? e-10) (vector 1 '()) (let ((e-11 (unbox e-10))) (vector 1 (box (vector 2 e-1 e-7 (vector 0 ) (box e-5) (vector 32 e-1 0) e-11)))))))) eff-2))))))))) eff-1)))))))) ((2) (let ((eff-0 (CoreC-45UnifyState-genVarName arg-5 arg-4 (CoreC-45Name-nameRoot e-2)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (TTImpC-45ElabC-45Term-n--11361-11547-u--bindLamTm arg-1 arg-2 arg-3 arg-4 arg-5 arg-7 e-4))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-10 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (clam-55) (if (null? e-10) (vector 1 '()) (let ((e-11 (unbox e-10))) (vector 1 (box (vector 2 e-1 e-7 (vector 2 ) (box e-5) (vector 32 e-1 0) e-11)))))))) eff-2))))))))) eff-1)))))))) ((3) (let ((eff-0 (CoreC-45UnifyState-genVarName arg-5 arg-4 (CoreC-45Name-nameRoot e-2)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (TTImpC-45ElabC-45Term-n--11361-11547-u--bindLamTm arg-1 arg-2 arg-3 arg-4 arg-5 arg-7 e-4))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-10 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (clam-56) (if (null? e-10) (vector 1 '()) (let ((e-11 (unbox e-10))) (vector 1 (box (vector 2 e-1 e-7 (vector 3 (vector 32 e-1 0)) (box e-5) (vector 32 e-1 0) e-11)))))))) eff-2))))))))) eff-1))))))))(else (lambda (clam-18) (let ((sc6 (CoreC-45TT-getFn arg-8))) (case (vector-ref sc6 0) ((1) (let ((e-10 (vector-ref sc6 2))) (case (vector-ref e-10 0) ((1) (vector 1 '()))(else (vector 1 (box arg-7)))))) ((8) (vector 1 '())) ((3) (let ((e-11 (vector-ref sc6 3))) (case (vector-ref e-11 0) ((0) (vector 1 '()))(else (vector 1 (box arg-7))))))(else (vector 1 (box arg-7)))))))))))(else (lambda (clam-19) (let ((sc5 (CoreC-45TT-getFn arg-8))) (case (vector-ref sc5 0) ((1) (let ((e-6 (vector-ref sc5 2))) (case (vector-ref e-6 0) ((1) (vector 1 '()))(else (vector 1 (box arg-7)))))) ((8) (vector 1 '())) ((3) (let ((e-11 (vector-ref sc5 3))) (case (vector-ref e-11 0) ((0) (vector 1 '()))(else (vector 1 (box arg-7))))))(else (vector 1 (box arg-7)))))))))))))(else (lambda (clam-20) (let ((sc4 (CoreC-45TT-getFn arg-8))) (case (vector-ref sc4 0) ((1) (let ((e-2 (vector-ref sc4 2))) (case (vector-ref e-2 0) ((1) (vector 1 '()))(else (vector 1 (box arg-7)))))) ((8) (vector 1 '())) ((3) (let ((e-11 (vector-ref sc4 3))) (case (vector-ref e-11 0) ((0) (vector 1 '()))(else (vector 1 (box arg-7))))))(else (vector 1 (box arg-7))))))))))))(else (case (vector-ref arg-8 0) ((3) (let ((e-1 (vector-ref arg-8 1))) (let ((e-2 (vector-ref arg-8 2))) (let ((e-3 (vector-ref arg-8 3))) (let ((e-4 (vector-ref arg-8 4))) (case (vector-ref e-3 0) ((2) (let ((e-7 (vector-ref e-3 2))) (let ((e-8 (vector-ref e-3 3))) (case (vector-ref e-8 0) ((0) (let ((eff-0 (CoreC-45UnifyState-genVarName arg-5 arg-4 (CoreC-45Name-nameRoot e-2)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (TTImpC-45ElabC-45Term-n--11361-11547-u--bindLamTm arg-1 arg-2 arg-3 arg-4 arg-5 arg-7 e-4))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-10 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (clam-63) (if (null? e-10) (vector 1 '()) (let ((e-11 (unbox e-10))) (vector 1 (box (vector 2 e-1 e-7 (vector 0 ) (box e-5) (vector 32 e-1 0) e-11)))))))) eff-2))))))))) eff-1)))))))) ((2) (let ((eff-0 (CoreC-45UnifyState-genVarName arg-5 arg-4 (CoreC-45Name-nameRoot e-2)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (TTImpC-45ElabC-45Term-n--11361-11547-u--bindLamTm arg-1 arg-2 arg-3 arg-4 arg-5 arg-7 e-4))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-10 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (clam-64) (if (null? e-10) (vector 1 '()) (let ((e-11 (unbox e-10))) (vector 1 (box (vector 2 e-1 e-7 (vector 2 ) (box e-5) (vector 32 e-1 0) e-11)))))))) eff-2))))))))) eff-1)))))))) ((3) (let ((eff-0 (CoreC-45UnifyState-genVarName arg-5 arg-4 (CoreC-45Name-nameRoot e-2)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (TTImpC-45ElabC-45Term-n--11361-11547-u--bindLamTm arg-1 arg-2 arg-3 arg-4 arg-5 arg-7 e-4))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-10 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (clam-65) (if (null? e-10) (vector 1 '()) (let ((e-11 (unbox e-10))) (vector 1 (box (vector 2 e-1 e-7 (vector 3 (vector 32 e-1 0)) (box e-5) (vector 32 e-1 0) e-11)))))))) eff-2))))))))) eff-1))))))))(else (lambda (clam-21) (let ((sc5 (CoreC-45TT-getFn arg-8))) (case (vector-ref sc5 0) ((1) (let ((e-10 (vector-ref sc5 2))) (case (vector-ref e-10 0) ((1) (vector 1 '()))(else (vector 1 (box arg-7)))))) ((8) (vector 1 '())) ((3) (let ((e-11 (vector-ref sc5 3))) (case (vector-ref e-11 0) ((0) (vector 1 '()))(else (vector 1 (box arg-7))))))(else (vector 1 (box arg-7)))))))))))(else (lambda (clam-22) (let ((sc4 (CoreC-45TT-getFn arg-8))) (case (vector-ref sc4 0) ((1) (let ((e-6 (vector-ref sc4 2))) (case (vector-ref e-6 0) ((1) (vector 1 '()))(else (vector 1 (box arg-7)))))) ((8) (vector 1 '())) ((3) (let ((e-11 (vector-ref sc4 3))) (case (vector-ref e-11 0) ((0) (vector 1 '()))(else (vector 1 (box arg-7))))))(else (vector 1 (box arg-7)))))))))))))(else (lambda (clam-23) (let ((sc3 (CoreC-45TT-getFn arg-8))) (case (vector-ref sc3 0) ((1) (let ((e-2 (vector-ref sc3 2))) (case (vector-ref e-2 0) ((1) (vector 1 '()))(else (vector 1 (box arg-7)))))) ((8) (vector 1 '())) ((3) (let ((e-11 (vector-ref sc3 3))) (case (vector-ref e-11 0) ((0) (vector 1 '()))(else (vector 1 (box arg-7))))))(else (vector 1 (box arg-7))))))))))))(else (case (vector-ref arg-8 0) ((3) (let ((e-1 (vector-ref arg-8 1))) (let ((e-2 (vector-ref arg-8 2))) (let ((e-3 (vector-ref arg-8 3))) (let ((e-4 (vector-ref arg-8 4))) (case (vector-ref e-3 0) ((2) (let ((e-7 (vector-ref e-3 2))) (let ((e-8 (vector-ref e-3 3))) (case (vector-ref e-8 0) ((0) (let ((eff-0 (CoreC-45UnifyState-genVarName arg-5 arg-4 (CoreC-45Name-nameRoot e-2)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (TTImpC-45ElabC-45Term-n--11361-11547-u--bindLamTm arg-1 arg-2 arg-3 arg-4 arg-5 arg-7 e-4))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-10 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (clam-72) (if (null? e-10) (vector 1 '()) (let ((e-11 (unbox e-10))) (vector 1 (box (vector 2 e-1 e-7 (vector 0 ) (box e-5) (vector 32 e-1 0) e-11)))))))) eff-2))))))))) eff-1)))))))) ((2) (let ((eff-0 (CoreC-45UnifyState-genVarName arg-5 arg-4 (CoreC-45Name-nameRoot e-2)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (TTImpC-45ElabC-45Term-n--11361-11547-u--bindLamTm arg-1 arg-2 arg-3 arg-4 arg-5 arg-7 e-4))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-10 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (clam-73) (if (null? e-10) (vector 1 '()) (let ((e-11 (unbox e-10))) (vector 1 (box (vector 2 e-1 e-7 (vector 2 ) (box e-5) (vector 32 e-1 0) e-11)))))))) eff-2))))))))) eff-1)))))))) ((3) (let ((eff-0 (CoreC-45UnifyState-genVarName arg-5 arg-4 (CoreC-45Name-nameRoot e-2)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (TTImpC-45ElabC-45Term-n--11361-11547-u--bindLamTm arg-1 arg-2 arg-3 arg-4 arg-5 arg-7 e-4))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-10 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (clam-74) (if (null? e-10) (vector 1 '()) (let ((e-11 (unbox e-10))) (vector 1 (box (vector 2 e-1 e-7 (vector 3 (vector 32 e-1 0)) (box e-5) (vector 32 e-1 0) e-11)))))))) eff-2))))))))) eff-1))))))))(else (lambda (clam-24) (let ((sc4 (CoreC-45TT-getFn arg-8))) (case (vector-ref sc4 0) ((1) (let ((e-10 (vector-ref sc4 2))) (case (vector-ref e-10 0) ((1) (vector 1 '()))(else (vector 1 (box arg-7)))))) ((8) (vector 1 '())) ((3) (let ((e-11 (vector-ref sc4 3))) (case (vector-ref e-11 0) ((0) (vector 1 '()))(else (vector 1 (box arg-7))))))(else (vector 1 (box arg-7)))))))))))(else (lambda (clam-25) (let ((sc3 (CoreC-45TT-getFn arg-8))) (case (vector-ref sc3 0) ((1) (let ((e-6 (vector-ref sc3 2))) (case (vector-ref e-6 0) ((1) (vector 1 '()))(else (vector 1 (box arg-7)))))) ((8) (vector 1 '())) ((3) (let ((e-11 (vector-ref sc3 3))) (case (vector-ref e-11 0) ((0) (vector 1 '()))(else (vector 1 (box arg-7))))))(else (vector 1 (box arg-7)))))))))))))(else (lambda (clam-26) (let ((sc2 (CoreC-45TT-getFn arg-8))) (case (vector-ref sc2 0) ((1) (let ((e-2 (vector-ref sc2 2))) (case (vector-ref e-2 0) ((1) (vector 1 '()))(else (vector 1 (box arg-7)))))) ((8) (vector 1 '())) ((3) (let ((e-11 (vector-ref sc2 3))) (case (vector-ref e-11 0) ((0) (vector 1 '()))(else (vector 1 (box arg-7))))))(else (vector 1 (box arg-7)))))))))))(else (case (vector-ref arg-8 0) ((3) (let ((e-1 (vector-ref arg-8 1))) (let ((e-2 (vector-ref arg-8 2))) (let ((e-3 (vector-ref arg-8 3))) (let ((e-4 (vector-ref arg-8 4))) (case (vector-ref e-3 0) ((2) (let ((e-7 (vector-ref e-3 2))) (let ((e-8 (vector-ref e-3 3))) (case (vector-ref e-8 0) ((0) (let ((eff-0 (CoreC-45UnifyState-genVarName arg-5 arg-4 (CoreC-45Name-nameRoot e-2)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (TTImpC-45ElabC-45Term-n--11361-11547-u--bindLamTm arg-1 arg-2 arg-3 arg-4 arg-5 arg-7 e-4))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-10 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (clam-81) (if (null? e-10) (vector 1 '()) (let ((e-11 (unbox e-10))) (vector 1 (box (vector 2 e-1 e-7 (vector 0 ) (box e-5) (vector 32 e-1 0) e-11)))))))) eff-2))))))))) eff-1)))))))) ((2) (let ((eff-0 (CoreC-45UnifyState-genVarName arg-5 arg-4 (CoreC-45Name-nameRoot e-2)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (TTImpC-45ElabC-45Term-n--11361-11547-u--bindLamTm arg-1 arg-2 arg-3 arg-4 arg-5 arg-7 e-4))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-10 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (clam-82) (if (null? e-10) (vector 1 '()) (let ((e-11 (unbox e-10))) (vector 1 (box (vector 2 e-1 e-7 (vector 2 ) (box e-5) (vector 32 e-1 0) e-11)))))))) eff-2))))))))) eff-1)))))))) ((3) (let ((eff-0 (CoreC-45UnifyState-genVarName arg-5 arg-4 (CoreC-45Name-nameRoot e-2)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (TTImpC-45ElabC-45Term-n--11361-11547-u--bindLamTm arg-1 arg-2 arg-3 arg-4 arg-5 arg-7 e-4))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-10 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (clam-83) (if (null? e-10) (vector 1 '()) (let ((e-11 (unbox e-10))) (vector 1 (box (vector 2 e-1 e-7 (vector 3 (vector 32 e-1 0)) (box e-5) (vector 32 e-1 0) e-11)))))))) eff-2))))))))) eff-1))))))))(else (lambda (clam-27) (let ((sc3 (CoreC-45TT-getFn arg-8))) (case (vector-ref sc3 0) ((1) (let ((e-10 (vector-ref sc3 2))) (case (vector-ref e-10 0) ((1) (vector 1 '()))(else (vector 1 (box arg-7)))))) ((8) (vector 1 '())) ((3) (let ((e-11 (vector-ref sc3 3))) (case (vector-ref e-11 0) ((0) (vector 1 '()))(else (vector 1 (box arg-7))))))(else (vector 1 (box arg-7)))))))))))(else (lambda (clam-28) (let ((sc2 (CoreC-45TT-getFn arg-8))) (case (vector-ref sc2 0) ((1) (let ((e-6 (vector-ref sc2 2))) (case (vector-ref e-6 0) ((1) (vector 1 '()))(else (vector 1 (box arg-7)))))) ((8) (vector 1 '())) ((3) (let ((e-11 (vector-ref sc2 3))) (case (vector-ref e-11 0) ((0) (vector 1 '()))(else (vector 1 (box arg-7))))))(else (vector 1 (box arg-7)))))))))))))(else (lambda (clam-29) (let ((sc1 (CoreC-45TT-getFn arg-8))) (case (vector-ref sc1 0) ((1) (let ((e-2 (vector-ref sc1 2))) (case (vector-ref e-2 0) ((1) (vector 1 '()))(else (vector 1 (box arg-7)))))) ((8) (vector 1 '())) ((3) (let ((e-11 (vector-ref sc1 3))) (case (vector-ref e-11 0) ((0) (vector 1 '()))(else (vector 1 (box arg-7))))))(else (vector 1 (box arg-7))))))))))))(else (case (vector-ref arg-8 0) ((3) (let ((e-1 (vector-ref arg-8 1))) (let ((e-2 (vector-ref arg-8 2))) (let ((e-3 (vector-ref arg-8 3))) (let ((e-4 (vector-ref arg-8 4))) (case (vector-ref e-3 0) ((2) (let ((e-7 (vector-ref e-3 2))) (let ((e-8 (vector-ref e-3 3))) (case (vector-ref e-8 0) ((0) (let ((eff-0 (CoreC-45UnifyState-genVarName arg-5 arg-4 (CoreC-45Name-nameRoot e-2)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (TTImpC-45ElabC-45Term-n--11361-11547-u--bindLamTm arg-1 arg-2 arg-3 arg-4 arg-5 arg-7 e-4))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-10 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (clam-90) (if (null? e-10) (vector 1 '()) (let ((e-11 (unbox e-10))) (vector 1 (box (vector 2 e-1 e-7 (vector 0 ) (box e-5) (vector 32 e-1 0) e-11)))))))) eff-2))))))))) eff-1)))))))) ((2) (let ((eff-0 (CoreC-45UnifyState-genVarName arg-5 arg-4 (CoreC-45Name-nameRoot e-2)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (TTImpC-45ElabC-45Term-n--11361-11547-u--bindLamTm arg-1 arg-2 arg-3 arg-4 arg-5 arg-7 e-4))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-10 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (clam-91) (if (null? e-10) (vector 1 '()) (let ((e-11 (unbox e-10))) (vector 1 (box (vector 2 e-1 e-7 (vector 2 ) (box e-5) (vector 32 e-1 0) e-11)))))))) eff-2))))))))) eff-1)))))))) ((3) (let ((eff-0 (CoreC-45UnifyState-genVarName arg-5 arg-4 (CoreC-45Name-nameRoot e-2)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (TTImpC-45ElabC-45Term-n--11361-11547-u--bindLamTm arg-1 arg-2 arg-3 arg-4 arg-5 arg-7 e-4))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-10 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (clam-92) (if (null? e-10) (vector 1 '()) (let ((e-11 (unbox e-10))) (vector 1 (box (vector 2 e-1 e-7 (vector 3 (vector 32 e-1 0)) (box e-5) (vector 32 e-1 0) e-11)))))))) eff-2))))))))) eff-1))))))))(else (lambda (clam-30) (let ((sc2 (CoreC-45TT-getFn arg-8))) (case (vector-ref sc2 0) ((1) (let ((e-10 (vector-ref sc2 2))) (case (vector-ref e-10 0) ((1) (vector 1 '()))(else (vector 1 (box arg-7)))))) ((8) (vector 1 '())) ((3) (let ((e-11 (vector-ref sc2 3))) (case (vector-ref e-11 0) ((0) (vector 1 '()))(else (vector 1 (box arg-7))))))(else (vector 1 (box arg-7)))))))))))(else (lambda (clam-31) (let ((sc1 (CoreC-45TT-getFn arg-8))) (case (vector-ref sc1 0) ((1) (let ((e-6 (vector-ref sc1 2))) (case (vector-ref e-6 0) ((1) (vector 1 '()))(else (vector 1 (box arg-7)))))) ((8) (vector 1 '())) ((3) (let ((e-11 (vector-ref sc1 3))) (case (vector-ref e-11 0) ((0) (vector 1 '()))(else (vector 1 (box arg-7))))))(else (vector 1 (box arg-7)))))))))))))(else (lambda (clam-32) (let ((sc0 (CoreC-45TT-getFn arg-8))) (case (vector-ref sc0 0) ((1) (let ((e-2 (vector-ref sc0 2))) (case (vector-ref e-2 0) ((1) (vector 1 '()))(else (vector 1 (box arg-7)))))) ((8) (vector 1 '())) ((3) (let ((e-11 (vector-ref sc0 3))) (case (vector-ref e-11 0) ((0) (vector 1 '()))(else (vector 1 (box arg-7))))))(else (vector 1 (box arg-7))))))))))))
(define TTImpC-45ElabC-45Term-n--11361-11548-u--bindLamNF (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (case (vector-ref arg-6 0) ((2) (let ((e-17 (vector-ref arg-6 3))) (case (vector-ref e-17 0) ((0) (case (vector-ref arg-7 0) ((0) (let ((e-26 (vector-ref arg-7 3))) (case (vector-ref e-26 0) ((2) (let ((e-31 (vector-ref e-26 3))) (case (vector-ref e-31 0) ((0) (lambda (eta-0) (vector 1 arg-6)))(else (case (vector-ref arg-7 0) ((0) (let ((e-1 (vector-ref arg-7 1))) (let ((e-2 (vector-ref arg-7 2))) (let ((e-3 (vector-ref arg-7 3))) (let ((e-4 (vector-ref arg-7 4))) (case (vector-ref e-3 0) ((2) (let ((e-7 (vector-ref e-3 2))) (let ((e-8 (vector-ref e-3 3))) (case (vector-ref e-8 0) ((0) (let ((eff-0 (let ((eff-0 arg-5)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45UnifyState-genVarName arg-5 arg-4 (CoreC-45Name-nameRoot e-2)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-10 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 ((e-4 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) arg-3 (vector 1 e-1 (vector 0 ) e-10))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-11 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (TTImpC-45ElabC-45Term-n--11361-11548-u--bindLamNF arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-12 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-12)))) (else (let ((e-12 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 2 e-1 e-7 (vector 0 ) (box e-10) (vector 32 e-1 0) e-12))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))) ((2) (let ((eff-0 (let ((eff-0 arg-5)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45UnifyState-genVarName arg-5 arg-4 (CoreC-45Name-nameRoot e-2)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-10 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 ((e-4 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) arg-3 (vector 1 e-1 (vector 0 ) e-10))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-11 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (TTImpC-45ElabC-45Term-n--11361-11548-u--bindLamNF arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-12 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-12)))) (else (let ((e-12 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 2 e-1 e-7 (vector 2 ) (box e-10) (vector 32 e-1 0) e-12))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))) ((3) (let ((eff-0 (let ((eff-0 arg-5)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45UnifyState-genVarName arg-5 arg-4 (CoreC-45Name-nameRoot e-2)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-10 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 ((e-4 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) arg-3 (vector 1 e-1 (vector 0 ) e-10))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-11 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (TTImpC-45ElabC-45Term-n--11361-11548-u--bindLamNF arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-12 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-12)))) (else (let ((e-12 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 2 e-1 e-7 (vector 3 (vector 32 e-1 0)) (box e-10) (vector 32 e-1 0) e-12))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))(else (lambda (eta-0) (vector 1 arg-6)))))))(else (lambda (eta-0) (vector 1 arg-6)))))))))(else (lambda (eta-0) (vector 1 arg-6))))))))(else (case (vector-ref arg-7 0) ((0) (let ((e-1 (vector-ref arg-7 1))) (let ((e-2 (vector-ref arg-7 2))) (let ((e-3 (vector-ref arg-7 3))) (let ((e-4 (vector-ref arg-7 4))) (case (vector-ref e-3 0) ((2) (let ((e-7 (vector-ref e-3 2))) (let ((e-8 (vector-ref e-3 3))) (case (vector-ref e-8 0) ((0) (let ((eff-0 (let ((eff-0 arg-5)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45UnifyState-genVarName arg-5 arg-4 (CoreC-45Name-nameRoot e-2)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-10 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 ((e-4 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) arg-3 (vector 1 e-1 (vector 0 ) e-10))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-11 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (TTImpC-45ElabC-45Term-n--11361-11548-u--bindLamNF arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-12 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-12)))) (else (let ((e-12 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 2 e-1 e-7 (vector 0 ) (box e-10) (vector 32 e-1 0) e-12))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))) ((2) (let ((eff-0 (let ((eff-0 arg-5)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45UnifyState-genVarName arg-5 arg-4 (CoreC-45Name-nameRoot e-2)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-10 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 ((e-4 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) arg-3 (vector 1 e-1 (vector 0 ) e-10))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-11 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (TTImpC-45ElabC-45Term-n--11361-11548-u--bindLamNF arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-12 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-12)))) (else (let ((e-12 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 2 e-1 e-7 (vector 2 ) (box e-10) (vector 32 e-1 0) e-12))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))) ((3) (let ((eff-0 (let ((eff-0 arg-5)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45UnifyState-genVarName arg-5 arg-4 (CoreC-45Name-nameRoot e-2)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-10 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 ((e-4 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) arg-3 (vector 1 e-1 (vector 0 ) e-10))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-11 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (TTImpC-45ElabC-45Term-n--11361-11548-u--bindLamNF arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-12 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-12)))) (else (let ((e-12 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 2 e-1 e-7 (vector 3 (vector 32 e-1 0)) (box e-10) (vector 32 e-1 0) e-12))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))(else (lambda (eta-0) (vector 1 arg-6)))))))(else (lambda (eta-0) (vector 1 arg-6)))))))))(else (lambda (eta-0) (vector 1 arg-6))))))))(else (case (vector-ref arg-7 0) ((0) (let ((e-1 (vector-ref arg-7 1))) (let ((e-2 (vector-ref arg-7 2))) (let ((e-3 (vector-ref arg-7 3))) (let ((e-4 (vector-ref arg-7 4))) (case (vector-ref e-3 0) ((2) (let ((e-7 (vector-ref e-3 2))) (let ((e-8 (vector-ref e-3 3))) (case (vector-ref e-8 0) ((0) (let ((eff-0 (let ((eff-0 arg-5)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45UnifyState-genVarName arg-5 arg-4 (CoreC-45Name-nameRoot e-2)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-10 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 ((e-4 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) arg-3 (vector 1 e-1 (vector 0 ) e-10))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-11 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (TTImpC-45ElabC-45Term-n--11361-11548-u--bindLamNF arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-12 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-12)))) (else (let ((e-12 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 2 e-1 e-7 (vector 0 ) (box e-10) (vector 32 e-1 0) e-12))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))) ((2) (let ((eff-0 (let ((eff-0 arg-5)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45UnifyState-genVarName arg-5 arg-4 (CoreC-45Name-nameRoot e-2)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-10 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 ((e-4 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) arg-3 (vector 1 e-1 (vector 0 ) e-10))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-11 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (TTImpC-45ElabC-45Term-n--11361-11548-u--bindLamNF arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-12 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-12)))) (else (let ((e-12 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 2 e-1 e-7 (vector 2 ) (box e-10) (vector 32 e-1 0) e-12))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))) ((3) (let ((eff-0 (let ((eff-0 arg-5)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45UnifyState-genVarName arg-5 arg-4 (CoreC-45Name-nameRoot e-2)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-10 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 ((e-4 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) arg-3 (vector 1 e-1 (vector 0 ) e-10))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-11 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (TTImpC-45ElabC-45Term-n--11361-11548-u--bindLamNF arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-12 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-12)))) (else (let ((e-12 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 2 e-1 e-7 (vector 3 (vector 32 e-1 0)) (box e-10) (vector 32 e-1 0) e-12))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))(else (lambda (eta-0) (vector 1 arg-6)))))))(else (lambda (eta-0) (vector 1 arg-6)))))))))(else (lambda (eta-0) (vector 1 arg-6))))))) ((2) (case (vector-ref arg-7 0) ((0) (let ((e-37 (vector-ref arg-7 3))) (case (vector-ref e-37 0) ((2) (let ((e-42 (vector-ref e-37 3))) (case (vector-ref e-42 0) ((2) (lambda (eta-0) (vector 1 arg-6)))(else (case (vector-ref arg-7 0) ((0) (let ((e-1 (vector-ref arg-7 1))) (let ((e-2 (vector-ref arg-7 2))) (let ((e-3 (vector-ref arg-7 3))) (let ((e-4 (vector-ref arg-7 4))) (case (vector-ref e-3 0) ((2) (let ((e-7 (vector-ref e-3 2))) (let ((e-8 (vector-ref e-3 3))) (case (vector-ref e-8 0) ((0) (let ((eff-0 (let ((eff-0 arg-5)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45UnifyState-genVarName arg-5 arg-4 (CoreC-45Name-nameRoot e-2)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-10 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 ((e-4 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) arg-3 (vector 1 e-1 (vector 0 ) e-10))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-11 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (TTImpC-45ElabC-45Term-n--11361-11548-u--bindLamNF arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-12 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-12)))) (else (let ((e-12 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 2 e-1 e-7 (vector 0 ) (box e-10) (vector 32 e-1 0) e-12))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))) ((2) (let ((eff-0 (let ((eff-0 arg-5)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45UnifyState-genVarName arg-5 arg-4 (CoreC-45Name-nameRoot e-2)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-10 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 ((e-4 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) arg-3 (vector 1 e-1 (vector 0 ) e-10))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-11 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (TTImpC-45ElabC-45Term-n--11361-11548-u--bindLamNF arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-12 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-12)))) (else (let ((e-12 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 2 e-1 e-7 (vector 2 ) (box e-10) (vector 32 e-1 0) e-12))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))) ((3) (let ((eff-0 (let ((eff-0 arg-5)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45UnifyState-genVarName arg-5 arg-4 (CoreC-45Name-nameRoot e-2)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-10 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 ((e-4 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) arg-3 (vector 1 e-1 (vector 0 ) e-10))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-11 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (TTImpC-45ElabC-45Term-n--11361-11548-u--bindLamNF arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-12 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-12)))) (else (let ((e-12 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 2 e-1 e-7 (vector 3 (vector 32 e-1 0)) (box e-10) (vector 32 e-1 0) e-12))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))(else (lambda (eta-0) (vector 1 arg-6)))))))(else (lambda (eta-0) (vector 1 arg-6)))))))))(else (lambda (eta-0) (vector 1 arg-6))))))))(else (case (vector-ref arg-7 0) ((0) (let ((e-1 (vector-ref arg-7 1))) (let ((e-2 (vector-ref arg-7 2))) (let ((e-3 (vector-ref arg-7 3))) (let ((e-4 (vector-ref arg-7 4))) (case (vector-ref e-3 0) ((2) (let ((e-7 (vector-ref e-3 2))) (let ((e-8 (vector-ref e-3 3))) (case (vector-ref e-8 0) ((0) (let ((eff-0 (let ((eff-0 arg-5)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45UnifyState-genVarName arg-5 arg-4 (CoreC-45Name-nameRoot e-2)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-10 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 ((e-4 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) arg-3 (vector 1 e-1 (vector 0 ) e-10))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-11 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (TTImpC-45ElabC-45Term-n--11361-11548-u--bindLamNF arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-12 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-12)))) (else (let ((e-12 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 2 e-1 e-7 (vector 0 ) (box e-10) (vector 32 e-1 0) e-12))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))) ((2) (let ((eff-0 (let ((eff-0 arg-5)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45UnifyState-genVarName arg-5 arg-4 (CoreC-45Name-nameRoot e-2)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-10 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 ((e-4 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) arg-3 (vector 1 e-1 (vector 0 ) e-10))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-11 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (TTImpC-45ElabC-45Term-n--11361-11548-u--bindLamNF arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-12 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-12)))) (else (let ((e-12 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 2 e-1 e-7 (vector 2 ) (box e-10) (vector 32 e-1 0) e-12))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))) ((3) (let ((eff-0 (let ((eff-0 arg-5)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45UnifyState-genVarName arg-5 arg-4 (CoreC-45Name-nameRoot e-2)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-10 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 ((e-4 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) arg-3 (vector 1 e-1 (vector 0 ) e-10))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-11 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (TTImpC-45ElabC-45Term-n--11361-11548-u--bindLamNF arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-12 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-12)))) (else (let ((e-12 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 2 e-1 e-7 (vector 3 (vector 32 e-1 0)) (box e-10) (vector 32 e-1 0) e-12))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))(else (lambda (eta-0) (vector 1 arg-6)))))))(else (lambda (eta-0) (vector 1 arg-6)))))))))(else (lambda (eta-0) (vector 1 arg-6))))))))(else (case (vector-ref arg-7 0) ((0) (let ((e-1 (vector-ref arg-7 1))) (let ((e-2 (vector-ref arg-7 2))) (let ((e-3 (vector-ref arg-7 3))) (let ((e-4 (vector-ref arg-7 4))) (case (vector-ref e-3 0) ((2) (let ((e-7 (vector-ref e-3 2))) (let ((e-8 (vector-ref e-3 3))) (case (vector-ref e-8 0) ((0) (let ((eff-0 (let ((eff-0 arg-5)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45UnifyState-genVarName arg-5 arg-4 (CoreC-45Name-nameRoot e-2)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-10 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 ((e-4 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) arg-3 (vector 1 e-1 (vector 0 ) e-10))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-11 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (TTImpC-45ElabC-45Term-n--11361-11548-u--bindLamNF arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-12 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-12)))) (else (let ((e-12 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 2 e-1 e-7 (vector 0 ) (box e-10) (vector 32 e-1 0) e-12))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))) ((2) (let ((eff-0 (let ((eff-0 arg-5)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45UnifyState-genVarName arg-5 arg-4 (CoreC-45Name-nameRoot e-2)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-10 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 ((e-4 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) arg-3 (vector 1 e-1 (vector 0 ) e-10))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-11 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (TTImpC-45ElabC-45Term-n--11361-11548-u--bindLamNF arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-12 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-12)))) (else (let ((e-12 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 2 e-1 e-7 (vector 2 ) (box e-10) (vector 32 e-1 0) e-12))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))) ((3) (let ((eff-0 (let ((eff-0 arg-5)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45UnifyState-genVarName arg-5 arg-4 (CoreC-45Name-nameRoot e-2)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-10 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 ((e-4 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) arg-3 (vector 1 e-1 (vector 0 ) e-10))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-11 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (TTImpC-45ElabC-45Term-n--11361-11548-u--bindLamNF arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-12 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-12)))) (else (let ((e-12 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 2 e-1 e-7 (vector 3 (vector 32 e-1 0)) (box e-10) (vector 32 e-1 0) e-12))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))(else (lambda (eta-0) (vector 1 arg-6)))))))(else (lambda (eta-0) (vector 1 arg-6)))))))))(else (lambda (eta-0) (vector 1 arg-6)))))))(else (case (vector-ref arg-7 0) ((0) (let ((e-1 (vector-ref arg-7 1))) (let ((e-2 (vector-ref arg-7 2))) (let ((e-3 (vector-ref arg-7 3))) (let ((e-4 (vector-ref arg-7 4))) (case (vector-ref e-3 0) ((2) (let ((e-7 (vector-ref e-3 2))) (let ((e-8 (vector-ref e-3 3))) (case (vector-ref e-8 0) ((0) (let ((eff-0 (let ((eff-0 arg-5)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45UnifyState-genVarName arg-5 arg-4 (CoreC-45Name-nameRoot e-2)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-10 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 ((e-4 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) arg-3 (vector 1 e-1 (vector 0 ) e-10))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-11 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (TTImpC-45ElabC-45Term-n--11361-11548-u--bindLamNF arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-12 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-12)))) (else (let ((e-12 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 2 e-1 e-7 (vector 0 ) (box e-10) (vector 32 e-1 0) e-12))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))) ((2) (let ((eff-0 (let ((eff-0 arg-5)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45UnifyState-genVarName arg-5 arg-4 (CoreC-45Name-nameRoot e-2)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-10 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 ((e-4 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) arg-3 (vector 1 e-1 (vector 0 ) e-10))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-11 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (TTImpC-45ElabC-45Term-n--11361-11548-u--bindLamNF arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-12 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-12)))) (else (let ((e-12 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 2 e-1 e-7 (vector 2 ) (box e-10) (vector 32 e-1 0) e-12))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))) ((3) (let ((eff-0 (let ((eff-0 arg-5)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45UnifyState-genVarName arg-5 arg-4 (CoreC-45Name-nameRoot e-2)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-10 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 ((e-4 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) arg-3 (vector 1 e-1 (vector 0 ) e-10))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-11 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (TTImpC-45ElabC-45Term-n--11361-11548-u--bindLamNF arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-12 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-12)))) (else (let ((e-12 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 2 e-1 e-7 (vector 3 (vector 32 e-1 0)) (box e-10) (vector 32 e-1 0) e-12))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))(else (lambda (eta-0) (vector 1 arg-6)))))))(else (lambda (eta-0) (vector 1 arg-6)))))))))(else (lambda (eta-0) (vector 1 arg-6))))))))(else (case (vector-ref arg-7 0) ((0) (let ((e-1 (vector-ref arg-7 1))) (let ((e-2 (vector-ref arg-7 2))) (let ((e-3 (vector-ref arg-7 3))) (let ((e-4 (vector-ref arg-7 4))) (case (vector-ref e-3 0) ((2) (let ((e-7 (vector-ref e-3 2))) (let ((e-8 (vector-ref e-3 3))) (case (vector-ref e-8 0) ((0) (let ((eff-0 (let ((eff-0 arg-5)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45UnifyState-genVarName arg-5 arg-4 (CoreC-45Name-nameRoot e-2)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-10 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 ((e-4 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) arg-3 (vector 1 e-1 (vector 0 ) e-10))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-11 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (TTImpC-45ElabC-45Term-n--11361-11548-u--bindLamNF arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-12 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-12)))) (else (let ((e-12 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 2 e-1 e-7 (vector 0 ) (box e-10) (vector 32 e-1 0) e-12))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))) ((2) (let ((eff-0 (let ((eff-0 arg-5)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45UnifyState-genVarName arg-5 arg-4 (CoreC-45Name-nameRoot e-2)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-10 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 ((e-4 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) arg-3 (vector 1 e-1 (vector 0 ) e-10))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-11 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (TTImpC-45ElabC-45Term-n--11361-11548-u--bindLamNF arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-12 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-12)))) (else (let ((e-12 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 2 e-1 e-7 (vector 2 ) (box e-10) (vector 32 e-1 0) e-12))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))) ((3) (let ((eff-0 (let ((eff-0 arg-5)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45UnifyState-genVarName arg-5 arg-4 (CoreC-45Name-nameRoot e-2)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-10 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 ((e-4 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) arg-3 (vector 1 e-1 (vector 0 ) e-10))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-11 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (TTImpC-45ElabC-45Term-n--11361-11548-u--bindLamNF arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-12 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-12)))) (else (let ((e-12 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 2 e-1 e-7 (vector 3 (vector 32 e-1 0)) (box e-10) (vector 32 e-1 0) e-12))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))(else (lambda (eta-0) (vector 1 arg-6)))))))(else (lambda (eta-0) (vector 1 arg-6)))))))))(else (lambda (eta-0) (vector 1 arg-6))))))))
(define TTImpC-45ElabC-45Term-n--11361-11549-u--bindLam (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (let ((eff-0 (CoreC-45NormaliseC-45Eval-getTerm arg-7))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (TTImpC-45ElabC-45Term-n--11361-11547-u--bindLamTm arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-5))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-6) (let ((eff-2 (CoreC-45NormaliseC-45Eval-getNF arg-5 arg-7))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (TTImpC-45ElabC-45Term-n--11361-11548-u--bindLamNF arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-7))) eff-3))))))) (let ((e-1 (unbox e-6))) (lambda (eta-0) (vector 1 e-1)))))) eff-2))))))))) eff-1)))))))))
(define TTImpC-45ElabC-45Term-onLHS (lambda (arg-0) (case (vector-ref arg-0 0) ((1) 1)(else 0))))
(define TTImpC-45ElabC-45Term-insertImpLam (lambda (arg-1 arg-2 arg-3 arg-4 arg-5) (if (null? arg-5) (lambda (eta-0) (vector 1 arg-4)) (let ((e-1 (unbox arg-5))) (TTImpC-45ElabC-45Term-n--11361-11549-u--bindLam e-1 arg-4 arg-3 arg-2 arg-1 arg-4 e-1)))))
(define TTImpC-45ElabC-45Term-checkTerm (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12) (case (vector-ref arg-11 0) ((0) (let ((e-1 (vector-ref arg-11 1))) (let ((e-2 (vector-ref arg-11 2))) (TTImpC-45ElabC-45App-checkApp arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 e-1 (vector 0 e-1 e-2) '() '() '() arg-12)))) ((1) (let ((e-4 (vector-ref arg-11 1))) (let ((e-5 (vector-ref arg-11 2))) (let ((e-6 (vector-ref arg-11 3))) (let ((e-7 (vector-ref arg-11 4))) (let ((e-8 (vector-ref arg-11 5))) (let ((e-9 (vector-ref arg-11 6))) (if (null? e-7) (let ((eff-0 (case (vector-ref e-6 0) ((1) (CoreC-45UnifyState-genVarName arg-1 arg-3 "arg")) ((0) (CoreC-45UnifyState-genVarName arg-1 arg-3 "impArg")) ((2) (CoreC-45UnifyState-genVarName arg-1 arg-3 "conArg")) (else (CoreC-45UnifyState-genVarName arg-1 arg-3 "defArg"))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-10 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45ElabC-45Binders-checkPi arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 e-4 e-5 e-6 e-10 e-8 e-9 arg-12))) eff-1))))))) (let ((e-138 (unbox e-7))) (case (vector-ref e-138 0) ((1) (let ((e-139 (vector-ref e-138 1))) (case (vector-ref e-139 0) ((2) (TTImpC-45ElabC-45Term-checkTerm arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 1 e-4 e-5 e-6 '() e-8 e-9) arg-12))(else (TTImpC-45ElabC-45Binders-checkPi arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 e-4 e-5 e-6 e-138 e-8 e-9 arg-12)))))(else (TTImpC-45ElabC-45Binders-checkPi arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 e-4 e-5 e-6 e-138 e-8 e-9 arg-12)))))))))))) ((2) (let ((e-11 (vector-ref arg-11 1))) (let ((e-12 (vector-ref arg-11 2))) (let ((e-13 (vector-ref arg-11 3))) (let ((e-14 (vector-ref arg-11 4))) (let ((e-15 (vector-ref arg-11 5))) (let ((e-16 (vector-ref arg-11 6))) (if (null? e-14) (let ((eff-0 (CoreC-45UnifyState-genVarName arg-1 arg-3 "_"))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45ElabC-45Binders-checkLambda arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 e-11 e-12 e-13 e-5 e-15 e-16 arg-12))) eff-1))))))) (let ((e-141 (unbox e-14))) (TTImpC-45ElabC-45Binders-checkLambda arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 e-11 e-12 e-13 e-141 e-15 e-16 arg-12)))))))))) ((3) (let ((e-18 (vector-ref arg-11 1))) (let ((e-19 (vector-ref arg-11 2))) (let ((e-20 (vector-ref arg-11 3))) (let ((e-21 (vector-ref arg-11 4))) (let ((e-22 (vector-ref arg-11 5))) (let ((e-23 (vector-ref arg-11 6))) (let ((e-24 (vector-ref arg-11 7))) (TTImpC-45ElabC-45Binders-checkLet arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 e-18 e-19 e-20 e-21 e-22 e-23 e-24 arg-12))))))))) ((4) (let ((e-26 (vector-ref arg-11 1))) (let ((e-27 (vector-ref arg-11 2))) (let ((e-28 (vector-ref arg-11 3))) (let ((e-29 (vector-ref arg-11 4))) (TTImpC-45ElabC-45Case-checkCase arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 e-26 e-27 e-28 e-29 arg-12)))))) ((5) (let ((e-31 (vector-ref arg-11 1))) (let ((e-32 (vector-ref arg-11 2))) (let ((e-33 (vector-ref arg-11 3))) (TTImpC-45ElabC-45Local-checkLocal arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 e-31 e-32 e-33 arg-12))))) ((6) (let ((e-35 (vector-ref arg-11 1))) (let ((e-36 (vector-ref arg-11 2))) (let ((e-37 (vector-ref arg-11 3))) (let ((e-38 (vector-ref arg-11 4))) (let ((e-39 (vector-ref arg-11 5))) (TTImpC-45ElabC-45Local-checkCaseLocal arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 e-35 e-36 e-37 e-38 e-39 arg-12))))))) ((7) (let ((e-41 (vector-ref arg-11 1))) (let ((e-42 (vector-ref arg-11 2))) (let ((e-43 (vector-ref arg-11 3))) (TTImpC-45ElabC-45Record-checkUpdate arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 e-41 e-42 e-43 arg-12))))) ((8) (let ((e-45 (vector-ref arg-11 1))) (let ((e-46 (vector-ref arg-11 2))) (let ((e-47 (vector-ref arg-11 3))) (TTImpC-45ElabC-45App-checkApp arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 e-45 e-46 (cons e-47 '()) '() '() arg-12))))) ((9) (let ((e-49 (vector-ref arg-11 1))) (let ((e-50 (vector-ref arg-11 2))) (let ((e-51 (vector-ref arg-11 3))) (TTImpC-45ElabC-45App-checkApp arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 e-49 e-50 '() (cons e-51 '()) '() arg-12))))) ((11) (let ((e-53 (vector-ref arg-11 1))) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 e-53 "with application not implemented yet") eta-0)))) ((10) (let ((e-57 (vector-ref arg-11 1))) (let ((e-58 (vector-ref arg-11 2))) (let ((e-59 (vector-ref arg-11 3))) (let ((e-60 (vector-ref arg-11 4))) (TTImpC-45ElabC-45App-checkApp arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 e-57 e-58 '() '() (cons (cons e-59 e-60) '()) arg-12)))))) ((12) (let ((e-62 (vector-ref arg-11 1))) (let ((e-63 (vector-ref arg-11 2))) (if (null? arg-12) (let ((eff-0 (let ((eff-0 arg-4)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45UnifyState-genName arg-1 arg-3 "searchTy"))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45ElabC-45Check-uniVar arg-1 arg-3 e-62))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (TTImpC-45ElabC-45Check-metaVar arg-0 arg-1 arg-3 e-62 (csegen-54) arg-10 e-6 (vector 11 e-62 e-7)))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45UnifyState-genName arg-1 arg-3 "search"))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (let ((eff-5 (TTImpC-45ElabC-45Check-searchVar arg-0 arg-1 arg-3 e-62 arg-7 e-63 (vector 8 (let ((e-2 (vector-ref e-5 1))) e-2)) arg-10 arg-9 e-9 e-8))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-10 (vector-ref lcase-5 1))) (let ((eff-6 (lambda (eta-0) (vector 1 (cons e-10 (CoreC-45NormaliseC-45Eval-gnf arg-0 arg-10 e-8)))))) eff-6))))))))) eff-5))))))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))) (let ((e-144 (unbox arg-12))) (let ((eff-0 (let ((eff-0 arg-4)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45UnifyState-genName arg-1 arg-3 "search"))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45NormaliseC-45Eval-getTerm e-144))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (TTImpC-45ElabC-45Check-searchVar arg-0 arg-1 arg-3 e-62 arg-7 e-63 (vector 8 (let ((e-2 (vector-ref e-5 1))) e-2)) arg-10 arg-9 e-6 e-7))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (cons e-8 e-144))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))) ((13) (let ((e-65 (vector-ref arg-11 1))) (let ((e-66 (vector-ref arg-11 2))) (let ((e-67 (vector-ref arg-11 3))) (TTImpC-45ElabC-45Ambiguity-checkAlternative arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 e-65 e-66 e-67 arg-12))))) ((14) (let ((e-69 (vector-ref arg-11 1))) (let ((e-70 (vector-ref arg-11 2))) (let ((e-71 (vector-ref arg-11 3))) (TTImpC-45ElabC-45Rewrite-checkRewrite arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 e-69 e-70 e-71 arg-12))))) ((15) (let ((e-74 (vector-ref arg-11 2))) (TTImpC-45ElabC-45Term-checkTerm arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 e-74 arg-12))) ((16) (let ((e-76 (vector-ref arg-11 1))) (let ((e-77 (vector-ref arg-11 2))) (let ((e-78 (vector-ref arg-11 3))) (TTImpC-45ElabC-45ImplicitBind-checkBindHere arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 e-76 e-77 e-78 arg-12))))) ((17) (let ((e-80 (vector-ref arg-11 1))) (let ((e-81 (vector-ref arg-11 2))) (TTImpC-45ElabC-45ImplicitBind-checkBindVar arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 e-80 (vector 0 e-81) arg-12)))) ((18) (let ((e-83 (vector-ref arg-11 1))) (let ((e-84 (vector-ref arg-11 2))) (let ((e-85 (vector-ref arg-11 3))) (let ((e-86 (vector-ref arg-11 4))) (let ((e-87 (vector-ref arg-11 5))) (TTImpC-45ElabC-45As-checkAs arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 e-83 e-84 e-85 e-86 e-87 arg-12))))))) ((19) (let ((e-89 (vector-ref arg-11 1))) (let ((e-90 (vector-ref arg-11 2))) (let ((e-91 (vector-ref arg-11 3))) (TTImpC-45ElabC-45Dot-checkDot arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 e-89 e-90 e-91 arg-12))))) ((20) (let ((e-93 (vector-ref arg-11 1))) (let ((e-94 (vector-ref arg-11 2))) (let ((e-95 (vector-ref arg-11 3))) (TTImpC-45ElabC-45Lazy-checkDelayed arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 e-93 e-94 e-95 arg-12))))) ((21) (let ((e-97 (vector-ref arg-11 1))) (let ((e-98 (vector-ref arg-11 2))) (TTImpC-45ElabC-45Lazy-checkDelay arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 e-97 e-98 arg-12)))) ((22) (let ((e-100 (vector-ref arg-11 1))) (let ((e-101 (vector-ref arg-11 2))) (TTImpC-45ElabC-45Lazy-checkForce arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 e-100 e-101 arg-12)))) ((23) (let ((e-103 (vector-ref arg-11 1))) (let ((e-104 (vector-ref arg-11 2))) (TTImpC-45ElabC-45Quote-checkQuote arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 e-103 e-104 arg-12)))) ((24) (let ((e-106 (vector-ref arg-11 1))) (let ((e-107 (vector-ref arg-11 2))) (TTImpC-45ElabC-45Quote-checkQuoteName arg-0 arg-1 arg-2 arg-3 arg-4 arg-7 arg-8 arg-9 arg-10 e-106 e-107 arg-12)))) ((25) (let ((e-109 (vector-ref arg-11 1))) (let ((e-110 (vector-ref arg-11 2))) (TTImpC-45ElabC-45Quote-checkQuoteDecl arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 e-109 e-110 arg-12)))) ((26) (let ((e-112 (vector-ref arg-11 1))) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 e-112 "Can't escape outside a quoted term") eta-0)))) ((27) (let ((e-115 (vector-ref arg-11 1))) (let ((e-116 (vector-ref arg-11 2))) (TTImpC-45ElabC-45RunElab-checkRunElab arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 e-115 e-116 arg-12)))) ((28) (let ((e-118 (vector-ref arg-11 1))) (let ((e-119 (vector-ref arg-11 2))) (let ((sc1 (TTImpC-45ElabC-45Prim-checkPrim e-118 e-119))) (let ((e-2 (car sc1))) (let ((e-3 (cdr sc1))) (TTImpC-45ElabC-45Check-checkExp arg-0 arg-1 arg-3 arg-4 arg-7 arg-8 arg-10 e-118 e-2 (CoreC-45NormaliseC-45Eval-gnf arg-0 arg-10 e-3) arg-12))))))) ((29) (let ((e-121 (vector-ref arg-11 1))) (let ((eff-0 (TTImpC-45ElabC-45Check-uniVar arg-1 arg-3 e-121))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45ElabC-45Check-checkExp arg-0 arg-1 arg-3 arg-4 arg-7 arg-8 arg-10 e-121 (vector 11 e-121 e-5) (CoreC-45NormaliseC-45Eval-gType e-121 e-5) arg-12))) eff-1))))))))) ((30) (let ((e-123 (vector-ref arg-11 1))) (let ((e-124 (vector-ref arg-11 2))) (TTImpC-45ElabC-45Hole-checkHole arg-0 arg-1 arg-2 arg-3 arg-4 arg-7 arg-8 arg-9 arg-10 e-123 (vector 0 e-124) arg-12)))) ((31) (let ((e-127 (vector-ref arg-11 2))) (let ((e-128 (vector-ref arg-11 3))) (CoreC-45Context-withLogLevel arg-1 e-127 (TTImpC-45ElabC-45Check-check arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 e-128 arg-12))))) ((32) (let ((e-130 (vector-ref arg-11 1))) (let ((e-131 (vector-ref arg-11 2))) (if (null? arg-12) (let ((eff-0 (CoreC-45UnifyState-genName arg-1 arg-3 "implicit_type"))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (TTImpC-45ElabC-45Check-uniVar arg-1 arg-3 e-130))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45ElabC-45Check-metaVar arg-0 arg-1 arg-3 e-130 (csegen-54) arg-10 e-5 (vector 11 e-130 e-6)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45UnifyState-genName arg-1 arg-3 "_"))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (TTImpC-45ElabC-45Check-metaVar arg-0 arg-1 arg-3 e-130 arg-7 arg-10 e-8 e-7))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (let ((eff-5 (let ((sc7 (cond ((equal? e-131 1) (let ((e-3 (vector-ref arg-8 3))) e-3)) (else 0)))) (cond ((equal? sc7 1) (let ((eff-5 (let ((eff-5 arg-4)) (PrimIO-io_bind (let ((eff-6 eff-5)) (lambda (eta-0) (unbox eff-6))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-10 (vector-ref lcase-5 1))) (let ((eff-6 (let ((eff-6 arg-4)) (PrimIO-io_bind (let ((eff-7 eff-6)) (lambda (eta-0) (set-box! eff-7 (TTImpC-45ElabC-45Check-addBindIfUnsolved arg-0 e-8 arg-7 (vector 1 ) arg-10 e-9 e-7 e-10)))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-6)))))))) (else (lambda (eta-0) (vector 1 (vector 0 )))))))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-6 (lambda (eta-0) (vector 1 (cons e-9 (CoreC-45NormaliseC-45Eval-gnf arg-0 arg-10 e-7)))))) eff-6)))))))) eff-5))))))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))) (let ((e-147 (unbox arg-12))) (let ((eff-0 (CoreC-45UnifyState-genName arg-1 arg-3 "_"))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-getTerm e-147))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45ElabC-45Check-metaVar arg-0 arg-1 arg-3 e-130 arg-7 arg-10 e-5 e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (let ((sc5 (cond ((equal? e-131 1) (let ((e-3 (vector-ref arg-8 3))) e-3)) (else 0)))) (cond ((equal? sc5 1) (let ((eff-3 (CoreC-45NormaliseC-45Eval-getTerm e-147))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (let ((eff-4 arg-4)) (PrimIO-io_bind (let ((eff-5 eff-4)) (lambda (eta-0) (unbox eff-5))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (let ((eff-5 arg-4)) (PrimIO-io_bind (let ((eff-6 eff-5)) (lambda (eta-0) (set-box! eff-6 (TTImpC-45ElabC-45Check-addBindIfUnsolved arg-0 e-5 arg-7 (vector 1 ) arg-10 e-7 e-8 e-9)))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-5))))))))) eff-4)))))))) (else (lambda (eta-0) (vector 1 (vector 0 )))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-4 (lambda (eta-0) (vector 1 (cons e-7 e-147))))) eff-4)))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))) (else (let ((e-133 (vector-ref arg-11 1))) (let ((e-134 (vector-ref arg-11 2))) (let ((e-135 (vector-ref arg-11 3))) (let ((eff-0 (let ((eff-0 arg-4)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (TTImpC-45ElabC-45Term-n--12348-13390-u--resolveNames arg-0 e-135 e-134 e-133 arg-12 arg-10 arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 e-133 e-134))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (let ((eff-2 arg-4)) (PrimIO-io_bind (let ((eff-3 eff-2)) (lambda (eta-0) (set-box! eff-3 (let ((e-1 (vector-ref e-5 0))) (let ((e-2 (vector-ref e-5 1))) (let ((e-3 (vector-ref e-5 2))) (let ((e-4 (vector-ref e-5 3))) (let ((e-16 (vector-ref e-5 4))) (let ((e-15 (vector-ref e-5 5))) (let ((e-7 (vector-ref e-5 6))) (let ((e-8 (vector-ref e-5 7))) (let ((e-9 (vector-ref e-5 8))) (let ((e-10 (vector-ref e-5 9))) (let ((e-11 (vector-ref e-5 10))) (let ((e-12 (vector-ref e-5 11))) (let ((e-13 (vector-ref e-5 12))) (vector e-1 e-2 e-3 e-4 e-16 e-15 e-7 e-8 e-9 e-10 e-11 e-12 e-13 (LibrariesC-45DataC-45UserNameMap-mergeLeft e-6 (let ((e-17 (vector-ref e-5 13))) e-17))))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (let ((eff-3 (TTImpC-45ElabC-45Check-check arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 e-135 arg-12))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (let ((eff-4 arg-4)) (PrimIO-io_bind (let ((eff-5 eff-4)) (lambda (eta-0) (unbox eff-5))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (let ((eff-5 (let ((eff-5 arg-4)) (PrimIO-io_bind (let ((eff-6 eff-5)) (lambda (eta-0) (set-box! eff-6 (let ((e-1 (vector-ref e-9 0))) (let ((e-2 (vector-ref e-9 1))) (let ((e-3 (vector-ref e-9 2))) (let ((e-4 (vector-ref e-9 3))) (let ((e-19 (vector-ref e-9 4))) (let ((e-18 (vector-ref e-9 5))) (let ((e-17 (vector-ref e-9 6))) (let ((e-16 (vector-ref e-9 7))) (let ((e-15 (vector-ref e-9 8))) (let ((e-10 (vector-ref e-9 9))) (let ((e-11 (vector-ref e-9 10))) (let ((e-12 (vector-ref e-9 11))) (let ((e-13 (vector-ref e-9 12))) (vector e-1 e-2 e-3 e-4 e-19 e-18 e-17 e-16 e-15 e-10 e-11 e-12 e-13 (let ((e-20 (vector-ref e-5 13))) e-20)))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-6 (lambda (eta-0) (vector 1 e-8)))) eff-6)))))))) eff-5))))))))) eff-4))))))))) eff-3)))))))) eff-2))))))))) eff-1))))))))))))))
(define TTImpC-45ElabC-45Check-checkImp (lambda (ext-0 ext-1 ext-2 ext-3 ext-4 ext-5 ext-6 ext-7 ext-8 ext-9 ext-10 ext-11 ext-12) (let ((eff-0 (TTImpC-45ElabC-45Term-checkTerm ext-0 ext-1 ext-2 ext-3 ext-4 ext-5 ext-6 ext-7 ext-8 ext-9 ext-10 ext-11 ext-12))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((sc1 (let ((sc2 (TTImpC-45ElabC-45Term-onLHS (let ((e-0 (vector-ref ext-8 0))) e-0)))) (cond ((equal? sc2 1) (let ((sc3 (let ((e-2 (vector-ref ext-8 2))) e-2))) (cond ((equal? sc3 1) 0) (else 1)))) (else 0))))) (cond ((equal? sc1 1) ((let ((e-2 (car e-5))) (let ((e-3 (cdr e-5))) (if (null? ext-12) (lambda () (lambda (eta-0) (vector 1 (vector 0 )))) (let ((e-1 (unbox ext-12))) (lambda () (let ((eff-1 (CoreC-45NormaliseC-45Eval-getNF ext-1 e-1))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45NormaliseC-45Eval-getNF ext-1 e-3))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (CoreC-45UnifyState-addPolyConstraint ext-0 ext-3 (TTImpC-45TTImp-getFC ext-11) ext-10 e-2 e-6 e-7))) eff-3))))))))) eff-2)))))))))))))) (else (lambda (eta-0) (vector 1 (vector 0 )))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (lambda (eta-0) (vector 1 e-5)))) eff-2)))))))) eff-1)))))))))
(define TTImpC-45ElabC-45Check-check (lambda (ext-0 ext-1 ext-2 ext-3 ext-4 ext-5 ext-6 ext-7 ext-8 ext-9 ext-10 ext-11 ext-12) (case (vector-ref ext-11 0) ((15) (let ((e-2 (vector-ref ext-11 2))) (TTImpC-45ElabC-45Check-checkImp ext-0 ext-1 ext-2 ext-3 ext-4 ext-5 ext-6 ext-7 ext-8 ext-9 ext-10 e-2 ext-12))) ((3) (TTImpC-45ElabC-45Check-checkImp ext-0 ext-1 ext-2 ext-3 ext-4 ext-5 ext-6 ext-7 ext-8 ext-9 ext-10 ext-11 ext-12)) ((5) (TTImpC-45ElabC-45Check-checkImp ext-0 ext-1 ext-2 ext-3 ext-4 ext-5 ext-6 ext-7 ext-8 ext-9 ext-10 ext-11 ext-12)) ((7) (TTImpC-45ElabC-45Check-checkImp ext-0 ext-1 ext-2 ext-3 ext-4 ext-5 ext-6 ext-7 ext-8 ext-9 ext-10 ext-11 ext-12))(else (let ((eff-0 (TTImpC-45ElabC-45Ambiguity-expandAmbigName ext-0 ext-1 ext-4 (let ((e-0 (vector-ref ext-8 0))) e-0) ext-9 ext-10 ext-11 '() ext-11 ext-12))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((e-0 (vector-ref ext-8 0))) (case (vector-ref e-0 0) ((1) (TTImpC-45ElabC-45Check-checkImp ext-0 ext-1 ext-2 ext-3 ext-4 ext-5 ext-6 ext-7 ext-8 ext-9 ext-10 e-5 ext-12))(else (let ((eff-1 (TTImpC-45ElabC-45Term-insertImpLam ext-1 ext-3 ext-10 e-5 ext-12))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (TTImpC-45ElabC-45Check-checkImp ext-0 ext-1 ext-2 ext-3 ext-4 ext-5 ext-6 ext-7 ext-8 ext-9 ext-10 e-7 ext-12))) eff-2)))))))))))) eff-1)))))))))))
(define TTImpC-45ElabC-45RunElab-n--11044-12899-u--unelabType (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19) (let ((e-2 (car arg-19))) (let ((e-3 (cdr arg-19))) (let ((e-7 (cdr e-3))) (let ((eff-0 (TTImpC-45Unelab-unelabUniqueBinders '() arg-16 '() e-7))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (cons e-2 ((csegen-2925) e-5)))))) eff-1))))))))))))
(define TTImpC-45ElabC-45RunElab-n--10972-11562-u--scriptRet (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-18 arg-19) (let ((eff-0 (let ((eff-0 arg-16)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((((((let ((eff-1 arg-18)) (lambda (arg-17) (lambda (arg-20) (lambda (arg-21) (lambda (arg-22) (lambda (arg-23) ((((((eff-1 arg-0) arg-17) arg-20) arg-21) arg-22) arg-23))))))) arg-10) e-5) 0) arg-8) arg-19))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45NormaliseC-45Eval-nfOpts arg-16 arg-0 (CoreC-45Value-withAll) e-5 arg-8 e-6))) eff-2))))))))) eff-1)))))))))
(define TTImpC-45ElabC-45RunElab-n--11044-12451-u--quotePi (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20 arg-21) (case (vector-ref arg-21 0) ((1) (lambda (eta-0) (vector 1 (vector 1 )))) ((0) (lambda (eta-0) (vector 1 (vector 0 )))) ((2) (lambda (eta-0) (vector 1 (vector 2 )))) (else (TTImpC-45ElabC-45RunElab-n--10972-11561-u--failWith arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-20 ((csegen-0) "Can't add default lambda"))))))
(define TTImpC-45ElabC-45RunElab-n--13496-13874-u--mkExpected (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14) (if (null? arg-14) (let ((eff-0 (CoreC-45UnifyState-genName arg-13 arg-11 "scriptTy"))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (TTImpC-45ElabC-45Check-uniVar arg-13 arg-11 arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (TTImpC-45ElabC-45Check-metaVar arg-0 arg-13 arg-11 arg-3 (csegen-54) arg-4 e-5 (vector 11 arg-3 e-6)))) eff-2))))))))) eff-1))))))) (let ((e-1 (unbox arg-14))) (let ((eff-0 (CoreC-45NormaliseC-45Eval-getTerm e-1))) (PrimIO-io_bind eff-0 (csegen-1313)))))))
(define TTImpC-45ElabC-45RunElab-n--10825-11372-u--getNameType (lambda (arg-0 arg-1 arg-2) (case (vector-ref arg-2 0) ((5) (let ((e-0 (vector-ref arg-2 1))) (let ((e-1 (vector-ref arg-2 2))) (vector 2 e-0 e-1)))) ((6) (let ((e-3 (vector-ref arg-2 1))) (let ((e-4 (vector-ref arg-2 2))) (vector 3 e-3 e-4))))(else (vector 1 )))))
(define TTImpC-45ElabC-45RunElab-n--10972-11561-u--failWith (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-18 arg-19) (let ((eff-0 (lambda (eta-0) (CoreC-45Context-clearDefs arg-18 eta-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-16 arg-0 e-5 arg-8 arg-6))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 47 arg-0 arg-10 arg-8 e-6 arg-19) eta-0)))) eff-2))))))))) eff-1)))))))))
(define TTImpC-45ElabC-45RunElab-n--10972-11563-u--elabCon (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19) (cond ((equal? arg-18 "Pure") (if (null? arg-19) (TTImpC-45ElabC-45RunElab-n--10972-11561-u--failWith arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 (string-append (csegen-2927) (string-append arg-18 (string-append (csegen-2928) (PreludeC-45Show-u--show_Show_Nat (PreludeC-45TypesC-45List-lengthTR arg-19)))))) (let ((e-2 (cdr arg-19))) (if (null? e-2) (TTImpC-45ElabC-45RunElab-n--10972-11561-u--failWith arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 (string-append (csegen-2927) (string-append arg-18 (string-append (csegen-2928) (PreludeC-45Show-u--show_Show_Nat (PreludeC-45TypesC-45List-lengthTR arg-19)))))) (let ((e-4 (car e-2))) (let ((e-5 (cdr e-2))) (if (null? e-5) (let ((eff-0 (lambda (eta-0) (CoreC-45Context-clearDefs arg-17 eta-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-16 arg-0 e-6 e-4))) eff-1))))))) (TTImpC-45ElabC-45RunElab-n--10972-11561-u--failWith arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 (string-append (csegen-2927) (string-append arg-18 (string-append (csegen-2928) (PreludeC-45Show-u--show_Show_Nat (PreludeC-45TypesC-45List-lengthTR arg-19))))))))))))) ((equal? arg-18 "Bind") (if (null? arg-19) (TTImpC-45ElabC-45RunElab-n--10972-11561-u--failWith arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 (string-append (csegen-2927) (string-append arg-18 (string-append (csegen-2928) (PreludeC-45Show-u--show_Show_Nat (PreludeC-45TypesC-45List-lengthTR arg-19)))))) (let ((e-9 (cdr arg-19))) (if (null? e-9) (TTImpC-45ElabC-45RunElab-n--10972-11561-u--failWith arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 (string-append (csegen-2927) (string-append arg-18 (string-append (csegen-2928) (PreludeC-45Show-u--show_Show_Nat (PreludeC-45TypesC-45List-lengthTR arg-19)))))) (let ((e-12 (cdr e-9))) (if (null? e-12) (TTImpC-45ElabC-45RunElab-n--10972-11561-u--failWith arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 (string-append (csegen-2927) (string-append arg-18 (string-append (csegen-2928) (PreludeC-45Show-u--show_Show_Nat (PreludeC-45TypesC-45List-lengthTR arg-19)))))) (let ((e-14 (car e-12))) (let ((e-15 (cdr e-12))) (if (null? e-15) (TTImpC-45ElabC-45RunElab-n--10972-11561-u--failWith arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 (string-append (csegen-2927) (string-append arg-18 (string-append (csegen-2928) (PreludeC-45Show-u--show_Show_Nat (PreludeC-45TypesC-45List-lengthTR arg-19)))))) (let ((e-17 (car e-15))) (let ((e-18 (cdr e-15))) (if (null? e-18) (let ((eff-0 (let ((eff-0 (CoreC-45NormaliseC-45Eval-evalClosure arg-16 arg-0 arg-17 e-14))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45ElabC-45RunElab-elabScript arg-0 arg-16 arg-15 arg-14 arg-13 arg-12 arg-11 arg-10 arg-9 arg-8 e-5 arg-7))) eff-1))))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-16 arg-0 arg-17 arg-8 e-5))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45NormaliseC-45Eval-evalClosure arg-16 arg-0 arg-17 e-17))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45NormaliseC-45Eval-applyToStack arg-17 (CoreC-45Value-withAll) arg-16 arg-0 arg-8 e-7 (cons (cons (CoreC-45TT-getLoc e-6) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-withAll) arg-8 e-6)) '())))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (TTImpC-45ElabC-45RunElab-elabScript arg-0 arg-16 arg-15 arg-14 arg-13 arg-12 arg-11 arg-10 arg-9 arg-8 e-10 arg-7))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))) (TTImpC-45ElabC-45RunElab-n--10972-11561-u--failWith arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 (string-append (csegen-2927) (string-append arg-18 (string-append (csegen-2928) (PreludeC-45Show-u--show_Show_Nat (PreludeC-45TypesC-45List-lengthTR arg-19)))))))))))))))))) ((equal? arg-18 "Fail") (if (null? arg-19) (TTImpC-45ElabC-45RunElab-n--10972-11561-u--failWith arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 (string-append (csegen-2927) (string-append arg-18 (string-append (csegen-2928) (PreludeC-45Show-u--show_Show_Nat (PreludeC-45TypesC-45List-lengthTR arg-19)))))) (let ((e-22 (cdr arg-19))) (if (null? e-22) (TTImpC-45ElabC-45RunElab-n--10972-11561-u--failWith arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 (string-append (csegen-2927) (string-append arg-18 (string-append (csegen-2928) (PreludeC-45Show-u--show_Show_Nat (PreludeC-45TypesC-45List-lengthTR arg-19)))))) (let ((e-24 (car e-22))) (let ((e-25 (cdr e-22))) (if (null? e-25) (TTImpC-45ElabC-45RunElab-n--10972-11561-u--failWith arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 (string-append (csegen-2927) (string-append arg-18 (string-append (csegen-2928) (PreludeC-45Show-u--show_Show_Nat (PreludeC-45TypesC-45List-lengthTR arg-19)))))) (let ((e-27 (car e-25))) (let ((e-28 (cdr e-25))) (if (null? e-28) (let ((eff-0 (CoreC-45NormaliseC-45Eval-evalClosure arg-16 arg-0 arg-17 e-27))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-16 arg-0 arg-17 e-24))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (((let ((eff-2 (csegen-2929))) (lambda (arg-20) (lambda (arg-21) ((((eff-2 arg-16) arg-0) arg-20) arg-21)))) arg-17) e-6))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((u--customFC (case (vector-ref e-6 0) ((2) arg-10)(else e-6)))) (let ((eff-2 (((let ((eff-2 (csegen-2930))) (lambda (arg-20) (lambda (arg-21) ((((eff-2 arg-16) arg-0) arg-20) arg-21)))) arg-17) e-5))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 48 (vector 49 u--customFC e-7)) eta-0)))) eff-3)))))))))) eff-2))))))))) eff-1))))))) (TTImpC-45ElabC-45RunElab-n--10972-11561-u--failWith arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 (string-append (csegen-2927) (string-append arg-18 (string-append (csegen-2928) (PreludeC-45Show-u--show_Show_Nat (PreludeC-45TypesC-45List-lengthTR arg-19)))))))))))))))) ((equal? arg-18 "Try") (if (null? arg-19) (TTImpC-45ElabC-45RunElab-n--10972-11561-u--failWith arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 (string-append (csegen-2927) (string-append arg-18 (string-append (csegen-2928) (PreludeC-45Show-u--show_Show_Nat (PreludeC-45TypesC-45List-lengthTR arg-19)))))) (let ((e-32 (cdr arg-19))) (if (null? e-32) (TTImpC-45ElabC-45RunElab-n--10972-11561-u--failWith arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 (string-append (csegen-2927) (string-append arg-18 (string-append (csegen-2928) (PreludeC-45Show-u--show_Show_Nat (PreludeC-45TypesC-45List-lengthTR arg-19)))))) (let ((e-34 (car e-32))) (let ((e-35 (cdr e-32))) (if (null? e-35) (TTImpC-45ElabC-45RunElab-n--10972-11561-u--failWith arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 (string-append (csegen-2927) (string-append arg-18 (string-append (csegen-2928) (PreludeC-45Show-u--show_Show_Nat (PreludeC-45TypesC-45List-lengthTR arg-19)))))) (let ((e-37 (car e-35))) (let ((e-38 (cdr e-35))) (if (null? e-38) (let ((eff-0 (CoreC-45NormaliseC-45Eval-evalClosure arg-16 arg-0 arg-17 e-37))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45UnifyState-tryUnify arg-16 arg-14 (let ((eff-1 (CoreC-45Context-getNextEntry arg-16))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (let ((eff-2 (CoreC-45NormaliseC-45Eval-evalClosure arg-16 arg-0 arg-17 e-34))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (TTImpC-45ElabC-45RunElab-elabScript arg-0 arg-16 arg-15 arg-14 arg-13 arg-12 arg-11 arg-10 arg-9 arg-8 e-7 arg-7))) eff-3))))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45Unify-solveConstraintsAfter arg-16 arg-14 e-6 (CoreC-45Unify-inTerm) 3))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-4 (lambda (eta-0) (vector 1 e-7)))) eff-4)))))))) eff-3))))))))) eff-2))))))) (TTImpC-45ElabC-45RunElab-elabScript arg-0 arg-16 arg-15 arg-14 arg-13 arg-12 arg-11 arg-10 arg-9 arg-8 e-5 arg-7)))) eff-1))))))) (TTImpC-45ElabC-45RunElab-n--10972-11561-u--failWith arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 (string-append (csegen-2927) (string-append arg-18 (string-append (csegen-2928) (PreludeC-45Show-u--show_Show_Nat (PreludeC-45TypesC-45List-lengthTR arg-19)))))))))))))))) ((equal? arg-18 "LogMsg") (if (null? arg-19) (TTImpC-45ElabC-45RunElab-n--10972-11561-u--failWith arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 (string-append (csegen-2927) (string-append arg-18 (string-append (csegen-2928) (PreludeC-45Show-u--show_Show_Nat (PreludeC-45TypesC-45List-lengthTR arg-19)))))) (let ((e-41 (car arg-19))) (let ((e-42 (cdr arg-19))) (if (null? e-42) (TTImpC-45ElabC-45RunElab-n--10972-11561-u--failWith arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 (string-append (csegen-2927) (string-append arg-18 (string-append (csegen-2928) (PreludeC-45Show-u--show_Show_Nat (PreludeC-45TypesC-45List-lengthTR arg-19)))))) (let ((e-44 (car e-42))) (let ((e-45 (cdr e-42))) (if (null? e-45) (TTImpC-45ElabC-45RunElab-n--10972-11561-u--failWith arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 (string-append (csegen-2927) (string-append arg-18 (string-append (csegen-2928) (PreludeC-45Show-u--show_Show_Nat (PreludeC-45TypesC-45List-lengthTR arg-19)))))) (let ((e-47 (car e-45))) (let ((e-48 (cdr e-45))) (if (null? e-48) (let ((eff-0 (CoreC-45NormaliseC-45Eval-evalClosure arg-16 arg-0 arg-17 e-41))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-16 arg-0 arg-17 e-44))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (let ((eff-2 (((let ((eff-2 (csegen-2930))) (lambda (arg-20) (lambda (arg-21) ((((eff-2 arg-16) arg-0) arg-20) arg-21)))) arg-17) e-5))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (((let ((eff-3 (csegen-2931))) (lambda (arg-20) (lambda (arg-21) ((((eff-3 arg-16) arg-0) arg-20) arg-21)))) arg-17) e-6))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (CoreC-45ContextC-45Log-unverifiedLogC arg-16 e-7 e-8 (let ((eff-4 (CoreC-45NormaliseC-45Eval-evalClosure arg-16 arg-0 arg-17 e-47))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (((let ((eff-5 (csegen-2930))) (lambda (arg-20) (lambda (arg-21) ((((eff-5 arg-16) arg-0) arg-20) arg-21)))) arg-17) e-9))) eff-5)))))))))) eff-4))))))))) eff-3))))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (TTImpC-45ElabC-45RunElab-n--10972-11562-u--scriptRet arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 (csegen-2932) (vector 0 )))) eff-3)))))))) eff-2))))))))) eff-1))))))) (TTImpC-45ElabC-45RunElab-n--10972-11561-u--failWith arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 (string-append (csegen-2927) (string-append arg-18 (string-append (csegen-2928) (PreludeC-45Show-u--show_Show_Nat (PreludeC-45TypesC-45List-lengthTR arg-19))))))))))))))))) ((equal? arg-18 "LogTerm") (if (null? arg-19) (TTImpC-45ElabC-45RunElab-n--10972-11561-u--failWith arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 (string-append (csegen-2927) (string-append arg-18 (string-append (csegen-2928) (PreludeC-45Show-u--show_Show_Nat (PreludeC-45TypesC-45List-lengthTR arg-19)))))) (let ((e-51 (car arg-19))) (let ((e-52 (cdr arg-19))) (if (null? e-52) (TTImpC-45ElabC-45RunElab-n--10972-11561-u--failWith arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 (string-append (csegen-2927) (string-append arg-18 (string-append (csegen-2928) (PreludeC-45Show-u--show_Show_Nat (PreludeC-45TypesC-45List-lengthTR arg-19)))))) (let ((e-54 (car e-52))) (let ((e-55 (cdr e-52))) (if (null? e-55) (TTImpC-45ElabC-45RunElab-n--10972-11561-u--failWith arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 (string-append (csegen-2927) (string-append arg-18 (string-append (csegen-2928) (PreludeC-45Show-u--show_Show_Nat (PreludeC-45TypesC-45List-lengthTR arg-19)))))) (let ((e-57 (car e-55))) (let ((e-58 (cdr e-55))) (if (null? e-58) (TTImpC-45ElabC-45RunElab-n--10972-11561-u--failWith arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 (string-append (csegen-2927) (string-append arg-18 (string-append (csegen-2928) (PreludeC-45Show-u--show_Show_Nat (PreludeC-45TypesC-45List-lengthTR arg-19)))))) (let ((e-60 (car e-58))) (let ((e-61 (cdr e-58))) (if (null? e-61) (let ((eff-0 (CoreC-45NormaliseC-45Eval-evalClosure arg-16 arg-0 arg-17 e-51))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-16 arg-0 arg-17 e-54))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (let ((eff-2 (((let ((eff-2 (csegen-2930))) (lambda (arg-20) (lambda (arg-21) ((((eff-2 arg-16) arg-0) arg-20) arg-21)))) arg-17) e-5))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (((let ((eff-3 (csegen-2931))) (lambda (arg-20) (lambda (arg-21) ((((eff-3 arg-16) arg-0) arg-20) arg-21)))) arg-17) e-6))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (CoreC-45ContextC-45Log-unverifiedLogC arg-16 e-7 e-8 (let ((eff-4 (CoreC-45NormaliseC-45Eval-evalClosure arg-16 arg-0 arg-17 e-57))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (let ((eff-5 (CoreC-45NormaliseC-45Eval-evalClosure arg-16 arg-0 arg-17 e-60))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-10 (vector-ref lcase-5 1))) (let ((eff-6 (let ((eff-6 (((let ((eff-6 (csegen-2930))) (lambda (arg-20) (lambda (arg-21) ((((eff-6 arg-16) arg-0) arg-20) arg-21)))) arg-17) e-9))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-2 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-11 (vector-ref lcase-6 1))) (let ((eff-7 (let ((eff-7 (((let ((eff-7 (csegen-2933))) (lambda (arg-20) (lambda (arg-21) ((((eff-7 arg-16) arg-0) arg-20) arg-21)))) arg-17) e-10))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-2 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-12 (vector-ref lcase-7 1))) (let ((eff-8 (lambda (eta-0) (vector 1 (string-append e-11 (string-append ": " (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 (csegen-100) e-12))))))) eff-8))))))))) eff-7))))))))) eff-6))))))))) eff-5)))))))))) eff-4))))))))) eff-3))))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (TTImpC-45ElabC-45RunElab-n--10972-11562-u--scriptRet arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 (csegen-2932) (vector 0 )))) eff-3)))))))) eff-2))))))))) eff-1))))))) (TTImpC-45ElabC-45RunElab-n--10972-11561-u--failWith arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 (string-append (csegen-2927) (string-append arg-18 (string-append (csegen-2928) (PreludeC-45Show-u--show_Show_Nat (PreludeC-45TypesC-45List-lengthTR arg-19)))))))))))))))))))) ((equal? arg-18 "LogSugaredTerm") (if (null? arg-19) (TTImpC-45ElabC-45RunElab-n--10972-11561-u--failWith arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 (string-append (csegen-2927) (string-append arg-18 (string-append (csegen-2928) (PreludeC-45Show-u--show_Show_Nat (PreludeC-45TypesC-45List-lengthTR arg-19)))))) (let ((e-64 (car arg-19))) (let ((e-65 (cdr arg-19))) (if (null? e-65) (TTImpC-45ElabC-45RunElab-n--10972-11561-u--failWith arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 (string-append (csegen-2927) (string-append arg-18 (string-append (csegen-2928) (PreludeC-45Show-u--show_Show_Nat (PreludeC-45TypesC-45List-lengthTR arg-19)))))) (let ((e-67 (car e-65))) (let ((e-68 (cdr e-65))) (if (null? e-68) (TTImpC-45ElabC-45RunElab-n--10972-11561-u--failWith arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 (string-append (csegen-2927) (string-append arg-18 (string-append (csegen-2928) (PreludeC-45Show-u--show_Show_Nat (PreludeC-45TypesC-45List-lengthTR arg-19)))))) (let ((e-70 (car e-68))) (let ((e-71 (cdr e-68))) (if (null? e-71) (TTImpC-45ElabC-45RunElab-n--10972-11561-u--failWith arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 (string-append (csegen-2927) (string-append arg-18 (string-append (csegen-2928) (PreludeC-45Show-u--show_Show_Nat (PreludeC-45TypesC-45List-lengthTR arg-19)))))) (let ((e-73 (car e-71))) (let ((e-74 (cdr e-71))) (if (null? e-74) (let ((eff-0 (CoreC-45NormaliseC-45Eval-evalClosure arg-16 arg-0 arg-17 e-64))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-16 arg-0 arg-17 e-67))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (let ((eff-2 (((let ((eff-2 (csegen-2930))) (lambda (arg-20) (lambda (arg-21) ((((eff-2 arg-16) arg-0) arg-20) arg-21)))) arg-17) e-5))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (((let ((eff-3 (csegen-2931))) (lambda (arg-20) (lambda (arg-21) ((((eff-3 arg-16) arg-0) arg-20) arg-21)))) arg-17) e-6))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (CoreC-45ContextC-45Log-unverifiedLogC arg-16 e-7 e-8 (let ((eff-4 (CoreC-45NormaliseC-45Eval-evalClosure arg-16 arg-0 arg-17 e-70))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (let ((eff-5 (let ((eff-5 (CoreC-45NormaliseC-45Eval-evalClosure arg-16 arg-0 arg-17 e-73))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-10 (vector-ref lcase-5 1))) (let ((eff-6 (((let ((eff-6 (csegen-2933))) (lambda (arg-20) (lambda (arg-21) ((((eff-6 arg-16) arg-0) arg-20) arg-21)))) arg-17) e-10))) eff-6))))))))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-10 (vector-ref lcase-5 1))) (let ((eff-6 (let ((eff-6 (IdrisC-45Resugar-pterm arg-16 arg-13 ((csegen-2934) e-10)))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-2 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-11 (vector-ref lcase-6 1))) (let ((eff-7 (let ((eff-7 (((let ((eff-7 (csegen-2930))) (lambda (arg-20) (lambda (arg-21) ((((eff-7 arg-16) arg-0) arg-20) arg-21)))) arg-17) e-9))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-2 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-12 (vector-ref lcase-7 1))) (let ((eff-8 (lambda (eta-0) (vector 1 (string-append e-12 (string-append ": " (IdrisC-45Syntax-u--show_Show_IPTerm e-11))))))) eff-8))))))))) eff-7))))))))) eff-6))))))))) eff-5)))))))))) eff-4))))))))) eff-3))))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (TTImpC-45ElabC-45RunElab-n--10972-11562-u--scriptRet arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 (csegen-2932) (vector 0 )))) eff-3)))))))) eff-2))))))))) eff-1))))))) (TTImpC-45ElabC-45RunElab-n--10972-11561-u--failWith arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 (string-append (csegen-2927) (string-append arg-18 (string-append (csegen-2928) (PreludeC-45Show-u--show_Show_Nat (PreludeC-45TypesC-45List-lengthTR arg-19)))))))))))))))))))) ((equal? arg-18 "Check") (if (null? arg-19) (TTImpC-45ElabC-45RunElab-n--10972-11561-u--failWith arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 (string-append (csegen-2927) (string-append arg-18 (string-append (csegen-2928) (PreludeC-45Show-u--show_Show_Nat (PreludeC-45TypesC-45List-lengthTR arg-19)))))) (let ((e-77 (car arg-19))) (let ((e-78 (cdr arg-19))) (if (null? e-78) (TTImpC-45ElabC-45RunElab-n--10972-11561-u--failWith arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 (string-append (csegen-2927) (string-append arg-18 (string-append (csegen-2928) (PreludeC-45Show-u--show_Show_Nat (PreludeC-45TypesC-45List-lengthTR arg-19)))))) (let ((e-80 (car e-78))) (let ((e-81 (cdr e-78))) (if (null? e-81) (let ((eff-0 (CoreC-45NormaliseC-45Eval-evalClosure arg-16 arg-0 arg-17 e-77))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-16 arg-0 arg-17 e-80))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-resolveName arg-16 (vector 1 (vector 0 ((csegen-0) "[elaborator script]")))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45Core-newRef (vector "TTImp.Elab.Check.EST" ) (TTImpC-45ElabC-45Check-initEState arg-0 e-7 arg-8)))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (let ((eff-4 (((let ((eff-4 (csegen-2933))) (lambda (arg-20) (lambda (arg-21) ((((eff-4 arg-16) arg-0) arg-20) arg-21)))) arg-17) e-6))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (TTImpC-45ElabC-45Delayed-runDelays arg-0 arg-16 arg-15 arg-14 e-8 (lambda (eta-0) 1) (TTImpC-45ElabC-45Check-check arg-0 arg-16 arg-15 arg-14 e-8 arg-13 arg-12 arg-11 (TTImpC-45ElabC-45Check-initElabInfo (vector 2 )) arg-9 arg-8 e-9 (box (CoreC-45Normalise-glueBack arg-16 arg-0 arg-17 arg-8 e-5)))))) eff-5))))))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (let ((e-2 (car e-9))) (let ((eff-5 (lambda (eta-0) (CoreC-45Context-clearDefs arg-17 eta-0)))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-4 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-10 (vector-ref lcase-5 1))) (let ((eff-6 (CoreC-45NormaliseC-45Eval-nf arg-16 arg-0 e-10 arg-8 e-2))) eff-6)))))))))) eff-5))))))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))) (TTImpC-45ElabC-45RunElab-n--10972-11561-u--failWith arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 (string-append (csegen-2927) (string-append arg-18 (string-append (csegen-2928) (PreludeC-45Show-u--show_Show_Nat (PreludeC-45TypesC-45List-lengthTR arg-19)))))))))))))) ((equal? arg-18 "Quote") (if (null? arg-19) (TTImpC-45ElabC-45RunElab-n--10972-11561-u--failWith arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 (string-append (csegen-2927) (string-append arg-18 (string-append (csegen-2928) (PreludeC-45Show-u--show_Show_Nat (PreludeC-45TypesC-45List-lengthTR arg-19)))))) (let ((e-85 (cdr arg-19))) (if (null? e-85) (TTImpC-45ElabC-45RunElab-n--10972-11561-u--failWith arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 (string-append (csegen-2927) (string-append arg-18 (string-append (csegen-2928) (PreludeC-45Show-u--show_Show_Nat (PreludeC-45TypesC-45List-lengthTR arg-19)))))) (let ((e-87 (car e-85))) (let ((e-88 (cdr e-85))) (if (null? e-88) (let ((eff-0 (CoreC-45NormaliseC-45Eval-evalClosure arg-16 arg-0 arg-17 e-87))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 arg-16)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (unbox eff-2))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (lambda (eta-0) (CoreC-45Context-clearDefs e-6 eta-0)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-16 arg-0 e-7 arg-8 e-5))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (TTImpC-45Unelab-unelabUniqueBinders arg-0 arg-16 arg-8 e-8))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (TTImpC-45ElabC-45RunElab-n--10972-11562-u--scriptRet arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 (csegen-2938) ((csegen-2925) e-9)))) eff-5))))))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))) (TTImpC-45ElabC-45RunElab-n--10972-11561-u--failWith arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 (string-append (csegen-2927) (string-append arg-18 (string-append (csegen-2928) (PreludeC-45Show-u--show_Show_Nat (PreludeC-45TypesC-45List-lengthTR arg-19))))))))))))) ((equal? arg-18 "Lambda") (if (null? arg-19) (TTImpC-45ElabC-45RunElab-n--10972-11561-u--failWith arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 (string-append (csegen-2927) (string-append arg-18 (string-append (csegen-2928) (PreludeC-45Show-u--show_Show_Nat (PreludeC-45TypesC-45List-lengthTR arg-19)))))) (let ((e-91 (car arg-19))) (let ((e-92 (cdr arg-19))) (if (null? e-92) (TTImpC-45ElabC-45RunElab-n--10972-11561-u--failWith arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 (string-append (csegen-2927) (string-append arg-18 (string-append (csegen-2928) (PreludeC-45Show-u--show_Show_Nat (PreludeC-45TypesC-45List-lengthTR arg-19)))))) (let ((e-94 (car e-92))) (let ((e-95 (cdr e-92))) (if (null? e-95) (TTImpC-45ElabC-45RunElab-n--10972-11561-u--failWith arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 (string-append (csegen-2927) (string-append arg-18 (string-append (csegen-2928) (PreludeC-45Show-u--show_Show_Nat (PreludeC-45TypesC-45List-lengthTR arg-19)))))) (let ((e-97 (car e-95))) (let ((e-98 (cdr e-95))) (if (null? e-98) (let ((eff-0 (lambda (eta-0) (CoreC-45Context-clearDefs arg-17 eta-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-16 arg-0 arg-17 e-97))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((u--script (vector 2 arg-5 arg-4 arg-3 arg-2 arg-1))) (case (vector-ref e-6 0) ((0) (let ((e-1 (vector-ref e-6 1))) (let ((e-2 (vector-ref e-6 2))) (let ((e-3 (vector-ref e-6 3))) (let ((e-4 (vector-ref e-6 4))) (case (vector-ref e-3 0) ((0) (let ((e-10 (vector-ref e-3 1))) (let ((e-7 (vector-ref e-3 2))) (let ((e-8 (vector-ref e-3 3))) (let ((e-9 (vector-ref e-3 4))) (let ((eff-2 (CoreC-45UnifyState-genVarName arg-16 arg-14 "x"))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-11 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 ((e-4 arg-17) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-withAll) arg-8 (vector 1 e-1 (vector 0 ) e-11))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-12 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-12)))) (else (let ((e-12 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-16 arg-0 e-5 arg-8 e-12))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-13 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-4 1))) (let ((eff-5 (let ((u--lamsc (CoreC-45TT-refToLocal e-11 e-2 e-13))) (let ((eff-5 (TTImpC-45ElabC-45RunElab-n--11044-12451-u--quotePi arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 u--script arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 e-94 e-91 e-97 arg-17 e-8))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-14 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-5 1))) (let ((eff-6 (let ((eff-6 (CoreC-45NormaliseC-45Quote-u--quote_Quote_Closure arg-16 arg-0 e-5 arg-8 e-9))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-15 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-15)))) (else (let ((e-15 (vector-ref lcase-6 1))) (let ((eff-7 (let ((u--envC-39 (cons (vector 0 e-10 e-7 e-14 e-15) arg-8))) (let ((eff-7 (let ((eff-7 (CoreC-45NormaliseC-45Eval-nf arg-16 (cons e-2 arg-0) arg-17 u--envC-39 u--lamsc))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-16 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-16)))) (else (let ((e-16 (vector-ref lcase-7 1))) (let ((eff-8 (TTImpC-45ElabC-45RunElab-elabScript (cons e-2 arg-0) arg-16 arg-15 arg-14 arg-13 arg-12 arg-11 arg-10 (TTImpC-45TTImp-u--weaken_Weaken_NestedNames arg-9) u--envC-39 e-16 '()))) eff-8))))))))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-16 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-16)))) (else (let ((e-16 (vector-ref lcase-7 1))) (let ((eff-8 (let ((eff-8 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-16 (cons e-2 arg-0) e-5 u--envC-39 e-16))) (PrimIO-io_bind eff-8 (lambda (lcase-8) (case (vector-ref lcase-8 0) ((0) (let ((e-17 (vector-ref lcase-8 1))) (lambda (eta-0) (vector 0 e-17)))) (else (let ((e-17 (vector-ref lcase-8 1))) (let ((eff-9 (CoreC-45NormaliseC-45Eval-nf arg-16 arg-0 e-5 arg-8 (vector 3 e-1 e-2 (vector 0 e-10 e-7 e-14 e-15) e-17)))) eff-9))))))))) eff-8)))))))))) eff-7))))))))) eff-6)))))))))) eff-5))))))))) eff-4))))))))) eff-3))))))))))))(else (TTImpC-45ElabC-45RunElab-n--10972-11561-u--failWith arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 u--script arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 "Not a lambda"))))))))(else (TTImpC-45ElabC-45RunElab-n--10972-11561-u--failWith arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 u--script arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 "Not a lambda")))))) eff-2))))))))) eff-1))))))) (TTImpC-45ElabC-45RunElab-n--10972-11561-u--failWith arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 (string-append (csegen-2927) (string-append arg-18 (string-append (csegen-2928) (PreludeC-45Show-u--show_Show_Nat (PreludeC-45TypesC-45List-lengthTR arg-19))))))))))))))))) ((equal? arg-18 "Goal") (if (null? arg-19) (let ((u--script (vector 2 arg-5 arg-4 arg-3 arg-2 arg-1))) (if (null? arg-7) (let ((eff-0 ((((((let ((eff-0 (csegen-2939))) (lambda (arg-20) (lambda (arg-21) (lambda (arg-22) (lambda (arg-23) (lambda (arg-24) ((((((eff-0 arg-0) arg-20) arg-21) arg-22) arg-23) arg-24))))))) arg-10) arg-17) 0) arg-8) '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45NormaliseC-45Eval-nfOpts arg-16 arg-0 (CoreC-45Value-withAll) arg-17 arg-8 e-5))) eff-1))))))) (let ((e-1 (unbox arg-7))) (let ((eff-0 (CoreC-45NormaliseC-45Eval-getTerm e-1))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (TTImpC-45Unelab-unelabUniqueBinders arg-0 arg-16 arg-8 e-5))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (TTImpC-45ElabC-45RunElab-n--10972-11562-u--scriptRet arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 u--script arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 (csegen-2939) (box ((csegen-2925) e-6))))) eff-2))))))))) eff-1)))))))))) (TTImpC-45ElabC-45RunElab-n--10972-11561-u--failWith arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 (string-append (csegen-2927) (string-append arg-18 (string-append (csegen-2928) (PreludeC-45Show-u--show_Show_Nat (PreludeC-45TypesC-45List-lengthTR arg-19)))))))) ((equal? arg-18 "LocalVars") (if (null? arg-19) (TTImpC-45ElabC-45RunElab-n--10972-11562-u--scriptRet arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 (csegen-2941) arg-0) (TTImpC-45ElabC-45RunElab-n--10972-11561-u--failWith arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 (string-append (csegen-2927) (string-append arg-18 (string-append (csegen-2928) (PreludeC-45Show-u--show_Show_Nat (PreludeC-45TypesC-45List-lengthTR arg-19)))))))) ((equal? arg-18 "GenSym") (if (null? arg-19) (TTImpC-45ElabC-45RunElab-n--10972-11561-u--failWith arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 (string-append (csegen-2927) (string-append arg-18 (string-append (csegen-2928) (PreludeC-45Show-u--show_Show_Nat (PreludeC-45TypesC-45List-lengthTR arg-19)))))) (let ((e-103 (car arg-19))) (let ((e-104 (cdr arg-19))) (if (null? e-104) (let ((eff-0 (CoreC-45NormaliseC-45Eval-evalClosure arg-16 arg-0 arg-17 e-103))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 (((let ((eff-1 (csegen-2930))) (lambda (arg-20) (lambda (arg-21) ((((eff-1 arg-16) arg-0) arg-20) arg-21)))) arg-17) e-5))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45UnifyState-genVarName arg-16 arg-14 e-6))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (TTImpC-45ElabC-45RunElab-n--10972-11562-u--scriptRet arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 (csegen-2940) e-6))) eff-2))))))))) eff-1))))))) (TTImpC-45ElabC-45RunElab-n--10972-11561-u--failWith arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 (string-append (csegen-2927) (string-append arg-18 (string-append (csegen-2928) (PreludeC-45Show-u--show_Show_Nat (PreludeC-45TypesC-45List-lengthTR arg-19))))))))))) ((equal? arg-18 "InCurrentNS") (if (null? arg-19) (TTImpC-45ElabC-45RunElab-n--10972-11561-u--failWith arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 (string-append (csegen-2927) (string-append arg-18 (string-append (csegen-2928) (PreludeC-45Show-u--show_Show_Nat (PreludeC-45TypesC-45List-lengthTR arg-19)))))) (let ((e-107 (car arg-19))) (let ((e-108 (cdr arg-19))) (if (null? e-108) (let ((eff-0 (CoreC-45NormaliseC-45Eval-evalClosure arg-16 arg-0 arg-17 e-107))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 (((let ((eff-1 (csegen-2942))) (lambda (arg-20) (lambda (arg-21) ((((eff-1 arg-16) arg-0) arg-20) arg-21)))) arg-17) e-5))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45Context-inCurrentNS arg-16 e-6))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (TTImpC-45ElabC-45RunElab-n--10972-11562-u--scriptRet arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 (csegen-2940) e-6))) eff-2))))))))) eff-1))))))) (TTImpC-45ElabC-45RunElab-n--10972-11561-u--failWith arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 (string-append (csegen-2927) (string-append arg-18 (string-append (csegen-2928) (PreludeC-45Show-u--show_Show_Nat (PreludeC-45TypesC-45List-lengthTR arg-19))))))))))) ((equal? arg-18 "GetType") (if (null? arg-19) (TTImpC-45ElabC-45RunElab-n--10972-11561-u--failWith arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 (string-append (csegen-2927) (string-append arg-18 (string-append (csegen-2928) (PreludeC-45Show-u--show_Show_Nat (PreludeC-45TypesC-45List-lengthTR arg-19)))))) (let ((e-111 (car arg-19))) (let ((e-112 (cdr arg-19))) (if (null? e-112) (let ((eff-0 (CoreC-45NormaliseC-45Eval-evalClosure arg-16 arg-0 arg-17 e-111))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 (((let ((eff-1 (csegen-2942))) (lambda (arg-20) (lambda (arg-21) ((((eff-1 arg-16) arg-0) arg-20) arg-21)))) arg-17) e-5))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45Context-lookupTyName e-6 (let ((e-0 (vector-ref arg-17 0))) e-0)))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (let ((u--script (vector 2 arg-5 arg-4 arg-3 arg-2 arg-1))) (CoreC-45Core-traverseC-39 (lambda (eta-0) (TTImpC-45ElabC-45RunElab-n--11044-12899-u--unelabType arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 u--script arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 e-111 arg-17 eta-0)) e-6 '())))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (TTImpC-45ElabC-45RunElab-n--10972-11562-u--scriptRet arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (lambda (eta-4) (lambda (eta-5) (CoreC-45Reflect-u--reflect_Reflect_C-40ListC-32C-36aC-41 (lambda (eta-6) (lambda (eta-7) (lambda (eta-8) (lambda (eta-9) (lambda (eta-10) (lambda (eta-11) (CoreC-45Reflect-u--reflect_Reflect_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (cons (csegen-2940) (csegen-2938)) eta-6 eta-7 eta-8 eta-9 eta-10 eta-11))))))) eta-0 eta-1 eta-2 eta-3 eta-4 eta-5))))))) e-7))) eff-3))))))))) eff-2))))))))) eff-1))))))) (TTImpC-45ElabC-45RunElab-n--10972-11561-u--failWith arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 (string-append (csegen-2927) (string-append arg-18 (string-append (csegen-2928) (PreludeC-45Show-u--show_Show_Nat (PreludeC-45TypesC-45List-lengthTR arg-19))))))))))) ((equal? arg-18 "GetInfo") (if (null? arg-19) (TTImpC-45ElabC-45RunElab-n--10972-11561-u--failWith arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 (string-append (csegen-2927) (string-append arg-18 (string-append (csegen-2928) (PreludeC-45Show-u--show_Show_Nat (PreludeC-45TypesC-45List-lengthTR arg-19)))))) (let ((e-115 (car arg-19))) (let ((e-116 (cdr arg-19))) (if (null? e-116) (let ((eff-0 (CoreC-45NormaliseC-45Eval-evalClosure arg-16 arg-0 arg-17 e-115))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 (((let ((eff-1 (csegen-2942))) (lambda (arg-20) (lambda (arg-21) ((((eff-1 arg-16) arg-0) arg-20) arg-21)))) arg-17) e-5))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (TTImpC-45ElabC-45RunElab-lookupNameInfo e-6 (let ((e-0 (vector-ref arg-17 0))) e-0)))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (TTImpC-45ElabC-45RunElab-n--10972-11562-u--scriptRet arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (lambda (eta-4) (lambda (eta-5) (CoreC-45Reflect-u--reflect_Reflect_C-40ListC-32C-36aC-41 (lambda (eta-6) (lambda (eta-7) (lambda (eta-8) (lambda (eta-9) (lambda (eta-10) (lambda (eta-11) (CoreC-45Reflect-u--reflect_Reflect_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (cons (csegen-2940) (lambda (u--vars) (lambda (arg-6498) (lambda (arg-6501) (lambda (u--onLHS) (lambda (arg-6506) (lambda (arg-6510) (TTImpC-45ElabC-45RunElab-u--reflect_Reflect_NameInfo u--vars arg-6498 arg-6501 u--onLHS arg-6506 arg-6510)))))))) eta-6 eta-7 eta-8 eta-9 eta-10 eta-11))))))) eta-0 eta-1 eta-2 eta-3 eta-4 eta-5))))))) e-6))) eff-2))))))))) eff-1))))))) (TTImpC-45ElabC-45RunElab-n--10972-11561-u--failWith arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 (string-append (csegen-2927) (string-append arg-18 (string-append (csegen-2928) (PreludeC-45Show-u--show_Show_Nat (PreludeC-45TypesC-45List-lengthTR arg-19))))))))))) ((equal? arg-18 "GetLocalType") (if (null? arg-19) (TTImpC-45ElabC-45RunElab-n--10972-11561-u--failWith arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 (string-append (csegen-2927) (string-append arg-18 (string-append (csegen-2928) (PreludeC-45Show-u--show_Show_Nat (PreludeC-45TypesC-45List-lengthTR arg-19)))))) (let ((e-119 (car arg-19))) (let ((e-120 (cdr arg-19))) (if (null? e-120) (let ((eff-0 (CoreC-45NormaliseC-45Eval-evalClosure arg-16 arg-0 arg-17 e-119))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (((let ((eff-1 (csegen-2942))) (lambda (arg-20) (lambda (arg-21) ((((eff-1 arg-16) arg-0) arg-20) arg-21)))) arg-17) e-5))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((u--script (vector 2 arg-5 arg-4 arg-3 arg-2 arg-1))) (let ((sc5 (CoreC-45Env-defined arg-0 e-6 arg-8))) (if (null? sc5) (TTImpC-45ElabC-45RunElab-n--10972-11561-u--failWith arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 u--script arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 (string-append (CoreC-45Name-u--show_Show_Name e-6) " is not a local variable")) (let ((e-1 (unbox sc5))) (if (null? e-1) (TTImpC-45ElabC-45RunElab-n--10972-11561-u--failWith arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 u--script arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 (string-append (CoreC-45Name-u--show_Show_Name e-6) " is not a local variable")) (let ((e-4 (car e-1))) (let ((u--binder (CoreC-45Env-getBinder (csegen-1260) arg-0 e-4 arg-8))) (let ((u--bty (CoreC-45TT-binderType u--binder))) (let ((eff-2 (TTImpC-45Unelab-unelabUniqueBinders arg-0 arg-16 arg-8 u--bty))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (TTImpC-45ElabC-45RunElab-n--10972-11562-u--scriptRet arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 u--script arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 (csegen-2938) (TTImpC-45TTImpC-45Functor-u--map_Functor_RawImpC-39 (csegen-327) e-8)))) eff-3))))))))))))))))) eff-2))))))))) eff-1))))))) (TTImpC-45ElabC-45RunElab-n--10972-11561-u--failWith arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 (string-append (csegen-2927) (string-append arg-18 (string-append (csegen-2928) (PreludeC-45Show-u--show_Show_Nat (PreludeC-45TypesC-45List-lengthTR arg-19))))))))))) ((equal? arg-18 "GetCons") (if (null? arg-19) (TTImpC-45ElabC-45RunElab-n--10972-11561-u--failWith arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 (string-append (csegen-2927) (string-append arg-18 (string-append (csegen-2928) (PreludeC-45Show-u--show_Show_Nat (PreludeC-45TypesC-45List-lengthTR arg-19)))))) (let ((e-123 (car arg-19))) (let ((e-124 (cdr arg-19))) (if (null? e-124) (let ((eff-0 (CoreC-45NormaliseC-45Eval-evalClosure arg-16 arg-0 arg-17 e-123))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (((let ((eff-1 (csegen-2942))) (lambda (arg-20) (lambda (arg-21) ((((eff-1 arg-16) arg-0) arg-20) arg-21)))) arg-17) e-5))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-lookupDefExact e-6 (let ((e-0 (vector-ref arg-17 0))) e-0)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((u--script (vector 2 arg-5 arg-4 arg-3 arg-2 arg-1))) (if (null? e-7) (TTImpC-45ElabC-45RunElab-n--10972-11561-u--failWith arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 u--script arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 (string-append (CoreC-45Name-u--show_Show_Name e-6) " is not a type")) (let ((e-1 (unbox e-7))) (case (vector-ref e-1 0) ((6) (let ((e-8 (vector-ref e-1 7))) (TTImpC-45ElabC-45RunElab-n--10972-11562-u--scriptRet arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 u--script arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 (csegen-2941) e-8)))(else (TTImpC-45ElabC-45RunElab-n--10972-11561-u--failWith arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 u--script arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 (string-append (CoreC-45Name-u--show_Show_Name e-6) " is not a type"))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))) (TTImpC-45ElabC-45RunElab-n--10972-11561-u--failWith arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 (string-append (csegen-2927) (string-append arg-18 (string-append (csegen-2928) (PreludeC-45Show-u--show_Show_Nat (PreludeC-45TypesC-45List-lengthTR arg-19))))))))))) ((equal? arg-18 "Declare") (if (null? arg-19) (TTImpC-45ElabC-45RunElab-n--10972-11561-u--failWith arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 (string-append (csegen-2927) (string-append arg-18 (string-append (csegen-2928) (PreludeC-45Show-u--show_Show_Nat (PreludeC-45TypesC-45List-lengthTR arg-19)))))) (let ((e-127 (car arg-19))) (let ((e-128 (cdr arg-19))) (if (null? e-128) (let ((eff-0 (CoreC-45NormaliseC-45Eval-evalClosure arg-16 arg-0 arg-17 e-127))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (CoreC-45Reflect-u--reify_Reify_C-40ListC-32C-36aC-41 (lambda (eta-4) (lambda (eta-5) (lambda (eta-6) (lambda (eta-7) (TTImpC-45Reflect-u--reify_Reify_ImpDecl eta-4 eta-5 eta-6 eta-7))))) eta-0 eta-1 eta-2 eta-3))))))) (lambda (arg-20) (lambda (arg-21) ((((eff-1 arg-16) arg-0) arg-20) arg-21)))) arg-17) e-5))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Core-traverse_ (lambda (eta-0) (TTImpC-45ElabC-45Check-processDecl '() arg-16 arg-15 arg-14 arg-13 arg-12 '() '() '() eta-0)) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (TTImpC-45ElabC-45RunElab-n--10972-11562-u--scriptRet arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 (csegen-2932) (vector 0 )))) eff-3)))))))) eff-2))))))))) eff-1))))))) (TTImpC-45ElabC-45RunElab-n--10972-11561-u--failWith arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 (string-append (csegen-2927) (string-append arg-18 (string-append (csegen-2928) (PreludeC-45Show-u--show_Show_Nat (PreludeC-45TypesC-45List-lengthTR arg-19)))))))))))(else (TTImpC-45ElabC-45RunElab-n--10972-11561-u--failWith arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 (string-append (csegen-2927) (string-append arg-18 (string-append (csegen-2928) (PreludeC-45Show-u--show_Show_Nat (PreludeC-45TypesC-45List-lengthTR arg-19))))))))))
(define TTImpC-45ElabC-45RunElab-u--reflect_Reflect_NameInfo (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (let ((eff-0 (CoreC-45Reflect-u--reflect_Reflect_NameType arg-0 arg-1 arg-2 arg-3 arg-4 (let ((eff-0 arg-5)) eff-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45Reflect-appCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectiontt "MkNameInfo") (cons e-5 '())))) eff-1)))))))))
(define TTImpC-45ElabC-45RunElab-lookupNameInfo (lambda (arg-0 arg-1) (let ((eff-0 (CoreC-45Context-lookupCtxtName arg-0 arg-1))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (((csegen-25) (lambda (lamc-0) (let ((e-2 (car lamc-0))) (let ((e-3 (cdr lamc-0))) (let ((e-7 (cdr e-3))) (cons e-2 (TTImpC-45ElabC-45RunElab-n--10825-11372-u--getNameType arg-1 arg-0 (let ((e-17 (vector-ref e-7 17))) e-17)))))))) e-5))))) eff-1)))))))))
(define TTImpC-45ElabC-45RunElab-elabScript (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11) (case (vector-ref arg-10 0) ((2) (let ((e-1 (vector-ref arg-10 1))) (let ((e-2 (vector-ref arg-10 2))) (let ((e-3 (vector-ref arg-10 3))) (let ((e-4 (vector-ref arg-10 4))) (let ((e-5 (vector-ref arg-10 5))) (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-1 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((u--script (vector 2 e-1 e-2 e-3 e-4 e-5))) (case (vector-ref e-7 0) ((0) (let ((e-0 (vector-ref e-7 1))) (let ((e-8 (vector-ref e-7 2))) (case (vector-ref e-8 0) ((1) (let ((e-9 (vector-ref e-8 1))) (case (vector-ref e-9 0) ((0) (let ((e-10 (vector-ref e-9 1))) (let ((sc6 (CoreC-45NameC-45Namespace-u--C-61C-61_Eq_Namespace e-0 (CoreC-45NameC-45Namespace-reflectionNS)))) (cond ((equal? sc6 1) (CoreC-45Core-u--catch_Catchable_Core_Error (TTImpC-45ElabC-45RunElab-n--10972-11563-u--elabCon arg-0 e-5 e-4 e-3 e-2 e-1 u--script arg-11 arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 e-6 e-10 ((csegen-947) e-5)) (lambda (lcase-2) (lambda (clam-0) (case (vector-ref lcase-2 0) ((47) (CoreC-45Core-u--throw_Catchable_Core_Error lcase-2 clam-0)) ((48) (CoreC-45Core-u--throw_Catchable_Core_Error lcase-2 clam-0))(else (CoreC-45Core-u--throw_Catchable_Core_Error (vector 48 lcase-2) clam-0))))))) (else (TTImpC-45ElabC-45RunElab-n--10972-11561-u--failWith arg-0 e-5 e-4 e-3 e-2 e-1 u--script arg-11 arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 e-6 (string-append "bad reflection namespace " (CoreC-45NameC-45Namespace-u--show_Show_Namespace e-0))))))))(else (TTImpC-45ElabC-45RunElab-n--10972-11561-u--failWith arg-0 e-5 e-4 e-3 e-2 e-1 u--script arg-11 arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 e-6 (string-append "bad fullnames " (CoreC-45Name-u--show_Show_Name e-7)))))))(else (TTImpC-45ElabC-45RunElab-n--10972-11561-u--failWith arg-0 e-5 e-4 e-3 e-2 e-1 u--script arg-11 arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 e-6 (string-append "bad fullnames " (CoreC-45Name-u--show_Show_Name e-7))))))))(else (TTImpC-45ElabC-45RunElab-n--10972-11561-u--failWith arg-0 e-5 e-4 e-3 e-2 e-1 u--script arg-11 arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 e-6 (string-append "bad fullnames " (CoreC-45Name-u--show_Show_Name e-7)))))))) eff-2))))))))) eff-1)))))))))))))(else (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (lambda (eta-0) (CoreC-45Context-clearDefs e-5 eta-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-1 arg-0 e-6 arg-9 arg-10))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 47 arg-0 arg-7 arg-9 e-7 "script is not a data value") eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))
(define TTImpC-45ElabC-45RunElab-checkRunElab (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13) (let ((eff-0 (TTImpC-45ElabC-45RunElab-n--13496-13874-u--mkExpected arg-0 arg-13 arg-12 arg-11 arg-10 arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 arg-13))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 arg-1)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (unbox eff-2))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (lambda (clam-0) (let ((sc2 (CoreC-45Context-isExtension 0 e-6))) (cond ((equal? sc2 1) (vector 1 (vector 0 ))) (else (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 arg-11 "%language ElabReflection not enabled") clam-0))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (let ((u--n (csegen-2952))) (let ((eff-3 (CoreC-45Reflect-appCon arg-0 arg-11 e-6 u--n (cons e-5 '())))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (TTImpC-45ElabC-45Delayed-runDelays arg-0 arg-1 arg-2 arg-3 arg-4 (lambda (eta-0) 1) (TTImpC-45ElabC-45Check-check arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-12 (box (CoreC-45NormaliseC-45Eval-gnf arg-0 arg-10 e-8)))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (let ((e-2 (car e-9))) (let ((eff-5 (CoreC-45Unify-solveConstraints arg-1 arg-3 (CoreC-45Unify-inTerm) 0))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-4 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-6 (let ((eff-6 (let ((eff-6 arg-1)) (PrimIO-io_bind (let ((eff-7 eff-6)) (lambda (eta-0) (unbox eff-7))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-4 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-11 (vector-ref lcase-6 1))) (let ((eff-7 (let ((eff-7 (let ((eff-7 (CoreC-45NormaliseC-45Eval-nfOpts arg-1 arg-0 (CoreC-45Value-withAll) e-11 arg-10 e-2))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-4 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-12 (vector-ref lcase-7 1))) (let ((eff-8 (TTImpC-45ElabC-45RunElab-elabScript arg-0 arg-1 arg-2 arg-3 arg-5 arg-6 arg-7 arg-11 arg-9 arg-10 e-12 (box (CoreC-45NormaliseC-45Eval-gnf arg-0 arg-10 e-5))))) eff-8))))))))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-4 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-12 (vector-ref lcase-7 1))) (let ((eff-8 (let ((eff-8 (let ((eff-8 arg-1)) (PrimIO-io_bind (let ((eff-9 eff-8)) (lambda (eta-0) (unbox eff-9))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-8 (lambda (lcase-8) (case (vector-ref lcase-8 0) ((0) (let ((e-4 (vector-ref lcase-8 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-13 (vector-ref lcase-8 1))) (let ((eff-9 (let ((eff-9 (lambda (eta-0) (CoreC-45Context-clearDefs e-13 eta-0)))) (PrimIO-io_bind eff-9 (lambda (lcase-9) (case (vector-ref lcase-9 0) ((0) (let ((e-4 (vector-ref lcase-9 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-14 (vector-ref lcase-9 1))) (let ((eff-10 (let ((eff-10 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-1 arg-0 e-14 arg-10 e-12))) (PrimIO-io_bind eff-10 (lambda (lcase-10) (case (vector-ref lcase-10 0) ((0) (let ((e-4 (vector-ref lcase-10 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-15 (vector-ref lcase-10 1))) (let ((eff-11 (lambda (eta-0) (vector 1 (cons e-15 (CoreC-45NormaliseC-45Eval-gnf arg-0 arg-10 e-5)))))) eff-11))))))))) eff-10))))))))) eff-9))))))))) eff-8))))))))) eff-7))))))))) eff-6))))))))) eff-5))))))))) eff-4)))))))))) eff-3)))))))) eff-2))))))))) eff-1)))))))))
(define TTImpC-45TTImpC-45Functor-u--map_Functor_RawImpC-39 (lambda (arg-2 arg-3) (case (vector-ref arg-3 0) ((0) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (vector 0 e-1 (arg-2 e-2))))) ((1) (let ((e-4 (vector-ref arg-3 1))) (let ((e-5 (vector-ref arg-3 2))) (let ((e-6 (vector-ref arg-3 3))) (let ((e-7 (vector-ref arg-3 4))) (let ((e-8 (vector-ref arg-3 5))) (let ((e-9 (vector-ref arg-3 6))) (vector 1 e-4 e-5 (CoreC-45TT-u--map_Functor_PiInfo ((csegen-2956) arg-2) e-6) e-7 (((csegen-2956) arg-2) e-8) (((csegen-2956) arg-2) e-9))))))))) ((2) (let ((e-11 (vector-ref arg-3 1))) (let ((e-12 (vector-ref arg-3 2))) (let ((e-13 (vector-ref arg-3 3))) (let ((e-14 (vector-ref arg-3 4))) (let ((e-15 (vector-ref arg-3 5))) (let ((e-16 (vector-ref arg-3 6))) (vector 2 e-11 e-12 (CoreC-45TT-u--map_Functor_PiInfo ((csegen-2956) arg-2) e-13) e-14 (((csegen-2956) arg-2) e-15) (((csegen-2956) arg-2) e-16))))))))) ((3) (let ((e-18 (vector-ref arg-3 1))) (let ((e-19 (vector-ref arg-3 2))) (let ((e-20 (vector-ref arg-3 3))) (let ((e-21 (vector-ref arg-3 4))) (let ((e-22 (vector-ref arg-3 5))) (let ((e-23 (vector-ref arg-3 6))) (let ((e-24 (vector-ref arg-3 7))) (vector 3 e-18 e-19 e-20 e-21 (((csegen-2956) arg-2) e-22) (((csegen-2956) arg-2) e-23) (((csegen-2956) arg-2) e-24)))))))))) ((4) (let ((e-26 (vector-ref arg-3 1))) (let ((e-27 (vector-ref arg-3 2))) (let ((e-28 (vector-ref arg-3 3))) (let ((e-29 (vector-ref arg-3 4))) (vector 4 e-26 (((csegen-2956) arg-2) e-27) (((csegen-2956) arg-2) e-28) (((csegen-25) ((csegen-2960) arg-2)) e-29))))))) ((5) (let ((e-31 (vector-ref arg-3 1))) (let ((e-32 (vector-ref arg-3 2))) (let ((e-33 (vector-ref arg-3 3))) (vector 5 e-31 (((csegen-25) ((csegen-2964) arg-2)) e-32) (((csegen-2956) arg-2) e-33)))))) ((6) (let ((e-35 (vector-ref arg-3 1))) (let ((e-36 (vector-ref arg-3 2))) (let ((e-37 (vector-ref arg-3 3))) (let ((e-38 (vector-ref arg-3 4))) (let ((e-39 (vector-ref arg-3 5))) (vector 6 e-35 e-36 e-37 e-38 (((csegen-2956) arg-2) e-39)))))))) ((7) (let ((e-41 (vector-ref arg-3 1))) (let ((e-42 (vector-ref arg-3 2))) (let ((e-43 (vector-ref arg-3 3))) (vector 7 e-41 (((csegen-25) ((let ((eff-0 (lambda (u--b) (lambda (u--a) (lambda (u--func) (lambda (arg-8737) (TTImpC-45TTImpC-45Functor-u--map_Functor_IFieldUpdateC-39 u--func arg-8737))))))) (lambda (arg-0) (lambda (arg-1) ((((eff-0 'erased) 'erased) arg-0) arg-1)))) arg-2)) e-42) (((csegen-2956) arg-2) e-43)))))) ((8) (let ((e-45 (vector-ref arg-3 1))) (let ((e-46 (vector-ref arg-3 2))) (let ((e-47 (vector-ref arg-3 3))) (vector 8 e-45 (((csegen-2956) arg-2) e-46) (((csegen-2956) arg-2) e-47)))))) ((9) (let ((e-49 (vector-ref arg-3 1))) (let ((e-50 (vector-ref arg-3 2))) (let ((e-51 (vector-ref arg-3 3))) (vector 9 e-49 (((csegen-2956) arg-2) e-50) (((csegen-2956) arg-2) e-51)))))) ((10) (let ((e-53 (vector-ref arg-3 1))) (let ((e-54 (vector-ref arg-3 2))) (let ((e-55 (vector-ref arg-3 3))) (let ((e-56 (vector-ref arg-3 4))) (vector 10 e-53 (((csegen-2956) arg-2) e-54) e-55 (((csegen-2956) arg-2) e-56))))))) ((11) (let ((e-58 (vector-ref arg-3 1))) (let ((e-59 (vector-ref arg-3 2))) (let ((e-60 (vector-ref arg-3 3))) (vector 11 e-58 (((csegen-2956) arg-2) e-59) (((csegen-2956) arg-2) e-60)))))) ((12) (let ((e-62 (vector-ref arg-3 1))) (let ((e-63 (vector-ref arg-3 2))) (vector 12 e-62 e-63)))) ((13) (let ((e-65 (vector-ref arg-3 1))) (let ((e-66 (vector-ref arg-3 2))) (let ((e-67 (vector-ref arg-3 3))) (vector 13 e-65 (((let ((eff-0 (lambda (u--b) (lambda (u--a) (lambda (u--func) (lambda (arg-8737) (TTImpC-45TTImpC-45Functor-u--map_Functor_AltTypeC-39 u--func arg-8737))))))) (lambda (arg-0) (lambda (arg-1) ((((eff-0 'erased) 'erased) arg-0) arg-1)))) arg-2) e-66) (((csegen-25) ((csegen-2956) arg-2)) e-67)))))) ((14) (let ((e-69 (vector-ref arg-3 1))) (let ((e-70 (vector-ref arg-3 2))) (let ((e-71 (vector-ref arg-3 3))) (vector 14 e-69 (((csegen-2956) arg-2) e-70) (((csegen-2956) arg-2) e-71)))))) ((15) (let ((e-73 (vector-ref arg-3 1))) (let ((e-74 (vector-ref arg-3 2))) (vector 15 e-73 (((csegen-2956) arg-2) e-74))))) ((16) (let ((e-76 (vector-ref arg-3 1))) (let ((e-77 (vector-ref arg-3 2))) (let ((e-78 (vector-ref arg-3 3))) (vector 16 e-76 e-77 (((csegen-2956) arg-2) e-78)))))) ((17) (let ((e-80 (vector-ref arg-3 1))) (let ((e-81 (vector-ref arg-3 2))) (vector 17 e-80 e-81)))) ((18) (let ((e-83 (vector-ref arg-3 1))) (let ((e-84 (vector-ref arg-3 2))) (let ((e-85 (vector-ref arg-3 3))) (let ((e-86 (vector-ref arg-3 4))) (let ((e-87 (vector-ref arg-3 5))) (vector 18 e-83 e-84 e-85 e-86 (((csegen-2956) arg-2) e-87)))))))) ((19) (let ((e-89 (vector-ref arg-3 1))) (let ((e-90 (vector-ref arg-3 2))) (let ((e-91 (vector-ref arg-3 3))) (vector 19 e-89 e-90 (((csegen-2956) arg-2) e-91)))))) ((20) (let ((e-93 (vector-ref arg-3 1))) (let ((e-94 (vector-ref arg-3 2))) (let ((e-95 (vector-ref arg-3 3))) (vector 20 e-93 e-94 (((csegen-2956) arg-2) e-95)))))) ((21) (let ((e-97 (vector-ref arg-3 1))) (let ((e-98 (vector-ref arg-3 2))) (vector 21 e-97 (((csegen-2956) arg-2) e-98))))) ((22) (let ((e-100 (vector-ref arg-3 1))) (let ((e-101 (vector-ref arg-3 2))) (vector 22 e-100 (((csegen-2956) arg-2) e-101))))) ((23) (let ((e-103 (vector-ref arg-3 1))) (let ((e-104 (vector-ref arg-3 2))) (vector 23 e-103 (((csegen-2956) arg-2) e-104))))) ((24) (let ((e-106 (vector-ref arg-3 1))) (let ((e-107 (vector-ref arg-3 2))) (vector 24 e-106 e-107)))) ((25) (let ((e-109 (vector-ref arg-3 1))) (let ((e-110 (vector-ref arg-3 2))) (vector 25 e-109 (((csegen-25) ((csegen-2964) arg-2)) e-110))))) ((26) (let ((e-112 (vector-ref arg-3 1))) (let ((e-113 (vector-ref arg-3 2))) (vector 26 e-112 (((csegen-2956) arg-2) e-113))))) ((27) (let ((e-115 (vector-ref arg-3 1))) (let ((e-116 (vector-ref arg-3 2))) (vector 27 e-115 (((csegen-2956) arg-2) e-116))))) ((28) (let ((e-118 (vector-ref arg-3 1))) (let ((e-119 (vector-ref arg-3 2))) (vector 28 e-118 e-119)))) ((29) (let ((e-121 (vector-ref arg-3 1))) (vector 29 e-121))) ((30) (let ((e-123 (vector-ref arg-3 1))) (let ((e-124 (vector-ref arg-3 2))) (vector 30 e-123 e-124)))) ((31) (let ((e-126 (vector-ref arg-3 1))) (let ((e-127 (vector-ref arg-3 2))) (let ((e-128 (vector-ref arg-3 3))) (vector 31 e-126 e-127 (((csegen-2956) arg-2) e-128)))))) ((32) (let ((e-130 (vector-ref arg-3 1))) (let ((e-131 (vector-ref arg-3 2))) (vector 32 e-130 e-131)))) (else (let ((e-133 (vector-ref arg-3 1))) (let ((e-134 (vector-ref arg-3 2))) (let ((e-135 (vector-ref arg-3 3))) (vector 33 e-133 e-134 (((csegen-2956) arg-2) e-135)))))))))
(define TTImpC-45TTImpC-45Functor-u--map_Functor_ImpTyC-39 (lambda (arg-2 arg-3) (let ((e-1 (vector-ref arg-3 0))) (let ((e-2 (vector-ref arg-3 1))) (let ((e-3 (vector-ref arg-3 2))) (let ((e-4 (vector-ref arg-3 3))) (vector e-1 e-2 e-3 (TTImpC-45TTImpC-45Functor-u--map_Functor_RawImpC-39 arg-2 e-4))))))))
(define TTImpC-45TTImpC-45Functor-u--map_Functor_ImpRecordC-39 (lambda (arg-2 arg-3) (let ((e-1 (vector-ref arg-3 0))) (let ((e-2 (vector-ref arg-3 1))) (let ((e-3 (vector-ref arg-3 2))) (let ((e-4 (vector-ref arg-3 3))) (let ((e-5 (vector-ref arg-3 4))) (let ((e-6 (vector-ref arg-3 5))) (vector e-1 e-2 (((csegen-25) ((csegen-2976) arg-2)) e-3) e-4 e-5 (((csegen-25) (lambda (eta-0) (TTImpC-45TTImpC-45Functor-u--map_Functor_IFieldC-39 arg-2 eta-0))) e-6))))))))))
(define TTImpC-45TTImpC-45Functor-u--map_Functor_ImpParameterC-39 (lambda (arg-2 arg-3) (let ((e-2 (car arg-3))) (let ((e-3 (cdr arg-3))) (let ((e-6 (car e-3))) (let ((e-7 (cdr e-3))) (let ((e-10 (car e-7))) (let ((e-11 (cdr e-7))) (cons e-2 (cons e-6 (cons (CoreC-45TT-u--map_Functor_PiInfo (lambda (eta-0) (TTImpC-45TTImpC-45Functor-u--map_Functor_RawImpC-39 arg-2 eta-0)) e-10) (TTImpC-45TTImpC-45Functor-u--map_Functor_RawImpC-39 arg-2 e-11))))))))))))
(define TTImpC-45TTImpC-45Functor-u--map_Functor_ImpDeclC-39 (lambda (arg-2 arg-3) (case (vector-ref arg-3 0) ((0) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-3 (vector-ref arg-3 3))) (let ((e-4 (vector-ref arg-3 4))) (let ((e-5 (vector-ref arg-3 5))) (vector 0 e-1 e-2 e-3 (((csegen-25) ((let ((eff-0 (lambda (u--b) (lambda (u--a) (lambda (u--func) (lambda (arg-8737) (TTImpC-45TTImpC-45Functor-u--map_Functor_FnOptC-39 u--func arg-8737))))))) (lambda (arg-0) (lambda (arg-1) ((((eff-0 'erased) 'erased) arg-0) arg-1)))) arg-2)) e-4) (((let ((eff-0 (lambda (u--b) (lambda (u--a) (lambda (u--func) (lambda (arg-8737) (TTImpC-45TTImpC-45Functor-u--map_Functor_ImpTyC-39 u--func arg-8737))))))) (lambda (arg-0) (lambda (arg-1) ((((eff-0 'erased) 'erased) arg-0) arg-1)))) arg-2) e-5)))))))) ((1) (let ((e-7 (vector-ref arg-3 1))) (let ((e-8 (vector-ref arg-3 2))) (let ((e-9 (vector-ref arg-3 3))) (let ((e-10 (vector-ref arg-3 4))) (vector 1 e-7 e-8 e-9 (((let ((eff-0 (lambda (u--b) (lambda (u--a) (lambda (u--func) (lambda (arg-8737) (TTImpC-45TTImpC-45Functor-u--map_Functor_ImpDataC-39 u--func arg-8737))))))) (lambda (arg-0) (lambda (arg-1) ((((eff-0 'erased) 'erased) arg-0) arg-1)))) arg-2) e-10))))))) ((2) (let ((e-12 (vector-ref arg-3 1))) (let ((e-13 (vector-ref arg-3 2))) (let ((e-14 (vector-ref arg-3 3))) (vector 2 e-12 e-13 (((csegen-25) (lambda (eta-0) (TTImpC-45TTImpC-45Functor-u--map_Functor_ImpClauseC-39 arg-2 eta-0))) e-14)))))) ((3) (let ((e-16 (vector-ref arg-3 1))) (let ((e-17 (vector-ref arg-3 2))) (let ((e-18 (vector-ref arg-3 3))) (vector 3 e-16 (((csegen-25) ((csegen-2976) arg-2)) e-17) (((csegen-25) ((csegen-2964) arg-2)) e-18)))))) ((4) (let ((e-20 (vector-ref arg-3 1))) (let ((e-21 (vector-ref arg-3 2))) (let ((e-22 (vector-ref arg-3 3))) (let ((e-23 (vector-ref arg-3 4))) (let ((e-24 (vector-ref arg-3 5))) (vector 4 e-20 e-21 e-22 e-23 (((let ((eff-0 (lambda (u--b) (lambda (u--a) (lambda (u--func) (lambda (arg-8737) (TTImpC-45TTImpC-45Functor-u--map_Functor_ImpRecordC-39 u--func arg-8737))))))) (lambda (arg-0) (lambda (arg-1) ((((eff-0 'erased) 'erased) arg-0) arg-1)))) arg-2) e-24)))))))) ((5) (let ((e-26 (vector-ref arg-3 1))) (let ((e-27 (vector-ref arg-3 2))) (let ((e-28 (vector-ref arg-3 3))) (vector 5 e-26 e-27 (((csegen-25) ((csegen-2964) arg-2)) e-28)))))) ((6) (let ((e-30 (vector-ref arg-3 1))) (let ((e-31 (vector-ref arg-3 2))) (let ((e-32 (vector-ref arg-3 3))) (vector 6 e-30 e-31 (((csegen-25) ((csegen-2964) arg-2)) e-32)))))) ((7) (let ((e-34 (vector-ref arg-3 1))) (let ((e-35 (vector-ref arg-3 2))) (let ((e-36 (vector-ref arg-3 3))) (let ((e-37 (vector-ref arg-3 4))) (vector 7 e-34 e-35 (TTImpC-45TTImpC-45Functor-u--map_Functor_RawImpC-39 arg-2 e-36) (TTImpC-45TTImpC-45Functor-u--map_Functor_RawImpC-39 arg-2 e-37))))))) ((8) (let ((e-39 (vector-ref arg-3 1))) (let ((e-40 (vector-ref arg-3 2))) (vector 8 e-39 (TTImpC-45TTImpC-45Functor-u--map_Functor_RawImpC-39 arg-2 e-40))))) ((9) (let ((e-42 (vector-ref arg-3 1))) (let ((e-43 (vector-ref arg-3 2))) (let ((e-44 (vector-ref arg-3 3))) (vector 9 e-42 e-43 (lambda (vars-12442) (e-44 vars-12442))))))) ((10) (let ((e-46 (vector-ref arg-3 1))) (vector 10 e-46))) (else (let ((e-48 (vector-ref arg-3 1))) (let ((e-49 (vector-ref arg-3 2))) (let ((e-50 (vector-ref arg-3 3))) (vector 11 e-48 e-49 e-50))))))))
(define TTImpC-45TTImpC-45Functor-u--map_Functor_ImpDataC-39 (lambda (arg-2 arg-3) (case (vector-ref arg-3 0) ((0) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-3 (vector-ref arg-3 3))) (let ((e-4 (vector-ref arg-3 4))) (let ((e-5 (vector-ref arg-3 5))) (vector 0 e-1 e-2 (TTImpC-45TTImpC-45Functor-u--map_Functor_RawImpC-39 arg-2 e-3) e-4 (((csegen-25) (lambda (eta-0) (TTImpC-45TTImpC-45Functor-u--map_Functor_ImpTyC-39 arg-2 eta-0))) e-5)))))))) (else (let ((e-7 (vector-ref arg-3 1))) (let ((e-8 (vector-ref arg-3 2))) (let ((e-9 (vector-ref arg-3 3))) (vector 1 e-7 e-8 (TTImpC-45TTImpC-45Functor-u--map_Functor_RawImpC-39 arg-2 e-9)))))))))
(define TTImpC-45TTImpC-45Functor-u--map_Functor_ImpClauseC-39 (lambda (arg-2 arg-3) (case (vector-ref arg-3 0) ((0) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-3 (vector-ref arg-3 3))) (vector 0 e-1 (TTImpC-45TTImpC-45Functor-u--map_Functor_RawImpC-39 arg-2 e-2) (TTImpC-45TTImpC-45Functor-u--map_Functor_RawImpC-39 arg-2 e-3)))))) ((1) (let ((e-5 (vector-ref arg-3 1))) (let ((e-6 (vector-ref arg-3 2))) (let ((e-7 (vector-ref arg-3 3))) (let ((e-8 (vector-ref arg-3 4))) (let ((e-9 (vector-ref arg-3 5))) (let ((e-10 (vector-ref arg-3 6))) (let ((e-11 (vector-ref arg-3 7))) (vector 1 e-5 (TTImpC-45TTImpC-45Functor-u--map_Functor_RawImpC-39 arg-2 e-6) e-7 (TTImpC-45TTImpC-45Functor-u--map_Functor_RawImpC-39 arg-2 e-8) e-9 e-10 (((csegen-25) ((csegen-2960) arg-2)) e-11)))))))))) (else (let ((e-13 (vector-ref arg-3 1))) (let ((e-14 (vector-ref arg-3 2))) (vector 2 e-13 (TTImpC-45TTImpC-45Functor-u--map_Functor_RawImpC-39 arg-2 e-14))))))))
(define TTImpC-45TTImpC-45Functor-u--map_Functor_IFieldUpdateC-39 (lambda (arg-2 arg-3) (case (vector-ref arg-3 0) ((0) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (vector 0 e-1 (TTImpC-45TTImpC-45Functor-u--map_Functor_RawImpC-39 arg-2 e-2))))) (else (let ((e-4 (vector-ref arg-3 1))) (let ((e-5 (vector-ref arg-3 2))) (vector 1 e-4 (TTImpC-45TTImpC-45Functor-u--map_Functor_RawImpC-39 arg-2 e-5))))))))
(define TTImpC-45TTImpC-45Functor-u--map_Functor_IFieldC-39 (lambda (arg-2 arg-3) (let ((e-1 (vector-ref arg-3 0))) (let ((e-2 (vector-ref arg-3 1))) (let ((e-3 (vector-ref arg-3 2))) (let ((e-4 (vector-ref arg-3 3))) (let ((e-5 (vector-ref arg-3 4))) (vector e-1 e-2 (CoreC-45TT-u--map_Functor_PiInfo (lambda (eta-0) (TTImpC-45TTImpC-45Functor-u--map_Functor_RawImpC-39 arg-2 eta-0)) e-3) e-4 (TTImpC-45TTImpC-45Functor-u--map_Functor_RawImpC-39 arg-2 e-5)))))))))
(define TTImpC-45TTImpC-45Functor-u--map_Functor_FnOptC-39 (lambda (arg-2 arg-3) (case (vector-ref arg-3 0) ((0) (vector 0 )) ((1) (vector 1 )) ((2) (vector 2 )) ((3) (vector 3 )) ((4) (let ((e-5 (vector-ref arg-3 1))) (vector 4 e-5))) ((5) (let ((e-7 (vector-ref arg-3 1))) (vector 5 e-7))) ((6) (vector 6 )) ((7) (let ((e-10 (vector-ref arg-3 1))) (vector 7 (((csegen-25) (lambda (eta-0) (TTImpC-45TTImpC-45Functor-u--map_Functor_RawImpC-39 arg-2 eta-0))) e-10)))) ((8) (let ((e-12 (vector-ref arg-3 1))) (vector 8 (((csegen-25) (lambda (eta-0) (TTImpC-45TTImpC-45Functor-u--map_Functor_RawImpC-39 arg-2 eta-0))) e-12)))) ((9) (vector 9 )) ((10) (let ((e-15 (vector-ref arg-3 1))) (vector 10 e-15))) ((11) (vector 11 )) (else (let ((e-18 (vector-ref arg-3 1))) (vector 12 e-18))))))
(define TTImpC-45TTImpC-45Functor-u--map_Functor_AltTypeC-39 (lambda (arg-2 arg-3) (case (vector-ref arg-3 0) ((0) (vector 0 )) ((1) (vector 1 )) (else (let ((e-3 (vector-ref arg-3 1))) (vector 2 (TTImpC-45TTImpC-45Functor-u--map_Functor_RawImpC-39 arg-2 e-3)))))))
(define TTImpC-45Reflect-u--reify_Reify_WithFlag (lambda (arg-0 arg-1 arg-2 arg-3) (case (vector-ref arg-3 0) ((2) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-3 (vector-ref arg-3 3))) (let ((e-4 (vector-ref arg-3 4))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (CoreC-45Context-u--full_HasNames_Name (let ((e-0 (vector-ref arg-2 0))) e-0) e-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--val (vector 2 e-1 e-2 e-3 e-4 e-5))) (let ((sc2 (CoreC-45Name-dropAllNS e-6))) (case (vector-ref sc2 0) ((1) (let ((e-7 (vector-ref sc2 1))) (case (vector-ref e-7 0) ((0) (let ((e-8 (vector-ref e-7 1))) (cond ((equal? e-8 "Syntactic") (let ((sc5 ((csegen-947) e-5))) (if (null? sc5) (lambda (eta-0) (vector 1 (vector 0 ))) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "WithFlag"))))(else (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "WithFlag")))))(else (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "WithFlag")))))(else (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "WithFlag"))))))) eff-1)))))))))))))(else (CoreC-45Reflect-cantReify arg-0 arg-1 arg-3 "WithFlag")))))
(define TTImpC-45Reflect-u--reify_Reify_UseSide (lambda (arg-0 arg-1 arg-2 arg-3) (case (vector-ref arg-3 0) ((2) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-3 (vector-ref arg-3 3))) (let ((e-4 (vector-ref arg-3 4))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (CoreC-45Context-u--full_HasNames_Name (let ((e-0 (vector-ref arg-2 0))) e-0) e-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--val (vector 2 e-1 e-2 e-3 e-4 e-5))) (let ((sc2 (CoreC-45Name-dropAllNS e-6))) (case (vector-ref sc2 0) ((1) (let ((e-7 (vector-ref sc2 1))) (case (vector-ref e-7 0) ((0) (let ((e-8 (vector-ref e-7 1))) (cond ((equal? e-8 "UseLeft") (lambda (eta-0) (vector 1 0))) ((equal? e-8 "UseRight") (lambda (eta-0) (vector 1 1)))(else (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "UseSide")))))(else (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "UseSide")))))(else (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "UseSide"))))))) eff-1)))))))))))))(else (CoreC-45Reflect-cantReify arg-0 arg-1 arg-3 "UseSide")))))
(define TTImpC-45Reflect-u--reify_Reify_RawImp (lambda (arg-0 arg-1 arg-2 arg-3) (case (vector-ref arg-3 0) ((2) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-3 (vector-ref arg-3 3))) (let ((e-4 (vector-ref arg-3 4))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (CoreC-45Context-u--full_HasNames_Name (let ((e-0 (vector-ref arg-2 0))) e-0) e-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--val (vector 2 e-1 e-2 e-3 e-4 e-5))) (let ((sc2 (CoreC-45Name-dropAllNS e-6))) (case (vector-ref sc2 0) ((1) (let ((e-7 (vector-ref sc2 1))) (case (vector-ref e-7 0) ((0) (let ((e-8 (vector-ref e-7 1))) (cond ((equal? e-8 "IVar") (let ((sc5 ((csegen-947) e-5))) (if (null? sc5) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "TTImp") (let ((e-10 (car sc5))) (let ((e-9 (cdr sc5))) (if (null? e-9) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "TTImp") (let ((e-12 (car e-9))) (let ((e-11 (cdr e-9))) (if (null? e-11) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-10))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-13 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45Reflect-u--reify_Reify_FC arg-0 arg-1 arg-2 e-13))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-13 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (let ((eff-2 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-12))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-14 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-2 1))) (let ((eff-3 (CoreC-45Reflect-u--reify_Reify_Name arg-0 arg-1 arg-2 e-14))) eff-3))))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-14 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (vector 0 e-13 e-14))))) eff-3))))))))) eff-2))))))) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "TTImp")))))))))) ((equal? e-8 "IPi") (let ((sc5 ((csegen-947) e-5))) (if (null? sc5) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "TTImp") (let ((e-14 (car sc5))) (let ((e-15 (cdr sc5))) (if (null? e-15) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "TTImp") (let ((e-17 (car e-15))) (let ((e-18 (cdr e-15))) (if (null? e-18) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "TTImp") (let ((e-20 (car e-18))) (let ((e-21 (cdr e-18))) (if (null? e-21) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "TTImp") (let ((e-23 (car e-21))) (let ((e-24 (cdr e-21))) (if (null? e-24) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "TTImp") (let ((e-26 (car e-24))) (let ((e-27 (cdr e-24))) (if (null? e-27) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "TTImp") (let ((e-29 (car e-27))) (let ((e-30 (cdr e-27))) (if (null? e-30) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-14))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-9 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45Reflect-u--reify_Reify_FC arg-0 arg-1 arg-2 e-9))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-9 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (let ((eff-2 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-17))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-10 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-2 1))) (let ((eff-3 (((let ((eff-3 (csegen-2993))) (lambda (arg-4) (lambda (arg-5) ((((eff-3 arg-0) arg-1) arg-4) arg-5)))) arg-2) e-10))) eff-3))))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-10 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-20))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (((let ((eff-4 (csegen-2995))) (lambda (arg-4) (lambda (arg-5) ((((eff-4 arg-0) arg-1) arg-4) arg-5)))) arg-2) e-11))) eff-4))))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (let ((eff-4 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-23))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-12 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-12)))) (else (let ((e-12 (vector-ref lcase-4 1))) (let ((eff-5 (((let ((eff-5 (csegen-2996))) (lambda (arg-4) (lambda (arg-5) ((((eff-5 arg-0) arg-1) arg-4) arg-5)))) arg-2) e-12))) eff-5))))))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-12 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-12)))) (else (let ((e-12 (vector-ref lcase-4 1))) (let ((eff-5 (let ((eff-5 (let ((eff-5 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-26))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-13 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-5 1))) (let ((eff-6 (((let ((eff-6 (csegen-2994))) (lambda (arg-4) (lambda (arg-5) ((((eff-6 arg-0) arg-1) arg-4) arg-5)))) arg-2) e-13))) eff-6))))))))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-13 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-5 1))) (let ((eff-6 (let ((eff-6 (let ((eff-6 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-29))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-16 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-16)))) (else (let ((e-16 (vector-ref lcase-6 1))) (let ((eff-7 (((let ((eff-7 (csegen-2994))) (lambda (arg-4) (lambda (arg-5) ((((eff-7 arg-0) arg-1) arg-4) arg-5)))) arg-2) e-16))) eff-7))))))))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-16 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-16)))) (else (let ((e-16 (vector-ref lcase-6 1))) (let ((eff-7 (lambda (eta-0) (vector 1 (vector 1 e-9 e-10 e-11 e-12 e-13 e-16))))) eff-7))))))))) eff-6))))))))) eff-5))))))))) eff-4))))))))) eff-3))))))))) eff-2))))))) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "TTImp")))))))))))))))))))))) ((equal? e-8 "ILam") (let ((sc5 ((csegen-947) e-5))) (if (null? sc5) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "TTImp") (let ((e-33 (car sc5))) (let ((e-34 (cdr sc5))) (if (null? e-34) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "TTImp") (let ((e-36 (car e-34))) (let ((e-37 (cdr e-34))) (if (null? e-37) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "TTImp") (let ((e-39 (car e-37))) (let ((e-40 (cdr e-37))) (if (null? e-40) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "TTImp") (let ((e-42 (car e-40))) (let ((e-43 (cdr e-40))) (if (null? e-43) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "TTImp") (let ((e-45 (car e-43))) (let ((e-46 (cdr e-43))) (if (null? e-46) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "TTImp") (let ((e-48 (car e-46))) (let ((e-49 (cdr e-46))) (if (null? e-49) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-33))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-9 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45Reflect-u--reify_Reify_FC arg-0 arg-1 arg-2 e-9))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-9 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (let ((eff-2 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-36))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-10 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-2 1))) (let ((eff-3 (((let ((eff-3 (csegen-2993))) (lambda (arg-4) (lambda (arg-5) ((((eff-3 arg-0) arg-1) arg-4) arg-5)))) arg-2) e-10))) eff-3))))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-10 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-39))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (((let ((eff-4 (csegen-2995))) (lambda (arg-4) (lambda (arg-5) ((((eff-4 arg-0) arg-1) arg-4) arg-5)))) arg-2) e-11))) eff-4))))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (let ((eff-4 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-42))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-12 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-12)))) (else (let ((e-12 (vector-ref lcase-4 1))) (let ((eff-5 (((let ((eff-5 (csegen-2996))) (lambda (arg-4) (lambda (arg-5) ((((eff-5 arg-0) arg-1) arg-4) arg-5)))) arg-2) e-12))) eff-5))))))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-12 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-12)))) (else (let ((e-12 (vector-ref lcase-4 1))) (let ((eff-5 (let ((eff-5 (let ((eff-5 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-45))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-13 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-5 1))) (let ((eff-6 (((let ((eff-6 (csegen-2994))) (lambda (arg-4) (lambda (arg-5) ((((eff-6 arg-0) arg-1) arg-4) arg-5)))) arg-2) e-13))) eff-6))))))))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-13 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-5 1))) (let ((eff-6 (let ((eff-6 (let ((eff-6 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-48))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-14 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-6 1))) (let ((eff-7 (((let ((eff-7 (csegen-2994))) (lambda (arg-4) (lambda (arg-5) ((((eff-7 arg-0) arg-1) arg-4) arg-5)))) arg-2) e-14))) eff-7))))))))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-14 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-6 1))) (let ((eff-7 (lambda (eta-0) (vector 1 (vector 2 e-9 e-10 e-11 e-12 e-13 e-14))))) eff-7))))))))) eff-6))))))))) eff-5))))))))) eff-4))))))))) eff-3))))))))) eff-2))))))) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "TTImp")))))))))))))))))))))) ((equal? e-8 "ILet") (let ((sc5 ((csegen-947) e-5))) (if (null? sc5) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "TTImp") (let ((e-52 (car sc5))) (let ((e-53 (cdr sc5))) (if (null? e-53) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "TTImp") (let ((e-55 (car e-53))) (let ((e-56 (cdr e-53))) (if (null? e-56) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "TTImp") (let ((e-58 (car e-56))) (let ((e-59 (cdr e-56))) (if (null? e-59) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "TTImp") (let ((e-61 (car e-59))) (let ((e-62 (cdr e-59))) (if (null? e-62) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "TTImp") (let ((e-64 (car e-62))) (let ((e-65 (cdr e-62))) (if (null? e-65) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "TTImp") (let ((e-67 (car e-65))) (let ((e-68 (cdr e-65))) (if (null? e-68) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "TTImp") (let ((e-70 (car e-68))) (let ((e-71 (cdr e-68))) (if (null? e-71) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-52))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-9 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45Reflect-u--reify_Reify_FC arg-0 arg-1 arg-2 e-9))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-9 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (let ((eff-2 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-55))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-10 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-2 1))) (let ((eff-3 (CoreC-45Reflect-u--reify_Reify_FC arg-0 arg-1 arg-2 e-10))) eff-3))))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-10 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-58))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (((let ((eff-4 (csegen-2993))) (lambda (arg-4) (lambda (arg-5) ((((eff-4 arg-0) arg-1) arg-4) arg-5)))) arg-2) e-11))) eff-4))))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (let ((eff-4 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-61))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-12 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-12)))) (else (let ((e-12 (vector-ref lcase-4 1))) (let ((eff-5 (CoreC-45Reflect-u--reify_Reify_Name arg-0 arg-1 arg-2 e-12))) eff-5))))))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-12 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-12)))) (else (let ((e-12 (vector-ref lcase-4 1))) (let ((eff-5 (let ((eff-5 (let ((eff-5 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-64))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-13 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-5 1))) (let ((eff-6 (((let ((eff-6 (csegen-2994))) (lambda (arg-4) (lambda (arg-5) ((((eff-6 arg-0) arg-1) arg-4) arg-5)))) arg-2) e-13))) eff-6))))))))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-13 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-5 1))) (let ((eff-6 (let ((eff-6 (let ((eff-6 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-67))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-14 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-6 1))) (let ((eff-7 (((let ((eff-7 (csegen-2994))) (lambda (arg-4) (lambda (arg-5) ((((eff-7 arg-0) arg-1) arg-4) arg-5)))) arg-2) e-14))) eff-7))))))))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-14 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-6 1))) (let ((eff-7 (let ((eff-7 (let ((eff-7 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-70))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-15 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-15)))) (else (let ((e-15 (vector-ref lcase-7 1))) (let ((eff-8 (((let ((eff-8 (csegen-2994))) (lambda (arg-4) (lambda (arg-5) ((((eff-8 arg-0) arg-1) arg-4) arg-5)))) arg-2) e-15))) eff-8))))))))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-15 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-15)))) (else (let ((e-15 (vector-ref lcase-7 1))) (let ((eff-8 (lambda (eta-0) (vector 1 (vector 3 e-9 e-10 e-11 e-12 e-13 e-14 e-15))))) eff-8))))))))) eff-7))))))))) eff-6))))))))) eff-5))))))))) eff-4))))))))) eff-3))))))))) eff-2))))))) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "TTImp"))))))))))))))))))))))))) ((equal? e-8 "ICase") (let ((sc5 ((csegen-947) e-5))) (if (null? sc5) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "TTImp") (let ((e-74 (car sc5))) (let ((e-75 (cdr sc5))) (if (null? e-75) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "TTImp") (let ((e-77 (car e-75))) (let ((e-78 (cdr e-75))) (if (null? e-78) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "TTImp") (let ((e-80 (car e-78))) (let ((e-81 (cdr e-78))) (if (null? e-81) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "TTImp") (let ((e-83 (car e-81))) (let ((e-84 (cdr e-81))) (if (null? e-84) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-74))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-9 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45Reflect-u--reify_Reify_FC arg-0 arg-1 arg-2 e-9))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-9 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (let ((eff-2 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-77))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-10 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-2 1))) (let ((eff-3 (((let ((eff-3 (csegen-2994))) (lambda (arg-4) (lambda (arg-5) ((((eff-3 arg-0) arg-1) arg-4) arg-5)))) arg-2) e-10))) eff-3))))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-10 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-80))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (((let ((eff-4 (csegen-2994))) (lambda (arg-4) (lambda (arg-5) ((((eff-4 arg-0) arg-1) arg-4) arg-5)))) arg-2) e-11))) eff-4))))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (let ((eff-4 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-83))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-12 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-12)))) (else (let ((e-12 (vector-ref lcase-4 1))) (let ((eff-5 (((let ((eff-5 (csegen-2998))) (lambda (arg-4) (lambda (arg-5) ((((eff-5 arg-0) arg-1) arg-4) arg-5)))) arg-2) e-12))) eff-5))))))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-12 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-12)))) (else (let ((e-12 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 4 e-9 e-10 e-11 e-12))))) eff-5))))))))) eff-4))))))))) eff-3))))))))) eff-2))))))) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "TTImp")))))))))))))))) ((equal? e-8 "ILocal") (let ((sc5 ((csegen-947) e-5))) (if (null? sc5) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "TTImp") (let ((e-87 (car sc5))) (let ((e-88 (cdr sc5))) (if (null? e-88) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "TTImp") (let ((e-90 (car e-88))) (let ((e-91 (cdr e-88))) (if (null? e-91) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "TTImp") (let ((e-93 (car e-91))) (let ((e-94 (cdr e-91))) (if (null? e-94) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-87))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-9 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45Reflect-u--reify_Reify_FC arg-0 arg-1 arg-2 e-9))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-9 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (let ((eff-2 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-90))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-10 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-2 1))) (let ((eff-3 (((let ((eff-3 (csegen-3000))) (lambda (arg-4) (lambda (arg-5) ((((eff-3 arg-0) arg-1) arg-4) arg-5)))) arg-2) e-10))) eff-3))))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-10 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-93))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (((let ((eff-4 (csegen-2994))) (lambda (arg-4) (lambda (arg-5) ((((eff-4 arg-0) arg-1) arg-4) arg-5)))) arg-2) e-11))) eff-4))))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 5 e-9 e-10 e-11))))) eff-4))))))))) eff-3))))))))) eff-2))))))) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "TTImp"))))))))))))) ((equal? e-8 "IUpdate") (let ((sc5 ((csegen-947) e-5))) (if (null? sc5) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "TTImp") (let ((e-97 (car sc5))) (let ((e-98 (cdr sc5))) (if (null? e-98) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "TTImp") (let ((e-100 (car e-98))) (let ((e-101 (cdr e-98))) (if (null? e-101) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "TTImp") (let ((e-103 (car e-101))) (let ((e-104 (cdr e-101))) (if (null? e-104) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-97))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-9 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45Reflect-u--reify_Reify_FC arg-0 arg-1 arg-2 e-9))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-9 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (let ((eff-2 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-100))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-10 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-2 1))) (let ((eff-3 (((let ((eff-3 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (CoreC-45Reflect-u--reify_Reify_C-40ListC-32C-36aC-41 (lambda (u--c) (lambda (u--vars) (lambda (arg-6432) (lambda (arg-6435) (TTImpC-45Reflect-u--reify_Reify_IFieldUpdate u--c u--vars arg-6432 arg-6435))))) eta-0 eta-1 eta-2 eta-3))))))) (lambda (arg-4) (lambda (arg-5) ((((eff-3 arg-0) arg-1) arg-4) arg-5)))) arg-2) e-10))) eff-3))))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-10 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-103))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (((let ((eff-4 (csegen-2994))) (lambda (arg-4) (lambda (arg-5) ((((eff-4 arg-0) arg-1) arg-4) arg-5)))) arg-2) e-11))) eff-4))))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 7 e-9 e-10 e-11))))) eff-4))))))))) eff-3))))))))) eff-2))))))) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "TTImp"))))))))))))) ((equal? e-8 "IApp") (let ((sc5 ((csegen-947) e-5))) (if (null? sc5) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "TTImp") (let ((e-107 (car sc5))) (let ((e-108 (cdr sc5))) (if (null? e-108) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "TTImp") (let ((e-110 (car e-108))) (let ((e-111 (cdr e-108))) (if (null? e-111) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "TTImp") (let ((e-113 (car e-111))) (let ((e-114 (cdr e-111))) (if (null? e-114) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-107))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-9 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45Reflect-u--reify_Reify_FC arg-0 arg-1 arg-2 e-9))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-9 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (let ((eff-2 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-110))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-10 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-2 1))) (let ((eff-3 (((let ((eff-3 (csegen-2994))) (lambda (arg-4) (lambda (arg-5) ((((eff-3 arg-0) arg-1) arg-4) arg-5)))) arg-2) e-10))) eff-3))))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-10 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-113))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (((let ((eff-4 (csegen-2994))) (lambda (arg-4) (lambda (arg-5) ((((eff-4 arg-0) arg-1) arg-4) arg-5)))) arg-2) e-11))) eff-4))))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 8 e-9 e-10 e-11))))) eff-4))))))))) eff-3))))))))) eff-2))))))) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "TTImp"))))))))))))) ((equal? e-8 "INamedApp") (let ((sc5 ((csegen-947) e-5))) (if (null? sc5) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "TTImp") (let ((e-117 (car sc5))) (let ((e-118 (cdr sc5))) (if (null? e-118) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "TTImp") (let ((e-120 (car e-118))) (let ((e-121 (cdr e-118))) (if (null? e-121) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "TTImp") (let ((e-123 (car e-121))) (let ((e-124 (cdr e-121))) (if (null? e-124) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "TTImp") (let ((e-126 (car e-124))) (let ((e-127 (cdr e-124))) (if (null? e-127) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-117))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-9 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45Reflect-u--reify_Reify_FC arg-0 arg-1 arg-2 e-9))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-9 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (let ((eff-2 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-120))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-10 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-2 1))) (let ((eff-3 (((let ((eff-3 (csegen-2994))) (lambda (arg-4) (lambda (arg-5) ((((eff-3 arg-0) arg-1) arg-4) arg-5)))) arg-2) e-10))) eff-3))))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-10 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-123))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (CoreC-45Reflect-u--reify_Reify_Name arg-0 arg-1 arg-2 e-11))) eff-4))))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (let ((eff-4 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-126))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-12 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-12)))) (else (let ((e-12 (vector-ref lcase-4 1))) (let ((eff-5 (((let ((eff-5 (csegen-2994))) (lambda (arg-4) (lambda (arg-5) ((((eff-5 arg-0) arg-1) arg-4) arg-5)))) arg-2) e-12))) eff-5))))))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-12 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-12)))) (else (let ((e-12 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 10 e-9 e-10 e-11 e-12))))) eff-5))))))))) eff-4))))))))) eff-3))))))))) eff-2))))))) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "TTImp")))))))))))))))) ((equal? e-8 "IAutoApp") (let ((sc5 ((csegen-947) e-5))) (if (null? sc5) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "TTImp") (let ((e-130 (car sc5))) (let ((e-131 (cdr sc5))) (if (null? e-131) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "TTImp") (let ((e-133 (car e-131))) (let ((e-134 (cdr e-131))) (if (null? e-134) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "TTImp") (let ((e-136 (car e-134))) (let ((e-137 (cdr e-134))) (if (null? e-137) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-130))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-9 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45Reflect-u--reify_Reify_FC arg-0 arg-1 arg-2 e-9))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-9 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (let ((eff-2 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-133))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-10 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-2 1))) (let ((eff-3 (((let ((eff-3 (csegen-2994))) (lambda (arg-4) (lambda (arg-5) ((((eff-3 arg-0) arg-1) arg-4) arg-5)))) arg-2) e-10))) eff-3))))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-10 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-136))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (((let ((eff-4 (csegen-2994))) (lambda (arg-4) (lambda (arg-5) ((((eff-4 arg-0) arg-1) arg-4) arg-5)))) arg-2) e-11))) eff-4))))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 9 e-9 e-10 e-11))))) eff-4))))))))) eff-3))))))))) eff-2))))))) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "TTImp"))))))))))))) ((equal? e-8 "IWithApp") (let ((sc5 ((csegen-947) e-5))) (if (null? sc5) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "TTImp") (let ((e-140 (car sc5))) (let ((e-141 (cdr sc5))) (if (null? e-141) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "TTImp") (let ((e-143 (car e-141))) (let ((e-144 (cdr e-141))) (if (null? e-144) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "TTImp") (let ((e-146 (car e-144))) (let ((e-147 (cdr e-144))) (if (null? e-147) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-140))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-9 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45Reflect-u--reify_Reify_FC arg-0 arg-1 arg-2 e-9))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-9 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (let ((eff-2 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-143))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-10 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-2 1))) (let ((eff-3 (((let ((eff-3 (csegen-2994))) (lambda (arg-4) (lambda (arg-5) ((((eff-3 arg-0) arg-1) arg-4) arg-5)))) arg-2) e-10))) eff-3))))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-10 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-146))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (((let ((eff-4 (csegen-2994))) (lambda (arg-4) (lambda (arg-5) ((((eff-4 arg-0) arg-1) arg-4) arg-5)))) arg-2) e-11))) eff-4))))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 11 e-9 e-10 e-11))))) eff-4))))))))) eff-3))))))))) eff-2))))))) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "TTImp"))))))))))))) ((equal? e-8 "ISearch") (let ((sc5 ((csegen-947) e-5))) (if (null? sc5) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "TTImp") (let ((e-150 (car sc5))) (let ((e-151 (cdr sc5))) (if (null? e-151) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "TTImp") (let ((e-153 (car e-151))) (let ((e-154 (cdr e-151))) (if (null? e-154) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-150))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-9 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45Reflect-u--reify_Reify_FC arg-0 arg-1 arg-2 e-9))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-9 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (let ((eff-2 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-153))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-10 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-2 1))) (let ((eff-3 (CoreC-45Reflect-u--reify_Reify_Nat arg-0 arg-1 arg-2 e-10))) eff-3))))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-10 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (vector 12 e-9 e-10))))) eff-3))))))))) eff-2))))))) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "TTImp")))))))))) ((equal? e-8 "IAlternative") (let ((sc5 ((csegen-947) e-5))) (if (null? sc5) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "TTImp") (let ((e-157 (car sc5))) (let ((e-158 (cdr sc5))) (if (null? e-158) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "TTImp") (let ((e-160 (car e-158))) (let ((e-161 (cdr e-158))) (if (null? e-161) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "TTImp") (let ((e-163 (car e-161))) (let ((e-164 (cdr e-161))) (if (null? e-164) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-157))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-9 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45Reflect-u--reify_Reify_FC arg-0 arg-1 arg-2 e-9))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-9 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (let ((eff-2 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-160))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-10 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-2 1))) (let ((eff-3 (((let ((eff-3 (lambda (u--c) (lambda (u--vars) (lambda (arg-6432) (lambda (arg-6435) (TTImpC-45Reflect-u--reify_Reify_AltType u--c u--vars arg-6432 arg-6435))))))) (lambda (arg-4) (lambda (arg-5) ((((eff-3 arg-0) arg-1) arg-4) arg-5)))) arg-2) e-10))) eff-3))))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-10 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-163))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (((let ((eff-4 (csegen-3004))) (lambda (arg-4) (lambda (arg-5) ((((eff-4 arg-0) arg-1) arg-4) arg-5)))) arg-2) e-11))) eff-4))))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 13 e-9 e-10 e-11))))) eff-4))))))))) eff-3))))))))) eff-2))))))) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "TTImp"))))))))))))) ((equal? e-8 "IRewrite") (let ((sc5 ((csegen-947) e-5))) (if (null? sc5) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "TTImp") (let ((e-167 (car sc5))) (let ((e-168 (cdr sc5))) (if (null? e-168) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "TTImp") (let ((e-170 (car e-168))) (let ((e-171 (cdr e-168))) (if (null? e-171) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "TTImp") (let ((e-173 (car e-171))) (let ((e-174 (cdr e-171))) (if (null? e-174) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-167))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-9 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45Reflect-u--reify_Reify_FC arg-0 arg-1 arg-2 e-9))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-9 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (let ((eff-2 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-170))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-10 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-2 1))) (let ((eff-3 (((let ((eff-3 (csegen-2994))) (lambda (arg-4) (lambda (arg-5) ((((eff-3 arg-0) arg-1) arg-4) arg-5)))) arg-2) e-10))) eff-3))))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-10 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-173))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (((let ((eff-4 (csegen-2994))) (lambda (arg-4) (lambda (arg-5) ((((eff-4 arg-0) arg-1) arg-4) arg-5)))) arg-2) e-11))) eff-4))))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 14 e-9 e-10 e-11))))) eff-4))))))))) eff-3))))))))) eff-2))))))) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "TTImp"))))))))))))) ((equal? e-8 "IBindHere") (let ((sc5 ((csegen-947) e-5))) (if (null? sc5) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "TTImp") (let ((e-177 (car sc5))) (let ((e-178 (cdr sc5))) (if (null? e-178) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "TTImp") (let ((e-180 (car e-178))) (let ((e-181 (cdr e-178))) (if (null? e-181) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "TTImp") (let ((e-183 (car e-181))) (let ((e-184 (cdr e-181))) (if (null? e-184) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-177))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-9 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45Reflect-u--reify_Reify_FC arg-0 arg-1 arg-2 e-9))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-9 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (let ((eff-2 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-180))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-10 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-2 1))) (let ((eff-3 (TTImpC-45Reflect-u--reify_Reify_BindMode arg-0 arg-1 arg-2 e-10))) eff-3))))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-10 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-183))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (((let ((eff-4 (csegen-2994))) (lambda (arg-4) (lambda (arg-5) ((((eff-4 arg-0) arg-1) arg-4) arg-5)))) arg-2) e-11))) eff-4))))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 16 e-9 e-10 e-11))))) eff-4))))))))) eff-3))))))))) eff-2))))))) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "TTImp"))))))))))))) ((equal? e-8 "IBindVar") (let ((sc5 ((csegen-947) e-5))) (if (null? sc5) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "TTImp") (let ((e-187 (car sc5))) (let ((e-188 (cdr sc5))) (if (null? e-188) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "TTImp") (let ((e-190 (car e-188))) (let ((e-191 (cdr e-188))) (if (null? e-191) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-187))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-9 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45Reflect-u--reify_Reify_FC arg-0 arg-1 arg-2 e-9))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-9 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (let ((eff-2 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-190))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-10 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-2 1))) (let ((eff-3 (CoreC-45Reflect-u--reify_Reify_String arg-0 arg-1 arg-2 e-10))) eff-3))))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-10 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (vector 17 e-9 e-10))))) eff-3))))))))) eff-2))))))) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "TTImp")))))))))) ((equal? e-8 "IAs") (let ((sc5 ((csegen-947) e-5))) (if (null? sc5) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "TTImp") (let ((e-194 (car sc5))) (let ((e-195 (cdr sc5))) (if (null? e-195) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "TTImp") (let ((e-197 (car e-195))) (let ((e-198 (cdr e-195))) (if (null? e-198) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "TTImp") (let ((e-200 (car e-198))) (let ((e-201 (cdr e-198))) (if (null? e-201) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "TTImp") (let ((e-203 (car e-201))) (let ((e-204 (cdr e-201))) (if (null? e-204) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "TTImp") (let ((e-206 (car e-204))) (let ((e-207 (cdr e-204))) (if (null? e-207) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-194))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-9 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45Reflect-u--reify_Reify_FC arg-0 arg-1 arg-2 e-9))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-9 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (let ((eff-2 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-197))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-10 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-2 1))) (let ((eff-3 (CoreC-45Reflect-u--reify_Reify_FC arg-0 arg-1 arg-2 e-10))) eff-3))))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-10 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-200))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (TTImpC-45Reflect-u--reify_Reify_UseSide arg-0 arg-1 arg-2 e-11))) eff-4))))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (let ((eff-4 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-203))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-12 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-12)))) (else (let ((e-12 (vector-ref lcase-4 1))) (let ((eff-5 (CoreC-45Reflect-u--reify_Reify_Name arg-0 arg-1 arg-2 e-12))) eff-5))))))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-12 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-12)))) (else (let ((e-12 (vector-ref lcase-4 1))) (let ((eff-5 (let ((eff-5 (let ((eff-5 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-206))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-13 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-5 1))) (let ((eff-6 (((let ((eff-6 (csegen-2994))) (lambda (arg-4) (lambda (arg-5) ((((eff-6 arg-0) arg-1) arg-4) arg-5)))) arg-2) e-13))) eff-6))))))))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-13 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-5 1))) (let ((eff-6 (lambda (eta-0) (vector 1 (vector 18 e-9 e-10 e-11 e-12 e-13))))) eff-6))))))))) eff-5))))))))) eff-4))))))))) eff-3))))))))) eff-2))))))) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "TTImp"))))))))))))))))))) ((equal? e-8 "IMustUnify") (let ((sc5 ((csegen-947) e-5))) (if (null? sc5) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "TTImp") (let ((e-210 (car sc5))) (let ((e-211 (cdr sc5))) (if (null? e-211) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "TTImp") (let ((e-213 (car e-211))) (let ((e-214 (cdr e-211))) (if (null? e-214) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "TTImp") (let ((e-216 (car e-214))) (let ((e-217 (cdr e-214))) (if (null? e-217) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-210))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-9 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45Reflect-u--reify_Reify_FC arg-0 arg-1 arg-2 e-9))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-9 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (let ((eff-2 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-213))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-10 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-2 1))) (let ((eff-3 (TTImpC-45Reflect-u--reify_Reify_DotReason arg-0 arg-1 arg-2 e-10))) eff-3))))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-10 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-216))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (((let ((eff-4 (csegen-2994))) (lambda (arg-4) (lambda (arg-5) ((((eff-4 arg-0) arg-1) arg-4) arg-5)))) arg-2) e-11))) eff-4))))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 19 e-9 e-10 e-11))))) eff-4))))))))) eff-3))))))))) eff-2))))))) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "TTImp"))))))))))))) ((equal? e-8 "IDelayed") (let ((sc5 ((csegen-947) e-5))) (if (null? sc5) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "TTImp") (let ((e-220 (car sc5))) (let ((e-221 (cdr sc5))) (if (null? e-221) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "TTImp") (let ((e-223 (car e-221))) (let ((e-224 (cdr e-221))) (if (null? e-224) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "TTImp") (let ((e-226 (car e-224))) (let ((e-227 (cdr e-224))) (if (null? e-227) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-220))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-9 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45Reflect-u--reify_Reify_FC arg-0 arg-1 arg-2 e-9))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-9 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (let ((eff-2 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-223))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-10 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-2 1))) (let ((eff-3 (CoreC-45Reflect-u--reify_Reify_LazyReason arg-0 arg-1 arg-2 e-10))) eff-3))))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-10 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-226))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (((let ((eff-4 (csegen-2994))) (lambda (arg-4) (lambda (arg-5) ((((eff-4 arg-0) arg-1) arg-4) arg-5)))) arg-2) e-11))) eff-4))))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 20 e-9 e-10 e-11))))) eff-4))))))))) eff-3))))))))) eff-2))))))) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "TTImp"))))))))))))) ((equal? e-8 "IDelay") (let ((sc5 ((csegen-947) e-5))) (if (null? sc5) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "TTImp") (let ((e-230 (car sc5))) (let ((e-231 (cdr sc5))) (if (null? e-231) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "TTImp") (let ((e-233 (car e-231))) (let ((e-234 (cdr e-231))) (if (null? e-234) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-230))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-9 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45Reflect-u--reify_Reify_FC arg-0 arg-1 arg-2 e-9))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-9 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (let ((eff-2 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-233))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-10 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-2 1))) (let ((eff-3 (((let ((eff-3 (csegen-2994))) (lambda (arg-4) (lambda (arg-5) ((((eff-3 arg-0) arg-1) arg-4) arg-5)))) arg-2) e-10))) eff-3))))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-10 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (vector 21 e-9 e-10))))) eff-3))))))))) eff-2))))))) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "TTImp")))))))))) ((equal? e-8 "IForce") (let ((sc5 ((csegen-947) e-5))) (if (null? sc5) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "TTImp") (let ((e-237 (car sc5))) (let ((e-238 (cdr sc5))) (if (null? e-238) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "TTImp") (let ((e-240 (car e-238))) (let ((e-241 (cdr e-238))) (if (null? e-241) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-237))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-9 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45Reflect-u--reify_Reify_FC arg-0 arg-1 arg-2 e-9))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-9 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (let ((eff-2 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-240))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-10 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-2 1))) (let ((eff-3 (((let ((eff-3 (csegen-2994))) (lambda (arg-4) (lambda (arg-5) ((((eff-3 arg-0) arg-1) arg-4) arg-5)))) arg-2) e-10))) eff-3))))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-10 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (vector 22 e-9 e-10))))) eff-3))))))))) eff-2))))))) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "TTImp")))))))))) ((equal? e-8 "IQuote") (let ((sc5 ((csegen-947) e-5))) (if (null? sc5) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "TTImp") (let ((e-244 (car sc5))) (let ((e-245 (cdr sc5))) (if (null? e-245) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "TTImp") (let ((e-247 (car e-245))) (let ((e-248 (cdr e-245))) (if (null? e-248) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-244))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-9 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45Reflect-u--reify_Reify_FC arg-0 arg-1 arg-2 e-9))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-9 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (let ((eff-2 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-247))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-10 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-2 1))) (let ((eff-3 (((let ((eff-3 (csegen-2994))) (lambda (arg-4) (lambda (arg-5) ((((eff-3 arg-0) arg-1) arg-4) arg-5)))) arg-2) e-10))) eff-3))))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-10 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (vector 23 e-9 e-10))))) eff-3))))))))) eff-2))))))) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "TTImp")))))))))) ((equal? e-8 "IQuoteName") (let ((sc5 ((csegen-947) e-5))) (if (null? sc5) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "TTImp") (let ((e-251 (car sc5))) (let ((e-252 (cdr sc5))) (if (null? e-252) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "TTImp") (let ((e-254 (car e-252))) (let ((e-255 (cdr e-252))) (if (null? e-255) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-251))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-9 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45Reflect-u--reify_Reify_FC arg-0 arg-1 arg-2 e-9))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-9 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (let ((eff-2 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-254))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-10 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-2 1))) (let ((eff-3 (CoreC-45Reflect-u--reify_Reify_Name arg-0 arg-1 arg-2 e-10))) eff-3))))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-10 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (vector 24 e-9 e-10))))) eff-3))))))))) eff-2))))))) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "TTImp")))))))))) ((equal? e-8 "IQuoteDecl") (let ((sc5 ((csegen-947) e-5))) (if (null? sc5) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "TTImp") (let ((e-258 (car sc5))) (let ((e-259 (cdr sc5))) (if (null? e-259) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "TTImp") (let ((e-261 (car e-259))) (let ((e-262 (cdr e-259))) (if (null? e-262) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-258))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-9 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45Reflect-u--reify_Reify_FC arg-0 arg-1 arg-2 e-9))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-9 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (let ((eff-2 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-261))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-10 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-2 1))) (let ((eff-3 (((let ((eff-3 (csegen-3000))) (lambda (arg-4) (lambda (arg-5) ((((eff-3 arg-0) arg-1) arg-4) arg-5)))) arg-2) e-10))) eff-3))))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-10 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (vector 25 e-9 e-10))))) eff-3))))))))) eff-2))))))) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "TTImp")))))))))) ((equal? e-8 "IUnquote") (let ((sc5 ((csegen-947) e-5))) (if (null? sc5) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "TTImp") (let ((e-265 (car sc5))) (let ((e-266 (cdr sc5))) (if (null? e-266) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "TTImp") (let ((e-268 (car e-266))) (let ((e-269 (cdr e-266))) (if (null? e-269) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-265))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-9 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45Reflect-u--reify_Reify_FC arg-0 arg-1 arg-2 e-9))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-9 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (let ((eff-2 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-268))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-10 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-2 1))) (let ((eff-3 (((let ((eff-3 (csegen-2994))) (lambda (arg-4) (lambda (arg-5) ((((eff-3 arg-0) arg-1) arg-4) arg-5)))) arg-2) e-10))) eff-3))))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-10 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (vector 26 e-9 e-10))))) eff-3))))))))) eff-2))))))) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "TTImp")))))))))) ((equal? e-8 "IPrimVal") (let ((sc5 ((csegen-947) e-5))) (if (null? sc5) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "TTImp") (let ((e-272 (car sc5))) (let ((e-273 (cdr sc5))) (if (null? e-273) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "TTImp") (let ((e-275 (car e-273))) (let ((e-276 (cdr e-273))) (if (null? e-276) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-272))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-9 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45Reflect-u--reify_Reify_FC arg-0 arg-1 arg-2 e-9))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-9 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (let ((eff-2 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-275))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-10 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-2 1))) (let ((eff-3 (CoreC-45Reflect-u--reify_Reify_Constant arg-0 arg-1 arg-2 e-10))) eff-3))))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-10 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (vector 28 e-9 e-10))))) eff-3))))))))) eff-2))))))) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "TTImp")))))))))) ((equal? e-8 "IType") (let ((sc5 ((csegen-947) e-5))) (if (null? sc5) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "TTImp") (let ((e-279 (car sc5))) (let ((e-280 (cdr sc5))) (if (null? e-280) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-279))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-9 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45Reflect-u--reify_Reify_FC arg-0 arg-1 arg-2 e-9))) eff-2))))))))) (PrimIO-io_bind eff-1 (csegen-3005))) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "TTImp"))))))) ((equal? e-8 "IHole") (let ((sc5 ((csegen-947) e-5))) (if (null? sc5) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "TTImp") (let ((e-283 (car sc5))) (let ((e-284 (cdr sc5))) (if (null? e-284) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "TTImp") (let ((e-286 (car e-284))) (let ((e-287 (cdr e-284))) (if (null? e-287) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-283))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-9 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45Reflect-u--reify_Reify_FC arg-0 arg-1 arg-2 e-9))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-9 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (let ((eff-2 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-286))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-10 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-2 1))) (let ((eff-3 (CoreC-45Reflect-u--reify_Reify_String arg-0 arg-1 arg-2 e-10))) eff-3))))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-10 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (vector 30 e-9 e-10))))) eff-3))))))))) eff-2))))))) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "TTImp")))))))))) ((equal? e-8 "Implicit") (let ((sc5 ((csegen-947) e-5))) (if (null? sc5) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "TTImp") (let ((e-290 (car sc5))) (let ((e-291 (cdr sc5))) (if (null? e-291) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "TTImp") (let ((e-293 (car e-291))) (let ((e-294 (cdr e-291))) (if (null? e-294) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-290))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-9 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45Reflect-u--reify_Reify_FC arg-0 arg-1 arg-2 e-9))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-9 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (let ((eff-2 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-293))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-10 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-2 1))) (let ((eff-3 (CoreC-45Reflect-u--reify_Reify_Bool arg-0 arg-1 arg-2 e-10))) eff-3))))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-10 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (vector 32 e-9 e-10))))) eff-3))))))))) eff-2))))))) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "TTImp")))))))))) ((equal? e-8 "IWithUnambigNames") (let ((sc5 ((csegen-947) e-5))) (if (null? sc5) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "TTImp") (let ((e-297 (car sc5))) (let ((e-298 (cdr sc5))) (if (null? e-298) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "TTImp") (let ((e-300 (car e-298))) (let ((e-301 (cdr e-298))) (if (null? e-301) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "TTImp") (let ((e-303 (car e-301))) (let ((e-304 (cdr e-301))) (if (null? e-304) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-297))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-9 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45Reflect-u--reify_Reify_FC arg-0 arg-1 arg-2 e-9))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-9 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (let ((eff-2 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-300))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-10 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-2 1))) (let ((eff-3 (((let ((eff-3 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (CoreC-45Reflect-u--reify_Reify_C-40ListC-32C-36aC-41 (lambda (eta-4) (lambda (eta-5) (lambda (eta-6) (lambda (eta-7) (CoreC-45Reflect-u--reify_Reify_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (cons (csegen-2929) (csegen-2942)) eta-4 eta-5 eta-6 eta-7))))) eta-0 eta-1 eta-2 eta-3))))))) (lambda (arg-4) (lambda (arg-5) ((((eff-3 arg-0) arg-1) arg-4) arg-5)))) arg-2) e-10))) eff-3))))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-10 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-303))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (((let ((eff-4 (csegen-2994))) (lambda (arg-4) (lambda (arg-5) ((((eff-4 arg-0) arg-1) arg-4) arg-5)))) arg-2) e-11))) eff-4))))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 33 e-9 e-10 e-11))))) eff-4))))))))) eff-3))))))))) eff-2))))))) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "TTImp")))))))))))))(else (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "TTImp")))))(else (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "TTImp")))))(else (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "TTImp"))))))) eff-1)))))))))))))(else (CoreC-45Reflect-cantReify arg-0 arg-1 arg-3 "TTImp")))))
(define TTImpC-45Reflect-u--reify_Reify_ImpTy (lambda (arg-0 arg-1 arg-2 arg-3) (case (vector-ref arg-3 0) ((2) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-3 (vector-ref arg-3 3))) (let ((e-4 (vector-ref arg-3 4))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (CoreC-45Context-u--full_HasNames_Name (let ((e-0 (vector-ref arg-2 0))) e-0) e-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--val (vector 2 e-1 e-2 e-3 e-4 e-5))) (let ((sc2 (CoreC-45Name-dropAllNS e-6))) (case (vector-ref sc2 0) ((1) (let ((e-7 (vector-ref sc2 1))) (case (vector-ref e-7 0) ((0) (let ((e-8 (vector-ref e-7 1))) (cond ((equal? e-8 "MkTy") (let ((sc5 ((csegen-947) e-5))) (if (null? sc5) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "ITy") (let ((e-10 (car sc5))) (let ((e-9 (cdr sc5))) (if (null? e-9) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "ITy") (let ((e-12 (car e-9))) (let ((e-11 (cdr e-9))) (if (null? e-11) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "ITy") (let ((e-13 (car e-11))) (let ((e-14 (cdr e-11))) (if (null? e-14) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "ITy") (let ((e-16 (car e-14))) (let ((e-17 (cdr e-14))) (if (null? e-17) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-10))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-15 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-15)))) (else (let ((e-15 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45Reflect-u--reify_Reify_FC arg-0 arg-1 arg-2 e-15))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-15 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-15)))) (else (let ((e-15 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (let ((eff-2 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-12))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-18 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-18)))) (else (let ((e-18 (vector-ref lcase-2 1))) (let ((eff-3 (CoreC-45Reflect-u--reify_Reify_FC arg-0 arg-1 arg-2 e-18))) eff-3))))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-18 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-18)))) (else (let ((e-18 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-13))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-19 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-19)))) (else (let ((e-19 (vector-ref lcase-3 1))) (let ((eff-4 (CoreC-45Reflect-u--reify_Reify_Name arg-0 arg-1 arg-2 e-19))) eff-4))))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-19 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-19)))) (else (let ((e-19 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (let ((eff-4 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-16))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-20 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-20)))) (else (let ((e-20 (vector-ref lcase-4 1))) (let ((eff-5 (((let ((eff-5 (csegen-2994))) (lambda (arg-4) (lambda (arg-5) ((((eff-5 arg-0) arg-1) arg-4) arg-5)))) arg-2) e-20))) eff-5))))))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-20 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-20)))) (else (let ((e-20 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector e-15 e-18 e-19 e-20))))) eff-5))))))))) eff-4))))))))) eff-3))))))))) eff-2))))))) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "ITy"))))))))))))))))(else (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "ITy")))))(else (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "ITy")))))(else (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "ITy"))))))) eff-1)))))))))))))(else (CoreC-45Reflect-cantReify arg-0 arg-1 arg-3 "ITy")))))
(define TTImpC-45Reflect-u--reify_Reify_ImpRecord (lambda (arg-0 arg-1 arg-2 arg-3) (case (vector-ref arg-3 0) ((2) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-3 (vector-ref arg-3 3))) (let ((e-4 (vector-ref arg-3 4))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (CoreC-45Context-u--full_HasNames_Name (let ((e-0 (vector-ref arg-2 0))) e-0) e-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--val (vector 2 e-1 e-2 e-3 e-4 e-5))) (let ((sc2 (CoreC-45Name-dropAllNS e-6))) (case (vector-ref sc2 0) ((1) (let ((e-7 (vector-ref sc2 1))) (case (vector-ref e-7 0) ((0) (let ((e-8 (vector-ref e-7 1))) (cond ((equal? e-8 "MkRecord") (let ((sc5 ((csegen-947) e-5))) (if (null? sc5) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Record") (let ((e-10 (car sc5))) (let ((e-9 (cdr sc5))) (if (null? e-9) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Record") (let ((e-12 (car e-9))) (let ((e-11 (cdr e-9))) (if (null? e-11) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Record") (let ((e-13 (car e-11))) (let ((e-14 (cdr e-11))) (if (null? e-14) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Record") (let ((e-16 (car e-14))) (let ((e-17 (cdr e-14))) (if (null? e-17) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Record") (let ((e-19 (car e-17))) (let ((e-20 (cdr e-17))) (if (null? e-20) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Record") (let ((e-22 (car e-20))) (let ((e-23 (cdr e-20))) (if (null? e-23) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-10))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-15 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-15)))) (else (let ((e-15 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45Reflect-u--reify_Reify_FC arg-0 arg-1 arg-2 e-15))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-15 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-15)))) (else (let ((e-15 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (let ((eff-2 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-12))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-18 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-18)))) (else (let ((e-18 (vector-ref lcase-2 1))) (let ((eff-3 (CoreC-45Reflect-u--reify_Reify_Name arg-0 arg-1 arg-2 e-18))) eff-3))))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-18 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-18)))) (else (let ((e-18 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-13))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-21 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-21)))) (else (let ((e-21 (vector-ref lcase-3 1))) (let ((eff-4 (((let ((eff-4 (csegen-3015))) (lambda (arg-4) (lambda (arg-5) ((((eff-4 arg-0) arg-1) arg-4) arg-5)))) arg-2) e-21))) eff-4))))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-21 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-21)))) (else (let ((e-21 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (let ((eff-4 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-16))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-24 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-24)))) (else (let ((e-24 (vector-ref lcase-4 1))) (let ((eff-5 (((let ((eff-5 (csegen-3017))) (lambda (arg-4) (lambda (arg-5) ((((eff-5 arg-0) arg-1) arg-4) arg-5)))) arg-2) e-24))) eff-5))))))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-24 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-24)))) (else (let ((e-24 (vector-ref lcase-4 1))) (let ((eff-5 (let ((eff-5 (let ((eff-5 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-19))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-25 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-25)))) (else (let ((e-25 (vector-ref lcase-5 1))) (let ((eff-6 (CoreC-45Reflect-u--reify_Reify_Name arg-0 arg-1 arg-2 e-25))) eff-6))))))))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-25 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-25)))) (else (let ((e-25 (vector-ref lcase-5 1))) (let ((eff-6 (let ((eff-6 (let ((eff-6 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-22))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-26 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-26)))) (else (let ((e-26 (vector-ref lcase-6 1))) (let ((eff-7 (((let ((eff-7 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (CoreC-45Reflect-u--reify_Reify_C-40ListC-32C-36aC-41 (lambda (u--c) (lambda (u--vars) (lambda (arg-6432) (lambda (arg-6435) (TTImpC-45Reflect-u--reify_Reify_IField u--c u--vars arg-6432 arg-6435))))) eta-0 eta-1 eta-2 eta-3))))))) (lambda (arg-4) (lambda (arg-5) ((((eff-7 arg-0) arg-1) arg-4) arg-5)))) arg-2) e-26))) eff-7))))))))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-26 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-26)))) (else (let ((e-26 (vector-ref lcase-6 1))) (let ((eff-7 (lambda (eta-0) (vector 1 (vector e-15 e-18 e-21 e-24 e-25 e-26))))) eff-7))))))))) eff-6))))))))) eff-5))))))))) eff-4))))))))) eff-3))))))))) eff-2))))))) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Record"))))))))))))))))))))))(else (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Record")))))(else (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Record")))))(else (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Record"))))))) eff-1)))))))))))))(else (CoreC-45Reflect-cantReify arg-0 arg-1 arg-3 "Record")))))
(define TTImpC-45Reflect-u--reify_Reify_ImpDecl (lambda (arg-0 arg-1 arg-2 arg-3) (case (vector-ref arg-3 0) ((2) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-3 (vector-ref arg-3 3))) (let ((e-4 (vector-ref arg-3 4))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (CoreC-45Context-u--full_HasNames_Name (let ((e-0 (vector-ref arg-2 0))) e-0) e-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--val (vector 2 e-1 e-2 e-3 e-4 e-5))) (let ((sc2 (CoreC-45Name-dropAllNS e-6))) (case (vector-ref sc2 0) ((1) (let ((e-7 (vector-ref sc2 1))) (case (vector-ref e-7 0) ((0) (let ((e-8 (vector-ref e-7 1))) (cond ((equal? e-8 "IClaim") (let ((sc5 ((csegen-947) e-5))) (if (null? sc5) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Decl") (let ((e-10 (car sc5))) (let ((e-9 (cdr sc5))) (if (null? e-9) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Decl") (let ((e-12 (car e-9))) (let ((e-11 (cdr e-9))) (if (null? e-11) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Decl") (let ((e-13 (car e-11))) (let ((e-14 (cdr e-11))) (if (null? e-14) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Decl") (let ((e-16 (car e-14))) (let ((e-17 (cdr e-14))) (if (null? e-17) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Decl") (let ((e-19 (car e-17))) (let ((e-20 (cdr e-17))) (if (null? e-20) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-10))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-15 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-15)))) (else (let ((e-15 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45Reflect-u--reify_Reify_FC arg-0 arg-1 arg-2 e-15))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-15 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-15)))) (else (let ((e-15 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (let ((eff-2 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-12))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-18 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-18)))) (else (let ((e-18 (vector-ref lcase-2 1))) (let ((eff-3 (((let ((eff-3 (csegen-2993))) (lambda (arg-4) (lambda (arg-5) ((((eff-3 arg-0) arg-1) arg-4) arg-5)))) arg-2) e-18))) eff-3))))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-18 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-18)))) (else (let ((e-18 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-13))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-21 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-21)))) (else (let ((e-21 (vector-ref lcase-3 1))) (let ((eff-4 (CoreC-45Reflect-u--reify_Reify_Visibility arg-0 arg-1 arg-2 e-21))) eff-4))))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-21 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-21)))) (else (let ((e-21 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (let ((eff-4 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-16))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-22 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-22)))) (else (let ((e-22 (vector-ref lcase-4 1))) (let ((eff-5 (((let ((eff-5 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (CoreC-45Reflect-u--reify_Reify_C-40ListC-32C-36aC-41 (lambda (u--c) (lambda (u--vars) (lambda (arg-6432) (lambda (arg-6435) (TTImpC-45Reflect-u--reify_Reify_FnOpt u--c u--vars arg-6432 arg-6435))))) eta-0 eta-1 eta-2 eta-3))))))) (lambda (arg-4) (lambda (arg-5) ((((eff-5 arg-0) arg-1) arg-4) arg-5)))) arg-2) e-22))) eff-5))))))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-22 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-22)))) (else (let ((e-22 (vector-ref lcase-4 1))) (let ((eff-5 (let ((eff-5 (let ((eff-5 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-19))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-23 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-23)))) (else (let ((e-23 (vector-ref lcase-5 1))) (let ((eff-6 (((let ((eff-6 (csegen-3022))) (lambda (arg-4) (lambda (arg-5) ((((eff-6 arg-0) arg-1) arg-4) arg-5)))) arg-2) e-23))) eff-6))))))))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-23 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-23)))) (else (let ((e-23 (vector-ref lcase-5 1))) (let ((eff-6 (lambda (eta-0) (vector 1 (vector 0 e-15 e-18 e-21 e-22 e-23))))) eff-6))))))))) eff-5))))))))) eff-4))))))))) eff-3))))))))) eff-2))))))) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Decl"))))))))))))))))))) ((equal? e-8 "IData") (let ((sc5 ((csegen-947) e-5))) (if (null? sc5) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Decl") (let ((e-23 (car sc5))) (let ((e-24 (cdr sc5))) (if (null? e-24) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Decl") (let ((e-26 (car e-24))) (let ((e-27 (cdr e-24))) (if (null? e-27) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Decl") (let ((e-29 (car e-27))) (let ((e-30 (cdr e-27))) (if (null? e-30) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Decl") (let ((e-32 (car e-30))) (let ((e-33 (cdr e-30))) (if (null? e-33) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-23))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-9 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45Reflect-u--reify_Reify_FC arg-0 arg-1 arg-2 e-9))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-9 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (let ((eff-2 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-26))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-10 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-2 1))) (let ((eff-3 (CoreC-45Reflect-u--reify_Reify_Visibility arg-0 arg-1 arg-2 e-10))) eff-3))))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-10 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-29))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (((let ((eff-4 (csegen-3024))) (lambda (arg-4) (lambda (arg-5) ((((eff-4 arg-0) arg-1) arg-4) arg-5)))) arg-2) e-11))) eff-4))))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (let ((eff-4 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-32))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-12 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-12)))) (else (let ((e-12 (vector-ref lcase-4 1))) (let ((eff-5 (((let ((eff-5 (lambda (u--c) (lambda (u--vars) (lambda (arg-6432) (lambda (arg-6435) (TTImpC-45Reflect-u--reify_Reify_ImpData u--c u--vars arg-6432 arg-6435))))))) (lambda (arg-4) (lambda (arg-5) ((((eff-5 arg-0) arg-1) arg-4) arg-5)))) arg-2) e-12))) eff-5))))))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-12 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-12)))) (else (let ((e-12 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 1 e-9 e-10 e-11 e-12))))) eff-5))))))))) eff-4))))))))) eff-3))))))))) eff-2))))))) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Decl")))))))))))))))) ((equal? e-8 "IDef") (let ((sc5 ((csegen-947) e-5))) (if (null? sc5) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Decl") (let ((e-36 (car sc5))) (let ((e-37 (cdr sc5))) (if (null? e-37) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Decl") (let ((e-39 (car e-37))) (let ((e-40 (cdr e-37))) (if (null? e-40) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Decl") (let ((e-42 (car e-40))) (let ((e-43 (cdr e-40))) (if (null? e-43) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-36))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-9 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45Reflect-u--reify_Reify_FC arg-0 arg-1 arg-2 e-9))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-9 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (let ((eff-2 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-39))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-10 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-2 1))) (let ((eff-3 (CoreC-45Reflect-u--reify_Reify_Name arg-0 arg-1 arg-2 e-10))) eff-3))))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-10 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-42))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (((let ((eff-4 (csegen-2998))) (lambda (arg-4) (lambda (arg-5) ((((eff-4 arg-0) arg-1) arg-4) arg-5)))) arg-2) e-11))) eff-4))))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 2 e-9 e-10 e-11))))) eff-4))))))))) eff-3))))))))) eff-2))))))) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Decl"))))))))))))) ((equal? e-8 "IParameters") (let ((sc5 ((csegen-947) e-5))) (if (null? sc5) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Decl") (let ((e-46 (car sc5))) (let ((e-47 (cdr sc5))) (if (null? e-47) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Decl") (let ((e-49 (car e-47))) (let ((e-50 (cdr e-47))) (if (null? e-50) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Decl") (let ((e-52 (car e-50))) (let ((e-53 (cdr e-50))) (if (null? e-53) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-46))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-9 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45Reflect-u--reify_Reify_FC arg-0 arg-1 arg-2 e-9))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-9 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (let ((eff-2 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-49))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-10 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-2 1))) (let ((eff-3 (((let ((eff-3 (csegen-3015))) (lambda (arg-4) (lambda (arg-5) ((((eff-3 arg-0) arg-1) arg-4) arg-5)))) arg-2) e-10))) eff-3))))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-10 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-52))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (((let ((eff-4 (csegen-3000))) (lambda (arg-4) (lambda (arg-5) ((((eff-4 arg-0) arg-1) arg-4) arg-5)))) arg-2) e-11))) eff-4))))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 3 e-9 e-10 e-11))))) eff-4))))))))) eff-3))))))))) eff-2))))))) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Decl"))))))))))))) ((equal? e-8 "IRecord") (let ((sc5 ((csegen-947) e-5))) (if (null? sc5) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Decl") (let ((e-56 (car sc5))) (let ((e-57 (cdr sc5))) (if (null? e-57) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Decl") (let ((e-59 (car e-57))) (let ((e-60 (cdr e-57))) (if (null? e-60) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Decl") (let ((e-62 (car e-60))) (let ((e-63 (cdr e-60))) (if (null? e-63) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Decl") (let ((e-65 (car e-63))) (let ((e-66 (cdr e-63))) (if (null? e-66) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Decl") (let ((e-68 (car e-66))) (let ((e-69 (cdr e-66))) (if (null? e-69) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-56))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-9 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45Reflect-u--reify_Reify_FC arg-0 arg-1 arg-2 e-9))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-9 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (let ((eff-2 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-59))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-10 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-2 1))) (let ((eff-3 (((let ((eff-3 (csegen-3026))) (lambda (arg-4) (lambda (arg-5) ((((eff-3 arg-0) arg-1) arg-4) arg-5)))) arg-2) e-10))) eff-3))))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-10 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-62))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (CoreC-45Reflect-u--reify_Reify_Visibility arg-0 arg-1 arg-2 e-11))) eff-4))))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (let ((eff-4 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-65))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-12 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-12)))) (else (let ((e-12 (vector-ref lcase-4 1))) (let ((eff-5 (((let ((eff-5 (csegen-3024))) (lambda (arg-4) (lambda (arg-5) ((((eff-5 arg-0) arg-1) arg-4) arg-5)))) arg-2) e-12))) eff-5))))))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-12 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-12)))) (else (let ((e-12 (vector-ref lcase-4 1))) (let ((eff-5 (let ((eff-5 (let ((eff-5 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-68))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-13 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-5 1))) (let ((eff-6 (((let ((eff-6 (lambda (u--c) (lambda (u--vars) (lambda (arg-6432) (lambda (arg-6435) (TTImpC-45Reflect-u--reify_Reify_ImpRecord u--c u--vars arg-6432 arg-6435))))))) (lambda (arg-4) (lambda (arg-5) ((((eff-6 arg-0) arg-1) arg-4) arg-5)))) arg-2) e-13))) eff-6))))))))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-13 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-5 1))) (let ((eff-6 (lambda (eta-0) (vector 1 (vector 4 e-9 e-10 e-11 e-12 e-13))))) eff-6))))))))) eff-5))))))))) eff-4))))))))) eff-3))))))))) eff-2))))))) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Decl"))))))))))))))))))) ((equal? e-8 "IFail") (let ((sc5 ((csegen-947) e-5))) (if (null? sc5) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Decl") (let ((e-72 (car sc5))) (let ((e-73 (cdr sc5))) (if (null? e-73) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Decl") (let ((e-75 (car e-73))) (let ((e-76 (cdr e-73))) (if (null? e-76) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Decl") (let ((e-78 (car e-76))) (let ((e-79 (cdr e-76))) (if (null? e-79) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-72))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-9 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45Reflect-u--reify_Reify_FC arg-0 arg-1 arg-2 e-9))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-9 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (let ((eff-2 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-75))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-10 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-2 1))) (let ((eff-3 (((let ((eff-3 (csegen-3026))) (lambda (arg-4) (lambda (arg-5) ((((eff-3 arg-0) arg-1) arg-4) arg-5)))) arg-2) e-10))) eff-3))))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-10 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-78))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (((let ((eff-4 (csegen-3000))) (lambda (arg-4) (lambda (arg-5) ((((eff-4 arg-0) arg-1) arg-4) arg-5)))) arg-2) e-11))) eff-4))))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 5 e-9 e-10 e-11))))) eff-4))))))))) eff-3))))))))) eff-2))))))) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Decl"))))))))))))) ((equal? e-8 "INamespace") (let ((sc5 ((csegen-947) e-5))) (if (null? sc5) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Decl") (let ((e-82 (car sc5))) (let ((e-83 (cdr sc5))) (if (null? e-83) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Decl") (let ((e-85 (car e-83))) (let ((e-86 (cdr e-83))) (if (null? e-86) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Decl") (let ((e-88 (car e-86))) (let ((e-89 (cdr e-86))) (if (null? e-89) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-82))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-9 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45Reflect-u--reify_Reify_FC arg-0 arg-1 arg-2 e-9))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-9 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (let ((eff-2 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-85))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-10 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-2 1))) (let ((eff-3 (CoreC-45Reflect-u--reify_Reify_Namespace arg-0 arg-1 arg-2 e-10))) eff-3))))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-10 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-88))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (((let ((eff-4 (csegen-3000))) (lambda (arg-4) (lambda (arg-5) ((((eff-4 arg-0) arg-1) arg-4) arg-5)))) arg-2) e-11))) eff-4))))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 6 e-9 e-10 e-11))))) eff-4))))))))) eff-3))))))))) eff-2))))))) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Decl"))))))))))))) ((equal? e-8 "ITransform") (let ((sc5 ((csegen-947) e-5))) (if (null? sc5) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Decl") (let ((e-92 (car sc5))) (let ((e-93 (cdr sc5))) (if (null? e-93) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Decl") (let ((e-95 (car e-93))) (let ((e-96 (cdr e-93))) (if (null? e-96) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Decl") (let ((e-98 (car e-96))) (let ((e-99 (cdr e-96))) (if (null? e-99) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Decl") (let ((e-101 (car e-99))) (let ((e-102 (cdr e-99))) (if (null? e-102) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-92))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-9 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45Reflect-u--reify_Reify_FC arg-0 arg-1 arg-2 e-9))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-9 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (let ((eff-2 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-95))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-10 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-2 1))) (let ((eff-3 (CoreC-45Reflect-u--reify_Reify_Name arg-0 arg-1 arg-2 e-10))) eff-3))))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-10 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-98))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (((let ((eff-4 (csegen-2994))) (lambda (arg-4) (lambda (arg-5) ((((eff-4 arg-0) arg-1) arg-4) arg-5)))) arg-2) e-11))) eff-4))))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (let ((eff-4 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-101))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-12 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-12)))) (else (let ((e-12 (vector-ref lcase-4 1))) (let ((eff-5 (((let ((eff-5 (csegen-2994))) (lambda (arg-4) (lambda (arg-5) ((((eff-5 arg-0) arg-1) arg-4) arg-5)))) arg-2) e-12))) eff-5))))))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-12 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-12)))) (else (let ((e-12 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 7 e-9 e-10 e-11 e-12))))) eff-5))))))))) eff-4))))))))) eff-3))))))))) eff-2))))))) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Decl")))))))))))))))) ((equal? e-8 "ILog") (let ((sc5 ((csegen-947) e-5))) (if (null? sc5) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Decl") (let ((e-105 (car sc5))) (let ((e-106 (cdr sc5))) (if (null? e-106) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-105))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-9 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-1 1))) (let ((eff-2 (((let ((eff-2 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (CoreC-45Reflect-u--reify_Reify_C-40MaybeC-32C-36aC-41 (lambda (eta-4) (lambda (eta-5) (lambda (eta-6) (lambda (eta-7) (CoreC-45Reflect-u--reify_Reify_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (cons (csegen-3028) (csegen-2931)) eta-4 eta-5 eta-6 eta-7))))) eta-0 eta-1 eta-2 eta-3))))))) (lambda (arg-4) (lambda (arg-5) ((((eff-2 arg-0) arg-1) arg-4) arg-5)))) arg-2) e-9))) eff-2))))))))) (PrimIO-io_bind eff-1 (csegen-3032))) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Decl")))))))(else (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Decl")))))(else (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Decl")))))(else (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Decl"))))))) eff-1)))))))))))))(else (CoreC-45Reflect-cantReify arg-0 arg-1 arg-3 "Decl")))))
(define TTImpC-45Reflect-u--reify_Reify_ImpData (lambda (arg-0 arg-1 arg-2 arg-3) (case (vector-ref arg-3 0) ((2) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-3 (vector-ref arg-3 3))) (let ((e-4 (vector-ref arg-3 4))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (CoreC-45Context-u--full_HasNames_Name (let ((e-0 (vector-ref arg-2 0))) e-0) e-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--val (vector 2 e-1 e-2 e-3 e-4 e-5))) (let ((sc2 (CoreC-45Name-dropAllNS e-6))) (case (vector-ref sc2 0) ((1) (let ((e-7 (vector-ref sc2 1))) (case (vector-ref e-7 0) ((0) (let ((e-8 (vector-ref e-7 1))) (cond ((equal? e-8 "MkData") (let ((sc5 ((csegen-947) e-5))) (if (null? sc5) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Data") (let ((e-10 (car sc5))) (let ((e-9 (cdr sc5))) (if (null? e-9) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Data") (let ((e-12 (car e-9))) (let ((e-11 (cdr e-9))) (if (null? e-11) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Data") (let ((e-13 (car e-11))) (let ((e-14 (cdr e-11))) (if (null? e-14) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Data") (let ((e-16 (car e-14))) (let ((e-17 (cdr e-14))) (if (null? e-17) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Data") (let ((e-19 (car e-17))) (let ((e-20 (cdr e-17))) (if (null? e-20) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-10))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-15 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-15)))) (else (let ((e-15 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45Reflect-u--reify_Reify_FC arg-0 arg-1 arg-2 e-15))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-15 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-15)))) (else (let ((e-15 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (let ((eff-2 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-12))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-18 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-18)))) (else (let ((e-18 (vector-ref lcase-2 1))) (let ((eff-3 (CoreC-45Reflect-u--reify_Reify_Name arg-0 arg-1 arg-2 e-18))) eff-3))))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-18 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-18)))) (else (let ((e-18 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-13))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-21 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-21)))) (else (let ((e-21 (vector-ref lcase-3 1))) (let ((eff-4 (((let ((eff-4 (csegen-2994))) (lambda (arg-4) (lambda (arg-5) ((((eff-4 arg-0) arg-1) arg-4) arg-5)))) arg-2) e-21))) eff-4))))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-21 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-21)))) (else (let ((e-21 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (let ((eff-4 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-16))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-22 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-22)))) (else (let ((e-22 (vector-ref lcase-4 1))) (let ((eff-5 (((let ((eff-5 (csegen-3017))) (lambda (arg-4) (lambda (arg-5) ((((eff-5 arg-0) arg-1) arg-4) arg-5)))) arg-2) e-22))) eff-5))))))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-22 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-22)))) (else (let ((e-22 (vector-ref lcase-4 1))) (let ((eff-5 (let ((eff-5 (let ((eff-5 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-19))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-23 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-23)))) (else (let ((e-23 (vector-ref lcase-5 1))) (let ((eff-6 (((let ((eff-6 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (CoreC-45Reflect-u--reify_Reify_C-40ListC-32C-36aC-41 (csegen-3022) eta-0 eta-1 eta-2 eta-3))))))) (lambda (arg-4) (lambda (arg-5) ((((eff-6 arg-0) arg-1) arg-4) arg-5)))) arg-2) e-23))) eff-6))))))))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-23 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-23)))) (else (let ((e-23 (vector-ref lcase-5 1))) (let ((eff-6 (lambda (eta-0) (vector 1 (vector 0 e-15 e-18 e-21 e-22 e-23))))) eff-6))))))))) eff-5))))))))) eff-4))))))))) eff-3))))))))) eff-2))))))) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Data"))))))))))))))))))) ((equal? e-8 "MkLater") (let ((sc5 ((csegen-947) e-5))) (if (null? sc5) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Data") (let ((e-23 (car sc5))) (let ((e-24 (cdr sc5))) (if (null? e-24) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Data") (let ((e-26 (car e-24))) (let ((e-27 (cdr e-24))) (if (null? e-27) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Data") (let ((e-29 (car e-27))) (let ((e-30 (cdr e-27))) (if (null? e-30) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-23))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-9 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45Reflect-u--reify_Reify_FC arg-0 arg-1 arg-2 e-9))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-9 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (let ((eff-2 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-26))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-10 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-2 1))) (let ((eff-3 (CoreC-45Reflect-u--reify_Reify_Name arg-0 arg-1 arg-2 e-10))) eff-3))))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-10 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-29))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (((let ((eff-4 (csegen-2994))) (lambda (arg-4) (lambda (arg-5) ((((eff-4 arg-0) arg-1) arg-4) arg-5)))) arg-2) e-11))) eff-4))))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 1 e-9 e-10 e-11))))) eff-4))))))))) eff-3))))))))) eff-2))))))) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Data")))))))))))))(else (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Data")))))(else (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Data")))))(else (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Data"))))))) eff-1)))))))))))))(else (CoreC-45Reflect-cantReify arg-0 arg-1 arg-3 "Data")))))
(define TTImpC-45Reflect-u--reify_Reify_ImpClause (lambda (arg-0 arg-1 arg-2 arg-3) (case (vector-ref arg-3 0) ((2) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-3 (vector-ref arg-3 3))) (let ((e-4 (vector-ref arg-3 4))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (CoreC-45Context-u--full_HasNames_Name (let ((e-0 (vector-ref arg-2 0))) e-0) e-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--val (vector 2 e-1 e-2 e-3 e-4 e-5))) (let ((sc2 (CoreC-45Name-dropAllNS e-6))) (case (vector-ref sc2 0) ((1) (let ((e-7 (vector-ref sc2 1))) (case (vector-ref e-7 0) ((0) (let ((e-8 (vector-ref e-7 1))) (cond ((equal? e-8 "PatClause") (let ((sc5 ((csegen-947) e-5))) (if (null? sc5) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Clause") (let ((e-10 (car sc5))) (let ((e-9 (cdr sc5))) (if (null? e-9) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Clause") (let ((e-12 (car e-9))) (let ((e-11 (cdr e-9))) (if (null? e-11) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Clause") (let ((e-13 (car e-11))) (let ((e-14 (cdr e-11))) (if (null? e-14) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-10))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-15 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-15)))) (else (let ((e-15 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45Reflect-u--reify_Reify_FC arg-0 arg-1 arg-2 e-15))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-15 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-15)))) (else (let ((e-15 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (let ((eff-2 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-12))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-16 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-16)))) (else (let ((e-16 (vector-ref lcase-2 1))) (let ((eff-3 (((let ((eff-3 (csegen-2994))) (lambda (arg-4) (lambda (arg-5) ((((eff-3 arg-0) arg-1) arg-4) arg-5)))) arg-2) e-16))) eff-3))))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-16 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-16)))) (else (let ((e-16 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-13))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-17 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-17)))) (else (let ((e-17 (vector-ref lcase-3 1))) (let ((eff-4 (((let ((eff-4 (csegen-2994))) (lambda (arg-4) (lambda (arg-5) ((((eff-4 arg-0) arg-1) arg-4) arg-5)))) arg-2) e-17))) eff-4))))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-17 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-17)))) (else (let ((e-17 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 0 e-15 e-16 e-17))))) eff-4))))))))) eff-3))))))))) eff-2))))))) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Clause"))))))))))))) ((equal? e-8 "WithClause") (let ((sc5 ((csegen-947) e-5))) (if (null? sc5) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Clause") (let ((e-17 (car sc5))) (let ((e-18 (cdr sc5))) (if (null? e-18) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Clause") (let ((e-20 (car e-18))) (let ((e-21 (cdr e-18))) (if (null? e-21) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Clause") (let ((e-23 (car e-21))) (let ((e-24 (cdr e-21))) (if (null? e-24) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Clause") (let ((e-26 (car e-24))) (let ((e-27 (cdr e-24))) (if (null? e-27) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Clause") (let ((e-29 (car e-27))) (let ((e-30 (cdr e-27))) (if (null? e-30) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Clause") (let ((e-32 (car e-30))) (let ((e-33 (cdr e-30))) (if (null? e-33) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Clause") (let ((e-35 (car e-33))) (let ((e-36 (cdr e-33))) (if (null? e-36) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-17))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-9 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45Reflect-u--reify_Reify_FC arg-0 arg-1 arg-2 e-9))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-9 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (let ((eff-2 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-20))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-10 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-2 1))) (let ((eff-3 (((let ((eff-3 (csegen-2994))) (lambda (arg-4) (lambda (arg-5) ((((eff-3 arg-0) arg-1) arg-4) arg-5)))) arg-2) e-10))) eff-3))))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-10 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-23))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (((let ((eff-4 (csegen-2993))) (lambda (arg-4) (lambda (arg-5) ((((eff-4 arg-0) arg-1) arg-4) arg-5)))) arg-2) e-11))) eff-4))))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (let ((eff-4 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-26))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-12 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-12)))) (else (let ((e-12 (vector-ref lcase-4 1))) (let ((eff-5 (((let ((eff-5 (csegen-2994))) (lambda (arg-4) (lambda (arg-5) ((((eff-5 arg-0) arg-1) arg-4) arg-5)))) arg-2) e-12))) eff-5))))))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-12 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-12)))) (else (let ((e-12 (vector-ref lcase-4 1))) (let ((eff-5 (let ((eff-5 (let ((eff-5 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-29))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-13 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-5 1))) (let ((eff-6 (((let ((eff-6 (csegen-2996))) (lambda (arg-4) (lambda (arg-5) ((((eff-6 arg-0) arg-1) arg-4) arg-5)))) arg-2) e-13))) eff-6))))))))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-13 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-5 1))) (let ((eff-6 (let ((eff-6 (let ((eff-6 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-32))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-14 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-6 1))) (let ((eff-7 (((let ((eff-7 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (CoreC-45Reflect-u--reify_Reify_C-40ListC-32C-36aC-41 (lambda (u--c) (lambda (u--vars) (lambda (arg-6432) (lambda (arg-6435) (TTImpC-45Reflect-u--reify_Reify_WithFlag u--c u--vars arg-6432 arg-6435))))) eta-0 eta-1 eta-2 eta-3))))))) (lambda (arg-4) (lambda (arg-5) ((((eff-7 arg-0) arg-1) arg-4) arg-5)))) arg-2) e-14))) eff-7))))))))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-14 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-6 1))) (let ((eff-7 (let ((eff-7 (let ((eff-7 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-35))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-15 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-15)))) (else (let ((e-15 (vector-ref lcase-7 1))) (let ((eff-8 (((let ((eff-8 (csegen-2998))) (lambda (arg-4) (lambda (arg-5) ((((eff-8 arg-0) arg-1) arg-4) arg-5)))) arg-2) e-15))) eff-8))))))))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-15 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-15)))) (else (let ((e-15 (vector-ref lcase-7 1))) (let ((eff-8 (lambda (eta-0) (vector 1 (vector 1 e-9 e-10 e-11 e-12 e-13 e-14 e-15))))) eff-8))))))))) eff-7))))))))) eff-6))))))))) eff-5))))))))) eff-4))))))))) eff-3))))))))) eff-2))))))) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Clause"))))))))))))))))))))))))) ((equal? e-8 "ImpossibleClause") (let ((sc5 ((csegen-947) e-5))) (if (null? sc5) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Clause") (let ((e-39 (car sc5))) (let ((e-40 (cdr sc5))) (if (null? e-40) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Clause") (let ((e-42 (car e-40))) (let ((e-43 (cdr e-40))) (if (null? e-43) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-39))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-9 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45Reflect-u--reify_Reify_FC arg-0 arg-1 arg-2 e-9))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-9 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (let ((eff-2 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-42))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-10 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-2 1))) (let ((eff-3 (((let ((eff-3 (csegen-2994))) (lambda (arg-4) (lambda (arg-5) ((((eff-3 arg-0) arg-1) arg-4) arg-5)))) arg-2) e-10))) eff-3))))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-10 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (vector 2 e-9 e-10))))) eff-3))))))))) eff-2))))))) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Clause"))))))))))(else (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Clause")))))(else (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Clause")))))(else (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Clause"))))))) eff-1)))))))))))))(else (CoreC-45Reflect-cantReify arg-0 arg-1 arg-3 "Clause")))))
(define TTImpC-45Reflect-u--reify_Reify_IFieldUpdate (lambda (arg-0 arg-1 arg-2 arg-3) (case (vector-ref arg-3 0) ((2) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-3 (vector-ref arg-3 3))) (let ((e-4 (vector-ref arg-3 4))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (CoreC-45Context-u--full_HasNames_Name (let ((e-0 (vector-ref arg-2 0))) e-0) e-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--val (vector 2 e-1 e-2 e-3 e-4 e-5))) (let ((sc2 (CoreC-45Name-dropAllNS e-6))) (case (vector-ref sc2 0) ((1) (let ((e-7 (vector-ref sc2 1))) (case (vector-ref e-7 0) ((0) (let ((e-8 (vector-ref e-7 1))) (cond ((equal? e-8 "ISetField") (if (null? e-5) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "IFieldUpdate") (let ((e-10 (car e-5))) (let ((e-9 (cdr e-5))) (if (null? e-10) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "IFieldUpdate") (let ((e-12 (cdr e-10))) (if (null? e-9) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "IFieldUpdate") (let ((e-14 (car e-9))) (let ((e-15 (cdr e-9))) (if (null? e-14) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "IFieldUpdate") (let ((e-19 (cdr e-14))) (if (null? e-15) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-12))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-13 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-1 1))) (let ((eff-2 (((let ((eff-2 (csegen-3028))) (lambda (arg-4) (lambda (arg-5) ((((eff-2 arg-0) arg-1) arg-4) arg-5)))) arg-2) e-13))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-13 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (let ((eff-2 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-19))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-16 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-16)))) (else (let ((e-16 (vector-ref lcase-2 1))) (let ((eff-3 (((let ((eff-3 (csegen-2994))) (lambda (arg-4) (lambda (arg-5) ((((eff-3 arg-0) arg-1) arg-4) arg-5)))) arg-2) e-16))) eff-3))))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-16 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-16)))) (else (let ((e-16 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (vector 0 e-13 e-16))))) eff-3))))))))) eff-2))))))) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "IFieldUpdate"))))))))))))) ((equal? e-8 "ISetFieldApp") (if (null? e-5) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "IFieldUpdate") (let ((e-22 (car e-5))) (let ((e-23 (cdr e-5))) (if (null? e-22) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "IFieldUpdate") (let ((e-27 (cdr e-22))) (if (null? e-23) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "IFieldUpdate") (let ((e-29 (car e-23))) (let ((e-30 (cdr e-23))) (if (null? e-29) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "IFieldUpdate") (let ((e-34 (cdr e-29))) (if (null? e-30) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-27))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-9 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-1 1))) (let ((eff-2 (((let ((eff-2 (csegen-3028))) (lambda (arg-4) (lambda (arg-5) ((((eff-2 arg-0) arg-1) arg-4) arg-5)))) arg-2) e-9))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-9 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (let ((eff-2 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-34))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-10 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-2 1))) (let ((eff-3 (((let ((eff-3 (csegen-2994))) (lambda (arg-4) (lambda (arg-5) ((((eff-3 arg-0) arg-1) arg-4) arg-5)))) arg-2) e-10))) eff-3))))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-10 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (vector 1 e-9 e-10))))) eff-3))))))))) eff-2))))))) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "IFieldUpdate")))))))))))))(else (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "IFieldUpdate")))))(else (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "IFieldUpdate")))))(else (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "IFieldUpdate"))))))) eff-1)))))))))))))(else (CoreC-45Reflect-cantReify arg-0 arg-1 arg-3 "IFieldUpdate")))))
(define TTImpC-45Reflect-u--reify_Reify_IField (lambda (arg-0 arg-1 arg-2 arg-3) (case (vector-ref arg-3 0) ((2) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-3 (vector-ref arg-3 3))) (let ((e-4 (vector-ref arg-3 4))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (CoreC-45Context-u--full_HasNames_Name (let ((e-0 (vector-ref arg-2 0))) e-0) e-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--val (vector 2 e-1 e-2 e-3 e-4 e-5))) (let ((sc2 (CoreC-45Name-dropAllNS e-6))) (case (vector-ref sc2 0) ((1) (let ((e-7 (vector-ref sc2 1))) (case (vector-ref e-7 0) ((0) (let ((e-8 (vector-ref e-7 1))) (cond ((equal? e-8 "MkIField") (let ((sc5 ((csegen-947) e-5))) (if (null? sc5) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "IField") (let ((e-10 (car sc5))) (let ((e-9 (cdr sc5))) (if (null? e-9) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "IField") (let ((e-12 (car e-9))) (let ((e-11 (cdr e-9))) (if (null? e-11) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "IField") (let ((e-13 (car e-11))) (let ((e-14 (cdr e-11))) (if (null? e-14) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "IField") (let ((e-16 (car e-14))) (let ((e-17 (cdr e-14))) (if (null? e-17) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "IField") (let ((e-19 (car e-17))) (let ((e-20 (cdr e-17))) (if (null? e-20) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-10))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-15 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-15)))) (else (let ((e-15 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45Reflect-u--reify_Reify_FC arg-0 arg-1 arg-2 e-15))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-15 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-15)))) (else (let ((e-15 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (let ((eff-2 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-12))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-18 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-18)))) (else (let ((e-18 (vector-ref lcase-2 1))) (let ((eff-3 (((let ((eff-3 (csegen-2993))) (lambda (arg-4) (lambda (arg-5) ((((eff-3 arg-0) arg-1) arg-4) arg-5)))) arg-2) e-18))) eff-3))))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-18 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-18)))) (else (let ((e-18 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-13))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-21 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-21)))) (else (let ((e-21 (vector-ref lcase-3 1))) (let ((eff-4 (((let ((eff-4 (csegen-2995))) (lambda (arg-4) (lambda (arg-5) ((((eff-4 arg-0) arg-1) arg-4) arg-5)))) arg-2) e-21))) eff-4))))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-21 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-21)))) (else (let ((e-21 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (let ((eff-4 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-16))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-22 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-22)))) (else (let ((e-22 (vector-ref lcase-4 1))) (let ((eff-5 (CoreC-45Reflect-u--reify_Reify_Name arg-0 arg-1 arg-2 e-22))) eff-5))))))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-22 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-22)))) (else (let ((e-22 (vector-ref lcase-4 1))) (let ((eff-5 (let ((eff-5 (let ((eff-5 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-19))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-23 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-23)))) (else (let ((e-23 (vector-ref lcase-5 1))) (let ((eff-6 (((let ((eff-6 (csegen-2994))) (lambda (arg-4) (lambda (arg-5) ((((eff-6 arg-0) arg-1) arg-4) arg-5)))) arg-2) e-23))) eff-6))))))))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-23 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-23)))) (else (let ((e-23 (vector-ref lcase-5 1))) (let ((eff-6 (lambda (eta-0) (vector 1 (vector e-15 e-18 e-21 e-22 e-23))))) eff-6))))))))) eff-5))))))))) eff-4))))))))) eff-3))))))))) eff-2))))))) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "IField")))))))))))))))))))(else (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "IField")))))(else (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "IField")))))(else (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "IField"))))))) eff-1)))))))))))))(else (CoreC-45Reflect-cantReify arg-0 arg-1 arg-3 "IField")))))
(define TTImpC-45Reflect-u--reify_Reify_FnOpt (lambda (arg-0 arg-1 arg-2 arg-3) (case (vector-ref arg-3 0) ((2) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-3 (vector-ref arg-3 3))) (let ((e-4 (vector-ref arg-3 4))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (CoreC-45Context-u--full_HasNames_Name (let ((e-0 (vector-ref arg-2 0))) e-0) e-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--val (vector 2 e-1 e-2 e-3 e-4 e-5))) (let ((sc2 (CoreC-45Name-dropAllNS e-6))) (case (vector-ref sc2 0) ((1) (let ((e-7 (vector-ref sc2 1))) (case (vector-ref e-7 0) ((0) (let ((e-8 (vector-ref e-7 1))) (cond ((equal? e-8 "Inline") (lambda (eta-0) (vector 1 (vector 0 )))) ((equal? e-8 "NoInline") (lambda (eta-0) (vector 1 (vector 1 )))) ((equal? e-8 "Deprecate") (lambda (eta-0) (vector 1 (vector 2 )))) ((equal? e-8 "TCInline") (lambda (eta-0) (vector 1 (vector 3 )))) ((equal? e-8 "Hint") (if (null? e-5) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "FnOpt") (let ((e-10 (car e-5))) (let ((e-9 (cdr e-5))) (if (null? e-10) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "FnOpt") (let ((e-12 (cdr e-10))) (if (null? e-9) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-12))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-13 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45Reflect-u--reify_Reify_Bool arg-0 arg-1 arg-2 e-13))) eff-2))))))))) (PrimIO-io_bind eff-1 (csegen-3036))) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "FnOpt")))))))) ((equal? e-8 "GlobalHint") (if (null? e-5) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "FnOpt") (let ((e-15 (car e-5))) (let ((e-16 (cdr e-5))) (if (null? e-15) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "FnOpt") (let ((e-20 (cdr e-15))) (if (null? e-16) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-20))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-9 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45Reflect-u--reify_Reify_Bool arg-0 arg-1 arg-2 e-9))) eff-2))))))))) (PrimIO-io_bind eff-1 (csegen-3037))) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "FnOpt")))))))) ((equal? e-8 "ExternFn") (lambda (eta-0) (vector 1 (vector 6 )))) ((equal? e-8 "ForeignFn") (if (null? e-5) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "FnOpt") (let ((e-23 (car e-5))) (let ((e-24 (cdr e-5))) (if (null? e-23) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "FnOpt") (let ((e-28 (cdr e-23))) (if (null? e-24) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-28))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-9 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-1 1))) (let ((eff-2 (((let ((eff-2 (csegen-3004))) (lambda (arg-4) (lambda (arg-5) ((((eff-2 arg-0) arg-1) arg-4) arg-5)))) arg-2) e-9))) eff-2))))))))) (PrimIO-io_bind eff-1 (csegen-3038))) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "FnOpt")))))))) ((equal? e-8 "ForeignExport") (if (null? e-5) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "FnOpt") (let ((e-31 (car e-5))) (let ((e-32 (cdr e-5))) (if (null? e-31) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "FnOpt") (let ((e-36 (cdr e-31))) (if (null? e-32) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-36))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-9 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-1 1))) (let ((eff-2 (((let ((eff-2 (csegen-3004))) (lambda (arg-4) (lambda (arg-5) ((((eff-2 arg-0) arg-1) arg-4) arg-5)))) arg-2) e-9))) eff-2))))))))) (PrimIO-io_bind eff-1 (csegen-3039))) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "FnOpt")))))))) ((equal? e-8 "Invertible") (lambda (eta-0) (vector 1 (vector 9 )))) ((equal? e-8 "Totality") (if (null? e-5) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "FnOpt") (let ((e-39 (car e-5))) (let ((e-40 (cdr e-5))) (if (null? e-39) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "FnOpt") (let ((e-44 (cdr e-39))) (if (null? e-40) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-44))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-9 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45Reflect-u--reify_Reify_TotalReq arg-0 arg-1 arg-2 e-9))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-9 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 10 e-9))))) eff-2))))))) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "FnOpt")))))))) ((equal? e-8 "Macro") (lambda (eta-0) (vector 1 (vector 11 )))) ((equal? e-8 "SpecArgs") (if (null? e-5) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "FnOpt") (let ((e-47 (car e-5))) (let ((e-48 (cdr e-5))) (if (null? e-47) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "FnOpt") (let ((e-52 (cdr e-47))) (if (null? e-48) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-52))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-9 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-1 1))) (let ((eff-2 (((let ((eff-2 (csegen-3041))) (lambda (arg-4) (lambda (arg-5) ((((eff-2 arg-0) arg-1) arg-4) arg-5)))) arg-2) e-9))) eff-2))))))))) (PrimIO-io_bind eff-1 (csegen-3042))) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "FnOpt"))))))))(else (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "FnOpt")))))(else (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "FnOpt")))))(else (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "FnOpt"))))))) eff-1)))))))))))))(else (CoreC-45Reflect-cantReify arg-0 arg-1 arg-3 "FnOpt")))))
(define TTImpC-45Reflect-u--reify_Reify_DotReason (lambda (arg-0 arg-1 arg-2 arg-3) (case (vector-ref arg-3 0) ((2) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-3 (vector-ref arg-3 3))) (let ((e-4 (vector-ref arg-3 4))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (CoreC-45Context-u--full_HasNames_Name (let ((e-0 (vector-ref arg-2 0))) e-0) e-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--val (vector 2 e-1 e-2 e-3 e-4 e-5))) (let ((sc2 (CoreC-45Name-dropAllNS e-6))) (case (vector-ref sc2 0) ((1) (let ((e-7 (vector-ref sc2 1))) (case (vector-ref e-7 0) ((0) (let ((e-8 (vector-ref e-7 1))) (cond ((equal? e-8 "NonLinearVar") (lambda (eta-0) (vector 1 0))) ((equal? e-8 "VarApplied") (lambda (eta-0) (vector 1 1))) ((equal? e-8 "NotConstructor") (lambda (eta-0) (vector 1 2))) ((equal? e-8 "ErasedArg") (lambda (eta-0) (vector 1 3))) ((equal? e-8 "UserDotted") (lambda (eta-0) (vector 1 4))) ((equal? e-8 "UnknownDot") (lambda (eta-0) (vector 1 5))) ((equal? e-8 "UnderAppliedCon") (lambda (eta-0) (vector 1 6)))(else (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "DotReason")))))(else (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "DotReason")))))(else (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "DotReason"))))))) eff-1)))))))))))))(else (CoreC-45Reflect-cantReify arg-0 arg-1 arg-3 "DotReason")))))
(define TTImpC-45Reflect-u--reify_Reify_DataOpt (lambda (arg-0 arg-1 arg-2 arg-3) (case (vector-ref arg-3 0) ((2) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-3 (vector-ref arg-3 3))) (let ((e-4 (vector-ref arg-3 4))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (CoreC-45Context-u--full_HasNames_Name (let ((e-0 (vector-ref arg-2 0))) e-0) e-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--val (vector 2 e-1 e-2 e-3 e-4 e-5))) (let ((sc2 (CoreC-45Name-dropAllNS e-6))) (case (vector-ref sc2 0) ((1) (let ((e-7 (vector-ref sc2 1))) (case (vector-ref e-7 0) ((0) (let ((e-8 (vector-ref e-7 1))) (cond ((equal? e-8 "SearchBy") (if (null? e-5) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "DataOpt") (let ((e-10 (car e-5))) (let ((e-9 (cdr e-5))) (if (null? e-10) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "DataOpt") (let ((e-12 (cdr e-10))) (if (null? e-9) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-12))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-13 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-1 1))) (let ((eff-2 (((let ((eff-2 (csegen-3041))) (lambda (arg-4) (lambda (arg-5) ((((eff-2 arg-0) arg-1) arg-4) arg-5)))) arg-2) e-13))) eff-2))))))))) (PrimIO-io_bind eff-1 (csegen-3043))) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "DataOpt")))))))) ((equal? e-8 "NoHints") (lambda (eta-0) (vector 1 (vector 1 )))) ((equal? e-8 "UniqueSearch") (lambda (eta-0) (vector 1 (vector 2 )))) ((equal? e-8 "External") (lambda (eta-0) (vector 1 (vector 3 )))) ((equal? e-8 "NoNewtype") (lambda (eta-0) (vector 1 (vector 4 ))))(else (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "DataOpt")))))(else (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "DataOpt")))))(else (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "DataOpt"))))))) eff-1)))))))))))))(else (CoreC-45Reflect-cantReify arg-0 arg-1 arg-3 "DataOpt")))))
(define TTImpC-45Reflect-u--reify_Reify_BindMode (lambda (arg-0 arg-1 arg-2 arg-3) (case (vector-ref arg-3 0) ((2) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-3 (vector-ref arg-3 3))) (let ((e-4 (vector-ref arg-3 4))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (CoreC-45Context-u--full_HasNames_Name (let ((e-0 (vector-ref arg-2 0))) e-0) e-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--val (vector 2 e-1 e-2 e-3 e-4 e-5))) (let ((sc2 (CoreC-45Name-dropAllNS e-6))) (case (vector-ref sc2 0) ((1) (let ((e-7 (vector-ref sc2 1))) (case (vector-ref e-7 0) ((0) (let ((e-8 (vector-ref e-7 1))) (cond ((equal? e-8 "PI") (if (null? e-5) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "BindMode") (let ((e-10 (car e-5))) (let ((e-9 (cdr e-5))) (if (null? e-10) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "BindMode") (let ((e-12 (cdr e-10))) (if (null? e-9) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-12))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-13 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-1 1))) (let ((eff-2 (((let ((eff-2 (csegen-2993))) (lambda (arg-4) (lambda (arg-5) ((((eff-2 arg-0) arg-1) arg-4) arg-5)))) arg-2) e-13))) eff-2))))))))) (PrimIO-io_bind eff-1 (csegen-3044))) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "BindMode")))))))) ((equal? e-8 "PATTERN") (lambda (eta-0) (vector 1 (vector 1 )))) ((equal? e-8 "COVERAGE") (lambda (eta-0) (vector 1 (vector 2 )))) ((equal? e-8 "NONE") (lambda (eta-0) (vector 1 (vector 3 ))))(else (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "BindMode")))))(else (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "BindMode")))))(else (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "BindMode"))))))) eff-1)))))))))))))(else (CoreC-45Reflect-cantReify arg-0 arg-1 arg-3 "BindMode")))))
(define TTImpC-45Reflect-u--reify_Reify_AltType (lambda (arg-0 arg-1 arg-2 arg-3) (case (vector-ref arg-3 0) ((2) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-3 (vector-ref arg-3 3))) (let ((e-4 (vector-ref arg-3 4))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (CoreC-45Context-u--full_HasNames_Name (let ((e-0 (vector-ref arg-2 0))) e-0) e-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--val (vector 2 e-1 e-2 e-3 e-4 e-5))) (let ((sc2 (CoreC-45Name-dropAllNS e-6))) (case (vector-ref sc2 0) ((1) (let ((e-7 (vector-ref sc2 1))) (case (vector-ref e-7 0) ((0) (let ((e-8 (vector-ref e-7 1))) (cond ((equal? e-8 "FirstSuccess") (lambda (eta-0) (vector 1 (vector 0 )))) ((equal? e-8 "Unique") (lambda (eta-0) (vector 1 (vector 1 )))) ((equal? e-8 "UniqueDefault") (if (null? e-5) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "AltType") (let ((e-10 (car e-5))) (let ((e-9 (cdr e-5))) (if (null? e-10) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "AltType") (let ((e-12 (cdr e-10))) (if (null? e-9) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-12))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-13 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-1 1))) (let ((eff-2 (((let ((eff-2 (csegen-2994))) (lambda (arg-4) (lambda (arg-5) ((((eff-2 arg-0) arg-1) arg-4) arg-5)))) arg-2) e-13))) eff-2))))))))) (PrimIO-io_bind eff-1 (csegen-3045))) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "AltType"))))))))(else (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "AltType")))))(else (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "AltType")))))(else (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "AltType"))))))) eff-1)))))))))))))(else (CoreC-45Reflect-cantReify arg-0 arg-1 arg-3 "AltType")))))
(define TTImpC-45Reflect-u--reflect_Reflect_WithFlag (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (CoreC-45Reflect-getCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectionttimp "Syntactic"))))
(define TTImpC-45Reflect-u--reflect_Reflect_UseSide (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (cond ((equal? arg-5 0) (CoreC-45Reflect-getCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectionttimp "UseLeft"))) (else (CoreC-45Reflect-getCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectionttimp "UseRight"))))))
(define TTImpC-45Reflect-u--reflect_Reflect_RawImp (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (case (vector-ref arg-5 0) ((0) (let ((e-11 (vector-ref arg-5 1))) (let ((e-12 (vector-ref arg-5 2))) (let ((eff-0 (CoreC-45Reflect-u--reflect_Reflect_FC arg-0 arg-1 arg-2 arg-3 arg-4 e-11))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Reflect-u--reflect_Reflect_Name arg-0 arg-1 arg-2 arg-3 arg-4 e-12))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45Reflect-appCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectionttimp "IVar") (cons e-5 (cons e-6 '()))))) eff-2))))))))) eff-1)))))))))) ((1) (let ((e-14 (vector-ref arg-5 1))) (let ((e-15 (vector-ref arg-5 2))) (let ((e-16 (vector-ref arg-5 3))) (let ((e-17 (vector-ref arg-5 4))) (let ((e-18 (vector-ref arg-5 5))) (let ((e-19 (vector-ref arg-5 6))) (let ((eff-0 (CoreC-45Reflect-u--reflect_Reflect_FC arg-0 arg-1 arg-2 arg-3 arg-4 e-14))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((((((let ((eff-1 (csegen-3046))) (lambda (arg-6) (lambda (arg-7) (lambda (arg-8) (lambda (arg-9) (lambda (arg-10) ((((((eff-1 arg-0) arg-6) arg-7) arg-8) arg-9) arg-10))))))) arg-1) arg-2) arg-3) arg-4) e-15))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 ((((((let ((eff-2 (csegen-3048))) (lambda (arg-6) (lambda (arg-7) (lambda (arg-8) (lambda (arg-9) (lambda (arg-10) ((((((eff-2 arg-0) arg-6) arg-7) arg-8) arg-9) arg-10))))))) arg-1) arg-2) arg-3) arg-4) e-16))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 ((((((let ((eff-3 (csegen-3049))) (lambda (arg-6) (lambda (arg-7) (lambda (arg-8) (lambda (arg-9) (lambda (arg-10) ((((((eff-3 arg-0) arg-6) arg-7) arg-8) arg-9) arg-10))))))) arg-1) arg-2) arg-3) arg-4) e-17))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 ((((((let ((eff-4 (csegen-3047))) (lambda (arg-6) (lambda (arg-7) (lambda (arg-8) (lambda (arg-9) (lambda (arg-10) ((((((eff-4 arg-0) arg-6) arg-7) arg-8) arg-9) arg-10))))))) arg-1) arg-2) arg-3) arg-4) e-18))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (let ((eff-5 ((((((let ((eff-5 (csegen-3047))) (lambda (arg-6) (lambda (arg-7) (lambda (arg-8) (lambda (arg-9) (lambda (arg-10) ((((((eff-5 arg-0) arg-6) arg-7) arg-8) arg-9) arg-10))))))) arg-1) arg-2) arg-3) arg-4) e-19))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-10 (vector-ref lcase-5 1))) (let ((eff-6 (CoreC-45Reflect-appCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectionttimp "IPi") (cons e-5 (cons e-6 (cons e-7 (cons e-8 (cons e-9 (cons e-10 '()))))))))) eff-6))))))))) eff-5))))))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))) ((2) (let ((e-21 (vector-ref arg-5 1))) (let ((e-22 (vector-ref arg-5 2))) (let ((e-23 (vector-ref arg-5 3))) (let ((e-24 (vector-ref arg-5 4))) (let ((e-25 (vector-ref arg-5 5))) (let ((e-26 (vector-ref arg-5 6))) (let ((eff-0 (CoreC-45Reflect-u--reflect_Reflect_FC arg-0 arg-1 arg-2 arg-3 arg-4 e-21))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((((((let ((eff-1 (csegen-3046))) (lambda (arg-6) (lambda (arg-7) (lambda (arg-8) (lambda (arg-9) (lambda (arg-10) ((((((eff-1 arg-0) arg-6) arg-7) arg-8) arg-9) arg-10))))))) arg-1) arg-2) arg-3) arg-4) e-22))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 ((((((let ((eff-2 (csegen-3048))) (lambda (arg-6) (lambda (arg-7) (lambda (arg-8) (lambda (arg-9) (lambda (arg-10) ((((((eff-2 arg-0) arg-6) arg-7) arg-8) arg-9) arg-10))))))) arg-1) arg-2) arg-3) arg-4) e-23))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 ((((((let ((eff-3 (csegen-3049))) (lambda (arg-6) (lambda (arg-7) (lambda (arg-8) (lambda (arg-9) (lambda (arg-10) ((((((eff-3 arg-0) arg-6) arg-7) arg-8) arg-9) arg-10))))))) arg-1) arg-2) arg-3) arg-4) e-24))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 ((((((let ((eff-4 (csegen-3047))) (lambda (arg-6) (lambda (arg-7) (lambda (arg-8) (lambda (arg-9) (lambda (arg-10) ((((((eff-4 arg-0) arg-6) arg-7) arg-8) arg-9) arg-10))))))) arg-1) arg-2) arg-3) arg-4) e-25))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (let ((eff-5 ((((((let ((eff-5 (csegen-3047))) (lambda (arg-6) (lambda (arg-7) (lambda (arg-8) (lambda (arg-9) (lambda (arg-10) ((((((eff-5 arg-0) arg-6) arg-7) arg-8) arg-9) arg-10))))))) arg-1) arg-2) arg-3) arg-4) e-26))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-10 (vector-ref lcase-5 1))) (let ((eff-6 (CoreC-45Reflect-appCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectionttimp "ILam") (cons e-5 (cons e-6 (cons e-7 (cons e-8 (cons e-9 (cons e-10 '()))))))))) eff-6))))))))) eff-5))))))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))) ((3) (let ((e-28 (vector-ref arg-5 1))) (let ((e-29 (vector-ref arg-5 2))) (let ((e-30 (vector-ref arg-5 3))) (let ((e-31 (vector-ref arg-5 4))) (let ((e-32 (vector-ref arg-5 5))) (let ((e-33 (vector-ref arg-5 6))) (let ((e-34 (vector-ref arg-5 7))) (let ((eff-0 (CoreC-45Reflect-u--reflect_Reflect_FC arg-0 arg-1 arg-2 arg-3 arg-4 e-28))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Reflect-u--reflect_Reflect_FC arg-0 arg-1 arg-2 arg-3 arg-4 e-29))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 ((((((let ((eff-2 (csegen-3046))) (lambda (arg-6) (lambda (arg-7) (lambda (arg-8) (lambda (arg-9) (lambda (arg-10) ((((((eff-2 arg-0) arg-6) arg-7) arg-8) arg-9) arg-10))))))) arg-1) arg-2) arg-3) arg-4) e-30))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45Reflect-u--reflect_Reflect_Name arg-0 arg-1 arg-2 arg-3 arg-4 e-31))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 ((((((let ((eff-4 (csegen-3047))) (lambda (arg-6) (lambda (arg-7) (lambda (arg-8) (lambda (arg-9) (lambda (arg-10) ((((((eff-4 arg-0) arg-6) arg-7) arg-8) arg-9) arg-10))))))) arg-1) arg-2) arg-3) arg-4) e-32))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (let ((eff-5 ((((((let ((eff-5 (csegen-3047))) (lambda (arg-6) (lambda (arg-7) (lambda (arg-8) (lambda (arg-9) (lambda (arg-10) ((((((eff-5 arg-0) arg-6) arg-7) arg-8) arg-9) arg-10))))))) arg-1) arg-2) arg-3) arg-4) e-33))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-10 (vector-ref lcase-5 1))) (let ((eff-6 (let ((eff-6 ((((((let ((eff-6 (csegen-3047))) (lambda (arg-6) (lambda (arg-7) (lambda (arg-8) (lambda (arg-9) (lambda (arg-10) ((((((eff-6 arg-0) arg-6) arg-7) arg-8) arg-9) arg-10))))))) arg-1) arg-2) arg-3) arg-4) e-34))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-2 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-11 (vector-ref lcase-6 1))) (let ((eff-7 (CoreC-45Reflect-appCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectionttimp "ILet") (cons e-5 (cons e-6 (cons e-7 (cons e-8 (cons e-9 (cons e-10 (cons e-11 '())))))))))) eff-7))))))))) eff-6))))))))) eff-5))))))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))))))) ((4) (let ((e-36 (vector-ref arg-5 1))) (let ((e-37 (vector-ref arg-5 2))) (let ((e-38 (vector-ref arg-5 3))) (let ((e-39 (vector-ref arg-5 4))) (let ((eff-0 (CoreC-45Reflect-u--reflect_Reflect_FC arg-0 arg-1 arg-2 arg-3 arg-4 e-36))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((((((let ((eff-1 (csegen-3047))) (lambda (arg-6) (lambda (arg-7) (lambda (arg-8) (lambda (arg-9) (lambda (arg-10) ((((((eff-1 arg-0) arg-6) arg-7) arg-8) arg-9) arg-10))))))) arg-1) arg-2) arg-3) arg-4) e-37))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 ((((((let ((eff-2 (csegen-3047))) (lambda (arg-6) (lambda (arg-7) (lambda (arg-8) (lambda (arg-9) (lambda (arg-10) ((((((eff-2 arg-0) arg-6) arg-7) arg-8) arg-9) arg-10))))))) arg-1) arg-2) arg-3) arg-4) e-38))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 ((((((let ((eff-3 (csegen-3051))) (lambda (arg-6) (lambda (arg-7) (lambda (arg-8) (lambda (arg-9) (lambda (arg-10) ((((((eff-3 arg-0) arg-6) arg-7) arg-8) arg-9) arg-10))))))) arg-1) arg-2) arg-3) arg-4) e-39))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (CoreC-45Reflect-appCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectionttimp "ICase") (cons e-5 (cons e-6 (cons e-7 (cons e-8 '()))))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))) ((5) (let ((e-41 (vector-ref arg-5 1))) (let ((e-42 (vector-ref arg-5 2))) (let ((e-43 (vector-ref arg-5 3))) (let ((eff-0 (CoreC-45Reflect-u--reflect_Reflect_FC arg-0 arg-1 arg-2 arg-3 arg-4 e-41))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((((((let ((eff-1 (csegen-3053))) (lambda (arg-6) (lambda (arg-7) (lambda (arg-8) (lambda (arg-9) (lambda (arg-10) ((((((eff-1 arg-0) arg-6) arg-7) arg-8) arg-9) arg-10))))))) arg-1) arg-2) arg-3) arg-4) e-42))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 ((((((let ((eff-2 (csegen-3047))) (lambda (arg-6) (lambda (arg-7) (lambda (arg-8) (lambda (arg-9) (lambda (arg-10) ((((((eff-2 arg-0) arg-6) arg-7) arg-8) arg-9) arg-10))))))) arg-1) arg-2) arg-3) arg-4) e-43))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (CoreC-45Reflect-appCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectionttimp "ILocal") (cons e-5 (cons e-6 (cons e-7 '())))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((6) (let ((e-49 (vector-ref arg-5 5))) ((((((let ((eff-0 (csegen-3047))) (lambda (arg-6) (lambda (arg-7) (lambda (arg-8) (lambda (arg-9) (lambda (arg-10) ((((((eff-0 arg-0) arg-6) arg-7) arg-8) arg-9) arg-10))))))) arg-1) arg-2) arg-3) arg-4) e-49))) ((7) (let ((e-51 (vector-ref arg-5 1))) (let ((e-52 (vector-ref arg-5 2))) (let ((e-53 (vector-ref arg-5 3))) (let ((eff-0 (CoreC-45Reflect-u--reflect_Reflect_FC arg-0 arg-1 arg-2 arg-3 arg-4 e-51))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((((((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (lambda (eta-4) (lambda (eta-5) (CoreC-45Reflect-u--reflect_Reflect_C-40ListC-32C-36aC-41 (lambda (u--vars) (lambda (arg-6498) (lambda (arg-6501) (lambda (u--onLHS) (lambda (arg-6506) (lambda (arg-6510) (TTImpC-45Reflect-u--reflect_Reflect_IFieldUpdate u--vars arg-6498 arg-6501 u--onLHS arg-6506 arg-6510))))))) eta-0 eta-1 eta-2 eta-3 eta-4 eta-5))))))))) (lambda (arg-6) (lambda (arg-7) (lambda (arg-8) (lambda (arg-9) (lambda (arg-10) ((((((eff-1 arg-0) arg-6) arg-7) arg-8) arg-9) arg-10))))))) arg-1) arg-2) arg-3) arg-4) e-52))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 ((((((let ((eff-2 (csegen-3047))) (lambda (arg-6) (lambda (arg-7) (lambda (arg-8) (lambda (arg-9) (lambda (arg-10) ((((((eff-2 arg-0) arg-6) arg-7) arg-8) arg-9) arg-10))))))) arg-1) arg-2) arg-3) arg-4) e-53))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (CoreC-45Reflect-appCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectionttimp "IUpdate") (cons e-5 (cons e-6 (cons e-7 '())))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((8) (let ((e-55 (vector-ref arg-5 1))) (let ((e-56 (vector-ref arg-5 2))) (let ((e-57 (vector-ref arg-5 3))) (let ((eff-0 (CoreC-45Reflect-u--reflect_Reflect_FC arg-0 arg-1 arg-2 arg-3 arg-4 e-55))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((((((let ((eff-1 (csegen-3047))) (lambda (arg-6) (lambda (arg-7) (lambda (arg-8) (lambda (arg-9) (lambda (arg-10) ((((((eff-1 arg-0) arg-6) arg-7) arg-8) arg-9) arg-10))))))) arg-1) arg-2) arg-3) arg-4) e-56))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 ((((((let ((eff-2 (csegen-3047))) (lambda (arg-6) (lambda (arg-7) (lambda (arg-8) (lambda (arg-9) (lambda (arg-10) ((((((eff-2 arg-0) arg-6) arg-7) arg-8) arg-9) arg-10))))))) arg-1) arg-2) arg-3) arg-4) e-57))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (CoreC-45Reflect-appCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectionttimp "IApp") (cons e-5 (cons e-6 (cons e-7 '())))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((9) (let ((e-59 (vector-ref arg-5 1))) (let ((e-60 (vector-ref arg-5 2))) (let ((e-61 (vector-ref arg-5 3))) (let ((eff-0 (CoreC-45Reflect-u--reflect_Reflect_FC arg-0 arg-1 arg-2 arg-3 arg-4 e-59))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((((((let ((eff-1 (csegen-3047))) (lambda (arg-6) (lambda (arg-7) (lambda (arg-8) (lambda (arg-9) (lambda (arg-10) ((((((eff-1 arg-0) arg-6) arg-7) arg-8) arg-9) arg-10))))))) arg-1) arg-2) arg-3) arg-4) e-60))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 ((((((let ((eff-2 (csegen-3047))) (lambda (arg-6) (lambda (arg-7) (lambda (arg-8) (lambda (arg-9) (lambda (arg-10) ((((((eff-2 arg-0) arg-6) arg-7) arg-8) arg-9) arg-10))))))) arg-1) arg-2) arg-3) arg-4) e-61))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (CoreC-45Reflect-appCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectionttimp "IAutoApp") (cons e-5 (cons e-6 (cons e-7 '())))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((10) (let ((e-63 (vector-ref arg-5 1))) (let ((e-64 (vector-ref arg-5 2))) (let ((e-65 (vector-ref arg-5 3))) (let ((e-66 (vector-ref arg-5 4))) (let ((eff-0 (CoreC-45Reflect-u--reflect_Reflect_FC arg-0 arg-1 arg-2 arg-3 arg-4 e-63))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((((((let ((eff-1 (csegen-3047))) (lambda (arg-6) (lambda (arg-7) (lambda (arg-8) (lambda (arg-9) (lambda (arg-10) ((((((eff-1 arg-0) arg-6) arg-7) arg-8) arg-9) arg-10))))))) arg-1) arg-2) arg-3) arg-4) e-64))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Reflect-u--reflect_Reflect_Name arg-0 arg-1 arg-2 arg-3 arg-4 e-65))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 ((((((let ((eff-3 (csegen-3047))) (lambda (arg-6) (lambda (arg-7) (lambda (arg-8) (lambda (arg-9) (lambda (arg-10) ((((((eff-3 arg-0) arg-6) arg-7) arg-8) arg-9) arg-10))))))) arg-1) arg-2) arg-3) arg-4) e-66))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (CoreC-45Reflect-appCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectionttimp "INamedApp") (cons e-5 (cons e-6 (cons e-7 (cons e-8 '()))))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))) ((11) (let ((e-68 (vector-ref arg-5 1))) (let ((e-69 (vector-ref arg-5 2))) (let ((e-70 (vector-ref arg-5 3))) (let ((eff-0 (CoreC-45Reflect-u--reflect_Reflect_FC arg-0 arg-1 arg-2 arg-3 arg-4 e-68))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((((((let ((eff-1 (csegen-3047))) (lambda (arg-6) (lambda (arg-7) (lambda (arg-8) (lambda (arg-9) (lambda (arg-10) ((((((eff-1 arg-0) arg-6) arg-7) arg-8) arg-9) arg-10))))))) arg-1) arg-2) arg-3) arg-4) e-69))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 ((((((let ((eff-2 (csegen-3047))) (lambda (arg-6) (lambda (arg-7) (lambda (arg-8) (lambda (arg-9) (lambda (arg-10) ((((((eff-2 arg-0) arg-6) arg-7) arg-8) arg-9) arg-10))))))) arg-1) arg-2) arg-3) arg-4) e-70))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (CoreC-45Reflect-appCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectionttimp "IWithApp") (cons e-5 (cons e-6 (cons e-7 '())))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((12) (let ((e-72 (vector-ref arg-5 1))) (let ((e-73 (vector-ref arg-5 2))) (let ((eff-0 (CoreC-45Reflect-u--reflect_Reflect_FC arg-0 arg-1 arg-2 arg-3 arg-4 e-72))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Reflect-u--reflect_Reflect_Nat arg-0 arg-1 arg-2 arg-3 arg-4 e-73))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45Reflect-appCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectionttimp "ISearch") (cons e-5 (cons e-6 '()))))) eff-2))))))))) eff-1)))))))))) ((13) (let ((e-75 (vector-ref arg-5 1))) (let ((e-76 (vector-ref arg-5 2))) (let ((e-77 (vector-ref arg-5 3))) (let ((eff-0 (CoreC-45Reflect-u--reflect_Reflect_FC arg-0 arg-1 arg-2 arg-3 arg-4 e-75))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((((((let ((eff-1 (lambda (u--vars) (lambda (arg-6498) (lambda (arg-6501) (lambda (u--onLHS) (lambda (arg-6506) (lambda (arg-6510) (TTImpC-45Reflect-u--reflect_Reflect_AltType u--vars arg-6498 arg-6501 u--onLHS arg-6506 arg-6510))))))))) (lambda (arg-6) (lambda (arg-7) (lambda (arg-8) (lambda (arg-9) (lambda (arg-10) ((((((eff-1 arg-0) arg-6) arg-7) arg-8) arg-9) arg-10))))))) arg-1) arg-2) arg-3) arg-4) e-76))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 ((((((let ((eff-2 (csegen-3057))) (lambda (arg-6) (lambda (arg-7) (lambda (arg-8) (lambda (arg-9) (lambda (arg-10) ((((((eff-2 arg-0) arg-6) arg-7) arg-8) arg-9) arg-10))))))) arg-1) arg-2) arg-3) arg-4) e-77))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (CoreC-45Reflect-appCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectionttimp "IAlternative") (cons e-5 (cons e-6 (cons e-7 '())))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((14) (let ((e-79 (vector-ref arg-5 1))) (let ((e-80 (vector-ref arg-5 2))) (let ((e-81 (vector-ref arg-5 3))) (let ((eff-0 (CoreC-45Reflect-u--reflect_Reflect_FC arg-0 arg-1 arg-2 arg-3 arg-4 e-79))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((((((let ((eff-1 (csegen-3047))) (lambda (arg-6) (lambda (arg-7) (lambda (arg-8) (lambda (arg-9) (lambda (arg-10) ((((((eff-1 arg-0) arg-6) arg-7) arg-8) arg-9) arg-10))))))) arg-1) arg-2) arg-3) arg-4) e-80))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 ((((((let ((eff-2 (csegen-3047))) (lambda (arg-6) (lambda (arg-7) (lambda (arg-8) (lambda (arg-9) (lambda (arg-10) ((((((eff-2 arg-0) arg-6) arg-7) arg-8) arg-9) arg-10))))))) arg-1) arg-2) arg-3) arg-4) e-81))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (CoreC-45Reflect-appCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectionttimp "IRewrite") (cons e-5 (cons e-6 (cons e-7 '())))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((15) (let ((e-84 (vector-ref arg-5 2))) ((((((let ((eff-0 (csegen-3047))) (lambda (arg-6) (lambda (arg-7) (lambda (arg-8) (lambda (arg-9) (lambda (arg-10) ((((((eff-0 arg-0) arg-6) arg-7) arg-8) arg-9) arg-10))))))) arg-1) arg-2) arg-3) arg-4) e-84))) ((16) (let ((e-86 (vector-ref arg-5 1))) (let ((e-87 (vector-ref arg-5 2))) (let ((e-88 (vector-ref arg-5 3))) (let ((eff-0 (CoreC-45Reflect-u--reflect_Reflect_FC arg-0 arg-1 arg-2 arg-3 arg-4 e-86))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (TTImpC-45Reflect-u--reflect_Reflect_BindMode arg-0 arg-1 arg-2 arg-3 arg-4 e-87))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 ((((((let ((eff-2 (csegen-3047))) (lambda (arg-6) (lambda (arg-7) (lambda (arg-8) (lambda (arg-9) (lambda (arg-10) ((((((eff-2 arg-0) arg-6) arg-7) arg-8) arg-9) arg-10))))))) arg-1) arg-2) arg-3) arg-4) e-88))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (CoreC-45Reflect-appCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectionttimp "IBindHere") (cons e-5 (cons e-6 (cons e-7 '())))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((17) (let ((e-90 (vector-ref arg-5 1))) (let ((e-91 (vector-ref arg-5 2))) (let ((eff-0 (CoreC-45Reflect-u--reflect_Reflect_FC arg-0 arg-1 arg-2 arg-3 arg-4 e-90))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (lambda (eta-0) (CoreC-45Reflect-u--reflect_Reflect_String arg-0 arg-1 arg-2 arg-3 arg-4 e-91 eta-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45Reflect-appCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectionttimp "IBindVar") (cons e-5 (cons e-6 '()))))) eff-2))))))))) eff-1)))))))))) ((18) (let ((e-93 (vector-ref arg-5 1))) (let ((e-94 (vector-ref arg-5 2))) (let ((e-95 (vector-ref arg-5 3))) (let ((e-96 (vector-ref arg-5 4))) (let ((e-97 (vector-ref arg-5 5))) (let ((eff-0 (CoreC-45Reflect-u--reflect_Reflect_FC arg-0 arg-1 arg-2 arg-3 arg-4 e-93))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Reflect-u--reflect_Reflect_FC arg-0 arg-1 arg-2 arg-3 arg-4 e-94))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45Reflect-u--reflect_Reflect_UseSide arg-0 arg-1 arg-2 arg-3 arg-4 e-95))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45Reflect-u--reflect_Reflect_Name arg-0 arg-1 arg-2 arg-3 arg-4 e-96))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 ((((((let ((eff-4 (csegen-3047))) (lambda (arg-6) (lambda (arg-7) (lambda (arg-8) (lambda (arg-9) (lambda (arg-10) ((((((eff-4 arg-0) arg-6) arg-7) arg-8) arg-9) arg-10))))))) arg-1) arg-2) arg-3) arg-4) e-97))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (CoreC-45Reflect-appCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectionttimp "IAs") (cons e-5 (cons e-6 (cons e-7 (cons e-8 (cons e-9 '())))))))) eff-5))))))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))))) ((19) (let ((e-99 (vector-ref arg-5 1))) (let ((e-100 (vector-ref arg-5 2))) (let ((e-101 (vector-ref arg-5 3))) (let ((eff-0 (CoreC-45Reflect-u--reflect_Reflect_FC arg-0 arg-1 arg-2 arg-3 arg-4 e-99))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (TTImpC-45Reflect-u--reflect_Reflect_DotReason arg-0 arg-1 arg-2 arg-3 arg-4 e-100))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 ((((((let ((eff-2 (csegen-3047))) (lambda (arg-6) (lambda (arg-7) (lambda (arg-8) (lambda (arg-9) (lambda (arg-10) ((((((eff-2 arg-0) arg-6) arg-7) arg-8) arg-9) arg-10))))))) arg-1) arg-2) arg-3) arg-4) e-101))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (CoreC-45Reflect-appCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectionttimp "IMustUnify") (cons e-5 (cons e-6 (cons e-7 '())))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((20) (let ((e-103 (vector-ref arg-5 1))) (let ((e-104 (vector-ref arg-5 2))) (let ((e-105 (vector-ref arg-5 3))) (let ((eff-0 (CoreC-45Reflect-u--reflect_Reflect_FC arg-0 arg-1 arg-2 arg-3 arg-4 e-103))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Reflect-u--reflect_Reflect_LazyReason arg-0 arg-1 arg-2 arg-3 arg-4 e-104))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 ((((((let ((eff-2 (csegen-3047))) (lambda (arg-6) (lambda (arg-7) (lambda (arg-8) (lambda (arg-9) (lambda (arg-10) ((((((eff-2 arg-0) arg-6) arg-7) arg-8) arg-9) arg-10))))))) arg-1) arg-2) arg-3) arg-4) e-105))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (CoreC-45Reflect-appCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectionttimp "IDelayed") (cons e-5 (cons e-6 (cons e-7 '())))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((21) (let ((e-107 (vector-ref arg-5 1))) (let ((e-108 (vector-ref arg-5 2))) (let ((eff-0 (CoreC-45Reflect-u--reflect_Reflect_FC arg-0 arg-1 arg-2 arg-3 arg-4 e-107))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((((((let ((eff-1 (csegen-3047))) (lambda (arg-6) (lambda (arg-7) (lambda (arg-8) (lambda (arg-9) (lambda (arg-10) ((((((eff-1 arg-0) arg-6) arg-7) arg-8) arg-9) arg-10))))))) arg-1) arg-2) arg-3) arg-4) e-108))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45Reflect-appCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectionttimp "IDelay") (cons e-5 (cons e-6 '()))))) eff-2))))))))) eff-1)))))))))) ((22) (let ((e-110 (vector-ref arg-5 1))) (let ((e-111 (vector-ref arg-5 2))) (let ((eff-0 (CoreC-45Reflect-u--reflect_Reflect_FC arg-0 arg-1 arg-2 arg-3 arg-4 e-110))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((((((let ((eff-1 (csegen-3047))) (lambda (arg-6) (lambda (arg-7) (lambda (arg-8) (lambda (arg-9) (lambda (arg-10) ((((((eff-1 arg-0) arg-6) arg-7) arg-8) arg-9) arg-10))))))) arg-1) arg-2) arg-3) arg-4) e-111))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45Reflect-appCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectionttimp "IForce") (cons e-5 (cons e-6 '()))))) eff-2))))))))) eff-1)))))))))) ((23) (let ((e-113 (vector-ref arg-5 1))) (let ((e-114 (vector-ref arg-5 2))) (let ((eff-0 (CoreC-45Reflect-u--reflect_Reflect_FC arg-0 arg-1 arg-2 arg-3 arg-4 e-113))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((((((let ((eff-1 (csegen-3047))) (lambda (arg-6) (lambda (arg-7) (lambda (arg-8) (lambda (arg-9) (lambda (arg-10) ((((((eff-1 arg-0) arg-6) arg-7) arg-8) arg-9) arg-10))))))) arg-1) arg-2) arg-3) arg-4) e-114))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45Reflect-appCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectionttimp "IQuote") (cons e-5 (cons e-6 '()))))) eff-2))))))))) eff-1)))))))))) ((24) (let ((e-116 (vector-ref arg-5 1))) (let ((e-117 (vector-ref arg-5 2))) (let ((eff-0 (CoreC-45Reflect-u--reflect_Reflect_FC arg-0 arg-1 arg-2 arg-3 arg-4 e-116))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Reflect-u--reflect_Reflect_Name arg-0 arg-1 arg-2 arg-3 arg-4 e-117))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45Reflect-appCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectionttimp "IQuoteName") (cons e-5 (cons e-6 '()))))) eff-2))))))))) eff-1)))))))))) ((25) (let ((e-119 (vector-ref arg-5 1))) (let ((e-120 (vector-ref arg-5 2))) (let ((eff-0 (CoreC-45Reflect-u--reflect_Reflect_FC arg-0 arg-1 arg-2 arg-3 arg-4 e-119))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((((((let ((eff-1 (csegen-3053))) (lambda (arg-6) (lambda (arg-7) (lambda (arg-8) (lambda (arg-9) (lambda (arg-10) ((((((eff-1 arg-0) arg-6) arg-7) arg-8) arg-9) arg-10))))))) arg-1) arg-2) arg-3) arg-4) e-120))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45Reflect-appCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectionttimp "IQuoteDecl") (cons e-5 (cons e-6 '()))))) eff-2))))))))) eff-1)))))))))) ((26) (let ((e-122 (vector-ref arg-5 1))) (let ((e-123 (vector-ref arg-5 2))) (lambda (clam-0) (case (vector-ref e-123 0) ((0) (let ((e-141 (vector-ref e-123 2))) (vector 1 (vector 1 e-122 (vector 0 ) e-141))))(else (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 "Can't reflect an unquote: escapes should be lifted out") clam-0))))))) ((27) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 "Can't reflect a %runElab") eta-0))) ((28) (let ((e-128 (vector-ref arg-5 1))) (let ((e-129 (vector-ref arg-5 2))) (let ((eff-0 (CoreC-45Reflect-u--reflect_Reflect_FC arg-0 arg-1 arg-2 arg-3 arg-4 e-128))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Reflect-u--reflect_Reflect_Constant arg-0 arg-1 arg-2 arg-3 arg-4 e-129))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45Reflect-appCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectionttimp "IPrimVal") (cons e-5 (cons e-6 '()))))) eff-2))))))))) eff-1)))))))))) ((29) (let ((e-131 (vector-ref arg-5 1))) (let ((eff-0 (CoreC-45Reflect-u--reflect_Reflect_FC arg-0 arg-1 arg-2 arg-3 arg-4 e-131))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45Reflect-appCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectionttimp "IType") (cons e-5 '())))) eff-1))))))))) ((30) (let ((e-133 (vector-ref arg-5 1))) (let ((e-134 (vector-ref arg-5 2))) (let ((eff-0 (CoreC-45Reflect-u--reflect_Reflect_FC arg-0 arg-1 arg-2 arg-3 arg-4 e-133))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (lambda (eta-0) (CoreC-45Reflect-u--reflect_Reflect_String arg-0 arg-1 arg-2 arg-3 arg-4 e-134 eta-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45Reflect-appCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectionttimp "IHole") (cons e-5 (cons e-6 '()))))) eff-2))))))))) eff-1)))))))))) ((31) (let ((e-138 (vector-ref arg-5 3))) ((((((let ((eff-0 (csegen-3047))) (lambda (arg-6) (lambda (arg-7) (lambda (arg-8) (lambda (arg-9) (lambda (arg-10) ((((((eff-0 arg-0) arg-6) arg-7) arg-8) arg-9) arg-10))))))) arg-1) arg-2) arg-3) arg-4) e-138)))(else (cond ((equal? arg-3 1) (case (vector-ref arg-5 0) ((32) (lambda (eta-0) (vector 1 (vector 10 arg-1 (vector 0 )))))(else (case (vector-ref arg-5 0) ((32) (let ((e-1 (vector-ref arg-5 1))) (let ((e-2 (vector-ref arg-5 2))) (let ((eff-0 (CoreC-45Reflect-u--reflect_Reflect_FC arg-0 arg-1 arg-2 arg-3 arg-4 e-1))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Reflect-u--reflect_Reflect_Bool arg-0 arg-1 arg-2 arg-3 arg-4 e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-3 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45Reflect-appCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectionttimp "Implicit") (cons e-5 (cons e-6 '()))))) eff-2))))))))) eff-1)))))))))) (else (let ((e-4 (vector-ref arg-5 1))) (let ((e-5 (vector-ref arg-5 2))) (let ((e-6 (vector-ref arg-5 3))) (let ((eff-0 (CoreC-45Reflect-u--reflect_Reflect_FC arg-0 arg-1 arg-2 arg-3 arg-4 e-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((((((let ((eff-1 (csegen-3062))) (lambda (arg-6) (lambda (arg-7) (lambda (arg-8) (lambda (arg-9) (lambda (arg-10) ((((((eff-1 arg-0) arg-6) arg-7) arg-8) arg-9) arg-10))))))) arg-1) arg-2) arg-3) arg-4) e-5))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 ((((((let ((eff-2 (csegen-3047))) (lambda (arg-6) (lambda (arg-7) (lambda (arg-8) (lambda (arg-9) (lambda (arg-10) ((((((eff-2 arg-0) arg-6) arg-7) arg-8) arg-9) arg-10))))))) arg-1) arg-2) arg-3) arg-4) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-2 1))) (let ((eff-3 (CoreC-45Reflect-appCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectionttimp "IWithUnambigNames") (cons e-7 (cons e-8 (cons e-9 '())))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))(else (case (vector-ref arg-5 0) ((32) (let ((e-1 (vector-ref arg-5 1))) (let ((e-2 (vector-ref arg-5 2))) (let ((eff-0 (CoreC-45Reflect-u--reflect_Reflect_FC arg-0 arg-1 arg-2 arg-3 arg-4 e-1))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Reflect-u--reflect_Reflect_Bool arg-0 arg-1 arg-2 arg-3 arg-4 e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-3 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45Reflect-appCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectionttimp "Implicit") (cons e-5 (cons e-6 '()))))) eff-2))))))))) eff-1)))))))))) (else (let ((e-4 (vector-ref arg-5 1))) (let ((e-5 (vector-ref arg-5 2))) (let ((e-6 (vector-ref arg-5 3))) (let ((eff-0 (CoreC-45Reflect-u--reflect_Reflect_FC arg-0 arg-1 arg-2 arg-3 arg-4 e-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((((((let ((eff-1 (csegen-3062))) (lambda (arg-6) (lambda (arg-7) (lambda (arg-8) (lambda (arg-9) (lambda (arg-10) ((((((eff-1 arg-0) arg-6) arg-7) arg-8) arg-9) arg-10))))))) arg-1) arg-2) arg-3) arg-4) e-5))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 ((((((let ((eff-2 (csegen-3047))) (lambda (arg-6) (lambda (arg-7) (lambda (arg-8) (lambda (arg-9) (lambda (arg-10) ((((((eff-2 arg-0) arg-6) arg-7) arg-8) arg-9) arg-10))))))) arg-1) arg-2) arg-3) arg-4) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-2 1))) (let ((eff-3 (CoreC-45Reflect-appCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectionttimp "IWithUnambigNames") (cons e-7 (cons e-8 (cons e-9 '())))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))))))))))
(define TTImpC-45Reflect-u--reflect_Reflect_ImpTy (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (let ((e-1 (vector-ref arg-5 0))) (let ((e-2 (vector-ref arg-5 1))) (let ((e-3 (vector-ref arg-5 2))) (let ((e-4 (vector-ref arg-5 3))) (let ((eff-0 (CoreC-45Reflect-u--reflect_Reflect_FC arg-0 arg-1 arg-2 arg-3 arg-4 e-1))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Reflect-u--reflect_Reflect_FC arg-0 arg-1 arg-2 arg-3 arg-4 e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-6 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Reflect-u--reflect_Reflect_Name arg-0 arg-1 arg-2 arg-3 arg-4 e-3))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-7 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 ((((((let ((eff-3 (csegen-3047))) (lambda (arg-6) (lambda (arg-7) (lambda (arg-8) (lambda (arg-9) (lambda (arg-10) ((((((eff-3 arg-0) arg-6) arg-7) arg-8) arg-9) arg-10))))))) arg-1) arg-2) arg-3) arg-4) e-4))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-8 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (CoreC-45Reflect-appCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectionttimp "MkTy") (cons e-5 (cons e-6 (cons e-7 (cons e-8 '()))))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))
(define TTImpC-45Reflect-u--reflect_Reflect_ImpRecord (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (let ((e-1 (vector-ref arg-5 0))) (let ((e-2 (vector-ref arg-5 1))) (let ((e-3 (vector-ref arg-5 2))) (let ((e-4 (vector-ref arg-5 3))) (let ((e-5 (vector-ref arg-5 4))) (let ((e-6 (vector-ref arg-5 5))) (let ((eff-0 (CoreC-45Reflect-u--reflect_Reflect_FC arg-0 arg-1 arg-2 arg-3 arg-4 e-1))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-7 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Reflect-u--reflect_Reflect_Name arg-0 arg-1 arg-2 arg-3 arg-4 e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-8 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 ((((((let ((eff-2 (csegen-3069))) (lambda (arg-6) (lambda (arg-7) (lambda (arg-8) (lambda (arg-9) (lambda (arg-10) ((((((eff-2 arg-0) arg-6) arg-7) arg-8) arg-9) arg-10))))))) arg-1) arg-2) arg-3) arg-4) e-3))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-9 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 ((((((let ((eff-3 (csegen-3071))) (lambda (arg-6) (lambda (arg-7) (lambda (arg-8) (lambda (arg-9) (lambda (arg-10) ((((((eff-3 arg-0) arg-6) arg-7) arg-8) arg-9) arg-10))))))) arg-1) arg-2) arg-3) arg-4) e-4))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Reflect-u--reflect_Reflect_Name arg-0 arg-1 arg-2 arg-3 arg-4 e-5))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (let ((eff-5 ((((((let ((eff-5 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (lambda (eta-4) (lambda (eta-5) (CoreC-45Reflect-u--reflect_Reflect_C-40ListC-32C-36aC-41 (lambda (u--vars) (lambda (arg-6498) (lambda (arg-6501) (lambda (u--onLHS) (lambda (arg-6506) (lambda (arg-6510) (TTImpC-45Reflect-u--reflect_Reflect_IField u--vars arg-6498 arg-6501 u--onLHS arg-6506 arg-6510))))))) eta-0 eta-1 eta-2 eta-3 eta-4 eta-5))))))))) (lambda (arg-6) (lambda (arg-7) (lambda (arg-8) (lambda (arg-9) (lambda (arg-10) ((((((eff-5 arg-0) arg-6) arg-7) arg-8) arg-9) arg-10))))))) arg-1) arg-2) arg-3) arg-4) e-6))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-12 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-12)))) (else (let ((e-12 (vector-ref lcase-5 1))) (let ((eff-6 (CoreC-45Reflect-appCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectionttimp "MkRecord") (cons e-7 (cons e-8 (cons e-9 (cons e-10 (cons e-11 (cons e-12 '()))))))))) eff-6))))))))) eff-5))))))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))
(define TTImpC-45Reflect-u--reflect_Reflect_ImpDecl (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (case (vector-ref arg-5 0) ((0) (let ((e-1 (vector-ref arg-5 1))) (let ((e-2 (vector-ref arg-5 2))) (let ((e-3 (vector-ref arg-5 3))) (let ((e-4 (vector-ref arg-5 4))) (let ((e-5 (vector-ref arg-5 5))) (let ((eff-0 (CoreC-45Reflect-u--reflect_Reflect_FC arg-0 arg-1 arg-2 arg-3 arg-4 e-1))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((((((let ((eff-1 (csegen-3046))) (lambda (arg-6) (lambda (arg-7) (lambda (arg-8) (lambda (arg-9) (lambda (arg-10) ((((((eff-1 arg-0) arg-6) arg-7) arg-8) arg-9) arg-10))))))) arg-1) arg-2) arg-3) arg-4) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Reflect-u--reflect_Reflect_Visibility arg-0 arg-1 arg-2 arg-3 arg-4 e-3))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 ((((((let ((eff-3 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (lambda (eta-4) (lambda (eta-5) (CoreC-45Reflect-u--reflect_Reflect_C-40ListC-32C-36aC-41 (lambda (u--vars) (lambda (arg-6498) (lambda (arg-6501) (lambda (u--onLHS) (lambda (arg-6506) (lambda (arg-6510) (TTImpC-45Reflect-u--reflect_Reflect_FnOpt u--vars arg-6498 arg-6501 u--onLHS arg-6506 arg-6510))))))) eta-0 eta-1 eta-2 eta-3 eta-4 eta-5))))))))) (lambda (arg-6) (lambda (arg-7) (lambda (arg-8) (lambda (arg-9) (lambda (arg-10) ((((((eff-3 arg-0) arg-6) arg-7) arg-8) arg-9) arg-10))))))) arg-1) arg-2) arg-3) arg-4) e-4))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-9 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 ((((((let ((eff-4 (csegen-3076))) (lambda (arg-6) (lambda (arg-7) (lambda (arg-8) (lambda (arg-9) (lambda (arg-10) ((((((eff-4 arg-0) arg-6) arg-7) arg-8) arg-9) arg-10))))))) arg-1) arg-2) arg-3) arg-4) e-5))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-10 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-4 1))) (let ((eff-5 (CoreC-45Reflect-appCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectionttimp "IClaim") (cons e-6 (cons e-7 (cons e-8 (cons e-9 (cons e-10 '())))))))) eff-5))))))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))))) ((1) (let ((e-7 (vector-ref arg-5 1))) (let ((e-8 (vector-ref arg-5 2))) (let ((e-9 (vector-ref arg-5 3))) (let ((e-10 (vector-ref arg-5 4))) (let ((eff-0 (CoreC-45Reflect-u--reflect_Reflect_FC arg-0 arg-1 arg-2 arg-3 arg-4 e-7))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Reflect-u--reflect_Reflect_Visibility arg-0 arg-1 arg-2 arg-3 arg-4 e-8))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 ((((((let ((eff-2 (csegen-3078))) (lambda (arg-6) (lambda (arg-7) (lambda (arg-8) (lambda (arg-9) (lambda (arg-10) ((((((eff-2 arg-0) arg-6) arg-7) arg-8) arg-9) arg-10))))))) arg-1) arg-2) arg-3) arg-4) e-9))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-11 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 ((((((let ((eff-3 (lambda (u--vars) (lambda (arg-6498) (lambda (arg-6501) (lambda (u--onLHS) (lambda (arg-6506) (lambda (arg-6510) (TTImpC-45Reflect-u--reflect_Reflect_ImpData u--vars arg-6498 arg-6501 u--onLHS arg-6506 arg-6510))))))))) (lambda (arg-6) (lambda (arg-7) (lambda (arg-8) (lambda (arg-9) (lambda (arg-10) ((((((eff-3 arg-0) arg-6) arg-7) arg-8) arg-9) arg-10))))))) arg-1) arg-2) arg-3) arg-4) e-10))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-12 (vector-ref lcase-3 1))) (let ((eff-4 (CoreC-45Reflect-appCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectionttimp "IData") (cons e-5 (cons e-6 (cons e-11 (cons e-12 '()))))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))) ((2) (let ((e-12 (vector-ref arg-5 1))) (let ((e-13 (vector-ref arg-5 2))) (let ((e-14 (vector-ref arg-5 3))) (let ((eff-0 (CoreC-45Reflect-u--reflect_Reflect_FC arg-0 arg-1 arg-2 arg-3 arg-4 e-12))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Reflect-u--reflect_Reflect_Name arg-0 arg-1 arg-2 arg-3 arg-4 e-13))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 ((((((let ((eff-2 (csegen-3051))) (lambda (arg-6) (lambda (arg-7) (lambda (arg-8) (lambda (arg-9) (lambda (arg-10) ((((((eff-2 arg-0) arg-6) arg-7) arg-8) arg-9) arg-10))))))) arg-1) arg-2) arg-3) arg-4) e-14))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (CoreC-45Reflect-appCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectionttimp "IDef") (cons e-5 (cons e-6 (cons e-7 '())))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((3) (let ((e-16 (vector-ref arg-5 1))) (let ((e-17 (vector-ref arg-5 2))) (let ((e-18 (vector-ref arg-5 3))) (let ((eff-0 (CoreC-45Reflect-u--reflect_Reflect_FC arg-0 arg-1 arg-2 arg-3 arg-4 e-16))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((((((let ((eff-1 (csegen-3069))) (lambda (arg-6) (lambda (arg-7) (lambda (arg-8) (lambda (arg-9) (lambda (arg-10) ((((((eff-1 arg-0) arg-6) arg-7) arg-8) arg-9) arg-10))))))) arg-1) arg-2) arg-3) arg-4) e-17))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 ((((((let ((eff-2 (csegen-3053))) (lambda (arg-6) (lambda (arg-7) (lambda (arg-8) (lambda (arg-9) (lambda (arg-10) ((((((eff-2 arg-0) arg-6) arg-7) arg-8) arg-9) arg-10))))))) arg-1) arg-2) arg-3) arg-4) e-18))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (CoreC-45Reflect-appCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectionttimp "IParameters") (cons e-5 (cons e-6 (cons e-7 '())))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((4) (let ((e-20 (vector-ref arg-5 1))) (let ((e-21 (vector-ref arg-5 2))) (let ((e-22 (vector-ref arg-5 3))) (let ((e-23 (vector-ref arg-5 4))) (let ((e-24 (vector-ref arg-5 5))) (let ((eff-0 (CoreC-45Reflect-u--reflect_Reflect_FC arg-0 arg-1 arg-2 arg-3 arg-4 e-20))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((((((let ((eff-1 (csegen-3081))) (lambda (arg-6) (lambda (arg-7) (lambda (arg-8) (lambda (arg-9) (lambda (arg-10) ((((((eff-1 arg-0) arg-6) arg-7) arg-8) arg-9) arg-10))))))) arg-1) arg-2) arg-3) arg-4) e-21))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Reflect-u--reflect_Reflect_Visibility arg-0 arg-1 arg-2 arg-3 arg-4 e-22))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 ((((((let ((eff-3 (csegen-3078))) (lambda (arg-6) (lambda (arg-7) (lambda (arg-8) (lambda (arg-9) (lambda (arg-10) ((((((eff-3 arg-0) arg-6) arg-7) arg-8) arg-9) arg-10))))))) arg-1) arg-2) arg-3) arg-4) e-23))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 ((((((let ((eff-4 (lambda (u--vars) (lambda (arg-6498) (lambda (arg-6501) (lambda (u--onLHS) (lambda (arg-6506) (lambda (arg-6510) (TTImpC-45Reflect-u--reflect_Reflect_ImpRecord u--vars arg-6498 arg-6501 u--onLHS arg-6506 arg-6510))))))))) (lambda (arg-6) (lambda (arg-7) (lambda (arg-8) (lambda (arg-9) (lambda (arg-10) ((((((eff-4 arg-0) arg-6) arg-7) arg-8) arg-9) arg-10))))))) arg-1) arg-2) arg-3) arg-4) e-24))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (CoreC-45Reflect-appCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectionttimp "IRecord") (cons e-5 (cons e-6 (cons e-7 (cons e-8 (cons e-9 '())))))))) eff-5))))))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))))) ((5) (let ((e-26 (vector-ref arg-5 1))) (let ((e-27 (vector-ref arg-5 2))) (let ((e-28 (vector-ref arg-5 3))) (let ((eff-0 (CoreC-45Reflect-u--reflect_Reflect_FC arg-0 arg-1 arg-2 arg-3 arg-4 e-26))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((((((let ((eff-1 (csegen-3081))) (lambda (arg-6) (lambda (arg-7) (lambda (arg-8) (lambda (arg-9) (lambda (arg-10) ((((((eff-1 arg-0) arg-6) arg-7) arg-8) arg-9) arg-10))))))) arg-1) arg-2) arg-3) arg-4) e-27))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 ((((((let ((eff-2 (csegen-3053))) (lambda (arg-6) (lambda (arg-7) (lambda (arg-8) (lambda (arg-9) (lambda (arg-10) ((((((eff-2 arg-0) arg-6) arg-7) arg-8) arg-9) arg-10))))))) arg-1) arg-2) arg-3) arg-4) e-28))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (CoreC-45Reflect-appCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectionttimp "IFail") (cons e-5 (cons e-6 (cons e-7 '())))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((6) (let ((e-30 (vector-ref arg-5 1))) (let ((e-31 (vector-ref arg-5 2))) (let ((e-32 (vector-ref arg-5 3))) (let ((eff-0 (CoreC-45Reflect-u--reflect_Reflect_FC arg-0 arg-1 arg-2 arg-3 arg-4 e-30))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Reflect-u--reflect_Reflect_Namespace arg-0 arg-1 arg-2 arg-3 arg-4 e-31))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 ((((((let ((eff-2 (csegen-3053))) (lambda (arg-6) (lambda (arg-7) (lambda (arg-8) (lambda (arg-9) (lambda (arg-10) ((((((eff-2 arg-0) arg-6) arg-7) arg-8) arg-9) arg-10))))))) arg-1) arg-2) arg-3) arg-4) e-32))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (CoreC-45Reflect-appCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectionttimp "INamespace") (cons e-5 (cons e-6 (cons e-7 '())))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((7) (let ((e-34 (vector-ref arg-5 1))) (let ((e-35 (vector-ref arg-5 2))) (let ((e-36 (vector-ref arg-5 3))) (let ((e-37 (vector-ref arg-5 4))) (let ((eff-0 (CoreC-45Reflect-u--reflect_Reflect_FC arg-0 arg-1 arg-2 arg-3 arg-4 e-34))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Reflect-u--reflect_Reflect_Name arg-0 arg-1 arg-2 arg-3 arg-4 e-35))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 ((((((let ((eff-2 (csegen-3047))) (lambda (arg-6) (lambda (arg-7) (lambda (arg-8) (lambda (arg-9) (lambda (arg-10) ((((((eff-2 arg-0) arg-6) arg-7) arg-8) arg-9) arg-10))))))) arg-1) arg-2) arg-3) arg-4) e-36))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 ((((((let ((eff-3 (csegen-3047))) (lambda (arg-6) (lambda (arg-7) (lambda (arg-8) (lambda (arg-9) (lambda (arg-10) ((((((eff-3 arg-0) arg-6) arg-7) arg-8) arg-9) arg-10))))))) arg-1) arg-2) arg-3) arg-4) e-37))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (CoreC-45Reflect-appCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectionttimp "ITransform") (cons e-5 (cons e-6 (cons e-7 (cons e-8 '()))))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))) ((8) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 arg-1 "Can't reflect a %runElab") eta-0))) ((9) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 arg-1 "Can't reflect a pragma") eta-0))) ((10) (let ((e-46 (vector-ref arg-5 1))) (let ((eff-0 ((((((let ((eff-0 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (lambda (eta-4) (lambda (eta-5) (CoreC-45Reflect-u--reflect_Reflect_C-40MaybeC-32C-36aC-41 (lambda (eta-6) (lambda (eta-7) (lambda (eta-8) (lambda (eta-9) (lambda (eta-10) (lambda (eta-11) (CoreC-45Reflect-u--reflect_Reflect_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (cons (csegen-3083) (lambda (eta-12) (lambda (eta-13) (lambda (eta-14) (lambda (eta-15) (lambda (eta-16) (lambda (eta-17) (CoreC-45Reflect-u--reflect_Reflect_Nat eta-12 eta-13 eta-14 eta-15 eta-16 eta-17)))))))) eta-6 eta-7 eta-8 eta-9 eta-10 eta-11))))))) eta-0 eta-1 eta-2 eta-3 eta-4 eta-5))))))))) (lambda (arg-6) (lambda (arg-7) (lambda (arg-8) (lambda (arg-9) (lambda (arg-10) ((((((eff-0 arg-0) arg-6) arg-7) arg-8) arg-9) arg-10))))))) arg-1) arg-2) arg-3) arg-4) e-46))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45Reflect-appCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectionttimp "ILog") (cons e-5 '())))) eff-1))))))))) (else (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 arg-1 "Can't reflect a %builtin") eta-0))))))
(define TTImpC-45Reflect-u--reflect_Reflect_ImpData (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (case (vector-ref arg-5 0) ((0) (let ((e-1 (vector-ref arg-5 1))) (let ((e-2 (vector-ref arg-5 2))) (let ((e-3 (vector-ref arg-5 3))) (let ((e-4 (vector-ref arg-5 4))) (let ((e-5 (vector-ref arg-5 5))) (let ((eff-0 (CoreC-45Reflect-u--reflect_Reflect_FC arg-0 arg-1 arg-2 arg-3 arg-4 e-1))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Reflect-u--reflect_Reflect_Name arg-0 arg-1 arg-2 arg-3 arg-4 e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 ((((((let ((eff-2 (csegen-3047))) (lambda (arg-6) (lambda (arg-7) (lambda (arg-8) (lambda (arg-9) (lambda (arg-10) ((((((eff-2 arg-0) arg-6) arg-7) arg-8) arg-9) arg-10))))))) arg-1) arg-2) arg-3) arg-4) e-3))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 ((((((let ((eff-3 (csegen-3071))) (lambda (arg-6) (lambda (arg-7) (lambda (arg-8) (lambda (arg-9) (lambda (arg-10) ((((((eff-3 arg-0) arg-6) arg-7) arg-8) arg-9) arg-10))))))) arg-1) arg-2) arg-3) arg-4) e-4))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-9 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 ((((((let ((eff-4 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (lambda (eta-4) (lambda (eta-5) (CoreC-45Reflect-u--reflect_Reflect_C-40ListC-32C-36aC-41 (csegen-3076) eta-0 eta-1 eta-2 eta-3 eta-4 eta-5))))))))) (lambda (arg-6) (lambda (arg-7) (lambda (arg-8) (lambda (arg-9) (lambda (arg-10) ((((((eff-4 arg-0) arg-6) arg-7) arg-8) arg-9) arg-10))))))) arg-1) arg-2) arg-3) arg-4) e-5))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-10 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-4 1))) (let ((eff-5 (CoreC-45Reflect-appCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectionttimp "MkData") (cons e-6 (cons e-7 (cons e-8 (cons e-9 (cons e-10 '())))))))) eff-5))))))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))))) (else (let ((e-7 (vector-ref arg-5 1))) (let ((e-8 (vector-ref arg-5 2))) (let ((e-9 (vector-ref arg-5 3))) (let ((eff-0 (CoreC-45Reflect-u--reflect_Reflect_FC arg-0 arg-1 arg-2 arg-3 arg-4 e-7))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Reflect-u--reflect_Reflect_Name arg-0 arg-1 arg-2 arg-3 arg-4 e-8))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 ((((((let ((eff-2 (csegen-3047))) (lambda (arg-6) (lambda (arg-7) (lambda (arg-8) (lambda (arg-9) (lambda (arg-10) ((((((eff-2 arg-0) arg-6) arg-7) arg-8) arg-9) arg-10))))))) arg-1) arg-2) arg-3) arg-4) e-9))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-10 (vector-ref lcase-2 1))) (let ((eff-3 (CoreC-45Reflect-appCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectionttimp "MkLater") (cons e-5 (cons e-6 (cons e-10 '())))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))))))
(define TTImpC-45Reflect-u--reflect_Reflect_ImpClause (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (case (vector-ref arg-5 0) ((0) (let ((e-1 (vector-ref arg-5 1))) (let ((e-2 (vector-ref arg-5 2))) (let ((e-3 (vector-ref arg-5 3))) (let ((eff-0 (CoreC-45Reflect-u--reflect_Reflect_FC arg-0 arg-1 arg-2 arg-3 arg-4 e-1))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((((((let ((eff-1 (csegen-3047))) (lambda (arg-6) (lambda (arg-7) (lambda (arg-8) (lambda (arg-9) (lambda (arg-10) ((((((eff-1 arg-0) arg-6) arg-7) arg-8) arg-9) arg-10))))))) arg-1) arg-2) arg-3) arg-4) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 ((((((let ((eff-2 (csegen-3047))) (lambda (arg-6) (lambda (arg-7) (lambda (arg-8) (lambda (arg-9) (lambda (arg-10) ((((((eff-2 arg-0) arg-6) arg-7) arg-8) arg-9) arg-10))))))) arg-1) arg-2) arg-3) arg-4) e-3))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (CoreC-45Reflect-appCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectionttimp "PatClause") (cons e-5 (cons e-6 (cons e-7 '())))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((1) (let ((e-5 (vector-ref arg-5 1))) (let ((e-6 (vector-ref arg-5 2))) (let ((e-7 (vector-ref arg-5 3))) (let ((e-8 (vector-ref arg-5 4))) (let ((e-9 (vector-ref arg-5 5))) (let ((e-10 (vector-ref arg-5 6))) (let ((e-11 (vector-ref arg-5 7))) (let ((eff-0 (CoreC-45Reflect-u--reflect_Reflect_FC arg-0 arg-1 arg-2 arg-3 arg-4 e-5))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-12 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((((((let ((eff-1 (csegen-3047))) (lambda (arg-6) (lambda (arg-7) (lambda (arg-8) (lambda (arg-9) (lambda (arg-10) ((((((eff-1 arg-0) arg-6) arg-7) arg-8) arg-9) arg-10))))))) arg-1) arg-2) arg-3) arg-4) e-6))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-13 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 ((((((let ((eff-2 (csegen-3046))) (lambda (arg-6) (lambda (arg-7) (lambda (arg-8) (lambda (arg-9) (lambda (arg-10) ((((((eff-2 arg-0) arg-6) arg-7) arg-8) arg-9) arg-10))))))) arg-1) arg-2) arg-3) arg-4) e-7))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-14 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 ((((((let ((eff-3 (csegen-3047))) (lambda (arg-6) (lambda (arg-7) (lambda (arg-8) (lambda (arg-9) (lambda (arg-10) ((((((eff-3 arg-0) arg-6) arg-7) arg-8) arg-9) arg-10))))))) arg-1) arg-2) arg-3) arg-4) e-8))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-15 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 ((((((let ((eff-4 (csegen-3049))) (lambda (arg-6) (lambda (arg-7) (lambda (arg-8) (lambda (arg-9) (lambda (arg-10) ((((((eff-4 arg-0) arg-6) arg-7) arg-8) arg-9) arg-10))))))) arg-1) arg-2) arg-3) arg-4) e-9))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-16 (vector-ref lcase-4 1))) (let ((eff-5 (let ((eff-5 ((((((let ((eff-5 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (lambda (eta-4) (lambda (eta-5) (CoreC-45Reflect-u--reflect_Reflect_C-40ListC-32C-36aC-41 (lambda (u--vars) (lambda (arg-6498) (lambda (arg-6501) (lambda (u--onLHS) (lambda (arg-6506) (lambda (arg-6510) (TTImpC-45Reflect-u--reflect_Reflect_WithFlag u--vars arg-6498 arg-6501 u--onLHS arg-6506 arg-6510))))))) eta-0 eta-1 eta-2 eta-3 eta-4 eta-5))))))))) (lambda (arg-6) (lambda (arg-7) (lambda (arg-8) (lambda (arg-9) (lambda (arg-10) ((((((eff-5 arg-0) arg-6) arg-7) arg-8) arg-9) arg-10))))))) arg-1) arg-2) arg-3) arg-4) e-10))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-17 (vector-ref lcase-5 1))) (let ((eff-6 (let ((eff-6 ((((((let ((eff-6 (csegen-3051))) (lambda (arg-6) (lambda (arg-7) (lambda (arg-8) (lambda (arg-9) (lambda (arg-10) ((((((eff-6 arg-0) arg-6) arg-7) arg-8) arg-9) arg-10))))))) arg-1) arg-2) arg-3) arg-4) e-11))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-2 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-18 (vector-ref lcase-6 1))) (let ((eff-7 (CoreC-45Reflect-appCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectionttimp "WithClause") (cons e-12 (cons e-13 (cons e-14 (cons e-15 (cons e-16 (cons e-17 (cons e-18 '())))))))))) eff-7))))))))) eff-6))))))))) eff-5))))))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))))))) (else (let ((e-13 (vector-ref arg-5 1))) (let ((e-14 (vector-ref arg-5 2))) (let ((eff-0 (CoreC-45Reflect-u--reflect_Reflect_FC arg-0 arg-1 arg-2 arg-3 arg-4 e-13))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((((((let ((eff-1 (csegen-3047))) (lambda (arg-6) (lambda (arg-7) (lambda (arg-8) (lambda (arg-9) (lambda (arg-10) ((((((eff-1 arg-0) arg-6) arg-7) arg-8) arg-9) arg-10))))))) arg-1) arg-2) arg-3) arg-4) e-14))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45Reflect-appCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectionttimp "ImpossibleClause") (cons e-5 (cons e-6 '()))))) eff-2))))))))) eff-1)))))))))))))
(define TTImpC-45Reflect-u--reflect_Reflect_IFieldUpdate (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (case (vector-ref arg-5 0) ((0) (let ((e-1 (vector-ref arg-5 1))) (let ((e-2 (vector-ref arg-5 2))) (let ((eff-0 ((((((let ((eff-0 (csegen-3083))) (lambda (arg-6) (lambda (arg-7) (lambda (arg-8) (lambda (arg-9) (lambda (arg-10) ((((((eff-0 arg-0) arg-6) arg-7) arg-8) arg-9) arg-10))))))) arg-1) arg-2) arg-3) arg-4) e-1))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((((((let ((eff-1 (csegen-3047))) (lambda (arg-6) (lambda (arg-7) (lambda (arg-8) (lambda (arg-9) (lambda (arg-10) ((((((eff-1 arg-0) arg-6) arg-7) arg-8) arg-9) arg-10))))))) arg-1) arg-2) arg-3) arg-4) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-3 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45Reflect-appCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectionttimp "ISetField") (cons e-5 (cons e-6 '()))))) eff-2))))))))) eff-1)))))))))) (else (let ((e-4 (vector-ref arg-5 1))) (let ((e-5 (vector-ref arg-5 2))) (let ((eff-0 ((((((let ((eff-0 (csegen-3083))) (lambda (arg-6) (lambda (arg-7) (lambda (arg-8) (lambda (arg-9) (lambda (arg-10) ((((((eff-0 arg-0) arg-6) arg-7) arg-8) arg-9) arg-10))))))) arg-1) arg-2) arg-3) arg-4) e-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((((((let ((eff-1 (csegen-3047))) (lambda (arg-6) (lambda (arg-7) (lambda (arg-8) (lambda (arg-9) (lambda (arg-10) ((((((eff-1 arg-0) arg-6) arg-7) arg-8) arg-9) arg-10))))))) arg-1) arg-2) arg-3) arg-4) e-5))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45Reflect-appCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectionttimp "ISetFieldApp") (cons e-6 (cons e-7 '()))))) eff-2))))))))) eff-1)))))))))))))
(define TTImpC-45Reflect-u--reflect_Reflect_IField (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (let ((e-1 (vector-ref arg-5 0))) (let ((e-2 (vector-ref arg-5 1))) (let ((e-3 (vector-ref arg-5 2))) (let ((e-4 (vector-ref arg-5 3))) (let ((e-5 (vector-ref arg-5 4))) (let ((eff-0 (CoreC-45Reflect-u--reflect_Reflect_FC arg-0 arg-1 arg-2 arg-3 arg-4 e-1))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((((((let ((eff-1 (csegen-3046))) (lambda (arg-6) (lambda (arg-7) (lambda (arg-8) (lambda (arg-9) (lambda (arg-10) ((((((eff-1 arg-0) arg-6) arg-7) arg-8) arg-9) arg-10))))))) arg-1) arg-2) arg-3) arg-4) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 ((((((let ((eff-2 (csegen-3048))) (lambda (arg-6) (lambda (arg-7) (lambda (arg-8) (lambda (arg-9) (lambda (arg-10) ((((((eff-2 arg-0) arg-6) arg-7) arg-8) arg-9) arg-10))))))) arg-1) arg-2) arg-3) arg-4) e-3))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45Reflect-u--reflect_Reflect_Name arg-0 arg-1 arg-2 arg-3 arg-4 e-4))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-9 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 ((((((let ((eff-4 (csegen-3047))) (lambda (arg-6) (lambda (arg-7) (lambda (arg-8) (lambda (arg-9) (lambda (arg-10) ((((((eff-4 arg-0) arg-6) arg-7) arg-8) arg-9) arg-10))))))) arg-1) arg-2) arg-3) arg-4) e-5))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-10 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-4 1))) (let ((eff-5 (CoreC-45Reflect-appCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectionttimp "MkIField") (cons e-6 (cons e-7 (cons e-8 (cons e-9 (cons e-10 '())))))))) eff-5))))))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))))))
(define TTImpC-45Reflect-u--reflect_Reflect_FnOpt (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (case (vector-ref arg-5 0) ((0) (CoreC-45Reflect-getCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectionttimp "Inline"))) ((1) (CoreC-45Reflect-getCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectionttimp "NoInline"))) ((2) (CoreC-45Reflect-getCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectionttimp "Deprecate"))) ((3) (CoreC-45Reflect-getCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectionttimp "TCInline"))) ((4) (let ((e-5 (vector-ref arg-5 1))) (let ((eff-0 (CoreC-45Reflect-u--reflect_Reflect_Bool arg-0 arg-1 arg-2 arg-3 arg-4 e-5))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45Reflect-appCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectionttimp "Hint") (cons e-6 '())))) eff-1))))))))) ((5) (let ((e-7 (vector-ref arg-5 1))) (let ((eff-0 (CoreC-45Reflect-u--reflect_Reflect_Bool arg-0 arg-1 arg-2 arg-3 arg-4 e-7))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45Reflect-appCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectionttimp "GlobalHint") (cons e-5 '())))) eff-1))))))))) ((6) (CoreC-45Reflect-getCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectionttimp "ExternFn"))) ((7) (let ((e-10 (vector-ref arg-5 1))) (let ((eff-0 ((((((let ((eff-0 (csegen-3057))) (lambda (arg-6) (lambda (arg-7) (lambda (arg-8) (lambda (arg-9) (lambda (arg-10) ((((((eff-0 arg-0) arg-6) arg-7) arg-8) arg-9) arg-10))))))) arg-1) arg-2) arg-3) arg-4) e-10))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45Reflect-appCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectionttimp "ForeignFn") (cons e-5 '())))) eff-1))))))))) ((8) (let ((e-12 (vector-ref arg-5 1))) (let ((eff-0 ((((((let ((eff-0 (csegen-3057))) (lambda (arg-6) (lambda (arg-7) (lambda (arg-8) (lambda (arg-9) (lambda (arg-10) ((((((eff-0 arg-0) arg-6) arg-7) arg-8) arg-9) arg-10))))))) arg-1) arg-2) arg-3) arg-4) e-12))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45Reflect-appCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectionttimp "ForeignExport") (cons e-5 '())))) eff-1))))))))) ((9) (CoreC-45Reflect-getCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectionttimp "Invertible"))) ((10) (let ((e-15 (vector-ref arg-5 1))) (let ((eff-0 (CoreC-45Reflect-u--reflect_Reflect_TotalReq arg-0 arg-1 arg-2 arg-3 arg-4 e-15))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45Reflect-appCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectionttimp "Totality") (cons e-5 '())))) eff-1))))))))) ((11) (CoreC-45Reflect-getCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectionttimp "Macro"))) (else (let ((e-18 (vector-ref arg-5 1))) (let ((eff-0 ((((((let ((eff-0 (csegen-2941))) (lambda (arg-6) (lambda (arg-7) (lambda (arg-8) (lambda (arg-9) (lambda (arg-10) ((((((eff-0 arg-0) arg-6) arg-7) arg-8) arg-9) arg-10))))))) arg-1) arg-2) arg-3) arg-4) e-18))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45Reflect-appCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectionttimp "SpecArgs") (cons e-5 '())))) eff-1))))))))))))
(define TTImpC-45Reflect-u--reflect_Reflect_DotReason (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (cond ((equal? arg-5 0) (CoreC-45Reflect-getCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectionttimp "NonLinearVar"))) ((equal? arg-5 1) (CoreC-45Reflect-getCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectionttimp "VarApplied"))) ((equal? arg-5 2) (CoreC-45Reflect-getCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectionttimp "NotConstructor"))) ((equal? arg-5 3) (CoreC-45Reflect-getCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectionttimp "ErasedArg"))) ((equal? arg-5 4) (CoreC-45Reflect-getCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectionttimp "UserDotted"))) ((equal? arg-5 5) (CoreC-45Reflect-getCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectionttimp "UnknownDot"))) (else (CoreC-45Reflect-getCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectionttimp "UnderAppliedCon"))))))
(define TTImpC-45Reflect-u--reflect_Reflect_DataOpt (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (case (vector-ref arg-5 0) ((0) (let ((e-0 (vector-ref arg-5 1))) (let ((eff-0 ((((((let ((eff-0 (csegen-2941))) (lambda (arg-6) (lambda (arg-7) (lambda (arg-8) (lambda (arg-9) (lambda (arg-10) ((((((eff-0 arg-0) arg-6) arg-7) arg-8) arg-9) arg-10))))))) arg-1) arg-2) arg-3) arg-4) e-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45Reflect-appCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectionttimp "SearchBy") (cons e-5 '())))) eff-1))))))))) ((1) (CoreC-45Reflect-getCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectionttimp "NoHints"))) ((2) (CoreC-45Reflect-getCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectionttimp "UniqueSearch"))) ((3) (CoreC-45Reflect-getCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectionttimp "External"))) (else (CoreC-45Reflect-getCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectionttimp "NoNewtype"))))))
(define TTImpC-45Reflect-u--reflect_Reflect_BindMode (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (case (vector-ref arg-5 0) ((0) (let ((e-0 (vector-ref arg-5 1))) (let ((eff-0 ((((((let ((eff-0 (csegen-3046))) (lambda (arg-6) (lambda (arg-7) (lambda (arg-8) (lambda (arg-9) (lambda (arg-10) ((((((eff-0 arg-0) arg-6) arg-7) arg-8) arg-9) arg-10))))))) arg-1) arg-2) arg-3) arg-4) e-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45Reflect-appCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectionttimp "PI") (cons e-5 '())))) eff-1))))))))) ((1) (CoreC-45Reflect-getCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectionttimp "PATTERN"))) ((2) (CoreC-45Reflect-getCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectionttimp "COVERAGE"))) (else (CoreC-45Reflect-getCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectionttimp "NONE"))))))
(define TTImpC-45Reflect-u--reflect_Reflect_AltType (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (case (vector-ref arg-5 0) ((0) (CoreC-45Reflect-getCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectionttimp "FirstSuccess"))) ((1) (CoreC-45Reflect-getCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectionttimp "Unique"))) (else (let ((e-3 (vector-ref arg-5 1))) (let ((eff-0 ((((((let ((eff-0 (csegen-3047))) (lambda (arg-6) (lambda (arg-7) (lambda (arg-8) (lambda (arg-9) (lambda (arg-10) ((((((eff-0 arg-0) arg-6) arg-7) arg-8) arg-9) arg-10))))))) arg-1) arg-2) arg-3) arg-4) e-3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45Reflect-appCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectionttimp "UniqueDefault") (cons e-5 '())))) eff-1))))))))))))
(define CoreC-45Reflect-u--reify_Reify_Visibility (lambda (arg-0 arg-1 arg-2 arg-3) (case (vector-ref arg-3 0) ((2) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-3 (vector-ref arg-3 3))) (let ((e-4 (vector-ref arg-3 4))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (CoreC-45Context-u--full_HasNames_Name (let ((e-0 (vector-ref arg-2 0))) e-0) e-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--val (vector 2 e-1 e-2 e-3 e-4 e-5))) (let ((sc2 (CoreC-45Name-dropAllNS e-6))) (case (vector-ref sc2 0) ((1) (let ((e-0 (vector-ref sc2 1))) (case (vector-ref e-0 0) ((0) (let ((e-7 (vector-ref e-0 1))) (cond ((equal? e-7 "Private") (lambda (eta-0) (vector 1 0))) ((equal? e-7 "Export") (lambda (eta-0) (vector 1 1))) ((equal? e-7 "Public") (lambda (eta-0) (vector 1 2)))(else (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Visibility")))))(else (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Visibility")))))(else (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Visibility"))))))) eff-1)))))))))))))(else (CoreC-45Reflect-cantReify arg-0 arg-1 arg-3 "Visibility")))))
(define CoreC-45Reflect-u--reify_Reify_VirtualIdent (lambda (arg-0 arg-1 arg-2 arg-3) (case (vector-ref arg-3 0) ((2) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-3 (vector-ref arg-3 3))) (let ((e-4 (vector-ref arg-3 4))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (CoreC-45Context-u--full_HasNames_Name (let ((e-0 (vector-ref arg-2 0))) e-0) e-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--val (vector 2 e-1 e-2 e-3 e-4 e-5))) (let ((sc2 (CoreC-45Name-dropAllNS e-6))) (case (vector-ref sc2 0) ((1) (let ((e-7 (vector-ref sc2 1))) (case (vector-ref e-7 0) ((0) (let ((e-8 (vector-ref e-7 1))) (cond ((equal? e-8 "Interactive") (if (null? e-5) (lambda (eta-0) (vector 1 (vector 0 ))) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "VirtualIdent")))(else (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "VirtualIdent")))))(else (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "VirtualIdent")))))(else (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "VirtualIdent"))))))) eff-1)))))))))))))(else (CoreC-45Reflect-cantReify arg-0 arg-1 arg-3 "VirtualIdent")))))
(define CoreC-45Reflect-u--reify_Reify_UserName (lambda (arg-0 arg-1 arg-2 arg-3) (case (vector-ref arg-3 0) ((2) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-3 (vector-ref arg-3 3))) (let ((e-4 (vector-ref arg-3 4))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (CoreC-45Context-u--full_HasNames_Name (let ((e-0 (vector-ref arg-2 0))) e-0) e-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--val (vector 2 e-1 e-2 e-3 e-4 e-5))) (let ((sc2 (CoreC-45Name-dropAllNS e-6))) (case (vector-ref sc2 0) ((1) (let ((e-7 (vector-ref sc2 1))) (case (vector-ref e-7 0) ((0) (let ((e-8 (vector-ref e-7 1))) (cond ((equal? e-8 "Basic") (if (null? e-5) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Name, the name was not found in context") (let ((e-9 (car e-5))) (let ((e-10 (cdr e-5))) (if (null? e-9) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Name, the name was not found in context") (let ((e-14 (cdr e-9))) (if (null? e-10) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-14))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-11 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45Reflect-u--reify_Reify_String arg-0 arg-1 arg-2 e-11))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-11 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 0 e-11))))) eff-2))))))) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Name, the name was not found in context")))))))) ((equal? e-8 "Field") (if (null? e-5) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Name, the name was not found in context") (let ((e-17 (car e-5))) (let ((e-18 (cdr e-5))) (if (null? e-17) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Name, the name was not found in context") (let ((e-22 (cdr e-17))) (if (null? e-18) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-22))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-9 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45Reflect-u--reify_Reify_String arg-0 arg-1 arg-2 e-9))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-9 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 1 e-9))))) eff-2))))))) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Name, the name was not found in context")))))))) ((equal? e-8 "Underscore") (if (null? e-5) (lambda (eta-0) (vector 1 (vector 2 ))) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Name, the name was not found in context")))(else (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Name, the name was not found in context")))))(else (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Name, the name was not found in context"))))) ((0) (let ((e-7 (vector-ref sc2 2))) (case (vector-ref e-7 0) ((1) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Name, reifying it is unimplemented or intentionally internal"))(else (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Name, the name was not found in context")))))(else (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Name, the name was not found in context"))))))) eff-1)))))))))))))(else (CoreC-45Reflect-cantReify arg-0 arg-1 arg-3 "Name, value is not an NDCon interally")))))
(define CoreC-45Reflect-u--reify_Reify_TotalReq (lambda (arg-0 arg-1 arg-2 arg-3) (case (vector-ref arg-3 0) ((2) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-3 (vector-ref arg-3 3))) (let ((e-4 (vector-ref arg-3 4))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (CoreC-45Context-u--full_HasNames_Name (let ((e-0 (vector-ref arg-2 0))) e-0) e-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--val (vector 2 e-1 e-2 e-3 e-4 e-5))) (let ((sc2 (CoreC-45Name-dropAllNS e-6))) (case (vector-ref sc2 0) ((1) (let ((e-0 (vector-ref sc2 1))) (case (vector-ref e-0 0) ((0) (let ((e-7 (vector-ref e-0 1))) (cond ((equal? e-7 "Total") (lambda (eta-0) (vector 1 0))) ((equal? e-7 "CoveringOnly") (lambda (eta-0) (vector 1 1))) ((equal? e-7 "PartialOK") (lambda (eta-0) (vector 1 2)))(else (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "TotalReq")))))(else (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "TotalReq")))))(else (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "TotalReq"))))))) eff-1)))))))))))))(else (CoreC-45Reflect-cantReify arg-0 arg-1 arg-3 "TotalReq")))))
(define CoreC-45Reflect-u--reify_Reify_String (lambda (arg-0 arg-1 arg-2 arg-3) (case (vector-ref arg-3 0) ((8) (let ((e-2 (vector-ref arg-3 2))) (case (vector-ref e-2 0) ((10) (let ((e-3 (vector-ref e-2 1))) (lambda (eta-0) (vector 1 e-3))))(else (CoreC-45Reflect-cantReify arg-0 arg-1 arg-3 "String")))))(else (CoreC-45Reflect-cantReify arg-0 arg-1 arg-3 "String")))))
(define CoreC-45Reflect-u--reify_Reify_RigCount (lambda (arg-0 arg-1 arg-2 arg-3) (case (vector-ref arg-3 0) ((2) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-3 (vector-ref arg-3 3))) (let ((e-4 (vector-ref arg-3 4))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (CoreC-45Context-u--full_HasNames_Name (let ((e-0 (vector-ref arg-2 0))) e-0) e-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--val (vector 2 e-1 e-2 e-3 e-4 e-5))) (let ((sc2 (CoreC-45Name-dropAllNS e-6))) (case (vector-ref sc2 0) ((1) (let ((e-0 (vector-ref sc2 1))) (case (vector-ref e-0 0) ((0) (let ((e-7 (vector-ref e-0 1))) (cond ((equal? e-7 "M0") (lambda (eta-0) (csegen-1985))) ((equal? e-7 "M1") (lambda (eta-0) (csegen-1986))) ((equal? e-7 "MW") (lambda (eta-0) (vector 1 (AlgebraC-45ZeroOneOmega-u--top_Top_ZeroOneOmega))))(else (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Count")))))(else (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Count")))))(else (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Count"))))))) eff-1)))))))))))))(else (CoreC-45Reflect-cantReify arg-0 arg-1 arg-3 "Count")))))
(define CoreC-45Reflect-u--reify_Reify_PrimType (lambda (arg-0 arg-1 arg-2 arg-3) (case (vector-ref arg-3 0) ((2) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-3 (vector-ref arg-3 3))) (let ((e-4 (vector-ref arg-3 4))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (CoreC-45Context-u--full_HasNames_Name (let ((e-0 (vector-ref arg-2 0))) e-0) e-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--val (vector 2 e-1 e-2 e-3 e-4 e-5))) (let ((sc2 (CoreC-45Name-dropAllNS e-6))) (case (vector-ref sc2 0) ((1) (let ((e-7 (vector-ref sc2 1))) (case (vector-ref e-7 0) ((0) (let ((e-8 (vector-ref e-7 1))) (cond ((equal? e-8 "IntType") (if (null? e-5) (lambda (eta-0) (vector 1 0)) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "PrimType"))) ((equal? e-8 "Int8Type") (if (null? e-5) (lambda (eta-0) (vector 1 1)) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "PrimType"))) ((equal? e-8 "Int16Type") (if (null? e-5) (lambda (eta-0) (vector 1 2)) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "PrimType"))) ((equal? e-8 "Int32Type") (if (null? e-5) (lambda (eta-0) (vector 1 3)) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "PrimType"))) ((equal? e-8 "Int64Type") (if (null? e-5) (lambda (eta-0) (vector 1 4)) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "PrimType"))) ((equal? e-8 "IntegerType") (if (null? e-5) (lambda (eta-0) (vector 1 5)) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "PrimType"))) ((equal? e-8 "Bits8Type") (if (null? e-5) (lambda (eta-0) (vector 1 6)) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "PrimType"))) ((equal? e-8 "Bits16Type") (if (null? e-5) (lambda (eta-0) (vector 1 7)) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "PrimType"))) ((equal? e-8 "Bits32Type") (if (null? e-5) (lambda (eta-0) (vector 1 8)) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "PrimType"))) ((equal? e-8 "Bits64Type") (if (null? e-5) (lambda (eta-0) (vector 1 9)) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "PrimType"))) ((equal? e-8 "StringType") (if (null? e-5) (lambda (eta-0) (vector 1 10)) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "PrimType"))) ((equal? e-8 "CharType") (if (null? e-5) (lambda (eta-0) (vector 1 11)) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "PrimType"))) ((equal? e-8 "DoubleType") (if (null? e-5) (lambda (eta-0) (vector 1 12)) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "PrimType"))) ((equal? e-8 "WorldType") (if (null? e-5) (lambda (eta-0) (vector 1 13)) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "PrimType")))(else (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "PrimType")))))(else (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "PrimType")))))(else (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "PrimType"))))))) eff-1)))))))))))))(else (CoreC-45Reflect-cantReify arg-0 arg-1 arg-3 "PrimType")))))
(define CoreC-45Reflect-u--reify_Reify_OriginDesc (lambda (arg-0 arg-1 arg-2 arg-3) (case (vector-ref arg-3 0) ((2) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-3 (vector-ref arg-3 3))) (let ((e-4 (vector-ref arg-3 4))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (CoreC-45Context-u--full_HasNames_Name (let ((e-0 (vector-ref arg-2 0))) e-0) e-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--val (vector 2 e-1 e-2 e-3 e-4 e-5))) (let ((sc2 (CoreC-45Name-dropAllNS e-6))) (case (vector-ref sc2 0) ((1) (let ((e-7 (vector-ref sc2 1))) (case (vector-ref e-7 0) ((0) (let ((e-8 (vector-ref e-7 1))) (cond ((equal? e-8 "PhysicalIdrSrc") (if (null? e-5) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "OriginDesc") (let ((e-10 (car e-5))) (let ((e-9 (cdr e-5))) (if (null? e-10) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "OriginDesc") (let ((e-12 (cdr e-10))) (if (null? e-9) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-12))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-13 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45Reflect-u--reify_Reify_ModuleIdent arg-0 arg-1 arg-2 e-13))) eff-2))))))))) (PrimIO-io_bind eff-1 (csegen-2361))) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "OriginDesc")))))))) ((equal? e-8 "PhysicalPkgSrc") (if (null? e-5) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "OriginDesc") (let ((e-15 (car e-5))) (let ((e-16 (cdr e-5))) (if (null? e-15) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "OriginDesc") (let ((e-20 (cdr e-15))) (if (null? e-16) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-20))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-9 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45Reflect-u--reify_Reify_String arg-0 arg-1 arg-2 e-9))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-9 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 1 e-9))))) eff-2))))))) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "OriginDesc")))))))) ((equal? e-8 "Virtual") (if (null? e-5) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "OriginDesc") (let ((e-23 (car e-5))) (let ((e-24 (cdr e-5))) (if (null? e-23) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "OriginDesc") (let ((e-28 (cdr e-23))) (if (null? e-24) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-28))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-9 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45Reflect-u--reify_Reify_VirtualIdent arg-0 arg-1 arg-2 e-9))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-9 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 2 e-9))))) eff-2))))))) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "OriginDesc"))))))))(else (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "OriginDesc")))))(else (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "OriginDesc")))))(else (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "OriginDesc"))))))) eff-1)))))))))))))(else (CoreC-45Reflect-cantReify arg-0 arg-1 arg-3 "OriginDesc")))))
(define CoreC-45Reflect-u--reify_Reify_Nat (lambda (arg-0 arg-1 arg-2 arg-3) (case (vector-ref arg-3 0) ((2) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-3 (vector-ref arg-3 3))) (let ((e-4 (vector-ref arg-3 4))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (CoreC-45Context-u--full_HasNames_Name (let ((e-0 (vector-ref arg-2 0))) e-0) e-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--val (vector 2 e-1 e-2 e-3 e-4 e-5))) (let ((sc2 (CoreC-45Name-dropAllNS e-6))) (case (vector-ref sc2 0) ((1) (let ((e-7 (vector-ref sc2 1))) (case (vector-ref e-7 0) ((0) (let ((e-8 (vector-ref e-7 1))) (cond ((equal? e-8 "Z") (lambda (eta-0) (vector 1 0))) ((equal? e-8 "S") (if (null? e-5) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Nat") (let ((e-10 (car e-5))) (let ((e-9 (cdr e-5))) (if (null? e-10) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Nat") (let ((e-12 (cdr e-10))) (if (null? e-9) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-12))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-13 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-1 1))) (let ((eff-2 (((let ((eff-2 (lambda (u--c) (lambda (u--vars) (lambda (arg-6432) (lambda (arg-6435) (CoreC-45Reflect-u--reify_Reify_Nat u--c u--vars arg-6432 arg-6435))))))) (lambda (arg-4) (lambda (arg-5) ((((eff-2 arg-0) arg-1) arg-4) arg-5)))) arg-2) e-13))) eff-2))))))))) (PrimIO-io_bind eff-1 (csegen-1703))) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Nat"))))))))(else (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Nat")))))(else (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Nat")))))(else (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Nat"))))))) eff-1)))))))))))))(else (CoreC-45Reflect-cantReify arg-0 arg-1 arg-3 "Nat")))))
(define CoreC-45Reflect-u--reify_Reify_Namespace (lambda (arg-0 arg-1 arg-2 arg-3) (case (vector-ref arg-3 0) ((2) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-3 (vector-ref arg-3 3))) (let ((e-4 (vector-ref arg-3 4))) (let ((e-5 (vector-ref arg-3 5))) (if (null? e-5) (CoreC-45Reflect-cantReify arg-0 arg-1 arg-3 "Namespace") (let ((e-7 (car e-5))) (let ((e-8 (cdr e-5))) (if (null? e-7) (CoreC-45Reflect-cantReify arg-0 arg-1 arg-3 "Namespace") (let ((e-11 (car e-7))) (let ((e-12 (cdr e-7))) (if (null? e-8) (let ((eff-0 (CoreC-45Context-u--full_HasNames_Name (let ((e-0 (vector-ref arg-2 0))) e-0) e-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--val (vector 2 e-1 e-2 e-3 e-4 (cons (cons e-11 e-12) '())))) (let ((sc5 (CoreC-45Name-dropAllNS e-6))) (case (vector-ref sc5 0) ((1) (let ((e-0 (vector-ref sc5 1))) (case (vector-ref e-0 0) ((0) (let ((e-9 (vector-ref e-0 1))) (cond ((equal? e-9 "MkNS") (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-12))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-10 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-1 1))) (let ((eff-2 (((let ((eff-2 (csegen-3099))) (lambda (arg-4) (lambda (arg-5) ((((eff-2 arg-0) arg-1) arg-4) arg-5)))) arg-2) e-10))) eff-2))))))))) (PrimIO-io_bind eff-1 (csegen-1313))))(else (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Namespace")))))(else (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Namespace")))))(else (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Namespace"))))))) eff-1))))))) (CoreC-45Reflect-cantReify arg-0 arg-1 arg-3 "Namespace"))))))))))))))(else (CoreC-45Reflect-cantReify arg-0 arg-1 arg-3 "Namespace")))))
(define CoreC-45Reflect-u--reify_Reify_Name (lambda (arg-0 arg-1 arg-2 arg-3) (case (vector-ref arg-3 0) ((2) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-3 (vector-ref arg-3 3))) (let ((e-4 (vector-ref arg-3 4))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (CoreC-45Context-u--full_HasNames_Name (let ((e-0 (vector-ref arg-2 0))) e-0) e-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--val (vector 2 e-1 e-2 e-3 e-4 e-5))) (let ((sc2 (CoreC-45Name-dropAllNS e-6))) (case (vector-ref sc2 0) ((1) (let ((e-7 (vector-ref sc2 1))) (case (vector-ref e-7 0) ((0) (let ((e-8 (vector-ref e-7 1))) (cond ((equal? e-8 "UN") (if (null? e-5) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Name, the name was not found in context") (let ((e-9 (car e-5))) (let ((e-10 (cdr e-5))) (if (null? e-9) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Name, the name was not found in context") (let ((e-14 (cdr e-9))) (if (null? e-10) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-14))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-11 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45Reflect-u--reify_Reify_UserName arg-0 arg-1 arg-2 e-11))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-11 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 1 e-11))))) eff-2))))))) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Name, the name was not found in context")))))))) ((equal? e-8 "MN") (if (null? e-5) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Name, the name was not found in context") (let ((e-17 (car e-5))) (let ((e-18 (cdr e-5))) (if (null? e-17) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Name, the name was not found in context") (let ((e-22 (cdr e-17))) (if (null? e-18) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Name, the name was not found in context") (let ((e-24 (car e-18))) (let ((e-25 (cdr e-18))) (if (null? e-24) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Name, the name was not found in context") (let ((e-29 (cdr e-24))) (if (null? e-25) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-22))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-9 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45Reflect-u--reify_Reify_String arg-0 arg-1 arg-2 e-9))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-9 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (let ((eff-2 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-29))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-10 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-2 1))) (let ((eff-3 (CoreC-45Reflect-u--reify_Reify_Int arg-0 arg-1 arg-2 e-10))) eff-3))))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-10 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (vector 2 e-9 e-10))))) eff-3))))))))) eff-2))))))) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Name, the name was not found in context"))))))))))))) ((equal? e-8 "NS") (if (null? e-5) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Name, the name was not found in context") (let ((e-32 (car e-5))) (let ((e-33 (cdr e-5))) (if (null? e-32) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Name, the name was not found in context") (let ((e-37 (cdr e-32))) (if (null? e-33) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Name, the name was not found in context") (let ((e-39 (car e-33))) (let ((e-40 (cdr e-33))) (if (null? e-39) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Name, the name was not found in context") (let ((e-44 (cdr e-39))) (if (null? e-40) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-37))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-9 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45Reflect-u--reify_Reify_Namespace arg-0 arg-1 arg-2 e-9))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-9 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (let ((eff-2 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-44))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-10 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-2 1))) (let ((eff-3 (((let ((eff-3 (csegen-3101))) (lambda (arg-4) (lambda (arg-5) ((((eff-3 arg-0) arg-1) arg-4) arg-5)))) arg-2) e-10))) eff-3))))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-10 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (vector 0 e-9 e-10))))) eff-3))))))))) eff-2))))))) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Name, the name was not found in context"))))))))))))) ((equal? e-8 "DN") (if (null? e-5) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Name, the name was not found in context") (let ((e-47 (car e-5))) (let ((e-48 (cdr e-5))) (if (null? e-47) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Name, the name was not found in context") (let ((e-52 (cdr e-47))) (if (null? e-48) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Name, the name was not found in context") (let ((e-54 (car e-48))) (let ((e-55 (cdr e-48))) (if (null? e-54) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Name, the name was not found in context") (let ((e-59 (cdr e-54))) (if (null? e-55) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-52))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-9 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45Reflect-u--reify_Reify_String arg-0 arg-1 arg-2 e-9))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-9 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (let ((eff-2 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-59))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-10 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-2 1))) (let ((eff-3 (((let ((eff-3 (csegen-3101))) (lambda (arg-4) (lambda (arg-5) ((((eff-3 arg-0) arg-1) arg-4) arg-5)))) arg-2) e-10))) eff-3))))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-10 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (vector 4 e-9 e-10))))) eff-3))))))))) eff-2))))))) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Name, the name was not found in context"))))))))))))) ((equal? e-8 "Nested") (if (null? e-5) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Name, the name was not found in context") (let ((e-62 (car e-5))) (let ((e-63 (cdr e-5))) (if (null? e-62) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Name, the name was not found in context") (let ((e-67 (cdr e-62))) (if (null? e-63) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Name, the name was not found in context") (let ((e-69 (car e-63))) (let ((e-70 (cdr e-63))) (if (null? e-69) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Name, the name was not found in context") (let ((e-74 (cdr e-69))) (if (null? e-70) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-67))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-9 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-1 1))) (let ((eff-2 (((let ((eff-2 (csegen-3104))) (lambda (arg-4) (lambda (arg-5) ((((eff-2 arg-0) arg-1) arg-4) arg-5)))) arg-2) e-9))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-9 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (let ((eff-2 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-74))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-10 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-2 1))) (let ((eff-3 (((let ((eff-3 (csegen-3101))) (lambda (arg-4) (lambda (arg-5) ((((eff-3 arg-0) arg-1) arg-4) arg-5)))) arg-2) e-10))) eff-3))))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-10 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (vector 5 e-9 e-10))))) eff-3))))))))) eff-2))))))) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Name, the name was not found in context"))))))))))))) ((equal? e-8 "CaseBlock") (if (null? e-5) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Name, the name was not found in context") (let ((e-77 (car e-5))) (let ((e-78 (cdr e-5))) (if (null? e-77) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Name, the name was not found in context") (let ((e-82 (cdr e-77))) (if (null? e-78) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Name, the name was not found in context") (let ((e-84 (car e-78))) (let ((e-85 (cdr e-78))) (if (null? e-84) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Name, the name was not found in context") (let ((e-89 (cdr e-84))) (if (null? e-85) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-82))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-9 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45Reflect-u--reify_Reify_String arg-0 arg-1 arg-2 e-9))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-9 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (let ((eff-2 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-89))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-10 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-2 1))) (let ((eff-3 (CoreC-45Reflect-u--reify_Reify_Int arg-0 arg-1 arg-2 e-10))) eff-3))))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-10 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (vector 6 e-9 e-10))))) eff-3))))))))) eff-2))))))) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Name, the name was not found in context"))))))))))))) ((equal? e-8 "WithBlock") (if (null? e-5) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Name, the name was not found in context") (let ((e-92 (car e-5))) (let ((e-93 (cdr e-5))) (if (null? e-92) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Name, the name was not found in context") (let ((e-97 (cdr e-92))) (if (null? e-93) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Name, the name was not found in context") (let ((e-99 (car e-93))) (let ((e-100 (cdr e-93))) (if (null? e-99) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Name, the name was not found in context") (let ((e-104 (cdr e-99))) (if (null? e-100) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-97))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-9 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45Reflect-u--reify_Reify_String arg-0 arg-1 arg-2 e-9))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-9 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (let ((eff-2 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-104))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-10 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-2 1))) (let ((eff-3 (CoreC-45Reflect-u--reify_Reify_Int arg-0 arg-1 arg-2 e-10))) eff-3))))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-10 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (vector 7 e-9 e-10))))) eff-3))))))))) eff-2))))))) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Name, the name was not found in context")))))))))))))(else (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Name, the name was not found in context")))))(else (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Name, the name was not found in context"))))) ((0) (let ((e-7 (vector-ref sc2 2))) (case (vector-ref e-7 0) ((1) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Name, reifying it is unimplemented or intentionally internal"))(else (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Name, the name was not found in context")))))(else (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Name, the name was not found in context"))))))) eff-1)))))))))))))(else (CoreC-45Reflect-cantReify arg-0 arg-1 arg-3 "Name, value is not an NDCon interally")))))
(define CoreC-45Reflect-u--reify_Reify_ModuleIdent (lambda (arg-0 arg-1 arg-2 arg-3) (case (vector-ref arg-3 0) ((2) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-3 (vector-ref arg-3 3))) (let ((e-4 (vector-ref arg-3 4))) (let ((e-5 (vector-ref arg-3 5))) (if (null? e-5) (CoreC-45Reflect-cantReify arg-0 arg-1 arg-3 "ModuleIdent") (let ((e-7 (car e-5))) (let ((e-8 (cdr e-5))) (if (null? e-7) (CoreC-45Reflect-cantReify arg-0 arg-1 arg-3 "ModuleIdent") (let ((e-11 (car e-7))) (let ((e-12 (cdr e-7))) (if (null? e-8) (let ((eff-0 (CoreC-45Context-u--full_HasNames_Name (let ((e-0 (vector-ref arg-2 0))) e-0) e-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--val (vector 2 e-1 e-2 e-3 e-4 (cons (cons e-11 e-12) '())))) (let ((sc5 (CoreC-45Name-dropAllNS e-6))) (case (vector-ref sc5 0) ((1) (let ((e-0 (vector-ref sc5 1))) (case (vector-ref e-0 0) ((0) (let ((e-9 (vector-ref e-0 1))) (cond ((equal? e-9 "MkMI") (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-12))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-10 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-1 1))) (let ((eff-2 (((let ((eff-2 (csegen-3099))) (lambda (arg-4) (lambda (arg-5) ((((eff-2 arg-0) arg-1) arg-4) arg-5)))) arg-2) e-10))) eff-2))))))))) (PrimIO-io_bind eff-1 (csegen-1313))))(else (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "ModuleIdent")))))(else (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "ModuleIdent")))))(else (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "ModuleIdent"))))))) eff-1))))))) (CoreC-45Reflect-cantReify arg-0 arg-1 arg-3 "ModuleIdent"))))))))))))))(else (CoreC-45Reflect-cantReify arg-0 arg-1 arg-3 "ModuleIdent")))))
(define CoreC-45Reflect-u--reify_Reify_LazyReason (lambda (arg-0 arg-1 arg-2 arg-3) (case (vector-ref arg-3 0) ((2) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-3 (vector-ref arg-3 3))) (let ((e-4 (vector-ref arg-3 4))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (CoreC-45Context-u--full_HasNames_Name (let ((e-0 (vector-ref arg-2 0))) e-0) e-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--val (vector 2 e-1 e-2 e-3 e-4 e-5))) (let ((sc2 (CoreC-45Name-dropAllNS e-6))) (case (vector-ref sc2 0) ((1) (let ((e-0 (vector-ref sc2 1))) (case (vector-ref e-0 0) ((0) (let ((e-7 (vector-ref e-0 1))) (cond ((equal? e-7 "LInf") (lambda (eta-0) (vector 1 0))) ((equal? e-7 "LLazy") (lambda (eta-0) (vector 1 1))) ((equal? e-7 "LUnknown") (lambda (eta-0) (vector 1 2)))(else (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "LazyReason")))))(else (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "LazyReason")))))(else (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "LazyReason"))))))) eff-1)))))))))))))(else (CoreC-45Reflect-cantReify arg-0 arg-1 arg-3 "LazyReason")))))
(define CoreC-45Reflect-u--reify_Reify_Integer (lambda (arg-0 arg-1 arg-2 arg-3) (case (vector-ref arg-3 0) ((8) (let ((e-2 (vector-ref arg-3 2))) (case (vector-ref e-2 0) ((5) (let ((e-3 (vector-ref e-2 1))) (lambda (eta-0) (vector 1 e-3))))(else (CoreC-45Reflect-cantReify arg-0 arg-1 arg-3 "Integer")))))(else (CoreC-45Reflect-cantReify arg-0 arg-1 arg-3 "Integer")))))
(define CoreC-45Reflect-u--reify_Reify_Int8 (lambda (arg-0 arg-1 arg-2 arg-3) (case (vector-ref arg-3 0) ((8) (let ((e-2 (vector-ref arg-3 2))) (case (vector-ref e-2 0) ((1) (let ((e-3 (vector-ref e-2 1))) (lambda (eta-0) (vector 1 e-3))))(else (CoreC-45Reflect-cantReify arg-0 arg-1 arg-3 "Int8")))))(else (CoreC-45Reflect-cantReify arg-0 arg-1 arg-3 "Int8")))))
(define CoreC-45Reflect-u--reify_Reify_Int64 (lambda (arg-0 arg-1 arg-2 arg-3) (case (vector-ref arg-3 0) ((8) (let ((e-2 (vector-ref arg-3 2))) (case (vector-ref e-2 0) ((4) (let ((e-3 (vector-ref e-2 1))) (lambda (eta-0) (vector 1 e-3))))(else (CoreC-45Reflect-cantReify arg-0 arg-1 arg-3 "Int64")))))(else (CoreC-45Reflect-cantReify arg-0 arg-1 arg-3 "Int64")))))
(define CoreC-45Reflect-u--reify_Reify_Int32 (lambda (arg-0 arg-1 arg-2 arg-3) (case (vector-ref arg-3 0) ((8) (let ((e-2 (vector-ref arg-3 2))) (case (vector-ref e-2 0) ((3) (let ((e-3 (vector-ref e-2 1))) (lambda (eta-0) (vector 1 e-3))))(else (CoreC-45Reflect-cantReify arg-0 arg-1 arg-3 "Int32")))))(else (CoreC-45Reflect-cantReify arg-0 arg-1 arg-3 "Int32")))))
(define CoreC-45Reflect-u--reify_Reify_Int16 (lambda (arg-0 arg-1 arg-2 arg-3) (case (vector-ref arg-3 0) ((8) (let ((e-2 (vector-ref arg-3 2))) (case (vector-ref e-2 0) ((2) (let ((e-3 (vector-ref e-2 1))) (lambda (eta-0) (vector 1 e-3))))(else (CoreC-45Reflect-cantReify arg-0 arg-1 arg-3 "Int16")))))(else (CoreC-45Reflect-cantReify arg-0 arg-1 arg-3 "Int16")))))
(define CoreC-45Reflect-u--reify_Reify_Int (lambda (arg-0 arg-1 arg-2 arg-3) (case (vector-ref arg-3 0) ((8) (let ((e-2 (vector-ref arg-3 2))) (case (vector-ref e-2 0) ((0) (let ((e-3 (vector-ref e-2 1))) (lambda (eta-0) (vector 1 e-3))))(else (CoreC-45Reflect-cantReify arg-0 arg-1 arg-3 "Int")))))(else (CoreC-45Reflect-cantReify arg-0 arg-1 arg-3 "Int")))))
(define CoreC-45Reflect-u--reify_Reify_FC (lambda (arg-0 arg-1 arg-2 arg-3) (case (vector-ref arg-3 0) ((2) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-3 (vector-ref arg-3 3))) (let ((e-4 (vector-ref arg-3 4))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (CoreC-45Context-u--full_HasNames_Name (let ((e-0 (vector-ref arg-2 0))) e-0) e-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--val (vector 2 e-1 e-2 e-3 e-4 e-5))) (let ((sc2 (CoreC-45Name-dropAllNS e-6))) (case (vector-ref sc2 0) ((1) (let ((e-7 (vector-ref sc2 1))) (case (vector-ref e-7 0) ((0) (let ((e-8 (vector-ref e-7 1))) (cond ((equal? e-8 "MkFC") (if (null? e-5) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "FC") (let ((e-10 (car e-5))) (let ((e-9 (cdr e-5))) (if (null? e-10) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "FC") (let ((e-12 (cdr e-10))) (if (null? e-9) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "FC") (let ((e-14 (car e-9))) (let ((e-15 (cdr e-9))) (if (null? e-14) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "FC") (let ((e-19 (cdr e-14))) (if (null? e-15) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "FC") (let ((e-21 (car e-15))) (let ((e-22 (cdr e-15))) (if (null? e-21) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "FC") (let ((e-26 (cdr e-21))) (if (null? e-22) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-12))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-13 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45Reflect-u--reify_Reify_OriginDesc arg-0 arg-1 arg-2 e-13))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-13 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (let ((eff-2 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-19))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-16 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-16)))) (else (let ((e-16 (vector-ref lcase-2 1))) (let ((eff-3 (((let ((eff-3 (csegen-3104))) (lambda (arg-4) (lambda (arg-5) ((((eff-3 arg-0) arg-1) arg-4) arg-5)))) arg-2) e-16))) eff-3))))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-16 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-16)))) (else (let ((e-16 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-26))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-17 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-17)))) (else (let ((e-17 (vector-ref lcase-3 1))) (let ((eff-4 (((let ((eff-4 (csegen-3104))) (lambda (arg-4) (lambda (arg-5) ((((eff-4 arg-0) arg-1) arg-4) arg-5)))) arg-2) e-17))) eff-4))))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-17 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-17)))) (else (let ((e-17 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 0 e-13 e-16 e-17))))) eff-4))))))))) eff-3))))))))) eff-2))))))) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "FC")))))))))))))))))) ((equal? e-8 "EmptyFC") (lambda (eta-0) (vector 1 (vector 2 ))))(else (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "FC")))))(else (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "FC")))))(else (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "FC"))))))) eff-1)))))))))))))(else (CoreC-45Reflect-cantReify arg-0 arg-1 arg-3 "FC")))))
(define CoreC-45Reflect-u--reify_Reify_Double (lambda (arg-0 arg-1 arg-2 arg-3) (case (vector-ref arg-3 0) ((8) (let ((e-2 (vector-ref arg-3 2))) (case (vector-ref e-2 0) ((12) (let ((e-3 (vector-ref e-2 1))) (lambda (eta-0) (vector 1 e-3))))(else (CoreC-45Reflect-cantReify arg-0 arg-1 arg-3 "Double")))))(else (CoreC-45Reflect-cantReify arg-0 arg-1 arg-3 "Double")))))
(define CoreC-45Reflect-u--reify_Reify_Constant (lambda (arg-0 arg-1 arg-2 arg-3) (case (vector-ref arg-3 0) ((2) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-3 (vector-ref arg-3 3))) (let ((e-4 (vector-ref arg-3 4))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (CoreC-45Context-u--full_HasNames_Name (let ((e-0 (vector-ref arg-2 0))) e-0) e-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--val (vector 2 e-1 e-2 e-3 e-4 e-5))) (let ((sc2 (CoreC-45Name-dropAllNS e-6))) (case (vector-ref sc2 0) ((1) (let ((e-7 (vector-ref sc2 1))) (case (vector-ref e-7 0) ((0) (let ((e-8 (vector-ref e-7 1))) (cond ((equal? e-8 "I") (if (null? e-5) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Constant") (let ((e-10 (car e-5))) (let ((e-9 (cdr e-5))) (if (null? e-10) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Constant") (let ((e-12 (cdr e-10))) (if (null? e-9) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-12))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-13 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45Reflect-u--reify_Reify_Int arg-0 arg-1 arg-2 e-13))) eff-2))))))))) (PrimIO-io_bind eff-1 (csegen-2010))) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Constant")))))))) ((equal? e-8 "I8") (if (null? e-5) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Constant") (let ((e-15 (car e-5))) (let ((e-16 (cdr e-5))) (if (null? e-15) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Constant") (let ((e-20 (cdr e-15))) (if (null? e-16) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-20))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-9 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45Reflect-u--reify_Reify_Int8 arg-0 arg-1 arg-2 e-9))) eff-2))))))))) (PrimIO-io_bind eff-1 (csegen-2011))) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Constant")))))))) ((equal? e-8 "I16") (if (null? e-5) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Constant") (let ((e-23 (car e-5))) (let ((e-24 (cdr e-5))) (if (null? e-23) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Constant") (let ((e-28 (cdr e-23))) (if (null? e-24) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-28))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-9 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45Reflect-u--reify_Reify_Int16 arg-0 arg-1 arg-2 e-9))) eff-2))))))))) (PrimIO-io_bind eff-1 (csegen-2012))) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Constant")))))))) ((equal? e-8 "I32") (if (null? e-5) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Constant") (let ((e-31 (car e-5))) (let ((e-32 (cdr e-5))) (if (null? e-31) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Constant") (let ((e-36 (cdr e-31))) (if (null? e-32) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-36))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-9 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45Reflect-u--reify_Reify_Int32 arg-0 arg-1 arg-2 e-9))) eff-2))))))))) (PrimIO-io_bind eff-1 (csegen-2013))) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Constant")))))))) ((equal? e-8 "I64") (if (null? e-5) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Constant") (let ((e-39 (car e-5))) (let ((e-40 (cdr e-5))) (if (null? e-39) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Constant") (let ((e-44 (cdr e-39))) (if (null? e-40) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-44))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-9 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45Reflect-u--reify_Reify_Int64 arg-0 arg-1 arg-2 e-9))) eff-2))))))))) (PrimIO-io_bind eff-1 (csegen-2014))) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Constant")))))))) ((equal? e-8 "BI") (if (null? e-5) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Constant") (let ((e-47 (car e-5))) (let ((e-48 (cdr e-5))) (if (null? e-47) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Constant") (let ((e-52 (cdr e-47))) (if (null? e-48) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-52))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-9 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45Reflect-u--reify_Reify_Integer arg-0 arg-1 arg-2 e-9))) eff-2))))))))) (PrimIO-io_bind eff-1 (csegen-2015))) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Constant")))))))) ((equal? e-8 "B8") (if (null? e-5) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Constant") (let ((e-55 (car e-5))) (let ((e-56 (cdr e-5))) (if (null? e-55) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Constant") (let ((e-60 (cdr e-55))) (if (null? e-56) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-60))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-9 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45Reflect-u--reify_Reify_Bits8 arg-0 arg-1 arg-2 e-9))) eff-2))))))))) (PrimIO-io_bind eff-1 (csegen-2016))) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Constant")))))))) ((equal? e-8 "B16") (if (null? e-5) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Constant") (let ((e-63 (car e-5))) (let ((e-64 (cdr e-5))) (if (null? e-63) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Constant") (let ((e-68 (cdr e-63))) (if (null? e-64) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-68))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-9 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45Reflect-u--reify_Reify_Bits16 arg-0 arg-1 arg-2 e-9))) eff-2))))))))) (PrimIO-io_bind eff-1 (csegen-2017))) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Constant")))))))) ((equal? e-8 "B32") (if (null? e-5) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Constant") (let ((e-71 (car e-5))) (let ((e-72 (cdr e-5))) (if (null? e-71) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Constant") (let ((e-76 (cdr e-71))) (if (null? e-72) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-76))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-9 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45Reflect-u--reify_Reify_Bits32 arg-0 arg-1 arg-2 e-9))) eff-2))))))))) (PrimIO-io_bind eff-1 (csegen-2018))) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Constant")))))))) ((equal? e-8 "B64") (if (null? e-5) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Constant") (let ((e-79 (car e-5))) (let ((e-80 (cdr e-5))) (if (null? e-79) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Constant") (let ((e-84 (cdr e-79))) (if (null? e-80) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-84))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-9 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45Reflect-u--reify_Reify_Bits64 arg-0 arg-1 arg-2 e-9))) eff-2))))))))) (PrimIO-io_bind eff-1 (csegen-2019))) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Constant")))))))) ((equal? e-8 "Str") (if (null? e-5) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Constant") (let ((e-87 (car e-5))) (let ((e-88 (cdr e-5))) (if (null? e-87) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Constant") (let ((e-92 (cdr e-87))) (if (null? e-88) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-92))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-9 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45Reflect-u--reify_Reify_String arg-0 arg-1 arg-2 e-9))) eff-2))))))))) (PrimIO-io_bind eff-1 (csegen-2020))) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Constant")))))))) ((equal? e-8 "Ch") (if (null? e-5) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Constant") (let ((e-95 (car e-5))) (let ((e-96 (cdr e-5))) (if (null? e-95) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Constant") (let ((e-100 (cdr e-95))) (if (null? e-96) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-100))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-9 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45Reflect-u--reify_Reify_Char arg-0 arg-1 arg-2 e-9))) eff-2))))))))) (PrimIO-io_bind eff-1 (csegen-2021))) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Constant")))))))) ((equal? e-8 "Db") (if (null? e-5) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Constant") (let ((e-103 (car e-5))) (let ((e-104 (cdr e-5))) (if (null? e-103) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Constant") (let ((e-108 (cdr e-103))) (if (null? e-104) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-108))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-9 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45Reflect-u--reify_Reify_Double arg-0 arg-1 arg-2 e-9))) eff-2))))))))) (PrimIO-io_bind eff-1 (csegen-2022))) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Constant")))))))) ((equal? e-8 "PrT") (if (null? e-5) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Constant") (let ((e-111 (car e-5))) (let ((e-112 (cdr e-5))) (if (null? e-111) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Constant") (let ((e-116 (cdr e-111))) (if (null? e-112) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-116))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-9 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45Reflect-u--reify_Reify_PrimType arg-0 arg-1 arg-2 e-9))) eff-2))))))))) (PrimIO-io_bind eff-1 (csegen-2023))) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Constant")))))))) ((equal? e-8 "WorldVal") (if (null? e-5) (lambda (eta-0) (vector 1 (vector 14 ))) (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Constant")))(else (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Constant")))))(else (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Constant")))))(else (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Constant"))))))) eff-1)))))))))))))(else (CoreC-45Reflect-cantReify arg-0 arg-1 arg-3 "Constant")))))
(define CoreC-45Reflect-u--reify_Reify_Char (lambda (arg-0 arg-1 arg-2 arg-3) (case (vector-ref arg-3 0) ((8) (let ((e-2 (vector-ref arg-3 2))) (case (vector-ref e-2 0) ((11) (let ((e-3 (vector-ref e-2 1))) (lambda (eta-0) (vector 1 e-3))))(else (CoreC-45Reflect-cantReify arg-0 arg-1 arg-3 "Char")))))(else (CoreC-45Reflect-cantReify arg-0 arg-1 arg-3 "Char")))))
(define CoreC-45Reflect-u--reify_Reify_Bool (lambda (arg-0 arg-1 arg-2 arg-3) (case (vector-ref arg-3 0) ((2) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-3 (vector-ref arg-3 3))) (let ((e-4 (vector-ref arg-3 4))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (CoreC-45Context-u--full_HasNames_Name (let ((e-0 (vector-ref arg-2 0))) e-0) e-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--val (vector 2 e-1 e-2 e-3 e-4 e-5))) (let ((sc2 (CoreC-45Name-dropAllNS e-6))) (case (vector-ref sc2 0) ((1) (let ((e-0 (vector-ref sc2 1))) (case (vector-ref e-0 0) ((0) (let ((e-7 (vector-ref e-0 1))) (cond ((equal? e-7 "True") (lambda (eta-0) (vector 1 1))) ((equal? e-7 "False") (lambda (eta-0) (vector 1 0)))(else (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Bool")))))(else (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Bool")))))(else (CoreC-45Reflect-cantReify arg-0 arg-1 u--val "Bool"))))))) eff-1)))))))))))))(else (CoreC-45Reflect-cantReify arg-0 arg-1 arg-3 "Bool")))))
(define CoreC-45Reflect-u--reify_Reify_Bits8 (lambda (arg-0 arg-1 arg-2 arg-3) (case (vector-ref arg-3 0) ((8) (let ((e-2 (vector-ref arg-3 2))) (case (vector-ref e-2 0) ((6) (let ((e-3 (vector-ref e-2 1))) (lambda (eta-0) (vector 1 e-3))))(else (CoreC-45Reflect-cantReify arg-0 arg-1 arg-3 "Bits8")))))(else (CoreC-45Reflect-cantReify arg-0 arg-1 arg-3 "Bits8")))))
(define CoreC-45Reflect-u--reify_Reify_Bits64 (lambda (arg-0 arg-1 arg-2 arg-3) (case (vector-ref arg-3 0) ((8) (let ((e-2 (vector-ref arg-3 2))) (case (vector-ref e-2 0) ((9) (let ((e-3 (vector-ref e-2 1))) (lambda (eta-0) (vector 1 e-3))))(else (CoreC-45Reflect-cantReify arg-0 arg-1 arg-3 "Bits64")))))(else (CoreC-45Reflect-cantReify arg-0 arg-1 arg-3 "Bits64")))))
(define CoreC-45Reflect-u--reify_Reify_Bits32 (lambda (arg-0 arg-1 arg-2 arg-3) (case (vector-ref arg-3 0) ((8) (let ((e-2 (vector-ref arg-3 2))) (case (vector-ref e-2 0) ((8) (let ((e-3 (vector-ref e-2 1))) (lambda (eta-0) (vector 1 e-3))))(else (CoreC-45Reflect-cantReify arg-0 arg-1 arg-3 "Bits32")))))(else (CoreC-45Reflect-cantReify arg-0 arg-1 arg-3 "Bits32")))))
(define CoreC-45Reflect-u--reify_Reify_Bits16 (lambda (arg-0 arg-1 arg-2 arg-3) (case (vector-ref arg-3 0) ((8) (let ((e-2 (vector-ref arg-3 2))) (case (vector-ref e-2 0) ((7) (let ((e-3 (vector-ref e-2 1))) (lambda (eta-0) (vector 1 e-3))))(else (CoreC-45Reflect-cantReify arg-0 arg-1 arg-3 "Bits16")))))(else (CoreC-45Reflect-cantReify arg-0 arg-1 arg-3 "Bits16")))))
(define CoreC-45Reflect-u--reify_Reify_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (lambda (arg-2 arg-3 arg-4 arg-5 arg-6) (case (vector-ref arg-6 0) ((2) (let ((e-1 (vector-ref arg-6 1))) (let ((e-2 (vector-ref arg-6 2))) (let ((e-3 (vector-ref arg-6 3))) (let ((e-4 (vector-ref arg-6 4))) (let ((e-5 (vector-ref arg-6 5))) (if (null? e-5) (CoreC-45Reflect-cantReify arg-3 arg-4 arg-6 "Pair") (let ((e-7 (car e-5))) (let ((e-8 (cdr e-5))) (if (null? e-8) (CoreC-45Reflect-cantReify arg-3 arg-4 arg-6 "Pair") (let ((e-10 (car e-8))) (let ((e-11 (cdr e-8))) (if (null? e-11) (CoreC-45Reflect-cantReify arg-3 arg-4 arg-6 "Pair") (let ((e-13 (car e-11))) (let ((e-14 (cdr e-11))) (if (null? e-13) (CoreC-45Reflect-cantReify arg-3 arg-4 arg-6 "Pair") (let ((e-17 (car e-13))) (let ((e-18 (cdr e-13))) (if (null? e-14) (CoreC-45Reflect-cantReify arg-3 arg-4 arg-6 "Pair") (let ((e-20 (car e-14))) (let ((e-21 (cdr e-14))) (if (null? e-20) (CoreC-45Reflect-cantReify arg-3 arg-4 arg-6 "Pair") (let ((e-24 (car e-20))) (let ((e-25 (cdr e-20))) (if (null? e-21) (let ((eff-0 (CoreC-45Context-u--full_HasNames_Name (let ((e-0 (vector-ref arg-5 0))) e-0) e-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--val (vector 2 e-1 e-2 e-3 e-4 (cons e-7 (cons e-10 (cons (cons e-17 e-18) (cons (cons e-24 e-25) '()))))))) (let ((sc9 (CoreC-45Name-dropAllNS e-6))) (case (vector-ref sc9 0) ((1) (let ((e-0 (vector-ref sc9 1))) (case (vector-ref e-0 0) ((0) (let ((e-9 (vector-ref e-0 1))) (cond ((equal? e-9 "MkPair") (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-3 arg-4 arg-5 e-18))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-12 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-12)))) (else (let ((e-12 (vector-ref lcase-1 1))) (let ((eff-2 (((let ((eff-2 (Builtin-fst arg-2))) (lambda (arg-0) (lambda (arg-1) ((((eff-2 arg-3) arg-4) arg-0) arg-1)))) arg-5) e-12))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-12 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-12)))) (else (let ((e-12 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (let ((eff-2 (CoreC-45NormaliseC-45Eval-evalClosure arg-3 arg-4 arg-5 e-25))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-15 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-15)))) (else (let ((e-15 (vector-ref lcase-2 1))) (let ((eff-3 (((let ((eff-3 (Builtin-snd arg-2))) (lambda (arg-0) (lambda (arg-1) ((((eff-3 arg-3) arg-4) arg-0) arg-1)))) arg-5) e-15))) eff-3))))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-15 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-15)))) (else (let ((e-15 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (cons e-12 e-15))))) eff-3))))))))) eff-2))))))))(else (CoreC-45Reflect-cantReify arg-3 arg-4 u--val "Pair")))))(else (CoreC-45Reflect-cantReify arg-3 arg-4 u--val "Pair")))))(else (CoreC-45Reflect-cantReify arg-3 arg-4 u--val "Pair"))))))) eff-1))))))) (CoreC-45Reflect-cantReify arg-3 arg-4 arg-6 "Pair"))))))))))))))))))))))))))(else (CoreC-45Reflect-cantReify arg-3 arg-4 arg-6 "Pair")))))
(define CoreC-45Reflect-u--reify_Reify_C-40PiInfoC-32C-36tC-41 (lambda (arg-1 arg-2 arg-3 arg-4 arg-5) (case (vector-ref arg-5 0) ((2) (let ((e-1 (vector-ref arg-5 1))) (let ((e-2 (vector-ref arg-5 2))) (let ((e-3 (vector-ref arg-5 3))) (let ((e-4 (vector-ref arg-5 4))) (let ((e-5 (vector-ref arg-5 5))) (let ((eff-0 (CoreC-45Context-u--full_HasNames_Name (let ((e-0 (vector-ref arg-4 0))) e-0) e-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--val (vector 2 e-1 e-2 e-3 e-4 e-5))) (let ((sc2 (CoreC-45Name-dropAllNS e-6))) (case (vector-ref sc2 0) ((1) (let ((e-7 (vector-ref sc2 1))) (case (vector-ref e-7 0) ((0) (let ((e-8 (vector-ref e-7 1))) (cond ((equal? e-8 "ImplicitArg") (lambda (eta-0) (vector 1 (vector 0 )))) ((equal? e-8 "ExplicitArg") (lambda (eta-0) (vector 1 (vector 1 )))) ((equal? e-8 "AutoImplicit") (lambda (eta-0) (vector 1 (vector 2 )))) ((equal? e-8 "DefImplicit") (if (null? e-5) (CoreC-45Reflect-cantReify arg-2 arg-3 u--val "PiInfo") (let ((e-9 (cdr e-5))) (if (null? e-9) (CoreC-45Reflect-cantReify arg-2 arg-3 u--val "PiInfo") (let ((e-12 (car e-9))) (let ((e-11 (cdr e-9))) (if (null? e-12) (CoreC-45Reflect-cantReify arg-2 arg-3 u--val "PiInfo") (let ((e-15 (cdr e-12))) (if (null? e-11) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-2 arg-3 arg-4 e-15))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-13 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-1 1))) (let ((eff-2 (((let ((eff-2 arg-1)) (lambda (arg-0) (lambda (arg-6) ((((eff-2 arg-2) arg-3) arg-0) arg-6)))) arg-4) e-13))) eff-2))))))))) (PrimIO-io_bind eff-1 (csegen-1312))) (CoreC-45Reflect-cantReify arg-2 arg-3 u--val "PiInfo"))))))))))(else (CoreC-45Reflect-cantReify arg-2 arg-3 u--val "PiInfo")))))(else (CoreC-45Reflect-cantReify arg-2 arg-3 u--val "PiInfo")))))(else (CoreC-45Reflect-cantReify arg-2 arg-3 u--val "PiInfo"))))))) eff-1)))))))))))))(else (CoreC-45Reflect-cantReify arg-2 arg-3 arg-5 "PiInfo")))))
(define CoreC-45Reflect-u--reify_Reify_C-40MaybeC-32C-36aC-41 (lambda (arg-1 arg-2 arg-3 arg-4 arg-5) (case (vector-ref arg-5 0) ((2) (let ((e-1 (vector-ref arg-5 1))) (let ((e-2 (vector-ref arg-5 2))) (let ((e-3 (vector-ref arg-5 3))) (let ((e-4 (vector-ref arg-5 4))) (let ((e-5 (vector-ref arg-5 5))) (let ((eff-0 (CoreC-45Context-u--full_HasNames_Name (let ((e-0 (vector-ref arg-4 0))) e-0) e-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--val (vector 2 e-1 e-2 e-3 e-4 e-5))) (let ((sc2 (CoreC-45Name-dropAllNS e-6))) (case (vector-ref sc2 0) ((1) (let ((e-7 (vector-ref sc2 1))) (case (vector-ref e-7 0) ((0) (let ((e-8 (vector-ref e-7 1))) (cond ((equal? e-8 "Nothing") (lambda (eta-0) (vector 1 '()))) ((equal? e-8 "Just") (if (null? e-5) (CoreC-45Reflect-cantReify arg-2 arg-3 u--val "Maybe") (let ((e-9 (cdr e-5))) (if (null? e-9) (CoreC-45Reflect-cantReify arg-2 arg-3 u--val "Maybe") (let ((e-12 (car e-9))) (let ((e-11 (cdr e-9))) (if (null? e-12) (CoreC-45Reflect-cantReify arg-2 arg-3 u--val "Maybe") (let ((e-15 (cdr e-12))) (if (null? e-11) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-2 arg-3 arg-4 e-15))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-13 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-1 1))) (let ((eff-2 (((let ((eff-2 arg-1)) (lambda (arg-0) (lambda (arg-6) ((((eff-2 arg-2) arg-3) arg-0) arg-6)))) arg-4) e-13))) eff-2))))))))) (PrimIO-io_bind eff-1 (csegen-1573))) (CoreC-45Reflect-cantReify arg-2 arg-3 u--val "Maybe"))))))))))(else (CoreC-45Reflect-cantReify arg-2 arg-3 u--val "Maybe")))))(else (CoreC-45Reflect-cantReify arg-2 arg-3 u--val "Maybe")))))(else (CoreC-45Reflect-cantReify arg-2 arg-3 u--val "Maybe"))))))) eff-1)))))))))))))(else (CoreC-45Reflect-cantReify arg-2 arg-3 arg-5 "Maybe")))))
(define CoreC-45Reflect-u--reify_Reify_C-40ListC-32C-36aC-41 (lambda (arg-1 arg-2 arg-3 arg-4 arg-5) (case (vector-ref arg-5 0) ((2) (let ((e-1 (vector-ref arg-5 1))) (let ((e-2 (vector-ref arg-5 2))) (let ((e-3 (vector-ref arg-5 3))) (let ((e-4 (vector-ref arg-5 4))) (let ((e-5 (vector-ref arg-5 5))) (let ((eff-0 (CoreC-45Context-u--full_HasNames_Name (let ((e-0 (vector-ref arg-4 0))) e-0) e-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--val (vector 2 e-1 e-2 e-3 e-4 e-5))) (let ((sc2 (CoreC-45Name-dropAllNS e-6))) (case (vector-ref sc2 0) ((1) (let ((e-7 (vector-ref sc2 1))) (case (vector-ref e-7 0) ((0) (let ((e-8 (vector-ref e-7 1))) (cond ((equal? e-8 "Nil") (lambda (eta-0) (vector 1 '()))) ((equal? e-8 "::") (if (null? e-5) (CoreC-45Reflect-cantReify arg-2 arg-3 u--val "List") (let ((e-9 (cdr e-5))) (if (null? e-9) (CoreC-45Reflect-cantReify arg-2 arg-3 u--val "List") (let ((e-12 (car e-9))) (let ((e-11 (cdr e-9))) (if (null? e-12) (CoreC-45Reflect-cantReify arg-2 arg-3 u--val "List") (let ((e-15 (cdr e-12))) (if (null? e-11) (CoreC-45Reflect-cantReify arg-2 arg-3 u--val "List") (let ((e-17 (car e-11))) (let ((e-18 (cdr e-11))) (if (null? e-17) (CoreC-45Reflect-cantReify arg-2 arg-3 u--val "List") (let ((e-22 (cdr e-17))) (if (null? e-18) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-2 arg-3 arg-4 e-15))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-13 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-1 1))) (let ((eff-2 (((let ((eff-2 arg-1)) (lambda (arg-0) (lambda (arg-6) ((((eff-2 arg-2) arg-3) arg-0) arg-6)))) arg-4) e-13))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-13 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (let ((eff-2 (CoreC-45NormaliseC-45Eval-evalClosure arg-2 arg-3 arg-4 e-22))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-16 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-16)))) (else (let ((e-16 (vector-ref lcase-2 1))) (let ((eff-3 (((let ((eff-3 (lambda (u--c) (lambda (u--vars) (lambda (arg-6432) (lambda (arg-6435) (CoreC-45Reflect-u--reify_Reify_C-40ListC-32C-36aC-41 arg-1 u--c u--vars arg-6432 arg-6435))))))) (lambda (arg-0) (lambda (arg-6) ((((eff-3 arg-2) arg-3) arg-0) arg-6)))) arg-4) e-16))) eff-3))))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-16 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-16)))) (else (let ((e-16 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (cons e-13 e-16))))) eff-3))))))))) eff-2))))))) (CoreC-45Reflect-cantReify arg-2 arg-3 u--val "List")))))))))))))))(else (CoreC-45Reflect-cantReify arg-2 arg-3 u--val "List")))))(else (CoreC-45Reflect-cantReify arg-2 arg-3 u--val "List")))))(else (CoreC-45Reflect-cantReify arg-2 arg-3 u--val "List"))))))) eff-1)))))))))))))(else (CoreC-45Reflect-cantReify arg-2 arg-3 arg-5 "List")))))
(define CoreC-45Reflect-u--reflect_Reflect_Visibility (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (cond ((equal? arg-5 0) (CoreC-45Reflect-getCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectiontt "Private"))) ((equal? arg-5 1) (CoreC-45Reflect-getCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectiontt "Export"))) (else (CoreC-45Reflect-getCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectiontt "Public"))))))
(define CoreC-45Reflect-u--reflect_Reflect_VirtualIdent (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (CoreC-45Reflect-getCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectiontt "Interactive"))))
(define CoreC-45Reflect-u--reflect_Reflect_UserName (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (case (vector-ref arg-5 0) ((0) (let ((e-0 (vector-ref arg-5 1))) (let ((eff-0 (lambda (eta-0) (CoreC-45Reflect-u--reflect_Reflect_String arg-0 arg-1 arg-2 arg-3 arg-4 e-0 eta-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45Reflect-appCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectiontt "Basic") (cons e-5 '())))) eff-1))))))))) ((1) (let ((e-1 (vector-ref arg-5 1))) (let ((eff-0 (lambda (eta-0) (CoreC-45Reflect-u--reflect_Reflect_String arg-0 arg-1 arg-2 arg-3 arg-4 e-1 eta-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45Reflect-appCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectiontt "Field") (cons e-5 '())))) eff-1))))))))) (else (CoreC-45Reflect-appCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectiontt "Underscore") '())))))
(define CoreC-45Reflect-u--reflect_Reflect_TotalReq (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (cond ((equal? arg-5 0) (CoreC-45Reflect-getCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectiontt "Total"))) ((equal? arg-5 1) (CoreC-45Reflect-getCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectiontt "CoveringOnly"))) (else (CoreC-45Reflect-getCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectiontt "PartialOK"))))))
(define CoreC-45Reflect-u--reflect_Reflect_String (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 ext-0) (vector 1 (vector 9 arg-1 (vector 10 arg-5)))))
(define CoreC-45Reflect-u--reflect_Reflect_RigCount (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (AlgebraC-45Semiring-elimSemi (csegen-1156) (CoreC-45Reflect-getCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectiontt "M0")) (CoreC-45Reflect-getCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectiontt "M1")) (lambda (eta-0) (CoreC-45Reflect-getCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectiontt "MW"))) arg-5)))
(define CoreC-45Reflect-u--reflect_Reflect_PrimType (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (cond ((equal? arg-5 0) (CoreC-45Reflect-getCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectiontt "IntType"))) ((equal? arg-5 1) (CoreC-45Reflect-getCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectiontt "Int8Type"))) ((equal? arg-5 2) (CoreC-45Reflect-getCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectiontt "Int16Type"))) ((equal? arg-5 3) (CoreC-45Reflect-getCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectiontt "Int32Type"))) ((equal? arg-5 4) (CoreC-45Reflect-getCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectiontt "Int64Type"))) ((equal? arg-5 5) (CoreC-45Reflect-getCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectiontt "IntegerType"))) ((equal? arg-5 6) (CoreC-45Reflect-getCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectiontt "Bits8Type"))) ((equal? arg-5 7) (CoreC-45Reflect-getCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectiontt "Bits16Type"))) ((equal? arg-5 8) (CoreC-45Reflect-getCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectiontt "Bits32Type"))) ((equal? arg-5 9) (CoreC-45Reflect-getCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectiontt "Bits64Type"))) ((equal? arg-5 10) (CoreC-45Reflect-getCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectiontt "StringType"))) ((equal? arg-5 11) (CoreC-45Reflect-getCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectiontt "CharType"))) ((equal? arg-5 12) (CoreC-45Reflect-getCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectiontt "DoubleType"))) (else (CoreC-45Reflect-getCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectiontt "WorldType"))))))
(define CoreC-45Reflect-u--reflect_Reflect_OriginDesc (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (case (vector-ref arg-5 0) ((0) (let ((e-0 (vector-ref arg-5 1))) (let ((eff-0 (CoreC-45Reflect-u--reflect_Reflect_ModuleIdent arg-0 arg-1 arg-2 arg-3 arg-4 e-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45Reflect-appCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectiontt "PhysicalIdrSrc") (cons e-5 '())))) eff-1))))))))) ((1) (let ((e-1 (vector-ref arg-5 1))) (let ((eff-0 (lambda (eta-0) (CoreC-45Reflect-u--reflect_Reflect_String arg-0 arg-1 arg-2 arg-3 arg-4 e-1 eta-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45Reflect-appCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectiontt "PhysicalPkgSrc") (cons e-5 '())))) eff-1))))))))) (else (let ((e-2 (vector-ref arg-5 1))) (let ((eff-0 (CoreC-45Reflect-u--reflect_Reflect_VirtualIdent arg-0 arg-1 arg-2 arg-3 arg-4 e-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45Reflect-appCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectiontt "Virtual") (cons e-5 '())))) eff-1))))))))))))
(define CoreC-45Reflect-u--reflect_Reflect_Nat (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (cond ((equal? arg-5 0) (CoreC-45Reflect-getCon arg-0 arg-1 arg-2 (CoreC-45Reflect-preludetypes "Z")))(else (let ((e-0 (- arg-5 1))) (let ((eff-0 ((((((let ((eff-0 (lambda (u--vars) (lambda (arg-6498) (lambda (arg-6501) (lambda (u--onLHS) (lambda (arg-6506) (lambda (arg-6510) (CoreC-45Reflect-u--reflect_Reflect_Nat u--vars arg-6498 arg-6501 u--onLHS arg-6506 arg-6510))))))))) (lambda (arg-6) (lambda (arg-7) (lambda (arg-8) (lambda (arg-9) (lambda (arg-10) ((((((eff-0 arg-0) arg-6) arg-7) arg-8) arg-9) arg-10))))))) arg-1) arg-2) arg-3) arg-4) e-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45Reflect-appCon arg-0 arg-1 arg-2 (CoreC-45Reflect-preludetypes "S") (cons e-5 '())))) eff-1))))))))))))
(define CoreC-45Reflect-u--reflect_Reflect_Namespace (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (let ((eff-0 ((((((let ((eff-0 (csegen-3107))) (lambda (arg-6) (lambda (arg-7) (lambda (arg-8) (lambda (arg-9) (lambda (arg-10) ((((((eff-0 arg-0) arg-6) arg-7) arg-8) arg-9) arg-10))))))) arg-1) arg-2) arg-3) arg-4) (CoreC-45NameC-45Namespace-unsafeUnfoldNamespace arg-5)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45Reflect-appCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectiontt "MkNS") (cons e-5 '())))) eff-1)))))))))
(define CoreC-45Reflect-u--reflect_Reflect_NameType (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (case (vector-ref arg-5 0) ((0) (CoreC-45Reflect-getCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectiontt "Bound"))) ((1) (CoreC-45Reflect-getCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectiontt "Func"))) ((2) (let ((e-0 (vector-ref arg-5 1))) (let ((e-1 (vector-ref arg-5 2))) (let ((eff-0 (lambda (eta-0) (CoreC-45Reflect-u--reflect_Reflect_Int arg-0 arg-1 arg-2 arg-3 arg-4 e-0 eta-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Reflect-u--reflect_Reflect_Nat arg-0 arg-1 arg-2 arg-3 arg-4 e-1))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45Reflect-appCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectiontt "DataCon") (cons e-5 (cons e-6 '()))))) eff-2))))))))) eff-1)))))))))) (else (let ((e-2 (vector-ref arg-5 1))) (let ((e-3 (vector-ref arg-5 2))) (let ((eff-0 (lambda (eta-0) (CoreC-45Reflect-u--reflect_Reflect_Int arg-0 arg-1 arg-2 arg-3 arg-4 e-2 eta-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Reflect-u--reflect_Reflect_Nat arg-0 arg-1 arg-2 arg-3 arg-4 e-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45Reflect-appCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectiontt "TyCon") (cons e-5 (cons e-6 '()))))) eff-2))))))))) eff-1)))))))))))))
(define CoreC-45Reflect-u--reflect_Reflect_Name (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (case (vector-ref arg-5 0) ((1) (let ((e-0 (vector-ref arg-5 1))) (let ((eff-0 (CoreC-45Reflect-u--reflect_Reflect_UserName arg-0 arg-1 arg-2 arg-3 arg-4 e-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45Reflect-appCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectiontt "UN") (cons e-5 '())))) eff-1))))))))) ((2) (let ((e-1 (vector-ref arg-5 1))) (let ((e-2 (vector-ref arg-5 2))) (let ((eff-0 (lambda (eta-0) (CoreC-45Reflect-u--reflect_Reflect_String arg-0 arg-1 arg-2 arg-3 arg-4 e-1 eta-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (lambda (eta-0) (CoreC-45Reflect-u--reflect_Reflect_Int arg-0 arg-1 arg-2 arg-3 arg-4 e-2 eta-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-3 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45Reflect-appCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectiontt "MN") (cons e-5 (cons e-6 '()))))) eff-2))))))))) eff-1)))))))))) ((0) (let ((e-3 (vector-ref arg-5 1))) (let ((e-4 (vector-ref arg-5 2))) (let ((eff-0 (CoreC-45Reflect-u--reflect_Reflect_Namespace arg-0 arg-1 arg-2 arg-3 arg-4 e-3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((((((let ((eff-1 (csegen-3108))) (lambda (arg-6) (lambda (arg-7) (lambda (arg-8) (lambda (arg-9) (lambda (arg-10) ((((((eff-1 arg-0) arg-6) arg-7) arg-8) arg-9) arg-10))))))) arg-1) arg-2) arg-3) arg-4) e-4))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45Reflect-appCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectiontt "NS") (cons e-5 (cons e-6 '()))))) eff-2))))))))) eff-1)))))))))) ((4) (let ((e-5 (vector-ref arg-5 1))) (let ((e-6 (vector-ref arg-5 2))) (let ((eff-0 (lambda (eta-0) (CoreC-45Reflect-u--reflect_Reflect_String arg-0 arg-1 arg-2 arg-3 arg-4 e-5 eta-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((((((let ((eff-1 (csegen-3108))) (lambda (arg-6) (lambda (arg-7) (lambda (arg-8) (lambda (arg-9) (lambda (arg-10) ((((((eff-1 arg-0) arg-6) arg-7) arg-8) arg-9) arg-10))))))) arg-1) arg-2) arg-3) arg-4) e-6))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45Reflect-appCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectiontt "DN") (cons e-7 (cons e-8 '()))))) eff-2))))))))) eff-1)))))))))) ((5) (let ((e-7 (vector-ref arg-5 1))) (let ((e-8 (vector-ref arg-5 2))) (let ((eff-0 ((((((let ((eff-0 (csegen-3111))) (lambda (arg-6) (lambda (arg-7) (lambda (arg-8) (lambda (arg-9) (lambda (arg-10) ((((((eff-0 arg-0) arg-6) arg-7) arg-8) arg-9) arg-10))))))) arg-1) arg-2) arg-3) arg-4) e-7))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((((((let ((eff-1 (csegen-3108))) (lambda (arg-6) (lambda (arg-7) (lambda (arg-8) (lambda (arg-9) (lambda (arg-10) ((((((eff-1 arg-0) arg-6) arg-7) arg-8) arg-9) arg-10))))))) arg-1) arg-2) arg-3) arg-4) e-8))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45Reflect-appCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectiontt "Nested") (cons e-5 (cons e-6 '()))))) eff-2))))))))) eff-1)))))))))) ((6) (let ((e-9 (vector-ref arg-5 1))) (let ((e-10 (vector-ref arg-5 2))) (let ((eff-0 (lambda (eta-0) (CoreC-45Reflect-u--reflect_Reflect_String arg-0 arg-1 arg-2 arg-3 arg-4 e-9 eta-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (lambda (eta-0) (CoreC-45Reflect-u--reflect_Reflect_Int arg-0 arg-1 arg-2 arg-3 arg-4 e-10 eta-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45Reflect-appCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectiontt "CaseBlock") (cons e-5 (cons e-6 '()))))) eff-2))))))))) eff-1)))))))))) ((7) (let ((e-11 (vector-ref arg-5 1))) (let ((e-12 (vector-ref arg-5 2))) (let ((eff-0 (lambda (eta-0) (CoreC-45Reflect-u--reflect_Reflect_String arg-0 arg-1 arg-2 arg-3 arg-4 e-11 eta-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (lambda (eta-0) (CoreC-45Reflect-u--reflect_Reflect_Int arg-0 arg-1 arg-2 arg-3 arg-4 e-12 eta-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45Reflect-appCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectiontt "WithBlock") (cons e-5 (cons e-6 '()))))) eff-2))))))))) eff-1)))))))))) ((8) (let ((e-13 (vector-ref arg-5 1))) (let ((eff-0 (CoreC-45Context-u--full_HasNames_Name (let ((e-0 (vector-ref arg-2 0))) e-0) (vector 8 e-13)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (case (vector-ref e-5 0) ((8) (lambda (eta-0) (CoreC-45Reflect-cantReflect arg-1 ((csegen-0) "Name directly, Resolved is intentionally internal") eta-0)))(else ((((((let ((eff-1 (csegen-3108))) (lambda (arg-6) (lambda (arg-7) (lambda (arg-8) (lambda (arg-9) (lambda (arg-10) ((((((eff-1 arg-0) arg-6) arg-7) arg-8) arg-9) arg-10))))))) arg-1) arg-2) arg-3) arg-4) e-5))))) eff-1)))))))))(else (lambda (eta-0) (CoreC-45Reflect-cantReflect arg-1 "Name, reflecting it is unimplemented or intentionally internal" eta-0))))))
(define CoreC-45Reflect-u--reflect_Reflect_ModuleIdent (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (let ((eff-0 ((((((let ((eff-0 (csegen-3107))) (lambda (arg-6) (lambda (arg-7) (lambda (arg-8) (lambda (arg-9) (lambda (arg-10) ((((((eff-0 arg-0) arg-6) arg-7) arg-8) arg-9) arg-10))))))) arg-1) arg-2) arg-3) arg-4) (CoreC-45NameC-45Namespace-unsafeUnfoldModuleIdent arg-5)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45Reflect-appCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectiontt "MkMI") (cons e-5 '())))) eff-1)))))))))
(define CoreC-45Reflect-u--reflect_Reflect_LazyReason (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (cond ((equal? arg-5 0) (CoreC-45Reflect-getCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectiontt "LInf"))) ((equal? arg-5 1) (CoreC-45Reflect-getCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectiontt "LLazy"))) (else (CoreC-45Reflect-getCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectiontt "LUnknown"))))))
(define CoreC-45Reflect-u--reflect_Reflect_Integer (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 ext-0) (vector 1 (vector 9 arg-1 (vector 5 arg-5)))))
(define CoreC-45Reflect-u--reflect_Reflect_Int8 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 ext-0) (vector 1 (vector 9 arg-1 (vector 1 arg-5)))))
(define CoreC-45Reflect-u--reflect_Reflect_Int64 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 ext-0) (vector 1 (vector 9 arg-1 (vector 4 arg-5)))))
(define CoreC-45Reflect-u--reflect_Reflect_Int32 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 ext-0) (vector 1 (vector 9 arg-1 (vector 3 arg-5)))))
(define CoreC-45Reflect-u--reflect_Reflect_Int16 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 ext-0) (vector 1 (vector 9 arg-1 (vector 2 arg-5)))))
(define CoreC-45Reflect-u--reflect_Reflect_Int (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 ext-0) (vector 1 (vector 9 arg-1 (vector 0 arg-5)))))
(define CoreC-45Reflect-u--reflect_Reflect_FC (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (cond ((equal? arg-3 1) (lambda (eta-0) (vector 1 (vector 10 arg-1 (vector 0 )))))(else (case (vector-ref arg-5 0) ((0) (let ((e-0 (vector-ref arg-5 1))) (let ((e-1 (vector-ref arg-5 2))) (let ((e-2 (vector-ref arg-5 3))) (let ((eff-0 (CoreC-45Reflect-u--reflect_Reflect_OriginDesc arg-0 arg-1 arg-2 arg-3 arg-4 e-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((((((let ((eff-1 (csegen-3111))) (lambda (arg-6) (lambda (arg-7) (lambda (arg-8) (lambda (arg-9) (lambda (arg-10) ((((((eff-1 arg-0) arg-6) arg-7) arg-8) arg-9) arg-10))))))) arg-1) arg-2) arg-3) arg-4) e-1))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-3 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 ((((((let ((eff-2 (csegen-3111))) (lambda (arg-6) (lambda (arg-7) (lambda (arg-8) (lambda (arg-9) (lambda (arg-10) ((((((eff-2 arg-0) arg-6) arg-7) arg-8) arg-9) arg-10))))))) arg-1) arg-2) arg-3) arg-4) e-2))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-3 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (CoreC-45Reflect-appCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectiontt "MkFC") (cons e-5 (cons e-6 (cons e-7 '())))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((1) (let ((e-3 (vector-ref arg-5 1))) (let ((e-4 (vector-ref arg-5 2))) (let ((e-5 (vector-ref arg-5 3))) (let ((eff-0 (CoreC-45Reflect-u--reflect_Reflect_OriginDesc arg-0 arg-1 arg-2 arg-3 arg-4 e-3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((((((let ((eff-1 (csegen-3111))) (lambda (arg-6) (lambda (arg-7) (lambda (arg-8) (lambda (arg-9) (lambda (arg-10) ((((((eff-1 arg-0) arg-6) arg-7) arg-8) arg-9) arg-10))))))) arg-1) arg-2) arg-3) arg-4) e-4))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 ((((((let ((eff-2 (csegen-3111))) (lambda (arg-6) (lambda (arg-7) (lambda (arg-8) (lambda (arg-9) (lambda (arg-10) ((((((eff-2 arg-0) arg-6) arg-7) arg-8) arg-9) arg-10))))))) arg-1) arg-2) arg-3) arg-4) e-5))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (CoreC-45Reflect-appCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectiontt "MkFC") (cons e-6 (cons e-7 (cons e-8 '())))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) (else (CoreC-45Reflect-getCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectiontt "EmptyFC"))))))))
(define CoreC-45Reflect-u--reflect_Reflect_Double (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 ext-0) (vector 1 (vector 9 arg-1 (vector 12 arg-5)))))
(define CoreC-45Reflect-u--reflect_Reflect_Constant (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (case (vector-ref arg-5 0) ((0) (let ((e-0 (vector-ref arg-5 1))) (let ((eff-0 (lambda (eta-0) (CoreC-45Reflect-u--reflect_Reflect_Int arg-0 arg-1 arg-2 arg-3 arg-4 e-0 eta-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45Reflect-appCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectiontt "I") (cons e-5 '())))) eff-1))))))))) ((1) (let ((e-1 (vector-ref arg-5 1))) (let ((eff-0 (lambda (eta-0) (CoreC-45Reflect-u--reflect_Reflect_Int8 arg-0 arg-1 arg-2 arg-3 arg-4 e-1 eta-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45Reflect-appCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectiontt "I8") (cons e-5 '())))) eff-1))))))))) ((2) (let ((e-2 (vector-ref arg-5 1))) (let ((eff-0 (lambda (eta-0) (CoreC-45Reflect-u--reflect_Reflect_Int16 arg-0 arg-1 arg-2 arg-3 arg-4 e-2 eta-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45Reflect-appCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectiontt "I16") (cons e-5 '())))) eff-1))))))))) ((3) (let ((e-3 (vector-ref arg-5 1))) (let ((eff-0 (lambda (eta-0) (CoreC-45Reflect-u--reflect_Reflect_Int32 arg-0 arg-1 arg-2 arg-3 arg-4 e-3 eta-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45Reflect-appCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectiontt "I32") (cons e-5 '())))) eff-1))))))))) ((4) (let ((e-4 (vector-ref arg-5 1))) (let ((eff-0 (lambda (eta-0) (CoreC-45Reflect-u--reflect_Reflect_Int64 arg-0 arg-1 arg-2 arg-3 arg-4 e-4 eta-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45Reflect-appCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectiontt "I64") (cons e-5 '())))) eff-1))))))))) ((5) (let ((e-5 (vector-ref arg-5 1))) (let ((eff-0 (lambda (eta-0) (CoreC-45Reflect-u--reflect_Reflect_Integer arg-0 arg-1 arg-2 arg-3 arg-4 e-5 eta-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45Reflect-appCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectiontt "BI") (cons e-6 '())))) eff-1))))))))) ((6) (let ((e-6 (vector-ref arg-5 1))) (let ((eff-0 (lambda (eta-0) (CoreC-45Reflect-u--reflect_Reflect_Bits8 arg-0 arg-1 arg-2 arg-3 arg-4 e-6 eta-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45Reflect-appCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectiontt "B8") (cons e-5 '())))) eff-1))))))))) ((7) (let ((e-7 (vector-ref arg-5 1))) (let ((eff-0 (lambda (eta-0) (CoreC-45Reflect-u--reflect_Reflect_Bits16 arg-0 arg-1 arg-2 arg-3 arg-4 e-7 eta-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45Reflect-appCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectiontt "B16") (cons e-5 '())))) eff-1))))))))) ((8) (let ((e-8 (vector-ref arg-5 1))) (let ((eff-0 (lambda (eta-0) (CoreC-45Reflect-u--reflect_Reflect_Bits32 arg-0 arg-1 arg-2 arg-3 arg-4 e-8 eta-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45Reflect-appCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectiontt "B32") (cons e-5 '())))) eff-1))))))))) ((9) (let ((e-9 (vector-ref arg-5 1))) (let ((eff-0 (lambda (eta-0) (CoreC-45Reflect-u--reflect_Reflect_Bits64 arg-0 arg-1 arg-2 arg-3 arg-4 e-9 eta-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45Reflect-appCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectiontt "B64") (cons e-5 '())))) eff-1))))))))) ((10) (let ((e-10 (vector-ref arg-5 1))) (let ((eff-0 (lambda (eta-0) (CoreC-45Reflect-u--reflect_Reflect_String arg-0 arg-1 arg-2 arg-3 arg-4 e-10 eta-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45Reflect-appCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectiontt "Str") (cons e-5 '())))) eff-1))))))))) ((11) (let ((e-11 (vector-ref arg-5 1))) (let ((eff-0 (lambda (eta-0) (CoreC-45Reflect-u--reflect_Reflect_Char arg-0 arg-1 arg-2 arg-3 arg-4 e-11 eta-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45Reflect-appCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectiontt "Ch") (cons e-5 '())))) eff-1))))))))) ((12) (let ((e-12 (vector-ref arg-5 1))) (let ((eff-0 (lambda (eta-0) (CoreC-45Reflect-u--reflect_Reflect_Double arg-0 arg-1 arg-2 arg-3 arg-4 e-12 eta-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45Reflect-appCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectiontt "Db") (cons e-5 '())))) eff-1))))))))) ((13) (let ((e-13 (vector-ref arg-5 1))) (let ((eff-0 (CoreC-45Reflect-u--reflect_Reflect_PrimType arg-0 arg-1 arg-2 arg-3 arg-4 e-13))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45Reflect-appCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectiontt "PrT") (cons e-5 '())))) eff-1))))))))) (else (CoreC-45Reflect-getCon arg-0 arg-1 arg-2 (CoreC-45Reflect-reflectiontt "WorldVal"))))))
(define CoreC-45Reflect-u--reflect_Reflect_Char (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 ext-0) (vector 1 (vector 9 arg-1 (vector 11 arg-5)))))
(define CoreC-45Reflect-u--reflect_Reflect_Bool (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (cond ((equal? arg-5 1) (CoreC-45Reflect-getCon arg-0 arg-1 arg-2 (CoreC-45Reflect-basics "True"))) (else (CoreC-45Reflect-getCon arg-0 arg-1 arg-2 (CoreC-45Reflect-basics "False"))))))
(define CoreC-45Reflect-u--reflect_Reflect_Bits8 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 ext-0) (vector 1 (vector 9 arg-1 (vector 6 arg-5)))))
(define CoreC-45Reflect-u--reflect_Reflect_Bits64 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 ext-0) (vector 1 (vector 9 arg-1 (vector 9 arg-5)))))
(define CoreC-45Reflect-u--reflect_Reflect_Bits32 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 ext-0) (vector 1 (vector 9 arg-1 (vector 8 arg-5)))))
(define CoreC-45Reflect-u--reflect_Reflect_Bits16 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 ext-0) (vector 1 (vector 9 arg-1 (vector 7 arg-5)))))
(define CoreC-45Reflect-u--reflect_Reflect_C-40C-124UnitC-44MkUnitC-124C-41 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (CoreC-45Reflect-getCon arg-0 arg-1 arg-2 (CoreC-45Reflect-builtin "MkUnit"))))
(define CoreC-45Reflect-u--reflect_Reflect_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (lambda (arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8) (let ((e-2 (car arg-8))) (let ((e-3 (cdr arg-8))) (let ((eff-0 ((((((let ((eff-0 (Builtin-fst arg-2))) (lambda (arg-0) (lambda (arg-1) (lambda (arg-9) (lambda (arg-10) (lambda (arg-11) ((((((eff-0 arg-3) arg-0) arg-1) arg-9) arg-10) arg-11))))))) arg-4) arg-5) arg-6) arg-7) e-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((((((let ((eff-1 (Builtin-snd arg-2))) (lambda (arg-0) (lambda (arg-1) (lambda (arg-9) (lambda (arg-10) (lambda (arg-11) ((((((eff-1 arg-3) arg-0) arg-1) arg-9) arg-10) arg-11))))))) arg-4) arg-5) arg-6) arg-7) e-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45Reflect-appCon arg-3 arg-4 arg-5 (CoreC-45Reflect-builtin "MkPair") (cons (vector 10 arg-4 (vector 0 )) (cons (vector 10 arg-4 (vector 0 )) (cons e-5 (cons e-6 '()))))))) eff-2))))))))) eff-1)))))))))))
(define CoreC-45Reflect-u--reflect_Reflect_C-40PiInfoC-32C-36tC-41 (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (case (vector-ref arg-7 0) ((0) (CoreC-45Reflect-appCon arg-2 arg-3 arg-4 (CoreC-45Reflect-reflectiontt "ImplicitArg") (cons (vector 10 arg-3 (vector 0 )) '()))) ((1) (CoreC-45Reflect-appCon arg-2 arg-3 arg-4 (CoreC-45Reflect-reflectiontt "ExplicitArg") (cons (vector 10 arg-3 (vector 0 )) '()))) ((2) (CoreC-45Reflect-appCon arg-2 arg-3 arg-4 (CoreC-45Reflect-reflectiontt "AutoImplicit") (cons (vector 10 arg-3 (vector 0 )) '()))) (else (let ((e-4 (vector-ref arg-7 1))) (let ((eff-0 ((((((let ((eff-0 arg-1)) (lambda (arg-0) (lambda (arg-8) (lambda (arg-9) (lambda (arg-10) (lambda (arg-11) ((((((eff-0 arg-2) arg-0) arg-8) arg-9) arg-10) arg-11))))))) arg-3) arg-4) arg-5) arg-6) e-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45Reflect-appCon arg-2 arg-3 arg-4 (CoreC-45Reflect-reflectiontt "DefImplicit") (cons (vector 10 arg-3 (vector 0 )) (cons e-5 '()))))) eff-1))))))))))))
(define CoreC-45Reflect-u--reflect_Reflect_C-40MaybeC-32C-36aC-41 (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (if (null? arg-7) (CoreC-45Reflect-appCon arg-2 arg-3 arg-4 (CoreC-45Reflect-preludetypes "Nothing") (cons (vector 10 arg-3 (vector 0 )) '())) (let ((e-2 (unbox arg-7))) (let ((eff-0 ((((((let ((eff-0 arg-1)) (lambda (arg-0) (lambda (arg-8) (lambda (arg-9) (lambda (arg-10) (lambda (arg-11) ((((((eff-0 arg-2) arg-0) arg-8) arg-9) arg-10) arg-11))))))) arg-3) arg-4) arg-5) arg-6) e-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45Reflect-appCon arg-2 arg-3 arg-4 (CoreC-45Reflect-preludetypes "Just") (cons (vector 10 arg-3 (vector 0 )) (cons e-5 '()))))) eff-1)))))))))))
(define CoreC-45Reflect-u--reflect_Reflect_C-40ListC-32C-36aC-41 (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (if (null? arg-7) (CoreC-45Reflect-appCon arg-2 arg-3 arg-4 (CoreC-45Reflect-basics "Nil") (cons (vector 10 arg-3 (vector 0 )) '())) (let ((e-2 (car arg-7))) (let ((e-3 (cdr arg-7))) (let ((eff-0 ((((((let ((eff-0 arg-1)) (lambda (arg-0) (lambda (arg-8) (lambda (arg-9) (lambda (arg-10) (lambda (arg-11) ((((((eff-0 arg-2) arg-0) arg-8) arg-9) arg-10) arg-11))))))) arg-3) arg-4) arg-5) arg-6) e-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((((((let ((eff-1 (lambda (u--vars) (lambda (arg-6498) (lambda (arg-6501) (lambda (u--onLHS) (lambda (arg-6506) (lambda (arg-6510) (CoreC-45Reflect-u--reflect_Reflect_C-40ListC-32C-36aC-41 arg-1 u--vars arg-6498 arg-6501 u--onLHS arg-6506 arg-6510))))))))) (lambda (arg-0) (lambda (arg-8) (lambda (arg-9) (lambda (arg-10) (lambda (arg-11) ((((((eff-1 arg-2) arg-0) arg-8) arg-9) arg-10) arg-11))))))) arg-3) arg-4) arg-5) arg-6) e-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45Reflect-appCon arg-2 arg-3 arg-4 (CoreC-45Reflect-basics "::") (cons (vector 10 arg-3 (vector 0 )) (cons e-5 (cons e-6 '())))))) eff-2))))))))) eff-1))))))))))))
(define CoreC-45Reflect-reflectionttimp (lambda (arg-0) (vector 0 (CoreC-45NameC-45Namespace-reflectionTTImpNS) (vector 1 (vector 0 arg-0)))))
(define CoreC-45Reflect-reflectiontt (lambda (arg-0) (vector 0 (CoreC-45NameC-45Namespace-reflectionTTNS) (vector 1 (vector 0 arg-0)))))
(define CoreC-45Reflect-preludetypes (lambda (arg-0) (vector 0 (CoreC-45NameC-45Namespace-typesNS) (vector 1 (vector 0 arg-0)))))
(define CoreC-45Reflect-getCon (lambda (arg-0 arg-1 arg-2 arg-3) (let ((eff-0 (CoreC-45Context-lookupDefExact arg-3 (let ((e-0 (vector-ref arg-2 0))) e-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (if (null? e-5) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 7 arg-1 arg-3) eta-0)) (let ((e-1 (unbox e-5))) (case (vector-ref e-1 0) ((5) (let ((e-2 (vector-ref e-1 1))) (let ((e-3 (vector-ref e-1 2))) (CoreC-45Context-u--resolved_HasNames_C-40TermC-32C-36varsC-41 (let ((e-0 (vector-ref arg-2 0))) e-0) (vector 1 arg-1 (vector 2 e-2 e-3) arg-3))))) ((6) (let ((e-13 (vector-ref e-1 1))) (let ((e-6 (vector-ref e-1 2))) (CoreC-45Context-u--resolved_HasNames_C-40TermC-32C-36varsC-41 (let ((e-0 (vector-ref arg-2 0))) e-0) (vector 1 arg-1 (vector 3 e-13 e-6) arg-3)))))(else (CoreC-45Context-u--resolved_HasNames_C-40TermC-32C-36varsC-41 (let ((e-0 (vector-ref arg-2 0))) e-0) (vector 1 arg-1 (vector 1 ) arg-3)))))))) eff-1)))))))))
(define CoreC-45Reflect-cantReify (lambda (arg-1 arg-2 arg-3 arg-4) (let ((eff-0 (CoreC-45Normalise-logNF arg-2 arg-1 "reflection.reify" 10 (lambda () (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons "Can't reify as " (cons arg-4 '())))) (CoreC-45Env-mkEnv (CoreC-45FC-emptyFC) arg-2) arg-3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45Value-getLoc arg-3) (string-append "Can't reify as " arg-4)) eta-0)))) eff-1))))))))
(define CoreC-45Reflect-cantReflect (lambda (arg-1 arg-2 ext-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 arg-1 (string-append "Can't reflect as " arg-2)) ext-0)))
(define CoreC-45Reflect-builtin (lambda (arg-0) (vector 0 (CoreC-45NameC-45Namespace-builtinNS) (vector 1 (vector 0 arg-0)))))
(define CoreC-45Reflect-basics (lambda (arg-0) (vector 0 (CoreC-45NameC-45Namespace-basicsNS) (vector 1 (vector 0 arg-0)))))
(define CoreC-45Reflect-appCon (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (let ((eff-0 (CoreC-45Reflect-getCon arg-0 arg-1 arg-2 arg-3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45Context-u--resolved_HasNames_C-40TermC-32C-36varsC-41 (let ((e-0 (vector-ref arg-2 0))) e-0) (CoreC-45TT-apply arg-1 e-5 arg-4)))) eff-1)))))))))
(define TTImpC-45ElabC-45Delayed-n--9207-12479-u--newBinder (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (case (vector-ref arg-6 0) ((1) arg-6)(else (vector 0 (CoreC-45TT-binderLoc arg-6) (CoreC-45TT-multiplicity arg-6) (vector 1 ) (CoreC-45TT-binderType arg-6))))))
(define TTImpC-45ElabC-45Delayed-n--10325-13442-u--mkExpected (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11) (if (null? arg-11) (let ((eff-0 (CoreC-45UnifyState-genName arg-10 arg-8 "delayTy"))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (TTImpC-45ElabC-45Check-uniVar arg-10 arg-8 arg-6))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45ElabC-45Check-metaVar arg-0 arg-10 arg-8 arg-6 (csegen-54) arg-4 e-5 (vector 11 arg-6 e-6)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (CoreC-45NormaliseC-45Eval-gnf arg-0 arg-4 e-7))))) eff-3))))))))) eff-2))))))))) eff-1))))))) (let ((e-1 (unbox arg-11))) (lambda (eta-0) (vector 1 e-1))))))
(define TTImpC-45ElabC-45Delayed-n--9501-12756-u--mkExpected (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12) (if (null? arg-12) (let ((eff-0 (CoreC-45UnifyState-genName arg-11 arg-9 "delayTy"))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (TTImpC-45ElabC-45Check-uniVar arg-11 arg-9 arg-7))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45ElabC-45Check-metaVar arg-0 arg-11 arg-9 arg-7 (csegen-54) arg-5 e-5 (vector 11 arg-7 e-6)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (CoreC-45NormaliseC-45Eval-gnf arg-0 arg-5 e-7))))) eff-3))))))))) eff-2))))))))) eff-1))))))) (let ((e-1 (unbox arg-12))) (lambda (eta-0) (vector 1 e-1))))))
(define TTImpC-45ElabC-45Delayed-n--13000-15806-u--hasPri (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-9) (let ((e-2 (car arg-9))) (arg-3 e-2))))
(define TTImpC-45ElabC-45Delayed-n--12043-15003-u--better (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15) (case (vector-ref arg-15 0) ((49) arg-14)(else (case (vector-ref arg-14 0) ((49) arg-15)(else arg-14))))))
(define TTImpC-45ElabC-45Delayed-u--show_Show_RetryError (lambda (arg-0) (cond ((equal? arg-0 0) "RecoverableErrors") (else "AllErrors"))))
(define TTImpC-45ElabC-45Delayed-runDelays (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (let ((eff-0 (let ((eff-0 arg-4)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--olddelayed (let ((e-10 (vector-ref e-5 10))) e-10))) (let ((eff-1 (let ((eff-1 arg-4)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (let ((e-0 (vector-ref e-5 0))) (let ((e-1 (vector-ref e-5 1))) (let ((e-2 (vector-ref e-5 2))) (let ((e-3 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-12 (vector-ref e-5 5))) (let ((e-6 (vector-ref e-5 6))) (let ((e-7 (vector-ref e-5 7))) (let ((e-8 (vector-ref e-5 8))) (let ((e-9 (vector-ref e-5 9))) (let ((e-11 (vector-ref e-5 11))) (vector e-0 e-1 e-2 e-3 e-4 e-12 e-6 e-7 e-8 e-9 '() e-11))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 arg-7)) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (let ((eff-3 arg-4)) (PrimIO-io_bind (let ((eff-4 eff-3)) (lambda (eta-0) (unbox eff-4))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45ContextC-45Log-log arg-2 "elab.delay" 2 (lambda () "Rerunning delayed in elaborator")))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-5 (let ((eff-5 (TTImpC-45ElabC-45Check-handle arg-1 arg-2 arg-3 arg-4 arg-5 (let ((eff-5 (TTImpC-45ElabC-45Delayed-retryDelayedC-39 arg-1 arg-2 arg-3 arg-4 arg-5 1 0 '() (PreludeC-45TypesC-45List-reverse (PreludeC-45TypesC-45List-filterAppend '() (lambda (eta-0) (TTImpC-45ElabC-45Delayed-n--13000-15806-u--hasPri arg-1 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 eta-0)) (let ((e-10 (vector-ref e-8 10))) e-10)))))) (((csegen-50) ((let ((eff-6 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-10 (vector-ref eta-3 1))) (vector 1 (eta-2 e-10))))))))))) (lambda (arg-0) (lambda (arg-8) ((((eff-6 'erased) 'erased) arg-0) arg-8)))) (lambda (_-8679) (vector 0 )))) eff-5)) (lambda (u--err) (let ((eff-5 (let ((eff-5 arg-4)) (PrimIO-io_bind (let ((eff-6 eff-5)) (lambda (eta-0) (set-box! eff-6 (let ((e-0 (vector-ref e-8 0))) (let ((e-1 (vector-ref e-8 1))) (let ((e-2 (vector-ref e-8 2))) (let ((e-3 (vector-ref e-8 3))) (let ((e-4 (vector-ref e-8 4))) (let ((e-16 (vector-ref e-8 5))) (let ((e-15 (vector-ref e-8 6))) (let ((e-14 (vector-ref e-8 7))) (let ((e-13 (vector-ref e-8 8))) (let ((e-12 (vector-ref e-8 9))) (let ((e-11 (vector-ref e-8 11))) (vector e-0 e-1 e-2 e-3 e-4 e-16 e-15 e-14 e-13 e-12 u--olddelayed e-11))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-6 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error u--err eta-0)))) eff-6)))))))))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-6 (let ((eff-6 (let ((eff-6 (let ((eff-6 arg-4)) (PrimIO-io_bind (let ((eff-7 eff-6)) (lambda (eta-0) (unbox eff-7))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-2 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-11 (vector-ref lcase-6 1))) (let ((eff-7 (let ((eff-7 arg-4)) (PrimIO-io_bind (let ((eff-8 eff-7)) (lambda (eta-0) (set-box! eff-8 (let ((e-0 (vector-ref e-11 0))) (let ((e-1 (vector-ref e-11 1))) (let ((e-2 (vector-ref e-11 2))) (let ((e-3 (vector-ref e-11 3))) (let ((e-4 (vector-ref e-11 4))) (let ((e-18 (vector-ref e-11 5))) (let ((e-17 (vector-ref e-11 6))) (let ((e-16 (vector-ref e-11 7))) (let ((e-15 (vector-ref e-11 8))) (let ((e-14 (vector-ref e-11 9))) (let ((e-13 (vector-ref e-11 10))) (let ((e-12 (vector-ref e-11 11))) (vector e-0 e-1 e-2 e-3 e-4 e-18 e-17 e-16 e-15 e-14 (PreludeC-45TypesC-45List-tailRecAppend e-13 u--olddelayed) e-12)))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-7))))))))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-2 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-7 (lambda (eta-0) (vector 1 e-7)))) eff-7)))))))) eff-6)))))))) eff-5)))))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))
(define TTImpC-45ElabC-45Delayed-retryDelayedC-39 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8) (if (null? arg-8) (lambda (eta-0) (vector 1 (cons arg-6 (PreludeC-45TypesC-45List-reverse arg-7)))) (let ((e-2 (car arg-8))) (let ((e-3 (cdr arg-8))) (let ((e-6 (car e-2))) (let ((e-7 (cdr e-2))) (let ((e-10 (car e-7))) (let ((e-11 (cdr e-7))) (let ((e-14 (car e-11))) (let ((e-15 (cdr e-11))) (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-lookupDefExact (vector 8 e-10) (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-8 (vector-ref lcase-1 1))) (let ((eff-2 (let ((u--d (cons e-6 (cons e-10 (cons e-14 e-15))))) (if (null? e-8) (TTImpC-45ElabC-45Delayed-retryDelayedC-39 arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-3) (let ((e-1 (unbox e-8))) (case (vector-ref e-1 0) ((12) (TTImpC-45ElabC-45Check-handle arg-0 arg-1 arg-2 arg-3 arg-4 (let ((eff-2 (let ((eff-2 arg-4)) (PrimIO-io_bind (let ((eff-3 eff-2)) (lambda (eta-0) (unbox eff-3))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-9 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (let ((eff-3 (CoreC-45Context-getFullName arg-1 (vector 8 e-10)))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-4 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-12 (vector-ref lcase-3 1))) (let ((eff-4 (CoreC-45ContextC-45Log-log arg-1 ((csegen-0) "elab.retry") 5 (lambda () (string-append (PreludeC-45Show-u--show_Show_Nat (let ((e-18 (vector-ref e-9 10))) e-18)) (string-append ((csegen-0) ": Retrying delayed hole ") (CoreC-45Name-u--show_Show_Name e-12))))))) eff-4))))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-4 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-4 (let ((eff-4 (let ((eff-4 (let ((eff-4 arg-3)) (PrimIO-io_bind (let ((eff-5 eff-4)) (lambda (eta-0) (unbox eff-5))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-4 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-13 (vector-ref lcase-4 1))) (let ((eff-5 (let ((eff-5 arg-3)) (PrimIO-io_bind (let ((eff-6 eff-5)) (lambda (eta-0) (set-box! eff-6 (let ((e-0 (vector-ref e-13 0))) (let ((e-25 (vector-ref e-13 1))) (let ((e-24 (vector-ref e-13 2))) (let ((e-23 (vector-ref e-13 3))) (let ((e-4 (vector-ref e-13 4))) (let ((e-22 (vector-ref e-13 5))) (let ((e-21 (vector-ref e-13 6))) (let ((e-20 (vector-ref e-13 7))) (let ((e-19 (vector-ref e-13 8))) (let ((e-18 (vector-ref e-13 9))) (let ((e-16 (vector-ref e-13 11))) (vector e-0 e-25 e-24 e-23 e-4 e-22 e-21 e-20 e-19 e-18 '() e-16))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-5))))))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-4 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-5 (let ((eff-5 (let ((eff-5 (let ((eff-5 arg-1)) (PrimIO-io_bind (let ((eff-6 eff-5)) (lambda (eta-0) (unbox eff-6))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-4 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-16 (vector-ref lcase-5 1))) (let ((eff-6 (let ((eff-6 arg-1)) (PrimIO-io_bind (let ((eff-7 eff-6)) (lambda (eta-0) (set-box! eff-7 (let ((e-0 (vector-ref e-16 0))) (let ((e-46 (vector-ref e-16 1))) (let ((e-45 (vector-ref e-16 2))) (let ((e-44 (vector-ref e-16 3))) (let ((e-4 (vector-ref e-16 4))) (let ((e-43 (vector-ref e-16 5))) (let ((e-42 (vector-ref e-16 6))) (let ((e-41 (vector-ref e-16 7))) (let ((e-40 (vector-ref e-16 8))) (let ((e-39 (vector-ref e-16 9))) (let ((e-37 (vector-ref e-16 11))) (let ((e-36 (vector-ref e-16 12))) (let ((e-35 (vector-ref e-16 13))) (let ((e-34 (vector-ref e-16 14))) (let ((e-33 (vector-ref e-16 15))) (let ((e-32 (vector-ref e-16 16))) (let ((e-17 (vector-ref e-16 17))) (let ((e-18 (vector-ref e-16 18))) (let ((e-19 (vector-ref e-16 19))) (let ((e-20 (vector-ref e-16 20))) (let ((e-21 (vector-ref e-16 21))) (let ((e-22 (vector-ref e-16 22))) (let ((e-23 (vector-ref e-16 23))) (let ((e-24 (vector-ref e-16 24))) (let ((e-25 (vector-ref e-16 25))) (let ((e-26 (vector-ref e-16 26))) (let ((e-27 (vector-ref e-16 27))) (let ((e-28 (vector-ref e-16 28))) (let ((e-29 (vector-ref e-16 29))) (let ((e-30 (vector-ref e-16 30))) (let ((e-31 (vector-ref e-16 31))) (vector e-0 e-46 e-45 e-44 e-4 e-43 e-42 e-41 e-40 e-39 e-14 e-37 e-36 e-35 e-34 e-33 e-32 e-17 e-18 e-19 e-20 e-21 e-22 e-23 e-24 e-25 e-26 e-27 e-28 e-29 e-30 e-31))))))))))))))))))))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-6))))))))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-4 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-6 (let ((eff-6 e-15)) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-4 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-17 (vector-ref lcase-6 1))) (let ((eff-7 (let ((eff-7 (let ((eff-7 arg-3)) (PrimIO-io_bind (let ((eff-8 eff-7)) (lambda (eta-0) (unbox eff-8))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-4 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-18 (vector-ref lcase-7 1))) (let ((eff-8 (let ((u--dsC-39 (PreludeC-45TypesC-45List-tailRecAppend (PreludeC-45TypesC-45List-reverse (let ((e-20 (vector-ref e-18 10))) e-20)) e-3))) (let ((eff-8 (CoreC-45Context-updateDef arg-1 (vector 8 e-10) (lambda (eta-0) (box (vector 1 (vector '() 1 0) '() (vector 1 0 e-17) (vector 1 0 e-17) '())))))) (PrimIO-io_bind eff-8 (lambda (lcase-8) (case (vector-ref lcase-8 0) ((0) (let ((e-4 (vector-ref lcase-8 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-9 (let ((eff-9 (CoreC-45ContextC-45Log-logTerm '() arg-1 (csegen-3115) 5 (lambda () (string-append ((csegen-0) "Resolved delayed hole ") (PreludeC-45Show-u--show_Show_Int e-10))) e-17))) (PrimIO-io_bind eff-9 (lambda (lcase-9) (case (vector-ref lcase-9 0) ((0) (let ((e-4 (vector-ref lcase-9 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-10 (let ((eff-10 (CoreC-45Normalise-logTermNF '() arg-1 (csegen-3115) 5 (lambda () (string-append ((csegen-0) "Resolved delayed hole NF ") (PreludeC-45Show-u--show_Show_Int e-10))) '() e-17))) (PrimIO-io_bind eff-10 (lambda (lcase-10) (case (vector-ref lcase-10 0) ((0) (let ((e-4 (vector-ref lcase-10 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-11 (let ((eff-11 (CoreC-45UnifyState-removeHole arg-3 e-10))) (PrimIO-io_bind eff-11 (lambda (lcase-11) (case (vector-ref lcase-11 0) ((0) (let ((e-4 (vector-ref lcase-11 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-12 (TTImpC-45ElabC-45Delayed-retryDelayedC-39 arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 1 arg-7 u--dsC-39))) eff-12)))))))) eff-11)))))))) eff-10)))))))) eff-9))))))))) eff-8))))))))) eff-7))))))))) eff-6)))))))) eff-5)))))))) eff-4)))))))) eff-3))))))) (lambda (u--err) (let ((eff-2 (let ((eff-2 (CoreC-45Context-getFullName arg-1 (vector 8 e-10)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-9 (vector-ref lcase-2 1))) (let ((eff-3 (CoreC-45ContextC-45Log-log arg-1 "elab" 5 (lambda () (string-append (TTImpC-45ElabC-45Delayed-u--show_Show_RetryError arg-5) (string-append ((csegen-0) ":Error in ") (string-append (CoreC-45Name-u--show_Show_Name e-9) (string-append "\xa;" (CoreC-45Core-u--show_Show_Error u--err))))))))) eff-3))))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-3 (cond ((equal? arg-5 0) (let ((eff-3 (TTImpC-45ElabC-45Delayed-recoverable arg-1 u--err))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-4 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-12 (vector-ref lcase-3 1))) (let ((eff-4 (cond ((equal? e-12 1) (TTImpC-45ElabC-45Delayed-retryDelayedC-39 arg-0 arg-1 arg-2 arg-3 arg-4 0 arg-6 (cons u--d arg-7) e-3)) (else (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error u--err eta-0)))))) eff-4)))))))) (else (TTImpC-45ElabC-45Check-handle arg-0 arg-1 arg-2 arg-3 arg-4 (let ((eff-3 (let ((eff-3 (TTImpC-45ElabC-45Delayed-retryDelayedC-39 arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 '() e-3))) (((csegen-50) ((let ((eff-4 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-4 (vector-ref eta-3 1))) (vector 0 e-4))) (else (let ((e-12 (vector-ref eta-3 1))) (vector 1 (eta-2 e-12))))))))))) (lambda (arg-9) (lambda (arg-10) ((((eff-4 'erased) 'erased) arg-9) arg-10)))) (lambda (_-8679) (vector 0 )))) eff-3)))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-4 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-4 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error u--err eta-0)))) eff-4)))))) (lambda (u--errC-39) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (TTImpC-45ElabC-45Delayed-n--12043-15003-u--better arg-0 e-6 e-10 e-14 e-15 u--d e-3 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 u--err u--errC-39) eta-0)))))))) eff-3)))))))))(else (TTImpC-45ElabC-45Delayed-retryDelayedC-39 arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-3)))))))) eff-2))))))))) eff-1))))))))))))))))))
(define TTImpC-45ElabC-45Delayed-retryDelayed (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (let ((eff-0 (TTImpC-45ElabC-45Delayed-retryDelayedC-39 arg-0 arg-1 arg-2 arg-3 arg-4 0 0 '() arg-6))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((e-2 (car e-5))) (let ((e-3 (cdr e-5))) (let ((eff-1 (CoreC-45Unify-solveConstraints arg-1 arg-3 arg-5 0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-2 (cond ((equal? e-2 1) (TTImpC-45ElabC-45Delayed-retryDelayed arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-3)) (else (let ((eff-2 (TTImpC-45ElabC-45Delayed-retryDelayedC-39 arg-0 arg-1 arg-2 arg-3 arg-4 1 0 '() e-3))) (((csegen-50) ((let ((eff-3 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-4 (vector-ref eta-3 1))) (vector 0 e-4))) (else (let ((e-7 (vector-ref eta-3 1))) (vector 1 (eta-2 e-7))))))))))) (lambda (arg-7) (lambda (arg-8) ((((eff-3 'erased) 'erased) arg-7) arg-8)))) (lambda (_-8679) (vector 0 )))) eff-2)))))) eff-2)))))))))) eff-1)))))))))
(define TTImpC-45ElabC-45Delayed-recoverable (lambda (arg-0 arg-1) (case (vector-ref arg-1 0) ((1) (let ((e-0 (vector-ref arg-1 1))) (let ((e-2 (vector-ref arg-1 3))) (let ((e-3 (vector-ref arg-1 4))) (let ((e-4 (vector-ref arg-1 5))) (let ((e-5 (vector-ref arg-1 6))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--defs (let ((e-37 (vector-ref e-6 1))) (let ((e-36 (vector-ref e-6 2))) (let ((e-35 (vector-ref e-6 3))) (let ((e-34 (vector-ref e-6 4))) (let ((e-33 (vector-ref e-6 5))) (let ((e-32 (vector-ref e-6 6))) (let ((e-7 (vector-ref e-6 7))) (let ((e-8 (vector-ref e-6 8))) (let ((e-9 (vector-ref e-6 9))) (let ((e-10 (vector-ref e-6 10))) (let ((e-11 (vector-ref e-6 11))) (let ((e-12 (vector-ref e-6 12))) (let ((e-13 (vector-ref e-6 13))) (let ((e-14 (vector-ref e-6 14))) (let ((e-15 (vector-ref e-6 15))) (let ((e-16 (vector-ref e-6 16))) (let ((e-17 (vector-ref e-6 17))) (let ((e-18 (vector-ref e-6 18))) (let ((e-19 (vector-ref e-6 19))) (let ((e-20 (vector-ref e-6 20))) (let ((e-21 (vector-ref e-6 21))) (let ((e-22 (vector-ref e-6 22))) (let ((e-23 (vector-ref e-6 23))) (let ((e-24 (vector-ref e-6 24))) (let ((e-25 (vector-ref e-6 25))) (let ((e-26 (vector-ref e-6 26))) (let ((e-27 (vector-ref e-6 27))) (let ((e-28 (vector-ref e-6 28))) (let ((e-29 (vector-ref e-6 29))) (let ((e-30 (vector-ref e-6 30))) (let ((e-31 (vector-ref e-6 31))) (vector e-2 e-37 e-36 e-35 e-34 e-33 e-32 e-7 e-8 e-9 e-10 e-11 e-12 e-13 e-14 e-15 e-16 e-17 e-18 e-19 e-20 e-21 e-22 e-23 e-24 e-25 e-26 e-27 e-28 e-29 e-30 e-31)))))))))))))))))))))))))))))))))) (let ((eff-1 (CoreC-45NormaliseC-45Eval-nf arg-0 e-0 u--defs e-3 e-4))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45NormaliseC-45Eval-nf arg-0 e-0 u--defs e-3 e-5))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (TTImpC-45ElabC-45Delayed-contra arg-0 e-0 u--defs e-7 e-8))) (PrimIO-io_bind eff-3 (csegen-3119))))) eff-3))))))))) eff-2)))))))))) eff-1))))))))))))) ((2) (let ((e-6 (vector-ref arg-1 1))) (let ((e-8 (vector-ref arg-1 3))) (let ((e-9 (vector-ref arg-1 4))) (let ((e-10 (vector-ref arg-1 5))) (let ((e-11 (vector-ref arg-1 6))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--defs (let ((e-1 (vector-ref e-5 1))) (let ((e-2 (vector-ref e-5 2))) (let ((e-3 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-38 (vector-ref e-5 5))) (let ((e-37 (vector-ref e-5 6))) (let ((e-36 (vector-ref e-5 7))) (let ((e-35 (vector-ref e-5 8))) (let ((e-34 (vector-ref e-5 9))) (let ((e-33 (vector-ref e-5 10))) (let ((e-32 (vector-ref e-5 11))) (let ((e-12 (vector-ref e-5 12))) (let ((e-13 (vector-ref e-5 13))) (let ((e-14 (vector-ref e-5 14))) (let ((e-15 (vector-ref e-5 15))) (let ((e-16 (vector-ref e-5 16))) (let ((e-17 (vector-ref e-5 17))) (let ((e-18 (vector-ref e-5 18))) (let ((e-19 (vector-ref e-5 19))) (let ((e-20 (vector-ref e-5 20))) (let ((e-21 (vector-ref e-5 21))) (let ((e-22 (vector-ref e-5 22))) (let ((e-23 (vector-ref e-5 23))) (let ((e-24 (vector-ref e-5 24))) (let ((e-25 (vector-ref e-5 25))) (let ((e-26 (vector-ref e-5 26))) (let ((e-27 (vector-ref e-5 27))) (let ((e-28 (vector-ref e-5 28))) (let ((e-29 (vector-ref e-5 29))) (let ((e-30 (vector-ref e-5 30))) (let ((e-31 (vector-ref e-5 31))) (vector e-8 e-1 e-2 e-3 e-4 e-38 e-37 e-36 e-35 e-34 e-33 e-32 e-12 e-13 e-14 e-15 e-16 e-17 e-18 e-19 e-20 e-21 e-22 e-23 e-24 e-25 e-26 e-27 e-28 e-29 e-30 e-31)))))))))))))))))))))))))))))))))) (let ((eff-1 (CoreC-45NormaliseC-45Eval-nf arg-0 e-6 u--defs e-9 e-10))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-12 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45NormaliseC-45Eval-nf arg-0 e-6 u--defs e-9 e-11))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-13 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (TTImpC-45ElabC-45Delayed-contra arg-0 e-6 u--defs e-12 e-13))) (PrimIO-io_bind eff-3 (csegen-3119))))) eff-3))))))))) eff-2)))))))))) eff-1))))))))))))) ((7) (lambda (eta-0) (vector 1 0))) ((14) (lambda (eta-0) (vector 1 0))) ((66) (let ((e-20 (vector-ref arg-1 3))) (TTImpC-45ElabC-45Delayed-recoverable arg-0 e-20))) ((67) (let ((e-23 (vector-ref arg-1 3))) (TTImpC-45ElabC-45Delayed-recoverable arg-0 e-23))) ((68) (let ((e-26 (vector-ref arg-1 3))) (TTImpC-45ElabC-45Delayed-recoverable arg-0 e-26))) ((69) (let ((e-29 (vector-ref arg-1 3))) (TTImpC-45ElabC-45Delayed-recoverable arg-0 e-29))) ((5) (let ((e-36 (vector-ref arg-1 7))) (TTImpC-45ElabC-45Delayed-recoverable arg-0 e-36)))(else (lambda (eta-0) (vector 1 1))))))
(define TTImpC-45ElabC-45Delayed-mkClosedElab (lambda (arg-0 arg-1 arg-2 arg-3) (if (null? arg-0) (let ((eff-0 arg-3)) (PrimIO-io_bind eff-0 (csegen-3120))) (let ((e-2 (car arg-0))) (let ((e-3 (cdr arg-0))) (let ((e-8 (car arg-2))) (let ((e-9 (cdr arg-2))) (TTImpC-45ElabC-45Delayed-mkClosedElab e-3 arg-1 e-9 (let ((eff-0 arg-3)) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((e-6 (car e-5))) (let ((u--bC-39 (TTImpC-45ElabC-45Delayed-n--9207-12479-u--newBinder e-2 e-3 e-9 e-8 arg-3 arg-1 e-8))) (lambda (eta-0) (vector 1 (cons (vector 3 arg-1 e-2 u--bC-39 e-6) (CoreC-45NormaliseC-45Eval-gErased arg-1)))))))) eff-1)))))))))))))))
(define TTImpC-45ElabC-45Delayed-mismatchNF (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (case (vector-ref arg-3 0) ((3) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (case (vector-ref arg-4 0) ((3) (let ((e-26 (vector-ref arg-4 2))) (let ((e-29 (vector-ref arg-4 5))) (let ((sc2 (CoreC-45Name-u--C-47C-61_Eq_Name e-2 e-26))) (cond ((equal? sc2 1) (lambda (eta-0) (vector 1 1))) (else (CoreC-45Core-anyM (lambda (eta-0) (TTImpC-45ElabC-45Delayed-mismatch arg-0 arg-1 arg-2 eta-0)) (DataC-45List-u--zipWith_Zippable_List (lambda (eta-0) (lambda (eta-1) (PreludeC-45Basics-curry (lambda (eta-2) (PreludeC-45Interfaces-mapHom (vector (lambda (u--d) (lambda (u--b) (lambda (u--c) (lambda (u--a) (lambda (arg-9053) (lambda (arg-9060) (lambda (arg-9067) (let ((e-7 (car arg-9067))) (let ((e-6 (cdr arg-9067))) (cons (arg-9053 e-7) (arg-9060 e-6))))))))))) (lambda (u--b) (lambda (u--c) (lambda (u--a) (lambda (arg-9081) (lambda (arg-9088) (let ((e-7 (car arg-9088))) (let ((e-6 (cdr arg-9088))) (cons (arg-9081 e-7) e-6)))))))) (lambda (u--a) (lambda (u--d) (lambda (u--b) (lambda (arg-9095) (lambda (arg-9102) (let ((e-7 (car arg-9102))) (let ((e-6 (cdr arg-9102))) (cons e-7 (arg-9095 e-6)))))))))) (lambda (eta-3) (Builtin-snd eta-3)) eta-2)) eta-0 eta-1))) e-5 e-29))))))))(else (lambda (eta-0) (vector 1 0))))))) ((2) (let ((e-9 (vector-ref arg-3 3))) (let ((e-11 (vector-ref arg-3 5))) (case (vector-ref arg-4 0) ((2) (let ((e-33 (vector-ref arg-4 3))) (let ((e-35 (vector-ref arg-4 5))) (let ((sc2 (PreludeC-45EqOrd-u--C-47C-61_Eq_Int e-9 e-33))) (cond ((equal? sc2 1) (lambda (eta-0) (vector 1 1))) (else (CoreC-45Core-anyM (lambda (eta-0) (TTImpC-45ElabC-45Delayed-mismatch arg-0 arg-1 arg-2 eta-0)) (DataC-45List-u--zipWith_Zippable_List (lambda (eta-0) (lambda (eta-1) (PreludeC-45Basics-curry (lambda (eta-2) (PreludeC-45Interfaces-mapHom (vector (lambda (u--d) (lambda (u--b) (lambda (u--c) (lambda (u--a) (lambda (arg-9053) (lambda (arg-9060) (lambda (arg-9067) (let ((e-2 (car arg-9067))) (let ((e-3 (cdr arg-9067))) (cons (arg-9053 e-2) (arg-9060 e-3))))))))))) (lambda (u--b) (lambda (u--c) (lambda (u--a) (lambda (arg-9081) (lambda (arg-9088) (let ((e-2 (car arg-9088))) (let ((e-3 (cdr arg-9088))) (cons (arg-9081 e-2) e-3)))))))) (lambda (u--a) (lambda (u--d) (lambda (u--b) (lambda (arg-9095) (lambda (arg-9102) (let ((e-2 (car arg-9102))) (let ((e-3 (cdr arg-9102))) (cons e-2 (arg-9095 e-3)))))))))) (lambda (eta-3) (Builtin-snd eta-3)) eta-2)) eta-0 eta-1))) e-11 e-35))))))))(else (lambda (eta-0) (vector 1 0))))))) ((8) (let ((e-14 (vector-ref arg-3 2))) (lambda (clam-0) (case (vector-ref arg-4 0) ((8) (let ((e-38 (vector-ref arg-4 2))) (vector 1 (CoreC-45TT-u--C-47C-61_Eq_Constant e-14 e-38))))(else (vector 1 0)))))) ((5) (let ((e-18 (vector-ref arg-3 3))) (case (vector-ref arg-4 0) ((5) (let ((e-42 (vector-ref arg-4 3))) (TTImpC-45ElabC-45Delayed-mismatchNF arg-0 arg-1 arg-2 e-18 e-42)))(else (lambda (eta-0) (vector 1 0)))))) ((6) (let ((e-23 (vector-ref arg-3 4))) (case (vector-ref arg-4 0) ((6) (let ((e-47 (vector-ref arg-4 4))) (let ((eff-0 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-23))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-47))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (TTImpC-45ElabC-45Delayed-mismatchNF arg-0 arg-1 arg-2 e-5 e-6))) eff-2))))))))) eff-1)))))))))(else (lambda (eta-0) (vector 1 0))))))(else (lambda (eta-0) (vector 1 0))))))
(define TTImpC-45ElabC-45Delayed-mismatch (lambda (arg-0 arg-1 arg-2 arg-3) (let ((e-2 (car arg-3))) (let ((e-3 (cdr arg-3))) (let ((eff-0 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (TTImpC-45ElabC-45Delayed-mismatchNF arg-0 arg-1 arg-2 e-5 e-6))) eff-2))))))))) eff-1)))))))))))
(define TTImpC-45ElabC-45Delayed-delayOnFailure (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11) (let ((eff-0 (let ((eff-0 arg-3)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--nos (let ((e-12 (vector-ref e-5 5))) e-12))) (TTImpC-45ElabC-45Check-handle arg-0 arg-1 arg-2 arg-3 arg-4 (arg-11 0) (lambda (u--err) (let ((eff-1 (let ((eff-1 arg-4)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (unbox eff-2))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (TTImpC-45ElabC-45Delayed-n--9501-12756-u--mkExpected arg-0 arg-11 arg-10 arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 arg-8))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((sc3 (arg-9 u--err))) (cond ((equal? sc3 1) (let ((eff-3 (CoreC-45UnifyState-genName arg-1 arg-3 "delayed"))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (let ((eff-4 (CoreC-45NormaliseC-45Eval-getTerm e-7))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (CoreC-45UnifyState-newDelayed arg-0 arg-3 arg-1 arg-5 (csegen-1778) arg-7 e-8 e-9))) eff-5))))))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (let ((e-2 (car e-9))) (let ((e-3 (cdr e-9))) (let ((eff-5 (CoreC-45Normalise-logGlueNF arg-0 arg-1 (csegen-3121) 5 (lambda () (string-append (csegen-3122) (string-append (CoreC-45Name-u--show_Show_Name e-8) (string-append " at " (string-append (CoreC-45FC-u--show_Show_FC arg-5) " for"))))) arg-7 e-7))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-4 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-6 (let ((eff-6 (CoreC-45ContextC-45Log-log arg-1 (csegen-3121) 10 (lambda () (string-append ((csegen-0) "Due to error ") (CoreC-45Core-u--show_Show_Error u--err)))))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-4 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-7 (let ((eff-7 (let ((eff-7 arg-1)) (PrimIO-io_bind (let ((eff-8 eff-7)) (lambda (eta-0) (unbox eff-8))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-4 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-12 (vector-ref lcase-7 1))) (let ((eff-8 (let ((eff-8 (let ((eff-8 (let ((eff-8 arg-3)) (PrimIO-io_bind (let ((eff-9 eff-8)) (lambda (eta-0) (unbox eff-9))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-8 (lambda (lcase-8) (case (vector-ref lcase-8 0) ((0) (let ((e-4 (vector-ref lcase-8 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-13 (vector-ref lcase-8 1))) (let ((eff-9 (let ((eff-9 arg-3)) (PrimIO-io_bind (let ((eff-10 eff-9)) (lambda (eta-0) (set-box! eff-10 (let ((e-0 (vector-ref e-13 0))) (let ((e-1 (vector-ref e-13 1))) (let ((e-22 (vector-ref e-13 2))) (let ((e-21 (vector-ref e-13 3))) (let ((e-4 (vector-ref e-13 4))) (let ((e-20 (vector-ref e-13 5))) (let ((e-19 (vector-ref e-13 6))) (let ((e-18 (vector-ref e-13 7))) (let ((e-17 (vector-ref e-13 8))) (let ((e-16 (vector-ref e-13 9))) (let ((e-15 (vector-ref e-13 10))) (let ((e-14 (vector-ref e-13 11))) (vector e-0 e-1 e-22 e-21 e-4 e-20 e-19 e-18 e-17 e-16 (cons (cons arg-10 (cons e-2 (cons (let ((e-44 (vector-ref e-12 10))) e-44) (TTImpC-45ElabC-45Delayed-mkClosedElab arg-0 arg-5 arg-7 (TTImpC-45ElabC-45Delayed-deeper arg-4 (let ((eff-11 (let ((eff-11 arg-3)) (PrimIO-io_bind (let ((eff-12 eff-11)) (lambda (eta-1) (unbox eff-12))) (lambda (u--opC-39) (lambda (eta-1) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-11 (lambda (lcase-9) (case (vector-ref lcase-9 0) ((0) (let ((e-23 (vector-ref lcase-9 1))) (lambda (eta-1) (vector 0 e-23)))) (else (let ((e-23 (vector-ref lcase-9 1))) (let ((eff-12 (let ((u--nosC-39 (let ((e-30 (vector-ref e-23 5))) e-30))) (let ((eff-12 (let ((eff-12 arg-3)) (PrimIO-io_bind (let ((eff-13 eff-12)) (lambda (eta-1) (set-box! eff-13 (let ((e-35 (vector-ref e-23 0))) (let ((e-34 (vector-ref e-23 1))) (let ((e-33 (vector-ref e-23 2))) (let ((e-32 (vector-ref e-23 3))) (let ((e-31 (vector-ref e-23 4))) (let ((e-29 (vector-ref e-23 6))) (let ((e-28 (vector-ref e-23 7))) (let ((e-27 (vector-ref e-23 8))) (let ((e-26 (vector-ref e-23 9))) (let ((e-25 (vector-ref e-23 10))) (let ((e-24 (vector-ref e-23 11))) (vector e-35 e-34 e-33 e-32 e-31 u--nos e-29 e-28 e-27 e-26 e-25 e-24))))))))))))))) (lambda (u--opC-39) (lambda (eta-1) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-12 (lambda (lcase-10) (case (vector-ref lcase-10 0) ((0) (let ((e-24 (vector-ref lcase-10 1))) (lambda (eta-1) (vector 0 e-24)))) (else (let ((eff-13 (let ((eff-13 (arg-11 1))) (PrimIO-io_bind eff-13 (lambda (lcase-11) (case (vector-ref lcase-11 0) ((0) (let ((e-25 (vector-ref lcase-11 1))) (lambda (eta-1) (vector 0 e-25)))) (else (let ((e-25 (vector-ref lcase-11 1))) (let ((eff-14 (let ((eff-14 (let ((eff-14 arg-3)) (PrimIO-io_bind (let ((eff-15 eff-14)) (lambda (eta-1) (unbox eff-15))) (lambda (u--opC-39) (lambda (eta-1) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-14 (lambda (lcase-12) (case (vector-ref lcase-12 0) ((0) (let ((e-26 (vector-ref lcase-12 1))) (lambda (eta-1) (vector 0 e-26)))) (else (let ((e-26 (vector-ref lcase-12 1))) (let ((eff-15 (let ((eff-15 (let ((eff-15 arg-3)) (PrimIO-io_bind (let ((eff-16 eff-15)) (lambda (eta-1) (set-box! eff-16 (let ((e-38 (vector-ref e-26 0))) (let ((e-37 (vector-ref e-26 1))) (let ((e-36 (vector-ref e-26 2))) (let ((e-35 (vector-ref e-26 3))) (let ((e-34 (vector-ref e-26 4))) (let ((e-32 (vector-ref e-26 6))) (let ((e-31 (vector-ref e-26 7))) (let ((e-30 (vector-ref e-26 8))) (let ((e-29 (vector-ref e-26 9))) (let ((e-28 (vector-ref e-26 10))) (let ((e-27 (vector-ref e-26 11))) (vector e-38 e-37 e-36 e-35 e-34 u--nosC-39 e-32 e-31 e-30 e-29 e-28 e-27))))))))))))))) (lambda (u--opC-39) (lambda (eta-1) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-15 (lambda (lcase-13) (case (vector-ref lcase-13 0) ((0) (let ((e-27 (vector-ref lcase-13 1))) (lambda (eta-1) (vector 0 e-27)))) (else (let ((eff-16 (lambda (eta-1) (vector 1 e-25)))) eff-16)))))))) eff-15))))))))) eff-14))))))))) eff-13))))))))) eff-12)))))))))))) e-15) e-14)))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-9))))))))) (PrimIO-io_bind eff-8 (lambda (lcase-8) (case (vector-ref lcase-8 0) ((0) (let ((e-4 (vector-ref lcase-8 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-9 (lambda (eta-0) (vector 1 (cons e-3 e-7))))) eff-9)))))))) eff-8))))))))) eff-7)))))))) eff-6)))))))))) eff-5))))))))) eff-4)))))))) (else (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error u--err eta-0))))))) eff-3))))))))) eff-2))))))))))) eff-1)))))))))
(define TTImpC-45ElabC-45Delayed-delayElab (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10) (let ((eff-0 (let ((eff-0 arg-3)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--nos (let ((e-12 (vector-ref e-5 5))) e-12))) (let ((eff-1 (CoreC-45UnifyState-genName arg-1 arg-3 "delayed"))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45ElabC-45Delayed-n--10325-13442-u--mkExpected arg-0 arg-10 arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 arg-8))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (let ((eff-3 (CoreC-45NormaliseC-45Eval-getTerm e-7))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (CoreC-45UnifyState-newDelayed arg-0 arg-3 arg-1 arg-5 (csegen-1778) arg-7 e-6 e-8))) eff-4))))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((e-2 (car e-8))) (let ((e-3 (cdr e-8))) (let ((eff-4 (CoreC-45Normalise-logGlueNF arg-0 arg-1 (csegen-3121) 5 (lambda () (string-append (csegen-3122) (string-append (CoreC-45Name-u--show_Show_Name e-6) " for"))) arg-7 e-7))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-4 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-5 (let ((eff-5 (let ((eff-5 arg-1)) (PrimIO-io_bind (let ((eff-6 eff-5)) (lambda (eta-0) (unbox eff-6))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-4 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-10 (vector-ref lcase-5 1))) (let ((eff-6 (let ((eff-6 (let ((eff-6 (let ((eff-6 arg-3)) (PrimIO-io_bind (let ((eff-7 eff-6)) (lambda (eta-0) (unbox eff-7))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-4 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-11 (vector-ref lcase-6 1))) (let ((eff-7 (let ((eff-7 arg-3)) (PrimIO-io_bind (let ((eff-8 eff-7)) (lambda (eta-0) (set-box! eff-8 (let ((e-0 (vector-ref e-11 0))) (let ((e-1 (vector-ref e-11 1))) (let ((e-20 (vector-ref e-11 2))) (let ((e-19 (vector-ref e-11 3))) (let ((e-4 (vector-ref e-11 4))) (let ((e-18 (vector-ref e-11 5))) (let ((e-17 (vector-ref e-11 6))) (let ((e-16 (vector-ref e-11 7))) (let ((e-15 (vector-ref e-11 8))) (let ((e-14 (vector-ref e-11 9))) (let ((e-13 (vector-ref e-11 10))) (let ((e-12 (vector-ref e-11 11))) (vector e-0 e-1 e-20 e-19 e-4 e-18 e-17 e-16 e-15 e-14 (cons (cons arg-9 (cons e-2 (cons (let ((e-42 (vector-ref e-10 10))) e-42) (TTImpC-45ElabC-45Delayed-mkClosedElab arg-0 arg-5 arg-7 (let ((eff-9 (let ((eff-9 arg-3)) (PrimIO-io_bind (let ((eff-10 eff-9)) (lambda (eta-1) (unbox eff-10))) (lambda (u--opC-39) (lambda (eta-1) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-9 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-21 (vector-ref lcase-7 1))) (lambda (eta-1) (vector 0 e-21)))) (else (let ((e-21 (vector-ref lcase-7 1))) (let ((eff-10 (let ((u--nosC-39 (let ((e-28 (vector-ref e-21 5))) e-28))) (let ((eff-10 (let ((eff-10 arg-3)) (PrimIO-io_bind (let ((eff-11 eff-10)) (lambda (eta-1) (set-box! eff-11 (let ((e-33 (vector-ref e-21 0))) (let ((e-32 (vector-ref e-21 1))) (let ((e-31 (vector-ref e-21 2))) (let ((e-30 (vector-ref e-21 3))) (let ((e-29 (vector-ref e-21 4))) (let ((e-27 (vector-ref e-21 6))) (let ((e-26 (vector-ref e-21 7))) (let ((e-25 (vector-ref e-21 8))) (let ((e-24 (vector-ref e-21 9))) (let ((e-23 (vector-ref e-21 10))) (let ((e-22 (vector-ref e-21 11))) (vector e-33 e-32 e-31 e-30 e-29 u--nos e-27 e-26 e-25 e-24 e-23 e-22))))))))))))))) (lambda (u--opC-39) (lambda (eta-1) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-10 (lambda (lcase-8) (case (vector-ref lcase-8 0) ((0) (let ((e-22 (vector-ref lcase-8 1))) (lambda (eta-1) (vector 0 e-22)))) (else (let ((eff-11 (let ((eff-11 arg-10)) (PrimIO-io_bind eff-11 (lambda (lcase-9) (case (vector-ref lcase-9 0) ((0) (let ((e-23 (vector-ref lcase-9 1))) (lambda (eta-1) (vector 0 e-23)))) (else (let ((e-23 (vector-ref lcase-9 1))) (let ((eff-12 (let ((eff-12 (let ((eff-12 arg-3)) (PrimIO-io_bind (let ((eff-13 eff-12)) (lambda (eta-1) (unbox eff-13))) (lambda (u--opC-39) (lambda (eta-1) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-12 (lambda (lcase-10) (case (vector-ref lcase-10 0) ((0) (let ((e-24 (vector-ref lcase-10 1))) (lambda (eta-1) (vector 0 e-24)))) (else (let ((e-24 (vector-ref lcase-10 1))) (let ((eff-13 (let ((eff-13 (let ((eff-13 arg-3)) (PrimIO-io_bind (let ((eff-14 eff-13)) (lambda (eta-1) (set-box! eff-14 (let ((e-36 (vector-ref e-24 0))) (let ((e-35 (vector-ref e-24 1))) (let ((e-34 (vector-ref e-24 2))) (let ((e-33 (vector-ref e-24 3))) (let ((e-32 (vector-ref e-24 4))) (let ((e-30 (vector-ref e-24 6))) (let ((e-29 (vector-ref e-24 7))) (let ((e-28 (vector-ref e-24 8))) (let ((e-27 (vector-ref e-24 9))) (let ((e-26 (vector-ref e-24 10))) (let ((e-25 (vector-ref e-24 11))) (vector e-36 e-35 e-34 e-33 e-32 u--nosC-39 e-30 e-29 e-28 e-27 e-26 e-25))))))))))))))) (lambda (u--opC-39) (lambda (eta-1) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-13 (lambda (lcase-11) (case (vector-ref lcase-11 0) ((0) (let ((e-25 (vector-ref lcase-11 1))) (lambda (eta-1) (vector 0 e-25)))) (else (let ((eff-14 (lambda (eta-1) (vector 1 e-23)))) eff-14)))))))) eff-13))))))))) eff-12))))))))) eff-11))))))))) eff-10))))))))))) e-13) e-12)))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-7))))))))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-4 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-7 (lambda (eta-0) (vector 1 (cons e-3 e-7))))) eff-7)))))))) eff-6))))))))) eff-5)))))))))) eff-4))))))))) eff-3))))))))) eff-2)))))))))) eff-1)))))))))
(define TTImpC-45ElabC-45Delayed-deeper (lambda (arg-2 arg-3) (let ((eff-0 (let ((eff-0 arg-2)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--d (let ((e-11 (vector-ref e-5 10))) e-11))) (let ((eff-1 (let ((eff-1 arg-2)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (let ((e-1 (vector-ref e-5 0))) (let ((e-2 (vector-ref e-5 1))) (let ((e-3 (vector-ref e-5 2))) (let ((e-4 (vector-ref e-5 3))) (let ((e-15 (vector-ref e-5 4))) (let ((e-6 (vector-ref e-5 5))) (let ((e-7 (vector-ref e-5 6))) (let ((e-8 (vector-ref e-5 7))) (let ((e-9 (vector-ref e-5 8))) (let ((e-10 (vector-ref e-5 9))) (let ((e-12 (vector-ref e-5 11))) (let ((e-13 (vector-ref e-5 12))) (let ((e-14 (vector-ref e-5 13))) (vector e-1 e-2 e-3 e-4 e-15 e-6 e-7 e-8 e-9 e-10 (+ u--d 1) e-12 e-13 e-14))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 arg-3)) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (let ((eff-3 arg-2)) (PrimIO-io_bind (let ((eff-4 eff-3)) (lambda (eta-0) (unbox eff-4))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (let ((eff-4 arg-2)) (PrimIO-io_bind (let ((eff-5 eff-4)) (lambda (eta-0) (set-box! eff-5 (let ((e-1 (vector-ref e-8 0))) (let ((e-2 (vector-ref e-8 1))) (let ((e-3 (vector-ref e-8 2))) (let ((e-4 (vector-ref e-8 3))) (let ((e-18 (vector-ref e-8 4))) (let ((e-17 (vector-ref e-8 5))) (let ((e-16 (vector-ref e-8 6))) (let ((e-15 (vector-ref e-8 7))) (let ((e-9 (vector-ref e-8 8))) (let ((e-10 (vector-ref e-8 9))) (let ((e-12 (vector-ref e-8 11))) (let ((e-13 (vector-ref e-8 12))) (let ((e-14 (vector-ref e-8 13))) (vector e-1 e-2 e-3 e-4 e-18 e-17 e-16 e-15 e-9 e-10 u--d e-12 e-13 e-14))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-5 (lambda (eta-0) (vector 1 e-7)))) eff-5)))))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))
(define TTImpC-45ElabC-45Delayed-contra (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (case (vector-ref arg-3 0) ((3) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (case (vector-ref arg-4 0) ((3) (let ((e-17 (vector-ref arg-4 2))) (let ((e-20 (vector-ref arg-4 5))) (let ((sc2 (CoreC-45Name-u--C-47C-61_Eq_Name e-2 e-17))) (cond ((equal? sc2 1) (lambda (eta-0) (vector 1 1))) (else (CoreC-45Core-anyM (lambda (eta-0) (TTImpC-45ElabC-45Delayed-mismatch arg-0 arg-1 arg-2 eta-0)) (DataC-45List-u--zipWith_Zippable_List (lambda (eta-0) (lambda (eta-1) (PreludeC-45Basics-curry (lambda (eta-2) (PreludeC-45Interfaces-mapHom (vector (lambda (u--d) (lambda (u--b) (lambda (u--c) (lambda (u--a) (lambda (arg-9053) (lambda (arg-9060) (lambda (arg-9067) (let ((e-7 (car arg-9067))) (let ((e-6 (cdr arg-9067))) (cons (arg-9053 e-7) (arg-9060 e-6))))))))))) (lambda (u--b) (lambda (u--c) (lambda (u--a) (lambda (arg-9081) (lambda (arg-9088) (let ((e-7 (car arg-9088))) (let ((e-6 (cdr arg-9088))) (cons (arg-9081 e-7) e-6)))))))) (lambda (u--a) (lambda (u--d) (lambda (u--b) (lambda (arg-9095) (lambda (arg-9102) (let ((e-7 (car arg-9102))) (let ((e-6 (cdr arg-9102))) (cons e-7 (arg-9095 e-6)))))))))) (lambda (eta-3) (Builtin-snd eta-3)) eta-2)) eta-0 eta-1))) e-5 e-20))))))))(else (lambda (eta-0) (vector 1 0))))))) ((2) (let ((e-9 (vector-ref arg-3 3))) (let ((e-11 (vector-ref arg-3 5))) (case (vector-ref arg-4 0) ((2) (let ((e-24 (vector-ref arg-4 3))) (let ((e-26 (vector-ref arg-4 5))) (let ((sc2 (PreludeC-45EqOrd-u--C-47C-61_Eq_Int e-9 e-24))) (cond ((equal? sc2 1) (lambda (eta-0) (vector 1 1))) (else (CoreC-45Core-anyM (lambda (eta-0) (TTImpC-45ElabC-45Delayed-mismatch arg-0 arg-1 arg-2 eta-0)) (DataC-45List-u--zipWith_Zippable_List (lambda (eta-0) (lambda (eta-1) (PreludeC-45Basics-curry (lambda (eta-2) (PreludeC-45Interfaces-mapHom (vector (lambda (u--d) (lambda (u--b) (lambda (u--c) (lambda (u--a) (lambda (arg-9053) (lambda (arg-9060) (lambda (arg-9067) (let ((e-2 (car arg-9067))) (let ((e-3 (cdr arg-9067))) (cons (arg-9053 e-2) (arg-9060 e-3))))))))))) (lambda (u--b) (lambda (u--c) (lambda (u--a) (lambda (arg-9081) (lambda (arg-9088) (let ((e-2 (car arg-9088))) (let ((e-3 (cdr arg-9088))) (cons (arg-9081 e-2) e-3)))))))) (lambda (u--a) (lambda (u--d) (lambda (u--b) (lambda (arg-9095) (lambda (arg-9102) (let ((e-2 (car arg-9102))) (let ((e-3 (cdr arg-9102))) (cons e-2 (arg-9095 e-3)))))))))) (lambda (eta-3) (Builtin-snd eta-3)) eta-2)) eta-0 eta-1))) e-11 e-26)))))))) ((8) (lambda (eta-0) (vector 1 1)))(else (lambda (eta-0) (vector 1 0))))))) ((8) (let ((e-14 (vector-ref arg-3 2))) (lambda (clam-0) (case (vector-ref arg-4 0) ((8) (let ((e-32 (vector-ref arg-4 2))) (vector 1 (CoreC-45TT-u--C-47C-61_Eq_Constant e-14 e-32)))) ((2) (vector 1 1))(else (vector 1 0))))))(else (lambda (eta-0) (vector 1 0))))))
(define TTImpC-45ElabC-45Delayed-ambiguous (lambda (arg-0) (case (vector-ref arg-0 0) ((18) 1) ((17) 1) ((20) 1) ((66) (let ((e-11 (vector-ref arg-0 3))) (TTImpC-45ElabC-45Delayed-ambiguous e-11))) ((67) (let ((e-14 (vector-ref arg-0 3))) (TTImpC-45ElabC-45Delayed-ambiguous e-14))) ((68) (let ((e-17 (vector-ref arg-0 3))) (TTImpC-45ElabC-45Delayed-ambiguous e-17))) ((69) (let ((e-20 (vector-ref arg-0 3))) (TTImpC-45ElabC-45Delayed-ambiguous e-20))) ((5) (let ((e-27 (vector-ref arg-0 7))) (TTImpC-45ElabC-45Delayed-ambiguous e-27)))(else 0))))
(define TTImpC-45ElabC-45Check-case--checkExp-18346 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12) (if (null? arg-12) (let ((e-3 (vector-ref arg-11 3))) (case (vector-ref e-3 0) ((0) (let ((eff-0 (CoreC-45ContextC-45Log-logTerm arg-0 arg-10 "elab" 5 (lambda () "Solved") arg-3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-1 (lambda (eta-0) (vector 1 (cons arg-3 arg-2))))) eff-1))))))) ((1) (let ((e-4 (vector-ref e-3 1))) (let ((eff-0 (CoreC-45ContextC-45Log-logTerm arg-0 arg-10 "elab" 5 (lambda () "Force") arg-3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45Normalise-logGlue arg-0 arg-10 "elab" 5 (lambda () "Got") arg-5 arg-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-6 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45Normalise-logGlue arg-0 arg-10 "elab" 5 (lambda () "Exp") arg-5 arg-1))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-7 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((eff-3 (lambda (eta-0) (vector 1 (cons (vector 8 arg-4 e-4 arg-3) arg-1))))) eff-3)))))))) eff-2)))))))) eff-1)))))))) (else (let ((e-4 (vector-ref e-3 1))) (let ((eff-0 (CoreC-45NormaliseC-45Eval-getTerm arg-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45ContextC-45Log-logTerm arg-0 arg-10 "elab" 5 (lambda () "Delay") arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-6 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((eff-2 (lambda (eta-0) (vector 1 (cons (vector 7 arg-4 e-4 e-5 arg-3) arg-1))))) eff-2)))))))) eff-1))))))))))) (let ((eff-0 (CoreC-45ContextC-45Log-logTerm arg-0 arg-10 "elab" 5 (lambda () "Not solved") arg-3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (let ((eff-1 arg-10)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (unbox eff-2))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (lambda (eta-0) (CoreC-45Context-clearDefs e-6 eta-0)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (let ((eff-3 (CoreC-45NormaliseC-45Eval-getTerm arg-1))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45UnifyState-newConstant arg-0 arg-9 arg-10 arg-4 arg-7 arg-5 arg-3 e-8 arg-12))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (let ((eff-5 (CoreC-45UnifyState-dumpConstraints arg-9 arg-10 "elab" 5 0))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-6 (let ((e-3 (vector-ref arg-11 3))) (case (vector-ref e-3 0) ((0) (lambda (eta-0) (vector 1 (cons e-9 arg-2)))) ((1) (let ((e-4 (vector-ref e-3 1))) (lambda (eta-0) (vector 1 (cons (vector 8 arg-4 e-4 arg-3) arg-1))))) (else (let ((e-4 (vector-ref e-3 1))) (let ((eff-6 (CoreC-45NormaliseC-45Eval-getTerm arg-2))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-11 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-6 1))) (let ((eff-7 (lambda (eta-0) (vector 1 (cons (vector 7 arg-4 e-4 e-11 arg-3) arg-1))))) eff-7))))))))))))) eff-6)))))))) eff-5))))))))) eff-4))))))))) eff-3)))))))) eff-2))))))))) eff-1)))))))))
(define TTImpC-45ElabC-45Check-case--exactlyOneC-39C-44getRight-17055 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-11 arg-12) (if (null? arg-12) (let ((sc1 (PreludeC-45TypesC-45List-filterAppend '() (csegen-3124) arg-12))) (if (null? sc1) (vector 0 ((csegen-947) arg-12)) (let ((e-1 (car sc1))) (let ((e-2 (cdr sc1))) (if (null? e-1) (vector 0 ((csegen-947) arg-12)) (let ((e-6 (cdr e-1))) (if (null? e-2) (vector 1 e-6) (vector 0 ((csegen-947) arg-12))))))))) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? e-1) (let ((sc2 (PreludeC-45TypesC-45List-filterAppend '() (csegen-3124) arg-12))) (if (null? sc2) (vector 0 ((csegen-947) arg-12)) (let ((e-4 (car sc2))) (let ((e-3 (cdr sc2))) (if (null? e-4) (vector 0 ((csegen-947) arg-12)) (let ((e-6 (cdr e-4))) (if (null? e-3) (vector 1 e-6) (vector 0 ((csegen-947) arg-12))))))))) (let ((e-6 (cdr e-1))) (if (null? e-2) (vector 1 e-6) (let ((sc3 (PreludeC-45TypesC-45List-filterAppend '() (csegen-3124) arg-12))) (if (null? sc3) (vector 0 ((csegen-947) arg-12)) (let ((e-4 (car sc3))) (let ((e-3 (cdr sc3))) (if (null? e-4) (vector 0 ((csegen-947) arg-12)) (let ((e-7 (cdr e-4))) (if (null? e-3) (vector 1 e-7) (vector 0 ((csegen-947) arg-12)))))))))))))))))
(define TTImpC-45ElabC-45Check-case--caseC-32blockC-32inC-32searchVarC-44envHints-15471 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19) (if (null? arg-19) (lambda (eta-0) (vector 1 (cons arg-14 (cons arg-15 arg-16)))) (let ((e-1 (unbox arg-19))) (let ((e-5 (car e-1))) (let ((e-6 (cdr e-1))) (let ((e-10 (cdr e-6))) (let ((u--nC-39 (PreludeC-45Types-maybe (lambda () arg-11) (lambda () (lambda (eta-0) eta-0)) e-5))) (let ((eff-0 (let ((eff-0 arg-10)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-lookupCtxtExact u--nC-39 (let ((e-0 (vector-ref e-7 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-8) (lambda (eta-0) (vector 1 (cons arg-14 (cons arg-15 arg-16)))) (let ((e-2 (unbox e-8))) (let ((u--nt (DataC-45Maybe-fromMaybe (lambda () (vector 1 )) (CoreC-45ContextC-45Context-defNameType (let ((e-17 (vector-ref e-2 17))) e-17))))) (let ((u--app ((e-10 arg-8) u--nt))) (let ((u--tyenv (TTImpC-45ElabC-45Check-n--13516-15011-u--useVars arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-0 (CoreC-45TT-getArgs u--app) (CoreC-45TT-embed (let ((e-28 (vector-ref e-2 2))) e-28))))) (let ((u--binder (vector 1 arg-8 (AlgebraC-45ZeroOneOmega-u--top_Top_ZeroOneOmega) (CoreC-45TT-u--weakenNs_Weaken_Term (CoreC-45TTC-45SizeOf-mkSizeOf arg-14) u--app) (CoreC-45TT-u--weakenNs_Weaken_Term (CoreC-45TTC-45SizeOf-mkSizeOf arg-14) u--tyenv)))) (let ((eff-2 (CoreC-45Context-toFullNames arg-10 (csegen-81) u--nC-39))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-3 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-11 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (cons (cons e-11 arg-14) (cons (lambda (u--t) (arg-15 (vector 3 arg-8 e-11 u--binder u--t))) (cons u--binder arg-16))))))) eff-3))))))))))))))) eff-2))))))))) eff-1)))))))))))))))
(define TTImpC-45ElabC-45Check-case--strengthenedEStateC-44removeArg-13322 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-7 arg-8) (let ((e-2 (car arg-8))) (let ((e-3 (cdr arg-8))) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (TTImpC-45ElabC-45Check-n--11537-13181-u--removeArgVars arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-3) (lambda (u--argsC-39) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (CoreC-45TT-shrinkTerm e-2 (vector 1 (vector 0 ))) (lambda (u--fC-39) (box (CoreC-45TT-apply (CoreC-45TT-getLoc e-2) u--fC-39 u--argsC-39))))))))))
(define TTImpC-45ElabC-45Check-n--11337-12974-u--wknTms (lambda (arg-0 arg-1 arg-2 arg-4) (let ((e-2 (car arg-4))) (let ((e-3 (cdr arg-4))) (case (vector-ref e-3 0) ((0) (let ((e-4 (vector-ref e-3 1))) (let ((e-5 (vector-ref e-3 2))) (let ((e-6 (vector-ref e-3 3))) (let ((e-7 (vector-ref e-3 4))) (let ((e-8 (vector-ref e-3 5))) (cons e-2 (vector 0 (cons arg-0 e-4) e-5 (CoreC-45TT-u--map_Functor_PiInfo (lambda (eta-0) (CoreC-45TT-u--weaken_Weaken_Term eta-0)) e-6) (CoreC-45TT-u--weaken_Weaken_Term e-7) (CoreC-45TT-u--weaken_Weaken_Term e-8))))))))) (else (let ((e-9 (vector-ref e-3 1))) (let ((e-10 (vector-ref e-3 2))) (let ((e-11 (vector-ref e-3 3))) (let ((e-12 (vector-ref e-3 4))) (let ((e-13 (vector-ref e-3 5))) (let ((e-14 (vector-ref e-3 6))) (cons e-2 (vector 1 (cons arg-0 e-9) e-10 (CoreC-45TT-u--map_Functor_PiInfo (lambda (eta-0) (CoreC-45TT-u--weaken_Weaken_Term eta-0)) e-11) (CoreC-45TT-u--weaken_Weaken_Term e-12) (CoreC-45TT-u--weaken_Weaken_Term e-13) (CoreC-45TT-u--weaken_Weaken_Term e-14)))))))))))))))
(define TTImpC-45ElabC-45Check-n--13516-15011-u--useVars (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13) (if (null? arg-12) arg-13 (let ((e-12 (car arg-12))) (let ((e-13 (cdr arg-12))) (case (vector-ref arg-13 0) ((3) (let ((e-15 (vector-ref arg-13 1))) (let ((e-16 (vector-ref arg-13 2))) (let ((e-17 (vector-ref arg-13 3))) (let ((e-18 (vector-ref arg-13 4))) (case (vector-ref e-17 0) ((2) (let ((e-20 (vector-ref e-17 1))) (let ((e-21 (vector-ref e-17 2))) (let ((e-23 (vector-ref e-17 4))) (vector 3 e-15 e-16 (vector 1 e-20 e-21 e-12 e-23) (TTImpC-45ElabC-45Check-n--13516-15011-u--useVars arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (cons e-16 arg-11) ((csegen-3125) e-13) e-18))))))(else (case (vector-ref arg-13 0) ((3) (let ((e-1 (vector-ref arg-13 1))) (let ((e-2 (vector-ref arg-13 2))) (let ((e-3 (vector-ref arg-13 3))) (let ((e-4 (vector-ref arg-13 4))) (case (vector-ref e-3 0) ((1) (let ((e-6 (vector-ref e-3 1))) (let ((e-7 (vector-ref e-3 2))) (let ((e-8 (vector-ref e-3 3))) (let ((e-9 (vector-ref e-3 4))) (vector 3 e-1 e-2 (vector 1 e-6 e-7 e-8 e-9) (TTImpC-45ElabC-45Check-n--13516-15011-u--useVars arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (cons e-2 arg-11) ((csegen-3125) arg-12) e-4)))))))(else arg-13)))))))(else arg-13)))))))))(else (case (vector-ref arg-13 0) ((3) (let ((e-1 (vector-ref arg-13 1))) (let ((e-2 (vector-ref arg-13 2))) (let ((e-3 (vector-ref arg-13 3))) (let ((e-4 (vector-ref arg-13 4))) (case (vector-ref e-3 0) ((1) (let ((e-6 (vector-ref e-3 1))) (let ((e-7 (vector-ref e-3 2))) (let ((e-8 (vector-ref e-3 3))) (let ((e-9 (vector-ref e-3 4))) (vector 3 e-1 e-2 (vector 1 e-6 e-7 e-8 e-9) (TTImpC-45ElabC-45Check-n--13516-15011-u--useVars arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (cons e-2 arg-11) ((csegen-3125) arg-12) e-4)))))))(else arg-13)))))))(else arg-13)))))))))
(define TTImpC-45ElabC-45Check-n--11537-13183-u--strTms (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (let ((e-2 (car arg-7))) (let ((e-3 (cdr arg-7))) (case (vector-ref e-3 0) ((0) (let ((e-4 (vector-ref e-3 1))) (let ((e-5 (vector-ref e-3 2))) (let ((e-6 (vector-ref e-3 3))) (let ((e-7 (vector-ref e-3 4))) (let ((e-8 (vector-ref e-3 5))) (let ((eff-0 (CoreC-45Normalise-normaliseHoles arg-5 (cons arg-1 arg-0) arg-6 arg-2 e-7))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-9 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Normalise-normaliseHoles arg-5 (cons arg-1 arg-0) arg-6 arg-2 e-8))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-10 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-1 1))) (let ((eff-2 (let ((sc5 (CoreC-45TT-shrinkPi e-6 (vector 1 (vector 0 ))))) (if (null? sc5) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 29 (cons arg-1 arg-0) arg-3 arg-2 e-2 e-8) eta-0)) (let ((e-11 (unbox sc5))) (lambda (clam-0) (let ((sc6 (TTImpC-45ElabC-45Check-n--11537-13182-u--removeArg arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-9))) (if (null? sc6) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 29 (cons arg-1 arg-0) arg-3 arg-2 e-2 e-8) clam-0) (let ((e-12 (unbox sc6))) (let ((sc7 (CoreC-45TT-shrinkTerm e-10 (vector 1 (vector 0 ))))) (if (null? sc7) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 29 (cons arg-1 arg-0) arg-3 arg-2 e-2 e-8) clam-0) (let ((e-13 (unbox sc7))) (vector 1 (cons e-2 (vector 0 arg-0 e-5 e-11 e-12 e-13))))))))))))))) eff-2))))))))) eff-1))))))))))))) (else (let ((e-9 (vector-ref e-3 1))) (let ((e-10 (vector-ref e-3 2))) (let ((e-11 (vector-ref e-3 3))) (let ((e-12 (vector-ref e-3 4))) (let ((e-13 (vector-ref e-3 5))) (let ((e-14 (vector-ref e-3 6))) (let ((eff-0 (CoreC-45Normalise-normaliseHoles arg-5 (cons arg-1 arg-0) arg-6 arg-2 e-12))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Normalise-normaliseHoles arg-5 (cons arg-1 arg-0) arg-6 arg-2 e-13))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Normalise-normaliseHoles arg-5 (cons arg-1 arg-0) arg-6 arg-2 e-14))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((sc6 (CoreC-45TT-shrinkPi e-11 (vector 1 (vector 0 ))))) (if (null? sc6) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 29 (cons arg-1 arg-0) arg-3 arg-2 e-2 e-13) eta-0)) (let ((e-8 (unbox sc6))) (let ((sc7 (CoreC-45TT-shrinkTerm e-5 (vector 1 (vector 0 ))))) (if (null? sc7) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 29 (cons arg-1 arg-0) arg-3 arg-2 e-2 e-13) eta-0)) (let ((e-15 (unbox sc7))) (lambda (clam-1) (let ((sc8 (CoreC-45TT-shrinkTerm e-6 (vector 1 (vector 0 ))))) (if (null? sc8) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 29 (cons arg-1 arg-0) arg-3 arg-2 e-2 e-13) clam-1) (let ((e-17 (unbox sc8))) (let ((sc9 (CoreC-45TT-shrinkTerm e-7 (vector 1 (vector 0 ))))) (if (null? sc9) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 29 (cons arg-1 arg-0) arg-3 arg-2 e-2 e-13) clam-1) (let ((e-21 (unbox sc9))) (vector 1 (cons e-2 (vector 1 arg-0 e-10 e-8 e-15 e-17 e-21)))))))))))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))))))
(define TTImpC-45ElabC-45Check-n--11537-13181-u--removeArgVars (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-7) (if (null? arg-7) (box '()) (let ((e-2 (car arg-7))) (let ((e-3 (cdr arg-7))) (case (vector-ref e-2 0) ((0) (let ((e-6 (vector-ref e-2 1))) (let ((e-7 (vector-ref e-2 2))) (let ((e-8 (vector-ref e-2 3))) (cond ((equal? e-8 0) (TTImpC-45ElabC-45Check-n--11537-13181-u--removeArgVars arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-3))(else (let ((e-10 (- e-8 1))) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (TTImpC-45ElabC-45Check-n--11537-13181-u--removeArgVars arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-3) (lambda (u--argsC-39) (box (cons (vector 0 e-6 e-7 e-10) u--argsC-39)))))))))))(else (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (CoreC-45TT-shrinkTerm e-2 (vector 1 (vector 0 ))) (lambda (u--aC-39) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (TTImpC-45ElabC-45Check-n--11537-13181-u--removeArgVars arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-3) (lambda (u--argsC-39) (box (cons u--aC-39 u--argsC-39)))))))))))))
(define TTImpC-45ElabC-45Check-n--11537-13182-u--removeArg (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-7) (TTImpC-45ElabC-45Check-case--strengthenedEStateC-44removeArg-13322 arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-7 (CoreC-45TT-getFnArgs arg-7))))
(define TTImpC-45ElabC-45Check-n--10232-11932-u--insertAll (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (if (null? arg-6) arg-7 (let ((e-2 (car arg-6))) (let ((e-3 (cdr arg-6))) (let ((e-6 (car e-2))) (let ((e-7 (cdr e-2))) (LibrariesC-45DataC-45NameMap-insert e-6 e-7 (TTImpC-45ElabC-45Check-n--10232-11932-u--insertAll arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-3 arg-7)))))))))
(define TTImpC-45ElabC-45Check-n--15763-17034-u--getRight (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-11) (TTImpC-45ElabC-45Check-case--exactlyOneC-39C-44getRight-17055 arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-11 (DataC-45Either-rights arg-11))))
(define TTImpC-45ElabC-45Check-n--15763-17035-u--getRes (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-10) (let ((e-2 (car arg-10))) (let ((e-3 (cdr arg-10))) (let ((e-6 (car e-2))) (let ((e-10 (car e-3))) (cons (let ((e-0 (vector-ref e-10 0))) e-0) e-6)))))))
(define TTImpC-45ElabC-45Check-n--15763-17036-u--getDepthError (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9) (case (vector-ref arg-9 0) ((20) (box arg-9))(else '()))))
(define TTImpC-45ElabC-45Check-n--13516-15012-u--find (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-12 arg-13) (if (null? arg-13) '() (let ((e-2 (car arg-13))) (let ((e-3 (cdr arg-13))) (let ((e-6 (car e-2))) (let ((e-7 (cdr e-2))) (let ((sc2 (CoreC-45Name-u--C-61C-61_Eq_Name arg-12 e-6))) (cond ((equal? sc2 1) (box e-7)) (else (let ((e-5 (car e-7))) (let ((e-4 (cdr e-7))) (if (null? e-5) (TTImpC-45ElabC-45Check-n--13516-15012-u--find arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-12 e-3) (let ((e-8 (unbox e-5))) (let ((u--t (cons (box e-8) e-4))) (let ((sc5 (CoreC-45Name-u--C-61C-61_Eq_Name arg-12 e-8))) (cond ((equal? sc5 1) (box u--t)) (else (TTImpC-45ElabC-45Check-n--13516-15012-u--find arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-12 e-3)))))))))))))))))))
(define TTImpC-45ElabC-45Check-n--13516-15013-u--envHints (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12) (if (null? arg-11) (lambda (eta-0) (vector 1 (cons '() (cons (lambda (eta-1) eta-1) arg-12)))) (let ((e-2 (car arg-11))) (let ((e-3 (cdr arg-11))) (let ((eff-0 (TTImpC-45ElabC-45Check-n--13516-15013-u--envHints arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 e-3 arg-12))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((e-6 (car e-5))) (let ((e-4 (cdr e-5))) (let ((e-8 (car e-4))) (let ((e-7 (cdr e-4))) (let ((eff-1 (CoreC-45Context-toFullNames arg-10 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-9 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-1 1))) (let ((eff-2 (let ((_-0 (cons e-6 (cons e-8 e-7)))) (TTImpC-45ElabC-45Check-case--caseC-32blockC-32inC-32searchVarC-44envHints-15471 arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 e-2 e-3 arg-12 e-6 e-8 e-7 _-0 e-9 (TTImpC-45ElabC-45Check-n--13516-15012-u--find arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 e-9 (let ((eff-2 arg-3)) eff-2)))))) eff-2))))))))))))) eff-1))))))))))))
(define TTImpC-45ElabC-45Check-n--11537-13184-u--dropTop (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-7) (let ((eff-0 arg-7)) (cond ((equal? eff-0 0) '())(else (let ((e-4 (- eff-0 1))) (box e-4)))))))
(define TTImpC-45ElabC-45Check-n--11537-13180-u--dropSub (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-9 ext-0) (case (vector-ref arg-9 0) ((1) (let ((e-3 (vector-ref arg-9 1))) (vector 1 e-3)))(else (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 "Badly formed weakened environment") ext-0)))))
(define TTImpC-45ElabC-45Check-n--15763-17037-u--depthError (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9) (if (null? arg-9) '() (let ((e-2 (car arg-9))) (let ((e-3 (cdr arg-9))) (let ((e-7 (cdr e-2))) (PreludeC-45Types-maybe (lambda () (TTImpC-45ElabC-45Check-n--15763-17037-u--depthError arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 e-3)) (lambda () (lambda (eta-0) (box eta-0))) (TTImpC-45ElabC-45Check-n--15763-17036-u--getDepthError arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 e-7))))))))
(define TTImpC-45ElabC-45Check-n--15763-17038-u--altError (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-10 arg-11) (if (null? arg-11) (let ((sc1 (TTImpC-45ElabC-45Check-n--15763-17037-u--depthError arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-10))) (if (null? sc1) (vector 21 arg-10) (let ((e-2 (unbox sc1))) e-2))) (vector 18 arg-0 arg-3 arg-2 (((csegen-25) (lambda (eta-0) (TTImpC-45ElabC-45Check-n--15763-17035-u--getRes arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 eta-0))) arg-11)))))
(define TTImpC-45ElabC-45Check-n--15198-16504-u--abandon (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10) (case (vector-ref arg-10 0) ((7) 1) ((66) (let ((e-4 (vector-ref arg-10 3))) (TTImpC-45ElabC-45Check-n--15198-16504-u--abandon arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-4))) ((67) (let ((e-7 (vector-ref arg-10 3))) (TTImpC-45ElabC-45Check-n--15198-16504-u--abandon arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-7))) ((68) (let ((e-10 (vector-ref arg-10 3))) (TTImpC-45ElabC-45Check-n--15198-16504-u--abandon arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-10))) ((69) (let ((e-13 (vector-ref arg-10 3))) (TTImpC-45ElabC-45Check-n--15198-16504-u--abandon arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-13))) ((21) (let ((e-14 (vector-ref arg-10 1))) (PreludeC-45Interfaces-any (csegen-16) (lambda (eta-0) (TTImpC-45ElabC-45Check-n--15198-16504-u--abandon arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 (Builtin-snd eta-0))) e-14)))(else 0))))
(define TTImpC-45ElabC-45Check-u--show_Show_ElabMode (lambda (arg-0) (case (vector-ref arg-0 0) ((0) "InType") ((1) (let ((e-0 (vector-ref arg-0 1))) (string-append "InLHS " (AlgebraC-45ZeroOneOmega-u--show_Show_ZeroOneOmega e-0)))) ((2) "InExpr") (else "InTransform"))))
(define TTImpC-45ElabC-45Check-u--show_Show_C-40ImplBindingC-32C-36varsC-41 (lambda (arg-1) (case (vector-ref arg-1 0) ((0) (let ((e-0 (vector-ref arg-1 1))) (let ((e-3 (vector-ref arg-1 4))) (let ((e-4 (vector-ref arg-1 5))) (PreludeC-45Show-u--show_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (cons (cons (lambda (u--x) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 e-0 u--x)) (lambda (u--d) (lambda (u--x) (CoreC-45TT-u--showPrec_Show_C-40TermC-32C-36varsC-41 e-0 u--d u--x)))) (cons (lambda (u--x) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 e-0 u--x)) (lambda (u--d) (lambda (u--x) (CoreC-45TT-u--showPrec_Show_C-40TermC-32C-36varsC-41 e-0 u--d u--x))))) (cons e-3 e-4)))))) (else (let ((e-5 (vector-ref arg-1 1))) (let ((e-8 (vector-ref arg-1 4))) (let ((e-9 (vector-ref arg-1 5))) (string-append (PreludeC-45Show-u--show_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (cons (cons (lambda (u--x) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 e-5 u--x)) (lambda (u--d) (lambda (u--x) (CoreC-45TT-u--showPrec_Show_C-40TermC-32C-36varsC-41 e-5 u--d u--x)))) (cons (lambda (u--x) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 e-5 u--x)) (lambda (u--d) (lambda (u--x) (CoreC-45TT-u--showPrec_Show_C-40TermC-32C-36varsC-41 e-5 u--d u--x))))) (cons e-8 e-9)) (string-append "@" (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 e-5 e-8))))))))))
(define TTImpC-45ElabC-45Check-u--showPrec_Show_C-40ImplBindingC-32C-36varsC-41 (lambda (arg-1 arg-2) (TTImpC-45ElabC-45Check-u--show_Show_C-40ImplBindingC-32C-36varsC-41 arg-2)))
(define TTImpC-45ElabC-45Check-u--C-61C-61_Eq_ElabOpt (lambda (arg-0 arg-1) (cond ((equal? arg-0 0) (cond ((equal? arg-1 0) 1)(else 0))) ((equal? arg-0 1) (cond ((equal? arg-1 1) 1)(else 0))) ((equal? arg-0 2) (cond ((equal? arg-1 2) 1)(else 0))) ((equal? arg-0 3) (cond ((equal? arg-1 3) 1)(else 0)))(else 0))))
(define TTImpC-45ElabC-45Check-u--C-47C-61_Eq_ElabOpt (lambda (arg-0 arg-1) (let ((sc0 (TTImpC-45ElabC-45Check-u--C-61C-61_Eq_ElabOpt arg-0 arg-1))) (cond ((equal? sc0 1) 0) (else 1)))))
(define TTImpC-45ElabC-45Check-weakenedEState (lambda (arg-0 arg-1 arg-2) (let ((eff-0 (let ((eff-0 arg-2)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Core-newRef (vector "TTImp.Elab.Check.EST" ) (let ((e-1 (vector-ref e-5 0))) (let ((e-2 (vector-ref e-5 1))) (let ((e-3 (vector-ref e-5 2))) (let ((e-4 (vector-ref e-5 3))) (let ((e-15 (vector-ref e-5 4))) (let ((e-6 (vector-ref e-5 5))) (let ((e-7 (vector-ref e-5 6))) (let ((e-8 (vector-ref e-5 7))) (let ((e-9 (vector-ref e-5 8))) (let ((e-11 (vector-ref e-5 10))) (let ((e-12 (vector-ref e-5 11))) (let ((e-13 (vector-ref e-5 12))) (let ((e-14 (vector-ref e-5 13))) (vector e-1 e-2 e-3 (vector 1 e-4) (((csegen-25) (lambda (eta-0) (TTImpC-45ElabC-45Check-n--11337-12974-u--wknTms arg-0 arg-1 arg-2 eta-0))) e-15) (((csegen-25) (lambda (eta-0) (TTImpC-45ElabC-45Check-n--11337-12974-u--wknTms arg-0 arg-1 arg-2 eta-0))) e-6) e-7 e-8 e-9 '() e-11 ((csegen-1005) e-12) e-13 e-14))))))))))))))))) (PrimIO-io_bind eff-1 (csegen-1313))))) eff-1)))))))))
(define TTImpC-45ElabC-45Check-updateEnv (lambda (arg-1 arg-2 arg-3 arg-4 arg-5) (let ((e-2 (vector-ref arg-5 1))) (let ((e-5 (vector-ref arg-5 4))) (let ((e-6 (vector-ref arg-5 5))) (let ((e-8 (vector-ref arg-5 7))) (let ((e-9 (vector-ref arg-5 8))) (let ((e-10 (vector-ref arg-5 9))) (let ((e-11 (vector-ref arg-5 10))) (let ((e-12 (vector-ref arg-5 11))) (let ((e-13 (vector-ref arg-5 12))) (let ((e-14 (vector-ref arg-5 13))) (vector arg-1 e-2 arg-2 arg-3 e-5 e-6 arg-4 e-8 e-9 e-10 e-11 e-12 e-13 e-14)))))))))))))
(define TTImpC-45ElabC-45Check-uniVar (lambda (arg-0 arg-1 arg-2) (let ((eff-0 (CoreC-45UnifyState-genName arg-0 arg-1 "u"))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-addDef arg-0 e-5 (CoreC-45Context-newDef arg-2 e-5 (csegen-54) '() (vector 10 arg-2 (vector 0 )) 2 (vector 0 ))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 8 e-6))))) eff-2))))))))) eff-1)))))))))
(define TTImpC-45ElabC-45Check-tryError (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (let ((eff-0 (let ((eff-0 arg-4)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 arg-5)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (unbox eff-2))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (let ((eff-2 arg-3)) (PrimIO-io_bind (let ((eff-3 eff-2)) (lambda (eta-0) (unbox eff-3))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45Context-branch arg-2))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (CoreC-45Core-u--catch_Catchable_Core_Error (let ((eff-4 arg-6)) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (let ((eff-5 (CoreC-45Context-commit arg-2))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-6 (lambda (eta-0) (vector 1 (vector 1 e-9))))) eff-6)))))))) eff-5))))))) (lambda (u--err) (let ((eff-4 (let ((eff-4 arg-4)) (PrimIO-io_bind (let ((eff-5 eff-4)) (lambda (eta-0) (set-box! eff-5 e-5))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-5 (let ((eff-5 (let ((eff-5 arg-5)) (PrimIO-io_bind (let ((eff-6 eff-5)) (lambda (eta-0) (set-box! eff-6 e-6))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-6 (let ((eff-6 (let ((eff-6 arg-3)) (PrimIO-io_bind (let ((eff-7 eff-6)) (lambda (eta-0) (set-box! eff-7 e-7))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-2 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-7 (let ((eff-7 (let ((eff-7 arg-2)) (PrimIO-io_bind (let ((eff-8 eff-7)) (lambda (eta-0) (unbox eff-8))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-2 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-12 (vector-ref lcase-7 1))) (let ((eff-8 (let ((eff-8 (let ((eff-8 arg-2)) (PrimIO-io_bind (let ((eff-9 eff-8)) (lambda (eta-0) (set-box! eff-9 (let ((e-0 (vector-ref e-8 0))) (let ((e-1 (vector-ref e-8 1))) (let ((e-2 (vector-ref e-8 2))) (let ((e-3 (vector-ref e-8 3))) (let ((e-4 (vector-ref e-8 4))) (let ((e-39 (vector-ref e-8 5))) (let ((e-38 (vector-ref e-8 6))) (let ((e-37 (vector-ref e-8 7))) (let ((e-36 (vector-ref e-8 8))) (let ((e-35 (vector-ref e-8 9))) (let ((e-34 (vector-ref e-8 10))) (let ((e-33 (vector-ref e-8 11))) (let ((e-32 (vector-ref e-8 12))) (let ((e-13 (vector-ref e-8 13))) (let ((e-14 (vector-ref e-8 14))) (let ((e-15 (vector-ref e-8 15))) (let ((e-16 (vector-ref e-8 16))) (let ((e-17 (vector-ref e-8 17))) (let ((e-18 (vector-ref e-8 18))) (let ((e-19 (vector-ref e-8 19))) (let ((e-20 (vector-ref e-8 20))) (let ((e-21 (vector-ref e-8 21))) (let ((e-22 (vector-ref e-8 22))) (let ((e-23 (vector-ref e-8 23))) (let ((e-24 (vector-ref e-8 24))) (let ((e-25 (vector-ref e-8 25))) (let ((e-26 (vector-ref e-8 26))) (let ((e-28 (vector-ref e-8 28))) (let ((e-29 (vector-ref e-8 29))) (let ((e-30 (vector-ref e-8 30))) (let ((e-31 (vector-ref e-8 31))) (vector e-0 e-1 e-2 e-3 e-4 e-39 e-38 e-37 e-36 e-35 e-34 e-33 e-32 e-13 e-14 e-15 e-16 e-17 e-18 e-19 e-20 e-21 e-22 e-23 e-24 e-25 e-26 (let ((e-44 (vector-ref e-12 27))) e-44) e-28 e-29 e-30 e-31))))))))))))))))))))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-8 (lambda (lcase-8) (case (vector-ref lcase-8 0) ((0) (let ((e-2 (vector-ref lcase-8 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-9 (lambda (eta-0) (vector 1 (vector 0 u--err))))) eff-9)))))))) eff-8))))))))) eff-7)))))))) eff-6)))))))) eff-5)))))))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))
(define TTImpC-45ElabC-45Check-try (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (let ((eff-0 (TTImpC-45ElabC-45Check-tryError arg-1 arg-2 arg-3 arg-4 arg-5 arg-6))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (case (vector-ref e-5 0) ((1) (let ((e-2 (vector-ref e-5 1))) (lambda (eta-0) (vector 1 e-2)))) (else arg-7)))) eff-1)))))))))
(define TTImpC-45ElabC-45Check-successful (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (if (null? arg-7) (lambda (eta-0) (vector 1 '())) (let ((e-2 (car arg-7))) (let ((e-3 (cdr arg-7))) (let ((e-6 (car e-2))) (let ((e-7 (cdr e-2))) (let ((eff-0 (let ((eff-0 arg-4)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--ncons (cond ((equal? arg-6 1) 0) (else (PreludeC-45TypesC-45List-length (LibrariesC-45DataC-45IntMap-toList (let ((e-1 (vector-ref e-5 1))) e-1))))))) (let ((eff-1 (let ((eff-1 arg-5)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (unbox eff-2))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-8 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (let ((eff-2 arg-3)) (PrimIO-io_bind (let ((eff-3 eff-2)) (lambda (eta-0) (unbox eff-3))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-9 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45Context-branch arg-2))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-4 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (CoreC-45Core-u--catch_Catchable_Core_Error (let ((eff-4 (CoreC-45ContextC-45Log-unverifiedLogC arg-2 "elab" 5 (let ((eff-4 (PreludeC-45Types-maybe (lambda () (csegen-3127)) (lambda () (lambda (eta-0) (CoreC-45Context-toFullNames arg-2 (csegen-81) eta-0))) e-6))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-4 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (string-append "Running " (CoreC-45Name-u--show_Show_Name e-11)))))) eff-5)))))))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-4 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-5 (let ((eff-5 e-7)) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-4 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-12 (vector-ref lcase-5 1))) (let ((eff-6 (let ((eff-6 (let ((eff-6 arg-4)) (PrimIO-io_bind (let ((eff-7 eff-6)) (lambda (eta-0) (unbox eff-7))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-4 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-13 (vector-ref lcase-6 1))) (let ((eff-7 (let ((u--nconsC-39 (cond ((equal? arg-6 1) 0) (else (PreludeC-45TypesC-45List-length (LibrariesC-45DataC-45IntMap-toList (let ((e-1 (vector-ref e-13 1))) e-1))))))) (let ((eff-7 (let ((eff-7 arg-5)) (PrimIO-io_bind (let ((eff-8 eff-7)) (lambda (eta-0) (unbox eff-8))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-4 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-14 (vector-ref lcase-7 1))) (let ((eff-8 (let ((eff-8 (let ((eff-8 arg-3)) (PrimIO-io_bind (let ((eff-9 eff-8)) (lambda (eta-0) (unbox eff-9))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-8 (lambda (lcase-8) (case (vector-ref lcase-8 0) ((0) (let ((e-4 (vector-ref lcase-8 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-15 (vector-ref lcase-8 1))) (let ((eff-9 (let ((eff-9 (let ((eff-9 arg-2)) (PrimIO-io_bind (let ((eff-10 eff-9)) (lambda (eta-0) (unbox eff-10))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-9 (lambda (lcase-9) (case (vector-ref lcase-9 0) ((0) (let ((e-4 (vector-ref lcase-9 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-16 (vector-ref lcase-9 1))) (let ((eff-10 (let ((eff-10 (let ((eff-10 arg-4)) (PrimIO-io_bind (let ((eff-11 eff-10)) (lambda (eta-0) (set-box! eff-11 e-5))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-10 (lambda (lcase-10) (case (vector-ref lcase-10 0) ((0) (let ((e-4 (vector-ref lcase-10 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-11 (let ((eff-11 (let ((eff-11 arg-5)) (PrimIO-io_bind (let ((eff-12 eff-11)) (lambda (eta-0) (set-box! eff-12 e-8))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-11 (lambda (lcase-11) (case (vector-ref lcase-11 0) ((0) (let ((e-4 (vector-ref lcase-11 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-12 (let ((eff-12 (let ((eff-12 arg-3)) (PrimIO-io_bind (let ((eff-13 eff-12)) (lambda (eta-0) (set-box! eff-13 e-9))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-12 (lambda (lcase-12) (case (vector-ref lcase-12 0) ((0) (let ((e-4 (vector-ref lcase-12 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-13 (let ((eff-13 (let ((eff-13 arg-2)) (PrimIO-io_bind (let ((eff-14 eff-13)) (lambda (eta-0) (set-box! eff-14 e-10))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-13 (lambda (lcase-13) (case (vector-ref lcase-13 0) ((0) (let ((e-4 (vector-ref lcase-13 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-14 (let ((eff-14 (CoreC-45ContextC-45Log-unverifiedLogC arg-2 "elab" 5 (let ((eff-14 (PreludeC-45Types-maybe (lambda () (csegen-3127)) (lambda () (lambda (eta-0) (CoreC-45Context-toFullNames arg-2 (csegen-81) eta-0))) e-6))) (PrimIO-io_bind eff-14 (lambda (lcase-14) (case (vector-ref lcase-14 0) ((0) (let ((e-4 (vector-ref lcase-14 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-21 (vector-ref lcase-14 1))) (let ((eff-15 (lambda (eta-0) (vector 1 (string-append "Success " (string-append (CoreC-45Name-u--show_Show_Name e-21) (string-append " (" (string-append (PreludeC-45Show-u--show_Show_Nat u--nconsC-39) (string-append " - " (string-append (PreludeC-45Show-u--show_Show_Nat u--ncons) ")")))))))))) eff-15)))))))))) (PrimIO-io_bind eff-14 (lambda (lcase-14) (case (vector-ref lcase-14 0) ((0) (let ((e-4 (vector-ref lcase-14 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-15 (let ((eff-15 (TTImpC-45ElabC-45Check-successful arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-3))) (PrimIO-io_bind eff-15 (lambda (lcase-15) (case (vector-ref lcase-15 0) ((0) (let ((e-4 (vector-ref lcase-15 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-22 (vector-ref lcase-15 1))) (let ((eff-16 (lambda (eta-0) (vector 1 (cons (vector 1 (cons (PreludeC-45Types-prim__integerToNat (- u--nconsC-39 u--ncons)) (cons e-12 (cons e-16 (cons e-13 (cons e-14 e-15)))))) e-22))))) eff-16))))))))) eff-15)))))))) eff-14)))))))) eff-13)))))))) eff-12)))))))) eff-11)))))))) eff-10))))))))) eff-9))))))))) eff-8)))))))))) eff-7))))))))) eff-6))))))))) eff-5)))))) (lambda (u--err) (let ((eff-4 (let ((eff-4 arg-4)) (PrimIO-io_bind (let ((eff-5 eff-4)) (lambda (eta-0) (set-box! eff-5 e-5))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-4 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-5 (let ((eff-5 (let ((eff-5 arg-5)) (PrimIO-io_bind (let ((eff-6 eff-5)) (lambda (eta-0) (set-box! eff-6 e-8))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-4 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-6 (let ((eff-6 (let ((eff-6 arg-3)) (PrimIO-io_bind (let ((eff-7 eff-6)) (lambda (eta-0) (set-box! eff-7 e-9))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-4 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-7 (let ((eff-7 (let ((eff-7 arg-2)) (PrimIO-io_bind (let ((eff-8 eff-7)) (lambda (eta-0) (set-box! eff-8 e-10))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-4 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-8 (let ((eff-8 (lambda (clam-0) (let ((sc10 (TTImpC-45ElabC-45Check-n--15198-16504-u--abandon arg-1 e-6 e-7 e-3 arg-6 arg-5 arg-4 arg-3 arg-2 u--err))) (cond ((equal? sc10 1) (CoreC-45Core-u--throw_Catchable_Core_Error u--err clam-0)) (else (vector 1 (vector 0 )))))))) (PrimIO-io_bind eff-8 (lambda (lcase-8) (case (vector-ref lcase-8 0) ((0) (let ((e-4 (vector-ref lcase-8 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-9 (let ((eff-9 (TTImpC-45ElabC-45Check-successful arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-3))) (PrimIO-io_bind eff-9 (lambda (lcase-9) (case (vector-ref lcase-9 0) ((0) (let ((e-4 (vector-ref lcase-9 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-16 (vector-ref lcase-9 1))) (let ((eff-10 (lambda (eta-0) (vector 1 (cons (vector 0 (cons e-6 u--err)) e-16))))) eff-10))))))))) eff-9)))))))) eff-8)))))))) eff-7)))))))) eff-6)))))))) eff-5)))))))))) eff-4))))))))) eff-3))))))))) eff-2)))))))))) eff-1))))))))))))))
(define TTImpC-45ElabC-45Check-strengthenedEState (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (let ((eff-0 (let ((eff-0 arg-3)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 arg-2)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (unbox eff-2))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (lambda (eta-0) (TTImpC-45ElabC-45Check-n--11537-13180-u--dropSub arg-1 arg-0 arg-5 arg-4 arg-3 arg-2 (let ((e-4 (vector-ref e-5 3))) e-4) eta-0)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (TTImpC-45ElabC-45Check-n--11537-13183-u--strTms arg-1 arg-0 arg-5 arg-4 arg-3 arg-2 e-6 eta-0)) (let ((e-17 (vector-ref e-5 4))) e-17) '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (TTImpC-45ElabC-45Check-n--11537-13183-u--strTms arg-1 arg-0 arg-5 arg-4 arg-3 arg-2 e-6 eta-0)) (let ((e-17 (vector-ref e-5 5))) e-17) '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (let ((e-1 (vector-ref e-5 0))) (let ((e-2 (vector-ref e-5 1))) (let ((e-3 (vector-ref e-5 2))) (let ((e-17 (vector-ref e-5 6))) (let ((e-16 (vector-ref e-5 7))) (let ((e-15 (vector-ref e-5 8))) (let ((e-11 (vector-ref e-5 10))) (let ((e-12 (vector-ref e-5 11))) (let ((e-13 (vector-ref e-5 12))) (let ((e-14 (vector-ref e-5 13))) (vector e-1 e-2 e-3 e-7 e-8 e-9 e-17 e-16 e-15 '() e-11 (PreludeC-45TypesC-45List-mapMaybeAppend '() (lambda (eta-1) (TTImpC-45ElabC-45Check-n--11537-13184-u--dropTop arg-1 arg-0 arg-5 arg-4 arg-3 arg-2 eta-1)) e-12) e-13 e-14))))))))))))))) eff-5))))))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))
(define TTImpC-45ElabC-45Check-searchVar (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10) (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (TTImpC-45ElabC-45Check-n--13516-15013-u--envHints arg-0 arg-10 arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 (LibrariesC-45DataC-45NameMap-keys (let ((e-10 (vector-ref e-5 10))) e-10)) arg-7))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((e-2 (car e-6))) (let ((e-3 (cdr e-6))) (let ((e-8 (car e-3))) (let ((e-7 (cdr e-3))) (let ((eff-2 (CoreC-45UnifyState-newSearch (PreludeC-45TypesC-45List-tailRecAppend e-2 arg-0) arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-7 arg-9 (CoreC-45TT-u--weakenNs_Weaken_Term (CoreC-45TTC-45SizeOf-mkSizeOf e-2) arg-10)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-9 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (clam-0) (let ((e-4 (cdr e-9))) (vector 1 (e-8 e-4)))))) eff-3))))))))))))) eff-2))))))))) eff-1)))))))))
(define TTImpC-45ElabC-45Check-saveHole (lambda (arg-1 arg-2) (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 arg-1)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (let ((e-1 (vector-ref e-5 0))) (let ((e-2 (vector-ref e-5 1))) (let ((e-3 (vector-ref e-5 2))) (let ((e-4 (vector-ref e-5 3))) (let ((e-15 (vector-ref e-5 4))) (let ((e-6 (vector-ref e-5 5))) (let ((e-7 (vector-ref e-5 6))) (let ((e-8 (vector-ref e-5 7))) (let ((e-9 (vector-ref e-5 8))) (let ((e-10 (vector-ref e-5 9))) (let ((e-11 (vector-ref e-5 10))) (let ((e-12 (vector-ref e-5 11))) (let ((e-13 (vector-ref e-5 12))) (let ((e-14 (vector-ref e-5 13))) (vector e-1 e-2 e-3 e-4 e-15 e-6 e-7 e-8 e-9 e-10 e-11 e-12 (LibrariesC-45DataC-45NameMap-insert arg-2 (vector 0 ) e-13) e-14)))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-1)))))))))
(define TTImpC-45ElabC-45Check-notePatVar (lambda (arg-1 arg-2) (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 arg-1)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (let ((e-1 (vector-ref e-5 0))) (let ((e-2 (vector-ref e-5 1))) (let ((e-3 (vector-ref e-5 2))) (let ((e-4 (vector-ref e-5 3))) (let ((e-15 (vector-ref e-5 4))) (let ((e-6 (vector-ref e-5 5))) (let ((e-7 (vector-ref e-5 6))) (let ((e-8 (vector-ref e-5 7))) (let ((e-9 (vector-ref e-5 8))) (let ((e-10 (vector-ref e-5 9))) (let ((e-11 (vector-ref e-5 10))) (let ((e-12 (vector-ref e-5 11))) (let ((e-13 (vector-ref e-5 12))) (let ((e-14 (vector-ref e-5 13))) (vector e-1 e-2 e-3 e-4 e-15 e-6 e-7 e-8 (cons arg-2 e-9) e-10 e-11 e-12 e-13 e-14)))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-1)))))))))
(define TTImpC-45ElabC-45Check-noteLHSPatVar (lambda (arg-1 arg-2 arg-3) (case (vector-ref arg-2 0) ((1) (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 arg-1)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (let ((e-1 (vector-ref e-5 0))) (let ((e-2 (vector-ref e-5 1))) (let ((e-3 (vector-ref e-5 2))) (let ((e-4 (vector-ref e-5 3))) (let ((e-15 (vector-ref e-5 4))) (let ((e-6 (vector-ref e-5 5))) (let ((e-7 (vector-ref e-5 6))) (let ((e-8 (vector-ref e-5 7))) (let ((e-9 (vector-ref e-5 8))) (let ((e-10 (vector-ref e-5 9))) (let ((e-11 (vector-ref e-5 10))) (let ((e-12 (vector-ref e-5 11))) (let ((e-13 (vector-ref e-5 12))) (let ((e-14 (vector-ref e-5 13))) (vector e-1 e-2 e-3 e-4 e-15 e-6 e-7 (cons arg-3 e-8) e-9 e-10 e-11 e-12 e-13 e-14)))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-1))))))))(else (lambda (eta-0) (vector 1 (vector 0 )))))))
(define TTImpC-45ElabC-45Check-metaVarI (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-nf arg-1 arg-0 e-5 arg-5 arg-7))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((u--hinf (case (vector-ref e-6 0) ((1) (let ((e-2 (vector-ref e-6 2))) (case (vector-ref e-2 0) ((2) (let ((sc4 (CoreC-45ContextC-45Context-holeInit 0))) (let ((e-0 (car sc4))) (cons e-0 1))))(else (CoreC-45ContextC-45Context-holeInit 0)))))(else (CoreC-45ContextC-45Context-holeInit 0))))) (CoreC-45UnifyState-newMeta arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 (vector 7 (CoreC-45Env-length arg-5) u--hinf) 1)))) eff-2))))))))) eff-1)))))))))
(define TTImpC-45ElabC-45Check-metaVar (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (let ((eff-0 (CoreC-45UnifyState-newMeta arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 (vector 7 (CoreC-45Env-length arg-5) (CoreC-45ContextC-45Context-holeInit 0)) 1))) (PrimIO-io_bind eff-0 (csegen-3130)))))
(define TTImpC-45ElabC-45Check-isLHS (lambda (arg-0) (case (vector-ref arg-0 0) ((1) (let ((e-0 (vector-ref arg-0 1))) (box e-0)))(else '()))))
(define TTImpC-45ElabC-45Check-initElabInfo (lambda (arg-0) (vector arg-0 (vector 3 ) 0 1 0 '())))
(define TTImpC-45ElabC-45Check-initEStateSub (lambda (arg-1 arg-2 arg-3 arg-4) (vector arg-1 arg-2 arg-3 arg-4 '() '() '() '() '() '() 0 '() (LibrariesC-45DataC-45NameMap-empty) (LibrariesC-45DataC-45UserNameMap-empty))))
(define TTImpC-45ElabC-45Check-initEState (lambda (arg-0 arg-1 arg-2) (TTImpC-45ElabC-45Check-initEStateSub arg-0 arg-1 arg-2 (vector 0 ))))
(define TTImpC-45ElabC-45Check-inScope (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (let ((eff-0 (TTImpC-45ElabC-45Check-weakenedEState arg-1 arg-2 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (arg-7 e-5))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45ElabC-45Check-strengthenedEState arg-1 arg-2 arg-3 e-5 arg-5 arg-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (let ((eff-3 arg-4)) (PrimIO-io_bind (let ((eff-4 eff-3)) (lambda (eta-0) (set-box! eff-4 e-7))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-4 (lambda (eta-0) (vector 1 e-6)))) eff-4)))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))
(define TTImpC-45ElabC-45Check-implBindVar (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (let ((eff-0 (CoreC-45UnifyState-newMeta arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 (vector 7 (CoreC-45Env-length arg-5) (CoreC-45ContextC-45Context-holeInit 1)) 1))) (PrimIO-io_bind eff-0 (csegen-3130)))))
(define TTImpC-45ElabC-45Check-handle (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (let ((eff-0 (TTImpC-45ElabC-45Check-tryError arg-1 arg-2 arg-3 arg-4 arg-5 arg-6))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (case (vector-ref e-5 0) ((1) (let ((e-2 (vector-ref e-5 1))) (lambda (eta-0) (vector 1 e-2)))) (else (let ((e-6 (vector-ref e-5 1))) (arg-7 e-6)))))) eff-1)))))))))
(define TTImpC-45ElabC-45Check-exactlyOneC-39 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8) (if (null? arg-8) (let ((eff-0 (TTImpC-45ElabC-45Check-successful arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-8))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((sc2 (TTImpC-45ElabC-45Check-n--15763-17034-u--getRight arg-0 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 e-5))) (case (vector-ref sc2 0) ((1) (let ((e-2 (vector-ref sc2 1))) (let ((e-8 (car e-2))) (let ((e-9 (cdr e-2))) (let ((e-12 (car e-9))) (let ((e-13 (cdr e-9))) (let ((e-16 (car e-13))) (let ((e-17 (cdr e-13))) (let ((e-20 (car e-17))) (let ((e-21 (cdr e-17))) (let ((eff-1 (let ((eff-1 arg-3)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 e-16))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-3 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-2 (let ((eff-2 (let ((eff-2 arg-4)) (PrimIO-io_bind (let ((eff-3 eff-2)) (lambda (eta-0) (set-box! eff-3 e-20))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-3 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-3 (let ((eff-3 (let ((eff-3 arg-2)) (PrimIO-io_bind (let ((eff-4 eff-3)) (lambda (eta-0) (set-box! eff-4 e-21))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-3 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-4 (let ((eff-4 (let ((eff-4 arg-1)) (PrimIO-io_bind (let ((eff-5 eff-4)) (lambda (eta-0) (set-box! eff-5 e-12))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-3 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-5 (let ((eff-5 (CoreC-45Context-commit arg-1))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-3 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-6 (lambda (eta-0) (vector 1 e-8)))) eff-6)))))))) eff-5)))))))) eff-4)))))))) eff-3)))))))) eff-2)))))))))))))))) (else (let ((e-6 (vector-ref sc2 1))) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (TTImpC-45ElabC-45Check-n--15763-17038-u--altError arg-0 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 (DataC-45Either-lefts e-5) e-6) eta-0)))))))) eff-1))))))) (let ((e-1 (car arg-8))) (let ((e-2 (cdr arg-8))) (if (null? e-1) (let ((eff-0 (TTImpC-45ElabC-45Check-successful arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-8))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((sc3 (TTImpC-45ElabC-45Check-n--15763-17034-u--getRight arg-0 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 e-5))) (case (vector-ref sc3 0) ((1) (let ((e-3 (vector-ref sc3 1))) (let ((e-8 (car e-3))) (let ((e-9 (cdr e-3))) (let ((e-12 (car e-9))) (let ((e-13 (cdr e-9))) (let ((e-16 (car e-13))) (let ((e-17 (cdr e-13))) (let ((e-20 (car e-17))) (let ((e-21 (cdr e-17))) (let ((eff-1 (let ((eff-1 arg-3)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 e-16))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-2 (let ((eff-2 (let ((eff-2 arg-4)) (PrimIO-io_bind (let ((eff-3 eff-2)) (lambda (eta-0) (set-box! eff-3 e-20))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-3 (let ((eff-3 (let ((eff-3 arg-2)) (PrimIO-io_bind (let ((eff-4 eff-3)) (lambda (eta-0) (set-box! eff-4 e-21))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-4 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-4 (let ((eff-4 (let ((eff-4 arg-1)) (PrimIO-io_bind (let ((eff-5 eff-4)) (lambda (eta-0) (set-box! eff-5 e-12))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-4 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-5 (let ((eff-5 (CoreC-45Context-commit arg-1))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-4 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-6 (lambda (eta-0) (vector 1 e-8)))) eff-6)))))))) eff-5)))))))) eff-4)))))))) eff-3)))))))) eff-2)))))))))))))))) (else (let ((e-6 (vector-ref sc3 1))) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (TTImpC-45ElabC-45Check-n--15763-17038-u--altError arg-0 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 (DataC-45Either-lefts e-5) e-6) eta-0)))))))) eff-1))))))) (let ((e-6 (cdr e-1))) (if (null? e-2) e-6 (let ((eff-0 (TTImpC-45ElabC-45Check-successful arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-8))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-7 (vector-ref lcase-0 1))) (let ((eff-1 (let ((sc4 (TTImpC-45ElabC-45Check-n--15763-17034-u--getRight arg-0 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 e-7))) (case (vector-ref sc4 0) ((1) (let ((e-3 (vector-ref sc4 1))) (let ((e-8 (car e-3))) (let ((e-9 (cdr e-3))) (let ((e-12 (car e-9))) (let ((e-13 (cdr e-9))) (let ((e-16 (car e-13))) (let ((e-17 (cdr e-13))) (let ((e-20 (car e-17))) (let ((e-21 (cdr e-17))) (let ((eff-1 (let ((eff-1 arg-3)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 e-16))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-2 (let ((eff-2 (let ((eff-2 arg-4)) (PrimIO-io_bind (let ((eff-3 eff-2)) (lambda (eta-0) (set-box! eff-3 e-20))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-3 (let ((eff-3 (let ((eff-3 arg-2)) (PrimIO-io_bind (let ((eff-4 eff-3)) (lambda (eta-0) (set-box! eff-4 e-21))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-4 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-4 (let ((eff-4 (let ((eff-4 arg-1)) (PrimIO-io_bind (let ((eff-5 eff-4)) (lambda (eta-0) (set-box! eff-5 e-12))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-4 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-5 (let ((eff-5 (CoreC-45Context-commit arg-1))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-4 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-6 (lambda (eta-0) (vector 1 e-8)))) eff-6)))))))) eff-5)))))))) eff-4)))))))) eff-3)))))))) eff-2)))))))))))))))) (else (let ((e-8 (vector-ref sc4 1))) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (TTImpC-45ElabC-45Check-n--15763-17038-u--altError arg-0 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 (DataC-45Either-lefts e-7) e-8) eta-0)))))))) eff-1)))))))))))))))
(define TTImpC-45ElabC-45Check-convertWithLazy (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9) (let ((u--umode (let ((e-0 (vector-ref arg-6 0))) (case (vector-ref e-0 0) ((1) (CoreC-45Unify-inLHS))(else (CoreC-45Unify-inTerm)))))) (CoreC-45Core-u--catch_Catchable_Core_Error (let ((eff-0 (CoreC-45Context-isLazyActive arg-1))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--lazy (cond ((equal? e-5 1) arg-4) (else 0)))) (let ((eff-1 (CoreC-45Normalise-logGlueNF arg-0 arg-1 "elab.unify" 5 (lambda () (string-append "Unifying " (string-append (PreludeC-45Show-u--show_Show_Bool arg-4) (string-append " " (TTImpC-45ElabC-45Check-u--show_Show_ElabMode (let ((e-0 (vector-ref arg-6 0))) e-0)))))) arg-7 arg-8))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45Normalise-logGlueNF arg-0 arg-1 "elab.unify" 5 (lambda () "....with") arg-7 arg-9))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (let ((eff-3 (let ((sc3 (let ((sc4 (CoreC-45NormaliseC-45Eval-isFromTerm arg-8))) (cond ((equal? sc4 1) (CoreC-45NormaliseC-45Eval-isFromTerm arg-9)) (else 0))))) (cond ((equal? sc3 1) (let ((eff-3 (CoreC-45NormaliseC-45Eval-getTerm arg-8))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45NormaliseC-45Eval-getTerm arg-9))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (cond ((equal? u--lazy 1) ((((CoreC-45Unify-unifyWithLazy (csegen-3133) arg-0 arg-1 arg-2 u--umode arg-5) arg-7) e-8) e-9)) (else ((((CoreC-45Unify-unify (csegen-3133) arg-0 arg-1 arg-2 u--umode arg-5) arg-7) e-8) e-9))))) eff-5))))))))) eff-4)))))))) (else (let ((eff-3 (CoreC-45NormaliseC-45Eval-getNF arg-1 arg-8))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45NormaliseC-45Eval-getNF arg-1 arg-9))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (cond ((equal? u--lazy 1) ((((CoreC-45Unify-unifyWithLazy (csegen-3136) arg-0 arg-1 arg-2 u--umode arg-5) arg-7) e-8) e-9)) (else ((((CoreC-45Unify-unify (csegen-3136) arg-0 arg-1 arg-2 u--umode arg-5) arg-7) e-8) e-9))))) eff-5))))))))) eff-4)))))))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (let ((sc4 (let ((e-1 (vector-ref e-8 1))) e-1))) (cond ((equal? sc4 1) (CoreC-45Unify-solveConstraints arg-1 arg-2 u--umode 0)) (else (lambda (eta-0) (vector 1 (vector 0 )))))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-5 (lambda (eta-0) (vector 1 e-8)))) eff-5)))))))) eff-4))))))))) eff-3)))))))) eff-2))))))))) eff-1))))))) (lambda (u--err) (let ((eff-0 (CoreC-45NormaliseC-45Eval-getTerm arg-8))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-getTerm arg-9))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Core-u--catch_Catchable_Core_Error (CoreC-45Unify-solveConstraints arg-1 arg-2 u--umode 0) (lambda (err-0) (lambda (eta-0) (vector 1 (vector 0 ))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (let ((eff-3 (let ((eff-3 arg-1)) (PrimIO-io_bind (let ((eff-4 eff-3)) (lambda (eta-0) (unbox eff-4))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 5 arg-0 arg-5 (let ((e-0 (vector-ref e-8 0))) e-0) arg-7 e-5 e-6 u--err) eta-0)))) eff-4))))))))) eff-3)))))))) eff-2))))))))) eff-1))))))))))))
(define TTImpC-45ElabC-45Check-convert (lambda (arg-0 arg-1 arg-2 arg-3 ext-0 ext-1 ext-2 ext-3 ext-4) (TTImpC-45ElabC-45Check-convertWithLazy arg-0 arg-1 arg-2 arg-3 0 ext-0 ext-1 ext-2 ext-3 ext-4)))
(define TTImpC-45ElabC-45Check-concrete (lambda (arg-1 arg-2 arg-3) (case (vector-ref arg-3 0) ((0) (let ((e-1 (vector-ref arg-3 1))) (let ((e-3 (vector-ref arg-3 3))) (let ((e-4 (vector-ref arg-3 4))) (case (vector-ref e-3 0) ((2) (let ((eff-0 ((e-4 arg-1) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) arg-2 (vector 10 e-1 (vector 0 )))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45ElabC-45Check-concrete arg-1 arg-2 e-5))) eff-1))))))))(else (lambda (eta-0) (vector 1 0)))))))) ((2) (lambda (eta-0) (vector 1 1))) ((3) (lambda (eta-0) (vector 1 1))) ((8) (lambda (eta-0) (vector 1 1))) ((10) (lambda (eta-0) (vector 1 1)))(else (lambda (eta-0) (vector 1 0))))))
(define TTImpC-45ElabC-45Check-clearToBind (lambda (arg-1 arg-2) (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 arg-1)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (let ((sc1 (TTImpC-45ElabC-45Check-clearBindIfUnsolved e-5))) (let ((e-1 (vector-ref sc1 0))) (let ((e-2 (vector-ref sc1 1))) (let ((e-3 (vector-ref sc1 2))) (let ((e-4 (vector-ref sc1 3))) (let ((e-15 (vector-ref sc1 4))) (let ((e-6 (vector-ref sc1 5))) (let ((e-7 (vector-ref sc1 6))) (let ((e-8 (vector-ref sc1 7))) (let ((e-9 (vector-ref sc1 8))) (let ((e-10 (vector-ref sc1 9))) (let ((e-11 (vector-ref sc1 10))) (let ((e-12 (vector-ref sc1 11))) (let ((e-13 (vector-ref sc1 12))) (let ((e-14 (vector-ref sc1 13))) (vector e-1 e-2 e-3 e-4 e-15 (PreludeC-45TypesC-45List-filterAppend '() (lambda (u--x) (PreludeC-45Types-elem (csegen-16) (csegen-1008) (Builtin-fst u--x) arg-2)) e-6) e-7 e-8 e-9 e-10 e-11 e-12 e-13 e-14))))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-1)))))))))
(define TTImpC-45ElabC-45Check-clearBindIfUnsolved (lambda (ext-0) (let ((e-1 (vector-ref ext-0 0))) (let ((e-2 (vector-ref ext-0 1))) (let ((e-3 (vector-ref ext-0 2))) (let ((e-4 (vector-ref ext-0 3))) (let ((e-5 (vector-ref ext-0 4))) (let ((e-6 (vector-ref ext-0 5))) (let ((e-8 (vector-ref ext-0 7))) (let ((e-9 (vector-ref ext-0 8))) (let ((e-10 (vector-ref ext-0 9))) (let ((e-11 (vector-ref ext-0 10))) (let ((e-12 (vector-ref ext-0 11))) (let ((e-13 (vector-ref ext-0 12))) (let ((e-14 (vector-ref ext-0 13))) (vector e-1 e-2 e-3 e-4 e-5 e-6 '() e-8 e-9 e-10 e-11 e-12 e-13 e-14))))))))))))))))
(define TTImpC-45ElabC-45Check-checkExp (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10) (if (null? arg-10) (lambda (eta-0) (vector 1 (cons arg-8 arg-9))) (let ((e-1 (unbox arg-10))) (let ((eff-0 (TTImpC-45ElabC-45Check-convertWithLazy arg-0 arg-1 arg-2 arg-3 1 arg-7 arg-5 arg-6 arg-9 e-1))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45ElabC-45Check-case--checkExp-18346 arg-0 e-1 arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 e-5 (let ((e-0 (vector-ref e-5 0))) e-0)))) eff-1)))))))))))
(define TTImpC-45ElabC-45Check-bindingType (lambda (arg-1) (case (vector-ref arg-1 0) ((0) (let ((e-4 (vector-ref arg-1 5))) e-4)) (else (let ((e-9 (vector-ref arg-1 5))) e-9)))))
(define TTImpC-45ElabC-45Check-bindingTerm (lambda (arg-1) (case (vector-ref arg-1 0) ((0) (let ((e-3 (vector-ref arg-1 4))) e-3)) (else (let ((e-8 (vector-ref arg-1 4))) e-8)))))
(define TTImpC-45ElabC-45Check-bindingRig (lambda (arg-1) (case (vector-ref arg-1 0) ((0) (let ((e-1 (vector-ref arg-1 2))) e-1)) (else (let ((e-6 (vector-ref arg-1 2))) e-6)))))
(define TTImpC-45ElabC-45Check-bindingMetas (lambda (arg-1) (case (vector-ref arg-1 0) ((0) (let ((e-4 (vector-ref arg-1 5))) (CoreC-45TT-getMetas e-4))) (else (let ((e-5 (vector-ref arg-1 1))) (let ((e-6 (vector-ref arg-1 2))) (let ((e-7 (vector-ref arg-1 3))) (let ((e-8 (vector-ref arg-1 4))) (let ((e-9 (vector-ref arg-1 5))) (let ((e-10 (vector-ref arg-1 6))) (TTImpC-45ElabC-45Check-n--10232-11932-u--insertAll e-5 e-10 e-9 e-8 e-7 e-6 (LibrariesC-45DataC-45NameMap-toList (CoreC-45TT-getMetas e-9)) (CoreC-45TT-getMetas e-10))))))))))))
(define TTImpC-45ElabC-45Check-argVar (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (CoreC-45UnifyState-newMetaLets arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 (vector 7 (CoreC-45Env-length arg-5) (CoreC-45ContextC-45Context-holeInit 0)) 0 1)))
(define TTImpC-45ElabC-45Check-anyOne (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (if (null? arg-6) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 arg-5 "No elaborators provided") eta-0)) (let ((e-2 (car arg-6))) (let ((e-3 (cdr arg-6))) (let ((e-7 (cdr e-2))) (if (null? e-3) e-7 (TTImpC-45ElabC-45Check-try arg-0 arg-1 arg-2 arg-3 arg-4 e-7 (TTImpC-45ElabC-45Check-anyOne arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-3)))))))))
(define TTImpC-45ElabC-45Check-addBindIfUnsolved (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (let ((e-1 (vector-ref arg-7 0))) (let ((e-2 (vector-ref arg-7 1))) (let ((e-3 (vector-ref arg-7 2))) (let ((e-4 (vector-ref arg-7 3))) (let ((e-5 (vector-ref arg-7 4))) (let ((e-6 (vector-ref arg-7 5))) (let ((e-7 (vector-ref arg-7 6))) (let ((e-8 (vector-ref arg-7 7))) (let ((e-9 (vector-ref arg-7 8))) (let ((e-10 (vector-ref arg-7 9))) (let ((e-11 (vector-ref arg-7 10))) (let ((e-12 (vector-ref arg-7 11))) (let ((e-13 (vector-ref arg-7 12))) (let ((e-14 (vector-ref arg-7 13))) (vector e-1 e-2 e-3 e-4 e-5 e-6 (let ((u--st (vector e-1 e-2 e-3 e-4 e-5 e-6 e-7 e-8 e-9 e-10 e-11 e-12 e-13 e-14))) (cons (cons arg-1 (cons arg-2 (cons arg-0 (cons arg-4 (cons arg-3 (cons arg-5 (cons arg-6 (let ((e-25 (vector-ref u--st 3))) e-25)))))))) e-7)) e-8 e-9 e-10 e-11 e-12 e-13 e-14)))))))))))))))))
(define IdrisC-45REPLC-45Opts-n--9923-5606-u--litStyle (lambda (arg-0 arg-1 arg-2 arg-3) (if (null? arg-3) '() (let ((e-2 (unbox arg-3))) (ParserC-45Unlit-isLitFile e-2)))))
(define IdrisC-45REPLC-45Opts-withROpts (lambda (arg-1 ext-0) (CoreC-45Core-wrapRef (vector "Idris.REPL.Opts.ROpts" ) arg-1 (lambda (_-5650) (lambda (eta-0) (vector 1 (vector 0 )))) ext-0)))
(define IdrisC-45REPLC-45Opts-setSynHighlightOn (lambda (arg-0 arg-1) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (let ((e-0 (vector-ref e-5 0))) (let ((e-1 (vector-ref e-5 1))) (let ((e-2 (vector-ref e-5 2))) (let ((e-3 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-17 (vector-ref e-5 5))) (let ((e-6 (vector-ref e-5 6))) (let ((e-7 (vector-ref e-5 7))) (let ((e-8 (vector-ref e-5 8))) (let ((e-9 (vector-ref e-5 9))) (let ((e-10 (vector-ref e-5 10))) (let ((e-11 (vector-ref e-5 11))) (let ((e-12 (vector-ref e-5 12))) (let ((e-13 (vector-ref e-5 13))) (let ((e-14 (vector-ref e-5 14))) (let ((e-15 (vector-ref e-5 15))) (vector e-0 e-1 e-2 e-3 e-4 e-17 e-6 e-7 e-8 e-9 e-10 e-11 e-12 e-13 e-14 e-15 arg-1)))))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-1)))))))))
(define IdrisC-45REPLC-45Opts-setSource (lambda (arg-0 arg-1) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (let ((e-0 (vector-ref e-5 0))) (let ((e-1 (vector-ref e-5 1))) (let ((e-2 (vector-ref e-5 2))) (let ((e-3 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-6 (vector-ref e-5 6))) (let ((e-7 (vector-ref e-5 7))) (let ((e-8 (vector-ref e-5 8))) (let ((e-9 (vector-ref e-5 9))) (let ((e-10 (vector-ref e-5 10))) (let ((e-11 (vector-ref e-5 11))) (let ((e-12 (vector-ref e-5 12))) (let ((e-13 (vector-ref e-5 13))) (let ((e-14 (vector-ref e-5 14))) (let ((e-15 (vector-ref e-5 15))) (let ((e-16 (vector-ref e-5 16))) (vector e-0 e-1 e-2 e-3 e-4 arg-1 e-6 e-7 e-8 e-9 e-10 e-11 e-12 e-13 e-14 e-15 e-16)))))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-1)))))))))
(define IdrisC-45REPLC-45Opts-setOutput (lambda (arg-0 arg-1) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (let ((e-0 (vector-ref e-5 0))) (let ((e-1 (vector-ref e-5 1))) (let ((e-2 (vector-ref e-5 2))) (let ((e-3 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-17 (vector-ref e-5 5))) (let ((e-6 (vector-ref e-5 6))) (let ((e-7 (vector-ref e-5 7))) (let ((e-9 (vector-ref e-5 9))) (let ((e-10 (vector-ref e-5 10))) (let ((e-11 (vector-ref e-5 11))) (let ((e-12 (vector-ref e-5 12))) (let ((e-13 (vector-ref e-5 13))) (let ((e-14 (vector-ref e-5 14))) (let ((e-15 (vector-ref e-5 15))) (let ((e-16 (vector-ref e-5 16))) (vector e-0 e-1 e-2 e-3 e-4 e-17 e-6 e-7 arg-1 e-9 e-10 e-11 e-12 e-13 e-14 e-15 e-16)))))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-1)))))))))
(define IdrisC-45REPLC-45Opts-setMainFile (lambda (arg-0 arg-1) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (let ((e-0 (vector-ref e-5 0))) (let ((e-1 (vector-ref e-5 1))) (let ((e-2 (vector-ref e-5 2))) (let ((e-17 (vector-ref e-5 5))) (let ((e-6 (vector-ref e-5 6))) (let ((e-7 (vector-ref e-5 7))) (let ((e-8 (vector-ref e-5 8))) (let ((e-9 (vector-ref e-5 9))) (let ((e-10 (vector-ref e-5 10))) (let ((e-11 (vector-ref e-5 11))) (let ((e-12 (vector-ref e-5 12))) (let ((e-13 (vector-ref e-5 13))) (let ((e-14 (vector-ref e-5 14))) (let ((e-15 (vector-ref e-5 15))) (let ((e-16 (vector-ref e-5 16))) (vector e-0 e-1 e-2 arg-1 (IdrisC-45REPLC-45Opts-litStyle arg-1) e-17 e-6 e-7 e-8 e-9 e-10 e-11 e-12 e-13 e-14 e-15 e-16))))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-1)))))))))
(define IdrisC-45REPLC-45Opts-setEvalTiming (lambda (arg-0 arg-1) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (let ((e-0 (vector-ref e-5 0))) (let ((e-1 (vector-ref e-5 1))) (let ((e-3 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-17 (vector-ref e-5 5))) (let ((e-6 (vector-ref e-5 6))) (let ((e-7 (vector-ref e-5 7))) (let ((e-8 (vector-ref e-5 8))) (let ((e-9 (vector-ref e-5 9))) (let ((e-10 (vector-ref e-5 10))) (let ((e-11 (vector-ref e-5 11))) (let ((e-12 (vector-ref e-5 12))) (let ((e-13 (vector-ref e-5 13))) (let ((e-14 (vector-ref e-5 14))) (let ((e-15 (vector-ref e-5 15))) (let ((e-16 (vector-ref e-5 16))) (vector e-0 e-1 arg-1 e-3 e-4 e-17 e-6 e-7 e-8 e-9 e-10 e-11 e-12 e-13 e-14 e-15 e-16)))))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-1)))))))))
(define IdrisC-45REPLC-45Opts-setCurrentElabSource (lambda (arg-0 arg-1) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (let ((e-0 (vector-ref e-5 0))) (let ((e-1 (vector-ref e-5 1))) (let ((e-2 (vector-ref e-5 2))) (let ((e-3 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-17 (vector-ref e-5 5))) (let ((e-6 (vector-ref e-5 6))) (let ((e-7 (vector-ref e-5 7))) (let ((e-8 (vector-ref e-5 8))) (let ((e-10 (vector-ref e-5 10))) (let ((e-11 (vector-ref e-5 11))) (let ((e-12 (vector-ref e-5 12))) (let ((e-13 (vector-ref e-5 13))) (let ((e-14 (vector-ref e-5 14))) (let ((e-15 (vector-ref e-5 15))) (let ((e-16 (vector-ref e-5 16))) (vector e-0 e-1 e-2 e-3 e-4 e-17 e-6 e-7 e-8 arg-1 e-10 e-11 e-12 e-13 e-14 e-15 e-16)))))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-1)))))))))
(define IdrisC-45REPLC-45Opts-setConsoleWidth (lambda (arg-0 arg-1) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (let ((e-0 (vector-ref e-5 0))) (let ((e-1 (vector-ref e-5 1))) (let ((e-2 (vector-ref e-5 2))) (let ((e-3 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-17 (vector-ref e-5 5))) (let ((e-6 (vector-ref e-5 6))) (let ((e-7 (vector-ref e-5 7))) (let ((e-8 (vector-ref e-5 8))) (let ((e-9 (vector-ref e-5 9))) (let ((e-10 (vector-ref e-5 10))) (let ((e-11 (vector-ref e-5 11))) (let ((e-12 (vector-ref e-5 12))) (let ((e-13 (vector-ref e-5 13))) (let ((e-15 (vector-ref e-5 15))) (let ((e-16 (vector-ref e-5 16))) (vector e-0 e-1 e-2 e-3 e-4 e-17 e-6 e-7 e-8 e-9 e-10 e-11 e-12 e-13 arg-1 e-15 e-16)))))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-1)))))))))
(define IdrisC-45REPLC-45Opts-setColor (lambda (arg-0 arg-1) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (let ((e-0 (vector-ref e-5 0))) (let ((e-1 (vector-ref e-5 1))) (let ((e-2 (vector-ref e-5 2))) (let ((e-3 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-17 (vector-ref e-5 5))) (let ((e-6 (vector-ref e-5 6))) (let ((e-7 (vector-ref e-5 7))) (let ((e-8 (vector-ref e-5 8))) (let ((e-9 (vector-ref e-5 9))) (let ((e-10 (vector-ref e-5 10))) (let ((e-11 (vector-ref e-5 11))) (let ((e-12 (vector-ref e-5 12))) (let ((e-13 (vector-ref e-5 13))) (let ((e-14 (vector-ref e-5 14))) (let ((e-16 (vector-ref e-5 16))) (vector e-0 e-1 e-2 e-3 e-4 e-17 e-6 e-7 e-8 e-9 e-10 e-11 e-12 e-13 e-14 arg-1 e-16)))))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-1)))))))))
(define IdrisC-45REPLC-45Opts-resetProofState (lambda (arg-0) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (let ((e-0 (vector-ref e-5 0))) (let ((e-1 (vector-ref e-5 1))) (let ((e-2 (vector-ref e-5 2))) (let ((e-3 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-17 (vector-ref e-5 5))) (let ((e-6 (vector-ref e-5 6))) (let ((e-7 (vector-ref e-5 7))) (let ((e-8 (vector-ref e-5 8))) (let ((e-9 (vector-ref e-5 9))) (let ((e-12 (vector-ref e-5 12))) (let ((e-13 (vector-ref e-5 13))) (let ((e-14 (vector-ref e-5 14))) (let ((e-15 (vector-ref e-5 15))) (let ((e-16 (vector-ref e-5 16))) (vector e-0 e-1 e-2 e-3 e-4 e-17 e-6 e-7 e-8 e-9 '() '() e-12 e-13 e-14 e-15 e-16))))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-1)))))))))
(define IdrisC-45REPLC-45Opts-litStyle (lambda (ext-0) (PreludeC-45Types-u--join_Monad_Maybe (((csegen-77) (lambda (eta-0) (ParserC-45Unlit-isLitFile eta-0))) ext-0))))
(define IdrisC-45REPLC-45Opts-getSourceLine (lambda (arg-0 arg-1) (let ((eff-0 (IdrisC-45REPLC-45Opts-getSource arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (LibrariesC-45DataC-45ListC-45Extra-elemAt (DataC-45String-lines e-5) (PreludeC-45Types-prim__integerToNat (bs- arg-1 1 63))))))) eff-1)))))))))
(define IdrisC-45REPLC-45Opts-getSource (lambda (arg-0) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-1) (lambda (arg-2) ((((eff-1 'erased) 'erased) arg-1) arg-2)))) (lambda (eta-0) (let ((e-5 (vector-ref eta-0 5))) e-5)))) eff-0))))
(define IdrisC-45REPLC-45Opts-getOutput (lambda (arg-0) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-1) (lambda (arg-2) ((((eff-1 'erased) 'erased) arg-1) arg-2)))) (lambda (eta-0) (let ((e-8 (vector-ref eta-0 8))) e-8)))) eff-0))))
(define IdrisC-45REPLC-45Opts-getLitStyle (lambda (arg-0) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-1) (lambda (arg-2) ((((eff-1 'erased) 'erased) arg-1) arg-2)))) (lambda (eta-0) (let ((e-4 (vector-ref eta-0 4))) e-4)))) eff-0))))
(define IdrisC-45REPLC-45Opts-getEvalTiming (lambda (arg-0) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-1) (lambda (arg-2) ((((eff-1 'erased) 'erased) arg-1) arg-2)))) (lambda (eta-0) (let ((e-2 (vector-ref eta-0 2))) e-2)))) eff-0))))
(define IdrisC-45REPLC-45Opts-getCurrentElabSource (lambda (arg-0) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-1) (lambda (arg-2) ((((eff-1 'erased) 'erased) arg-1) arg-2)))) (lambda (eta-0) (let ((e-9 (vector-ref eta-0 9))) e-9)))) eff-0))))
(define IdrisC-45REPLC-45Opts-getConsoleWidth (lambda (arg-0) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-1) (lambda (arg-2) ((((eff-1 'erased) 'erased) arg-1) arg-2)))) (lambda (eta-0) (let ((e-14 (vector-ref eta-0 14))) e-14)))) eff-0))))
(define IdrisC-45REPLC-45Opts-getColor (lambda (arg-0) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-1) (lambda (arg-2) ((((eff-1 'erased) 'erased) arg-1) arg-2)))) (lambda (eta-0) (let ((e-15 (vector-ref eta-0 15))) e-15)))) eff-0))))
(define IdrisC-45REPLC-45Opts-getCodegen (lambda (arg-0 arg-1) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (eta-0) (DataC-45List-lookup (csegen-43) arg-1 (let ((e-13 (vector-ref eta-0 13))) e-13))))) eff-0))))
(define IdrisC-45REPLC-45Opts-defaultOpts (lambda (arg-0 arg-1 arg-2) (vector 0 1 0 arg-0 (IdrisC-45REPLC-45Opts-n--9923-5606-u--litStyle arg-2 arg-1 arg-0 arg-0) "" "vim" '() arg-1 "" '() '() '() arg-2 '() 1 1)))
(define CoreC-45Unify-case--caseC-32blockC-32inC-32caseC-32blockC-32inC-32retryGuess-29519 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16) (if (null? arg-16) (let ((u--gdef (let ((e-0 (vector-ref arg-8 0))) (let ((e-1 (vector-ref arg-8 1))) (let ((e-2 (vector-ref arg-8 2))) (let ((e-3 (vector-ref arg-8 3))) (let ((e-4 (vector-ref arg-8 4))) (let ((e-5 (vector-ref arg-8 5))) (let ((e-6 (vector-ref arg-8 6))) (let ((e-7 (vector-ref arg-8 7))) (let ((e-8 (vector-ref arg-8 8))) (let ((e-9 (vector-ref arg-8 9))) (let ((e-10 (vector-ref arg-8 10))) (let ((e-11 (vector-ref arg-8 11))) (let ((e-12 (vector-ref arg-8 12))) (let ((e-13 (vector-ref arg-8 13))) (let ((e-14 (vector-ref arg-8 14))) (let ((e-15 (vector-ref arg-8 15))) (let ((e-16 (vector-ref arg-8 16))) (let ((e-18 (vector-ref arg-8 18))) (let ((e-19 (vector-ref arg-8 19))) (let ((e-20 (vector-ref arg-8 20))) (let ((e-21 (vector-ref arg-8 21))) (vector e-0 e-1 e-2 e-3 e-4 e-5 e-6 e-7 e-8 e-9 e-10 e-11 e-12 e-13 e-14 e-15 e-16 (vector 1 (vector '() 1 0) '() (vector 1 0 arg-12) (vector 1 0 arg-12) '()) e-18 e-19 e-20 e-21)))))))))))))))))))))))) (let ((eff-0 (CoreC-45ContextC-45Log-logTerm '() arg-6 "unify.retry" 5 (lambda () (string-append "Resolved " (CoreC-45Name-u--show_Show_Name arg-2))) arg-12))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (let ((eff-1 (CoreC-45Context-addDef arg-6 (vector 8 arg-0) u--gdef))) (((csegen-50) ((let ((eff-2 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-6 (vector-ref eta-3 1))) (vector 1 (eta-2 e-6))))))))))) (lambda (arg-17) (lambda (arg-18) ((((eff-2 'erased) 'erased) arg-17) arg-18)))) (lambda (_-8679) (vector 0 )))) eff-1)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45UnifyState-removeGuess arg-5 arg-0))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (lambda (eta-0) (vector 1 (let ((e-1 (vector-ref arg-15 1))) e-1))))) eff-3)))))))) eff-2)))))))) eff-1))))))) (let ((u--gdef (let ((e-0 (vector-ref arg-8 0))) (let ((e-1 (vector-ref arg-8 1))) (let ((e-2 (vector-ref arg-8 2))) (let ((e-3 (vector-ref arg-8 3))) (let ((e-4 (vector-ref arg-8 4))) (let ((e-5 (vector-ref arg-8 5))) (let ((e-6 (vector-ref arg-8 6))) (let ((e-7 (vector-ref arg-8 7))) (let ((e-8 (vector-ref arg-8 8))) (let ((e-9 (vector-ref arg-8 9))) (let ((e-10 (vector-ref arg-8 10))) (let ((e-11 (vector-ref arg-8 11))) (let ((e-12 (vector-ref arg-8 12))) (let ((e-13 (vector-ref arg-8 13))) (let ((e-14 (vector-ref arg-8 14))) (let ((e-15 (vector-ref arg-8 15))) (let ((e-16 (vector-ref arg-8 16))) (let ((e-18 (vector-ref arg-8 18))) (let ((e-19 (vector-ref arg-8 19))) (let ((e-20 (vector-ref arg-8 20))) (let ((e-21 (vector-ref arg-8 21))) (vector e-0 e-1 e-2 e-3 e-4 e-5 e-6 e-7 e-8 e-9 e-10 e-11 e-12 e-13 e-14 e-15 e-16 (vector 9 arg-12 arg-11 arg-16) e-18 e-19 e-20 e-21)))))))))))))))))))))))) (let ((eff-0 (let ((eff-0 (CoreC-45Context-addDef arg-6 (vector 8 arg-0) u--gdef))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-17) (lambda (arg-18) ((((eff-1 'erased) 'erased) arg-17) arg-18)))) (lambda (_-8679) (vector 0 )))) eff-0)))) (PrimIO-io_bind eff-0 (csegen-2436)))))))
(define CoreC-45Unify-case--caseC-32blockC-32inC-32caseC-32blockC-32inC-32retryGuess-28897 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15) (if (null? arg-15) (let ((eff-0 (let ((e-3 (vector-ref arg-14 3))) (case (vector-ref e-3 0) ((0) (lambda (eta-0) (vector 1 arg-12))) ((1) (let ((e-4 (vector-ref e-3 1))) (lambda (eta-0) (vector 1 (CoreC-45Unify-forceMeta e-4 arg-11 arg-12))))) (else (let ((e-4 (vector-ref e-3 1))) (let ((eff-0 (CoreC-45GetType-getType '() arg-6 '() arg-12))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45ContextC-45Log-logTerm '() arg-6 "unify.retry" 5 (lambda () "Retry Delay") arg-12))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-6 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45NormaliseC-45Eval-getTerm e-5))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-7 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (CoreC-45Unify-delayMeta '() e-4 arg-11 e-7 arg-12))))) eff-3))))))))) eff-2)))))))) eff-1))))))))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--gdef (let ((e-0 (vector-ref arg-8 0))) (let ((e-1 (vector-ref arg-8 1))) (let ((e-2 (vector-ref arg-8 2))) (let ((e-3 (vector-ref arg-8 3))) (let ((e-4 (vector-ref arg-8 4))) (let ((e-22 (vector-ref arg-8 5))) (let ((e-6 (vector-ref arg-8 6))) (let ((e-7 (vector-ref arg-8 7))) (let ((e-8 (vector-ref arg-8 8))) (let ((e-9 (vector-ref arg-8 9))) (let ((e-10 (vector-ref arg-8 10))) (let ((e-11 (vector-ref arg-8 11))) (let ((e-12 (vector-ref arg-8 12))) (let ((e-13 (vector-ref arg-8 13))) (let ((e-14 (vector-ref arg-8 14))) (let ((e-15 (vector-ref arg-8 15))) (let ((e-16 (vector-ref arg-8 16))) (let ((e-18 (vector-ref arg-8 18))) (let ((e-19 (vector-ref arg-8 19))) (let ((e-20 (vector-ref arg-8 20))) (let ((e-21 (vector-ref arg-8 21))) (vector e-0 e-1 e-2 e-3 e-4 e-22 e-6 e-7 e-8 e-9 e-10 e-11 e-12 e-13 e-14 e-15 e-16 (vector 1 (vector '() 1 0) '() (vector 1 0 e-5) (vector 1 0 e-5) '()) e-18 e-19 e-20 e-21)))))))))))))))))))))))) (let ((eff-1 (CoreC-45ContextC-45Log-logTerm '() arg-6 "unify.retry" 5 (lambda () (string-append "Resolved " (CoreC-45Name-u--show_Show_Name arg-2))) e-5))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (let ((eff-2 (CoreC-45Context-addDef arg-6 (vector 8 arg-0) u--gdef))) (((csegen-50) ((let ((eff-3 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-7 (vector-ref eta-3 1))) (vector 1 (eta-2 e-7))))))))))) (lambda (arg-16) (lambda (arg-17) ((((eff-3 'erased) 'erased) arg-16) arg-17)))) (lambda (_-8679) (vector 0 )))) eff-2)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (let ((eff-3 (CoreC-45UnifyState-removeGuess arg-5 arg-0))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-4 (lambda (eta-0) (vector 1 (let ((e-1 (vector-ref arg-14 1))) e-1))))) eff-4)))))))) eff-3)))))))) eff-2))))))))) eff-1))))))) (let ((eff-0 (let ((e-3 (vector-ref arg-14 3))) (case (vector-ref e-3 0) ((0) (lambda (eta-0) (vector 1 arg-12))) ((1) (let ((e-4 (vector-ref e-3 1))) (lambda (eta-0) (vector 1 (CoreC-45Unify-forceMeta e-4 arg-11 arg-12))))) (else (let ((e-4 (vector-ref e-3 1))) (let ((eff-0 (CoreC-45GetType-getType '() arg-6 '() arg-12))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45ContextC-45Log-logTerm '() arg-6 "unify.retry" 5 (lambda () "Retry Delay (constrained)") arg-12))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-6 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45NormaliseC-45Eval-getTerm e-5))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-7 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (CoreC-45Unify-delayMeta '() e-4 arg-11 e-7 arg-12))))) eff-3))))))))) eff-2)))))))) eff-1))))))))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--gdef (let ((e-0 (vector-ref arg-8 0))) (let ((e-1 (vector-ref arg-8 1))) (let ((e-2 (vector-ref arg-8 2))) (let ((e-3 (vector-ref arg-8 3))) (let ((e-4 (vector-ref arg-8 4))) (let ((e-22 (vector-ref arg-8 5))) (let ((e-6 (vector-ref arg-8 6))) (let ((e-7 (vector-ref arg-8 7))) (let ((e-8 (vector-ref arg-8 8))) (let ((e-9 (vector-ref arg-8 9))) (let ((e-10 (vector-ref arg-8 10))) (let ((e-11 (vector-ref arg-8 11))) (let ((e-12 (vector-ref arg-8 12))) (let ((e-13 (vector-ref arg-8 13))) (let ((e-14 (vector-ref arg-8 14))) (let ((e-15 (vector-ref arg-8 15))) (let ((e-16 (vector-ref arg-8 16))) (let ((e-18 (vector-ref arg-8 18))) (let ((e-19 (vector-ref arg-8 19))) (let ((e-20 (vector-ref arg-8 20))) (let ((e-21 (vector-ref arg-8 21))) (vector e-0 e-1 e-2 e-3 e-4 e-22 e-6 e-7 e-8 e-9 e-10 e-11 e-12 e-13 e-14 e-15 e-16 (vector 9 e-5 arg-11 arg-15) e-18 e-19 e-20 e-21)))))))))))))))))))))))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-addDef arg-6 (vector 8 arg-0) u--gdef))) (((csegen-50) ((let ((eff-2 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-6 (vector-ref eta-3 1))) (vector 1 (eta-2 e-6))))))))))) (lambda (arg-16) (lambda (arg-17) ((((eff-2 'erased) 'erased) arg-16) arg-17)))) (lambda (_-8679) (vector 0 )))) eff-1)))) (PrimIO-io_bind eff-1 (csegen-2436)))))) eff-1))))))))))
(define CoreC-45Unify-case--caseC-32blockC-32inC-32retryGuess-28382 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10) (case (vector-ref arg-10 0) ((8) (let ((e-0 (vector-ref arg-10 1))) (let ((e-1 (vector-ref arg-10 2))) (let ((e-2 (vector-ref arg-10 3))) (CoreC-45UnifyState-handleUnify arg-6 arg-5 (let ((eff-0 (CoreC-45Unify-search '() arg-6 arg-5 arg-1 e-0 (CoreC-45Unify-u--C-61C-61_Eq_SolveMode arg-3 1) e-1 e-2 (let ((e-22 (vector-ref arg-8 2))) e-22) '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--gdef (let ((e-25 (vector-ref arg-8 0))) (let ((e-24 (vector-ref arg-8 1))) (let ((e-23 (vector-ref arg-8 2))) (let ((e-3 (vector-ref arg-8 3))) (let ((e-4 (vector-ref arg-8 4))) (let ((e-22 (vector-ref arg-8 5))) (let ((e-6 (vector-ref arg-8 6))) (let ((e-7 (vector-ref arg-8 7))) (let ((e-8 (vector-ref arg-8 8))) (let ((e-9 (vector-ref arg-8 9))) (let ((e-10 (vector-ref arg-8 10))) (let ((e-11 (vector-ref arg-8 11))) (let ((e-12 (vector-ref arg-8 12))) (let ((e-13 (vector-ref arg-8 13))) (let ((e-14 (vector-ref arg-8 14))) (let ((e-15 (vector-ref arg-8 15))) (let ((e-16 (vector-ref arg-8 16))) (let ((e-18 (vector-ref arg-8 18))) (let ((e-19 (vector-ref arg-8 19))) (let ((e-20 (vector-ref arg-8 20))) (let ((e-21 (vector-ref arg-8 21))) (vector e-25 e-24 e-23 e-3 e-4 e-22 e-6 e-7 e-8 e-9 e-10 e-11 e-12 e-13 e-14 e-15 e-16 (vector 1 (CoreC-45ContextC-45Context-defaultPI) '() (vector 1 0 e-5) (vector 1 0 e-5) '()) e-18 e-19 e-20 e-21)))))))))))))))))))))))) (let ((eff-1 (CoreC-45Normalise-logTermNF '() arg-6 "unify.retry" 5 (lambda () (string-append "Solved " (CoreC-45Name-u--show_Show_Name arg-2))) '() e-5))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-3 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-2 (let ((eff-2 (let ((eff-2 (CoreC-45Context-addDef arg-6 (vector 8 arg-0) u--gdef))) (((csegen-50) ((let ((eff-3 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-3 (vector-ref eta-3 1))) (vector 0 e-3))) (else (let ((e-7 (vector-ref eta-3 1))) (vector 1 (eta-2 e-7))))))))))) (lambda (arg-11) (lambda (arg-12) ((((eff-3 'erased) 'erased) arg-11) arg-12)))) (lambda (_-8679) (vector 0 )))) eff-2)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-3 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-3 (let ((eff-3 (CoreC-45UnifyState-removeGuess arg-5 arg-0))) (PrimIO-io_bind eff-3 (csegen-2355))))) eff-3)))))))) eff-2))))))))) eff-1))))))) (lambda (lcase-0) (case (vector-ref lcase-0 0) ((31) (let ((e-6 (vector-ref lcase-0 3))) (let ((e-3 (vector-ref lcase-0 4))) (let ((eff-0 (CoreC-45ContextC-45Log-logTerm '() arg-6 (csegen-3145) 5 (lambda () (string-append ((csegen-0) "Failed (det ") (string-append (CoreC-45Name-u--show_Show_Name arg-2) (string-append " " (string-append (CoreC-45Name-u--show_Show_Name e-6) ")"))))) (let ((e-28 (vector-ref arg-8 2))) e-28)))) (PrimIO-io_bind eff-0 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-9 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45Unify-setInvertible arg-6 arg-1 (vector 8 e-3)))) (PrimIO-io_bind eff-1 (csegen-2436))))) eff-1)))))))))(else (let ((eff-0 (CoreC-45Normalise-logTermNF '() arg-6 (csegen-3145) 5 (lambda () (string-append ((csegen-0) "Search failed at ") (string-append (AlgebraC-45ZeroOneOmega-u--show_Show_ZeroOneOmega e-0) (string-append " for " (CoreC-45Name-u--show_Show_Name arg-2))))) '() (let ((e-22 (vector-ref arg-8 2))) e-22)))) (PrimIO-io_bind eff-0 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-3 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-1 (lambda (clam-0) (cond ((equal? arg-3 3) (CoreC-45Core-u--throw_Catchable_Core_Error lcase-0 clam-0))(else (let ((sc2 (CoreC-45Unify-recoverable lcase-0))) (cond ((equal? sc2 1) (vector 1 0)) (else (CoreC-45Core-u--throw_Catchable_Core_Error (vector 30 '() arg-1 (let ((e-35 (vector-ref arg-7 0))) e-35) '() (let ((e-23 (vector-ref arg-8 2))) e-23) (box lcase-0)) clam-0))))))))) eff-1)))))))))))))) ((9) (let ((e-3 (vector-ref arg-10 1))) (let ((e-4 (vector-ref arg-10 2))) (let ((e-5 (vector-ref arg-10 3))) (if (null? e-5) (let ((u--umode (cond ((equal? arg-3 2) (CoreC-45Unify-inMatch))(else arg-4)))) (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45Unify-retry arg-6 arg-5 u--umode eta-0)) e-5 '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--csAll (CoreC-45Unify-unionAll e-6))) (CoreC-45Unify-case--caseC-32blockC-32inC-32caseC-32blockC-32inC-32retryGuess-29519 arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-5 e-4 e-3 u--umode e-6 u--csAll (let ((e-0 (vector-ref u--csAll 0))) e-0))))) eff-1)))))))) (let ((e-7 (car e-5))) (let ((e-8 (cdr e-5))) (if (null? e-8) (let ((u--umode (cond ((equal? arg-3 2) (CoreC-45Unify-inMatch))(else arg-4)))) (let ((eff-0 (CoreC-45Unify-retry arg-6 arg-5 u--umode e-7))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45Unify-case--caseC-32blockC-32inC-32caseC-32blockC-32inC-32retryGuess-28897 arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-7 e-4 e-3 u--umode e-6 (let ((e-0 (vector-ref e-6 0))) e-0)))) eff-1)))))))) (let ((u--umode (cond ((equal? arg-3 2) (CoreC-45Unify-inMatch))(else arg-4)))) (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45Unify-retry arg-6 arg-5 u--umode eta-0)) e-5 '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--csAll (CoreC-45Unify-unionAll e-6))) (CoreC-45Unify-case--caseC-32blockC-32inC-32caseC-32blockC-32inC-32retryGuess-29519 arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-5 e-4 e-3 u--umode e-6 u--csAll (let ((e-0 (vector-ref u--csAll 0))) e-0))))) eff-1))))))))))))))))(else (lambda (eta-0) (vector 1 0))))))
(define CoreC-45Unify-case--retry-27680 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (if (null? arg-5) (lambda (eta-0) (vector 1 (CoreC-45Unify-success))) (let ((e-2 (unbox arg-5))) (case (vector-ref e-2 0) ((2) (lambda (eta-0) (vector 1 (CoreC-45Unify-success)))) ((0) (let ((e-3 (vector-ref e-2 1))) (let ((e-4 (vector-ref e-2 2))) (let ((e-5 (vector-ref e-2 3))) (let ((e-6 (vector-ref e-2 4))) (let ((e-7 (vector-ref e-2 5))) (let ((e-8 (vector-ref e-2 6))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-9 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-continueNF arg-0 e-3 e-9 e-6 e-7))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-10 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45NormaliseC-45Eval-continueNF arg-0 e-3 e-9 e-6 e-8))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-11 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-2 1))) (let ((eff-3 (CoreC-45Core-u--catch_Catchable_Core_Error (let ((eff-3 (CoreC-45Normalise-logNF e-3 arg-0 "unify.retry" 5 (lambda () (string-append "Retrying " (string-append (PreludeC-45Show-u--show_Show_Int arg-1) (string-append " " (CoreC-45Unify-u--show_Show_UnifyMode (let ((e-1 (cdr arg-2))) e-1)))))) e-6 e-10))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-12 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-12)))) (else (let ((eff-4 (let ((eff-4 (CoreC-45Normalise-logNF e-3 arg-0 "unify.retry" 5 (lambda () "....with") e-6 e-11))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-13 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((eff-5 (let ((eff-5 (CoreC-45ContextC-45Log-log arg-0 "unify.retry" 5 (cond ((equal? e-5 1) (lambda () ((csegen-0) "(lazy allowed)"))) (else (lambda () ((csegen-0) "(no lazy)"))))))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-14 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((eff-6 (let ((eff-6 (cond ((equal? e-5 1) ((((CoreC-45Unify-unifyWithLazy (csegen-3136) e-3 arg-0 arg-3 arg-2 e-4) e-6) e-10) e-11)) (else ((((CoreC-45Unify-unify (csegen-3136) e-3 arg-0 arg-3 (CoreC-45Unify-lower arg-2) e-4) e-6) e-10) e-11))))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-15 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-15)))) (else (let ((e-15 (vector-ref lcase-6 1))) (let ((eff-7 (let ((e-0 (vector-ref e-15 0))) (if (null? e-0) (let ((eff-7 (CoreC-45ContextC-45Log-log arg-0 "unify.retry" 5 (lambda () (string-append "Success " (CoreC-45Unify-u--show_Show_AddLazy (let ((e-18 (vector-ref e-15 3))) e-18))))))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-18 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-18)))) (else (let ((eff-8 (let ((eff-8 (CoreC-45UnifyState-deleteConstraint arg-3 arg-1))) (PrimIO-io_bind eff-8 (lambda (lcase-8) (case (vector-ref lcase-8 0) ((0) (let ((e-19 (vector-ref lcase-8 1))) (lambda (eta-0) (vector 0 e-19)))) (else (let ((eff-9 (lambda (eta-0) (vector 1 e-15)))) eff-9)))))))) eff-8)))))) (let ((eff-7 (CoreC-45ContextC-45Log-log arg-0 "unify.retry" 5 (lambda () (string-append "Constraints " (CoreC-45Unify-u--show_Show_AddLazy (let ((e-18 (vector-ref e-15 3))) e-18))))))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-18 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-18)))) (else (let ((eff-8 (lambda (eta-0) (vector 1 e-15)))) eff-8)))))))))) eff-7))))))))) eff-6)))))))) eff-5)))))))) eff-4)))))) (lambda (u--err) (let ((eff-3 (let ((eff-3 arg-0)) (PrimIO-io_bind (let ((eff-4 eff-3)) (lambda (eta-0) (unbox eff-4))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-12 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-12)))) (else (let ((e-12 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (lambda (eta-0) (CoreC-45Context-clearDefs e-12 eta-0)))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-13 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-4 1))) (let ((eff-5 (let ((eff-5 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 e-3 e-13 e-6 e-10))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-14 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-5 1))) (let ((eff-6 (let ((eff-6 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 e-3 e-13 e-6 e-11))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-15 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-15)))) (else (let ((e-15 (vector-ref lcase-6 1))) (let ((eff-7 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 5 e-3 e-4 (let ((e-0 (vector-ref e-12 0))) e-0) e-6 e-14 e-15 u--err) eta-0)))) eff-7))))))))) eff-6))))))))) eff-5))))))))) eff-4))))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))) (else (let ((e-9 (vector-ref e-2 1))) (let ((e-10 (vector-ref e-2 2))) (let ((e-11 (vector-ref e-2 3))) (let ((e-12 (vector-ref e-2 4))) (let ((e-13 (vector-ref e-2 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-continueNF arg-0 e-9 e-5 e-11 eta-0)) e-12 '()))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-3 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-continueNF arg-0 e-9 e-5 e-11 eta-0)) e-13 '()))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-3 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45Unify-unifyArgs (cons (csegen-3136) (vector (lambda (u--c) (lambda (u--vars) (lambda (arg-6487) (lambda (arg-6490) (lambda (arg-6494) (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF u--c u--vars arg-6487 arg-6490 arg-6494)))))) (lambda (u--c) (lambda (u--vars) (lambda (arg-6513) (lambda (arg-6516) (lambda (arg-6520) (CoreC-45NormaliseC-45Quote-u--quoteLHS_Quote_NF u--c u--vars arg-6513 arg-6516 arg-6520)))))) (lambda (u--c) (lambda (u--vars) (lambda (arg-6536) (lambda (arg-6539) (lambda (arg-6542) (lambda (arg-6546) (CoreC-45NormaliseC-45Quote-u--quoteOpts_Quote_NF u--c u--vars arg-6536 arg-6539 arg-6542 arg-6546))))))) (lambda (u--c) (lambda (u--vars) (lambda (arg-6564) (lambda (arg-6569) (lambda (arg-6572) (lambda (arg-6575) (lambda (arg-6579) (CoreC-45NormaliseC-45Quote-u--quoteGen_Quote_NF u--c u--vars arg-6564 arg-6569 arg-6572 arg-6575 arg-6579)))))))))) e-9 arg-0 arg-3 arg-2 e-10 e-11 e-6 e-7))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-3 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((e-0 (vector-ref e-8 0))) (if (null? e-0) (let ((eff-4 (CoreC-45UnifyState-deleteConstraint arg-3 arg-1))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((eff-5 (lambda (eta-0) (vector 1 e-8)))) eff-5)))))) (lambda (eta-0) (vector 1 e-8)))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))))))))))
(define CoreC-45Unify-case--caseC-32blockC-32inC-32unifyD-26734 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13) (if (null? arg-13) ((((CoreC-45Unify-unify (csegen-3136) arg-0 arg-1 arg-2 arg-7 arg-6) arg-5) arg-11) arg-12) (let ((e-2 (car arg-13))) (let ((e-3 (cdr arg-13))) (case (vector-ref e-2 0) ((1) (let ((e-14 (vector-ref e-2 2))) (case (vector-ref e-14 0) ((2) (case (vector-ref e-3 0) ((1) (let ((e-22 (vector-ref e-3 2))) (case (vector-ref e-22 0) ((2) ((((CoreC-45Unify-unify (csegen-3136) arg-0 arg-1 arg-2 arg-7 arg-6) arg-5) arg-11) arg-12))(else (let ((eff-0 (CoreC-45NormaliseC-45Eval-evalClosure arg-1 arg-0 arg-9 arg-3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-1 arg-0 arg-9 arg-5 arg-11))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-1 arg-0 arg-9 arg-5 e-5))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (let ((eff-3 (CoreC-45NormaliseC-45Eval-nf arg-1 arg-0 arg-9 arg-5 e-6))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-4 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45NormaliseC-45Eval-nf arg-1 arg-0 arg-9 arg-5 e-7))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-4 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 ((((CoreC-45Unify-unify (csegen-3136) arg-0 arg-1 arg-2 arg-7 arg-6) arg-5) e-8) e-9))) eff-5))))))))) eff-4))))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-4 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((e-0 (vector-ref e-8 0))) (if (null? e-0) (lambda (eta-0) (vector 1 e-8)) (let ((eff-4 (CoreC-45NormaliseC-45Eval-evalClosure arg-1 arg-0 arg-8 arg-3))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-10 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-4 1))) (let ((eff-5 ((((CoreC-45Unify-unify (csegen-3136) arg-0 arg-1 arg-2 arg-7 arg-6) arg-5) arg-11) e-10))) eff-5))))))))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))(else (let ((eff-0 (CoreC-45NormaliseC-45Eval-evalClosure arg-1 arg-0 arg-9 arg-3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-1 arg-0 arg-9 arg-5 arg-11))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-1 arg-0 arg-9 arg-5 e-5))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (let ((eff-3 (CoreC-45NormaliseC-45Eval-nf arg-1 arg-0 arg-9 arg-5 e-6))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-4 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45NormaliseC-45Eval-nf arg-1 arg-0 arg-9 arg-5 e-7))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-4 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 ((((CoreC-45Unify-unify (csegen-3136) arg-0 arg-1 arg-2 arg-7 arg-6) arg-5) e-8) e-9))) eff-5))))))))) eff-4))))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-4 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((e-0 (vector-ref e-8 0))) (if (null? e-0) (lambda (eta-0) (vector 1 e-8)) (let ((eff-4 (CoreC-45NormaliseC-45Eval-evalClosure arg-1 arg-0 arg-8 arg-3))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-10 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-4 1))) (let ((eff-5 ((((CoreC-45Unify-unify (csegen-3136) arg-0 arg-1 arg-2 arg-7 arg-6) arg-5) arg-11) e-10))) eff-5))))))))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))(else (case (vector-ref e-3 0) ((1) (let ((e-6 (vector-ref e-3 2))) (case (vector-ref e-6 0) ((2) (let ((eff-0 (CoreC-45NormaliseC-45Eval-evalClosure arg-1 arg-0 arg-9 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-8 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-1 arg-0 arg-9 arg-5 e-8))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-12 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-1 arg-0 arg-9 arg-5 arg-12))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-16 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (let ((eff-3 (CoreC-45NormaliseC-45Eval-nf arg-1 arg-0 arg-9 arg-5 e-16))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-4 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-17 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45NormaliseC-45Eval-nf arg-1 arg-0 arg-9 arg-5 e-12))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-4 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-18 (vector-ref lcase-4 1))) (let ((eff-5 ((((CoreC-45Unify-unify (csegen-3136) arg-0 arg-1 arg-2 arg-7 arg-6) arg-5) e-17) e-18))) eff-5))))))))) eff-4))))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-4 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-17 (vector-ref lcase-3 1))) (let ((eff-4 (let ((e-0 (vector-ref e-17 0))) (if (null? e-0) (lambda (eta-0) (vector 1 e-17)) ((((CoreC-45Unify-unify (csegen-3136) arg-0 arg-1 arg-2 arg-7 arg-6) arg-5) arg-11) arg-12))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))(else ((((CoreC-45Unify-unify (csegen-3136) arg-0 arg-1 arg-2 arg-7 arg-6) arg-5) arg-11) arg-12)))))(else ((((CoreC-45Unify-unify (csegen-3136) arg-0 arg-1 arg-2 arg-7 arg-6) arg-5) arg-11) arg-12)))))))(else (case (vector-ref e-3 0) ((1) (let ((e-6 (vector-ref e-3 2))) (case (vector-ref e-6 0) ((2) (let ((eff-0 (CoreC-45NormaliseC-45Eval-evalClosure arg-1 arg-0 arg-9 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-8 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-1 arg-0 arg-9 arg-5 e-8))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-12 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-1 arg-0 arg-9 arg-5 arg-12))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-13 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (let ((eff-3 (CoreC-45NormaliseC-45Eval-nf arg-1 arg-0 arg-9 arg-5 e-13))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-4 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-14 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45NormaliseC-45Eval-nf arg-1 arg-0 arg-9 arg-5 e-12))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-4 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-15 (vector-ref lcase-4 1))) (let ((eff-5 ((((CoreC-45Unify-unify (csegen-3136) arg-0 arg-1 arg-2 arg-7 arg-6) arg-5) e-14) e-15))) eff-5))))))))) eff-4))))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-4 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-14 (vector-ref lcase-3 1))) (let ((eff-4 (let ((e-0 (vector-ref e-14 0))) (if (null? e-0) (lambda (eta-0) (vector 1 e-14)) ((((CoreC-45Unify-unify (csegen-3136) arg-0 arg-1 arg-2 arg-7 arg-6) arg-5) arg-11) arg-12))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))(else ((((CoreC-45Unify-unify (csegen-3136) arg-0 arg-1 arg-2 arg-7 arg-6) arg-5) arg-11) arg-12)))))(else ((((CoreC-45Unify-unify (csegen-3136) arg-0 arg-1 arg-2 arg-7 arg-6) arg-5) arg-11) arg-12))))))))))
(define CoreC-45Unify-case--caseC-32blockC-32inC-32unifyBothBinders-23759 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20 arg-21 arg-22 arg-23 arg-24 arg-25 arg-26) (if (null? arg-26) (let ((eff-0 ((arg-12 arg-20) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) arg-15 (vector 1 arg-16 (vector 0 ) arg-24))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((arg-9 arg-20) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) arg-15 (vector 1 arg-16 (vector 0 ) arg-24))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-19 arg-0 arg-21 arg-15 e-5))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-19 arg-0 arg-21 arg-15 e-6))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 ((((CoreC-45Unify-unify (csegen-3133) (cons arg-13 arg-0) arg-19 arg-18 (CoreC-45Unify-lower arg-17) arg-16) arg-25) (CoreC-45TT-refsToLocals (vector 1 arg-13 arg-24 (vector 0 )) e-7)) (CoreC-45TT-refsToLocals (vector 1 arg-13 arg-24 (vector 0 )) e-8)))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))) (let ((eff-0 (CoreC-45NormaliseC-45Quote-u--quote_Quote_Closure arg-19 arg-0 arg-21 arg-15 arg-1))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_Closure arg-19 arg-0 arg-21 arg-15 arg-5))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45UnifyState-newConstant arg-0 arg-18 arg-19 arg-16 (csegen-54) arg-15 (vector 3 arg-14 arg-13 (vector 0 arg-8 arg-7 (vector 1 ) e-5) (vector 0 arg-14 '() 0)) (vector 3 arg-14 arg-13 (vector 2 arg-8 arg-7 (vector 1 ) e-5) (CoreC-45TT-u--weaken_Weaken_Term e-6)) arg-26))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 ((arg-12 arg-20) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) arg-15 (vector 1 arg-16 (vector 0 ) arg-24))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 ((arg-9 arg-20) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) arg-15 (vector 4 arg-16 e-7 (vector 1 arg-16 (vector 0 ) arg-24)))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (let ((eff-5 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-19 arg-0 arg-21 arg-15 e-8))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-10 (vector-ref lcase-5 1))) (let ((eff-6 (let ((eff-6 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-19 arg-0 arg-21 arg-15 e-9))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-2 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-11 (vector-ref lcase-6 1))) (let ((eff-7 (let ((eff-7 ((((CoreC-45Unify-unify (csegen-3133) (cons arg-13 arg-0) arg-19 arg-18 (CoreC-45Unify-lower arg-17) arg-16) arg-25) (CoreC-45TT-refsToLocals (vector 1 arg-13 arg-24 (vector 0 )) e-10)) (CoreC-45TT-refsToLocals (vector 1 arg-13 arg-24 (vector 0 )) e-11)))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-2 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-12 (vector-ref lcase-7 1))) (let ((eff-8 (lambda (eta-0) (vector 1 (CoreC-45Unify-union arg-23 e-12))))) eff-8))))))))) eff-7))))))))) eff-6))))))))) eff-5))))))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))
(define CoreC-45Unify-case--headsConvert-19081 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8) (if (null? arg-8) (lambda (eta-0) (vector 1 0)) (let ((e-2 (car arg-8))) (let ((e-3 (cdr arg-8))) (if (null? e-2) (lambda (eta-0) (vector 1 0)) (let ((e-5 (car e-2))) (if (null? e-3) (lambda (eta-0) (vector 1 0)) (let ((e-8 (car e-3))) (let ((eff-0 (CoreC-45Normalise-logNF arg-0 arg-7 "unify.head" 10 (lambda () "Unifying head") arg-3 e-5))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45Normalise-logNF arg-0 arg-7 "unify.head" 10 (lambda () ".........with") arg-3 e-8))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-2 (let ((eff-2 ((((CoreC-45Unify-unify (csegen-3136) arg-0 arg-7 arg-6 arg-5 arg-4) arg-3) e-5) e-8))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-11 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (DataC-45List-isNil (let ((e-0 (vector-ref e-11 0))) e-0)))))) eff-3))))))))) eff-2)))))))) eff-1)))))))))))))))
(define CoreC-45Unify-case--occursCheck-15300 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8) (cond ((equal? arg-8 0) (lambda (eta-0) (vector 1 (box arg-1))))(else (let ((eff-0 (let ((eff-0 arg-6)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Normalise-normalise arg-6 arg-0 e-5 arg-4 arg-1))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Unify-getMetaNames arg-6 e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((sc3 (PreludeC-45Types-elem (csegen-16) (csegen-1008) arg-2 e-7))) (cond ((equal? sc3 1) (let ((eff-3 (CoreC-45Unify-n--10804-15061-u--failOnStrongRigid arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 0 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 4 arg-0 arg-5 arg-4 arg-2 e-6) eta-0)) e-6))) (PrimIO-io_bind eff-3 (csegen-2241)))) (else (lambda (eta-0) (vector 1 (box e-6)))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))
(define CoreC-45Unify-case--occursCheckC-44failOnStrongRigid-15155 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10) (let ((e-2 (car arg-10))) (let ((e-3 (cdr arg-10))) (if (null? e-3) (lambda (eta-0) (vector 1 (vector 0 ))) (case (vector-ref e-2 0) ((1) (let ((e-6 (vector-ref e-2 2))) (case (vector-ref e-6 0) ((1) (lambda (eta-0) (vector 1 (vector 0 ))))(else (CoreC-45Core-traverse_ (lambda (eta-0) (CoreC-45Unify-n--10804-15061-u--failOnStrongRigid arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 1 arg-8 eta-0)) e-3)))))(else (CoreC-45Core-traverse_ (lambda (eta-0) (CoreC-45Unify-n--10804-15061-u--failOnStrongRigid arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-9 arg-8 eta-0)) e-3))))))))
(define CoreC-45Unify-case--caseC-32blockC-32inC-32patternEnvTm-14994 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8) (let ((e-2 (car arg-8))) (let ((e-3 (cdr arg-8))) (box (cons e-2 (cons (CoreC-45Unify-n--10557-14842-u--updateVars arg-0 arg-1 arg-2 arg-3 arg-4 arg-7 e-3) e-3)))))))
(define CoreC-45Unify-case--patternEnvTm-14953 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (if (null? arg-7) '() (let ((e-2 (unbox arg-7))) (CoreC-45Unify-case--caseC-32blockC-32inC-32patternEnvTm-14994 arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-2 (CoreC-45Unify-toSubVars arg-0 e-2))))))
(define CoreC-45Unify-case--caseC-32blockC-32inC-32patternEnv-14677 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9) (let ((e-2 (car arg-9))) (let ((e-3 (cdr arg-9))) (box (cons e-2 (cons (CoreC-45Unify-n--10178-14509-u--updateVars arg-0 arg-1 arg-2 arg-3 arg-4 arg-8 e-3) e-3)))))))
(define CoreC-45Unify-case--patternEnv-14632 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8) (if (null? arg-8) '() (let ((e-2 (unbox arg-8))) (CoreC-45Unify-case--caseC-32blockC-32inC-32patternEnv-14677 arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-2 (CoreC-45Unify-toSubVars arg-0 e-2))))))
(define CoreC-45Unify-case--chaseMetas-13454 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (if (null? arg-4) (let ((eff-0 (let ((eff-0 arg-3)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-lookupDefExact arg-0 (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-6) (CoreC-45Unify-chaseMetas arg-3 arg-1 (LibrariesC-45DataC-45NameMap-insert arg-0 (vector 0 ) arg-2)) (let ((e-1 (unbox e-6))) (case (vector-ref e-1 0) ((1) (let ((e-4 (vector-ref e-1 3))) (case (vector-ref e-4 0) ((1) (let ((e-9 (vector-ref e-4 2))) (let ((u--sns (LibrariesC-45DataC-45NameMap-keys (CoreC-45TT-getMetas e-9)))) (CoreC-45Unify-chaseMetas arg-3 (PreludeC-45TypesC-45List-tailRecAppend u--sns arg-1) (LibrariesC-45DataC-45NameMap-insert arg-0 (vector 0 ) arg-2)))))(else (CoreC-45Unify-chaseMetas arg-3 arg-1 (LibrariesC-45DataC-45NameMap-insert arg-0 (vector 0 ) arg-2))))))(else (CoreC-45Unify-chaseMetas arg-3 arg-1 (LibrariesC-45DataC-45NameMap-insert arg-0 (vector 0 ) arg-2)))))))) eff-2))))))))) eff-1))))))) (CoreC-45Unify-chaseMetas arg-3 arg-1 arg-2))))
(define CoreC-45Unify-n--10557-14842-u--updateVars (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-6 arg-7) (if (null? arg-6) '() (let ((e-2 (car arg-6))) (let ((e-3 (cdr arg-6))) (let ((eff-0 e-2)) (let ((sc1 (CoreC-45TT-subElem eff-0 arg-7))) (if (null? sc1) (CoreC-45Unify-n--10557-14842-u--updateVars arg-0 arg-1 arg-2 arg-3 arg-4 e-3 arg-7) (let ((e-4 (unbox sc1))) (cons e-4 (CoreC-45Unify-n--10557-14842-u--updateVars arg-0 arg-1 arg-2 arg-3 arg-4 e-3 arg-7)))))))))))
(define CoreC-45Unify-n--10178-14509-u--updateVars (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-6 arg-7) (if (null? arg-6) '() (let ((e-2 (car arg-6))) (let ((e-3 (cdr arg-6))) (let ((eff-0 e-2)) (let ((sc1 (CoreC-45TT-subElem eff-0 arg-7))) (if (null? sc1) (CoreC-45Unify-n--10178-14509-u--updateVars arg-0 arg-1 arg-2 arg-3 arg-4 e-3 arg-7) (let ((e-4 (unbox sc1))) (cons e-4 (CoreC-45Unify-n--10178-14509-u--updateVars arg-0 arg-1 arg-2 arg-3 arg-4 e-3 arg-7)))))))))))
(define CoreC-45Unify-n--11582-16469-u--updateIVarsPi (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20 arg-21 arg-22 arg-23 arg-24) (case (vector-ref arg-24 0) ((1) (box (vector 1 ))) ((0) (box (vector 0 ))) ((2) (box (vector 2 ))) (else (let ((e-4 (vector-ref arg-24 1))) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (CoreC-45Unify-n--11512-15736-u--updateIVars arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-21 arg-22 arg-23 e-4) (lambda (u--tC-39) (box (vector 3 u--tC-39)))))))))
(define CoreC-45Unify-n--11582-16470-u--updateIVarsB (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20 arg-21 arg-22 arg-23 arg-24) (case (vector-ref arg-24 0) ((0) (let ((e-1 (vector-ref arg-24 1))) (let ((e-2 (vector-ref arg-24 2))) (let ((e-3 (vector-ref arg-24 3))) (let ((e-4 (vector-ref arg-24 4))) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (CoreC-45Unify-n--11582-16469-u--updateIVarsPi arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20 arg-21 arg-22 arg-23 e-3) (lambda (u--pC-39) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (CoreC-45Unify-n--11512-15736-u--updateIVars arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-21 arg-22 arg-23 e-4) (lambda (bind-0) (box (vector 0 e-1 e-2 u--pC-39 bind-0))))))))))) ((1) (let ((e-6 (vector-ref arg-24 1))) (let ((e-7 (vector-ref arg-24 2))) (let ((e-8 (vector-ref arg-24 3))) (let ((e-9 (vector-ref arg-24 4))) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (CoreC-45Unify-n--11512-15736-u--updateIVars arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-21 arg-22 arg-23 e-8) (lambda (bind-0) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (CoreC-45Unify-n--11512-15736-u--updateIVars arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-21 arg-22 arg-23 e-9) (lambda (bind-1) (box (vector 1 e-6 e-7 bind-0 bind-1))))))))))) ((2) (let ((e-11 (vector-ref arg-24 1))) (let ((e-12 (vector-ref arg-24 2))) (let ((e-13 (vector-ref arg-24 3))) (let ((e-14 (vector-ref arg-24 4))) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (CoreC-45Unify-n--11582-16469-u--updateIVarsPi arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20 arg-21 arg-22 arg-23 e-13) (lambda (u--pC-39) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (CoreC-45Unify-n--11512-15736-u--updateIVars arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-21 arg-22 arg-23 e-14) (lambda (bind-0) (box (vector 2 e-11 e-12 u--pC-39 bind-0))))))))))) ((3) (let ((e-16 (vector-ref arg-24 1))) (let ((e-17 (vector-ref arg-24 2))) (let ((e-18 (vector-ref arg-24 3))) (let ((e-19 (vector-ref arg-24 4))) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (CoreC-45Unify-n--11582-16469-u--updateIVarsPi arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20 arg-21 arg-22 arg-23 e-18) (lambda (u--pC-39) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (CoreC-45Unify-n--11512-15736-u--updateIVars arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-21 arg-22 arg-23 e-19) (lambda (bind-0) (box (vector 3 e-16 e-17 u--pC-39 bind-0))))))))))) ((4) (let ((e-21 (vector-ref arg-24 1))) (let ((e-22 (vector-ref arg-24 2))) (let ((e-23 (vector-ref arg-24 3))) (let ((e-24 (vector-ref arg-24 4))) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (CoreC-45Unify-n--11512-15736-u--updateIVars arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-21 arg-22 arg-23 e-23) (lambda (bind-0) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (CoreC-45Unify-n--11512-15736-u--updateIVars arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-21 arg-22 arg-23 e-24) (lambda (bind-1) (box (vector 4 e-21 e-22 bind-0 bind-1))))))))))) (else (let ((e-26 (vector-ref arg-24 1))) (let ((e-27 (vector-ref arg-24 2))) (let ((e-28 (vector-ref arg-24 3))) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (CoreC-45Unify-n--11512-15736-u--updateIVars arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-21 arg-22 arg-23 e-28) (lambda (bind-0) (box (vector 5 e-26 e-27 bind-0)))))))))))
(define CoreC-45Unify-n--11512-15736-u--updateIVars (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17) (case (vector-ref arg-17 0) ((0) (let ((e-2 (vector-ref arg-17 1))) (let ((e-3 (vector-ref arg-17 2))) (let ((e-4 (vector-ref arg-17 3))) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (CoreC-45Unify-n--11512-15735-u--updateIVar arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 e-4 arg-16) (lambda (_-0) (let ((eff-0 _-0)) (box (vector 0 e-2 e-3 eff-0))))))))) ((1) (let ((e-7 (vector-ref arg-17 1))) (let ((e-8 (vector-ref arg-17 2))) (let ((e-9 (vector-ref arg-17 3))) (box (vector 1 e-7 e-8 e-9)))))) ((2) (let ((e-11 (vector-ref arg-17 1))) (let ((e-12 (vector-ref arg-17 2))) (let ((e-13 (vector-ref arg-17 3))) (let ((e-14 (vector-ref arg-17 4))) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (PreludeC-45Types-u--traverse_Traversable_List (csegen-323) (lambda (eta-0) (CoreC-45Unify-n--11512-15736-u--updateIVars arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 eta-0)) e-14) (lambda (bind-0) (box (vector 2 e-11 e-12 e-13 bind-0))))))))) ((3) (let ((e-16 (vector-ref arg-17 1))) (let ((e-17 (vector-ref arg-17 2))) (let ((e-18 (vector-ref arg-17 3))) (let ((e-19 (vector-ref arg-17 4))) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (CoreC-45Unify-n--11582-16470-u--updateIVarsB arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-15 e-17 e-19 e-18 e-16 arg-14 arg-16 arg-14 arg-15 arg-16 e-18) (lambda (u--bC-39) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (CoreC-45Unify-n--11512-15736-u--updateIVars arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 (cons e-17 arg-14) (cons e-17 arg-15) (cons (box 0) (CoreC-45Unify-u--weaken_Weaken_C-40IVarsC-32C-36vsC-41 arg-16)) e-19) (lambda (u--scC-39) (box (vector 3 e-16 e-17 u--bC-39 u--scC-39))))))))))) ((4) (let ((e-21 (vector-ref arg-17 1))) (let ((e-22 (vector-ref arg-17 2))) (let ((e-23 (vector-ref arg-17 3))) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (CoreC-45Unify-n--11512-15736-u--updateIVars arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 e-22) (lambda (bind-0) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (CoreC-45Unify-n--11512-15736-u--updateIVars arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 e-23) (lambda (bind-1) (box (vector 4 e-21 bind-0 bind-1)))))))))) ((5) (let ((e-25 (vector-ref arg-17 1))) (let ((e-26 (vector-ref arg-17 2))) (let ((e-27 (vector-ref arg-17 3))) (let ((e-28 (vector-ref arg-17 4))) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (CoreC-45Unify-n--11512-15736-u--updateIVars arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 e-27) (lambda (bind-0) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (CoreC-45Unify-n--11512-15736-u--updateIVars arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 e-28) (lambda (bind-1) (box (vector 5 e-25 e-26 bind-0 bind-1))))))))))) ((6) (let ((e-30 (vector-ref arg-17 1))) (let ((e-31 (vector-ref arg-17 2))) (let ((e-32 (vector-ref arg-17 3))) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (CoreC-45Unify-n--11512-15736-u--updateIVars arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 e-32) (lambda (bind-0) (box (vector 6 e-30 e-31 bind-0)))))))) ((7) (let ((e-34 (vector-ref arg-17 1))) (let ((e-35 (vector-ref arg-17 2))) (let ((e-36 (vector-ref arg-17 3))) (let ((e-37 (vector-ref arg-17 4))) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (CoreC-45Unify-n--11512-15736-u--updateIVars arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 e-36) (lambda (bind-0) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (CoreC-45Unify-n--11512-15736-u--updateIVars arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 e-37) (lambda (bind-1) (box (vector 7 e-34 e-35 bind-0 bind-1))))))))))) ((8) (let ((e-39 (vector-ref arg-17 1))) (let ((e-40 (vector-ref arg-17 2))) (let ((e-41 (vector-ref arg-17 3))) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (CoreC-45Unify-n--11512-15736-u--updateIVars arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 e-41) (lambda (bind-0) (box (vector 8 e-39 e-40 bind-0)))))))) ((9) (let ((e-43 (vector-ref arg-17 1))) (let ((e-44 (vector-ref arg-17 2))) (box (vector 9 e-43 e-44))))) ((10) (let ((e-46 (vector-ref arg-17 1))) (let ((e-47 (vector-ref arg-17 2))) (case (vector-ref e-47 0) ((1) (box (vector 10 e-46 (vector 1 )))) ((0) (box (vector 10 e-46 (vector 0 )))) (else (let ((e-54 (vector-ref e-47 1))) (PreludeC-45Interfaces-C-60C-36C-62 (csegen-76) (lambda (eta-0) (vector 10 e-46 (vector 2 eta-0))) (CoreC-45Unify-n--11512-15736-u--updateIVars arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 e-54)))))))) (else (let ((e-49 (vector-ref arg-17 1))) (let ((e-50 (vector-ref arg-17 2))) (box (vector 11 e-49 e-50))))))))
(define CoreC-45Unify-n--11512-15735-u--updateIVar (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-15 arg-18) (if (null? arg-18) '() (let ((e-3 (car arg-18))) (let ((e-4 (cdr arg-18))) (if (null? e-3) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (CoreC-45Unify-n--11512-15735-u--updateIVar arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-15 e-4) (csegen-1106)) (let ((e-7 (unbox e-3))) (let ((eff-0 e-7)) (let ((sc2 (or (and (= arg-15 eff-0) 1) 0))) (cond ((equal? sc2 1) (box 0)) (else (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (CoreC-45Unify-n--11512-15735-u--updateIVar arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-15 e-4) (csegen-1106)))))))))))))
(define CoreC-45Unify-n--17857-21369-u--solveOrElsePostpone (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20 arg-21 arg-22 arg-23 arg-24 arg-25 arg-26 arg-27 arg-28) (let ((eff-0 (CoreC-45Unify-solveHole arg-12 arg-11 arg-16 arg-0 arg-6 arg-9 arg-7 arg-5 arg-4 arg-3 arg-2 arg-17 arg-18 arg-26 arg-28 arg-1))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (PreludeC-45Basics-flip (lambda (eta-0) (lambda (eta-1) (DataC-45Maybe-fromMaybe eta-0 eta-1))) (PreludeC-45Interfaces-C-60C-36C-62 (csegen-76) (lambda (eta-0) (lambda (eta-1) (vector 1 eta-0))) e-5) (lambda () (CoreC-45Unify-postponeS arg-0 arg-12 arg-11 arg-10 arg-8 arg-9 ((csegen-0) "Can't instantiate") arg-7 (vector 1 arg-8 (vector 2 arg-5 arg-4 arg-3) ((csegen-1728) arg-2)) arg-1))))) eff-1)))))))))
(define CoreC-45Unify-n--14590-20301-u--solutionHeadSame (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16) (case (vector-ref arg-16 0) ((1) (let ((e-2 (vector-ref arg-16 2))) (case (vector-ref e-2 0) ((2) (let ((e-6 (vector-ref e-2 2))) (PreludeC-45EqOrd-u--C-61C-61_Eq_Int e-6 arg-9)))(else 0))))(else 0))))
(define CoreC-45Unify-n--14733-22707-u--pv (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16) (case (vector-ref arg-16 0) ((3) 1)(else 0))))
(define CoreC-45Unify-n--11512-15733-u--noMeta (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-15 arg-16) (case (vector-ref arg-15 0) ((4) (let ((e-2 (vector-ref arg-15 2))) (let ((e-3 (vector-ref arg-15 3))) (cond ((equal? arg-16 0) 0)(else (let ((e-48 (- arg-16 1))) (let ((sc1 (CoreC-45Unify-n--11512-15733-u--noMeta arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 e-2 e-48))) (cond ((equal? sc1 1) (CoreC-45Unify-n--11512-15733-u--noMeta arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 e-3 e-48)) (else 0))))))))) ((3) (let ((e-7 (vector-ref arg-15 3))) (let ((e-8 (vector-ref arg-15 4))) (cond ((equal? arg-16 0) 0)(else (let ((e-49 (- arg-16 1))) (let ((sc1 (CoreC-45Unify-n--11512-15733-u--noMeta arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 (CoreC-45TT-binderType e-7) e-49))) (cond ((equal? sc1 1) (CoreC-45Unify-n--11512-15733-u--noMeta arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 e-8 e-49)) (else 0))))))))) ((2) 0) ((6) (let ((e-17 (vector-ref arg-15 3))) (CoreC-45Unify-n--11512-15733-u--noMeta arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 e-17 arg-16))) ((7) (let ((e-21 (vector-ref arg-15 3))) (let ((e-22 (vector-ref arg-15 4))) (let ((sc1 (CoreC-45Unify-n--11512-15733-u--noMeta arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 e-21 arg-16))) (cond ((equal? sc1 1) (CoreC-45Unify-n--11512-15733-u--noMeta arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 e-22 arg-16)) (else 0)))))) ((8) (let ((e-26 (vector-ref arg-15 3))) (CoreC-45Unify-n--11512-15733-u--noMeta arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 e-26 arg-16))) ((5) (let ((e-30 (vector-ref arg-15 3))) (let ((e-31 (vector-ref arg-15 4))) (let ((sc1 (CoreC-45Unify-n--11512-15733-u--noMeta arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 e-30 arg-16))) (cond ((equal? sc1 1) (CoreC-45Unify-n--11512-15733-u--noMeta arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 e-31 arg-16)) (else 0)))))) ((0) 1) ((1) 1) ((9) 1) ((11) 1)(else 0))))
(define CoreC-45Unify-n--11512-15737-u--mkDef (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19) (if (null? arg-16) (case (vector-ref arg-19 0) ((3) (let ((e-2 (vector-ref arg-19 1))) (let ((e-3 (vector-ref arg-19 2))) (let ((e-4 (vector-ref arg-19 3))) (let ((e-5 (vector-ref arg-19 4))) (case (vector-ref e-4 0) ((1) (let ((e-7 (vector-ref e-4 1))) (let ((e-8 (vector-ref e-4 2))) (let ((e-9 (vector-ref e-4 3))) (let ((e-10 (vector-ref e-4 4))) (let ((eff-0 (CoreC-45Unify-n--11512-15737-u--mkDef arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 (cons e-3 arg-14) arg-15 arg-16 (cons '() arg-17) arg-18 e-5))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (PreludeC-45Basics-flip (lambda (eta-0) (lambda (eta-1) (if (null? eta-1) (lambda (eta-2) (vector 1 '())) (let ((e-11 (unbox eta-1))) (let ((eff-1 (eta-0 e-11))) (((csegen-50) ((let ((eff-2 (lambda (eta-2) (lambda (eta-3) (lambda (eta-4) (lambda (eta-5) (case (vector-ref eta-5 0) ((0) (let ((e-12 (vector-ref eta-5 1))) (vector 0 e-12))) (else (let ((e-12 (vector-ref eta-5 1))) (vector 1 (eta-4 e-12))))))))))) (lambda (arg-20) (lambda (arg-21) ((((eff-2 'erased) 'erased) arg-20) arg-21)))) (lambda (eta-2) (box eta-2)))) eff-1)))))) e-6 (lambda (u--scC-39) (let ((u--b (vector 1 e-7 e-8 e-9 e-10))) (lambda (clam-2) (let ((sc4 (CoreC-45TT-shrinkTerm u--scC-39 (vector 1 (vector 0 ))))) (if (null? sc4) (vector 1 (vector 3 e-2 e-3 u--b u--scC-39)) (let ((e-1 (unbox sc4))) (vector 1 e-1)))))))))) eff-1))))))))))))(else (if (null? arg-16) (lambda (clam-4) (let ((sc3 (CoreC-45Unify-n--11512-15736-u--updateIVars arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-17 arg-18))) (if (null? sc3) (CoreC-45Unify-ufail arg-11 (string-append "Can't make solution for " (string-append (CoreC-45Name-u--show_Show_Name arg-8) (string-append " " (PreludeC-45Show-u--show_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (cons (csegen-3166) (cons (lambda (u--x) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-15 u--x)) (lambda (u--d) (lambda (u--x) (CoreC-45TT-u--showPrec_Show_C-40TermC-32C-36varsC-41 arg-15 u--d u--x))))) (cons (CoreC-45Unify-getIVars arg-17) arg-18))))) clam-4) (let ((e-1 (unbox sc3))) (vector 1 (box e-1)))))) (lambda (eta-0) (vector 1 '()))))))))))(else (if (null? arg-16) (lambda (clam-5) (let ((sc2 (CoreC-45Unify-n--11512-15736-u--updateIVars arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-17 arg-18))) (if (null? sc2) (CoreC-45Unify-ufail arg-11 (string-append "Can't make solution for " (string-append (CoreC-45Name-u--show_Show_Name arg-8) (string-append " " (PreludeC-45Show-u--show_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (cons (csegen-3166) (cons (lambda (u--x) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-15 u--x)) (lambda (u--d) (lambda (u--x) (CoreC-45TT-u--showPrec_Show_C-40TermC-32C-36varsC-41 arg-15 u--d u--x))))) (cons (CoreC-45Unify-getIVars arg-17) arg-18))))) clam-5) (let ((e-1 (unbox sc2))) (vector 1 (box e-1)))))) (lambda (eta-0) (vector 1 '()))))) (let ((e-12 (car arg-16))) (let ((e-13 (cdr arg-16))) (case (vector-ref arg-19 0) ((3) (let ((e-15 (vector-ref arg-19 1))) (let ((e-16 (vector-ref arg-19 2))) (let ((e-17 (vector-ref arg-19 3))) (let ((e-18 (vector-ref arg-19 4))) (case (vector-ref e-17 0) ((2) (let ((e-20 (vector-ref e-17 1))) (let ((e-21 (vector-ref e-17 2))) (let ((eff-0 (CoreC-45Unify-n--11512-15737-u--mkDef arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 (cons e-16 arg-14) arg-15 e-13 (cons (box e-12) arg-17) arg-18 e-18))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (PreludeC-45Interfaces-C-60C-36C-62 (csegen-76) (lambda (eta-1) (vector 3 e-15 e-16 (vector 0 e-20 e-21 (vector 1 ) (vector 10 e-15 (vector 0 ))) eta-1)) e-5))))) eff-1))))))))))(else (case (vector-ref arg-19 0) ((3) (let ((e-2 (vector-ref arg-19 1))) (let ((e-3 (vector-ref arg-19 2))) (let ((e-4 (vector-ref arg-19 3))) (let ((e-5 (vector-ref arg-19 4))) (case (vector-ref e-4 0) ((1) (let ((e-7 (vector-ref e-4 1))) (let ((e-8 (vector-ref e-4 2))) (let ((e-9 (vector-ref e-4 3))) (let ((e-10 (vector-ref e-4 4))) (let ((eff-0 (CoreC-45Unify-n--11512-15737-u--mkDef arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 (cons e-3 arg-14) arg-15 arg-16 (cons '() arg-17) arg-18 e-5))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (PreludeC-45Basics-flip (lambda (eta-0) (lambda (eta-1) (if (null? eta-1) (lambda (eta-2) (vector 1 '())) (let ((e-11 (unbox eta-1))) (let ((eff-1 (eta-0 e-11))) (((csegen-50) ((let ((eff-2 (lambda (eta-2) (lambda (eta-3) (lambda (eta-4) (lambda (eta-5) (case (vector-ref eta-5 0) ((0) (let ((e-14 (vector-ref eta-5 1))) (vector 0 e-14))) (else (let ((e-14 (vector-ref eta-5 1))) (vector 1 (eta-4 e-14))))))))))) (lambda (arg-20) (lambda (arg-21) ((((eff-2 'erased) 'erased) arg-20) arg-21)))) (lambda (eta-2) (box eta-2)))) eff-1)))))) e-6 (lambda (u--scC-39) (let ((u--b (vector 1 e-7 e-8 e-9 e-10))) (lambda (clam-0) (let ((sc5 (CoreC-45TT-shrinkTerm u--scC-39 (vector 1 (vector 0 ))))) (if (null? sc5) (vector 1 (vector 3 e-2 e-3 u--b u--scC-39)) (let ((e-1 (unbox sc5))) (vector 1 e-1)))))))))) eff-1))))))))))))(else (if (null? arg-16) (lambda (clam-0) (let ((sc4 (CoreC-45Unify-n--11512-15736-u--updateIVars arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-17 arg-18))) (if (null? sc4) (CoreC-45Unify-ufail arg-11 (string-append "Can't make solution for " (string-append (CoreC-45Name-u--show_Show_Name arg-8) (string-append " " (PreludeC-45Show-u--show_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (cons (csegen-3166) (cons (lambda (u--x) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-15 u--x)) (lambda (u--d) (lambda (u--x) (CoreC-45TT-u--showPrec_Show_C-40TermC-32C-36varsC-41 arg-15 u--d u--x))))) (cons (CoreC-45Unify-getIVars arg-17) arg-18))))) clam-0) (let ((e-1 (unbox sc4))) (vector 1 (box e-1)))))) (lambda (eta-0) (vector 1 '()))))))))))(else (if (null? arg-16) (lambda (clam-1) (let ((sc3 (CoreC-45Unify-n--11512-15736-u--updateIVars arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-17 arg-18))) (if (null? sc3) (CoreC-45Unify-ufail arg-11 (string-append "Can't make solution for " (string-append (CoreC-45Name-u--show_Show_Name arg-8) (string-append " " (PreludeC-45Show-u--show_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (cons (csegen-3166) (cons (lambda (u--x) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-15 u--x)) (lambda (u--d) (lambda (u--x) (CoreC-45TT-u--showPrec_Show_C-40TermC-32C-36varsC-41 arg-15 u--d u--x))))) (cons (CoreC-45Unify-getIVars arg-17) arg-18))))) clam-1) (let ((e-1 (unbox sc3))) (vector 1 (box e-1)))))) (lambda (eta-0) (vector 1 '()))))))))))))(else (case (vector-ref arg-19 0) ((3) (let ((e-2 (vector-ref arg-19 1))) (let ((e-3 (vector-ref arg-19 2))) (let ((e-4 (vector-ref arg-19 3))) (let ((e-5 (vector-ref arg-19 4))) (case (vector-ref e-4 0) ((1) (let ((e-7 (vector-ref e-4 1))) (let ((e-8 (vector-ref e-4 2))) (let ((e-9 (vector-ref e-4 3))) (let ((e-10 (vector-ref e-4 4))) (let ((eff-0 (CoreC-45Unify-n--11512-15737-u--mkDef arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 (cons e-3 arg-14) arg-15 arg-16 (cons '() arg-17) arg-18 e-5))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (PreludeC-45Basics-flip (lambda (eta-0) (lambda (eta-1) (if (null? eta-1) (lambda (eta-2) (vector 1 '())) (let ((e-11 (unbox eta-1))) (let ((eff-1 (eta-0 e-11))) (((csegen-50) ((let ((eff-2 (lambda (eta-2) (lambda (eta-3) (lambda (eta-4) (lambda (eta-5) (case (vector-ref eta-5 0) ((0) (let ((e-14 (vector-ref eta-5 1))) (vector 0 e-14))) (else (let ((e-14 (vector-ref eta-5 1))) (vector 1 (eta-4 e-14))))))))))) (lambda (arg-20) (lambda (arg-21) ((((eff-2 'erased) 'erased) arg-20) arg-21)))) (lambda (eta-2) (box eta-2)))) eff-1)))))) e-6 (lambda (u--scC-39) (let ((u--b (vector 1 e-7 e-8 e-9 e-10))) (lambda (clam-1) (let ((sc4 (CoreC-45TT-shrinkTerm u--scC-39 (vector 1 (vector 0 ))))) (if (null? sc4) (vector 1 (vector 3 e-2 e-3 u--b u--scC-39)) (let ((e-1 (unbox sc4))) (vector 1 e-1)))))))))) eff-1))))))))))))(else (if (null? arg-16) (lambda (clam-2) (let ((sc3 (CoreC-45Unify-n--11512-15736-u--updateIVars arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-17 arg-18))) (if (null? sc3) (CoreC-45Unify-ufail arg-11 (string-append "Can't make solution for " (string-append (CoreC-45Name-u--show_Show_Name arg-8) (string-append " " (PreludeC-45Show-u--show_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (cons (csegen-3166) (cons (lambda (u--x) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-15 u--x)) (lambda (u--d) (lambda (u--x) (CoreC-45TT-u--showPrec_Show_C-40TermC-32C-36varsC-41 arg-15 u--d u--x))))) (cons (CoreC-45Unify-getIVars arg-17) arg-18))))) clam-2) (let ((e-1 (unbox sc3))) (vector 1 (box e-1)))))) (lambda (eta-0) (vector 1 '()))))))))))(else (if (null? arg-16) (lambda (clam-3) (let ((sc2 (CoreC-45Unify-n--11512-15736-u--updateIVars arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-17 arg-18))) (if (null? sc2) (CoreC-45Unify-ufail arg-11 (string-append "Can't make solution for " (string-append (CoreC-45Name-u--show_Show_Name arg-8) (string-append " " (PreludeC-45Show-u--show_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (cons (csegen-3166) (cons (lambda (u--x) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-15 u--x)) (lambda (u--d) (lambda (u--x) (CoreC-45TT-u--showPrec_Show_C-40TermC-32C-36varsC-41 arg-15 u--d u--x))))) (cons (CoreC-45Unify-getIVars arg-17) arg-18))))) clam-3) (let ((e-1 (unbox sc2))) (vector 1 (box e-1)))))) (lambda (eta-0) (vector 1 '()))))))))))))
(define CoreC-45Unify-n--14733-22708-u--localsIn (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16) (if (null? arg-16) (lambda (eta-0) (vector 1 0)) (let ((e-2 (car arg-16))) (let ((e-3 (cdr arg-16))) (let ((eff-0 (let ((eff-0 arg-15)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-15 arg-0 e-5 e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (case (vector-ref e-6 0) ((1) (let ((e-7 (vector-ref e-6 2))) (case (vector-ref e-7 0) ((0) (let ((eff-2 (CoreC-45Unify-n--14733-22708-u--localsIn arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 e-3))) (PrimIO-io_bind eff-2 (csegen-1703))))(else (CoreC-45Unify-n--14733-22708-u--localsIn arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 e-3)))))(else (CoreC-45Unify-n--14733-22708-u--localsIn arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 e-3))))) eff-2))))))))) eff-1))))))))))))
(define CoreC-45Unify-n--11512-15734-u--isSimple (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-15) (case (vector-ref arg-15 0) ((2) 1) ((3) (let ((e-8 (vector-ref arg-15 3))) (let ((e-9 (vector-ref arg-15 4))) (case (vector-ref e-8 0) ((0) (CoreC-45Unify-n--11512-15734-u--isSimple arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 e-9))(else (CoreC-45Unify-n--11512-15733-u--noMeta arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-15 0)))))) ((4) (let ((e-12 (vector-ref arg-15 2))) (let ((e-13 (vector-ref arg-15 3))) (let ((sc1 (CoreC-45Unify-n--11512-15733-u--noMeta arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 e-12 6))) (cond ((equal? sc1 1) (CoreC-45Unify-n--11512-15733-u--noMeta arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 e-13 3)) (else 0))))))(else (CoreC-45Unify-n--11512-15733-u--noMeta arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-15 0)))))
(define CoreC-45Unify-n--14504-19939-u--isPatName (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17) (case (vector-ref arg-17 0) ((3) 1)(else 0))))
(define CoreC-45Unify-n--14857-25134-u--isDelay (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8) (case (vector-ref arg-8 0) ((5) 1)(else 0))))
(define CoreC-45Unify-n--14590-20300-u--inNoSolve (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17) (let ((sc0 (LibrariesC-45DataC-45IntMap-lookup arg-16 arg-17))) (if (null? sc0) 0 1))))
(define CoreC-45Unify-n--9881-14255-u--inArgs (lambda (arg-0 arg-2 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9) (if (null? arg-9) 0 (let ((e-2 (car arg-9))) (let ((e-3 (cdr arg-9))) (let ((sc1 (PreludeC-45EqOrd-u--C-61C-61_Eq_Integer arg-8 e-2))) (cond ((equal? sc1 1) 1) (else (CoreC-45Unify-n--9881-14255-u--inArgs arg-0 arg-2 arg-4 arg-5 arg-6 arg-7 arg-8 e-3)))))))))
(define CoreC-45Unify-n--27877-30374-u--getHoleName (lambda (arg-0 arg-1 arg-2) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-nf arg-0 '() e-5 '() arg-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (clam-0) (case (vector-ref e-6 0) ((1) (let ((e-2 (vector-ref e-6 2))) (case (vector-ref e-2 0) ((2) (let ((e-9 (vector-ref e-2 1))) (vector 1 (box e-9))))(else (vector 1 '())))))(else (vector 1 '())))))) eff-2))))))))) eff-1)))))))))
(define CoreC-45Unify-n--10804-15061-u--failOnStrongRigid (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9) (case (vector-ref arg-9 0) ((2) (let ((e-2 (vector-ref arg-9 2))) (let ((sc1 (cond ((equal? arg-7 1) (CoreC-45Name-u--C-61C-61_Eq_Name e-2 arg-2)) (else 0)))) (cond ((equal? sc1 1) arg-8) (else (lambda (eta-0) (vector 1 (vector 0 ))))))))(else (CoreC-45Unify-case--occursCheckC-44failOnStrongRigid-15155 arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-9 arg-8 arg-7 (CoreC-45TT-getFnArgs arg-9))))))
(define CoreC-45Unify-n--27380-29926-u--constraintToHole (lambda (arg-0 arg-1 arg-2) (let ((e-2 (car arg-2))) (let ((e-3 (cdr arg-2))) (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-lookupDefExact (vector 8 e-2) (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-8 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-8) (lambda (eta-0) (vector 1 (vector 0 ))) (let ((e-1 (unbox e-8))) (case (vector-ref e-1 0) ((8) (CoreC-45Context-updateDef arg-1 (vector 8 e-2) (csegen-3170))) ((9) (CoreC-45Context-updateDef arg-1 (vector 8 e-2) (csegen-3170)))(else (lambda (eta-0) (vector 1 (vector 0 ))))))))) eff-2))))))))) eff-1)))))))))))
(define CoreC-45Unify-n--9207-13618-u--checkDefined (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10) (case (vector-ref arg-10 0) ((1) (let ((e-2 (vector-ref arg-10 2))) (case (vector-ref e-2 0) ((1) (let ((e-6 (vector-ref e-2 2))) (let ((eff-0 (CoreC-45Context-lookupCtxtExact e-6 (let ((e-0 (vector-ref arg-9 0))) e-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-7 (vector-ref lcase-0 1))) (let ((eff-1 (if (null? e-7) (CoreC-45Context-undefinedName arg-8 arg-6 e-6) (lambda (eta-0) (vector 1 (vector 0 )))))) eff-1)))))))))(else (lambda (eta-0) (vector 1 (vector 0 )))))))(else (lambda (eta-0) (vector 1 (vector 0 )))))))
(define CoreC-45Unify-n--27877-30375-u--checkConstraint (lambda (arg-0 arg-1 arg-2) (if (null? arg-2) (lambda (eta-0) (vector 1 (vector 0 ))) (let ((e-2 (car arg-2))) (let ((e-3 (cdr arg-2))) (if (null? e-3) (lambda (eta-0) (vector 1 (vector 0 ))) (let ((e-6 (car e-3))) (let ((e-7 (cdr e-3))) (case (vector-ref e-7 0) ((0) (let ((e-8 (vector-ref e-7 1))) (let ((e-9 (vector-ref e-7 2))) (let ((e-11 (vector-ref e-7 4))) (let ((e-12 (vector-ref e-7 5))) (let ((e-13 (vector-ref e-7 6))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-continueNF arg-0 e-8 e-5 e-11 e-12))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-14 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45NormaliseC-45Eval-continueNF arg-0 e-8 e-5 e-11 e-13))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-15 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45Normalise-logNF e-8 arg-0 "unify.constraint" 10 (lambda () "Dot") e-11 e-15))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-4 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-4 (let ((eff-4 (CoreC-45Normalise-logNF e-8 arg-0 "unify.constraint" 10 (lambda () "  =") e-11 e-14))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-4 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-5 (let ((eff-5 (let ((eff-5 arg-1)) (PrimIO-io_bind (let ((eff-6 eff-5)) (lambda (eta-0) (unbox eff-6))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-4 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-18 (vector-ref lcase-5 1))) (let ((eff-6 (CoreC-45UnifyState-handleUnify arg-0 arg-1 (let ((eff-6 (let ((eff-6 arg-0)) (PrimIO-io_bind (let ((eff-7 eff-6)) (lambda (eta-0) (unbox eff-7))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-4 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-19 (vector-ref lcase-6 1))) (let ((eff-7 (let ((eff-7 (CoreC-45Context-getPosition e-2 (let ((e-0 (vector-ref e-19 0))) e-0)))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-4 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-20 (vector-ref lcase-7 1))) (let ((eff-8 (let ((e-21 (car e-20))) (let ((eff-8 (CoreC-45Unify-n--27877-30374-u--getHoleName arg-0 arg-1 (vector 2 e-9 e-2 e-21 '())))) (PrimIO-io_bind eff-8 (lambda (lcase-8) (case (vector-ref lcase-8 0) ((0) (let ((e-22 (vector-ref lcase-8 1))) (lambda (eta-0) (vector 0 e-22)))) (else (let ((e-22 (vector-ref lcase-8 1))) (let ((eff-9 (let ((eff-9 ((((CoreC-45Unify-unify (csegen-3136) e-8 arg-0 arg-1 (CoreC-45Unify-inMatch) e-9) e-11) e-14) e-15))) (PrimIO-io_bind eff-9 (lambda (lcase-9) (case (vector-ref lcase-9 0) ((0) (let ((e-23 (vector-ref lcase-9 1))) (lambda (eta-0) (vector 0 e-23)))) (else (let ((e-23 (vector-ref lcase-9 1))) (let ((eff-10 (let ((eff-10 (let ((eff-10 arg-0)) (PrimIO-io_bind (let ((eff-11 eff-10)) (lambda (eta-0) (unbox eff-11))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-10 (lambda (lcase-10) (case (vector-ref lcase-10 0) ((0) (let ((e-24 (vector-ref lcase-10 1))) (lambda (eta-0) (vector 0 e-24)))) (else (let ((e-24 (vector-ref lcase-10 1))) (let ((eff-11 (let ((eff-11 (PreludeC-45Types-maybe (lambda () (lambda (eta-0) (vector 1 0))) (lambda () (lambda (u--n) (let ((eff-11 (CoreC-45Context-lookupDefExact u--n (let ((e-0 (vector-ref e-24 0))) e-0)))) (PrimIO-io_bind eff-11 (lambda (lcase-11) (case (vector-ref lcase-11 0) ((0) (let ((e-25 (vector-ref lcase-11 1))) (lambda (eta-0) (vector 0 e-25)))) (else (let ((e-25 (vector-ref lcase-11 1))) (let ((eff-12 (if (null? e-25) (CoreC-45Context-undefinedName arg-0 e-9 u--n) (let ((e-1 (unbox e-25))) (lambda (eta-0) (vector 1 (case (vector-ref e-1 0) ((7) 0)(else 1)))))))) eff-12))))))))) e-22))) (PrimIO-io_bind eff-11 (lambda (lcase-11) (case (vector-ref lcase-11 0) ((0) (let ((e-25 (vector-ref lcase-11 1))) (lambda (eta-0) (vector 0 e-25)))) (else (let ((e-25 (vector-ref lcase-11 1))) (let ((eff-12 (let ((eff-12 (CoreC-45Unify-checkArgsSame arg-1 arg-0 (let ((e-27 (vector-ref e-23 2))) e-27)))) (PrimIO-io_bind eff-12 (lambda (lcase-12) (case (vector-ref lcase-12 0) ((0) (let ((e-26 (vector-ref lcase-12 1))) (lambda (eta-0) (vector 0 e-26)))) (else (let ((e-26 (vector-ref lcase-12 1))) (let ((eff-13 (lambda (clam-0) (let ((sc17 (let ((sc18 (DataC-45List-isNil (let ((e-0 (vector-ref e-23 0))) e-0)))) (cond ((equal? sc18 1) (cond ((equal? e-25 1) 1) (else e-26))) (else 1))))) (cond ((equal? sc17 1) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 ((csegen-0) "Dot pattern match fail")) clam-0)) (else (vector 1 (vector 0 )))))))) eff-13))))))))) eff-12))))))))) eff-11))))))))) eff-10))))))))) eff-9)))))))))) eff-8))))))))) eff-7))))))) (lambda (u--err) (case (vector-ref u--err 0) ((59) (let ((eff-6 (let ((eff-6 arg-0)) (PrimIO-io_bind (let ((eff-7 eff-6)) (lambda (eta-0) (unbox eff-7))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-4 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-19 (vector-ref lcase-6 1))) (let ((eff-7 (let ((eff-7 (CoreC-45Context-lookupTyExact e-2 (let ((e-49 (vector-ref e-19 0))) e-49)))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-4 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-20 (vector-ref lcase-7 1))) (let ((eff-8 (if (null? e-20) (CoreC-45Context-undefinedName arg-0 e-9 e-2) (let ((e-1 (unbox e-20))) (let ((eff-8 (CoreC-45Normalise-logTermNF '() arg-0 ((csegen-0) "unify.constraint") 5 (lambda () ((csegen-0) "Dot type")) '() e-1))) (PrimIO-io_bind eff-8 (lambda (lcase-8) (case (vector-ref lcase-8 0) ((0) (let ((e-4 (vector-ref lcase-8 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-9 (let ((eff-9 (let ((eff-9 arg-1)) (PrimIO-io_bind (let ((eff-10 eff-9)) (lambda (eta-0) (set-box! eff-10 (let ((e-32 (vector-ref e-18 0))) (let ((e-31 (vector-ref e-18 1))) (let ((e-30 (vector-ref e-18 2))) (let ((e-29 (vector-ref e-18 3))) (let ((e-4 (vector-ref e-18 4))) (let ((e-28 (vector-ref e-18 5))) (let ((e-27 (vector-ref e-18 6))) (let ((e-25 (vector-ref e-18 8))) (let ((e-24 (vector-ref e-18 9))) (let ((e-23 (vector-ref e-18 10))) (let ((e-22 (vector-ref e-18 11))) (vector e-32 e-31 e-30 e-29 e-4 e-28 e-27 '() e-25 e-24 e-23 e-22))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-9 (lambda (lcase-9) (case (vector-ref lcase-9 0) ((0) (let ((e-4 (vector-ref lcase-9 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-10 (let ((eff-10 (lambda (eta-0) (CoreC-45Context-clearDefs e-19 eta-0)))) (PrimIO-io_bind eff-10 (lambda (lcase-10) (case (vector-ref lcase-10 0) ((0) (let ((e-4 (vector-ref lcase-10 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-23 (vector-ref lcase-10 1))) (let ((eff-11 (let ((eff-11 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 e-8 e-23 e-11 e-14))) (PrimIO-io_bind eff-11 (lambda (lcase-11) (case (vector-ref lcase-11 0) ((0) (let ((e-4 (vector-ref lcase-11 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-24 (vector-ref lcase-11 1))) (let ((eff-12 (let ((eff-12 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 e-8 e-23 e-11 e-15))) (PrimIO-io_bind eff-12 (lambda (lcase-12) (case (vector-ref lcase-12 0) ((0) (let ((e-4 (vector-ref lcase-12 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-25 (vector-ref lcase-12 1))) (let ((eff-13 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 45 e-8 e-9 e-11 e-6 e-24 e-25) eta-0)))) eff-13))))))))) eff-12))))))))) eff-11))))))))) eff-10)))))))) eff-9)))))))))) eff-8))))))))) eff-7))))))))(else (let ((eff-6 (let ((eff-6 arg-1)) (PrimIO-io_bind (let ((eff-7 eff-6)) (lambda (eta-0) (set-box! eff-7 (let ((e-0 (vector-ref e-18 0))) (let ((e-1 (vector-ref e-18 1))) (let ((e-27 (vector-ref e-18 2))) (let ((e-26 (vector-ref e-18 3))) (let ((e-4 (vector-ref e-18 4))) (let ((e-25 (vector-ref e-18 5))) (let ((e-24 (vector-ref e-18 6))) (let ((e-22 (vector-ref e-18 8))) (let ((e-21 (vector-ref e-18 9))) (let ((e-20 (vector-ref e-18 10))) (let ((e-19 (vector-ref e-18 11))) (vector e-0 e-1 e-27 e-26 e-4 e-25 e-24 '() e-22 e-21 e-20 e-19))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-4 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-7 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error u--err eta-0)))) eff-7)))))))))))) eff-6))))))))) eff-5)))))))) eff-4)))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))(else (lambda (eta-0) (vector 1 (vector 0 )))))))))))))
(define CoreC-45Unify-n--27531-30081-u--anySame (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (if (null? arg-5) (lambda (eta-0) (vector 1 0)) (let ((e-2 (car arg-5))) (let ((e-3 (cdr arg-5))) (let ((eff-0 (let ((eff-0 arg-2)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-lookupDefExact (vector 8 e-2) (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-6) (CoreC-45Unify-n--27531-30081-u--anySame arg-0 arg-1 arg-2 arg-3 arg-4 e-3) (let ((e-1 (unbox e-6))) (case (vector-ref e-1 0) ((1) (let ((e-9 (vector-ref e-1 2))) (let ((e-4 (vector-ref e-1 3))) (if (null? e-9) (case (vector-ref e-4 0) ((1) (let ((e-12 (vector-ref e-4 1))) (let ((e-11 (vector-ref e-4 2))) (cond ((equal? e-12 0) (let ((eff-2 (CoreC-45NormaliseC-45Convert-u--convert_Convert_Term arg-2 '() e-5 '() arg-4 e-11))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-13 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-2 1))) (let ((eff-3 (cond ((equal? e-13 1) (lambda (eta-0) (vector 1 1))) (else (CoreC-45Unify-n--27531-30081-u--anySame arg-0 arg-1 arg-2 arg-3 arg-4 e-3))))) eff-3))))))))(else (CoreC-45Unify-n--27531-30081-u--anySame arg-0 arg-1 arg-2 arg-3 arg-4 e-3))))))(else (CoreC-45Unify-n--27531-30081-u--anySame arg-0 arg-1 arg-2 arg-3 arg-4 e-3))) (CoreC-45Unify-n--27531-30081-u--anySame arg-0 arg-1 arg-2 arg-3 arg-4 e-3)))))(else (CoreC-45Unify-n--27531-30081-u--anySame arg-0 arg-1 arg-2 arg-3 arg-4 e-3))))))) eff-2))))))))) eff-1))))))))))))
(define CoreC-45Unify-n--10046-14382-u--anyFirst (lambda (arg-0 arg-1 arg-2 arg-3) (if (null? arg-3) 0 (let ((e-2 (car arg-3))) (let ((e-3 (cdr arg-3))) (let ((eff-0 e-2)) (cond ((equal? eff-0 0) 1)(else (CoreC-45Unify-n--10046-14382-u--anyFirst arg-0 arg-1 arg-2 e-3)))))))))
(define CoreC-45Unify-n--27300-29859-u--afterStart (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-6) (let ((e-2 (car arg-6))) (PreludeC-45EqOrd-u--C-62C-61_Ord_Int e-2 arg-2))))
(define CoreC-45Unify-u--weaken_Weaken_C-40IVarsC-32C-36vsC-41 (lambda (arg-3) (if (null? arg-3) '() (let ((e-4 (car arg-3))) (let ((e-5 (cdr arg-3))) (if (null? e-4) (cons '() (CoreC-45Unify-u--weaken_Weaken_C-40IVarsC-32C-36vsC-41 e-5)) (let ((e-8 (unbox e-4))) (cons (box (CoreC-45TT-u--weaken_Weaken_Var e-8)) (CoreC-45Unify-u--weaken_Weaken_C-40IVarsC-32C-36vsC-41 e-5)))))))))
(define CoreC-45Unify-u--unifyWithLazyD_Unify_Term (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (lambda (eta-0) (CoreC-45Context-clearDefs e-5 eta-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((sc2 (CoreC-45TT-u--C-61C-61_Eq_C-40TermC-32C-36varsC-41 arg-6 arg-7))) (cond ((equal? sc2 1) (let ((eff-2 (CoreC-45ContextC-45Log-log arg-1 "unify.equal" 10 (lambda () (string-append "Skipped unification (equal already): " (string-append (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-0 arg-6) (string-append " and " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-0 arg-7)))))))) (PrimIO-io_bind eff-2 (csegen-3176)))) (else (let ((eff-2 (CoreC-45NormaliseC-45Eval-nf arg-1 arg-0 e-5 arg-5 arg-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45NormaliseC-45Eval-nf arg-1 arg-0 e-5 arg-5 arg-7))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 ((((CoreC-45Unify-unifyWithLazy (csegen-3136) arg-0 arg-1 arg-2 arg-3 arg-4) arg-5) e-7) e-8))) eff-4))))))))) eff-3)))))))))))) eff-2)))))))) eff-1)))))))))
(define CoreC-45Unify-u--unifyWithLazyD_Unify_NF (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (case (vector-ref arg-6 0) ((5) (let ((e-5 (vector-ref arg-6 1))) (let ((e-6 (vector-ref arg-6 2))) (let ((e-7 (vector-ref arg-6 3))) (case (vector-ref arg-7 0) ((5) (let ((e-11 (vector-ref arg-7 3))) ((((CoreC-45Unify-unify (csegen-3136) arg-0 arg-1 arg-2 (CoreC-45Unify-lower arg-3) arg-4) arg-5) e-7) e-11)))(else (let ((u--x (vector 5 e-5 e-6 e-7))) (let ((sc1 (let ((sc2 (CoreC-45Unify-isHoleApp arg-7))) (cond ((equal? sc2 1) (let ((sc3 (CoreC-45Unify-u--C-61C-61_Eq_UnifyMode (let ((e-1 (cdr arg-3))) e-1) 2))) (cond ((equal? sc3 1) 0) (else 1)))) (else 0))))) (cond ((equal? sc1 1) (CoreC-45Unify-postpone arg-0 arg-1 arg-2 arg-4 arg-3 "Postponing in lazy" arg-5 u--x arg-7)) (else (let ((eff-0 ((((CoreC-45Unify-unify (csegen-3136) arg-0 arg-1 arg-2 (CoreC-45Unify-lower arg-3) arg-4) arg-5) e-7) arg-7))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (let ((e-0 (vector-ref e-8 0))) (let ((e-1 (vector-ref e-8 1))) (let ((e-2 (vector-ref e-8 2))) (vector e-0 e-1 e-2 (vector 1 e-6))))))))) eff-1)))))))))))))))))(else (case (vector-ref arg-7 0) ((5) (let ((e-2 (vector-ref arg-7 2))) (let ((e-3 (vector-ref arg-7 3))) (let ((eff-0 ((((CoreC-45Unify-unify (csegen-3136) arg-0 arg-1 arg-2 (CoreC-45Unify-lower arg-3) arg-4) arg-5) arg-6) e-3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (let ((e-0 (vector-ref e-5 0))) (let ((e-7 (vector-ref e-5 1))) (let ((e-6 (vector-ref e-5 2))) (vector e-0 e-7 e-6 (vector 2 e-2))))))))) eff-1))))))))))(else ((((CoreC-45Unify-unify (csegen-3136) arg-0 arg-1 arg-2 arg-3 arg-4) arg-5) arg-6) arg-7)))))))
(define CoreC-45Unify-u--unifyWithLazyD_Unify_Closure (lambda (arg-0 ext-0 ext-1 ext-2 ext-3 ext-4 ext-5 ext-6) (CoreC-45Unify-u--unifyD_Unify_Closure arg-0 ext-0 ext-1 ext-2 ext-3 ext-4 ext-5 ext-6)))
(define CoreC-45Unify-u--unifyD_Unify_Term (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (lambda (eta-0) (CoreC-45Context-clearDefs e-5 eta-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((sc2 (CoreC-45TT-u--C-61C-61_Eq_C-40TermC-32C-36varsC-41 arg-6 arg-7))) (cond ((equal? sc2 1) (let ((eff-2 (CoreC-45ContextC-45Log-log arg-1 "unify.equal" 10 (lambda () (string-append "Skipped unification (equal already): " (string-append (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-0 arg-6) (string-append " and " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-0 arg-7)))))))) (PrimIO-io_bind eff-2 (csegen-3176)))) (else (let ((eff-2 (CoreC-45NormaliseC-45Eval-nf arg-1 arg-0 e-5 arg-5 arg-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45NormaliseC-45Eval-nf arg-1 arg-0 e-5 arg-5 arg-7))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 ((((CoreC-45Unify-unify (csegen-3136) arg-0 arg-1 arg-2 arg-3 arg-4) arg-5) e-7) e-8))) eff-4))))))))) eff-3)))))))))))) eff-2)))))))) eff-1)))))))))
(define CoreC-45Unify-u--unifyD_Unify_NF (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (case (vector-ref arg-6 0) ((0) (let ((e-11 (vector-ref arg-6 1))) (let ((e-12 (vector-ref arg-6 2))) (let ((e-13 (vector-ref arg-6 3))) (let ((e-14 (vector-ref arg-6 4))) (case (vector-ref arg-7 0) ((0) (let ((e-21 (vector-ref arg-7 1))) (let ((e-22 (vector-ref arg-7 2))) (let ((e-23 (vector-ref arg-7 3))) (let ((e-24 (vector-ref arg-7 4))) (CoreC-45Unify-unifyBothBinders arg-1 arg-2 arg-0 arg-3 arg-4 arg-5 e-11 e-12 e-13 e-14 e-21 e-22 e-23 e-24))))))(else (case (vector-ref e-13 0) ((0) (let ((e-16 (vector-ref e-13 1))) (let ((e-17 (vector-ref e-13 2))) (let ((e-18 (vector-ref e-13 3))) (let ((e-19 (vector-ref e-13 4))) (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Normalise-logNF arg-0 arg-1 "unify" 10 (lambda () ((csegen-0) "EtaR")) arg-5 arg-6))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45Normalise-logNF arg-0 arg-1 "unify" 10 (lambda () (csegen-3178)) arg-5 arg-7))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (let ((u--tmx (vector 0 e-11 e-12 (vector 0 e-16 e-17 e-18 e-19) e-14))) (let ((sc5 (CoreC-45Unify-isHoleApp arg-7))) (cond ((equal? sc5 1) (let ((eff-3 (CoreC-45NormaliseC-45Convert-u--convert_Convert_NF arg-1 arg-0 e-5 arg-5 u--tmx arg-7))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (cond ((equal? e-8 1) (lambda (eta-0) (vector 1 (CoreC-45Unify-success)))) (else (CoreC-45Unify-unifyNoEta arg-1 arg-2 arg-0 (CoreC-45Unify-lower arg-3) arg-4 arg-5 u--tmx arg-7))))) eff-4)))))))) (else (let ((eff-3 (lambda (eta-0) (CoreC-45Context-clearDefs e-5 eta-0)))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45NormaliseC-45Quote-u--quote_Quote_Closure arg-1 arg-0 e-8 arg-5 e-19))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (let ((eff-5 (let ((eff-5 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-1 arg-0 e-8 arg-5 arg-7))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-10 (vector-ref lcase-5 1))) (let ((eff-6 (CoreC-45NormaliseC-45Eval-nf arg-1 arg-0 e-5 arg-5 (vector 3 e-11 e-12 (vector 0 e-16 e-17 (vector 1 ) e-9) (vector 4 e-11 (CoreC-45TT-u--weaken_Weaken_Term e-10) (vector 0 e-11 '() 0)))))) eff-6))))))))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-10 (vector-ref lcase-5 1))) (let ((eff-6 (let ((eff-6 (CoreC-45Normalise-logNF arg-0 arg-1 "unify" 10 (lambda () "Expand") arg-5 e-10))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-2 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-7 ((((CoreC-45Unify-unify (csegen-3136) arg-0 arg-1 arg-2 (CoreC-45Unify-lower arg-3) arg-4) arg-5) u--tmx) e-10))) eff-7)))))))) eff-6))))))))) eff-5))))))))) eff-4))))))))))))) eff-3)))))))) eff-2)))))))) eff-1))))))))))))(else (case (vector-ref arg-7 0) ((0) (let ((e-1 (vector-ref arg-7 1))) (let ((e-2 (vector-ref arg-7 2))) (let ((e-3 (vector-ref arg-7 3))) (let ((e-4 (vector-ref arg-7 4))) (case (vector-ref e-3 0) ((0) (let ((e-6 (vector-ref e-3 1))) (let ((e-7 (vector-ref e-3 2))) (let ((e-8 (vector-ref e-3 3))) (let ((e-9 (vector-ref e-3 4))) (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Normalise-logNF arg-0 arg-1 "unify" 10 (lambda () (csegen-3179)) arg-5 arg-6))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-10 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45Normalise-logNF arg-0 arg-1 "unify" 10 (lambda () (csegen-3178)) arg-5 arg-7))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-15 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-15)))) (else (let ((eff-3 (let ((u--tmy (vector 0 e-1 e-2 (vector 0 e-6 e-7 e-8 e-9) e-4))) (let ((sc6 (CoreC-45Unify-isHoleApp arg-6))) (cond ((equal? sc6 1) (let ((eff-3 (CoreC-45NormaliseC-45Convert-u--convert_Convert_NF arg-1 arg-0 e-5 arg-5 arg-6 u--tmy))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-16 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-16)))) (else (let ((e-16 (vector-ref lcase-3 1))) (let ((eff-4 (cond ((equal? e-16 1) (lambda (eta-0) (vector 1 (CoreC-45Unify-success)))) (else (CoreC-45Unify-unifyNoEta arg-1 arg-2 arg-0 (CoreC-45Unify-lower arg-3) arg-4 arg-5 arg-6 u--tmy))))) eff-4)))))))) (else (let ((eff-3 (lambda (eta-0) (CoreC-45Context-clearDefs e-5 eta-0)))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-16 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-16)))) (else (let ((e-16 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45NormaliseC-45Quote-u--quote_Quote_Closure arg-1 arg-0 e-16 arg-5 e-9))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-17 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-17)))) (else (let ((e-17 (vector-ref lcase-4 1))) (let ((eff-5 (let ((eff-5 (let ((eff-5 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-1 arg-0 e-16 arg-5 arg-6))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-18 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-18)))) (else (let ((e-18 (vector-ref lcase-5 1))) (let ((eff-6 (CoreC-45NormaliseC-45Eval-nf arg-1 arg-0 e-5 arg-5 (vector 3 e-1 e-2 (vector 0 e-6 e-7 (vector 1 ) e-17) (vector 4 e-1 (CoreC-45TT-u--weaken_Weaken_Term e-18) (vector 0 e-1 '() 0)))))) eff-6))))))))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-18 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-18)))) (else (let ((e-18 (vector-ref lcase-5 1))) (let ((eff-6 (let ((eff-6 (CoreC-45Normalise-logNF arg-0 arg-1 "unify" 10 (lambda () "Expand") arg-5 e-18))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-19 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-19)))) (else (let ((eff-7 ((((CoreC-45Unify-unify (csegen-3136) arg-0 arg-1 arg-2 (CoreC-45Unify-lower arg-3) arg-4) arg-5) e-18) u--tmy))) eff-7)))))))) eff-6))))))))) eff-5))))))))) eff-4))))))))))))) eff-3)))))))) eff-2)))))))) eff-1))))))))))))(else (CoreC-45Unify-unifyNoEta arg-1 arg-2 arg-0 arg-3 arg-4 arg-5 arg-6 arg-7))))))))(else (CoreC-45Unify-unifyNoEta arg-1 arg-2 arg-0 arg-3 arg-4 arg-5 arg-6 arg-7))))))))))))(else (case (vector-ref arg-7 0) ((0) (let ((e-1 (vector-ref arg-7 1))) (let ((e-2 (vector-ref arg-7 2))) (let ((e-3 (vector-ref arg-7 3))) (let ((e-4 (vector-ref arg-7 4))) (case (vector-ref e-3 0) ((0) (let ((e-6 (vector-ref e-3 1))) (let ((e-7 (vector-ref e-3 2))) (let ((e-8 (vector-ref e-3 3))) (let ((e-9 (vector-ref e-3 4))) (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Normalise-logNF arg-0 arg-1 "unify" 10 (lambda () (csegen-3179)) arg-5 arg-6))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-10 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45Normalise-logNF arg-0 arg-1 "unify" 10 (lambda () (csegen-3178)) arg-5 arg-7))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-11 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((eff-3 (let ((u--tmy (vector 0 e-1 e-2 (vector 0 e-6 e-7 e-8 e-9) e-4))) (let ((sc5 (CoreC-45Unify-isHoleApp arg-6))) (cond ((equal? sc5 1) (let ((eff-3 (CoreC-45NormaliseC-45Convert-u--convert_Convert_NF arg-1 arg-0 e-5 arg-5 arg-6 u--tmy))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-12 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-12)))) (else (let ((e-12 (vector-ref lcase-3 1))) (let ((eff-4 (cond ((equal? e-12 1) (lambda (eta-0) (vector 1 (CoreC-45Unify-success)))) (else (CoreC-45Unify-unifyNoEta arg-1 arg-2 arg-0 (CoreC-45Unify-lower arg-3) arg-4 arg-5 arg-6 u--tmy))))) eff-4)))))))) (else (let ((eff-3 (lambda (eta-0) (CoreC-45Context-clearDefs e-5 eta-0)))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-12 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-12)))) (else (let ((e-12 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45NormaliseC-45Quote-u--quote_Quote_Closure arg-1 arg-0 e-12 arg-5 e-9))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-13 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-4 1))) (let ((eff-5 (let ((eff-5 (let ((eff-5 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-1 arg-0 e-12 arg-5 arg-6))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-14 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-5 1))) (let ((eff-6 (CoreC-45NormaliseC-45Eval-nf arg-1 arg-0 e-5 arg-5 (vector 3 e-1 e-2 (vector 0 e-6 e-7 (vector 1 ) e-13) (vector 4 e-1 (CoreC-45TT-u--weaken_Weaken_Term e-14) (vector 0 e-1 '() 0)))))) eff-6))))))))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-14 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-5 1))) (let ((eff-6 (let ((eff-6 (CoreC-45Normalise-logNF arg-0 arg-1 "unify" 10 (lambda () "Expand") arg-5 e-14))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-15 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-15)))) (else (let ((eff-7 ((((CoreC-45Unify-unify (csegen-3136) arg-0 arg-1 arg-2 (CoreC-45Unify-lower arg-3) arg-4) arg-5) e-14) u--tmy))) eff-7)))))))) eff-6))))))))) eff-5))))))))) eff-4))))))))))))) eff-3)))))))) eff-2)))))))) eff-1))))))))))))(else (CoreC-45Unify-unifyNoEta arg-1 arg-2 arg-0 arg-3 arg-4 arg-5 arg-6 arg-7))))))))(else (CoreC-45Unify-unifyNoEta arg-1 arg-2 arg-0 arg-3 arg-4 arg-5 arg-6 arg-7)))))))
(define CoreC-45Unify-u--unifyD_Unify_Closure (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (lambda (eta-0) (CoreC-45Context-clearDefs e-5 eta-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45NormaliseC-45Convert-u--convert_Convert_Closure arg-1 arg-0 e-6 arg-5 arg-6 arg-7))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (cond ((equal? e-7 1) (lambda (eta-0) (vector 1 (CoreC-45Unify-success)))) (else (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-1 arg-0 e-5 arg-6))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45NormaliseC-45Eval-evalClosure arg-1 arg-0 e-5 arg-7))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (CoreC-45Unify-case--caseC-32blockC-32inC-32unifyD-26734 arg-0 arg-1 arg-2 arg-7 arg-6 arg-5 arg-4 arg-3 e-5 e-6 0 e-8 e-9 (cons e-8 e-9)))) eff-5))))))))) eff-4))))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))
(define CoreC-45Unify-u--show_Show_UnifyMode (lambda (arg-0) (cond ((equal? arg-0 0) "InLHS") ((equal? arg-0 1) "InTerm") ((equal? arg-0 2) "InMatch") (else "InSearch"))))
(define CoreC-45Unify-u--show_Show_AddLazy (lambda (arg-0) (case (vector-ref arg-0 0) ((0) "NoLazy") ((1) "AddForce") (else "AddDelay"))))
(define CoreC-45Unify-u--C-61C-61_Eq_UnifyMode (lambda (arg-0 arg-1) (cond ((equal? arg-0 0) (cond ((equal? arg-1 0) 1)(else 0))) ((equal? arg-0 1) (cond ((equal? arg-1 1) 1)(else 0))) ((equal? arg-0 2) (cond ((equal? arg-1 2) 1)(else 0))) ((equal? arg-0 3) (cond ((equal? arg-1 3) 1)(else 0)))(else 0))))
(define CoreC-45Unify-u--C-61C-61_Eq_SolveMode (lambda (arg-0 arg-1) (cond ((equal? arg-0 0) (cond ((equal? arg-1 0) 1)(else 0))) ((equal? arg-0 1) (cond ((equal? arg-1 1) 1)(else 0))) ((equal? arg-0 3) (cond ((equal? arg-1 3) 1)(else 0)))(else 0))))
(define CoreC-45Unify-u--C-47C-61_Eq_UnifyMode (lambda (arg-0 arg-1) (let ((sc0 (CoreC-45Unify-u--C-61C-61_Eq_UnifyMode arg-0 arg-1))) (cond ((equal? sc0 1) 0) (else 1)))))
(define CoreC-45Unify-updateSolution (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (case (vector-ref arg-4 0) ((2) (let ((e-1 (vector-ref arg-4 1))) (let ((e-2 (vector-ref arg-4 2))) (let ((e-3 (vector-ref arg-4 3))) (let ((e-4 (vector-ref arg-4 4))) (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Unify-patternEnvTm arg-1 arg-2 arg-0 arg-3 e-4))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-6 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-6) (lambda (eta-0) (vector 1 0)) (let ((e-7 (unbox e-6))) (let ((e-9 (car e-7))) (let ((e-8 (cdr e-7))) (let ((e-11 (car e-8))) (let ((e-10 (cdr e-8))) (let ((sc6 (CoreC-45TT-shrinkTerm arg-5 e-10))) (if (null? sc6) (lambda (eta-0) (vector 1 0)) (let ((e-12 (unbox sc6))) (let ((eff-2 (CoreC-45Context-lookupCtxtExact (vector 8 e-3) (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-13 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-2 1))) (let ((eff-3 (if (null? e-13) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 ((csegen-0) "Can't happen: no definition")) eta-0)) (let ((e-14 (unbox e-13))) (CoreC-45Unify-tryInstantiate arg-1 arg-2 arg-0 e-9 e-1 (CoreC-45Unify-inTerm) arg-3 e-2 e-3 (PreludeC-45TypesC-45List-lengthTR e-4) e-14 e-11 arg-5 e-12))))) eff-3)))))))))))))))))) eff-2))))))))) eff-1))))))))))))(else (lambda (eta-0) (vector 1 0))))))
(define CoreC-45Unify-unionAll (lambda (arg-0) (if (null? arg-0) (csegen-3183) (let ((e-2 (car arg-0))) (let ((e-3 (cdr arg-0))) (if (null? e-3) e-2 (CoreC-45Unify-union e-2 (CoreC-45Unify-unionAll e-3))))))))
(define CoreC-45Unify-union (lambda (arg-0 arg-1) (vector (DataC-45List-union (csegen-290) (let ((e-0 (vector-ref arg-0 0))) e-0) (let ((e-0 (vector-ref arg-1 0))) e-0)) (let ((sc0 (let ((e-1 (vector-ref arg-0 1))) e-1))) (cond ((equal? sc0 1) 1) (else (let ((e-1 (vector-ref arg-1 1))) e-1)))) (PreludeC-45TypesC-45List-tailRecAppend (let ((e-2 (vector-ref arg-0 2))) e-2) (let ((e-2 (vector-ref arg-1 2))) e-2)) (vector 0 ))))
(define CoreC-45Unify-unifyWithLazy (lambda (arg-1 arg-2 arg-3 arg-4 ext-1 ext-0) (lambda (clam-0) (let ((e-2 (cdr arg-1))) (lambda (arg-5) (lambda (arg-6) ((((((((e-2 arg-2) arg-3) arg-4) ext-1) ext-0) clam-0) arg-5) arg-6)))))))
(define CoreC-45Unify-unifyNoEta (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (case (vector-ref arg-6 0) ((2) (let ((e-29 (vector-ref arg-6 1))) (let ((e-30 (vector-ref arg-6 2))) (let ((e-31 (vector-ref arg-6 3))) (let ((e-32 (vector-ref arg-6 4))) (let ((e-33 (vector-ref arg-6 5))) (case (vector-ref arg-7 0) ((2) (let ((e-59 (vector-ref arg-7 1))) (let ((e-60 (vector-ref arg-7 2))) (let ((e-61 (vector-ref arg-7 3))) (let ((e-62 (vector-ref arg-7 4))) (let ((e-63 (vector-ref arg-7 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((sc3 (PreludeC-45EqOrd-u--C-61C-61_Eq_Int e-31 e-61))) (cond ((equal? sc3 1) (CoreC-45Unify-unifyArgs (csegen-3192) arg-2 arg-0 arg-1 arg-3 arg-4 arg-5 ((csegen-947) e-33) ((csegen-947) e-63))) (else (CoreC-45Unify-convertError arg-2 arg-0 arg-4 arg-5 (vector 2 e-29 e-30 e-31 e-32 e-33) (vector 2 e-59 e-60 e-61 e-62 e-63))))))) eff-1))))))))))))(else (case (vector-ref arg-7 0) ((9) (let ((e-25 (vector-ref arg-7 2))) (case (vector-ref e-25 0) ((2) (let ((e-27 (vector-ref e-25 1))) (CoreC-45Unify-unifyNoEta arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-27)))(else (case (vector-ref arg-6 0) ((9) (let ((e-16 (vector-ref arg-6 2))) (case (vector-ref e-16 0) ((2) (let ((e-22 (vector-ref e-16 1))) (CoreC-45Unify-unifyNoEta arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-22 arg-7)))(else (case (vector-ref arg-7 0) ((1) (let ((e-6 (vector-ref arg-7 1))) (let ((e-7 (vector-ref arg-7 2))) (let ((e-8 (vector-ref arg-7 3))) (let ((sc4 (CoreC-45Unify-u--C-47C-61_Eq_UnifyMode (let ((e-1 (cdr arg-3))) e-1) 2))) (cond ((equal? sc4 1) (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 1 arg-3 arg-4 arg-5 e-6 e-7 e-8 arg-6)) (else (let ((eff-0 (CoreC-45ContextC-45Log-log arg-0 "unify.noeta" 10 (lambda () "Unify if Eq due to something with app")))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45Unify-unifyIfEq arg-0 arg-1 arg-2 1 arg-4 arg-3 arg-5 arg-6 (vector 1 e-6 e-7 e-8)))) eff-1))))))))))))) ((4) (let ((e-13 (vector-ref arg-7 4))) (CoreC-45Unify-unifyNoEta arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-13)))(else (case (vector-ref arg-6 0) ((4) (let ((e-4 (vector-ref arg-6 4))) (CoreC-45Unify-unifyNoEta arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-4 arg-7)))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (lambda (eta-0) (CoreC-45Context-clearDefs e-5 eta-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45ContextC-45Log-log arg-0 "unify.noeta" 10 (lambda () "Nothing else worked, unifyIfEq")))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (CoreC-45Unify-unifyIfEq arg-0 arg-1 arg-2 (let ((sc6 (CoreC-45Unify-n--14857-25134-u--isDelay arg-2 arg-7 arg-6 arg-5 arg-4 arg-3 arg-1 arg-0 arg-6))) (cond ((equal? sc6 1) 1) (else (CoreC-45Unify-n--14857-25134-u--isDelay arg-2 arg-7 arg-6 arg-5 arg-4 arg-3 arg-1 arg-0 arg-7)))) arg-4 arg-3 arg-5 arg-6 arg-7))) eff-3)))))))) eff-2)))))))) eff-1))))))))))))))) ((1) (let ((e-18 (vector-ref arg-6 1))) (let ((e-19 (vector-ref arg-6 2))) (let ((e-20 (vector-ref arg-6 3))) (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 (CoreC-45Unify-lower arg-3) arg-4 arg-5 e-18 e-19 e-20 arg-7)))))(else (case (vector-ref arg-7 0) ((1) (let ((e-6 (vector-ref arg-7 1))) (let ((e-7 (vector-ref arg-7 2))) (let ((e-8 (vector-ref arg-7 3))) (let ((sc3 (CoreC-45Unify-u--C-47C-61_Eq_UnifyMode (let ((e-1 (cdr arg-3))) e-1) 2))) (cond ((equal? sc3 1) (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 1 arg-3 arg-4 arg-5 e-6 e-7 e-8 arg-6)) (else (let ((eff-0 (CoreC-45ContextC-45Log-log arg-0 "unify.noeta" 10 (lambda () "Unify if Eq due to something with app")))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45Unify-unifyIfEq arg-0 arg-1 arg-2 1 arg-4 arg-3 arg-5 arg-6 (vector 1 e-6 e-7 e-8)))) eff-1))))))))))))) ((4) (let ((e-13 (vector-ref arg-7 4))) (CoreC-45Unify-unifyNoEta arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-13)))(else (case (vector-ref arg-6 0) ((4) (let ((e-4 (vector-ref arg-6 4))) (CoreC-45Unify-unifyNoEta arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-4 arg-7)))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (lambda (eta-0) (CoreC-45Context-clearDefs e-5 eta-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45ContextC-45Log-log arg-0 "unify.noeta" 10 (lambda () "Nothing else worked, unifyIfEq")))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (CoreC-45Unify-unifyIfEq arg-0 arg-1 arg-2 (let ((sc5 (CoreC-45Unify-n--14857-25134-u--isDelay arg-2 arg-7 arg-6 arg-5 arg-4 arg-3 arg-1 arg-0 arg-6))) (cond ((equal? sc5 1) 1) (else (CoreC-45Unify-n--14857-25134-u--isDelay arg-2 arg-7 arg-6 arg-5 arg-4 arg-3 arg-1 arg-0 arg-7)))) arg-4 arg-3 arg-5 arg-6 arg-7))) eff-3)))))))) eff-2)))))))) eff-1)))))))))))))))))(else (case (vector-ref arg-6 0) ((9) (let ((e-16 (vector-ref arg-6 2))) (case (vector-ref e-16 0) ((2) (let ((e-22 (vector-ref e-16 1))) (CoreC-45Unify-unifyNoEta arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-22 arg-7)))(else (case (vector-ref arg-7 0) ((1) (let ((e-6 (vector-ref arg-7 1))) (let ((e-7 (vector-ref arg-7 2))) (let ((e-8 (vector-ref arg-7 3))) (let ((sc3 (CoreC-45Unify-u--C-47C-61_Eq_UnifyMode (let ((e-1 (cdr arg-3))) e-1) 2))) (cond ((equal? sc3 1) (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 1 arg-3 arg-4 arg-5 e-6 e-7 e-8 arg-6)) (else (let ((eff-0 (CoreC-45ContextC-45Log-log arg-0 "unify.noeta" 10 (lambda () "Unify if Eq due to something with app")))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45Unify-unifyIfEq arg-0 arg-1 arg-2 1 arg-4 arg-3 arg-5 arg-6 (vector 1 e-6 e-7 e-8)))) eff-1))))))))))))) ((4) (let ((e-13 (vector-ref arg-7 4))) (CoreC-45Unify-unifyNoEta arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-13)))(else (case (vector-ref arg-6 0) ((4) (let ((e-4 (vector-ref arg-6 4))) (CoreC-45Unify-unifyNoEta arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-4 arg-7)))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (lambda (eta-0) (CoreC-45Context-clearDefs e-5 eta-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45ContextC-45Log-log arg-0 "unify.noeta" 10 (lambda () "Nothing else worked, unifyIfEq")))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (CoreC-45Unify-unifyIfEq arg-0 arg-1 arg-2 (let ((sc5 (CoreC-45Unify-n--14857-25134-u--isDelay arg-2 arg-7 arg-6 arg-5 arg-4 arg-3 arg-1 arg-0 arg-6))) (cond ((equal? sc5 1) 1) (else (CoreC-45Unify-n--14857-25134-u--isDelay arg-2 arg-7 arg-6 arg-5 arg-4 arg-3 arg-1 arg-0 arg-7)))) arg-4 arg-3 arg-5 arg-6 arg-7))) eff-3)))))))) eff-2)))))))) eff-1))))))))))))))) ((1) (let ((e-18 (vector-ref arg-6 1))) (let ((e-19 (vector-ref arg-6 2))) (let ((e-20 (vector-ref arg-6 3))) (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 (CoreC-45Unify-lower arg-3) arg-4 arg-5 e-18 e-19 e-20 arg-7)))))(else (case (vector-ref arg-7 0) ((1) (let ((e-6 (vector-ref arg-7 1))) (let ((e-7 (vector-ref arg-7 2))) (let ((e-8 (vector-ref arg-7 3))) (let ((sc2 (CoreC-45Unify-u--C-47C-61_Eq_UnifyMode (let ((e-1 (cdr arg-3))) e-1) 2))) (cond ((equal? sc2 1) (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 1 arg-3 arg-4 arg-5 e-6 e-7 e-8 arg-6)) (else (let ((eff-0 (CoreC-45ContextC-45Log-log arg-0 "unify.noeta" 10 (lambda () "Unify if Eq due to something with app")))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45Unify-unifyIfEq arg-0 arg-1 arg-2 1 arg-4 arg-3 arg-5 arg-6 (vector 1 e-6 e-7 e-8)))) eff-1))))))))))))) ((4) (let ((e-13 (vector-ref arg-7 4))) (CoreC-45Unify-unifyNoEta arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-13)))(else (case (vector-ref arg-6 0) ((4) (let ((e-4 (vector-ref arg-6 4))) (CoreC-45Unify-unifyNoEta arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-4 arg-7)))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (lambda (eta-0) (CoreC-45Context-clearDefs e-5 eta-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45ContextC-45Log-log arg-0 "unify.noeta" 10 (lambda () "Nothing else worked, unifyIfEq")))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (CoreC-45Unify-unifyIfEq arg-0 arg-1 arg-2 (let ((sc4 (CoreC-45Unify-n--14857-25134-u--isDelay arg-2 arg-7 arg-6 arg-5 arg-4 arg-3 arg-1 arg-0 arg-6))) (cond ((equal? sc4 1) 1) (else (CoreC-45Unify-n--14857-25134-u--isDelay arg-2 arg-7 arg-6 arg-5 arg-4 arg-3 arg-1 arg-0 arg-7)))) arg-4 arg-3 arg-5 arg-6 arg-7))) eff-3)))))))) eff-2)))))))) eff-1))))))))))))))))))))))) ((3) (let ((e-35 (vector-ref arg-6 1))) (let ((e-36 (vector-ref arg-6 2))) (let ((e-37 (vector-ref arg-6 3))) (let ((e-38 (vector-ref arg-6 4))) (let ((e-39 (vector-ref arg-6 5))) (case (vector-ref arg-7 0) ((3) (let ((e-65 (vector-ref arg-7 1))) (let ((e-66 (vector-ref arg-7 2))) (let ((e-67 (vector-ref arg-7 3))) (let ((e-68 (vector-ref arg-7 4))) (let ((e-69 (vector-ref arg-7 5))) (let ((eff-0 (CoreC-45ContextC-45Log-unverifiedLogC arg-0 "unify" 20 (let ((eff-0 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-36))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-66))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (string-append "Comparing type constructors " (string-append (CoreC-45Name-u--show_Show_Name e-5) (string-append " and " (CoreC-45Name-u--show_Show_Name e-6)))))))) eff-2))))))))) eff-1)))))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((sc3 (CoreC-45Name-u--C-61C-61_Eq_Name e-36 e-66))) (cond ((equal? sc3 1) (let ((u--xs ((csegen-947) e-39))) (let ((u--ys ((csegen-947) e-69))) (let ((eff-1 (CoreC-45ContextC-45Log-unverifiedLogC arg-0 "unify" 20 (lambda (eta-0) (vector 1 (string-append "Constructor " (CoreC-45Name-u--show_Show_Name e-36))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45ContextC-45Log-unverifiedLogC arg-0 "unify" 20 (let ((eff-2 (CoreC-45Core-traverse_ (lambda (eta-0) (CoreC-45Unify-dumpArg arg-2 arg-0 arg-5 eta-0)) u--xs))) (((csegen-50) ((let ((eff-3 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-7 (vector-ref eta-3 1))) (vector 1 (eta-2 e-7))))))))))) (lambda (arg-8) (lambda (arg-9) ((((eff-3 'erased) 'erased) arg-8) arg-9)))) (lambda (eta-0) ""))) eff-2))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (let ((eff-3 (CoreC-45ContextC-45Log-unverifiedLogC arg-0 "unify" 20 (let ((eff-3 (CoreC-45Core-traverse_ (lambda (eta-0) (CoreC-45Unify-dumpArg arg-2 arg-0 arg-5 eta-0)) u--ys))) (((csegen-50) ((let ((eff-4 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-8 (vector-ref eta-3 1))) (vector 1 (eta-2 e-8))))))))))) (lambda (arg-8) (lambda (arg-9) ((((eff-4 'erased) 'erased) arg-8) arg-9)))) (lambda (eta-0) ""))) eff-3))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-4 (CoreC-45Unify-unifyArgs (csegen-3192) arg-2 arg-0 arg-1 arg-3 arg-4 arg-5 u--xs u--ys))) eff-4)))))))) eff-3)))))))) eff-2))))))))) (else (CoreC-45Unify-convertError arg-2 arg-0 arg-4 arg-5 (vector 3 e-35 e-36 e-37 e-38 e-39) (vector 3 e-65 e-66 e-67 e-68 e-69))))))) eff-1))))))))))))(else (case (vector-ref arg-7 0) ((9) (let ((e-25 (vector-ref arg-7 2))) (case (vector-ref e-25 0) ((2) (let ((e-27 (vector-ref e-25 1))) (CoreC-45Unify-unifyNoEta arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-27)))(else (case (vector-ref arg-6 0) ((9) (let ((e-16 (vector-ref arg-6 2))) (case (vector-ref e-16 0) ((2) (let ((e-22 (vector-ref e-16 1))) (CoreC-45Unify-unifyNoEta arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-22 arg-7)))(else (case (vector-ref arg-7 0) ((1) (let ((e-6 (vector-ref arg-7 1))) (let ((e-7 (vector-ref arg-7 2))) (let ((e-8 (vector-ref arg-7 3))) (let ((sc4 (CoreC-45Unify-u--C-47C-61_Eq_UnifyMode (let ((e-1 (cdr arg-3))) e-1) 2))) (cond ((equal? sc4 1) (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 1 arg-3 arg-4 arg-5 e-6 e-7 e-8 arg-6)) (else (let ((eff-0 (CoreC-45ContextC-45Log-log arg-0 "unify.noeta" 10 (lambda () "Unify if Eq due to something with app")))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45Unify-unifyIfEq arg-0 arg-1 arg-2 1 arg-4 arg-3 arg-5 arg-6 (vector 1 e-6 e-7 e-8)))) eff-1))))))))))))) ((4) (let ((e-13 (vector-ref arg-7 4))) (CoreC-45Unify-unifyNoEta arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-13)))(else (case (vector-ref arg-6 0) ((4) (let ((e-4 (vector-ref arg-6 4))) (CoreC-45Unify-unifyNoEta arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-4 arg-7)))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (lambda (eta-0) (CoreC-45Context-clearDefs e-5 eta-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45ContextC-45Log-log arg-0 "unify.noeta" 10 (lambda () "Nothing else worked, unifyIfEq")))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (CoreC-45Unify-unifyIfEq arg-0 arg-1 arg-2 (let ((sc6 (CoreC-45Unify-n--14857-25134-u--isDelay arg-2 arg-7 arg-6 arg-5 arg-4 arg-3 arg-1 arg-0 arg-6))) (cond ((equal? sc6 1) 1) (else (CoreC-45Unify-n--14857-25134-u--isDelay arg-2 arg-7 arg-6 arg-5 arg-4 arg-3 arg-1 arg-0 arg-7)))) arg-4 arg-3 arg-5 arg-6 arg-7))) eff-3)))))))) eff-2)))))))) eff-1))))))))))))))) ((1) (let ((e-18 (vector-ref arg-6 1))) (let ((e-19 (vector-ref arg-6 2))) (let ((e-20 (vector-ref arg-6 3))) (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 (CoreC-45Unify-lower arg-3) arg-4 arg-5 e-18 e-19 e-20 arg-7)))))(else (case (vector-ref arg-7 0) ((1) (let ((e-6 (vector-ref arg-7 1))) (let ((e-7 (vector-ref arg-7 2))) (let ((e-8 (vector-ref arg-7 3))) (let ((sc3 (CoreC-45Unify-u--C-47C-61_Eq_UnifyMode (let ((e-1 (cdr arg-3))) e-1) 2))) (cond ((equal? sc3 1) (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 1 arg-3 arg-4 arg-5 e-6 e-7 e-8 arg-6)) (else (let ((eff-0 (CoreC-45ContextC-45Log-log arg-0 "unify.noeta" 10 (lambda () "Unify if Eq due to something with app")))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45Unify-unifyIfEq arg-0 arg-1 arg-2 1 arg-4 arg-3 arg-5 arg-6 (vector 1 e-6 e-7 e-8)))) eff-1))))))))))))) ((4) (let ((e-13 (vector-ref arg-7 4))) (CoreC-45Unify-unifyNoEta arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-13)))(else (case (vector-ref arg-6 0) ((4) (let ((e-4 (vector-ref arg-6 4))) (CoreC-45Unify-unifyNoEta arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-4 arg-7)))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (lambda (eta-0) (CoreC-45Context-clearDefs e-5 eta-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45ContextC-45Log-log arg-0 "unify.noeta" 10 (lambda () "Nothing else worked, unifyIfEq")))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (CoreC-45Unify-unifyIfEq arg-0 arg-1 arg-2 (let ((sc5 (CoreC-45Unify-n--14857-25134-u--isDelay arg-2 arg-7 arg-6 arg-5 arg-4 arg-3 arg-1 arg-0 arg-6))) (cond ((equal? sc5 1) 1) (else (CoreC-45Unify-n--14857-25134-u--isDelay arg-2 arg-7 arg-6 arg-5 arg-4 arg-3 arg-1 arg-0 arg-7)))) arg-4 arg-3 arg-5 arg-6 arg-7))) eff-3)))))))) eff-2)))))))) eff-1)))))))))))))))))(else (case (vector-ref arg-6 0) ((9) (let ((e-16 (vector-ref arg-6 2))) (case (vector-ref e-16 0) ((2) (let ((e-22 (vector-ref e-16 1))) (CoreC-45Unify-unifyNoEta arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-22 arg-7)))(else (case (vector-ref arg-7 0) ((1) (let ((e-6 (vector-ref arg-7 1))) (let ((e-7 (vector-ref arg-7 2))) (let ((e-8 (vector-ref arg-7 3))) (let ((sc3 (CoreC-45Unify-u--C-47C-61_Eq_UnifyMode (let ((e-1 (cdr arg-3))) e-1) 2))) (cond ((equal? sc3 1) (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 1 arg-3 arg-4 arg-5 e-6 e-7 e-8 arg-6)) (else (let ((eff-0 (CoreC-45ContextC-45Log-log arg-0 "unify.noeta" 10 (lambda () "Unify if Eq due to something with app")))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45Unify-unifyIfEq arg-0 arg-1 arg-2 1 arg-4 arg-3 arg-5 arg-6 (vector 1 e-6 e-7 e-8)))) eff-1))))))))))))) ((4) (let ((e-13 (vector-ref arg-7 4))) (CoreC-45Unify-unifyNoEta arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-13)))(else (case (vector-ref arg-6 0) ((4) (let ((e-4 (vector-ref arg-6 4))) (CoreC-45Unify-unifyNoEta arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-4 arg-7)))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (lambda (eta-0) (CoreC-45Context-clearDefs e-5 eta-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45ContextC-45Log-log arg-0 "unify.noeta" 10 (lambda () "Nothing else worked, unifyIfEq")))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (CoreC-45Unify-unifyIfEq arg-0 arg-1 arg-2 (let ((sc5 (CoreC-45Unify-n--14857-25134-u--isDelay arg-2 arg-7 arg-6 arg-5 arg-4 arg-3 arg-1 arg-0 arg-6))) (cond ((equal? sc5 1) 1) (else (CoreC-45Unify-n--14857-25134-u--isDelay arg-2 arg-7 arg-6 arg-5 arg-4 arg-3 arg-1 arg-0 arg-7)))) arg-4 arg-3 arg-5 arg-6 arg-7))) eff-3)))))))) eff-2)))))))) eff-1))))))))))))))) ((1) (let ((e-18 (vector-ref arg-6 1))) (let ((e-19 (vector-ref arg-6 2))) (let ((e-20 (vector-ref arg-6 3))) (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 (CoreC-45Unify-lower arg-3) arg-4 arg-5 e-18 e-19 e-20 arg-7)))))(else (case (vector-ref arg-7 0) ((1) (let ((e-6 (vector-ref arg-7 1))) (let ((e-7 (vector-ref arg-7 2))) (let ((e-8 (vector-ref arg-7 3))) (let ((sc2 (CoreC-45Unify-u--C-47C-61_Eq_UnifyMode (let ((e-1 (cdr arg-3))) e-1) 2))) (cond ((equal? sc2 1) (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 1 arg-3 arg-4 arg-5 e-6 e-7 e-8 arg-6)) (else (let ((eff-0 (CoreC-45ContextC-45Log-log arg-0 "unify.noeta" 10 (lambda () "Unify if Eq due to something with app")))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45Unify-unifyIfEq arg-0 arg-1 arg-2 1 arg-4 arg-3 arg-5 arg-6 (vector 1 e-6 e-7 e-8)))) eff-1))))))))))))) ((4) (let ((e-13 (vector-ref arg-7 4))) (CoreC-45Unify-unifyNoEta arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-13)))(else (case (vector-ref arg-6 0) ((4) (let ((e-4 (vector-ref arg-6 4))) (CoreC-45Unify-unifyNoEta arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-4 arg-7)))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (lambda (eta-0) (CoreC-45Context-clearDefs e-5 eta-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45ContextC-45Log-log arg-0 "unify.noeta" 10 (lambda () "Nothing else worked, unifyIfEq")))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (CoreC-45Unify-unifyIfEq arg-0 arg-1 arg-2 (let ((sc4 (CoreC-45Unify-n--14857-25134-u--isDelay arg-2 arg-7 arg-6 arg-5 arg-4 arg-3 arg-1 arg-0 arg-6))) (cond ((equal? sc4 1) 1) (else (CoreC-45Unify-n--14857-25134-u--isDelay arg-2 arg-7 arg-6 arg-5 arg-4 arg-3 arg-1 arg-0 arg-7)))) arg-4 arg-3 arg-5 arg-6 arg-7))) eff-3)))))))) eff-2)))))))) eff-1))))))))))))))))))))))) ((5) (let ((e-43 (vector-ref arg-6 3))) (case (vector-ref arg-7 0) ((5) (let ((e-73 (vector-ref arg-7 3))) ((((CoreC-45Unify-unify (csegen-3136) arg-2 arg-0 arg-1 (CoreC-45Unify-lower arg-3) arg-4) arg-5) e-43) e-73)))(else (case (vector-ref arg-7 0) ((9) (let ((e-25 (vector-ref arg-7 2))) (case (vector-ref e-25 0) ((2) (let ((e-27 (vector-ref e-25 1))) (CoreC-45Unify-unifyNoEta arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-27)))(else (case (vector-ref arg-6 0) ((9) (let ((e-16 (vector-ref arg-6 2))) (case (vector-ref e-16 0) ((2) (let ((e-22 (vector-ref e-16 1))) (CoreC-45Unify-unifyNoEta arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-22 arg-7)))(else (case (vector-ref arg-7 0) ((1) (let ((e-6 (vector-ref arg-7 1))) (let ((e-7 (vector-ref arg-7 2))) (let ((e-8 (vector-ref arg-7 3))) (let ((sc4 (CoreC-45Unify-u--C-47C-61_Eq_UnifyMode (let ((e-1 (cdr arg-3))) e-1) 2))) (cond ((equal? sc4 1) (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 1 arg-3 arg-4 arg-5 e-6 e-7 e-8 arg-6)) (else (let ((eff-0 (CoreC-45ContextC-45Log-log arg-0 "unify.noeta" 10 (lambda () "Unify if Eq due to something with app")))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45Unify-unifyIfEq arg-0 arg-1 arg-2 1 arg-4 arg-3 arg-5 arg-6 (vector 1 e-6 e-7 e-8)))) eff-1))))))))))))) ((4) (let ((e-13 (vector-ref arg-7 4))) (CoreC-45Unify-unifyNoEta arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-13)))(else (case (vector-ref arg-6 0) ((4) (let ((e-4 (vector-ref arg-6 4))) (CoreC-45Unify-unifyNoEta arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-4 arg-7)))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (lambda (eta-0) (CoreC-45Context-clearDefs e-5 eta-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45ContextC-45Log-log arg-0 "unify.noeta" 10 (lambda () "Nothing else worked, unifyIfEq")))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (CoreC-45Unify-unifyIfEq arg-0 arg-1 arg-2 (let ((sc6 (CoreC-45Unify-n--14857-25134-u--isDelay arg-2 arg-7 arg-6 arg-5 arg-4 arg-3 arg-1 arg-0 arg-6))) (cond ((equal? sc6 1) 1) (else (CoreC-45Unify-n--14857-25134-u--isDelay arg-2 arg-7 arg-6 arg-5 arg-4 arg-3 arg-1 arg-0 arg-7)))) arg-4 arg-3 arg-5 arg-6 arg-7))) eff-3)))))))) eff-2)))))))) eff-1))))))))))))))) ((1) (let ((e-18 (vector-ref arg-6 1))) (let ((e-19 (vector-ref arg-6 2))) (let ((e-20 (vector-ref arg-6 3))) (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 (CoreC-45Unify-lower arg-3) arg-4 arg-5 e-18 e-19 e-20 arg-7)))))(else (case (vector-ref arg-7 0) ((1) (let ((e-6 (vector-ref arg-7 1))) (let ((e-7 (vector-ref arg-7 2))) (let ((e-8 (vector-ref arg-7 3))) (let ((sc3 (CoreC-45Unify-u--C-47C-61_Eq_UnifyMode (let ((e-1 (cdr arg-3))) e-1) 2))) (cond ((equal? sc3 1) (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 1 arg-3 arg-4 arg-5 e-6 e-7 e-8 arg-6)) (else (let ((eff-0 (CoreC-45ContextC-45Log-log arg-0 "unify.noeta" 10 (lambda () "Unify if Eq due to something with app")))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45Unify-unifyIfEq arg-0 arg-1 arg-2 1 arg-4 arg-3 arg-5 arg-6 (vector 1 e-6 e-7 e-8)))) eff-1))))))))))))) ((4) (let ((e-13 (vector-ref arg-7 4))) (CoreC-45Unify-unifyNoEta arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-13)))(else (case (vector-ref arg-6 0) ((4) (let ((e-4 (vector-ref arg-6 4))) (CoreC-45Unify-unifyNoEta arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-4 arg-7)))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (lambda (eta-0) (CoreC-45Context-clearDefs e-5 eta-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45ContextC-45Log-log arg-0 "unify.noeta" 10 (lambda () "Nothing else worked, unifyIfEq")))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (CoreC-45Unify-unifyIfEq arg-0 arg-1 arg-2 (let ((sc5 (CoreC-45Unify-n--14857-25134-u--isDelay arg-2 arg-7 arg-6 arg-5 arg-4 arg-3 arg-1 arg-0 arg-6))) (cond ((equal? sc5 1) 1) (else (CoreC-45Unify-n--14857-25134-u--isDelay arg-2 arg-7 arg-6 arg-5 arg-4 arg-3 arg-1 arg-0 arg-7)))) arg-4 arg-3 arg-5 arg-6 arg-7))) eff-3)))))))) eff-2)))))))) eff-1)))))))))))))))))(else (case (vector-ref arg-6 0) ((9) (let ((e-16 (vector-ref arg-6 2))) (case (vector-ref e-16 0) ((2) (let ((e-22 (vector-ref e-16 1))) (CoreC-45Unify-unifyNoEta arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-22 arg-7)))(else (case (vector-ref arg-7 0) ((1) (let ((e-6 (vector-ref arg-7 1))) (let ((e-7 (vector-ref arg-7 2))) (let ((e-8 (vector-ref arg-7 3))) (let ((sc3 (CoreC-45Unify-u--C-47C-61_Eq_UnifyMode (let ((e-1 (cdr arg-3))) e-1) 2))) (cond ((equal? sc3 1) (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 1 arg-3 arg-4 arg-5 e-6 e-7 e-8 arg-6)) (else (let ((eff-0 (CoreC-45ContextC-45Log-log arg-0 "unify.noeta" 10 (lambda () "Unify if Eq due to something with app")))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45Unify-unifyIfEq arg-0 arg-1 arg-2 1 arg-4 arg-3 arg-5 arg-6 (vector 1 e-6 e-7 e-8)))) eff-1))))))))))))) ((4) (let ((e-13 (vector-ref arg-7 4))) (CoreC-45Unify-unifyNoEta arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-13)))(else (case (vector-ref arg-6 0) ((4) (let ((e-4 (vector-ref arg-6 4))) (CoreC-45Unify-unifyNoEta arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-4 arg-7)))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (lambda (eta-0) (CoreC-45Context-clearDefs e-5 eta-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45ContextC-45Log-log arg-0 "unify.noeta" 10 (lambda () "Nothing else worked, unifyIfEq")))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (CoreC-45Unify-unifyIfEq arg-0 arg-1 arg-2 (let ((sc5 (CoreC-45Unify-n--14857-25134-u--isDelay arg-2 arg-7 arg-6 arg-5 arg-4 arg-3 arg-1 arg-0 arg-6))) (cond ((equal? sc5 1) 1) (else (CoreC-45Unify-n--14857-25134-u--isDelay arg-2 arg-7 arg-6 arg-5 arg-4 arg-3 arg-1 arg-0 arg-7)))) arg-4 arg-3 arg-5 arg-6 arg-7))) eff-3)))))))) eff-2)))))))) eff-1))))))))))))))) ((1) (let ((e-18 (vector-ref arg-6 1))) (let ((e-19 (vector-ref arg-6 2))) (let ((e-20 (vector-ref arg-6 3))) (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 (CoreC-45Unify-lower arg-3) arg-4 arg-5 e-18 e-19 e-20 arg-7)))))(else (case (vector-ref arg-7 0) ((1) (let ((e-6 (vector-ref arg-7 1))) (let ((e-7 (vector-ref arg-7 2))) (let ((e-8 (vector-ref arg-7 3))) (let ((sc2 (CoreC-45Unify-u--C-47C-61_Eq_UnifyMode (let ((e-1 (cdr arg-3))) e-1) 2))) (cond ((equal? sc2 1) (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 1 arg-3 arg-4 arg-5 e-6 e-7 e-8 arg-6)) (else (let ((eff-0 (CoreC-45ContextC-45Log-log arg-0 "unify.noeta" 10 (lambda () "Unify if Eq due to something with app")))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45Unify-unifyIfEq arg-0 arg-1 arg-2 1 arg-4 arg-3 arg-5 arg-6 (vector 1 e-6 e-7 e-8)))) eff-1))))))))))))) ((4) (let ((e-13 (vector-ref arg-7 4))) (CoreC-45Unify-unifyNoEta arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-13)))(else (case (vector-ref arg-6 0) ((4) (let ((e-4 (vector-ref arg-6 4))) (CoreC-45Unify-unifyNoEta arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-4 arg-7)))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (lambda (eta-0) (CoreC-45Context-clearDefs e-5 eta-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45ContextC-45Log-log arg-0 "unify.noeta" 10 (lambda () "Nothing else worked, unifyIfEq")))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (CoreC-45Unify-unifyIfEq arg-0 arg-1 arg-2 (let ((sc4 (CoreC-45Unify-n--14857-25134-u--isDelay arg-2 arg-7 arg-6 arg-5 arg-4 arg-3 arg-1 arg-0 arg-6))) (cond ((equal? sc4 1) 1) (else (CoreC-45Unify-n--14857-25134-u--isDelay arg-2 arg-7 arg-6 arg-5 arg-4 arg-3 arg-1 arg-0 arg-7)))) arg-4 arg-3 arg-5 arg-6 arg-7))) eff-3)))))))) eff-2)))))))) eff-1))))))))))))))))))) ((6) (let ((e-47 (vector-ref arg-6 3))) (let ((e-48 (vector-ref arg-6 4))) (case (vector-ref arg-7 0) ((6) (let ((e-77 (vector-ref arg-7 3))) (let ((e-78 (vector-ref arg-7 4))) (CoreC-45Unify-unifyArgs (csegen-3192) arg-2 arg-0 arg-1 arg-3 arg-4 arg-5 (cons e-47 (cons e-48 '())) (cons e-77 (cons e-78 '()))))))(else (case (vector-ref arg-7 0) ((9) (let ((e-25 (vector-ref arg-7 2))) (case (vector-ref e-25 0) ((2) (let ((e-27 (vector-ref e-25 1))) (CoreC-45Unify-unifyNoEta arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-27)))(else (case (vector-ref arg-6 0) ((9) (let ((e-16 (vector-ref arg-6 2))) (case (vector-ref e-16 0) ((2) (let ((e-22 (vector-ref e-16 1))) (CoreC-45Unify-unifyNoEta arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-22 arg-7)))(else (case (vector-ref arg-7 0) ((1) (let ((e-6 (vector-ref arg-7 1))) (let ((e-7 (vector-ref arg-7 2))) (let ((e-8 (vector-ref arg-7 3))) (let ((sc4 (CoreC-45Unify-u--C-47C-61_Eq_UnifyMode (let ((e-1 (cdr arg-3))) e-1) 2))) (cond ((equal? sc4 1) (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 1 arg-3 arg-4 arg-5 e-6 e-7 e-8 arg-6)) (else (let ((eff-0 (CoreC-45ContextC-45Log-log arg-0 "unify.noeta" 10 (lambda () "Unify if Eq due to something with app")))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45Unify-unifyIfEq arg-0 arg-1 arg-2 1 arg-4 arg-3 arg-5 arg-6 (vector 1 e-6 e-7 e-8)))) eff-1))))))))))))) ((4) (let ((e-13 (vector-ref arg-7 4))) (CoreC-45Unify-unifyNoEta arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-13)))(else (case (vector-ref arg-6 0) ((4) (let ((e-4 (vector-ref arg-6 4))) (CoreC-45Unify-unifyNoEta arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-4 arg-7)))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (lambda (eta-0) (CoreC-45Context-clearDefs e-5 eta-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45ContextC-45Log-log arg-0 "unify.noeta" 10 (lambda () "Nothing else worked, unifyIfEq")))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (CoreC-45Unify-unifyIfEq arg-0 arg-1 arg-2 (let ((sc6 (CoreC-45Unify-n--14857-25134-u--isDelay arg-2 arg-7 arg-6 arg-5 arg-4 arg-3 arg-1 arg-0 arg-6))) (cond ((equal? sc6 1) 1) (else (CoreC-45Unify-n--14857-25134-u--isDelay arg-2 arg-7 arg-6 arg-5 arg-4 arg-3 arg-1 arg-0 arg-7)))) arg-4 arg-3 arg-5 arg-6 arg-7))) eff-3)))))))) eff-2)))))))) eff-1))))))))))))))) ((1) (let ((e-18 (vector-ref arg-6 1))) (let ((e-19 (vector-ref arg-6 2))) (let ((e-20 (vector-ref arg-6 3))) (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 (CoreC-45Unify-lower arg-3) arg-4 arg-5 e-18 e-19 e-20 arg-7)))))(else (case (vector-ref arg-7 0) ((1) (let ((e-6 (vector-ref arg-7 1))) (let ((e-7 (vector-ref arg-7 2))) (let ((e-8 (vector-ref arg-7 3))) (let ((sc3 (CoreC-45Unify-u--C-47C-61_Eq_UnifyMode (let ((e-1 (cdr arg-3))) e-1) 2))) (cond ((equal? sc3 1) (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 1 arg-3 arg-4 arg-5 e-6 e-7 e-8 arg-6)) (else (let ((eff-0 (CoreC-45ContextC-45Log-log arg-0 "unify.noeta" 10 (lambda () "Unify if Eq due to something with app")))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45Unify-unifyIfEq arg-0 arg-1 arg-2 1 arg-4 arg-3 arg-5 arg-6 (vector 1 e-6 e-7 e-8)))) eff-1))))))))))))) ((4) (let ((e-13 (vector-ref arg-7 4))) (CoreC-45Unify-unifyNoEta arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-13)))(else (case (vector-ref arg-6 0) ((4) (let ((e-4 (vector-ref arg-6 4))) (CoreC-45Unify-unifyNoEta arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-4 arg-7)))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (lambda (eta-0) (CoreC-45Context-clearDefs e-5 eta-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45ContextC-45Log-log arg-0 "unify.noeta" 10 (lambda () "Nothing else worked, unifyIfEq")))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (CoreC-45Unify-unifyIfEq arg-0 arg-1 arg-2 (let ((sc5 (CoreC-45Unify-n--14857-25134-u--isDelay arg-2 arg-7 arg-6 arg-5 arg-4 arg-3 arg-1 arg-0 arg-6))) (cond ((equal? sc5 1) 1) (else (CoreC-45Unify-n--14857-25134-u--isDelay arg-2 arg-7 arg-6 arg-5 arg-4 arg-3 arg-1 arg-0 arg-7)))) arg-4 arg-3 arg-5 arg-6 arg-7))) eff-3)))))))) eff-2)))))))) eff-1)))))))))))))))))(else (case (vector-ref arg-6 0) ((9) (let ((e-16 (vector-ref arg-6 2))) (case (vector-ref e-16 0) ((2) (let ((e-22 (vector-ref e-16 1))) (CoreC-45Unify-unifyNoEta arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-22 arg-7)))(else (case (vector-ref arg-7 0) ((1) (let ((e-6 (vector-ref arg-7 1))) (let ((e-7 (vector-ref arg-7 2))) (let ((e-8 (vector-ref arg-7 3))) (let ((sc3 (CoreC-45Unify-u--C-47C-61_Eq_UnifyMode (let ((e-1 (cdr arg-3))) e-1) 2))) (cond ((equal? sc3 1) (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 1 arg-3 arg-4 arg-5 e-6 e-7 e-8 arg-6)) (else (let ((eff-0 (CoreC-45ContextC-45Log-log arg-0 "unify.noeta" 10 (lambda () "Unify if Eq due to something with app")))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45Unify-unifyIfEq arg-0 arg-1 arg-2 1 arg-4 arg-3 arg-5 arg-6 (vector 1 e-6 e-7 e-8)))) eff-1))))))))))))) ((4) (let ((e-13 (vector-ref arg-7 4))) (CoreC-45Unify-unifyNoEta arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-13)))(else (case (vector-ref arg-6 0) ((4) (let ((e-4 (vector-ref arg-6 4))) (CoreC-45Unify-unifyNoEta arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-4 arg-7)))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (lambda (eta-0) (CoreC-45Context-clearDefs e-5 eta-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45ContextC-45Log-log arg-0 "unify.noeta" 10 (lambda () "Nothing else worked, unifyIfEq")))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (CoreC-45Unify-unifyIfEq arg-0 arg-1 arg-2 (let ((sc5 (CoreC-45Unify-n--14857-25134-u--isDelay arg-2 arg-7 arg-6 arg-5 arg-4 arg-3 arg-1 arg-0 arg-6))) (cond ((equal? sc5 1) 1) (else (CoreC-45Unify-n--14857-25134-u--isDelay arg-2 arg-7 arg-6 arg-5 arg-4 arg-3 arg-1 arg-0 arg-7)))) arg-4 arg-3 arg-5 arg-6 arg-7))) eff-3)))))))) eff-2)))))))) eff-1))))))))))))))) ((1) (let ((e-18 (vector-ref arg-6 1))) (let ((e-19 (vector-ref arg-6 2))) (let ((e-20 (vector-ref arg-6 3))) (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 (CoreC-45Unify-lower arg-3) arg-4 arg-5 e-18 e-19 e-20 arg-7)))))(else (case (vector-ref arg-7 0) ((1) (let ((e-6 (vector-ref arg-7 1))) (let ((e-7 (vector-ref arg-7 2))) (let ((e-8 (vector-ref arg-7 3))) (let ((sc2 (CoreC-45Unify-u--C-47C-61_Eq_UnifyMode (let ((e-1 (cdr arg-3))) e-1) 2))) (cond ((equal? sc2 1) (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 1 arg-3 arg-4 arg-5 e-6 e-7 e-8 arg-6)) (else (let ((eff-0 (CoreC-45ContextC-45Log-log arg-0 "unify.noeta" 10 (lambda () "Unify if Eq due to something with app")))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45Unify-unifyIfEq arg-0 arg-1 arg-2 1 arg-4 arg-3 arg-5 arg-6 (vector 1 e-6 e-7 e-8)))) eff-1))))))))))))) ((4) (let ((e-13 (vector-ref arg-7 4))) (CoreC-45Unify-unifyNoEta arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-13)))(else (case (vector-ref arg-6 0) ((4) (let ((e-4 (vector-ref arg-6 4))) (CoreC-45Unify-unifyNoEta arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-4 arg-7)))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (lambda (eta-0) (CoreC-45Context-clearDefs e-5 eta-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45ContextC-45Log-log arg-0 "unify.noeta" 10 (lambda () "Nothing else worked, unifyIfEq")))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (CoreC-45Unify-unifyIfEq arg-0 arg-1 arg-2 (let ((sc4 (CoreC-45Unify-n--14857-25134-u--isDelay arg-2 arg-7 arg-6 arg-5 arg-4 arg-3 arg-1 arg-0 arg-6))) (cond ((equal? sc4 1) 1) (else (CoreC-45Unify-n--14857-25134-u--isDelay arg-2 arg-7 arg-6 arg-5 arg-4 arg-3 arg-1 arg-0 arg-7)))) arg-4 arg-3 arg-5 arg-6 arg-7))) eff-3)))))))) eff-2)))))))) eff-1)))))))))))))))))))) ((7) (let ((e-52 (vector-ref arg-6 3))) (let ((e-53 (vector-ref arg-6 4))) (case (vector-ref arg-7 0) ((7) (let ((e-82 (vector-ref arg-7 3))) (let ((e-83 (vector-ref arg-7 4))) (let ((eff-0 ((((CoreC-45Unify-unify (csegen-3136) arg-2 arg-0 arg-1 (CoreC-45Unify-lower arg-3) arg-4) arg-5) e-52) e-82))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Unify-unifyArgs (csegen-3192) arg-2 arg-0 arg-1 arg-3 arg-4 arg-5 ((csegen-947) e-53) ((csegen-947) e-83)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (CoreC-45Unify-union e-5 e-6))))) eff-2))))))))) eff-1))))))))))(else (case (vector-ref arg-7 0) ((9) (let ((e-25 (vector-ref arg-7 2))) (case (vector-ref e-25 0) ((2) (let ((e-27 (vector-ref e-25 1))) (CoreC-45Unify-unifyNoEta arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-27)))(else (case (vector-ref arg-6 0) ((9) (let ((e-16 (vector-ref arg-6 2))) (case (vector-ref e-16 0) ((2) (let ((e-22 (vector-ref e-16 1))) (CoreC-45Unify-unifyNoEta arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-22 arg-7)))(else (case (vector-ref arg-7 0) ((1) (let ((e-6 (vector-ref arg-7 1))) (let ((e-7 (vector-ref arg-7 2))) (let ((e-8 (vector-ref arg-7 3))) (let ((sc4 (CoreC-45Unify-u--C-47C-61_Eq_UnifyMode (let ((e-1 (cdr arg-3))) e-1) 2))) (cond ((equal? sc4 1) (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 1 arg-3 arg-4 arg-5 e-6 e-7 e-8 arg-6)) (else (let ((eff-0 (CoreC-45ContextC-45Log-log arg-0 "unify.noeta" 10 (lambda () "Unify if Eq due to something with app")))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45Unify-unifyIfEq arg-0 arg-1 arg-2 1 arg-4 arg-3 arg-5 arg-6 (vector 1 e-6 e-7 e-8)))) eff-1))))))))))))) ((4) (let ((e-13 (vector-ref arg-7 4))) (CoreC-45Unify-unifyNoEta arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-13)))(else (case (vector-ref arg-6 0) ((4) (let ((e-4 (vector-ref arg-6 4))) (CoreC-45Unify-unifyNoEta arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-4 arg-7)))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (lambda (eta-0) (CoreC-45Context-clearDefs e-5 eta-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45ContextC-45Log-log arg-0 "unify.noeta" 10 (lambda () "Nothing else worked, unifyIfEq")))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (CoreC-45Unify-unifyIfEq arg-0 arg-1 arg-2 (let ((sc6 (CoreC-45Unify-n--14857-25134-u--isDelay arg-2 arg-7 arg-6 arg-5 arg-4 arg-3 arg-1 arg-0 arg-6))) (cond ((equal? sc6 1) 1) (else (CoreC-45Unify-n--14857-25134-u--isDelay arg-2 arg-7 arg-6 arg-5 arg-4 arg-3 arg-1 arg-0 arg-7)))) arg-4 arg-3 arg-5 arg-6 arg-7))) eff-3)))))))) eff-2)))))))) eff-1))))))))))))))) ((1) (let ((e-18 (vector-ref arg-6 1))) (let ((e-19 (vector-ref arg-6 2))) (let ((e-20 (vector-ref arg-6 3))) (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 (CoreC-45Unify-lower arg-3) arg-4 arg-5 e-18 e-19 e-20 arg-7)))))(else (case (vector-ref arg-7 0) ((1) (let ((e-6 (vector-ref arg-7 1))) (let ((e-7 (vector-ref arg-7 2))) (let ((e-8 (vector-ref arg-7 3))) (let ((sc3 (CoreC-45Unify-u--C-47C-61_Eq_UnifyMode (let ((e-1 (cdr arg-3))) e-1) 2))) (cond ((equal? sc3 1) (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 1 arg-3 arg-4 arg-5 e-6 e-7 e-8 arg-6)) (else (let ((eff-0 (CoreC-45ContextC-45Log-log arg-0 "unify.noeta" 10 (lambda () "Unify if Eq due to something with app")))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45Unify-unifyIfEq arg-0 arg-1 arg-2 1 arg-4 arg-3 arg-5 arg-6 (vector 1 e-6 e-7 e-8)))) eff-1))))))))))))) ((4) (let ((e-13 (vector-ref arg-7 4))) (CoreC-45Unify-unifyNoEta arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-13)))(else (case (vector-ref arg-6 0) ((4) (let ((e-4 (vector-ref arg-6 4))) (CoreC-45Unify-unifyNoEta arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-4 arg-7)))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (lambda (eta-0) (CoreC-45Context-clearDefs e-5 eta-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45ContextC-45Log-log arg-0 "unify.noeta" 10 (lambda () "Nothing else worked, unifyIfEq")))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (CoreC-45Unify-unifyIfEq arg-0 arg-1 arg-2 (let ((sc5 (CoreC-45Unify-n--14857-25134-u--isDelay arg-2 arg-7 arg-6 arg-5 arg-4 arg-3 arg-1 arg-0 arg-6))) (cond ((equal? sc5 1) 1) (else (CoreC-45Unify-n--14857-25134-u--isDelay arg-2 arg-7 arg-6 arg-5 arg-4 arg-3 arg-1 arg-0 arg-7)))) arg-4 arg-3 arg-5 arg-6 arg-7))) eff-3)))))))) eff-2)))))))) eff-1)))))))))))))))))(else (case (vector-ref arg-6 0) ((9) (let ((e-16 (vector-ref arg-6 2))) (case (vector-ref e-16 0) ((2) (let ((e-22 (vector-ref e-16 1))) (CoreC-45Unify-unifyNoEta arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-22 arg-7)))(else (case (vector-ref arg-7 0) ((1) (let ((e-6 (vector-ref arg-7 1))) (let ((e-7 (vector-ref arg-7 2))) (let ((e-8 (vector-ref arg-7 3))) (let ((sc3 (CoreC-45Unify-u--C-47C-61_Eq_UnifyMode (let ((e-1 (cdr arg-3))) e-1) 2))) (cond ((equal? sc3 1) (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 1 arg-3 arg-4 arg-5 e-6 e-7 e-8 arg-6)) (else (let ((eff-0 (CoreC-45ContextC-45Log-log arg-0 "unify.noeta" 10 (lambda () "Unify if Eq due to something with app")))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45Unify-unifyIfEq arg-0 arg-1 arg-2 1 arg-4 arg-3 arg-5 arg-6 (vector 1 e-6 e-7 e-8)))) eff-1))))))))))))) ((4) (let ((e-13 (vector-ref arg-7 4))) (CoreC-45Unify-unifyNoEta arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-13)))(else (case (vector-ref arg-6 0) ((4) (let ((e-4 (vector-ref arg-6 4))) (CoreC-45Unify-unifyNoEta arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-4 arg-7)))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (lambda (eta-0) (CoreC-45Context-clearDefs e-5 eta-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45ContextC-45Log-log arg-0 "unify.noeta" 10 (lambda () "Nothing else worked, unifyIfEq")))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (CoreC-45Unify-unifyIfEq arg-0 arg-1 arg-2 (let ((sc5 (CoreC-45Unify-n--14857-25134-u--isDelay arg-2 arg-7 arg-6 arg-5 arg-4 arg-3 arg-1 arg-0 arg-6))) (cond ((equal? sc5 1) 1) (else (CoreC-45Unify-n--14857-25134-u--isDelay arg-2 arg-7 arg-6 arg-5 arg-4 arg-3 arg-1 arg-0 arg-7)))) arg-4 arg-3 arg-5 arg-6 arg-7))) eff-3)))))))) eff-2)))))))) eff-1))))))))))))))) ((1) (let ((e-18 (vector-ref arg-6 1))) (let ((e-19 (vector-ref arg-6 2))) (let ((e-20 (vector-ref arg-6 3))) (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 (CoreC-45Unify-lower arg-3) arg-4 arg-5 e-18 e-19 e-20 arg-7)))))(else (case (vector-ref arg-7 0) ((1) (let ((e-6 (vector-ref arg-7 1))) (let ((e-7 (vector-ref arg-7 2))) (let ((e-8 (vector-ref arg-7 3))) (let ((sc2 (CoreC-45Unify-u--C-47C-61_Eq_UnifyMode (let ((e-1 (cdr arg-3))) e-1) 2))) (cond ((equal? sc2 1) (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 1 arg-3 arg-4 arg-5 e-6 e-7 e-8 arg-6)) (else (let ((eff-0 (CoreC-45ContextC-45Log-log arg-0 "unify.noeta" 10 (lambda () "Unify if Eq due to something with app")))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45Unify-unifyIfEq arg-0 arg-1 arg-2 1 arg-4 arg-3 arg-5 arg-6 (vector 1 e-6 e-7 e-8)))) eff-1))))))))))))) ((4) (let ((e-13 (vector-ref arg-7 4))) (CoreC-45Unify-unifyNoEta arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-13)))(else (case (vector-ref arg-6 0) ((4) (let ((e-4 (vector-ref arg-6 4))) (CoreC-45Unify-unifyNoEta arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-4 arg-7)))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (lambda (eta-0) (CoreC-45Context-clearDefs e-5 eta-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45ContextC-45Log-log arg-0 "unify.noeta" 10 (lambda () "Nothing else worked, unifyIfEq")))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (CoreC-45Unify-unifyIfEq arg-0 arg-1 arg-2 (let ((sc4 (CoreC-45Unify-n--14857-25134-u--isDelay arg-2 arg-7 arg-6 arg-5 arg-4 arg-3 arg-1 arg-0 arg-6))) (cond ((equal? sc4 1) 1) (else (CoreC-45Unify-n--14857-25134-u--isDelay arg-2 arg-7 arg-6 arg-5 arg-4 arg-3 arg-1 arg-0 arg-7)))) arg-4 arg-3 arg-5 arg-6 arg-7))) eff-3)))))))) eff-2)))))))) eff-1)))))))))))))))))))) ((1) (let ((e-55 (vector-ref arg-6 1))) (let ((e-56 (vector-ref arg-6 2))) (let ((e-57 (vector-ref arg-6 3))) (case (vector-ref e-56 0) ((2) (let ((e-89 (vector-ref e-56 1))) (let ((e-90 (vector-ref e-56 2))) (let ((e-91 (vector-ref e-56 3))) (case (vector-ref arg-7 0) ((1) (let ((e-93 (vector-ref arg-7 1))) (let ((e-94 (vector-ref arg-7 2))) (let ((e-95 (vector-ref arg-7 3))) (case (vector-ref e-94 0) ((2) (let ((e-97 (vector-ref e-94 1))) (let ((e-98 (vector-ref e-94 2))) (let ((e-99 (vector-ref e-94 3))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Convert-u--convert_Convert_NF arg-0 arg-2 e-5 arg-5 arg-6 arg-7))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((u--fx (vector 2 e-89 e-90 e-91))) (let ((u--fy (vector 2 e-97 e-98 e-99))) (cond ((equal? e-6 1) (lambda (eta-0) (vector 1 (CoreC-45Unify-success)))) (else (CoreC-45Unify-unifyBothApps arg-0 arg-1 arg-2 (CoreC-45Unify-lower arg-3) arg-4 arg-5 e-55 u--fx e-57 e-93 u--fy e-95))))))) eff-2))))))))) eff-1)))))))))))(else (case (vector-ref arg-7 0) ((1) (let ((e-85 (vector-ref arg-7 1))) (let ((e-86 (vector-ref arg-7 2))) (let ((e-87 (vector-ref arg-7 3))) (CoreC-45Unify-unifyBothApps arg-0 arg-1 arg-2 (CoreC-45Unify-lower arg-3) arg-4 arg-5 e-55 e-56 e-57 e-85 e-86 e-87)))))(else (case (vector-ref arg-7 0) ((9) (let ((e-25 (vector-ref arg-7 2))) (case (vector-ref e-25 0) ((2) (let ((e-27 (vector-ref e-25 1))) (CoreC-45Unify-unifyNoEta arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-27)))(else (case (vector-ref arg-6 0) ((9) (let ((e-16 (vector-ref arg-6 2))) (case (vector-ref e-16 0) ((2) (let ((e-22 (vector-ref e-16 1))) (CoreC-45Unify-unifyNoEta arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-22 arg-7)))(else (case (vector-ref arg-7 0) ((1) (let ((e-6 (vector-ref arg-7 1))) (let ((e-7 (vector-ref arg-7 2))) (let ((e-8 (vector-ref arg-7 3))) (let ((sc6 (CoreC-45Unify-u--C-47C-61_Eq_UnifyMode (let ((e-1 (cdr arg-3))) e-1) 2))) (cond ((equal? sc6 1) (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 1 arg-3 arg-4 arg-5 e-6 e-7 e-8 arg-6)) (else (let ((eff-0 (CoreC-45ContextC-45Log-log arg-0 "unify.noeta" 10 (lambda () "Unify if Eq due to something with app")))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45Unify-unifyIfEq arg-0 arg-1 arg-2 1 arg-4 arg-3 arg-5 arg-6 (vector 1 e-6 e-7 e-8)))) eff-1))))))))))))) ((4) (let ((e-13 (vector-ref arg-7 4))) (CoreC-45Unify-unifyNoEta arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-13)))(else (case (vector-ref arg-6 0) ((4) (let ((e-4 (vector-ref arg-6 4))) (CoreC-45Unify-unifyNoEta arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-4 arg-7)))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (lambda (eta-0) (CoreC-45Context-clearDefs e-5 eta-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45ContextC-45Log-log arg-0 "unify.noeta" 10 (lambda () "Nothing else worked, unifyIfEq")))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (CoreC-45Unify-unifyIfEq arg-0 arg-1 arg-2 (let ((sc8 (CoreC-45Unify-n--14857-25134-u--isDelay arg-2 arg-7 arg-6 arg-5 arg-4 arg-3 arg-1 arg-0 arg-6))) (cond ((equal? sc8 1) 1) (else (CoreC-45Unify-n--14857-25134-u--isDelay arg-2 arg-7 arg-6 arg-5 arg-4 arg-3 arg-1 arg-0 arg-7)))) arg-4 arg-3 arg-5 arg-6 arg-7))) eff-3)))))))) eff-2)))))))) eff-1))))))))))))))) ((1) (let ((e-18 (vector-ref arg-6 1))) (let ((e-19 (vector-ref arg-6 2))) (let ((e-20 (vector-ref arg-6 3))) (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 (CoreC-45Unify-lower arg-3) arg-4 arg-5 e-18 e-19 e-20 arg-7)))))(else (case (vector-ref arg-7 0) ((1) (let ((e-6 (vector-ref arg-7 1))) (let ((e-7 (vector-ref arg-7 2))) (let ((e-8 (vector-ref arg-7 3))) (let ((sc5 (CoreC-45Unify-u--C-47C-61_Eq_UnifyMode (let ((e-1 (cdr arg-3))) e-1) 2))) (cond ((equal? sc5 1) (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 1 arg-3 arg-4 arg-5 e-6 e-7 e-8 arg-6)) (else (let ((eff-0 (CoreC-45ContextC-45Log-log arg-0 "unify.noeta" 10 (lambda () "Unify if Eq due to something with app")))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45Unify-unifyIfEq arg-0 arg-1 arg-2 1 arg-4 arg-3 arg-5 arg-6 (vector 1 e-6 e-7 e-8)))) eff-1))))))))))))) ((4) (let ((e-13 (vector-ref arg-7 4))) (CoreC-45Unify-unifyNoEta arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-13)))(else (case (vector-ref arg-6 0) ((4) (let ((e-4 (vector-ref arg-6 4))) (CoreC-45Unify-unifyNoEta arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-4 arg-7)))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (lambda (eta-0) (CoreC-45Context-clearDefs e-5 eta-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45ContextC-45Log-log arg-0 "unify.noeta" 10 (lambda () "Nothing else worked, unifyIfEq")))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (CoreC-45Unify-unifyIfEq arg-0 arg-1 arg-2 (let ((sc7 (CoreC-45Unify-n--14857-25134-u--isDelay arg-2 arg-7 arg-6 arg-5 arg-4 arg-3 arg-1 arg-0 arg-6))) (cond ((equal? sc7 1) 1) (else (CoreC-45Unify-n--14857-25134-u--isDelay arg-2 arg-7 arg-6 arg-5 arg-4 arg-3 arg-1 arg-0 arg-7)))) arg-4 arg-3 arg-5 arg-6 arg-7))) eff-3)))))))) eff-2)))))))) eff-1)))))))))))))))))(else (case (vector-ref arg-6 0) ((9) (let ((e-16 (vector-ref arg-6 2))) (case (vector-ref e-16 0) ((2) (let ((e-22 (vector-ref e-16 1))) (CoreC-45Unify-unifyNoEta arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-22 arg-7)))(else (case (vector-ref arg-7 0) ((1) (let ((e-6 (vector-ref arg-7 1))) (let ((e-7 (vector-ref arg-7 2))) (let ((e-8 (vector-ref arg-7 3))) (let ((sc5 (CoreC-45Unify-u--C-47C-61_Eq_UnifyMode (let ((e-1 (cdr arg-3))) e-1) 2))) (cond ((equal? sc5 1) (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 1 arg-3 arg-4 arg-5 e-6 e-7 e-8 arg-6)) (else (let ((eff-0 (CoreC-45ContextC-45Log-log arg-0 "unify.noeta" 10 (lambda () "Unify if Eq due to something with app")))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45Unify-unifyIfEq arg-0 arg-1 arg-2 1 arg-4 arg-3 arg-5 arg-6 (vector 1 e-6 e-7 e-8)))) eff-1))))))))))))) ((4) (let ((e-13 (vector-ref arg-7 4))) (CoreC-45Unify-unifyNoEta arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-13)))(else (case (vector-ref arg-6 0) ((4) (let ((e-4 (vector-ref arg-6 4))) (CoreC-45Unify-unifyNoEta arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-4 arg-7)))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (lambda (eta-0) (CoreC-45Context-clearDefs e-5 eta-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45ContextC-45Log-log arg-0 "unify.noeta" 10 (lambda () "Nothing else worked, unifyIfEq")))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (CoreC-45Unify-unifyIfEq arg-0 arg-1 arg-2 (let ((sc7 (CoreC-45Unify-n--14857-25134-u--isDelay arg-2 arg-7 arg-6 arg-5 arg-4 arg-3 arg-1 arg-0 arg-6))) (cond ((equal? sc7 1) 1) (else (CoreC-45Unify-n--14857-25134-u--isDelay arg-2 arg-7 arg-6 arg-5 arg-4 arg-3 arg-1 arg-0 arg-7)))) arg-4 arg-3 arg-5 arg-6 arg-7))) eff-3)))))))) eff-2)))))))) eff-1))))))))))))))) ((1) (let ((e-18 (vector-ref arg-6 1))) (let ((e-19 (vector-ref arg-6 2))) (let ((e-20 (vector-ref arg-6 3))) (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 (CoreC-45Unify-lower arg-3) arg-4 arg-5 e-18 e-19 e-20 arg-7)))))(else (case (vector-ref arg-7 0) ((1) (let ((e-6 (vector-ref arg-7 1))) (let ((e-7 (vector-ref arg-7 2))) (let ((e-8 (vector-ref arg-7 3))) (let ((sc4 (CoreC-45Unify-u--C-47C-61_Eq_UnifyMode (let ((e-1 (cdr arg-3))) e-1) 2))) (cond ((equal? sc4 1) (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 1 arg-3 arg-4 arg-5 e-6 e-7 e-8 arg-6)) (else (let ((eff-0 (CoreC-45ContextC-45Log-log arg-0 "unify.noeta" 10 (lambda () "Unify if Eq due to something with app")))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45Unify-unifyIfEq arg-0 arg-1 arg-2 1 arg-4 arg-3 arg-5 arg-6 (vector 1 e-6 e-7 e-8)))) eff-1))))))))))))) ((4) (let ((e-13 (vector-ref arg-7 4))) (CoreC-45Unify-unifyNoEta arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-13)))(else (case (vector-ref arg-6 0) ((4) (let ((e-4 (vector-ref arg-6 4))) (CoreC-45Unify-unifyNoEta arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-4 arg-7)))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (lambda (eta-0) (CoreC-45Context-clearDefs e-5 eta-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45ContextC-45Log-log arg-0 "unify.noeta" 10 (lambda () "Nothing else worked, unifyIfEq")))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (CoreC-45Unify-unifyIfEq arg-0 arg-1 arg-2 (let ((sc6 (CoreC-45Unify-n--14857-25134-u--isDelay arg-2 arg-7 arg-6 arg-5 arg-4 arg-3 arg-1 arg-0 arg-6))) (cond ((equal? sc6 1) 1) (else (CoreC-45Unify-n--14857-25134-u--isDelay arg-2 arg-7 arg-6 arg-5 arg-4 arg-3 arg-1 arg-0 arg-7)))) arg-4 arg-3 arg-5 arg-6 arg-7))) eff-3)))))))) eff-2)))))))) eff-1)))))))))))))))))))))))(else (case (vector-ref arg-7 0) ((1) (let ((e-85 (vector-ref arg-7 1))) (let ((e-86 (vector-ref arg-7 2))) (let ((e-87 (vector-ref arg-7 3))) (CoreC-45Unify-unifyBothApps arg-0 arg-1 arg-2 (CoreC-45Unify-lower arg-3) arg-4 arg-5 e-55 e-56 e-57 e-85 e-86 e-87)))))(else (case (vector-ref arg-7 0) ((9) (let ((e-25 (vector-ref arg-7 2))) (case (vector-ref e-25 0) ((2) (let ((e-27 (vector-ref e-25 1))) (CoreC-45Unify-unifyNoEta arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-27)))(else (case (vector-ref arg-6 0) ((9) (let ((e-16 (vector-ref arg-6 2))) (case (vector-ref e-16 0) ((2) (let ((e-22 (vector-ref e-16 1))) (CoreC-45Unify-unifyNoEta arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-22 arg-7)))(else (case (vector-ref arg-7 0) ((1) (let ((e-6 (vector-ref arg-7 1))) (let ((e-7 (vector-ref arg-7 2))) (let ((e-8 (vector-ref arg-7 3))) (let ((sc5 (CoreC-45Unify-u--C-47C-61_Eq_UnifyMode (let ((e-1 (cdr arg-3))) e-1) 2))) (cond ((equal? sc5 1) (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 1 arg-3 arg-4 arg-5 e-6 e-7 e-8 arg-6)) (else (let ((eff-0 (CoreC-45ContextC-45Log-log arg-0 "unify.noeta" 10 (lambda () "Unify if Eq due to something with app")))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45Unify-unifyIfEq arg-0 arg-1 arg-2 1 arg-4 arg-3 arg-5 arg-6 (vector 1 e-6 e-7 e-8)))) eff-1))))))))))))) ((4) (let ((e-13 (vector-ref arg-7 4))) (CoreC-45Unify-unifyNoEta arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-13)))(else (case (vector-ref arg-6 0) ((4) (let ((e-4 (vector-ref arg-6 4))) (CoreC-45Unify-unifyNoEta arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-4 arg-7)))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (lambda (eta-0) (CoreC-45Context-clearDefs e-5 eta-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45ContextC-45Log-log arg-0 "unify.noeta" 10 (lambda () "Nothing else worked, unifyIfEq")))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (CoreC-45Unify-unifyIfEq arg-0 arg-1 arg-2 (let ((sc7 (CoreC-45Unify-n--14857-25134-u--isDelay arg-2 arg-7 arg-6 arg-5 arg-4 arg-3 arg-1 arg-0 arg-6))) (cond ((equal? sc7 1) 1) (else (CoreC-45Unify-n--14857-25134-u--isDelay arg-2 arg-7 arg-6 arg-5 arg-4 arg-3 arg-1 arg-0 arg-7)))) arg-4 arg-3 arg-5 arg-6 arg-7))) eff-3)))))))) eff-2)))))))) eff-1))))))))))))))) ((1) (let ((e-18 (vector-ref arg-6 1))) (let ((e-19 (vector-ref arg-6 2))) (let ((e-20 (vector-ref arg-6 3))) (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 (CoreC-45Unify-lower arg-3) arg-4 arg-5 e-18 e-19 e-20 arg-7)))))(else (case (vector-ref arg-7 0) ((1) (let ((e-6 (vector-ref arg-7 1))) (let ((e-7 (vector-ref arg-7 2))) (let ((e-8 (vector-ref arg-7 3))) (let ((sc4 (CoreC-45Unify-u--C-47C-61_Eq_UnifyMode (let ((e-1 (cdr arg-3))) e-1) 2))) (cond ((equal? sc4 1) (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 1 arg-3 arg-4 arg-5 e-6 e-7 e-8 arg-6)) (else (let ((eff-0 (CoreC-45ContextC-45Log-log arg-0 "unify.noeta" 10 (lambda () "Unify if Eq due to something with app")))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45Unify-unifyIfEq arg-0 arg-1 arg-2 1 arg-4 arg-3 arg-5 arg-6 (vector 1 e-6 e-7 e-8)))) eff-1))))))))))))) ((4) (let ((e-13 (vector-ref arg-7 4))) (CoreC-45Unify-unifyNoEta arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-13)))(else (case (vector-ref arg-6 0) ((4) (let ((e-4 (vector-ref arg-6 4))) (CoreC-45Unify-unifyNoEta arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-4 arg-7)))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (lambda (eta-0) (CoreC-45Context-clearDefs e-5 eta-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45ContextC-45Log-log arg-0 "unify.noeta" 10 (lambda () "Nothing else worked, unifyIfEq")))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (CoreC-45Unify-unifyIfEq arg-0 arg-1 arg-2 (let ((sc6 (CoreC-45Unify-n--14857-25134-u--isDelay arg-2 arg-7 arg-6 arg-5 arg-4 arg-3 arg-1 arg-0 arg-6))) (cond ((equal? sc6 1) 1) (else (CoreC-45Unify-n--14857-25134-u--isDelay arg-2 arg-7 arg-6 arg-5 arg-4 arg-3 arg-1 arg-0 arg-7)))) arg-4 arg-3 arg-5 arg-6 arg-7))) eff-3)))))))) eff-2)))))))) eff-1)))))))))))))))))(else (case (vector-ref arg-6 0) ((9) (let ((e-16 (vector-ref arg-6 2))) (case (vector-ref e-16 0) ((2) (let ((e-22 (vector-ref e-16 1))) (CoreC-45Unify-unifyNoEta arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-22 arg-7)))(else (case (vector-ref arg-7 0) ((1) (let ((e-6 (vector-ref arg-7 1))) (let ((e-7 (vector-ref arg-7 2))) (let ((e-8 (vector-ref arg-7 3))) (let ((sc4 (CoreC-45Unify-u--C-47C-61_Eq_UnifyMode (let ((e-1 (cdr arg-3))) e-1) 2))) (cond ((equal? sc4 1) (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 1 arg-3 arg-4 arg-5 e-6 e-7 e-8 arg-6)) (else (let ((eff-0 (CoreC-45ContextC-45Log-log arg-0 "unify.noeta" 10 (lambda () "Unify if Eq due to something with app")))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45Unify-unifyIfEq arg-0 arg-1 arg-2 1 arg-4 arg-3 arg-5 arg-6 (vector 1 e-6 e-7 e-8)))) eff-1))))))))))))) ((4) (let ((e-13 (vector-ref arg-7 4))) (CoreC-45Unify-unifyNoEta arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-13)))(else (case (vector-ref arg-6 0) ((4) (let ((e-4 (vector-ref arg-6 4))) (CoreC-45Unify-unifyNoEta arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-4 arg-7)))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (lambda (eta-0) (CoreC-45Context-clearDefs e-5 eta-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45ContextC-45Log-log arg-0 "unify.noeta" 10 (lambda () "Nothing else worked, unifyIfEq")))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (CoreC-45Unify-unifyIfEq arg-0 arg-1 arg-2 (let ((sc6 (CoreC-45Unify-n--14857-25134-u--isDelay arg-2 arg-7 arg-6 arg-5 arg-4 arg-3 arg-1 arg-0 arg-6))) (cond ((equal? sc6 1) 1) (else (CoreC-45Unify-n--14857-25134-u--isDelay arg-2 arg-7 arg-6 arg-5 arg-4 arg-3 arg-1 arg-0 arg-7)))) arg-4 arg-3 arg-5 arg-6 arg-7))) eff-3)))))))) eff-2)))))))) eff-1))))))))))))))) ((1) (let ((e-18 (vector-ref arg-6 1))) (let ((e-19 (vector-ref arg-6 2))) (let ((e-20 (vector-ref arg-6 3))) (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 (CoreC-45Unify-lower arg-3) arg-4 arg-5 e-18 e-19 e-20 arg-7)))))(else (case (vector-ref arg-7 0) ((1) (let ((e-6 (vector-ref arg-7 1))) (let ((e-7 (vector-ref arg-7 2))) (let ((e-8 (vector-ref arg-7 3))) (let ((sc3 (CoreC-45Unify-u--C-47C-61_Eq_UnifyMode (let ((e-1 (cdr arg-3))) e-1) 2))) (cond ((equal? sc3 1) (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 1 arg-3 arg-4 arg-5 e-6 e-7 e-8 arg-6)) (else (let ((eff-0 (CoreC-45ContextC-45Log-log arg-0 "unify.noeta" 10 (lambda () "Unify if Eq due to something with app")))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45Unify-unifyIfEq arg-0 arg-1 arg-2 1 arg-4 arg-3 arg-5 arg-6 (vector 1 e-6 e-7 e-8)))) eff-1))))))))))))) ((4) (let ((e-13 (vector-ref arg-7 4))) (CoreC-45Unify-unifyNoEta arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-13)))(else (case (vector-ref arg-6 0) ((4) (let ((e-4 (vector-ref arg-6 4))) (CoreC-45Unify-unifyNoEta arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-4 arg-7)))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (lambda (eta-0) (CoreC-45Context-clearDefs e-5 eta-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45ContextC-45Log-log arg-0 "unify.noeta" 10 (lambda () "Nothing else worked, unifyIfEq")))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (CoreC-45Unify-unifyIfEq arg-0 arg-1 arg-2 (let ((sc5 (CoreC-45Unify-n--14857-25134-u--isDelay arg-2 arg-7 arg-6 arg-5 arg-4 arg-3 arg-1 arg-0 arg-6))) (cond ((equal? sc5 1) 1) (else (CoreC-45Unify-n--14857-25134-u--isDelay arg-2 arg-7 arg-6 arg-5 arg-4 arg-3 arg-1 arg-0 arg-7)))) arg-4 arg-3 arg-5 arg-6 arg-7))) eff-3)))))))) eff-2)))))))) eff-1)))))))))))))))))))))))(else (case (vector-ref arg-7 0) ((1) (let ((e-85 (vector-ref arg-7 1))) (let ((e-86 (vector-ref arg-7 2))) (let ((e-87 (vector-ref arg-7 3))) (CoreC-45Unify-unifyBothApps arg-0 arg-1 arg-2 (CoreC-45Unify-lower arg-3) arg-4 arg-5 e-55 e-56 e-57 e-85 e-86 e-87)))))(else (case (vector-ref arg-7 0) ((9) (let ((e-25 (vector-ref arg-7 2))) (case (vector-ref e-25 0) ((2) (let ((e-27 (vector-ref e-25 1))) (CoreC-45Unify-unifyNoEta arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-27)))(else (case (vector-ref arg-6 0) ((9) (let ((e-16 (vector-ref arg-6 2))) (case (vector-ref e-16 0) ((2) (let ((e-22 (vector-ref e-16 1))) (CoreC-45Unify-unifyNoEta arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-22 arg-7)))(else (case (vector-ref arg-7 0) ((1) (let ((e-6 (vector-ref arg-7 1))) (let ((e-7 (vector-ref arg-7 2))) (let ((e-8 (vector-ref arg-7 3))) (let ((sc4 (CoreC-45Unify-u--C-47C-61_Eq_UnifyMode (let ((e-1 (cdr arg-3))) e-1) 2))) (cond ((equal? sc4 1) (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 1 arg-3 arg-4 arg-5 e-6 e-7 e-8 arg-6)) (else (let ((eff-0 (CoreC-45ContextC-45Log-log arg-0 "unify.noeta" 10 (lambda () "Unify if Eq due to something with app")))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45Unify-unifyIfEq arg-0 arg-1 arg-2 1 arg-4 arg-3 arg-5 arg-6 (vector 1 e-6 e-7 e-8)))) eff-1))))))))))))) ((4) (let ((e-13 (vector-ref arg-7 4))) (CoreC-45Unify-unifyNoEta arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-13)))(else (case (vector-ref arg-6 0) ((4) (let ((e-4 (vector-ref arg-6 4))) (CoreC-45Unify-unifyNoEta arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-4 arg-7)))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (lambda (eta-0) (CoreC-45Context-clearDefs e-5 eta-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45ContextC-45Log-log arg-0 "unify.noeta" 10 (lambda () "Nothing else worked, unifyIfEq")))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (CoreC-45Unify-unifyIfEq arg-0 arg-1 arg-2 (let ((sc6 (CoreC-45Unify-n--14857-25134-u--isDelay arg-2 arg-7 arg-6 arg-5 arg-4 arg-3 arg-1 arg-0 arg-6))) (cond ((equal? sc6 1) 1) (else (CoreC-45Unify-n--14857-25134-u--isDelay arg-2 arg-7 arg-6 arg-5 arg-4 arg-3 arg-1 arg-0 arg-7)))) arg-4 arg-3 arg-5 arg-6 arg-7))) eff-3)))))))) eff-2)))))))) eff-1))))))))))))))) ((1) (let ((e-18 (vector-ref arg-6 1))) (let ((e-19 (vector-ref arg-6 2))) (let ((e-20 (vector-ref arg-6 3))) (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 (CoreC-45Unify-lower arg-3) arg-4 arg-5 e-18 e-19 e-20 arg-7)))))(else (case (vector-ref arg-7 0) ((1) (let ((e-6 (vector-ref arg-7 1))) (let ((e-7 (vector-ref arg-7 2))) (let ((e-8 (vector-ref arg-7 3))) (let ((sc3 (CoreC-45Unify-u--C-47C-61_Eq_UnifyMode (let ((e-1 (cdr arg-3))) e-1) 2))) (cond ((equal? sc3 1) (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 1 arg-3 arg-4 arg-5 e-6 e-7 e-8 arg-6)) (else (let ((eff-0 (CoreC-45ContextC-45Log-log arg-0 "unify.noeta" 10 (lambda () "Unify if Eq due to something with app")))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45Unify-unifyIfEq arg-0 arg-1 arg-2 1 arg-4 arg-3 arg-5 arg-6 (vector 1 e-6 e-7 e-8)))) eff-1))))))))))))) ((4) (let ((e-13 (vector-ref arg-7 4))) (CoreC-45Unify-unifyNoEta arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-13)))(else (case (vector-ref arg-6 0) ((4) (let ((e-4 (vector-ref arg-6 4))) (CoreC-45Unify-unifyNoEta arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-4 arg-7)))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (lambda (eta-0) (CoreC-45Context-clearDefs e-5 eta-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45ContextC-45Log-log arg-0 "unify.noeta" 10 (lambda () "Nothing else worked, unifyIfEq")))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (CoreC-45Unify-unifyIfEq arg-0 arg-1 arg-2 (let ((sc5 (CoreC-45Unify-n--14857-25134-u--isDelay arg-2 arg-7 arg-6 arg-5 arg-4 arg-3 arg-1 arg-0 arg-6))) (cond ((equal? sc5 1) 1) (else (CoreC-45Unify-n--14857-25134-u--isDelay arg-2 arg-7 arg-6 arg-5 arg-4 arg-3 arg-1 arg-0 arg-7)))) arg-4 arg-3 arg-5 arg-6 arg-7))) eff-3)))))))) eff-2)))))))) eff-1)))))))))))))))))(else (case (vector-ref arg-6 0) ((9) (let ((e-16 (vector-ref arg-6 2))) (case (vector-ref e-16 0) ((2) (let ((e-22 (vector-ref e-16 1))) (CoreC-45Unify-unifyNoEta arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-22 arg-7)))(else (case (vector-ref arg-7 0) ((1) (let ((e-6 (vector-ref arg-7 1))) (let ((e-7 (vector-ref arg-7 2))) (let ((e-8 (vector-ref arg-7 3))) (let ((sc3 (CoreC-45Unify-u--C-47C-61_Eq_UnifyMode (let ((e-1 (cdr arg-3))) e-1) 2))) (cond ((equal? sc3 1) (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 1 arg-3 arg-4 arg-5 e-6 e-7 e-8 arg-6)) (else (let ((eff-0 (CoreC-45ContextC-45Log-log arg-0 "unify.noeta" 10 (lambda () "Unify if Eq due to something with app")))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45Unify-unifyIfEq arg-0 arg-1 arg-2 1 arg-4 arg-3 arg-5 arg-6 (vector 1 e-6 e-7 e-8)))) eff-1))))))))))))) ((4) (let ((e-13 (vector-ref arg-7 4))) (CoreC-45Unify-unifyNoEta arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-13)))(else (case (vector-ref arg-6 0) ((4) (let ((e-4 (vector-ref arg-6 4))) (CoreC-45Unify-unifyNoEta arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-4 arg-7)))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (lambda (eta-0) (CoreC-45Context-clearDefs e-5 eta-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45ContextC-45Log-log arg-0 "unify.noeta" 10 (lambda () "Nothing else worked, unifyIfEq")))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (CoreC-45Unify-unifyIfEq arg-0 arg-1 arg-2 (let ((sc5 (CoreC-45Unify-n--14857-25134-u--isDelay arg-2 arg-7 arg-6 arg-5 arg-4 arg-3 arg-1 arg-0 arg-6))) (cond ((equal? sc5 1) 1) (else (CoreC-45Unify-n--14857-25134-u--isDelay arg-2 arg-7 arg-6 arg-5 arg-4 arg-3 arg-1 arg-0 arg-7)))) arg-4 arg-3 arg-5 arg-6 arg-7))) eff-3)))))))) eff-2)))))))) eff-1))))))))))))))) ((1) (let ((e-18 (vector-ref arg-6 1))) (let ((e-19 (vector-ref arg-6 2))) (let ((e-20 (vector-ref arg-6 3))) (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 (CoreC-45Unify-lower arg-3) arg-4 arg-5 e-18 e-19 e-20 arg-7)))))(else (case (vector-ref arg-7 0) ((1) (let ((e-6 (vector-ref arg-7 1))) (let ((e-7 (vector-ref arg-7 2))) (let ((e-8 (vector-ref arg-7 3))) (let ((sc2 (CoreC-45Unify-u--C-47C-61_Eq_UnifyMode (let ((e-1 (cdr arg-3))) e-1) 2))) (cond ((equal? sc2 1) (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 1 arg-3 arg-4 arg-5 e-6 e-7 e-8 arg-6)) (else (let ((eff-0 (CoreC-45ContextC-45Log-log arg-0 "unify.noeta" 10 (lambda () "Unify if Eq due to something with app")))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45Unify-unifyIfEq arg-0 arg-1 arg-2 1 arg-4 arg-3 arg-5 arg-6 (vector 1 e-6 e-7 e-8)))) eff-1))))))))))))) ((4) (let ((e-13 (vector-ref arg-7 4))) (CoreC-45Unify-unifyNoEta arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-13)))(else (case (vector-ref arg-6 0) ((4) (let ((e-4 (vector-ref arg-6 4))) (CoreC-45Unify-unifyNoEta arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-4 arg-7)))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (lambda (eta-0) (CoreC-45Context-clearDefs e-5 eta-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45ContextC-45Log-log arg-0 "unify.noeta" 10 (lambda () "Nothing else worked, unifyIfEq")))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (CoreC-45Unify-unifyIfEq arg-0 arg-1 arg-2 (let ((sc4 (CoreC-45Unify-n--14857-25134-u--isDelay arg-2 arg-7 arg-6 arg-5 arg-4 arg-3 arg-1 arg-0 arg-6))) (cond ((equal? sc4 1) 1) (else (CoreC-45Unify-n--14857-25134-u--isDelay arg-2 arg-7 arg-6 arg-5 arg-4 arg-3 arg-1 arg-0 arg-7)))) arg-4 arg-3 arg-5 arg-6 arg-7))) eff-3)))))))) eff-2)))))))) eff-1)))))))))))))))))))))))(else (case (vector-ref arg-7 0) ((9) (let ((e-25 (vector-ref arg-7 2))) (case (vector-ref e-25 0) ((2) (let ((e-27 (vector-ref e-25 1))) (CoreC-45Unify-unifyNoEta arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-27)))(else (case (vector-ref arg-6 0) ((9) (let ((e-16 (vector-ref arg-6 2))) (case (vector-ref e-16 0) ((2) (let ((e-22 (vector-ref e-16 1))) (CoreC-45Unify-unifyNoEta arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-22 arg-7)))(else (case (vector-ref arg-7 0) ((1) (let ((e-6 (vector-ref arg-7 1))) (let ((e-7 (vector-ref arg-7 2))) (let ((e-8 (vector-ref arg-7 3))) (let ((sc3 (CoreC-45Unify-u--C-47C-61_Eq_UnifyMode (let ((e-1 (cdr arg-3))) e-1) 2))) (cond ((equal? sc3 1) (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 1 arg-3 arg-4 arg-5 e-6 e-7 e-8 arg-6)) (else (let ((eff-0 (CoreC-45ContextC-45Log-log arg-0 "unify.noeta" 10 (lambda () "Unify if Eq due to something with app")))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45Unify-unifyIfEq arg-0 arg-1 arg-2 1 arg-4 arg-3 arg-5 arg-6 (vector 1 e-6 e-7 e-8)))) eff-1))))))))))))) ((4) (let ((e-13 (vector-ref arg-7 4))) (CoreC-45Unify-unifyNoEta arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-13)))(else (case (vector-ref arg-6 0) ((4) (let ((e-4 (vector-ref arg-6 4))) (CoreC-45Unify-unifyNoEta arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-4 arg-7)))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (lambda (eta-0) (CoreC-45Context-clearDefs e-5 eta-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45ContextC-45Log-log arg-0 "unify.noeta" 10 (lambda () "Nothing else worked, unifyIfEq")))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (CoreC-45Unify-unifyIfEq arg-0 arg-1 arg-2 (let ((sc5 (CoreC-45Unify-n--14857-25134-u--isDelay arg-2 arg-7 arg-6 arg-5 arg-4 arg-3 arg-1 arg-0 arg-6))) (cond ((equal? sc5 1) 1) (else (CoreC-45Unify-n--14857-25134-u--isDelay arg-2 arg-7 arg-6 arg-5 arg-4 arg-3 arg-1 arg-0 arg-7)))) arg-4 arg-3 arg-5 arg-6 arg-7))) eff-3)))))))) eff-2)))))))) eff-1))))))))))))))) ((1) (let ((e-18 (vector-ref arg-6 1))) (let ((e-19 (vector-ref arg-6 2))) (let ((e-20 (vector-ref arg-6 3))) (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 (CoreC-45Unify-lower arg-3) arg-4 arg-5 e-18 e-19 e-20 arg-7)))))(else (case (vector-ref arg-7 0) ((1) (let ((e-6 (vector-ref arg-7 1))) (let ((e-7 (vector-ref arg-7 2))) (let ((e-8 (vector-ref arg-7 3))) (let ((sc2 (CoreC-45Unify-u--C-47C-61_Eq_UnifyMode (let ((e-1 (cdr arg-3))) e-1) 2))) (cond ((equal? sc2 1) (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 1 arg-3 arg-4 arg-5 e-6 e-7 e-8 arg-6)) (else (let ((eff-0 (CoreC-45ContextC-45Log-log arg-0 "unify.noeta" 10 (lambda () "Unify if Eq due to something with app")))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45Unify-unifyIfEq arg-0 arg-1 arg-2 1 arg-4 arg-3 arg-5 arg-6 (vector 1 e-6 e-7 e-8)))) eff-1))))))))))))) ((4) (let ((e-13 (vector-ref arg-7 4))) (CoreC-45Unify-unifyNoEta arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-13)))(else (case (vector-ref arg-6 0) ((4) (let ((e-4 (vector-ref arg-6 4))) (CoreC-45Unify-unifyNoEta arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-4 arg-7)))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (lambda (eta-0) (CoreC-45Context-clearDefs e-5 eta-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45ContextC-45Log-log arg-0 "unify.noeta" 10 (lambda () "Nothing else worked, unifyIfEq")))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (CoreC-45Unify-unifyIfEq arg-0 arg-1 arg-2 (let ((sc4 (CoreC-45Unify-n--14857-25134-u--isDelay arg-2 arg-7 arg-6 arg-5 arg-4 arg-3 arg-1 arg-0 arg-6))) (cond ((equal? sc4 1) 1) (else (CoreC-45Unify-n--14857-25134-u--isDelay arg-2 arg-7 arg-6 arg-5 arg-4 arg-3 arg-1 arg-0 arg-7)))) arg-4 arg-3 arg-5 arg-6 arg-7))) eff-3)))))))) eff-2)))))))) eff-1)))))))))))))))))(else (case (vector-ref arg-6 0) ((9) (let ((e-16 (vector-ref arg-6 2))) (case (vector-ref e-16 0) ((2) (let ((e-22 (vector-ref e-16 1))) (CoreC-45Unify-unifyNoEta arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-22 arg-7)))(else (case (vector-ref arg-7 0) ((1) (let ((e-6 (vector-ref arg-7 1))) (let ((e-7 (vector-ref arg-7 2))) (let ((e-8 (vector-ref arg-7 3))) (let ((sc2 (CoreC-45Unify-u--C-47C-61_Eq_UnifyMode (let ((e-1 (cdr arg-3))) e-1) 2))) (cond ((equal? sc2 1) (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 1 arg-3 arg-4 arg-5 e-6 e-7 e-8 arg-6)) (else (let ((eff-0 (CoreC-45ContextC-45Log-log arg-0 "unify.noeta" 10 (lambda () "Unify if Eq due to something with app")))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45Unify-unifyIfEq arg-0 arg-1 arg-2 1 arg-4 arg-3 arg-5 arg-6 (vector 1 e-6 e-7 e-8)))) eff-1))))))))))))) ((4) (let ((e-13 (vector-ref arg-7 4))) (CoreC-45Unify-unifyNoEta arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-13)))(else (case (vector-ref arg-6 0) ((4) (let ((e-4 (vector-ref arg-6 4))) (CoreC-45Unify-unifyNoEta arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-4 arg-7)))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (lambda (eta-0) (CoreC-45Context-clearDefs e-5 eta-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45ContextC-45Log-log arg-0 "unify.noeta" 10 (lambda () "Nothing else worked, unifyIfEq")))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (CoreC-45Unify-unifyIfEq arg-0 arg-1 arg-2 (let ((sc4 (CoreC-45Unify-n--14857-25134-u--isDelay arg-2 arg-7 arg-6 arg-5 arg-4 arg-3 arg-1 arg-0 arg-6))) (cond ((equal? sc4 1) 1) (else (CoreC-45Unify-n--14857-25134-u--isDelay arg-2 arg-7 arg-6 arg-5 arg-4 arg-3 arg-1 arg-0 arg-7)))) arg-4 arg-3 arg-5 arg-6 arg-7))) eff-3)))))))) eff-2)))))))) eff-1))))))))))))))) ((1) (let ((e-18 (vector-ref arg-6 1))) (let ((e-19 (vector-ref arg-6 2))) (let ((e-20 (vector-ref arg-6 3))) (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 (CoreC-45Unify-lower arg-3) arg-4 arg-5 e-18 e-19 e-20 arg-7)))))(else (case (vector-ref arg-7 0) ((1) (let ((e-6 (vector-ref arg-7 1))) (let ((e-7 (vector-ref arg-7 2))) (let ((e-8 (vector-ref arg-7 3))) (let ((sc1 (CoreC-45Unify-u--C-47C-61_Eq_UnifyMode (let ((e-1 (cdr arg-3))) e-1) 2))) (cond ((equal? sc1 1) (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 1 arg-3 arg-4 arg-5 e-6 e-7 e-8 arg-6)) (else (let ((eff-0 (CoreC-45ContextC-45Log-log arg-0 "unify.noeta" 10 (lambda () "Unify if Eq due to something with app")))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45Unify-unifyIfEq arg-0 arg-1 arg-2 1 arg-4 arg-3 arg-5 arg-6 (vector 1 e-6 e-7 e-8)))) eff-1))))))))))))) ((4) (let ((e-13 (vector-ref arg-7 4))) (CoreC-45Unify-unifyNoEta arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-13)))(else (case (vector-ref arg-6 0) ((4) (let ((e-4 (vector-ref arg-6 4))) (CoreC-45Unify-unifyNoEta arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-4 arg-7)))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (lambda (eta-0) (CoreC-45Context-clearDefs e-5 eta-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45ContextC-45Log-log arg-0 "unify.noeta" 10 (lambda () "Nothing else worked, unifyIfEq")))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (CoreC-45Unify-unifyIfEq arg-0 arg-1 arg-2 (let ((sc3 (CoreC-45Unify-n--14857-25134-u--isDelay arg-2 arg-7 arg-6 arg-5 arg-4 arg-3 arg-1 arg-0 arg-6))) (cond ((equal? sc3 1) 1) (else (CoreC-45Unify-n--14857-25134-u--isDelay arg-2 arg-7 arg-6 arg-5 arg-4 arg-3 arg-1 arg-0 arg-7)))) arg-4 arg-3 arg-5 arg-6 arg-7))) eff-3)))))))) eff-2)))))))) eff-1)))))))))))))))))))
(define CoreC-45Unify-unifyInvertible (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-lookupTyExact (vector 8 arg-8) (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-6) (lambda (eta-0) (CoreC-45Unify-ufail arg-5 (string-append ((csegen-0) "No such metavariable ") (CoreC-45Name-u--show_Show_Name arg-7)) eta-0)) (let ((e-1 (unbox e-6))) (let ((eff-2 (let ((eff-2 (CoreC-45NormaliseC-45Eval-nf arg-0 arg-2 e-5 arg-6 (CoreC-45TT-embed e-1)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (CoreC-45Unify-getArgTypes arg-2 arg-0 e-5 e-7 (PreludeC-45TypesC-45List-tailRecAppend arg-9 arg-10)))) eff-3))))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (PreludeC-45Types-maybe (lambda () (lambda (eta-0) (vector 1 '()))) (lambda () (lambda (u--ty) (let ((eff-3 (CoreC-45NormaliseC-45Eval-nf arg-0 arg-2 e-5 arg-6 (CoreC-45TT-embed u--ty)))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (CoreC-45Unify-getArgTypes arg-2 arg-0 e-5 e-8 ((csegen-947) arg-13)))) eff-4))))))))) arg-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Unify-headsConvert arg-2 arg-0 arg-1 arg-4 arg-5 arg-6 e-7 e-8))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (cond ((equal? e-9 1) (let ((sc7 (PreludeC-45TypesC-45List-reverse arg-10))) (if (null? sc7) (CoreC-45Unify-postponeS arg-2 arg-0 arg-1 arg-3 arg-5 arg-4 "Postponing hole application [2]" arg-6 (vector 1 arg-5 (vector 2 arg-7 arg-8 arg-9) ((csegen-1728) arg-10)) (arg-12 arg-13)) (let ((e-11 (car sc7))) (let ((e-10 (cdr sc7))) (let ((sc8 (PreludeC-45TypesC-45List-reverse arg-13))) (if (null? sc8) (CoreC-45Unify-postponeS arg-2 arg-0 arg-1 arg-3 arg-5 arg-4 "Postponing hole application [2]" arg-6 (vector 1 arg-5 (vector 2 arg-7 arg-8 arg-9) ((csegen-1728) arg-10)) (arg-12 arg-13)) (let ((e-13 (car sc8))) (let ((e-12 (cdr sc8))) (CoreC-45UnifyState-tryUnify arg-0 arg-1 (cond ((equal? arg-3 1) (let ((eff-5 (CoreC-45ContextC-45Log-log arg-0 "unify.invertible" 10 (lambda () "Unifying invertible")))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-6 (let ((eff-6 ((((CoreC-45Unify-unify (csegen-3186) arg-2 arg-0 arg-1 arg-4 arg-5) arg-6) (Builtin-snd e-13)) e-11))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-2 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-15 (vector-ref lcase-6 1))) (let ((eff-7 (let ((eff-7 (CoreC-45ContextC-45Log-log arg-0 "unify.invertible" 10 (lambda () (string-append "Constraints " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-583) (let ((e-0 (vector-ref e-15 0))) e-0))))))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-2 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-8 (let ((eff-8 ((((CoreC-45Unify-unify (csegen-3136) arg-2 arg-0 arg-1 arg-4 arg-5) arg-6) (arg-12 (PreludeC-45TypesC-45List-reverse e-12))) (vector 1 arg-5 (vector 2 arg-7 arg-8 arg-9) (PreludeC-45TypesC-45List-reverse ((csegen-1728) e-10)))))) (PrimIO-io_bind eff-8 (lambda (lcase-8) (case (vector-ref lcase-8 0) ((0) (let ((e-2 (vector-ref lcase-8 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-17 (vector-ref lcase-8 1))) (let ((eff-9 (lambda (eta-0) (vector 1 (CoreC-45Unify-union e-15 e-17))))) eff-9))))))))) eff-8)))))))) eff-7))))))))) eff-6))))))) (else (let ((eff-5 (CoreC-45ContextC-45Log-log arg-0 "unify.invertible" 10 (lambda () "Unifying invertible")))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-6 (let ((eff-6 ((((CoreC-45Unify-unify (csegen-3186) arg-2 arg-0 arg-1 arg-4 arg-5) arg-6) e-11) (Builtin-snd e-13)))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-2 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-15 (vector-ref lcase-6 1))) (let ((eff-7 (let ((eff-7 (CoreC-45ContextC-45Log-log arg-0 "unify.invertible" 10 (lambda () (string-append "Constraints " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-583) (let ((e-0 (vector-ref e-15 0))) e-0))))))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-2 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-8 (let ((eff-8 ((((CoreC-45Unify-unify (csegen-3136) arg-2 arg-0 arg-1 arg-4 arg-5) arg-6) (vector 1 arg-5 (vector 2 arg-7 arg-8 arg-9) (PreludeC-45TypesC-45List-reverse ((csegen-1728) e-10)))) (arg-12 (PreludeC-45TypesC-45List-reverse e-12))))) (PrimIO-io_bind eff-8 (lambda (lcase-8) (case (vector-ref lcase-8 0) ((0) (let ((e-2 (vector-ref lcase-8 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-17 (vector-ref lcase-8 1))) (let ((eff-9 (lambda (eta-0) (vector 1 (CoreC-45Unify-union e-15 e-17))))) eff-9))))))))) eff-8)))))))) eff-7))))))))) eff-6)))))))) (CoreC-45Unify-postponeS arg-2 arg-0 arg-1 arg-3 arg-5 arg-4 "Postponing hole application [1]" arg-6 (vector 1 arg-5 (vector 2 arg-7 arg-8 arg-9) ((csegen-1728) arg-10)) (arg-12 arg-13)))))))))))) (else (CoreC-45Unify-postpone arg-2 arg-0 arg-1 arg-5 arg-4 ((csegen-0) "Postponing hole application [3]") arg-6 (vector 1 arg-5 (vector 2 arg-7 arg-8 arg-9) ((csegen-1728) arg-10)) (arg-12 arg-13)))))) eff-5))))))))) eff-4))))))))) eff-3))))))))))) eff-2))))))))) eff-1)))))))))
(define CoreC-45Unify-unifyIfEq (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Convert-u--convertInf_Convert_NF arg-0 arg-2 e-5 arg-6 arg-7 arg-8))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (cond ((equal? e-6 1) (lambda (eta-0) (vector 1 (CoreC-45Unify-success)))) (else (cond ((equal? arg-3 1) (CoreC-45Unify-postpone arg-2 arg-0 arg-1 arg-4 arg-5 (string-append ((csegen-0) "Postponing unifyIfEq ") (PreludeC-45Show-u--show_Show_Bool (let ((e-0 (car arg-5))) e-0))) arg-6 arg-7 arg-8)) (else (CoreC-45Unify-convertError arg-2 arg-0 arg-4 arg-6 arg-7 arg-8))))))) eff-2))))))))) eff-1)))))))))
(define CoreC-45Unify-unifyHoleApp (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11) (case (vector-ref arg-11 0) ((3) (let ((e-1 (vector-ref arg-11 1))) (let ((e-2 (vector-ref arg-11 2))) (let ((e-3 (vector-ref arg-11 3))) (let ((e-4 (vector-ref arg-11 4))) (let ((e-5 (vector-ref arg-11 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-lookupTyExact e-2 (let ((e-0 (vector-ref e-6 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45Unify-unifyInvertible arg-0 arg-1 arg-2 arg-3 (CoreC-45Unify-lower arg-4) arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 e-7 (lambda (eta-0) (vector 3 e-1 e-2 e-3 e-4 eta-0)) e-5))) eff-2))))))))) eff-1))))))))))))) ((2) (let ((e-7 (vector-ref arg-11 1))) (let ((e-8 (vector-ref arg-11 2))) (let ((e-9 (vector-ref arg-11 3))) (let ((e-10 (vector-ref arg-11 4))) (let ((e-11 (vector-ref arg-11 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-lookupTyExact e-8 (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45Unify-unifyInvertible arg-0 arg-1 arg-2 arg-3 (CoreC-45Unify-lower arg-4) arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 e-6 (lambda (eta-0) (vector 2 e-7 e-8 e-9 e-10 eta-0)) e-11))) eff-2))))))))) eff-1))))))))))))) ((1) (let ((e-13 (vector-ref arg-11 1))) (let ((e-14 (vector-ref arg-11 2))) (let ((e-15 (vector-ref arg-11 3))) (case (vector-ref e-14 0) ((0) (let ((e-18 (vector-ref e-14 1))) (let ((e-19 (vector-ref e-14 2))) (CoreC-45Unify-unifyInvertible arg-0 arg-1 arg-2 arg-3 (CoreC-45Unify-lower arg-4) arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 '() (lambda (eta-0) (vector 1 e-13 (vector 0 e-18 e-19) eta-0)) e-15)))) ((2) (let ((e-22 (vector-ref e-14 1))) (let ((e-23 (vector-ref e-14 2))) (let ((e-24 (vector-ref e-14 3))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-lookupCtxtExact (vector 8 e-23) (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((u--tm (vector 1 e-13 (vector 2 e-22 e-23 e-24) e-15))) (if (null? e-6) (CoreC-45Context-undefinedName arg-0 e-13 arg-7) (let ((e-1 (unbox e-6))) (let ((u--inv (let ((sc5 (CoreC-45Unify-n--14504-19939-u--isPatName arg-2 e-24 e-23 e-22 e-15 e-13 u--tm arg-10 arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-1 arg-0 e-22))) (cond ((equal? sc5 1) 1) (else (let ((e-26 (vector-ref e-1 14))) e-26)))))) (cond ((equal? u--inv 1) (CoreC-45Unify-unifyInvertible arg-0 arg-1 arg-2 arg-3 (CoreC-45Unify-lower arg-4) arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 '() (lambda (eta-0) (vector 1 e-13 (vector 2 e-22 e-23 e-24) eta-0)) e-15)) (else (CoreC-45Unify-postponeS arg-2 arg-0 arg-1 arg-3 arg-5 arg-4 ((csegen-0) "Postponing hole application") arg-6 (vector 1 arg-5 (vector 2 arg-7 arg-8 arg-9) ((csegen-1728) arg-10)) u--tm))))))))) eff-2))))))))) eff-1)))))))))))(else (CoreC-45Unify-postponeS arg-2 arg-0 arg-1 arg-3 arg-5 arg-4 "Postponing hole application" arg-6 (vector 1 arg-5 (vector 2 arg-7 arg-8 arg-9) ((csegen-1728) arg-10)) arg-11)))))))(else (CoreC-45Unify-postponeS arg-2 arg-0 arg-1 arg-3 arg-5 arg-4 "Postponing hole application" arg-6 (vector 1 arg-5 (vector 2 arg-7 arg-8 arg-9) ((csegen-1728) arg-10)) arg-11)))))
(define CoreC-45Unify-unifyHole (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (lambda (eta-0) (CoreC-45Context-clearDefs e-5 eta-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((u--args (let ((sc2 (DataC-45List-isNil arg-11))) (cond ((equal? sc2 1) arg-10) (else (PreludeC-45TypesC-45List-tailRecAppend arg-10 arg-11)))))) (let ((eff-2 (CoreC-45ContextC-45Log-unverifiedLogC arg-0 "unify.hole" 10 (let ((eff-2 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalArg arg-0 arg-2 e-6 eta-0)) u--args '()))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (clam-0) (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 arg-2 e-6 arg-6 clam-0)) e-7 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 arg-2 e-6 arg-6 arg-12))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (string-append "Unifying: " (string-append (CoreC-45Name-u--show_Show_Name arg-8) (string-append " " (string-append (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (cons (lambda (u--x) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-2 u--x)) (lambda (u--d) (lambda (u--x) (CoreC-45TT-u--showPrec_Show_C-40TermC-32C-36varsC-41 arg-2 u--d u--x)))) e-8) (string-append " with " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-2 e-9)))))))))) eff-5))))))))) eff-4))))))))) eff-3)))))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (let ((eff-3 (CoreC-45Unify-patternEnv arg-0 arg-1 arg-2 arg-6 u--args))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (if (null? e-8) (let ((eff-4 (CoreC-45Context-lookupCtxtExact (vector 8 arg-9) (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (if (null? e-9) (CoreC-45Unify-postponePatVar arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-8 arg-9 arg-10 arg-11 arg-12) (let ((e-1 (unbox e-9))) (let ((e-17 (vector-ref e-1 17))) (case (vector-ref e-17 0) ((7) (let ((sc8 (let ((e-37 (vector-ref e-1 14))) e-37))) (cond ((equal? sc8 1) (CoreC-45Unify-unifyHoleApp arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-8 arg-9 arg-10 arg-11 arg-12)) (else (CoreC-45Unify-postponePatVar arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-8 arg-9 arg-10 arg-11 arg-12)))))(else (CoreC-45Unify-postponePatVar arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-8 arg-9 arg-10 arg-11 arg-12)))))))) eff-5))))))) (let ((e-2 (unbox e-8))) (let ((e-10 (car e-2))) (let ((e-9 (cdr e-2))) (let ((e-12 (car e-9))) (let ((e-11 (cdr e-9))) (let ((eff-4 (CoreC-45Context-lookupCtxtExact (vector 8 arg-9) (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-3 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-13 (vector-ref lcase-4 1))) (let ((eff-5 (let ((bind-0 (box (cons e-10 (cons e-12 e-11))))) (if (null? e-13) (CoreC-45Unify-postponePatVar arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-8 arg-9 arg-10 arg-11 arg-12) (let ((e-1 (unbox e-13))) (let ((_-0 (box e-1))) (let ((e-17 (vector-ref e-1 17))) (case (vector-ref e-17 0) ((7) (let ((e-34 (vector-ref e-17 1))) (let ((e-33 (vector-ref e-17 2))) (let ((u--qopts (vector 0 0 (box (let ((e-62 (vector-ref e-5 4))) (let ((e-73 (vector-ref e-62 3))) (let ((e-78 (vector-ref e-73 5))) e-78))))))) (let ((eff-5 (CoreC-45Core-u--catch_Catchable_Core_Error (CoreC-45NormaliseC-45Quote-u--quoteOpts_Quote_NF arg-0 arg-2 u--qopts e-6 arg-6 arg-12) (lambda (u--err) (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 arg-2 e-5 arg-6 arg-12))))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-35 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-35)))) (else (let ((e-35 (vector-ref lcase-5 1))) (let ((eff-6 (let ((eff-6 (CoreC-45Unify-occursCheck arg-2 arg-0 arg-5 arg-6 arg-4 arg-8 e-35))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-36 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-36)))) (else (let ((e-36 (vector-ref lcase-6 1))) (let ((eff-7 (if (null? e-36) (CoreC-45Unify-postponeS arg-2 arg-0 arg-1 arg-3 arg-5 arg-4 "Occurs check failed" arg-6 (vector 1 arg-5 (vector 2 arg-8 arg-9 arg-10) ((csegen-1728) arg-11)) arg-12) (let ((e-37 (unbox e-36))) (let ((_-1 (box e-37))) (let ((sc13 (CoreC-45TT-shrinkTerm e-37 e-11))) (if (null? sc13) (let ((eff-7 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 arg-2 e-5 arg-6 arg-12))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-38 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-38)))) (else (let ((e-38 (vector-ref lcase-7 1))) (let ((eff-8 (let ((sc15 (CoreC-45TT-shrinkTerm e-38 e-11))) (if (null? sc15) (CoreC-45Unify-postponeS arg-2 arg-0 arg-1 arg-3 arg-5 arg-4 "Can't shrink" arg-6 (vector 1 arg-5 (vector 2 arg-8 arg-9 arg-10) ((csegen-1728) arg-11)) arg-12) (let ((e-39 (unbox sc15))) (CoreC-45Unify-n--17857-21369-u--solveOrElsePostpone arg-2 arg-12 arg-11 arg-10 arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-1 arg-0 e-5 e-6 u--args e-10 e-12 e-11 bind-0 e-1 _-0 e-34 e-33 u--qopts e-35 e-37 _-1 e-39)))))) eff-8))))))) (let ((e-38 (unbox sc13))) (CoreC-45Unify-n--17857-21369-u--solveOrElsePostpone arg-2 arg-12 arg-11 arg-10 arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-1 arg-0 e-5 e-6 u--args e-10 e-12 e-11 bind-0 e-1 _-0 e-34 e-33 u--qopts e-35 e-37 _-1 e-38))))))))) eff-7))))))))) eff-6)))))))))))(else (CoreC-45Unify-postponeS arg-2 arg-0 arg-1 arg-3 arg-5 arg-4 "Delayed hole" arg-6 (vector 1 arg-5 (vector 2 arg-8 arg-9 arg-10) ((csegen-1728) arg-11)) arg-12)))))))))) eff-5))))))))))))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))
(define CoreC-45Unify-unifyBothBinders (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13) (case (vector-ref arg-8 0) ((2) (let ((e-1 (vector-ref arg-8 1))) (let ((e-2 (vector-ref arg-8 2))) (let ((e-3 (vector-ref arg-8 3))) (let ((e-4 (vector-ref arg-8 4))) (case (vector-ref arg-12 0) ((2) (let ((e-11 (vector-ref arg-12 1))) (let ((e-12 (vector-ref arg-12 2))) (let ((e-13 (vector-ref arg-12 3))) (let ((e-14 (vector-ref arg-12 4))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((sc3 (AlgebraC-45ZeroOneOmega-u--C-47C-61_Eq_ZeroOneOmega e-2 e-12))) (cond ((equal? sc3 1) (CoreC-45Unify-convertError arg-2 arg-0 arg-4 arg-5 (vector 0 arg-6 arg-7 (vector 2 e-1 e-2 e-3 e-4) arg-9) (vector 0 arg-10 arg-11 (vector 2 e-11 e-12 e-13 e-14) arg-13))) (else (let ((eff-1 (lambda (eta-0) (CoreC-45Context-clearDefs e-5 eta-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-6 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45NormaliseC-45Quote-u--quote_Quote_Closure arg-0 arg-2 e-6 arg-5 e-4))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-7 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45ContextC-45Log-unverifiedLogC arg-0 "unify.binder" 10 (let ((eff-3 (CoreC-45NormaliseC-45Quote-u--quote_Quote_Closure arg-0 arg-2 e-6 arg-5 e-14))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-8 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (string-append "Unifying arg types " (string-append (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-2 e-7) (string-append " and " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-2 e-8)))))))) eff-4)))))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-8 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((eff-4 (let ((eff-4 ((((CoreC-45Unify-unify (csegen-3186) arg-2 arg-0 arg-1 (CoreC-45Unify-lower arg-3) arg-4) arg-5) e-4) e-14))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-9 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (let ((eff-5 (CoreC-45UnifyState-genVarName arg-0 arg-1 "x"))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-10 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-5 1))) (let ((eff-6 (let ((u--envC-39 (cons (vector 2 e-11 e-12 (vector 1 ) e-7) arg-5))) (CoreC-45Unify-case--caseC-32blockC-32inC-32unifyBothBinders-23759 arg-2 e-4 e-3 e-2 e-1 e-14 e-13 e-12 e-11 arg-13 arg-11 arg-10 arg-9 arg-7 arg-6 arg-5 arg-4 arg-3 arg-1 arg-0 e-5 e-6 e-7 e-9 e-10 u--envC-39 (let ((e-0 (vector-ref e-9 0))) e-0))))) eff-6))))))))) eff-5))))))))) eff-4)))))))) eff-3))))))))) eff-2)))))))))))) eff-1))))))))))))(else (CoreC-45Unify-convertError arg-2 arg-0 arg-4 arg-5 (vector 0 arg-6 arg-7 arg-8 arg-9) (vector 0 arg-10 arg-11 arg-12 arg-13))))))))) ((0) (let ((e-6 (vector-ref arg-8 1))) (let ((e-7 (vector-ref arg-8 2))) (let ((e-8 (vector-ref arg-8 3))) (let ((e-9 (vector-ref arg-8 4))) (case (vector-ref arg-12 0) ((0) (let ((e-16 (vector-ref arg-12 1))) (let ((e-17 (vector-ref arg-12 2))) (let ((e-18 (vector-ref arg-12 3))) (let ((e-19 (vector-ref arg-12 4))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((sc3 (AlgebraC-45ZeroOneOmega-u--C-47C-61_Eq_ZeroOneOmega e-7 e-17))) (cond ((equal? sc3 1) (CoreC-45Unify-convertError arg-2 arg-0 arg-4 arg-5 (vector 0 arg-6 arg-7 (vector 0 e-6 e-7 e-8 e-9) arg-9) (vector 0 arg-10 arg-11 (vector 0 e-16 e-17 e-18 e-19) arg-13))) (else (let ((eff-1 (lambda (eta-0) (CoreC-45Context-clearDefs e-5 eta-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-10 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 ((((CoreC-45Unify-unify (csegen-3186) arg-2 arg-0 arg-1 (CoreC-45Unify-lower arg-3) arg-4) arg-5) e-9) e-19))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-11 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45UnifyState-genVarName arg-0 arg-1 "x"))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-12 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45NormaliseC-45Quote-u--quote_Quote_Closure arg-0 arg-2 e-10 arg-5 e-9))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-13 (vector-ref lcase-4 1))) (let ((eff-5 (let ((u--envC-39 (cons (vector 0 e-6 e-7 (vector 1 ) e-13) arg-5))) (let ((eff-5 ((arg-9 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) arg-5 (vector 1 arg-4 (vector 0 ) e-12))))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-14 (vector-ref lcase-5 1))) (let ((eff-6 (let ((eff-6 ((arg-13 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) arg-5 (vector 1 arg-4 (vector 0 ) e-12))))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-2 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-15 (vector-ref lcase-6 1))) (let ((eff-7 (let ((eff-7 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 arg-2 e-10 arg-5 e-14))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-2 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-20 (vector-ref lcase-7 1))) (let ((eff-8 (let ((eff-8 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-0 arg-2 e-10 arg-5 e-15))) (PrimIO-io_bind eff-8 (lambda (lcase-8) (case (vector-ref lcase-8 0) ((0) (let ((e-2 (vector-ref lcase-8 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-21 (vector-ref lcase-8 1))) (let ((eff-9 (let ((eff-9 ((((CoreC-45Unify-unify (csegen-3133) (cons arg-7 arg-2) arg-0 arg-1 (CoreC-45Unify-lower arg-3) arg-4) u--envC-39) (CoreC-45TT-refsToLocals (vector 1 arg-7 e-12 (vector 0 )) e-20)) (CoreC-45TT-refsToLocals (vector 1 arg-7 e-12 (vector 0 )) e-21)))) (PrimIO-io_bind eff-9 (lambda (lcase-9) (case (vector-ref lcase-9 0) ((0) (let ((e-2 (vector-ref lcase-9 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-22 (vector-ref lcase-9 1))) (let ((eff-10 (lambda (eta-0) (vector 1 (CoreC-45Unify-union e-11 e-22))))) eff-10))))))))) eff-9))))))))) eff-8))))))))) eff-7))))))))) eff-6)))))))))) eff-5))))))))) eff-4))))))))) eff-3))))))))) eff-2)))))))))))) eff-1))))))))))))(else (CoreC-45Unify-convertError arg-2 arg-0 arg-4 arg-5 (vector 0 arg-6 arg-7 arg-8 arg-9) (vector 0 arg-10 arg-11 arg-12 arg-13)))))))))(else (CoreC-45Unify-convertError arg-2 arg-0 arg-4 arg-5 (vector 0 arg-6 arg-7 arg-8 arg-9) (vector 0 arg-10 arg-11 arg-12 arg-13))))))
(define CoreC-45Unify-unifyBothApps (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11) (case (vector-ref arg-7 0) ((0) (let ((e-50 (vector-ref arg-7 1))) (let ((e-51 (vector-ref arg-7 2))) (if (null? arg-8) (case (vector-ref arg-10 0) ((0) (let ((e-56 (vector-ref arg-10 1))) (let ((e-57 (vector-ref arg-10 2))) (if (null? arg-11) (let ((sc4 (or (and (= e-51 e-57) 1) 0))) (cond ((equal? sc4 1) (lambda (eta-0) (vector 1 (CoreC-45Unify-success)))) (else (CoreC-45Unify-convertError arg-2 arg-0 arg-4 arg-5 (vector 1 arg-6 (vector 0 e-50 e-51) '()) (vector 1 arg-9 (vector 0 e-56 e-57) '()))))) (if (null? arg-3) (case (vector-ref arg-7 0) ((0) (let ((e-20 (vector-ref arg-7 1))) (let ((e-21 (vector-ref arg-7 2))) (case (vector-ref arg-10 0) ((0) (let ((e-29 (vector-ref arg-10 1))) (let ((e-30 (vector-ref arg-10 2))) (let ((eff-0 (CoreC-45ContextC-45Log-log arg-0 "unify.application" 10 (lambda () "Both local apps, unifyIfEq")))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45Unify-unifyIfEq arg-0 arg-1 arg-2 1 arg-4 arg-3 arg-5 (vector 1 arg-6 (vector 0 e-20 e-21) arg-8) (vector 1 arg-9 (vector 0 e-29 e-30) arg-11)))) eff-1)))))))))(else (case (vector-ref arg-10 0) ((2) (let ((e-15 (vector-ref arg-10 1))) (let ((e-16 (vector-ref arg-10 2))) (let ((e-17 (vector-ref arg-10 3))) (let ((sc7 (CoreC-45Unify-u--C-47C-61_Eq_UnifyMode (let ((e-1 (cdr arg-3))) e-1) 2))) (cond ((equal? sc7 1) (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 1 arg-3 arg-4 arg-5 arg-6 (vector 2 e-15 e-16 e-17) arg-11 (vector 1 arg-6 arg-7 arg-8))) (else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 (vector 2 e-15 e-16 e-17) arg-11)))))))))(else (if (null? arg-3) (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11)) (let ((e-0 (car arg-3))) (let ((e-1 (cdr arg-3))) (cond ((equal? e-1 3) (case (vector-ref arg-7 0) ((1) (let ((e-3 (vector-ref arg-7 1))) (let ((e-4 (vector-ref arg-7 2))) (case (vector-ref arg-10 0) ((1) (let ((e-6 (vector-ref arg-10 1))) (let ((e-7 (vector-ref arg-10 2))) (let ((u--mode (cons e-0 3))) (let ((u--fx (vector 1 e-3 e-4))) (let ((u--fy (vector 1 e-6 e-7))) (let ((sc10 (CoreC-45Name-u--C-61C-61_Eq_Name e-4 e-7))) (cond ((equal? sc10 1) (CoreC-45Unify-unifyArgs (csegen-3192) arg-2 arg-0 arg-1 u--mode arg-4 arg-5 ((csegen-947) arg-8) ((csegen-947) arg-11))) (else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 u--mode arg-4 arg-5 arg-6 u--fx arg-8 (vector 1 arg-9 u--fy arg-11)))))))))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11)))))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11))))) ((equal? e-1 2) (case (vector-ref arg-7 0) ((1) (let ((e-9 (vector-ref arg-7 1))) (let ((e-10 (vector-ref arg-7 2))) (case (vector-ref arg-10 0) ((1) (let ((e-12 (vector-ref arg-10 1))) (let ((e-13 (vector-ref arg-10 2))) (let ((u--mode (cons e-0 2))) (let ((u--fx (vector 1 e-9 e-10))) (let ((u--fy (vector 1 e-12 e-13))) (let ((sc10 (CoreC-45Name-u--C-61C-61_Eq_Name e-10 e-13))) (cond ((equal? sc10 1) (let ((eff-0 (CoreC-45ContextC-45Log-unverifiedLogC arg-0 "unify.application" 5 (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Core-traverseC-39 (lambda (clam-0) (CoreC-45NormaliseC-45Quote-u--quote_Quote_Closure arg-0 arg-2 e-5 arg-5 clam-0)) ((csegen-947) arg-8) '()))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Core-traverseC-39 (lambda (clam-0) (CoreC-45NormaliseC-45Quote-u--quote_Quote_Closure arg-0 arg-2 e-5 arg-5 clam-0)) ((csegen-947) arg-11) '()))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (string-append "Matching args " (string-append (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (cons (lambda (u--x) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-2 u--x)) (lambda (u--d) (lambda (u--x) (CoreC-45TT-u--showPrec_Show_C-40TermC-32C-36varsC-41 arg-2 u--d u--x)))) e-6) (string-append " " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (cons (lambda (u--x) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-2 u--x)) (lambda (u--d) (lambda (u--x) (CoreC-45TT-u--showPrec_Show_C-40TermC-32C-36varsC-41 arg-2 u--d u--x)))) e-7)))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45Unify-unifyArgs (csegen-3192) arg-2 arg-0 arg-1 u--mode arg-4 arg-5 ((csegen-947) arg-8) ((csegen-947) arg-11)))) eff-1))))))) (else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 u--mode arg-4 arg-5 arg-6 u--fx arg-8 (vector 1 arg-9 u--fy arg-11)))))))))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11)))))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11)))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11)))))))))))))) ((2) (let ((e-24 (vector-ref arg-7 1))) (let ((e-25 (vector-ref arg-7 2))) (let ((e-26 (vector-ref arg-7 3))) (case (vector-ref arg-10 0) ((2) (let ((e-33 (vector-ref arg-10 1))) (let ((e-34 (vector-ref arg-10 2))) (let ((e-35 (vector-ref arg-10 3))) (let ((eff-0 (CoreC-45Unify-isDefInvertible arg-0 arg-4 e-25))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((sc8 (let ((sc9 (PreludeC-45EqOrd-u--C-61C-61_Eq_Int e-25 e-34))) (cond ((equal? sc9 1) (cond ((equal? e-5 1) 1) (else (CoreC-45Unify-u--C-61C-61_Eq_UnifyMode (let ((e-1 (cdr arg-3))) e-1) 3)))) (else 0))))) (cond ((equal? sc8 1) (CoreC-45Unify-unifyArgs (csegen-3192) arg-2 arg-0 arg-1 arg-3 arg-4 arg-5 (PreludeC-45TypesC-45List-tailRecAppend e-26 ((csegen-947) arg-8)) (PreludeC-45TypesC-45List-tailRecAppend e-35 ((csegen-947) arg-11)))) (else (let ((eff-1 (CoreC-45Unify-n--14733-22708-u--localsIn arg-2 e-26 e-25 e-24 e-35 e-34 e-33 arg-11 arg-9 arg-8 arg-6 arg-5 arg-4 arg-3 arg-1 arg-0 e-26))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Unify-n--14733-22708-u--localsIn arg-2 e-26 e-25 e-24 e-35 e-34 e-33 arg-11 arg-9 arg-8 arg-6 arg-5 arg-4 arg-3 arg-1 arg-0 e-35))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((u--xbigger (let ((sc11 (PreludeC-45Types-u--C-62_Ord_Nat e-6 e-7))) (cond ((equal? sc11 1) 1) (else (let ((sc12 (or (and (= e-6 e-7) 1) 0))) (cond ((equal? sc12 1) (PreludeC-45Types-u--C-60C-61_Ord_Nat (PreludeC-45TypesC-45List-lengthTR arg-8) (PreludeC-45TypesC-45List-lengthTR arg-11))) (else 0)))))))) (let ((sc11 (let ((sc12 (cond ((equal? u--xbigger 1) 1) (else (CoreC-45Unify-u--C-61C-61_Eq_UnifyMode (let ((e-1 (cdr arg-3))) e-1) 2))))) (cond ((equal? sc12 1) (let ((sc13 (CoreC-45Unify-n--14733-22707-u--pv arg-2 e-26 e-25 e-24 e-35 e-34 e-33 arg-11 arg-9 arg-8 arg-6 arg-5 arg-4 arg-3 arg-1 arg-0 e-24))) (cond ((equal? sc13 1) 0) (else 1)))) (else 0))))) (cond ((equal? sc11 1) (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 (vector 2 e-24 e-25 e-26) arg-8 (vector 1 arg-9 (vector 2 e-33 e-34 e-35) arg-11))) (else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 1 arg-3 arg-4 arg-5 arg-9 (vector 2 e-33 e-34 e-35) arg-11 (vector 1 arg-6 (vector 2 e-24 e-25 e-26) arg-8)))))))) eff-3))))))))) eff-2)))))))))))) eff-1)))))))))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 (vector 2 e-24 e-25 e-26) arg-8 (vector 1 arg-9 arg-10 arg-11))))))))(else (case (vector-ref arg-10 0) ((2) (let ((e-15 (vector-ref arg-10 1))) (let ((e-16 (vector-ref arg-10 2))) (let ((e-17 (vector-ref arg-10 3))) (let ((sc6 (CoreC-45Unify-u--C-47C-61_Eq_UnifyMode (let ((e-1 (cdr arg-3))) e-1) 2))) (cond ((equal? sc6 1) (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 1 arg-3 arg-4 arg-5 arg-6 (vector 2 e-15 e-16 e-17) arg-11 (vector 1 arg-6 arg-7 arg-8))) (else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 (vector 2 e-15 e-16 e-17) arg-11)))))))))(else (if (null? arg-3) (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11)) (let ((e-0 (car arg-3))) (let ((e-1 (cdr arg-3))) (cond ((equal? e-1 3) (case (vector-ref arg-7 0) ((1) (let ((e-3 (vector-ref arg-7 1))) (let ((e-4 (vector-ref arg-7 2))) (case (vector-ref arg-10 0) ((1) (let ((e-6 (vector-ref arg-10 1))) (let ((e-7 (vector-ref arg-10 2))) (let ((u--mode (cons e-0 3))) (let ((u--fx (vector 1 e-3 e-4))) (let ((u--fy (vector 1 e-6 e-7))) (let ((sc9 (CoreC-45Name-u--C-61C-61_Eq_Name e-4 e-7))) (cond ((equal? sc9 1) (CoreC-45Unify-unifyArgs (csegen-3192) arg-2 arg-0 arg-1 u--mode arg-4 arg-5 ((csegen-947) arg-8) ((csegen-947) arg-11))) (else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 u--mode arg-4 arg-5 arg-6 u--fx arg-8 (vector 1 arg-9 u--fy arg-11)))))))))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11)))))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11))))) ((equal? e-1 2) (case (vector-ref arg-7 0) ((1) (let ((e-9 (vector-ref arg-7 1))) (let ((e-10 (vector-ref arg-7 2))) (case (vector-ref arg-10 0) ((1) (let ((e-12 (vector-ref arg-10 1))) (let ((e-13 (vector-ref arg-10 2))) (let ((u--mode (cons e-0 2))) (let ((u--fx (vector 1 e-9 e-10))) (let ((u--fy (vector 1 e-12 e-13))) (let ((sc9 (CoreC-45Name-u--C-61C-61_Eq_Name e-10 e-13))) (cond ((equal? sc9 1) (let ((eff-0 (CoreC-45ContextC-45Log-unverifiedLogC arg-0 "unify.application" 5 (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Core-traverseC-39 (lambda (clam-0) (CoreC-45NormaliseC-45Quote-u--quote_Quote_Closure arg-0 arg-2 e-5 arg-5 clam-0)) ((csegen-947) arg-8) '()))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Core-traverseC-39 (lambda (clam-0) (CoreC-45NormaliseC-45Quote-u--quote_Quote_Closure arg-0 arg-2 e-5 arg-5 clam-0)) ((csegen-947) arg-11) '()))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (string-append "Matching args " (string-append (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (cons (lambda (u--x) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-2 u--x)) (lambda (u--d) (lambda (u--x) (CoreC-45TT-u--showPrec_Show_C-40TermC-32C-36varsC-41 arg-2 u--d u--x)))) e-6) (string-append " " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (cons (lambda (u--x) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-2 u--x)) (lambda (u--d) (lambda (u--x) (CoreC-45TT-u--showPrec_Show_C-40TermC-32C-36varsC-41 arg-2 u--d u--x)))) e-7)))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45Unify-unifyArgs (csegen-3192) arg-2 arg-0 arg-1 u--mode arg-4 arg-5 ((csegen-947) arg-8) ((csegen-947) arg-11)))) eff-1))))))) (else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 u--mode arg-4 arg-5 arg-6 u--fx arg-8 (vector 1 arg-9 u--fy arg-11)))))))))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11)))))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11)))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11))))))))))) (let ((e-36 (car arg-3))) (let ((e-37 (cdr arg-3))) (cond ((equal? e-37 1) (case (vector-ref arg-7 0) ((0) (let ((e-40 (vector-ref arg-7 1))) (let ((e-41 (vector-ref arg-7 2))) (case (vector-ref arg-10 0) ((0) (let ((e-45 (vector-ref arg-10 1))) (let ((e-46 (vector-ref arg-10 2))) (let ((u--mode (cons e-36 1))) (let ((sc8 (or (and (= e-41 e-46) 1) 0))) (cond ((equal? sc8 1) (CoreC-45Unify-unifyArgs (csegen-3192) arg-2 arg-0 arg-1 u--mode arg-4 arg-5 ((csegen-947) arg-8) ((csegen-947) arg-11))) (else (CoreC-45Unify-postpone arg-2 arg-0 arg-1 arg-4 u--mode "Postponing local app" arg-5 (vector 1 arg-6 (vector 0 e-40 e-41) arg-8) (vector 1 arg-9 (vector 0 e-45 e-46) arg-11)))))))))(else (case (vector-ref arg-7 0) ((0) (let ((e-20 (vector-ref arg-7 1))) (let ((e-21 (vector-ref arg-7 2))) (case (vector-ref arg-10 0) ((0) (let ((e-29 (vector-ref arg-10 1))) (let ((e-30 (vector-ref arg-10 2))) (let ((eff-0 (CoreC-45ContextC-45Log-log arg-0 "unify.application" 10 (lambda () "Both local apps, unifyIfEq")))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45Unify-unifyIfEq arg-0 arg-1 arg-2 1 arg-4 arg-3 arg-5 (vector 1 arg-6 (vector 0 e-20 e-21) arg-8) (vector 1 arg-9 (vector 0 e-29 e-30) arg-11)))) eff-1)))))))))(else (case (vector-ref arg-10 0) ((2) (let ((e-15 (vector-ref arg-10 1))) (let ((e-16 (vector-ref arg-10 2))) (let ((e-17 (vector-ref arg-10 3))) (let ((sc9 (CoreC-45Unify-u--C-47C-61_Eq_UnifyMode (let ((e-1 (cdr arg-3))) e-1) 2))) (cond ((equal? sc9 1) (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 1 arg-3 arg-4 arg-5 arg-6 (vector 2 e-15 e-16 e-17) arg-11 (vector 1 arg-6 arg-7 arg-8))) (else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 (vector 2 e-15 e-16 e-17) arg-11)))))))))(else (if (null? arg-3) (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11)) (let ((e-0 (car arg-3))) (let ((e-1 (cdr arg-3))) (cond ((equal? e-1 3) (case (vector-ref arg-7 0) ((1) (let ((e-3 (vector-ref arg-7 1))) (let ((e-4 (vector-ref arg-7 2))) (case (vector-ref arg-10 0) ((1) (let ((e-6 (vector-ref arg-10 1))) (let ((e-7 (vector-ref arg-10 2))) (let ((u--mode (cons e-0 3))) (let ((u--fx (vector 1 e-3 e-4))) (let ((u--fy (vector 1 e-6 e-7))) (let ((sc12 (CoreC-45Name-u--C-61C-61_Eq_Name e-4 e-7))) (cond ((equal? sc12 1) (CoreC-45Unify-unifyArgs (csegen-3192) arg-2 arg-0 arg-1 u--mode arg-4 arg-5 ((csegen-947) arg-8) ((csegen-947) arg-11))) (else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 u--mode arg-4 arg-5 arg-6 u--fx arg-8 (vector 1 arg-9 u--fy arg-11)))))))))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11)))))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11))))) ((equal? e-1 2) (case (vector-ref arg-7 0) ((1) (let ((e-9 (vector-ref arg-7 1))) (let ((e-10 (vector-ref arg-7 2))) (case (vector-ref arg-10 0) ((1) (let ((e-12 (vector-ref arg-10 1))) (let ((e-13 (vector-ref arg-10 2))) (let ((u--mode (cons e-0 2))) (let ((u--fx (vector 1 e-9 e-10))) (let ((u--fy (vector 1 e-12 e-13))) (let ((sc12 (CoreC-45Name-u--C-61C-61_Eq_Name e-10 e-13))) (cond ((equal? sc12 1) (let ((eff-0 (CoreC-45ContextC-45Log-unverifiedLogC arg-0 "unify.application" 5 (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Core-traverseC-39 (lambda (clam-0) (CoreC-45NormaliseC-45Quote-u--quote_Quote_Closure arg-0 arg-2 e-5 arg-5 clam-0)) ((csegen-947) arg-8) '()))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Core-traverseC-39 (lambda (clam-0) (CoreC-45NormaliseC-45Quote-u--quote_Quote_Closure arg-0 arg-2 e-5 arg-5 clam-0)) ((csegen-947) arg-11) '()))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (string-append "Matching args " (string-append (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (cons (lambda (u--x) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-2 u--x)) (lambda (u--d) (lambda (u--x) (CoreC-45TT-u--showPrec_Show_C-40TermC-32C-36varsC-41 arg-2 u--d u--x)))) e-6) (string-append " " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (cons (lambda (u--x) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-2 u--x)) (lambda (u--d) (lambda (u--x) (CoreC-45TT-u--showPrec_Show_C-40TermC-32C-36varsC-41 arg-2 u--d u--x)))) e-7)))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45Unify-unifyArgs (csegen-3192) arg-2 arg-0 arg-1 u--mode arg-4 arg-5 ((csegen-947) arg-8) ((csegen-947) arg-11)))) eff-1))))))) (else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 u--mode arg-4 arg-5 arg-6 u--fx arg-8 (vector 1 arg-9 u--fy arg-11)))))))))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11)))))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11)))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11)))))))))))))) ((2) (let ((e-24 (vector-ref arg-7 1))) (let ((e-25 (vector-ref arg-7 2))) (let ((e-26 (vector-ref arg-7 3))) (case (vector-ref arg-10 0) ((2) (let ((e-33 (vector-ref arg-10 1))) (let ((e-34 (vector-ref arg-10 2))) (let ((e-35 (vector-ref arg-10 3))) (let ((eff-0 (CoreC-45Unify-isDefInvertible arg-0 arg-4 e-25))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((sc10 (let ((sc11 (PreludeC-45EqOrd-u--C-61C-61_Eq_Int e-25 e-34))) (cond ((equal? sc11 1) (cond ((equal? e-5 1) 1) (else (CoreC-45Unify-u--C-61C-61_Eq_UnifyMode (let ((e-1 (cdr arg-3))) e-1) 3)))) (else 0))))) (cond ((equal? sc10 1) (CoreC-45Unify-unifyArgs (csegen-3192) arg-2 arg-0 arg-1 arg-3 arg-4 arg-5 (PreludeC-45TypesC-45List-tailRecAppend e-26 ((csegen-947) arg-8)) (PreludeC-45TypesC-45List-tailRecAppend e-35 ((csegen-947) arg-11)))) (else (let ((eff-1 (CoreC-45Unify-n--14733-22708-u--localsIn arg-2 e-26 e-25 e-24 e-35 e-34 e-33 arg-11 arg-9 arg-8 arg-6 arg-5 arg-4 arg-3 arg-1 arg-0 e-26))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Unify-n--14733-22708-u--localsIn arg-2 e-26 e-25 e-24 e-35 e-34 e-33 arg-11 arg-9 arg-8 arg-6 arg-5 arg-4 arg-3 arg-1 arg-0 e-35))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((u--xbigger (let ((sc13 (PreludeC-45Types-u--C-62_Ord_Nat e-6 e-7))) (cond ((equal? sc13 1) 1) (else (let ((sc14 (or (and (= e-6 e-7) 1) 0))) (cond ((equal? sc14 1) (PreludeC-45Types-u--C-60C-61_Ord_Nat (PreludeC-45TypesC-45List-lengthTR arg-8) (PreludeC-45TypesC-45List-lengthTR arg-11))) (else 0)))))))) (let ((sc13 (let ((sc14 (cond ((equal? u--xbigger 1) 1) (else (CoreC-45Unify-u--C-61C-61_Eq_UnifyMode (let ((e-1 (cdr arg-3))) e-1) 2))))) (cond ((equal? sc14 1) (let ((sc15 (CoreC-45Unify-n--14733-22707-u--pv arg-2 e-26 e-25 e-24 e-35 e-34 e-33 arg-11 arg-9 arg-8 arg-6 arg-5 arg-4 arg-3 arg-1 arg-0 e-24))) (cond ((equal? sc15 1) 0) (else 1)))) (else 0))))) (cond ((equal? sc13 1) (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 (vector 2 e-24 e-25 e-26) arg-8 (vector 1 arg-9 (vector 2 e-33 e-34 e-35) arg-11))) (else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 1 arg-3 arg-4 arg-5 arg-9 (vector 2 e-33 e-34 e-35) arg-11 (vector 1 arg-6 (vector 2 e-24 e-25 e-26) arg-8)))))))) eff-3))))))))) eff-2)))))))))))) eff-1)))))))))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 (vector 2 e-24 e-25 e-26) arg-8 (vector 1 arg-9 arg-10 arg-11))))))))(else (case (vector-ref arg-10 0) ((2) (let ((e-15 (vector-ref arg-10 1))) (let ((e-16 (vector-ref arg-10 2))) (let ((e-17 (vector-ref arg-10 3))) (let ((sc8 (CoreC-45Unify-u--C-47C-61_Eq_UnifyMode (let ((e-1 (cdr arg-3))) e-1) 2))) (cond ((equal? sc8 1) (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 1 arg-3 arg-4 arg-5 arg-6 (vector 2 e-15 e-16 e-17) arg-11 (vector 1 arg-6 arg-7 arg-8))) (else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 (vector 2 e-15 e-16 e-17) arg-11)))))))))(else (if (null? arg-3) (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11)) (let ((e-0 (car arg-3))) (let ((e-1 (cdr arg-3))) (cond ((equal? e-1 3) (case (vector-ref arg-7 0) ((1) (let ((e-3 (vector-ref arg-7 1))) (let ((e-4 (vector-ref arg-7 2))) (case (vector-ref arg-10 0) ((1) (let ((e-6 (vector-ref arg-10 1))) (let ((e-7 (vector-ref arg-10 2))) (let ((u--mode (cons e-0 3))) (let ((u--fx (vector 1 e-3 e-4))) (let ((u--fy (vector 1 e-6 e-7))) (let ((sc11 (CoreC-45Name-u--C-61C-61_Eq_Name e-4 e-7))) (cond ((equal? sc11 1) (CoreC-45Unify-unifyArgs (csegen-3192) arg-2 arg-0 arg-1 u--mode arg-4 arg-5 ((csegen-947) arg-8) ((csegen-947) arg-11))) (else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 u--mode arg-4 arg-5 arg-6 u--fx arg-8 (vector 1 arg-9 u--fy arg-11)))))))))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11)))))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11))))) ((equal? e-1 2) (case (vector-ref arg-7 0) ((1) (let ((e-9 (vector-ref arg-7 1))) (let ((e-10 (vector-ref arg-7 2))) (case (vector-ref arg-10 0) ((1) (let ((e-12 (vector-ref arg-10 1))) (let ((e-13 (vector-ref arg-10 2))) (let ((u--mode (cons e-0 2))) (let ((u--fx (vector 1 e-9 e-10))) (let ((u--fy (vector 1 e-12 e-13))) (let ((sc11 (CoreC-45Name-u--C-61C-61_Eq_Name e-10 e-13))) (cond ((equal? sc11 1) (let ((eff-0 (CoreC-45ContextC-45Log-unverifiedLogC arg-0 "unify.application" 5 (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Core-traverseC-39 (lambda (clam-0) (CoreC-45NormaliseC-45Quote-u--quote_Quote_Closure arg-0 arg-2 e-5 arg-5 clam-0)) ((csegen-947) arg-8) '()))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Core-traverseC-39 (lambda (clam-0) (CoreC-45NormaliseC-45Quote-u--quote_Quote_Closure arg-0 arg-2 e-5 arg-5 clam-0)) ((csegen-947) arg-11) '()))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (string-append "Matching args " (string-append (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (cons (lambda (u--x) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-2 u--x)) (lambda (u--d) (lambda (u--x) (CoreC-45TT-u--showPrec_Show_C-40TermC-32C-36varsC-41 arg-2 u--d u--x)))) e-6) (string-append " " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (cons (lambda (u--x) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-2 u--x)) (lambda (u--d) (lambda (u--x) (CoreC-45TT-u--showPrec_Show_C-40TermC-32C-36varsC-41 arg-2 u--d u--x)))) e-7)))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45Unify-unifyArgs (csegen-3192) arg-2 arg-0 arg-1 u--mode arg-4 arg-5 ((csegen-947) arg-8) ((csegen-947) arg-11)))) eff-1))))))) (else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 u--mode arg-4 arg-5 arg-6 u--fx arg-8 (vector 1 arg-9 u--fy arg-11)))))))))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11)))))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11)))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11))))))))))))))))(else (case (vector-ref arg-7 0) ((0) (let ((e-20 (vector-ref arg-7 1))) (let ((e-21 (vector-ref arg-7 2))) (case (vector-ref arg-10 0) ((0) (let ((e-29 (vector-ref arg-10 1))) (let ((e-30 (vector-ref arg-10 2))) (let ((eff-0 (CoreC-45ContextC-45Log-log arg-0 "unify.application" 10 (lambda () "Both local apps, unifyIfEq")))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45Unify-unifyIfEq arg-0 arg-1 arg-2 1 arg-4 arg-3 arg-5 (vector 1 arg-6 (vector 0 e-20 e-21) arg-8) (vector 1 arg-9 (vector 0 e-29 e-30) arg-11)))) eff-1)))))))))(else (case (vector-ref arg-10 0) ((2) (let ((e-15 (vector-ref arg-10 1))) (let ((e-16 (vector-ref arg-10 2))) (let ((e-17 (vector-ref arg-10 3))) (let ((sc8 (CoreC-45Unify-u--C-47C-61_Eq_UnifyMode (let ((e-1 (cdr arg-3))) e-1) 2))) (cond ((equal? sc8 1) (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 1 arg-3 arg-4 arg-5 arg-6 (vector 2 e-15 e-16 e-17) arg-11 (vector 1 arg-6 arg-7 arg-8))) (else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 (vector 2 e-15 e-16 e-17) arg-11)))))))))(else (if (null? arg-3) (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11)) (let ((e-0 (car arg-3))) (let ((e-1 (cdr arg-3))) (cond ((equal? e-1 3) (case (vector-ref arg-7 0) ((1) (let ((e-3 (vector-ref arg-7 1))) (let ((e-4 (vector-ref arg-7 2))) (case (vector-ref arg-10 0) ((1) (let ((e-6 (vector-ref arg-10 1))) (let ((e-7 (vector-ref arg-10 2))) (let ((u--mode (cons e-0 3))) (let ((u--fx (vector 1 e-3 e-4))) (let ((u--fy (vector 1 e-6 e-7))) (let ((sc11 (CoreC-45Name-u--C-61C-61_Eq_Name e-4 e-7))) (cond ((equal? sc11 1) (CoreC-45Unify-unifyArgs (csegen-3192) arg-2 arg-0 arg-1 u--mode arg-4 arg-5 ((csegen-947) arg-8) ((csegen-947) arg-11))) (else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 u--mode arg-4 arg-5 arg-6 u--fx arg-8 (vector 1 arg-9 u--fy arg-11)))))))))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11)))))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11))))) ((equal? e-1 2) (case (vector-ref arg-7 0) ((1) (let ((e-9 (vector-ref arg-7 1))) (let ((e-10 (vector-ref arg-7 2))) (case (vector-ref arg-10 0) ((1) (let ((e-12 (vector-ref arg-10 1))) (let ((e-13 (vector-ref arg-10 2))) (let ((u--mode (cons e-0 2))) (let ((u--fx (vector 1 e-9 e-10))) (let ((u--fy (vector 1 e-12 e-13))) (let ((sc11 (CoreC-45Name-u--C-61C-61_Eq_Name e-10 e-13))) (cond ((equal? sc11 1) (let ((eff-0 (CoreC-45ContextC-45Log-unverifiedLogC arg-0 "unify.application" 5 (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Core-traverseC-39 (lambda (clam-0) (CoreC-45NormaliseC-45Quote-u--quote_Quote_Closure arg-0 arg-2 e-5 arg-5 clam-0)) ((csegen-947) arg-8) '()))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Core-traverseC-39 (lambda (clam-0) (CoreC-45NormaliseC-45Quote-u--quote_Quote_Closure arg-0 arg-2 e-5 arg-5 clam-0)) ((csegen-947) arg-11) '()))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (string-append "Matching args " (string-append (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (cons (lambda (u--x) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-2 u--x)) (lambda (u--d) (lambda (u--x) (CoreC-45TT-u--showPrec_Show_C-40TermC-32C-36varsC-41 arg-2 u--d u--x)))) e-6) (string-append " " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (cons (lambda (u--x) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-2 u--x)) (lambda (u--d) (lambda (u--x) (CoreC-45TT-u--showPrec_Show_C-40TermC-32C-36varsC-41 arg-2 u--d u--x)))) e-7)))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45Unify-unifyArgs (csegen-3192) arg-2 arg-0 arg-1 u--mode arg-4 arg-5 ((csegen-947) arg-8) ((csegen-947) arg-11)))) eff-1))))))) (else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 u--mode arg-4 arg-5 arg-6 u--fx arg-8 (vector 1 arg-9 u--fy arg-11)))))))))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11)))))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11)))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11)))))))))))))) ((2) (let ((e-24 (vector-ref arg-7 1))) (let ((e-25 (vector-ref arg-7 2))) (let ((e-26 (vector-ref arg-7 3))) (case (vector-ref arg-10 0) ((2) (let ((e-33 (vector-ref arg-10 1))) (let ((e-34 (vector-ref arg-10 2))) (let ((e-35 (vector-ref arg-10 3))) (let ((eff-0 (CoreC-45Unify-isDefInvertible arg-0 arg-4 e-25))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((sc9 (let ((sc10 (PreludeC-45EqOrd-u--C-61C-61_Eq_Int e-25 e-34))) (cond ((equal? sc10 1) (cond ((equal? e-5 1) 1) (else (CoreC-45Unify-u--C-61C-61_Eq_UnifyMode (let ((e-1 (cdr arg-3))) e-1) 3)))) (else 0))))) (cond ((equal? sc9 1) (CoreC-45Unify-unifyArgs (csegen-3192) arg-2 arg-0 arg-1 arg-3 arg-4 arg-5 (PreludeC-45TypesC-45List-tailRecAppend e-26 ((csegen-947) arg-8)) (PreludeC-45TypesC-45List-tailRecAppend e-35 ((csegen-947) arg-11)))) (else (let ((eff-1 (CoreC-45Unify-n--14733-22708-u--localsIn arg-2 e-26 e-25 e-24 e-35 e-34 e-33 arg-11 arg-9 arg-8 arg-6 arg-5 arg-4 arg-3 arg-1 arg-0 e-26))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Unify-n--14733-22708-u--localsIn arg-2 e-26 e-25 e-24 e-35 e-34 e-33 arg-11 arg-9 arg-8 arg-6 arg-5 arg-4 arg-3 arg-1 arg-0 e-35))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((u--xbigger (let ((sc12 (PreludeC-45Types-u--C-62_Ord_Nat e-6 e-7))) (cond ((equal? sc12 1) 1) (else (let ((sc13 (or (and (= e-6 e-7) 1) 0))) (cond ((equal? sc13 1) (PreludeC-45Types-u--C-60C-61_Ord_Nat (PreludeC-45TypesC-45List-lengthTR arg-8) (PreludeC-45TypesC-45List-lengthTR arg-11))) (else 0)))))))) (let ((sc12 (let ((sc13 (cond ((equal? u--xbigger 1) 1) (else (CoreC-45Unify-u--C-61C-61_Eq_UnifyMode (let ((e-1 (cdr arg-3))) e-1) 2))))) (cond ((equal? sc13 1) (let ((sc14 (CoreC-45Unify-n--14733-22707-u--pv arg-2 e-26 e-25 e-24 e-35 e-34 e-33 arg-11 arg-9 arg-8 arg-6 arg-5 arg-4 arg-3 arg-1 arg-0 e-24))) (cond ((equal? sc14 1) 0) (else 1)))) (else 0))))) (cond ((equal? sc12 1) (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 (vector 2 e-24 e-25 e-26) arg-8 (vector 1 arg-9 (vector 2 e-33 e-34 e-35) arg-11))) (else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 1 arg-3 arg-4 arg-5 arg-9 (vector 2 e-33 e-34 e-35) arg-11 (vector 1 arg-6 (vector 2 e-24 e-25 e-26) arg-8)))))))) eff-3))))))))) eff-2)))))))))))) eff-1)))))))))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 (vector 2 e-24 e-25 e-26) arg-8 (vector 1 arg-9 arg-10 arg-11))))))))(else (case (vector-ref arg-10 0) ((2) (let ((e-15 (vector-ref arg-10 1))) (let ((e-16 (vector-ref arg-10 2))) (let ((e-17 (vector-ref arg-10 3))) (let ((sc7 (CoreC-45Unify-u--C-47C-61_Eq_UnifyMode (let ((e-1 (cdr arg-3))) e-1) 2))) (cond ((equal? sc7 1) (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 1 arg-3 arg-4 arg-5 arg-6 (vector 2 e-15 e-16 e-17) arg-11 (vector 1 arg-6 arg-7 arg-8))) (else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 (vector 2 e-15 e-16 e-17) arg-11)))))))))(else (if (null? arg-3) (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11)) (let ((e-0 (car arg-3))) (let ((e-1 (cdr arg-3))) (cond ((equal? e-1 3) (case (vector-ref arg-7 0) ((1) (let ((e-3 (vector-ref arg-7 1))) (let ((e-4 (vector-ref arg-7 2))) (case (vector-ref arg-10 0) ((1) (let ((e-6 (vector-ref arg-10 1))) (let ((e-7 (vector-ref arg-10 2))) (let ((u--mode (cons e-0 3))) (let ((u--fx (vector 1 e-3 e-4))) (let ((u--fy (vector 1 e-6 e-7))) (let ((sc10 (CoreC-45Name-u--C-61C-61_Eq_Name e-4 e-7))) (cond ((equal? sc10 1) (CoreC-45Unify-unifyArgs (csegen-3192) arg-2 arg-0 arg-1 u--mode arg-4 arg-5 ((csegen-947) arg-8) ((csegen-947) arg-11))) (else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 u--mode arg-4 arg-5 arg-6 u--fx arg-8 (vector 1 arg-9 u--fy arg-11)))))))))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11)))))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11))))) ((equal? e-1 2) (case (vector-ref arg-7 0) ((1) (let ((e-9 (vector-ref arg-7 1))) (let ((e-10 (vector-ref arg-7 2))) (case (vector-ref arg-10 0) ((1) (let ((e-12 (vector-ref arg-10 1))) (let ((e-13 (vector-ref arg-10 2))) (let ((u--mode (cons e-0 2))) (let ((u--fx (vector 1 e-9 e-10))) (let ((u--fy (vector 1 e-12 e-13))) (let ((sc10 (CoreC-45Name-u--C-61C-61_Eq_Name e-10 e-13))) (cond ((equal? sc10 1) (let ((eff-0 (CoreC-45ContextC-45Log-unverifiedLogC arg-0 "unify.application" 5 (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Core-traverseC-39 (lambda (clam-0) (CoreC-45NormaliseC-45Quote-u--quote_Quote_Closure arg-0 arg-2 e-5 arg-5 clam-0)) ((csegen-947) arg-8) '()))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Core-traverseC-39 (lambda (clam-0) (CoreC-45NormaliseC-45Quote-u--quote_Quote_Closure arg-0 arg-2 e-5 arg-5 clam-0)) ((csegen-947) arg-11) '()))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (string-append "Matching args " (string-append (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (cons (lambda (u--x) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-2 u--x)) (lambda (u--d) (lambda (u--x) (CoreC-45TT-u--showPrec_Show_C-40TermC-32C-36varsC-41 arg-2 u--d u--x)))) e-6) (string-append " " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (cons (lambda (u--x) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-2 u--x)) (lambda (u--d) (lambda (u--x) (CoreC-45TT-u--showPrec_Show_C-40TermC-32C-36varsC-41 arg-2 u--d u--x)))) e-7)))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45Unify-unifyArgs (csegen-3192) arg-2 arg-0 arg-1 u--mode arg-4 arg-5 ((csegen-947) arg-8) ((csegen-947) arg-11)))) eff-1))))))) (else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 u--mode arg-4 arg-5 arg-6 u--fx arg-8 (vector 1 arg-9 u--fy arg-11)))))))))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11)))))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11)))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11))))))))))))))(else (case (vector-ref arg-7 0) ((0) (let ((e-20 (vector-ref arg-7 1))) (let ((e-21 (vector-ref arg-7 2))) (case (vector-ref arg-10 0) ((0) (let ((e-29 (vector-ref arg-10 1))) (let ((e-30 (vector-ref arg-10 2))) (let ((eff-0 (CoreC-45ContextC-45Log-log arg-0 "unify.application" 10 (lambda () "Both local apps, unifyIfEq")))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45Unify-unifyIfEq arg-0 arg-1 arg-2 1 arg-4 arg-3 arg-5 (vector 1 arg-6 (vector 0 e-20 e-21) arg-8) (vector 1 arg-9 (vector 0 e-29 e-30) arg-11)))) eff-1)))))))))(else (case (vector-ref arg-10 0) ((2) (let ((e-15 (vector-ref arg-10 1))) (let ((e-16 (vector-ref arg-10 2))) (let ((e-17 (vector-ref arg-10 3))) (let ((sc7 (CoreC-45Unify-u--C-47C-61_Eq_UnifyMode (let ((e-1 (cdr arg-3))) e-1) 2))) (cond ((equal? sc7 1) (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 1 arg-3 arg-4 arg-5 arg-6 (vector 2 e-15 e-16 e-17) arg-11 (vector 1 arg-6 arg-7 arg-8))) (else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 (vector 2 e-15 e-16 e-17) arg-11)))))))))(else (if (null? arg-3) (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11)) (let ((e-0 (car arg-3))) (let ((e-1 (cdr arg-3))) (cond ((equal? e-1 3) (case (vector-ref arg-7 0) ((1) (let ((e-3 (vector-ref arg-7 1))) (let ((e-4 (vector-ref arg-7 2))) (case (vector-ref arg-10 0) ((1) (let ((e-6 (vector-ref arg-10 1))) (let ((e-7 (vector-ref arg-10 2))) (let ((u--mode (cons e-0 3))) (let ((u--fx (vector 1 e-3 e-4))) (let ((u--fy (vector 1 e-6 e-7))) (let ((sc10 (CoreC-45Name-u--C-61C-61_Eq_Name e-4 e-7))) (cond ((equal? sc10 1) (CoreC-45Unify-unifyArgs (csegen-3192) arg-2 arg-0 arg-1 u--mode arg-4 arg-5 ((csegen-947) arg-8) ((csegen-947) arg-11))) (else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 u--mode arg-4 arg-5 arg-6 u--fx arg-8 (vector 1 arg-9 u--fy arg-11)))))))))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11)))))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11))))) ((equal? e-1 2) (case (vector-ref arg-7 0) ((1) (let ((e-9 (vector-ref arg-7 1))) (let ((e-10 (vector-ref arg-7 2))) (case (vector-ref arg-10 0) ((1) (let ((e-12 (vector-ref arg-10 1))) (let ((e-13 (vector-ref arg-10 2))) (let ((u--mode (cons e-0 2))) (let ((u--fx (vector 1 e-9 e-10))) (let ((u--fy (vector 1 e-12 e-13))) (let ((sc10 (CoreC-45Name-u--C-61C-61_Eq_Name e-10 e-13))) (cond ((equal? sc10 1) (let ((eff-0 (CoreC-45ContextC-45Log-unverifiedLogC arg-0 "unify.application" 5 (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Core-traverseC-39 (lambda (clam-0) (CoreC-45NormaliseC-45Quote-u--quote_Quote_Closure arg-0 arg-2 e-5 arg-5 clam-0)) ((csegen-947) arg-8) '()))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Core-traverseC-39 (lambda (clam-0) (CoreC-45NormaliseC-45Quote-u--quote_Quote_Closure arg-0 arg-2 e-5 arg-5 clam-0)) ((csegen-947) arg-11) '()))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (string-append "Matching args " (string-append (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (cons (lambda (u--x) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-2 u--x)) (lambda (u--d) (lambda (u--x) (CoreC-45TT-u--showPrec_Show_C-40TermC-32C-36varsC-41 arg-2 u--d u--x)))) e-6) (string-append " " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (cons (lambda (u--x) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-2 u--x)) (lambda (u--d) (lambda (u--x) (CoreC-45TT-u--showPrec_Show_C-40TermC-32C-36varsC-41 arg-2 u--d u--x)))) e-7)))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45Unify-unifyArgs (csegen-3192) arg-2 arg-0 arg-1 u--mode arg-4 arg-5 ((csegen-947) arg-8) ((csegen-947) arg-11)))) eff-1))))))) (else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 u--mode arg-4 arg-5 arg-6 u--fx arg-8 (vector 1 arg-9 u--fy arg-11)))))))))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11)))))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11)))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11)))))))))))))) ((2) (let ((e-24 (vector-ref arg-7 1))) (let ((e-25 (vector-ref arg-7 2))) (let ((e-26 (vector-ref arg-7 3))) (case (vector-ref arg-10 0) ((2) (let ((e-33 (vector-ref arg-10 1))) (let ((e-34 (vector-ref arg-10 2))) (let ((e-35 (vector-ref arg-10 3))) (let ((eff-0 (CoreC-45Unify-isDefInvertible arg-0 arg-4 e-25))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((sc8 (let ((sc9 (PreludeC-45EqOrd-u--C-61C-61_Eq_Int e-25 e-34))) (cond ((equal? sc9 1) (cond ((equal? e-5 1) 1) (else (CoreC-45Unify-u--C-61C-61_Eq_UnifyMode (let ((e-1 (cdr arg-3))) e-1) 3)))) (else 0))))) (cond ((equal? sc8 1) (CoreC-45Unify-unifyArgs (csegen-3192) arg-2 arg-0 arg-1 arg-3 arg-4 arg-5 (PreludeC-45TypesC-45List-tailRecAppend e-26 ((csegen-947) arg-8)) (PreludeC-45TypesC-45List-tailRecAppend e-35 ((csegen-947) arg-11)))) (else (let ((eff-1 (CoreC-45Unify-n--14733-22708-u--localsIn arg-2 e-26 e-25 e-24 e-35 e-34 e-33 arg-11 arg-9 arg-8 arg-6 arg-5 arg-4 arg-3 arg-1 arg-0 e-26))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Unify-n--14733-22708-u--localsIn arg-2 e-26 e-25 e-24 e-35 e-34 e-33 arg-11 arg-9 arg-8 arg-6 arg-5 arg-4 arg-3 arg-1 arg-0 e-35))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((u--xbigger (let ((sc11 (PreludeC-45Types-u--C-62_Ord_Nat e-6 e-7))) (cond ((equal? sc11 1) 1) (else (let ((sc12 (or (and (= e-6 e-7) 1) 0))) (cond ((equal? sc12 1) (PreludeC-45Types-u--C-60C-61_Ord_Nat (PreludeC-45TypesC-45List-lengthTR arg-8) (PreludeC-45TypesC-45List-lengthTR arg-11))) (else 0)))))))) (let ((sc11 (let ((sc12 (cond ((equal? u--xbigger 1) 1) (else (CoreC-45Unify-u--C-61C-61_Eq_UnifyMode (let ((e-1 (cdr arg-3))) e-1) 2))))) (cond ((equal? sc12 1) (let ((sc13 (CoreC-45Unify-n--14733-22707-u--pv arg-2 e-26 e-25 e-24 e-35 e-34 e-33 arg-11 arg-9 arg-8 arg-6 arg-5 arg-4 arg-3 arg-1 arg-0 e-24))) (cond ((equal? sc13 1) 0) (else 1)))) (else 0))))) (cond ((equal? sc11 1) (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 (vector 2 e-24 e-25 e-26) arg-8 (vector 1 arg-9 (vector 2 e-33 e-34 e-35) arg-11))) (else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 1 arg-3 arg-4 arg-5 arg-9 (vector 2 e-33 e-34 e-35) arg-11 (vector 1 arg-6 (vector 2 e-24 e-25 e-26) arg-8)))))))) eff-3))))))))) eff-2)))))))))))) eff-1)))))))))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 (vector 2 e-24 e-25 e-26) arg-8 (vector 1 arg-9 arg-10 arg-11))))))))(else (case (vector-ref arg-10 0) ((2) (let ((e-15 (vector-ref arg-10 1))) (let ((e-16 (vector-ref arg-10 2))) (let ((e-17 (vector-ref arg-10 3))) (let ((sc6 (CoreC-45Unify-u--C-47C-61_Eq_UnifyMode (let ((e-1 (cdr arg-3))) e-1) 2))) (cond ((equal? sc6 1) (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 1 arg-3 arg-4 arg-5 arg-6 (vector 2 e-15 e-16 e-17) arg-11 (vector 1 arg-6 arg-7 arg-8))) (else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 (vector 2 e-15 e-16 e-17) arg-11)))))))))(else (if (null? arg-3) (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11)) (let ((e-0 (car arg-3))) (let ((e-1 (cdr arg-3))) (cond ((equal? e-1 3) (case (vector-ref arg-7 0) ((1) (let ((e-3 (vector-ref arg-7 1))) (let ((e-4 (vector-ref arg-7 2))) (case (vector-ref arg-10 0) ((1) (let ((e-6 (vector-ref arg-10 1))) (let ((e-7 (vector-ref arg-10 2))) (let ((u--mode (cons e-0 3))) (let ((u--fx (vector 1 e-3 e-4))) (let ((u--fy (vector 1 e-6 e-7))) (let ((sc9 (CoreC-45Name-u--C-61C-61_Eq_Name e-4 e-7))) (cond ((equal? sc9 1) (CoreC-45Unify-unifyArgs (csegen-3192) arg-2 arg-0 arg-1 u--mode arg-4 arg-5 ((csegen-947) arg-8) ((csegen-947) arg-11))) (else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 u--mode arg-4 arg-5 arg-6 u--fx arg-8 (vector 1 arg-9 u--fy arg-11)))))))))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11)))))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11))))) ((equal? e-1 2) (case (vector-ref arg-7 0) ((1) (let ((e-9 (vector-ref arg-7 1))) (let ((e-10 (vector-ref arg-7 2))) (case (vector-ref arg-10 0) ((1) (let ((e-12 (vector-ref arg-10 1))) (let ((e-13 (vector-ref arg-10 2))) (let ((u--mode (cons e-0 2))) (let ((u--fx (vector 1 e-9 e-10))) (let ((u--fy (vector 1 e-12 e-13))) (let ((sc9 (CoreC-45Name-u--C-61C-61_Eq_Name e-10 e-13))) (cond ((equal? sc9 1) (let ((eff-0 (CoreC-45ContextC-45Log-unverifiedLogC arg-0 "unify.application" 5 (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Core-traverseC-39 (lambda (clam-0) (CoreC-45NormaliseC-45Quote-u--quote_Quote_Closure arg-0 arg-2 e-5 arg-5 clam-0)) ((csegen-947) arg-8) '()))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Core-traverseC-39 (lambda (clam-0) (CoreC-45NormaliseC-45Quote-u--quote_Quote_Closure arg-0 arg-2 e-5 arg-5 clam-0)) ((csegen-947) arg-11) '()))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (string-append "Matching args " (string-append (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (cons (lambda (u--x) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-2 u--x)) (lambda (u--d) (lambda (u--x) (CoreC-45TT-u--showPrec_Show_C-40TermC-32C-36varsC-41 arg-2 u--d u--x)))) e-6) (string-append " " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (cons (lambda (u--x) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-2 u--x)) (lambda (u--d) (lambda (u--x) (CoreC-45TT-u--showPrec_Show_C-40TermC-32C-36varsC-41 arg-2 u--d u--x)))) e-7)))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45Unify-unifyArgs (csegen-3192) arg-2 arg-0 arg-1 u--mode arg-4 arg-5 ((csegen-947) arg-8) ((csegen-947) arg-11)))) eff-1))))))) (else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 u--mode arg-4 arg-5 arg-6 u--fx arg-8 (vector 1 arg-9 u--fy arg-11)))))))))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11)))))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11)))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11))))))))))))))))))))(else (if (null? arg-3) (case (vector-ref arg-7 0) ((0) (let ((e-20 (vector-ref arg-7 1))) (let ((e-21 (vector-ref arg-7 2))) (case (vector-ref arg-10 0) ((0) (let ((e-29 (vector-ref arg-10 1))) (let ((e-30 (vector-ref arg-10 2))) (let ((eff-0 (CoreC-45ContextC-45Log-log arg-0 "unify.application" 10 (lambda () "Both local apps, unifyIfEq")))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45Unify-unifyIfEq arg-0 arg-1 arg-2 1 arg-4 arg-3 arg-5 (vector 1 arg-6 (vector 0 e-20 e-21) arg-8) (vector 1 arg-9 (vector 0 e-29 e-30) arg-11)))) eff-1)))))))))(else (case (vector-ref arg-10 0) ((2) (let ((e-15 (vector-ref arg-10 1))) (let ((e-16 (vector-ref arg-10 2))) (let ((e-17 (vector-ref arg-10 3))) (let ((sc5 (CoreC-45Unify-u--C-47C-61_Eq_UnifyMode (let ((e-1 (cdr arg-3))) e-1) 2))) (cond ((equal? sc5 1) (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 1 arg-3 arg-4 arg-5 arg-6 (vector 2 e-15 e-16 e-17) arg-11 (vector 1 arg-6 arg-7 arg-8))) (else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 (vector 2 e-15 e-16 e-17) arg-11)))))))))(else (if (null? arg-3) (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11)) (let ((e-0 (car arg-3))) (let ((e-1 (cdr arg-3))) (cond ((equal? e-1 3) (case (vector-ref arg-7 0) ((1) (let ((e-3 (vector-ref arg-7 1))) (let ((e-4 (vector-ref arg-7 2))) (case (vector-ref arg-10 0) ((1) (let ((e-6 (vector-ref arg-10 1))) (let ((e-7 (vector-ref arg-10 2))) (let ((u--mode (cons e-0 3))) (let ((u--fx (vector 1 e-3 e-4))) (let ((u--fy (vector 1 e-6 e-7))) (let ((sc8 (CoreC-45Name-u--C-61C-61_Eq_Name e-4 e-7))) (cond ((equal? sc8 1) (CoreC-45Unify-unifyArgs (csegen-3192) arg-2 arg-0 arg-1 u--mode arg-4 arg-5 ((csegen-947) arg-8) ((csegen-947) arg-11))) (else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 u--mode arg-4 arg-5 arg-6 u--fx arg-8 (vector 1 arg-9 u--fy arg-11)))))))))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11)))))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11))))) ((equal? e-1 2) (case (vector-ref arg-7 0) ((1) (let ((e-9 (vector-ref arg-7 1))) (let ((e-10 (vector-ref arg-7 2))) (case (vector-ref arg-10 0) ((1) (let ((e-12 (vector-ref arg-10 1))) (let ((e-13 (vector-ref arg-10 2))) (let ((u--mode (cons e-0 2))) (let ((u--fx (vector 1 e-9 e-10))) (let ((u--fy (vector 1 e-12 e-13))) (let ((sc8 (CoreC-45Name-u--C-61C-61_Eq_Name e-10 e-13))) (cond ((equal? sc8 1) (let ((eff-0 (CoreC-45ContextC-45Log-unverifiedLogC arg-0 "unify.application" 5 (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Core-traverseC-39 (lambda (clam-0) (CoreC-45NormaliseC-45Quote-u--quote_Quote_Closure arg-0 arg-2 e-5 arg-5 clam-0)) ((csegen-947) arg-8) '()))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Core-traverseC-39 (lambda (clam-0) (CoreC-45NormaliseC-45Quote-u--quote_Quote_Closure arg-0 arg-2 e-5 arg-5 clam-0)) ((csegen-947) arg-11) '()))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (string-append "Matching args " (string-append (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (cons (lambda (u--x) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-2 u--x)) (lambda (u--d) (lambda (u--x) (CoreC-45TT-u--showPrec_Show_C-40TermC-32C-36varsC-41 arg-2 u--d u--x)))) e-6) (string-append " " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (cons (lambda (u--x) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-2 u--x)) (lambda (u--d) (lambda (u--x) (CoreC-45TT-u--showPrec_Show_C-40TermC-32C-36varsC-41 arg-2 u--d u--x)))) e-7)))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45Unify-unifyArgs (csegen-3192) arg-2 arg-0 arg-1 u--mode arg-4 arg-5 ((csegen-947) arg-8) ((csegen-947) arg-11)))) eff-1))))))) (else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 u--mode arg-4 arg-5 arg-6 u--fx arg-8 (vector 1 arg-9 u--fy arg-11)))))))))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11)))))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11)))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11)))))))))))))) ((2) (let ((e-24 (vector-ref arg-7 1))) (let ((e-25 (vector-ref arg-7 2))) (let ((e-26 (vector-ref arg-7 3))) (case (vector-ref arg-10 0) ((2) (let ((e-33 (vector-ref arg-10 1))) (let ((e-34 (vector-ref arg-10 2))) (let ((e-35 (vector-ref arg-10 3))) (let ((eff-0 (CoreC-45Unify-isDefInvertible arg-0 arg-4 e-25))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((sc6 (let ((sc7 (PreludeC-45EqOrd-u--C-61C-61_Eq_Int e-25 e-34))) (cond ((equal? sc7 1) (cond ((equal? e-5 1) 1) (else (CoreC-45Unify-u--C-61C-61_Eq_UnifyMode (let ((e-1 (cdr arg-3))) e-1) 3)))) (else 0))))) (cond ((equal? sc6 1) (CoreC-45Unify-unifyArgs (csegen-3192) arg-2 arg-0 arg-1 arg-3 arg-4 arg-5 (PreludeC-45TypesC-45List-tailRecAppend e-26 ((csegen-947) arg-8)) (PreludeC-45TypesC-45List-tailRecAppend e-35 ((csegen-947) arg-11)))) (else (let ((eff-1 (CoreC-45Unify-n--14733-22708-u--localsIn arg-2 e-26 e-25 e-24 e-35 e-34 e-33 arg-11 arg-9 arg-8 arg-6 arg-5 arg-4 arg-3 arg-1 arg-0 e-26))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Unify-n--14733-22708-u--localsIn arg-2 e-26 e-25 e-24 e-35 e-34 e-33 arg-11 arg-9 arg-8 arg-6 arg-5 arg-4 arg-3 arg-1 arg-0 e-35))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((u--xbigger (let ((sc9 (PreludeC-45Types-u--C-62_Ord_Nat e-6 e-7))) (cond ((equal? sc9 1) 1) (else (let ((sc10 (or (and (= e-6 e-7) 1) 0))) (cond ((equal? sc10 1) (PreludeC-45Types-u--C-60C-61_Ord_Nat (PreludeC-45TypesC-45List-lengthTR arg-8) (PreludeC-45TypesC-45List-lengthTR arg-11))) (else 0)))))))) (let ((sc9 (let ((sc10 (cond ((equal? u--xbigger 1) 1) (else (CoreC-45Unify-u--C-61C-61_Eq_UnifyMode (let ((e-1 (cdr arg-3))) e-1) 2))))) (cond ((equal? sc10 1) (let ((sc11 (CoreC-45Unify-n--14733-22707-u--pv arg-2 e-26 e-25 e-24 e-35 e-34 e-33 arg-11 arg-9 arg-8 arg-6 arg-5 arg-4 arg-3 arg-1 arg-0 e-24))) (cond ((equal? sc11 1) 0) (else 1)))) (else 0))))) (cond ((equal? sc9 1) (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 (vector 2 e-24 e-25 e-26) arg-8 (vector 1 arg-9 (vector 2 e-33 e-34 e-35) arg-11))) (else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 1 arg-3 arg-4 arg-5 arg-9 (vector 2 e-33 e-34 e-35) arg-11 (vector 1 arg-6 (vector 2 e-24 e-25 e-26) arg-8)))))))) eff-3))))))))) eff-2)))))))))))) eff-1)))))))))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 (vector 2 e-24 e-25 e-26) arg-8 (vector 1 arg-9 arg-10 arg-11))))))))(else (case (vector-ref arg-10 0) ((2) (let ((e-15 (vector-ref arg-10 1))) (let ((e-16 (vector-ref arg-10 2))) (let ((e-17 (vector-ref arg-10 3))) (let ((sc4 (CoreC-45Unify-u--C-47C-61_Eq_UnifyMode (let ((e-1 (cdr arg-3))) e-1) 2))) (cond ((equal? sc4 1) (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 1 arg-3 arg-4 arg-5 arg-6 (vector 2 e-15 e-16 e-17) arg-11 (vector 1 arg-6 arg-7 arg-8))) (else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 (vector 2 e-15 e-16 e-17) arg-11)))))))))(else (if (null? arg-3) (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11)) (let ((e-0 (car arg-3))) (let ((e-1 (cdr arg-3))) (cond ((equal? e-1 3) (case (vector-ref arg-7 0) ((1) (let ((e-3 (vector-ref arg-7 1))) (let ((e-4 (vector-ref arg-7 2))) (case (vector-ref arg-10 0) ((1) (let ((e-6 (vector-ref arg-10 1))) (let ((e-7 (vector-ref arg-10 2))) (let ((u--mode (cons e-0 3))) (let ((u--fx (vector 1 e-3 e-4))) (let ((u--fy (vector 1 e-6 e-7))) (let ((sc7 (CoreC-45Name-u--C-61C-61_Eq_Name e-4 e-7))) (cond ((equal? sc7 1) (CoreC-45Unify-unifyArgs (csegen-3192) arg-2 arg-0 arg-1 u--mode arg-4 arg-5 ((csegen-947) arg-8) ((csegen-947) arg-11))) (else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 u--mode arg-4 arg-5 arg-6 u--fx arg-8 (vector 1 arg-9 u--fy arg-11)))))))))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11)))))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11))))) ((equal? e-1 2) (case (vector-ref arg-7 0) ((1) (let ((e-9 (vector-ref arg-7 1))) (let ((e-10 (vector-ref arg-7 2))) (case (vector-ref arg-10 0) ((1) (let ((e-12 (vector-ref arg-10 1))) (let ((e-13 (vector-ref arg-10 2))) (let ((u--mode (cons e-0 2))) (let ((u--fx (vector 1 e-9 e-10))) (let ((u--fy (vector 1 e-12 e-13))) (let ((sc7 (CoreC-45Name-u--C-61C-61_Eq_Name e-10 e-13))) (cond ((equal? sc7 1) (let ((eff-0 (CoreC-45ContextC-45Log-unverifiedLogC arg-0 "unify.application" 5 (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Core-traverseC-39 (lambda (clam-0) (CoreC-45NormaliseC-45Quote-u--quote_Quote_Closure arg-0 arg-2 e-5 arg-5 clam-0)) ((csegen-947) arg-8) '()))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Core-traverseC-39 (lambda (clam-0) (CoreC-45NormaliseC-45Quote-u--quote_Quote_Closure arg-0 arg-2 e-5 arg-5 clam-0)) ((csegen-947) arg-11) '()))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (string-append "Matching args " (string-append (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (cons (lambda (u--x) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-2 u--x)) (lambda (u--d) (lambda (u--x) (CoreC-45TT-u--showPrec_Show_C-40TermC-32C-36varsC-41 arg-2 u--d u--x)))) e-6) (string-append " " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (cons (lambda (u--x) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-2 u--x)) (lambda (u--d) (lambda (u--x) (CoreC-45TT-u--showPrec_Show_C-40TermC-32C-36varsC-41 arg-2 u--d u--x)))) e-7)))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45Unify-unifyArgs (csegen-3192) arg-2 arg-0 arg-1 u--mode arg-4 arg-5 ((csegen-947) arg-8) ((csegen-947) arg-11)))) eff-1))))))) (else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 u--mode arg-4 arg-5 arg-6 u--fx arg-8 (vector 1 arg-9 u--fy arg-11)))))))))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11)))))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11)))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11))))))))))) (let ((e-36 (car arg-3))) (let ((e-37 (cdr arg-3))) (cond ((equal? e-37 1) (case (vector-ref arg-7 0) ((0) (let ((e-40 (vector-ref arg-7 1))) (let ((e-41 (vector-ref arg-7 2))) (case (vector-ref arg-10 0) ((0) (let ((e-45 (vector-ref arg-10 1))) (let ((e-46 (vector-ref arg-10 2))) (let ((u--mode (cons e-36 1))) (let ((sc6 (or (and (= e-41 e-46) 1) 0))) (cond ((equal? sc6 1) (CoreC-45Unify-unifyArgs (csegen-3192) arg-2 arg-0 arg-1 u--mode arg-4 arg-5 ((csegen-947) arg-8) ((csegen-947) arg-11))) (else (CoreC-45Unify-postpone arg-2 arg-0 arg-1 arg-4 u--mode "Postponing local app" arg-5 (vector 1 arg-6 (vector 0 e-40 e-41) arg-8) (vector 1 arg-9 (vector 0 e-45 e-46) arg-11)))))))))(else (case (vector-ref arg-7 0) ((0) (let ((e-20 (vector-ref arg-7 1))) (let ((e-21 (vector-ref arg-7 2))) (case (vector-ref arg-10 0) ((0) (let ((e-29 (vector-ref arg-10 1))) (let ((e-30 (vector-ref arg-10 2))) (let ((eff-0 (CoreC-45ContextC-45Log-log arg-0 "unify.application" 10 (lambda () "Both local apps, unifyIfEq")))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45Unify-unifyIfEq arg-0 arg-1 arg-2 1 arg-4 arg-3 arg-5 (vector 1 arg-6 (vector 0 e-20 e-21) arg-8) (vector 1 arg-9 (vector 0 e-29 e-30) arg-11)))) eff-1)))))))))(else (case (vector-ref arg-10 0) ((2) (let ((e-15 (vector-ref arg-10 1))) (let ((e-16 (vector-ref arg-10 2))) (let ((e-17 (vector-ref arg-10 3))) (let ((sc7 (CoreC-45Unify-u--C-47C-61_Eq_UnifyMode (let ((e-1 (cdr arg-3))) e-1) 2))) (cond ((equal? sc7 1) (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 1 arg-3 arg-4 arg-5 arg-6 (vector 2 e-15 e-16 e-17) arg-11 (vector 1 arg-6 arg-7 arg-8))) (else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 (vector 2 e-15 e-16 e-17) arg-11)))))))))(else (if (null? arg-3) (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11)) (let ((e-0 (car arg-3))) (let ((e-1 (cdr arg-3))) (cond ((equal? e-1 3) (case (vector-ref arg-7 0) ((1) (let ((e-3 (vector-ref arg-7 1))) (let ((e-4 (vector-ref arg-7 2))) (case (vector-ref arg-10 0) ((1) (let ((e-6 (vector-ref arg-10 1))) (let ((e-7 (vector-ref arg-10 2))) (let ((u--mode (cons e-0 3))) (let ((u--fx (vector 1 e-3 e-4))) (let ((u--fy (vector 1 e-6 e-7))) (let ((sc10 (CoreC-45Name-u--C-61C-61_Eq_Name e-4 e-7))) (cond ((equal? sc10 1) (CoreC-45Unify-unifyArgs (csegen-3192) arg-2 arg-0 arg-1 u--mode arg-4 arg-5 ((csegen-947) arg-8) ((csegen-947) arg-11))) (else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 u--mode arg-4 arg-5 arg-6 u--fx arg-8 (vector 1 arg-9 u--fy arg-11)))))))))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11)))))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11))))) ((equal? e-1 2) (case (vector-ref arg-7 0) ((1) (let ((e-9 (vector-ref arg-7 1))) (let ((e-10 (vector-ref arg-7 2))) (case (vector-ref arg-10 0) ((1) (let ((e-12 (vector-ref arg-10 1))) (let ((e-13 (vector-ref arg-10 2))) (let ((u--mode (cons e-0 2))) (let ((u--fx (vector 1 e-9 e-10))) (let ((u--fy (vector 1 e-12 e-13))) (let ((sc10 (CoreC-45Name-u--C-61C-61_Eq_Name e-10 e-13))) (cond ((equal? sc10 1) (let ((eff-0 (CoreC-45ContextC-45Log-unverifiedLogC arg-0 "unify.application" 5 (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Core-traverseC-39 (lambda (clam-0) (CoreC-45NormaliseC-45Quote-u--quote_Quote_Closure arg-0 arg-2 e-5 arg-5 clam-0)) ((csegen-947) arg-8) '()))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Core-traverseC-39 (lambda (clam-0) (CoreC-45NormaliseC-45Quote-u--quote_Quote_Closure arg-0 arg-2 e-5 arg-5 clam-0)) ((csegen-947) arg-11) '()))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (string-append "Matching args " (string-append (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (cons (lambda (u--x) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-2 u--x)) (lambda (u--d) (lambda (u--x) (CoreC-45TT-u--showPrec_Show_C-40TermC-32C-36varsC-41 arg-2 u--d u--x)))) e-6) (string-append " " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (cons (lambda (u--x) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-2 u--x)) (lambda (u--d) (lambda (u--x) (CoreC-45TT-u--showPrec_Show_C-40TermC-32C-36varsC-41 arg-2 u--d u--x)))) e-7)))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45Unify-unifyArgs (csegen-3192) arg-2 arg-0 arg-1 u--mode arg-4 arg-5 ((csegen-947) arg-8) ((csegen-947) arg-11)))) eff-1))))))) (else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 u--mode arg-4 arg-5 arg-6 u--fx arg-8 (vector 1 arg-9 u--fy arg-11)))))))))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11)))))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11)))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11)))))))))))))) ((2) (let ((e-24 (vector-ref arg-7 1))) (let ((e-25 (vector-ref arg-7 2))) (let ((e-26 (vector-ref arg-7 3))) (case (vector-ref arg-10 0) ((2) (let ((e-33 (vector-ref arg-10 1))) (let ((e-34 (vector-ref arg-10 2))) (let ((e-35 (vector-ref arg-10 3))) (let ((eff-0 (CoreC-45Unify-isDefInvertible arg-0 arg-4 e-25))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((sc8 (let ((sc9 (PreludeC-45EqOrd-u--C-61C-61_Eq_Int e-25 e-34))) (cond ((equal? sc9 1) (cond ((equal? e-5 1) 1) (else (CoreC-45Unify-u--C-61C-61_Eq_UnifyMode (let ((e-1 (cdr arg-3))) e-1) 3)))) (else 0))))) (cond ((equal? sc8 1) (CoreC-45Unify-unifyArgs (csegen-3192) arg-2 arg-0 arg-1 arg-3 arg-4 arg-5 (PreludeC-45TypesC-45List-tailRecAppend e-26 ((csegen-947) arg-8)) (PreludeC-45TypesC-45List-tailRecAppend e-35 ((csegen-947) arg-11)))) (else (let ((eff-1 (CoreC-45Unify-n--14733-22708-u--localsIn arg-2 e-26 e-25 e-24 e-35 e-34 e-33 arg-11 arg-9 arg-8 arg-6 arg-5 arg-4 arg-3 arg-1 arg-0 e-26))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Unify-n--14733-22708-u--localsIn arg-2 e-26 e-25 e-24 e-35 e-34 e-33 arg-11 arg-9 arg-8 arg-6 arg-5 arg-4 arg-3 arg-1 arg-0 e-35))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((u--xbigger (let ((sc11 (PreludeC-45Types-u--C-62_Ord_Nat e-6 e-7))) (cond ((equal? sc11 1) 1) (else (let ((sc12 (or (and (= e-6 e-7) 1) 0))) (cond ((equal? sc12 1) (PreludeC-45Types-u--C-60C-61_Ord_Nat (PreludeC-45TypesC-45List-lengthTR arg-8) (PreludeC-45TypesC-45List-lengthTR arg-11))) (else 0)))))))) (let ((sc11 (let ((sc12 (cond ((equal? u--xbigger 1) 1) (else (CoreC-45Unify-u--C-61C-61_Eq_UnifyMode (let ((e-1 (cdr arg-3))) e-1) 2))))) (cond ((equal? sc12 1) (let ((sc13 (CoreC-45Unify-n--14733-22707-u--pv arg-2 e-26 e-25 e-24 e-35 e-34 e-33 arg-11 arg-9 arg-8 arg-6 arg-5 arg-4 arg-3 arg-1 arg-0 e-24))) (cond ((equal? sc13 1) 0) (else 1)))) (else 0))))) (cond ((equal? sc11 1) (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 (vector 2 e-24 e-25 e-26) arg-8 (vector 1 arg-9 (vector 2 e-33 e-34 e-35) arg-11))) (else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 1 arg-3 arg-4 arg-5 arg-9 (vector 2 e-33 e-34 e-35) arg-11 (vector 1 arg-6 (vector 2 e-24 e-25 e-26) arg-8)))))))) eff-3))))))))) eff-2)))))))))))) eff-1)))))))))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 (vector 2 e-24 e-25 e-26) arg-8 (vector 1 arg-9 arg-10 arg-11))))))))(else (case (vector-ref arg-10 0) ((2) (let ((e-15 (vector-ref arg-10 1))) (let ((e-16 (vector-ref arg-10 2))) (let ((e-17 (vector-ref arg-10 3))) (let ((sc6 (CoreC-45Unify-u--C-47C-61_Eq_UnifyMode (let ((e-1 (cdr arg-3))) e-1) 2))) (cond ((equal? sc6 1) (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 1 arg-3 arg-4 arg-5 arg-6 (vector 2 e-15 e-16 e-17) arg-11 (vector 1 arg-6 arg-7 arg-8))) (else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 (vector 2 e-15 e-16 e-17) arg-11)))))))))(else (if (null? arg-3) (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11)) (let ((e-0 (car arg-3))) (let ((e-1 (cdr arg-3))) (cond ((equal? e-1 3) (case (vector-ref arg-7 0) ((1) (let ((e-3 (vector-ref arg-7 1))) (let ((e-4 (vector-ref arg-7 2))) (case (vector-ref arg-10 0) ((1) (let ((e-6 (vector-ref arg-10 1))) (let ((e-7 (vector-ref arg-10 2))) (let ((u--mode (cons e-0 3))) (let ((u--fx (vector 1 e-3 e-4))) (let ((u--fy (vector 1 e-6 e-7))) (let ((sc9 (CoreC-45Name-u--C-61C-61_Eq_Name e-4 e-7))) (cond ((equal? sc9 1) (CoreC-45Unify-unifyArgs (csegen-3192) arg-2 arg-0 arg-1 u--mode arg-4 arg-5 ((csegen-947) arg-8) ((csegen-947) arg-11))) (else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 u--mode arg-4 arg-5 arg-6 u--fx arg-8 (vector 1 arg-9 u--fy arg-11)))))))))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11)))))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11))))) ((equal? e-1 2) (case (vector-ref arg-7 0) ((1) (let ((e-9 (vector-ref arg-7 1))) (let ((e-10 (vector-ref arg-7 2))) (case (vector-ref arg-10 0) ((1) (let ((e-12 (vector-ref arg-10 1))) (let ((e-13 (vector-ref arg-10 2))) (let ((u--mode (cons e-0 2))) (let ((u--fx (vector 1 e-9 e-10))) (let ((u--fy (vector 1 e-12 e-13))) (let ((sc9 (CoreC-45Name-u--C-61C-61_Eq_Name e-10 e-13))) (cond ((equal? sc9 1) (let ((eff-0 (CoreC-45ContextC-45Log-unverifiedLogC arg-0 "unify.application" 5 (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Core-traverseC-39 (lambda (clam-0) (CoreC-45NormaliseC-45Quote-u--quote_Quote_Closure arg-0 arg-2 e-5 arg-5 clam-0)) ((csegen-947) arg-8) '()))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Core-traverseC-39 (lambda (clam-0) (CoreC-45NormaliseC-45Quote-u--quote_Quote_Closure arg-0 arg-2 e-5 arg-5 clam-0)) ((csegen-947) arg-11) '()))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (string-append "Matching args " (string-append (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (cons (lambda (u--x) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-2 u--x)) (lambda (u--d) (lambda (u--x) (CoreC-45TT-u--showPrec_Show_C-40TermC-32C-36varsC-41 arg-2 u--d u--x)))) e-6) (string-append " " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (cons (lambda (u--x) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-2 u--x)) (lambda (u--d) (lambda (u--x) (CoreC-45TT-u--showPrec_Show_C-40TermC-32C-36varsC-41 arg-2 u--d u--x)))) e-7)))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45Unify-unifyArgs (csegen-3192) arg-2 arg-0 arg-1 u--mode arg-4 arg-5 ((csegen-947) arg-8) ((csegen-947) arg-11)))) eff-1))))))) (else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 u--mode arg-4 arg-5 arg-6 u--fx arg-8 (vector 1 arg-9 u--fy arg-11)))))))))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11)))))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11)))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11))))))))))))))))(else (case (vector-ref arg-7 0) ((0) (let ((e-20 (vector-ref arg-7 1))) (let ((e-21 (vector-ref arg-7 2))) (case (vector-ref arg-10 0) ((0) (let ((e-29 (vector-ref arg-10 1))) (let ((e-30 (vector-ref arg-10 2))) (let ((eff-0 (CoreC-45ContextC-45Log-log arg-0 "unify.application" 10 (lambda () "Both local apps, unifyIfEq")))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45Unify-unifyIfEq arg-0 arg-1 arg-2 1 arg-4 arg-3 arg-5 (vector 1 arg-6 (vector 0 e-20 e-21) arg-8) (vector 1 arg-9 (vector 0 e-29 e-30) arg-11)))) eff-1)))))))))(else (case (vector-ref arg-10 0) ((2) (let ((e-15 (vector-ref arg-10 1))) (let ((e-16 (vector-ref arg-10 2))) (let ((e-17 (vector-ref arg-10 3))) (let ((sc6 (CoreC-45Unify-u--C-47C-61_Eq_UnifyMode (let ((e-1 (cdr arg-3))) e-1) 2))) (cond ((equal? sc6 1) (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 1 arg-3 arg-4 arg-5 arg-6 (vector 2 e-15 e-16 e-17) arg-11 (vector 1 arg-6 arg-7 arg-8))) (else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 (vector 2 e-15 e-16 e-17) arg-11)))))))))(else (if (null? arg-3) (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11)) (let ((e-0 (car arg-3))) (let ((e-1 (cdr arg-3))) (cond ((equal? e-1 3) (case (vector-ref arg-7 0) ((1) (let ((e-3 (vector-ref arg-7 1))) (let ((e-4 (vector-ref arg-7 2))) (case (vector-ref arg-10 0) ((1) (let ((e-6 (vector-ref arg-10 1))) (let ((e-7 (vector-ref arg-10 2))) (let ((u--mode (cons e-0 3))) (let ((u--fx (vector 1 e-3 e-4))) (let ((u--fy (vector 1 e-6 e-7))) (let ((sc9 (CoreC-45Name-u--C-61C-61_Eq_Name e-4 e-7))) (cond ((equal? sc9 1) (CoreC-45Unify-unifyArgs (csegen-3192) arg-2 arg-0 arg-1 u--mode arg-4 arg-5 ((csegen-947) arg-8) ((csegen-947) arg-11))) (else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 u--mode arg-4 arg-5 arg-6 u--fx arg-8 (vector 1 arg-9 u--fy arg-11)))))))))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11)))))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11))))) ((equal? e-1 2) (case (vector-ref arg-7 0) ((1) (let ((e-9 (vector-ref arg-7 1))) (let ((e-10 (vector-ref arg-7 2))) (case (vector-ref arg-10 0) ((1) (let ((e-12 (vector-ref arg-10 1))) (let ((e-13 (vector-ref arg-10 2))) (let ((u--mode (cons e-0 2))) (let ((u--fx (vector 1 e-9 e-10))) (let ((u--fy (vector 1 e-12 e-13))) (let ((sc9 (CoreC-45Name-u--C-61C-61_Eq_Name e-10 e-13))) (cond ((equal? sc9 1) (let ((eff-0 (CoreC-45ContextC-45Log-unverifiedLogC arg-0 "unify.application" 5 (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Core-traverseC-39 (lambda (clam-0) (CoreC-45NormaliseC-45Quote-u--quote_Quote_Closure arg-0 arg-2 e-5 arg-5 clam-0)) ((csegen-947) arg-8) '()))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Core-traverseC-39 (lambda (clam-0) (CoreC-45NormaliseC-45Quote-u--quote_Quote_Closure arg-0 arg-2 e-5 arg-5 clam-0)) ((csegen-947) arg-11) '()))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (string-append "Matching args " (string-append (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (cons (lambda (u--x) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-2 u--x)) (lambda (u--d) (lambda (u--x) (CoreC-45TT-u--showPrec_Show_C-40TermC-32C-36varsC-41 arg-2 u--d u--x)))) e-6) (string-append " " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (cons (lambda (u--x) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-2 u--x)) (lambda (u--d) (lambda (u--x) (CoreC-45TT-u--showPrec_Show_C-40TermC-32C-36varsC-41 arg-2 u--d u--x)))) e-7)))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45Unify-unifyArgs (csegen-3192) arg-2 arg-0 arg-1 u--mode arg-4 arg-5 ((csegen-947) arg-8) ((csegen-947) arg-11)))) eff-1))))))) (else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 u--mode arg-4 arg-5 arg-6 u--fx arg-8 (vector 1 arg-9 u--fy arg-11)))))))))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11)))))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11)))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11)))))))))))))) ((2) (let ((e-24 (vector-ref arg-7 1))) (let ((e-25 (vector-ref arg-7 2))) (let ((e-26 (vector-ref arg-7 3))) (case (vector-ref arg-10 0) ((2) (let ((e-33 (vector-ref arg-10 1))) (let ((e-34 (vector-ref arg-10 2))) (let ((e-35 (vector-ref arg-10 3))) (let ((eff-0 (CoreC-45Unify-isDefInvertible arg-0 arg-4 e-25))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((sc7 (let ((sc8 (PreludeC-45EqOrd-u--C-61C-61_Eq_Int e-25 e-34))) (cond ((equal? sc8 1) (cond ((equal? e-5 1) 1) (else (CoreC-45Unify-u--C-61C-61_Eq_UnifyMode (let ((e-1 (cdr arg-3))) e-1) 3)))) (else 0))))) (cond ((equal? sc7 1) (CoreC-45Unify-unifyArgs (csegen-3192) arg-2 arg-0 arg-1 arg-3 arg-4 arg-5 (PreludeC-45TypesC-45List-tailRecAppend e-26 ((csegen-947) arg-8)) (PreludeC-45TypesC-45List-tailRecAppend e-35 ((csegen-947) arg-11)))) (else (let ((eff-1 (CoreC-45Unify-n--14733-22708-u--localsIn arg-2 e-26 e-25 e-24 e-35 e-34 e-33 arg-11 arg-9 arg-8 arg-6 arg-5 arg-4 arg-3 arg-1 arg-0 e-26))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Unify-n--14733-22708-u--localsIn arg-2 e-26 e-25 e-24 e-35 e-34 e-33 arg-11 arg-9 arg-8 arg-6 arg-5 arg-4 arg-3 arg-1 arg-0 e-35))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((u--xbigger (let ((sc10 (PreludeC-45Types-u--C-62_Ord_Nat e-6 e-7))) (cond ((equal? sc10 1) 1) (else (let ((sc11 (or (and (= e-6 e-7) 1) 0))) (cond ((equal? sc11 1) (PreludeC-45Types-u--C-60C-61_Ord_Nat (PreludeC-45TypesC-45List-lengthTR arg-8) (PreludeC-45TypesC-45List-lengthTR arg-11))) (else 0)))))))) (let ((sc10 (let ((sc11 (cond ((equal? u--xbigger 1) 1) (else (CoreC-45Unify-u--C-61C-61_Eq_UnifyMode (let ((e-1 (cdr arg-3))) e-1) 2))))) (cond ((equal? sc11 1) (let ((sc12 (CoreC-45Unify-n--14733-22707-u--pv arg-2 e-26 e-25 e-24 e-35 e-34 e-33 arg-11 arg-9 arg-8 arg-6 arg-5 arg-4 arg-3 arg-1 arg-0 e-24))) (cond ((equal? sc12 1) 0) (else 1)))) (else 0))))) (cond ((equal? sc10 1) (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 (vector 2 e-24 e-25 e-26) arg-8 (vector 1 arg-9 (vector 2 e-33 e-34 e-35) arg-11))) (else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 1 arg-3 arg-4 arg-5 arg-9 (vector 2 e-33 e-34 e-35) arg-11 (vector 1 arg-6 (vector 2 e-24 e-25 e-26) arg-8)))))))) eff-3))))))))) eff-2)))))))))))) eff-1)))))))))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 (vector 2 e-24 e-25 e-26) arg-8 (vector 1 arg-9 arg-10 arg-11))))))))(else (case (vector-ref arg-10 0) ((2) (let ((e-15 (vector-ref arg-10 1))) (let ((e-16 (vector-ref arg-10 2))) (let ((e-17 (vector-ref arg-10 3))) (let ((sc5 (CoreC-45Unify-u--C-47C-61_Eq_UnifyMode (let ((e-1 (cdr arg-3))) e-1) 2))) (cond ((equal? sc5 1) (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 1 arg-3 arg-4 arg-5 arg-6 (vector 2 e-15 e-16 e-17) arg-11 (vector 1 arg-6 arg-7 arg-8))) (else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 (vector 2 e-15 e-16 e-17) arg-11)))))))))(else (if (null? arg-3) (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11)) (let ((e-0 (car arg-3))) (let ((e-1 (cdr arg-3))) (cond ((equal? e-1 3) (case (vector-ref arg-7 0) ((1) (let ((e-3 (vector-ref arg-7 1))) (let ((e-4 (vector-ref arg-7 2))) (case (vector-ref arg-10 0) ((1) (let ((e-6 (vector-ref arg-10 1))) (let ((e-7 (vector-ref arg-10 2))) (let ((u--mode (cons e-0 3))) (let ((u--fx (vector 1 e-3 e-4))) (let ((u--fy (vector 1 e-6 e-7))) (let ((sc8 (CoreC-45Name-u--C-61C-61_Eq_Name e-4 e-7))) (cond ((equal? sc8 1) (CoreC-45Unify-unifyArgs (csegen-3192) arg-2 arg-0 arg-1 u--mode arg-4 arg-5 ((csegen-947) arg-8) ((csegen-947) arg-11))) (else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 u--mode arg-4 arg-5 arg-6 u--fx arg-8 (vector 1 arg-9 u--fy arg-11)))))))))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11)))))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11))))) ((equal? e-1 2) (case (vector-ref arg-7 0) ((1) (let ((e-9 (vector-ref arg-7 1))) (let ((e-10 (vector-ref arg-7 2))) (case (vector-ref arg-10 0) ((1) (let ((e-12 (vector-ref arg-10 1))) (let ((e-13 (vector-ref arg-10 2))) (let ((u--mode (cons e-0 2))) (let ((u--fx (vector 1 e-9 e-10))) (let ((u--fy (vector 1 e-12 e-13))) (let ((sc8 (CoreC-45Name-u--C-61C-61_Eq_Name e-10 e-13))) (cond ((equal? sc8 1) (let ((eff-0 (CoreC-45ContextC-45Log-unverifiedLogC arg-0 "unify.application" 5 (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Core-traverseC-39 (lambda (clam-0) (CoreC-45NormaliseC-45Quote-u--quote_Quote_Closure arg-0 arg-2 e-5 arg-5 clam-0)) ((csegen-947) arg-8) '()))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Core-traverseC-39 (lambda (clam-0) (CoreC-45NormaliseC-45Quote-u--quote_Quote_Closure arg-0 arg-2 e-5 arg-5 clam-0)) ((csegen-947) arg-11) '()))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (string-append "Matching args " (string-append (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (cons (lambda (u--x) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-2 u--x)) (lambda (u--d) (lambda (u--x) (CoreC-45TT-u--showPrec_Show_C-40TermC-32C-36varsC-41 arg-2 u--d u--x)))) e-6) (string-append " " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (cons (lambda (u--x) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-2 u--x)) (lambda (u--d) (lambda (u--x) (CoreC-45TT-u--showPrec_Show_C-40TermC-32C-36varsC-41 arg-2 u--d u--x)))) e-7)))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45Unify-unifyArgs (csegen-3192) arg-2 arg-0 arg-1 u--mode arg-4 arg-5 ((csegen-947) arg-8) ((csegen-947) arg-11)))) eff-1))))))) (else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 u--mode arg-4 arg-5 arg-6 u--fx arg-8 (vector 1 arg-9 u--fy arg-11)))))))))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11)))))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11)))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11))))))))))))))(else (case (vector-ref arg-7 0) ((0) (let ((e-20 (vector-ref arg-7 1))) (let ((e-21 (vector-ref arg-7 2))) (case (vector-ref arg-10 0) ((0) (let ((e-29 (vector-ref arg-10 1))) (let ((e-30 (vector-ref arg-10 2))) (let ((eff-0 (CoreC-45ContextC-45Log-log arg-0 "unify.application" 10 (lambda () "Both local apps, unifyIfEq")))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45Unify-unifyIfEq arg-0 arg-1 arg-2 1 arg-4 arg-3 arg-5 (vector 1 arg-6 (vector 0 e-20 e-21) arg-8) (vector 1 arg-9 (vector 0 e-29 e-30) arg-11)))) eff-1)))))))))(else (case (vector-ref arg-10 0) ((2) (let ((e-15 (vector-ref arg-10 1))) (let ((e-16 (vector-ref arg-10 2))) (let ((e-17 (vector-ref arg-10 3))) (let ((sc5 (CoreC-45Unify-u--C-47C-61_Eq_UnifyMode (let ((e-1 (cdr arg-3))) e-1) 2))) (cond ((equal? sc5 1) (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 1 arg-3 arg-4 arg-5 arg-6 (vector 2 e-15 e-16 e-17) arg-11 (vector 1 arg-6 arg-7 arg-8))) (else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 (vector 2 e-15 e-16 e-17) arg-11)))))))))(else (if (null? arg-3) (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11)) (let ((e-0 (car arg-3))) (let ((e-1 (cdr arg-3))) (cond ((equal? e-1 3) (case (vector-ref arg-7 0) ((1) (let ((e-3 (vector-ref arg-7 1))) (let ((e-4 (vector-ref arg-7 2))) (case (vector-ref arg-10 0) ((1) (let ((e-6 (vector-ref arg-10 1))) (let ((e-7 (vector-ref arg-10 2))) (let ((u--mode (cons e-0 3))) (let ((u--fx (vector 1 e-3 e-4))) (let ((u--fy (vector 1 e-6 e-7))) (let ((sc8 (CoreC-45Name-u--C-61C-61_Eq_Name e-4 e-7))) (cond ((equal? sc8 1) (CoreC-45Unify-unifyArgs (csegen-3192) arg-2 arg-0 arg-1 u--mode arg-4 arg-5 ((csegen-947) arg-8) ((csegen-947) arg-11))) (else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 u--mode arg-4 arg-5 arg-6 u--fx arg-8 (vector 1 arg-9 u--fy arg-11)))))))))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11)))))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11))))) ((equal? e-1 2) (case (vector-ref arg-7 0) ((1) (let ((e-9 (vector-ref arg-7 1))) (let ((e-10 (vector-ref arg-7 2))) (case (vector-ref arg-10 0) ((1) (let ((e-12 (vector-ref arg-10 1))) (let ((e-13 (vector-ref arg-10 2))) (let ((u--mode (cons e-0 2))) (let ((u--fx (vector 1 e-9 e-10))) (let ((u--fy (vector 1 e-12 e-13))) (let ((sc8 (CoreC-45Name-u--C-61C-61_Eq_Name e-10 e-13))) (cond ((equal? sc8 1) (let ((eff-0 (CoreC-45ContextC-45Log-unverifiedLogC arg-0 "unify.application" 5 (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Core-traverseC-39 (lambda (clam-0) (CoreC-45NormaliseC-45Quote-u--quote_Quote_Closure arg-0 arg-2 e-5 arg-5 clam-0)) ((csegen-947) arg-8) '()))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Core-traverseC-39 (lambda (clam-0) (CoreC-45NormaliseC-45Quote-u--quote_Quote_Closure arg-0 arg-2 e-5 arg-5 clam-0)) ((csegen-947) arg-11) '()))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (string-append "Matching args " (string-append (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (cons (lambda (u--x) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-2 u--x)) (lambda (u--d) (lambda (u--x) (CoreC-45TT-u--showPrec_Show_C-40TermC-32C-36varsC-41 arg-2 u--d u--x)))) e-6) (string-append " " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (cons (lambda (u--x) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-2 u--x)) (lambda (u--d) (lambda (u--x) (CoreC-45TT-u--showPrec_Show_C-40TermC-32C-36varsC-41 arg-2 u--d u--x)))) e-7)))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45Unify-unifyArgs (csegen-3192) arg-2 arg-0 arg-1 u--mode arg-4 arg-5 ((csegen-947) arg-8) ((csegen-947) arg-11)))) eff-1))))))) (else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 u--mode arg-4 arg-5 arg-6 u--fx arg-8 (vector 1 arg-9 u--fy arg-11)))))))))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11)))))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11)))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11)))))))))))))) ((2) (let ((e-24 (vector-ref arg-7 1))) (let ((e-25 (vector-ref arg-7 2))) (let ((e-26 (vector-ref arg-7 3))) (case (vector-ref arg-10 0) ((2) (let ((e-33 (vector-ref arg-10 1))) (let ((e-34 (vector-ref arg-10 2))) (let ((e-35 (vector-ref arg-10 3))) (let ((eff-0 (CoreC-45Unify-isDefInvertible arg-0 arg-4 e-25))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((sc6 (let ((sc7 (PreludeC-45EqOrd-u--C-61C-61_Eq_Int e-25 e-34))) (cond ((equal? sc7 1) (cond ((equal? e-5 1) 1) (else (CoreC-45Unify-u--C-61C-61_Eq_UnifyMode (let ((e-1 (cdr arg-3))) e-1) 3)))) (else 0))))) (cond ((equal? sc6 1) (CoreC-45Unify-unifyArgs (csegen-3192) arg-2 arg-0 arg-1 arg-3 arg-4 arg-5 (PreludeC-45TypesC-45List-tailRecAppend e-26 ((csegen-947) arg-8)) (PreludeC-45TypesC-45List-tailRecAppend e-35 ((csegen-947) arg-11)))) (else (let ((eff-1 (CoreC-45Unify-n--14733-22708-u--localsIn arg-2 e-26 e-25 e-24 e-35 e-34 e-33 arg-11 arg-9 arg-8 arg-6 arg-5 arg-4 arg-3 arg-1 arg-0 e-26))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Unify-n--14733-22708-u--localsIn arg-2 e-26 e-25 e-24 e-35 e-34 e-33 arg-11 arg-9 arg-8 arg-6 arg-5 arg-4 arg-3 arg-1 arg-0 e-35))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((u--xbigger (let ((sc9 (PreludeC-45Types-u--C-62_Ord_Nat e-6 e-7))) (cond ((equal? sc9 1) 1) (else (let ((sc10 (or (and (= e-6 e-7) 1) 0))) (cond ((equal? sc10 1) (PreludeC-45Types-u--C-60C-61_Ord_Nat (PreludeC-45TypesC-45List-lengthTR arg-8) (PreludeC-45TypesC-45List-lengthTR arg-11))) (else 0)))))))) (let ((sc9 (let ((sc10 (cond ((equal? u--xbigger 1) 1) (else (CoreC-45Unify-u--C-61C-61_Eq_UnifyMode (let ((e-1 (cdr arg-3))) e-1) 2))))) (cond ((equal? sc10 1) (let ((sc11 (CoreC-45Unify-n--14733-22707-u--pv arg-2 e-26 e-25 e-24 e-35 e-34 e-33 arg-11 arg-9 arg-8 arg-6 arg-5 arg-4 arg-3 arg-1 arg-0 e-24))) (cond ((equal? sc11 1) 0) (else 1)))) (else 0))))) (cond ((equal? sc9 1) (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 (vector 2 e-24 e-25 e-26) arg-8 (vector 1 arg-9 (vector 2 e-33 e-34 e-35) arg-11))) (else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 1 arg-3 arg-4 arg-5 arg-9 (vector 2 e-33 e-34 e-35) arg-11 (vector 1 arg-6 (vector 2 e-24 e-25 e-26) arg-8)))))))) eff-3))))))))) eff-2)))))))))))) eff-1)))))))))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 (vector 2 e-24 e-25 e-26) arg-8 (vector 1 arg-9 arg-10 arg-11))))))))(else (case (vector-ref arg-10 0) ((2) (let ((e-15 (vector-ref arg-10 1))) (let ((e-16 (vector-ref arg-10 2))) (let ((e-17 (vector-ref arg-10 3))) (let ((sc4 (CoreC-45Unify-u--C-47C-61_Eq_UnifyMode (let ((e-1 (cdr arg-3))) e-1) 2))) (cond ((equal? sc4 1) (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 1 arg-3 arg-4 arg-5 arg-6 (vector 2 e-15 e-16 e-17) arg-11 (vector 1 arg-6 arg-7 arg-8))) (else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 (vector 2 e-15 e-16 e-17) arg-11)))))))))(else (if (null? arg-3) (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11)) (let ((e-0 (car arg-3))) (let ((e-1 (cdr arg-3))) (cond ((equal? e-1 3) (case (vector-ref arg-7 0) ((1) (let ((e-3 (vector-ref arg-7 1))) (let ((e-4 (vector-ref arg-7 2))) (case (vector-ref arg-10 0) ((1) (let ((e-6 (vector-ref arg-10 1))) (let ((e-7 (vector-ref arg-10 2))) (let ((u--mode (cons e-0 3))) (let ((u--fx (vector 1 e-3 e-4))) (let ((u--fy (vector 1 e-6 e-7))) (let ((sc7 (CoreC-45Name-u--C-61C-61_Eq_Name e-4 e-7))) (cond ((equal? sc7 1) (CoreC-45Unify-unifyArgs (csegen-3192) arg-2 arg-0 arg-1 u--mode arg-4 arg-5 ((csegen-947) arg-8) ((csegen-947) arg-11))) (else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 u--mode arg-4 arg-5 arg-6 u--fx arg-8 (vector 1 arg-9 u--fy arg-11)))))))))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11)))))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11))))) ((equal? e-1 2) (case (vector-ref arg-7 0) ((1) (let ((e-9 (vector-ref arg-7 1))) (let ((e-10 (vector-ref arg-7 2))) (case (vector-ref arg-10 0) ((1) (let ((e-12 (vector-ref arg-10 1))) (let ((e-13 (vector-ref arg-10 2))) (let ((u--mode (cons e-0 2))) (let ((u--fx (vector 1 e-9 e-10))) (let ((u--fy (vector 1 e-12 e-13))) (let ((sc7 (CoreC-45Name-u--C-61C-61_Eq_Name e-10 e-13))) (cond ((equal? sc7 1) (let ((eff-0 (CoreC-45ContextC-45Log-unverifiedLogC arg-0 "unify.application" 5 (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Core-traverseC-39 (lambda (clam-0) (CoreC-45NormaliseC-45Quote-u--quote_Quote_Closure arg-0 arg-2 e-5 arg-5 clam-0)) ((csegen-947) arg-8) '()))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Core-traverseC-39 (lambda (clam-0) (CoreC-45NormaliseC-45Quote-u--quote_Quote_Closure arg-0 arg-2 e-5 arg-5 clam-0)) ((csegen-947) arg-11) '()))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (string-append "Matching args " (string-append (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (cons (lambda (u--x) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-2 u--x)) (lambda (u--d) (lambda (u--x) (CoreC-45TT-u--showPrec_Show_C-40TermC-32C-36varsC-41 arg-2 u--d u--x)))) e-6) (string-append " " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (cons (lambda (u--x) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-2 u--x)) (lambda (u--d) (lambda (u--x) (CoreC-45TT-u--showPrec_Show_C-40TermC-32C-36varsC-41 arg-2 u--d u--x)))) e-7)))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45Unify-unifyArgs (csegen-3192) arg-2 arg-0 arg-1 u--mode arg-4 arg-5 ((csegen-947) arg-8) ((csegen-947) arg-11)))) eff-1))))))) (else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 u--mode arg-4 arg-5 arg-6 u--fx arg-8 (vector 1 arg-9 u--fy arg-11)))))))))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11)))))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11)))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11)))))))))))))))))) (if (null? arg-3) (case (vector-ref arg-7 0) ((0) (let ((e-20 (vector-ref arg-7 1))) (let ((e-21 (vector-ref arg-7 2))) (case (vector-ref arg-10 0) ((0) (let ((e-29 (vector-ref arg-10 1))) (let ((e-30 (vector-ref arg-10 2))) (let ((eff-0 (CoreC-45ContextC-45Log-log arg-0 "unify.application" 10 (lambda () "Both local apps, unifyIfEq")))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45Unify-unifyIfEq arg-0 arg-1 arg-2 1 arg-4 arg-3 arg-5 (vector 1 arg-6 (vector 0 e-20 e-21) arg-8) (vector 1 arg-9 (vector 0 e-29 e-30) arg-11)))) eff-1)))))))))(else (case (vector-ref arg-10 0) ((2) (let ((e-15 (vector-ref arg-10 1))) (let ((e-16 (vector-ref arg-10 2))) (let ((e-17 (vector-ref arg-10 3))) (let ((sc5 (CoreC-45Unify-u--C-47C-61_Eq_UnifyMode (let ((e-1 (cdr arg-3))) e-1) 2))) (cond ((equal? sc5 1) (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 1 arg-3 arg-4 arg-5 arg-6 (vector 2 e-15 e-16 e-17) arg-11 (vector 1 arg-6 arg-7 arg-8))) (else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 (vector 2 e-15 e-16 e-17) arg-11)))))))))(else (if (null? arg-3) (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11)) (let ((e-0 (car arg-3))) (let ((e-1 (cdr arg-3))) (cond ((equal? e-1 3) (case (vector-ref arg-7 0) ((1) (let ((e-3 (vector-ref arg-7 1))) (let ((e-4 (vector-ref arg-7 2))) (case (vector-ref arg-10 0) ((1) (let ((e-6 (vector-ref arg-10 1))) (let ((e-7 (vector-ref arg-10 2))) (let ((u--mode (cons e-0 3))) (let ((u--fx (vector 1 e-3 e-4))) (let ((u--fy (vector 1 e-6 e-7))) (let ((sc8 (CoreC-45Name-u--C-61C-61_Eq_Name e-4 e-7))) (cond ((equal? sc8 1) (CoreC-45Unify-unifyArgs (csegen-3192) arg-2 arg-0 arg-1 u--mode arg-4 arg-5 ((csegen-947) arg-8) ((csegen-947) arg-11))) (else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 u--mode arg-4 arg-5 arg-6 u--fx arg-8 (vector 1 arg-9 u--fy arg-11)))))))))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11)))))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11))))) ((equal? e-1 2) (case (vector-ref arg-7 0) ((1) (let ((e-9 (vector-ref arg-7 1))) (let ((e-10 (vector-ref arg-7 2))) (case (vector-ref arg-10 0) ((1) (let ((e-12 (vector-ref arg-10 1))) (let ((e-13 (vector-ref arg-10 2))) (let ((u--mode (cons e-0 2))) (let ((u--fx (vector 1 e-9 e-10))) (let ((u--fy (vector 1 e-12 e-13))) (let ((sc8 (CoreC-45Name-u--C-61C-61_Eq_Name e-10 e-13))) (cond ((equal? sc8 1) (let ((eff-0 (CoreC-45ContextC-45Log-unverifiedLogC arg-0 "unify.application" 5 (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Core-traverseC-39 (lambda (clam-0) (CoreC-45NormaliseC-45Quote-u--quote_Quote_Closure arg-0 arg-2 e-5 arg-5 clam-0)) ((csegen-947) arg-8) '()))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Core-traverseC-39 (lambda (clam-0) (CoreC-45NormaliseC-45Quote-u--quote_Quote_Closure arg-0 arg-2 e-5 arg-5 clam-0)) ((csegen-947) arg-11) '()))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (string-append "Matching args " (string-append (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (cons (lambda (u--x) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-2 u--x)) (lambda (u--d) (lambda (u--x) (CoreC-45TT-u--showPrec_Show_C-40TermC-32C-36varsC-41 arg-2 u--d u--x)))) e-6) (string-append " " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (cons (lambda (u--x) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-2 u--x)) (lambda (u--d) (lambda (u--x) (CoreC-45TT-u--showPrec_Show_C-40TermC-32C-36varsC-41 arg-2 u--d u--x)))) e-7)))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45Unify-unifyArgs (csegen-3192) arg-2 arg-0 arg-1 u--mode arg-4 arg-5 ((csegen-947) arg-8) ((csegen-947) arg-11)))) eff-1))))))) (else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 u--mode arg-4 arg-5 arg-6 u--fx arg-8 (vector 1 arg-9 u--fy arg-11)))))))))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11)))))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11)))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11)))))))))))))) ((2) (let ((e-24 (vector-ref arg-7 1))) (let ((e-25 (vector-ref arg-7 2))) (let ((e-26 (vector-ref arg-7 3))) (case (vector-ref arg-10 0) ((2) (let ((e-33 (vector-ref arg-10 1))) (let ((e-34 (vector-ref arg-10 2))) (let ((e-35 (vector-ref arg-10 3))) (let ((eff-0 (CoreC-45Unify-isDefInvertible arg-0 arg-4 e-25))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((sc6 (let ((sc7 (PreludeC-45EqOrd-u--C-61C-61_Eq_Int e-25 e-34))) (cond ((equal? sc7 1) (cond ((equal? e-5 1) 1) (else (CoreC-45Unify-u--C-61C-61_Eq_UnifyMode (let ((e-1 (cdr arg-3))) e-1) 3)))) (else 0))))) (cond ((equal? sc6 1) (CoreC-45Unify-unifyArgs (csegen-3192) arg-2 arg-0 arg-1 arg-3 arg-4 arg-5 (PreludeC-45TypesC-45List-tailRecAppend e-26 ((csegen-947) arg-8)) (PreludeC-45TypesC-45List-tailRecAppend e-35 ((csegen-947) arg-11)))) (else (let ((eff-1 (CoreC-45Unify-n--14733-22708-u--localsIn arg-2 e-26 e-25 e-24 e-35 e-34 e-33 arg-11 arg-9 arg-8 arg-6 arg-5 arg-4 arg-3 arg-1 arg-0 e-26))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Unify-n--14733-22708-u--localsIn arg-2 e-26 e-25 e-24 e-35 e-34 e-33 arg-11 arg-9 arg-8 arg-6 arg-5 arg-4 arg-3 arg-1 arg-0 e-35))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((u--xbigger (let ((sc9 (PreludeC-45Types-u--C-62_Ord_Nat e-6 e-7))) (cond ((equal? sc9 1) 1) (else (let ((sc10 (or (and (= e-6 e-7) 1) 0))) (cond ((equal? sc10 1) (PreludeC-45Types-u--C-60C-61_Ord_Nat (PreludeC-45TypesC-45List-lengthTR arg-8) (PreludeC-45TypesC-45List-lengthTR arg-11))) (else 0)))))))) (let ((sc9 (let ((sc10 (cond ((equal? u--xbigger 1) 1) (else (CoreC-45Unify-u--C-61C-61_Eq_UnifyMode (let ((e-1 (cdr arg-3))) e-1) 2))))) (cond ((equal? sc10 1) (let ((sc11 (CoreC-45Unify-n--14733-22707-u--pv arg-2 e-26 e-25 e-24 e-35 e-34 e-33 arg-11 arg-9 arg-8 arg-6 arg-5 arg-4 arg-3 arg-1 arg-0 e-24))) (cond ((equal? sc11 1) 0) (else 1)))) (else 0))))) (cond ((equal? sc9 1) (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 (vector 2 e-24 e-25 e-26) arg-8 (vector 1 arg-9 (vector 2 e-33 e-34 e-35) arg-11))) (else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 1 arg-3 arg-4 arg-5 arg-9 (vector 2 e-33 e-34 e-35) arg-11 (vector 1 arg-6 (vector 2 e-24 e-25 e-26) arg-8)))))))) eff-3))))))))) eff-2)))))))))))) eff-1)))))))))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 (vector 2 e-24 e-25 e-26) arg-8 (vector 1 arg-9 arg-10 arg-11))))))))(else (case (vector-ref arg-10 0) ((2) (let ((e-15 (vector-ref arg-10 1))) (let ((e-16 (vector-ref arg-10 2))) (let ((e-17 (vector-ref arg-10 3))) (let ((sc4 (CoreC-45Unify-u--C-47C-61_Eq_UnifyMode (let ((e-1 (cdr arg-3))) e-1) 2))) (cond ((equal? sc4 1) (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 1 arg-3 arg-4 arg-5 arg-6 (vector 2 e-15 e-16 e-17) arg-11 (vector 1 arg-6 arg-7 arg-8))) (else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 (vector 2 e-15 e-16 e-17) arg-11)))))))))(else (if (null? arg-3) (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11)) (let ((e-0 (car arg-3))) (let ((e-1 (cdr arg-3))) (cond ((equal? e-1 3) (case (vector-ref arg-7 0) ((1) (let ((e-3 (vector-ref arg-7 1))) (let ((e-4 (vector-ref arg-7 2))) (case (vector-ref arg-10 0) ((1) (let ((e-6 (vector-ref arg-10 1))) (let ((e-7 (vector-ref arg-10 2))) (let ((u--mode (cons e-0 3))) (let ((u--fx (vector 1 e-3 e-4))) (let ((u--fy (vector 1 e-6 e-7))) (let ((sc7 (CoreC-45Name-u--C-61C-61_Eq_Name e-4 e-7))) (cond ((equal? sc7 1) (CoreC-45Unify-unifyArgs (csegen-3192) arg-2 arg-0 arg-1 u--mode arg-4 arg-5 ((csegen-947) arg-8) ((csegen-947) arg-11))) (else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 u--mode arg-4 arg-5 arg-6 u--fx arg-8 (vector 1 arg-9 u--fy arg-11)))))))))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11)))))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11))))) ((equal? e-1 2) (case (vector-ref arg-7 0) ((1) (let ((e-9 (vector-ref arg-7 1))) (let ((e-10 (vector-ref arg-7 2))) (case (vector-ref arg-10 0) ((1) (let ((e-12 (vector-ref arg-10 1))) (let ((e-13 (vector-ref arg-10 2))) (let ((u--mode (cons e-0 2))) (let ((u--fx (vector 1 e-9 e-10))) (let ((u--fy (vector 1 e-12 e-13))) (let ((sc7 (CoreC-45Name-u--C-61C-61_Eq_Name e-10 e-13))) (cond ((equal? sc7 1) (let ((eff-0 (CoreC-45ContextC-45Log-unverifiedLogC arg-0 "unify.application" 5 (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Core-traverseC-39 (lambda (clam-0) (CoreC-45NormaliseC-45Quote-u--quote_Quote_Closure arg-0 arg-2 e-5 arg-5 clam-0)) ((csegen-947) arg-8) '()))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Core-traverseC-39 (lambda (clam-0) (CoreC-45NormaliseC-45Quote-u--quote_Quote_Closure arg-0 arg-2 e-5 arg-5 clam-0)) ((csegen-947) arg-11) '()))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (string-append "Matching args " (string-append (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (cons (lambda (u--x) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-2 u--x)) (lambda (u--d) (lambda (u--x) (CoreC-45TT-u--showPrec_Show_C-40TermC-32C-36varsC-41 arg-2 u--d u--x)))) e-6) (string-append " " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (cons (lambda (u--x) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-2 u--x)) (lambda (u--d) (lambda (u--x) (CoreC-45TT-u--showPrec_Show_C-40TermC-32C-36varsC-41 arg-2 u--d u--x)))) e-7)))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45Unify-unifyArgs (csegen-3192) arg-2 arg-0 arg-1 u--mode arg-4 arg-5 ((csegen-947) arg-8) ((csegen-947) arg-11)))) eff-1))))))) (else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 u--mode arg-4 arg-5 arg-6 u--fx arg-8 (vector 1 arg-9 u--fy arg-11)))))))))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11)))))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11)))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11))))))))))) (let ((e-36 (car arg-3))) (let ((e-37 (cdr arg-3))) (cond ((equal? e-37 1) (case (vector-ref arg-7 0) ((0) (let ((e-40 (vector-ref arg-7 1))) (let ((e-41 (vector-ref arg-7 2))) (case (vector-ref arg-10 0) ((0) (let ((e-45 (vector-ref arg-10 1))) (let ((e-46 (vector-ref arg-10 2))) (let ((u--mode (cons e-36 1))) (let ((sc6 (or (and (= e-41 e-46) 1) 0))) (cond ((equal? sc6 1) (CoreC-45Unify-unifyArgs (csegen-3192) arg-2 arg-0 arg-1 u--mode arg-4 arg-5 ((csegen-947) arg-8) ((csegen-947) arg-11))) (else (CoreC-45Unify-postpone arg-2 arg-0 arg-1 arg-4 u--mode "Postponing local app" arg-5 (vector 1 arg-6 (vector 0 e-40 e-41) arg-8) (vector 1 arg-9 (vector 0 e-45 e-46) arg-11)))))))))(else (case (vector-ref arg-7 0) ((0) (let ((e-20 (vector-ref arg-7 1))) (let ((e-21 (vector-ref arg-7 2))) (case (vector-ref arg-10 0) ((0) (let ((e-29 (vector-ref arg-10 1))) (let ((e-30 (vector-ref arg-10 2))) (let ((eff-0 (CoreC-45ContextC-45Log-log arg-0 "unify.application" 10 (lambda () "Both local apps, unifyIfEq")))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45Unify-unifyIfEq arg-0 arg-1 arg-2 1 arg-4 arg-3 arg-5 (vector 1 arg-6 (vector 0 e-20 e-21) arg-8) (vector 1 arg-9 (vector 0 e-29 e-30) arg-11)))) eff-1)))))))))(else (case (vector-ref arg-10 0) ((2) (let ((e-15 (vector-ref arg-10 1))) (let ((e-16 (vector-ref arg-10 2))) (let ((e-17 (vector-ref arg-10 3))) (let ((sc7 (CoreC-45Unify-u--C-47C-61_Eq_UnifyMode (let ((e-1 (cdr arg-3))) e-1) 2))) (cond ((equal? sc7 1) (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 1 arg-3 arg-4 arg-5 arg-6 (vector 2 e-15 e-16 e-17) arg-11 (vector 1 arg-6 arg-7 arg-8))) (else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 (vector 2 e-15 e-16 e-17) arg-11)))))))))(else (if (null? arg-3) (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11)) (let ((e-0 (car arg-3))) (let ((e-1 (cdr arg-3))) (cond ((equal? e-1 3) (case (vector-ref arg-7 0) ((1) (let ((e-3 (vector-ref arg-7 1))) (let ((e-4 (vector-ref arg-7 2))) (case (vector-ref arg-10 0) ((1) (let ((e-6 (vector-ref arg-10 1))) (let ((e-7 (vector-ref arg-10 2))) (let ((u--mode (cons e-0 3))) (let ((u--fx (vector 1 e-3 e-4))) (let ((u--fy (vector 1 e-6 e-7))) (let ((sc10 (CoreC-45Name-u--C-61C-61_Eq_Name e-4 e-7))) (cond ((equal? sc10 1) (CoreC-45Unify-unifyArgs (csegen-3192) arg-2 arg-0 arg-1 u--mode arg-4 arg-5 ((csegen-947) arg-8) ((csegen-947) arg-11))) (else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 u--mode arg-4 arg-5 arg-6 u--fx arg-8 (vector 1 arg-9 u--fy arg-11)))))))))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11)))))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11))))) ((equal? e-1 2) (case (vector-ref arg-7 0) ((1) (let ((e-9 (vector-ref arg-7 1))) (let ((e-10 (vector-ref arg-7 2))) (case (vector-ref arg-10 0) ((1) (let ((e-12 (vector-ref arg-10 1))) (let ((e-13 (vector-ref arg-10 2))) (let ((u--mode (cons e-0 2))) (let ((u--fx (vector 1 e-9 e-10))) (let ((u--fy (vector 1 e-12 e-13))) (let ((sc10 (CoreC-45Name-u--C-61C-61_Eq_Name e-10 e-13))) (cond ((equal? sc10 1) (let ((eff-0 (CoreC-45ContextC-45Log-unverifiedLogC arg-0 "unify.application" 5 (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Core-traverseC-39 (lambda (clam-0) (CoreC-45NormaliseC-45Quote-u--quote_Quote_Closure arg-0 arg-2 e-5 arg-5 clam-0)) ((csegen-947) arg-8) '()))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Core-traverseC-39 (lambda (clam-0) (CoreC-45NormaliseC-45Quote-u--quote_Quote_Closure arg-0 arg-2 e-5 arg-5 clam-0)) ((csegen-947) arg-11) '()))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (string-append "Matching args " (string-append (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (cons (lambda (u--x) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-2 u--x)) (lambda (u--d) (lambda (u--x) (CoreC-45TT-u--showPrec_Show_C-40TermC-32C-36varsC-41 arg-2 u--d u--x)))) e-6) (string-append " " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (cons (lambda (u--x) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-2 u--x)) (lambda (u--d) (lambda (u--x) (CoreC-45TT-u--showPrec_Show_C-40TermC-32C-36varsC-41 arg-2 u--d u--x)))) e-7)))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45Unify-unifyArgs (csegen-3192) arg-2 arg-0 arg-1 u--mode arg-4 arg-5 ((csegen-947) arg-8) ((csegen-947) arg-11)))) eff-1))))))) (else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 u--mode arg-4 arg-5 arg-6 u--fx arg-8 (vector 1 arg-9 u--fy arg-11)))))))))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11)))))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11)))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11)))))))))))))) ((2) (let ((e-24 (vector-ref arg-7 1))) (let ((e-25 (vector-ref arg-7 2))) (let ((e-26 (vector-ref arg-7 3))) (case (vector-ref arg-10 0) ((2) (let ((e-33 (vector-ref arg-10 1))) (let ((e-34 (vector-ref arg-10 2))) (let ((e-35 (vector-ref arg-10 3))) (let ((eff-0 (CoreC-45Unify-isDefInvertible arg-0 arg-4 e-25))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((sc8 (let ((sc9 (PreludeC-45EqOrd-u--C-61C-61_Eq_Int e-25 e-34))) (cond ((equal? sc9 1) (cond ((equal? e-5 1) 1) (else (CoreC-45Unify-u--C-61C-61_Eq_UnifyMode (let ((e-1 (cdr arg-3))) e-1) 3)))) (else 0))))) (cond ((equal? sc8 1) (CoreC-45Unify-unifyArgs (csegen-3192) arg-2 arg-0 arg-1 arg-3 arg-4 arg-5 (PreludeC-45TypesC-45List-tailRecAppend e-26 ((csegen-947) arg-8)) (PreludeC-45TypesC-45List-tailRecAppend e-35 ((csegen-947) arg-11)))) (else (let ((eff-1 (CoreC-45Unify-n--14733-22708-u--localsIn arg-2 e-26 e-25 e-24 e-35 e-34 e-33 arg-11 arg-9 arg-8 arg-6 arg-5 arg-4 arg-3 arg-1 arg-0 e-26))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Unify-n--14733-22708-u--localsIn arg-2 e-26 e-25 e-24 e-35 e-34 e-33 arg-11 arg-9 arg-8 arg-6 arg-5 arg-4 arg-3 arg-1 arg-0 e-35))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((u--xbigger (let ((sc11 (PreludeC-45Types-u--C-62_Ord_Nat e-6 e-7))) (cond ((equal? sc11 1) 1) (else (let ((sc12 (or (and (= e-6 e-7) 1) 0))) (cond ((equal? sc12 1) (PreludeC-45Types-u--C-60C-61_Ord_Nat (PreludeC-45TypesC-45List-lengthTR arg-8) (PreludeC-45TypesC-45List-lengthTR arg-11))) (else 0)))))))) (let ((sc11 (let ((sc12 (cond ((equal? u--xbigger 1) 1) (else (CoreC-45Unify-u--C-61C-61_Eq_UnifyMode (let ((e-1 (cdr arg-3))) e-1) 2))))) (cond ((equal? sc12 1) (let ((sc13 (CoreC-45Unify-n--14733-22707-u--pv arg-2 e-26 e-25 e-24 e-35 e-34 e-33 arg-11 arg-9 arg-8 arg-6 arg-5 arg-4 arg-3 arg-1 arg-0 e-24))) (cond ((equal? sc13 1) 0) (else 1)))) (else 0))))) (cond ((equal? sc11 1) (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 (vector 2 e-24 e-25 e-26) arg-8 (vector 1 arg-9 (vector 2 e-33 e-34 e-35) arg-11))) (else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 1 arg-3 arg-4 arg-5 arg-9 (vector 2 e-33 e-34 e-35) arg-11 (vector 1 arg-6 (vector 2 e-24 e-25 e-26) arg-8)))))))) eff-3))))))))) eff-2)))))))))))) eff-1)))))))))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 (vector 2 e-24 e-25 e-26) arg-8 (vector 1 arg-9 arg-10 arg-11))))))))(else (case (vector-ref arg-10 0) ((2) (let ((e-15 (vector-ref arg-10 1))) (let ((e-16 (vector-ref arg-10 2))) (let ((e-17 (vector-ref arg-10 3))) (let ((sc6 (CoreC-45Unify-u--C-47C-61_Eq_UnifyMode (let ((e-1 (cdr arg-3))) e-1) 2))) (cond ((equal? sc6 1) (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 1 arg-3 arg-4 arg-5 arg-6 (vector 2 e-15 e-16 e-17) arg-11 (vector 1 arg-6 arg-7 arg-8))) (else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 (vector 2 e-15 e-16 e-17) arg-11)))))))))(else (if (null? arg-3) (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11)) (let ((e-0 (car arg-3))) (let ((e-1 (cdr arg-3))) (cond ((equal? e-1 3) (case (vector-ref arg-7 0) ((1) (let ((e-3 (vector-ref arg-7 1))) (let ((e-4 (vector-ref arg-7 2))) (case (vector-ref arg-10 0) ((1) (let ((e-6 (vector-ref arg-10 1))) (let ((e-7 (vector-ref arg-10 2))) (let ((u--mode (cons e-0 3))) (let ((u--fx (vector 1 e-3 e-4))) (let ((u--fy (vector 1 e-6 e-7))) (let ((sc9 (CoreC-45Name-u--C-61C-61_Eq_Name e-4 e-7))) (cond ((equal? sc9 1) (CoreC-45Unify-unifyArgs (csegen-3192) arg-2 arg-0 arg-1 u--mode arg-4 arg-5 ((csegen-947) arg-8) ((csegen-947) arg-11))) (else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 u--mode arg-4 arg-5 arg-6 u--fx arg-8 (vector 1 arg-9 u--fy arg-11)))))))))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11)))))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11))))) ((equal? e-1 2) (case (vector-ref arg-7 0) ((1) (let ((e-9 (vector-ref arg-7 1))) (let ((e-10 (vector-ref arg-7 2))) (case (vector-ref arg-10 0) ((1) (let ((e-12 (vector-ref arg-10 1))) (let ((e-13 (vector-ref arg-10 2))) (let ((u--mode (cons e-0 2))) (let ((u--fx (vector 1 e-9 e-10))) (let ((u--fy (vector 1 e-12 e-13))) (let ((sc9 (CoreC-45Name-u--C-61C-61_Eq_Name e-10 e-13))) (cond ((equal? sc9 1) (let ((eff-0 (CoreC-45ContextC-45Log-unverifiedLogC arg-0 "unify.application" 5 (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Core-traverseC-39 (lambda (clam-0) (CoreC-45NormaliseC-45Quote-u--quote_Quote_Closure arg-0 arg-2 e-5 arg-5 clam-0)) ((csegen-947) arg-8) '()))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Core-traverseC-39 (lambda (clam-0) (CoreC-45NormaliseC-45Quote-u--quote_Quote_Closure arg-0 arg-2 e-5 arg-5 clam-0)) ((csegen-947) arg-11) '()))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (string-append "Matching args " (string-append (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (cons (lambda (u--x) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-2 u--x)) (lambda (u--d) (lambda (u--x) (CoreC-45TT-u--showPrec_Show_C-40TermC-32C-36varsC-41 arg-2 u--d u--x)))) e-6) (string-append " " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (cons (lambda (u--x) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-2 u--x)) (lambda (u--d) (lambda (u--x) (CoreC-45TT-u--showPrec_Show_C-40TermC-32C-36varsC-41 arg-2 u--d u--x)))) e-7)))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45Unify-unifyArgs (csegen-3192) arg-2 arg-0 arg-1 u--mode arg-4 arg-5 ((csegen-947) arg-8) ((csegen-947) arg-11)))) eff-1))))))) (else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 u--mode arg-4 arg-5 arg-6 u--fx arg-8 (vector 1 arg-9 u--fy arg-11)))))))))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11)))))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11)))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11))))))))))))))))(else (case (vector-ref arg-7 0) ((0) (let ((e-20 (vector-ref arg-7 1))) (let ((e-21 (vector-ref arg-7 2))) (case (vector-ref arg-10 0) ((0) (let ((e-29 (vector-ref arg-10 1))) (let ((e-30 (vector-ref arg-10 2))) (let ((eff-0 (CoreC-45ContextC-45Log-log arg-0 "unify.application" 10 (lambda () "Both local apps, unifyIfEq")))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45Unify-unifyIfEq arg-0 arg-1 arg-2 1 arg-4 arg-3 arg-5 (vector 1 arg-6 (vector 0 e-20 e-21) arg-8) (vector 1 arg-9 (vector 0 e-29 e-30) arg-11)))) eff-1)))))))))(else (case (vector-ref arg-10 0) ((2) (let ((e-15 (vector-ref arg-10 1))) (let ((e-16 (vector-ref arg-10 2))) (let ((e-17 (vector-ref arg-10 3))) (let ((sc6 (CoreC-45Unify-u--C-47C-61_Eq_UnifyMode (let ((e-1 (cdr arg-3))) e-1) 2))) (cond ((equal? sc6 1) (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 1 arg-3 arg-4 arg-5 arg-6 (vector 2 e-15 e-16 e-17) arg-11 (vector 1 arg-6 arg-7 arg-8))) (else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 (vector 2 e-15 e-16 e-17) arg-11)))))))))(else (if (null? arg-3) (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11)) (let ((e-0 (car arg-3))) (let ((e-1 (cdr arg-3))) (cond ((equal? e-1 3) (case (vector-ref arg-7 0) ((1) (let ((e-3 (vector-ref arg-7 1))) (let ((e-4 (vector-ref arg-7 2))) (case (vector-ref arg-10 0) ((1) (let ((e-6 (vector-ref arg-10 1))) (let ((e-7 (vector-ref arg-10 2))) (let ((u--mode (cons e-0 3))) (let ((u--fx (vector 1 e-3 e-4))) (let ((u--fy (vector 1 e-6 e-7))) (let ((sc9 (CoreC-45Name-u--C-61C-61_Eq_Name e-4 e-7))) (cond ((equal? sc9 1) (CoreC-45Unify-unifyArgs (csegen-3192) arg-2 arg-0 arg-1 u--mode arg-4 arg-5 ((csegen-947) arg-8) ((csegen-947) arg-11))) (else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 u--mode arg-4 arg-5 arg-6 u--fx arg-8 (vector 1 arg-9 u--fy arg-11)))))))))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11)))))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11))))) ((equal? e-1 2) (case (vector-ref arg-7 0) ((1) (let ((e-9 (vector-ref arg-7 1))) (let ((e-10 (vector-ref arg-7 2))) (case (vector-ref arg-10 0) ((1) (let ((e-12 (vector-ref arg-10 1))) (let ((e-13 (vector-ref arg-10 2))) (let ((u--mode (cons e-0 2))) (let ((u--fx (vector 1 e-9 e-10))) (let ((u--fy (vector 1 e-12 e-13))) (let ((sc9 (CoreC-45Name-u--C-61C-61_Eq_Name e-10 e-13))) (cond ((equal? sc9 1) (let ((eff-0 (CoreC-45ContextC-45Log-unverifiedLogC arg-0 "unify.application" 5 (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Core-traverseC-39 (lambda (clam-0) (CoreC-45NormaliseC-45Quote-u--quote_Quote_Closure arg-0 arg-2 e-5 arg-5 clam-0)) ((csegen-947) arg-8) '()))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Core-traverseC-39 (lambda (clam-0) (CoreC-45NormaliseC-45Quote-u--quote_Quote_Closure arg-0 arg-2 e-5 arg-5 clam-0)) ((csegen-947) arg-11) '()))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (string-append "Matching args " (string-append (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (cons (lambda (u--x) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-2 u--x)) (lambda (u--d) (lambda (u--x) (CoreC-45TT-u--showPrec_Show_C-40TermC-32C-36varsC-41 arg-2 u--d u--x)))) e-6) (string-append " " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (cons (lambda (u--x) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-2 u--x)) (lambda (u--d) (lambda (u--x) (CoreC-45TT-u--showPrec_Show_C-40TermC-32C-36varsC-41 arg-2 u--d u--x)))) e-7)))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45Unify-unifyArgs (csegen-3192) arg-2 arg-0 arg-1 u--mode arg-4 arg-5 ((csegen-947) arg-8) ((csegen-947) arg-11)))) eff-1))))))) (else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 u--mode arg-4 arg-5 arg-6 u--fx arg-8 (vector 1 arg-9 u--fy arg-11)))))))))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11)))))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11)))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11)))))))))))))) ((2) (let ((e-24 (vector-ref arg-7 1))) (let ((e-25 (vector-ref arg-7 2))) (let ((e-26 (vector-ref arg-7 3))) (case (vector-ref arg-10 0) ((2) (let ((e-33 (vector-ref arg-10 1))) (let ((e-34 (vector-ref arg-10 2))) (let ((e-35 (vector-ref arg-10 3))) (let ((eff-0 (CoreC-45Unify-isDefInvertible arg-0 arg-4 e-25))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((sc7 (let ((sc8 (PreludeC-45EqOrd-u--C-61C-61_Eq_Int e-25 e-34))) (cond ((equal? sc8 1) (cond ((equal? e-5 1) 1) (else (CoreC-45Unify-u--C-61C-61_Eq_UnifyMode (let ((e-1 (cdr arg-3))) e-1) 3)))) (else 0))))) (cond ((equal? sc7 1) (CoreC-45Unify-unifyArgs (csegen-3192) arg-2 arg-0 arg-1 arg-3 arg-4 arg-5 (PreludeC-45TypesC-45List-tailRecAppend e-26 ((csegen-947) arg-8)) (PreludeC-45TypesC-45List-tailRecAppend e-35 ((csegen-947) arg-11)))) (else (let ((eff-1 (CoreC-45Unify-n--14733-22708-u--localsIn arg-2 e-26 e-25 e-24 e-35 e-34 e-33 arg-11 arg-9 arg-8 arg-6 arg-5 arg-4 arg-3 arg-1 arg-0 e-26))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Unify-n--14733-22708-u--localsIn arg-2 e-26 e-25 e-24 e-35 e-34 e-33 arg-11 arg-9 arg-8 arg-6 arg-5 arg-4 arg-3 arg-1 arg-0 e-35))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((u--xbigger (let ((sc10 (PreludeC-45Types-u--C-62_Ord_Nat e-6 e-7))) (cond ((equal? sc10 1) 1) (else (let ((sc11 (or (and (= e-6 e-7) 1) 0))) (cond ((equal? sc11 1) (PreludeC-45Types-u--C-60C-61_Ord_Nat (PreludeC-45TypesC-45List-lengthTR arg-8) (PreludeC-45TypesC-45List-lengthTR arg-11))) (else 0)))))))) (let ((sc10 (let ((sc11 (cond ((equal? u--xbigger 1) 1) (else (CoreC-45Unify-u--C-61C-61_Eq_UnifyMode (let ((e-1 (cdr arg-3))) e-1) 2))))) (cond ((equal? sc11 1) (let ((sc12 (CoreC-45Unify-n--14733-22707-u--pv arg-2 e-26 e-25 e-24 e-35 e-34 e-33 arg-11 arg-9 arg-8 arg-6 arg-5 arg-4 arg-3 arg-1 arg-0 e-24))) (cond ((equal? sc12 1) 0) (else 1)))) (else 0))))) (cond ((equal? sc10 1) (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 (vector 2 e-24 e-25 e-26) arg-8 (vector 1 arg-9 (vector 2 e-33 e-34 e-35) arg-11))) (else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 1 arg-3 arg-4 arg-5 arg-9 (vector 2 e-33 e-34 e-35) arg-11 (vector 1 arg-6 (vector 2 e-24 e-25 e-26) arg-8)))))))) eff-3))))))))) eff-2)))))))))))) eff-1)))))))))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 (vector 2 e-24 e-25 e-26) arg-8 (vector 1 arg-9 arg-10 arg-11))))))))(else (case (vector-ref arg-10 0) ((2) (let ((e-15 (vector-ref arg-10 1))) (let ((e-16 (vector-ref arg-10 2))) (let ((e-17 (vector-ref arg-10 3))) (let ((sc5 (CoreC-45Unify-u--C-47C-61_Eq_UnifyMode (let ((e-1 (cdr arg-3))) e-1) 2))) (cond ((equal? sc5 1) (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 1 arg-3 arg-4 arg-5 arg-6 (vector 2 e-15 e-16 e-17) arg-11 (vector 1 arg-6 arg-7 arg-8))) (else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 (vector 2 e-15 e-16 e-17) arg-11)))))))))(else (if (null? arg-3) (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11)) (let ((e-0 (car arg-3))) (let ((e-1 (cdr arg-3))) (cond ((equal? e-1 3) (case (vector-ref arg-7 0) ((1) (let ((e-3 (vector-ref arg-7 1))) (let ((e-4 (vector-ref arg-7 2))) (case (vector-ref arg-10 0) ((1) (let ((e-6 (vector-ref arg-10 1))) (let ((e-7 (vector-ref arg-10 2))) (let ((u--mode (cons e-0 3))) (let ((u--fx (vector 1 e-3 e-4))) (let ((u--fy (vector 1 e-6 e-7))) (let ((sc8 (CoreC-45Name-u--C-61C-61_Eq_Name e-4 e-7))) (cond ((equal? sc8 1) (CoreC-45Unify-unifyArgs (csegen-3192) arg-2 arg-0 arg-1 u--mode arg-4 arg-5 ((csegen-947) arg-8) ((csegen-947) arg-11))) (else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 u--mode arg-4 arg-5 arg-6 u--fx arg-8 (vector 1 arg-9 u--fy arg-11)))))))))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11)))))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11))))) ((equal? e-1 2) (case (vector-ref arg-7 0) ((1) (let ((e-9 (vector-ref arg-7 1))) (let ((e-10 (vector-ref arg-7 2))) (case (vector-ref arg-10 0) ((1) (let ((e-12 (vector-ref arg-10 1))) (let ((e-13 (vector-ref arg-10 2))) (let ((u--mode (cons e-0 2))) (let ((u--fx (vector 1 e-9 e-10))) (let ((u--fy (vector 1 e-12 e-13))) (let ((sc8 (CoreC-45Name-u--C-61C-61_Eq_Name e-10 e-13))) (cond ((equal? sc8 1) (let ((eff-0 (CoreC-45ContextC-45Log-unverifiedLogC arg-0 "unify.application" 5 (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Core-traverseC-39 (lambda (clam-0) (CoreC-45NormaliseC-45Quote-u--quote_Quote_Closure arg-0 arg-2 e-5 arg-5 clam-0)) ((csegen-947) arg-8) '()))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Core-traverseC-39 (lambda (clam-0) (CoreC-45NormaliseC-45Quote-u--quote_Quote_Closure arg-0 arg-2 e-5 arg-5 clam-0)) ((csegen-947) arg-11) '()))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (string-append "Matching args " (string-append (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (cons (lambda (u--x) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-2 u--x)) (lambda (u--d) (lambda (u--x) (CoreC-45TT-u--showPrec_Show_C-40TermC-32C-36varsC-41 arg-2 u--d u--x)))) e-6) (string-append " " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (cons (lambda (u--x) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-2 u--x)) (lambda (u--d) (lambda (u--x) (CoreC-45TT-u--showPrec_Show_C-40TermC-32C-36varsC-41 arg-2 u--d u--x)))) e-7)))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45Unify-unifyArgs (csegen-3192) arg-2 arg-0 arg-1 u--mode arg-4 arg-5 ((csegen-947) arg-8) ((csegen-947) arg-11)))) eff-1))))))) (else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 u--mode arg-4 arg-5 arg-6 u--fx arg-8 (vector 1 arg-9 u--fy arg-11)))))))))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11)))))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11)))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11))))))))))))))(else (case (vector-ref arg-7 0) ((0) (let ((e-20 (vector-ref arg-7 1))) (let ((e-21 (vector-ref arg-7 2))) (case (vector-ref arg-10 0) ((0) (let ((e-29 (vector-ref arg-10 1))) (let ((e-30 (vector-ref arg-10 2))) (let ((eff-0 (CoreC-45ContextC-45Log-log arg-0 "unify.application" 10 (lambda () "Both local apps, unifyIfEq")))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45Unify-unifyIfEq arg-0 arg-1 arg-2 1 arg-4 arg-3 arg-5 (vector 1 arg-6 (vector 0 e-20 e-21) arg-8) (vector 1 arg-9 (vector 0 e-29 e-30) arg-11)))) eff-1)))))))))(else (case (vector-ref arg-10 0) ((2) (let ((e-15 (vector-ref arg-10 1))) (let ((e-16 (vector-ref arg-10 2))) (let ((e-17 (vector-ref arg-10 3))) (let ((sc5 (CoreC-45Unify-u--C-47C-61_Eq_UnifyMode (let ((e-1 (cdr arg-3))) e-1) 2))) (cond ((equal? sc5 1) (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 1 arg-3 arg-4 arg-5 arg-6 (vector 2 e-15 e-16 e-17) arg-11 (vector 1 arg-6 arg-7 arg-8))) (else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 (vector 2 e-15 e-16 e-17) arg-11)))))))))(else (if (null? arg-3) (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11)) (let ((e-0 (car arg-3))) (let ((e-1 (cdr arg-3))) (cond ((equal? e-1 3) (case (vector-ref arg-7 0) ((1) (let ((e-3 (vector-ref arg-7 1))) (let ((e-4 (vector-ref arg-7 2))) (case (vector-ref arg-10 0) ((1) (let ((e-6 (vector-ref arg-10 1))) (let ((e-7 (vector-ref arg-10 2))) (let ((u--mode (cons e-0 3))) (let ((u--fx (vector 1 e-3 e-4))) (let ((u--fy (vector 1 e-6 e-7))) (let ((sc8 (CoreC-45Name-u--C-61C-61_Eq_Name e-4 e-7))) (cond ((equal? sc8 1) (CoreC-45Unify-unifyArgs (csegen-3192) arg-2 arg-0 arg-1 u--mode arg-4 arg-5 ((csegen-947) arg-8) ((csegen-947) arg-11))) (else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 u--mode arg-4 arg-5 arg-6 u--fx arg-8 (vector 1 arg-9 u--fy arg-11)))))))))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11)))))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11))))) ((equal? e-1 2) (case (vector-ref arg-7 0) ((1) (let ((e-9 (vector-ref arg-7 1))) (let ((e-10 (vector-ref arg-7 2))) (case (vector-ref arg-10 0) ((1) (let ((e-12 (vector-ref arg-10 1))) (let ((e-13 (vector-ref arg-10 2))) (let ((u--mode (cons e-0 2))) (let ((u--fx (vector 1 e-9 e-10))) (let ((u--fy (vector 1 e-12 e-13))) (let ((sc8 (CoreC-45Name-u--C-61C-61_Eq_Name e-10 e-13))) (cond ((equal? sc8 1) (let ((eff-0 (CoreC-45ContextC-45Log-unverifiedLogC arg-0 "unify.application" 5 (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Core-traverseC-39 (lambda (clam-0) (CoreC-45NormaliseC-45Quote-u--quote_Quote_Closure arg-0 arg-2 e-5 arg-5 clam-0)) ((csegen-947) arg-8) '()))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Core-traverseC-39 (lambda (clam-0) (CoreC-45NormaliseC-45Quote-u--quote_Quote_Closure arg-0 arg-2 e-5 arg-5 clam-0)) ((csegen-947) arg-11) '()))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (string-append "Matching args " (string-append (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (cons (lambda (u--x) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-2 u--x)) (lambda (u--d) (lambda (u--x) (CoreC-45TT-u--showPrec_Show_C-40TermC-32C-36varsC-41 arg-2 u--d u--x)))) e-6) (string-append " " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (cons (lambda (u--x) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-2 u--x)) (lambda (u--d) (lambda (u--x) (CoreC-45TT-u--showPrec_Show_C-40TermC-32C-36varsC-41 arg-2 u--d u--x)))) e-7)))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45Unify-unifyArgs (csegen-3192) arg-2 arg-0 arg-1 u--mode arg-4 arg-5 ((csegen-947) arg-8) ((csegen-947) arg-11)))) eff-1))))))) (else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 u--mode arg-4 arg-5 arg-6 u--fx arg-8 (vector 1 arg-9 u--fy arg-11)))))))))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11)))))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11)))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11)))))))))))))) ((2) (let ((e-24 (vector-ref arg-7 1))) (let ((e-25 (vector-ref arg-7 2))) (let ((e-26 (vector-ref arg-7 3))) (case (vector-ref arg-10 0) ((2) (let ((e-33 (vector-ref arg-10 1))) (let ((e-34 (vector-ref arg-10 2))) (let ((e-35 (vector-ref arg-10 3))) (let ((eff-0 (CoreC-45Unify-isDefInvertible arg-0 arg-4 e-25))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((sc6 (let ((sc7 (PreludeC-45EqOrd-u--C-61C-61_Eq_Int e-25 e-34))) (cond ((equal? sc7 1) (cond ((equal? e-5 1) 1) (else (CoreC-45Unify-u--C-61C-61_Eq_UnifyMode (let ((e-1 (cdr arg-3))) e-1) 3)))) (else 0))))) (cond ((equal? sc6 1) (CoreC-45Unify-unifyArgs (csegen-3192) arg-2 arg-0 arg-1 arg-3 arg-4 arg-5 (PreludeC-45TypesC-45List-tailRecAppend e-26 ((csegen-947) arg-8)) (PreludeC-45TypesC-45List-tailRecAppend e-35 ((csegen-947) arg-11)))) (else (let ((eff-1 (CoreC-45Unify-n--14733-22708-u--localsIn arg-2 e-26 e-25 e-24 e-35 e-34 e-33 arg-11 arg-9 arg-8 arg-6 arg-5 arg-4 arg-3 arg-1 arg-0 e-26))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Unify-n--14733-22708-u--localsIn arg-2 e-26 e-25 e-24 e-35 e-34 e-33 arg-11 arg-9 arg-8 arg-6 arg-5 arg-4 arg-3 arg-1 arg-0 e-35))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((u--xbigger (let ((sc9 (PreludeC-45Types-u--C-62_Ord_Nat e-6 e-7))) (cond ((equal? sc9 1) 1) (else (let ((sc10 (or (and (= e-6 e-7) 1) 0))) (cond ((equal? sc10 1) (PreludeC-45Types-u--C-60C-61_Ord_Nat (PreludeC-45TypesC-45List-lengthTR arg-8) (PreludeC-45TypesC-45List-lengthTR arg-11))) (else 0)))))))) (let ((sc9 (let ((sc10 (cond ((equal? u--xbigger 1) 1) (else (CoreC-45Unify-u--C-61C-61_Eq_UnifyMode (let ((e-1 (cdr arg-3))) e-1) 2))))) (cond ((equal? sc10 1) (let ((sc11 (CoreC-45Unify-n--14733-22707-u--pv arg-2 e-26 e-25 e-24 e-35 e-34 e-33 arg-11 arg-9 arg-8 arg-6 arg-5 arg-4 arg-3 arg-1 arg-0 e-24))) (cond ((equal? sc11 1) 0) (else 1)))) (else 0))))) (cond ((equal? sc9 1) (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 (vector 2 e-24 e-25 e-26) arg-8 (vector 1 arg-9 (vector 2 e-33 e-34 e-35) arg-11))) (else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 1 arg-3 arg-4 arg-5 arg-9 (vector 2 e-33 e-34 e-35) arg-11 (vector 1 arg-6 (vector 2 e-24 e-25 e-26) arg-8)))))))) eff-3))))))))) eff-2)))))))))))) eff-1)))))))))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 (vector 2 e-24 e-25 e-26) arg-8 (vector 1 arg-9 arg-10 arg-11))))))))(else (case (vector-ref arg-10 0) ((2) (let ((e-15 (vector-ref arg-10 1))) (let ((e-16 (vector-ref arg-10 2))) (let ((e-17 (vector-ref arg-10 3))) (let ((sc4 (CoreC-45Unify-u--C-47C-61_Eq_UnifyMode (let ((e-1 (cdr arg-3))) e-1) 2))) (cond ((equal? sc4 1) (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 1 arg-3 arg-4 arg-5 arg-6 (vector 2 e-15 e-16 e-17) arg-11 (vector 1 arg-6 arg-7 arg-8))) (else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 (vector 2 e-15 e-16 e-17) arg-11)))))))))(else (if (null? arg-3) (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11)) (let ((e-0 (car arg-3))) (let ((e-1 (cdr arg-3))) (cond ((equal? e-1 3) (case (vector-ref arg-7 0) ((1) (let ((e-3 (vector-ref arg-7 1))) (let ((e-4 (vector-ref arg-7 2))) (case (vector-ref arg-10 0) ((1) (let ((e-6 (vector-ref arg-10 1))) (let ((e-7 (vector-ref arg-10 2))) (let ((u--mode (cons e-0 3))) (let ((u--fx (vector 1 e-3 e-4))) (let ((u--fy (vector 1 e-6 e-7))) (let ((sc7 (CoreC-45Name-u--C-61C-61_Eq_Name e-4 e-7))) (cond ((equal? sc7 1) (CoreC-45Unify-unifyArgs (csegen-3192) arg-2 arg-0 arg-1 u--mode arg-4 arg-5 ((csegen-947) arg-8) ((csegen-947) arg-11))) (else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 u--mode arg-4 arg-5 arg-6 u--fx arg-8 (vector 1 arg-9 u--fy arg-11)))))))))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11)))))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11))))) ((equal? e-1 2) (case (vector-ref arg-7 0) ((1) (let ((e-9 (vector-ref arg-7 1))) (let ((e-10 (vector-ref arg-7 2))) (case (vector-ref arg-10 0) ((1) (let ((e-12 (vector-ref arg-10 1))) (let ((e-13 (vector-ref arg-10 2))) (let ((u--mode (cons e-0 2))) (let ((u--fx (vector 1 e-9 e-10))) (let ((u--fy (vector 1 e-12 e-13))) (let ((sc7 (CoreC-45Name-u--C-61C-61_Eq_Name e-10 e-13))) (cond ((equal? sc7 1) (let ((eff-0 (CoreC-45ContextC-45Log-unverifiedLogC arg-0 "unify.application" 5 (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Core-traverseC-39 (lambda (clam-0) (CoreC-45NormaliseC-45Quote-u--quote_Quote_Closure arg-0 arg-2 e-5 arg-5 clam-0)) ((csegen-947) arg-8) '()))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Core-traverseC-39 (lambda (clam-0) (CoreC-45NormaliseC-45Quote-u--quote_Quote_Closure arg-0 arg-2 e-5 arg-5 clam-0)) ((csegen-947) arg-11) '()))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (string-append "Matching args " (string-append (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (cons (lambda (u--x) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-2 u--x)) (lambda (u--d) (lambda (u--x) (CoreC-45TT-u--showPrec_Show_C-40TermC-32C-36varsC-41 arg-2 u--d u--x)))) e-6) (string-append " " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (cons (lambda (u--x) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-2 u--x)) (lambda (u--d) (lambda (u--x) (CoreC-45TT-u--showPrec_Show_C-40TermC-32C-36varsC-41 arg-2 u--d u--x)))) e-7)))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45Unify-unifyArgs (csegen-3192) arg-2 arg-0 arg-1 u--mode arg-4 arg-5 ((csegen-947) arg-8) ((csegen-947) arg-11)))) eff-1))))))) (else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 u--mode arg-4 arg-5 arg-6 u--fx arg-8 (vector 1 arg-9 u--fy arg-11)))))))))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11)))))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11)))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11))))))))))))))))))))(else (if (null? arg-3) (case (vector-ref arg-7 0) ((0) (let ((e-20 (vector-ref arg-7 1))) (let ((e-21 (vector-ref arg-7 2))) (case (vector-ref arg-10 0) ((0) (let ((e-29 (vector-ref arg-10 1))) (let ((e-30 (vector-ref arg-10 2))) (let ((eff-0 (CoreC-45ContextC-45Log-log arg-0 "unify.application" 10 (lambda () "Both local apps, unifyIfEq")))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45Unify-unifyIfEq arg-0 arg-1 arg-2 1 arg-4 arg-3 arg-5 (vector 1 arg-6 (vector 0 e-20 e-21) arg-8) (vector 1 arg-9 (vector 0 e-29 e-30) arg-11)))) eff-1)))))))))(else (case (vector-ref arg-10 0) ((2) (let ((e-15 (vector-ref arg-10 1))) (let ((e-16 (vector-ref arg-10 2))) (let ((e-17 (vector-ref arg-10 3))) (let ((sc3 (CoreC-45Unify-u--C-47C-61_Eq_UnifyMode (let ((e-1 (cdr arg-3))) e-1) 2))) (cond ((equal? sc3 1) (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 1 arg-3 arg-4 arg-5 arg-6 (vector 2 e-15 e-16 e-17) arg-11 (vector 1 arg-6 arg-7 arg-8))) (else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 (vector 2 e-15 e-16 e-17) arg-11)))))))))(else (if (null? arg-3) (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11)) (let ((e-0 (car arg-3))) (let ((e-1 (cdr arg-3))) (cond ((equal? e-1 3) (case (vector-ref arg-7 0) ((1) (let ((e-3 (vector-ref arg-7 1))) (let ((e-4 (vector-ref arg-7 2))) (case (vector-ref arg-10 0) ((1) (let ((e-6 (vector-ref arg-10 1))) (let ((e-7 (vector-ref arg-10 2))) (let ((u--mode (cons e-0 3))) (let ((u--fx (vector 1 e-3 e-4))) (let ((u--fy (vector 1 e-6 e-7))) (let ((sc6 (CoreC-45Name-u--C-61C-61_Eq_Name e-4 e-7))) (cond ((equal? sc6 1) (CoreC-45Unify-unifyArgs (csegen-3192) arg-2 arg-0 arg-1 u--mode arg-4 arg-5 ((csegen-947) arg-8) ((csegen-947) arg-11))) (else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 u--mode arg-4 arg-5 arg-6 u--fx arg-8 (vector 1 arg-9 u--fy arg-11)))))))))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11)))))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11))))) ((equal? e-1 2) (case (vector-ref arg-7 0) ((1) (let ((e-9 (vector-ref arg-7 1))) (let ((e-10 (vector-ref arg-7 2))) (case (vector-ref arg-10 0) ((1) (let ((e-12 (vector-ref arg-10 1))) (let ((e-13 (vector-ref arg-10 2))) (let ((u--mode (cons e-0 2))) (let ((u--fx (vector 1 e-9 e-10))) (let ((u--fy (vector 1 e-12 e-13))) (let ((sc6 (CoreC-45Name-u--C-61C-61_Eq_Name e-10 e-13))) (cond ((equal? sc6 1) (let ((eff-0 (CoreC-45ContextC-45Log-unverifiedLogC arg-0 "unify.application" 5 (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Core-traverseC-39 (lambda (clam-0) (CoreC-45NormaliseC-45Quote-u--quote_Quote_Closure arg-0 arg-2 e-5 arg-5 clam-0)) ((csegen-947) arg-8) '()))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Core-traverseC-39 (lambda (clam-0) (CoreC-45NormaliseC-45Quote-u--quote_Quote_Closure arg-0 arg-2 e-5 arg-5 clam-0)) ((csegen-947) arg-11) '()))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (string-append "Matching args " (string-append (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (cons (lambda (u--x) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-2 u--x)) (lambda (u--d) (lambda (u--x) (CoreC-45TT-u--showPrec_Show_C-40TermC-32C-36varsC-41 arg-2 u--d u--x)))) e-6) (string-append " " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (cons (lambda (u--x) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-2 u--x)) (lambda (u--d) (lambda (u--x) (CoreC-45TT-u--showPrec_Show_C-40TermC-32C-36varsC-41 arg-2 u--d u--x)))) e-7)))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45Unify-unifyArgs (csegen-3192) arg-2 arg-0 arg-1 u--mode arg-4 arg-5 ((csegen-947) arg-8) ((csegen-947) arg-11)))) eff-1))))))) (else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 u--mode arg-4 arg-5 arg-6 u--fx arg-8 (vector 1 arg-9 u--fy arg-11)))))))))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11)))))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11)))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11)))))))))))))) ((2) (let ((e-24 (vector-ref arg-7 1))) (let ((e-25 (vector-ref arg-7 2))) (let ((e-26 (vector-ref arg-7 3))) (case (vector-ref arg-10 0) ((2) (let ((e-33 (vector-ref arg-10 1))) (let ((e-34 (vector-ref arg-10 2))) (let ((e-35 (vector-ref arg-10 3))) (let ((eff-0 (CoreC-45Unify-isDefInvertible arg-0 arg-4 e-25))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((sc4 (let ((sc5 (PreludeC-45EqOrd-u--C-61C-61_Eq_Int e-25 e-34))) (cond ((equal? sc5 1) (cond ((equal? e-5 1) 1) (else (CoreC-45Unify-u--C-61C-61_Eq_UnifyMode (let ((e-1 (cdr arg-3))) e-1) 3)))) (else 0))))) (cond ((equal? sc4 1) (CoreC-45Unify-unifyArgs (csegen-3192) arg-2 arg-0 arg-1 arg-3 arg-4 arg-5 (PreludeC-45TypesC-45List-tailRecAppend e-26 ((csegen-947) arg-8)) (PreludeC-45TypesC-45List-tailRecAppend e-35 ((csegen-947) arg-11)))) (else (let ((eff-1 (CoreC-45Unify-n--14733-22708-u--localsIn arg-2 e-26 e-25 e-24 e-35 e-34 e-33 arg-11 arg-9 arg-8 arg-6 arg-5 arg-4 arg-3 arg-1 arg-0 e-26))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Unify-n--14733-22708-u--localsIn arg-2 e-26 e-25 e-24 e-35 e-34 e-33 arg-11 arg-9 arg-8 arg-6 arg-5 arg-4 arg-3 arg-1 arg-0 e-35))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((u--xbigger (let ((sc7 (PreludeC-45Types-u--C-62_Ord_Nat e-6 e-7))) (cond ((equal? sc7 1) 1) (else (let ((sc8 (or (and (= e-6 e-7) 1) 0))) (cond ((equal? sc8 1) (PreludeC-45Types-u--C-60C-61_Ord_Nat (PreludeC-45TypesC-45List-lengthTR arg-8) (PreludeC-45TypesC-45List-lengthTR arg-11))) (else 0)))))))) (let ((sc7 (let ((sc8 (cond ((equal? u--xbigger 1) 1) (else (CoreC-45Unify-u--C-61C-61_Eq_UnifyMode (let ((e-1 (cdr arg-3))) e-1) 2))))) (cond ((equal? sc8 1) (let ((sc9 (CoreC-45Unify-n--14733-22707-u--pv arg-2 e-26 e-25 e-24 e-35 e-34 e-33 arg-11 arg-9 arg-8 arg-6 arg-5 arg-4 arg-3 arg-1 arg-0 e-24))) (cond ((equal? sc9 1) 0) (else 1)))) (else 0))))) (cond ((equal? sc7 1) (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 (vector 2 e-24 e-25 e-26) arg-8 (vector 1 arg-9 (vector 2 e-33 e-34 e-35) arg-11))) (else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 1 arg-3 arg-4 arg-5 arg-9 (vector 2 e-33 e-34 e-35) arg-11 (vector 1 arg-6 (vector 2 e-24 e-25 e-26) arg-8)))))))) eff-3))))))))) eff-2)))))))))))) eff-1)))))))))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 (vector 2 e-24 e-25 e-26) arg-8 (vector 1 arg-9 arg-10 arg-11))))))))(else (case (vector-ref arg-10 0) ((2) (let ((e-15 (vector-ref arg-10 1))) (let ((e-16 (vector-ref arg-10 2))) (let ((e-17 (vector-ref arg-10 3))) (let ((sc2 (CoreC-45Unify-u--C-47C-61_Eq_UnifyMode (let ((e-1 (cdr arg-3))) e-1) 2))) (cond ((equal? sc2 1) (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 1 arg-3 arg-4 arg-5 arg-6 (vector 2 e-15 e-16 e-17) arg-11 (vector 1 arg-6 arg-7 arg-8))) (else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 (vector 2 e-15 e-16 e-17) arg-11)))))))))(else (if (null? arg-3) (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11)) (let ((e-0 (car arg-3))) (let ((e-1 (cdr arg-3))) (cond ((equal? e-1 3) (case (vector-ref arg-7 0) ((1) (let ((e-3 (vector-ref arg-7 1))) (let ((e-4 (vector-ref arg-7 2))) (case (vector-ref arg-10 0) ((1) (let ((e-6 (vector-ref arg-10 1))) (let ((e-7 (vector-ref arg-10 2))) (let ((u--mode (cons e-0 3))) (let ((u--fx (vector 1 e-3 e-4))) (let ((u--fy (vector 1 e-6 e-7))) (let ((sc5 (CoreC-45Name-u--C-61C-61_Eq_Name e-4 e-7))) (cond ((equal? sc5 1) (CoreC-45Unify-unifyArgs (csegen-3192) arg-2 arg-0 arg-1 u--mode arg-4 arg-5 ((csegen-947) arg-8) ((csegen-947) arg-11))) (else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 u--mode arg-4 arg-5 arg-6 u--fx arg-8 (vector 1 arg-9 u--fy arg-11)))))))))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11)))))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11))))) ((equal? e-1 2) (case (vector-ref arg-7 0) ((1) (let ((e-9 (vector-ref arg-7 1))) (let ((e-10 (vector-ref arg-7 2))) (case (vector-ref arg-10 0) ((1) (let ((e-12 (vector-ref arg-10 1))) (let ((e-13 (vector-ref arg-10 2))) (let ((u--mode (cons e-0 2))) (let ((u--fx (vector 1 e-9 e-10))) (let ((u--fy (vector 1 e-12 e-13))) (let ((sc5 (CoreC-45Name-u--C-61C-61_Eq_Name e-10 e-13))) (cond ((equal? sc5 1) (let ((eff-0 (CoreC-45ContextC-45Log-unverifiedLogC arg-0 "unify.application" 5 (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Core-traverseC-39 (lambda (clam-0) (CoreC-45NormaliseC-45Quote-u--quote_Quote_Closure arg-0 arg-2 e-5 arg-5 clam-0)) ((csegen-947) arg-8) '()))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Core-traverseC-39 (lambda (clam-0) (CoreC-45NormaliseC-45Quote-u--quote_Quote_Closure arg-0 arg-2 e-5 arg-5 clam-0)) ((csegen-947) arg-11) '()))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (string-append "Matching args " (string-append (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (cons (lambda (u--x) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-2 u--x)) (lambda (u--d) (lambda (u--x) (CoreC-45TT-u--showPrec_Show_C-40TermC-32C-36varsC-41 arg-2 u--d u--x)))) e-6) (string-append " " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (cons (lambda (u--x) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-2 u--x)) (lambda (u--d) (lambda (u--x) (CoreC-45TT-u--showPrec_Show_C-40TermC-32C-36varsC-41 arg-2 u--d u--x)))) e-7)))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45Unify-unifyArgs (csegen-3192) arg-2 arg-0 arg-1 u--mode arg-4 arg-5 ((csegen-947) arg-8) ((csegen-947) arg-11)))) eff-1))))))) (else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 u--mode arg-4 arg-5 arg-6 u--fx arg-8 (vector 1 arg-9 u--fy arg-11)))))))))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11)))))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11)))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11))))))))))) (let ((e-36 (car arg-3))) (let ((e-37 (cdr arg-3))) (cond ((equal? e-37 1) (case (vector-ref arg-7 0) ((0) (let ((e-40 (vector-ref arg-7 1))) (let ((e-41 (vector-ref arg-7 2))) (case (vector-ref arg-10 0) ((0) (let ((e-45 (vector-ref arg-10 1))) (let ((e-46 (vector-ref arg-10 2))) (let ((u--mode (cons e-36 1))) (let ((sc4 (or (and (= e-41 e-46) 1) 0))) (cond ((equal? sc4 1) (CoreC-45Unify-unifyArgs (csegen-3192) arg-2 arg-0 arg-1 u--mode arg-4 arg-5 ((csegen-947) arg-8) ((csegen-947) arg-11))) (else (CoreC-45Unify-postpone arg-2 arg-0 arg-1 arg-4 u--mode "Postponing local app" arg-5 (vector 1 arg-6 (vector 0 e-40 e-41) arg-8) (vector 1 arg-9 (vector 0 e-45 e-46) arg-11)))))))))(else (case (vector-ref arg-7 0) ((0) (let ((e-20 (vector-ref arg-7 1))) (let ((e-21 (vector-ref arg-7 2))) (case (vector-ref arg-10 0) ((0) (let ((e-29 (vector-ref arg-10 1))) (let ((e-30 (vector-ref arg-10 2))) (let ((eff-0 (CoreC-45ContextC-45Log-log arg-0 "unify.application" 10 (lambda () "Both local apps, unifyIfEq")))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45Unify-unifyIfEq arg-0 arg-1 arg-2 1 arg-4 arg-3 arg-5 (vector 1 arg-6 (vector 0 e-20 e-21) arg-8) (vector 1 arg-9 (vector 0 e-29 e-30) arg-11)))) eff-1)))))))))(else (case (vector-ref arg-10 0) ((2) (let ((e-15 (vector-ref arg-10 1))) (let ((e-16 (vector-ref arg-10 2))) (let ((e-17 (vector-ref arg-10 3))) (let ((sc5 (CoreC-45Unify-u--C-47C-61_Eq_UnifyMode (let ((e-1 (cdr arg-3))) e-1) 2))) (cond ((equal? sc5 1) (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 1 arg-3 arg-4 arg-5 arg-6 (vector 2 e-15 e-16 e-17) arg-11 (vector 1 arg-6 arg-7 arg-8))) (else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 (vector 2 e-15 e-16 e-17) arg-11)))))))))(else (if (null? arg-3) (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11)) (let ((e-0 (car arg-3))) (let ((e-1 (cdr arg-3))) (cond ((equal? e-1 3) (case (vector-ref arg-7 0) ((1) (let ((e-3 (vector-ref arg-7 1))) (let ((e-4 (vector-ref arg-7 2))) (case (vector-ref arg-10 0) ((1) (let ((e-6 (vector-ref arg-10 1))) (let ((e-7 (vector-ref arg-10 2))) (let ((u--mode (cons e-0 3))) (let ((u--fx (vector 1 e-3 e-4))) (let ((u--fy (vector 1 e-6 e-7))) (let ((sc8 (CoreC-45Name-u--C-61C-61_Eq_Name e-4 e-7))) (cond ((equal? sc8 1) (CoreC-45Unify-unifyArgs (csegen-3192) arg-2 arg-0 arg-1 u--mode arg-4 arg-5 ((csegen-947) arg-8) ((csegen-947) arg-11))) (else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 u--mode arg-4 arg-5 arg-6 u--fx arg-8 (vector 1 arg-9 u--fy arg-11)))))))))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11)))))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11))))) ((equal? e-1 2) (case (vector-ref arg-7 0) ((1) (let ((e-9 (vector-ref arg-7 1))) (let ((e-10 (vector-ref arg-7 2))) (case (vector-ref arg-10 0) ((1) (let ((e-12 (vector-ref arg-10 1))) (let ((e-13 (vector-ref arg-10 2))) (let ((u--mode (cons e-0 2))) (let ((u--fx (vector 1 e-9 e-10))) (let ((u--fy (vector 1 e-12 e-13))) (let ((sc8 (CoreC-45Name-u--C-61C-61_Eq_Name e-10 e-13))) (cond ((equal? sc8 1) (let ((eff-0 (CoreC-45ContextC-45Log-unverifiedLogC arg-0 "unify.application" 5 (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Core-traverseC-39 (lambda (clam-0) (CoreC-45NormaliseC-45Quote-u--quote_Quote_Closure arg-0 arg-2 e-5 arg-5 clam-0)) ((csegen-947) arg-8) '()))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Core-traverseC-39 (lambda (clam-0) (CoreC-45NormaliseC-45Quote-u--quote_Quote_Closure arg-0 arg-2 e-5 arg-5 clam-0)) ((csegen-947) arg-11) '()))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (string-append "Matching args " (string-append (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (cons (lambda (u--x) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-2 u--x)) (lambda (u--d) (lambda (u--x) (CoreC-45TT-u--showPrec_Show_C-40TermC-32C-36varsC-41 arg-2 u--d u--x)))) e-6) (string-append " " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (cons (lambda (u--x) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-2 u--x)) (lambda (u--d) (lambda (u--x) (CoreC-45TT-u--showPrec_Show_C-40TermC-32C-36varsC-41 arg-2 u--d u--x)))) e-7)))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45Unify-unifyArgs (csegen-3192) arg-2 arg-0 arg-1 u--mode arg-4 arg-5 ((csegen-947) arg-8) ((csegen-947) arg-11)))) eff-1))))))) (else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 u--mode arg-4 arg-5 arg-6 u--fx arg-8 (vector 1 arg-9 u--fy arg-11)))))))))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11)))))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11)))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11)))))))))))))) ((2) (let ((e-24 (vector-ref arg-7 1))) (let ((e-25 (vector-ref arg-7 2))) (let ((e-26 (vector-ref arg-7 3))) (case (vector-ref arg-10 0) ((2) (let ((e-33 (vector-ref arg-10 1))) (let ((e-34 (vector-ref arg-10 2))) (let ((e-35 (vector-ref arg-10 3))) (let ((eff-0 (CoreC-45Unify-isDefInvertible arg-0 arg-4 e-25))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((sc6 (let ((sc7 (PreludeC-45EqOrd-u--C-61C-61_Eq_Int e-25 e-34))) (cond ((equal? sc7 1) (cond ((equal? e-5 1) 1) (else (CoreC-45Unify-u--C-61C-61_Eq_UnifyMode (let ((e-1 (cdr arg-3))) e-1) 3)))) (else 0))))) (cond ((equal? sc6 1) (CoreC-45Unify-unifyArgs (csegen-3192) arg-2 arg-0 arg-1 arg-3 arg-4 arg-5 (PreludeC-45TypesC-45List-tailRecAppend e-26 ((csegen-947) arg-8)) (PreludeC-45TypesC-45List-tailRecAppend e-35 ((csegen-947) arg-11)))) (else (let ((eff-1 (CoreC-45Unify-n--14733-22708-u--localsIn arg-2 e-26 e-25 e-24 e-35 e-34 e-33 arg-11 arg-9 arg-8 arg-6 arg-5 arg-4 arg-3 arg-1 arg-0 e-26))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Unify-n--14733-22708-u--localsIn arg-2 e-26 e-25 e-24 e-35 e-34 e-33 arg-11 arg-9 arg-8 arg-6 arg-5 arg-4 arg-3 arg-1 arg-0 e-35))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((u--xbigger (let ((sc9 (PreludeC-45Types-u--C-62_Ord_Nat e-6 e-7))) (cond ((equal? sc9 1) 1) (else (let ((sc10 (or (and (= e-6 e-7) 1) 0))) (cond ((equal? sc10 1) (PreludeC-45Types-u--C-60C-61_Ord_Nat (PreludeC-45TypesC-45List-lengthTR arg-8) (PreludeC-45TypesC-45List-lengthTR arg-11))) (else 0)))))))) (let ((sc9 (let ((sc10 (cond ((equal? u--xbigger 1) 1) (else (CoreC-45Unify-u--C-61C-61_Eq_UnifyMode (let ((e-1 (cdr arg-3))) e-1) 2))))) (cond ((equal? sc10 1) (let ((sc11 (CoreC-45Unify-n--14733-22707-u--pv arg-2 e-26 e-25 e-24 e-35 e-34 e-33 arg-11 arg-9 arg-8 arg-6 arg-5 arg-4 arg-3 arg-1 arg-0 e-24))) (cond ((equal? sc11 1) 0) (else 1)))) (else 0))))) (cond ((equal? sc9 1) (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 (vector 2 e-24 e-25 e-26) arg-8 (vector 1 arg-9 (vector 2 e-33 e-34 e-35) arg-11))) (else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 1 arg-3 arg-4 arg-5 arg-9 (vector 2 e-33 e-34 e-35) arg-11 (vector 1 arg-6 (vector 2 e-24 e-25 e-26) arg-8)))))))) eff-3))))))))) eff-2)))))))))))) eff-1)))))))))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 (vector 2 e-24 e-25 e-26) arg-8 (vector 1 arg-9 arg-10 arg-11))))))))(else (case (vector-ref arg-10 0) ((2) (let ((e-15 (vector-ref arg-10 1))) (let ((e-16 (vector-ref arg-10 2))) (let ((e-17 (vector-ref arg-10 3))) (let ((sc4 (CoreC-45Unify-u--C-47C-61_Eq_UnifyMode (let ((e-1 (cdr arg-3))) e-1) 2))) (cond ((equal? sc4 1) (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 1 arg-3 arg-4 arg-5 arg-6 (vector 2 e-15 e-16 e-17) arg-11 (vector 1 arg-6 arg-7 arg-8))) (else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 (vector 2 e-15 e-16 e-17) arg-11)))))))))(else (if (null? arg-3) (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11)) (let ((e-0 (car arg-3))) (let ((e-1 (cdr arg-3))) (cond ((equal? e-1 3) (case (vector-ref arg-7 0) ((1) (let ((e-3 (vector-ref arg-7 1))) (let ((e-4 (vector-ref arg-7 2))) (case (vector-ref arg-10 0) ((1) (let ((e-6 (vector-ref arg-10 1))) (let ((e-7 (vector-ref arg-10 2))) (let ((u--mode (cons e-0 3))) (let ((u--fx (vector 1 e-3 e-4))) (let ((u--fy (vector 1 e-6 e-7))) (let ((sc7 (CoreC-45Name-u--C-61C-61_Eq_Name e-4 e-7))) (cond ((equal? sc7 1) (CoreC-45Unify-unifyArgs (csegen-3192) arg-2 arg-0 arg-1 u--mode arg-4 arg-5 ((csegen-947) arg-8) ((csegen-947) arg-11))) (else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 u--mode arg-4 arg-5 arg-6 u--fx arg-8 (vector 1 arg-9 u--fy arg-11)))))))))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11)))))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11))))) ((equal? e-1 2) (case (vector-ref arg-7 0) ((1) (let ((e-9 (vector-ref arg-7 1))) (let ((e-10 (vector-ref arg-7 2))) (case (vector-ref arg-10 0) ((1) (let ((e-12 (vector-ref arg-10 1))) (let ((e-13 (vector-ref arg-10 2))) (let ((u--mode (cons e-0 2))) (let ((u--fx (vector 1 e-9 e-10))) (let ((u--fy (vector 1 e-12 e-13))) (let ((sc7 (CoreC-45Name-u--C-61C-61_Eq_Name e-10 e-13))) (cond ((equal? sc7 1) (let ((eff-0 (CoreC-45ContextC-45Log-unverifiedLogC arg-0 "unify.application" 5 (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Core-traverseC-39 (lambda (clam-0) (CoreC-45NormaliseC-45Quote-u--quote_Quote_Closure arg-0 arg-2 e-5 arg-5 clam-0)) ((csegen-947) arg-8) '()))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Core-traverseC-39 (lambda (clam-0) (CoreC-45NormaliseC-45Quote-u--quote_Quote_Closure arg-0 arg-2 e-5 arg-5 clam-0)) ((csegen-947) arg-11) '()))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (string-append "Matching args " (string-append (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (cons (lambda (u--x) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-2 u--x)) (lambda (u--d) (lambda (u--x) (CoreC-45TT-u--showPrec_Show_C-40TermC-32C-36varsC-41 arg-2 u--d u--x)))) e-6) (string-append " " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (cons (lambda (u--x) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-2 u--x)) (lambda (u--d) (lambda (u--x) (CoreC-45TT-u--showPrec_Show_C-40TermC-32C-36varsC-41 arg-2 u--d u--x)))) e-7)))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45Unify-unifyArgs (csegen-3192) arg-2 arg-0 arg-1 u--mode arg-4 arg-5 ((csegen-947) arg-8) ((csegen-947) arg-11)))) eff-1))))))) (else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 u--mode arg-4 arg-5 arg-6 u--fx arg-8 (vector 1 arg-9 u--fy arg-11)))))))))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11)))))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11)))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11))))))))))))))))(else (case (vector-ref arg-7 0) ((0) (let ((e-20 (vector-ref arg-7 1))) (let ((e-21 (vector-ref arg-7 2))) (case (vector-ref arg-10 0) ((0) (let ((e-29 (vector-ref arg-10 1))) (let ((e-30 (vector-ref arg-10 2))) (let ((eff-0 (CoreC-45ContextC-45Log-log arg-0 "unify.application" 10 (lambda () "Both local apps, unifyIfEq")))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45Unify-unifyIfEq arg-0 arg-1 arg-2 1 arg-4 arg-3 arg-5 (vector 1 arg-6 (vector 0 e-20 e-21) arg-8) (vector 1 arg-9 (vector 0 e-29 e-30) arg-11)))) eff-1)))))))))(else (case (vector-ref arg-10 0) ((2) (let ((e-15 (vector-ref arg-10 1))) (let ((e-16 (vector-ref arg-10 2))) (let ((e-17 (vector-ref arg-10 3))) (let ((sc4 (CoreC-45Unify-u--C-47C-61_Eq_UnifyMode (let ((e-1 (cdr arg-3))) e-1) 2))) (cond ((equal? sc4 1) (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 1 arg-3 arg-4 arg-5 arg-6 (vector 2 e-15 e-16 e-17) arg-11 (vector 1 arg-6 arg-7 arg-8))) (else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 (vector 2 e-15 e-16 e-17) arg-11)))))))))(else (if (null? arg-3) (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11)) (let ((e-0 (car arg-3))) (let ((e-1 (cdr arg-3))) (cond ((equal? e-1 3) (case (vector-ref arg-7 0) ((1) (let ((e-3 (vector-ref arg-7 1))) (let ((e-4 (vector-ref arg-7 2))) (case (vector-ref arg-10 0) ((1) (let ((e-6 (vector-ref arg-10 1))) (let ((e-7 (vector-ref arg-10 2))) (let ((u--mode (cons e-0 3))) (let ((u--fx (vector 1 e-3 e-4))) (let ((u--fy (vector 1 e-6 e-7))) (let ((sc7 (CoreC-45Name-u--C-61C-61_Eq_Name e-4 e-7))) (cond ((equal? sc7 1) (CoreC-45Unify-unifyArgs (csegen-3192) arg-2 arg-0 arg-1 u--mode arg-4 arg-5 ((csegen-947) arg-8) ((csegen-947) arg-11))) (else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 u--mode arg-4 arg-5 arg-6 u--fx arg-8 (vector 1 arg-9 u--fy arg-11)))))))))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11)))))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11))))) ((equal? e-1 2) (case (vector-ref arg-7 0) ((1) (let ((e-9 (vector-ref arg-7 1))) (let ((e-10 (vector-ref arg-7 2))) (case (vector-ref arg-10 0) ((1) (let ((e-12 (vector-ref arg-10 1))) (let ((e-13 (vector-ref arg-10 2))) (let ((u--mode (cons e-0 2))) (let ((u--fx (vector 1 e-9 e-10))) (let ((u--fy (vector 1 e-12 e-13))) (let ((sc7 (CoreC-45Name-u--C-61C-61_Eq_Name e-10 e-13))) (cond ((equal? sc7 1) (let ((eff-0 (CoreC-45ContextC-45Log-unverifiedLogC arg-0 "unify.application" 5 (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Core-traverseC-39 (lambda (clam-0) (CoreC-45NormaliseC-45Quote-u--quote_Quote_Closure arg-0 arg-2 e-5 arg-5 clam-0)) ((csegen-947) arg-8) '()))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Core-traverseC-39 (lambda (clam-0) (CoreC-45NormaliseC-45Quote-u--quote_Quote_Closure arg-0 arg-2 e-5 arg-5 clam-0)) ((csegen-947) arg-11) '()))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (string-append "Matching args " (string-append (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (cons (lambda (u--x) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-2 u--x)) (lambda (u--d) (lambda (u--x) (CoreC-45TT-u--showPrec_Show_C-40TermC-32C-36varsC-41 arg-2 u--d u--x)))) e-6) (string-append " " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (cons (lambda (u--x) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-2 u--x)) (lambda (u--d) (lambda (u--x) (CoreC-45TT-u--showPrec_Show_C-40TermC-32C-36varsC-41 arg-2 u--d u--x)))) e-7)))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45Unify-unifyArgs (csegen-3192) arg-2 arg-0 arg-1 u--mode arg-4 arg-5 ((csegen-947) arg-8) ((csegen-947) arg-11)))) eff-1))))))) (else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 u--mode arg-4 arg-5 arg-6 u--fx arg-8 (vector 1 arg-9 u--fy arg-11)))))))))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11)))))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11)))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11)))))))))))))) ((2) (let ((e-24 (vector-ref arg-7 1))) (let ((e-25 (vector-ref arg-7 2))) (let ((e-26 (vector-ref arg-7 3))) (case (vector-ref arg-10 0) ((2) (let ((e-33 (vector-ref arg-10 1))) (let ((e-34 (vector-ref arg-10 2))) (let ((e-35 (vector-ref arg-10 3))) (let ((eff-0 (CoreC-45Unify-isDefInvertible arg-0 arg-4 e-25))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((sc5 (let ((sc6 (PreludeC-45EqOrd-u--C-61C-61_Eq_Int e-25 e-34))) (cond ((equal? sc6 1) (cond ((equal? e-5 1) 1) (else (CoreC-45Unify-u--C-61C-61_Eq_UnifyMode (let ((e-1 (cdr arg-3))) e-1) 3)))) (else 0))))) (cond ((equal? sc5 1) (CoreC-45Unify-unifyArgs (csegen-3192) arg-2 arg-0 arg-1 arg-3 arg-4 arg-5 (PreludeC-45TypesC-45List-tailRecAppend e-26 ((csegen-947) arg-8)) (PreludeC-45TypesC-45List-tailRecAppend e-35 ((csegen-947) arg-11)))) (else (let ((eff-1 (CoreC-45Unify-n--14733-22708-u--localsIn arg-2 e-26 e-25 e-24 e-35 e-34 e-33 arg-11 arg-9 arg-8 arg-6 arg-5 arg-4 arg-3 arg-1 arg-0 e-26))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Unify-n--14733-22708-u--localsIn arg-2 e-26 e-25 e-24 e-35 e-34 e-33 arg-11 arg-9 arg-8 arg-6 arg-5 arg-4 arg-3 arg-1 arg-0 e-35))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((u--xbigger (let ((sc8 (PreludeC-45Types-u--C-62_Ord_Nat e-6 e-7))) (cond ((equal? sc8 1) 1) (else (let ((sc9 (or (and (= e-6 e-7) 1) 0))) (cond ((equal? sc9 1) (PreludeC-45Types-u--C-60C-61_Ord_Nat (PreludeC-45TypesC-45List-lengthTR arg-8) (PreludeC-45TypesC-45List-lengthTR arg-11))) (else 0)))))))) (let ((sc8 (let ((sc9 (cond ((equal? u--xbigger 1) 1) (else (CoreC-45Unify-u--C-61C-61_Eq_UnifyMode (let ((e-1 (cdr arg-3))) e-1) 2))))) (cond ((equal? sc9 1) (let ((sc10 (CoreC-45Unify-n--14733-22707-u--pv arg-2 e-26 e-25 e-24 e-35 e-34 e-33 arg-11 arg-9 arg-8 arg-6 arg-5 arg-4 arg-3 arg-1 arg-0 e-24))) (cond ((equal? sc10 1) 0) (else 1)))) (else 0))))) (cond ((equal? sc8 1) (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 (vector 2 e-24 e-25 e-26) arg-8 (vector 1 arg-9 (vector 2 e-33 e-34 e-35) arg-11))) (else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 1 arg-3 arg-4 arg-5 arg-9 (vector 2 e-33 e-34 e-35) arg-11 (vector 1 arg-6 (vector 2 e-24 e-25 e-26) arg-8)))))))) eff-3))))))))) eff-2)))))))))))) eff-1)))))))))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 (vector 2 e-24 e-25 e-26) arg-8 (vector 1 arg-9 arg-10 arg-11))))))))(else (case (vector-ref arg-10 0) ((2) (let ((e-15 (vector-ref arg-10 1))) (let ((e-16 (vector-ref arg-10 2))) (let ((e-17 (vector-ref arg-10 3))) (let ((sc3 (CoreC-45Unify-u--C-47C-61_Eq_UnifyMode (let ((e-1 (cdr arg-3))) e-1) 2))) (cond ((equal? sc3 1) (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 1 arg-3 arg-4 arg-5 arg-6 (vector 2 e-15 e-16 e-17) arg-11 (vector 1 arg-6 arg-7 arg-8))) (else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 (vector 2 e-15 e-16 e-17) arg-11)))))))))(else (if (null? arg-3) (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11)) (let ((e-0 (car arg-3))) (let ((e-1 (cdr arg-3))) (cond ((equal? e-1 3) (case (vector-ref arg-7 0) ((1) (let ((e-3 (vector-ref arg-7 1))) (let ((e-4 (vector-ref arg-7 2))) (case (vector-ref arg-10 0) ((1) (let ((e-6 (vector-ref arg-10 1))) (let ((e-7 (vector-ref arg-10 2))) (let ((u--mode (cons e-0 3))) (let ((u--fx (vector 1 e-3 e-4))) (let ((u--fy (vector 1 e-6 e-7))) (let ((sc6 (CoreC-45Name-u--C-61C-61_Eq_Name e-4 e-7))) (cond ((equal? sc6 1) (CoreC-45Unify-unifyArgs (csegen-3192) arg-2 arg-0 arg-1 u--mode arg-4 arg-5 ((csegen-947) arg-8) ((csegen-947) arg-11))) (else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 u--mode arg-4 arg-5 arg-6 u--fx arg-8 (vector 1 arg-9 u--fy arg-11)))))))))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11)))))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11))))) ((equal? e-1 2) (case (vector-ref arg-7 0) ((1) (let ((e-9 (vector-ref arg-7 1))) (let ((e-10 (vector-ref arg-7 2))) (case (vector-ref arg-10 0) ((1) (let ((e-12 (vector-ref arg-10 1))) (let ((e-13 (vector-ref arg-10 2))) (let ((u--mode (cons e-0 2))) (let ((u--fx (vector 1 e-9 e-10))) (let ((u--fy (vector 1 e-12 e-13))) (let ((sc6 (CoreC-45Name-u--C-61C-61_Eq_Name e-10 e-13))) (cond ((equal? sc6 1) (let ((eff-0 (CoreC-45ContextC-45Log-unverifiedLogC arg-0 "unify.application" 5 (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Core-traverseC-39 (lambda (clam-0) (CoreC-45NormaliseC-45Quote-u--quote_Quote_Closure arg-0 arg-2 e-5 arg-5 clam-0)) ((csegen-947) arg-8) '()))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Core-traverseC-39 (lambda (clam-0) (CoreC-45NormaliseC-45Quote-u--quote_Quote_Closure arg-0 arg-2 e-5 arg-5 clam-0)) ((csegen-947) arg-11) '()))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (string-append "Matching args " (string-append (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (cons (lambda (u--x) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-2 u--x)) (lambda (u--d) (lambda (u--x) (CoreC-45TT-u--showPrec_Show_C-40TermC-32C-36varsC-41 arg-2 u--d u--x)))) e-6) (string-append " " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (cons (lambda (u--x) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-2 u--x)) (lambda (u--d) (lambda (u--x) (CoreC-45TT-u--showPrec_Show_C-40TermC-32C-36varsC-41 arg-2 u--d u--x)))) e-7)))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45Unify-unifyArgs (csegen-3192) arg-2 arg-0 arg-1 u--mode arg-4 arg-5 ((csegen-947) arg-8) ((csegen-947) arg-11)))) eff-1))))))) (else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 u--mode arg-4 arg-5 arg-6 u--fx arg-8 (vector 1 arg-9 u--fy arg-11)))))))))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11)))))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11)))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11))))))))))))))(else (case (vector-ref arg-7 0) ((0) (let ((e-20 (vector-ref arg-7 1))) (let ((e-21 (vector-ref arg-7 2))) (case (vector-ref arg-10 0) ((0) (let ((e-29 (vector-ref arg-10 1))) (let ((e-30 (vector-ref arg-10 2))) (let ((eff-0 (CoreC-45ContextC-45Log-log arg-0 "unify.application" 10 (lambda () "Both local apps, unifyIfEq")))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45Unify-unifyIfEq arg-0 arg-1 arg-2 1 arg-4 arg-3 arg-5 (vector 1 arg-6 (vector 0 e-20 e-21) arg-8) (vector 1 arg-9 (vector 0 e-29 e-30) arg-11)))) eff-1)))))))))(else (case (vector-ref arg-10 0) ((2) (let ((e-15 (vector-ref arg-10 1))) (let ((e-16 (vector-ref arg-10 2))) (let ((e-17 (vector-ref arg-10 3))) (let ((sc3 (CoreC-45Unify-u--C-47C-61_Eq_UnifyMode (let ((e-1 (cdr arg-3))) e-1) 2))) (cond ((equal? sc3 1) (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 1 arg-3 arg-4 arg-5 arg-6 (vector 2 e-15 e-16 e-17) arg-11 (vector 1 arg-6 arg-7 arg-8))) (else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 (vector 2 e-15 e-16 e-17) arg-11)))))))))(else (if (null? arg-3) (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11)) (let ((e-0 (car arg-3))) (let ((e-1 (cdr arg-3))) (cond ((equal? e-1 3) (case (vector-ref arg-7 0) ((1) (let ((e-3 (vector-ref arg-7 1))) (let ((e-4 (vector-ref arg-7 2))) (case (vector-ref arg-10 0) ((1) (let ((e-6 (vector-ref arg-10 1))) (let ((e-7 (vector-ref arg-10 2))) (let ((u--mode (cons e-0 3))) (let ((u--fx (vector 1 e-3 e-4))) (let ((u--fy (vector 1 e-6 e-7))) (let ((sc6 (CoreC-45Name-u--C-61C-61_Eq_Name e-4 e-7))) (cond ((equal? sc6 1) (CoreC-45Unify-unifyArgs (csegen-3192) arg-2 arg-0 arg-1 u--mode arg-4 arg-5 ((csegen-947) arg-8) ((csegen-947) arg-11))) (else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 u--mode arg-4 arg-5 arg-6 u--fx arg-8 (vector 1 arg-9 u--fy arg-11)))))))))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11)))))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11))))) ((equal? e-1 2) (case (vector-ref arg-7 0) ((1) (let ((e-9 (vector-ref arg-7 1))) (let ((e-10 (vector-ref arg-7 2))) (case (vector-ref arg-10 0) ((1) (let ((e-12 (vector-ref arg-10 1))) (let ((e-13 (vector-ref arg-10 2))) (let ((u--mode (cons e-0 2))) (let ((u--fx (vector 1 e-9 e-10))) (let ((u--fy (vector 1 e-12 e-13))) (let ((sc6 (CoreC-45Name-u--C-61C-61_Eq_Name e-10 e-13))) (cond ((equal? sc6 1) (let ((eff-0 (CoreC-45ContextC-45Log-unverifiedLogC arg-0 "unify.application" 5 (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Core-traverseC-39 (lambda (clam-0) (CoreC-45NormaliseC-45Quote-u--quote_Quote_Closure arg-0 arg-2 e-5 arg-5 clam-0)) ((csegen-947) arg-8) '()))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Core-traverseC-39 (lambda (clam-0) (CoreC-45NormaliseC-45Quote-u--quote_Quote_Closure arg-0 arg-2 e-5 arg-5 clam-0)) ((csegen-947) arg-11) '()))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (string-append "Matching args " (string-append (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (cons (lambda (u--x) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-2 u--x)) (lambda (u--d) (lambda (u--x) (CoreC-45TT-u--showPrec_Show_C-40TermC-32C-36varsC-41 arg-2 u--d u--x)))) e-6) (string-append " " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (cons (lambda (u--x) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-2 u--x)) (lambda (u--d) (lambda (u--x) (CoreC-45TT-u--showPrec_Show_C-40TermC-32C-36varsC-41 arg-2 u--d u--x)))) e-7)))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45Unify-unifyArgs (csegen-3192) arg-2 arg-0 arg-1 u--mode arg-4 arg-5 ((csegen-947) arg-8) ((csegen-947) arg-11)))) eff-1))))))) (else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 u--mode arg-4 arg-5 arg-6 u--fx arg-8 (vector 1 arg-9 u--fy arg-11)))))))))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11)))))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11)))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11)))))))))))))) ((2) (let ((e-24 (vector-ref arg-7 1))) (let ((e-25 (vector-ref arg-7 2))) (let ((e-26 (vector-ref arg-7 3))) (case (vector-ref arg-10 0) ((2) (let ((e-33 (vector-ref arg-10 1))) (let ((e-34 (vector-ref arg-10 2))) (let ((e-35 (vector-ref arg-10 3))) (let ((eff-0 (CoreC-45Unify-isDefInvertible arg-0 arg-4 e-25))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((sc4 (let ((sc5 (PreludeC-45EqOrd-u--C-61C-61_Eq_Int e-25 e-34))) (cond ((equal? sc5 1) (cond ((equal? e-5 1) 1) (else (CoreC-45Unify-u--C-61C-61_Eq_UnifyMode (let ((e-1 (cdr arg-3))) e-1) 3)))) (else 0))))) (cond ((equal? sc4 1) (CoreC-45Unify-unifyArgs (csegen-3192) arg-2 arg-0 arg-1 arg-3 arg-4 arg-5 (PreludeC-45TypesC-45List-tailRecAppend e-26 ((csegen-947) arg-8)) (PreludeC-45TypesC-45List-tailRecAppend e-35 ((csegen-947) arg-11)))) (else (let ((eff-1 (CoreC-45Unify-n--14733-22708-u--localsIn arg-2 e-26 e-25 e-24 e-35 e-34 e-33 arg-11 arg-9 arg-8 arg-6 arg-5 arg-4 arg-3 arg-1 arg-0 e-26))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Unify-n--14733-22708-u--localsIn arg-2 e-26 e-25 e-24 e-35 e-34 e-33 arg-11 arg-9 arg-8 arg-6 arg-5 arg-4 arg-3 arg-1 arg-0 e-35))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((u--xbigger (let ((sc7 (PreludeC-45Types-u--C-62_Ord_Nat e-6 e-7))) (cond ((equal? sc7 1) 1) (else (let ((sc8 (or (and (= e-6 e-7) 1) 0))) (cond ((equal? sc8 1) (PreludeC-45Types-u--C-60C-61_Ord_Nat (PreludeC-45TypesC-45List-lengthTR arg-8) (PreludeC-45TypesC-45List-lengthTR arg-11))) (else 0)))))))) (let ((sc7 (let ((sc8 (cond ((equal? u--xbigger 1) 1) (else (CoreC-45Unify-u--C-61C-61_Eq_UnifyMode (let ((e-1 (cdr arg-3))) e-1) 2))))) (cond ((equal? sc8 1) (let ((sc9 (CoreC-45Unify-n--14733-22707-u--pv arg-2 e-26 e-25 e-24 e-35 e-34 e-33 arg-11 arg-9 arg-8 arg-6 arg-5 arg-4 arg-3 arg-1 arg-0 e-24))) (cond ((equal? sc9 1) 0) (else 1)))) (else 0))))) (cond ((equal? sc7 1) (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 (vector 2 e-24 e-25 e-26) arg-8 (vector 1 arg-9 (vector 2 e-33 e-34 e-35) arg-11))) (else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 1 arg-3 arg-4 arg-5 arg-9 (vector 2 e-33 e-34 e-35) arg-11 (vector 1 arg-6 (vector 2 e-24 e-25 e-26) arg-8)))))))) eff-3))))))))) eff-2)))))))))))) eff-1)))))))))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 (vector 2 e-24 e-25 e-26) arg-8 (vector 1 arg-9 arg-10 arg-11))))))))(else (case (vector-ref arg-10 0) ((2) (let ((e-15 (vector-ref arg-10 1))) (let ((e-16 (vector-ref arg-10 2))) (let ((e-17 (vector-ref arg-10 3))) (let ((sc2 (CoreC-45Unify-u--C-47C-61_Eq_UnifyMode (let ((e-1 (cdr arg-3))) e-1) 2))) (cond ((equal? sc2 1) (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 1 arg-3 arg-4 arg-5 arg-6 (vector 2 e-15 e-16 e-17) arg-11 (vector 1 arg-6 arg-7 arg-8))) (else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 (vector 2 e-15 e-16 e-17) arg-11)))))))))(else (if (null? arg-3) (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11)) (let ((e-0 (car arg-3))) (let ((e-1 (cdr arg-3))) (cond ((equal? e-1 3) (case (vector-ref arg-7 0) ((1) (let ((e-3 (vector-ref arg-7 1))) (let ((e-4 (vector-ref arg-7 2))) (case (vector-ref arg-10 0) ((1) (let ((e-6 (vector-ref arg-10 1))) (let ((e-7 (vector-ref arg-10 2))) (let ((u--mode (cons e-0 3))) (let ((u--fx (vector 1 e-3 e-4))) (let ((u--fy (vector 1 e-6 e-7))) (let ((sc5 (CoreC-45Name-u--C-61C-61_Eq_Name e-4 e-7))) (cond ((equal? sc5 1) (CoreC-45Unify-unifyArgs (csegen-3192) arg-2 arg-0 arg-1 u--mode arg-4 arg-5 ((csegen-947) arg-8) ((csegen-947) arg-11))) (else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 u--mode arg-4 arg-5 arg-6 u--fx arg-8 (vector 1 arg-9 u--fy arg-11)))))))))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11)))))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11))))) ((equal? e-1 2) (case (vector-ref arg-7 0) ((1) (let ((e-9 (vector-ref arg-7 1))) (let ((e-10 (vector-ref arg-7 2))) (case (vector-ref arg-10 0) ((1) (let ((e-12 (vector-ref arg-10 1))) (let ((e-13 (vector-ref arg-10 2))) (let ((u--mode (cons e-0 2))) (let ((u--fx (vector 1 e-9 e-10))) (let ((u--fy (vector 1 e-12 e-13))) (let ((sc5 (CoreC-45Name-u--C-61C-61_Eq_Name e-10 e-13))) (cond ((equal? sc5 1) (let ((eff-0 (CoreC-45ContextC-45Log-unverifiedLogC arg-0 "unify.application" 5 (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Core-traverseC-39 (lambda (clam-0) (CoreC-45NormaliseC-45Quote-u--quote_Quote_Closure arg-0 arg-2 e-5 arg-5 clam-0)) ((csegen-947) arg-8) '()))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Core-traverseC-39 (lambda (clam-0) (CoreC-45NormaliseC-45Quote-u--quote_Quote_Closure arg-0 arg-2 e-5 arg-5 clam-0)) ((csegen-947) arg-11) '()))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (string-append "Matching args " (string-append (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (cons (lambda (u--x) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-2 u--x)) (lambda (u--d) (lambda (u--x) (CoreC-45TT-u--showPrec_Show_C-40TermC-32C-36varsC-41 arg-2 u--d u--x)))) e-6) (string-append " " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (cons (lambda (u--x) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-2 u--x)) (lambda (u--d) (lambda (u--x) (CoreC-45TT-u--showPrec_Show_C-40TermC-32C-36varsC-41 arg-2 u--d u--x)))) e-7)))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45Unify-unifyArgs (csegen-3192) arg-2 arg-0 arg-1 u--mode arg-4 arg-5 ((csegen-947) arg-8) ((csegen-947) arg-11)))) eff-1))))))) (else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 u--mode arg-4 arg-5 arg-6 u--fx arg-8 (vector 1 arg-9 u--fy arg-11)))))))))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11)))))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11)))))(else (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 arg-9 arg-10 arg-11))))))))))))))))))))
(define CoreC-45Unify-unifyArgs (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9) (if (null? arg-8) (lambda (clam-0) (if (null? arg-9) (vector 1 (CoreC-45Unify-success)) (CoreC-45Unify-ufail arg-6 "" clam-0))) (let ((e-2 (car arg-8))) (let ((e-3 (cdr arg-8))) (if (null? arg-9) (lambda (eta-0) (CoreC-45Unify-ufail arg-6 "" eta-0)) (let ((e-6 (car arg-9))) (let ((e-7 (cdr arg-9))) (let ((eff-0 (CoreC-45Unify-unifyArgs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-3 e-7))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((((CoreC-45Unify-unify (Builtin-fst arg-1) arg-2 arg-3 arg-4 (CoreC-45Unify-lower arg-5) arg-6) arg-7) e-2) e-6))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-8 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (CoreC-45Unify-union e-8 e-5))))) eff-2))))))))) eff-1)))))))))))))))
(define CoreC-45Unify-unifyApp (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10) (case (vector-ref arg-8 0) ((2) (let ((e-56 (vector-ref arg-8 1))) (let ((e-57 (vector-ref arg-8 2))) (let ((e-58 (vector-ref arg-8 3))) (CoreC-45Unify-unifyHole arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-56 e-57 e-58 ((csegen-947) arg-9) arg-10)))))(else (case (vector-ref arg-10 0) ((1) (let ((e-43 (vector-ref arg-10 1))) (let ((e-44 (vector-ref arg-10 2))) (let ((e-45 (vector-ref arg-10 3))) (case (vector-ref e-44 0) ((2) (let ((e-50 (vector-ref e-44 1))) (let ((e-51 (vector-ref e-44 2))) (let ((e-52 (vector-ref e-44 3))) (CoreC-45Unify-unifyHole arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-43 e-50 e-51 e-52 ((csegen-947) e-45) (vector 1 arg-7 arg-8 arg-9))))))(else (case (vector-ref arg-8 0) ((1) (let ((e-1 (vector-ref arg-8 1))) (let ((e-2 (vector-ref arg-8 2))) (let ((eff-0 (CoreC-45ContextC-45Log-log arg-0 "unify.application" 10 (lambda () "Name against app, unifyIfEq")))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-1 (cond ((equal? arg-3 1) (CoreC-45Unify-unifyIfEq arg-0 arg-1 arg-2 1 arg-5 arg-4 arg-6 arg-10 (vector 1 arg-7 (vector 1 e-1 e-2) arg-9))) (else (CoreC-45Unify-unifyIfEq arg-0 arg-1 arg-2 1 arg-5 arg-4 arg-6 (vector 1 arg-7 (vector 1 e-1 e-2) arg-9) arg-10))))) eff-1))))))))) ((0) (let ((e-5 (vector-ref arg-8 1))) (let ((e-6 (vector-ref arg-8 2))) (if (null? arg-9) (case (vector-ref arg-10 0) ((1) (let ((e-33 (vector-ref arg-10 1))) (let ((e-34 (vector-ref arg-10 2))) (let ((e-35 (vector-ref arg-10 3))) (case (vector-ref e-34 0) ((0) (let ((e-38 (vector-ref e-34 1))) (let ((e-39 (vector-ref e-34 2))) (if (null? e-35) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((sc7 (or (and (= e-6 e-39) 1) 0))) (cond ((equal? sc7 1) (lambda (eta-0) (vector 1 (CoreC-45Unify-success)))) (else (CoreC-45Unify-postponeS arg-2 arg-0 arg-1 arg-3 arg-5 arg-4 "Postponing var" arg-6 (vector 1 arg-7 (vector 0 e-5 e-6) '()) (vector 1 e-33 (vector 0 e-38 e-39) '()))))))) eff-1)))))) (case (vector-ref arg-10 0) ((0) (CoreC-45Unify-convertErrorS arg-2 arg-0 arg-3 arg-5 arg-6 (vector 1 arg-7 (vector 0 e-5 e-6) arg-9) arg-10)) ((2) (CoreC-45Unify-convertErrorS arg-2 arg-0 arg-3 arg-5 arg-6 (vector 1 arg-7 (vector 0 e-5 e-6) arg-9) arg-10)) ((3) (CoreC-45Unify-convertErrorS arg-2 arg-0 arg-3 arg-5 arg-6 (vector 1 arg-7 (vector 0 e-5 e-6) arg-9) arg-10)) ((8) (CoreC-45Unify-convertErrorS arg-2 arg-0 arg-3 arg-5 arg-6 (vector 1 arg-7 (vector 0 e-5 e-6) arg-9) arg-10)) ((10) (CoreC-45Unify-convertErrorS arg-2 arg-0 arg-3 arg-5 arg-6 (vector 1 arg-7 (vector 0 e-5 e-6) arg-9) arg-10))(else (cond ((equal? arg-3 0) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Convert-u--convert_Convert_NF arg-0 arg-2 e-7 arg-6 (vector 1 arg-7 arg-8 arg-9) arg-10))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-1 1))) (let ((eff-2 (cond ((equal? e-8 1) (lambda (eta-0) (vector 1 (CoreC-45Unify-success)))) (else (CoreC-45Unify-postponeS arg-2 arg-0 arg-1 0 arg-5 arg-4 (csegen-3197) arg-6 (vector 1 arg-7 arg-8 arg-9) arg-10))))) eff-2))))))))) eff-1)))))))) (else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Convert-u--convert_Convert_NF arg-0 arg-2 e-7 arg-6 arg-10 (vector 1 arg-7 arg-8 arg-9)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-1 1))) (let ((eff-2 (cond ((equal? e-8 1) (lambda (eta-0) (vector 1 (CoreC-45Unify-success)))) (else (CoreC-45Unify-postponeS arg-2 arg-0 arg-1 1 arg-5 arg-4 (csegen-3197) arg-6 (vector 1 arg-7 arg-8 arg-9) arg-10))))) eff-2))))))))) eff-1)))))))))))))))(else (case (vector-ref arg-10 0) ((0) (CoreC-45Unify-convertErrorS arg-2 arg-0 arg-3 arg-5 arg-6 (vector 1 arg-7 (vector 0 e-5 e-6) arg-9) arg-10)) ((2) (CoreC-45Unify-convertErrorS arg-2 arg-0 arg-3 arg-5 arg-6 (vector 1 arg-7 (vector 0 e-5 e-6) arg-9) arg-10)) ((3) (CoreC-45Unify-convertErrorS arg-2 arg-0 arg-3 arg-5 arg-6 (vector 1 arg-7 (vector 0 e-5 e-6) arg-9) arg-10)) ((8) (CoreC-45Unify-convertErrorS arg-2 arg-0 arg-3 arg-5 arg-6 (vector 1 arg-7 (vector 0 e-5 e-6) arg-9) arg-10)) ((10) (CoreC-45Unify-convertErrorS arg-2 arg-0 arg-3 arg-5 arg-6 (vector 1 arg-7 (vector 0 e-5 e-6) arg-9) arg-10))(else (cond ((equal? arg-3 0) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Convert-u--convert_Convert_NF arg-0 arg-2 e-7 arg-6 (vector 1 arg-7 arg-8 arg-9) arg-10))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-1 1))) (let ((eff-2 (cond ((equal? e-8 1) (lambda (eta-0) (vector 1 (CoreC-45Unify-success)))) (else (CoreC-45Unify-postponeS arg-2 arg-0 arg-1 0 arg-5 arg-4 (csegen-3197) arg-6 (vector 1 arg-7 arg-8 arg-9) arg-10))))) eff-2))))))))) eff-1)))))))) (else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Convert-u--convert_Convert_NF arg-0 arg-2 e-7 arg-6 arg-10 (vector 1 arg-7 arg-8 arg-9)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-1 1))) (let ((eff-2 (cond ((equal? e-8 1) (lambda (eta-0) (vector 1 (CoreC-45Unify-success)))) (else (CoreC-45Unify-postponeS arg-2 arg-0 arg-1 1 arg-5 arg-4 (csegen-3197) arg-6 (vector 1 arg-7 arg-8 arg-9) arg-10))))) eff-2))))))))) eff-1)))))))))))))))))(else (case (vector-ref arg-10 0) ((0) (CoreC-45Unify-convertErrorS arg-2 arg-0 arg-3 arg-5 arg-6 (vector 1 arg-7 (vector 0 e-5 e-6) arg-9) arg-10)) ((2) (CoreC-45Unify-convertErrorS arg-2 arg-0 arg-3 arg-5 arg-6 (vector 1 arg-7 (vector 0 e-5 e-6) arg-9) arg-10)) ((3) (CoreC-45Unify-convertErrorS arg-2 arg-0 arg-3 arg-5 arg-6 (vector 1 arg-7 (vector 0 e-5 e-6) arg-9) arg-10)) ((8) (CoreC-45Unify-convertErrorS arg-2 arg-0 arg-3 arg-5 arg-6 (vector 1 arg-7 (vector 0 e-5 e-6) arg-9) arg-10)) ((10) (CoreC-45Unify-convertErrorS arg-2 arg-0 arg-3 arg-5 arg-6 (vector 1 arg-7 (vector 0 e-5 e-6) arg-9) arg-10))(else (cond ((equal? arg-3 0) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Convert-u--convert_Convert_NF arg-0 arg-2 e-7 arg-6 (vector 1 arg-7 arg-8 arg-9) arg-10))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-1 1))) (let ((eff-2 (cond ((equal? e-8 1) (lambda (eta-0) (vector 1 (CoreC-45Unify-success)))) (else (CoreC-45Unify-postponeS arg-2 arg-0 arg-1 0 arg-5 arg-4 (csegen-3197) arg-6 (vector 1 arg-7 arg-8 arg-9) arg-10))))) eff-2))))))))) eff-1)))))))) (else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Convert-u--convert_Convert_NF arg-0 arg-2 e-7 arg-6 arg-10 (vector 1 arg-7 arg-8 arg-9)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-1 1))) (let ((eff-2 (cond ((equal? e-8 1) (lambda (eta-0) (vector 1 (CoreC-45Unify-success)))) (else (CoreC-45Unify-postponeS arg-2 arg-0 arg-1 1 arg-5 arg-4 (csegen-3197) arg-6 (vector 1 arg-7 arg-8 arg-9) arg-10))))) eff-2))))))))) eff-1))))))))))))) (case (vector-ref arg-10 0) ((0) (CoreC-45Unify-convertErrorS arg-2 arg-0 arg-3 arg-5 arg-6 (vector 1 arg-7 (vector 0 e-5 e-6) arg-9) arg-10)) ((2) (CoreC-45Unify-convertErrorS arg-2 arg-0 arg-3 arg-5 arg-6 (vector 1 arg-7 (vector 0 e-5 e-6) arg-9) arg-10)) ((3) (CoreC-45Unify-convertErrorS arg-2 arg-0 arg-3 arg-5 arg-6 (vector 1 arg-7 (vector 0 e-5 e-6) arg-9) arg-10)) ((8) (CoreC-45Unify-convertErrorS arg-2 arg-0 arg-3 arg-5 arg-6 (vector 1 arg-7 (vector 0 e-5 e-6) arg-9) arg-10)) ((10) (CoreC-45Unify-convertErrorS arg-2 arg-0 arg-3 arg-5 arg-6 (vector 1 arg-7 (vector 0 e-5 e-6) arg-9) arg-10))(else (cond ((equal? arg-3 0) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Convert-u--convert_Convert_NF arg-0 arg-2 e-7 arg-6 (vector 1 arg-7 arg-8 arg-9) arg-10))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-1 1))) (let ((eff-2 (cond ((equal? e-8 1) (lambda (eta-0) (vector 1 (CoreC-45Unify-success)))) (else (CoreC-45Unify-postponeS arg-2 arg-0 arg-1 0 arg-5 arg-4 (csegen-3197) arg-6 (vector 1 arg-7 arg-8 arg-9) arg-10))))) eff-2))))))))) eff-1)))))))) (else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Convert-u--convert_Convert_NF arg-0 arg-2 e-7 arg-6 arg-10 (vector 1 arg-7 arg-8 arg-9)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-1 1))) (let ((eff-2 (cond ((equal? e-8 1) (lambda (eta-0) (vector 1 (CoreC-45Unify-success)))) (else (CoreC-45Unify-postponeS arg-2 arg-0 arg-1 1 arg-5 arg-4 (csegen-3197) arg-6 (vector 1 arg-7 arg-8 arg-9) arg-10))))) eff-2))))))))) eff-1)))))))))))))))(else (cond ((equal? arg-3 0) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Convert-u--convert_Convert_NF arg-0 arg-2 e-5 arg-6 (vector 1 arg-7 arg-8 arg-9) arg-10))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (cond ((equal? e-6 1) (lambda (eta-0) (vector 1 (CoreC-45Unify-success)))) (else (CoreC-45Unify-postponeS arg-2 arg-0 arg-1 0 arg-5 arg-4 (csegen-3197) arg-6 (vector 1 arg-7 arg-8 arg-9) arg-10))))) eff-2))))))))) eff-1)))))))) (else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Convert-u--convert_Convert_NF arg-0 arg-2 e-5 arg-6 arg-10 (vector 1 arg-7 arg-8 arg-9)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (cond ((equal? e-6 1) (lambda (eta-0) (vector 1 (CoreC-45Unify-success)))) (else (CoreC-45Unify-postponeS arg-2 arg-0 arg-1 1 arg-5 arg-4 (csegen-3197) arg-6 (vector 1 arg-7 arg-8 arg-9) arg-10))))) eff-2))))))))) eff-1))))))))))))))))) ((9) (let ((e-48 (vector-ref arg-10 2))) (case (vector-ref e-48 0) ((2) (let ((e-54 (vector-ref e-48 1))) (CoreC-45Unify-unifyApp arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-54)))(else (case (vector-ref arg-8 0) ((1) (let ((e-1 (vector-ref arg-8 1))) (let ((e-2 (vector-ref arg-8 2))) (let ((eff-0 (CoreC-45ContextC-45Log-log arg-0 "unify.application" 10 (lambda () "Name against app, unifyIfEq")))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-1 (cond ((equal? arg-3 1) (CoreC-45Unify-unifyIfEq arg-0 arg-1 arg-2 1 arg-5 arg-4 arg-6 arg-10 (vector 1 arg-7 (vector 1 e-1 e-2) arg-9))) (else (CoreC-45Unify-unifyIfEq arg-0 arg-1 arg-2 1 arg-5 arg-4 arg-6 (vector 1 arg-7 (vector 1 e-1 e-2) arg-9) arg-10))))) eff-1))))))))) ((0) (let ((e-5 (vector-ref arg-8 1))) (let ((e-6 (vector-ref arg-8 2))) (if (null? arg-9) (case (vector-ref arg-10 0) ((1) (let ((e-33 (vector-ref arg-10 1))) (let ((e-34 (vector-ref arg-10 2))) (let ((e-35 (vector-ref arg-10 3))) (case (vector-ref e-34 0) ((0) (let ((e-38 (vector-ref e-34 1))) (let ((e-39 (vector-ref e-34 2))) (if (null? e-35) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((sc7 (or (and (= e-6 e-39) 1) 0))) (cond ((equal? sc7 1) (lambda (eta-0) (vector 1 (CoreC-45Unify-success)))) (else (CoreC-45Unify-postponeS arg-2 arg-0 arg-1 arg-3 arg-5 arg-4 "Postponing var" arg-6 (vector 1 arg-7 (vector 0 e-5 e-6) '()) (vector 1 e-33 (vector 0 e-38 e-39) '()))))))) eff-1)))))) (case (vector-ref arg-10 0) ((0) (CoreC-45Unify-convertErrorS arg-2 arg-0 arg-3 arg-5 arg-6 (vector 1 arg-7 (vector 0 e-5 e-6) arg-9) arg-10)) ((2) (CoreC-45Unify-convertErrorS arg-2 arg-0 arg-3 arg-5 arg-6 (vector 1 arg-7 (vector 0 e-5 e-6) arg-9) arg-10)) ((3) (CoreC-45Unify-convertErrorS arg-2 arg-0 arg-3 arg-5 arg-6 (vector 1 arg-7 (vector 0 e-5 e-6) arg-9) arg-10)) ((8) (CoreC-45Unify-convertErrorS arg-2 arg-0 arg-3 arg-5 arg-6 (vector 1 arg-7 (vector 0 e-5 e-6) arg-9) arg-10)) ((10) (CoreC-45Unify-convertErrorS arg-2 arg-0 arg-3 arg-5 arg-6 (vector 1 arg-7 (vector 0 e-5 e-6) arg-9) arg-10))(else (cond ((equal? arg-3 0) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Convert-u--convert_Convert_NF arg-0 arg-2 e-7 arg-6 (vector 1 arg-7 arg-8 arg-9) arg-10))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-1 1))) (let ((eff-2 (cond ((equal? e-8 1) (lambda (eta-0) (vector 1 (CoreC-45Unify-success)))) (else (CoreC-45Unify-postponeS arg-2 arg-0 arg-1 0 arg-5 arg-4 (csegen-3197) arg-6 (vector 1 arg-7 arg-8 arg-9) arg-10))))) eff-2))))))))) eff-1)))))))) (else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Convert-u--convert_Convert_NF arg-0 arg-2 e-7 arg-6 arg-10 (vector 1 arg-7 arg-8 arg-9)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-1 1))) (let ((eff-2 (cond ((equal? e-8 1) (lambda (eta-0) (vector 1 (CoreC-45Unify-success)))) (else (CoreC-45Unify-postponeS arg-2 arg-0 arg-1 1 arg-5 arg-4 (csegen-3197) arg-6 (vector 1 arg-7 arg-8 arg-9) arg-10))))) eff-2))))))))) eff-1)))))))))))))))(else (case (vector-ref arg-10 0) ((0) (CoreC-45Unify-convertErrorS arg-2 arg-0 arg-3 arg-5 arg-6 (vector 1 arg-7 (vector 0 e-5 e-6) arg-9) arg-10)) ((2) (CoreC-45Unify-convertErrorS arg-2 arg-0 arg-3 arg-5 arg-6 (vector 1 arg-7 (vector 0 e-5 e-6) arg-9) arg-10)) ((3) (CoreC-45Unify-convertErrorS arg-2 arg-0 arg-3 arg-5 arg-6 (vector 1 arg-7 (vector 0 e-5 e-6) arg-9) arg-10)) ((8) (CoreC-45Unify-convertErrorS arg-2 arg-0 arg-3 arg-5 arg-6 (vector 1 arg-7 (vector 0 e-5 e-6) arg-9) arg-10)) ((10) (CoreC-45Unify-convertErrorS arg-2 arg-0 arg-3 arg-5 arg-6 (vector 1 arg-7 (vector 0 e-5 e-6) arg-9) arg-10))(else (cond ((equal? arg-3 0) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Convert-u--convert_Convert_NF arg-0 arg-2 e-7 arg-6 (vector 1 arg-7 arg-8 arg-9) arg-10))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-1 1))) (let ((eff-2 (cond ((equal? e-8 1) (lambda (eta-0) (vector 1 (CoreC-45Unify-success)))) (else (CoreC-45Unify-postponeS arg-2 arg-0 arg-1 0 arg-5 arg-4 (csegen-3197) arg-6 (vector 1 arg-7 arg-8 arg-9) arg-10))))) eff-2))))))))) eff-1)))))))) (else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Convert-u--convert_Convert_NF arg-0 arg-2 e-7 arg-6 arg-10 (vector 1 arg-7 arg-8 arg-9)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-1 1))) (let ((eff-2 (cond ((equal? e-8 1) (lambda (eta-0) (vector 1 (CoreC-45Unify-success)))) (else (CoreC-45Unify-postponeS arg-2 arg-0 arg-1 1 arg-5 arg-4 (csegen-3197) arg-6 (vector 1 arg-7 arg-8 arg-9) arg-10))))) eff-2))))))))) eff-1)))))))))))))))))(else (case (vector-ref arg-10 0) ((0) (CoreC-45Unify-convertErrorS arg-2 arg-0 arg-3 arg-5 arg-6 (vector 1 arg-7 (vector 0 e-5 e-6) arg-9) arg-10)) ((2) (CoreC-45Unify-convertErrorS arg-2 arg-0 arg-3 arg-5 arg-6 (vector 1 arg-7 (vector 0 e-5 e-6) arg-9) arg-10)) ((3) (CoreC-45Unify-convertErrorS arg-2 arg-0 arg-3 arg-5 arg-6 (vector 1 arg-7 (vector 0 e-5 e-6) arg-9) arg-10)) ((8) (CoreC-45Unify-convertErrorS arg-2 arg-0 arg-3 arg-5 arg-6 (vector 1 arg-7 (vector 0 e-5 e-6) arg-9) arg-10)) ((10) (CoreC-45Unify-convertErrorS arg-2 arg-0 arg-3 arg-5 arg-6 (vector 1 arg-7 (vector 0 e-5 e-6) arg-9) arg-10))(else (cond ((equal? arg-3 0) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Convert-u--convert_Convert_NF arg-0 arg-2 e-7 arg-6 (vector 1 arg-7 arg-8 arg-9) arg-10))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-1 1))) (let ((eff-2 (cond ((equal? e-8 1) (lambda (eta-0) (vector 1 (CoreC-45Unify-success)))) (else (CoreC-45Unify-postponeS arg-2 arg-0 arg-1 0 arg-5 arg-4 (csegen-3197) arg-6 (vector 1 arg-7 arg-8 arg-9) arg-10))))) eff-2))))))))) eff-1)))))))) (else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Convert-u--convert_Convert_NF arg-0 arg-2 e-7 arg-6 arg-10 (vector 1 arg-7 arg-8 arg-9)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-1 1))) (let ((eff-2 (cond ((equal? e-8 1) (lambda (eta-0) (vector 1 (CoreC-45Unify-success)))) (else (CoreC-45Unify-postponeS arg-2 arg-0 arg-1 1 arg-5 arg-4 (csegen-3197) arg-6 (vector 1 arg-7 arg-8 arg-9) arg-10))))) eff-2))))))))) eff-1))))))))))))) (case (vector-ref arg-10 0) ((0) (CoreC-45Unify-convertErrorS arg-2 arg-0 arg-3 arg-5 arg-6 (vector 1 arg-7 (vector 0 e-5 e-6) arg-9) arg-10)) ((2) (CoreC-45Unify-convertErrorS arg-2 arg-0 arg-3 arg-5 arg-6 (vector 1 arg-7 (vector 0 e-5 e-6) arg-9) arg-10)) ((3) (CoreC-45Unify-convertErrorS arg-2 arg-0 arg-3 arg-5 arg-6 (vector 1 arg-7 (vector 0 e-5 e-6) arg-9) arg-10)) ((8) (CoreC-45Unify-convertErrorS arg-2 arg-0 arg-3 arg-5 arg-6 (vector 1 arg-7 (vector 0 e-5 e-6) arg-9) arg-10)) ((10) (CoreC-45Unify-convertErrorS arg-2 arg-0 arg-3 arg-5 arg-6 (vector 1 arg-7 (vector 0 e-5 e-6) arg-9) arg-10))(else (cond ((equal? arg-3 0) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Convert-u--convert_Convert_NF arg-0 arg-2 e-7 arg-6 (vector 1 arg-7 arg-8 arg-9) arg-10))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-1 1))) (let ((eff-2 (cond ((equal? e-8 1) (lambda (eta-0) (vector 1 (CoreC-45Unify-success)))) (else (CoreC-45Unify-postponeS arg-2 arg-0 arg-1 0 arg-5 arg-4 (csegen-3197) arg-6 (vector 1 arg-7 arg-8 arg-9) arg-10))))) eff-2))))))))) eff-1)))))))) (else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Convert-u--convert_Convert_NF arg-0 arg-2 e-7 arg-6 arg-10 (vector 1 arg-7 arg-8 arg-9)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-1 1))) (let ((eff-2 (cond ((equal? e-8 1) (lambda (eta-0) (vector 1 (CoreC-45Unify-success)))) (else (CoreC-45Unify-postponeS arg-2 arg-0 arg-1 1 arg-5 arg-4 (csegen-3197) arg-6 (vector 1 arg-7 arg-8 arg-9) arg-10))))) eff-2))))))))) eff-1)))))))))))))))(else (cond ((equal? arg-3 0) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Convert-u--convert_Convert_NF arg-0 arg-2 e-5 arg-6 (vector 1 arg-7 arg-8 arg-9) arg-10))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (cond ((equal? e-6 1) (lambda (eta-0) (vector 1 (CoreC-45Unify-success)))) (else (CoreC-45Unify-postponeS arg-2 arg-0 arg-1 0 arg-5 arg-4 (csegen-3197) arg-6 (vector 1 arg-7 arg-8 arg-9) arg-10))))) eff-2))))))))) eff-1)))))))) (else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Convert-u--convert_Convert_NF arg-0 arg-2 e-5 arg-6 arg-10 (vector 1 arg-7 arg-8 arg-9)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (cond ((equal? e-6 1) (lambda (eta-0) (vector 1 (CoreC-45Unify-success)))) (else (CoreC-45Unify-postponeS arg-2 arg-0 arg-1 1 arg-5 arg-4 (csegen-3197) arg-6 (vector 1 arg-7 arg-8 arg-9) arg-10))))) eff-2))))))))) eff-1)))))))))))))))(else (case (vector-ref arg-8 0) ((1) (let ((e-1 (vector-ref arg-8 1))) (let ((e-2 (vector-ref arg-8 2))) (let ((eff-0 (CoreC-45ContextC-45Log-log arg-0 "unify.application" 10 (lambda () "Name against app, unifyIfEq")))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-1 (cond ((equal? arg-3 1) (CoreC-45Unify-unifyIfEq arg-0 arg-1 arg-2 1 arg-5 arg-4 arg-6 arg-10 (vector 1 arg-7 (vector 1 e-1 e-2) arg-9))) (else (CoreC-45Unify-unifyIfEq arg-0 arg-1 arg-2 1 arg-5 arg-4 arg-6 (vector 1 arg-7 (vector 1 e-1 e-2) arg-9) arg-10))))) eff-1))))))))) ((0) (let ((e-5 (vector-ref arg-8 1))) (let ((e-6 (vector-ref arg-8 2))) (if (null? arg-9) (case (vector-ref arg-10 0) ((1) (let ((e-33 (vector-ref arg-10 1))) (let ((e-34 (vector-ref arg-10 2))) (let ((e-35 (vector-ref arg-10 3))) (case (vector-ref e-34 0) ((0) (let ((e-38 (vector-ref e-34 1))) (let ((e-39 (vector-ref e-34 2))) (if (null? e-35) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((sc6 (or (and (= e-6 e-39) 1) 0))) (cond ((equal? sc6 1) (lambda (eta-0) (vector 1 (CoreC-45Unify-success)))) (else (CoreC-45Unify-postponeS arg-2 arg-0 arg-1 arg-3 arg-5 arg-4 "Postponing var" arg-6 (vector 1 arg-7 (vector 0 e-5 e-6) '()) (vector 1 e-33 (vector 0 e-38 e-39) '()))))))) eff-1)))))) (case (vector-ref arg-10 0) ((0) (CoreC-45Unify-convertErrorS arg-2 arg-0 arg-3 arg-5 arg-6 (vector 1 arg-7 (vector 0 e-5 e-6) arg-9) arg-10)) ((2) (CoreC-45Unify-convertErrorS arg-2 arg-0 arg-3 arg-5 arg-6 (vector 1 arg-7 (vector 0 e-5 e-6) arg-9) arg-10)) ((3) (CoreC-45Unify-convertErrorS arg-2 arg-0 arg-3 arg-5 arg-6 (vector 1 arg-7 (vector 0 e-5 e-6) arg-9) arg-10)) ((8) (CoreC-45Unify-convertErrorS arg-2 arg-0 arg-3 arg-5 arg-6 (vector 1 arg-7 (vector 0 e-5 e-6) arg-9) arg-10)) ((10) (CoreC-45Unify-convertErrorS arg-2 arg-0 arg-3 arg-5 arg-6 (vector 1 arg-7 (vector 0 e-5 e-6) arg-9) arg-10))(else (cond ((equal? arg-3 0) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Convert-u--convert_Convert_NF arg-0 arg-2 e-7 arg-6 (vector 1 arg-7 arg-8 arg-9) arg-10))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-1 1))) (let ((eff-2 (cond ((equal? e-8 1) (lambda (eta-0) (vector 1 (CoreC-45Unify-success)))) (else (CoreC-45Unify-postponeS arg-2 arg-0 arg-1 0 arg-5 arg-4 (csegen-3197) arg-6 (vector 1 arg-7 arg-8 arg-9) arg-10))))) eff-2))))))))) eff-1)))))))) (else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Convert-u--convert_Convert_NF arg-0 arg-2 e-7 arg-6 arg-10 (vector 1 arg-7 arg-8 arg-9)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-1 1))) (let ((eff-2 (cond ((equal? e-8 1) (lambda (eta-0) (vector 1 (CoreC-45Unify-success)))) (else (CoreC-45Unify-postponeS arg-2 arg-0 arg-1 1 arg-5 arg-4 (csegen-3197) arg-6 (vector 1 arg-7 arg-8 arg-9) arg-10))))) eff-2))))))))) eff-1)))))))))))))))(else (case (vector-ref arg-10 0) ((0) (CoreC-45Unify-convertErrorS arg-2 arg-0 arg-3 arg-5 arg-6 (vector 1 arg-7 (vector 0 e-5 e-6) arg-9) arg-10)) ((2) (CoreC-45Unify-convertErrorS arg-2 arg-0 arg-3 arg-5 arg-6 (vector 1 arg-7 (vector 0 e-5 e-6) arg-9) arg-10)) ((3) (CoreC-45Unify-convertErrorS arg-2 arg-0 arg-3 arg-5 arg-6 (vector 1 arg-7 (vector 0 e-5 e-6) arg-9) arg-10)) ((8) (CoreC-45Unify-convertErrorS arg-2 arg-0 arg-3 arg-5 arg-6 (vector 1 arg-7 (vector 0 e-5 e-6) arg-9) arg-10)) ((10) (CoreC-45Unify-convertErrorS arg-2 arg-0 arg-3 arg-5 arg-6 (vector 1 arg-7 (vector 0 e-5 e-6) arg-9) arg-10))(else (cond ((equal? arg-3 0) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Convert-u--convert_Convert_NF arg-0 arg-2 e-7 arg-6 (vector 1 arg-7 arg-8 arg-9) arg-10))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-1 1))) (let ((eff-2 (cond ((equal? e-8 1) (lambda (eta-0) (vector 1 (CoreC-45Unify-success)))) (else (CoreC-45Unify-postponeS arg-2 arg-0 arg-1 0 arg-5 arg-4 (csegen-3197) arg-6 (vector 1 arg-7 arg-8 arg-9) arg-10))))) eff-2))))))))) eff-1)))))))) (else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Convert-u--convert_Convert_NF arg-0 arg-2 e-7 arg-6 arg-10 (vector 1 arg-7 arg-8 arg-9)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-1 1))) (let ((eff-2 (cond ((equal? e-8 1) (lambda (eta-0) (vector 1 (CoreC-45Unify-success)))) (else (CoreC-45Unify-postponeS arg-2 arg-0 arg-1 1 arg-5 arg-4 (csegen-3197) arg-6 (vector 1 arg-7 arg-8 arg-9) arg-10))))) eff-2))))))))) eff-1)))))))))))))))))(else (case (vector-ref arg-10 0) ((0) (CoreC-45Unify-convertErrorS arg-2 arg-0 arg-3 arg-5 arg-6 (vector 1 arg-7 (vector 0 e-5 e-6) arg-9) arg-10)) ((2) (CoreC-45Unify-convertErrorS arg-2 arg-0 arg-3 arg-5 arg-6 (vector 1 arg-7 (vector 0 e-5 e-6) arg-9) arg-10)) ((3) (CoreC-45Unify-convertErrorS arg-2 arg-0 arg-3 arg-5 arg-6 (vector 1 arg-7 (vector 0 e-5 e-6) arg-9) arg-10)) ((8) (CoreC-45Unify-convertErrorS arg-2 arg-0 arg-3 arg-5 arg-6 (vector 1 arg-7 (vector 0 e-5 e-6) arg-9) arg-10)) ((10) (CoreC-45Unify-convertErrorS arg-2 arg-0 arg-3 arg-5 arg-6 (vector 1 arg-7 (vector 0 e-5 e-6) arg-9) arg-10))(else (cond ((equal? arg-3 0) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Convert-u--convert_Convert_NF arg-0 arg-2 e-7 arg-6 (vector 1 arg-7 arg-8 arg-9) arg-10))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-1 1))) (let ((eff-2 (cond ((equal? e-8 1) (lambda (eta-0) (vector 1 (CoreC-45Unify-success)))) (else (CoreC-45Unify-postponeS arg-2 arg-0 arg-1 0 arg-5 arg-4 (csegen-3197) arg-6 (vector 1 arg-7 arg-8 arg-9) arg-10))))) eff-2))))))))) eff-1)))))))) (else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Convert-u--convert_Convert_NF arg-0 arg-2 e-7 arg-6 arg-10 (vector 1 arg-7 arg-8 arg-9)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-1 1))) (let ((eff-2 (cond ((equal? e-8 1) (lambda (eta-0) (vector 1 (CoreC-45Unify-success)))) (else (CoreC-45Unify-postponeS arg-2 arg-0 arg-1 1 arg-5 arg-4 (csegen-3197) arg-6 (vector 1 arg-7 arg-8 arg-9) arg-10))))) eff-2))))))))) eff-1))))))))))))) (case (vector-ref arg-10 0) ((0) (CoreC-45Unify-convertErrorS arg-2 arg-0 arg-3 arg-5 arg-6 (vector 1 arg-7 (vector 0 e-5 e-6) arg-9) arg-10)) ((2) (CoreC-45Unify-convertErrorS arg-2 arg-0 arg-3 arg-5 arg-6 (vector 1 arg-7 (vector 0 e-5 e-6) arg-9) arg-10)) ((3) (CoreC-45Unify-convertErrorS arg-2 arg-0 arg-3 arg-5 arg-6 (vector 1 arg-7 (vector 0 e-5 e-6) arg-9) arg-10)) ((8) (CoreC-45Unify-convertErrorS arg-2 arg-0 arg-3 arg-5 arg-6 (vector 1 arg-7 (vector 0 e-5 e-6) arg-9) arg-10)) ((10) (CoreC-45Unify-convertErrorS arg-2 arg-0 arg-3 arg-5 arg-6 (vector 1 arg-7 (vector 0 e-5 e-6) arg-9) arg-10))(else (cond ((equal? arg-3 0) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Convert-u--convert_Convert_NF arg-0 arg-2 e-7 arg-6 (vector 1 arg-7 arg-8 arg-9) arg-10))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-1 1))) (let ((eff-2 (cond ((equal? e-8 1) (lambda (eta-0) (vector 1 (CoreC-45Unify-success)))) (else (CoreC-45Unify-postponeS arg-2 arg-0 arg-1 0 arg-5 arg-4 (csegen-3197) arg-6 (vector 1 arg-7 arg-8 arg-9) arg-10))))) eff-2))))))))) eff-1)))))))) (else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Convert-u--convert_Convert_NF arg-0 arg-2 e-7 arg-6 arg-10 (vector 1 arg-7 arg-8 arg-9)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-1 1))) (let ((eff-2 (cond ((equal? e-8 1) (lambda (eta-0) (vector 1 (CoreC-45Unify-success)))) (else (CoreC-45Unify-postponeS arg-2 arg-0 arg-1 1 arg-5 arg-4 (csegen-3197) arg-6 (vector 1 arg-7 arg-8 arg-9) arg-10))))) eff-2))))))))) eff-1)))))))))))))))(else (cond ((equal? arg-3 0) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Convert-u--convert_Convert_NF arg-0 arg-2 e-5 arg-6 (vector 1 arg-7 arg-8 arg-9) arg-10))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (cond ((equal? e-6 1) (lambda (eta-0) (vector 1 (CoreC-45Unify-success)))) (else (CoreC-45Unify-postponeS arg-2 arg-0 arg-1 0 arg-5 arg-4 (csegen-3197) arg-6 (vector 1 arg-7 arg-8 arg-9) arg-10))))) eff-2))))))))) eff-1)))))))) (else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Convert-u--convert_Convert_NF arg-0 arg-2 e-5 arg-6 arg-10 (vector 1 arg-7 arg-8 arg-9)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (cond ((equal? e-6 1) (lambda (eta-0) (vector 1 (CoreC-45Unify-success)))) (else (CoreC-45Unify-postponeS arg-2 arg-0 arg-1 1 arg-5 arg-4 (csegen-3197) arg-6 (vector 1 arg-7 arg-8 arg-9) arg-10))))) eff-2))))))))) eff-1)))))))))))))))))
(define CoreC-45Unify-unify (lambda (arg-1 arg-2 arg-3 arg-4 ext-1 ext-0) (lambda (clam-0) (let ((e-1 (car arg-1))) (lambda (arg-5) (lambda (arg-6) ((((((((e-1 arg-2) arg-3) arg-4) ext-1) ext-0) clam-0) arg-5) arg-6)))))))
(define CoreC-45Unify-ufail (lambda (arg-1 arg-2 ext-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 arg-1 arg-2) ext-0)))
(define CoreC-45Unify-tryInstantiate (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13) (let ((eff-0 (CoreC-45ContextC-45Log-logTerm arg-3 arg-0 "unify.instantiate" 5 (lambda () (string-append "Instantiating in " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-100) arg-3))) arg-13))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (lambda (clam-0) (let ((e-1 (vector-ref arg-10 1))) (case (vector-ref e-1 0) ((3) (let ((e-24 (vector-ref e-1 1))) (let ((e-23 (vector-ref e-1 2))) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 3 arg-2 arg-4 (CoreC-45TT-getLoc arg-12) arg-6 (vector 3 e-24 e-23) arg-12) clam-0))))(else (vector 1 (vector 0 )))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (let ((eff-2 arg-0)) (PrimIO-io_bind (let ((eff-3 eff-2)) (lambda (eta-0) (unbox eff-3))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45Normalise-normalisePis arg-0 '() e-7 '() (let ((e-2 (vector-ref arg-10 2))) e-2)))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45ContextC-45Log-logTerm '() arg-0 "unify.instantiate" 5 (lambda () (string-append "Type: " (CoreC-45Name-u--show_Show_Name arg-7))) (let ((e-2 (vector-ref arg-10 2))) e-2)))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-5 (let ((eff-5 (CoreC-45ContextC-45Log-logTerm '() arg-0 "unify.instantiate" 5 (lambda () (string-append "Type: " (CoreC-45Name-u--show_Show_Name arg-7))) e-8))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-6 (let ((eff-6 (CoreC-45ContextC-45Log-log arg-0 "unify.instantiate" 5 (lambda () (string-append "With locs: " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-3160) arg-11)))))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-2 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-7 (let ((eff-7 (CoreC-45ContextC-45Log-log arg-0 "unify.instantiate" 5 (lambda () (string-append "From vars: " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-100) arg-3)))))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-2 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-8 (let ((eff-8 (let ((eff-8 arg-0)) (PrimIO-io_bind (let ((eff-9 eff-8)) (lambda (eta-0) (unbox eff-9))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-8 (lambda (lcase-8) (case (vector-ref lcase-8 0) ((0) (let ((e-2 (vector-ref lcase-8 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-9 (let ((eff-9 (CoreC-45Unify-n--11512-15737-u--mkDef arg-2 arg-3 arg-13 arg-12 arg-11 arg-10 arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-1 arg-0 '() arg-3 arg-11 '() arg-13 e-8))) (PrimIO-io_bind eff-9 (lambda (lcase-9) (case (vector-ref lcase-9 0) ((0) (let ((e-2 (vector-ref lcase-9 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-14 (vector-ref lcase-9 1))) (let ((eff-10 (if (null? e-14) (let ((eff-10 (CoreC-45ContextC-45Log-log arg-0 "unify.instantiate" 5 (lambda () "Postponed")))) (PrimIO-io_bind eff-10 (csegen-2436))) (let ((e-1 (unbox e-14))) (let ((eff-10 (CoreC-45ContextC-45Log-logTerm '() arg-0 ((csegen-0) "unify.instantiate") 5 (lambda () ((csegen-0) "Definition")) e-1))) (PrimIO-io_bind eff-10 (lambda (lcase-10) (case (vector-ref lcase-10 0) ((0) (let ((e-2 (vector-ref lcase-10 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-11 (let ((u--simpleDef (vector (box arg-9) (let ((sc12 (CoreC-45Name-isUserName arg-7))) (cond ((equal? sc12 1) 0) (else (CoreC-45Unify-n--11512-15734-u--isSimple arg-2 arg-3 arg-13 arg-12 arg-11 arg-10 arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-1 arg-0 e-1)))) 0))) (let ((u--newdef (let ((e-0 (vector-ref arg-10 0))) (let ((e-33 (vector-ref arg-10 1))) (let ((e-2 (vector-ref arg-10 2))) (let ((e-3 (vector-ref arg-10 3))) (let ((e-4 (vector-ref arg-10 4))) (let ((e-32 (vector-ref arg-10 5))) (let ((e-31 (vector-ref arg-10 6))) (let ((e-30 (vector-ref arg-10 7))) (let ((e-29 (vector-ref arg-10 8))) (let ((e-28 (vector-ref arg-10 9))) (let ((e-27 (vector-ref arg-10 10))) (let ((e-26 (vector-ref arg-10 11))) (let ((e-25 (vector-ref arg-10 12))) (let ((e-24 (vector-ref arg-10 13))) (let ((e-23 (vector-ref arg-10 14))) (let ((e-22 (vector-ref arg-10 15))) (let ((e-16 (vector-ref arg-10 16))) (let ((e-18 (vector-ref arg-10 18))) (let ((e-19 (vector-ref arg-10 19))) (let ((e-20 (vector-ref arg-10 20))) (let ((e-21 (vector-ref arg-10 21))) (vector e-0 e-33 e-2 e-3 e-4 e-32 e-31 e-30 e-29 e-28 e-27 e-26 e-25 e-24 e-23 e-22 e-16 (vector 1 u--simpleDef '() (vector 1 0 e-1) (vector 1 0 e-1) '()) e-18 e-19 e-20 e-21)))))))))))))))))))))))) (let ((eff-11 (let ((eff-11 (CoreC-45Context-addDef arg-0 (vector 8 arg-8) u--newdef))) (((csegen-50) ((let ((eff-12 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-16 (vector-ref eta-3 1))) (vector 1 (eta-2 e-16))))))))))) (lambda (arg-14) (lambda (arg-15) ((((eff-12 'erased) 'erased) arg-14) arg-15)))) (lambda (_-8679) (vector 0 )))) eff-11)))) (PrimIO-io_bind eff-11 (lambda (lcase-11) (case (vector-ref lcase-11 0) ((0) (let ((e-2 (vector-ref lcase-11 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-12 (let ((eff-12 (CoreC-45UnifyState-removeHole arg-1 arg-8))) (PrimIO-io_bind eff-12 (csegen-2355))))) eff-12)))))))))) eff-11)))))))))) eff-10))))))))) eff-9)))))))) eff-8)))))))) eff-7)))))))) eff-6)))))))) eff-5)))))))) eff-4))))))))) eff-3))))))))) eff-2)))))))) eff-1))))))))
(define CoreC-45Unify-toSubVars (lambda (arg-0 arg-1) (if (null? arg-0) (cons '() (vector 0 )) (let ((e-2 (car arg-0))) (let ((e-3 (cdr arg-0))) (let ((sc1 (CoreC-45Unify-toSubVars e-3 (CoreC-45TT-dropFirst arg-1)))) (let ((e-5 (car sc1))) (let ((e-4 (cdr sc1))) (let ((sc2 (CoreC-45Unify-n--10046-14382-u--anyFirst e-2 e-3 arg-1 arg-1))) (cond ((equal? sc2 1) (cons (cons e-2 e-5) (vector 2 e-4))) (else (cons e-5 (vector 1 e-4)))))))))))))
(define CoreC-45Unify-success(blodwen-lazy (lambda () (csegen-3183))))
(define CoreC-45Unify-solvedHole (lambda (arg-0) (vector '() 1 (cons arg-0 '()) (vector 0 ))))
(define CoreC-45Unify-solveIfUndefined (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (case (vector-ref arg-4 0) ((2) (let ((e-1 (vector-ref arg-4 1))) (let ((e-2 (vector-ref arg-4 2))) (let ((e-3 (vector-ref arg-4 3))) (let ((e-4 (vector-ref arg-4 4))) (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-lookupDefExact (vector 8 e-3) (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-6 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((u--metavar (vector 2 e-1 e-2 e-3 e-4))) (if (null? e-6) (lambda (eta-0) (vector 1 0)) (let ((e-7 (unbox e-6))) (case (vector-ref e-7 0) ((7) (CoreC-45Unify-updateSolution arg-0 arg-1 arg-2 arg-3 u--metavar arg-5))(else (lambda (eta-0) (vector 1 0))))))))) eff-2))))))))) eff-1)))))))))))) ((10) (let ((e-7 (vector-ref arg-4 2))) (case (vector-ref e-7 0) ((2) (let ((e-9 (vector-ref e-7 1))) (CoreC-45Unify-solveIfUndefined arg-0 arg-1 arg-2 arg-3 e-9 arg-5)))(else (lambda (eta-0) (vector 1 0))))))(else (lambda (eta-0) (vector 1 0))))))
(define CoreC-45Unify-solveHole (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 arg-1)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (unbox eff-2))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (lambda (eta-0) (CoreC-45Context-clearDefs e-5 eta-0)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (let ((sc3 (let ((sc4 (CoreC-45Unify-n--14590-20301-u--solutionHeadSame arg-2 arg-3 arg-15 arg-14 arg-13 arg-12 arg-11 arg-10 arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-1 arg-0 arg-15))) (cond ((equal? sc4 1) 1) (else (CoreC-45Unify-n--14590-20300-u--inNoSolve arg-2 arg-3 arg-15 arg-14 arg-13 arg-12 arg-11 arg-10 arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-1 arg-0 arg-8 (let ((e-14 (vector-ref e-6 5))) e-14))))))) (cond ((equal? sc3 1) (lambda (eta-0) (vector 1 (box (CoreC-45Unify-success))))) (else (let ((eff-3 (CoreC-45Context-lookupCtxtExact (vector 8 arg-8) (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (if (null? e-8) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 (string-append ((csegen-0) "Can't happen: Lost hole ") (CoreC-45Name-u--show_Show_Name arg-7))) eta-0)) (let ((e-1 (unbox e-8))) (let ((eff-4 (CoreC-45Unify-tryInstantiate arg-0 arg-1 arg-3 arg-2 arg-4 arg-5 arg-6 arg-7 arg-8 (PreludeC-45TypesC-45List-lengthTR arg-9) e-1 arg-11 arg-13 arg-14))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (DataC-45Maybe-toMaybe e-9 (lambda () (CoreC-45Unify-solvedHole arg-8))))))) eff-5))))))))))) eff-4)))))))))))) eff-3)))))))) eff-2))))))))) eff-1)))))))))
(define CoreC-45Unify-solveConstraintsAfter (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45Unify-retryGuess arg-0 arg-1 arg-3 arg-4 eta-0)) (PreludeC-45TypesC-45List-filterAppend '() (lambda (eta-0) (CoreC-45Unify-n--27300-29859-u--afterStart arg-4 arg-3 arg-2 arg-1 arg-0 eta-0)) (LibrariesC-45DataC-45IntMap-toList (let ((e-1 (vector-ref e-5 1))) e-1))) '()))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((sc2 (PreludeC-45Interfaces-any (csegen-16) (lambda (eta-0) eta-0) e-6))) (cond ((equal? sc2 1) (CoreC-45Unify-solveConstraintsAfter arg-0 arg-1 arg-2 arg-3 0)) (else (lambda (eta-0) (vector 1 (vector 0 )))))))) eff-2))))))))) eff-1)))))))))
(define CoreC-45Unify-solveConstraints (lambda (arg-0 arg-1 arg-2 arg-3) (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45Unify-retryGuess arg-0 arg-1 arg-2 arg-3 eta-0)) (LibrariesC-45DataC-45IntMap-toList (let ((e-1 (vector-ref e-5 1))) e-1)) '()))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((sc2 (PreludeC-45Interfaces-any (csegen-16) (lambda (eta-0) eta-0) e-6))) (cond ((equal? sc2 1) (CoreC-45Unify-solveConstraints arg-0 arg-1 arg-2 0)) (else (lambda (eta-0) (vector 1 (vector 0 )))))))) eff-2))))))))) eff-1)))))))))
(define CoreC-45Unify-setInvertible (lambda (arg-0 arg-1 arg-2) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-lookupCtxtExact arg-2 (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-6) (CoreC-45Context-undefinedName arg-0 arg-1 arg-2) (let ((e-1 (unbox e-6))) (let ((eff-2 (CoreC-45Context-addDef arg-0 arg-2 (let ((e-0 (vector-ref e-1 0))) (let ((e-24 (vector-ref e-1 1))) (let ((e-2 (vector-ref e-1 2))) (let ((e-3 (vector-ref e-1 3))) (let ((e-4 (vector-ref e-1 4))) (let ((e-23 (vector-ref e-1 5))) (let ((e-22 (vector-ref e-1 6))) (let ((e-7 (vector-ref e-1 7))) (let ((e-8 (vector-ref e-1 8))) (let ((e-9 (vector-ref e-1 9))) (let ((e-10 (vector-ref e-1 10))) (let ((e-11 (vector-ref e-1 11))) (let ((e-12 (vector-ref e-1 12))) (let ((e-13 (vector-ref e-1 13))) (let ((e-15 (vector-ref e-1 15))) (let ((e-16 (vector-ref e-1 16))) (let ((e-17 (vector-ref e-1 17))) (let ((e-18 (vector-ref e-1 18))) (let ((e-19 (vector-ref e-1 19))) (let ((e-20 (vector-ref e-1 20))) (let ((e-21 (vector-ref e-1 21))) (vector e-0 e-24 e-2 e-3 e-4 e-23 e-22 e-7 e-8 e-9 e-10 e-11 e-12 e-13 1 e-15 e-16 e-17 e-18 e-19 e-20 e-21))))))))))))))))))))))))) (((csegen-50) ((let ((eff-3 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-7 (vector-ref eta-3 1))) (vector 1 (eta-2 e-7))))))))))) (lambda (arg-3) (lambda (arg-4) ((((eff-3 'erased) 'erased) arg-3) arg-4)))) (lambda (_-8679) (vector 0 )))) eff-2)))))) eff-2))))))))) eff-1)))))))))
(define CoreC-45Unify-search (lambda (ext-0 ext-1 ext-2 ext-3 ext-4 ext-5 ext-6 ext-7 ext-8 ext-9) (let ((eff-0 (CoreC-45Normalise-logTermNF ext-0 ext-1 "auto" 3 (lambda () "Initial target: ") ext-9 ext-8))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45ContextC-45Log-log ext-1 "auto" 3 (lambda () (string-append "Running search with defaults " (PreludeC-45Show-u--show_Show_Bool ext-5)))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45AutoSearch-searchType ext-0 ext-1 ext-2 ext-3 ext-4 ext-5 '() ext-6 ext-7 1 (CoreC-45Env-abstractEnvType ext-0 ext-3 ext-9 ext-8) ext-9 ext-8))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45Normalise-logTermNF ext-0 ext-1 "auto" 3 (lambda () "Result") ext-9 e-7))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-4 (lambda (eta-0) (vector 1 e-7)))) eff-4)))))))) eff-3))))))))) eff-2)))))))) eff-1))))))))
(define CoreC-45Unify-retryGuess (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (let ((e-2 (car arg-4))) (let ((e-3 (cdr arg-4))) (let ((e-6 (car e-3))) (let ((e-7 (cdr e-3))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-lookupCtxtExact (vector 8 e-2) (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-8 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-8) (lambda (eta-0) (vector 1 0)) (let ((e-4 (unbox e-8))) (let ((bind-0 (box e-4))) (CoreC-45Unify-case--caseC-32blockC-32inC-32retryGuess-28382 e-2 e-6 e-7 arg-3 arg-2 arg-1 arg-0 e-5 e-4 bind-0 (let ((e-17 (vector-ref e-4 17))) e-17))))))) eff-2))))))))) eff-1)))))))))))))
(define CoreC-45Unify-retry (lambda (arg-0 arg-1 arg-2 arg-3) (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45Unify-case--retry-27680 arg-0 arg-3 arg-2 arg-1 e-5 (LibrariesC-45DataC-45IntMap-lookup arg-3 (let ((e-4 (vector-ref e-5 4))) e-4))))) eff-1)))))))))
(define CoreC-45Unify-recoverable (lambda (arg-0) (case (vector-ref arg-0 0) ((7) 0) ((66) (let ((e-4 (vector-ref arg-0 3))) (CoreC-45Unify-recoverable e-4))) ((67) (let ((e-7 (vector-ref arg-0 3))) (CoreC-45Unify-recoverable e-7))) ((68) (let ((e-10 (vector-ref arg-0 3))) (CoreC-45Unify-recoverable e-10))) ((69) (let ((e-13 (vector-ref arg-0 3))) (CoreC-45Unify-recoverable e-13))) ((5) (let ((e-20 (vector-ref arg-0 7))) (CoreC-45Unify-recoverable e-20))) ((70) (let ((e-21 (vector-ref arg-0 1))) (CoreC-45Unify-recoverable e-21)))(else 1))))
(define CoreC-45Unify-postponeS (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9) (cond ((equal? arg-3 1) (CoreC-45Unify-postpone arg-0 arg-1 arg-2 arg-4 (CoreC-45Unify-lower arg-5) arg-6 arg-7 arg-9 arg-8)) (else (CoreC-45Unify-postpone arg-0 arg-1 arg-2 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9)))))
(define CoreC-45Unify-postponePatVar (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11) (let ((u--x (vector 1 arg-5 (vector 2 arg-7 arg-8 arg-9) ((csegen-1728) arg-10)))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Convert-u--convert_Convert_NF arg-0 arg-2 e-5 arg-6 u--x arg-11))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (cond ((equal? e-6 1) (lambda (eta-0) (vector 1 (CoreC-45Unify-success)))) (else (CoreC-45Unify-postponeS arg-2 arg-0 arg-1 arg-3 arg-5 arg-4 ((csegen-0) "Not in pattern fragment") arg-6 u--x arg-11))))) eff-2))))))))) eff-1))))))))))
(define CoreC-45Unify-postpone (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8) (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (lambda (eta-0) (CoreC-45Context-clearDefs e-5 eta-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45ContextC-45Log-unverifiedLogC arg-1 "unify.postpone" 10 (let ((eff-2 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-1 arg-0 e-5 arg-6 arg-7))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-1 arg-0 e-5 arg-6 arg-8))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Context-toFullNames arg-1 (csegen-105) e-7))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (let ((eff-5 (CoreC-45Context-toFullNames arg-1 (csegen-105) e-8))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-10 (vector-ref lcase-5 1))) (let ((eff-6 (lambda (eta-0) (vector 1 (string-append arg-5 (string-append ": " (string-append (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-0 e-9) (string-append " =?= " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-0 e-10))))))))) eff-6))))))))) eff-5))))))))) eff-4))))))))) eff-3)))))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (let ((eff-3 (CoreC-45Unify-n--9207-13618-u--checkDefined arg-0 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 e-5 arg-7))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-4 (let ((eff-4 (CoreC-45Unify-n--9207-13618-u--checkDefined arg-0 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 e-5 arg-8))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-5 (let ((eff-5 (CoreC-45UnifyState-addConstraint arg-2 arg-1 (vector 0 arg-0 arg-3 (let ((e-0 (car arg-4))) e-0) arg-6 arg-7 arg-8)))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-10 (vector-ref lcase-5 1))) (let ((eff-6 (let ((eff-6 (CoreC-45ContextC-45Log-log arg-1 "unify.postpone" 10 (lambda () (string-append (PreludeC-45Show-u--show_Show_Int e-10) (string-append " NEW CONSTRAINT " (CoreC-45FC-u--show_Show_FC arg-3))))))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-2 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-7 (let ((eff-7 (CoreC-45Normalise-logNF arg-0 arg-1 "unify.postpone" 10 (lambda () "X") arg-6 arg-7))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-2 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-8 (let ((eff-8 (CoreC-45Normalise-logNF arg-0 arg-1 "unify.postpone" 10 (lambda () "Y") arg-6 arg-8))) (PrimIO-io_bind eff-8 (lambda (lcase-8) (case (vector-ref lcase-8 0) ((0) (let ((e-2 (vector-ref lcase-8 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-9 (lambda (eta-0) (vector 1 (CoreC-45Unify-constrain e-10))))) eff-9)))))))) eff-8)))))))) eff-7)))))))) eff-6))))))))) eff-5)))))))) eff-4)))))))) eff-3)))))))) eff-2)))))))) eff-1)))))))))
(define CoreC-45Unify-patternEnvTm (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (lambda (eta-0) (CoreC-45Context-clearDefs e-5 eta-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (CoreC-45Unify-case--patternEnvTm-14953 arg-2 arg-4 arg-3 arg-1 arg-0 e-5 e-6 (CoreC-45Unify-getVarsTm '() arg-4)))))) eff-2))))))))) eff-1)))))))))
(define CoreC-45Unify-patternEnv (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (lambda (eta-0) (CoreC-45Context-clearDefs e-5 eta-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalArg arg-0 arg-2 e-6 eta-0)) arg-4 '()))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (CoreC-45Unify-case--patternEnv-14632 arg-2 arg-4 arg-3 arg-1 arg-0 e-5 e-6 e-7 (CoreC-45Unify-getVars arg-2 '() e-7)))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))
(define CoreC-45Unify-occursCheck (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (let ((eff-0 (CoreC-45Unify-getMetaNames arg-1 arg-6))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45Unify-case--occursCheck-15300 arg-0 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 e-5 (PreludeC-45Types-elem (csegen-16) (csegen-1008) arg-5 e-5)))) eff-1)))))))))
(define CoreC-45Unify-lower (lambda (ext-0) (let ((e-1 (cdr ext-0))) (cons 0 e-1))))
(define CoreC-45Unify-isHoleApp (lambda (arg-1) (case (vector-ref arg-1 0) ((1) (let ((e-2 (vector-ref arg-1 2))) (case (vector-ref e-2 0) ((2) 1)(else 0))))(else 0))))
(define CoreC-45Unify-isDefInvertible (lambda (arg-0 arg-1 arg-2) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-lookupCtxtExact (vector 8 arg-2) (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (clam-0) (if (null? e-6) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 7 arg-1 (vector 8 arg-2)) clam-0) (let ((e-1 (unbox e-6))) (vector 1 (let ((e-14 (vector-ref e-1 14))) e-14))))))) eff-2))))))))) eff-1)))))))))
(define CoreC-45Unify-inTerm(blodwen-lazy (lambda () (cons 1 1))))
(define CoreC-45Unify-inSearch(blodwen-lazy (lambda () (cons 1 3))))
(define CoreC-45Unify-inMatch(blodwen-lazy (lambda () (cons 1 2))))
(define CoreC-45Unify-inLHS(blodwen-lazy (lambda () (cons 1 0))))
(define CoreC-45Unify-headsConvert (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (if (null? arg-6) (let ((eff-0 (CoreC-45ContextC-45Log-log arg-1 "unify.head" 10 (lambda () "Nothing to convert")))) (PrimIO-io_bind eff-0 (csegen-2355))) (let ((e-1 (unbox arg-6))) (if (null? arg-7) (let ((eff-0 (CoreC-45ContextC-45Log-log arg-1 "unify.head" 10 (lambda () "Nothing to convert")))) (PrimIO-io_bind eff-0 (csegen-2355))) (let ((e-3 (unbox arg-7))) (CoreC-45Unify-case--headsConvert-19081 arg-0 e-1 e-3 arg-5 arg-4 arg-3 arg-2 arg-1 (cons (PreludeC-45TypesC-45List-reverse e-1) (PreludeC-45TypesC-45List-reverse e-3)))))))))
(define CoreC-45Unify-giveUpConstraints (lambda (arg-0 arg-1) (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45Core-traverse_ (lambda (eta-0) (CoreC-45Unify-n--27380-29926-u--constraintToHole arg-1 arg-0 eta-0)) (LibrariesC-45DataC-45IntMap-toList (let ((e-1 (vector-ref e-5 1))) e-1))))) eff-1)))))))))
(define CoreC-45Unify-getVarsTm (lambda (arg-1 arg-2) (if (null? arg-2) (box '()) (let ((e-2 (car arg-2))) (let ((e-3 (cdr arg-2))) (case (vector-ref e-2 0) ((0) (let ((e-8 (vector-ref e-2 3))) (let ((sc2 (PreludeC-45Types-elem (csegen-16) (csegen-1338) e-8 arg-1))) (cond ((equal? sc2 1) '()) (else (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (CoreC-45Unify-getVarsTm (cons e-8 arg-1) e-3) (lambda (u--xsC-39) (box (cons e-8 u--xsC-39)))))))))(else '())))))))
(define CoreC-45Unify-getVars (lambda (arg-0 arg-1 arg-2) (if (null? arg-2) (box '()) (let ((e-2 (car arg-2))) (let ((e-3 (cdr arg-2))) (case (vector-ref e-2 0) ((9) (let ((e-6 (vector-ref e-2 2))) (case (vector-ref e-6 0) ((2) (let ((e-17 (vector-ref e-6 1))) (CoreC-45Unify-getVars arg-0 arg-1 (cons e-17 e-3))))(else '())))) ((1) (let ((e-8 (vector-ref e-2 1))) (let ((e-9 (vector-ref e-2 2))) (let ((e-10 (vector-ref e-2 3))) (case (vector-ref e-9 0) ((0) (let ((e-20 (vector-ref e-9 1))) (let ((e-21 (vector-ref e-9 2))) (if (null? e-10) (let ((sc4 (CoreC-45Unify-n--9881-14255-u--inArgs arg-0 e-21 e-20 e-8 e-3 arg-1 e-21 arg-1))) (cond ((equal? sc4 1) '()) (else (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (CoreC-45Unify-getVars arg-0 (cons e-21 arg-1) e-3) (lambda (u--xsC-39) (box (cons e-21 u--xsC-39))))))) '()))))(else '())))))) ((4) (let ((e-15 (vector-ref e-2 4))) (CoreC-45Unify-getVars arg-0 arg-1 (cons e-15 e-3))))(else '())))))))
(define CoreC-45Unify-getMetaNames (lambda (arg-1 arg-2) (let ((u--metas (CoreC-45TT-getMetas arg-2))) (CoreC-45Unify-chaseMetas arg-1 (LibrariesC-45DataC-45NameMap-keys u--metas) (LibrariesC-45DataC-45NameMap-empty)))))
(define CoreC-45Unify-getIVars (lambda (arg-2) (if (null? arg-2) '() (let ((e-4 (car arg-2))) (let ((e-5 (cdr arg-2))) (cons e-4 (CoreC-45Unify-getIVars e-5)))))))
(define CoreC-45Unify-getArgTypes (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (case (vector-ref arg-3 0) ((0) (let ((e-4 (vector-ref arg-3 3))) (let ((e-5 (vector-ref arg-3 4))) (case (vector-ref e-4 0) ((2) (let ((e-10 (vector-ref e-4 4))) (if (null? arg-4) (lambda (clam-0) (if (null? arg-4) (vector 1 (box '())) (vector 1 '()))) (let ((e-12 (car arg-4))) (let ((e-13 (cdr arg-4))) (let ((eff-0 (let ((eff-0 ((e-5 arg-2) e-12))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45Unify-getArgTypes arg-0 arg-1 arg-2 e-6 e-13))) eff-1))))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (if (null? e-6) (lambda (eta-0) (vector 1 '())) (let ((e-1 (unbox e-6))) (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-1 arg-0 arg-2 e-10))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-11 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (box (cons e-11 e-1)))))) eff-2))))))))))) eff-1))))))))))))(else (lambda (clam-1) (if (null? arg-4) (vector 1 (box '())) (vector 1 '()))))))))(else (lambda (clam-2) (if (null? arg-4) (vector 1 (box '())) (vector 1 '())))))))
(define CoreC-45Unify-forceMeta (lambda (arg-1 arg-2 arg-3) (cond ((equal? arg-2 0) (vector 8 (CoreC-45TT-getLoc arg-3) arg-1 arg-3))(else (let ((e-0 (- arg-2 1))) (case (vector-ref arg-3 0) ((3) (let ((e-2 (vector-ref arg-3 1))) (let ((e-3 (vector-ref arg-3 2))) (let ((e-4 (vector-ref arg-3 3))) (let ((e-5 (vector-ref arg-3 4))) (vector 3 e-2 e-3 e-4 (CoreC-45Unify-forceMeta arg-1 e-0 e-5)))))))(else (vector 8 (CoreC-45TT-getLoc arg-3) arg-1 arg-3))))))))
(define CoreC-45Unify-dumpArg (lambda (arg-0 arg-1 arg-2 arg-3) (case (vector-ref arg-3 0) ((0) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-3 (vector-ref arg-3 3))) (let ((e-4 (vector-ref arg-3 4))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (lambda (eta-0) (CoreC-45Context-clearDefs e-6 eta-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45ContextC-45Log-logTerm (PreludeC-45TypesC-45List-tailRecAppend e-1 arg-0) arg-1 "unify" 20 (lambda () "Term: ") e-5))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((eff-3 (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-1 arg-0 e-7 (vector 0 e-1 e-2 e-3 e-4 e-5)))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-9 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-3 1))) (let ((eff-4 (CoreC-45Normalise-logNF arg-0 arg-1 "unify" 20 (lambda () "  ") arg-2 e-9))) eff-4))))))))) eff-3)))))))) eff-2))))))))) eff-1)))))))))))))(else (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (lambda (eta-0) (CoreC-45Context-clearDefs e-5 eta-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45NormaliseC-45Eval-evalClosure arg-1 arg-0 e-6 arg-3))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (CoreC-45Normalise-logNF arg-0 arg-1 "unify" 20 (lambda () "  ") arg-2 e-7))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))
(define CoreC-45Unify-delayMeta (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (cond ((equal? arg-2 0) (vector 7 (CoreC-45TT-getLoc arg-4) arg-1 arg-3 arg-4))(else (let ((e-0 (- arg-2 1))) (case (vector-ref arg-4 0) ((3) (let ((e-2 (vector-ref arg-4 1))) (let ((e-3 (vector-ref arg-4 2))) (let ((e-4 (vector-ref arg-4 3))) (let ((e-5 (vector-ref arg-4 4))) (vector 3 e-2 e-3 e-4 (CoreC-45Unify-delayMeta (cons e-3 arg-0) arg-1 e-0 (CoreC-45TT-u--weaken_Weaken_Term arg-3) e-5)))))))(else (vector 7 (CoreC-45TT-getLoc arg-4) arg-1 arg-3 arg-4))))))))
(define CoreC-45Unify-convertErrorS (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (cond ((equal? arg-3 1) (CoreC-45Unify-convertError arg-1 arg-2 arg-4 arg-5 arg-7 arg-6)) (else (CoreC-45Unify-convertError arg-1 arg-2 arg-4 arg-5 arg-6 arg-7)))))
(define CoreC-45Unify-convertError (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (let ((eff-0 (let ((eff-0 arg-2)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (lambda (eta-0) (CoreC-45Context-clearDefs e-5 eta-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-2 arg-1 e-6 arg-4 arg-5))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-2 arg-1 e-6 arg-4 arg-6))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 1 arg-1 arg-3 (let ((e-0 (vector-ref e-5 0))) e-0) arg-4 e-7 e-8) eta-0)))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))
(define CoreC-45Unify-constrain (lambda (arg-0) (vector (cons arg-0 '()) 0 '() (vector 0 ))))
(define CoreC-45Unify-checkDots (lambda (arg-0 arg-1) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45UnifyState-getCurrentHoles arg-0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45Core-traverse_ (lambda (eta-0) (CoreC-45Unify-n--27877-30375-u--checkConstraint arg-1 arg-0 eta-0)) (PreludeC-45TypesC-45List-reverse (let ((e-7 (vector-ref e-5 7))) e-7))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (let ((eff-3 (CoreC-45UnifyState-getCurrentHoles arg-0))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-4 (let ((eff-4 (let ((eff-4 arg-0)) (PrimIO-io_bind (let ((eff-5 eff-4)) (lambda (eta-0) (unbox eff-5))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (let ((eff-5 arg-0)) (PrimIO-io_bind (let ((eff-6 eff-5)) (lambda (eta-0) (set-box! eff-6 (let ((e-0 (vector-ref e-9 0))) (let ((e-1 (vector-ref e-9 1))) (let ((e-2 (vector-ref e-9 2))) (let ((e-3 (vector-ref e-9 3))) (let ((e-4 (vector-ref e-9 4))) (let ((e-16 (vector-ref e-9 5))) (let ((e-15 (vector-ref e-9 6))) (let ((e-13 (vector-ref e-9 8))) (let ((e-12 (vector-ref e-9 9))) (let ((e-10 (vector-ref e-9 10))) (let ((e-11 (vector-ref e-9 11))) (vector e-0 e-1 e-2 e-3 e-4 e-16 e-15 '() e-13 e-12 e-10 e-11))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-5))))))))) eff-4)))))))) eff-3)))))))) eff-2)))))))) eff-1)))))))))
(define CoreC-45Unify-checkArgsSame (lambda (arg-0 arg-1 arg-2) (if (null? arg-2) (lambda (eta-0) (vector 1 0)) (let ((e-2 (car arg-2))) (let ((e-3 (cdr arg-2))) (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-lookupDefExact (vector 8 e-2) (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-6) (CoreC-45Unify-checkArgsSame arg-0 arg-1 e-3) (let ((e-1 (unbox e-6))) (case (vector-ref e-1 0) ((1) (let ((e-9 (vector-ref e-1 2))) (let ((e-4 (vector-ref e-1 3))) (if (null? e-9) (case (vector-ref e-4 0) ((1) (let ((e-12 (vector-ref e-4 1))) (let ((e-11 (vector-ref e-4 2))) (cond ((equal? e-12 0) (let ((eff-2 (CoreC-45Unify-n--27531-30081-u--anySame e-2 e-3 arg-1 arg-0 e-11 e-3))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-13 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-2 1))) (let ((eff-3 (cond ((equal? e-13 1) (lambda (eta-0) (vector 1 1))) (else (CoreC-45Unify-checkArgsSame arg-0 arg-1 e-3))))) eff-3))))))))(else (CoreC-45Unify-checkArgsSame arg-0 arg-1 e-3))))))(else (CoreC-45Unify-checkArgsSame arg-0 arg-1 e-3))) (CoreC-45Unify-checkArgsSame arg-0 arg-1 e-3)))))(else (CoreC-45Unify-checkArgsSame arg-0 arg-1 e-3))))))) eff-2))))))))) eff-1))))))))))))
(define CoreC-45Unify-chaseMetas (lambda (arg-0 arg-1 arg-2) (if (null? arg-1) (lambda (eta-0) (vector 1 (LibrariesC-45DataC-45NameMap-keys arg-2))) (let ((e-2 (car arg-1))) (let ((e-3 (cdr arg-1))) (CoreC-45Unify-case--chaseMetas-13454 e-2 e-3 arg-2 arg-0 (LibrariesC-45DataC-45NameMap-lookup e-2 arg-2)))))))
(define CoreC-45GetType-getType (lambda (arg-0 arg-1 arg-2 arg-3) (CoreC-45GetType-chk arg-0 arg-1 arg-2 arg-3)))
(define CoreC-45GetType-discharge (lambda (arg-1 arg-2 arg-3 arg-4 arg-5) (case (vector-ref arg-3 0) ((0) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-3 (vector-ref arg-3 3))) (let ((e-4 (vector-ref arg-3 4))) (vector 3 arg-1 arg-2 (vector 2 e-1 e-2 e-3 e-4) arg-5)))))) ((1) (let ((e-6 (vector-ref arg-3 1))) (let ((e-7 (vector-ref arg-3 2))) (let ((e-8 (vector-ref arg-3 3))) (let ((e-9 (vector-ref arg-3 4))) (vector 3 arg-1 arg-2 (vector 1 e-6 e-7 e-8 e-9) arg-5)))))) ((2) arg-4) ((3) (let ((e-16 (vector-ref arg-3 1))) (let ((e-17 (vector-ref arg-3 2))) (let ((e-19 (vector-ref arg-3 4))) (vector 3 arg-1 arg-2 (vector 5 e-16 e-17 e-19) arg-5))))) ((4) (let ((e-21 (vector-ref arg-3 1))) (let ((e-22 (vector-ref arg-3 2))) (let ((e-23 (vector-ref arg-3 3))) (let ((e-24 (vector-ref arg-3 4))) (vector 3 arg-1 arg-2 (vector 4 e-21 e-22 e-23 e-24) arg-5)))))) (else arg-4))))
(define CoreC-45GetType-chkMeta (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (if (null? arg-5) (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (CoreC-45Normalise-glueBack arg-1 arg-0 e-5 arg-3 arg-4))))) eff-1))))))) (case (vector-ref arg-4 0) ((0) (let ((e-3 (vector-ref arg-4 3))) (let ((e-4 (vector-ref arg-4 4))) (case (vector-ref e-3 0) ((2) (if (null? arg-5) (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-1 arg-0 e-5 arg-3 arg-4))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-10 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 40 arg-0 arg-2 arg-3 e-10) eta-0)))) eff-2))))))))) eff-1))))))) (let ((e-11 (car arg-5))) (let ((e-12 (cdr arg-5))) (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45GetType-chk arg-0 arg-1 arg-3 e-11))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-10 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((eff-2 (let ((eff-2 ((e-4 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) arg-3 e-11)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-13 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-2 1))) (let ((eff-3 (CoreC-45GetType-chkMeta arg-0 arg-1 arg-2 arg-3 e-13 e-12))) eff-3))))))))) eff-2)))))))) eff-1)))))))))))(else (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-1 arg-0 e-5 arg-3 arg-4))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-6 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 40 arg-0 arg-2 arg-3 e-6) eta-0)))) eff-2))))))))) eff-1))))))))))))(else (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-1 arg-0 e-5 arg-3 arg-4))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 40 arg-0 arg-2 arg-3 e-6) eta-0)))) eff-2))))))))) eff-1))))))))))))
(define CoreC-45GetType-chkConstant (lambda (arg-1 arg-2) (case (vector-ref arg-2 0) ((0) (vector 9 arg-1 (vector 13 0))) ((1) (vector 9 arg-1 (vector 13 1))) ((2) (vector 9 arg-1 (vector 13 2))) ((3) (vector 9 arg-1 (vector 13 3))) ((4) (vector 9 arg-1 (vector 13 4))) ((5) (vector 9 arg-1 (vector 13 5))) ((6) (vector 9 arg-1 (vector 13 6))) ((7) (vector 9 arg-1 (vector 13 7))) ((8) (vector 9 arg-1 (vector 13 8))) ((9) (vector 9 arg-1 (vector 13 9))) ((10) (vector 9 arg-1 (vector 13 10))) ((11) (vector 9 arg-1 (vector 13 11))) ((12) (vector 9 arg-1 (vector 13 12))) ((14) (vector 9 arg-1 (vector 13 13)))(else (vector 11 arg-1 (vector 2 "top" 0))))))
(define CoreC-45GetType-chkBinder (lambda (arg-0 arg-1 arg-2 arg-3) (CoreC-45GetType-chk arg-0 arg-1 arg-2 (CoreC-45TT-binderType arg-3))))
(define CoreC-45GetType-chk (lambda (arg-0 arg-1 arg-2 arg-3) (case (vector-ref arg-3 0) ((0) (let ((e-4 (vector-ref arg-3 3))) (lambda (eta-0) (vector 1 (CoreC-45NormaliseC-45Eval-gnf arg-0 arg-2 (CoreC-45TT-binderType (CoreC-45Env-getBinder (csegen-1260) arg-0 e-4 arg-2))))))) ((1) (let ((e-7 (vector-ref arg-3 1))) (let ((e-9 (vector-ref arg-3 3))) (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-lookupTyExact e-9 (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-6) (CoreC-45Context-undefinedName arg-1 e-7 e-9) (let ((e-1 (unbox e-6))) (lambda (eta-0) (vector 1 (CoreC-45NormaliseC-45Eval-gnf arg-0 arg-2 (CoreC-45TT-embed e-1)))))))) eff-2))))))))) eff-1)))))))))) ((2) (let ((e-11 (vector-ref arg-3 1))) (let ((e-12 (vector-ref arg-3 2))) (let ((e-13 (vector-ref arg-3 3))) (let ((e-14 (vector-ref arg-3 4))) (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-lookupTyExact (vector 8 e-13) (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-6) (CoreC-45Context-undefinedName arg-1 e-11 e-12) (let ((e-1 (unbox e-6))) (let ((eff-2 (CoreC-45NormaliseC-45Eval-nf arg-1 arg-0 e-5 arg-2 (CoreC-45TT-embed e-1)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (CoreC-45GetType-chkMeta arg-0 arg-1 e-11 arg-2 e-7 e-14))) eff-3))))))))))) eff-2))))))))) eff-1)))))))))))) ((3) (let ((e-16 (vector-ref arg-3 1))) (let ((e-17 (vector-ref arg-3 2))) (let ((e-18 (vector-ref arg-3 3))) (let ((e-19 (vector-ref arg-3 4))) (let ((eff-0 (CoreC-45GetType-chkBinder arg-0 arg-1 arg-2 e-18))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45GetType-chk (cons e-17 arg-0) arg-1 (cons e-18 arg-2) e-19))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45NormaliseC-45Eval-getTerm e-5))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45NormaliseC-45Eval-getTerm e-6))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (CoreC-45NormaliseC-45Eval-gnf arg-0 arg-2 (CoreC-45GetType-discharge e-16 e-17 e-18 e-7 e-8)))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))) ((4) (let ((e-21 (vector-ref arg-3 1))) (let ((e-22 (vector-ref arg-3 2))) (let ((e-23 (vector-ref arg-3 3))) (let ((eff-0 (CoreC-45GetType-chk arg-0 arg-1 arg-2 e-22))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-getNF arg-1 e-5))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (case (vector-ref e-6 0) ((0) (let ((e-3 (vector-ref e-6 3))) (let ((e-4 (vector-ref e-6 4))) (case (vector-ref e-3 0) ((2) (let ((eff-2 (let ((eff-2 arg-1)) (PrimIO-io_bind (let ((eff-3 eff-2)) (lambda (eta-0) (unbox eff-3))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-11 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45GetType-chk arg-0 arg-1 arg-2 e-23))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-12 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-12)))) (else (let ((eff-4 (let ((eff-4 ((e-4 e-11) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) arg-2 e-23)))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-13 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (CoreC-45Normalise-glueBack arg-1 arg-0 e-11 arg-2 e-13))))) eff-5))))))))) eff-4)))))))) eff-3))))))))(else (let ((eff-2 (CoreC-45NormaliseC-45Eval-getTerm e-5))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-7 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 40 arg-0 e-21 arg-2 e-7) eta-0)))) eff-3))))))))))))(else (let ((eff-2 (CoreC-45NormaliseC-45Eval-getTerm e-5))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 40 arg-0 e-21 arg-2 e-7) eta-0)))) eff-3))))))))))) eff-2))))))))) eff-1))))))))))) ((5) (let ((e-28 (vector-ref arg-3 4))) (CoreC-45GetType-chk arg-0 arg-1 arg-2 e-28))) ((6) (let ((e-30 (vector-ref arg-3 1))) (lambda (eta-0) (vector 1 (CoreC-45NormaliseC-45Eval-gType e-30 (vector 2 "top" 0)))))) ((7) (let ((e-34 (vector-ref arg-3 1))) (let ((e-35 (vector-ref arg-3 2))) (let ((e-37 (vector-ref arg-3 4))) (let ((eff-0 (CoreC-45GetType-chk arg-0 arg-1 arg-2 e-37))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-getNF arg-1 e-5))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (let ((eff-2 arg-1)) (PrimIO-io_bind (let ((eff-3 eff-2)) (lambda (eta-0) (unbox eff-3))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (CoreC-45Normalise-glueBack arg-1 arg-0 e-7 arg-2 (vector 5 e-34 e-35 e-6)))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((8) (let ((e-39 (vector-ref arg-3 1))) (let ((e-41 (vector-ref arg-3 3))) (let ((eff-0 (CoreC-45GetType-chk arg-0 arg-1 arg-2 e-41))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-getNF arg-1 e-5))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (case (vector-ref e-6 0) ((5) (let ((e-3 (vector-ref e-6 3))) (let ((eff-2 (let ((eff-2 arg-1)) (PrimIO-io_bind (let ((eff-3 eff-2)) (lambda (eta-0) (unbox eff-3))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (CoreC-45Normalise-glueBack arg-1 arg-0 e-7 arg-2 e-3))))) eff-3)))))))))(else (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 e-39 "Not a delayed type") eta-0)))))) eff-2))))))))) eff-1)))))))))) ((9) (let ((e-43 (vector-ref arg-3 1))) (let ((e-44 (vector-ref arg-3 2))) (lambda (eta-0) (vector 1 (CoreC-45NormaliseC-45Eval-gnf arg-0 arg-2 (CoreC-45GetType-chkConstant e-43 e-44))))))) ((11) (let ((e-46 (vector-ref arg-3 1))) (lambda (eta-0) (vector 1 (CoreC-45NormaliseC-45Eval-gType e-46 (vector 2 "top" 0)))))) (else (let ((e-49 (vector-ref arg-3 1))) (lambda (eta-0) (vector 1 (CoreC-45NormaliseC-45Eval-gErased e-49))))))))
(define IdrisC-45Resugar-case--toPRef-6496 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (case (vector-ref arg-4 0) ((2) (let ((e-0 (vector-ref arg-4 1))) (let ((e-1 (vector-ref arg-4 2))) (lambda (eta-0) (vector 1 (IdrisC-45Resugar-sugarApp (vector 0 arg-3 (vector arg-2 arg-1 (vector 2 e-0 e-1))))))))) ((3) (let ((e-2 (vector-ref arg-4 1))) (lambda (eta-0) (vector 1 (IdrisC-45Resugar-sugarApp (vector 0 arg-3 (vector arg-2 arg-1 e-2))))))) ((4) (let ((e-4 (vector-ref arg-4 1))) (lambda (eta-0) (vector 1 (IdrisC-45Resugar-sugarApp (vector 0 arg-3 (vector arg-2 arg-1 (vector 1 (vector 0 e-4))))))))) ((5) (let ((e-7 (vector-ref arg-4 2))) (IdrisC-45Resugar-toPRef arg-3 (vector arg-2 arg-1 e-7))))(else (lambda (eta-0) (vector 1 (IdrisC-45Resugar-sugarApp (vector 0 arg-3 (vector arg-2 arg-1 arg-4)))))))))
(define IdrisC-45Resugar-n--12330-6842-u--needsBind (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8) (if (null? arg-8) 0 (let ((e-1 (unbox arg-8))) (case (vector-ref e-1 0) ((1) (let ((e-2 (vector-ref e-1 1))) (case (vector-ref e-2 0) ((0) (let ((e-3 (vector-ref e-2 1))) (let ((u--ret ((csegen-2925) arg-0))) (let ((u--ns (TTImpC-45Utils-findBindableNames 0 '() '() u--ret))) (let ((u--allNs (TTImpC-45Utils-findAllNames '() u--ret))) (let ((sc3 (PreludeC-45Types-elem (csegen-16) (csegen-1008) e-1 u--allNs))) (cond ((equal? sc3 1) (let ((sc4 (PreludeC-45Types-elem (csegen-16) (csegen-43) e-3 ((csegen-101) u--ns)))) (cond ((equal? sc4 1) 0) (else 1)))) (else 0))))))))(else 0))))(else 0))))))
(define IdrisC-45Resugar-n--10327-4771-u--needed (lambda (arg-1 arg-2 arg-3) (case (vector-ref arg-3 0) ((32) 0) ((0) 0) ((40) 0) ((41) 0) ((42) 0) ((44) 0) ((38) 0) ((39) 0) ((46) 0) ((47) 0) ((15) 0) ((37) 0) ((36) 0)(else 1))))
(define IdrisC-45Resugar-n--12330-7328-u--mkIf (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (case (vector-ref arg-7 0) ((4) (let ((e-1 (vector-ref arg-7 1))) (let ((e-2 (vector-ref arg-7 2))) (let ((e-3 (vector-ref arg-7 3))) (if (null? e-3) arg-7 (let ((e-5 (car e-3))) (let ((e-6 (cdr e-3))) (case (vector-ref e-5 0) ((0) (let ((e-8 (vector-ref e-5 1))) (let ((e-9 (vector-ref e-5 2))) (let ((e-10 (vector-ref e-5 3))) (let ((e-11 (vector-ref e-5 4))) (case (vector-ref e-9 0) ((0) (let ((e-13 (vector-ref e-9 1))) (let ((e-14 (vector-ref e-9 2))) (if (null? e-11) (if (null? e-6) arg-7 (let ((e-17 (car e-6))) (let ((e-18 (cdr e-6))) (case (vector-ref e-17 0) ((0) (let ((e-20 (vector-ref e-17 1))) (let ((e-21 (vector-ref e-17 2))) (let ((e-22 (vector-ref e-17 3))) (let ((e-23 (vector-ref e-17 4))) (case (vector-ref e-21 0) ((0) (let ((e-25 (vector-ref e-21 1))) (let ((e-26 (vector-ref e-21 2))) (if (null? e-23) (if (null? e-18) (let ((u--tm (vector 4 e-1 e-2 (cons (vector 0 e-8 (vector 0 e-13 e-14) e-10 '()) (cons (vector 0 e-20 (vector 0 e-25 e-26) e-22 '()) '()))))) (let ((sc10 (let ((sc11 (CoreC-45Name-u--C-61C-61_Eq_Name (CoreC-45Name-dropNS (let ((e-4 (vector-ref e-14 2))) e-4)) (vector 1 (vector 0 "True"))))) (cond ((equal? sc11 1) (CoreC-45Name-u--C-61C-61_Eq_Name (CoreC-45Name-dropNS (let ((e-4 (vector-ref e-26 2))) e-4)) (vector 1 (vector 0 "False")))) (else 0))))) (cond ((equal? sc10 1) (vector 43 e-1 e-2 e-10 e-22)) (else u--tm)))) arg-7) arg-7))))(else arg-7)))))))(else arg-7))))) arg-7))))(else arg-7)))))))(else arg-7)))))))))(else arg-7))))
(define IdrisC-45Resugar-n--12463-8394-u--mapPiInfo (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8) (case (vector-ref arg-8 0) ((1) (lambda (eta-0) (vector 1 (vector 1 )))) ((0) (lambda (eta-0) (vector 1 (vector 0 )))) ((2) (lambda (eta-0) (vector 1 (vector 2 )))) (else (let ((e-4 (vector-ref arg-8 1))) (let ((eff-0 (IdrisC-45Resugar-toPTerm arg-7 arg-6 (IdrisC-45Resugar-startPrec) e-4))) (PrimIO-io_bind eff-0 (csegen-1312))))))))
(define IdrisC-45Resugar-n--14867-8882-u--cleanNode (lambda (arg-0 arg-1 arg-2) (case (vector-ref arg-2 0) ((0) (let ((e-1 (vector-ref arg-2 1))) (let ((e-2 (vector-ref arg-2 2))) (let ((eff-0 (IdrisC-45Resugar-n--14867-8880-u--cleanKindedName arg-0 arg-1 e-2))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-3 (vector-ref eta-3 1))) (vector 0 e-3))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-3) (lambda (arg-4) ((((eff-1 'erased) 'erased) arg-3) arg-4)))) (lambda (eta-0) (vector 0 e-1 eta-0)))) eff-0))))) ((27) (let ((e-4 (vector-ref arg-2 1))) (let ((e-5 (vector-ref arg-2 2))) (let ((e-6 (vector-ref arg-2 3))) (let ((e-7 (vector-ref arg-2 4))) (let ((e-8 (vector-ref arg-2 5))) (let ((eff-0 (IdrisC-45Resugar-n--14867-8880-u--cleanKindedName arg-0 arg-1 e-6))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-9 (vector-ref eta-3 1))) (vector 1 (eta-2 e-9))))))))))) (lambda (arg-3) (lambda (arg-4) ((((eff-1 'erased) 'erased) arg-3) arg-4)))) (lambda (u--op) (vector 27 e-4 e-5 u--op e-7 e-8)))) eff-0)))))))) ((28) (let ((e-10 (vector-ref arg-2 1))) (let ((e-11 (vector-ref arg-2 2))) (let ((e-12 (vector-ref arg-2 3))) (let ((e-13 (vector-ref arg-2 4))) (let ((eff-0 (IdrisC-45Resugar-n--14867-8880-u--cleanKindedName arg-0 arg-1 e-12))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-3) (lambda (arg-4) ((((eff-1 'erased) 'erased) arg-3) arg-4)))) (lambda (u--op) (vector 28 e-10 e-11 u--op e-13)))) eff-0))))))) ((29) (let ((e-15 (vector-ref arg-2 1))) (let ((e-16 (vector-ref arg-2 2))) (let ((e-17 (vector-ref arg-2 3))) (let ((e-18 (vector-ref arg-2 4))) (let ((eff-0 (IdrisC-45Resugar-n--14867-8880-u--cleanKindedName arg-0 arg-1 e-17))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-3) (lambda (arg-4) ((((eff-1 'erased) 'erased) arg-3) arg-4)))) (lambda (u--op) (vector 29 e-15 e-16 u--op e-18)))) eff-0))))))) ((30) (let ((e-20 (vector-ref arg-2 1))) (let ((e-21 (vector-ref arg-2 2))) (let ((e-22 (vector-ref arg-2 3))) (let ((e-23 (vector-ref arg-2 4))) (let ((eff-0 (IdrisC-45Resugar-n--14867-8880-u--cleanKindedName arg-0 arg-1 e-23))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-3) (lambda (arg-4) ((((eff-1 'erased) 'erased) arg-3) arg-4)))) (lambda (eta-0) (vector 30 e-20 e-21 e-22 eta-0)))) eff-0))))))) ((1) (let ((e-25 (vector-ref arg-2 1))) (let ((e-26 (vector-ref arg-2 2))) (let ((e-27 (vector-ref arg-2 3))) (let ((e-28 (vector-ref arg-2 4))) (let ((e-29 (vector-ref arg-2 5))) (let ((e-30 (vector-ref arg-2 6))) (if (null? e-28) (lambda (eta-0) (vector 1 arg-2)) (let ((e-32 (unbox e-28))) (let ((eff-0 (IdrisC-45Resugar-n--14867-8881-u--cleanBinderName arg-0 arg-1 e-27 e-32))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-3) (lambda (arg-4) ((((eff-1 'erased) 'erased) arg-3) arg-4)))) (lambda (u--n) (vector 1 e-25 e-26 e-27 u--n e-29 e-30)))) eff-0)))))))))))(else (lambda (eta-0) (vector 1 arg-2))))))
(define IdrisC-45Resugar-n--14867-8879-u--cleanName (lambda (arg-0 arg-1 arg-2) (case (vector-ref arg-2 0) ((3) (let ((e-0 (vector-ref arg-2 1))) (lambda (eta-0) (vector 1 e-0)))) ((2) (let ((e-2 (vector-ref arg-2 1))) (lambda (eta-0) (vector 1 (vector 1 (CoreC-45Name-mkUserName e-2)))))) ((4) (let ((e-4 (vector-ref arg-2 1))) (lambda (eta-0) (vector 1 (vector 1 (CoreC-45Name-mkUserName e-4)))))) ((0) (let ((e-6 (vector-ref arg-2 1))) (let ((e-7 (vector-ref arg-2 2))) (let ((eff-0 (IdrisC-45Resugar-n--14867-8879-u--cleanName arg-0 arg-1 e-7))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-3) (lambda (arg-4) ((((eff-1 'erased) 'erased) arg-3) arg-4)))) (lambda (eta-0) (vector 0 e-6 eta-0)))) eff-0))))) ((5) (let ((e-9 (vector-ref arg-2 2))) (IdrisC-45Resugar-n--14867-8879-u--cleanName arg-0 arg-1 e-9))) ((1) (let ((e-10 (vector-ref arg-2 1))) (lambda (eta-0) (vector 1 (vector 1 e-10)))))(else (let ((eff-0 (CoreC-45Context-prettyName arg-1 arg-2))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-3) (lambda (arg-4) ((((eff-1 'erased) 'erased) arg-3) arg-4)))) (lambda (eta-0) (vector 1 (CoreC-45Name-mkUserName eta-0))))) eff-0))))))
(define IdrisC-45Resugar-n--14867-8880-u--cleanKindedName (lambda (arg-0 arg-1 arg-2) (let ((e-0 (vector-ref arg-2 0))) (let ((e-1 (vector-ref arg-2 1))) (let ((e-2 (vector-ref arg-2 2))) (let ((eff-0 (IdrisC-45Resugar-n--14867-8879-u--cleanName arg-0 arg-1 e-2))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-3 (vector-ref eta-3 1))) (vector 0 e-3))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-3) (lambda (arg-4) ((((eff-1 'erased) 'erased) arg-3) arg-4)))) (lambda (eta-0) (vector e-0 e-1 eta-0)))) eff-0)))))))
(define IdrisC-45Resugar-n--14867-8881-u--cleanBinderName (lambda (arg-0 arg-1 arg-2 arg-3) (case (vector-ref arg-2 0) ((2) (case (vector-ref arg-3 0) ((1) (let ((e-1 (vector-ref arg-3 1))) (case (vector-ref e-1 0) ((0) (let ((e-2 (vector-ref e-1 1))) (cond ((equal? e-2 "__con") (lambda (eta-0) (vector 1 '())))(else (let ((eff-0 (IdrisC-45Resugar-n--14867-8879-u--cleanName arg-0 arg-1 arg-3))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-3 (vector-ref eta-3 1))) (vector 0 e-3))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-4) (lambda (arg-5) ((((eff-1 'erased) 'erased) arg-4) arg-5)))) (lambda (eta-0) (box eta-0)))) eff-0))))))(else (let ((eff-0 (IdrisC-45Resugar-n--14867-8879-u--cleanName arg-0 arg-1 arg-3))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-4) (lambda (arg-5) ((((eff-1 'erased) 'erased) arg-4) arg-5)))) (lambda (eta-0) (box eta-0)))) eff-0))))))(else (let ((eff-0 (IdrisC-45Resugar-n--14867-8879-u--cleanName arg-0 arg-1 arg-3))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-4) (lambda (arg-5) ((((eff-1 'erased) 'erased) arg-4) arg-5)))) (lambda (eta-0) (box eta-0)))) eff-0)))))(else (let ((eff-0 (IdrisC-45Resugar-n--14867-8879-u--cleanName arg-0 arg-1 arg-3))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-4) (lambda (arg-5) ((((eff-1 'erased) 'erased) arg-4) arg-5)))) (lambda (eta-0) (box eta-0)))) eff-0))))))
(define IdrisC-45Resugar-unbracketApp (lambda (arg-1) (case (vector-ref arg-1 0) ((32) (let ((e-2 (vector-ref arg-1 2))) (case (vector-ref e-2 0) ((7) e-2)(else arg-1))))(else arg-1))))
(define IdrisC-45Resugar-unbracket (lambda (arg-1) (case (vector-ref arg-1 0) ((32) (let ((e-2 (vector-ref arg-1 2))) e-2))(else arg-1))))
(define IdrisC-45Resugar-tyPrec(blodwen-lazy (lambda () 1)))
(define IdrisC-45Resugar-toPTypeDecl (lambda (arg-0 arg-1 arg-2) (let ((e-1 (vector-ref arg-2 0))) (let ((e-2 (vector-ref arg-2 1))) (let ((e-3 (vector-ref arg-2 2))) (let ((e-4 (vector-ref arg-2 3))) (let ((eff-0 (IdrisC-45Resugar-toPTerm arg-0 arg-1 (IdrisC-45Resugar-startPrec) e-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector e-1 e-2 e-3 "" e-5))))) eff-1)))))))))))))
(define IdrisC-45Resugar-toPTermApp (lambda (arg-0 arg-1 arg-2 arg-3) (case (vector-ref arg-2 0) ((8) (let ((e-1 (vector-ref arg-2 1))) (let ((e-2 (vector-ref arg-2 2))) (let ((e-3 (vector-ref arg-2 3))) (let ((eff-0 (IdrisC-45Resugar-toPTerm arg-0 arg-1 (IdrisC-45Resugar-argPrec) e-3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (IdrisC-45Resugar-toPTermApp arg-0 arg-1 e-2 (cons (cons e-1 (cons '() e-5)) arg-3)))) eff-1))))))))))) ((10) (let ((e-5 (vector-ref arg-2 1))) (let ((e-6 (vector-ref arg-2 2))) (let ((e-7 (vector-ref arg-2 3))) (let ((e-8 (vector-ref arg-2 4))) (let ((eff-0 (IdrisC-45Resugar-toPTerm arg-0 arg-1 (IdrisC-45Resugar-startPrec) e-8))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-0 1))) (let ((eff-1 (IdrisC-45Resugar-toPTermApp arg-0 arg-1 e-6 (cons (cons e-5 (cons (box (box e-7)) e-9)) arg-3)))) eff-1)))))))))))) ((0) (let ((e-10 (vector-ref arg-2 1))) (let ((e-11 (vector-ref arg-2 2))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-lookupCtxtExact (let ((e-2 (vector-ref e-11 2))) e-2) (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((u--fn (vector 0 e-10 e-11))) (if (null? e-6) (let ((eff-2 (IdrisC-45Resugar-toPTerm arg-0 arg-1 (IdrisC-45Resugar-appPrec) u--fn))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (IdrisC-45Resugar-mkApp arg-0 arg-1 e-7 arg-3))) eff-3))))))) (let ((e-2 (unbox e-6))) (let ((eff-2 (IdrisC-45Resugar-toPTerm arg-0 arg-1 (IdrisC-45Resugar-appPrec) u--fn))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-3 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (IdrisC-45Resugar-showFullEnv arg-0))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-3 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((u--argsC-39 (cond ((equal? e-8 1) arg-3) (else (DataC-45List-drop (PreludeC-45TypesC-45List-length (let ((e-24 (vector-ref e-2 8))) e-24)) arg-3))))) (IdrisC-45Resugar-mkApp arg-0 arg-1 e-7 u--argsC-39)))) eff-4))))))))) eff-3)))))))))))) eff-2))))))))) eff-1))))))))))(else (let ((eff-0 (IdrisC-45Resugar-toPTerm arg-0 arg-1 (IdrisC-45Resugar-appPrec) arg-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (IdrisC-45Resugar-mkApp arg-0 arg-1 e-5 arg-3))) eff-1)))))))))))
(define IdrisC-45Resugar-toPTerm (lambda (arg-0 arg-1 arg-2 arg-3) (case (vector-ref arg-3 0) ((0) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((eff-0 (let ((eff-0 (CoreC-45Context-getPPrint arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((sc2 (let ((e-3 (vector-ref e-5 3))) e-3))) (cond ((equal? sc2 1) (lambda (eta-0) (vector 1 (vector 0 e-1 e-2)))) (else (IdrisC-45Resugar-toPRef e-1 e-2)))))) eff-1))))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45ContextC-45Log-log arg-0 "resugar.var" 70 (lambda () (DataC-45String-unwords (cons "Resugaring" (cons (CoreC-45Name-u--show_Show_RawName (let ((e-3 (vector-ref e-2 2))) e-3)) (cons "to" (cons (IdrisC-45Syntax-u--show_Show_IPTerm e-5) '()))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-3 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-2 (lambda (eta-0) (vector 1 e-5)))) eff-2)))))))) eff-1)))))))))) ((1) (let ((e-4 (vector-ref arg-3 1))) (let ((e-5 (vector-ref arg-3 2))) (let ((e-6 (vector-ref arg-3 3))) (let ((e-7 (vector-ref arg-3 4))) (let ((e-8 (vector-ref arg-3 5))) (let ((e-9 (vector-ref arg-3 6))) (case (vector-ref e-6 0) ((0) (let ((eff-0 (IdrisC-45Resugar-showImplicits arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-10 (vector-ref lcase-0 1))) (let ((eff-1 (cond ((equal? e-10 1) (let ((eff-1 (IdrisC-45Resugar-toPTerm arg-0 arg-1 (IdrisC-45Resugar-tyPrec) e-8))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-11 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (IdrisC-45Resugar-toPTerm arg-0 arg-1 (IdrisC-45Resugar-tyPrec) e-9))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-12 (vector-ref lcase-2 1))) (let ((eff-3 (IdrisC-45Resugar-bracket arg-0 arg-1 arg-2 (IdrisC-45Resugar-tyPrec) (vector 1 e-4 e-5 (vector 0 ) e-7 e-11 e-12)))) eff-3))))))))) eff-2)))))))) (else (let ((sc4 (IdrisC-45Resugar-n--12330-6842-u--needsBind e-9 e-8 e-7 e-5 e-4 arg-2 arg-1 arg-0 e-7))) (cond ((equal? sc4 1) (let ((eff-1 (IdrisC-45Resugar-toPTerm arg-0 arg-1 (IdrisC-45Resugar-tyPrec) e-8))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-11 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (IdrisC-45Resugar-toPTerm arg-0 arg-1 (IdrisC-45Resugar-tyPrec) e-9))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-12 (vector-ref lcase-2 1))) (let ((eff-3 (IdrisC-45Resugar-bracket arg-0 arg-1 arg-2 (IdrisC-45Resugar-tyPrec) (vector 1 e-4 e-5 (vector 0 ) e-7 e-11 e-12)))) eff-3))))))))) eff-2)))))))) (else (IdrisC-45Resugar-toPTerm arg-0 arg-1 arg-2 e-9)))))))) eff-1))))))))(else (let ((eff-0 (IdrisC-45Resugar-toPTerm arg-0 arg-1 (IdrisC-45Resugar-appPrec) e-8))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-10 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (IdrisC-45Resugar-toPTerm arg-0 arg-1 (IdrisC-45Resugar-tyPrec) e-9))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-11 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45CoreC-45PiInfo-traverse (lambda (eta-0) (IdrisC-45Resugar-toPTerm arg-0 arg-1 (IdrisC-45Resugar-argPrec) eta-0)) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-12 (vector-ref lcase-2 1))) (let ((eff-3 (IdrisC-45Resugar-bracket arg-0 arg-1 arg-2 (IdrisC-45Resugar-tyPrec) (vector 1 e-4 e-5 e-12 e-7 e-10 e-11)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))) ((2) (let ((e-11 (vector-ref arg-3 1))) (let ((e-12 (vector-ref arg-3 2))) (let ((e-13 (vector-ref arg-3 3))) (let ((e-14 (vector-ref arg-3 4))) (let ((e-15 (vector-ref arg-3 5))) (let ((e-16 (vector-ref arg-3 6))) (let ((u--n (if (null? e-14) (vector 1 (vector 2 )) (let ((e-2 (unbox e-14))) e-2)))) (let ((eff-0 (IdrisC-45Resugar-showImplicits arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (cond ((equal? e-5 1) (IdrisC-45Resugar-toPTerm arg-0 arg-1 (IdrisC-45Resugar-tyPrec) e-15)) (else (lambda (eta-0) (vector 1 (vector 25 e-11))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (IdrisC-45Resugar-toPTerm arg-0 arg-1 (IdrisC-45Resugar-startPrec) e-16))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45CoreC-45PiInfo-traverse (lambda (eta-0) (IdrisC-45Resugar-toPTerm arg-0 arg-1 (IdrisC-45Resugar-argPrec) eta-0)) e-13))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((u--var (vector 0 e-11 (vector (box (vector 0 )) u--n u--n)))) (IdrisC-45Resugar-bracket arg-0 arg-1 arg-2 (IdrisC-45Resugar-startPrec) (vector 2 e-11 e-12 e-8 u--var e-6 e-7))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))))))) ((3) (let ((e-18 (vector-ref arg-3 1))) (let ((e-19 (vector-ref arg-3 2))) (let ((e-20 (vector-ref arg-3 3))) (let ((e-21 (vector-ref arg-3 4))) (let ((e-22 (vector-ref arg-3 5))) (let ((e-23 (vector-ref arg-3 6))) (let ((e-24 (vector-ref arg-3 7))) (let ((eff-0 (IdrisC-45Resugar-showImplicits arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (cond ((equal? e-5 1) (IdrisC-45Resugar-toPTerm arg-0 arg-1 (IdrisC-45Resugar-startPrec) e-22)) (else (lambda (eta-0) (vector 1 (vector 25 e-18))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (IdrisC-45Resugar-toPTerm arg-0 arg-1 (IdrisC-45Resugar-startPrec) e-23))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (IdrisC-45Resugar-toPTerm arg-0 arg-1 (IdrisC-45Resugar-startPrec) e-24))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((u--var (vector 0 e-19 (vector (box (vector 0 )) e-21 e-21)))) (IdrisC-45Resugar-bracket arg-0 arg-1 arg-2 (IdrisC-45Resugar-startPrec) (vector 3 e-18 e-20 u--var e-6 e-7 e-8 '()))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))))))) ((4) (let ((e-26 (vector-ref arg-3 1))) (let ((e-27 (vector-ref arg-3 2))) (let ((e-28 (vector-ref arg-3 3))) (let ((e-29 (vector-ref arg-3 4))) (if (null? e-29) (let ((eff-0 (IdrisC-45Resugar-toPTerm arg-0 arg-1 (IdrisC-45Resugar-startPrec) e-27))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Core-traverseC-39 (lambda (eta-0) (IdrisC-45Resugar-toPClause arg-0 arg-1 eta-0)) e-29 '()))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (IdrisC-45Resugar-bracket arg-0 arg-1 arg-2 (IdrisC-45Resugar-startPrec) (IdrisC-45Resugar-n--12330-7328-u--mkIf e-29 e-28 e-27 e-26 arg-2 arg-1 arg-0 (vector 4 e-26 e-5 e-6))))) eff-2))))))))) eff-1))))))) (let ((e-138 (car e-29))) (let ((e-139 (cdr e-29))) (case (vector-ref e-138 0) ((0) (let ((e-142 (vector-ref e-138 2))) (let ((e-143 (vector-ref e-138 3))) (if (null? e-139) (let ((eff-0 (IdrisC-45Resugar-toPTerm arg-0 arg-1 (IdrisC-45Resugar-startPrec) e-27))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (IdrisC-45Resugar-toPTerm arg-0 arg-1 (IdrisC-45Resugar-startPrec) e-142))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (IdrisC-45Resugar-toPTerm arg-0 arg-1 (IdrisC-45Resugar-startPrec) e-143))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (IdrisC-45Resugar-bracket arg-0 arg-1 arg-2 (IdrisC-45Resugar-startPrec) (vector 3 e-26 (AlgebraC-45ZeroOneOmega-u--top_Top_ZeroOneOmega) e-6 (vector 25 e-26) e-5 e-7 '())))) eff-3))))))))) eff-2))))))))) eff-1))))))) (let ((eff-0 (IdrisC-45Resugar-toPTerm arg-0 arg-1 (IdrisC-45Resugar-startPrec) e-27))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Core-traverseC-39 (lambda (eta-0) (IdrisC-45Resugar-toPClause arg-0 arg-1 eta-0)) e-29 '()))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (IdrisC-45Resugar-bracket arg-0 arg-1 arg-2 (IdrisC-45Resugar-startPrec) (IdrisC-45Resugar-n--12330-7328-u--mkIf e-29 e-28 e-27 e-26 arg-2 arg-1 arg-0 (vector 4 e-26 e-5 e-6))))) eff-2))))))))) eff-1)))))))))))(else (let ((eff-0 (IdrisC-45Resugar-toPTerm arg-0 arg-1 (IdrisC-45Resugar-startPrec) e-27))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Core-traverseC-39 (lambda (eta-0) (IdrisC-45Resugar-toPClause arg-0 arg-1 eta-0)) e-29 '()))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (IdrisC-45Resugar-bracket arg-0 arg-1 arg-2 (IdrisC-45Resugar-startPrec) (IdrisC-45Resugar-n--12330-7328-u--mkIf e-29 e-28 e-27 e-26 arg-2 arg-1 arg-0 (vector 4 e-26 e-5 e-6))))) eff-2))))))))) eff-1))))))))))))))))) ((5) (let ((e-31 (vector-ref arg-3 1))) (let ((e-32 (vector-ref arg-3 2))) (let ((e-33 (vector-ref arg-3 3))) (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (IdrisC-45Resugar-toPDecl arg-0 arg-1 eta-0)) e-32 '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (IdrisC-45Resugar-toPTerm arg-0 arg-1 (IdrisC-45Resugar-startPrec) e-33))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (IdrisC-45Resugar-bracket arg-0 arg-1 arg-2 (IdrisC-45Resugar-startPrec) (vector 5 e-31 (DataC-45List-catMaybes e-5) e-6)))) eff-2))))))))) eff-1))))))))))) ((6) (let ((e-39 (vector-ref arg-3 5))) (IdrisC-45Resugar-toPTerm arg-0 arg-1 arg-2 e-39))) ((7) (let ((e-41 (vector-ref arg-3 1))) (let ((e-42 (vector-ref arg-3 2))) (let ((e-43 (vector-ref arg-3 3))) (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (IdrisC-45Resugar-toPFieldUpdate arg-0 arg-1 eta-0)) e-42 '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (IdrisC-45Resugar-toPTerm arg-0 arg-1 (IdrisC-45Resugar-argPrec) e-43))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (IdrisC-45Resugar-bracket arg-0 arg-1 arg-2 (IdrisC-45Resugar-startPrec) (vector 7 e-41 (vector 6 e-41 e-5) e-6)))) eff-2))))))))) eff-1))))))))))) ((8) (let ((e-45 (vector-ref arg-3 1))) (let ((e-46 (vector-ref arg-3 2))) (let ((e-47 (vector-ref arg-3 3))) (let ((eff-0 (IdrisC-45Resugar-toPTerm arg-0 arg-1 (IdrisC-45Resugar-argPrec) e-47))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (IdrisC-45Resugar-toPTermApp arg-0 arg-1 e-46 (cons (cons e-45 (cons '() e-5)) '())))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (IdrisC-45Resugar-bracket arg-0 arg-1 arg-2 (IdrisC-45Resugar-appPrec) e-6))) eff-2))))))))) eff-1))))))))))) ((9) (let ((e-49 (vector-ref arg-3 1))) (let ((e-50 (vector-ref arg-3 2))) (let ((e-51 (vector-ref arg-3 3))) (let ((eff-0 (IdrisC-45Resugar-toPTerm arg-0 arg-1 (IdrisC-45Resugar-argPrec) e-51))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (IdrisC-45Resugar-toPTermApp arg-0 arg-1 e-50 (cons (cons e-49 (cons (box '()) e-5)) '())))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (IdrisC-45Resugar-bracket arg-0 arg-1 arg-2 (IdrisC-45Resugar-appPrec) e-6))) eff-2))))))))) eff-1))))))))))) ((11) (let ((e-53 (vector-ref arg-3 1))) (let ((e-54 (vector-ref arg-3 2))) (let ((e-55 (vector-ref arg-3 3))) (let ((eff-0 (IdrisC-45Resugar-toPTerm arg-0 arg-1 (IdrisC-45Resugar-startPrec) e-55))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (IdrisC-45Resugar-toPTerm arg-0 arg-1 (IdrisC-45Resugar-startPrec) e-54))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (IdrisC-45Resugar-bracket arg-0 arg-1 arg-2 (IdrisC-45Resugar-appPrec) (vector 8 e-53 e-6 e-5)))) eff-2))))))))) eff-1))))))))))) ((10) (let ((e-57 (vector-ref arg-3 1))) (let ((e-58 (vector-ref arg-3 2))) (let ((e-59 (vector-ref arg-3 3))) (let ((e-60 (vector-ref arg-3 4))) (let ((eff-0 (IdrisC-45Resugar-toPTerm arg-0 arg-1 (IdrisC-45Resugar-startPrec) e-60))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (IdrisC-45Resugar-toPTermApp arg-0 arg-1 e-58 (cons (cons e-57 (cons (box (box e-59)) e-5)) '())))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (IdrisC-45Resugar-showImplicits arg-0))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (cond ((equal? e-7 1) (IdrisC-45Resugar-bracket arg-0 arg-1 arg-2 (IdrisC-45Resugar-startPrec) e-6)) (else (IdrisC-45Resugar-mkOp arg-1 e-6))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))) ((12) (let ((e-62 (vector-ref arg-3 1))) (let ((e-63 (vector-ref arg-3 2))) (lambda (eta-0) (vector 1 (vector 14 e-62 e-63)))))) ((13) (let ((e-65 (vector-ref arg-3 1))) (lambda (eta-0) (vector 1 (vector 25 e-65))))) ((14) (let ((e-69 (vector-ref arg-3 1))) (let ((e-70 (vector-ref arg-3 2))) (let ((e-71 (vector-ref arg-3 3))) (let ((eff-0 (IdrisC-45Resugar-toPTerm arg-0 arg-1 (IdrisC-45Resugar-startPrec) e-70))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (IdrisC-45Resugar-toPTerm arg-0 arg-1 (IdrisC-45Resugar-startPrec) e-71))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 45 e-69 e-5 e-6))))) eff-2))))))))) eff-1))))))))))) ((15) (let ((e-74 (vector-ref arg-3 2))) (IdrisC-45Resugar-toPTerm arg-0 arg-1 arg-2 e-74))) ((28) (let ((e-76 (vector-ref arg-3 1))) (let ((e-77 (vector-ref arg-3 2))) (lambda (eta-0) (vector 1 (vector 15 e-76 e-77)))))) ((30) (let ((e-79 (vector-ref arg-3 1))) (let ((e-80 (vector-ref arg-3 2))) (lambda (eta-0) (vector 1 (vector 21 e-79 0 e-80)))))) ((29) (let ((e-82 (vector-ref arg-3 1))) (lambda (eta-0) (vector 1 (vector 22 e-82))))) ((17) (let ((e-84 (vector-ref arg-3 1))) (let ((e-85 (vector-ref arg-3 2))) (let ((u--nm (vector 1 (vector 0 e-85)))) (lambda (eta-0) (vector 1 (vector 0 e-84 (vector (box (vector 0 )) u--nm u--nm)))))))) ((16) (let ((e-89 (vector-ref arg-3 3))) (IdrisC-45Resugar-toPTerm arg-0 arg-1 arg-2 e-89))) ((18) (let ((e-91 (vector-ref arg-3 1))) (let ((e-92 (vector-ref arg-3 2))) (let ((e-94 (vector-ref arg-3 4))) (let ((e-95 (vector-ref arg-3 5))) (let ((eff-0 (IdrisC-45Resugar-toPTerm arg-0 arg-1 (IdrisC-45Resugar-argPrec) e-95))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 23 e-91 e-92 e-94 e-5))))) eff-1)))))))))))) ((19) (let ((e-97 (vector-ref arg-3 1))) (let ((e-99 (vector-ref arg-3 3))) (let ((eff-0 (IdrisC-45Resugar-toPTerm arg-0 arg-1 (IdrisC-45Resugar-argPrec) e-99))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 24 e-97 e-5))))) eff-1)))))))))) ((20) (let ((e-101 (vector-ref arg-3 1))) (let ((e-102 (vector-ref arg-3 2))) (let ((e-103 (vector-ref arg-3 3))) (let ((eff-0 (IdrisC-45Resugar-toPTerm arg-0 arg-1 (IdrisC-45Resugar-argPrec) e-103))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 11 e-101 e-102 e-5))))) eff-1))))))))))) ((21) (let ((e-105 (vector-ref arg-3 1))) (let ((e-106 (vector-ref arg-3 2))) (let ((eff-0 (IdrisC-45Resugar-toPTerm arg-0 arg-1 (IdrisC-45Resugar-argPrec) e-106))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 12 e-105 e-5))))) eff-1)))))))))) ((22) (let ((e-108 (vector-ref arg-3 1))) (let ((e-109 (vector-ref arg-3 2))) (let ((eff-0 (IdrisC-45Resugar-toPTerm arg-0 arg-1 (IdrisC-45Resugar-argPrec) e-109))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 13 e-108 e-5))))) eff-1)))))))))) ((23) (let ((e-111 (vector-ref arg-3 1))) (let ((e-112 (vector-ref arg-3 2))) (let ((eff-0 (IdrisC-45Resugar-toPTerm arg-0 arg-1 (IdrisC-45Resugar-argPrec) e-112))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 16 e-111 e-5))))) eff-1)))))))))) ((24) (let ((e-114 (vector-ref arg-3 1))) (let ((e-115 (vector-ref arg-3 2))) (lambda (eta-0) (vector 1 (vector 17 e-114 e-115)))))) ((25) (let ((e-117 (vector-ref arg-3 1))) (let ((e-118 (vector-ref arg-3 2))) (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (IdrisC-45Resugar-toPDecl arg-0 arg-1 eta-0)) e-118 '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 18 e-117 (DataC-45List-catMaybes e-5)))))) eff-1)))))))))) ((26) (let ((e-120 (vector-ref arg-3 1))) (let ((e-121 (vector-ref arg-3 2))) (let ((eff-0 (IdrisC-45Resugar-toPTerm arg-0 arg-1 (IdrisC-45Resugar-argPrec) e-121))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 19 e-120 e-5))))) eff-1)))))))))) ((27) (let ((e-123 (vector-ref arg-3 1))) (let ((e-124 (vector-ref arg-3 2))) (let ((eff-0 (IdrisC-45Resugar-toPTerm arg-0 arg-1 (IdrisC-45Resugar-argPrec) e-124))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 20 e-123 e-5))))) eff-1)))))))))) ((31) (let ((e-128 (vector-ref arg-3 3))) (IdrisC-45Resugar-toPTerm arg-0 arg-1 arg-2 e-128))) ((32) (let ((e-130 (vector-ref arg-3 1))) (let ((e-131 (vector-ref arg-3 2))) (lambda (clam-0) (cond ((equal? e-131 1) (vector 1 (vector 25 e-130))) (else (vector 1 (vector 26 e-130)))))))) (else (let ((e-133 (vector-ref arg-3 1))) (let ((e-134 (vector-ref arg-3 2))) (let ((e-135 (vector-ref arg-3 3))) (let ((eff-0 (IdrisC-45Resugar-toPTerm arg-0 arg-1 (IdrisC-45Resugar-startPrec) e-135))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-4) (lambda (arg-5) ((((eff-1 'erased) 'erased) arg-4) arg-5)))) (lambda (eta-0) (vector 51 e-133 e-134 eta-0)))) eff-0)))))))))
(define IdrisC-45Resugar-toPRef (lambda (arg-0 arg-1) (let ((e-0 (vector-ref arg-1 0))) (let ((e-1 (vector-ref arg-1 1))) (let ((e-2 (vector-ref arg-1 2))) (IdrisC-45Resugar-case--toPRef-6496 e-2 e-1 e-0 arg-0 (CoreC-45Name-dropNS e-2)))))))
(define IdrisC-45Resugar-toPRecord (lambda (arg-0 arg-1 arg-2) (let ((e-1 (vector-ref arg-2 0))) (let ((e-2 (vector-ref arg-2 1))) (let ((e-3 (vector-ref arg-2 2))) (let ((e-4 (vector-ref arg-2 3))) (let ((e-5 (vector-ref arg-2 4))) (let ((e-6 (vector-ref arg-2 5))) (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-8 (car lamc-0))) (let ((e-7 (cdr lamc-0))) (let ((e-10 (car e-7))) (let ((e-9 (cdr e-7))) (let ((e-12 (car e-9))) (let ((e-11 (cdr e-9))) (let ((eff-0 (IdrisC-45Resugar-toPTerm arg-0 arg-1 (IdrisC-45Resugar-startPrec) e-11))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-13 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (IdrisC-45Resugar-n--12463-8394-u--mapPiInfo e-6 e-5 e-4 e-3 e-2 e-1 arg-1 arg-0 e-12))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-14 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (cons e-8 (cons e-10 (cons e-14 e-13))))))) eff-2))))))))) eff-1)))))))))))))) e-3 '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-7 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Core-traverseC-39 (lambda (eta-0) (IdrisC-45Resugar-toPField arg-0 arg-1 eta-0)) e-6 '()))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-8 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (cons e-2 (cons e-7 (cons e-4 (cons (box e-5) e-8)))))))) eff-2))))))))) eff-1)))))))))))))))
(define IdrisC-45Resugar-toPFnOpt (lambda (arg-0 arg-1 arg-2) (case (vector-ref arg-2 0) ((7) (let ((e-1 (vector-ref arg-2 1))) (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (IdrisC-45Resugar-toPTerm arg-0 arg-1 (IdrisC-45Resugar-startPrec) eta-0)) e-1 '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 1 e-5))))) eff-1)))))))))(else (lambda (eta-0) (vector 1 (vector 0 arg-2)))))))
(define IdrisC-45Resugar-toPFieldUpdate (lambda (arg-0 arg-1 arg-2) (case (vector-ref arg-2 0) ((0) (let ((e-1 (vector-ref arg-2 1))) (let ((e-2 (vector-ref arg-2 2))) (let ((eff-0 (IdrisC-45Resugar-toPTerm arg-0 arg-1 (IdrisC-45Resugar-startPrec) e-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 0 e-1 e-5))))) eff-1)))))))))) (else (let ((e-4 (vector-ref arg-2 1))) (let ((e-5 (vector-ref arg-2 2))) (let ((eff-0 (IdrisC-45Resugar-toPTerm arg-0 arg-1 (IdrisC-45Resugar-startPrec) e-5))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 1 e-4 e-6))))) eff-1)))))))))))))
(define IdrisC-45Resugar-toPField (lambda (arg-0 arg-1 arg-2) (let ((e-1 (vector-ref arg-2 0))) (let ((e-2 (vector-ref arg-2 1))) (let ((e-3 (vector-ref arg-2 2))) (let ((e-4 (vector-ref arg-2 3))) (let ((e-5 (vector-ref arg-2 4))) (let ((eff-0 (IdrisC-45Resugar-toPTerm arg-0 arg-1 (IdrisC-45Resugar-startPrec) e-5))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45CoreC-45PiInfo-traverse (lambda (eta-0) (IdrisC-45Resugar-toPTerm arg-0 arg-1 (IdrisC-45Resugar-startPrec) eta-0)) e-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector e-1 "" e-2 e-7 e-4 e-6))))) eff-2))))))))) eff-1))))))))))))))
(define IdrisC-45Resugar-toPDecl (lambda (arg-0 arg-1 arg-2) (case (vector-ref arg-2 0) ((0) (let ((e-1 (vector-ref arg-2 1))) (let ((e-2 (vector-ref arg-2 2))) (let ((e-3 (vector-ref arg-2 3))) (let ((e-4 (vector-ref arg-2 4))) (let ((e-5 (vector-ref arg-2 5))) (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (IdrisC-45Resugar-toPFnOpt arg-0 arg-1 eta-0)) e-4 '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (IdrisC-45Resugar-toPTypeDecl arg-0 arg-1 e-5))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (box (vector 0 e-1 e-2 e-3 e-6 e-7)))))) eff-2))))))))) eff-1))))))))))))) ((1) (let ((e-7 (vector-ref arg-2 1))) (let ((e-8 (vector-ref arg-2 2))) (let ((e-9 (vector-ref arg-2 3))) (let ((e-10 (vector-ref arg-2 4))) (let ((eff-0 (IdrisC-45Resugar-toPData arg-0 arg-1 e-10))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (box (vector 2 e-7 "" e-8 e-9 e-5)))))) eff-1)))))))))))) ((2) (let ((e-12 (vector-ref arg-2 1))) (let ((e-14 (vector-ref arg-2 3))) (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (IdrisC-45Resugar-toPClause arg-0 arg-1 eta-0)) e-14 '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (box (vector 1 e-12 e-5)))))) eff-1)))))))))) ((3) (let ((e-16 (vector-ref arg-2 1))) (let ((e-17 (vector-ref arg-2 2))) (let ((e-18 (vector-ref arg-2 3))) (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (IdrisC-45Resugar-toPDecl arg-0 arg-1 eta-0)) e-18 '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-2 (car lamc-0))) (let ((e-3 (cdr lamc-0))) (let ((e-6 (car e-3))) (let ((e-7 (cdr e-3))) (let ((e-10 (car e-7))) (let ((e-11 (cdr e-7))) (let ((eff-1 (CoreC-45CoreC-45PiInfo-traverse (lambda (eta-0) (IdrisC-45Resugar-toPTerm arg-0 arg-1 (IdrisC-45Resugar-startPrec) eta-0)) e-10))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-8 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (IdrisC-45Resugar-toPTerm arg-0 arg-1 (IdrisC-45Resugar-startPrec) e-11))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-9 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (cons e-2 (cons e-6 (cons e-8 e-9))))))) eff-3))))))))) eff-2)))))))))))))) e-17 '()))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (box (vector 3 e-16 e-6 (DataC-45List-catMaybes e-5))))))) eff-2))))))))) eff-1))))))))))) ((4) (let ((e-20 (vector-ref arg-2 1))) (let ((e-22 (vector-ref arg-2 3))) (let ((e-23 (vector-ref arg-2 4))) (let ((e-24 (vector-ref arg-2 5))) (let ((eff-0 (IdrisC-45Resugar-toPRecord arg-0 arg-1 e-24))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((e-2 (car e-5))) (let ((e-3 (cdr e-5))) (let ((e-6 (car e-3))) (let ((e-7 (cdr e-3))) (lambda (clam-0) (let ((e-10 (car e-7))) (let ((e-11 (cdr e-7))) (let ((e-14 (car e-11))) (let ((e-15 (cdr e-11))) (vector 1 (box (vector 8 e-20 "" e-22 e-23 (vector 0 e-2 e-6 e-10 e-14 e-15))))))))))))))) eff-1)))))))))))) ((5) (let ((e-26 (vector-ref arg-2 1))) (let ((e-27 (vector-ref arg-2 2))) (let ((e-28 (vector-ref arg-2 3))) (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (IdrisC-45Resugar-toPDecl arg-0 arg-1 eta-0)) e-28 '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (box (vector 9 e-26 e-27 (DataC-45List-catMaybes e-5))))))) eff-1))))))))))) ((6) (let ((e-30 (vector-ref arg-2 1))) (let ((e-31 (vector-ref arg-2 2))) (let ((e-32 (vector-ref arg-2 3))) (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (IdrisC-45Resugar-toPDecl arg-0 arg-1 eta-0)) e-32 '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (box (vector 12 e-30 e-31 (DataC-45List-catMaybes e-5))))))) eff-1))))))))))) ((7) (let ((e-34 (vector-ref arg-2 1))) (let ((e-35 (vector-ref arg-2 2))) (let ((e-36 (vector-ref arg-2 3))) (let ((e-37 (vector-ref arg-2 4))) (let ((eff-0 (IdrisC-45Resugar-toPTerm arg-0 arg-1 (IdrisC-45Resugar-startPrec) e-36))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (IdrisC-45Resugar-toPTerm arg-0 arg-1 (IdrisC-45Resugar-startPrec) e-37))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (box (vector 13 e-34 (CoreC-45Name-u--show_Show_Name e-35) e-5 e-6)))))) eff-2))))))))) eff-1)))))))))))) ((8) (let ((e-39 (vector-ref arg-2 1))) (let ((e-40 (vector-ref arg-2 2))) (let ((eff-0 (IdrisC-45Resugar-toPTerm arg-0 arg-1 (IdrisC-45Resugar-startPrec) e-40))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (box (vector 14 e-39 e-5)))))) eff-1)))))))))) ((9) (lambda (eta-0) (vector 1 '()))) ((10) (lambda (eta-0) (vector 1 '()))) (else (let ((e-48 (vector-ref arg-2 1))) (let ((e-49 (vector-ref arg-2 2))) (let ((e-50 (vector-ref arg-2 3))) (lambda (eta-0) (vector 1 (box (vector 16 e-48 e-49 e-50)))))))))))
(define IdrisC-45Resugar-toPData (lambda (arg-0 arg-1 arg-2) (case (vector-ref arg-2 0) ((0) (let ((e-1 (vector-ref arg-2 1))) (let ((e-2 (vector-ref arg-2 2))) (let ((e-3 (vector-ref arg-2 3))) (let ((e-4 (vector-ref arg-2 4))) (let ((e-5 (vector-ref arg-2 5))) (let ((eff-0 (IdrisC-45Resugar-toPTerm arg-0 arg-1 (IdrisC-45Resugar-startPrec) e-3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Core-traverseC-39 (lambda (eta-0) (IdrisC-45Resugar-toPTypeDecl arg-0 arg-1 eta-0)) e-5 '()))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 0 e-1 e-2 e-6 e-4 e-7))))) eff-2))))))))) eff-1))))))))))))) (else (let ((e-7 (vector-ref arg-2 1))) (let ((e-8 (vector-ref arg-2 2))) (let ((e-9 (vector-ref arg-2 3))) (let ((eff-0 (IdrisC-45Resugar-toPTerm arg-0 arg-1 (IdrisC-45Resugar-startPrec) e-9))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 1 e-7 e-8 e-5))))) eff-1))))))))))))))
(define IdrisC-45Resugar-toPClause (lambda (arg-0 arg-1 arg-2) (case (vector-ref arg-2 0) ((0) (let ((e-1 (vector-ref arg-2 1))) (let ((e-2 (vector-ref arg-2 2))) (let ((e-3 (vector-ref arg-2 3))) (let ((eff-0 (IdrisC-45Resugar-toPTerm arg-0 arg-1 (IdrisC-45Resugar-startPrec) e-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (IdrisC-45Resugar-toPTerm arg-0 arg-1 (IdrisC-45Resugar-startPrec) e-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 0 e-1 e-5 e-6 '()))))) eff-2))))))))) eff-1))))))))))) ((1) (let ((e-5 (vector-ref arg-2 1))) (let ((e-6 (vector-ref arg-2 2))) (let ((e-7 (vector-ref arg-2 3))) (let ((e-8 (vector-ref arg-2 4))) (let ((e-9 (vector-ref arg-2 5))) (let ((e-10 (vector-ref arg-2 6))) (let ((e-11 (vector-ref arg-2 7))) (let ((eff-0 (IdrisC-45Resugar-toPTerm arg-0 arg-1 (IdrisC-45Resugar-startPrec) e-6))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-12 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (IdrisC-45Resugar-toPTerm arg-0 arg-1 (IdrisC-45Resugar-startPrec) e-8))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-13 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Core-traverseC-39 (lambda (eta-0) (IdrisC-45Resugar-toPClause arg-0 arg-1 eta-0)) e-11 '()))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-14 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (vector 1 e-5 e-12 (cons (vector e-7 e-13 e-9) '()) e-10 e-14))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))))))) (else (let ((e-13 (vector-ref arg-2 1))) (let ((e-14 (vector-ref arg-2 2))) (let ((eff-0 (IdrisC-45Resugar-toPTerm arg-0 arg-1 (IdrisC-45Resugar-startPrec) e-14))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 2 e-13 e-5))))) eff-1)))))))))))))
(define IdrisC-45Resugar-toCleanPTerm (lambda (arg-0 arg-1 arg-2 arg-3) (let ((eff-0 (IdrisC-45Resugar-toPTerm arg-0 arg-1 arg-2 arg-3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (IdrisC-45Resugar-cleanPTerm arg-0 e-5))) eff-1)))))))))
(define IdrisC-45Resugar-sugarName (lambda (arg-0) (case (vector-ref arg-0 0) ((2) (let ((e-0 (vector-ref arg-0 1))) (string-append "(implicit) " e-0))) ((3) (let ((e-2 (vector-ref arg-0 1))) (IdrisC-45Resugar-sugarName e-2))) ((4) (let ((e-4 (vector-ref arg-0 1))) e-4))(else (CoreC-45Name-u--show_Show_Name arg-0)))))
(define IdrisC-45Resugar-sugarAppM (lambda (arg-0) (case (vector-ref arg-0 0) ((7) (let ((e-1 (vector-ref arg-0 1))) (let ((e-2 (vector-ref arg-0 2))) (let ((e-3 (vector-ref arg-0 3))) (case (vector-ref e-2 0) ((7) (let ((e-6 (vector-ref e-2 2))) (let ((e-7 (vector-ref e-2 3))) (case (vector-ref e-6 0) ((7) (let ((e-10 (vector-ref e-6 2))) (let ((e-11 (vector-ref e-6 3))) (case (vector-ref e-10 0) ((0) (let ((e-17 (vector-ref e-10 2))) (let ((e-19 (vector-ref e-17 1))) (case (vector-ref e-19 0) ((0) (let ((e-22 (vector-ref e-19 2))) (let ((sc5 (CoreC-45Name-nameRoot e-22))) (cond ((equal? sc5 "rangeFromThenTo") (box (vector 46 e-1 (IdrisC-45Resugar-unbracket e-11) (box (IdrisC-45Resugar-unbracket e-7)) (IdrisC-45Resugar-unbracket e-3))))(else '())))))(else (let ((sc4 (IdrisC-45Resugar-extractNat 0 arg-0))) (if (null? sc4) (let ((sc5 (IdrisC-45Resugar-extractInteger arg-0))) (if (null? sc5) (let ((sc6 (IdrisC-45Resugar-extractDouble arg-0))) (if (null? sc6) (case (vector-ref arg-0 0) ((0) (let ((e-8 (vector-ref arg-0 1))) (let ((e-4 (vector-ref arg-0 2))) (let ((e-13 (vector-ref e-4 1))) (case (vector-ref e-13 0) ((0) (let ((e-21 (vector-ref e-13 1))) (let ((e-15 (vector-ref e-13 2))) (let ((sc9 (CoreC-45NameC-45Namespace-u--C-61C-61_Eq_Namespace (CoreC-45NameC-45Namespace-builtinNS) e-21))) (cond ((equal? sc9 1) (let ((sc10 (CoreC-45Name-nameRoot e-15))) (cond ((equal? sc10 "Unit") (box (vector 42 e-8))) ((equal? sc10 "MkUnit") (box (vector 42 e-8)))(else '())))) (else (let ((sc10 (CoreC-45Name-nameRoot e-15))) (cond ((equal? sc10 "Nil") (box (vector 38 e-8 e-8 '()))) ((equal? sc10 "Lin") (box (vector 39 e-8 e-8 '())))(else '())))))))))(else '())))))) ((7) (let ((e-4 (vector-ref arg-0 1))) (let ((e-12 (vector-ref arg-0 2))) (let ((e-8 (vector-ref arg-0 3))) (case (vector-ref e-12 0) ((0) (let ((e-14 (vector-ref e-12 2))) (let ((e-22 (vector-ref e-14 1))) (case (vector-ref e-22 0) ((0) (let ((e-23 (vector-ref e-22 2))) (let ((sc10 (CoreC-45Name-nameRoot e-23))) (cond ((equal? sc10 "rangeFrom") (box (vector 47 e-4 (IdrisC-45Resugar-unbracket e-8) '())))(else '())))))(else '())))))(else '()))))))(else '())) (let ((e-4 (unbox sc6))) (box (vector 15 (IdrisC-45Syntax-getPTermLoc arg-0) (vector 12 e-4)))))) (let ((e-4 (unbox sc5))) (box (vector 15 (IdrisC-45Syntax-getPTermLoc arg-0) (vector 5 e-4)))))) (let ((e-4 (unbox sc4))) (box (vector 15 (IdrisC-45Syntax-getPTermLoc arg-0) (vector 5 e-4)))))))))))(else (let ((sc3 (IdrisC-45Resugar-extractNat 0 arg-0))) (if (null? sc3) (let ((sc4 (IdrisC-45Resugar-extractInteger arg-0))) (if (null? sc4) (let ((sc5 (IdrisC-45Resugar-extractDouble arg-0))) (if (null? sc5) (case (vector-ref arg-0 0) ((0) (let ((e-8 (vector-ref arg-0 1))) (let ((e-4 (vector-ref arg-0 2))) (let ((e-13 (vector-ref e-4 1))) (case (vector-ref e-13 0) ((0) (let ((e-16 (vector-ref e-13 1))) (let ((e-15 (vector-ref e-13 2))) (let ((sc8 (CoreC-45NameC-45Namespace-u--C-61C-61_Eq_Namespace (CoreC-45NameC-45Namespace-builtinNS) e-16))) (cond ((equal? sc8 1) (let ((sc9 (CoreC-45Name-nameRoot e-15))) (cond ((equal? sc9 "Unit") (box (vector 42 e-8))) ((equal? sc9 "MkUnit") (box (vector 42 e-8)))(else '())))) (else (let ((sc9 (CoreC-45Name-nameRoot e-15))) (cond ((equal? sc9 "Nil") (box (vector 38 e-8 e-8 '()))) ((equal? sc9 "Lin") (box (vector 39 e-8 e-8 '())))(else '())))))))))(else '())))))) ((7) (let ((e-4 (vector-ref arg-0 1))) (let ((e-12 (vector-ref arg-0 2))) (let ((e-8 (vector-ref arg-0 3))) (case (vector-ref e-12 0) ((0) (let ((e-14 (vector-ref e-12 2))) (let ((e-16 (vector-ref e-14 1))) (case (vector-ref e-16 0) ((0) (let ((e-19 (vector-ref e-16 2))) (let ((sc9 (CoreC-45Name-nameRoot e-19))) (cond ((equal? sc9 "rangeFrom") (box (vector 47 e-4 (IdrisC-45Resugar-unbracket e-8) '())))(else '())))))(else '())))))(else '()))))))(else '())) (let ((e-4 (unbox sc5))) (box (vector 15 (IdrisC-45Syntax-getPTermLoc arg-0) (vector 12 e-4)))))) (let ((e-4 (unbox sc4))) (box (vector 15 (IdrisC-45Syntax-getPTermLoc arg-0) (vector 5 e-4)))))) (let ((e-4 (unbox sc3))) (box (vector 15 (IdrisC-45Syntax-getPTermLoc arg-0) (vector 5 e-4))))))))))) ((0) (let ((e-13 (vector-ref e-6 1))) (let ((e-14 (vector-ref e-6 2))) (let ((e-24 (vector-ref e-14 1))) (case (vector-ref e-24 0) ((0) (let ((e-26 (vector-ref e-24 1))) (let ((e-27 (vector-ref e-24 2))) (let ((sc4 (CoreC-45NameC-45Namespace-u--C-61C-61_Eq_Namespace (CoreC-45NameC-45Namespace-builtinNS) e-26))) (cond ((equal? sc4 1) (let ((sc5 (CoreC-45Name-nameRoot e-27))) (cond ((equal? sc5 "Pair") (box (vector 40 e-1 (IdrisC-45Resugar-unbracket e-7) (IdrisC-45Resugar-unbracket e-3)))) ((equal? sc5 "MkPair") (box (vector 40 e-1 (IdrisC-45Resugar-unbracket e-7) (IdrisC-45Resugar-unbracket e-3)))) ((equal? sc5 "Equal") (box (vector 31 e-1 (IdrisC-45Resugar-unbracket e-7) (IdrisC-45Resugar-unbracket e-3)))) ((equal? sc5 "===") (box (vector 31 e-1 (IdrisC-45Resugar-unbracket e-7) (IdrisC-45Resugar-unbracket e-3)))) ((equal? sc5 "~=~") (box (vector 31 e-1 (IdrisC-45Resugar-unbracket e-7) (IdrisC-45Resugar-unbracket e-3))))(else '())))) (else (let ((sc5 (CoreC-45NameC-45Namespace-u--C-61C-61_Eq_Namespace (CoreC-45NameC-45Namespace-dpairNS) e-26))) (cond ((equal? sc5 1) (let ((sc6 (CoreC-45Name-nameRoot e-27))) (cond ((equal? sc6 "DPair") (let ((sc7 (IdrisC-45Resugar-unbracket e-3))) (case (vector-ref sc7 0) ((2) (let ((e-4 (vector-ref sc7 4))) (let ((e-8 (vector-ref sc7 6))) (box (vector 41 e-1 e-13 e-4 (IdrisC-45Resugar-unbracket e-7) (IdrisC-45Resugar-unbracket e-8))))))(else '())))) ((equal? sc6 "MkDPair") (box (vector 41 e-1 e-13 (IdrisC-45Resugar-unbracket e-7) (vector 25 e-13) (IdrisC-45Resugar-unbracket e-3))))(else '())))) (else (let ((sc6 (CoreC-45Name-nameRoot e-27))) (cond ((equal? sc6 "::") (let ((sc7 (IdrisC-45Resugar-sugarApp (IdrisC-45Resugar-unbracket e-3)))) (case (vector-ref sc7 0) ((38) (let ((e-9 (vector-ref sc7 1))) (let ((e-8 (vector-ref sc7 2))) (let ((e-4 (vector-ref sc7 3))) (box (vector 38 e-9 e-8 (cons (cons e-13 (IdrisC-45Resugar-unbracketApp e-7)) e-4)))))))(else '())))) ((equal? sc6 ":<") (let ((sc7 (IdrisC-45Resugar-sugarApp (IdrisC-45Resugar-unbracket e-7)))) (case (vector-ref sc7 0) ((39) (let ((e-9 (vector-ref sc7 1))) (let ((e-8 (vector-ref sc7 2))) (let ((e-4 (vector-ref sc7 3))) (box (vector 39 e-9 e-8 (cons e-4 (cons e-13 (IdrisC-45Resugar-unbracketApp e-3)))))))))(else '())))) ((equal? sc6 "rangeFromTo") (box (vector 46 e-1 (IdrisC-45Resugar-unbracket e-7) '() (IdrisC-45Resugar-unbracket e-3)))) ((equal? sc6 "rangeFromThen") (box (vector 47 e-1 (IdrisC-45Resugar-unbracket e-7) (box (IdrisC-45Resugar-unbracket e-3)))))(else '()))))))))))))(else (let ((sc3 (IdrisC-45Resugar-extractNat 0 arg-0))) (if (null? sc3) (let ((sc4 (IdrisC-45Resugar-extractInteger arg-0))) (if (null? sc4) (let ((sc5 (IdrisC-45Resugar-extractDouble arg-0))) (if (null? sc5) (case (vector-ref arg-0 0) ((0) (let ((e-8 (vector-ref arg-0 1))) (let ((e-4 (vector-ref arg-0 2))) (let ((e-10 (vector-ref e-4 1))) (case (vector-ref e-10 0) ((0) (let ((e-15 (vector-ref e-10 1))) (let ((e-12 (vector-ref e-10 2))) (let ((sc8 (CoreC-45NameC-45Namespace-u--C-61C-61_Eq_Namespace (CoreC-45NameC-45Namespace-builtinNS) e-15))) (cond ((equal? sc8 1) (let ((sc9 (CoreC-45Name-nameRoot e-12))) (cond ((equal? sc9 "Unit") (box (vector 42 e-8))) ((equal? sc9 "MkUnit") (box (vector 42 e-8)))(else '())))) (else (let ((sc9 (CoreC-45Name-nameRoot e-12))) (cond ((equal? sc9 "Nil") (box (vector 38 e-8 e-8 '()))) ((equal? sc9 "Lin") (box (vector 39 e-8 e-8 '())))(else '())))))))))(else '())))))) ((7) (let ((e-4 (vector-ref arg-0 1))) (let ((e-9 (vector-ref arg-0 2))) (let ((e-8 (vector-ref arg-0 3))) (case (vector-ref e-9 0) ((0) (let ((e-15 (vector-ref e-9 2))) (let ((e-18 (vector-ref e-15 1))) (case (vector-ref e-18 0) ((0) (let ((e-20 (vector-ref e-18 2))) (let ((sc9 (CoreC-45Name-nameRoot e-20))) (cond ((equal? sc9 "rangeFrom") (box (vector 47 e-4 (IdrisC-45Resugar-unbracket e-8) '())))(else '())))))(else '())))))(else '()))))))(else '())) (let ((e-4 (unbox sc5))) (box (vector 15 (IdrisC-45Syntax-getPTermLoc arg-0) (vector 12 e-4)))))) (let ((e-4 (unbox sc4))) (box (vector 15 (IdrisC-45Syntax-getPTermLoc arg-0) (vector 5 e-4)))))) (let ((e-4 (unbox sc3))) (box (vector 15 (IdrisC-45Syntax-getPTermLoc arg-0) (vector 5 e-4))))))))))))(else (let ((sc2 (IdrisC-45Resugar-extractNat 0 arg-0))) (if (null? sc2) (let ((sc3 (IdrisC-45Resugar-extractInteger arg-0))) (if (null? sc3) (let ((sc4 (IdrisC-45Resugar-extractDouble arg-0))) (if (null? sc4) (case (vector-ref arg-0 0) ((0) (let ((e-8 (vector-ref arg-0 1))) (let ((e-4 (vector-ref arg-0 2))) (let ((e-10 (vector-ref e-4 1))) (case (vector-ref e-10 0) ((0) (let ((e-13 (vector-ref e-10 1))) (let ((e-12 (vector-ref e-10 2))) (let ((sc7 (CoreC-45NameC-45Namespace-u--C-61C-61_Eq_Namespace (CoreC-45NameC-45Namespace-builtinNS) e-13))) (cond ((equal? sc7 1) (let ((sc8 (CoreC-45Name-nameRoot e-12))) (cond ((equal? sc8 "Unit") (box (vector 42 e-8))) ((equal? sc8 "MkUnit") (box (vector 42 e-8)))(else '())))) (else (let ((sc8 (CoreC-45Name-nameRoot e-12))) (cond ((equal? sc8 "Nil") (box (vector 38 e-8 e-8 '()))) ((equal? sc8 "Lin") (box (vector 39 e-8 e-8 '())))(else '())))))))))(else '())))))) ((7) (let ((e-4 (vector-ref arg-0 1))) (let ((e-9 (vector-ref arg-0 2))) (let ((e-8 (vector-ref arg-0 3))) (case (vector-ref e-9 0) ((0) (let ((e-14 (vector-ref e-9 2))) (let ((e-16 (vector-ref e-14 1))) (case (vector-ref e-16 0) ((0) (let ((e-19 (vector-ref e-16 2))) (let ((sc8 (CoreC-45Name-nameRoot e-19))) (cond ((equal? sc8 "rangeFrom") (box (vector 47 e-4 (IdrisC-45Resugar-unbracket e-8) '())))(else '())))))(else '())))))(else '()))))))(else '())) (let ((e-4 (unbox sc4))) (box (vector 15 (IdrisC-45Syntax-getPTermLoc arg-0) (vector 12 e-4)))))) (let ((e-4 (unbox sc3))) (box (vector 15 (IdrisC-45Syntax-getPTermLoc arg-0) (vector 5 e-4)))))) (let ((e-4 (unbox sc2))) (box (vector 15 (IdrisC-45Syntax-getPTermLoc arg-0) (vector 5 e-4)))))))))))(else (let ((sc1 (IdrisC-45Resugar-extractNat 0 arg-0))) (if (null? sc1) (let ((sc2 (IdrisC-45Resugar-extractInteger arg-0))) (if (null? sc2) (let ((sc3 (IdrisC-45Resugar-extractDouble arg-0))) (if (null? sc3) (case (vector-ref arg-0 0) ((0) (let ((e-5 (vector-ref arg-0 1))) (let ((e-4 (vector-ref arg-0 2))) (let ((e-8 (vector-ref e-4 1))) (case (vector-ref e-8 0) ((0) (let ((e-10 (vector-ref e-8 1))) (let ((e-11 (vector-ref e-8 2))) (let ((sc6 (CoreC-45NameC-45Namespace-u--C-61C-61_Eq_Namespace (CoreC-45NameC-45Namespace-builtinNS) e-10))) (cond ((equal? sc6 1) (let ((sc7 (CoreC-45Name-nameRoot e-11))) (cond ((equal? sc7 "Unit") (box (vector 42 e-5))) ((equal? sc7 "MkUnit") (box (vector 42 e-5)))(else '())))) (else (let ((sc7 (CoreC-45Name-nameRoot e-11))) (cond ((equal? sc7 "Nil") (box (vector 38 e-5 e-5 '()))) ((equal? sc7 "Lin") (box (vector 39 e-5 e-5 '())))(else '())))))))))(else '())))))) ((7) (let ((e-4 (vector-ref arg-0 1))) (let ((e-5 (vector-ref arg-0 2))) (let ((e-6 (vector-ref arg-0 3))) (case (vector-ref e-5 0) ((0) (let ((e-14 (vector-ref e-5 2))) (let ((e-16 (vector-ref e-14 1))) (case (vector-ref e-16 0) ((0) (let ((e-19 (vector-ref e-16 2))) (let ((sc7 (CoreC-45Name-nameRoot e-19))) (cond ((equal? sc7 "rangeFrom") (box (vector 47 e-4 (IdrisC-45Resugar-unbracket e-6) '())))(else '())))))(else '())))))(else '()))))))(else '())) (let ((e-4 (unbox sc3))) (box (vector 15 (IdrisC-45Syntax-getPTermLoc arg-0) (vector 12 e-4)))))) (let ((e-4 (unbox sc2))) (box (vector 15 (IdrisC-45Syntax-getPTermLoc arg-0) (vector 5 e-4)))))) (let ((e-4 (unbox sc1))) (box (vector 15 (IdrisC-45Syntax-getPTermLoc arg-0) (vector 5 e-4))))))))))))(else (let ((sc0 (IdrisC-45Resugar-extractNat 0 arg-0))) (if (null? sc0) (let ((sc1 (IdrisC-45Resugar-extractInteger arg-0))) (if (null? sc1) (let ((sc2 (IdrisC-45Resugar-extractDouble arg-0))) (if (null? sc2) (case (vector-ref arg-0 0) ((0) (let ((e-1 (vector-ref arg-0 1))) (let ((e-2 (vector-ref arg-0 2))) (let ((e-8 (vector-ref e-2 1))) (case (vector-ref e-8 0) ((0) (let ((e-10 (vector-ref e-8 1))) (let ((e-11 (vector-ref e-8 2))) (let ((sc5 (CoreC-45NameC-45Namespace-u--C-61C-61_Eq_Namespace (CoreC-45NameC-45Namespace-builtinNS) e-10))) (cond ((equal? sc5 1) (let ((sc6 (CoreC-45Name-nameRoot e-11))) (cond ((equal? sc6 "Unit") (box (vector 42 e-1))) ((equal? sc6 "MkUnit") (box (vector 42 e-1)))(else '())))) (else (let ((sc6 (CoreC-45Name-nameRoot e-11))) (cond ((equal? sc6 "Nil") (box (vector 38 e-1 e-1 '()))) ((equal? sc6 "Lin") (box (vector 39 e-1 e-1 '())))(else '())))))))))(else '())))))) ((7) (let ((e-4 (vector-ref arg-0 1))) (let ((e-5 (vector-ref arg-0 2))) (let ((e-6 (vector-ref arg-0 3))) (case (vector-ref e-5 0) ((0) (let ((e-14 (vector-ref e-5 2))) (let ((e-16 (vector-ref e-14 1))) (case (vector-ref e-16 0) ((0) (let ((e-19 (vector-ref e-16 2))) (let ((sc6 (CoreC-45Name-nameRoot e-19))) (cond ((equal? sc6 "rangeFrom") (box (vector 47 e-4 (IdrisC-45Resugar-unbracket e-6) '())))(else '())))))(else '())))))(else '()))))))(else '())) (let ((e-2 (unbox sc2))) (box (vector 15 (IdrisC-45Syntax-getPTermLoc arg-0) (vector 12 e-2)))))) (let ((e-2 (unbox sc1))) (box (vector 15 (IdrisC-45Syntax-getPTermLoc arg-0) (vector 5 e-2)))))) (let ((e-2 (unbox sc0))) (box (vector 15 (IdrisC-45Syntax-getPTermLoc arg-0) (vector 5 e-2))))))))))
(define IdrisC-45Resugar-sugarApp (lambda (arg-0) (DataC-45Maybe-fromMaybe (lambda () arg-0) (IdrisC-45Resugar-sugarAppM arg-0))))
(define IdrisC-45Resugar-startPrec(blodwen-lazy (lambda () 0)))
(define IdrisC-45Resugar-showImplicits (lambda (arg-0) (let ((eff-0 (CoreC-45Context-getPPrint arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (let ((e-0 (vector-ref e-5 0))) e-0))))) eff-1)))))))))
(define IdrisC-45Resugar-showFullEnv (lambda (arg-0) (let ((eff-0 (CoreC-45Context-getPPrint arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (let ((e-2 (vector-ref e-5 2))) e-2))))) eff-1)))))))))
(define IdrisC-45Resugar-resugarNoPatvars (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (let ((eff-0 (TTImpC-45Unelab-unelabNoPatvars arg-0 arg-1 arg-3 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (IdrisC-45Resugar-toCleanPTerm arg-1 arg-2 (IdrisC-45Resugar-startPrec) e-5))) eff-1)))))))))
(define IdrisC-45Resugar-resugar (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (let ((eff-0 (TTImpC-45Unelab-unelab arg-0 arg-1 arg-3 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (IdrisC-45Resugar-toCleanPTerm arg-1 arg-2 (IdrisC-45Resugar-startPrec) e-5))) eff-1)))))))))
(define IdrisC-45Resugar-pterm (lambda (arg-0 arg-1 arg-2) (IdrisC-45Resugar-toCleanPTerm arg-0 arg-1 (IdrisC-45Resugar-startPrec) arg-2)))
(define IdrisC-45Resugar-mkSectionL (lambda (arg-0 arg-1 arg-2) (case (vector-ref arg-2 0) ((2) (let ((e-1 (vector-ref arg-2 1))) (let ((e-2 (vector-ref arg-2 2))) (let ((e-3 (vector-ref arg-2 3))) (let ((e-4 (vector-ref arg-2 4))) (let ((e-5 (vector-ref arg-2 5))) (let ((e-6 (vector-ref arg-2 6))) (case (vector-ref e-4 0) ((0) (let ((e-8 (vector-ref e-4 1))) (let ((e-9 (vector-ref e-4 2))) (case (vector-ref e-6 0) ((7) (let ((e-11 (vector-ref e-6 1))) (let ((e-12 (vector-ref e-6 2))) (let ((e-13 (vector-ref e-6 3))) (case (vector-ref e-12 0) ((7) (let ((e-15 (vector-ref e-12 1))) (let ((e-16 (vector-ref e-12 2))) (let ((e-17 (vector-ref e-12 3))) (case (vector-ref e-16 0) ((0) (let ((e-19 (vector-ref e-16 1))) (let ((e-20 (vector-ref e-16 2))) (case (vector-ref e-17 0) ((0) (let ((e-22 (vector-ref e-17 1))) (let ((e-23 (vector-ref e-17 2))) (let ((e-24 (vector-ref e-23 0))) (let ((e-25 (vector-ref e-23 1))) (let ((e-26 (vector-ref e-23 2))) (if (null? e-24) (lambda (eta-0) (vector 1 arg-2)) (let ((e-28 (unbox e-24))) (case (vector-ref e-28 0) ((0) (let ((eff-0 (CoreC-45ContextC-45Log-log arg-0 ((csegen-0) "resugar.sectionL") 30 (lambda () (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons ((csegen-0) "SectionL candidate: ") (cons ((csegen-0) (IdrisC-45Syntax-u--show_Show_IPTerm arg-2)) '()))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-7 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((eff-1 (let ((u--tm (vector 2 e-1 e-2 e-3 (vector 0 e-8 e-9) e-5 (vector 7 e-11 (vector 7 e-15 (vector 0 e-19 e-20) (vector 0 e-22 (vector (box (vector 0 )) e-25 e-26))) e-13)))) (let ((sc9 (CoreC-45Name-u--C-61C-61_Eq_Name (let ((e-14 (vector-ref e-9 1))) e-14) e-25))) (cond ((equal? sc9 1) (let ((eff-1 (let ((eff-1 arg-1)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (unbox eff-2))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-10 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-1 1))) (let ((eff-2 (let ((u--n (let ((e-14 (vector-ref e-20 2))) e-14))) (let ((u--asOp (vector 29 e-1 e-19 e-20 (IdrisC-45Resugar-unbracketApp e-13)))) (lambda (clam-0) (let ((sc11 (LibrariesC-45DataC-45StringMap-lookup (Builtin-snd (CoreC-45Name-displayName u--n)) (let ((e-0 (vector-ref e-10 0))) e-0)))) (if (null? sc11) (let ((sc12 (CoreC-45Name-dropNS u--n))) (case (vector-ref sc12 0) ((4) (let ((e-0 (vector-ref sc12 1))) (vector 1 (let ((sc13 (CoreC-45Name-isOpUserName (vector 0 e-0)))) (cond ((equal? sc13 1) u--asOp) (else u--tm))))))(else (vector 1 u--tm)))) (vector 1 u--asOp)))))))) eff-2))))))))(else (lambda (eta-0) (vector 1 u--tm)))))))) eff-1)))))))(else (lambda (eta-0) (vector 1 arg-2))))))))))))(else (lambda (eta-0) (vector 1 arg-2)))))))(else (lambda (eta-0) (vector 1 arg-2))))))))(else (lambda (eta-0) (vector 1 arg-2))))))))(else (lambda (eta-0) (vector 1 arg-2)))))))(else (lambda (eta-0) (vector 1 arg-2)))))))))))(else (lambda (eta-0) (vector 1 arg-2))))))
(define IdrisC-45Resugar-mkOp (lambda (arg-0 arg-1) (case (vector-ref arg-1 0) ((7) (let ((e-1 (vector-ref arg-1 1))) (let ((e-2 (vector-ref arg-1 2))) (let ((e-3 (vector-ref arg-1 3))) (case (vector-ref e-2 0) ((7) (let ((e-5 (vector-ref e-2 1))) (let ((e-6 (vector-ref e-2 2))) (let ((e-7 (vector-ref e-2 3))) (case (vector-ref e-6 0) ((0) (let ((e-12 (vector-ref e-6 1))) (let ((e-13 (vector-ref e-6 2))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-8 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--n (let ((e-4 (vector-ref e-13 2))) e-4))) (let ((u--asOp (vector 27 e-1 e-12 e-13 (IdrisC-45Resugar-unbracketApp e-7) (IdrisC-45Resugar-unbracketApp e-3)))) (let ((u--tm (vector 7 e-1 (vector 7 e-5 (vector 0 e-12 e-13) e-7) e-3))) (lambda (clam-0) (let ((sc4 (LibrariesC-45DataC-45StringMap-lookup (Builtin-snd (CoreC-45Name-displayName u--n)) (let ((e-0 (vector-ref e-8 0))) e-0)))) (if (null? sc4) (let ((sc5 (CoreC-45Name-dropNS u--n))) (case (vector-ref sc5 0) ((4) (let ((e-0 (vector-ref sc5 1))) (vector 1 (let ((sc6 (CoreC-45Name-isOpUserName (vector 0 e-0)))) (cond ((equal? sc6 1) u--asOp) (else u--tm))))))(else (vector 1 u--tm)))) (vector 1 u--asOp))))))))) eff-1))))))))))(else (lambda (eta-0) (vector 1 arg-1)))))))) ((0) (let ((e-9 (vector-ref e-2 1))) (let ((e-10 (vector-ref e-2 2))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--n (let ((e-4 (vector-ref e-10 2))) e-4))) (let ((u--asOp (vector 30 e-1 e-9 (IdrisC-45Resugar-unbracketApp e-3) e-10))) (let ((u--tm (vector 7 e-1 (vector 0 e-9 e-10) e-3))) (lambda (clam-1) (let ((sc3 (LibrariesC-45DataC-45StringMap-lookup (Builtin-snd (CoreC-45Name-displayName u--n)) (let ((e-0 (vector-ref e-5 0))) e-0)))) (if (null? sc3) (let ((sc4 (CoreC-45Name-dropNS u--n))) (case (vector-ref sc4 0) ((4) (let ((e-0 (vector-ref sc4 1))) (vector 1 (let ((sc5 (CoreC-45Name-isOpUserName (vector 0 e-0)))) (cond ((equal? sc5 1) u--asOp) (else u--tm))))))(else (vector 1 u--tm)))) (vector 1 u--asOp))))))))) eff-1))))))))))(else (lambda (eta-0) (vector 1 arg-1))))))))(else (lambda (eta-0) (vector 1 arg-1))))))
(define IdrisC-45Resugar-mkApp (lambda (arg-0 arg-1 arg-2 arg-3) (if (null? arg-3) (lambda (eta-0) (vector 1 arg-2)) (let ((e-2 (car arg-3))) (let ((e-3 (cdr arg-3))) (let ((e-6 (car e-2))) (let ((e-7 (cdr e-2))) (let ((e-10 (car e-7))) (let ((e-11 (cdr e-7))) (if (null? e-10) (let ((u--ap (IdrisC-45Resugar-sugarApp (vector 7 e-6 arg-2 e-11)))) (IdrisC-45Resugar-mkApp arg-0 arg-1 u--ap e-3)) (let ((e-14 (unbox e-10))) (if (null? e-14) (let ((u--ap (IdrisC-45Resugar-sugarApp (vector 10 e-6 arg-2 e-11)))) (IdrisC-45Resugar-mkApp arg-0 arg-1 u--ap e-3)) (let ((e-17 (unbox e-14))) (let ((eff-0 (IdrisC-45Resugar-showImplicits arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (cond ((equal? e-5 1) (let ((u--ap (vector 9 e-6 arg-2 e-17 e-11))) (IdrisC-45Resugar-mkApp arg-0 arg-1 u--ap e-3))) (else (IdrisC-45Resugar-mkApp arg-0 arg-1 arg-2 e-3))))) eff-1))))))))))))))))))))
(define IdrisC-45Resugar-extractNat (lambda (arg-0 arg-1) (case (vector-ref arg-1 0) ((0) (let ((e-2 (vector-ref arg-1 2))) (let ((e-14 (vector-ref e-2 1))) (case (vector-ref e-14 0) ((0) (let ((e-16 (vector-ref e-14 1))) (let ((e-17 (vector-ref e-14 2))) (case (vector-ref e-17 0) ((1) (let ((e-18 (vector-ref e-17 1))) (case (vector-ref e-18 0) ((0) (let ((e-19 (vector-ref e-18 1))) (PreludeC-45Interfaces-C-62C-62 (csegen-614) (PreludeC-45Interfaces-guard (csegen-326) (PreludeC-45EqOrd-u--C-61C-61_Eq_String e-19 ((csegen-0) "Z"))) (lambda () (PreludeC-45Interfaces-C-62C-62 (csegen-614) (PreludeC-45Interfaces-guard (csegen-326) (let ((sc4 (CoreC-45NameC-45Namespace-u--C-61C-61_Eq_Namespace e-16 (CoreC-45NameC-45Namespace-typesNS)))) (cond ((equal? sc4 1) 1) (else (CoreC-45NameC-45Namespace-u--C-61C-61_Eq_Namespace e-16 (CoreC-45NameC-45Namespace-preludeNS)))))) (lambda () (box arg-0)))))))(else '()))))(else '())))))(else '()))))) ((7) (let ((e-5 (vector-ref arg-1 2))) (let ((e-6 (vector-ref arg-1 3))) (case (vector-ref e-5 0) ((0) (let ((e-22 (vector-ref e-5 2))) (let ((e-24 (vector-ref e-22 1))) (case (vector-ref e-24 0) ((0) (let ((e-26 (vector-ref e-24 1))) (let ((e-27 (vector-ref e-24 2))) (case (vector-ref e-27 0) ((1) (let ((e-28 (vector-ref e-27 1))) (case (vector-ref e-28 0) ((0) (let ((e-29 (vector-ref e-28 1))) (cond ((equal? e-29 "S") (PreludeC-45Interfaces-C-62C-62 (csegen-614) (PreludeC-45Interfaces-guard (csegen-326) (let ((sc6 (CoreC-45NameC-45Namespace-u--C-61C-61_Eq_Namespace e-26 (CoreC-45NameC-45Namespace-typesNS)))) (cond ((equal? sc6 1) 1) (else (CoreC-45NameC-45Namespace-u--C-61C-61_Eq_Namespace e-26 (CoreC-45NameC-45Namespace-preludeNS)))))) (lambda () (IdrisC-45Resugar-extractNat (+ arg-0 1) e-6)))) ((equal? e-29 "fromInteger") (IdrisC-45Resugar-extractNat arg-0 e-6))(else '()))))(else '()))))(else '())))))(else '())))))(else '()))))) ((15) (let ((e-9 (vector-ref arg-1 2))) (case (vector-ref e-9 0) ((5) (let ((e-30 (vector-ref e-9 1))) (PreludeC-45Interfaces-C-62C-62 (csegen-614) (PreludeC-45Interfaces-guard (csegen-326) (PreludeC-45EqOrd-u--C-60C-61_Ord_Integer 0 e-30)) (lambda () (box (+ arg-0 (PreludeC-45Types-prim__integerToNat e-30)))))))(else '())))) ((32) (let ((e-12 (vector-ref arg-1 2))) (IdrisC-45Resugar-extractNat arg-0 e-12)))(else '()))))
(define IdrisC-45Resugar-extractInteger (lambda (arg-0) (case (vector-ref arg-0 0) ((7) (let ((e-2 (vector-ref arg-0 2))) (let ((e-3 (vector-ref arg-0 3))) (case (vector-ref e-2 0) ((0) (let ((e-12 (vector-ref e-2 2))) (let ((e-14 (vector-ref e-12 1))) (case (vector-ref e-14 0) ((0) (let ((e-17 (vector-ref e-14 2))) (case (vector-ref e-17 0) ((1) (let ((e-18 (vector-ref e-17 1))) (case (vector-ref e-18 0) ((0) (let ((e-19 (vector-ref e-18 1))) (cond ((equal? e-19 "fromInteger") (IdrisC-45Resugar-extractInteger e-3)) ((equal? e-19 "negate") (PreludeC-45Interfaces-C-60C-36C-62 (csegen-76) (lambda (eta-0) (- 0 eta-0)) (IdrisC-45Resugar-extractInteger e-3)))(else '()))))(else '()))))(else '()))))(else '())))))(else '()))))) ((15) (let ((e-6 (vector-ref arg-0 2))) (case (vector-ref e-6 0) ((5) (let ((e-20 (vector-ref e-6 1))) (box e-20)))(else '())))) ((32) (let ((e-9 (vector-ref arg-0 2))) (IdrisC-45Resugar-extractInteger e-9)))(else '()))))
(define IdrisC-45Resugar-extractDouble (lambda (arg-0) (case (vector-ref arg-0 0) ((7) (let ((e-2 (vector-ref arg-0 2))) (let ((e-3 (vector-ref arg-0 3))) (case (vector-ref e-2 0) ((0) (let ((e-12 (vector-ref e-2 2))) (let ((e-14 (vector-ref e-12 1))) (case (vector-ref e-14 0) ((0) (let ((e-17 (vector-ref e-14 2))) (case (vector-ref e-17 0) ((1) (let ((e-18 (vector-ref e-17 1))) (case (vector-ref e-18 0) ((0) (let ((e-19 (vector-ref e-18 1))) (cond ((equal? e-19 "fromDouble") (IdrisC-45Resugar-extractDouble e-3)) ((equal? e-19 "negate") (PreludeC-45Interfaces-C-60C-36C-62 (csegen-76) (lambda (eta-0) (- eta-0)) (IdrisC-45Resugar-extractDouble e-3)))(else '()))))(else '()))))(else '()))))(else '())))))(else '()))))) ((15) (let ((e-6 (vector-ref arg-0 2))) (case (vector-ref e-6 0) ((12) (let ((e-20 (vector-ref e-6 1))) (box e-20)))(else '())))) ((32) (let ((e-9 (vector-ref arg-0 2))) (IdrisC-45Resugar-extractDouble e-9)))(else '()))))
(define IdrisC-45Resugar-cleanPTerm (lambda (arg-0 arg-1) (let ((eff-0 (CoreC-45Context-getPPrint arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((sc1 (let ((e-1 (vector-ref e-5 1))) e-1))) (cond ((equal? sc1 1) (lambda (eta-0) (vector 1 arg-1))) (else (IdrisC-45SyntaxC-45Traversals-mapPTermM (lambda (eta-0) (IdrisC-45Resugar-n--14867-8882-u--cleanNode arg-1 arg-0 eta-0)) arg-1)))))) eff-1)))))))))
(define IdrisC-45Resugar-bracket (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (let ((eff-0 (IdrisC-45Resugar-mkOp arg-1 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (IdrisC-45Resugar-mkSectionL arg-0 arg-1 e-5))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (clam-0) (let ((sc2 (PreludeC-45Types-u--C-62_Ord_Nat arg-2 arg-3))) (cond ((equal? sc2 1) (vector 1 (IdrisC-45Resugar-addBracket (CoreC-45FC-emptyFC) e-6))) (else (vector 1 e-6))))))) eff-2))))))))) eff-1)))))))))
(define IdrisC-45Resugar-argPrec(blodwen-lazy (lambda () 1000)))
(define IdrisC-45Resugar-appPrec(blodwen-lazy (lambda () 999)))
(define IdrisC-45Resugar-addBracket (lambda (arg-1 arg-2) (let ((sc0 (IdrisC-45Resugar-n--10327-4771-u--needed arg-2 arg-1 arg-2))) (cond ((equal? sc0 1) (vector 32 arg-1 arg-2)) (else arg-2)))))
(define TTImpC-45Utils-case--nameNum-3150 (lambda (arg-0 arg-1) (let ((e-2 (car arg-1))) (let ((e-3 (cdr arg-1))) (cond ((equal? e-2 "") (cons arg-0 '()))(else (let ((sc1 (PreludeC-45Types-fastUnpack e-3))) (if (null? sc1) (cons arg-0 '()) (let ((e-1 (car sc1))) (let ((e-4 (cdr sc1))) (cond ((equal? e-1 #\_) (cons (string-reverse (PreludeC-45Types-fastPack e-4)) (box (cast-string-boundedInt (string-reverse e-2) 63))))(else (cons arg-0 '())))))))))))))
(define TTImpC-45Utils-n--11433-3291-u--usedName (lambda (arg-0 arg-1 arg-2) (let ((eff-0 (CoreC-45Context-lookupTyName (vector 1 (vector 0 arg-0)) (let ((e-0 (vector-ref arg-2 0))) e-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (if (null? e-5) (PreludeC-45Types-elem (csegen-16) (csegen-43) arg-0 arg-1) 1))))) eff-1)))))))))
(define TTImpC-45Utils-n--11699-3568-u--notBound (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (let ((sc0 (PreludeC-45Types-elem (csegen-16) (csegen-1008) (vector 1 (vector 0 arg-7)) arg-3))) (cond ((equal? sc0 1) 0) (else 1)))))
(define TTImpC-45Utils-n--11433-3292-u--next (lambda (arg-0 arg-1 arg-2 ext-0) (TTImpC-45Utils-unNameNum (TTImpC-45Utils-nextNameNum (TTImpC-45Utils-nameNum ext-0)))))
(define TTImpC-45Utils-n--11699-3570-u--namesFor (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (TTImpC-45Utils-n--11699-3567-u--lookupName arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 (LibrariesC-45DataC-45NameMap-toList (let ((e-15 (vector-ref arg-5 15))) e-15)))))
(define TTImpC-45Utils-n--11609-3479-u--mkVarN (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (cond ((equal? arg-6 0) arg-5)(else (string-append arg-5 (PreludeC-45Show-u--show_Show_Int arg-6))))))
(define TTImpC-45Utils-n--11699-3567-u--lookupName (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-8 arg-9) (if (null? arg-9) (lambda (eta-0) (vector 1 '())) (let ((e-2 (car arg-9))) (let ((e-3 (cdr arg-9))) (let ((e-6 (car e-2))) (let ((e-7 (cdr e-2))) (let ((eff-0 (CoreC-45Context-getFullName arg-6 arg-8))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-getFullName arg-6 e-6))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-8 (vector-ref lcase-1 1))) (let ((eff-2 (let ((sc4 (CoreC-45Name-u--C-61C-61_Eq_Name e-5 e-8))) (cond ((equal? sc4 1) (lambda (eta-0) (vector 1 (box e-7)))) (else (TTImpC-45Utils-n--11699-3567-u--lookupName arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-8 e-3)))))) eff-2))))))))) eff-1))))))))))))))
(define TTImpC-45Utils-n--11559-3419-u--go (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (cond ((equal? arg-3 0) (lambda (eta-0) (vector 1 (PreludeC-45TypesC-45List-reverse arg-2))))(else (let ((e-0 (- arg-3 1))) (let ((eff-0 (TTImpC-45Utils-uniqueHoleName arg-1 arg-0 arg-2 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45Utils-n--11559-3419-u--go arg-0 arg-1 (cons e-5 arg-2) e-0 e-5))) eff-1))))))))))))
(define TTImpC-45Utils-n--9275-1657-u--getRawImp (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (case (vector-ref arg-6 0) ((0) (let ((e-2 (vector-ref arg-6 2))) (let ((e-3 (vector-ref arg-6 3))) (cons e-2 (cons e-3 '()))))) ((1) (let ((e-6 (vector-ref arg-6 2))) (let ((e-8 (vector-ref arg-6 4))) (let ((e-11 (vector-ref arg-6 7))) (PreludeC-45Types-listBind e-11 (lambda (bind-0) (PreludeC-45TypesC-45List-tailRecAppend (cons e-8 (cons e-6 '())) (TTImpC-45Utils-n--9275-1657-u--getRawImp arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 bind-0)))))))) (else (let ((e-14 (vector-ref arg-6 2))) (cons e-14 '()))))))
(define TTImpC-45Utils-n--8907-1031-u--getParamTy (lambda (arg-0 arg-4) (let ((e-3 (cdr arg-4))) (let ((e-7 (cdr e-3))) (let ((e-11 (cdr e-7))) e-11)))))
(define TTImpC-45Utils-n--11699-3573-u--getName (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9) (case (vector-ref arg-7 0) ((1) (let ((e-0 (vector-ref arg-7 1))) (case (vector-ref e-0 0) ((0) (let ((e-1 (vector-ref e-0 1))) (let ((u--candidate (let ((sc2 (LibrariesC-45UtilsC-45String-lowerFirst e-1))) (cond ((equal? sc2 1) e-1) (else (DataC-45String-toLower e-1)))))) (TTImpC-45Utils-unique (cons u--candidate arg-8) (cons u--candidate arg-8) 0 arg-9))))(else (TTImpC-45Utils-unique arg-8 arg-8 0 arg-9)))))(else (TTImpC-45Utils-unique arg-8 arg-8 0 arg-9)))))
(define TTImpC-45Utils-n--8907-1032-u--getFromTy (lambda (arg-0 arg-1) (let ((e-4 (vector-ref arg-1 3))) e-4)))
(define TTImpC-45Utils-n--8907-1034-u--getFromPiInfo (lambda (arg-0 arg-1) (case (vector-ref arg-1 0) ((3) (let ((e-1 (vector-ref arg-1 1))) (cons e-1 '())))(else '()))))
(define TTImpC-45Utils-n--8907-1035-u--getFromIField (lambda (arg-0 arg-1) (let ((e-3 (vector-ref arg-1 2))) (let ((e-5 (vector-ref arg-1 4))) (PreludeC-45TypesC-45List-tailRecAppend (TTImpC-45Utils-n--8907-1034-u--getFromPiInfo arg-0 e-3) (cons e-5 '()))))))
(define TTImpC-45Utils-n--8907-1033-u--getFromClause (lambda (arg-0 arg-1) (case (vector-ref arg-1 0) ((0) (let ((e-2 (vector-ref arg-1 2))) (let ((e-3 (vector-ref arg-1 3))) (cons e-2 (cons e-3 '()))))) ((1) (let ((e-6 (vector-ref arg-1 2))) (let ((e-8 (vector-ref arg-1 4))) (let ((e-11 (vector-ref arg-1 7))) (PreludeC-45Types-listBind e-11 (lambda (bind-0) (PreludeC-45TypesC-45List-tailRecAppend (cons e-8 (cons e-6 '())) (TTImpC-45Utils-n--8907-1033-u--getFromClause arg-0 bind-0)))))))) (else (let ((e-14 (vector-ref arg-1 2))) (cons e-14 '()))))))
(define TTImpC-45Utils-n--11699-3571-u--findNamesM (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (case (vector-ref arg-7 0) ((0) (let ((e-3 (vector-ref arg-7 3))) (lambda (clam-0) (case (vector-ref e-3 0) ((2) (vector 1 (box (cons "f" (cons "g" '())))))(else (vector 1 '())))))) ((3) (let ((e-7 (vector-ref arg-7 2))) (let ((e-10 (vector-ref arg-7 5))) (if (null? e-10) (TTImpC-45Utils-n--11699-3570-u--namesFor arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-7) (let ((e-20 (car e-10))) (let ((e-21 (cdr e-10))) (if (null? e-20) (TTImpC-45Utils-n--11699-3570-u--namesFor arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-7) (let ((e-25 (cdr e-20))) (if (null? e-21) (let ((eff-0 (CoreC-45Context-u--full_HasNames_Name (let ((e-0 (vector-ref arg-5 0))) e-0) e-7))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((sc5 (CoreC-45Name-dropNS e-5))) (case (vector-ref sc5 0) ((1) (let ((e-0 (vector-ref sc5 1))) (case (vector-ref e-0 0) ((0) (let ((e-1 (vector-ref e-0 1))) (cond ((equal? e-1 "List") (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-6 arg-0 arg-5 e-25))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-11 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45Utils-n--11699-3571-u--findNamesM arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-11))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-12 (vector-ref lcase-2 1))) (let ((eff-3 (if (null? e-12) (TTImpC-45Utils-n--11699-3570-u--namesFor arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-7) (let ((e-2 (unbox e-12))) (lambda (eta-0) (vector 1 (box (((csegen-25) (lambda (arg-8) (string-append arg-8 "s"))) e-2)))))))) eff-3))))))))) eff-2)))))))) ((equal? e-1 "Maybe") (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-6 arg-0 arg-5 e-25))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-11 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45Utils-n--11699-3571-u--findNamesM arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-11))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-12 (vector-ref lcase-2 1))) (let ((eff-3 (if (null? e-12) (TTImpC-45Utils-n--11699-3570-u--namesFor arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-7) (let ((e-2 (unbox e-12))) (lambda (eta-0) (vector 1 (box (((csegen-25) (lambda (arg-8) (string-append "m" arg-8))) e-2)))))))) eff-3))))))))) eff-2)))))))) ((equal? e-1 "SnocList") (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-6 arg-0 arg-5 e-25))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-11 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45Utils-n--11699-3571-u--findNamesM arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-11))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-12 (vector-ref lcase-2 1))) (let ((eff-3 (if (null? e-12) (TTImpC-45Utils-n--11699-3570-u--namesFor arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-7) (let ((e-2 (unbox e-12))) (lambda (eta-0) (vector 1 (box (((csegen-25) (lambda (arg-8) (string-append "s" arg-8))) e-2)))))))) eff-3))))))))) eff-2))))))))(else (TTImpC-45Utils-n--11699-3570-u--namesFor arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-7)))))(else (TTImpC-45Utils-n--11699-3570-u--namesFor arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-7)))))(else (TTImpC-45Utils-n--11699-3570-u--namesFor arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-7)))))) eff-1))))))) (TTImpC-45Utils-n--11699-3570-u--namesFor arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-7)))))))))) ((8) (let ((e-13 (vector-ref arg-7 2))) (let ((u--defaultPos (box (cons ((csegen-0) "m") (cons ((csegen-0) "n") (cons ((csegen-0) "p") (cons ((csegen-0) "q") '()))))))) (let ((u--defaultInts (box (cons ((csegen-0) "i") (cons ((csegen-0) "j") (cons ((csegen-0) "k") (cons ((csegen-0) "l") '()))))))) (lambda (eta-0) (vector 1 (((csegen-77) (lambda (eta-1) (PreludeC-45TypesC-45List-filterAppend '() (lambda (eta-2) (TTImpC-45Utils-n--11699-3568-u--notBound arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 eta-2)) eta-1))) (case (vector-ref e-13 0) ((13) (let ((e-0 (vector-ref e-13 1))) (cond ((equal? e-0 0) u--defaultInts) ((equal? e-0 1) u--defaultInts) ((equal? e-0 2) u--defaultInts) ((equal? e-0 3) u--defaultInts) ((equal? e-0 4) u--defaultInts) ((equal? e-0 5) u--defaultInts) ((equal? e-0 6) u--defaultPos) ((equal? e-0 7) u--defaultPos) ((equal? e-0 8) u--defaultPos) ((equal? e-0 9) u--defaultPos) ((equal? e-0 10) (box (cons "str" '()))) ((equal? e-0 11) (box (cons "c" (cons "d" '())))) ((equal? e-0 12) (box (cons "dbl" '()))) ((equal? e-0 13) (box (cons "wrld" (cons "w" '()))))(else '()))))(else '())))))))))(else (lambda (eta-0) (vector 1 '()))))))
(define TTImpC-45Utils-n--11699-3572-u--findNames (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (let ((eff-0 (TTImpC-45Utils-n--11699-3571-u--findNamesM arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (PreludeC-45TypesC-45List-filterAppend '() (lambda (eta-1) (TTImpC-45Utils-n--11699-3568-u--notBound arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 eta-1)) (DataC-45Maybe-fromMaybe (lambda () (TTImpC-45Utils-n--11699-3569-u--defaultNames arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6)) e-5)))))) eff-1)))))))))
(define TTImpC-45Utils-n--11699-3569-u--defaultNames (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (cons "x" (cons "y" (cons "z" (cons "w" (cons "v" (cons "s" (cons "t" (cons "u" '()))))))))))
(define TTImpC-45Utils-uniqueHoleNames (lambda (arg-0 arg-1 ext-0 ext-1) (TTImpC-45Utils-n--11559-3419-u--go arg-1 arg-0 '() ext-0 ext-1)))
(define TTImpC-45Utils-uniqueHoleName (lambda (arg-0 arg-1 arg-2 arg-3) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45Utils-uniqueBasicName arg-1 (PreludeC-45TypesC-45List-tailRecAppend arg-2 (let ((e-12 (vector-ref e-5 12))) e-12)) arg-3))) eff-1)))))))))
(define TTImpC-45Utils-uniqueBasicName (lambda (arg-0 arg-1 arg-2) (let ((eff-0 (TTImpC-45Utils-n--11433-3291-u--usedName arg-2 arg-1 arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (cond ((equal? e-5 1) (TTImpC-45Utils-uniqueBasicName arg-0 arg-1 (TTImpC-45Utils-n--11433-3292-u--next arg-2 arg-1 arg-0 arg-2))) (else (lambda (eta-0) (vector 1 arg-2)))))) eff-1)))))))))
(define TTImpC-45Utils-unique (lambda (arg-0 arg-1 arg-2 arg-3) (if (null? arg-0) (TTImpC-45Utils-unique arg-1 arg-1 (bs+ arg-2 1 63) arg-3) (let ((e-2 (car arg-0))) (let ((e-3 (cdr arg-0))) (let ((u--var (TTImpC-45Utils-n--11609-3479-u--mkVarN e-2 e-3 arg-3 arg-2 arg-1 e-2 arg-2))) (let ((sc1 (PreludeC-45Types-elem (csegen-16) (csegen-1008) (vector 1 (vector 0 u--var)) arg-3))) (cond ((equal? sc1 1) (TTImpC-45Utils-unique e-3 arg-1 arg-2 arg-3)) (else u--var)))))))))
(define TTImpC-45Utils-unNameNum (lambda (arg-0) (let ((e-2 (car arg-0))) (let ((e-3 (cdr arg-0))) (if (null? e-3) e-2 (let ((e-6 (unbox e-3))) (PreludeC-45Types-fastConcat (cons e-2 (cons "_" (cons (PreludeC-45Show-u--show_Show_Int e-6) '()))))))))))
(define TTImpC-45Utils-substNamesTyC-39 (lambda (arg-0 arg-1 arg-2 arg-3) (let ((e-1 (vector-ref arg-3 0))) (let ((e-2 (vector-ref arg-3 1))) (let ((e-3 (vector-ref arg-3 2))) (let ((e-4 (vector-ref arg-3 3))) (vector e-1 e-2 e-3 (TTImpC-45Utils-substNamesC-39 arg-0 arg-1 arg-2 e-4))))))))
(define TTImpC-45Utils-substNamesDeclC-39 (lambda (arg-0 arg-1 arg-2 arg-3) (case (vector-ref arg-3 0) ((0) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-3 (vector-ref arg-3 3))) (let ((e-4 (vector-ref arg-3 4))) (let ((e-5 (vector-ref arg-3 5))) (vector 0 e-1 e-2 e-3 e-4 (TTImpC-45Utils-substNamesTyC-39 arg-0 arg-1 arg-2 e-5)))))))) ((2) (let ((e-7 (vector-ref arg-3 1))) (let ((e-8 (vector-ref arg-3 2))) (let ((e-9 (vector-ref arg-3 3))) (vector 2 e-7 e-8 (((csegen-25) (lambda (eta-0) (TTImpC-45Utils-substNamesClauseC-39 arg-0 arg-1 arg-2 eta-0))) e-9)))))) ((1) (let ((e-11 (vector-ref arg-3 1))) (let ((e-12 (vector-ref arg-3 2))) (let ((e-13 (vector-ref arg-3 3))) (let ((e-14 (vector-ref arg-3 4))) (vector 1 e-11 e-12 e-13 (TTImpC-45Utils-substNamesDataC-39 arg-0 arg-1 arg-2 e-14))))))) ((5) (let ((e-16 (vector-ref arg-3 1))) (let ((e-17 (vector-ref arg-3 2))) (let ((e-18 (vector-ref arg-3 3))) (vector 5 e-16 e-17 (((csegen-25) (lambda (eta-0) (TTImpC-45Utils-substNamesDeclC-39 arg-0 arg-1 arg-2 eta-0))) e-18)))))) ((6) (let ((e-20 (vector-ref arg-3 1))) (let ((e-21 (vector-ref arg-3 2))) (let ((e-22 (vector-ref arg-3 3))) (vector 6 e-20 e-21 (((csegen-25) (lambda (eta-0) (TTImpC-45Utils-substNamesDeclC-39 arg-0 arg-1 arg-2 eta-0))) e-22))))))(else arg-3))))
(define TTImpC-45Utils-substNamesDataC-39 (lambda (arg-0 arg-1 arg-2 arg-3) (case (vector-ref arg-3 0) ((0) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-3 (vector-ref arg-3 3))) (let ((e-4 (vector-ref arg-3 4))) (let ((e-5 (vector-ref arg-3 5))) (vector 0 e-1 e-2 (TTImpC-45Utils-substNamesC-39 arg-0 arg-1 arg-2 e-3) e-4 (((csegen-25) (lambda (eta-0) (TTImpC-45Utils-substNamesTyC-39 arg-0 arg-1 arg-2 eta-0))) e-5)))))))) (else (let ((e-7 (vector-ref arg-3 1))) (let ((e-8 (vector-ref arg-3 2))) (let ((e-9 (vector-ref arg-3 3))) (vector 1 e-7 e-8 (TTImpC-45Utils-substNamesC-39 arg-0 arg-1 arg-2 e-9)))))))))
(define TTImpC-45Utils-substNamesClauseC-39 (lambda (arg-0 arg-1 arg-2 arg-3) (case (vector-ref arg-3 0) ((0) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-3 (vector-ref arg-3 3))) (let ((u--boundC-39 (PreludeC-45TypesC-45List-tailRecAppend ((csegen-1034) ((csegen-947) (TTImpC-45Utils-findBindableNames 1 arg-1 '() e-2))) (PreludeC-45TypesC-45List-tailRecAppend (TTImpC-45Utils-findIBindVars e-2) arg-1)))) (vector 0 e-1 (TTImpC-45Utils-substNamesC-39 arg-0 '() '() e-2) (TTImpC-45Utils-substNamesC-39 arg-0 u--boundC-39 arg-2 e-3))))))) ((1) (let ((e-5 (vector-ref arg-3 1))) (let ((e-6 (vector-ref arg-3 2))) (let ((e-7 (vector-ref arg-3 3))) (let ((e-8 (vector-ref arg-3 4))) (let ((e-9 (vector-ref arg-3 5))) (let ((e-10 (vector-ref arg-3 6))) (let ((e-11 (vector-ref arg-3 7))) (let ((u--boundC-39 (PreludeC-45TypesC-45List-tailRecAppend ((csegen-1034) ((csegen-947) (TTImpC-45Utils-findBindableNames 1 arg-1 '() e-6))) (PreludeC-45TypesC-45List-tailRecAppend (TTImpC-45Utils-findIBindVars e-6) arg-1)))) (vector 1 e-5 (TTImpC-45Utils-substNamesC-39 arg-0 '() '() e-6) e-7 (TTImpC-45Utils-substNamesC-39 arg-0 u--boundC-39 arg-2 e-8) e-9 e-10 e-11)))))))))) (else (let ((e-13 (vector-ref arg-3 1))) (let ((e-14 (vector-ref arg-3 2))) (vector 2 e-13 (TTImpC-45Utils-substNamesC-39 arg-0 arg-1 '() e-14))))))))
(define TTImpC-45Utils-substNamesClause (lambda (ext-0 ext-1 ext-2) (TTImpC-45Utils-substNamesClauseC-39 0 ext-0 ext-1 ext-2)))
(define TTImpC-45Utils-substNamesC-39 (lambda (arg-0 arg-1 arg-2 arg-3) (cond ((equal? arg-0 0) (case (vector-ref arg-3 0) ((0) (let ((e-80 (vector-ref arg-3 1))) (let ((e-81 (vector-ref arg-3 2))) (let ((sc2 (PreludeC-45Types-elem (csegen-16) (csegen-1008) e-81 arg-1))) (cond ((equal? sc2 1) (vector 0 e-80 e-81)) (else (let ((sc3 (DataC-45List-lookup (csegen-1008) e-81 arg-2))) (if (null? sc3) (vector 0 e-80 e-81) (let ((e-1 (unbox sc3))) e-1)))))))))(else (case (vector-ref arg-3 0) ((1) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-3 (vector-ref arg-3 3))) (let ((e-4 (vector-ref arg-3 4))) (let ((e-5 (vector-ref arg-3 5))) (let ((e-6 (vector-ref arg-3 6))) (let ((u--boundC-39 (PreludeC-45Types-maybe (lambda () arg-1) (lambda () (lambda (u--n) (cons u--n arg-1))) e-4))) (vector 1 e-1 e-2 e-3 e-4 (TTImpC-45Utils-substNamesC-39 arg-0 arg-1 arg-2 e-5) (TTImpC-45Utils-substNamesC-39 arg-0 u--boundC-39 arg-2 e-6)))))))))) ((2) (let ((e-8 (vector-ref arg-3 1))) (let ((e-9 (vector-ref arg-3 2))) (let ((e-10 (vector-ref arg-3 3))) (let ((e-11 (vector-ref arg-3 4))) (let ((e-12 (vector-ref arg-3 5))) (let ((e-13 (vector-ref arg-3 6))) (let ((u--boundC-39 (PreludeC-45Types-maybe (lambda () arg-1) (lambda () (lambda (u--n) (cons u--n arg-1))) e-11))) (vector 2 e-8 e-9 e-10 e-11 (TTImpC-45Utils-substNamesC-39 arg-0 arg-1 arg-2 e-12) (TTImpC-45Utils-substNamesC-39 arg-0 u--boundC-39 arg-2 e-13)))))))))) ((3) (let ((e-15 (vector-ref arg-3 1))) (let ((e-16 (vector-ref arg-3 2))) (let ((e-17 (vector-ref arg-3 3))) (let ((e-18 (vector-ref arg-3 4))) (let ((e-19 (vector-ref arg-3 5))) (let ((e-20 (vector-ref arg-3 6))) (let ((e-21 (vector-ref arg-3 7))) (let ((u--boundC-39 (cons e-18 arg-1))) (vector 3 e-15 e-16 e-17 e-18 (TTImpC-45Utils-substNamesC-39 arg-0 arg-1 arg-2 e-19) (TTImpC-45Utils-substNamesC-39 arg-0 arg-1 arg-2 e-20) (TTImpC-45Utils-substNamesC-39 arg-0 u--boundC-39 arg-2 e-21))))))))))) ((4) (let ((e-23 (vector-ref arg-3 1))) (let ((e-24 (vector-ref arg-3 2))) (let ((e-25 (vector-ref arg-3 3))) (let ((e-26 (vector-ref arg-3 4))) (vector 4 e-23 (TTImpC-45Utils-substNamesC-39 arg-0 arg-1 arg-2 e-24) (TTImpC-45Utils-substNamesC-39 arg-0 arg-1 arg-2 e-25) (((csegen-25) (lambda (eta-0) (TTImpC-45Utils-substNamesClauseC-39 arg-0 arg-1 arg-2 eta-0))) e-26))))))) ((5) (let ((e-28 (vector-ref arg-3 1))) (let ((e-29 (vector-ref arg-3 2))) (let ((e-30 (vector-ref arg-3 3))) (let ((u--boundC-39 (PreludeC-45TypesC-45List-tailRecAppend (TTImpC-45TTImp-definedInBlock (CoreC-45NameC-45Namespace-emptyNS) e-29) arg-1))) (vector 5 e-28 (((csegen-25) (lambda (eta-0) (TTImpC-45Utils-substNamesDeclC-39 arg-0 arg-1 arg-2 eta-0))) e-29) (TTImpC-45Utils-substNamesC-39 arg-0 u--boundC-39 arg-2 e-30))))))) ((8) (let ((e-32 (vector-ref arg-3 1))) (let ((e-33 (vector-ref arg-3 2))) (let ((e-34 (vector-ref arg-3 3))) (vector 8 e-32 (TTImpC-45Utils-substNamesC-39 arg-0 arg-1 arg-2 e-33) (TTImpC-45Utils-substNamesC-39 arg-0 arg-1 arg-2 e-34)))))) ((10) (let ((e-36 (vector-ref arg-3 1))) (let ((e-37 (vector-ref arg-3 2))) (let ((e-38 (vector-ref arg-3 3))) (let ((e-39 (vector-ref arg-3 4))) (vector 10 e-36 (TTImpC-45Utils-substNamesC-39 arg-0 arg-1 arg-2 e-37) e-38 (TTImpC-45Utils-substNamesC-39 arg-0 arg-1 arg-2 e-39))))))) ((9) (let ((e-41 (vector-ref arg-3 1))) (let ((e-42 (vector-ref arg-3 2))) (let ((e-43 (vector-ref arg-3 3))) (vector 9 e-41 (TTImpC-45Utils-substNamesC-39 arg-0 arg-1 arg-2 e-42) (TTImpC-45Utils-substNamesC-39 arg-0 arg-1 arg-2 e-43)))))) ((11) (let ((e-45 (vector-ref arg-3 1))) (let ((e-46 (vector-ref arg-3 2))) (let ((e-47 (vector-ref arg-3 3))) (vector 11 e-45 (TTImpC-45Utils-substNamesC-39 arg-0 arg-1 arg-2 e-46) (TTImpC-45Utils-substNamesC-39 arg-0 arg-1 arg-2 e-47)))))) ((13) (let ((e-49 (vector-ref arg-3 1))) (let ((e-50 (vector-ref arg-3 2))) (let ((e-51 (vector-ref arg-3 3))) (vector 13 e-49 e-50 (((csegen-25) (lambda (eta-0) (TTImpC-45Utils-substNamesC-39 arg-0 arg-1 arg-2 eta-0))) e-51)))))) ((15) (let ((e-53 (vector-ref arg-3 1))) (let ((e-54 (vector-ref arg-3 2))) (vector 15 e-53 (TTImpC-45Utils-substNamesC-39 arg-0 arg-1 arg-2 e-54))))) ((18) (let ((e-56 (vector-ref arg-3 1))) (let ((e-57 (vector-ref arg-3 2))) (let ((e-58 (vector-ref arg-3 3))) (let ((e-59 (vector-ref arg-3 4))) (let ((e-60 (vector-ref arg-3 5))) (vector 18 e-56 e-57 e-58 e-59 (TTImpC-45Utils-substNamesC-39 arg-0 arg-1 arg-2 e-60)))))))) ((19) (let ((e-62 (vector-ref arg-3 1))) (let ((e-63 (vector-ref arg-3 2))) (let ((e-64 (vector-ref arg-3 3))) (vector 19 e-62 e-63 (TTImpC-45Utils-substNamesC-39 arg-0 arg-1 arg-2 e-64)))))) ((20) (let ((e-66 (vector-ref arg-3 1))) (let ((e-67 (vector-ref arg-3 2))) (let ((e-68 (vector-ref arg-3 3))) (vector 20 e-66 e-67 (TTImpC-45Utils-substNamesC-39 arg-0 arg-1 arg-2 e-68)))))) ((21) (let ((e-70 (vector-ref arg-3 1))) (let ((e-71 (vector-ref arg-3 2))) (vector 21 e-70 (TTImpC-45Utils-substNamesC-39 arg-0 arg-1 arg-2 e-71))))) ((22) (let ((e-73 (vector-ref arg-3 1))) (let ((e-74 (vector-ref arg-3 2))) (vector 22 e-73 (TTImpC-45Utils-substNamesC-39 arg-0 arg-1 arg-2 e-74))))) ((7) (let ((e-76 (vector-ref arg-3 1))) (let ((e-77 (vector-ref arg-3 2))) (let ((e-78 (vector-ref arg-3 3))) (vector 7 e-76 (((csegen-25) (lambda (eta-0) (TTImpC-45TTImp-mapFieldUpdateTerm (lambda (eta-1) (TTImpC-45Utils-substNamesC-39 arg-0 arg-1 arg-2 eta-1)) eta-0))) e-77) (TTImpC-45Utils-substNamesC-39 arg-0 arg-1 arg-2 e-78))))))(else arg-3))))) ((equal? arg-0 1) (case (vector-ref arg-3 0) ((17) (let ((e-83 (vector-ref arg-3 1))) (let ((e-84 (vector-ref arg-3 2))) (let ((sc2 (PreludeC-45Types-elem (csegen-16) (csegen-1008) (vector 1 (vector 0 e-84)) arg-1))) (cond ((equal? sc2 1) (vector 17 e-83 e-84)) (else (let ((sc3 (DataC-45List-lookup (csegen-1008) (vector 1 (vector 0 e-84)) arg-2))) (if (null? sc3) (vector 17 e-83 e-84) (let ((e-1 (unbox sc3))) e-1)))))))))(else (case (vector-ref arg-3 0) ((1) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-3 (vector-ref arg-3 3))) (let ((e-4 (vector-ref arg-3 4))) (let ((e-5 (vector-ref arg-3 5))) (let ((e-6 (vector-ref arg-3 6))) (let ((u--boundC-39 (PreludeC-45Types-maybe (lambda () arg-1) (lambda () (lambda (u--n) (cons u--n arg-1))) e-4))) (vector 1 e-1 e-2 e-3 e-4 (TTImpC-45Utils-substNamesC-39 arg-0 arg-1 arg-2 e-5) (TTImpC-45Utils-substNamesC-39 arg-0 u--boundC-39 arg-2 e-6)))))))))) ((2) (let ((e-8 (vector-ref arg-3 1))) (let ((e-9 (vector-ref arg-3 2))) (let ((e-10 (vector-ref arg-3 3))) (let ((e-11 (vector-ref arg-3 4))) (let ((e-12 (vector-ref arg-3 5))) (let ((e-13 (vector-ref arg-3 6))) (let ((u--boundC-39 (PreludeC-45Types-maybe (lambda () arg-1) (lambda () (lambda (u--n) (cons u--n arg-1))) e-11))) (vector 2 e-8 e-9 e-10 e-11 (TTImpC-45Utils-substNamesC-39 arg-0 arg-1 arg-2 e-12) (TTImpC-45Utils-substNamesC-39 arg-0 u--boundC-39 arg-2 e-13)))))))))) ((3) (let ((e-15 (vector-ref arg-3 1))) (let ((e-16 (vector-ref arg-3 2))) (let ((e-17 (vector-ref arg-3 3))) (let ((e-18 (vector-ref arg-3 4))) (let ((e-19 (vector-ref arg-3 5))) (let ((e-20 (vector-ref arg-3 6))) (let ((e-21 (vector-ref arg-3 7))) (let ((u--boundC-39 (cons e-18 arg-1))) (vector 3 e-15 e-16 e-17 e-18 (TTImpC-45Utils-substNamesC-39 arg-0 arg-1 arg-2 e-19) (TTImpC-45Utils-substNamesC-39 arg-0 arg-1 arg-2 e-20) (TTImpC-45Utils-substNamesC-39 arg-0 u--boundC-39 arg-2 e-21))))))))))) ((4) (let ((e-23 (vector-ref arg-3 1))) (let ((e-24 (vector-ref arg-3 2))) (let ((e-25 (vector-ref arg-3 3))) (let ((e-26 (vector-ref arg-3 4))) (vector 4 e-23 (TTImpC-45Utils-substNamesC-39 arg-0 arg-1 arg-2 e-24) (TTImpC-45Utils-substNamesC-39 arg-0 arg-1 arg-2 e-25) (((csegen-25) (lambda (eta-0) (TTImpC-45Utils-substNamesClauseC-39 arg-0 arg-1 arg-2 eta-0))) e-26))))))) ((5) (let ((e-28 (vector-ref arg-3 1))) (let ((e-29 (vector-ref arg-3 2))) (let ((e-30 (vector-ref arg-3 3))) (let ((u--boundC-39 (PreludeC-45TypesC-45List-tailRecAppend (TTImpC-45TTImp-definedInBlock (CoreC-45NameC-45Namespace-emptyNS) e-29) arg-1))) (vector 5 e-28 (((csegen-25) (lambda (eta-0) (TTImpC-45Utils-substNamesDeclC-39 arg-0 arg-1 arg-2 eta-0))) e-29) (TTImpC-45Utils-substNamesC-39 arg-0 u--boundC-39 arg-2 e-30))))))) ((8) (let ((e-32 (vector-ref arg-3 1))) (let ((e-33 (vector-ref arg-3 2))) (let ((e-34 (vector-ref arg-3 3))) (vector 8 e-32 (TTImpC-45Utils-substNamesC-39 arg-0 arg-1 arg-2 e-33) (TTImpC-45Utils-substNamesC-39 arg-0 arg-1 arg-2 e-34)))))) ((10) (let ((e-36 (vector-ref arg-3 1))) (let ((e-37 (vector-ref arg-3 2))) (let ((e-38 (vector-ref arg-3 3))) (let ((e-39 (vector-ref arg-3 4))) (vector 10 e-36 (TTImpC-45Utils-substNamesC-39 arg-0 arg-1 arg-2 e-37) e-38 (TTImpC-45Utils-substNamesC-39 arg-0 arg-1 arg-2 e-39))))))) ((9) (let ((e-41 (vector-ref arg-3 1))) (let ((e-42 (vector-ref arg-3 2))) (let ((e-43 (vector-ref arg-3 3))) (vector 9 e-41 (TTImpC-45Utils-substNamesC-39 arg-0 arg-1 arg-2 e-42) (TTImpC-45Utils-substNamesC-39 arg-0 arg-1 arg-2 e-43)))))) ((11) (let ((e-45 (vector-ref arg-3 1))) (let ((e-46 (vector-ref arg-3 2))) (let ((e-47 (vector-ref arg-3 3))) (vector 11 e-45 (TTImpC-45Utils-substNamesC-39 arg-0 arg-1 arg-2 e-46) (TTImpC-45Utils-substNamesC-39 arg-0 arg-1 arg-2 e-47)))))) ((13) (let ((e-49 (vector-ref arg-3 1))) (let ((e-50 (vector-ref arg-3 2))) (let ((e-51 (vector-ref arg-3 3))) (vector 13 e-49 e-50 (((csegen-25) (lambda (eta-0) (TTImpC-45Utils-substNamesC-39 arg-0 arg-1 arg-2 eta-0))) e-51)))))) ((15) (let ((e-53 (vector-ref arg-3 1))) (let ((e-54 (vector-ref arg-3 2))) (vector 15 e-53 (TTImpC-45Utils-substNamesC-39 arg-0 arg-1 arg-2 e-54))))) ((18) (let ((e-56 (vector-ref arg-3 1))) (let ((e-57 (vector-ref arg-3 2))) (let ((e-58 (vector-ref arg-3 3))) (let ((e-59 (vector-ref arg-3 4))) (let ((e-60 (vector-ref arg-3 5))) (vector 18 e-56 e-57 e-58 e-59 (TTImpC-45Utils-substNamesC-39 arg-0 arg-1 arg-2 e-60)))))))) ((19) (let ((e-62 (vector-ref arg-3 1))) (let ((e-63 (vector-ref arg-3 2))) (let ((e-64 (vector-ref arg-3 3))) (vector 19 e-62 e-63 (TTImpC-45Utils-substNamesC-39 arg-0 arg-1 arg-2 e-64)))))) ((20) (let ((e-66 (vector-ref arg-3 1))) (let ((e-67 (vector-ref arg-3 2))) (let ((e-68 (vector-ref arg-3 3))) (vector 20 e-66 e-67 (TTImpC-45Utils-substNamesC-39 arg-0 arg-1 arg-2 e-68)))))) ((21) (let ((e-70 (vector-ref arg-3 1))) (let ((e-71 (vector-ref arg-3 2))) (vector 21 e-70 (TTImpC-45Utils-substNamesC-39 arg-0 arg-1 arg-2 e-71))))) ((22) (let ((e-73 (vector-ref arg-3 1))) (let ((e-74 (vector-ref arg-3 2))) (vector 22 e-73 (TTImpC-45Utils-substNamesC-39 arg-0 arg-1 arg-2 e-74))))) ((7) (let ((e-76 (vector-ref arg-3 1))) (let ((e-77 (vector-ref arg-3 2))) (let ((e-78 (vector-ref arg-3 3))) (vector 7 e-76 (((csegen-25) (lambda (eta-0) (TTImpC-45TTImp-mapFieldUpdateTerm (lambda (eta-1) (TTImpC-45Utils-substNamesC-39 arg-0 arg-1 arg-2 eta-1)) eta-0))) e-77) (TTImpC-45Utils-substNamesC-39 arg-0 arg-1 arg-2 e-78))))))(else arg-3)))))(else (case (vector-ref arg-3 0) ((1) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-3 (vector-ref arg-3 3))) (let ((e-4 (vector-ref arg-3 4))) (let ((e-5 (vector-ref arg-3 5))) (let ((e-6 (vector-ref arg-3 6))) (let ((u--boundC-39 (PreludeC-45Types-maybe (lambda () arg-1) (lambda () (lambda (u--n) (cons u--n arg-1))) e-4))) (vector 1 e-1 e-2 e-3 e-4 (TTImpC-45Utils-substNamesC-39 arg-0 arg-1 arg-2 e-5) (TTImpC-45Utils-substNamesC-39 arg-0 u--boundC-39 arg-2 e-6)))))))))) ((2) (let ((e-8 (vector-ref arg-3 1))) (let ((e-9 (vector-ref arg-3 2))) (let ((e-10 (vector-ref arg-3 3))) (let ((e-11 (vector-ref arg-3 4))) (let ((e-12 (vector-ref arg-3 5))) (let ((e-13 (vector-ref arg-3 6))) (let ((u--boundC-39 (PreludeC-45Types-maybe (lambda () arg-1) (lambda () (lambda (u--n) (cons u--n arg-1))) e-11))) (vector 2 e-8 e-9 e-10 e-11 (TTImpC-45Utils-substNamesC-39 arg-0 arg-1 arg-2 e-12) (TTImpC-45Utils-substNamesC-39 arg-0 u--boundC-39 arg-2 e-13)))))))))) ((3) (let ((e-15 (vector-ref arg-3 1))) (let ((e-16 (vector-ref arg-3 2))) (let ((e-17 (vector-ref arg-3 3))) (let ((e-18 (vector-ref arg-3 4))) (let ((e-19 (vector-ref arg-3 5))) (let ((e-20 (vector-ref arg-3 6))) (let ((e-21 (vector-ref arg-3 7))) (let ((u--boundC-39 (cons e-18 arg-1))) (vector 3 e-15 e-16 e-17 e-18 (TTImpC-45Utils-substNamesC-39 arg-0 arg-1 arg-2 e-19) (TTImpC-45Utils-substNamesC-39 arg-0 arg-1 arg-2 e-20) (TTImpC-45Utils-substNamesC-39 arg-0 u--boundC-39 arg-2 e-21))))))))))) ((4) (let ((e-23 (vector-ref arg-3 1))) (let ((e-24 (vector-ref arg-3 2))) (let ((e-25 (vector-ref arg-3 3))) (let ((e-26 (vector-ref arg-3 4))) (vector 4 e-23 (TTImpC-45Utils-substNamesC-39 arg-0 arg-1 arg-2 e-24) (TTImpC-45Utils-substNamesC-39 arg-0 arg-1 arg-2 e-25) (((csegen-25) (lambda (eta-0) (TTImpC-45Utils-substNamesClauseC-39 arg-0 arg-1 arg-2 eta-0))) e-26))))))) ((5) (let ((e-28 (vector-ref arg-3 1))) (let ((e-29 (vector-ref arg-3 2))) (let ((e-30 (vector-ref arg-3 3))) (let ((u--boundC-39 (PreludeC-45TypesC-45List-tailRecAppend (TTImpC-45TTImp-definedInBlock (CoreC-45NameC-45Namespace-emptyNS) e-29) arg-1))) (vector 5 e-28 (((csegen-25) (lambda (eta-0) (TTImpC-45Utils-substNamesDeclC-39 arg-0 arg-1 arg-2 eta-0))) e-29) (TTImpC-45Utils-substNamesC-39 arg-0 u--boundC-39 arg-2 e-30))))))) ((8) (let ((e-32 (vector-ref arg-3 1))) (let ((e-33 (vector-ref arg-3 2))) (let ((e-34 (vector-ref arg-3 3))) (vector 8 e-32 (TTImpC-45Utils-substNamesC-39 arg-0 arg-1 arg-2 e-33) (TTImpC-45Utils-substNamesC-39 arg-0 arg-1 arg-2 e-34)))))) ((10) (let ((e-36 (vector-ref arg-3 1))) (let ((e-37 (vector-ref arg-3 2))) (let ((e-38 (vector-ref arg-3 3))) (let ((e-39 (vector-ref arg-3 4))) (vector 10 e-36 (TTImpC-45Utils-substNamesC-39 arg-0 arg-1 arg-2 e-37) e-38 (TTImpC-45Utils-substNamesC-39 arg-0 arg-1 arg-2 e-39))))))) ((9) (let ((e-41 (vector-ref arg-3 1))) (let ((e-42 (vector-ref arg-3 2))) (let ((e-43 (vector-ref arg-3 3))) (vector 9 e-41 (TTImpC-45Utils-substNamesC-39 arg-0 arg-1 arg-2 e-42) (TTImpC-45Utils-substNamesC-39 arg-0 arg-1 arg-2 e-43)))))) ((11) (let ((e-45 (vector-ref arg-3 1))) (let ((e-46 (vector-ref arg-3 2))) (let ((e-47 (vector-ref arg-3 3))) (vector 11 e-45 (TTImpC-45Utils-substNamesC-39 arg-0 arg-1 arg-2 e-46) (TTImpC-45Utils-substNamesC-39 arg-0 arg-1 arg-2 e-47)))))) ((13) (let ((e-49 (vector-ref arg-3 1))) (let ((e-50 (vector-ref arg-3 2))) (let ((e-51 (vector-ref arg-3 3))) (vector 13 e-49 e-50 (((csegen-25) (lambda (eta-0) (TTImpC-45Utils-substNamesC-39 arg-0 arg-1 arg-2 eta-0))) e-51)))))) ((15) (let ((e-53 (vector-ref arg-3 1))) (let ((e-54 (vector-ref arg-3 2))) (vector 15 e-53 (TTImpC-45Utils-substNamesC-39 arg-0 arg-1 arg-2 e-54))))) ((18) (let ((e-56 (vector-ref arg-3 1))) (let ((e-57 (vector-ref arg-3 2))) (let ((e-58 (vector-ref arg-3 3))) (let ((e-59 (vector-ref arg-3 4))) (let ((e-60 (vector-ref arg-3 5))) (vector 18 e-56 e-57 e-58 e-59 (TTImpC-45Utils-substNamesC-39 arg-0 arg-1 arg-2 e-60)))))))) ((19) (let ((e-62 (vector-ref arg-3 1))) (let ((e-63 (vector-ref arg-3 2))) (let ((e-64 (vector-ref arg-3 3))) (vector 19 e-62 e-63 (TTImpC-45Utils-substNamesC-39 arg-0 arg-1 arg-2 e-64)))))) ((20) (let ((e-66 (vector-ref arg-3 1))) (let ((e-67 (vector-ref arg-3 2))) (let ((e-68 (vector-ref arg-3 3))) (vector 20 e-66 e-67 (TTImpC-45Utils-substNamesC-39 arg-0 arg-1 arg-2 e-68)))))) ((21) (let ((e-70 (vector-ref arg-3 1))) (let ((e-71 (vector-ref arg-3 2))) (vector 21 e-70 (TTImpC-45Utils-substNamesC-39 arg-0 arg-1 arg-2 e-71))))) ((22) (let ((e-73 (vector-ref arg-3 1))) (let ((e-74 (vector-ref arg-3 2))) (vector 22 e-73 (TTImpC-45Utils-substNamesC-39 arg-0 arg-1 arg-2 e-74))))) ((7) (let ((e-76 (vector-ref arg-3 1))) (let ((e-77 (vector-ref arg-3 2))) (let ((e-78 (vector-ref arg-3 3))) (vector 7 e-76 (((csegen-25) (lambda (eta-0) (TTImpC-45TTImp-mapFieldUpdateTerm (lambda (eta-1) (TTImpC-45Utils-substNamesC-39 arg-0 arg-1 arg-2 eta-1)) eta-0))) e-77) (TTImpC-45Utils-substNamesC-39 arg-0 arg-1 arg-2 e-78))))))(else arg-3))))))
(define TTImpC-45Utils-substNames (lambda (ext-0 ext-1 ext-2) (TTImpC-45Utils-substNamesC-39 0 ext-0 ext-1 ext-2)))
(define TTImpC-45Utils-substLocTy (lambda (arg-0 arg-1) (let ((e-3 (vector-ref arg-1 2))) (let ((e-4 (vector-ref arg-1 3))) (vector arg-0 arg-0 e-3 (TTImpC-45Utils-substLoc arg-0 e-4))))))
(define TTImpC-45Utils-substLocDecl (lambda (arg-0 arg-1) (case (vector-ref arg-1 0) ((0) (let ((e-2 (vector-ref arg-1 2))) (let ((e-3 (vector-ref arg-1 3))) (let ((e-4 (vector-ref arg-1 4))) (let ((e-5 (vector-ref arg-1 5))) (vector 0 arg-0 e-2 e-3 e-4 (TTImpC-45Utils-substLocTy arg-0 e-5))))))) ((2) (let ((e-8 (vector-ref arg-1 2))) (let ((e-9 (vector-ref arg-1 3))) (vector 2 arg-0 e-8 (((csegen-25) (lambda (eta-0) (TTImpC-45Utils-substLocClause arg-0 eta-0))) e-9))))) ((1) (let ((e-12 (vector-ref arg-1 2))) (let ((e-13 (vector-ref arg-1 3))) (let ((e-14 (vector-ref arg-1 4))) (vector 1 arg-0 e-12 e-13 (TTImpC-45Utils-substLocData arg-0 e-14)))))) ((5) (let ((e-17 (vector-ref arg-1 2))) (let ((e-18 (vector-ref arg-1 3))) (vector 5 arg-0 e-17 (((csegen-25) (lambda (eta-0) (TTImpC-45Utils-substLocDecl arg-0 eta-0))) e-18))))) ((6) (let ((e-21 (vector-ref arg-1 2))) (let ((e-22 (vector-ref arg-1 3))) (vector 6 arg-0 e-21 (((csegen-25) (lambda (eta-0) (TTImpC-45Utils-substLocDecl arg-0 eta-0))) e-22)))))(else arg-1))))
(define TTImpC-45Utils-substLocData (lambda (arg-0 arg-1) (case (vector-ref arg-1 0) ((0) (let ((e-2 (vector-ref arg-1 2))) (let ((e-3 (vector-ref arg-1 3))) (let ((e-4 (vector-ref arg-1 4))) (let ((e-5 (vector-ref arg-1 5))) (vector 0 arg-0 e-2 (TTImpC-45Utils-substLoc arg-0 e-3) e-4 (((csegen-25) (lambda (eta-0) (TTImpC-45Utils-substLocTy arg-0 eta-0))) e-5))))))) (else (let ((e-8 (vector-ref arg-1 2))) (let ((e-9 (vector-ref arg-1 3))) (vector 1 arg-0 e-8 (TTImpC-45Utils-substLoc arg-0 e-9))))))))
(define TTImpC-45Utils-substLocClause (lambda (arg-0 arg-1) (case (vector-ref arg-1 0) ((0) (let ((e-2 (vector-ref arg-1 2))) (let ((e-3 (vector-ref arg-1 3))) (vector 0 arg-0 (TTImpC-45Utils-substLoc arg-0 e-2) (TTImpC-45Utils-substLoc arg-0 e-3))))) ((1) (let ((e-6 (vector-ref arg-1 2))) (let ((e-7 (vector-ref arg-1 3))) (let ((e-8 (vector-ref arg-1 4))) (let ((e-9 (vector-ref arg-1 5))) (let ((e-10 (vector-ref arg-1 6))) (let ((e-11 (vector-ref arg-1 7))) (vector 1 arg-0 (TTImpC-45Utils-substLoc arg-0 e-6) e-7 (TTImpC-45Utils-substLoc arg-0 e-8) e-9 e-10 (((csegen-25) (lambda (eta-0) (TTImpC-45Utils-substLocClause arg-0 eta-0))) e-11))))))))) (else (let ((e-14 (vector-ref arg-1 2))) (vector 2 arg-0 (TTImpC-45Utils-substLoc arg-0 e-14)))))))
(define TTImpC-45Utils-substLoc (lambda (arg-0 arg-1) (case (vector-ref arg-1 0) ((0) (let ((e-2 (vector-ref arg-1 2))) (vector 0 arg-0 e-2))) ((1) (let ((e-5 (vector-ref arg-1 2))) (let ((e-6 (vector-ref arg-1 3))) (let ((e-7 (vector-ref arg-1 4))) (let ((e-8 (vector-ref arg-1 5))) (let ((e-9 (vector-ref arg-1 6))) (vector 1 arg-0 e-5 e-6 e-7 (TTImpC-45Utils-substLoc arg-0 e-8) (TTImpC-45Utils-substLoc arg-0 e-9)))))))) ((2) (let ((e-12 (vector-ref arg-1 2))) (let ((e-13 (vector-ref arg-1 3))) (let ((e-14 (vector-ref arg-1 4))) (let ((e-15 (vector-ref arg-1 5))) (let ((e-16 (vector-ref arg-1 6))) (vector 2 arg-0 e-12 e-13 e-14 (TTImpC-45Utils-substLoc arg-0 e-15) (TTImpC-45Utils-substLoc arg-0 e-16)))))))) ((3) (let ((e-20 (vector-ref arg-1 3))) (let ((e-21 (vector-ref arg-1 4))) (let ((e-22 (vector-ref arg-1 5))) (let ((e-23 (vector-ref arg-1 6))) (let ((e-24 (vector-ref arg-1 7))) (vector 3 arg-0 arg-0 e-20 e-21 (TTImpC-45Utils-substLoc arg-0 e-22) (TTImpC-45Utils-substLoc arg-0 e-23) (TTImpC-45Utils-substLoc arg-0 e-24)))))))) ((4) (let ((e-27 (vector-ref arg-1 2))) (let ((e-28 (vector-ref arg-1 3))) (let ((e-29 (vector-ref arg-1 4))) (vector 4 arg-0 (TTImpC-45Utils-substLoc arg-0 e-27) (TTImpC-45Utils-substLoc arg-0 e-28) (((csegen-25) (lambda (eta-0) (TTImpC-45Utils-substLocClause arg-0 eta-0))) e-29)))))) ((5) (let ((e-32 (vector-ref arg-1 2))) (let ((e-33 (vector-ref arg-1 3))) (vector 5 arg-0 (((csegen-25) (lambda (eta-0) (TTImpC-45Utils-substLocDecl arg-0 eta-0))) e-32) (TTImpC-45Utils-substLoc arg-0 e-33))))) ((8) (let ((e-36 (vector-ref arg-1 2))) (let ((e-37 (vector-ref arg-1 3))) (vector 8 arg-0 (TTImpC-45Utils-substLoc arg-0 e-36) (TTImpC-45Utils-substLoc arg-0 e-37))))) ((10) (let ((e-40 (vector-ref arg-1 2))) (let ((e-41 (vector-ref arg-1 3))) (let ((e-42 (vector-ref arg-1 4))) (vector 10 arg-0 (TTImpC-45Utils-substLoc arg-0 e-40) e-41 (TTImpC-45Utils-substLoc arg-0 e-42)))))) ((9) (let ((e-45 (vector-ref arg-1 2))) (let ((e-46 (vector-ref arg-1 3))) (vector 9 arg-0 (TTImpC-45Utils-substLoc arg-0 e-45) (TTImpC-45Utils-substLoc arg-0 e-46))))) ((11) (let ((e-49 (vector-ref arg-1 2))) (let ((e-50 (vector-ref arg-1 3))) (vector 11 arg-0 (TTImpC-45Utils-substLoc arg-0 e-49) (TTImpC-45Utils-substLoc arg-0 e-50))))) ((13) (let ((e-53 (vector-ref arg-1 2))) (let ((e-54 (vector-ref arg-1 3))) (vector 13 arg-0 e-53 (((csegen-25) (lambda (eta-0) (TTImpC-45Utils-substLoc arg-0 eta-0))) e-54))))) ((15) (let ((e-57 (vector-ref arg-1 2))) (vector 15 arg-0 (TTImpC-45Utils-substLoc arg-0 e-57)))) ((18) (let ((e-61 (vector-ref arg-1 3))) (let ((e-62 (vector-ref arg-1 4))) (let ((e-63 (vector-ref arg-1 5))) (vector 18 arg-0 arg-0 e-61 e-62 (TTImpC-45Utils-substLoc arg-0 e-63)))))) ((19) (let ((e-66 (vector-ref arg-1 2))) (let ((e-67 (vector-ref arg-1 3))) (vector 19 arg-0 e-66 (TTImpC-45Utils-substLoc arg-0 e-67))))) ((20) (let ((e-70 (vector-ref arg-1 2))) (let ((e-71 (vector-ref arg-1 3))) (vector 20 arg-0 e-70 (TTImpC-45Utils-substLoc arg-0 e-71))))) ((21) (let ((e-74 (vector-ref arg-1 2))) (vector 21 arg-0 (TTImpC-45Utils-substLoc arg-0 e-74)))) ((22) (let ((e-77 (vector-ref arg-1 2))) (vector 22 arg-0 (TTImpC-45Utils-substLoc arg-0 e-77)))) ((7) (let ((e-80 (vector-ref arg-1 2))) (let ((e-81 (vector-ref arg-1 3))) (vector 7 arg-0 (((csegen-25) (lambda (eta-0) (TTImpC-45TTImp-mapFieldUpdateTerm (lambda (eta-1) (TTImpC-45Utils-substLoc arg-0 eta-1)) eta-0))) e-80) (TTImpC-45Utils-substLoc arg-0 e-81)))))(else arg-1))))
(define TTImpC-45Utils-substBindVars (lambda (ext-0 ext-1 ext-2) (TTImpC-45Utils-substNamesC-39 1 ext-0 ext-1 ext-2)))
(define TTImpC-45Utils-rawImpFromDecl (lambda (arg-0) (case (vector-ref arg-0 0) ((0) (let ((e-5 (vector-ref arg-0 5))) (cons (TTImpC-45Utils-n--8907-1032-u--getFromTy arg-0 e-5) '()))) ((1) (let ((e-10 (vector-ref arg-0 4))) (case (vector-ref e-10 0) ((0) (let ((e-54 (vector-ref e-10 3))) (let ((e-56 (vector-ref e-10 5))) (cons e-54 (((csegen-25) (lambda (eta-0) (TTImpC-45Utils-n--8907-1032-u--getFromTy arg-0 eta-0))) e-56))))) (else (let ((e-60 (vector-ref e-10 3))) (cons e-60 '())))))) ((2) (let ((e-14 (vector-ref arg-0 3))) (PreludeC-45Types-listBind e-14 (lambda (bind-0) (TTImpC-45Utils-n--8907-1033-u--getFromClause arg-0 bind-0))))) ((3) (let ((e-17 (vector-ref arg-0 2))) (let ((e-18 (vector-ref arg-0 3))) (PreludeC-45Types-listBind e-18 (lambda (bind-0) (PreludeC-45TypesC-45List-tailRecAppend (TTImpC-45Utils-rawImpFromDecl bind-0) (((csegen-25) (lambda (eta-0) (TTImpC-45Utils-n--8907-1031-u--getParamTy arg-0 eta-0))) e-17))))))) ((4) (let ((e-20 (vector-ref arg-0 1))) (let ((e-21 (vector-ref arg-0 2))) (let ((e-22 (vector-ref arg-0 3))) (let ((e-23 (vector-ref arg-0 4))) (let ((e-24 (vector-ref arg-0 5))) (let ((e-62 (vector-ref e-24 0))) (let ((e-63 (vector-ref e-24 1))) (let ((e-64 (vector-ref e-24 2))) (let ((e-65 (vector-ref e-24 3))) (let ((e-66 (vector-ref e-24 4))) (let ((e-67 (vector-ref e-24 5))) (PreludeC-45Types-listBind ((csegen-2673) e-64) (lambda (_-0) (let ((u--decl (vector 4 e-20 e-21 e-22 e-23 (vector e-62 e-63 e-64 e-65 e-66 e-67)))) (let ((e-2 (car _-0))) (let ((e-3 (cdr _-0))) (PreludeC-45Types-listBind e-67 (lambda (bind-0) (PreludeC-45TypesC-45List-tailRecAppend (TTImpC-45Utils-n--8907-1034-u--getFromPiInfo u--decl e-2) (PreludeC-45TypesC-45List-tailRecAppend (cons e-3 '()) (TTImpC-45Utils-n--8907-1035-u--getFromIField u--decl bind-0)))))))))))))))))))))) ((5) (let ((e-28 (vector-ref arg-0 3))) (PreludeC-45Types-listBind e-28 (lambda (bind-0) (TTImpC-45Utils-rawImpFromDecl bind-0))))) ((6) (let ((e-32 (vector-ref arg-0 3))) (PreludeC-45Types-listBind e-32 (lambda (bind-0) (TTImpC-45Utils-rawImpFromDecl bind-0))))) ((7) (let ((e-36 (vector-ref arg-0 3))) (let ((e-37 (vector-ref arg-0 4))) (cons e-36 (cons e-37 '()))))) ((8) '()) ((9) '()) ((10) '()) (else '()))))
(define TTImpC-45Utils-nextNameNum (lambda (arg-0) (let ((e-2 (car arg-0))) (let ((e-3 (cdr arg-0))) (cons e-2 (box (PreludeC-45Types-maybe (lambda () (blodwen-toSignedInt 0 63)) (lambda () (lambda (arg-1) (bs+ (blodwen-toSignedInt 1 63) arg-1 63))) e-3)))))))
(define TTImpC-45Utils-nameNum (lambda (arg-0) (TTImpC-45Utils-case--nameNum-3150 arg-0 (DataC-45String-span (lambda (eta-0) (PreludeC-45Types-isDigit eta-0)) (string-reverse arg-0)))))
(define TTImpC-45Utils-getArgNames (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (case (vector-ref arg-6 0) ((0) (let ((e-1 (vector-ref arg-6 1))) (let ((e-2 (vector-ref arg-6 2))) (let ((e-3 (vector-ref arg-6 3))) (let ((e-4 (vector-ref arg-6 4))) (case (vector-ref e-3 0) ((2) (let ((e-8 (vector-ref e-3 3))) (let ((e-9 (vector-ref e-3 4))) (let ((eff-0 (case (vector-ref e-8 0) ((1) (let ((eff-0 (CoreC-45NormaliseC-45Eval-evalClosure arg-1 arg-0 arg-2 e-9))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (TTImpC-45Utils-getArgName arg-0 arg-1 arg-2 e-2 arg-3 arg-4 e-5))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-10 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (cons e-10 '()))))) eff-2))))))))) eff-1))))))))(else (lambda (eta-0) (vector 1 '())))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((e-4 arg-2) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) arg-5 (vector 10 e-1 (vector 0 )))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-10 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45Utils-getArgNames arg-0 arg-1 arg-2 arg-3 (PreludeC-45TypesC-45List-tailRecAppend ((csegen-1034) e-5) arg-4) arg-5 e-10))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-11 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (PreludeC-45TypesC-45List-tailRecAppend e-5 e-11))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))(else (lambda (eta-0) (vector 1 '())))))))))(else (lambda (eta-0) (vector 1 '()))))))
(define TTImpC-45Utils-getArgName (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (let ((eff-0 (TTImpC-45Utils-n--11699-3572-u--findNames arg-0 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 arg-6))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (TTImpC-45Utils-n--11699-3573-u--getName arg-0 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 arg-3 e-5 arg-5))))) eff-1)))))))))
(define TTImpC-45Utils-genUniqueStr (lambda (arg-0 arg-1) (let ((sc0 (PreludeC-45Types-elem (csegen-16) (csegen-43) arg-1 arg-0))) (cond ((equal? sc0 1) (TTImpC-45Utils-genUniqueStr arg-0 (string-append arg-1 "'"))) (else arg-1)))))
(define TTImpC-45Utils-findUniqueBindableNames (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (let ((u--assoc (DataC-45List-nub (csegen-3249) (TTImpC-45Utils-findBindableNames arg-2 arg-3 arg-4 arg-5)))) (let ((eff-0 (let ((eff-0 (CoreC-45Context-getSession arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((sc1 (let ((e-19 (vector-ref e-5 19))) e-19))) (cond ((equal? sc1 1) (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (unbox eff-2))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((u--ctxt (let ((e-0 (vector-ref e-6 0))) e-0))) (let ((eff-2 (let ((eff-2 (PreludeC-45Basics-flip (csegen-1569) u--assoc (lambda (lamc-0) (let ((e-2 (car lamc-0))) (let ((eff-2 (CoreC-45Context-lookupCtxtName (vector 1 (vector 0 e-2)) u--ctxt))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((u--ns (PreludeC-45Basics-flip (csegen-2086) e-7 (lambda (lamc-1) (let ((e-8 (car lamc-1))) (let ((e-4 (cdr lamc-1))) (let ((e-9 (cdr e-4))) (let ((e-17 (vector-ref e-9 17))) (case (vector-ref e-17 0) ((7) '())(else (box e-8))))))))))) (lambda (eta-0) (vector 1 (PreludeC-45Interfaces-C-60C-36C-62 (csegen-76) (lambda (eta-1) (cons e-2 eta-1)) (DataC-45List1-fromList u--ns))))))) eff-3)))))))))))) (((csegen-50) ((let ((eff-3 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-7 (vector-ref eta-3 1))) (vector 1 (eta-2 e-7))))))))))) (lambda (arg-6) (lambda (arg-7) ((((eff-3 'erased) 'erased) arg-6) arg-7)))) (lambda (eta-0) (DataC-45List-catMaybes eta-0)))) eff-2)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((sc4 (DataC-45List1-fromList e-7))) (if (null? sc4) (lambda (eta-0) (vector 1 (vector 0 ))) (let ((e-1 (unbox sc4))) (CoreC-45Context-recordWarning arg-0 (vector 2 arg-1 e-1))))))) eff-3)))))))))) eff-2)))))))) (else (lambda (eta-0) (vector 1 (vector 0 )))))))) eff-1))))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (lambda (eta-0) (vector 1 u--assoc)))) eff-1)))))))))
(define TTImpC-45Utils-findIBindVars (lambda (arg-0) (case (vector-ref arg-0 0) ((1) (let ((e-5 (vector-ref arg-0 5))) (let ((e-6 (vector-ref arg-0 6))) (PreludeC-45TypesC-45List-tailRecAppend (TTImpC-45Utils-findIBindVars e-5) (TTImpC-45Utils-findIBindVars e-6))))) ((2) (let ((e-12 (vector-ref arg-0 5))) (let ((e-13 (vector-ref arg-0 6))) (PreludeC-45TypesC-45List-tailRecAppend (TTImpC-45Utils-findIBindVars e-12) (TTImpC-45Utils-findIBindVars e-13))))) ((8) (let ((e-16 (vector-ref arg-0 2))) (let ((e-17 (vector-ref arg-0 3))) (PreludeC-45TypesC-45List-tailRecAppend (TTImpC-45Utils-findIBindVars e-16) (TTImpC-45Utils-findIBindVars e-17))))) ((10) (let ((e-20 (vector-ref arg-0 2))) (let ((e-22 (vector-ref arg-0 4))) (PreludeC-45TypesC-45List-tailRecAppend (TTImpC-45Utils-findIBindVars e-20) (TTImpC-45Utils-findIBindVars e-22))))) ((9) (let ((e-25 (vector-ref arg-0 2))) (let ((e-26 (vector-ref arg-0 3))) (PreludeC-45TypesC-45List-tailRecAppend (TTImpC-45Utils-findIBindVars e-25) (TTImpC-45Utils-findIBindVars e-26))))) ((11) (let ((e-29 (vector-ref arg-0 2))) (let ((e-30 (vector-ref arg-0 3))) (PreludeC-45TypesC-45List-tailRecAppend (TTImpC-45Utils-findIBindVars e-29) (TTImpC-45Utils-findIBindVars e-30))))) ((17) (let ((e-33 (vector-ref arg-0 2))) (cons (vector 1 (vector 0 e-33)) '()))) ((20) (let ((e-37 (vector-ref arg-0 3))) (TTImpC-45Utils-findIBindVars e-37))) ((21) (let ((e-40 (vector-ref arg-0 2))) (TTImpC-45Utils-findIBindVars e-40))) ((22) (let ((e-43 (vector-ref arg-0 2))) (TTImpC-45Utils-findIBindVars e-43))) ((13) (let ((e-47 (vector-ref arg-0 3))) (PreludeC-45Interfaces-concatMap (csegen-83) (csegen-16) (lambda (eta-0) (TTImpC-45Utils-findIBindVars eta-0)) e-47))) ((7) (let ((e-50 (vector-ref arg-0 2))) (let ((e-51 (vector-ref arg-0 3))) (PreludeC-45TypesC-45List-tailRecAppend (TTImpC-45Utils-findIBindVars e-51) (PreludeC-45Interfaces-concatMap (csegen-83) (csegen-16) (lambda (eta-0) (TTImpC-45Utils-findIBindVars (TTImpC-45TTImp-getFieldUpdateTerm eta-0))) e-50)))))(else '()))))
(define TTImpC-45Utils-findBindableNamesQuot (lambda (arg-0 arg-1 arg-2) (case (vector-ref arg-2 0) ((1) (let ((e-5 (vector-ref arg-2 5))) (let ((e-6 (vector-ref arg-2 6))) (PreludeC-45Types-listBind (cons e-5 (cons e-6 '())) (lambda (bind-0) (TTImpC-45Utils-findBindableNamesQuot arg-0 arg-1 bind-0)))))) ((2) (let ((e-12 (vector-ref arg-2 5))) (let ((e-13 (vector-ref arg-2 6))) (PreludeC-45Types-listBind (cons e-12 (cons e-13 '())) (lambda (bind-0) (TTImpC-45Utils-findBindableNamesQuot arg-0 arg-1 bind-0)))))) ((3) (let ((e-19 (vector-ref arg-2 5))) (let ((e-20 (vector-ref arg-2 6))) (let ((e-21 (vector-ref arg-2 7))) (PreludeC-45Types-listBind (cons e-19 (cons e-20 (cons e-21 '()))) (lambda (bind-0) (TTImpC-45Utils-findBindableNamesQuot arg-0 arg-1 bind-0))))))) ((4) (let ((e-23 (vector-ref arg-2 1))) (let ((e-24 (vector-ref arg-2 2))) (let ((e-25 (vector-ref arg-2 3))) (let ((e-26 (vector-ref arg-2 4))) (PreludeC-45Types-listBind e-26 (lambda (bind-0) (PreludeC-45Types-listBind (PreludeC-45TypesC-45List-tailRecAppend (cons e-24 (cons e-25 '())) (TTImpC-45Utils-n--9275-1657-u--getRawImp e-26 e-25 e-24 e-23 arg-1 arg-0 bind-0)) (lambda (bind-1) (TTImpC-45Utils-findBindableNamesQuot arg-0 arg-1 bind-1)))))))))) ((5) (let ((e-29 (vector-ref arg-2 2))) (let ((e-30 (vector-ref arg-2 3))) (PreludeC-45Types-listBind e-29 (lambda (bind-0) (PreludeC-45Types-listBind (cons e-30 (TTImpC-45Utils-rawImpFromDecl bind-0)) (lambda (bind-1) (TTImpC-45Utils-findBindableNamesQuot arg-0 arg-1 bind-1)))))))) ((6) (let ((e-36 (vector-ref arg-2 5))) (TTImpC-45Utils-findBindableNamesQuot arg-0 arg-1 e-36))) ((8) (let ((e-39 (vector-ref arg-2 2))) (let ((e-40 (vector-ref arg-2 3))) (PreludeC-45Types-listBind (cons e-39 (cons e-40 '())) (lambda (bind-0) (TTImpC-45Utils-findBindableNamesQuot arg-0 arg-1 bind-0)))))) ((10) (let ((e-43 (vector-ref arg-2 2))) (let ((e-45 (vector-ref arg-2 4))) (PreludeC-45Types-listBind (cons e-43 (cons e-45 '())) (lambda (bind-0) (TTImpC-45Utils-findBindableNamesQuot arg-0 arg-1 bind-0)))))) ((9) (let ((e-48 (vector-ref arg-2 2))) (let ((e-49 (vector-ref arg-2 3))) (PreludeC-45Types-listBind (cons e-48 (cons e-49 '())) (lambda (bind-0) (TTImpC-45Utils-findBindableNamesQuot arg-0 arg-1 bind-0)))))) ((11) (let ((e-52 (vector-ref arg-2 2))) (let ((e-53 (vector-ref arg-2 3))) (PreludeC-45Types-listBind (cons e-52 (cons e-53 '())) (lambda (bind-0) (TTImpC-45Utils-findBindableNamesQuot arg-0 arg-1 bind-0)))))) ((14) (let ((e-56 (vector-ref arg-2 2))) (let ((e-57 (vector-ref arg-2 3))) (PreludeC-45Types-listBind (cons e-56 (cons e-57 '())) (lambda (bind-0) (TTImpC-45Utils-findBindableNamesQuot arg-0 arg-1 bind-0)))))) ((15) (let ((e-60 (vector-ref arg-2 2))) (TTImpC-45Utils-findBindableNamesQuot arg-0 arg-1 e-60))) ((16) (let ((e-64 (vector-ref arg-2 3))) (TTImpC-45Utils-findBindableNamesQuot arg-0 arg-1 e-64))) ((7) (let ((e-67 (vector-ref arg-2 2))) (let ((e-68 (vector-ref arg-2 3))) (PreludeC-45Types-listBind (cons e-68 (((csegen-25) (lambda (eta-0) (TTImpC-45TTImp-getFieldUpdateTerm eta-0))) e-67)) (lambda (bind-0) (TTImpC-45Utils-findBindableNamesQuot arg-0 arg-1 bind-0)))))) ((18) (let ((e-74 (vector-ref arg-2 5))) (TTImpC-45Utils-findBindableNamesQuot arg-0 arg-1 e-74))) ((20) (let ((e-78 (vector-ref arg-2 3))) (TTImpC-45Utils-findBindableNamesQuot arg-0 arg-1 e-78))) ((21) (let ((e-81 (vector-ref arg-2 2))) (TTImpC-45Utils-findBindableNamesQuot arg-0 arg-1 e-81))) ((22) (let ((e-84 (vector-ref arg-2 2))) (TTImpC-45Utils-findBindableNamesQuot arg-0 arg-1 e-84))) ((26) (let ((e-87 (vector-ref arg-2 2))) (TTImpC-45Utils-findBindableNames 1 arg-0 arg-1 e-87))) ((33) (let ((e-91 (vector-ref arg-2 3))) (TTImpC-45Utils-findBindableNamesQuot arg-0 arg-1 e-91))) ((0) '()) ((12) '()) ((13) '()) ((17) '()) ((28) '()) ((29) '()) ((30) '()) ((32) '()) ((19) (let ((e-119 (vector-ref arg-2 3))) (TTImpC-45Utils-findBindableNamesQuot arg-0 arg-1 e-119))) ((31) (let ((e-123 (vector-ref arg-2 3))) (TTImpC-45Utils-findBindableNamesQuot arg-0 arg-1 e-123))) ((23) '()) ((24) '()) ((25) '()) (else '()))))
(define TTImpC-45Utils-findBindableNames (lambda (arg-0 arg-1 arg-2 arg-3) (cond ((equal? arg-0 1) (case (vector-ref arg-3 0) ((0) (let ((e-69 (vector-ref arg-3 2))) (case (vector-ref e-69 0) ((1) (let ((e-70 (vector-ref e-69 1))) (case (vector-ref e-70 0) ((0) (let ((e-71 (vector-ref e-70 1))) (let ((u--nm (vector 1 (vector 0 e-71)))) (let ((sc4 (let ((sc5 (PreludeC-45Types-elem (csegen-16) (csegen-1008) u--nm arg-1))) (cond ((equal? sc5 1) 0) (else (LibrariesC-45UtilsC-45String-lowerFirst e-71)))))) (cond ((equal? sc4 1) (cons (cons e-71 (TTImpC-45Utils-genUniqueStr arg-2 e-71)) '())) (else '()))))))(else (case (vector-ref arg-3 0) ((1) (let ((e-4 (vector-ref arg-3 4))) (let ((e-5 (vector-ref arg-3 5))) (let ((e-6 (vector-ref arg-3 6))) (let ((u--envC-39 (if (null? e-4) arg-1 (let ((e-7 (unbox e-4))) (cons e-7 arg-1))))) (PreludeC-45TypesC-45List-tailRecAppend (TTImpC-45Utils-findBindableNames 1 arg-1 arg-2 e-5) (TTImpC-45Utils-findBindableNames 1 u--envC-39 arg-2 e-6))))))) ((2) (let ((e-11 (vector-ref arg-3 4))) (let ((e-12 (vector-ref arg-3 5))) (let ((e-13 (vector-ref arg-3 6))) (let ((u--envC-39 (if (null? e-11) arg-1 (let ((e-2 (unbox e-11))) (cons e-2 arg-1))))) (PreludeC-45TypesC-45List-tailRecAppend (TTImpC-45Utils-findBindableNames 1 arg-1 arg-2 e-12) (TTImpC-45Utils-findBindableNames 1 u--envC-39 arg-2 e-13))))))) ((8) (let ((e-16 (vector-ref arg-3 2))) (let ((e-17 (vector-ref arg-3 3))) (PreludeC-45TypesC-45List-tailRecAppend (TTImpC-45Utils-findBindableNames 0 arg-1 arg-2 e-16) (TTImpC-45Utils-findBindableNames 1 arg-1 arg-2 e-17))))) ((10) (let ((e-20 (vector-ref arg-3 2))) (let ((e-22 (vector-ref arg-3 4))) (PreludeC-45TypesC-45List-tailRecAppend (TTImpC-45Utils-findBindableNames 0 arg-1 arg-2 e-20) (TTImpC-45Utils-findBindableNames 1 arg-1 arg-2 e-22))))) ((9) (let ((e-25 (vector-ref arg-3 2))) (let ((e-26 (vector-ref arg-3 3))) (PreludeC-45TypesC-45List-tailRecAppend (TTImpC-45Utils-findBindableNames 0 arg-1 arg-2 e-25) (TTImpC-45Utils-findBindableNames 1 arg-1 arg-2 e-26))))) ((11) (let ((e-29 (vector-ref arg-3 2))) (let ((e-30 (vector-ref arg-3 3))) (PreludeC-45TypesC-45List-tailRecAppend (TTImpC-45Utils-findBindableNames 0 arg-1 arg-2 e-29) (TTImpC-45Utils-findBindableNames 1 arg-1 arg-2 e-30))))) ((18) (let ((e-35 (vector-ref arg-3 4))) (let ((e-36 (vector-ref arg-3 5))) (case (vector-ref e-35 0) ((1) (let ((e-65 (vector-ref e-35 1))) (case (vector-ref e-65 0) ((0) (let ((e-66 (vector-ref e-65 1))) (cons (cons e-66 (TTImpC-45Utils-genUniqueStr arg-2 e-66)) (TTImpC-45Utils-findBindableNames arg-0 arg-1 arg-2 e-36))))(else (TTImpC-45Utils-findBindableNames arg-0 arg-1 arg-2 e-36)))))(else (TTImpC-45Utils-findBindableNames arg-0 arg-1 arg-2 e-36)))))) ((19) (let ((e-40 (vector-ref arg-3 3))) (TTImpC-45Utils-findBindableNames arg-0 arg-1 arg-2 e-40))) ((20) (let ((e-44 (vector-ref arg-3 3))) (TTImpC-45Utils-findBindableNames arg-0 arg-1 arg-2 e-44))) ((21) (let ((e-47 (vector-ref arg-3 2))) (TTImpC-45Utils-findBindableNames arg-0 arg-1 arg-2 e-47))) ((22) (let ((e-50 (vector-ref arg-3 2))) (TTImpC-45Utils-findBindableNames arg-0 arg-1 arg-2 e-50))) ((23) (let ((e-53 (vector-ref arg-3 2))) (TTImpC-45Utils-findBindableNamesQuot arg-1 arg-2 e-53))) ((25) (let ((e-56 (vector-ref arg-3 2))) (PreludeC-45Types-listBind e-56 (lambda (bind-0) (PreludeC-45Types-listBind (TTImpC-45Utils-rawImpFromDecl bind-0) (lambda (bind-1) (TTImpC-45Utils-findBindableNamesQuot arg-1 arg-2 bind-1))))))) ((13) (let ((e-60 (vector-ref arg-3 3))) (PreludeC-45Interfaces-concatMap (csegen-83) (csegen-16) (lambda (eta-0) (TTImpC-45Utils-findBindableNames arg-0 arg-1 arg-2 eta-0)) e-60))) ((7) (let ((e-63 (vector-ref arg-3 2))) (let ((e-64 (vector-ref arg-3 3))) (PreludeC-45TypesC-45List-tailRecAppend (TTImpC-45Utils-findBindableNames 1 arg-1 arg-2 e-64) (PreludeC-45Interfaces-concatMap (csegen-83) (csegen-16) (lambda (eta-0) (TTImpC-45Utils-findBindableNames 1 arg-1 arg-2 (TTImpC-45TTImp-getFieldUpdateTerm eta-0))) e-63)))))(else '()))))))(else (case (vector-ref arg-3 0) ((1) (let ((e-4 (vector-ref arg-3 4))) (let ((e-5 (vector-ref arg-3 5))) (let ((e-6 (vector-ref arg-3 6))) (let ((u--envC-39 (if (null? e-4) arg-1 (let ((e-7 (unbox e-4))) (cons e-7 arg-1))))) (PreludeC-45TypesC-45List-tailRecAppend (TTImpC-45Utils-findBindableNames 1 arg-1 arg-2 e-5) (TTImpC-45Utils-findBindableNames 1 u--envC-39 arg-2 e-6))))))) ((2) (let ((e-11 (vector-ref arg-3 4))) (let ((e-12 (vector-ref arg-3 5))) (let ((e-13 (vector-ref arg-3 6))) (let ((u--envC-39 (if (null? e-11) arg-1 (let ((e-2 (unbox e-11))) (cons e-2 arg-1))))) (PreludeC-45TypesC-45List-tailRecAppend (TTImpC-45Utils-findBindableNames 1 arg-1 arg-2 e-12) (TTImpC-45Utils-findBindableNames 1 u--envC-39 arg-2 e-13))))))) ((8) (let ((e-16 (vector-ref arg-3 2))) (let ((e-17 (vector-ref arg-3 3))) (PreludeC-45TypesC-45List-tailRecAppend (TTImpC-45Utils-findBindableNames 0 arg-1 arg-2 e-16) (TTImpC-45Utils-findBindableNames 1 arg-1 arg-2 e-17))))) ((10) (let ((e-20 (vector-ref arg-3 2))) (let ((e-22 (vector-ref arg-3 4))) (PreludeC-45TypesC-45List-tailRecAppend (TTImpC-45Utils-findBindableNames 0 arg-1 arg-2 e-20) (TTImpC-45Utils-findBindableNames 1 arg-1 arg-2 e-22))))) ((9) (let ((e-25 (vector-ref arg-3 2))) (let ((e-26 (vector-ref arg-3 3))) (PreludeC-45TypesC-45List-tailRecAppend (TTImpC-45Utils-findBindableNames 0 arg-1 arg-2 e-25) (TTImpC-45Utils-findBindableNames 1 arg-1 arg-2 e-26))))) ((11) (let ((e-29 (vector-ref arg-3 2))) (let ((e-30 (vector-ref arg-3 3))) (PreludeC-45TypesC-45List-tailRecAppend (TTImpC-45Utils-findBindableNames 0 arg-1 arg-2 e-29) (TTImpC-45Utils-findBindableNames 1 arg-1 arg-2 e-30))))) ((18) (let ((e-35 (vector-ref arg-3 4))) (let ((e-36 (vector-ref arg-3 5))) (case (vector-ref e-35 0) ((1) (let ((e-65 (vector-ref e-35 1))) (case (vector-ref e-65 0) ((0) (let ((e-66 (vector-ref e-65 1))) (cons (cons e-66 (TTImpC-45Utils-genUniqueStr arg-2 e-66)) (TTImpC-45Utils-findBindableNames arg-0 arg-1 arg-2 e-36))))(else (TTImpC-45Utils-findBindableNames arg-0 arg-1 arg-2 e-36)))))(else (TTImpC-45Utils-findBindableNames arg-0 arg-1 arg-2 e-36)))))) ((19) (let ((e-40 (vector-ref arg-3 3))) (TTImpC-45Utils-findBindableNames arg-0 arg-1 arg-2 e-40))) ((20) (let ((e-44 (vector-ref arg-3 3))) (TTImpC-45Utils-findBindableNames arg-0 arg-1 arg-2 e-44))) ((21) (let ((e-47 (vector-ref arg-3 2))) (TTImpC-45Utils-findBindableNames arg-0 arg-1 arg-2 e-47))) ((22) (let ((e-50 (vector-ref arg-3 2))) (TTImpC-45Utils-findBindableNames arg-0 arg-1 arg-2 e-50))) ((23) (let ((e-53 (vector-ref arg-3 2))) (TTImpC-45Utils-findBindableNamesQuot arg-1 arg-2 e-53))) ((25) (let ((e-56 (vector-ref arg-3 2))) (PreludeC-45Types-listBind e-56 (lambda (bind-0) (PreludeC-45Types-listBind (TTImpC-45Utils-rawImpFromDecl bind-0) (lambda (bind-1) (TTImpC-45Utils-findBindableNamesQuot arg-1 arg-2 bind-1))))))) ((13) (let ((e-60 (vector-ref arg-3 3))) (PreludeC-45Interfaces-concatMap (csegen-83) (csegen-16) (lambda (eta-0) (TTImpC-45Utils-findBindableNames arg-0 arg-1 arg-2 eta-0)) e-60))) ((7) (let ((e-63 (vector-ref arg-3 2))) (let ((e-64 (vector-ref arg-3 3))) (PreludeC-45TypesC-45List-tailRecAppend (TTImpC-45Utils-findBindableNames 1 arg-1 arg-2 e-64) (PreludeC-45Interfaces-concatMap (csegen-83) (csegen-16) (lambda (eta-0) (TTImpC-45Utils-findBindableNames 1 arg-1 arg-2 (TTImpC-45TTImp-getFieldUpdateTerm eta-0))) e-63)))))(else '()))))))(else (case (vector-ref arg-3 0) ((1) (let ((e-4 (vector-ref arg-3 4))) (let ((e-5 (vector-ref arg-3 5))) (let ((e-6 (vector-ref arg-3 6))) (let ((u--envC-39 (if (null? e-4) arg-1 (let ((e-7 (unbox e-4))) (cons e-7 arg-1))))) (PreludeC-45TypesC-45List-tailRecAppend (TTImpC-45Utils-findBindableNames 1 arg-1 arg-2 e-5) (TTImpC-45Utils-findBindableNames 1 u--envC-39 arg-2 e-6))))))) ((2) (let ((e-11 (vector-ref arg-3 4))) (let ((e-12 (vector-ref arg-3 5))) (let ((e-13 (vector-ref arg-3 6))) (let ((u--envC-39 (if (null? e-11) arg-1 (let ((e-2 (unbox e-11))) (cons e-2 arg-1))))) (PreludeC-45TypesC-45List-tailRecAppend (TTImpC-45Utils-findBindableNames 1 arg-1 arg-2 e-12) (TTImpC-45Utils-findBindableNames 1 u--envC-39 arg-2 e-13))))))) ((8) (let ((e-16 (vector-ref arg-3 2))) (let ((e-17 (vector-ref arg-3 3))) (PreludeC-45TypesC-45List-tailRecAppend (TTImpC-45Utils-findBindableNames 0 arg-1 arg-2 e-16) (TTImpC-45Utils-findBindableNames 1 arg-1 arg-2 e-17))))) ((10) (let ((e-20 (vector-ref arg-3 2))) (let ((e-22 (vector-ref arg-3 4))) (PreludeC-45TypesC-45List-tailRecAppend (TTImpC-45Utils-findBindableNames 0 arg-1 arg-2 e-20) (TTImpC-45Utils-findBindableNames 1 arg-1 arg-2 e-22))))) ((9) (let ((e-25 (vector-ref arg-3 2))) (let ((e-26 (vector-ref arg-3 3))) (PreludeC-45TypesC-45List-tailRecAppend (TTImpC-45Utils-findBindableNames 0 arg-1 arg-2 e-25) (TTImpC-45Utils-findBindableNames 1 arg-1 arg-2 e-26))))) ((11) (let ((e-29 (vector-ref arg-3 2))) (let ((e-30 (vector-ref arg-3 3))) (PreludeC-45TypesC-45List-tailRecAppend (TTImpC-45Utils-findBindableNames 0 arg-1 arg-2 e-29) (TTImpC-45Utils-findBindableNames 1 arg-1 arg-2 e-30))))) ((18) (let ((e-35 (vector-ref arg-3 4))) (let ((e-36 (vector-ref arg-3 5))) (case (vector-ref e-35 0) ((1) (let ((e-65 (vector-ref e-35 1))) (case (vector-ref e-65 0) ((0) (let ((e-66 (vector-ref e-65 1))) (cons (cons e-66 (TTImpC-45Utils-genUniqueStr arg-2 e-66)) (TTImpC-45Utils-findBindableNames arg-0 arg-1 arg-2 e-36))))(else (TTImpC-45Utils-findBindableNames arg-0 arg-1 arg-2 e-36)))))(else (TTImpC-45Utils-findBindableNames arg-0 arg-1 arg-2 e-36)))))) ((19) (let ((e-40 (vector-ref arg-3 3))) (TTImpC-45Utils-findBindableNames arg-0 arg-1 arg-2 e-40))) ((20) (let ((e-44 (vector-ref arg-3 3))) (TTImpC-45Utils-findBindableNames arg-0 arg-1 arg-2 e-44))) ((21) (let ((e-47 (vector-ref arg-3 2))) (TTImpC-45Utils-findBindableNames arg-0 arg-1 arg-2 e-47))) ((22) (let ((e-50 (vector-ref arg-3 2))) (TTImpC-45Utils-findBindableNames arg-0 arg-1 arg-2 e-50))) ((23) (let ((e-53 (vector-ref arg-3 2))) (TTImpC-45Utils-findBindableNamesQuot arg-1 arg-2 e-53))) ((25) (let ((e-56 (vector-ref arg-3 2))) (PreludeC-45Types-listBind e-56 (lambda (bind-0) (PreludeC-45Types-listBind (TTImpC-45Utils-rawImpFromDecl bind-0) (lambda (bind-1) (TTImpC-45Utils-findBindableNamesQuot arg-1 arg-2 bind-1))))))) ((13) (let ((e-60 (vector-ref arg-3 3))) (PreludeC-45Interfaces-concatMap (csegen-83) (csegen-16) (lambda (eta-0) (TTImpC-45Utils-findBindableNames arg-0 arg-1 arg-2 eta-0)) e-60))) ((7) (let ((e-63 (vector-ref arg-3 2))) (let ((e-64 (vector-ref arg-3 3))) (PreludeC-45TypesC-45List-tailRecAppend (TTImpC-45Utils-findBindableNames 1 arg-1 arg-2 e-64) (PreludeC-45Interfaces-concatMap (csegen-83) (csegen-16) (lambda (eta-0) (TTImpC-45Utils-findBindableNames 1 arg-1 arg-2 (TTImpC-45TTImp-getFieldUpdateTerm eta-0))) e-63)))))(else '())))))(else (case (vector-ref arg-3 0) ((1) (let ((e-4 (vector-ref arg-3 4))) (let ((e-5 (vector-ref arg-3 5))) (let ((e-6 (vector-ref arg-3 6))) (let ((u--envC-39 (if (null? e-4) arg-1 (let ((e-7 (unbox e-4))) (cons e-7 arg-1))))) (PreludeC-45TypesC-45List-tailRecAppend (TTImpC-45Utils-findBindableNames 1 arg-1 arg-2 e-5) (TTImpC-45Utils-findBindableNames 1 u--envC-39 arg-2 e-6))))))) ((2) (let ((e-11 (vector-ref arg-3 4))) (let ((e-12 (vector-ref arg-3 5))) (let ((e-13 (vector-ref arg-3 6))) (let ((u--envC-39 (if (null? e-11) arg-1 (let ((e-2 (unbox e-11))) (cons e-2 arg-1))))) (PreludeC-45TypesC-45List-tailRecAppend (TTImpC-45Utils-findBindableNames 1 arg-1 arg-2 e-12) (TTImpC-45Utils-findBindableNames 1 u--envC-39 arg-2 e-13))))))) ((8) (let ((e-16 (vector-ref arg-3 2))) (let ((e-17 (vector-ref arg-3 3))) (PreludeC-45TypesC-45List-tailRecAppend (TTImpC-45Utils-findBindableNames 0 arg-1 arg-2 e-16) (TTImpC-45Utils-findBindableNames 1 arg-1 arg-2 e-17))))) ((10) (let ((e-20 (vector-ref arg-3 2))) (let ((e-22 (vector-ref arg-3 4))) (PreludeC-45TypesC-45List-tailRecAppend (TTImpC-45Utils-findBindableNames 0 arg-1 arg-2 e-20) (TTImpC-45Utils-findBindableNames 1 arg-1 arg-2 e-22))))) ((9) (let ((e-25 (vector-ref arg-3 2))) (let ((e-26 (vector-ref arg-3 3))) (PreludeC-45TypesC-45List-tailRecAppend (TTImpC-45Utils-findBindableNames 0 arg-1 arg-2 e-25) (TTImpC-45Utils-findBindableNames 1 arg-1 arg-2 e-26))))) ((11) (let ((e-29 (vector-ref arg-3 2))) (let ((e-30 (vector-ref arg-3 3))) (PreludeC-45TypesC-45List-tailRecAppend (TTImpC-45Utils-findBindableNames 0 arg-1 arg-2 e-29) (TTImpC-45Utils-findBindableNames 1 arg-1 arg-2 e-30))))) ((18) (let ((e-35 (vector-ref arg-3 4))) (let ((e-36 (vector-ref arg-3 5))) (case (vector-ref e-35 0) ((1) (let ((e-65 (vector-ref e-35 1))) (case (vector-ref e-65 0) ((0) (let ((e-66 (vector-ref e-65 1))) (cons (cons e-66 (TTImpC-45Utils-genUniqueStr arg-2 e-66)) (TTImpC-45Utils-findBindableNames arg-0 arg-1 arg-2 e-36))))(else (TTImpC-45Utils-findBindableNames arg-0 arg-1 arg-2 e-36)))))(else (TTImpC-45Utils-findBindableNames arg-0 arg-1 arg-2 e-36)))))) ((19) (let ((e-40 (vector-ref arg-3 3))) (TTImpC-45Utils-findBindableNames arg-0 arg-1 arg-2 e-40))) ((20) (let ((e-44 (vector-ref arg-3 3))) (TTImpC-45Utils-findBindableNames arg-0 arg-1 arg-2 e-44))) ((21) (let ((e-47 (vector-ref arg-3 2))) (TTImpC-45Utils-findBindableNames arg-0 arg-1 arg-2 e-47))) ((22) (let ((e-50 (vector-ref arg-3 2))) (TTImpC-45Utils-findBindableNames arg-0 arg-1 arg-2 e-50))) ((23) (let ((e-53 (vector-ref arg-3 2))) (TTImpC-45Utils-findBindableNamesQuot arg-1 arg-2 e-53))) ((25) (let ((e-56 (vector-ref arg-3 2))) (PreludeC-45Types-listBind e-56 (lambda (bind-0) (PreludeC-45Types-listBind (TTImpC-45Utils-rawImpFromDecl bind-0) (lambda (bind-1) (TTImpC-45Utils-findBindableNamesQuot arg-1 arg-2 bind-1))))))) ((13) (let ((e-60 (vector-ref arg-3 3))) (PreludeC-45Interfaces-concatMap (csegen-83) (csegen-16) (lambda (eta-0) (TTImpC-45Utils-findBindableNames arg-0 arg-1 arg-2 eta-0)) e-60))) ((7) (let ((e-63 (vector-ref arg-3 2))) (let ((e-64 (vector-ref arg-3 3))) (PreludeC-45TypesC-45List-tailRecAppend (TTImpC-45Utils-findBindableNames 1 arg-1 arg-2 e-64) (PreludeC-45Interfaces-concatMap (csegen-83) (csegen-16) (lambda (eta-0) (TTImpC-45Utils-findBindableNames 1 arg-1 arg-2 (TTImpC-45TTImp-getFieldUpdateTerm eta-0))) e-63)))))(else '()))))))
(define TTImpC-45Utils-findAllNames (lambda (arg-0 arg-1) (case (vector-ref arg-1 0) ((0) (let ((e-2 (vector-ref arg-1 2))) (let ((sc1 (PreludeC-45Types-elem (csegen-16) (csegen-1008) e-2 arg-0))) (cond ((equal? sc1 1) '()) (else (cons e-2 '())))))) ((1) (let ((e-7 (vector-ref arg-1 4))) (let ((e-8 (vector-ref arg-1 5))) (let ((e-9 (vector-ref arg-1 6))) (let ((u--envC-39 (if (null? e-7) arg-0 (let ((e-2 (unbox e-7))) (cons e-2 arg-0))))) (PreludeC-45TypesC-45List-tailRecAppend (TTImpC-45Utils-findAllNames arg-0 e-8) (TTImpC-45Utils-findAllNames u--envC-39 e-9))))))) ((2) (let ((e-14 (vector-ref arg-1 4))) (let ((e-15 (vector-ref arg-1 5))) (let ((e-16 (vector-ref arg-1 6))) (let ((u--envC-39 (if (null? e-14) arg-0 (let ((e-2 (unbox e-14))) (cons e-2 arg-0))))) (PreludeC-45TypesC-45List-tailRecAppend (TTImpC-45Utils-findAllNames u--envC-39 e-15) (TTImpC-45Utils-findAllNames u--envC-39 e-16))))))) ((8) (let ((e-19 (vector-ref arg-1 2))) (let ((e-20 (vector-ref arg-1 3))) (PreludeC-45TypesC-45List-tailRecAppend (TTImpC-45Utils-findAllNames arg-0 e-19) (TTImpC-45Utils-findAllNames arg-0 e-20))))) ((10) (let ((e-23 (vector-ref arg-1 2))) (let ((e-25 (vector-ref arg-1 4))) (PreludeC-45TypesC-45List-tailRecAppend (TTImpC-45Utils-findAllNames arg-0 e-23) (TTImpC-45Utils-findAllNames arg-0 e-25))))) ((9) (let ((e-28 (vector-ref arg-1 2))) (let ((e-29 (vector-ref arg-1 3))) (PreludeC-45TypesC-45List-tailRecAppend (TTImpC-45Utils-findAllNames arg-0 e-28) (TTImpC-45Utils-findAllNames arg-0 e-29))))) ((11) (let ((e-32 (vector-ref arg-1 2))) (let ((e-33 (vector-ref arg-1 3))) (PreludeC-45TypesC-45List-tailRecAppend (TTImpC-45Utils-findAllNames arg-0 e-32) (TTImpC-45Utils-findAllNames arg-0 e-33))))) ((18) (let ((e-38 (vector-ref arg-1 4))) (let ((e-39 (vector-ref arg-1 5))) (cons e-38 (TTImpC-45Utils-findAllNames arg-0 e-39))))) ((19) (let ((e-43 (vector-ref arg-1 3))) (TTImpC-45Utils-findAllNames arg-0 e-43))) ((20) (let ((e-47 (vector-ref arg-1 3))) (TTImpC-45Utils-findAllNames arg-0 e-47))) ((21) (let ((e-50 (vector-ref arg-1 2))) (TTImpC-45Utils-findAllNames arg-0 e-50))) ((22) (let ((e-53 (vector-ref arg-1 2))) (TTImpC-45Utils-findAllNames arg-0 e-53))) ((23) (let ((e-56 (vector-ref arg-1 2))) (TTImpC-45Utils-findAllNames arg-0 e-56))) ((26) (let ((e-59 (vector-ref arg-1 2))) (TTImpC-45Utils-findAllNames arg-0 e-59))) ((13) (let ((e-63 (vector-ref arg-1 3))) (PreludeC-45Interfaces-concatMap (csegen-83) (csegen-16) (lambda (eta-0) (TTImpC-45Utils-findAllNames arg-0 eta-0)) e-63))) ((7) (let ((e-66 (vector-ref arg-1 2))) (let ((e-67 (vector-ref arg-1 3))) (PreludeC-45TypesC-45List-tailRecAppend (TTImpC-45Utils-findAllNames arg-0 e-67) (PreludeC-45TypesC-45List-tailRecAppend (PreludeC-45Interfaces-concatMap (csegen-83) (csegen-16) (lambda (eta-0) (TTImpC-45Utils-findAllNames arg-0 (TTImpC-45TTImp-getFieldUpdateTerm eta-0))) e-66) (PreludeC-45Interfaces-concatMap (csegen-83) (csegen-16) (lambda (eta-0) ((csegen-1034) (TTImpC-45TTImp-getFieldUpdatePath eta-0))) e-66))))))(else '()))))
(define IdrisC-45SyntaxC-45Traversals-n--9493-13269-u--goPiInfo (lambda (arg-1 arg-2) (case (vector-ref arg-2 0) ((3) (let ((e-1 (vector-ref arg-2 1))) (vector 3 (IdrisC-45SyntaxC-45Traversals-n--9493-13259-u--goPTerm arg-1 e-1))))(else arg-2))))
(define IdrisC-45SyntaxC-45Traversals-n--7861-11548-u--goPiInfo (lambda (arg-1 arg-2) (case (vector-ref arg-2 0) ((3) (let ((e-1 (vector-ref arg-2 1))) (let ((eff-0 (IdrisC-45SyntaxC-45Traversals-n--7861-11538-u--goPTerm arg-1 e-1))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-0) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-0) arg-3)))) (lambda (eta-0) (vector 3 eta-0)))) eff-0))))(else (lambda (eta-0) (vector 1 arg-2))))))
(define IdrisC-45SyntaxC-45Traversals-n--9493-13272-u--goPairedSnocPTerms (lambda (arg-1 arg-3) (if (null? arg-3) '() (let ((e-2 (car arg-3))) (let ((e-3 (cdr arg-3))) (let ((e-6 (car e-3))) (let ((e-7 (cdr e-3))) (cons (IdrisC-45SyntaxC-45Traversals-n--9493-13272-u--goPairedSnocPTerms arg-1 e-2) (cons e-6 (IdrisC-45SyntaxC-45Traversals-n--9493-13259-u--goPTerm arg-1 e-7))))))))))
(define IdrisC-45SyntaxC-45Traversals-n--7861-11553-u--goPairedSnocPTerms (lambda (arg-1 arg-3) (if (null? arg-3) (lambda (eta-0) (vector 1 '())) (let ((e-2 (car arg-3))) (let ((e-3 (cdr arg-3))) (let ((e-6 (car e-3))) (let ((e-7 (cdr e-3))) (CoreC-45Core-C-60C-42C-62 (let ((eff-0 (IdrisC-45SyntaxC-45Traversals-n--7861-11553-u--goPairedSnocPTerms arg-1 e-2))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-4 (vector-ref eta-3 1))) (vector 0 e-4))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-0) (lambda (arg-2) ((((eff-1 'erased) 'erased) arg-0) arg-2)))) (csegen-1264))) eff-0)) (let ((eff-0 (IdrisC-45SyntaxC-45Traversals-n--7861-11538-u--goPTerm arg-1 e-7))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-4 (vector-ref eta-3 1))) (vector 0 e-4))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-0) (lambda (arg-2) ((((eff-1 'erased) 'erased) arg-0) arg-2)))) (lambda (eta-0) (cons e-6 eta-0)))) eff-0))))))))))
(define IdrisC-45SyntaxC-45Traversals-n--9493-13271-u--goPairedPTerms (lambda (arg-1 arg-3) (if (null? arg-3) '() (let ((e-2 (car arg-3))) (let ((e-3 (cdr arg-3))) (let ((e-6 (car e-2))) (let ((e-7 (cdr e-2))) (cons (cons e-6 (IdrisC-45SyntaxC-45Traversals-n--9493-13259-u--goPTerm arg-1 e-7)) (IdrisC-45SyntaxC-45Traversals-n--9493-13271-u--goPairedPTerms arg-1 e-3)))))))))
(define IdrisC-45SyntaxC-45Traversals-n--7861-11552-u--goPairedPTerms (lambda (arg-1 arg-3) (if (null? arg-3) (lambda (eta-0) (vector 1 '())) (let ((e-2 (car arg-3))) (let ((e-3 (cdr arg-3))) (let ((e-6 (car e-2))) (let ((e-7 (cdr e-2))) (CoreC-45Core-C-60C-42C-62 (let ((eff-0 (IdrisC-45SyntaxC-45Traversals-n--7861-11538-u--goPTerm arg-1 e-7))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-4 (vector-ref eta-3 1))) (vector 0 e-4))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-0) (lambda (arg-2) ((((eff-1 'erased) 'erased) arg-0) arg-2)))) (lambda (eta-0) (lambda (eta-1) (cons (cons e-6 eta-0) eta-1))))) eff-0)) (IdrisC-45SyntaxC-45Traversals-n--7861-11552-u--goPairedPTerms arg-1 e-3)))))))))
(define IdrisC-45SyntaxC-45Traversals-n--9493-13263-u--goPWithProblem (lambda (arg-1 arg-2) (let ((e-1 (vector-ref arg-2 0))) (let ((e-2 (vector-ref arg-2 1))) (let ((e-3 (vector-ref arg-2 2))) (vector e-1 (IdrisC-45SyntaxC-45Traversals-n--9493-13259-u--goPTerm arg-1 e-2) e-3))))))
(define IdrisC-45SyntaxC-45Traversals-n--7861-11543-u--goPWithProblem (lambda (arg-1 arg-2) (let ((e-1 (vector-ref arg-2 0))) (let ((e-2 (vector-ref arg-2 1))) (let ((e-3 (vector-ref arg-2 2))) (CoreC-45Core-C-60C-42C-62 (let ((eff-0 (IdrisC-45SyntaxC-45Traversals-n--7861-11538-u--goPTerm arg-1 e-2))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-4 (vector-ref eta-3 1))) (vector 0 e-4))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-0) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-0) arg-3)))) (lambda (eta-0) (lambda (eta-1) (vector e-1 eta-0 eta-1))))) eff-0)) (lambda (eta-0) (vector 1 e-3))))))))
(define IdrisC-45SyntaxC-45Traversals-n--7861-11566-u--goPTypeDecls (lambda (arg-1 arg-2) (if (null? arg-2) (lambda (eta-0) (vector 1 '())) (let ((e-2 (car arg-2))) (let ((e-3 (cdr arg-2))) (CoreC-45Core-C-60C-42C-62 (let ((eff-0 (IdrisC-45SyntaxC-45Traversals-n--7861-11545-u--goPTypeDecl arg-1 e-2))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-4 (vector-ref eta-3 1))) (vector 0 e-4))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-0) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-0) arg-3)))) (csegen-152))) eff-0)) (IdrisC-45SyntaxC-45Traversals-n--7861-11566-u--goPTypeDecls arg-1 e-3)))))))
(define IdrisC-45SyntaxC-45Traversals-n--9493-13266-u--goPTypeDecl (lambda (arg-1 arg-2) (let ((e-1 (vector-ref arg-2 0))) (let ((e-2 (vector-ref arg-2 1))) (let ((e-3 (vector-ref arg-2 2))) (let ((e-4 (vector-ref arg-2 3))) (let ((e-5 (vector-ref arg-2 4))) (vector e-1 e-2 e-3 e-4 (IdrisC-45SyntaxC-45Traversals-n--9493-13259-u--goPTerm arg-1 e-5)))))))))
(define IdrisC-45SyntaxC-45Traversals-n--7861-11545-u--goPTypeDecl (lambda (arg-1 arg-2) (let ((e-1 (vector-ref arg-2 0))) (let ((e-2 (vector-ref arg-2 1))) (let ((e-3 (vector-ref arg-2 2))) (let ((e-4 (vector-ref arg-2 3))) (let ((e-5 (vector-ref arg-2 4))) (let ((eff-0 (IdrisC-45SyntaxC-45Traversals-n--7861-11538-u--goPTerm arg-1 e-5))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-6 (vector-ref eta-3 1))) (vector 0 e-6))) (else (let ((e-6 (vector-ref eta-3 1))) (vector 1 (eta-2 e-6))))))))))) (lambda (arg-0) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-0) arg-3)))) (lambda (eta-0) (vector e-1 e-2 e-3 e-4 eta-0)))) eff-0)))))))))
(define IdrisC-45SyntaxC-45Traversals-n--7861-11551-u--goPTerms (lambda (arg-1 arg-2) (if (null? arg-2) (lambda (eta-0) (vector 1 '())) (let ((e-2 (car arg-2))) (let ((e-3 (cdr arg-2))) (CoreC-45Core-C-60C-42C-62 (let ((eff-0 (IdrisC-45SyntaxC-45Traversals-n--7861-11538-u--goPTerm arg-1 e-2))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-4 (vector-ref eta-3 1))) (vector 0 e-4))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-0) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-0) arg-3)))) (csegen-152))) eff-0)) (IdrisC-45SyntaxC-45Traversals-n--7861-11551-u--goPTerms arg-1 e-3)))))))
(define IdrisC-45SyntaxC-45Traversals-n--9493-13259-u--goPTerm (lambda (arg-1 arg-2) (case (vector-ref arg-2 0) ((0) (arg-1 arg-2)) ((1) (let ((e-4 (vector-ref arg-2 1))) (let ((e-5 (vector-ref arg-2 2))) (let ((e-6 (vector-ref arg-2 3))) (let ((e-7 (vector-ref arg-2 4))) (let ((e-8 (vector-ref arg-2 5))) (let ((e-9 (vector-ref arg-2 6))) (arg-1 (vector 1 e-4 e-5 (IdrisC-45SyntaxC-45Traversals-n--9493-13269-u--goPiInfo arg-1 e-6) e-7 (IdrisC-45SyntaxC-45Traversals-n--9493-13259-u--goPTerm arg-1 e-8) (IdrisC-45SyntaxC-45Traversals-n--9493-13259-u--goPTerm arg-1 e-9)))))))))) ((2) (let ((e-11 (vector-ref arg-2 1))) (let ((e-12 (vector-ref arg-2 2))) (let ((e-13 (vector-ref arg-2 3))) (let ((e-14 (vector-ref arg-2 4))) (let ((e-15 (vector-ref arg-2 5))) (let ((e-16 (vector-ref arg-2 6))) (arg-1 (vector 2 e-11 e-12 (IdrisC-45SyntaxC-45Traversals-n--9493-13269-u--goPiInfo arg-1 e-13) e-14 (IdrisC-45SyntaxC-45Traversals-n--9493-13259-u--goPTerm arg-1 e-15) (IdrisC-45SyntaxC-45Traversals-n--9493-13259-u--goPTerm arg-1 e-16)))))))))) ((3) (let ((e-18 (vector-ref arg-2 1))) (let ((e-19 (vector-ref arg-2 2))) (let ((e-20 (vector-ref arg-2 3))) (let ((e-21 (vector-ref arg-2 4))) (let ((e-22 (vector-ref arg-2 5))) (let ((e-23 (vector-ref arg-2 6))) (let ((e-24 (vector-ref arg-2 7))) (arg-1 (vector 3 e-18 e-19 (IdrisC-45SyntaxC-45Traversals-n--9493-13259-u--goPTerm arg-1 e-20) (IdrisC-45SyntaxC-45Traversals-n--9493-13259-u--goPTerm arg-1 e-21) (IdrisC-45SyntaxC-45Traversals-n--9493-13259-u--goPTerm arg-1 e-22) (IdrisC-45SyntaxC-45Traversals-n--9493-13259-u--goPTerm arg-1 e-23) (PreludeC-45Interfaces-C-60C-36C-62 (csegen-24) (lambda (eta-0) (IdrisC-45SyntaxC-45Traversals-n--9493-13264-u--goPClause arg-1 eta-0)) e-24))))))))))) ((4) (let ((e-26 (vector-ref arg-2 1))) (let ((e-27 (vector-ref arg-2 2))) (let ((e-28 (vector-ref arg-2 3))) (arg-1 (vector 4 e-26 (IdrisC-45SyntaxC-45Traversals-n--9493-13259-u--goPTerm arg-1 e-27) (PreludeC-45Interfaces-C-60C-36C-62 (csegen-24) (lambda (eta-0) (IdrisC-45SyntaxC-45Traversals-n--9493-13264-u--goPClause arg-1 eta-0)) e-28))))))) ((5) (let ((e-30 (vector-ref arg-2 1))) (let ((e-31 (vector-ref arg-2 2))) (let ((e-32 (vector-ref arg-2 3))) (arg-1 (vector 5 e-30 (PreludeC-45Interfaces-C-60C-36C-62 (csegen-24) (lambda (eta-0) (IdrisC-45SyntaxC-45Traversals-n--9493-13265-u--goPDecl arg-1 eta-0)) e-31) (IdrisC-45SyntaxC-45Traversals-n--9493-13259-u--goPTerm arg-1 e-32))))))) ((6) (let ((e-34 (vector-ref arg-2 1))) (let ((e-35 (vector-ref arg-2 2))) (arg-1 (vector 6 e-34 (PreludeC-45Interfaces-C-60C-36C-62 (csegen-24) (lambda (eta-0) (IdrisC-45SyntaxC-45Traversals-n--9493-13260-u--goPFieldUpdate arg-1 eta-0)) e-35)))))) ((7) (let ((e-37 (vector-ref arg-2 1))) (let ((e-38 (vector-ref arg-2 2))) (let ((e-39 (vector-ref arg-2 3))) (arg-1 (vector 7 e-37 (IdrisC-45SyntaxC-45Traversals-n--9493-13259-u--goPTerm arg-1 e-38) (IdrisC-45SyntaxC-45Traversals-n--9493-13259-u--goPTerm arg-1 e-39))))))) ((8) (let ((e-41 (vector-ref arg-2 1))) (let ((e-42 (vector-ref arg-2 2))) (let ((e-43 (vector-ref arg-2 3))) (arg-1 (vector 8 e-41 (IdrisC-45SyntaxC-45Traversals-n--9493-13259-u--goPTerm arg-1 e-42) (IdrisC-45SyntaxC-45Traversals-n--9493-13259-u--goPTerm arg-1 e-43))))))) ((10) (let ((e-45 (vector-ref arg-2 1))) (let ((e-46 (vector-ref arg-2 2))) (let ((e-47 (vector-ref arg-2 3))) (arg-1 (vector 10 e-45 (IdrisC-45SyntaxC-45Traversals-n--9493-13259-u--goPTerm arg-1 e-46) (IdrisC-45SyntaxC-45Traversals-n--9493-13259-u--goPTerm arg-1 e-47))))))) ((9) (let ((e-49 (vector-ref arg-2 1))) (let ((e-50 (vector-ref arg-2 2))) (let ((e-51 (vector-ref arg-2 3))) (let ((e-52 (vector-ref arg-2 4))) (arg-1 (vector 9 e-49 (IdrisC-45SyntaxC-45Traversals-n--9493-13259-u--goPTerm arg-1 e-50) e-51 (IdrisC-45SyntaxC-45Traversals-n--9493-13259-u--goPTerm arg-1 e-52)))))))) ((11) (let ((e-54 (vector-ref arg-2 1))) (let ((e-55 (vector-ref arg-2 2))) (let ((e-56 (vector-ref arg-2 3))) (arg-1 (vector 11 e-54 e-55 (IdrisC-45SyntaxC-45Traversals-n--9493-13259-u--goPTerm arg-1 e-56))))))) ((12) (let ((e-58 (vector-ref arg-2 1))) (let ((e-59 (vector-ref arg-2 2))) (arg-1 (vector 12 e-58 (IdrisC-45SyntaxC-45Traversals-n--9493-13259-u--goPTerm arg-1 e-59)))))) ((13) (let ((e-61 (vector-ref arg-2 1))) (let ((e-62 (vector-ref arg-2 2))) (arg-1 (vector 13 e-61 (IdrisC-45SyntaxC-45Traversals-n--9493-13259-u--goPTerm arg-1 e-62)))))) ((14) (arg-1 arg-2)) ((15) (arg-1 arg-2)) ((16) (let ((e-70 (vector-ref arg-2 1))) (let ((e-71 (vector-ref arg-2 2))) (arg-1 (vector 16 e-70 (IdrisC-45SyntaxC-45Traversals-n--9493-13259-u--goPTerm arg-1 e-71)))))) ((17) (arg-1 arg-2)) ((18) (let ((e-76 (vector-ref arg-2 1))) (let ((e-77 (vector-ref arg-2 2))) (arg-1 (vector 18 e-76 (PreludeC-45Interfaces-C-60C-36C-62 (csegen-24) (lambda (eta-0) (IdrisC-45SyntaxC-45Traversals-n--9493-13265-u--goPDecl arg-1 eta-0)) e-77)))))) ((19) (let ((e-79 (vector-ref arg-2 1))) (let ((e-80 (vector-ref arg-2 2))) (arg-1 (vector 19 e-79 (IdrisC-45SyntaxC-45Traversals-n--9493-13259-u--goPTerm arg-1 e-80)))))) ((20) (let ((e-82 (vector-ref arg-2 1))) (let ((e-83 (vector-ref arg-2 2))) (arg-1 (vector 20 e-82 (IdrisC-45SyntaxC-45Traversals-n--9493-13259-u--goPTerm arg-1 e-83)))))) ((21) (arg-1 arg-2)) ((22) (arg-1 arg-2)) ((23) (let ((e-91 (vector-ref arg-2 1))) (let ((e-92 (vector-ref arg-2 2))) (let ((e-93 (vector-ref arg-2 3))) (let ((e-94 (vector-ref arg-2 4))) (arg-1 (vector 23 e-91 e-92 e-93 (IdrisC-45SyntaxC-45Traversals-n--9493-13259-u--goPTerm arg-1 e-94)))))))) ((24) (let ((e-96 (vector-ref arg-2 1))) (let ((e-97 (vector-ref arg-2 2))) (arg-1 (vector 24 e-96 (IdrisC-45SyntaxC-45Traversals-n--9493-13259-u--goPTerm arg-1 e-97)))))) ((25) (arg-1 arg-2)) ((26) (arg-1 arg-2)) ((27) (let ((e-103 (vector-ref arg-2 1))) (let ((e-104 (vector-ref arg-2 2))) (let ((e-105 (vector-ref arg-2 3))) (let ((e-106 (vector-ref arg-2 4))) (let ((e-107 (vector-ref arg-2 5))) (arg-1 (vector 27 e-103 e-104 e-105 (IdrisC-45SyntaxC-45Traversals-n--9493-13259-u--goPTerm arg-1 e-106) (IdrisC-45SyntaxC-45Traversals-n--9493-13259-u--goPTerm arg-1 e-107))))))))) ((28) (let ((e-109 (vector-ref arg-2 1))) (let ((e-110 (vector-ref arg-2 2))) (let ((e-111 (vector-ref arg-2 3))) (let ((e-112 (vector-ref arg-2 4))) (arg-1 (vector 28 e-109 e-110 e-111 (IdrisC-45SyntaxC-45Traversals-n--9493-13259-u--goPTerm arg-1 e-112)))))))) ((29) (let ((e-114 (vector-ref arg-2 1))) (let ((e-115 (vector-ref arg-2 2))) (let ((e-116 (vector-ref arg-2 3))) (let ((e-117 (vector-ref arg-2 4))) (arg-1 (vector 29 e-114 e-115 e-116 (IdrisC-45SyntaxC-45Traversals-n--9493-13259-u--goPTerm arg-1 e-117)))))))) ((30) (let ((e-119 (vector-ref arg-2 1))) (let ((e-120 (vector-ref arg-2 2))) (let ((e-121 (vector-ref arg-2 3))) (let ((e-122 (vector-ref arg-2 4))) (arg-1 (vector 30 e-119 e-120 (IdrisC-45SyntaxC-45Traversals-n--9493-13259-u--goPTerm arg-1 e-121) e-122))))))) ((31) (let ((e-124 (vector-ref arg-2 1))) (let ((e-125 (vector-ref arg-2 2))) (let ((e-126 (vector-ref arg-2 3))) (arg-1 (vector 31 e-124 (IdrisC-45SyntaxC-45Traversals-n--9493-13259-u--goPTerm arg-1 e-125) (IdrisC-45SyntaxC-45Traversals-n--9493-13259-u--goPTerm arg-1 e-126))))))) ((32) (let ((e-128 (vector-ref arg-2 1))) (let ((e-129 (vector-ref arg-2 2))) (arg-1 (vector 32 e-128 (IdrisC-45SyntaxC-45Traversals-n--9493-13259-u--goPTerm arg-1 e-129)))))) ((33) (let ((e-131 (vector-ref arg-2 1))) (let ((e-132 (vector-ref arg-2 2))) (arg-1 (vector 33 e-131 (PreludeC-45Interfaces-C-60C-36C-62 (csegen-24) (lambda (eta-0) (IdrisC-45SyntaxC-45Traversals-n--9493-13261-u--goPStr arg-1 eta-0)) e-132)))))) ((34) (let ((e-134 (vector-ref arg-2 1))) (let ((e-135 (vector-ref arg-2 2))) (let ((e-136 (vector-ref arg-2 3))) (arg-1 (vector 34 e-134 e-135 (((csegen-25) ((csegen-25) (lambda (eta-0) (IdrisC-45SyntaxC-45Traversals-n--9493-13261-u--goPStr arg-1 eta-0)))) e-136))))))) ((35) (let ((e-138 (vector-ref arg-2 1))) (let ((e-139 (vector-ref arg-2 2))) (let ((e-140 (vector-ref arg-2 3))) (arg-1 (vector 35 e-138 e-139 (PreludeC-45Interfaces-C-60C-36C-62 (csegen-24) (lambda (eta-0) (IdrisC-45SyntaxC-45Traversals-n--9493-13262-u--goPDo arg-1 eta-0)) e-140))))))) ((36) (let ((e-142 (vector-ref arg-2 1))) (let ((e-143 (vector-ref arg-2 2))) (arg-1 (vector 36 e-142 (IdrisC-45SyntaxC-45Traversals-n--9493-13259-u--goPTerm arg-1 e-143)))))) ((37) (let ((e-145 (vector-ref arg-2 1))) (let ((e-146 (vector-ref arg-2 2))) (let ((e-147 (vector-ref arg-2 3))) (arg-1 (vector 37 e-145 e-146 (IdrisC-45SyntaxC-45Traversals-n--9493-13259-u--goPTerm arg-1 e-147))))))) ((38) (let ((e-149 (vector-ref arg-2 1))) (let ((e-150 (vector-ref arg-2 2))) (let ((e-151 (vector-ref arg-2 3))) (arg-1 (vector 38 e-149 e-150 (IdrisC-45SyntaxC-45Traversals-n--9493-13271-u--goPairedPTerms arg-1 e-151))))))) ((39) (let ((e-153 (vector-ref arg-2 1))) (let ((e-154 (vector-ref arg-2 2))) (let ((e-155 (vector-ref arg-2 3))) (arg-1 (vector 39 e-153 e-154 (IdrisC-45SyntaxC-45Traversals-n--9493-13272-u--goPairedSnocPTerms arg-1 e-155))))))) ((40) (let ((e-157 (vector-ref arg-2 1))) (let ((e-158 (vector-ref arg-2 2))) (let ((e-159 (vector-ref arg-2 3))) (arg-1 (vector 40 e-157 (IdrisC-45SyntaxC-45Traversals-n--9493-13259-u--goPTerm arg-1 e-158) (IdrisC-45SyntaxC-45Traversals-n--9493-13259-u--goPTerm arg-1 e-159))))))) ((41) (let ((e-161 (vector-ref arg-2 1))) (let ((e-162 (vector-ref arg-2 2))) (let ((e-163 (vector-ref arg-2 3))) (let ((e-164 (vector-ref arg-2 4))) (let ((e-165 (vector-ref arg-2 5))) (arg-1 (vector 41 e-161 e-162 (IdrisC-45SyntaxC-45Traversals-n--9493-13259-u--goPTerm arg-1 e-163) (IdrisC-45SyntaxC-45Traversals-n--9493-13259-u--goPTerm arg-1 e-164) (IdrisC-45SyntaxC-45Traversals-n--9493-13259-u--goPTerm arg-1 e-165))))))))) ((42) (arg-1 arg-2)) ((43) (let ((e-169 (vector-ref arg-2 1))) (let ((e-170 (vector-ref arg-2 2))) (let ((e-171 (vector-ref arg-2 3))) (let ((e-172 (vector-ref arg-2 4))) (arg-1 (vector 43 e-169 (IdrisC-45SyntaxC-45Traversals-n--9493-13259-u--goPTerm arg-1 e-170) (IdrisC-45SyntaxC-45Traversals-n--9493-13259-u--goPTerm arg-1 e-171) (IdrisC-45SyntaxC-45Traversals-n--9493-13259-u--goPTerm arg-1 e-172)))))))) ((44) (let ((e-174 (vector-ref arg-2 1))) (let ((e-175 (vector-ref arg-2 2))) (let ((e-176 (vector-ref arg-2 3))) (arg-1 (vector 44 e-174 (IdrisC-45SyntaxC-45Traversals-n--9493-13259-u--goPTerm arg-1 e-175) (PreludeC-45Interfaces-C-60C-36C-62 (csegen-24) (lambda (eta-0) (IdrisC-45SyntaxC-45Traversals-n--9493-13262-u--goPDo arg-1 eta-0)) e-176))))))) ((45) (let ((e-178 (vector-ref arg-2 1))) (let ((e-179 (vector-ref arg-2 2))) (let ((e-180 (vector-ref arg-2 3))) (arg-1 (vector 45 e-178 (IdrisC-45SyntaxC-45Traversals-n--9493-13259-u--goPTerm arg-1 e-179) (IdrisC-45SyntaxC-45Traversals-n--9493-13259-u--goPTerm arg-1 e-180))))))) ((46) (let ((e-182 (vector-ref arg-2 1))) (let ((e-183 (vector-ref arg-2 2))) (let ((e-184 (vector-ref arg-2 3))) (let ((e-185 (vector-ref arg-2 4))) (arg-1 (vector 46 e-182 (IdrisC-45SyntaxC-45Traversals-n--9493-13259-u--goPTerm arg-1 e-183) (((csegen-77) (lambda (eta-0) (IdrisC-45SyntaxC-45Traversals-n--9493-13259-u--goPTerm arg-1 eta-0))) e-184) (IdrisC-45SyntaxC-45Traversals-n--9493-13259-u--goPTerm arg-1 e-185)))))))) ((47) (let ((e-187 (vector-ref arg-2 1))) (let ((e-188 (vector-ref arg-2 2))) (let ((e-189 (vector-ref arg-2 3))) (arg-1 (vector 47 e-187 (IdrisC-45SyntaxC-45Traversals-n--9493-13259-u--goPTerm arg-1 e-188) (((csegen-77) (lambda (eta-0) (IdrisC-45SyntaxC-45Traversals-n--9493-13259-u--goPTerm arg-1 eta-0))) e-189))))))) ((50) (let ((e-191 (vector-ref arg-2 1))) (let ((e-192 (vector-ref arg-2 2))) (let ((e-193 (vector-ref arg-2 3))) (arg-1 (vector 50 e-191 e-192 (IdrisC-45SyntaxC-45Traversals-n--9493-13259-u--goPTerm arg-1 e-193))))))) ((48) (let ((e-195 (vector-ref arg-2 1))) (let ((e-196 (vector-ref arg-2 2))) (let ((e-197 (vector-ref arg-2 3))) (arg-1 (vector 48 e-195 (IdrisC-45SyntaxC-45Traversals-n--9493-13259-u--goPTerm arg-1 e-196) e-197)))))) ((49) (arg-1 arg-2)) (else (let ((e-202 (vector-ref arg-2 1))) (let ((e-203 (vector-ref arg-2 2))) (let ((e-204 (vector-ref arg-2 3))) (arg-1 (vector 51 e-202 e-203 (IdrisC-45SyntaxC-45Traversals-n--9493-13259-u--goPTerm arg-1 e-204))))))))))
(define IdrisC-45SyntaxC-45Traversals-n--7861-11538-u--goPTerm (lambda (arg-1 arg-2) (case (vector-ref arg-2 0) ((0) (arg-1 arg-2)) ((1) (let ((e-4 (vector-ref arg-2 1))) (let ((e-5 (vector-ref arg-2 2))) (let ((e-6 (vector-ref arg-2 3))) (let ((e-7 (vector-ref arg-2 4))) (let ((e-8 (vector-ref arg-2 5))) (let ((e-9 (vector-ref arg-2 6))) (let ((eff-0 (CoreC-45Core-C-60C-42C-62 (CoreC-45Core-C-60C-42C-62 (CoreC-45Core-C-60C-42C-62 (let ((eff-0 (IdrisC-45SyntaxC-45Traversals-n--7861-11548-u--goPiInfo arg-1 e-6))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-10 (vector-ref eta-3 1))) (vector 1 (eta-2 e-10))))))))))) (lambda (arg-0) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-0) arg-3)))) (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (vector 1 e-4 e-5 eta-0 eta-1 eta-2 eta-3))))))) eff-0)) (lambda (eta-0) (vector 1 e-7))) (IdrisC-45SyntaxC-45Traversals-n--7861-11538-u--goPTerm arg-1 e-8)) (IdrisC-45SyntaxC-45Traversals-n--7861-11538-u--goPTerm arg-1 e-9)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-10 (vector-ref lcase-0 1))) (let ((eff-1 (arg-1 e-10))) eff-1)))))))))))))) ((2) (let ((e-11 (vector-ref arg-2 1))) (let ((e-12 (vector-ref arg-2 2))) (let ((e-13 (vector-ref arg-2 3))) (let ((e-14 (vector-ref arg-2 4))) (let ((e-15 (vector-ref arg-2 5))) (let ((e-16 (vector-ref arg-2 6))) (let ((eff-0 (CoreC-45Core-C-60C-42C-62 (CoreC-45Core-C-60C-42C-62 (CoreC-45Core-C-60C-42C-62 (let ((eff-0 (IdrisC-45SyntaxC-45Traversals-n--7861-11548-u--goPiInfo arg-1 e-13))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-0) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-0) arg-3)))) (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (vector 2 e-11 e-12 eta-0 eta-1 eta-2 eta-3))))))) eff-0)) (IdrisC-45SyntaxC-45Traversals-n--7861-11538-u--goPTerm arg-1 e-14)) (IdrisC-45SyntaxC-45Traversals-n--7861-11538-u--goPTerm arg-1 e-15)) (IdrisC-45SyntaxC-45Traversals-n--7861-11538-u--goPTerm arg-1 e-16)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (arg-1 e-5))) eff-1)))))))))))))) ((3) (let ((e-18 (vector-ref arg-2 1))) (let ((e-19 (vector-ref arg-2 2))) (let ((e-20 (vector-ref arg-2 3))) (let ((e-21 (vector-ref arg-2 4))) (let ((e-22 (vector-ref arg-2 5))) (let ((e-23 (vector-ref arg-2 6))) (let ((e-24 (vector-ref arg-2 7))) (let ((eff-0 (CoreC-45Core-C-60C-42C-62 (CoreC-45Core-C-60C-42C-62 (CoreC-45Core-C-60C-42C-62 (CoreC-45Core-C-60C-42C-62 (let ((eff-0 (IdrisC-45SyntaxC-45Traversals-n--7861-11538-u--goPTerm arg-1 e-20))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-0) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-0) arg-3)))) (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (lambda (eta-4) (vector 3 e-18 e-19 eta-0 eta-1 eta-2 eta-3 eta-4)))))))) eff-0)) (IdrisC-45SyntaxC-45Traversals-n--7861-11538-u--goPTerm arg-1 e-21)) (IdrisC-45SyntaxC-45Traversals-n--7861-11538-u--goPTerm arg-1 e-22)) (IdrisC-45SyntaxC-45Traversals-n--7861-11538-u--goPTerm arg-1 e-23)) (IdrisC-45SyntaxC-45Traversals-n--7861-11560-u--goPClauses arg-1 e-24)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (arg-1 e-5))) eff-1))))))))))))))) ((4) (let ((e-26 (vector-ref arg-2 1))) (let ((e-27 (vector-ref arg-2 2))) (let ((e-28 (vector-ref arg-2 3))) (let ((eff-0 (CoreC-45Core-C-60C-42C-62 (let ((eff-0 (IdrisC-45SyntaxC-45Traversals-n--7861-11538-u--goPTerm arg-1 e-27))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-0) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-0) arg-3)))) (lambda (eta-0) (lambda (eta-1) (vector 4 e-26 eta-0 eta-1))))) eff-0)) (IdrisC-45SyntaxC-45Traversals-n--7861-11560-u--goPClauses arg-1 e-28)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (arg-1 e-5))) eff-1))))))))))) ((5) (let ((e-30 (vector-ref arg-2 1))) (let ((e-31 (vector-ref arg-2 2))) (let ((e-32 (vector-ref arg-2 3))) (let ((eff-0 (CoreC-45Core-C-60C-42C-62 (let ((eff-0 (IdrisC-45SyntaxC-45Traversals-n--7861-11562-u--goPDecls arg-1 e-31))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-0) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-0) arg-3)))) (lambda (eta-0) (lambda (eta-1) (vector 5 e-30 eta-0 eta-1))))) eff-0)) (IdrisC-45SyntaxC-45Traversals-n--7861-11538-u--goPTerm arg-1 e-32)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (arg-1 e-5))) eff-1))))))))))) ((6) (let ((e-34 (vector-ref arg-2 1))) (let ((e-35 (vector-ref arg-2 2))) (let ((eff-0 (let ((eff-0 (IdrisC-45SyntaxC-45Traversals-n--7861-11563-u--goPFieldUpdates arg-1 e-35))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-0) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-0) arg-3)))) (lambda (eta-0) (vector 6 e-34 eta-0)))) eff-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (arg-1 e-5))) eff-1)))))))))) ((7) (let ((e-37 (vector-ref arg-2 1))) (let ((e-38 (vector-ref arg-2 2))) (let ((e-39 (vector-ref arg-2 3))) (let ((eff-0 (CoreC-45Core-C-60C-42C-62 (let ((eff-0 (IdrisC-45SyntaxC-45Traversals-n--7861-11538-u--goPTerm arg-1 e-38))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-0) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-0) arg-3)))) (lambda (eta-0) (lambda (eta-1) (vector 7 e-37 eta-0 eta-1))))) eff-0)) (IdrisC-45SyntaxC-45Traversals-n--7861-11538-u--goPTerm arg-1 e-39)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (arg-1 e-5))) eff-1))))))))))) ((8) (let ((e-41 (vector-ref arg-2 1))) (let ((e-42 (vector-ref arg-2 2))) (let ((e-43 (vector-ref arg-2 3))) (let ((eff-0 (CoreC-45Core-C-60C-42C-62 (let ((eff-0 (IdrisC-45SyntaxC-45Traversals-n--7861-11538-u--goPTerm arg-1 e-42))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-0) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-0) arg-3)))) (lambda (eta-0) (lambda (eta-1) (vector 8 e-41 eta-0 eta-1))))) eff-0)) (IdrisC-45SyntaxC-45Traversals-n--7861-11538-u--goPTerm arg-1 e-43)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (arg-1 e-5))) eff-1))))))))))) ((10) (let ((e-45 (vector-ref arg-2 1))) (let ((e-46 (vector-ref arg-2 2))) (let ((e-47 (vector-ref arg-2 3))) (let ((eff-0 (CoreC-45Core-C-60C-42C-62 (let ((eff-0 (IdrisC-45SyntaxC-45Traversals-n--7861-11538-u--goPTerm arg-1 e-46))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-0) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-0) arg-3)))) (lambda (eta-0) (lambda (eta-1) (vector 10 e-45 eta-0 eta-1))))) eff-0)) (IdrisC-45SyntaxC-45Traversals-n--7861-11538-u--goPTerm arg-1 e-47)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (arg-1 e-5))) eff-1))))))))))) ((9) (let ((e-49 (vector-ref arg-2 1))) (let ((e-50 (vector-ref arg-2 2))) (let ((e-51 (vector-ref arg-2 3))) (let ((e-52 (vector-ref arg-2 4))) (let ((eff-0 (CoreC-45Core-C-60C-42C-62 (CoreC-45Core-C-60C-42C-62 (let ((eff-0 (IdrisC-45SyntaxC-45Traversals-n--7861-11538-u--goPTerm arg-1 e-50))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-0) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-0) arg-3)))) (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (vector 9 e-49 eta-0 eta-1 eta-2)))))) eff-0)) (lambda (eta-0) (vector 1 e-51))) (IdrisC-45SyntaxC-45Traversals-n--7861-11538-u--goPTerm arg-1 e-52)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (arg-1 e-5))) eff-1)))))))))))) ((11) (let ((e-54 (vector-ref arg-2 1))) (let ((e-55 (vector-ref arg-2 2))) (let ((e-56 (vector-ref arg-2 3))) (let ((eff-0 (let ((eff-0 (IdrisC-45SyntaxC-45Traversals-n--7861-11538-u--goPTerm arg-1 e-56))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-0) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-0) arg-3)))) (lambda (eta-0) (vector 11 e-54 e-55 eta-0)))) eff-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (arg-1 e-5))) eff-1))))))))))) ((12) (let ((e-58 (vector-ref arg-2 1))) (let ((e-59 (vector-ref arg-2 2))) (let ((eff-0 (let ((eff-0 (IdrisC-45SyntaxC-45Traversals-n--7861-11538-u--goPTerm arg-1 e-59))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-0) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-0) arg-3)))) (lambda (eta-0) (vector 12 e-58 eta-0)))) eff-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (arg-1 e-5))) eff-1)))))))))) ((13) (let ((e-61 (vector-ref arg-2 1))) (let ((e-62 (vector-ref arg-2 2))) (let ((eff-0 (let ((eff-0 (IdrisC-45SyntaxC-45Traversals-n--7861-11538-u--goPTerm arg-1 e-62))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-0) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-0) arg-3)))) (lambda (eta-0) (vector 13 e-61 eta-0)))) eff-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (arg-1 e-5))) eff-1)))))))))) ((14) (arg-1 arg-2)) ((15) (arg-1 arg-2)) ((16) (let ((e-70 (vector-ref arg-2 1))) (let ((e-71 (vector-ref arg-2 2))) (let ((eff-0 (let ((eff-0 (IdrisC-45SyntaxC-45Traversals-n--7861-11538-u--goPTerm arg-1 e-71))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-0) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-0) arg-3)))) (lambda (eta-0) (vector 16 e-70 eta-0)))) eff-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (arg-1 e-5))) eff-1)))))))))) ((17) (arg-1 arg-2)) ((18) (let ((e-76 (vector-ref arg-2 1))) (let ((e-77 (vector-ref arg-2 2))) (let ((eff-0 (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (IdrisC-45SyntaxC-45Traversals-n--7861-11544-u--goPDecl arg-1 eta-0)) e-77 '()))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-0) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-0) arg-3)))) (lambda (eta-0) (vector 18 e-76 eta-0)))) eff-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (arg-1 e-5))) eff-1)))))))))) ((19) (let ((e-79 (vector-ref arg-2 1))) (let ((e-80 (vector-ref arg-2 2))) (let ((eff-0 (let ((eff-0 (IdrisC-45SyntaxC-45Traversals-n--7861-11538-u--goPTerm arg-1 e-80))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-0) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-0) arg-3)))) (lambda (eta-0) (vector 19 e-79 eta-0)))) eff-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (arg-1 e-5))) eff-1)))))))))) ((20) (let ((e-82 (vector-ref arg-2 1))) (let ((e-83 (vector-ref arg-2 2))) (let ((eff-0 (let ((eff-0 (IdrisC-45SyntaxC-45Traversals-n--7861-11538-u--goPTerm arg-1 e-83))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-0) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-0) arg-3)))) (lambda (eta-0) (vector 20 e-82 eta-0)))) eff-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (arg-1 e-5))) eff-1)))))))))) ((21) (arg-1 arg-2)) ((22) (arg-1 arg-2)) ((23) (let ((e-91 (vector-ref arg-2 1))) (let ((e-92 (vector-ref arg-2 2))) (let ((e-93 (vector-ref arg-2 3))) (let ((e-94 (vector-ref arg-2 4))) (let ((eff-0 (let ((eff-0 (IdrisC-45SyntaxC-45Traversals-n--7861-11538-u--goPTerm arg-1 e-94))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-0) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-0) arg-3)))) (lambda (eta-0) (vector 23 e-91 e-92 e-93 eta-0)))) eff-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (arg-1 e-5))) eff-1)))))))))))) ((24) (let ((e-96 (vector-ref arg-2 1))) (let ((e-97 (vector-ref arg-2 2))) (let ((eff-0 (let ((eff-0 (IdrisC-45SyntaxC-45Traversals-n--7861-11538-u--goPTerm arg-1 e-97))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-0) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-0) arg-3)))) (lambda (eta-0) (vector 24 e-96 eta-0)))) eff-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (arg-1 e-5))) eff-1)))))))))) ((25) (arg-1 arg-2)) ((26) (arg-1 arg-2)) ((27) (let ((e-103 (vector-ref arg-2 1))) (let ((e-104 (vector-ref arg-2 2))) (let ((e-105 (vector-ref arg-2 3))) (let ((e-106 (vector-ref arg-2 4))) (let ((e-107 (vector-ref arg-2 5))) (let ((eff-0 (CoreC-45Core-C-60C-42C-62 (let ((eff-0 (IdrisC-45SyntaxC-45Traversals-n--7861-11538-u--goPTerm arg-1 e-106))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-0) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-0) arg-3)))) (lambda (eta-0) (lambda (eta-1) (vector 27 e-103 e-104 e-105 eta-0 eta-1))))) eff-0)) (IdrisC-45SyntaxC-45Traversals-n--7861-11538-u--goPTerm arg-1 e-107)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (arg-1 e-5))) eff-1))))))))))))) ((28) (let ((e-109 (vector-ref arg-2 1))) (let ((e-110 (vector-ref arg-2 2))) (let ((e-111 (vector-ref arg-2 3))) (let ((e-112 (vector-ref arg-2 4))) (let ((eff-0 (let ((eff-0 (IdrisC-45SyntaxC-45Traversals-n--7861-11538-u--goPTerm arg-1 e-112))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-0) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-0) arg-3)))) (lambda (eta-0) (vector 28 e-109 e-110 e-111 eta-0)))) eff-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (arg-1 e-5))) eff-1)))))))))))) ((29) (let ((e-114 (vector-ref arg-2 1))) (let ((e-115 (vector-ref arg-2 2))) (let ((e-116 (vector-ref arg-2 3))) (let ((e-117 (vector-ref arg-2 4))) (let ((eff-0 (let ((eff-0 (IdrisC-45SyntaxC-45Traversals-n--7861-11538-u--goPTerm arg-1 e-117))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-0) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-0) arg-3)))) (lambda (eta-0) (vector 29 e-114 e-115 e-116 eta-0)))) eff-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (arg-1 e-5))) eff-1)))))))))))) ((30) (let ((e-119 (vector-ref arg-2 1))) (let ((e-120 (vector-ref arg-2 2))) (let ((e-121 (vector-ref arg-2 3))) (let ((e-122 (vector-ref arg-2 4))) (let ((eff-0 (CoreC-45Core-C-60C-42C-62 (let ((eff-0 (IdrisC-45SyntaxC-45Traversals-n--7861-11538-u--goPTerm arg-1 e-121))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-0) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-0) arg-3)))) (lambda (eta-0) (lambda (eta-1) (vector 30 e-119 e-120 eta-0 eta-1))))) eff-0)) (lambda (eta-0) (vector 1 e-122))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (arg-1 e-5))) eff-1)))))))))))) ((31) (let ((e-124 (vector-ref arg-2 1))) (let ((e-125 (vector-ref arg-2 2))) (let ((e-126 (vector-ref arg-2 3))) (let ((eff-0 (CoreC-45Core-C-60C-42C-62 (let ((eff-0 (IdrisC-45SyntaxC-45Traversals-n--7861-11538-u--goPTerm arg-1 e-125))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-0) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-0) arg-3)))) (lambda (eta-0) (lambda (eta-1) (vector 31 e-124 eta-0 eta-1))))) eff-0)) (IdrisC-45SyntaxC-45Traversals-n--7861-11538-u--goPTerm arg-1 e-126)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (arg-1 e-5))) eff-1))))))))))) ((32) (let ((e-128 (vector-ref arg-2 1))) (let ((e-129 (vector-ref arg-2 2))) (let ((eff-0 (let ((eff-0 (IdrisC-45SyntaxC-45Traversals-n--7861-11538-u--goPTerm arg-1 e-129))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-0) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-0) arg-3)))) (lambda (eta-0) (vector 32 e-128 eta-0)))) eff-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (arg-1 e-5))) eff-1)))))))))) ((33) (let ((e-131 (vector-ref arg-2 1))) (let ((e-132 (vector-ref arg-2 2))) (let ((eff-0 (let ((eff-0 (IdrisC-45SyntaxC-45Traversals-n--7861-11558-u--goPStrings arg-1 e-132))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-0) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-0) arg-3)))) (lambda (eta-0) (vector 33 e-131 eta-0)))) eff-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (arg-1 e-5))) eff-1)))))))))) ((34) (let ((e-134 (vector-ref arg-2 1))) (let ((e-135 (vector-ref arg-2 2))) (let ((e-136 (vector-ref arg-2 3))) (let ((eff-0 (let ((eff-0 (IdrisC-45SyntaxC-45Traversals-n--7861-11557-u--goPStringLines arg-1 e-136))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-0) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-0) arg-3)))) (lambda (eta-0) (vector 34 e-134 e-135 eta-0)))) eff-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (arg-1 e-5))) eff-1))))))))))) ((35) (let ((e-138 (vector-ref arg-2 1))) (let ((e-139 (vector-ref arg-2 2))) (let ((e-140 (vector-ref arg-2 3))) (let ((eff-0 (let ((eff-0 (IdrisC-45SyntaxC-45Traversals-n--7861-11559-u--goPDos arg-1 e-140))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-0) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-0) arg-3)))) (lambda (eta-0) (vector 35 e-138 e-139 eta-0)))) eff-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (arg-1 e-5))) eff-1))))))))))) ((36) (let ((e-142 (vector-ref arg-2 1))) (let ((e-143 (vector-ref arg-2 2))) (let ((eff-0 (let ((eff-0 (IdrisC-45SyntaxC-45Traversals-n--7861-11538-u--goPTerm arg-1 e-143))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-0) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-0) arg-3)))) (lambda (eta-0) (vector 36 e-142 eta-0)))) eff-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (arg-1 e-5))) eff-1)))))))))) ((37) (let ((e-145 (vector-ref arg-2 1))) (let ((e-146 (vector-ref arg-2 2))) (let ((e-147 (vector-ref arg-2 3))) (let ((eff-0 (let ((eff-0 (IdrisC-45SyntaxC-45Traversals-n--7861-11538-u--goPTerm arg-1 e-147))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-0) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-0) arg-3)))) (lambda (eta-0) (vector 37 e-145 e-146 eta-0)))) eff-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (arg-1 e-5))) eff-1))))))))))) ((38) (let ((e-149 (vector-ref arg-2 1))) (let ((e-150 (vector-ref arg-2 2))) (let ((e-151 (vector-ref arg-2 3))) (let ((eff-0 (let ((eff-0 (IdrisC-45SyntaxC-45Traversals-n--7861-11552-u--goPairedPTerms arg-1 e-151))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-0) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-0) arg-3)))) (lambda (eta-0) (vector 38 e-149 e-150 eta-0)))) eff-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (arg-1 e-5))) eff-1))))))))))) ((39) (let ((e-153 (vector-ref arg-2 1))) (let ((e-154 (vector-ref arg-2 2))) (let ((e-155 (vector-ref arg-2 3))) (let ((eff-0 (let ((eff-0 (IdrisC-45SyntaxC-45Traversals-n--7861-11553-u--goPairedSnocPTerms arg-1 e-155))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-0) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-0) arg-3)))) (lambda (eta-0) (vector 39 e-153 e-154 eta-0)))) eff-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (arg-1 e-5))) eff-1))))))))))) ((40) (let ((e-157 (vector-ref arg-2 1))) (let ((e-158 (vector-ref arg-2 2))) (let ((e-159 (vector-ref arg-2 3))) (let ((eff-0 (CoreC-45Core-C-60C-42C-62 (let ((eff-0 (IdrisC-45SyntaxC-45Traversals-n--7861-11538-u--goPTerm arg-1 e-158))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-0) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-0) arg-3)))) (lambda (eta-0) (lambda (eta-1) (vector 40 e-157 eta-0 eta-1))))) eff-0)) (IdrisC-45SyntaxC-45Traversals-n--7861-11538-u--goPTerm arg-1 e-159)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (arg-1 e-5))) eff-1))))))))))) ((41) (let ((e-161 (vector-ref arg-2 1))) (let ((e-162 (vector-ref arg-2 2))) (let ((e-163 (vector-ref arg-2 3))) (let ((e-164 (vector-ref arg-2 4))) (let ((e-165 (vector-ref arg-2 5))) (let ((eff-0 (CoreC-45Core-C-60C-42C-62 (CoreC-45Core-C-60C-42C-62 (let ((eff-0 (IdrisC-45SyntaxC-45Traversals-n--7861-11538-u--goPTerm arg-1 e-163))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-0) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-0) arg-3)))) (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (vector 41 e-161 e-162 eta-0 eta-1 eta-2)))))) eff-0)) (IdrisC-45SyntaxC-45Traversals-n--7861-11538-u--goPTerm arg-1 e-164)) (IdrisC-45SyntaxC-45Traversals-n--7861-11538-u--goPTerm arg-1 e-165)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (arg-1 e-5))) eff-1))))))))))))) ((42) (arg-1 arg-2)) ((43) (let ((e-169 (vector-ref arg-2 1))) (let ((e-170 (vector-ref arg-2 2))) (let ((e-171 (vector-ref arg-2 3))) (let ((e-172 (vector-ref arg-2 4))) (let ((eff-0 (CoreC-45Core-C-60C-42C-62 (CoreC-45Core-C-60C-42C-62 (let ((eff-0 (IdrisC-45SyntaxC-45Traversals-n--7861-11538-u--goPTerm arg-1 e-170))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-0) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-0) arg-3)))) (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (vector 43 e-169 eta-0 eta-1 eta-2)))))) eff-0)) (IdrisC-45SyntaxC-45Traversals-n--7861-11538-u--goPTerm arg-1 e-171)) (IdrisC-45SyntaxC-45Traversals-n--7861-11538-u--goPTerm arg-1 e-172)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (arg-1 e-5))) eff-1)))))))))))) ((44) (let ((e-174 (vector-ref arg-2 1))) (let ((e-175 (vector-ref arg-2 2))) (let ((e-176 (vector-ref arg-2 3))) (let ((eff-0 (CoreC-45Core-C-60C-42C-62 (let ((eff-0 (IdrisC-45SyntaxC-45Traversals-n--7861-11538-u--goPTerm arg-1 e-175))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-0) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-0) arg-3)))) (lambda (eta-0) (lambda (eta-1) (vector 44 e-174 eta-0 eta-1))))) eff-0)) (IdrisC-45SyntaxC-45Traversals-n--7861-11559-u--goPDos arg-1 e-176)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (arg-1 e-5))) eff-1))))))))))) ((45) (let ((e-178 (vector-ref arg-2 1))) (let ((e-179 (vector-ref arg-2 2))) (let ((e-180 (vector-ref arg-2 3))) (let ((eff-0 (CoreC-45Core-C-60C-42C-62 (let ((eff-0 (IdrisC-45SyntaxC-45Traversals-n--7861-11538-u--goPTerm arg-1 e-179))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-0) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-0) arg-3)))) (lambda (eta-0) (lambda (eta-1) (vector 45 e-178 eta-0 eta-1))))) eff-0)) (IdrisC-45SyntaxC-45Traversals-n--7861-11538-u--goPTerm arg-1 e-180)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (arg-1 e-5))) eff-1))))))))))) ((46) (let ((e-182 (vector-ref arg-2 1))) (let ((e-183 (vector-ref arg-2 2))) (let ((e-184 (vector-ref arg-2 3))) (let ((e-185 (vector-ref arg-2 4))) (let ((eff-0 (CoreC-45Core-C-60C-42C-62 (CoreC-45Core-C-60C-42C-62 (let ((eff-0 (IdrisC-45SyntaxC-45Traversals-n--7861-11538-u--goPTerm arg-1 e-183))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-0) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-0) arg-3)))) (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (vector 46 e-182 eta-0 eta-1 eta-2)))))) eff-0)) (IdrisC-45SyntaxC-45Traversals-n--7861-11550-u--goMPTerm arg-1 e-184)) (IdrisC-45SyntaxC-45Traversals-n--7861-11538-u--goPTerm arg-1 e-185)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (arg-1 e-5))) eff-1)))))))))))) ((47) (let ((e-187 (vector-ref arg-2 1))) (let ((e-188 (vector-ref arg-2 2))) (let ((e-189 (vector-ref arg-2 3))) (let ((eff-0 (CoreC-45Core-C-60C-42C-62 (let ((eff-0 (IdrisC-45SyntaxC-45Traversals-n--7861-11538-u--goPTerm arg-1 e-188))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-0) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-0) arg-3)))) (lambda (eta-0) (lambda (eta-1) (vector 47 e-187 eta-0 eta-1))))) eff-0)) (IdrisC-45SyntaxC-45Traversals-n--7861-11550-u--goMPTerm arg-1 e-189)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (arg-1 e-5))) eff-1))))))))))) ((50) (let ((e-191 (vector-ref arg-2 1))) (let ((e-192 (vector-ref arg-2 2))) (let ((e-193 (vector-ref arg-2 3))) (let ((eff-0 (let ((eff-0 (IdrisC-45SyntaxC-45Traversals-n--7861-11538-u--goPTerm arg-1 e-193))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-0) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-0) arg-3)))) (lambda (eta-0) (vector 50 e-191 e-192 eta-0)))) eff-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (arg-1 e-5))) eff-1))))))))))) ((48) (let ((e-195 (vector-ref arg-2 1))) (let ((e-196 (vector-ref arg-2 2))) (let ((e-197 (vector-ref arg-2 3))) (let ((eff-0 (CoreC-45Core-C-60C-42C-62 (let ((eff-0 (IdrisC-45SyntaxC-45Traversals-n--7861-11538-u--goPTerm arg-1 e-196))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-0) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-0) arg-3)))) (lambda (eta-0) (lambda (eta-1) (vector 48 e-195 eta-0 eta-1))))) eff-0)) (lambda (eta-0) (vector 1 e-197))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (arg-1 e-5))) eff-1))))))))))) ((49) (let ((e-199 (vector-ref arg-2 1))) (let ((e-200 (vector-ref arg-2 2))) (arg-1 (vector 49 e-199 e-200))))) (else (let ((e-202 (vector-ref arg-2 1))) (let ((e-203 (vector-ref arg-2 2))) (let ((e-204 (vector-ref arg-2 3))) (let ((eff-0 (let ((eff-0 (IdrisC-45SyntaxC-45Traversals-n--7861-11538-u--goPTerm arg-1 e-204))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-0) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-0) arg-3)))) (lambda (eta-0) (vector 51 e-202 e-203 eta-0)))) eff-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (arg-1 e-5))) eff-1))))))))))))))
(define IdrisC-45SyntaxC-45Traversals-n--7861-11558-u--goPStrings (lambda (arg-1 arg-2) (if (null? arg-2) (lambda (eta-0) (vector 1 '())) (let ((e-2 (car arg-2))) (let ((e-3 (cdr arg-2))) (CoreC-45Core-C-60C-42C-62 (let ((eff-0 (IdrisC-45SyntaxC-45Traversals-n--7861-11540-u--goPStr arg-1 e-2))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-4 (vector-ref eta-3 1))) (vector 0 e-4))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-0) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-0) arg-3)))) (csegen-152))) eff-0)) (IdrisC-45SyntaxC-45Traversals-n--7861-11558-u--goPStrings arg-1 e-3)))))))
(define IdrisC-45SyntaxC-45Traversals-n--7861-11557-u--goPStringLines (lambda (arg-1 arg-2) (if (null? arg-2) (lambda (eta-0) (vector 1 '())) (let ((e-2 (car arg-2))) (let ((e-3 (cdr arg-2))) (CoreC-45Core-C-60C-42C-62 (let ((eff-0 (IdrisC-45SyntaxC-45Traversals-n--7861-11558-u--goPStrings arg-1 e-2))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-4 (vector-ref eta-3 1))) (vector 0 e-4))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-0) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-0) arg-3)))) (csegen-152))) eff-0)) (IdrisC-45SyntaxC-45Traversals-n--7861-11557-u--goPStringLines arg-1 e-3)))))))
(define IdrisC-45SyntaxC-45Traversals-n--9493-13261-u--goPStr (lambda (arg-1 arg-2) (case (vector-ref arg-2 0) ((1) (let ((e-1 (vector-ref arg-2 1))) (let ((e-2 (vector-ref arg-2 2))) (vector 1 e-1 (IdrisC-45SyntaxC-45Traversals-n--9493-13259-u--goPTerm arg-1 e-2)))))(else arg-2))))
(define IdrisC-45SyntaxC-45Traversals-n--7861-11540-u--goPStr (lambda (arg-1 arg-2) (case (vector-ref arg-2 0) ((1) (let ((e-1 (vector-ref arg-2 1))) (let ((e-2 (vector-ref arg-2 2))) (let ((eff-0 (IdrisC-45SyntaxC-45Traversals-n--7861-11538-u--goPTerm arg-1 e-2))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-3 (vector-ref eta-3 1))) (vector 0 e-3))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-0) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-0) arg-3)))) (lambda (eta-0) (vector 1 e-1 eta-0)))) eff-0)))))(else (lambda (eta-0) (vector 1 arg-2))))))
(define IdrisC-45SyntaxC-45Traversals-n--7861-11565-u--goPFnOpts (lambda (arg-1 arg-2) (if (null? arg-2) (lambda (eta-0) (vector 1 '())) (let ((e-2 (car arg-2))) (let ((e-3 (cdr arg-2))) (CoreC-45Core-C-60C-42C-62 (let ((eff-0 (IdrisC-45SyntaxC-45Traversals-n--7861-11549-u--goPFnOpt arg-1 e-2))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-4 (vector-ref eta-3 1))) (vector 0 e-4))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-0) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-0) arg-3)))) (csegen-152))) eff-0)) (IdrisC-45SyntaxC-45Traversals-n--7861-11565-u--goPFnOpts arg-1 e-3)))))))
(define IdrisC-45SyntaxC-45Traversals-n--9493-13270-u--goPFnOpt (lambda (arg-1 arg-2) (case (vector-ref arg-2 0) ((0) arg-2) ((1) (let ((e-3 (vector-ref arg-2 1))) (vector 1 (PreludeC-45Interfaces-C-60C-36C-62 (csegen-24) (lambda (eta-0) (IdrisC-45SyntaxC-45Traversals-n--9493-13259-u--goPTerm arg-1 eta-0)) e-3)))) (else (let ((e-5 (vector-ref arg-2 1))) (vector 2 (PreludeC-45Interfaces-C-60C-36C-62 (csegen-24) (lambda (eta-0) (IdrisC-45SyntaxC-45Traversals-n--9493-13259-u--goPTerm arg-1 eta-0)) e-5)))))))
(define IdrisC-45SyntaxC-45Traversals-n--7861-11549-u--goPFnOpt (lambda (arg-1 arg-2) (case (vector-ref arg-2 0) ((0) (lambda (eta-0) (vector 1 arg-2))) ((1) (let ((e-3 (vector-ref arg-2 1))) (let ((eff-0 (IdrisC-45SyntaxC-45Traversals-n--7861-11551-u--goPTerms arg-1 e-3))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-0) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-0) arg-3)))) (lambda (eta-0) (vector 1 eta-0)))) eff-0)))) (else (let ((e-5 (vector-ref arg-2 1))) (let ((eff-0 (IdrisC-45SyntaxC-45Traversals-n--7861-11551-u--goPTerms arg-1 e-5))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-6 (vector-ref eta-3 1))) (vector 1 (eta-2 e-6))))))))))) (lambda (arg-0) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-0) arg-3)))) (lambda (eta-0) (vector 2 eta-0)))) eff-0)))))))
(define IdrisC-45SyntaxC-45Traversals-n--7861-11564-u--goPFields (lambda (arg-1 arg-2) (if (null? arg-2) (lambda (eta-0) (vector 1 '())) (let ((e-2 (car arg-2))) (let ((e-3 (cdr arg-2))) (CoreC-45Core-C-60C-42C-62 (let ((eff-0 (IdrisC-45SyntaxC-45Traversals-n--7861-11547-u--goPField arg-1 e-2))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-4 (vector-ref eta-3 1))) (vector 0 e-4))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-0) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-0) arg-3)))) (csegen-152))) eff-0)) (IdrisC-45SyntaxC-45Traversals-n--7861-11564-u--goPFields arg-1 e-3)))))))
(define IdrisC-45SyntaxC-45Traversals-n--7861-11563-u--goPFieldUpdates (lambda (arg-1 arg-2) (if (null? arg-2) (lambda (eta-0) (vector 1 '())) (let ((e-2 (car arg-2))) (let ((e-3 (cdr arg-2))) (CoreC-45Core-C-60C-42C-62 (let ((eff-0 (IdrisC-45SyntaxC-45Traversals-n--7861-11539-u--goPFieldUpdate arg-1 e-2))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-4 (vector-ref eta-3 1))) (vector 0 e-4))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-0) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-0) arg-3)))) (csegen-152))) eff-0)) (IdrisC-45SyntaxC-45Traversals-n--7861-11563-u--goPFieldUpdates arg-1 e-3)))))))
(define IdrisC-45SyntaxC-45Traversals-n--9493-13260-u--goPFieldUpdate (lambda (arg-1 arg-2) (case (vector-ref arg-2 0) ((0) (let ((e-1 (vector-ref arg-2 1))) (let ((e-2 (vector-ref arg-2 2))) (vector 0 e-1 (IdrisC-45SyntaxC-45Traversals-n--9493-13259-u--goPTerm arg-1 e-2))))) (else (let ((e-4 (vector-ref arg-2 1))) (let ((e-5 (vector-ref arg-2 2))) (vector 1 e-4 (IdrisC-45SyntaxC-45Traversals-n--9493-13259-u--goPTerm arg-1 e-5))))))))
(define IdrisC-45SyntaxC-45Traversals-n--7861-11539-u--goPFieldUpdate (lambda (arg-1 arg-2) (case (vector-ref arg-2 0) ((0) (let ((e-1 (vector-ref arg-2 1))) (let ((e-2 (vector-ref arg-2 2))) (let ((eff-0 (IdrisC-45SyntaxC-45Traversals-n--7861-11538-u--goPTerm arg-1 e-2))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-3 (vector-ref eta-3 1))) (vector 0 e-3))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-0) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-0) arg-3)))) (lambda (eta-0) (vector 0 e-1 eta-0)))) eff-0))))) (else (let ((e-4 (vector-ref arg-2 1))) (let ((e-5 (vector-ref arg-2 2))) (let ((eff-0 (IdrisC-45SyntaxC-45Traversals-n--7861-11538-u--goPTerm arg-1 e-5))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-6 (vector-ref eta-3 1))) (vector 1 (eta-2 e-6))))))))))) (lambda (arg-0) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-0) arg-3)))) (lambda (eta-0) (vector 1 e-4 eta-0)))) eff-0))))))))
(define IdrisC-45SyntaxC-45Traversals-n--9493-13268-u--goPField (lambda (arg-1 arg-2) (let ((e-1 (vector-ref arg-2 0))) (let ((e-2 (vector-ref arg-2 1))) (let ((e-3 (vector-ref arg-2 2))) (let ((e-4 (vector-ref arg-2 3))) (let ((e-5 (vector-ref arg-2 4))) (let ((e-6 (vector-ref arg-2 5))) (vector e-1 e-2 e-3 (IdrisC-45SyntaxC-45Traversals-n--9493-13269-u--goPiInfo arg-1 e-4) e-5 (IdrisC-45SyntaxC-45Traversals-n--9493-13259-u--goPTerm arg-1 e-6))))))))))
(define IdrisC-45SyntaxC-45Traversals-n--7861-11547-u--goPField (lambda (arg-1 arg-2) (let ((e-1 (vector-ref arg-2 0))) (let ((e-2 (vector-ref arg-2 1))) (let ((e-3 (vector-ref arg-2 2))) (let ((e-4 (vector-ref arg-2 3))) (let ((e-5 (vector-ref arg-2 4))) (let ((e-6 (vector-ref arg-2 5))) (CoreC-45Core-C-60C-42C-62 (CoreC-45Core-C-60C-42C-62 (let ((eff-0 (IdrisC-45SyntaxC-45Traversals-n--7861-11548-u--goPiInfo arg-1 e-4))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-7 (vector-ref eta-3 1))) (vector 0 e-7))) (else (let ((e-7 (vector-ref eta-3 1))) (vector 1 (eta-2 e-7))))))))))) (lambda (arg-0) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-0) arg-3)))) (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (vector e-1 e-2 e-3 eta-0 eta-1 eta-2)))))) eff-0)) (lambda (eta-0) (vector 1 e-5))) (IdrisC-45SyntaxC-45Traversals-n--7861-11538-u--goPTerm arg-1 e-6))))))))))
(define IdrisC-45SyntaxC-45Traversals-n--7861-11559-u--goPDos (lambda (arg-1 arg-2) (if (null? arg-2) (lambda (eta-0) (vector 1 '())) (let ((e-2 (car arg-2))) (let ((e-3 (cdr arg-2))) (CoreC-45Core-C-60C-42C-62 (let ((eff-0 (IdrisC-45SyntaxC-45Traversals-n--7861-11541-u--goPDo arg-1 e-2))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-4 (vector-ref eta-3 1))) (vector 0 e-4))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-0) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-0) arg-3)))) (csegen-152))) eff-0)) (IdrisC-45SyntaxC-45Traversals-n--7861-11559-u--goPDos arg-1 e-3)))))))
(define IdrisC-45SyntaxC-45Traversals-n--9493-13262-u--goPDo (lambda (arg-1 arg-2) (case (vector-ref arg-2 0) ((0) (let ((e-1 (vector-ref arg-2 1))) (let ((e-2 (vector-ref arg-2 2))) (vector 0 e-1 (IdrisC-45SyntaxC-45Traversals-n--9493-13259-u--goPTerm arg-1 e-2))))) ((1) (let ((e-4 (vector-ref arg-2 1))) (let ((e-5 (vector-ref arg-2 2))) (let ((e-6 (vector-ref arg-2 3))) (let ((e-7 (vector-ref arg-2 4))) (vector 1 e-4 e-5 e-6 (IdrisC-45SyntaxC-45Traversals-n--9493-13259-u--goPTerm arg-1 e-7))))))) ((2) (let ((e-9 (vector-ref arg-2 1))) (let ((e-10 (vector-ref arg-2 2))) (let ((e-11 (vector-ref arg-2 3))) (let ((e-12 (vector-ref arg-2 4))) (vector 2 e-9 (IdrisC-45SyntaxC-45Traversals-n--9493-13259-u--goPTerm arg-1 e-10) (IdrisC-45SyntaxC-45Traversals-n--9493-13259-u--goPTerm arg-1 e-11) (PreludeC-45Interfaces-C-60C-36C-62 (csegen-24) (lambda (eta-0) (IdrisC-45SyntaxC-45Traversals-n--9493-13264-u--goPClause arg-1 eta-0)) e-12))))))) ((3) (let ((e-14 (vector-ref arg-2 1))) (let ((e-15 (vector-ref arg-2 2))) (let ((e-16 (vector-ref arg-2 3))) (let ((e-17 (vector-ref arg-2 4))) (let ((e-18 (vector-ref arg-2 5))) (let ((e-19 (vector-ref arg-2 6))) (vector 3 e-14 e-15 e-16 e-17 (IdrisC-45SyntaxC-45Traversals-n--9493-13259-u--goPTerm arg-1 e-18) (IdrisC-45SyntaxC-45Traversals-n--9493-13259-u--goPTerm arg-1 e-19))))))))) ((4) (let ((e-21 (vector-ref arg-2 1))) (let ((e-22 (vector-ref arg-2 2))) (let ((e-23 (vector-ref arg-2 3))) (let ((e-24 (vector-ref arg-2 4))) (let ((e-25 (vector-ref arg-2 5))) (vector 4 e-21 (IdrisC-45SyntaxC-45Traversals-n--9493-13259-u--goPTerm arg-1 e-22) (IdrisC-45SyntaxC-45Traversals-n--9493-13259-u--goPTerm arg-1 e-23) (IdrisC-45SyntaxC-45Traversals-n--9493-13259-u--goPTerm arg-1 e-24) (PreludeC-45Interfaces-C-60C-36C-62 (csegen-24) (lambda (eta-0) (IdrisC-45SyntaxC-45Traversals-n--9493-13264-u--goPClause arg-1 eta-0)) e-25)))))))) ((5) (let ((e-27 (vector-ref arg-2 1))) (let ((e-28 (vector-ref arg-2 2))) (vector 5 e-27 (PreludeC-45Interfaces-C-60C-36C-62 (csegen-24) (lambda (eta-0) (IdrisC-45SyntaxC-45Traversals-n--9493-13265-u--goPDecl arg-1 eta-0)) e-28))))) (else (let ((e-30 (vector-ref arg-2 1))) (let ((e-31 (vector-ref arg-2 2))) (vector 6 e-30 (IdrisC-45SyntaxC-45Traversals-n--9493-13259-u--goPTerm arg-1 e-31))))))))
(define IdrisC-45SyntaxC-45Traversals-n--7861-11541-u--goPDo (lambda (arg-1 arg-2) (case (vector-ref arg-2 0) ((0) (let ((e-1 (vector-ref arg-2 1))) (let ((e-2 (vector-ref arg-2 2))) (let ((eff-0 (IdrisC-45SyntaxC-45Traversals-n--7861-11538-u--goPTerm arg-1 e-2))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-3 (vector-ref eta-3 1))) (vector 0 e-3))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-0) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-0) arg-3)))) (lambda (eta-0) (vector 0 e-1 eta-0)))) eff-0))))) ((1) (let ((e-4 (vector-ref arg-2 1))) (let ((e-5 (vector-ref arg-2 2))) (let ((e-6 (vector-ref arg-2 3))) (let ((e-7 (vector-ref arg-2 4))) (let ((eff-0 (IdrisC-45SyntaxC-45Traversals-n--7861-11538-u--goPTerm arg-1 e-7))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-8 (vector-ref eta-3 1))) (vector 1 (eta-2 e-8))))))))))) (lambda (arg-0) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-0) arg-3)))) (lambda (eta-0) (vector 1 e-4 e-5 e-6 eta-0)))) eff-0))))))) ((2) (let ((e-9 (vector-ref arg-2 1))) (let ((e-10 (vector-ref arg-2 2))) (let ((e-11 (vector-ref arg-2 3))) (let ((e-12 (vector-ref arg-2 4))) (CoreC-45Core-C-60C-42C-62 (CoreC-45Core-C-60C-42C-62 (let ((eff-0 (IdrisC-45SyntaxC-45Traversals-n--7861-11538-u--goPTerm arg-1 e-10))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-0) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-0) arg-3)))) (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (vector 2 e-9 eta-0 eta-1 eta-2)))))) eff-0)) (IdrisC-45SyntaxC-45Traversals-n--7861-11538-u--goPTerm arg-1 e-11)) (IdrisC-45SyntaxC-45Traversals-n--7861-11560-u--goPClauses arg-1 e-12))))))) ((3) (let ((e-14 (vector-ref arg-2 1))) (let ((e-15 (vector-ref arg-2 2))) (let ((e-16 (vector-ref arg-2 3))) (let ((e-17 (vector-ref arg-2 4))) (let ((e-18 (vector-ref arg-2 5))) (let ((e-19 (vector-ref arg-2 6))) (CoreC-45Core-C-60C-42C-62 (let ((eff-0 (IdrisC-45SyntaxC-45Traversals-n--7861-11538-u--goPTerm arg-1 e-18))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-0) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-0) arg-3)))) (lambda (eta-0) (lambda (eta-1) (vector 3 e-14 e-15 e-16 e-17 eta-0 eta-1))))) eff-0)) (IdrisC-45SyntaxC-45Traversals-n--7861-11538-u--goPTerm arg-1 e-19))))))))) ((4) (let ((e-21 (vector-ref arg-2 1))) (let ((e-22 (vector-ref arg-2 2))) (let ((e-23 (vector-ref arg-2 3))) (let ((e-24 (vector-ref arg-2 4))) (let ((e-25 (vector-ref arg-2 5))) (CoreC-45Core-C-60C-42C-62 (CoreC-45Core-C-60C-42C-62 (CoreC-45Core-C-60C-42C-62 (let ((eff-0 (IdrisC-45SyntaxC-45Traversals-n--7861-11538-u--goPTerm arg-1 e-22))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-0) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-0) arg-3)))) (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (vector 4 e-21 eta-0 eta-1 eta-2 eta-3))))))) eff-0)) (IdrisC-45SyntaxC-45Traversals-n--7861-11538-u--goPTerm arg-1 e-23)) (IdrisC-45SyntaxC-45Traversals-n--7861-11538-u--goPTerm arg-1 e-24)) (IdrisC-45SyntaxC-45Traversals-n--7861-11560-u--goPClauses arg-1 e-25)))))))) ((5) (let ((e-27 (vector-ref arg-2 1))) (let ((e-28 (vector-ref arg-2 2))) (let ((eff-0 (IdrisC-45SyntaxC-45Traversals-n--7861-11562-u--goPDecls arg-1 e-28))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-0) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-0) arg-3)))) (lambda (eta-0) (vector 5 e-27 eta-0)))) eff-0))))) (else (let ((e-30 (vector-ref arg-2 1))) (let ((e-31 (vector-ref arg-2 2))) (let ((eff-0 (IdrisC-45SyntaxC-45Traversals-n--7861-11538-u--goPTerm arg-1 e-31))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-0) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-0) arg-3)))) (lambda (eta-0) (vector 6 e-30 eta-0)))) eff-0))))))))
(define IdrisC-45SyntaxC-45Traversals-n--7861-11562-u--goPDecls (lambda (arg-1 arg-2) (if (null? arg-2) (lambda (eta-0) (vector 1 '())) (let ((e-2 (car arg-2))) (let ((e-3 (cdr arg-2))) (CoreC-45Core-C-60C-42C-62 (let ((eff-0 (IdrisC-45SyntaxC-45Traversals-n--7861-11544-u--goPDecl arg-1 e-2))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-4 (vector-ref eta-3 1))) (vector 0 e-4))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-0) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-0) arg-3)))) (csegen-152))) eff-0)) (IdrisC-45SyntaxC-45Traversals-n--7861-11562-u--goPDecls arg-1 e-3)))))))
(define IdrisC-45SyntaxC-45Traversals-n--9493-13265-u--goPDecl (lambda (arg-1 arg-2) (case (vector-ref arg-2 0) ((0) (let ((e-1 (vector-ref arg-2 1))) (let ((e-2 (vector-ref arg-2 2))) (let ((e-3 (vector-ref arg-2 3))) (let ((e-4 (vector-ref arg-2 4))) (let ((e-5 (vector-ref arg-2 5))) (vector 0 e-1 e-2 e-3 (PreludeC-45Interfaces-C-60C-36C-62 (csegen-24) (lambda (eta-0) (IdrisC-45SyntaxC-45Traversals-n--9493-13270-u--goPFnOpt arg-1 eta-0)) e-4) (IdrisC-45SyntaxC-45Traversals-n--9493-13266-u--goPTypeDecl arg-1 e-5)))))))) ((1) (let ((e-7 (vector-ref arg-2 1))) (let ((e-8 (vector-ref arg-2 2))) (vector 1 e-7 (PreludeC-45Interfaces-C-60C-36C-62 (csegen-24) (lambda (eta-0) (IdrisC-45SyntaxC-45Traversals-n--9493-13264-u--goPClause arg-1 eta-0)) e-8))))) ((2) (let ((e-10 (vector-ref arg-2 1))) (let ((e-11 (vector-ref arg-2 2))) (let ((e-12 (vector-ref arg-2 3))) (let ((e-13 (vector-ref arg-2 4))) (let ((e-14 (vector-ref arg-2 5))) (vector 2 e-10 e-11 e-12 e-13 (IdrisC-45SyntaxC-45Traversals-n--9493-13267-u--goPDataDecl arg-1 e-14)))))))) ((3) (let ((e-16 (vector-ref arg-2 1))) (let ((e-17 (vector-ref arg-2 2))) (let ((e-18 (vector-ref arg-2 3))) (vector 3 e-16 (IdrisC-45SyntaxC-45Traversals-n--9493-13275-u--go4TupledPTerms arg-1 e-17) (PreludeC-45Interfaces-C-60C-36C-62 (csegen-24) (lambda (eta-0) (IdrisC-45SyntaxC-45Traversals-n--9493-13265-u--goPDecl arg-1 eta-0)) e-18)))))) ((4) (let ((e-20 (vector-ref arg-2 1))) (let ((e-21 (vector-ref arg-2 2))) (let ((e-22 (vector-ref arg-2 3))) (vector 4 e-20 (IdrisC-45SyntaxC-45Traversals-n--9493-13271-u--goPairedPTerms arg-1 e-21) (PreludeC-45Interfaces-C-60C-36C-62 (csegen-24) (lambda (eta-0) (IdrisC-45SyntaxC-45Traversals-n--9493-13265-u--goPDecl arg-1 eta-0)) e-22)))))) ((5) (let ((e-24 (vector-ref arg-2 1))) (let ((e-25 (vector-ref arg-2 2))) (vector 5 e-24 (IdrisC-45SyntaxC-45Traversals-n--9493-13259-u--goPTerm arg-1 e-25))))) ((6) (let ((e-27 (vector-ref arg-2 1))) (let ((e-28 (vector-ref arg-2 2))) (let ((e-29 (vector-ref arg-2 3))) (let ((e-30 (vector-ref arg-2 4))) (let ((e-31 (vector-ref arg-2 5))) (let ((e-32 (vector-ref arg-2 6))) (let ((e-33 (vector-ref arg-2 7))) (let ((e-34 (vector-ref arg-2 8))) (let ((e-35 (vector-ref arg-2 9))) (vector 6 e-27 e-28 (IdrisC-45SyntaxC-45Traversals-n--9493-13271-u--goPairedPTerms arg-1 e-29) e-30 e-31 (IdrisC-45SyntaxC-45Traversals-n--9493-13273-u--go3TupledPTerms arg-1 e-32) e-33 e-34 (PreludeC-45Interfaces-C-60C-36C-62 (csegen-24) (lambda (eta-0) (IdrisC-45SyntaxC-45Traversals-n--9493-13265-u--goPDecl arg-1 eta-0)) e-35)))))))))))) ((7) (let ((e-37 (vector-ref arg-2 1))) (let ((e-38 (vector-ref arg-2 2))) (let ((e-39 (vector-ref arg-2 3))) (let ((e-40 (vector-ref arg-2 4))) (let ((e-41 (vector-ref arg-2 5))) (let ((e-42 (vector-ref arg-2 6))) (let ((e-43 (vector-ref arg-2 7))) (let ((e-44 (vector-ref arg-2 8))) (let ((e-45 (vector-ref arg-2 9))) (let ((e-46 (vector-ref arg-2 10))) (let ((e-47 (vector-ref arg-2 11))) (vector 7 e-37 e-38 e-39 e-40 (IdrisC-45SyntaxC-45Traversals-n--9493-13274-u--goImplicits arg-1 e-41) (IdrisC-45SyntaxC-45Traversals-n--9493-13271-u--goPairedPTerms arg-1 e-42) e-43 (PreludeC-45Interfaces-C-60C-36C-62 (csegen-24) (lambda (eta-0) (IdrisC-45SyntaxC-45Traversals-n--9493-13259-u--goPTerm arg-1 eta-0)) e-44) e-45 e-46 (((csegen-77) (lambda (arg-0) (PreludeC-45Interfaces-C-60C-36C-62 (csegen-24) (lambda (eta-0) (IdrisC-45SyntaxC-45Traversals-n--9493-13265-u--goPDecl arg-1 eta-0)) arg-0))) e-47)))))))))))))) ((8) (let ((e-49 (vector-ref arg-2 1))) (let ((e-50 (vector-ref arg-2 2))) (let ((e-51 (vector-ref arg-2 3))) (let ((e-52 (vector-ref arg-2 4))) (let ((e-53 (vector-ref arg-2 5))) (case (vector-ref e-53 0) ((0) (let ((e-86 (vector-ref e-53 1))) (let ((e-87 (vector-ref e-53 2))) (let ((e-88 (vector-ref e-53 3))) (let ((e-89 (vector-ref e-53 4))) (let ((e-90 (vector-ref e-53 5))) (vector 8 e-49 e-50 e-51 e-52 (vector 0 e-86 (IdrisC-45SyntaxC-45Traversals-n--9493-13275-u--go4TupledPTerms arg-1 e-87) e-88 e-89 (PreludeC-45Interfaces-C-60C-36C-62 (csegen-24) (lambda (eta-0) (IdrisC-45SyntaxC-45Traversals-n--9493-13268-u--goPField arg-1 eta-0)) e-90))))))))) (else (let ((e-92 (vector-ref e-53 1))) (let ((e-93 (vector-ref e-53 2))) (vector 8 e-49 e-50 e-51 e-52 (vector 1 e-92 (IdrisC-45SyntaxC-45Traversals-n--9493-13275-u--go4TupledPTerms arg-1 e-93))))))))))))) ((9) (let ((e-55 (vector-ref arg-2 1))) (let ((e-56 (vector-ref arg-2 2))) (let ((e-57 (vector-ref arg-2 3))) (vector 9 e-55 e-56 (PreludeC-45Interfaces-C-60C-36C-62 (csegen-24) (lambda (eta-0) (IdrisC-45SyntaxC-45Traversals-n--9493-13265-u--goPDecl arg-1 eta-0)) e-57)))))) ((10) (let ((e-59 (vector-ref arg-2 1))) (let ((e-60 (vector-ref arg-2 2))) (vector 10 e-59 (PreludeC-45Interfaces-C-60C-36C-62 (csegen-24) (lambda (eta-0) (IdrisC-45SyntaxC-45Traversals-n--9493-13265-u--goPDecl arg-1 eta-0)) e-60))))) ((11) arg-2) ((12) (let ((e-67 (vector-ref arg-2 1))) (let ((e-68 (vector-ref arg-2 2))) (let ((e-69 (vector-ref arg-2 3))) (vector 12 e-67 e-68 (PreludeC-45Interfaces-C-60C-36C-62 (csegen-24) (lambda (eta-0) (IdrisC-45SyntaxC-45Traversals-n--9493-13265-u--goPDecl arg-1 eta-0)) e-69)))))) ((13) (let ((e-71 (vector-ref arg-2 1))) (let ((e-72 (vector-ref arg-2 2))) (let ((e-73 (vector-ref arg-2 3))) (let ((e-74 (vector-ref arg-2 4))) (vector 13 e-71 e-72 (IdrisC-45SyntaxC-45Traversals-n--9493-13259-u--goPTerm arg-1 e-73) (IdrisC-45SyntaxC-45Traversals-n--9493-13259-u--goPTerm arg-1 e-74))))))) ((14) (let ((e-76 (vector-ref arg-2 1))) (let ((e-77 (vector-ref arg-2 2))) (vector 14 e-76 (IdrisC-45SyntaxC-45Traversals-n--9493-13259-u--goPTerm arg-1 e-77))))) ((15) arg-2) (else arg-2))))
(define IdrisC-45SyntaxC-45Traversals-n--7861-11544-u--goPDecl (lambda (arg-1 arg-2) (case (vector-ref arg-2 0) ((0) (let ((e-1 (vector-ref arg-2 1))) (let ((e-2 (vector-ref arg-2 2))) (let ((e-3 (vector-ref arg-2 3))) (let ((e-4 (vector-ref arg-2 4))) (let ((e-5 (vector-ref arg-2 5))) (CoreC-45Core-C-60C-42C-62 (let ((eff-0 (IdrisC-45SyntaxC-45Traversals-n--7861-11565-u--goPFnOpts arg-1 e-4))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-6 (vector-ref eta-3 1))) (vector 0 e-6))) (else (let ((e-6 (vector-ref eta-3 1))) (vector 1 (eta-2 e-6))))))))))) (lambda (arg-0) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-0) arg-3)))) (lambda (eta-0) (lambda (eta-1) (vector 0 e-1 e-2 e-3 eta-0 eta-1))))) eff-0)) (IdrisC-45SyntaxC-45Traversals-n--7861-11545-u--goPTypeDecl arg-1 e-5)))))))) ((1) (let ((e-7 (vector-ref arg-2 1))) (let ((e-8 (vector-ref arg-2 2))) (let ((eff-0 (IdrisC-45SyntaxC-45Traversals-n--7861-11560-u--goPClauses arg-1 e-8))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-0) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-0) arg-3)))) (lambda (eta-0) (vector 1 e-7 eta-0)))) eff-0))))) ((2) (let ((e-10 (vector-ref arg-2 1))) (let ((e-11 (vector-ref arg-2 2))) (let ((e-12 (vector-ref arg-2 3))) (let ((e-13 (vector-ref arg-2 4))) (let ((e-14 (vector-ref arg-2 5))) (let ((eff-0 (IdrisC-45SyntaxC-45Traversals-n--7861-11546-u--goPDataDecl arg-1 e-14))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-0) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-0) arg-3)))) (lambda (eta-0) (vector 2 e-10 e-11 e-12 e-13 eta-0)))) eff-0)))))))) ((3) (let ((e-16 (vector-ref arg-2 1))) (let ((e-17 (vector-ref arg-2 2))) (let ((e-18 (vector-ref arg-2 3))) (CoreC-45Core-C-60C-42C-62 (let ((eff-0 (IdrisC-45SyntaxC-45Traversals-n--7861-11556-u--go4TupledPTerms arg-1 e-17))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-0) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-0) arg-3)))) (lambda (eta-0) (lambda (eta-1) (vector 3 e-16 eta-0 eta-1))))) eff-0)) (IdrisC-45SyntaxC-45Traversals-n--7861-11562-u--goPDecls arg-1 e-18)))))) ((4) (let ((e-20 (vector-ref arg-2 1))) (let ((e-21 (vector-ref arg-2 2))) (let ((e-22 (vector-ref arg-2 3))) (CoreC-45Core-C-60C-42C-62 (let ((eff-0 (IdrisC-45SyntaxC-45Traversals-n--7861-11552-u--goPairedPTerms arg-1 e-21))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-0) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-0) arg-3)))) (lambda (eta-0) (lambda (eta-1) (vector 4 e-20 eta-0 eta-1))))) eff-0)) (IdrisC-45SyntaxC-45Traversals-n--7861-11562-u--goPDecls arg-1 e-22)))))) ((5) (let ((e-24 (vector-ref arg-2 1))) (let ((e-25 (vector-ref arg-2 2))) (let ((eff-0 (IdrisC-45SyntaxC-45Traversals-n--7861-11538-u--goPTerm arg-1 e-25))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-0) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-0) arg-3)))) (lambda (eta-0) (vector 5 e-24 eta-0)))) eff-0))))) ((6) (let ((e-27 (vector-ref arg-2 1))) (let ((e-28 (vector-ref arg-2 2))) (let ((e-29 (vector-ref arg-2 3))) (let ((e-30 (vector-ref arg-2 4))) (let ((e-31 (vector-ref arg-2 5))) (let ((e-32 (vector-ref arg-2 6))) (let ((e-33 (vector-ref arg-2 7))) (let ((e-34 (vector-ref arg-2 8))) (let ((e-35 (vector-ref arg-2 9))) (CoreC-45Core-C-60C-42C-62 (CoreC-45Core-C-60C-42C-62 (CoreC-45Core-C-60C-42C-62 (CoreC-45Core-C-60C-42C-62 (CoreC-45Core-C-60C-42C-62 (CoreC-45Core-C-60C-42C-62 (let ((eff-0 (IdrisC-45SyntaxC-45Traversals-n--7861-11552-u--goPairedPTerms arg-1 e-29))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-0) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-0) arg-3)))) (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (lambda (eta-4) (lambda (eta-5) (lambda (eta-6) (vector 6 e-27 e-28 eta-0 eta-1 eta-2 eta-3 eta-4 eta-5 eta-6)))))))))) eff-0)) (lambda (eta-0) (vector 1 e-30))) (lambda (eta-0) (vector 1 e-31))) (IdrisC-45SyntaxC-45Traversals-n--7861-11554-u--go3TupledPTerms arg-1 e-32)) (lambda (eta-0) (vector 1 e-33))) (lambda (eta-0) (vector 1 e-34))) (IdrisC-45SyntaxC-45Traversals-n--7861-11562-u--goPDecls arg-1 e-35)))))))))))) ((7) (let ((e-37 (vector-ref arg-2 1))) (let ((e-38 (vector-ref arg-2 2))) (let ((e-39 (vector-ref arg-2 3))) (let ((e-40 (vector-ref arg-2 4))) (let ((e-41 (vector-ref arg-2 5))) (let ((e-42 (vector-ref arg-2 6))) (let ((e-43 (vector-ref arg-2 7))) (let ((e-44 (vector-ref arg-2 8))) (let ((e-45 (vector-ref arg-2 9))) (let ((e-46 (vector-ref arg-2 10))) (let ((e-47 (vector-ref arg-2 11))) (CoreC-45Core-C-60C-42C-62 (CoreC-45Core-C-60C-42C-62 (CoreC-45Core-C-60C-42C-62 (CoreC-45Core-C-60C-42C-62 (CoreC-45Core-C-60C-42C-62 (CoreC-45Core-C-60C-42C-62 (let ((eff-0 (IdrisC-45SyntaxC-45Traversals-n--7861-11555-u--goImplicits arg-1 e-41))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-0) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-0) arg-3)))) (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (lambda (eta-4) (lambda (eta-5) (lambda (eta-6) (vector 7 e-37 e-38 e-39 e-40 eta-0 eta-1 eta-2 eta-3 eta-4 eta-5 eta-6)))))))))) eff-0)) (IdrisC-45SyntaxC-45Traversals-n--7861-11552-u--goPairedPTerms arg-1 e-42)) (lambda (eta-0) (vector 1 e-43))) (IdrisC-45SyntaxC-45Traversals-n--7861-11551-u--goPTerms arg-1 e-44)) (lambda (eta-0) (vector 1 e-45))) (lambda (eta-0) (vector 1 e-46))) (IdrisC-45SyntaxC-45Traversals-n--7861-11561-u--goMPDecls arg-1 e-47)))))))))))))) ((8) (let ((e-49 (vector-ref arg-2 1))) (let ((e-50 (vector-ref arg-2 2))) (let ((e-51 (vector-ref arg-2 3))) (let ((e-52 (vector-ref arg-2 4))) (let ((e-53 (vector-ref arg-2 5))) (case (vector-ref e-53 0) ((0) (let ((e-86 (vector-ref e-53 1))) (let ((e-87 (vector-ref e-53 2))) (let ((e-88 (vector-ref e-53 3))) (let ((e-89 (vector-ref e-53 4))) (let ((e-90 (vector-ref e-53 5))) (let ((eff-0 (CoreC-45Core-C-60C-42C-62 (CoreC-45Core-C-60C-42C-62 (CoreC-45Core-C-60C-42C-62 (let ((eff-0 (IdrisC-45SyntaxC-45Traversals-n--7861-11556-u--go4TupledPTerms arg-1 e-87))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-0) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-0) arg-3)))) (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (vector 0 e-86 eta-0 eta-1 eta-2 eta-3))))))) eff-0)) (lambda (eta-0) (vector 1 e-88))) (lambda (eta-0) (vector 1 e-89))) (IdrisC-45SyntaxC-45Traversals-n--7861-11564-u--goPFields arg-1 e-90)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 8 e-49 e-50 e-51 e-52 e-5))))) eff-1))))))))))))) (else (let ((e-92 (vector-ref e-53 1))) (let ((e-93 (vector-ref e-53 2))) (let ((eff-0 (IdrisC-45SyntaxC-45Traversals-n--7861-11556-u--go4TupledPTerms arg-1 e-93))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 8 e-49 e-50 e-51 e-52 (vector 1 e-92 e-5)))))) eff-1))))))))))))))))) ((9) (let ((e-55 (vector-ref arg-2 1))) (let ((e-56 (vector-ref arg-2 2))) (let ((e-57 (vector-ref arg-2 3))) (let ((eff-0 (IdrisC-45SyntaxC-45Traversals-n--7861-11562-u--goPDecls arg-1 e-57))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-0) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-0) arg-3)))) (lambda (eta-0) (vector 9 e-55 e-56 eta-0)))) eff-0)))))) ((10) (let ((e-59 (vector-ref arg-2 1))) (let ((e-60 (vector-ref arg-2 2))) (let ((eff-0 (IdrisC-45SyntaxC-45Traversals-n--7861-11562-u--goPDecls arg-1 e-60))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-0) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-0) arg-3)))) (lambda (eta-0) (vector 10 e-59 eta-0)))) eff-0))))) ((11) (lambda (eta-0) (vector 1 arg-2))) ((12) (let ((e-67 (vector-ref arg-2 1))) (let ((e-68 (vector-ref arg-2 2))) (let ((e-69 (vector-ref arg-2 3))) (let ((eff-0 (IdrisC-45SyntaxC-45Traversals-n--7861-11562-u--goPDecls arg-1 e-69))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-0) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-0) arg-3)))) (lambda (eta-0) (vector 12 e-67 e-68 eta-0)))) eff-0)))))) ((13) (let ((e-71 (vector-ref arg-2 1))) (let ((e-72 (vector-ref arg-2 2))) (let ((e-73 (vector-ref arg-2 3))) (let ((e-74 (vector-ref arg-2 4))) (CoreC-45Core-C-60C-42C-62 (let ((eff-0 (IdrisC-45SyntaxC-45Traversals-n--7861-11538-u--goPTerm arg-1 e-73))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-0) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-0) arg-3)))) (lambda (eta-0) (lambda (eta-1) (vector 13 e-71 e-72 eta-0 eta-1))))) eff-0)) (IdrisC-45SyntaxC-45Traversals-n--7861-11538-u--goPTerm arg-1 e-74))))))) ((14) (let ((e-76 (vector-ref arg-2 1))) (let ((e-77 (vector-ref arg-2 2))) (let ((eff-0 (IdrisC-45SyntaxC-45Traversals-n--7861-11538-u--goPTerm arg-1 e-77))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-0) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-0) arg-3)))) (lambda (eta-0) (vector 14 e-76 eta-0)))) eff-0))))) ((15) (lambda (eta-0) (vector 1 arg-2))) (else (lambda (eta-0) (vector 1 arg-2))))))
(define IdrisC-45SyntaxC-45Traversals-n--9493-13267-u--goPDataDecl (lambda (arg-1 arg-2) (case (vector-ref arg-2 0) ((0) (let ((e-1 (vector-ref arg-2 1))) (let ((e-2 (vector-ref arg-2 2))) (let ((e-3 (vector-ref arg-2 3))) (let ((e-4 (vector-ref arg-2 4))) (let ((e-5 (vector-ref arg-2 5))) (vector 0 e-1 e-2 (IdrisC-45SyntaxC-45Traversals-n--9493-13259-u--goPTerm arg-1 e-3) e-4 (PreludeC-45Interfaces-C-60C-36C-62 (csegen-24) (lambda (eta-0) (IdrisC-45SyntaxC-45Traversals-n--9493-13266-u--goPTypeDecl arg-1 eta-0)) e-5)))))))) (else (let ((e-7 (vector-ref arg-2 1))) (let ((e-8 (vector-ref arg-2 2))) (let ((e-9 (vector-ref arg-2 3))) (vector 1 e-7 e-8 (IdrisC-45SyntaxC-45Traversals-n--9493-13259-u--goPTerm arg-1 e-9)))))))))
(define IdrisC-45SyntaxC-45Traversals-n--7861-11546-u--goPDataDecl (lambda (arg-1 arg-2) (case (vector-ref arg-2 0) ((0) (let ((e-1 (vector-ref arg-2 1))) (let ((e-2 (vector-ref arg-2 2))) (let ((e-3 (vector-ref arg-2 3))) (let ((e-4 (vector-ref arg-2 4))) (let ((e-5 (vector-ref arg-2 5))) (CoreC-45Core-C-60C-42C-62 (CoreC-45Core-C-60C-42C-62 (let ((eff-0 (IdrisC-45SyntaxC-45Traversals-n--7861-11538-u--goPTerm arg-1 e-3))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-6 (vector-ref eta-3 1))) (vector 0 e-6))) (else (let ((e-6 (vector-ref eta-3 1))) (vector 1 (eta-2 e-6))))))))))) (lambda (arg-0) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-0) arg-3)))) (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (vector 0 e-1 e-2 eta-0 eta-1 eta-2)))))) eff-0)) (lambda (eta-0) (vector 1 e-4))) (IdrisC-45SyntaxC-45Traversals-n--7861-11566-u--goPTypeDecls arg-1 e-5)))))))) (else (let ((e-7 (vector-ref arg-2 1))) (let ((e-8 (vector-ref arg-2 2))) (let ((e-9 (vector-ref arg-2 3))) (let ((eff-0 (IdrisC-45SyntaxC-45Traversals-n--7861-11538-u--goPTerm arg-1 e-9))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-0) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-0) arg-3)))) (lambda (eta-0) (vector 1 e-7 e-8 eta-0)))) eff-0)))))))))
(define IdrisC-45SyntaxC-45Traversals-n--7861-11560-u--goPClauses (lambda (arg-1 arg-2) (if (null? arg-2) (lambda (eta-0) (vector 1 '())) (let ((e-2 (car arg-2))) (let ((e-3 (cdr arg-2))) (CoreC-45Core-C-60C-42C-62 (let ((eff-0 (IdrisC-45SyntaxC-45Traversals-n--7861-11542-u--goPClause arg-1 e-2))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-4 (vector-ref eta-3 1))) (vector 0 e-4))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-0) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-0) arg-3)))) (csegen-152))) eff-0)) (IdrisC-45SyntaxC-45Traversals-n--7861-11560-u--goPClauses arg-1 e-3)))))))
(define IdrisC-45SyntaxC-45Traversals-n--9493-13264-u--goPClause (lambda (arg-1 arg-2) (case (vector-ref arg-2 0) ((0) (let ((e-1 (vector-ref arg-2 1))) (let ((e-2 (vector-ref arg-2 2))) (let ((e-3 (vector-ref arg-2 3))) (let ((e-4 (vector-ref arg-2 4))) (vector 0 e-1 (IdrisC-45SyntaxC-45Traversals-n--9493-13259-u--goPTerm arg-1 e-2) (IdrisC-45SyntaxC-45Traversals-n--9493-13259-u--goPTerm arg-1 e-3) (PreludeC-45Interfaces-C-60C-36C-62 (csegen-24) (lambda (eta-0) (IdrisC-45SyntaxC-45Traversals-n--9493-13265-u--goPDecl arg-1 eta-0)) e-4))))))) ((1) (let ((e-6 (vector-ref arg-2 1))) (let ((e-7 (vector-ref arg-2 2))) (let ((e-8 (vector-ref arg-2 3))) (let ((e-9 (vector-ref arg-2 4))) (let ((e-10 (vector-ref arg-2 5))) (vector 1 e-6 (IdrisC-45SyntaxC-45Traversals-n--9493-13259-u--goPTerm arg-1 e-7) (PreludeC-45Interfaces-C-60C-36C-62 (csegen-1316) (lambda (eta-0) (IdrisC-45SyntaxC-45Traversals-n--9493-13263-u--goPWithProblem arg-1 eta-0)) e-8) e-9 (PreludeC-45Interfaces-C-60C-36C-62 (csegen-24) (lambda (eta-0) (IdrisC-45SyntaxC-45Traversals-n--9493-13264-u--goPClause arg-1 eta-0)) e-10)))))))) (else (let ((e-12 (vector-ref arg-2 1))) (let ((e-13 (vector-ref arg-2 2))) (vector 2 e-12 (IdrisC-45SyntaxC-45Traversals-n--9493-13259-u--goPTerm arg-1 e-13))))))))
(define IdrisC-45SyntaxC-45Traversals-n--7861-11542-u--goPClause (lambda (arg-1 arg-2) (case (vector-ref arg-2 0) ((0) (let ((e-1 (vector-ref arg-2 1))) (let ((e-2 (vector-ref arg-2 2))) (let ((e-3 (vector-ref arg-2 3))) (let ((e-4 (vector-ref arg-2 4))) (CoreC-45Core-C-60C-42C-62 (CoreC-45Core-C-60C-42C-62 (let ((eff-0 (IdrisC-45SyntaxC-45Traversals-n--7861-11538-u--goPTerm arg-1 e-2))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-5 (vector-ref eta-3 1))) (vector 0 e-5))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-0) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-0) arg-3)))) (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (vector 0 e-1 eta-0 eta-1 eta-2)))))) eff-0)) (IdrisC-45SyntaxC-45Traversals-n--7861-11538-u--goPTerm arg-1 e-3)) (IdrisC-45SyntaxC-45Traversals-n--7861-11562-u--goPDecls arg-1 e-4))))))) ((1) (let ((e-6 (vector-ref arg-2 1))) (let ((e-7 (vector-ref arg-2 2))) (let ((e-8 (vector-ref arg-2 3))) (let ((e-9 (vector-ref arg-2 4))) (let ((e-10 (vector-ref arg-2 5))) (CoreC-45Core-C-60C-42C-62 (CoreC-45Core-C-60C-42C-62 (CoreC-45Core-C-60C-42C-62 (let ((eff-0 (IdrisC-45SyntaxC-45Traversals-n--7861-11538-u--goPTerm arg-1 e-7))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-0) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-0) arg-3)))) (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (vector 1 e-6 eta-0 eta-1 eta-2 eta-3))))))) eff-0)) (CoreC-45Core-traverseList1 (lambda (eta-0) (IdrisC-45SyntaxC-45Traversals-n--7861-11543-u--goPWithProblem arg-1 eta-0)) e-8)) (lambda (eta-0) (vector 1 e-9))) (IdrisC-45SyntaxC-45Traversals-n--7861-11560-u--goPClauses arg-1 e-10)))))))) (else (let ((e-12 (vector-ref arg-2 1))) (let ((e-13 (vector-ref arg-2 2))) (let ((eff-0 (IdrisC-45SyntaxC-45Traversals-n--7861-11538-u--goPTerm arg-1 e-13))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-0) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-0) arg-3)))) (lambda (eta-0) (vector 2 e-12 eta-0)))) eff-0))))))))
(define IdrisC-45SyntaxC-45Traversals-n--7861-11550-u--goMPTerm (lambda (arg-1 arg-2) (if (null? arg-2) (lambda (eta-0) (vector 1 '())) (let ((e-2 (unbox arg-2))) (let ((eff-0 (IdrisC-45SyntaxC-45Traversals-n--7861-11538-u--goPTerm arg-1 e-2))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-3 (vector-ref eta-3 1))) (vector 0 e-3))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-0) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-0) arg-3)))) (lambda (eta-0) (box eta-0)))) eff-0))))))
(define IdrisC-45SyntaxC-45Traversals-n--7861-11561-u--goMPDecls (lambda (arg-1 arg-2) (if (null? arg-2) (lambda (eta-0) (vector 1 '())) (let ((e-2 (unbox arg-2))) (let ((eff-0 (IdrisC-45SyntaxC-45Traversals-n--7861-11562-u--goPDecls arg-1 e-2))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-3 (vector-ref eta-3 1))) (vector 0 e-3))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-0) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-0) arg-3)))) (lambda (eta-0) (box eta-0)))) eff-0))))))
(define IdrisC-45SyntaxC-45Traversals-n--9493-13274-u--goImplicits (lambda (arg-1 arg-5) (if (null? arg-5) '() (let ((e-2 (car arg-5))) (let ((e-3 (cdr arg-5))) (let ((e-6 (car e-2))) (let ((e-7 (cdr e-2))) (let ((e-10 (car e-7))) (let ((e-11 (cdr e-7))) (let ((e-14 (car e-11))) (let ((e-15 (cdr e-11))) (cons (cons e-6 (cons e-10 (cons e-14 (IdrisC-45SyntaxC-45Traversals-n--9493-13259-u--goPTerm arg-1 e-15)))) (IdrisC-45SyntaxC-45Traversals-n--9493-13274-u--goImplicits arg-1 e-3)))))))))))))
(define IdrisC-45SyntaxC-45Traversals-n--7861-11555-u--goImplicits (lambda (arg-1 arg-5) (if (null? arg-5) (lambda (eta-0) (vector 1 '())) (let ((e-2 (car arg-5))) (let ((e-3 (cdr arg-5))) (let ((e-6 (car e-2))) (let ((e-7 (cdr e-2))) (let ((e-10 (car e-7))) (let ((e-11 (cdr e-7))) (let ((e-14 (car e-11))) (let ((e-15 (cdr e-11))) (CoreC-45Core-C-60C-42C-62 (let ((eff-0 (IdrisC-45SyntaxC-45Traversals-n--7861-11538-u--goPTerm arg-1 e-15))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-4 (vector-ref eta-3 1))) (vector 0 e-4))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-0) (lambda (arg-2) ((((eff-1 'erased) 'erased) arg-0) arg-2)))) (lambda (eta-0) (lambda (eta-1) (cons (cons e-6 (cons e-10 (cons e-14 eta-0))) eta-1))))) eff-0)) (IdrisC-45SyntaxC-45Traversals-n--7861-11555-u--goImplicits arg-1 e-3)))))))))))))
(define IdrisC-45SyntaxC-45Traversals-n--9493-13275-u--go4TupledPTerms (lambda (arg-1 arg-4) (if (null? arg-4) '() (let ((e-2 (car arg-4))) (let ((e-3 (cdr arg-4))) (let ((e-6 (car e-2))) (let ((e-7 (cdr e-2))) (let ((e-10 (car e-7))) (let ((e-11 (cdr e-7))) (let ((e-14 (car e-11))) (let ((e-15 (cdr e-11))) (cons (cons e-6 (cons e-10 (cons (IdrisC-45SyntaxC-45Traversals-n--9493-13269-u--goPiInfo arg-1 e-14) (IdrisC-45SyntaxC-45Traversals-n--9493-13259-u--goPTerm arg-1 e-15)))) (IdrisC-45SyntaxC-45Traversals-n--9493-13275-u--go4TupledPTerms arg-1 e-3)))))))))))))
(define IdrisC-45SyntaxC-45Traversals-n--7861-11556-u--go4TupledPTerms (lambda (arg-1 arg-4) (if (null? arg-4) (lambda (eta-0) (vector 1 '())) (let ((e-2 (car arg-4))) (let ((e-3 (cdr arg-4))) (let ((e-6 (car e-2))) (let ((e-7 (cdr e-2))) (let ((e-10 (car e-7))) (let ((e-11 (cdr e-7))) (let ((e-14 (car e-11))) (let ((e-15 (cdr e-11))) (CoreC-45Core-C-60C-42C-62 (CoreC-45Core-C-60C-42C-62 (let ((eff-0 (IdrisC-45SyntaxC-45Traversals-n--7861-11548-u--goPiInfo arg-1 e-14))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-4 (vector-ref eta-3 1))) (vector 0 e-4))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-0) (lambda (arg-2) ((((eff-1 'erased) 'erased) arg-0) arg-2)))) (lambda (u--p) (lambda (u--d) (lambda (u--ts) (cons (cons e-6 (cons e-10 (cons u--p u--d))) u--ts)))))) eff-0)) (IdrisC-45SyntaxC-45Traversals-n--7861-11538-u--goPTerm arg-1 e-15)) (IdrisC-45SyntaxC-45Traversals-n--7861-11556-u--go4TupledPTerms arg-1 e-3)))))))))))))
(define IdrisC-45SyntaxC-45Traversals-n--9493-13273-u--go3TupledPTerms (lambda (arg-1 arg-4) (if (null? arg-4) '() (let ((e-2 (car arg-4))) (let ((e-3 (cdr arg-4))) (let ((e-6 (car e-2))) (let ((e-7 (cdr e-2))) (let ((e-10 (car e-7))) (let ((e-11 (cdr e-7))) (cons (cons e-6 (cons e-10 (IdrisC-45SyntaxC-45Traversals-n--9493-13259-u--goPTerm arg-1 e-11))) (IdrisC-45SyntaxC-45Traversals-n--9493-13273-u--go3TupledPTerms arg-1 e-3)))))))))))
(define IdrisC-45SyntaxC-45Traversals-n--7861-11554-u--go3TupledPTerms (lambda (arg-1 arg-4) (if (null? arg-4) (lambda (eta-0) (vector 1 '())) (let ((e-2 (car arg-4))) (let ((e-3 (cdr arg-4))) (let ((e-6 (car e-2))) (let ((e-7 (cdr e-2))) (let ((e-10 (car e-7))) (let ((e-11 (cdr e-7))) (CoreC-45Core-C-60C-42C-62 (let ((eff-0 (IdrisC-45SyntaxC-45Traversals-n--7861-11538-u--goPTerm arg-1 e-11))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-4 (vector-ref eta-3 1))) (vector 0 e-4))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-0) (lambda (arg-2) ((((eff-1 'erased) 'erased) arg-0) arg-2)))) (lambda (eta-0) (lambda (eta-1) (cons (cons e-6 (cons e-10 eta-0)) eta-1))))) eff-0)) (IdrisC-45SyntaxC-45Traversals-n--7861-11554-u--go3TupledPTerms arg-1 e-3)))))))))))
(define IdrisC-45SyntaxC-45Traversals-substFC (lambda (arg-1 ext-0) (IdrisC-45SyntaxC-45Traversals-mapPTerm (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 2))) (vector 0 arg-1 e-2))) ((1) (let ((e-5 (vector-ref lcase-0 2))) (let ((e-6 (vector-ref lcase-0 3))) (let ((e-7 (vector-ref lcase-0 4))) (let ((e-8 (vector-ref lcase-0 5))) (let ((e-9 (vector-ref lcase-0 6))) (vector 1 arg-1 e-5 e-6 e-7 e-8 e-9))))))) ((2) (let ((e-12 (vector-ref lcase-0 2))) (let ((e-13 (vector-ref lcase-0 3))) (let ((e-14 (vector-ref lcase-0 4))) (let ((e-15 (vector-ref lcase-0 5))) (let ((e-16 (vector-ref lcase-0 6))) (vector 2 arg-1 e-12 e-13 e-14 e-15 e-16))))))) ((3) (let ((e-19 (vector-ref lcase-0 2))) (let ((e-20 (vector-ref lcase-0 3))) (let ((e-21 (vector-ref lcase-0 4))) (let ((e-22 (vector-ref lcase-0 5))) (let ((e-23 (vector-ref lcase-0 6))) (let ((e-24 (vector-ref lcase-0 7))) (vector 3 arg-1 e-19 e-20 e-21 e-22 e-23 e-24)))))))) ((4) (let ((e-27 (vector-ref lcase-0 2))) (let ((e-28 (vector-ref lcase-0 3))) (vector 4 arg-1 e-27 e-28)))) ((5) (let ((e-31 (vector-ref lcase-0 2))) (let ((e-32 (vector-ref lcase-0 3))) (vector 5 arg-1 e-31 e-32)))) ((6) (let ((e-35 (vector-ref lcase-0 2))) (vector 6 arg-1 e-35))) ((7) (let ((e-38 (vector-ref lcase-0 2))) (let ((e-39 (vector-ref lcase-0 3))) (vector 7 arg-1 e-38 e-39)))) ((8) (let ((e-42 (vector-ref lcase-0 2))) (let ((e-43 (vector-ref lcase-0 3))) (vector 8 arg-1 e-42 e-43)))) ((9) (let ((e-46 (vector-ref lcase-0 2))) (let ((e-47 (vector-ref lcase-0 3))) (let ((e-48 (vector-ref lcase-0 4))) (vector 9 arg-1 e-46 e-47 e-48))))) ((10) (let ((e-51 (vector-ref lcase-0 2))) (let ((e-52 (vector-ref lcase-0 3))) (vector 10 arg-1 e-51 e-52)))) ((11) (let ((e-55 (vector-ref lcase-0 2))) (let ((e-56 (vector-ref lcase-0 3))) (vector 11 arg-1 e-55 e-56)))) ((12) (let ((e-59 (vector-ref lcase-0 2))) (vector 12 arg-1 e-59))) ((13) (let ((e-62 (vector-ref lcase-0 2))) (vector 13 arg-1 e-62))) ((14) (let ((e-65 (vector-ref lcase-0 2))) (vector 14 arg-1 e-65))) ((15) (let ((e-68 (vector-ref lcase-0 2))) (vector 15 arg-1 e-68))) ((16) (let ((e-71 (vector-ref lcase-0 2))) (vector 16 arg-1 e-71))) ((17) (let ((e-74 (vector-ref lcase-0 2))) (vector 17 arg-1 e-74))) ((18) (let ((e-77 (vector-ref lcase-0 2))) (vector 18 arg-1 e-77))) ((19) (let ((e-80 (vector-ref lcase-0 2))) (vector 19 arg-1 e-80))) ((20) (let ((e-83 (vector-ref lcase-0 2))) (vector 20 arg-1 e-83))) ((21) (let ((e-86 (vector-ref lcase-0 2))) (let ((e-87 (vector-ref lcase-0 3))) (vector 21 arg-1 e-86 e-87)))) ((22) (vector 22 arg-1)) ((23) (let ((e-93 (vector-ref lcase-0 3))) (let ((e-94 (vector-ref lcase-0 4))) (vector 23 arg-1 arg-1 e-93 e-94)))) ((24) (let ((e-97 (vector-ref lcase-0 2))) (vector 24 arg-1 e-97))) ((25) (vector 25 arg-1)) ((26) (vector 26 arg-1)) ((27) (let ((e-105 (vector-ref lcase-0 3))) (let ((e-106 (vector-ref lcase-0 4))) (let ((e-107 (vector-ref lcase-0 5))) (vector 27 arg-1 arg-1 e-105 e-106 e-107))))) ((28) (let ((e-111 (vector-ref lcase-0 3))) (let ((e-112 (vector-ref lcase-0 4))) (vector 28 arg-1 arg-1 e-111 e-112)))) ((29) (let ((e-116 (vector-ref lcase-0 3))) (let ((e-117 (vector-ref lcase-0 4))) (vector 29 arg-1 arg-1 e-116 e-117)))) ((30) (let ((e-121 (vector-ref lcase-0 3))) (let ((e-122 (vector-ref lcase-0 4))) (vector 30 arg-1 arg-1 e-121 e-122)))) ((31) (let ((e-125 (vector-ref lcase-0 2))) (let ((e-126 (vector-ref lcase-0 3))) (vector 31 arg-1 e-125 e-126)))) ((32) (let ((e-129 (vector-ref lcase-0 2))) (vector 32 arg-1 e-129))) ((33) (let ((e-132 (vector-ref lcase-0 2))) (vector 33 arg-1 e-132))) ((34) (let ((e-135 (vector-ref lcase-0 2))) (let ((e-136 (vector-ref lcase-0 3))) (vector 34 arg-1 e-135 e-136)))) ((35) (let ((e-139 (vector-ref lcase-0 2))) (let ((e-140 (vector-ref lcase-0 3))) (vector 35 arg-1 e-139 e-140)))) ((36) (let ((e-143 (vector-ref lcase-0 2))) (vector 36 arg-1 e-143))) ((37) (let ((e-146 (vector-ref lcase-0 2))) (let ((e-147 (vector-ref lcase-0 3))) (vector 37 arg-1 e-146 e-147)))) ((38) (let ((e-151 (vector-ref lcase-0 3))) (vector 38 arg-1 arg-1 e-151))) ((39) (let ((e-155 (vector-ref lcase-0 3))) (vector 39 arg-1 arg-1 e-155))) ((40) (let ((e-158 (vector-ref lcase-0 2))) (let ((e-159 (vector-ref lcase-0 3))) (vector 40 arg-1 e-158 e-159)))) ((41) (let ((e-163 (vector-ref lcase-0 3))) (let ((e-164 (vector-ref lcase-0 4))) (let ((e-165 (vector-ref lcase-0 5))) (vector 41 arg-1 arg-1 e-163 e-164 e-165))))) ((42) (vector 42 arg-1)) ((43) (let ((e-170 (vector-ref lcase-0 2))) (let ((e-171 (vector-ref lcase-0 3))) (let ((e-172 (vector-ref lcase-0 4))) (vector 43 arg-1 e-170 e-171 e-172))))) ((44) (let ((e-175 (vector-ref lcase-0 2))) (let ((e-176 (vector-ref lcase-0 3))) (vector 44 arg-1 e-175 e-176)))) ((45) (let ((e-179 (vector-ref lcase-0 2))) (let ((e-180 (vector-ref lcase-0 3))) (vector 45 arg-1 e-179 e-180)))) ((46) (let ((e-183 (vector-ref lcase-0 2))) (let ((e-184 (vector-ref lcase-0 3))) (let ((e-185 (vector-ref lcase-0 4))) (vector 46 arg-1 e-183 e-184 e-185))))) ((47) (let ((e-188 (vector-ref lcase-0 2))) (let ((e-189 (vector-ref lcase-0 3))) (vector 47 arg-1 e-188 e-189)))) ((48) (let ((e-192 (vector-ref lcase-0 2))) (let ((e-193 (vector-ref lcase-0 3))) (vector 48 arg-1 e-192 e-193)))) ((49) (let ((e-196 (vector-ref lcase-0 2))) (vector 49 arg-1 e-196))) ((50) (let ((e-199 (vector-ref lcase-0 2))) (let ((e-200 (vector-ref lcase-0 3))) (vector 50 arg-1 e-199 e-200)))) (else (let ((e-203 (vector-ref lcase-0 2))) (let ((e-204 (vector-ref lcase-0 3))) (vector 51 arg-1 e-203 e-204)))))) ext-0)))
(define IdrisC-45SyntaxC-45Traversals-mapPTermM (lambda (arg-1 ext-0) (IdrisC-45SyntaxC-45Traversals-n--7861-11538-u--goPTerm arg-1 ext-0)))
(define IdrisC-45SyntaxC-45Traversals-mapPTerm (lambda (arg-1 ext-0) (IdrisC-45SyntaxC-45Traversals-n--9493-13259-u--goPTerm arg-1 ext-0)))
(define TTImpC-45ElabC-45Rewrite-rewriteErr (lambda (arg-0) (case (vector-ref arg-0 0) ((42) 1) ((41) 1) ((66) (let ((e-11 (vector-ref arg-0 3))) (TTImpC-45ElabC-45Rewrite-rewriteErr e-11))) ((67) (let ((e-14 (vector-ref arg-0 3))) (TTImpC-45ElabC-45Rewrite-rewriteErr e-14))) ((68) (let ((e-17 (vector-ref arg-0 3))) (TTImpC-45ElabC-45Rewrite-rewriteErr e-17))) ((69) (let ((e-20 (vector-ref arg-0 3))) (TTImpC-45ElabC-45Rewrite-rewriteErr e-20))) ((5) (let ((e-27 (vector-ref arg-0 7))) (TTImpC-45ElabC-45Rewrite-rewriteErr e-27)))(else 0))))
(define TTImpC-45ElabC-45Rewrite-getRewriteTerms (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (case (vector-ref arg-4 0) ((3) (let ((e-2 (vector-ref arg-4 2))) (let ((e-5 (vector-ref arg-4 5))) (let ((eff-0 (CoreC-45Context-isEqualTy arg-1 e-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (cond ((equal? e-6 1) (let ((sc3 (PreludeC-45TypesC-45List-reverse ((csegen-947) e-5)))) (if (null? sc3) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error arg-5 eta-0)) (let ((e-8 (car sc3))) (let ((e-7 (cdr sc3))) (if (null? e-7) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error arg-5 eta-0)) (let ((e-10 (car e-7))) (let ((e-9 (cdr e-7))) (if (null? e-9) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error arg-5 eta-0)) (let ((e-11 (cdr e-9))) (if (null? e-11) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error arg-5 eta-0)) (let ((e-14 (car e-11))) (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-1 arg-0 arg-3 e-10))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-15 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-15)))) (else (let ((e-15 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45NormaliseC-45Eval-evalClosure arg-1 arg-0 arg-3 e-8))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-16 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-16)))) (else (let ((e-16 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-1 arg-0 arg-3 e-14))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-17 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-17)))) (else (let ((e-17 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (cons e-15 (cons e-16 e-17)))))) eff-4))))))))) eff-3))))))))) eff-2))))))))))))))))))) (else (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error arg-5 eta-0)))))) eff-1))))))))))(else (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error arg-5 eta-0))))))
(define TTImpC-45ElabC-45Rewrite-findRewriteLemma (lambda (arg-1 arg-2 arg-3) (let ((eff-0 (CoreC-45Context-getRewrite arg-1))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (clam-0) (if (null? e-5) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 arg-2 ((csegen-0) "No rewrite lemma defined")) clam-0) (let ((e-2 (unbox e-5))) (vector 1 e-2)))))) eff-1)))))))))
(define TTImpC-45ElabC-45Rewrite-elabRewrite (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45UnifyState-genVarName arg-1 arg-2 "rwarg"))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45NormaliseC-45Eval-nf arg-1 arg-0 e-5 arg-4 arg-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (TTImpC-45ElabC-45Rewrite-getRewriteTerms arg-0 arg-1 arg-3 e-5 e-7 (vector 42 arg-0 arg-3 arg-4 arg-6)))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((e-2 (car e-8))) (let ((e-3 (cdr e-8))) (let ((e-9 (cdr e-3))) (let ((eff-4 (TTImpC-45ElabC-45Rewrite-findRewriteLemma arg-1 arg-3 arg-6))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-4 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (let ((eff-5 (CoreC-45NormaliseC-45Eval-nf arg-1 arg-0 e-5 arg-4 arg-5))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-4 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-12 (vector-ref lcase-5 1))) (let ((eff-6 (let ((eff-6 (CoreC-45Normalise-logNF arg-0 arg-1 (csegen-3254) 5 (lambda () ((csegen-0) "Rewriting")) arg-4 e-2))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-4 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-7 (let ((eff-7 (CoreC-45Normalise-logNF arg-0 arg-1 (csegen-3254) 5 (lambda () ((csegen-0) "Rewriting in")) arg-4 e-12))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-4 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-8 (let ((eff-8 (CoreC-45Normalise-replace arg-1 arg-0 e-5 arg-4 e-2 (vector 1 arg-3 (vector 0 ) e-6) e-12))) (PrimIO-io_bind eff-8 (lambda (lcase-8) (case (vector-ref lcase-8 0) ((0) (let ((e-4 (vector-ref lcase-8 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-15 (vector-ref lcase-8 1))) (let ((eff-9 (let ((eff-9 (CoreC-45ContextC-45Log-logTerm arg-0 arg-1 (csegen-3254) 5 (lambda () ((csegen-0) "Rewritten to")) e-15))) (PrimIO-io_bind eff-9 (lambda (lcase-9) (case (vector-ref lcase-9 0) ((0) (let ((e-4 (vector-ref lcase-9 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-10 (let ((eff-10 (lambda (eta-0) (CoreC-45Context-clearDefs e-5 eta-0)))) (PrimIO-io_bind eff-10 (lambda (lcase-10) (case (vector-ref lcase-10 0) ((0) (let ((e-4 (vector-ref lcase-10 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-17 (vector-ref lcase-10 1))) (let ((eff-11 (let ((eff-11 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-1 arg-0 e-17 arg-4 e-9))) (PrimIO-io_bind eff-11 (lambda (lcase-11) (case (vector-ref lcase-11 0) ((0) (let ((e-4 (vector-ref lcase-11 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-18 (vector-ref lcase-11 1))) (let ((eff-12 (let ((u--pred (vector 3 arg-3 e-6 (vector 0 arg-3 (AlgebraC-45ZeroOneOmega-u--top_Top_ZeroOneOmega) (vector 1 ) e-18) (CoreC-45TT-refsToLocals (vector 1 e-6 e-6 (vector 0 )) e-15)))) (let ((eff-12 (CoreC-45GetType-getType arg-0 arg-1 arg-4 u--pred))) (PrimIO-io_bind eff-12 (lambda (lcase-12) (case (vector-ref lcase-12 0) ((0) (let ((e-4 (vector-ref lcase-12 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-19 (vector-ref lcase-12 1))) (let ((eff-13 (let ((eff-13 (CoreC-45NormaliseC-45Eval-getTerm e-19))) (PrimIO-io_bind eff-13 (lambda (lcase-13) (case (vector-ref lcase-13 0) ((0) (let ((e-4 (vector-ref lcase-13 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-20 (vector-ref lcase-13 1))) (let ((eff-14 (let ((eff-14 (CoreC-45NormaliseC-45Quote-u--quote_Quote_Term arg-1 arg-0 e-5 arg-4 arg-5))) (PrimIO-io_bind eff-14 (lambda (lcase-14) (case (vector-ref lcase-14 0) ((0) (let ((e-4 (vector-ref lcase-14 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-21 (vector-ref lcase-14 1))) (let ((eff-15 (let ((eff-15 (let ((eff-15 (CoreC-45NormaliseC-45Convert-u--convert_Convert_Term arg-1 arg-0 e-5 arg-4 e-15 e-21))) (PrimIO-io_bind eff-15 (lambda (lcase-15) (case (vector-ref lcase-15 0) ((0) (let ((e-4 (vector-ref lcase-15 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-22 (vector-ref lcase-15 1))) (let ((eff-16 (lambda (clam-0) (cond ((equal? e-22 1) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 41 arg-0 arg-3 arg-4 arg-6 e-21) clam-0)) (else (vector 1 (vector 0 ))))))) eff-16))))))))) (PrimIO-io_bind eff-15 (lambda (lcase-15) (case (vector-ref lcase-15 0) ((0) (let ((e-4 (vector-ref lcase-15 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-16 (lambda (eta-0) (vector 1 (vector e-11 u--pred e-20))))) eff-16)))))))) eff-15))))))))) eff-14))))))))) eff-13)))))))))) eff-12))))))))) eff-11))))))))) eff-10)))))))) eff-9))))))))) eff-8)))))))) eff-7)))))))) eff-6))))))))) eff-5)))))))))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))
(define TTImpC-45ElabC-45Rewrite-checkRewrite (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14) (if (null? arg-14) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 arg-11 "Can't infer a type for rewrite") eta-0)) (let ((e-2 (unbox arg-14))) (TTImpC-45ElabC-45Delayed-delayOnFailure arg-0 arg-1 arg-2 arg-3 arg-4 arg-11 arg-7 arg-10 (box e-2) (lambda (eta-0) (TTImpC-45ElabC-45Rewrite-rewriteErr eta-0)) 3 (lambda (u--delayed) (let ((u--vfc (CoreC-45FC-virtualiseFC arg-11))) (let ((eff-0 (CoreC-45Context-getNextEntry arg-1))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (TTImpC-45ElabC-45Check-check arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 (csegen-54) arg-8 arg-9 arg-10 arg-12 '()))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-3 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((e-4 (car e-6))) (let ((e-3 (cdr e-6))) (let ((eff-2 (CoreC-45Unify-solveConstraintsAfter arg-1 arg-3 e-5 (CoreC-45Unify-inTerm) 0))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-7 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((eff-3 (let ((eff-3 (CoreC-45NormaliseC-45Eval-getTerm e-3))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-8 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45NormaliseC-45Eval-getTerm e-2))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-9 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (let ((eff-5 (cond ((equal? u--delayed 1) (CoreC-45ContextC-45Log-log arg-1 (csegen-3254) 5 (lambda () ((csegen-0) "Retrying rewrite")))) (else (lambda (eta-0) (vector 1 (vector 0 ))))))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-10 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((eff-6 (let ((eff-6 (TTImpC-45ElabC-45Rewrite-elabRewrite arg-0 arg-1 arg-3 u--vfc arg-10 e-9 e-8))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-11 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-6 1))) (let ((eff-7 (let ((eff-7 (CoreC-45UnifyState-genVarName arg-1 arg-3 "_"))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-12 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-12)))) (else (let ((e-12 (vector-ref lcase-7 1))) (let ((eff-8 (let ((eff-8 (CoreC-45UnifyState-genVarName arg-1 arg-3 "_"))) (PrimIO-io_bind eff-8 (lambda (lcase-8) (case (vector-ref lcase-8 0) ((0) (let ((e-13 (vector-ref lcase-8 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-8 1))) (let ((eff-9 (let ((u--pbind (vector 1 u--vfc (csegen-54) (let ((e-15 (vector-ref e-11 1))) e-15) (let ((e-14 (vector-ref e-11 2))) e-14)))) (let ((u--rbind (vector 1 u--vfc (csegen-54) (CoreC-45TT-u--weaken_Weaken_Term e-4) (CoreC-45TT-u--weaken_Weaken_Term e-8)))) (let ((u--envC-39 (cons u--rbind (cons u--pbind arg-10)))) (let ((eff-9 (TTImpC-45ElabC-45Check-inScope e-13 arg-0 arg-1 arg-4 u--vfc (cons u--pbind arg-10) (lambda (u--eC-39) (TTImpC-45ElabC-45Check-inScope e-12 (cons e-13 arg-0) arg-1 u--eC-39 u--vfc u--envC-39 (lambda (u--eC-39C-39) (let ((u--offset (CoreC-45TTC-45SizeOf-mkSizeOf (cons e-12 (cons e-13 '()))))) (TTImpC-45ElabC-45Check-check (cons e-12 (cons e-13 arg-0)) arg-1 arg-2 arg-3 u--eC-39C-39 arg-5 arg-6 arg-7 arg-8 (TTImpC-45TTImp-u--weakenNs_Weaken_NestedNames u--offset arg-9) u--envC-39 (TTImpC-45TTImp-apply (vector 0 u--vfc (let ((e-1 (vector-ref e-11 0))) e-1)) (cons (vector 0 u--vfc e-13) (cons (vector 0 u--vfc e-12) (cons arg-13 '())))) (box (CoreC-45NormaliseC-45Eval-gnf (cons e-12 (cons e-13 arg-0)) u--envC-39 (CoreC-45TT-u--weakenNs_Weaken_Term u--offset e-9))))))))))) (PrimIO-io_bind eff-9 (lambda (lcase-9) (case (vector-ref lcase-9 0) ((0) (let ((e-14 (vector-ref lcase-9 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-9 1))) (let ((eff-10 (let ((e-16 (car e-14))) (let ((e-15 (cdr e-14))) (let ((eff-10 (CoreC-45NormaliseC-45Eval-getTerm e-15))) (PrimIO-io_bind eff-10 (lambda (lcase-10) (case (vector-ref lcase-10 0) ((0) (let ((e-17 (vector-ref lcase-10 1))) (lambda (eta-0) (vector 0 e-17)))) (else (let ((e-17 (vector-ref lcase-10 1))) (let ((eff-11 (let ((u--binding (lambda (eta-0) (vector 3 u--vfc e-13 u--pbind (vector 3 u--vfc e-12 u--rbind eta-0))))) (lambda (eta-0) (vector 1 (cons (u--binding e-16) (CoreC-45NormaliseC-45Eval-gnf arg-0 arg-10 (u--binding e-17)))))))) eff-11))))))))))) eff-10)))))))))))) eff-9))))))))) eff-8))))))))) eff-7))))))))) eff-6)))))))) eff-5))))))))) eff-4))))))))) eff-3)))))))))) eff-2))))))))) eff-1))))))))))))))
(define TTImpC-45ElabC-45Record-n--11546-8333-u--vloc (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11) (CoreC-45FC-virtualiseFC arg-6)))
(define TTImpC-45ElabC-45Record-n--11546-8334-u--mkClause (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12) (vector 0 (TTImpC-45ElabC-45Record-n--11546-8333-u--vloc arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11) (TTImpC-45ElabC-45Record-toLHS (TTImpC-45ElabC-45Record-n--11546-8333-u--vloc arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11) arg-12) (TTImpC-45ElabC-45Record-toRHS (TTImpC-45ElabC-45Record-n--11546-8333-u--vloc arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11) arg-12))))
(define TTImpC-45ElabC-45Record-n--10774-7656-u--mkArgs (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11) (if (null? arg-11) (lambda (eta-0) (vector 1 '())) (let ((e-2 (car arg-11))) (let ((e-3 (cdr arg-11))) (let ((e-6 (car e-2))) (let ((e-7 (cdr e-2))) (let ((e-10 (car e-7))) (let ((eff-0 (TTImpC-45ElabC-45Record-genFieldName arg-9 e-6))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (TTImpC-45ElabC-45Record-n--10774-7656-u--mkArgs arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 e-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-8 (vector-ref lcase-1 1))) (let ((eff-2 (let ((u--arg (PreludeC-45Types-maybe (lambda () (vector 0 (CoreC-45FC-virtualiseFC arg-8) (vector 1 (vector 0 e-5)))) (lambda () (lambda (eta-0) (vector 32 arg-8 0))) e-10))) (lambda (eta-0) (vector 1 (cons (cons e-6 (vector 0 e-10 e-5 u--arg)) e-8)))))) eff-2))))))))) eff-1)))))))))))))))
(define TTImpC-45ElabC-45Record-n--10424-7273-u--getExpNames (lambda (arg-0 arg-1 arg-2 arg-3) (case (vector-ref arg-3 0) ((0) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-3 (vector-ref arg-3 3))) (let ((e-4 (vector-ref arg-3 4))) (case (vector-ref e-3 0) ((2) (let ((e-8 (vector-ref e-3 3))) (let ((e-9 (vector-ref e-3 4))) (let ((eff-0 (let ((eff-0 ((e-4 arg-1) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 e-1 (vector 0 )))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45ElabC-45Record-n--10424-7273-u--getExpNames arg-0 arg-1 arg-2 e-5))) eff-1))))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--imp (case (vector-ref e-8 0) ((1) '())(else (box e-2))))) (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-2 '() arg-1 e-9))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-10 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (cons (cons (CoreC-45Name-nameRoot e-2) (cons u--imp (TTImpC-45ElabC-45Record-getRecordType '() e-10))) e-5))))) eff-2)))))))))) eff-1))))))))))(else (lambda (eta-0) (vector 1 '())))))))))(else (lambda (eta-0) (vector 1 '()))))))
(define TTImpC-45ElabC-45Record-toRHSC-39 (lambda (arg-0 arg-1) (case (vector-ref arg-1 0) ((0) (let ((e-0 (vector-ref arg-1 1))) (let ((e-2 (vector-ref arg-1 3))) (cons e-0 e-2)))) (else (let ((e-3 (vector-ref arg-1 1))) (let ((e-4 (vector-ref arg-1 2))) (let ((e-5 (vector-ref arg-1 3))) (let ((u--argsC-39 (((csegen-25) (lambda (eta-0) (TTImpC-45ElabC-45Record-toRHSC-39 arg-0 (Builtin-snd eta-0)))) e-5))) (cons e-3 (TTImpC-45TTImp-gapply (vector 0 arg-0 e-4) u--argsC-39))))))))))
(define TTImpC-45ElabC-45Record-toRHS (lambda (arg-0 arg-1) (Builtin-snd (TTImpC-45ElabC-45Record-toRHSC-39 arg-0 arg-1))))
(define TTImpC-45ElabC-45Record-toLHSC-39 (lambda (arg-0 arg-1) (case (vector-ref arg-1 0) ((0) (let ((e-0 (vector-ref arg-1 1))) (let ((e-1 (vector-ref arg-1 2))) (if (null? e-0) (cons e-0 (vector 17 (CoreC-45FC-virtualiseFC arg-0) e-1)) (cons e-0 (vector 18 arg-0 (CoreC-45FC-virtualiseFC arg-0) 1 (vector 1 (vector 0 e-1)) (vector 32 arg-0 1))))))) (else (let ((e-3 (vector-ref arg-1 1))) (let ((e-4 (vector-ref arg-1 2))) (let ((e-5 (vector-ref arg-1 3))) (let ((u--argsC-39 (((csegen-25) (lambda (eta-0) (TTImpC-45ElabC-45Record-toLHSC-39 arg-0 (Builtin-snd eta-0)))) e-5))) (cons e-3 (TTImpC-45TTImp-gapply (vector 0 arg-0 e-4) u--argsC-39))))))))))
(define TTImpC-45ElabC-45Record-toLHS (lambda (arg-0 arg-1) (Builtin-snd (TTImpC-45ElabC-45Record-toLHSC-39 arg-0 arg-1))))
(define TTImpC-45ElabC-45Record-replace (lambda (arg-0 arg-1 arg-2) (if (null? arg-2) '() (let ((e-2 (car arg-2))) (let ((e-3 (cdr arg-2))) (let ((e-6 (car e-2))) (let ((e-7 (cdr e-2))) (let ((sc2 (PreludeC-45EqOrd-u--C-61C-61_Eq_String arg-0 e-6))) (cond ((equal? sc2 1) (cons (cons arg-0 arg-1) e-3)) (else (cons (cons e-6 e-7) (TTImpC-45ElabC-45Record-replace arg-0 arg-1 e-3))))))))))))
(define TTImpC-45ElabC-45Record-recUpdate (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11) (let ((u--dups (TTImpC-45ElabC-45Record-checkForDuplicates arg-9 (csegen-3270) (csegen-3270)))) (let ((eff-0 (lambda (clam-0) (let ((sc0 (LibrariesC-45DataC-45SortedSet-u--null_Foldable_SortedSet u--dups))) (cond ((equal? sc0 1) (vector 1 (vector 0 ))) (else (CoreC-45Core-u--throw_Catchable_Core_Error (vector 23 arg-6 (LibrariesC-45DataC-45SortedSet-toList u--dups)) clam-0))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (let ((eff-1 arg-1)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (unbox eff-2))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45NormaliseC-45Eval-getNF arg-1 arg-11))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((sc3 (TTImpC-45ElabC-45Record-getRecordType arg-8 e-7))) (if (null? sc3) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 22 arg-0 arg-6 arg-8) eta-0)) (let ((e-1 (unbox sc3))) (let ((eff-3 (TTImpC-45ElabC-45Record-genFieldName arg-2 "__fld"))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (TTImpC-45ElabC-45Record-getAllSides arg-1 arg-2 arg-6 arg-9 e-1 arg-10 (vector 0 '() e-8 (vector 0 (TTImpC-45ElabC-45Record-n--11546-8333-u--vloc arg-0 arg-11 arg-10 arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1) (vector 1 (vector 0 e-8))))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 4 (TTImpC-45ElabC-45Record-n--11546-8333-u--vloc arg-0 arg-11 arg-10 arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1) arg-10 (vector 32 (TTImpC-45ElabC-45Record-n--11546-8333-u--vloc arg-0 arg-11 arg-10 arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1) 0) (cons (TTImpC-45ElabC-45Record-n--11546-8334-u--mkClause arg-0 arg-11 arg-10 arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 e-9) '())))))) eff-5))))))))) eff-4)))))))))))) eff-3))))))))) eff-2)))))))) eff-1)))))))))
(define TTImpC-45ElabC-45Record-needType (lambda (arg-0) (case (vector-ref arg-0 0) ((22) 1) ((66) (let ((e-5 (vector-ref arg-0 3))) (TTImpC-45ElabC-45Record-needType e-5))) ((67) (let ((e-8 (vector-ref arg-0 3))) (TTImpC-45ElabC-45Record-needType e-8))) ((68) (let ((e-11 (vector-ref arg-0 3))) (TTImpC-45ElabC-45Record-needType e-11))) ((69) (let ((e-14 (vector-ref arg-0 3))) (TTImpC-45ElabC-45Record-needType e-14))) ((5) (let ((e-21 (vector-ref arg-0 7))) (TTImpC-45ElabC-45Record-needType e-21)))(else 0))))
(define TTImpC-45ElabC-45Record-getSides (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (case (vector-ref arg-3 0) ((0) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (TTImpC-45ElabC-45Record-findPath arg-0 arg-1 arg-2 e-1 e-1 (box arg-4) (lambda (eta-0) e-2) arg-6)))) (else (let ((e-4 (vector-ref arg-3 1))) (let ((e-5 (vector-ref arg-3 2))) (TTImpC-45ElabC-45Record-findPath arg-0 arg-1 arg-2 e-4 e-4 (box arg-4) (lambda (u--n) (TTImpC-45TTImp-apply e-5 (cons (vector 0 (CoreC-45FC-virtualiseFC arg-2) (vector 1 (vector 0 u--n))) '()))) arg-6)))))))
(define TTImpC-45ElabC-45Record-getRecordType (lambda (arg-1 arg-2) (case (vector-ref arg-2 0) ((3) (let ((e-2 (vector-ref arg-2 2))) (box e-2)))(else '()))))
(define TTImpC-45ElabC-45Record-getAllSides (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (if (null? arg-3) (lambda (eta-0) (vector 1 arg-6)) (let ((e-2 (car arg-3))) (let ((e-3 (cdr arg-3))) (let ((eff-0 (TTImpC-45ElabC-45Record-getSides arg-0 arg-1 arg-2 e-2 arg-4 arg-5 arg-6))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45ElabC-45Record-getAllSides arg-0 arg-1 arg-2 e-3 arg-4 arg-5 e-5))) eff-1))))))))))))
(define TTImpC-45ElabC-45Record-genFieldName (lambda (arg-0 arg-1) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (let ((e-0 (vector-ref e-5 0))) (let ((e-1 (vector-ref e-5 1))) (let ((e-2 (vector-ref e-5 2))) (let ((e-3 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-12 (vector-ref e-5 5))) (let ((e-6 (vector-ref e-5 6))) (let ((e-7 (vector-ref e-5 7))) (let ((e-8 (vector-ref e-5 8))) (let ((e-9 (vector-ref e-5 9))) (let ((e-10 (vector-ref e-5 10))) (let ((e-11 (vector-ref e-5 11))) (vector e-0 e-1 e-2 e-3 e-4 e-12 e-6 e-7 (bs+ e-8 1 63) e-9 e-10 e-11)))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (lambda (eta-0) (vector 1 (string-append arg-1 (PreludeC-45Show-u--show_Show_Int (let ((e-8 (vector-ref e-5 8))) e-8))))))) eff-2)))))))) eff-1)))))))))
(define TTImpC-45ElabC-45Record-findPath (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (if (null? arg-3) (lambda (clam-0) (case (vector-ref arg-7 0) ((0) (let ((e-4 (vector-ref arg-7 1))) (let ((e-5 (vector-ref arg-7 2))) (vector 1 (vector 0 e-4 e-5 (arg-6 e-5))))))(else (CoreC-45Core-u--throw_Catchable_Core_Error (vector 26 arg-2 arg-4) clam-0)))) (let ((e-2 (car arg-3))) (let ((e-3 (cdr arg-3))) (if (null? arg-5) (case (vector-ref arg-7 0) ((0) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 24 arg-2 e-2 '()) eta-0)))(else (let ((e-7 (vector-ref arg-7 1))) (let ((e-8 (vector-ref arg-7 2))) (let ((e-9 (vector-ref arg-7 3))) (let ((sc3 (DataC-45List-lookup (csegen-43) e-2 e-9))) (if (null? sc3) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 24 arg-2 e-2 arg-5) eta-0)) (let ((e-1 (unbox sc3))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (TTImpC-45ElabC-45Record-findFields arg-0 e-5 e-8))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-6) (lambda (eta-0) (vector 1 (vector 1 e-7 e-8 e-9))) (let ((e-4 (unbox e-6))) (let ((sc7 (DataC-45List-lookup (csegen-43) e-2 e-4))) (if (null? sc7) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 24 arg-2 e-2 arg-5) eta-0)) (let ((e-10 (unbox sc7))) (let ((e-11 (cdr e-10))) (let ((eff-2 (TTImpC-45ElabC-45Record-findPath arg-0 arg-1 arg-2 e-3 arg-4 e-11 arg-6 e-1))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-13 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (vector 1 e-7 e-8 (TTImpC-45ElabC-45Record-replace e-2 e-13 e-9)))))) eff-3))))))))))))))) eff-2))))))))) eff-1))))))))))))))) (let ((e-12 (unbox arg-5))) (case (vector-ref arg-7 0) ((0) (let ((e-16 (vector-ref arg-7 1))) (let ((e-17 (vector-ref arg-7 2))) (let ((e-18 (vector-ref arg-7 3))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (TTImpC-45ElabC-45Record-findConName e-5 e-12))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-6) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 25 arg-2 e-12) eta-0)) (let ((e-1 (unbox e-6))) (let ((eff-2 (TTImpC-45ElabC-45Record-findFields arg-0 e-5 e-1))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (if (null? e-7) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 25 arg-2 e-12) eta-0)) (let ((e-4 (unbox e-7))) (let ((eff-3 (TTImpC-45ElabC-45Record-n--10774-7656-u--mkArgs e-2 e-3 e-12 e-18 e-17 e-16 arg-6 arg-4 arg-2 arg-1 arg-0 e-4))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-8 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((u--recC-39 (vector 1 e-16 e-1 e-8))) (TTImpC-45ElabC-45Record-findPath arg-0 arg-1 arg-2 (cons e-2 e-3) arg-4 (box e-12) arg-6 u--recC-39)))) eff-4))))))))))) eff-3))))))))))) eff-2))))))))) eff-1)))))))))))(else (let ((e-7 (vector-ref arg-7 1))) (let ((e-8 (vector-ref arg-7 2))) (let ((e-9 (vector-ref arg-7 3))) (let ((sc3 (DataC-45List-lookup (csegen-43) e-2 e-9))) (if (null? sc3) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 24 arg-2 e-2 arg-5) eta-0)) (let ((e-1 (unbox sc3))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (TTImpC-45ElabC-45Record-findFields arg-0 e-5 e-8))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-6) (lambda (eta-0) (vector 1 (vector 1 e-7 e-8 e-9))) (let ((e-4 (unbox e-6))) (let ((sc7 (DataC-45List-lookup (csegen-43) e-2 e-4))) (if (null? sc7) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 24 arg-2 e-2 arg-5) eta-0)) (let ((e-10 (unbox sc7))) (let ((e-11 (cdr e-10))) (let ((eff-2 (TTImpC-45ElabC-45Record-findPath arg-0 arg-1 arg-2 e-3 arg-4 e-11 arg-6 e-1))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-14 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (vector 1 e-7 e-8 (TTImpC-45ElabC-45Record-replace e-2 e-14 e-9)))))) eff-3))))))))))))))) eff-2))))))))) eff-1))))))))))))))))))))))
(define TTImpC-45ElabC-45Record-findFields (lambda (arg-0 arg-1 arg-2) (let ((eff-0 (CoreC-45Context-lookupTyExact arg-2 (let ((e-0 (vector-ref arg-1 0))) e-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (if (null? e-5) (lambda (eta-0) (vector 1 '())) (let ((e-1 (unbox e-5))) (let ((eff-1 (CoreC-45NormaliseC-45Eval-nf arg-0 '() arg-1 '() e-1))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45ElabC-45Record-n--10424-7273-u--getExpNames arg-2 arg-1 arg-0 e-6))) (PrimIO-io_bind eff-2 (csegen-1573))))) eff-2))))))))))) eff-1)))))))))
(define TTImpC-45ElabC-45Record-findConName (lambda (arg-0 arg-1) (let ((eff-0 (CoreC-45Context-lookupDefExact arg-1 (let ((e-0 (vector-ref arg-0 0))) e-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (if (null? e-5) (lambda (eta-0) (vector 1 '())) (let ((e-1 (unbox e-5))) (case (vector-ref e-1 0) ((6) (let ((e-8 (vector-ref e-1 7))) (lambda (clam-0) (if (null? e-8) (vector 1 '()) (let ((e-11 (car e-8))) (let ((e-12 (cdr e-8))) (if (null? e-12) (vector 1 (box e-11)) (vector 1 '()))))))))(else (lambda (eta-0) (vector 1 '())))))))) eff-1)))))))))
(define TTImpC-45ElabC-45Record-checkUpdate (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14) (let ((eff-0 (if (null? arg-14) (let ((eff-0 (TTImpC-45ElabC-45Check-checkImp arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-13 '()))) (PrimIO-io_bind eff-0 (csegen-3130))) (let ((e-1 (unbox arg-14))) (lambda (eta-0) (vector 1 e-1)))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--solvemode (let ((e-0 (vector-ref arg-8 0))) (case (vector-ref e-0 0) ((1) (CoreC-45Unify-inLHS))(else (CoreC-45Unify-inTerm)))))) (TTImpC-45ElabC-45Delayed-delayOnFailure arg-0 arg-1 arg-2 arg-3 arg-4 arg-11 arg-7 arg-10 (box e-5) (lambda (eta-0) (TTImpC-45ElabC-45Record-needType eta-0)) 2 (lambda (u--delayed) (let ((eff-1 (CoreC-45Unify-solveConstraints arg-1 arg-3 u--solvemode 0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45NormaliseC-45Eval-getTerm e-5))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((u--rectyC-39 (cond ((equal? u--delayed 1) (CoreC-45NormaliseC-45Eval-gnf arg-0 arg-10 e-7)) (else e-5)))) (let ((eff-3 (CoreC-45Normalise-logGlueNF arg-0 arg-1 "elab.record" 5 (lambda () (string-append (PreludeC-45Show-u--show_Show_Bool u--delayed) (string-append " record type " (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 (csegen-100) arg-13)))) arg-10 u--rectyC-39))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-4 (let ((eff-4 (TTImpC-45ElabC-45Record-recUpdate arg-0 arg-1 arg-3 arg-4 arg-7 arg-8 arg-11 arg-9 arg-10 arg-12 arg-13 u--rectyC-39))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (let ((eff-5 (CoreC-45ContextC-45Log-log arg-1 "elab.record" 5 (lambda () (string-append "Record update: " (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 (csegen-100) e-9)))))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-6 (TTImpC-45ElabC-45Check-check arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 e-9 arg-14))) eff-6)))))))) eff-5))))))))) eff-4))))))))) eff-3))))))))) eff-2))))))))))) eff-1)))))))))
(define TTImpC-45ElabC-45Record-checkForDuplicates (lambda (arg-0 arg-1 arg-2) (if (null? arg-0) arg-2 (let ((e-2 (car arg-0))) (let ((e-3 (cdr arg-0))) (let ((u--path (TTImpC-45TTImp-getFieldUpdatePath e-2))) (let ((u--dups (let ((sc1 (LibrariesC-45DataC-45SortedSet-contains u--path arg-1))) (cond ((equal? sc1 1) (LibrariesC-45DataC-45SortedSet-insert u--path arg-2)) (else arg-2))))) (TTImpC-45ElabC-45Record-checkForDuplicates e-3 (LibrariesC-45DataC-45SortedSet-insert u--path arg-1) u--dups))))))))
(define LibrariesC-45DataC-45SortedSet-u--show_Show_C-40SortedSetC-32C-36kC-41 (lambda (arg-1 ext-0) (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 arg-1 (LibrariesC-45DataC-45SortedSet-toList ext-0))))
(define LibrariesC-45DataC-45SortedSet-u--null_Foldable_SortedSet (lambda (arg-1) (let ((eff-0 arg-1)) (LibrariesC-45DataC-45SortedMap-u--null_Foldable_C-40SortedMapC-32C-36kC-41 eff-0))))
(define LibrariesC-45DataC-45SortedSet-u--neutral_Monoid_C-40SortedSetC-32C-36kC-41 (lambda (arg-1) (LibrariesC-45DataC-45SortedSet-empty arg-1)))
(define LibrariesC-45DataC-45SortedSet-u--foldr_Foldable_SortedSet (lambda (arg-2 arg-3 arg-4) (PreludeC-45Types-u--foldr_Foldable_List arg-2 arg-3 (LibrariesC-45DataC-45SortedSet-toList arg-4))))
(define LibrariesC-45DataC-45SortedSet-u--C-60C-43C-62_Semigroup_C-40SortedSetC-32C-36kC-41 (lambda (arg-1 ext-0 ext-1) (LibrariesC-45DataC-45SortedSet-union ext-0 ext-1)))
(define LibrariesC-45DataC-45SortedSet-union (lambda (arg-1 arg-2) (LibrariesC-45DataC-45SortedSet-u--foldr_Foldable_SortedSet (lambda (eta-0) (lambda (eta-1) (LibrariesC-45DataC-45SortedSet-insert eta-0 eta-1))) arg-1 arg-2)))
(define LibrariesC-45DataC-45SortedSet-toList (lambda (arg-1) (let ((eff-0 arg-1)) (LibrariesC-45DataC-45SortedMap-keys eff-0))))
(define LibrariesC-45DataC-45SortedSet-singleton (lambda (arg-1 arg-2) (LibrariesC-45DataC-45SortedSet-insert arg-2 (LibrariesC-45DataC-45SortedSet-empty arg-1))))
(define LibrariesC-45DataC-45SortedSet-insert (lambda (arg-1 arg-2) (let ((eff-0 arg-2)) (LibrariesC-45DataC-45SortedMap-insert arg-1 (vector 0 ) eff-0))))
(define LibrariesC-45DataC-45SortedSet-fromList (lambda (arg-1 arg-2) (LibrariesC-45DataC-45SortedMap-fromList arg-1 (((csegen-25) (lambda (u--i) (cons u--i (vector 0 )))) arg-2))))
(define LibrariesC-45DataC-45SortedSet-empty (lambda (arg-1) (LibrariesC-45DataC-45SortedMap-empty arg-1)))
(define LibrariesC-45DataC-45SortedSet-delete (lambda (arg-1 arg-2) (let ((eff-0 arg-2)) (LibrariesC-45DataC-45SortedMap-delete arg-1 eff-0))))
(define LibrariesC-45DataC-45SortedSet-contains (lambda (arg-1 arg-2) (let ((eff-0 arg-2)) (DataC-45Maybe-isJust (LibrariesC-45DataC-45SortedMap-lookup arg-1 eff-0)))))
(define TTImpC-45ElabC-45Quote-n--10295-12409-u--unqTuple (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (let ((e-2 (car arg-6))) (let ((e-3 (cdr arg-6))) (let ((e-6 (car e-3))) (let ((e-7 (cdr e-3))) (let ((e-10 (car e-7))) (let ((e-11 (cdr e-7))) (let ((eff-0 (TTImpC-45ElabC-45Quote-getUnquote arg-5 arg-4 arg-3 e-11))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (cons e-2 (cons e-6 (cons e-10 e-5))))))) eff-1)))))))))))))))
(define TTImpC-45ElabC-45Quote-n--10251-12251-u--unqPair (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9) (let ((e-2 (car arg-9))) (let ((e-3 (cdr arg-9))) (let ((e-6 (car e-3))) (let ((e-7 (cdr e-3))) (let ((e-10 (car e-7))) (let ((e-11 (cdr e-7))) (let ((eff-0 (TTImpC-45ElabC-45Quote-getUnquote arg-8 arg-7 arg-6 e-11))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (cons e-2 (cons e-6 (cons e-10 e-5))))))) eff-1)))))))))))))))
(define TTImpC-45ElabC-45Quote-onLHS (lambda (arg-0) (case (vector-ref arg-0 0) ((1) 1)(else 0))))
(define TTImpC-45ElabC-45Quote-getUnquoteUpdate (lambda (arg-0 arg-1 arg-2 arg-3) (case (vector-ref arg-3 0) ((0) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((eff-0 (TTImpC-45ElabC-45Quote-getUnquote arg-0 arg-1 arg-2 e-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 0 e-1 e-5))))) eff-1)))))))))) (else (let ((e-4 (vector-ref arg-3 1))) (let ((e-5 (vector-ref arg-3 2))) (let ((eff-0 (TTImpC-45ElabC-45Quote-getUnquote arg-0 arg-1 arg-2 e-5))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 1 e-4 e-6))))) eff-1)))))))))))))
(define TTImpC-45ElabC-45Quote-getUnquoteTy (lambda (arg-0 arg-1 arg-2 arg-3) (let ((e-1 (vector-ref arg-3 0))) (let ((e-2 (vector-ref arg-3 1))) (let ((e-3 (vector-ref arg-3 2))) (let ((e-4 (vector-ref arg-3 3))) (let ((eff-0 (TTImpC-45ElabC-45Quote-getUnquote arg-0 arg-1 arg-2 e-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector e-1 e-2 e-3 e-5))))) eff-1)))))))))))))
(define TTImpC-45ElabC-45Quote-getUnquoteRecord (lambda (arg-0 arg-1 arg-2 arg-3) (let ((e-1 (vector-ref arg-3 0))) (let ((e-2 (vector-ref arg-3 1))) (let ((e-3 (vector-ref arg-3 2))) (let ((e-4 (vector-ref arg-3 3))) (let ((e-5 (vector-ref arg-3 4))) (let ((e-6 (vector-ref arg-3 5))) (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (TTImpC-45ElabC-45Quote-n--10251-12251-u--unqPair e-6 e-5 e-4 e-3 e-2 e-1 arg-2 arg-1 arg-0 eta-0)) e-3 '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-7 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Core-traverseC-39 (lambda (eta-0) (TTImpC-45ElabC-45Quote-getUnquoteField arg-0 arg-1 arg-2 eta-0)) e-6 '()))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-8 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector e-1 e-2 e-7 e-4 e-5 e-8))))) eff-2))))))))) eff-1)))))))))))))))
(define TTImpC-45ElabC-45Quote-getUnquoteField (lambda (arg-0 arg-1 arg-2 arg-3) (let ((e-1 (vector-ref arg-3 0))) (let ((e-2 (vector-ref arg-3 1))) (let ((e-3 (vector-ref arg-3 2))) (let ((e-4 (vector-ref arg-3 3))) (let ((e-5 (vector-ref arg-3 4))) (let ((eff-0 (TTImpC-45ElabC-45Quote-getUnquote arg-0 arg-1 arg-2 e-5))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector e-1 e-2 e-3 e-4 e-6))))) eff-1))))))))))))))
(define TTImpC-45ElabC-45Quote-getUnquoteDecl (lambda (arg-0 arg-1 arg-2 arg-3) (case (vector-ref arg-3 0) ((0) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-3 (vector-ref arg-3 3))) (let ((e-4 (vector-ref arg-3 4))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (TTImpC-45ElabC-45Quote-getUnquoteTy arg-0 arg-1 arg-2 e-5))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 0 e-1 e-2 e-3 e-4 e-6))))) eff-1))))))))))))) ((1) (let ((e-7 (vector-ref arg-3 1))) (let ((e-8 (vector-ref arg-3 2))) (let ((e-9 (vector-ref arg-3 3))) (let ((e-10 (vector-ref arg-3 4))) (let ((eff-0 (TTImpC-45ElabC-45Quote-getUnquoteData arg-0 arg-1 arg-2 e-10))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 1 e-7 e-8 e-9 e-5))))) eff-1)))))))))))) ((2) (let ((e-12 (vector-ref arg-3 1))) (let ((e-13 (vector-ref arg-3 2))) (let ((e-14 (vector-ref arg-3 3))) (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (TTImpC-45ElabC-45Quote-getUnquoteClause arg-0 arg-1 arg-2 eta-0)) e-14 '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 2 e-12 e-13 e-5))))) eff-1))))))))))) ((3) (let ((e-16 (vector-ref arg-3 1))) (let ((e-17 (vector-ref arg-3 2))) (let ((e-18 (vector-ref arg-3 3))) (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (TTImpC-45ElabC-45Quote-n--10295-12409-u--unqTuple e-18 e-17 e-16 arg-2 arg-1 arg-0 eta-0)) e-17 '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Core-traverseC-39 (lambda (eta-0) (TTImpC-45ElabC-45Quote-getUnquoteDecl arg-0 arg-1 arg-2 eta-0)) e-18 '()))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 3 e-16 e-5 e-6))))) eff-2))))))))) eff-1))))))))))) ((4) (let ((e-20 (vector-ref arg-3 1))) (let ((e-21 (vector-ref arg-3 2))) (let ((e-22 (vector-ref arg-3 3))) (let ((e-23 (vector-ref arg-3 4))) (let ((e-24 (vector-ref arg-3 5))) (let ((eff-0 (TTImpC-45ElabC-45Quote-getUnquoteRecord arg-0 arg-1 arg-2 e-24))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 4 e-20 e-21 e-22 e-23 e-5))))) eff-1))))))))))))) ((6) (let ((e-26 (vector-ref arg-3 1))) (let ((e-27 (vector-ref arg-3 2))) (let ((e-28 (vector-ref arg-3 3))) (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (TTImpC-45ElabC-45Quote-getUnquoteDecl arg-0 arg-1 arg-2 eta-0)) e-28 '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 6 e-26 e-27 e-5))))) eff-1))))))))))) ((7) (let ((e-30 (vector-ref arg-3 1))) (let ((e-31 (vector-ref arg-3 2))) (let ((e-32 (vector-ref arg-3 3))) (let ((e-33 (vector-ref arg-3 4))) (let ((eff-0 (TTImpC-45ElabC-45Quote-getUnquote arg-0 arg-1 arg-2 e-32))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (TTImpC-45ElabC-45Quote-getUnquote arg-0 arg-1 arg-2 e-33))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 7 e-30 e-31 e-5 e-6))))) eff-2))))))))) eff-1))))))))))))(else (lambda (eta-0) (vector 1 arg-3))))))
(define TTImpC-45ElabC-45Quote-getUnquoteData (lambda (arg-0 arg-1 arg-2 arg-3) (case (vector-ref arg-3 0) ((0) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-3 (vector-ref arg-3 3))) (let ((e-4 (vector-ref arg-3 4))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (TTImpC-45ElabC-45Quote-getUnquote arg-0 arg-1 arg-2 e-3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Core-traverseC-39 (lambda (eta-0) (TTImpC-45ElabC-45Quote-getUnquoteTy arg-0 arg-1 arg-2 eta-0)) e-5 '()))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 0 e-1 e-2 e-6 e-4 e-7))))) eff-2))))))))) eff-1))))))))))))) (else (let ((e-7 (vector-ref arg-3 1))) (let ((e-8 (vector-ref arg-3 2))) (let ((e-9 (vector-ref arg-3 3))) (let ((eff-0 (TTImpC-45ElabC-45Quote-getUnquote arg-0 arg-1 arg-2 e-9))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 1 e-7 e-8 e-5))))) eff-1))))))))))))))
(define TTImpC-45ElabC-45Quote-getUnquoteClause (lambda (arg-0 arg-1 arg-2 arg-3) (case (vector-ref arg-3 0) ((0) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-3 (vector-ref arg-3 3))) (let ((eff-0 (TTImpC-45ElabC-45Quote-getUnquote arg-0 arg-1 arg-2 e-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (TTImpC-45ElabC-45Quote-getUnquote arg-0 arg-1 arg-2 e-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 0 e-1 e-5 e-6))))) eff-2))))))))) eff-1))))))))))) ((1) (let ((e-5 (vector-ref arg-3 1))) (let ((e-6 (vector-ref arg-3 2))) (let ((e-7 (vector-ref arg-3 3))) (let ((e-8 (vector-ref arg-3 4))) (let ((e-9 (vector-ref arg-3 5))) (let ((e-10 (vector-ref arg-3 6))) (let ((e-11 (vector-ref arg-3 7))) (let ((eff-0 (TTImpC-45ElabC-45Quote-getUnquote arg-0 arg-1 arg-2 e-6))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-12 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (TTImpC-45ElabC-45Quote-getUnquote arg-0 arg-1 arg-2 e-8))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-13 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Core-traverseC-39 (lambda (eta-0) (TTImpC-45ElabC-45Quote-getUnquoteClause arg-0 arg-1 arg-2 eta-0)) e-11 '()))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-14 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (vector 1 e-5 e-12 e-7 e-13 e-9 e-10 e-14))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))))))) (else (let ((e-13 (vector-ref arg-3 1))) (let ((e-14 (vector-ref arg-3 2))) (let ((eff-0 (TTImpC-45ElabC-45Quote-getUnquote arg-0 arg-1 arg-2 e-14))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 2 e-13 e-5))))) eff-1)))))))))))))
(define TTImpC-45ElabC-45Quote-getUnquote (lambda (arg-0 arg-1 arg-2 arg-3) (case (vector-ref arg-3 0) ((1) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-3 (vector-ref arg-3 3))) (let ((e-4 (vector-ref arg-3 4))) (let ((e-5 (vector-ref arg-3 5))) (let ((e-6 (vector-ref arg-3 6))) (let ((eff-0 (TTImpC-45ElabC-45Quote-getUnquote arg-0 arg-1 arg-2 e-5))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-7 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (TTImpC-45ElabC-45Quote-getUnquote arg-0 arg-1 arg-2 e-6))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-8 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 1 e-1 e-2 e-3 e-4 e-7 e-8))))) eff-2))))))))) eff-1)))))))))))))) ((2) (let ((e-8 (vector-ref arg-3 1))) (let ((e-9 (vector-ref arg-3 2))) (let ((e-10 (vector-ref arg-3 3))) (let ((e-11 (vector-ref arg-3 4))) (let ((e-12 (vector-ref arg-3 5))) (let ((e-13 (vector-ref arg-3 6))) (let ((eff-0 (TTImpC-45ElabC-45Quote-getUnquote arg-0 arg-1 arg-2 e-12))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (TTImpC-45ElabC-45Quote-getUnquote arg-0 arg-1 arg-2 e-13))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 2 e-8 e-9 e-10 e-11 e-5 e-6))))) eff-2))))))))) eff-1)))))))))))))) ((3) (let ((e-15 (vector-ref arg-3 1))) (let ((e-16 (vector-ref arg-3 2))) (let ((e-17 (vector-ref arg-3 3))) (let ((e-18 (vector-ref arg-3 4))) (let ((e-19 (vector-ref arg-3 5))) (let ((e-20 (vector-ref arg-3 6))) (let ((e-21 (vector-ref arg-3 7))) (let ((eff-0 (TTImpC-45ElabC-45Quote-getUnquote arg-0 arg-1 arg-2 e-19))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (TTImpC-45ElabC-45Quote-getUnquote arg-0 arg-1 arg-2 e-20))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45ElabC-45Quote-getUnquote arg-0 arg-1 arg-2 e-21))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (vector 3 e-15 e-16 e-17 e-18 e-5 e-6 e-7))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))))))) ((4) (let ((e-23 (vector-ref arg-3 1))) (let ((e-24 (vector-ref arg-3 2))) (let ((e-25 (vector-ref arg-3 3))) (let ((e-26 (vector-ref arg-3 4))) (let ((eff-0 (TTImpC-45ElabC-45Quote-getUnquote arg-0 arg-1 arg-2 e-24))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (TTImpC-45ElabC-45Quote-getUnquote arg-0 arg-1 arg-2 e-25))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Core-traverseC-39 (lambda (eta-0) (TTImpC-45ElabC-45Quote-getUnquoteClause arg-0 arg-1 arg-2 eta-0)) e-26 '()))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (vector 4 e-23 e-5 e-6 e-7))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))) ((5) (let ((e-28 (vector-ref arg-3 1))) (let ((e-29 (vector-ref arg-3 2))) (let ((e-30 (vector-ref arg-3 3))) (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (TTImpC-45ElabC-45Quote-getUnquoteDecl arg-0 arg-1 arg-2 eta-0)) e-29 '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (TTImpC-45ElabC-45Quote-getUnquote arg-0 arg-1 arg-2 e-30))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 5 e-28 e-5 e-6))))) eff-2))))))))) eff-1))))))))))) ((7) (let ((e-32 (vector-ref arg-3 1))) (let ((e-33 (vector-ref arg-3 2))) (let ((e-34 (vector-ref arg-3 3))) (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (TTImpC-45ElabC-45Quote-getUnquoteUpdate arg-0 arg-1 arg-2 eta-0)) e-33 '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (TTImpC-45ElabC-45Quote-getUnquote arg-0 arg-1 arg-2 e-34))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 7 e-32 e-5 e-6))))) eff-2))))))))) eff-1))))))))))) ((8) (let ((e-36 (vector-ref arg-3 1))) (let ((e-37 (vector-ref arg-3 2))) (let ((e-38 (vector-ref arg-3 3))) (let ((eff-0 (TTImpC-45ElabC-45Quote-getUnquote arg-0 arg-1 arg-2 e-37))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (TTImpC-45ElabC-45Quote-getUnquote arg-0 arg-1 arg-2 e-38))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 8 e-36 e-5 e-6))))) eff-2))))))))) eff-1))))))))))) ((9) (let ((e-40 (vector-ref arg-3 1))) (let ((e-41 (vector-ref arg-3 2))) (let ((e-42 (vector-ref arg-3 3))) (let ((eff-0 (TTImpC-45ElabC-45Quote-getUnquote arg-0 arg-1 arg-2 e-41))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (TTImpC-45ElabC-45Quote-getUnquote arg-0 arg-1 arg-2 e-42))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 9 e-40 e-5 e-6))))) eff-2))))))))) eff-1))))))))))) ((10) (let ((e-44 (vector-ref arg-3 1))) (let ((e-45 (vector-ref arg-3 2))) (let ((e-46 (vector-ref arg-3 3))) (let ((e-47 (vector-ref arg-3 4))) (let ((eff-0 (TTImpC-45ElabC-45Quote-getUnquote arg-0 arg-1 arg-2 e-45))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (TTImpC-45ElabC-45Quote-getUnquote arg-0 arg-1 arg-2 e-47))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 10 e-44 e-5 e-46 e-6))))) eff-2))))))))) eff-1)))))))))))) ((11) (let ((e-49 (vector-ref arg-3 1))) (let ((e-50 (vector-ref arg-3 2))) (let ((e-51 (vector-ref arg-3 3))) (let ((eff-0 (TTImpC-45ElabC-45Quote-getUnquote arg-0 arg-1 arg-2 e-50))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (TTImpC-45ElabC-45Quote-getUnquote arg-0 arg-1 arg-2 e-51))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 11 e-49 e-5 e-6))))) eff-2))))))))) eff-1))))))))))) ((13) (let ((e-53 (vector-ref arg-3 1))) (let ((e-54 (vector-ref arg-3 2))) (let ((e-55 (vector-ref arg-3 3))) (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (TTImpC-45ElabC-45Quote-getUnquote arg-0 arg-1 arg-2 eta-0)) e-55 '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 13 e-53 e-54 e-5))))) eff-1))))))))))) ((14) (let ((e-57 (vector-ref arg-3 1))) (let ((e-58 (vector-ref arg-3 2))) (let ((e-59 (vector-ref arg-3 3))) (let ((eff-0 (TTImpC-45ElabC-45Quote-getUnquote arg-0 arg-1 arg-2 e-58))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (TTImpC-45ElabC-45Quote-getUnquote arg-0 arg-1 arg-2 e-59))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 14 e-57 e-5 e-6))))) eff-2))))))))) eff-1))))))))))) ((15) (let ((e-61 (vector-ref arg-3 1))) (let ((e-62 (vector-ref arg-3 2))) (let ((eff-0 (TTImpC-45ElabC-45Quote-getUnquote arg-0 arg-1 arg-2 e-62))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 15 e-61 e-5))))) eff-1)))))))))) ((16) (let ((e-64 (vector-ref arg-3 1))) (let ((e-65 (vector-ref arg-3 2))) (let ((e-66 (vector-ref arg-3 3))) (let ((eff-0 (TTImpC-45ElabC-45Quote-getUnquote arg-0 arg-1 arg-2 e-66))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 16 e-64 e-65 e-5))))) eff-1))))))))))) ((18) (let ((e-68 (vector-ref arg-3 1))) (let ((e-69 (vector-ref arg-3 2))) (let ((e-70 (vector-ref arg-3 3))) (let ((e-71 (vector-ref arg-3 4))) (let ((e-72 (vector-ref arg-3 5))) (let ((eff-0 (TTImpC-45ElabC-45Quote-getUnquote arg-0 arg-1 arg-2 e-72))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 18 e-68 e-69 e-70 e-71 e-5))))) eff-1))))))))))))) ((19) (let ((e-74 (vector-ref arg-3 1))) (let ((e-75 (vector-ref arg-3 2))) (let ((e-76 (vector-ref arg-3 3))) (let ((eff-0 (TTImpC-45ElabC-45Quote-getUnquote arg-0 arg-1 arg-2 e-76))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 19 e-74 e-75 e-5))))) eff-1))))))))))) ((20) (let ((e-78 (vector-ref arg-3 1))) (let ((e-79 (vector-ref arg-3 2))) (let ((e-80 (vector-ref arg-3 3))) (let ((eff-0 (TTImpC-45ElabC-45Quote-getUnquote arg-0 arg-1 arg-2 e-80))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 20 e-78 e-79 e-5))))) eff-1))))))))))) ((21) (let ((e-82 (vector-ref arg-3 1))) (let ((e-83 (vector-ref arg-3 2))) (let ((eff-0 (TTImpC-45ElabC-45Quote-getUnquote arg-0 arg-1 arg-2 e-83))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 21 e-82 e-5))))) eff-1)))))))))) ((22) (let ((e-85 (vector-ref arg-3 1))) (let ((e-86 (vector-ref arg-3 2))) (let ((eff-0 (TTImpC-45ElabC-45Quote-getUnquote arg-0 arg-1 arg-2 e-86))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 22 e-85 e-5))))) eff-1)))))))))) ((23) (let ((e-88 (vector-ref arg-3 1))) (let ((e-89 (vector-ref arg-3 2))) (let ((eff-0 (TTImpC-45ElabC-45Quote-getUnquote arg-0 arg-1 arg-2 e-89))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 23 e-88 e-5))))) eff-1)))))))))) ((26) (let ((e-91 (vector-ref arg-3 1))) (let ((e-92 (vector-ref arg-3 2))) (let ((eff-0 (CoreC-45UnifyState-genVarName arg-0 arg-2 "q"))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 (let ((eff-1 arg-1)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (unbox eff-2))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 arg-1)) (PrimIO-io_bind (let ((eff-3 eff-2)) (lambda (eta-0) (set-box! eff-3 (cons (cons e-5 (cons e-91 e-92)) e-6)))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (lambda (eta-0) (vector 1 (vector 26 e-91 (vector 0 e-91 e-5)))))) eff-2)))))))) eff-1))))))))))(else (lambda (eta-0) (vector 1 arg-3))))))
(define TTImpC-45ElabC-45Quote-checkQuoteName (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11) (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Reflect-u--reflect_Reflect_Name arg-0 arg-9 e-5 (TTImpC-45ElabC-45Quote-onLHS (let ((e-0 (vector-ref arg-6 0))) e-0)) arg-8 arg-10))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Reflect-getCon arg-0 arg-9 e-5 (CoreC-45Reflect-reflectiontt "Name")))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (TTImpC-45ElabC-45Check-checkExp arg-0 arg-1 arg-3 arg-4 arg-5 arg-6 arg-8 arg-9 e-6 (CoreC-45NormaliseC-45Eval-gnf arg-0 arg-8 e-7) arg-11))) eff-3))))))))) eff-2))))))))) eff-1)))))))))
(define TTImpC-45ElabC-45Quote-checkQuoteDecl (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13) (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Core-newRef (vector "TTImp.Elab.Quote.Unq" ) '()))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Core-traverseC-39 (lambda (eta-0) (TTImpC-45ElabC-45Quote-getUnquoteDecl arg-1 e-6 arg-3 eta-0)) arg-12 '()))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 ((((((let ((eff-3 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (lambda (eta-4) (lambda (eta-5) (CoreC-45Reflect-u--reflect_Reflect_C-40ListC-32C-36aC-41 (lambda (eta-6) (lambda (eta-7) (lambda (eta-8) (lambda (eta-9) (lambda (eta-10) (lambda (eta-11) (TTImpC-45Reflect-u--reflect_Reflect_ImpDecl eta-6 eta-7 eta-8 eta-9 eta-10 eta-11))))))) eta-0 eta-1 eta-2 eta-3 eta-4 eta-5))))))))) (lambda (arg-14) (lambda (arg-15) (lambda (arg-16) (lambda (arg-17) (lambda (arg-18) ((((((eff-3 arg-0) arg-14) arg-15) arg-16) arg-17) arg-18))))))) arg-11) e-5) (TTImpC-45ElabC-45Quote-onLHS (let ((e-0 (vector-ref arg-8 0))) e-0))) arg-10) e-7))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (let ((eff-4 e-6)) (PrimIO-io_bind (let ((eff-5 eff-4)) (lambda (eta-0) (unbox eff-5))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (let ((eff-5 (CoreC-45Reflect-getCon arg-0 arg-11 e-5 (CoreC-45Reflect-reflectionttimp "Decl")))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-10 (vector-ref lcase-5 1))) (let ((eff-6 (let ((eff-6 (CoreC-45Reflect-appCon arg-0 arg-11 e-5 (CoreC-45Reflect-basics "List") (cons e-10 '())))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-2 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-11 (vector-ref lcase-6 1))) (let ((eff-7 (let ((eff-7 (TTImpC-45ElabC-45Quote-bindUnqs arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-9 arg-7 arg-8 arg-9 arg-10 e-8))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-2 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-12 (vector-ref lcase-7 1))) (let ((eff-8 (TTImpC-45ElabC-45Check-checkExp arg-0 arg-1 arg-3 arg-4 arg-7 arg-8 arg-10 arg-11 e-12 (CoreC-45NormaliseC-45Eval-gnf arg-0 arg-10 e-11) arg-13))) eff-8))))))))) eff-7))))))))) eff-6))))))))) eff-5))))))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))
(define TTImpC-45ElabC-45Quote-checkQuote (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13) (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Core-newRef (vector "TTImp.Elab.Quote.Unq" ) '()))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45ElabC-45Quote-getUnquote arg-1 e-6 arg-3 arg-12))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 ((((((let ((eff-3 (csegen-2938))) (lambda (arg-14) (lambda (arg-15) (lambda (arg-16) (lambda (arg-17) (lambda (arg-18) ((((((eff-3 arg-0) arg-14) arg-15) arg-16) arg-17) arg-18))))))) arg-11) e-5) (TTImpC-45ElabC-45Quote-onLHS (let ((e-0 (vector-ref arg-8 0))) e-0))) arg-10) e-7))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (let ((eff-4 e-6)) (PrimIO-io_bind (let ((eff-5 eff-4)) (lambda (eta-0) (unbox eff-5))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (let ((eff-5 (CoreC-45Reflect-getCon arg-0 arg-11 e-5 (CoreC-45Reflect-reflectionttimp "TTImp")))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-10 (vector-ref lcase-5 1))) (let ((eff-6 (let ((eff-6 (TTImpC-45ElabC-45Quote-bindUnqs arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-9 arg-7 arg-8 arg-9 arg-10 e-8))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-2 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-11 (vector-ref lcase-6 1))) (let ((eff-7 (let ((eff-7 (CoreC-45Normalise-normalise arg-1 arg-0 e-5 arg-10 e-11))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-2 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-12 (vector-ref lcase-7 1))) (let ((eff-8 (TTImpC-45ElabC-45Check-checkExp arg-0 arg-1 arg-3 arg-4 arg-7 arg-8 arg-10 arg-11 e-12 (CoreC-45NormaliseC-45Eval-gnf arg-0 arg-10 e-10) arg-13))) eff-8))))))))) eff-7))))))))) eff-6))))))))) eff-5))))))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))
(define TTImpC-45ElabC-45Quote-bindUnqs (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12) (if (null? arg-7) (lambda (eta-0) (vector 1 arg-12)) (let ((e-2 (car arg-7))) (let ((e-3 (cdr arg-7))) (let ((e-6 (car e-2))) (let ((e-7 (cdr e-2))) (let ((e-10 (car e-7))) (let ((e-11 (cdr e-7))) (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-lookupCtxtExactI (CoreC-45Reflect-reflectionttimp "TTImp") (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-8 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-8) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 7 e-10 (CoreC-45Reflect-reflectionttimp "TTImp")) eta-0)) (let ((e-1 (unbox e-8))) (if (null? e-1) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 7 e-10 (CoreC-45Reflect-reflectionttimp "TTImp")) eta-0)) (let ((e-4 (car e-1))) (let ((eff-2 (TTImpC-45ElabC-45Check-check arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-8 arg-9 arg-10 arg-11 e-11 (box (CoreC-45NormaliseC-45Eval-gnf arg-0 arg-11 (vector 1 e-10 (vector 3 0 0) (vector 8 e-4))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-12 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-12)))) (else (let ((e-12 (vector-ref lcase-2 1))) (let ((eff-3 (let ((e-14 (car e-12))) (let ((e-13 (cdr e-12))) (let ((eff-3 (TTImpC-45ElabC-45Quote-bindUnqs arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-3 arg-8 arg-9 arg-10 arg-11 arg-12))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-15 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-15)))) (else (let ((e-15 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45NormaliseC-45Eval-getTerm e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-16 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-16)))) (else (let ((e-16 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 3 e-10 e-6 (vector 1 e-10 (AlgebraC-45ZeroOneOmega-rigMult (AlgebraC-45ZeroOneOmega-u--top_Top_ZeroOneOmega) arg-8) e-14 e-16) (CoreC-45TT-refToLocal e-6 e-6 e-15)))))) eff-5))))))))) eff-4))))))))))) eff-3))))))))))))) eff-2))))))))) eff-1))))))))))))))))
(define TTImpC-45ElabC-45Prim-checkPrim (lambda (arg-1 arg-2) (case (vector-ref arg-2 0) ((0) (let ((e-0 (vector-ref arg-2 1))) (cons (vector 9 arg-1 (vector 0 e-0)) (vector 9 arg-1 (vector 13 0))))) ((1) (let ((e-1 (vector-ref arg-2 1))) (cons (vector 9 arg-1 (vector 1 e-1)) (vector 9 arg-1 (vector 13 1))))) ((2) (let ((e-2 (vector-ref arg-2 1))) (cons (vector 9 arg-1 (vector 2 e-2)) (vector 9 arg-1 (vector 13 2))))) ((3) (let ((e-3 (vector-ref arg-2 1))) (cons (vector 9 arg-1 (vector 3 e-3)) (vector 9 arg-1 (vector 13 3))))) ((4) (let ((e-4 (vector-ref arg-2 1))) (cons (vector 9 arg-1 (vector 4 e-4)) (vector 9 arg-1 (vector 13 4))))) ((5) (let ((e-5 (vector-ref arg-2 1))) (cons (vector 9 arg-1 (vector 5 e-5)) (vector 9 arg-1 (vector 13 5))))) ((6) (let ((e-6 (vector-ref arg-2 1))) (cons (vector 9 arg-1 (vector 6 e-6)) (vector 9 arg-1 (vector 13 6))))) ((7) (let ((e-7 (vector-ref arg-2 1))) (cons (vector 9 arg-1 (vector 7 e-7)) (vector 9 arg-1 (vector 13 7))))) ((8) (let ((e-8 (vector-ref arg-2 1))) (cons (vector 9 arg-1 (vector 8 e-8)) (vector 9 arg-1 (vector 13 8))))) ((9) (let ((e-9 (vector-ref arg-2 1))) (cons (vector 9 arg-1 (vector 9 e-9)) (vector 9 arg-1 (vector 13 9))))) ((10) (let ((e-10 (vector-ref arg-2 1))) (cons (vector 9 arg-1 (vector 10 e-10)) (vector 9 arg-1 (vector 13 10))))) ((11) (let ((e-11 (vector-ref arg-2 1))) (cons (vector 9 arg-1 (vector 11 e-11)) (vector 9 arg-1 (vector 13 11))))) ((12) (let ((e-12 (vector-ref arg-2 1))) (cons (vector 9 arg-1 (vector 12 e-12)) (vector 9 arg-1 (vector 13 12))))) ((13) (let ((e-13 (vector-ref arg-2 1))) (cons (vector 9 arg-1 (vector 13 e-13)) (vector 11 arg-1 (vector 2 "top" 0))))) (else (cons (vector 9 arg-1 (vector 14 )) (vector 9 arg-1 (vector 13 13)))))))
(define TTImpC-45ElabC-45Local-case--getLocalTerm-13808 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (if (null? arg-7) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 "Case Local failed") eta-0)) (let ((e-1 (unbox arg-7))) (let ((e-5 (car e-1))) (let ((eff-0 (TTImpC-45ElabC-45Local-getLocalTerm arg-0 arg-6 arg-5 arg-4 (vector 4 arg-5 arg-3 (vector 0 arg-5 '() e-5)) arg-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (clam-0) (let ((e-2 (car e-7))) (let ((e-3 (cdr e-7))) (vector 1 (cons e-2 (cons e-5 e-3)))))))) eff-1))))))))))))
(define TTImpC-45ElabC-45Local-n--9953-12486-u--updateTyName (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13) (let ((e-1 (vector-ref arg-13 0))) (let ((e-2 (vector-ref arg-13 1))) (let ((e-3 (vector-ref arg-13 2))) (let ((e-4 (vector-ref arg-13 3))) (vector e-1 e-2 (TTImpC-45ElabC-45Local-n--9953-12485-u--newName arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 e-3) e-4)))))))
(define TTImpC-45ElabC-45Local-n--9953-12489-u--updateRecordName (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13) (let ((e-1 (vector-ref arg-13 0))) (let ((e-2 (vector-ref arg-13 1))) (let ((e-3 (vector-ref arg-13 2))) (let ((e-4 (vector-ref arg-13 3))) (let ((e-5 (vector-ref arg-13 4))) (let ((e-6 (vector-ref arg-13 5))) (vector e-1 (TTImpC-45ElabC-45Local-n--9953-12485-u--newName arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 e-2) e-3 e-4 (TTImpC-45ElabC-45Local-n--9953-12485-u--newName arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 e-5) (((csegen-25) (lambda (eta-0) (TTImpC-45ElabC-45Local-n--9953-12488-u--updateFieldName arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 eta-0))) e-6))))))))))
(define TTImpC-45ElabC-45Local-n--9953-12490-u--updateRecordNS (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13) (if (null? arg-13) '() (let ((e-2 (unbox arg-13))) (box (CoreC-45Name-u--show_Show_Name (TTImpC-45ElabC-45Local-n--9953-12485-u--newName arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 (vector 1 (CoreC-45Name-mkUserName e-2)))))))))
(define TTImpC-45ElabC-45Local-n--9953-12491-u--updateName (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13) (case (vector-ref arg-13 0) ((0) (let ((e-1 (vector-ref arg-13 1))) (let ((e-2 (vector-ref arg-13 2))) (let ((e-3 (vector-ref arg-13 3))) (let ((e-4 (vector-ref arg-13 4))) (let ((e-5 (vector-ref arg-13 5))) (vector 0 e-1 e-2 e-3 e-4 (TTImpC-45ElabC-45Local-n--9953-12486-u--updateTyName arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 e-5)))))))) ((2) (let ((e-7 (vector-ref arg-13 1))) (let ((e-8 (vector-ref arg-13 2))) (let ((e-9 (vector-ref arg-13 3))) (vector 2 e-7 (TTImpC-45ElabC-45Local-n--9953-12485-u--newName arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 e-8) e-9))))) ((1) (let ((e-11 (vector-ref arg-13 1))) (let ((e-12 (vector-ref arg-13 2))) (let ((e-13 (vector-ref arg-13 3))) (let ((e-14 (vector-ref arg-13 4))) (vector 1 e-11 e-12 e-13 (TTImpC-45ElabC-45Local-n--9953-12487-u--updateDataName arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 e-14))))))) ((4) (let ((e-16 (vector-ref arg-13 1))) (let ((e-17 (vector-ref arg-13 2))) (let ((e-18 (vector-ref arg-13 3))) (let ((e-19 (vector-ref arg-13 4))) (let ((e-20 (vector-ref arg-13 5))) (vector 4 e-16 (TTImpC-45ElabC-45Local-n--9953-12490-u--updateRecordNS arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 e-17) e-18 e-19 (TTImpC-45ElabC-45Local-n--9953-12489-u--updateRecordName arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 e-20))))))))(else arg-13))))
(define TTImpC-45ElabC-45Local-n--9953-12488-u--updateFieldName (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13) (let ((e-1 (vector-ref arg-13 0))) (let ((e-2 (vector-ref arg-13 1))) (let ((e-3 (vector-ref arg-13 2))) (let ((e-4 (vector-ref arg-13 3))) (let ((e-5 (vector-ref arg-13 4))) (vector e-1 e-2 e-3 (TTImpC-45ElabC-45Local-n--9953-12485-u--newName arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 e-4) e-5))))))))
(define TTImpC-45ElabC-45Local-n--9953-12487-u--updateDataName (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13) (case (vector-ref arg-13 0) ((0) (let ((e-1 (vector-ref arg-13 1))) (let ((e-2 (vector-ref arg-13 2))) (let ((e-3 (vector-ref arg-13 3))) (let ((e-4 (vector-ref arg-13 4))) (let ((e-5 (vector-ref arg-13 5))) (vector 0 e-1 (TTImpC-45ElabC-45Local-n--9953-12485-u--newName arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 e-2) e-3 e-4 (((csegen-25) (lambda (eta-0) (TTImpC-45ElabC-45Local-n--9953-12486-u--updateTyName arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 eta-0))) e-5)))))))) (else (let ((e-7 (vector-ref arg-13 1))) (let ((e-8 (vector-ref arg-13 2))) (let ((e-9 (vector-ref arg-13 3))) (vector 1 e-7 (TTImpC-45ElabC-45Local-n--9953-12485-u--newName arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 e-8) e-9))))))))
(define TTImpC-45ElabC-45Local-n--9953-12492-u--setPublic (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12) (case (vector-ref arg-12 0) ((0) (let ((e-1 (vector-ref arg-12 1))) (let ((e-2 (vector-ref arg-12 2))) (let ((e-4 (vector-ref arg-12 4))) (let ((e-5 (vector-ref arg-12 5))) (vector 0 e-1 e-2 2 e-4 e-5)))))) ((1) (let ((e-7 (vector-ref arg-12 1))) (let ((e-9 (vector-ref arg-12 3))) (let ((e-10 (vector-ref arg-12 4))) (vector 1 e-7 2 e-9 e-10))))) ((4) (let ((e-12 (vector-ref arg-12 1))) (let ((e-13 (vector-ref arg-12 2))) (let ((e-15 (vector-ref arg-12 4))) (let ((e-16 (vector-ref arg-12 5))) (vector 4 e-12 e-13 2 e-15 e-16)))))) ((3) (let ((e-18 (vector-ref arg-12 1))) (let ((e-19 (vector-ref arg-12 2))) (let ((e-20 (vector-ref arg-12 3))) (vector 3 e-18 e-19 (((csegen-25) (lambda (eta-0) (TTImpC-45ElabC-45Local-n--9953-12492-u--setPublic arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 eta-0))) e-20)))))) ((6) (let ((e-22 (vector-ref arg-12 1))) (let ((e-23 (vector-ref arg-12 2))) (let ((e-24 (vector-ref arg-12 3))) (vector 6 e-22 e-23 (((csegen-25) (lambda (eta-0) (TTImpC-45ElabC-45Local-n--9953-12492-u--setPublic arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 eta-0))) e-24))))))(else arg-12))))
(define TTImpC-45ElabC-45Local-n--9953-12493-u--setErased (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12) (case (vector-ref arg-12 0) ((0) (let ((e-1 (vector-ref arg-12 1))) (let ((e-3 (vector-ref arg-12 3))) (let ((e-4 (vector-ref arg-12 4))) (let ((e-5 (vector-ref arg-12 5))) (vector 0 e-1 (csegen-54) e-3 e-4 e-5)))))) ((3) (let ((e-7 (vector-ref arg-12 1))) (let ((e-8 (vector-ref arg-12 2))) (let ((e-9 (vector-ref arg-12 3))) (vector 3 e-7 e-8 (((csegen-25) (lambda (eta-0) (TTImpC-45ElabC-45Local-n--9953-12493-u--setErased arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 eta-0))) e-9)))))) ((6) (let ((e-11 (vector-ref arg-12 1))) (let ((e-12 (vector-ref arg-12 2))) (let ((e-13 (vector-ref arg-12 3))) (vector 6 e-11 e-12 (((csegen-25) (lambda (eta-0) (TTImpC-45ElabC-45Local-n--9953-12493-u--setErased arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 eta-0))) e-13))))))(else arg-12))))
(define TTImpC-45ElabC-45Local-n--9953-12485-u--newName (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13) (let ((sc0 (DataC-45List-lookup (csegen-1008) arg-13 (let ((eff-0 arg-12)) eff-0)))) (if (null? sc0) arg-13 (let ((e-1 (unbox sc0))) (if (null? e-1) arg-13 (let ((e-4 (car e-1))) (if (null? e-4) arg-13 (let ((e-7 (unbox e-4))) e-7)))))))))
(define TTImpC-45ElabC-45Local-n--9953-12483-u--dropLinear (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-13) (if (null? arg-13) '() (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (let ((sc1 (AlgebraC-45Semiring-isLinear (csegen-1156) (CoreC-45TT-multiplicity e-4)))) (cond ((equal? sc1 1) (cons (CoreC-45TT-setMultiplicity e-4 (csegen-54)) (TTImpC-45ElabC-45Local-n--9953-12483-u--dropLinear arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 e-5))) (else (cons e-4 (TTImpC-45ElabC-45Local-n--9953-12483-u--dropLinear arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 e-5))))))))))
(define TTImpC-45ElabC-45Local-n--9953-12484-u--applyEnv (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13) (let ((eff-0 (let ((eff-0 arg-9)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 arg-9)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (let ((e-0 (vector-ref e-5 0))) (let ((e-1 (vector-ref e-5 1))) (let ((e-2 (vector-ref e-5 2))) (let ((e-3 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-12 (vector-ref e-5 5))) (let ((e-6 (vector-ref e-5 6))) (let ((e-7 (vector-ref e-5 7))) (let ((e-8 (vector-ref e-5 8))) (let ((e-9 (vector-ref e-5 9))) (let ((e-10 (vector-ref e-5 10))) (let ((e-11 (vector-ref e-5 11))) (vector e-0 e-1 e-2 e-3 e-4 e-12 e-6 e-7 (bs+ e-8 1 63) e-9 e-10 e-11)))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((u--nestedName_in (vector 5 (cons arg-12 (let ((e-8 (vector-ref e-5 8))) e-8)) arg-13))) (let ((eff-2 (CoreC-45Context-inCurrentNS arg-11 u--nestedName_in))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45Context-addName arg-11 e-7))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (cons arg-13 (cons (box e-7) (cons (PreludeC-45TypesC-45List-reverse (CoreC-45Env-allVars arg-1 arg-4)) (lambda (u--fc) (lambda (u--nt) (CoreC-45UnifyState-applyToFull arg-1 u--fc (vector 1 u--fc u--nt (vector 8 e-8)) arg-4)))))))))) eff-4))))))))) eff-3)))))))))) eff-2)))))))) eff-1)))))))))
(define TTImpC-45ElabC-45Local-localHelper (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11) (let ((eff-0 (let ((eff-0 arg-5)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--f (let ((e-2 (vector-ref e-5 1))) e-2))) (let ((eff-1 (let ((eff-1 arg-2)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (unbox eff-2))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-lookupCtxtExact (vector 8 (let ((e-2 (vector-ref e-5 1))) e-2)) (let ((e-0 (vector-ref e-6 0))) e-0)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((u--vis (PreludeC-45Types-maybe (lambda () 2) (lambda () (lambda (eta-0) (let ((e-9 (vector-ref eta-0 9))) e-9))) e-7))) (let ((u--mult (PreludeC-45Types-maybe (lambda () (csegen-1778)) (lambda () (lambda (eta-0) (let ((e-22 (vector-ref eta-0 7))) e-22))) e-7))) (let ((u--nestdeclsVis (let ((sc3 (CoreC-45TT-u--C-61C-61_Eq_Visibility u--vis 2))) (cond ((equal? sc3 1) (((csegen-25) (lambda (eta-0) (TTImpC-45ElabC-45Local-n--9953-12492-u--setPublic arg-1 arg-11 arg-10 arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 eta-0))) arg-10)) (else arg-10))))) (let ((u--nestdeclsMult (let ((sc3 (AlgebraC-45ZeroOneOmega-u--C-61C-61_Eq_ZeroOneOmega u--mult (csegen-54)))) (cond ((equal? sc3 1) (((csegen-25) (lambda (eta-0) (TTImpC-45ElabC-45Local-n--9953-12493-u--setErased arg-1 arg-11 arg-10 arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 eta-0))) u--nestdeclsVis)) (else u--nestdeclsVis))))) (let ((u--defNames (TTImpC-45TTImp-definedInBlock (CoreC-45NameC-45Namespace-emptyNS) u--nestdeclsMult))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (TTImpC-45ElabC-45Local-n--9953-12484-u--applyEnv arg-1 arg-11 arg-10 arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 u--f eta-0)) (DataC-45List-nub (csegen-1008) u--defNames) '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((u--nestC-39 (let ((eff-4 arg-8)) (PreludeC-45TypesC-45List-tailRecAppend e-8 eff-4)))) (let ((u--envC-39 (TTImpC-45ElabC-45Local-n--9953-12483-u--dropLinear arg-1 arg-11 arg-10 arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-9))) (let ((eff-4 (let ((eff-4 arg-4)) (PrimIO-io_bind (let ((eff-5 eff-4)) (lambda (eta-0) (unbox eff-5))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (let ((u--olddelayed (let ((e-10 (vector-ref e-9 10))) e-10))) (let ((eff-5 (let ((eff-5 arg-4)) (PrimIO-io_bind (let ((eff-6 eff-5)) (lambda (eta-0) (set-box! eff-6 (let ((e-0 (vector-ref e-9 0))) (let ((e-1 (vector-ref e-9 1))) (let ((e-2 (vector-ref e-9 2))) (let ((e-3 (vector-ref e-9 3))) (let ((e-4 (vector-ref e-9 4))) (let ((e-16 (vector-ref e-9 5))) (let ((e-15 (vector-ref e-9 6))) (let ((e-14 (vector-ref e-9 7))) (let ((e-13 (vector-ref e-9 8))) (let ((e-12 (vector-ref e-9 9))) (let ((e-11 (vector-ref e-9 11))) (vector e-0 e-1 e-2 e-3 e-4 e-16 e-15 e-14 e-13 e-12 '() e-11))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-6 (let ((eff-6 (let ((eff-6 arg-2)) (PrimIO-io_bind (let ((eff-7 eff-6)) (lambda (eta-0) (unbox eff-7))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-2 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-11 (vector-ref lcase-6 1))) (let ((eff-7 (let ((u--oldhints (let ((e-33 (vector-ref e-11 10))) e-33))) (let ((u--nestdecls (((csegen-25) (lambda (eta-0) (TTImpC-45ElabC-45Local-n--9953-12491-u--updateName arg-1 arg-11 arg-10 arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 u--nestC-39 eta-0))) u--nestdeclsMult))) (let ((eff-7 (CoreC-45ContextC-45Log-log arg-2 "elab.def.local" 20 (lambda () (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-3280) u--nestdecls))))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-2 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-8 (let ((eff-8 (CoreC-45Core-traverse_ (lambda (eta-0) (TTImpC-45ElabC-45Check-processDecl arg-1 arg-2 arg-3 arg-4 arg-6 arg-7 '() u--nestC-39 u--envC-39 eta-0)) u--nestdecls))) (PrimIO-io_bind eff-8 (lambda (lcase-8) (case (vector-ref lcase-8 0) ((0) (let ((e-2 (vector-ref lcase-8 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-9 (let ((eff-9 (let ((eff-9 (let ((eff-9 arg-4)) (PrimIO-io_bind (let ((eff-10 eff-9)) (lambda (eta-0) (unbox eff-10))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-9 (lambda (lcase-9) (case (vector-ref lcase-9 0) ((0) (let ((e-2 (vector-ref lcase-9 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-14 (vector-ref lcase-9 1))) (let ((eff-10 (let ((eff-10 arg-4)) (PrimIO-io_bind (let ((eff-11 eff-10)) (lambda (eta-0) (set-box! eff-11 (let ((e-0 (vector-ref e-14 0))) (let ((e-1 (vector-ref e-14 1))) (let ((e-2 (vector-ref e-14 2))) (let ((e-3 (vector-ref e-14 3))) (let ((e-4 (vector-ref e-14 4))) (let ((e-21 (vector-ref e-14 5))) (let ((e-20 (vector-ref e-14 6))) (let ((e-19 (vector-ref e-14 7))) (let ((e-18 (vector-ref e-14 8))) (let ((e-17 (vector-ref e-14 9))) (let ((e-15 (vector-ref e-14 11))) (vector e-0 e-1 e-2 e-3 e-4 e-21 e-20 e-19 e-18 e-17 u--olddelayed e-15))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-10))))))))) (PrimIO-io_bind eff-9 (lambda (lcase-9) (case (vector-ref lcase-9 0) ((0) (let ((e-2 (vector-ref lcase-9 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-10 (let ((eff-10 (arg-11 u--nestC-39))) (PrimIO-io_bind eff-10 (lambda (lcase-10) (case (vector-ref lcase-10 0) ((0) (let ((e-2 (vector-ref lcase-10 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-15 (vector-ref lcase-10 1))) (let ((eff-11 (let ((eff-11 (let ((eff-11 (let ((eff-11 arg-2)) (PrimIO-io_bind (let ((eff-12 eff-11)) (lambda (eta-0) (unbox eff-12))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-11 (lambda (lcase-11) (case (vector-ref lcase-11 0) ((0) (let ((e-2 (vector-ref lcase-11 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-16 (vector-ref lcase-11 1))) (let ((eff-12 (let ((eff-12 arg-2)) (PrimIO-io_bind (let ((eff-13 eff-12)) (lambda (eta-0) (set-box! eff-13 (let ((e-0 (vector-ref e-16 0))) (let ((e-1 (vector-ref e-16 1))) (let ((e-2 (vector-ref e-16 2))) (let ((e-3 (vector-ref e-16 3))) (let ((e-4 (vector-ref e-16 4))) (let ((e-43 (vector-ref e-16 5))) (let ((e-42 (vector-ref e-16 6))) (let ((e-41 (vector-ref e-16 7))) (let ((e-40 (vector-ref e-16 8))) (let ((e-39 (vector-ref e-16 9))) (let ((e-37 (vector-ref e-16 11))) (let ((e-36 (vector-ref e-16 12))) (let ((e-35 (vector-ref e-16 13))) (let ((e-34 (vector-ref e-16 14))) (let ((e-33 (vector-ref e-16 15))) (let ((e-32 (vector-ref e-16 16))) (let ((e-17 (vector-ref e-16 17))) (let ((e-18 (vector-ref e-16 18))) (let ((e-19 (vector-ref e-16 19))) (let ((e-20 (vector-ref e-16 20))) (let ((e-21 (vector-ref e-16 21))) (let ((e-22 (vector-ref e-16 22))) (let ((e-23 (vector-ref e-16 23))) (let ((e-24 (vector-ref e-16 24))) (let ((e-25 (vector-ref e-16 25))) (let ((e-26 (vector-ref e-16 26))) (let ((e-27 (vector-ref e-16 27))) (let ((e-28 (vector-ref e-16 28))) (let ((e-29 (vector-ref e-16 29))) (let ((e-30 (vector-ref e-16 30))) (let ((e-31 (vector-ref e-16 31))) (vector e-0 e-1 e-2 e-3 e-4 e-43 e-42 e-41 e-40 e-39 u--oldhints e-37 e-36 e-35 e-34 e-33 e-32 e-17 e-18 e-19 e-20 e-21 e-22 e-23 e-24 e-25 e-26 e-27 e-28 e-29 e-30 e-31))))))))))))))))))))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-12))))))))) (PrimIO-io_bind eff-11 (lambda (lcase-11) (case (vector-ref lcase-11 0) ((0) (let ((e-2 (vector-ref lcase-11 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-12 (lambda (eta-0) (vector 1 e-15)))) eff-12)))))))) eff-11))))))))) eff-10)))))))) eff-9)))))))) eff-8)))))))))) eff-7))))))))) eff-6))))))))) eff-5))))))))))) eff-4)))))))))))))) eff-3))))))))) eff-2)))))))))) eff-1)))))))))
(define TTImpC-45ElabC-45Local-getLocalTerm (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (if (null? arg-5) (lambda (eta-0) (vector 1 (cons arg-4 '()))) (let ((e-2 (car arg-5))) (let ((e-3 (cdr arg-5))) (TTImpC-45ElabC-45Local-case--getLocalTerm-13808 arg-0 e-2 e-3 arg-4 arg-3 arg-2 arg-1 (CoreC-45Env-defined arg-0 e-2 arg-3)))))))
(define TTImpC-45ElabC-45Local-checkLocal (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14) (TTImpC-45ElabC-45Local-localHelper arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-9 arg-10 arg-12 (lambda (u--nestC-39) (TTImpC-45ElabC-45Check-check arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 u--nestC-39 arg-10 arg-13 arg-14)))))
(define TTImpC-45ElabC-45Local-checkCaseLocal (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16) (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-lookupCtxtExact arg-13 (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-6) (TTImpC-45ElabC-45Check-check arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-15 arg-16) (let ((e-1 (unbox e-6))) (let ((u--nt (DataC-45Maybe-fromMaybe (lambda () (vector 1 )) (CoreC-45ContextC-45Context-defNameType (let ((e-17 (vector-ref e-1 17))) e-17))))) (let ((u--name (vector 1 arg-11 u--nt arg-13))) (let ((eff-2 (TTImpC-45ElabC-45Local-getLocalTerm arg-0 arg-1 arg-11 arg-10 u--name arg-14))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((e-2 (car e-7))) (let ((e-3 (cdr e-7))) (let ((eff-3 (CoreC-45ContextC-45Log-log arg-1 (csegen-3281) 5 (lambda () (string-append ((csegen-0) "Updating case local ") (string-append (CoreC-45Name-u--show_Show_Name arg-12) (string-append " " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-3160) e-3)))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-4 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-4 (let ((eff-4 (CoreC-45Normalise-logTermNF arg-0 arg-1 (csegen-3281) 5 (lambda () ((csegen-0) "To")) arg-10 e-2))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-4 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-5 (let ((u--nestC-39 (let ((eff-5 arg-9)) (cons (cons arg-12 (cons (box arg-13) (cons e-3 (lambda (u--fc) (lambda (nt-0) e-2))))) eff-5)))) (TTImpC-45ElabC-45Check-check arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 u--nestC-39 arg-10 arg-15 arg-16)))) eff-5)))))))) eff-4)))))))))) eff-3))))))))))))) eff-2))))))))) eff-1)))))))))
(define TTImpC-45ElabC-45Lazy-n--10199-11732-u--delayError (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14) (case (vector-ref arg-14 0) ((49) 1)(else 0))))
(define TTImpC-45ElabC-45Lazy-checkForce (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13) (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (PreludeC-45Types-maybe (lambda () (lambda (eta-0) (vector 1 '()))) (lambda () (lambda (u--gty) (let ((eff-1 (CoreC-45NormaliseC-45Eval-getNF arg-1 u--gty))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (box (CoreC-45Normalise-glueBack arg-1 arg-0 e-5 arg-10 (vector 5 arg-11 2 e-6))))))) eff-2))))))))) arg-13))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45ElabC-45Check-check arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-12 e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((e-2 (car e-7))) (let ((e-3 (cdr e-7))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-getNF arg-1 e-3))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-4 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (clam-0) (case (vector-ref e-8 0) ((5) (let ((e-9 (vector-ref e-8 2))) (let ((e-4 (vector-ref e-8 3))) (vector 1 (cons (vector 8 arg-11 e-9 e-2) (CoreC-45Normalise-glueBack arg-1 arg-0 e-5 arg-10 e-4))))))(else (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 arg-11 "Forcing a non-delayed type") clam-0)))))) eff-4))))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))
(define TTImpC-45ElabC-45Lazy-checkDelayed (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14) (let ((eff-0 (TTImpC-45ElabC-45Check-uniVar arg-1 arg-3 arg-11))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (TTImpC-45ElabC-45Check-check arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-13 (box (CoreC-45NormaliseC-45Eval-gType arg-11 e-5))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (clam-0) (let ((e-2 (car e-6))) (let ((e-3 (cdr e-6))) (vector 1 (cons (vector 6 arg-11 arg-12 e-2) e-3))))))) eff-2))))))))) eff-1)))))))))
(define TTImpC-45ElabC-45Lazy-checkDelay (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13) (let ((eff-0 (PreludeC-45Types-maybe (lambda () (let ((eff-0 (CoreC-45UnifyState-genName arg-1 arg-3 "delayTy"))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (TTImpC-45ElabC-45Check-uniVar arg-1 arg-3 arg-11))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45ElabC-45Check-metaVar arg-0 arg-1 arg-3 arg-11 (csegen-54) arg-10 e-5 (vector 11 arg-11 e-6)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (CoreC-45NormaliseC-45Eval-gnf arg-0 arg-10 e-7))))) eff-3))))))))) eff-2))))))))) eff-1)))))))) (lambda () (lambda (eta-0) (lambda (eta-1) (vector 1 eta-0)))) arg-13))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--solvemode (let ((e-0 (vector-ref arg-8 0))) (case (vector-ref e-0 0) ((1) (CoreC-45Unify-inLHS))(else (CoreC-45Unify-inTerm)))))) (let ((eff-1 (CoreC-45Unify-solveConstraints arg-1 arg-3 u--solvemode 0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (TTImpC-45ElabC-45Delayed-delayOnFailure arg-0 arg-1 arg-2 arg-3 arg-4 arg-11 arg-7 arg-10 (box e-5) (lambda (eta-0) (TTImpC-45ElabC-45Lazy-n--10199-11732-u--delayError arg-0 arg-13 arg-12 arg-11 arg-10 arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 eta-0)) 4 (lambda (u--delayed) (let ((eff-2 (CoreC-45NormaliseC-45Eval-getNF arg-1 e-5))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-7 0) ((5) (let ((e-2 (vector-ref e-7 2))) (let ((e-3 (vector-ref e-7 3))) (let ((eff-3 (let ((eff-3 arg-1)) (PrimIO-io_bind (let ((eff-4 eff-3)) (lambda (eta-0) (unbox eff-4))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-4 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (TTImpC-45ElabC-45Check-check arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-12 (box (CoreC-45Normalise-glueBack arg-1 arg-0 e-8 arg-10 e-3))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-4 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (let ((e-10 (car e-9))) (let ((e-4 (cdr e-9))) (let ((eff-5 (CoreC-45NormaliseC-45Eval-getNF arg-1 e-4))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-11 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-5 1))) (let ((eff-6 (let ((eff-6 (CoreC-45NormaliseC-45Eval-getTerm e-4))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-12 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-12)))) (else (let ((e-12 (vector-ref lcase-6 1))) (let ((eff-7 (lambda (eta-0) (vector 1 (cons (vector 7 arg-11 e-2 e-12 e-10) (CoreC-45Normalise-glueBack arg-1 arg-0 e-8 arg-10 (vector 5 arg-11 e-2 e-11))))))) eff-7))))))))) eff-6))))))))))) eff-5))))))))) eff-4))))))))))(else (let ((eff-3 (CoreC-45Normalise-logNF arg-0 arg-1 (csegen-3121) 5 (lambda () ((csegen-0) "Expected delay type")) arg-10 e-7))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-4 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 arg-11 ((csegen-0) "Can't infer delay type")) eta-0)))) eff-4)))))))))) eff-3))))))))))) eff-2))))))))) eff-1)))))))))
(define TTImpC-45ElabC-45ImplicitBind-case--caseC-32blockC-32inC-32checkBindVar-16716 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18) (if (null? arg-18) (let ((eff-0 (TTImpC-45ElabC-45ImplicitBind-mkPatternHole arg-0 arg-10 arg-13 arg-11 arg-3 arg-7 arg-16 arg-4 (let ((e-1 (vector-ref arg-6 1))) e-1) arg-1))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((e-2 (car e-5))) (let ((e-3 (cdr e-5))) (let ((e-6 (car e-3))) (let ((e-7 (cdr e-3))) (let ((eff-1 (let ((e-1 (vector-ref arg-6 1))) (case (vector-ref e-1 0) ((0) (CoreC-45Unify-setInvertible arg-13 arg-3 arg-16))(else (lambda (eta-0) (vector 1 (vector 0 )))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45ContextC-45Log-log arg-13 (csegen-3286) 5 (lambda () (string-append ((csegen-0) "Added Bound implicit ") (PreludeC-45Show-u--show_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (cons (csegen-100) (cons (lambda (u--x) (PreludeC-45Show-u--show_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (cons (csegen-1030) (cons (lambda (x-0) (PreludeC-45Show-u--show_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (cons (cons (lambda (x-1) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-0 x-1)) (lambda (u--d) (lambda (x-1) (CoreC-45TT-u--showPrec_Show_C-40TermC-32C-36varsC-41 arg-0 u--d x-1)))) (cons (lambda (x-1) (PreludeC-45Show-u--show_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (cons (cons (lambda (x-2) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-0 x-2)) (lambda (u--d) (lambda (x-2) (CoreC-45TT-u--showPrec_Show_C-40TermC-32C-36varsC-41 arg-0 u--d x-2)))) (cons (lambda (x-2) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-0 x-2)) (lambda (u--d) (lambda (x-2) (CoreC-45TT-u--showPrec_Show_C-40TermC-32C-36varsC-41 arg-0 u--d x-2))))) x-1)) (lambda (u--d) (lambda (x-1) (PreludeC-45Show-u--showPrec_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (cons (cons (lambda (x-2) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-0 x-2)) (lambda (d-0) (lambda (x-2) (CoreC-45TT-u--showPrec_Show_C-40TermC-32C-36varsC-41 arg-0 d-0 x-2)))) (cons (lambda (x-2) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-0 x-2)) (lambda (d-0) (lambda (x-2) (CoreC-45TT-u--showPrec_Show_C-40TermC-32C-36varsC-41 arg-0 d-0 x-2))))) u--d x-1))))) x-0)) (lambda (u--d) (lambda (x-0) (PreludeC-45Show-u--showPrec_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (cons (cons (lambda (x-1) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-0 x-1)) (lambda (d-0) (lambda (x-1) (CoreC-45TT-u--showPrec_Show_C-40TermC-32C-36varsC-41 arg-0 d-0 x-1)))) (cons (lambda (x-1) (PreludeC-45Show-u--show_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (cons (cons (lambda (x-2) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-0 x-2)) (lambda (d-0) (lambda (x-2) (CoreC-45TT-u--showPrec_Show_C-40TermC-32C-36varsC-41 arg-0 d-0 x-2)))) (cons (lambda (x-2) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-0 x-2)) (lambda (d-0) (lambda (x-2) (CoreC-45TT-u--showPrec_Show_C-40TermC-32C-36varsC-41 arg-0 d-0 x-2))))) x-1)) (lambda (d-0) (lambda (x-1) (PreludeC-45Show-u--showPrec_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (cons (cons (lambda (x-2) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-0 x-2)) (lambda (d-1) (lambda (x-2) (CoreC-45TT-u--showPrec_Show_C-40TermC-32C-36varsC-41 arg-0 d-1 x-2)))) (cons (lambda (x-2) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-0 x-2)) (lambda (d-1) (lambda (x-2) (CoreC-45TT-u--showPrec_Show_C-40TermC-32C-36varsC-41 arg-0 d-1 x-2))))) d-0 x-1))))) u--d x-0))))) u--x)) (lambda (u--d) (lambda (u--x) (PreludeC-45Show-u--showPrec_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (cons (csegen-1030) (cons (lambda (x-0) (PreludeC-45Show-u--show_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (cons (cons (lambda (x-1) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-0 x-1)) (lambda (d-0) (lambda (x-1) (CoreC-45TT-u--showPrec_Show_C-40TermC-32C-36varsC-41 arg-0 d-0 x-1)))) (cons (lambda (x-1) (PreludeC-45Show-u--show_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (cons (cons (lambda (x-2) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-0 x-2)) (lambda (d-0) (lambda (x-2) (CoreC-45TT-u--showPrec_Show_C-40TermC-32C-36varsC-41 arg-0 d-0 x-2)))) (cons (lambda (x-2) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-0 x-2)) (lambda (d-0) (lambda (x-2) (CoreC-45TT-u--showPrec_Show_C-40TermC-32C-36varsC-41 arg-0 d-0 x-2))))) x-1)) (lambda (d-0) (lambda (x-1) (PreludeC-45Show-u--showPrec_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (cons (cons (lambda (x-2) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-0 x-2)) (lambda (d-1) (lambda (x-2) (CoreC-45TT-u--showPrec_Show_C-40TermC-32C-36varsC-41 arg-0 d-1 x-2)))) (cons (lambda (x-2) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-0 x-2)) (lambda (d-1) (lambda (x-2) (CoreC-45TT-u--showPrec_Show_C-40TermC-32C-36varsC-41 arg-0 d-1 x-2))))) d-0 x-1))))) x-0)) (lambda (d-0) (lambda (x-0) (PreludeC-45Show-u--showPrec_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (cons (cons (lambda (x-1) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-0 x-1)) (lambda (d-1) (lambda (x-1) (CoreC-45TT-u--showPrec_Show_C-40TermC-32C-36varsC-41 arg-0 d-1 x-1)))) (cons (lambda (x-1) (PreludeC-45Show-u--show_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (cons (cons (lambda (x-2) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-0 x-2)) (lambda (d-1) (lambda (x-2) (CoreC-45TT-u--showPrec_Show_C-40TermC-32C-36varsC-41 arg-0 d-1 x-2)))) (cons (lambda (x-2) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-0 x-2)) (lambda (d-1) (lambda (x-2) (CoreC-45TT-u--showPrec_Show_C-40TermC-32C-36varsC-41 arg-0 d-1 x-2))))) x-1)) (lambda (d-1) (lambda (x-1) (PreludeC-45Show-u--showPrec_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (cons (cons (lambda (x-2) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-0 x-2)) (lambda (d-2) (lambda (x-2) (CoreC-45TT-u--showPrec_Show_C-40TermC-32C-36varsC-41 arg-0 d-2 x-2)))) (cons (lambda (x-2) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-0 x-2)) (lambda (d-2) (lambda (x-2) (CoreC-45TT-u--showPrec_Show_C-40TermC-32C-36varsC-41 arg-0 d-2 x-2))))) d-1 x-1))))) d-0 x-0))))) u--d u--x))))) (cons arg-16 (cons arg-7 (cons e-2 (cons e-6 e-7)))))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-3 (let ((eff-3 (let ((eff-3 (let ((eff-3 arg-10)) (PrimIO-io_bind (let ((eff-4 eff-3)) (lambda (eta-0) (unbox eff-4))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-4 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 arg-10)) (PrimIO-io_bind (let ((eff-5 eff-4)) (lambda (eta-0) (set-box! eff-5 (let ((e-1 (vector-ref e-10 0))) (let ((e-22 (vector-ref e-10 1))) (let ((e-21 (vector-ref e-10 2))) (let ((e-4 (vector-ref e-10 3))) (let ((e-20 (vector-ref e-10 4))) (let ((e-19 (vector-ref e-10 5))) (let ((e-18 (vector-ref e-10 6))) (let ((e-17 (vector-ref e-10 7))) (let ((e-16 (vector-ref e-10 8))) (let ((e-15 (vector-ref e-10 9))) (let ((e-11 (vector-ref e-10 10))) (let ((e-12 (vector-ref e-10 11))) (let ((e-13 (vector-ref e-10 12))) (let ((e-14 (vector-ref e-10 13))) (vector e-1 e-22 e-21 e-4 (cons (cons arg-16 (vector 0 arg-0 arg-7 (vector 1 ) e-2 e-6)) e-20) (cons (cons arg-16 (vector 0 arg-0 arg-7 (vector 1 ) e-2 e-7)) e-19) e-18 e-17 e-16 e-15 e-11 e-12 e-13 e-14)))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-4))))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-4 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-4 (let ((eff-4 (CoreC-45ContextC-45Log-log arg-13 (csegen-2906) 7 (lambda () ((csegen-0) "checkBindVar is adding \x2193;"))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-4 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-5 (let ((eff-5 (CoreC-45Metadata-addNameType arg-0 arg-13 arg-12 arg-3 (vector 1 arg-2) arg-4 e-6))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-4 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-6 (let ((eff-6 (CoreC-45Metadata-addNameLoc arg-12 arg-13 arg-3 (vector 1 arg-2)))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-4 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-7 (TTImpC-45ElabC-45Check-checkExp arg-0 arg-13 arg-11 arg-10 arg-7 arg-6 arg-4 arg-3 e-2 (CoreC-45NormaliseC-45Eval-gnf arg-0 arg-4 e-6) arg-1))) eff-7)))))))) eff-6)))))))) eff-5)))))))) eff-4)))))))) eff-3)))))))) eff-2)))))))))))) eff-1))))))) (let ((e-2 (unbox arg-18))) (let ((eff-0 (lambda (eta-0) (TTImpC-45ElabC-45ImplicitBind-n--14554-16248-u--combine arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 (vector 1 arg-2) arg-7 (TTImpC-45ElabC-45Check-bindingRig e-2) eta-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-1 (let ((u--tm (TTImpC-45ElabC-45Check-bindingTerm e-2))) (let ((u--ty (TTImpC-45ElabC-45Check-bindingType e-2))) (let ((eff-1 (CoreC-45ContextC-45Log-log arg-13 "metadata.names" 7 (lambda () "checkBindVar is adding \x2193;")))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-3 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45Metadata-addNameType arg-0 arg-13 arg-12 arg-3 (vector 1 arg-2) arg-4 u--ty))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-3 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-3 (let ((eff-3 (CoreC-45Metadata-addNameLoc arg-12 arg-13 arg-3 (vector 1 arg-2)))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-3 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-4 (TTImpC-45ElabC-45Check-checkExp arg-0 arg-13 arg-11 arg-10 arg-7 arg-6 arg-4 arg-3 u--tm (CoreC-45NormaliseC-45Eval-gnf arg-0 arg-4 u--ty) arg-1))) eff-4)))))))) eff-3)))))))) eff-2)))))))))) eff-1))))))))))
(define TTImpC-45ElabC-45ImplicitBind-case--getToBindC-44normImps-15587 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15) (if (null? arg-15) (TTImpC-45ElabC-45ImplicitBind-n--13393-15193-u--normImps arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-13 arg-12 arg-11) (let ((e-2 (car arg-15))) (case (vector-ref e-2 0) ((2) (let ((e-6 (vector-ref e-2 2))) (let ((e-7 (vector-ref e-2 3))) (let ((eff-0 (CoreC-45UnifyState-isCurrentHole arg-6 e-7))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-9 (vector-ref lcase-0 1))) (let ((eff-1 (let ((sc3 (cond ((equal? e-9 1) (let ((sc5 (PreludeC-45Types-elem (csegen-16) (csegen-1008) e-6 arg-12))) (cond ((equal? sc5 1) 0) (else 1)))) (else 0)))) (cond ((equal? sc3 1) (let ((eff-1 (TTImpC-45ElabC-45ImplicitBind-n--13393-15193-u--normImps arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-13 (cons e-6 arg-12) arg-11))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-10 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45ElabC-45ImplicitBind-n--13393-15192-u--normBindingTy arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-13 arg-10))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-11 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (cons (cons e-6 e-11) e-10))))) eff-3))))))))) eff-2)))))))) (else (TTImpC-45ElabC-45ImplicitBind-n--13393-15193-u--normImps arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-13 arg-12 arg-11)))))) eff-1))))))))))(else (TTImpC-45ElabC-45ImplicitBind-n--13393-15193-u--normImps arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-13 arg-12 arg-11)))))))
(define TTImpC-45ElabC-45ImplicitBind-case--bindUnsolvedC-44makeBoundVar-13183 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16) (if (null? arg-16) (let ((eff-0 (CoreC-45Context-toFullNames arg-6 (csegen-105) arg-9))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 arg-2 (string-append "Can't bind implicit " (string-append (CoreC-45Name-u--show_Show_Name arg-15) (string-append " of type " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-8 e-5))))) eta-0)))) eff-1))))))) (let ((e-2 (unbox arg-16))) (let ((eff-0 (CoreC-45UnifyState-genVarName arg-6 arg-3 (CoreC-45Name-nameRoot arg-15)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (TTImpC-45ElabC-45Check-metaVar arg-7 arg-6 arg-3 arg-2 arg-14 arg-12 e-5 e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-3 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((u--pC-39 (CoreC-45TT-forgetDef arg-13))) (let ((eff-2 (let ((eff-2 (let ((eff-2 arg-5)) (PrimIO-io_bind (let ((eff-3 eff-2)) (lambda (eta-0) (unbox eff-3))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-3 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 arg-5)) (PrimIO-io_bind (let ((eff-4 eff-3)) (lambda (eta-0) (set-box! eff-4 (let ((e-1 (vector-ref e-7 0))) (let ((e-18 (vector-ref e-7 1))) (let ((e-3 (vector-ref e-7 2))) (let ((e-4 (vector-ref e-7 3))) (let ((e-17 (vector-ref e-7 4))) (let ((e-16 (vector-ref e-7 5))) (let ((e-15 (vector-ref e-7 6))) (let ((e-8 (vector-ref e-7 7))) (let ((e-9 (vector-ref e-7 8))) (let ((e-10 (vector-ref e-7 9))) (let ((e-11 (vector-ref e-7 10))) (let ((e-12 (vector-ref e-7 11))) (let ((e-13 (vector-ref e-7 12))) (let ((e-14 (vector-ref e-7 13))) (vector e-1 e-18 e-3 e-4 e-17 (cons (cons e-5 (vector 0 arg-4 arg-14 u--pC-39 (CoreC-45TT-embedSub arg-10 e-6) (CoreC-45TT-embedSub arg-10 e-2))) e-16) e-15 e-8 e-9 e-10 e-11 e-12 e-13 e-14)))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-3))))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-3 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-3 (lambda (eta-0) (vector 1 (CoreC-45TT-embedSub arg-11 e-6))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))
(define TTImpC-45ElabC-45ImplicitBind-case--mkPatternHole-12930 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14) (if (null? arg-14) (TTImpC-45ElabC-45ImplicitBind-mkPatternHole arg-0 arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 '()) (let ((e-2 (unbox arg-14))) (let ((eff-0 (TTImpC-45ElabC-45Check-implBindVar (let ((e-1 (vector-ref arg-10 0))) e-1) arg-8 arg-7 arg-6 arg-5 arg-12 arg-4 e-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (cons (CoreC-45TT-apply arg-6 (CoreC-45TT-embedSub arg-11 e-5) (TTImpC-45ElabC-45ImplicitBind-n--10623-12793-u--mkArgs arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-0 arg-11)) (cons arg-13 (CoreC-45TT-embedSub arg-11 e-2))))))) eff-1)))))))))))
(define TTImpC-45ElabC-45ImplicitBind-case--mkOuterHole-12495 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12) (if (null? arg-12) (TTImpC-45ElabC-45ImplicitBind-mkOuterHole arg-0 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 '()) (let ((e-2 (unbox arg-12))) (let ((u--env (let ((e-3 (vector-ref arg-9 2))) e-3))) (let ((eff-0 (TTImpC-45ElabC-45Check-implBindVar (let ((e-1 (vector-ref arg-9 0))) e-1) arg-7 arg-6 arg-5 arg-4 u--env arg-3 e-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (cons (CoreC-45TT-embedSub arg-10 e-5) (CoreC-45TT-embedSub arg-10 e-2)))))) eff-1))))))))))))
(define TTImpC-45ElabC-45ImplicitBind-n--12668-14560-u--tidyName (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8) (case (vector-ref arg-8 0) ((0) (let ((e-1 (vector-ref arg-8 2))) (TTImpC-45ElabC-45ImplicitBind-n--12668-14560-u--tidyName arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-1))) ((3) (let ((e-2 (vector-ref arg-8 1))) (TTImpC-45ElabC-45ImplicitBind-n--12668-14560-u--tidyName arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-2))) ((5) (let ((e-5 (vector-ref arg-8 2))) (TTImpC-45ElabC-45ImplicitBind-n--12668-14560-u--tidyName arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-5)))(else arg-8))))
(define TTImpC-45ElabC-45ImplicitBind-n--11815-13813-u--swapP (lambda (arg-4 arg-6 arg-8) (cond ((equal? arg-8 0) 0)(else (let ((e-0 (- arg-8 1))) (+ (+ e-0 1) 1))))))
(define TTImpC-45ElabC-45ImplicitBind-n--13393-15193-u--normImps (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11) (if (null? arg-11) (lambda (eta-0) (vector 1 '())) (let ((e-2 (car arg-11))) (let ((e-3 (cdr arg-11))) (let ((e-6 (car e-2))) (let ((e-7 (cdr e-2))) (case (vector-ref e-6 0) ((3) (let ((e-8 (vector-ref e-6 1))) (let ((e-9 (vector-ref e-6 2))) (let ((eff-0 (CoreC-45Normalise-logTermNF arg-1 arg-8 "elab.implicits" 10 (lambda () (string-append "Implicit pattern var " (CoreC-45Name-u--show_Show_Name (vector 3 e-8 e-9)))) arg-2 (TTImpC-45ElabC-45Check-bindingType e-7)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-1 (let ((sc4 (PreludeC-45Types-elem (csegen-16) (csegen-1008) (vector 3 e-8 e-9) arg-10))) (cond ((equal? sc4 1) (TTImpC-45ElabC-45ImplicitBind-n--13393-15193-u--normImps arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 e-3)) (else (let ((eff-1 (TTImpC-45ElabC-45ImplicitBind-n--13393-15193-u--normImps arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 (cons (vector 3 e-8 e-9) arg-10) e-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-10 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45ElabC-45ImplicitBind-n--13393-15192-u--normBindingTy arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-7))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-11 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (cons (cons (vector 3 e-8 e-9) e-11) e-10))))) eff-3))))))))) eff-2)))))))))))) eff-1)))))))))(else (let ((eff-0 (CoreC-45Normalise-normaliseHoles arg-8 arg-1 arg-9 arg-2 (TTImpC-45ElabC-45Check-bindingTerm e-7)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45ContextC-45Log-logTerm arg-1 arg-8 "elab.implicits" 10 (lambda () (string-append "Normalising implicit " (CoreC-45Name-u--show_Show_Name e-6))) e-5))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-2 (TTImpC-45ElabC-45ImplicitBind-case--getToBindC-44normImps-15587 arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 e-6 e-7 e-3 arg-10 arg-9 e-5 (CoreC-45TT-getFnArgs e-5)))) eff-2)))))))) eff-1))))))))))))))))
(define TTImpC-45ElabC-45ImplicitBind-n--13393-15192-u--normBindingTy (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10) (case (vector-ref arg-10 0) ((0) (let ((e-1 (vector-ref arg-10 2))) (let ((e-2 (vector-ref arg-10 3))) (let ((e-3 (vector-ref arg-10 4))) (let ((e-4 (vector-ref arg-10 5))) (let ((eff-0 (case (vector-ref arg-3 0) ((2) (let ((eff-0 (CoreC-45NormaliseC-45Eval-nf arg-8 arg-1 arg-9 arg-2 e-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Coverage-isEmpty arg-1 arg-8 arg-9 arg-2 e-5))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-6 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (clam-0) (cond ((equal? e-6 1) (CoreC-45Core-u--throw_Catchable_Core_Error (csegen-3290) clam-0)) (else (vector 1 (vector 0 ))))))) eff-2))))))))) eff-1))))))))(else (lambda (eta-0) (vector 1 (vector 0 ))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((eff-1 (let ((eff-1 (TTImpC-45ElabC-45ImplicitBind-normaliseType arg-8 arg-1 arg-9 arg-2 e-4))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-6 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 0 arg-1 e-1 e-2 e-3 e-6))))) eff-2))))))))) eff-1))))))))))) (else (let ((e-6 (vector-ref arg-10 2))) (let ((e-7 (vector-ref arg-10 3))) (let ((e-8 (vector-ref arg-10 4))) (let ((e-9 (vector-ref arg-10 5))) (let ((e-10 (vector-ref arg-10 6))) (let ((eff-0 (case (vector-ref arg-3 0) ((2) (let ((eff-0 (CoreC-45NormaliseC-45Eval-nf arg-8 arg-1 arg-9 arg-2 e-9))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-11 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Coverage-isEmpty arg-1 arg-8 arg-9 arg-2 e-11))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-12 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (clam-1) (cond ((equal? e-12 1) (CoreC-45Core-u--throw_Catchable_Core_Error (csegen-3290) clam-1)) (else (vector 1 (vector 0 ))))))) eff-2))))))))) eff-1))))))))(else (lambda (eta-0) (vector 1 (vector 0 ))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (TTImpC-45ElabC-45ImplicitBind-normaliseType arg-8 arg-1 arg-9 arg-2 e-9))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-12 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Normalise-normaliseHoles arg-8 arg-1 arg-9 arg-2 e-10))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-13 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (vector 1 arg-1 e-6 e-7 e-8 e-12 e-13))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))
(define TTImpC-45ElabC-45ImplicitBind-n--11067-13134-u--mkImplicit (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11) (let ((e-2 (car arg-11))) (let ((e-3 (cdr arg-11))) (let ((e-6 (car e-3))) (let ((e-7 (cdr e-3))) (let ((e-10 (car e-7))) (let ((e-11 (cdr e-7))) (let ((e-14 (car e-11))) (let ((e-15 (cdr e-11))) (let ((e-18 (car e-15))) (let ((e-19 (cdr e-15))) (let ((e-22 (car e-19))) (let ((e-23 (cdr e-19))) (let ((e-26 (car e-23))) (let ((e-27 (cdr e-23))) (let ((eff-0 (CoreC-45Context-lookupDefExact e-2 (let ((e-0 (vector-ref arg-8 0))) e-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (if (null? e-5) (lambda (eta-0) (vector 1 (vector 0 ))) (let ((e-1 (unbox e-5))) (case (vector-ref e-1 0) ((7) (let ((eff-1 (let ((eff-1 (CoreC-45Normalise-normaliseHoles arg-6 e-10 arg-8 e-14 e-26))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-9 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-1 1))) (let ((eff-2 (TTImpC-45ElabC-45ImplicitBind-n--11067-13133-u--makeBoundVar arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-10 e-2 e-6 e-18 arg-9 e-27 arg-10 e-9))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-9 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45ContextC-45Log-logTerm e-10 arg-6 (csegen-3286) 5 (lambda () ((csegen-0) "Added unbound implicit")) e-9))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-12 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-12)))) (else (let ((eff-3 (let ((eff-3 ((((CoreC-45Unify-unify (csegen-3133) e-10 arg-6 arg-3 (case (vector-ref arg-1 0) ((1) (CoreC-45Unify-inLHS))(else (CoreC-45Unify-inTerm))) arg-2) e-14) e-22) e-9))) (((csegen-50) ((let ((eff-4 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-13 (vector-ref eta-3 1))) (vector 0 e-13))) (else (let ((e-13 (vector-ref eta-3 1))) (vector 1 (eta-2 e-13))))))))))) (lambda (arg-12) (lambda (arg-13) ((((eff-4 'erased) 'erased) arg-12) arg-13)))) (lambda (_-8679) (vector 0 )))) eff-3)))) eff-3)))))))) eff-2))))))))(else (lambda (eta-0) (vector 1 (vector 0 ))))))))) eff-1)))))))))))))))))))))))
(define TTImpC-45ElabC-45ImplicitBind-n--10623-12793-u--mkArgs (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-11 arg-12) (case (vector-ref arg-12 0) ((0) '())(else (if (null? arg-11) '() (let ((e-2 (cdr arg-11))) (case (vector-ref arg-12 0) ((1) (let ((e-6 (vector-ref arg-12 1))) (cons (vector 0 arg-6 '() 0) ((csegen-3125) (TTImpC-45ElabC-45ImplicitBind-n--10623-12793-u--mkArgs arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-2 e-6)))))(else '()))))))))
(define TTImpC-45ElabC-45ImplicitBind-n--11067-13133-u--makeBoundVar (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15) (TTImpC-45ElabC-45ImplicitBind-case--bindUnsolvedC-44makeBoundVar-13183 arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-15 arg-14 arg-13 arg-12 arg-11 arg-10 arg-9 (CoreC-45TT-shrinkTerm arg-15 arg-13))))
(define TTImpC-45ElabC-45ImplicitBind-n--12578-14465-u--liftImpsC-39 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (case (vector-ref arg-6 0) ((3) (let ((e-1 (vector-ref arg-6 1))) (let ((e-2 (vector-ref arg-6 2))) (let ((e-3 (vector-ref arg-6 3))) (let ((e-4 (vector-ref arg-6 4))) (case (vector-ref e-2 0) ((3) (let ((e-10 (vector-ref e-2 1))) (let ((e-11 (vector-ref e-2 2))) (case (vector-ref e-3 0) ((2) (let ((e-15 (vector-ref e-3 3))) (case (vector-ref e-15 0) ((0) (vector 3 e-1 (vector 3 e-10 e-11) e-3 (TTImpC-45ElabC-45ImplicitBind-n--12578-14465-u--liftImpsC-39 arg-0 arg-1 arg-2 arg-3 arg-4 (cons (vector 3 e-10 e-11) arg-5) e-4)))(else (case (vector-ref e-3 0) ((2) (TTImpC-45ElabC-45ImplicitBind-push arg-5 e-1 e-2 e-3 (TTImpC-45ElabC-45ImplicitBind-n--12578-14465-u--liftImpsC-39 arg-0 arg-1 arg-2 arg-3 arg-4 (cons e-2 arg-5) e-4)))(else arg-6))))))(else (case (vector-ref e-3 0) ((2) (TTImpC-45ElabC-45ImplicitBind-push arg-5 e-1 e-2 e-3 (TTImpC-45ElabC-45ImplicitBind-n--12578-14465-u--liftImpsC-39 arg-0 arg-1 arg-2 arg-3 arg-4 (cons e-2 arg-5) e-4)))(else arg-6)))))))(else (case (vector-ref e-3 0) ((2) (TTImpC-45ElabC-45ImplicitBind-push arg-5 e-1 e-2 e-3 (TTImpC-45ElabC-45ImplicitBind-n--12578-14465-u--liftImpsC-39 arg-0 arg-1 arg-2 arg-3 arg-4 (cons e-2 arg-5) e-4)))(else arg-6)))))))))(else arg-6))))
(define TTImpC-45ElabC-45ImplicitBind-n--14554-16247-u--isIncompatible (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15) (let ((sc0 (let ((sc1 (AlgebraC-45Semiring-isLinear (csegen-1156) arg-14))) (cond ((equal? sc1 1) 1) (else (AlgebraC-45Semiring-isLinear (csegen-1156) arg-15)))))) (cond ((equal? sc0 1) (AlgebraC-45Preorder-C-60 (csegen-3294) (csegen-1778) (AlgebraC-45ZeroOneOmega-rigPlus arg-14 arg-15))) (else 0)))))
(define TTImpC-45ElabC-45ImplicitBind-n--13393-15194-u--insert (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12) (if (null? arg-12) (cons arg-9 '()) (let ((e-2 (car arg-9))) (let ((e-3 (cdr arg-9))) (let ((e-5 (car arg-12))) (let ((e-6 (cdr arg-12))) (let ((e-9 (car e-5))) (let ((e-10 (cdr e-5))) (let ((u--used (PreludeC-45TypesC-45List-filterAppend '() (lambda (u--n) (PreludeC-45Types-elem (csegen-16) (csegen-1008) u--n arg-10)) (LibrariesC-45DataC-45NameMap-keys (TTImpC-45ElabC-45Check-bindingMetas e-10))))) (let ((sc4 (PreludeC-45Types-elem (csegen-16) (csegen-1008) e-2 u--used))) (cond ((equal? sc4 1) (cons (cons e-2 e-3) (cons (cons e-9 e-10) e-6))) (else (cons (cons e-9 e-10) (TTImpC-45ElabC-45ImplicitBind-n--13393-15194-u--insert arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (cons e-2 e-3) arg-10 (cons e-9 arg-11) e-6)))))))))))))))
(define TTImpC-45ElabC-45ImplicitBind-n--12668-14561-u--getBinds (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-10 arg-11 arg-12 arg-13) (if (null? arg-10) (cons (CoreC-45TT-refsToLocals arg-11 arg-12) (CoreC-45TT-refsToLocals arg-11 arg-13)) (let ((e-2 (car arg-10))) (let ((e-3 (cdr arg-10))) (let ((e-6 (car e-2))) (let ((e-7 (cdr e-2))) (let ((e-10 (car e-7))) (let ((e-11 (cdr e-7))) (case (vector-ref e-11 0) ((0) (let ((e-13 (vector-ref e-11 2))) (let ((e-14 (vector-ref e-11 3))) (let ((e-16 (vector-ref e-11 5))) (let ((sc4 (TTImpC-45ElabC-45ImplicitBind-n--12668-14561-u--getBinds arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-3 (vector 1 e-6 e-10 arg-11) arg-12 arg-13))) (let ((e-5 (car sc4))) (let ((e-4 (cdr sc4))) (let ((u--btyC-39 (CoreC-45TT-refsToLocals arg-11 e-16))) (case (vector-ref arg-6 0) ((0) (let ((e-0 (vector-ref arg-6 1))) (cons (vector 3 arg-7 e-6 (vector 2 arg-7 e-0 (vector 0 ) u--btyC-39) e-5) (vector 11 arg-7 (vector 2 "top" 0)))))(else (cons (vector 3 arg-7 e-6 (vector 3 arg-7 e-13 (CoreC-45TT-u--map_Functor_PiInfo (lambda (eta-0) (CoreC-45TT-u--weakenNs_Weaken_Term (CoreC-45TTC-45Bounds-sizeOf arg-11) eta-0)) e-14) u--btyC-39) e-5) (vector 3 arg-7 e-6 (vector 5 arg-7 e-13 u--btyC-39) e-4)))))))))))) (else (let ((e-18 (vector-ref e-11 2))) (let ((e-21 (vector-ref e-11 5))) (let ((e-22 (vector-ref e-11 6))) (let ((sc4 (TTImpC-45ElabC-45ImplicitBind-n--12668-14561-u--getBinds arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-3 (vector 1 e-6 e-10 arg-11) arg-12 arg-13))) (let ((e-5 (car sc4))) (let ((e-4 (cdr sc4))) (let ((u--btyC-39 (CoreC-45TT-refsToLocals arg-11 e-21))) (let ((u--bpatC-39 (CoreC-45TT-refsToLocals arg-11 e-22))) (cons (vector 3 arg-7 e-6 (vector 4 arg-7 e-18 u--bpatC-39 u--btyC-39) e-5) (vector 3 arg-7 e-6 (vector 4 arg-7 e-18 u--bpatC-39 u--btyC-39) e-4)))))))))))))))))))))
(define TTImpC-45ElabC-45ImplicitBind-n--13393-15195-u--depSort (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10) (if (null? arg-10) '() (let ((e-2 (car arg-10))) (let ((e-3 (cdr arg-10))) (TTImpC-45ElabC-45ImplicitBind-n--13393-15194-u--insert arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 e-2 arg-9 '() (TTImpC-45ElabC-45ImplicitBind-n--13393-15195-u--depSort arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-3)))))))
(define TTImpC-45ElabC-45ImplicitBind-n--14554-16248-u--combine (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 ext-0) (let ((sc0 (TTImpC-45ElabC-45ImplicitBind-n--14554-16247-u--isIncompatible arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-15 arg-16))) (cond ((equal? sc0 1) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 13 arg-3 2 arg-14) ext-0)) (else (vector 1 (vector 0 )))))))
(define TTImpC-45ElabC-45ImplicitBind-n--10623-12794-u--bindInner (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-11 arg-12 arg-13 arg-14) (case (vector-ref arg-14 0) ((0) (box arg-13))(else (if (null? arg-11) '() (let ((e-1 (car arg-11))) (let ((e-2 (cdr arg-11))) (if (null? arg-12) '() (let ((e-6 (car arg-12))) (let ((e-7 (cdr arg-12))) (case (vector-ref arg-14 0) ((1) (let ((e-11 (vector-ref arg-14 1))) (TTImpC-45ElabC-45ImplicitBind-n--10623-12794-u--bindInner arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-2 e-7 (vector 3 arg-6 e-1 e-6 arg-13) e-11)))(else '()))))))))))))
(define TTImpC-45ElabC-45ImplicitBind-swapVars (lambda (arg-3 arg-4) (case (vector-ref arg-4 0) ((0) (let ((e-2 (vector-ref arg-4 1))) (let ((e-3 (vector-ref arg-4 2))) (let ((e-4 (vector-ref arg-4 3))) (let ((eff-0 (TTImpC-45ElabC-45ImplicitBind-swapIsVar arg-3 e-4))) (vector 0 e-2 e-3 eff-0)))))) ((1) (let ((e-7 (vector-ref arg-4 1))) (let ((e-8 (vector-ref arg-4 2))) (let ((e-9 (vector-ref arg-4 3))) (vector 1 e-7 e-8 e-9))))) ((2) (let ((e-11 (vector-ref arg-4 1))) (let ((e-12 (vector-ref arg-4 2))) (let ((e-13 (vector-ref arg-4 3))) (let ((e-14 (vector-ref arg-4 4))) (vector 2 e-11 e-12 e-13 (((csegen-25) (lambda (eta-0) (TTImpC-45ElabC-45ImplicitBind-swapVars arg-3 eta-0))) e-14))))))) ((3) (let ((e-16 (vector-ref arg-4 1))) (let ((e-17 (vector-ref arg-4 2))) (let ((e-18 (vector-ref arg-4 3))) (let ((e-19 (vector-ref arg-4 4))) (vector 3 e-16 e-17 (CoreC-45TT-u--map_Functor_Binder (lambda (eta-0) (TTImpC-45ElabC-45ImplicitBind-swapVars arg-3 eta-0)) e-18) (TTImpC-45ElabC-45ImplicitBind-swapVars (cons e-17 arg-3) e-19))))))) ((4) (let ((e-21 (vector-ref arg-4 1))) (let ((e-22 (vector-ref arg-4 2))) (let ((e-23 (vector-ref arg-4 3))) (vector 4 e-21 (TTImpC-45ElabC-45ImplicitBind-swapVars arg-3 e-22) (TTImpC-45ElabC-45ImplicitBind-swapVars arg-3 e-23)))))) ((5) (let ((e-25 (vector-ref arg-4 1))) (let ((e-26 (vector-ref arg-4 2))) (let ((e-27 (vector-ref arg-4 3))) (let ((e-28 (vector-ref arg-4 4))) (vector 5 e-25 e-26 (TTImpC-45ElabC-45ImplicitBind-swapVars arg-3 e-27) (TTImpC-45ElabC-45ImplicitBind-swapVars arg-3 e-28))))))) ((6) (let ((e-30 (vector-ref arg-4 1))) (let ((e-31 (vector-ref arg-4 2))) (let ((e-32 (vector-ref arg-4 3))) (vector 6 e-30 e-31 (TTImpC-45ElabC-45ImplicitBind-swapVars arg-3 e-32)))))) ((7) (let ((e-34 (vector-ref arg-4 1))) (let ((e-35 (vector-ref arg-4 2))) (let ((e-36 (vector-ref arg-4 3))) (let ((e-37 (vector-ref arg-4 4))) (vector 7 e-34 e-35 (TTImpC-45ElabC-45ImplicitBind-swapVars arg-3 e-36) (TTImpC-45ElabC-45ImplicitBind-swapVars arg-3 e-37))))))) ((8) (let ((e-39 (vector-ref arg-4 1))) (let ((e-40 (vector-ref arg-4 2))) (let ((e-41 (vector-ref arg-4 3))) (vector 8 e-39 e-40 (TTImpC-45ElabC-45ImplicitBind-swapVars arg-3 e-41)))))) ((9) (let ((e-43 (vector-ref arg-4 1))) (let ((e-44 (vector-ref arg-4 2))) (vector 9 e-43 e-44)))) ((10) (let ((e-46 (vector-ref arg-4 1))) (let ((e-47 (vector-ref arg-4 2))) (case (vector-ref e-47 0) ((1) (vector 10 e-46 (vector 1 ))) ((0) (vector 10 e-46 (vector 0 ))) (else (let ((e-54 (vector-ref e-47 1))) (vector 10 e-46 (vector 2 (TTImpC-45ElabC-45ImplicitBind-swapVars arg-3 e-54))))))))) (else (let ((e-49 (vector-ref arg-4 1))) (let ((e-50 (vector-ref arg-4 2))) (vector 11 e-49 e-50)))))))
(define TTImpC-45ElabC-45ImplicitBind-swapIsVarH (lambda (arg-4) (cond ((equal? arg-4 0) 1)(else (let ((e-0 (- arg-4 1))) (TTImpC-45ElabC-45ImplicitBind-n--11815-13813-u--swapP e-0 arg-4 e-0))))))
(define TTImpC-45ElabC-45ImplicitBind-swapIsVar (lambda (arg-4 arg-5) (if (null? arg-4) (TTImpC-45ElabC-45ImplicitBind-swapIsVarH arg-5) (let ((e-3 (cdr arg-4))) (cond ((equal? arg-5 0) 0)(else (let ((e-4 (- arg-5 1))) (let ((eff-0 (TTImpC-45ElabC-45ImplicitBind-swapIsVar e-3 e-4))) (+ eff-0 1)))))))))
(define TTImpC-45ElabC-45ImplicitBind-solvePolyConstraint (lambda (arg-0 arg-1 arg-2) (let ((e-0 (vector-ref arg-2 0))) (let ((e-1 (vector-ref arg-2 1))) (let ((e-2 (vector-ref arg-2 2))) (let ((e-4 (vector-ref arg-2 4))) (let ((e-5 (vector-ref arg-2 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-continueNF arg-0 e-0 e-6 e-2 e-4))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (case (vector-ref e-7 0) ((1) (let ((e-9 (vector-ref e-7 2))) (case (vector-ref e-9 0) ((2) (lambda (eta-0) (vector 1 (vector 0 ))))(else (let ((eff-2 (let ((eff-2 (CoreC-45NormaliseC-45Eval-continueNF arg-0 e-0 e-6 e-2 e-5))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-11 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-2 1))) (let ((eff-3 ((((CoreC-45Unify-unify (csegen-3136) e-0 arg-0 arg-1 (CoreC-45Unify-inLHS) e-1) e-2) e-7) e-11))) eff-3))))))))) (PrimIO-io_bind eff-2 (csegen-3296)))))))(else (let ((eff-2 (let ((eff-2 (CoreC-45NormaliseC-45Eval-continueNF arg-0 e-0 e-6 e-2 e-5))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 ((((CoreC-45Unify-unify (csegen-3136) e-0 arg-0 arg-1 (CoreC-45Unify-inLHS) e-1) e-2) e-7) e-8))) eff-3))))))))) (PrimIO-io_bind eff-2 (csegen-3296))))))) eff-2))))))))) eff-1))))))))))))))
(define TTImpC-45ElabC-45ImplicitBind-push (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (case (vector-ref arg-4 0) ((3) (let ((e-1 (vector-ref arg-4 1))) (let ((e-2 (vector-ref arg-4 2))) (let ((e-3 (vector-ref arg-4 3))) (let ((e-4 (vector-ref arg-4 4))) (case (vector-ref e-2 0) ((3) (let ((e-5 (vector-ref e-2 1))) (let ((e-6 (vector-ref e-2 2))) (case (vector-ref e-3 0) ((2) (let ((e-8 (vector-ref e-3 1))) (let ((e-9 (vector-ref e-3 2))) (let ((e-10 (vector-ref e-3 3))) (let ((e-11 (vector-ref e-3 4))) (case (vector-ref e-10 0) ((0) (let ((u--tm (vector 3 e-1 (vector 3 e-5 e-6) (vector 2 e-8 e-9 (vector 0 ) e-11) e-4))) (let ((sc4 (CoreC-45TT-shrinkTerm e-11 (vector 1 (vector 0 ))))) (if (null? sc4) (vector 3 arg-1 arg-2 arg-3 u--tm) (let ((e-7 (unbox sc4))) (vector 3 e-1 (vector 3 e-5 e-6) (vector 2 e-8 e-9 (vector 0 ) e-7) (TTImpC-45ElabC-45ImplicitBind-push (cons (vector 3 e-5 e-6) arg-0) arg-1 arg-2 (CoreC-45TT-u--map_Functor_Binder (lambda (eta-0) (CoreC-45TT-u--weaken_Weaken_Term eta-0)) arg-3) (TTImpC-45ElabC-45ImplicitBind-swapVars '() e-4))))))))(else (vector 3 arg-1 arg-2 arg-3 arg-4))))))))(else (vector 3 arg-1 arg-2 arg-3 arg-4))))))(else (vector 3 arg-1 arg-2 arg-3 arg-4))))))))(else (vector 3 arg-1 arg-2 arg-3 arg-4)))))
(define TTImpC-45ElabC-45ImplicitBind-normaliseType (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (CoreC-45Core-u--catch_Catchable_Core_Error (let ((eff-0 (CoreC-45NormaliseC-45Eval-nfOpts arg-0 arg-1 (CoreC-45Value-withHoles) arg-2 arg-3 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quoteOpts_Quote_NF arg-0 arg-1 (vector 0 0 (box 5)) arg-2 arg-3 e-5))) eff-1))))))) (lambda (u--err) (CoreC-45Normalise-normalise arg-0 arg-1 arg-2 arg-3 arg-4)))))
(define TTImpC-45ElabC-45ImplicitBind-mkPatternHole (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9) (case (vector-ref arg-8 0) ((0) (let ((eff-0 (TTImpC-45ElabC-45ImplicitBind-mkOuterHole arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-9))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (clam-0) (let ((e-4 (car e-5))) (let ((e-3 (cdr e-5))) (vector 1 (cons e-4 (cons e-3 e-3)))))))) eff-1))))))))(else (if (null? arg-9) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 arg-4 (string-append "Unknown type for pattern variable " (CoreC-45Name-u--show_Show_Name arg-6))) eta-0)) (let ((e-1 (unbox arg-9))) (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--sub (let ((e-4 (vector-ref e-5 3))) e-4))) (let ((u--env (let ((e-3 (vector-ref e-5 2))) e-3))) (let ((eff-1 (CoreC-45NormaliseC-45Eval-getTerm e-1))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (TTImpC-45ElabC-45ImplicitBind-case--mkPatternHole-12930 arg-0 e-1 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 e-5 u--sub u--env e-6 (TTImpC-45ElabC-45ImplicitBind-n--10623-12794-u--bindInner arg-0 e-1 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 arg-0 arg-7 e-6 u--sub)))) eff-2))))))))))) eff-1)))))))))))))
(define TTImpC-45ElabC-45ImplicitBind-mkOuterHole (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8) (if (null? arg-8) (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--sub (let ((e-4 (vector-ref e-5 3))) e-4))) (let ((u--env (let ((e-3 (vector-ref e-5 2))) e-3))) (let ((eff-1 (CoreC-45UnifyState-genName arg-2 arg-3 (string-append "type_of_" (CoreC-45Name-nameRoot arg-6))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45ElabC-45Check-uniVar arg-2 arg-3 arg-4))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (TTImpC-45ElabC-45Check-metaVar (let ((e-1 (vector-ref e-5 0))) e-1) arg-2 arg-3 arg-4 (csegen-54) u--env e-6 (vector 11 arg-4 e-7)))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45ContextC-45Log-log arg-2 "elab.implicits" 10 (lambda () (string-append "Made metavariable for type of " (string-append (CoreC-45Name-u--show_Show_Name arg-6) (string-append ": " (CoreC-45Name-u--show_Show_Name e-6)))))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-5 (let ((eff-5 (let ((eff-5 arg-1)) (PrimIO-io_bind (let ((eff-6 eff-5)) (lambda (eta-0) (set-box! eff-6 (TTImpC-45ElabC-45Check-addBindIfUnsolved arg-0 e-6 arg-5 (vector 1 ) arg-7 (CoreC-45TT-embedSub u--sub e-8) (vector 11 arg-4 e-7) e-5)))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-6 (let ((eff-6 (TTImpC-45ElabC-45Check-implBindVar (let ((e-1 (vector-ref e-5 0))) e-1) arg-2 arg-3 arg-4 arg-5 u--env arg-6 e-8))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-2 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-11 (vector-ref lcase-6 1))) (let ((eff-7 (lambda (eta-0) (vector 1 (cons (CoreC-45TT-embedSub u--sub e-11) (CoreC-45TT-embedSub u--sub e-8)))))) eff-7))))))))) eff-6)))))))) eff-5)))))))) eff-4))))))))) eff-3))))))))) eff-2))))))))))) eff-1))))))) (let ((e-1 (unbox arg-8))) (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--sub (let ((e-4 (vector-ref e-5 3))) e-4))) (let ((eff-1 (CoreC-45NormaliseC-45Eval-getTerm e-1))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (TTImpC-45ElabC-45ImplicitBind-case--mkOuterHole-12495 arg-0 e-1 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 e-5 u--sub e-6 (CoreC-45TT-shrinkTerm e-6 u--sub)))) eff-2)))))))))) eff-1)))))))))))
(define TTImpC-45ElabC-45ImplicitBind-liftImps (lambda (arg-0 arg-1 arg-2) (case (vector-ref arg-1 0) ((0) (let ((e-0 (vector-ref arg-1 1))) (if (null? arg-2) arg-2 (let ((e-3 (car arg-2))) (let ((e-4 (cdr arg-2))) (case (vector-ref e-4 0) ((11) (let ((e-6 (vector-ref e-4 1))) (let ((e-7 (vector-ref e-4 2))) (cons (TTImpC-45ElabC-45ImplicitBind-n--12578-14465-u--liftImpsC-39 arg-0 e-0 e-3 e-7 e-6 arg-0 e-3) (vector 11 e-6 e-7)))))(else arg-2)))))))(else arg-2))))
(define TTImpC-45ElabC-45ImplicitBind-implicitBind (lambda (arg-0 arg-1 arg-2) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-lookupDefExact arg-2 (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-6) (lambda (eta-0) (vector 1 (vector 0 ))) (let ((e-1 (unbox e-6))) (case (vector-ref e-1 0) ((7) (let ((eff-2 (CoreC-45Context-updateDef arg-0 arg-2 (lambda (eta-0) (box (vector 10 )))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-3 (CoreC-45UnifyState-removeHoleName arg-0 arg-1 arg-2))) eff-3)))))))(else (lambda (eta-0) (vector 1 (vector 0 ))))))))) eff-2))))))))) eff-1)))))))))
(define TTImpC-45ElabC-45ImplicitBind-getToBind (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8) (case (vector-ref arg-6 0) ((3) (lambda (eta-0) (vector 1 '())))(else (let ((eff-0 (CoreC-45Unify-solveConstraints arg-1 arg-3 (case (vector-ref arg-5 0) ((1) (CoreC-45Unify-inLHS))(else (CoreC-45Unify-inTerm))) 0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (TTImpC-45ElabC-45ImplicitBind-bindUnsolved arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45Unify-solveConstraints arg-1 arg-3 (case (vector-ref arg-5 0) ((1) (CoreC-45Unify-inLHS))(else (CoreC-45Unify-inTerm))) 0))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (let ((eff-3 (let ((eff-3 arg-1)) (PrimIO-io_bind (let ((eff-4 eff-3)) (lambda (eta-0) (unbox eff-4))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (let ((eff-4 arg-2)) (PrimIO-io_bind (let ((eff-5 eff-4)) (lambda (eta-0) (unbox eff-5))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (let ((u--tob (PreludeC-45TypesC-45List-reverse (PreludeC-45TypesC-45List-filterAppend '() (lambda (u--x) (let ((sc5 (PreludeC-45Types-elem (csegen-16) (csegen-1008) (Builtin-fst u--x) arg-8))) (cond ((equal? sc5 1) 0) (else 1)))) (let ((e-18 (vector-ref e-9 5))) e-18))))) (let ((eff-5 (TTImpC-45ElabC-45ImplicitBind-n--13393-15193-u--normImps arg-8 arg-0 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 e-8 '() u--tob))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-10 (vector-ref lcase-5 1))) (let ((eff-6 (let ((u--hnames ((csegen-101) e-10))) (let ((u--resC-39 (TTImpC-45ElabC-45ImplicitBind-n--13393-15195-u--depSort arg-8 arg-0 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 u--hnames e-10))) (let ((eff-6 (CoreC-45ContextC-45Log-log arg-1 "elab.implicits" 10 (lambda () (string-append "Bound names: " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-3304) e-10)))))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-2 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-7 (let ((eff-7 (CoreC-45ContextC-45Log-log arg-1 "elab.implicits" 10 (lambda () (string-append "Sorted: " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-3304) u--resC-39)))))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-2 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-8 (lambda (eta-0) (vector 1 u--resC-39)))) eff-8)))))))) eff-7)))))))))) eff-6)))))))))) eff-5))))))))) eff-4))))))))) eff-3)))))))) eff-2)))))))) eff-1))))))))))
(define TTImpC-45ElabC-45ImplicitBind-checkPolyConstraint (lambda (arg-0 arg-1) (let ((e-0 (vector-ref arg-1 0))) (let ((e-1 (vector-ref arg-1 1))) (let ((e-2 (vector-ref arg-1 2))) (let ((e-3 (vector-ref arg-1 3))) (let ((e-4 (vector-ref arg-1 4))) (let ((e-5 (vector-ref arg-1 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-continueNF arg-0 e-0 e-6 e-2 e-4))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (case (vector-ref e-7 0) ((1) (let ((e-9 (vector-ref e-7 2))) (case (vector-ref e-9 0) ((2) (let ((eff-2 (CoreC-45NormaliseC-45Eval-continueNF arg-0 e-0 e-6 e-2 e-5))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-14 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (TTImpC-45ElabC-45Check-concrete e-6 e-2 e-14))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-15 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-15)))) (else (let ((e-15 (vector-ref lcase-3 1))) (let ((eff-4 (cond ((equal? e-15 1) (let ((eff-4 (lambda (eta-0) (CoreC-45Context-clearDefs e-6 eta-0)))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-16 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-16)))) (else (let ((eff-5 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 44 e-0 e-1 e-2 e-3) eta-0)))) eff-5))))))) (else (lambda (eta-0) (vector 1 (vector 0 ))))))) eff-4))))))))) eff-3))))))))(else (lambda (eta-0) (vector 1 (vector 0 )))))))(else (lambda (eta-0) (vector 1 (vector 0 ))))))) eff-2))))))))) eff-1)))))))))))))))
(define TTImpC-45ElabC-45ImplicitBind-checkBindVar (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13) (let ((u--elabmode (let ((e-0 (vector-ref arg-8 0))) e-0))) (let ((sc0 (let ((e-1 (vector-ref arg-8 1))) (case (vector-ref e-1 0) ((0) (PreludeC-45Types-maybe (lambda () 0) (lambda () (lambda (eta-0) 1)) (CoreC-45Env-defined arg-0 (vector 1 arg-12) arg-10)))(else 0))))) (cond ((equal? sc0 0) (let ((eff-0 (let ((eff-0 arg-4)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--n (vector 3 (vector 1 arg-12) (let ((e-2 (vector-ref e-5 1))) e-2)))) (let ((eff-1 (TTImpC-45ElabC-45Check-noteLHSPatVar arg-4 u--elabmode (vector 1 arg-12)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (TTImpC-45ElabC-45Check-notePatVar arg-4 u--n))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (let ((eff-3 (let ((eff-3 arg-4)) (PrimIO-io_bind (let ((eff-4 eff-3)) (lambda (eta-0) (unbox eff-4))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (let ((sc5 (CoreC-45FC-isConcreteFC arg-11))) (if (null? sc5) (lambda (eta-0) (vector 1 (vector 0 ))) (let ((e-1 (unbox sc5))) (let ((eff-4 (CoreC-45ContextC-45Log-log arg-1 "ide-mode.highlight" 7 (lambda () (string-append "getNameType is adding Bound: " (CoreC-45Name-u--show_Show_Name u--n)))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-5 (CoreC-45Metadata-addSemanticDecorations arg-2 arg-1 (cons (cons e-1 (cons 5 (box u--n))) '())))) eff-5))))))))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-5 (TTImpC-45ElabC-45ImplicitBind-case--caseC-32blockC-32inC-32checkBindVar-16716 arg-0 arg-13 arg-12 arg-11 arg-10 arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 u--elabmode e-5 u--n e-8 (DataC-45List-lookup (csegen-1008) u--n (let ((e-19 (vector-ref e-8 4))) e-19))))) eff-5)))))))) eff-4))))))))) eff-3)))))))) eff-2))))))))) eff-1))))))))(else (TTImpC-45ElabC-45Check-check arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 0 arg-11 (vector 1 arg-12)) arg-13)))))))
(define TTImpC-45ElabC-45ImplicitBind-checkBindHere (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14) (let ((eff-0 (let ((eff-0 arg-4)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--oldenv (let ((e-3 (vector-ref e-5 2))) e-3))) (let ((u--oldsub (let ((e-4 (vector-ref e-5 3))) e-4))) (let ((u--oldbif (let ((e-7 (vector-ref e-5 6))) e-7))) (let ((u--dontbind ((csegen-101) (let ((e-6 (vector-ref e-5 5))) e-6)))) (let ((eff-1 (let ((eff-1 arg-4)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (TTImpC-45ElabC-45Check-updateEnv arg-0 arg-10 (vector 0 ) '() e-5)))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45Context-getNextEntry arg-1))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (TTImpC-45ElabC-45Check-check arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 (let ((e-0 (vector-ref arg-8 0))) (let ((e-2 (vector-ref arg-8 2))) (let ((e-4 (vector-ref arg-8 4))) (let ((e-8 (vector-ref arg-8 5))) (vector e-0 arg-12 e-2 1 e-4 e-8))))) arg-9 arg-10 arg-13 arg-14))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((e-2 (car e-8))) (let ((e-3 (cdr e-8))) (let ((u--solvemode (let ((e-0 (vector-ref arg-8 0))) (case (vector-ref e-0 0) ((1) (CoreC-45Unify-inLHS))(else (CoreC-45Unify-inTerm)))))) (let ((eff-4 (CoreC-45Unify-solveConstraints arg-1 arg-3 u--solvemode 0))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-4 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-5 (let ((eff-5 (let ((eff-5 arg-3)) (PrimIO-io_bind (let ((eff-6 eff-5)) (lambda (eta-0) (unbox eff-6))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-4 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-10 (vector-ref lcase-5 1))) (let ((eff-6 (let ((eff-6 (CoreC-45Core-u--catch_Catchable_Core_Error (TTImpC-45ElabC-45Delayed-retryDelayed arg-0 arg-1 arg-2 arg-3 arg-4 u--solvemode (let ((e-12 (vector-ref e-10 10))) e-12)) (lambda (u--err) (let ((eff-6 (let ((eff-6 (let ((eff-6 arg-3)) (PrimIO-io_bind (let ((eff-7 eff-6)) (lambda (eta-0) (unbox eff-7))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-4 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-11 (vector-ref lcase-6 1))) (let ((eff-7 (let ((eff-7 arg-3)) (PrimIO-io_bind (let ((eff-8 eff-7)) (lambda (eta-0) (set-box! eff-8 (let ((e-0 (vector-ref e-11 0))) (let ((e-1 (vector-ref e-11 1))) (let ((e-20 (vector-ref e-11 2))) (let ((e-19 (vector-ref e-11 3))) (let ((e-4 (vector-ref e-11 4))) (let ((e-18 (vector-ref e-11 5))) (let ((e-17 (vector-ref e-11 6))) (let ((e-16 (vector-ref e-11 7))) (let ((e-15 (vector-ref e-11 8))) (let ((e-14 (vector-ref e-11 9))) (let ((e-12 (vector-ref e-11 11))) (vector e-0 e-1 e-20 e-19 e-4 e-18 e-17 e-16 e-15 e-14 '() e-12))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-7))))))))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-4 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-7 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error u--err eta-0)))) eff-7)))))))))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-4 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-7 (let ((eff-7 (let ((eff-7 arg-3)) (PrimIO-io_bind (let ((eff-8 eff-7)) (lambda (eta-0) (unbox eff-8))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-4 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-12 (vector-ref lcase-7 1))) (let ((eff-8 (let ((u--cons (let ((e-18 (vector-ref e-12 6))) e-18))) (let ((eff-8 (let ((eff-8 arg-3)) (PrimIO-io_bind (let ((eff-9 eff-8)) (lambda (eta-0) (set-box! eff-9 (let ((e-0 (vector-ref e-12 0))) (let ((e-1 (vector-ref e-12 1))) (let ((e-21 (vector-ref e-12 2))) (let ((e-20 (vector-ref e-12 3))) (let ((e-4 (vector-ref e-12 4))) (let ((e-19 (vector-ref e-12 5))) (let ((e-17 (vector-ref e-12 7))) (let ((e-16 (vector-ref e-12 8))) (let ((e-15 (vector-ref e-12 9))) (let ((e-14 (vector-ref e-12 10))) (let ((e-13 (vector-ref e-12 11))) (vector e-0 e-1 e-21 e-20 e-4 e-19 '() e-17 e-16 e-15 e-14 e-13))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-8 (lambda (lcase-8) (case (vector-ref lcase-8 0) ((0) (let ((e-4 (vector-ref lcase-8 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-9 (let ((eff-9 (CoreC-45Core-traverse_ (lambda (eta-0) (TTImpC-45ElabC-45ImplicitBind-solvePolyConstraint arg-1 arg-3 eta-0)) u--cons))) (PrimIO-io_bind eff-9 (lambda (lcase-9) (case (vector-ref lcase-9 0) ((0) (let ((e-4 (vector-ref lcase-9 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-10 (let ((eff-10 (CoreC-45Core-traverse_ (lambda (eta-0) (TTImpC-45ElabC-45ImplicitBind-checkPolyConstraint arg-1 eta-0)) u--cons))) (PrimIO-io_bind eff-10 (lambda (lcase-10) (case (vector-ref lcase-10 0) ((0) (let ((e-4 (vector-ref lcase-10 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-11 (let ((eff-11 (CoreC-45Unify-solveConstraintsAfter arg-1 arg-3 e-7 (let ((e-0 (vector-ref arg-8 0))) (case (vector-ref e-0 0) ((1) (CoreC-45Unify-inLHS))(else (CoreC-45Unify-inTerm)))) 1))) (PrimIO-io_bind eff-11 (lambda (lcase-11) (case (vector-ref lcase-11 0) ((0) (let ((e-4 (vector-ref lcase-11 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-12 (let ((eff-12 (CoreC-45Unify-checkDots arg-3 arg-1))) (PrimIO-io_bind eff-12 (lambda (lcase-12) (case (vector-ref lcase-12 0) ((0) (let ((e-4 (vector-ref lcase-12 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-13 (let ((eff-13 (CoreC-45ContextC-45Log-logTerm arg-0 arg-1 (csegen-3286) 5 (lambda () ((csegen-0) "Binding names")) e-2))) (PrimIO-io_bind eff-13 (lambda (lcase-13) (case (vector-ref lcase-13 0) ((0) (let ((e-4 (vector-ref lcase-13 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-14 (let ((eff-14 (CoreC-45Normalise-logTermNF arg-0 arg-1 (csegen-3286) 5 (lambda () (csegen-3306)) arg-10 e-2))) (PrimIO-io_bind eff-14 (lambda (lcase-14) (case (vector-ref lcase-14 0) ((0) (let ((e-4 (vector-ref lcase-14 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-15 (let ((eff-15 (TTImpC-45ElabC-45ImplicitBind-getToBind arg-0 arg-1 arg-4 arg-3 arg-11 (let ((e-0 (vector-ref arg-8 0))) e-0) arg-12 arg-10 u--dontbind))) (PrimIO-io_bind eff-15 (lambda (lcase-15) (case (vector-ref lcase-15 0) ((0) (let ((e-4 (vector-ref lcase-15 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-20 (vector-ref lcase-15 1))) (let ((eff-16 (let ((eff-16 (TTImpC-45ElabC-45Check-clearToBind arg-4 u--dontbind))) (PrimIO-io_bind eff-16 (lambda (lcase-16) (case (vector-ref lcase-16 0) ((0) (let ((e-4 (vector-ref lcase-16 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-17 (let ((eff-17 (let ((eff-17 (let ((eff-17 arg-4)) (PrimIO-io_bind (let ((eff-18 eff-17)) (lambda (eta-0) (unbox eff-18))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-17 (lambda (lcase-17) (case (vector-ref lcase-17 0) ((0) (let ((e-4 (vector-ref lcase-17 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-22 (vector-ref lcase-17 1))) (let ((eff-18 (let ((eff-18 arg-4)) (PrimIO-io_bind (let ((eff-19 eff-18)) (lambda (eta-0) (set-box! eff-19 (TTImpC-45ElabC-45Check-updateEnv (let ((e-1 (vector-ref e-5 0))) e-1) u--oldenv u--oldsub u--oldbif (let ((e-1 (vector-ref e-22 0))) (let ((e-34 (vector-ref e-22 1))) (let ((e-33 (vector-ref e-22 2))) (let ((e-4 (vector-ref e-22 3))) (let ((e-31 (vector-ref e-22 5))) (let ((e-30 (vector-ref e-22 6))) (let ((e-29 (vector-ref e-22 7))) (let ((e-28 (vector-ref e-22 8))) (let ((e-27 (vector-ref e-22 9))) (let ((e-26 (vector-ref e-22 10))) (let ((e-25 (vector-ref e-22 11))) (let ((e-24 (vector-ref e-22 12))) (let ((e-23 (vector-ref e-22 13))) (vector e-1 e-34 e-33 e-4 '() e-31 e-30 e-29 e-28 e-27 e-26 e-25 e-24 e-23)))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-18))))))))) (PrimIO-io_bind eff-17 (lambda (lcase-17) (case (vector-ref lcase-17 0) ((0) (let ((e-4 (vector-ref lcase-17 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-18 (let ((eff-18 (CoreC-45NormaliseC-45Eval-getTerm e-3))) (PrimIO-io_bind eff-18 (lambda (lcase-18) (case (vector-ref lcase-18 0) ((0) (let ((e-4 (vector-ref lcase-18 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-23 (vector-ref lcase-18 1))) (let ((eff-19 (let ((eff-19 (let ((eff-19 arg-1)) (PrimIO-io_bind (let ((eff-20 eff-19)) (lambda (eta-0) (unbox eff-20))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-19 (lambda (lcase-19) (case (vector-ref lcase-19 0) ((0) (let ((e-4 (vector-ref lcase-19 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-24 (vector-ref lcase-19 1))) (let ((eff-20 (let ((eff-20 (let ((eff-20 (CoreC-45Normalise-normaliseHoles arg-1 arg-0 e-24 arg-10 e-2))) (PrimIO-io_bind eff-20 (lambda (lcase-20) (case (vector-ref lcase-20 0) ((0) (let ((e-4 (vector-ref lcase-20 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-25 (vector-ref lcase-20 1))) (let ((eff-21 (let ((eff-21 (CoreC-45Normalise-normaliseHoles arg-1 arg-0 e-24 arg-10 e-23))) (PrimIO-io_bind eff-21 (lambda (lcase-21) (case (vector-ref lcase-21 0) ((0) (let ((e-4 (vector-ref lcase-21 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-26 (vector-ref lcase-21 1))) (let ((eff-22 (lambda (eta-0) (TTImpC-45ElabC-45ImplicitBind-bindImplicits arg-1 arg-0 arg-11 arg-12 e-24 arg-10 e-20 e-25 e-26 eta-0)))) eff-22))))))))) eff-21))))))))) (PrimIO-io_bind eff-20 (lambda (lcase-20) (case (vector-ref lcase-20 0) ((0) (let ((e-4 (vector-ref lcase-20 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-25 (vector-ref lcase-20 1))) (let ((eff-21 (let ((e-26 (car e-25))) (let ((e-4 (cdr e-25))) (let ((eff-21 (CoreC-45Core-traverse_ (lambda (eta-0) (TTImpC-45ElabC-45ImplicitBind-implicitBind arg-1 arg-3 eta-0)) ((csegen-101) e-20)))) (PrimIO-io_bind eff-21 (lambda (lcase-21) (case (vector-ref lcase-21 0) ((0) (let ((e-27 (vector-ref lcase-21 1))) (lambda (eta-0) (vector 0 e-27)))) (else (let ((eff-22 (TTImpC-45ElabC-45Check-checkExp arg-0 arg-1 arg-3 arg-4 arg-7 arg-8 arg-10 arg-11 e-26 (CoreC-45NormaliseC-45Eval-gnf arg-0 arg-10 e-4) arg-14))) eff-22)))))))))) eff-21))))))))) eff-20))))))))) eff-19))))))))) eff-18)))))))) eff-17)))))))) eff-16))))))))) eff-15)))))))) eff-14)))))))) eff-13)))))))) eff-12)))))))) eff-11)))))))) eff-10)))))))) eff-9))))))))) eff-8))))))))) eff-7)))))))) eff-6))))))))) eff-5))))))))))) eff-4))))))))) eff-3))))))))) eff-2)))))))))))) eff-1)))))))))
(define TTImpC-45ElabC-45ImplicitBind-bindUnsolved (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (case (vector-ref arg-6 0) ((3) (lambda (eta-0) (vector 1 (vector 0 ))))(else (let ((eff-0 (let ((eff-0 arg-2)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 arg-1)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (unbox eff-2))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((u--bifs (let ((e-7 (vector-ref e-5 6))) e-7))) (let ((eff-2 (CoreC-45ContextC-45Log-log arg-1 "elab.implicits" 5 (lambda () (string-append "Bindable unsolved implicits: " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-100) ((csegen-101) u--bifs))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (CoreC-45Core-traverse_ (lambda (eta-0) (TTImpC-45ElabC-45ImplicitBind-n--11067-13134-u--mkImplicit arg-6 arg-5 arg-4 arg-3 arg-0 arg-2 arg-1 (let ((e-1 (vector-ref e-5 0))) e-1) e-6 (let ((e-3 (vector-ref e-5 2))) e-3) (let ((e-4 (vector-ref e-5 3))) e-4) eta-0)) (let ((e-15 (vector-ref e-5 6))) e-15)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))
(define TTImpC-45ElabC-45ImplicitBind-bindImplicits (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 ext-0) (case (vector-ref arg-3 0) ((3) (vector 1 (cons arg-7 arg-8)))(else (vector 1 (TTImpC-45ElabC-45ImplicitBind-liftImps arg-1 arg-3 (TTImpC-45ElabC-45ImplicitBind-bindImplVars arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8)))))))
(define TTImpC-45ElabC-45ImplicitBind-bindImplVars (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (case (vector-ref arg-2 0) ((3) (cons arg-6 arg-7))(else (let ((u--imps (((csegen-25) (lambda (lamc-0) (let ((e-2 (car lamc-0))) (let ((e-3 (cdr lamc-0))) (cons (TTImpC-45ElabC-45ImplicitBind-n--12668-14560-u--tidyName arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 e-2) (cons e-2 e-3)))))) arg-5))) (TTImpC-45ElabC-45ImplicitBind-n--12668-14561-u--getBinds arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 u--imps (vector 0 ) arg-6 arg-7))))))
(define CoreC-45Coverage-case--eraseApps-8506 (lambda (arg-1 arg-2 arg-3) (let ((e-2 (car arg-3))) (let ((e-3 (cdr arg-3))) (case (vector-ref e-2 0) ((1) (let ((e-5 (vector-ref e-2 1))) (let ((e-6 (vector-ref e-2 2))) (let ((e-7 (vector-ref e-2 3))) (case (vector-ref e-6 0) ((0) (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45Coverage-eraseApps arg-2 eta-0)) e-3 '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-8 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (CoreC-45TT-apply e-5 (vector 1 e-5 (vector 0 ) e-7) e-8))))) eff-1))))))))(else (let ((eff-0 (let ((eff-0 arg-2)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-8 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-lookupCtxtExact e-7 (let ((e-0 (vector-ref e-8 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-9 (vector-ref lcase-1 1))) (let ((eff-2 (let ((u--eargs (PreludeC-45Types-maybe (lambda () '()) (lambda () (lambda (eta-0) (let ((e-27 (vector-ref eta-0 3))) e-27))) e-9))) (let ((eff-2 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45Coverage-eraseApps arg-2 eta-0)) (CoreC-45Coverage-n--12168-8423-u--dropPos arg-1 arg-2 e-5 0 u--eargs e-3) '()))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-10 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (CoreC-45TT-apply e-5 (vector 1 e-5 e-6 e-7) e-10))))) eff-3)))))))))) eff-2))))))))) eff-1)))))))))))))(else (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45Coverage-eraseApps arg-2 eta-0)) e-3 '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (CoreC-45TT-apply (CoreC-45TT-getLoc e-2) e-2 e-5))))) eff-1)))))))))))))
(define CoreC-45Coverage-case--caseC-32blockC-32inC-32conflict-6220 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8) (if (null? arg-8) (lambda (eta-0) (vector 1 0)) (let ((e-2 (car arg-8))) (let ((e-3 (cdr arg-8))) (case (vector-ref e-2 0) ((5) (let ((eff-0 (let ((eff-0 (CoreC-45NormaliseC-45Eval-nf arg-5 '() arg-4 '() e-3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-7 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45Coverage-n--9054-5590-u--conflictNF arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 0 arg-2 e-7))) eff-1))))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-7 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (clam-0) (if (null? e-7) (vector 1 1) (let ((e-8 (unbox e-7))) (vector 1 (CoreC-45Coverage-conflictMatch arg-0 e-8))))))) eff-1))))))))(else (lambda (eta-0) (vector 1 0)))))))))
(define CoreC-45Coverage-n--12522-8769-u--tryClauses (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (if (null? arg-3) (let ((eff-0 (CoreC-45Normalise-logTermNF '() arg-2 "coverage" 10 (lambda () "Nothing matches") '() arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (lambda (eta-0) (vector 1 (box arg-4))))) eff-1)))))) (let ((e-2 (car arg-3))) (let ((e-3 (cdr arg-3))) (let ((e-4 (vector-ref e-2 0))) (let ((e-5 (vector-ref e-2 1))) (let ((e-6 (vector-ref e-2 2))) (let ((eff-0 (CoreC-45Coverage-clauseMatches e-4 arg-2 e-5 e-6 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-8 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-0 1))) (let ((eff-1 (cond ((equal? e-8 1) (let ((eff-1 (CoreC-45Normalise-logTermNF e-4 arg-2 "coverage" 10 (lambda () ((csegen-0) "Yes")) e-5 e-6))) (PrimIO-io_bind eff-1 (csegen-2241)))) (else (let ((eff-1 (CoreC-45Normalise-logTermNF e-4 arg-2 "coverage" 10 (lambda () ((csegen-0) "No match")) e-5 e-6))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-9 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((eff-2 (CoreC-45Coverage-n--12522-8769-u--tryClauses arg-0 arg-1 arg-2 e-3 arg-4))) eff-2)))))))))) eff-1)))))))))))))))
(define CoreC-45Coverage-n--11143-7473-u--rep (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (case (vector-ref arg-6 0) ((3) (let ((e-1 (vector-ref arg-6 1))) (let ((eff-0 (CoreC-45CaseC-45Util-getCons arg-5 arg-0 arg-3 arg-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (((csegen-25) (lambda (eta-1) (CoreC-45CaseC-45Util-mkAlt arg-0 arg-4 e-1 eta-1))) e-5))))) eff-1)))))))))(else (lambda (eta-0) (vector 1 (cons arg-6 '())))))))
(define CoreC-45Coverage-n--11693-7982-u--notCovering (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (let ((eff-0 (CoreC-45Context-lookupCtxtExact arg-4 (let ((e-0 (vector-ref arg-3 0))) e-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (if (null? e-5) (lambda (eta-0) (vector 1 0)) (let ((e-1 (unbox e-5))) (let ((e-10 (vector-ref e-1 10))) (lambda (clam-0) (let ((e-24 (cdr e-10))) (case (vector-ref e-24 0) ((0) (vector 1 0))(else (vector 1 1)))))))))) eff-1)))))))))
(define CoreC-45Coverage-n--10332-6938-u--noneOf (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (let ((sc0 (PreludeC-45Interfaces-any (csegen-16) (lambda (eta-0) (CoreC-45Coverage-altMatch arg-7 eta-0)) arg-6))) (cond ((equal? sc0 1) 0) (else 1)))))
(define CoreC-45Coverage-n--11693-7981-u--noAssert (lambda (arg-0 arg-1 arg-2 arg-3) (let ((e-2 (car arg-3))) (let ((e-3 (cdr arg-3))) (cond ((equal? e-3 1) '()) (else (box e-2)))))))
(define CoreC-45Coverage-n--12386-8642-u--mkSubstEnv (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8) (if (null? arg-5) '() (let ((e-3 (cdr arg-5))) (let ((e-9 (cdr arg-8))) (cons (vector 1 arg-6 (vector 0 ) (vector 2 "cov" arg-7)) (CoreC-45Coverage-n--12386-8642-u--mkSubstEnv arg-0 arg-1 arg-2 arg-3 arg-4 e-3 arg-6 (bs+ arg-7 1 63) e-9)))))))
(define CoreC-45Coverage-n--11693-7980-u--isCase (lambda (arg-0 arg-1 arg-2 arg-3) (case (vector-ref arg-3 0) ((0) (let ((e-1 (vector-ref arg-3 2))) (CoreC-45Coverage-n--11693-7980-u--isCase arg-0 arg-1 arg-2 e-1))) ((6) 1)(else 0))))
(define CoreC-45Coverage-n--8493-5069-u--findN (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (case (vector-ref arg-5 0) ((0) (let ((e-4 (vector-ref arg-5 3))) (or (and (= arg-4 e-4) 1) 0)))(else (let ((sc0 (CoreC-45TT-getFnArgs arg-5))) (if (null? sc0) 0 (let ((e-2 (car sc0))) (let ((e-3 (cdr sc0))) (case (vector-ref e-2 0) ((1) (let ((e-6 (vector-ref e-2 2))) (case (vector-ref e-6 0) ((2) (PreludeC-45Interfaces-any (csegen-16) (lambda (eta-0) (CoreC-45Coverage-n--8493-5069-u--findN arg-0 arg-1 arg-2 arg-3 arg-4 eta-0)) e-3))(else 0))))(else 0))))))))))
(define CoreC-45Coverage-n--11143-7474-u--dropRep (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (if (null? arg-6) '() (let ((e-2 (car arg-6))) (let ((e-3 (cdr arg-6))) (case (vector-ref e-2 0) ((0) (let ((e-6 (vector-ref e-2 2))) (cons e-2 (CoreC-45Coverage-n--11143-7474-u--dropRep arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 (PreludeC-45TypesC-45List-filterAppend '() (lambda (eta-0) (let ((sc2 (CoreC-45CaseC-45Util-tagIs e-6 eta-0))) (cond ((equal? sc2 1) 0) (else 1)))) e-3)))))(else (cons e-2 (CoreC-45Coverage-n--11143-7474-u--dropRep arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-3)))))))))
(define CoreC-45Coverage-n--12168-8423-u--dropPos (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (if (null? arg-6) '() (let ((e-2 (car arg-6))) (let ((e-3 (cdr arg-6))) (let ((sc1 (PreludeC-45Types-elem (csegen-16) (csegen-1338) arg-4 arg-5))) (cond ((equal? sc1 1) (cons (vector 10 arg-3 (vector 0 )) (CoreC-45Coverage-n--12168-8423-u--dropPos arg-1 arg-2 arg-3 (+ arg-4 1) arg-5 e-3))) (else (cons e-2 (CoreC-45Coverage-n--12168-8423-u--dropPos arg-1 arg-2 arg-3 (+ arg-4 1) arg-5 e-3))))))))))
(define CoreC-45Coverage-n--8493-5070-u--conflictTm (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (case (vector-ref arg-4 0) ((0) (let ((e-10 (vector-ref arg-4 3))) (let ((sc1 (CoreC-45TT-getFnArgs arg-5))) (if (null? sc1) 0 (let ((e-2 (car sc1))) (let ((e-3 (cdr sc1))) (case (vector-ref e-2 0) ((1) (let ((e-6 (vector-ref e-2 2))) (case (vector-ref e-6 0) ((2) (PreludeC-45Interfaces-any (csegen-16) (lambda (eta-0) (CoreC-45Coverage-n--8493-5069-u--findN arg-0 arg-1 arg-2 arg-3 e-10 eta-0)) e-3))(else 0))))(else 0))))))))(else (case (vector-ref arg-5 0) ((0) (let ((e-4 (vector-ref arg-5 3))) (let ((sc1 (CoreC-45TT-getFnArgs arg-4))) (if (null? sc1) 0 (let ((e-6 (car sc1))) (let ((e-5 (cdr sc1))) (case (vector-ref e-6 0) ((1) (let ((e-8 (vector-ref e-6 2))) (case (vector-ref e-8 0) ((2) (PreludeC-45Interfaces-any (csegen-16) (lambda (eta-0) (CoreC-45Coverage-n--8493-5069-u--findN arg-0 arg-1 arg-2 arg-3 e-4 eta-0)) e-5))(else 0))))(else 0))))))))(else (let ((sc0 (CoreC-45TT-getFnArgs arg-4))) (let ((e-2 (car sc0))) (let ((e-3 (cdr sc0))) (let ((sc1 (CoreC-45TT-getFnArgs arg-5))) (let ((e-5 (car sc1))) (let ((e-4 (cdr sc1))) (let ((sc2 (CoreC-45Coverage-n--8493-5068-u--clash arg-0 arg-1 arg-2 arg-3 e-2 e-5))) (cond ((equal? sc2 1) 1) (else (PreludeC-45Interfaces-any (csegen-16) (lambda (eta-0) (PreludeC-45Basics-uncurry (lambda (eta-1) (lambda (eta-2) (CoreC-45Coverage-n--8493-5070-u--conflictTm arg-0 arg-1 arg-2 arg-3 eta-1 eta-2))) eta-0)) (DataC-45List-u--zip_Zippable_List e-3 e-4)))))))))))))))))
(define CoreC-45Coverage-n--9054-5590-u--conflictNF (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8) (case (vector-ref arg-8 0) ((0) (let ((e-31 (vector-ref arg-8 1))) (let ((e-32 (vector-ref arg-8 2))) (let ((e-34 (vector-ref arg-8 4))) (let ((u--xC-39 (vector 2 (CoreC-45Name-u--show_Show_Name e-32) arg-6))) (let ((eff-0 ((e-34 arg-4) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 1 e-31 (vector 0 ) u--xC-39))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45Coverage-n--9054-5590-u--conflictNF arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 (bs+ arg-6 1 63) arg-7 e-5))) eff-1)))))))))))) ((1) (let ((e-37 (vector-ref arg-8 2))) (let ((e-38 (vector-ref arg-8 3))) (case (vector-ref e-37 0) ((1) (let ((e-40 (vector-ref e-37 1))) (let ((e-41 (vector-ref e-37 2))) (case (vector-ref e-40 0) ((0) (if (null? e-38) (let ((eff-0 (lambda (eta-0) (CoreC-45Context-clearDefs arg-4 eta-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-5 arg-0 e-5 arg-3 arg-7))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (box (cons (cons e-41 e-6) '())))))) eff-2))))))))) eff-1))))))) (case (vector-ref arg-7 0) ((2) (let ((e-3 (vector-ref arg-7 3))) (let ((e-5 (vector-ref arg-7 5))) (case (vector-ref arg-8 0) ((2) (let ((e-18 (vector-ref arg-8 3))) (let ((e-20 (vector-ref arg-8 5))) (let ((sc6 (PreludeC-45EqOrd-u--C-61C-61_Eq_Int e-3 e-18))) (cond ((equal? sc6 1) (CoreC-45Coverage-n--9054-5589-u--conflictArgs arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 ((csegen-947) e-5) ((csegen-947) e-20))) (else (lambda (eta-0) (vector 1 '()))))))))(else (lambda (eta-0) (vector 1 (box '())))))))) ((3) (let ((e-8 (vector-ref arg-7 2))) (let ((e-11 (vector-ref arg-7 5))) (case (vector-ref arg-8 0) ((3) (let ((e-23 (vector-ref arg-8 2))) (let ((e-26 (vector-ref arg-8 5))) (let ((sc6 (CoreC-45Name-u--C-61C-61_Eq_Name e-8 e-23))) (cond ((equal? sc6 1) (CoreC-45Coverage-n--9054-5589-u--conflictArgs arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 ((csegen-947) e-11) ((csegen-947) e-26))) (else (lambda (eta-0) (vector 1 '()))))))))(else (lambda (eta-0) (vector 1 (box '())))))))) ((8) (let ((e-14 (vector-ref arg-7 2))) (lambda (clam-0) (case (vector-ref arg-8 0) ((8) (let ((e-29 (vector-ref arg-8 2))) (let ((sc6 (CoreC-45TT-u--C-61C-61_Eq_Constant e-14 e-29))) (cond ((equal? sc6 1) (vector 1 (box '()))) (else (vector 1 '()))))))(else (vector 1 (box '())))))))(else (lambda (eta-0) (vector 1 (box '())))))))(else (case (vector-ref arg-7 0) ((2) (let ((e-3 (vector-ref arg-7 3))) (let ((e-5 (vector-ref arg-7 5))) (case (vector-ref arg-8 0) ((2) (let ((e-18 (vector-ref arg-8 3))) (let ((e-20 (vector-ref arg-8 5))) (let ((sc4 (PreludeC-45EqOrd-u--C-61C-61_Eq_Int e-3 e-18))) (cond ((equal? sc4 1) (CoreC-45Coverage-n--9054-5589-u--conflictArgs arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 ((csegen-947) e-5) ((csegen-947) e-20))) (else (lambda (eta-0) (vector 1 '()))))))))(else (lambda (eta-0) (vector 1 (box '())))))))) ((3) (let ((e-8 (vector-ref arg-7 2))) (let ((e-11 (vector-ref arg-7 5))) (case (vector-ref arg-8 0) ((3) (let ((e-23 (vector-ref arg-8 2))) (let ((e-26 (vector-ref arg-8 5))) (let ((sc4 (CoreC-45Name-u--C-61C-61_Eq_Name e-8 e-23))) (cond ((equal? sc4 1) (CoreC-45Coverage-n--9054-5589-u--conflictArgs arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 ((csegen-947) e-11) ((csegen-947) e-26))) (else (lambda (eta-0) (vector 1 '()))))))))(else (lambda (eta-0) (vector 1 (box '())))))))) ((8) (let ((e-14 (vector-ref arg-7 2))) (lambda (clam-1) (case (vector-ref arg-8 0) ((8) (let ((e-29 (vector-ref arg-8 2))) (let ((sc4 (CoreC-45TT-u--C-61C-61_Eq_Constant e-14 e-29))) (cond ((equal? sc4 1) (vector 1 (box '()))) (else (vector 1 '()))))))(else (vector 1 (box '())))))))(else (lambda (eta-0) (vector 1 (box '()))))))))))(else (case (vector-ref arg-7 0) ((2) (let ((e-3 (vector-ref arg-7 3))) (let ((e-5 (vector-ref arg-7 5))) (case (vector-ref arg-8 0) ((2) (let ((e-18 (vector-ref arg-8 3))) (let ((e-20 (vector-ref arg-8 5))) (let ((sc3 (PreludeC-45EqOrd-u--C-61C-61_Eq_Int e-3 e-18))) (cond ((equal? sc3 1) (CoreC-45Coverage-n--9054-5589-u--conflictArgs arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 ((csegen-947) e-5) ((csegen-947) e-20))) (else (lambda (eta-0) (vector 1 '()))))))))(else (lambda (eta-0) (vector 1 (box '())))))))) ((3) (let ((e-8 (vector-ref arg-7 2))) (let ((e-11 (vector-ref arg-7 5))) (case (vector-ref arg-8 0) ((3) (let ((e-23 (vector-ref arg-8 2))) (let ((e-26 (vector-ref arg-8 5))) (let ((sc3 (CoreC-45Name-u--C-61C-61_Eq_Name e-8 e-23))) (cond ((equal? sc3 1) (CoreC-45Coverage-n--9054-5589-u--conflictArgs arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 ((csegen-947) e-11) ((csegen-947) e-26))) (else (lambda (eta-0) (vector 1 '()))))))))(else (lambda (eta-0) (vector 1 (box '())))))))) ((8) (let ((e-14 (vector-ref arg-7 2))) (lambda (clam-2) (case (vector-ref arg-8 0) ((8) (let ((e-29 (vector-ref arg-8 2))) (let ((sc3 (CoreC-45TT-u--C-61C-61_Eq_Constant e-14 e-29))) (cond ((equal? sc3 1) (vector 1 (box '()))) (else (vector 1 '()))))))(else (vector 1 (box '())))))))(else (lambda (eta-0) (vector 1 (box '()))))))))))(else (case (vector-ref arg-7 0) ((2) (let ((e-3 (vector-ref arg-7 3))) (let ((e-5 (vector-ref arg-7 5))) (case (vector-ref arg-8 0) ((2) (let ((e-18 (vector-ref arg-8 3))) (let ((e-20 (vector-ref arg-8 5))) (let ((sc2 (PreludeC-45EqOrd-u--C-61C-61_Eq_Int e-3 e-18))) (cond ((equal? sc2 1) (CoreC-45Coverage-n--9054-5589-u--conflictArgs arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 ((csegen-947) e-5) ((csegen-947) e-20))) (else (lambda (eta-0) (vector 1 '()))))))))(else (lambda (eta-0) (vector 1 (box '())))))))) ((3) (let ((e-8 (vector-ref arg-7 2))) (let ((e-11 (vector-ref arg-7 5))) (case (vector-ref arg-8 0) ((3) (let ((e-23 (vector-ref arg-8 2))) (let ((e-26 (vector-ref arg-8 5))) (let ((sc2 (CoreC-45Name-u--C-61C-61_Eq_Name e-8 e-23))) (cond ((equal? sc2 1) (CoreC-45Coverage-n--9054-5589-u--conflictArgs arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 ((csegen-947) e-11) ((csegen-947) e-26))) (else (lambda (eta-0) (vector 1 '()))))))))(else (lambda (eta-0) (vector 1 (box '())))))))) ((8) (let ((e-14 (vector-ref arg-7 2))) (lambda (clam-3) (case (vector-ref arg-8 0) ((8) (let ((e-29 (vector-ref arg-8 2))) (let ((sc2 (CoreC-45TT-u--C-61C-61_Eq_Constant e-14 e-29))) (cond ((equal? sc2 1) (vector 1 (box '()))) (else (vector 1 '()))))))(else (vector 1 (box '())))))))(else (lambda (eta-0) (vector 1 (box '())))))))))
(define CoreC-45Coverage-n--9054-5589-u--conflictArgs (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8) (if (null? arg-7) (lambda (clam-0) (if (null? arg-8) (vector 1 (box '())) (vector 1 (box '())))) (let ((e-2 (car arg-7))) (let ((e-3 (cdr arg-7))) (if (null? arg-8) (lambda (eta-0) (vector 1 (box '()))) (let ((e-6 (car arg-8))) (let ((e-7 (cdr arg-8))) (let ((eff-0 (CoreC-45NormaliseC-45Eval-evalClosure arg-5 arg-0 arg-4 e-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-5 '() arg-4 e-6))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-8 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Coverage-n--9054-5590-u--conflictNF arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-5 e-8))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-9 (vector-ref lcase-2 1))) (let ((eff-3 (if (null? e-9) (lambda (eta-0) (vector 1 '())) (let ((e-1 (unbox e-9))) (let ((eff-3 (CoreC-45Coverage-n--9054-5589-u--conflictArgs arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-3 e-7))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-4 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (clam-1) (if (null? e-10) (vector 1 '()) (let ((e-4 (unbox e-10))) (vector 1 (box (PreludeC-45TypesC-45List-tailRecAppend e-1 e-4)))))))) eff-4))))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))
(define CoreC-45Coverage-n--8493-5071-u--conflictArgs (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (if (null? arg-6) 0 (let ((e-2 (car arg-6))) (let ((e-3 (cdr arg-6))) (let ((e-6 (car e-2))) (let ((e-7 (cdr e-2))) (let ((sc2 (let ((sc3 (CoreC-45Name-u--C-61C-61_Eq_Name arg-4 e-6))) (cond ((equal? sc3 1) (CoreC-45Coverage-n--8493-5070-u--conflictTm arg-0 arg-1 arg-2 arg-3 arg-5 e-7)) (else 0))))) (cond ((equal? sc2 1) 1) (else (CoreC-45Coverage-n--8493-5071-u--conflictArgs arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-3)))))))))))
(define CoreC-45Coverage-n--12386-8643-u--close (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8) (CoreC-45TTC-45SubstEnv-substs (CoreC-45Coverage-n--12386-8642-u--mkSubstEnv arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 0 arg-7) arg-8)))
(define CoreC-45Coverage-n--8493-5068-u--clash (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (case (vector-ref arg-4 0) ((1) (let ((e-2 (vector-ref arg-4 2))) (case (vector-ref e-2 0) ((2) (let ((e-16 (vector-ref e-2 1))) (case (vector-ref arg-5 0) ((1) (let ((e-22 (vector-ref arg-5 2))) (case (vector-ref e-22 0) ((2) (let ((e-24 (vector-ref e-22 1))) (PreludeC-45EqOrd-u--C-47C-61_Eq_Int e-16 e-24)))(else (case (vector-ref arg-5 0) ((9) (DataC-45Maybe-isJust (CoreC-45TT-isCon e-2))) ((11) (DataC-45Maybe-isJust (CoreC-45TT-isCon e-2)))(else 0))))))(else (case (vector-ref arg-5 0) ((9) (DataC-45Maybe-isJust (CoreC-45TT-isCon e-2))) ((11) (DataC-45Maybe-isJust (CoreC-45TT-isCon e-2)))(else 0)))))) ((3) (let ((e-18 (vector-ref e-2 1))) (case (vector-ref arg-5 0) ((1) (let ((e-28 (vector-ref arg-5 2))) (case (vector-ref e-28 0) ((3) (let ((e-30 (vector-ref e-28 1))) (PreludeC-45EqOrd-u--C-47C-61_Eq_Int e-18 e-30)))(else (case (vector-ref arg-5 0) ((9) (DataC-45Maybe-isJust (CoreC-45TT-isCon e-2))) ((11) (DataC-45Maybe-isJust (CoreC-45TT-isCon e-2)))(else 0))))))(else (case (vector-ref arg-5 0) ((9) (DataC-45Maybe-isJust (CoreC-45TT-isCon e-2))) ((11) (DataC-45Maybe-isJust (CoreC-45TT-isCon e-2)))(else 0))))))(else (case (vector-ref arg-5 0) ((9) (DataC-45Maybe-isJust (CoreC-45TT-isCon e-2))) ((11) (DataC-45Maybe-isJust (CoreC-45TT-isCon e-2)))(else 0)))))) ((9) (let ((e-6 (vector-ref arg-4 2))) (case (vector-ref arg-5 0) ((9) (let ((e-34 (vector-ref arg-5 2))) (CoreC-45TT-u--C-47C-61_Eq_Constant e-6 e-34))) ((1) (let ((e-37 (vector-ref arg-5 2))) (DataC-45Maybe-isJust (CoreC-45TT-isCon e-37)))) ((11) 1)(else 0)))) ((11) (case (vector-ref arg-5 0) ((1) (let ((e-44 (vector-ref arg-5 2))) (DataC-45Maybe-isJust (CoreC-45TT-isCon e-44)))) ((9) 1)(else 0)))(else 0))))
(define CoreC-45Coverage-n--11270-7587-u--buildArgsAlt (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14) (if (null? arg-14) (lambda (eta-0) (vector 1 '())) (let ((e-2 (car arg-14))) (let ((e-3 (cdr arg-14))) (case (vector-ref e-2 0) ((0) (let ((e-6 (vector-ref e-2 2))) (let ((eff-0 (CoreC-45Coverage-n--11270-7586-u--buildArgAlt arg-0 arg-1 arg-2 arg-3 arg-4 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 e-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-9 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Coverage-n--11270-7587-u--buildArgsAlt arg-0 arg-1 arg-2 arg-3 arg-4 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 (CoreC-45Coverage-addNot arg-3 arg-0 e-6 arg-13) e-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-10 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (PreludeC-45TypesC-45List-tailRecAppend e-9 e-10))))) eff-2))))))))) eff-1)))))))))(else (let ((eff-0 (CoreC-45Coverage-n--11270-7586-u--buildArgAlt arg-0 arg-1 arg-2 arg-3 arg-4 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 e-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Coverage-n--11270-7587-u--buildArgsAlt arg-0 arg-1 arg-2 arg-3 arg-4 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 e-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (PreludeC-45TypesC-45List-tailRecAppend e-5 e-6))))) eff-2))))))))) eff-1))))))))))))))
(define CoreC-45Coverage-n--11270-7586-u--buildArgAlt (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14) (case (vector-ref arg-14 0) ((0) (let ((e-1 (vector-ref arg-14 1))) (let ((e-2 (vector-ref arg-14 2))) (let ((e-3 (vector-ref arg-14 3))) (let ((e-4 (vector-ref arg-14 4))) (let ((u--l (CoreC-45TTC-45SizeOf-mkSizeOf e-3))) (let ((u--con (vector 1 arg-11 (vector 2 e-2 (let ((eff-0 u--l)) eff-0)) e-1))) (let ((u--psC-39 (((csegen-25) (lambda (eta-0) (CoreC-45TT-substName arg-4 (CoreC-45TT-apply arg-11 u--con (((csegen-25) (lambda (eta-1) (vector 1 arg-11 (vector 0 ) eta-1))) e-3)) eta-0))) arg-7))) (CoreC-45Coverage-buildArgs arg-12 (PreludeC-45TypesC-45List-tailRecAppend e-3 arg-0) arg-11 arg-10 (CoreC-45Coverage-weakenNs u--l (cons (cons arg-3 e-2) arg-9)) (CoreC-45Coverage-weakenNs u--l arg-13) u--psC-39 e-4))))))))) ((1) (let ((e-6 (vector-ref arg-14 1))) (let ((e-7 (vector-ref arg-14 2))) (let ((e-8 (vector-ref arg-14 3))) (let ((u--l (CoreC-45TTC-45SizeOf-mkSizeOf (cons e-6 (cons e-7 '()))))) (let ((u--psC-39 (((csegen-25) (lambda (eta-0) (CoreC-45TT-substName arg-4 (vector 7 arg-11 2 (vector 1 arg-11 (vector 0 ) e-6) (vector 1 arg-11 (vector 0 ) e-7)) eta-0))) arg-7))) (CoreC-45Coverage-buildArgs arg-12 (cons e-6 (cons e-7 arg-0)) arg-11 arg-10 (CoreC-45Coverage-weakenNs u--l arg-9) (CoreC-45Coverage-weakenNs u--l arg-13) u--psC-39 e-8))))))) ((2) (let ((e-10 (vector-ref arg-14 1))) (let ((e-11 (vector-ref arg-14 2))) (let ((u--psC-39 (((csegen-25) (lambda (eta-0) (CoreC-45TT-substName arg-4 (vector 9 arg-11 e-10) eta-0))) arg-7))) (CoreC-45Coverage-buildArgs arg-12 arg-0 arg-11 arg-10 arg-9 arg-13 u--psC-39 e-11))))) (else (let ((e-13 (vector-ref arg-14 1))) (CoreC-45Coverage-buildArgs arg-12 arg-0 arg-11 arg-10 arg-9 arg-13 arg-7 e-13))))))
(define CoreC-45Coverage-weakenNs (lambda (arg-3 arg-4) (if (null? arg-4) '() (let ((e-2 (car arg-4))) (let ((e-3 (cdr arg-4))) (let ((e-6 (car e-2))) (let ((e-7 (cdr e-2))) (cons (cons (CoreC-45TT-u--weakenNs_Weaken_Var arg-3 e-6) e-7) (CoreC-45Coverage-weakenNs arg-3 e-3)))))))))
(define CoreC-45Coverage-tagIsNot (lambda (arg-1 arg-2) (case (vector-ref arg-2 0) ((0) (let ((e-2 (vector-ref arg-2 2))) (let ((sc1 (PreludeC-45Types-elem (csegen-16) (csegen-290) e-2 arg-1))) (cond ((equal? sc1 1) 0) (else 1))))) ((2) 1) ((1) 1) (else 0))))
(define CoreC-45Coverage-replaceDefaults (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (case (vector-ref arg-4 0) ((8) (lambda (eta-0) (vector 1 arg-5))) ((10) (lambda (eta-0) (vector 1 arg-5)))(else (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45Coverage-n--11143-7473-u--rep arg-1 arg-5 arg-4 arg-3 arg-2 arg-0 eta-0)) arg-5 '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (CoreC-45Coverage-n--11143-7474-u--dropRep arg-1 arg-5 arg-4 arg-3 arg-2 arg-0 (PreludeC-45Interfaces-concat (csegen-83) (csegen-16) e-5)))))) eff-1)))))))))))
(define CoreC-45Coverage-match (lambda (arg-1 arg-2) (case (vector-ref arg-1 0) ((0) 1) ((1) (let ((e-25 (vector-ref arg-1 2))) (let ((e-26 (vector-ref arg-1 3))) (case (vector-ref e-25 0) ((0) 1)(else (case (vector-ref arg-2 0) ((1) (let ((e-58 (vector-ref arg-2 3))) (CoreC-45Name-u--C-61C-61_Eq_Name e-26 e-58)))(else (case (vector-ref arg-2 0) ((10) (let ((e-14 (vector-ref arg-2 2))) (case (vector-ref e-14 0) ((2) (let ((e-16 (vector-ref e-14 1))) (CoreC-45Coverage-match arg-1 e-16)))(else (case (vector-ref arg-1 0) ((10) 1)(else (case (vector-ref arg-2 0) ((10) 1)(else (case (vector-ref arg-1 0) ((11) (case (vector-ref arg-2 0) ((11) 1)(else 0)))(else 0))))))))))(else (case (vector-ref arg-1 0) ((10) 1)(else (case (vector-ref arg-2 0) ((10) 1)(else (case (vector-ref arg-1 0) ((11) (case (vector-ref arg-2 0) ((11) 1)(else 0)))(else 0))))))))))))))) ((4) (let ((e-29 (vector-ref arg-1 2))) (let ((e-30 (vector-ref arg-1 3))) (case (vector-ref arg-2 0) ((4) (let ((e-61 (vector-ref arg-2 2))) (let ((e-62 (vector-ref arg-2 3))) (let ((sc2 (CoreC-45Coverage-match e-29 e-61))) (cond ((equal? sc2 1) (CoreC-45Coverage-match e-30 e-62)) (else 0))))))(else (case (vector-ref arg-2 0) ((10) (let ((e-14 (vector-ref arg-2 2))) (case (vector-ref e-14 0) ((2) (let ((e-16 (vector-ref e-14 1))) (CoreC-45Coverage-match arg-1 e-16)))(else (case (vector-ref arg-1 0) ((10) 1)(else (case (vector-ref arg-2 0) ((10) 1)(else (case (vector-ref arg-1 0) ((11) (case (vector-ref arg-2 0) ((11) 1)(else 0)))(else 0))))))))))(else (case (vector-ref arg-1 0) ((10) 1)(else (case (vector-ref arg-2 0) ((10) 1)(else (case (vector-ref arg-1 0) ((11) (case (vector-ref arg-2 0) ((11) 1)(else 0)))(else 0))))))))))))) ((5) (let ((e-35 (vector-ref arg-1 4))) (case (vector-ref arg-2 0) ((5) (let ((e-67 (vector-ref arg-2 4))) (CoreC-45Coverage-match e-35 e-67)))(else (CoreC-45Coverage-match e-35 arg-2))))) ((6) (let ((e-39 (vector-ref arg-1 3))) (case (vector-ref arg-2 0) ((6) (let ((e-71 (vector-ref arg-2 3))) (CoreC-45Coverage-match e-39 e-71)))(else (case (vector-ref arg-2 0) ((10) (let ((e-14 (vector-ref arg-2 2))) (case (vector-ref e-14 0) ((2) (let ((e-16 (vector-ref e-14 1))) (CoreC-45Coverage-match arg-1 e-16)))(else (case (vector-ref arg-1 0) ((10) 1)(else (case (vector-ref arg-2 0) ((10) 1)(else (case (vector-ref arg-1 0) ((11) (case (vector-ref arg-2 0) ((11) 1)(else 0)))(else 0))))))))))(else (case (vector-ref arg-1 0) ((10) 1)(else (case (vector-ref arg-2 0) ((10) 1)(else (case (vector-ref arg-1 0) ((11) (case (vector-ref arg-2 0) ((11) 1)(else 0)))(else 0)))))))))))) ((7) (let ((e-44 (vector-ref arg-1 4))) (case (vector-ref arg-2 0) ((7) (let ((e-76 (vector-ref arg-2 4))) (CoreC-45Coverage-match e-44 e-76)))(else (case (vector-ref arg-2 0) ((10) (let ((e-14 (vector-ref arg-2 2))) (case (vector-ref e-14 0) ((2) (let ((e-16 (vector-ref e-14 1))) (CoreC-45Coverage-match arg-1 e-16)))(else (case (vector-ref arg-1 0) ((10) 1)(else (case (vector-ref arg-2 0) ((10) 1)(else (case (vector-ref arg-1 0) ((11) (case (vector-ref arg-2 0) ((11) 1)(else 0)))(else 0))))))))))(else (case (vector-ref arg-1 0) ((10) 1)(else (case (vector-ref arg-2 0) ((10) 1)(else (case (vector-ref arg-1 0) ((11) (case (vector-ref arg-2 0) ((11) 1)(else 0)))(else 0)))))))))))) ((8) (let ((e-48 (vector-ref arg-1 3))) (case (vector-ref arg-2 0) ((8) (let ((e-80 (vector-ref arg-2 3))) (CoreC-45Coverage-match e-48 e-80)))(else (case (vector-ref arg-2 0) ((10) (let ((e-14 (vector-ref arg-2 2))) (case (vector-ref e-14 0) ((2) (let ((e-16 (vector-ref e-14 1))) (CoreC-45Coverage-match arg-1 e-16)))(else (case (vector-ref arg-1 0) ((10) 1)(else (case (vector-ref arg-2 0) ((10) 1)(else (case (vector-ref arg-1 0) ((11) (case (vector-ref arg-2 0) ((11) 1)(else 0)))(else 0))))))))))(else (case (vector-ref arg-1 0) ((10) 1)(else (case (vector-ref arg-2 0) ((10) 1)(else (case (vector-ref arg-1 0) ((11) (case (vector-ref arg-2 0) ((11) 1)(else 0)))(else 0)))))))))))) ((9) (let ((e-51 (vector-ref arg-1 2))) (case (vector-ref arg-2 0) ((9) (let ((e-83 (vector-ref arg-2 2))) (CoreC-45TT-u--C-61C-61_Eq_Constant e-51 e-83)))(else (case (vector-ref arg-2 0) ((10) (let ((e-14 (vector-ref arg-2 2))) (case (vector-ref e-14 0) ((2) (let ((e-16 (vector-ref e-14 1))) (CoreC-45Coverage-match arg-1 e-16)))(else (case (vector-ref arg-1 0) ((10) 1)(else (case (vector-ref arg-2 0) ((10) 1)(else (case (vector-ref arg-1 0) ((11) (case (vector-ref arg-2 0) ((11) 1)(else 0)))(else 0))))))))))(else (case (vector-ref arg-1 0) ((10) 1)(else (case (vector-ref arg-2 0) ((10) 1)(else (case (vector-ref arg-1 0) ((11) (case (vector-ref arg-2 0) ((11) 1)(else 0)))(else 0)))))))))))) ((10) (let ((e-54 (vector-ref arg-1 2))) (case (vector-ref e-54 0) ((2) (let ((e-85 (vector-ref e-54 1))) (CoreC-45Coverage-match e-85 arg-2)))(else (case (vector-ref arg-2 0) ((10) (let ((e-14 (vector-ref arg-2 2))) (case (vector-ref e-14 0) ((2) (let ((e-16 (vector-ref e-14 1))) (CoreC-45Coverage-match arg-1 e-16)))(else (case (vector-ref arg-1 0) ((10) 1)(else (case (vector-ref arg-2 0) ((10) 1)(else (case (vector-ref arg-1 0) ((11) (case (vector-ref arg-2 0) ((11) 1)(else 0)))(else 0))))))))))(else (case (vector-ref arg-1 0) ((10) 1)(else (case (vector-ref arg-2 0) ((10) 1)(else (case (vector-ref arg-1 0) ((11) (case (vector-ref arg-2 0) ((11) 1)(else 0)))(else 0))))))))))))(else (case (vector-ref arg-2 0) ((10) (let ((e-14 (vector-ref arg-2 2))) (case (vector-ref e-14 0) ((2) (let ((e-16 (vector-ref e-14 1))) (CoreC-45Coverage-match arg-1 e-16)))(else (case (vector-ref arg-1 0) ((10) 1)(else (case (vector-ref arg-2 0) ((10) 1)(else (case (vector-ref arg-1 0) ((11) (case (vector-ref arg-2 0) ((11) 1)(else 0)))(else 0))))))))))(else (case (vector-ref arg-1 0) ((10) 1)(else (case (vector-ref arg-2 0) ((10) 1)(else (case (vector-ref arg-1 0) ((11) (case (vector-ref arg-2 0) ((11) 1)(else 0)))(else 0))))))))))))
(define CoreC-45Coverage-isEmpty (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (case (vector-ref arg-4 0) ((3) (let ((e-1 (vector-ref arg-4 1))) (let ((e-2 (vector-ref arg-4 2))) (let ((e-3 (vector-ref arg-4 3))) (let ((e-4 (vector-ref arg-4 4))) (let ((e-5 (vector-ref arg-4 5))) (let ((eff-0 (CoreC-45Context-lookupDefExact e-2 (let ((e-0 (vector-ref arg-2 0))) e-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (if (null? e-6) (lambda (eta-0) (vector 1 0)) (let ((e-7 (unbox e-6))) (case (vector-ref e-7 0) ((6) (let ((e-11 (vector-ref e-7 5))) (let ((e-9 (vector-ref e-7 7))) (let ((sc4 (let ((e-15 (cdr e-11))) e-15))) (cond ((equal? sc4 1) (lambda (eta-0) (vector 1 0))) (else (CoreC-45Core-allM (lambda (eta-0) (CoreC-45Coverage-conflict arg-0 arg-1 arg-2 arg-3 (vector 3 e-1 e-2 e-3 e-4 e-5) eta-0)) e-9)))))))(else (lambda (eta-0) (vector 1 0)))))))) eff-1)))))))))))))(else (lambda (eta-0) (vector 1 0))))))
(define CoreC-45Coverage-getNonCoveringRefs (lambda (arg-0 arg-1 arg-2) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-lookupCtxtExact arg-2 (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-6) (CoreC-45Context-undefinedName arg-0 arg-1 arg-2) (let ((e-1 (unbox e-6))) (let ((u--ds (PreludeC-45TypesC-45List-mapMaybeAppend '() (lambda (eta-0) (CoreC-45Coverage-n--11693-7981-u--noAssert arg-2 arg-1 arg-0 eta-0)) (LibrariesC-45DataC-45NameMap-toList (CoreC-45ContextC-45Context-refersTo e-1))))) (let ((eff-2 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45Context-toFullNames arg-0 (csegen-81) eta-0)) u--ds '()))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((u--cases (PreludeC-45TypesC-45List-filterAppend '() (lambda (eta-0) (CoreC-45Coverage-n--11693-7980-u--isCase arg-2 arg-1 arg-0 eta-0)) e-7))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45Coverage-getNonCoveringRefs arg-0 arg-1 eta-0)) u--cases '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-filterM (lambda (eta-0) (CoreC-45Coverage-n--11693-7982-u--notCovering arg-2 arg-1 arg-0 e-5 eta-0)) u--ds))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (PreludeC-45TypesC-45List-tailRecAppend e-9 (PreludeC-45Interfaces-concat (csegen-83) (csegen-16) e-8)))))) eff-5))))))))) eff-4)))))))))) eff-3)))))))))))) eff-2))))))))) eff-1)))))))))
(define CoreC-45Coverage-getMissingAlts (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (case (vector-ref arg-4 0) ((8) (let ((e-2 (vector-ref arg-4 2))) (case (vector-ref e-2 0) ((13) (let ((e-6 (vector-ref e-2 1))) (cond ((equal? e-6 13) (lambda (clam-0) (let ((sc3 (DataC-45List-isNil arg-5))) (cond ((equal? sc3 1) (csegen-3312)) (else (vector 1 '()))))))(else (let ((eff-0 (CoreC-45ContextC-45Log-log arg-0 "coverage.missing" 50 (lambda () (string-append "Looking for missing alts at type " (CoreC-45TT-u--show_Show_Constant e-2)))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-1 (let ((sc3 (PreludeC-45Interfaces-any (csegen-16) (lambda (eta-0) (CoreC-45CaseC-45CaseTree-isDefault eta-0)) arg-5))) (cond ((equal? sc3 1) (let ((eff-1 (CoreC-45ContextC-45Log-log arg-0 "coverage.missing" 20 (lambda () "Found default")))) (PrimIO-io_bind eff-1 (csegen-1025)))) (else (csegen-3313)))))) eff-1))))))))))(else (let ((eff-0 (CoreC-45ContextC-45Log-log arg-0 "coverage.missing" 50 (lambda () (string-append "Looking for missing alts at type " (CoreC-45TT-u--show_Show_Constant e-2)))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-1 (let ((sc2 (PreludeC-45Interfaces-any (csegen-16) (lambda (eta-0) (CoreC-45CaseC-45CaseTree-isDefault eta-0)) arg-5))) (cond ((equal? sc2 1) (let ((eff-1 (CoreC-45ContextC-45Log-log arg-0 "coverage.missing" 20 (lambda () "Found default")))) (PrimIO-io_bind eff-1 (csegen-1025)))) (else (csegen-3313)))))) eff-1)))))))))) ((10) (let ((eff-0 (CoreC-45ContextC-45Log-log arg-0 "coverage.missing" 50 (lambda () "Looking for missing alts at type Type")))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((sc2 (PreludeC-45Interfaces-any (csegen-16) (lambda (eta-0) (CoreC-45CaseC-45CaseTree-isDefault eta-0)) arg-5))) (cond ((equal? sc2 1) (let ((eff-1 (CoreC-45ContextC-45Log-log arg-0 "coverage.missing" 20 (lambda () "Found default")))) (PrimIO-io_bind eff-1 (csegen-1025)))) (else (csegen-3313)))))) eff-1)))))))(else (let ((eff-0 (CoreC-45ContextC-45Log-log arg-0 "coverage.missing" 50 (lambda () (string-append "Getting constructors for: " (CoreC-45Value-u--show_Show_C-40NFC-32C-36freeC-41 arg-1 arg-4)))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45Normalise-logNF arg-1 arg-0 "coverage.missing" 20 (lambda () "Getting constructors for") (CoreC-45Env-mkEnv arg-2 arg-1) arg-4))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45CaseC-45Util-getCons arg-0 arg-1 arg-3 arg-4))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (PreludeC-45TypesC-45List-filterAppend '() (lambda (eta-1) (CoreC-45Coverage-n--10332-6938-u--noneOf arg-1 arg-5 arg-4 arg-3 arg-2 arg-0 arg-5 eta-1)) (((csegen-25) (lambda (eta-1) (CoreC-45CaseC-45Util-mkAlt arg-1 arg-2 (vector 2 "Coverage check") eta-1))) e-7)))))) eff-3))))))))) eff-2)))))))) eff-1))))))))))
(define CoreC-45Coverage-getMissing (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--psIn (((csegen-25) (lambda (eta-0) (vector 1 arg-2 (vector 0 ) eta-0))) arg-0))) (let ((eff-1 (CoreC-45Coverage-buildArgs arg-1 arg-0 arg-2 e-5 '() '() u--psIn arg-4))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((u--pats (PreludeC-45Interfaces-concat (csegen-83) (csegen-16) e-6))) (let ((eff-2 (let ((sc2 (PreludeC-45Types-u--null_Foldable_List u--pats))) (cond ((equal? sc2 1) (lambda (eta-0) (vector 1 (vector 0 )))) (else (CoreC-45ContextC-45Log-unverifiedLogC arg-1 "coverage.missing" 20 (let ((eff-2 (PreludeC-45Basics-flip (csegen-1569) u--pats (lambda (u--pat) (let ((eff-2 (CoreC-45Context-toFullNames arg-1 (csegen-105) u--pat))) (((csegen-50) ((let ((eff-3 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-7 (vector-ref eta-3 1))) (vector 1 (eta-2 e-7))))))))))) (lambda (arg-5) (lambda (arg-6) ((((eff-3 'erased) 'erased) arg-5) arg-6)))) (csegen-1272))) eff-2)))))) (((csegen-50) ((let ((eff-3 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-7 (vector-ref eta-3 1))) (vector 1 (eta-2 e-7))))))))))) (lambda (arg-5) (lambda (arg-6) ((((eff-3 'erased) 'erased) arg-5) arg-6)))) (lambda (eta-0) (LibrariesC-45DataC-45StringC-45Extra-join "\xa;" (csegen-16) eta-0)))) eff-2)))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (lambda (eta-0) (vector 1 (((csegen-25) (lambda (eta-1) (CoreC-45TT-apply arg-2 (vector 1 arg-2 (vector 1 ) arg-3) eta-1))) e-6))))) eff-3))))))))) eff-2)))))))))) eff-1)))))))))
(define CoreC-45Coverage-findTag (lambda (arg-2 arg-3 arg-5) (if (null? arg-5) '() (let ((e-2 (car arg-5))) (let ((e-3 (cdr arg-5))) (let ((e-6 (car e-2))) (let ((e-7 (cdr e-2))) (let ((sc2 (CoreC-45TT-sameVar arg-2 e-6))) (cond ((equal? sc2 1) (box e-7)) (else (CoreC-45Coverage-findTag arg-2 arg-3 e-3)))))))))))
(define CoreC-45Coverage-eraseApps (lambda (arg-1 arg-2) (CoreC-45Coverage-case--eraseApps-8506 arg-2 arg-1 (CoreC-45TT-getFnArgs arg-2))))
(define CoreC-45Coverage-conflictMatch (lambda (arg-0 arg-1) (if (null? arg-1) 0 (let ((e-2 (car arg-1))) (let ((e-3 (cdr arg-1))) (let ((e-6 (car e-2))) (let ((e-7 (cdr e-2))) (let ((sc2 (CoreC-45Coverage-n--8493-5071-u--conflictArgs arg-0 e-6 e-7 e-3 e-6 e-7 e-3))) (cond ((equal? sc2 1) 1) (else (CoreC-45Coverage-conflictMatch arg-0 e-3)))))))))))
(define CoreC-45Coverage-conflict (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (let ((eff-0 (CoreC-45Context-lookupCtxtExact arg-5 (let ((e-0 (vector-ref arg-2 0))) e-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (if (null? e-5) (lambda (eta-0) (vector 1 0)) (let ((e-1 (unbox e-5))) (let ((_-0 (box e-1))) (CoreC-45Coverage-case--caseC-32blockC-32inC-32conflict-6220 arg-0 arg-5 arg-4 arg-3 arg-2 arg-1 e-1 _-0 (cons (let ((e-17 (vector-ref e-1 17))) e-17) (let ((e-2 (vector-ref e-1 2))) e-2)))))))) eff-1)))))))))
(define CoreC-45Coverage-clauseMatches (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (let ((eff-0 (CoreC-45Coverage-eraseApps arg-1 (CoreC-45Coverage-n--12386-8643-u--close arg-0 arg-4 arg-3 arg-2 arg-1 arg-0 (CoreC-45TT-getLoc arg-3) arg-2 arg-3)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--lhs e-5)) (let ((eff-1 (CoreC-45Context-toResolvedNames arg-1 (csegen-105) u--lhs))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toResolvedNames arg-1 (csegen-105) arg-4))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (CoreC-45Coverage-match e-6 e-7))))) eff-3))))))))) eff-2)))))))))) eff-1)))))))))
(define CoreC-45Coverage-checkMatched (lambda (arg-0 arg-1 arg-2) (let ((eff-0 (CoreC-45ContextC-45Log-logTerm '() arg-0 "coverage" 5 (lambda () "Checking coverage for") arg-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-105) arg-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45ContextC-45Log-unverifiedLogC arg-0 "coverage" 10 (lambda (eta-0) (vector 1 (string-append "(raw term: " (string-append (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-6) ")"))))))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45Coverage-eraseApps arg-0 arg-2))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45ContextC-45Log-logTerm '() arg-0 "coverage" 5 (lambda () "Erased to") e-7))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-4 (let ((eff-4 (CoreC-45ContextC-45Log-unverifiedLogC arg-0 "coverage" 5 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45Context-toFullNames arg-0 (csegen-3317) eta-0)) arg-1 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (string-append "Against clauses:\xa;" (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--show_Show_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-indent 2 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vcat (((csegen-25) (lambda (eta-1) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--pretty_Pretty_Void_String (CoreC-45ContextC-45Context-u--show_Show_Clause eta-1)))) e-9))))))))) eff-5)))))))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-5 (CoreC-45Coverage-n--12522-8769-u--tryClauses arg-2 arg-1 arg-0 arg-1 e-7))) eff-5)))))))) eff-4)))))))) eff-3))))))))) eff-2)))))))) eff-1))))))))
(define CoreC-45Coverage-buildArgs (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (case (vector-ref arg-7 0) ((0) (let ((e-1 (vector-ref arg-7 1))) (let ((e-2 (vector-ref arg-7 2))) (let ((e-4 (vector-ref arg-7 3))) (let ((e-5 (vector-ref arg-7 4))) (let ((u--fenv (CoreC-45Env-mkEnv arg-2 arg-1))) (let ((eff-0 (CoreC-45NormaliseC-45Eval-nf arg-0 arg-1 arg-3 u--fenv e-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Coverage-replaceDefaults arg-0 arg-1 arg-2 arg-3 e-6 e-5))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-3 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Coverage-getMissingAlts arg-0 arg-1 arg-2 arg-3 e-6 e-7))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-3 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (let ((u--altsC-39 (PreludeC-45TypesC-45List-tailRecAppend e-7 e-8))) (let ((u--altsK (PreludeC-45Types-maybe (lambda () u--altsC-39) (lambda () (lambda (u--t) (PreludeC-45TypesC-45List-filterAppend '() (lambda (eta-0) (CoreC-45CaseC-45Util-tagIs u--t eta-0)) u--altsC-39))) (CoreC-45Coverage-findTag e-2 arg-1 arg-4)))) (let ((u--altsN (PreludeC-45Types-maybe (lambda () u--altsK) (lambda () (lambda (u--ts) (PreludeC-45TypesC-45List-filterAppend '() (lambda (eta-0) (CoreC-45Coverage-tagIsNot u--ts eta-0)) u--altsK))) (CoreC-45Coverage-findTag e-2 arg-1 arg-5)))) (CoreC-45Coverage-n--11270-7587-u--buildArgsAlt arg-1 e-5 e-4 e-2 e-1 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-0 arg-5 u--altsN)))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))))) ((1) (lambda (eta-0) (vector 1 '()))) ((2) (lambda (eta-0) (vector 1 (cons arg-6 '())))) (else (lambda (eta-0) (vector 1 '()))))))
(define CoreC-45Coverage-altMatch (lambda (arg-1 arg-2) (case (vector-ref arg-2 0) ((3) 1)(else (case (vector-ref arg-1 0) ((1) (case (vector-ref arg-2 0) ((1) 1)(else 0))) ((0) (let ((e-6 (vector-ref arg-1 2))) (case (vector-ref arg-2 0) ((0) (let ((e-18 (vector-ref arg-2 2))) (PreludeC-45EqOrd-u--C-61C-61_Eq_Int e-6 e-18)))(else 0)))) ((2) (let ((e-10 (vector-ref arg-1 1))) (case (vector-ref arg-2 0) ((2) (let ((e-22 (vector-ref arg-2 1))) (CoreC-45TT-u--C-61C-61_Eq_Constant e-10 e-22)))(else 0))))(else 0))))))
(define CoreC-45Coverage-addNot (lambda (arg-1 arg-2 arg-4 arg-5) (if (null? arg-5) (cons (cons arg-1 (cons arg-4 '())) '()) (let ((e-2 (car arg-5))) (let ((e-3 (cdr arg-5))) (let ((e-6 (car e-2))) (let ((e-7 (cdr e-2))) (let ((sc2 (CoreC-45TT-sameVar arg-1 e-6))) (cond ((equal? sc2 1) (cons (cons e-6 (cons arg-4 e-7)) e-3)) (else (cons (cons e-6 e-7) (CoreC-45Coverage-addNot arg-1 arg-2 arg-4 e-3))))))))))))
(define CoreC-45CaseC-45Util-n--6598-6739-u--emptyRHSalt (lambda (arg-1 arg-2 arg-3 arg-4 arg-6 arg-7) (case (vector-ref arg-7 0) ((0) (let ((e-1 (vector-ref arg-7 1))) (let ((e-2 (vector-ref arg-7 2))) (let ((e-3 (vector-ref arg-7 3))) (let ((e-4 (vector-ref arg-7 4))) (vector 0 e-1 e-2 e-3 (CoreC-45CaseC-45Util-emptyRHS arg-6 e-4))))))) ((1) (let ((e-6 (vector-ref arg-7 1))) (let ((e-7 (vector-ref arg-7 2))) (let ((e-8 (vector-ref arg-7 3))) (vector 1 e-6 e-7 (CoreC-45CaseC-45Util-emptyRHS arg-6 e-8)))))) ((2) (let ((e-10 (vector-ref arg-7 1))) (let ((e-11 (vector-ref arg-7 2))) (vector 2 e-10 (CoreC-45CaseC-45Util-emptyRHS arg-6 e-11))))) (else (let ((e-13 (vector-ref arg-7 1))) (vector 3 (CoreC-45CaseC-45Util-emptyRHS arg-6 e-13)))))))
(define CoreC-45CaseC-45Util-n--6310-6499-u--addTy (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8) (let ((eff-0 (CoreC-45Context-lookupCtxtExact arg-8 (let ((e-0 (vector-ref arg-6 0))) e-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (if (null? e-5) (lambda (eta-0) (vector 1 '())) (let ((e-1 (unbox e-5))) (lambda (clam-0) (let ((e-17 (vector-ref e-1 17))) (case (vector-ref e-17 0) ((5) (let ((e-26 (vector-ref e-17 1))) (let ((e-25 (vector-ref e-17 2))) (vector 1 (box (vector arg-8 e-26 e-25))))))(else (vector 1 '()))))))))) eff-1)))))))))
(define CoreC-45CaseC-45Util-tagIs (lambda (arg-1 arg-2) (case (vector-ref arg-2 0) ((0) (let ((e-2 (vector-ref arg-2 2))) (PreludeC-45EqOrd-u--C-61C-61_Eq_Int arg-1 e-2))) ((2) 0) ((1) 0) (else 1))))
(define CoreC-45CaseC-45Util-mkAlt (lambda (arg-0 arg-1 arg-2 arg-3) (let ((e-0 (vector-ref arg-3 0))) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (vector 0 e-0 e-1 (((csegen-25) (lambda (eta-0) (vector 2 "m" eta-0))) (PreludeC-45Types-take e-2 (PreludeC-45Types-u--rangeFrom_Range_C-36a (csegen-302) (blodwen-toSignedInt 0 63)))) (CoreC-45CaseC-45CaseTree-u--weakenNs_Weaken_CaseTree (CoreC-45TTC-45SizeOf-map e-2) (CoreC-45CaseC-45Util-emptyRHS arg-1 arg-2))))))))
(define CoreC-45CaseC-45Util-getCons (lambda (arg-0 arg-1 arg-2 arg-3) (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-3 (vector-ref arg-3 3))) (let ((e-4 (vector-ref arg-3 4))) (let ((e-5 (vector-ref arg-3 5))) (let ((eff-0 (CoreC-45Context-lookupDefExact e-2 (let ((e-0 (vector-ref arg-2 0))) e-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (if (null? e-6) (csegen-3324) (let ((e-7 (unbox e-6))) (case (vector-ref e-7 0) ((6) (let ((e-8 (vector-ref e-7 7))) (let ((eff-1 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45CaseC-45Util-n--6310-6499-u--addTy arg-1 e-1 e-3 e-4 e-5 e-2 arg-2 arg-0 eta-0)) e-8 '()))) (PrimIO-io_bind eff-1 (csegen-3323)))))(else (csegen-3324))))))) eff-1)))))))))))))(else (lambda (eta-0) (vector 1 '()))))))
(define CoreC-45CaseC-45Util-emptyRHS (lambda (arg-1 arg-2) (case (vector-ref arg-2 0) ((0) (let ((e-1 (vector-ref arg-2 1))) (let ((e-2 (vector-ref arg-2 2))) (let ((e-4 (vector-ref arg-2 3))) (let ((e-5 (vector-ref arg-2 4))) (vector 0 e-1 e-2 e-4 (((csegen-25) (lambda (eta-0) (CoreC-45CaseC-45Util-n--6598-6739-u--emptyRHSalt e-1 e-5 e-4 e-2 arg-1 eta-0))) e-5))))))) ((1) (let ((e-7 (vector-ref arg-2 1))) (vector 1 e-7 (vector 10 arg-1 (vector 0 )))))(else arg-2))))
(define TTImpC-45ElabC-45Hole-mkPrecise (lambda (arg-1 arg-2) (case (vector-ref arg-2 0) ((1) (let ((e-2 (vector-ref arg-2 2))) (case (vector-ref e-2 0) ((2) (let ((e-6 (vector-ref e-2 2))) (CoreC-45Context-updateDef arg-1 (vector 8 e-6) (lambda (lcase-0) (case (vector-ref lcase-0 0) ((7) (let ((e-0 (vector-ref lcase-0 1))) (let ((e-4 (vector-ref lcase-0 2))) (box (vector 7 e-0 (let ((e-9 (car e-4))) (cons e-9 1)))))))(else '()))))))(else (lambda (eta-0) (vector 1 (vector 0 )))))))(else (lambda (eta-0) (vector 1 (vector 0 )))))))
(define TTImpC-45ElabC-45Hole-checkHole (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11) (if (null? arg-11) (let ((eff-0 (CoreC-45UnifyState-genName arg-1 arg-3 (string-append "type_of_" (CoreC-45Name-u--show_Show_UserName arg-10))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--envC-39 (CoreC-45Env-letToLam arg-8))) (let ((eff-1 (TTImpC-45ElabC-45Check-uniVar arg-1 arg-3 arg-9))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45ElabC-45Check-metaVar arg-0 arg-1 arg-3 arg-9 (csegen-54) u--envC-39 e-5 (vector 11 arg-9 e-6)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45Context-inCurrentNS arg-1 (vector 1 arg-10)))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (let ((eff-4 arg-1)) (PrimIO-io_bind (let ((eff-5 eff-4)) (lambda (eta-0) (unbox eff-5))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (let ((eff-5 (let ((eff-5 (CoreC-45NormaliseC-45Eval-nf arg-1 arg-0 e-9 u--envC-39 e-7))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-10 (vector-ref lcase-5 1))) (let ((eff-6 (TTImpC-45ElabC-45Hole-mkPrecise arg-1 e-10))) eff-6))))))))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-6 (let ((eff-6 (CoreC-45Context-lookupCtxtExact e-8 (let ((e-0 (vector-ref e-9 0))) e-0)))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-2 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-11 (vector-ref lcase-6 1))) (let ((eff-7 (if (null? e-11) (let ((eff-7 (TTImpC-45ElabC-45Check-metaVarI arg-0 arg-1 arg-3 arg-9 arg-5 u--envC-39 e-8 e-7))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-2 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-12 (vector-ref lcase-7 1))) (let ((eff-8 (let ((e-2 (car e-12))) (let ((e-3 (cdr e-12))) (let ((eff-8 (CoreC-45Metadata-withCurrentLHS arg-1 arg-2 (vector 8 e-2)))) (PrimIO-io_bind eff-8 (lambda (lcase-8) (case (vector-ref lcase-8 0) ((0) (let ((e-4 (vector-ref lcase-8 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-9 (let ((eff-9 (CoreC-45Metadata-addNameLoc arg-2 arg-1 arg-9 e-8))) (PrimIO-io_bind eff-9 (lambda (lcase-9) (case (vector-ref lcase-9 0) ((0) (let ((e-4 (vector-ref lcase-9 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-10 (let ((eff-10 (CoreC-45Context-addUserHole arg-1 0 e-8))) (PrimIO-io_bind eff-10 (lambda (lcase-10) (case (vector-ref lcase-10 0) ((0) (let ((e-4 (vector-ref lcase-10 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-11 (let ((eff-11 (TTImpC-45ElabC-45Check-saveHole arg-4 e-8))) (PrimIO-io_bind eff-11 (lambda (lcase-11) (case (vector-ref lcase-11 0) ((0) (let ((e-4 (vector-ref lcase-11 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-12 (lambda (eta-0) (vector 1 (cons e-3 (CoreC-45NormaliseC-45Eval-gnf arg-0 arg-8 e-7)))))) eff-12)))))))) eff-11)))))))) eff-10)))))))) eff-9)))))))))) eff-8))))))) (let ((eff-7 (CoreC-45ContextC-45Log-log arg-1 "elab.hole" 1 (lambda () (string-append (CoreC-45Name-u--show_Show_Name e-8) " already defined"))))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-2 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-8 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 39 arg-9 e-8) eta-0)))) eff-8))))))))) eff-7))))))))) eff-6)))))))) eff-5))))))))) eff-4))))))))) eff-3))))))))) eff-2)))))))))) eff-1))))))) (let ((e-1 (unbox arg-11))) (let ((eff-0 (CoreC-45Context-inCurrentNS arg-1 (vector 1 arg-10)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 arg-1)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (unbox eff-2))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-lookupCtxtExact e-5 (let ((e-0 (vector-ref e-6 0))) e-0)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (if (null? e-7) (let ((eff-3 (CoreC-45NormaliseC-45Eval-getTerm e-1))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((u--envC-39 (CoreC-45Env-letToLam arg-8))) (let ((eff-4 (TTImpC-45ElabC-45Check-metaVarI arg-0 arg-1 arg-3 arg-9 arg-5 u--envC-39 e-5 e-8))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (let ((e-2 (car e-9))) (let ((e-3 (cdr e-9))) (let ((eff-5 (let ((eff-5 (CoreC-45NormaliseC-45Eval-getNF arg-1 e-1))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-4 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-10 (vector-ref lcase-5 1))) (let ((eff-6 (TTImpC-45ElabC-45Hole-mkPrecise arg-1 e-10))) eff-6))))))))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-4 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-6 (let ((eff-6 (CoreC-45Metadata-withCurrentLHS arg-1 arg-2 (vector 8 e-2)))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-4 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-7 (let ((eff-7 (CoreC-45Metadata-addNameLoc arg-2 arg-1 arg-9 e-5))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-4 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-8 (let ((eff-8 (CoreC-45Context-addUserHole arg-1 0 e-5))) (PrimIO-io_bind eff-8 (lambda (lcase-8) (case (vector-ref lcase-8 0) ((0) (let ((e-4 (vector-ref lcase-8 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-9 (let ((eff-9 (TTImpC-45ElabC-45Check-saveHole arg-4 e-5))) (PrimIO-io_bind eff-9 (lambda (lcase-9) (case (vector-ref lcase-9 0) ((0) (let ((e-4 (vector-ref lcase-9 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-10 (lambda (eta-0) (vector 1 (cons e-3 e-1))))) eff-10)))))))) eff-9)))))))) eff-8)))))))) eff-7)))))))) eff-6)))))))))) eff-5)))))))))) eff-4))))))) (let ((eff-3 (CoreC-45ContextC-45Log-log arg-1 "elab.hole" 1 (lambda () (string-append (CoreC-45Name-u--show_Show_Name e-5) " already defined"))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-4 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 39 arg-9 e-5) eta-0)))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))
(define TTImpC-45ElabC-45Dot-case--checkDot-11771 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15) (case (vector-ref arg-15 0) ((1) (let ((eff-0 (TTImpC-45ElabC-45Check-check arg-0 arg-14 arg-13 arg-12 arg-11 arg-10 arg-9 arg-8 (let ((e-1 (vector-ref arg-7 1))) (let ((e-2 (vector-ref arg-7 2))) (let ((e-3 (vector-ref arg-7 3))) (let ((e-4 (vector-ref arg-7 4))) (let ((e-5 (vector-ref arg-7 5))) (vector (vector 2 ) e-1 e-2 e-3 e-4 e-5)))))) arg-6 arg-5 arg-2 (box arg-1)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((e-2 (car e-5))) (TTImpC-45ElabC-45Dot-registerDot arg-0 arg-14 arg-13 arg-12 arg-11 arg-8 arg-5 arg-4 arg-3 e-2 arg-1)))) eff-1))))))))(else (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 arg-4 (string-append "Dot pattern not valid here (Not LHS) " (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 (csegen-100) arg-2))) eta-0))))))
(define TTImpC-45ElabC-45Dot-registerDot (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10) (let ((eff-0 (CoreC-45UnifyState-genName arg-1 arg-3 "dotTm"))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-getTerm arg-10))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45ElabC-45Check-metaVar arg-0 arg-1 arg-3 arg-7 arg-5 arg-6 e-5 e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45UnifyState-addDot arg-0 arg-1 arg-3 arg-7 arg-6 e-5 arg-9 arg-8 e-7))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-4 (let ((u--tm (cond ((equal? arg-8 4) (vector 10 arg-7 (vector 2 e-7)))(else e-7)))) (lambda (eta-0) (vector 1 (cons u--tm arg-10)))))) eff-4)))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))
(define TTImpC-45ElabC-45Dot-checkDot (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14) (if (null? arg-14) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 arg-11 (string-append "Dot pattern not valid here (unknown type) " (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 (csegen-100) arg-13))) eta-0)) (let ((e-2 (unbox arg-14))) (TTImpC-45ElabC-45Dot-case--checkDot-11771 arg-0 e-2 arg-13 arg-12 arg-11 arg-10 arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 (let ((e-0 (vector-ref arg-8 0))) e-0))))))
(define TTImpC-45ElabC-45Case-case--checkCaseC-44guessScrType-16425 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20) (case (vector-ref arg-20 0) ((0) (let ((e-2 (vector-ref arg-20 2))) (let ((eff-0 (let ((eff-0 arg-15)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-lookupTyName e-2 (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-3 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-6) (TTImpC-45ElabC-45Case-n--15491-16112-u--guessScrType arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-19) (let ((e-4 (car e-6))) (let ((e-3 (cdr e-6))) (if (null? e-4) (TTImpC-45ElabC-45Case-n--15491-16112-u--guessScrType arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-19) (let ((e-7 (cdr e-4))) (if (null? e-7) (TTImpC-45ElabC-45Case-n--15491-16112-u--guessScrType arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-19) (let ((e-10 (cdr e-7))) (if (null? e-3) (let ((eff-2 (let ((eff-2 (CoreC-45NormaliseC-45Eval-nf arg-15 '() e-5 '() e-10))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-11 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-2 1))) (let ((eff-3 (TTImpC-45ElabC-45Case-n--15491-16111-u--getRetTy arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 e-5 e-11))) eff-3))))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-11 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-2 1))) (let ((eff-3 (if (null? e-11) (TTImpC-45ElabC-45Case-n--15491-16112-u--guessScrType arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-19) (let ((e-12 (unbox e-11))) (if (null? e-12) (TTImpC-45ElabC-45Case-n--15491-16112-u--guessScrType arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-19) (let ((e-14 (car e-12))) (let ((e-13 (cdr e-12))) (TTImpC-45ElabC-45Case-n--15491-16110-u--applyTo arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 e-5 (vector 0 arg-5 e-14) e-13)))))))) eff-3))))))) (TTImpC-45ElabC-45Case-n--15491-16112-u--guessScrType arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-19))))))))))) eff-2))))))))) eff-1)))))))))(else (TTImpC-45ElabC-45Case-n--15491-16112-u--guessScrType arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-19)))))
(define TTImpC-45ElabC-45Case-n--12400-13544-u--usedIn (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18) (case (vector-ref arg-18 0) ((17) (let ((e-2 (vector-ref arg-18 2))) (cons (vector 1 (vector 0 e-2)) '()))) ((8) (let ((e-5 (vector-ref arg-18 2))) (let ((e-6 (vector-ref arg-18 3))) (PreludeC-45TypesC-45List-tailRecAppend (TTImpC-45ElabC-45Case-n--12400-13544-u--usedIn arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 e-5) (TTImpC-45ElabC-45Case-n--12400-13544-u--usedIn arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 e-6))))) ((18) (let ((e-11 (vector-ref arg-18 4))) (let ((e-12 (vector-ref arg-18 5))) (cons e-11 (TTImpC-45ElabC-45Case-n--12400-13544-u--usedIn arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 e-12))))) ((13) (let ((e-16 (vector-ref arg-18 3))) (PreludeC-45Interfaces-concatMap (csegen-83) (csegen-16) (lambda (eta-0) (TTImpC-45ElabC-45Case-n--12400-13544-u--usedIn arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 eta-0)) e-16)))(else '()))))
(define TTImpC-45ElabC-45Case-n--12400-13547-u--updateClause (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20 arg-21 arg-22) (case (vector-ref arg-22 0) ((0) (let ((e-1 (vector-ref arg-22 1))) (let ((e-2 (vector-ref arg-22 2))) (let ((e-3 (vector-ref arg-22 3))) (let ((sc1 (TTImpC-45ElabC-45Case-n--12400-13541-u--addEnv arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-0 0 arg-21 (TTImpC-45ElabC-45Case-n--12400-13544-u--usedIn arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 e-2)))) (let ((e-5 (car sc1))) (let ((e-4 (cdr sc1))) (let ((u--argsC-39 (TTImpC-45ElabC-45Case-n--12400-13543-u--mkSplit arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-19 e-2 e-4))) (let ((u--lhsC-39 (TTImpC-45TTImp-apply (vector 0 e-1 arg-18) u--argsC-39))) (vector 0 e-1 (TTImpC-45ElabC-45Case-n--12400-13546-u--applyNested arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-20 u--lhsC-39) (TTImpC-45ElabC-45Case-bindCaseLocals e-1 ((csegen-3326) (let ((eff-0 arg-20)) eff-0)) e-5 e-3))))))))))) ((1) (let ((e-5 (vector-ref arg-22 1))) (let ((e-6 (vector-ref arg-22 2))) (let ((e-7 (vector-ref arg-22 3))) (let ((e-8 (vector-ref arg-22 4))) (let ((e-9 (vector-ref arg-22 5))) (let ((e-10 (vector-ref arg-22 6))) (let ((e-11 (vector-ref arg-22 7))) (let ((sc1 (TTImpC-45ElabC-45Case-n--12400-13541-u--addEnv arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-0 0 arg-21 (TTImpC-45ElabC-45Case-n--12400-13544-u--usedIn arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 e-6)))) (let ((e-3 (cdr sc1))) (let ((u--argsC-39 (TTImpC-45ElabC-45Case-n--12400-13543-u--mkSplit arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-19 e-6 e-3))) (let ((u--lhsC-39 (TTImpC-45TTImp-apply (vector 0 e-5 arg-18) u--argsC-39))) (vector 1 e-5 (TTImpC-45ElabC-45Case-n--12400-13546-u--applyNested arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-20 u--lhsC-39) e-7 e-8 e-9 e-10 e-11))))))))))))) (else (let ((e-13 (vector-ref arg-22 1))) (let ((e-14 (vector-ref arg-22 2))) (let ((sc1 (TTImpC-45ElabC-45Case-n--12400-13541-u--addEnv arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-0 0 arg-21 (TTImpC-45ElabC-45Case-n--12400-13544-u--usedIn arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 e-14)))) (let ((e-3 (cdr sc1))) (let ((u--argsC-39 (TTImpC-45ElabC-45Case-n--12400-13543-u--mkSplit arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-19 e-14 e-3))) (let ((u--lhsC-39 (TTImpC-45TTImp-apply (vector 0 e-13 arg-18) u--argsC-39))) (vector 2 e-13 (TTImpC-45ElabC-45Case-n--12400-13546-u--applyNested arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-20 u--lhsC-39))))))))))))
(define TTImpC-45ElabC-45Case-n--12400-13542-u--replace (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20) (cond ((equal? arg-18 0) (if (null? arg-20) arg-20 (let ((e-2 (car arg-20))) (let ((e-3 (cdr arg-20))) (let ((u--lhsC-39 (case (vector-ref e-2 0) ((18) (let ((e-1 (vector-ref e-2 1))) (let ((e-7 (vector-ref e-2 2))) (let ((e-6 (vector-ref e-2 3))) (let ((e-4 (vector-ref e-2 4))) (vector 18 e-1 e-7 e-6 e-4 arg-19))))))(else arg-19)))) (cons u--lhsC-39 e-3))))))(else (let ((e-0 (- arg-18 1))) (if (null? arg-20) arg-20 (let ((e-5 (car arg-20))) (let ((e-6 (cdr arg-20))) (cons e-5 (TTImpC-45ElabC-45Case-n--12400-13542-u--replace arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 e-0 arg-19 e-6))))))))))
(define TTImpC-45ElabC-45Case-n--12400-13545-u--nestLHS (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-19 arg-20) (let ((e-2 (car arg-20))) (let ((e-3 (cdr arg-20))) (let ((e-6 (car e-3))) (let ((e-7 (cdr e-3))) (let ((e-10 (car e-7))) (cons e-2 (TTImpC-45TTImp-apply (vector 0 arg-19 (DataC-45Maybe-fromMaybe (lambda () e-2) e-6)) (((csegen-25) (lambda (eta-0) (vector 32 arg-19 0))) e-10))))))))))
(define TTImpC-45ElabC-45Case-n--12400-13543-u--mkSplit (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-19 arg-20 arg-21) (if (null? arg-19) (PreludeC-45TypesC-45List-reverse (cons arg-20 arg-21)) (let ((e-2 (unbox arg-19))) (let ((eff-0 e-2)) (PreludeC-45TypesC-45List-reverse (TTImpC-45ElabC-45Case-n--12400-13542-u--replace arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 eff-0 arg-20 arg-21)))))))
(define TTImpC-45ElabC-45Case-n--15491-16112-u--guessScrType (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16) (if (null? arg-16) (lambda (eta-0) (vector 1 (vector 32 arg-5 0))) (let ((e-2 (car arg-16))) (let ((e-3 (cdr arg-16))) (case (vector-ref e-2 0) ((0) (let ((e-5 (vector-ref e-2 1))) (let ((e-6 (vector-ref e-2 2))) (let ((e-7 (vector-ref e-2 3))) (TTImpC-45ElabC-45Case-case--checkCaseC-44guessScrType-16425 arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 e-5 e-7 e-6 e-3 (TTImpC-45TTImp-getFn e-6))))))(else (TTImpC-45ElabC-45Case-n--15491-16112-u--guessScrType arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 e-3))))))))
(define TTImpC-45ElabC-45Case-n--15491-16111-u--getRetTy (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17) (case (vector-ref arg-17 0) ((0) (let ((e-1 (vector-ref arg-17 1))) (let ((e-3 (vector-ref arg-17 3))) (let ((e-4 (vector-ref arg-17 4))) (case (vector-ref e-3 0) ((2) (let ((eff-0 ((e-4 arg-16) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 e-1 (vector 0 )))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45ElabC-45Case-n--15491-16111-u--getRetTy arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 e-5))) eff-1))))))))(else (lambda (eta-0) (vector 1 '())))))))) ((3) (let ((e-7 (vector-ref arg-17 2))) (let ((eff-0 (CoreC-45Context-lookupTyExact e-7 (let ((e-0 (vector-ref arg-16 0))) e-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (if (null? e-5) (lambda (eta-0) (vector 1 '())) (let ((e-1 (unbox e-5))) (let ((eff-1 (CoreC-45NormaliseC-45Eval-nf arg-15 '() arg-16 '() e-1))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-11 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (box (cons e-7 e-11)))))) eff-2))))))))))) eff-1)))))))))(else (lambda (eta-0) (vector 1 '()))))))
(define TTImpC-45ElabC-45Case-n--12238-13351-u--getNameFrom (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8) (let ((eff-0 arg-8)) (let ((sc0 (TTImpC-45ElabC-45Case-n--12238-13350-u--getArg arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-6 eff-0))) (if (null? sc0) arg-1 (let ((e-2 (unbox sc0))) e-2))))))
(define TTImpC-45ElabC-45Case-n--12400-13540-u--getBindName (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20) (case (vector-ref arg-19 0) ((1) (let ((e-0 (vector-ref arg-19 1))) (let ((u--n (vector 1 e-0))) (let ((sc1 (PreludeC-45Types-elem (csegen-16) (csegen-1008) u--n arg-20))) (cond ((equal? sc1 1) (cons u--n (vector 2 (CoreC-45Name-displayUserName e-0) arg-18))) (else (cons u--n u--n)))))))(else (let ((sc0 (PreludeC-45Types-elem (csegen-16) (csegen-1008) arg-19 arg-20))) (cond ((equal? sc0 1) (cons arg-19 (vector 2 "_cn" arg-18))) (else (cons arg-19 arg-19))))))))
(define TTImpC-45ElabC-45Case-n--12238-13350-u--getArg (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9) (if (null? arg-8) '() (let ((e-2 (car arg-8))) (let ((e-3 (cdr arg-8))) (if (null? e-2) (cond ((equal? arg-9 0) (blodwen-error-quit "Nat case not covered"))(else (let ((e-4 (- arg-9 1))) (TTImpC-45ElabC-45Case-n--12238-13350-u--getArg arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-3 e-4)))) (let ((e-8 (cdr e-2))) (cond ((equal? arg-9 0) (box e-8))(else (cond ((equal? arg-9 0) (blodwen-error-quit "Nat case not covered"))(else (let ((e-4 (- arg-9 1))) (TTImpC-45ElabC-45Case-n--12238-13350-u--getArg arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-3 e-4)))))))))))))
(define TTImpC-45ElabC-45Case-n--15491-16109-u--checkConcrete (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-17) (lambda (clam-0) (case (vector-ref arg-17 0) ((1) (let ((e-2 (vector-ref arg-17 2))) (case (vector-ref e-2 0) ((2) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 arg-5 "Can't infer type for case scrutinee") clam-0))(else (vector 1 (vector 0 ))))))(else (vector 1 (vector 0 )))))))
(define TTImpC-45ElabC-45Case-n--15491-16110-u--applyTo (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18) (case (vector-ref arg-18 0) ((0) (let ((e-1 (vector-ref arg-18 1))) (let ((e-2 (vector-ref arg-18 2))) (let ((e-3 (vector-ref arg-18 3))) (let ((e-4 (vector-ref arg-18 4))) (case (vector-ref e-3 0) ((2) (let ((e-8 (vector-ref e-3 3))) (case (vector-ref e-8 0) ((1) (let ((eff-0 ((e-4 arg-16) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 e-1 (vector 0 )))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45ElabC-45Case-n--15491-16110-u--applyTo arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 (vector 8 e-1 arg-17 (vector 32 e-1 0)) e-5))) eff-1))))))))(else (let ((eff-0 ((e-4 arg-16) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 arg-5 (vector 0 )))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45ElabC-45Case-n--15491-16110-u--applyTo arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 (vector 10 arg-5 arg-17 e-2 (vector 32 arg-5 0)) e-5))) eff-1)))))))))))(else (lambda (eta-0) (vector 1 arg-17)))))))))(else (lambda (eta-0) (vector 1 arg-17))))))
(define TTImpC-45ElabC-45Case-n--12400-13546-u--applyNested (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19) (let ((u--fc (TTImpC-45TTImp-getFC arg-19))) (TTImpC-45Utils-substNames '() (((csegen-25) (lambda (eta-0) (TTImpC-45ElabC-45Case-n--12400-13545-u--nestLHS arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 u--fc eta-0))) (let ((eff-0 arg-18)) eff-0)) arg-19))))
(define TTImpC-45ElabC-45Case-n--12400-13541-u--addEnv (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20 arg-21) (if (null? arg-18) (cons '() '()) (let ((e-2 (car arg-18))) (let ((e-3 (cdr arg-18))) (let ((e-9 (cdr arg-20))) (let ((u--n (TTImpC-45ElabC-45Case-n--12400-13540-u--getBindName arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-19 e-2 arg-21))) (let ((sc2 (TTImpC-45ElabC-45Case-n--12400-13541-u--addEnv arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 e-3 (bs+ arg-19 1 63) e-9 (cons (Builtin-snd u--n) arg-21)))) (let ((e-5 (car sc2))) (let ((e-4 (cdr sc2))) (let ((u--nsC-39 (cons u--n e-5))) (cons u--nsC-39 (cons (vector 18 arg-9 (vector 2 ) 0 (Builtin-snd u--n) (vector 32 arg-9 1)) e-4)))))))))))))
(define TTImpC-45ElabC-45Case-updateMults (lambda (arg-1 arg-2) (if (null? arg-1) arg-2 (let ((e-2 (car arg-1))) (let ((e-3 (cdr arg-1))) (let ((eff-0 e-2)) (TTImpC-45ElabC-45Case-updateMults e-3 (TTImpC-45ElabC-45Case-toRig0 eff-0 arg-2))))))))
(define TTImpC-45ElabC-45Case-toRig1 (lambda (arg-2 arg-4) (cond ((equal? arg-2 0) (let ((e-4 (car arg-4))) (let ((e-5 (cdr arg-4))) (let ((sc2 (AlgebraC-45Semiring-isErased (csegen-1156) (CoreC-45TT-multiplicity e-4)))) (cond ((equal? sc2 1) (cons (CoreC-45TT-setMultiplicity e-4 (csegen-1778)) e-5)) (else (cons e-4 e-5)))))))(else (let ((e-0 (- arg-2 1))) (let ((e-9 (car arg-4))) (let ((e-10 (cdr arg-4))) (cons e-9 (TTImpC-45ElabC-45Case-toRig1 e-0 e-10)))))))))
(define TTImpC-45ElabC-45Case-toRig0 (lambda (arg-2 arg-4) (cond ((equal? arg-2 0) (let ((e-4 (car arg-4))) (let ((e-5 (cdr arg-4))) (cons (CoreC-45TT-setMultiplicity e-4 (csegen-54)) e-5))))(else (let ((e-0 (- arg-2 1))) (let ((e-9 (car arg-4))) (let ((e-10 (cdr arg-4))) (cons e-9 (TTImpC-45ElabC-45Case-toRig0 e-0 e-10)))))))))
(define TTImpC-45ElabC-45Case-getNestData (lambda (arg-2) (let ((e-2 (car arg-2))) (let ((e-3 (cdr arg-2))) (let ((e-6 (car e-3))) (let ((e-7 (cdr e-3))) (let ((e-10 (car e-7))) (cons e-2 (cons e-6 e-10)))))))))
(define TTImpC-45ElabC-45Case-findScrutinee (lambda (arg-0 arg-1 arg-2) (if (null? arg-0) '() (let ((e-1 (car arg-0))) (let ((e-2 (cdr arg-0))) (if (null? arg-1) '() (let ((e-6 (car arg-1))) (let ((e-7 (cdr arg-1))) (case (vector-ref arg-2 0) ((0) (let ((e-9 (vector-ref arg-2 1))) (let ((e-10 (vector-ref arg-2 2))) (let ((sc3 (let ((sc4 (CoreC-45Name-u--C-61C-61_Eq_Name e-1 e-10))) (cond ((equal? sc4 1) (let ((sc5 (CoreC-45TT-isLet e-6))) (cond ((equal? sc5 1) 0) (else 1)))) (else 0))))) (cond ((equal? sc3 1) (box 0)) (else (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (TTImpC-45ElabC-45Case-findScrutinee e-2 e-7 (vector 0 e-9 e-10)) (csegen-1106))))))))(else '()))))))))))
(define TTImpC-45ElabC-45Case-findImpsIn (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (case (vector-ref arg-4 0) ((3) (let ((e-2 (vector-ref arg-4 2))) (let ((e-3 (vector-ref arg-4 3))) (let ((e-4 (vector-ref arg-4 4))) (case (vector-ref e-3 0) ((2) (let ((e-8 (vector-ref e-3 3))) (let ((e-9 (vector-ref e-3 4))) (case (vector-ref e-8 0) ((0) (TTImpC-45ElabC-45Case-findImpsIn (cons e-2 arg-0) arg-1 (cons e-3 arg-2) (cons (cons e-2 (CoreC-45TT-u--weaken_Weaken_Term e-9)) ((csegen-3328) arg-3)) e-4))(else (TTImpC-45ElabC-45Case-findImpsIn (cons e-2 arg-0) arg-1 (cons e-3 arg-2) ((csegen-3328) arg-3) e-4))))))(else (TTImpC-45ElabC-45Case-findImpsIn (cons e-2 arg-0) arg-1 (cons e-3 arg-2) ((csegen-3328) arg-3) e-4)))))))(else (lambda (clam-0) (let ((sc0 (DataC-45List-isNil arg-3))) (cond ((equal? sc0 1) (vector 1 (vector 0 ))) (else (CoreC-45Core-u--throw_Catchable_Core_Error (vector 28 arg-0 arg-1 arg-2 (PreludeC-45TypesC-45List-reverse arg-3)) clam-0)))))))))
(define TTImpC-45ElabC-45Case-explicitPi (lambda (arg-1) (if (null? arg-1) '() (let ((e-3 (car arg-1))) (let ((e-4 (cdr arg-1))) (case (vector-ref e-3 0) ((2) (let ((e-7 (vector-ref e-3 1))) (let ((e-8 (vector-ref e-3 2))) (let ((e-10 (vector-ref e-3 4))) (cons (vector 2 e-7 e-8 (vector 1 ) e-10) (TTImpC-45ElabC-45Case-explicitPi e-4))))))(else (cons e-3 (TTImpC-45ElabC-45Case-explicitPi e-4)))))))))
(define TTImpC-45ElabC-45Case-checkCase (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15) (TTImpC-45ElabC-45Delayed-delayElab arg-0 arg-1 arg-2 arg-3 arg-4 arg-11 arg-7 arg-10 arg-15 0 (let ((eff-0 (case (vector-ref arg-13 0) ((32) (TTImpC-45ElabC-45Case-n--15491-16112-u--guessScrType arg-0 arg-15 arg-14 arg-13 arg-12 arg-11 arg-10 arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 arg-14))(else (lambda (eta-0) (vector 1 arg-13)))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (TTImpC-45ElabC-45Check-uniVar arg-1 arg-3 arg-11))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45ElabC-45Check-check arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 (csegen-54) arg-8 arg-9 arg-10 e-5 (box (CoreC-45NormaliseC-45Eval-gType arg-11 e-6))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((e-2 (car e-7))) (let ((eff-3 (CoreC-45ContextC-45Log-logTerm arg-0 arg-1 "elab.case" 10 (lambda () ((csegen-0) "Expected scrutinee type")) e-2))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-4 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-4 (let ((u--chrig (let ((sc5 (AlgebraC-45Semiring-isErased (csegen-1156) arg-7))) (cond ((equal? sc5 1) (csegen-54)) (else (AlgebraC-45ZeroOneOmega-u--top_Top_ZeroOneOmega)))))) (let ((eff-4 (CoreC-45ContextC-45Log-log arg-1 "elab.case" 5 (lambda () (string-append "Checking " (string-append (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 (csegen-100) arg-12) (string-append " at " (AlgebraC-45ZeroOneOmega-u--show_Show_ZeroOneOmega u--chrig)))))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-4 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-5 (let ((eff-5 (TTImpC-45ElabC-45Check-handle arg-0 arg-1 arg-2 arg-3 arg-4 (let ((eff-5 (TTImpC-45ElabC-45Delayed-runDelays arg-0 arg-1 arg-2 arg-3 arg-4 (lambda (eta-0) 1) (TTImpC-45ElabC-45Check-check arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 u--chrig arg-8 arg-9 arg-10 arg-12 (box (CoreC-45NormaliseC-45Eval-gnf arg-0 arg-10 e-2)))))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-4 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-10 (vector-ref lcase-5 1))) (let ((eff-6 (lambda (eta-0) (vector 1 (cons (Builtin-fst e-10) (cons (Builtin-snd e-10) u--chrig)))))) eff-6))))))) (lambda (lcase-5) (case (vector-ref lcase-5 0) ((14) (let ((e-10 (vector-ref lcase-5 3))) (AlgebraC-45Semiring-branchOne (csegen-1156) (lambda () (let ((eff-5 (TTImpC-45ElabC-45Delayed-runDelays arg-0 arg-1 arg-2 arg-3 arg-4 (lambda (eta-0) 1) (TTImpC-45ElabC-45Check-check arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 (csegen-1778) arg-8 arg-9 arg-10 arg-12 (box (CoreC-45NormaliseC-45Eval-gnf arg-0 arg-10 e-2)))))) (PrimIO-io_bind eff-5 (csegen-3330)))) (lambda () (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error lcase-5 eta-0))) e-10)))(else (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error lcase-5 eta-0)))))))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-4 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-10 (vector-ref lcase-5 1))) (let ((eff-6 (let ((e-11 (car e-10))) (let ((e-4 (cdr e-10))) (let ((e-13 (car e-4))) (let ((e-12 (cdr e-4))) (let ((eff-6 (CoreC-45NormaliseC-45Eval-getTerm e-13))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-14 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-6 1))) (let ((eff-7 (let ((eff-7 (CoreC-45Normalise-logTermNF arg-0 arg-1 "elab.case" 5 (lambda () ((csegen-0) "Scrutinee type")) arg-10 e-14))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-15 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-15)))) (else (let ((eff-8 (let ((eff-8 (let ((eff-8 arg-1)) (PrimIO-io_bind (let ((eff-9 eff-8)) (lambda (eta-0) (unbox eff-9))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-8 (lambda (lcase-8) (case (vector-ref lcase-8 0) ((0) (let ((e-16 (vector-ref lcase-8 1))) (lambda (eta-0) (vector 0 e-16)))) (else (let ((e-16 (vector-ref lcase-8 1))) (let ((eff-9 (let ((eff-9 (let ((eff-9 (CoreC-45NormaliseC-45Eval-nf arg-1 arg-0 e-16 arg-10 e-14))) (PrimIO-io_bind eff-9 (lambda (lcase-9) (case (vector-ref lcase-9 0) ((0) (let ((e-17 (vector-ref lcase-9 1))) (lambda (eta-0) (vector 0 e-17)))) (else (let ((e-17 (vector-ref lcase-9 1))) (let ((eff-10 (TTImpC-45ElabC-45Case-n--15491-16109-u--checkConcrete arg-0 arg-15 arg-14 arg-13 arg-12 arg-11 arg-10 arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 e-17))) eff-10))))))))) (PrimIO-io_bind eff-9 (lambda (lcase-9) (case (vector-ref lcase-9 0) ((0) (let ((e-17 (vector-ref lcase-9 1))) (lambda (eta-0) (vector 0 e-17)))) (else (let ((eff-10 (TTImpC-45ElabC-45Case-caseBlock arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-11 arg-9 arg-10 arg-12 e-11 e-14 e-12 arg-14 arg-15))) eff-10)))))))) eff-9))))))))) eff-8)))))))) eff-7))))))))))))) eff-6))))))))) eff-5))))))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))
(define TTImpC-45ElabC-45Case-caseBlock (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17) (let ((eff-0 (let ((eff-0 arg-4)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (TTImpC-45ElabC-45ImplicitBind-getToBind arg-0 arg-1 arg-4 arg-3 arg-9 (let ((e-0 (vector-ref arg-8 0))) e-0) (let ((e-1 (vector-ref arg-8 1))) e-1) arg-11 '()))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45ContextC-45Log-log arg-1 "elab.case" 5 (lambda () (string-append "Doing a case under unbound implicits " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-3304) e-6)))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (let ((eff-3 (CoreC-45UnifyState-genVarName arg-1 arg-3 "scr"))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (let ((eff-4 (CoreC-45Context-toFullNames arg-1 (csegen-81) (vector 8 (let ((e-2 (vector-ref e-5 1))) e-2))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (let ((eff-5 (CoreC-45Context-prettyName arg-1 e-9))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-10 (vector-ref lcase-5 1))) (let ((eff-6 (CoreC-45UnifyState-genCaseName arg-1 arg-3 e-10))) eff-6))))))))) eff-5))))))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (let ((u--env (TTImpC-45ElabC-45Case-updateMults (let ((e-12 (vector-ref e-5 11))) e-12) arg-11))) (let ((eff-5 (let ((eff-5 arg-1)) (PrimIO-io_bind (let ((eff-6 eff-5)) (lambda (eta-0) (unbox eff-6))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-10 (vector-ref lcase-5 1))) (let ((eff-6 (let ((eff-6 (CoreC-45Context-lookupCtxtExact (vector 8 (let ((e-2 (vector-ref e-5 1))) e-2)) (let ((e-0 (vector-ref e-10 0))) e-0)))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-2 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-11 (vector-ref lcase-6 1))) (let ((eff-7 (let ((u--vis (if (null? e-11) 2 (let ((e-1 (unbox e-11))) (let ((sc8 (CoreC-45TT-u--C-61C-61_Eq_Visibility (let ((e-24 (vector-ref e-1 9))) e-24) 2))) (cond ((equal? sc8 1) 2) (else 0))))))) (let ((u--splitOn (TTImpC-45ElabC-45Case-findScrutinee arg-0 u--env arg-12))) (let ((eff-7 (if (null? arg-17) (let ((eff-7 (CoreC-45UnifyState-genName arg-1 arg-3 "caseTy"))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-2 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-12 (vector-ref lcase-7 1))) (let ((eff-8 (let ((eff-8 (TTImpC-45ElabC-45Check-uniVar arg-1 arg-3 arg-9))) (PrimIO-io_bind eff-8 (lambda (lcase-8) (case (vector-ref lcase-8 0) ((0) (let ((e-2 (vector-ref lcase-8 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-13 (vector-ref lcase-8 1))) (let ((eff-9 (TTImpC-45ElabC-45Check-metaVar arg-0 arg-1 arg-3 arg-9 (csegen-54) u--env e-12 (vector 11 arg-9 e-13)))) eff-9))))))))) eff-8))))))) (let ((e-1 (unbox arg-17))) (CoreC-45NormaliseC-45Eval-getTerm e-1))))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-2 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-12 (vector-ref lcase-7 1))) (let ((eff-8 (let ((eff-8 (TTImpC-45ElabC-45Check-uniVar arg-1 arg-3 arg-9))) (PrimIO-io_bind eff-8 (lambda (lcase-8) (case (vector-ref lcase-8 0) ((0) (let ((e-2 (vector-ref lcase-8 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-13 (vector-ref lcase-8 1))) (let ((eff-9 (let ((eff-9 (lambda (eta-0) (TTImpC-45ElabC-45ImplicitBind-bindImplicits arg-1 arg-0 arg-9 (let ((e-1 (vector-ref arg-8 1))) e-1) e-10 u--env e-6 e-12 (vector 11 arg-9 e-13) eta-0)))) (PrimIO-io_bind eff-9 (lambda (lcase-9) (case (vector-ref lcase-9 0) ((0) (let ((e-2 (vector-ref lcase-9 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-14 (vector-ref lcase-9 1))) (let ((eff-10 (let ((e-2 (car e-14))) (let ((u--casefnty (CoreC-45Env-abstractFullEnvType arg-0 arg-9 (TTImpC-45ElabC-45Case-allow u--splitOn (TTImpC-45ElabC-45Case-explicitPi u--env)) (PreludeC-45Types-maybe (lambda () (vector 3 arg-9 e-8 (vector 2 arg-9 arg-15 (vector 1 ) arg-14) (CoreC-45TT-u--weaken_Weaken_Term e-2))) (lambda () (lambda (eta-0) e-2)) u--splitOn)))) (let ((eff-10 (CoreC-45Normalise-normaliseSizeLimit arg-1 '() e-10 10 '() u--casefnty))) (PrimIO-io_bind eff-10 (lambda (lcase-10) (case (vector-ref lcase-10 0) ((0) (let ((e-4 (vector-ref lcase-10 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-15 (vector-ref lcase-10 1))) (let ((eff-11 (let ((eff-11 (TTImpC-45ElabC-45Utils-findErased arg-1 e-15))) (PrimIO-io_bind eff-11 (lambda (lcase-11) (case (vector-ref lcase-11 0) ((0) (let ((e-4 (vector-ref lcase-11 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-16 (vector-ref lcase-11 1))) (let ((eff-12 (let ((e-17 (car e-16))) (let ((eff-12 (CoreC-45Normalise-logEnv arg-0 arg-1 "elab.case" 10 "Case env" u--env))) (PrimIO-io_bind eff-12 (lambda (lcase-12) (case (vector-ref lcase-12 0) ((0) (let ((e-18 (vector-ref lcase-12 1))) (lambda (eta-0) (vector 0 e-18)))) (else (let ((eff-13 (let ((eff-13 (CoreC-45Normalise-logTermNF '() arg-1 "elab.case" 2 (lambda () (string-append ((csegen-0) "Case function type: ") (CoreC-45Name-u--show_Show_Name e-9))) '() e-15))) (PrimIO-io_bind eff-13 (lambda (lcase-13) (case (vector-ref lcase-13 0) ((0) (let ((e-19 (vector-ref lcase-13 1))) (lambda (eta-0) (vector 0 e-19)))) (else (let ((eff-14 (let ((eff-14 (CoreC-45Core-traverse_ (lambda (eta-0) (CoreC-45Context-addToSave arg-1 eta-0)) (LibrariesC-45DataC-45NameMap-keys (CoreC-45TT-getMetas e-15))))) (PrimIO-io_bind eff-14 (lambda (lcase-14) (case (vector-ref lcase-14 0) ((0) (let ((e-20 (vector-ref lcase-14 1))) (lambda (eta-0) (vector 0 e-20)))) (else (let ((eff-15 (let ((eff-15 (let ((sc17 (DataC-45List-isNil e-6))) (cond ((equal? sc17 1) (lambda (eta-0) (vector 1 (vector 0 )))) (else (TTImpC-45ElabC-45Case-findImpsIn '() arg-9 '() '() e-15)))))) (PrimIO-io_bind eff-15 (lambda (lcase-15) (case (vector-ref lcase-15 0) ((0) (let ((e-21 (vector-ref lcase-15 1))) (lambda (eta-0) (vector 0 e-21)))) (else (let ((eff-16 (let ((eff-16 (CoreC-45Context-addDef arg-1 e-9 (let ((sc18 (CoreC-45Context-newDef arg-9 e-9 (let ((sc19 (AlgebraC-45Semiring-isErased (csegen-1156) arg-7))) (cond ((equal? sc19 1) (csegen-54)) (else (AlgebraC-45ZeroOneOmega-u--top_Top_ZeroOneOmega)))) '() e-15 u--vis (vector 0 )))) (let ((e-0 (vector-ref sc18 0))) (let ((e-1 (vector-ref sc18 1))) (let ((e-41 (vector-ref sc18 2))) (let ((e-39 (vector-ref sc18 4))) (let ((e-38 (vector-ref sc18 5))) (let ((e-37 (vector-ref sc18 6))) (let ((e-36 (vector-ref sc18 7))) (let ((e-35 (vector-ref sc18 8))) (let ((e-34 (vector-ref sc18 9))) (let ((e-33 (vector-ref sc18 10))) (let ((e-32 (vector-ref sc18 11))) (let ((e-31 (vector-ref sc18 12))) (let ((e-30 (vector-ref sc18 13))) (let ((e-29 (vector-ref sc18 14))) (let ((e-28 (vector-ref sc18 15))) (let ((e-27 (vector-ref sc18 16))) (let ((e-26 (vector-ref sc18 17))) (let ((e-25 (vector-ref sc18 18))) (let ((e-24 (vector-ref sc18 19))) (let ((e-23 (vector-ref sc18 20))) (let ((e-22 (vector-ref sc18 21))) (vector e-0 e-1 e-41 e-17 e-39 e-38 e-37 e-36 e-35 e-34 e-33 e-32 e-31 e-30 e-29 e-28 e-27 e-26 e-25 e-24 e-23 e-22)))))))))))))))))))))))))) (PrimIO-io_bind eff-16 (lambda (lcase-16) (case (vector-ref lcase-16 0) ((0) (let ((e-22 (vector-ref lcase-16 1))) (lambda (eta-0) (vector 0 e-22)))) (else (let ((e-22 (vector-ref lcase-16 1))) (let ((eff-17 (let ((u--tot (DataC-45Maybe-fromMaybe (lambda () 2) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe e-11 (lambda (bind-0) (CoreC-45ContextC-45Context-findSetTotal (let ((e-33 (vector-ref bind-0 11))) e-33))))))) (let ((eff-17 (CoreC-45ContextC-45Log-log arg-1 "elab.case" 5 (lambda () (DataC-45String-unwords (cons ((csegen-0) "Setting totality requirement for") (cons (CoreC-45Name-u--show_Show_Name e-9) (cons "to" (cons (CoreC-45TT-u--show_Show_TotalReq u--tot) '()))))))))) (PrimIO-io_bind eff-17 (lambda (lcase-17) (case (vector-ref lcase-17 0) ((0) (let ((e-23 (vector-ref lcase-17 1))) (lambda (eta-0) (vector 0 e-23)))) (else (let ((eff-18 (let ((eff-18 (CoreC-45Context-setFlag arg-1 arg-9 (vector 8 e-22) (vector 6 u--tot)))) (PrimIO-io_bind eff-18 (lambda (lcase-18) (case (vector-ref lcase-18 0) ((0) (let ((e-24 (vector-ref lcase-18 1))) (lambda (eta-0) (vector 0 e-24)))) (else (let ((eff-19 (let ((u--caseRef (vector 1 arg-9 (vector 1 ) (vector 8 e-22)))) (let ((u--applyEnv (CoreC-45UnifyState-applyToFull arg-0 arg-9 u--caseRef u--env))) (let ((u--appTm (PreludeC-45Types-maybe (lambda () (vector 4 arg-9 u--applyEnv arg-13)) (lambda () (lambda (eta-0) u--applyEnv)) u--splitOn))) (let ((u--altsC-39 (((csegen-25) (lambda (eta-0) (TTImpC-45ElabC-45Case-n--12400-13547-u--updateClause arg-0 arg-17 arg-16 arg-15 arg-14 arg-13 arg-12 arg-11 arg-10 arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 e-9 u--splitOn arg-10 u--env eta-0))) arg-16))) (let ((eff-19 (CoreC-45ContextC-45Log-log arg-1 "elab.case" 2 (lambda () (string-append "Nested: " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (cons (lambda (u--x) (PreludeC-45Show-u--show_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-3342) u--x)) (lambda (u--d) (lambda (u--x) (PreludeC-45Show-u--showPrec_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-3342) u--d u--x)))) ((csegen-3326) (let ((eff-19 arg-10)) eff-19)))))))) (PrimIO-io_bind eff-19 (lambda (lcase-19) (case (vector-ref lcase-19 0) ((0) (let ((e-25 (vector-ref lcase-19 1))) (lambda (eta-0) (vector 0 e-25)))) (else (let ((eff-20 (let ((eff-20 (CoreC-45ContextC-45Log-log arg-1 "elab.case" 2 (lambda () (string-append ((csegen-0) "Generated alts: ") (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-2424) u--altsC-39)))))) (PrimIO-io_bind eff-20 (lambda (lcase-20) (case (vector-ref lcase-20 0) ((0) (let ((e-26 (vector-ref lcase-20 1))) (lambda (eta-0) (vector 0 e-26)))) (else (let ((eff-21 (let ((eff-21 (CoreC-45Normalise-logTermNF arg-0 arg-1 "elab.case" 2 (lambda () ((csegen-0) "Case application")) u--env u--appTm))) (PrimIO-io_bind eff-21 (lambda (lcase-21) (case (vector-ref lcase-21 0) ((0) (let ((e-27 (vector-ref lcase-21 1))) (lambda (eta-0) (vector 0 e-27)))) (else (let ((eff-22 (let ((u--nestC-39 '())) (let ((eff-22 (let ((eff-22 arg-3)) (PrimIO-io_bind (let ((eff-23 eff-22)) (lambda (eta-0) (unbox eff-23))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-22 (lambda (lcase-22) (case (vector-ref lcase-22 0) ((0) (let ((e-28 (vector-ref lcase-22 1))) (lambda (eta-0) (vector 0 e-28)))) (else (let ((e-28 (vector-ref lcase-22 1))) (let ((eff-23 (let ((u--olddelayed (let ((e-30 (vector-ref e-28 10))) e-30))) (let ((eff-23 (let ((eff-23 arg-3)) (PrimIO-io_bind (let ((eff-24 eff-23)) (lambda (eta-0) (set-box! eff-24 (let ((e-0 (vector-ref e-28 0))) (let ((e-1 (vector-ref e-28 1))) (let ((e-38 (vector-ref e-28 2))) (let ((e-37 (vector-ref e-28 3))) (let ((e-36 (vector-ref e-28 4))) (let ((e-35 (vector-ref e-28 5))) (let ((e-34 (vector-ref e-28 6))) (let ((e-33 (vector-ref e-28 7))) (let ((e-32 (vector-ref e-28 8))) (let ((e-31 (vector-ref e-28 9))) (let ((e-29 (vector-ref e-28 11))) (vector e-0 e-1 e-38 e-37 e-36 e-35 e-34 e-33 e-32 e-31 '() e-29))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-23 (lambda (lcase-23) (case (vector-ref lcase-23 0) ((0) (let ((e-29 (vector-ref lcase-23 1))) (lambda (eta-0) (vector 0 e-29)))) (else (let ((eff-24 (let ((eff-24 (TTImpC-45ElabC-45Check-processDecl '() arg-1 arg-2 arg-3 arg-5 arg-6 (cons 1 '()) u--nestC-39 '() (vector 2 arg-9 e-9 u--altsC-39)))) (PrimIO-io_bind eff-24 (lambda (lcase-24) (case (vector-ref lcase-24 0) ((0) (let ((e-30 (vector-ref lcase-24 1))) (lambda (eta-0) (vector 0 e-30)))) (else (let ((eff-25 (let ((u--inlineOK (PreludeC-45Types-maybe (lambda () 0) (lambda () (lambda (eta-0) 1)) u--splitOn))) (let ((eff-25 (cond ((equal? u--inlineOK 1) (CoreC-45Context-setFlag arg-1 arg-9 e-9 (vector 0 ))) (else (lambda (eta-0) (vector 1 (vector 0 ))))))) (PrimIO-io_bind eff-25 (lambda (lcase-25) (case (vector-ref lcase-25 0) ((0) (let ((e-31 (vector-ref lcase-25 1))) (lambda (eta-0) (vector 0 e-31)))) (else (let ((eff-26 (let ((eff-26 (let ((eff-26 arg-3)) (PrimIO-io_bind (let ((eff-27 eff-26)) (lambda (eta-0) (unbox eff-27))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-26 (lambda (lcase-26) (case (vector-ref lcase-26 0) ((0) (let ((e-32 (vector-ref lcase-26 1))) (lambda (eta-0) (vector 0 e-32)))) (else (let ((e-32 (vector-ref lcase-26 1))) (let ((eff-27 (let ((eff-27 (let ((eff-27 arg-3)) (PrimIO-io_bind (let ((eff-28 eff-27)) (lambda (eta-0) (set-box! eff-28 (let ((e-0 (vector-ref e-32 0))) (let ((e-1 (vector-ref e-32 1))) (let ((e-42 (vector-ref e-32 2))) (let ((e-41 (vector-ref e-32 3))) (let ((e-40 (vector-ref e-32 4))) (let ((e-39 (vector-ref e-32 5))) (let ((e-38 (vector-ref e-32 6))) (let ((e-37 (vector-ref e-32 7))) (let ((e-36 (vector-ref e-32 8))) (let ((e-35 (vector-ref e-32 9))) (let ((e-33 (vector-ref e-32 11))) (vector e-0 e-1 e-42 e-41 e-40 e-39 e-38 e-37 e-36 e-35 u--olddelayed e-33))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-27 (lambda (lcase-27) (case (vector-ref lcase-27 0) ((0) (let ((e-33 (vector-ref lcase-27 1))) (lambda (eta-0) (vector 0 e-33)))) (else (let ((eff-28 (lambda (eta-0) (vector 1 (cons u--appTm (CoreC-45NormaliseC-45Eval-gnf arg-0 u--env e-2)))))) eff-28)))))))) eff-27))))))))) eff-26))))))))) eff-25)))))))) eff-24))))))))) eff-23)))))))))) eff-22)))))))) eff-21)))))))) eff-20)))))))))))) eff-19)))))))) eff-18))))))))) eff-17))))))))) eff-16)))))))) eff-15)))))))) eff-14)))))))) eff-13))))))))) eff-12))))))))) eff-11))))))))))) eff-10))))))))) eff-9))))))))) eff-8))))))))))) eff-7))))))))) eff-6)))))))))) eff-5))))))))) eff-4))))))))) eff-3)))))))) eff-2))))))))) eff-1)))))))))
(define TTImpC-45ElabC-45Case-bindCaseLocals (lambda (arg-1 arg-2 arg-3 arg-4) (if (null? arg-2) arg-4 (let ((e-2 (car arg-2))) (let ((e-3 (cdr arg-2))) (let ((e-6 (car e-2))) (let ((e-7 (cdr e-2))) (let ((e-10 (car e-7))) (let ((e-11 (cdr e-7))) (vector 6 arg-1 e-6 (DataC-45Maybe-fromMaybe (lambda () e-6) e-10) (((csegen-25) (lambda (eta-0) (TTImpC-45ElabC-45Case-n--12238-13351-u--getNameFrom e-6 e-10 e-11 e-3 arg-4 arg-3 arg-1 eta-0))) e-11) (TTImpC-45ElabC-45Case-bindCaseLocals arg-1 e-3 arg-3 arg-4)))))))))))
(define TTImpC-45ElabC-45Case-allow (lambda (arg-1 arg-2) (if (null? arg-1) arg-2 (let ((e-2 (unbox arg-1))) (let ((eff-0 e-2)) (TTImpC-45ElabC-45Case-toRig1 eff-0 arg-2))))))
(define TTImpC-45ElabC-45Utils-n--8827-12475-u--notLets (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-6 arg-7 arg-8) (if (null? arg-7) arg-6 (let ((e-2 (car arg-7))) (let ((e-3 (cdr arg-7))) (let ((e-7 (car arg-8))) (let ((e-8 (cdr arg-8))) (let ((sc2 (CoreC-45TT-isLet e-7))) (cond ((equal? sc2 1) (TTImpC-45ElabC-45Utils-n--8827-12475-u--notLets arg-0 arg-1 arg-2 arg-3 arg-4 arg-6 e-3 e-8)) (else (TTImpC-45ElabC-45Utils-n--8827-12475-u--notLets arg-0 arg-1 arg-2 arg-3 arg-4 (cons e-2 arg-6) e-3 e-8)))))))))))
(define TTImpC-45ElabC-45Utils-n--7804-11546-u--notErased (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9) (if (null? arg-8) 1 (if (null? arg-9) 0 (let ((e-2 (car arg-9))) (let ((e-3 (cdr arg-9))) (case (vector-ref e-2 0) ((9) (let ((e-6 (vector-ref e-2 2))) (case (vector-ref e-6 0) ((1) (TTImpC-45ElabC-45Utils-n--7804-11546-u--notErased arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 (+ arg-7 1) arg-8 e-3))(else (let ((sc3 (PreludeC-45Types-elem (csegen-16) (csegen-1338) arg-7 arg-8))) (cond ((equal? sc3 1) 1) (else (TTImpC-45ElabC-45Utils-n--7804-11546-u--notErased arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 (+ arg-7 1) arg-8 e-3))))))))(else (let ((sc2 (PreludeC-45Types-elem (csegen-16) (csegen-1338) arg-7 arg-8))) (cond ((equal? sc2 1) 1) (else (TTImpC-45ElabC-45Utils-n--7804-11546-u--notErased arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 (+ arg-7 1) arg-8 e-3))))))))))))
(define TTImpC-45ElabC-45Utils-n--9393-13105-u--binderInlineSafe (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (case (vector-ref arg-6 0) ((1) (let ((e-3 (vector-ref arg-6 3))) (TTImpC-45ElabC-45Utils-termInlineSafe arg-0 arg-5 e-3)))(else (lambda (eta-0) (vector 1 1))))))
(define TTImpC-45ElabC-45Utils-n--9732-13284-u--altsSafe (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-6 arg-7) (if (null? arg-7) (lambda (eta-0) (vector 1 1)) (let ((e-2 (car arg-7))) (let ((e-3 (cdr arg-7))) (let ((eff-0 (let ((eff-0 arg-6)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (TTImpC-45ElabC-45Utils-caseAltInlineSafe arg-0 arg-6 e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (cond ((equal? e-6 1) (let ((eff-2 (let ((eff-2 arg-6)) (PrimIO-io_bind (let ((eff-3 eff-2)) (lambda (eta-0) (set-box! eff-3 e-5))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-3 (TTImpC-45ElabC-45Utils-n--9732-13284-u--altsSafe arg-0 arg-1 arg-2 arg-3 arg-4 arg-6 e-3))) eff-3))))))) (else (lambda (eta-0) (vector 1 0)))))) eff-2))))))))) eff-1))))))))))))
(define TTImpC-45ElabC-45Utils-n--9393-13040-u--allInlineSafe (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (if (null? arg-6) (lambda (eta-0) (vector 1 1)) (let ((e-2 (car arg-6))) (let ((e-3 (cdr arg-6))) (let ((eff-0 (TTImpC-45ElabC-45Utils-termInlineSafe arg-0 arg-5 e-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (cond ((equal? e-5 1) (TTImpC-45ElabC-45Utils-n--9393-13040-u--allInlineSafe arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-3)) (else (lambda (eta-0) (vector 1 0)))))) eff-1))))))))))))
(define TTImpC-45ElabC-45Utils-wrapErrorC (lambda (arg-1 arg-2 ext-0) (let ((sc0 (PreludeC-45Types-elem (csegen-16) (csegen-2901) 1 arg-1))) (cond ((equal? sc0 1) ext-0) (else (CoreC-45Core-wrapError arg-2 ext-0))))))
(define TTImpC-45ElabC-45Utils-updateErasable (lambda (arg-0 arg-1) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-lookupCtxtExact arg-1 (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-6) (lambda (eta-0) (vector 1 (vector 0 ))) (let ((e-1 (unbox e-6))) (let ((eff-2 (TTImpC-45ElabC-45Utils-findErased arg-0 (let ((e-2 (vector-ref e-1 2))) e-2)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((e-2 (car e-7))) (let ((e-3 (cdr e-7))) (let ((eff-3 (CoreC-45Context-addDef arg-0 arg-1 (let ((e-0 (vector-ref e-1 0))) (let ((e-27 (vector-ref e-1 1))) (let ((e-26 (vector-ref e-1 2))) (let ((e-24 (vector-ref e-1 5))) (let ((e-23 (vector-ref e-1 6))) (let ((e-22 (vector-ref e-1 7))) (let ((e-8 (vector-ref e-1 8))) (let ((e-9 (vector-ref e-1 9))) (let ((e-10 (vector-ref e-1 10))) (let ((e-11 (vector-ref e-1 11))) (let ((e-12 (vector-ref e-1 12))) (let ((e-13 (vector-ref e-1 13))) (let ((e-14 (vector-ref e-1 14))) (let ((e-15 (vector-ref e-1 15))) (let ((e-16 (vector-ref e-1 16))) (let ((e-17 (vector-ref e-1 17))) (let ((e-18 (vector-ref e-1 18))) (let ((e-19 (vector-ref e-1 19))) (let ((e-20 (vector-ref e-1 20))) (let ((e-21 (vector-ref e-1 21))) (vector e-0 e-27 e-26 e-2 e-3 e-24 e-23 e-22 e-8 e-9 e-10 e-11 e-12 e-13 e-14 e-15 e-16 e-17 e-18 e-19 e-20 e-21)))))))))))))))))))))))) (((csegen-50) ((let ((eff-4 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-4 (vector-ref eta-3 1))) (vector 0 e-4))) (else (let ((e-8 (vector-ref eta-3 1))) (vector 1 (eta-2 e-8))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-4 'erased) 'erased) arg-2) arg-3)))) (lambda (_-8679) (vector 0 )))) eff-3)))))) eff-3))))))))))) eff-2))))))))) eff-1)))))))))
(define TTImpC-45ElabC-45Utils-termInlineSafe (lambda (arg-0 arg-1 arg-2) (case (vector-ref arg-2 0) ((0) (let ((e-4 (vector-ref arg-2 3))) (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((sc2 (TTImpC-45ElabC-45Utils-isUsed e-4 e-5))) (cond ((equal? sc2 1) (lambda (eta-0) (vector 1 0))) (else (let ((eff-1 (TTImpC-45ElabC-45Utils-setUsed e-4 arg-1))) (PrimIO-io_bind eff-1 (csegen-2355)))))))) eff-1))))))))) ((2) (let ((e-7 (vector-ref arg-2 1))) (let ((e-8 (vector-ref arg-2 2))) (let ((e-9 (vector-ref arg-2 3))) (let ((e-10 (vector-ref arg-2 4))) (TTImpC-45ElabC-45Utils-n--9393-13040-u--allInlineSafe arg-0 e-10 e-9 e-8 e-7 arg-1 e-10)))))) ((3) (let ((e-12 (vector-ref arg-2 1))) (let ((e-13 (vector-ref arg-2 2))) (let ((e-14 (vector-ref arg-2 3))) (let ((e-15 (vector-ref arg-2 4))) (let ((eff-0 (TTImpC-45ElabC-45Utils-n--9393-13105-u--binderInlineSafe arg-0 e-13 e-15 e-14 e-12 arg-1 e-14))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (cond ((equal? e-5 1) (TTImpC-45ElabC-45Utils-inExtended 2 (cons e-13 '()) arg-1 (lambda (u--uC-39) (TTImpC-45ElabC-45Utils-termInlineSafe (cons e-13 arg-0) u--uC-39 e-15)))) (else (lambda (eta-0) (vector 1 0)))))) eff-1)))))))))))) ((4) (let ((e-18 (vector-ref arg-2 2))) (let ((e-19 (vector-ref arg-2 3))) (let ((eff-0 (TTImpC-45ElabC-45Utils-termInlineSafe arg-0 arg-1 e-18))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (cond ((equal? e-5 1) (TTImpC-45ElabC-45Utils-termInlineSafe arg-0 arg-1 e-19)) (else (lambda (eta-0) (vector 1 0)))))) eff-1)))))))))) ((5) (let ((e-24 (vector-ref arg-2 4))) (TTImpC-45ElabC-45Utils-termInlineSafe arg-0 arg-1 e-24))) ((6) (let ((e-28 (vector-ref arg-2 3))) (TTImpC-45ElabC-45Utils-termInlineSafe arg-0 arg-1 e-28))) ((7) (let ((e-33 (vector-ref arg-2 4))) (TTImpC-45ElabC-45Utils-termInlineSafe arg-0 arg-1 e-33))) ((8) (let ((e-37 (vector-ref arg-2 3))) (TTImpC-45ElabC-45Utils-termInlineSafe arg-0 arg-1 e-37)))(else (lambda (eta-0) (vector 1 1))))))
(define TTImpC-45ElabC-45Utils-setUsedVar (lambda (arg-2 arg-4) (cond ((equal? arg-2 0) (if (null? arg-4) arg-4 (let ((e-3 (car arg-4))) (let ((e-4 (cdr arg-4))) (cond ((equal? e-3 1) (cons 0 e-4))(else arg-4))))))(else (let ((e-0 (- arg-2 1))) (let ((e-7 (car arg-4))) (let ((e-8 (cdr arg-4))) (cons e-7 (TTImpC-45ElabC-45Utils-setUsedVar e-0 e-8)))))))))
(define TTImpC-45ElabC-45Utils-setUsed (lambda (arg-2 arg-3) (let ((eff-0 (let ((eff-0 arg-3)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 arg-3)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (TTImpC-45ElabC-45Utils-setUsedVar arg-2 e-5)))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-1)))))))))
(define TTImpC-45ElabC-45Utils-plicit (lambda (arg-1) (case (vector-ref arg-1 0) ((2) (let ((e-3 (vector-ref arg-1 3))) (CoreC-45TT-forgetDef e-3))) ((3) (let ((e-8 (vector-ref arg-1 3))) (CoreC-45TT-forgetDef e-8)))(else (vector 1 )))))
(define TTImpC-45ElabC-45Utils-isUsed (lambda (arg-2 arg-4) (cond ((equal? arg-2 0) (let ((e-3 (car arg-4))) (cond ((equal? e-3 0) 1)(else 0))))(else (let ((e-0 (- arg-2 1))) (let ((e-8 (cdr arg-4))) (TTImpC-45ElabC-45Utils-isUsed e-0 e-8)))))))
(define TTImpC-45ElabC-45Utils-initUsedCase (lambda (arg-0) (if (null? arg-0) '() (let ((e-3 (cdr arg-0))) (if (null? e-3) (cons 1 '()) (cons 2 (TTImpC-45ElabC-45Utils-initUsedCase e-3)))))))
(define TTImpC-45ElabC-45Utils-inExtended (lambda (arg-2 arg-3 arg-4 arg-5) (let ((eff-0 (let ((eff-0 arg-4)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Core-newRef (vector "TTImp.Elab.Utils.Used" ) (TTImpC-45ElabC-45Utils-extendUsed arg-2 arg-3 e-5)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (arg-5 e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (let ((eff-3 (let ((eff-3 e-6)) (PrimIO-io_bind (let ((eff-4 eff-3)) (lambda (eta-0) (unbox eff-4))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 arg-4)) (PrimIO-io_bind (let ((eff-5 eff-4)) (lambda (eta-0) (set-box! eff-5 (TTImpC-45ElabC-45Utils-dropUsed arg-3 e-8)))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-4))))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-4 (lambda (eta-0) (vector 1 e-7)))) eff-4)))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))
(define TTImpC-45ElabC-45Utils-findErasedFrom (lambda (arg-0 arg-1 arg-2 arg-3) (case (vector-ref arg-3 0) ((0) (let ((e-1 (vector-ref arg-3 1))) (let ((e-3 (vector-ref arg-3 3))) (let ((e-4 (vector-ref arg-3 4))) (case (vector-ref e-3 0) ((2) (let ((e-7 (vector-ref e-3 2))) (let ((e-9 (vector-ref e-3 4))) (let ((eff-0 ((e-4 arg-1) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 e-1 (let ((sc2 (AlgebraC-45Semiring-isErased (csegen-1156) e-7))) (cond ((equal? sc2 1) (vector 1 )) (else (vector 0 ))))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (TTImpC-45ElabC-45Utils-findErasedFrom arg-0 arg-1 (+ arg-2 1) e-5))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-10 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-1 1))) (let ((eff-2 (let ((e-12 (car e-10))) (let ((e-11 (cdr e-10))) (let ((eff-2 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() arg-1 e-9))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-13 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (TTImpC-45ElabC-45Utils-detagSafe arg-0 arg-1 e-13))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-14 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-3 1))) (let ((eff-4 (let ((u--dtC-39 (cond ((equal? e-14 1) (cons arg-2 e-11)) (else e-11)))) (lambda (eta-0) (vector 1 (let ((sc7 (AlgebraC-45Semiring-isErased (csegen-1156) e-7))) (cond ((equal? sc7 1) (cons (cons arg-2 e-12) u--dtC-39)) (else (cons e-12 u--dtC-39))))))))) eff-4))))))))) eff-3))))))))))) eff-2))))))))) eff-1))))))))))(else (csegen-3348)))))))(else (csegen-3348)))))
(define TTImpC-45ElabC-45Utils-findErased (lambda (arg-0 arg-1) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-nf arg-0 '() e-5 '() arg-1))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (TTImpC-45ElabC-45Utils-findErasedFrom arg-0 e-5 0 e-6))) eff-2))))))))) eff-1)))))))))
(define TTImpC-45ElabC-45Utils-extendUsed (lambda (arg-1 arg-2 arg-3) (if (null? arg-2) arg-3 (let ((e-3 (cdr arg-2))) (cons arg-1 (TTImpC-45ElabC-45Utils-extendUsed arg-1 e-3 arg-3))))))
(define TTImpC-45ElabC-45Utils-dropUsed (lambda (arg-1 arg-2) (if (null? arg-1) arg-2 (let ((e-3 (cdr arg-1))) (let ((e-7 (cdr arg-2))) (TTImpC-45ElabC-45Utils-dropUsed e-3 e-7))))))
(define TTImpC-45ElabC-45Utils-detagSafe (lambda (arg-0 arg-1 arg-2) (case (vector-ref arg-2 0) ((3) (let ((e-1 (vector-ref arg-2 1))) (let ((e-2 (vector-ref arg-2 2))) (let ((e-3 (vector-ref arg-2 3))) (let ((e-4 (vector-ref arg-2 4))) (let ((e-5 (vector-ref arg-2 5))) (let ((eff-0 (CoreC-45Context-lookupDefExact e-2 (let ((e-0 (vector-ref arg-1 0))) e-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (if (null? e-6) (lambda (eta-0) (vector 1 0)) (let ((e-7 (unbox e-6))) (case (vector-ref e-7 0) ((6) (let ((e-9 (vector-ref e-7 8))) (if (null? e-9) (lambda (eta-0) (vector 1 0)) (let ((e-16 (unbox e-9))) (let ((eff-1 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() arg-1 (Builtin-snd eta-0))) e-5 '()))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-17 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-17)))) (else (let ((e-17 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (TTImpC-45ElabC-45Utils-n--7804-11546-u--notErased e-1 e-3 e-4 e-5 e-2 arg-1 arg-0 0 e-16 e-17))))) eff-2)))))))))))(else (lambda (eta-0) (vector 1 0)))))))) eff-1)))))))))))))(else (lambda (eta-0) (vector 1 0))))))
(define TTImpC-45ElabC-45Utils-caseInlineSafe (lambda (arg-0 arg-1 arg-2) (case (vector-ref arg-2 0) ((0) (let ((e-1 (vector-ref arg-2 1))) (let ((e-2 (vector-ref arg-2 2))) (let ((e-4 (vector-ref arg-2 3))) (let ((e-5 (vector-ref arg-2 4))) (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((sc2 (TTImpC-45ElabC-45Utils-isUsed e-2 e-6))) (cond ((equal? sc2 1) (lambda (eta-0) (vector 1 0))) (else (let ((eff-1 (TTImpC-45ElabC-45Utils-setUsed e-2 arg-1))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-3 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-2 (TTImpC-45ElabC-45Utils-n--9732-13284-u--altsSafe arg-0 e-1 e-5 e-4 e-2 arg-1 e-5))) eff-2))))))))))) eff-1)))))))))))) ((1) (let ((e-8 (vector-ref arg-2 2))) (TTImpC-45ElabC-45Utils-termInlineSafe arg-0 arg-1 e-8))) ((2) (lambda (eta-0) (vector 1 1))) (else (lambda (eta-0) (vector 1 1))))))
(define TTImpC-45ElabC-45Utils-caseAltInlineSafe (lambda (arg-0 arg-1 arg-2) (case (vector-ref arg-2 0) ((0) (let ((e-3 (vector-ref arg-2 3))) (let ((e-4 (vector-ref arg-2 4))) (TTImpC-45ElabC-45Utils-inExtended 1 e-3 arg-1 (lambda (u--uC-39) (TTImpC-45ElabC-45Utils-caseInlineSafe (PreludeC-45TypesC-45List-tailRecAppend e-3 arg-0) u--uC-39 e-4)))))) ((1) (let ((e-6 (vector-ref arg-2 1))) (let ((e-7 (vector-ref arg-2 2))) (let ((e-8 (vector-ref arg-2 3))) (TTImpC-45ElabC-45Utils-inExtended 1 (cons e-6 (cons e-7 '())) arg-1 (lambda (u--uC-39) (TTImpC-45ElabC-45Utils-caseInlineSafe (cons e-6 (cons e-7 arg-0)) u--uC-39 e-8))))))) ((2) (let ((e-11 (vector-ref arg-2 2))) (TTImpC-45ElabC-45Utils-caseInlineSafe arg-0 arg-1 e-11))) (else (let ((e-13 (vector-ref arg-2 1))) (TTImpC-45ElabC-45Utils-caseInlineSafe arg-0 arg-1 e-13))))))
(define TTImpC-45ElabC-45Utils-canInlineCaseBlock (lambda (arg-0 arg-1) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-lookupDefExact arg-1 (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-6) (lambda (eta-0) (vector 1 0)) (let ((e-1 (unbox e-6))) (case (vector-ref e-1 0) ((1) (let ((e-3 (vector-ref e-1 2))) (let ((e-8 (vector-ref e-1 4))) (let ((eff-2 (CoreC-45Core-newRef (vector "TTImp.Elab.Utils.Used" ) (TTImpC-45ElabC-45Utils-initUsedCase e-3)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-9 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-2 1))) (let ((eff-3 (TTImpC-45ElabC-45Utils-caseInlineSafe e-3 e-9 e-8))) eff-3))))))))))(else (lambda (eta-0) (vector 1 0)))))))) eff-2))))))))) eff-1)))))))))
(define TTImpC-45ElabC-45Utils-bindReq (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (case (vector-ref arg-4 0) ((0) (box (cons arg-5 (cons (TTImpC-45ElabC-45Utils-n--8827-12475-u--notLets arg-1 arg-6 arg-5 arg-3 arg-2 '() arg-1 arg-3) (CoreC-45Env-abstractEnvType arg-1 arg-2 arg-3 arg-6)))))(else (let ((e-1 (car arg-1))) (let ((e-2 (cdr arg-1))) (let ((e-6 (car arg-3))) (let ((e-7 (cdr arg-3))) (case (vector-ref arg-4 0) ((2) (let ((e-11 (vector-ref arg-4 1))) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (CoreC-45TT-shrinkBinder e-6 e-11) (lambda (u--bC-39) (TTImpC-45ElabC-45Utils-bindReq e-2 arg-2 e-7 e-11 (cons (cons (TTImpC-45ElabC-45Utils-plicit e-6) e-1) arg-5) (vector 3 arg-2 e-1 (vector 2 (CoreC-45TT-binderLoc e-6) (CoreC-45TT-multiplicity e-6) (vector 1 ) (CoreC-45TT-binderType u--bC-39)) arg-6)))))) (else (let ((e-15 (vector-ref arg-4 1))) (TTImpC-45ElabC-45Utils-bindReq e-2 arg-2 e-7 e-15 arg-5 arg-6))))))))))))
(define TTImpC-45ElabC-45Utils-bindNotReq (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (if (null? arg-1) (cons arg-6 (CoreC-45TT-embed arg-7)) (let ((e-2 (car arg-1))) (let ((e-3 (cdr arg-1))) (let ((e-9 (car arg-4))) (let ((e-10 (cdr arg-4))) (case (vector-ref arg-5 0) ((0) (let ((u--tmptm (CoreC-45TTC-45SubstEnv-subst (vector 1 arg-2 (vector 0 ) (vector 2 "arg" arg-3)) arg-7))) (let ((sc3 (TTImpC-45ElabC-45Utils-bindNotReq e-3 arg-2 (bs+ (blodwen-toSignedInt 1 63) arg-3 63) e-10 (vector 0 ) arg-6 u--tmptm))) (let ((e-5 (car sc3))) (let ((e-4 (cdr sc3))) (cons e-5 (CoreC-45TT-refToLocal (vector 2 "arg" arg-3) e-2 e-4))))))) ((2) (let ((e-15 (vector-ref arg-5 1))) (let ((u--tmptm (CoreC-45TTC-45SubstEnv-subst (vector 1 arg-2 (vector 0 ) (vector 2 "arg" arg-3)) arg-7))) (let ((sc3 (TTImpC-45ElabC-45Utils-bindNotReq e-3 arg-2 (bs+ (blodwen-toSignedInt 1 63) arg-3 63) e-10 e-15 arg-6 u--tmptm))) (let ((e-5 (car sc3))) (let ((e-4 (cdr sc3))) (cons e-5 (CoreC-45TT-refToLocal (vector 2 "arg" arg-3) e-2 e-4)))))))) (else (let ((e-19 (vector-ref arg-5 1))) (TTImpC-45ElabC-45Utils-bindNotReq e-3 arg-2 arg-3 e-10 e-19 (cons (cons (TTImpC-45ElabC-45Utils-plicit e-9) e-2) arg-6) (vector 3 arg-2 e-2 (vector 2 (CoreC-45TT-binderLoc e-9) (CoreC-45TT-multiplicity e-9) (vector 1 ) (CoreC-45TT-binderType e-9)) arg-7))))))))))))
(define TTImpC-45ElabC-45Binders-n--12274-13518-u--linearErr (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19) (case (vector-ref arg-19 0) ((14) (let ((e-2 (vector-ref arg-19 3))) (box e-2))) ((66) (let ((e-6 (vector-ref arg-19 3))) (TTImpC-45ElabC-45Binders-n--12274-13518-u--linearErr arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 e-6))) ((67) (let ((e-9 (vector-ref arg-19 3))) (TTImpC-45ElabC-45Binders-n--12274-13518-u--linearErr arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 e-9))) ((68) (let ((e-12 (vector-ref arg-19 3))) (TTImpC-45ElabC-45Binders-n--12274-13518-u--linearErr arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 e-12))) ((69) (let ((e-15 (vector-ref arg-19 3))) (TTImpC-45ElabC-45Binders-n--12274-13518-u--linearErr arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 e-15)))(else '()))))
(define TTImpC-45ElabC-45Binders-n--10304-11842-u--getRig (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18) (case (vector-ref arg-18 0) ((1) arg-11)(else (csegen-54)))))
(define TTImpC-45ElabC-45Binders-n--10031-11533-u--drop (lambda (arg-1 arg-2 arg-4) (if (null? arg-4) '() (let ((e-2 (car arg-4))) (let ((e-3 (cdr arg-4))) (let ((e-6 (car e-2))) (let ((e-7 (cdr e-2))) (let ((sc2 (CoreC-45Name-u--C-61C-61_Eq_Name e-6 arg-2))) (cond ((equal? sc2 1) (TTImpC-45ElabC-45Binders-n--10031-11533-u--drop arg-1 arg-2 e-3)) (else (cons (cons e-6 e-7) (TTImpC-45ElabC-45Binders-n--10031-11533-u--drop arg-1 arg-2 e-3))))))))))))
(define TTImpC-45ElabC-45Binders-weakenExp (lambda (arg-0 arg-1 arg-2 arg-3) (if (null? arg-3) (lambda (eta-0) (vector 1 '())) (let ((e-2 (unbox arg-3))) (let ((eff-0 (CoreC-45NormaliseC-45Eval-getTerm e-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (box (CoreC-45NormaliseC-45Eval-gnf (cons arg-0 arg-1) arg-2 (CoreC-45TT-u--weaken_Weaken_Term e-5))))))) eff-1)))))))))))
(define TTImpC-45ElabC-45Binders-inferLambda (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17) (let ((eff-0 (TTImpC-45ElabC-45Binders-findLamRig arg-1 arg-17))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--rigb (AlgebraC-45Preorder-glb (csegen-2915) e-5 arg-12))) (let ((eff-1 (TTImpC-45ElabC-45Check-uniVar arg-1 arg-3 arg-11))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45ElabC-45Check-check arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 (csegen-54) arg-8 arg-9 arg-10 arg-15 (box (CoreC-45NormaliseC-45Eval-gType arg-11 e-6))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((e-2 (car e-7))) (let ((eff-3 (TTImpC-45ElabC-45Binders-checkPiInfo arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-12 arg-8 arg-9 arg-10 arg-13 (box (CoreC-45NormaliseC-45Eval-gnf arg-0 arg-10 e-2))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-4 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((u--envC-39 (cons (vector 0 arg-11 u--rigb e-8 e-2) arg-10))) (let ((u--nestC-39 (TTImpC-45TTImp-u--weaken_Weaken_NestedNames (TTImpC-45ElabC-45Binders-dropName arg-14 arg-9)))) (let ((eff-4 (TTImpC-45ElabC-45Check-inScope arg-14 arg-0 arg-1 arg-4 arg-11 u--envC-39 (lambda (u--eC-39) (TTImpC-45ElabC-45Check-check (cons arg-14 arg-0) arg-1 arg-2 arg-3 u--eC-39 arg-5 arg-6 arg-7 arg-8 u--nestC-39 u--envC-39 arg-16 '()))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-4 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (let ((e-10 (car e-9))) (let ((e-4 (cdr e-9))) (let ((eff-5 (CoreC-45NormaliseC-45Eval-getTerm e-4))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-11 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-5 1))) (let ((eff-6 (let ((u--lamty (CoreC-45NormaliseC-45Eval-gnf arg-0 arg-10 (vector 3 arg-11 arg-14 (vector 2 arg-11 u--rigb e-8 e-2) e-11)))) (let ((eff-6 (CoreC-45Normalise-logGlue arg-0 arg-1 (csegen-3349) 5 (lambda () ((csegen-0) "Inferred lambda type")) arg-10 u--lamty))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-12 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-12)))) (else (let ((eff-7 (let ((eff-7 (PreludeC-45Types-maybe (lambda () (lambda (eta-0) (vector 1 (vector 0 )))) (lambda () (lambda (eta-0) (CoreC-45Normalise-logGlueNF arg-0 arg-1 (csegen-3349) 5 (lambda () ((csegen-0) "Expected lambda type")) arg-10 eta-0))) arg-17))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-13 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((eff-8 (TTImpC-45ElabC-45Check-checkExp arg-0 arg-1 arg-3 arg-4 arg-7 arg-8 arg-10 arg-11 (vector 3 arg-11 arg-14 (vector 0 arg-11 u--rigb e-8 e-2) e-10) u--lamty arg-17))) eff-8)))))))) eff-7))))))))) eff-6))))))))))) eff-5))))))))))) eff-4)))))))))) eff-3))))))))) eff-2)))))))))) eff-1)))))))))
(define TTImpC-45ElabC-45Binders-getTyNF (lambda (arg-0 arg-1 arg-2 arg-3) (case (vector-ref arg-3 0) ((3) (lambda (eta-0) (vector 1 arg-3)))(else (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-nf arg-1 arg-0 e-5 arg-2 arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (lambda (eta-0) (CoreC-45Context-clearDefs e-5 eta-0)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-1 arg-0 e-7 arg-2 e-6))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))
(define TTImpC-45ElabC-45Binders-findLamRig (lambda (arg-1 arg-2) (if (null? arg-2) (lambda (eta-0) (vector 1 (AlgebraC-45ZeroOneOmega-u--top_Top_ZeroOneOmega))) (let ((e-2 (unbox arg-2))) (let ((eff-0 (CoreC-45NormaliseC-45Eval-getNF arg-1 e-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (clam-0) (case (vector-ref e-5 0) ((0) (let ((e-3 (vector-ref e-5 3))) (case (vector-ref e-3 0) ((2) (let ((e-7 (vector-ref e-3 2))) (vector 1 e-7)))(else (vector 1 (AlgebraC-45ZeroOneOmega-u--top_Top_ZeroOneOmega))))))(else (vector 1 (AlgebraC-45ZeroOneOmega-u--top_Top_ZeroOneOmega))))))) eff-1)))))))))))
(define TTImpC-45ElabC-45Binders-dropName (lambda (arg-1 arg-2) (let ((eff-0 arg-2)) (TTImpC-45ElabC-45Binders-n--10031-11533-u--drop arg-2 arg-1 eff-0))))
(define TTImpC-45ElabC-45Binders-checkPiInfo (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12) (case (vector-ref arg-11 0) ((1) (lambda (eta-0) (vector 1 (vector 1 )))) ((0) (lambda (eta-0) (vector 1 (vector 0 )))) ((2) (lambda (eta-0) (vector 1 (vector 2 )))) (else (let ((e-4 (vector-ref arg-11 1))) (let ((eff-0 (TTImpC-45ElabC-45Check-check arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 e-4 arg-12))) (PrimIO-io_bind eff-0 (csegen-2796))))))))
(define TTImpC-45ElabC-45Binders-checkPi (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17) (let ((u--pirig (TTImpC-45ElabC-45Binders-n--10304-11842-u--getRig arg-0 arg-17 arg-16 arg-15 arg-14 arg-13 arg-12 arg-11 arg-10 arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 (let ((e-0 (vector-ref arg-8 0))) e-0)))) (let ((eff-0 (TTImpC-45ElabC-45Check-uniVar arg-1 arg-3 arg-11))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (TTImpC-45ElabC-45Check-check arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 u--pirig arg-8 arg-9 arg-10 arg-15 (box (CoreC-45NormaliseC-45Eval-gType arg-11 e-5))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((e-2 (car e-6))) (let ((eff-2 (TTImpC-45ElabC-45Binders-checkPiInfo arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-12 arg-8 arg-9 arg-10 arg-13 (box (CoreC-45NormaliseC-45Eval-gnf arg-0 arg-10 e-2))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((u--envC-39 (cons (vector 2 arg-11 arg-12 e-7 e-2) arg-10))) (let ((u--nestC-39 (TTImpC-45TTImp-u--weaken_Weaken_NestedNames (TTImpC-45ElabC-45Binders-dropName arg-14 arg-9)))) (let ((eff-3 (TTImpC-45ElabC-45Check-uniVar arg-1 arg-3 arg-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-4 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (TTImpC-45ElabC-45Check-inScope arg-14 arg-0 arg-1 arg-4 arg-11 u--envC-39 (lambda (u--eC-39) (TTImpC-45ElabC-45Check-check (cons arg-14 arg-0) arg-1 arg-2 arg-3 u--eC-39 arg-5 arg-6 u--pirig arg-8 u--nestC-39 u--envC-39 arg-16 (box (CoreC-45NormaliseC-45Eval-gType arg-11 e-8))))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-4 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (let ((e-10 (car e-9))) (let ((eff-5 (TTImpC-45ElabC-45Check-uniVar arg-1 arg-3 arg-11))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-11 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-5 1))) (let ((eff-6 (TTImpC-45ElabC-45Check-checkExp arg-0 arg-1 arg-3 arg-4 arg-7 arg-8 arg-10 arg-11 (vector 3 arg-11 arg-14 (vector 2 (TTImpC-45TTImp-getFC arg-15) arg-12 e-7 e-2) e-10) (CoreC-45NormaliseC-45Eval-gType arg-11 e-11) arg-17))) eff-6)))))))))) eff-5))))))))) eff-4))))))))))) eff-3)))))))))) eff-2))))))))) eff-1))))))))))
(define TTImpC-45ElabC-45Binders-checkLet (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18) (let ((u--rigc (let ((sc0 (AlgebraC-45Semiring-isErased (csegen-1156) arg-7))) (cond ((equal? sc0 1) (csegen-54)) (else (csegen-1778)))))) (let ((eff-0 (TTImpC-45ElabC-45Check-uniVar arg-1 arg-3 arg-11))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (TTImpC-45ElabC-45Check-check arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 (csegen-54) arg-8 arg-9 arg-10 arg-15 (box (CoreC-45NormaliseC-45Eval-gType arg-11 e-5))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((e-2 (car e-6))) (let ((eff-2 (TTImpC-45ElabC-45Check-handle arg-0 arg-1 arg-2 arg-3 arg-4 (let ((eff-2 (TTImpC-45ElabC-45Delayed-runDelays arg-0 arg-1 arg-2 arg-3 arg-4 (csegen-3353) (TTImpC-45ElabC-45Check-check arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 (AlgebraC-45ZeroOneOmega-rigMult arg-13 u--rigc) (let ((e-0 (vector-ref arg-8 0))) (let ((e-1 (vector-ref arg-8 1))) (let ((e-9 (vector-ref arg-8 2))) (let ((e-8 (vector-ref arg-8 3))) (let ((e-7 (vector-ref arg-8 5))) (vector e-0 e-1 e-9 e-8 1 e-7)))))) arg-9 arg-10 arg-16 (box (CoreC-45NormaliseC-45Eval-gnf arg-0 arg-10 e-2)))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (cons (Builtin-fst e-7) (cons (Builtin-snd e-7) (AlgebraC-45ZeroOneOmega-rigMult arg-13 u--rigc))))))) eff-3))))))) (lambda (u--err) (let ((sc3 (TTImpC-45ElabC-45Binders-n--12274-13518-u--linearErr arg-0 arg-18 arg-17 arg-16 arg-15 arg-14 arg-13 arg-12 arg-11 arg-10 arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 u--err))) (if (null? sc3) (let ((eff-2 (TTImpC-45ElabC-45Check-check arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 (AlgebraC-45ZeroOneOmega-rigMult arg-13 u--rigc) arg-8 arg-9 arg-10 arg-16 (box (CoreC-45NormaliseC-45Eval-gnf arg-0 arg-10 e-2))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (cons (Builtin-fst e-7) (cons (Builtin-snd e-7) (AlgebraC-45ZeroOneOmega-rigMult arg-13 u--rigc))))))) eff-3))))))) (let ((e-1 (unbox sc3))) (AlgebraC-45Semiring-branchOne (csegen-1156) (lambda () (let ((eff-2 (TTImpC-45ElabC-45Delayed-runDelays arg-0 arg-1 arg-2 arg-3 arg-4 (csegen-3353) (TTImpC-45ElabC-45Check-check arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 (csegen-1778) arg-8 arg-9 arg-10 arg-16 (box (CoreC-45NormaliseC-45Eval-gnf arg-0 arg-10 e-2)))))) (PrimIO-io_bind eff-2 (csegen-3330)))) (lambda () (let ((eff-2 (TTImpC-45ElabC-45Check-check arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 (AlgebraC-45ZeroOneOmega-rigMult arg-13 u--rigc) arg-8 arg-9 arg-10 arg-16 (box (CoreC-45NormaliseC-45Eval-gnf arg-0 arg-10 e-2))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (cons (Builtin-fst e-7) (cons (Builtin-snd e-7) (AlgebraC-45ZeroOneOmega-rigMult arg-13 u--rigc))))))) eff-3)))))))) e-1)))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((e-8 (car e-7))) (let ((e-4 (cdr e-7))) (let ((e-9 (cdr e-4))) (let ((u--envC-39 (cons (vector 0 arg-11 e-9 (vector 1 ) e-2) arg-10))) (let ((u--nestC-39 (TTImpC-45TTImp-u--weaken_Weaken_NestedNames (TTImpC-45ElabC-45Binders-dropName arg-14 arg-9)))) (let ((eff-3 (TTImpC-45ElabC-45Binders-weakenExp arg-14 arg-0 u--envC-39 arg-18))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (TTImpC-45ElabC-45Check-inScope arg-14 arg-0 arg-1 arg-4 arg-11 u--envC-39 (lambda (u--eC-39) (TTImpC-45ElabC-45Check-check (cons arg-14 arg-0) arg-1 arg-2 arg-3 u--eC-39 arg-5 arg-6 u--rigc arg-8 u--nestC-39 u--envC-39 arg-17 e-11))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-12 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-12)))) (else (let ((e-12 (vector-ref lcase-4 1))) (let ((eff-5 (let ((e-14 (car e-12))) (let ((e-13 (cdr e-12))) (let ((eff-5 (CoreC-45NormaliseC-45Eval-getTerm e-13))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-15 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-15)))) (else (let ((e-15 (vector-ref lcase-5 1))) (let ((eff-6 (let ((eff-6 (CoreC-45ContextC-45Log-log arg-1 (csegen-2906) 7 (lambda () ((csegen-0) "checkLet is adding \x2193;"))))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-16 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-16)))) (else (let ((eff-7 (let ((eff-7 (CoreC-45Metadata-addNameType arg-0 arg-1 arg-2 arg-12 arg-14 arg-10 e-2))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-17 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-17)))) (else (let ((eff-8 (lambda (eta-0) (vector 1 (cons (vector 3 arg-11 arg-14 (vector 1 arg-11 e-9 e-8 e-2) e-14) (CoreC-45NormaliseC-45Eval-gnf arg-0 arg-10 (vector 3 arg-11 arg-14 (vector 1 arg-11 e-9 e-8 e-2) e-15))))))) eff-8)))))))) eff-7)))))))) eff-6))))))))))) eff-5))))))))) eff-4)))))))))))))) eff-3)))))))))) eff-2))))))))) eff-1))))))))))
(define TTImpC-45ElabC-45Binders-checkLambda (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17) (if (null? arg-17) (let ((u--rig (let ((sc1 (AlgebraC-45Semiring-isErased (csegen-1156) arg-7))) (cond ((equal? sc1 1) (csegen-54)) (else (csegen-1778)))))) (TTImpC-45ElabC-45Binders-inferLambda arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 u--rig arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 '())) (let ((e-2 (unbox arg-17))) (let ((u--rig (let ((sc1 (AlgebraC-45Semiring-isErased (csegen-1156) arg-7))) (cond ((equal? sc1 1) (csegen-54)) (else (csegen-1778)))))) (let ((u--solvemode (let ((e-0 (vector-ref arg-8 0))) (case (vector-ref e-0 0) ((1) (CoreC-45Unify-inLHS))(else (CoreC-45Unify-inTerm)))))) (let ((eff-0 (CoreC-45Unify-solveConstraints arg-1 arg-3 u--solvemode 0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-getTerm e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-3 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45ElabC-45Binders-getTyNF arg-0 arg-1 arg-10 e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-3 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (let ((eff-3 arg-1)) (PrimIO-io_bind (let ((eff-4 eff-3)) (lambda (eta-0) (unbox eff-4))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-3 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (case (vector-ref e-7 0) ((3) (let ((e-1 (vector-ref e-7 1))) (let ((e-9 (vector-ref e-7 2))) (let ((e-3 (vector-ref e-7 3))) (let ((e-4 (vector-ref e-7 4))) (case (vector-ref e-3 0) ((2) (let ((e-13 (vector-ref e-3 1))) (let ((e-12 (vector-ref e-3 2))) (let ((e-11 (vector-ref e-3 3))) (let ((e-10 (vector-ref e-3 4))) (let ((eff-4 (TTImpC-45ElabC-45Check-uniVar arg-1 arg-3 e-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (let ((eff-5 (TTImpC-45ElabC-45Check-check arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 (csegen-54) arg-8 arg-9 arg-10 arg-15 (box (CoreC-45NormaliseC-45Eval-gType arg-11 e-14))))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-15 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-15)))) (else (let ((e-15 (vector-ref lcase-5 1))) (let ((eff-6 (let ((u--exptynf (vector 3 e-1 e-9 (vector 2 e-13 e-12 e-11 e-10) e-4))) (let ((e-17 (car e-15))) (let ((eff-6 (TTImpC-45ElabC-45Binders-checkPiInfo arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-12 arg-8 arg-9 arg-10 arg-13 (box (CoreC-45NormaliseC-45Eval-gnf arg-0 arg-10 e-17))))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-18 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-18)))) (else (let ((e-18 (vector-ref lcase-6 1))) (let ((eff-7 (let ((u--rigb (AlgebraC-45Preorder-glb (csegen-2915) arg-12 e-12))) (let ((u--envC-39 (cons (vector 0 arg-11 u--rigb e-18 e-17) arg-10))) (let ((eff-7 (let ((eff-7 (TTImpC-45ElabC-45Check-convert arg-0 arg-1 arg-3 arg-4 arg-11 arg-8 arg-10 (CoreC-45NormaliseC-45Eval-gnf arg-0 arg-10 e-17) (CoreC-45NormaliseC-45Eval-gnf arg-0 arg-10 e-10)))) (((csegen-50) ((let ((eff-8 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-19 (vector-ref eta-3 1))) (vector 0 e-19))) (else (let ((e-19 (vector-ref eta-3 1))) (vector 1 (eta-2 e-19))))))))))) (lambda (arg-18) (lambda (arg-19) ((((eff-8 'erased) 'erased) arg-18) arg-19)))) (lambda (_-8679) (vector 0 )))) eff-7)))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-19 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-19)))) (else (let ((eff-8 (let ((u--nestC-39 (TTImpC-45TTImp-u--weaken_Weaken_NestedNames (TTImpC-45ElabC-45Binders-dropName arg-14 arg-9)))) (let ((eff-8 (TTImpC-45ElabC-45Check-inScope arg-14 arg-0 arg-1 arg-4 arg-11 u--envC-39 (lambda (u--eC-39) (TTImpC-45ElabC-45Check-check (cons arg-14 arg-0) arg-1 arg-2 arg-3 u--eC-39 arg-5 arg-6 u--rig arg-8 u--nestC-39 u--envC-39 arg-16 (box (CoreC-45NormaliseC-45Eval-gnf (cons arg-14 arg-0) u--envC-39 (CoreC-45TT-renameTop arg-14 e-4)))))))) (PrimIO-io_bind eff-8 (lambda (lcase-8) (case (vector-ref lcase-8 0) ((0) (let ((e-20 (vector-ref lcase-8 1))) (lambda (eta-0) (vector 0 e-20)))) (else (let ((e-20 (vector-ref lcase-8 1))) (let ((eff-9 (let ((e-22 (car e-20))) (let ((e-21 (cdr e-20))) (let ((eff-9 (CoreC-45Normalise-logTermNF arg-0 arg-1 (csegen-3349) 10 (lambda () ((csegen-0) "Lambda type")) arg-10 u--exptynf))) (PrimIO-io_bind eff-9 (lambda (lcase-9) (case (vector-ref lcase-9 0) ((0) (let ((e-23 (vector-ref lcase-9 1))) (lambda (eta-0) (vector 0 e-23)))) (else (let ((eff-10 (let ((eff-10 (CoreC-45Normalise-logGlueNF (cons arg-14 arg-0) arg-1 (csegen-3349) 10 (lambda () ((csegen-0) "Got scope type")) u--envC-39 e-21))) (PrimIO-io_bind eff-10 (lambda (lcase-10) (case (vector-ref lcase-10 0) ((0) (let ((e-24 (vector-ref lcase-10 1))) (lambda (eta-0) (vector 0 e-24)))) (else (let ((eff-11 (let ((eff-11 (CoreC-45ContextC-45Log-log arg-1 (csegen-2906) 7 (lambda () ((csegen-0) "checkLambda is adding \x2193;"))))) (PrimIO-io_bind eff-11 (lambda (lcase-11) (case (vector-ref lcase-11 0) ((0) (let ((e-25 (vector-ref lcase-11 1))) (lambda (eta-0) (vector 0 e-25)))) (else (let ((eff-12 (let ((eff-12 (CoreC-45Metadata-addNameType arg-0 arg-1 arg-2 arg-11 arg-14 arg-10 e-10))) (PrimIO-io_bind eff-12 (lambda (lcase-12) (case (vector-ref lcase-12 0) ((0) (let ((e-26 (vector-ref lcase-12 1))) (lambda (eta-0) (vector 0 e-26)))) (else (let ((eff-13 (let ((eff-13 (let ((eff-13 (CoreC-45NormaliseC-45Eval-getTerm e-21))) (PrimIO-io_bind eff-13 (lambda (lcase-13) (case (vector-ref lcase-13 0) ((0) (let ((e-27 (vector-ref lcase-13 1))) (lambda (eta-0) (vector 0 e-27)))) (else (let ((e-27 (vector-ref lcase-13 1))) (let ((eff-14 (lambda (clam-0) (let ((sc19 (AlgebraC-45ZeroOneOmega-u--C-47C-61_Eq_ZeroOneOmega u--rigb e-12))) (cond ((equal? sc19 1) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 1 arg-0 arg-11 (let ((e-0 (vector-ref e-8 0))) e-0) arg-10 (vector 3 arg-11 arg-14 (vector 2 e-13 u--rigb e-18 e-17) e-27) (vector 3 arg-11 e-9 (vector 2 e-13 e-12 e-18 e-10) e-4)) clam-0)) (else (vector 1 (vector 0 )))))))) eff-14))))))))) (PrimIO-io_bind eff-13 (lambda (lcase-13) (case (vector-ref lcase-13 0) ((0) (let ((e-27 (vector-ref lcase-13 1))) (lambda (eta-0) (vector 0 e-27)))) (else (let ((eff-14 (let ((eff-14 (CoreC-45NormaliseC-45Eval-getTerm e-21))) (PrimIO-io_bind eff-14 (lambda (lcase-14) (case (vector-ref lcase-14 0) ((0) (let ((e-28 (vector-ref lcase-14 1))) (lambda (eta-0) (vector 0 e-28)))) (else (let ((e-28 (vector-ref lcase-14 1))) (let ((eff-15 (lambda (eta-0) (vector 1 (cons (vector 3 arg-11 arg-14 (vector 0 e-13 u--rigb e-18 e-17) e-22) (CoreC-45NormaliseC-45Eval-gnf arg-0 arg-10 (vector 3 arg-11 arg-14 (vector 2 e-13 u--rigb e-18 e-17) e-28))))))) eff-15))))))))) eff-14)))))))) eff-13)))))))) eff-12)))))))) eff-11)))))))) eff-10)))))))))) eff-9)))))))))) eff-8)))))))))) eff-7))))))))))) eff-6))))))))) eff-5))))))))))))(else (TTImpC-45ElabC-45Binders-inferLambda arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 u--rig arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 (box e-2)))))))))(else (TTImpC-45ElabC-45Binders-inferLambda arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 u--rig arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 (box e-2)))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))))
(define TTImpC-45ElabC-45As-n--10075-11600-u--rigPatC-39 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17) (cond ((equal? arg-17 0) (let ((sc1 (AlgebraC-45Semiring-isLinear (csegen-1156) arg-10))) (cond ((equal? sc1 1) (csegen-1778)) (else arg-10)))) (else (let ((sc1 (AlgebraC-45Semiring-isLinear (csegen-1156) arg-10))) (cond ((equal? sc1 1) (csegen-54)) (else arg-10)))))))
(define TTImpC-45ElabC-45As-n--10075-11601-u--rigPat (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16) (TTImpC-45ElabC-45As-n--10075-11600-u--rigPatC-39 arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-4)))
(define TTImpC-45ElabC-45As-n--10075-11602-u--rigAsC-39 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17) (cond ((equal? arg-17 0) (let ((sc1 (AlgebraC-45Semiring-isLinear (csegen-1156) arg-10))) (cond ((equal? sc1 1) (csegen-54)) (else arg-10)))) (else (let ((sc1 (AlgebraC-45Semiring-isLinear (csegen-1156) arg-10))) (cond ((equal? sc1 1) (csegen-1778)) (else arg-10)))))))
(define TTImpC-45ElabC-45As-n--10075-11603-u--rigAs (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16) (TTImpC-45ElabC-45As-n--10075-11602-u--rigAsC-39 arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-4)))
(define TTImpC-45ElabC-45As-checkAs (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16) (let ((u--elabmode (let ((e-0 (vector-ref arg-8 0))) e-0))) (case (vector-ref u--elabmode 0) ((1) (let ((eff-0 (let ((eff-0 arg-4)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--n (vector 3 arg-14 (let ((e-2 (vector-ref e-5 1))) e-2)))) (let ((eff-1 (TTImpC-45ElabC-45Check-noteLHSPatVar arg-4 u--elabmode arg-14))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (TTImpC-45ElabC-45Check-notePatVar arg-4 u--n))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (let ((sc4 (DataC-45List-lookup (csegen-1008) u--n (let ((e-17 (vector-ref e-5 4))) e-17)))) (if (null? sc4) (let ((eff-3 (TTImpC-45ElabC-45Check-check arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 (TTImpC-45ElabC-45As-n--10075-11601-u--rigPat arg-0 arg-16 arg-15 arg-14 arg-13 arg-12 arg-11 arg-10 arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1) arg-8 arg-9 arg-10 arg-15 arg-16))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((e-2 (car e-8))) (let ((e-3 (cdr e-8))) (let ((eff-4 (TTImpC-45ElabC-45ImplicitBind-mkPatternHole arg-0 arg-4 arg-1 arg-3 arg-12 arg-7 u--n arg-10 (let ((e-1 (vector-ref arg-8 1))) e-1) arg-16))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-4 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (let ((e-10 (car e-9))) (let ((e-4 (cdr e-9))) (let ((e-12 (car e-4))) (let ((e-11 (cdr e-4))) (let ((eff-5 (CoreC-45ContextC-45Log-log arg-1 "elab.as" 5 (lambda () (string-append ((csegen-0) "Added as pattern name ") (PreludeC-45Show-u--show_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (cons (csegen-100) (cons (lambda (u--x) (PreludeC-45Show-u--show_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (cons (csegen-1030) (cons (lambda (x-0) (PreludeC-45Show-u--show_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (cons (cons (lambda (x-1) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-0 x-1)) (lambda (u--d) (lambda (x-1) (CoreC-45TT-u--showPrec_Show_C-40TermC-32C-36varsC-41 arg-0 u--d x-1)))) (cons (lambda (x-1) (PreludeC-45Show-u--show_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (cons (cons (lambda (x-2) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-0 x-2)) (lambda (u--d) (lambda (x-2) (CoreC-45TT-u--showPrec_Show_C-40TermC-32C-36varsC-41 arg-0 u--d x-2)))) (cons (lambda (x-2) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-0 x-2)) (lambda (u--d) (lambda (x-2) (CoreC-45TT-u--showPrec_Show_C-40TermC-32C-36varsC-41 arg-0 u--d x-2))))) x-1)) (lambda (u--d) (lambda (x-1) (PreludeC-45Show-u--showPrec_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (cons (cons (lambda (x-2) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-0 x-2)) (lambda (d-0) (lambda (x-2) (CoreC-45TT-u--showPrec_Show_C-40TermC-32C-36varsC-41 arg-0 d-0 x-2)))) (cons (lambda (x-2) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-0 x-2)) (lambda (d-0) (lambda (x-2) (CoreC-45TT-u--showPrec_Show_C-40TermC-32C-36varsC-41 arg-0 d-0 x-2))))) u--d x-1))))) x-0)) (lambda (u--d) (lambda (x-0) (PreludeC-45Show-u--showPrec_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (cons (cons (lambda (x-1) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-0 x-1)) (lambda (d-0) (lambda (x-1) (CoreC-45TT-u--showPrec_Show_C-40TermC-32C-36varsC-41 arg-0 d-0 x-1)))) (cons (lambda (x-1) (PreludeC-45Show-u--show_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (cons (cons (lambda (x-2) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-0 x-2)) (lambda (d-0) (lambda (x-2) (CoreC-45TT-u--showPrec_Show_C-40TermC-32C-36varsC-41 arg-0 d-0 x-2)))) (cons (lambda (x-2) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-0 x-2)) (lambda (d-0) (lambda (x-2) (CoreC-45TT-u--showPrec_Show_C-40TermC-32C-36varsC-41 arg-0 d-0 x-2))))) x-1)) (lambda (d-0) (lambda (x-1) (PreludeC-45Show-u--showPrec_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (cons (cons (lambda (x-2) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-0 x-2)) (lambda (d-1) (lambda (x-2) (CoreC-45TT-u--showPrec_Show_C-40TermC-32C-36varsC-41 arg-0 d-1 x-2)))) (cons (lambda (x-2) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-0 x-2)) (lambda (d-1) (lambda (x-2) (CoreC-45TT-u--showPrec_Show_C-40TermC-32C-36varsC-41 arg-0 d-1 x-2))))) d-0 x-1))))) u--d x-0))))) u--x)) (lambda (u--d) (lambda (u--x) (PreludeC-45Show-u--showPrec_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (cons (csegen-1030) (cons (lambda (x-0) (PreludeC-45Show-u--show_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (cons (cons (lambda (x-1) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-0 x-1)) (lambda (d-0) (lambda (x-1) (CoreC-45TT-u--showPrec_Show_C-40TermC-32C-36varsC-41 arg-0 d-0 x-1)))) (cons (lambda (x-1) (PreludeC-45Show-u--show_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (cons (cons (lambda (x-2) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-0 x-2)) (lambda (d-0) (lambda (x-2) (CoreC-45TT-u--showPrec_Show_C-40TermC-32C-36varsC-41 arg-0 d-0 x-2)))) (cons (lambda (x-2) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-0 x-2)) (lambda (d-0) (lambda (x-2) (CoreC-45TT-u--showPrec_Show_C-40TermC-32C-36varsC-41 arg-0 d-0 x-2))))) x-1)) (lambda (d-0) (lambda (x-1) (PreludeC-45Show-u--showPrec_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (cons (cons (lambda (x-2) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-0 x-2)) (lambda (d-1) (lambda (x-2) (CoreC-45TT-u--showPrec_Show_C-40TermC-32C-36varsC-41 arg-0 d-1 x-2)))) (cons (lambda (x-2) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-0 x-2)) (lambda (d-1) (lambda (x-2) (CoreC-45TT-u--showPrec_Show_C-40TermC-32C-36varsC-41 arg-0 d-1 x-2))))) d-0 x-1))))) x-0)) (lambda (d-0) (lambda (x-0) (PreludeC-45Show-u--showPrec_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (cons (cons (lambda (x-1) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-0 x-1)) (lambda (d-1) (lambda (x-1) (CoreC-45TT-u--showPrec_Show_C-40TermC-32C-36varsC-41 arg-0 d-1 x-1)))) (cons (lambda (x-1) (PreludeC-45Show-u--show_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (cons (cons (lambda (x-2) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-0 x-2)) (lambda (d-1) (lambda (x-2) (CoreC-45TT-u--showPrec_Show_C-40TermC-32C-36varsC-41 arg-0 d-1 x-2)))) (cons (lambda (x-2) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-0 x-2)) (lambda (d-1) (lambda (x-2) (CoreC-45TT-u--showPrec_Show_C-40TermC-32C-36varsC-41 arg-0 d-1 x-2))))) x-1)) (lambda (d-1) (lambda (x-1) (PreludeC-45Show-u--showPrec_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (cons (cons (lambda (x-2) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-0 x-2)) (lambda (d-2) (lambda (x-2) (CoreC-45TT-u--showPrec_Show_C-40TermC-32C-36varsC-41 arg-0 d-2 x-2)))) (cons (lambda (x-2) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-0 x-2)) (lambda (d-2) (lambda (x-2) (CoreC-45TT-u--showPrec_Show_C-40TermC-32C-36varsC-41 arg-0 d-2 x-2))))) d-1 x-1))))) d-0 x-0))))) u--d u--x))))) (cons u--n (cons (TTImpC-45ElabC-45As-n--10075-11603-u--rigAs arg-0 arg-16 arg-15 arg-14 arg-13 arg-12 arg-11 arg-10 arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1) (cons e-10 (cons e-12 e-11)))))))))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-13 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((eff-6 (let ((eff-6 (let ((eff-6 arg-1)) (PrimIO-io_bind (let ((eff-7 eff-6)) (lambda (eta-0) (unbox eff-7))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-14 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((eff-7 (let ((eff-7 (let ((eff-7 (let ((eff-7 arg-4)) (PrimIO-io_bind (let ((eff-8 eff-7)) (lambda (eta-0) (unbox eff-8))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-15 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-15)))) (else (let ((e-15 (vector-ref lcase-7 1))) (let ((eff-8 (let ((eff-8 arg-4)) (PrimIO-io_bind (let ((eff-9 eff-8)) (lambda (eta-0) (set-box! eff-9 (let ((e-1 (vector-ref e-15 0))) (let ((e-28 (vector-ref e-15 1))) (let ((e-27 (vector-ref e-15 2))) (let ((e-26 (vector-ref e-15 3))) (let ((e-25 (vector-ref e-15 4))) (let ((e-24 (vector-ref e-15 5))) (let ((e-23 (vector-ref e-15 6))) (let ((e-22 (vector-ref e-15 7))) (let ((e-21 (vector-ref e-15 8))) (let ((e-20 (vector-ref e-15 9))) (let ((e-19 (vector-ref e-15 10))) (let ((e-18 (vector-ref e-15 11))) (let ((e-17 (vector-ref e-15 12))) (let ((e-16 (vector-ref e-15 13))) (vector e-1 e-28 e-27 e-26 (let ((u--vars arg-0)) (cons (cons u--n (vector 1 arg-0 (TTImpC-45ElabC-45As-n--10075-11603-u--rigAs u--vars arg-16 arg-15 arg-14 arg-13 arg-12 arg-11 arg-10 arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1) (vector 1 ) e-10 e-12 e-2)) e-25)) (let ((u--vars arg-0)) (cons (cons u--n (vector 1 arg-0 (TTImpC-45ElabC-45As-n--10075-11603-u--rigAs u--vars arg-16 arg-15 arg-14 arg-13 arg-12 arg-11 arg-10 arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1) (vector 1 ) e-10 e-11 e-2)) e-24)) e-23 e-22 e-21 e-20 e-19 e-18 e-17 e-16)))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-8))))))))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-15 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-15)))) (else (let ((eff-8 (let ((eff-8 (TTImpC-45ElabC-45Check-checkExp arg-0 arg-1 arg-3 arg-4 arg-7 arg-8 arg-10 arg-12 e-10 (CoreC-45NormaliseC-45Eval-gnf arg-0 arg-10 e-12) (box e-3)))) (PrimIO-io_bind eff-8 (lambda (lcase-8) (case (vector-ref lcase-8 0) ((0) (let ((e-16 (vector-ref lcase-8 1))) (lambda (eta-0) (vector 0 e-16)))) (else (let ((e-16 (vector-ref lcase-8 1))) (let ((eff-9 (let ((e-18 (car e-16))) (let ((e-17 (cdr e-16))) (let ((eff-9 (CoreC-45ContextC-45Log-log arg-1 (csegen-2906) 7 (lambda () ((csegen-0) "checkAs is adding \x2193;"))))) (PrimIO-io_bind eff-9 (lambda (lcase-9) (case (vector-ref lcase-9 0) ((0) (let ((e-19 (vector-ref lcase-9 1))) (lambda (eta-0) (vector 0 e-19)))) (else (let ((eff-10 (let ((eff-10 (let ((eff-10 (CoreC-45NormaliseC-45Eval-getTerm e-17))) (PrimIO-io_bind eff-10 (lambda (lcase-10) (case (vector-ref lcase-10 0) ((0) (let ((e-20 (vector-ref lcase-10 1))) (lambda (eta-0) (vector 0 e-20)))) (else (let ((e-20 (vector-ref lcase-10 1))) (let ((eff-11 (CoreC-45Metadata-addNameType arg-0 arg-1 arg-2 arg-12 arg-14 arg-10 e-20))) eff-11))))))))) (PrimIO-io_bind eff-10 (lambda (lcase-10) (case (vector-ref lcase-10 0) ((0) (let ((e-20 (vector-ref lcase-10 1))) (lambda (eta-0) (vector 0 e-20)))) (else (let ((eff-11 (lambda (eta-0) (vector 1 (cons (vector 5 arg-11 arg-13 e-18 e-2) e-3))))) eff-11)))))))) eff-10)))))))))) eff-9))))))))) eff-8)))))))) eff-7)))))))) eff-6)))))))))))) eff-5))))))))))) eff-4))))))) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 36 arg-11 arg-14) eta-0)))))) eff-3)))))))) eff-2))))))))) eff-1))))))))(else (let ((eff-0 (CoreC-45ContextC-45Log-log arg-1 "elab.as" 2 (lambda () (string-append "Bad @-pattern " (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 (csegen-100) arg-15)))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 arg-11 "@-patterns only allowed in pattern clauses") eta-0)))) eff-1)))))))))))
(define TTImpC-45ElabC-45App-with--checkAppWithC-39-18223 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20 arg-21 arg-22 arg-23 arg-24 arg-25) (if (null? arg-2) (TTImpC-45ElabC-45App-case--withC-32blockC-32inC-32checkAppWithC-39-18272 arg-3 arg-4 arg-9 arg-25 arg-24 arg-23 arg-22 arg-21 arg-20 arg-19 arg-18 arg-17 arg-16 arg-15 arg-14 arg-13 arg-12 arg-11 arg-10 arg-8 arg-7 arg-6 arg-5 arg-1 arg-0 (TTImpC-45ElabC-45App-findBindAllExpPattern arg-1)) (let ((e-1 (unbox arg-2))) (let ((e-5 (car e-1))) (let ((e-6 (cdr e-1))) (let ((e-10 (cdr e-5))) (let ((u--argRig (AlgebraC-45ZeroOneOmega-rigMult arg-19 arg-6))) (TTImpC-45ElabC-45App-checkRestApp arg-3 arg-25 arg-24 arg-23 arg-22 arg-21 arg-20 arg-19 u--argRig arg-18 arg-17 arg-16 arg-15 arg-14 arg-0 arg-5 arg-7 arg-13 e-10 '() arg-12 e-6 arg-11 arg-10)))))))))
(define TTImpC-45ElabC-45App-case--caseC-32blockC-32inC-32caseC-32blockC-32inC-32checkAppWith-20750 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20 arg-21 arg-22 arg-23 arg-24 arg-25 arg-26) (if (null? arg-26) (lambda (eta-0) (vector 1 arg-20)) (let ((e-1 (unbox arg-26))) (if (null? e-1) (lambda (eta-0) (vector 1 arg-20)) (let ((e-5 (cdr e-1))) (let ((sc2 (or (and (= e-5 (PreludeC-45TypesC-45List-lengthTR arg-25)) 1) 0))) (cond ((equal? sc2 1) (lambda (eta-0) (vector 1 arg-20))) (else (TTImpC-45ElabC-45Dot-registerDot arg-0 arg-19 arg-18 arg-17 arg-16 arg-13 arg-10 arg-9 6 (Builtin-fst arg-20) (Builtin-snd arg-20)))))))))))
(define TTImpC-45ElabC-45App-case--caseC-32blockC-32inC-32checkAppWith-20690 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20 arg-21 arg-22) (if (null? arg-22) (lambda (eta-0) (vector 1 arg-20)) (let ((e-2 (car arg-22))) (let ((e-3 (cdr arg-22))) (case (vector-ref e-2 0) ((1) (let ((e-5 (vector-ref e-2 1))) (let ((e-6 (vector-ref e-2 2))) (let ((e-7 (vector-ref e-2 3))) (TTImpC-45ElabC-45App-case--caseC-32blockC-32inC-32caseC-32blockC-32inC-32checkAppWith-20750 arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20 arg-21 e-5 e-7 e-6 e-3 (CoreC-45TT-isCon e-6))))))(else (lambda (eta-0) (vector 1 arg-20)))))))))
(define TTImpC-45ElabC-45App-case--caseC-32blockC-32inC-32checkAppWithC-39-20264 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20 arg-21 arg-22 arg-23 arg-24 arg-25 arg-26 arg-27 arg-28 arg-29 arg-30 arg-31 arg-32 arg-33 arg-34 arg-35 arg-36 arg-37) (if (null? arg-37) (lambda (eta-0) (vector 1 arg-35)) (let ((eff-0 (CoreC-45NormaliseC-45Eval-getTerm arg-34))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45UnifyState-newConstant arg-4 arg-19 arg-21 arg-11 arg-15 arg-12 (Builtin-fst arg-35) e-5 arg-37))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (cons e-6 (CoreC-45NormaliseC-45Eval-gnf arg-4 arg-12 arg-27)))))) eff-2))))))))) eff-1))))))))))
(define TTImpC-45ElabC-45App-case--withC-32blockC-32inC-32checkAppWithC-39-18272 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20 arg-21 arg-22 arg-23 arg-24 arg-25) (if (null? arg-25) (let ((eff-0 (let ((eff-0 arg-3)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((sc2 (PreludeC-45Interfaces-all (csegen-16) (lambda (eta-0) (TTImpC-45ElabC-45App-isImplicitAs eta-0)) (PreludeC-45TypesC-45List-tailRecAppend arg-16 ((csegen-947) (PreludeC-45TypesC-45List-filterAppend '() (csegen-3360) arg-23)))))) (cond ((equal? sc2 1) (TTImpC-45ElabC-45Check-checkExp arg-0 arg-3 arg-5 arg-6 arg-9 arg-10 arg-12 arg-13 arg-14 (CoreC-45Normalise-glueBack arg-3 arg-0 e-5 arg-12 arg-2) arg-18)) (else (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 27 arg-0 arg-13 arg-12 (PreludeC-45TypesC-45List-tailRecAppend ((csegen-3361) arg-16) ((csegen-101) arg-23)) arg-14) eta-0))))))) eff-1))))))) (let ((e-1 (unbox arg-25))) (let ((u--argRig (AlgebraC-45ZeroOneOmega-rigMult arg-9 arg-21))) (TTImpC-45ElabC-45App-checkRestApp arg-0 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 u--argRig arg-10 arg-11 arg-12 arg-13 arg-14 arg-24 arg-22 arg-20 arg-15 e-1 '() arg-16 arg-23 arg-17 arg-18))))))
(define TTImpC-45ElabC-45App-case--caseC-32blockC-32inC-32caseC-32blockC-32inC-32caseC-32blockC-32inC-32caseC-32blockC-32inC-32checkRestAppC-44checkRtoL-16765 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20 arg-21 arg-22 arg-23 arg-24 arg-25 arg-26 arg-27 arg-28 arg-29 arg-30 arg-31 arg-32 arg-33 arg-34 arg-35 arg-36 arg-37 arg-38 arg-39 arg-40 arg-41 arg-42 arg-43 arg-44 arg-45 arg-46 arg-47 arg-48) (if (null? arg-48) (let ((eff-0 (let ((eff-0 (CoreC-45Unify-updateSolution arg-0 arg-24 arg-22 arg-14 arg-32 arg-42))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-49) (lambda (arg-50) ((((eff-1 'erased) 'erased) arg-49) arg-50)))) (lambda (_-8679) (vector 0 )))) eff-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (lambda (eta-0) (vector 1 arg-36)))) eff-1)))))) (let ((eff-0 (CoreC-45NormaliseC-45Eval-getTerm arg-37))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45UnifyState-newConstant arg-0 arg-22 arg-24 arg-13 arg-18 arg-14 arg-36 e-5 arg-48))) eff-1))))))))))
(define TTImpC-45ElabC-45App-case--getVarType-12358 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10) (if (null? arg-10) (let ((eff-0 (TTImpC-45ElabC-45App-getNameType arg-0 arg-9 arg-8 arg-7 arg-6 arg-5 arg-3 arg-2 arg-1))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (clam-0) (let ((e-2 (car e-5))) (let ((e-3 (cdr e-5))) (vector 1 (cons e-2 (cons 0 e-3)))))))) eff-1))))))) (let ((e-2 (unbox arg-10))) (let ((e-5 (car e-2))) (let ((e-6 (cdr e-2))) (let ((e-9 (car e-6))) (let ((e-10 (cdr e-6))) (let ((eff-0 (let ((eff-0 arg-9)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-7 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--arglen (PreludeC-45TypesC-45List-lengthTR e-9))) (let ((u--nC-39 (DataC-45Maybe-fromMaybe (lambda () arg-1) e-5))) (let ((eff-1 (CoreC-45Context-lookupCtxtExact u--nC-39 (let ((e-0 (vector-ref e-7 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-3 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-8 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-8) (CoreC-45Context-undefinedName arg-9 arg-2 u--nC-39) (let ((e-3 (unbox e-8))) (let ((u--nt (DataC-45Maybe-fromMaybe (lambda () (vector 1 )) (CoreC-45ContextC-45Context-defNameType (let ((e-17 (vector-ref e-3 17))) e-17))))) (let ((u--tm ((e-10 arg-2) u--nt))) (let ((u--tyenv (TTImpC-45ElabC-45App-n--10657-12276-u--useVars arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-0 (CoreC-45TT-getArgs u--tm) (CoreC-45TT-embed (let ((e-29 (vector-ref e-3 2))) e-29))))) (let ((eff-2 (TTImpC-45ElabC-45App-checkVisibleNS arg-9 arg-2 (let ((e-1 (vector-ref e-3 1))) e-1) (let ((e-23 (vector-ref e-3 9))) e-23)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-3 (let ((eff-3 (CoreC-45ContextC-45Log-logTerm arg-0 arg-9 "elab" 5 (lambda () (string-append "Type of " (CoreC-45Name-u--show_Show_Name u--nC-39))) u--tyenv))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-4 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-4 (let ((eff-4 (CoreC-45ContextC-45Log-logTerm arg-0 arg-9 "elab" 5 (lambda () ((csegen-0) "Expands to")) u--tm))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-4 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-5 (let ((eff-5 (CoreC-45ContextC-45Log-log arg-9 "elab" 5 (lambda () (string-append ((csegen-0) "Arg length ") (PreludeC-45Show-u--show_Show_Nat u--arglen)))))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-4 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-6 (let ((eff-6 (CoreC-45ContextC-45Log-log arg-9 (csegen-2906) 7 (lambda () ((csegen-0) "getVarType is adding \x2193;"))))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-4 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-7 (let ((eff-7 (CoreC-45Metadata-addNameType arg-0 arg-9 arg-8 arg-2 arg-1 arg-3 u--tyenv))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-4 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-8 (let ((eff-8 (let ((sc12 (CoreC-45Name-isSourceName (let ((e-1 (vector-ref e-3 1))) e-1)))) (cond ((equal? sc12 1) (let ((sc13 (CoreC-45FC-isConcreteFC arg-2))) (if (null? sc13) (lambda (eta-0) (vector 1 (vector 0 ))) (let ((e-1 (unbox sc13))) (let ((u--decor (CoreC-45Metadata-nameDecoration (let ((e-36 (vector-ref e-3 1))) e-36) u--nt))) (let ((eff-8 (CoreC-45ContextC-45Log-log arg-9 (csegen-2919) 7 (lambda () (string-append (csegen-3366) (string-append (ProtocolC-45IDEC-45Decoration-u--show_Show_Decoration u--decor) (string-append ": " (CoreC-45Name-u--show_Show_Name (let ((e-36 (vector-ref e-3 1))) e-36))))))))) (PrimIO-io_bind eff-8 (lambda (lcase-8) (case (vector-ref lcase-8 0) ((0) (let ((e-4 (vector-ref lcase-8 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-9 (CoreC-45Metadata-addSemanticDecorations arg-8 arg-9 (cons (cons e-1 (cons u--decor (box (let ((e-37 (vector-ref e-3 1))) e-37)))) '())))) eff-9))))))))))) (else (lambda (eta-0) (vector 1 (vector 0 )))))))) (PrimIO-io_bind eff-8 (lambda (lcase-8) (case (vector-ref lcase-8 0) ((0) (let ((e-4 (vector-ref lcase-8 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-9 (lambda (eta-0) (vector 1 (cons u--tm (cons u--arglen (CoreC-45NormaliseC-45Eval-gnf arg-0 arg-3 u--tyenv))))))) eff-9)))))))) eff-8)))))))) eff-7)))))))) eff-6)))))))) eff-5)))))))) eff-4)))))))) eff-3))))))))))))) eff-2))))))))))) eff-1)))))))))))))))
(define TTImpC-45ElabC-45App-case--getNameType-11794 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9) (if (null? arg-9) (let ((eff-0 (let ((eff-0 arg-8)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-lookupCtxtName arg-1 (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-6) (CoreC-45Context-ambiguousName arg-8 arg-2 arg-1 ((csegen-101) e-6)) (let ((e-1 (car e-6))) (let ((e-2 (cdr e-6))) (if (null? e-1) (CoreC-45Context-ambiguousName arg-8 arg-2 arg-1 ((csegen-101) e-6)) (let ((e-7 (cdr e-1))) (if (null? e-7) (CoreC-45Context-ambiguousName arg-8 arg-2 arg-1 ((csegen-101) e-6)) (let ((e-9 (car e-7))) (let ((e-10 (cdr e-7))) (if (null? e-2) (let ((eff-2 (TTImpC-45ElabC-45App-checkVisibleNS arg-8 arg-2 (let ((e-29 (vector-ref e-10 1))) e-29) (let ((e-23 (vector-ref e-10 9))) e-23)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-3 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-3 (let ((eff-3 (let ((sc8 (TTImpC-45ElabC-45App-onLHS arg-5))) (cond ((equal? sc8 1) (lambda (eta-0) (vector 1 (vector 0 )))) (else (TTImpC-45ElabC-45App-n--10061-11715-u--checkDeprecation arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-2 e-10)))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-3 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-4 (let ((eff-4 (TTImpC-45ElabC-45App-n--10061-11714-u--rigSafe arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (let ((e-27 (vector-ref e-10 7))) e-27) arg-4))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-3 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-5 (let ((u--nt (DataC-45Maybe-fromMaybe (lambda () (vector 1 )) (CoreC-45ContextC-45Context-defNameType (let ((e-17 (vector-ref e-10 17))) e-17))))) (let ((eff-5 (CoreC-45ContextC-45Log-log arg-8 (csegen-2919) 8 (lambda () (string-append ((csegen-0) "getNameType is trying to add something for: ") (string-append (CoreC-45Name-u--show_Show_Name (let ((e-32 (vector-ref e-10 1))) e-32)) (string-append " (" (string-append (CoreC-45FC-u--show_Show_FC arg-2) ")")))))))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-3 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-6 (let ((eff-6 (let ((sc11 (CoreC-45Name-isSourceName (let ((e-33 (vector-ref e-10 1))) e-33)))) (cond ((equal? sc11 1) (let ((sc12 (CoreC-45FC-isConcreteFC arg-2))) (if (null? sc12) (lambda (eta-0) (vector 1 (vector 0 ))) (let ((e-3 (unbox sc12))) (let ((u--decor (CoreC-45Metadata-nameDecoration (let ((e-34 (vector-ref e-10 1))) e-34) u--nt))) (let ((eff-6 (CoreC-45ContextC-45Log-log arg-8 (csegen-2919) 7 (lambda () (string-append (csegen-3366) (string-append (ProtocolC-45IDEC-45Decoration-u--show_Show_Decoration u--decor) (string-append ": " (CoreC-45Name-u--show_Show_Name (let ((e-34 (vector-ref e-10 1))) e-34))))))))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-4 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-7 (CoreC-45Metadata-addSemanticDecorations arg-7 arg-8 (cons (cons e-3 (cons u--decor (box (let ((e-35 (vector-ref e-10 1))) e-35)))) '())))) eff-7))))))))))) (else (lambda (eta-0) (vector 1 (vector 0 )))))))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-3 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-7 (lambda (eta-0) (vector 1 (cons (vector 1 arg-2 u--nt (vector 8 e-9)) (CoreC-45NormaliseC-45Eval-gnf arg-0 arg-3 (CoreC-45TT-embed (let ((e-33 (vector-ref e-10 2))) e-33)))))))) eff-7)))))))) eff-6))))))))) eff-5)))))))) eff-4)))))))) eff-3)))))) (CoreC-45Context-ambiguousName arg-8 arg-2 arg-1 ((csegen-101) e-6))))))))))))) eff-2))))))))) eff-1))))))) (let ((e-1 (unbox arg-9))) (let ((e-5 (car e-1))) (let ((e-6 (cdr e-1))) (let ((eff-0 (TTImpC-45ElabC-45App-n--10061-11714-u--rigSafe arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 e-6 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((u--binder (CoreC-45Env-getBinder (csegen-1260) arg-0 e-5 arg-3))) (let ((u--bty (CoreC-45TT-binderType u--binder))) (let ((eff-1 (CoreC-45ContextC-45Log-log arg-8 "metadata.names" 7 (lambda () "getNameType is adding \x2193;")))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45Metadata-addNameType arg-0 arg-8 arg-7 arg-2 arg-1 arg-3 u--bty))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (let ((eff-3 (let ((sc5 (AlgebraC-45Semiring-isLinear (csegen-1156) e-6))) (cond ((equal? sc5 1) (let ((eff-3 (let ((eff-3 arg-6)) (PrimIO-io_bind (let ((eff-4 eff-3)) (lambda (eta-0) (unbox eff-4))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 arg-6)) (PrimIO-io_bind (let ((eff-5 eff-4)) (lambda (eta-0) (set-box! eff-5 (let ((e-21 (vector-ref e-10 0))) (let ((e-2 (vector-ref e-10 1))) (let ((e-3 (vector-ref e-10 2))) (let ((e-4 (vector-ref e-10 3))) (let ((e-20 (vector-ref e-10 4))) (let ((e-19 (vector-ref e-10 5))) (let ((e-18 (vector-ref e-10 6))) (let ((e-17 (vector-ref e-10 7))) (let ((e-16 (vector-ref e-10 8))) (let ((e-15 (vector-ref e-10 9))) (let ((e-11 (vector-ref e-10 10))) (let ((e-12 (vector-ref e-10 11))) (let ((e-13 (vector-ref e-10 12))) (let ((e-14 (vector-ref e-10 13))) (vector e-21 e-2 e-3 e-4 e-20 e-19 e-18 e-17 e-16 e-15 e-11 (cons e-5 e-12) e-13 e-14)))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-4)))))))) (else (lambda (eta-0) (vector 1 (vector 0 )))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-4 (let ((eff-4 (CoreC-45ContextC-45Log-log arg-8 "ide-mode.highlight" 8 (lambda () (string-append "getNameType is trying to add Bound: " (string-append (CoreC-45Name-u--show_Show_Name arg-1) (string-append " (" (string-append (CoreC-45FC-u--show_Show_FC arg-2) ")")))))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-5 (let ((eff-5 (let ((sc7 (CoreC-45Name-isSourceName arg-1))) (cond ((equal? sc7 1) (let ((sc8 (CoreC-45FC-isConcreteFC arg-2))) (if (null? sc8) (lambda (eta-0) (vector 1 (vector 0 ))) (let ((e-2 (unbox sc8))) (let ((eff-5 (CoreC-45ContextC-45Log-log arg-8 "ide-mode.highlight" 7 (lambda () (string-append "getNameType is adding Bound: " (CoreC-45Name-u--show_Show_Name arg-1)))))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-3 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-6 (CoreC-45Metadata-addSemanticDecorations arg-7 arg-8 (cons (cons e-2 (cons 5 (box arg-1))) '())))) eff-6)))))))))) (else (lambda (eta-0) (vector 1 (vector 0 )))))))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-6 (lambda (eta-0) (vector 1 (cons (vector 0 arg-2 (box (CoreC-45TT-isLet u--binder)) e-5) (CoreC-45NormaliseC-45Eval-gnf arg-0 arg-3 u--bty)))))) eff-6)))))))) eff-5)))))))) eff-4)))))))) eff-3)))))))) eff-2)))))))))) eff-1))))))))))))
(define TTImpC-45ElabC-45App-n--10657-12276-u--useVars (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12) (if (null? arg-11) arg-12 (let ((e-12 (car arg-11))) (let ((e-13 (cdr arg-11))) (case (vector-ref arg-12 0) ((3) (let ((e-15 (vector-ref arg-12 1))) (let ((e-16 (vector-ref arg-12 2))) (let ((e-17 (vector-ref arg-12 3))) (let ((e-18 (vector-ref arg-12 4))) (case (vector-ref e-17 0) ((2) (let ((e-20 (vector-ref e-17 1))) (let ((e-21 (vector-ref e-17 2))) (let ((e-23 (vector-ref e-17 4))) (vector 3 e-15 e-16 (vector 1 e-20 e-21 e-12 e-23) (TTImpC-45ElabC-45App-n--10657-12276-u--useVars arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 (cons e-16 arg-10) ((csegen-3125) e-13) e-18))))))(else (case (vector-ref arg-12 0) ((3) (let ((e-1 (vector-ref arg-12 1))) (let ((e-2 (vector-ref arg-12 2))) (let ((e-3 (vector-ref arg-12 3))) (let ((e-4 (vector-ref arg-12 4))) (case (vector-ref e-3 0) ((1) (let ((e-6 (vector-ref e-3 1))) (let ((e-7 (vector-ref e-3 2))) (let ((e-8 (vector-ref e-3 3))) (let ((e-9 (vector-ref e-3 4))) (vector 3 e-1 e-2 (vector 1 e-6 e-7 e-8 e-9) (TTImpC-45ElabC-45App-n--10657-12276-u--useVars arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 (cons e-2 arg-10) ((csegen-3125) arg-11) e-4)))))))(else arg-12)))))))(else arg-12)))))))))(else (case (vector-ref arg-12 0) ((3) (let ((e-1 (vector-ref arg-12 1))) (let ((e-2 (vector-ref arg-12 2))) (let ((e-3 (vector-ref arg-12 3))) (let ((e-4 (vector-ref arg-12 4))) (case (vector-ref e-3 0) ((1) (let ((e-6 (vector-ref e-3 1))) (let ((e-7 (vector-ref e-3 2))) (let ((e-8 (vector-ref e-3 3))) (let ((e-9 (vector-ref e-3 4))) (vector 3 e-1 e-2 (vector 1 e-6 e-7 e-8 e-9) (TTImpC-45ElabC-45App-n--10657-12276-u--useVars arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 (cons e-2 arg-10) ((csegen-3125) arg-11) e-4)))))))(else arg-12)))))))(else arg-12)))))))))
(define TTImpC-45ElabC-45App-n--20893-21226-u--updateElabInfo (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20 arg-21 arg-22) (case (vector-ref arg-19 0) ((1) (if (null? arg-21) (lambda (eta-0) (vector 1 arg-22)) (let ((e-2 (car arg-21))) (let ((e-3 (cdr arg-21))) (case (vector-ref e-2 0) ((28) (if (null? e-3) (let ((eff-0 (CoreC-45Context-getFullName arg-17 arg-20))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-7 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (clam-0) (let ((sc5 (CoreC-45Context-isPrimName arg-18 e-7))) (cond ((equal? sc5 1) (vector 1 (let ((e-1 (vector-ref arg-22 1))) (let ((e-10 (vector-ref arg-22 2))) (let ((e-9 (vector-ref arg-22 3))) (let ((e-4 (vector-ref arg-22 4))) (let ((e-8 (vector-ref arg-22 5))) (vector (vector 2 ) e-1 e-10 e-9 e-4 e-8)))))))) (else (vector 1 arg-22))))))) eff-1))))))) (lambda (eta-0) (vector 1 arg-22))))(else (lambda (eta-0) (vector 1 arg-22))))))))(else (lambda (eta-0) (vector 1 arg-22))))))
(define TTImpC-45ElabC-45App-n--10061-11714-u--rigSafe (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10) (let ((eff-0 (CoreC-45Context-getFullName arg-8 arg-1))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (clam-0) (let ((sc1 (AlgebraC-45Preorder-C-60 (csegen-3294) arg-9 arg-10))) (cond ((equal? sc1 1) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 14 arg-2 e-5 arg-9 arg-10) clam-0)) (else (vector 1 (vector 0 )))))))) eff-1)))))))))
(define TTImpC-45ElabC-45App-n--20893-21225-u--normalisePrims (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20 arg-21) (let ((eff-0 (CoreC-45Normalise-normalisePrims arg-17 arg-18 (lambda (arg-22) (TTImpC-45ElabC-45App-n--21033-21248-u--boundSafe arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-21 arg-20 arg-19 arg-22 (let ((e-0 (vector-ref arg-10 0))) e-0))) (lambda (eta-0) (TTImpC-45TTImp-isIPrimVal eta-0)) (TTImpC-45ElabC-45App-onLHS (let ((e-0 (vector-ref arg-10 0))) e-0)) arg-19 arg-1 arg-6 (Builtin-fst arg-21) arg-20))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (cons (DataC-45Maybe-fromMaybe (lambda () (Builtin-fst arg-21)) e-5) (Builtin-snd arg-21)))))) eff-1)))))))))
(define TTImpC-45ElabC-45App-n--11394-13849-u--metavarImp (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20 arg-21 arg-22 arg-23 arg-24 arg-25) (case (vector-ref arg-25 0) ((1) 1) ((3) 1)(else 0))))
(define TTImpC-45ElabC-45App-n--11302-13553-u--metavarImp (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20 arg-21 arg-22 arg-23 arg-24) (case (vector-ref arg-24 0) ((1) 1) ((3) 1)(else 0))))
(define TTImpC-45ElabC-45App-n--11599-15256-u--invalidArg (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20 arg-21 arg-22 arg-23 arg-24 arg-25) (case (vector-ref arg-25 0) ((27) 1)(else 0))))
(define TTImpC-45ElabC-45App-n--11570-14460-u--dotTerm (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8) (case (vector-ref arg-8 0) ((19) arg-8) ((17) arg-8) ((32) arg-8) ((18) (let ((e-11 (vector-ref arg-8 1))) (let ((e-12 (vector-ref arg-8 2))) (let ((e-13 (vector-ref arg-8 3))) (let ((e-14 (vector-ref arg-8 4))) (let ((e-15 (vector-ref arg-8 5))) (case (vector-ref e-15 0) ((17) arg-8) ((32) arg-8)(else (vector 18 e-11 e-12 e-13 e-14 (vector 19 e-11 3 arg-8))))))))))(else (vector 19 (TTImpC-45TTImp-getFC arg-8) 3 arg-8)))))
(define TTImpC-45ElabC-45App-n--11570-14459-u--countConstructors (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8) (case (vector-ref arg-8 0) ((3) (let ((e-2 (vector-ref arg-8 2))) (let ((e-4 (vector-ref arg-8 4))) (let ((e-5 (vector-ref arg-8 5))) (let ((sc1 (or (and (= (PreludeC-45TypesC-45List-lengthTR e-5) e-4) 1) 0))) (cond ((equal? sc1 1) (let ((eff-0 (let ((eff-0 arg-7)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-lookupCtxtExact e-2 (let ((e-0 (vector-ref e-6 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-7) (lambda (eta-0) (vector 1 '())) (let ((e-8 (unbox e-7))) (lambda (clam-0) (let ((e-17 (vector-ref e-8 17))) (case (vector-ref e-17 0) ((6) (let ((e-31 (vector-ref e-17 7))) (vector 1 (box (PreludeC-45TypesC-45List-lengthTR e-31)))))(else (vector 1 '()))))))))) eff-2))))))))) eff-1)))))))) (else (lambda (eta-0) (vector 1 '())))))))))(else (lambda (eta-0) (vector 1 '()))))))
(define TTImpC-45ElabC-45App-n--11599-15257-u--checkRtoL (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20 arg-21 arg-22 arg-23 arg-24 arg-25 arg-26) (let ((eff-0 (let ((eff-0 arg-24)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45UnifyState-genMVName arg-24 arg-22 arg-11))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (lambda (eta-0) (CoreC-45Context-clearDefs e-5 eta-0)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45NormaliseC-45Quote-u--quote_Quote_Closure arg-24 arg-0 e-7 arg-14 arg-10))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (TTImpC-45ElabC-45Check-argVar arg-0 arg-24 arg-22 (TTImpC-45TTImp-getFC arg-26) arg-17 arg-14 e-6 e-8))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (let ((e-2 (car e-9))) (let ((e-3 (cdr e-9))) (let ((u--fntm (vector 4 arg-13 arg-12 e-3))) (let ((eff-5 (CoreC-45ContextC-45Log-logTerm arg-0 arg-24 "elab" 10 (lambda () ((csegen-0) "...as")) e-3))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-4 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-6 (let ((eff-6 ((arg-9 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) arg-14 e-3)))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-4 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-11 (vector-ref lcase-6 1))) (let ((eff-7 (let ((eff-7 (TTImpC-45ElabC-45App-checkAppWith arg-0 arg-24 arg-23 arg-22 arg-21 arg-20 arg-19 arg-18 arg-16 arg-15 arg-14 arg-13 u--fntm e-11 (cons arg-1 (+ arg-2 1)) arg-7 arg-6 arg-5 arg-25 arg-3))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-4 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-12 (vector-ref lcase-7 1))) (let ((eff-8 (let ((_-0 (cons e-2 e-3))) (let ((e-13 (car e-12))) (let ((e-4 (cdr e-12))) (let ((eff-8 (let ((eff-8 arg-24)) (PrimIO-io_bind (let ((eff-9 eff-8)) (lambda (eta-0) (unbox eff-9))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-8 (lambda (lcase-8) (case (vector-ref lcase-8 0) ((0) (let ((e-14 (vector-ref lcase-8 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-8 1))) (let ((eff-9 (let ((eff-9 (CoreC-45NormaliseC-45Eval-nf arg-24 arg-0 e-14 arg-14 e-8))) (PrimIO-io_bind eff-9 (lambda (lcase-9) (case (vector-ref lcase-9 0) ((0) (let ((e-15 (vector-ref lcase-9 1))) (lambda (eta-0) (vector 0 e-15)))) (else (let ((e-15 (vector-ref lcase-9 1))) (let ((eff-10 (let ((eff-10 (CoreC-45Normalise-logNF arg-0 arg-24 "elab" 10 (lambda () (string-append ((csegen-0) "Now trying ") (string-append (CoreC-45Name-u--show_Show_Name e-6) (string-append " " (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 (csegen-100) arg-26))))) arg-14 e-15))) (PrimIO-io_bind eff-10 (lambda (lcase-10) (case (vector-ref lcase-10 0) ((0) (let ((e-16 (vector-ref lcase-10 1))) (lambda (eta-0) (vector 0 e-16)))) (else (let ((eff-11 (let ((eff-11 (let ((sc13 (TTImpC-45ElabC-45App-onLHS (let ((e-0 (vector-ref arg-16 0))) e-0)))) (cond ((equal? sc13 1) ((case (vector-ref e-15 0) ((1) (let ((e-18 (vector-ref e-15 2))) (case (vector-ref e-18 0) ((2) (let ((e-20 (vector-ref e-18 2))) (lambda () (let ((eff-11 (CoreC-45Context-lookupCtxtExact (vector 8 e-20) (let ((e-0 (vector-ref e-14 0))) e-0)))) (PrimIO-io_bind eff-11 (lambda (lcase-11) (case (vector-ref lcase-11 0) ((0) (let ((e-22 (vector-ref lcase-11 1))) (lambda (eta-0) (vector 0 e-22)))) (else (let ((e-22 (vector-ref lcase-11 1))) (let ((eff-12 (if (null? e-22) (lambda (eta-0) (vector 1 (vector 0 ))) (let ((e-23 (unbox e-22))) (let ((sc18 (AlgebraC-45Semiring-isErased (csegen-1156) (let ((e-38 (vector-ref e-23 7))) e-38)))) (cond ((equal? sc18 1) (CoreC-45UnifyState-addNoSolve arg-22 e-20)) (else (lambda (eta-0) (vector 1 (vector 0 )))))))))) eff-12))))))))))(else (lambda () (lambda (eta-0) (vector 1 (vector 0 ))))))))(else (lambda () (lambda (eta-0) (vector 1 (vector 0 )))))))) (else (lambda (eta-0) (vector 1 (vector 0 )))))))) (PrimIO-io_bind eff-11 (lambda (lcase-11) (case (vector-ref lcase-11 0) ((0) (let ((e-17 (vector-ref lcase-11 1))) (lambda (eta-0) (vector 0 e-17)))) (else (let ((eff-12 (let ((eff-12 (TTImpC-45ElabC-45Check-check arg-0 arg-24 arg-23 arg-22 arg-21 arg-20 arg-19 arg-17 (let ((e-0 (vector-ref arg-16 0))) (let ((e-1 (vector-ref arg-16 1))) (let ((e-20 (vector-ref arg-16 3))) (let ((e-19 (vector-ref arg-16 4))) (let ((e-18 (vector-ref arg-16 5))) (vector e-0 e-1 0 e-20 e-19 e-18)))))) arg-15 arg-14 arg-26 (box (CoreC-45Normalise-glueBack arg-24 arg-0 e-14 arg-14 e-15))))) (PrimIO-io_bind eff-12 (lambda (lcase-12) (case (vector-ref lcase-12 0) ((0) (let ((e-18 (vector-ref lcase-12 1))) (lambda (eta-0) (vector 0 e-18)))) (else (let ((e-18 (vector-ref lcase-12 1))) (let ((eff-13 (let ((eff-13 (let ((sc15 (TTImpC-45ElabC-45App-onLHS (let ((e-0 (vector-ref arg-16 0))) e-0)))) (cond ((equal? sc15 1) ((case (vector-ref e-15 0) ((1) (let ((e-20 (vector-ref e-15 2))) (case (vector-ref e-20 0) ((2) (let ((e-22 (vector-ref e-20 2))) (lambda () (CoreC-45UnifyState-removeNoSolve arg-22 e-22))))(else (lambda () (lambda (eta-0) (vector 1 (vector 0 ))))))))(else (lambda () (lambda (eta-0) (vector 1 (vector 0 )))))))) (else (lambda (eta-0) (vector 1 (vector 0 )))))))) (PrimIO-io_bind eff-13 (lambda (lcase-13) (case (vector-ref lcase-13 0) ((0) (let ((e-19 (vector-ref lcase-13 1))) (lambda (eta-0) (vector 0 e-19)))) (else (let ((eff-14 (let ((eff-14 (let ((sc16 (TTImpC-45ElabC-45App-onLHS (let ((e-0 (vector-ref arg-16 0))) e-0)))) (cond ((equal? sc16 1) (let ((e-21 (car e-18))) (let ((e-20 (cdr e-18))) (TTImpC-45ElabC-45App-checkValidPattern arg-0 arg-24 arg-23 arg-22 arg-21 arg-18 arg-14 arg-13 e-21 e-20)))) (else (lambda (eta-0) (vector 1 e-18))))))) (PrimIO-io_bind eff-14 (lambda (lcase-14) (case (vector-ref lcase-14 0) ((0) (let ((e-20 (vector-ref lcase-14 1))) (lambda (eta-0) (vector 0 e-20)))) (else (let ((e-20 (vector-ref lcase-14 1))) (let ((eff-15 (let ((_-1 (cons e-13 e-4))) (let ((e-22 (car e-20))) (let ((e-21 (cdr e-20))) (let ((eff-15 (let ((eff-15 arg-24)) (PrimIO-io_bind (let ((eff-16 eff-15)) (lambda (eta-0) (unbox eff-16))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-15 (lambda (lcase-15) (case (vector-ref lcase-15 0) ((0) (let ((e-23 (vector-ref lcase-15 1))) (lambda (eta-0) (vector 0 e-23)))) (else (let ((e-23 (vector-ref lcase-15 1))) (let ((eff-16 (let ((eff-16 (CoreC-45ContextC-45Log-logTerm arg-0 arg-24 "elab" 10 (lambda () (string-append "Solving " (string-append (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-0 e-3) " with"))) e-22))) (PrimIO-io_bind eff-16 (lambda (lcase-16) (case (vector-ref lcase-16 0) ((0) (let ((e-24 (vector-ref lcase-16 1))) (lambda (eta-0) (vector 0 e-24)))) (else (let ((eff-17 (let ((eff-17 (CoreC-45Unify-solveIfUndefined arg-0 arg-24 arg-22 arg-14 e-3 e-22))) (PrimIO-io_bind eff-17 (lambda (lcase-17) (case (vector-ref lcase-17 0) ((0) (let ((e-25 (vector-ref lcase-17 1))) (lambda (eta-0) (vector 0 e-25)))) (else (let ((e-25 (vector-ref lcase-17 1))) (let ((eff-18 (let ((eff-18 (let ((_-2 (cons e-22 e-21))) (cond ((equal? e-25 1) (lambda (eta-0) (vector 1 e-13))) (else (let ((eff-18 (TTImpC-45ElabC-45Check-convert arg-0 arg-24 arg-22 arg-21 arg-13 arg-16 arg-14 (CoreC-45NormaliseC-45Eval-gnf arg-0 arg-14 e-3) (CoreC-45NormaliseC-45Eval-gnf arg-0 arg-14 e-22)))) (PrimIO-io_bind eff-18 (lambda (lcase-18) (case (vector-ref lcase-18 0) ((0) (let ((e-26 (vector-ref lcase-18 1))) (lambda (eta-0) (vector 0 e-26)))) (else (let ((e-26 (vector-ref lcase-18 1))) (let ((eff-19 (TTImpC-45ElabC-45App-case--caseC-32blockC-32inC-32caseC-32blockC-32inC-32caseC-32blockC-32inC-32caseC-32blockC-32inC-32checkRestAppC-44checkRtoL-16765 arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20 arg-21 arg-22 arg-23 arg-24 arg-26 arg-25 e-5 e-6 e-7 e-8 e-2 e-3 _-0 u--fntm e-11 e-13 e-4 _-1 e-14 e-15 e-18 e-22 e-21 _-2 e-23 e-25 e-26 (let ((e-0 (vector-ref e-26 0))) e-0)))) eff-19)))))))))))) (PrimIO-io_bind eff-18 (lambda (lcase-18) (case (vector-ref lcase-18 0) ((0) (let ((e-26 (vector-ref lcase-18 1))) (lambda (eta-0) (vector 0 e-26)))) (else (let ((e-26 (vector-ref lcase-18 1))) (let ((eff-19 (let ((eff-19 (let ((sc22 (TTImpC-45ElabC-45App-onLHS (let ((e-0 (vector-ref arg-16 0))) e-0)))) (cond ((equal? sc22 1) (let ((eff-19 (CoreC-45Context-updateDef arg-24 (vector 8 e-2) (csegen-3170)))) (PrimIO-io_bind eff-19 (lambda (lcase-19) (case (vector-ref lcase-19 0) ((0) (let ((e-27 (vector-ref lcase-19 1))) (lambda (eta-0) (vector 0 e-27)))) (else (let ((eff-20 (let ((eff-20 (CoreC-45Unify-solveIfUndefined arg-0 arg-24 arg-22 arg-14 e-3 e-22))) (((csegen-50) ((let ((eff-21 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-28 (vector-ref eta-3 1))) (vector 0 e-28))) (else (let ((e-28 (vector-ref eta-3 1))) (vector 1 (eta-2 e-28))))))))))) (lambda (arg-27) (lambda (arg-28) ((((eff-21 'erased) 'erased) arg-27) arg-28)))) (lambda (_-8679) (vector 0 )))) eff-20)))) eff-20))))))) (else (lambda (eta-0) (vector 1 (vector 0 )))))))) (PrimIO-io_bind eff-19 (lambda (lcase-19) (case (vector-ref lcase-19 0) ((0) (let ((e-27 (vector-ref lcase-19 1))) (lambda (eta-0) (vector 0 e-27)))) (else (let ((eff-20 (let ((eff-20 (CoreC-45UnifyState-removeHole arg-22 e-2))) (PrimIO-io_bind eff-20 (lambda (lcase-20) (case (vector-ref lcase-20 0) ((0) (let ((e-28 (vector-ref lcase-20 1))) (lambda (eta-0) (vector 0 e-28)))) (else (let ((eff-21 (lambda (eta-0) (vector 1 (cons e-26 e-4))))) eff-21)))))))) eff-20)))))))) eff-19))))))))) eff-18))))))))) eff-17)))))))) eff-16)))))))))))) eff-15))))))))) eff-14)))))))) eff-13))))))))) eff-12)))))))) eff-11)))))))) eff-10))))))))) eff-9)))))))))))) eff-8))))))))) eff-7))))))))) eff-6))))))))))) eff-5))))))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))
(define TTImpC-45ElabC-45App-n--11599-15258-u--checkLtoR (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20 arg-21 arg-22 arg-23 arg-24 arg-25 arg-26) (let ((eff-0 (let ((eff-0 arg-24)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Normalise-logNF arg-0 arg-24 "elab" 10 (lambda () "Full function type") arg-14 (vector 0 arg-13 arg-11 (vector 2 arg-13 arg-17 (vector 1 ) arg-10) arg-9)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45ContextC-45Log-unverifiedLogC arg-24 "elab" 10 (let ((eff-2 (PreludeC-45Types-maybe (lambda () (lambda (eta-0) (vector 1 '()))) (lambda () (lambda (u--t) (let ((eff-2 (CoreC-45NormaliseC-45Eval-getTerm u--t))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45Context-toFullNames arg-24 (csegen-105) e-7))) (PrimIO-io_bind eff-3 (csegen-1573))))) eff-3))))))))) arg-3))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (string-append "Overall expected type: " (PreludeC-45Show-u--show_Show_C-40MaybeC-32C-36aC-41 (cons (lambda (u--x) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-0 u--x)) (lambda (u--d) (lambda (u--x) (CoreC-45TT-u--showPrec_Show_C-40TermC-32C-36varsC-41 arg-0 u--d u--x)))) e-7)))))) eff-3)))))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (let ((eff-3 (TTImpC-45ElabC-45Check-check arg-0 arg-24 arg-23 arg-22 arg-21 arg-20 arg-19 arg-17 (let ((e-0 (vector-ref arg-16 0))) (let ((e-1 (vector-ref arg-16 1))) (let ((e-3 (vector-ref arg-16 3))) (let ((e-4 (vector-ref arg-16 4))) (let ((e-8 (vector-ref arg-16 5))) (vector e-0 e-1 0 e-3 e-4 e-8)))))) arg-15 arg-14 arg-26 (box (CoreC-45Normalise-glueClosure arg-24 arg-0 e-5 arg-14 arg-10))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (let ((sc4 (TTImpC-45ElabC-45App-onLHS (let ((e-0 (vector-ref arg-16 0))) e-0)))) (cond ((equal? sc4 1) (let ((e-2 (car e-8))) (let ((e-3 (cdr e-8))) (TTImpC-45ElabC-45App-checkValidPattern arg-0 arg-24 arg-23 arg-22 arg-21 arg-18 arg-14 arg-13 e-2 e-3)))) (else (lambda (eta-0) (vector 1 e-8))))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (let ((e-2 (car e-9))) (let ((e-3 (cdr e-9))) (let ((eff-5 (CoreC-45Normalise-logGlueNF arg-0 arg-24 "elab" 10 (lambda () ((csegen-0) "Got arg type")) arg-14 e-3))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-4 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-6 (let ((eff-6 (let ((eff-6 arg-24)) (PrimIO-io_bind (let ((eff-7 eff-6)) (lambda (eta-0) (unbox eff-7))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-4 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-11 (vector-ref lcase-6 1))) (let ((eff-7 (let ((u--fntm (vector 4 arg-13 arg-12 e-2))) (let ((eff-7 ((arg-9 e-11) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) arg-14 e-2)))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-4 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-12 (vector-ref lcase-7 1))) (let ((eff-8 (TTImpC-45ElabC-45App-checkAppWith arg-0 arg-24 arg-23 arg-22 arg-21 arg-20 arg-19 arg-18 arg-16 arg-15 arg-14 arg-13 u--fntm e-12 (cons arg-1 (+ arg-2 1)) arg-7 arg-6 arg-5 arg-25 arg-3))) eff-8)))))))))) eff-7))))))))) eff-6)))))))))) eff-5))))))))) eff-4))))))))) eff-3)))))))) eff-2)))))))) eff-1)))))))))
(define TTImpC-45ElabC-45App-n--10061-11715-u--checkDeprecation (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10) (let ((sc0 (PreludeC-45Types-elem (csegen-16) (csegen-1601) (vector 2 ) (let ((e-11 (vector-ref arg-10 11))) e-11)))) (cond ((equal? sc0 1) (CoreC-45Context-recordWarning arg-8 (vector 4 (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons (CoreC-45Name-u--show_Show_Name (let ((e-1 (vector-ref arg-10 1))) e-1)) (cons " is deprecated and will be removed in a future version." '()))) (box (cons arg-9 (let ((e-1 (vector-ref arg-10 1))) e-1)))))) (else (lambda (eta-0) (vector 1 (vector 0 ))))))))
(define TTImpC-45ElabC-45App-n--21033-21248-u--boundSafe (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20 arg-21 arg-22 arg-23) (case (vector-ref arg-23 0) ((1) 1)(else (case (vector-ref arg-22 0) ((5) (let ((e-0 (vector-ref arg-22 1))) (PreludeC-45EqOrd-u--C-60_Ord_Integer (PreludeC-45Num-u--abs_Abs_Integer e-0) 100))) ((10) (let ((e-1 (vector-ref arg-22 1))) (PreludeC-45Types-u--C-60_Ord_Nat (PreludeC-45TypesC-45String-length e-1) 10)))(else 1))))))
(define TTImpC-45ElabC-45App-onLHS (lambda (arg-0) (case (vector-ref arg-0 0) ((1) 1)(else 0))))
(define TTImpC-45ElabC-45App-needsDelayLHS (lambda (arg-0 arg-1) (case (vector-ref arg-1 0) ((0) (lambda (eta-0) (vector 1 1))) ((8) (let ((e-5 (vector-ref arg-1 2))) (TTImpC-45ElabC-45App-needsDelayLHS arg-0 e-5))) ((9) (let ((e-9 (vector-ref arg-1 2))) (TTImpC-45ElabC-45App-needsDelayLHS arg-0 e-9))) ((10) (let ((e-13 (vector-ref arg-1 2))) (TTImpC-45ElabC-45App-needsDelayLHS arg-0 e-13))) ((13) (lambda (eta-0) (vector 1 1))) ((18) (let ((e-25 (vector-ref arg-1 5))) (TTImpC-45ElabC-45App-needsDelayLHS arg-0 e-25))) ((12) (lambda (eta-0) (vector 1 1))) ((28) (lambda (eta-0) (vector 1 1))) ((29) (lambda (eta-0) (vector 1 1))) ((33) (let ((e-37 (vector-ref arg-1 3))) (TTImpC-45ElabC-45App-needsDelayLHS arg-0 e-37)))(else (lambda (eta-0) (vector 1 0))))))
(define TTImpC-45ElabC-45App-needsDelayExpr (lambda (arg-0 arg-1 arg-2) (cond ((equal? arg-1 0) (lambda (eta-0) (vector 1 0))) (else (case (vector-ref arg-2 0) ((0) (let ((e-2 (vector-ref arg-2 2))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-lookupCtxtName e-2 (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-3 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (if (null? e-6) 0 (let ((e-3 (cdr e-6))) (if (null? e-3) 0 1))))))) eff-2))))))))) eff-1))))))))) ((8) (let ((e-5 (vector-ref arg-2 2))) (TTImpC-45ElabC-45App-needsDelayExpr arg-0 1 e-5))) ((9) (let ((e-9 (vector-ref arg-2 2))) (TTImpC-45ElabC-45App-needsDelayExpr arg-0 1 e-9))) ((10) (let ((e-13 (vector-ref arg-2 2))) (TTImpC-45ElabC-45App-needsDelayExpr arg-0 1 e-13))) ((2) (lambda (eta-0) (vector 1 1))) ((4) (lambda (eta-0) (vector 1 1))) ((5) (lambda (eta-0) (vector 1 1))) ((7) (lambda (eta-0) (vector 1 1))) ((13) (lambda (eta-0) (vector 1 1))) ((12) (lambda (eta-0) (vector 1 1))) ((14) (lambda (eta-0) (vector 1 1)))(else (lambda (eta-0) (vector 1 0))))))))
(define TTImpC-45ElabC-45App-needsDelay (lambda (arg-0 arg-1 arg-2 arg-3) (case (vector-ref arg-1 0) ((1) (TTImpC-45ElabC-45App-needsDelayLHS arg-0 arg-3))(else (TTImpC-45ElabC-45App-needsDelayExpr arg-0 arg-2 arg-3)))))
(define TTImpC-45ElabC-45App-makeImplicit (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20 arg-21 arg-22) (let ((e-2 (car arg-17))) (let ((e-3 (cdr arg-17))) (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45UnifyState-genMVName arg-1 arg-3 arg-14))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (lambda (eta-0) (CoreC-45Context-clearDefs e-5 eta-0)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45NormaliseC-45Quote-u--quote_Quote_Closure arg-1 arg-0 e-7 arg-11 arg-15))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-4 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (TTImpC-45ElabC-45Check-metaVar arg-0 arg-1 arg-3 arg-12 arg-8 arg-11 e-6 e-8))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-4 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (let ((u--fntm (vector 4 arg-12 arg-13 e-9))) (let ((eff-5 ((arg-16 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) arg-11 e-9)))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-4 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-10 (vector-ref lcase-5 1))) (let ((eff-6 (let ((eff-6 (let ((sc7 (let ((e-12 (vector-ref arg-9 3))) e-12))) (cond ((equal? sc7 1) (let ((eff-6 (let ((eff-6 arg-4)) (PrimIO-io_bind (let ((eff-7 eff-6)) (lambda (eta-0) (unbox eff-7))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-4 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-11 (vector-ref lcase-6 1))) (let ((eff-7 (let ((eff-7 arg-4)) (PrimIO-io_bind (let ((eff-8 eff-7)) (lambda (eta-0) (set-box! eff-8 (TTImpC-45ElabC-45Check-addBindIfUnsolved arg-0 e-6 arg-8 (vector 0 ) arg-11 e-9 e-8 e-11)))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-7)))))))) (else (lambda (eta-0) (vector 1 (vector 0 )))))))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-4 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-7 (TTImpC-45ElabC-45App-checkAppWith arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-9 arg-10 arg-11 arg-12 u--fntm e-10 (cons e-2 (+ e-3 1)) arg-18 arg-19 arg-20 arg-21 arg-22))) eff-7)))))))) eff-6)))))))))) eff-5))))))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))
(define TTImpC-45ElabC-45App-makeDefImplicit (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20 arg-21 arg-22 arg-23) (let ((e-2 (car arg-18))) (let ((e-3 (cdr arg-18))) (let ((sc1 (TTImpC-45ElabC-45App-n--11394-13849-u--metavarImp arg-0 e-2 e-3 arg-23 arg-22 arg-21 arg-20 arg-19 arg-17 arg-16 arg-15 arg-14 arg-13 arg-12 arg-11 arg-10 arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 (let ((e-0 (vector-ref arg-9 0))) e-0)))) (cond ((equal? sc1 1) (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45UnifyState-genMVName arg-1 arg-3 arg-14))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (lambda (eta-0) (CoreC-45Context-clearDefs e-5 eta-0)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45NormaliseC-45Quote-u--quote_Quote_Closure arg-1 arg-0 e-7 arg-11 arg-16))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-4 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (TTImpC-45ElabC-45Check-metaVar arg-0 arg-1 arg-3 arg-12 arg-8 arg-11 e-6 e-8))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-4 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (let ((u--fntm (vector 4 arg-12 arg-13 e-9))) (let ((eff-5 ((arg-17 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) arg-11 e-9)))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-4 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-10 (vector-ref lcase-5 1))) (let ((eff-6 (let ((eff-6 (let ((eff-6 (let ((eff-6 arg-4)) (PrimIO-io_bind (let ((eff-7 eff-6)) (lambda (eta-0) (unbox eff-7))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-4 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-11 (vector-ref lcase-6 1))) (let ((eff-7 (let ((eff-7 arg-4)) (PrimIO-io_bind (let ((eff-8 eff-7)) (lambda (eta-0) (set-box! eff-8 (TTImpC-45ElabC-45Check-addBindIfUnsolved arg-0 e-6 arg-8 (vector 2 ) arg-11 e-9 e-8 e-11)))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-7))))))))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-4 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-7 (TTImpC-45ElabC-45App-checkAppWith arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-9 arg-10 arg-11 arg-12 u--fntm e-10 (cons e-2 (+ e-3 1)) arg-19 arg-20 arg-21 arg-22 arg-23))) eff-7)))))))) eff-6)))))))))) eff-5))))))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))) (else (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (lambda (eta-0) (CoreC-45Context-clearDefs e-5 eta-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45NormaliseC-45Quote-u--quote_Quote_Closure arg-1 arg-0 e-6 arg-11 arg-15))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((u--fntm (vector 4 arg-12 arg-13 e-7))) (let ((eff-3 ((arg-17 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) arg-11 e-7)))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-4 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (TTImpC-45ElabC-45App-checkAppWith arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-9 arg-10 arg-11 arg-12 u--fntm e-8 (cons e-2 (+ e-3 1)) arg-19 arg-20 arg-21 arg-22 arg-23))) eff-4)))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))))))
(define TTImpC-45ElabC-45App-makeAutoImplicit (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20 arg-21 arg-22) (let ((e-2 (car arg-17))) (let ((e-3 (cdr arg-17))) (let ((sc1 (TTImpC-45ElabC-45App-n--11302-13553-u--metavarImp arg-0 e-2 e-3 arg-22 arg-21 arg-20 arg-19 arg-18 arg-16 arg-15 arg-14 arg-13 arg-12 arg-11 arg-10 arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 (let ((e-0 (vector-ref arg-9 0))) e-0)))) (cond ((equal? sc1 1) (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45UnifyState-genMVName arg-1 arg-3 arg-14))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (lambda (eta-0) (CoreC-45Context-clearDefs e-5 eta-0)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45NormaliseC-45Quote-u--quote_Quote_Closure arg-1 arg-0 e-7 arg-11 arg-15))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-4 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (TTImpC-45ElabC-45Check-metaVar arg-0 arg-1 arg-3 arg-12 arg-8 arg-11 e-6 e-8))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-4 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (let ((u--fntm (vector 4 arg-12 arg-13 e-9))) (let ((eff-5 ((arg-16 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) arg-11 e-9)))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-4 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-10 (vector-ref lcase-5 1))) (let ((eff-6 (let ((eff-6 (let ((eff-6 (let ((eff-6 arg-4)) (PrimIO-io_bind (let ((eff-7 eff-6)) (lambda (eta-0) (unbox eff-7))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-4 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-11 (vector-ref lcase-6 1))) (let ((eff-7 (let ((eff-7 arg-4)) (PrimIO-io_bind (let ((eff-8 eff-7)) (lambda (eta-0) (set-box! eff-8 (TTImpC-45ElabC-45Check-addBindIfUnsolved arg-0 e-6 arg-8 (vector 2 ) arg-11 e-9 e-8 e-11)))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-7))))))))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-4 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-7 (TTImpC-45ElabC-45App-checkAppWith arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-9 arg-10 arg-11 arg-12 u--fntm e-10 (cons e-2 (+ e-3 1)) arg-18 arg-19 arg-20 arg-21 arg-22))) eff-7)))))))) eff-6)))))))))) eff-5))))))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))) (else (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45UnifyState-genMVName arg-1 arg-3 arg-14))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (lambda (eta-0) (CoreC-45Context-clearDefs e-5 eta-0)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45Core-u--catch_Catchable_Core_Error (CoreC-45NormaliseC-45Quote-u--quoteOpts_Quote_Closure arg-1 arg-0 (vector 0 0 (box 10)) e-5 arg-11 arg-15) (lambda (u--err) (CoreC-45NormaliseC-45Quote-u--quote_Quote_Closure arg-1 arg-0 e-7 arg-11 arg-15))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-4 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (let ((eff-4 arg-4)) (PrimIO-io_bind (let ((eff-5 eff-4)) (lambda (eta-0) (unbox eff-5))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-4 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (let ((eff-5 (CoreC-45Context-getAutoImplicitLimit arg-1))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-4 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-10 (vector-ref lcase-5 1))) (let ((eff-6 (let ((eff-6 (TTImpC-45ElabC-45Check-searchVar arg-0 arg-1 arg-3 arg-12 arg-8 e-10 (vector 8 (let ((e-22 (vector-ref e-9 1))) e-22)) arg-11 arg-10 e-6 e-8))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-4 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-11 (vector-ref lcase-6 1))) (let ((eff-7 (let ((u--fntm (vector 4 arg-12 arg-13 e-11))) (let ((eff-7 ((arg-16 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) arg-11 e-11)))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-4 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-12 (vector-ref lcase-7 1))) (let ((eff-8 (TTImpC-45ElabC-45App-checkAppWith arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-9 arg-10 arg-11 arg-12 u--fntm e-12 (cons e-2 (+ e-3 1)) arg-18 arg-19 arg-20 arg-21 arg-22))) eff-8)))))))))) eff-7))))))))) eff-6))))))))) eff-5))))))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))))))
(define TTImpC-45ElabC-45App-isImplicitAs (lambda (arg-0) (case (vector-ref arg-0 0) ((18) (let ((e-3 (vector-ref arg-0 3))) (let ((e-5 (vector-ref arg-0 5))) (cond ((equal? e-3 0) (case (vector-ref e-5 0) ((32) 1)(else 0)))(else 0)))))(else 0))))
(define TTImpC-45ElabC-45App-isHole (lambda (arg-1) (case (vector-ref arg-1 0) ((1) (let ((e-2 (vector-ref arg-1 2))) (case (vector-ref e-2 0) ((2) 1)(else 0))))(else 0))))
(define TTImpC-45ElabC-45App-isBindAllExpPattern (lambda (arg-0) (case (vector-ref arg-0 0) ((1) (let ((e-0 (vector-ref arg-0 1))) (case (vector-ref e-0 0) ((2) 1)(else 0))))(else 0))))
(define TTImpC-45ElabC-45App-getVarType (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9) (TTImpC-45ElabC-45App-case--getVarType-12358 arg-0 arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 (DataC-45List-lookup (csegen-1008) arg-9 (let ((eff-0 arg-6)) eff-0)))))
(define TTImpC-45ElabC-45App-getNameType (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8) (TTImpC-45ElabC-45App-case--getNameType-11794 arg-0 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 (CoreC-45Env-defined arg-0 arg-8 arg-6))))
(define TTImpC-45ElabC-45App-findNamed (lambda (arg-0 arg-1) (let ((sc0 (DataC-45List-partition (lambda (eta-0) (CoreC-45Name-u--C-61C-61_Eq_Name (Builtin-fst eta-0) arg-0)) arg-1))) (if (null? sc0) '() (let ((e-2 (car sc0))) (let ((e-3 (cdr sc0))) (if (null? e-2) '() (let ((e-5 (car e-2))) (let ((e-6 (cdr e-2))) (box (cons e-5 (PreludeC-45TypesC-45List-tailRecAppend e-6 e-3))))))))))))
(define TTImpC-45ElabC-45App-findBindAllExpPattern (lambda (ext-0) (DataC-45List-lookup (csegen-1008) (vector 1 (vector 2 )) ext-0)))
(define TTImpC-45ElabC-45App-dotErased (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (case (vector-ref arg-5 0) ((1) (let ((e-0 (vector-ref arg-5 1))) (let ((sc1 (let ((sc2 (AlgebraC-45Semiring-isErased (csegen-1156) e-0))) (cond ((equal? sc2 1) 0) (else (AlgebraC-45Semiring-isErased (csegen-1156) arg-6)))))) (cond ((equal? sc1 1) (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-1 arg-0 e-5 arg-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45ElabC-45App-n--11570-14459-u--countConstructors arg-0 e-0 arg-7 arg-6 arg-4 arg-3 arg-2 arg-1 e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45Normalise-logNF arg-0 arg-1 "elab.app.dot" 50 (lambda () (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons "Found " (cons (PreludeC-45Show-u--show_Show_C-40MaybeC-32C-36aC-41 (csegen-1068) e-7) (cons " constructors for type" '()))))) (CoreC-45Env-mkEnv (CoreC-45FC-emptyFC) arg-0) e-6))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-4 (let ((sc6 (let ((sc7 (PreludeC-45Types-u--C-61C-61_Eq_C-40MaybeC-32C-36aC-41 (csegen-1338) e-7 (box 1)))) (cond ((equal? sc7 1) 1) (else (PreludeC-45Types-u--C-61C-61_Eq_C-40MaybeC-32C-36aC-41 (csegen-1338) e-7 (box 0))))))) (cond ((equal? sc6 1) (lambda (eta-0) (vector 1 arg-7))) (else (let ((eff-4 (PreludeC-45Types-maybe (lambda () (lambda (eta-0) (vector 1 '()))) (lambda () (lambda (u--n) (CoreC-45Context-lookupCtxtExact u--n (let ((e-36 (vector-ref e-5 0))) e-36)))) arg-3))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (clam-0) (if (null? e-9) (vector 1 (TTImpC-45ElabC-45App-n--11570-14460-u--dotTerm arg-0 e-0 arg-7 arg-6 arg-4 arg-3 arg-2 arg-1 arg-7)) (let ((e-1 (unbox e-9))) (let ((sc9 (PreludeC-45Types-elem (csegen-16) (csegen-1338) arg-4 (let ((e-4 (vector-ref e-1 4))) e-4)))) (cond ((equal? sc9 1) (vector 1 arg-7)) (else (vector 1 (TTImpC-45ElabC-45App-n--11570-14460-u--dotTerm arg-0 e-0 arg-7 arg-6 arg-4 arg-3 arg-2 arg-1 arg-7)))))))))) eff-5)))))))))))) eff-4)))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))) (else (lambda (eta-0) (vector 1 arg-7)))))))(else (lambda (eta-0) (vector 1 arg-7))))))
(define TTImpC-45ElabC-45App-checkVisibleNS (lambda (arg-0 arg-1 arg-2 arg-3) (case (vector-ref arg-2 0) ((0) (let ((e-0 (vector-ref arg-2 1))) (let ((e-1 (vector-ref arg-2 2))) (let ((eff-0 (CoreC-45Context-isVisible arg-0 e-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (cond ((equal? e-5 1) (let ((eff-1 (CoreC-45Context-isAllPublic arg-0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-getNS arg-0))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45Context-getNestedNS arg-0))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (clam-0) (let ((sc6 (cond ((equal? e-6 1) 1) (else (CoreC-45Context-visibleInAny (cons e-7 e-8) (vector 0 e-0 e-1) arg-3))))) (cond ((equal? sc6 1) (vector 1 (vector 0 ))) (else (CoreC-45Core-u--throw_Catchable_Core_Error (vector 8 arg-1 (vector 0 e-0 e-1) '()) clam-0))))))) eff-4))))))))) eff-3))))))))) eff-2)))))))) (else (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 8 arg-1 (vector 0 e-0 e-1) (box e-0)) eta-0)))))) eff-1))))))))))(else (lambda (eta-0) (vector 1 (vector 0 )))))))
(define TTImpC-45ElabC-45App-checkValidPattern (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9) (let ((eff-0 (CoreC-45ContextC-45Log-log arg-1 "elab.app.lhs" 50 (lambda () (string-append "Checking that " (string-append (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-0 arg-8) " is a valid pattern")))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (case (vector-ref arg-8 0) ((3) (let ((e-3 (vector-ref arg-8 3))) (case (vector-ref e-3 0) ((0) (TTImpC-45ElabC-45Dot-registerDot arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 2 arg-8 arg-9))(else (lambda (eta-0) (vector 1 (cons arg-8 arg-9)))))))(else (lambda (eta-0) (vector 1 (cons arg-8 arg-9))))))) eff-1))))))))
(define TTImpC-45ElabC-45App-checkRestApp (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20 arg-21 arg-22 arg-23) (let ((e-2 (car arg-17))) (let ((e-3 (cdr arg-17))) (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (TTImpC-45ElabC-45App-dotErased arg-0 arg-1 arg-15 e-2 e-3 (let ((e-0 (vector-ref arg-9 0))) e-0) arg-8 arg-18))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (cond ((equal? arg-22 1) (lambda (eta-0) (vector 1 1))) (else (let ((eff-2 ((arg-16 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) arg-11 (vector 10 arg-12 (vector 0 )))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (TTImpC-45ElabC-45Check-concrete e-5 arg-11 e-7))) eff-3))))))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-1 arg-0 e-5 arg-15))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-4 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (TTImpC-45ElabC-45App-needsDelay arg-1 (let ((e-0 (vector-ref arg-9 0))) e-0) e-7 arg-18))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-4 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (let ((sc6 (let ((sc7 (let ((sc8 (TTImpC-45ElabC-45App-isHole e-8))) (cond ((equal? sc8 1) e-7) (else 0))))) (cond ((equal? sc7 1) 1) (else e-9))))) (cond ((equal? sc6 1) (TTImpC-45ElabC-45Check-handle arg-0 arg-1 arg-2 arg-3 arg-4 (TTImpC-45ElabC-45App-n--11599-15257-u--checkRtoL arg-0 e-2 e-3 arg-23 arg-22 arg-21 arg-20 arg-19 arg-18 arg-16 arg-15 arg-14 arg-13 arg-12 arg-11 arg-10 arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 e-7 e-6) (lambda (u--err) (let ((sc7 (TTImpC-45ElabC-45App-n--11599-15256-u--invalidArg arg-0 e-2 e-3 arg-23 arg-22 arg-21 arg-20 arg-19 arg-18 arg-16 arg-15 arg-14 arg-13 arg-12 arg-11 arg-10 arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 u--err))) (cond ((equal? sc7 1) (TTImpC-45ElabC-45App-n--11599-15258-u--checkLtoR arg-0 e-2 e-3 arg-23 arg-22 arg-21 arg-20 arg-19 arg-18 arg-16 arg-15 arg-14 arg-13 arg-12 arg-11 arg-10 arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 e-7 e-6)) (else (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error u--err eta-0)))))))) (else (TTImpC-45ElabC-45App-n--11599-15258-u--checkLtoR arg-0 e-2 e-3 arg-23 arg-22 arg-21 arg-20 arg-19 arg-18 arg-16 arg-15 arg-14 arg-13 arg-12 arg-11 arg-10 arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 e-7 e-6)))))) eff-5))))))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))
(define TTImpC-45ElabC-45App-checkAppWithC-39 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19) (case (vector-ref arg-13 0) ((0) (let ((e-9 (vector-ref arg-13 1))) (let ((e-10 (vector-ref arg-13 2))) (let ((e-11 (vector-ref arg-13 3))) (let ((e-12 (vector-ref arg-13 4))) (case (vector-ref e-11 0) ((2) (let ((e-18 (vector-ref e-11 1))) (let ((e-19 (vector-ref e-11 2))) (let ((e-20 (vector-ref e-11 3))) (let ((e-21 (vector-ref e-11 4))) (case (vector-ref e-20 0) ((1) (if (null? arg-15) (TTImpC-45ElabC-45App-with--checkAppWithC-39-18223 e-10 arg-17 (TTImpC-45ElabC-45App-findNamed e-10 arg-17) arg-0 e-18 e-21 e-19 e-12 e-9 arg-13 arg-19 arg-18 arg-16 arg-14 arg-12 arg-11 arg-10 arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1) (let ((e-28 (car arg-15))) (let ((e-29 (cdr arg-15))) (let ((u--argRig (AlgebraC-45ZeroOneOmega-rigMult arg-7 e-19))) (TTImpC-45ElabC-45App-checkRestApp arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 u--argRig arg-8 arg-9 arg-10 arg-11 arg-12 e-10 e-21 e-12 arg-14 e-28 e-29 arg-16 arg-17 arg-18 arg-19)))))) ((0) (if (null? arg-15) (if (null? arg-16) (if (null? arg-17) (if (null? arg-19) (let ((u--argRig (AlgebraC-45ZeroOneOmega-rigMult arg-7 e-19))) (let ((sc7 (TTImpC-45ElabC-45App-findNamed e-10 arg-17))) (if (null? sc7) (TTImpC-45ElabC-45App-makeImplicit arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 u--argRig arg-8 arg-9 arg-10 arg-11 arg-12 e-10 e-21 e-12 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19) (let ((e-2 (unbox sc7))) (let ((e-5 (car e-2))) (let ((e-6 (cdr e-2))) (let ((e-13 (cdr e-5))) (TTImpC-45ElabC-45App-checkRestApp arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 u--argRig arg-8 arg-9 arg-10 arg-11 arg-12 e-10 e-21 e-12 arg-14 e-13 arg-15 arg-16 e-6 arg-18 arg-19)))))))) (let ((e-35 (unbox arg-19))) (let ((u--argRig (AlgebraC-45ZeroOneOmega-rigMult arg-7 e-19))) (let ((eff-0 (CoreC-45NormaliseC-45Eval-getNF arg-1 e-35))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 arg-1)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (unbox eff-2))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((u--ty (vector 0 e-9 e-10 (vector 2 e-18 e-19 (vector 0 ) e-21) e-12))) (case (vector-ref e-5 0) ((0) (let ((e-3 (vector-ref e-5 3))) (case (vector-ref e-3 0) ((2) (let ((e-8 (vector-ref e-3 3))) (case (vector-ref e-8 0) ((0) (TTImpC-45ElabC-45Check-checkExp arg-0 arg-1 arg-3 arg-4 arg-7 arg-8 arg-10 arg-11 arg-12 (CoreC-45Normalise-glueBack arg-1 arg-0 e-6 arg-10 u--ty) (box e-35)))(else (let ((sc11 (let ((e-16 (vector-ref arg-8 4))) e-16))) (cond ((equal? sc11 1) (TTImpC-45ElabC-45Check-handle arg-0 arg-1 arg-2 arg-3 arg-4 (TTImpC-45ElabC-45Check-checkExp arg-0 arg-1 arg-3 arg-4 arg-7 arg-8 arg-10 arg-11 arg-12 (CoreC-45Normalise-glueBack arg-1 arg-0 e-6 arg-10 u--ty) (box e-35)) (lambda (u--err) (TTImpC-45ElabC-45App-makeImplicit arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 u--argRig arg-8 arg-9 arg-10 arg-11 arg-12 e-10 e-21 e-12 arg-14 '() '() '() arg-18 (box e-35))))) (else (TTImpC-45ElabC-45App-makeImplicit arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 u--argRig arg-8 arg-9 arg-10 arg-11 arg-12 e-10 e-21 e-12 arg-14 '() '() '() arg-18 (box e-35)))))))))(else (let ((sc10 (let ((e-8 (vector-ref arg-8 4))) e-8))) (cond ((equal? sc10 1) (TTImpC-45ElabC-45Check-handle arg-0 arg-1 arg-2 arg-3 arg-4 (TTImpC-45ElabC-45Check-checkExp arg-0 arg-1 arg-3 arg-4 arg-7 arg-8 arg-10 arg-11 arg-12 (CoreC-45Normalise-glueBack arg-1 arg-0 e-6 arg-10 u--ty) (box e-35)) (lambda (u--err) (TTImpC-45ElabC-45App-makeImplicit arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 u--argRig arg-8 arg-9 arg-10 arg-11 arg-12 e-10 e-21 e-12 arg-14 '() '() '() arg-18 (box e-35))))) (else (TTImpC-45ElabC-45App-makeImplicit arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 u--argRig arg-8 arg-9 arg-10 arg-11 arg-12 e-10 e-21 e-12 arg-14 '() '() '() arg-18 (box e-35)))))))))(else (let ((sc9 (let ((e-4 (vector-ref arg-8 4))) e-4))) (cond ((equal? sc9 1) (TTImpC-45ElabC-45Check-handle arg-0 arg-1 arg-2 arg-3 arg-4 (TTImpC-45ElabC-45Check-checkExp arg-0 arg-1 arg-3 arg-4 arg-7 arg-8 arg-10 arg-11 arg-12 (CoreC-45Normalise-glueBack arg-1 arg-0 e-6 arg-10 u--ty) (box e-35)) (lambda (u--err) (TTImpC-45ElabC-45App-makeImplicit arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 u--argRig arg-8 arg-9 arg-10 arg-11 arg-12 e-10 e-21 e-12 arg-14 '() '() '() arg-18 (box e-35))))) (else (TTImpC-45ElabC-45App-makeImplicit arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 u--argRig arg-8 arg-9 arg-10 arg-11 arg-12 e-10 e-21 e-12 arg-14 '() '() '() arg-18 (box e-35)))))))))) eff-2))))))))) eff-1)))))))))) (let ((u--argRig (AlgebraC-45ZeroOneOmega-rigMult arg-7 e-19))) (let ((sc6 (TTImpC-45ElabC-45App-findNamed e-10 arg-17))) (if (null? sc6) (TTImpC-45ElabC-45App-makeImplicit arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 u--argRig arg-8 arg-9 arg-10 arg-11 arg-12 e-10 e-21 e-12 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19) (let ((e-2 (unbox sc6))) (let ((e-5 (car e-2))) (let ((e-6 (cdr e-2))) (let ((e-13 (cdr e-5))) (TTImpC-45ElabC-45App-checkRestApp arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 u--argRig arg-8 arg-9 arg-10 arg-11 arg-12 e-10 e-21 e-12 arg-14 e-13 arg-15 arg-16 e-6 arg-18 arg-19))))))))) (let ((u--argRig (AlgebraC-45ZeroOneOmega-rigMult arg-7 e-19))) (let ((sc5 (TTImpC-45ElabC-45App-findNamed e-10 arg-17))) (if (null? sc5) (TTImpC-45ElabC-45App-makeImplicit arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 u--argRig arg-8 arg-9 arg-10 arg-11 arg-12 e-10 e-21 e-12 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19) (let ((e-2 (unbox sc5))) (let ((e-5 (car e-2))) (let ((e-6 (cdr e-2))) (let ((e-13 (cdr e-5))) (TTImpC-45ElabC-45App-checkRestApp arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 u--argRig arg-8 arg-9 arg-10 arg-11 arg-12 e-10 e-21 e-12 arg-14 e-13 arg-15 arg-16 e-6 arg-18 arg-19))))))))) (let ((u--argRig (AlgebraC-45ZeroOneOmega-rigMult arg-7 e-19))) (let ((sc4 (TTImpC-45ElabC-45App-findNamed e-10 arg-17))) (if (null? sc4) (TTImpC-45ElabC-45App-makeImplicit arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 u--argRig arg-8 arg-9 arg-10 arg-11 arg-12 e-10 e-21 e-12 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19) (let ((e-2 (unbox sc4))) (let ((e-5 (car e-2))) (let ((e-6 (cdr e-2))) (let ((e-13 (cdr e-5))) (TTImpC-45ElabC-45App-checkRestApp arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 u--argRig arg-8 arg-9 arg-10 arg-11 arg-12 e-10 e-21 e-12 arg-14 e-13 arg-15 arg-16 e-6 arg-18 arg-19)))))))))) ((2) (if (null? arg-15) (if (null? arg-16) (if (null? arg-17) (if (null? arg-19) (if (null? arg-16) (let ((u--argRig (AlgebraC-45ZeroOneOmega-rigMult arg-7 e-19))) (let ((sc8 (TTImpC-45ElabC-45App-findNamed e-10 arg-17))) (if (null? sc8) (TTImpC-45ElabC-45App-makeAutoImplicit arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 u--argRig arg-8 arg-9 arg-10 arg-11 arg-12 e-10 e-21 e-12 arg-14 arg-15 '() arg-17 arg-18 arg-19) (let ((e-1 (unbox sc8))) (let ((e-5 (car e-1))) (let ((e-6 (cdr e-1))) (let ((e-13 (cdr e-5))) (TTImpC-45ElabC-45App-checkRestApp arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 u--argRig arg-8 arg-9 arg-10 arg-11 arg-12 e-10 e-21 e-12 arg-14 e-13 arg-15 '() e-6 arg-18 arg-19)))))))) (let ((e-37 (car arg-16))) (let ((e-38 (cdr arg-16))) (TTImpC-45ElabC-45App-checkRestApp arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 (AlgebraC-45ZeroOneOmega-rigMult arg-7 e-19) arg-8 arg-9 arg-10 arg-11 arg-12 e-10 e-21 e-12 arg-14 e-37 arg-15 e-38 arg-17 arg-18 arg-19)))) (let ((e-44 (unbox arg-19))) (let ((u--argRig (AlgebraC-45ZeroOneOmega-rigMult arg-7 e-19))) (let ((eff-0 (CoreC-45NormaliseC-45Eval-getNF arg-1 e-44))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 arg-1)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (unbox eff-2))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((u--ty (vector 0 e-9 e-10 (vector 2 e-18 e-19 (vector 2 ) e-21) e-12))) (case (vector-ref e-5 0) ((0) (let ((e-3 (vector-ref e-5 3))) (case (vector-ref e-3 0) ((2) (let ((e-8 (vector-ref e-3 3))) (case (vector-ref e-8 0) ((2) (TTImpC-45ElabC-45Check-checkExp arg-0 arg-1 arg-3 arg-4 arg-7 arg-8 arg-10 arg-11 arg-12 (CoreC-45Normalise-glueBack arg-1 arg-0 e-6 arg-10 u--ty) (box e-44)))(else (TTImpC-45ElabC-45App-makeAutoImplicit arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 u--argRig arg-8 arg-9 arg-10 arg-11 arg-12 e-10 e-21 e-12 arg-14 '() '() '() arg-18 (box e-44))))))(else (TTImpC-45ElabC-45App-makeAutoImplicit arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 u--argRig arg-8 arg-9 arg-10 arg-11 arg-12 e-10 e-21 e-12 arg-14 '() '() '() arg-18 (box e-44))))))(else (TTImpC-45ElabC-45App-makeAutoImplicit arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 u--argRig arg-8 arg-9 arg-10 arg-11 arg-12 e-10 e-21 e-12 arg-14 '() '() '() arg-18 (box e-44))))))) eff-2))))))))) eff-1)))))))))) (if (null? arg-16) (let ((u--argRig (AlgebraC-45ZeroOneOmega-rigMult arg-7 e-19))) (let ((sc7 (TTImpC-45ElabC-45App-findNamed e-10 arg-17))) (if (null? sc7) (TTImpC-45ElabC-45App-makeAutoImplicit arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 u--argRig arg-8 arg-9 arg-10 arg-11 arg-12 e-10 e-21 e-12 arg-14 arg-15 '() arg-17 arg-18 arg-19) (let ((e-1 (unbox sc7))) (let ((e-5 (car e-1))) (let ((e-6 (cdr e-1))) (let ((e-13 (cdr e-5))) (TTImpC-45ElabC-45App-checkRestApp arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 u--argRig arg-8 arg-9 arg-10 arg-11 arg-12 e-10 e-21 e-12 arg-14 e-13 arg-15 '() e-6 arg-18 arg-19)))))))) (let ((e-37 (car arg-16))) (let ((e-38 (cdr arg-16))) (TTImpC-45ElabC-45App-checkRestApp arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 (AlgebraC-45ZeroOneOmega-rigMult arg-7 e-19) arg-8 arg-9 arg-10 arg-11 arg-12 e-10 e-21 e-12 arg-14 e-37 arg-15 e-38 arg-17 arg-18 arg-19))))) (if (null? arg-16) (let ((u--argRig (AlgebraC-45ZeroOneOmega-rigMult arg-7 e-19))) (let ((sc6 (TTImpC-45ElabC-45App-findNamed e-10 arg-17))) (if (null? sc6) (TTImpC-45ElabC-45App-makeAutoImplicit arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 u--argRig arg-8 arg-9 arg-10 arg-11 arg-12 e-10 e-21 e-12 arg-14 arg-15 '() arg-17 arg-18 arg-19) (let ((e-1 (unbox sc6))) (let ((e-5 (car e-1))) (let ((e-6 (cdr e-1))) (let ((e-13 (cdr e-5))) (TTImpC-45ElabC-45App-checkRestApp arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 u--argRig arg-8 arg-9 arg-10 arg-11 arg-12 e-10 e-21 e-12 arg-14 e-13 arg-15 '() e-6 arg-18 arg-19)))))))) (let ((e-37 (car arg-16))) (let ((e-38 (cdr arg-16))) (TTImpC-45ElabC-45App-checkRestApp arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 (AlgebraC-45ZeroOneOmega-rigMult arg-7 e-19) arg-8 arg-9 arg-10 arg-11 arg-12 e-10 e-21 e-12 arg-14 e-37 arg-15 e-38 arg-17 arg-18 arg-19))))) (if (null? arg-16) (let ((u--argRig (AlgebraC-45ZeroOneOmega-rigMult arg-7 e-19))) (let ((sc5 (TTImpC-45ElabC-45App-findNamed e-10 arg-17))) (if (null? sc5) (TTImpC-45ElabC-45App-makeAutoImplicit arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 u--argRig arg-8 arg-9 arg-10 arg-11 arg-12 e-10 e-21 e-12 arg-14 arg-15 '() arg-17 arg-18 arg-19) (let ((e-1 (unbox sc5))) (let ((e-5 (car e-1))) (let ((e-6 (cdr e-1))) (let ((e-13 (cdr e-5))) (TTImpC-45ElabC-45App-checkRestApp arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 u--argRig arg-8 arg-9 arg-10 arg-11 arg-12 e-10 e-21 e-12 arg-14 e-13 arg-15 '() e-6 arg-18 arg-19)))))))) (let ((e-37 (car arg-16))) (let ((e-38 (cdr arg-16))) (TTImpC-45ElabC-45App-checkRestApp arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 (AlgebraC-45ZeroOneOmega-rigMult arg-7 e-19) arg-8 arg-9 arg-10 arg-11 arg-12 e-10 e-21 e-12 arg-14 e-37 arg-15 e-38 arg-17 arg-18 arg-19)))))) ((3) (let ((e-26 (vector-ref e-20 1))) (if (null? arg-15) (if (null? arg-16) (if (null? arg-17) (if (null? arg-19) (let ((u--argRig (AlgebraC-45ZeroOneOmega-rigMult arg-7 e-19))) (let ((sc7 (TTImpC-45ElabC-45App-findNamed e-10 arg-17))) (if (null? sc7) (TTImpC-45ElabC-45App-makeDefImplicit arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 u--argRig arg-8 arg-9 arg-10 arg-11 arg-12 e-10 e-26 e-21 e-12 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19) (let ((e-2 (unbox sc7))) (let ((e-5 (car e-2))) (let ((e-6 (cdr e-2))) (let ((e-13 (cdr e-5))) (TTImpC-45ElabC-45App-checkRestApp arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 u--argRig arg-8 arg-9 arg-10 arg-11 arg-12 e-10 e-21 e-12 arg-14 e-13 arg-15 arg-16 e-6 arg-18 arg-19)))))))) (let ((e-49 (unbox arg-19))) (let ((u--argRig (AlgebraC-45ZeroOneOmega-rigMult arg-7 e-19))) (let ((eff-0 (CoreC-45NormaliseC-45Eval-getNF arg-1 e-49))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 arg-1)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (unbox eff-2))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((u--ty (vector 0 e-9 e-10 (vector 2 e-18 e-19 (vector 3 e-26) e-21) e-12))) (case (vector-ref e-5 0) ((0) (let ((e-3 (vector-ref e-5 3))) (case (vector-ref e-3 0) ((2) (let ((e-8 (vector-ref e-3 3))) (case (vector-ref e-8 0) ((3) (let ((e-15 (vector-ref e-8 1))) (let ((eff-2 (CoreC-45NormaliseC-45Convert-u--convert_Convert_Closure arg-1 arg-0 e-6 arg-10 e-26 e-15))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-16 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-16)))) (else (let ((e-16 (vector-ref lcase-2 1))) (let ((eff-3 (cond ((equal? e-16 1) (TTImpC-45ElabC-45Check-checkExp arg-0 arg-1 arg-3 arg-4 arg-7 arg-8 arg-10 arg-11 arg-12 (CoreC-45Normalise-glueBack arg-1 arg-0 e-6 arg-10 u--ty) (box e-49))) (else (TTImpC-45ElabC-45App-makeDefImplicit arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 u--argRig arg-8 arg-9 arg-10 arg-11 arg-12 e-10 e-26 e-21 e-12 arg-14 '() '() '() arg-18 (box e-49)))))) eff-3)))))))))(else (TTImpC-45ElabC-45App-makeDefImplicit arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 u--argRig arg-8 arg-9 arg-10 arg-11 arg-12 e-10 e-26 e-21 e-12 arg-14 '() '() '() arg-18 (box e-49))))))(else (TTImpC-45ElabC-45App-makeDefImplicit arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 u--argRig arg-8 arg-9 arg-10 arg-11 arg-12 e-10 e-26 e-21 e-12 arg-14 '() '() '() arg-18 (box e-49))))))(else (TTImpC-45ElabC-45App-makeDefImplicit arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 u--argRig arg-8 arg-9 arg-10 arg-11 arg-12 e-10 e-26 e-21 e-12 arg-14 '() '() '() arg-18 (box e-49))))))) eff-2))))))))) eff-1)))))))))) (let ((u--argRig (AlgebraC-45ZeroOneOmega-rigMult arg-7 e-19))) (let ((sc6 (TTImpC-45ElabC-45App-findNamed e-10 arg-17))) (if (null? sc6) (TTImpC-45ElabC-45App-makeDefImplicit arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 u--argRig arg-8 arg-9 arg-10 arg-11 arg-12 e-10 e-26 e-21 e-12 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19) (let ((e-2 (unbox sc6))) (let ((e-5 (car e-2))) (let ((e-6 (cdr e-2))) (let ((e-13 (cdr e-5))) (TTImpC-45ElabC-45App-checkRestApp arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 u--argRig arg-8 arg-9 arg-10 arg-11 arg-12 e-10 e-21 e-12 arg-14 e-13 arg-15 arg-16 e-6 arg-18 arg-19))))))))) (let ((u--argRig (AlgebraC-45ZeroOneOmega-rigMult arg-7 e-19))) (let ((sc5 (TTImpC-45ElabC-45App-findNamed e-10 arg-17))) (if (null? sc5) (TTImpC-45ElabC-45App-makeDefImplicit arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 u--argRig arg-8 arg-9 arg-10 arg-11 arg-12 e-10 e-26 e-21 e-12 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19) (let ((e-2 (unbox sc5))) (let ((e-5 (car e-2))) (let ((e-6 (cdr e-2))) (let ((e-13 (cdr e-5))) (TTImpC-45ElabC-45App-checkRestApp arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 u--argRig arg-8 arg-9 arg-10 arg-11 arg-12 e-10 e-21 e-12 arg-14 e-13 arg-15 arg-16 e-6 arg-18 arg-19))))))))) (let ((u--argRig (AlgebraC-45ZeroOneOmega-rigMult arg-7 e-19))) (let ((sc4 (TTImpC-45ElabC-45App-findNamed e-10 arg-17))) (if (null? sc4) (TTImpC-45ElabC-45App-makeDefImplicit arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 u--argRig arg-8 arg-9 arg-10 arg-11 arg-12 e-10 e-26 e-21 e-12 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19) (let ((e-2 (unbox sc4))) (let ((e-5 (car e-2))) (let ((e-6 (cdr e-2))) (let ((e-13 (cdr e-5))) (TTImpC-45ElabC-45App-checkRestApp arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 u--argRig arg-8 arg-9 arg-10 arg-11 arg-12 e-10 e-21 e-12 arg-14 e-13 arg-15 arg-16 e-6 arg-18 arg-19)))))))))))(else (if (null? arg-14) (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((sc5 (PreludeC-45Interfaces-all (csegen-16) (lambda (eta-0) (TTImpC-45ElabC-45App-isImplicitAs eta-0)) (PreludeC-45TypesC-45List-tailRecAppend arg-16 ((csegen-947) (PreludeC-45TypesC-45List-filterAppend '() (csegen-3360) arg-17)))))) (cond ((equal? sc5 1) (TTImpC-45ElabC-45Check-checkExp arg-0 arg-1 arg-3 arg-4 arg-7 arg-8 arg-10 arg-11 arg-12 (CoreC-45Normalise-glueBack arg-1 arg-0 e-5 arg-10 arg-13) arg-19)) (else (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 27 arg-0 arg-11 arg-10 (PreludeC-45TypesC-45List-tailRecAppend ((csegen-3361) arg-16) ((csegen-101) arg-17)) arg-12) eta-0))))))) eff-1))))))) (let ((e-3 (car arg-14))) (let ((e-4 (cdr arg-14))) (if (null? arg-15) (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((sc6 (PreludeC-45Interfaces-all (csegen-16) (lambda (eta-0) (TTImpC-45ElabC-45App-isImplicitAs eta-0)) (PreludeC-45TypesC-45List-tailRecAppend arg-16 ((csegen-947) (PreludeC-45TypesC-45List-filterAppend '() (csegen-3360) arg-17)))))) (cond ((equal? sc6 1) (TTImpC-45ElabC-45Check-checkExp arg-0 arg-1 arg-3 arg-4 arg-7 arg-8 arg-10 arg-11 arg-12 (CoreC-45Normalise-glueBack arg-1 arg-0 e-5 arg-10 arg-13) arg-19)) (else (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 27 arg-0 arg-11 arg-10 (PreludeC-45TypesC-45List-tailRecAppend ((csegen-3361) arg-16) ((csegen-101) arg-17)) arg-12) eta-0))))))) eff-1))))))) (let ((e-6 (car arg-15))) (let ((e-7 (cdr arg-15))) (let ((eff-0 (CoreC-45Normalise-logNF arg-0 arg-1 "elab.with" 10 (lambda () "Function type") arg-10 arg-13))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45ContextC-45Log-logTerm arg-0 arg-1 "elab.with" 10 (lambda () "Function ") arg-12))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45UnifyState-genName arg-1 arg-3 "argTy"))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-13 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45UnifyState-genName arg-1 arg-3 "retTy"))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-14 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (TTImpC-45ElabC-45Check-uniVar arg-1 arg-3 arg-11))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-15 (vector-ref lcase-4 1))) (let ((eff-5 (let ((eff-5 (TTImpC-45ElabC-45Check-metaVar arg-0 arg-1 arg-3 arg-11 (csegen-54) arg-10 e-13 (vector 11 arg-11 e-15)))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-16 (vector-ref lcase-5 1))) (let ((eff-6 (let ((u--argTyG (CoreC-45NormaliseC-45Eval-gnf arg-0 arg-10 e-16))) (let ((eff-6 (TTImpC-45ElabC-45Check-metaVar arg-0 arg-1 arg-3 arg-11 (csegen-54) arg-10 e-14 (vector 11 arg-11 e-15)))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-2 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-17 (vector-ref lcase-6 1))) (let ((eff-7 (let ((eff-7 (TTImpC-45ElabC-45Check-check arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 e-6 (box u--argTyG)))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-2 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-22 (vector-ref lcase-7 1))) (let ((eff-8 (let ((e-2 (car e-22))) (let ((e-23 (cdr e-22))) (let ((u--fntm (vector 4 arg-11 arg-12 e-2))) (let ((eff-8 (let ((eff-8 arg-1)) (PrimIO-io_bind (let ((eff-9 eff-8)) (lambda (eta-0) (unbox eff-9))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-8 (lambda (lcase-8) (case (vector-ref lcase-8 0) ((0) (let ((e-24 (vector-ref lcase-8 1))) (lambda (eta-0) (vector 0 e-24)))) (else (let ((e-24 (vector-ref lcase-8 1))) (let ((eff-9 (let ((eff-9 (CoreC-45NormaliseC-45Eval-nf arg-1 arg-0 e-24 arg-10 e-17))) (PrimIO-io_bind eff-9 (lambda (lcase-9) (case (vector-ref lcase-9 0) ((0) (let ((e-25 (vector-ref lcase-9 1))) (lambda (eta-0) (vector 0 e-25)))) (else (let ((e-25 (vector-ref lcase-9 1))) (let ((eff-10 (let ((u--expfnty (CoreC-45NormaliseC-45Eval-gnf arg-0 arg-10 (vector 3 arg-11 e-13 (vector 2 arg-11 (AlgebraC-45ZeroOneOmega-u--top_Top_ZeroOneOmega) (vector 1 ) e-16) (CoreC-45TT-u--weaken_Weaken_Term e-17))))) (let ((eff-10 (CoreC-45Normalise-logGlue arg-0 arg-1 "elab.with" 10 (lambda () (csegen-3374)) arg-10 u--expfnty))) (PrimIO-io_bind eff-10 (lambda (lcase-10) (case (vector-ref lcase-10 0) ((0) (let ((e-26 (vector-ref lcase-10 1))) (lambda (eta-0) (vector 0 e-26)))) (else (let ((eff-11 (let ((eff-11 (if (null? arg-19) (lambda (eta-0) (vector 1 (vector 0 ))) (let ((e-1 (unbox arg-19))) (CoreC-45Normalise-logGlue arg-0 arg-1 "elab.with" 10 (lambda () (csegen-3375)) arg-10 e-1))))) (PrimIO-io_bind eff-11 (lambda (lcase-11) (case (vector-ref lcase-11 0) ((0) (let ((e-27 (vector-ref lcase-11 1))) (lambda (eta-0) (vector 0 e-27)))) (else (let ((eff-12 (let ((eff-12 (TTImpC-45ElabC-45App-checkAppWithC-39 arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 u--fntm e-25 (cons e-3 (+ e-4 1)) e-7 arg-16 arg-17 arg-18 arg-19))) (PrimIO-io_bind eff-12 (lambda (lcase-12) (case (vector-ref lcase-12 0) ((0) (let ((e-28 (vector-ref lcase-12 1))) (lambda (eta-0) (vector 0 e-28)))) (else (let ((e-28 (vector-ref lcase-12 1))) (let ((eff-13 (let ((eff-13 (TTImpC-45ElabC-45Check-convert arg-0 arg-1 arg-3 arg-4 arg-11 arg-8 arg-10 (CoreC-45Normalise-glueBack arg-1 arg-0 e-24 arg-10 arg-13) u--expfnty))) (PrimIO-io_bind eff-13 (lambda (lcase-13) (case (vector-ref lcase-13 0) ((0) (let ((e-29 (vector-ref lcase-13 1))) (lambda (eta-0) (vector 0 e-29)))) (else (let ((e-29 (vector-ref lcase-13 1))) (let ((eff-14 (let ((_-0 (cons e-2 e-23))) (TTImpC-45ElabC-45App-case--caseC-32blockC-32inC-32checkAppWithC-39-20264 e-3 e-4 e-6 e-7 arg-0 arg-19 arg-18 arg-17 arg-16 arg-13 arg-12 arg-11 arg-10 arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 e-13 e-14 e-15 e-16 u--argTyG e-17 e-2 e-23 _-0 u--fntm e-24 e-25 u--expfnty e-28 e-29 (let ((e-0 (vector-ref e-29 0))) e-0))))) eff-14))))))))) eff-13))))))))) eff-12)))))))) eff-11))))))))) eff-10))))))))) eff-9)))))))))))) eff-8))))))))) eff-7)))))))))) eff-6))))))))) eff-5))))))))) eff-4))))))))) eff-3))))))))) eff-2)))))))) eff-1)))))))))))))))))))(else (if (null? arg-14) (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((sc4 (PreludeC-45Interfaces-all (csegen-16) (lambda (eta-0) (TTImpC-45ElabC-45App-isImplicitAs eta-0)) (PreludeC-45TypesC-45List-tailRecAppend arg-16 ((csegen-947) (PreludeC-45TypesC-45List-filterAppend '() (csegen-3360) arg-17)))))) (cond ((equal? sc4 1) (TTImpC-45ElabC-45Check-checkExp arg-0 arg-1 arg-3 arg-4 arg-7 arg-8 arg-10 arg-11 arg-12 (CoreC-45Normalise-glueBack arg-1 arg-0 e-5 arg-10 arg-13) arg-19)) (else (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 27 arg-0 arg-11 arg-10 (PreludeC-45TypesC-45List-tailRecAppend ((csegen-3361) arg-16) ((csegen-101) arg-17)) arg-12) eta-0))))))) eff-1))))))) (let ((e-3 (car arg-14))) (let ((e-4 (cdr arg-14))) (if (null? arg-15) (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((sc5 (PreludeC-45Interfaces-all (csegen-16) (lambda (eta-0) (TTImpC-45ElabC-45App-isImplicitAs eta-0)) (PreludeC-45TypesC-45List-tailRecAppend arg-16 ((csegen-947) (PreludeC-45TypesC-45List-filterAppend '() (csegen-3360) arg-17)))))) (cond ((equal? sc5 1) (TTImpC-45ElabC-45Check-checkExp arg-0 arg-1 arg-3 arg-4 arg-7 arg-8 arg-10 arg-11 arg-12 (CoreC-45Normalise-glueBack arg-1 arg-0 e-5 arg-10 arg-13) arg-19)) (else (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 27 arg-0 arg-11 arg-10 (PreludeC-45TypesC-45List-tailRecAppend ((csegen-3361) arg-16) ((csegen-101) arg-17)) arg-12) eta-0))))))) eff-1))))))) (let ((e-6 (car arg-15))) (let ((e-7 (cdr arg-15))) (let ((eff-0 (CoreC-45Normalise-logNF arg-0 arg-1 "elab.with" 10 (lambda () "Function type") arg-10 arg-13))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45ContextC-45Log-logTerm arg-0 arg-1 "elab.with" 10 (lambda () "Function ") arg-12))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45UnifyState-genName arg-1 arg-3 "argTy"))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-13 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45UnifyState-genName arg-1 arg-3 "retTy"))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-14 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (TTImpC-45ElabC-45Check-uniVar arg-1 arg-3 arg-11))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-15 (vector-ref lcase-4 1))) (let ((eff-5 (let ((eff-5 (TTImpC-45ElabC-45Check-metaVar arg-0 arg-1 arg-3 arg-11 (csegen-54) arg-10 e-13 (vector 11 arg-11 e-15)))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-16 (vector-ref lcase-5 1))) (let ((eff-6 (let ((u--argTyG (CoreC-45NormaliseC-45Eval-gnf arg-0 arg-10 e-16))) (let ((eff-6 (TTImpC-45ElabC-45Check-metaVar arg-0 arg-1 arg-3 arg-11 (csegen-54) arg-10 e-14 (vector 11 arg-11 e-15)))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-2 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-17 (vector-ref lcase-6 1))) (let ((eff-7 (let ((eff-7 (TTImpC-45ElabC-45Check-check arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 e-6 (box u--argTyG)))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-2 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-18 (vector-ref lcase-7 1))) (let ((eff-8 (let ((e-2 (car e-18))) (let ((e-19 (cdr e-18))) (let ((u--fntm (vector 4 arg-11 arg-12 e-2))) (let ((eff-8 (let ((eff-8 arg-1)) (PrimIO-io_bind (let ((eff-9 eff-8)) (lambda (eta-0) (unbox eff-9))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-8 (lambda (lcase-8) (case (vector-ref lcase-8 0) ((0) (let ((e-20 (vector-ref lcase-8 1))) (lambda (eta-0) (vector 0 e-20)))) (else (let ((e-20 (vector-ref lcase-8 1))) (let ((eff-9 (let ((eff-9 (CoreC-45NormaliseC-45Eval-nf arg-1 arg-0 e-20 arg-10 e-17))) (PrimIO-io_bind eff-9 (lambda (lcase-9) (case (vector-ref lcase-9 0) ((0) (let ((e-21 (vector-ref lcase-9 1))) (lambda (eta-0) (vector 0 e-21)))) (else (let ((e-21 (vector-ref lcase-9 1))) (let ((eff-10 (let ((u--expfnty (CoreC-45NormaliseC-45Eval-gnf arg-0 arg-10 (vector 3 arg-11 e-13 (vector 2 arg-11 (AlgebraC-45ZeroOneOmega-u--top_Top_ZeroOneOmega) (vector 1 ) e-16) (CoreC-45TT-u--weaken_Weaken_Term e-17))))) (let ((eff-10 (CoreC-45Normalise-logGlue arg-0 arg-1 "elab.with" 10 (lambda () (csegen-3374)) arg-10 u--expfnty))) (PrimIO-io_bind eff-10 (lambda (lcase-10) (case (vector-ref lcase-10 0) ((0) (let ((e-22 (vector-ref lcase-10 1))) (lambda (eta-0) (vector 0 e-22)))) (else (let ((eff-11 (let ((eff-11 (if (null? arg-19) (lambda (eta-0) (vector 1 (vector 0 ))) (let ((e-1 (unbox arg-19))) (CoreC-45Normalise-logGlue arg-0 arg-1 "elab.with" 10 (lambda () (csegen-3375)) arg-10 e-1))))) (PrimIO-io_bind eff-11 (lambda (lcase-11) (case (vector-ref lcase-11 0) ((0) (let ((e-23 (vector-ref lcase-11 1))) (lambda (eta-0) (vector 0 e-23)))) (else (let ((eff-12 (let ((eff-12 (TTImpC-45ElabC-45App-checkAppWithC-39 arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 u--fntm e-21 (cons e-3 (+ e-4 1)) e-7 arg-16 arg-17 arg-18 arg-19))) (PrimIO-io_bind eff-12 (lambda (lcase-12) (case (vector-ref lcase-12 0) ((0) (let ((e-24 (vector-ref lcase-12 1))) (lambda (eta-0) (vector 0 e-24)))) (else (let ((e-24 (vector-ref lcase-12 1))) (let ((eff-13 (let ((eff-13 (TTImpC-45ElabC-45Check-convert arg-0 arg-1 arg-3 arg-4 arg-11 arg-8 arg-10 (CoreC-45Normalise-glueBack arg-1 arg-0 e-20 arg-10 arg-13) u--expfnty))) (PrimIO-io_bind eff-13 (lambda (lcase-13) (case (vector-ref lcase-13 0) ((0) (let ((e-25 (vector-ref lcase-13 1))) (lambda (eta-0) (vector 0 e-25)))) (else (let ((e-25 (vector-ref lcase-13 1))) (let ((eff-14 (let ((_-0 (cons e-2 e-19))) (TTImpC-45ElabC-45App-case--caseC-32blockC-32inC-32checkAppWithC-39-20264 e-3 e-4 e-6 e-7 arg-0 arg-19 arg-18 arg-17 arg-16 arg-13 arg-12 arg-11 arg-10 arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 e-13 e-14 e-15 e-16 u--argTyG e-17 e-2 e-19 _-0 u--fntm e-20 e-21 u--expfnty e-24 e-25 (let ((e-0 (vector-ref e-25 0))) e-0))))) eff-14))))))))) eff-13))))))))) eff-12)))))))) eff-11))))))))) eff-10))))))))) eff-9)))))))))))) eff-8))))))))) eff-7)))))))))) eff-6))))))))) eff-5))))))))) eff-4))))))))) eff-3))))))))) eff-2)))))))) eff-1))))))))))))))))))) ((5) (let ((e-14 (vector-ref arg-13 1))) (let ((e-15 (vector-ref arg-13 2))) (let ((e-16 (vector-ref arg-13 3))) (case (vector-ref e-16 0) ((0) (let ((e-53 (vector-ref e-16 3))) (case (vector-ref e-53 0) ((2) (TTImpC-45ElabC-45App-checkAppWithC-39 arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 (vector 8 e-14 e-15 arg-12) e-16 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19))(else (if (null? arg-14) (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((sc5 (PreludeC-45Interfaces-all (csegen-16) (lambda (eta-0) (TTImpC-45ElabC-45App-isImplicitAs eta-0)) (PreludeC-45TypesC-45List-tailRecAppend arg-16 ((csegen-947) (PreludeC-45TypesC-45List-filterAppend '() (csegen-3360) arg-17)))))) (cond ((equal? sc5 1) (TTImpC-45ElabC-45Check-checkExp arg-0 arg-1 arg-3 arg-4 arg-7 arg-8 arg-10 arg-11 arg-12 (CoreC-45Normalise-glueBack arg-1 arg-0 e-5 arg-10 arg-13) arg-19)) (else (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 27 arg-0 arg-11 arg-10 (PreludeC-45TypesC-45List-tailRecAppend ((csegen-3361) arg-16) ((csegen-101) arg-17)) arg-12) eta-0))))))) eff-1))))))) (let ((e-3 (car arg-14))) (let ((e-4 (cdr arg-14))) (if (null? arg-15) (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((sc6 (PreludeC-45Interfaces-all (csegen-16) (lambda (eta-0) (TTImpC-45ElabC-45App-isImplicitAs eta-0)) (PreludeC-45TypesC-45List-tailRecAppend arg-16 ((csegen-947) (PreludeC-45TypesC-45List-filterAppend '() (csegen-3360) arg-17)))))) (cond ((equal? sc6 1) (TTImpC-45ElabC-45Check-checkExp arg-0 arg-1 arg-3 arg-4 arg-7 arg-8 arg-10 arg-11 arg-12 (CoreC-45Normalise-glueBack arg-1 arg-0 e-5 arg-10 arg-13) arg-19)) (else (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 27 arg-0 arg-11 arg-10 (PreludeC-45TypesC-45List-tailRecAppend ((csegen-3361) arg-16) ((csegen-101) arg-17)) arg-12) eta-0))))))) eff-1))))))) (let ((e-6 (car arg-15))) (let ((e-7 (cdr arg-15))) (let ((eff-0 (CoreC-45Normalise-logNF arg-0 arg-1 "elab.with" 10 (lambda () "Function type") arg-10 arg-13))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45ContextC-45Log-logTerm arg-0 arg-1 "elab.with" 10 (lambda () "Function ") arg-12))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45UnifyState-genName arg-1 arg-3 "argTy"))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45UnifyState-genName arg-1 arg-3 "retTy"))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (TTImpC-45ElabC-45Check-uniVar arg-1 arg-3 arg-11))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (let ((eff-5 (TTImpC-45ElabC-45Check-metaVar arg-0 arg-1 arg-3 arg-11 (csegen-54) arg-10 e-9 (vector 11 arg-11 e-11)))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-12 (vector-ref lcase-5 1))) (let ((eff-6 (let ((u--argTyG (CoreC-45NormaliseC-45Eval-gnf arg-0 arg-10 e-12))) (let ((eff-6 (TTImpC-45ElabC-45Check-metaVar arg-0 arg-1 arg-3 arg-11 (csegen-54) arg-10 e-10 (vector 11 arg-11 e-11)))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-2 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-13 (vector-ref lcase-6 1))) (let ((eff-7 (let ((eff-7 (TTImpC-45ElabC-45Check-check arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 e-6 (box u--argTyG)))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-2 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-17 (vector-ref lcase-7 1))) (let ((eff-8 (let ((e-2 (car e-17))) (let ((e-18 (cdr e-17))) (let ((u--fntm (vector 4 arg-11 arg-12 e-2))) (let ((eff-8 (let ((eff-8 arg-1)) (PrimIO-io_bind (let ((eff-9 eff-8)) (lambda (eta-0) (unbox eff-9))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-8 (lambda (lcase-8) (case (vector-ref lcase-8 0) ((0) (let ((e-19 (vector-ref lcase-8 1))) (lambda (eta-0) (vector 0 e-19)))) (else (let ((e-19 (vector-ref lcase-8 1))) (let ((eff-9 (let ((eff-9 (CoreC-45NormaliseC-45Eval-nf arg-1 arg-0 e-19 arg-10 e-13))) (PrimIO-io_bind eff-9 (lambda (lcase-9) (case (vector-ref lcase-9 0) ((0) (let ((e-20 (vector-ref lcase-9 1))) (lambda (eta-0) (vector 0 e-20)))) (else (let ((e-20 (vector-ref lcase-9 1))) (let ((eff-10 (let ((u--expfnty (CoreC-45NormaliseC-45Eval-gnf arg-0 arg-10 (vector 3 arg-11 e-9 (vector 2 arg-11 (AlgebraC-45ZeroOneOmega-u--top_Top_ZeroOneOmega) (vector 1 ) e-12) (CoreC-45TT-u--weaken_Weaken_Term e-13))))) (let ((eff-10 (CoreC-45Normalise-logGlue arg-0 arg-1 "elab.with" 10 (lambda () (csegen-3374)) arg-10 u--expfnty))) (PrimIO-io_bind eff-10 (lambda (lcase-10) (case (vector-ref lcase-10 0) ((0) (let ((e-21 (vector-ref lcase-10 1))) (lambda (eta-0) (vector 0 e-21)))) (else (let ((eff-11 (let ((eff-11 (if (null? arg-19) (lambda (eta-0) (vector 1 (vector 0 ))) (let ((e-1 (unbox arg-19))) (CoreC-45Normalise-logGlue arg-0 arg-1 "elab.with" 10 (lambda () (csegen-3375)) arg-10 e-1))))) (PrimIO-io_bind eff-11 (lambda (lcase-11) (case (vector-ref lcase-11 0) ((0) (let ((e-22 (vector-ref lcase-11 1))) (lambda (eta-0) (vector 0 e-22)))) (else (let ((eff-12 (let ((eff-12 (TTImpC-45ElabC-45App-checkAppWithC-39 arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 u--fntm e-20 (cons e-3 (+ e-4 1)) e-7 arg-16 arg-17 arg-18 arg-19))) (PrimIO-io_bind eff-12 (lambda (lcase-12) (case (vector-ref lcase-12 0) ((0) (let ((e-23 (vector-ref lcase-12 1))) (lambda (eta-0) (vector 0 e-23)))) (else (let ((e-23 (vector-ref lcase-12 1))) (let ((eff-13 (let ((eff-13 (TTImpC-45ElabC-45Check-convert arg-0 arg-1 arg-3 arg-4 arg-11 arg-8 arg-10 (CoreC-45Normalise-glueBack arg-1 arg-0 e-19 arg-10 arg-13) u--expfnty))) (PrimIO-io_bind eff-13 (lambda (lcase-13) (case (vector-ref lcase-13 0) ((0) (let ((e-24 (vector-ref lcase-13 1))) (lambda (eta-0) (vector 0 e-24)))) (else (let ((e-24 (vector-ref lcase-13 1))) (let ((eff-14 (let ((_-0 (cons e-2 e-18))) (TTImpC-45ElabC-45App-case--caseC-32blockC-32inC-32checkAppWithC-39-20264 e-3 e-4 e-6 e-7 arg-0 arg-19 arg-18 arg-17 arg-16 arg-13 arg-12 arg-11 arg-10 arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 e-9 e-10 e-11 e-12 u--argTyG e-13 e-2 e-18 _-0 u--fntm e-19 e-20 u--expfnty e-23 e-24 (let ((e-0 (vector-ref e-24 0))) e-0))))) eff-14))))))))) eff-13))))))))) eff-12)))))))) eff-11))))))))) eff-10))))))))) eff-9)))))))))))) eff-8))))))))) eff-7)))))))))) eff-6))))))))) eff-5))))))))) eff-4))))))))) eff-3))))))))) eff-2)))))))) eff-1))))))))))))))))(else (if (null? arg-14) (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((sc4 (PreludeC-45Interfaces-all (csegen-16) (lambda (eta-0) (TTImpC-45ElabC-45App-isImplicitAs eta-0)) (PreludeC-45TypesC-45List-tailRecAppend arg-16 ((csegen-947) (PreludeC-45TypesC-45List-filterAppend '() (csegen-3360) arg-17)))))) (cond ((equal? sc4 1) (TTImpC-45ElabC-45Check-checkExp arg-0 arg-1 arg-3 arg-4 arg-7 arg-8 arg-10 arg-11 arg-12 (CoreC-45Normalise-glueBack arg-1 arg-0 e-5 arg-10 arg-13) arg-19)) (else (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 27 arg-0 arg-11 arg-10 (PreludeC-45TypesC-45List-tailRecAppend ((csegen-3361) arg-16) ((csegen-101) arg-17)) arg-12) eta-0))))))) eff-1))))))) (let ((e-3 (car arg-14))) (let ((e-4 (cdr arg-14))) (if (null? arg-15) (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((sc5 (PreludeC-45Interfaces-all (csegen-16) (lambda (eta-0) (TTImpC-45ElabC-45App-isImplicitAs eta-0)) (PreludeC-45TypesC-45List-tailRecAppend arg-16 ((csegen-947) (PreludeC-45TypesC-45List-filterAppend '() (csegen-3360) arg-17)))))) (cond ((equal? sc5 1) (TTImpC-45ElabC-45Check-checkExp arg-0 arg-1 arg-3 arg-4 arg-7 arg-8 arg-10 arg-11 arg-12 (CoreC-45Normalise-glueBack arg-1 arg-0 e-5 arg-10 arg-13) arg-19)) (else (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 27 arg-0 arg-11 arg-10 (PreludeC-45TypesC-45List-tailRecAppend ((csegen-3361) arg-16) ((csegen-101) arg-17)) arg-12) eta-0))))))) eff-1))))))) (let ((e-6 (car arg-15))) (let ((e-7 (cdr arg-15))) (let ((eff-0 (CoreC-45Normalise-logNF arg-0 arg-1 "elab.with" 10 (lambda () "Function type") arg-10 arg-13))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45ContextC-45Log-logTerm arg-0 arg-1 "elab.with" 10 (lambda () "Function ") arg-12))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45UnifyState-genName arg-1 arg-3 "argTy"))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45UnifyState-genName arg-1 arg-3 "retTy"))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (TTImpC-45ElabC-45Check-uniVar arg-1 arg-3 arg-11))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (let ((eff-5 (TTImpC-45ElabC-45Check-metaVar arg-0 arg-1 arg-3 arg-11 (csegen-54) arg-10 e-9 (vector 11 arg-11 e-11)))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-12 (vector-ref lcase-5 1))) (let ((eff-6 (let ((u--argTyG (CoreC-45NormaliseC-45Eval-gnf arg-0 arg-10 e-12))) (let ((eff-6 (TTImpC-45ElabC-45Check-metaVar arg-0 arg-1 arg-3 arg-11 (csegen-54) arg-10 e-10 (vector 11 arg-11 e-11)))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-2 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-13 (vector-ref lcase-6 1))) (let ((eff-7 (let ((eff-7 (TTImpC-45ElabC-45Check-check arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 e-6 (box u--argTyG)))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-2 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-17 (vector-ref lcase-7 1))) (let ((eff-8 (let ((e-2 (car e-17))) (let ((e-18 (cdr e-17))) (let ((u--fntm (vector 4 arg-11 arg-12 e-2))) (let ((eff-8 (let ((eff-8 arg-1)) (PrimIO-io_bind (let ((eff-9 eff-8)) (lambda (eta-0) (unbox eff-9))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-8 (lambda (lcase-8) (case (vector-ref lcase-8 0) ((0) (let ((e-19 (vector-ref lcase-8 1))) (lambda (eta-0) (vector 0 e-19)))) (else (let ((e-19 (vector-ref lcase-8 1))) (let ((eff-9 (let ((eff-9 (CoreC-45NormaliseC-45Eval-nf arg-1 arg-0 e-19 arg-10 e-13))) (PrimIO-io_bind eff-9 (lambda (lcase-9) (case (vector-ref lcase-9 0) ((0) (let ((e-20 (vector-ref lcase-9 1))) (lambda (eta-0) (vector 0 e-20)))) (else (let ((e-20 (vector-ref lcase-9 1))) (let ((eff-10 (let ((u--expfnty (CoreC-45NormaliseC-45Eval-gnf arg-0 arg-10 (vector 3 arg-11 e-9 (vector 2 arg-11 (AlgebraC-45ZeroOneOmega-u--top_Top_ZeroOneOmega) (vector 1 ) e-12) (CoreC-45TT-u--weaken_Weaken_Term e-13))))) (let ((eff-10 (CoreC-45Normalise-logGlue arg-0 arg-1 "elab.with" 10 (lambda () (csegen-3374)) arg-10 u--expfnty))) (PrimIO-io_bind eff-10 (lambda (lcase-10) (case (vector-ref lcase-10 0) ((0) (let ((e-21 (vector-ref lcase-10 1))) (lambda (eta-0) (vector 0 e-21)))) (else (let ((eff-11 (let ((eff-11 (if (null? arg-19) (lambda (eta-0) (vector 1 (vector 0 ))) (let ((e-1 (unbox arg-19))) (CoreC-45Normalise-logGlue arg-0 arg-1 "elab.with" 10 (lambda () (csegen-3375)) arg-10 e-1))))) (PrimIO-io_bind eff-11 (lambda (lcase-11) (case (vector-ref lcase-11 0) ((0) (let ((e-22 (vector-ref lcase-11 1))) (lambda (eta-0) (vector 0 e-22)))) (else (let ((eff-12 (let ((eff-12 (TTImpC-45ElabC-45App-checkAppWithC-39 arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 u--fntm e-20 (cons e-3 (+ e-4 1)) e-7 arg-16 arg-17 arg-18 arg-19))) (PrimIO-io_bind eff-12 (lambda (lcase-12) (case (vector-ref lcase-12 0) ((0) (let ((e-23 (vector-ref lcase-12 1))) (lambda (eta-0) (vector 0 e-23)))) (else (let ((e-23 (vector-ref lcase-12 1))) (let ((eff-13 (let ((eff-13 (TTImpC-45ElabC-45Check-convert arg-0 arg-1 arg-3 arg-4 arg-11 arg-8 arg-10 (CoreC-45Normalise-glueBack arg-1 arg-0 e-19 arg-10 arg-13) u--expfnty))) (PrimIO-io_bind eff-13 (lambda (lcase-13) (case (vector-ref lcase-13 0) ((0) (let ((e-24 (vector-ref lcase-13 1))) (lambda (eta-0) (vector 0 e-24)))) (else (let ((e-24 (vector-ref lcase-13 1))) (let ((eff-14 (let ((_-0 (cons e-2 e-18))) (TTImpC-45ElabC-45App-case--caseC-32blockC-32inC-32checkAppWithC-39-20264 e-3 e-4 e-6 e-7 arg-0 arg-19 arg-18 arg-17 arg-16 arg-13 arg-12 arg-11 arg-10 arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 e-9 e-10 e-11 e-12 u--argTyG e-13 e-2 e-18 _-0 u--fntm e-19 e-20 u--expfnty e-23 e-24 (let ((e-0 (vector-ref e-24 0))) e-0))))) eff-14))))))))) eff-13))))))))) eff-12)))))))) eff-11))))))))) eff-10))))))))) eff-9)))))))))))) eff-8))))))))) eff-7)))))))))) eff-6))))))))) eff-5))))))))) eff-4))))))))) eff-3))))))))) eff-2)))))))) eff-1))))))))))))))))))(else (if (null? arg-14) (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((sc3 (PreludeC-45Interfaces-all (csegen-16) (lambda (eta-0) (TTImpC-45ElabC-45App-isImplicitAs eta-0)) (PreludeC-45TypesC-45List-tailRecAppend arg-16 ((csegen-947) (PreludeC-45TypesC-45List-filterAppend '() (csegen-3360) arg-17)))))) (cond ((equal? sc3 1) (TTImpC-45ElabC-45Check-checkExp arg-0 arg-1 arg-3 arg-4 arg-7 arg-8 arg-10 arg-11 arg-12 (CoreC-45Normalise-glueBack arg-1 arg-0 e-5 arg-10 arg-13) arg-19)) (else (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 27 arg-0 arg-11 arg-10 (PreludeC-45TypesC-45List-tailRecAppend ((csegen-3361) arg-16) ((csegen-101) arg-17)) arg-12) eta-0))))))) eff-1))))))) (let ((e-3 (car arg-14))) (let ((e-4 (cdr arg-14))) (if (null? arg-15) (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((sc4 (PreludeC-45Interfaces-all (csegen-16) (lambda (eta-0) (TTImpC-45ElabC-45App-isImplicitAs eta-0)) (PreludeC-45TypesC-45List-tailRecAppend arg-16 ((csegen-947) (PreludeC-45TypesC-45List-filterAppend '() (csegen-3360) arg-17)))))) (cond ((equal? sc4 1) (TTImpC-45ElabC-45Check-checkExp arg-0 arg-1 arg-3 arg-4 arg-7 arg-8 arg-10 arg-11 arg-12 (CoreC-45Normalise-glueBack arg-1 arg-0 e-5 arg-10 arg-13) arg-19)) (else (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 27 arg-0 arg-11 arg-10 (PreludeC-45TypesC-45List-tailRecAppend ((csegen-3361) arg-16) ((csegen-101) arg-17)) arg-12) eta-0))))))) eff-1))))))) (let ((e-6 (car arg-15))) (let ((e-7 (cdr arg-15))) (let ((eff-0 (CoreC-45Normalise-logNF arg-0 arg-1 "elab.with" 10 (lambda () "Function type") arg-10 arg-13))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45ContextC-45Log-logTerm arg-0 arg-1 "elab.with" 10 (lambda () "Function ") arg-12))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45UnifyState-genName arg-1 arg-3 "argTy"))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45UnifyState-genName arg-1 arg-3 "retTy"))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (TTImpC-45ElabC-45Check-uniVar arg-1 arg-3 arg-11))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (let ((eff-5 (TTImpC-45ElabC-45Check-metaVar arg-0 arg-1 arg-3 arg-11 (csegen-54) arg-10 e-9 (vector 11 arg-11 e-11)))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-12 (vector-ref lcase-5 1))) (let ((eff-6 (let ((u--argTyG (CoreC-45NormaliseC-45Eval-gnf arg-0 arg-10 e-12))) (let ((eff-6 (TTImpC-45ElabC-45Check-metaVar arg-0 arg-1 arg-3 arg-11 (csegen-54) arg-10 e-10 (vector 11 arg-11 e-11)))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-2 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-13 (vector-ref lcase-6 1))) (let ((eff-7 (let ((eff-7 (TTImpC-45ElabC-45Check-check arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 e-6 (box u--argTyG)))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-2 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-14 (vector-ref lcase-7 1))) (let ((eff-8 (let ((e-2 (car e-14))) (let ((e-15 (cdr e-14))) (let ((u--fntm (vector 4 arg-11 arg-12 e-2))) (let ((eff-8 (let ((eff-8 arg-1)) (PrimIO-io_bind (let ((eff-9 eff-8)) (lambda (eta-0) (unbox eff-9))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-8 (lambda (lcase-8) (case (vector-ref lcase-8 0) ((0) (let ((e-16 (vector-ref lcase-8 1))) (lambda (eta-0) (vector 0 e-16)))) (else (let ((e-16 (vector-ref lcase-8 1))) (let ((eff-9 (let ((eff-9 (CoreC-45NormaliseC-45Eval-nf arg-1 arg-0 e-16 arg-10 e-13))) (PrimIO-io_bind eff-9 (lambda (lcase-9) (case (vector-ref lcase-9 0) ((0) (let ((e-17 (vector-ref lcase-9 1))) (lambda (eta-0) (vector 0 e-17)))) (else (let ((e-17 (vector-ref lcase-9 1))) (let ((eff-10 (let ((u--expfnty (CoreC-45NormaliseC-45Eval-gnf arg-0 arg-10 (vector 3 arg-11 e-9 (vector 2 arg-11 (AlgebraC-45ZeroOneOmega-u--top_Top_ZeroOneOmega) (vector 1 ) e-12) (CoreC-45TT-u--weaken_Weaken_Term e-13))))) (let ((eff-10 (CoreC-45Normalise-logGlue arg-0 arg-1 "elab.with" 10 (lambda () (csegen-3374)) arg-10 u--expfnty))) (PrimIO-io_bind eff-10 (lambda (lcase-10) (case (vector-ref lcase-10 0) ((0) (let ((e-18 (vector-ref lcase-10 1))) (lambda (eta-0) (vector 0 e-18)))) (else (let ((eff-11 (let ((eff-11 (if (null? arg-19) (lambda (eta-0) (vector 1 (vector 0 ))) (let ((e-1 (unbox arg-19))) (CoreC-45Normalise-logGlue arg-0 arg-1 "elab.with" 10 (lambda () (csegen-3375)) arg-10 e-1))))) (PrimIO-io_bind eff-11 (lambda (lcase-11) (case (vector-ref lcase-11 0) ((0) (let ((e-19 (vector-ref lcase-11 1))) (lambda (eta-0) (vector 0 e-19)))) (else (let ((eff-12 (let ((eff-12 (TTImpC-45ElabC-45App-checkAppWithC-39 arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 u--fntm e-17 (cons e-3 (+ e-4 1)) e-7 arg-16 arg-17 arg-18 arg-19))) (PrimIO-io_bind eff-12 (lambda (lcase-12) (case (vector-ref lcase-12 0) ((0) (let ((e-20 (vector-ref lcase-12 1))) (lambda (eta-0) (vector 0 e-20)))) (else (let ((e-20 (vector-ref lcase-12 1))) (let ((eff-13 (let ((eff-13 (TTImpC-45ElabC-45Check-convert arg-0 arg-1 arg-3 arg-4 arg-11 arg-8 arg-10 (CoreC-45Normalise-glueBack arg-1 arg-0 e-16 arg-10 arg-13) u--expfnty))) (PrimIO-io_bind eff-13 (lambda (lcase-13) (case (vector-ref lcase-13 0) ((0) (let ((e-21 (vector-ref lcase-13 1))) (lambda (eta-0) (vector 0 e-21)))) (else (let ((e-21 (vector-ref lcase-13 1))) (let ((eff-14 (let ((_-0 (cons e-2 e-15))) (TTImpC-45ElabC-45App-case--caseC-32blockC-32inC-32checkAppWithC-39-20264 e-3 e-4 e-6 e-7 arg-0 arg-19 arg-18 arg-17 arg-16 arg-13 arg-12 arg-11 arg-10 arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 e-9 e-10 e-11 e-12 u--argTyG e-13 e-2 e-15 _-0 u--fntm e-16 e-17 u--expfnty e-20 e-21 (let ((e-0 (vector-ref e-21 0))) e-0))))) eff-14))))))))) eff-13))))))))) eff-12)))))))) eff-11))))))))) eff-10))))))))) eff-9)))))))))))) eff-8))))))))) eff-7)))))))))) eff-6))))))))) eff-5))))))))) eff-4))))))))) eff-3))))))))) eff-2)))))))) eff-1))))))))))))))))
(define TTImpC-45ElabC-45App-checkAppWith (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19) (let ((eff-0 (TTImpC-45ElabC-45App-checkAppWithC-39 arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((sc1 (TTImpC-45ElabC-45Check-isLHS (let ((e-0 (vector-ref arg-8 0))) e-0)))) (if (null? sc1) (lambda (eta-0) (vector 1 e-5)) (let ((e-1 (unbox sc1))) (TTImpC-45ElabC-45App-case--caseC-32blockC-32inC-32checkAppWith-20690 arg-0 arg-19 arg-18 arg-17 arg-16 arg-15 arg-14 arg-13 arg-12 arg-11 arg-10 arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 e-5 e-1 (CoreC-45TT-getFnArgs (Builtin-fst e-5)))))))) eff-1)))))))))
(define TTImpC-45ElabC-45App-checkApp (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16) (case (vector-ref arg-12 0) ((8) (let ((e-1 (vector-ref arg-12 1))) (let ((e-2 (vector-ref arg-12 2))) (let ((e-3 (vector-ref arg-12 3))) (TTImpC-45ElabC-45App-checkApp arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 e-1 e-2 (cons e-3 arg-13) arg-14 arg-15 arg-16))))) ((9) (let ((e-5 (vector-ref arg-12 1))) (let ((e-6 (vector-ref arg-12 2))) (let ((e-7 (vector-ref arg-12 3))) (TTImpC-45ElabC-45App-checkApp arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 e-5 e-6 arg-13 (cons e-7 arg-14) arg-15 arg-16))))) ((10) (let ((e-9 (vector-ref arg-12 1))) (let ((e-10 (vector-ref arg-12 2))) (let ((e-11 (vector-ref arg-12 3))) (let ((e-12 (vector-ref arg-12 4))) (TTImpC-45ElabC-45App-checkApp arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 e-9 e-10 arg-13 arg-14 (cons (cons e-11 e-12) arg-15) arg-16)))))) ((0) (let ((e-14 (vector-ref arg-12 1))) (let ((e-15 (vector-ref arg-12 2))) (let ((eff-0 (TTImpC-45ElabC-45App-getVarType arg-0 arg-1 arg-2 arg-4 (let ((e-0 (vector-ref arg-8 0))) e-0) arg-7 arg-9 arg-10 e-14 e-15))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((e-2 (car e-5))) (let ((e-3 (cdr e-5))) (let ((e-6 (car e-3))) (let ((e-7 (cdr e-3))) (let ((eff-1 (CoreC-45NormaliseC-45Eval-getNF arg-1 e-7))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-8 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-getPrimitiveNames arg-1))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-9 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (TTImpC-45ElabC-45App-n--20893-21226-u--updateElabInfo arg-0 e-15 e-14 arg-16 arg-15 arg-14 arg-13 arg-11 arg-10 arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 e-9 (let ((e-0 (vector-ref arg-8 0))) e-0) e-15 arg-13 arg-8))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-4 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Metadata-addNameLoc arg-2 arg-1 e-14 e-15))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-4 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-5 (let ((eff-5 (CoreC-45ContextC-45Log-unverifiedLogC arg-1 "elab" 10 (let ((eff-5 (let ((eff-5 arg-1)) (PrimIO-io_bind (let ((eff-6 eff-5)) (lambda (eta-0) (unbox eff-6))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-4 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-12 (vector-ref lcase-5 1))) (let ((eff-6 (let ((eff-6 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-1 arg-0 e-12 arg-10 e-8))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-4 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-13 (vector-ref lcase-6 1))) (let ((eff-7 (let ((eff-7 (PreludeC-45Types-maybe (lambda () (lambda (eta-0) (vector 1 '()))) (lambda () (lambda (u--t) (let ((eff-7 (CoreC-45NormaliseC-45Eval-getTerm u--t))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-4 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-16 (vector-ref lcase-7 1))) (let ((eff-8 (let ((eff-8 (CoreC-45Normalise-normaliseHoles arg-1 arg-0 e-12 arg-10 e-16))) (PrimIO-io_bind eff-8 (lambda (lcase-8) (case (vector-ref lcase-8 0) ((0) (let ((e-4 (vector-ref lcase-8 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-17 (vector-ref lcase-8 1))) (let ((eff-9 (let ((eff-9 (CoreC-45Context-toFullNames arg-1 (csegen-105) e-17))) (PrimIO-io_bind eff-9 (csegen-1573))))) eff-9))))))))) eff-8))))))))) arg-16))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-4 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-16 (vector-ref lcase-7 1))) (let ((eff-8 (let ((eff-8 (CoreC-45Context-getFullName arg-1 e-15))) (PrimIO-io_bind eff-8 (lambda (lcase-8) (case (vector-ref lcase-8 0) ((0) (let ((e-4 (vector-ref lcase-8 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-17 (vector-ref lcase-8 1))) (let ((eff-9 (let ((eff-9 (CoreC-45Context-toFullNames arg-1 (csegen-105) e-13))) (PrimIO-io_bind eff-9 (lambda (lcase-9) (case (vector-ref lcase-9 0) ((0) (let ((e-4 (vector-ref lcase-9 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-18 (vector-ref lcase-9 1))) (let ((eff-10 (lambda (eta-0) (vector 1 (string-append ((csegen-0) "Checking application of ") (string-append (CoreC-45Name-u--show_Show_Name e-17) (string-append " (" (string-append (CoreC-45Name-u--show_Show_Name e-15) (string-append ")" (string-append " to " (string-append (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-1016) arg-13) (string-append ((csegen-0) "\xa;\x9;Function type ") (string-append (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-0 e-18) (string-append ((csegen-0) "\xa;\x9;Expected app type ") (PreludeC-45Show-u--show_Show_C-40MaybeC-32C-36aC-41 (cons (lambda (u--x) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-0 u--x)) (lambda (u--d) (lambda (u--x) (CoreC-45TT-u--showPrec_Show_C-40TermC-32C-36varsC-41 arg-0 u--d u--x)))) e-16))))))))))))))) eff-10))))))))) eff-9))))))))) eff-8))))))))) eff-7))))))))) eff-6)))))))))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-4 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-6 (let ((u--fn (let ((sc9 (DataC-45List-lookup (csegen-1008) e-15 (let ((eff-6 arg-9)) eff-6)))) (if (null? sc9) e-15 (let ((e-1 (unbox sc9))) (if (null? e-1) e-15 (let ((e-4 (car e-1))) (if (null? e-4) e-15 (let ((e-16 (unbox e-4))) e-16))))))))) (let ((eff-6 (TTImpC-45ElabC-45App-checkAppWith arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-10 arg-9 arg-10 arg-11 e-2 e-8 (cons (box u--fn) e-6) arg-13 arg-14 arg-15 0 arg-16))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-4 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-13 (vector-ref lcase-6 1))) (let ((eff-7 (TTImpC-45ElabC-45App-n--20893-21225-u--normalisePrims arg-0 e-15 e-14 arg-16 arg-15 arg-14 arg-13 arg-11 arg-10 arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 arg-0 e-9 arg-10 e-13))) eff-7)))))))))) eff-6)))))))) eff-5)))))))) eff-4))))))))) eff-3))))))))) eff-2))))))))))))) eff-1))))))))))(else (let ((eff-0 (TTImpC-45ElabC-45Check-checkImp arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-12 '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((e-2 (car e-5))) (let ((e-3 (cdr e-5))) (let ((eff-1 (CoreC-45NormaliseC-45Eval-getNF arg-1 e-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (TTImpC-45ElabC-45App-checkAppWith arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 e-2 e-6 (cons '() 0) arg-13 arg-14 arg-15 0 arg-16))) eff-2))))))))))) eff-1)))))))))))
(define TTImpC-45ElabC-45Ambiguity-case--caseC-32blockC-32inC-32caseC-32blockC-32inC-32expandAmbigName-13026 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16) (if (null? arg-16) (let ((eff-0 (CoreC-45Context-lookupCtxtName arg-1 (let ((e-0 (vector-ref arg-11 0))) e-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Core-filterM (lambda (eta-0) (TTImpC-45ElabC-45Ambiguity-n--11554-11798-u--visible arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 eta-0)) e-5))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-6) (let ((eff-2 (CoreC-45ContextC-45Log-log arg-10 (csegen-3379) 10 (lambda () (string-append ((csegen-0) "Failed to find ") (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 (csegen-100) arg-5)))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (lambda (eta-0) (vector 1 arg-5)))) eff-3)))))) (let ((e-2 (car e-6))) (let ((e-3 (cdr e-6))) (if (null? e-3) (let ((eff-2 (CoreC-45ContextC-45Log-log arg-10 (csegen-3379) 10 (lambda () (string-append "Only one " (CoreC-45Name-u--show_Show_Name (Builtin-fst e-2))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-3 (lambda (eta-0) (vector 1 (TTImpC-45ElabC-45Ambiguity-n--11554-11804-u--mkAlt arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-15 arg-12 e-2))))) eff-3)))))) (lambda (eta-0) (vector 1 (vector 13 arg-2 (TTImpC-45ElabC-45Ambiguity-n--11554-11799-u--uniqType arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-13 arg-1 arg-4) (((csegen-25) (lambda (eta-1) (TTImpC-45ElabC-45Ambiguity-n--11554-11804-u--mkAlt arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-15 arg-12 eta-1))) e-6)))))))))) eff-2))))))))) eff-1))))))) (let ((e-1 (unbox arg-16))) (let ((eff-0 (CoreC-45ContextC-45Log-log arg-10 "elab.ambiguous" 10 (lambda () (string-append "unambiguous: " (CoreC-45Name-u--show_Show_Name (Builtin-fst e-1))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (lambda (eta-0) (vector 1 (TTImpC-45ElabC-45Ambiguity-n--11554-11804-u--mkAlt arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-15 arg-12 e-1))))) eff-1))))))))))
(define TTImpC-45ElabC-45Ambiguity-case--expandAmbigNameC-44visible-11845 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14) (case (vector-ref arg-14 0) ((0) (let ((e-0 (vector-ref arg-14 1))) (let ((e-1 (vector-ref arg-14 2))) (let ((eff-0 (CoreC-45Context-isVisible arg-10 e-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (cond ((equal? e-5 1) (let ((eff-1 (CoreC-45Context-getNS arg-10))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-getNestedNS arg-10))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (CoreC-45Context-visibleInAny (cons e-6 e-7) (vector 0 e-0 e-1) (let ((e-9 (vector-ref arg-13 9))) e-9)))))) eff-3))))))))) eff-2)))))))) (else (lambda (eta-0) (vector 1 0)))))) eff-1))))))))))(else (lambda (eta-0) (vector 1 1))))))
(define TTImpC-45ElabC-45Ambiguity-n--11554-11801-u--wrapDot (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17) (case (vector-ref arg-16 0) ((5) arg-17) ((6) arg-17)(else (case (vector-ref arg-13 0) ((1) (if (null? arg-15) (let ((sc2 (CoreC-45Name-u--C-61C-61_Eq_Name arg-14 (vector 8 (let ((e-2 (vector-ref arg-12 1))) e-2))))) (cond ((equal? sc2 1) arg-17) (else (vector 19 arg-2 2 arg-17)))) (let ((e-3 (cdr arg-15))) (if (null? e-3) (let ((sc3 (let ((sc4 (CoreC-45Name-u--C-61C-61_Eq_Name arg-14 (vector 8 (let ((e-16 (vector-ref arg-12 1))) e-16))))) (cond ((equal? sc4 1) 1) (else arg-11))))) (cond ((equal? sc3 1) arg-17) (else (vector 19 arg-2 2 arg-17)))) (let ((sc3 (CoreC-45Name-u--C-61C-61_Eq_Name arg-14 (vector 8 (let ((e-16 (vector-ref arg-12 1))) e-16))))) (cond ((equal? sc3 1) arg-17) (else (vector 19 arg-2 2 arg-17))))))))(else arg-17))))))
(define TTImpC-45ElabC-45Ambiguity-n--11554-11798-u--visible (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11) (let ((e-2 (car arg-11))) (let ((e-3 (cdr arg-11))) (let ((e-6 (car e-3))) (let ((e-7 (cdr e-3))) (TTImpC-45ElabC-45Ambiguity-case--expandAmbigNameC-44visible-11845 arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 e-2 e-6 e-7 (let ((e-1 (vector-ref e-7 1))) e-1))))))))
(define TTImpC-45ElabC-45Ambiguity-n--11554-11799-u--uniqType (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13) (let ((e-0 (vector-ref arg-11 0))) (let ((e-1 (vector-ref arg-11 1))) (let ((e-2 (vector-ref arg-11 2))) (let ((e-3 (vector-ref arg-11 3))) (if (null? e-0) (if (null? e-1) (if (null? e-2) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (if (null? arg-13) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-25 (car arg-13))) (let ((e-26 (cdr arg-13))) (if (null? e-25) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-30 (cdr e-25))) (if (null? e-30) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-34 (cdr e-30))) (case (vector-ref e-34 0) ((28) (let ((e-36 (vector-ref e-34 1))) (let ((e-37 (vector-ref e-34 2))) (case (vector-ref e-37 0) ((11) (let ((e-38 (vector-ref e-37 1))) (if (null? e-26) (vector 2 (vector 28 e-36 (vector 11 e-38))) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))(else (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))))(else (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))))))))) (if (null? arg-13) (if (null? e-2) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (if (null? arg-13) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-25 (car arg-13))) (let ((e-26 (cdr arg-13))) (if (null? e-25) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-30 (cdr e-25))) (if (null? e-30) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-34 (cdr e-30))) (case (vector-ref e-34 0) ((28) (let ((e-36 (vector-ref e-34 1))) (let ((e-37 (vector-ref e-34 2))) (case (vector-ref e-37 0) ((11) (let ((e-38 (vector-ref e-37 1))) (if (null? e-26) (vector 2 (vector 28 e-36 (vector 11 e-38))) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))(else (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))))(else (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))))))))) (let ((e-43 (car arg-13))) (let ((e-44 (cdr arg-13))) (if (null? e-43) (if (null? e-2) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (if (null? arg-13) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-25 (car arg-13))) (let ((e-26 (cdr arg-13))) (if (null? e-25) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-30 (cdr e-25))) (if (null? e-30) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-34 (cdr e-30))) (case (vector-ref e-34 0) ((28) (let ((e-36 (vector-ref e-34 1))) (let ((e-37 (vector-ref e-34 2))) (case (vector-ref e-37 0) ((11) (let ((e-38 (vector-ref e-37 1))) (if (null? e-26) (vector 2 (vector 28 e-36 (vector 11 e-38))) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))(else (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))))(else (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))))))))) (let ((e-48 (cdr e-43))) (if (null? e-48) (if (null? e-2) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (if (null? arg-13) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-25 (car arg-13))) (let ((e-26 (cdr arg-13))) (if (null? e-25) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-30 (cdr e-25))) (if (null? e-30) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-34 (cdr e-30))) (case (vector-ref e-34 0) ((28) (let ((e-36 (vector-ref e-34 1))) (let ((e-37 (vector-ref e-34 2))) (case (vector-ref e-37 0) ((11) (let ((e-38 (vector-ref e-37 1))) (if (null? e-26) (vector 2 (vector 28 e-36 (vector 11 e-38))) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))(else (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))))(else (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))))))))) (let ((e-52 (cdr e-48))) (case (vector-ref e-52 0) ((28) (let ((e-54 (vector-ref e-52 1))) (let ((e-55 (vector-ref e-52 2))) (case (vector-ref e-55 0) ((10) (let ((e-56 (vector-ref e-55 1))) (if (null? e-44) (vector 2 (vector 28 e-54 (vector 10 e-56))) (if (null? e-2) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (if (null? arg-13) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-25 (car arg-13))) (let ((e-26 (cdr arg-13))) (if (null? e-25) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-30 (cdr e-25))) (if (null? e-30) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-34 (cdr e-30))) (case (vector-ref e-34 0) ((28) (let ((e-36 (vector-ref e-34 1))) (let ((e-37 (vector-ref e-34 2))) (case (vector-ref e-37 0) ((11) (let ((e-38 (vector-ref e-37 1))) (if (null? e-26) (vector 2 (vector 28 e-36 (vector 11 e-38))) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))(else (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))))(else (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))))))))))))(else (if (null? e-2) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (if (null? arg-13) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-25 (car arg-13))) (let ((e-26 (cdr arg-13))) (if (null? e-25) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-30 (cdr e-25))) (if (null? e-30) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-34 (cdr e-30))) (case (vector-ref e-34 0) ((28) (let ((e-36 (vector-ref e-34 1))) (let ((e-37 (vector-ref e-34 2))) (case (vector-ref e-37 0) ((11) (let ((e-38 (vector-ref e-37 1))) (if (null? e-26) (vector 2 (vector 28 e-36 (vector 11 e-38))) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))(else (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))))(else (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))))))))))))))(else (if (null? e-2) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (if (null? arg-13) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-25 (car arg-13))) (let ((e-26 (cdr arg-13))) (if (null? e-25) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-30 (cdr e-25))) (if (null? e-30) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-34 (cdr e-30))) (case (vector-ref e-34 0) ((28) (let ((e-36 (vector-ref e-34 1))) (let ((e-37 (vector-ref e-34 2))) (case (vector-ref e-37 0) ((11) (let ((e-38 (vector-ref e-37 1))) (if (null? e-26) (vector 2 (vector 28 e-36 (vector 11 e-38))) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))(else (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))))(else (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))))))))))))))))))) (if (null? arg-13) (if (null? e-1) (if (null? e-2) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (if (null? arg-13) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-25 (car arg-13))) (let ((e-26 (cdr arg-13))) (if (null? e-25) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-30 (cdr e-25))) (if (null? e-30) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-34 (cdr e-30))) (case (vector-ref e-34 0) ((28) (let ((e-36 (vector-ref e-34 1))) (let ((e-37 (vector-ref e-34 2))) (case (vector-ref e-37 0) ((11) (let ((e-38 (vector-ref e-37 1))) (if (null? e-26) (vector 2 (vector 28 e-36 (vector 11 e-38))) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))(else (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))))(else (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))))))))) (if (null? arg-13) (if (null? e-2) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (if (null? arg-13) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-25 (car arg-13))) (let ((e-26 (cdr arg-13))) (if (null? e-25) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-30 (cdr e-25))) (if (null? e-30) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-34 (cdr e-30))) (case (vector-ref e-34 0) ((28) (let ((e-36 (vector-ref e-34 1))) (let ((e-37 (vector-ref e-34 2))) (case (vector-ref e-37 0) ((11) (let ((e-38 (vector-ref e-37 1))) (if (null? e-26) (vector 2 (vector 28 e-36 (vector 11 e-38))) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))(else (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))))(else (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))))))))) (let ((e-43 (car arg-13))) (let ((e-44 (cdr arg-13))) (if (null? e-43) (if (null? e-2) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (if (null? arg-13) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-25 (car arg-13))) (let ((e-26 (cdr arg-13))) (if (null? e-25) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-30 (cdr e-25))) (if (null? e-30) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-34 (cdr e-30))) (case (vector-ref e-34 0) ((28) (let ((e-36 (vector-ref e-34 1))) (let ((e-37 (vector-ref e-34 2))) (case (vector-ref e-37 0) ((11) (let ((e-38 (vector-ref e-37 1))) (if (null? e-26) (vector 2 (vector 28 e-36 (vector 11 e-38))) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))(else (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))))(else (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))))))))) (let ((e-48 (cdr e-43))) (if (null? e-48) (if (null? e-2) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (if (null? arg-13) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-25 (car arg-13))) (let ((e-26 (cdr arg-13))) (if (null? e-25) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-30 (cdr e-25))) (if (null? e-30) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-34 (cdr e-30))) (case (vector-ref e-34 0) ((28) (let ((e-36 (vector-ref e-34 1))) (let ((e-37 (vector-ref e-34 2))) (case (vector-ref e-37 0) ((11) (let ((e-38 (vector-ref e-37 1))) (if (null? e-26) (vector 2 (vector 28 e-36 (vector 11 e-38))) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))(else (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))))(else (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))))))))) (let ((e-52 (cdr e-48))) (case (vector-ref e-52 0) ((28) (let ((e-54 (vector-ref e-52 1))) (let ((e-55 (vector-ref e-52 2))) (case (vector-ref e-55 0) ((10) (let ((e-56 (vector-ref e-55 1))) (if (null? e-44) (vector 2 (vector 28 e-54 (vector 10 e-56))) (if (null? e-2) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (if (null? arg-13) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-25 (car arg-13))) (let ((e-26 (cdr arg-13))) (if (null? e-25) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-30 (cdr e-25))) (if (null? e-30) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-34 (cdr e-30))) (case (vector-ref e-34 0) ((28) (let ((e-36 (vector-ref e-34 1))) (let ((e-37 (vector-ref e-34 2))) (case (vector-ref e-37 0) ((11) (let ((e-38 (vector-ref e-37 1))) (if (null? e-26) (vector 2 (vector 28 e-36 (vector 11 e-38))) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))(else (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))))(else (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))))))))))))(else (if (null? e-2) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (if (null? arg-13) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-25 (car arg-13))) (let ((e-26 (cdr arg-13))) (if (null? e-25) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-30 (cdr e-25))) (if (null? e-30) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-34 (cdr e-30))) (case (vector-ref e-34 0) ((28) (let ((e-36 (vector-ref e-34 1))) (let ((e-37 (vector-ref e-34 2))) (case (vector-ref e-37 0) ((11) (let ((e-38 (vector-ref e-37 1))) (if (null? e-26) (vector 2 (vector 28 e-36 (vector 11 e-38))) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))(else (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))))(else (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))))))))))))))(else (if (null? e-2) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (if (null? arg-13) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-25 (car arg-13))) (let ((e-26 (cdr arg-13))) (if (null? e-25) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-30 (cdr e-25))) (if (null? e-30) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-34 (cdr e-30))) (case (vector-ref e-34 0) ((28) (let ((e-36 (vector-ref e-34 1))) (let ((e-37 (vector-ref e-34 2))) (case (vector-ref e-37 0) ((11) (let ((e-38 (vector-ref e-37 1))) (if (null? e-26) (vector 2 (vector 28 e-36 (vector 11 e-38))) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))(else (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))))(else (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))))))))))))))))))) (let ((e-61 (car arg-13))) (let ((e-62 (cdr arg-13))) (if (null? e-61) (if (null? e-1) (if (null? e-2) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (if (null? arg-13) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-25 (car arg-13))) (let ((e-26 (cdr arg-13))) (if (null? e-25) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-30 (cdr e-25))) (if (null? e-30) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-34 (cdr e-30))) (case (vector-ref e-34 0) ((28) (let ((e-36 (vector-ref e-34 1))) (let ((e-37 (vector-ref e-34 2))) (case (vector-ref e-37 0) ((11) (let ((e-38 (vector-ref e-37 1))) (if (null? e-26) (vector 2 (vector 28 e-36 (vector 11 e-38))) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))(else (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))))(else (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))))))))) (if (null? arg-13) (if (null? e-2) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (if (null? arg-13) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-25 (car arg-13))) (let ((e-26 (cdr arg-13))) (if (null? e-25) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-30 (cdr e-25))) (if (null? e-30) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-34 (cdr e-30))) (case (vector-ref e-34 0) ((28) (let ((e-36 (vector-ref e-34 1))) (let ((e-37 (vector-ref e-34 2))) (case (vector-ref e-37 0) ((11) (let ((e-38 (vector-ref e-37 1))) (if (null? e-26) (vector 2 (vector 28 e-36 (vector 11 e-38))) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))(else (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))))(else (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))))))))) (let ((e-43 (car arg-13))) (let ((e-44 (cdr arg-13))) (if (null? e-43) (if (null? e-2) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (if (null? arg-13) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-25 (car arg-13))) (let ((e-26 (cdr arg-13))) (if (null? e-25) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-30 (cdr e-25))) (if (null? e-30) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-34 (cdr e-30))) (case (vector-ref e-34 0) ((28) (let ((e-36 (vector-ref e-34 1))) (let ((e-37 (vector-ref e-34 2))) (case (vector-ref e-37 0) ((11) (let ((e-38 (vector-ref e-37 1))) (if (null? e-26) (vector 2 (vector 28 e-36 (vector 11 e-38))) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))(else (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))))(else (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))))))))) (let ((e-48 (cdr e-43))) (if (null? e-48) (if (null? e-2) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (if (null? arg-13) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-25 (car arg-13))) (let ((e-26 (cdr arg-13))) (if (null? e-25) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-30 (cdr e-25))) (if (null? e-30) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-34 (cdr e-30))) (case (vector-ref e-34 0) ((28) (let ((e-36 (vector-ref e-34 1))) (let ((e-37 (vector-ref e-34 2))) (case (vector-ref e-37 0) ((11) (let ((e-38 (vector-ref e-37 1))) (if (null? e-26) (vector 2 (vector 28 e-36 (vector 11 e-38))) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))(else (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))))(else (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))))))))) (let ((e-52 (cdr e-48))) (case (vector-ref e-52 0) ((28) (let ((e-54 (vector-ref e-52 1))) (let ((e-55 (vector-ref e-52 2))) (case (vector-ref e-55 0) ((10) (let ((e-56 (vector-ref e-55 1))) (if (null? e-44) (vector 2 (vector 28 e-54 (vector 10 e-56))) (if (null? e-2) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (if (null? arg-13) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-25 (car arg-13))) (let ((e-26 (cdr arg-13))) (if (null? e-25) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-30 (cdr e-25))) (if (null? e-30) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-34 (cdr e-30))) (case (vector-ref e-34 0) ((28) (let ((e-36 (vector-ref e-34 1))) (let ((e-37 (vector-ref e-34 2))) (case (vector-ref e-37 0) ((11) (let ((e-38 (vector-ref e-37 1))) (if (null? e-26) (vector 2 (vector 28 e-36 (vector 11 e-38))) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))(else (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))))(else (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))))))))))))(else (if (null? e-2) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (if (null? arg-13) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-25 (car arg-13))) (let ((e-26 (cdr arg-13))) (if (null? e-25) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-30 (cdr e-25))) (if (null? e-30) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-34 (cdr e-30))) (case (vector-ref e-34 0) ((28) (let ((e-36 (vector-ref e-34 1))) (let ((e-37 (vector-ref e-34 2))) (case (vector-ref e-37 0) ((11) (let ((e-38 (vector-ref e-37 1))) (if (null? e-26) (vector 2 (vector 28 e-36 (vector 11 e-38))) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))(else (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))))(else (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))))))))))))))(else (if (null? e-2) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (if (null? arg-13) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-25 (car arg-13))) (let ((e-26 (cdr arg-13))) (if (null? e-25) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-30 (cdr e-25))) (if (null? e-30) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-34 (cdr e-30))) (case (vector-ref e-34 0) ((28) (let ((e-36 (vector-ref e-34 1))) (let ((e-37 (vector-ref e-34 2))) (case (vector-ref e-37 0) ((11) (let ((e-38 (vector-ref e-37 1))) (if (null? e-26) (vector 2 (vector 28 e-36 (vector 11 e-38))) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))(else (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))))(else (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))))))))))))))))))) (let ((e-66 (cdr e-61))) (if (null? e-66) (if (null? e-1) (if (null? e-2) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (if (null? arg-13) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-25 (car arg-13))) (let ((e-26 (cdr arg-13))) (if (null? e-25) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-30 (cdr e-25))) (if (null? e-30) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-34 (cdr e-30))) (case (vector-ref e-34 0) ((28) (let ((e-36 (vector-ref e-34 1))) (let ((e-37 (vector-ref e-34 2))) (case (vector-ref e-37 0) ((11) (let ((e-38 (vector-ref e-37 1))) (if (null? e-26) (vector 2 (vector 28 e-36 (vector 11 e-38))) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))(else (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))))(else (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))))))))) (if (null? arg-13) (if (null? e-2) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (if (null? arg-13) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-25 (car arg-13))) (let ((e-26 (cdr arg-13))) (if (null? e-25) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-30 (cdr e-25))) (if (null? e-30) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-34 (cdr e-30))) (case (vector-ref e-34 0) ((28) (let ((e-36 (vector-ref e-34 1))) (let ((e-37 (vector-ref e-34 2))) (case (vector-ref e-37 0) ((11) (let ((e-38 (vector-ref e-37 1))) (if (null? e-26) (vector 2 (vector 28 e-36 (vector 11 e-38))) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))(else (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))))(else (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))))))))) (let ((e-43 (car arg-13))) (let ((e-44 (cdr arg-13))) (if (null? e-43) (if (null? e-2) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (if (null? arg-13) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-25 (car arg-13))) (let ((e-26 (cdr arg-13))) (if (null? e-25) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-30 (cdr e-25))) (if (null? e-30) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-34 (cdr e-30))) (case (vector-ref e-34 0) ((28) (let ((e-36 (vector-ref e-34 1))) (let ((e-37 (vector-ref e-34 2))) (case (vector-ref e-37 0) ((11) (let ((e-38 (vector-ref e-37 1))) (if (null? e-26) (vector 2 (vector 28 e-36 (vector 11 e-38))) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))(else (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))))(else (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))))))))) (let ((e-48 (cdr e-43))) (if (null? e-48) (if (null? e-2) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (if (null? arg-13) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-25 (car arg-13))) (let ((e-26 (cdr arg-13))) (if (null? e-25) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-30 (cdr e-25))) (if (null? e-30) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-34 (cdr e-30))) (case (vector-ref e-34 0) ((28) (let ((e-36 (vector-ref e-34 1))) (let ((e-37 (vector-ref e-34 2))) (case (vector-ref e-37 0) ((11) (let ((e-38 (vector-ref e-37 1))) (if (null? e-26) (vector 2 (vector 28 e-36 (vector 11 e-38))) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))(else (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))))(else (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))))))))) (let ((e-52 (cdr e-48))) (case (vector-ref e-52 0) ((28) (let ((e-54 (vector-ref e-52 1))) (let ((e-55 (vector-ref e-52 2))) (case (vector-ref e-55 0) ((10) (let ((e-56 (vector-ref e-55 1))) (if (null? e-44) (vector 2 (vector 28 e-54 (vector 10 e-56))) (if (null? e-2) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (if (null? arg-13) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-25 (car arg-13))) (let ((e-26 (cdr arg-13))) (if (null? e-25) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-30 (cdr e-25))) (if (null? e-30) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-34 (cdr e-30))) (case (vector-ref e-34 0) ((28) (let ((e-36 (vector-ref e-34 1))) (let ((e-37 (vector-ref e-34 2))) (case (vector-ref e-37 0) ((11) (let ((e-38 (vector-ref e-37 1))) (if (null? e-26) (vector 2 (vector 28 e-36 (vector 11 e-38))) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))(else (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))))(else (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))))))))))))(else (if (null? e-2) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (if (null? arg-13) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-25 (car arg-13))) (let ((e-26 (cdr arg-13))) (if (null? e-25) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-30 (cdr e-25))) (if (null? e-30) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-34 (cdr e-30))) (case (vector-ref e-34 0) ((28) (let ((e-36 (vector-ref e-34 1))) (let ((e-37 (vector-ref e-34 2))) (case (vector-ref e-37 0) ((11) (let ((e-38 (vector-ref e-37 1))) (if (null? e-26) (vector 2 (vector 28 e-36 (vector 11 e-38))) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))(else (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))))(else (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))))))))))))))(else (if (null? e-2) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (if (null? arg-13) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-25 (car arg-13))) (let ((e-26 (cdr arg-13))) (if (null? e-25) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-30 (cdr e-25))) (if (null? e-30) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-34 (cdr e-30))) (case (vector-ref e-34 0) ((28) (let ((e-36 (vector-ref e-34 1))) (let ((e-37 (vector-ref e-34 2))) (case (vector-ref e-37 0) ((11) (let ((e-38 (vector-ref e-37 1))) (if (null? e-26) (vector 2 (vector 28 e-36 (vector 11 e-38))) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))(else (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))))(else (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))))))))))))))))))) (let ((e-70 (cdr e-66))) (case (vector-ref e-70 0) ((28) (let ((e-72 (vector-ref e-70 1))) (let ((e-73 (vector-ref e-70 2))) (case (vector-ref e-73 0) ((5) (let ((e-74 (vector-ref e-73 1))) (if (null? e-62) (vector 2 (vector 28 e-72 (vector 5 e-74))) (if (null? e-1) (if (null? e-2) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (if (null? arg-13) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-25 (car arg-13))) (let ((e-26 (cdr arg-13))) (if (null? e-25) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-30 (cdr e-25))) (if (null? e-30) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-34 (cdr e-30))) (case (vector-ref e-34 0) ((28) (let ((e-36 (vector-ref e-34 1))) (let ((e-37 (vector-ref e-34 2))) (case (vector-ref e-37 0) ((11) (let ((e-38 (vector-ref e-37 1))) (if (null? e-26) (vector 2 (vector 28 e-36 (vector 11 e-38))) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))(else (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))))(else (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))))))))) (if (null? arg-13) (if (null? e-2) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (if (null? arg-13) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-25 (car arg-13))) (let ((e-26 (cdr arg-13))) (if (null? e-25) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-30 (cdr e-25))) (if (null? e-30) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-34 (cdr e-30))) (case (vector-ref e-34 0) ((28) (let ((e-36 (vector-ref e-34 1))) (let ((e-37 (vector-ref e-34 2))) (case (vector-ref e-37 0) ((11) (let ((e-38 (vector-ref e-37 1))) (if (null? e-26) (vector 2 (vector 28 e-36 (vector 11 e-38))) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))(else (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))))(else (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))))))))) (let ((e-43 (car arg-13))) (let ((e-44 (cdr arg-13))) (if (null? e-43) (if (null? e-2) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (if (null? arg-13) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-25 (car arg-13))) (let ((e-26 (cdr arg-13))) (if (null? e-25) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-30 (cdr e-25))) (if (null? e-30) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-34 (cdr e-30))) (case (vector-ref e-34 0) ((28) (let ((e-36 (vector-ref e-34 1))) (let ((e-37 (vector-ref e-34 2))) (case (vector-ref e-37 0) ((11) (let ((e-38 (vector-ref e-37 1))) (if (null? e-26) (vector 2 (vector 28 e-36 (vector 11 e-38))) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))(else (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))))(else (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))))))))) (let ((e-48 (cdr e-43))) (if (null? e-48) (if (null? e-2) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (if (null? arg-13) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-25 (car arg-13))) (let ((e-26 (cdr arg-13))) (if (null? e-25) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-30 (cdr e-25))) (if (null? e-30) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-34 (cdr e-30))) (case (vector-ref e-34 0) ((28) (let ((e-36 (vector-ref e-34 1))) (let ((e-37 (vector-ref e-34 2))) (case (vector-ref e-37 0) ((11) (let ((e-38 (vector-ref e-37 1))) (if (null? e-26) (vector 2 (vector 28 e-36 (vector 11 e-38))) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))(else (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))))(else (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))))))))) (let ((e-52 (cdr e-48))) (case (vector-ref e-52 0) ((28) (let ((e-54 (vector-ref e-52 1))) (let ((e-55 (vector-ref e-52 2))) (case (vector-ref e-55 0) ((10) (let ((e-56 (vector-ref e-55 1))) (if (null? e-44) (vector 2 (vector 28 e-54 (vector 10 e-56))) (if (null? e-2) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (if (null? arg-13) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-25 (car arg-13))) (let ((e-26 (cdr arg-13))) (if (null? e-25) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-30 (cdr e-25))) (if (null? e-30) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-34 (cdr e-30))) (case (vector-ref e-34 0) ((28) (let ((e-36 (vector-ref e-34 1))) (let ((e-37 (vector-ref e-34 2))) (case (vector-ref e-37 0) ((11) (let ((e-38 (vector-ref e-37 1))) (if (null? e-26) (vector 2 (vector 28 e-36 (vector 11 e-38))) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))(else (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))))(else (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))))))))))))(else (if (null? e-2) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (if (null? arg-13) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-25 (car arg-13))) (let ((e-26 (cdr arg-13))) (if (null? e-25) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-30 (cdr e-25))) (if (null? e-30) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-34 (cdr e-30))) (case (vector-ref e-34 0) ((28) (let ((e-36 (vector-ref e-34 1))) (let ((e-37 (vector-ref e-34 2))) (case (vector-ref e-37 0) ((11) (let ((e-38 (vector-ref e-37 1))) (if (null? e-26) (vector 2 (vector 28 e-36 (vector 11 e-38))) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))(else (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))))(else (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))))))))))))))(else (if (null? e-2) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (if (null? arg-13) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-25 (car arg-13))) (let ((e-26 (cdr arg-13))) (if (null? e-25) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-30 (cdr e-25))) (if (null? e-30) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-34 (cdr e-30))) (case (vector-ref e-34 0) ((28) (let ((e-36 (vector-ref e-34 1))) (let ((e-37 (vector-ref e-34 2))) (case (vector-ref e-37 0) ((11) (let ((e-38 (vector-ref e-37 1))) (if (null? e-26) (vector 2 (vector 28 e-36 (vector 11 e-38))) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))(else (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))))(else (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))))))))))))))))))))))(else (if (null? e-1) (if (null? e-2) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (if (null? arg-13) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-25 (car arg-13))) (let ((e-26 (cdr arg-13))) (if (null? e-25) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-30 (cdr e-25))) (if (null? e-30) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-34 (cdr e-30))) (case (vector-ref e-34 0) ((28) (let ((e-36 (vector-ref e-34 1))) (let ((e-37 (vector-ref e-34 2))) (case (vector-ref e-37 0) ((11) (let ((e-38 (vector-ref e-37 1))) (if (null? e-26) (vector 2 (vector 28 e-36 (vector 11 e-38))) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))(else (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))))(else (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))))))))) (if (null? arg-13) (if (null? e-2) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (if (null? arg-13) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-25 (car arg-13))) (let ((e-26 (cdr arg-13))) (if (null? e-25) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-30 (cdr e-25))) (if (null? e-30) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-34 (cdr e-30))) (case (vector-ref e-34 0) ((28) (let ((e-36 (vector-ref e-34 1))) (let ((e-37 (vector-ref e-34 2))) (case (vector-ref e-37 0) ((11) (let ((e-38 (vector-ref e-37 1))) (if (null? e-26) (vector 2 (vector 28 e-36 (vector 11 e-38))) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))(else (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))))(else (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))))))))) (let ((e-43 (car arg-13))) (let ((e-44 (cdr arg-13))) (if (null? e-43) (if (null? e-2) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (if (null? arg-13) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-25 (car arg-13))) (let ((e-26 (cdr arg-13))) (if (null? e-25) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-30 (cdr e-25))) (if (null? e-30) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-34 (cdr e-30))) (case (vector-ref e-34 0) ((28) (let ((e-36 (vector-ref e-34 1))) (let ((e-37 (vector-ref e-34 2))) (case (vector-ref e-37 0) ((11) (let ((e-38 (vector-ref e-37 1))) (if (null? e-26) (vector 2 (vector 28 e-36 (vector 11 e-38))) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))(else (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))))(else (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))))))))) (let ((e-48 (cdr e-43))) (if (null? e-48) (if (null? e-2) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (if (null? arg-13) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-25 (car arg-13))) (let ((e-26 (cdr arg-13))) (if (null? e-25) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-30 (cdr e-25))) (if (null? e-30) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-34 (cdr e-30))) (case (vector-ref e-34 0) ((28) (let ((e-36 (vector-ref e-34 1))) (let ((e-37 (vector-ref e-34 2))) (case (vector-ref e-37 0) ((11) (let ((e-38 (vector-ref e-37 1))) (if (null? e-26) (vector 2 (vector 28 e-36 (vector 11 e-38))) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))(else (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))))(else (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))))))))) (let ((e-52 (cdr e-48))) (case (vector-ref e-52 0) ((28) (let ((e-54 (vector-ref e-52 1))) (let ((e-55 (vector-ref e-52 2))) (case (vector-ref e-55 0) ((10) (let ((e-56 (vector-ref e-55 1))) (if (null? e-44) (vector 2 (vector 28 e-54 (vector 10 e-56))) (if (null? e-2) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (if (null? arg-13) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-25 (car arg-13))) (let ((e-26 (cdr arg-13))) (if (null? e-25) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-30 (cdr e-25))) (if (null? e-30) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-34 (cdr e-30))) (case (vector-ref e-34 0) ((28) (let ((e-36 (vector-ref e-34 1))) (let ((e-37 (vector-ref e-34 2))) (case (vector-ref e-37 0) ((11) (let ((e-38 (vector-ref e-37 1))) (if (null? e-26) (vector 2 (vector 28 e-36 (vector 11 e-38))) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))(else (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))))(else (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))))))))))))(else (if (null? e-2) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (if (null? arg-13) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-25 (car arg-13))) (let ((e-26 (cdr arg-13))) (if (null? e-25) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-30 (cdr e-25))) (if (null? e-30) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-34 (cdr e-30))) (case (vector-ref e-34 0) ((28) (let ((e-36 (vector-ref e-34 1))) (let ((e-37 (vector-ref e-34 2))) (case (vector-ref e-37 0) ((11) (let ((e-38 (vector-ref e-37 1))) (if (null? e-26) (vector 2 (vector 28 e-36 (vector 11 e-38))) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))(else (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))))(else (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))))))))))))))(else (if (null? e-2) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (if (null? arg-13) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-25 (car arg-13))) (let ((e-26 (cdr arg-13))) (if (null? e-25) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-30 (cdr e-25))) (if (null? e-30) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-34 (cdr e-30))) (case (vector-ref e-34 0) ((28) (let ((e-36 (vector-ref e-34 1))) (let ((e-37 (vector-ref e-34 2))) (case (vector-ref e-37 0) ((11) (let ((e-38 (vector-ref e-37 1))) (if (null? e-26) (vector 2 (vector 28 e-36 (vector 11 e-38))) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))(else (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))))(else (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))))))))))))))))))))))))(else (if (null? e-1) (if (null? e-2) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (if (null? arg-13) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-25 (car arg-13))) (let ((e-26 (cdr arg-13))) (if (null? e-25) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-30 (cdr e-25))) (if (null? e-30) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-34 (cdr e-30))) (case (vector-ref e-34 0) ((28) (let ((e-36 (vector-ref e-34 1))) (let ((e-37 (vector-ref e-34 2))) (case (vector-ref e-37 0) ((11) (let ((e-38 (vector-ref e-37 1))) (if (null? e-26) (vector 2 (vector 28 e-36 (vector 11 e-38))) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))(else (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))))(else (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))))))))) (if (null? arg-13) (if (null? e-2) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (if (null? arg-13) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-25 (car arg-13))) (let ((e-26 (cdr arg-13))) (if (null? e-25) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-30 (cdr e-25))) (if (null? e-30) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-34 (cdr e-30))) (case (vector-ref e-34 0) ((28) (let ((e-36 (vector-ref e-34 1))) (let ((e-37 (vector-ref e-34 2))) (case (vector-ref e-37 0) ((11) (let ((e-38 (vector-ref e-37 1))) (if (null? e-26) (vector 2 (vector 28 e-36 (vector 11 e-38))) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))(else (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))))(else (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))))))))) (let ((e-43 (car arg-13))) (let ((e-44 (cdr arg-13))) (if (null? e-43) (if (null? e-2) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (if (null? arg-13) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-25 (car arg-13))) (let ((e-26 (cdr arg-13))) (if (null? e-25) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-30 (cdr e-25))) (if (null? e-30) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-34 (cdr e-30))) (case (vector-ref e-34 0) ((28) (let ((e-36 (vector-ref e-34 1))) (let ((e-37 (vector-ref e-34 2))) (case (vector-ref e-37 0) ((11) (let ((e-38 (vector-ref e-37 1))) (if (null? e-26) (vector 2 (vector 28 e-36 (vector 11 e-38))) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))(else (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))))(else (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))))))))) (let ((e-48 (cdr e-43))) (if (null? e-48) (if (null? e-2) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (if (null? arg-13) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-25 (car arg-13))) (let ((e-26 (cdr arg-13))) (if (null? e-25) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-30 (cdr e-25))) (if (null? e-30) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-34 (cdr e-30))) (case (vector-ref e-34 0) ((28) (let ((e-36 (vector-ref e-34 1))) (let ((e-37 (vector-ref e-34 2))) (case (vector-ref e-37 0) ((11) (let ((e-38 (vector-ref e-37 1))) (if (null? e-26) (vector 2 (vector 28 e-36 (vector 11 e-38))) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))(else (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))))(else (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))))))))) (let ((e-52 (cdr e-48))) (case (vector-ref e-52 0) ((28) (let ((e-54 (vector-ref e-52 1))) (let ((e-55 (vector-ref e-52 2))) (case (vector-ref e-55 0) ((10) (let ((e-56 (vector-ref e-55 1))) (if (null? e-44) (vector 2 (vector 28 e-54 (vector 10 e-56))) (if (null? e-2) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (if (null? arg-13) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-25 (car arg-13))) (let ((e-26 (cdr arg-13))) (if (null? e-25) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-30 (cdr e-25))) (if (null? e-30) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-34 (cdr e-30))) (case (vector-ref e-34 0) ((28) (let ((e-36 (vector-ref e-34 1))) (let ((e-37 (vector-ref e-34 2))) (case (vector-ref e-37 0) ((11) (let ((e-38 (vector-ref e-37 1))) (if (null? e-26) (vector 2 (vector 28 e-36 (vector 11 e-38))) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))(else (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))))(else (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))))))))))))(else (if (null? e-2) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (if (null? arg-13) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-25 (car arg-13))) (let ((e-26 (cdr arg-13))) (if (null? e-25) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-30 (cdr e-25))) (if (null? e-30) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-34 (cdr e-30))) (case (vector-ref e-34 0) ((28) (let ((e-36 (vector-ref e-34 1))) (let ((e-37 (vector-ref e-34 2))) (case (vector-ref e-37 0) ((11) (let ((e-38 (vector-ref e-37 1))) (if (null? e-26) (vector 2 (vector 28 e-36 (vector 11 e-38))) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))(else (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))))(else (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))))))))))))))(else (if (null? e-2) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (if (null? arg-13) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-25 (car arg-13))) (let ((e-26 (cdr arg-13))) (if (null? e-25) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-30 (cdr e-25))) (if (null? e-30) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))) (let ((e-34 (cdr e-30))) (case (vector-ref e-34 0) ((28) (let ((e-36 (vector-ref e-34 1))) (let ((e-37 (vector-ref e-34 2))) (case (vector-ref e-37 0) ((11) (let ((e-38 (vector-ref e-37 1))) (if (null? e-26) (vector 2 (vector 28 e-36 (vector 11 e-38))) (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))(else (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 ))))))))))))))))(else (if (null? e-3) (vector 1 ) (if (null? arg-13) (vector 1 ) (let ((e-7 (car arg-13))) (let ((e-8 (cdr arg-13))) (if (null? e-7) (vector 1 ) (let ((e-12 (cdr e-7))) (if (null? e-12) (vector 1 ) (let ((e-16 (cdr e-12))) (case (vector-ref e-16 0) ((28) (let ((e-18 (vector-ref e-16 1))) (let ((e-19 (vector-ref e-16 2))) (case (vector-ref e-19 0) ((12) (let ((e-20 (vector-ref e-19 1))) (if (null? e-8) (vector 2 (vector 28 e-18 (vector 12 e-20))) (vector 1 ))))(else (vector 1 ))))))(else (vector 1 )))))))))))))))))))))))))))))))))))))))))))))))
(define TTImpC-45ElabC-45Ambiguity-n--14845-14640-u--notOverloadableFn (lambda (arg-0 arg-1 arg-2 arg-3) (case (vector-ref arg-3 0) ((0) (let ((e-2 (vector-ref arg-3 2))) (let ((eff-0 (CoreC-45Context-lookupCtxtExact e-2 (let ((e-0 (vector-ref arg-2 0))) e-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (clam-0) (if (null? e-5) (vector 1 1) (vector 1 0))))) eff-1)))))))))(else (lambda (eta-0) (vector 1 1))))))
(define TTImpC-45ElabC-45Ambiguity-n--11554-11802-u--notLHS (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11) (case (vector-ref arg-11 0) ((1) 0)(else 1))))
(define TTImpC-45ElabC-45Ambiguity-n--11554-11803-u--mkTerm (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14) (let ((sc0 (let ((sc1 (PreludeC-45Types-elem (csegen-16) (csegen-1601) (vector 8 ) (let ((e-11 (vector-ref arg-14 11))) e-11)))) (cond ((equal? sc1 1) (TTImpC-45ElabC-45Ambiguity-n--11554-11802-u--notLHS arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-8)) (else 0))))) (cond ((equal? sc0 1) (TTImpC-45ElabC-45Ambiguity-n--11710-12507-u--alternativeFirstSuccess arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-14 arg-13 arg-12 arg-11 (DataC-45Vect-reverse (PreludeC-45Interfaces-C-60C-38C-62 (csegen-2280) (TTImpC-45ElabC-45Ambiguity-n--11710-12506-u--allSplits arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-14 arg-13 arg-12 arg-11 arg-4) (lambda (lamc-0) (let ((e-2 (car lamc-0))) (let ((e-3 (cdr lamc-0))) (TTImpC-45ElabC-45Ambiguity-n--11554-11800-u--buildAlt arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 27 arg-2 (vector 15 arg-2 (TTImpC-45ElabC-45Ambiguity-n--11554-11800-u--buildAlt arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 0 arg-2 arg-13) e-2))) e-3)))))))) (else (TTImpC-45ElabC-45Ambiguity-n--11554-11801-u--wrapDot arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-8 arg-13 ((csegen-2673) arg-4) (let ((e-17 (vector-ref arg-14 17))) e-17) (TTImpC-45ElabC-45Ambiguity-n--11554-11800-u--buildAlt arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 0 arg-2 arg-13) arg-4)))))))
(define TTImpC-45ElabC-45Ambiguity-n--11554-11804-u--mkAlt (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13) (let ((e-3 (cdr arg-13))) (let ((e-6 (car e-3))) (let ((e-7 (cdr e-3))) (TTImpC-45ElabC-45Ambiguity-n--11554-11803-u--mkTerm arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 (vector 8 e-6) e-7))))))
(define TTImpC-45ElabC-45Ambiguity-n--11554-11797-u--lookupUN (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-12 arg-13) (if (null? arg-12) '() (let ((e-2 (unbox arg-12))) (LibrariesC-45DataC-45UserNameMap-lookup e-2 arg-13)))))
(define TTImpC-45ElabC-45Ambiguity-n--11554-11800-u--buildAlt (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12) (if (null? arg-12) arg-11 (let ((e-2 (car arg-12))) (let ((e-3 (cdr arg-12))) (let ((e-6 (car e-2))) (let ((e-7 (cdr e-2))) (let ((e-10 (car e-7))) (let ((e-11 (cdr e-7))) (if (null? e-10) (TTImpC-45ElabC-45Ambiguity-n--11554-11800-u--buildAlt arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 e-6 arg-11 e-11) e-3) (let ((e-14 (unbox e-10))) (if (null? e-14) (TTImpC-45ElabC-45Ambiguity-n--11554-11800-u--buildAlt arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 9 e-6 arg-11 e-11) e-3) (let ((e-17 (unbox e-14))) (TTImpC-45ElabC-45Ambiguity-n--11554-11800-u--buildAlt arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 10 e-6 arg-11 e-17 e-11) e-3))))))))))))))
(define TTImpC-45ElabC-45Ambiguity-n--11710-12507-u--alternativeFirstSuccess (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-16) (if (null? arg-16) (vector 13 arg-2 (vector 0 ) (DataC-45Vect-u--toList_Foldable_C-40VectC-32C-36nC-41 arg-16)) (let ((e-2 (car arg-16))) (let ((e-3 (cdr arg-16))) (if (null? e-3) e-2 (vector 13 arg-2 (vector 0 ) (DataC-45Vect-u--toList_Foldable_C-40VectC-32C-36nC-41 arg-16))))))))
(define TTImpC-45ElabC-45Ambiguity-n--11710-12506-u--allSplits (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-16) (if (null? arg-16) (cons (cons '() '()) '()) (let ((e-2 (car arg-16))) (let ((e-3 (cdr arg-16))) (cons (cons '() arg-16) (PreludeC-45Interfaces-C-60C-36C-62 (csegen-2280) (lambda (eta-0) (let ((e-5 (car eta-0))) (let ((e-4 (cdr eta-0))) (cons (cons e-2 e-5) e-4)))) (TTImpC-45ElabC-45Ambiguity-n--11710-12506-u--allSplits arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 e-3))))))))
(define TTImpC-45ElabC-45Ambiguity-stripDelay (lambda (arg-1) (case (vector-ref arg-1 0) ((5) (let ((e-3 (vector-ref arg-1 3))) (TTImpC-45ElabC-45Ambiguity-stripDelay e-3)))(else arg-1))))
(define TTImpC-45ElabC-45Ambiguity-pruneByType (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Core-traverseC-39 (lambda (eta-0) (TTImpC-45ElabC-45Ambiguity-couldBe arg-1 arg-0 e-5 (TTImpC-45ElabC-45Ambiguity-stripDelay arg-4) eta-0)) arg-5 '()))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((u--matches (PreludeC-45TypesC-45List-mapMaybeAppend '() (lambda (eta-0) eta-0) e-6))) (let ((eff-2 (CoreC-45Normalise-logNF arg-0 arg-1 "elab.prune" 10 (lambda () "Prune by") arg-3 arg-4))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (let ((eff-3 (CoreC-45ContextC-45Log-log arg-1 "elab.prune" 10 (lambda () (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-3386) u--matches))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-4 (let ((eff-4 (let ((sc4 (PreludeC-45Interfaces-any (csegen-16) (lambda (eta-0) (Builtin-fst eta-0)) u--matches))) (cond ((equal? sc4 1) (let ((eff-4 (TTImpC-45ElabC-45Ambiguity-filterCore (lambda (eta-0) (TTImpC-45ElabC-45Ambiguity-notOverloadable e-5 eta-0)) u--matches))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (let ((eff-5 (CoreC-45ContextC-45Log-log arg-1 "elab.prune" 10 (lambda () (string-append "Keep " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-3386) e-9)))))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-6 (lambda (eta-0) (vector 1 ((csegen-947) e-9))))) eff-6)))))))) eff-5)))))))) (else (lambda (eta-0) (vector 1 ((csegen-947) u--matches)))))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (clam-0) (let ((sc5 (DataC-45List-isNil e-9))) (cond ((equal? sc5 1) (vector 1 arg-5)) (else (vector 1 e-9))))))) eff-5))))))))) eff-4)))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))
(define TTImpC-45ElabC-45Ambiguity-notOverloadable (lambda (arg-0 arg-1) (let ((e-2 (car arg-1))) (let ((e-3 (cdr arg-1))) (cond ((equal? e-2 1) (lambda (eta-0) (vector 1 1)))(else (TTImpC-45ElabC-45Ambiguity-n--14845-14640-u--notOverloadableFn e-2 e-3 arg-0 (TTImpC-45TTImp-getFn e-3))))))))
(define TTImpC-45ElabC-45Ambiguity-mightMatchD (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (TTImpC-45ElabC-45Ambiguity-mightMatch arg-0 arg-1 arg-2 (TTImpC-45ElabC-45Ambiguity-stripDelay arg-3) (TTImpC-45ElabC-45Ambiguity-stripDelay arg-4))))
(define TTImpC-45ElabC-45Ambiguity-mightMatchArgs (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (if (null? arg-3) (lambda (clam-0) (if (null? arg-4) (vector 1 1) (vector 1 0))) (let ((e-2 (car arg-3))) (let ((e-3 (cdr arg-3))) (if (null? arg-4) (lambda (eta-0) (vector 1 0)) (let ((e-6 (car arg-4))) (let ((e-7 (cdr arg-4))) (let ((eff-0 (TTImpC-45ElabC-45Ambiguity-mightMatchArg arg-0 arg-1 arg-2 e-2 e-6))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (cond ((equal? e-5 1) (TTImpC-45ElabC-45Ambiguity-mightMatchArgs arg-0 arg-1 arg-2 e-3 e-7)) (else (lambda (eta-0) (vector 1 0)))))) eff-1)))))))))))))))
(define TTImpC-45ElabC-45Ambiguity-mightMatchArg (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (let ((eff-0 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 arg-3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() arg-2 arg-4))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45ElabC-45Ambiguity-mightMatchD arg-0 arg-1 arg-2 e-5 e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (cond ((equal? e-7 2) 0)(else 1)))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))
(define TTImpC-45ElabC-45Ambiguity-mightMatch (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (case (vector-ref arg-4 0) ((0) (let ((e-61 (vector-ref arg-4 1))) (let ((e-63 (vector-ref arg-4 3))) (let ((e-64 (vector-ref arg-4 4))) (case (vector-ref e-63 0) ((2) (let ((eff-0 ((e-64 arg-2) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 e-61 (vector 0 )))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45ElabC-45Ambiguity-mightMatchD arg-0 arg-1 arg-2 arg-3 e-5))) eff-1))))))))(else (case (vector-ref arg-3 0) ((0) (lambda (clam-0) (case (vector-ref arg-4 0) ((0) (vector 1 1))(else (case (vector-ref arg-4 0) ((1) (vector 1 1)) ((9) (vector 1 1))(else (vector 1 2))))))) ((3) (let ((e-14 (vector-ref arg-3 2))) (let ((e-17 (vector-ref arg-3 5))) (case (vector-ref arg-4 0) ((3) (let ((e-44 (vector-ref arg-4 2))) (let ((e-47 (vector-ref arg-4 5))) (let ((sc3 (CoreC-45Name-u--C-61C-61_Eq_Name e-14 e-44))) (cond ((equal? sc3 1) (let ((eff-0 (TTImpC-45ElabC-45Ambiguity-mightMatchArgs arg-0 arg-1 arg-2 ((csegen-947) e-17) ((csegen-947) e-47)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (clam-1) (cond ((equal? e-5 1) (vector 1 0)) (else (vector 1 2)))))) eff-1)))))))) (else (lambda (eta-0) (vector 1 2))))))))(else (lambda (clam-2) (case (vector-ref arg-4 0) ((1) (vector 1 1)) ((9) (vector 1 1))(else (vector 1 2))))))))) ((2) (let ((e-21 (vector-ref arg-3 3))) (let ((e-23 (vector-ref arg-3 5))) (case (vector-ref arg-4 0) ((2) (let ((e-51 (vector-ref arg-4 3))) (let ((e-53 (vector-ref arg-4 5))) (let ((sc3 (PreludeC-45EqOrd-u--C-61C-61_Eq_Int e-21 e-51))) (cond ((equal? sc3 1) (let ((eff-0 (TTImpC-45ElabC-45Ambiguity-mightMatchArgs arg-0 arg-1 arg-2 ((csegen-947) e-23) ((csegen-947) e-53)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (clam-3) (cond ((equal? e-5 1) (vector 1 0)) (else (vector 1 2)))))) eff-1)))))))) (else (lambda (eta-0) (vector 1 2))))))))(else (lambda (clam-4) (case (vector-ref arg-4 0) ((1) (vector 1 1)) ((9) (vector 1 1))(else (vector 1 2))))))))) ((8) (let ((e-26 (vector-ref arg-3 2))) (lambda (clam-1) (case (vector-ref arg-4 0) ((8) (let ((e-56 (vector-ref arg-4 2))) (let ((sc3 (CoreC-45TT-u--C-61C-61_Eq_Constant e-26 e-56))) (cond ((equal? sc3 1) (vector 1 0)) (else (vector 1 2))))))(else (case (vector-ref arg-4 0) ((1) (vector 1 1)) ((9) (vector 1 1))(else (vector 1 2)))))))) ((10) (lambda (clam-2) (case (vector-ref arg-4 0) ((10) (vector 1 0))(else (case (vector-ref arg-4 0) ((1) (vector 1 1)) ((9) (vector 1 1))(else (vector 1 2))))))) ((1) (lambda (eta-0) (vector 1 1))) ((9) (lambda (eta-0) (vector 1 1)))(else (lambda (clam-8) (case (vector-ref arg-4 0) ((1) (vector 1 1)) ((9) (vector 1 1))(else (vector 1 2))))))))))))(else (case (vector-ref arg-3 0) ((0) (lambda (clam-3) (case (vector-ref arg-4 0) ((0) (vector 1 1))(else (case (vector-ref arg-4 0) ((1) (vector 1 1)) ((9) (vector 1 1))(else (vector 1 2))))))) ((3) (let ((e-14 (vector-ref arg-3 2))) (let ((e-17 (vector-ref arg-3 5))) (case (vector-ref arg-4 0) ((3) (let ((e-44 (vector-ref arg-4 2))) (let ((e-47 (vector-ref arg-4 5))) (let ((sc2 (CoreC-45Name-u--C-61C-61_Eq_Name e-14 e-44))) (cond ((equal? sc2 1) (let ((eff-0 (TTImpC-45ElabC-45Ambiguity-mightMatchArgs arg-0 arg-1 arg-2 ((csegen-947) e-17) ((csegen-947) e-47)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (clam-10) (cond ((equal? e-5 1) (vector 1 0)) (else (vector 1 2)))))) eff-1)))))))) (else (lambda (eta-0) (vector 1 2))))))))(else (lambda (clam-11) (case (vector-ref arg-4 0) ((1) (vector 1 1)) ((9) (vector 1 1))(else (vector 1 2))))))))) ((2) (let ((e-21 (vector-ref arg-3 3))) (let ((e-23 (vector-ref arg-3 5))) (case (vector-ref arg-4 0) ((2) (let ((e-51 (vector-ref arg-4 3))) (let ((e-53 (vector-ref arg-4 5))) (let ((sc2 (PreludeC-45EqOrd-u--C-61C-61_Eq_Int e-21 e-51))) (cond ((equal? sc2 1) (let ((eff-0 (TTImpC-45ElabC-45Ambiguity-mightMatchArgs arg-0 arg-1 arg-2 ((csegen-947) e-23) ((csegen-947) e-53)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (clam-12) (cond ((equal? e-5 1) (vector 1 0)) (else (vector 1 2)))))) eff-1)))))))) (else (lambda (eta-0) (vector 1 2))))))))(else (lambda (clam-13) (case (vector-ref arg-4 0) ((1) (vector 1 1)) ((9) (vector 1 1))(else (vector 1 2))))))))) ((8) (let ((e-26 (vector-ref arg-3 2))) (lambda (clam-4) (case (vector-ref arg-4 0) ((8) (let ((e-56 (vector-ref arg-4 2))) (let ((sc2 (CoreC-45TT-u--C-61C-61_Eq_Constant e-26 e-56))) (cond ((equal? sc2 1) (vector 1 0)) (else (vector 1 2))))))(else (case (vector-ref arg-4 0) ((1) (vector 1 1)) ((9) (vector 1 1))(else (vector 1 2)))))))) ((10) (lambda (clam-5) (case (vector-ref arg-4 0) ((10) (vector 1 0))(else (case (vector-ref arg-4 0) ((1) (vector 1 1)) ((9) (vector 1 1))(else (vector 1 2))))))) ((1) (lambda (eta-0) (vector 1 1))) ((9) (lambda (eta-0) (vector 1 1)))(else (lambda (clam-17) (case (vector-ref arg-4 0) ((1) (vector 1 1)) ((9) (vector 1 1))(else (vector 1 2))))))))))
(define TTImpC-45ElabC-45Ambiguity-getName (lambda (arg-0) (case (vector-ref arg-0 0) ((0) (let ((e-2 (vector-ref arg-0 2))) (box e-2))) ((8) (let ((e-5 (vector-ref arg-0 2))) (TTImpC-45ElabC-45Ambiguity-getName e-5))) ((10) (let ((e-9 (vector-ref arg-0 2))) (TTImpC-45ElabC-45Ambiguity-getName e-9))) ((9) (let ((e-14 (vector-ref arg-0 2))) (TTImpC-45ElabC-45Ambiguity-getName e-14)))(else '()))))
(define TTImpC-45ElabC-45Ambiguity-filterCore (lambda (arg-1 arg-2) (if (null? arg-2) (lambda (eta-0) (vector 1 '())) (let ((e-2 (car arg-2))) (let ((e-3 (cdr arg-2))) (let ((eff-0 (arg-1 e-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (TTImpC-45ElabC-45Ambiguity-filterCore arg-1 e-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (clam-0) (cond ((equal? e-5 1) (vector 1 (cons e-2 e-6))) (else (vector 1 e-6)))))) eff-2))))))))) eff-1))))))))))))
(define TTImpC-45ElabC-45Ambiguity-expandAmbigName (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9) (case (vector-ref arg-3 0) ((1) (case (vector-ref arg-8 0) ((17) (let ((e-18 (vector-ref arg-8 1))) (let ((e-19 (vector-ref arg-8 2))) (let ((eff-0 (let ((eff-0 arg-2)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (clam-0) (let ((sc3 (PreludeC-45Types-elem (csegen-16) (csegen-1008) (vector 1 (vector 0 e-19)) (let ((e-8 (vector-ref e-5 7))) e-8)))) (cond ((equal? sc3 1) (vector 1 (vector 19 e-18 0 arg-6))) (else (vector 1 arg-6))))))) eff-1))))))))))(else (case (vector-ref arg-8 0) ((0) (let ((e-1 (vector-ref arg-8 1))) (let ((e-2 (vector-ref arg-8 2))) (let ((sc2 (DataC-45List-lookup (csegen-1008) e-2 (let ((eff-0 arg-4)) eff-0)))) (if (null? sc2) (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((sc4 (CoreC-45Env-defined arg-0 e-2 arg-5))) (if (null? sc4) (let ((eff-1 (let ((eff-1 arg-2)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (unbox eff-2))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-3 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-getPrimNames arg-1))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-3 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((u--prims (CoreC-45Options-primNamesToList e-7))) (let ((u--primApp (CoreC-45Context-isPrimName u--prims e-2))) (TTImpC-45ElabC-45Ambiguity-case--caseC-32blockC-32inC-32caseC-32blockC-32inC-32expandAmbigName-13026 arg-0 e-2 e-1 arg-9 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 e-5 e-6 e-7 u--prims u--primApp (TTImpC-45ElabC-45Ambiguity-n--11554-11797-u--lookupUN arg-0 e-2 e-1 arg-9 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 (CoreC-45Name-userNameRoot e-2) (let ((e-14 (vector-ref e-6 13))) e-14))))))) eff-3))))))))) eff-2))))))) (let ((sc5 (let ((sc6 (DataC-45List-isNil arg-7))) (cond ((equal? sc6 1) 1) (else (TTImpC-45ElabC-45Ambiguity-n--11554-11802-u--notLHS arg-0 e-2 e-1 arg-9 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 arg-3)))))) (cond ((equal? sc5 1) (let ((eff-1 (CoreC-45ContextC-45Log-log arg-1 "elab.ambiguous" 10 (lambda () (string-append "Defined in env " (CoreC-45Name-u--show_Show_Name e-2)))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-2 (lambda (eta-0) (vector 1 arg-6)))) eff-2))))))) (else (lambda (eta-0) (vector 1 (vector 19 e-1 1 arg-6)))))))))) eff-1))))))) (let ((eff-0 (CoreC-45ContextC-45Log-log arg-1 "elab.ambiguous" 10 (lambda () (string-append "Nested " (CoreC-45Name-u--show_Show_Name e-2)))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-1 (lambda (eta-0) (vector 1 arg-6)))) eff-1))))))))))) ((8) (let ((e-4 (vector-ref arg-8 1))) (let ((e-5 (vector-ref arg-8 2))) (let ((e-6 (vector-ref arg-8 3))) (TTImpC-45ElabC-45Ambiguity-expandAmbigName arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 (cons (cons e-4 (cons '() e-6)) arg-7) e-5 arg-9))))) ((10) (let ((e-8 (vector-ref arg-8 1))) (let ((e-9 (vector-ref arg-8 2))) (let ((e-10 (vector-ref arg-8 3))) (let ((e-11 (vector-ref arg-8 4))) (TTImpC-45ElabC-45Ambiguity-expandAmbigName arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 (cons (cons e-8 (cons (box (box e-10)) e-11)) arg-7) e-9 arg-9)))))) ((9) (let ((e-13 (vector-ref arg-8 1))) (let ((e-14 (vector-ref arg-8 2))) (let ((e-15 (vector-ref arg-8 3))) (TTImpC-45ElabC-45Ambiguity-expandAmbigName arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 (cons (cons e-13 (cons (box '()) e-15)) arg-7) e-14 arg-9)))))(else (let ((eff-0 (CoreC-45ContextC-45Log-log arg-1 "elab.ambiguous" 10 (lambda () (string-append "No ambiguity " (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 (csegen-100) arg-6)))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (lambda (eta-0) (vector 1 arg-6)))) eff-1)))))))))))(else (case (vector-ref arg-8 0) ((0) (let ((e-1 (vector-ref arg-8 1))) (let ((e-2 (vector-ref arg-8 2))) (let ((sc1 (DataC-45List-lookup (csegen-1008) e-2 (let ((eff-0 arg-4)) eff-0)))) (if (null? sc1) (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((sc3 (CoreC-45Env-defined arg-0 e-2 arg-5))) (if (null? sc3) (let ((eff-1 (let ((eff-1 arg-2)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (unbox eff-2))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-3 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-getPrimNames arg-1))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-3 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((u--prims (CoreC-45Options-primNamesToList e-7))) (let ((u--primApp (CoreC-45Context-isPrimName u--prims e-2))) (TTImpC-45ElabC-45Ambiguity-case--caseC-32blockC-32inC-32caseC-32blockC-32inC-32expandAmbigName-13026 arg-0 e-2 e-1 arg-9 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 e-5 e-6 e-7 u--prims u--primApp (TTImpC-45ElabC-45Ambiguity-n--11554-11797-u--lookupUN arg-0 e-2 e-1 arg-9 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 (CoreC-45Name-userNameRoot e-2) (let ((e-14 (vector-ref e-6 13))) e-14))))))) eff-3))))))))) eff-2))))))) (let ((sc4 (let ((sc5 (DataC-45List-isNil arg-7))) (cond ((equal? sc5 1) 1) (else (TTImpC-45ElabC-45Ambiguity-n--11554-11802-u--notLHS arg-0 e-2 e-1 arg-9 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 arg-3)))))) (cond ((equal? sc4 1) (let ((eff-1 (CoreC-45ContextC-45Log-log arg-1 "elab.ambiguous" 10 (lambda () (string-append "Defined in env " (CoreC-45Name-u--show_Show_Name e-2)))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-2 (lambda (eta-0) (vector 1 arg-6)))) eff-2))))))) (else (lambda (eta-0) (vector 1 (vector 19 e-1 1 arg-6)))))))))) eff-1))))))) (let ((eff-0 (CoreC-45ContextC-45Log-log arg-1 "elab.ambiguous" 10 (lambda () (string-append "Nested " (CoreC-45Name-u--show_Show_Name e-2)))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-1 (lambda (eta-0) (vector 1 arg-6)))) eff-1))))))))))) ((8) (let ((e-4 (vector-ref arg-8 1))) (let ((e-5 (vector-ref arg-8 2))) (let ((e-6 (vector-ref arg-8 3))) (TTImpC-45ElabC-45Ambiguity-expandAmbigName arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 (cons (cons e-4 (cons '() e-6)) arg-7) e-5 arg-9))))) ((10) (let ((e-8 (vector-ref arg-8 1))) (let ((e-9 (vector-ref arg-8 2))) (let ((e-10 (vector-ref arg-8 3))) (let ((e-11 (vector-ref arg-8 4))) (TTImpC-45ElabC-45Ambiguity-expandAmbigName arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 (cons (cons e-8 (cons (box (box e-10)) e-11)) arg-7) e-9 arg-9)))))) ((9) (let ((e-13 (vector-ref arg-8 1))) (let ((e-14 (vector-ref arg-8 2))) (let ((e-15 (vector-ref arg-8 3))) (TTImpC-45ElabC-45Ambiguity-expandAmbigName arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 (cons (cons e-13 (cons (box '()) e-15)) arg-7) e-14 arg-9)))))(else (let ((eff-0 (CoreC-45ContextC-45Log-log arg-1 "elab.ambiguous" 10 (lambda () (string-append "No ambiguity " (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 (csegen-100) arg-6)))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (lambda (eta-0) (vector 1 arg-6)))) eff-1))))))))))))
(define TTImpC-45ElabC-45Ambiguity-couldBeName (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (let ((eff-0 (CoreC-45Context-lookupTyExact arg-4 (let ((e-0 (vector-ref arg-2 0))) e-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (if (null? e-5) (lambda (eta-0) (vector 1 1)) (let ((e-2 (unbox e-5))) (let ((eff-1 (CoreC-45NormaliseC-45Eval-nf arg-0 '() arg-2 '() e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-3 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (TTImpC-45ElabC-45Ambiguity-mightMatchD arg-0 arg-1 arg-2 arg-3 e-6))) eff-2))))))))))) eff-1)))))))))
(define TTImpC-45ElabC-45Ambiguity-couldBeFn (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (case (vector-ref arg-4 0) ((0) (let ((e-2 (vector-ref arg-4 2))) (TTImpC-45ElabC-45Ambiguity-couldBeName arg-0 arg-1 arg-2 arg-3 e-2))) ((13) (lambda (eta-0) (vector 1 0)))(else (lambda (eta-0) (vector 1 1))))))
(define TTImpC-45ElabC-45Ambiguity-couldBe (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (case (vector-ref arg-3 0) ((3) (let ((eff-0 (TTImpC-45ElabC-45Ambiguity-couldBeFn arg-0 arg-1 arg-2 arg-3 (TTImpC-45TTImp-getFn arg-4)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (clam-0) (cond ((equal? e-6 0) (vector 1 (box (cons 1 arg-4)))) ((equal? e-6 1) (vector 1 (box (cons 0 arg-4)))) (else (vector 1 '())))))) eff-1)))))))) ((8) (let ((eff-0 (TTImpC-45ElabC-45Ambiguity-couldBeFn arg-0 arg-1 arg-2 arg-3 (TTImpC-45TTImp-getFn arg-4)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (clam-1) (cond ((equal? e-5 0) (vector 1 (box (cons 1 arg-4)))) ((equal? e-5 1) (vector 1 (box (cons 0 arg-4)))) (else (vector 1 '())))))) eff-1)))))))) ((10) (let ((eff-0 (TTImpC-45ElabC-45Ambiguity-couldBeFn arg-0 arg-1 arg-2 arg-3 (TTImpC-45TTImp-getFn arg-4)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (clam-2) (cond ((equal? e-5 0) (vector 1 (box (cons 1 arg-4)))) ((equal? e-5 1) (vector 1 (box (cons 0 arg-4)))) (else (vector 1 '())))))) eff-1))))))))(else (lambda (eta-0) (vector 1 (box (cons 0 arg-4))))))))
(define TTImpC-45ElabC-45Ambiguity-checkAmbigDepth (lambda (arg-1 arg-2 arg-3 arg-4) (let ((eff-0 (CoreC-45Context-getAmbigLimit arg-1))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--ambs (let ((e-6 (vector-ref arg-4 5))) e-6))) (let ((sc1 (PreludeC-45Types-u--C-62_Ord_Nat (PreludeC-45TypesC-45List-lengthTR u--ambs) e-5))) (cond ((equal? sc1 1) (let ((eff-1 (let ((eff-1 arg-2)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (unbox eff-2))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 20 arg-3 (vector 8 (let ((e-2 (vector-ref e-6 1))) e-2)) u--ambs) eta-0)))) eff-2)))))))) (else (lambda (eta-0) (vector 1 (vector 0 ))))))))) eff-1)))))))))
(define TTImpC-45ElabC-45Ambiguity-checkAlternative (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14) (case (vector-ref arg-12 0) ((2) (let ((e-1 (vector-ref arg-12 1))) (let ((eff-0 (TTImpC-45ElabC-45Ambiguity-checkAmbigDepth arg-1 arg-4 arg-11 arg-8))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (PreludeC-45Types-maybe (lambda () (let ((eff-1 (CoreC-45UnifyState-genName arg-1 arg-3 "altTy"))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45ElabC-45Check-uniVar arg-1 arg-3 arg-11))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (TTImpC-45ElabC-45Check-metaVar arg-0 arg-1 arg-3 arg-11 (csegen-54) arg-10 e-6 (vector 11 arg-11 e-7)))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (CoreC-45NormaliseC-45Eval-gnf arg-0 arg-10 e-8))))) eff-4))))))))) eff-3))))))))) eff-2)))))))) (lambda () (lambda (eta-0) (lambda (eta-1) (vector 1 eta-0)))) arg-14))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((u--solvemode (let ((e-0 (vector-ref arg-8 0))) (case (vector-ref e-0 0) ((1) (CoreC-45Unify-inLHS))(else (CoreC-45Unify-inTerm)))))) (TTImpC-45ElabC-45Delayed-delayOnFailure arg-0 arg-1 arg-2 arg-3 arg-4 arg-11 arg-7 arg-10 (box e-6) (lambda (eta-0) (TTImpC-45ElabC-45Delayed-ambiguous eta-0)) 1 (lambda (u--delayed) (let ((eff-2 (CoreC-45Unify-solveConstraints arg-1 arg-3 u--solvemode 0))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (let ((eff-3 (CoreC-45NormaliseC-45Eval-getTerm e-6))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((u--expC-39 (cond ((equal? u--delayed 1) (CoreC-45NormaliseC-45Eval-gnf arg-0 arg-10 e-8)) (else e-6)))) (let ((eff-4 (CoreC-45Normalise-logGlueNF arg-0 arg-1 "elab.ambiguous" 5 (lambda () (PreludeC-45Types-fastConcat (cons "Ambiguous elaboration at " (cons (CoreC-45FC-u--show_Show_FC arg-11) (cons ":\xa;" (cons (DataC-45String-fastUnlines (((csegen-25) (lambda (eta-0) (string-append "  " (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 (csegen-100) eta-0)))) arg-13)) (cons "With default. Target type " '()))))))) arg-10 u--expC-39))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-5 (let ((eff-5 (let ((eff-5 (CoreC-45NormaliseC-45Eval-getNF arg-1 u--expC-39))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-10 (vector-ref lcase-5 1))) (let ((eff-6 (TTImpC-45ElabC-45Ambiguity-pruneByType arg-0 arg-1 arg-3 arg-10 e-10 arg-13))) eff-6))))))))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-10 (vector-ref lcase-5 1))) (let ((eff-6 (let ((eff-6 (CoreC-45ContextC-45Log-log arg-1 "elab.prune" 5 (lambda () (string-append "Pruned " (string-append (PreludeC-45Show-u--show_Show_Nat (PreludeC-45Types-prim__integerToNat (- (PreludeC-45TypesC-45List-lengthTR arg-13) (PreludeC-45TypesC-45List-lengthTR e-10)))) (string-append " alts." (string-append " Kept:\xa;" (DataC-45String-fastUnlines ((csegen-3395) e-10)))))))))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-2 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-7 (cond ((equal? u--delayed 1) (TTImpC-45ElabC-45Check-try arg-0 arg-1 arg-2 arg-3 arg-4 (TTImpC-45ElabC-45Check-exactlyOneC-39 arg-0 arg-1 arg-2 arg-3 arg-4 0 arg-11 arg-10 (((csegen-25) (lambda (u--t) (cons (TTImpC-45ElabC-45Ambiguity-getName u--t) (TTImpC-45ElabC-45Check-checkImp arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 ((TTImpC-45ElabC-45Ambiguity-addAmbig e-10 (TTImpC-45ElabC-45Ambiguity-getName u--t)) arg-8) arg-9 arg-10 u--t (box u--expC-39))))) e-10)) (let ((eff-7 (CoreC-45ContextC-45Log-log arg-1 (csegen-3379) 5 (lambda () ((csegen-0) "All failed, running default"))))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-2 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-8 (TTImpC-45ElabC-45Check-checkImp arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 ((TTImpC-45ElabC-45Ambiguity-addAmbig e-10 (TTImpC-45ElabC-45Ambiguity-getName e-1)) arg-8) arg-9 arg-10 e-1 (box u--expC-39)))) eff-8)))))))) (else (TTImpC-45ElabC-45Check-exactlyOneC-39 arg-0 arg-1 arg-2 arg-3 arg-4 1 arg-11 arg-10 (((csegen-25) (lambda (u--t) (cons (TTImpC-45ElabC-45Ambiguity-getName u--t) (TTImpC-45ElabC-45Check-checkImp arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 ((TTImpC-45ElabC-45Ambiguity-addAmbig e-10 (TTImpC-45ElabC-45Ambiguity-getName u--t)) arg-8) arg-9 arg-10 u--t (box u--expC-39))))) e-10)))))) eff-7)))))))) eff-6))))))))) eff-5))))))))) eff-4))))))))) eff-3))))))))))) eff-2))))))))) eff-1))))))))(else (let ((eff-0 (TTImpC-45ElabC-45Ambiguity-checkAmbigDepth arg-1 arg-4 arg-11 arg-8))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (PreludeC-45Types-maybe (lambda () (lambda (eta-0) (vector 1 '()))) (lambda () (lambda (u--exp) (let ((eff-1 (CoreC-45NormaliseC-45Eval-getNF arg-1 u--exp))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (TTImpC-45ElabC-45Ambiguity-pruneByType arg-0 arg-1 arg-3 arg-10 e-6 arg-13))) eff-2))))))))) arg-14))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-6) (let ((eff-2 (PreludeC-45Types-maybe (lambda () (let ((eff-2 (CoreC-45UnifyState-genName arg-1 arg-3 "altTy"))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (TTImpC-45ElabC-45Check-uniVar arg-1 arg-3 arg-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (TTImpC-45ElabC-45Check-metaVar arg-0 arg-1 arg-3 arg-11 (csegen-54) arg-10 e-7 (vector 11 arg-11 e-8)))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (CoreC-45NormaliseC-45Eval-gnf arg-0 arg-10 e-9))))) eff-5))))))))) eff-4))))))))) eff-3)))))))) (lambda () (lambda (eta-0) (lambda (eta-1) (vector 1 eta-0)))) arg-14))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((u--solvemode (let ((e-0 (vector-ref arg-8 0))) (case (vector-ref e-0 0) ((1) (CoreC-45Unify-inLHS))(else (CoreC-45Unify-inTerm)))))) (TTImpC-45ElabC-45Delayed-delayOnFailure arg-0 arg-1 arg-2 arg-3 arg-4 arg-11 arg-7 arg-10 (box e-7) (lambda (eta-0) (TTImpC-45ElabC-45Delayed-ambiguous eta-0)) 1 (lambda (u--delayed) (let ((eff-3 (CoreC-45NormaliseC-45Eval-getTerm e-7))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((u--expC-39 (cond ((equal? u--delayed 1) (CoreC-45NormaliseC-45Eval-gnf arg-0 arg-10 e-8)) (else e-7)))) (let ((eff-4 (let ((eff-4 (CoreC-45NormaliseC-45Eval-getNF arg-1 u--expC-39))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (TTImpC-45ElabC-45Ambiguity-pruneByType arg-0 arg-1 arg-3 arg-10 e-9 arg-13))) eff-5))))))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (let ((eff-5 (CoreC-45Normalise-logGlueNF arg-0 arg-1 "elab.ambiguous" 5 (lambda () (PreludeC-45Types-fastConcat (cons "Ambiguous elaboration" (cons " (kept " (cons (PreludeC-45Show-u--show_Show_Nat (PreludeC-45TypesC-45List-lengthTR e-9)) (cons " out of " (cons (PreludeC-45Show-u--show_Show_Nat (PreludeC-45TypesC-45List-lengthTR arg-13)) (cons " candidates)" (cons " (" (cons (cond ((equal? u--delayed 1) "") (else "not ")) (cons "delayed)" (cons " at " (cons (CoreC-45FC-u--show_Show_FC arg-11) (cons ":\xa;" (cons (DataC-45String-fastUnlines ((csegen-3395) e-9)) (cons "Target type " '())))))))))))))))) arg-10 u--expC-39))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-6 (let ((u--tryall (lambda (clam-1) (case (vector-ref arg-12 0) ((0) (TTImpC-45ElabC-45Check-anyOne arg-0 arg-1 arg-2 arg-3 arg-4 arg-11 clam-1))(else (TTImpC-45ElabC-45Check-exactlyOneC-39 arg-0 arg-1 arg-2 arg-3 arg-4 (cond ((equal? u--delayed 1) 0) (else 1)) arg-11 arg-10 clam-1)))))) (u--tryall (((csegen-25) (lambda (u--t) (cons (TTImpC-45ElabC-45Ambiguity-getName u--t) (let ((eff-6 (TTImpC-45ElabC-45Check-checkImp arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 ((TTImpC-45ElabC-45Ambiguity-addAmbig e-9 (TTImpC-45ElabC-45Ambiguity-getName u--t)) arg-8) arg-9 arg-10 u--t (box u--expC-39)))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-2 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-11 (vector-ref lcase-6 1))) (let ((eff-7 (let ((eff-7 (CoreC-45Unify-solveConstraints arg-1 arg-3 u--solvemode 0))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-2 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-8 (let ((eff-8 (CoreC-45Unify-solveConstraints arg-1 arg-3 u--solvemode 0))) (PrimIO-io_bind eff-8 (lambda (lcase-8) (case (vector-ref lcase-8 0) ((0) (let ((e-2 (vector-ref lcase-8 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-9 (let ((eff-9 (CoreC-45ContextC-45Log-log arg-1 "elab.ambiguous" 10 (lambda () (string-append (PreludeC-45Show-u--show_Show_C-40MaybeC-32C-36aC-41 (csegen-100) (TTImpC-45ElabC-45Ambiguity-getName u--t)) " success"))))) (PrimIO-io_bind eff-9 (lambda (lcase-9) (case (vector-ref lcase-9 0) ((0) (let ((e-2 (vector-ref lcase-9 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-10 (let ((eff-10 (CoreC-45Normalise-logTermNF arg-0 arg-1 "elab.ambiguous" 10 (lambda () "Result") arg-10 (Builtin-fst e-11)))) (PrimIO-io_bind eff-10 (lambda (lcase-10) (case (vector-ref lcase-10 0) ((0) (let ((e-2 (vector-ref lcase-10 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-11 (lambda (eta-0) (vector 1 e-11)))) eff-11)))))))) eff-10)))))))) eff-9)))))))) eff-8)))))))) eff-7)))))))))) e-9))))) eff-6)))))))) eff-5)))))))))) eff-4)))))))))))) eff-3))))))) (let ((e-1 (car e-6))) (let ((e-2 (cdr e-6))) (if (null? e-2) (TTImpC-45ElabC-45Check-checkImp arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 e-1 arg-14) (let ((eff-2 (PreludeC-45Types-maybe (lambda () (let ((eff-2 (CoreC-45UnifyState-genName arg-1 arg-3 "altTy"))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-3 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (TTImpC-45ElabC-45Check-uniVar arg-1 arg-3 arg-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-3 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (TTImpC-45ElabC-45Check-metaVar arg-0 arg-1 arg-3 arg-11 (csegen-54) arg-10 e-7 (vector 11 arg-11 e-8)))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-3 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (CoreC-45NormaliseC-45Eval-gnf arg-0 arg-10 e-9))))) eff-5))))))))) eff-4))))))))) eff-3)))))))) (lambda () (lambda (eta-0) (lambda (eta-1) (vector 1 eta-0)))) arg-14))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-3 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((u--solvemode (let ((e-0 (vector-ref arg-8 0))) (case (vector-ref e-0 0) ((1) (CoreC-45Unify-inLHS))(else (CoreC-45Unify-inTerm)))))) (TTImpC-45ElabC-45Delayed-delayOnFailure arg-0 arg-1 arg-2 arg-3 arg-4 arg-11 arg-7 arg-10 (box e-7) (lambda (eta-0) (TTImpC-45ElabC-45Delayed-ambiguous eta-0)) 1 (lambda (u--delayed) (let ((eff-3 (CoreC-45NormaliseC-45Eval-getTerm e-7))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-3 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((u--expC-39 (cond ((equal? u--delayed 1) (CoreC-45NormaliseC-45Eval-gnf arg-0 arg-10 e-8)) (else e-7)))) (let ((eff-4 (let ((eff-4 (CoreC-45NormaliseC-45Eval-getNF arg-1 u--expC-39))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-3 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (TTImpC-45ElabC-45Ambiguity-pruneByType arg-0 arg-1 arg-3 arg-10 e-9 arg-13))) eff-5))))))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-3 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (let ((eff-5 (CoreC-45Normalise-logGlueNF arg-0 arg-1 "elab.ambiguous" 5 (lambda () (PreludeC-45Types-fastConcat (cons "Ambiguous elaboration" (cons " (kept " (cons (PreludeC-45Show-u--show_Show_Nat (PreludeC-45TypesC-45List-lengthTR e-9)) (cons " out of " (cons (PreludeC-45Show-u--show_Show_Nat (PreludeC-45TypesC-45List-lengthTR arg-13)) (cons " candidates)" (cons " (" (cons (cond ((equal? u--delayed 1) "") (else "not ")) (cons "delayed)" (cons " at " (cons (CoreC-45FC-u--show_Show_FC arg-11) (cons ":\xa;" (cons (DataC-45String-fastUnlines ((csegen-3395) e-9)) (cons "Target type " '())))))))))))))))) arg-10 u--expC-39))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-3 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-6 (let ((u--tryall (lambda (clam-0) (case (vector-ref arg-12 0) ((0) (TTImpC-45ElabC-45Check-anyOne arg-0 arg-1 arg-2 arg-3 arg-4 arg-11 clam-0))(else (TTImpC-45ElabC-45Check-exactlyOneC-39 arg-0 arg-1 arg-2 arg-3 arg-4 (cond ((equal? u--delayed 1) 0) (else 1)) arg-11 arg-10 clam-0)))))) (u--tryall (((csegen-25) (lambda (u--t) (cons (TTImpC-45ElabC-45Ambiguity-getName u--t) (let ((eff-6 (TTImpC-45ElabC-45Check-checkImp arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 ((TTImpC-45ElabC-45Ambiguity-addAmbig e-9 (TTImpC-45ElabC-45Ambiguity-getName u--t)) arg-8) arg-9 arg-10 u--t (box u--expC-39)))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-3 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-11 (vector-ref lcase-6 1))) (let ((eff-7 (let ((eff-7 (CoreC-45Unify-solveConstraints arg-1 arg-3 u--solvemode 0))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-3 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-8 (let ((eff-8 (CoreC-45Unify-solveConstraints arg-1 arg-3 u--solvemode 0))) (PrimIO-io_bind eff-8 (lambda (lcase-8) (case (vector-ref lcase-8 0) ((0) (let ((e-3 (vector-ref lcase-8 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-9 (let ((eff-9 (CoreC-45ContextC-45Log-log arg-1 "elab.ambiguous" 10 (lambda () (string-append (PreludeC-45Show-u--show_Show_C-40MaybeC-32C-36aC-41 (csegen-100) (TTImpC-45ElabC-45Ambiguity-getName u--t)) " success"))))) (PrimIO-io_bind eff-9 (lambda (lcase-9) (case (vector-ref lcase-9 0) ((0) (let ((e-3 (vector-ref lcase-9 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-10 (let ((eff-10 (CoreC-45Normalise-logTermNF arg-0 arg-1 "elab.ambiguous" 10 (lambda () "Result") arg-10 (Builtin-fst e-11)))) (PrimIO-io_bind eff-10 (lambda (lcase-10) (case (vector-ref lcase-10 0) ((0) (let ((e-3 (vector-ref lcase-10 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-11 (lambda (eta-0) (vector 1 e-11)))) eff-11)))))))) eff-10)))))))) eff-9)))))))) eff-8)))))))) eff-7)))))))))) e-9))))) eff-6)))))))) eff-5)))))))))) eff-4)))))))))))) eff-3))))))))))))) eff-2))))))))) eff-1))))))))))
(define TTImpC-45ElabC-45Ambiguity-addAmbig (lambda (arg-1 arg-2) (if (null? arg-2) (lambda (eta-0) eta-0) (lambda (clam-0) (if (null? arg-1) clam-0 (let ((e-5 (cdr arg-1))) (if (null? e-5) clam-0 (let ((e-1 (unbox arg-2))) (let ((e-0 (vector-ref clam-0 0))) (let ((e-8 (vector-ref clam-0 1))) (let ((e-2 (vector-ref clam-0 2))) (let ((e-3 (vector-ref clam-0 3))) (let ((e-7 (vector-ref clam-0 4))) (let ((e-6 (vector-ref clam-0 5))) (vector e-0 e-8 e-2 e-3 e-7 (cons e-1 e-6))))))))))))))))
(define CoreC-45LinearCheck-case--lcheckDef-13790 (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8) (if (null? arg-8) (CoreC-45Context-undefinedName arg-6 arg-4 arg-1) (let ((e-1 (unbox arg-8))) (let ((eff-0 (CoreC-45Context-lookupCtxtExact (vector 8 e-1) (let ((e-0 (vector-ref arg-7 0))) e-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (if (null? e-5) (CoreC-45Context-undefinedName arg-6 arg-4 arg-1) (let ((e-2 (unbox e-5))) (let ((eff-1 (CoreC-45LinearCheck-n--9625-13529-u--rigSafe arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 (let ((e-7 (vector-ref e-2 7))) e-7) arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-3 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-2 (let ((sc4 (let ((e-16 (vector-ref e-2 16))) e-16))) (cond ((equal? sc4 1) (lambda (eta-0) (vector 1 (let ((e-24 (vector-ref e-2 2))) e-24)))) (else (let ((e-17 (vector-ref e-2 17))) (case (vector-ref e-17 0) ((1) (let ((e-26 (vector-ref e-17 5))) (let ((eff-2 (CoreC-45LinearCheck-getArgUsage arg-6 arg-5 (CoreC-45TT-getLoc (let ((e-50 (vector-ref e-2 2))) e-50)) arg-3 (let ((e-50 (vector-ref e-2 2))) e-50) e-26))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-31 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-31)))) (else (let ((e-31 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45ContextC-45Log-log arg-6 "quantity" 5 (lambda () (string-append "Overall arg usage " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-3398) e-31)))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-32 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-32)))) (else (let ((eff-4 (let ((u--tyC-39 (CoreC-45LinearCheck-n--9625-13528-u--updateUsage arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-31 (let ((e-52 (vector-ref e-2 2))) e-52)))) (let ((eff-4 (CoreC-45Context-updateTy arg-6 e-1 u--tyC-39))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-33 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-33)))) (else (let ((eff-5 (let ((eff-5 (CoreC-45Context-setLinearCheck arg-6 e-1 1))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-34 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-34)))) (else (let ((eff-6 (let ((eff-6 (CoreC-45ContextC-45Log-logTerm '() arg-6 "quantity" 5 (lambda () (string-append "New type of " (CoreC-45Name-u--show_Show_Name (let ((e-55 (vector-ref e-2 1))) e-55)))) u--tyC-39))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-35 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-35)))) (else (let ((eff-7 (let ((eff-7 (CoreC-45ContextC-45Log-logTerm '() arg-6 "quantity" 5 (lambda () (string-append "Updated from " (CoreC-45Name-u--show_Show_Name (let ((e-56 (vector-ref e-2 1))) e-56)))) (let ((e-55 (vector-ref e-2 2))) e-55)))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-36 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-36)))) (else (let ((eff-8 (lambda (eta-0) (vector 1 u--tyC-39)))) eff-8)))))))) eff-7)))))))) eff-6)))))))) eff-5))))))))) eff-4)))))))) eff-3)))))))))(else (lambda (eta-0) (vector 1 (let ((e-45 (vector-ref e-2 2))) e-45))))))))))) eff-2)))))))))) eff-1)))))))))))
(define CoreC-45LinearCheck-case--updateHoleUsage-7891 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (let ((e-2 (car arg-7))) (let ((e-3 (cdr arg-7))) (case (vector-ref e-2 0) ((1) (CoreC-45LinearCheck-updateHoleUsageArgs arg-0 arg-6 arg-5 arg-4 arg-3 arg-2 e-3))(else (if (null? e-3) (lambda (eta-0) (vector 1 0)) (CoreC-45LinearCheck-updateHoleUsageArgs arg-0 arg-6 arg-5 arg-4 arg-3 arg-2 (cons e-2 e-3)))))))))
(define CoreC-45LinearCheck-n--9489-8251-u--used (lambda (arg-0 arg-2 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11) (let ((sc0 (AlgebraC-45Semiring-isLinear (csegen-1156) arg-11))) (cond ((equal? sc0 1) (cons arg-0 '())) (else '())))))
(define CoreC-45LinearCheck-n--9625-13528-u--updateUsage (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-8 arg-9) (if (null? arg-8) arg-9 (let ((e-1 (car arg-8))) (let ((e-2 (cdr arg-8))) (case (vector-ref arg-9 0) ((3) (let ((e-4 (vector-ref arg-9 1))) (let ((e-5 (vector-ref arg-9 2))) (let ((e-6 (vector-ref arg-9 3))) (let ((e-7 (vector-ref arg-9 4))) (case (vector-ref e-6 0) ((2) (let ((e-9 (vector-ref e-6 1))) (let ((e-10 (vector-ref e-6 2))) (let ((e-11 (vector-ref e-6 3))) (let ((e-12 (vector-ref e-6 4))) (let ((u--scC-39 (CoreC-45LinearCheck-n--9625-13528-u--updateUsage arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-2 e-7))) (let ((u--cC-39 (cond ((equal? e-1 1) (csegen-54)) ((equal? e-1 2) (csegen-1778)) ((equal? e-1 4) e-10) ((equal? e-1 3) e-10) (else e-10)))) (vector 3 e-4 e-5 (vector 2 e-9 u--cC-39 e-11 e-12) u--scC-39))))))))(else arg-9)))))))(else arg-9)))))))
(define CoreC-45LinearCheck-n--9489-8445-u--unusedHoleArgs (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-12 arg-13) (if (null? arg-12) (case (vector-ref arg-13 0) ((3) (let ((e-1 (vector-ref arg-13 1))) (let ((e-2 (vector-ref arg-13 2))) (let ((e-3 (vector-ref arg-13 3))) (let ((e-4 (vector-ref arg-13 4))) (case (vector-ref e-3 0) ((1) (let ((e-6 (vector-ref e-3 1))) (let ((e-7 (vector-ref e-3 2))) (let ((e-8 (vector-ref e-3 3))) (let ((e-9 (vector-ref e-3 4))) (vector 3 e-1 e-2 (vector 1 e-6 e-7 e-8 e-9) (CoreC-45LinearCheck-n--9489-8445-u--unusedHoleArgs arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-12 e-4)))))))(else arg-13)))))))(else arg-13)) (let ((e-12 (cdr arg-12))) (case (vector-ref arg-13 0) ((3) (let ((e-14 (vector-ref arg-13 1))) (let ((e-15 (vector-ref arg-13 2))) (let ((e-16 (vector-ref arg-13 3))) (let ((e-17 (vector-ref arg-13 4))) (case (vector-ref e-16 0) ((2) (let ((e-19 (vector-ref e-16 1))) (let ((e-21 (vector-ref e-16 3))) (let ((e-22 (vector-ref e-16 4))) (vector 3 e-14 e-15 (vector 2 e-19 (csegen-54) e-21 e-22) (CoreC-45LinearCheck-n--9489-8445-u--unusedHoleArgs arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-12 e-17))))))(else (case (vector-ref arg-13 0) ((3) (let ((e-1 (vector-ref arg-13 1))) (let ((e-2 (vector-ref arg-13 2))) (let ((e-3 (vector-ref arg-13 3))) (let ((e-4 (vector-ref arg-13 4))) (case (vector-ref e-3 0) ((1) (let ((e-6 (vector-ref e-3 1))) (let ((e-7 (vector-ref e-3 2))) (let ((e-8 (vector-ref e-3 3))) (let ((e-9 (vector-ref e-3 4))) (vector 3 e-1 e-2 (vector 1 e-6 e-7 e-8 e-9) (CoreC-45LinearCheck-n--9489-8445-u--unusedHoleArgs arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-12 e-4)))))))(else arg-13)))))))(else arg-13)))))))))(else (case (vector-ref arg-13 0) ((3) (let ((e-1 (vector-ref arg-13 1))) (let ((e-2 (vector-ref arg-13 2))) (let ((e-3 (vector-ref arg-13 3))) (let ((e-4 (vector-ref arg-13 4))) (case (vector-ref e-3 0) ((1) (let ((e-6 (vector-ref e-3 1))) (let ((e-7 (vector-ref e-3 2))) (let ((e-8 (vector-ref e-3 3))) (let ((e-9 (vector-ref e-3 4))) (vector 3 e-1 e-2 (vector 1 e-6 e-7 e-8 e-9) (CoreC-45LinearCheck-n--9489-8445-u--unusedHoleArgs arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-12 e-4)))))))(else arg-13)))))))(else arg-13))))))))
(define CoreC-45LinearCheck-n--9653-14095-u--substMeta (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18) (case (vector-ref arg-16 0) ((3) (let ((e-3 (vector-ref arg-16 2))) (let ((e-4 (vector-ref arg-16 3))) (let ((e-5 (vector-ref arg-16 4))) (case (vector-ref e-4 0) ((0) (if (null? arg-17) (lambda (clam-0) (if (null? arg-17) (vector 1 (CoreC-45TTC-45SubstEnv-substs arg-18 arg-16)) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 (string-append "Badly formed metavar solution " (string-append (CoreC-45Name-u--show_Show_Name arg-8) (string-append " " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() arg-5))))) clam-0))) (let ((e-17 (car arg-17))) (let ((e-18 (cdr arg-17))) (CoreC-45LinearCheck-n--9653-14095-u--substMeta arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 (cons e-3 arg-14) arg-15 e-5 e-18 (cons e-17 arg-18)))))) ((1) (let ((e-14 (vector-ref e-4 3))) (CoreC-45LinearCheck-n--9653-14095-u--substMeta arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 (CoreC-45TTC-45SubstEnv-subst e-14 e-5) arg-17 arg-18)))(else (lambda (clam-1) (if (null? arg-17) (vector 1 (CoreC-45TTC-45SubstEnv-substs arg-18 arg-16)) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 (string-append "Badly formed metavar solution " (string-append (CoreC-45Name-u--show_Show_Name arg-8) (string-append " " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() arg-5))))) clam-1)))))))))(else (lambda (clam-2) (if (null? arg-17) (vector 1 (CoreC-45TTC-45SubstEnv-substs arg-18 arg-16)) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 (string-append "Badly formed metavar solution " (string-append (CoreC-45Name-u--show_Show_Name arg-8) (string-append " " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() arg-5))))) clam-2)))))))
(define CoreC-45LinearCheck-n--7776-6465-u--showAll (lambda (arg-1 arg-3) (if (null? arg-3) "" (let ((e-2 (car arg-3))) (let ((e-3 (cdr arg-3))) (if (null? e-3) (CoreC-45TT-u--show_Show_C-40VarC-32C-36nsC-41 e-2) (string-append (CoreC-45TT-u--show_Show_C-40VarC-32C-36nsC-41 e-2) (string-append ", " (CoreC-45LinearCheck-u--show_Show_C-40UsageC-32C-36varsC-41 e-3)))))))))
(define CoreC-45LinearCheck-n--9625-13529-u--rigSafe (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8) (let ((eff-0 (CoreC-45Context-getFullName arg-6 arg-1))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (clam-0) (let ((sc1 (AlgebraC-45Preorder-C-60 (csegen-3294) arg-7 arg-8))) (cond ((equal? sc1 1) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 14 arg-4 e-5 arg-7 arg-8) clam-0)) (else (vector 1 (vector 0 )))))))) eff-1)))))))))
(define CoreC-45LinearCheck-n--9489-8250-u--rigSafe (lambda (arg-0 arg-2 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 ext-0) (let ((sc0 (AlgebraC-45Preorder-C-60 (csegen-3294) arg-11 arg-12))) (cond ((equal? sc0 1) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 14 arg-5 (CoreC-45LinearCheck-n--9489-8249-u--getName arg-0 arg-2 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-0 arg-2) arg-11 arg-12) ext-0)) (else (vector 1 (vector 0 )))))))
(define CoreC-45LinearCheck-n--9489-9006-u--rig (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9) (case (vector-ref arg-3 0) ((2) (let ((sc1 (AlgebraC-45Semiring-isErased (csegen-1156) arg-7))) (cond ((equal? sc1 1) (csegen-54)) (else (AlgebraC-45ZeroOneOmega-u--top_Top_ZeroOneOmega))))) ((1) arg-7)(else (let ((sc0 (AlgebraC-45Semiring-isErased (csegen-1156) arg-7))) (cond ((equal? sc0 1) (csegen-54)) (else (csegen-1778))))))))
(define CoreC-45LinearCheck-n--9595-11926-u--isLocArg (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-7 arg-8) (if (null? arg-8) 0 (let ((e-2 (car arg-8))) (let ((e-3 (cdr arg-8))) (case (vector-ref e-2 0) ((0) (let ((e-8 (vector-ref e-2 3))) (let ((sc2 (or (and (= e-8 (CoreC-45TT-varIdx arg-7)) 1) 0))) (cond ((equal? sc2 1) 1) (else (CoreC-45LinearCheck-n--9595-11926-u--isLocArg arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-7 e-3)))))) ((5) (let ((e-13 (vector-ref e-2 3))) (let ((e-14 (vector-ref e-2 4))) (CoreC-45LinearCheck-n--9595-11926-u--isLocArg arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-7 (cons e-13 (cons e-14 e-3))))))(else (CoreC-45LinearCheck-n--9595-11926-u--isLocArg arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-7 e-3))))))))
(define CoreC-45LinearCheck-n--9489-9007-u--getZeroes (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11) (if (null? arg-10) '() (let ((e-3 (cdr arg-10))) (let ((e-8 (car arg-11))) (let ((e-9 (cdr arg-11))) (let ((sc2 (AlgebraC-45Semiring-isErased (csegen-1156) (CoreC-45TT-multiplicity e-8)))) (cond ((equal? sc2 1) (cons 0 ((csegen-1005) (CoreC-45LinearCheck-n--9489-9007-u--getZeroes arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-3 e-9)))) (else ((csegen-1005) (CoreC-45LinearCheck-n--9489-9007-u--getZeroes arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-3 e-9)))))))))))
(define CoreC-45LinearCheck-n--9595-11928-u--getPUsage (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (let ((e-2 (car arg-7))) (let ((e-3 (cdr arg-7))) (let ((e-6 (car e-3))) (let ((e-7 (cdr e-3))) (let ((e-10 (car e-7))) (let ((e-11 (cdr e-7))) (let ((eff-0 (CoreC-45Normalise-logEnv e-2 arg-5 "quantity" 10 "Env" e-6))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45ContextC-45Log-logTerm e-2 arg-5 "quantity" 10 (lambda () "LHS") e-10))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45ContextC-45Log-logTerm e-2 arg-5 "quantity" 5 (lambda () "Linear check in case RHS") e-11))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-3 (let ((eff-3 (CoreC-45LinearCheck-lcheck e-2 arg-5 arg-4 arg-2 0 e-6 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-4 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-12 (vector-ref lcase-3 1))) (let ((eff-4 (let ((e-13 (car e-12))) (let ((e-4 (cdr e-12))) (let ((e-14 (cdr e-4))) (let ((eff-4 (CoreC-45ContextC-45Log-log arg-5 "quantity" 10 (lambda () (string-append "Used: " (CoreC-45LinearCheck-u--show_Show_C-40UsageC-32C-36varsC-41 e-14)))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-16 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-16)))) (else (let ((eff-5 (let ((u--args (CoreC-45TT-getArgs e-10))) (let ((eff-5 (CoreC-45LinearCheck-n--9595-11927-u--checkEnvUsage arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 '() e-2 arg-2 e-6 e-14 u--args e-13))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-17 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-17)))) (else (let ((eff-6 (let ((eff-6 (CoreC-45LinearCheck-n--9595-11924-u--getCaseUsage arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-2 arg-6 e-6 u--args e-14 e-11))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-18 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-18)))) (else (let ((e-18 (vector-ref lcase-6 1))) (let ((eff-7 (let ((eff-7 (CoreC-45ContextC-45Log-log arg-5 "quantity" 10 (lambda () (string-append ((csegen-0) "Arg usage: ") (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (cons (lambda (u--x) (PreludeC-45Show-u--show_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-3400) u--x)) (lambda (u--d) (lambda (u--x) (PreludeC-45Show-u--showPrec_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-3400) u--d u--x)))) e-18)))))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-19 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-19)))) (else (let ((eff-8 (lambda (eta-0) (vector 1 e-18)))) eff-8)))))))) eff-7))))))))) eff-6))))))))) eff-5))))))))))) eff-4))))))))) eff-3)))))))) eff-2)))))))) eff-1))))))))))))))
(define CoreC-45LinearCheck-n--9489-8249-u--getName (lambda (arg-0 arg-2 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-12 arg-13) (cond ((equal? arg-12 0) (let ((e-2 (car arg-13))) e-2))(else (let ((e-0 (- arg-12 1))) (let ((e-6 (cdr arg-13))) (CoreC-45LinearCheck-n--9489-8249-u--getName arg-0 arg-2 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 e-0 e-6)))))))
(define CoreC-45LinearCheck-n--9595-11924-u--getCaseUsage (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12) (if (null? arg-10) (case (vector-ref arg-8 0) ((3) (let ((e-1 (vector-ref arg-8 1))) (let ((e-2 (vector-ref arg-8 2))) (let ((e-3 (vector-ref arg-8 3))) (let ((e-4 (vector-ref arg-8 4))) (case (vector-ref e-3 0) ((2) (let ((e-6 (vector-ref e-3 1))) (let ((e-7 (vector-ref e-3 2))) (let ((e-8 (vector-ref e-3 3))) (let ((e-9 (vector-ref e-3 4))) (if (null? arg-10) (lambda (eta-0) (vector 1 '())) (let ((e-11 (car arg-10))) (let ((e-12 (cdr arg-10))) (let ((sc4 (AlgebraC-45Semiring-isLinear (csegen-1156) e-7))) (cond ((equal? sc4 1) (case (vector-ref e-11 0) ((0) (let ((e-5 (vector-ref e-11 3))) (let ((eff-0 (CoreC-45LinearCheck-n--9595-11924-u--getCaseUsage arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-7 e-4 arg-9 e-12 arg-11 arg-12))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-14 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--used_in (CoreC-45LinearCheck-count e-5 arg-11))) (let ((eff-1 (CoreC-45LinearCheck-updateHoleUsage arg-7 arg-5 arg-4 (or (and (= u--used_in 0) 1) 0) e-5 '() arg-12))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-15 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-15)))) (else (let ((e-15 (vector-ref lcase-1 1))) (let ((eff-2 (let ((u--ause (let ((sc8 (cond ((equal? e-15 1) (or (and (= u--used_in 0) 1) 0)) (else 0)))) (cond ((equal? sc8 1) 4) (else (let ((sc9 (or (and (= u--used_in 0) 1) 0))) (cond ((equal? sc9 1) 1) (else 2)))))))) (lambda (eta-0) (vector 1 (cons (cons e-2 u--ause) e-14)))))) eff-2)))))))))) eff-1)))))))))(else (CoreC-45LinearCheck-n--14043-11996-u--elseCase arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-7 e-1 e-6 e-8 e-9 e-7 e-2 e-4 e-11 e-12 arg-12 arg-11 arg-9)))) (else (CoreC-45LinearCheck-n--14043-11996-u--elseCase arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-7 e-1 e-6 e-8 e-9 e-7 e-2 e-4 e-11 e-12 arg-12 arg-11 arg-9))))))))))))(else (lambda (eta-0) (vector 1 '())))))))))(else (lambda (eta-0) (vector 1 '())))) (let ((e-14 (car arg-10))) (let ((e-15 (cdr arg-10))) (case (vector-ref e-14 0) ((5) (let ((e-20 (vector-ref e-14 4))) (CoreC-45LinearCheck-n--9595-11924-u--getCaseUsage arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-7 arg-8 arg-9 (cons e-20 e-15) arg-11 arg-12)))(else (case (vector-ref arg-8 0) ((3) (let ((e-1 (vector-ref arg-8 1))) (let ((e-2 (vector-ref arg-8 2))) (let ((e-3 (vector-ref arg-8 3))) (let ((e-4 (vector-ref arg-8 4))) (case (vector-ref e-3 0) ((2) (let ((e-6 (vector-ref e-3 1))) (let ((e-7 (vector-ref e-3 2))) (let ((e-8 (vector-ref e-3 3))) (let ((e-9 (vector-ref e-3 4))) (if (null? arg-10) (lambda (eta-0) (vector 1 '())) (let ((e-11 (car arg-10))) (let ((e-12 (cdr arg-10))) (let ((sc4 (AlgebraC-45Semiring-isLinear (csegen-1156) e-7))) (cond ((equal? sc4 1) (case (vector-ref e-11 0) ((0) (let ((e-5 (vector-ref e-11 3))) (let ((eff-0 (CoreC-45LinearCheck-n--9595-11924-u--getCaseUsage arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-7 e-4 arg-9 e-12 arg-11 arg-12))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-16 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-16)))) (else (let ((e-16 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--used_in (CoreC-45LinearCheck-count e-5 arg-11))) (let ((eff-1 (CoreC-45LinearCheck-updateHoleUsage arg-7 arg-5 arg-4 (or (and (= u--used_in 0) 1) 0) e-5 '() arg-12))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-17 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-17)))) (else (let ((e-17 (vector-ref lcase-1 1))) (let ((eff-2 (let ((u--ause (let ((sc8 (cond ((equal? e-17 1) (or (and (= u--used_in 0) 1) 0)) (else 0)))) (cond ((equal? sc8 1) 4) (else (let ((sc9 (or (and (= u--used_in 0) 1) 0))) (cond ((equal? sc9 1) 1) (else 2)))))))) (lambda (eta-0) (vector 1 (cons (cons e-2 u--ause) e-16)))))) eff-2)))))))))) eff-1)))))))))(else (CoreC-45LinearCheck-n--14043-11996-u--elseCase arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-7 e-1 e-6 e-8 e-9 e-7 e-2 e-4 e-11 e-12 arg-12 arg-11 arg-9)))) (else (CoreC-45LinearCheck-n--14043-11996-u--elseCase arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-7 e-1 e-6 e-8 e-9 e-7 e-2 e-4 e-11 e-12 arg-12 arg-11 arg-9))))))))))))(else (lambda (eta-0) (vector 1 '())))))))))(else (lambda (eta-0) (vector 1 '())))))))))))
(define CoreC-45LinearCheck-n--9489-9008-u--eraseLinear (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-11) (if (null? arg-11) '() (let ((e-4 (car arg-11))) (let ((e-5 (cdr arg-11))) (let ((sc1 (AlgebraC-45Semiring-isLinear (csegen-1156) (CoreC-45TT-multiplicity e-4)))) (cond ((equal? sc1 1) (cons (CoreC-45TT-setMultiplicity e-4 (csegen-54)) (CoreC-45LinearCheck-n--9489-9008-u--eraseLinear arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-5))) (else (cons e-4 (CoreC-45LinearCheck-n--9489-9008-u--eraseLinear arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-5))))))))))
(define CoreC-45LinearCheck-n--14043-11996-u--elseCase (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19) (let ((eff-0 (CoreC-45LinearCheck-n--9595-11924-u--getCaseUsage arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-7 arg-14 arg-19 arg-16 arg-18 arg-17))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (let ((sc1 (AlgebraC-45Semiring-isErased (csegen-1156) arg-12))) (cond ((equal? sc1 1) (cons (cons arg-13 1) e-5)) (else (cons (cons arg-13 3) e-5)))))))) eff-1)))))))))
(define CoreC-45LinearCheck-n--9595-11930-u--combineUsages (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (if (null? arg-6) (lambda (clam-0) (if (null? arg-7) (vector 1 '()) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 "Argument usage lists inconsistent") clam-0))) (let ((e-2 (car arg-6))) (let ((e-3 (cdr arg-6))) (if (null? arg-7) (csegen-3404) (let ((e-6 (car arg-7))) (let ((e-7 (cdr arg-7))) (let ((eff-0 (CoreC-45LinearCheck-n--9595-11929-u--combineUsage arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-2 e-6))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45LinearCheck-n--9595-11930-u--combineUsages arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-3 e-7))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-8 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (cons e-5 e-8))))) eff-2))))))))) eff-1)))))))))))))))
(define CoreC-45LinearCheck-n--9595-11929-u--combineUsage (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (if (null? arg-6) (if (null? arg-7) (if (null? arg-6) (if (null? arg-7) (if (null? arg-6) (lambda (clam-95) (if (null? arg-7) (vector 1 arg-6) (let ((e-2 (car arg-7))) (let ((e-3 (cdr arg-7))) (cond ((equal? e-3 4) (vector 1 (cons e-2 4)))(else (vector 1 arg-6))))))) (let ((e-6 (car arg-6))) (let ((e-7 (cdr arg-6))) (cond ((equal? e-7 4) (lambda (eta-0) (vector 1 (cons e-6 4))))(else (lambda (clam-94) (if (null? arg-7) (vector 1 arg-6) (let ((e-2 (car arg-7))) (let ((e-3 (cdr arg-7))) (cond ((equal? e-3 4) (vector 1 (cons e-2 4)))(else (vector 1 arg-6)))))))))))) (let ((e-10 (car arg-7))) (let ((e-11 (cdr arg-7))) (cond ((equal? e-11 3) (lambda (eta-0) (vector 1 (cons e-10 3))))(else (if (null? arg-6) (lambda (clam-93) (if (null? arg-7) (vector 1 arg-6) (let ((e-2 (car arg-7))) (let ((e-3 (cdr arg-7))) (cond ((equal? e-3 4) (vector 1 (cons e-2 4)))(else (vector 1 arg-6))))))) (let ((e-6 (car arg-6))) (let ((e-7 (cdr arg-6))) (cond ((equal? e-7 4) (lambda (eta-0) (vector 1 (cons e-6 4))))(else (lambda (clam-92) (if (null? arg-7) (vector 1 arg-6) (let ((e-2 (car arg-7))) (let ((e-3 (cdr arg-7))) (cond ((equal? e-3 4) (vector 1 (cons e-2 4)))(else (vector 1 arg-6))))))))))))))))) (let ((e-14 (car arg-6))) (let ((e-15 (cdr arg-6))) (cond ((equal? e-15 3) (lambda (eta-0) (vector 1 (cons e-14 3))))(else (if (null? arg-7) (if (null? arg-6) (lambda (clam-91) (if (null? arg-7) (vector 1 arg-6) (let ((e-2 (car arg-7))) (let ((e-3 (cdr arg-7))) (cond ((equal? e-3 4) (vector 1 (cons e-2 4)))(else (vector 1 arg-6))))))) (let ((e-6 (car arg-6))) (let ((e-7 (cdr arg-6))) (cond ((equal? e-7 4) (lambda (eta-0) (vector 1 (cons e-6 4))))(else (lambda (clam-90) (if (null? arg-7) (vector 1 arg-6) (let ((e-2 (car arg-7))) (let ((e-3 (cdr arg-7))) (cond ((equal? e-3 4) (vector 1 (cons e-2 4)))(else (vector 1 arg-6)))))))))))) (let ((e-10 (car arg-7))) (let ((e-11 (cdr arg-7))) (cond ((equal? e-11 3) (lambda (eta-0) (vector 1 (cons e-10 3))))(else (if (null? arg-6) (lambda (clam-89) (if (null? arg-7) (vector 1 arg-6) (let ((e-2 (car arg-7))) (let ((e-3 (cdr arg-7))) (cond ((equal? e-3 4) (vector 1 (cons e-2 4)))(else (vector 1 arg-6))))))) (let ((e-6 (car arg-6))) (let ((e-7 (cdr arg-6))) (cond ((equal? e-7 4) (lambda (eta-0) (vector 1 (cons e-6 4))))(else (lambda (clam-88) (if (null? arg-7) (vector 1 arg-6) (let ((e-2 (car arg-7))) (let ((e-3 (cdr arg-7))) (cond ((equal? e-3 4) (vector 1 (cons e-2 4)))(else (vector 1 arg-6)))))))))))))))))))))) (let ((e-18 (car arg-7))) (let ((e-19 (cdr arg-7))) (cond ((equal? e-19 0) (lambda (eta-0) (vector 1 (cons e-18 0))))(else (if (null? arg-6) (if (null? arg-7) (if (null? arg-6) (lambda (clam-87) (if (null? arg-7) (vector 1 arg-6) (let ((e-2 (car arg-7))) (let ((e-3 (cdr arg-7))) (cond ((equal? e-3 4) (vector 1 (cons e-2 4)))(else (vector 1 arg-6))))))) (let ((e-6 (car arg-6))) (let ((e-7 (cdr arg-6))) (cond ((equal? e-7 4) (lambda (eta-0) (vector 1 (cons e-6 4))))(else (lambda (clam-86) (if (null? arg-7) (vector 1 arg-6) (let ((e-2 (car arg-7))) (let ((e-3 (cdr arg-7))) (cond ((equal? e-3 4) (vector 1 (cons e-2 4)))(else (vector 1 arg-6)))))))))))) (let ((e-10 (car arg-7))) (let ((e-11 (cdr arg-7))) (cond ((equal? e-11 3) (lambda (eta-0) (vector 1 (cons e-10 3))))(else (if (null? arg-6) (lambda (clam-85) (if (null? arg-7) (vector 1 arg-6) (let ((e-2 (car arg-7))) (let ((e-3 (cdr arg-7))) (cond ((equal? e-3 4) (vector 1 (cons e-2 4)))(else (vector 1 arg-6))))))) (let ((e-6 (car arg-6))) (let ((e-7 (cdr arg-6))) (cond ((equal? e-7 4) (lambda (eta-0) (vector 1 (cons e-6 4))))(else (lambda (clam-84) (if (null? arg-7) (vector 1 arg-6) (let ((e-2 (car arg-7))) (let ((e-3 (cdr arg-7))) (cond ((equal? e-3 4) (vector 1 (cons e-2 4)))(else (vector 1 arg-6))))))))))))))))) (let ((e-14 (car arg-6))) (let ((e-15 (cdr arg-6))) (cond ((equal? e-15 3) (lambda (eta-0) (vector 1 (cons e-14 3))))(else (if (null? arg-7) (if (null? arg-6) (lambda (clam-83) (if (null? arg-7) (vector 1 arg-6) (let ((e-2 (car arg-7))) (let ((e-3 (cdr arg-7))) (cond ((equal? e-3 4) (vector 1 (cons e-2 4)))(else (vector 1 arg-6))))))) (let ((e-6 (car arg-6))) (let ((e-7 (cdr arg-6))) (cond ((equal? e-7 4) (lambda (eta-0) (vector 1 (cons e-6 4))))(else (lambda (clam-82) (if (null? arg-7) (vector 1 arg-6) (let ((e-2 (car arg-7))) (let ((e-3 (cdr arg-7))) (cond ((equal? e-3 4) (vector 1 (cons e-2 4)))(else (vector 1 arg-6)))))))))))) (let ((e-10 (car arg-7))) (let ((e-11 (cdr arg-7))) (cond ((equal? e-11 3) (lambda (eta-0) (vector 1 (cons e-10 3))))(else (if (null? arg-6) (lambda (clam-81) (if (null? arg-7) (vector 1 arg-6) (let ((e-2 (car arg-7))) (let ((e-3 (cdr arg-7))) (cond ((equal? e-3 4) (vector 1 (cons e-2 4)))(else (vector 1 arg-6))))))) (let ((e-6 (car arg-6))) (let ((e-7 (cdr arg-6))) (cond ((equal? e-7 4) (lambda (eta-0) (vector 1 (cons e-6 4))))(else (lambda (clam-80) (if (null? arg-7) (vector 1 arg-6) (let ((e-2 (car arg-7))) (let ((e-3 (cdr arg-7))) (cond ((equal? e-3 4) (vector 1 (cons e-2 4)))(else (vector 1 arg-6))))))))))))))))))))))))))) (let ((e-22 (car arg-6))) (let ((e-23 (cdr arg-6))) (cond ((equal? e-23 1) (if (null? arg-7) (if (null? arg-7) (if (null? arg-6) (if (null? arg-7) (if (null? arg-6) (lambda (clam-31) (if (null? arg-7) (vector 1 arg-6) (let ((e-2 (car arg-7))) (let ((e-3 (cdr arg-7))) (cond ((equal? e-3 4) (vector 1 (cons e-2 4)))(else (vector 1 arg-6))))))) (let ((e-6 (car arg-6))) (let ((e-7 (cdr arg-6))) (cond ((equal? e-7 4) (lambda (eta-0) (vector 1 (cons e-6 4))))(else (lambda (clam-30) (if (null? arg-7) (vector 1 arg-6) (let ((e-2 (car arg-7))) (let ((e-3 (cdr arg-7))) (cond ((equal? e-3 4) (vector 1 (cons e-2 4)))(else (vector 1 arg-6)))))))))))) (let ((e-10 (car arg-7))) (let ((e-11 (cdr arg-7))) (cond ((equal? e-11 3) (lambda (eta-0) (vector 1 (cons e-10 3))))(else (if (null? arg-6) (lambda (clam-29) (if (null? arg-7) (vector 1 arg-6) (let ((e-2 (car arg-7))) (let ((e-3 (cdr arg-7))) (cond ((equal? e-3 4) (vector 1 (cons e-2 4)))(else (vector 1 arg-6))))))) (let ((e-6 (car arg-6))) (let ((e-7 (cdr arg-6))) (cond ((equal? e-7 4) (lambda (eta-0) (vector 1 (cons e-6 4))))(else (lambda (clam-28) (if (null? arg-7) (vector 1 arg-6) (let ((e-2 (car arg-7))) (let ((e-3 (cdr arg-7))) (cond ((equal? e-3 4) (vector 1 (cons e-2 4)))(else (vector 1 arg-6))))))))))))))))) (let ((e-14 (car arg-6))) (let ((e-15 (cdr arg-6))) (cond ((equal? e-15 3) (lambda (eta-0) (vector 1 (cons e-14 3))))(else (if (null? arg-7) (if (null? arg-6) (lambda (clam-27) (if (null? arg-7) (vector 1 arg-6) (let ((e-2 (car arg-7))) (let ((e-3 (cdr arg-7))) (cond ((equal? e-3 4) (vector 1 (cons e-2 4)))(else (vector 1 arg-6))))))) (let ((e-6 (car arg-6))) (let ((e-7 (cdr arg-6))) (cond ((equal? e-7 4) (lambda (eta-0) (vector 1 (cons e-6 4))))(else (lambda (clam-26) (if (null? arg-7) (vector 1 arg-6) (let ((e-2 (car arg-7))) (let ((e-3 (cdr arg-7))) (cond ((equal? e-3 4) (vector 1 (cons e-2 4)))(else (vector 1 arg-6)))))))))))) (let ((e-10 (car arg-7))) (let ((e-11 (cdr arg-7))) (cond ((equal? e-11 3) (lambda (eta-0) (vector 1 (cons e-10 3))))(else (if (null? arg-6) (lambda (clam-25) (if (null? arg-7) (vector 1 arg-6) (let ((e-2 (car arg-7))) (let ((e-3 (cdr arg-7))) (cond ((equal? e-3 4) (vector 1 (cons e-2 4)))(else (vector 1 arg-6))))))) (let ((e-6 (car arg-6))) (let ((e-7 (cdr arg-6))) (cond ((equal? e-7 4) (lambda (eta-0) (vector 1 (cons e-6 4))))(else (lambda (clam-24) (if (null? arg-7) (vector 1 arg-6) (let ((e-2 (car arg-7))) (let ((e-3 (cdr arg-7))) (cond ((equal? e-3 4) (vector 1 (cons e-2 4)))(else (vector 1 arg-6)))))))))))))))))))))) (let ((e-18 (car arg-7))) (let ((e-19 (cdr arg-7))) (cond ((equal? e-19 0) (lambda (eta-0) (vector 1 (cons e-18 0))))(else (if (null? arg-6) (if (null? arg-7) (if (null? arg-6) (lambda (clam-23) (if (null? arg-7) (vector 1 arg-6) (let ((e-2 (car arg-7))) (let ((e-3 (cdr arg-7))) (cond ((equal? e-3 4) (vector 1 (cons e-2 4)))(else (vector 1 arg-6))))))) (let ((e-6 (car arg-6))) (let ((e-7 (cdr arg-6))) (cond ((equal? e-7 4) (lambda (eta-0) (vector 1 (cons e-6 4))))(else (lambda (clam-22) (if (null? arg-7) (vector 1 arg-6) (let ((e-2 (car arg-7))) (let ((e-3 (cdr arg-7))) (cond ((equal? e-3 4) (vector 1 (cons e-2 4)))(else (vector 1 arg-6)))))))))))) (let ((e-10 (car arg-7))) (let ((e-11 (cdr arg-7))) (cond ((equal? e-11 3) (lambda (eta-0) (vector 1 (cons e-10 3))))(else (if (null? arg-6) (lambda (clam-21) (if (null? arg-7) (vector 1 arg-6) (let ((e-2 (car arg-7))) (let ((e-3 (cdr arg-7))) (cond ((equal? e-3 4) (vector 1 (cons e-2 4)))(else (vector 1 arg-6))))))) (let ((e-6 (car arg-6))) (let ((e-7 (cdr arg-6))) (cond ((equal? e-7 4) (lambda (eta-0) (vector 1 (cons e-6 4))))(else (lambda (clam-20) (if (null? arg-7) (vector 1 arg-6) (let ((e-2 (car arg-7))) (let ((e-3 (cdr arg-7))) (cond ((equal? e-3 4) (vector 1 (cons e-2 4)))(else (vector 1 arg-6))))))))))))))))) (let ((e-14 (car arg-6))) (let ((e-15 (cdr arg-6))) (cond ((equal? e-15 3) (lambda (eta-0) (vector 1 (cons e-14 3))))(else (if (null? arg-7) (if (null? arg-6) (lambda (clam-19) (if (null? arg-7) (vector 1 arg-6) (let ((e-2 (car arg-7))) (let ((e-3 (cdr arg-7))) (cond ((equal? e-3 4) (vector 1 (cons e-2 4)))(else (vector 1 arg-6))))))) (let ((e-6 (car arg-6))) (let ((e-7 (cdr arg-6))) (cond ((equal? e-7 4) (lambda (eta-0) (vector 1 (cons e-6 4))))(else (lambda (clam-18) (if (null? arg-7) (vector 1 arg-6) (let ((e-2 (car arg-7))) (let ((e-3 (cdr arg-7))) (cond ((equal? e-3 4) (vector 1 (cons e-2 4)))(else (vector 1 arg-6)))))))))))) (let ((e-10 (car arg-7))) (let ((e-11 (cdr arg-7))) (cond ((equal? e-11 3) (lambda (eta-0) (vector 1 (cons e-10 3))))(else (if (null? arg-6) (lambda (clam-17) (if (null? arg-7) (vector 1 arg-6) (let ((e-2 (car arg-7))) (let ((e-3 (cdr arg-7))) (cond ((equal? e-3 4) (vector 1 (cons e-2 4)))(else (vector 1 arg-6))))))) (let ((e-6 (car arg-6))) (let ((e-7 (cdr arg-6))) (cond ((equal? e-7 4) (lambda (eta-0) (vector 1 (cons e-6 4))))(else (lambda (clam-16) (if (null? arg-7) (vector 1 arg-6) (let ((e-2 (car arg-7))) (let ((e-3 (cdr arg-7))) (cond ((equal? e-3 4) (vector 1 (cons e-2 4)))(else (vector 1 arg-6))))))))))))))))))))))))))) (let ((e-27 (cdr arg-7))) (cond ((equal? e-27 2) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 arg-3 (string-append "Inconsistent usage of " (string-append (CoreC-45Name-u--show_Show_Name e-22) " in case branches"))) eta-0)))(else (if (null? arg-7) (if (null? arg-6) (if (null? arg-7) (if (null? arg-6) (lambda (clam-15) (if (null? arg-7) (vector 1 arg-6) (let ((e-2 (car arg-7))) (let ((e-3 (cdr arg-7))) (cond ((equal? e-3 4) (vector 1 (cons e-2 4)))(else (vector 1 arg-6))))))) (let ((e-6 (car arg-6))) (let ((e-7 (cdr arg-6))) (cond ((equal? e-7 4) (lambda (eta-0) (vector 1 (cons e-6 4))))(else (lambda (clam-14) (if (null? arg-7) (vector 1 arg-6) (let ((e-2 (car arg-7))) (let ((e-3 (cdr arg-7))) (cond ((equal? e-3 4) (vector 1 (cons e-2 4)))(else (vector 1 arg-6)))))))))))) (let ((e-10 (car arg-7))) (let ((e-11 (cdr arg-7))) (cond ((equal? e-11 3) (lambda (eta-0) (vector 1 (cons e-10 3))))(else (if (null? arg-6) (lambda (clam-13) (if (null? arg-7) (vector 1 arg-6) (let ((e-2 (car arg-7))) (let ((e-3 (cdr arg-7))) (cond ((equal? e-3 4) (vector 1 (cons e-2 4)))(else (vector 1 arg-6))))))) (let ((e-6 (car arg-6))) (let ((e-7 (cdr arg-6))) (cond ((equal? e-7 4) (lambda (eta-0) (vector 1 (cons e-6 4))))(else (lambda (clam-12) (if (null? arg-7) (vector 1 arg-6) (let ((e-2 (car arg-7))) (let ((e-3 (cdr arg-7))) (cond ((equal? e-3 4) (vector 1 (cons e-2 4)))(else (vector 1 arg-6))))))))))))))))) (let ((e-14 (car arg-6))) (let ((e-15 (cdr arg-6))) (cond ((equal? e-15 3) (lambda (eta-0) (vector 1 (cons e-14 3))))(else (if (null? arg-7) (if (null? arg-6) (lambda (clam-11) (if (null? arg-7) (vector 1 arg-6) (let ((e-2 (car arg-7))) (let ((e-3 (cdr arg-7))) (cond ((equal? e-3 4) (vector 1 (cons e-2 4)))(else (vector 1 arg-6))))))) (let ((e-6 (car arg-6))) (let ((e-7 (cdr arg-6))) (cond ((equal? e-7 4) (lambda (eta-0) (vector 1 (cons e-6 4))))(else (lambda (clam-10) (if (null? arg-7) (vector 1 arg-6) (let ((e-2 (car arg-7))) (let ((e-3 (cdr arg-7))) (cond ((equal? e-3 4) (vector 1 (cons e-2 4)))(else (vector 1 arg-6)))))))))))) (let ((e-10 (car arg-7))) (let ((e-11 (cdr arg-7))) (cond ((equal? e-11 3) (lambda (eta-0) (vector 1 (cons e-10 3))))(else (if (null? arg-6) (lambda (clam-9) (if (null? arg-7) (vector 1 arg-6) (let ((e-2 (car arg-7))) (let ((e-3 (cdr arg-7))) (cond ((equal? e-3 4) (vector 1 (cons e-2 4)))(else (vector 1 arg-6))))))) (let ((e-6 (car arg-6))) (let ((e-7 (cdr arg-6))) (cond ((equal? e-7 4) (lambda (eta-0) (vector 1 (cons e-6 4))))(else (lambda (clam-8) (if (null? arg-7) (vector 1 arg-6) (let ((e-2 (car arg-7))) (let ((e-3 (cdr arg-7))) (cond ((equal? e-3 4) (vector 1 (cons e-2 4)))(else (vector 1 arg-6)))))))))))))))))))))) (let ((e-18 (car arg-7))) (let ((e-19 (cdr arg-7))) (cond ((equal? e-19 0) (lambda (eta-0) (vector 1 (cons e-18 0))))(else (if (null? arg-6) (if (null? arg-7) (if (null? arg-6) (lambda (clam-7) (if (null? arg-7) (vector 1 arg-6) (let ((e-2 (car arg-7))) (let ((e-3 (cdr arg-7))) (cond ((equal? e-3 4) (vector 1 (cons e-2 4)))(else (vector 1 arg-6))))))) (let ((e-6 (car arg-6))) (let ((e-7 (cdr arg-6))) (cond ((equal? e-7 4) (lambda (eta-0) (vector 1 (cons e-6 4))))(else (lambda (clam-6) (if (null? arg-7) (vector 1 arg-6) (let ((e-2 (car arg-7))) (let ((e-3 (cdr arg-7))) (cond ((equal? e-3 4) (vector 1 (cons e-2 4)))(else (vector 1 arg-6)))))))))))) (let ((e-10 (car arg-7))) (let ((e-11 (cdr arg-7))) (cond ((equal? e-11 3) (lambda (eta-0) (vector 1 (cons e-10 3))))(else (if (null? arg-6) (lambda (clam-5) (if (null? arg-7) (vector 1 arg-6) (let ((e-2 (car arg-7))) (let ((e-3 (cdr arg-7))) (cond ((equal? e-3 4) (vector 1 (cons e-2 4)))(else (vector 1 arg-6))))))) (let ((e-6 (car arg-6))) (let ((e-7 (cdr arg-6))) (cond ((equal? e-7 4) (lambda (eta-0) (vector 1 (cons e-6 4))))(else (lambda (clam-4) (if (null? arg-7) (vector 1 arg-6) (let ((e-2 (car arg-7))) (let ((e-3 (cdr arg-7))) (cond ((equal? e-3 4) (vector 1 (cons e-2 4)))(else (vector 1 arg-6))))))))))))))))) (let ((e-14 (car arg-6))) (let ((e-15 (cdr arg-6))) (cond ((equal? e-15 3) (lambda (eta-0) (vector 1 (cons e-14 3))))(else (if (null? arg-7) (if (null? arg-6) (lambda (clam-3) (if (null? arg-7) (vector 1 arg-6) (let ((e-2 (car arg-7))) (let ((e-3 (cdr arg-7))) (cond ((equal? e-3 4) (vector 1 (cons e-2 4)))(else (vector 1 arg-6))))))) (let ((e-6 (car arg-6))) (let ((e-7 (cdr arg-6))) (cond ((equal? e-7 4) (lambda (eta-0) (vector 1 (cons e-6 4))))(else (lambda (clam-2) (if (null? arg-7) (vector 1 arg-6) (let ((e-2 (car arg-7))) (let ((e-3 (cdr arg-7))) (cond ((equal? e-3 4) (vector 1 (cons e-2 4)))(else (vector 1 arg-6)))))))))))) (let ((e-10 (car arg-7))) (let ((e-11 (cdr arg-7))) (cond ((equal? e-11 3) (lambda (eta-0) (vector 1 (cons e-10 3))))(else (if (null? arg-6) (lambda (clam-1) (if (null? arg-7) (vector 1 arg-6) (let ((e-2 (car arg-7))) (let ((e-3 (cdr arg-7))) (cond ((equal? e-3 4) (vector 1 (cons e-2 4)))(else (vector 1 arg-6))))))) (let ((e-6 (car arg-6))) (let ((e-7 (cdr arg-6))) (cond ((equal? e-7 4) (lambda (eta-0) (vector 1 (cons e-6 4))))(else (lambda (clam-0) (if (null? arg-7) (vector 1 arg-6) (let ((e-2 (car arg-7))) (let ((e-3 (cdr arg-7))) (cond ((equal? e-3 4) (vector 1 (cons e-2 4)))(else (vector 1 arg-6)))))))))))))))))))))))))))))))) ((equal? e-23 2) (if (null? arg-7) (if (null? arg-7) (if (null? arg-6) (if (null? arg-7) (if (null? arg-6) (lambda (clam-63) (if (null? arg-7) (vector 1 arg-6) (let ((e-2 (car arg-7))) (let ((e-3 (cdr arg-7))) (cond ((equal? e-3 4) (vector 1 (cons e-2 4)))(else (vector 1 arg-6))))))) (let ((e-6 (car arg-6))) (let ((e-7 (cdr arg-6))) (cond ((equal? e-7 4) (lambda (eta-0) (vector 1 (cons e-6 4))))(else (lambda (clam-62) (if (null? arg-7) (vector 1 arg-6) (let ((e-2 (car arg-7))) (let ((e-3 (cdr arg-7))) (cond ((equal? e-3 4) (vector 1 (cons e-2 4)))(else (vector 1 arg-6)))))))))))) (let ((e-10 (car arg-7))) (let ((e-11 (cdr arg-7))) (cond ((equal? e-11 3) (lambda (eta-0) (vector 1 (cons e-10 3))))(else (if (null? arg-6) (lambda (clam-61) (if (null? arg-7) (vector 1 arg-6) (let ((e-2 (car arg-7))) (let ((e-3 (cdr arg-7))) (cond ((equal? e-3 4) (vector 1 (cons e-2 4)))(else (vector 1 arg-6))))))) (let ((e-6 (car arg-6))) (let ((e-7 (cdr arg-6))) (cond ((equal? e-7 4) (lambda (eta-0) (vector 1 (cons e-6 4))))(else (lambda (clam-60) (if (null? arg-7) (vector 1 arg-6) (let ((e-2 (car arg-7))) (let ((e-3 (cdr arg-7))) (cond ((equal? e-3 4) (vector 1 (cons e-2 4)))(else (vector 1 arg-6))))))))))))))))) (let ((e-14 (car arg-6))) (let ((e-15 (cdr arg-6))) (cond ((equal? e-15 3) (lambda (eta-0) (vector 1 (cons e-14 3))))(else (if (null? arg-7) (if (null? arg-6) (lambda (clam-59) (if (null? arg-7) (vector 1 arg-6) (let ((e-2 (car arg-7))) (let ((e-3 (cdr arg-7))) (cond ((equal? e-3 4) (vector 1 (cons e-2 4)))(else (vector 1 arg-6))))))) (let ((e-6 (car arg-6))) (let ((e-7 (cdr arg-6))) (cond ((equal? e-7 4) (lambda (eta-0) (vector 1 (cons e-6 4))))(else (lambda (clam-58) (if (null? arg-7) (vector 1 arg-6) (let ((e-2 (car arg-7))) (let ((e-3 (cdr arg-7))) (cond ((equal? e-3 4) (vector 1 (cons e-2 4)))(else (vector 1 arg-6)))))))))))) (let ((e-10 (car arg-7))) (let ((e-11 (cdr arg-7))) (cond ((equal? e-11 3) (lambda (eta-0) (vector 1 (cons e-10 3))))(else (if (null? arg-6) (lambda (clam-57) (if (null? arg-7) (vector 1 arg-6) (let ((e-2 (car arg-7))) (let ((e-3 (cdr arg-7))) (cond ((equal? e-3 4) (vector 1 (cons e-2 4)))(else (vector 1 arg-6))))))) (let ((e-6 (car arg-6))) (let ((e-7 (cdr arg-6))) (cond ((equal? e-7 4) (lambda (eta-0) (vector 1 (cons e-6 4))))(else (lambda (clam-56) (if (null? arg-7) (vector 1 arg-6) (let ((e-2 (car arg-7))) (let ((e-3 (cdr arg-7))) (cond ((equal? e-3 4) (vector 1 (cons e-2 4)))(else (vector 1 arg-6)))))))))))))))))))))) (let ((e-18 (car arg-7))) (let ((e-19 (cdr arg-7))) (cond ((equal? e-19 0) (lambda (eta-0) (vector 1 (cons e-18 0))))(else (if (null? arg-6) (if (null? arg-7) (if (null? arg-6) (lambda (clam-55) (if (null? arg-7) (vector 1 arg-6) (let ((e-2 (car arg-7))) (let ((e-3 (cdr arg-7))) (cond ((equal? e-3 4) (vector 1 (cons e-2 4)))(else (vector 1 arg-6))))))) (let ((e-6 (car arg-6))) (let ((e-7 (cdr arg-6))) (cond ((equal? e-7 4) (lambda (eta-0) (vector 1 (cons e-6 4))))(else (lambda (clam-54) (if (null? arg-7) (vector 1 arg-6) (let ((e-2 (car arg-7))) (let ((e-3 (cdr arg-7))) (cond ((equal? e-3 4) (vector 1 (cons e-2 4)))(else (vector 1 arg-6)))))))))))) (let ((e-10 (car arg-7))) (let ((e-11 (cdr arg-7))) (cond ((equal? e-11 3) (lambda (eta-0) (vector 1 (cons e-10 3))))(else (if (null? arg-6) (lambda (clam-53) (if (null? arg-7) (vector 1 arg-6) (let ((e-2 (car arg-7))) (let ((e-3 (cdr arg-7))) (cond ((equal? e-3 4) (vector 1 (cons e-2 4)))(else (vector 1 arg-6))))))) (let ((e-6 (car arg-6))) (let ((e-7 (cdr arg-6))) (cond ((equal? e-7 4) (lambda (eta-0) (vector 1 (cons e-6 4))))(else (lambda (clam-52) (if (null? arg-7) (vector 1 arg-6) (let ((e-2 (car arg-7))) (let ((e-3 (cdr arg-7))) (cond ((equal? e-3 4) (vector 1 (cons e-2 4)))(else (vector 1 arg-6))))))))))))))))) (let ((e-14 (car arg-6))) (let ((e-15 (cdr arg-6))) (cond ((equal? e-15 3) (lambda (eta-0) (vector 1 (cons e-14 3))))(else (if (null? arg-7) (if (null? arg-6) (lambda (clam-51) (if (null? arg-7) (vector 1 arg-6) (let ((e-2 (car arg-7))) (let ((e-3 (cdr arg-7))) (cond ((equal? e-3 4) (vector 1 (cons e-2 4)))(else (vector 1 arg-6))))))) (let ((e-6 (car arg-6))) (let ((e-7 (cdr arg-6))) (cond ((equal? e-7 4) (lambda (eta-0) (vector 1 (cons e-6 4))))(else (lambda (clam-50) (if (null? arg-7) (vector 1 arg-6) (let ((e-2 (car arg-7))) (let ((e-3 (cdr arg-7))) (cond ((equal? e-3 4) (vector 1 (cons e-2 4)))(else (vector 1 arg-6)))))))))))) (let ((e-10 (car arg-7))) (let ((e-11 (cdr arg-7))) (cond ((equal? e-11 3) (lambda (eta-0) (vector 1 (cons e-10 3))))(else (if (null? arg-6) (lambda (clam-49) (if (null? arg-7) (vector 1 arg-6) (let ((e-2 (car arg-7))) (let ((e-3 (cdr arg-7))) (cond ((equal? e-3 4) (vector 1 (cons e-2 4)))(else (vector 1 arg-6))))))) (let ((e-6 (car arg-6))) (let ((e-7 (cdr arg-6))) (cond ((equal? e-7 4) (lambda (eta-0) (vector 1 (cons e-6 4))))(else (lambda (clam-48) (if (null? arg-7) (vector 1 arg-6) (let ((e-2 (car arg-7))) (let ((e-3 (cdr arg-7))) (cond ((equal? e-3 4) (vector 1 (cons e-2 4)))(else (vector 1 arg-6))))))))))))))))))))))))))) (let ((e-31 (cdr arg-7))) (cond ((equal? e-31 1) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 arg-3 (string-append "Inconsistent usage of " (string-append (CoreC-45Name-u--show_Show_Name e-22) " in case branches"))) eta-0)))(else (if (null? arg-7) (if (null? arg-6) (if (null? arg-7) (if (null? arg-6) (lambda (clam-47) (if (null? arg-7) (vector 1 arg-6) (let ((e-2 (car arg-7))) (let ((e-3 (cdr arg-7))) (cond ((equal? e-3 4) (vector 1 (cons e-2 4)))(else (vector 1 arg-6))))))) (let ((e-6 (car arg-6))) (let ((e-7 (cdr arg-6))) (cond ((equal? e-7 4) (lambda (eta-0) (vector 1 (cons e-6 4))))(else (lambda (clam-46) (if (null? arg-7) (vector 1 arg-6) (let ((e-2 (car arg-7))) (let ((e-3 (cdr arg-7))) (cond ((equal? e-3 4) (vector 1 (cons e-2 4)))(else (vector 1 arg-6)))))))))))) (let ((e-10 (car arg-7))) (let ((e-11 (cdr arg-7))) (cond ((equal? e-11 3) (lambda (eta-0) (vector 1 (cons e-10 3))))(else (if (null? arg-6) (lambda (clam-45) (if (null? arg-7) (vector 1 arg-6) (let ((e-2 (car arg-7))) (let ((e-3 (cdr arg-7))) (cond ((equal? e-3 4) (vector 1 (cons e-2 4)))(else (vector 1 arg-6))))))) (let ((e-6 (car arg-6))) (let ((e-7 (cdr arg-6))) (cond ((equal? e-7 4) (lambda (eta-0) (vector 1 (cons e-6 4))))(else (lambda (clam-44) (if (null? arg-7) (vector 1 arg-6) (let ((e-2 (car arg-7))) (let ((e-3 (cdr arg-7))) (cond ((equal? e-3 4) (vector 1 (cons e-2 4)))(else (vector 1 arg-6))))))))))))))))) (let ((e-14 (car arg-6))) (let ((e-15 (cdr arg-6))) (cond ((equal? e-15 3) (lambda (eta-0) (vector 1 (cons e-14 3))))(else (if (null? arg-7) (if (null? arg-6) (lambda (clam-43) (if (null? arg-7) (vector 1 arg-6) (let ((e-2 (car arg-7))) (let ((e-3 (cdr arg-7))) (cond ((equal? e-3 4) (vector 1 (cons e-2 4)))(else (vector 1 arg-6))))))) (let ((e-6 (car arg-6))) (let ((e-7 (cdr arg-6))) (cond ((equal? e-7 4) (lambda (eta-0) (vector 1 (cons e-6 4))))(else (lambda (clam-42) (if (null? arg-7) (vector 1 arg-6) (let ((e-2 (car arg-7))) (let ((e-3 (cdr arg-7))) (cond ((equal? e-3 4) (vector 1 (cons e-2 4)))(else (vector 1 arg-6)))))))))))) (let ((e-10 (car arg-7))) (let ((e-11 (cdr arg-7))) (cond ((equal? e-11 3) (lambda (eta-0) (vector 1 (cons e-10 3))))(else (if (null? arg-6) (lambda (clam-41) (if (null? arg-7) (vector 1 arg-6) (let ((e-2 (car arg-7))) (let ((e-3 (cdr arg-7))) (cond ((equal? e-3 4) (vector 1 (cons e-2 4)))(else (vector 1 arg-6))))))) (let ((e-6 (car arg-6))) (let ((e-7 (cdr arg-6))) (cond ((equal? e-7 4) (lambda (eta-0) (vector 1 (cons e-6 4))))(else (lambda (clam-40) (if (null? arg-7) (vector 1 arg-6) (let ((e-2 (car arg-7))) (let ((e-3 (cdr arg-7))) (cond ((equal? e-3 4) (vector 1 (cons e-2 4)))(else (vector 1 arg-6)))))))))))))))))))))) (let ((e-18 (car arg-7))) (let ((e-19 (cdr arg-7))) (cond ((equal? e-19 0) (lambda (eta-0) (vector 1 (cons e-18 0))))(else (if (null? arg-6) (if (null? arg-7) (if (null? arg-6) (lambda (clam-39) (if (null? arg-7) (vector 1 arg-6) (let ((e-2 (car arg-7))) (let ((e-3 (cdr arg-7))) (cond ((equal? e-3 4) (vector 1 (cons e-2 4)))(else (vector 1 arg-6))))))) (let ((e-6 (car arg-6))) (let ((e-7 (cdr arg-6))) (cond ((equal? e-7 4) (lambda (eta-0) (vector 1 (cons e-6 4))))(else (lambda (clam-38) (if (null? arg-7) (vector 1 arg-6) (let ((e-2 (car arg-7))) (let ((e-3 (cdr arg-7))) (cond ((equal? e-3 4) (vector 1 (cons e-2 4)))(else (vector 1 arg-6)))))))))))) (let ((e-10 (car arg-7))) (let ((e-11 (cdr arg-7))) (cond ((equal? e-11 3) (lambda (eta-0) (vector 1 (cons e-10 3))))(else (if (null? arg-6) (lambda (clam-37) (if (null? arg-7) (vector 1 arg-6) (let ((e-2 (car arg-7))) (let ((e-3 (cdr arg-7))) (cond ((equal? e-3 4) (vector 1 (cons e-2 4)))(else (vector 1 arg-6))))))) (let ((e-6 (car arg-6))) (let ((e-7 (cdr arg-6))) (cond ((equal? e-7 4) (lambda (eta-0) (vector 1 (cons e-6 4))))(else (lambda (clam-36) (if (null? arg-7) (vector 1 arg-6) (let ((e-2 (car arg-7))) (let ((e-3 (cdr arg-7))) (cond ((equal? e-3 4) (vector 1 (cons e-2 4)))(else (vector 1 arg-6))))))))))))))))) (let ((e-14 (car arg-6))) (let ((e-15 (cdr arg-6))) (cond ((equal? e-15 3) (lambda (eta-0) (vector 1 (cons e-14 3))))(else (if (null? arg-7) (if (null? arg-6) (lambda (clam-35) (if (null? arg-7) (vector 1 arg-6) (let ((e-2 (car arg-7))) (let ((e-3 (cdr arg-7))) (cond ((equal? e-3 4) (vector 1 (cons e-2 4)))(else (vector 1 arg-6))))))) (let ((e-6 (car arg-6))) (let ((e-7 (cdr arg-6))) (cond ((equal? e-7 4) (lambda (eta-0) (vector 1 (cons e-6 4))))(else (lambda (clam-34) (if (null? arg-7) (vector 1 arg-6) (let ((e-2 (car arg-7))) (let ((e-3 (cdr arg-7))) (cond ((equal? e-3 4) (vector 1 (cons e-2 4)))(else (vector 1 arg-6)))))))))))) (let ((e-10 (car arg-7))) (let ((e-11 (cdr arg-7))) (cond ((equal? e-11 3) (lambda (eta-0) (vector 1 (cons e-10 3))))(else (if (null? arg-6) (lambda (clam-33) (if (null? arg-7) (vector 1 arg-6) (let ((e-2 (car arg-7))) (let ((e-3 (cdr arg-7))) (cond ((equal? e-3 4) (vector 1 (cons e-2 4)))(else (vector 1 arg-6))))))) (let ((e-6 (car arg-6))) (let ((e-7 (cdr arg-6))) (cond ((equal? e-7 4) (lambda (eta-0) (vector 1 (cons e-6 4))))(else (lambda (clam-32) (if (null? arg-7) (vector 1 arg-6) (let ((e-2 (car arg-7))) (let ((e-3 (cdr arg-7))) (cond ((equal? e-3 4) (vector 1 (cons e-2 4)))(else (vector 1 arg-6)))))))))))))))))))))))))))))))) ((equal? e-23 0) (lambda (eta-0) (vector 1 (cons e-22 0))))(else (if (null? arg-7) (if (null? arg-6) (if (null? arg-7) (if (null? arg-6) (lambda (clam-79) (if (null? arg-7) (vector 1 arg-6) (let ((e-2 (car arg-7))) (let ((e-3 (cdr arg-7))) (cond ((equal? e-3 4) (vector 1 (cons e-2 4)))(else (vector 1 arg-6))))))) (let ((e-6 (car arg-6))) (let ((e-7 (cdr arg-6))) (cond ((equal? e-7 4) (lambda (eta-0) (vector 1 (cons e-6 4))))(else (lambda (clam-78) (if (null? arg-7) (vector 1 arg-6) (let ((e-2 (car arg-7))) (let ((e-3 (cdr arg-7))) (cond ((equal? e-3 4) (vector 1 (cons e-2 4)))(else (vector 1 arg-6)))))))))))) (let ((e-10 (car arg-7))) (let ((e-11 (cdr arg-7))) (cond ((equal? e-11 3) (lambda (eta-0) (vector 1 (cons e-10 3))))(else (if (null? arg-6) (lambda (clam-77) (if (null? arg-7) (vector 1 arg-6) (let ((e-2 (car arg-7))) (let ((e-3 (cdr arg-7))) (cond ((equal? e-3 4) (vector 1 (cons e-2 4)))(else (vector 1 arg-6))))))) (let ((e-6 (car arg-6))) (let ((e-7 (cdr arg-6))) (cond ((equal? e-7 4) (lambda (eta-0) (vector 1 (cons e-6 4))))(else (lambda (clam-76) (if (null? arg-7) (vector 1 arg-6) (let ((e-2 (car arg-7))) (let ((e-3 (cdr arg-7))) (cond ((equal? e-3 4) (vector 1 (cons e-2 4)))(else (vector 1 arg-6))))))))))))))))) (let ((e-14 (car arg-6))) (let ((e-15 (cdr arg-6))) (cond ((equal? e-15 3) (lambda (eta-0) (vector 1 (cons e-14 3))))(else (if (null? arg-7) (if (null? arg-6) (lambda (clam-75) (if (null? arg-7) (vector 1 arg-6) (let ((e-2 (car arg-7))) (let ((e-3 (cdr arg-7))) (cond ((equal? e-3 4) (vector 1 (cons e-2 4)))(else (vector 1 arg-6))))))) (let ((e-6 (car arg-6))) (let ((e-7 (cdr arg-6))) (cond ((equal? e-7 4) (lambda (eta-0) (vector 1 (cons e-6 4))))(else (lambda (clam-74) (if (null? arg-7) (vector 1 arg-6) (let ((e-2 (car arg-7))) (let ((e-3 (cdr arg-7))) (cond ((equal? e-3 4) (vector 1 (cons e-2 4)))(else (vector 1 arg-6)))))))))))) (let ((e-10 (car arg-7))) (let ((e-11 (cdr arg-7))) (cond ((equal? e-11 3) (lambda (eta-0) (vector 1 (cons e-10 3))))(else (if (null? arg-6) (lambda (clam-73) (if (null? arg-7) (vector 1 arg-6) (let ((e-2 (car arg-7))) (let ((e-3 (cdr arg-7))) (cond ((equal? e-3 4) (vector 1 (cons e-2 4)))(else (vector 1 arg-6))))))) (let ((e-6 (car arg-6))) (let ((e-7 (cdr arg-6))) (cond ((equal? e-7 4) (lambda (eta-0) (vector 1 (cons e-6 4))))(else (lambda (clam-72) (if (null? arg-7) (vector 1 arg-6) (let ((e-2 (car arg-7))) (let ((e-3 (cdr arg-7))) (cond ((equal? e-3 4) (vector 1 (cons e-2 4)))(else (vector 1 arg-6)))))))))))))))))))))) (let ((e-18 (car arg-7))) (let ((e-19 (cdr arg-7))) (cond ((equal? e-19 0) (lambda (eta-0) (vector 1 (cons e-18 0))))(else (if (null? arg-6) (if (null? arg-7) (if (null? arg-6) (lambda (clam-71) (if (null? arg-7) (vector 1 arg-6) (let ((e-2 (car arg-7))) (let ((e-3 (cdr arg-7))) (cond ((equal? e-3 4) (vector 1 (cons e-2 4)))(else (vector 1 arg-6))))))) (let ((e-6 (car arg-6))) (let ((e-7 (cdr arg-6))) (cond ((equal? e-7 4) (lambda (eta-0) (vector 1 (cons e-6 4))))(else (lambda (clam-70) (if (null? arg-7) (vector 1 arg-6) (let ((e-2 (car arg-7))) (let ((e-3 (cdr arg-7))) (cond ((equal? e-3 4) (vector 1 (cons e-2 4)))(else (vector 1 arg-6)))))))))))) (let ((e-10 (car arg-7))) (let ((e-11 (cdr arg-7))) (cond ((equal? e-11 3) (lambda (eta-0) (vector 1 (cons e-10 3))))(else (if (null? arg-6) (lambda (clam-69) (if (null? arg-7) (vector 1 arg-6) (let ((e-2 (car arg-7))) (let ((e-3 (cdr arg-7))) (cond ((equal? e-3 4) (vector 1 (cons e-2 4)))(else (vector 1 arg-6))))))) (let ((e-6 (car arg-6))) (let ((e-7 (cdr arg-6))) (cond ((equal? e-7 4) (lambda (eta-0) (vector 1 (cons e-6 4))))(else (lambda (clam-68) (if (null? arg-7) (vector 1 arg-6) (let ((e-2 (car arg-7))) (let ((e-3 (cdr arg-7))) (cond ((equal? e-3 4) (vector 1 (cons e-2 4)))(else (vector 1 arg-6))))))))))))))))) (let ((e-14 (car arg-6))) (let ((e-15 (cdr arg-6))) (cond ((equal? e-15 3) (lambda (eta-0) (vector 1 (cons e-14 3))))(else (if (null? arg-7) (if (null? arg-6) (lambda (clam-67) (if (null? arg-7) (vector 1 arg-6) (let ((e-2 (car arg-7))) (let ((e-3 (cdr arg-7))) (cond ((equal? e-3 4) (vector 1 (cons e-2 4)))(else (vector 1 arg-6))))))) (let ((e-6 (car arg-6))) (let ((e-7 (cdr arg-6))) (cond ((equal? e-7 4) (lambda (eta-0) (vector 1 (cons e-6 4))))(else (lambda (clam-66) (if (null? arg-7) (vector 1 arg-6) (let ((e-2 (car arg-7))) (let ((e-3 (cdr arg-7))) (cond ((equal? e-3 4) (vector 1 (cons e-2 4)))(else (vector 1 arg-6)))))))))))) (let ((e-10 (car arg-7))) (let ((e-11 (cdr arg-7))) (cond ((equal? e-11 3) (lambda (eta-0) (vector 1 (cons e-10 3))))(else (if (null? arg-6) (lambda (clam-65) (if (null? arg-7) (vector 1 arg-6) (let ((e-2 (car arg-7))) (let ((e-3 (cdr arg-7))) (cond ((equal? e-3 4) (vector 1 (cons e-2 4)))(else (vector 1 arg-6))))))) (let ((e-6 (car arg-6))) (let ((e-7 (cdr arg-6))) (cond ((equal? e-7 4) (lambda (eta-0) (vector 1 (cons e-6 4))))(else (lambda (clam-64) (if (null? arg-7) (vector 1 arg-6) (let ((e-2 (car arg-7))) (let ((e-3 (cdr arg-7))) (cond ((equal? e-3 4) (vector 1 (cons e-2 4)))(else (vector 1 arg-6))))))))))))))))))))))))))))))))))
(define CoreC-45LinearCheck-n--9595-11931-u--combine (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (if (null? arg-6) (lambda (eta-0) (vector 1 '())) (let ((e-2 (car arg-6))) (let ((e-3 (cdr arg-6))) (if (null? e-3) (lambda (eta-0) (vector 1 e-2)) (let ((eff-0 (CoreC-45LinearCheck-n--9595-11931-u--combine arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45LinearCheck-n--9595-11930-u--combineUsages arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-2 e-5))) eff-1)))))))))))))
(define CoreC-45LinearCheck-n--17122-14708-u--checkUsageOK (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 ext-0) (let ((sc0 (let ((sc1 (AlgebraC-45Semiring-isLinear (csegen-1156) arg-12))) (cond ((equal? sc1 1) (PreludeC-45Types-u--C-47C-61_Eq_Nat arg-11 1)) (else 0))))) (cond ((equal? sc0 1) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 13 arg-8 arg-11 arg-0) ext-0)) (else (vector 1 (vector 0 )))))))
(define CoreC-45LinearCheck-n--9595-11925-u--checkUsageOK (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 ext-0) (let ((sc0 (let ((sc1 (AlgebraC-45Semiring-isLinear (csegen-1156) arg-10))) (cond ((equal? sc1 1) (let ((sc2 (cond ((equal? arg-9 1) (PreludeC-45Types-u--C-62_Ord_Nat arg-7 1)) (else 0)))) (cond ((equal? sc2 1) 1) (else (cond ((equal? arg-9 1) 0) (else (PreludeC-45Types-u--C-47C-61_Eq_Nat arg-7 1))))))) (else 0))))) (cond ((equal? sc0 1) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 13 arg-6 arg-7 arg-8) ext-0)) (else (vector 1 (vector 0 )))))))
(define CoreC-45LinearCheck-n--9489-9009-u--checkUsageOK (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 ext-0) (let ((sc0 (let ((sc1 (AlgebraC-45Semiring-isLinear (csegen-1156) arg-11))) (cond ((equal? sc1 1) (PreludeC-45Types-u--C-47C-61_Eq_Nat arg-10 1)) (else 0))))) (cond ((equal? sc0 1) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 13 arg-4 arg-10 arg-1) ext-0)) (else (vector 1 (vector 0 )))))))
(define CoreC-45LinearCheck-n--9595-11927-u--checkEnvUsage (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12) (if (null? arg-7) (lambda (clam-0) (vector 1 (vector 0 ))) (let ((e-2 (car arg-7))) (let ((e-3 (cdr arg-7))) (let ((e-8 (car arg-9))) (let ((e-9 (cdr arg-9))) (let ((u--pos (CoreC-45LinearCheck-localPrf arg-6))) (let ((u--used_in (CoreC-45LinearCheck-count (CoreC-45TT-varIdx u--pos) arg-10))) (let ((eff-0 (let ((sc2 (AlgebraC-45Semiring-isLinear (csegen-1156) (CoreC-45TT-multiplicity e-8)))) (cond ((equal? sc2 1) (CoreC-45LinearCheck-updateHoleUsage (PreludeC-45TypesC-45List-tailRecAppend arg-6 (cons e-2 e-3)) arg-5 arg-4 (or (and (= u--used_in 0) 1) 0) u--pos '() arg-12)) (else (lambda (eta-0) (vector 1 0))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--used (let ((sc3 (let ((sc4 (AlgebraC-45Semiring-isLinear (csegen-1156) (AlgebraC-45ZeroOneOmega-rigMult (CoreC-45TT-multiplicity e-8) arg-8)))) (cond ((equal? sc4 1) (cond ((equal? e-5 1) (or (and (= u--used_in 0) 1) 0)) (else 0))) (else 0))))) (cond ((equal? sc3 1) 1) (else u--used_in))))) (let ((eff-1 (lambda (eta-0) (CoreC-45LinearCheck-n--9595-11925-u--checkUsageOK arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 (CoreC-45TT-getLoc (CoreC-45TT-binderType e-8)) u--used e-2 (CoreC-45LinearCheck-n--9595-11926-u--isLocArg arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 u--pos arg-11) (AlgebraC-45ZeroOneOmega-rigMult (CoreC-45TT-multiplicity e-8) arg-8) eta-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-2 (CoreC-45LinearCheck-n--9595-11927-u--checkEnvUsage arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 (PreludeC-45TypesC-45List-tailRecAppend arg-6 (cons e-2 '())) e-3 arg-8 e-9 arg-10 arg-11 arg-12))) eff-2))))))))) eff-1))))))))))))))))
(define CoreC-45LinearCheck-u--show_Show_ArgUsage (lambda (arg-0) (cond ((equal? arg-0 0) "any") ((equal? arg-0 1) "0") ((equal? arg-0 2) "1") ((equal? arg-0 3) "keep") (else "unknown"))))
(define CoreC-45LinearCheck-u--show_Show_C-40UsageC-32C-36varsC-41 (lambda (arg-1) (string-append "[" (string-append (CoreC-45LinearCheck-n--7776-6465-u--showAll arg-1 arg-1) "]"))))
(define CoreC-45LinearCheck-u--showPrec_Show_ArgUsage (lambda (arg-0 arg-1) (CoreC-45LinearCheck-u--show_Show_ArgUsage arg-1)))
(define CoreC-45LinearCheck-updateHoleUsageArgs (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (if (null? arg-6) (lambda (eta-0) (vector 1 0)) (let ((e-2 (car arg-6))) (let ((e-3 (cdr arg-6))) (let ((eff-0 (CoreC-45LinearCheck-updateHoleUsage arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45LinearCheck-updateHoleUsageArgs arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (cond ((equal? e-5 1) 1) (else e-6)))))) eff-2))))))))) eff-1))))))))))))
(define CoreC-45LinearCheck-updateHoleUsage (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (let ((eff-0 arg-4)) (case (vector-ref arg-6 0) ((3) (let ((e-29 (vector-ref arg-6 2))) (let ((e-30 (vector-ref arg-6 3))) (let ((e-31 (vector-ref arg-6 4))) (case (vector-ref e-30 0) ((1) (let ((e-35 (vector-ref e-30 3))) (let ((eff-1 (CoreC-45LinearCheck-updateHoleUsage arg-0 arg-1 arg-2 arg-3 eff-0 arg-5 e-35))) (PrimIO-io_bind eff-1 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-2 (let ((eff-2 (CoreC-45LinearCheck-updateHoleUsage (cons e-29 arg-0) arg-1 arg-2 arg-3 (+ eff-0 1) ((csegen-1005) arg-5) e-31))) (PrimIO-io_bind eff-2 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (cond ((equal? e-5 1) 1) (else e-6)))))) eff-3))))))))) eff-2)))))))))(else (CoreC-45LinearCheck-updateHoleUsage (cons e-29 arg-0) arg-1 arg-2 arg-3 (+ eff-0 1) ((csegen-1005) arg-5) e-31)))))))(else (case (vector-ref arg-6 0) ((2) (let ((e-3 (vector-ref arg-6 3))) (let ((e-4 (vector-ref arg-6 4))) (let ((eff-1 (let ((eff-1 arg-1)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (unbox eff-2))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-lookupCtxtExact (vector 8 e-3) (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-2 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-6 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-3 (if (null? e-6) (CoreC-45LinearCheck-updateHoleUsageArgs arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-4) (let ((e-7 (unbox e-6))) (let ((e-17 (vector-ref e-7 17))) (case (vector-ref e-17 0) ((7) (let ((u--ty (let ((e-50 (vector-ref e-7 2))) e-50))) (let ((eff-3 (CoreC-45LinearCheck-updateHoleType arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 u--ty e-4))) (PrimIO-io_bind eff-3 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-31 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-31)))) (else (let ((e-31 (vector-ref lcase-2 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Context-updateTy arg-1 e-3 e-31))) (PrimIO-io_bind eff-4 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-32 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-32)))) (else (let ((eff-5 (let ((eff-5 (CoreC-45ContextC-45Log-logTerm '() arg-1 "quantity.hole.update" 5 (lambda () (string-append "New type of " (CoreC-45Name-u--show_Show_Name (let ((e-53 (vector-ref e-7 1))) e-53)))) e-31))) (PrimIO-io_bind eff-5 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-33 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-33)))) (else (let ((eff-6 (let ((eff-6 (CoreC-45ContextC-45Log-logTerm '() arg-1 "quantity.hole.update" 5 (lambda () (string-append "Updated from " (CoreC-45Name-u--show_Show_Name (let ((e-54 (vector-ref e-7 1))) e-54)))) (let ((e-53 (vector-ref e-7 2))) e-53)))) (PrimIO-io_bind eff-6 (csegen-2355))))) eff-6)))))))) eff-5)))))))) eff-4)))))))))(else (CoreC-45LinearCheck-updateHoleUsageArgs arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-4)))))))) eff-3))))))))) eff-2)))))))))) ((5) (let ((e-8 (vector-ref arg-6 3))) (let ((eff-1 (CoreC-45LinearCheck-updateHoleUsage arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-8))) (PrimIO-io_bind eff-1 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-2 (let ((eff-2 (CoreC-45LinearCheck-updateHoleUsage arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-8))) (PrimIO-io_bind eff-2 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-10 (vector-ref lcase-1 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (cond ((equal? e-5 1) 1) (else e-10)))))) eff-3))))))))) eff-2))))))))) ((6) (let ((e-13 (vector-ref arg-6 3))) (CoreC-45LinearCheck-updateHoleUsage arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-13))) ((7) (let ((e-18 (vector-ref arg-6 4))) (CoreC-45LinearCheck-updateHoleUsage arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-18))) ((8) (let ((e-22 (vector-ref arg-6 3))) (CoreC-45LinearCheck-updateHoleUsage arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-22)))(else (CoreC-45LinearCheck-case--updateHoleUsage-7891 arg-0 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 (CoreC-45TT-getFnArgs arg-6)))))))))
(define CoreC-45LinearCheck-updateHoleType (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8) (case (vector-ref arg-7 0) ((3) (let ((e-1 (vector-ref arg-7 1))) (let ((e-2 (vector-ref arg-7 2))) (let ((e-3 (vector-ref arg-7 3))) (let ((e-4 (vector-ref arg-7 4))) (case (vector-ref e-3 0) ((2) (let ((e-6 (vector-ref e-3 1))) (let ((e-7 (vector-ref e-3 2))) (let ((e-8 (vector-ref e-3 3))) (let ((e-9 (vector-ref e-3 4))) (if (null? arg-8) (let ((eff-0 (let ((eff-0 (CoreC-45LinearCheck-updateHoleUsageArgs arg-1 arg-2 arg-3 0 arg-5 arg-6 arg-8))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-5 (vector-ref eta-3 1))) (vector 0 e-5))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-0) (lambda (arg-9) ((((eff-1 'erased) 'erased) arg-0) arg-9)))) (lambda (_-8679) (vector 0 )))) eff-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((eff-1 (lambda (eta-0) (vector 1 arg-7)))) eff-1)))))) (let ((e-11 (car arg-8))) (let ((e-12 (cdr arg-8))) (case (vector-ref e-11 0) ((0) (let ((e-17 (vector-ref e-11 3))) (let ((sc4 (or (and (= (CoreC-45TT-varIdx arg-5) e-17) 1) 0))) (cond ((equal? sc4 1) (let ((eff-0 (CoreC-45LinearCheck-updateHoleType arg-1 arg-2 arg-3 0 arg-5 arg-6 e-4 e-12))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--cC-39 (cond ((equal? arg-4 1) e-7) (else (csegen-54))))) (lambda (eta-0) (vector 1 (vector 3 e-1 e-2 (vector 2 e-6 u--cC-39 e-8 e-9) e-5)))))) eff-1)))))))) (else (let ((sc5 (PreludeC-45Types-elem (csegen-16) (csegen-1338) e-17 (((csegen-25) (lambda (eta-0) (CoreC-45TT-varIdx eta-0))) arg-6)))) (cond ((equal? sc5 1) (let ((eff-0 (CoreC-45LinearCheck-updateHoleType arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-4 e-12))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 3 e-1 e-2 (vector 2 e-6 (csegen-54) e-8 e-9) e-5))))) eff-1)))))))) (else (let ((eff-0 (CoreC-45LinearCheck-updateHoleType arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-4 e-12))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 3 e-1 e-2 (vector 2 e-6 e-7 e-8 e-9) e-5))))) eff-1)))))))))))))))(else (let ((eff-0 (let ((eff-0 (CoreC-45LinearCheck-updateHoleUsage arg-1 arg-2 arg-3 0 arg-5 arg-6 e-11))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-5 (vector-ref eta-3 1))) (vector 0 e-5))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-0) (lambda (arg-9) ((((eff-1 'erased) 'erased) arg-0) arg-9)))) (lambda (_-8679) (vector 0 )))) eff-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45LinearCheck-updateHoleType arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-4 e-12))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-10 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 3 e-1 e-2 (vector 2 e-6 e-7 e-8 e-9) e-10))))) eff-2))))))))) eff-1))))))))))))))))(else (let ((eff-0 (let ((eff-0 (CoreC-45LinearCheck-updateHoleUsageArgs arg-1 arg-2 arg-3 0 arg-5 arg-6 arg-8))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-5 (vector-ref eta-3 1))) (vector 0 e-5))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-0) (lambda (arg-9) ((((eff-1 'erased) 'erased) arg-0) arg-9)))) (lambda (_-8679) (vector 0 )))) eff-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((eff-1 (lambda (eta-0) (vector 1 arg-7)))) eff-1)))))))))))))(else (let ((eff-0 (let ((eff-0 (CoreC-45LinearCheck-updateHoleUsageArgs arg-1 arg-2 arg-3 0 arg-5 arg-6 arg-8))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-0) (lambda (arg-9) ((((eff-1 'erased) 'erased) arg-0) arg-9)))) (lambda (_-8679) (vector 0 )))) eff-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (lambda (eta-0) (vector 1 arg-7)))) eff-1))))))))))
(define CoreC-45LinearCheck-localPrf (lambda (arg-2) (if (null? arg-2) 0 (let ((e-3 (cdr arg-2))) (let ((eff-0 (CoreC-45LinearCheck-localPrf e-3))) (+ eff-0 1))))))
(define CoreC-45LinearCheck-linearCheck (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (let ((eff-0 (CoreC-45ContextC-45Log-logTerm arg-0 arg-1 "quantity" 5 (lambda () "Linearity check on ") arg-7))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45Normalise-logEnv arg-0 arg-1 "quantity" 5 "In env" arg-6))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45LinearCheck-lcheck arg-0 arg-1 arg-2 arg-4 arg-5 arg-6 arg-7))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((e-2 (car e-7))) (let ((e-3 (cdr e-7))) (let ((e-8 (cdr e-3))) (let ((eff-3 (CoreC-45ContextC-45Log-log arg-1 "quantity" 5 (lambda () (string-append "Used: " (CoreC-45LinearCheck-u--show_Show_C-40UsageC-32C-36varsC-41 e-8)))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-4 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-4 (let ((eff-4 (cond ((equal? arg-5 1) (lambda (eta-0) (vector 1 (vector 0 )))) (else (CoreC-45LinearCheck-checkEnvUsage arg-0 '() arg-1 arg-2 arg-3 arg-4 arg-6 e-8 e-2))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-4 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-5 (lambda (eta-0) (vector 1 e-2)))) eff-5)))))))) eff-4))))))))))) eff-3))))))))) eff-2)))))))) eff-1))))))))
(define CoreC-45LinearCheck-lcheckMeta (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11) (if (null? arg-9) (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (cons (vector 2 arg-6 arg-7 arg-8 (PreludeC-45TypesC-45List-reverse arg-10)) (cons (CoreC-45Normalise-glueBack arg-1 arg-0 e-5 arg-5 arg-11) '())))))) eff-1))))))) (let ((e-1 (car arg-9))) (let ((e-2 (cdr arg-9))) (case (vector-ref arg-11 0) ((0) (let ((e-7 (vector-ref arg-11 3))) (let ((e-8 (vector-ref arg-11 4))) (case (vector-ref e-7 0) ((2) (let ((e-11 (vector-ref e-7 2))) (let ((u--checkRig (AlgebraC-45ZeroOneOmega-rigMult e-11 arg-3))) (let ((eff-0 (CoreC-45LinearCheck-lcheck arg-0 arg-1 arg-2 u--checkRig arg-4 arg-5 e-1))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-9 (vector-ref lcase-0 1))) (let ((eff-1 (let ((e-4 (car e-9))) (let ((e-3 (cdr e-9))) (let ((e-14 (cdr e-3))) (let ((eff-1 (let ((eff-1 arg-1)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (unbox eff-2))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-16 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-16)))) (else (let ((e-16 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 ((e-8 e-16) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) arg-5 e-4)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-17 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-17)))) (else (let ((e-17 (vector-ref lcase-2 1))) (let ((eff-3 (let ((u--aerased (let ((sc8 (cond ((equal? arg-4 1) (AlgebraC-45Semiring-isErased (csegen-1156) e-11)) (else 0)))) (cond ((equal? sc8 1) (vector 10 arg-6 (vector 0 ))) (else e-4))))) (let ((eff-3 (CoreC-45LinearCheck-lcheckMeta arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 e-2 (cons u--aerased arg-10) e-17))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-18 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-18)))) (else (let ((e-18 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (clam-0) (let ((e-20 (car e-18))) (let ((e-19 (cdr e-18))) (let ((e-22 (car e-19))) (let ((e-21 (cdr e-19))) (vector 1 (cons e-20 (cons e-22 (CoreC-45LinearCheck-C-43C-43 e-14 e-21))))))))))) eff-4)))))))))) eff-3))))))))) eff-2)))))))))))) eff-1))))))))))(else (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-9 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (lambda (eta-0) (CoreC-45Context-clearDefs e-9 eta-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-3 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-10 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-1 arg-0 e-10 arg-5 arg-11))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-3 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-11 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45Context-toFullNames arg-1 (csegen-81) arg-7))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-3 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-12 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Context-toFullNames arg-1 (csegen-105) e-11))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-3 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-13 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 arg-6 (string-append "Linearity checking failed on metavar " (string-append (CoreC-45Name-u--show_Show_Name e-12) (string-append " (" (string-append (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-0 e-13) " not a function type)"))))) eta-0)))) eff-5))))))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))))(else (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (lambda (eta-0) (CoreC-45Context-clearDefs e-5 eta-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-3 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-1 arg-0 e-6 arg-5 arg-11))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-3 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45Context-toFullNames arg-1 (csegen-81) arg-7))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-3 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Context-toFullNames arg-1 (csegen-105) e-7))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-3 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 arg-6 (string-append "Linearity checking failed on metavar " (string-append (CoreC-45Name-u--show_Show_Name e-8) (string-append " (" (string-append (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-0 e-9) " not a function type)"))))) eta-0)))) eff-5))))))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))))))
(define CoreC-45LinearCheck-lcheckDef (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (cond ((equal? arg-5 1) (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-lookupCtxtExact arg-7 (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-6) (CoreC-45Context-undefinedName arg-1 arg-3 arg-7) (let ((e-1 (unbox e-6))) (lambda (eta-0) (vector 1 (let ((e-2 (vector-ref e-1 2))) e-2))))))) eff-2))))))))) eff-1)))))))) (else (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45LinearCheck-case--lcheckDef-13790 arg-7 arg-6 arg-4 arg-3 arg-2 arg-1 e-5 (CoreC-45Context-getNameID arg-7 (let ((e-0 (vector-ref e-5 0))) e-0))))) eff-1)))))))))))
(define CoreC-45LinearCheck-lcheckBinder (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (case (vector-ref arg-6 0) ((0) (let ((e-1 (vector-ref arg-6 1))) (let ((e-2 (vector-ref arg-6 2))) (let ((e-3 (vector-ref arg-6 3))) (let ((e-4 (vector-ref arg-6 4))) (let ((eff-0 (CoreC-45LinearCheck-lcheck arg-0 arg-1 arg-2 (csegen-54) arg-4 arg-5 e-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (clam-0) (let ((e-7 (car e-5))) (let ((e-6 (cdr e-5))) (let ((e-9 (car e-6))) (vector 1 (cons (vector 0 e-1 e-2 e-3 e-7) (cons e-9 '()))))))))) eff-1)))))))))))) ((1) (let ((e-6 (vector-ref arg-6 1))) (let ((e-7 (vector-ref arg-6 2))) (let ((e-8 (vector-ref arg-6 3))) (let ((e-9 (vector-ref arg-6 4))) (let ((eff-0 (CoreC-45LinearCheck-lcheck arg-0 arg-1 arg-2 (csegen-54) arg-4 arg-5 e-9))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((e-2 (car e-5))) (let ((e-3 (cdr e-5))) (let ((e-11 (car e-3))) (let ((eff-1 (CoreC-45LinearCheck-lcheck arg-0 arg-1 arg-2 (AlgebraC-45ZeroOneOmega-rigMult arg-3 e-7) arg-4 arg-5 e-8))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-12 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (clam-1) (let ((e-13 (car e-12))) (let ((e-4 (cdr e-12))) (let ((e-14 (cdr e-4))) (vector 1 (cons (vector 1 e-6 e-7 e-13 e-2) (cons e-11 e-14))))))))) eff-2)))))))))))) eff-1)))))))))))) ((2) (let ((e-11 (vector-ref arg-6 1))) (let ((e-12 (vector-ref arg-6 2))) (let ((e-13 (vector-ref arg-6 3))) (let ((e-14 (vector-ref arg-6 4))) (let ((eff-0 (CoreC-45LinearCheck-lcheck arg-0 arg-1 arg-2 (AlgebraC-45ZeroOneOmega-rigMult arg-3 e-12) arg-4 arg-5 e-14))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (clam-2) (let ((e-2 (car e-5))) (let ((e-3 (cdr e-5))) (let ((e-6 (car e-3))) (vector 1 (cons (vector 2 e-11 e-12 e-13 e-2) (cons e-6 '()))))))))) eff-1)))))))))))) ((3) (let ((e-16 (vector-ref arg-6 1))) (let ((e-17 (vector-ref arg-6 2))) (let ((e-18 (vector-ref arg-6 3))) (let ((e-19 (vector-ref arg-6 4))) (let ((eff-0 (CoreC-45LinearCheck-lcheck arg-0 arg-1 arg-2 (csegen-54) arg-4 arg-5 e-19))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (clam-3) (let ((e-2 (car e-5))) (let ((e-3 (cdr e-5))) (let ((e-6 (car e-3))) (vector 1 (cons (vector 3 e-16 e-17 e-18 e-2) (cons e-6 '()))))))))) eff-1)))))))))))) ((4) (let ((e-21 (vector-ref arg-6 1))) (let ((e-22 (vector-ref arg-6 2))) (let ((e-23 (vector-ref arg-6 3))) (let ((e-24 (vector-ref arg-6 4))) (let ((eff-0 (CoreC-45LinearCheck-lcheck arg-0 arg-1 arg-2 (csegen-54) arg-4 arg-5 e-24))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((e-2 (car e-5))) (let ((e-3 (cdr e-5))) (let ((e-6 (car e-3))) (let ((eff-1 (CoreC-45LinearCheck-lcheck arg-0 arg-1 arg-2 (AlgebraC-45ZeroOneOmega-rigMult arg-3 e-22) arg-4 arg-5 e-23))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-8 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (clam-4) (let ((e-9 (car e-8))) (let ((e-4 (cdr e-8))) (let ((e-10 (cdr e-4))) (vector 1 (cons (vector 4 e-21 e-22 e-9 e-2) (cons e-6 e-10))))))))) eff-2)))))))))))) eff-1)))))))))))) (else (let ((e-26 (vector-ref arg-6 1))) (let ((e-27 (vector-ref arg-6 2))) (let ((e-28 (vector-ref arg-6 3))) (let ((eff-0 (CoreC-45LinearCheck-lcheck arg-0 arg-1 arg-2 (csegen-54) arg-4 arg-5 e-28))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (clam-5) (let ((e-2 (car e-5))) (let ((e-3 (cdr e-5))) (let ((e-6 (car e-3))) (vector 1 (cons (vector 5 e-26 e-27 e-2) (cons e-6 '()))))))))) eff-1))))))))))))))
(define CoreC-45LinearCheck-lcheck (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (case (vector-ref arg-6 0) ((0) (let ((e-2 (vector-ref arg-6 1))) (let ((e-3 (vector-ref arg-6 2))) (let ((e-4 (vector-ref arg-6 3))) (let ((u--b (CoreC-45Env-getBinder (csegen-1260) arg-0 e-4 arg-5))) (let ((u--rigb (CoreC-45TT-multiplicity u--b))) (let ((u--ty (CoreC-45TT-binderType u--b))) (let ((eff-0 (cond ((equal? arg-4 1) (lambda (eta-0) (vector 1 (vector 0 )))) (else (lambda (eta-0) (CoreC-45LinearCheck-n--9489-8250-u--rigSafe e-4 arg-0 e-3 e-2 arg-5 arg-4 arg-3 arg-2 arg-1 u--rigb arg-3 eta-0)))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((eff-1 (lambda (eta-0) (vector 1 (cons (vector 0 e-2 e-3 e-4) (cons (CoreC-45NormaliseC-45Eval-gnf arg-0 arg-5 u--ty) (CoreC-45LinearCheck-n--9489-8251-u--used e-4 arg-0 e-3 e-2 arg-5 arg-4 arg-3 arg-2 arg-1 arg-3))))))) eff-1))))))))))))) ((1) (let ((e-7 (vector-ref arg-6 1))) (let ((e-8 (vector-ref arg-6 2))) (let ((e-9 (vector-ref arg-6 3))) (let ((eff-0 (CoreC-45LinearCheck-lcheckDef arg-1 arg-2 e-7 arg-3 arg-4 arg-5 e-9))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (cons (vector 1 e-7 e-8 e-9) (cons (CoreC-45NormaliseC-45Eval-gnf arg-0 arg-5 (CoreC-45TT-embed e-5)) '())))))) eff-1))))))))))) ((2) (let ((e-11 (vector-ref arg-6 1))) (let ((e-12 (vector-ref arg-6 2))) (let ((e-13 (vector-ref arg-6 3))) (let ((e-14 (vector-ref arg-6 4))) (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-lookupCtxtExact (vector 8 e-13) (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-6) (CoreC-45Context-undefinedName arg-1 e-11 e-12) (let ((e-1 (unbox e-6))) (let ((u--expand (AlgebraC-45Semiring-branchZero (csegen-1156) (let ((e-2 (vector-ref e-1 2))) (case (vector-ref e-2 0) ((10) (lambda () 1))(else (lambda () 0)))) (let ((e-17 (vector-ref e-1 17))) (case (vector-ref e-17 0) ((1) (lambda () 1))(else (lambda () 0)))) arg-3))) (let ((eff-2 (CoreC-45ContextC-45Log-unverifiedLogC arg-1 "quantity" 10 (let ((eff-2 (let ((e-17 (vector-ref e-1 17))) (case (vector-ref e-17 0) ((1) (let ((e-32 (vector-ref e-17 2))) (let ((e-31 (vector-ref e-17 3))) (case (vector-ref e-31 0) ((1) (let ((e-34 (vector-ref e-31 2))) (let ((eff-2 (CoreC-45Context-toFullNames arg-1 (csegen-105) e-34))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-36 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-36)))) (else (let ((e-36 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 e-32 e-36))))) eff-3)))))))))(else (lambda (eta-0) (vector 1 "")))))))(else (lambda (eta-0) (vector 1 ""))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (string-append (AlgebraC-45ZeroOneOmega-u--show_Show_ZeroOneOmega arg-3) (string-append ": " (string-append (CoreC-45Name-u--show_Show_Name e-12) (string-append " " (string-append (CoreC-45FC-u--show_Show_FC e-11) (string-append "\xa;" (PreludeC-45Show-u--show_Show_String e-7))))))))))) eff-3)))))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (cond ((equal? u--expand 1) (CoreC-45LinearCheck-expandMeta arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-12 e-13 (let ((e-17 (vector-ref e-1 17))) e-17) e-14)) (else (let ((u--ty (let ((e-17 (vector-ref e-1 17))) (case (vector-ref e-17 0) ((7) (CoreC-45LinearCheck-n--9489-8445-u--unusedHoleArgs arg-0 e-14 e-13 e-12 e-11 arg-5 arg-4 arg-3 arg-2 arg-1 e-14 (let ((e-51 (vector-ref e-1 2))) e-51)))(else (let ((e-49 (vector-ref e-1 2))) e-49)))))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-nf arg-1 arg-0 e-5 arg-5 (CoreC-45TT-embed u--ty)))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (CoreC-45LinearCheck-lcheckMeta arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-11 e-12 e-13 e-14 '() e-8))) eff-4)))))))))))) eff-3))))))))))) eff-2))))))))) eff-1)))))))))))) ((3) (let ((e-16 (vector-ref arg-6 1))) (let ((e-17 (vector-ref arg-6 2))) (let ((e-18 (vector-ref arg-6 3))) (let ((e-19 (vector-ref arg-6 4))) (let ((eff-0 (CoreC-45UnifyState-handleUnify arg-1 arg-2 (CoreC-45LinearCheck-lcheckBinder arg-0 arg-1 arg-2 (CoreC-45LinearCheck-n--9489-9006-u--rig arg-0 e-17 e-19 e-18 e-16 arg-5 arg-4 arg-3 arg-2 arg-1) arg-4 arg-5 e-18) (lambda (u--err) (case (vector-ref u--err 0) ((14) (CoreC-45LinearCheck-lcheckBinder arg-0 arg-1 arg-2 (CoreC-45LinearCheck-n--9489-9006-u--rig arg-0 e-17 e-19 e-18 e-16 arg-5 arg-4 arg-3 arg-2 arg-1) arg-4 arg-5 (CoreC-45TT-setMultiplicity e-18 (csegen-1778))))(else (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error u--err eta-0)))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((e-2 (car e-5))) (let ((e-3 (cdr e-5))) (let ((e-6 (car e-3))) (let ((e-7 (cdr e-3))) (let ((u--envC-39 (let ((sc4 (AlgebraC-45ZeroOneOmega-u--C-61C-61_Eq_ZeroOneOmega arg-3 (AlgebraC-45ZeroOneOmega-u--top_Top_ZeroOneOmega)))) (cond ((equal? sc4 1) (case (vector-ref e-18 0) ((0) (CoreC-45LinearCheck-n--9489-9008-u--eraseLinear arg-0 e-17 e-19 e-18 e-16 arg-5 arg-4 arg-3 arg-2 arg-1 arg-5))(else arg-5))) (else arg-5))))) (let ((eff-1 (CoreC-45LinearCheck-lcheck (cons e-17 arg-0) arg-1 arg-2 (CoreC-45LinearCheck-n--9489-9006-u--rig arg-0 e-17 e-19 e-18 e-16 arg-5 arg-4 arg-3 arg-2 arg-1) arg-4 (cons e-2 u--envC-39) e-19))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-8 (vector-ref lcase-1 1))) (let ((eff-2 (let ((e-9 (car e-8))) (let ((e-4 (cdr e-8))) (let ((e-11 (car e-4))) (let ((e-10 (cdr e-4))) (let ((u--used_in (CoreC-45LinearCheck-count 0 e-10))) (let ((eff-2 (let ((sc7 (cond ((equal? arg-4 1) 0) (else (AlgebraC-45Semiring-isLinear (csegen-1156) (CoreC-45TT-multiplicity e-18)))))) (cond ((equal? sc7 1) (CoreC-45LinearCheck-updateHoleUsage (cons e-17 arg-0) arg-1 arg-2 (or (and (= u--used_in 0) 1) 0) 0 ((csegen-1005) (CoreC-45LinearCheck-n--9489-9007-u--getZeroes arg-0 e-17 e-19 e-18 e-16 arg-5 arg-4 arg-3 arg-2 arg-1 arg-0 u--envC-39)) e-9)) (else (lambda (eta-0) (vector 1 0))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-12 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-12)))) (else (let ((e-12 (vector-ref lcase-2 1))) (let ((eff-3 (let ((u--used (let ((sc8 (let ((sc9 (AlgebraC-45Semiring-isLinear (csegen-1156) (AlgebraC-45ZeroOneOmega-rigMult (CoreC-45TT-multiplicity e-18) (CoreC-45LinearCheck-n--9489-9006-u--rig arg-0 e-17 e-19 e-18 e-16 arg-5 arg-4 arg-3 arg-2 arg-1))))) (cond ((equal? sc9 1) (cond ((equal? e-12 1) (or (and (= u--used_in 0) 1) 0)) (else 0))) (else 0))))) (cond ((equal? sc8 1) 1) (else u--used_in))))) (let ((eff-3 (cond ((equal? arg-4 1) (lambda (eta-0) (vector 1 (vector 0 )))) (else (lambda (eta-0) (CoreC-45LinearCheck-n--9489-9009-u--checkUsageOK arg-0 e-17 e-19 e-18 e-16 arg-5 arg-4 arg-3 arg-2 arg-1 u--used (AlgebraC-45ZeroOneOmega-rigMult (CoreC-45TT-multiplicity e-18) (CoreC-45LinearCheck-n--9489-9006-u--rig arg-0 e-17 e-19 e-18 e-16 arg-5 arg-4 arg-3 arg-2 arg-1)) eta-0)))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((eff-4 (let ((eff-4 (let ((eff-4 arg-1)) (PrimIO-io_bind (let ((eff-5 eff-4)) (lambda (eta-0) (unbox eff-5))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (CoreC-45LinearCheck-discharge arg-0 e-14 arg-5 e-16 e-17 e-2 e-6 e-9 e-11 (CoreC-45LinearCheck-C-43C-43 e-7 (CoreC-45LinearCheck-doneScope e-10))))) eff-5))))))))) eff-4))))))))) eff-3)))))))))))))) eff-2)))))))))))))) eff-1)))))))))))) ((4) (let ((e-21 (vector-ref arg-6 1))) (let ((e-22 (vector-ref arg-6 2))) (let ((e-23 (vector-ref arg-6 3))) (let ((eff-0 (CoreC-45LinearCheck-lcheck arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-22))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((e-2 (car e-5))) (let ((e-3 (cdr e-5))) (let ((e-6 (car e-3))) (let ((e-7 (cdr e-3))) (let ((eff-1 (let ((eff-1 arg-1)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (unbox eff-2))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-8 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45NormaliseC-45Eval-getNF arg-1 e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-9 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-9 0) ((0) (let ((e-10 (vector-ref e-9 3))) (let ((e-4 (vector-ref e-9 4))) (case (vector-ref e-10 0) ((2) (let ((e-14 (vector-ref e-10 2))) (let ((e-13 (vector-ref e-10 4))) (let ((u--checkRig (AlgebraC-45ZeroOneOmega-rigMult e-14 arg-3))) (let ((eff-3 (CoreC-45LinearCheck-lcheck arg-0 arg-1 arg-2 u--checkRig arg-4 arg-5 e-23))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-16 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-16)))) (else (let ((e-16 (vector-ref lcase-3 1))) (let ((eff-4 (let ((e-18 (car e-16))) (let ((e-17 (cdr e-16))) (let ((e-20 (car e-17))) (let ((e-19 (cdr e-17))) (let ((eff-4 ((e-4 e-8) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) arg-5 e-18)))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-24 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-24)))) (else (let ((e-24 (vector-ref lcase-4 1))) (let ((eff-5 (let ((u--aerased (let ((sc12 (cond ((equal? arg-4 1) (AlgebraC-45Semiring-isErased (csegen-1156) e-14)) (else 0)))) (cond ((equal? sc12 1) (vector 10 e-21 (vector 0 ))) (else e-18))))) (let ((eff-5 (CoreC-45Context-getSession arg-1))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-25 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-25)))) (else (let ((e-25 (vector-ref lcase-5 1))) (let ((eff-6 (let ((eff-6 (let ((sc13 (let ((e-38 (vector-ref e-25 11))) e-38))) (cond ((equal? sc13 1) (let ((eff-6 (CoreC-45NormaliseC-45Eval-getNF arg-1 e-20))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-26 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-26)))) (else (let ((e-26 (vector-ref lcase-6 1))) (let ((eff-7 (let ((eff-7 (CoreC-45NormaliseC-45Eval-evalClosure arg-1 arg-0 e-8 e-13))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-27 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-27)))) (else (let ((e-27 (vector-ref lcase-7 1))) (let ((eff-8 (let ((eff-8 (CoreC-45NormaliseC-45Convert-u--convert_Convert_NF arg-1 arg-0 e-8 arg-5 e-26 e-27))) (PrimIO-io_bind eff-8 (lambda (lcase-8) (case (vector-ref lcase-8 0) ((0) (let ((e-28 (vector-ref lcase-8 1))) (lambda (eta-0) (vector 0 e-28)))) (else (let ((e-28 (vector-ref lcase-8 1))) (let ((eff-9 (cond ((equal? e-28 1) (lambda (eta-0) (vector 1 (vector 0 )))) (else (let ((eff-9 (CoreC-45NormaliseC-45Quote-u--quote_Quote_Closure arg-1 arg-0 e-8 arg-5 e-13))) (PrimIO-io_bind eff-9 (lambda (lcase-9) (case (vector-ref lcase-9 0) ((0) (let ((e-29 (vector-ref lcase-9 1))) (lambda (eta-0) (vector 0 e-29)))) (else (let ((e-29 (vector-ref lcase-9 1))) (let ((eff-10 (let ((eff-10 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-1 arg-0 e-8 arg-5 e-26))) (PrimIO-io_bind eff-10 (lambda (lcase-10) (case (vector-ref lcase-10 0) ((0) (let ((e-30 (vector-ref lcase-10 1))) (lambda (eta-0) (vector 0 e-30)))) (else (let ((e-30 (vector-ref lcase-10 1))) (let ((eff-11 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 1 arg-0 e-21 (let ((e-0 (vector-ref e-8 0))) e-0) arg-5 e-29 e-30) eta-0)))) eff-11))))))))) eff-10))))))))))) eff-9))))))))) eff-8))))))))) eff-7)))))))) (else (lambda (eta-0) (vector 1 (vector 0 )))))))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-26 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-26)))) (else (let ((eff-7 (lambda (eta-0) (vector 1 (cons (vector 4 e-21 e-2 u--aerased) (cons (CoreC-45Normalise-glueBack arg-1 arg-0 e-8 arg-5 e-24) (CoreC-45LinearCheck-C-43C-43 e-7 e-19))))))) eff-7)))))))) eff-6)))))))))) eff-5))))))))))))) eff-4)))))))))))(else (let ((eff-3 (CoreC-45NormaliseC-45Eval-getTerm e-6))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-12 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-12)))) (else (let ((e-12 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Context-toFullNames arg-1 (csegen-105) e-2))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-13 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-4 1))) (let ((eff-5 (let ((eff-5 (CoreC-45Context-toFullNames arg-1 (csegen-105) e-12))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-14 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-5 1))) (let ((eff-6 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 e-21 (string-append "Linearity checking failed on " (string-append (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-0 e-13) (string-append " (" (string-append (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-0 e-14) " not a function type)"))))) eta-0)))) eff-6))))))))) eff-5))))))))) eff-4)))))))))))) ((1) (let ((e-11 (vector-ref e-9 2))) (case (vector-ref e-11 0) ((1) (let ((e-16 (vector-ref e-11 2))) (let ((eff-3 (CoreC-45Context-lookupCtxtExact e-16 (let ((e-0 (vector-ref e-8 0))) e-0)))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-4 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (if (null? e-13) (CoreC-45Context-undefinedName arg-1 e-21 e-16) (let ((eff-4 (CoreC-45NormaliseC-45Eval-getTerm e-6))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-4 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (let ((eff-5 (CoreC-45Context-toFullNames arg-1 (csegen-105) e-2))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-4 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-17 (vector-ref lcase-5 1))) (let ((eff-6 (let ((eff-6 (CoreC-45Context-toFullNames arg-1 (csegen-105) e-14))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-4 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-18 (vector-ref lcase-6 1))) (let ((eff-7 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 e-21 (string-append ((csegen-0) "Linearity checking failed on ") (string-append (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-0 e-17) (string-append " (" (string-append (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-0 e-18) ((csegen-0) " not a function type)")))))) eta-0)))) eff-7))))))))) eff-6))))))))) eff-5)))))))))) eff-4)))))))))(else (let ((eff-3 (CoreC-45NormaliseC-45Eval-getTerm e-6))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-4 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Context-toFullNames arg-1 (csegen-105) e-2))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-4 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (let ((eff-5 (CoreC-45Context-toFullNames arg-1 (csegen-105) e-13))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-4 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-15 (vector-ref lcase-5 1))) (let ((eff-6 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 e-21 (string-append "Linearity checking failed on " (string-append (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-0 e-14) (string-append " (" (string-append (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-0 e-15) " not a function type)"))))) eta-0)))) eff-6))))))))) eff-5))))))))) eff-4)))))))))))(else (let ((eff-3 (CoreC-45NormaliseC-45Eval-getTerm e-6))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-4 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Context-toFullNames arg-1 (csegen-105) e-2))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-4 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (let ((eff-5 (CoreC-45Context-toFullNames arg-1 (csegen-105) e-10))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-4 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-12 (vector-ref lcase-5 1))) (let ((eff-6 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 e-21 (string-append "Linearity checking failed on " (string-append (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-0 e-11) (string-append " (" (string-append (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-0 e-12) " not a function type)"))))) eta-0)))) eff-6))))))))) eff-5))))))))) eff-4))))))))))) eff-3))))))))) eff-2))))))))))))) eff-1))))))))))) ((5) (let ((e-25 (vector-ref arg-6 1))) (let ((e-26 (vector-ref arg-6 2))) (let ((e-27 (vector-ref arg-6 3))) (let ((e-28 (vector-ref arg-6 4))) (let ((eff-0 (CoreC-45LinearCheck-lcheck arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-27))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((e-2 (car e-5))) (let ((e-3 (cdr e-5))) (let ((eff-1 (CoreC-45LinearCheck-lcheck arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-28))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-8 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (clam-0) (let ((e-9 (car e-8))) (let ((e-4 (cdr e-8))) (let ((e-11 (car e-4))) (let ((e-10 (cdr e-4))) (vector 1 (cons (vector 5 e-25 e-26 e-2 e-9) (cons e-11 e-10)))))))))) eff-2))))))))))) eff-1)))))))))))) ((6) (let ((e-30 (vector-ref arg-6 1))) (let ((e-31 (vector-ref arg-6 2))) (let ((e-32 (vector-ref arg-6 3))) (let ((eff-0 (CoreC-45LinearCheck-lcheck arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-32))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (clam-1) (let ((e-2 (car e-5))) (let ((e-3 (cdr e-5))) (let ((e-7 (cdr e-3))) (vector 1 (cons (vector 6 e-30 e-31 e-2) (cons (CoreC-45NormaliseC-45Eval-gType e-30 (vector 2 "top" 0)) e-7))))))))) eff-1))))))))))) ((7) (let ((e-34 (vector-ref arg-6 1))) (let ((e-35 (vector-ref arg-6 2))) (let ((e-36 (vector-ref arg-6 3))) (let ((e-37 (vector-ref arg-6 4))) (let ((eff-0 (CoreC-45LinearCheck-lcheck arg-0 arg-1 arg-2 (csegen-54) arg-4 arg-5 e-36))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((e-2 (car e-5))) (let ((e-3 (cdr e-5))) (let ((eff-1 (CoreC-45LinearCheck-lcheck arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-37))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-8 (vector-ref lcase-1 1))) (let ((eff-2 (let ((e-9 (car e-8))) (let ((e-4 (cdr e-8))) (let ((e-11 (car e-4))) (let ((e-10 (cdr e-4))) (let ((eff-2 (CoreC-45NormaliseC-45Eval-getTerm e-11))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-12 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-12)))) (else (let ((e-12 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (cons (vector 7 e-34 e-35 e-2 e-9) (cons (CoreC-45NormaliseC-45Eval-gnf arg-0 arg-5 (vector 6 e-34 e-35 e-12)) e-10)))))) eff-3))))))))))))) eff-2))))))))))) eff-1)))))))))))) ((8) (let ((e-39 (vector-ref arg-6 1))) (let ((e-41 (vector-ref arg-6 3))) (let ((eff-0 (CoreC-45LinearCheck-lcheck arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-41))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((e-2 (car e-5))) (let ((e-3 (cdr e-5))) (let ((e-6 (car e-3))) (let ((e-7 (cdr e-3))) (let ((eff-1 (CoreC-45NormaliseC-45Eval-getNF arg-1 e-6))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-8 (vector-ref lcase-1 1))) (let ((eff-2 (case (vector-ref e-8 0) ((5) (let ((e-9 (vector-ref e-8 2))) (let ((e-4 (vector-ref e-8 3))) (let ((eff-2 (let ((eff-2 arg-1)) (PrimIO-io_bind (let ((eff-3 eff-2)) (lambda (eta-0) (unbox eff-3))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-10 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (cons (vector 8 e-39 e-9 e-2) (cons (CoreC-45Normalise-glueBack arg-1 arg-0 e-10 arg-5 e-4) e-7)))))) eff-3))))))))))(else (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 e-39 "Not a delayed type") eta-0)))))) eff-2))))))))))))) eff-1)))))))))) ((9) (let ((e-43 (vector-ref arg-6 1))) (let ((e-44 (vector-ref arg-6 2))) (lambda (eta-0) (vector 1 (cons (vector 9 e-43 e-44) (cons (CoreC-45NormaliseC-45Eval-gErased e-43) '()))))))) ((10) (let ((e-46 (vector-ref arg-6 1))) (let ((e-47 (vector-ref arg-6 2))) (lambda (eta-0) (vector 1 (cons (vector 10 e-46 e-47) (cons (CoreC-45NormaliseC-45Eval-gErased e-46) '()))))))) (else (let ((e-49 (vector-ref arg-6 1))) (let ((e-50 (vector-ref arg-6 2))) (lambda (eta-0) (vector 1 (cons (vector 11 e-49 e-50) (cons (CoreC-45NormaliseC-45Eval-gType e-49 (vector 2 "top" 0)) '()))))))))))
(define CoreC-45LinearCheck-getArgUsage (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45LinearCheck-n--9595-11928-u--getPUsage arg-5 arg-4 arg-3 arg-2 arg-1 arg-0 arg-4 eta-0)) arg-5 '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45LinearCheck-n--9595-11931-u--combine arg-5 arg-4 arg-3 arg-2 arg-1 arg-0 e-5))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 ((csegen-947) e-6))))) eff-2))))))))) eff-1)))))))))
(define CoreC-45LinearCheck-expandMeta (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9) (case (vector-ref arg-8 0) ((1) (let ((e-0 (vector-ref arg-8 1))) (let ((e-1 (vector-ref arg-8 2))) (let ((e-2 (vector-ref arg-8 3))) (let ((e-3 (vector-ref arg-8 4))) (let ((e-4 (vector-ref arg-8 5))) (if (null? e-1) (case (vector-ref e-2 0) ((1) (let ((e-7 (vector-ref e-2 1))) (let ((e-8 (vector-ref e-2 2))) (let ((eff-0 (CoreC-45LinearCheck-n--9653-14095-u--substMeta arg-0 e-0 e-3 e-4 e-7 e-8 arg-9 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 '() arg-0 (CoreC-45TT-embed e-8) arg-9 '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45LinearCheck-lcheck arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-5))) eff-1))))))))))(else (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 (string-append "Badly formed metavar solution " (string-append (CoreC-45Name-u--show_Show_Name arg-6) (string-append " " (CoreC-45ContextC-45Context-u--show_Show_Def arg-8))))) eta-0)))) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 (string-append "Badly formed metavar solution " (string-append (CoreC-45Name-u--show_Show_Name arg-6) (string-append " " (CoreC-45ContextC-45Context-u--show_Show_Def arg-8))))) eta-0)))))))))(else (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 (string-append "Badly formed metavar solution " (string-append (CoreC-45Name-u--show_Show_Name arg-6) (string-append " " (CoreC-45ContextC-45Context-u--show_Show_Def arg-8))))) eta-0))))))
(define CoreC-45LinearCheck-doneScope (lambda (arg-2) (if (null? arg-2) '() (let ((e-2 (car arg-2))) (let ((e-3 (cdr arg-2))) (let ((eff-0 e-2)) (cond ((equal? eff-0 0) (CoreC-45LinearCheck-doneScope e-3))(else (let ((e-8 (- eff-0 1))) (cons e-8 (CoreC-45LinearCheck-doneScope e-3)))))))))))
(define CoreC-45LinearCheck-discharge (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9) (case (vector-ref arg-5 0) ((0) (let ((e-1 (vector-ref arg-5 1))) (let ((e-2 (vector-ref arg-5 2))) (let ((e-3 (vector-ref arg-5 3))) (let ((e-4 (vector-ref arg-5 4))) (let ((eff-0 (CoreC-45NormaliseC-45Eval-getTerm arg-8))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (cons (vector 3 arg-3 arg-4 (vector 0 e-1 e-2 e-3 e-4) arg-7) (cons (CoreC-45NormaliseC-45Eval-gnf arg-0 arg-2 (vector 3 arg-3 arg-4 (vector 2 e-1 e-2 e-3 e-4) e-5)) arg-9)))))) eff-1)))))))))))) ((1) (let ((e-6 (vector-ref arg-5 1))) (let ((e-7 (vector-ref arg-5 2))) (let ((e-8 (vector-ref arg-5 3))) (let ((e-9 (vector-ref arg-5 4))) (let ((eff-0 (CoreC-45NormaliseC-45Eval-getTerm arg-8))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (cons (vector 3 arg-3 arg-4 (vector 1 e-6 e-7 e-8 e-9) arg-7) (cons (CoreC-45NormaliseC-45Eval-gnf arg-0 arg-2 (vector 3 arg-3 arg-4 (vector 1 e-6 e-7 e-8 e-9) e-5)) arg-9)))))) eff-1)))))))))))) ((2) (let ((e-11 (vector-ref arg-5 1))) (let ((e-12 (vector-ref arg-5 2))) (let ((e-13 (vector-ref arg-5 3))) (let ((e-14 (vector-ref arg-5 4))) (lambda (eta-0) (vector 1 (cons (vector 3 arg-3 arg-4 (vector 2 e-11 e-12 e-13 e-14) arg-7) (cons arg-6 arg-9))))))))) ((3) (let ((e-16 (vector-ref arg-5 1))) (let ((e-17 (vector-ref arg-5 2))) (let ((e-18 (vector-ref arg-5 3))) (let ((e-19 (vector-ref arg-5 4))) (let ((eff-0 (CoreC-45NormaliseC-45Eval-getTerm arg-8))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (cons (vector 3 arg-3 arg-4 (vector 3 e-16 e-17 e-18 e-19) arg-7) (cons (CoreC-45NormaliseC-45Eval-gnf arg-0 arg-2 (vector 3 arg-3 arg-4 (vector 5 e-16 e-17 e-19) e-5)) arg-9)))))) eff-1)))))))))))) ((4) (let ((e-21 (vector-ref arg-5 1))) (let ((e-22 (vector-ref arg-5 2))) (let ((e-23 (vector-ref arg-5 3))) (let ((e-24 (vector-ref arg-5 4))) (let ((eff-0 (CoreC-45NormaliseC-45Eval-getTerm arg-8))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (cons (vector 3 arg-3 arg-4 (vector 4 e-21 e-22 e-23 e-24) arg-7) (cons (CoreC-45NormaliseC-45Eval-gnf arg-0 arg-2 (vector 3 arg-3 arg-4 (vector 4 e-21 e-22 e-23 e-24) e-5)) arg-9)))))) eff-1)))))))))))) (else (let ((e-26 (vector-ref arg-5 1))) (let ((e-27 (vector-ref arg-5 2))) (let ((e-28 (vector-ref arg-5 3))) (lambda (eta-0) (vector 1 (cons (vector 3 arg-3 arg-4 (vector 5 e-26 e-27 e-28) arg-7) (cons arg-6 arg-9)))))))))))
(define CoreC-45LinearCheck-count (lambda (arg-1 arg-2) (if (null? arg-2) 0 (let ((e-2 (car arg-2))) (let ((e-3 (cdr arg-2))) (let ((sc1 (or (and (= arg-1 (CoreC-45TT-varIdx e-2)) 1) 0))) (cond ((equal? sc1 1) (+ (CoreC-45LinearCheck-count arg-1 e-3) 1)) (else (CoreC-45LinearCheck-count arg-1 e-3)))))))))
(define CoreC-45LinearCheck-checkEnvUsage (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8) (if (null? arg-0) (lambda (clam-0) (vector 1 (vector 0 ))) (let ((e-2 (car arg-0))) (let ((e-3 (cdr arg-0))) (let ((e-8 (car arg-6))) (let ((e-9 (cdr arg-6))) (let ((u--pos (CoreC-45LinearCheck-localPrf arg-1))) (let ((u--used_in (CoreC-45LinearCheck-count (CoreC-45TT-varIdx u--pos) arg-7))) (let ((eff-0 (let ((sc2 (AlgebraC-45Semiring-isLinear (csegen-1156) (CoreC-45TT-multiplicity e-8)))) (cond ((equal? sc2 1) (CoreC-45LinearCheck-updateHoleUsage (PreludeC-45TypesC-45List-tailRecAppend arg-1 (cons e-2 e-3)) arg-2 arg-3 (or (and (= u--used_in 0) 1) 0) u--pos '() arg-8)) (else (lambda (eta-0) (vector 1 0))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--used (let ((sc3 (let ((sc4 (AlgebraC-45Semiring-isLinear (csegen-1156) (AlgebraC-45ZeroOneOmega-rigMult (CoreC-45TT-multiplicity e-8) arg-5)))) (cond ((equal? sc4 1) (cond ((equal? e-5 1) (or (and (= u--used_in 0) 1) 0)) (else 0))) (else 0))))) (cond ((equal? sc3 1) 1) (else u--used_in))))) (let ((eff-1 (lambda (eta-0) (CoreC-45LinearCheck-n--17122-14708-u--checkUsageOK e-2 e-3 e-9 e-8 arg-1 arg-8 arg-7 arg-5 arg-4 arg-3 arg-2 u--used (AlgebraC-45ZeroOneOmega-rigMult (CoreC-45TT-multiplicity e-8) arg-5) eta-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-2 (CoreC-45LinearCheck-checkEnvUsage e-3 (PreludeC-45TypesC-45List-tailRecAppend arg-1 (cons e-2 '())) arg-2 arg-3 arg-4 arg-5 e-9 arg-7 arg-8))) eff-2))))))))) eff-1))))))))))))))))
(define CoreC-45LinearCheck-C-43C-43 (lambda (arg-1 arg-2) (if (null? arg-1) arg-2 (let ((e-2 (car arg-1))) (let ((e-3 (cdr arg-1))) (cons e-2 (CoreC-45LinearCheck-C-43C-43 e-3 arg-2)))))))
(define TTImpC-45ProcessTransform-processTransform (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12) (let ((eff-0 (CoreC-45Context-inCurrentNS arg-1 arg-10))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-resolveName arg-1 e-5))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45ProcessDef-checkLHS arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 1 (AlgebraC-45ZeroOneOmega-u--top_Top_ZeroOneOmega) e-6 arg-6 arg-7 arg-8 arg-9 arg-11))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((e-3 (cdr e-7))) (let ((e-9 (car e-3))) (let ((e-8 (cdr e-3))) (let ((e-10 (car e-8))) (let ((e-11 (cdr e-8))) (let ((e-14 (car e-11))) (let ((e-15 (cdr e-11))) (let ((e-18 (car e-15))) (let ((e-19 (cdr e-15))) (let ((e-22 (car e-19))) (let ((e-23 (cdr e-19))) (let ((eff-3 (CoreC-45ContextC-45Log-logTerm e-9 arg-1 ((csegen-0) "transform.lhs") 3 (lambda () ((csegen-0) "Transform LHS")) e-22))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-4 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-4 (let ((eff-4 (CoreC-45Core-wrapError (lambda (eta-0) (vector 69 arg-9 arg-10 eta-0)) (TTImpC-45Elab-checkTermSub arg-0 e-9 arg-1 arg-2 arg-3 arg-4 arg-5 e-6 (vector 2 ) (cons 3 arg-6) e-18 e-14 arg-8 e-10 arg-12 (CoreC-45NormaliseC-45Eval-gnf e-9 e-14 e-23))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-4 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-13 (vector-ref lcase-4 1))) (let ((eff-5 (let ((eff-5 (CoreC-45Metadata-clearHoleLHS arg-2))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-4 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-6 (let ((eff-6 (CoreC-45ContextC-45Log-logTerm e-9 arg-1 ((csegen-0) "transform.rhs") 3 (lambda () ((csegen-0) "Transform RHS")) e-13))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-4 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-7 (CoreC-45Context-addTransform arg-1 arg-9 (vector e-9 e-5 e-14 e-22 e-13)))) eff-7)))))))) eff-6)))))))) eff-5))))))))) eff-4))))))))))))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))
(define TTImpC-45ProcessDef-with--withC-32blockC-32inC-32nameListEq-14315 (lambda (arg-0 arg-1 arg-2 arg-3) (if (null? arg-2) '() (box (vector 0 )))))
(define TTImpC-45ProcessDef-with--nameListEq-14308 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (if (null? arg-2) '() (TTImpC-45ProcessDef-with--withC-32blockC-32inC-32nameListEq-14315 arg-4 arg-3 (TTImpC-45ProcessDef-nameListEq arg-3 arg-4) arg-0))))
(define TTImpC-45ProcessDef-with--extendEnv-7454 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19) (if (null? arg-2) (csegen-3413) (TTImpC-45ProcessDef-extendEnv (cons arg-0 arg-4) (cons (vector 1 arg-14 arg-13 arg-11 arg-12) arg-19) (vector 1 arg-18) (TTImpC-45TTImp-u--weaken_Weaken_NestedNames arg-17) arg-15 arg-16))))
(define TTImpC-45ProcessDef-with--extendEnv-7365 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18) (if (null? arg-2) (csegen-3413) (TTImpC-45ProcessDef-extendEnv (cons arg-0 arg-4) (cons (vector 3 arg-13 arg-12 arg-11 arg-10) arg-18) (vector 1 arg-17) (TTImpC-45TTImp-u--weaken_Weaken_NestedNames arg-16) arg-14 arg-15))))
(define TTImpC-45ProcessDef-case--caseC-32blockC-32inC-32lookupOrAddAlias-16327 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17) (if (null? arg-17) (lambda (eta-0) (vector 1 '())) (let ((e-1 (unbox arg-17))) (let ((e-6 (cdr e-1))) (let ((eff-0 (CoreC-45ContextC-45Log-log arg-13 "declare.def" 5 (lambda () (string-append "Missing type declaration for the alias " (string-append (CoreC-45Name-u--show_Show_Name arg-5) ". Checking first whether it is a misspelling.")))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (let ((eff-1 (CoreC-45Context-getSimilarNames arg-13 arg-5))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-8) (lambda (eta-0) (vector 1 '())) (let ((e-2 (unbox e-8))) (let ((e-10 (car e-2))) (let ((e-9 (cdr e-2))) (let ((eff-2 (PreludeC-45Basics-flip (csegen-1569) e-9 (lambda (lamc-0) (let ((e-4 (car lamc-0))) (let ((e-3 (cdr lamc-0))) (let ((eff-2 (CoreC-45Context-lookupCtxtExact e-4 (let ((e-0 (vector-ref arg-15 0))) e-0)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-11 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-2 1))) (let ((eff-3 (if (null? e-11) (lambda (eta-0) (vector 1 '())) (let ((e-12 (unbox e-11))) (lambda (clam-0) (let ((e-17 (vector-ref e-12 17))) (case (vector-ref e-17 0) ((0) (vector 1 (box (cons e-4 e-3))))(else (vector 1 '()))))))))) eff-3))))))))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-3 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-11 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (CoreC-45Context-showSimilarNames (let ((e-39 (vector-ref arg-15 2))) e-39) arg-5 e-10 (DataC-45List-catMaybes e-11)))))) eff-3))))))))))))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-8) (let ((eff-2 (CoreC-45ContextC-45Log-log arg-13 (csegen-3414) 5 (lambda () ((csegen-0) "Not a misspelling: go ahead and declare it!"))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (let ((eff-3 (TTImpC-45ProcessType-processType arg-0 arg-13 arg-14 arg-12 arg-11 arg-10 arg-9 arg-8 arg-7 arg-6 (AlgebraC-45ZeroOneOmega-u--top_Top_ZeroOneOmega) 2 '() (vector arg-6 arg-6 arg-5 (TTImpC-45ProcessDef-n--26218-16210-u--holeyType arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 ((csegen-947) e-6)))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-4 (let ((eff-4 (let ((eff-4 arg-13)) (PrimIO-io_bind (let ((eff-5 eff-4)) (lambda (eta-0) (unbox eff-5))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (CoreC-45Context-lookupCtxtExact arg-5 (let ((e-0 (vector-ref e-11 0))) e-0)))) eff-5))))))))) eff-4)))))))) eff-3)))))) (let ((e-2 (car e-8))) (let ((e-3 (cdr e-8))) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 70 (vector 38 arg-6 arg-5) (cons e-2 e-3)) eta-0))))))) eff-2))))))))) eff-1)))))))))))
(define TTImpC-45ProcessDef-case--caseC-32blockC-32inC-32mkRunTime-15308 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11) (case (vector-ref arg-11 0) ((1) (let ((e-0 (vector-ref arg-11 1))) (let ((e-1 (vector-ref arg-11 2))) (let ((e-2 (vector-ref arg-11 3))) (let ((e-4 (vector-ref arg-11 5))) (let ((u--ty (let ((e-24 (vector-ref arg-8 2))) e-24))) (lambda () (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (TTImpC-45ProcessDef-n--24836-14943-u--toErased arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 (let ((e-26 (vector-ref arg-8 0))) e-26) (TTImpC-45ProcessDef-n--24836-14942-u--getSpec arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 (let ((e-11 (vector-ref arg-8 11))) e-11)) eta-0)) e-4 '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--clauses_init (((csegen-25) (lambda (eta-0) (TTImpC-45ProcessDef-n--24836-14944-u--toClause arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 (let ((e-27 (vector-ref arg-8 0))) e-27) eta-0))) e-5))) (let ((u--clauses (case (vector-ref arg-10 0) ((1) (TTImpC-45ProcessDef-n--24836-14941-u--addErrorCase arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 u--clauses_init))(else u--clauses_init)))) (let ((eff-1 (CoreC-45CaseC-45CaseBuilder-getPMDef arg-6 (let ((e-27 (vector-ref arg-8 0))) e-27) '() arg-0 u--ty u--clauses))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-6 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((e-8 (car e-6))) (let ((e-7 (cdr e-6))) (let ((e-10 (car e-7))) (let ((eff-2 (CoreC-45ContextC-45Log-unverifiedLogC arg-6 (csegen-3416) 5 (let ((eff-2 (CoreC-45Context-toFullNames arg-6 (csegen-3419) e-10))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-11 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (DataC-45String-fastUnlines (cons (string-append (CoreC-45TT-u--show_Show_Covering arg-10) ":") (cons (string-append ((csegen-0) "Runtime tree for ") (string-append (CoreC-45Name-u--show_Show_Name (let ((e-32 (vector-ref arg-8 1))) e-32)) ":")) (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--show_Show_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-indent 2 (CoreC-45CaseC-45CaseTreeC-45PrettyC-45Raw-prettyTree e-8 e-11))) '())))))))) eff-3)))))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-11 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((eff-3 (let ((eff-3 (CoreC-45ContextC-45Log-log arg-6 (csegen-3416) 10 (lambda () (CoreC-45CaseC-45CaseTree-u--show_Show_C-40CaseTreeC-32C-36varsC-41 e-8 e-10))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-12 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-12)))) (else (let ((eff-4 (let ((eff-4 (CoreC-45ContextC-45Log-log arg-6 ((csegen-0) "compile.casetree.measure") 15 (lambda () (PreludeC-45Show-u--show_Show_Nat (CoreC-45CaseC-45CaseTree-measure e-10)))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-13 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((eff-5 (let ((sc8 (TTImpC-45ProcessDef-nameListEq e-1 e-8))) (if (null? sc8) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 "WAT") eta-0)) (let ((eff-5 (let ((eff-5 (CoreC-45Context-addDef arg-6 arg-0 (let ((e-36 (vector-ref arg-8 0))) (let ((e-35 (vector-ref arg-8 1))) (let ((e-34 (vector-ref arg-8 2))) (let ((e-33 (vector-ref arg-8 3))) (let ((e-32 (vector-ref arg-8 4))) (let ((e-31 (vector-ref arg-8 5))) (let ((e-30 (vector-ref arg-8 6))) (let ((e-29 (vector-ref arg-8 7))) (let ((e-28 (vector-ref arg-8 8))) (let ((e-27 (vector-ref arg-8 9))) (let ((e-26 (vector-ref arg-8 10))) (let ((e-25 (vector-ref arg-8 11))) (let ((e-24 (vector-ref arg-8 12))) (let ((e-23 (vector-ref arg-8 13))) (let ((e-22 (vector-ref arg-8 14))) (let ((e-15 (vector-ref arg-8 15))) (let ((e-16 (vector-ref arg-8 16))) (let ((e-18 (vector-ref arg-8 18))) (let ((e-19 (vector-ref arg-8 19))) (let ((e-20 (vector-ref arg-8 20))) (let ((e-21 (vector-ref arg-8 21))) (vector e-36 e-35 e-34 e-33 e-32 e-31 e-30 e-29 e-28 e-27 e-26 e-25 e-24 e-23 e-22 e-15 e-16 (vector 1 e-0 e-1 e-2 e-10 e-4) e-18 e-19 e-20 e-21))))))))))))))))))))))))) (((csegen-50) ((let ((eff-6 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-15 (vector-ref eta-3 1))) (vector 0 e-15))) (else (let ((e-15 (vector-ref eta-3 1))) (vector 1 (eta-2 e-15))))))))))) (lambda (arg-12) (lambda (arg-13) ((((eff-6 'erased) 'erased) arg-12) arg-13)))) (lambda (_-8679) (vector 0 )))) eff-5)))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-15 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-15)))) (else (let ((eff-6 (let ((eff-6 (CoreC-45Context-toFullNames arg-6 (csegen-81) arg-0))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-16 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-16)))) (else (let ((e-16 (vector-ref lcase-6 1))) (let ((eff-7 (let ((sc11 (let ((sc12 (TTImpC-45ProcessDef-n--24836-14937-u--caseName arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-16))) (cond ((equal? sc12 1) (TTImpC-45ProcessDef-n--24836-14936-u--noInline arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 (let ((e-27 (vector-ref arg-8 11))) e-27))) (else 0))))) (cond ((equal? sc11 1) (let ((eff-7 (TTImpC-45ElabC-45Utils-canInlineCaseBlock arg-6 arg-0))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-17 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-17)))) (else (let ((e-17 (vector-ref lcase-7 1))) (let ((eff-8 (cond ((equal? e-17 1) (let ((eff-8 (let ((eff-8 (CoreC-45Context-toFullNames arg-6 (csegen-81) arg-0))) (PrimIO-io_bind eff-8 (lambda (lcase-8) (case (vector-ref lcase-8 0) ((0) (let ((e-18 (vector-ref lcase-8 1))) (lambda (eta-0) (vector 0 e-18)))) (else (let ((e-18 (vector-ref lcase-8 1))) (let ((eff-9 (CoreC-45ContextC-45Log-log arg-6 ((csegen-0) "compiler.inline.eval") 5 (lambda () (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons ((csegen-0) "Marking ") (cons ((csegen-0) (CoreC-45Name-u--show_Show_Name e-18)) (cons ((csegen-0) " for inlining in runtime case tree.") '())))))))) eff-9))))))))) (PrimIO-io_bind eff-8 (lambda (lcase-8) (case (vector-ref lcase-8 0) ((0) (let ((e-18 (vector-ref lcase-8 1))) (lambda (eta-0) (vector 0 e-18)))) (else (let ((eff-9 (CoreC-45Context-setFlag arg-6 arg-1 arg-0 (vector 0 )))) eff-9))))))) (else (lambda (eta-0) (vector 1 (vector 0 ))))))) eff-8)))))))) (else (lambda (eta-0) (vector 1 (vector 0 )))))))) eff-7))))))))) eff-6)))))))))) eff-5)))))))) eff-4)))))))) eff-3))))))))))) eff-2))))))))))) eff-1))))))))))))))(else (lambda () (lambda (eta-0) (vector 1 (vector 0 ))))))))
(define TTImpC-45ProcessDef-case--caseC-32blockC-32inC-32calcRefs-14518 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (case (vector-ref arg-7 0) ((1) (let ((e-2 (vector-ref arg-7 3))) (let ((e-3 (vector-ref arg-7 4))) (let ((u--refs (cond ((equal? arg-2 1) (let ((e-13 (vector-ref arg-5 13))) e-13)) (else (let ((e-12 (vector-ref arg-5 12))) e-12))))) (if (null? u--refs) (let ((u--tree (cond ((equal? arg-2 1) e-3) (else e-2)))) (let ((u--metas (CoreC-45CaseC-45CaseTree-getMetas u--tree))) (let ((eff-0 (CoreC-45Core-traverse_ (lambda (eta-0) (CoreC-45Context-addToSave arg-3 eta-0)) (LibrariesC-45DataC-45NameMap-keys u--metas)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((eff-1 (let ((u--refs_all (CoreC-45CaseC-45CaseTree-addRefs arg-1 u--metas u--tree))) (let ((eff-1 (cond ((equal? arg-2 1) (TTImpC-45ProcessDef-n--24168-14353-u--dropErased arg-0 arg-1 arg-2 arg-3 (LibrariesC-45DataC-45NameMap-keys u--refs_all) u--refs_all)) (else (lambda (eta-0) (vector 1 u--refs_all)))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-6 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (let ((eff-2 (cond ((equal? arg-2 1) (CoreC-45Context-addDef arg-3 arg-0 (let ((e-28 (vector-ref arg-5 0))) (let ((e-27 (vector-ref arg-5 1))) (let ((e-26 (vector-ref arg-5 2))) (let ((e-25 (vector-ref arg-5 3))) (let ((e-24 (vector-ref arg-5 4))) (let ((e-23 (vector-ref arg-5 5))) (let ((e-22 (vector-ref arg-5 6))) (let ((e-7 (vector-ref arg-5 7))) (let ((e-8 (vector-ref arg-5 8))) (let ((e-9 (vector-ref arg-5 9))) (let ((e-10 (vector-ref arg-5 10))) (let ((e-11 (vector-ref arg-5 11))) (let ((e-12 (vector-ref arg-5 12))) (let ((e-14 (vector-ref arg-5 14))) (let ((e-15 (vector-ref arg-5 15))) (let ((e-16 (vector-ref arg-5 16))) (let ((e-17 (vector-ref arg-5 17))) (let ((e-18 (vector-ref arg-5 18))) (let ((e-19 (vector-ref arg-5 19))) (let ((e-20 (vector-ref arg-5 20))) (let ((e-21 (vector-ref arg-5 21))) (vector e-28 e-27 e-26 e-25 e-24 e-23 e-22 e-7 e-8 e-9 e-10 e-11 e-12 (box e-6) e-14 e-15 e-16 e-17 e-18 e-19 e-20 e-21)))))))))))))))))))))))) (else (CoreC-45Context-addDef arg-3 arg-0 (let ((e-28 (vector-ref arg-5 0))) (let ((e-27 (vector-ref arg-5 1))) (let ((e-26 (vector-ref arg-5 2))) (let ((e-25 (vector-ref arg-5 3))) (let ((e-24 (vector-ref arg-5 4))) (let ((e-23 (vector-ref arg-5 5))) (let ((e-22 (vector-ref arg-5 6))) (let ((e-7 (vector-ref arg-5 7))) (let ((e-8 (vector-ref arg-5 8))) (let ((e-9 (vector-ref arg-5 9))) (let ((e-10 (vector-ref arg-5 10))) (let ((e-11 (vector-ref arg-5 11))) (let ((e-13 (vector-ref arg-5 13))) (let ((e-14 (vector-ref arg-5 14))) (let ((e-15 (vector-ref arg-5 15))) (let ((e-16 (vector-ref arg-5 16))) (let ((e-17 (vector-ref arg-5 17))) (let ((e-18 (vector-ref arg-5 18))) (let ((e-19 (vector-ref arg-5 19))) (let ((e-20 (vector-ref arg-5 20))) (let ((e-21 (vector-ref arg-5 21))) (vector e-28 e-27 e-26 e-25 e-24 e-23 e-22 e-7 e-8 e-9 e-10 e-11 (box e-6) e-13 e-14 e-15 e-16 e-17 e-18 e-19 e-20 e-21))))))))))))))))))))))))))) (((csegen-50) ((let ((eff-3 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-7 (vector-ref eta-3 1))) (vector 0 e-7))) (else (let ((e-7 (vector-ref eta-3 1))) (vector 1 (eta-2 e-7))))))))))) (lambda (arg-8) (lambda (arg-9) ((((eff-3 'erased) 'erased) arg-8) arg-9)))) (lambda (_-8679) (vector 0 )))) eff-2)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-7 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((eff-3 (CoreC-45Core-traverse_ (lambda (eta-0) (TTImpC-45ProcessDef-calcRefs arg-3 arg-2 arg-1 eta-0)) (LibrariesC-45DataC-45NameMap-keys e-6)))) eff-3)))))))) eff-2)))))))))) eff-1)))))))) (lambda (eta-0) (vector 1 (vector 0 ))))))))(else (lambda (eta-0) (vector 1 (vector 0 )))))))
(define TTImpC-45ProcessDef-case--caseC-32blockC-32inC-32caseC-32blockC-32inC-32caseC-32blockC-32inC-32caseC-32blockC-32inC-32caseC-32blockC-32inC-32caseC-32blockC-32inC-32caseC-32blockC-32inC-32checkClause-12530 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20 arg-21 arg-22 arg-23 arg-24 arg-25 arg-26 arg-27 arg-28 arg-29 arg-30 arg-31 arg-32 arg-33 arg-34 arg-35 arg-36 arg-37 arg-38 arg-39 arg-40 arg-41 arg-42 arg-43 arg-44 arg-45 arg-46 arg-47 arg-48 arg-49 arg-50 arg-51 arg-52 arg-53 arg-54) (if (null? arg-54) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 "Impossible happened: With abstraction failure #4") eta-0)) (let ((e-1 (unbox arg-54))) (let ((e-5 (car e-1))) (let ((e-6 (cdr e-1))) (let ((e-9 (car e-6))) (let ((e-10 (cdr e-6))) (let ((u--wargNames (PreludeC-45TypesC-45List-tailRecAppend ((csegen-1033) e-5) (cons '() ((csegen-1033) arg-48))))) (let ((eff-0 (CoreC-45ContextC-45Log-logTerm '() arg-20 "declare.def.clause.with" 3 (lambda () "With function type") e-10))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45ContextC-45Log-log arg-20 "declare.def.clause.with" 5 (lambda () (string-append "Argument names " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-3433) u--wargNames)))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-20 (csegen-81) (vector 8 arg-11)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-11 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45Context-prettyName arg-20 e-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-12 (vector-ref lcase-3 1))) (let ((eff-4 (CoreC-45UnifyState-genWithName arg-20 arg-18 e-12))) eff-4))))))))) eff-3))))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-11 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45Context-addDef arg-20 e-11 (let ((sc6 (CoreC-45Context-newDef (TTImpC-45ProcessDef-n--18245-10432-u--vfc arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20) e-11 (let ((sc7 (AlgebraC-45Semiring-isErased (csegen-1156) arg-15))) (cond ((equal? sc7 1) (csegen-54)) (else (AlgebraC-45ZeroOneOmega-u--top_Top_ZeroOneOmega)))) arg-7 e-10 arg-14 (vector 0 )))) (let ((e-0 (vector-ref sc6 0))) (let ((e-29 (vector-ref sc6 1))) (let ((e-2 (vector-ref sc6 2))) (let ((e-3 (vector-ref sc6 3))) (let ((e-4 (vector-ref sc6 4))) (let ((e-28 (vector-ref sc6 5))) (let ((e-27 (vector-ref sc6 6))) (let ((e-26 (vector-ref sc6 7))) (let ((e-25 (vector-ref sc6 8))) (let ((e-24 (vector-ref sc6 9))) (let ((e-23 (vector-ref sc6 10))) (let ((e-22 (vector-ref sc6 11))) (let ((e-12 (vector-ref sc6 12))) (let ((e-13 (vector-ref sc6 13))) (let ((e-14 (vector-ref sc6 14))) (let ((e-15 (vector-ref sc6 15))) (let ((e-16 (vector-ref sc6 16))) (let ((e-17 (vector-ref sc6 17))) (let ((e-18 (vector-ref sc6 18))) (let ((e-19 (vector-ref sc6 19))) (let ((e-20 (vector-ref sc6 20))) (let ((e-21 (vector-ref sc6 21))) (vector e-0 e-29 e-2 e-3 e-4 e-28 e-27 e-26 e-25 e-24 e-23 (cons (vector 6 arg-13) e-22) e-12 e-13 e-14 e-15 e-16 e-17 e-18 e-19 e-20 e-21))))))))))))))))))))))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-4 (let ((u--toWarg (PreludeC-45Basics-flip (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (PreludeC-45Types-maybe eta-0 eta-1 eta-2)))) (lambda () (lambda (u--pn) (cons (cons '() (vector 0 (TTImpC-45ProcessDef-n--18245-10432-u--vfc arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20) (Builtin-snd u--pn))) '()))) (lambda () (cons (cons '() arg-3) (if (null? arg-2) '() (let ((u--fc (CoreC-45FC-emptyFC))) (let ((u--refl (vector 0 u--fc (vector 0 (CoreC-45NameC-45Namespace-builtinNS) (vector 1 (vector 0 "Refl")))))) (cons (cons arg-2 (vector 10 u--fc u--refl (vector 1 (vector 0 "x")) arg-3)) '()))))))))) (let ((u--rhs_in (TTImpC-45TTImp-gapply (vector 0 (TTImpC-45ProcessDef-n--18245-10432-u--vfc arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20) e-11) (PreludeC-45TypesC-45List-tailRecAppend (((csegen-25) (lambda (u--nm) (cons '() (vector 0 (TTImpC-45ProcessDef-n--18245-10432-u--vfc arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20) u--nm)))) e-9) (PreludeC-45Interfaces-concatMap (csegen-83) (csegen-16) u--toWarg u--wargNames))))) (let ((eff-4 (CoreC-45ContextC-45Log-log arg-20 "declare.def.clause.with" 3 (lambda () (string-append "Applying to with argument " (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 (csegen-100) u--rhs_in)))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-5 (let ((eff-5 (let ((eff-5 (CoreC-45Context-getFullName arg-20 (vector 8 arg-11)))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-14 (vector-ref lcase-5 1))) (let ((eff-6 (TTImpC-45ElabC-45Utils-wrapErrorC arg-10 (lambda (eta-0) (vector 69 arg-6 e-14 eta-0)) (TTImpC-45Elab-checkTermSub arg-7 arg-22 arg-20 arg-19 arg-18 arg-17 arg-16 arg-11 arg-29 arg-10 arg-25 arg-53 arg-8 arg-23 u--rhs_in (CoreC-45NormaliseC-45Eval-gnf arg-22 arg-53 arg-27))))) eff-6))))))))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-14 (vector-ref lcase-5 1))) (let ((eff-6 (let ((eff-6 (CoreC-45Core-traverseC-39 (lambda (eta-0) (TTImpC-45ProcessDef-n--18245-10436-u--mkClauseWith arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20 1 e-11 u--wargNames arg-21 eta-0)) arg-0 '()))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-2 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-15 (vector-ref lcase-6 1))) (let ((eff-7 (let ((eff-7 (CoreC-45ContextC-45Log-log arg-20 "declare.def.clause.with" 3 (lambda () (string-append "With clauses: " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-2424) e-15)))))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-2 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-8 (let ((eff-8 (TTImpC-45ProcessDef-applyEnv arg-7 arg-20 arg-8 e-11))) (PrimIO-io_bind eff-8 (lambda (lcase-8) (case (vector-ref lcase-8 0) ((0) (let ((e-2 (vector-ref lcase-8 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-17 (vector-ref lcase-8 1))) (let ((eff-9 (let ((u--nestC-39C-39 (let ((eff-9 arg-9)) (cons e-17 eff-9)))) (let ((u--wdef (vector 2 arg-6 e-11 e-15))) (let ((eff-9 (TTImpC-45ElabC-45Check-processDecl arg-7 arg-20 arg-19 arg-18 arg-17 arg-16 '() u--nestC-39C-39 arg-8 u--wdef))) (PrimIO-io_bind eff-9 (lambda (lcase-9) (case (vector-ref lcase-9 0) ((0) (let ((e-2 (vector-ref lcase-9 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-10 (lambda (eta-0) (vector 1 (vector 1 (vector arg-22 arg-53 arg-26 e-14)))))) eff-10)))))))))) eff-9))))))))) eff-8)))))))) eff-7))))))))) eff-6))))))))) eff-5)))))))))) eff-4)))))))) eff-3))))))))) eff-2)))))))) eff-1)))))))))))))))
(define TTImpC-45ProcessDef-case--caseC-32blockC-32inC-32caseC-32blockC-32inC-32caseC-32blockC-32inC-32caseC-32blockC-32inC-32caseC-32blockC-32inC-32checkClause-12033 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20 arg-21 arg-22 arg-23 arg-24 arg-25 arg-26 arg-27 arg-28 arg-29 arg-30 arg-31 arg-32 arg-33 arg-34 arg-35 arg-36 arg-37 arg-38 arg-39 arg-40 arg-41) (if (null? arg-41) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 "Impossible happened: With abstraction failure #3") eta-0)) (let ((e-1 (unbox arg-41))) (let ((eff-0 (TTImpC-45ProcessDef-n--18245-10434-u--bindWithArgs arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20 arg-4 arg-40 (PreludeC-45Interfaces-C-60C-36C-62 (csegen-76) (lambda (__leftTupleSection-0) (cons __leftTupleSection-0 arg-39)) arg-2) e-1))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((e-2 (car e-5))) (let ((e-3 (cdr e-5))) (let ((e-6 (car e-3))) (let ((e-7 (cdr e-3))) (let ((e-10 (car e-7))) (let ((e-11 (cdr e-7))) (let ((u--bnr (TTImpC-45ElabC-45Utils-bindNotReq arg-22 (TTImpC-45ProcessDef-n--18245-10432-u--vfc arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20) 0 arg-24 arg-38 '() arg-27))) (let ((u--notreqns (Builtin-fst u--bnr))) (let ((u--notreqty (Builtin-snd u--bnr))) (let ((eff-1 (lambda (clam-0) (let ((sc5 (PreludeC-45Types-elem (csegen-16) (cons (lambda (arg-528) (lambda (arg-531) (TTImpC-45TTImp-u--C-61C-61_Eq_WithFlag arg-528 arg-531))) (lambda (arg-538) (lambda (arg-541) (TTImpC-45TTImp-u--C-47C-61_Eq_WithFlag arg-538 arg-541)))) (vector 0 ) arg-1))) (cond ((equal? sc5 1) (CoreC-45Context-clearDefs arg-34 clam-0)) (else (vector 1 arg-34))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-8 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (let ((eff-2 (CoreC-45NormaliseC-45Eval-nf arg-20 (PreludeC-45TypesC-45List-tailRecAppend e-2 arg-37) e-8 e-6 (CoreC-45TT-u--weakenNs_Weaken_Term (CoreC-45TTC-45SizeOf-mkSizeOf e-2) arg-39)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-9 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45NormaliseC-45Eval-nf arg-20 (PreludeC-45TypesC-45List-tailRecAppend e-2 arg-37) e-8 e-6 (CoreC-45TT-u--weakenNs_Weaken_Term (CoreC-45TTC-45SizeOf-mkSizeOf e-2) u--notreqty)))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-4 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-12 (vector-ref lcase-3 1))) (let ((eff-4 (CoreC-45Normalise-replace arg-20 (PreludeC-45TypesC-45List-tailRecAppend e-2 arg-37) e-8 e-6 e-9 e-10 e-12))) eff-4))))))))) eff-3))))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-9 (vector-ref lcase-2 1))) (let ((eff-3 (let ((u--bNotReq (e-11 e-9))) (let ((u--envC-39 (TTImpC-45ProcessDef-n--18245-10433-u--mkExplicit arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20 arg-24))) (let ((_-0 (cons e-2 (cons e-6 (cons e-10 e-11))))) (TTImpC-45ProcessDef-case--caseC-32blockC-32inC-32caseC-32blockC-32inC-32caseC-32blockC-32inC-32caseC-32blockC-32inC-32caseC-32blockC-32inC-32caseC-32blockC-32inC-32caseC-32blockC-32inC-32checkClause-12530 arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20 arg-21 arg-22 arg-23 arg-24 arg-25 arg-26 arg-27 arg-28 arg-29 arg-30 arg-31 arg-32 arg-33 arg-34 arg-35 arg-36 arg-37 arg-38 arg-39 arg-40 e-1 e-2 e-6 e-10 e-11 _-0 u--bnr u--notreqns u--notreqty e-8 e-9 u--bNotReq u--envC-39 (TTImpC-45ElabC-45Utils-bindReq arg-22 (TTImpC-45ProcessDef-n--18245-10432-u--vfc arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20) u--envC-39 arg-38 '() u--bNotReq))))))) eff-3))))))))) eff-2)))))))))))))))))) eff-1)))))))))))
(define TTImpC-45ProcessDef-case--caseC-32blockC-32inC-32caseC-32blockC-32inC-32checkClause-11734 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20 arg-21 arg-22 arg-23 arg-24 arg-25 arg-26 arg-27 arg-28 arg-29 arg-30 arg-31 arg-32 arg-33 arg-34 arg-35 arg-36 arg-37) (let ((e-2 (car arg-37))) (let ((e-3 (cdr arg-37))) (let ((eff-0 (CoreC-45ContextC-45Log-logTerm arg-22 arg-20 "declare.def.clause.with" 5 (lambda () "With value type") arg-36))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45ContextC-45Log-log arg-20 "declare.def.clause.with" 5 (lambda () (string-append "Using vars " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-100) e-2)))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-2 (let ((sc3 (CoreC-45TT-shrinkTerm arg-35 e-3))) (if (null? sc3) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 "Impossible happened: With abstraction failure #1") eta-0)) (let ((e-1 (unbox sc3))) (let ((sc4 (CoreC-45TT-shrinkTerm arg-36 e-3))) (if (null? sc4) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 "Impossible happened: With abstraction failure #2") eta-0)) (let ((e-4 (unbox sc4))) (TTImpC-45ProcessDef-case--caseC-32blockC-32inC-32caseC-32blockC-32inC-32caseC-32blockC-32inC-32caseC-32blockC-32inC-32caseC-32blockC-32inC-32checkClause-12033 arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20 arg-21 arg-22 arg-23 arg-24 arg-25 arg-26 arg-27 arg-28 arg-29 arg-30 arg-31 arg-32 arg-33 arg-34 arg-35 arg-36 e-2 e-3 e-1 e-4 (CoreC-45Env-shrinkEnv arg-24 e-3)))))))))) eff-2)))))))) eff-1))))))))))
(define TTImpC-45ProcessDef-case--combineLinear-8475 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (if (null? arg-4) (let ((eff-0 (TTImpC-45ProcessDef-combineLinear arg-3 arg-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (cons (cons arg-0 arg-1) e-5))))) eff-1))))))) (let ((eff-0 (TTImpC-45ProcessDef-n--16998-8291-u--combineAll arg-0 arg-1 arg-2 arg-3 arg-1 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (TTImpC-45ProcessDef-combineLinear arg-3 (PreludeC-45TypesC-45List-filterAppend '() (lambda (eta-0) (TTImpC-45ProcessDef-n--16998-8288-u--notN arg-0 arg-1 arg-2 arg-3 eta-0)) arg-2)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (cons (cons arg-0 e-5) e-6))))) eff-2))))))))) eff-1))))))))))
(define TTImpC-45ProcessDef-case--findLinear-7962 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (if (null? arg-6) (lambda (eta-0) (vector 1 '())) (let ((e-2 (car arg-6))) (let ((e-3 (cdr arg-6))) (case (vector-ref e-2 0) ((1) (let ((e-6 (vector-ref e-2 2))) (let ((e-7 (vector-ref e-2 3))) (if (null? e-3) (lambda (eta-0) (vector 1 '())) (let ((eff-0 (let ((eff-0 arg-5)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-8 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-lookupTyExact e-7 (let ((e-0 (vector-ref e-8 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-9 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-9) (lambda (eta-0) (vector 1 '())) (let ((e-1 (unbox e-9))) (let ((eff-2 (CoreC-45NormaliseC-45Eval-nf arg-5 '() e-8 '() e-1))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-10 (vector-ref lcase-2 1))) (let ((eff-3 (TTImpC-45ProcessDef-n--16198-7596-u--findLinArg arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-0 (TTImpC-45ProcessDef-n--16198-7595-u--accessible arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-6 arg-2) e-10 e-3))) eff-3))))))))))) eff-2))))))))) eff-1)))))))))))(else (lambda (eta-0) (vector 1 '())))))))))
(define TTImpC-45ProcessDef-n--27284-17107-u--withTotality (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-13 arg-14) (let ((eff-0 (CoreC-45Context-getDefaultTotalityOption arg-11))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-setDefaultTotalityOption arg-11 arg-13))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45Core-u--catch_Catchable_Core_Error (arg-14) (lambda (u--error) (let ((eff-2 (CoreC-45Context-setDefaultTotalityOption arg-11 e-5))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error u--error eta-0)))) eff-3)))))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45Context-setDefaultTotalityOption arg-11 e-5))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-4 (lambda (eta-0) (vector 1 e-7)))) eff-4)))))))) eff-3))))))))) eff-2)))))))) eff-1)))))))))
(define TTImpC-45ProcessDef-n--19670-10703-u--wargs (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20 arg-21 arg-23 arg-24 arg-25 arg-26 arg-27 arg-28 arg-29 arg-30 arg-31 arg-32 arg-33 arg-34 arg-35 arg-36 arg-37 arg-38 arg-39) (cons arg-21 (cons (TTImpC-45ProcessDef-n--19670-10702-u--wargn arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20 arg-21 arg-23 arg-24 arg-25 arg-26 arg-27 arg-28 arg-29 arg-30 arg-31 arg-32 arg-33 arg-34 arg-35 arg-36 arg-37 arg-38 arg-39) '()))))
(define TTImpC-45ProcessDef-n--19488-10519-u--wargs (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20 arg-22 arg-23 arg-24) (cons (TTImpC-45ProcessDef-n--19488-10518-u--wargn arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20 arg-22 arg-23 arg-24) '())))
(define TTImpC-45ProcessDef-n--19670-10702-u--wargn (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20 arg-21 arg-23 arg-24 arg-25 arg-26 arg-27 arg-28 arg-29 arg-30 arg-31 arg-32 arg-33 arg-34 arg-35 arg-36 arg-37 arg-38 arg-39) (vector 2 "warg" 0)))
(define TTImpC-45ProcessDef-n--19488-10518-u--wargn (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20 arg-22 arg-23 arg-24) (vector 2 "warg" 0)))
(define TTImpC-45ProcessDef-n--18245-10432-u--vfc (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20) (CoreC-45FC-virtualiseFC arg-6)))
(define TTImpC-45ProcessDef-n--24836-14943-u--toErased (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9) (let ((e-2 (car arg-9))) (let ((e-3 (cdr arg-9))) (let ((e-6 (car e-3))) (let ((e-7 (cdr e-3))) (let ((e-10 (car e-7))) (let ((e-11 (cdr e-7))) (let ((eff-0 (CoreC-45LinearCheck-linearCheck e-2 arg-6 arg-4 arg-7 (csegen-1778) 1 e-6 e-10))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Transform-applyTransforms arg-6 e-6 e-11))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-8 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45PartialEval-applySpecialise e-2 arg-6 arg-5 arg-4 arg-3 arg-2 e-6 arg-8 e-8))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-9 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45LinearCheck-linearCheck e-2 arg-6 arg-4 arg-7 (csegen-1778) 1 e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-4 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-12 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (cons e-2 (cons e-6 (cons e-5 e-12))))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))
(define TTImpC-45ProcessDef-n--24836-14944-u--toClause (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8) (let ((e-2 (car arg-8))) (let ((e-3 (cdr arg-8))) (let ((e-6 (car e-3))) (let ((e-7 (cdr e-3))) (let ((e-10 (car e-7))) (let ((e-11 (cdr e-7))) (vector e-2 e-6 e-10 e-11)))))))))
(define TTImpC-45ProcessDef-n--27284-17108-u--simplePat (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-13) (case (vector-ref arg-13 0) ((0) 1) ((10) 1) ((5) (let ((e-13 (vector-ref arg-13 4))) (TTImpC-45ProcessDef-n--27284-17108-u--simplePat arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 e-13)))(else 0))))
(define TTImpC-45ProcessDef-n--16998-8288-u--notN (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (let ((e-2 (car arg-4))) (CoreC-45Name-u--C-47C-61_Eq_Name arg-0 e-2))))
(define TTImpC-45ProcessDef-n--24836-14936-u--noInline (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (if (null? arg-7) 1 (let ((e-1 (car arg-7))) (let ((e-2 (cdr arg-7))) (case (vector-ref e-1 0) ((0) 0) ((1) 0)(else (TTImpC-45ProcessDef-n--24836-14936-u--noInline arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-2))))))))
(define TTImpC-45ProcessDef-n--18245-10433-u--mkExplicit (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20 arg-22) (if (null? arg-22) '() (let ((e-4 (car arg-22))) (let ((e-5 (cdr arg-22))) (case (vector-ref e-4 0) ((2) (let ((e-7 (vector-ref e-4 1))) (let ((e-8 (vector-ref e-4 2))) (let ((e-10 (vector-ref e-4 4))) (cons (vector 2 e-7 e-8 (vector 1 ) e-10) (TTImpC-45ProcessDef-n--18245-10433-u--mkExplicit arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20 e-5))))))(else (cons e-4 (TTImpC-45ProcessDef-n--18245-10433-u--mkExplicit arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20 e-5)))))))))
(define TTImpC-45ProcessDef-n--24836-14938-u--mkCrash (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8) (CoreC-45TT-apply arg-1 (vector 1 arg-1 (vector 1 ) (vector 0 (CoreC-45NameC-45Namespace-builtinNS) (vector 1 (vector 0 "idris_crash")))) (cons (vector 10 arg-1 (vector 0 )) (cons (vector 9 arg-1 (vector 10 arg-8)) '())))))
(define TTImpC-45ProcessDef-n--18245-10436-u--mkClauseWith (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20 arg-21 arg-22 arg-23 arg-24 arg-25) (case (vector-ref arg-25 0) ((0) (let ((e-1 (vector-ref arg-25 1))) (let ((e-2 (vector-ref arg-25 2))) (let ((e-3 (vector-ref arg-25 3))) (let ((eff-0 (CoreC-45ContextC-45Log-log arg-20 "declare.def.clause.with" 20 (lambda () "PatClause")))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-1 (let ((eff-1 (TTImpC-45WithClause-getNewLHS arg-20 arg-19 e-1 arg-21 arg-9 arg-22 arg-23 arg-24 e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45WithClause-withRHS arg-20 arg-19 e-1 arg-21 arg-22 arg-23 e-3 arg-24))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (vector 0 e-1 e-6 e-7))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))) ((1) (let ((e-5 (vector-ref arg-25 1))) (let ((e-6 (vector-ref arg-25 2))) (let ((e-7 (vector-ref arg-25 3))) (let ((e-8 (vector-ref arg-25 4))) (let ((e-9 (vector-ref arg-25 5))) (let ((e-10 (vector-ref arg-25 6))) (let ((e-11 (vector-ref arg-25 7))) (let ((eff-0 (CoreC-45ContextC-45Log-log arg-20 "declare.def.clause.with" 20 (lambda () "WithClause")))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (TTImpC-45WithClause-getNewLHS arg-20 arg-19 e-5 arg-21 arg-9 arg-22 arg-23 arg-24 e-6))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-13 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45WithClause-withRHS arg-20 arg-19 e-5 arg-21 arg-22 arg-23 e-8 arg-24))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-14 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (TTImpC-45ProcessDef-n--18245-10436-u--mkClauseWith arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20 (+ arg-21 1) arg-22 arg-23 arg-24 eta-0)) e-11 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-15 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 1 e-5 e-13 e-7 e-14 e-9 e-10 e-15))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))) (else (let ((e-13 (vector-ref arg-25 1))) (let ((e-14 (vector-ref arg-25 2))) (let ((eff-0 (CoreC-45ContextC-45Log-log arg-20 "declare.def.clause.with" 20 (lambda () "ImpossibleClause")))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (TTImpC-45WithClause-getNewLHS arg-20 arg-19 e-13 arg-21 arg-9 arg-22 arg-23 arg-24 e-14))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 2 e-13 e-6))))) eff-2))))))))) eff-1))))))))))))
(define TTImpC-45ProcessDef-n--24836-14939-u--matchAny (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-8) (case (vector-ref arg-8 0) ((4) (let ((e-1 (vector-ref arg-8 1))) (let ((e-2 (vector-ref arg-8 2))) (vector 4 e-1 (TTImpC-45ProcessDef-n--24836-14939-u--matchAny arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-2) (vector 10 e-1 (vector 0 ))))))(else arg-8))))
(define TTImpC-45ProcessDef-n--24836-14940-u--makeErrorClause (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9) (vector arg-7 arg-8 (TTImpC-45ProcessDef-n--24836-14939-u--matchAny arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-9) (TTImpC-45ProcessDef-n--24836-14938-u--mkCrash arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 (string-append "Unhandled input for " (string-append (CoreC-45Name-u--show_Show_Name arg-0) (string-append " at " (CoreC-45FC-u--show_Show_FC arg-1))))))))
(define TTImpC-45ProcessDef-n--16998-8289-u--lookupAll (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (if (null? arg-5) '() (let ((e-2 (car arg-5))) (let ((e-3 (cdr arg-5))) (let ((e-6 (car e-2))) (let ((e-7 (cdr e-2))) (let ((sc2 (CoreC-45Name-u--C-61C-61_Eq_Name arg-4 e-6))) (cond ((equal? sc2 1) (cons e-7 (TTImpC-45ProcessDef-n--16998-8289-u--lookupAll arg-0 arg-1 arg-2 arg-3 arg-4 e-3))) (else (TTImpC-45ProcessDef-n--16998-8289-u--lookupAll arg-0 arg-1 arg-2 arg-3 arg-4 e-3)))))))))))
(define TTImpC-45ProcessDef-n--18245-10435-u--keepOldEnv (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20 arg-23 arg-24 arg-25) (case (vector-ref arg-24 0) ((0) (cons arg-23 (vector 0 )))(else (case (vector-ref arg-25 0) ((0) (cons arg-23 (vector 0 )))(else (let ((e-1 (car arg-23))) (let ((e-2 (cdr arg-23))) (case (vector-ref arg-24 0) ((1) (let ((e-6 (vector-ref arg-24 1))) (case (vector-ref arg-25 0) ((1) (let ((e-14 (vector-ref arg-25 1))) (let ((sc3 (TTImpC-45ProcessDef-n--18245-10435-u--keepOldEnv arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20 e-2 e-6 e-14))) (let ((e-4 (car sc3))) (let ((e-3 (cdr sc3))) (cons e-4 (vector 1 e-3))))))) (else (let ((e-18 (vector-ref arg-25 1))) (let ((sc3 (TTImpC-45ProcessDef-n--18245-10435-u--keepOldEnv arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20 e-2 e-6 e-18))) (let ((e-4 (car sc3))) (let ((e-3 (cdr sc3))) (cons (cons e-1 e-4) (vector 2 e-3)))))))))) (else (let ((e-10 (vector-ref arg-24 1))) (case (vector-ref arg-25 0) ((1) (let ((e-22 (vector-ref arg-25 1))) (let ((sc3 (TTImpC-45ProcessDef-n--18245-10435-u--keepOldEnv arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20 e-2 e-10 e-22))) (let ((e-4 (car sc3))) (let ((e-3 (cdr sc3))) (cons (cons e-1 e-4) (vector 2 e-3))))))) (else (let ((e-26 (vector-ref arg-25 1))) (let ((sc3 (TTImpC-45ProcessDef-n--18245-10435-u--keepOldEnv arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20 e-2 e-10 e-26))) (let ((e-4 (car sc3))) (let ((e-3 (cdr sc3))) (cons (cons e-1 e-4) (vector 2 e-3)))))))))))))))))))
(define TTImpC-45ProcessDef-n--26218-16210-u--holeyType (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15) (if (null? arg-15) (vector 32 arg-6 0) (let ((e-2 (car arg-15))) (let ((e-3 (cdr arg-15))) (let ((e-6 (car e-2))) (let ((e-7 (cdr e-2))) (let ((u--xfc (CoreC-45FC-virtualiseFC e-6))) (vector 1 u--xfc (AlgebraC-45ZeroOneOmega-u--top_Top_ZeroOneOmega) (vector 1 ) (box (vector 1 (vector 0 e-7))) (vector 32 u--xfc 0) (TTImpC-45ProcessDef-n--26218-16210-u--holeyType arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 e-3))))))))))
(define TTImpC-45ProcessDef-n--24836-14942-u--getSpec (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (if (null? arg-7) '() (let ((e-2 (car arg-7))) (let ((e-3 (cdr arg-7))) (case (vector-ref e-2 0) ((9) (let ((e-4 (vector-ref e-2 1))) (box e-4)))(else (TTImpC-45ProcessDef-n--24836-14942-u--getSpec arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-3))))))))
(define TTImpC-45ProcessDef-n--27284-17111-u--getClause (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12) (case (vector-ref arg-12 0) ((0) (let ((e-2 (vector-ref arg-12 1))) (CoreC-45Core-u--catch_Catchable_Core_Error (let ((eff-0 (TTImpC-45Impossible-getImpossibleTerm arg-0 arg-11 arg-4 arg-5 e-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45ContextC-45Log-log arg-11 "declare.def.impossible" 3 (lambda () (string-append "Generated impossible LHS: " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-5)))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-3 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-2 (lambda (eta-0) (vector 1 (box (vector '() '() e-5 (vector 10 (TTImpC-45TTImp-getFC e-2) (vector 1 )))))))) eff-2)))))))) eff-1))))))) (lambda (u--e) (let ((eff-0 (CoreC-45ContextC-45Log-log arg-11 "declare.def" 5 (lambda () (string-append "Error in getClause " (CoreC-45Core-u--show_Show_Error u--e)))))) (PrimIO-io_bind eff-0 (csegen-2241))))))) (else (let ((e-5 (vector-ref arg-12 1))) (lambda (eta-0) (vector 1 (box e-5))))))))
(define TTImpC-45ProcessDef-n--16198-7596-u--findLinArg (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9) (if (null? arg-9) (case (vector-ref arg-8 0) ((0) (let ((e-5 (vector-ref arg-8 1))) (let ((e-6 (vector-ref arg-8 2))) (let ((e-7 (vector-ref arg-8 3))) (let ((e-8 (vector-ref arg-8 4))) (case (vector-ref e-7 0) ((2) (let ((e-11 (vector-ref e-7 2))) (if (null? arg-9) (if (null? arg-9) (lambda (eta-0) (vector 1 '())) (let ((e-1 (car arg-9))) (let ((e-2 (cdr arg-9))) (let ((eff-0 (TTImpC-45ProcessDef-findLinear arg-6 arg-5 0 arg-3 arg-7 e-1))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-9 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (TTImpC-45ProcessDef-n--16198-7596-u--findLinArg arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-3 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-14 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (PreludeC-45TypesC-45List-tailRecAppend e-9 e-14))))) eff-2))))))))) eff-1)))))))))) (let ((e-15 (car arg-9))) (let ((e-16 (cdr arg-9))) (case (vector-ref e-15 0) ((0) (let ((e-19 (vector-ref e-15 1))) (let ((e-21 (vector-ref e-15 3))) (let ((eff-0 (let ((eff-0 arg-5)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--a (CoreC-45TT-nameAt arg-6 e-21))) (let ((sc6 (PreludeC-45Types-u--C-60_Ord_Nat e-21 arg-3))) (cond ((equal? sc6 1) (let ((eff-1 ((e-8 e-9) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 1 e-19 (vector 0 ) e-6))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-14 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45ProcessDef-n--16198-7596-u--findLinArg arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-14 e-16))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-17 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (cons (cons u--a (AlgebraC-45ZeroOneOmega-rigMult e-11 arg-7)) e-17))))) eff-3))))))))) eff-2)))))))) (else (let ((eff-1 ((e-8 e-9) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 1 e-19 (vector 0 ) e-6))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-14 (vector-ref lcase-1 1))) (let ((eff-2 (TTImpC-45ProcessDef-n--16198-7596-u--findLinArg arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-14 e-16))) eff-2))))))))))))) eff-1))))))))))(else (let ((eff-0 (let ((eff-0 arg-5)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (TTImpC-45ProcessDef-findLinear arg-6 arg-5 0 arg-3 (AlgebraC-45ZeroOneOmega-rigMult e-11 arg-7) e-15))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-14 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 ((e-8 e-9) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 1 e-5 (vector 0 ) e-6))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-17 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (TTImpC-45ProcessDef-n--16198-7596-u--findLinArg arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-17 e-16))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-18 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (PreludeC-45TypesC-45List-tailRecAppend e-14 e-18))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))))))(else (if (null? arg-9) (lambda (eta-0) (vector 1 '())) (let ((e-1 (car arg-9))) (let ((e-2 (cdr arg-9))) (let ((eff-0 (TTImpC-45ProcessDef-findLinear arg-6 arg-5 0 arg-3 arg-7 e-1))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-9 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (TTImpC-45ProcessDef-n--16198-7596-u--findLinArg arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-3 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-10 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (PreludeC-45TypesC-45List-tailRecAppend e-9 e-10))))) eff-2))))))))) eff-1)))))))))))))))))(else (if (null? arg-9) (lambda (eta-0) (vector 1 '())) (let ((e-1 (car arg-9))) (let ((e-2 (cdr arg-9))) (let ((eff-0 (TTImpC-45ProcessDef-findLinear arg-6 arg-5 0 arg-3 arg-7 e-1))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (TTImpC-45ProcessDef-n--16198-7596-u--findLinArg arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-3 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (PreludeC-45TypesC-45List-tailRecAppend e-5 e-6))))) eff-2))))))))) eff-1)))))))))))) (let ((e-24 (car arg-9))) (let ((e-25 (cdr arg-9))) (case (vector-ref e-24 0) ((5) (let ((e-28 (vector-ref e-24 2))) (let ((e-29 (vector-ref e-24 3))) (let ((e-30 (vector-ref e-24 4))) (cond ((equal? e-28 0) (TTImpC-45ProcessDef-n--16198-7596-u--findLinArg arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (cons e-30 e-25))) ((equal? e-28 1) (TTImpC-45ProcessDef-n--16198-7596-u--findLinArg arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (cons e-29 e-25)))(else (case (vector-ref arg-8 0) ((0) (let ((e-5 (vector-ref arg-8 1))) (let ((e-6 (vector-ref arg-8 2))) (let ((e-7 (vector-ref arg-8 3))) (let ((e-8 (vector-ref arg-8 4))) (case (vector-ref e-7 0) ((2) (let ((e-11 (vector-ref e-7 2))) (if (null? arg-9) (if (null? arg-9) (lambda (eta-0) (vector 1 '())) (let ((e-1 (car arg-9))) (let ((e-2 (cdr arg-9))) (let ((eff-0 (TTImpC-45ProcessDef-findLinear arg-6 arg-5 0 arg-3 arg-7 e-1))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-9 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (TTImpC-45ProcessDef-n--16198-7596-u--findLinArg arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-3 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-14 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (PreludeC-45TypesC-45List-tailRecAppend e-9 e-14))))) eff-2))))))))) eff-1)))))))))) (let ((e-15 (car arg-9))) (let ((e-16 (cdr arg-9))) (case (vector-ref e-15 0) ((0) (let ((e-19 (vector-ref e-15 1))) (let ((e-21 (vector-ref e-15 3))) (let ((eff-0 (let ((eff-0 arg-5)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--a (CoreC-45TT-nameAt arg-6 e-21))) (let ((sc7 (PreludeC-45Types-u--C-60_Ord_Nat e-21 arg-3))) (cond ((equal? sc7 1) (let ((eff-1 ((e-8 e-9) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 1 e-19 (vector 0 ) e-6))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-14 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45ProcessDef-n--16198-7596-u--findLinArg arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-14 e-16))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-17 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (cons (cons u--a (AlgebraC-45ZeroOneOmega-rigMult e-11 arg-7)) e-17))))) eff-3))))))))) eff-2)))))))) (else (let ((eff-1 ((e-8 e-9) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 1 e-19 (vector 0 ) e-6))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-14 (vector-ref lcase-1 1))) (let ((eff-2 (TTImpC-45ProcessDef-n--16198-7596-u--findLinArg arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-14 e-16))) eff-2))))))))))))) eff-1))))))))))(else (let ((eff-0 (let ((eff-0 arg-5)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (TTImpC-45ProcessDef-findLinear arg-6 arg-5 0 arg-3 (AlgebraC-45ZeroOneOmega-rigMult e-11 arg-7) e-15))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-14 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 ((e-8 e-9) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 1 e-5 (vector 0 ) e-6))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-17 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (TTImpC-45ProcessDef-n--16198-7596-u--findLinArg arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-17 e-16))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-18 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (PreludeC-45TypesC-45List-tailRecAppend e-14 e-18))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))))))(else (if (null? arg-9) (lambda (eta-0) (vector 1 '())) (let ((e-1 (car arg-9))) (let ((e-2 (cdr arg-9))) (let ((eff-0 (TTImpC-45ProcessDef-findLinear arg-6 arg-5 0 arg-3 arg-7 e-1))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-9 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (TTImpC-45ProcessDef-n--16198-7596-u--findLinArg arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-3 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-10 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (PreludeC-45TypesC-45List-tailRecAppend e-9 e-10))))) eff-2))))))))) eff-1)))))))))))))))))(else (if (null? arg-9) (lambda (eta-0) (vector 1 '())) (let ((e-1 (car arg-9))) (let ((e-2 (cdr arg-9))) (let ((eff-0 (TTImpC-45ProcessDef-findLinear arg-6 arg-5 0 arg-3 arg-7 e-1))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (TTImpC-45ProcessDef-n--16198-7596-u--findLinArg arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-3 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (PreludeC-45TypesC-45List-tailRecAppend e-5 e-6))))) eff-2))))))))) eff-1))))))))))))))))))(else (case (vector-ref arg-8 0) ((0) (let ((e-5 (vector-ref arg-8 1))) (let ((e-6 (vector-ref arg-8 2))) (let ((e-7 (vector-ref arg-8 3))) (let ((e-8 (vector-ref arg-8 4))) (case (vector-ref e-7 0) ((2) (let ((e-11 (vector-ref e-7 2))) (if (null? arg-9) (if (null? arg-9) (lambda (eta-0) (vector 1 '())) (let ((e-1 (car arg-9))) (let ((e-2 (cdr arg-9))) (let ((eff-0 (TTImpC-45ProcessDef-findLinear arg-6 arg-5 0 arg-3 arg-7 e-1))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-9 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (TTImpC-45ProcessDef-n--16198-7596-u--findLinArg arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-3 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-14 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (PreludeC-45TypesC-45List-tailRecAppend e-9 e-14))))) eff-2))))))))) eff-1)))))))))) (let ((e-15 (car arg-9))) (let ((e-16 (cdr arg-9))) (case (vector-ref e-15 0) ((0) (let ((e-19 (vector-ref e-15 1))) (let ((e-21 (vector-ref e-15 3))) (let ((eff-0 (let ((eff-0 arg-5)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--a (CoreC-45TT-nameAt arg-6 e-21))) (let ((sc6 (PreludeC-45Types-u--C-60_Ord_Nat e-21 arg-3))) (cond ((equal? sc6 1) (let ((eff-1 ((e-8 e-9) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 1 e-19 (vector 0 ) e-6))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-14 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45ProcessDef-n--16198-7596-u--findLinArg arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-14 e-16))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-17 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (cons (cons u--a (AlgebraC-45ZeroOneOmega-rigMult e-11 arg-7)) e-17))))) eff-3))))))))) eff-2)))))))) (else (let ((eff-1 ((e-8 e-9) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 1 e-19 (vector 0 ) e-6))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-14 (vector-ref lcase-1 1))) (let ((eff-2 (TTImpC-45ProcessDef-n--16198-7596-u--findLinArg arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-14 e-16))) eff-2))))))))))))) eff-1))))))))))(else (let ((eff-0 (let ((eff-0 arg-5)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (TTImpC-45ProcessDef-findLinear arg-6 arg-5 0 arg-3 (AlgebraC-45ZeroOneOmega-rigMult e-11 arg-7) e-15))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-14 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 ((e-8 e-9) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 1 e-5 (vector 0 ) e-6))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-17 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (TTImpC-45ProcessDef-n--16198-7596-u--findLinArg arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-17 e-16))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-18 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (PreludeC-45TypesC-45List-tailRecAppend e-14 e-18))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))))))(else (if (null? arg-9) (lambda (eta-0) (vector 1 '())) (let ((e-1 (car arg-9))) (let ((e-2 (cdr arg-9))) (let ((eff-0 (TTImpC-45ProcessDef-findLinear arg-6 arg-5 0 arg-3 arg-7 e-1))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-9 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (TTImpC-45ProcessDef-n--16198-7596-u--findLinArg arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-3 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-10 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (PreludeC-45TypesC-45List-tailRecAppend e-9 e-10))))) eff-2))))))))) eff-1)))))))))))))))))(else (if (null? arg-9) (lambda (eta-0) (vector 1 '())) (let ((e-1 (car arg-9))) (let ((e-2 (cdr arg-9))) (let ((eff-0 (TTImpC-45ProcessDef-findLinear arg-6 arg-5 0 arg-3 arg-7 e-1))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (TTImpC-45ProcessDef-n--16198-7596-u--findLinArg arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-3 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (PreludeC-45TypesC-45List-tailRecAppend e-5 e-6))))) eff-2))))))))) eff-1)))))))))))))))))))
(define TTImpC-45ProcessDef-n--24168-14353-u--dropErased (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (if (null? arg-4) (lambda (eta-0) (vector 1 arg-5)) (let ((e-2 (car arg-4))) (let ((e-3 (cdr arg-4))) (let ((eff-0 (let ((eff-0 arg-3)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-lookupCtxtExact e-2 (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-6) (TTImpC-45ProcessDef-n--24168-14353-u--dropErased arg-0 arg-1 arg-2 arg-3 e-3 arg-5) (let ((e-1 (unbox e-6))) (let ((sc4 (AlgebraC-45ZeroOneOmega-u--C-47C-61_Eq_ZeroOneOmega (let ((e-7 (vector-ref e-1 7))) e-7) (csegen-54)))) (cond ((equal? sc4 1) (TTImpC-45ProcessDef-n--24168-14353-u--dropErased arg-0 arg-1 arg-2 arg-3 e-3 arg-5)) (else (TTImpC-45ProcessDef-n--24168-14353-u--dropErased arg-0 arg-1 arg-2 arg-3 e-3 (LibrariesC-45DataC-45NameMap-delete e-2 arg-5))))))))) eff-2))))))))) eff-1))))))))))))
(define TTImpC-45ProcessDef-n--16998-8291-u--combineAll (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (if (null? arg-5) (lambda (eta-0) (vector 1 arg-4)) (let ((e-2 (car arg-5))) (let ((e-3 (cdr arg-5))) (let ((eff-0 (lambda (eta-0) (TTImpC-45ProcessDef-n--16998-8290-u--combine arg-0 arg-1 arg-2 arg-3 arg-4 e-2 eta-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45ProcessDef-n--16998-8291-u--combineAll arg-0 arg-1 arg-2 arg-3 e-5 e-3))) eff-1))))))))))))
(define TTImpC-45ProcessDef-n--16998-8290-u--combine (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 ext-0) (let ((sc0 (let ((sc1 (AlgebraC-45ZeroOneOmega-u--C-61C-61_Eq_ZeroOneOmega (AlgebraC-45ZeroOneOmega-rigPlus arg-4 arg-5) (AlgebraC-45ZeroOneOmega-u--top_Top_ZeroOneOmega)))) (cond ((equal? sc1 1) (let ((sc2 (AlgebraC-45Semiring-isErased (csegen-1156) (AlgebraC-45Preorder-glb (csegen-2915) arg-4 arg-5)))) (cond ((equal? sc2 1) 0) (else (AlgebraC-45ZeroOneOmega-u--C-47C-61_Eq_ZeroOneOmega (AlgebraC-45Preorder-glb (csegen-2915) arg-4 arg-5) (AlgebraC-45ZeroOneOmega-u--top_Top_ZeroOneOmega)))))) (else 0))))) (cond ((equal? sc0 1) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 13 arg-3 2 arg-0) ext-0)) (else (vector 1 (AlgebraC-45Preorder-lub (csegen-2915) arg-4 arg-5)))))))
(define TTImpC-45ProcessDef-n--27351-17234-u--closeEnv (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16) (case (vector-ref arg-16 0) ((0) (let ((e-2 (vector-ref arg-16 2))) (let ((e-3 (vector-ref arg-16 3))) (let ((e-4 (vector-ref arg-16 4))) (case (vector-ref e-3 0) ((3) (let ((eff-0 ((e-4 arg-15) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 1 arg-3 (vector 0 ) e-2))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45ProcessDef-n--27351-17234-u--closeEnv arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 e-5))) eff-1))))))))(else (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-11 '() arg-15 '() arg-16)))))))(else (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-11 '() arg-15 '() arg-16)))))
(define TTImpC-45ProcessDef-n--27284-17110-u--checkImpossible (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14) (let ((eff-0 (TTImpC-45Unelab-unelabNoPatvars '() arg-11 '() arg-14))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--itm (TTImpC-45TTImpC-45Functor-u--map_Functor_RawImpC-39 (csegen-327) e-5))) (CoreC-45UnifyState-handleUnify arg-11 arg-9 (let ((eff-1 (let ((eff-1 arg-11)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (unbox eff-2))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45ContextC-45Log-log arg-11 "declare.def.impossible" 3 (lambda () (string-append "Checking for impossibility: " (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 (csegen-100) u--itm)))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (let ((eff-3 (CoreC-45Context-isUnboundImplicits arg-11))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Context-setUnboundImplicits arg-11 1))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-5 (let ((eff-5 (TTImpC-45BindImplicits-bindNames arg-11 0 u--itm))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-10 (vector-ref lcase-5 1))) (let ((eff-6 (let ((e-3 (cdr e-10))) (let ((eff-6 (CoreC-45Context-setUnboundImplicits arg-11 e-8))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-4 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-7 (let ((eff-7 (TTImpC-45Elab-elabTerm '() arg-11 arg-10 arg-9 arg-8 arg-7 arg-12 (vector 1 arg-13) '() '() '() (vector 16 arg-3 (vector 2 ) e-3) '()))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-4 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-12 (vector-ref lcase-7 1))) (let ((eff-8 (let ((e-13 (car e-12))) (let ((eff-8 (let ((eff-8 arg-11)) (PrimIO-io_bind (let ((eff-9 eff-8)) (lambda (eta-0) (unbox eff-9))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-8 (lambda (lcase-8) (case (vector-ref lcase-8 0) ((0) (let ((e-14 (vector-ref lcase-8 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-8 1))) (let ((eff-9 (let ((eff-9 (CoreC-45Normalise-normaliseHoles arg-11 '() e-14 '() e-13))) (PrimIO-io_bind eff-9 (lambda (lcase-9) (case (vector-ref lcase-9 0) ((0) (let ((e-15 (vector-ref lcase-9 1))) (lambda (eta-0) (vector 0 e-15)))) (else (let ((e-15 (vector-ref lcase-9 1))) (let ((eff-10 (let ((eff-10 (TTImpC-45ProcessDef-hasEmptyPat '() arg-11 e-14 '() e-15))) (PrimIO-io_bind eff-10 (lambda (lcase-10) (case (vector-ref lcase-10 0) ((0) (let ((e-16 (vector-ref lcase-10 1))) (lambda (eta-0) (vector 0 e-16)))) (else (let ((e-16 (vector-ref lcase-10 1))) (let ((eff-11 (cond ((equal? e-16 1) (let ((eff-11 (CoreC-45ContextC-45Log-log arg-11 (csegen-3444) 5 (lambda () ((csegen-0) "Some empty pat"))))) (PrimIO-io_bind eff-11 (lambda (lcase-11) (case (vector-ref lcase-11 0) ((0) (let ((e-17 (vector-ref lcase-11 1))) (lambda (eta-0) (vector 0 e-17)))) (else (let ((eff-12 (let ((eff-12 (let ((eff-12 arg-11)) (PrimIO-io_bind (let ((eff-13 eff-12)) (lambda (eta-0) (set-box! eff-13 e-6))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-12 (csegen-2241))))) eff-12))))))) (else (let ((eff-11 (CoreC-45ContextC-45Log-log arg-11 (csegen-3444) 5 (lambda () ((csegen-0) "No empty pat"))))) (PrimIO-io_bind eff-11 (lambda (lcase-11) (case (vector-ref lcase-11 0) ((0) (let ((e-17 (vector-ref lcase-11 1))) (lambda (eta-0) (vector 0 e-17)))) (else (let ((eff-12 (let ((eff-12 (lambda (eta-0) (CoreC-45Context-clearDefs e-6 eta-0)))) (PrimIO-io_bind eff-12 (lambda (lcase-12) (case (vector-ref lcase-12 0) ((0) (let ((e-18 (vector-ref lcase-12 1))) (lambda (eta-0) (vector 0 e-18)))) (else (let ((e-18 (vector-ref lcase-12 1))) (let ((eff-13 (let ((eff-13 (let ((eff-13 (CoreC-45NormaliseC-45Eval-nf arg-11 '() e-18 '() e-15))) (PrimIO-io_bind eff-13 (lambda (lcase-13) (case (vector-ref lcase-13 0) ((0) (let ((e-19 (vector-ref lcase-13 1))) (lambda (eta-0) (vector 0 e-19)))) (else (let ((e-19 (vector-ref lcase-13 1))) (let ((eff-14 (TTImpC-45ProcessDef-n--27351-17234-u--closeEnv arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-14 arg-13 arg-12 e-18 e-19))) eff-14))))))))) (PrimIO-io_bind eff-13 (lambda (lcase-13) (case (vector-ref lcase-13 0) ((0) (let ((e-19 (vector-ref lcase-13 1))) (lambda (eta-0) (vector 0 e-19)))) (else (let ((e-19 (vector-ref lcase-13 1))) (let ((eff-14 (let ((eff-14 (let ((eff-14 arg-11)) (PrimIO-io_bind (let ((eff-15 eff-14)) (lambda (eta-0) (set-box! eff-15 e-6))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-14 (lambda (lcase-14) (case (vector-ref lcase-14 0) ((0) (let ((e-20 (vector-ref lcase-14 1))) (lambda (eta-0) (vector 0 e-20)))) (else (let ((eff-15 (lambda (eta-0) (vector 1 (box e-19))))) eff-15)))))))) eff-14))))))))) eff-13))))))))) eff-12)))))))))) eff-11))))))))) eff-10))))))))) eff-9)))))))))) eff-8))))))))) eff-7))))))))) eff-6))))))))) eff-5)))))))) eff-4))))))))) eff-3)))))))) eff-2))))))) (lambda (u--err) (let ((eff-1 (let ((eff-1 arg-11)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (unbox eff-2))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45ProcessDef-recoverableErr arg-11 e-6 u--err))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (clam-0) (cond ((equal? e-7 1) (vector 1 (box arg-14))) (else (vector 1 '())))))) eff-3))))))))) eff-2)))))))))))) eff-1)))))))))
(define TTImpC-45ProcessDef-n--27284-17112-u--checkCoverage (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15) (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (TTImpC-45ProcessDef-n--27284-17111-u--getClause arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 eta-0)) arg-15 '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45Context-toFullNames arg-11 (cons (lambda (arg-6988) (lambda (arg-6991) (CoreC-45Context-u--full_HasNames_C-40MaybeC-32C-36aC-41 (csegen-3317) arg-6988 arg-6991))) (lambda (arg-6998) (lambda (arg-7001) (CoreC-45Context-u--resolved_HasNames_C-40MaybeC-32C-36aC-41 (csegen-3317) arg-6998 arg-7001)))) eta-0)) e-5 '()))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45ContextC-45Log-log arg-11 "declare.def" 5 (lambda () (DataC-45String-fastUnlines (cons "Using clauses :" (((csegen-25) (lambda (eta-0) (string-append "  " (PreludeC-45Show-u--show_Show_C-40MaybeC-32C-36aC-41 (cons (lambda (u--x) (CoreC-45ContextC-45Context-u--show_Show_Clause u--x)) (lambda (u--d) (lambda (u--x) (CoreC-45ContextC-45Context-u--showPrec_Show_Clause u--d u--x)))) eta-0)))) e-6))))))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((u--covcs (PreludeC-45TypesC-45List-mapMaybeAppend '() (lambda (eta-0) eta-0) e-5))) (let ((eff-2 (CoreC-45CaseC-45CaseBuilder-getPMDef arg-11 arg-3 (box arg-14) (vector 8 arg-12) arg-13 u--covcs))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((e-2 (car e-7))) (let ((e-3 (cdr e-7))) (let ((e-9 (car e-3))) (let ((eff-3 (let ((eff-3 (CoreC-45Context-toFullNames arg-11 (csegen-3419) e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-4 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (CoreC-45ContextC-45Log-log arg-11 (csegen-3414) 3 (lambda () (string-append ((csegen-0) "Working from ") (CoreC-45CaseC-45CaseTree-u--show_Show_C-40CaseTreeC-32C-36varsC-41 e-2 e-10)))))) eff-4))))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-4 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-4 (let ((eff-4 (let ((sc6 (PreludeC-45Interfaces-any (csegen-16) (lambda (eta-0) (TTImpC-45ProcessDef-n--27284-17109-u--catchAll arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 eta-0)) u--covcs))) (cond ((equal? sc6 1) (let ((eff-4 (CoreC-45ContextC-45Log-log arg-11 "declare.def" 3 (lambda () (string-append "Catch all case in " (PreludeC-45Show-u--show_Show_Int arg-12)))))) (PrimIO-io_bind eff-4 (csegen-1025)))) (else (CoreC-45Coverage-getMissing e-2 arg-11 arg-3 (vector 8 arg-12) e-9)))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-4 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (let ((eff-5 (CoreC-45ContextC-45Log-unverifiedLogC arg-11 (csegen-3414) 3 (let ((eff-5 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45Context-toFullNames arg-11 (csegen-105) eta-0)) e-11 '()))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-4 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-12 (vector-ref lcase-5 1))) (let ((eff-6 (let ((eff-6 (CoreC-45Context-getFullName arg-11 (vector 8 arg-12)))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-4 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-13 (vector-ref lcase-6 1))) (let ((eff-7 (lambda (eta-0) (vector 1 (string-append ((csegen-0) "Initially missing in ") (string-append (CoreC-45Name-u--show_Show_Name e-13) (string-append ":\xa;" (CoreC-45NameC-45Namespace-showSep "\xa;" ((csegen-1273) e-12))))))))) eff-7))))))))) eff-6)))))))))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-4 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-6 (let ((eff-6 (CoreC-45Core-traverseC-39 (lambda (eta-0) (TTImpC-45ProcessDef-n--27284-17110-u--checkImpossible arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-14 eta-0)) e-11 '()))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-4 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-13 (vector-ref lcase-6 1))) (let ((eff-7 (let ((eff-7 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45Coverage-checkMatched arg-11 u--covcs eta-0)) (PreludeC-45TypesC-45List-mapMaybeAppend '() (lambda (eta-0) eta-0) e-13) '()))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-4 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-14 (vector-ref lcase-7 1))) (let ((eff-8 (let ((u--miss (DataC-45List-catMaybes e-14))) (let ((sc10 (DataC-45List-isNil u--miss))) (cond ((equal? sc10 1) (let ((eff-8 (CoreC-45Coverage-getNonCoveringRefs arg-11 arg-3 (vector 8 arg-12)))) (PrimIO-io_bind eff-8 (lambda (lcase-8) (case (vector-ref lcase-8 0) ((0) (let ((e-4 (vector-ref lcase-8 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-15 (vector-ref lcase-8 1))) (let ((eff-9 (if (null? e-15) (lambda (eta-0) (vector 1 (vector 0 ))) (CoreC-45Context-toFullNames arg-11 (cons (lambda (arg-6988) (lambda (arg-6991) (CoreC-45Context-u--full_HasNames_Covering arg-6988 arg-6991))) (lambda (arg-6998) (lambda (arg-7001) (CoreC-45Context-u--resolved_HasNames_Covering arg-6998 arg-7001)))) (vector 2 e-15))))) eff-9)))))))) (else (lambda (eta-0) (vector 1 (vector 1 u--miss))))))))) eff-8))))))))) eff-7))))))))) eff-6)))))))) eff-5))))))))) eff-4))))))))))) eff-3)))))))))) eff-2)))))))) eff-1)))))))))
(define TTImpC-45ProcessDef-n--27284-17109-u--catchAll (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12) (let ((e-2 (vector-ref arg-12 2))) (PreludeC-45Interfaces-all (csegen-16) (lambda (eta-0) (TTImpC-45ProcessDef-n--27284-17108-u--simplePat arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 eta-0)) (CoreC-45TT-getArgs e-2)))))
(define TTImpC-45ProcessDef-n--24836-14937-u--caseName (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (case (vector-ref arg-7 0) ((6) 1) ((0) (let ((e-3 (vector-ref arg-7 2))) (TTImpC-45ProcessDef-n--24836-14937-u--caseName arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-3)))(else 0))))
(define TTImpC-45ProcessDef-n--18245-10434-u--bindWithArgs (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20 arg-22 arg-23 arg-24 arg-25) (if (null? arg-24) (let ((u--scenv (cons (vector 2 (TTImpC-45ProcessDef-n--18245-10432-u--vfc arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20) (AlgebraC-45ZeroOneOmega-u--top_Top_ZeroOneOmega) (vector 1 ) arg-23) arg-25))) (let ((u--var (vector 0 (TTImpC-45ProcessDef-n--18245-10432-u--vfc arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20) (box 0) 0))) (let ((u--binder (lambda (eta-0) (vector 3 (TTImpC-45ProcessDef-n--18245-10432-u--vfc arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20) (TTImpC-45ProcessDef-n--19488-10518-u--wargn arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20 arg-25 arg-23 arg-22) (vector 2 (TTImpC-45ProcessDef-n--18245-10432-u--vfc arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20) arg-22 (vector 1 ) arg-23) eta-0)))) (lambda (eta-0) (vector 1 (cons (TTImpC-45ProcessDef-n--19488-10519-u--wargs arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20 arg-25 arg-23 arg-22) (cons u--scenv (cons u--var u--binder)))))))) (let ((e-2 (unbox arg-24))) (let ((e-5 (car e-2))) (let ((e-6 (cdr e-2))) (let ((eff-0 (let ((eff-0 arg-20)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-7 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--eqName (vector 0 (CoreC-45NameC-45Namespace-builtinNS) (vector 1 (vector 0 "Equal"))))) (let ((eff-1 (CoreC-45Context-lookupDefExact u--eqName (let ((e-0 (vector-ref e-7 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-3 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-8 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-8) (csegen-3460) (let ((e-1 (unbox e-8))) (case (vector-ref e-1 0) ((6) (let ((e-14 (vector-ref e-1 1))) (let ((e-3 (vector-ref e-1 2))) (let ((e-4 (vector-ref e-1 3))) (let ((e-13 (vector-ref e-1 4))) (let ((e-12 (vector-ref e-1 5))) (let ((e-11 (vector-ref e-1 6))) (let ((e-10 (vector-ref e-1 7))) (let ((e-9 (vector-ref e-1 8))) (let ((eff-2 (CoreC-45Context-toResolvedNames arg-20 (csegen-81) u--eqName))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-15 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-15)))) (else (let ((e-15 (vector-ref lcase-2 1))) (let ((eff-3 (let ((u--eqTyCon (vector 1 (TTImpC-45ProcessDef-n--18245-10432-u--vfc arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20) (vector 3 e-14 e-3) e-15))) (let ((u--wvalTyC-39 (CoreC-45TT-u--weaken_Weaken_Term arg-23))) (let ((u--eqTy (CoreC-45TT-apply (TTImpC-45ProcessDef-n--18245-10432-u--vfc arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20) u--eqTyCon (cons u--wvalTyC-39 (cons u--wvalTyC-39 (cons (CoreC-45TT-u--weaken_Weaken_Term e-6) (cons (vector 0 (TTImpC-45ProcessDef-n--18245-10432-u--vfc arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20) (box 0) 0) '()))))))) (let ((u--scenv (cons (vector 2 (TTImpC-45ProcessDef-n--18245-10432-u--vfc arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20) (AlgebraC-45ZeroOneOmega-u--top_Top_ZeroOneOmega) (vector 0 ) u--eqTy) (cons (vector 2 (TTImpC-45ProcessDef-n--18245-10432-u--vfc arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20) (AlgebraC-45ZeroOneOmega-u--top_Top_ZeroOneOmega) (vector 1 ) arg-23) arg-25)))) (let ((u--var (vector 0 (TTImpC-45ProcessDef-n--18245-10432-u--vfc arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20) (box 0) 1))) (let ((u--binder (lambda (u--t) (vector 3 (TTImpC-45ProcessDef-n--18245-10432-u--vfc arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20) (TTImpC-45ProcessDef-n--19670-10702-u--wargn arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20 e-5 e-6 arg-25 arg-23 arg-22 e-7 u--eqName e-4 e-13 e-12 e-11 e-10 e-9 e-3 e-14 e-8 e-15 u--eqTyCon) (vector 2 (TTImpC-45ProcessDef-n--18245-10432-u--vfc arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20) arg-22 (vector 1 ) arg-23) (vector 3 (TTImpC-45ProcessDef-n--18245-10432-u--vfc arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20) e-5 (vector 2 (TTImpC-45ProcessDef-n--18245-10432-u--vfc arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20) arg-22 (vector 0 ) u--eqTy) u--t))))) (lambda (eta-0) (vector 1 (cons (TTImpC-45ProcessDef-n--19670-10703-u--wargs arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20 e-5 e-6 arg-25 arg-23 arg-22 e-7 u--eqName e-4 e-13 e-12 e-11 e-10 e-9 e-3 e-14 e-8 e-15 u--eqTyCon) (cons u--scenv (cons u--var u--binder))))))))))))) eff-3))))))))))))))))(else (csegen-3460))))))) eff-2)))))))))) eff-1)))))))))))))
(define TTImpC-45ProcessDef-n--24836-14941-u--addErrorCase (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (if (null? arg-7) '() (let ((e-2 (car arg-7))) (let ((e-3 (cdr arg-7))) (let ((e-4 (vector-ref e-2 0))) (let ((e-5 (vector-ref e-2 1))) (let ((e-6 (vector-ref e-2 2))) (let ((e-7 (vector-ref e-2 3))) (if (null? e-3) (cons (vector e-4 e-5 e-6 e-7) (cons (TTImpC-45ProcessDef-n--24836-14940-u--makeErrorClause arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-4 e-5 e-6) '())) (cons e-2 (TTImpC-45ProcessDef-n--24836-14941-u--addErrorCase arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-3))))))))))))
(define TTImpC-45ProcessDef-n--16198-7595-u--accessible (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (case (vector-ref arg-6 0) ((1) (cond ((equal? arg-4 1) arg-7) (else (csegen-54))))(else arg-7))))
(define TTImpC-45ProcessDef-warnUnreachable (lambda (arg-0 arg-1) (let ((e-0 (vector-ref arg-1 0))) (let ((e-1 (vector-ref arg-1 1))) (let ((e-2 (vector-ref arg-1 2))) (CoreC-45Context-recordWarning arg-0 (vector 1 e-0 (CoreC-45TT-getLoc e-2) e-1 e-2)))))))
(define TTImpC-45ProcessDef-toPats (lambda (arg-0) (let ((e-0 (vector-ref arg-0 0))) (let ((e-1 (vector-ref arg-0 1))) (let ((e-2 (vector-ref arg-0 2))) (let ((e-3 (vector-ref arg-0 3))) (cons e-0 (cons e-1 (cons e-2 e-3)))))))))
(define TTImpC-45ProcessDef-setLinear (lambda (arg-1 arg-2) (case (vector-ref arg-2 0) ((3) (let ((e-1 (vector-ref arg-2 1))) (let ((e-2 (vector-ref arg-2 2))) (let ((e-3 (vector-ref arg-2 3))) (let ((e-4 (vector-ref arg-2 4))) (case (vector-ref e-3 0) ((3) (let ((e-6 (vector-ref e-3 1))) (let ((e-7 (vector-ref e-3 2))) (let ((e-8 (vector-ref e-3 3))) (let ((e-9 (vector-ref e-3 4))) (let ((u--b (vector 3 e-6 e-7 e-8 e-9))) (let ((sc2 (DataC-45List-lookup (csegen-1008) e-2 arg-1))) (if (null? sc2) (vector 3 e-1 e-2 u--b (TTImpC-45ProcessDef-setLinear arg-1 e-4)) (let ((e-5 (unbox sc2))) (vector 3 e-1 e-2 (CoreC-45TT-setMultiplicity u--b e-5) (TTImpC-45ProcessDef-setLinear arg-1 e-4))))))))))) ((5) (let ((e-11 (vector-ref e-3 1))) (let ((e-12 (vector-ref e-3 2))) (let ((e-13 (vector-ref e-3 3))) (let ((u--b (vector 5 e-11 e-12 e-13))) (let ((sc2 (DataC-45List-lookup (csegen-1008) e-2 arg-1))) (if (null? sc2) (vector 3 e-1 e-2 u--b (TTImpC-45ProcessDef-setLinear arg-1 e-4)) (let ((e-5 (unbox sc2))) (vector 3 e-1 e-2 (CoreC-45TT-setMultiplicity u--b e-5) (TTImpC-45ProcessDef-setLinear arg-1 e-4))))))))))(else arg-2)))))))(else arg-2))))
(define TTImpC-45ProcessDef-recoverableErr (lambda (arg-0 arg-1 arg-2) (case (vector-ref arg-2 0) ((1) (let ((e-0 (vector-ref arg-2 1))) (let ((e-2 (vector-ref arg-2 3))) (let ((e-3 (vector-ref arg-2 4))) (let ((e-4 (vector-ref arg-2 5))) (let ((e-5 (vector-ref arg-2 6))) (let ((u--defs (let ((e-36 (vector-ref arg-1 1))) (let ((e-35 (vector-ref arg-1 2))) (let ((e-34 (vector-ref arg-1 3))) (let ((e-33 (vector-ref arg-1 4))) (let ((e-32 (vector-ref arg-1 5))) (let ((e-6 (vector-ref arg-1 6))) (let ((e-7 (vector-ref arg-1 7))) (let ((e-8 (vector-ref arg-1 8))) (let ((e-9 (vector-ref arg-1 9))) (let ((e-10 (vector-ref arg-1 10))) (let ((e-11 (vector-ref arg-1 11))) (let ((e-12 (vector-ref arg-1 12))) (let ((e-13 (vector-ref arg-1 13))) (let ((e-14 (vector-ref arg-1 14))) (let ((e-15 (vector-ref arg-1 15))) (let ((e-16 (vector-ref arg-1 16))) (let ((e-17 (vector-ref arg-1 17))) (let ((e-18 (vector-ref arg-1 18))) (let ((e-19 (vector-ref arg-1 19))) (let ((e-20 (vector-ref arg-1 20))) (let ((e-21 (vector-ref arg-1 21))) (let ((e-22 (vector-ref arg-1 22))) (let ((e-23 (vector-ref arg-1 23))) (let ((e-24 (vector-ref arg-1 24))) (let ((e-25 (vector-ref arg-1 25))) (let ((e-26 (vector-ref arg-1 26))) (let ((e-27 (vector-ref arg-1 27))) (let ((e-28 (vector-ref arg-1 28))) (let ((e-29 (vector-ref arg-1 29))) (let ((e-30 (vector-ref arg-1 30))) (let ((e-31 (vector-ref arg-1 31))) (vector e-2 e-36 e-35 e-34 e-33 e-32 e-6 e-7 e-8 e-9 e-10 e-11 e-12 e-13 e-14 e-15 e-16 e-17 e-18 e-19 e-20 e-21 e-22 e-23 e-24 e-25 e-26 e-27 e-28 e-29 e-30 e-31)))))))))))))))))))))))))))))))))) (let ((eff-0 (CoreC-45NormaliseC-45Eval-nf arg-0 e-0 u--defs e-3 e-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-nf arg-0 e-0 u--defs e-3 e-5))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45ContextC-45Log-log arg-0 "coverage.recover" 10 (lambda () (DataC-45String-fastUnlines (cons "Recovering from CantConvert?" (cons "Checking:" (cons (string-append "  " (CoreC-45Value-u--show_Show_C-40NFC-32C-36freeC-41 e-0 e-6)) (cons (string-append "  " (CoreC-45Value-u--show_Show_C-40NFC-32C-36freeC-41 e-0 e-7)) '()))))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((eff-3 (TTImpC-45ProcessDef-recoverable arg-0 e-0 u--defs e-6 e-7))) eff-3)))))))) eff-2))))))))) eff-1)))))))))))))) ((2) (let ((e-6 (vector-ref arg-2 1))) (let ((e-8 (vector-ref arg-2 3))) (let ((e-9 (vector-ref arg-2 4))) (let ((e-10 (vector-ref arg-2 5))) (let ((e-11 (vector-ref arg-2 6))) (let ((u--defs (let ((e-1 (vector-ref arg-1 1))) (let ((e-2 (vector-ref arg-1 2))) (let ((e-3 (vector-ref arg-1 3))) (let ((e-4 (vector-ref arg-1 4))) (let ((e-5 (vector-ref arg-1 5))) (let ((e-37 (vector-ref arg-1 6))) (let ((e-36 (vector-ref arg-1 7))) (let ((e-35 (vector-ref arg-1 8))) (let ((e-34 (vector-ref arg-1 9))) (let ((e-33 (vector-ref arg-1 10))) (let ((e-32 (vector-ref arg-1 11))) (let ((e-12 (vector-ref arg-1 12))) (let ((e-13 (vector-ref arg-1 13))) (let ((e-14 (vector-ref arg-1 14))) (let ((e-15 (vector-ref arg-1 15))) (let ((e-16 (vector-ref arg-1 16))) (let ((e-17 (vector-ref arg-1 17))) (let ((e-18 (vector-ref arg-1 18))) (let ((e-19 (vector-ref arg-1 19))) (let ((e-20 (vector-ref arg-1 20))) (let ((e-21 (vector-ref arg-1 21))) (let ((e-22 (vector-ref arg-1 22))) (let ((e-23 (vector-ref arg-1 23))) (let ((e-24 (vector-ref arg-1 24))) (let ((e-25 (vector-ref arg-1 25))) (let ((e-26 (vector-ref arg-1 26))) (let ((e-27 (vector-ref arg-1 27))) (let ((e-28 (vector-ref arg-1 28))) (let ((e-29 (vector-ref arg-1 29))) (let ((e-30 (vector-ref arg-1 30))) (let ((e-31 (vector-ref arg-1 31))) (vector e-8 e-1 e-2 e-3 e-4 e-5 e-37 e-36 e-35 e-34 e-33 e-32 e-12 e-13 e-14 e-15 e-16 e-17 e-18 e-19 e-20 e-21 e-22 e-23 e-24 e-25 e-26 e-27 e-28 e-29 e-30 e-31)))))))))))))))))))))))))))))))))) (let ((eff-0 (CoreC-45NormaliseC-45Eval-nf arg-0 e-6 u--defs e-9 e-10))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-nf arg-0 e-6 u--defs e-9 e-11))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-12 (vector-ref lcase-1 1))) (let ((eff-2 (TTImpC-45ProcessDef-recoverable arg-0 e-6 u--defs e-5 e-12))) eff-2))))))))) eff-1)))))))))))))) ((45) (let ((e-15 (vector-ref arg-2 4))) (lambda (clam-0) (cond ((equal? e-15 3) (vector 1 1))(else (vector 1 0)))))) ((4) (lambda (eta-0) (vector 1 0))) ((21) (let ((e-23 (vector-ref arg-2 1))) (CoreC-45Core-anyM (lambda (eta-0) (TTImpC-45ProcessDef-recoverableErr arg-0 arg-1 eta-0)) ((csegen-947) e-23)))) ((5) (let ((e-30 (vector-ref arg-2 7))) (TTImpC-45ProcessDef-recoverableErr arg-0 arg-1 e-30)))(else (lambda (eta-0) (vector 1 0))))))
(define TTImpC-45ProcessDef-recoverable (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (case (vector-ref arg-3 0) ((3) (let ((e-71 (vector-ref arg-3 2))) (let ((e-74 (vector-ref arg-3 5))) (case (vector-ref arg-4 0) ((3) (let ((e-88 (vector-ref arg-4 2))) (let ((e-91 (vector-ref arg-4 5))) (let ((sc2 (CoreC-45Name-u--C-47C-61_Eq_Name e-71 e-88))) (cond ((equal? sc2 1) (lambda (eta-0) (vector 1 0))) (else (let ((eff-0 (CoreC-45Core-anyM (lambda (eta-0) (TTImpC-45ProcessDef-mismatch arg-0 arg-1 arg-2 eta-0)) (DataC-45List-u--zipWith_Zippable_List (lambda (eta-0) (lambda (eta-1) (PreludeC-45Basics-curry (lambda (eta-2) (PreludeC-45Interfaces-mapHom (vector (lambda (u--d) (lambda (u--b) (lambda (u--c) (lambda (u--a) (lambda (arg-9053) (lambda (arg-9060) (lambda (arg-9067) (let ((e-2 (car arg-9067))) (let ((e-3 (cdr arg-9067))) (cons (arg-9053 e-2) (arg-9060 e-3))))))))))) (lambda (u--b) (lambda (u--c) (lambda (u--a) (lambda (arg-9081) (lambda (arg-9088) (let ((e-2 (car arg-9088))) (let ((e-3 (cdr arg-9088))) (cons (arg-9081 e-2) e-3)))))))) (lambda (u--a) (lambda (u--d) (lambda (u--b) (lambda (arg-9095) (lambda (arg-9102) (let ((e-2 (car arg-9102))) (let ((e-3 (cdr arg-9102))) (cons e-2 (arg-9095 e-3)))))))))) (lambda (eta-3) (Builtin-snd eta-3)) eta-2)) eta-0 eta-1))) e-74 e-91)))) (PrimIO-io_bind eff-0 (csegen-3119))))))))) ((8) (lambda (eta-0) (vector 1 0))) ((10) (lambda (eta-0) (vector 1 0))) ((0) (lambda (eta-0) (vector 1 0)))(else (lambda (eta-0) (vector 1 1))))))) ((8) (case (vector-ref arg-4 0) ((3) (lambda (eta-0) (vector 1 0)))(else (case (vector-ref arg-4 0) ((3) (lambda (eta-0) (vector 1 1)))(else (case (vector-ref arg-3 0) ((2) (let ((e-42 (vector-ref arg-3 3))) (let ((e-44 (vector-ref arg-3 5))) (case (vector-ref arg-4 0) ((2) (let ((e-51 (vector-ref arg-4 3))) (let ((e-53 (vector-ref arg-4 5))) (let ((sc3 (PreludeC-45EqOrd-u--C-47C-61_Eq_Int e-42 e-51))) (cond ((equal? sc3 1) (lambda (eta-0) (vector 1 0))) (else (let ((eff-0 (CoreC-45Core-anyM (lambda (eta-0) (TTImpC-45ProcessDef-mismatch arg-0 arg-1 arg-2 eta-0)) (DataC-45List-u--zipWith_Zippable_List (lambda (eta-0) (lambda (eta-1) (PreludeC-45Basics-curry (lambda (eta-2) (PreludeC-45Interfaces-mapHom (vector (lambda (u--d) (lambda (u--b) (lambda (u--c) (lambda (u--a) (lambda (arg-9053) (lambda (arg-9060) (lambda (arg-9067) (let ((e-2 (car arg-9067))) (let ((e-3 (cdr arg-9067))) (cons (arg-9053 e-2) (arg-9060 e-3))))))))))) (lambda (u--b) (lambda (u--c) (lambda (u--a) (lambda (arg-9081) (lambda (arg-9088) (let ((e-2 (car arg-9088))) (let ((e-3 (cdr arg-9088))) (cons (arg-9081 e-2) e-3)))))))) (lambda (u--a) (lambda (u--d) (lambda (u--b) (lambda (arg-9095) (lambda (arg-9102) (let ((e-2 (car arg-9102))) (let ((e-3 (cdr arg-9102))) (cons e-2 (arg-9095 e-3)))))))))) (lambda (eta-3) (Builtin-snd eta-3)) eta-2)) eta-0 eta-1))) e-44 e-53)))) (PrimIO-io_bind eff-0 (csegen-3119))))))))) ((8) (lambda (eta-0) (vector 1 0)))(else (lambda (eta-0) (vector 1 1))))))) ((8) (case (vector-ref arg-4 0) ((2) (lambda (eta-0) (vector 1 0)))(else (case (vector-ref arg-4 0) ((2) (lambda (eta-0) (vector 1 1)))(else (case (vector-ref arg-3 0) ((1) (let ((e-2 (vector-ref arg-3 2))) (case (vector-ref e-2 0) ((1) (lambda (clam-0) (case (vector-ref arg-4 0) ((1) (let ((e-17 (vector-ref arg-4 2))) (case (vector-ref e-17 0) ((1) (vector 1 1))(else (vector 1 0)))))(else (vector 1 0)))))(else (lambda (eta-0) (vector 1 0)))))) ((8) (let ((e-6 (vector-ref arg-3 2))) (lambda (clam-1) (case (vector-ref arg-4 0) ((8) (let ((e-24 (vector-ref arg-4 2))) (vector 1 (CoreC-45TT-u--C-61C-61_Eq_Constant e-6 e-24)))) ((0) (vector 1 0))(else (vector 1 0)))))) ((0) (lambda (clam-2) (case (vector-ref arg-4 0) ((8) (vector 1 0))(else (vector 1 0)))))(else (lambda (eta-0) (vector 1 0)))))))))(else (case (vector-ref arg-4 0) ((2) (lambda (eta-0) (vector 1 1)))(else (case (vector-ref arg-3 0) ((1) (let ((e-2 (vector-ref arg-3 2))) (case (vector-ref e-2 0) ((1) (lambda (clam-1) (case (vector-ref arg-4 0) ((1) (let ((e-17 (vector-ref arg-4 2))) (case (vector-ref e-17 0) ((1) (vector 1 1))(else (vector 1 0)))))(else (vector 1 0)))))(else (lambda (eta-0) (vector 1 0)))))) ((8) (let ((e-6 (vector-ref arg-3 2))) (lambda (clam-4) (case (vector-ref arg-4 0) ((8) (let ((e-24 (vector-ref arg-4 2))) (vector 1 (CoreC-45TT-u--C-61C-61_Eq_Constant e-6 e-24)))) ((0) (vector 1 0))(else (vector 1 0)))))) ((0) (lambda (clam-5) (case (vector-ref arg-4 0) ((8) (vector 1 0))(else (vector 1 0)))))(else (lambda (eta-0) (vector 1 0))))))))))))) ((10) (case (vector-ref arg-4 0) ((3) (lambda (eta-0) (vector 1 0)))(else (case (vector-ref arg-4 0) ((3) (lambda (eta-0) (vector 1 1)))(else (case (vector-ref arg-3 0) ((2) (let ((e-42 (vector-ref arg-3 3))) (let ((e-44 (vector-ref arg-3 5))) (case (vector-ref arg-4 0) ((2) (let ((e-51 (vector-ref arg-4 3))) (let ((e-53 (vector-ref arg-4 5))) (let ((sc3 (PreludeC-45EqOrd-u--C-47C-61_Eq_Int e-42 e-51))) (cond ((equal? sc3 1) (lambda (eta-0) (vector 1 0))) (else (let ((eff-0 (CoreC-45Core-anyM (lambda (eta-0) (TTImpC-45ProcessDef-mismatch arg-0 arg-1 arg-2 eta-0)) (DataC-45List-u--zipWith_Zippable_List (lambda (eta-0) (lambda (eta-1) (PreludeC-45Basics-curry (lambda (eta-2) (PreludeC-45Interfaces-mapHom (vector (lambda (u--d) (lambda (u--b) (lambda (u--c) (lambda (u--a) (lambda (arg-9053) (lambda (arg-9060) (lambda (arg-9067) (let ((e-2 (car arg-9067))) (let ((e-3 (cdr arg-9067))) (cons (arg-9053 e-2) (arg-9060 e-3))))))))))) (lambda (u--b) (lambda (u--c) (lambda (u--a) (lambda (arg-9081) (lambda (arg-9088) (let ((e-2 (car arg-9088))) (let ((e-3 (cdr arg-9088))) (cons (arg-9081 e-2) e-3)))))))) (lambda (u--a) (lambda (u--d) (lambda (u--b) (lambda (arg-9095) (lambda (arg-9102) (let ((e-2 (car arg-9102))) (let ((e-3 (cdr arg-9102))) (cons e-2 (arg-9095 e-3)))))))))) (lambda (eta-3) (Builtin-snd eta-3)) eta-2)) eta-0 eta-1))) e-44 e-53)))) (PrimIO-io_bind eff-0 (csegen-3119))))))))) ((8) (lambda (eta-0) (vector 1 0)))(else (lambda (eta-0) (vector 1 1))))))) ((8) (case (vector-ref arg-4 0) ((2) (lambda (eta-0) (vector 1 0)))(else (case (vector-ref arg-4 0) ((2) (lambda (eta-0) (vector 1 1)))(else (case (vector-ref arg-3 0) ((1) (let ((e-2 (vector-ref arg-3 2))) (case (vector-ref e-2 0) ((1) (lambda (clam-2) (case (vector-ref arg-4 0) ((1) (let ((e-17 (vector-ref arg-4 2))) (case (vector-ref e-17 0) ((1) (vector 1 1))(else (vector 1 0)))))(else (vector 1 0)))))(else (lambda (eta-0) (vector 1 0)))))) ((8) (let ((e-6 (vector-ref arg-3 2))) (lambda (clam-7) (case (vector-ref arg-4 0) ((8) (let ((e-24 (vector-ref arg-4 2))) (vector 1 (CoreC-45TT-u--C-61C-61_Eq_Constant e-6 e-24)))) ((0) (vector 1 0))(else (vector 1 0)))))) ((0) (lambda (clam-8) (case (vector-ref arg-4 0) ((8) (vector 1 0))(else (vector 1 0)))))(else (lambda (eta-0) (vector 1 0)))))))))(else (case (vector-ref arg-4 0) ((2) (lambda (eta-0) (vector 1 1)))(else (case (vector-ref arg-3 0) ((1) (let ((e-2 (vector-ref arg-3 2))) (case (vector-ref e-2 0) ((1) (lambda (clam-3) (case (vector-ref arg-4 0) ((1) (let ((e-17 (vector-ref arg-4 2))) (case (vector-ref e-17 0) ((1) (vector 1 1))(else (vector 1 0)))))(else (vector 1 0)))))(else (lambda (eta-0) (vector 1 0)))))) ((8) (let ((e-6 (vector-ref arg-3 2))) (lambda (clam-10) (case (vector-ref arg-4 0) ((8) (let ((e-24 (vector-ref arg-4 2))) (vector 1 (CoreC-45TT-u--C-61C-61_Eq_Constant e-6 e-24)))) ((0) (vector 1 0))(else (vector 1 0)))))) ((0) (lambda (clam-11) (case (vector-ref arg-4 0) ((8) (vector 1 0))(else (vector 1 0)))))(else (lambda (eta-0) (vector 1 0))))))))))))) ((0) (case (vector-ref arg-4 0) ((3) (lambda (eta-0) (vector 1 0)))(else (case (vector-ref arg-4 0) ((3) (lambda (eta-0) (vector 1 1)))(else (case (vector-ref arg-3 0) ((2) (let ((e-42 (vector-ref arg-3 3))) (let ((e-44 (vector-ref arg-3 5))) (case (vector-ref arg-4 0) ((2) (let ((e-51 (vector-ref arg-4 3))) (let ((e-53 (vector-ref arg-4 5))) (let ((sc3 (PreludeC-45EqOrd-u--C-47C-61_Eq_Int e-42 e-51))) (cond ((equal? sc3 1) (lambda (eta-0) (vector 1 0))) (else (let ((eff-0 (CoreC-45Core-anyM (lambda (eta-0) (TTImpC-45ProcessDef-mismatch arg-0 arg-1 arg-2 eta-0)) (DataC-45List-u--zipWith_Zippable_List (lambda (eta-0) (lambda (eta-1) (PreludeC-45Basics-curry (lambda (eta-2) (PreludeC-45Interfaces-mapHom (vector (lambda (u--d) (lambda (u--b) (lambda (u--c) (lambda (u--a) (lambda (arg-9053) (lambda (arg-9060) (lambda (arg-9067) (let ((e-2 (car arg-9067))) (let ((e-3 (cdr arg-9067))) (cons (arg-9053 e-2) (arg-9060 e-3))))))))))) (lambda (u--b) (lambda (u--c) (lambda (u--a) (lambda (arg-9081) (lambda (arg-9088) (let ((e-2 (car arg-9088))) (let ((e-3 (cdr arg-9088))) (cons (arg-9081 e-2) e-3)))))))) (lambda (u--a) (lambda (u--d) (lambda (u--b) (lambda (arg-9095) (lambda (arg-9102) (let ((e-2 (car arg-9102))) (let ((e-3 (cdr arg-9102))) (cons e-2 (arg-9095 e-3)))))))))) (lambda (eta-3) (Builtin-snd eta-3)) eta-2)) eta-0 eta-1))) e-44 e-53)))) (PrimIO-io_bind eff-0 (csegen-3119))))))))) ((8) (lambda (eta-0) (vector 1 0)))(else (lambda (eta-0) (vector 1 1))))))) ((8) (case (vector-ref arg-4 0) ((2) (lambda (eta-0) (vector 1 0)))(else (case (vector-ref arg-4 0) ((2) (lambda (eta-0) (vector 1 1)))(else (case (vector-ref arg-3 0) ((1) (let ((e-2 (vector-ref arg-3 2))) (case (vector-ref e-2 0) ((1) (lambda (clam-4) (case (vector-ref arg-4 0) ((1) (let ((e-17 (vector-ref arg-4 2))) (case (vector-ref e-17 0) ((1) (vector 1 1))(else (vector 1 0)))))(else (vector 1 0)))))(else (lambda (eta-0) (vector 1 0)))))) ((8) (let ((e-6 (vector-ref arg-3 2))) (lambda (clam-13) (case (vector-ref arg-4 0) ((8) (let ((e-24 (vector-ref arg-4 2))) (vector 1 (CoreC-45TT-u--C-61C-61_Eq_Constant e-6 e-24)))) ((0) (vector 1 0))(else (vector 1 0)))))) ((0) (lambda (clam-14) (case (vector-ref arg-4 0) ((8) (vector 1 0))(else (vector 1 0)))))(else (lambda (eta-0) (vector 1 0)))))))))(else (case (vector-ref arg-4 0) ((2) (lambda (eta-0) (vector 1 1)))(else (case (vector-ref arg-3 0) ((1) (let ((e-2 (vector-ref arg-3 2))) (case (vector-ref e-2 0) ((1) (lambda (clam-5) (case (vector-ref arg-4 0) ((1) (let ((e-17 (vector-ref arg-4 2))) (case (vector-ref e-17 0) ((1) (vector 1 1))(else (vector 1 0)))))(else (vector 1 0)))))(else (lambda (eta-0) (vector 1 0)))))) ((8) (let ((e-6 (vector-ref arg-3 2))) (lambda (clam-16) (case (vector-ref arg-4 0) ((8) (let ((e-24 (vector-ref arg-4 2))) (vector 1 (CoreC-45TT-u--C-61C-61_Eq_Constant e-6 e-24)))) ((0) (vector 1 0))(else (vector 1 0)))))) ((0) (lambda (clam-17) (case (vector-ref arg-4 0) ((8) (vector 1 0))(else (vector 1 0)))))(else (lambda (eta-0) (vector 1 0)))))))))))))(else (case (vector-ref arg-4 0) ((3) (lambda (eta-0) (vector 1 1)))(else (case (vector-ref arg-3 0) ((2) (let ((e-42 (vector-ref arg-3 3))) (let ((e-44 (vector-ref arg-3 5))) (case (vector-ref arg-4 0) ((2) (let ((e-51 (vector-ref arg-4 3))) (let ((e-53 (vector-ref arg-4 5))) (let ((sc2 (PreludeC-45EqOrd-u--C-47C-61_Eq_Int e-42 e-51))) (cond ((equal? sc2 1) (lambda (eta-0) (vector 1 0))) (else (let ((eff-0 (CoreC-45Core-anyM (lambda (eta-0) (TTImpC-45ProcessDef-mismatch arg-0 arg-1 arg-2 eta-0)) (DataC-45List-u--zipWith_Zippable_List (lambda (eta-0) (lambda (eta-1) (PreludeC-45Basics-curry (lambda (eta-2) (PreludeC-45Interfaces-mapHom (vector (lambda (u--d) (lambda (u--b) (lambda (u--c) (lambda (u--a) (lambda (arg-9053) (lambda (arg-9060) (lambda (arg-9067) (let ((e-2 (car arg-9067))) (let ((e-3 (cdr arg-9067))) (cons (arg-9053 e-2) (arg-9060 e-3))))))))))) (lambda (u--b) (lambda (u--c) (lambda (u--a) (lambda (arg-9081) (lambda (arg-9088) (let ((e-2 (car arg-9088))) (let ((e-3 (cdr arg-9088))) (cons (arg-9081 e-2) e-3)))))))) (lambda (u--a) (lambda (u--d) (lambda (u--b) (lambda (arg-9095) (lambda (arg-9102) (let ((e-2 (car arg-9102))) (let ((e-3 (cdr arg-9102))) (cons e-2 (arg-9095 e-3)))))))))) (lambda (eta-3) (Builtin-snd eta-3)) eta-2)) eta-0 eta-1))) e-44 e-53)))) (PrimIO-io_bind eff-0 (csegen-3119))))))))) ((8) (lambda (eta-0) (vector 1 0)))(else (lambda (eta-0) (vector 1 1))))))) ((8) (case (vector-ref arg-4 0) ((2) (lambda (eta-0) (vector 1 0)))(else (case (vector-ref arg-4 0) ((2) (lambda (eta-0) (vector 1 1)))(else (case (vector-ref arg-3 0) ((1) (let ((e-2 (vector-ref arg-3 2))) (case (vector-ref e-2 0) ((1) (lambda (clam-6) (case (vector-ref arg-4 0) ((1) (let ((e-17 (vector-ref arg-4 2))) (case (vector-ref e-17 0) ((1) (vector 1 1))(else (vector 1 0)))))(else (vector 1 0)))))(else (lambda (eta-0) (vector 1 0)))))) ((8) (let ((e-6 (vector-ref arg-3 2))) (lambda (clam-19) (case (vector-ref arg-4 0) ((8) (let ((e-24 (vector-ref arg-4 2))) (vector 1 (CoreC-45TT-u--C-61C-61_Eq_Constant e-6 e-24)))) ((0) (vector 1 0))(else (vector 1 0)))))) ((0) (lambda (clam-20) (case (vector-ref arg-4 0) ((8) (vector 1 0))(else (vector 1 0)))))(else (lambda (eta-0) (vector 1 0)))))))))(else (case (vector-ref arg-4 0) ((2) (lambda (eta-0) (vector 1 1)))(else (case (vector-ref arg-3 0) ((1) (let ((e-2 (vector-ref arg-3 2))) (case (vector-ref e-2 0) ((1) (lambda (clam-7) (case (vector-ref arg-4 0) ((1) (let ((e-17 (vector-ref arg-4 2))) (case (vector-ref e-17 0) ((1) (vector 1 1))(else (vector 1 0)))))(else (vector 1 0)))))(else (lambda (eta-0) (vector 1 0)))))) ((8) (let ((e-6 (vector-ref arg-3 2))) (lambda (clam-22) (case (vector-ref arg-4 0) ((8) (let ((e-24 (vector-ref arg-4 2))) (vector 1 (CoreC-45TT-u--C-61C-61_Eq_Constant e-6 e-24)))) ((0) (vector 1 0))(else (vector 1 0)))))) ((0) (lambda (clam-23) (case (vector-ref arg-4 0) ((8) (vector 1 0))(else (vector 1 0)))))(else (lambda (eta-0) (vector 1 0))))))))))))))
(define TTImpC-45ProcessDef-processDef (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11) (let ((eff-0 (CoreC-45Context-inCurrentNS arg-1 arg-10))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 arg-1)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (unbox eff-2))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (TTImpC-45ProcessDef-lookupOrAddAlias arg-0 arg-2 arg-1 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-5 arg-11))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (if (null? e-7) (CoreC-45Context-noDeclaration arg-1 arg-9 e-5) (let ((e-1 (unbox e-7))) (let ((e-17 (vector-ref e-1 17))) (case (vector-ref e-17 0) ((0) (let ((u--ty (let ((e-45 (vector-ref e-1 2))) e-45))) (let ((u--hashit (let ((sc5 (CoreC-45TT-u--C-61C-61_Eq_Visibility (let ((e-38 (vector-ref e-1 9))) e-38) 2))) (cond ((equal? sc5 1) 1) (else (PreludeC-45Types-elem (csegen-16) (csegen-1601) (vector 0 ) (let ((e-36 (vector-ref e-1 11))) e-36))))))) (let ((u--mult (let ((sc5 (AlgebraC-45Semiring-isErased (csegen-1156) (let ((e-40 (vector-ref e-1 7))) e-40)))) (cond ((equal? sc5 1) (csegen-54)) (else (csegen-1778)))))) (let ((eff-3 (CoreC-45Context-resolveName arg-1 e-5))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-26 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-26)))) (else (let ((e-26 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45ContextC-45Log-log arg-1 "declare.def" 5 (lambda () (string-append "Traversing clauses of " (string-append (CoreC-45Name-u--show_Show_Name e-5) (string-append " with mult " (AlgebraC-45ZeroOneOmega-u--show_Show_ZeroOneOmega u--mult)))))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-27 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-27)))) (else (let ((eff-5 (let ((eff-5 (CoreC-45Context-getDefaultTotalityOption arg-1))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-28 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-28)))) (else (let ((e-28 (vector-ref lcase-5 1))) (let ((eff-6 (let ((u--treq (DataC-45Maybe-fromMaybe (lambda () e-28) (CoreC-45ContextC-45Context-findSetTotal (let ((e-39 (vector-ref e-1 11))) e-39))))) (let ((eff-6 (TTImpC-45ProcessDef-n--27284-17107-u--withTotality arg-0 arg-11 arg-10 arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 u--treq (lambda () (CoreC-45Core-traverseC-39 (lambda (eta-0) (TTImpC-45ProcessDef-checkClause arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 u--mult (let ((e-41 (vector-ref e-1 9))) e-41) u--treq u--hashit e-26 arg-6 arg-7 arg-8 eta-0)) arg-11 '()))))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-29 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-29)))) (else (let ((e-29 (vector-ref lcase-6 1))) (let ((eff-7 (let ((u--pats (((csegen-25) (lambda (eta-0) (TTImpC-45ProcessDef-toPats eta-0))) (DataC-45Either-rights e-29)))) (let ((eff-7 (CoreC-45ContextC-45Log-logTime arg-1 3 (lambda () (string-append "Building compile time case tree for " (CoreC-45Name-u--show_Show_Name e-5))) (CoreC-45CaseC-45CaseBuilder-getPMDef arg-1 arg-9 (box u--mult) e-5 u--ty (DataC-45Either-rights e-29))))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-30 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-30)))) (else (let ((e-30 (vector-ref lcase-7 1))) (let ((eff-8 (let ((e-32 (car e-30))) (let ((e-31 (cdr e-30))) (let ((e-34 (car e-31))) (let ((e-33 (cdr e-31))) (let ((eff-8 (CoreC-45Core-traverse_ (lambda (eta-0) (TTImpC-45ProcessDef-warnUnreachable arg-1 eta-0)) e-33))) (PrimIO-io_bind eff-8 (lambda (lcase-8) (case (vector-ref lcase-8 0) ((0) (let ((e-35 (vector-ref lcase-8 1))) (lambda (eta-0) (vector 0 e-35)))) (else (let ((eff-9 (let ((eff-9 (CoreC-45ContextC-45Log-unverifiedLogC arg-1 (csegen-3414) 2 (let ((eff-9 (CoreC-45Context-toFullNames arg-1 (csegen-3419) e-34))) (PrimIO-io_bind eff-9 (lambda (lcase-9) (case (vector-ref lcase-9 0) ((0) (let ((e-36 (vector-ref lcase-9 1))) (lambda (eta-0) (vector 0 e-36)))) (else (let ((e-36 (vector-ref lcase-9 1))) (let ((eff-10 (lambda (eta-0) (vector 1 (string-append ((csegen-0) "Case tree for ") (string-append (CoreC-45Name-u--show_Show_Name e-5) (string-append ": " (CoreC-45CaseC-45CaseTree-u--show_Show_C-40CaseTreeC-32C-36varsC-41 e-32 e-36)))))))) eff-10)))))))))) (PrimIO-io_bind eff-9 (lambda (lcase-9) (case (vector-ref lcase-9 0) ((0) (let ((e-36 (vector-ref lcase-9 1))) (lambda (eta-0) (vector 0 e-36)))) (else (let ((eff-10 (let ((eff-10 (let ((eff-10 arg-1)) (PrimIO-io_bind (let ((eff-11 eff-10)) (lambda (eta-0) (unbox eff-11))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-10 (lambda (lcase-10) (case (vector-ref lcase-10 0) ((0) (let ((e-37 (vector-ref lcase-10 1))) (lambda (eta-0) (vector 0 e-37)))) (else (let ((e-37 (vector-ref lcase-10 1))) (let ((eff-11 (let ((u--pi (let ((sc15 (LibrariesC-45DataC-45NameMap-lookup e-5 (let ((e-44 (vector-ref e-37 25))) e-44)))) (if (null? sc15) (CoreC-45ContextC-45Context-defaultPI) (let ((e-38 (unbox sc15))) (let ((sc16 (CoreC-45ContextC-45Context-defaultPI))) (let ((e-41 (vector-ref sc16 0))) (let ((e-40 (vector-ref sc16 1))) (vector e-41 e-40 e-38))))))))) (let ((eff-11 (let ((eff-11 (CoreC-45Context-addDef arg-1 (vector 8 e-26) (let ((e-59 (vector-ref e-1 0))) (let ((e-58 (vector-ref e-1 1))) (let ((e-57 (vector-ref e-1 2))) (let ((e-56 (vector-ref e-1 3))) (let ((e-55 (vector-ref e-1 4))) (let ((e-54 (vector-ref e-1 5))) (let ((e-53 (vector-ref e-1 6))) (let ((e-52 (vector-ref e-1 7))) (let ((e-51 (vector-ref e-1 8))) (let ((e-50 (vector-ref e-1 9))) (let ((e-49 (vector-ref e-1 10))) (let ((e-48 (vector-ref e-1 11))) (let ((e-47 (vector-ref e-1 12))) (let ((e-46 (vector-ref e-1 13))) (let ((e-45 (vector-ref e-1 14))) (let ((e-44 (vector-ref e-1 15))) (let ((e-43 (vector-ref e-1 16))) (let ((e-41 (vector-ref e-1 18))) (let ((e-40 (vector-ref e-1 19))) (let ((e-39 (vector-ref e-1 20))) (let ((e-38 (vector-ref e-1 21))) (vector e-59 e-58 e-57 e-56 e-55 e-54 e-53 e-52 e-51 e-50 e-49 e-48 e-47 e-46 e-45 e-44 e-43 (vector 1 u--pi e-32 e-34 e-34 u--pats) e-41 e-40 e-39 e-38))))))))))))))))))))))))) (((csegen-50) ((let ((eff-12 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-38 (vector-ref eta-3 1))) (vector 0 e-38))) (else (let ((e-38 (vector-ref eta-3 1))) (vector 1 (eta-2 e-38))))))))))) (lambda (arg-12) (lambda (arg-13) ((((eff-12 'erased) 'erased) arg-12) arg-13)))) (lambda (_-8679) (vector 0 )))) eff-11)))) (PrimIO-io_bind eff-11 (lambda (lcase-11) (case (vector-ref lcase-11 0) ((0) (let ((e-38 (vector-ref lcase-11 1))) (lambda (eta-0) (vector 0 e-38)))) (else (let ((eff-12 (let ((eff-12 (let ((sc16 (CoreC-45TT-u--C-61C-61_Eq_Visibility (let ((e-51 (vector-ref e-1 9))) e-51) 2))) (cond ((equal? sc16 1) ((let ((u--rmetas (CoreC-45CaseC-45CaseTree-getMetas e-34))) (lambda () (let ((eff-12 (CoreC-45ContextC-45Log-log arg-1 (csegen-3414) 10 (lambda () (string-append (csegen-2908) (string-append (CoreC-45Name-u--show_Show_Name e-5) (string-append ": " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-100) (LibrariesC-45DataC-45NameMap-keys u--rmetas))))))))) (PrimIO-io_bind eff-12 (lambda (lcase-12) (case (vector-ref lcase-12 0) ((0) (let ((e-39 (vector-ref lcase-12 1))) (lambda (eta-0) (vector 0 e-39)))) (else (let ((eff-13 (CoreC-45Core-traverse_ (lambda (eta-0) (CoreC-45Context-addToSave arg-1 eta-0)) (LibrariesC-45DataC-45NameMap-keys u--rmetas)))) eff-13)))))))))) (else (lambda (eta-0) (vector 1 (vector 0 )))))))) (PrimIO-io_bind eff-12 (lambda (lcase-12) (case (vector-ref lcase-12 0) ((0) (let ((e-39 (vector-ref lcase-12 1))) (lambda (eta-0) (vector 0 e-39)))) (else (let ((eff-13 (let ((eff-13 (let ((sc17 (let ((sc18 (CoreC-45Name-isUserName e-5))) (cond ((equal? sc18 1) (CoreC-45TT-u--C-47C-61_Eq_Visibility (let ((e-52 (vector-ref e-1 9))) e-52) 0)) (else 0))))) (cond ((equal? sc17 1) ((let ((u--tymetas (CoreC-45TT-getMetas (let ((e-59 (vector-ref e-1 2))) e-59)))) (lambda () (CoreC-45Core-traverse_ (lambda (eta-0) (CoreC-45Context-addToSave arg-1 eta-0)) (LibrariesC-45DataC-45NameMap-keys u--tymetas)))))) (else (lambda (eta-0) (vector 1 (vector 0 )))))))) (PrimIO-io_bind eff-13 (lambda (lcase-13) (case (vector-ref lcase-13 0) ((0) (let ((e-40 (vector-ref lcase-13 1))) (lambda (eta-0) (vector 0 e-40)))) (else (let ((eff-14 (let ((eff-14 (CoreC-45Context-addToSave arg-1 e-5))) (PrimIO-io_bind eff-14 (lambda (lcase-14) (case (vector-ref lcase-14 0) ((0) (let ((e-41 (vector-ref lcase-14 1))) (lambda (eta-0) (vector 0 e-41)))) (else (let ((eff-15 (let ((eff-15 (let ((eff-15 (let ((eff-15 arg-1)) (PrimIO-io_bind (let ((eff-16 eff-15)) (lambda (eta-0) (unbox eff-16))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-15 (lambda (lcase-15) (case (vector-ref lcase-15 0) ((0) (let ((e-42 (vector-ref lcase-15 1))) (lambda (eta-0) (vector 0 e-42)))) (else (let ((e-42 (vector-ref lcase-15 1))) (let ((eff-16 (let ((eff-16 arg-1)) (PrimIO-io_bind (let ((eff-17 eff-16)) (lambda (eta-0) (set-box! eff-17 (let ((e-74 (vector-ref e-42 0))) (let ((e-73 (vector-ref e-42 1))) (let ((e-72 (vector-ref e-42 2))) (let ((e-71 (vector-ref e-42 3))) (let ((e-70 (vector-ref e-42 4))) (let ((e-69 (vector-ref e-42 5))) (let ((e-68 (vector-ref e-42 6))) (let ((e-67 (vector-ref e-42 7))) (let ((e-66 (vector-ref e-42 8))) (let ((e-65 (vector-ref e-42 9))) (let ((e-64 (vector-ref e-42 10))) (let ((e-63 (vector-ref e-42 11))) (let ((e-62 (vector-ref e-42 12))) (let ((e-61 (vector-ref e-42 13))) (let ((e-60 (vector-ref e-42 14))) (let ((e-59 (vector-ref e-42 15))) (let ((e-58 (vector-ref e-42 16))) (let ((e-57 (vector-ref e-42 17))) (let ((e-56 (vector-ref e-42 18))) (let ((e-55 (vector-ref e-42 19))) (let ((e-54 (vector-ref e-42 20))) (let ((e-53 (vector-ref e-42 21))) (let ((e-52 (vector-ref e-42 22))) (let ((e-51 (vector-ref e-42 23))) (let ((e-50 (vector-ref e-42 24))) (let ((e-49 (vector-ref e-42 25))) (let ((e-48 (vector-ref e-42 26))) (let ((e-47 (vector-ref e-42 27))) (let ((e-46 (vector-ref e-42 28))) (let ((e-45 (vector-ref e-42 29))) (let ((e-44 (vector-ref e-42 30))) (let ((e-43 (vector-ref e-42 31))) (vector e-74 e-73 e-72 e-71 e-70 e-69 e-68 e-67 e-66 e-65 e-64 e-63 e-62 e-61 e-60 e-59 e-58 e-57 e-56 e-55 e-54 (cons e-5 e-53) e-52 e-51 e-50 e-49 e-48 e-47 e-46 e-45 e-44 e-43)))))))))))))))))))))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-16))))))))) (PrimIO-io_bind eff-15 (lambda (lcase-15) (case (vector-ref lcase-15 0) ((0) (let ((e-42 (vector-ref lcase-15 1))) (lambda (eta-0) (vector 0 e-42)))) (else (let ((eff-16 (let ((eff-16 (CoreC-45Context-toResolvedNames arg-1 (csegen-81) (csegen-2846)))) (PrimIO-io_bind eff-16 (lambda (lcase-16) (case (vector-ref lcase-16 0) ((0) (let ((e-43 (vector-ref lcase-16 1))) (lambda (eta-0) (vector 0 e-43)))) (else (let ((e-43 (vector-ref lcase-16 1))) (let ((eff-17 (let ((eff-17 (CoreC-45ContextC-45Log-logTime arg-1 3 (lambda () (string-append ((csegen-0) "Building size change graphs ") (CoreC-45Name-u--show_Show_Name e-5))) (let ((sc21 (PreludeC-45Types-elem (csegen-16) (csegen-2901) 1 arg-6))) (cond ((equal? sc21 1) (lambda (eta-0) (vector 1 (vector 0 )))) (else (let ((eff-17 (TTImpC-45ProcessDef-calcRefs arg-1 0 e-43 (vector 8 e-26)))) (PrimIO-io_bind eff-17 (lambda (lcase-17) (case (vector-ref lcase-17 0) ((0) (let ((e-44 (vector-ref lcase-17 1))) (lambda (eta-0) (vector 0 e-44)))) (else (let ((eff-18 (let ((eff-18 (CoreC-45Termination-calculateSizeChange arg-1 arg-9 e-5))) (PrimIO-io_bind eff-18 (lambda (lcase-18) (case (vector-ref lcase-18 0) ((0) (let ((e-45 (vector-ref lcase-18 1))) (lambda (eta-0) (vector 0 e-45)))) (else (let ((e-45 (vector-ref lcase-18 1))) (let ((eff-19 (let ((eff-19 (CoreC-45Context-setSizeChange arg-1 arg-9 e-5 e-45))) (PrimIO-io_bind eff-19 (lambda (lcase-19) (case (vector-ref lcase-19 0) ((0) (let ((e-46 (vector-ref lcase-19 1))) (lambda (eta-0) (vector 0 e-46)))) (else (let ((eff-20 (CoreC-45Termination-checkIfGuarded arg-1 arg-9 e-5))) eff-20)))))))) eff-19))))))))) eff-18)))))))))))) (PrimIO-io_bind eff-17 (lambda (lcase-17) (case (vector-ref lcase-17 0) ((0) (let ((e-44 (vector-ref lcase-17 1))) (lambda (eta-0) (vector 0 e-44)))) (else (let ((eff-18 (let ((eff-18 (let ((eff-18 arg-2)) (PrimIO-io_bind (let ((eff-19 eff-18)) (lambda (eta-0) (unbox eff-19))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-18 (lambda (lcase-18) (case (vector-ref lcase-18 0) ((0) (let ((e-45 (vector-ref lcase-18 1))) (lambda (eta-0) (vector 0 e-45)))) (else (let ((e-45 (vector-ref lcase-18 1))) (let ((eff-19 (let ((eff-19 (CoreC-45ContextC-45Log-logTime arg-1 3 (lambda () (string-append ((csegen-0) "Checking Coverage ") (CoreC-45Name-u--show_Show_Name e-5))) (TTImpC-45ProcessDef-n--27284-17112-u--checkCoverage arg-0 arg-11 arg-10 arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 e-26 u--ty u--mult e-29)))) (PrimIO-io_bind eff-19 (lambda (lcase-19) (case (vector-ref lcase-19 0) ((0) (let ((e-46 (vector-ref lcase-19 1))) (lambda (eta-0) (vector 0 e-46)))) (else (let ((e-46 (vector-ref lcase-19 1))) (let ((eff-20 (let ((eff-20 (CoreC-45Context-setCovering arg-1 arg-9 e-5 e-46))) (PrimIO-io_bind eff-20 (lambda (lcase-20) (case (vector-ref lcase-20 0) ((0) (let ((e-47 (vector-ref lcase-20 1))) (lambda (eta-0) (vector 0 e-47)))) (else (let ((eff-21 (let ((eff-21 (let ((eff-21 arg-2)) (PrimIO-io_bind (let ((eff-22 eff-21)) (lambda (eta-0) (set-box! eff-22 e-45))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-21 (lambda (lcase-21) (case (vector-ref lcase-21 0) ((0) (let ((e-48 (vector-ref lcase-21 1))) (lambda (eta-0) (vector 0 e-48)))) (else (let ((eff-22 (let ((sc26 (PreludeC-45Types-elem (csegen-16) (csegen-2901) 1 arg-6))) (cond ((equal? sc26 1) (lambda (eta-0) (vector 1 (vector 0 )))) (else (TTImpC-45ProcessDef-compileRunTime arg-1 arg-2 arg-3 arg-4 arg-5 arg-9 e-43)))))) eff-22)))))))) eff-21)))))))) eff-20))))))))) eff-19))))))))) eff-18)))))))) eff-17))))))))) eff-16)))))))) eff-15)))))))) eff-14)))))))) eff-13)))))))) eff-12))))))))) eff-11))))))))) eff-10)))))))) eff-9)))))))))))) eff-8)))))))))) eff-7)))))))))) eff-6))))))))) eff-5)))))))) eff-4)))))))))))(else (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 39 arg-9 e-5) eta-0))))))))) eff-3))))))))) eff-2)))))))) eff-1)))))))))
(define TTImpC-45ProcessDef-nameListEq (lambda (arg-0 arg-1) (if (null? arg-0) (if (null? arg-1) (box (vector 0 )) '()) (let ((e-2 (car arg-0))) (let ((e-3 (cdr arg-0))) (if (null? arg-1) '() (let ((e-6 (car arg-1))) (let ((e-7 (cdr arg-1))) (TTImpC-45ProcessDef-with--nameListEq-14308 e-2 e-6 (CoreC-45Name-nameEq e-2 e-6) e-3 e-7)))))))))
(define TTImpC-45ProcessDef-mkRunTime (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (let ((eff-0 (let ((eff-0 (CoreC-45Context-toFullNames arg-0 (csegen-81) arg-6))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45ContextC-45Log-log arg-0 "compile.casetree" 5 (lambda () (string-append "Making run time definition for " (CoreC-45Name-u--show_Show_Name e-5)))))) eff-1))))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (unbox eff-2))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-lookupCtxtExact arg-6 (let ((e-0 (vector-ref e-6 0))) e-0)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (if (null? e-7) (lambda (eta-0) (vector 1 (vector 0 ))) (let ((e-1 (unbox e-7))) (let ((u--cov (let ((e-10 (vector-ref e-1 10))) (let ((e-26 (cdr e-10))) e-26)))) (let ((sc4 (AlgebraC-45Semiring-isErased (csegen-1156) (let ((e-22 (vector-ref e-1 7))) e-22)))) (cond ((equal? sc4 1) (lambda (eta-0) (vector 1 (vector 0 )))) (else ((let ((_-0 (box e-1))) (TTImpC-45ProcessDef-case--caseC-32blockC-32inC-32mkRunTime-15308 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 arg-0 e-6 e-1 _-0 u--cov (let ((e-17 (vector-ref e-1 17))) e-17)))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))
(define TTImpC-45ProcessDef-mismatchNF (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (case (vector-ref arg-3 0) ((3) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (case (vector-ref arg-4 0) ((3) (let ((e-34 (vector-ref arg-4 2))) (let ((e-37 (vector-ref arg-4 5))) (let ((sc2 (CoreC-45Name-u--C-47C-61_Eq_Name e-2 e-34))) (cond ((equal? sc2 1) (lambda (eta-0) (vector 1 1))) (else (CoreC-45Core-anyM (lambda (eta-0) (TTImpC-45ProcessDef-mismatch arg-0 arg-1 arg-2 eta-0)) (DataC-45List-u--zipWith_Zippable_List (lambda (eta-0) (lambda (eta-1) (PreludeC-45Basics-curry (lambda (eta-2) (PreludeC-45Interfaces-mapHom (vector (lambda (u--d) (lambda (u--b) (lambda (u--c) (lambda (u--a) (lambda (arg-9053) (lambda (arg-9060) (lambda (arg-9067) (let ((e-7 (car arg-9067))) (let ((e-6 (cdr arg-9067))) (cons (arg-9053 e-7) (arg-9060 e-6))))))))))) (lambda (u--b) (lambda (u--c) (lambda (u--a) (lambda (arg-9081) (lambda (arg-9088) (let ((e-7 (car arg-9088))) (let ((e-6 (cdr arg-9088))) (cons (arg-9081 e-7) e-6)))))))) (lambda (u--a) (lambda (u--d) (lambda (u--b) (lambda (arg-9095) (lambda (arg-9102) (let ((e-7 (car arg-9102))) (let ((e-6 (cdr arg-9102))) (cons e-7 (arg-9095 e-6)))))))))) (lambda (eta-3) (Builtin-snd eta-3)) eta-2)) eta-0 eta-1))) e-5 e-37)))))))) ((8) (lambda (eta-0) (vector 1 1))) ((0) (lambda (eta-0) (vector 1 1))) ((10) (lambda (eta-0) (vector 1 1)))(else (lambda (eta-0) (vector 1 0))))))) ((2) (let ((e-9 (vector-ref arg-3 3))) (let ((e-11 (vector-ref arg-3 5))) (case (vector-ref arg-4 0) ((2) (let ((e-52 (vector-ref arg-4 3))) (let ((e-54 (vector-ref arg-4 5))) (let ((sc2 (PreludeC-45EqOrd-u--C-47C-61_Eq_Int e-9 e-52))) (cond ((equal? sc2 1) (lambda (eta-0) (vector 1 1))) (else (CoreC-45Core-anyM (lambda (eta-0) (TTImpC-45ProcessDef-mismatch arg-0 arg-1 arg-2 eta-0)) (DataC-45List-u--zipWith_Zippable_List (lambda (eta-0) (lambda (eta-1) (PreludeC-45Basics-curry (lambda (eta-2) (PreludeC-45Interfaces-mapHom (vector (lambda (u--d) (lambda (u--b) (lambda (u--c) (lambda (u--a) (lambda (arg-9053) (lambda (arg-9060) (lambda (arg-9067) (let ((e-2 (car arg-9067))) (let ((e-3 (cdr arg-9067))) (cons (arg-9053 e-2) (arg-9060 e-3))))))))))) (lambda (u--b) (lambda (u--c) (lambda (u--a) (lambda (arg-9081) (lambda (arg-9088) (let ((e-2 (car arg-9088))) (let ((e-3 (cdr arg-9088))) (cons (arg-9081 e-2) e-3)))))))) (lambda (u--a) (lambda (u--d) (lambda (u--b) (lambda (arg-9095) (lambda (arg-9102) (let ((e-2 (car arg-9102))) (let ((e-3 (cdr arg-9102))) (cons e-2 (arg-9095 e-3)))))))))) (lambda (eta-3) (Builtin-snd eta-3)) eta-2)) eta-0 eta-1))) e-11 e-54)))))))) ((8) (lambda (eta-0) (vector 1 1)))(else (lambda (eta-0) (vector 1 0))))))) ((8) (let ((e-14 (vector-ref arg-3 2))) (lambda (clam-0) (case (vector-ref arg-4 0) ((8) (let ((e-60 (vector-ref arg-4 2))) (vector 1 (CoreC-45TT-u--C-47C-61_Eq_Constant e-14 e-60)))) ((2) (vector 1 1)) ((0) (vector 1 1)) ((3) (vector 1 1)) ((10) (vector 1 1))(else (vector 1 0)))))) ((5) (let ((e-18 (vector-ref arg-3 3))) (case (vector-ref arg-4 0) ((5) (let ((e-84 (vector-ref arg-4 3))) (TTImpC-45ProcessDef-mismatchNF arg-0 arg-1 arg-2 e-18 e-84)))(else (lambda (eta-0) (vector 1 0)))))) ((6) (let ((e-23 (vector-ref arg-3 4))) (case (vector-ref arg-4 0) ((6) (let ((e-89 (vector-ref arg-4 4))) (let ((eff-0 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-23))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-89))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (TTImpC-45ProcessDef-mismatchNF arg-0 arg-1 arg-2 e-5 e-6))) eff-2))))))))) eff-1)))))))))(else (lambda (eta-0) (vector 1 0)))))) ((0) (lambda (clam-1) (case (vector-ref arg-4 0) ((8) (vector 1 1)) ((3) (vector 1 1)) ((10) (vector 1 1))(else (vector 1 0))))) ((10) (lambda (clam-2) (case (vector-ref arg-4 0) ((8) (vector 1 1)) ((3) (vector 1 1)) ((0) (vector 1 1))(else (vector 1 0)))))(else (lambda (eta-0) (vector 1 0))))))
(define TTImpC-45ProcessDef-mismatch (lambda (arg-0 arg-1 arg-2 arg-3) (let ((e-2 (car arg-3))) (let ((e-3 (cdr arg-3))) (let ((eff-0 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 arg-1 arg-2 e-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (TTImpC-45ProcessDef-mismatchNF arg-0 arg-1 arg-2 e-5 e-6))) eff-2))))))))) eff-1)))))))))))
(define TTImpC-45ProcessDef-lookupOrAddAlias (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11) (if (null? arg-11) (let ((eff-0 (let ((eff-0 arg-2)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45Context-lookupCtxtExact arg-10 (let ((e-0 (vector-ref e-5 0))) e-0)))) eff-1))))))) (let ((e-1 (car arg-11))) (let ((e-2 (cdr arg-11))) (case (vector-ref e-1 0) ((0) (let ((e-4 (vector-ref e-1 1))) (let ((e-5 (vector-ref e-1 2))) (let ((e-6 (vector-ref e-1 3))) (if (null? e-2) (let ((eff-0 (let ((eff-0 arg-2)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-7 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45ContextC-45Log-log arg-2 ((csegen-0) "declare.def.alias") 20 (lambda () (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons ((csegen-0) "Looking at ") (cons ((csegen-0) (TTImpC-45TTImp-u--show_Show_C-40ImpClauseC-39C-32C-36nmC-41 (csegen-100) e-1)) '()))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-3 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45Context-lookupCtxtExact arg-10 (let ((e-0 (vector-ref e-7 0))) e-0)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-3 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-9 (vector-ref lcase-2 1))) (let ((eff-3 (let ((u--cl (vector 0 e-4 e-5 e-6))) (if (null? e-9) (let ((_-0 '())) (TTImpC-45ProcessDef-case--caseC-32blockC-32inC-32lookupOrAddAlias-16327 arg-0 e-4 e-6 e-5 u--cl arg-10 arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 e-7 _-0 (TTImpC-45ProcessDef-isAlias e-5))) (let ((e-3 (unbox e-9))) (lambda (eta-0) (vector 1 (box e-3)))))))) eff-3))))))))) eff-2)))))))) eff-1))))))) (let ((eff-0 (let ((eff-0 arg-2)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-7 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45Context-lookupCtxtExact arg-10 (let ((e-0 (vector-ref e-7 0))) e-0)))) eff-1))))))))))))(else (let ((eff-0 (let ((eff-0 arg-2)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45Context-lookupCtxtExact arg-10 (let ((e-0 (vector-ref e-5 0))) e-0)))) eff-1))))))))))))))
(define TTImpC-45ProcessDef-isAlias (lambda (arg-0) (let ((sc0 (TTImpC-45TTImp-getFnArgs arg-0 '()))) (let ((e-2 (car sc0))) (let ((e-3 (cdr sc0))) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (TTImpC-45TTImp-isIVar e-2) (lambda (u--hd) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (PreludeC-45Types-u--traverse_Traversable_List (csegen-323) (lambda (eta-0) (PreludeC-45Interfaces-C-62C-61C-62 (csegen-614) (lambda (eta-1) (TTImpC-45TTImp-isExplicit eta-1)) (lambda (clam-0) (let ((e-5 (car clam-0))) (let ((e-4 (cdr clam-0))) (PreludeC-45Types-u--C-60C-42C-62_Applicative_Maybe (PreludeC-45Types-u--C-60C-42C-62_Applicative_Maybe (box (csegen-254)) (box e-5)) (TTImpC-45TTImp-isIBindVar e-4))))) eta-0)) e-3) (lambda (u--args) (box (cons u--hd u--args)))))))))))
(define TTImpC-45ProcessDef-impossibleOK (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (case (vector-ref arg-3 0) ((3) (let ((e-2 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 5))) (case (vector-ref arg-4 0) ((3) (let ((e-25 (vector-ref arg-4 2))) (let ((e-28 (vector-ref arg-4 5))) (let ((sc2 (CoreC-45Name-u--C-47C-61_Eq_Name e-2 e-25))) (cond ((equal? sc2 1) (lambda (eta-0) (vector 1 1))) (else (CoreC-45Core-anyM (lambda (eta-0) (TTImpC-45ProcessDef-mismatch arg-0 arg-1 arg-2 eta-0)) (DataC-45List-u--zipWith_Zippable_List (lambda (eta-0) (lambda (eta-1) (PreludeC-45Basics-curry (lambda (eta-2) (PreludeC-45Interfaces-mapHom (vector (lambda (u--d) (lambda (u--b) (lambda (u--c) (lambda (u--a) (lambda (arg-9053) (lambda (arg-9060) (lambda (arg-9067) (let ((e-7 (car arg-9067))) (let ((e-6 (cdr arg-9067))) (cons (arg-9053 e-7) (arg-9060 e-6))))))))))) (lambda (u--b) (lambda (u--c) (lambda (u--a) (lambda (arg-9081) (lambda (arg-9088) (let ((e-7 (car arg-9088))) (let ((e-6 (cdr arg-9088))) (cons (arg-9081 e-7) e-6)))))))) (lambda (u--a) (lambda (u--d) (lambda (u--b) (lambda (arg-9095) (lambda (arg-9102) (let ((e-7 (car arg-9102))) (let ((e-6 (cdr arg-9102))) (cons e-7 (arg-9095 e-6)))))))))) (lambda (eta-3) (Builtin-snd eta-3)) eta-2)) eta-0 eta-1))) e-5 e-28)))))))) ((8) (lambda (eta-0) (vector 1 1))) ((0) (lambda (eta-0) (vector 1 1))) ((10) (lambda (eta-0) (vector 1 1)))(else (lambda (eta-0) (vector 1 0))))))) ((2) (let ((e-9 (vector-ref arg-3 3))) (let ((e-11 (vector-ref arg-3 5))) (case (vector-ref arg-4 0) ((2) (let ((e-43 (vector-ref arg-4 3))) (let ((e-45 (vector-ref arg-4 5))) (let ((sc2 (PreludeC-45EqOrd-u--C-47C-61_Eq_Int e-9 e-43))) (cond ((equal? sc2 1) (lambda (eta-0) (vector 1 1))) (else (CoreC-45Core-anyM (lambda (eta-0) (TTImpC-45ProcessDef-mismatch arg-0 arg-1 arg-2 eta-0)) (DataC-45List-u--zipWith_Zippable_List (lambda (eta-0) (lambda (eta-1) (PreludeC-45Basics-curry (lambda (eta-2) (PreludeC-45Interfaces-mapHom (vector (lambda (u--d) (lambda (u--b) (lambda (u--c) (lambda (u--a) (lambda (arg-9053) (lambda (arg-9060) (lambda (arg-9067) (let ((e-2 (car arg-9067))) (let ((e-3 (cdr arg-9067))) (cons (arg-9053 e-2) (arg-9060 e-3))))))))))) (lambda (u--b) (lambda (u--c) (lambda (u--a) (lambda (arg-9081) (lambda (arg-9088) (let ((e-2 (car arg-9088))) (let ((e-3 (cdr arg-9088))) (cons (arg-9081 e-2) e-3)))))))) (lambda (u--a) (lambda (u--d) (lambda (u--b) (lambda (arg-9095) (lambda (arg-9102) (let ((e-2 (car arg-9102))) (let ((e-3 (cdr arg-9102))) (cons e-2 (arg-9095 e-3)))))))))) (lambda (eta-3) (Builtin-snd eta-3)) eta-2)) eta-0 eta-1))) e-11 e-45)))))))) ((8) (lambda (eta-0) (vector 1 1)))(else (lambda (eta-0) (vector 1 0))))))) ((8) (let ((e-14 (vector-ref arg-3 2))) (lambda (clam-0) (case (vector-ref arg-4 0) ((8) (let ((e-51 (vector-ref arg-4 2))) (vector 1 (CoreC-45TT-u--C-47C-61_Eq_Constant e-14 e-51)))) ((2) (vector 1 1)) ((0) (vector 1 1)) ((3) (vector 1 1)) ((10) (vector 1 1))(else (vector 1 0)))))) ((0) (lambda (clam-1) (case (vector-ref arg-4 0) ((8) (vector 1 1)) ((3) (vector 1 1)) ((10) (vector 1 1))(else (vector 1 0))))) ((10) (lambda (clam-2) (case (vector-ref arg-4 0) ((8) (vector 1 1)) ((3) (vector 1 1)) ((0) (vector 1 1))(else (vector 1 0)))))(else (lambda (eta-0) (vector 1 0))))))
(define TTImpC-45ProcessDef-impossibleErrOK (lambda (arg-0 arg-1 arg-2) (case (vector-ref arg-2 0) ((1) (let ((e-0 (vector-ref arg-2 1))) (let ((e-2 (vector-ref arg-2 3))) (let ((e-3 (vector-ref arg-2 4))) (let ((e-4 (vector-ref arg-2 5))) (let ((e-5 (vector-ref arg-2 6))) (let ((u--defs (let ((e-36 (vector-ref arg-1 1))) (let ((e-35 (vector-ref arg-1 2))) (let ((e-34 (vector-ref arg-1 3))) (let ((e-33 (vector-ref arg-1 4))) (let ((e-32 (vector-ref arg-1 5))) (let ((e-6 (vector-ref arg-1 6))) (let ((e-7 (vector-ref arg-1 7))) (let ((e-8 (vector-ref arg-1 8))) (let ((e-9 (vector-ref arg-1 9))) (let ((e-10 (vector-ref arg-1 10))) (let ((e-11 (vector-ref arg-1 11))) (let ((e-12 (vector-ref arg-1 12))) (let ((e-13 (vector-ref arg-1 13))) (let ((e-14 (vector-ref arg-1 14))) (let ((e-15 (vector-ref arg-1 15))) (let ((e-16 (vector-ref arg-1 16))) (let ((e-17 (vector-ref arg-1 17))) (let ((e-18 (vector-ref arg-1 18))) (let ((e-19 (vector-ref arg-1 19))) (let ((e-20 (vector-ref arg-1 20))) (let ((e-21 (vector-ref arg-1 21))) (let ((e-22 (vector-ref arg-1 22))) (let ((e-23 (vector-ref arg-1 23))) (let ((e-24 (vector-ref arg-1 24))) (let ((e-25 (vector-ref arg-1 25))) (let ((e-26 (vector-ref arg-1 26))) (let ((e-27 (vector-ref arg-1 27))) (let ((e-28 (vector-ref arg-1 28))) (let ((e-29 (vector-ref arg-1 29))) (let ((e-30 (vector-ref arg-1 30))) (let ((e-31 (vector-ref arg-1 31))) (vector e-2 e-36 e-35 e-34 e-33 e-32 e-6 e-7 e-8 e-9 e-10 e-11 e-12 e-13 e-14 e-15 e-16 e-17 e-18 e-19 e-20 e-21 e-22 e-23 e-24 e-25 e-26 e-27 e-28 e-29 e-30 e-31)))))))))))))))))))))))))))))))))) (let ((eff-0 (CoreC-45NormaliseC-45Eval-nf arg-0 e-0 u--defs e-3 e-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-nf arg-0 e-0 u--defs e-3 e-5))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (TTImpC-45ProcessDef-impossibleOK arg-0 e-0 u--defs e-6 e-7))) eff-2))))))))) eff-1)))))))))))))) ((2) (let ((e-6 (vector-ref arg-2 1))) (let ((e-8 (vector-ref arg-2 3))) (let ((e-9 (vector-ref arg-2 4))) (let ((e-10 (vector-ref arg-2 5))) (let ((e-11 (vector-ref arg-2 6))) (let ((u--defs (let ((e-1 (vector-ref arg-1 1))) (let ((e-2 (vector-ref arg-1 2))) (let ((e-3 (vector-ref arg-1 3))) (let ((e-4 (vector-ref arg-1 4))) (let ((e-5 (vector-ref arg-1 5))) (let ((e-37 (vector-ref arg-1 6))) (let ((e-36 (vector-ref arg-1 7))) (let ((e-35 (vector-ref arg-1 8))) (let ((e-34 (vector-ref arg-1 9))) (let ((e-33 (vector-ref arg-1 10))) (let ((e-32 (vector-ref arg-1 11))) (let ((e-12 (vector-ref arg-1 12))) (let ((e-13 (vector-ref arg-1 13))) (let ((e-14 (vector-ref arg-1 14))) (let ((e-15 (vector-ref arg-1 15))) (let ((e-16 (vector-ref arg-1 16))) (let ((e-17 (vector-ref arg-1 17))) (let ((e-18 (vector-ref arg-1 18))) (let ((e-19 (vector-ref arg-1 19))) (let ((e-20 (vector-ref arg-1 20))) (let ((e-21 (vector-ref arg-1 21))) (let ((e-22 (vector-ref arg-1 22))) (let ((e-23 (vector-ref arg-1 23))) (let ((e-24 (vector-ref arg-1 24))) (let ((e-25 (vector-ref arg-1 25))) (let ((e-26 (vector-ref arg-1 26))) (let ((e-27 (vector-ref arg-1 27))) (let ((e-28 (vector-ref arg-1 28))) (let ((e-29 (vector-ref arg-1 29))) (let ((e-30 (vector-ref arg-1 30))) (let ((e-31 (vector-ref arg-1 31))) (vector e-8 e-1 e-2 e-3 e-4 e-5 e-37 e-36 e-35 e-34 e-33 e-32 e-12 e-13 e-14 e-15 e-16 e-17 e-18 e-19 e-20 e-21 e-22 e-23 e-24 e-25 e-26 e-27 e-28 e-29 e-30 e-31)))))))))))))))))))))))))))))))))) (let ((eff-0 (CoreC-45NormaliseC-45Eval-nf arg-0 e-6 u--defs e-9 e-10))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-nf arg-0 e-6 u--defs e-9 e-11))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-12 (vector-ref lcase-1 1))) (let ((eff-2 (TTImpC-45ProcessDef-impossibleOK arg-0 e-6 u--defs e-5 e-12))) eff-2))))))))) eff-1)))))))))))))) ((45) (let ((e-15 (vector-ref arg-2 4))) (lambda (clam-0) (cond ((equal? e-15 3) (vector 1 1))(else (vector 1 0)))))) ((4) (lambda (eta-0) (vector 1 1))) ((21) (let ((e-23 (vector-ref arg-2 1))) (CoreC-45Core-anyM (lambda (eta-0) (TTImpC-45ProcessDef-impossibleErrOK arg-0 arg-1 eta-0)) ((csegen-947) e-23)))) ((5) (let ((e-30 (vector-ref arg-2 7))) (TTImpC-45ProcessDef-impossibleErrOK arg-0 arg-1 e-30)))(else (lambda (eta-0) (vector 1 0))))))
(define TTImpC-45ProcessDef-hasEmptyPat (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (case (vector-ref arg-4 0) ((3) (let ((e-2 (vector-ref arg-4 2))) (let ((e-3 (vector-ref arg-4 3))) (let ((e-4 (vector-ref arg-4 4))) (let ((eff-0 (CoreC-45NormaliseC-45Eval-nf arg-1 arg-0 arg-2 arg-3 (CoreC-45TT-binderType e-3)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Coverage-isEmpty arg-0 arg-1 arg-2 arg-3 e-5))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-6 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45ProcessDef-hasEmptyPat (cons e-2 arg-0) arg-1 arg-2 (cons e-3 arg-3) e-4))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-7 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (cond ((equal? e-6 1) 1) (else e-7)))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))(else (lambda (eta-0) (vector 1 0))))))
(define TTImpC-45ProcessDef-findLinear (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (case (vector-ref arg-5 0) ((3) (let ((e-2 (vector-ref arg-5 2))) (let ((e-4 (vector-ref arg-5 4))) (TTImpC-45ProcessDef-findLinear (cons e-2 arg-0) arg-1 arg-2 (+ arg-3 1) arg-4 e-4)))) ((5) (let ((e-9 (vector-ref arg-5 4))) (TTImpC-45ProcessDef-findLinear arg-0 arg-1 arg-2 arg-3 arg-4 e-9)))(else (TTImpC-45ProcessDef-case--findLinear-7962 arg-0 arg-5 arg-4 arg-3 arg-2 arg-1 (CoreC-45TT-getFnArgs arg-5))))))
(define TTImpC-45ProcessDef-extendEnv (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (case (vector-ref arg-5 0) ((3) (let ((e-1 (vector-ref arg-5 1))) (let ((e-2 (vector-ref arg-5 2))) (let ((e-3 (vector-ref arg-5 3))) (let ((e-4 (vector-ref arg-5 4))) (case (vector-ref e-3 0) ((3) (let ((e-6 (vector-ref e-3 1))) (let ((e-7 (vector-ref e-3 2))) (let ((e-8 (vector-ref e-3 3))) (let ((e-9 (vector-ref e-3 4))) (case (vector-ref arg-6 0) ((3) (let ((e-16 (vector-ref arg-6 1))) (let ((e-17 (vector-ref arg-6 2))) (let ((e-18 (vector-ref arg-6 3))) (let ((e-19 (vector-ref arg-6 4))) (case (vector-ref e-18 0) ((5) (let ((e-21 (vector-ref e-18 1))) (let ((e-22 (vector-ref e-18 2))) (let ((e-23 (vector-ref e-18 3))) (TTImpC-45ProcessDef-with--extendEnv-7365 e-2 e-17 (CoreC-45Name-nameEq e-2 e-17) 'erased arg-1 e-16 e-21 e-22 e-23 e-1 e-9 e-8 e-7 e-6 e-4 e-19 arg-4 arg-3 arg-2)))))(else (lambda (eta-0) (vector 1 (cons arg-1 (cons arg-3 (cons arg-2 (cons arg-4 (cons arg-5 arg-6))))))))))))))(else (lambda (eta-0) (vector 1 (cons arg-1 (cons arg-3 (cons arg-2 (cons arg-4 (cons arg-5 arg-6)))))))))))))) ((4) (let ((e-11 (vector-ref e-3 1))) (let ((e-12 (vector-ref e-3 2))) (let ((e-13 (vector-ref e-3 3))) (let ((e-14 (vector-ref e-3 4))) (case (vector-ref arg-6 0) ((3) (let ((e-25 (vector-ref arg-6 1))) (let ((e-26 (vector-ref arg-6 2))) (let ((e-27 (vector-ref arg-6 3))) (let ((e-28 (vector-ref arg-6 4))) (case (vector-ref e-27 0) ((4) (let ((e-30 (vector-ref e-27 1))) (let ((e-31 (vector-ref e-27 2))) (let ((e-32 (vector-ref e-27 3))) (let ((e-33 (vector-ref e-27 4))) (TTImpC-45ProcessDef-with--extendEnv-7454 e-2 e-26 (CoreC-45Name-nameEq e-2 e-26) 'erased arg-1 e-25 e-30 e-31 e-33 e-32 e-1 e-13 e-14 e-12 e-11 e-4 e-28 arg-4 arg-3 arg-2))))))(else (lambda (eta-0) (vector 1 (cons arg-1 (cons arg-3 (cons arg-2 (cons arg-4 (cons arg-5 arg-6))))))))))))))(else (lambda (eta-0) (vector 1 (cons arg-1 (cons arg-3 (cons arg-2 (cons arg-4 (cons arg-5 arg-6))))))))))))))(else (lambda (eta-0) (vector 1 (cons arg-1 (cons arg-3 (cons arg-2 (cons arg-4 (cons arg-5 arg-6))))))))))))))(else (lambda (eta-0) (vector 1 (cons arg-1 (cons arg-3 (cons arg-2 (cons arg-4 (cons arg-5 arg-6)))))))))))
(define TTImpC-45ProcessDef-compileRunTime (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Core-traverse_ (lambda (eta-0) (TTImpC-45ProcessDef-mkRunTime arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 eta-0)) (let ((e-21 (vector-ref e-5 21))) e-21)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45Core-traverse_ (lambda (eta-0) (TTImpC-45ProcessDef-calcRefs arg-0 1 arg-6 eta-0)) (let ((e-21 (vector-ref e-5 21))) e-21)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (let ((eff-3 (let ((eff-3 arg-0)) (PrimIO-io_bind (let ((eff-4 eff-3)) (lambda (eta-0) (unbox eff-4))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 arg-0)) (PrimIO-io_bind (let ((eff-5 eff-4)) (lambda (eta-0) (set-box! eff-5 (let ((e-0 (vector-ref e-8 0))) (let ((e-1 (vector-ref e-8 1))) (let ((e-2 (vector-ref e-8 2))) (let ((e-3 (vector-ref e-8 3))) (let ((e-4 (vector-ref e-8 4))) (let ((e-35 (vector-ref e-8 5))) (let ((e-34 (vector-ref e-8 6))) (let ((e-33 (vector-ref e-8 7))) (let ((e-32 (vector-ref e-8 8))) (let ((e-9 (vector-ref e-8 9))) (let ((e-10 (vector-ref e-8 10))) (let ((e-11 (vector-ref e-8 11))) (let ((e-12 (vector-ref e-8 12))) (let ((e-13 (vector-ref e-8 13))) (let ((e-14 (vector-ref e-8 14))) (let ((e-15 (vector-ref e-8 15))) (let ((e-16 (vector-ref e-8 16))) (let ((e-17 (vector-ref e-8 17))) (let ((e-18 (vector-ref e-8 18))) (let ((e-19 (vector-ref e-8 19))) (let ((e-20 (vector-ref e-8 20))) (let ((e-22 (vector-ref e-8 22))) (let ((e-23 (vector-ref e-8 23))) (let ((e-24 (vector-ref e-8 24))) (let ((e-25 (vector-ref e-8 25))) (let ((e-26 (vector-ref e-8 26))) (let ((e-27 (vector-ref e-8 27))) (let ((e-28 (vector-ref e-8 28))) (let ((e-29 (vector-ref e-8 29))) (let ((e-30 (vector-ref e-8 30))) (let ((e-31 (vector-ref e-8 31))) (vector e-0 e-1 e-2 e-3 e-4 e-35 e-34 e-33 e-32 e-9 e-10 e-11 e-12 e-13 e-14 e-15 e-16 e-17 e-18 e-19 e-20 '() e-22 e-23 e-24 e-25 e-26 e-27 e-28 e-29 e-30 e-31))))))))))))))))))))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-4))))))))) eff-3)))))))) eff-2)))))))) eff-1)))))))))
(define TTImpC-45ProcessDef-combineLinear (lambda (arg-0 arg-1) (if (null? arg-1) (lambda (eta-0) (vector 1 '())) (let ((e-2 (car arg-1))) (let ((e-3 (cdr arg-1))) (let ((e-6 (car e-2))) (let ((e-7 (cdr e-2))) (TTImpC-45ProcessDef-case--combineLinear-8475 e-6 e-7 e-3 arg-0 (TTImpC-45ProcessDef-n--16998-8289-u--lookupAll e-6 e-7 e-3 arg-0 e-6 e-3)))))))))
(define TTImpC-45ProcessDef-checkLHS (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13) (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (TTImpC-45TTImp-logRaw arg-1 "declare.def.lhs" 30 (lambda () "Raw LHS: ") arg-13))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (cond ((equal? arg-6 1) (lambda (eta-0) (vector 1 arg-13))) (else (TTImpC-45TTImp-lhsInCurrentNS arg-1 arg-10 arg-13))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (TTImpC-45TTImp-logRaw arg-1 "declare.def.lhs" 30 (lambda () "Raw LHS in current NS: ") e-7))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-4 (let ((eff-4 (CoreC-45Context-isUnboundImplicits arg-1))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (let ((eff-5 (CoreC-45Context-setUnboundImplicits arg-1 1))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-6 (let ((eff-6 (TTImpC-45BindImplicits-bindNames arg-1 0 e-7))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-2 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-11 (vector-ref lcase-6 1))) (let ((eff-7 (let ((e-3 (cdr e-11))) (let ((eff-7 (CoreC-45Context-setUnboundImplicits arg-1 e-9))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-4 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-8 (let ((eff-8 (TTImpC-45TTImp-logRaw arg-1 (csegen-3470) 30 (lambda () ((csegen-0) "Raw LHS with implicits bound")) e-3))) (PrimIO-io_bind eff-8 (lambda (lcase-8) (case (vector-ref lcase-8 0) ((0) (let ((e-4 (vector-ref lcase-8 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-9 (let ((eff-9 (cond ((equal? arg-6 1) (lambda (eta-0) (vector 1 e-3))) (else (TTImpC-45TTImp-implicitsAs arg-1 arg-8 e-5 arg-0 e-3))))) (PrimIO-io_bind eff-9 (lambda (lcase-9) (case (vector-ref lcase-9 0) ((0) (let ((e-4 (vector-ref lcase-9 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-14 (vector-ref lcase-9 1))) (let ((eff-10 (let ((eff-10 (CoreC-45ContextC-45Log-unverifiedLogC arg-1 (csegen-3470) 5 (let ((eff-10 (CoreC-45Context-getFullName arg-1 (vector 8 arg-8)))) (PrimIO-io_bind eff-10 (lambda (lcase-10) (case (vector-ref lcase-10 0) ((0) (let ((e-4 (vector-ref lcase-10 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-15 (vector-ref lcase-10 1))) (let ((eff-11 (lambda (eta-0) (vector 1 (string-append ((csegen-0) "Checking LHS of ") (CoreC-45Name-u--show_Show_Name e-15)))))) eff-11)))))))))) (PrimIO-io_bind eff-10 (lambda (lcase-10) (case (vector-ref lcase-10 0) ((0) (let ((e-4 (vector-ref lcase-10 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-11 (let ((eff-11 (CoreC-45ContextC-45Log-log arg-1 (csegen-3470) 10 (lambda () (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 (csegen-100) e-14))))) (PrimIO-io_bind eff-11 (lambda (lcase-11) (case (vector-ref lcase-11 0) ((0) (let ((e-4 (vector-ref lcase-11 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-12 (let ((eff-12 (CoreC-45Normalise-logEnv arg-0 arg-1 (csegen-3470) 5 "In env" arg-11))) (PrimIO-io_bind eff-12 (lambda (lcase-12) (case (vector-ref lcase-12 0) ((0) (let ((e-4 (vector-ref lcase-12 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-13 (let ((u--lhsMode (cond ((equal? arg-6 1) (vector 3 )) (else (vector 1 arg-7))))) (let ((eff-13 (let ((eff-13 (CoreC-45Context-getFullName arg-1 (vector 8 arg-8)))) (PrimIO-io_bind eff-13 (lambda (lcase-13) (case (vector-ref lcase-13 0) ((0) (let ((e-4 (vector-ref lcase-13 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-18 (vector-ref lcase-13 1))) (let ((eff-14 (TTImpC-45ElabC-45Utils-wrapErrorC arg-9 (lambda (eta-0) (vector 68 arg-12 e-18 eta-0)) (TTImpC-45Elab-elabTerm arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-8 u--lhsMode arg-9 arg-10 arg-11 (vector 16 arg-12 (vector 1 ) e-14) '())))) eff-14))))))))) (PrimIO-io_bind eff-13 (lambda (lcase-13) (case (vector-ref lcase-13 0) ((0) (let ((e-4 (vector-ref lcase-13 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-18 (vector-ref lcase-13 1))) (let ((eff-14 (let ((e-19 (car e-18))) (let ((e-4 (cdr e-18))) (let ((eff-14 (CoreC-45ContextC-45Log-logTerm arg-0 arg-1 (csegen-3470) 5 (lambda () ((csegen-0) "Checked LHS term")) e-19))) (PrimIO-io_bind eff-14 (lambda (lcase-14) (case (vector-ref lcase-14 0) ((0) (let ((e-20 (vector-ref lcase-14 1))) (lambda (eta-0) (vector 0 e-20)))) (else (let ((eff-15 (let ((eff-15 (CoreC-45NormaliseC-45Eval-getTerm e-4))) (PrimIO-io_bind eff-15 (lambda (lcase-15) (case (vector-ref lcase-15 0) ((0) (let ((e-21 (vector-ref lcase-15 1))) (lambda (eta-0) (vector 0 e-21)))) (else (let ((e-21 (vector-ref lcase-15 1))) (let ((eff-16 (let ((eff-16 (let ((eff-16 arg-1)) (PrimIO-io_bind (let ((eff-17 eff-16)) (lambda (eta-0) (unbox eff-17))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-16 (lambda (lcase-16) (case (vector-ref lcase-16 0) ((0) (let ((e-22 (vector-ref lcase-16 1))) (lambda (eta-0) (vector 0 e-22)))) (else (let ((e-22 (vector-ref lcase-16 1))) (let ((eff-17 (let ((u--lhsenv (CoreC-45Env-letToLam arg-11))) (let ((eff-17 (CoreC-45Normalise-normaliseHoles arg-1 arg-0 e-22 u--lhsenv e-19))) (PrimIO-io_bind eff-17 (lambda (lcase-17) (case (vector-ref lcase-17 0) ((0) (let ((e-23 (vector-ref lcase-17 1))) (lambda (eta-0) (vector 0 e-23)))) (else (let ((e-23 (vector-ref lcase-17 1))) (let ((eff-18 (let ((eff-18 (CoreC-45Normalise-normaliseHoles arg-1 arg-0 e-22 arg-11 e-21))) (PrimIO-io_bind eff-18 (lambda (lcase-18) (case (vector-ref lcase-18 0) ((0) (let ((e-24 (vector-ref lcase-18 1))) (lambda (eta-0) (vector 0 e-24)))) (else (let ((e-24 (vector-ref lcase-18 1))) (let ((eff-19 (let ((eff-19 (TTImpC-45ProcessDef-findLinear arg-0 arg-1 1 0 (csegen-1778) e-23))) (PrimIO-io_bind eff-19 (lambda (lcase-19) (case (vector-ref lcase-19 0) ((0) (let ((e-25 (vector-ref lcase-19 1))) (lambda (eta-0) (vector 0 e-25)))) (else (let ((e-25 (vector-ref lcase-19 1))) (let ((eff-20 (let ((eff-20 (CoreC-45ContextC-45Log-logTerm arg-0 arg-1 (csegen-3470) 10 (lambda () ((csegen-0) "Checked LHS term after normalise")) e-23))) (PrimIO-io_bind eff-20 (lambda (lcase-20) (case (vector-ref lcase-20 0) ((0) (let ((e-26 (vector-ref lcase-20 1))) (lambda (eta-0) (vector 0 e-26)))) (else (let ((eff-21 (let ((eff-21 (CoreC-45ContextC-45Log-log arg-1 (csegen-3470) 5 (lambda () (string-append ((csegen-0) "Linearity of names in ") (string-append (PreludeC-45Show-u--show_Show_Int arg-8) (string-append ": " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (cons (lambda (u--x) (PreludeC-45Show-u--show_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-3477) u--x)) (lambda (u--d) (lambda (u--x) (PreludeC-45Show-u--showPrec_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-3477) u--d u--x)))) e-25)))))))) (PrimIO-io_bind eff-21 (lambda (lcase-21) (case (vector-ref lcase-21 0) ((0) (let ((e-27 (vector-ref lcase-21 1))) (lambda (eta-0) (vector 0 e-27)))) (else (let ((eff-22 (let ((eff-22 (TTImpC-45ProcessDef-combineLinear arg-12 e-25))) (PrimIO-io_bind eff-22 (lambda (lcase-22) (case (vector-ref lcase-22 0) ((0) (let ((e-28 (vector-ref lcase-22 1))) (lambda (eta-0) (vector 0 e-28)))) (else (let ((e-28 (vector-ref lcase-22 1))) (let ((eff-23 (let ((u--lhstm_lin (TTImpC-45ProcessDef-setLinear e-28 e-23))) (let ((u--lhsty_lin (TTImpC-45ProcessDef-setLinear e-28 e-24))) (let ((eff-23 (CoreC-45ContextC-45Log-logTerm arg-0 arg-1 (csegen-3470) 3 (lambda () ((csegen-0) "LHS term")) u--lhstm_lin))) (PrimIO-io_bind eff-23 (lambda (lcase-23) (case (vector-ref lcase-23 0) ((0) (let ((e-29 (vector-ref lcase-23 1))) (lambda (eta-0) (vector 0 e-29)))) (else (let ((eff-24 (let ((eff-24 (CoreC-45ContextC-45Log-logTerm arg-0 arg-1 (csegen-3470) 5 (lambda () ((csegen-0) "LHS type")) u--lhsty_lin))) (PrimIO-io_bind eff-24 (lambda (lcase-24) (case (vector-ref lcase-24 0) ((0) (let ((e-30 (vector-ref lcase-24 1))) (lambda (eta-0) (vector 0 e-30)))) (else (let ((eff-25 (let ((eff-25 (CoreC-45Metadata-setHoleLHS arg-2 (CoreC-45Env-bindEnv arg-0 arg-12 arg-11 u--lhstm_lin)))) (PrimIO-io_bind eff-25 (lambda (lcase-25) (case (vector-ref lcase-25 0) ((0) (let ((e-31 (vector-ref lcase-25 1))) (lambda (eta-0) (vector 0 e-31)))) (else (let ((eff-26 (let ((eff-26 (TTImpC-45ProcessDef-extendEnv arg-0 arg-11 (vector 0 ) arg-10 u--lhstm_lin u--lhsty_lin))) (PrimIO-io_bind eff-26 (lambda (lcase-26) (case (vector-ref lcase-26 0) ((0) (let ((e-32 (vector-ref lcase-26 1))) (lambda (eta-0) (vector 0 e-32)))) (else (let ((e-32 (vector-ref lcase-26 1))) (let ((eff-27 (lambda (eta-0) (vector 1 (cons e-14 e-32))))) eff-27))))))))) eff-26)))))))) eff-25)))))))) eff-24)))))))))) eff-23))))))))) eff-22)))))))) eff-21)))))))) eff-20))))))))) eff-19))))))))) eff-18)))))))))) eff-17))))))))) eff-16))))))))) eff-15)))))))))) eff-14)))))))))) eff-13)))))))) eff-12)))))))) eff-11)))))))) eff-10))))))))) eff-9)))))))) eff-8))))))))) eff-7))))))))) eff-6)))))))) eff-5))))))))) eff-4)))))))) eff-3))))))))) eff-2)))))))) eff-1)))))))))
(define TTImpC-45ProcessDef-checkClause (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14) (case (vector-ref arg-14 0) ((2) (let ((e-1 (vector-ref arg-14 1))) (let ((e-2 (vector-ref arg-14 2))) (let ((eff-0 (TTImpC-45TTImp-lhsInCurrentNS arg-1 arg-12 e-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45UnifyState-handleUnify arg-1 arg-3 (let ((eff-1 (CoreC-45Context-isUnboundImplicits arg-1))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-3 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-setUnboundImplicits arg-1 1))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-3 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-3 (let ((eff-3 (TTImpC-45BindImplicits-bindNames arg-1 0 e-5))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-3 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((e-3 (cdr e-8))) (let ((eff-4 (CoreC-45Context-setUnboundImplicits arg-1 e-6))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-9 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((eff-5 (let ((eff-5 (CoreC-45ContextC-45Log-log arg-1 (csegen-3483) 5 (lambda () (string-append "Checking " (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 (csegen-100) e-3)))))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-10 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((eff-6 (let ((eff-6 (CoreC-45Normalise-logEnv arg-0 arg-1 (csegen-3483) 5 "In env" arg-13))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-11 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((eff-7 (let ((eff-7 (TTImpC-45Elab-elabTerm arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-10 (vector 1 arg-6) arg-11 arg-12 arg-13 (vector 16 e-1 (vector 1 ) e-3) '()))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-12 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-12)))) (else (let ((e-12 (vector-ref lcase-7 1))) (let ((eff-8 (let ((e-14 (car e-12))) (let ((eff-8 (let ((eff-8 arg-1)) (PrimIO-io_bind (let ((eff-9 eff-8)) (lambda (eta-0) (unbox eff-9))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-8 (lambda (lcase-8) (case (vector-ref lcase-8 0) ((0) (let ((e-15 (vector-ref lcase-8 1))) (lambda (eta-0) (vector 0 e-15)))) (else (let ((e-15 (vector-ref lcase-8 1))) (let ((eff-9 (let ((eff-9 (CoreC-45Normalise-normaliseHoles arg-1 arg-0 e-15 arg-13 e-14))) (PrimIO-io_bind eff-9 (lambda (lcase-9) (case (vector-ref lcase-9 0) ((0) (let ((e-16 (vector-ref lcase-9 1))) (lambda (eta-0) (vector 0 e-16)))) (else (let ((e-16 (vector-ref lcase-9 1))) (let ((eff-10 (let ((eff-10 (TTImpC-45ProcessDef-hasEmptyPat arg-0 arg-1 e-15 arg-13 e-16))) (PrimIO-io_bind eff-10 (lambda (lcase-10) (case (vector-ref lcase-10 0) ((0) (let ((e-17 (vector-ref lcase-10 1))) (lambda (eta-0) (vector 0 e-17)))) (else (let ((e-17 (vector-ref lcase-10 1))) (let ((eff-11 (lambda (clam-0) (cond ((equal? e-17 1) (vector 1 (vector 0 e-5))) (else (CoreC-45Core-u--throw_Catchable_Core_Error (vector 6 arg-0 e-1 arg-13 (vector 0 e-16)) clam-0)))))) eff-11))))))))) eff-10))))))))) eff-9)))))))))) eff-8))))))))) eff-7)))))))) eff-6)))))))) eff-5))))))))) eff-4))))))))) eff-3)))))))) eff-2))))))) (lambda (u--err) (case (vector-ref u--err 0) ((6) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error u--err eta-0)))(else (let ((eff-1 (let ((eff-1 arg-1)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (unbox eff-2))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-3 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45ProcessDef-impossibleErrOK arg-1 e-6 u--err))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-3 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (clam-1) (cond ((equal? e-7 1) (vector 1 (vector 0 e-5))) (else (CoreC-45Core-u--throw_Catchable_Core_Error (vector 6 arg-0 e-1 arg-13 (vector 1 u--err)) clam-1)))))) eff-3))))))))) eff-2))))))))))))) eff-1)))))))))) ((0) (let ((e-4 (vector-ref arg-14 1))) (let ((e-5 (vector-ref arg-14 2))) (let ((e-6 (vector-ref arg-14 3))) (let ((eff-0 (TTImpC-45ProcessDef-checkLHS arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 0 arg-6 arg-10 arg-11 arg-12 arg-13 e-4 e-5))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-0 1))) (let ((eff-1 (let ((e-3 (cdr e-7))) (let ((e-9 (car e-3))) (let ((e-8 (cdr e-3))) (let ((e-10 (car e-8))) (let ((e-11 (cdr e-8))) (let ((e-14 (car e-11))) (let ((e-15 (cdr e-11))) (let ((e-18 (car e-15))) (let ((e-19 (cdr e-15))) (let ((e-22 (car e-19))) (let ((e-23 (cdr e-19))) (let ((u--rhsMode (let ((sc8 (AlgebraC-45Semiring-isErased (csegen-1156) arg-6))) (cond ((equal? sc8 1) (vector 0 )) (else (vector 2 )))))) (let ((eff-1 (CoreC-45ContextC-45Log-log arg-1 (csegen-3484) 5 (lambda () (string-append ((csegen-0) "Checking RHS ") (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 (csegen-100) e-6)))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-12 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-12)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45Normalise-logEnv e-9 arg-1 (csegen-3484) 5 "In env" e-14))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-13 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((eff-3 (let ((eff-3 (let ((eff-3 (CoreC-45Context-getFullName arg-1 (vector 8 arg-10)))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-16 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-16)))) (else (let ((e-16 (vector-ref lcase-3 1))) (let ((eff-4 (CoreC-45ContextC-45Log-logTime arg-1 3 (lambda () (string-append ((csegen-0) "Check RHS ") (CoreC-45FC-u--show_Show_FC e-4))) (TTImpC-45ElabC-45Utils-wrapErrorC arg-11 (lambda (eta-0) (vector 69 e-4 e-16 eta-0)) (TTImpC-45Elab-checkTermSub arg-0 e-9 arg-1 arg-2 arg-3 arg-4 arg-5 arg-10 u--rhsMode arg-11 e-18 e-14 arg-13 e-10 e-6 (CoreC-45NormaliseC-45Eval-gnf e-9 e-14 e-23)))))) eff-4))))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-16 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-16)))) (else (let ((e-16 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Metadata-clearHoleLHS arg-2))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-17 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-17)))) (else (let ((eff-5 (let ((eff-5 (CoreC-45ContextC-45Log-logTerm e-9 arg-1 (csegen-3484) 3 (lambda () ((csegen-0) "RHS term")) e-16))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-20 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-20)))) (else (let ((eff-6 (let ((eff-6 (cond ((equal? arg-9 1) (let ((eff-6 (CoreC-45Context-addHashWithNames arg-1 (csegen-1699) (csegen-105) e-22))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-21 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-21)))) (else (let ((eff-7 (let ((eff-7 (CoreC-45Context-addHashWithNames arg-1 (csegen-1699) (csegen-105) e-16))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-24 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-24)))) (else (let ((eff-8 (CoreC-45ContextC-45Log-log arg-1 (csegen-2909) 15 (lambda () ((csegen-0) "Adding hash for def."))))) eff-8)))))))) eff-7))))))) (else (lambda (eta-0) (vector 1 (vector 0 ))))))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-21 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-21)))) (else (let ((eff-7 (let ((eff-7 (case (vector-ref e-16 0) ((2) (CoreC-45Metadata-addLHS e-9 arg-1 arg-2 (TTImpC-45TTImp-getFC e-5) (CoreC-45Env-length arg-13) e-14 e-22))(else (lambda (eta-0) (vector 1 (vector 0 ))))))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-24 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-24)))) (else (let ((eff-8 (lambda (eta-0) (vector 1 (vector 1 (vector e-9 e-14 e-22 e-16)))))) eff-8)))))))) eff-7)))))))) eff-6)))))))) eff-5)))))))) eff-4))))))))) eff-3)))))))) eff-2)))))))))))))))))))) eff-1))))))))))) (else (let ((e-8 (vector-ref arg-14 1))) (let ((e-9 (vector-ref arg-14 2))) (let ((e-10 (vector-ref arg-14 3))) (let ((e-11 (vector-ref arg-14 4))) (let ((e-12 (vector-ref arg-14 5))) (let ((e-13 (vector-ref arg-14 6))) (let ((e-14 (vector-ref arg-14 7))) (let ((eff-0 (TTImpC-45ProcessDef-checkLHS arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 0 arg-6 arg-10 arg-11 arg-12 arg-13 e-8 e-9))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((e-2 (car e-5))) (let ((e-3 (cdr e-5))) (let ((e-6 (car e-3))) (let ((e-7 (cdr e-3))) (let ((e-16 (car e-7))) (let ((e-15 (cdr e-7))) (let ((e-18 (car e-15))) (let ((e-17 (cdr e-15))) (let ((e-20 (car e-17))) (let ((e-19 (cdr e-17))) (let ((e-22 (car e-19))) (let ((e-23 (cdr e-19))) (let ((u--wmode (let ((sc8 (let ((sc9 (AlgebraC-45Semiring-isErased (csegen-1156) arg-6))) (cond ((equal? sc9 1) 1) (else (AlgebraC-45Semiring-isErased (csegen-1156) e-10)))))) (cond ((equal? sc8 1) (vector 0 )) (else (vector 2 )))))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-getFullName arg-1 (vector 8 arg-10)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-21 (vector-ref lcase-1 1))) (let ((eff-2 (TTImpC-45ElabC-45Utils-wrapErrorC arg-11 (lambda (eta-0) (vector 69 e-8 e-21 eta-0)) (TTImpC-45Elab-elabTermSub arg-0 e-6 arg-1 arg-2 arg-3 arg-4 arg-5 arg-10 u--wmode arg-11 e-20 e-18 arg-13 e-16 e-11 '())))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-21 (vector-ref lcase-1 1))) (let ((eff-2 (let ((_-0 (cons e-2 (cons e-6 (cons e-16 (cons e-18 (cons e-20 (cons e-22 e-23)))))))) (let ((e-24 (car e-21))) (let ((e-4 (cdr e-21))) (let ((eff-2 (CoreC-45Metadata-clearHoleLHS arg-2))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-25 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-25)))) (else (let ((eff-3 (let ((eff-3 (CoreC-45ContextC-45Log-logTerm e-6 arg-1 (csegen-3489) 5 (lambda () (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons ((csegen-0) "With value (at quantity ") (cons ((csegen-0) (AlgebraC-45ZeroOneOmega-u--show_Show_ZeroOneOmega e-10)) (csegen-3492))))) e-24))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-26 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-26)))) (else (let ((eff-4 (let ((eff-4 (CoreC-45ContextC-45Log-logTerm e-6 arg-1 (csegen-3489) 3 (lambda () ((csegen-0) "Required type")) e-23))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-27 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-27)))) (else (let ((eff-5 (let ((eff-5 (CoreC-45NormaliseC-45Eval-getTerm e-4))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-28 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-28)))) (else (let ((e-28 (vector-ref lcase-5 1))) (let ((eff-6 (let ((eff-6 (let ((eff-6 arg-1)) (PrimIO-io_bind (let ((eff-7 eff-6)) (lambda (eta-0) (unbox eff-7))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-29 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-29)))) (else (let ((e-29 (vector-ref lcase-6 1))) (let ((eff-7 (let ((eff-7 (CoreC-45Normalise-normaliseHoles arg-1 e-6 e-29 e-18 e-24))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-30 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-30)))) (else (let ((e-30 (vector-ref lcase-7 1))) (let ((eff-8 (let ((eff-8 (CoreC-45Normalise-normaliseHoles arg-1 e-6 e-29 e-18 e-28))) (PrimIO-io_bind eff-8 (lambda (lcase-8) (case (vector-ref lcase-8 0) ((0) (let ((e-31 (vector-ref lcase-8 1))) (lambda (eta-0) (vector 0 e-31)))) (else (let ((e-31 (vector-ref lcase-8 1))) (let ((eff-9 (let ((_-1 (cons e-24 e-4))) (TTImpC-45ProcessDef-case--caseC-32blockC-32inC-32caseC-32blockC-32inC-32checkClause-11734 e-14 e-13 e-12 e-11 e-10 e-9 e-8 arg-0 arg-13 arg-12 arg-11 arg-10 arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 e-2 e-6 e-16 e-18 e-20 e-22 e-23 _-0 u--wmode e-24 e-4 _-1 e-28 e-29 e-30 e-31 (TTImpC-45ProcessDef-n--18245-10435-u--keepOldEnv e-14 e-13 e-12 e-11 e-10 e-9 e-8 arg-0 arg-13 arg-12 arg-11 arg-10 arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 e-6 e-16 (let ((sc17 (CoreC-45Env-findSubEnv e-6 e-18 e-30))) (let ((e-32 (cdr sc17))) e-32))))))) eff-9))))))))) eff-8))))))))) eff-7))))))))) eff-6))))))))) eff-5)))))))) eff-4)))))))) eff-3))))))))))) eff-2)))))))))))))))))))))) eff-1))))))))))))))))))
(define TTImpC-45ProcessDef-calcRefs (lambda (arg-0 arg-1 arg-2 arg-3) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-lookupCtxtExact arg-3 (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-6) (lambda (eta-0) (vector 1 (vector 0 ))) (let ((e-1 (unbox e-6))) (let ((_-0 (box e-1))) (TTImpC-45ProcessDef-case--caseC-32blockC-32inC-32calcRefs-14518 arg-3 arg-2 arg-1 arg-0 e-5 e-1 _-0 (let ((e-17 (vector-ref e-1 17))) e-17))))))) eff-2))))))))) eff-1)))))))))
(define TTImpC-45ProcessDef-applyEnv (lambda (arg-0 arg-1 arg-2 arg-3) (let ((eff-0 (CoreC-45Context-resolveName arg-1 arg-3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (cons arg-3 (cons (box arg-3) (cons (PreludeC-45TypesC-45List-reverse (CoreC-45Env-allVarsNoLet arg-0 arg-2)) (lambda (u--fc) (lambda (u--nt) (CoreC-45UnifyState-applyTo arg-0 u--fc (vector 1 u--fc u--nt (vector 8 e-5)) arg-2)))))))))) eff-1)))))))))
(define TTImpC-45WithClause-case--caseC-32blockC-32inC-32caseC-32blockC-32inC-32caseC-32blockC-32inC-32getNewLHS-20510 (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20 arg-21) (if (null? arg-21) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 arg-7 "Badly formed 'with' clause") eta-0)) (let ((e-1 (car arg-21))) (let ((e-2 (cdr arg-21))) (let ((eff-0 (CoreC-45ContextC-45Log-log arg-9 "declare.def.clause.with" 5 (lambda () (string-append (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 (csegen-100) arg-16) (string-append " against " (string-append (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 (csegen-100) arg-19) (string-append " dropping " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-1016) (cons e-1 e-2)))))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-1 (let ((eff-1 (TTImpC-45WithClause-getMatch arg-8 arg-9 1 arg-16 arg-19))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-3 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45ContextC-45Log-log arg-9 "declare.def.clause.with" 5 (lambda () (string-append "Matches: " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-3497) e-6)))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-3 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-3 (let ((u--params (((csegen-25) (lambda (eta-0) (TTImpC-45WithClause-getArgMatch arg-10 (vector 1 (AlgebraC-45ZeroOneOmega-u--top_Top_ZeroOneOmega)) 0 e-1 e-6 eta-0))) arg-3))) (let ((eff-3 (CoreC-45ContextC-45Log-log arg-9 "declare.def.clause.with" 5 (lambda () (string-append "Parameters: " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-1016) u--params)))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-3 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-4 (let ((eff-4 (TTImpC-45WithClause-getHeadLoc arg-1))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-3 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (let ((u--newlhs (TTImpC-45TTImp-apply (vector 0 e-9 arg-4) (PreludeC-45TypesC-45List-tailRecAppend u--params e-2)))) (let ((eff-5 (CoreC-45ContextC-45Log-log arg-9 "declare.def.clause.with" 5 (lambda () (string-append "New LHS: " (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 (csegen-100) u--newlhs)))))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-3 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-6 (lambda (eta-0) (vector 1 u--newlhs)))) eff-6))))))))) eff-5))))))))) eff-4))))))))) eff-3)))))))) eff-2))))))))) eff-1)))))))))))
(define TTImpC-45WithClause-n--9358-20781-u--wrhsC (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8) (case (vector-ref arg-8 0) ((0) (let ((e-1 (vector-ref arg-8 1))) (let ((e-2 (vector-ref arg-8 2))) (let ((e-3 (vector-ref arg-8 3))) (let ((eff-0 (TTImpC-45WithClause-n--9358-20780-u--wrhs arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 0 e-1 e-2 e-5))))) eff-1)))))))))))(else (lambda (eta-0) (vector 1 arg-8))))))
(define TTImpC-45WithClause-n--9358-20780-u--wrhs (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8) (case (vector-ref arg-8 0) ((1) (let ((e-1 (vector-ref arg-8 1))) (let ((e-2 (vector-ref arg-8 2))) (let ((e-3 (vector-ref arg-8 3))) (let ((e-4 (vector-ref arg-8 4))) (let ((e-5 (vector-ref arg-8 5))) (let ((e-6 (vector-ref arg-8 6))) (let ((eff-0 (TTImpC-45WithClause-n--9358-20780-u--wrhs arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-5))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-7 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (TTImpC-45WithClause-n--9358-20780-u--wrhs arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-6))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-8 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 1 e-1 e-2 e-3 e-4 e-7 e-8))))) eff-2))))))))) eff-1)))))))))))))) ((2) (let ((e-8 (vector-ref arg-8 1))) (let ((e-9 (vector-ref arg-8 2))) (let ((e-10 (vector-ref arg-8 3))) (let ((e-11 (vector-ref arg-8 4))) (let ((e-12 (vector-ref arg-8 5))) (let ((e-13 (vector-ref arg-8 6))) (let ((eff-0 (TTImpC-45WithClause-n--9358-20780-u--wrhs arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-12))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (TTImpC-45WithClause-n--9358-20780-u--wrhs arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-13))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 2 e-8 e-9 e-10 e-11 e-5 e-6))))) eff-2))))))))) eff-1)))))))))))))) ((3) (let ((e-15 (vector-ref arg-8 1))) (let ((e-16 (vector-ref arg-8 2))) (let ((e-17 (vector-ref arg-8 3))) (let ((e-18 (vector-ref arg-8 4))) (let ((e-19 (vector-ref arg-8 5))) (let ((e-20 (vector-ref arg-8 6))) (let ((e-21 (vector-ref arg-8 7))) (let ((eff-0 (TTImpC-45WithClause-n--9358-20780-u--wrhs arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-19))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (TTImpC-45WithClause-n--9358-20780-u--wrhs arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-20))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45WithClause-n--9358-20780-u--wrhs arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-21))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (vector 3 e-15 e-16 e-17 e-18 e-5 e-6 e-7))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))))))) ((4) (let ((e-23 (vector-ref arg-8 1))) (let ((e-24 (vector-ref arg-8 2))) (let ((e-25 (vector-ref arg-8 3))) (let ((e-26 (vector-ref arg-8 4))) (let ((eff-0 (TTImpC-45WithClause-n--9358-20780-u--wrhs arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-24))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (TTImpC-45WithClause-n--9358-20780-u--wrhs arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-25))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Core-traverseC-39 (lambda (eta-0) (TTImpC-45WithClause-n--9358-20781-u--wrhsC arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 eta-0)) e-26 '()))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (vector 4 e-23 e-5 e-6 e-7))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))) ((5) (let ((e-28 (vector-ref arg-8 1))) (let ((e-29 (vector-ref arg-8 2))) (let ((e-30 (vector-ref arg-8 3))) (let ((eff-0 (TTImpC-45WithClause-n--9358-20780-u--wrhs arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-30))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 5 e-28 e-29 e-5))))) eff-1))))))))))) ((7) (let ((e-32 (vector-ref arg-8 1))) (let ((e-33 (vector-ref arg-8 2))) (let ((e-34 (vector-ref arg-8 3))) (let ((eff-0 (TTImpC-45WithClause-n--9358-20780-u--wrhs arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-34))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 7 e-32 e-33 e-5))))) eff-1))))))))))) ((8) (let ((e-36 (vector-ref arg-8 1))) (let ((e-37 (vector-ref arg-8 2))) (let ((e-38 (vector-ref arg-8 3))) (let ((eff-0 (TTImpC-45WithClause-n--9358-20780-u--wrhs arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-37))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (TTImpC-45WithClause-n--9358-20780-u--wrhs arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-38))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 8 e-36 e-5 e-6))))) eff-2))))))))) eff-1))))))))))) ((9) (let ((e-40 (vector-ref arg-8 1))) (let ((e-41 (vector-ref arg-8 2))) (let ((e-42 (vector-ref arg-8 3))) (let ((eff-0 (TTImpC-45WithClause-n--9358-20780-u--wrhs arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-41))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (TTImpC-45WithClause-n--9358-20780-u--wrhs arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-42))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 9 e-40 e-5 e-6))))) eff-2))))))))) eff-1))))))))))) ((10) (let ((e-44 (vector-ref arg-8 1))) (let ((e-45 (vector-ref arg-8 2))) (let ((e-46 (vector-ref arg-8 3))) (let ((e-47 (vector-ref arg-8 4))) (let ((eff-0 (TTImpC-45WithClause-n--9358-20780-u--wrhs arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-45))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (TTImpC-45WithClause-n--9358-20780-u--wrhs arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-47))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 10 e-44 e-5 e-46 e-6))))) eff-2))))))))) eff-1)))))))))))) ((11) (let ((e-49 (vector-ref arg-8 1))) (let ((e-50 (vector-ref arg-8 2))) (let ((e-51 (vector-ref arg-8 3))) (TTImpC-45WithClause-n--9358-20779-u--updateWith arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-49 e-50 (cons e-51 '())))))) ((14) (let ((e-53 (vector-ref arg-8 1))) (let ((e-54 (vector-ref arg-8 2))) (let ((e-55 (vector-ref arg-8 3))) (let ((eff-0 (TTImpC-45WithClause-n--9358-20780-u--wrhs arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-54))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (TTImpC-45WithClause-n--9358-20780-u--wrhs arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-55))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 14 e-53 e-5 e-6))))) eff-2))))))))) eff-1))))))))))) ((20) (let ((e-57 (vector-ref arg-8 1))) (let ((e-58 (vector-ref arg-8 2))) (let ((e-59 (vector-ref arg-8 3))) (let ((eff-0 (TTImpC-45WithClause-n--9358-20780-u--wrhs arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-59))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 20 e-57 e-58 e-5))))) eff-1))))))))))) ((21) (let ((e-61 (vector-ref arg-8 1))) (let ((e-62 (vector-ref arg-8 2))) (let ((eff-0 (TTImpC-45WithClause-n--9358-20780-u--wrhs arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-62))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 21 e-61 e-5))))) eff-1)))))))))) ((22) (let ((e-64 (vector-ref arg-8 1))) (let ((e-65 (vector-ref arg-8 2))) (let ((eff-0 (TTImpC-45WithClause-n--9358-20780-u--wrhs arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-65))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 22 e-64 e-5))))) eff-1))))))))))(else (lambda (eta-0) (vector 1 arg-8))))))
(define TTImpC-45WithClause-n--9358-20778-u--withApply (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10) (if (null? arg-10) arg-9 (let ((e-2 (car arg-10))) (let ((e-3 (cdr arg-10))) (TTImpC-45WithClause-n--9358-20778-u--withApply arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 11 arg-8 arg-9 e-2) e-3))))))
(define TTImpC-45WithClause-n--9358-20779-u--updateWith (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10) (case (vector-ref arg-9 0) ((11) (let ((e-6 (vector-ref arg-9 2))) (let ((e-7 (vector-ref arg-9 3))) (TTImpC-45WithClause-n--9358-20779-u--updateWith arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 e-6 (cons e-7 arg-10)))))(else (if (null? arg-10) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 arg-8 "Badly formed 'with' application") eta-0)) (let ((e-2 (car arg-10))) (let ((e-3 (cdr arg-10))) (let ((eff-0 (CoreC-45ContextC-45Log-log arg-7 "declare.def.clause.with" 10 (lambda () (string-append "With-app: Matching " (string-append (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 (csegen-100) arg-0) (string-append " against " (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 (csegen-100) arg-9)))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-1 (let ((eff-1 (TTImpC-45WithClause-getMatch arg-6 arg-7 0 arg-0 arg-9))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45WithClause-getHeadLoc arg-9))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45ContextC-45Log-log arg-7 "declare.def.clause.with" 10 (lambda () (string-append "Result: " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-3497) e-6)))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-4 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-4 (let ((u--newrhs (TTImpC-45TTImp-apply (vector 0 e-7 arg-3) (((csegen-25) (lambda (eta-0) (TTImpC-45WithClause-getArgMatch arg-8 (vector 2 ) 1 e-2 e-6 eta-0))) arg-2)))) (let ((eff-4 (CoreC-45ContextC-45Log-log arg-7 "declare.def.clause.with" 10 (lambda () (string-append "With args for RHS: " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-3433) arg-2)))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-4 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-5 (let ((eff-5 (CoreC-45ContextC-45Log-log arg-7 "declare.def.clause.with" 10 (lambda () (string-append "New RHS: " (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 (csegen-100) u--newrhs)))))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-4 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-6 (lambda (eta-0) (vector 1 (TTImpC-45WithClause-n--9358-20778-u--withApply arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 u--newrhs e-3))))) eff-6)))))))) eff-5))))))))) eff-4)))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))
(define TTImpC-45WithClause-n--8669-20187-u--dropWithArgs (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11) (cond ((equal? arg-10 0) (lambda (eta-0) (vector 1 (cons arg-11 '()))))(else (let ((e-0 (- arg-10 1))) (case (vector-ref arg-11 0) ((8) (let ((e-3 (vector-ref arg-11 2))) (let ((e-4 (vector-ref arg-11 3))) (let ((eff-0 (TTImpC-45WithClause-n--8669-20187-u--dropWithArgs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-0 e-3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (clam-0) (let ((e-7 (car e-5))) (let ((e-6 (cdr e-5))) (vector 1 (cons e-7 (cons e-4 e-6)))))))) eff-1))))))))))(else (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 arg-7 "Badly formed 'with' clause") eta-0)))))))))
(define TTImpC-45WithClause-withRHS (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (TTImpC-45WithClause-n--9358-20780-u--wrhs arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 arg-0 arg-6)))
(define TTImpC-45WithClause-mergeMatches (lambda (arg-0 arg-1 arg-2 arg-3) (if (null? arg-3) (lambda (eta-0) (vector 1 '())) (let ((e-2 (car arg-3))) (let ((e-3 (cdr arg-3))) (let ((e-6 (car e-2))) (let ((e-7 (cdr e-2))) (let ((eff-0 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 e-3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((sc3 (DataC-45List-lookup (csegen-43) e-6 e-5))) (if (null? sc3) (lambda (eta-0) (vector 1 (cons (cons e-6 e-7) e-5))) (let ((e-4 (unbox sc3))) (let ((eff-1 (let ((eff-1 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-7 e-4))) (((csegen-50) ((let ((eff-2 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-8 (vector-ref eta-3 1))) (vector 0 e-8))) (else (let ((e-8 (vector-ref eta-3 1))) (vector 1 (eta-2 e-8))))))))))) (lambda (arg-4) (lambda (arg-5) ((((eff-2 'erased) 'erased) arg-4) arg-5)))) (lambda (_-8679) (vector 0 )))) eff-1)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-8 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((eff-2 (lambda (eta-0) (vector 1 e-5)))) eff-2))))))))))) eff-1))))))))))))))
(define TTImpC-45WithClause-matchFail (lambda (arg-1 ext-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 arg-1 "With clause does not match parent") ext-0)))
(define TTImpC-45WithClause-matchAny (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (if (null? arg-4) (lambda (eta-0) (TTImpC-45WithClause-matchFail arg-2 eta-0)) (let ((e-2 (car arg-4))) (let ((e-3 (cdr arg-4))) (let ((e-6 (car e-2))) (let ((e-7 (cdr e-2))) (CoreC-45Core-u--catch_Catchable_Core_Error (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-3 e-6 e-7) (lambda (u--err) (TTImpC-45WithClause-matchAny arg-0 arg-1 arg-2 arg-3 e-3))))))))))
(define TTImpC-45WithClause-matchAll (lambda (arg-0 arg-1 arg-2 arg-3) (if (null? arg-3) (lambda (eta-0) (vector 1 '())) (let ((e-2 (car arg-3))) (let ((e-3 (cdr arg-3))) (let ((e-6 (car e-2))) (let ((e-7 (cdr e-2))) (let ((eff-0 (TTImpC-45WithClause-matchAll arg-0 arg-1 arg-2 e-3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-6 e-7))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-8 (vector-ref lcase-1 1))) (let ((eff-2 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (PreludeC-45TypesC-45List-tailRecAppend e-8 e-5)))) eff-2))))))))) eff-1))))))))))))))
(define TTImpC-45WithClause-getNewLHS (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9) (let ((u--vploc (CoreC-45FC-virtualiseFC arg-3))) (let ((eff-0 (TTImpC-45WithClause-n--8669-20187-u--dropWithArgs arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 arg-4 arg-9))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((e-2 (car e-5))) (let ((e-3 (cdr e-5))) (let ((eff-1 (CoreC-45ContextC-45Log-log arg-1 (csegen-3489) 20 (lambda () (string-append ((csegen-0) "Parent LHS: ") (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 (csegen-100) arg-8)))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45ContextC-45Log-log arg-1 (csegen-3489) 20 (lambda () (string-append ((csegen-0) "Modified LHS: ") (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 (csegen-100) e-2)))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-3 (let ((eff-3 (CoreC-45Context-isUnboundImplicits arg-1))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-4 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Context-setUnboundImplicits arg-1 1))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-4 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-5 (let ((eff-5 (TTImpC-45BindImplicits-bindNames arg-1 0 arg-8))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-4 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-10 (vector-ref lcase-5 1))) (let ((eff-6 (let ((_-0 (cons e-2 e-3))) (let ((e-11 (car e-10))) (let ((e-4 (cdr e-10))) (let ((eff-6 (TTImpC-45BindImplicits-bindNames arg-1 0 e-2))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-12 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-12)))) (else (let ((e-12 (vector-ref lcase-6 1))) (let ((eff-7 (let ((_-1 (cons e-11 e-4))) (let ((e-14 (car e-12))) (let ((e-13 (cdr e-12))) (let ((eff-7 (CoreC-45Context-setUnboundImplicits arg-1 e-8))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-15 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-15)))) (else (let ((eff-8 (let ((eff-8 (CoreC-45ContextC-45Log-log arg-1 (csegen-3489) 20 (lambda () (string-append ((csegen-0) "Parent LHS (with implicits): ") (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 (csegen-100) e-4)))))) (PrimIO-io_bind eff-8 (lambda (lcase-8) (case (vector-ref lcase-8 0) ((0) (let ((e-16 (vector-ref lcase-8 1))) (lambda (eta-0) (vector 0 e-16)))) (else (let ((eff-9 (let ((eff-9 (CoreC-45ContextC-45Log-log arg-1 (csegen-3489) 20 (lambda () (string-append ((csegen-0) "Modified LHS (with implicits): ") (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 (csegen-100) e-13)))))) (PrimIO-io_bind eff-9 (lambda (lcase-9) (case (vector-ref lcase-9 0) ((0) (let ((e-17 (vector-ref lcase-9 1))) (lambda (eta-0) (vector 0 e-17)))) (else (let ((eff-10 (let ((_-2 (cons e-14 e-13))) (TTImpC-45WithClause-case--caseC-32blockC-32inC-32caseC-32blockC-32inC-32caseC-32blockC-32inC-32getNewLHS-20510 arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 u--vploc e-2 e-3 _-0 e-8 e-11 e-4 _-1 e-14 e-13 _-2 (PreludeC-45TypesC-45List-reverse e-3))))) eff-10)))))))) eff-9)))))))) eff-8))))))))))) eff-7)))))))))))) eff-6))))))))) eff-5)))))))) eff-4))))))))) eff-3)))))))) eff-2)))))))))) eff-1))))))))))
(define TTImpC-45WithClause-getMatch (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (case (vector-ref arg-3 0) ((17) (let ((e-133 (vector-ref arg-3 1))) (let ((e-134 (vector-ref arg-3 2))) (case (vector-ref arg-4 0) ((17) (let ((e-139 (vector-ref arg-4 1))) (let ((eff-0 (TTImpC-45WithClause-addAlias arg-0 arg-1 e-139 e-133))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-5) (lambda (arg-6) ((((eff-1 'erased) 'erased) arg-5) arg-6)))) (lambda (eta-0) (cons (cons e-134 arg-4) '())))) eff-0))))(else (lambda (eta-0) (vector 1 (cons (cons e-134 arg-4) '())))))))) ((32) (lambda (eta-0) (vector 1 '())))(else (case (vector-ref arg-4 0) ((19) (let ((e-130 (vector-ref arg-4 2))) (cond ((equal? e-130 4) (lambda (eta-0) (vector 1 '())))(else (case (vector-ref arg-3 0) ((0) (let ((e-68 (vector-ref arg-3 1))) (let ((e-69 (vector-ref arg-3 2))) (case (vector-ref e-69 0) ((0) (let ((e-97 (vector-ref e-69 1))) (let ((e-98 (vector-ref e-69 2))) (case (vector-ref arg-4 0) ((0) (let ((e-100 (vector-ref arg-4 1))) (let ((e-101 (vector-ref arg-4 2))) (case (vector-ref e-101 0) ((0) (let ((e-102 (vector-ref e-101 1))) (let ((e-103 (vector-ref e-101 2))) (let ((sc5 (let ((sc6 (CoreC-45Name-u--C-61C-61_Eq_Name e-98 e-103))) (cond ((equal? sc6 1) (CoreC-45NameC-45Namespace-isParentOf e-102 e-97)) (else 0))))) (cond ((equal? sc5 1) (let ((eff-0 (TTImpC-45WithClause-addAlias arg-0 arg-1 e-100 e-68))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-5) (lambda (arg-6) ((((eff-1 'erased) 'erased) arg-5) arg-6)))) (lambda (eta-0) '()))) eff-0))) (else (lambda (eta-0) (TTImpC-45WithClause-matchFail e-100 eta-0))))))))(else (let ((sc4 (CoreC-45Name-u--C-61C-61_Eq_Name e-98 e-101))) (cond ((equal? sc4 1) (let ((eff-0 (TTImpC-45WithClause-addAlias arg-0 arg-1 e-100 e-68))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-5) (lambda (arg-6) ((((eff-1 'erased) 'erased) arg-5) arg-6)))) (lambda (eta-0) '()))) eff-0))) (else (lambda (eta-0) (TTImpC-45WithClause-matchFail e-100 eta-0))))))))))(else (case (vector-ref arg-4 0) ((0) (let ((e-95 (vector-ref arg-4 1))) (let ((e-96 (vector-ref arg-4 2))) (let ((sc4 (CoreC-45Name-u--C-61C-61_Eq_Name e-69 e-96))) (cond ((equal? sc4 1) (let ((eff-0 (TTImpC-45WithClause-addAlias arg-0 arg-1 e-95 e-68))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-5) (lambda (arg-6) ((((eff-1 'erased) 'erased) arg-5) arg-6)))) (lambda (eta-0) '()))) eff-0))) (else (lambda (eta-0) (TTImpC-45WithClause-matchFail e-95 eta-0))))))))(else (cond ((equal? arg-2 1) (case (vector-ref arg-3 0) ((10) (let ((e-51 (vector-ref arg-3 2))) (let ((e-53 (vector-ref arg-3 4))) (TTImpC-45WithClause-matchAll arg-0 arg-1 1 (cons (cons e-51 arg-4) (cons (cons e-53 e-53) '())))))) ((9) (let ((e-56 (vector-ref arg-3 2))) (let ((e-57 (vector-ref arg-3 3))) (TTImpC-45WithClause-matchAll arg-0 arg-1 1 (cons (cons e-56 arg-4) (cons (cons e-57 e-57) '()))))))(else (case (vector-ref arg-4 0) ((10) (let ((e-41 (vector-ref arg-4 1))) (lambda (eta-0) (TTImpC-45WithClause-matchFail e-41 eta-0)))) ((9) (let ((e-46 (vector-ref arg-4 1))) (lambda (eta-0) (TTImpC-45WithClause-matchFail e-46 eta-0))))(else (case (vector-ref arg-3 0) ((13) (let ((e-17 (vector-ref arg-3 1))) (let ((e-19 (vector-ref arg-3 3))) (case (vector-ref arg-4 0) ((13) (let ((e-29 (vector-ref arg-4 3))) (TTImpC-45WithClause-matchAny arg-0 arg-1 e-17 arg-2 (DataC-45List-u--zip_Zippable_List e-19 e-29))))(else (case (vector-ref arg-4 0) ((18) (let ((e-15 (vector-ref arg-4 5))) (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 arg-3 e-15)))(else (case (vector-ref arg-3 0) ((29) (lambda (clam-0) (case (vector-ref arg-4 0) ((29) (vector 1 '()))(else (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) clam-0))))) ((28) (let ((e-3 (vector-ref arg-3 1))) (let ((e-4 (vector-ref arg-3 2))) (case (vector-ref arg-4 0) ((28) (let ((e-9 (vector-ref arg-4 2))) (lambda (clam-1) (let ((sc7 (CoreC-45TT-u--C-61C-61_Eq_Constant e-4 e-9))) (cond ((equal? sc7 1) (vector 1 '())) (else (TTImpC-45WithClause-matchFail e-3 clam-1)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0))))))))))) ((18) (let ((e-24 (vector-ref arg-3 4))) (let ((e-25 (vector-ref arg-3 5))) (case (vector-ref e-24 0) ((1) (let ((e-30 (vector-ref e-24 1))) (case (vector-ref e-30 0) ((0) (let ((e-31 (vector-ref e-30 1))) (case (vector-ref arg-4 0) ((18) (let ((e-34 (vector-ref arg-4 2))) (let ((e-36 (vector-ref arg-4 4))) (let ((e-37 (vector-ref arg-4 5))) (case (vector-ref e-36 0) ((1) (let ((e-38 (vector-ref e-36 1))) (case (vector-ref e-38 0) ((0) (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 e-37))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 (vector 18 e-34 (CoreC-45FC-emptyFC) 0 e-36 (vector 32 e-34 1))) e-5)))) eff-1))))))))(else (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 arg-4) e-5)))) eff-1)))))))))))(else (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 arg-4) e-5)))) eff-1)))))))))))))(else (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 arg-4) e-5)))) eff-1)))))))))))(else (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4)))))(else (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))))))(else (case (vector-ref arg-4 0) ((18) (let ((e-15 (vector-ref arg-4 5))) (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 arg-3 e-15)))(else (case (vector-ref arg-3 0) ((29) (lambda (clam-2) (case (vector-ref arg-4 0) ((29) (vector 1 '()))(else (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) clam-2))))) ((28) (let ((e-3 (vector-ref arg-3 1))) (let ((e-4 (vector-ref arg-3 2))) (case (vector-ref arg-4 0) ((28) (let ((e-9 (vector-ref arg-4 2))) (lambda (clam-3) (let ((sc6 (CoreC-45TT-u--C-61C-61_Eq_Constant e-4 e-9))) (cond ((equal? sc6 1) (vector 1 '())) (else (TTImpC-45WithClause-matchFail e-3 clam-3)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0))))))))))))) ((equal? arg-2 0) (case (vector-ref arg-3 0) ((10) (let ((e-60 (vector-ref arg-3 2))) (TTImpC-45WithClause-getMatch arg-0 arg-1 0 e-60 e-60))) ((9) (let ((e-65 (vector-ref arg-3 2))) (TTImpC-45WithClause-getMatch arg-0 arg-1 0 e-65 e-65)))(else (case (vector-ref arg-4 0) ((10) (let ((e-41 (vector-ref arg-4 1))) (lambda (eta-0) (TTImpC-45WithClause-matchFail e-41 eta-0)))) ((9) (let ((e-46 (vector-ref arg-4 1))) (lambda (eta-0) (TTImpC-45WithClause-matchFail e-46 eta-0))))(else (case (vector-ref arg-3 0) ((13) (let ((e-17 (vector-ref arg-3 1))) (let ((e-19 (vector-ref arg-3 3))) (case (vector-ref arg-4 0) ((13) (let ((e-29 (vector-ref arg-4 3))) (TTImpC-45WithClause-matchAny arg-0 arg-1 e-17 arg-2 (DataC-45List-u--zip_Zippable_List e-19 e-29))))(else (case (vector-ref arg-4 0) ((18) (let ((e-15 (vector-ref arg-4 5))) (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 arg-3 e-15)))(else (case (vector-ref arg-3 0) ((29) (lambda (clam-4) (case (vector-ref arg-4 0) ((29) (vector 1 '()))(else (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) clam-4))))) ((28) (let ((e-3 (vector-ref arg-3 1))) (let ((e-4 (vector-ref arg-3 2))) (case (vector-ref arg-4 0) ((28) (let ((e-9 (vector-ref arg-4 2))) (lambda (clam-5) (let ((sc7 (CoreC-45TT-u--C-61C-61_Eq_Constant e-4 e-9))) (cond ((equal? sc7 1) (vector 1 '())) (else (TTImpC-45WithClause-matchFail e-3 clam-5)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0))))))))))) ((18) (let ((e-24 (vector-ref arg-3 4))) (let ((e-25 (vector-ref arg-3 5))) (case (vector-ref e-24 0) ((1) (let ((e-30 (vector-ref e-24 1))) (case (vector-ref e-30 0) ((0) (let ((e-31 (vector-ref e-30 1))) (case (vector-ref arg-4 0) ((18) (let ((e-34 (vector-ref arg-4 2))) (let ((e-36 (vector-ref arg-4 4))) (let ((e-37 (vector-ref arg-4 5))) (case (vector-ref e-36 0) ((1) (let ((e-38 (vector-ref e-36 1))) (case (vector-ref e-38 0) ((0) (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 e-37))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 (vector 18 e-34 (CoreC-45FC-emptyFC) 0 e-36 (vector 32 e-34 1))) e-5)))) eff-1))))))))(else (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 arg-4) e-5)))) eff-1)))))))))))(else (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 arg-4) e-5)))) eff-1)))))))))))))(else (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 arg-4) e-5)))) eff-1)))))))))))(else (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4)))))(else (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))))))(else (case (vector-ref arg-4 0) ((18) (let ((e-15 (vector-ref arg-4 5))) (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 arg-3 e-15)))(else (case (vector-ref arg-3 0) ((29) (lambda (clam-6) (case (vector-ref arg-4 0) ((29) (vector 1 '()))(else (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) clam-6))))) ((28) (let ((e-3 (vector-ref arg-3 1))) (let ((e-4 (vector-ref arg-3 2))) (case (vector-ref arg-4 0) ((28) (let ((e-9 (vector-ref arg-4 2))) (lambda (clam-7) (let ((sc6 (CoreC-45TT-u--C-61C-61_Eq_Constant e-4 e-9))) (cond ((equal? sc6 1) (vector 1 '())) (else (TTImpC-45WithClause-matchFail e-3 clam-7)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0)))))))))))))(else (case (vector-ref arg-4 0) ((10) (let ((e-41 (vector-ref arg-4 1))) (lambda (eta-0) (TTImpC-45WithClause-matchFail e-41 eta-0)))) ((9) (let ((e-46 (vector-ref arg-4 1))) (lambda (eta-0) (TTImpC-45WithClause-matchFail e-46 eta-0))))(else (case (vector-ref arg-3 0) ((13) (let ((e-17 (vector-ref arg-3 1))) (let ((e-19 (vector-ref arg-3 3))) (case (vector-ref arg-4 0) ((13) (let ((e-29 (vector-ref arg-4 3))) (TTImpC-45WithClause-matchAny arg-0 arg-1 e-17 arg-2 (DataC-45List-u--zip_Zippable_List e-19 e-29))))(else (case (vector-ref arg-4 0) ((18) (let ((e-15 (vector-ref arg-4 5))) (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 arg-3 e-15)))(else (case (vector-ref arg-3 0) ((29) (lambda (clam-8) (case (vector-ref arg-4 0) ((29) (vector 1 '()))(else (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) clam-8))))) ((28) (let ((e-3 (vector-ref arg-3 1))) (let ((e-4 (vector-ref arg-3 2))) (case (vector-ref arg-4 0) ((28) (let ((e-9 (vector-ref arg-4 2))) (lambda (clam-9) (let ((sc6 (CoreC-45TT-u--C-61C-61_Eq_Constant e-4 e-9))) (cond ((equal? sc6 1) (vector 1 '())) (else (TTImpC-45WithClause-matchFail e-3 clam-9)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0))))))))))) ((18) (let ((e-24 (vector-ref arg-3 4))) (let ((e-25 (vector-ref arg-3 5))) (case (vector-ref e-24 0) ((1) (let ((e-30 (vector-ref e-24 1))) (case (vector-ref e-30 0) ((0) (let ((e-31 (vector-ref e-30 1))) (case (vector-ref arg-4 0) ((18) (let ((e-34 (vector-ref arg-4 2))) (let ((e-36 (vector-ref arg-4 4))) (let ((e-37 (vector-ref arg-4 5))) (case (vector-ref e-36 0) ((1) (let ((e-38 (vector-ref e-36 1))) (case (vector-ref e-38 0) ((0) (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 e-37))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 (vector 18 e-34 (CoreC-45FC-emptyFC) 0 e-36 (vector 32 e-34 1))) e-5)))) eff-1))))))))(else (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 arg-4) e-5)))) eff-1)))))))))))(else (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 arg-4) e-5)))) eff-1)))))))))))))(else (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 arg-4) e-5)))) eff-1)))))))))))(else (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4)))))(else (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))))))(else (case (vector-ref arg-4 0) ((18) (let ((e-15 (vector-ref arg-4 5))) (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 arg-3 e-15)))(else (case (vector-ref arg-3 0) ((29) (lambda (clam-10) (case (vector-ref arg-4 0) ((29) (vector 1 '()))(else (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) clam-10))))) ((28) (let ((e-3 (vector-ref arg-3 1))) (let ((e-4 (vector-ref arg-3 2))) (case (vector-ref arg-4 0) ((28) (let ((e-9 (vector-ref arg-4 2))) (lambda (clam-11) (let ((sc5 (CoreC-45TT-u--C-61C-61_Eq_Constant e-4 e-9))) (cond ((equal? sc5 1) (vector 1 '())) (else (TTImpC-45WithClause-matchFail e-3 clam-11)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0)))))))))))))))))))(else (case (vector-ref arg-4 0) ((0) (let ((e-95 (vector-ref arg-4 1))) (let ((e-96 (vector-ref arg-4 2))) (let ((sc3 (CoreC-45Name-u--C-61C-61_Eq_Name e-69 e-96))) (cond ((equal? sc3 1) (let ((eff-0 (TTImpC-45WithClause-addAlias arg-0 arg-1 e-95 e-68))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-5) (lambda (arg-6) ((((eff-1 'erased) 'erased) arg-5) arg-6)))) (lambda (eta-0) '()))) eff-0))) (else (lambda (eta-0) (TTImpC-45WithClause-matchFail e-95 eta-0))))))))(else (cond ((equal? arg-2 1) (case (vector-ref arg-3 0) ((10) (let ((e-51 (vector-ref arg-3 2))) (let ((e-53 (vector-ref arg-3 4))) (TTImpC-45WithClause-matchAll arg-0 arg-1 1 (cons (cons e-51 arg-4) (cons (cons e-53 e-53) '())))))) ((9) (let ((e-56 (vector-ref arg-3 2))) (let ((e-57 (vector-ref arg-3 3))) (TTImpC-45WithClause-matchAll arg-0 arg-1 1 (cons (cons e-56 arg-4) (cons (cons e-57 e-57) '()))))))(else (case (vector-ref arg-4 0) ((10) (let ((e-41 (vector-ref arg-4 1))) (lambda (eta-0) (TTImpC-45WithClause-matchFail e-41 eta-0)))) ((9) (let ((e-46 (vector-ref arg-4 1))) (lambda (eta-0) (TTImpC-45WithClause-matchFail e-46 eta-0))))(else (case (vector-ref arg-3 0) ((13) (let ((e-17 (vector-ref arg-3 1))) (let ((e-19 (vector-ref arg-3 3))) (case (vector-ref arg-4 0) ((13) (let ((e-29 (vector-ref arg-4 3))) (TTImpC-45WithClause-matchAny arg-0 arg-1 e-17 arg-2 (DataC-45List-u--zip_Zippable_List e-19 e-29))))(else (case (vector-ref arg-4 0) ((18) (let ((e-15 (vector-ref arg-4 5))) (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 arg-3 e-15)))(else (case (vector-ref arg-3 0) ((29) (lambda (clam-12) (case (vector-ref arg-4 0) ((29) (vector 1 '()))(else (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) clam-12))))) ((28) (let ((e-3 (vector-ref arg-3 1))) (let ((e-4 (vector-ref arg-3 2))) (case (vector-ref arg-4 0) ((28) (let ((e-9 (vector-ref arg-4 2))) (lambda (clam-13) (let ((sc6 (CoreC-45TT-u--C-61C-61_Eq_Constant e-4 e-9))) (cond ((equal? sc6 1) (vector 1 '())) (else (TTImpC-45WithClause-matchFail e-3 clam-13)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0))))))))))) ((18) (let ((e-24 (vector-ref arg-3 4))) (let ((e-25 (vector-ref arg-3 5))) (case (vector-ref e-24 0) ((1) (let ((e-30 (vector-ref e-24 1))) (case (vector-ref e-30 0) ((0) (let ((e-31 (vector-ref e-30 1))) (case (vector-ref arg-4 0) ((18) (let ((e-34 (vector-ref arg-4 2))) (let ((e-36 (vector-ref arg-4 4))) (let ((e-37 (vector-ref arg-4 5))) (case (vector-ref e-36 0) ((1) (let ((e-38 (vector-ref e-36 1))) (case (vector-ref e-38 0) ((0) (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 e-37))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 (vector 18 e-34 (CoreC-45FC-emptyFC) 0 e-36 (vector 32 e-34 1))) e-5)))) eff-1))))))))(else (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 arg-4) e-5)))) eff-1)))))))))))(else (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 arg-4) e-5)))) eff-1)))))))))))))(else (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 arg-4) e-5)))) eff-1)))))))))))(else (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4)))))(else (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))))))(else (case (vector-ref arg-4 0) ((18) (let ((e-15 (vector-ref arg-4 5))) (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 arg-3 e-15)))(else (case (vector-ref arg-3 0) ((29) (lambda (clam-14) (case (vector-ref arg-4 0) ((29) (vector 1 '()))(else (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) clam-14))))) ((28) (let ((e-3 (vector-ref arg-3 1))) (let ((e-4 (vector-ref arg-3 2))) (case (vector-ref arg-4 0) ((28) (let ((e-9 (vector-ref arg-4 2))) (lambda (clam-15) (let ((sc5 (CoreC-45TT-u--C-61C-61_Eq_Constant e-4 e-9))) (cond ((equal? sc5 1) (vector 1 '())) (else (TTImpC-45WithClause-matchFail e-3 clam-15)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0))))))))))))) ((equal? arg-2 0) (case (vector-ref arg-3 0) ((10) (let ((e-60 (vector-ref arg-3 2))) (TTImpC-45WithClause-getMatch arg-0 arg-1 0 e-60 e-60))) ((9) (let ((e-65 (vector-ref arg-3 2))) (TTImpC-45WithClause-getMatch arg-0 arg-1 0 e-65 e-65)))(else (case (vector-ref arg-4 0) ((10) (let ((e-41 (vector-ref arg-4 1))) (lambda (eta-0) (TTImpC-45WithClause-matchFail e-41 eta-0)))) ((9) (let ((e-46 (vector-ref arg-4 1))) (lambda (eta-0) (TTImpC-45WithClause-matchFail e-46 eta-0))))(else (case (vector-ref arg-3 0) ((13) (let ((e-17 (vector-ref arg-3 1))) (let ((e-19 (vector-ref arg-3 3))) (case (vector-ref arg-4 0) ((13) (let ((e-29 (vector-ref arg-4 3))) (TTImpC-45WithClause-matchAny arg-0 arg-1 e-17 arg-2 (DataC-45List-u--zip_Zippable_List e-19 e-29))))(else (case (vector-ref arg-4 0) ((18) (let ((e-15 (vector-ref arg-4 5))) (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 arg-3 e-15)))(else (case (vector-ref arg-3 0) ((29) (lambda (clam-16) (case (vector-ref arg-4 0) ((29) (vector 1 '()))(else (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) clam-16))))) ((28) (let ((e-3 (vector-ref arg-3 1))) (let ((e-4 (vector-ref arg-3 2))) (case (vector-ref arg-4 0) ((28) (let ((e-9 (vector-ref arg-4 2))) (lambda (clam-17) (let ((sc6 (CoreC-45TT-u--C-61C-61_Eq_Constant e-4 e-9))) (cond ((equal? sc6 1) (vector 1 '())) (else (TTImpC-45WithClause-matchFail e-3 clam-17)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0))))))))))) ((18) (let ((e-24 (vector-ref arg-3 4))) (let ((e-25 (vector-ref arg-3 5))) (case (vector-ref e-24 0) ((1) (let ((e-30 (vector-ref e-24 1))) (case (vector-ref e-30 0) ((0) (let ((e-31 (vector-ref e-30 1))) (case (vector-ref arg-4 0) ((18) (let ((e-34 (vector-ref arg-4 2))) (let ((e-36 (vector-ref arg-4 4))) (let ((e-37 (vector-ref arg-4 5))) (case (vector-ref e-36 0) ((1) (let ((e-38 (vector-ref e-36 1))) (case (vector-ref e-38 0) ((0) (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 e-37))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 (vector 18 e-34 (CoreC-45FC-emptyFC) 0 e-36 (vector 32 e-34 1))) e-5)))) eff-1))))))))(else (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 arg-4) e-5)))) eff-1)))))))))))(else (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 arg-4) e-5)))) eff-1)))))))))))))(else (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 arg-4) e-5)))) eff-1)))))))))))(else (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4)))))(else (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))))))(else (case (vector-ref arg-4 0) ((18) (let ((e-15 (vector-ref arg-4 5))) (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 arg-3 e-15)))(else (case (vector-ref arg-3 0) ((29) (lambda (clam-18) (case (vector-ref arg-4 0) ((29) (vector 1 '()))(else (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) clam-18))))) ((28) (let ((e-3 (vector-ref arg-3 1))) (let ((e-4 (vector-ref arg-3 2))) (case (vector-ref arg-4 0) ((28) (let ((e-9 (vector-ref arg-4 2))) (lambda (clam-19) (let ((sc5 (CoreC-45TT-u--C-61C-61_Eq_Constant e-4 e-9))) (cond ((equal? sc5 1) (vector 1 '())) (else (TTImpC-45WithClause-matchFail e-3 clam-19)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0)))))))))))))(else (case (vector-ref arg-4 0) ((10) (let ((e-41 (vector-ref arg-4 1))) (lambda (eta-0) (TTImpC-45WithClause-matchFail e-41 eta-0)))) ((9) (let ((e-46 (vector-ref arg-4 1))) (lambda (eta-0) (TTImpC-45WithClause-matchFail e-46 eta-0))))(else (case (vector-ref arg-3 0) ((13) (let ((e-17 (vector-ref arg-3 1))) (let ((e-19 (vector-ref arg-3 3))) (case (vector-ref arg-4 0) ((13) (let ((e-29 (vector-ref arg-4 3))) (TTImpC-45WithClause-matchAny arg-0 arg-1 e-17 arg-2 (DataC-45List-u--zip_Zippable_List e-19 e-29))))(else (case (vector-ref arg-4 0) ((18) (let ((e-15 (vector-ref arg-4 5))) (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 arg-3 e-15)))(else (case (vector-ref arg-3 0) ((29) (lambda (clam-20) (case (vector-ref arg-4 0) ((29) (vector 1 '()))(else (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) clam-20))))) ((28) (let ((e-3 (vector-ref arg-3 1))) (let ((e-4 (vector-ref arg-3 2))) (case (vector-ref arg-4 0) ((28) (let ((e-9 (vector-ref arg-4 2))) (lambda (clam-21) (let ((sc5 (CoreC-45TT-u--C-61C-61_Eq_Constant e-4 e-9))) (cond ((equal? sc5 1) (vector 1 '())) (else (TTImpC-45WithClause-matchFail e-3 clam-21)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0))))))))))) ((18) (let ((e-24 (vector-ref arg-3 4))) (let ((e-25 (vector-ref arg-3 5))) (case (vector-ref e-24 0) ((1) (let ((e-30 (vector-ref e-24 1))) (case (vector-ref e-30 0) ((0) (let ((e-31 (vector-ref e-30 1))) (case (vector-ref arg-4 0) ((18) (let ((e-34 (vector-ref arg-4 2))) (let ((e-36 (vector-ref arg-4 4))) (let ((e-37 (vector-ref arg-4 5))) (case (vector-ref e-36 0) ((1) (let ((e-38 (vector-ref e-36 1))) (case (vector-ref e-38 0) ((0) (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 e-37))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 (vector 18 e-34 (CoreC-45FC-emptyFC) 0 e-36 (vector 32 e-34 1))) e-5)))) eff-1))))))))(else (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 arg-4) e-5)))) eff-1)))))))))))(else (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 arg-4) e-5)))) eff-1)))))))))))))(else (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 arg-4) e-5)))) eff-1)))))))))))(else (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4)))))(else (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))))))(else (case (vector-ref arg-4 0) ((18) (let ((e-15 (vector-ref arg-4 5))) (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 arg-3 e-15)))(else (case (vector-ref arg-3 0) ((29) (lambda (clam-22) (case (vector-ref arg-4 0) ((29) (vector 1 '()))(else (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) clam-22))))) ((28) (let ((e-3 (vector-ref arg-3 1))) (let ((e-4 (vector-ref arg-3 2))) (case (vector-ref arg-4 0) ((28) (let ((e-9 (vector-ref arg-4 2))) (lambda (clam-23) (let ((sc4 (CoreC-45TT-u--C-61C-61_Eq_Constant e-4 e-9))) (cond ((equal? sc4 1) (vector 1 '())) (else (TTImpC-45WithClause-matchFail e-3 clam-23)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0))))))))))))))))))) ((1) (let ((e-72 (vector-ref arg-3 2))) (let ((e-73 (vector-ref arg-3 3))) (let ((e-74 (vector-ref arg-3 4))) (let ((e-75 (vector-ref arg-3 5))) (let ((e-76 (vector-ref arg-3 6))) (case (vector-ref arg-4 0) ((1) (let ((e-105 (vector-ref arg-4 1))) (let ((e-106 (vector-ref arg-4 2))) (let ((e-107 (vector-ref arg-4 3))) (let ((e-108 (vector-ref arg-4 4))) (let ((e-109 (vector-ref arg-4 5))) (let ((e-110 (vector-ref arg-4 6))) (let ((sc3 (let ((sc4 (AlgebraC-45ZeroOneOmega-u--C-61C-61_Eq_ZeroOneOmega e-72 e-106))) (cond ((equal? sc4 1) (let ((sc5 (CoreC-45TT-eqPiInfoBy (lambda (_-19262) (lambda (_-19265) 1)) e-73 e-107))) (cond ((equal? sc5 1) (PreludeC-45Types-u--C-61C-61_Eq_C-40MaybeC-32C-36aC-41 (csegen-1008) e-74 e-108)) (else 0)))) (else 0))))) (cond ((equal? sc3 1) (TTImpC-45WithClause-matchAll arg-0 arg-1 arg-2 (cons (cons e-75 e-109) (cons (cons e-76 e-110) '())))) (else (lambda (eta-0) (TTImpC-45WithClause-matchFail e-105 eta-0))))))))))))(else (cond ((equal? arg-2 1) (case (vector-ref arg-3 0) ((10) (let ((e-51 (vector-ref arg-3 2))) (let ((e-53 (vector-ref arg-3 4))) (TTImpC-45WithClause-matchAll arg-0 arg-1 1 (cons (cons e-51 arg-4) (cons (cons e-53 e-53) '())))))) ((9) (let ((e-56 (vector-ref arg-3 2))) (let ((e-57 (vector-ref arg-3 3))) (TTImpC-45WithClause-matchAll arg-0 arg-1 1 (cons (cons e-56 arg-4) (cons (cons e-57 e-57) '()))))))(else (case (vector-ref arg-4 0) ((10) (let ((e-41 (vector-ref arg-4 1))) (lambda (eta-0) (TTImpC-45WithClause-matchFail e-41 eta-0)))) ((9) (let ((e-46 (vector-ref arg-4 1))) (lambda (eta-0) (TTImpC-45WithClause-matchFail e-46 eta-0))))(else (case (vector-ref arg-3 0) ((13) (let ((e-17 (vector-ref arg-3 1))) (let ((e-19 (vector-ref arg-3 3))) (case (vector-ref arg-4 0) ((13) (let ((e-29 (vector-ref arg-4 3))) (TTImpC-45WithClause-matchAny arg-0 arg-1 e-17 arg-2 (DataC-45List-u--zip_Zippable_List e-19 e-29))))(else (case (vector-ref arg-4 0) ((18) (let ((e-15 (vector-ref arg-4 5))) (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 arg-3 e-15)))(else (case (vector-ref arg-3 0) ((29) (lambda (clam-24) (case (vector-ref arg-4 0) ((29) (vector 1 '()))(else (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) clam-24))))) ((28) (let ((e-3 (vector-ref arg-3 1))) (let ((e-4 (vector-ref arg-3 2))) (case (vector-ref arg-4 0) ((28) (let ((e-9 (vector-ref arg-4 2))) (lambda (clam-25) (let ((sc6 (CoreC-45TT-u--C-61C-61_Eq_Constant e-4 e-9))) (cond ((equal? sc6 1) (vector 1 '())) (else (TTImpC-45WithClause-matchFail e-3 clam-25)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0))))))))))) ((18) (let ((e-24 (vector-ref arg-3 4))) (let ((e-25 (vector-ref arg-3 5))) (case (vector-ref e-24 0) ((1) (let ((e-30 (vector-ref e-24 1))) (case (vector-ref e-30 0) ((0) (let ((e-31 (vector-ref e-30 1))) (case (vector-ref arg-4 0) ((18) (let ((e-34 (vector-ref arg-4 2))) (let ((e-36 (vector-ref arg-4 4))) (let ((e-37 (vector-ref arg-4 5))) (case (vector-ref e-36 0) ((1) (let ((e-38 (vector-ref e-36 1))) (case (vector-ref e-38 0) ((0) (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 e-37))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 (vector 18 e-34 (CoreC-45FC-emptyFC) 0 e-36 (vector 32 e-34 1))) e-5)))) eff-1))))))))(else (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 arg-4) e-5)))) eff-1)))))))))))(else (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 arg-4) e-5)))) eff-1)))))))))))))(else (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 arg-4) e-5)))) eff-1)))))))))))(else (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4)))))(else (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))))))(else (case (vector-ref arg-4 0) ((18) (let ((e-15 (vector-ref arg-4 5))) (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 arg-3 e-15)))(else (case (vector-ref arg-3 0) ((29) (lambda (clam-26) (case (vector-ref arg-4 0) ((29) (vector 1 '()))(else (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) clam-26))))) ((28) (let ((e-3 (vector-ref arg-3 1))) (let ((e-4 (vector-ref arg-3 2))) (case (vector-ref arg-4 0) ((28) (let ((e-9 (vector-ref arg-4 2))) (lambda (clam-27) (let ((sc5 (CoreC-45TT-u--C-61C-61_Eq_Constant e-4 e-9))) (cond ((equal? sc5 1) (vector 1 '())) (else (TTImpC-45WithClause-matchFail e-3 clam-27)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0))))))))))))) ((equal? arg-2 0) (case (vector-ref arg-3 0) ((10) (let ((e-60 (vector-ref arg-3 2))) (TTImpC-45WithClause-getMatch arg-0 arg-1 0 e-60 e-60))) ((9) (let ((e-65 (vector-ref arg-3 2))) (TTImpC-45WithClause-getMatch arg-0 arg-1 0 e-65 e-65)))(else (case (vector-ref arg-4 0) ((10) (let ((e-41 (vector-ref arg-4 1))) (lambda (eta-0) (TTImpC-45WithClause-matchFail e-41 eta-0)))) ((9) (let ((e-46 (vector-ref arg-4 1))) (lambda (eta-0) (TTImpC-45WithClause-matchFail e-46 eta-0))))(else (case (vector-ref arg-3 0) ((13) (let ((e-17 (vector-ref arg-3 1))) (let ((e-19 (vector-ref arg-3 3))) (case (vector-ref arg-4 0) ((13) (let ((e-29 (vector-ref arg-4 3))) (TTImpC-45WithClause-matchAny arg-0 arg-1 e-17 arg-2 (DataC-45List-u--zip_Zippable_List e-19 e-29))))(else (case (vector-ref arg-4 0) ((18) (let ((e-15 (vector-ref arg-4 5))) (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 arg-3 e-15)))(else (case (vector-ref arg-3 0) ((29) (lambda (clam-28) (case (vector-ref arg-4 0) ((29) (vector 1 '()))(else (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) clam-28))))) ((28) (let ((e-3 (vector-ref arg-3 1))) (let ((e-4 (vector-ref arg-3 2))) (case (vector-ref arg-4 0) ((28) (let ((e-9 (vector-ref arg-4 2))) (lambda (clam-29) (let ((sc6 (CoreC-45TT-u--C-61C-61_Eq_Constant e-4 e-9))) (cond ((equal? sc6 1) (vector 1 '())) (else (TTImpC-45WithClause-matchFail e-3 clam-29)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0))))))))))) ((18) (let ((e-24 (vector-ref arg-3 4))) (let ((e-25 (vector-ref arg-3 5))) (case (vector-ref e-24 0) ((1) (let ((e-30 (vector-ref e-24 1))) (case (vector-ref e-30 0) ((0) (let ((e-31 (vector-ref e-30 1))) (case (vector-ref arg-4 0) ((18) (let ((e-34 (vector-ref arg-4 2))) (let ((e-36 (vector-ref arg-4 4))) (let ((e-37 (vector-ref arg-4 5))) (case (vector-ref e-36 0) ((1) (let ((e-38 (vector-ref e-36 1))) (case (vector-ref e-38 0) ((0) (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 e-37))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 (vector 18 e-34 (CoreC-45FC-emptyFC) 0 e-36 (vector 32 e-34 1))) e-5)))) eff-1))))))))(else (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 arg-4) e-5)))) eff-1)))))))))))(else (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 arg-4) e-5)))) eff-1)))))))))))))(else (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 arg-4) e-5)))) eff-1)))))))))))(else (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4)))))(else (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))))))(else (case (vector-ref arg-4 0) ((18) (let ((e-15 (vector-ref arg-4 5))) (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 arg-3 e-15)))(else (case (vector-ref arg-3 0) ((29) (lambda (clam-30) (case (vector-ref arg-4 0) ((29) (vector 1 '()))(else (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) clam-30))))) ((28) (let ((e-3 (vector-ref arg-3 1))) (let ((e-4 (vector-ref arg-3 2))) (case (vector-ref arg-4 0) ((28) (let ((e-9 (vector-ref arg-4 2))) (lambda (clam-31) (let ((sc5 (CoreC-45TT-u--C-61C-61_Eq_Constant e-4 e-9))) (cond ((equal? sc5 1) (vector 1 '())) (else (TTImpC-45WithClause-matchFail e-3 clam-31)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0)))))))))))))(else (case (vector-ref arg-4 0) ((10) (let ((e-41 (vector-ref arg-4 1))) (lambda (eta-0) (TTImpC-45WithClause-matchFail e-41 eta-0)))) ((9) (let ((e-46 (vector-ref arg-4 1))) (lambda (eta-0) (TTImpC-45WithClause-matchFail e-46 eta-0))))(else (case (vector-ref arg-3 0) ((13) (let ((e-17 (vector-ref arg-3 1))) (let ((e-19 (vector-ref arg-3 3))) (case (vector-ref arg-4 0) ((13) (let ((e-29 (vector-ref arg-4 3))) (TTImpC-45WithClause-matchAny arg-0 arg-1 e-17 arg-2 (DataC-45List-u--zip_Zippable_List e-19 e-29))))(else (case (vector-ref arg-4 0) ((18) (let ((e-15 (vector-ref arg-4 5))) (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 arg-3 e-15)))(else (case (vector-ref arg-3 0) ((29) (lambda (clam-32) (case (vector-ref arg-4 0) ((29) (vector 1 '()))(else (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) clam-32))))) ((28) (let ((e-3 (vector-ref arg-3 1))) (let ((e-4 (vector-ref arg-3 2))) (case (vector-ref arg-4 0) ((28) (let ((e-9 (vector-ref arg-4 2))) (lambda (clam-33) (let ((sc5 (CoreC-45TT-u--C-61C-61_Eq_Constant e-4 e-9))) (cond ((equal? sc5 1) (vector 1 '())) (else (TTImpC-45WithClause-matchFail e-3 clam-33)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0))))))))))) ((18) (let ((e-24 (vector-ref arg-3 4))) (let ((e-25 (vector-ref arg-3 5))) (case (vector-ref e-24 0) ((1) (let ((e-30 (vector-ref e-24 1))) (case (vector-ref e-30 0) ((0) (let ((e-31 (vector-ref e-30 1))) (case (vector-ref arg-4 0) ((18) (let ((e-34 (vector-ref arg-4 2))) (let ((e-36 (vector-ref arg-4 4))) (let ((e-37 (vector-ref arg-4 5))) (case (vector-ref e-36 0) ((1) (let ((e-38 (vector-ref e-36 1))) (case (vector-ref e-38 0) ((0) (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 e-37))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 (vector 18 e-34 (CoreC-45FC-emptyFC) 0 e-36 (vector 32 e-34 1))) e-5)))) eff-1))))))))(else (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 arg-4) e-5)))) eff-1)))))))))))(else (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 arg-4) e-5)))) eff-1)))))))))))))(else (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 arg-4) e-5)))) eff-1)))))))))))(else (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4)))))(else (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))))))(else (case (vector-ref arg-4 0) ((18) (let ((e-15 (vector-ref arg-4 5))) (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 arg-3 e-15)))(else (case (vector-ref arg-3 0) ((29) (lambda (clam-34) (case (vector-ref arg-4 0) ((29) (vector 1 '()))(else (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) clam-34))))) ((28) (let ((e-3 (vector-ref arg-3 1))) (let ((e-4 (vector-ref arg-3 2))) (case (vector-ref arg-4 0) ((28) (let ((e-9 (vector-ref arg-4 2))) (lambda (clam-35) (let ((sc4 (CoreC-45TT-u--C-61C-61_Eq_Constant e-4 e-9))) (cond ((equal? sc4 1) (vector 1 '())) (else (TTImpC-45WithClause-matchFail e-3 clam-35)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0)))))))))))))))))))) ((8) (let ((e-79 (vector-ref arg-3 2))) (let ((e-80 (vector-ref arg-3 3))) (case (vector-ref arg-4 0) ((8) (let ((e-113 (vector-ref arg-4 2))) (let ((e-114 (vector-ref arg-4 3))) (TTImpC-45WithClause-matchAll arg-0 arg-1 arg-2 (cons (cons e-79 e-113) (cons (cons e-80 e-114) '()))))))(else (cond ((equal? arg-2 1) (case (vector-ref arg-3 0) ((10) (let ((e-51 (vector-ref arg-3 2))) (let ((e-53 (vector-ref arg-3 4))) (TTImpC-45WithClause-matchAll arg-0 arg-1 1 (cons (cons e-51 arg-4) (cons (cons e-53 e-53) '())))))) ((9) (let ((e-56 (vector-ref arg-3 2))) (let ((e-57 (vector-ref arg-3 3))) (TTImpC-45WithClause-matchAll arg-0 arg-1 1 (cons (cons e-56 arg-4) (cons (cons e-57 e-57) '()))))))(else (case (vector-ref arg-4 0) ((10) (let ((e-41 (vector-ref arg-4 1))) (lambda (eta-0) (TTImpC-45WithClause-matchFail e-41 eta-0)))) ((9) (let ((e-46 (vector-ref arg-4 1))) (lambda (eta-0) (TTImpC-45WithClause-matchFail e-46 eta-0))))(else (case (vector-ref arg-3 0) ((13) (let ((e-17 (vector-ref arg-3 1))) (let ((e-19 (vector-ref arg-3 3))) (case (vector-ref arg-4 0) ((13) (let ((e-29 (vector-ref arg-4 3))) (TTImpC-45WithClause-matchAny arg-0 arg-1 e-17 arg-2 (DataC-45List-u--zip_Zippable_List e-19 e-29))))(else (case (vector-ref arg-4 0) ((18) (let ((e-15 (vector-ref arg-4 5))) (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 arg-3 e-15)))(else (case (vector-ref arg-3 0) ((29) (lambda (clam-36) (case (vector-ref arg-4 0) ((29) (vector 1 '()))(else (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) clam-36))))) ((28) (let ((e-3 (vector-ref arg-3 1))) (let ((e-4 (vector-ref arg-3 2))) (case (vector-ref arg-4 0) ((28) (let ((e-9 (vector-ref arg-4 2))) (lambda (clam-37) (let ((sc6 (CoreC-45TT-u--C-61C-61_Eq_Constant e-4 e-9))) (cond ((equal? sc6 1) (vector 1 '())) (else (TTImpC-45WithClause-matchFail e-3 clam-37)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0))))))))))) ((18) (let ((e-24 (vector-ref arg-3 4))) (let ((e-25 (vector-ref arg-3 5))) (case (vector-ref e-24 0) ((1) (let ((e-30 (vector-ref e-24 1))) (case (vector-ref e-30 0) ((0) (let ((e-31 (vector-ref e-30 1))) (case (vector-ref arg-4 0) ((18) (let ((e-34 (vector-ref arg-4 2))) (let ((e-36 (vector-ref arg-4 4))) (let ((e-37 (vector-ref arg-4 5))) (case (vector-ref e-36 0) ((1) (let ((e-38 (vector-ref e-36 1))) (case (vector-ref e-38 0) ((0) (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 e-37))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 (vector 18 e-34 (CoreC-45FC-emptyFC) 0 e-36 (vector 32 e-34 1))) e-5)))) eff-1))))))))(else (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 arg-4) e-5)))) eff-1)))))))))))(else (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 arg-4) e-5)))) eff-1)))))))))))))(else (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 arg-4) e-5)))) eff-1)))))))))))(else (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4)))))(else (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))))))(else (case (vector-ref arg-4 0) ((18) (let ((e-15 (vector-ref arg-4 5))) (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 arg-3 e-15)))(else (case (vector-ref arg-3 0) ((29) (lambda (clam-38) (case (vector-ref arg-4 0) ((29) (vector 1 '()))(else (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) clam-38))))) ((28) (let ((e-3 (vector-ref arg-3 1))) (let ((e-4 (vector-ref arg-3 2))) (case (vector-ref arg-4 0) ((28) (let ((e-9 (vector-ref arg-4 2))) (lambda (clam-39) (let ((sc5 (CoreC-45TT-u--C-61C-61_Eq_Constant e-4 e-9))) (cond ((equal? sc5 1) (vector 1 '())) (else (TTImpC-45WithClause-matchFail e-3 clam-39)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0))))))))))))) ((equal? arg-2 0) (case (vector-ref arg-3 0) ((10) (let ((e-60 (vector-ref arg-3 2))) (TTImpC-45WithClause-getMatch arg-0 arg-1 0 e-60 e-60))) ((9) (let ((e-65 (vector-ref arg-3 2))) (TTImpC-45WithClause-getMatch arg-0 arg-1 0 e-65 e-65)))(else (case (vector-ref arg-4 0) ((10) (let ((e-41 (vector-ref arg-4 1))) (lambda (eta-0) (TTImpC-45WithClause-matchFail e-41 eta-0)))) ((9) (let ((e-46 (vector-ref arg-4 1))) (lambda (eta-0) (TTImpC-45WithClause-matchFail e-46 eta-0))))(else (case (vector-ref arg-3 0) ((13) (let ((e-17 (vector-ref arg-3 1))) (let ((e-19 (vector-ref arg-3 3))) (case (vector-ref arg-4 0) ((13) (let ((e-29 (vector-ref arg-4 3))) (TTImpC-45WithClause-matchAny arg-0 arg-1 e-17 arg-2 (DataC-45List-u--zip_Zippable_List e-19 e-29))))(else (case (vector-ref arg-4 0) ((18) (let ((e-15 (vector-ref arg-4 5))) (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 arg-3 e-15)))(else (case (vector-ref arg-3 0) ((29) (lambda (clam-40) (case (vector-ref arg-4 0) ((29) (vector 1 '()))(else (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) clam-40))))) ((28) (let ((e-3 (vector-ref arg-3 1))) (let ((e-4 (vector-ref arg-3 2))) (case (vector-ref arg-4 0) ((28) (let ((e-9 (vector-ref arg-4 2))) (lambda (clam-41) (let ((sc6 (CoreC-45TT-u--C-61C-61_Eq_Constant e-4 e-9))) (cond ((equal? sc6 1) (vector 1 '())) (else (TTImpC-45WithClause-matchFail e-3 clam-41)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0))))))))))) ((18) (let ((e-24 (vector-ref arg-3 4))) (let ((e-25 (vector-ref arg-3 5))) (case (vector-ref e-24 0) ((1) (let ((e-30 (vector-ref e-24 1))) (case (vector-ref e-30 0) ((0) (let ((e-31 (vector-ref e-30 1))) (case (vector-ref arg-4 0) ((18) (let ((e-34 (vector-ref arg-4 2))) (let ((e-36 (vector-ref arg-4 4))) (let ((e-37 (vector-ref arg-4 5))) (case (vector-ref e-36 0) ((1) (let ((e-38 (vector-ref e-36 1))) (case (vector-ref e-38 0) ((0) (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 e-37))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 (vector 18 e-34 (CoreC-45FC-emptyFC) 0 e-36 (vector 32 e-34 1))) e-5)))) eff-1))))))))(else (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 arg-4) e-5)))) eff-1)))))))))))(else (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 arg-4) e-5)))) eff-1)))))))))))))(else (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 arg-4) e-5)))) eff-1)))))))))))(else (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4)))))(else (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))))))(else (case (vector-ref arg-4 0) ((18) (let ((e-15 (vector-ref arg-4 5))) (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 arg-3 e-15)))(else (case (vector-ref arg-3 0) ((29) (lambda (clam-42) (case (vector-ref arg-4 0) ((29) (vector 1 '()))(else (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) clam-42))))) ((28) (let ((e-3 (vector-ref arg-3 1))) (let ((e-4 (vector-ref arg-3 2))) (case (vector-ref arg-4 0) ((28) (let ((e-9 (vector-ref arg-4 2))) (lambda (clam-43) (let ((sc5 (CoreC-45TT-u--C-61C-61_Eq_Constant e-4 e-9))) (cond ((equal? sc5 1) (vector 1 '())) (else (TTImpC-45WithClause-matchFail e-3 clam-43)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0)))))))))))))(else (case (vector-ref arg-4 0) ((10) (let ((e-41 (vector-ref arg-4 1))) (lambda (eta-0) (TTImpC-45WithClause-matchFail e-41 eta-0)))) ((9) (let ((e-46 (vector-ref arg-4 1))) (lambda (eta-0) (TTImpC-45WithClause-matchFail e-46 eta-0))))(else (case (vector-ref arg-3 0) ((13) (let ((e-17 (vector-ref arg-3 1))) (let ((e-19 (vector-ref arg-3 3))) (case (vector-ref arg-4 0) ((13) (let ((e-29 (vector-ref arg-4 3))) (TTImpC-45WithClause-matchAny arg-0 arg-1 e-17 arg-2 (DataC-45List-u--zip_Zippable_List e-19 e-29))))(else (case (vector-ref arg-4 0) ((18) (let ((e-15 (vector-ref arg-4 5))) (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 arg-3 e-15)))(else (case (vector-ref arg-3 0) ((29) (lambda (clam-44) (case (vector-ref arg-4 0) ((29) (vector 1 '()))(else (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) clam-44))))) ((28) (let ((e-3 (vector-ref arg-3 1))) (let ((e-4 (vector-ref arg-3 2))) (case (vector-ref arg-4 0) ((28) (let ((e-9 (vector-ref arg-4 2))) (lambda (clam-45) (let ((sc5 (CoreC-45TT-u--C-61C-61_Eq_Constant e-4 e-9))) (cond ((equal? sc5 1) (vector 1 '())) (else (TTImpC-45WithClause-matchFail e-3 clam-45)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0))))))))))) ((18) (let ((e-24 (vector-ref arg-3 4))) (let ((e-25 (vector-ref arg-3 5))) (case (vector-ref e-24 0) ((1) (let ((e-30 (vector-ref e-24 1))) (case (vector-ref e-30 0) ((0) (let ((e-31 (vector-ref e-30 1))) (case (vector-ref arg-4 0) ((18) (let ((e-34 (vector-ref arg-4 2))) (let ((e-36 (vector-ref arg-4 4))) (let ((e-37 (vector-ref arg-4 5))) (case (vector-ref e-36 0) ((1) (let ((e-38 (vector-ref e-36 1))) (case (vector-ref e-38 0) ((0) (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 e-37))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 (vector 18 e-34 (CoreC-45FC-emptyFC) 0 e-36 (vector 32 e-34 1))) e-5)))) eff-1))))))))(else (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 arg-4) e-5)))) eff-1)))))))))))(else (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 arg-4) e-5)))) eff-1)))))))))))))(else (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 arg-4) e-5)))) eff-1)))))))))))(else (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4)))))(else (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))))))(else (case (vector-ref arg-4 0) ((18) (let ((e-15 (vector-ref arg-4 5))) (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 arg-3 e-15)))(else (case (vector-ref arg-3 0) ((29) (lambda (clam-46) (case (vector-ref arg-4 0) ((29) (vector 1 '()))(else (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) clam-46))))) ((28) (let ((e-3 (vector-ref arg-3 1))) (let ((e-4 (vector-ref arg-3 2))) (case (vector-ref arg-4 0) ((28) (let ((e-9 (vector-ref arg-4 2))) (lambda (clam-47) (let ((sc4 (CoreC-45TT-u--C-61C-61_Eq_Constant e-4 e-9))) (cond ((equal? sc4 1) (vector 1 '())) (else (TTImpC-45WithClause-matchFail e-3 clam-47)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0))))))))))))))))) ((9) (let ((e-83 (vector-ref arg-3 2))) (let ((e-84 (vector-ref arg-3 3))) (case (vector-ref arg-4 0) ((9) (let ((e-117 (vector-ref arg-4 2))) (let ((e-118 (vector-ref arg-4 3))) (TTImpC-45WithClause-matchAll arg-0 arg-1 arg-2 (cons (cons e-83 e-117) (cons (cons e-84 e-118) '()))))))(else (cond ((equal? arg-2 1) (case (vector-ref arg-3 0) ((10) (let ((e-51 (vector-ref arg-3 2))) (let ((e-53 (vector-ref arg-3 4))) (TTImpC-45WithClause-matchAll arg-0 arg-1 1 (cons (cons e-51 arg-4) (cons (cons e-53 e-53) '())))))) ((9) (let ((e-56 (vector-ref arg-3 2))) (let ((e-57 (vector-ref arg-3 3))) (TTImpC-45WithClause-matchAll arg-0 arg-1 1 (cons (cons e-56 arg-4) (cons (cons e-57 e-57) '()))))))(else (case (vector-ref arg-4 0) ((10) (let ((e-41 (vector-ref arg-4 1))) (lambda (eta-0) (TTImpC-45WithClause-matchFail e-41 eta-0)))) ((9) (let ((e-46 (vector-ref arg-4 1))) (lambda (eta-0) (TTImpC-45WithClause-matchFail e-46 eta-0))))(else (case (vector-ref arg-3 0) ((13) (let ((e-17 (vector-ref arg-3 1))) (let ((e-19 (vector-ref arg-3 3))) (case (vector-ref arg-4 0) ((13) (let ((e-29 (vector-ref arg-4 3))) (TTImpC-45WithClause-matchAny arg-0 arg-1 e-17 arg-2 (DataC-45List-u--zip_Zippable_List e-19 e-29))))(else (case (vector-ref arg-4 0) ((18) (let ((e-15 (vector-ref arg-4 5))) (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 arg-3 e-15)))(else (case (vector-ref arg-3 0) ((29) (lambda (clam-48) (case (vector-ref arg-4 0) ((29) (vector 1 '()))(else (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) clam-48))))) ((28) (let ((e-3 (vector-ref arg-3 1))) (let ((e-4 (vector-ref arg-3 2))) (case (vector-ref arg-4 0) ((28) (let ((e-9 (vector-ref arg-4 2))) (lambda (clam-49) (let ((sc6 (CoreC-45TT-u--C-61C-61_Eq_Constant e-4 e-9))) (cond ((equal? sc6 1) (vector 1 '())) (else (TTImpC-45WithClause-matchFail e-3 clam-49)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0))))))))))) ((18) (let ((e-24 (vector-ref arg-3 4))) (let ((e-25 (vector-ref arg-3 5))) (case (vector-ref e-24 0) ((1) (let ((e-30 (vector-ref e-24 1))) (case (vector-ref e-30 0) ((0) (let ((e-31 (vector-ref e-30 1))) (case (vector-ref arg-4 0) ((18) (let ((e-34 (vector-ref arg-4 2))) (let ((e-36 (vector-ref arg-4 4))) (let ((e-37 (vector-ref arg-4 5))) (case (vector-ref e-36 0) ((1) (let ((e-38 (vector-ref e-36 1))) (case (vector-ref e-38 0) ((0) (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 e-37))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 (vector 18 e-34 (CoreC-45FC-emptyFC) 0 e-36 (vector 32 e-34 1))) e-5)))) eff-1))))))))(else (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 arg-4) e-5)))) eff-1)))))))))))(else (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 arg-4) e-5)))) eff-1)))))))))))))(else (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 arg-4) e-5)))) eff-1)))))))))))(else (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4)))))(else (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))))))(else (case (vector-ref arg-4 0) ((18) (let ((e-15 (vector-ref arg-4 5))) (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 arg-3 e-15)))(else (case (vector-ref arg-3 0) ((29) (lambda (clam-50) (case (vector-ref arg-4 0) ((29) (vector 1 '()))(else (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) clam-50))))) ((28) (let ((e-3 (vector-ref arg-3 1))) (let ((e-4 (vector-ref arg-3 2))) (case (vector-ref arg-4 0) ((28) (let ((e-9 (vector-ref arg-4 2))) (lambda (clam-51) (let ((sc5 (CoreC-45TT-u--C-61C-61_Eq_Constant e-4 e-9))) (cond ((equal? sc5 1) (vector 1 '())) (else (TTImpC-45WithClause-matchFail e-3 clam-51)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0))))))))))))) ((equal? arg-2 0) (case (vector-ref arg-3 0) ((10) (let ((e-60 (vector-ref arg-3 2))) (TTImpC-45WithClause-getMatch arg-0 arg-1 0 e-60 e-60))) ((9) (let ((e-65 (vector-ref arg-3 2))) (TTImpC-45WithClause-getMatch arg-0 arg-1 0 e-65 e-65)))(else (case (vector-ref arg-4 0) ((10) (let ((e-41 (vector-ref arg-4 1))) (lambda (eta-0) (TTImpC-45WithClause-matchFail e-41 eta-0)))) ((9) (let ((e-46 (vector-ref arg-4 1))) (lambda (eta-0) (TTImpC-45WithClause-matchFail e-46 eta-0))))(else (case (vector-ref arg-3 0) ((13) (let ((e-17 (vector-ref arg-3 1))) (let ((e-19 (vector-ref arg-3 3))) (case (vector-ref arg-4 0) ((13) (let ((e-29 (vector-ref arg-4 3))) (TTImpC-45WithClause-matchAny arg-0 arg-1 e-17 arg-2 (DataC-45List-u--zip_Zippable_List e-19 e-29))))(else (case (vector-ref arg-4 0) ((18) (let ((e-15 (vector-ref arg-4 5))) (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 arg-3 e-15)))(else (case (vector-ref arg-3 0) ((29) (lambda (clam-52) (case (vector-ref arg-4 0) ((29) (vector 1 '()))(else (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) clam-52))))) ((28) (let ((e-3 (vector-ref arg-3 1))) (let ((e-4 (vector-ref arg-3 2))) (case (vector-ref arg-4 0) ((28) (let ((e-9 (vector-ref arg-4 2))) (lambda (clam-53) (let ((sc6 (CoreC-45TT-u--C-61C-61_Eq_Constant e-4 e-9))) (cond ((equal? sc6 1) (vector 1 '())) (else (TTImpC-45WithClause-matchFail e-3 clam-53)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0))))))))))) ((18) (let ((e-24 (vector-ref arg-3 4))) (let ((e-25 (vector-ref arg-3 5))) (case (vector-ref e-24 0) ((1) (let ((e-30 (vector-ref e-24 1))) (case (vector-ref e-30 0) ((0) (let ((e-31 (vector-ref e-30 1))) (case (vector-ref arg-4 0) ((18) (let ((e-34 (vector-ref arg-4 2))) (let ((e-36 (vector-ref arg-4 4))) (let ((e-37 (vector-ref arg-4 5))) (case (vector-ref e-36 0) ((1) (let ((e-38 (vector-ref e-36 1))) (case (vector-ref e-38 0) ((0) (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 e-37))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 (vector 18 e-34 (CoreC-45FC-emptyFC) 0 e-36 (vector 32 e-34 1))) e-5)))) eff-1))))))))(else (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 arg-4) e-5)))) eff-1)))))))))))(else (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 arg-4) e-5)))) eff-1)))))))))))))(else (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 arg-4) e-5)))) eff-1)))))))))))(else (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4)))))(else (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))))))(else (case (vector-ref arg-4 0) ((18) (let ((e-15 (vector-ref arg-4 5))) (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 arg-3 e-15)))(else (case (vector-ref arg-3 0) ((29) (lambda (clam-54) (case (vector-ref arg-4 0) ((29) (vector 1 '()))(else (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) clam-54))))) ((28) (let ((e-3 (vector-ref arg-3 1))) (let ((e-4 (vector-ref arg-3 2))) (case (vector-ref arg-4 0) ((28) (let ((e-9 (vector-ref arg-4 2))) (lambda (clam-55) (let ((sc5 (CoreC-45TT-u--C-61C-61_Eq_Constant e-4 e-9))) (cond ((equal? sc5 1) (vector 1 '())) (else (TTImpC-45WithClause-matchFail e-3 clam-55)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0)))))))))))))(else (case (vector-ref arg-4 0) ((10) (let ((e-41 (vector-ref arg-4 1))) (lambda (eta-0) (TTImpC-45WithClause-matchFail e-41 eta-0)))) ((9) (let ((e-46 (vector-ref arg-4 1))) (lambda (eta-0) (TTImpC-45WithClause-matchFail e-46 eta-0))))(else (case (vector-ref arg-3 0) ((13) (let ((e-17 (vector-ref arg-3 1))) (let ((e-19 (vector-ref arg-3 3))) (case (vector-ref arg-4 0) ((13) (let ((e-29 (vector-ref arg-4 3))) (TTImpC-45WithClause-matchAny arg-0 arg-1 e-17 arg-2 (DataC-45List-u--zip_Zippable_List e-19 e-29))))(else (case (vector-ref arg-4 0) ((18) (let ((e-15 (vector-ref arg-4 5))) (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 arg-3 e-15)))(else (case (vector-ref arg-3 0) ((29) (lambda (clam-56) (case (vector-ref arg-4 0) ((29) (vector 1 '()))(else (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) clam-56))))) ((28) (let ((e-3 (vector-ref arg-3 1))) (let ((e-4 (vector-ref arg-3 2))) (case (vector-ref arg-4 0) ((28) (let ((e-9 (vector-ref arg-4 2))) (lambda (clam-57) (let ((sc5 (CoreC-45TT-u--C-61C-61_Eq_Constant e-4 e-9))) (cond ((equal? sc5 1) (vector 1 '())) (else (TTImpC-45WithClause-matchFail e-3 clam-57)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0))))))))))) ((18) (let ((e-24 (vector-ref arg-3 4))) (let ((e-25 (vector-ref arg-3 5))) (case (vector-ref e-24 0) ((1) (let ((e-30 (vector-ref e-24 1))) (case (vector-ref e-30 0) ((0) (let ((e-31 (vector-ref e-30 1))) (case (vector-ref arg-4 0) ((18) (let ((e-34 (vector-ref arg-4 2))) (let ((e-36 (vector-ref arg-4 4))) (let ((e-37 (vector-ref arg-4 5))) (case (vector-ref e-36 0) ((1) (let ((e-38 (vector-ref e-36 1))) (case (vector-ref e-38 0) ((0) (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 e-37))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 (vector 18 e-34 (CoreC-45FC-emptyFC) 0 e-36 (vector 32 e-34 1))) e-5)))) eff-1))))))))(else (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 arg-4) e-5)))) eff-1)))))))))))(else (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 arg-4) e-5)))) eff-1)))))))))))))(else (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 arg-4) e-5)))) eff-1)))))))))))(else (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4)))))(else (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))))))(else (case (vector-ref arg-4 0) ((18) (let ((e-15 (vector-ref arg-4 5))) (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 arg-3 e-15)))(else (case (vector-ref arg-3 0) ((29) (lambda (clam-58) (case (vector-ref arg-4 0) ((29) (vector 1 '()))(else (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) clam-58))))) ((28) (let ((e-3 (vector-ref arg-3 1))) (let ((e-4 (vector-ref arg-3 2))) (case (vector-ref arg-4 0) ((28) (let ((e-9 (vector-ref arg-4 2))) (lambda (clam-59) (let ((sc4 (CoreC-45TT-u--C-61C-61_Eq_Constant e-4 e-9))) (cond ((equal? sc4 1) (vector 1 '())) (else (TTImpC-45WithClause-matchFail e-3 clam-59)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0))))))))))))))))) ((10) (let ((e-87 (vector-ref arg-3 2))) (let ((e-88 (vector-ref arg-3 3))) (let ((e-89 (vector-ref arg-3 4))) (case (vector-ref arg-4 0) ((10) (let ((e-120 (vector-ref arg-4 1))) (let ((e-121 (vector-ref arg-4 2))) (let ((e-122 (vector-ref arg-4 3))) (let ((e-123 (vector-ref arg-4 4))) (let ((sc3 (CoreC-45Name-u--C-61C-61_Eq_Name e-88 e-122))) (cond ((equal? sc3 1) (TTImpC-45WithClause-matchAll arg-0 arg-1 arg-2 (cons (cons e-87 e-121) (cons (cons e-89 e-123) '())))) (else (lambda (eta-0) (TTImpC-45WithClause-matchFail e-120 eta-0))))))))))(else (cond ((equal? arg-2 1) (case (vector-ref arg-3 0) ((10) (let ((e-51 (vector-ref arg-3 2))) (let ((e-53 (vector-ref arg-3 4))) (TTImpC-45WithClause-matchAll arg-0 arg-1 1 (cons (cons e-51 arg-4) (cons (cons e-53 e-53) '())))))) ((9) (let ((e-56 (vector-ref arg-3 2))) (let ((e-57 (vector-ref arg-3 3))) (TTImpC-45WithClause-matchAll arg-0 arg-1 1 (cons (cons e-56 arg-4) (cons (cons e-57 e-57) '()))))))(else (case (vector-ref arg-4 0) ((10) (let ((e-41 (vector-ref arg-4 1))) (lambda (eta-0) (TTImpC-45WithClause-matchFail e-41 eta-0)))) ((9) (let ((e-46 (vector-ref arg-4 1))) (lambda (eta-0) (TTImpC-45WithClause-matchFail e-46 eta-0))))(else (case (vector-ref arg-3 0) ((13) (let ((e-17 (vector-ref arg-3 1))) (let ((e-19 (vector-ref arg-3 3))) (case (vector-ref arg-4 0) ((13) (let ((e-29 (vector-ref arg-4 3))) (TTImpC-45WithClause-matchAny arg-0 arg-1 e-17 arg-2 (DataC-45List-u--zip_Zippable_List e-19 e-29))))(else (case (vector-ref arg-4 0) ((18) (let ((e-15 (vector-ref arg-4 5))) (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 arg-3 e-15)))(else (case (vector-ref arg-3 0) ((29) (lambda (clam-60) (case (vector-ref arg-4 0) ((29) (vector 1 '()))(else (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) clam-60))))) ((28) (let ((e-3 (vector-ref arg-3 1))) (let ((e-4 (vector-ref arg-3 2))) (case (vector-ref arg-4 0) ((28) (let ((e-9 (vector-ref arg-4 2))) (lambda (clam-61) (let ((sc6 (CoreC-45TT-u--C-61C-61_Eq_Constant e-4 e-9))) (cond ((equal? sc6 1) (vector 1 '())) (else (TTImpC-45WithClause-matchFail e-3 clam-61)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0))))))))))) ((18) (let ((e-24 (vector-ref arg-3 4))) (let ((e-25 (vector-ref arg-3 5))) (case (vector-ref e-24 0) ((1) (let ((e-30 (vector-ref e-24 1))) (case (vector-ref e-30 0) ((0) (let ((e-31 (vector-ref e-30 1))) (case (vector-ref arg-4 0) ((18) (let ((e-34 (vector-ref arg-4 2))) (let ((e-36 (vector-ref arg-4 4))) (let ((e-37 (vector-ref arg-4 5))) (case (vector-ref e-36 0) ((1) (let ((e-38 (vector-ref e-36 1))) (case (vector-ref e-38 0) ((0) (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 e-37))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 (vector 18 e-34 (CoreC-45FC-emptyFC) 0 e-36 (vector 32 e-34 1))) e-5)))) eff-1))))))))(else (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 arg-4) e-5)))) eff-1)))))))))))(else (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 arg-4) e-5)))) eff-1)))))))))))))(else (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 arg-4) e-5)))) eff-1)))))))))))(else (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4)))))(else (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))))))(else (case (vector-ref arg-4 0) ((18) (let ((e-15 (vector-ref arg-4 5))) (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 arg-3 e-15)))(else (case (vector-ref arg-3 0) ((29) (lambda (clam-62) (case (vector-ref arg-4 0) ((29) (vector 1 '()))(else (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) clam-62))))) ((28) (let ((e-3 (vector-ref arg-3 1))) (let ((e-4 (vector-ref arg-3 2))) (case (vector-ref arg-4 0) ((28) (let ((e-9 (vector-ref arg-4 2))) (lambda (clam-63) (let ((sc5 (CoreC-45TT-u--C-61C-61_Eq_Constant e-4 e-9))) (cond ((equal? sc5 1) (vector 1 '())) (else (TTImpC-45WithClause-matchFail e-3 clam-63)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0))))))))))))) ((equal? arg-2 0) (case (vector-ref arg-3 0) ((10) (let ((e-60 (vector-ref arg-3 2))) (TTImpC-45WithClause-getMatch arg-0 arg-1 0 e-60 e-60))) ((9) (let ((e-65 (vector-ref arg-3 2))) (TTImpC-45WithClause-getMatch arg-0 arg-1 0 e-65 e-65)))(else (case (vector-ref arg-4 0) ((10) (let ((e-41 (vector-ref arg-4 1))) (lambda (eta-0) (TTImpC-45WithClause-matchFail e-41 eta-0)))) ((9) (let ((e-46 (vector-ref arg-4 1))) (lambda (eta-0) (TTImpC-45WithClause-matchFail e-46 eta-0))))(else (case (vector-ref arg-3 0) ((13) (let ((e-17 (vector-ref arg-3 1))) (let ((e-19 (vector-ref arg-3 3))) (case (vector-ref arg-4 0) ((13) (let ((e-29 (vector-ref arg-4 3))) (TTImpC-45WithClause-matchAny arg-0 arg-1 e-17 arg-2 (DataC-45List-u--zip_Zippable_List e-19 e-29))))(else (case (vector-ref arg-4 0) ((18) (let ((e-15 (vector-ref arg-4 5))) (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 arg-3 e-15)))(else (case (vector-ref arg-3 0) ((29) (lambda (clam-64) (case (vector-ref arg-4 0) ((29) (vector 1 '()))(else (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) clam-64))))) ((28) (let ((e-3 (vector-ref arg-3 1))) (let ((e-4 (vector-ref arg-3 2))) (case (vector-ref arg-4 0) ((28) (let ((e-9 (vector-ref arg-4 2))) (lambda (clam-65) (let ((sc6 (CoreC-45TT-u--C-61C-61_Eq_Constant e-4 e-9))) (cond ((equal? sc6 1) (vector 1 '())) (else (TTImpC-45WithClause-matchFail e-3 clam-65)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0))))))))))) ((18) (let ((e-24 (vector-ref arg-3 4))) (let ((e-25 (vector-ref arg-3 5))) (case (vector-ref e-24 0) ((1) (let ((e-30 (vector-ref e-24 1))) (case (vector-ref e-30 0) ((0) (let ((e-31 (vector-ref e-30 1))) (case (vector-ref arg-4 0) ((18) (let ((e-34 (vector-ref arg-4 2))) (let ((e-36 (vector-ref arg-4 4))) (let ((e-37 (vector-ref arg-4 5))) (case (vector-ref e-36 0) ((1) (let ((e-38 (vector-ref e-36 1))) (case (vector-ref e-38 0) ((0) (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 e-37))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 (vector 18 e-34 (CoreC-45FC-emptyFC) 0 e-36 (vector 32 e-34 1))) e-5)))) eff-1))))))))(else (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 arg-4) e-5)))) eff-1)))))))))))(else (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 arg-4) e-5)))) eff-1)))))))))))))(else (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 arg-4) e-5)))) eff-1)))))))))))(else (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4)))))(else (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))))))(else (case (vector-ref arg-4 0) ((18) (let ((e-15 (vector-ref arg-4 5))) (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 arg-3 e-15)))(else (case (vector-ref arg-3 0) ((29) (lambda (clam-66) (case (vector-ref arg-4 0) ((29) (vector 1 '()))(else (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) clam-66))))) ((28) (let ((e-3 (vector-ref arg-3 1))) (let ((e-4 (vector-ref arg-3 2))) (case (vector-ref arg-4 0) ((28) (let ((e-9 (vector-ref arg-4 2))) (lambda (clam-67) (let ((sc5 (CoreC-45TT-u--C-61C-61_Eq_Constant e-4 e-9))) (cond ((equal? sc5 1) (vector 1 '())) (else (TTImpC-45WithClause-matchFail e-3 clam-67)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0)))))))))))))(else (case (vector-ref arg-4 0) ((10) (let ((e-41 (vector-ref arg-4 1))) (lambda (eta-0) (TTImpC-45WithClause-matchFail e-41 eta-0)))) ((9) (let ((e-46 (vector-ref arg-4 1))) (lambda (eta-0) (TTImpC-45WithClause-matchFail e-46 eta-0))))(else (case (vector-ref arg-3 0) ((13) (let ((e-17 (vector-ref arg-3 1))) (let ((e-19 (vector-ref arg-3 3))) (case (vector-ref arg-4 0) ((13) (let ((e-29 (vector-ref arg-4 3))) (TTImpC-45WithClause-matchAny arg-0 arg-1 e-17 arg-2 (DataC-45List-u--zip_Zippable_List e-19 e-29))))(else (case (vector-ref arg-4 0) ((18) (let ((e-15 (vector-ref arg-4 5))) (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 arg-3 e-15)))(else (case (vector-ref arg-3 0) ((29) (lambda (clam-68) (case (vector-ref arg-4 0) ((29) (vector 1 '()))(else (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) clam-68))))) ((28) (let ((e-3 (vector-ref arg-3 1))) (let ((e-4 (vector-ref arg-3 2))) (case (vector-ref arg-4 0) ((28) (let ((e-9 (vector-ref arg-4 2))) (lambda (clam-69) (let ((sc5 (CoreC-45TT-u--C-61C-61_Eq_Constant e-4 e-9))) (cond ((equal? sc5 1) (vector 1 '())) (else (TTImpC-45WithClause-matchFail e-3 clam-69)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0))))))))))) ((18) (let ((e-24 (vector-ref arg-3 4))) (let ((e-25 (vector-ref arg-3 5))) (case (vector-ref e-24 0) ((1) (let ((e-30 (vector-ref e-24 1))) (case (vector-ref e-30 0) ((0) (let ((e-31 (vector-ref e-30 1))) (case (vector-ref arg-4 0) ((18) (let ((e-34 (vector-ref arg-4 2))) (let ((e-36 (vector-ref arg-4 4))) (let ((e-37 (vector-ref arg-4 5))) (case (vector-ref e-36 0) ((1) (let ((e-38 (vector-ref e-36 1))) (case (vector-ref e-38 0) ((0) (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 e-37))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 (vector 18 e-34 (CoreC-45FC-emptyFC) 0 e-36 (vector 32 e-34 1))) e-5)))) eff-1))))))))(else (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 arg-4) e-5)))) eff-1)))))))))))(else (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 arg-4) e-5)))) eff-1)))))))))))))(else (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 arg-4) e-5)))) eff-1)))))))))))(else (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4)))))(else (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))))))(else (case (vector-ref arg-4 0) ((18) (let ((e-15 (vector-ref arg-4 5))) (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 arg-3 e-15)))(else (case (vector-ref arg-3 0) ((29) (lambda (clam-70) (case (vector-ref arg-4 0) ((29) (vector 1 '()))(else (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) clam-70))))) ((28) (let ((e-3 (vector-ref arg-3 1))) (let ((e-4 (vector-ref arg-3 2))) (case (vector-ref arg-4 0) ((28) (let ((e-9 (vector-ref arg-4 2))) (lambda (clam-71) (let ((sc4 (CoreC-45TT-u--C-61C-61_Eq_Constant e-4 e-9))) (cond ((equal? sc4 1) (vector 1 '())) (else (TTImpC-45WithClause-matchFail e-3 clam-71)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0)))))))))))))))))) ((11) (let ((e-92 (vector-ref arg-3 2))) (let ((e-93 (vector-ref arg-3 3))) (case (vector-ref arg-4 0) ((11) (let ((e-126 (vector-ref arg-4 2))) (let ((e-127 (vector-ref arg-4 3))) (TTImpC-45WithClause-matchAll arg-0 arg-1 arg-2 (cons (cons e-92 e-126) (cons (cons e-93 e-127) '()))))))(else (cond ((equal? arg-2 1) (case (vector-ref arg-3 0) ((10) (let ((e-51 (vector-ref arg-3 2))) (let ((e-53 (vector-ref arg-3 4))) (TTImpC-45WithClause-matchAll arg-0 arg-1 1 (cons (cons e-51 arg-4) (cons (cons e-53 e-53) '())))))) ((9) (let ((e-56 (vector-ref arg-3 2))) (let ((e-57 (vector-ref arg-3 3))) (TTImpC-45WithClause-matchAll arg-0 arg-1 1 (cons (cons e-56 arg-4) (cons (cons e-57 e-57) '()))))))(else (case (vector-ref arg-4 0) ((10) (let ((e-41 (vector-ref arg-4 1))) (lambda (eta-0) (TTImpC-45WithClause-matchFail e-41 eta-0)))) ((9) (let ((e-46 (vector-ref arg-4 1))) (lambda (eta-0) (TTImpC-45WithClause-matchFail e-46 eta-0))))(else (case (vector-ref arg-3 0) ((13) (let ((e-17 (vector-ref arg-3 1))) (let ((e-19 (vector-ref arg-3 3))) (case (vector-ref arg-4 0) ((13) (let ((e-29 (vector-ref arg-4 3))) (TTImpC-45WithClause-matchAny arg-0 arg-1 e-17 arg-2 (DataC-45List-u--zip_Zippable_List e-19 e-29))))(else (case (vector-ref arg-4 0) ((18) (let ((e-15 (vector-ref arg-4 5))) (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 arg-3 e-15)))(else (case (vector-ref arg-3 0) ((29) (lambda (clam-72) (case (vector-ref arg-4 0) ((29) (vector 1 '()))(else (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) clam-72))))) ((28) (let ((e-3 (vector-ref arg-3 1))) (let ((e-4 (vector-ref arg-3 2))) (case (vector-ref arg-4 0) ((28) (let ((e-9 (vector-ref arg-4 2))) (lambda (clam-73) (let ((sc6 (CoreC-45TT-u--C-61C-61_Eq_Constant e-4 e-9))) (cond ((equal? sc6 1) (vector 1 '())) (else (TTImpC-45WithClause-matchFail e-3 clam-73)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0))))))))))) ((18) (let ((e-24 (vector-ref arg-3 4))) (let ((e-25 (vector-ref arg-3 5))) (case (vector-ref e-24 0) ((1) (let ((e-30 (vector-ref e-24 1))) (case (vector-ref e-30 0) ((0) (let ((e-31 (vector-ref e-30 1))) (case (vector-ref arg-4 0) ((18) (let ((e-34 (vector-ref arg-4 2))) (let ((e-36 (vector-ref arg-4 4))) (let ((e-37 (vector-ref arg-4 5))) (case (vector-ref e-36 0) ((1) (let ((e-38 (vector-ref e-36 1))) (case (vector-ref e-38 0) ((0) (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 e-37))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 (vector 18 e-34 (CoreC-45FC-emptyFC) 0 e-36 (vector 32 e-34 1))) e-5)))) eff-1))))))))(else (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 arg-4) e-5)))) eff-1)))))))))))(else (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 arg-4) e-5)))) eff-1)))))))))))))(else (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 arg-4) e-5)))) eff-1)))))))))))(else (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4)))))(else (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))))))(else (case (vector-ref arg-4 0) ((18) (let ((e-15 (vector-ref arg-4 5))) (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 arg-3 e-15)))(else (case (vector-ref arg-3 0) ((29) (lambda (clam-74) (case (vector-ref arg-4 0) ((29) (vector 1 '()))(else (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) clam-74))))) ((28) (let ((e-3 (vector-ref arg-3 1))) (let ((e-4 (vector-ref arg-3 2))) (case (vector-ref arg-4 0) ((28) (let ((e-9 (vector-ref arg-4 2))) (lambda (clam-75) (let ((sc5 (CoreC-45TT-u--C-61C-61_Eq_Constant e-4 e-9))) (cond ((equal? sc5 1) (vector 1 '())) (else (TTImpC-45WithClause-matchFail e-3 clam-75)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0))))))))))))) ((equal? arg-2 0) (case (vector-ref arg-3 0) ((10) (let ((e-60 (vector-ref arg-3 2))) (TTImpC-45WithClause-getMatch arg-0 arg-1 0 e-60 e-60))) ((9) (let ((e-65 (vector-ref arg-3 2))) (TTImpC-45WithClause-getMatch arg-0 arg-1 0 e-65 e-65)))(else (case (vector-ref arg-4 0) ((10) (let ((e-41 (vector-ref arg-4 1))) (lambda (eta-0) (TTImpC-45WithClause-matchFail e-41 eta-0)))) ((9) (let ((e-46 (vector-ref arg-4 1))) (lambda (eta-0) (TTImpC-45WithClause-matchFail e-46 eta-0))))(else (case (vector-ref arg-3 0) ((13) (let ((e-17 (vector-ref arg-3 1))) (let ((e-19 (vector-ref arg-3 3))) (case (vector-ref arg-4 0) ((13) (let ((e-29 (vector-ref arg-4 3))) (TTImpC-45WithClause-matchAny arg-0 arg-1 e-17 arg-2 (DataC-45List-u--zip_Zippable_List e-19 e-29))))(else (case (vector-ref arg-4 0) ((18) (let ((e-15 (vector-ref arg-4 5))) (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 arg-3 e-15)))(else (case (vector-ref arg-3 0) ((29) (lambda (clam-76) (case (vector-ref arg-4 0) ((29) (vector 1 '()))(else (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) clam-76))))) ((28) (let ((e-3 (vector-ref arg-3 1))) (let ((e-4 (vector-ref arg-3 2))) (case (vector-ref arg-4 0) ((28) (let ((e-9 (vector-ref arg-4 2))) (lambda (clam-77) (let ((sc6 (CoreC-45TT-u--C-61C-61_Eq_Constant e-4 e-9))) (cond ((equal? sc6 1) (vector 1 '())) (else (TTImpC-45WithClause-matchFail e-3 clam-77)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0))))))))))) ((18) (let ((e-24 (vector-ref arg-3 4))) (let ((e-25 (vector-ref arg-3 5))) (case (vector-ref e-24 0) ((1) (let ((e-30 (vector-ref e-24 1))) (case (vector-ref e-30 0) ((0) (let ((e-31 (vector-ref e-30 1))) (case (vector-ref arg-4 0) ((18) (let ((e-34 (vector-ref arg-4 2))) (let ((e-36 (vector-ref arg-4 4))) (let ((e-37 (vector-ref arg-4 5))) (case (vector-ref e-36 0) ((1) (let ((e-38 (vector-ref e-36 1))) (case (vector-ref e-38 0) ((0) (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 e-37))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 (vector 18 e-34 (CoreC-45FC-emptyFC) 0 e-36 (vector 32 e-34 1))) e-5)))) eff-1))))))))(else (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 arg-4) e-5)))) eff-1)))))))))))(else (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 arg-4) e-5)))) eff-1)))))))))))))(else (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 arg-4) e-5)))) eff-1)))))))))))(else (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4)))))(else (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))))))(else (case (vector-ref arg-4 0) ((18) (let ((e-15 (vector-ref arg-4 5))) (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 arg-3 e-15)))(else (case (vector-ref arg-3 0) ((29) (lambda (clam-78) (case (vector-ref arg-4 0) ((29) (vector 1 '()))(else (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) clam-78))))) ((28) (let ((e-3 (vector-ref arg-3 1))) (let ((e-4 (vector-ref arg-3 2))) (case (vector-ref arg-4 0) ((28) (let ((e-9 (vector-ref arg-4 2))) (lambda (clam-79) (let ((sc5 (CoreC-45TT-u--C-61C-61_Eq_Constant e-4 e-9))) (cond ((equal? sc5 1) (vector 1 '())) (else (TTImpC-45WithClause-matchFail e-3 clam-79)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0)))))))))))))(else (case (vector-ref arg-4 0) ((10) (let ((e-41 (vector-ref arg-4 1))) (lambda (eta-0) (TTImpC-45WithClause-matchFail e-41 eta-0)))) ((9) (let ((e-46 (vector-ref arg-4 1))) (lambda (eta-0) (TTImpC-45WithClause-matchFail e-46 eta-0))))(else (case (vector-ref arg-3 0) ((13) (let ((e-17 (vector-ref arg-3 1))) (let ((e-19 (vector-ref arg-3 3))) (case (vector-ref arg-4 0) ((13) (let ((e-29 (vector-ref arg-4 3))) (TTImpC-45WithClause-matchAny arg-0 arg-1 e-17 arg-2 (DataC-45List-u--zip_Zippable_List e-19 e-29))))(else (case (vector-ref arg-4 0) ((18) (let ((e-15 (vector-ref arg-4 5))) (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 arg-3 e-15)))(else (case (vector-ref arg-3 0) ((29) (lambda (clam-80) (case (vector-ref arg-4 0) ((29) (vector 1 '()))(else (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) clam-80))))) ((28) (let ((e-3 (vector-ref arg-3 1))) (let ((e-4 (vector-ref arg-3 2))) (case (vector-ref arg-4 0) ((28) (let ((e-9 (vector-ref arg-4 2))) (lambda (clam-81) (let ((sc5 (CoreC-45TT-u--C-61C-61_Eq_Constant e-4 e-9))) (cond ((equal? sc5 1) (vector 1 '())) (else (TTImpC-45WithClause-matchFail e-3 clam-81)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0))))))))))) ((18) (let ((e-24 (vector-ref arg-3 4))) (let ((e-25 (vector-ref arg-3 5))) (case (vector-ref e-24 0) ((1) (let ((e-30 (vector-ref e-24 1))) (case (vector-ref e-30 0) ((0) (let ((e-31 (vector-ref e-30 1))) (case (vector-ref arg-4 0) ((18) (let ((e-34 (vector-ref arg-4 2))) (let ((e-36 (vector-ref arg-4 4))) (let ((e-37 (vector-ref arg-4 5))) (case (vector-ref e-36 0) ((1) (let ((e-38 (vector-ref e-36 1))) (case (vector-ref e-38 0) ((0) (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 e-37))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 (vector 18 e-34 (CoreC-45FC-emptyFC) 0 e-36 (vector 32 e-34 1))) e-5)))) eff-1))))))))(else (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 arg-4) e-5)))) eff-1)))))))))))(else (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 arg-4) e-5)))) eff-1)))))))))))))(else (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 arg-4) e-5)))) eff-1)))))))))))(else (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4)))))(else (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))))))(else (case (vector-ref arg-4 0) ((18) (let ((e-15 (vector-ref arg-4 5))) (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 arg-3 e-15)))(else (case (vector-ref arg-3 0) ((29) (lambda (clam-82) (case (vector-ref arg-4 0) ((29) (vector 1 '()))(else (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) clam-82))))) ((28) (let ((e-3 (vector-ref arg-3 1))) (let ((e-4 (vector-ref arg-3 2))) (case (vector-ref arg-4 0) ((28) (let ((e-9 (vector-ref arg-4 2))) (lambda (clam-83) (let ((sc4 (CoreC-45TT-u--C-61C-61_Eq_Constant e-4 e-9))) (cond ((equal? sc4 1) (vector 1 '())) (else (TTImpC-45WithClause-matchFail e-3 clam-83)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0)))))))))))))))))(else (cond ((equal? arg-2 1) (case (vector-ref arg-3 0) ((10) (let ((e-51 (vector-ref arg-3 2))) (let ((e-53 (vector-ref arg-3 4))) (TTImpC-45WithClause-matchAll arg-0 arg-1 1 (cons (cons e-51 arg-4) (cons (cons e-53 e-53) '())))))) ((9) (let ((e-56 (vector-ref arg-3 2))) (let ((e-57 (vector-ref arg-3 3))) (TTImpC-45WithClause-matchAll arg-0 arg-1 1 (cons (cons e-56 arg-4) (cons (cons e-57 e-57) '()))))))(else (case (vector-ref arg-4 0) ((10) (let ((e-41 (vector-ref arg-4 1))) (lambda (eta-0) (TTImpC-45WithClause-matchFail e-41 eta-0)))) ((9) (let ((e-46 (vector-ref arg-4 1))) (lambda (eta-0) (TTImpC-45WithClause-matchFail e-46 eta-0))))(else (case (vector-ref arg-3 0) ((13) (let ((e-17 (vector-ref arg-3 1))) (let ((e-19 (vector-ref arg-3 3))) (case (vector-ref arg-4 0) ((13) (let ((e-29 (vector-ref arg-4 3))) (TTImpC-45WithClause-matchAny arg-0 arg-1 e-17 arg-2 (DataC-45List-u--zip_Zippable_List e-19 e-29))))(else (case (vector-ref arg-4 0) ((18) (let ((e-15 (vector-ref arg-4 5))) (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 arg-3 e-15)))(else (case (vector-ref arg-3 0) ((29) (lambda (clam-84) (case (vector-ref arg-4 0) ((29) (vector 1 '()))(else (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) clam-84))))) ((28) (let ((e-3 (vector-ref arg-3 1))) (let ((e-4 (vector-ref arg-3 2))) (case (vector-ref arg-4 0) ((28) (let ((e-9 (vector-ref arg-4 2))) (lambda (clam-85) (let ((sc5 (CoreC-45TT-u--C-61C-61_Eq_Constant e-4 e-9))) (cond ((equal? sc5 1) (vector 1 '())) (else (TTImpC-45WithClause-matchFail e-3 clam-85)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0))))))))))) ((18) (let ((e-24 (vector-ref arg-3 4))) (let ((e-25 (vector-ref arg-3 5))) (case (vector-ref e-24 0) ((1) (let ((e-30 (vector-ref e-24 1))) (case (vector-ref e-30 0) ((0) (let ((e-31 (vector-ref e-30 1))) (case (vector-ref arg-4 0) ((18) (let ((e-34 (vector-ref arg-4 2))) (let ((e-36 (vector-ref arg-4 4))) (let ((e-37 (vector-ref arg-4 5))) (case (vector-ref e-36 0) ((1) (let ((e-38 (vector-ref e-36 1))) (case (vector-ref e-38 0) ((0) (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 e-37))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 (vector 18 e-34 (CoreC-45FC-emptyFC) 0 e-36 (vector 32 e-34 1))) e-5)))) eff-1))))))))(else (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 arg-4) e-5)))) eff-1)))))))))))(else (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 arg-4) e-5)))) eff-1)))))))))))))(else (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 arg-4) e-5)))) eff-1)))))))))))(else (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4)))))(else (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))))))(else (case (vector-ref arg-4 0) ((18) (let ((e-15 (vector-ref arg-4 5))) (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 arg-3 e-15)))(else (case (vector-ref arg-3 0) ((29) (lambda (clam-86) (case (vector-ref arg-4 0) ((29) (vector 1 '()))(else (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) clam-86))))) ((28) (let ((e-3 (vector-ref arg-3 1))) (let ((e-4 (vector-ref arg-3 2))) (case (vector-ref arg-4 0) ((28) (let ((e-9 (vector-ref arg-4 2))) (lambda (clam-87) (let ((sc4 (CoreC-45TT-u--C-61C-61_Eq_Constant e-4 e-9))) (cond ((equal? sc4 1) (vector 1 '())) (else (TTImpC-45WithClause-matchFail e-3 clam-87)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0))))))))))))) ((equal? arg-2 0) (case (vector-ref arg-3 0) ((10) (let ((e-60 (vector-ref arg-3 2))) (TTImpC-45WithClause-getMatch arg-0 arg-1 0 e-60 e-60))) ((9) (let ((e-65 (vector-ref arg-3 2))) (TTImpC-45WithClause-getMatch arg-0 arg-1 0 e-65 e-65)))(else (case (vector-ref arg-4 0) ((10) (let ((e-41 (vector-ref arg-4 1))) (lambda (eta-0) (TTImpC-45WithClause-matchFail e-41 eta-0)))) ((9) (let ((e-46 (vector-ref arg-4 1))) (lambda (eta-0) (TTImpC-45WithClause-matchFail e-46 eta-0))))(else (case (vector-ref arg-3 0) ((13) (let ((e-17 (vector-ref arg-3 1))) (let ((e-19 (vector-ref arg-3 3))) (case (vector-ref arg-4 0) ((13) (let ((e-29 (vector-ref arg-4 3))) (TTImpC-45WithClause-matchAny arg-0 arg-1 e-17 arg-2 (DataC-45List-u--zip_Zippable_List e-19 e-29))))(else (case (vector-ref arg-4 0) ((18) (let ((e-15 (vector-ref arg-4 5))) (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 arg-3 e-15)))(else (case (vector-ref arg-3 0) ((29) (lambda (clam-88) (case (vector-ref arg-4 0) ((29) (vector 1 '()))(else (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) clam-88))))) ((28) (let ((e-3 (vector-ref arg-3 1))) (let ((e-4 (vector-ref arg-3 2))) (case (vector-ref arg-4 0) ((28) (let ((e-9 (vector-ref arg-4 2))) (lambda (clam-89) (let ((sc5 (CoreC-45TT-u--C-61C-61_Eq_Constant e-4 e-9))) (cond ((equal? sc5 1) (vector 1 '())) (else (TTImpC-45WithClause-matchFail e-3 clam-89)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0))))))))))) ((18) (let ((e-24 (vector-ref arg-3 4))) (let ((e-25 (vector-ref arg-3 5))) (case (vector-ref e-24 0) ((1) (let ((e-30 (vector-ref e-24 1))) (case (vector-ref e-30 0) ((0) (let ((e-31 (vector-ref e-30 1))) (case (vector-ref arg-4 0) ((18) (let ((e-34 (vector-ref arg-4 2))) (let ((e-36 (vector-ref arg-4 4))) (let ((e-37 (vector-ref arg-4 5))) (case (vector-ref e-36 0) ((1) (let ((e-38 (vector-ref e-36 1))) (case (vector-ref e-38 0) ((0) (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 e-37))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 (vector 18 e-34 (CoreC-45FC-emptyFC) 0 e-36 (vector 32 e-34 1))) e-5)))) eff-1))))))))(else (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 arg-4) e-5)))) eff-1)))))))))))(else (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 arg-4) e-5)))) eff-1)))))))))))))(else (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 arg-4) e-5)))) eff-1)))))))))))(else (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4)))))(else (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))))))(else (case (vector-ref arg-4 0) ((18) (let ((e-15 (vector-ref arg-4 5))) (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 arg-3 e-15)))(else (case (vector-ref arg-3 0) ((29) (lambda (clam-90) (case (vector-ref arg-4 0) ((29) (vector 1 '()))(else (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) clam-90))))) ((28) (let ((e-3 (vector-ref arg-3 1))) (let ((e-4 (vector-ref arg-3 2))) (case (vector-ref arg-4 0) ((28) (let ((e-9 (vector-ref arg-4 2))) (lambda (clam-91) (let ((sc4 (CoreC-45TT-u--C-61C-61_Eq_Constant e-4 e-9))) (cond ((equal? sc4 1) (vector 1 '())) (else (TTImpC-45WithClause-matchFail e-3 clam-91)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0)))))))))))))(else (case (vector-ref arg-4 0) ((10) (let ((e-41 (vector-ref arg-4 1))) (lambda (eta-0) (TTImpC-45WithClause-matchFail e-41 eta-0)))) ((9) (let ((e-46 (vector-ref arg-4 1))) (lambda (eta-0) (TTImpC-45WithClause-matchFail e-46 eta-0))))(else (case (vector-ref arg-3 0) ((13) (let ((e-17 (vector-ref arg-3 1))) (let ((e-19 (vector-ref arg-3 3))) (case (vector-ref arg-4 0) ((13) (let ((e-29 (vector-ref arg-4 3))) (TTImpC-45WithClause-matchAny arg-0 arg-1 e-17 arg-2 (DataC-45List-u--zip_Zippable_List e-19 e-29))))(else (case (vector-ref arg-4 0) ((18) (let ((e-15 (vector-ref arg-4 5))) (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 arg-3 e-15)))(else (case (vector-ref arg-3 0) ((29) (lambda (clam-92) (case (vector-ref arg-4 0) ((29) (vector 1 '()))(else (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) clam-92))))) ((28) (let ((e-3 (vector-ref arg-3 1))) (let ((e-4 (vector-ref arg-3 2))) (case (vector-ref arg-4 0) ((28) (let ((e-9 (vector-ref arg-4 2))) (lambda (clam-93) (let ((sc4 (CoreC-45TT-u--C-61C-61_Eq_Constant e-4 e-9))) (cond ((equal? sc4 1) (vector 1 '())) (else (TTImpC-45WithClause-matchFail e-3 clam-93)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0))))))))))) ((18) (let ((e-24 (vector-ref arg-3 4))) (let ((e-25 (vector-ref arg-3 5))) (case (vector-ref e-24 0) ((1) (let ((e-30 (vector-ref e-24 1))) (case (vector-ref e-30 0) ((0) (let ((e-31 (vector-ref e-30 1))) (case (vector-ref arg-4 0) ((18) (let ((e-34 (vector-ref arg-4 2))) (let ((e-36 (vector-ref arg-4 4))) (let ((e-37 (vector-ref arg-4 5))) (case (vector-ref e-36 0) ((1) (let ((e-38 (vector-ref e-36 1))) (case (vector-ref e-38 0) ((0) (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 e-37))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 (vector 18 e-34 (CoreC-45FC-emptyFC) 0 e-36 (vector 32 e-34 1))) e-5)))) eff-1))))))))(else (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 arg-4) e-5)))) eff-1)))))))))))(else (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 arg-4) e-5)))) eff-1)))))))))))))(else (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 arg-4) e-5)))) eff-1)))))))))))(else (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4)))))(else (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))))))(else (case (vector-ref arg-4 0) ((18) (let ((e-15 (vector-ref arg-4 5))) (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 arg-3 e-15)))(else (case (vector-ref arg-3 0) ((29) (lambda (clam-94) (case (vector-ref arg-4 0) ((29) (vector 1 '()))(else (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) clam-94))))) ((28) (let ((e-3 (vector-ref arg-3 1))) (let ((e-4 (vector-ref arg-3 2))) (case (vector-ref arg-4 0) ((28) (let ((e-9 (vector-ref arg-4 2))) (lambda (clam-95) (let ((sc3 (CoreC-45TT-u--C-61C-61_Eq_Constant e-4 e-9))) (cond ((equal? sc3 1) (vector 1 '())) (else (TTImpC-45WithClause-matchFail e-3 clam-95)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0))))))))))))))))))(else (case (vector-ref arg-3 0) ((0) (let ((e-68 (vector-ref arg-3 1))) (let ((e-69 (vector-ref arg-3 2))) (case (vector-ref e-69 0) ((0) (let ((e-97 (vector-ref e-69 1))) (let ((e-98 (vector-ref e-69 2))) (case (vector-ref arg-4 0) ((0) (let ((e-100 (vector-ref arg-4 1))) (let ((e-101 (vector-ref arg-4 2))) (case (vector-ref e-101 0) ((0) (let ((e-102 (vector-ref e-101 1))) (let ((e-103 (vector-ref e-101 2))) (let ((sc4 (let ((sc5 (CoreC-45Name-u--C-61C-61_Eq_Name e-98 e-103))) (cond ((equal? sc5 1) (CoreC-45NameC-45Namespace-isParentOf e-102 e-97)) (else 0))))) (cond ((equal? sc4 1) (let ((eff-0 (TTImpC-45WithClause-addAlias arg-0 arg-1 e-100 e-68))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-5) (lambda (arg-6) ((((eff-1 'erased) 'erased) arg-5) arg-6)))) (lambda (eta-0) '()))) eff-0))) (else (lambda (eta-0) (TTImpC-45WithClause-matchFail e-100 eta-0))))))))(else (let ((sc3 (CoreC-45Name-u--C-61C-61_Eq_Name e-98 e-101))) (cond ((equal? sc3 1) (let ((eff-0 (TTImpC-45WithClause-addAlias arg-0 arg-1 e-100 e-68))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-5) (lambda (arg-6) ((((eff-1 'erased) 'erased) arg-5) arg-6)))) (lambda (eta-0) '()))) eff-0))) (else (lambda (eta-0) (TTImpC-45WithClause-matchFail e-100 eta-0))))))))))(else (case (vector-ref arg-4 0) ((0) (let ((e-95 (vector-ref arg-4 1))) (let ((e-96 (vector-ref arg-4 2))) (let ((sc3 (CoreC-45Name-u--C-61C-61_Eq_Name e-69 e-96))) (cond ((equal? sc3 1) (let ((eff-0 (TTImpC-45WithClause-addAlias arg-0 arg-1 e-95 e-68))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-5) (lambda (arg-6) ((((eff-1 'erased) 'erased) arg-5) arg-6)))) (lambda (eta-0) '()))) eff-0))) (else (lambda (eta-0) (TTImpC-45WithClause-matchFail e-95 eta-0))))))))(else (cond ((equal? arg-2 1) (case (vector-ref arg-3 0) ((10) (let ((e-51 (vector-ref arg-3 2))) (let ((e-53 (vector-ref arg-3 4))) (TTImpC-45WithClause-matchAll arg-0 arg-1 1 (cons (cons e-51 arg-4) (cons (cons e-53 e-53) '())))))) ((9) (let ((e-56 (vector-ref arg-3 2))) (let ((e-57 (vector-ref arg-3 3))) (TTImpC-45WithClause-matchAll arg-0 arg-1 1 (cons (cons e-56 arg-4) (cons (cons e-57 e-57) '()))))))(else (case (vector-ref arg-4 0) ((10) (let ((e-41 (vector-ref arg-4 1))) (lambda (eta-0) (TTImpC-45WithClause-matchFail e-41 eta-0)))) ((9) (let ((e-46 (vector-ref arg-4 1))) (lambda (eta-0) (TTImpC-45WithClause-matchFail e-46 eta-0))))(else (case (vector-ref arg-3 0) ((13) (let ((e-17 (vector-ref arg-3 1))) (let ((e-19 (vector-ref arg-3 3))) (case (vector-ref arg-4 0) ((13) (let ((e-29 (vector-ref arg-4 3))) (TTImpC-45WithClause-matchAny arg-0 arg-1 e-17 arg-2 (DataC-45List-u--zip_Zippable_List e-19 e-29))))(else (case (vector-ref arg-4 0) ((18) (let ((e-15 (vector-ref arg-4 5))) (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 arg-3 e-15)))(else (case (vector-ref arg-3 0) ((29) (lambda (clam-96) (case (vector-ref arg-4 0) ((29) (vector 1 '()))(else (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) clam-96))))) ((28) (let ((e-3 (vector-ref arg-3 1))) (let ((e-4 (vector-ref arg-3 2))) (case (vector-ref arg-4 0) ((28) (let ((e-9 (vector-ref arg-4 2))) (lambda (clam-97) (let ((sc6 (CoreC-45TT-u--C-61C-61_Eq_Constant e-4 e-9))) (cond ((equal? sc6 1) (vector 1 '())) (else (TTImpC-45WithClause-matchFail e-3 clam-97)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0))))))))))) ((18) (let ((e-24 (vector-ref arg-3 4))) (let ((e-25 (vector-ref arg-3 5))) (case (vector-ref e-24 0) ((1) (let ((e-30 (vector-ref e-24 1))) (case (vector-ref e-30 0) ((0) (let ((e-31 (vector-ref e-30 1))) (case (vector-ref arg-4 0) ((18) (let ((e-34 (vector-ref arg-4 2))) (let ((e-36 (vector-ref arg-4 4))) (let ((e-37 (vector-ref arg-4 5))) (case (vector-ref e-36 0) ((1) (let ((e-38 (vector-ref e-36 1))) (case (vector-ref e-38 0) ((0) (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 e-37))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 (vector 18 e-34 (CoreC-45FC-emptyFC) 0 e-36 (vector 32 e-34 1))) e-5)))) eff-1))))))))(else (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 arg-4) e-5)))) eff-1)))))))))))(else (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 arg-4) e-5)))) eff-1)))))))))))))(else (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 arg-4) e-5)))) eff-1)))))))))))(else (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4)))))(else (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))))))(else (case (vector-ref arg-4 0) ((18) (let ((e-15 (vector-ref arg-4 5))) (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 arg-3 e-15)))(else (case (vector-ref arg-3 0) ((29) (lambda (clam-98) (case (vector-ref arg-4 0) ((29) (vector 1 '()))(else (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) clam-98))))) ((28) (let ((e-3 (vector-ref arg-3 1))) (let ((e-4 (vector-ref arg-3 2))) (case (vector-ref arg-4 0) ((28) (let ((e-9 (vector-ref arg-4 2))) (lambda (clam-99) (let ((sc5 (CoreC-45TT-u--C-61C-61_Eq_Constant e-4 e-9))) (cond ((equal? sc5 1) (vector 1 '())) (else (TTImpC-45WithClause-matchFail e-3 clam-99)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0))))))))))))) ((equal? arg-2 0) (case (vector-ref arg-3 0) ((10) (let ((e-60 (vector-ref arg-3 2))) (TTImpC-45WithClause-getMatch arg-0 arg-1 0 e-60 e-60))) ((9) (let ((e-65 (vector-ref arg-3 2))) (TTImpC-45WithClause-getMatch arg-0 arg-1 0 e-65 e-65)))(else (case (vector-ref arg-4 0) ((10) (let ((e-41 (vector-ref arg-4 1))) (lambda (eta-0) (TTImpC-45WithClause-matchFail e-41 eta-0)))) ((9) (let ((e-46 (vector-ref arg-4 1))) (lambda (eta-0) (TTImpC-45WithClause-matchFail e-46 eta-0))))(else (case (vector-ref arg-3 0) ((13) (let ((e-17 (vector-ref arg-3 1))) (let ((e-19 (vector-ref arg-3 3))) (case (vector-ref arg-4 0) ((13) (let ((e-29 (vector-ref arg-4 3))) (TTImpC-45WithClause-matchAny arg-0 arg-1 e-17 arg-2 (DataC-45List-u--zip_Zippable_List e-19 e-29))))(else (case (vector-ref arg-4 0) ((18) (let ((e-15 (vector-ref arg-4 5))) (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 arg-3 e-15)))(else (case (vector-ref arg-3 0) ((29) (lambda (clam-100) (case (vector-ref arg-4 0) ((29) (vector 1 '()))(else (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) clam-100))))) ((28) (let ((e-3 (vector-ref arg-3 1))) (let ((e-4 (vector-ref arg-3 2))) (case (vector-ref arg-4 0) ((28) (let ((e-9 (vector-ref arg-4 2))) (lambda (clam-101) (let ((sc6 (CoreC-45TT-u--C-61C-61_Eq_Constant e-4 e-9))) (cond ((equal? sc6 1) (vector 1 '())) (else (TTImpC-45WithClause-matchFail e-3 clam-101)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0))))))))))) ((18) (let ((e-24 (vector-ref arg-3 4))) (let ((e-25 (vector-ref arg-3 5))) (case (vector-ref e-24 0) ((1) (let ((e-30 (vector-ref e-24 1))) (case (vector-ref e-30 0) ((0) (let ((e-31 (vector-ref e-30 1))) (case (vector-ref arg-4 0) ((18) (let ((e-34 (vector-ref arg-4 2))) (let ((e-36 (vector-ref arg-4 4))) (let ((e-37 (vector-ref arg-4 5))) (case (vector-ref e-36 0) ((1) (let ((e-38 (vector-ref e-36 1))) (case (vector-ref e-38 0) ((0) (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 e-37))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 (vector 18 e-34 (CoreC-45FC-emptyFC) 0 e-36 (vector 32 e-34 1))) e-5)))) eff-1))))))))(else (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 arg-4) e-5)))) eff-1)))))))))))(else (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 arg-4) e-5)))) eff-1)))))))))))))(else (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 arg-4) e-5)))) eff-1)))))))))))(else (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4)))))(else (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))))))(else (case (vector-ref arg-4 0) ((18) (let ((e-15 (vector-ref arg-4 5))) (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 arg-3 e-15)))(else (case (vector-ref arg-3 0) ((29) (lambda (clam-102) (case (vector-ref arg-4 0) ((29) (vector 1 '()))(else (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) clam-102))))) ((28) (let ((e-3 (vector-ref arg-3 1))) (let ((e-4 (vector-ref arg-3 2))) (case (vector-ref arg-4 0) ((28) (let ((e-9 (vector-ref arg-4 2))) (lambda (clam-103) (let ((sc5 (CoreC-45TT-u--C-61C-61_Eq_Constant e-4 e-9))) (cond ((equal? sc5 1) (vector 1 '())) (else (TTImpC-45WithClause-matchFail e-3 clam-103)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0)))))))))))))(else (case (vector-ref arg-4 0) ((10) (let ((e-41 (vector-ref arg-4 1))) (lambda (eta-0) (TTImpC-45WithClause-matchFail e-41 eta-0)))) ((9) (let ((e-46 (vector-ref arg-4 1))) (lambda (eta-0) (TTImpC-45WithClause-matchFail e-46 eta-0))))(else (case (vector-ref arg-3 0) ((13) (let ((e-17 (vector-ref arg-3 1))) (let ((e-19 (vector-ref arg-3 3))) (case (vector-ref arg-4 0) ((13) (let ((e-29 (vector-ref arg-4 3))) (TTImpC-45WithClause-matchAny arg-0 arg-1 e-17 arg-2 (DataC-45List-u--zip_Zippable_List e-19 e-29))))(else (case (vector-ref arg-4 0) ((18) (let ((e-15 (vector-ref arg-4 5))) (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 arg-3 e-15)))(else (case (vector-ref arg-3 0) ((29) (lambda (clam-104) (case (vector-ref arg-4 0) ((29) (vector 1 '()))(else (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) clam-104))))) ((28) (let ((e-3 (vector-ref arg-3 1))) (let ((e-4 (vector-ref arg-3 2))) (case (vector-ref arg-4 0) ((28) (let ((e-9 (vector-ref arg-4 2))) (lambda (clam-105) (let ((sc5 (CoreC-45TT-u--C-61C-61_Eq_Constant e-4 e-9))) (cond ((equal? sc5 1) (vector 1 '())) (else (TTImpC-45WithClause-matchFail e-3 clam-105)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0))))))))))) ((18) (let ((e-24 (vector-ref arg-3 4))) (let ((e-25 (vector-ref arg-3 5))) (case (vector-ref e-24 0) ((1) (let ((e-30 (vector-ref e-24 1))) (case (vector-ref e-30 0) ((0) (let ((e-31 (vector-ref e-30 1))) (case (vector-ref arg-4 0) ((18) (let ((e-34 (vector-ref arg-4 2))) (let ((e-36 (vector-ref arg-4 4))) (let ((e-37 (vector-ref arg-4 5))) (case (vector-ref e-36 0) ((1) (let ((e-38 (vector-ref e-36 1))) (case (vector-ref e-38 0) ((0) (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 e-37))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 (vector 18 e-34 (CoreC-45FC-emptyFC) 0 e-36 (vector 32 e-34 1))) e-5)))) eff-1))))))))(else (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 arg-4) e-5)))) eff-1)))))))))))(else (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 arg-4) e-5)))) eff-1)))))))))))))(else (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 arg-4) e-5)))) eff-1)))))))))))(else (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4)))))(else (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))))))(else (case (vector-ref arg-4 0) ((18) (let ((e-15 (vector-ref arg-4 5))) (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 arg-3 e-15)))(else (case (vector-ref arg-3 0) ((29) (lambda (clam-106) (case (vector-ref arg-4 0) ((29) (vector 1 '()))(else (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) clam-106))))) ((28) (let ((e-3 (vector-ref arg-3 1))) (let ((e-4 (vector-ref arg-3 2))) (case (vector-ref arg-4 0) ((28) (let ((e-9 (vector-ref arg-4 2))) (lambda (clam-107) (let ((sc4 (CoreC-45TT-u--C-61C-61_Eq_Constant e-4 e-9))) (cond ((equal? sc4 1) (vector 1 '())) (else (TTImpC-45WithClause-matchFail e-3 clam-107)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0)))))))))))))))))))(else (case (vector-ref arg-4 0) ((0) (let ((e-95 (vector-ref arg-4 1))) (let ((e-96 (vector-ref arg-4 2))) (let ((sc2 (CoreC-45Name-u--C-61C-61_Eq_Name e-69 e-96))) (cond ((equal? sc2 1) (let ((eff-0 (TTImpC-45WithClause-addAlias arg-0 arg-1 e-95 e-68))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-5) (lambda (arg-6) ((((eff-1 'erased) 'erased) arg-5) arg-6)))) (lambda (eta-0) '()))) eff-0))) (else (lambda (eta-0) (TTImpC-45WithClause-matchFail e-95 eta-0))))))))(else (cond ((equal? arg-2 1) (case (vector-ref arg-3 0) ((10) (let ((e-51 (vector-ref arg-3 2))) (let ((e-53 (vector-ref arg-3 4))) (TTImpC-45WithClause-matchAll arg-0 arg-1 1 (cons (cons e-51 arg-4) (cons (cons e-53 e-53) '())))))) ((9) (let ((e-56 (vector-ref arg-3 2))) (let ((e-57 (vector-ref arg-3 3))) (TTImpC-45WithClause-matchAll arg-0 arg-1 1 (cons (cons e-56 arg-4) (cons (cons e-57 e-57) '()))))))(else (case (vector-ref arg-4 0) ((10) (let ((e-41 (vector-ref arg-4 1))) (lambda (eta-0) (TTImpC-45WithClause-matchFail e-41 eta-0)))) ((9) (let ((e-46 (vector-ref arg-4 1))) (lambda (eta-0) (TTImpC-45WithClause-matchFail e-46 eta-0))))(else (case (vector-ref arg-3 0) ((13) (let ((e-17 (vector-ref arg-3 1))) (let ((e-19 (vector-ref arg-3 3))) (case (vector-ref arg-4 0) ((13) (let ((e-29 (vector-ref arg-4 3))) (TTImpC-45WithClause-matchAny arg-0 arg-1 e-17 arg-2 (DataC-45List-u--zip_Zippable_List e-19 e-29))))(else (case (vector-ref arg-4 0) ((18) (let ((e-15 (vector-ref arg-4 5))) (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 arg-3 e-15)))(else (case (vector-ref arg-3 0) ((29) (lambda (clam-108) (case (vector-ref arg-4 0) ((29) (vector 1 '()))(else (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) clam-108))))) ((28) (let ((e-3 (vector-ref arg-3 1))) (let ((e-4 (vector-ref arg-3 2))) (case (vector-ref arg-4 0) ((28) (let ((e-9 (vector-ref arg-4 2))) (lambda (clam-109) (let ((sc5 (CoreC-45TT-u--C-61C-61_Eq_Constant e-4 e-9))) (cond ((equal? sc5 1) (vector 1 '())) (else (TTImpC-45WithClause-matchFail e-3 clam-109)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0))))))))))) ((18) (let ((e-24 (vector-ref arg-3 4))) (let ((e-25 (vector-ref arg-3 5))) (case (vector-ref e-24 0) ((1) (let ((e-30 (vector-ref e-24 1))) (case (vector-ref e-30 0) ((0) (let ((e-31 (vector-ref e-30 1))) (case (vector-ref arg-4 0) ((18) (let ((e-34 (vector-ref arg-4 2))) (let ((e-36 (vector-ref arg-4 4))) (let ((e-37 (vector-ref arg-4 5))) (case (vector-ref e-36 0) ((1) (let ((e-38 (vector-ref e-36 1))) (case (vector-ref e-38 0) ((0) (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 e-37))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 (vector 18 e-34 (CoreC-45FC-emptyFC) 0 e-36 (vector 32 e-34 1))) e-5)))) eff-1))))))))(else (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 arg-4) e-5)))) eff-1)))))))))))(else (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 arg-4) e-5)))) eff-1)))))))))))))(else (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 arg-4) e-5)))) eff-1)))))))))))(else (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4)))))(else (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))))))(else (case (vector-ref arg-4 0) ((18) (let ((e-15 (vector-ref arg-4 5))) (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 arg-3 e-15)))(else (case (vector-ref arg-3 0) ((29) (lambda (clam-110) (case (vector-ref arg-4 0) ((29) (vector 1 '()))(else (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) clam-110))))) ((28) (let ((e-3 (vector-ref arg-3 1))) (let ((e-4 (vector-ref arg-3 2))) (case (vector-ref arg-4 0) ((28) (let ((e-9 (vector-ref arg-4 2))) (lambda (clam-111) (let ((sc4 (CoreC-45TT-u--C-61C-61_Eq_Constant e-4 e-9))) (cond ((equal? sc4 1) (vector 1 '())) (else (TTImpC-45WithClause-matchFail e-3 clam-111)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0))))))))))))) ((equal? arg-2 0) (case (vector-ref arg-3 0) ((10) (let ((e-60 (vector-ref arg-3 2))) (TTImpC-45WithClause-getMatch arg-0 arg-1 0 e-60 e-60))) ((9) (let ((e-65 (vector-ref arg-3 2))) (TTImpC-45WithClause-getMatch arg-0 arg-1 0 e-65 e-65)))(else (case (vector-ref arg-4 0) ((10) (let ((e-41 (vector-ref arg-4 1))) (lambda (eta-0) (TTImpC-45WithClause-matchFail e-41 eta-0)))) ((9) (let ((e-46 (vector-ref arg-4 1))) (lambda (eta-0) (TTImpC-45WithClause-matchFail e-46 eta-0))))(else (case (vector-ref arg-3 0) ((13) (let ((e-17 (vector-ref arg-3 1))) (let ((e-19 (vector-ref arg-3 3))) (case (vector-ref arg-4 0) ((13) (let ((e-29 (vector-ref arg-4 3))) (TTImpC-45WithClause-matchAny arg-0 arg-1 e-17 arg-2 (DataC-45List-u--zip_Zippable_List e-19 e-29))))(else (case (vector-ref arg-4 0) ((18) (let ((e-15 (vector-ref arg-4 5))) (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 arg-3 e-15)))(else (case (vector-ref arg-3 0) ((29) (lambda (clam-112) (case (vector-ref arg-4 0) ((29) (vector 1 '()))(else (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) clam-112))))) ((28) (let ((e-3 (vector-ref arg-3 1))) (let ((e-4 (vector-ref arg-3 2))) (case (vector-ref arg-4 0) ((28) (let ((e-9 (vector-ref arg-4 2))) (lambda (clam-113) (let ((sc5 (CoreC-45TT-u--C-61C-61_Eq_Constant e-4 e-9))) (cond ((equal? sc5 1) (vector 1 '())) (else (TTImpC-45WithClause-matchFail e-3 clam-113)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0))))))))))) ((18) (let ((e-24 (vector-ref arg-3 4))) (let ((e-25 (vector-ref arg-3 5))) (case (vector-ref e-24 0) ((1) (let ((e-30 (vector-ref e-24 1))) (case (vector-ref e-30 0) ((0) (let ((e-31 (vector-ref e-30 1))) (case (vector-ref arg-4 0) ((18) (let ((e-34 (vector-ref arg-4 2))) (let ((e-36 (vector-ref arg-4 4))) (let ((e-37 (vector-ref arg-4 5))) (case (vector-ref e-36 0) ((1) (let ((e-38 (vector-ref e-36 1))) (case (vector-ref e-38 0) ((0) (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 e-37))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 (vector 18 e-34 (CoreC-45FC-emptyFC) 0 e-36 (vector 32 e-34 1))) e-5)))) eff-1))))))))(else (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 arg-4) e-5)))) eff-1)))))))))))(else (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 arg-4) e-5)))) eff-1)))))))))))))(else (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 arg-4) e-5)))) eff-1)))))))))))(else (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4)))))(else (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))))))(else (case (vector-ref arg-4 0) ((18) (let ((e-15 (vector-ref arg-4 5))) (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 arg-3 e-15)))(else (case (vector-ref arg-3 0) ((29) (lambda (clam-114) (case (vector-ref arg-4 0) ((29) (vector 1 '()))(else (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) clam-114))))) ((28) (let ((e-3 (vector-ref arg-3 1))) (let ((e-4 (vector-ref arg-3 2))) (case (vector-ref arg-4 0) ((28) (let ((e-9 (vector-ref arg-4 2))) (lambda (clam-115) (let ((sc4 (CoreC-45TT-u--C-61C-61_Eq_Constant e-4 e-9))) (cond ((equal? sc4 1) (vector 1 '())) (else (TTImpC-45WithClause-matchFail e-3 clam-115)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0)))))))))))))(else (case (vector-ref arg-4 0) ((10) (let ((e-41 (vector-ref arg-4 1))) (lambda (eta-0) (TTImpC-45WithClause-matchFail e-41 eta-0)))) ((9) (let ((e-46 (vector-ref arg-4 1))) (lambda (eta-0) (TTImpC-45WithClause-matchFail e-46 eta-0))))(else (case (vector-ref arg-3 0) ((13) (let ((e-17 (vector-ref arg-3 1))) (let ((e-19 (vector-ref arg-3 3))) (case (vector-ref arg-4 0) ((13) (let ((e-29 (vector-ref arg-4 3))) (TTImpC-45WithClause-matchAny arg-0 arg-1 e-17 arg-2 (DataC-45List-u--zip_Zippable_List e-19 e-29))))(else (case (vector-ref arg-4 0) ((18) (let ((e-15 (vector-ref arg-4 5))) (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 arg-3 e-15)))(else (case (vector-ref arg-3 0) ((29) (lambda (clam-116) (case (vector-ref arg-4 0) ((29) (vector 1 '()))(else (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) clam-116))))) ((28) (let ((e-3 (vector-ref arg-3 1))) (let ((e-4 (vector-ref arg-3 2))) (case (vector-ref arg-4 0) ((28) (let ((e-9 (vector-ref arg-4 2))) (lambda (clam-117) (let ((sc4 (CoreC-45TT-u--C-61C-61_Eq_Constant e-4 e-9))) (cond ((equal? sc4 1) (vector 1 '())) (else (TTImpC-45WithClause-matchFail e-3 clam-117)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0))))))))))) ((18) (let ((e-24 (vector-ref arg-3 4))) (let ((e-25 (vector-ref arg-3 5))) (case (vector-ref e-24 0) ((1) (let ((e-30 (vector-ref e-24 1))) (case (vector-ref e-30 0) ((0) (let ((e-31 (vector-ref e-30 1))) (case (vector-ref arg-4 0) ((18) (let ((e-34 (vector-ref arg-4 2))) (let ((e-36 (vector-ref arg-4 4))) (let ((e-37 (vector-ref arg-4 5))) (case (vector-ref e-36 0) ((1) (let ((e-38 (vector-ref e-36 1))) (case (vector-ref e-38 0) ((0) (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 e-37))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 (vector 18 e-34 (CoreC-45FC-emptyFC) 0 e-36 (vector 32 e-34 1))) e-5)))) eff-1))))))))(else (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 arg-4) e-5)))) eff-1)))))))))))(else (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 arg-4) e-5)))) eff-1)))))))))))))(else (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 arg-4) e-5)))) eff-1)))))))))))(else (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4)))))(else (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))))))(else (case (vector-ref arg-4 0) ((18) (let ((e-15 (vector-ref arg-4 5))) (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 arg-3 e-15)))(else (case (vector-ref arg-3 0) ((29) (lambda (clam-118) (case (vector-ref arg-4 0) ((29) (vector 1 '()))(else (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) clam-118))))) ((28) (let ((e-3 (vector-ref arg-3 1))) (let ((e-4 (vector-ref arg-3 2))) (case (vector-ref arg-4 0) ((28) (let ((e-9 (vector-ref arg-4 2))) (lambda (clam-119) (let ((sc3 (CoreC-45TT-u--C-61C-61_Eq_Constant e-4 e-9))) (cond ((equal? sc3 1) (vector 1 '())) (else (TTImpC-45WithClause-matchFail e-3 clam-119)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0))))))))))))))))))) ((1) (let ((e-72 (vector-ref arg-3 2))) (let ((e-73 (vector-ref arg-3 3))) (let ((e-74 (vector-ref arg-3 4))) (let ((e-75 (vector-ref arg-3 5))) (let ((e-76 (vector-ref arg-3 6))) (case (vector-ref arg-4 0) ((1) (let ((e-105 (vector-ref arg-4 1))) (let ((e-106 (vector-ref arg-4 2))) (let ((e-107 (vector-ref arg-4 3))) (let ((e-108 (vector-ref arg-4 4))) (let ((e-109 (vector-ref arg-4 5))) (let ((e-110 (vector-ref arg-4 6))) (let ((sc2 (let ((sc3 (AlgebraC-45ZeroOneOmega-u--C-61C-61_Eq_ZeroOneOmega e-72 e-106))) (cond ((equal? sc3 1) (let ((sc4 (CoreC-45TT-eqPiInfoBy (lambda (_-19262) (lambda (_-19265) 1)) e-73 e-107))) (cond ((equal? sc4 1) (PreludeC-45Types-u--C-61C-61_Eq_C-40MaybeC-32C-36aC-41 (csegen-1008) e-74 e-108)) (else 0)))) (else 0))))) (cond ((equal? sc2 1) (TTImpC-45WithClause-matchAll arg-0 arg-1 arg-2 (cons (cons e-75 e-109) (cons (cons e-76 e-110) '())))) (else (lambda (eta-0) (TTImpC-45WithClause-matchFail e-105 eta-0))))))))))))(else (cond ((equal? arg-2 1) (case (vector-ref arg-3 0) ((10) (let ((e-51 (vector-ref arg-3 2))) (let ((e-53 (vector-ref arg-3 4))) (TTImpC-45WithClause-matchAll arg-0 arg-1 1 (cons (cons e-51 arg-4) (cons (cons e-53 e-53) '())))))) ((9) (let ((e-56 (vector-ref arg-3 2))) (let ((e-57 (vector-ref arg-3 3))) (TTImpC-45WithClause-matchAll arg-0 arg-1 1 (cons (cons e-56 arg-4) (cons (cons e-57 e-57) '()))))))(else (case (vector-ref arg-4 0) ((10) (let ((e-41 (vector-ref arg-4 1))) (lambda (eta-0) (TTImpC-45WithClause-matchFail e-41 eta-0)))) ((9) (let ((e-46 (vector-ref arg-4 1))) (lambda (eta-0) (TTImpC-45WithClause-matchFail e-46 eta-0))))(else (case (vector-ref arg-3 0) ((13) (let ((e-17 (vector-ref arg-3 1))) (let ((e-19 (vector-ref arg-3 3))) (case (vector-ref arg-4 0) ((13) (let ((e-29 (vector-ref arg-4 3))) (TTImpC-45WithClause-matchAny arg-0 arg-1 e-17 arg-2 (DataC-45List-u--zip_Zippable_List e-19 e-29))))(else (case (vector-ref arg-4 0) ((18) (let ((e-15 (vector-ref arg-4 5))) (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 arg-3 e-15)))(else (case (vector-ref arg-3 0) ((29) (lambda (clam-120) (case (vector-ref arg-4 0) ((29) (vector 1 '()))(else (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) clam-120))))) ((28) (let ((e-3 (vector-ref arg-3 1))) (let ((e-4 (vector-ref arg-3 2))) (case (vector-ref arg-4 0) ((28) (let ((e-9 (vector-ref arg-4 2))) (lambda (clam-121) (let ((sc5 (CoreC-45TT-u--C-61C-61_Eq_Constant e-4 e-9))) (cond ((equal? sc5 1) (vector 1 '())) (else (TTImpC-45WithClause-matchFail e-3 clam-121)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0))))))))))) ((18) (let ((e-24 (vector-ref arg-3 4))) (let ((e-25 (vector-ref arg-3 5))) (case (vector-ref e-24 0) ((1) (let ((e-30 (vector-ref e-24 1))) (case (vector-ref e-30 0) ((0) (let ((e-31 (vector-ref e-30 1))) (case (vector-ref arg-4 0) ((18) (let ((e-34 (vector-ref arg-4 2))) (let ((e-36 (vector-ref arg-4 4))) (let ((e-37 (vector-ref arg-4 5))) (case (vector-ref e-36 0) ((1) (let ((e-38 (vector-ref e-36 1))) (case (vector-ref e-38 0) ((0) (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 e-37))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 (vector 18 e-34 (CoreC-45FC-emptyFC) 0 e-36 (vector 32 e-34 1))) e-5)))) eff-1))))))))(else (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 arg-4) e-5)))) eff-1)))))))))))(else (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 arg-4) e-5)))) eff-1)))))))))))))(else (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 arg-4) e-5)))) eff-1)))))))))))(else (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4)))))(else (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))))))(else (case (vector-ref arg-4 0) ((18) (let ((e-15 (vector-ref arg-4 5))) (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 arg-3 e-15)))(else (case (vector-ref arg-3 0) ((29) (lambda (clam-122) (case (vector-ref arg-4 0) ((29) (vector 1 '()))(else (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) clam-122))))) ((28) (let ((e-3 (vector-ref arg-3 1))) (let ((e-4 (vector-ref arg-3 2))) (case (vector-ref arg-4 0) ((28) (let ((e-9 (vector-ref arg-4 2))) (lambda (clam-123) (let ((sc4 (CoreC-45TT-u--C-61C-61_Eq_Constant e-4 e-9))) (cond ((equal? sc4 1) (vector 1 '())) (else (TTImpC-45WithClause-matchFail e-3 clam-123)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0))))))))))))) ((equal? arg-2 0) (case (vector-ref arg-3 0) ((10) (let ((e-60 (vector-ref arg-3 2))) (TTImpC-45WithClause-getMatch arg-0 arg-1 0 e-60 e-60))) ((9) (let ((e-65 (vector-ref arg-3 2))) (TTImpC-45WithClause-getMatch arg-0 arg-1 0 e-65 e-65)))(else (case (vector-ref arg-4 0) ((10) (let ((e-41 (vector-ref arg-4 1))) (lambda (eta-0) (TTImpC-45WithClause-matchFail e-41 eta-0)))) ((9) (let ((e-46 (vector-ref arg-4 1))) (lambda (eta-0) (TTImpC-45WithClause-matchFail e-46 eta-0))))(else (case (vector-ref arg-3 0) ((13) (let ((e-17 (vector-ref arg-3 1))) (let ((e-19 (vector-ref arg-3 3))) (case (vector-ref arg-4 0) ((13) (let ((e-29 (vector-ref arg-4 3))) (TTImpC-45WithClause-matchAny arg-0 arg-1 e-17 arg-2 (DataC-45List-u--zip_Zippable_List e-19 e-29))))(else (case (vector-ref arg-4 0) ((18) (let ((e-15 (vector-ref arg-4 5))) (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 arg-3 e-15)))(else (case (vector-ref arg-3 0) ((29) (lambda (clam-124) (case (vector-ref arg-4 0) ((29) (vector 1 '()))(else (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) clam-124))))) ((28) (let ((e-3 (vector-ref arg-3 1))) (let ((e-4 (vector-ref arg-3 2))) (case (vector-ref arg-4 0) ((28) (let ((e-9 (vector-ref arg-4 2))) (lambda (clam-125) (let ((sc5 (CoreC-45TT-u--C-61C-61_Eq_Constant e-4 e-9))) (cond ((equal? sc5 1) (vector 1 '())) (else (TTImpC-45WithClause-matchFail e-3 clam-125)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0))))))))))) ((18) (let ((e-24 (vector-ref arg-3 4))) (let ((e-25 (vector-ref arg-3 5))) (case (vector-ref e-24 0) ((1) (let ((e-30 (vector-ref e-24 1))) (case (vector-ref e-30 0) ((0) (let ((e-31 (vector-ref e-30 1))) (case (vector-ref arg-4 0) ((18) (let ((e-34 (vector-ref arg-4 2))) (let ((e-36 (vector-ref arg-4 4))) (let ((e-37 (vector-ref arg-4 5))) (case (vector-ref e-36 0) ((1) (let ((e-38 (vector-ref e-36 1))) (case (vector-ref e-38 0) ((0) (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 e-37))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 (vector 18 e-34 (CoreC-45FC-emptyFC) 0 e-36 (vector 32 e-34 1))) e-5)))) eff-1))))))))(else (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 arg-4) e-5)))) eff-1)))))))))))(else (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 arg-4) e-5)))) eff-1)))))))))))))(else (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 arg-4) e-5)))) eff-1)))))))))))(else (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4)))))(else (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))))))(else (case (vector-ref arg-4 0) ((18) (let ((e-15 (vector-ref arg-4 5))) (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 arg-3 e-15)))(else (case (vector-ref arg-3 0) ((29) (lambda (clam-126) (case (vector-ref arg-4 0) ((29) (vector 1 '()))(else (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) clam-126))))) ((28) (let ((e-3 (vector-ref arg-3 1))) (let ((e-4 (vector-ref arg-3 2))) (case (vector-ref arg-4 0) ((28) (let ((e-9 (vector-ref arg-4 2))) (lambda (clam-127) (let ((sc4 (CoreC-45TT-u--C-61C-61_Eq_Constant e-4 e-9))) (cond ((equal? sc4 1) (vector 1 '())) (else (TTImpC-45WithClause-matchFail e-3 clam-127)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0)))))))))))))(else (case (vector-ref arg-4 0) ((10) (let ((e-41 (vector-ref arg-4 1))) (lambda (eta-0) (TTImpC-45WithClause-matchFail e-41 eta-0)))) ((9) (let ((e-46 (vector-ref arg-4 1))) (lambda (eta-0) (TTImpC-45WithClause-matchFail e-46 eta-0))))(else (case (vector-ref arg-3 0) ((13) (let ((e-17 (vector-ref arg-3 1))) (let ((e-19 (vector-ref arg-3 3))) (case (vector-ref arg-4 0) ((13) (let ((e-29 (vector-ref arg-4 3))) (TTImpC-45WithClause-matchAny arg-0 arg-1 e-17 arg-2 (DataC-45List-u--zip_Zippable_List e-19 e-29))))(else (case (vector-ref arg-4 0) ((18) (let ((e-15 (vector-ref arg-4 5))) (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 arg-3 e-15)))(else (case (vector-ref arg-3 0) ((29) (lambda (clam-128) (case (vector-ref arg-4 0) ((29) (vector 1 '()))(else (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) clam-128))))) ((28) (let ((e-3 (vector-ref arg-3 1))) (let ((e-4 (vector-ref arg-3 2))) (case (vector-ref arg-4 0) ((28) (let ((e-9 (vector-ref arg-4 2))) (lambda (clam-129) (let ((sc4 (CoreC-45TT-u--C-61C-61_Eq_Constant e-4 e-9))) (cond ((equal? sc4 1) (vector 1 '())) (else (TTImpC-45WithClause-matchFail e-3 clam-129)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0))))))))))) ((18) (let ((e-24 (vector-ref arg-3 4))) (let ((e-25 (vector-ref arg-3 5))) (case (vector-ref e-24 0) ((1) (let ((e-30 (vector-ref e-24 1))) (case (vector-ref e-30 0) ((0) (let ((e-31 (vector-ref e-30 1))) (case (vector-ref arg-4 0) ((18) (let ((e-34 (vector-ref arg-4 2))) (let ((e-36 (vector-ref arg-4 4))) (let ((e-37 (vector-ref arg-4 5))) (case (vector-ref e-36 0) ((1) (let ((e-38 (vector-ref e-36 1))) (case (vector-ref e-38 0) ((0) (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 e-37))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 (vector 18 e-34 (CoreC-45FC-emptyFC) 0 e-36 (vector 32 e-34 1))) e-5)))) eff-1))))))))(else (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 arg-4) e-5)))) eff-1)))))))))))(else (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 arg-4) e-5)))) eff-1)))))))))))))(else (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 arg-4) e-5)))) eff-1)))))))))))(else (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4)))))(else (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))))))(else (case (vector-ref arg-4 0) ((18) (let ((e-15 (vector-ref arg-4 5))) (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 arg-3 e-15)))(else (case (vector-ref arg-3 0) ((29) (lambda (clam-130) (case (vector-ref arg-4 0) ((29) (vector 1 '()))(else (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) clam-130))))) ((28) (let ((e-3 (vector-ref arg-3 1))) (let ((e-4 (vector-ref arg-3 2))) (case (vector-ref arg-4 0) ((28) (let ((e-9 (vector-ref arg-4 2))) (lambda (clam-131) (let ((sc3 (CoreC-45TT-u--C-61C-61_Eq_Constant e-4 e-9))) (cond ((equal? sc3 1) (vector 1 '())) (else (TTImpC-45WithClause-matchFail e-3 clam-131)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0)))))))))))))))))))) ((8) (let ((e-79 (vector-ref arg-3 2))) (let ((e-80 (vector-ref arg-3 3))) (case (vector-ref arg-4 0) ((8) (let ((e-113 (vector-ref arg-4 2))) (let ((e-114 (vector-ref arg-4 3))) (TTImpC-45WithClause-matchAll arg-0 arg-1 arg-2 (cons (cons e-79 e-113) (cons (cons e-80 e-114) '()))))))(else (cond ((equal? arg-2 1) (case (vector-ref arg-3 0) ((10) (let ((e-51 (vector-ref arg-3 2))) (let ((e-53 (vector-ref arg-3 4))) (TTImpC-45WithClause-matchAll arg-0 arg-1 1 (cons (cons e-51 arg-4) (cons (cons e-53 e-53) '())))))) ((9) (let ((e-56 (vector-ref arg-3 2))) (let ((e-57 (vector-ref arg-3 3))) (TTImpC-45WithClause-matchAll arg-0 arg-1 1 (cons (cons e-56 arg-4) (cons (cons e-57 e-57) '()))))))(else (case (vector-ref arg-4 0) ((10) (let ((e-41 (vector-ref arg-4 1))) (lambda (eta-0) (TTImpC-45WithClause-matchFail e-41 eta-0)))) ((9) (let ((e-46 (vector-ref arg-4 1))) (lambda (eta-0) (TTImpC-45WithClause-matchFail e-46 eta-0))))(else (case (vector-ref arg-3 0) ((13) (let ((e-17 (vector-ref arg-3 1))) (let ((e-19 (vector-ref arg-3 3))) (case (vector-ref arg-4 0) ((13) (let ((e-29 (vector-ref arg-4 3))) (TTImpC-45WithClause-matchAny arg-0 arg-1 e-17 arg-2 (DataC-45List-u--zip_Zippable_List e-19 e-29))))(else (case (vector-ref arg-4 0) ((18) (let ((e-15 (vector-ref arg-4 5))) (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 arg-3 e-15)))(else (case (vector-ref arg-3 0) ((29) (lambda (clam-132) (case (vector-ref arg-4 0) ((29) (vector 1 '()))(else (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) clam-132))))) ((28) (let ((e-3 (vector-ref arg-3 1))) (let ((e-4 (vector-ref arg-3 2))) (case (vector-ref arg-4 0) ((28) (let ((e-9 (vector-ref arg-4 2))) (lambda (clam-133) (let ((sc5 (CoreC-45TT-u--C-61C-61_Eq_Constant e-4 e-9))) (cond ((equal? sc5 1) (vector 1 '())) (else (TTImpC-45WithClause-matchFail e-3 clam-133)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0))))))))))) ((18) (let ((e-24 (vector-ref arg-3 4))) (let ((e-25 (vector-ref arg-3 5))) (case (vector-ref e-24 0) ((1) (let ((e-30 (vector-ref e-24 1))) (case (vector-ref e-30 0) ((0) (let ((e-31 (vector-ref e-30 1))) (case (vector-ref arg-4 0) ((18) (let ((e-34 (vector-ref arg-4 2))) (let ((e-36 (vector-ref arg-4 4))) (let ((e-37 (vector-ref arg-4 5))) (case (vector-ref e-36 0) ((1) (let ((e-38 (vector-ref e-36 1))) (case (vector-ref e-38 0) ((0) (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 e-37))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 (vector 18 e-34 (CoreC-45FC-emptyFC) 0 e-36 (vector 32 e-34 1))) e-5)))) eff-1))))))))(else (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 arg-4) e-5)))) eff-1)))))))))))(else (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 arg-4) e-5)))) eff-1)))))))))))))(else (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 arg-4) e-5)))) eff-1)))))))))))(else (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4)))))(else (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))))))(else (case (vector-ref arg-4 0) ((18) (let ((e-15 (vector-ref arg-4 5))) (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 arg-3 e-15)))(else (case (vector-ref arg-3 0) ((29) (lambda (clam-134) (case (vector-ref arg-4 0) ((29) (vector 1 '()))(else (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) clam-134))))) ((28) (let ((e-3 (vector-ref arg-3 1))) (let ((e-4 (vector-ref arg-3 2))) (case (vector-ref arg-4 0) ((28) (let ((e-9 (vector-ref arg-4 2))) (lambda (clam-135) (let ((sc4 (CoreC-45TT-u--C-61C-61_Eq_Constant e-4 e-9))) (cond ((equal? sc4 1) (vector 1 '())) (else (TTImpC-45WithClause-matchFail e-3 clam-135)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0))))))))))))) ((equal? arg-2 0) (case (vector-ref arg-3 0) ((10) (let ((e-60 (vector-ref arg-3 2))) (TTImpC-45WithClause-getMatch arg-0 arg-1 0 e-60 e-60))) ((9) (let ((e-65 (vector-ref arg-3 2))) (TTImpC-45WithClause-getMatch arg-0 arg-1 0 e-65 e-65)))(else (case (vector-ref arg-4 0) ((10) (let ((e-41 (vector-ref arg-4 1))) (lambda (eta-0) (TTImpC-45WithClause-matchFail e-41 eta-0)))) ((9) (let ((e-46 (vector-ref arg-4 1))) (lambda (eta-0) (TTImpC-45WithClause-matchFail e-46 eta-0))))(else (case (vector-ref arg-3 0) ((13) (let ((e-17 (vector-ref arg-3 1))) (let ((e-19 (vector-ref arg-3 3))) (case (vector-ref arg-4 0) ((13) (let ((e-29 (vector-ref arg-4 3))) (TTImpC-45WithClause-matchAny arg-0 arg-1 e-17 arg-2 (DataC-45List-u--zip_Zippable_List e-19 e-29))))(else (case (vector-ref arg-4 0) ((18) (let ((e-15 (vector-ref arg-4 5))) (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 arg-3 e-15)))(else (case (vector-ref arg-3 0) ((29) (lambda (clam-136) (case (vector-ref arg-4 0) ((29) (vector 1 '()))(else (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) clam-136))))) ((28) (let ((e-3 (vector-ref arg-3 1))) (let ((e-4 (vector-ref arg-3 2))) (case (vector-ref arg-4 0) ((28) (let ((e-9 (vector-ref arg-4 2))) (lambda (clam-137) (let ((sc5 (CoreC-45TT-u--C-61C-61_Eq_Constant e-4 e-9))) (cond ((equal? sc5 1) (vector 1 '())) (else (TTImpC-45WithClause-matchFail e-3 clam-137)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0))))))))))) ((18) (let ((e-24 (vector-ref arg-3 4))) (let ((e-25 (vector-ref arg-3 5))) (case (vector-ref e-24 0) ((1) (let ((e-30 (vector-ref e-24 1))) (case (vector-ref e-30 0) ((0) (let ((e-31 (vector-ref e-30 1))) (case (vector-ref arg-4 0) ((18) (let ((e-34 (vector-ref arg-4 2))) (let ((e-36 (vector-ref arg-4 4))) (let ((e-37 (vector-ref arg-4 5))) (case (vector-ref e-36 0) ((1) (let ((e-38 (vector-ref e-36 1))) (case (vector-ref e-38 0) ((0) (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 e-37))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 (vector 18 e-34 (CoreC-45FC-emptyFC) 0 e-36 (vector 32 e-34 1))) e-5)))) eff-1))))))))(else (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 arg-4) e-5)))) eff-1)))))))))))(else (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 arg-4) e-5)))) eff-1)))))))))))))(else (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 arg-4) e-5)))) eff-1)))))))))))(else (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4)))))(else (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))))))(else (case (vector-ref arg-4 0) ((18) (let ((e-15 (vector-ref arg-4 5))) (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 arg-3 e-15)))(else (case (vector-ref arg-3 0) ((29) (lambda (clam-138) (case (vector-ref arg-4 0) ((29) (vector 1 '()))(else (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) clam-138))))) ((28) (let ((e-3 (vector-ref arg-3 1))) (let ((e-4 (vector-ref arg-3 2))) (case (vector-ref arg-4 0) ((28) (let ((e-9 (vector-ref arg-4 2))) (lambda (clam-139) (let ((sc4 (CoreC-45TT-u--C-61C-61_Eq_Constant e-4 e-9))) (cond ((equal? sc4 1) (vector 1 '())) (else (TTImpC-45WithClause-matchFail e-3 clam-139)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0)))))))))))))(else (case (vector-ref arg-4 0) ((10) (let ((e-41 (vector-ref arg-4 1))) (lambda (eta-0) (TTImpC-45WithClause-matchFail e-41 eta-0)))) ((9) (let ((e-46 (vector-ref arg-4 1))) (lambda (eta-0) (TTImpC-45WithClause-matchFail e-46 eta-0))))(else (case (vector-ref arg-3 0) ((13) (let ((e-17 (vector-ref arg-3 1))) (let ((e-19 (vector-ref arg-3 3))) (case (vector-ref arg-4 0) ((13) (let ((e-29 (vector-ref arg-4 3))) (TTImpC-45WithClause-matchAny arg-0 arg-1 e-17 arg-2 (DataC-45List-u--zip_Zippable_List e-19 e-29))))(else (case (vector-ref arg-4 0) ((18) (let ((e-15 (vector-ref arg-4 5))) (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 arg-3 e-15)))(else (case (vector-ref arg-3 0) ((29) (lambda (clam-140) (case (vector-ref arg-4 0) ((29) (vector 1 '()))(else (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) clam-140))))) ((28) (let ((e-3 (vector-ref arg-3 1))) (let ((e-4 (vector-ref arg-3 2))) (case (vector-ref arg-4 0) ((28) (let ((e-9 (vector-ref arg-4 2))) (lambda (clam-141) (let ((sc4 (CoreC-45TT-u--C-61C-61_Eq_Constant e-4 e-9))) (cond ((equal? sc4 1) (vector 1 '())) (else (TTImpC-45WithClause-matchFail e-3 clam-141)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0))))))))))) ((18) (let ((e-24 (vector-ref arg-3 4))) (let ((e-25 (vector-ref arg-3 5))) (case (vector-ref e-24 0) ((1) (let ((e-30 (vector-ref e-24 1))) (case (vector-ref e-30 0) ((0) (let ((e-31 (vector-ref e-30 1))) (case (vector-ref arg-4 0) ((18) (let ((e-34 (vector-ref arg-4 2))) (let ((e-36 (vector-ref arg-4 4))) (let ((e-37 (vector-ref arg-4 5))) (case (vector-ref e-36 0) ((1) (let ((e-38 (vector-ref e-36 1))) (case (vector-ref e-38 0) ((0) (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 e-37))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 (vector 18 e-34 (CoreC-45FC-emptyFC) 0 e-36 (vector 32 e-34 1))) e-5)))) eff-1))))))))(else (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 arg-4) e-5)))) eff-1)))))))))))(else (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 arg-4) e-5)))) eff-1)))))))))))))(else (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 arg-4) e-5)))) eff-1)))))))))))(else (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4)))))(else (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))))))(else (case (vector-ref arg-4 0) ((18) (let ((e-15 (vector-ref arg-4 5))) (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 arg-3 e-15)))(else (case (vector-ref arg-3 0) ((29) (lambda (clam-142) (case (vector-ref arg-4 0) ((29) (vector 1 '()))(else (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) clam-142))))) ((28) (let ((e-3 (vector-ref arg-3 1))) (let ((e-4 (vector-ref arg-3 2))) (case (vector-ref arg-4 0) ((28) (let ((e-9 (vector-ref arg-4 2))) (lambda (clam-143) (let ((sc3 (CoreC-45TT-u--C-61C-61_Eq_Constant e-4 e-9))) (cond ((equal? sc3 1) (vector 1 '())) (else (TTImpC-45WithClause-matchFail e-3 clam-143)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0))))))))))))))))) ((9) (let ((e-83 (vector-ref arg-3 2))) (let ((e-84 (vector-ref arg-3 3))) (case (vector-ref arg-4 0) ((9) (let ((e-117 (vector-ref arg-4 2))) (let ((e-118 (vector-ref arg-4 3))) (TTImpC-45WithClause-matchAll arg-0 arg-1 arg-2 (cons (cons e-83 e-117) (cons (cons e-84 e-118) '()))))))(else (cond ((equal? arg-2 1) (case (vector-ref arg-3 0) ((10) (let ((e-51 (vector-ref arg-3 2))) (let ((e-53 (vector-ref arg-3 4))) (TTImpC-45WithClause-matchAll arg-0 arg-1 1 (cons (cons e-51 arg-4) (cons (cons e-53 e-53) '())))))) ((9) (let ((e-56 (vector-ref arg-3 2))) (let ((e-57 (vector-ref arg-3 3))) (TTImpC-45WithClause-matchAll arg-0 arg-1 1 (cons (cons e-56 arg-4) (cons (cons e-57 e-57) '()))))))(else (case (vector-ref arg-4 0) ((10) (let ((e-41 (vector-ref arg-4 1))) (lambda (eta-0) (TTImpC-45WithClause-matchFail e-41 eta-0)))) ((9) (let ((e-46 (vector-ref arg-4 1))) (lambda (eta-0) (TTImpC-45WithClause-matchFail e-46 eta-0))))(else (case (vector-ref arg-3 0) ((13) (let ((e-17 (vector-ref arg-3 1))) (let ((e-19 (vector-ref arg-3 3))) (case (vector-ref arg-4 0) ((13) (let ((e-29 (vector-ref arg-4 3))) (TTImpC-45WithClause-matchAny arg-0 arg-1 e-17 arg-2 (DataC-45List-u--zip_Zippable_List e-19 e-29))))(else (case (vector-ref arg-4 0) ((18) (let ((e-15 (vector-ref arg-4 5))) (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 arg-3 e-15)))(else (case (vector-ref arg-3 0) ((29) (lambda (clam-144) (case (vector-ref arg-4 0) ((29) (vector 1 '()))(else (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) clam-144))))) ((28) (let ((e-3 (vector-ref arg-3 1))) (let ((e-4 (vector-ref arg-3 2))) (case (vector-ref arg-4 0) ((28) (let ((e-9 (vector-ref arg-4 2))) (lambda (clam-145) (let ((sc5 (CoreC-45TT-u--C-61C-61_Eq_Constant e-4 e-9))) (cond ((equal? sc5 1) (vector 1 '())) (else (TTImpC-45WithClause-matchFail e-3 clam-145)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0))))))))))) ((18) (let ((e-24 (vector-ref arg-3 4))) (let ((e-25 (vector-ref arg-3 5))) (case (vector-ref e-24 0) ((1) (let ((e-30 (vector-ref e-24 1))) (case (vector-ref e-30 0) ((0) (let ((e-31 (vector-ref e-30 1))) (case (vector-ref arg-4 0) ((18) (let ((e-34 (vector-ref arg-4 2))) (let ((e-36 (vector-ref arg-4 4))) (let ((e-37 (vector-ref arg-4 5))) (case (vector-ref e-36 0) ((1) (let ((e-38 (vector-ref e-36 1))) (case (vector-ref e-38 0) ((0) (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 e-37))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 (vector 18 e-34 (CoreC-45FC-emptyFC) 0 e-36 (vector 32 e-34 1))) e-5)))) eff-1))))))))(else (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 arg-4) e-5)))) eff-1)))))))))))(else (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 arg-4) e-5)))) eff-1)))))))))))))(else (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 arg-4) e-5)))) eff-1)))))))))))(else (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4)))))(else (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))))))(else (case (vector-ref arg-4 0) ((18) (let ((e-15 (vector-ref arg-4 5))) (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 arg-3 e-15)))(else (case (vector-ref arg-3 0) ((29) (lambda (clam-146) (case (vector-ref arg-4 0) ((29) (vector 1 '()))(else (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) clam-146))))) ((28) (let ((e-3 (vector-ref arg-3 1))) (let ((e-4 (vector-ref arg-3 2))) (case (vector-ref arg-4 0) ((28) (let ((e-9 (vector-ref arg-4 2))) (lambda (clam-147) (let ((sc4 (CoreC-45TT-u--C-61C-61_Eq_Constant e-4 e-9))) (cond ((equal? sc4 1) (vector 1 '())) (else (TTImpC-45WithClause-matchFail e-3 clam-147)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0))))))))))))) ((equal? arg-2 0) (case (vector-ref arg-3 0) ((10) (let ((e-60 (vector-ref arg-3 2))) (TTImpC-45WithClause-getMatch arg-0 arg-1 0 e-60 e-60))) ((9) (let ((e-65 (vector-ref arg-3 2))) (TTImpC-45WithClause-getMatch arg-0 arg-1 0 e-65 e-65)))(else (case (vector-ref arg-4 0) ((10) (let ((e-41 (vector-ref arg-4 1))) (lambda (eta-0) (TTImpC-45WithClause-matchFail e-41 eta-0)))) ((9) (let ((e-46 (vector-ref arg-4 1))) (lambda (eta-0) (TTImpC-45WithClause-matchFail e-46 eta-0))))(else (case (vector-ref arg-3 0) ((13) (let ((e-17 (vector-ref arg-3 1))) (let ((e-19 (vector-ref arg-3 3))) (case (vector-ref arg-4 0) ((13) (let ((e-29 (vector-ref arg-4 3))) (TTImpC-45WithClause-matchAny arg-0 arg-1 e-17 arg-2 (DataC-45List-u--zip_Zippable_List e-19 e-29))))(else (case (vector-ref arg-4 0) ((18) (let ((e-15 (vector-ref arg-4 5))) (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 arg-3 e-15)))(else (case (vector-ref arg-3 0) ((29) (lambda (clam-148) (case (vector-ref arg-4 0) ((29) (vector 1 '()))(else (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) clam-148))))) ((28) (let ((e-3 (vector-ref arg-3 1))) (let ((e-4 (vector-ref arg-3 2))) (case (vector-ref arg-4 0) ((28) (let ((e-9 (vector-ref arg-4 2))) (lambda (clam-149) (let ((sc5 (CoreC-45TT-u--C-61C-61_Eq_Constant e-4 e-9))) (cond ((equal? sc5 1) (vector 1 '())) (else (TTImpC-45WithClause-matchFail e-3 clam-149)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0))))))))))) ((18) (let ((e-24 (vector-ref arg-3 4))) (let ((e-25 (vector-ref arg-3 5))) (case (vector-ref e-24 0) ((1) (let ((e-30 (vector-ref e-24 1))) (case (vector-ref e-30 0) ((0) (let ((e-31 (vector-ref e-30 1))) (case (vector-ref arg-4 0) ((18) (let ((e-34 (vector-ref arg-4 2))) (let ((e-36 (vector-ref arg-4 4))) (let ((e-37 (vector-ref arg-4 5))) (case (vector-ref e-36 0) ((1) (let ((e-38 (vector-ref e-36 1))) (case (vector-ref e-38 0) ((0) (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 e-37))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 (vector 18 e-34 (CoreC-45FC-emptyFC) 0 e-36 (vector 32 e-34 1))) e-5)))) eff-1))))))))(else (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 arg-4) e-5)))) eff-1)))))))))))(else (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 arg-4) e-5)))) eff-1)))))))))))))(else (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 arg-4) e-5)))) eff-1)))))))))))(else (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4)))))(else (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))))))(else (case (vector-ref arg-4 0) ((18) (let ((e-15 (vector-ref arg-4 5))) (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 arg-3 e-15)))(else (case (vector-ref arg-3 0) ((29) (lambda (clam-150) (case (vector-ref arg-4 0) ((29) (vector 1 '()))(else (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) clam-150))))) ((28) (let ((e-3 (vector-ref arg-3 1))) (let ((e-4 (vector-ref arg-3 2))) (case (vector-ref arg-4 0) ((28) (let ((e-9 (vector-ref arg-4 2))) (lambda (clam-151) (let ((sc4 (CoreC-45TT-u--C-61C-61_Eq_Constant e-4 e-9))) (cond ((equal? sc4 1) (vector 1 '())) (else (TTImpC-45WithClause-matchFail e-3 clam-151)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0)))))))))))))(else (case (vector-ref arg-4 0) ((10) (let ((e-41 (vector-ref arg-4 1))) (lambda (eta-0) (TTImpC-45WithClause-matchFail e-41 eta-0)))) ((9) (let ((e-46 (vector-ref arg-4 1))) (lambda (eta-0) (TTImpC-45WithClause-matchFail e-46 eta-0))))(else (case (vector-ref arg-3 0) ((13) (let ((e-17 (vector-ref arg-3 1))) (let ((e-19 (vector-ref arg-3 3))) (case (vector-ref arg-4 0) ((13) (let ((e-29 (vector-ref arg-4 3))) (TTImpC-45WithClause-matchAny arg-0 arg-1 e-17 arg-2 (DataC-45List-u--zip_Zippable_List e-19 e-29))))(else (case (vector-ref arg-4 0) ((18) (let ((e-15 (vector-ref arg-4 5))) (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 arg-3 e-15)))(else (case (vector-ref arg-3 0) ((29) (lambda (clam-152) (case (vector-ref arg-4 0) ((29) (vector 1 '()))(else (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) clam-152))))) ((28) (let ((e-3 (vector-ref arg-3 1))) (let ((e-4 (vector-ref arg-3 2))) (case (vector-ref arg-4 0) ((28) (let ((e-9 (vector-ref arg-4 2))) (lambda (clam-153) (let ((sc4 (CoreC-45TT-u--C-61C-61_Eq_Constant e-4 e-9))) (cond ((equal? sc4 1) (vector 1 '())) (else (TTImpC-45WithClause-matchFail e-3 clam-153)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0))))))))))) ((18) (let ((e-24 (vector-ref arg-3 4))) (let ((e-25 (vector-ref arg-3 5))) (case (vector-ref e-24 0) ((1) (let ((e-30 (vector-ref e-24 1))) (case (vector-ref e-30 0) ((0) (let ((e-31 (vector-ref e-30 1))) (case (vector-ref arg-4 0) ((18) (let ((e-34 (vector-ref arg-4 2))) (let ((e-36 (vector-ref arg-4 4))) (let ((e-37 (vector-ref arg-4 5))) (case (vector-ref e-36 0) ((1) (let ((e-38 (vector-ref e-36 1))) (case (vector-ref e-38 0) ((0) (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 e-37))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 (vector 18 e-34 (CoreC-45FC-emptyFC) 0 e-36 (vector 32 e-34 1))) e-5)))) eff-1))))))))(else (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 arg-4) e-5)))) eff-1)))))))))))(else (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 arg-4) e-5)))) eff-1)))))))))))))(else (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 arg-4) e-5)))) eff-1)))))))))))(else (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4)))))(else (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))))))(else (case (vector-ref arg-4 0) ((18) (let ((e-15 (vector-ref arg-4 5))) (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 arg-3 e-15)))(else (case (vector-ref arg-3 0) ((29) (lambda (clam-154) (case (vector-ref arg-4 0) ((29) (vector 1 '()))(else (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) clam-154))))) ((28) (let ((e-3 (vector-ref arg-3 1))) (let ((e-4 (vector-ref arg-3 2))) (case (vector-ref arg-4 0) ((28) (let ((e-9 (vector-ref arg-4 2))) (lambda (clam-155) (let ((sc3 (CoreC-45TT-u--C-61C-61_Eq_Constant e-4 e-9))) (cond ((equal? sc3 1) (vector 1 '())) (else (TTImpC-45WithClause-matchFail e-3 clam-155)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0))))))))))))))))) ((10) (let ((e-87 (vector-ref arg-3 2))) (let ((e-88 (vector-ref arg-3 3))) (let ((e-89 (vector-ref arg-3 4))) (case (vector-ref arg-4 0) ((10) (let ((e-120 (vector-ref arg-4 1))) (let ((e-121 (vector-ref arg-4 2))) (let ((e-122 (vector-ref arg-4 3))) (let ((e-123 (vector-ref arg-4 4))) (let ((sc2 (CoreC-45Name-u--C-61C-61_Eq_Name e-88 e-122))) (cond ((equal? sc2 1) (TTImpC-45WithClause-matchAll arg-0 arg-1 arg-2 (cons (cons e-87 e-121) (cons (cons e-89 e-123) '())))) (else (lambda (eta-0) (TTImpC-45WithClause-matchFail e-120 eta-0))))))))))(else (cond ((equal? arg-2 1) (case (vector-ref arg-3 0) ((10) (let ((e-51 (vector-ref arg-3 2))) (let ((e-53 (vector-ref arg-3 4))) (TTImpC-45WithClause-matchAll arg-0 arg-1 1 (cons (cons e-51 arg-4) (cons (cons e-53 e-53) '())))))) ((9) (let ((e-56 (vector-ref arg-3 2))) (let ((e-57 (vector-ref arg-3 3))) (TTImpC-45WithClause-matchAll arg-0 arg-1 1 (cons (cons e-56 arg-4) (cons (cons e-57 e-57) '()))))))(else (case (vector-ref arg-4 0) ((10) (let ((e-41 (vector-ref arg-4 1))) (lambda (eta-0) (TTImpC-45WithClause-matchFail e-41 eta-0)))) ((9) (let ((e-46 (vector-ref arg-4 1))) (lambda (eta-0) (TTImpC-45WithClause-matchFail e-46 eta-0))))(else (case (vector-ref arg-3 0) ((13) (let ((e-17 (vector-ref arg-3 1))) (let ((e-19 (vector-ref arg-3 3))) (case (vector-ref arg-4 0) ((13) (let ((e-29 (vector-ref arg-4 3))) (TTImpC-45WithClause-matchAny arg-0 arg-1 e-17 arg-2 (DataC-45List-u--zip_Zippable_List e-19 e-29))))(else (case (vector-ref arg-4 0) ((18) (let ((e-15 (vector-ref arg-4 5))) (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 arg-3 e-15)))(else (case (vector-ref arg-3 0) ((29) (lambda (clam-156) (case (vector-ref arg-4 0) ((29) (vector 1 '()))(else (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) clam-156))))) ((28) (let ((e-3 (vector-ref arg-3 1))) (let ((e-4 (vector-ref arg-3 2))) (case (vector-ref arg-4 0) ((28) (let ((e-9 (vector-ref arg-4 2))) (lambda (clam-157) (let ((sc5 (CoreC-45TT-u--C-61C-61_Eq_Constant e-4 e-9))) (cond ((equal? sc5 1) (vector 1 '())) (else (TTImpC-45WithClause-matchFail e-3 clam-157)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0))))))))))) ((18) (let ((e-24 (vector-ref arg-3 4))) (let ((e-25 (vector-ref arg-3 5))) (case (vector-ref e-24 0) ((1) (let ((e-30 (vector-ref e-24 1))) (case (vector-ref e-30 0) ((0) (let ((e-31 (vector-ref e-30 1))) (case (vector-ref arg-4 0) ((18) (let ((e-34 (vector-ref arg-4 2))) (let ((e-36 (vector-ref arg-4 4))) (let ((e-37 (vector-ref arg-4 5))) (case (vector-ref e-36 0) ((1) (let ((e-38 (vector-ref e-36 1))) (case (vector-ref e-38 0) ((0) (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 e-37))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 (vector 18 e-34 (CoreC-45FC-emptyFC) 0 e-36 (vector 32 e-34 1))) e-5)))) eff-1))))))))(else (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 arg-4) e-5)))) eff-1)))))))))))(else (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 arg-4) e-5)))) eff-1)))))))))))))(else (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 arg-4) e-5)))) eff-1)))))))))))(else (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4)))))(else (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))))))(else (case (vector-ref arg-4 0) ((18) (let ((e-15 (vector-ref arg-4 5))) (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 arg-3 e-15)))(else (case (vector-ref arg-3 0) ((29) (lambda (clam-158) (case (vector-ref arg-4 0) ((29) (vector 1 '()))(else (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) clam-158))))) ((28) (let ((e-3 (vector-ref arg-3 1))) (let ((e-4 (vector-ref arg-3 2))) (case (vector-ref arg-4 0) ((28) (let ((e-9 (vector-ref arg-4 2))) (lambda (clam-159) (let ((sc4 (CoreC-45TT-u--C-61C-61_Eq_Constant e-4 e-9))) (cond ((equal? sc4 1) (vector 1 '())) (else (TTImpC-45WithClause-matchFail e-3 clam-159)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0))))))))))))) ((equal? arg-2 0) (case (vector-ref arg-3 0) ((10) (let ((e-60 (vector-ref arg-3 2))) (TTImpC-45WithClause-getMatch arg-0 arg-1 0 e-60 e-60))) ((9) (let ((e-65 (vector-ref arg-3 2))) (TTImpC-45WithClause-getMatch arg-0 arg-1 0 e-65 e-65)))(else (case (vector-ref arg-4 0) ((10) (let ((e-41 (vector-ref arg-4 1))) (lambda (eta-0) (TTImpC-45WithClause-matchFail e-41 eta-0)))) ((9) (let ((e-46 (vector-ref arg-4 1))) (lambda (eta-0) (TTImpC-45WithClause-matchFail e-46 eta-0))))(else (case (vector-ref arg-3 0) ((13) (let ((e-17 (vector-ref arg-3 1))) (let ((e-19 (vector-ref arg-3 3))) (case (vector-ref arg-4 0) ((13) (let ((e-29 (vector-ref arg-4 3))) (TTImpC-45WithClause-matchAny arg-0 arg-1 e-17 arg-2 (DataC-45List-u--zip_Zippable_List e-19 e-29))))(else (case (vector-ref arg-4 0) ((18) (let ((e-15 (vector-ref arg-4 5))) (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 arg-3 e-15)))(else (case (vector-ref arg-3 0) ((29) (lambda (clam-160) (case (vector-ref arg-4 0) ((29) (vector 1 '()))(else (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) clam-160))))) ((28) (let ((e-3 (vector-ref arg-3 1))) (let ((e-4 (vector-ref arg-3 2))) (case (vector-ref arg-4 0) ((28) (let ((e-9 (vector-ref arg-4 2))) (lambda (clam-161) (let ((sc5 (CoreC-45TT-u--C-61C-61_Eq_Constant e-4 e-9))) (cond ((equal? sc5 1) (vector 1 '())) (else (TTImpC-45WithClause-matchFail e-3 clam-161)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0))))))))))) ((18) (let ((e-24 (vector-ref arg-3 4))) (let ((e-25 (vector-ref arg-3 5))) (case (vector-ref e-24 0) ((1) (let ((e-30 (vector-ref e-24 1))) (case (vector-ref e-30 0) ((0) (let ((e-31 (vector-ref e-30 1))) (case (vector-ref arg-4 0) ((18) (let ((e-34 (vector-ref arg-4 2))) (let ((e-36 (vector-ref arg-4 4))) (let ((e-37 (vector-ref arg-4 5))) (case (vector-ref e-36 0) ((1) (let ((e-38 (vector-ref e-36 1))) (case (vector-ref e-38 0) ((0) (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 e-37))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 (vector 18 e-34 (CoreC-45FC-emptyFC) 0 e-36 (vector 32 e-34 1))) e-5)))) eff-1))))))))(else (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 arg-4) e-5)))) eff-1)))))))))))(else (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 arg-4) e-5)))) eff-1)))))))))))))(else (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 arg-4) e-5)))) eff-1)))))))))))(else (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4)))))(else (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))))))(else (case (vector-ref arg-4 0) ((18) (let ((e-15 (vector-ref arg-4 5))) (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 arg-3 e-15)))(else (case (vector-ref arg-3 0) ((29) (lambda (clam-162) (case (vector-ref arg-4 0) ((29) (vector 1 '()))(else (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) clam-162))))) ((28) (let ((e-3 (vector-ref arg-3 1))) (let ((e-4 (vector-ref arg-3 2))) (case (vector-ref arg-4 0) ((28) (let ((e-9 (vector-ref arg-4 2))) (lambda (clam-163) (let ((sc4 (CoreC-45TT-u--C-61C-61_Eq_Constant e-4 e-9))) (cond ((equal? sc4 1) (vector 1 '())) (else (TTImpC-45WithClause-matchFail e-3 clam-163)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0)))))))))))))(else (case (vector-ref arg-4 0) ((10) (let ((e-41 (vector-ref arg-4 1))) (lambda (eta-0) (TTImpC-45WithClause-matchFail e-41 eta-0)))) ((9) (let ((e-46 (vector-ref arg-4 1))) (lambda (eta-0) (TTImpC-45WithClause-matchFail e-46 eta-0))))(else (case (vector-ref arg-3 0) ((13) (let ((e-17 (vector-ref arg-3 1))) (let ((e-19 (vector-ref arg-3 3))) (case (vector-ref arg-4 0) ((13) (let ((e-29 (vector-ref arg-4 3))) (TTImpC-45WithClause-matchAny arg-0 arg-1 e-17 arg-2 (DataC-45List-u--zip_Zippable_List e-19 e-29))))(else (case (vector-ref arg-4 0) ((18) (let ((e-15 (vector-ref arg-4 5))) (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 arg-3 e-15)))(else (case (vector-ref arg-3 0) ((29) (lambda (clam-164) (case (vector-ref arg-4 0) ((29) (vector 1 '()))(else (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) clam-164))))) ((28) (let ((e-3 (vector-ref arg-3 1))) (let ((e-4 (vector-ref arg-3 2))) (case (vector-ref arg-4 0) ((28) (let ((e-9 (vector-ref arg-4 2))) (lambda (clam-165) (let ((sc4 (CoreC-45TT-u--C-61C-61_Eq_Constant e-4 e-9))) (cond ((equal? sc4 1) (vector 1 '())) (else (TTImpC-45WithClause-matchFail e-3 clam-165)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0))))))))))) ((18) (let ((e-24 (vector-ref arg-3 4))) (let ((e-25 (vector-ref arg-3 5))) (case (vector-ref e-24 0) ((1) (let ((e-30 (vector-ref e-24 1))) (case (vector-ref e-30 0) ((0) (let ((e-31 (vector-ref e-30 1))) (case (vector-ref arg-4 0) ((18) (let ((e-34 (vector-ref arg-4 2))) (let ((e-36 (vector-ref arg-4 4))) (let ((e-37 (vector-ref arg-4 5))) (case (vector-ref e-36 0) ((1) (let ((e-38 (vector-ref e-36 1))) (case (vector-ref e-38 0) ((0) (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 e-37))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 (vector 18 e-34 (CoreC-45FC-emptyFC) 0 e-36 (vector 32 e-34 1))) e-5)))) eff-1))))))))(else (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 arg-4) e-5)))) eff-1)))))))))))(else (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 arg-4) e-5)))) eff-1)))))))))))))(else (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 arg-4) e-5)))) eff-1)))))))))))(else (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4)))))(else (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))))))(else (case (vector-ref arg-4 0) ((18) (let ((e-15 (vector-ref arg-4 5))) (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 arg-3 e-15)))(else (case (vector-ref arg-3 0) ((29) (lambda (clam-166) (case (vector-ref arg-4 0) ((29) (vector 1 '()))(else (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) clam-166))))) ((28) (let ((e-3 (vector-ref arg-3 1))) (let ((e-4 (vector-ref arg-3 2))) (case (vector-ref arg-4 0) ((28) (let ((e-9 (vector-ref arg-4 2))) (lambda (clam-167) (let ((sc3 (CoreC-45TT-u--C-61C-61_Eq_Constant e-4 e-9))) (cond ((equal? sc3 1) (vector 1 '())) (else (TTImpC-45WithClause-matchFail e-3 clam-167)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0)))))))))))))))))) ((11) (let ((e-92 (vector-ref arg-3 2))) (let ((e-93 (vector-ref arg-3 3))) (case (vector-ref arg-4 0) ((11) (let ((e-126 (vector-ref arg-4 2))) (let ((e-127 (vector-ref arg-4 3))) (TTImpC-45WithClause-matchAll arg-0 arg-1 arg-2 (cons (cons e-92 e-126) (cons (cons e-93 e-127) '()))))))(else (cond ((equal? arg-2 1) (case (vector-ref arg-3 0) ((10) (let ((e-51 (vector-ref arg-3 2))) (let ((e-53 (vector-ref arg-3 4))) (TTImpC-45WithClause-matchAll arg-0 arg-1 1 (cons (cons e-51 arg-4) (cons (cons e-53 e-53) '())))))) ((9) (let ((e-56 (vector-ref arg-3 2))) (let ((e-57 (vector-ref arg-3 3))) (TTImpC-45WithClause-matchAll arg-0 arg-1 1 (cons (cons e-56 arg-4) (cons (cons e-57 e-57) '()))))))(else (case (vector-ref arg-4 0) ((10) (let ((e-41 (vector-ref arg-4 1))) (lambda (eta-0) (TTImpC-45WithClause-matchFail e-41 eta-0)))) ((9) (let ((e-46 (vector-ref arg-4 1))) (lambda (eta-0) (TTImpC-45WithClause-matchFail e-46 eta-0))))(else (case (vector-ref arg-3 0) ((13) (let ((e-17 (vector-ref arg-3 1))) (let ((e-19 (vector-ref arg-3 3))) (case (vector-ref arg-4 0) ((13) (let ((e-29 (vector-ref arg-4 3))) (TTImpC-45WithClause-matchAny arg-0 arg-1 e-17 arg-2 (DataC-45List-u--zip_Zippable_List e-19 e-29))))(else (case (vector-ref arg-4 0) ((18) (let ((e-15 (vector-ref arg-4 5))) (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 arg-3 e-15)))(else (case (vector-ref arg-3 0) ((29) (lambda (clam-168) (case (vector-ref arg-4 0) ((29) (vector 1 '()))(else (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) clam-168))))) ((28) (let ((e-3 (vector-ref arg-3 1))) (let ((e-4 (vector-ref arg-3 2))) (case (vector-ref arg-4 0) ((28) (let ((e-9 (vector-ref arg-4 2))) (lambda (clam-169) (let ((sc5 (CoreC-45TT-u--C-61C-61_Eq_Constant e-4 e-9))) (cond ((equal? sc5 1) (vector 1 '())) (else (TTImpC-45WithClause-matchFail e-3 clam-169)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0))))))))))) ((18) (let ((e-24 (vector-ref arg-3 4))) (let ((e-25 (vector-ref arg-3 5))) (case (vector-ref e-24 0) ((1) (let ((e-30 (vector-ref e-24 1))) (case (vector-ref e-30 0) ((0) (let ((e-31 (vector-ref e-30 1))) (case (vector-ref arg-4 0) ((18) (let ((e-34 (vector-ref arg-4 2))) (let ((e-36 (vector-ref arg-4 4))) (let ((e-37 (vector-ref arg-4 5))) (case (vector-ref e-36 0) ((1) (let ((e-38 (vector-ref e-36 1))) (case (vector-ref e-38 0) ((0) (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 e-37))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 (vector 18 e-34 (CoreC-45FC-emptyFC) 0 e-36 (vector 32 e-34 1))) e-5)))) eff-1))))))))(else (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 arg-4) e-5)))) eff-1)))))))))))(else (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 arg-4) e-5)))) eff-1)))))))))))))(else (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 arg-4) e-5)))) eff-1)))))))))))(else (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4)))))(else (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))))))(else (case (vector-ref arg-4 0) ((18) (let ((e-15 (vector-ref arg-4 5))) (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 arg-3 e-15)))(else (case (vector-ref arg-3 0) ((29) (lambda (clam-170) (case (vector-ref arg-4 0) ((29) (vector 1 '()))(else (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) clam-170))))) ((28) (let ((e-3 (vector-ref arg-3 1))) (let ((e-4 (vector-ref arg-3 2))) (case (vector-ref arg-4 0) ((28) (let ((e-9 (vector-ref arg-4 2))) (lambda (clam-171) (let ((sc4 (CoreC-45TT-u--C-61C-61_Eq_Constant e-4 e-9))) (cond ((equal? sc4 1) (vector 1 '())) (else (TTImpC-45WithClause-matchFail e-3 clam-171)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0))))))))))))) ((equal? arg-2 0) (case (vector-ref arg-3 0) ((10) (let ((e-60 (vector-ref arg-3 2))) (TTImpC-45WithClause-getMatch arg-0 arg-1 0 e-60 e-60))) ((9) (let ((e-65 (vector-ref arg-3 2))) (TTImpC-45WithClause-getMatch arg-0 arg-1 0 e-65 e-65)))(else (case (vector-ref arg-4 0) ((10) (let ((e-41 (vector-ref arg-4 1))) (lambda (eta-0) (TTImpC-45WithClause-matchFail e-41 eta-0)))) ((9) (let ((e-46 (vector-ref arg-4 1))) (lambda (eta-0) (TTImpC-45WithClause-matchFail e-46 eta-0))))(else (case (vector-ref arg-3 0) ((13) (let ((e-17 (vector-ref arg-3 1))) (let ((e-19 (vector-ref arg-3 3))) (case (vector-ref arg-4 0) ((13) (let ((e-29 (vector-ref arg-4 3))) (TTImpC-45WithClause-matchAny arg-0 arg-1 e-17 arg-2 (DataC-45List-u--zip_Zippable_List e-19 e-29))))(else (case (vector-ref arg-4 0) ((18) (let ((e-15 (vector-ref arg-4 5))) (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 arg-3 e-15)))(else (case (vector-ref arg-3 0) ((29) (lambda (clam-172) (case (vector-ref arg-4 0) ((29) (vector 1 '()))(else (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) clam-172))))) ((28) (let ((e-3 (vector-ref arg-3 1))) (let ((e-4 (vector-ref arg-3 2))) (case (vector-ref arg-4 0) ((28) (let ((e-9 (vector-ref arg-4 2))) (lambda (clam-173) (let ((sc5 (CoreC-45TT-u--C-61C-61_Eq_Constant e-4 e-9))) (cond ((equal? sc5 1) (vector 1 '())) (else (TTImpC-45WithClause-matchFail e-3 clam-173)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0))))))))))) ((18) (let ((e-24 (vector-ref arg-3 4))) (let ((e-25 (vector-ref arg-3 5))) (case (vector-ref e-24 0) ((1) (let ((e-30 (vector-ref e-24 1))) (case (vector-ref e-30 0) ((0) (let ((e-31 (vector-ref e-30 1))) (case (vector-ref arg-4 0) ((18) (let ((e-34 (vector-ref arg-4 2))) (let ((e-36 (vector-ref arg-4 4))) (let ((e-37 (vector-ref arg-4 5))) (case (vector-ref e-36 0) ((1) (let ((e-38 (vector-ref e-36 1))) (case (vector-ref e-38 0) ((0) (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 e-37))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 (vector 18 e-34 (CoreC-45FC-emptyFC) 0 e-36 (vector 32 e-34 1))) e-5)))) eff-1))))))))(else (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 arg-4) e-5)))) eff-1)))))))))))(else (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 arg-4) e-5)))) eff-1)))))))))))))(else (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 arg-4) e-5)))) eff-1)))))))))))(else (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4)))))(else (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))))))(else (case (vector-ref arg-4 0) ((18) (let ((e-15 (vector-ref arg-4 5))) (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 arg-3 e-15)))(else (case (vector-ref arg-3 0) ((29) (lambda (clam-174) (case (vector-ref arg-4 0) ((29) (vector 1 '()))(else (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) clam-174))))) ((28) (let ((e-3 (vector-ref arg-3 1))) (let ((e-4 (vector-ref arg-3 2))) (case (vector-ref arg-4 0) ((28) (let ((e-9 (vector-ref arg-4 2))) (lambda (clam-175) (let ((sc4 (CoreC-45TT-u--C-61C-61_Eq_Constant e-4 e-9))) (cond ((equal? sc4 1) (vector 1 '())) (else (TTImpC-45WithClause-matchFail e-3 clam-175)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0)))))))))))))(else (case (vector-ref arg-4 0) ((10) (let ((e-41 (vector-ref arg-4 1))) (lambda (eta-0) (TTImpC-45WithClause-matchFail e-41 eta-0)))) ((9) (let ((e-46 (vector-ref arg-4 1))) (lambda (eta-0) (TTImpC-45WithClause-matchFail e-46 eta-0))))(else (case (vector-ref arg-3 0) ((13) (let ((e-17 (vector-ref arg-3 1))) (let ((e-19 (vector-ref arg-3 3))) (case (vector-ref arg-4 0) ((13) (let ((e-29 (vector-ref arg-4 3))) (TTImpC-45WithClause-matchAny arg-0 arg-1 e-17 arg-2 (DataC-45List-u--zip_Zippable_List e-19 e-29))))(else (case (vector-ref arg-4 0) ((18) (let ((e-15 (vector-ref arg-4 5))) (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 arg-3 e-15)))(else (case (vector-ref arg-3 0) ((29) (lambda (clam-176) (case (vector-ref arg-4 0) ((29) (vector 1 '()))(else (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) clam-176))))) ((28) (let ((e-3 (vector-ref arg-3 1))) (let ((e-4 (vector-ref arg-3 2))) (case (vector-ref arg-4 0) ((28) (let ((e-9 (vector-ref arg-4 2))) (lambda (clam-177) (let ((sc4 (CoreC-45TT-u--C-61C-61_Eq_Constant e-4 e-9))) (cond ((equal? sc4 1) (vector 1 '())) (else (TTImpC-45WithClause-matchFail e-3 clam-177)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0))))))))))) ((18) (let ((e-24 (vector-ref arg-3 4))) (let ((e-25 (vector-ref arg-3 5))) (case (vector-ref e-24 0) ((1) (let ((e-30 (vector-ref e-24 1))) (case (vector-ref e-30 0) ((0) (let ((e-31 (vector-ref e-30 1))) (case (vector-ref arg-4 0) ((18) (let ((e-34 (vector-ref arg-4 2))) (let ((e-36 (vector-ref arg-4 4))) (let ((e-37 (vector-ref arg-4 5))) (case (vector-ref e-36 0) ((1) (let ((e-38 (vector-ref e-36 1))) (case (vector-ref e-38 0) ((0) (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 e-37))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 (vector 18 e-34 (CoreC-45FC-emptyFC) 0 e-36 (vector 32 e-34 1))) e-5)))) eff-1))))))))(else (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 arg-4) e-5)))) eff-1)))))))))))(else (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 arg-4) e-5)))) eff-1)))))))))))))(else (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 arg-4) e-5)))) eff-1)))))))))))(else (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4)))))(else (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))))))(else (case (vector-ref arg-4 0) ((18) (let ((e-15 (vector-ref arg-4 5))) (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 arg-3 e-15)))(else (case (vector-ref arg-3 0) ((29) (lambda (clam-178) (case (vector-ref arg-4 0) ((29) (vector 1 '()))(else (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) clam-178))))) ((28) (let ((e-3 (vector-ref arg-3 1))) (let ((e-4 (vector-ref arg-3 2))) (case (vector-ref arg-4 0) ((28) (let ((e-9 (vector-ref arg-4 2))) (lambda (clam-179) (let ((sc3 (CoreC-45TT-u--C-61C-61_Eq_Constant e-4 e-9))) (cond ((equal? sc3 1) (vector 1 '())) (else (TTImpC-45WithClause-matchFail e-3 clam-179)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0)))))))))))))))))(else (cond ((equal? arg-2 1) (case (vector-ref arg-3 0) ((10) (let ((e-51 (vector-ref arg-3 2))) (let ((e-53 (vector-ref arg-3 4))) (TTImpC-45WithClause-matchAll arg-0 arg-1 1 (cons (cons e-51 arg-4) (cons (cons e-53 e-53) '())))))) ((9) (let ((e-56 (vector-ref arg-3 2))) (let ((e-57 (vector-ref arg-3 3))) (TTImpC-45WithClause-matchAll arg-0 arg-1 1 (cons (cons e-56 arg-4) (cons (cons e-57 e-57) '()))))))(else (case (vector-ref arg-4 0) ((10) (let ((e-41 (vector-ref arg-4 1))) (lambda (eta-0) (TTImpC-45WithClause-matchFail e-41 eta-0)))) ((9) (let ((e-46 (vector-ref arg-4 1))) (lambda (eta-0) (TTImpC-45WithClause-matchFail e-46 eta-0))))(else (case (vector-ref arg-3 0) ((13) (let ((e-17 (vector-ref arg-3 1))) (let ((e-19 (vector-ref arg-3 3))) (case (vector-ref arg-4 0) ((13) (let ((e-29 (vector-ref arg-4 3))) (TTImpC-45WithClause-matchAny arg-0 arg-1 e-17 arg-2 (DataC-45List-u--zip_Zippable_List e-19 e-29))))(else (case (vector-ref arg-4 0) ((18) (let ((e-15 (vector-ref arg-4 5))) (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 arg-3 e-15)))(else (case (vector-ref arg-3 0) ((29) (lambda (clam-180) (case (vector-ref arg-4 0) ((29) (vector 1 '()))(else (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) clam-180))))) ((28) (let ((e-3 (vector-ref arg-3 1))) (let ((e-4 (vector-ref arg-3 2))) (case (vector-ref arg-4 0) ((28) (let ((e-9 (vector-ref arg-4 2))) (lambda (clam-181) (let ((sc4 (CoreC-45TT-u--C-61C-61_Eq_Constant e-4 e-9))) (cond ((equal? sc4 1) (vector 1 '())) (else (TTImpC-45WithClause-matchFail e-3 clam-181)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0))))))))))) ((18) (let ((e-24 (vector-ref arg-3 4))) (let ((e-25 (vector-ref arg-3 5))) (case (vector-ref e-24 0) ((1) (let ((e-30 (vector-ref e-24 1))) (case (vector-ref e-30 0) ((0) (let ((e-31 (vector-ref e-30 1))) (case (vector-ref arg-4 0) ((18) (let ((e-34 (vector-ref arg-4 2))) (let ((e-36 (vector-ref arg-4 4))) (let ((e-37 (vector-ref arg-4 5))) (case (vector-ref e-36 0) ((1) (let ((e-38 (vector-ref e-36 1))) (case (vector-ref e-38 0) ((0) (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 e-37))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 (vector 18 e-34 (CoreC-45FC-emptyFC) 0 e-36 (vector 32 e-34 1))) e-5)))) eff-1))))))))(else (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 arg-4) e-5)))) eff-1)))))))))))(else (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 arg-4) e-5)))) eff-1)))))))))))))(else (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 arg-4) e-5)))) eff-1)))))))))))(else (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4)))))(else (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))))))(else (case (vector-ref arg-4 0) ((18) (let ((e-15 (vector-ref arg-4 5))) (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 arg-3 e-15)))(else (case (vector-ref arg-3 0) ((29) (lambda (clam-182) (case (vector-ref arg-4 0) ((29) (vector 1 '()))(else (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) clam-182))))) ((28) (let ((e-3 (vector-ref arg-3 1))) (let ((e-4 (vector-ref arg-3 2))) (case (vector-ref arg-4 0) ((28) (let ((e-9 (vector-ref arg-4 2))) (lambda (clam-183) (let ((sc3 (CoreC-45TT-u--C-61C-61_Eq_Constant e-4 e-9))) (cond ((equal? sc3 1) (vector 1 '())) (else (TTImpC-45WithClause-matchFail e-3 clam-183)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0))))))))))))) ((equal? arg-2 0) (case (vector-ref arg-3 0) ((10) (let ((e-60 (vector-ref arg-3 2))) (TTImpC-45WithClause-getMatch arg-0 arg-1 0 e-60 e-60))) ((9) (let ((e-65 (vector-ref arg-3 2))) (TTImpC-45WithClause-getMatch arg-0 arg-1 0 e-65 e-65)))(else (case (vector-ref arg-4 0) ((10) (let ((e-41 (vector-ref arg-4 1))) (lambda (eta-0) (TTImpC-45WithClause-matchFail e-41 eta-0)))) ((9) (let ((e-46 (vector-ref arg-4 1))) (lambda (eta-0) (TTImpC-45WithClause-matchFail e-46 eta-0))))(else (case (vector-ref arg-3 0) ((13) (let ((e-17 (vector-ref arg-3 1))) (let ((e-19 (vector-ref arg-3 3))) (case (vector-ref arg-4 0) ((13) (let ((e-29 (vector-ref arg-4 3))) (TTImpC-45WithClause-matchAny arg-0 arg-1 e-17 arg-2 (DataC-45List-u--zip_Zippable_List e-19 e-29))))(else (case (vector-ref arg-4 0) ((18) (let ((e-15 (vector-ref arg-4 5))) (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 arg-3 e-15)))(else (case (vector-ref arg-3 0) ((29) (lambda (clam-184) (case (vector-ref arg-4 0) ((29) (vector 1 '()))(else (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) clam-184))))) ((28) (let ((e-3 (vector-ref arg-3 1))) (let ((e-4 (vector-ref arg-3 2))) (case (vector-ref arg-4 0) ((28) (let ((e-9 (vector-ref arg-4 2))) (lambda (clam-185) (let ((sc4 (CoreC-45TT-u--C-61C-61_Eq_Constant e-4 e-9))) (cond ((equal? sc4 1) (vector 1 '())) (else (TTImpC-45WithClause-matchFail e-3 clam-185)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0))))))))))) ((18) (let ((e-24 (vector-ref arg-3 4))) (let ((e-25 (vector-ref arg-3 5))) (case (vector-ref e-24 0) ((1) (let ((e-30 (vector-ref e-24 1))) (case (vector-ref e-30 0) ((0) (let ((e-31 (vector-ref e-30 1))) (case (vector-ref arg-4 0) ((18) (let ((e-34 (vector-ref arg-4 2))) (let ((e-36 (vector-ref arg-4 4))) (let ((e-37 (vector-ref arg-4 5))) (case (vector-ref e-36 0) ((1) (let ((e-38 (vector-ref e-36 1))) (case (vector-ref e-38 0) ((0) (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 e-37))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 (vector 18 e-34 (CoreC-45FC-emptyFC) 0 e-36 (vector 32 e-34 1))) e-5)))) eff-1))))))))(else (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 arg-4) e-5)))) eff-1)))))))))))(else (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 arg-4) e-5)))) eff-1)))))))))))))(else (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 arg-4) e-5)))) eff-1)))))))))))(else (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4)))))(else (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))))))(else (case (vector-ref arg-4 0) ((18) (let ((e-15 (vector-ref arg-4 5))) (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 arg-3 e-15)))(else (case (vector-ref arg-3 0) ((29) (lambda (clam-186) (case (vector-ref arg-4 0) ((29) (vector 1 '()))(else (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) clam-186))))) ((28) (let ((e-3 (vector-ref arg-3 1))) (let ((e-4 (vector-ref arg-3 2))) (case (vector-ref arg-4 0) ((28) (let ((e-9 (vector-ref arg-4 2))) (lambda (clam-187) (let ((sc3 (CoreC-45TT-u--C-61C-61_Eq_Constant e-4 e-9))) (cond ((equal? sc3 1) (vector 1 '())) (else (TTImpC-45WithClause-matchFail e-3 clam-187)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0)))))))))))))(else (case (vector-ref arg-4 0) ((10) (let ((e-41 (vector-ref arg-4 1))) (lambda (eta-0) (TTImpC-45WithClause-matchFail e-41 eta-0)))) ((9) (let ((e-46 (vector-ref arg-4 1))) (lambda (eta-0) (TTImpC-45WithClause-matchFail e-46 eta-0))))(else (case (vector-ref arg-3 0) ((13) (let ((e-17 (vector-ref arg-3 1))) (let ((e-19 (vector-ref arg-3 3))) (case (vector-ref arg-4 0) ((13) (let ((e-29 (vector-ref arg-4 3))) (TTImpC-45WithClause-matchAny arg-0 arg-1 e-17 arg-2 (DataC-45List-u--zip_Zippable_List e-19 e-29))))(else (case (vector-ref arg-4 0) ((18) (let ((e-15 (vector-ref arg-4 5))) (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 arg-3 e-15)))(else (case (vector-ref arg-3 0) ((29) (lambda (clam-188) (case (vector-ref arg-4 0) ((29) (vector 1 '()))(else (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) clam-188))))) ((28) (let ((e-3 (vector-ref arg-3 1))) (let ((e-4 (vector-ref arg-3 2))) (case (vector-ref arg-4 0) ((28) (let ((e-9 (vector-ref arg-4 2))) (lambda (clam-189) (let ((sc3 (CoreC-45TT-u--C-61C-61_Eq_Constant e-4 e-9))) (cond ((equal? sc3 1) (vector 1 '())) (else (TTImpC-45WithClause-matchFail e-3 clam-189)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0))))))))))) ((18) (let ((e-24 (vector-ref arg-3 4))) (let ((e-25 (vector-ref arg-3 5))) (case (vector-ref e-24 0) ((1) (let ((e-30 (vector-ref e-24 1))) (case (vector-ref e-30 0) ((0) (let ((e-31 (vector-ref e-30 1))) (case (vector-ref arg-4 0) ((18) (let ((e-34 (vector-ref arg-4 2))) (let ((e-36 (vector-ref arg-4 4))) (let ((e-37 (vector-ref arg-4 5))) (case (vector-ref e-36 0) ((1) (let ((e-38 (vector-ref e-36 1))) (case (vector-ref e-38 0) ((0) (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 e-37))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 (vector 18 e-34 (CoreC-45FC-emptyFC) 0 e-36 (vector 32 e-34 1))) e-5)))) eff-1))))))))(else (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 arg-4) e-5)))) eff-1)))))))))))(else (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 arg-4) e-5)))) eff-1)))))))))))))(else (let ((eff-0 (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45WithClause-mergeMatches arg-0 arg-1 arg-2 (cons (cons e-31 arg-4) e-5)))) eff-1)))))))))))(else (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4)))))(else (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 e-25 arg-4))))))(else (case (vector-ref arg-4 0) ((18) (let ((e-15 (vector-ref arg-4 5))) (TTImpC-45WithClause-getMatch arg-0 arg-1 arg-2 arg-3 e-15)))(else (case (vector-ref arg-3 0) ((29) (lambda (clam-190) (case (vector-ref arg-4 0) ((29) (vector 1 '()))(else (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) clam-190))))) ((28) (let ((e-3 (vector-ref arg-3 1))) (let ((e-4 (vector-ref arg-3 2))) (case (vector-ref arg-4 0) ((28) (let ((e-9 (vector-ref arg-4 2))) (lambda (clam-191) (let ((sc2 (CoreC-45TT-u--C-61C-61_Eq_Constant e-4 e-9))) (cond ((equal? sc2 1) (vector 1 '())) (else (TTImpC-45WithClause-matchFail e-3 clam-191)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0)))))))(else (lambda (eta-0) (TTImpC-45WithClause-matchFail (TTImpC-45TTImp-getFC arg-3) eta-0))))))))))))))))))))
(define TTImpC-45WithClause-getHeadLoc (lambda (arg-0) (case (vector-ref arg-0 0) ((0) (let ((e-1 (vector-ref arg-0 1))) (lambda (eta-0) (vector 1 e-1)))) ((8) (let ((e-5 (vector-ref arg-0 2))) (TTImpC-45WithClause-getHeadLoc e-5))) ((9) (let ((e-9 (vector-ref arg-0 2))) (TTImpC-45WithClause-getHeadLoc e-9))) ((10) (let ((e-13 (vector-ref arg-0 2))) (TTImpC-45WithClause-getHeadLoc e-13)))(else (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 (string-append "Could not find head of LHS: " (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 (csegen-100) arg-0))) eta-0))))))
(define TTImpC-45WithClause-getArgMatch (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (if (null? arg-5) arg-3 (cond ((equal? arg-2 1) (if (null? arg-5) (let ((e-1 (unbox arg-5))) (let ((e-5 (cdr e-1))) (let ((sc5 (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (CoreC-45Name-isUN e-5) (lambda (lamc-0) (let ((e-3 (cdr lamc-0))) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (CoreC-45Name-isBasic e-3) (lambda (u--n) (DataC-45List-lookup (csegen-43) u--n arg-4)))))))) (if (null? sc5) (let ((u--arg (vector 32 arg-0 1))) (let ((sc6 (DataC-45Maybe-isJust (TTImpC-45ElabC-45Check-isLHS arg-1)))) (cond ((equal? sc6 1) (vector 18 arg-0 arg-0 0 e-5 u--arg)) (else u--arg)))) (let ((e-2 (unbox sc5))) e-2))))) (let ((e-7 (unbox arg-5))) (if (null? e-7) (let ((e-1 (unbox arg-5))) (let ((e-5 (cdr e-1))) (let ((sc6 (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (CoreC-45Name-isUN e-5) (lambda (lamc-0) (let ((e-3 (cdr lamc-0))) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (CoreC-45Name-isBasic e-3) (lambda (u--n) (DataC-45List-lookup (csegen-43) u--n arg-4)))))))) (if (null? sc6) (let ((u--arg (vector 32 arg-0 1))) (let ((sc7 (DataC-45Maybe-isJust (TTImpC-45ElabC-45Check-isLHS arg-1)))) (cond ((equal? sc7 1) (vector 18 arg-0 arg-0 0 e-5 u--arg)) (else u--arg)))) (let ((e-2 (unbox sc6))) e-2))))) (let ((e-10 (car e-7))) (let ((e-11 (cdr e-7))) (case (vector-ref e-10 0) ((2) (let ((sc5 (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (CoreC-45Name-isUN e-11) (lambda (lamc-0) (let ((e-3 (cdr lamc-0))) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (CoreC-45Name-isBasic e-3) (lambda (u--n) (DataC-45List-lookup (csegen-43) u--n arg-4)))))))) (if (null? sc5) (let ((u--arg (vector 12 arg-0 500))) (let ((sc6 (DataC-45Maybe-isJust (TTImpC-45ElabC-45Check-isLHS arg-1)))) (cond ((equal? sc6 1) (vector 18 arg-0 arg-0 0 e-11 u--arg)) (else u--arg)))) (let ((e-1 (unbox sc5))) e-1))))(else (let ((e-1 (unbox arg-5))) (let ((e-5 (cdr e-1))) (let ((sc6 (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (CoreC-45Name-isUN e-5) (lambda (lamc-0) (let ((e-3 (cdr lamc-0))) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (CoreC-45Name-isBasic e-3) (lambda (u--n) (DataC-45List-lookup (csegen-43) u--n arg-4)))))))) (if (null? sc6) (let ((u--arg (vector 32 arg-0 1))) (let ((sc7 (DataC-45Maybe-isJust (TTImpC-45ElabC-45Check-isLHS arg-1)))) (cond ((equal? sc7 1) (vector 18 arg-0 arg-0 0 e-5 u--arg)) (else u--arg)))) (let ((e-2 (unbox sc6))) e-2)))))))))))))(else (let ((e-1 (unbox arg-5))) (let ((e-5 (cdr e-1))) (let ((sc3 (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (CoreC-45Name-isUN e-5) (lambda (lamc-0) (let ((e-3 (cdr lamc-0))) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (CoreC-45Name-isBasic e-3) (lambda (u--n) (DataC-45List-lookup (csegen-43) u--n arg-4)))))))) (if (null? sc3) (let ((u--arg (vector 32 arg-0 1))) (let ((sc4 (DataC-45Maybe-isJust (TTImpC-45ElabC-45Check-isLHS arg-1)))) (cond ((equal? sc4 1) (vector 18 arg-0 arg-0 0 e-5 u--arg)) (else u--arg)))) (let ((e-2 (unbox sc3))) e-2))))))))))
(define TTImpC-45WithClause-addAlias (lambda (arg-0 arg-1 arg-2 arg-3) (let ((sc0 (CoreC-45FC-isConcreteFC arg-2))) (if (null? sc0) (lambda (eta-0) (vector 1 (vector 0 ))) (let ((e-1 (unbox sc0))) (let ((sc1 (CoreC-45FC-isConcreteFC arg-3))) (if (null? sc1) (lambda (eta-0) (vector 1 (vector 0 ))) (let ((e-2 (unbox sc1))) (let ((eff-0 (CoreC-45ContextC-45Log-log arg-1 "ide-mode.highlight.alias" 25 (lambda () (string-append "Adding alias: " (string-append (PreludeC-45Show-u--show_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-2448) e-1) (string-append " -> " (PreludeC-45Show-u--show_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-2448) e-2)))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-1 (CoreC-45Metadata-addSemanticAlias arg-0 e-1 e-2))) eff-1))))))))))))))
(define TTImpC-45BindImplicits-n--8139-5832-u--tag (lambda (arg-0 arg-1 arg-3 arg-4) (DataC-45List-u--zip_Zippable_List (((csegen-25) (lambda (arg-2) (bs+ arg-2 arg-3 63))) (PreludeC-45Types-u--rangeFromTo_Range_C-36a (csegen-302) 0 (blodwen-toSignedInt (PreludeC-45TypesC-45List-lengthTR arg-4) 63))) arg-4)))
(define TTImpC-45BindImplicits-n--6835-5141-u--renameAlt (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (case (vector-ref arg-5 0) ((2) (let ((e-1 (vector-ref arg-5 1))) (ControlC-45MonadC-45StateC-45State-u--C-62C-62C-61_Monad_C-40C-40StateTC-32C-36stateTypeC-41C-32C-36mC-41 (csegen-3513) (TTImpC-45BindImplicits-renameIBinds arg-4 arg-3 e-1) (lambda (bind-0) (lambda (eta-0) (ControlC-45MonadC-45StateC-45State-u--pure_Applicative_C-40C-40StateTC-32C-36stateTypeC-41C-32C-36fC-41 (csegen-3513) (vector 2 bind-0) eta-0))))))(else (lambda (eta-0) (ControlC-45MonadC-45StateC-45State-u--pure_Applicative_C-40C-40StateTC-32C-36stateTypeC-41C-32C-36fC-41 (csegen-3513) arg-5 eta-0))))))
(define TTImpC-45BindImplicits-n--8378-6064-u--piBind (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (if (null? arg-4) arg-5 (let ((e-2 (car arg-4))) (let ((e-3 (cdr arg-4))) (vector 1 arg-2 (csegen-54) (vector 0 ) (box (vector 1 (vector 0 e-2))) (vector 32 arg-2 0) (TTImpC-45BindImplicits-n--8378-6064-u--piBind arg-0 arg-1 arg-2 arg-3 e-3 arg-5)))))))
(define TTImpC-45BindImplicits-n--6835-5070-u--f (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (case (vector-ref arg-5 0) ((0) (let ((e-1 (vector-ref arg-5 1))) (let ((e-2 (vector-ref arg-5 2))) (PreludeC-45Interfaces-C-60C-36C-62 (csegen-3520) (lambda (eta-0) (vector 0 e-1 eta-0)) (TTImpC-45BindImplicits-renameIBinds arg-4 arg-3 e-2))))) (else (let ((e-4 (vector-ref arg-5 1))) (let ((e-5 (vector-ref arg-5 2))) (PreludeC-45Interfaces-C-60C-36C-62 (csegen-3520) (lambda (eta-0) (vector 1 e-4 eta-0)) (TTImpC-45BindImplicits-renameIBinds arg-4 arg-3 e-5))))))))
(define TTImpC-45BindImplicits-renameIBinds (lambda (arg-0 arg-1 arg-2) (case (vector-ref arg-2 0) ((1) (let ((e-1 (vector-ref arg-2 1))) (let ((e-2 (vector-ref arg-2 2))) (let ((e-3 (vector-ref arg-2 3))) (let ((e-4 (vector-ref arg-2 4))) (let ((e-5 (vector-ref arg-2 5))) (let ((e-6 (vector-ref arg-2 6))) (if (null? e-4) (ControlC-45MonadC-45StateC-45State-u--C-62C-62C-61_Monad_C-40C-40StateTC-32C-36stateTypeC-41C-32C-36mC-41 (csegen-3513) (TTImpC-45BindImplicits-renameIBinds arg-0 arg-1 e-5) (lambda (bind-0) (ControlC-45MonadC-45StateC-45State-u--C-62C-62C-61_Monad_C-40C-40StateTC-32C-36stateTypeC-41C-32C-36mC-41 (csegen-3513) (TTImpC-45BindImplicits-renameIBinds arg-0 arg-1 e-6) (lambda (bind-1) (lambda (eta-0) (ControlC-45MonadC-45StateC-45State-u--pure_Applicative_C-40C-40StateTC-32C-36stateTypeC-41C-32C-36fC-41 (csegen-3513) (vector 1 e-1 e-2 e-3 e-4 bind-0 bind-1) eta-0)))))) (let ((e-63 (unbox e-4))) (case (vector-ref e-63 0) ((1) (let ((e-64 (vector-ref e-63 1))) (case (vector-ref e-64 0) ((0) (let ((e-65 (vector-ref e-64 1))) (let ((u--un (vector 1 (vector 0 e-65)))) (let ((sc4 (PreludeC-45Types-elem (csegen-16) (csegen-43) e-65 arg-0))) (cond ((equal? sc4 1) (let ((u--nC-39 (TTImpC-45Utils-genUniqueStr (PreludeC-45TypesC-45List-tailRecAppend arg-0 arg-1) e-65))) (let ((u--unC-39 (vector 1 (vector 0 u--nC-39)))) (let ((u--scC-39 (TTImpC-45Utils-substNames ((csegen-1034) (PreludeC-45TypesC-45List-filterAppend '() (lambda (arg-3) (PreludeC-45EqOrd-u--C-47C-61_Eq_String arg-3 e-65)) arg-1)) (cons (cons u--un (vector 0 e-1 u--unC-39)) '()) e-6))) (ControlC-45MonadC-45StateC-45State-u--C-62C-62C-61_Monad_C-40C-40StateTC-32C-36stateTypeC-41C-32C-36mC-41 (csegen-3513) (TTImpC-45BindImplicits-renameIBinds arg-0 (cons u--nC-39 arg-1) u--scC-39) (lambda (u--scr) (ControlC-45MonadC-45StateC-45State-u--C-62C-62C-61_Monad_C-40C-40StateTC-32C-36stateTypeC-41C-32C-36mC-41 (csegen-3513) (TTImpC-45BindImplicits-renameIBinds arg-0 arg-1 e-5) (lambda (u--tyC-39) (ControlC-45MonadC-45StateC-45State-u--C-62C-62C-61_Monad_C-40C-40StateTC-32C-36stateTypeC-41C-32C-36mC-41 (csegen-3513) (lambda (u--x) (cons u--x u--x)) (lambda (u--upds) (PreludeC-45Interfaces-C-62C-62 (csegen-3535) (lambda (u--y) (cons (cons (cons e-65 u--nC-39) u--upds) (vector 0 ))) (lambda () (lambda (eta-0) (ControlC-45MonadC-45StateC-45State-u--pure_Applicative_C-40C-40StateTC-32C-36stateTypeC-41C-32C-36fC-41 (csegen-3513) (vector 1 e-1 e-2 e-3 (box u--unC-39) u--tyC-39 u--scr) eta-0)))))))))))))) (else (ControlC-45MonadC-45StateC-45State-u--C-62C-62C-61_Monad_C-40C-40StateTC-32C-36stateTypeC-41C-32C-36mC-41 (csegen-3513) (TTImpC-45BindImplicits-renameIBinds arg-0 arg-1 e-6) (lambda (u--scr) (ControlC-45MonadC-45StateC-45State-u--C-62C-62C-61_Monad_C-40C-40StateTC-32C-36stateTypeC-41C-32C-36mC-41 (csegen-3513) (TTImpC-45BindImplicits-renameIBinds arg-0 arg-1 e-5) (lambda (u--tyC-39) (lambda (eta-0) (ControlC-45MonadC-45StateC-45State-u--pure_Applicative_C-40C-40StateTC-32C-36stateTypeC-41C-32C-36fC-41 (csegen-3513) (vector 1 e-1 e-2 e-3 (box u--un) u--tyC-39 u--scr) eta-0))))))))))))(else (ControlC-45MonadC-45StateC-45State-u--C-62C-62C-61_Monad_C-40C-40StateTC-32C-36stateTypeC-41C-32C-36mC-41 (csegen-3513) (TTImpC-45BindImplicits-renameIBinds arg-0 arg-1 e-5) (lambda (bind-0) (ControlC-45MonadC-45StateC-45State-u--C-62C-62C-61_Monad_C-40C-40StateTC-32C-36stateTypeC-41C-32C-36mC-41 (csegen-3513) (TTImpC-45BindImplicits-renameIBinds arg-0 arg-1 e-6) (lambda (bind-1) (lambda (eta-0) (ControlC-45MonadC-45StateC-45State-u--pure_Applicative_C-40C-40StateTC-32C-36stateTypeC-41C-32C-36fC-41 (csegen-3513) (vector 1 e-1 e-2 e-3 e-4 bind-0 bind-1) eta-0))))))))))(else (ControlC-45MonadC-45StateC-45State-u--C-62C-62C-61_Monad_C-40C-40StateTC-32C-36stateTypeC-41C-32C-36mC-41 (csegen-3513) (TTImpC-45BindImplicits-renameIBinds arg-0 arg-1 e-5) (lambda (bind-0) (ControlC-45MonadC-45StateC-45State-u--C-62C-62C-61_Monad_C-40C-40StateTC-32C-36stateTypeC-41C-32C-36mC-41 (csegen-3513) (TTImpC-45BindImplicits-renameIBinds arg-0 arg-1 e-6) (lambda (bind-1) (lambda (eta-0) (ControlC-45MonadC-45StateC-45State-u--pure_Applicative_C-40C-40StateTC-32C-36stateTypeC-41C-32C-36fC-41 (csegen-3513) (vector 1 e-1 e-2 e-3 e-4 bind-0 bind-1) eta-0))))))))))))))))) ((2) (let ((e-8 (vector-ref arg-2 1))) (let ((e-9 (vector-ref arg-2 2))) (let ((e-10 (vector-ref arg-2 3))) (let ((e-11 (vector-ref arg-2 4))) (let ((e-12 (vector-ref arg-2 5))) (let ((e-13 (vector-ref arg-2 6))) (ControlC-45MonadC-45StateC-45State-u--C-62C-62C-61_Monad_C-40C-40StateTC-32C-36stateTypeC-41C-32C-36mC-41 (csegen-3513) (TTImpC-45BindImplicits-renameIBinds arg-0 arg-1 e-12) (lambda (bind-0) (ControlC-45MonadC-45StateC-45State-u--C-62C-62C-61_Monad_C-40C-40StateTC-32C-36stateTypeC-41C-32C-36mC-41 (csegen-3513) (TTImpC-45BindImplicits-renameIBinds arg-0 arg-1 e-13) (lambda (bind-1) (lambda (eta-0) (ControlC-45MonadC-45StateC-45State-u--pure_Applicative_C-40C-40StateTC-32C-36stateTypeC-41C-32C-36fC-41 (csegen-3513) (vector 2 e-8 e-9 e-10 e-11 bind-0 bind-1) eta-0))))))))))))) ((8) (let ((e-15 (vector-ref arg-2 1))) (let ((e-16 (vector-ref arg-2 2))) (let ((e-17 (vector-ref arg-2 3))) (ControlC-45MonadC-45StateC-45State-u--C-62C-62C-61_Monad_C-40C-40StateTC-32C-36stateTypeC-41C-32C-36mC-41 (csegen-3513) (TTImpC-45BindImplicits-renameIBinds arg-0 arg-1 e-16) (lambda (bind-0) (ControlC-45MonadC-45StateC-45State-u--C-62C-62C-61_Monad_C-40C-40StateTC-32C-36stateTypeC-41C-32C-36mC-41 (csegen-3513) (TTImpC-45BindImplicits-renameIBinds arg-0 arg-1 e-17) (lambda (bind-1) (lambda (eta-0) (ControlC-45MonadC-45StateC-45State-u--pure_Applicative_C-40C-40StateTC-32C-36stateTypeC-41C-32C-36fC-41 (csegen-3513) (vector 8 e-15 bind-0 bind-1) eta-0)))))))))) ((9) (let ((e-19 (vector-ref arg-2 1))) (let ((e-20 (vector-ref arg-2 2))) (let ((e-21 (vector-ref arg-2 3))) (ControlC-45MonadC-45StateC-45State-u--C-62C-62C-61_Monad_C-40C-40StateTC-32C-36stateTypeC-41C-32C-36mC-41 (csegen-3513) (TTImpC-45BindImplicits-renameIBinds arg-0 arg-1 e-20) (lambda (bind-0) (ControlC-45MonadC-45StateC-45State-u--C-62C-62C-61_Monad_C-40C-40StateTC-32C-36stateTypeC-41C-32C-36mC-41 (csegen-3513) (TTImpC-45BindImplicits-renameIBinds arg-0 arg-1 e-21) (lambda (bind-1) (lambda (eta-0) (ControlC-45MonadC-45StateC-45State-u--pure_Applicative_C-40C-40StateTC-32C-36stateTypeC-41C-32C-36fC-41 (csegen-3513) (vector 9 e-19 bind-0 bind-1) eta-0)))))))))) ((10) (let ((e-23 (vector-ref arg-2 1))) (let ((e-24 (vector-ref arg-2 2))) (let ((e-25 (vector-ref arg-2 3))) (let ((e-26 (vector-ref arg-2 4))) (ControlC-45MonadC-45StateC-45State-u--C-62C-62C-61_Monad_C-40C-40StateTC-32C-36stateTypeC-41C-32C-36mC-41 (csegen-3513) (TTImpC-45BindImplicits-renameIBinds arg-0 arg-1 e-24) (lambda (bind-0) (ControlC-45MonadC-45StateC-45State-u--C-62C-62C-61_Monad_C-40C-40StateTC-32C-36stateTypeC-41C-32C-36mC-41 (csegen-3513) (TTImpC-45BindImplicits-renameIBinds arg-0 arg-1 e-26) (lambda (bind-1) (lambda (eta-0) (ControlC-45MonadC-45StateC-45State-u--pure_Applicative_C-40C-40StateTC-32C-36stateTypeC-41C-32C-36fC-41 (csegen-3513) (vector 10 e-23 bind-0 e-25 bind-1) eta-0))))))))))) ((11) (let ((e-28 (vector-ref arg-2 1))) (let ((e-29 (vector-ref arg-2 2))) (let ((e-30 (vector-ref arg-2 3))) (ControlC-45MonadC-45StateC-45State-u--C-62C-62C-61_Monad_C-40C-40StateTC-32C-36stateTypeC-41C-32C-36mC-41 (csegen-3513) (TTImpC-45BindImplicits-renameIBinds arg-0 arg-1 e-29) (lambda (bind-0) (ControlC-45MonadC-45StateC-45State-u--C-62C-62C-61_Monad_C-40C-40StateTC-32C-36stateTypeC-41C-32C-36mC-41 (csegen-3513) (TTImpC-45BindImplicits-renameIBinds arg-0 arg-1 e-30) (lambda (bind-1) (lambda (eta-0) (ControlC-45MonadC-45StateC-45State-u--pure_Applicative_C-40C-40StateTC-32C-36stateTypeC-41C-32C-36fC-41 (csegen-3513) (vector 11 e-28 bind-0 bind-1) eta-0)))))))))) ((18) (let ((e-32 (vector-ref arg-2 1))) (let ((e-33 (vector-ref arg-2 2))) (let ((e-34 (vector-ref arg-2 3))) (let ((e-35 (vector-ref arg-2 4))) (let ((e-36 (vector-ref arg-2 5))) (ControlC-45MonadC-45StateC-45State-u--C-62C-62C-61_Monad_C-40C-40StateTC-32C-36stateTypeC-41C-32C-36mC-41 (csegen-3513) (TTImpC-45BindImplicits-renameIBinds arg-0 arg-1 e-36) (lambda (bind-0) (lambda (eta-0) (ControlC-45MonadC-45StateC-45State-u--pure_Applicative_C-40C-40StateTC-32C-36stateTypeC-41C-32C-36fC-41 (csegen-3513) (vector 18 e-32 e-33 e-34 e-35 bind-0) eta-0)))))))))) ((19) (let ((e-38 (vector-ref arg-2 1))) (let ((e-39 (vector-ref arg-2 2))) (let ((e-40 (vector-ref arg-2 3))) (ControlC-45MonadC-45StateC-45State-u--C-62C-62C-61_Monad_C-40C-40StateTC-32C-36stateTypeC-41C-32C-36mC-41 (csegen-3513) (TTImpC-45BindImplicits-renameIBinds arg-0 arg-1 e-40) (lambda (bind-0) (lambda (eta-0) (ControlC-45MonadC-45StateC-45State-u--pure_Applicative_C-40C-40StateTC-32C-36stateTypeC-41C-32C-36fC-41 (csegen-3513) (vector 19 e-38 e-39 bind-0) eta-0)))))))) ((20) (let ((e-42 (vector-ref arg-2 1))) (let ((e-43 (vector-ref arg-2 2))) (let ((e-44 (vector-ref arg-2 3))) (ControlC-45MonadC-45StateC-45State-u--C-62C-62C-61_Monad_C-40C-40StateTC-32C-36stateTypeC-41C-32C-36mC-41 (csegen-3513) (TTImpC-45BindImplicits-renameIBinds arg-0 arg-1 e-44) (lambda (bind-0) (lambda (eta-0) (ControlC-45MonadC-45StateC-45State-u--pure_Applicative_C-40C-40StateTC-32C-36stateTypeC-41C-32C-36fC-41 (csegen-3513) (vector 20 e-42 e-43 bind-0) eta-0)))))))) ((21) (let ((e-46 (vector-ref arg-2 1))) (let ((e-47 (vector-ref arg-2 2))) (ControlC-45MonadC-45StateC-45State-u--C-62C-62C-61_Monad_C-40C-40StateTC-32C-36stateTypeC-41C-32C-36mC-41 (csegen-3513) (TTImpC-45BindImplicits-renameIBinds arg-0 arg-1 e-47) (lambda (bind-0) (lambda (eta-0) (ControlC-45MonadC-45StateC-45State-u--pure_Applicative_C-40C-40StateTC-32C-36stateTypeC-41C-32C-36fC-41 (csegen-3513) (vector 21 e-46 bind-0) eta-0))))))) ((22) (let ((e-49 (vector-ref arg-2 1))) (let ((e-50 (vector-ref arg-2 2))) (ControlC-45MonadC-45StateC-45State-u--C-62C-62C-61_Monad_C-40C-40StateTC-32C-36stateTypeC-41C-32C-36mC-41 (csegen-3513) (TTImpC-45BindImplicits-renameIBinds arg-0 arg-1 e-50) (lambda (bind-0) (lambda (eta-0) (ControlC-45MonadC-45StateC-45State-u--pure_Applicative_C-40C-40StateTC-32C-36stateTypeC-41C-32C-36fC-41 (csegen-3513) (vector 22 e-49 bind-0) eta-0))))))) ((7) (let ((e-52 (vector-ref arg-2 1))) (let ((e-53 (vector-ref arg-2 2))) (let ((e-54 (vector-ref arg-2 3))) (ControlC-45MonadC-45StateC-45State-u--C-62C-62C-61_Monad_C-40C-40StateTC-32C-36stateTypeC-41C-32C-36mC-41 (csegen-3513) (PreludeC-45Types-u--traverse_Traversable_List (csegen-3529) (lambda (eta-0) (TTImpC-45BindImplicits-n--6835-5070-u--f e-54 e-53 e-52 arg-1 arg-0 eta-0)) e-53) (lambda (bind-0) (ControlC-45MonadC-45StateC-45State-u--C-62C-62C-61_Monad_C-40C-40StateTC-32C-36stateTypeC-41C-32C-36mC-41 (csegen-3513) (TTImpC-45BindImplicits-renameIBinds arg-0 arg-1 e-54) (lambda (bind-1) (lambda (eta-0) (ControlC-45MonadC-45StateC-45State-u--pure_Applicative_C-40C-40StateTC-32C-36stateTypeC-41C-32C-36fC-41 (csegen-3513) (vector 7 e-52 bind-0 bind-1) eta-0)))))))))) ((13) (let ((e-56 (vector-ref arg-2 1))) (let ((e-57 (vector-ref arg-2 2))) (let ((e-58 (vector-ref arg-2 3))) (ControlC-45MonadC-45StateC-45State-u--C-62C-62C-61_Monad_C-40C-40StateTC-32C-36stateTypeC-41C-32C-36mC-41 (csegen-3513) (TTImpC-45BindImplicits-n--6835-5141-u--renameAlt e-58 e-57 e-56 arg-1 arg-0 e-57) (lambda (bind-0) (ControlC-45MonadC-45StateC-45State-u--C-62C-62C-61_Monad_C-40C-40StateTC-32C-36stateTypeC-41C-32C-36mC-41 (csegen-3513) (PreludeC-45Types-u--traverse_Traversable_List (csegen-3529) (lambda (eta-0) (TTImpC-45BindImplicits-renameIBinds arg-0 arg-1 eta-0)) e-58) (lambda (bind-1) (lambda (eta-0) (ControlC-45MonadC-45StateC-45State-u--pure_Applicative_C-40C-40StateTC-32C-36stateTypeC-41C-32C-36fC-41 (csegen-3513) (vector 13 e-56 bind-0 bind-1) eta-0)))))))))) ((17) (let ((e-60 (vector-ref arg-2 1))) (let ((e-61 (vector-ref arg-2 2))) (let ((sc1 (PreludeC-45Types-elem (csegen-16) (csegen-43) e-61 arg-0))) (cond ((equal? sc1 1) (let ((u--nC-39 (TTImpC-45Utils-genUniqueStr (PreludeC-45TypesC-45List-tailRecAppend arg-0 arg-1) e-61))) (ControlC-45MonadC-45StateC-45State-u--C-62C-62C-61_Monad_C-40C-40StateTC-32C-36stateTypeC-41C-32C-36mC-41 (csegen-3513) (lambda (u--x) (cons u--x u--x)) (lambda (u--upds) (PreludeC-45Interfaces-C-62C-62 (csegen-3535) (lambda (u--y) (cons (cons (cons e-61 u--nC-39) u--upds) (vector 0 ))) (lambda () (lambda (eta-0) (ControlC-45MonadC-45StateC-45State-u--pure_Applicative_C-40C-40StateTC-32C-36stateTypeC-41C-32C-36fC-41 (csegen-3513) (vector 17 e-60 u--nC-39) eta-0)))))))) (else (lambda (eta-0) (ControlC-45MonadC-45StateC-45State-u--pure_Applicative_C-40C-40StateTC-32C-36stateTypeC-41C-32C-36fC-41 (csegen-3513) (vector 17 e-60 e-61) eta-0))))))))(else (lambda (eta-0) (ControlC-45MonadC-45StateC-45State-u--pure_Applicative_C-40C-40StateTC-32C-36stateTypeC-41C-32C-36fC-41 (csegen-3513) arg-2 eta-0))))))
(define TTImpC-45BindImplicits-piBindNames (lambda (arg-0 arg-1 arg-2 arg-3) (let ((eff-0 (TTImpC-45Utils-findUniqueBindableNames arg-0 arg-1 1 arg-2 '() arg-3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (TTImpC-45BindImplicits-n--8378-6064-u--piBind arg-3 arg-2 arg-1 arg-0 ((csegen-101) e-5) arg-3))))) eff-1)))))))))
(define TTImpC-45BindImplicits-getUsings (lambda (arg-0 arg-1) (PreludeC-45Interfaces-concatMap (csegen-83) (csegen-16) (lambda (eta-0) (PreludeC-45Basics-flip (lambda (eta-1) (lambda (eta-2) (TTImpC-45BindImplicits-getUsing eta-1 eta-2))) arg-1 eta-0)) arg-0)))
(define TTImpC-45BindImplicits-getUsing (lambda (arg-0 arg-1) (if (null? arg-1) '() (let ((e-2 (car arg-1))) (let ((e-3 (cdr arg-1))) (let ((e-6 (car e-2))) (let ((e-7 (cdr e-2))) (let ((e-10 (car e-7))) (let ((e-11 (cdr e-7))) (if (null? e-10) (let ((u--ns (DataC-45List-nub (csegen-1008) (TTImpC-45Utils-findIBindVars e-11)))) (let ((sc4 (PreludeC-45Types-elem (csegen-16) (csegen-1008) arg-0 u--ns))) (cond ((equal? sc4 1) (cons (cons e-6 (cons (AlgebraC-45ZeroOneOmega-u--top_Top_ZeroOneOmega) (cons (vector 2 ) (cons '() e-11)))) (TTImpC-45BindImplicits-getUsing arg-0 e-3))) (else (TTImpC-45BindImplicits-getUsing arg-0 e-3))))) (let ((e-13 (unbox e-10))) (let ((sc4 (CoreC-45Name-u--C-61C-61_Eq_Name arg-0 e-13))) (cond ((equal? sc4 1) (cons (cons e-6 (cons (csegen-54) (cons (vector 0 ) (cons (box arg-0) e-11)))) (TTImpC-45BindImplicits-getUsing arg-0 e-3))) (else (TTImpC-45BindImplicits-getUsing arg-0 e-3)))))))))))))))
(define TTImpC-45BindImplicits-doBind (lambda (arg-0 arg-1) (if (null? arg-0) arg-1 (case (vector-ref arg-1 0) ((0) (let ((e-1 (vector-ref arg-1 1))) (let ((e-2 (vector-ref arg-1 2))) (case (vector-ref e-2 0) ((1) (let ((e-68 (vector-ref e-2 1))) (case (vector-ref e-68 0) ((0) (let ((e-69 (vector-ref e-68 1))) (PreludeC-45Types-maybe (lambda () (vector 0 e-1 e-2)) (lambda () (lambda (eta-0) (vector 17 e-1 eta-0))) (DataC-45List-lookup (csegen-43) e-69 arg-0))))(else arg-1))))(else arg-1))))) ((1) (let ((e-4 (vector-ref arg-1 1))) (let ((e-5 (vector-ref arg-1 2))) (let ((e-6 (vector-ref arg-1 3))) (let ((e-7 (vector-ref arg-1 4))) (let ((e-8 (vector-ref arg-1 5))) (let ((e-9 (vector-ref arg-1 6))) (let ((u--nsC-39 (if (null? e-7) arg-0 (let ((e-1 (unbox e-7))) (case (vector-ref e-1 0) ((1) (let ((e-2 (vector-ref e-1 1))) (case (vector-ref e-2 0) ((0) (let ((e-3 (vector-ref e-2 1))) (PreludeC-45TypesC-45List-filter (lambda (u--x) (PreludeC-45EqOrd-u--C-47C-61_Eq_String (Builtin-fst u--x) e-3)) arg-0)))(else arg-0))))(else arg-0)))))) (vector 1 e-4 e-5 e-6 e-7 (TTImpC-45BindImplicits-doBind u--nsC-39 e-8) (TTImpC-45BindImplicits-doBind u--nsC-39 e-9)))))))))) ((2) (let ((e-11 (vector-ref arg-1 1))) (let ((e-12 (vector-ref arg-1 2))) (let ((e-13 (vector-ref arg-1 3))) (let ((e-14 (vector-ref arg-1 4))) (let ((e-15 (vector-ref arg-1 5))) (let ((e-16 (vector-ref arg-1 6))) (let ((u--nsC-39 (if (null? e-14) arg-0 (let ((e-1 (unbox e-14))) (case (vector-ref e-1 0) ((1) (let ((e-2 (vector-ref e-1 1))) (case (vector-ref e-2 0) ((0) (let ((e-3 (vector-ref e-2 1))) (PreludeC-45TypesC-45List-filter (lambda (u--x) (PreludeC-45EqOrd-u--C-47C-61_Eq_String (Builtin-fst u--x) e-3)) arg-0)))(else arg-0))))(else arg-0)))))) (vector 2 e-11 e-12 e-13 e-14 (TTImpC-45BindImplicits-doBind u--nsC-39 e-15) (TTImpC-45BindImplicits-doBind u--nsC-39 e-16)))))))))) ((8) (let ((e-18 (vector-ref arg-1 1))) (let ((e-19 (vector-ref arg-1 2))) (let ((e-20 (vector-ref arg-1 3))) (vector 8 e-18 (TTImpC-45BindImplicits-doBind arg-0 e-19) (TTImpC-45BindImplicits-doBind arg-0 e-20)))))) ((9) (let ((e-22 (vector-ref arg-1 1))) (let ((e-23 (vector-ref arg-1 2))) (let ((e-24 (vector-ref arg-1 3))) (vector 9 e-22 (TTImpC-45BindImplicits-doBind arg-0 e-23) (TTImpC-45BindImplicits-doBind arg-0 e-24)))))) ((10) (let ((e-26 (vector-ref arg-1 1))) (let ((e-27 (vector-ref arg-1 2))) (let ((e-28 (vector-ref arg-1 3))) (let ((e-29 (vector-ref arg-1 4))) (vector 10 e-26 (TTImpC-45BindImplicits-doBind arg-0 e-27) e-28 (TTImpC-45BindImplicits-doBind arg-0 e-29))))))) ((11) (let ((e-31 (vector-ref arg-1 1))) (let ((e-32 (vector-ref arg-1 2))) (let ((e-33 (vector-ref arg-1 3))) (vector 11 e-31 (TTImpC-45BindImplicits-doBind arg-0 e-32) (TTImpC-45BindImplicits-doBind arg-0 e-33)))))) ((18) (let ((e-35 (vector-ref arg-1 1))) (let ((e-36 (vector-ref arg-1 2))) (let ((e-37 (vector-ref arg-1 3))) (let ((e-38 (vector-ref arg-1 4))) (let ((e-39 (vector-ref arg-1 5))) (vector 18 e-35 e-36 e-37 e-38 (TTImpC-45BindImplicits-doBind arg-0 e-39)))))))) ((19) (let ((e-41 (vector-ref arg-1 1))) (let ((e-42 (vector-ref arg-1 2))) (let ((e-43 (vector-ref arg-1 3))) (vector 19 e-41 e-42 (TTImpC-45BindImplicits-doBind arg-0 e-43)))))) ((20) (let ((e-45 (vector-ref arg-1 1))) (let ((e-46 (vector-ref arg-1 2))) (let ((e-47 (vector-ref arg-1 3))) (vector 20 e-45 e-46 (TTImpC-45BindImplicits-doBind arg-0 e-47)))))) ((21) (let ((e-49 (vector-ref arg-1 1))) (let ((e-50 (vector-ref arg-1 2))) (vector 21 e-49 (TTImpC-45BindImplicits-doBind arg-0 e-50))))) ((22) (let ((e-52 (vector-ref arg-1 1))) (let ((e-53 (vector-ref arg-1 2))) (vector 22 e-52 (TTImpC-45BindImplicits-doBind arg-0 e-53))))) ((23) (let ((e-55 (vector-ref arg-1 1))) (let ((e-56 (vector-ref arg-1 2))) (vector 23 e-55 (TTImpC-45BindImplicits-doBind arg-0 e-56))))) ((26) (let ((e-58 (vector-ref arg-1 1))) (let ((e-59 (vector-ref arg-1 2))) (vector 26 e-58 (TTImpC-45BindImplicits-doBind arg-0 e-59))))) ((13) (let ((e-61 (vector-ref arg-1 1))) (let ((e-62 (vector-ref arg-1 2))) (let ((e-63 (vector-ref arg-1 3))) (vector 13 e-61 (TTImpC-45TTImp-mapAltType (lambda (eta-0) (TTImpC-45BindImplicits-doBind arg-0 eta-0)) e-62) (((csegen-25) (lambda (eta-0) (TTImpC-45BindImplicits-doBind arg-0 eta-0))) e-63)))))) ((7) (let ((e-65 (vector-ref arg-1 1))) (let ((e-66 (vector-ref arg-1 2))) (let ((e-67 (vector-ref arg-1 3))) (vector 7 e-65 (((csegen-25) (lambda (eta-0) (TTImpC-45TTImp-mapFieldUpdateTerm (lambda (eta-1) (TTImpC-45BindImplicits-doBind arg-0 eta-1)) eta-0))) e-66) (TTImpC-45BindImplicits-doBind arg-0 e-67))))))(else arg-1)))))
(define TTImpC-45BindImplicits-bindUsings (lambda (arg-0 arg-1) (if (null? arg-0) arg-1 (let ((e-2 (car arg-0))) (let ((e-3 (cdr arg-0))) (let ((e-6 (car e-2))) (let ((e-7 (cdr e-2))) (let ((e-10 (car e-7))) (let ((e-11 (cdr e-7))) (let ((e-14 (car e-11))) (let ((e-15 (cdr e-11))) (vector 1 (TTImpC-45TTImp-getFC e-15) e-6 e-10 e-14 e-15 (TTImpC-45BindImplicits-bindUsings e-3 arg-1)))))))))))))
(define TTImpC-45BindImplicits-bindTypeNamesUsed (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (let ((eff-0 (CoreC-45Context-isUnboundImplicits arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (cond ((equal? e-5 1) (let ((eff-1 (TTImpC-45Utils-findUniqueBindableNames arg-0 arg-1 1 arg-3 arg-2 arg-4))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (TTImpC-45BindImplicits-doBind e-6 arg-4))))) eff-2)))))))) (else (lambda (eta-0) (vector 1 arg-4)))))) eff-1)))))))))
(define TTImpC-45BindImplicits-bindTypeNames (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (let ((eff-0 (CoreC-45Context-isUnboundImplicits arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (cond ((equal? e-5 1) (let ((eff-1 (TTImpC-45Utils-findUniqueBindableNames arg-0 arg-1 1 arg-3 '() arg-4))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((u--btm (TTImpC-45BindImplicits-doBind e-6 arg-4))) (lambda (eta-0) (vector 1 (TTImpC-45BindImplicits-addUsing arg-2 u--btm)))))) eff-2)))))))) (else (lambda (eta-0) (vector 1 arg-4)))))) eff-1)))))))))
(define TTImpC-45BindImplicits-bindNames (lambda (arg-0 arg-1 arg-2) (let ((eff-0 (CoreC-45Context-isUnboundImplicits arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (cond ((equal? e-5 1) (let ((u--ns (DataC-45List-nub (csegen-3249) (TTImpC-45Utils-findBindableNames arg-1 '() '() arg-2)))) (let ((eff-1 (CoreC-45ContextC-45Log-log arg-0 ((csegen-0) "elab.bindnames") 10 (lambda () (string-append ((csegen-0) "Found names :") (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-3542) u--ns)))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (lambda (eta-0) (vector 1 (cons ((csegen-1034) ((csegen-947) u--ns)) (TTImpC-45BindImplicits-doBind u--ns arg-2)))))) eff-2)))))))) (else (lambda (eta-0) (vector 1 (cons '() arg-2))))))) eff-1)))))))))
(define TTImpC-45BindImplicits-addUsing (lambda (arg-0 arg-1) (let ((u--ns (DataC-45List-nub (csegen-1008) (TTImpC-45Utils-findIBindVars arg-1)))) (let ((u--bs (DataC-45List-nubBy (lambda (u--x) (lambda (u--y) (PreludeC-45EqOrd-u--C-61C-61_Eq_Int (Builtin-fst u--x) (Builtin-fst u--y)))) (TTImpC-45BindImplicits-getUsings u--ns (TTImpC-45BindImplicits-n--8139-5832-u--tag arg-1 arg-0 0 arg-0))))) (TTImpC-45BindImplicits-bindUsings ((csegen-947) u--bs) arg-1)))))
(define ControlC-45MonadC-45StateC-45State-u--pure_Applicative_C-40C-40StateTC-32C-36stateTypeC-41C-32C-36fC-41 (lambda (arg-3 arg-4 ext-0) (let ((e-1 (vector-ref arg-3 0))) (let ((e-5 (vector-ref e-1 1))) ((e-5 'erased) (cons ext-0 arg-4))))))
(define ControlC-45MonadC-45StateC-45State-u--map_Functor_C-40C-40StateTC-32C-36stateTypeC-41C-32C-36fC-41 (lambda (arg-4 arg-5 arg-6) (let ((eff-0 arg-6)) (lambda (u--st) (PreludeC-45Interfaces-C-60C-36C-62 arg-4 ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (let ((e-2 (car eta-3))) (let ((e-3 (cdr eta-3))) (cons e-2 (eta-2 e-3)))))))))) (lambda (arg-0) (lambda (arg-1) ((((eff-1 'erased) 'erased) arg-0) arg-1)))) arg-5) (eff-0 u--st))))))
(define ControlC-45MonadC-45StateC-45State-u--join_Monad_C-40C-40StateTC-32C-36stateTypeC-41C-32C-36mC-41 (lambda (arg-3 arg-4) (ControlC-45MonadC-45StateC-45State-u--C-62C-62C-61_Monad_C-40C-40StateTC-32C-36stateTypeC-41C-32C-36mC-41 arg-3 arg-4 (lambda (eta-0) eta-0))))
(define ControlC-45MonadC-45StateC-45State-u--C-62C-62C-61_Monad_C-40C-40StateTC-32C-36stateTypeC-41C-32C-36mC-41 (lambda (arg-4 arg-5 arg-6) (let ((eff-0 arg-5)) (lambda (u--st) (let ((e-2 (vector-ref arg-4 1))) ((((e-2 'erased) 'erased) (eff-0 u--st)) (lambda (_-0) (let ((e-5 (car _-0))) (let ((e-4 (cdr _-0))) ((let ((eff-1 (arg-6 e-4))) eff-1) e-5))))))))))
(define ControlC-45MonadC-45StateC-45State-u--C-60C-42C-62_Applicative_C-40C-40StateTC-32C-36stateTypeC-41C-32C-36fC-41 (lambda (arg-4 arg-5 arg-6) (let ((eff-0 arg-5)) (let ((eff-1 arg-6)) (lambda (u--st) (let ((e-2 (vector-ref arg-4 1))) ((((e-2 'erased) 'erased) (eff-0 u--st)) (lambda (_-0) (let ((e-5 (car _-0))) (let ((e-4 (cdr _-0))) (let ((e-7 (vector-ref arg-4 1))) ((((e-7 'erased) 'erased) (eff-1 e-5)) (lambda (_-1) (let ((e-10 (car _-1))) (let ((e-9 (cdr _-1))) (let ((e-13 (vector-ref arg-4 0))) (let ((e-15 (vector-ref e-13 1))) ((e-15 'erased) (cons e-10 (e-4 e-9))))))))))))))))))))
(define ControlC-45MonadC-45Identity-u--map_Functor_Identity (lambda (arg-2 arg-3) (let ((eff-0 arg-3)) (arg-2 eff-0))))
(define ControlC-45MonadC-45Identity-u--join_Monad_Identity (lambda (arg-1) (ControlC-45MonadC-45Identity-u--C-62C-62C-61_Monad_Identity arg-1 (lambda (eta-0) eta-0))))
(define ControlC-45MonadC-45Identity-u--C-62C-62C-61_Monad_Identity (lambda (arg-2 arg-3) (let ((eff-0 arg-2)) (arg-3 eff-0))))
(define ControlC-45MonadC-45Identity-u--C-60C-42C-62_Applicative_Identity (lambda (arg-2 arg-3) (let ((eff-0 arg-2)) (let ((eff-1 arg-3)) (eff-0 eff-1)))))
(define TTImpC-45PartialEval-case--caseC-32blockC-32inC-32quoteGenNF-18069 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16) (if (null? arg-16) (let ((eff-0 (TTImpC-45PartialEval-quoteArgsWithFC arg-13 arg-12 arg-11 arg-10 arg-9 arg-0 arg-1 arg-8 arg-7 arg-6 arg-5 arg-3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (CoreC-45TT-applyWithFC (vector 1 arg-4 (vector 1 ) arg-2) e-5))))) eff-1))))))) (let ((eff-0 (lambda (eta-0) (CoreC-45Context-clearDefs arg-7 eta-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (TTImpC-45PartialEval-quoteArgsWithFC arg-13 arg-12 arg-11 arg-10 arg-9 arg-0 arg-1 arg-8 arg-7 arg-6 arg-5 arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45PartialEval-specialise (PreludeC-45TypesC-45List-tailRecAppend arg-0 arg-1) arg-13 arg-12 arg-11 arg-10 arg-9 arg-4 (TTImpC-45PartialEval-n--14662-17985-u--extendEnv arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-6 arg-5) arg-14 arg-2 e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (if (null? e-7) (let ((eff-3 (TTImpC-45PartialEval-quoteArgsWithFC arg-13 arg-12 arg-11 arg-10 arg-9 arg-0 arg-1 arg-8 e-5 arg-6 arg-5 arg-3))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (CoreC-45TT-applyWithFC (vector 1 arg-4 (vector 1 ) arg-2) e-8))))) eff-4))))))) (let ((e-1 (unbox e-7))) (lambda (eta-0) (vector 1 e-1)))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))
(define TTImpC-45PartialEval-case--specialise-15891 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11) (if (null? arg-11) (lambda (eta-0) (vector 1 '())) (let ((eff-0 (CoreC-45Context-toFullNames arg-10 (csegen-81) arg-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (TTImpC-45PartialEval-n--13107-15506-u--getSpecArgs arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 0 arg-11 arg-1))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-6) (lambda (eta-0) (vector 1 '())) (let ((e-1 (unbox e-6))) (let ((u--nhash (CoreC-45Hash-u--hashWithSalt_Hashable_Name (CoreC-45Hash-u--hash_Hashable_C-40ListC-32C-36aC-41 (csegen-1699) (PreludeC-45TypesC-45List-mapMaybeAppend '() (lambda (eta-0) (TTImpC-45PartialEval-getStatic eta-0)) ((csegen-947) e-1))) arg-2))) (let ((u--pename (vector 0 (CoreC-45NameC-45Namespace-partialEvalNS) (vector 1 (vector 0 (string-append "PE_" (string-append (CoreC-45Name-nameRoot e-5) (string-append "_" (ProtocolC-45Hex-asHex ((let ((eff-2 (lambda (eta-0) (blodwen-toUnsignedInt eta-0 64)))) (lambda (arg-12) (eff-2 arg-12))) u--nhash)))))))))) (let ((eff-2 (let ((eff-2 arg-10)) (PrimIO-io_bind (let ((eff-3 eff-2)) (lambda (eta-0) (unbox eff-3))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((sc5 (LibrariesC-45DataC-45NameMap-lookup u--pename (let ((e-26 (vector-ref e-7 26))) e-26)))) (if (null? sc5) (let ((eff-3 (TTImpC-45PartialEval-mkSpecDef arg-10 arg-9 arg-8 arg-7 arg-6 arg-5 arg-3 u--pename e-1 arg-2 arg-1))) (((csegen-50) ((let ((eff-4 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-8 (vector-ref eta-3 1))) (vector 1 (eta-2 e-8))))))))))) (lambda (arg-12) (lambda (arg-13) ((((eff-4 'erased) 'erased) arg-12) arg-13)))) (lambda (eta-0) (box eta-0)))) eff-3)) (lambda (eta-0) (vector 1 '())))))) eff-3))))))))))))) eff-2))))))))) eff-1))))))))))
(define TTImpC-45PartialEval-case--eraseInferred-15320 (lambda (arg-1 arg-2 arg-3) (let ((e-2 (car arg-3))) (let ((e-3 (cdr arg-3))) (if (null? e-3) (lambda (eta-0) (vector 1 e-2)) (case (vector-ref e-2 0) ((1) (let ((e-5 (vector-ref e-2 1))) (let ((e-6 (vector-ref e-2 2))) (let ((e-7 (vector-ref e-2 3))) (case (vector-ref e-6 0) ((1) (let ((eff-0 (let ((eff-0 arg-2)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-8 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-lookupCtxtExact e-7 (let ((e-0 (vector-ref e-8 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-9 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-9) (lambda (eta-0) (vector 1 arg-1)) (let ((e-1 (unbox e-9))) (let ((u--argsE (TTImpC-45PartialEval-n--12821-15229-u--dropErased arg-1 arg-2 e-5 0 (let ((e-25 (vector-ref e-1 6))) e-25) e-3))) (let ((eff-2 (CoreC-45Core-traverseC-39 (lambda (eta-0) (TTImpC-45PartialEval-eraseInferred arg-2 eta-0)) u--argsE '()))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-10 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (CoreC-45TT-apply e-5 (vector 1 e-5 (vector 1 ) e-7) e-10))))) eff-3)))))))))))) eff-2))))))))) eff-1))))))))(else (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (TTImpC-45PartialEval-eraseInferred arg-2 eta-0)) e-3 '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-1 (lambda (eta-0) (vector 1 (CoreC-45TT-apply (CoreC-45TT-getLoc e-2) e-2 e-3))))) eff-1))))))))))))(else (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (TTImpC-45PartialEval-eraseInferred arg-2 eta-0)) e-3 '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-1 (lambda (eta-0) (vector 1 (CoreC-45TT-apply (CoreC-45TT-getLoc e-2) e-2 e-3))))) eff-1)))))))))))))
(define TTImpC-45PartialEval-case--caseC-32blockC-32inC-32mkSpecDef-14576 (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20 arg-21 arg-22) (case (vector-ref arg-22 0) ((1) (let ((e-4 (vector-ref arg-22 5))) (let ((eff-0 (CoreC-45ContextC-45Log-unverifiedLogC arg-11 "specialise" 5 (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (TTImpC-45PartialEval-n--11463-14045-u--unelabDef arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 eta-0)) e-4 '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (string-append "Attempting to specialise:\xa;" (CoreC-45NameC-45Namespace-showSep "\xa;" (((csegen-25) (lambda (eta-1) (TTImpC-45PartialEval-n--11463-14046-u--showPat arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 eta-1))) e-5))))))) eff-1)))))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((eff-1 (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-nf arg-11 '() arg-20 '() (let ((e-25 (vector-ref arg-5 2))) e-25)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-6 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (TTImpC-45PartialEval-getSpecPats arg-11 arg-6 arg-4 arg-2 arg-1 e-6 arg-3 arg-13 e-4))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-6 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-6) (lambda (eta-0) (vector 1 (CoreC-45TT-applyWithFC (vector 1 arg-6 (vector 1 ) arg-2) arg-1))) (let ((e-7 (unbox e-6))) (let ((eff-2 (CoreC-45ContextC-45Log-log arg-11 (csegen-3545) 5 (lambda () (string-append ((csegen-0) "New patterns for ") (string-append (CoreC-45Name-u--show_Show_Name arg-4) (string-append ":\xa;" (CoreC-45NameC-45Namespace-showSep "\xa;" (((csegen-25) (lambda (eta-0) (TTImpC-45PartialEval-n--11463-14046-u--showPat arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 eta-0))) e-7))))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((eff-3 (let ((eff-3 (TTImpC-45ElabC-45Check-processDecl '() arg-11 arg-10 arg-9 arg-8 arg-7 (cons 2 '()) '() '() (vector 2 arg-6 (vector 8 arg-17) e-7)))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-9 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((eff-4 (let ((eff-4 (CoreC-45Context-setAllPublic arg-11 0))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-10 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((eff-5 (lambda (eta-0) (vector 1 arg-14)))) eff-5)))))))) eff-4)))))))) eff-3)))))))))) eff-2))))))))) eff-1))))))))(else (lambda (eta-0) (vector 1 (CoreC-45TT-applyWithFC (vector 1 arg-6 (vector 1 ) arg-2) arg-1)))))))
(define TTImpC-45PartialEval-case--specPatByVar-13047 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (let ((e-2 (car arg-5))) (let ((e-3 (cdr arg-5))) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (TTImpC-45PartialEval-mkSubsts 0 arg-4 e-3 arg-3) (lambda (u--psubs) (let ((u--lhsC-39 (CoreC-45TT-apply (CoreC-45TT-getLoc e-2) e-2 e-3))) (box (cons arg-0 (cons arg-1 (cons (TTImpC-45PartialEval-substLocs arg-0 u--psubs u--lhsC-39) (TTImpC-45PartialEval-substLocs arg-0 u--psubs arg-3))))))))))))
(define TTImpC-45PartialEval-n--10680-13289-u--unelabPat (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11) (let ((e-2 (car arg-11))) (let ((e-3 (cdr arg-11))) (let ((e-6 (car e-3))) (let ((e-7 (cdr e-3))) (let ((e-10 (car e-7))) (let ((e-11 (cdr e-7))) (let ((eff-0 (TTImpC-45Unelab-unelabNoSugar e-2 arg-9 e-6 e-10))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--lhsC-39 (TTImpC-45PartialEval-n--10680-13288-u--dropArgs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (TTImpC-45TTImpC-45Functor-u--map_Functor_RawImpC-39 (csegen-327) e-5)))) (let ((eff-1 (let ((eff-1 arg-9)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (unbox eff-2))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-8 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Normalise-normaliseArgHoles arg-9 e-2 e-8 e-6 e-11))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-9 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (TTImpC-45Unelab-unelabNoSugar e-2 arg-9 e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-4 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-12 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 0 arg-8 u--lhsC-39 (TTImpC-45TTImpC-45Functor-u--map_Functor_RawImpC-39 (csegen-327) e-12)))))) eff-4))))))))) eff-3))))))))) eff-2)))))))))) eff-1)))))))))))))))
(define TTImpC-45PartialEval-n--11463-14045-u--unelabDef (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12) (let ((e-2 (car arg-12))) (let ((e-3 (cdr arg-12))) (let ((e-6 (car e-3))) (let ((e-7 (cdr e-3))) (let ((e-10 (car e-7))) (let ((e-11 (cdr e-7))) (let ((eff-0 (TTImpC-45Unelab-unelabNoSugar e-2 arg-11 e-6 e-10))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 arg-11)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (unbox eff-2))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-8 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Normalise-normaliseArgHoles arg-11 e-2 e-8 e-6 e-11))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-9 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (TTImpC-45Unelab-unelabNoSugar e-2 arg-11 e-6 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-4 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-12 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 0 arg-6 (TTImpC-45TTImpC-45Functor-u--map_Functor_RawImpC-39 (csegen-327) e-5) (TTImpC-45TTImpC-45Functor-u--map_Functor_RawImpC-39 (csegen-327) e-12)))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))
(define TTImpC-45PartialEval-n--11463-14046-u--showPat (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12) (case (vector-ref arg-12 0) ((0) (let ((e-2 (vector-ref arg-12 2))) (let ((e-3 (vector-ref arg-12 3))) (string-append (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 (csegen-100) e-2) (string-append " = " (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 (csegen-100) e-3))))))(else "Can't happen"))))
(define TTImpC-45PartialEval-n--10680-13287-u--reapply (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11) (if (null? arg-11) arg-10 (let ((e-2 (car arg-11))) (let ((e-3 (cdr arg-11))) (let ((e-6 (car e-2))) (let ((e-7 (cdr e-2))) (if (null? e-6) (TTImpC-45PartialEval-n--10680-13287-u--reapply arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 (vector 8 arg-8 arg-10 e-7) e-3) (let ((e-10 (unbox e-6))) (TTImpC-45PartialEval-n--10680-13287-u--reapply arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 (vector 10 arg-8 arg-10 e-10 e-7) e-3))))))))))
(define TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13) (case (vector-ref arg-10 0) ((0) (let ((e-12 (vector-ref arg-10 2))) (let ((e-13 (vector-ref arg-10 3))) (let ((e-14 (vector-ref arg-10 4))) (case (vector-ref e-13 0) ((2) (let ((e-18 (vector-ref e-13 3))) (case (vector-ref e-18 0) ((1) (if (null? arg-12) (if (null? arg-12) (case (vector-ref e-18 0) ((1) (if (null? arg-13) (if (null? arg-13) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-21 (car arg-13))) (let ((e-22 (cdr arg-13))) (if (null? e-21) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-26 (cdr e-21))) (if (null? e-26) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-27 (unbox e-26))) (let ((eff-0 (let ((eff-0 arg-9)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((e-14 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 arg-8 (vector 0 )))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45Unelab-unelabNoSugar '() arg-9 '() e-27))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-6 (vector 10 arg-8 arg-11 e-12 (TTImpC-45TTImpC-45Functor-u--map_Functor_RawImpC-39 (csegen-327) e-7)) arg-12 e-22))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))) (let ((e-30 (car arg-13))) (let ((e-31 (cdr arg-13))) (if (null? e-30) (if (null? arg-13) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-21 (car arg-13))) (let ((e-22 (cdr arg-13))) (if (null? e-21) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-26 (cdr e-21))) (if (null? e-26) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-27 (unbox e-26))) (let ((eff-0 (let ((eff-0 arg-9)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((e-14 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 arg-8 (vector 0 )))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45Unelab-unelabNoSugar '() arg-9 '() e-27))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-6 (vector 10 arg-8 arg-11 e-12 (TTImpC-45TTImpC-45Functor-u--map_Functor_RawImpC-39 (csegen-327) e-7)) arg-12 e-22))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))) (let ((e-35 (cdr e-30))) (if (null? e-35) (if (null? arg-13) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-21 (car arg-13))) (let ((e-22 (cdr arg-13))) (if (null? e-21) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-26 (cdr e-21))) (if (null? e-26) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-27 (unbox e-26))) (let ((eff-0 (let ((eff-0 arg-9)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((e-14 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 arg-8 (vector 0 )))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45Unelab-unelabNoSugar '() arg-9 '() e-27))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-6 (vector 10 arg-8 arg-11 e-12 (TTImpC-45TTImpC-45Functor-u--map_Functor_RawImpC-39 (csegen-327) e-7)) arg-12 e-22))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))) (let ((e-36 (unbox e-35))) (let ((eff-0 (let ((eff-0 arg-9)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((e-14 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 arg-8 (vector 0 )))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45Unelab-unelabNoSugar '() arg-9 '() e-36))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-6 (vector 8 arg-8 arg-11 (TTImpC-45TTImpC-45Functor-u--map_Functor_RawImpC-39 (csegen-327) e-7)) arg-12 e-31))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))(else (if (null? arg-13) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-21 (car arg-13))) (let ((e-22 (cdr arg-13))) (if (null? e-21) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-26 (cdr e-21))) (if (null? e-26) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-27 (unbox e-26))) (let ((eff-0 (let ((eff-0 arg-9)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((e-14 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 arg-8 (vector 0 )))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45Unelab-unelabNoSugar '() arg-9 '() e-27))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-6 (vector 10 arg-8 arg-11 e-12 (TTImpC-45TTImpC-45Functor-u--map_Functor_RawImpC-39 (csegen-327) e-7)) arg-12 e-22))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))) (let ((e-38 (car arg-12))) (let ((e-39 (cdr arg-12))) (if (null? arg-13) (case (vector-ref e-18 0) ((1) (if (null? arg-13) (if (null? arg-13) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-21 (car arg-13))) (let ((e-22 (cdr arg-13))) (if (null? e-21) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-26 (cdr e-21))) (if (null? e-26) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-27 (unbox e-26))) (let ((eff-0 (let ((eff-0 arg-9)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((e-14 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 arg-8 (vector 0 )))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45Unelab-unelabNoSugar '() arg-9 '() e-27))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-6 (vector 10 arg-8 arg-11 e-12 (TTImpC-45TTImpC-45Functor-u--map_Functor_RawImpC-39 (csegen-327) e-7)) arg-12 e-22))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))) (let ((e-30 (car arg-13))) (let ((e-31 (cdr arg-13))) (if (null? e-30) (if (null? arg-13) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-21 (car arg-13))) (let ((e-22 (cdr arg-13))) (if (null? e-21) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-26 (cdr e-21))) (if (null? e-26) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-27 (unbox e-26))) (let ((eff-0 (let ((eff-0 arg-9)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((e-14 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 arg-8 (vector 0 )))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45Unelab-unelabNoSugar '() arg-9 '() e-27))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-6 (vector 10 arg-8 arg-11 e-12 (TTImpC-45TTImpC-45Functor-u--map_Functor_RawImpC-39 (csegen-327) e-7)) arg-12 e-22))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))) (let ((e-35 (cdr e-30))) (if (null? e-35) (if (null? arg-13) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-21 (car arg-13))) (let ((e-22 (cdr arg-13))) (if (null? e-21) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-26 (cdr e-21))) (if (null? e-26) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-27 (unbox e-26))) (let ((eff-0 (let ((eff-0 arg-9)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((e-14 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 arg-8 (vector 0 )))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45Unelab-unelabNoSugar '() arg-9 '() e-27))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-6 (vector 10 arg-8 arg-11 e-12 (TTImpC-45TTImpC-45Functor-u--map_Functor_RawImpC-39 (csegen-327) e-7)) arg-12 e-22))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))) (let ((e-36 (unbox e-35))) (let ((eff-0 (let ((eff-0 arg-9)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((e-14 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 arg-8 (vector 0 )))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45Unelab-unelabNoSugar '() arg-9 '() e-36))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-6 (vector 8 arg-8 arg-11 (TTImpC-45TTImpC-45Functor-u--map_Functor_RawImpC-39 (csegen-327) e-7)) arg-12 e-31))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))(else (if (null? arg-13) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-21 (car arg-13))) (let ((e-22 (cdr arg-13))) (if (null? e-21) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-26 (cdr e-21))) (if (null? e-26) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-27 (unbox e-26))) (let ((eff-0 (let ((eff-0 arg-9)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((e-14 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 arg-8 (vector 0 )))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45Unelab-unelabNoSugar '() arg-9 '() e-27))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-6 (vector 10 arg-8 arg-11 e-12 (TTImpC-45TTImpC-45Functor-u--map_Functor_RawImpC-39 (csegen-327) e-7)) arg-12 e-22))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))) (let ((e-41 (car arg-13))) (let ((e-42 (cdr arg-13))) (if (null? e-41) (case (vector-ref e-18 0) ((1) (if (null? arg-13) (if (null? arg-13) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-21 (car arg-13))) (let ((e-22 (cdr arg-13))) (if (null? e-21) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-26 (cdr e-21))) (if (null? e-26) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-27 (unbox e-26))) (let ((eff-0 (let ((eff-0 arg-9)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((e-14 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 arg-8 (vector 0 )))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45Unelab-unelabNoSugar '() arg-9 '() e-27))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-6 (vector 10 arg-8 arg-11 e-12 (TTImpC-45TTImpC-45Functor-u--map_Functor_RawImpC-39 (csegen-327) e-7)) arg-12 e-22))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))) (let ((e-30 (car arg-13))) (let ((e-31 (cdr arg-13))) (if (null? e-30) (if (null? arg-13) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-21 (car arg-13))) (let ((e-22 (cdr arg-13))) (if (null? e-21) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-26 (cdr e-21))) (if (null? e-26) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-27 (unbox e-26))) (let ((eff-0 (let ((eff-0 arg-9)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((e-14 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 arg-8 (vector 0 )))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45Unelab-unelabNoSugar '() arg-9 '() e-27))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-6 (vector 10 arg-8 arg-11 e-12 (TTImpC-45TTImpC-45Functor-u--map_Functor_RawImpC-39 (csegen-327) e-7)) arg-12 e-22))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))) (let ((e-35 (cdr e-30))) (if (null? e-35) (if (null? arg-13) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-21 (car arg-13))) (let ((e-22 (cdr arg-13))) (if (null? e-21) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-26 (cdr e-21))) (if (null? e-26) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-27 (unbox e-26))) (let ((eff-0 (let ((eff-0 arg-9)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((e-14 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 arg-8 (vector 0 )))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45Unelab-unelabNoSugar '() arg-9 '() e-27))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-6 (vector 10 arg-8 arg-11 e-12 (TTImpC-45TTImpC-45Functor-u--map_Functor_RawImpC-39 (csegen-327) e-7)) arg-12 e-22))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))) (let ((e-36 (unbox e-35))) (let ((eff-0 (let ((eff-0 arg-9)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((e-14 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 arg-8 (vector 0 )))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45Unelab-unelabNoSugar '() arg-9 '() e-36))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-6 (vector 8 arg-8 arg-11 (TTImpC-45TTImpC-45Functor-u--map_Functor_RawImpC-39 (csegen-327) e-7)) arg-12 e-31))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))(else (if (null? arg-13) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-21 (car arg-13))) (let ((e-22 (cdr arg-13))) (if (null? e-21) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-26 (cdr e-21))) (if (null? e-26) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-27 (unbox e-26))) (let ((eff-0 (let ((eff-0 arg-9)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((e-14 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 arg-8 (vector 0 )))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45Unelab-unelabNoSugar '() arg-9 '() e-27))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-6 (vector 10 arg-8 arg-11 e-12 (TTImpC-45TTImpC-45Functor-u--map_Functor_RawImpC-39 (csegen-327) e-7)) arg-12 e-22))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))) (let ((e-46 (cdr e-41))) (if (null? e-46) (let ((eff-0 (let ((eff-0 arg-9)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((e-14 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 arg-8 (vector 0 )))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-6 (vector 10 arg-8 arg-11 e-12 (vector 0 arg-8 (vector 1 (vector 0 e-38)))) e-39 e-42))) eff-2))))))))) eff-1))))))) (case (vector-ref e-18 0) ((1) (if (null? arg-13) (if (null? arg-13) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-21 (car arg-13))) (let ((e-22 (cdr arg-13))) (if (null? e-21) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-26 (cdr e-21))) (if (null? e-26) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-27 (unbox e-26))) (let ((eff-0 (let ((eff-0 arg-9)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((e-14 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 arg-8 (vector 0 )))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45Unelab-unelabNoSugar '() arg-9 '() e-27))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-6 (vector 10 arg-8 arg-11 e-12 (TTImpC-45TTImpC-45Functor-u--map_Functor_RawImpC-39 (csegen-327) e-7)) arg-12 e-22))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))) (let ((e-30 (car arg-13))) (let ((e-31 (cdr arg-13))) (if (null? e-30) (if (null? arg-13) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-21 (car arg-13))) (let ((e-22 (cdr arg-13))) (if (null? e-21) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-26 (cdr e-21))) (if (null? e-26) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-27 (unbox e-26))) (let ((eff-0 (let ((eff-0 arg-9)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((e-14 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 arg-8 (vector 0 )))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45Unelab-unelabNoSugar '() arg-9 '() e-27))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-6 (vector 10 arg-8 arg-11 e-12 (TTImpC-45TTImpC-45Functor-u--map_Functor_RawImpC-39 (csegen-327) e-7)) arg-12 e-22))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))) (let ((e-35 (cdr e-30))) (if (null? e-35) (if (null? arg-13) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-21 (car arg-13))) (let ((e-22 (cdr arg-13))) (if (null? e-21) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-26 (cdr e-21))) (if (null? e-26) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-27 (unbox e-26))) (let ((eff-0 (let ((eff-0 arg-9)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((e-14 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 arg-8 (vector 0 )))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45Unelab-unelabNoSugar '() arg-9 '() e-27))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-6 (vector 10 arg-8 arg-11 e-12 (TTImpC-45TTImpC-45Functor-u--map_Functor_RawImpC-39 (csegen-327) e-7)) arg-12 e-22))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))) (let ((e-36 (unbox e-35))) (let ((eff-0 (let ((eff-0 arg-9)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((e-14 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 arg-8 (vector 0 )))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45Unelab-unelabNoSugar '() arg-9 '() e-36))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-6 (vector 8 arg-8 arg-11 (TTImpC-45TTImpC-45Functor-u--map_Functor_RawImpC-39 (csegen-327) e-7)) arg-12 e-31))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))(else (if (null? arg-13) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-21 (car arg-13))) (let ((e-22 (cdr arg-13))) (if (null? e-21) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-26 (cdr e-21))) (if (null? e-26) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-27 (unbox e-26))) (let ((eff-0 (let ((eff-0 arg-9)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((e-14 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 arg-8 (vector 0 )))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45Unelab-unelabNoSugar '() arg-9 '() e-27))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-6 (vector 10 arg-8 arg-11 e-12 (TTImpC-45TTImpC-45Functor-u--map_Functor_RawImpC-39 (csegen-327) e-7)) arg-12 e-22))) eff-3))))))))) eff-2))))))))) eff-1))))))))))))))))))))))))) (let ((e-49 (car arg-12))) (let ((e-50 (cdr arg-12))) (if (null? arg-13) (if (null? arg-12) (case (vector-ref e-18 0) ((1) (if (null? arg-13) (if (null? arg-13) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-21 (car arg-13))) (let ((e-22 (cdr arg-13))) (if (null? e-21) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-26 (cdr e-21))) (if (null? e-26) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-27 (unbox e-26))) (let ((eff-0 (let ((eff-0 arg-9)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((e-14 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 arg-8 (vector 0 )))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45Unelab-unelabNoSugar '() arg-9 '() e-27))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-6 (vector 10 arg-8 arg-11 e-12 (TTImpC-45TTImpC-45Functor-u--map_Functor_RawImpC-39 (csegen-327) e-7)) arg-12 e-22))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))) (let ((e-30 (car arg-13))) (let ((e-31 (cdr arg-13))) (if (null? e-30) (if (null? arg-13) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-21 (car arg-13))) (let ((e-22 (cdr arg-13))) (if (null? e-21) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-26 (cdr e-21))) (if (null? e-26) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-27 (unbox e-26))) (let ((eff-0 (let ((eff-0 arg-9)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((e-14 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 arg-8 (vector 0 )))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45Unelab-unelabNoSugar '() arg-9 '() e-27))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-6 (vector 10 arg-8 arg-11 e-12 (TTImpC-45TTImpC-45Functor-u--map_Functor_RawImpC-39 (csegen-327) e-7)) arg-12 e-22))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))) (let ((e-35 (cdr e-30))) (if (null? e-35) (if (null? arg-13) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-21 (car arg-13))) (let ((e-22 (cdr arg-13))) (if (null? e-21) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-26 (cdr e-21))) (if (null? e-26) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-27 (unbox e-26))) (let ((eff-0 (let ((eff-0 arg-9)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((e-14 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 arg-8 (vector 0 )))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45Unelab-unelabNoSugar '() arg-9 '() e-27))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-6 (vector 10 arg-8 arg-11 e-12 (TTImpC-45TTImpC-45Functor-u--map_Functor_RawImpC-39 (csegen-327) e-7)) arg-12 e-22))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))) (let ((e-36 (unbox e-35))) (let ((eff-0 (let ((eff-0 arg-9)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((e-14 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 arg-8 (vector 0 )))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45Unelab-unelabNoSugar '() arg-9 '() e-36))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-6 (vector 8 arg-8 arg-11 (TTImpC-45TTImpC-45Functor-u--map_Functor_RawImpC-39 (csegen-327) e-7)) arg-12 e-31))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))(else (if (null? arg-13) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-21 (car arg-13))) (let ((e-22 (cdr arg-13))) (if (null? e-21) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-26 (cdr e-21))) (if (null? e-26) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-27 (unbox e-26))) (let ((eff-0 (let ((eff-0 arg-9)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((e-14 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 arg-8 (vector 0 )))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45Unelab-unelabNoSugar '() arg-9 '() e-27))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-6 (vector 10 arg-8 arg-11 e-12 (TTImpC-45TTImpC-45Functor-u--map_Functor_RawImpC-39 (csegen-327) e-7)) arg-12 e-22))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))) (let ((e-38 (car arg-12))) (let ((e-39 (cdr arg-12))) (if (null? arg-13) (case (vector-ref e-18 0) ((1) (if (null? arg-13) (if (null? arg-13) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-21 (car arg-13))) (let ((e-22 (cdr arg-13))) (if (null? e-21) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-26 (cdr e-21))) (if (null? e-26) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-27 (unbox e-26))) (let ((eff-0 (let ((eff-0 arg-9)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((e-14 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 arg-8 (vector 0 )))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45Unelab-unelabNoSugar '() arg-9 '() e-27))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-6 (vector 10 arg-8 arg-11 e-12 (TTImpC-45TTImpC-45Functor-u--map_Functor_RawImpC-39 (csegen-327) e-7)) arg-12 e-22))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))) (let ((e-30 (car arg-13))) (let ((e-31 (cdr arg-13))) (if (null? e-30) (if (null? arg-13) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-21 (car arg-13))) (let ((e-22 (cdr arg-13))) (if (null? e-21) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-26 (cdr e-21))) (if (null? e-26) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-27 (unbox e-26))) (let ((eff-0 (let ((eff-0 arg-9)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((e-14 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 arg-8 (vector 0 )))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45Unelab-unelabNoSugar '() arg-9 '() e-27))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-6 (vector 10 arg-8 arg-11 e-12 (TTImpC-45TTImpC-45Functor-u--map_Functor_RawImpC-39 (csegen-327) e-7)) arg-12 e-22))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))) (let ((e-35 (cdr e-30))) (if (null? e-35) (if (null? arg-13) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-21 (car arg-13))) (let ((e-22 (cdr arg-13))) (if (null? e-21) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-26 (cdr e-21))) (if (null? e-26) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-27 (unbox e-26))) (let ((eff-0 (let ((eff-0 arg-9)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((e-14 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 arg-8 (vector 0 )))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45Unelab-unelabNoSugar '() arg-9 '() e-27))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-6 (vector 10 arg-8 arg-11 e-12 (TTImpC-45TTImpC-45Functor-u--map_Functor_RawImpC-39 (csegen-327) e-7)) arg-12 e-22))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))) (let ((e-36 (unbox e-35))) (let ((eff-0 (let ((eff-0 arg-9)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((e-14 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 arg-8 (vector 0 )))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45Unelab-unelabNoSugar '() arg-9 '() e-36))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-6 (vector 8 arg-8 arg-11 (TTImpC-45TTImpC-45Functor-u--map_Functor_RawImpC-39 (csegen-327) e-7)) arg-12 e-31))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))(else (if (null? arg-13) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-21 (car arg-13))) (let ((e-22 (cdr arg-13))) (if (null? e-21) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-26 (cdr e-21))) (if (null? e-26) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-27 (unbox e-26))) (let ((eff-0 (let ((eff-0 arg-9)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((e-14 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 arg-8 (vector 0 )))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45Unelab-unelabNoSugar '() arg-9 '() e-27))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-6 (vector 10 arg-8 arg-11 e-12 (TTImpC-45TTImpC-45Functor-u--map_Functor_RawImpC-39 (csegen-327) e-7)) arg-12 e-22))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))) (let ((e-41 (car arg-13))) (let ((e-42 (cdr arg-13))) (if (null? e-41) (case (vector-ref e-18 0) ((1) (if (null? arg-13) (if (null? arg-13) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-21 (car arg-13))) (let ((e-22 (cdr arg-13))) (if (null? e-21) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-26 (cdr e-21))) (if (null? e-26) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-27 (unbox e-26))) (let ((eff-0 (let ((eff-0 arg-9)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((e-14 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 arg-8 (vector 0 )))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45Unelab-unelabNoSugar '() arg-9 '() e-27))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-6 (vector 10 arg-8 arg-11 e-12 (TTImpC-45TTImpC-45Functor-u--map_Functor_RawImpC-39 (csegen-327) e-7)) arg-12 e-22))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))) (let ((e-30 (car arg-13))) (let ((e-31 (cdr arg-13))) (if (null? e-30) (if (null? arg-13) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-21 (car arg-13))) (let ((e-22 (cdr arg-13))) (if (null? e-21) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-26 (cdr e-21))) (if (null? e-26) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-27 (unbox e-26))) (let ((eff-0 (let ((eff-0 arg-9)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((e-14 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 arg-8 (vector 0 )))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45Unelab-unelabNoSugar '() arg-9 '() e-27))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-6 (vector 10 arg-8 arg-11 e-12 (TTImpC-45TTImpC-45Functor-u--map_Functor_RawImpC-39 (csegen-327) e-7)) arg-12 e-22))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))) (let ((e-35 (cdr e-30))) (if (null? e-35) (if (null? arg-13) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-21 (car arg-13))) (let ((e-22 (cdr arg-13))) (if (null? e-21) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-26 (cdr e-21))) (if (null? e-26) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-27 (unbox e-26))) (let ((eff-0 (let ((eff-0 arg-9)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((e-14 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 arg-8 (vector 0 )))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45Unelab-unelabNoSugar '() arg-9 '() e-27))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-6 (vector 10 arg-8 arg-11 e-12 (TTImpC-45TTImpC-45Functor-u--map_Functor_RawImpC-39 (csegen-327) e-7)) arg-12 e-22))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))) (let ((e-36 (unbox e-35))) (let ((eff-0 (let ((eff-0 arg-9)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((e-14 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 arg-8 (vector 0 )))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45Unelab-unelabNoSugar '() arg-9 '() e-36))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-6 (vector 8 arg-8 arg-11 (TTImpC-45TTImpC-45Functor-u--map_Functor_RawImpC-39 (csegen-327) e-7)) arg-12 e-31))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))(else (if (null? arg-13) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-21 (car arg-13))) (let ((e-22 (cdr arg-13))) (if (null? e-21) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-26 (cdr e-21))) (if (null? e-26) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-27 (unbox e-26))) (let ((eff-0 (let ((eff-0 arg-9)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((e-14 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 arg-8 (vector 0 )))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45Unelab-unelabNoSugar '() arg-9 '() e-27))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-6 (vector 10 arg-8 arg-11 e-12 (TTImpC-45TTImpC-45Functor-u--map_Functor_RawImpC-39 (csegen-327) e-7)) arg-12 e-22))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))) (let ((e-46 (cdr e-41))) (if (null? e-46) (let ((eff-0 (let ((eff-0 arg-9)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((e-14 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 arg-8 (vector 0 )))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-6 (vector 10 arg-8 arg-11 e-12 (vector 0 arg-8 (vector 1 (vector 0 e-38)))) e-39 e-42))) eff-2))))))))) eff-1))))))) (case (vector-ref e-18 0) ((1) (if (null? arg-13) (if (null? arg-13) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-21 (car arg-13))) (let ((e-22 (cdr arg-13))) (if (null? e-21) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-26 (cdr e-21))) (if (null? e-26) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-27 (unbox e-26))) (let ((eff-0 (let ((eff-0 arg-9)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((e-14 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 arg-8 (vector 0 )))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45Unelab-unelabNoSugar '() arg-9 '() e-27))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-6 (vector 10 arg-8 arg-11 e-12 (TTImpC-45TTImpC-45Functor-u--map_Functor_RawImpC-39 (csegen-327) e-7)) arg-12 e-22))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))) (let ((e-30 (car arg-13))) (let ((e-31 (cdr arg-13))) (if (null? e-30) (if (null? arg-13) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-21 (car arg-13))) (let ((e-22 (cdr arg-13))) (if (null? e-21) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-26 (cdr e-21))) (if (null? e-26) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-27 (unbox e-26))) (let ((eff-0 (let ((eff-0 arg-9)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((e-14 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 arg-8 (vector 0 )))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45Unelab-unelabNoSugar '() arg-9 '() e-27))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-6 (vector 10 arg-8 arg-11 e-12 (TTImpC-45TTImpC-45Functor-u--map_Functor_RawImpC-39 (csegen-327) e-7)) arg-12 e-22))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))) (let ((e-35 (cdr e-30))) (if (null? e-35) (if (null? arg-13) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-21 (car arg-13))) (let ((e-22 (cdr arg-13))) (if (null? e-21) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-26 (cdr e-21))) (if (null? e-26) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-27 (unbox e-26))) (let ((eff-0 (let ((eff-0 arg-9)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((e-14 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 arg-8 (vector 0 )))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45Unelab-unelabNoSugar '() arg-9 '() e-27))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-6 (vector 10 arg-8 arg-11 e-12 (TTImpC-45TTImpC-45Functor-u--map_Functor_RawImpC-39 (csegen-327) e-7)) arg-12 e-22))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))) (let ((e-36 (unbox e-35))) (let ((eff-0 (let ((eff-0 arg-9)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((e-14 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 arg-8 (vector 0 )))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45Unelab-unelabNoSugar '() arg-9 '() e-36))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-6 (vector 8 arg-8 arg-11 (TTImpC-45TTImpC-45Functor-u--map_Functor_RawImpC-39 (csegen-327) e-7)) arg-12 e-31))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))(else (if (null? arg-13) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-21 (car arg-13))) (let ((e-22 (cdr arg-13))) (if (null? e-21) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-26 (cdr e-21))) (if (null? e-26) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-27 (unbox e-26))) (let ((eff-0 (let ((eff-0 arg-9)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((e-14 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 arg-8 (vector 0 )))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45Unelab-unelabNoSugar '() arg-9 '() e-27))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-6 (vector 10 arg-8 arg-11 e-12 (TTImpC-45TTImpC-45Functor-u--map_Functor_RawImpC-39 (csegen-327) e-7)) arg-12 e-22))) eff-3))))))))) eff-2))))))))) eff-1))))))))))))))))))))))))) (let ((e-52 (car arg-13))) (let ((e-53 (cdr arg-13))) (if (null? e-52) (if (null? arg-12) (case (vector-ref e-18 0) ((1) (if (null? arg-13) (if (null? arg-13) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-21 (car arg-13))) (let ((e-22 (cdr arg-13))) (if (null? e-21) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-26 (cdr e-21))) (if (null? e-26) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-27 (unbox e-26))) (let ((eff-0 (let ((eff-0 arg-9)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((e-14 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 arg-8 (vector 0 )))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45Unelab-unelabNoSugar '() arg-9 '() e-27))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-6 (vector 10 arg-8 arg-11 e-12 (TTImpC-45TTImpC-45Functor-u--map_Functor_RawImpC-39 (csegen-327) e-7)) arg-12 e-22))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))) (let ((e-30 (car arg-13))) (let ((e-31 (cdr arg-13))) (if (null? e-30) (if (null? arg-13) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-21 (car arg-13))) (let ((e-22 (cdr arg-13))) (if (null? e-21) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-26 (cdr e-21))) (if (null? e-26) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-27 (unbox e-26))) (let ((eff-0 (let ((eff-0 arg-9)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((e-14 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 arg-8 (vector 0 )))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45Unelab-unelabNoSugar '() arg-9 '() e-27))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-6 (vector 10 arg-8 arg-11 e-12 (TTImpC-45TTImpC-45Functor-u--map_Functor_RawImpC-39 (csegen-327) e-7)) arg-12 e-22))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))) (let ((e-35 (cdr e-30))) (if (null? e-35) (if (null? arg-13) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-21 (car arg-13))) (let ((e-22 (cdr arg-13))) (if (null? e-21) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-26 (cdr e-21))) (if (null? e-26) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-27 (unbox e-26))) (let ((eff-0 (let ((eff-0 arg-9)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((e-14 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 arg-8 (vector 0 )))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45Unelab-unelabNoSugar '() arg-9 '() e-27))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-6 (vector 10 arg-8 arg-11 e-12 (TTImpC-45TTImpC-45Functor-u--map_Functor_RawImpC-39 (csegen-327) e-7)) arg-12 e-22))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))) (let ((e-36 (unbox e-35))) (let ((eff-0 (let ((eff-0 arg-9)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((e-14 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 arg-8 (vector 0 )))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45Unelab-unelabNoSugar '() arg-9 '() e-36))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-6 (vector 8 arg-8 arg-11 (TTImpC-45TTImpC-45Functor-u--map_Functor_RawImpC-39 (csegen-327) e-7)) arg-12 e-31))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))(else (if (null? arg-13) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-21 (car arg-13))) (let ((e-22 (cdr arg-13))) (if (null? e-21) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-26 (cdr e-21))) (if (null? e-26) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-27 (unbox e-26))) (let ((eff-0 (let ((eff-0 arg-9)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((e-14 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 arg-8 (vector 0 )))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45Unelab-unelabNoSugar '() arg-9 '() e-27))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-6 (vector 10 arg-8 arg-11 e-12 (TTImpC-45TTImpC-45Functor-u--map_Functor_RawImpC-39 (csegen-327) e-7)) arg-12 e-22))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))) (let ((e-38 (car arg-12))) (let ((e-39 (cdr arg-12))) (if (null? arg-13) (case (vector-ref e-18 0) ((1) (if (null? arg-13) (if (null? arg-13) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-21 (car arg-13))) (let ((e-22 (cdr arg-13))) (if (null? e-21) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-26 (cdr e-21))) (if (null? e-26) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-27 (unbox e-26))) (let ((eff-0 (let ((eff-0 arg-9)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((e-14 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 arg-8 (vector 0 )))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45Unelab-unelabNoSugar '() arg-9 '() e-27))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-6 (vector 10 arg-8 arg-11 e-12 (TTImpC-45TTImpC-45Functor-u--map_Functor_RawImpC-39 (csegen-327) e-7)) arg-12 e-22))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))) (let ((e-30 (car arg-13))) (let ((e-31 (cdr arg-13))) (if (null? e-30) (if (null? arg-13) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-21 (car arg-13))) (let ((e-22 (cdr arg-13))) (if (null? e-21) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-26 (cdr e-21))) (if (null? e-26) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-27 (unbox e-26))) (let ((eff-0 (let ((eff-0 arg-9)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((e-14 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 arg-8 (vector 0 )))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45Unelab-unelabNoSugar '() arg-9 '() e-27))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-6 (vector 10 arg-8 arg-11 e-12 (TTImpC-45TTImpC-45Functor-u--map_Functor_RawImpC-39 (csegen-327) e-7)) arg-12 e-22))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))) (let ((e-35 (cdr e-30))) (if (null? e-35) (if (null? arg-13) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-21 (car arg-13))) (let ((e-22 (cdr arg-13))) (if (null? e-21) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-26 (cdr e-21))) (if (null? e-26) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-27 (unbox e-26))) (let ((eff-0 (let ((eff-0 arg-9)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((e-14 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 arg-8 (vector 0 )))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45Unelab-unelabNoSugar '() arg-9 '() e-27))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-6 (vector 10 arg-8 arg-11 e-12 (TTImpC-45TTImpC-45Functor-u--map_Functor_RawImpC-39 (csegen-327) e-7)) arg-12 e-22))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))) (let ((e-36 (unbox e-35))) (let ((eff-0 (let ((eff-0 arg-9)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((e-14 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 arg-8 (vector 0 )))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45Unelab-unelabNoSugar '() arg-9 '() e-36))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-6 (vector 8 arg-8 arg-11 (TTImpC-45TTImpC-45Functor-u--map_Functor_RawImpC-39 (csegen-327) e-7)) arg-12 e-31))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))(else (if (null? arg-13) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-21 (car arg-13))) (let ((e-22 (cdr arg-13))) (if (null? e-21) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-26 (cdr e-21))) (if (null? e-26) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-27 (unbox e-26))) (let ((eff-0 (let ((eff-0 arg-9)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((e-14 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 arg-8 (vector 0 )))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45Unelab-unelabNoSugar '() arg-9 '() e-27))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-6 (vector 10 arg-8 arg-11 e-12 (TTImpC-45TTImpC-45Functor-u--map_Functor_RawImpC-39 (csegen-327) e-7)) arg-12 e-22))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))) (let ((e-41 (car arg-13))) (let ((e-42 (cdr arg-13))) (if (null? e-41) (case (vector-ref e-18 0) ((1) (if (null? arg-13) (if (null? arg-13) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-21 (car arg-13))) (let ((e-22 (cdr arg-13))) (if (null? e-21) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-26 (cdr e-21))) (if (null? e-26) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-27 (unbox e-26))) (let ((eff-0 (let ((eff-0 arg-9)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((e-14 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 arg-8 (vector 0 )))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45Unelab-unelabNoSugar '() arg-9 '() e-27))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-6 (vector 10 arg-8 arg-11 e-12 (TTImpC-45TTImpC-45Functor-u--map_Functor_RawImpC-39 (csegen-327) e-7)) arg-12 e-22))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))) (let ((e-30 (car arg-13))) (let ((e-31 (cdr arg-13))) (if (null? e-30) (if (null? arg-13) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-21 (car arg-13))) (let ((e-22 (cdr arg-13))) (if (null? e-21) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-26 (cdr e-21))) (if (null? e-26) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-27 (unbox e-26))) (let ((eff-0 (let ((eff-0 arg-9)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((e-14 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 arg-8 (vector 0 )))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45Unelab-unelabNoSugar '() arg-9 '() e-27))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-6 (vector 10 arg-8 arg-11 e-12 (TTImpC-45TTImpC-45Functor-u--map_Functor_RawImpC-39 (csegen-327) e-7)) arg-12 e-22))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))) (let ((e-35 (cdr e-30))) (if (null? e-35) (if (null? arg-13) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-21 (car arg-13))) (let ((e-22 (cdr arg-13))) (if (null? e-21) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-26 (cdr e-21))) (if (null? e-26) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-27 (unbox e-26))) (let ((eff-0 (let ((eff-0 arg-9)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((e-14 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 arg-8 (vector 0 )))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45Unelab-unelabNoSugar '() arg-9 '() e-27))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-6 (vector 10 arg-8 arg-11 e-12 (TTImpC-45TTImpC-45Functor-u--map_Functor_RawImpC-39 (csegen-327) e-7)) arg-12 e-22))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))) (let ((e-36 (unbox e-35))) (let ((eff-0 (let ((eff-0 arg-9)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((e-14 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 arg-8 (vector 0 )))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45Unelab-unelabNoSugar '() arg-9 '() e-36))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-6 (vector 8 arg-8 arg-11 (TTImpC-45TTImpC-45Functor-u--map_Functor_RawImpC-39 (csegen-327) e-7)) arg-12 e-31))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))(else (if (null? arg-13) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-21 (car arg-13))) (let ((e-22 (cdr arg-13))) (if (null? e-21) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-26 (cdr e-21))) (if (null? e-26) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-27 (unbox e-26))) (let ((eff-0 (let ((eff-0 arg-9)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((e-14 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 arg-8 (vector 0 )))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45Unelab-unelabNoSugar '() arg-9 '() e-27))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-6 (vector 10 arg-8 arg-11 e-12 (TTImpC-45TTImpC-45Functor-u--map_Functor_RawImpC-39 (csegen-327) e-7)) arg-12 e-22))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))) (let ((e-46 (cdr e-41))) (if (null? e-46) (let ((eff-0 (let ((eff-0 arg-9)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((e-14 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 arg-8 (vector 0 )))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-6 (vector 10 arg-8 arg-11 e-12 (vector 0 arg-8 (vector 1 (vector 0 e-38)))) e-39 e-42))) eff-2))))))))) eff-1))))))) (case (vector-ref e-18 0) ((1) (if (null? arg-13) (if (null? arg-13) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-21 (car arg-13))) (let ((e-22 (cdr arg-13))) (if (null? e-21) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-26 (cdr e-21))) (if (null? e-26) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-27 (unbox e-26))) (let ((eff-0 (let ((eff-0 arg-9)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((e-14 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 arg-8 (vector 0 )))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45Unelab-unelabNoSugar '() arg-9 '() e-27))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-6 (vector 10 arg-8 arg-11 e-12 (TTImpC-45TTImpC-45Functor-u--map_Functor_RawImpC-39 (csegen-327) e-7)) arg-12 e-22))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))) (let ((e-30 (car arg-13))) (let ((e-31 (cdr arg-13))) (if (null? e-30) (if (null? arg-13) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-21 (car arg-13))) (let ((e-22 (cdr arg-13))) (if (null? e-21) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-26 (cdr e-21))) (if (null? e-26) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-27 (unbox e-26))) (let ((eff-0 (let ((eff-0 arg-9)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((e-14 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 arg-8 (vector 0 )))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45Unelab-unelabNoSugar '() arg-9 '() e-27))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-6 (vector 10 arg-8 arg-11 e-12 (TTImpC-45TTImpC-45Functor-u--map_Functor_RawImpC-39 (csegen-327) e-7)) arg-12 e-22))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))) (let ((e-35 (cdr e-30))) (if (null? e-35) (if (null? arg-13) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-21 (car arg-13))) (let ((e-22 (cdr arg-13))) (if (null? e-21) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-26 (cdr e-21))) (if (null? e-26) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-27 (unbox e-26))) (let ((eff-0 (let ((eff-0 arg-9)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((e-14 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 arg-8 (vector 0 )))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45Unelab-unelabNoSugar '() arg-9 '() e-27))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-6 (vector 10 arg-8 arg-11 e-12 (TTImpC-45TTImpC-45Functor-u--map_Functor_RawImpC-39 (csegen-327) e-7)) arg-12 e-22))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))) (let ((e-36 (unbox e-35))) (let ((eff-0 (let ((eff-0 arg-9)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((e-14 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 arg-8 (vector 0 )))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45Unelab-unelabNoSugar '() arg-9 '() e-36))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-6 (vector 8 arg-8 arg-11 (TTImpC-45TTImpC-45Functor-u--map_Functor_RawImpC-39 (csegen-327) e-7)) arg-12 e-31))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))(else (if (null? arg-13) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-21 (car arg-13))) (let ((e-22 (cdr arg-13))) (if (null? e-21) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-26 (cdr e-21))) (if (null? e-26) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-27 (unbox e-26))) (let ((eff-0 (let ((eff-0 arg-9)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((e-14 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 arg-8 (vector 0 )))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45Unelab-unelabNoSugar '() arg-9 '() e-27))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-6 (vector 10 arg-8 arg-11 e-12 (TTImpC-45TTImpC-45Functor-u--map_Functor_RawImpC-39 (csegen-327) e-7)) arg-12 e-22))) eff-3))))))))) eff-2))))))))) eff-1))))))))))))))))))))))))) (let ((e-57 (cdr e-52))) (if (null? e-57) (let ((eff-0 (let ((eff-0 arg-9)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((e-14 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 arg-8 (vector 0 )))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-6 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-49)))) e-50 e-53))) eff-2))))))))) eff-1))))))) (if (null? arg-12) (case (vector-ref e-18 0) ((1) (if (null? arg-13) (if (null? arg-13) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-21 (car arg-13))) (let ((e-22 (cdr arg-13))) (if (null? e-21) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-26 (cdr e-21))) (if (null? e-26) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-27 (unbox e-26))) (let ((eff-0 (let ((eff-0 arg-9)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((e-14 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 arg-8 (vector 0 )))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45Unelab-unelabNoSugar '() arg-9 '() e-27))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-6 (vector 10 arg-8 arg-11 e-12 (TTImpC-45TTImpC-45Functor-u--map_Functor_RawImpC-39 (csegen-327) e-7)) arg-12 e-22))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))) (let ((e-30 (car arg-13))) (let ((e-31 (cdr arg-13))) (if (null? e-30) (if (null? arg-13) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-21 (car arg-13))) (let ((e-22 (cdr arg-13))) (if (null? e-21) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-26 (cdr e-21))) (if (null? e-26) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-27 (unbox e-26))) (let ((eff-0 (let ((eff-0 arg-9)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((e-14 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 arg-8 (vector 0 )))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45Unelab-unelabNoSugar '() arg-9 '() e-27))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-6 (vector 10 arg-8 arg-11 e-12 (TTImpC-45TTImpC-45Functor-u--map_Functor_RawImpC-39 (csegen-327) e-7)) arg-12 e-22))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))) (let ((e-35 (cdr e-30))) (if (null? e-35) (if (null? arg-13) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-21 (car arg-13))) (let ((e-22 (cdr arg-13))) (if (null? e-21) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-26 (cdr e-21))) (if (null? e-26) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-27 (unbox e-26))) (let ((eff-0 (let ((eff-0 arg-9)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((e-14 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 arg-8 (vector 0 )))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45Unelab-unelabNoSugar '() arg-9 '() e-27))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-6 (vector 10 arg-8 arg-11 e-12 (TTImpC-45TTImpC-45Functor-u--map_Functor_RawImpC-39 (csegen-327) e-7)) arg-12 e-22))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))) (let ((e-36 (unbox e-35))) (let ((eff-0 (let ((eff-0 arg-9)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((e-14 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 arg-8 (vector 0 )))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45Unelab-unelabNoSugar '() arg-9 '() e-36))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-6 (vector 8 arg-8 arg-11 (TTImpC-45TTImpC-45Functor-u--map_Functor_RawImpC-39 (csegen-327) e-7)) arg-12 e-31))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))(else (if (null? arg-13) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-21 (car arg-13))) (let ((e-22 (cdr arg-13))) (if (null? e-21) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-26 (cdr e-21))) (if (null? e-26) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-27 (unbox e-26))) (let ((eff-0 (let ((eff-0 arg-9)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((e-14 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 arg-8 (vector 0 )))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45Unelab-unelabNoSugar '() arg-9 '() e-27))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-6 (vector 10 arg-8 arg-11 e-12 (TTImpC-45TTImpC-45Functor-u--map_Functor_RawImpC-39 (csegen-327) e-7)) arg-12 e-22))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))) (let ((e-38 (car arg-12))) (let ((e-39 (cdr arg-12))) (if (null? arg-13) (case (vector-ref e-18 0) ((1) (if (null? arg-13) (if (null? arg-13) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-21 (car arg-13))) (let ((e-22 (cdr arg-13))) (if (null? e-21) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-26 (cdr e-21))) (if (null? e-26) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-27 (unbox e-26))) (let ((eff-0 (let ((eff-0 arg-9)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((e-14 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 arg-8 (vector 0 )))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45Unelab-unelabNoSugar '() arg-9 '() e-27))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-6 (vector 10 arg-8 arg-11 e-12 (TTImpC-45TTImpC-45Functor-u--map_Functor_RawImpC-39 (csegen-327) e-7)) arg-12 e-22))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))) (let ((e-30 (car arg-13))) (let ((e-31 (cdr arg-13))) (if (null? e-30) (if (null? arg-13) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-21 (car arg-13))) (let ((e-22 (cdr arg-13))) (if (null? e-21) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-26 (cdr e-21))) (if (null? e-26) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-27 (unbox e-26))) (let ((eff-0 (let ((eff-0 arg-9)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((e-14 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 arg-8 (vector 0 )))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45Unelab-unelabNoSugar '() arg-9 '() e-27))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-6 (vector 10 arg-8 arg-11 e-12 (TTImpC-45TTImpC-45Functor-u--map_Functor_RawImpC-39 (csegen-327) e-7)) arg-12 e-22))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))) (let ((e-35 (cdr e-30))) (if (null? e-35) (if (null? arg-13) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-21 (car arg-13))) (let ((e-22 (cdr arg-13))) (if (null? e-21) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-26 (cdr e-21))) (if (null? e-26) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-27 (unbox e-26))) (let ((eff-0 (let ((eff-0 arg-9)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((e-14 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 arg-8 (vector 0 )))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45Unelab-unelabNoSugar '() arg-9 '() e-27))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-6 (vector 10 arg-8 arg-11 e-12 (TTImpC-45TTImpC-45Functor-u--map_Functor_RawImpC-39 (csegen-327) e-7)) arg-12 e-22))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))) (let ((e-36 (unbox e-35))) (let ((eff-0 (let ((eff-0 arg-9)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((e-14 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 arg-8 (vector 0 )))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45Unelab-unelabNoSugar '() arg-9 '() e-36))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-6 (vector 8 arg-8 arg-11 (TTImpC-45TTImpC-45Functor-u--map_Functor_RawImpC-39 (csegen-327) e-7)) arg-12 e-31))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))(else (if (null? arg-13) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-21 (car arg-13))) (let ((e-22 (cdr arg-13))) (if (null? e-21) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-26 (cdr e-21))) (if (null? e-26) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-27 (unbox e-26))) (let ((eff-0 (let ((eff-0 arg-9)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((e-14 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 arg-8 (vector 0 )))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45Unelab-unelabNoSugar '() arg-9 '() e-27))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-6 (vector 10 arg-8 arg-11 e-12 (TTImpC-45TTImpC-45Functor-u--map_Functor_RawImpC-39 (csegen-327) e-7)) arg-12 e-22))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))) (let ((e-41 (car arg-13))) (let ((e-42 (cdr arg-13))) (if (null? e-41) (case (vector-ref e-18 0) ((1) (if (null? arg-13) (if (null? arg-13) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-21 (car arg-13))) (let ((e-22 (cdr arg-13))) (if (null? e-21) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-26 (cdr e-21))) (if (null? e-26) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-27 (unbox e-26))) (let ((eff-0 (let ((eff-0 arg-9)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((e-14 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 arg-8 (vector 0 )))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45Unelab-unelabNoSugar '() arg-9 '() e-27))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-6 (vector 10 arg-8 arg-11 e-12 (TTImpC-45TTImpC-45Functor-u--map_Functor_RawImpC-39 (csegen-327) e-7)) arg-12 e-22))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))) (let ((e-30 (car arg-13))) (let ((e-31 (cdr arg-13))) (if (null? e-30) (if (null? arg-13) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-21 (car arg-13))) (let ((e-22 (cdr arg-13))) (if (null? e-21) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-26 (cdr e-21))) (if (null? e-26) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-27 (unbox e-26))) (let ((eff-0 (let ((eff-0 arg-9)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((e-14 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 arg-8 (vector 0 )))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45Unelab-unelabNoSugar '() arg-9 '() e-27))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-6 (vector 10 arg-8 arg-11 e-12 (TTImpC-45TTImpC-45Functor-u--map_Functor_RawImpC-39 (csegen-327) e-7)) arg-12 e-22))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))) (let ((e-35 (cdr e-30))) (if (null? e-35) (if (null? arg-13) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-21 (car arg-13))) (let ((e-22 (cdr arg-13))) (if (null? e-21) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-26 (cdr e-21))) (if (null? e-26) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-27 (unbox e-26))) (let ((eff-0 (let ((eff-0 arg-9)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((e-14 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 arg-8 (vector 0 )))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45Unelab-unelabNoSugar '() arg-9 '() e-27))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-6 (vector 10 arg-8 arg-11 e-12 (TTImpC-45TTImpC-45Functor-u--map_Functor_RawImpC-39 (csegen-327) e-7)) arg-12 e-22))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))) (let ((e-36 (unbox e-35))) (let ((eff-0 (let ((eff-0 arg-9)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((e-14 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 arg-8 (vector 0 )))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45Unelab-unelabNoSugar '() arg-9 '() e-36))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-6 (vector 8 arg-8 arg-11 (TTImpC-45TTImpC-45Functor-u--map_Functor_RawImpC-39 (csegen-327) e-7)) arg-12 e-31))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))(else (if (null? arg-13) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-21 (car arg-13))) (let ((e-22 (cdr arg-13))) (if (null? e-21) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-26 (cdr e-21))) (if (null? e-26) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-27 (unbox e-26))) (let ((eff-0 (let ((eff-0 arg-9)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((e-14 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 arg-8 (vector 0 )))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45Unelab-unelabNoSugar '() arg-9 '() e-27))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-6 (vector 10 arg-8 arg-11 e-12 (TTImpC-45TTImpC-45Functor-u--map_Functor_RawImpC-39 (csegen-327) e-7)) arg-12 e-22))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))) (let ((e-46 (cdr e-41))) (if (null? e-46) (let ((eff-0 (let ((eff-0 arg-9)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((e-14 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 arg-8 (vector 0 )))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-6 (vector 10 arg-8 arg-11 e-12 (vector 0 arg-8 (vector 1 (vector 0 e-38)))) e-39 e-42))) eff-2))))))))) eff-1))))))) (case (vector-ref e-18 0) ((1) (if (null? arg-13) (if (null? arg-13) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-21 (car arg-13))) (let ((e-22 (cdr arg-13))) (if (null? e-21) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-26 (cdr e-21))) (if (null? e-26) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-27 (unbox e-26))) (let ((eff-0 (let ((eff-0 arg-9)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((e-14 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 arg-8 (vector 0 )))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45Unelab-unelabNoSugar '() arg-9 '() e-27))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-6 (vector 10 arg-8 arg-11 e-12 (TTImpC-45TTImpC-45Functor-u--map_Functor_RawImpC-39 (csegen-327) e-7)) arg-12 e-22))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))) (let ((e-30 (car arg-13))) (let ((e-31 (cdr arg-13))) (if (null? e-30) (if (null? arg-13) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-21 (car arg-13))) (let ((e-22 (cdr arg-13))) (if (null? e-21) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-26 (cdr e-21))) (if (null? e-26) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-27 (unbox e-26))) (let ((eff-0 (let ((eff-0 arg-9)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((e-14 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 arg-8 (vector 0 )))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45Unelab-unelabNoSugar '() arg-9 '() e-27))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-6 (vector 10 arg-8 arg-11 e-12 (TTImpC-45TTImpC-45Functor-u--map_Functor_RawImpC-39 (csegen-327) e-7)) arg-12 e-22))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))) (let ((e-35 (cdr e-30))) (if (null? e-35) (if (null? arg-13) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-21 (car arg-13))) (let ((e-22 (cdr arg-13))) (if (null? e-21) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-26 (cdr e-21))) (if (null? e-26) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-27 (unbox e-26))) (let ((eff-0 (let ((eff-0 arg-9)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((e-14 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 arg-8 (vector 0 )))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45Unelab-unelabNoSugar '() arg-9 '() e-27))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-6 (vector 10 arg-8 arg-11 e-12 (TTImpC-45TTImpC-45Functor-u--map_Functor_RawImpC-39 (csegen-327) e-7)) arg-12 e-22))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))) (let ((e-36 (unbox e-35))) (let ((eff-0 (let ((eff-0 arg-9)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((e-14 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 arg-8 (vector 0 )))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45Unelab-unelabNoSugar '() arg-9 '() e-36))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-6 (vector 8 arg-8 arg-11 (TTImpC-45TTImpC-45Functor-u--map_Functor_RawImpC-39 (csegen-327) e-7)) arg-12 e-31))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))(else (if (null? arg-13) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-21 (car arg-13))) (let ((e-22 (cdr arg-13))) (if (null? e-21) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-26 (cdr e-21))) (if (null? e-26) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-27 (unbox e-26))) (let ((eff-0 (let ((eff-0 arg-9)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((e-14 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 arg-8 (vector 0 )))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45Unelab-unelabNoSugar '() arg-9 '() e-27))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-6 (vector 10 arg-8 arg-11 e-12 (TTImpC-45TTImpC-45Functor-u--map_Functor_RawImpC-39 (csegen-327) e-7)) arg-12 e-22))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))))))))))))))))))))))(else (if (null? arg-12) (case (vector-ref e-18 0) ((1) (if (null? arg-13) (if (null? arg-13) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-21 (car arg-13))) (let ((e-22 (cdr arg-13))) (if (null? e-21) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-26 (cdr e-21))) (if (null? e-26) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-27 (unbox e-26))) (let ((eff-0 (let ((eff-0 arg-9)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((e-14 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 arg-8 (vector 0 )))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45Unelab-unelabNoSugar '() arg-9 '() e-27))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-6 (vector 10 arg-8 arg-11 e-12 (TTImpC-45TTImpC-45Functor-u--map_Functor_RawImpC-39 (csegen-327) e-7)) arg-12 e-22))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))) (let ((e-30 (car arg-13))) (let ((e-31 (cdr arg-13))) (if (null? e-30) (if (null? arg-13) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-21 (car arg-13))) (let ((e-22 (cdr arg-13))) (if (null? e-21) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-26 (cdr e-21))) (if (null? e-26) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-27 (unbox e-26))) (let ((eff-0 (let ((eff-0 arg-9)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((e-14 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 arg-8 (vector 0 )))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45Unelab-unelabNoSugar '() arg-9 '() e-27))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-6 (vector 10 arg-8 arg-11 e-12 (TTImpC-45TTImpC-45Functor-u--map_Functor_RawImpC-39 (csegen-327) e-7)) arg-12 e-22))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))) (let ((e-35 (cdr e-30))) (if (null? e-35) (if (null? arg-13) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-21 (car arg-13))) (let ((e-22 (cdr arg-13))) (if (null? e-21) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-26 (cdr e-21))) (if (null? e-26) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-27 (unbox e-26))) (let ((eff-0 (let ((eff-0 arg-9)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((e-14 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 arg-8 (vector 0 )))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45Unelab-unelabNoSugar '() arg-9 '() e-27))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-6 (vector 10 arg-8 arg-11 e-12 (TTImpC-45TTImpC-45Functor-u--map_Functor_RawImpC-39 (csegen-327) e-7)) arg-12 e-22))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))) (let ((e-36 (unbox e-35))) (let ((eff-0 (let ((eff-0 arg-9)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((e-14 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 arg-8 (vector 0 )))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45Unelab-unelabNoSugar '() arg-9 '() e-36))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-6 (vector 8 arg-8 arg-11 (TTImpC-45TTImpC-45Functor-u--map_Functor_RawImpC-39 (csegen-327) e-7)) arg-12 e-31))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))(else (if (null? arg-13) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-21 (car arg-13))) (let ((e-22 (cdr arg-13))) (if (null? e-21) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-26 (cdr e-21))) (if (null? e-26) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-27 (unbox e-26))) (let ((eff-0 (let ((eff-0 arg-9)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((e-14 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 arg-8 (vector 0 )))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45Unelab-unelabNoSugar '() arg-9 '() e-27))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-6 (vector 10 arg-8 arg-11 e-12 (TTImpC-45TTImpC-45Functor-u--map_Functor_RawImpC-39 (csegen-327) e-7)) arg-12 e-22))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))) (let ((e-38 (car arg-12))) (let ((e-39 (cdr arg-12))) (if (null? arg-13) (case (vector-ref e-18 0) ((1) (if (null? arg-13) (if (null? arg-13) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-21 (car arg-13))) (let ((e-22 (cdr arg-13))) (if (null? e-21) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-26 (cdr e-21))) (if (null? e-26) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-27 (unbox e-26))) (let ((eff-0 (let ((eff-0 arg-9)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((e-14 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 arg-8 (vector 0 )))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45Unelab-unelabNoSugar '() arg-9 '() e-27))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-6 (vector 10 arg-8 arg-11 e-12 (TTImpC-45TTImpC-45Functor-u--map_Functor_RawImpC-39 (csegen-327) e-7)) arg-12 e-22))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))) (let ((e-30 (car arg-13))) (let ((e-31 (cdr arg-13))) (if (null? e-30) (if (null? arg-13) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-21 (car arg-13))) (let ((e-22 (cdr arg-13))) (if (null? e-21) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-26 (cdr e-21))) (if (null? e-26) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-27 (unbox e-26))) (let ((eff-0 (let ((eff-0 arg-9)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((e-14 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 arg-8 (vector 0 )))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45Unelab-unelabNoSugar '() arg-9 '() e-27))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-6 (vector 10 arg-8 arg-11 e-12 (TTImpC-45TTImpC-45Functor-u--map_Functor_RawImpC-39 (csegen-327) e-7)) arg-12 e-22))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))) (let ((e-35 (cdr e-30))) (if (null? e-35) (if (null? arg-13) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-21 (car arg-13))) (let ((e-22 (cdr arg-13))) (if (null? e-21) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-26 (cdr e-21))) (if (null? e-26) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-27 (unbox e-26))) (let ((eff-0 (let ((eff-0 arg-9)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((e-14 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 arg-8 (vector 0 )))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45Unelab-unelabNoSugar '() arg-9 '() e-27))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-6 (vector 10 arg-8 arg-11 e-12 (TTImpC-45TTImpC-45Functor-u--map_Functor_RawImpC-39 (csegen-327) e-7)) arg-12 e-22))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))) (let ((e-36 (unbox e-35))) (let ((eff-0 (let ((eff-0 arg-9)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((e-14 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 arg-8 (vector 0 )))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45Unelab-unelabNoSugar '() arg-9 '() e-36))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-6 (vector 8 arg-8 arg-11 (TTImpC-45TTImpC-45Functor-u--map_Functor_RawImpC-39 (csegen-327) e-7)) arg-12 e-31))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))(else (if (null? arg-13) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-21 (car arg-13))) (let ((e-22 (cdr arg-13))) (if (null? e-21) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-26 (cdr e-21))) (if (null? e-26) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-27 (unbox e-26))) (let ((eff-0 (let ((eff-0 arg-9)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((e-14 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 arg-8 (vector 0 )))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45Unelab-unelabNoSugar '() arg-9 '() e-27))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-6 (vector 10 arg-8 arg-11 e-12 (TTImpC-45TTImpC-45Functor-u--map_Functor_RawImpC-39 (csegen-327) e-7)) arg-12 e-22))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))) (let ((e-41 (car arg-13))) (let ((e-42 (cdr arg-13))) (if (null? e-41) (case (vector-ref e-18 0) ((1) (if (null? arg-13) (if (null? arg-13) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-21 (car arg-13))) (let ((e-22 (cdr arg-13))) (if (null? e-21) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-26 (cdr e-21))) (if (null? e-26) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-27 (unbox e-26))) (let ((eff-0 (let ((eff-0 arg-9)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((e-14 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 arg-8 (vector 0 )))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45Unelab-unelabNoSugar '() arg-9 '() e-27))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-6 (vector 10 arg-8 arg-11 e-12 (TTImpC-45TTImpC-45Functor-u--map_Functor_RawImpC-39 (csegen-327) e-7)) arg-12 e-22))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))) (let ((e-30 (car arg-13))) (let ((e-31 (cdr arg-13))) (if (null? e-30) (if (null? arg-13) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-21 (car arg-13))) (let ((e-22 (cdr arg-13))) (if (null? e-21) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-26 (cdr e-21))) (if (null? e-26) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-27 (unbox e-26))) (let ((eff-0 (let ((eff-0 arg-9)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((e-14 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 arg-8 (vector 0 )))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45Unelab-unelabNoSugar '() arg-9 '() e-27))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-6 (vector 10 arg-8 arg-11 e-12 (TTImpC-45TTImpC-45Functor-u--map_Functor_RawImpC-39 (csegen-327) e-7)) arg-12 e-22))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))) (let ((e-35 (cdr e-30))) (if (null? e-35) (if (null? arg-13) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-21 (car arg-13))) (let ((e-22 (cdr arg-13))) (if (null? e-21) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-26 (cdr e-21))) (if (null? e-26) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-27 (unbox e-26))) (let ((eff-0 (let ((eff-0 arg-9)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((e-14 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 arg-8 (vector 0 )))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45Unelab-unelabNoSugar '() arg-9 '() e-27))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-6 (vector 10 arg-8 arg-11 e-12 (TTImpC-45TTImpC-45Functor-u--map_Functor_RawImpC-39 (csegen-327) e-7)) arg-12 e-22))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))) (let ((e-36 (unbox e-35))) (let ((eff-0 (let ((eff-0 arg-9)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((e-14 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 arg-8 (vector 0 )))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45Unelab-unelabNoSugar '() arg-9 '() e-36))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-6 (vector 8 arg-8 arg-11 (TTImpC-45TTImpC-45Functor-u--map_Functor_RawImpC-39 (csegen-327) e-7)) arg-12 e-31))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))(else (if (null? arg-13) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-21 (car arg-13))) (let ((e-22 (cdr arg-13))) (if (null? e-21) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-26 (cdr e-21))) (if (null? e-26) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-27 (unbox e-26))) (let ((eff-0 (let ((eff-0 arg-9)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((e-14 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 arg-8 (vector 0 )))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45Unelab-unelabNoSugar '() arg-9 '() e-27))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-6 (vector 10 arg-8 arg-11 e-12 (TTImpC-45TTImpC-45Functor-u--map_Functor_RawImpC-39 (csegen-327) e-7)) arg-12 e-22))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))) (let ((e-46 (cdr e-41))) (if (null? e-46) (let ((eff-0 (let ((eff-0 arg-9)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((e-14 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 arg-8 (vector 0 )))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-6 (vector 10 arg-8 arg-11 e-12 (vector 0 arg-8 (vector 1 (vector 0 e-38)))) e-39 e-42))) eff-2))))))))) eff-1))))))) (case (vector-ref e-18 0) ((1) (if (null? arg-13) (if (null? arg-13) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-21 (car arg-13))) (let ((e-22 (cdr arg-13))) (if (null? e-21) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-26 (cdr e-21))) (if (null? e-26) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-27 (unbox e-26))) (let ((eff-0 (let ((eff-0 arg-9)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((e-14 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 arg-8 (vector 0 )))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45Unelab-unelabNoSugar '() arg-9 '() e-27))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-6 (vector 10 arg-8 arg-11 e-12 (TTImpC-45TTImpC-45Functor-u--map_Functor_RawImpC-39 (csegen-327) e-7)) arg-12 e-22))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))) (let ((e-30 (car arg-13))) (let ((e-31 (cdr arg-13))) (if (null? e-30) (if (null? arg-13) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-21 (car arg-13))) (let ((e-22 (cdr arg-13))) (if (null? e-21) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-26 (cdr e-21))) (if (null? e-26) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-27 (unbox e-26))) (let ((eff-0 (let ((eff-0 arg-9)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((e-14 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 arg-8 (vector 0 )))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45Unelab-unelabNoSugar '() arg-9 '() e-27))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-6 (vector 10 arg-8 arg-11 e-12 (TTImpC-45TTImpC-45Functor-u--map_Functor_RawImpC-39 (csegen-327) e-7)) arg-12 e-22))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))) (let ((e-35 (cdr e-30))) (if (null? e-35) (if (null? arg-13) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-21 (car arg-13))) (let ((e-22 (cdr arg-13))) (if (null? e-21) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-26 (cdr e-21))) (if (null? e-26) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-27 (unbox e-26))) (let ((eff-0 (let ((eff-0 arg-9)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((e-14 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 arg-8 (vector 0 )))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45Unelab-unelabNoSugar '() arg-9 '() e-27))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-6 (vector 10 arg-8 arg-11 e-12 (TTImpC-45TTImpC-45Functor-u--map_Functor_RawImpC-39 (csegen-327) e-7)) arg-12 e-22))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))) (let ((e-36 (unbox e-35))) (let ((eff-0 (let ((eff-0 arg-9)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((e-14 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 arg-8 (vector 0 )))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45Unelab-unelabNoSugar '() arg-9 '() e-36))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-6 (vector 8 arg-8 arg-11 (TTImpC-45TTImpC-45Functor-u--map_Functor_RawImpC-39 (csegen-327) e-7)) arg-12 e-31))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))(else (if (null? arg-13) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-21 (car arg-13))) (let ((e-22 (cdr arg-13))) (if (null? e-21) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-26 (cdr e-21))) (if (null? e-26) (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11))))))))))) (let ((e-27 (unbox e-26))) (let ((eff-0 (let ((eff-0 arg-9)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((e-14 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 arg-8 (vector 0 )))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45Unelab-unelabNoSugar '() arg-9 '() e-27))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-6 (vector 10 arg-8 arg-11 e-12 (TTImpC-45TTImpC-45Functor-u--map_Functor_RawImpC-39 (csegen-327) e-7)) arg-12 e-22))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))))))))))))))))(else (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11)))))))))))))))))(else (if (null? arg-12) (lambda (eta-0) (vector 1 arg-11)) (let ((e-1 (car arg-12))) (let ((e-2 (cdr arg-12))) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-11)) (let ((e-4 (car arg-13))) (let ((e-5 (cdr arg-13))) (if (null? e-4) (lambda (eta-0) (vector 1 arg-11)) (let ((e-9 (cdr e-4))) (if (null? e-9) (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (vector 8 arg-8 arg-11 (vector 0 arg-8 (vector 1 (vector 0 e-1)))) e-2 e-5) (lambda (eta-0) (vector 1 arg-11)))))))))))))))
(define TTImpC-45PartialEval-n--10680-13284-u--mkDynNames (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11) (if (null? arg-11) '() (let ((e-2 (car arg-11))) (let ((e-3 (cdr arg-11))) (if (null? e-2) (TTImpC-45PartialEval-n--10680-13284-u--mkDynNames arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 e-3) (let ((e-7 (cdr e-2))) (if (null? e-7) (cons (string-append "_pe" (PreludeC-45Show-u--show_Show_Int arg-10)) (TTImpC-45PartialEval-n--10680-13284-u--mkDynNames arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 (bs+ (blodwen-toSignedInt 1 63) arg-10 63) e-3)) (TTImpC-45PartialEval-n--10680-13284-u--mkDynNames arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 e-3)))))))))
(define TTImpC-45PartialEval-n--13107-15506-u--getSpecArgs (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13) (if (null? arg-13) (lambda (eta-0) (vector 1 (box '()))) (let ((e-2 (car arg-13))) (let ((e-3 (cdr arg-13))) (let ((e-7 (cdr e-2))) (let ((eff-0 (TTImpC-45PartialEval-n--13107-15506-u--getSpecArgs arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (+ arg-11 1) arg-12 e-3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (if (null? e-5) (lambda (eta-0) (vector 1 '())) (let ((e-1 (unbox e-5))) (let ((sc4 (PreludeC-45Types-elem (csegen-16) (csegen-1338) arg-11 arg-12))) (cond ((equal? sc4 1) (let ((eff-1 (let ((eff-1 arg-10)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (unbox eff-2))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-8 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Normalise-normaliseHoles arg-10 arg-0 e-8 arg-4 e-7))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-9 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (TTImpC-45PartialEval-eraseInferred arg-10 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-4 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (clam-0) (let ((sc8 (TTImpC-45PartialEval-n--13107-15505-u--concrete arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-0 e-10))) (if (null? sc8) (vector 1 '()) (let ((e-4 (unbox sc8))) (vector 1 (box (cons (cons arg-11 (box e-4)) e-1))))))))) eff-4))))))))) eff-3))))))))) eff-2)))))))) (else (lambda (eta-0) (vector 1 (box (cons (cons arg-11 '()) e-1))))))))))) eff-1)))))))))))))
(define TTImpC-45PartialEval-n--10680-13286-u--getRawArgs (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11) (case (vector-ref arg-11 0) ((8) (let ((e-2 (vector-ref arg-11 2))) (let ((e-3 (vector-ref arg-11 3))) (TTImpC-45PartialEval-n--10680-13286-u--getRawArgs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 (cons (cons '() e-3) arg-10) e-2)))) ((10) (let ((e-6 (vector-ref arg-11 2))) (let ((e-7 (vector-ref arg-11 3))) (let ((e-8 (vector-ref arg-11 4))) (TTImpC-45PartialEval-n--10680-13286-u--getRawArgs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 (cons (cons (box e-7) e-8) arg-10) e-6)))))(else arg-10))))
(define TTImpC-45PartialEval-n--11463-14043-u--getAllRefs (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13) (if (null? arg-13) arg-12 (let ((e-1 (car arg-13))) (let ((e-2 (cdr arg-13))) (if (null? e-1) (TTImpC-45PartialEval-n--11463-14043-u--getAllRefs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 e-2) (let ((e-4 (unbox e-1))) (CoreC-45TT-addRefs 0 (vector 1 (vector 2 )) (TTImpC-45PartialEval-n--11463-14043-u--getAllRefs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 e-2) e-4))))))))
(define TTImpC-45PartialEval-n--14497-17213-u--findName (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-15) (case (vector-ref arg-15 0) ((0) '()) (else (let ((e-2 (vector-ref arg-15 2))) (let ((e-3 (vector-ref arg-15 3))) (case (vector-ref e-2 0) ((2) (let ((e-5 (vector-ref e-2 2))) (let ((sc2 (PreludeC-45EqOrd-u--C-61C-61_Eq_Int arg-2 e-5))) (cond ((equal? sc2 1) (box 0)) (else (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (TTImpC-45PartialEval-n--14497-17213-u--findName arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 e-3) (csegen-1106)))))))(else (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (TTImpC-45PartialEval-n--14497-17213-u--findName arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 e-3) (csegen-1106))))))))))
(define TTImpC-45PartialEval-n--14662-17985-u--extendEnv (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-16 arg-17) (case (vector-ref arg-16 0) ((0) arg-17) (else (let ((e-3 (vector-ref arg-16 3))) (cons (vector 0 arg-4 (AlgebraC-45ZeroOneOmega-u--top_Top_ZeroOneOmega) (vector 1 ) (vector 10 arg-4 (vector 0 ))) (TTImpC-45PartialEval-n--14662-17985-u--extendEnv arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 e-3 arg-17)))))))
(define TTImpC-45PartialEval-n--12821-15229-u--dropErased (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (if (null? arg-6) '() (let ((e-2 (car arg-6))) (let ((e-3 (cdr arg-6))) (let ((sc1 (PreludeC-45Types-elem (csegen-16) (csegen-1338) arg-4 arg-5))) (cond ((equal? sc1 1) (cons (vector 10 arg-3 (vector 0 )) (TTImpC-45PartialEval-n--12821-15229-u--dropErased arg-1 arg-2 arg-3 (+ arg-4 1) arg-5 e-3))) (else (cons e-2 (TTImpC-45PartialEval-n--12821-15229-u--dropErased arg-1 arg-2 arg-3 (+ arg-4 1) arg-5 e-3))))))))))
(define TTImpC-45PartialEval-n--10680-13288-u--dropArgs (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11) (TTImpC-45PartialEval-n--10680-13287-u--reapply arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 (vector 0 arg-8 arg-10) (TTImpC-45PartialEval-dropSpec 0 arg-2 (TTImpC-45PartialEval-n--10680-13286-u--getRawArgs arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 '() arg-11)))))
(define TTImpC-45PartialEval-n--13107-15504-u--dropAll (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11) (if (null? arg-11) (vector 0 ) (let ((e-3 (cdr arg-11))) (vector 1 (TTImpC-45PartialEval-n--13107-15504-u--dropAll arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 e-3))))))
(define TTImpC-45PartialEval-n--13107-15505-u--concrete (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12) (CoreC-45TT-shrinkTerm arg-12 (TTImpC-45PartialEval-n--13107-15504-u--dropAll arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11))))
(define TTImpC-45PartialEval-n--14497-17053-u--addLater (lambda (arg-0 arg-2 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-18 arg-19) (if (null? arg-19) arg-18 (let ((e-3 (cdr arg-19))) (let ((eff-0 (TTImpC-45PartialEval-n--14497-17053-u--addLater arg-0 arg-2 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-18 e-3))) (+ eff-0 1))))))
(define TTImpC-45PartialEval-u--show_Show_ArgMode (lambda (arg-0) (if (null? arg-0) "Dynamic" (let ((e-0 (unbox arg-0))) (string-append "Static " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() e-0))))))
(define TTImpC-45PartialEval-u--showPrec_Show_ArgMode (lambda (arg-0 arg-1) (TTImpC-45PartialEval-u--show_Show_ArgMode arg-1)))
(define TTImpC-45PartialEval-substLocs (lambda (arg-0 arg-1 arg-2) (if (null? arg-1) arg-2 (let ((e-2 (car arg-1))) (let ((e-3 (cdr arg-1))) (let ((e-6 (car e-2))) (let ((e-7 (cdr e-2))) (TTImpC-45PartialEval-substLocs arg-0 e-3 (TTImpC-45PartialEval-substLoc arg-0 e-6 e-7 arg-2)))))))))
(define TTImpC-45PartialEval-substLoc (lambda (arg-0 arg-1 arg-2 arg-3) (case (vector-ref arg-3 0) ((0) (let ((e-2 (vector-ref arg-3 1))) (let ((e-3 (vector-ref arg-3 2))) (let ((e-4 (vector-ref arg-3 3))) (let ((sc1 (or (and (= arg-1 e-4) 1) 0))) (cond ((equal? sc1 1) arg-2) (else (vector 0 e-2 e-3 e-4)))))))) ((3) (let ((e-7 (vector-ref arg-3 1))) (let ((e-8 (vector-ref arg-3 2))) (let ((e-9 (vector-ref arg-3 3))) (let ((e-10 (vector-ref arg-3 4))) (vector 3 e-7 e-8 (CoreC-45TT-u--map_Functor_Binder (lambda (eta-0) (TTImpC-45PartialEval-substLoc arg-0 arg-1 arg-2 eta-0)) e-9) (TTImpC-45PartialEval-substLoc (cons e-8 arg-0) (+ arg-1 1) (CoreC-45TT-u--weaken_Weaken_Term arg-2) e-10))))))) ((2) (let ((e-12 (vector-ref arg-3 1))) (let ((e-13 (vector-ref arg-3 2))) (let ((e-14 (vector-ref arg-3 3))) (let ((e-15 (vector-ref arg-3 4))) (vector 2 e-12 e-13 e-14 (((csegen-25) (lambda (eta-0) (TTImpC-45PartialEval-substLoc arg-0 arg-1 arg-2 eta-0))) e-15))))))) ((4) (let ((e-17 (vector-ref arg-3 1))) (let ((e-18 (vector-ref arg-3 2))) (let ((e-19 (vector-ref arg-3 3))) (vector 4 e-17 (TTImpC-45PartialEval-substLoc arg-0 arg-1 arg-2 e-18) (TTImpC-45PartialEval-substLoc arg-0 arg-1 arg-2 e-19)))))) ((5) (let ((e-21 (vector-ref arg-3 1))) (let ((e-22 (vector-ref arg-3 2))) (let ((e-23 (vector-ref arg-3 3))) (let ((e-24 (vector-ref arg-3 4))) (vector 5 e-21 e-22 (TTImpC-45PartialEval-substLoc arg-0 arg-1 arg-2 e-23) (TTImpC-45PartialEval-substLoc arg-0 arg-1 arg-2 e-24))))))) ((6) (let ((e-26 (vector-ref arg-3 1))) (let ((e-27 (vector-ref arg-3 2))) (let ((e-28 (vector-ref arg-3 3))) (vector 6 e-26 e-27 (TTImpC-45PartialEval-substLoc arg-0 arg-1 arg-2 e-28)))))) ((7) (let ((e-30 (vector-ref arg-3 1))) (let ((e-31 (vector-ref arg-3 2))) (let ((e-32 (vector-ref arg-3 3))) (let ((e-33 (vector-ref arg-3 4))) (vector 7 e-30 e-31 (TTImpC-45PartialEval-substLoc arg-0 arg-1 arg-2 e-32) (TTImpC-45PartialEval-substLoc arg-0 arg-1 arg-2 e-33))))))) ((8) (let ((e-35 (vector-ref arg-3 1))) (let ((e-36 (vector-ref arg-3 2))) (let ((e-37 (vector-ref arg-3 3))) (vector 8 e-35 e-36 (TTImpC-45PartialEval-substLoc arg-0 arg-1 arg-2 e-37))))))(else arg-3))))
(define TTImpC-45PartialEval-specialiseTy (lambda (arg-0 arg-1 arg-2 arg-3) (case (vector-ref arg-3 0) ((3) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-3 (vector-ref arg-3 3))) (let ((e-4 (vector-ref arg-3 4))) (case (vector-ref e-3 0) ((2) (let ((e-6 (vector-ref e-3 1))) (let ((e-7 (vector-ref e-3 2))) (let ((e-9 (vector-ref e-3 4))) (let ((sc2 (DataC-45List-lookup (csegen-1338) arg-1 arg-2))) (if (null? sc2) (vector 3 e-1 e-2 (vector 2 e-6 e-7 (vector 1 ) e-9) (TTImpC-45PartialEval-specialiseTy (cons e-2 arg-0) (+ arg-1 1) arg-2 e-4)) (let ((e-5 (unbox sc2))) (TTImpC-45PartialEval-specialiseTy arg-0 (+ arg-1 1) arg-2 (CoreC-45TTC-45SubstEnv-subst (CoreC-45TT-embed e-5) e-4)))))))))(else arg-3)))))))(else arg-3))))
(define TTImpC-45PartialEval-specialise (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10) (TTImpC-45PartialEval-case--specialise-15891 arg-0 arg-10 arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 (let ((e-5 (vector-ref arg-8 5))) e-5))))
(define TTImpC-45PartialEval-specPatByVar (lambda (arg-0 arg-1) (let ((e-2 (car arg-1))) (let ((e-3 (cdr arg-1))) (let ((e-6 (car e-3))) (let ((e-7 (cdr e-3))) (let ((e-10 (car e-7))) (let ((e-11 (cdr e-7))) (TTImpC-45PartialEval-case--specPatByVar-13047 e-2 e-6 e-10 e-11 arg-0 (CoreC-45TT-getFnArgs e-10))))))))))
(define TTImpC-45PartialEval-specByVar (lambda (arg-0 arg-1) (if (null? arg-1) (box '()) (let ((e-2 (car arg-1))) (let ((e-3 (cdr arg-1))) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (TTImpC-45PartialEval-specPatByVar arg-0 e-2) (lambda (u--pC-39) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (TTImpC-45PartialEval-specByVar arg-0 e-3) (lambda (u--psC-39) (box (cons u--pC-39 u--psC-39)))))))))))
(define TTImpC-45PartialEval-quotePi (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11) (case (vector-ref arg-11 0) ((1) (lambda (eta-0) (vector 1 (vector 1 )))) ((0) (lambda (eta-0) (vector 1 (vector 0 )))) ((2) (lambda (eta-0) (vector 1 (vector 2 )))) (else (let ((e-4 (vector-ref arg-11 1))) (let ((eff-0 (let ((eff-0 (CoreC-45NormaliseC-45Eval-evalClosure arg-2 arg-1 arg-8 e-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45PartialEval-quoteGenNF arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 e-5))) eff-1))))))))) (PrimIO-io_bind eff-0 (csegen-1312))))))))
(define TTImpC-45PartialEval-quoteHead (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12) (case (vector-ref arg-12 0) ((0) (let ((e-2 (vector-ref arg-12 1))) (let ((e-3 (vector-ref arg-12 2))) (let ((eff-0 (TTImpC-45PartialEval-n--14497-17053-u--addLater arg-1 e-3 e-2 arg-11 arg-0 arg-10 arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 e-3 arg-0))) (lambda (eta-0) (vector 1 (vector 0 arg-9 e-2 eff-0))))))) ((1) (let ((e-6 (vector-ref arg-12 1))) (let ((e-7 (vector-ref arg-12 2))) (case (vector-ref e-6 0) ((0) (case (vector-ref e-7 0) ((2) (let ((e-12 (vector-ref e-7 1))) (let ((e-13 (vector-ref e-7 2))) (let ((sc3 (TTImpC-45PartialEval-n--14497-17213-u--findName arg-0 arg-1 e-13 e-12 arg-11 arg-10 arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-10))) (if (null? sc3) (lambda (eta-0) (vector 1 (vector 1 arg-9 (vector 0 ) (vector 2 e-12 e-13)))) (let ((e-1 (unbox sc3))) (let ((eff-0 e-1)) (lambda (eta-0) (vector 1 (vector 0 arg-9 '() eff-0))))))))))(else (lambda (eta-0) (vector 1 (vector 1 arg-9 e-6 e-7))))))(else (lambda (eta-0) (vector 1 (vector 1 arg-9 e-6 e-7)))))))) (else (let ((e-9 (vector-ref arg-12 1))) (let ((e-10 (vector-ref arg-12 2))) (let ((e-11 (vector-ref arg-12 3))) (let ((eff-0 (TTImpC-45PartialEval-quoteArgs arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-10 arg-11 e-11))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 2 arg-9 e-9 e-10 e-5))))) eff-1))))))))))))))
(define TTImpC-45PartialEval-quoteGenNF (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11) (case (vector-ref arg-11 0) ((0) (let ((e-1 (vector-ref arg-11 1))) (let ((e-2 (vector-ref arg-11 2))) (let ((e-3 (vector-ref arg-11 3))) (let ((e-4 (vector-ref arg-11 4))) (let ((eff-0 (TTImpC-45PartialEval-bName arg-7 "qv"))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 ((e-4 arg-8) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) arg-10 (vector 1 e-1 (vector 0 ) e-5))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-6 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (TTImpC-45PartialEval-quoteGenNF (cons e-2 arg-0) arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 1 e-2 e-5 arg-9) arg-10 e-6))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-6 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45PartialEval-quoteBinder arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 e-3))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-7 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (vector 3 e-1 e-2 e-7 e-6))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))) ((1) (let ((e-6 (vector-ref arg-11 1))) (let ((e-7 (vector-ref arg-11 2))) (let ((e-8 (vector-ref arg-11 3))) (case (vector-ref e-7 0) ((1) (let ((e-50 (vector-ref e-7 1))) (let ((e-51 (vector-ref e-7 2))) (case (vector-ref e-50 0) ((1) (let ((eff-0 (CoreC-45Context-lookupCtxtExact e-51 (let ((e-0 (vector-ref arg-8 0))) e-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (if (null? e-5) (let ((eff-1 (TTImpC-45PartialEval-quoteArgsWithFC arg-2 arg-3 arg-4 arg-5 arg-6 arg-0 arg-1 arg-7 arg-8 arg-9 arg-10 e-8))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (CoreC-45TT-applyWithFC (vector 1 e-6 (vector 1 ) e-51) e-9))))) eff-2))))))) (let ((e-1 (unbox e-5))) (let ((_-0 (box e-1))) (TTImpC-45PartialEval-case--caseC-32blockC-32inC-32quoteGenNF-18069 arg-0 arg-1 e-51 e-8 e-6 arg-10 arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 e-1 _-0 (let ((e-25 (vector-ref e-1 5))) e-25))))))) eff-1))))))))(else (let ((eff-0 (TTImpC-45PartialEval-quoteHead arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 e-6 arg-9 arg-10 e-7))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (TTImpC-45PartialEval-quoteArgsWithFC arg-2 arg-3 arg-4 arg-5 arg-6 arg-0 arg-1 arg-7 arg-8 arg-9 arg-10 e-8))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (CoreC-45TT-applyWithFC e-5 e-9))))) eff-2))))))))) eff-1))))))))))))(else (let ((eff-0 (TTImpC-45PartialEval-quoteHead arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 e-6 arg-9 arg-10 e-7))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (TTImpC-45PartialEval-quoteArgsWithFC arg-2 arg-3 arg-4 arg-5 arg-6 arg-0 arg-1 arg-7 arg-8 arg-9 arg-10 e-8))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (CoreC-45TT-applyWithFC e-5 e-9))))) eff-2))))))))) eff-1))))))))))))) ((2) (let ((e-10 (vector-ref arg-11 1))) (let ((e-11 (vector-ref arg-11 2))) (let ((e-12 (vector-ref arg-11 3))) (let ((e-13 (vector-ref arg-11 4))) (let ((e-14 (vector-ref arg-11 5))) (let ((eff-0 (TTImpC-45PartialEval-quoteArgsWithFC arg-2 arg-3 arg-4 arg-5 arg-6 arg-0 arg-1 arg-7 arg-8 arg-9 arg-10 e-14))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (CoreC-45TT-applyWithFC (vector 1 e-10 (vector 2 e-12 e-13) e-11) e-5))))) eff-1))))))))))))) ((3) (let ((e-16 (vector-ref arg-11 1))) (let ((e-17 (vector-ref arg-11 2))) (let ((e-18 (vector-ref arg-11 3))) (let ((e-19 (vector-ref arg-11 4))) (let ((e-20 (vector-ref arg-11 5))) (let ((eff-0 (TTImpC-45PartialEval-quoteArgsWithFC arg-2 arg-3 arg-4 arg-5 arg-6 arg-0 arg-1 arg-7 arg-8 arg-9 arg-10 e-20))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (CoreC-45TT-applyWithFC (vector 1 e-16 (vector 3 e-18 e-19) e-17) e-5))))) eff-1))))))))))))) ((4) (let ((e-22 (vector-ref arg-11 1))) (let ((e-23 (vector-ref arg-11 2))) (let ((e-24 (vector-ref arg-11 3))) (let ((e-25 (vector-ref arg-11 4))) (let ((eff-0 (TTImpC-45PartialEval-quoteGenNF arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 e-24))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (TTImpC-45PartialEval-quoteGenNF arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 e-25))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 5 e-22 e-23 e-5 e-6))))) eff-2))))))))) eff-1)))))))))))) ((5) (let ((e-27 (vector-ref arg-11 1))) (let ((e-28 (vector-ref arg-11 2))) (let ((e-29 (vector-ref arg-11 3))) (let ((eff-0 (TTImpC-45PartialEval-quoteGenNF arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 e-29))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 6 e-27 e-28 e-5))))) eff-1))))))))))) ((6) (let ((e-31 (vector-ref arg-11 1))) (let ((e-32 (vector-ref arg-11 2))) (let ((e-33 (vector-ref arg-11 3))) (let ((e-34 (vector-ref arg-11 4))) (let ((eff-0 (CoreC-45NormaliseC-45Eval-evalClosure arg-2 arg-1 arg-8 e-34))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (TTImpC-45PartialEval-quoteGenNF arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 e-5))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45NormaliseC-45Eval-evalClosure arg-2 arg-1 arg-8 e-33))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (TTImpC-45PartialEval-quoteGenNF arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 e-7))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 7 e-31 e-32 e-8 e-6))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))) ((7) (let ((e-36 (vector-ref arg-11 1))) (let ((e-37 (vector-ref arg-11 2))) (let ((e-38 (vector-ref arg-11 3))) (let ((e-39 (vector-ref arg-11 4))) (let ((eff-0 (TTImpC-45PartialEval-quoteArgsWithFC arg-2 arg-3 arg-4 arg-5 arg-6 arg-0 arg-1 arg-7 arg-8 arg-9 arg-10 e-39))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (case (vector-ref e-38 0) ((6) (let ((e-4 (vector-ref e-38 4))) (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-2 arg-1 arg-8 e-4))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-6 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45PartialEval-quoteGenNF arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-7 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (CoreC-45TT-applyWithFC e-7 e-5))))) eff-3))))))))) eff-2)))))))))(else (let ((eff-1 (TTImpC-45PartialEval-quoteGenNF arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 e-38))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (CoreC-45TT-applyWithFC (vector 8 e-36 e-37 e-6) e-5))))) eff-2))))))))))) eff-1)))))))))))) ((8) (let ((e-41 (vector-ref arg-11 1))) (let ((e-42 (vector-ref arg-11 2))) (lambda (eta-0) (vector 1 (vector 9 e-41 e-42)))))) ((9) (let ((e-44 (vector-ref arg-11 1))) (let ((e-45 (vector-ref arg-11 2))) (case (vector-ref e-45 0) ((1) (lambda (eta-0) (vector 1 (vector 10 e-44 (vector 1 ))))) ((0) (lambda (eta-0) (vector 1 (vector 10 e-44 (vector 0 ))))) (else (let ((e-55 (vector-ref e-45 1))) (let ((eff-0 (TTImpC-45PartialEval-quoteGenNF arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 e-55))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 10 e-44 (vector 2 e-5)))))) eff-1))))))))))))) (else (let ((e-47 (vector-ref arg-11 1))) (let ((e-48 (vector-ref arg-11 2))) (lambda (eta-0) (vector 1 (vector 11 e-47 e-48)))))))))
(define TTImpC-45PartialEval-quoteBinder (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11) (case (vector-ref arg-11 0) ((0) (let ((e-1 (vector-ref arg-11 1))) (let ((e-2 (vector-ref arg-11 2))) (let ((e-3 (vector-ref arg-11 3))) (let ((e-4 (vector-ref arg-11 4))) (let ((eff-0 (let ((eff-0 (CoreC-45NormaliseC-45Eval-evalClosure arg-2 arg-1 arg-8 e-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45PartialEval-quoteGenNF arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 e-5))) eff-1))))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (TTImpC-45PartialEval-quotePi arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 e-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-6 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 0 e-1 e-2 e-6 e-5))))) eff-2))))))))) eff-1)))))))))))) ((1) (let ((e-6 (vector-ref arg-11 1))) (let ((e-7 (vector-ref arg-11 2))) (let ((e-8 (vector-ref arg-11 3))) (let ((e-9 (vector-ref arg-11 4))) (let ((eff-0 (let ((eff-0 (CoreC-45NormaliseC-45Eval-evalClosure arg-2 arg-1 arg-8 e-8))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45PartialEval-quoteGenNF arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 e-5))) eff-1))))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-2 arg-1 arg-8 e-9))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-10 (vector-ref lcase-1 1))) (let ((eff-2 (TTImpC-45PartialEval-quoteGenNF arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 e-10))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-10 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 1 e-6 e-7 e-5 e-10))))) eff-2))))))))) eff-1)))))))))))) ((2) (let ((e-11 (vector-ref arg-11 1))) (let ((e-12 (vector-ref arg-11 2))) (let ((e-13 (vector-ref arg-11 3))) (let ((e-14 (vector-ref arg-11 4))) (let ((eff-0 (let ((eff-0 (CoreC-45NormaliseC-45Eval-evalClosure arg-2 arg-1 arg-8 e-14))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45PartialEval-quoteGenNF arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 e-5))) eff-1))))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (TTImpC-45PartialEval-quotePi arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 e-13))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 2 e-11 e-12 e-6 e-5))))) eff-2))))))))) eff-1)))))))))))) ((3) (let ((e-16 (vector-ref arg-11 1))) (let ((e-17 (vector-ref arg-11 2))) (let ((e-18 (vector-ref arg-11 3))) (let ((e-19 (vector-ref arg-11 4))) (let ((eff-0 (let ((eff-0 (CoreC-45NormaliseC-45Eval-evalClosure arg-2 arg-1 arg-8 e-19))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45PartialEval-quoteGenNF arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 e-5))) eff-1))))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (TTImpC-45PartialEval-quotePi arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 e-18))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 3 e-16 e-17 e-6 e-5))))) eff-2))))))))) eff-1)))))))))))) ((4) (let ((e-21 (vector-ref arg-11 1))) (let ((e-22 (vector-ref arg-11 2))) (let ((e-23 (vector-ref arg-11 3))) (let ((e-24 (vector-ref arg-11 4))) (let ((eff-0 (let ((eff-0 (CoreC-45NormaliseC-45Eval-evalClosure arg-2 arg-1 arg-8 e-23))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45PartialEval-quoteGenNF arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 e-5))) eff-1))))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-2 arg-1 arg-8 e-24))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (TTImpC-45PartialEval-quoteGenNF arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 e-6))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 4 e-21 e-22 e-5 e-6))))) eff-2))))))))) eff-1)))))))))))) (else (let ((e-26 (vector-ref arg-11 1))) (let ((e-27 (vector-ref arg-11 2))) (let ((e-28 (vector-ref arg-11 3))) (let ((eff-0 (let ((eff-0 (CoreC-45NormaliseC-45Eval-evalClosure arg-2 arg-1 arg-8 e-28))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45PartialEval-quoteGenNF arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 e-5))) eff-1))))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 5 e-26 e-27 e-5))))) eff-1))))))))))))))
(define TTImpC-45PartialEval-quoteArgsWithFC (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11) (let ((eff-0 (TTImpC-45PartialEval-quoteArgs arg-5 arg-6 arg-0 arg-1 arg-2 arg-3 arg-4 arg-7 arg-8 arg-9 arg-10 ((csegen-947) arg-11)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (DataC-45List-u--zip_Zippable_List ((csegen-101) arg-11) e-5))))) eff-1)))))))))
(define TTImpC-45PartialEval-quoteArgs (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11) (if (null? arg-11) (lambda (eta-0) (vector 1 '())) (let ((e-2 (car arg-11))) (let ((e-3 (cdr arg-11))) (let ((eff-0 (CoreC-45NormaliseC-45Eval-evalClosure arg-2 arg-1 arg-8 e-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (TTImpC-45PartialEval-quoteGenNF arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 e-5))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45PartialEval-quoteArgs arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 e-3))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (cons e-6 e-7))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))))
(define TTImpC-45PartialEval-mkSubsts (lambda (arg-1 arg-2 arg-3 arg-4) (if (null? arg-3) (box '()) (let ((e-2 (car arg-3))) (let ((e-3 (cdr arg-3))) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (TTImpC-45PartialEval-mkSubsts (+ arg-1 1) arg-2 e-3 arg-4) (lambda (u--subs) (let ((sc1 (DataC-45List-lookup (csegen-1338) arg-1 arg-2))) (if (null? sc1) (box u--subs) (let ((e-4 (unbox sc1))) (case (vector-ref e-2 0) ((0) (let ((e-5 (vector-ref e-2 3))) (box (cons (cons e-5 (CoreC-45TT-embed e-4)) u--subs)))) ((5) (let ((e-9 (vector-ref e-2 3))) (let ((e-10 (vector-ref e-2 4))) (case (vector-ref e-9 0) ((0) (let ((e-21 (vector-ref e-9 3))) (case (vector-ref e-10 0) ((0) (let ((e-27 (vector-ref e-10 3))) (box (cons (cons e-21 (CoreC-45TT-embed e-4)) (cons (cons e-27 (CoreC-45TT-embed e-4)) u--subs)))))(else (case (vector-ref e-10 0) ((0) (let ((e-15 (vector-ref e-10 3))) (box (cons (cons e-15 (CoreC-45TT-embed e-4)) u--subs))))(else '()))))))(else (case (vector-ref e-10 0) ((0) (let ((e-15 (vector-ref e-10 3))) (box (cons (cons e-15 (CoreC-45TT-embed e-4)) u--subs))))(else '())))))))(else '()))))))))))))
(define TTImpC-45PartialEval-mkSpecDef (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11) (CoreC-45UnifyState-handleUnify arg-1 arg-3 (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-setAllPublic arg-1 1))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((u--staticargs (PreludeC-45TypesC-45List-mapMaybeAppend '() (lambda (lamc-0) (let ((e-2 (car lamc-0))) (let ((e-3 (cdr lamc-0))) (if (null? e-3) '() (let ((e-0 (unbox e-3))) (box (cons e-2 e-0))))))) arg-9))) (let ((u--peapp (CoreC-45TT-applyWithFC (vector 1 arg-6 (vector 1 ) arg-8) (TTImpC-45PartialEval-dropSpec 0 u--staticargs arg-11)))) (let ((eff-2 (CoreC-45Context-lookupCtxtExact arg-8 (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (if (null? e-7) (let ((eff-3 (CoreC-45ContextC-45Log-unverifiedLogC arg-1 (csegen-3545) 5 (let ((eff-3 (CoreC-45Context-toFullNames arg-1 (csegen-81) arg-10))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-2 (car lamc-0))) (let ((e-3 (cdr lamc-0))) (let ((eff-4 (if (null? e-3) (lambda (eta-0) (vector 1 '())) (let ((e-0 (unbox e-3))) (let ((eff-4 (CoreC-45Context-toFullNames arg-1 (csegen-105) e-0))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-4 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (box e-9))))) eff-5))))))))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-4 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (PreludeC-45Show-u--show_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (cons (csegen-1068) (cons (lambda (u--x) (TTImpC-45PartialEval-u--show_Show_ArgMode u--x)) (lambda (u--d) (lambda (u--x) (TTImpC-45PartialEval-u--showPrec_Show_ArgMode u--d u--x))))) (cons e-2 e-9)))))) eff-5)))))))))) arg-9 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (string-append ((csegen-0) "Specialising ") (string-append (CoreC-45Name-u--show_Show_Name e-8) (string-append " (" (string-append (CoreC-45Name-u--show_Show_Name arg-10) (string-append ") by " (CoreC-45NameC-45Namespace-showSep ", " e-9)))))))))) eff-5))))))))) eff-4)))))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-4 (let ((u--sty (TTImpC-45PartialEval-specialiseTy '() 0 u--staticargs (let ((e-2 (vector-ref arg-7 2))) e-2)))) (let ((eff-4 (CoreC-45Normalise-logTermNF '() arg-1 (csegen-3545) 3 (lambda () (string-append ((csegen-0) "Specialised type ") (CoreC-45Name-u--show_Show_Name arg-8))) '() u--sty))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-5 (let ((eff-5 (CoreC-45Context-addDef arg-1 arg-8 (CoreC-45Context-newDef arg-6 arg-8 (AlgebraC-45ZeroOneOmega-u--top_Top_ZeroOneOmega) '() u--sty 2 (vector 0 ))))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-10 (vector-ref lcase-5 1))) (let ((eff-6 (let ((eff-6 (CoreC-45Context-addToSave arg-1 (vector 8 e-10)))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-2 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-7 (let ((u--specnames (TTImpC-45PartialEval-n--11463-14043-u--getAllRefs arg-11 arg-10 arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 (LibrariesC-45DataC-45NameMap-empty) ((csegen-947) arg-9)))) (let ((eff-7 (CoreC-45Core-traverseC-39 (lambda (u--n) (lambda (eta-0) (vector 1 (cons u--n 1)))) (LibrariesC-45DataC-45NameMap-keys u--specnames) '()))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-2 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-12 (vector-ref lcase-7 1))) (let ((eff-8 (let ((eff-8 (let ((eff-8 arg-1)) (PrimIO-io_bind (let ((eff-9 eff-8)) (lambda (eta-0) (unbox eff-9))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-8 (lambda (lcase-8) (case (vector-ref lcase-8 0) ((0) (let ((e-2 (vector-ref lcase-8 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-13 (vector-ref lcase-8 1))) (let ((eff-9 (let ((eff-9 (TTImpC-45PartialEval-getReducible (cons arg-10 '()) (LibrariesC-45DataC-45NameMap-empty) e-13))) (PrimIO-io_bind eff-9 (lambda (lcase-9) (case (vector-ref lcase-9 0) ((0) (let ((e-2 (vector-ref lcase-9 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-14 (vector-ref lcase-9 1))) (let ((eff-10 (let ((eff-10 (CoreC-45Context-setFlag arg-1 arg-6 (vector 8 e-10) (vector 9 (PreludeC-45TypesC-45List-tailRecAppend e-12 (LibrariesC-45DataC-45NameMap-toList e-14)))))) (PrimIO-io_bind eff-10 (lambda (lcase-10) (case (vector-ref lcase-10 0) ((0) (let ((e-2 (vector-ref lcase-10 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-11 (let ((_-0 '())) (TTImpC-45PartialEval-case--caseC-32blockC-32inC-32mkSpecDef-14576 arg-11 arg-10 arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 e-5 u--staticargs u--peapp _-0 u--sty e-10 u--specnames e-12 e-13 e-14 (let ((e-17 (vector-ref arg-7 17))) e-17))))) eff-11)))))))) eff-10))))))))) eff-9))))))))) eff-8)))))))))) eff-7)))))))) eff-6))))))))) eff-5))))))))) eff-4)))))) (let ((eff-3 (CoreC-45ContextC-45Log-log arg-1 (csegen-3545) 5 (lambda () (string-append ((csegen-0) "Already specialised ") (CoreC-45Name-u--show_Show_Name arg-8)))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-3 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-4 (lambda (eta-0) (vector 1 u--peapp)))) eff-4))))))))) eff-3))))))))))) eff-2)))))))) eff-1))))))) (lambda (u--err) (let ((eff-0 (let ((eff-0 (CoreC-45Context-toFullNames arg-1 (csegen-81) arg-10))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45ContextC-45Log-log arg-1 "specialise" 1 (lambda () (string-append "Partial evaluation of " (string-append (CoreC-45Name-u--show_Show_Name e-5) (string-append " failed" (string-append "\xa;" (CoreC-45Core-u--show_Show_Error u--err))))))))) eff-1))))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (let ((eff-1 (let ((eff-1 arg-1)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (unbox eff-2))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 arg-1)) (PrimIO-io_bind (let ((eff-3 eff-2)) (lambda (eta-0) (set-box! eff-3 (let ((e-0 (vector-ref e-6 0))) (let ((e-1 (vector-ref e-6 1))) (let ((e-2 (vector-ref e-6 2))) (let ((e-3 (vector-ref e-6 3))) (let ((e-4 (vector-ref e-6 4))) (let ((e-33 (vector-ref e-6 5))) (let ((e-32 (vector-ref e-6 6))) (let ((e-7 (vector-ref e-6 7))) (let ((e-8 (vector-ref e-6 8))) (let ((e-9 (vector-ref e-6 9))) (let ((e-10 (vector-ref e-6 10))) (let ((e-11 (vector-ref e-6 11))) (let ((e-12 (vector-ref e-6 12))) (let ((e-13 (vector-ref e-6 13))) (let ((e-14 (vector-ref e-6 14))) (let ((e-15 (vector-ref e-6 15))) (let ((e-16 (vector-ref e-6 16))) (let ((e-17 (vector-ref e-6 17))) (let ((e-18 (vector-ref e-6 18))) (let ((e-19 (vector-ref e-6 19))) (let ((e-20 (vector-ref e-6 20))) (let ((e-21 (vector-ref e-6 21))) (let ((e-22 (vector-ref e-6 22))) (let ((e-23 (vector-ref e-6 23))) (let ((e-24 (vector-ref e-6 24))) (let ((e-25 (vector-ref e-6 25))) (let ((e-26 (vector-ref e-6 26))) (let ((e-27 (vector-ref e-6 27))) (let ((e-28 (vector-ref e-6 28))) (let ((e-29 (vector-ref e-6 29))) (let ((e-30 (vector-ref e-6 30))) (let ((e-31 (vector-ref e-6 31))) (vector e-0 e-1 e-2 e-3 e-4 e-33 e-32 e-7 e-8 e-9 e-10 e-11 e-12 e-13 e-14 e-15 e-16 e-17 e-18 e-19 e-20 e-21 e-22 e-23 e-24 e-25 (LibrariesC-45DataC-45NameMap-insert arg-8 (vector 0 ) e-26) e-27 e-28 e-29 e-30 e-31)))))))))))))))))))))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (lambda (eta-0) (vector 1 (CoreC-45TT-applyWithFC (vector 1 arg-6 (vector 1 ) arg-10) arg-11))))) eff-2)))))))) eff-1))))))))))
(define TTImpC-45PartialEval-getStatic (lambda (arg-0) (if (null? arg-0) '() (let ((e-0 (unbox arg-0))) (box e-0)))))
(define TTImpC-45PartialEval-getSpecPats (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9) (let ((sc0 (TTImpC-45PartialEval-specByVar arg-8 arg-9))) (if (null? sc0) (let ((u--dynnames (TTImpC-45PartialEval-n--10680-13284-u--mkDynNames arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 0 arg-7))) (let ((u--lhs (TTImpC-45TTImp-apply (vector 0 arg-2 arg-3) (((csegen-25) (lambda (eta-0) (vector 17 arg-2 eta-0))) u--dynnames)))) (let ((eff-0 (TTImpC-45PartialEval-n--10680-13285-u--mkRHSargs arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 arg-6 (vector 0 arg-2 arg-4) u--dynnames arg-7))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (box (cons (vector 0 arg-2 u--lhs e-5) '())))))) eff-1))))))))) (let ((e-2 (unbox sc0))) (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (TTImpC-45PartialEval-n--10680-13289-u--unelabPat arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 arg-3 eta-0)) e-2 '()))) (PrimIO-io_bind eff-0 (csegen-1573))))))))
(define TTImpC-45PartialEval-getReducible (lambda (arg-0 arg-1 arg-2) (if (null? arg-0) (lambda (eta-0) (vector 1 arg-1)) (let ((e-2 (car arg-0))) (let ((e-3 (cdr arg-0))) (let ((sc1 (LibrariesC-45DataC-45NameMap-lookup e-2 arg-1))) (if (null? sc1) (let ((eff-0 (CoreC-45Context-lookupCtxtExact e-2 (let ((e-0 (vector-ref arg-2 0))) e-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (if (null? e-5) (TTImpC-45PartialEval-getReducible e-3 arg-1 arg-2) (let ((e-4 (unbox e-5))) (let ((u--refsC-39 (LibrariesC-45DataC-45NameMap-insert e-2 65536 arg-1))) (let ((u--calls (CoreC-45ContextC-45Context-refersTo e-4))) (TTImpC-45PartialEval-getReducible (PreludeC-45TypesC-45List-tailRecAppend (LibrariesC-45DataC-45NameMap-keys u--calls) e-3) u--refsC-39 arg-2))))))) eff-1))))))) (TTImpC-45PartialEval-getReducible e-3 arg-1 arg-2))))))))
(define TTImpC-45PartialEval-findSpecs (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8) (case (vector-ref arg-8 0) ((1) (let ((e-1 (vector-ref arg-8 1))) (let ((e-2 (vector-ref arg-8 2))) (let ((e-3 (vector-ref arg-8 3))) (case (vector-ref e-2 0) ((1) (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-lookupCtxtExact e-3 (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-6) (lambda (eta-0) (vector 1 (CoreC-45TT-applyWithFC (vector 1 e-1 (vector 1 ) e-3) arg-7))) (let ((e-4 (unbox e-6))) (let ((eff-2 (TTImpC-45PartialEval-specialise arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-1 arg-6 e-4 e-3 arg-7))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-7 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (clam-0) (if (null? e-7) (vector 1 (CoreC-45TT-applyWithFC (vector 1 e-1 (vector 1 ) e-3) arg-7)) (let ((e-8 (unbox e-7))) (vector 1 e-8)))))) eff-3))))))))))) eff-2))))))))) eff-1))))))))(else (lambda (eta-0) (vector 1 (CoreC-45TT-applyWithFC arg-8 arg-7))))))))) ((2) (let ((e-5 (vector-ref arg-8 1))) (let ((e-6 (vector-ref arg-8 2))) (let ((e-7 (vector-ref arg-8 3))) (let ((e-8 (vector-ref arg-8 4))) (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (TTImpC-45PartialEval-findSpecs arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 '() eta-0)) e-8 '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (CoreC-45TT-applyWithFC (vector 2 e-5 e-6 e-7 e-9) arg-7))))) eff-1)))))))))))) ((3) (let ((e-10 (vector-ref arg-8 1))) (let ((e-11 (vector-ref arg-8 2))) (let ((e-12 (vector-ref arg-8 3))) (let ((e-13 (vector-ref arg-8 4))) (let ((eff-0 (CoreC-45CoreC-45Binder-traverse (lambda (eta-0) (TTImpC-45PartialEval-findSpecs arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 '() eta-0)) e-12))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (TTImpC-45PartialEval-findSpecs (cons e-11 arg-0) arg-1 arg-2 arg-3 arg-4 arg-5 (cons e-5 arg-6) '() e-13))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (CoreC-45TT-applyWithFC (vector 3 e-10 e-11 e-5 e-6) arg-7))))) eff-2))))))))) eff-1)))))))))))) ((4) (let ((e-15 (vector-ref arg-8 1))) (let ((e-16 (vector-ref arg-8 2))) (let ((e-17 (vector-ref arg-8 3))) (let ((eff-0 (TTImpC-45PartialEval-findSpecs arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 '() e-17))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45PartialEval-findSpecs arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 (cons (cons e-15 e-5) arg-7) e-16))) eff-1))))))))))) ((6) (let ((e-19 (vector-ref arg-8 1))) (let ((e-20 (vector-ref arg-8 2))) (let ((e-21 (vector-ref arg-8 3))) (let ((eff-0 (TTImpC-45PartialEval-findSpecs arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 '() e-21))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (CoreC-45TT-applyWithFC (vector 6 e-19 e-20 e-5) arg-7))))) eff-1))))))))))) ((7) (let ((e-23 (vector-ref arg-8 1))) (let ((e-24 (vector-ref arg-8 2))) (let ((e-25 (vector-ref arg-8 3))) (let ((e-26 (vector-ref arg-8 4))) (let ((eff-0 (TTImpC-45PartialEval-findSpecs arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 '() e-25))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (TTImpC-45PartialEval-findSpecs arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 '() e-26))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (CoreC-45TT-applyWithFC (vector 7 e-23 e-24 e-5 e-6) arg-7))))) eff-2))))))))) eff-1)))))))))))) ((8) (let ((e-28 (vector-ref arg-8 1))) (let ((e-29 (vector-ref arg-8 2))) (let ((e-30 (vector-ref arg-8 3))) (let ((eff-0 (TTImpC-45PartialEval-findSpecs arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 '() e-30))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (CoreC-45TT-applyWithFC (vector 8 e-28 e-29 e-5) arg-7))))) eff-1)))))))))))(else (lambda (eta-0) (vector 1 (CoreC-45TT-applyWithFC arg-8 arg-7)))))))
(define TTImpC-45PartialEval-evalRHS (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (let ((eff-0 (csegen-1706))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 arg-1)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (unbox eff-2))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (TTImpC-45PartialEval-quoteGenNF '() arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-5 e-6 (vector 0 ) arg-6 arg-7))) eff-2))))))))) eff-1)))))))))
(define TTImpC-45PartialEval-eraseInferred (lambda (arg-1 arg-2) (case (vector-ref arg-2 0) ((3) (let ((e-1 (vector-ref arg-2 1))) (let ((e-2 (vector-ref arg-2 2))) (let ((e-3 (vector-ref arg-2 3))) (let ((e-4 (vector-ref arg-2 4))) (let ((eff-0 (CoreC-45CoreC-45Binder-traverse (lambda (eta-0) (TTImpC-45PartialEval-eraseInferred arg-1 eta-0)) e-3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (TTImpC-45PartialEval-eraseInferred arg-1 e-4))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-6 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 3 e-1 e-2 e-5 e-6))))) eff-2))))))))) eff-1))))))))))))(else (TTImpC-45PartialEval-case--eraseInferred-15320 arg-2 arg-1 (CoreC-45TT-getFnArgs arg-2))))))
(define TTImpC-45PartialEval-dropSpec (lambda (arg-1 arg-2 arg-3) (if (null? arg-3) '() (let ((e-2 (car arg-3))) (let ((e-3 (cdr arg-3))) (let ((sc1 (DataC-45List-lookup (csegen-1338) arg-1 arg-2))) (if (null? sc1) (cons e-2 (TTImpC-45PartialEval-dropSpec (+ arg-1 1) arg-2 e-3)) (TTImpC-45PartialEval-dropSpec (+ arg-1 1) arg-2 e-3))))))))
(define TTImpC-45PartialEval-bName (lambda (arg-0 arg-1) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (bs+ e-5 1 63)))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (lambda (eta-0) (vector 1 (vector 2 arg-1 e-5))))) eff-2)))))))) eff-1)))))))))
(define TTImpC-45PartialEval-applySpecialise (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8) (if (null? arg-7) (TTImpC-45PartialEval-findSpecs arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 '() arg-8) (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toResolvedNames arg-1 (csegen-105) arg-8))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-3 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45NormaliseC-45Eval-nf arg-1 arg-0 e-5 arg-6 e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-3 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (TTImpC-45PartialEval-evalRHS arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-7))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-3 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Context-toFullNames arg-1 (csegen-105) e-8))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-3 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (let ((eff-5 (CoreC-45Normalise-logTermNF arg-0 arg-1 "specialise" 5 (lambda () "New RHS") arg-6 e-9))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-3 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-6 (lambda (eta-0) (vector 1 e-9)))) eff-6)))))))) eff-5))))))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))
(define TTImpC-45Impossible-n--7528-22008-u--sameRet (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (case (vector-ref arg-6 0) ((1) (lambda (eta-0) (vector 1 1))) ((9) (lambda (eta-0) (vector 1 1)))(else (case (vector-ref arg-5 0) ((1) (lambda (eta-0) (vector 1 1))) ((9) (lambda (eta-0) (vector 1 1))) ((3) (let ((e-19 (vector-ref arg-5 2))) (case (vector-ref arg-6 0) ((3) (let ((e-31 (vector-ref arg-6 2))) (lambda (eta-0) (vector 1 (CoreC-45Name-u--C-61C-61_Eq_Name e-19 e-31)))))(else (case (vector-ref arg-6 0) ((0) (let ((e-1 (vector-ref arg-6 1))) (let ((e-3 (vector-ref arg-6 3))) (let ((e-4 (vector-ref arg-6 4))) (case (vector-ref e-3 0) ((2) (let ((eff-0 (let ((eff-0 arg-4)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((e-4 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 e-1 (vector 0 )))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-10 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-1 1))) (let ((eff-2 (TTImpC-45Impossible-n--7528-22008-u--sameRet arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-10))) eff-2))))))))) eff-1))))))))(else (lambda (eta-0) (vector 1 0))))))))(else (lambda (eta-0) (vector 1 0)))))))) ((8) (let ((e-25 (vector-ref arg-5 2))) (case (vector-ref arg-6 0) ((8) (let ((e-37 (vector-ref arg-6 2))) (lambda (eta-0) (vector 1 (CoreC-45TT-u--C-61C-61_Eq_Constant e-25 e-37)))))(else (case (vector-ref arg-6 0) ((0) (let ((e-1 (vector-ref arg-6 1))) (let ((e-3 (vector-ref arg-6 3))) (let ((e-4 (vector-ref arg-6 4))) (case (vector-ref e-3 0) ((2) (let ((eff-0 (let ((eff-0 arg-4)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((e-4 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 e-1 (vector 0 )))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-10 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-1 1))) (let ((eff-2 (TTImpC-45Impossible-n--7528-22008-u--sameRet arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-10))) eff-2))))))))) eff-1))))))))(else (lambda (eta-0) (vector 1 0))))))))(else (lambda (eta-0) (vector 1 0)))))))) ((10) (case (vector-ref arg-6 0) ((10) (lambda (eta-0) (vector 1 1)))(else (case (vector-ref arg-6 0) ((0) (let ((e-1 (vector-ref arg-6 1))) (let ((e-3 (vector-ref arg-6 3))) (let ((e-4 (vector-ref arg-6 4))) (case (vector-ref e-3 0) ((2) (let ((eff-0 (let ((eff-0 arg-4)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((e-4 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 e-1 (vector 0 )))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-10 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-1 1))) (let ((eff-2 (TTImpC-45Impossible-n--7528-22008-u--sameRet arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-10))) eff-2))))))))) eff-1))))))))(else (lambda (eta-0) (vector 1 0))))))))(else (lambda (eta-0) (vector 1 0)))))))(else (case (vector-ref arg-6 0) ((0) (let ((e-1 (vector-ref arg-6 1))) (let ((e-3 (vector-ref arg-6 3))) (let ((e-4 (vector-ref arg-6 4))) (case (vector-ref e-3 0) ((2) (let ((eff-0 (let ((eff-0 arg-4)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((e-4 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 e-1 (vector 0 )))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-10 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-1 1))) (let ((eff-2 (TTImpC-45Impossible-n--7528-22008-u--sameRet arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-10))) eff-2))))))))) eff-1))))))))(else (lambda (eta-0) (vector 1 0))))))))(else (lambda (eta-0) (vector 1 0))))))))))
(define TTImpC-45Impossible-n--9007-23378-u--expandNest (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (case (vector-ref arg-5 0) ((0) (let ((e-1 (vector-ref arg-5 1))) (let ((e-2 (vector-ref arg-5 2))) (let ((sc1 (DataC-45List-lookup (csegen-1008) e-2 (let ((eff-0 arg-2)) eff-0)))) (if (null? sc1) (vector 0 e-1 e-2) (let ((e-3 (unbox sc1))) (if (null? e-3) (vector 0 e-1 e-2) (let ((e-4 (car e-3))) (let ((e-5 (cdr e-3))) (if (null? e-4) (vector 0 e-1 e-2) (let ((e-7 (unbox e-4))) (if (null? e-5) (vector 0 e-1 e-2) (vector 0 e-1 e-7)))))))))))))(else arg-5))))
(define TTImpC-45Impossible-n--9007-23379-u--applyEnv (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (case (vector-ref arg-5 0) ((8) (let ((e-1 (vector-ref arg-5 1))) (let ((e-2 (vector-ref arg-5 2))) (let ((e-3 (vector-ref arg-5 3))) (vector 8 e-1 (TTImpC-45Impossible-n--9007-23379-u--applyEnv arg-0 arg-1 arg-2 arg-3 arg-4 e-2) e-3))))) ((9) (let ((e-5 (vector-ref arg-5 1))) (let ((e-6 (vector-ref arg-5 2))) (let ((e-7 (vector-ref arg-5 3))) (vector 9 e-5 (TTImpC-45Impossible-n--9007-23379-u--applyEnv arg-0 arg-1 arg-2 arg-3 arg-4 e-6) e-7))))) ((10) (let ((e-9 (vector-ref arg-5 1))) (let ((e-10 (vector-ref arg-5 2))) (let ((e-11 (vector-ref arg-5 3))) (let ((e-12 (vector-ref arg-5 4))) (vector 10 e-9 (TTImpC-45Impossible-n--9007-23379-u--applyEnv arg-0 arg-1 arg-2 arg-3 arg-4 e-10) e-11 e-12))))))(else (TTImpC-45TTImp-apply (TTImpC-45Impossible-n--9007-23378-u--expandNest arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (TTImpC-45Impossible-n--9007-23377-u--addEnv arg-0 arg-1 arg-2 arg-3 arg-4 arg-0 (TTImpC-45TTImp-getFC arg-5) arg-3))))))
(define TTImpC-45Impossible-n--9007-23377-u--addEnv (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (if (null? arg-5) '() (let ((e-3 (cdr arg-5))) (let ((e-8 (car arg-7))) (let ((e-9 (cdr arg-7))) (let ((sc2 (CoreC-45TT-isLet e-8))) (cond ((equal? sc2 1) (TTImpC-45Impossible-n--9007-23377-u--addEnv arg-0 arg-1 arg-2 arg-3 arg-4 e-3 arg-6 e-9)) (else (cons (vector 32 arg-6 0) (TTImpC-45Impossible-n--9007-23377-u--addEnv arg-0 arg-1 arg-2 arg-3 arg-4 e-3 arg-6 e-9)))))))))))
(define TTImpC-45Impossible-processArgs (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (case (vector-ref arg-3 0) ((0) (let ((e-4 (vector-ref arg-3 1))) (let ((e-5 (vector-ref arg-3 2))) (let ((e-6 (vector-ref arg-3 3))) (let ((e-7 (vector-ref arg-3 4))) (case (vector-ref e-6 0) ((2) (let ((e-11 (vector-ref e-6 3))) (let ((e-12 (vector-ref e-6 4))) (case (vector-ref e-11 0) ((1) (if (null? arg-4) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-0 1))) (let ((eff-1 (let ((sc5 (TTImpC-45ElabC-45App-findNamed e-5 arg-6))) (if (null? sc5) (lambda (eta-0) (TTImpC-45Impossible-badClause arg-2 '() arg-5 arg-6 eta-0)) (let ((e-1 (unbox sc5))) (let ((e-14 (car e-1))) (let ((e-13 (cdr e-1))) (let ((e-15 (cdr e-14))) (let ((eff-1 (TTImpC-45Impossible-mkTerm arg-0 arg-1 e-15 (box e-12) '() '() '()))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-17 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 ((e-7 e-8) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() e-17)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-18 (vector-ref lcase-2 1))) (let ((eff-3 (TTImpC-45Impossible-processArgs arg-0 arg-1 (vector 4 e-4 arg-2 e-17) e-18 '() arg-5 e-13))) eff-3))))))))) eff-2))))))))))))))) eff-1))))))) (let ((e-17 (car arg-4))) (let ((e-18 (cdr arg-4))) (let ((eff-0 (TTImpC-45Impossible-mkTerm arg-0 arg-1 e-17 (box e-12) '() '() '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (unbox eff-2))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-13 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 ((e-7 e-13) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() e-8)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-14 (vector-ref lcase-2 1))) (let ((eff-3 (TTImpC-45Impossible-processArgs arg-0 arg-1 (vector 4 e-4 arg-2 e-8) e-14 e-18 arg-5 arg-6))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((0) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-0 1))) (let ((eff-1 (let ((sc4 (TTImpC-45ElabC-45App-findNamed e-5 arg-6))) (if (null? sc4) (let ((eff-1 (TTImpC-45Impossible-nextVar arg-1 e-4))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-13 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 ((e-7 e-8) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() e-13)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-14 (vector-ref lcase-2 1))) (let ((eff-3 (TTImpC-45Impossible-processArgs arg-0 arg-1 (vector 4 e-4 arg-2 e-13) e-14 arg-4 arg-5 arg-6))) eff-3))))))))) eff-2))))))) (let ((e-2 (unbox sc4))) (let ((e-14 (car e-2))) (let ((e-13 (cdr e-2))) (let ((e-15 (cdr e-14))) (let ((eff-1 (TTImpC-45Impossible-mkTerm arg-0 arg-1 e-15 (box e-12) '() '() '()))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-3 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-17 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 ((e-7 e-8) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() e-17)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-3 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-18 (vector-ref lcase-2 1))) (let ((eff-3 (TTImpC-45Impossible-processArgs arg-0 arg-1 (vector 4 e-4 arg-2 e-17) e-18 arg-4 arg-5 e-13))) eff-3))))))))) eff-2))))))))))))))) eff-1)))))))) ((2) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-0 1))) (let ((eff-1 (if (null? arg-5) (let ((sc5 (TTImpC-45ElabC-45App-findNamed e-5 arg-6))) (if (null? sc5) (let ((eff-1 (TTImpC-45Impossible-nextVar arg-1 e-4))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-13 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 ((e-7 e-8) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() e-13)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-14 (vector-ref lcase-2 1))) (let ((eff-3 (TTImpC-45Impossible-processArgs arg-0 arg-1 (vector 4 e-4 arg-2 e-13) e-14 arg-4 '() arg-6))) eff-3))))))))) eff-2))))))) (let ((e-2 (unbox sc5))) (let ((e-14 (car e-2))) (let ((e-13 (cdr e-2))) (let ((e-15 (cdr e-14))) (let ((eff-1 (TTImpC-45Impossible-mkTerm arg-0 arg-1 e-15 (box e-12) '() '() '()))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-3 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-17 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 ((e-7 e-8) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() e-17)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-3 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-18 (vector-ref lcase-2 1))) (let ((eff-3 (TTImpC-45Impossible-processArgs arg-0 arg-1 (vector 4 e-4 arg-2 e-17) e-18 arg-4 '() e-13))) eff-3))))))))) eff-2))))))))))))) (let ((e-1 (car arg-5))) (let ((e-2 (cdr arg-5))) (let ((eff-1 (TTImpC-45Impossible-mkTerm arg-0 arg-1 e-1 (box e-12) '() '() '()))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-3 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-13 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 ((e-7 e-8) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() e-13)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-3 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-14 (vector-ref lcase-2 1))) (let ((eff-3 (TTImpC-45Impossible-processArgs arg-0 arg-1 (vector 4 e-4 arg-2 e-13) e-14 arg-4 e-2 arg-6))) eff-3))))))))) eff-2)))))))))))) eff-1))))))))(else (if (null? arg-4) (if (null? arg-5) (lambda (clam-1) (if (null? arg-6) (vector 1 arg-2) (TTImpC-45Impossible-badClause arg-2 arg-4 arg-5 arg-6 clam-1))) (lambda (eta-0) (TTImpC-45Impossible-badClause arg-2 arg-4 arg-5 arg-6 eta-0))) (lambda (eta-0) (TTImpC-45Impossible-badClause arg-2 arg-4 arg-5 arg-6 eta-0))))))))(else (if (null? arg-4) (if (null? arg-5) (lambda (clam-2) (if (null? arg-6) (vector 1 arg-2) (TTImpC-45Impossible-badClause arg-2 arg-4 arg-5 arg-6 clam-2))) (lambda (eta-0) (TTImpC-45Impossible-badClause arg-2 arg-4 arg-5 arg-6 eta-0))) (lambda (eta-0) (TTImpC-45Impossible-badClause arg-2 arg-4 arg-5 arg-6 eta-0))))))))))(else (if (null? arg-4) (if (null? arg-5) (lambda (clam-3) (if (null? arg-6) (vector 1 arg-2) (TTImpC-45Impossible-badClause arg-2 arg-4 arg-5 arg-6 clam-3))) (lambda (eta-0) (TTImpC-45Impossible-badClause arg-2 arg-4 arg-5 arg-6 eta-0))) (lambda (eta-0) (TTImpC-45Impossible-badClause arg-2 arg-4 arg-5 arg-6 eta-0)))))))
(define TTImpC-45Impossible-nextVar (lambda (arg-0 arg-1) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (bs+ e-5 1 63)))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (lambda (eta-0) (vector 1 (vector 1 arg-1 (vector 0 ) (vector 2 "imp" e-5)))))) eff-2)))))))) eff-1)))))))))
(define TTImpC-45Impossible-mkTerm (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (case (vector-ref arg-2 0) ((0) (let ((e-1 (vector-ref arg-2 1))) (let ((e-2 (vector-ref arg-2 2))) (TTImpC-45Impossible-buildApp arg-0 arg-1 e-1 e-2 arg-3 arg-4 arg-5 arg-6)))) ((8) (let ((e-5 (vector-ref arg-2 2))) (let ((e-6 (vector-ref arg-2 3))) (TTImpC-45Impossible-mkTerm arg-0 arg-1 e-5 arg-3 (cons e-6 arg-4) arg-5 arg-6)))) ((9) (let ((e-9 (vector-ref arg-2 2))) (let ((e-10 (vector-ref arg-2 3))) (TTImpC-45Impossible-mkTerm arg-0 arg-1 e-9 arg-3 arg-4 (cons e-10 arg-5) arg-6)))) ((10) (let ((e-13 (vector-ref arg-2 2))) (let ((e-14 (vector-ref arg-2 3))) (let ((e-15 (vector-ref arg-2 4))) (TTImpC-45Impossible-mkTerm arg-0 arg-1 e-13 arg-3 arg-4 arg-5 (cons (cons e-14 e-15) arg-6)))))) ((28) (let ((e-17 (vector-ref arg-2 1))) (let ((e-18 (vector-ref arg-2 2))) (lambda (eta-0) (vector 1 (vector 9 e-17 e-18))))))(else (TTImpC-45Impossible-nextVar arg-1 (TTImpC-45TTImp-getFC arg-2))))))
(define TTImpC-45Impossible-match (lambda (arg-0 arg-1 arg-2) (let ((e-2 (car arg-2))) (let ((e-3 (cdr arg-2))) (let ((e-6 (car e-3))) (let ((e-7 (cdr e-3))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-nf arg-0 '() e-5 '() e-7))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-8 (vector-ref lcase-1 1))) (let ((eff-2 (TTImpC-45Impossible-n--7528-22008-u--sameRet e-2 e-6 e-7 arg-1 arg-0 arg-1 e-8))) eff-2))))))))) eff-1)))))))))))))
(define TTImpC-45Impossible-getImpossibleTerm (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (let ((eff-0 (CoreC-45Core-newRef (vector "Core.Normalise.Quote.QVar" ) 0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45Impossible-mkTerm arg-1 e-5 (TTImpC-45Impossible-n--9007-23379-u--applyEnv arg-0 arg-4 arg-3 arg-2 arg-1 arg-4) '() '() '() '()))) eff-1)))))))))
(define TTImpC-45Impossible-dropNoMatch (lambda (arg-0 arg-1 arg-2) (if (null? arg-2) (if (null? arg-1) (lambda (eta-0) (vector 1 arg-2)) (let ((e-2 (unbox arg-1))) (CoreC-45Core-filterM (lambda (eta-0) (TTImpC-45Impossible-match arg-0 e-2 (((let ((eff-0 (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (lambda (eta-4) (let ((e-4 (car eta-4))) (let ((e-3 (cdr eta-4))) (cons e-4 (eta-3 e-3)))))))))) (lambda (arg-3) (lambda (arg-4) ((((eff-0 'erased) 'erased) arg-3) arg-4)))) ((let ((eff-0 (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (lambda (eta-4) (let ((e-4 (car eta-4))) (let ((e-3 (cdr eta-4))) (cons e-4 (eta-3 e-3)))))))))) (lambda (arg-3) (lambda (arg-4) ((((eff-0 'erased) 'erased) arg-3) arg-4)))) (csegen-1589))) eta-0))) arg-2))) (let ((e-4 (car arg-2))) (let ((e-5 (cdr arg-2))) (if (null? e-5) (lambda (eta-0) (vector 1 (cons e-4 '()))) (if (null? arg-1) (lambda (eta-0) (vector 1 arg-2)) (let ((e-2 (unbox arg-1))) (CoreC-45Core-filterM (lambda (eta-0) (TTImpC-45Impossible-match arg-0 e-2 (((let ((eff-0 (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (lambda (eta-4) (let ((e-6 (car eta-4))) (let ((e-3 (cdr eta-4))) (cons e-6 (eta-3 e-3)))))))))) (lambda (arg-3) (lambda (arg-4) ((((eff-0 'erased) 'erased) arg-3) arg-4)))) ((let ((eff-0 (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (lambda (eta-4) (let ((e-6 (car eta-4))) (let ((e-3 (cdr eta-4))) (cons e-6 (eta-3 e-3)))))))))) (lambda (arg-3) (lambda (arg-4) ((((eff-0 'erased) 'erased) arg-3) arg-4)))) (csegen-1589))) eta-0))) arg-2)))))))))
(define TTImpC-45Impossible-buildApp (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-getPrimitiveNames arg-0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (lambda (clam-0) (let ((sc2 (PreludeC-45Types-elem (csegen-16) (csegen-1008) arg-3 e-6))) (cond ((equal? sc2 1) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 "Can't deal with constants here yet") clam-0)) (else (vector 1 (vector 0 )))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (let ((eff-3 (CoreC-45Context-lookupNameBy (lambda (eta-0) eta-0) arg-3 (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (let ((eff-4 (if (null? arg-4) (lambda (eta-0) (vector 1 '())) (let ((e-2 (unbox arg-4))) (let ((eff-4 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() e-5 e-2))) (((csegen-50) ((let ((eff-5 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-3 (vector-ref eta-3 1))) (vector 0 e-3))) (else (let ((e-9 (vector-ref eta-3 1))) (vector 1 (eta-2 e-9))))))))))) (lambda (arg-8) (lambda (arg-9) ((((eff-5 'erased) 'erased) arg-8) arg-9)))) (lambda (eta-0) (box eta-0)))) eff-4)))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (TTImpC-45Impossible-dropNoMatch arg-0 e-9 e-8))) eff-5))))))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (if (null? e-9) (CoreC-45Context-ambiguousName arg-0 arg-2 arg-3 ((csegen-101) e-9)) (let ((e-1 (car e-9))) (let ((e-2 (cdr e-9))) (if (null? e-1) (CoreC-45Context-ambiguousName arg-0 arg-2 arg-3 ((csegen-101) e-9)) (let ((e-10 (cdr e-1))) (if (null? e-10) (CoreC-45Context-ambiguousName arg-0 arg-2 arg-3 ((csegen-101) e-9)) (let ((e-13 (car e-10))) (let ((e-12 (cdr e-10))) (if (null? e-2) (let ((eff-5 (CoreC-45NormaliseC-45Eval-nf arg-0 '() e-5 '() (let ((e-31 (vector-ref e-12 2))) e-31)))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-3 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-14 (vector-ref lcase-5 1))) (let ((eff-6 (let ((u--head (let ((e-17 (vector-ref e-12 17))) (case (vector-ref e-17 0) ((5) (let ((e-36 (vector-ref e-17 1))) (let ((e-35 (vector-ref e-17 2))) (vector 2 e-36 e-35)))) ((6) (let ((e-41 (vector-ref e-17 1))) (let ((e-40 (vector-ref e-17 2))) (vector 3 e-41 e-40))))(else (vector 1 )))))) (TTImpC-45Impossible-processArgs arg-0 arg-1 (vector 1 arg-2 u--head (vector 8 e-13)) e-14 arg-5 arg-6 arg-7)))) eff-6))))))) (CoreC-45Context-ambiguousName arg-0 arg-2 arg-3 ((csegen-101) e-9))))))))))))) eff-5))))))))) eff-4))))))))) eff-3)))))))) eff-2))))))))) eff-1)))))))))
(define TTImpC-45Impossible-badClause (lambda (arg-1 arg-2 arg-3 arg-4 ext-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45TT-getLoc arg-1) (string-append "Badly formed impossible clause " (PreludeC-45Show-u--show_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (cons (csegen-1538) (cons (lambda (u--x) (PreludeC-45Show-u--show_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-3569) u--x)) (lambda (u--d) (lambda (u--x) (PreludeC-45Show-u--showPrec_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-3569) u--d u--x))))) (cons arg-1 (cons arg-2 (cons arg-3 arg-4)))))) ext-0)))
(define CoreC-45Transform-case--trans-13239 (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8) (if (null? arg-8) (lambda (eta-0) (vector 1 (CoreC-45Transform-unload arg-3 (vector 1 arg-2 (vector 1 ) arg-1)))) (let ((e-2 (unbox arg-8))) (let ((u--fullapp (CoreC-45Transform-unload arg-3 (vector 1 arg-2 (vector 1 ) arg-1)))) (let ((sc1 (CoreC-45Transform-apply e-2 u--fullapp))) (let ((e-4 (car sc1))) (let ((e-3 (cdr sc1))) (let ((eff-0 (let ((eff-0 (let ((eff-0 arg-5)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 arg-5)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (cond ((equal? e-5 1) 1) (else e-4))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-1))))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((eff-1 (lambda (eta-0) (vector 1 e-3)))) eff-1))))))))))))))
(define CoreC-45Transform-case--addMatch-12594 (lambda (arg-3 arg-4 arg-5 arg-7) (if (null? arg-7) (box (vector 1 arg-5 arg-4 arg-3)) (let ((e-2 (unbox arg-7))) (let ((sc1 (CoreC-45TT-eqTerm arg-4 e-2))) (cond ((equal? sc1 1) (box arg-3)) (else '())))))))
(define CoreC-45Transform-unload (lambda (arg-1 arg-2) (if (null? arg-1) arg-2 (let ((e-2 (car arg-1))) (let ((e-3 (cdr arg-1))) (let ((e-6 (car e-2))) (let ((e-7 (cdr e-2))) (CoreC-45Transform-unload e-3 (vector 4 e-6 arg-2 e-7)))))))))
(define CoreC-45Transform-tryReplace (lambda (arg-2 arg-3) (case (vector-ref arg-3 0) ((0) (let ((e-4 (vector-ref arg-3 3))) (CoreC-45Transform-lookupMatch e-4 arg-2))) ((1) (let ((e-7 (vector-ref arg-3 1))) (let ((e-8 (vector-ref arg-3 2))) (let ((e-9 (vector-ref arg-3 3))) (box (vector 1 e-7 e-8 e-9)))))) ((2) (let ((e-11 (vector-ref arg-3 1))) (let ((e-12 (vector-ref arg-3 2))) (let ((e-13 (vector-ref arg-3 3))) (let ((e-14 (vector-ref arg-3 4))) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (PreludeC-45Types-u--traverse_Traversable_List (csegen-323) (lambda (eta-0) (CoreC-45Transform-tryReplace arg-2 eta-0)) e-14) (lambda (u--asC-39) (box (vector 2 e-11 e-12 e-13 u--asC-39))))))))) ((3) '()) ((4) (let ((e-21 (vector-ref arg-3 1))) (let ((e-22 (vector-ref arg-3 2))) (let ((e-23 (vector-ref arg-3 3))) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (CoreC-45Transform-tryReplace arg-2 e-22) (lambda (u--fC-39) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (CoreC-45Transform-tryReplace arg-2 e-23) (lambda (u--aC-39) (box (vector 4 e-21 u--fC-39 u--aC-39)))))))))) ((5) (let ((e-25 (vector-ref arg-3 1))) (let ((e-26 (vector-ref arg-3 2))) (let ((e-27 (vector-ref arg-3 3))) (let ((e-28 (vector-ref arg-3 4))) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (CoreC-45Transform-tryReplace arg-2 e-27) (lambda (u--aC-39) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (CoreC-45Transform-tryReplace arg-2 e-28) (lambda (u--pC-39) (box (vector 5 e-25 e-26 u--aC-39 u--pC-39))))))))))) ((6) (let ((e-30 (vector-ref arg-3 1))) (let ((e-31 (vector-ref arg-3 2))) (let ((e-32 (vector-ref arg-3 3))) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (CoreC-45Transform-tryReplace arg-2 e-32) (lambda (u--tmC-39) (box (vector 6 e-30 e-31 u--tmC-39)))))))) ((7) (let ((e-34 (vector-ref arg-3 1))) (let ((e-35 (vector-ref arg-3 2))) (let ((e-36 (vector-ref arg-3 3))) (let ((e-37 (vector-ref arg-3 4))) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (CoreC-45Transform-tryReplace arg-2 e-36) (lambda (u--tyC-39) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (CoreC-45Transform-tryReplace arg-2 e-37) (lambda (u--tmC-39) (box (vector 7 e-34 e-35 u--tyC-39 u--tmC-39))))))))))) ((8) (let ((e-39 (vector-ref arg-3 1))) (let ((e-40 (vector-ref arg-3 2))) (let ((e-41 (vector-ref arg-3 3))) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (CoreC-45Transform-tryReplace arg-2 e-41) (lambda (u--tmC-39) (box (vector 8 e-39 e-40 u--tmC-39)))))))) ((9) (let ((e-43 (vector-ref arg-3 1))) (let ((e-44 (vector-ref arg-3 2))) (box (vector 9 e-43 e-44))))) ((10) (let ((e-46 (vector-ref arg-3 1))) (let ((e-47 (vector-ref arg-3 2))) (case (vector-ref e-47 0) ((1) (box (vector 10 e-46 (vector 1 )))) ((0) (box (vector 10 e-46 (vector 0 )))) (else (let ((e-54 (vector-ref e-47 1))) (PreludeC-45Interfaces-C-60C-36C-62 (csegen-76) (lambda (eta-0) (vector 10 e-46 (vector 2 eta-0))) (CoreC-45Transform-tryReplace arg-2 e-54)))))))) (else (let ((e-49 (vector-ref arg-3 1))) (let ((e-50 (vector-ref arg-3 2))) (box (vector 11 e-49 e-50))))))))
(define CoreC-45Transform-tryApply (lambda (arg-1 arg-2) (let ((e-0 (vector-ref arg-1 0))) (let ((e-1 (vector-ref arg-1 1))) (let ((e-2 (vector-ref arg-1 2))) (let ((e-3 (vector-ref arg-1 3))) (let ((e-4 (vector-ref arg-1 4))) (let ((u--trans (vector e-0 e-1 e-2 e-3 e-4))) (let ((sc0 (CoreC-45Transform-match (vector 0 ) e-3 arg-2))) (if (null? sc0) (case (vector-ref arg-2 0) ((4) (let ((e-7 (vector-ref arg-2 1))) (let ((e-6 (vector-ref arg-2 2))) (let ((e-5 (vector-ref arg-2 3))) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (CoreC-45Transform-tryApply u--trans e-6) (lambda (u--fC-39) (box (vector 4 e-7 u--fC-39 e-5))))))))(else '())) (let ((e-5 (unbox sc0))) (CoreC-45Transform-tryReplace e-5 e-4))))))))))))
(define CoreC-45Transform-transLoop (lambda (arg-1 arg-2 arg-3 arg-4) (cond ((equal? arg-2 0) (lambda (eta-0) (vector 1 arg-4)))(else (let ((e-0 (- arg-2 1))) (let ((eff-0 (CoreC-45Core-newRef (vector "Core.Transform.Upd" ) 0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Transform-trans arg-1 e-5 arg-3 '() arg-4))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (let ((eff-2 e-5)) (PrimIO-io_bind (let ((eff-3 eff-2)) (lambda (eta-0) (unbox eff-3))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (cond ((equal? e-7 1) (CoreC-45Transform-transLoop arg-1 e-0 arg-3 e-6)) (else (lambda (eta-0) (vector 1 e-6)))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))))
(define CoreC-45Transform-trans (lambda (arg-1 arg-2 arg-3 arg-4 arg-5) (case (vector-ref arg-5 0) ((1) (let ((e-1 (vector-ref arg-5 1))) (let ((e-2 (vector-ref arg-5 2))) (let ((e-3 (vector-ref arg-5 3))) (case (vector-ref e-2 0) ((1) (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45Transform-case--trans-13239 e-3 e-1 arg-4 arg-3 arg-2 arg-1 e-5 (LibrariesC-45DataC-45NameMap-lookup e-3 (let ((e-13 (vector-ref e-5 13))) e-13))))) eff-1))))))))(else (lambda (eta-0) (vector 1 (CoreC-45Transform-unload arg-4 arg-5))))))))) ((2) (let ((e-5 (vector-ref arg-5 1))) (let ((e-6 (vector-ref arg-5 2))) (let ((e-7 (vector-ref arg-5 3))) (let ((e-8 (vector-ref arg-5 4))) (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45Transform-trans arg-1 arg-2 arg-3 '() eta-0)) e-8 '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (CoreC-45Transform-unload arg-4 (vector 2 e-5 e-6 e-7 e-9)))))) eff-1)))))))))))) ((3) (let ((e-10 (vector-ref arg-5 1))) (let ((e-11 (vector-ref arg-5 2))) (let ((e-12 (vector-ref arg-5 3))) (let ((e-13 (vector-ref arg-5 4))) (let ((eff-0 (CoreC-45CoreC-45Binder-traverse (lambda (eta-0) (CoreC-45Transform-trans arg-1 arg-2 arg-3 '() eta-0)) e-12))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Transform-trans arg-1 arg-2 (cons e-5 arg-3) '() e-13))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (CoreC-45Transform-unload arg-4 (vector 3 e-10 e-11 e-5 e-6)))))) eff-2))))))))) eff-1)))))))))))) ((4) (let ((e-15 (vector-ref arg-5 1))) (let ((e-16 (vector-ref arg-5 2))) (let ((e-17 (vector-ref arg-5 3))) (let ((eff-0 (CoreC-45Transform-trans arg-1 arg-2 arg-3 '() e-17))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45Transform-trans arg-1 arg-2 arg-3 (cons (cons e-15 e-5) arg-4) e-16))) eff-1))))))))))) ((6) (let ((e-19 (vector-ref arg-5 1))) (let ((e-20 (vector-ref arg-5 2))) (let ((e-21 (vector-ref arg-5 3))) (let ((eff-0 (CoreC-45Transform-trans arg-1 arg-2 arg-3 '() e-21))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (CoreC-45Transform-unload arg-4 (vector 6 e-19 e-20 e-5)))))) eff-1))))))))))) ((7) (let ((e-23 (vector-ref arg-5 1))) (let ((e-24 (vector-ref arg-5 2))) (let ((e-25 (vector-ref arg-5 3))) (let ((e-26 (vector-ref arg-5 4))) (let ((eff-0 (CoreC-45Transform-trans arg-1 arg-2 arg-3 '() e-25))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Transform-trans arg-1 arg-2 arg-3 '() e-26))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (CoreC-45Transform-unload arg-4 (vector 7 e-23 e-24 e-5 e-6)))))) eff-2))))))))) eff-1)))))))))))) ((8) (let ((e-28 (vector-ref arg-5 1))) (let ((e-29 (vector-ref arg-5 2))) (let ((e-30 (vector-ref arg-5 3))) (let ((eff-0 (CoreC-45Transform-trans arg-1 arg-2 arg-3 '() e-30))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (CoreC-45Transform-unload arg-4 (vector 8 e-28 e-29 e-5)))))) eff-1)))))))))))(else (lambda (eta-0) (vector 1 (CoreC-45Transform-unload arg-4 arg-5)))))))
(define CoreC-45Transform-match (lambda (arg-2 arg-3 arg-4) (case (vector-ref arg-3 0) ((0) (let ((e-4 (vector-ref arg-3 3))) (CoreC-45Transform-addMatch e-4 arg-4 arg-2))) ((4) (let ((e-8 (vector-ref arg-3 2))) (let ((e-9 (vector-ref arg-3 3))) (case (vector-ref arg-4 0) ((4) (let ((e-12 (vector-ref arg-4 2))) (let ((e-13 (vector-ref arg-4 3))) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (CoreC-45Transform-match arg-2 e-8 e-12) (lambda (u--msC-39) (CoreC-45Transform-match u--msC-39 e-9 e-13))))))(else (let ((sc1 (CoreC-45TT-eqTerm arg-3 arg-4))) (cond ((equal? sc1 1) (box arg-2)) (else '()))))))))(else (let ((sc0 (CoreC-45TT-eqTerm arg-3 arg-4))) (cond ((equal? sc0 1) (box arg-2)) (else '())))))))
(define CoreC-45Transform-lookupMatch (lambda (arg-3 arg-5) (case (vector-ref arg-5 0) ((0) '()) (else (let ((e-5 (vector-ref arg-5 1))) (let ((e-7 (vector-ref arg-5 2))) (let ((e-8 (vector-ref arg-5 3))) (let ((sc1 (or (and (= arg-3 e-5) 1) 0))) (cond ((equal? sc1 1) (box e-7)) (else (CoreC-45Transform-lookupMatch arg-3 e-8)))))))))))
(define CoreC-45Transform-applyTransforms (lambda (arg-1 arg-2 arg-3) (CoreC-45Transform-transLoop arg-1 5 arg-2 arg-3)))
(define CoreC-45Transform-apply (lambda (arg-1 arg-2) (if (null? arg-1) (cons 0 arg-2) (let ((e-2 (car arg-1))) (let ((e-3 (cdr arg-1))) (let ((sc1 (CoreC-45Transform-tryApply e-2 arg-2))) (if (null? sc1) (CoreC-45Transform-apply e-3 arg-2) (let ((e-4 (unbox sc1))) (cons 1 e-4)))))))))
(define CoreC-45Transform-addMatch (lambda (arg-3 arg-5 arg-6) (CoreC-45Transform-case--addMatch-12594 arg-6 arg-5 arg-3 (CoreC-45Transform-lookupMatch arg-3 arg-6))))
(define CoreC-45CaseC-45CaseTreeC-45PrettyC-45Resugared-prettyTree (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (case (vector-ref arg-4 0) ((0) (let ((e-1 (vector-ref arg-4 1))) (let ((e-4 (vector-ref arg-4 3))) (let ((e-5 (vector-ref arg-4 4))) (let ((eff-0 (case (vector-ref e-4 0) ((10) (csegen-3576))(else (let ((eff-0 (IdrisC-45Resugar-resugar arg-0 arg-1 arg-2 arg-3 e-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (csegen-3580) (IdrisC-45Pretty-u--pretty_Pretty_IdrisSyntax_IPTerm e-6)))))) eff-1))))))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45CaseC-45CaseTreeC-45PrettyC-45Resugared-prettyAlt arg-0 arg-1 arg-2 arg-3 eta-0)) e-5 '()))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-3 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45PrettyC-45Annotations-case_) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (((csegen-380) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-1529) e-1)) e-6) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (IdrisC-45PrettyC-45Annotations-of_) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-nest 2 ((csegen-3582) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vsep e-7)))))))))) eff-2))))))))) eff-1))))))))))) ((1) (let ((e-8 (vector-ref arg-4 2))) (let ((eff-0 (IdrisC-45Resugar-resugar arg-0 arg-1 arg-2 arg-3 e-8))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-5) (lambda (arg-6) ((((eff-1 'erased) 'erased) arg-5) arg-6)))) (lambda (eta-0) (IdrisC-45Pretty-u--pretty_Pretty_IdrisSyntax_IPTerm eta-0)))) eff-0)))) ((2) (let ((e-10 (vector-ref arg-4 1))) (lambda (eta-0) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "Error:") (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-863) e-10)))))) (else (lambda (eta-0) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "Impossible")))))))
(define CoreC-45CaseC-45CaseTreeC-45PrettyC-45Raw-prettyTree (lambda (arg-0 arg-1) (case (vector-ref arg-1 0) ((0) (let ((e-1 (vector-ref arg-1 1))) (let ((e-4 (vector-ref arg-1 3))) (let ((e-5 (vector-ref arg-1 4))) (let ((u--ann (case (vector-ref e-4 0) ((10) (csegen-3584))(else (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (csegen-3580) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-byShow (cons (lambda (u--x) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-0 u--x)) (lambda (u--d) (lambda (u--x) (CoreC-45TT-u--showPrec_Show_C-40TermC-32C-36varsC-41 arg-0 u--d u--x)))) e-4)))))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45PrettyC-45Annotations-case_) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (((csegen-380) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-annotate (vector 4 ) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-1529) e-1))) u--ann) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (IdrisC-45PrettyC-45Annotations-of_) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-nest 2 ((csegen-3582) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vsep (((csegen-25) (lambda (eta-0) (CoreC-45CaseC-45CaseTreeC-45PrettyC-45Raw-prettyAlt arg-0 eta-0))) e-5)))))))))))) ((1) (let ((e-8 (vector-ref arg-1 2))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-byShow (cons (lambda (u--x) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-0 u--x)) (lambda (u--d) (lambda (u--x) (CoreC-45TT-u--showPrec_Show_C-40TermC-32C-36varsC-41 arg-0 u--d u--x)))) e-8))) ((2) (let ((e-10 (vector-ref arg-1 1))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "Error:") (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-863) e-10)))) (else (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "Impossible")))))
(define CoreC-45CaseC-45CaseTreeC-45PrettyC-45Resugared-prettyName (lambda (arg-0 arg-1) (let ((eff-0 (CoreC-45Context-getPPrint arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (let ((sc1 (let ((e-3 (vector-ref e-5 3))) e-3))) (cond ((equal? sc1 1) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-1529) arg-1)) (else (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--cast_Cast_C-40DocC-32VoidC-41_C-40DocC-32C-36annC-41 (CoreC-45Name-prettyOp 1 (CoreC-45Name-dropNS arg-1)))))))))) eff-1)))))))))
(define CoreC-45CaseC-45CaseTreeC-45PrettyC-45Resugared-prettyAlt (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (case (vector-ref arg-4 0) ((0) (let ((e-1 (vector-ref arg-4 1))) (let ((e-3 (vector-ref arg-4 3))) (let ((e-4 (vector-ref arg-4 4))) (let ((eff-0 (CoreC-45CaseC-45CaseTreeC-45PrettyC-45Resugared-prettyName arg-1 e-1))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45CaseC-45CaseTreeC-45PrettyC-45Resugared-prettyTree (PreludeC-45TypesC-45List-tailRecAppend e-3 arg-0) arg-1 arg-2 (CoreC-45Env-mkEnvOnto (CoreC-45FC-emptyFC) e-3 arg-3) e-4))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-6 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-hsep (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-annotate (vector 2 (box e-1)) e-5) ((csegen-3586) e-3))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (IdrisC-45PrettyC-45Annotations-fatArrow) (vector 7 (lambda () (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-spaces 1) e-6)) (lambda () (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-nest 2 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-hardline) e-6)))))))))) eff-2))))))))) eff-1))))))))))) ((1) (let ((e-6 (vector-ref arg-4 1))) (let ((e-7 (vector-ref arg-4 2))) (let ((e-8 (vector-ref arg-4 3))) (let ((eff-0 (CoreC-45CaseC-45CaseTreeC-45PrettyC-45Resugared-prettyTree (PreludeC-45TypesC-45List-tailRecAppend (cons e-6 (cons e-7 '())) arg-0) arg-1 arg-2 (CoreC-45Env-mkEnvOnto (CoreC-45FC-emptyFC) (cons e-6 (cons e-7 '())) arg-3) e-8))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (csegen-3588) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-1529) e-7) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (IdrisC-45PrettyC-45Annotations-fatArrow) (vector 7 (lambda () (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-spaces 1) e-5)) (lambda () (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-nest 2 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-hardline) e-5))))))))))) eff-1))))))))))) ((2) (let ((e-10 (vector-ref arg-4 1))) (let ((e-11 (vector-ref arg-4 2))) (let ((eff-0 (CoreC-45CaseC-45CaseTreeC-45PrettyC-45Resugared-prettyTree arg-0 arg-1 arg-2 arg-3 e-11))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (CoreC-45TT-u--pretty_Pretty_IdrisSyntax_Constant e-10) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (IdrisC-45PrettyC-45Annotations-fatArrow) (vector 7 (lambda () (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-spaces 1) e-5)) (lambda () (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-nest 2 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-hardline) e-5)))))))))) eff-1)))))))))) (else (let ((e-13 (vector-ref arg-4 1))) (let ((eff-0 (CoreC-45CaseC-45CaseTreeC-45PrettyC-45Resugared-prettyTree arg-0 arg-1 arg-2 arg-3 e-13))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (csegen-3589) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (IdrisC-45PrettyC-45Annotations-fatArrow) (vector 7 (lambda () (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-spaces 1) e-5)) (lambda () (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-nest 2 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-hardline) e-5)))))))))) eff-1))))))))))))
(define CoreC-45CaseC-45CaseTreeC-45PrettyC-45Raw-prettyAlt (lambda (arg-0 arg-1) (case (vector-ref arg-1 0) ((0) (let ((e-1 (vector-ref arg-1 1))) (let ((e-3 (vector-ref arg-1 3))) (let ((e-4 (vector-ref arg-1 4))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-hsep (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-annotate (vector 2 (box e-1)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-1529) e-1)) ((csegen-3586) e-3))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (IdrisC-45PrettyC-45Annotations-fatArrow) (let ((u--sc (CoreC-45CaseC-45CaseTreeC-45PrettyC-45Raw-prettyTree (PreludeC-45TypesC-45List-tailRecAppend e-3 arg-0) e-4))) (vector 7 (lambda () (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-spaces 1) u--sc)) (lambda () (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-nest 2 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-hardline) u--sc))))))))))) ((1) (let ((e-6 (vector-ref arg-1 1))) (let ((e-7 (vector-ref arg-1 2))) (let ((e-8 (vector-ref arg-1 3))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (csegen-3588) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-1529) e-7) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (IdrisC-45PrettyC-45Annotations-fatArrow) (let ((u--sc (CoreC-45CaseC-45CaseTreeC-45PrettyC-45Raw-prettyTree (cons e-6 (cons e-7 arg-0)) e-8))) (vector 7 (lambda () (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-spaces 1) u--sc)) (lambda () (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-nest 2 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-hardline) u--sc)))))))))))) ((2) (let ((e-10 (vector-ref arg-1 1))) (let ((e-11 (vector-ref arg-1 2))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (CoreC-45TT-u--pretty_Pretty_IdrisSyntax_Constant e-10) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (IdrisC-45PrettyC-45Annotations-fatArrow) (let ((u--sc (CoreC-45CaseC-45CaseTreeC-45PrettyC-45Raw-prettyTree arg-0 e-11))) (vector 7 (lambda () (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-spaces 1) u--sc)) (lambda () (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-nest 2 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-hardline) u--sc)))))))))) (else (let ((e-13 (vector-ref arg-1 1))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (csegen-3589) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (IdrisC-45PrettyC-45Annotations-fatArrow) (let ((u--sc (CoreC-45CaseC-45CaseTreeC-45PrettyC-45Raw-prettyTree arg-0 e-13))) (vector 7 (lambda () (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-spaces 1) u--sc)) (lambda () (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-nest 2 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-hardline) u--sc))))))))))))
(define IdrisC-45Pretty-n--10185-7137-u--prettyBindings (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (if (null? arg-7) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--neutral_Monoid_C-40DocC-32C-36annC-41) (let ((e-2 (car arg-7))) (let ((e-3 (cdr arg-7))) (let ((e-6 (car e-2))) (let ((e-7 (cdr e-2))) (let ((e-10 (car e-7))) (let ((e-11 (cdr e-7))) (case (vector-ref e-11 0) ((25) (if (null? e-3) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (IdrisC-45PrettyC-45Annotations-prettyRig e-6) (IdrisC-45Pretty-u--pretty_Pretty_IdrisSyntax_IPTerm e-10)) (if (null? e-3) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (IdrisC-45PrettyC-45Annotations-prettyRig e-6) (IdrisC-45Pretty-u--pretty_Pretty_IdrisSyntax_IPTerm e-10)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-colon) (IdrisC-45Pretty-u--pretty_Pretty_IdrisSyntax_IPTerm e-11))) (case (vector-ref e-11 0) ((25) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (IdrisC-45PrettyC-45Annotations-prettyRig e-6) (IdrisC-45Pretty-u--pretty_Pretty_IdrisSyntax_IPTerm e-10)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-comma)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-line)) (IdrisC-45Pretty-n--10185-7137-u--prettyBindings arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-3)))(else (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (IdrisC-45PrettyC-45Annotations-prettyRig e-6) (IdrisC-45Pretty-u--pretty_Pretty_IdrisSyntax_IPTerm e-10)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-colon) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (((csegen-380) (IdrisC-45Pretty-u--pretty_Pretty_IdrisSyntax_IPTerm e-11)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-comma)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-line)) (IdrisC-45Pretty-n--10185-7137-u--prettyBindings arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-3)))))))))(else (if (null? e-3) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (IdrisC-45PrettyC-45Annotations-prettyRig e-6) (IdrisC-45Pretty-u--pretty_Pretty_IdrisSyntax_IPTerm e-10)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-colon) (IdrisC-45Pretty-u--pretty_Pretty_IdrisSyntax_IPTerm e-11))) (case (vector-ref e-11 0) ((25) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (IdrisC-45PrettyC-45Annotations-prettyRig e-6) (IdrisC-45Pretty-u--pretty_Pretty_IdrisSyntax_IPTerm e-10)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-comma)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-line)) (IdrisC-45Pretty-n--10185-7137-u--prettyBindings arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-3)))(else (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (IdrisC-45PrettyC-45Annotations-prettyRig e-6) (IdrisC-45Pretty-u--pretty_Pretty_IdrisSyntax_IPTerm e-10)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-colon) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (((csegen-380) (IdrisC-45Pretty-u--pretty_Pretty_IdrisSyntax_IPTerm e-11)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-comma)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-line)) (IdrisC-45Pretty-n--10185-7137-u--prettyBindings arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-3))))))))))))))))))
(define IdrisC-45Pretty-n--10185-7379-u--getPRefName (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8) (case (vector-ref arg-8 0) ((0) (let ((e-2 (vector-ref arg-8 2))) (box (let ((e-3 (vector-ref e-2 2))) e-3))))(else '()))))
(define IdrisC-45Pretty-n--10185-7136-u--getLamNames (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8) (case (vector-ref arg-8 0) ((2) (let ((e-2 (vector-ref arg-8 2))) (let ((e-4 (vector-ref arg-8 4))) (let ((e-5 (vector-ref arg-8 5))) (let ((e-6 (vector-ref arg-8 6))) (IdrisC-45Pretty-n--10185-7136-u--getLamNames arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 (cons (cons e-2 (cons e-4 e-5)) arg-7) e-6))))))(else (cons (PreludeC-45TypesC-45List-reverse arg-7) arg-8)))))
(define IdrisC-45Pretty-n--10185-7378-u--fullLet (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-parenthesise (PreludeC-45Show-u--C-62_Ord_Prec arg-7 (IdrisC-45Pretty-startPrec)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-group (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-align (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45PrettyC-45Annotations-let_) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-group (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-align (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-hang 2 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (IdrisC-45PrettyC-45Annotations-prettyRig arg-6) (IdrisC-45Pretty-u--pretty_Pretty_IdrisSyntax_IPTerm arg-5)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (csegen-3591) (IdrisC-45Pretty-u--pretty_Pretty_IdrisSyntax_IPTerm arg-4)))))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-line)) (IdrisC-45PrettyC-45Annotations-in_)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-group (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-align (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-hang 2 (IdrisC-45Pretty-n--10185-7377-u--continuation arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7)))))))))))
(define IdrisC-45Pretty-n--10185-8723-u--dePure (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (case (vector-ref arg-4 0) ((7) (let ((e-1 (vector-ref arg-4 1))) (let ((e-2 (vector-ref arg-4 2))) (let ((e-3 (vector-ref arg-4 3))) (case (vector-ref e-2 0) ((0) (let ((e-5 (vector-ref e-2 1))) (let ((e-6 (vector-ref e-2 2))) (let ((u--tm (vector 7 e-1 (vector 0 e-5 e-6) e-3))) (let ((sc2 (CoreC-45Name-u--C-61C-61_Eq_Name (CoreC-45Name-dropNS (let ((e-4 (vector-ref e-6 2))) e-4)) (vector 1 (vector 0 "pure"))))) (cond ((equal? sc2 1) e-3) (else u--tm)))))))(else arg-4))))))(else arg-4))))
(define IdrisC-45Pretty-n--10185-8724-u--deGuard (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (case (vector-ref arg-4 0) ((0) (let ((e-1 (vector-ref arg-4 1))) (let ((e-2 (vector-ref arg-4 2))) (case (vector-ref e-2 0) ((7) (let ((e-4 (vector-ref e-2 1))) (let ((e-5 (vector-ref e-2 2))) (let ((e-6 (vector-ref e-2 3))) (case (vector-ref e-5 0) ((0) (let ((e-8 (vector-ref e-5 1))) (let ((e-9 (vector-ref e-5 2))) (let ((u--tm (vector 0 e-1 (vector 7 e-4 (vector 0 e-8 e-9) e-6)))) (let ((sc3 (CoreC-45Name-u--C-61C-61_Eq_Name (CoreC-45Name-dropNS (let ((e-3 (vector-ref e-9 2))) e-3)) (vector 1 (vector 0 "guard"))))) (cond ((equal? sc3 1) (vector 0 e-1 e-6)) (else u--tm)))))))(else arg-4))))))(else arg-4)))))(else arg-4))))
(define IdrisC-45Pretty-n--10185-7377-u--continuation (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (IdrisC-45Pretty-u--pretty_Pretty_IdrisSyntax_IPTerm arg-3)))
(define IdrisC-45Pretty-u--pretty_Pretty_IdrisSyntax_IPTerm (lambda (arg-0) (IdrisC-45Pretty-u--prettyPrec_Pretty_IdrisSyntax_IPTerm (vector 0 ) arg-0)))
(define IdrisC-45Pretty-u--prettyPrec_Pretty_IdrisSyntax_IPTerm (lambda (arg-0 arg-1) (case (vector-ref arg-1 0) ((0) (let ((e-2 (vector-ref arg-1 2))) ((LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-annotateM (IdrisC-45Pretty-kindAnn e-2)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--cast_Cast_C-40DocC-32VoidC-41_C-40DocC-32C-36annC-41 (CoreC-45Name-prettyOp 0 (let ((e-3 (vector-ref e-2 2))) e-3)))))) ((1) (let ((e-5 (vector-ref arg-1 2))) (let ((e-6 (vector-ref arg-1 3))) (let ((e-7 (vector-ref arg-1 4))) (let ((e-8 (vector-ref arg-1 5))) (let ((e-9 (vector-ref arg-1 6))) (case (vector-ref e-6 0) ((1) (if (null? e-7) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-parenthesise (PreludeC-45Show-u--C-62_Ord_Prec arg-0 (IdrisC-45Pretty-startPrec)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-group (AlgebraC-45Semiring-branchVal (csegen-1156) (lambda () (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45Pretty-u--pretty_Pretty_IdrisSyntax_IPTerm e-8) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45PrettyC-45Annotations-arrow) (IdrisC-45Pretty-u--pretty_Pretty_IdrisSyntax_IPTerm e-9)))) (lambda () (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-parens (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (IdrisC-45PrettyC-45Annotations-prettyRig e-5) (csegen-595)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-colon) (IdrisC-45Pretty-u--pretty_Pretty_IdrisSyntax_IPTerm e-8)))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (csegen-3592) (IdrisC-45Pretty-u--pretty_Pretty_IdrisSyntax_IPTerm e-9)))) e-5))) (let ((e-212 (unbox e-7))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-parenthesise (PreludeC-45Show-u--C-62_Ord_Prec arg-0 (IdrisC-45Pretty-startPrec)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-group (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-parens (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (IdrisC-45PrettyC-45Annotations-prettyRig e-5) (IdrisC-45Pretty-prettyBinder e-212)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-colon) (IdrisC-45Pretty-u--pretty_Pretty_IdrisSyntax_IPTerm e-8)))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (csegen-3592) (IdrisC-45Pretty-u--pretty_Pretty_IdrisSyntax_IPTerm e-9)))))))) ((0) (if (null? e-7) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-parenthesise (PreludeC-45Show-u--C-62_Ord_Prec arg-0 (IdrisC-45Pretty-startPrec)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-group (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-braces (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (IdrisC-45PrettyC-45Annotations-prettyRig e-5) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-3594) (vector 2 ))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-colon) (IdrisC-45Pretty-u--pretty_Pretty_IdrisSyntax_IPTerm e-8)))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (csegen-3592) (IdrisC-45Pretty-u--pretty_Pretty_IdrisSyntax_IPTerm e-9))))) (let ((e-215 (unbox e-7))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-parenthesise (PreludeC-45Show-u--C-62_Ord_Prec arg-0 (IdrisC-45Pretty-startPrec)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-group (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-braces (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (IdrisC-45PrettyC-45Annotations-prettyRig e-5) (IdrisC-45Pretty-prettyBinder e-215)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-colon) (IdrisC-45Pretty-u--pretty_Pretty_IdrisSyntax_IPTerm e-8)))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (csegen-3592) (IdrisC-45Pretty-u--pretty_Pretty_IdrisSyntax_IPTerm e-9)))))))) ((2) (if (null? e-7) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-parenthesise (PreludeC-45Show-u--C-62_Ord_Prec arg-0 (IdrisC-45Pretty-startPrec)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-group (AlgebraC-45Semiring-branchVal (csegen-1156) (lambda () (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45Pretty-u--pretty_Pretty_IdrisSyntax_IPTerm e-8) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (csegen-3596) (IdrisC-45Pretty-u--pretty_Pretty_IdrisSyntax_IPTerm e-9)))) (lambda () (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-braces (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45PrettyC-45Annotations-auto_) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (IdrisC-45PrettyC-45Annotations-prettyRig e-5) (csegen-595)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-colon) (IdrisC-45Pretty-u--pretty_Pretty_IdrisSyntax_IPTerm e-8))))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (csegen-3592) (IdrisC-45Pretty-u--pretty_Pretty_IdrisSyntax_IPTerm e-9)))) e-5))) (let ((e-218 (unbox e-7))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-parenthesise (PreludeC-45Show-u--C-62_Ord_Prec arg-0 (IdrisC-45Pretty-startPrec)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-group (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-braces (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45PrettyC-45Annotations-auto_) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (IdrisC-45PrettyC-45Annotations-prettyRig e-5) (IdrisC-45Pretty-prettyBinder e-218)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-colon) (IdrisC-45Pretty-u--pretty_Pretty_IdrisSyntax_IPTerm e-8))))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (csegen-3592) (IdrisC-45Pretty-u--pretty_Pretty_IdrisSyntax_IPTerm e-9)))))))) (else (let ((e-209 (vector-ref e-6 1))) (if (null? e-7) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-parenthesise (PreludeC-45Show-u--C-62_Ord_Prec arg-0 (IdrisC-45Pretty-startPrec)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-group (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-braces (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45PrettyC-45Annotations-default_) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45Pretty-u--prettyPrec_Pretty_IdrisSyntax_IPTerm (IdrisC-45Pretty-appPrec) e-209) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (IdrisC-45PrettyC-45Annotations-prettyRig e-5) (csegen-595)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-colon) (IdrisC-45Pretty-u--pretty_Pretty_IdrisSyntax_IPTerm e-8)))))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (csegen-3592) (IdrisC-45Pretty-u--pretty_Pretty_IdrisSyntax_IPTerm e-9))))) (let ((e-221 (unbox e-7))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-parenthesise (PreludeC-45Show-u--C-62_Ord_Prec arg-0 (IdrisC-45Pretty-startPrec)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-group (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-braces (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45PrettyC-45Annotations-default_) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45Pretty-u--prettyPrec_Pretty_IdrisSyntax_IPTerm (IdrisC-45Pretty-appPrec) e-209) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (IdrisC-45PrettyC-45Annotations-prettyRig e-5) (IdrisC-45Pretty-prettyBinder e-221)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-colon) (IdrisC-45Pretty-u--pretty_Pretty_IdrisSyntax_IPTerm e-8)))))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (csegen-3592) (IdrisC-45Pretty-u--pretty_Pretty_IdrisSyntax_IPTerm e-9)))))))))))))))) ((2) (let ((e-11 (vector-ref arg-1 1))) (let ((e-12 (vector-ref arg-1 2))) (let ((e-13 (vector-ref arg-1 3))) (let ((e-14 (vector-ref arg-1 4))) (let ((e-15 (vector-ref arg-1 5))) (let ((e-16 (vector-ref arg-1 6))) (let ((sc1 (IdrisC-45Pretty-n--10185-7136-u--getLamNames e-11 e-13 e-16 e-15 e-14 e-12 arg-0 (cons (cons e-12 (cons e-14 e-15)) '()) e-16))) (let ((e-2 (car sc1))) (let ((e-3 (cdr sc1))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-parenthesise (PreludeC-45Show-u--C-62_Ord_Prec arg-0 (IdrisC-45Pretty-startPrec)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-group (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (((csegen-380) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-backslash)) (IdrisC-45Pretty-n--10185-7137-u--prettyBindings e-11 e-13 e-16 e-15 e-14 e-12 arg-0 e-2)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (csegen-3596) (IdrisC-45Pretty-u--pretty_Pretty_IdrisSyntax_IPTerm e-3))))))))))))))) ((3) (let ((e-18 (vector-ref arg-1 1))) (let ((e-19 (vector-ref arg-1 2))) (let ((e-20 (vector-ref arg-1 3))) (let ((e-21 (vector-ref arg-1 4))) (let ((e-22 (vector-ref arg-1 5))) (let ((e-23 (vector-ref arg-1 6))) (let ((e-24 (vector-ref arg-1 7))) (case (vector-ref e-21 0) ((25) (let ((e-223 (vector-ref e-21 1))) (DataC-45Maybe-fromMaybe (lambda () (IdrisC-45Pretty-n--10185-7378-u--fullLet e-18 e-223 e-24 e-23 e-22 e-20 e-19 arg-0)) (PreludeC-45Types-u--C-60C-124C-62_Alternative_Maybe (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (IdrisC-45Pretty-n--10185-7379-u--getPRefName e-18 e-223 e-24 e-23 e-22 e-20 e-19 arg-0 e-20) (lambda (u--nName) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (IdrisC-45Pretty-n--10185-7379-u--getPRefName e-18 e-223 e-24 e-23 e-22 e-20 e-19 arg-0 e-22) (lambda (u--valName) (PreludeC-45Interfaces-C-62C-62 (csegen-614) (PreludeC-45Interfaces-guard (csegen-326) (PreludeC-45EqOrd-u--C-61C-61_Eq_String (CoreC-45Name-u--show_Show_Name u--nName) (CoreC-45Name-u--show_Show_Name u--valName))) (lambda () (box (IdrisC-45Pretty-n--10185-7377-u--continuation e-18 e-223 e-24 e-23 e-22 e-20 e-19 arg-0)))))))) (lambda () (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (IdrisC-45Pretty-n--10185-7379-u--getPRefName e-18 e-223 e-24 e-23 e-22 e-20 e-19 arg-0 e-20) (lambda (u--nName) (PreludeC-45Interfaces-C-62C-62 (csegen-614) (PreludeC-45Interfaces-guard (csegen-326) (CoreC-45Name-isUnderscoreName u--nName)) (lambda () (box (IdrisC-45Pretty-n--10185-7377-u--continuation e-18 e-223 e-24 e-23 e-22 e-20 e-19 arg-0)))))))))))(else (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-parenthesise (PreludeC-45Show-u--C-62_Ord_Prec arg-0 (IdrisC-45Pretty-startPrec)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-group (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-align (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45PrettyC-45Annotations-let_) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-group (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-align (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-hang 2 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (IdrisC-45PrettyC-45Annotations-prettyRig e-19) (IdrisC-45Pretty-u--pretty_Pretty_IdrisSyntax_IPTerm e-20)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-colon) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45Pretty-u--pretty_Pretty_IdrisSyntax_IPTerm e-21) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (csegen-3591) (IdrisC-45Pretty-u--pretty_Pretty_IdrisSyntax_IPTerm e-22)))))))) (if (null? e-24) (((csegen-380) (IdrisC-45PrettyC-45Annotations-in_)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-softline)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (((csegen-380) ((csegen-3582) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-indent 4 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vsep (PreludeC-45Interfaces-C-60C-36C-62 (csegen-24) (lambda (eta-0) (IdrisC-45Pretty-prettyAlt eta-0)) e-24))))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-hardline)) (IdrisC-45PrettyC-45Annotations-in_)))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-group (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-align (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-hang 2 (IdrisC-45Pretty-u--pretty_Pretty_IdrisSyntax_IPTerm e-23))))))))))))))))))) ((4) (let ((e-27 (vector-ref arg-1 2))) (let ((e-28 (vector-ref arg-1 3))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-parenthesise (PreludeC-45Show-u--C-62_Ord_Prec arg-0 (IdrisC-45Pretty-startPrec)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45PrettyC-45Annotations-case_) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45Pretty-u--pretty_Pretty_IdrisSyntax_IPTerm e-27) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (IdrisC-45PrettyC-45Annotations-of_) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-nest 2 (let ((u--punctuation (cons (IdrisC-45PrettyC-45Annotations-lcurly) ((PreludeC-45Interfaces-C-60C-36 (csegen-24) (IdrisC-45PrettyC-45Annotations-semi)) (DataC-45Maybe-fromMaybe (lambda () '()) (DataC-45List-tailC-39 (PreludeC-45Types-u--rangeFromTo_Range_Nat 1 (PreludeC-45TypesC-45List-lengthTR e-28)))))))) (((csegen-380) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-line)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vsep (PreludeC-45TypesC-45List-tailRecAppend (DataC-45List-u--zipWith_Zippable_List (csegen-885) u--punctuation (PreludeC-45Interfaces-C-60C-36C-62 (csegen-24) (lambda (eta-0) (IdrisC-45Pretty-prettyPClause eta-0)) e-28)) (cons (IdrisC-45PrettyC-45Annotations-rcurly) '()))))))))))))) ((5) (let ((e-32 (vector-ref arg-1 3))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-parenthesise (PreludeC-45Show-u--C-62_Ord_Prec arg-0 (IdrisC-45Pretty-startPrec)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-group (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-align (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45PrettyC-45Annotations-let_) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (((csegen-380) (((csegen-380) (csegen-3605)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-line))) (IdrisC-45PrettyC-45Annotations-in_)) (IdrisC-45Pretty-u--pretty_Pretty_IdrisSyntax_IPTerm e-32)))))))) ((6) (let ((e-35 (vector-ref arg-1 2))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-parenthesise (PreludeC-45Show-u--C-62_Ord_Prec arg-0 (IdrisC-45Pretty-startPrec)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-group (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45PrettyC-45Annotations-record_) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-braces (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vsep (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-punctuate (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-comma) (PreludeC-45Interfaces-C-60C-36C-62 (csegen-24) (lambda (eta-0) (IdrisC-45Pretty-prettyPFieldUpdate eta-0)) e-35))))))))) ((7) (let ((e-38 (vector-ref arg-1 2))) (let ((e-39 (vector-ref arg-1 3))) (let ((u--catchall (lambda () (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45Pretty-u--prettyPrec_Pretty_IdrisSyntax_IPTerm (IdrisC-45Pretty-leftAppPrec) e-38) (IdrisC-45Pretty-u--prettyPrec_Pretty_IdrisSyntax_IPTerm (IdrisC-45Pretty-appPrec) e-39))))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-parenthesise (PreludeC-45Show-u--C-62C-61_Ord_Prec arg-0 (IdrisC-45Pretty-appPrec)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-group (case (vector-ref e-38 0) ((0) (let ((e-1 (vector-ref e-38 1))) (let ((e-2 (vector-ref e-38 2))) (let ((u--f (vector 0 e-1 e-2))) (let ((sc2 (DataC-45Maybe-isJust (CoreC-45Name-isRF (let ((e-3 (vector-ref e-2 2))) e-3))))) (cond ((equal? sc2 1) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45Pretty-u--prettyPrec_Pretty_IdrisSyntax_IPTerm (IdrisC-45Pretty-leftAppPrec) e-39) (IdrisC-45Pretty-u--prettyPrec_Pretty_IdrisSyntax_IPTerm (IdrisC-45Pretty-appPrec) u--f))) (else (u--catchall))))))))(else (u--catchall))))))))) ((8) (let ((e-42 (vector-ref arg-1 2))) (let ((e-43 (vector-ref arg-1 3))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45Pretty-u--prettyPrec_Pretty_IdrisSyntax_IPTerm arg-0 e-42) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-pipe) (IdrisC-45Pretty-u--prettyPrec_Pretty_IdrisSyntax_IPTerm arg-0 e-43)))))) ((11) (let ((e-46 (vector-ref arg-1 2))) (let ((e-47 (vector-ref arg-1 3))) (cond ((equal? e-46 0) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-parenthesise (PreludeC-45Show-u--C-62_Ord_Prec arg-0 (IdrisC-45Pretty-startPrec)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "Inf") (IdrisC-45Pretty-u--prettyPrec_Pretty_IdrisSyntax_IPTerm (IdrisC-45Pretty-appPrec) e-47))))(else (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-parenthesise (PreludeC-45Show-u--C-62_Ord_Prec arg-0 (IdrisC-45Pretty-startPrec)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "Lazy") (IdrisC-45Pretty-u--prettyPrec_Pretty_IdrisSyntax_IPTerm (IdrisC-45Pretty-appPrec) e-47)))))))) ((12) (let ((e-50 (vector-ref arg-1 2))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-parenthesise (PreludeC-45Show-u--C-62_Ord_Prec arg-0 (IdrisC-45Pretty-startPrec)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "Delay") (IdrisC-45Pretty-u--prettyPrec_Pretty_IdrisSyntax_IPTerm (IdrisC-45Pretty-appPrec) e-50))))) ((13) (let ((e-53 (vector-ref arg-1 2))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-parenthesise (PreludeC-45Show-u--C-62_Ord_Prec arg-0 (IdrisC-45Pretty-startPrec)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "Force") (IdrisC-45Pretty-u--prettyPrec_Pretty_IdrisSyntax_IPTerm (IdrisC-45Pretty-appPrec) e-53))))) ((10) (let ((e-56 (vector-ref arg-1 2))) (let ((e-57 (vector-ref arg-1 3))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-parenthesise (PreludeC-45Show-u--C-62_Ord_Prec arg-0 (IdrisC-45Pretty-startPrec)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-group (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45Pretty-u--prettyPrec_Pretty_IdrisSyntax_IPTerm (IdrisC-45Pretty-leftAppPrec) e-56) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "@") (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-braces (IdrisC-45Pretty-u--pretty_Pretty_IdrisSyntax_IPTerm e-57))))))))) ((9) (let ((e-60 (vector-ref arg-1 2))) (let ((e-61 (vector-ref arg-1 3))) (let ((e-62 (vector-ref arg-1 4))) (case (vector-ref e-62 0) ((0) (let ((e-226 (vector-ref e-62 2))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-parenthesise (PreludeC-45Show-u--C-62_Ord_Prec arg-0 (IdrisC-45Pretty-startPrec)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-group (let ((sc2 (CoreC-45Name-u--C-61C-61_Eq_Name e-61 (let ((e-2 (vector-ref e-226 2))) e-2)))) (cond ((equal? sc2 1) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45Pretty-u--prettyPrec_Pretty_IdrisSyntax_IPTerm (IdrisC-45Pretty-leftAppPrec) e-60) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-braces (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-1529) e-61)))) (else (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45Pretty-u--prettyPrec_Pretty_IdrisSyntax_IPTerm (IdrisC-45Pretty-leftAppPrec) e-60) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-braces (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-1529) e-61) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45PrettyC-45Annotations-equals) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-1529) (let ((e-2 (vector-ref e-226 2))) e-2)))))))))))))(else (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-parenthesise (PreludeC-45Show-u--C-62_Ord_Prec arg-0 (IdrisC-45Pretty-startPrec)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-group (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45Pretty-u--prettyPrec_Pretty_IdrisSyntax_IPTerm (IdrisC-45Pretty-leftAppPrec) e-60) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-braces (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-1529) e-61) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45PrettyC-45Annotations-equals) (IdrisC-45Pretty-u--prettyPrec_Pretty_IdrisSyntax_IPTerm arg-0 e-62))))))))))))) ((14) (IdrisC-45PrettyC-45Annotations-pragma (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-594) "%search"))) ((16) (let ((e-68 (vector-ref arg-1 2))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-parenthesise (PreludeC-45Show-u--C-62_Ord_Prec arg-0 (IdrisC-45Pretty-startPrec)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "`") (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-parens (IdrisC-45Pretty-u--pretty_Pretty_IdrisSyntax_IPTerm e-68)))))) ((17) (let ((e-71 (vector-ref arg-1 2))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-parenthesise (PreludeC-45Show-u--C-62_Ord_Prec arg-0 (IdrisC-45Pretty-startPrec)) ((csegen-3613) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-braces (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-1529) e-71)))))) ((18) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-parenthesise (PreludeC-45Show-u--C-62_Ord_Prec arg-0 (IdrisC-45Pretty-startPrec)) ((csegen-3613) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-brackets (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-lbracket) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-rbracket) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-angles (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-angles ((csegen-331) "declaration"))))))) ((19) (let ((e-77 (vector-ref arg-1 2))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-parenthesise (PreludeC-45Show-u--C-62_Ord_Prec arg-0 (IdrisC-45Pretty-startPrec)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "~") (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-parens (IdrisC-45Pretty-u--pretty_Pretty_IdrisSyntax_IPTerm e-77)))))) ((20) (let ((e-80 (vector-ref arg-1 2))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-parenthesise (PreludeC-45Show-u--C-62_Ord_Prec arg-0 (IdrisC-45Pretty-startPrec)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45PrettyC-45Annotations-pragma (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-594) "%runElab")) (IdrisC-45Pretty-u--pretty_Pretty_IdrisSyntax_IPTerm e-80))))) ((15) (let ((e-83 (vector-ref arg-1 2))) (CoreC-45TT-u--pretty_Pretty_IdrisSyntax_Constant e-83))) ((21) (let ((e-87 (vector-ref arg-1 3))) (IdrisC-45PrettyC-45Annotations-hole (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-863) (string-cons #\? e-87))))) ((22) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-annotate (vector 1 '()) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "Type"))) ((23) (let ((e-93 (vector-ref arg-1 3))) (let ((e-94 (vector-ref arg-1 4))) (((csegen-380) (((csegen-380) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-1529) e-93)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "@"))) (IdrisC-45Pretty-u--prettyPrec_Pretty_IdrisSyntax_IPTerm arg-0 e-94))))) ((24) (let ((e-97 (vector-ref arg-1 2))) ((csegen-3622) (IdrisC-45Pretty-u--prettyPrec_Pretty_IdrisSyntax_IPTerm arg-0 e-97)))) ((25) (csegen-595)) ((26) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-annotate (vector 0 ) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "?"))) ((27) (let ((e-105 (vector-ref arg-1 3))) (let ((e-106 (vector-ref arg-1 4))) (let ((e-107 (vector-ref arg-1 5))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-parenthesise (PreludeC-45Show-u--C-62C-61_Ord_Prec arg-0 (vector 6 )) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-group (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45Pretty-u--pretty_Pretty_IdrisSyntax_IPTerm e-106) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45Pretty-prettyOp e-105) (IdrisC-45Pretty-u--pretty_Pretty_IdrisSyntax_IPTerm e-107))))))))) ((28) (let ((e-111 (vector-ref arg-1 3))) (let ((e-112 (vector-ref arg-1 4))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-parenthesise (PreludeC-45Show-u--C-62_Ord_Prec arg-0 (IdrisC-45Pretty-startPrec)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (IdrisC-45Pretty-prettyOp e-111) (IdrisC-45Pretty-u--pretty_Pretty_IdrisSyntax_IPTerm e-112)))))) ((29) (let ((e-116 (vector-ref arg-1 3))) (let ((e-117 (vector-ref arg-1 4))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-parens (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45Pretty-prettyOp e-116) (IdrisC-45Pretty-u--pretty_Pretty_IdrisSyntax_IPTerm e-117)))))) ((30) (let ((e-121 (vector-ref arg-1 3))) (let ((e-122 (vector-ref arg-1 4))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-parens (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45Pretty-u--pretty_Pretty_IdrisSyntax_IPTerm e-121) (IdrisC-45Pretty-prettyOp e-122)))))) ((31) (let ((e-125 (vector-ref arg-1 2))) (let ((e-126 (vector-ref arg-1 3))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-parenthesise (PreludeC-45Show-u--C-62_Ord_Prec arg-0 (IdrisC-45Pretty-startPrec)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45Pretty-u--prettyPrec_Pretty_IdrisSyntax_IPTerm (vector 1 ) e-125) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45PrettyC-45Annotations-equals) (IdrisC-45Pretty-u--prettyPrec_Pretty_IdrisSyntax_IPTerm (vector 1 ) e-126))))))) ((32) (let ((e-129 (vector-ref arg-1 2))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-parens (IdrisC-45Pretty-u--pretty_Pretty_IdrisSyntax_IPTerm e-129)))) ((33) (let ((e-132 (vector-ref arg-1 2))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-parenthesise (PreludeC-45Show-u--C-62_Ord_Prec arg-0 (IdrisC-45Pretty-startPrec)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-hsep (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-punctuate (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "++") (PreludeC-45Interfaces-C-60C-36C-62 (csegen-24) (lambda (eta-0) (IdrisC-45Pretty-prettyPStr eta-0)) e-132)))))) ((34) (let ((e-136 (vector-ref arg-1 3))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "multiline") (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-parenthesise (PreludeC-45Show-u--C-62_Ord_Prec arg-0 (IdrisC-45Pretty-startPrec)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-hsep (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-punctuate (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "++") (PreludeC-45Interfaces-C-60C-36C-62 (csegen-24) (lambda (eta-0) (IdrisC-45Pretty-prettyPStr eta-0)) (PreludeC-45Interfaces-concat (csegen-83) (csegen-16) e-136)))))))) ((35) (let ((e-140 (vector-ref arg-1 3))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-parenthesise (PreludeC-45Show-u--C-62_Ord_Prec arg-0 (IdrisC-45Pretty-startPrec)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-group (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-align (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-hang 2 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45PrettyC-45Annotations-do_) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vsep (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-punctuate (IdrisC-45PrettyC-45Annotations-semi) (PreludeC-45Interfaces-C-60C-36C-62 (csegen-24) (lambda (eta-0) (IdrisC-45Pretty-prettyPDo eta-0)) e-140)))))))))) ((36) (let ((e-143 (vector-ref arg-1 2))) (((csegen-380) ((csegen-331) "!")) (IdrisC-45Pretty-u--prettyPrec_Pretty_IdrisSyntax_IPTerm arg-0 e-143)))) ((37) (let ((e-146 (vector-ref arg-1 2))) (let ((e-147 (vector-ref arg-1 3))) (if (null? e-146) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-enclose (IdrisC-45PrettyC-45Annotations-keyword (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-594) "[|")) (csegen-3629) (IdrisC-45Pretty-u--pretty_Pretty_IdrisSyntax_IPTerm e-147)) (let ((e-229 (unbox e-146))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-enclose (((csegen-380) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-3631) e-229)) (IdrisC-45PrettyC-45Annotations-keyword (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-594) ".[|"))) (csegen-3629) (IdrisC-45Pretty-u--pretty_Pretty_IdrisSyntax_IPTerm e-147))))))) ((38) (let ((e-151 (vector-ref arg-1 3))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-brackets (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-lbracket) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-rbracket) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-group (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-align (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vsep (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-punctuate (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-comma) (PreludeC-45Interfaces-C-60C-36C-62 (csegen-24) (csegen-3634) e-151)))))))) ((39) (let ((e-155 (vector-ref arg-1 3))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-brackets (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "[<") (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-rbracket) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-group (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-align (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vsep (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-punctuate (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-comma) (PreludeC-45Interfaces-C-60C-36C-62 (csegen-24) (csegen-3634) (PreludeC-45TypesC-45SnocList-C-60C-62C-62 e-155 '()))))))))) ((40) (let ((e-158 (vector-ref arg-1 2))) (let ((e-159 (vector-ref arg-1 3))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-group (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-parens (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (((csegen-380) (IdrisC-45Pretty-u--pretty_Pretty_IdrisSyntax_IPTerm e-158)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-comma)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-line)) (IdrisC-45Pretty-u--pretty_Pretty_IdrisSyntax_IPTerm e-159))))))) ((41) (let ((e-163 (vector-ref arg-1 3))) (let ((e-164 (vector-ref arg-1 4))) (let ((e-165 (vector-ref arg-1 5))) (case (vector-ref e-164 0) ((25) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-group (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-parens (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45Pretty-u--pretty_Pretty_IdrisSyntax_IPTerm e-163) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (csegen-3637) (IdrisC-45Pretty-u--pretty_Pretty_IdrisSyntax_IPTerm e-165))))))(else (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-group (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-parens (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45Pretty-u--pretty_Pretty_IdrisSyntax_IPTerm e-163) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-colon) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45Pretty-u--pretty_Pretty_IdrisSyntax_IPTerm e-164) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (csegen-3637) (IdrisC-45Pretty-u--pretty_Pretty_IdrisSyntax_IPTerm e-165))))))))))))) ((42) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-594) "()")) ((43) (let ((e-170 (vector-ref arg-1 2))) (let ((e-171 (vector-ref arg-1 3))) (let ((e-172 (vector-ref arg-1 4))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-parenthesise (PreludeC-45Show-u--C-62_Ord_Prec arg-0 (IdrisC-45Pretty-startPrec)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-group (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-align (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-hang 2 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vsep (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45PrettyC-45Annotations-keyword (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-594) "if")) (IdrisC-45Pretty-u--pretty_Pretty_IdrisSyntax_IPTerm e-170)) (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45PrettyC-45Annotations-keyword (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-594) "then")) (IdrisC-45Pretty-u--pretty_Pretty_IdrisSyntax_IPTerm e-171)) (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45PrettyC-45Annotations-keyword (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-594) "else")) (IdrisC-45Pretty-u--pretty_Pretty_IdrisSyntax_IPTerm e-172)) '())))))))))))) ((44) (let ((e-174 (vector-ref arg-1 1))) (let ((e-175 (vector-ref arg-1 2))) (let ((e-176 (vector-ref arg-1 3))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-group (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-brackets (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-lbracket) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-rbracket) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45Pretty-u--pretty_Pretty_IdrisSyntax_IPTerm (IdrisC-45Pretty-n--10185-8723-u--dePure e-174 e-176 e-175 arg-0 e-175)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-pipe) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vsep (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-punctuate (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-comma) (PreludeC-45Interfaces-C-60C-36C-62 (csegen-24) (lambda (eta-0) (IdrisC-45Pretty-prettyPDo (IdrisC-45Pretty-n--10185-8724-u--deGuard e-174 e-176 e-175 arg-0 eta-0))) e-176))))))))))) ((45) (let ((e-179 (vector-ref arg-1 2))) (let ((e-180 (vector-ref arg-1 3))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-parenthesise (PreludeC-45Show-u--C-62_Ord_Prec arg-0 (IdrisC-45Pretty-startPrec)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-group (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45PrettyC-45Annotations-rewrite_) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (((csegen-380) (IdrisC-45Pretty-u--pretty_Pretty_IdrisSyntax_IPTerm e-179)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-line)) (IdrisC-45PrettyC-45Annotations-in_)) (IdrisC-45Pretty-u--pretty_Pretty_IdrisSyntax_IPTerm e-180)))))))) ((46) (let ((e-183 (vector-ref arg-1 2))) (let ((e-184 (vector-ref arg-1 3))) (let ((e-185 (vector-ref arg-1 4))) (if (null? e-184) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-brackets (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-lbracket) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-rbracket) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45Pretty-u--pretty_Pretty_IdrisSyntax_IPTerm e-183) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (csegen-3646) (IdrisC-45Pretty-u--pretty_Pretty_IdrisSyntax_IPTerm e-185)))) (let ((e-234 (unbox e-184))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-brackets (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-lbracket) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-rbracket) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (((csegen-380) (IdrisC-45Pretty-u--pretty_Pretty_IdrisSyntax_IPTerm e-183)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-comma)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45Pretty-u--pretty_Pretty_IdrisSyntax_IPTerm e-234) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (csegen-3646) (IdrisC-45Pretty-u--pretty_Pretty_IdrisSyntax_IPTerm e-185))))))))))) ((47) (let ((e-188 (vector-ref arg-1 2))) (let ((e-189 (vector-ref arg-1 3))) (if (null? e-189) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-brackets (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-lbracket) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-rbracket) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45Pretty-u--pretty_Pretty_IdrisSyntax_IPTerm e-188) (csegen-3646))) (let ((e-237 (unbox e-189))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-brackets (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-lbracket) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-rbracket) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (((csegen-380) (IdrisC-45Pretty-u--pretty_Pretty_IdrisSyntax_IPTerm e-188)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-comma)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45Pretty-u--pretty_Pretty_IdrisSyntax_IPTerm e-237) (csegen-3646))))))))) ((50) (let ((e-193 (vector-ref arg-1 3))) (IdrisC-45Pretty-u--prettyPrec_Pretty_IdrisSyntax_IPTerm arg-0 e-193))) ((48) (let ((e-196 (vector-ref arg-1 2))) (let ((e-197 (vector-ref arg-1 3))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-parenthesise (PreludeC-45Show-u--C-62_Ord_Prec arg-0 (IdrisC-45Pretty-startPrec)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45Pretty-u--pretty_Pretty_IdrisSyntax_IPTerm e-196) ((csegen-3622) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-concatWith (csegen-616) ((csegen-3648) e-197)))))))) ((49) (let ((e-200 (vector-ref arg-1 2))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-parens ((csegen-3622) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-concatWith (csegen-616) ((csegen-3648) e-200)))))) (else (let ((e-203 (vector-ref arg-1 2))) (let ((e-204 (vector-ref arg-1 3))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-parenthesise (PreludeC-45Show-u--C-62_Ord_Prec arg-0 (IdrisC-45Pretty-startPrec)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-group (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45PrettyC-45Annotations-with_) (((csegen-380) (((csegen-380) ((csegen-3649) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-prettyList (csegen-1529) ((csegen-947) e-203)))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-line))) (IdrisC-45Pretty-u--pretty_Pretty_IdrisSyntax_IPTerm e-204)))))))))))
(define IdrisC-45Pretty-warning (lambda (ext-0) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-annotate (vector 0 ) ext-0)))
(define IdrisC-45Pretty-syntaxToDecoration (lambda (arg-0) (case (vector-ref arg-0 0) ((0) '()) ((1) (box 1)) ((2) (box 3)) ((3) (box 2)) ((4) (box 5)) ((5) (box 4)) (else '()))))
(define IdrisC-45Pretty-syntaxAnn (lambda (arg-0) (case (vector-ref arg-0 0) ((0) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45RenderC-45Terminal-color 10)) ((1) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45RenderC-45Terminal-color 12)) ((2) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45RenderC-45Terminal-color 9)) ((3) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45RenderC-45Terminal-color 10)) ((4) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45RenderC-45Terminal-italic)) ((5) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45RenderC-45Terminal-color 15)) (else (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45RenderC-45Terminal-color 13)))))
(define IdrisC-45Pretty-startPrec(blodwen-lazy (lambda () (vector 0 ))))
(define IdrisC-45Pretty-showCategory (lambda (arg-1 arg-2) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-annotateM (PreludeC-45Interfaces-C-60C-36C-62 (csegen-76) arg-1 (IdrisC-45Pretty-kindAnn (CoreC-45ContextC-45Context-gDefKindedName arg-2))))))
(define IdrisC-45Pretty-renderWithDecorations (lambda (arg-2 arg-3 arg-4 arg-5) (let ((eff-0 (IdrisC-45PrettyC-45Render-renderWithSpans arg-3 arg-5))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((e-2 (car e-5))) (let ((e-3 (cdr e-5))) (let ((u--spans (PreludeC-45TypesC-45List-mapMaybeAppend '() (lambda (eta-0) (LibrariesC-45DataC-45Span-u--traverse_Traversable_Span (csegen-323) arg-4 eta-0)) e-3))) (lambda (eta-0) (vector 1 (cons e-2 u--spans)))))))) eff-1)))))))))
(define IdrisC-45Pretty-render (lambda (arg-0 ext-0) (IdrisC-45PrettyC-45Render-render arg-0 (lambda (eta-0) (IdrisC-45Pretty-colorAnn eta-0)) ext-0)))
(define IdrisC-45Pretty-prettyPStr (lambda (arg-0) (case (vector-ref arg-0 0) ((0) (let ((e-2 (vector-ref arg-0 2))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-863) e-2))) (else (let ((e-5 (vector-ref arg-0 2))) (IdrisC-45Pretty-u--pretty_Pretty_IdrisSyntax_IPTerm e-5))))))
(define IdrisC-45Pretty-prettyPFieldUpdate (lambda (arg-0) (case (vector-ref arg-0 0) ((0) (let ((e-1 (vector-ref arg-0 1))) (let ((e-2 (vector-ref arg-0 2))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45Pretty-prettyFieldPath e-1) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45PrettyC-45Annotations-equals) (IdrisC-45Pretty-u--pretty_Pretty_IdrisSyntax_IPTerm e-2)))))) (else (let ((e-4 (vector-ref arg-0 1))) (let ((e-5 (vector-ref arg-0 2))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45Pretty-prettyFieldPath e-4) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45PrettyC-45Annotations-keyword (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-594) "$=")) (IdrisC-45Pretty-u--pretty_Pretty_IdrisSyntax_IPTerm e-5)))))))))
(define IdrisC-45Pretty-prettyPDo (lambda (arg-0) (case (vector-ref arg-0 0) ((0) (let ((e-2 (vector-ref arg-0 2))) (IdrisC-45Pretty-u--pretty_Pretty_IdrisSyntax_IPTerm e-2))) ((1) (let ((e-6 (vector-ref arg-0 3))) (let ((e-7 (vector-ref arg-0 4))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-1529) e-6) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (csegen-3653) (IdrisC-45Pretty-u--pretty_Pretty_IdrisSyntax_IPTerm e-7)))))) ((2) (let ((e-10 (vector-ref arg-0 2))) (let ((e-11 (vector-ref arg-0 3))) (let ((e-12 (vector-ref arg-0 4))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45Pretty-u--pretty_Pretty_IdrisSyntax_IPTerm e-10) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (csegen-3653) (((csegen-380) (IdrisC-45Pretty-u--pretty_Pretty_IdrisSyntax_IPTerm e-11)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-hang 4 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-fillSep (PreludeC-45Interfaces-C-60C-36C-62 (csegen-24) (lambda (eta-0) (IdrisC-45Pretty-prettyAlt eta-0)) e-12)))))))))) ((3) (let ((e-16 (vector-ref arg-0 3))) (let ((e-17 (vector-ref arg-0 4))) (let ((e-19 (vector-ref arg-0 6))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45PrettyC-45Annotations-let_) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (IdrisC-45PrettyC-45Annotations-prettyRig e-17) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-1529) e-16)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45PrettyC-45Annotations-equals) (IdrisC-45Pretty-u--pretty_Pretty_IdrisSyntax_IPTerm e-19)))))))) ((4) (let ((e-22 (vector-ref arg-0 2))) (let ((e-24 (vector-ref arg-0 4))) (let ((e-25 (vector-ref arg-0 5))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45PrettyC-45Annotations-let_) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45Pretty-u--pretty_Pretty_IdrisSyntax_IPTerm e-22) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45PrettyC-45Annotations-equals) (((csegen-380) (IdrisC-45Pretty-u--pretty_Pretty_IdrisSyntax_IPTerm e-24)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-hang 4 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-fillSep (PreludeC-45Interfaces-C-60C-36C-62 (csegen-24) (lambda (eta-0) (IdrisC-45Pretty-prettyAlt eta-0)) e-25))))))))))) ((5) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45PrettyC-45Annotations-let_) (csegen-3605))) (else (let ((e-31 (vector-ref arg-0 2))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (IdrisC-45PrettyC-45Annotations-rewrite_) (IdrisC-45Pretty-u--pretty_Pretty_IdrisSyntax_IPTerm e-31)))))))
(define IdrisC-45Pretty-prettyPClause (lambda (arg-0) (case (vector-ref arg-0 0) ((0) (let ((e-2 (vector-ref arg-0 2))) (let ((e-3 (vector-ref arg-0 3))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45Pretty-u--pretty_Pretty_IdrisSyntax_IPTerm e-2) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45PrettyC-45Annotations-fatArrow) (IdrisC-45Pretty-u--pretty_Pretty_IdrisSyntax_IPTerm e-3)))))) ((1) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (csegen-3655) (csegen-3657))) (else (let ((e-13 (vector-ref arg-0 2))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45Pretty-u--pretty_Pretty_IdrisSyntax_IPTerm e-13) (IdrisC-45PrettyC-45Annotations-impossible_)))))))
(define IdrisC-45Pretty-prettyOp (lambda (arg-0) (let ((e-0 (vector-ref arg-0 0))) (let ((e-1 (vector-ref arg-0 1))) (let ((e-2 (vector-ref arg-0 2))) (let ((u--op (vector e-0 e-1 e-2))) (let ((sc0 (CoreC-45Name-isOpName e-2))) (cond ((equal? sc0 1) ((LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-annotateM (IdrisC-45Pretty-kindAnn u--op)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-1529) e-2))) (else (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (((csegen-380) (vector 1 #\`)) ((LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-annotateM (IdrisC-45Pretty-kindAnn u--op)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-1529) e-2))) (vector 1 #\`)))))))))))
(define IdrisC-45Pretty-prettyImport (lambda (arg-0) (let ((e-1 (vector-ref arg-0 1))) (let ((e-2 (vector-ref arg-0 2))) (let ((e-3 (vector-ref arg-0 3))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (IdrisC-45PrettyC-45Annotations-keyword (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-594) "import")) (cond ((equal? e-1 1) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-space) (IdrisC-45PrettyC-45Annotations-keyword (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-594) "public")))) (else (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "")))) (((csegen-380) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-3666) e-2)) (let ((sc0 (CoreC-45NameC-45Namespace-u--C-47C-61_Eq_Namespace (CoreC-45NameC-45Namespace-miAsNamespace e-2) e-3))) (cond ((equal? sc0 1) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-space) (IdrisC-45PrettyC-45Annotations-keyword (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-594) "as"))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-3631) e-3))) (else (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "")))))))))))
(define IdrisC-45Pretty-prettyFieldPath (lambda (arg-0) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-concatWith (lambda (eta-0) (lambda (eta-1) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-surround (csegen-1242) eta-0 eta-1))) (PreludeC-45Interfaces-C-60C-36C-62 (csegen-24) (csegen-905) arg-0))))
(define IdrisC-45Pretty-prettyBinder (lambda (ext-0) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-annotate (vector 4 ) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-1529) ext-0))))
(define IdrisC-45Pretty-prettyAlt (lambda (arg-0) (case (vector-ref arg-0 0) ((0) (let ((e-2 (vector-ref arg-0 2))) (let ((e-3 (vector-ref arg-0 3))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (csegen-3655) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45Pretty-u--pretty_Pretty_IdrisSyntax_IPTerm e-2) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45PrettyC-45Annotations-fatArrow) (((csegen-380) (IdrisC-45Pretty-u--pretty_Pretty_IdrisSyntax_IPTerm e-3)) (IdrisC-45PrettyC-45Annotations-semi)))))))) ((1) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (csegen-3655) (((csegen-380) (csegen-3657)) (IdrisC-45PrettyC-45Annotations-semi)))) (else (let ((e-13 (vector-ref arg-0 2))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (csegen-3655) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45Pretty-u--pretty_Pretty_IdrisSyntax_IPTerm e-13) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (IdrisC-45PrettyC-45Annotations-impossible_) (IdrisC-45PrettyC-45Annotations-semi)))))))))
(define IdrisC-45Pretty-meta (lambda (ext-0) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-annotate (vector 5 ) ext-0)))
(define IdrisC-45Pretty-leftAppPrec(blodwen-lazy (lambda () (vector 0 ))))
(define IdrisC-45Pretty-kindAnn (lambda (arg-0) (let ((e-0 (vector-ref arg-0 0))) (let ((e-1 (vector-ref arg-0 1))) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe e-0 (lambda (u--cat) (box (case (vector-ref u--cat 0) ((0) (vector 4 )) ((1) (vector 3 e-1)) ((2) (vector 2 (box e-1))) (else (vector 1 (box e-1)))))))))))
(define IdrisC-45Pretty-fileCtxt (lambda (ext-0) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-annotate (vector 3 ) ext-0)))
(define IdrisC-45Pretty-errorDesc (lambda (ext-0) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-annotate (vector 2 ) ext-0)))
(define IdrisC-45Pretty-error (lambda (ext-0) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-annotate (vector 1 ) ext-0)))
(define IdrisC-45Pretty-colorAnn (lambda (arg-0) (case (vector-ref arg-0 0) ((0) (((csegen-3676) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45RenderC-45Terminal-color 3)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45RenderC-45Terminal-bold))) ((1) (((csegen-3676) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45RenderC-45Terminal-color 9)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45RenderC-45Terminal-bold))) ((2) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45RenderC-45Terminal-bold)) ((3) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45RenderC-45Terminal-color 12)) ((4) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45RenderC-45Terminal-color 5)) ((5) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45RenderC-45Terminal-color 2)) ((6) (let ((e-0 (vector-ref arg-0 1))) (IdrisC-45Pretty-syntaxAnn e-0))) (else '()))))
(define IdrisC-45Pretty-code (lambda (ext-0) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-annotate (vector 4 ) ext-0)))
(define IdrisC-45Pretty-appPrec(blodwen-lazy (lambda () (vector 6 ))))
(define IdrisC-45PrettyC-45Render-renderWithoutColor (lambda (arg-1 arg-2) (let ((eff-0 (IdrisC-45PrettyC-45Render-getPageWidth arg-1))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--opts e-5)) (let ((u--layout ((LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-layoutPretty u--opts) arg-2))) (lambda (eta-0) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45RenderC-45Terminal-renderString (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-unAnnotateS u--layout)))))))) eff-1)))))))))
(define IdrisC-45PrettyC-45Render-renderWithSpans (lambda (arg-1 arg-2) (let ((eff-0 (IdrisC-45PrettyC-45Render-getPageWidth arg-1))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--opts e-5)) (let ((u--layout ((LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-layoutPretty u--opts) arg-2))) (lambda (eta-0) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-displaySpans u--layout))))))) eff-1)))))))))
(define IdrisC-45PrettyC-45Render-render (lambda (arg-1 arg-2 arg-3) (let ((eff-0 (IdrisC-45REPLC-45Opts-getColor arg-1))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 (PrimIO-io_bind (System-getEnv (csegen-40) "TERM") (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (((csegen-50) ((let ((eff-2 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-6 (vector-ref eta-3 1))) (vector 1 (eta-2 e-6))))))))))) (lambda (arg-0) (lambda (arg-4) ((((eff-2 'erased) 'erased) arg-0) arg-4)))) (lambda (arg-0) (PreludeC-45Types-u--C-61C-61_Eq_C-40MaybeC-32C-36aC-41 (csegen-43) (box "dumb") arg-0)))) eff-1)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (IdrisC-45PrettyC-45Render-getPageWidth arg-1))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((u--opts e-7)) (let ((u--layout ((LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-layoutPretty u--opts) arg-3))) (lambda (eta-0) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45RenderC-45Terminal-renderString (let ((sc3 (cond ((equal? e-5 1) (cond ((equal? e-6 1) 0) (else 1))) (else 0)))) (cond ((equal? sc3 1) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-reAnnotateS arg-2 u--layout)) (else (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-unAnnotateS u--layout))))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))
(define IdrisC-45PrettyC-45Render-getPageWidth (lambda (arg-0) (let ((eff-0 (IdrisC-45REPLC-45Opts-getConsoleWidth arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (if (null? e-5) (let ((eff-1 (PrimIO-io_bind (lambda (eta-0) (LibrariesC-45UtilsC-45Term-getTermCols eta-0)) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (let ((sc3 (PreludeC-45EqOrd-u--C-61C-61_Eq_Int e-6 (blodwen-toSignedInt 0 63)))) (cond ((equal? sc3 1) '()) (else (cons e-6 1.0)))))))) eff-2))))))) (let ((e-2 (unbox e-5))) (lambda (clam-0) (cond ((equal? e-2 0) (vector 1 '()))(else (vector 1 (cons ((csegen-3687) e-2) 1.0))))))))) eff-1)))))))))
(define LibrariesC-45UtilsC-45Term-setupTerm (lambda (ext-0) (LibrariesC-45UtilsC-45Term-prim__setupTerm ext-0)))
(define LibrariesC-45UtilsC-45Term-getTermCols (lambda (ext-0) (LibrariesC-45UtilsC-45Term-prim__getTermCols ext-0)))
(define LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45RenderC-45Terminal-n--4322-5087-u--writeOutput (lambda (arg-0 arg-2 arg-3) (ControlC-45MonadC-45ST-modifySTRef arg-2 (lambda (arg-1) (((csegen-909) arg-1) arg-3)))))
(define LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45RenderC-45Terminal-n--4322-5084-u--push (lambda (arg-0 arg-2 arg-3) (ControlC-45MonadC-45ST-modifySTRef arg-2 (lambda (arg-1) (cons arg-3 arg-1)))))
(define LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45RenderC-45Terminal-n--4322-5086-u--pop (lambda (arg-0 arg-2) (ControlC-45MonadC-45ST-u--C-62C-62C-61_Monad_C-40STC-32C-36sC-41 (let ((eff-0 arg-2)) (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1)))) (lambda (_-0) (if (null? _-0) (lambda (eta-0) '()) (let ((e-1 (car _-0))) (let ((e-2 (cdr _-0))) (PreludeC-45Interfaces-C-62C-62 (csegen-3700) (let ((eff-0 arg-2)) (let ((eff-1 eff-0)) (lambda (eta-0) (set-box! eff-1 e-2)))) (lambda () (lambda (eta-0) (box e-1)))))))))))
(define LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45RenderC-45Terminal-n--4322-5085-u--peek (lambda (arg-0 arg-2) (ControlC-45MonadC-45ST-u--C-62C-62C-61_Monad_C-40STC-32C-36sC-41 (let ((eff-0 arg-2)) (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1)))) (lambda (_-0) (lambda (clam-0) (if (null? _-0) '() (let ((e-1 (car _-0))) (box e-1))))))))
(define LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45RenderC-45Terminal-n--4322-5088-u--go (lambda (arg-0 arg-2 arg-3 arg-4) (case (vector-ref arg-4 0) ((0) (lambda (eta-0) (vector 0 ))) ((1) (let ((e-2 (vector-ref arg-4 1))) (let ((e-3 (vector-ref arg-4 2))) (PreludeC-45Interfaces-C-62C-62 (csegen-3700) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45RenderC-45Terminal-n--4322-5087-u--writeOutput arg-0 arg-3 (DataC-45String-singleton e-2)) (lambda () (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45RenderC-45Terminal-n--4322-5088-u--go arg-0 arg-2 arg-3 (e-3))))))) ((2) (let ((e-6 (vector-ref arg-4 2))) (let ((e-7 (vector-ref arg-4 3))) (PreludeC-45Interfaces-C-62C-62 (csegen-3700) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45RenderC-45Terminal-n--4322-5087-u--writeOutput arg-0 arg-3 e-6) (lambda () (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45RenderC-45Terminal-n--4322-5088-u--go arg-0 arg-2 arg-3 (e-7))))))) ((3) (let ((e-9 (vector-ref arg-4 1))) (let ((e-10 (vector-ref arg-4 2))) (PreludeC-45Interfaces-C-62C-62 (csegen-3700) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45RenderC-45Terminal-n--4322-5087-u--writeOutput arg-0 arg-3 ((csegen-910) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-textSpaces e-9))) (lambda () (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45RenderC-45Terminal-n--4322-5088-u--go arg-0 arg-2 arg-3 e-10)))))) ((4) (let ((e-12 (vector-ref arg-4 1))) (let ((e-13 (vector-ref arg-4 2))) (ControlC-45MonadC-45ST-u--C-62C-62C-61_Monad_C-40STC-32C-36sC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45RenderC-45Terminal-n--4322-5085-u--peek arg-0 arg-2) (lambda (_-0) (if (null? _-0) (let ((eff-0 arg-2)) (let ((eff-1 eff-0)) (lambda (eta-0) (set-box! eff-1 '())))) (let ((e-1 (unbox _-0))) (let ((u--newStyle (((csegen-3676) e-12) e-1))) (PreludeC-45Interfaces-C-62C-62 (csegen-3700) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45RenderC-45Terminal-n--4322-5084-u--push arg-0 arg-2 u--newStyle) (lambda () (PreludeC-45Interfaces-C-62C-62 (csegen-3700) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45RenderC-45Terminal-n--4322-5087-u--writeOutput arg-0 arg-3 (LibrariesC-45ControlC-45ANSIC-45SGR-escapeSGR u--newStyle)) (lambda () (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45RenderC-45Terminal-n--4322-5088-u--go arg-0 arg-2 arg-3 e-13))))))))))))) (else (let ((e-15 (vector-ref arg-4 1))) (ControlC-45MonadC-45ST-u--C-62C-62C-61_Monad_C-40STC-32C-36sC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45RenderC-45Terminal-n--4322-5086-u--pop arg-0 arg-2) (lambda (u--_) (ControlC-45MonadC-45ST-u--C-62C-62C-61_Monad_C-40STC-32C-36sC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45RenderC-45Terminal-n--4322-5085-u--peek arg-0 arg-2) (lambda (_-0) (if (null? _-0) (let ((eff-0 arg-2)) (let ((eff-1 eff-0)) (lambda (eta-0) (set-box! eff-1 '())))) (let ((e-1 (unbox _-0))) (PreludeC-45Interfaces-C-62C-62 (csegen-3700) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45RenderC-45Terminal-n--4322-5087-u--writeOutput arg-0 arg-3 (LibrariesC-45ControlC-45ANSIC-45SGR-escapeSGR (cons (vector 0 ) e-1))) (lambda () (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45RenderC-45Terminal-n--4322-5088-u--go arg-0 arg-2 arg-3 e-15))))))))))))))
(define LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45RenderC-45Terminal-underline(blodwen-lazy (lambda () (PreludeC-45Types-u--pure_Applicative_List (vector 3 4)))))
(define LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45RenderC-45Terminal-renderString (lambda (arg-0) (DataC-45Maybe-fromMaybe (lambda () "<internal pretty printing error>") (ControlC-45MonadC-45ST-runST (lambda (s-5440) (ControlC-45MonadC-45ST-u--C-62C-62C-61_Monad_C-40STC-32C-36sC-41 (ControlC-45MonadC-45ST-newSTRef (cons '() '())) (lambda (u--styleStackRef) (ControlC-45MonadC-45ST-u--C-62C-62C-61_Monad_C-40STC-32C-36sC-41 (ControlC-45MonadC-45ST-newSTRef "") (lambda (u--outputRef) (PreludeC-45Interfaces-C-62C-62 (csegen-3700) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45RenderC-45Terminal-n--4322-5088-u--go arg-0 u--styleStackRef u--outputRef arg-0) (lambda () (ControlC-45MonadC-45ST-u--C-62C-62C-61_Monad_C-40STC-32C-36sC-41 (let ((eff-0 u--styleStackRef)) (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1)))) (lambda (lcase-0) (if (null? lcase-0) (lambda (eta-0) '()) (let ((e-3 (cdr lcase-0))) (if (null? e-3) (PreludeC-45Interfaces-C-60C-36C-62 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (ControlC-45MonadC-45ST-u--map_Functor_C-40STC-32C-36sC-41 eta-2 eta-3))))) (lambda (eta-0) (box eta-0)) (let ((eff-0 u--outputRef)) (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))))) (lambda (eta-0) '())))))))))))))))))
(define LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45RenderC-45Terminal-italic(blodwen-lazy (lambda () (PreludeC-45Types-u--pure_Applicative_List (vector 3 3)))))
(define LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45RenderC-45Terminal-color (lambda (arg-0) (PreludeC-45Types-u--pure_Applicative_List (vector 1 arg-0))))
(define LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45RenderC-45Terminal-bold(blodwen-lazy (lambda () (PreludeC-45Types-u--pure_Applicative_List (vector 3 0)))))
(define ControlC-45MonadC-45ST-u--map_Functor_C-40STC-32C-36sC-41 (lambda (arg-3 arg-4) (let ((eff-0 arg-4)) (PreludeC-45Interfaces-C-60C-36C-62 (csegen-49) arg-3 eff-0))))
(define ControlC-45MonadC-45ST-u--join_Monad_C-40STC-32C-36sC-41 (lambda (arg-2) (ControlC-45MonadC-45ST-u--C-62C-62C-61_Monad_C-40STC-32C-36sC-41 arg-2 (lambda (eta-0) eta-0))))
(define ControlC-45MonadC-45ST-u--C-62C-62C-61_Monad_C-40STC-32C-36sC-41 (lambda (arg-3 arg-4) (let ((eff-0 arg-3)) (PrimIO-io_bind eff-0 (lambda (u--pC-39) (let ((eff-1 (arg-4 u--pC-39))) eff-1))))))
(define ControlC-45MonadC-45ST-u--C-60C-42C-62_Applicative_C-40STC-32C-36sC-41 (lambda (arg-3 arg-4) (let ((eff-0 arg-3)) (let ((eff-1 arg-4)) (PrimIO-io_bind eff-0 (lambda (u--fC-39) (PrimIO-io_bind eff-1 (lambda (u--aC-39) (lambda (eta-0) (u--fC-39 u--aC-39))))))))))
(define ControlC-45MonadC-45ST-runST (lambda (arg-1) (let ((eff-0 (arg-1 'erased))) (PrimIO-unsafePerformIO eff-0))))
(define ControlC-45MonadC-45ST-newSTRef (lambda (arg-2) (PrimIO-io_bind (DataC-45IORef-newIORef (csegen-40) arg-2) (lambda (u--r) (lambda (eta-0) u--r)))))
(define ControlC-45MonadC-45ST-modifySTRef (lambda (arg-2 arg-3) (ControlC-45MonadC-45ST-u--C-62C-62C-61_Monad_C-40STC-32C-36sC-41 (let ((eff-0 arg-2)) (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1)))) (lambda (u--val) (let ((eff-0 arg-2)) (let ((eff-1 eff-0)) (lambda (eta-0) (set-box! eff-1 (arg-3 u--val)))))))))
(define LibrariesC-45ControlC-45ANSIC-45SGR-n--3256-2726-u--toCode (lambda (arg-0 arg-1) (case (vector-ref arg-1 0) ((0) "0") ((1) (let ((e-0 (vector-ref arg-1 1))) (string-append "38;5;" (LibrariesC-45ControlC-45ANSIC-45SGR-u--cast_Cast_Color_String e-0)))) ((2) (let ((e-1 (vector-ref arg-1 1))) (string-append "48;5;" (LibrariesC-45ControlC-45ANSIC-45SGR-u--cast_Cast_Color_String e-1)))) ((3) (let ((e-2 (vector-ref arg-1 1))) (LibrariesC-45ControlC-45ANSIC-45SGR-u--cast_Cast_Style_String e-2))) (else (let ((e-3 (vector-ref arg-1 1))) (LibrariesC-45ControlC-45ANSIC-45SGR-u--cast_Cast_Blink_String e-3))))))
(define LibrariesC-45ControlC-45ANSIC-45SGR-u--cast_Cast_Style_String (lambda (arg-0) (cond ((equal? arg-0 0) "1") ((equal? arg-0 1) "2") ((equal? arg-0 2) "22") ((equal? arg-0 3) "3") ((equal? arg-0 4) "4") ((equal? arg-0 5) "21") ((equal? arg-0 6) "24") ((equal? arg-0 7) "9") (else "29"))))
(define LibrariesC-45ControlC-45ANSIC-45SGR-u--cast_Cast_Color_String (lambda (arg-0) (cond ((equal? arg-0 0) "0") ((equal? arg-0 1) "1") ((equal? arg-0 2) "2") ((equal? arg-0 3) "3") ((equal? arg-0 4) "4") ((equal? arg-0 5) "5") ((equal? arg-0 6) "6") ((equal? arg-0 7) "7") ((equal? arg-0 8) "8") ((equal? arg-0 9) "9") ((equal? arg-0 10) "10") ((equal? arg-0 11) "11") ((equal? arg-0 12) "12") ((equal? arg-0 13) "13") ((equal? arg-0 14) "14") (else "15"))))
(define LibrariesC-45ControlC-45ANSIC-45SGR-u--cast_Cast_Blink_String (lambda (arg-0) (cond ((equal? arg-0 0) "5") ((equal? arg-0 1) "6") (else "25"))))
(define LibrariesC-45ControlC-45ANSIC-45SGR-escapeSGR (lambda (arg-0) (string-append "\x1b;[" (string-append (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (DataC-45List-intersperse ";" (PreludeC-45Interfaces-C-60C-36C-62 (csegen-24) (lambda (eta-0) (LibrariesC-45ControlC-45ANSIC-45SGR-n--3256-2726-u--toCode arg-0 eta-0)) arg-0))) "m"))))
(define CoreC-45CaseC-45CaseBuilder-with--groupConsC-44addConstG-11850 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17) (case (vector-ref arg-11 0) ((2) (let ((e-7 (vector-ref arg-11 1))) (let ((e-8 (vector-ref arg-11 2))) (if (null? e-8) (let ((eff-0 (CoreC-45CaseC-45CaseBuilder-n--16067-10877-u--addConstG arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-10 arg-9 arg-12 arg-17 arg-16 arg-15 arg-14))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (cons arg-11 e-5))))) eff-1))))))) (let ((e-10 (car e-8))) (let ((e-11 (cdr e-8))) (let ((e-14 (vector-ref e-10 0))) (let ((e-15 (vector-ref e-10 1))) (let ((e-16 (vector-ref e-10 2))) (let ((e-17 (vector-ref e-10 3))) (case (vector-ref arg-13 0) ((2) (let ((u--newclause (vector e-14 arg-17 arg-16 arg-15))) (lambda (eta-0) (vector 1 (cons (vector 2 e-7 (cons (vector e-14 e-15 e-16 e-17) (PreludeC-45TypesC-45List-tailRecAppend e-11 (cons u--newclause '())))) arg-14)))))(else (let ((eff-0 (CoreC-45CaseC-45CaseBuilder-n--16067-10877-u--addConstG arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-10 arg-9 arg-12 arg-17 arg-16 arg-15 arg-14))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (cons arg-11 e-5))))) eff-1)))))))))))))))))))(else (let ((eff-0 (CoreC-45CaseC-45CaseBuilder-n--16067-10877-u--addConstG arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-10 arg-9 arg-12 arg-17 arg-16 arg-15 arg-14))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (cons arg-11 e-5))))) eff-1)))))))))))
(define CoreC-45CaseC-45CaseBuilder-with--groupConsC-44addDelayG-11649 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18) (case (vector-ref arg-11 0) ((1) (let ((e-7 (vector-ref arg-11 1))) (let ((e-8 (vector-ref arg-11 2))) (let ((e-9 (vector-ref arg-11 3))) (if (null? e-9) (let ((eff-0 (CoreC-45CaseC-45CaseBuilder-n--16067-10876-u--addDelayG arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-10 arg-9 arg-18 arg-17 arg-16 arg-15 arg-14 arg-13))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (cons arg-11 e-5))))) eff-1))))))) (let ((e-11 (car e-9))) (let ((e-12 (cdr e-9))) (let ((e-15 (vector-ref e-11 0))) (let ((e-16 (vector-ref e-11 1))) (let ((e-17 (vector-ref e-11 2))) (let ((e-18 (vector-ref e-11 3))) (case (vector-ref arg-12 0) ((1) (let ((u--l (CoreC-45TTC-45SizeOf-mkSizeOf (cons e-7 (cons e-8 '()))))) (let ((u--newps (CoreC-45CaseC-45CaseBuilder-newPats (cons arg-18 (cons arg-17 '())) 2 e-16))) (let ((u--patsC-39 (CoreC-45CaseC-45CaseBuilder-updatePatNames (CoreC-45CaseC-45CaseBuilder-updateNames (cons (cons e-7 arg-18) (cons (cons e-8 arg-17) '()))) (CoreC-45CaseC-45CaseBuilder-weakenNs u--l arg-16)))) (let ((u--newclause (vector e-15 (CoreC-45CaseC-45CaseBuilder-C-43C-43 u--newps u--patsC-39) arg-15 (CoreC-45TT-u--weakenNs_Weaken_Term u--l arg-14)))) (lambda (eta-0) (vector 1 (cons (vector 1 e-7 e-8 (cons (vector e-15 e-16 e-17 e-18) (PreludeC-45TypesC-45List-tailRecAppend e-12 (cons u--newclause '())))) arg-13))))))))(else (let ((eff-0 (CoreC-45CaseC-45CaseBuilder-n--16067-10876-u--addDelayG arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-10 arg-9 arg-18 arg-17 arg-16 arg-15 arg-14 arg-13))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (cons arg-11 e-5))))) eff-1))))))))))))))))))))(else (let ((eff-0 (CoreC-45CaseC-45CaseBuilder-n--16067-10876-u--addDelayG arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-10 arg-9 arg-18 arg-17 arg-16 arg-15 arg-14 arg-13))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (cons arg-11 e-5))))) eff-1)))))))))))
(define CoreC-45CaseC-45CaseBuilder-with--groupConsC-44addConG-11275 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19) (case (vector-ref arg-11 0) ((0) (let ((e-7 (vector-ref arg-11 1))) (let ((e-8 (vector-ref arg-11 2))) (let ((e-9 (vector-ref arg-11 3))) (let ((e-10 (vector-ref arg-11 4))) (if (null? e-10) (let ((eff-0 (CoreC-45CaseC-45CaseBuilder-n--16067-10875-u--addConG arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-10 arg-9 arg-14 arg-13 arg-12 arg-19 arg-18 arg-17 arg-16))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (cons arg-11 e-5))))) eff-1))))))) (let ((e-12 (car e-10))) (let ((e-13 (cdr e-10))) (let ((e-16 (vector-ref e-12 0))) (let ((e-17 (vector-ref e-12 1))) (let ((e-18 (vector-ref e-12 2))) (let ((e-19 (vector-ref e-12 3))) (case (vector-ref arg-15 0) ((0) (let ((e-31 (vector-ref arg-15 2))) (let ((u--newps (CoreC-45CaseC-45CaseBuilder-newPats arg-12 e-31 e-17))) (let ((u--l (CoreC-45TTC-45SizeOf-mkSizeOf e-7))) (let ((u--patsC-39 (CoreC-45CaseC-45CaseBuilder-updatePatNames (CoreC-45CaseC-45CaseBuilder-updateNames (DataC-45List-u--zip_Zippable_List e-7 arg-12)) (CoreC-45CaseC-45CaseBuilder-weakenNs u--l arg-19)))) (let ((u--newclause (vector e-16 (CoreC-45CaseC-45CaseBuilder-C-43C-43 u--newps u--patsC-39) arg-18 (CoreC-45TT-u--weakenNs_Weaken_Term u--l arg-17)))) (lambda (eta-0) (vector 1 (cons (vector 0 e-7 e-8 e-9 (cons (vector e-16 e-17 e-18 e-19) (PreludeC-45TypesC-45List-tailRecAppend e-13 (cons u--newclause '())))) arg-16)))))))))(else (let ((eff-0 (CoreC-45CaseC-45CaseBuilder-n--16067-10875-u--addConG arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-10 arg-9 arg-14 arg-13 arg-12 arg-19 arg-18 arg-17 arg-16))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (cons arg-11 e-5))))) eff-1)))))))))))))))))))))(else (let ((eff-0 (CoreC-45CaseC-45CaseBuilder-n--16067-10875-u--addConG arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-10 arg-9 arg-14 arg-13 arg-12 arg-19 arg-18 arg-17 arg-16))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (cons arg-11 e-5))))) eff-1)))))))))))
(define CoreC-45CaseC-45CaseBuilder-with--partition-8935 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (case (vector-ref arg-5 0) ((0) (let ((e-3 (vector-ref arg-5 1))) (let ((e-5 (vector-ref arg-5 3))) (let ((e-6 (vector-ref arg-5 4))) (let ((e-7 (vector-ref arg-5 5))) (if (null? e-3) (let ((sc4 (CoreC-45CaseC-45CaseBuilder-clauseType arg-4 arg-6))) (cond ((equal? sc4 0) (vector 0 (cons arg-0 arg-1) arg-2 '() (cons arg-6 '()) (vector 2 ))) (else (vector 1 (cons arg-0 arg-1) arg-2 '() (cons arg-6 '()) (vector 2 ))))) (let ((sc2 (CoreC-45CaseC-45CaseBuilder-clauseType arg-4 arg-6))) (cond ((equal? sc2 0) (vector 0 (cons arg-0 arg-1) arg-2 e-5 (cons arg-6 e-6) e-7)) (else (vector 1 (cons arg-0 arg-1) arg-2 (PreludeC-45TypesC-45List-tailRecAppend e-6 e-5) (cons arg-6 '()) (vector 0 (cons arg-0 arg-1) arg-2 e-5 e-6 e-7))))))))))) ((1) (let ((e-8 (vector-ref arg-5 1))) (let ((e-10 (vector-ref arg-5 3))) (let ((e-11 (vector-ref arg-5 4))) (let ((e-12 (vector-ref arg-5 5))) (if (null? e-8) (let ((sc4 (CoreC-45CaseC-45CaseBuilder-clauseType arg-4 arg-6))) (cond ((equal? sc4 0) (vector 0 (cons arg-0 arg-1) arg-2 '() (cons arg-6 '()) (vector 2 ))) (else (vector 1 (cons arg-0 arg-1) arg-2 '() (cons arg-6 '()) (vector 2 ))))) (let ((sc2 (CoreC-45CaseC-45CaseBuilder-clauseType arg-4 arg-6))) (cond ((equal? sc2 0) (vector 0 (cons arg-0 arg-1) arg-2 (PreludeC-45TypesC-45List-tailRecAppend e-11 e-10) (cons arg-6 '()) (vector 1 (cons arg-0 arg-1) arg-2 e-10 e-11 e-12))) (else (vector 1 (cons arg-0 arg-1) arg-2 e-10 (cons arg-6 e-11) e-12))))))))))(else (let ((sc2 (CoreC-45CaseC-45CaseBuilder-clauseType arg-4 arg-6))) (cond ((equal? sc2 0) (vector 0 (cons arg-0 arg-1) arg-2 '() (cons arg-6 '()) (vector 2 ))) (else (vector 1 (cons arg-0 arg-1) arg-2 '() (cons arg-6 '()) (vector 2 )))))))))
(define CoreC-45CaseC-45CaseBuilder-case--identifyUnreachableDefaults-18203 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (let ((e-2 (car arg-7))) (let ((e-3 (cdr arg-7))) (let ((u--extraClauseIdxsC-39 (let ((sc1 (or (and (= (PreludeC-45TypesC-45List-lengthTR arg-1) (+ (PreludeC-45TypesC-45List-lengthTR e-2) 1)) 1) 0))) (cond ((equal? sc1 1) e-3) (else (csegen-3706)))))) (let ((eff-0 (let ((sc1 (LibrariesC-45DataC-45SortedSet-u--null_Foldable_SortedSet u--extraClauseIdxsC-39))) (cond ((equal? sc1 1) (lambda (eta-0) (vector 1 (vector 0 )))) (else (CoreC-45ContextC-45Log-log arg-5 "compile.casetree.clauses" 25 (lambda () (string-append "Marking the following clause indices as unreachable under the current branch of the tree: " (LibrariesC-45DataC-45SortedSet-u--show_Show_C-40SortedSetC-32C-36kC-41 (csegen-583) u--extraClauseIdxsC-39))))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-1 (lambda (eta-0) (vector 1 u--extraClauseIdxsC-39)))) eff-1)))))))))))
(define CoreC-45CaseC-45CaseBuilder-case--identifyUnreachableDefaultsC-44dropRep-18046 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13) (let ((e-2 (car arg-13))) (let ((e-3 (cdr arg-13))) (let ((u--extraClauses (PreludeC-45Types-listBind e-3 (lambda (eta-0) (CoreC-45CaseC-45CaseBuilder-findReachedAlts eta-0))))) (let ((sc1 (CoreC-45CaseC-45CaseBuilder-n--23860-17985-u--dropRep arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-2 (LibrariesC-45DataC-45SortedSet-fromList (csegen-298) u--extraClauses)))) (let ((e-5 (car sc1))) (let ((e-4 (cdr sc1))) (cons (cons arg-10 e-5) (LibrariesC-45DataC-45SortedSet-union arg-12 e-4))))))))))
(define CoreC-45CaseC-45CaseBuilder-case--patCompile-17256 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8) (let ((e-2 (car arg-8))) (let ((e-3 (cdr arg-8))) (let ((eff-0 (CoreC-45CaseC-45CaseBuilder-n--22911-17129-u--mkPatClausesFrom arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 0 e-2 (cons arg-0 arg-1)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45ContextC-45Log-unverifiedLogC arg-7 "compile.casetree" 5 (let ((eff-1 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45Context-toFullNames arg-7 (cons (lambda (arg-6988) (lambda (arg-6991) (CoreC-45CaseC-45CaseBuilder-u--full_HasNames_C-40C-40PatClauseC-32C-36varsC-41C-32C-36todoC-41 arg-6988 arg-6991))) (lambda (arg-6998) (lambda (arg-7001) (CoreC-45CaseC-45CaseBuilder-u--resolved_HasNames_C-40C-40PatClauseC-32C-36varsC-41C-32C-36todoC-41 arg-6998 arg-7001)))) eta-0)) e-5 '()))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (string-append "Pattern clauses:\xa;" (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--show_Show_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-indent 2 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vcat (PreludeC-45Interfaces-C-60C-36C-62 (csegen-24) (lambda (eta-1) (CoreC-45CaseC-45CaseBuilder-u--pretty_Pretty_IdrisSyntax_C-40C-40PatClauseC-32C-36varsC-41C-32C-36todoC-41 e-2 e-2 eta-1)) e-6))))))))) eff-2)))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45ContextC-45Log-log arg-7 "compile.casetree" 10 (lambda () (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (cons (lambda (u--x) (CoreC-45CaseC-45CaseBuilder-u--show_Show_C-40C-40PatClauseC-32C-36varsC-41C-32C-36todoC-41 e-2 e-2 u--x)) (lambda (u--d) (lambda (u--x) (CoreC-45CaseC-45CaseBuilder-u--showPrec_Show_C-40C-40PatClauseC-32C-36varsC-41C-32C-36todoC-41 e-2 e-2 u--d u--x)))) e-5))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-3 (let ((eff-3 (CoreC-45Core-newRef (vector "Core.Case.CaseBuilder.PName" ) 0))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-4 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45CaseC-45CaseBuilder-match e-2 e-2 e-8 arg-7 arg-6 arg-5 arg-4 e-5 (((csegen-77) (lambda (eta-0) (CoreC-45CaseC-45CaseTree-u--weakenNs_Weaken_CaseTree e-3 eta-0))) arg-2)))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-4 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-2 e-9))))) eff-5))))))))) eff-4))))))))) eff-3)))))))) eff-2)))))))) eff-1)))))))))))
(define CoreC-45CaseC-45CaseBuilder-case--match-15366 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12) (let ((e-2 (car arg-12))) (let ((e-3 (cdr arg-12))) (let ((eff-0 e-3)) (let ((u--prioritizedClauses (PreludeC-45Interfaces-C-60C-36C-62 (csegen-24) (lambda (eta-0) (CoreC-45CaseC-45CaseBuilder-shuffleVars eff-0 eta-0)) arg-4))) (let ((eff-1 (CoreC-45CaseC-45CaseBuilder-pickNextViable e-2 arg-0 (CoreC-45TT-dropVar (cons arg-2 arg-1) eff-0) arg-9 arg-8 arg-7 arg-5 arg-6 (PreludeC-45Interfaces-C-60C-36C-62 (csegen-24) (lambda (eta-0) (CoreC-45CaseC-45CaseBuilder-getNPs eta-0)) u--prioritizedClauses)))) (PrimIO-io_bind eff-1 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-2 (let ((e-6 (car e-5))) (let ((e-4 (cdr e-5))) (let ((eff-2 e-4)) (let ((eff-3 (CoreC-45ContextC-45Log-log arg-8 ((csegen-0) "compile.casetree.pick") 25 (lambda () (string-append "Picked " (string-append (CoreC-45Name-u--show_Show_Name e-6) ((csegen-0) " as the next split"))))))) (PrimIO-io_bind eff-3 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((eff-4 (let ((u--clausesC-39 (PreludeC-45Interfaces-C-60C-36C-62 (csegen-24) (lambda (eta-0) (CoreC-45CaseC-45CaseBuilder-shuffleVars eff-2 eta-0)) u--prioritizedClauses))) (let ((eff-4 (CoreC-45ContextC-45Log-log arg-8 (csegen-3712) 25 (lambda () (DataC-45String-fastUnlines (cons ((csegen-0) "Using clauses:") (((csegen-25) (lambda (eta-0) (string-append "  " (CoreC-45CaseC-45CaseBuilder-u--show_Show_C-40C-40PatClauseC-32C-36varsC-41C-32C-36todoC-41 arg-0 (cons e-6 (CoreC-45TT-dropVar (cons e-2 (CoreC-45TT-dropVar (cons arg-2 arg-1) eff-0)) eff-2)) eta-0)))) u--clausesC-39))))))) (PrimIO-io_bind eff-4 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((eff-5 (let ((u--ps (CoreC-45CaseC-45CaseBuilder-partition e-6 (CoreC-45TT-dropVar (cons e-2 (CoreC-45TT-dropVar (cons arg-2 arg-1) eff-0)) eff-2) arg-0 arg-5 u--clausesC-39))) (let ((eff-5 (CoreC-45ContextC-45Log-log arg-8 ((csegen-0) "compile.casetree.partition") 25 (lambda () (string-append ((csegen-0) "Got Partition:\xa;") (CoreC-45CaseC-45CaseBuilder-u--show_Show_C-40PartitionsC-32C-36psC-41 u--clausesC-39 u--ps)))))) (PrimIO-io_bind eff-5 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-9 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((eff-6 (let ((eff-6 (CoreC-45CaseC-45CaseBuilder-mixture e-6 arg-0 (CoreC-45TT-dropVar (cons e-2 (CoreC-45TT-dropVar (cons arg-2 arg-1) eff-0)) eff-2) arg-9 arg-8 u--clausesC-39 arg-7 arg-6 arg-5 u--ps arg-3))) (PrimIO-io_bind eff-6 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-10 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-4 1))) (let ((eff-7 (if (null? e-10) (let ((eff-7 (CoreC-45ContextC-45Log-log arg-8 (csegen-3716) 25 (lambda () ((csegen-0) "match: No clauses"))))) (PrimIO-io_bind eff-7 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-11 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((eff-8 (lambda (eta-0) (vector 1 (vector 2 ((csegen-0) "No clauses")))))) eff-8)))))) (let ((e-11 (unbox e-10))) (let ((eff-7 (CoreC-45ContextC-45Log-log arg-8 (csegen-3716) 25 (lambda () (string-append ((csegen-0) "match: new case tree ") (CoreC-45CaseC-45CaseTree-u--show_Show_C-40CaseTreeC-32C-36varsC-41 arg-0 e-11)))))) (PrimIO-io_bind eff-7 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-12 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-12)))) (else (let ((eff-8 (lambda (eta-0) (vector 1 e-11)))) eff-8)))))))))) eff-7))))))))) eff-6))))))))) eff-5))))))))) eff-4))))))))))) eff-2)))))))))))))
(define CoreC-45CaseC-45CaseBuilder-case--weakenNs-7451 (lambda (arg-3 arg-4 arg-5) (let ((eff-0 arg-4)) (cond ((equal? eff-0 0) (if (null? arg-5) arg-3 (let ((e-3 (unbox arg-5))) (CoreC-45CaseC-45CaseBuilder-u--weaken_Weaken_C-40PatInfoC-32C-36pC-41 (CoreC-45CaseC-45CaseBuilder-u--weakenNs_Weaken_C-40PatInfoC-32C-36pC-41 e-3 arg-3)))))(else (let ((e-3 (unbox arg-5))) (CoreC-45CaseC-45CaseBuilder-u--weaken_Weaken_C-40PatInfoC-32C-36pC-41 (CoreC-45CaseC-45CaseBuilder-u--weakenNs_Weaken_C-40PatInfoC-32C-36pC-41 e-3 arg-3))))))))
(define CoreC-45CaseC-45CaseBuilder-case--substInPatInfo-6227 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9) (case (vector-ref arg-9 0) ((0) (let ((e-1 (vector-ref arg-9 1))) (let ((e-2 (vector-ref arg-9 2))) (let ((eff-0 (let ((eff-0 arg-8)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-nf arg-8 arg-1 e-5 (CoreC-45Env-mkEnv arg-7 arg-1) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-3 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (clam-0) (case (vector-ref e-6 0) ((1) (vector 1 (cons (let ((e-11 (vector-ref arg-4 0))) (let ((e-10 (vector-ref arg-4 1))) (let ((e-9 (vector-ref arg-4 2))) (vector e-11 e-10 e-9 (vector 0 e-1 (CoreC-45TT-substName arg-6 arg-5 e-2)))))) arg-2)))(else (vector 1 (cons arg-4 arg-2))))))) eff-2))))))))) eff-1)))))))))) ((1) (let ((e-4 (vector-ref arg-9 1))) (let ((eff-0 (let ((eff-0 arg-8)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (lambda (eta-0) (CoreC-45Context-clearDefs e-5 eta-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((u--env (CoreC-45Env-mkEnv arg-7 arg-1))) (let ((eff-2 (CoreC-45NormaliseC-45Eval-nf arg-8 arg-1 e-5 u--env (CoreC-45TT-substName arg-6 arg-5 e-4)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-7 0) ((0) (let ((e-1 (vector-ref e-7 1))) (let ((e-3 (vector-ref e-7 3))) (let ((e-8 (vector-ref e-7 4))) (case (vector-ref e-3 0) ((2) (let ((e-11 (vector-ref e-3 2))) (let ((e-9 (vector-ref e-3 4))) (let ((eff-3 (CoreC-45NormaliseC-45Quote-u--quote_Quote_Closure arg-8 arg-1 e-6 u--env e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 ((e-8 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) u--env (vector 1 e-1 (vector 0 ) arg-3))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (let ((eff-5 (CoreC-45CaseC-45CaseBuilder-updatePats arg-1 arg-0 arg-8 u--env e-14 arg-2))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-15 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-15)))) (else (let ((e-15 (vector-ref lcase-5 1))) (let ((eff-6 (lambda (eta-0) (vector 1 (cons (let ((e-19 (vector-ref arg-4 0))) (let ((e-18 (vector-ref arg-4 1))) (let ((e-17 (vector-ref arg-4 2))) (vector e-19 e-18 e-17 (vector 0 e-11 e-13))))) e-15))))) eff-6))))))))) eff-5))))))))) eff-4))))))))))(else (lambda (eta-0) (vector 1 (cons arg-4 arg-2)))))))))(else (lambda (eta-0) (vector 1 (cons arg-4 arg-2))))))) eff-3)))))))))) eff-2))))))))) eff-1))))))))) (else (lambda (eta-0) (vector 1 (cons arg-4 arg-2)))))))
(define CoreC-45CaseC-45CaseBuilder-n--20903-16107-u--updateVar (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10) (let ((e-2 (vector-ref arg-10 0))) (let ((e-3 (vector-ref arg-10 1))) (let ((e-4 (vector-ref arg-10 2))) (let ((e-5 (vector-ref arg-10 3))) (let ((e-9 (car e-3))) (let ((e-10 (cdr e-3))) (let ((e-13 (vector-ref e-9 0))) (let ((e-14 (vector-ref e-9 1))) (let ((e-15 (vector-ref e-9 2))) (let ((e-17 (vector-ref e-9 3))) (case (vector-ref e-15 0) ((6) (let ((e-18 (vector-ref e-15 1))) (let ((e-19 (vector-ref e-15 2))) (let ((eff-0 (CoreC-45CaseC-45CaseBuilder-substInPats arg-1 arg-0 arg-8 arg-7 arg-3 (vector 0 e-18 (box 0) e-13) e-10))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector (cons e-19 e-2) e-6 e-4 (CoreC-45TT-substName e-19 (vector 0 e-18 (box 0) e-13) e-5)))))) eff-1)))))))))) ((0) (let ((e-20 (vector-ref e-15 1))) (let ((e-21 (vector-ref e-15 2))) (let ((e-22 (vector-ref e-15 3))) (let ((eff-0 (CoreC-45CaseC-45CaseBuilder-substInPats arg-1 arg-0 arg-8 arg-7 arg-3 (CoreC-45CaseC-45CaseTree-mkTerm arg-1 e-22) e-10))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--rhsC-39 (CoreC-45TT-substName e-21 (vector 0 e-20 (box 1) e-13) e-5))) (CoreC-45CaseC-45CaseBuilder-n--20903-16107-u--updateVar arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 (vector e-2 (cons (vector e-13 e-14 e-22 e-17) e-6) e-4 u--rhsC-39))))) eff-1)))))))))))(else (let ((eff-0 (CoreC-45CaseC-45CaseBuilder-substInPats arg-1 arg-0 arg-8 arg-7 arg-3 (CoreC-45CaseC-45CaseTree-mkTerm arg-1 e-15) e-10))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector e-2 e-6 e-4 e-5))))) eff-1)))))))))))))))))))))
(define CoreC-45CaseC-45CaseBuilder-n--15831-10652-u--update (lambda (arg-3 arg-4 arg-5 arg-7) (case (vector-ref arg-7 0) ((0) (let ((e-0 (vector-ref arg-7 1))) (let ((e-1 (vector-ref arg-7 2))) (let ((e-2 (vector-ref arg-7 3))) (let ((sc1 (DataC-45List-lookup (csegen-1008) e-1 arg-5))) (if (null? sc1) (vector 0 e-0 e-1 (CoreC-45CaseC-45CaseBuilder-n--15831-10652-u--update arg-3 arg-4 arg-5 e-2)) (let ((e-3 (unbox sc1))) (vector 0 e-0 e-3 (CoreC-45CaseC-45CaseBuilder-n--15831-10652-u--update arg-3 arg-4 arg-5 e-2))))))))) ((1) (let ((e-3 (vector-ref arg-7 1))) (let ((e-4 (vector-ref arg-7 2))) (let ((e-5 (vector-ref arg-7 3))) (let ((e-6 (vector-ref arg-7 4))) (let ((e-7 (vector-ref arg-7 5))) (vector 1 e-3 e-4 e-5 e-6 (((csegen-25) (lambda (eta-0) (CoreC-45CaseC-45CaseBuilder-n--15831-10652-u--update arg-3 arg-4 arg-5 eta-0))) e-7)))))))) ((2) (let ((e-8 (vector-ref arg-7 1))) (let ((e-9 (vector-ref arg-7 2))) (let ((e-10 (vector-ref arg-7 3))) (let ((e-11 (vector-ref arg-7 4))) (vector 2 e-8 e-9 e-10 (((csegen-25) (lambda (eta-0) (CoreC-45CaseC-45CaseBuilder-n--15831-10652-u--update arg-3 arg-4 arg-5 eta-0))) e-11))))))) ((4) (let ((e-12 (vector-ref arg-7 1))) (let ((e-13 (vector-ref arg-7 2))) (let ((e-14 (vector-ref arg-7 3))) (let ((e-15 (vector-ref arg-7 4))) (vector 4 e-12 e-13 (CoreC-45CaseC-45CaseBuilder-n--15831-10652-u--update arg-3 arg-4 arg-5 e-14) (CoreC-45CaseC-45CaseBuilder-n--15831-10652-u--update arg-3 arg-4 arg-5 e-15))))))) ((5) (let ((e-16 (vector-ref arg-7 1))) (let ((e-17 (vector-ref arg-7 2))) (let ((e-18 (vector-ref arg-7 3))) (let ((e-19 (vector-ref arg-7 4))) (vector 5 e-16 e-17 (CoreC-45CaseC-45CaseBuilder-n--15831-10652-u--update arg-3 arg-4 arg-5 e-18) (CoreC-45CaseC-45CaseBuilder-n--15831-10652-u--update arg-3 arg-4 arg-5 e-19))))))) ((6) (let ((e-20 (vector-ref arg-7 1))) (let ((e-21 (vector-ref arg-7 2))) (let ((sc1 (DataC-45List-lookup (csegen-1008) e-21 arg-5))) (if (null? sc1) (vector 6 e-20 e-21) (let ((e-2 (unbox sc1))) (vector 6 e-20 e-2)))))))(else arg-7))))
(define CoreC-45CaseC-45CaseBuilder-n--15799-10600-u--update (lambda (arg-0) (if (null? arg-0) '() (let ((e-2 (car arg-0))) (let ((e-3 (cdr arg-0))) (case (vector-ref e-3 0) ((6) (let ((e-5 (vector-ref e-3 2))) (box (cons e-5 e-2))))(else '())))))))
(define CoreC-45CaseC-45CaseBuilder-n--24405-18559-u--toClosed (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (let ((e-2 (car arg-7))) (let ((e-3 (cdr arg-7))) (let ((e-4 (vector-ref e-3 0))) (let ((e-5 (vector-ref e-3 1))) (let ((e-6 (vector-ref e-3 2))) (let ((e-7 (vector-ref e-3 3))) (cons (CoreC-45CaseC-45CaseBuilder-n--24405-18558-u--close arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-4 e-5 e-2 e-6) (CoreC-45CaseC-45CaseBuilder-n--24405-18558-u--close arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-4 e-5 e-2 e-7))))))))))
(define CoreC-45CaseC-45CaseBuilder-n--13402-8527-u--splitCon (lambda (arg-3 arg-4 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14) (let ((sc0 (or (and (= arg-13 (PreludeC-45TypesC-45List-lengthTR arg-14)) 1) 0))) (cond ((equal? sc0 1) 0) (else 1)))))
(define CoreC-45CaseC-45CaseBuilder-n--11775-7049-u--showAll (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (if (null? arg-4) "" (let ((e-2 (car arg-4))) (let ((e-3 (cdr arg-4))) (if (null? e-3) (if (null? arg-5) (let ((e-8 (car arg-5))) (let ((e-9 (cdr arg-5))) (string-append (CoreC-45Name-u--show_Show_Name e-2) (string-append " " (string-append (CoreC-45CaseC-45CaseTree-u--show_Show_Pat (let ((e-4 (vector-ref e-8 2))) e-4)) (string-append " [" (string-append (CoreC-45CaseC-45CaseBuilder-u--show_Show_C-40ArgTypeC-32C-36nsC-41 arg-3 (let ((e-6 (vector-ref e-8 3))) e-6)) (string-append "]" (string-append ", " (CoreC-45CaseC-45CaseBuilder-n--11775-7049-u--showAll arg-0 arg-1 arg-2 arg-3 e-3 e-9)))))))))) (let ((e-14 (car arg-5))) (let ((e-15 (cdr arg-5))) (if (null? e-15) (string-append (CoreC-45Name-u--show_Show_Name e-2) (string-append " " (string-append (CoreC-45CaseC-45CaseTree-u--show_Show_Pat (let ((e-4 (vector-ref e-14 2))) e-4)) (string-append " [" (string-append (CoreC-45CaseC-45CaseBuilder-u--show_Show_C-40ArgTypeC-32C-36nsC-41 arg-3 (let ((e-6 (vector-ref e-14 3))) e-6)) "]"))))) (let ((e-8 (car arg-5))) (let ((e-9 (cdr arg-5))) (string-append (CoreC-45Name-u--show_Show_Name e-2) (string-append " " (string-append (CoreC-45CaseC-45CaseTree-u--show_Show_Pat (let ((e-4 (vector-ref e-8 2))) e-4)) (string-append " [" (string-append (CoreC-45CaseC-45CaseBuilder-u--show_Show_C-40ArgTypeC-32C-36nsC-41 arg-3 (let ((e-6 (vector-ref e-8 3))) e-6)) (string-append "]" (string-append ", " (CoreC-45CaseC-45CaseBuilder-n--11775-7049-u--showAll arg-0 arg-1 arg-2 arg-3 e-3 e-9)))))))))))))) (let ((e-8 (car arg-5))) (let ((e-9 (cdr arg-5))) (string-append (CoreC-45Name-u--show_Show_Name e-2) (string-append " " (string-append (CoreC-45CaseC-45CaseTree-u--show_Show_Pat (let ((e-4 (vector-ref e-8 2))) e-4)) (string-append " [" (string-append (CoreC-45CaseC-45CaseBuilder-u--show_Show_C-40ArgTypeC-32C-36nsC-41 arg-3 (let ((e-6 (vector-ref e-8 3))) e-6)) (string-append "]" (string-append ", " (CoreC-45CaseC-45CaseBuilder-n--11775-7049-u--showAll arg-0 arg-1 arg-2 arg-3 e-3 e-9))))))))))))))))
(define CoreC-45CaseC-45CaseBuilder-n--18689-13230-u--scores (lambda (arg-2 arg-3 arg-4 arg-5 arg-8) (if (null? arg-8) '() (let ((e-4 (car arg-8))) (let ((e-5 (cdr arg-8))) (let ((u--score (let ((sc1 (CoreC-45CaseC-45CaseBuilder-n--18689-13229-u--isBlank arg-2 arg-3 arg-4 arg-5 (let ((e-7 (vector-ref e-4 2))) e-7)))) (cond ((equal? sc1 1) 0) (else 1))))) (cons u--score (CoreC-45CaseC-45CaseBuilder-n--18689-13230-u--scores arg-2 arg-3 arg-4 arg-5 e-5))))))))
(define CoreC-45CaseC-45CaseBuilder-n--18408-12975-u--scoreFirstColumn (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-9) (if (null? arg-9) (cons '() (cons 0 '())) (let ((e-2 (car arg-9))) (let ((e-3 (cdr arg-9))) (let ((e-7 (car e-2))) (let ((e-8 (cdr e-2))) (let ((u--ps (cons arg-1 arg-2))) (let ((sc2 (CoreC-45CaseC-45CaseBuilder-n--18408-12975-u--scoreFirstColumn arg-1 arg-2 arg-3 arg-4 arg-5 u--ps e-3))) (let ((e-5 (car sc2))) (let ((e-4 (cdr sc2))) (let ((e-6 (car e-4))) (let ((e-9 (cdr e-4))) (cons (cons e-8 e-5) (cons (+ e-6 1) (cons (arg-5 (let ((e-11 (vector-ref e-7 2))) e-11)) e-9))))))))))))))))
(define CoreC-45CaseC-45CaseBuilder-n--18408-12976-u--scoreColumns (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8) (if (null? arg-7) '() (let ((e-3 (cdr arg-7))) (let ((u--ps (cons arg-1 arg-2))) (let ((sc1 (CoreC-45CaseC-45CaseBuilder-n--18408-12975-u--scoreFirstColumn arg-1 arg-2 arg-3 arg-4 arg-5 u--ps arg-8))) (let ((e-5 (car sc1))) (let ((e-4 (cdr sc1))) (let ((e-7 (cdr e-4))) (cons e-7 (CoreC-45CaseC-45CaseBuilder-n--18408-12976-u--scoreColumns arg-1 arg-2 arg-3 arg-4 arg-5 u--ps e-3 e-5)))))))))))
(define CoreC-45CaseC-45CaseBuilder-n--19151-13690-u--sameTypeAs (lambda (arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13) (if (null? arg-13) (lambda (eta-0) (vector 1 (vector 0 ))) (let ((e-2 (car arg-13))) (let ((e-3 (cdr arg-13))) (case (vector-ref e-2 0) ((0) (let ((e-6 (vector-ref e-2 2))) (let ((eff-0 (let ((eff-0 arg-9)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-7 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-nf arg-9 arg-2 e-7 arg-5 e-6))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-8 (vector-ref lcase-1 1))) (let ((eff-2 (let ((sc4 (CoreC-45CaseC-45CaseBuilder-n--19151-13689-u--headEq arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-12 e-8 arg-7))) (cond ((equal? sc4 1) (CoreC-45CaseC-45CaseBuilder-n--19151-13690-u--sameTypeAs arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 e-3)) (else (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 43 arg-8 arg-6 (vector 1 )) eta-0))))))) eff-2))))))))) eff-1)))))))))(else (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 43 arg-8 arg-6 (vector 1 )) eta-0)))))))))
(define CoreC-45CaseC-45CaseBuilder-n--19649-14112-u--samePatAs (lambda (arg-3 arg-4 arg-5 arg-6) (if (null? arg-6) 1 (case (vector-ref arg-5 0) ((2) (let ((e-0 (vector-ref arg-5 1))) (let ((e-1 (vector-ref arg-5 2))) (let ((e-2 (vector-ref arg-5 3))) (let ((e-3 (vector-ref arg-5 4))) (if (null? arg-6) 0 (let ((e-22 (car arg-6))) (let ((e-23 (cdr arg-6))) (case (vector-ref e-22 0) ((2) (let ((e-25 (vector-ref e-22 2))) (let ((sc4 (CoreC-45Name-u--C-61C-61_Eq_Name e-1 e-25))) (cond ((equal? sc4 1) (CoreC-45CaseC-45CaseBuilder-n--19649-14112-u--samePatAs arg-3 arg-4 (vector 2 e-0 e-1 e-2 e-3) e-23)) (else 0)))))(else 0)))))))))) ((1) (let ((e-4 (vector-ref arg-5 1))) (let ((e-5 (vector-ref arg-5 2))) (let ((e-6 (vector-ref arg-5 3))) (let ((e-7 (vector-ref arg-5 4))) (let ((e-8 (vector-ref arg-5 5))) (if (null? arg-6) 0 (let ((e-29 (car arg-6))) (let ((e-30 (cdr arg-6))) (case (vector-ref e-29 0) ((1) (let ((e-32 (vector-ref e-29 2))) (let ((e-33 (vector-ref e-29 3))) (let ((sc4 (CoreC-45Name-u--C-61C-61_Eq_Name e-5 e-32))) (cond ((equal? sc4 1) (let ((sc5 (PreludeC-45EqOrd-u--C-61C-61_Eq_Int e-6 e-33))) (cond ((equal? sc5 1) (CoreC-45CaseC-45CaseBuilder-n--19649-14112-u--samePatAs arg-3 arg-4 (vector 1 e-4 e-5 e-6 e-7 e-8) e-30)) (else 0)))) (else 0))))))(else 0))))))))))) ((3) (let ((e-9 (vector-ref arg-5 1))) (let ((e-10 (vector-ref arg-5 2))) (if (null? arg-6) 0 (let ((e-37 (car arg-6))) (let ((e-38 (cdr arg-6))) (case (vector-ref e-37 0) ((3) (let ((e-40 (vector-ref e-37 2))) (let ((sc4 (CoreC-45TT-u--C-61C-61_Eq_Constant e-10 e-40))) (cond ((equal? sc4 1) (CoreC-45CaseC-45CaseBuilder-n--19649-14112-u--samePatAs arg-3 arg-4 (vector 3 e-9 e-10) e-38)) (else 0)))))(else 0)))))))) ((4) (let ((e-11 (vector-ref arg-5 1))) (let ((e-12 (vector-ref arg-5 2))) (let ((e-13 (vector-ref arg-5 3))) (let ((e-14 (vector-ref arg-5 4))) (if (null? arg-6) 0 (let ((e-42 (car arg-6))) (let ((e-43 (cdr arg-6))) (case (vector-ref e-42 0) ((4) (CoreC-45CaseC-45CaseBuilder-n--19649-14112-u--samePatAs arg-3 arg-4 (vector 4 e-11 e-12 e-13 e-14) e-43))(else 0)))))))))) ((5) (let ((e-15 (vector-ref arg-5 1))) (let ((e-16 (vector-ref arg-5 2))) (let ((e-17 (vector-ref arg-5 3))) (let ((e-18 (vector-ref arg-5 4))) (if (null? arg-6) 0 (let ((e-49 (car arg-6))) (let ((e-50 (cdr arg-6))) (case (vector-ref e-49 0) ((5) (CoreC-45CaseC-45CaseBuilder-n--19649-14112-u--samePatAs arg-3 arg-4 (vector 5 e-15 e-16 e-17 e-18) e-50))(else 0)))))))))) ((6) (let ((e-19 (vector-ref arg-5 1))) (let ((e-20 (vector-ref arg-5 2))) (if (null? arg-6) 0 (let ((e-56 (car arg-6))) (let ((e-57 (cdr arg-6))) (case (vector-ref e-56 0) ((6) (CoreC-45CaseC-45CaseBuilder-n--19649-14112-u--samePatAs arg-3 arg-4 (vector 6 e-19 e-20) e-57))(else 0))))))))(else 0)))))
(define CoreC-45CaseC-45CaseBuilder-n--23860-17984-u--rep (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (case (vector-ref arg-6 0) ((3) (let ((e-1 (vector-ref arg-6 1))) (let ((eff-0 (CoreC-45CaseC-45Util-getCons arg-5 arg-0 arg-3 arg-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (((csegen-25) (lambda (eta-1) (CoreC-45CaseC-45Util-mkAlt arg-0 arg-4 e-1 eta-1))) e-5))))) eff-1)))))))))(else (lambda (eta-0) (vector 1 (cons arg-6 '())))))))
(define CoreC-45CaseC-45CaseBuilder-n--11949-7213-u--prettyAll (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (if (null? arg-4) '() (let ((e-2 (car arg-4))) (let ((e-3 (cdr arg-4))) (let ((e-8 (car arg-5))) (let ((e-9 (cdr arg-5))) (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-parens (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-1529) e-2) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45PrettyC-45Annotations-equals) (CoreC-45CaseC-45CaseTree-u--pretty_Pretty_IdrisSyntax_Pat (let ((e-4 (vector-ref e-8 2))) e-4))))) (CoreC-45CaseC-45CaseBuilder-n--11949-7213-u--prettyAll arg-0 arg-1 arg-2 arg-3 e-3 e-9)))))))))
(define CoreC-45CaseC-45CaseBuilder-n--24405-18557-u--mkSubstEnv (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-7 arg-8 arg-9) (if (null? arg-9) '() (let ((e-5 (cdr arg-9))) (cons (vector 1 arg-4 (vector 0 ) (vector 2 arg-8 arg-7)) (CoreC-45CaseC-45CaseBuilder-n--24405-18557-u--mkSubstEnv arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 (bs+ arg-7 1 63) arg-8 e-5))))))
(define CoreC-45CaseC-45CaseBuilder-n--22911-17129-u--mkPatClausesFrom (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10) (if (null? arg-10) (lambda (eta-0) (vector 1 '())) (let ((e-2 (car arg-10))) (let ((e-3 (cdr arg-10))) (let ((eff-0 (CoreC-45CaseC-45CaseBuilder-mkPatClause arg-7 arg-6 arg-5 arg-9 arg-3 arg-8 e-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45CaseC-45CaseBuilder-n--22911-17129-u--mkPatClausesFrom arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 (bs+ arg-8 1 63) arg-9 e-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (cons e-5 e-6))))) eff-2))))))))) eff-1))))))))))))
(define CoreC-45CaseC-45CaseBuilder-n--22484-16689-u--mkNames (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11) (if (null? arg-8) (cond ((equal? arg-10 0) (lambda (eta-0) (vector 1 '())))(else (blodwen-error-quit "Nat case not covered"))) (let ((e-2 (car arg-8))) (let ((e-3 (cdr arg-8))) (let ((e-8 (car arg-9))) (let ((e-9 (cdr arg-9))) (cond ((equal? arg-10 0) (blodwen-error-quit "Nat case not covered"))(else (let ((e-16 (- arg-10 1))) (let ((eff-0 (let ((eff-0 arg-7)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (lambda (eta-0) (CoreC-45Context-clearDefs e-5 eta-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (if (null? arg-11) (csegen-3726) (let ((e-4 (unbox arg-11))) (case (vector-ref e-4 0) ((0) (let ((e-12 (vector-ref e-4 1))) (let ((e-10 (vector-ref e-4 3))) (let ((e-7 (vector-ref e-4 4))) (case (vector-ref e-10 0) ((2) (let ((e-15 (vector-ref e-10 2))) (let ((e-13 (vector-ref e-10 4))) (let ((eff-2 ((e-7 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 1 e-12 (vector 0 ) e-2))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-18 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-18)))) (else (let ((e-18 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45NormaliseC-45Quote-u--quote_Quote_Closure arg-7 '() e-6 '() e-13))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-19 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-19)))) (else (let ((e-19 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (cons (box e-18) (vector 0 e-15 (CoreC-45TT-embed e-19))))))) eff-4))))))))) eff-3))))))))))(else (let ((eff-2 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-7 '() e-6 '() e-4))) (PrimIO-io_bind eff-2 (csegen-3727)))))))))(else (let ((eff-2 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-7 '() e-6 '() e-4))) (PrimIO-io_bind eff-2 (csegen-3727))))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45CaseC-45CaseBuilder-n--22484-16689-u--mkNames arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-3 e-9 e-16 (Builtin-fst e-7)))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-4 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (cons (vector 0 e-2 e-8 (Builtin-snd e-7)) (CoreC-45CaseC-45CaseBuilder-weaken e-2 e-3 e-10)))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))))
(define CoreC-45CaseC-45CaseBuilder-n--24405-18556-u--labelPat (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-7 arg-8) (if (null? arg-8) '() (let ((e-2 (car arg-8))) (let ((e-3 (cdr arg-8))) (cons (cons (string-append "pat" (string-append (PreludeC-45Show-u--show_Show_Int arg-7) ":")) e-2) (CoreC-45CaseC-45CaseBuilder-n--24405-18556-u--labelPat arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 (bs+ arg-7 1 63) e-3)))))))
(define CoreC-45CaseC-45CaseBuilder-n--18689-13229-u--isBlank (lambda (arg-2 arg-3 arg-4 arg-5 arg-6) (case (vector-ref arg-6 0) ((6) 1)(else 0))))
(define CoreC-45CaseC-45CaseBuilder-n--19151-13689-u--headEq (lambda (arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13) (case (vector-ref arg-11 0) ((0) (let ((e-6 (vector-ref arg-11 3))) (case (vector-ref e-6 0) ((2) (case (vector-ref arg-12 0) ((0) (let ((e-35 (vector-ref arg-12 3))) (case (vector-ref e-35 0) ((2) 1)(else (case (vector-ref arg-12 0) ((9) (if (null? arg-13) 1 0))(else 0))))))(else (case (vector-ref arg-12 0) ((9) (if (null? arg-13) 1 0))(else 0)))))(else (case (vector-ref arg-12 0) ((9) (if (null? arg-13) 1 0))(else 0)))))) ((3) (let ((e-10 (vector-ref arg-11 2))) (case (vector-ref arg-12 0) ((3) (let ((e-44 (vector-ref arg-12 2))) (CoreC-45Name-u--C-61C-61_Eq_Name e-10 e-44)))(else (case (vector-ref arg-12 0) ((9) (if (null? arg-13) 1 0))(else 0)))))) ((8) (let ((e-16 (vector-ref arg-11 2))) (case (vector-ref arg-12 0) ((8) (let ((e-50 (vector-ref arg-12 2))) (CoreC-45TT-u--C-61C-61_Eq_Constant e-16 e-50)))(else (case (vector-ref arg-12 0) ((9) (if (null? arg-13) 1 0))(else 0)))))) ((10) (case (vector-ref arg-12 0) ((10) 1)(else (case (vector-ref arg-12 0) ((9) (if (null? arg-13) 1 0))(else 0))))) ((1) (let ((e-22 (vector-ref arg-11 2))) (case (vector-ref e-22 0) ((1) (let ((e-56 (vector-ref e-22 2))) (case (vector-ref arg-12 0) ((1) (let ((e-59 (vector-ref arg-12 2))) (case (vector-ref e-59 0) ((1) (let ((e-63 (vector-ref e-59 2))) (if (null? arg-13) (CoreC-45Name-u--C-61C-61_Eq_Name e-56 e-63) (case (vector-ref arg-12 0) ((9) (if (null? arg-13) 1 0))(else 0)))))(else (case (vector-ref arg-12 0) ((9) (if (null? arg-13) 1 0))(else 0))))))(else (case (vector-ref arg-12 0) ((9) (if (null? arg-13) 1 0))(else 0))))))(else (case (vector-ref arg-12 0) ((9) (if (null? arg-13) 1 0))(else 0)))))) ((9) (if (null? arg-13) 1 (case (vector-ref arg-12 0) ((9) (if (null? arg-13) 1 0))(else 0))))(else (case (vector-ref arg-12 0) ((9) (if (null? arg-13) 1 0))(else 0))))))
(define CoreC-45CaseC-45CaseBuilder-n--24405-18555-u--getUnreachable (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8) (if (null? arg-8) '() (let ((e-2 (car arg-8))) (let ((e-3 (cdr arg-8))) (let ((sc1 (PreludeC-45Types-elem (csegen-16) (csegen-290) arg-6 arg-7))) (cond ((equal? sc1 1) (CoreC-45CaseC-45CaseBuilder-n--24405-18555-u--getUnreachable arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 (bs+ arg-6 1 63) arg-7 e-3)) (else (cons e-2 (CoreC-45CaseC-45CaseBuilder-n--24405-18555-u--getUnreachable arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 (bs+ arg-6 1 63) arg-7 e-3))))))))))
(define CoreC-45CaseC-45CaseBuilder-n--22911-17130-u--getNames (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9) (if (null? arg-9) (cons '() (CoreC-45TTC-45SizeOf-zero)) (let ((e-3 (cdr arg-9))) (let ((sc1 (CoreC-45CaseC-45CaseBuilder-n--22911-17130-u--getNames arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 (bs+ arg-8 1 63) e-3))) (let ((e-5 (car sc1))) (let ((e-4 (cdr sc1))) (cons (cons (vector 2 "arg" arg-8) e-5) (CoreC-45TTC-45SizeOf-suc e-4)))))))))
(define CoreC-45CaseC-45CaseBuilder-n--13402-8529-u--getClauseType (lambda (arg-3 arg-4 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15) (if (null? arg-13) (case (vector-ref arg-14 0) ((0) (let ((e-5 (vector-ref arg-14 3))) (CoreC-45CaseC-45CaseBuilder-n--13402-8529-u--getClauseType arg-3 arg-4 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 e-5 arg-15)))(else (case (vector-ref arg-15 0) ((0) (let ((e-1 (vector-ref arg-15 1))) (let ((sc2 (AlgebraC-45Semiring-isErased (csegen-1156) e-1))) (cond ((equal? sc2 1) 1) (else (CoreC-45CaseC-45CaseBuilder-n--13402-8528-u--clauseTypeC-39 arg-3 arg-4 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-14))))))(else (CoreC-45CaseC-45CaseBuilder-n--13402-8528-u--clauseTypeC-39 arg-3 arg-4 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-14))))) (let ((e-6 (unbox arg-13))) (case (vector-ref arg-14 0) ((1) (let ((e-10 (vector-ref arg-14 4))) (let ((e-11 (vector-ref arg-14 5))) (case (vector-ref arg-15 0) ((0) (let ((e-13 (vector-ref arg-15 1))) (let ((sc3 (let ((sc4 (AlgebraC-45Semiring-isErased (csegen-1156) e-13))) (cond ((equal? sc4 1) (let ((sc5 (AlgebraC-45Semiring-isErased (csegen-1156) e-6))) (cond ((equal? sc5 1) 0) (else (PreludeC-45Interfaces-all (csegen-16) (lambda (eta-0) (CoreC-45CaseC-45CaseBuilder-namesIn (PreludeC-45TypesC-45List-tailRecAppend arg-11 (PreludeC-45Interfaces-concatMap (csegen-83) (csegen-16) (lambda (eta-1) (CoreC-45CaseC-45CaseBuilder-namesFrom eta-1)) (CoreC-45CaseC-45CaseBuilder-getPatInfo arg-8))) eta-0)) e-11))))) (else 0))))) (cond ((equal? sc3 1) 1) (else (CoreC-45CaseC-45CaseBuilder-n--13402-8527-u--splitCon arg-3 arg-4 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 e-10 e-11))))))(else (case (vector-ref arg-14 0) ((0) (let ((e-5 (vector-ref arg-14 3))) (CoreC-45CaseC-45CaseBuilder-n--13402-8529-u--getClauseType arg-3 arg-4 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 e-5 arg-15)))(else (case (vector-ref arg-15 0) ((0) (let ((e-1 (vector-ref arg-15 1))) (let ((sc3 (AlgebraC-45Semiring-isErased (csegen-1156) e-1))) (cond ((equal? sc3 1) 1) (else (CoreC-45CaseC-45CaseBuilder-n--13402-8528-u--clauseTypeC-39 arg-3 arg-4 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-14))))))(else (CoreC-45CaseC-45CaseBuilder-n--13402-8528-u--clauseTypeC-39 arg-3 arg-4 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-14))))))))))(else (case (vector-ref arg-14 0) ((0) (let ((e-5 (vector-ref arg-14 3))) (CoreC-45CaseC-45CaseBuilder-n--13402-8529-u--getClauseType arg-3 arg-4 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 e-5 arg-15)))(else (case (vector-ref arg-15 0) ((0) (let ((e-1 (vector-ref arg-15 1))) (let ((sc2 (AlgebraC-45Semiring-isErased (csegen-1156) e-1))) (cond ((equal? sc2 1) 1) (else (CoreC-45CaseC-45CaseBuilder-n--13402-8528-u--clauseTypeC-39 arg-3 arg-4 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-14))))))(else (CoreC-45CaseC-45CaseBuilder-n--13402-8528-u--clauseTypeC-39 arg-3 arg-4 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-14)))))))))))
(define CoreC-45CaseC-45CaseBuilder-n--24405-18440-u--getArgs (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (case (vector-ref arg-6 0) ((0) (let ((e-1 (vector-ref arg-6 1))) (let ((e-3 (vector-ref arg-6 3))) (let ((e-4 (vector-ref arg-6 4))) (case (vector-ref e-3 0) ((2) (let ((eff-0 (let ((eff-0 arg-4)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((e-4 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 e-1 (vector 0 )))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-10 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45CaseC-45CaseBuilder-n--24405-18440-u--getArgs arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-10))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-11 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (cons (vector 2 "arg" arg-5) e-11))))) eff-3))))))))) eff-2))))))))) eff-1))))))))(else (lambda (eta-0) (vector 1 '()))))))))(else (lambda (eta-0) (vector 1 '()))))))
(define CoreC-45CaseC-45CaseBuilder-n--16067-10879-u--gc (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-12)) (let ((e-2 (car arg-13))) (let ((e-3 (cdr arg-13))) (let ((e-7 (vector-ref e-2 1))) (let ((e-8 (vector-ref e-2 2))) (let ((e-9 (vector-ref e-2 3))) (let ((e-13 (car e-7))) (let ((e-14 (cdr e-7))) (let ((e-17 (vector-ref e-13 0))) (let ((e-19 (vector-ref e-13 2))) (let ((eff-0 (CoreC-45CaseC-45CaseBuilder-n--16067-10878-u--addGroup arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-10 arg-11 e-17 e-19 e-14 e-8 e-9 arg-12))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45CaseC-45CaseBuilder-n--16067-10879-u--gc arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 e-5 e-3))) eff-1)))))))))))))))))))
(define CoreC-45CaseC-45CaseBuilder-n--24299-18337-u--findExtraAlts (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-6 arg-7 arg-8 arg-9 arg-10) (case (vector-ref arg-10 0) ((0) (let ((e-3 (vector-ref arg-10 3))) (let ((e-4 (vector-ref arg-10 4))) (CoreC-45CaseC-45CaseBuilder-findExtraDefaults arg-9 (PreludeC-45TypesC-45List-tailRecAppend e-3 arg-0) arg-8 arg-7 e-4)))) ((1) (let ((e-6 (vector-ref arg-10 1))) (let ((e-7 (vector-ref arg-10 2))) (let ((e-8 (vector-ref arg-10 3))) (CoreC-45CaseC-45CaseBuilder-findExtraDefaults arg-9 (cons e-6 (cons e-7 arg-0)) arg-8 arg-7 e-8))))) ((2) (let ((e-11 (vector-ref arg-10 2))) (CoreC-45CaseC-45CaseBuilder-findExtraDefaults arg-9 arg-0 arg-8 arg-7 e-11))) (else (lambda (eta-0) (vector 1 '()))))))
(define CoreC-45CaseC-45CaseBuilder-n--23860-17985-u--dropRep (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (if (null? arg-6) (cons '() arg-7) (let ((e-2 (car arg-6))) (let ((e-3 (cdr arg-6))) (case (vector-ref e-2 0) ((0) (let ((e-5 (vector-ref e-2 1))) (let ((e-6 (vector-ref e-2 2))) (let ((e-7 (vector-ref e-2 3))) (let ((e-8 (vector-ref e-2 4))) (let ((u--c (vector 0 e-5 e-6 e-7 e-8))) (CoreC-45CaseC-45CaseBuilder-case--identifyUnreachableDefaultsC-44dropRep-18046 arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-7 e-8 e-6 e-5 u--c e-3 arg-7 (DataC-45List-partition (lambda (eta-0) (let ((sc2 (CoreC-45CaseC-45Util-tagIs e-6 eta-0))) (cond ((equal? sc2 1) 0) (else 1)))) e-3))))))))(else (let ((sc1 (CoreC-45CaseC-45CaseBuilder-n--23860-17985-u--dropRep arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-3 arg-7))) (let ((e-5 (car sc1))) (let ((e-4 (cdr sc1))) (cons (cons e-2 e-5) e-4)))))))))))
(define CoreC-45CaseC-45CaseBuilder-n--19649-14111-u--dropAs (lambda (arg-3 arg-4 arg-5) (case (vector-ref arg-5 0) ((0) (let ((e-2 (vector-ref arg-5 3))) e-2))(else arg-5))))
(define CoreC-45CaseC-45CaseBuilder-n--24405-18558-u--close (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9) (CoreC-45TTC-45SubstEnv-substs (CoreC-45CaseC-45CaseBuilder-n--24405-18557-u--mkSubstEnv arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 0 arg-8 arg-7) arg-9)))
(define CoreC-45CaseC-45CaseBuilder-n--13402-8528-u--clauseTypeC-39 (lambda (arg-3 arg-4 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13) (case (vector-ref arg-13 0) ((1) (let ((e-3 (vector-ref arg-13 4))) (let ((e-4 (vector-ref arg-13 5))) (CoreC-45CaseC-45CaseBuilder-n--13402-8527-u--splitCon arg-3 arg-4 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 e-3 e-4)))) ((2) (let ((e-7 (vector-ref arg-13 3))) (let ((e-8 (vector-ref arg-13 4))) (CoreC-45CaseC-45CaseBuilder-n--13402-8527-u--splitCon arg-3 arg-4 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 e-7 e-8)))) ((3) 0) ((4) 0) ((5) 0)(else 1))))
(define CoreC-45CaseC-45CaseBuilder-n--20812-15782-u--altGroups (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13) (if (null? arg-13) (PreludeC-45Types-maybe (lambda () (lambda (eta-0) (vector 1 '()))) (lambda () (lambda (u--e) (lambda (eta-0) (vector 1 (cons (vector 3 u--e) '()))))) arg-4) (let ((e-2 (car arg-13))) (let ((e-3 (cdr arg-13))) (case (vector-ref e-2 0) ((0) (let ((e-6 (vector-ref e-2 1))) (let ((e-7 (vector-ref e-2 2))) (let ((e-8 (vector-ref e-2 3))) (let ((e-9 (vector-ref e-2 4))) (let ((eff-0 (CoreC-45CaseC-45CaseBuilder-match (PreludeC-45TypesC-45List-tailRecAppend e-6 arg-3) (PreludeC-45TypesC-45List-tailRecAppend e-6 arg-1) arg-12 arg-11 arg-10 arg-9 arg-8 e-9 (((csegen-77) (lambda (eta-0) (CoreC-45CaseC-45CaseTree-u--weakenNs_Weaken_CaseTree (CoreC-45TTC-45SizeOf-mkSizeOf e-6) eta-0))) arg-4)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45CaseC-45CaseBuilder-n--20812-15782-u--altGroups arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-8 arg-9 arg-10 arg-11 arg-12 e-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-10 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (cons (vector 0 e-7 e-8 e-6 e-5) e-10))))) eff-2))))))))) eff-1)))))))))))) ((1) (let ((e-12 (vector-ref e-2 1))) (let ((e-13 (vector-ref e-2 2))) (let ((e-14 (vector-ref e-2 3))) (let ((eff-0 (CoreC-45CaseC-45CaseBuilder-match (cons e-12 (cons e-13 arg-3)) (cons e-12 (cons e-13 arg-1)) arg-12 arg-11 arg-10 arg-9 arg-8 e-14 (((csegen-77) (lambda (eta-0) (CoreC-45CaseC-45CaseTree-u--weakenNs_Weaken_CaseTree (CoreC-45TTC-45SizeOf-mkSizeOf (cons e-12 (cons e-13 '()))) eta-0))) arg-4)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45CaseC-45CaseBuilder-n--20812-15782-u--altGroups arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-8 arg-9 arg-10 arg-11 arg-12 e-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (cons (vector 1 e-12 e-13 e-5) e-6))))) eff-2))))))))) eff-1))))))))))) (else (let ((e-17 (vector-ref e-2 1))) (let ((e-18 (vector-ref e-2 2))) (let ((eff-0 (CoreC-45CaseC-45CaseBuilder-match arg-3 arg-1 arg-12 arg-11 arg-10 arg-9 arg-8 e-18 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45CaseC-45CaseBuilder-n--20812-15782-u--altGroups arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-8 arg-9 arg-10 arg-11 arg-12 e-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (cons (vector 2 e-17 e-5) e-6))))) eff-2))))))))) eff-1))))))))))))))))
(define CoreC-45CaseC-45CaseBuilder-n--16067-10878-u--addGroup (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-10 arg-11 arg-12 arg-13 arg-15 arg-16 arg-17 arg-18) (case (vector-ref arg-13 0) ((0) (let ((e-0 (vector-ref arg-13 1))) (let ((e-1 (vector-ref arg-13 2))) (let ((e-2 (vector-ref arg-13 3))) (CoreC-45CaseC-45CaseBuilder-n--16067-10878-u--addGroup arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-10 arg-11 arg-12 e-2 arg-15 arg-16 (CoreC-45TT-substName e-1 (vector 0 e-0 (box 1) arg-12) arg-17) arg-18))))) ((1) (let ((e-3 (vector-ref arg-13 1))) (let ((e-4 (vector-ref arg-13 2))) (let ((e-5 (vector-ref arg-13 3))) (let ((e-6 (vector-ref arg-13 4))) (let ((e-7 (vector-ref arg-13 5))) (let ((sc1 (or (and (= e-6 (PreludeC-45TypesC-45List-lengthTR e-7)) 1) 0))) (cond ((equal? sc1 1) (CoreC-45CaseC-45CaseBuilder-n--16067-10875-u--addConG arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-10 arg-11 e-4 e-5 e-7 arg-15 arg-16 arg-17 arg-18)) (else (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 43 e-3 arg-5 (vector 3 e-4)) eta-0))))))))))) ((2) (let ((e-8 (vector-ref arg-13 1))) (let ((e-9 (vector-ref arg-13 2))) (let ((e-10 (vector-ref arg-13 3))) (let ((e-11 (vector-ref arg-13 4))) (let ((sc1 (or (and (= e-10 (PreludeC-45TypesC-45List-lengthTR e-11)) 1) 0))) (cond ((equal? sc1 1) (CoreC-45CaseC-45CaseBuilder-n--16067-10875-u--addConG arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-10 arg-11 e-9 0 e-11 arg-15 arg-16 arg-17 arg-18)) (else (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 43 e-8 arg-5 (vector 3 e-9)) eta-0)))))))))) ((4) (let ((e-14 (vector-ref arg-13 3))) (let ((e-15 (vector-ref arg-13 4))) (CoreC-45CaseC-45CaseBuilder-n--16067-10875-u--addConG arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-10 arg-11 (vector 1 (vector 0 "->")) 0 (cons e-14 (cons e-15 '())) arg-15 arg-16 arg-17 arg-18)))) ((5) (let ((e-18 (vector-ref arg-13 3))) (let ((e-19 (vector-ref arg-13 4))) (CoreC-45CaseC-45CaseBuilder-n--16067-10876-u--addDelayG arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-10 arg-11 e-18 e-19 arg-15 arg-16 arg-17 arg-18)))) ((3) (let ((e-21 (vector-ref arg-13 2))) (CoreC-45CaseC-45CaseBuilder-n--16067-10877-u--addConstG arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-10 arg-11 e-21 arg-15 arg-16 arg-17 arg-18)))(else (lambda (eta-0) (vector 1 arg-18))))))
(define CoreC-45CaseC-45CaseBuilder-n--16067-10876-u--addDelayG (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16) (if (null? arg-16) (let ((u--dty (vector 0 arg-6 (vector 2 "a" 0) (vector 2 arg-6 (csegen-54) (vector 1 ) (vector 1 (CoreC-45Value-defaultOpts) (CoreC-45Env-mkEnv arg-6 arg-9) (vector 10 arg-6 (vector 2 "top" 0)))) (lambda (u--d) (lambda (u--a) (let ((eff-0 (CoreC-45NormaliseC-45Eval-evalClosure arg-7 arg-9 u--d u--a))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 0 arg-6 (vector 2 "x" 0) (vector 2 arg-6 (AlgebraC-45ZeroOneOmega-u--top_Top_ZeroOneOmega) (vector 1 ) u--a) (lambda (u--dv) (lambda (u--av) (lambda (eta-1) (vector 1 (vector 5 arg-6 2 e-5)))))))))) eff-1)))))))))))) (let ((eff-0 (CoreC-45CaseC-45CaseBuilder-nextNames arg-9 arg-8 arg-7 arg-6 "e" (cons arg-11 (cons arg-12 '())) (box u--dty)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (if (null? e-5) (csegen-3729) (let ((e-2 (car e-5))) (let ((e-3 (cdr e-5))) (if (null? e-2) (csegen-3729) (let ((e-7 (car e-2))) (let ((e-6 (cdr e-2))) (if (null? e-6) (csegen-3729) (let ((e-8 (car e-6))) (let ((e-9 (cdr e-6))) (if (null? e-9) (if (null? e-3) (csegen-3729) (let ((e-13 (car e-3))) (let ((e-14 (cdr e-3))) (let ((u--patsC-39 (CoreC-45CaseC-45CaseBuilder-updatePatNames (CoreC-45CaseC-45CaseBuilder-updateNames (cons (cons e-7 arg-11) (cons (cons e-8 arg-12) '()))) (CoreC-45CaseC-45CaseBuilder-weakenNs e-13 arg-13)))) (let ((u--clause (vector arg-4 (CoreC-45CaseC-45CaseBuilder-C-43C-43 e-14 u--patsC-39) arg-14 (CoreC-45TT-u--weakenNs_Weaken_Term e-13 arg-15)))) (lambda (eta-0) (vector 1 (cons (vector 1 e-7 e-8 (cons u--clause '())) '())))))))) (csegen-3729))))))))))))) eff-1)))))))) (let ((e-2 (car arg-16))) (let ((e-3 (cdr arg-16))) (CoreC-45CaseC-45CaseBuilder-with--groupConsC-44addDelayG-11649 arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-10 arg-9 e-2 (CoreC-45CaseC-45CaseBuilder-checkGroupMatch (vector 1 ) '() e-2) e-3 arg-15 arg-14 arg-13 arg-12 arg-11))))))
(define CoreC-45CaseC-45CaseBuilder-n--16067-10877-u--addConstG (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15) (if (null? arg-15) (lambda (eta-0) (vector 1 (cons (vector 2 arg-11 (cons (vector arg-4 arg-12 arg-13 arg-14) '())) '()))) (let ((e-2 (car arg-15))) (let ((e-3 (cdr arg-15))) (CoreC-45CaseC-45CaseBuilder-with--groupConsC-44addConstG-11850 arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-10 arg-9 e-2 arg-11 (CoreC-45CaseC-45CaseBuilder-checkGroupMatch (vector 2 arg-11) '() e-2) e-3 arg-14 arg-13 arg-12))))))
(define CoreC-45CaseC-45CaseBuilder-n--16067-10875-u--addConG (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17) (if (null? arg-17) (let ((eff-0 (let ((sc1 (CoreC-45Name-u--C-61C-61_Eq_Name arg-11 (vector 1 (vector 0 "->"))))) (cond ((equal? sc1 1) (lambda (eta-0) (vector 1 (vector 0 arg-6 (vector 2 "_" 0) (vector 2 arg-6 (AlgebraC-45ZeroOneOmega-u--top_Top_ZeroOneOmega) (vector 1 ) (vector 1 (CoreC-45Value-defaultOpts) (CoreC-45Env-mkEnv arg-6 arg-9) (vector 10 arg-6 (vector 2 "top" 0)))) (lambda (u--d) (lambda (u--a) (lambda (eta-1) (vector 1 (vector 0 arg-6 (vector 2 "_" 1) (vector 2 arg-6 (AlgebraC-45ZeroOneOmega-u--top_Top_ZeroOneOmega) (vector 1 ) (vector 1 (CoreC-45Value-defaultOpts) (CoreC-45Env-mkEnv arg-6 arg-9) (vector 9 arg-6 (vector 0 )))) (lambda (d-0) (lambda (a-0) (lambda (eta-2) (vector 1 (vector 10 arg-6 (vector 2 "top" 0))))))))))))))) (else (let ((eff-0 (let ((eff-0 arg-7)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-lookupTyExact arg-11 (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-6) (lambda (eta-0) (vector 1 (vector 9 arg-6 (vector 0 )))) (let ((e-1 (unbox e-6))) (CoreC-45NormaliseC-45Eval-nf arg-7 arg-9 e-5 (CoreC-45Env-mkEnv arg-6 arg-9) (CoreC-45TT-embed e-1)))))) eff-2))))))))) eff-1)))))))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45CaseC-45CaseBuilder-nextNames arg-9 arg-8 arg-7 arg-6 "e" arg-13 (box e-5)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((e-2 (car e-6))) (let ((e-3 (cdr e-6))) (let ((e-8 (car e-3))) (let ((e-7 (cdr e-3))) (let ((u--patsC-39 (CoreC-45CaseC-45CaseBuilder-updatePatNames (CoreC-45CaseC-45CaseBuilder-updateNames (DataC-45List-u--zip_Zippable_List e-2 arg-13)) (CoreC-45CaseC-45CaseBuilder-weakenNs e-8 arg-14)))) (let ((u--clause (vector arg-4 (CoreC-45CaseC-45CaseBuilder-C-43C-43 e-7 u--patsC-39) arg-15 (CoreC-45TT-u--weakenNs_Weaken_Term e-8 arg-16)))) (lambda (eta-0) (vector 1 (cons (vector 0 e-2 arg-11 arg-12 (cons u--clause '())) '()))))))))))) eff-2))))))))) eff-1))))))) (let ((e-2 (car arg-17))) (let ((e-3 (cdr arg-17))) (CoreC-45CaseC-45CaseBuilder-with--groupConsC-44addConG-11275 arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-10 arg-9 e-2 arg-13 arg-12 arg-11 (CoreC-45CaseC-45CaseBuilder-checkGroupMatch (vector 0 arg-11 arg-12) arg-13 e-2) e-3 arg-16 arg-15 arg-14))))))
(define CoreC-45CaseC-45CaseBuilder-u--weaken_Weaken_ArgType (lambda (arg-2) (case (vector-ref arg-2 0) ((0) (let ((e-1 (vector-ref arg-2 1))) (let ((e-2 (vector-ref arg-2 2))) (vector 0 e-1 (CoreC-45TT-u--weaken_Weaken_Term e-2))))) ((1) (let ((e-4 (vector-ref arg-2 1))) (vector 1 (CoreC-45TT-u--weaken_Weaken_Term e-4)))) (else (vector 2 )))))
(define CoreC-45CaseC-45CaseBuilder-u--weaken_Weaken_C-40PatInfoC-32C-36pC-41 (lambda (arg-3) (let ((e-2 (vector-ref arg-3 0))) (let ((e-3 (vector-ref arg-3 1))) (let ((e-4 (vector-ref arg-3 2))) (let ((e-6 (vector-ref arg-3 3))) (vector (+ e-2 1) e-3 e-4 (CoreC-45CaseC-45CaseBuilder-u--weaken_Weaken_ArgType e-6))))))))
(define CoreC-45CaseC-45CaseBuilder-u--weakenNs_Weaken_C-40PatInfoC-32C-36pC-41 (lambda (arg-3 arg-4) (CoreC-45CaseC-45CaseBuilder-case--weakenNs-7451 arg-4 arg-3 (CoreC-45TT-sizedView arg-3))))
(define CoreC-45CaseC-45CaseBuilder-u--show_Show_C-40PartitionsC-32C-36psC-41 (lambda (arg-2 arg-3) (case (vector-ref arg-3 0) ((0) (let ((e-3 (vector-ref arg-3 1))) (let ((e-4 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 3))) (let ((e-6 (vector-ref arg-3 4))) (let ((e-7 (vector-ref arg-3 5))) (string-append (DataC-45String-fastUnlines (cons "CON" (((csegen-25) (lambda (eta-0) (string-append "  " (CoreC-45CaseC-45CaseBuilder-u--show_Show_C-40C-40PatClauseC-32C-36varsC-41C-32C-36todoC-41 e-4 e-3 eta-0)))) e-6))) (string-append "\xa;, " (CoreC-45CaseC-45CaseBuilder-u--show_Show_C-40PartitionsC-32C-36psC-41 e-5 e-7))))))))) ((1) (let ((e-8 (vector-ref arg-3 1))) (let ((e-9 (vector-ref arg-3 2))) (let ((e-10 (vector-ref arg-3 3))) (let ((e-11 (vector-ref arg-3 4))) (let ((e-12 (vector-ref arg-3 5))) (string-append (DataC-45String-fastUnlines (cons "VAR" (((csegen-25) (lambda (eta-0) (string-append "  " (CoreC-45CaseC-45CaseBuilder-u--show_Show_C-40C-40PatClauseC-32C-36varsC-41C-32C-36todoC-41 e-9 e-8 eta-0)))) e-11))) (string-append "\xa;, " (CoreC-45CaseC-45CaseBuilder-u--show_Show_C-40PartitionsC-32C-36psC-41 e-10 e-12)))))))))(else "NONE"))))
(define CoreC-45CaseC-45CaseBuilder-u--show_Show_C-40ArgTypeC-32C-36nsC-41 (lambda (arg-0 arg-1) (case (vector-ref arg-1 0) ((0) (let ((e-1 (vector-ref arg-1 1))) (let ((e-2 (vector-ref arg-1 2))) (string-append "Known " (string-append (AlgebraC-45ZeroOneOmega-u--show_Show_ZeroOneOmega e-1) (string-append " " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-0 e-2))))))) ((1) (let ((e-4 (vector-ref arg-1 1))) (string-append "Stuck " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-0 e-4)))) (else "Unknown"))))
(define CoreC-45CaseC-45CaseBuilder-u--show_Show_C-40C-40PatClauseC-32C-36varsC-41C-32C-36todoC-41 (lambda (arg-0 arg-1 arg-2) (let ((e-3 (vector-ref arg-2 1))) (let ((e-5 (vector-ref arg-2 3))) (string-append (CoreC-45CaseC-45CaseBuilder-u--show_Show_C-40C-40NamedPatsC-32C-36varsC-41C-32C-36todoC-41 arg-0 arg-1 e-3) (string-append " => " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-0 e-5)))))))
(define CoreC-45CaseC-45CaseBuilder-u--show_Show_C-40C-40NamedPatsC-32C-36varsC-41C-32C-36todoC-41 (lambda (arg-0 arg-1 arg-2) (string-append "[" (string-append (CoreC-45CaseC-45CaseBuilder-n--11775-7049-u--showAll arg-0 arg-1 arg-2 arg-0 arg-1 arg-2) "]"))))
(define CoreC-45CaseC-45CaseBuilder-u--showPrec_Show_C-40C-40PatClauseC-32C-36varsC-41C-32C-36todoC-41 (lambda (arg-0 arg-1 arg-2 arg-3) (CoreC-45CaseC-45CaseBuilder-u--show_Show_C-40C-40PatClauseC-32C-36varsC-41C-32C-36todoC-41 arg-0 arg-1 arg-3)))
(define CoreC-45CaseC-45CaseBuilder-u--resolved_HasNames_C-40ArgTypeC-32C-36varsC-41 (lambda (arg-1 arg-2) (case (vector-ref arg-2 0) ((0) (let ((e-1 (vector-ref arg-2 1))) (let ((e-2 (vector-ref arg-2 2))) (let ((eff-0 (CoreC-45Context-u--resolved_HasNames_C-40TermC-32C-36varsC-41 arg-1 e-2))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-3 (vector-ref eta-3 1))) (vector 0 e-3))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-0) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-0) arg-3)))) (lambda (eta-0) (vector 0 e-1 eta-0)))) eff-0))))) ((1) (let ((e-4 (vector-ref arg-2 1))) (let ((eff-0 (CoreC-45Context-u--resolved_HasNames_C-40TermC-32C-36varsC-41 arg-1 e-4))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-0) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-0) arg-3)))) (lambda (eta-0) (vector 1 eta-0)))) eff-0)))) (else (lambda (eta-0) (vector 1 (vector 2 )))))))
(define CoreC-45CaseC-45CaseBuilder-u--resolved_HasNames_C-40C-40PatInfoC-32C-36nC-41C-32C-36varsC-41 (lambda (arg-2 arg-3) (let ((e-2 (vector-ref arg-3 0))) (let ((e-3 (vector-ref arg-3 1))) (let ((e-4 (vector-ref arg-3 2))) (let ((e-6 (vector-ref arg-3 3))) (let ((eff-0 (CoreC-45Context-u--resolved_HasNames_Pat arg-2 e-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45CaseC-45CaseBuilder-u--resolved_HasNames_C-40ArgTypeC-32C-36varsC-41 arg-2 e-6))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector e-2 e-3 e-5 e-7))))) eff-2))))))))) eff-1)))))))))))))
(define CoreC-45CaseC-45CaseBuilder-u--resolved_HasNames_C-40C-40PatClauseC-32C-36varsC-41C-32C-36todoC-41 (lambda (arg-2 arg-3) (let ((e-2 (vector-ref arg-3 0))) (let ((e-3 (vector-ref arg-3 1))) (let ((e-4 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 3))) (CoreC-45Core-C-60C-42C-62 (CoreC-45Core-C-60C-42C-62 (CoreC-45Core-C-60C-42C-62 (CoreC-45Core-C-60C-42C-62 (csegen-3732) (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45Context-u--resolved_HasNames_Name arg-2 eta-0)) e-2 '())) (CoreC-45CaseC-45CaseBuilder-u--resolved_HasNames_C-40C-40NamedPatsC-32C-36varsC-41C-32C-36todoC-41 arg-2 e-3)) (lambda (eta-0) (vector 1 e-4))) (CoreC-45Context-u--resolved_HasNames_C-40TermC-32C-36varsC-41 arg-2 e-5))))))))
(define CoreC-45CaseC-45CaseBuilder-u--resolved_HasNames_C-40C-40NamedPatsC-32C-36varsC-41C-32C-36todoC-41 (lambda (arg-2 arg-3) (if (null? arg-3) (lambda (eta-0) (vector 1 '())) (let ((e-4 (car arg-3))) (let ((e-5 (cdr arg-3))) (CoreC-45Core-C-60C-42C-62 (CoreC-45Core-C-60C-42C-62 (csegen-3735) (CoreC-45CaseC-45CaseBuilder-u--resolved_HasNames_C-40C-40PatInfoC-32C-36nC-41C-32C-36varsC-41 arg-2 e-4)) (CoreC-45CaseC-45CaseBuilder-u--resolved_HasNames_C-40C-40NamedPatsC-32C-36varsC-41C-32C-36todoC-41 arg-2 e-5)))))))
(define CoreC-45CaseC-45CaseBuilder-u--pretty_Pretty_IdrisSyntax_C-40C-40PatClauseC-32C-36varsC-41C-32C-36todoC-41 (lambda (arg-0 arg-1 arg-2) (let ((e-3 (vector-ref arg-2 1))) (let ((e-5 (vector-ref arg-2 3))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (CoreC-45CaseC-45CaseBuilder-u--pretty_Pretty_IdrisSyntax_C-40C-40NamedPatsC-32C-36varsC-41C-32C-36todoC-41 arg-0 arg-1 e-3) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45PrettyC-45Annotations-fatArrow) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-byShow (cons (lambda (u--x) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-0 u--x)) (lambda (u--d) (lambda (u--x) (CoreC-45TT-u--showPrec_Show_C-40TermC-32C-36varsC-41 arg-0 u--d u--x)))) e-5)))))))
(define CoreC-45CaseC-45CaseBuilder-u--pretty_Pretty_IdrisSyntax_C-40C-40NamedPatsC-32C-36varsC-41C-32C-36todoC-41 (lambda (arg-0 arg-1 arg-2) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-hsep (CoreC-45CaseC-45CaseBuilder-n--11949-7213-u--prettyAll arg-0 arg-1 arg-2 arg-0 arg-1 arg-2))))
(define CoreC-45CaseC-45CaseBuilder-u--full_HasNames_C-40ArgTypeC-32C-36varsC-41 (lambda (arg-1 arg-2) (case (vector-ref arg-2 0) ((0) (let ((e-1 (vector-ref arg-2 1))) (let ((e-2 (vector-ref arg-2 2))) (let ((eff-0 (CoreC-45Context-u--full_HasNames_C-40TermC-32C-36varsC-41 arg-1 e-2))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-3 (vector-ref eta-3 1))) (vector 0 e-3))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-0) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-0) arg-3)))) (lambda (eta-0) (vector 0 e-1 eta-0)))) eff-0))))) ((1) (let ((e-4 (vector-ref arg-2 1))) (let ((eff-0 (CoreC-45Context-u--full_HasNames_C-40TermC-32C-36varsC-41 arg-1 e-4))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-0) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-0) arg-3)))) (lambda (eta-0) (vector 1 eta-0)))) eff-0)))) (else (lambda (eta-0) (vector 1 (vector 2 )))))))
(define CoreC-45CaseC-45CaseBuilder-u--full_HasNames_C-40C-40PatInfoC-32C-36nC-41C-32C-36varsC-41 (lambda (arg-2 arg-3) (let ((e-2 (vector-ref arg-3 0))) (let ((e-3 (vector-ref arg-3 1))) (let ((e-4 (vector-ref arg-3 2))) (let ((e-6 (vector-ref arg-3 3))) (let ((eff-0 (CoreC-45Context-u--full_HasNames_Pat arg-2 e-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45CaseC-45CaseBuilder-u--full_HasNames_C-40ArgTypeC-32C-36varsC-41 arg-2 e-6))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector e-2 e-3 e-5 e-7))))) eff-2))))))))) eff-1)))))))))))))
(define CoreC-45CaseC-45CaseBuilder-u--full_HasNames_C-40C-40PatClauseC-32C-36varsC-41C-32C-36todoC-41 (lambda (arg-2 arg-3) (let ((e-2 (vector-ref arg-3 0))) (let ((e-3 (vector-ref arg-3 1))) (let ((e-4 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 3))) (CoreC-45Core-C-60C-42C-62 (CoreC-45Core-C-60C-42C-62 (CoreC-45Core-C-60C-42C-62 (CoreC-45Core-C-60C-42C-62 (csegen-3732) (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45Context-u--full_HasNames_Name arg-2 eta-0)) e-2 '())) (CoreC-45CaseC-45CaseBuilder-u--full_HasNames_C-40C-40NamedPatsC-32C-36varsC-41C-32C-36todoC-41 arg-2 e-3)) (lambda (eta-0) (vector 1 e-4))) (CoreC-45Context-u--full_HasNames_C-40TermC-32C-36varsC-41 arg-2 e-5))))))))
(define CoreC-45CaseC-45CaseBuilder-u--full_HasNames_C-40C-40NamedPatsC-32C-36varsC-41C-32C-36todoC-41 (lambda (arg-2 arg-3) (if (null? arg-3) (lambda (eta-0) (vector 1 '())) (let ((e-4 (car arg-3))) (let ((e-5 (cdr arg-3))) (CoreC-45Core-C-60C-42C-62 (CoreC-45Core-C-60C-42C-62 (csegen-3735) (CoreC-45CaseC-45CaseBuilder-u--full_HasNames_C-40C-40PatInfoC-32C-36nC-41C-32C-36varsC-41 arg-2 e-4)) (CoreC-45CaseC-45CaseBuilder-u--full_HasNames_C-40C-40NamedPatsC-32C-36varsC-41C-32C-36todoC-41 arg-2 e-5)))))))
(define CoreC-45CaseC-45CaseBuilder-zeroedScore (lambda (arg-2 arg-3) (cons arg-3 (DataC-45Vect-replicate (+ (PreludeC-45TypesC-45List-lengthTR arg-2) 1) 0))))
(define CoreC-45CaseC-45CaseBuilder-weakenNs (lambda (arg-3 arg-4) (if (null? arg-4) '() (let ((e-4 (car arg-4))) (let ((e-5 (cdr arg-4))) (cons (CoreC-45CaseC-45CaseBuilder-u--weakenNs_Weaken_C-40PatInfoC-32C-36pC-41 arg-3 e-4) (CoreC-45CaseC-45CaseBuilder-weakenNs arg-3 e-5)))))))
(define CoreC-45CaseC-45CaseBuilder-weaken (lambda (arg-1 arg-2 arg-3) (if (null? arg-3) '() (let ((e-4 (car arg-3))) (let ((e-5 (cdr arg-3))) (cons (CoreC-45CaseC-45CaseBuilder-u--weaken_Weaken_C-40PatInfoC-32C-36pC-41 e-4) (CoreC-45CaseC-45CaseBuilder-weaken arg-1 arg-2 e-5)))))))
(define CoreC-45CaseC-45CaseBuilder-varRule (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9) (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45CaseC-45CaseBuilder-n--20903-16107-u--updateVar arg-2 arg-1 arg-9 arg-0 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 eta-0)) arg-8 '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45CaseC-45CaseBuilder-match arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-5 arg-9))) eff-1)))))))))
(define CoreC-45CaseC-45CaseBuilder-updatePats (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (if (null? arg-1) (lambda (clam-0) (vector 1 '())) (let ((e-2 (car arg-1))) (let ((e-3 (cdr arg-1))) (case (vector-ref arg-4 0) ((0) (let ((e-11 (vector-ref arg-4 1))) (let ((e-13 (vector-ref arg-4 3))) (let ((e-14 (vector-ref arg-4 4))) (case (vector-ref e-13 0) ((2) (let ((e-17 (vector-ref e-13 2))) (let ((e-19 (vector-ref e-13 4))) (if (null? arg-5) (let ((e-8 (car arg-5))) (let ((e-9 (cdr arg-5))) (let ((e-6 (vector-ref e-8 3))) (case (vector-ref e-6 0) ((2) (let ((eff-0 (let ((eff-0 arg-2)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-10 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (lambda (eta-0) (CoreC-45Context-clearDefs e-10 eta-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-15 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-15)))) (else (let ((e-15 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-2 arg-0 e-15 arg-3 arg-4))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-20 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-20)))) (else (let ((e-20 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (cons (let ((e-24 (vector-ref e-8 0))) (let ((e-23 (vector-ref e-8 1))) (let ((e-22 (vector-ref e-8 2))) (vector e-24 e-23 e-22 (vector 1 e-20))))) e-9))))) eff-3))))))))) eff-2))))))))) eff-1))))))))(else (lambda (eta-0) (vector 1 (cons e-8 e-9)))))))) (let ((e-23 (car arg-5))) (let ((e-24 (cdr arg-5))) (let ((e-6 (vector-ref e-23 3))) (case (vector-ref e-6 0) ((2) (let ((eff-0 (let ((eff-0 arg-2)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-8 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (lambda (eta-0) (CoreC-45Context-clearDefs e-8 eta-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-9 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45NormaliseC-45Quote-u--quote_Quote_Closure arg-2 arg-0 e-9 arg-3 e-19))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-10 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 ((e-14 e-8) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) arg-3 (vector 1 e-11 (vector 0 ) e-2))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-15 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-15)))) (else (let ((e-15 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45CaseC-45CaseBuilder-updatePats arg-0 e-3 arg-2 arg-3 e-15 e-24))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-20 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-20)))) (else (let ((e-20 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons (let ((e-26 (vector-ref e-23 0))) (let ((e-25 (vector-ref e-23 1))) (let ((e-22 (vector-ref e-23 2))) (vector e-26 e-25 e-22 (vector 0 e-17 e-10))))) e-20))))) eff-5))))))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))(else (lambda (eta-0) (vector 1 (cons e-23 e-24))))))))))))(else (let ((e-8 (car arg-5))) (let ((e-9 (cdr arg-5))) (let ((e-6 (vector-ref e-8 3))) (case (vector-ref e-6 0) ((2) (let ((eff-0 (let ((eff-0 arg-2)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-10 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (lambda (eta-0) (CoreC-45Context-clearDefs e-10 eta-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-15 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-15)))) (else (let ((e-15 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-2 arg-0 e-15 arg-3 arg-4))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-16 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-16)))) (else (let ((e-16 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (cons (let ((e-20 (vector-ref e-8 0))) (let ((e-19 (vector-ref e-8 1))) (let ((e-18 (vector-ref e-8 2))) (vector e-20 e-19 e-18 (vector 1 e-16))))) e-9))))) eff-3))))))))) eff-2))))))))) eff-1))))))))(else (lambda (eta-0) (vector 1 (cons e-8 e-9))))))))))))))(else (let ((e-8 (car arg-5))) (let ((e-9 (cdr arg-5))) (let ((e-6 (vector-ref e-8 3))) (case (vector-ref e-6 0) ((2) (let ((eff-0 (let ((eff-0 arg-2)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-10 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (lambda (eta-0) (CoreC-45Context-clearDefs e-10 eta-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-11 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-2 arg-0 e-11 arg-3 arg-4))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-12 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-12)))) (else (let ((e-12 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (cons (let ((e-16 (vector-ref e-8 0))) (let ((e-15 (vector-ref e-8 1))) (let ((e-14 (vector-ref e-8 2))) (vector e-16 e-15 e-14 (vector 1 e-12))))) e-9))))) eff-3))))))))) eff-2))))))))) eff-1))))))))(else (lambda (eta-0) (vector 1 (cons e-8 e-9)))))))))))))))
(define CoreC-45CaseC-45CaseBuilder-updatePatNames (lambda (arg-2 arg-3) (if (null? arg-3) '() (let ((e-4 (car arg-3))) (let ((e-5 (cdr arg-3))) (cons (let ((e-2 (vector-ref e-4 0))) (let ((e-3 (vector-ref e-4 1))) (let ((e-7 (vector-ref e-4 2))) (let ((e-6 (vector-ref e-4 3))) (vector e-2 e-3 (CoreC-45CaseC-45CaseBuilder-n--15831-10652-u--update e-5 e-4 arg-2 e-7) e-6))))) (CoreC-45CaseC-45CaseBuilder-updatePatNames arg-2 e-5)))))))
(define CoreC-45CaseC-45CaseBuilder-updateNames (lambda (ext-0) (PreludeC-45TypesC-45List-mapMaybeAppend '() (lambda (eta-0) (CoreC-45CaseC-45CaseBuilder-n--15799-10600-u--update eta-0)) ext-0)))
(define CoreC-45CaseC-45CaseBuilder-toPatClause (lambda (arg-0 arg-1 arg-2 arg-3) (let ((e-2 (car arg-3))) (let ((e-3 (cdr arg-3))) (let ((sc1 (CoreC-45TT-getFnArgs e-2))) (let ((e-5 (car sc1))) (let ((e-4 (cdr sc1))) (case (vector-ref e-5 0) ((1) (let ((e-8 (vector-ref e-5 1))) (let ((e-6 (vector-ref e-5 2))) (let ((e-7 (vector-ref e-5 3))) (case (vector-ref e-6 0) ((1) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-9 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-getPosition arg-2 (let ((e-0 (vector-ref e-9 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-10 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-1 1))) (let ((eff-2 (let ((e-12 (car e-10))) (let ((eff-2 (CoreC-45Context-getPosition e-7 (let ((e-0 (vector-ref e-9 0))) e-0)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-13 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-2 1))) (let ((eff-3 (let ((e-15 (car e-13))) (let ((sc9 (PreludeC-45EqOrd-u--C-61C-61_Eq_Int e-12 e-15))) (cond ((equal? sc9 1) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45CaseC-45CaseBuilder-argToPat arg-0 eta-0)) e-4 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-16 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-16)))) (else (let ((e-16 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (cons e-16 e-3))))) eff-4)))))))) (else (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 e-8 (string-append "Wrong function name in pattern LHS " (PreludeC-45Show-u--show_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-108) (cons arg-2 e-7)))) eta-0)))))))) eff-3)))))))))) eff-2))))))))) eff-1))))))))(else (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 arg-1 "Not a function name in pattern LHS") eta-0))))))))(else (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 arg-1 "Not a function name in pattern LHS") eta-0)))))))))))
(define CoreC-45CaseC-45CaseBuilder-tail (lambda (arg-3) (let ((e-4 (cdr arg-3))) e-4)))
(define CoreC-45CaseC-45CaseBuilder-substInPats (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (if (null? arg-1) (lambda (clam-0) (vector 1 '())) (let ((e-2 (car arg-1))) (let ((e-3 (cdr arg-1))) (let ((e-8 (car arg-6))) (let ((e-9 (cdr arg-6))) (let ((eff-0 (CoreC-45CaseC-45CaseBuilder-substInPatInfo e-2 arg-0 e-3 arg-2 arg-3 arg-4 arg-5 e-8 e-9))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((e-6 (car e-5))) (let ((e-4 (cdr e-5))) (let ((eff-1 (CoreC-45CaseC-45CaseBuilder-substInPats arg-0 e-3 arg-2 arg-3 arg-4 arg-5 e-4))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (cons e-6 e-7))))) eff-2))))))))))) eff-1))))))))))))))
(define CoreC-45CaseC-45CaseBuilder-substInPatInfo (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8) (CoreC-45CaseC-45CaseBuilder-case--substInPatInfo-6227 arg-2 arg-1 arg-8 arg-0 arg-7 arg-6 arg-5 arg-4 arg-3 (let ((e-6 (vector-ref arg-7 3))) e-6))))
(define CoreC-45CaseC-45CaseBuilder-substInClause (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (let ((e-2 (vector-ref arg-5 0))) (let ((e-3 (vector-ref arg-5 1))) (let ((e-4 (vector-ref arg-5 2))) (let ((e-5 (vector-ref arg-5 3))) (let ((e-9 (car e-3))) (let ((e-10 (cdr e-3))) (let ((e-13 (vector-ref e-9 0))) (let ((e-14 (vector-ref e-9 1))) (let ((e-15 (vector-ref e-9 2))) (let ((e-17 (vector-ref e-9 3))) (let ((eff-0 (CoreC-45CaseC-45CaseBuilder-substInPats arg-1 arg-2 arg-3 arg-4 arg-0 (CoreC-45CaseC-45CaseTree-mkTerm arg-1 e-15) e-10))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector e-2 (cons (vector e-13 e-14 e-15 e-17) e-6) e-4 e-5))))) eff-1)))))))))))))))))))
(define CoreC-45CaseC-45CaseBuilder-simpleCase (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (let ((eff-0 (CoreC-45ContextC-45Log-unverifiedLogC arg-0 "compile.casetree" 5 (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-2 (car lamc-0))) (let ((e-3 (cdr lamc-0))) (CoreC-45Core-C-60C-42C-62 (CoreC-45Core-C-60C-42C-62 (lambda (eta-0) (vector 1 (csegen-3736))) (CoreC-45Context-toFullNames arg-0 (csegen-105) e-2)) (CoreC-45Context-toFullNames arg-0 (csegen-105) e-3))))) arg-6 '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (string-append "simpleCase: Clauses:\xa;" (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--show_Show_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-indent 2 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vcat (PreludeC-45Basics-flip (csegen-25) e-5 (lambda (u--lrhs) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-byShow (csegen-1538) (Builtin-fst u--lrhs)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--pretty_Pretty_Void_String ((csegen-0) "=")) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-byShow (csegen-1538) (Builtin-snd u--lrhs)))))))))))))) eff-1)))))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45CaseC-45CaseBuilder-toPatClause arg-0 arg-1 arg-3 eta-0)) arg-6 '()))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (let ((eff-2 arg-0)) (PrimIO-io_bind (let ((eff-3 eff-2)) (lambda (eta-0) (unbox eff-3))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (CoreC-45CaseC-45CaseBuilder-patCompile arg-0 arg-1 arg-3 arg-2 arg-4 e-6 arg-5))) eff-3)))))))) eff-2))))))))) eff-1))))))))
(define CoreC-45CaseC-45CaseBuilder-shuffleVars (lambda (arg-3 arg-5) (cond ((equal? arg-3 0) arg-5)(else (let ((e-2 (vector-ref arg-5 0))) (let ((e-3 (vector-ref arg-5 1))) (let ((e-4 (vector-ref arg-5 2))) (let ((e-5 (vector-ref arg-5 3))) (vector e-2 (CoreC-45CaseC-45CaseBuilder-moveFirst arg-3 e-3) e-4 e-5)))))))))
(define CoreC-45CaseC-45CaseBuilder-sameType (lambda (arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9) (if (null? arg-9) (lambda (eta-0) (vector 1 (vector 0 ))) (let ((e-2 (car arg-9))) (let ((e-3 (cdr arg-9))) (let ((eff-0 (let ((eff-0 arg-4)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((sc2 (CoreC-45CaseC-45CaseBuilder-getFirstArgType e-2))) (case (vector-ref sc2 0) ((0) (let ((e-4 (vector-ref sc2 2))) (let ((eff-1 (CoreC-45NormaliseC-45Eval-nf arg-4 arg-2 e-5 arg-8 e-4))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-6 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45CaseC-45CaseBuilder-n--19151-13690-u--sameTypeAs arg-2 e-2 e-3 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-6 e-6 (((csegen-25) (lambda (eta-0) (CoreC-45CaseC-45CaseBuilder-getFirstArgType eta-0))) e-3)))) eff-2)))))))))(else (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 43 arg-5 arg-7 (vector 1 )) eta-0))))))) eff-1))))))))))))
(define CoreC-45CaseC-45CaseBuilder-samePat (lambda (arg-3) (if (null? arg-3) 1 (let ((e-2 (car arg-3))) (let ((e-3 (cdr arg-3))) (CoreC-45CaseC-45CaseBuilder-n--19649-14112-u--samePatAs e-2 e-3 (CoreC-45CaseC-45CaseBuilder-n--19649-14111-u--dropAs e-2 e-3 (CoreC-45CaseC-45CaseBuilder-getFirstPat e-2)) (((csegen-25) (lambda (eta-0) (CoreC-45CaseC-45CaseBuilder-n--19649-14111-u--dropAs e-2 e-3 (CoreC-45CaseC-45CaseBuilder-getFirstPat eta-0)))) e-3)))))))
(define CoreC-45CaseC-45CaseBuilder-pickNextViable (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8) (if (null? arg-2) (let ((sc1 (CoreC-45CaseC-45CaseBuilder-samePat arg-8))) (cond ((equal? sc1 1) (lambda (eta-0) (vector 1 (cons arg-0 0)))) (else (let ((eff-0 (CoreC-45CaseC-45CaseBuilder-getScore arg-1 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (clam-0) (case (vector-ref e-5 0) ((1) (vector 1 (cons arg-0 0))) (else (let ((e-6 (vector-ref e-5 1))) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 43 arg-5 arg-7 e-6) clam-0))))))) eff-1)))))))))) (let ((e-2 (car arg-2))) (let ((e-3 (cdr arg-2))) (let ((sc1 (CoreC-45CaseC-45CaseBuilder-samePat arg-8))) (cond ((equal? sc1 1) (lambda (eta-0) (vector 1 (cons arg-0 0)))) (else (let ((eff-0 (CoreC-45CaseC-45CaseBuilder-getScore arg-1 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (case (vector-ref e-5 0) ((1) (lambda (eta-0) (vector 1 (cons arg-0 0))))(else (let ((eff-1 (CoreC-45CaseC-45CaseBuilder-pickNextViable e-2 arg-1 e-3 arg-3 arg-4 arg-5 arg-6 arg-7 (((csegen-25) (lambda (eta-0) (CoreC-45CaseC-45CaseBuilder-tail eta-0))) arg-8)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((e-7 (car e-6))) (let ((e-4 (cdr e-6))) (let ((eff-2 e-4)) (lambda (eta-0) (vector 1 (cons e-7 (+ eff-2 1))))))))) eff-2))))))))))) eff-1)))))))))))))))
(define CoreC-45CaseC-45CaseBuilder-patCompile (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (if (null? arg-5) (PreludeC-45Types-maybe (lambda () (lambda (eta-0) (vector 1 (cons '() (vector 2 "No definition"))))) (lambda () (lambda (u--e) (lambda (eta-0) (vector 1 (cons '() u--e))))) arg-6) (let ((e-2 (car arg-5))) (let ((e-3 (cdr arg-5))) (CoreC-45CaseC-45CaseBuilder-case--patCompile-17256 e-2 e-3 arg-6 arg-4 arg-3 arg-2 arg-1 arg-0 (CoreC-45CaseC-45CaseBuilder-n--22911-17130-u--getNames e-2 e-3 arg-6 arg-4 arg-3 arg-2 arg-1 arg-0 0 (Builtin-fst e-2))))))))
(define CoreC-45CaseC-45CaseBuilder-partition (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (if (null? arg-4) (vector 2 ) (let ((e-2 (car arg-4))) (let ((e-3 (cdr arg-4))) (CoreC-45CaseC-45CaseBuilder-with--partition-8935 arg-0 arg-1 arg-2 e-3 arg-3 (CoreC-45CaseC-45CaseBuilder-partition arg-0 arg-1 arg-2 arg-3 e-3) e-2))))))
(define CoreC-45CaseC-45CaseBuilder-nextNames (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (if (null? arg-5) (lambda (eta-0) (vector 1 (cons '() (cons (CoreC-45TTC-45SizeOf-zero) '())))) (let ((e-2 (car arg-5))) (let ((e-3 (cdr arg-5))) (let ((eff-0 (let ((eff-0 arg-2)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (lambda (eta-0) (CoreC-45Context-clearDefs e-5 eta-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45CaseC-45CaseBuilder-nextName arg-1 arg-4))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((u--env (CoreC-45Env-mkEnv arg-3 arg-0))) (let ((eff-3 (if (null? arg-6) (csegen-3726) (let ((e-4 (unbox arg-6))) (case (vector-ref e-4 0) ((0) (let ((e-11 (vector-ref e-4 1))) (let ((e-9 (vector-ref e-4 3))) (let ((e-8 (vector-ref e-4 4))) (case (vector-ref e-9 0) ((2) (let ((e-14 (vector-ref e-9 2))) (let ((e-12 (vector-ref e-9 4))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-2 arg-0 e-5 e-12))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-16 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-16)))) (else (let ((e-16 (vector-ref lcase-3 1))) (let ((eff-4 (case (vector-ref e-16 0) ((9) (let ((eff-4 ((e-8 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) u--env (vector 1 e-11 (vector 0 ) e-7))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-18 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-18)))) (else (let ((e-18 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons (box e-18) (vector 2 )))))) eff-5))))))))(else (let ((eff-4 ((e-8 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) u--env (vector 1 e-11 (vector 0 ) e-7))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-17 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-17)))) (else (let ((e-17 (vector-ref lcase-4 1))) (let ((eff-5 (let ((eff-5 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-2 arg-0 e-6 u--env e-16))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-18 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-18)))) (else (let ((e-18 (vector-ref lcase-5 1))) (let ((eff-6 (lambda (eta-0) (vector 1 (cons (box e-17) (vector 0 e-14 e-18)))))) eff-6))))))))) eff-5))))))))))) eff-4))))))))))(else (let ((eff-3 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-2 arg-0 e-6 u--env e-4))) (PrimIO-io_bind eff-3 (csegen-3753)))))))))(else (let ((eff-3 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-2 arg-0 e-6 u--env e-4))) (PrimIO-io_bind eff-3 (csegen-3753))))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-4 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45CaseC-45CaseBuilder-nextNames arg-0 arg-1 arg-2 arg-3 arg-4 e-3 (Builtin-fst e-8)))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-4 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (let ((e-10 (car e-9))) (let ((e-4 (cdr e-9))) (let ((e-12 (car e-4))) (let ((e-11 (cdr e-4))) (let ((u--argTy (let ((sc8 (Builtin-snd e-8))) (case (vector-ref sc8 0) ((2) (vector 2 )) ((0) (let ((e-14 (vector-ref sc8 1))) (let ((e-13 (vector-ref sc8 2))) (vector 0 e-14 (CoreC-45TT-u--weakenNs_Weaken_Term (CoreC-45TTC-45SizeOf-suc e-12) e-13))))) (else (let ((e-13 (vector-ref sc8 1))) (vector 1 (CoreC-45TT-u--weakenNs_Weaken_Term (CoreC-45TTC-45SizeOf-suc e-12) e-13)))))))) (lambda (eta-0) (vector 1 (cons (cons e-7 e-10) (cons (CoreC-45TTC-45SizeOf-suc e-12) (cons (vector 0 e-7 e-2 u--argTy) (CoreC-45CaseC-45CaseBuilder-weaken e-7 (PreludeC-45TypesC-45List-tailRecAppend e-10 arg-0) e-11))))))))))))) eff-5))))))))) eff-4)))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))))
(define CoreC-45CaseC-45CaseBuilder-nextName (lambda (arg-0 arg-1) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (bs+ e-5 1 63)))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (lambda (eta-0) (vector 1 (vector 2 arg-1 e-5))))) eff-2)))))))) eff-1)))))))))
(define CoreC-45CaseC-45CaseBuilder-nextIdxByScore (lambda (arg-1 arg-2 arg-3 arg-4 arg-5) (cond ((equal? arg-3 0) (cons arg-1 0))(else (if (null? arg-4) (cond (else (DataC-45Maybe-fromMaybe (lambda () (cons arg-1 0)) (CoreC-45CaseC-45CaseBuilder-applyHeuristics arg-1 arg-2 (CoreC-45CaseC-45CaseBuilder-zeroedScore arg-2 arg-5) (cons (lambda (eta-0) (CoreC-45CaseC-45CaseBuilder-heuristicF arg-2 eta-0)) (cons (lambda (eta-0) (CoreC-45CaseC-45CaseBuilder-heuristicB (cons arg-1 arg-2) eta-0)) (cons (lambda (eta-0) (CoreC-45CaseC-45CaseBuilder-heuristicA (cons arg-1 arg-2) eta-0)) '()))))))) (cons arg-1 0))))))
(define CoreC-45CaseC-45CaseBuilder-newPats (lambda (arg-3 arg-4 arg-5) (if (null? arg-3) (cond ((equal? arg-4 0) '())(else (blodwen-error-quit "Nat case not covered"))) (let ((e-2 (car arg-3))) (let ((e-3 (cdr arg-3))) (cond ((equal? arg-4 0) (blodwen-error-quit "Nat case not covered"))(else (let ((e-12 (- arg-4 1))) (let ((e-16 (car arg-5))) (let ((e-17 (cdr arg-5))) (cons (let ((e-7 (vector-ref e-16 0))) (let ((e-5 (vector-ref e-16 1))) (let ((e-6 (vector-ref e-16 3))) (vector e-7 e-5 e-2 e-6)))) (CoreC-45CaseC-45CaseBuilder-newPats e-3 e-12 e-17))))))))))))
(define CoreC-45CaseC-45CaseBuilder-namesIn (lambda (arg-0 arg-1) (case (vector-ref arg-1 0) ((0) (let ((e-1 (vector-ref arg-1 2))) (let ((e-2 (vector-ref arg-1 3))) (let ((sc1 (PreludeC-45Types-elem (csegen-16) (csegen-1008) e-1 arg-0))) (cond ((equal? sc1 1) (CoreC-45CaseC-45CaseBuilder-namesIn arg-0 e-2)) (else 0)))))) ((1) (let ((e-7 (vector-ref arg-1 5))) (PreludeC-45Interfaces-all (csegen-16) (lambda (eta-0) (CoreC-45CaseC-45CaseBuilder-namesIn arg-0 eta-0)) e-7))) ((2) (let ((e-11 (vector-ref arg-1 4))) (PreludeC-45Interfaces-all (csegen-16) (lambda (eta-0) (CoreC-45CaseC-45CaseBuilder-namesIn arg-0 eta-0)) e-11))) ((4) (let ((e-14 (vector-ref arg-1 3))) (let ((e-15 (vector-ref arg-1 4))) (let ((sc1 (CoreC-45CaseC-45CaseBuilder-namesIn arg-0 e-14))) (cond ((equal? sc1 1) (CoreC-45CaseC-45CaseBuilder-namesIn arg-0 e-15)) (else 0)))))) ((5) (let ((e-18 (vector-ref arg-1 3))) (let ((e-19 (vector-ref arg-1 4))) (let ((sc1 (CoreC-45CaseC-45CaseBuilder-namesIn arg-0 e-18))) (cond ((equal? sc1 1) (CoreC-45CaseC-45CaseBuilder-namesIn arg-0 e-19)) (else 0)))))) ((6) (let ((e-21 (vector-ref arg-1 2))) (PreludeC-45Types-elem (csegen-16) (csegen-1008) e-21 arg-0)))(else 1))))
(define CoreC-45CaseC-45CaseBuilder-namesFrom (lambda (arg-0) (case (vector-ref arg-0 0) ((0) (let ((e-1 (vector-ref arg-0 2))) (let ((e-2 (vector-ref arg-0 3))) (cons e-1 (CoreC-45CaseC-45CaseBuilder-namesFrom e-2))))) ((1) (let ((e-7 (vector-ref arg-0 5))) (PreludeC-45Interfaces-concatMap (csegen-83) (csegen-16) (lambda (eta-0) (CoreC-45CaseC-45CaseBuilder-namesFrom eta-0)) e-7))) ((2) (let ((e-11 (vector-ref arg-0 4))) (PreludeC-45Interfaces-concatMap (csegen-83) (csegen-16) (lambda (eta-0) (CoreC-45CaseC-45CaseBuilder-namesFrom eta-0)) e-11))) ((4) (let ((e-14 (vector-ref arg-0 3))) (let ((e-15 (vector-ref arg-0 4))) (PreludeC-45TypesC-45List-tailRecAppend (CoreC-45CaseC-45CaseBuilder-namesFrom e-14) (CoreC-45CaseC-45CaseBuilder-namesFrom e-15))))) ((5) (let ((e-18 (vector-ref arg-0 3))) (let ((e-19 (vector-ref arg-0 4))) (PreludeC-45TypesC-45List-tailRecAppend (CoreC-45CaseC-45CaseBuilder-namesFrom e-18) (CoreC-45CaseC-45CaseBuilder-namesFrom e-19))))) ((6) (let ((e-21 (vector-ref arg-0 2))) (cons e-21 '())))(else '()))))
(define CoreC-45CaseC-45CaseBuilder-moveFirst (lambda (arg-3 arg-5) (cons (CoreC-45CaseC-45CaseBuilder-getPat arg-3 arg-5) (CoreC-45CaseC-45CaseBuilder-dropPat arg-3 arg-5))))
(define CoreC-45CaseC-45CaseBuilder-mkPatClause (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (let ((e-2 (car arg-6))) (let ((e-3 (cdr arg-6))) (PreludeC-45Types-maybe (lambda () (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 43 arg-1 arg-2 (vector 0 )) eta-0))) (lambda () (lambda (u--eq) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-nf arg-0 '() e-5 '() arg-4))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45CaseC-45CaseBuilder-n--22484-16689-u--mkNames e-2 e-3 arg-5 arg-4 arg-3 arg-2 arg-1 arg-0 arg-3 e-2 u--eq (box e-6)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45ContextC-45Log-log arg-0 "compile.casetree" 20 (lambda () (string-append "Make pat clause for names " (string-append (CoreC-45CaseC-45CaseBuilder-u--show_Show_C-40C-40NamedPatsC-32C-36varsC-41C-32C-36todoC-41 arg-3 arg-3 e-7) (string-append " in LHS " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-1527) e-2)))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-4 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-4 (lambda (eta-0) (vector 1 (vector '() e-7 arg-5 (CoreC-45TT-u--weakenNs_Weaken_Term (CoreC-45TTC-45SizeOf-mkSizeOf arg-3) e-3)))))) eff-4)))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))) (LibrariesC-45DataC-45LengthMatch-checkLengthMatch arg-3 e-2))))))
(define CoreC-45CaseC-45CaseBuilder-mkPat (lambda (arg-0 arg-1 arg-2 arg-3) (case (vector-ref arg-3 0) ((1) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-3 (vector-ref arg-3 3))) (case (vector-ref e-2 0) ((0) (lambda (eta-0) (vector 1 (vector 6 e-1 e-3)))) ((2) (let ((e-29 (vector-ref e-2 1))) (let ((e-30 (vector-ref e-2 2))) (lambda (eta-0) (vector 1 (vector 1 e-1 e-3 e-29 e-30 arg-1)))))) ((3) (let ((e-32 (vector-ref e-2 2))) (lambda (eta-0) (vector 1 (vector 2 e-1 e-3 e-32 arg-1))))) ((1) (let ((eff-0 (CoreC-45Context-getPrimitiveNames arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Normalise-normalisePrims arg-0 '() (lambda (eta-0) 1) (lambda (eta-0) (CoreC-45CaseC-45CaseTree-isPConst eta-0)) 1 e-5 e-3 arg-1 arg-2 '()))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-6) (let ((eff-2 (CoreC-45ContextC-45Log-log arg-0 (csegen-3416) 10 (lambda () (string-append ((csegen-0) "Unmatchable function: ") (CoreC-45Name-u--show_Show_Name e-3)))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-3 (lambda (eta-0) (vector 1 (vector 7 (CoreC-45TT-getLoc arg-2) arg-2))))) eff-3)))))) (let ((e-4 (unbox e-6))) (let ((sc5 (CoreC-45TT-u--C-47C-61_Eq_C-40TermC-32C-36varsC-41 e-4 arg-2))) (cond ((equal? sc5 1) (CoreC-45CaseC-45CaseBuilder-mkPat arg-0 '() e-4 e-4)) (else (lambda (eta-0) (vector 1 (vector 7 (CoreC-45TT-getLoc arg-2) arg-2)))))))))) eff-2))))))))) eff-1))))))))(else (let ((eff-0 (CoreC-45ContextC-45Log-log arg-0 "compile.casetree" 10 (lambda () (string-append "Catchall: marking " (string-append (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() arg-3) " as unmatchable")))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-1 (lambda (eta-0) (vector 1 (vector 7 (CoreC-45TT-getLoc arg-2) arg-2))))) eff-1)))))))))))) ((3) (let ((e-5 (vector-ref arg-3 1))) (let ((e-6 (vector-ref arg-3 2))) (let ((e-7 (vector-ref arg-3 3))) (let ((e-8 (vector-ref arg-3 4))) (case (vector-ref e-7 0) ((2) (let ((e-37 (vector-ref e-7 4))) (let ((u--tC-39 (CoreC-45TTC-45SubstEnv-subst (vector 10 e-5 (vector 0 )) e-8))) (let ((eff-0 (CoreC-45CaseC-45CaseBuilder-mkPat arg-0 '() e-37 e-37))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45CaseC-45CaseBuilder-mkPat arg-0 '() u--tC-39 u--tC-39))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-10 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 4 e-5 e-6 e-9 e-10))))) eff-2))))))))) eff-1))))))))))(else (let ((eff-0 (CoreC-45ContextC-45Log-log arg-0 "compile.casetree" 10 (lambda () (string-append "Catchall: marking " (string-append (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() arg-3) " as unmatchable")))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (lambda (eta-0) (vector 1 (vector 7 (CoreC-45TT-getLoc arg-2) arg-2))))) eff-1))))))))))))) ((4) (let ((e-11 (vector-ref arg-3 2))) (let ((e-12 (vector-ref arg-3 3))) (let ((eff-0 (CoreC-45CaseC-45CaseBuilder-mkPat arg-0 '() e-12 e-12))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45CaseC-45CaseBuilder-mkPat arg-0 (cons e-5 arg-1) arg-2 e-11))) eff-1)))))))))) ((5) (let ((e-14 (vector-ref arg-3 1))) (let ((e-16 (vector-ref arg-3 3))) (let ((e-17 (vector-ref arg-3 4))) (case (vector-ref e-16 0) ((1) (let ((e-40 (vector-ref e-16 2))) (let ((e-41 (vector-ref e-16 3))) (case (vector-ref e-40 0) ((0) (let ((eff-0 (CoreC-45CaseC-45CaseBuilder-mkPat arg-0 '() e-17 e-17))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 0 e-14 e-41 e-5))))) eff-1))))))))(else (CoreC-45CaseC-45CaseBuilder-mkPat arg-0 '() arg-2 e-17))))))(else (CoreC-45CaseC-45CaseBuilder-mkPat arg-0 '() arg-2 e-17))))))) ((7) (let ((e-19 (vector-ref arg-3 1))) (let ((e-20 (vector-ref arg-3 2))) (let ((e-21 (vector-ref arg-3 3))) (let ((e-22 (vector-ref arg-3 4))) (let ((eff-0 (CoreC-45CaseC-45CaseBuilder-mkPat arg-0 '() arg-2 e-21))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45CaseC-45CaseBuilder-mkPat arg-0 '() arg-2 e-22))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 5 e-19 e-20 e-5 e-6))))) eff-2))))))))) eff-1)))))))))))) ((9) (let ((e-24 (vector-ref arg-3 1))) (let ((e-25 (vector-ref arg-3 2))) (lambda (clam-0) (case (vector-ref e-25 0) ((13) (let ((e-42 (vector-ref e-25 1))) (vector 1 (vector 2 e-24 (vector 1 (vector 0 (CoreC-45TT-u--show_Show_PrimType e-42))) 0 '()))))(else (vector 1 (vector 3 e-24 e-25)))))))) ((11) (let ((e-27 (vector-ref arg-3 1))) (lambda (eta-0) (vector 1 (vector 2 e-27 (vector 1 (vector 0 "Type")) 0 '())))))(else (let ((eff-0 (CoreC-45ContextC-45Log-log arg-0 "compile.casetree" 10 (lambda () (string-append "Catchall: marking " (string-append (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() arg-3) " as unmatchable")))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (lambda (eta-0) (vector 1 (vector 7 (CoreC-45TT-getLoc arg-2) arg-2))))) eff-1))))))))))
(define CoreC-45CaseC-45CaseBuilder-mixture (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10) (case (vector-ref arg-9 0) ((0) (let ((e-3 (vector-ref arg-9 1))) (let ((e-5 (vector-ref arg-9 3))) (let ((e-6 (vector-ref arg-9 4))) (let ((e-7 (vector-ref arg-9 5))) (if (null? e-3) (lambda (clam-0) (vector 1 arg-10)) (let ((eff-0 (CoreC-45CaseC-45CaseBuilder-mixture arg-0 arg-1 arg-2 arg-3 arg-4 e-5 arg-6 arg-7 arg-8 e-7 arg-10))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45CaseC-45CaseBuilder-conRule arg-0 arg-1 arg-2 arg-3 arg-4 arg-6 arg-7 arg-8 e-6 e-8))) (PrimIO-io_bind eff-1 (csegen-1573))))) eff-1))))))))))))) ((1) (let ((e-8 (vector-ref arg-9 1))) (let ((e-10 (vector-ref arg-9 3))) (let ((e-11 (vector-ref arg-9 4))) (let ((e-12 (vector-ref arg-9 5))) (if (null? e-8) (lambda (clam-1) (vector 1 arg-10)) (let ((eff-0 (CoreC-45CaseC-45CaseBuilder-mixture arg-0 arg-1 arg-2 arg-3 arg-4 e-10 arg-6 arg-7 arg-8 e-12 arg-10))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45CaseC-45CaseBuilder-varRule arg-0 arg-1 arg-2 arg-3 arg-4 arg-6 arg-7 arg-8 e-11 e-5))) (PrimIO-io_bind eff-1 (csegen-1573))))) eff-1)))))))))))))(else (lambda (clam-2) (vector 1 arg-10))))))
(define CoreC-45CaseC-45CaseBuilder-match (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8) (if (null? arg-1) (if (null? arg-7) (PreludeC-45Types-maybe (lambda () (lambda (eta-0) (vector 1 (vector 2 "No patterns")))) (lambda () (lambda (eta-0) (lambda (eta-1) (vector 1 eta-0)))) arg-8) (let ((e-6 (car arg-7))) (let ((e-11 (vector-ref e-6 1))) (let ((e-12 (vector-ref e-6 2))) (let ((e-13 (vector-ref e-6 3))) (lambda (clam-0) (case (vector-ref e-13 0) ((10) (let ((e-17 (vector-ref e-13 2))) (case (vector-ref e-17 0) ((1) (vector 1 (vector 3 )))(else (vector 1 (vector 1 e-12 e-13))))))(else (vector 1 (vector 1 e-12 e-13)))))))))) (let ((e-1 (car arg-1))) (let ((e-2 (cdr arg-1))) (let ((u--nps (PreludeC-45Interfaces-C-60C-36C-62 (csegen-24) (lambda (eta-0) (CoreC-45CaseC-45CaseBuilder-getNPs eta-0)) arg-7))) (let ((eff-0 (CoreC-45Context-getSession arg-3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45CaseC-45CaseBuilder-case--match-15366 arg-0 e-2 e-1 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 u--nps e-5 (CoreC-45CaseC-45CaseBuilder-nextIdxByScore e-1 e-2 (let ((e-23 (vector-ref e-5 23))) e-23) arg-6 u--nps)))) eff-1)))))))))))))
(define CoreC-45CaseC-45CaseBuilder-identifyUnreachableDefaults (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (case (vector-ref arg-4 0) ((8) (csegen-3756)) ((10) (csegen-3756))(else (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45CaseC-45CaseBuilder-n--23860-17984-u--rep arg-1 arg-5 arg-4 arg-3 arg-2 arg-0 eta-0)) arg-5 '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45CaseC-45CaseBuilder-case--identifyUnreachableDefaults-18203 arg-1 arg-5 arg-4 arg-3 arg-2 arg-0 e-5 (CoreC-45CaseC-45CaseBuilder-n--23860-17985-u--dropRep arg-1 arg-5 arg-4 arg-3 arg-2 arg-0 (PreludeC-45Interfaces-concat (csegen-83) (csegen-16) e-5) (csegen-3706))))) eff-1)))))))))))
(define CoreC-45CaseC-45CaseBuilder-highScoreIdx (lambda (arg-1 arg-2 arg-3) (let ((e-4 (cdr arg-3))) (let ((e-7 (car e-4))) (let ((e-8 (cdr e-4))) (CoreC-45CaseC-45CaseBuilder-highScore '() (cons arg-1 arg-2) (cons e-7 e-8) (bs- e-7 1 63) (cons arg-1 0) 0))))))
(define CoreC-45CaseC-45CaseBuilder-highScore (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (if (null? arg-1) (cond ((equal? arg-5 1) '()) (else (box arg-4))) (let ((e-2 (car arg-1))) (let ((e-3 (cdr arg-1))) (let ((e-7 (car arg-2))) (let ((e-8 (cdr arg-2))) (let ((u--next (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (CoreC-45CaseC-45CaseBuilder-highScore (DataC-45List-snoc arg-0 e-2) e-3 e-8 eta-0 eta-1 eta-2)))))) (let ((sc2 (PreludeC-45EqOrd-u--compare_Ord_Int e-7 arg-3))) (cond ((equal? sc2 0) (((u--next arg-3) arg-4) arg-5)) ((equal? sc2 1) (((u--next arg-3) arg-4) 1)) (else (((u--next e-7) (cons e-2 (CoreC-45TT-weakenNVar (CoreC-45TTC-45SizeOf-mkSizeOf arg-0) 0))) 0))))))))))))
(define CoreC-45CaseC-45CaseBuilder-heuristicF (lambda (arg-2 arg-3) (let ((e-3 (car arg-3))) (let ((e-4 (cdr arg-3))) (if (null? e-3) arg-3 (let ((e-7 (car e-3))) (let ((e-8 (cdr e-3))) (let ((u--columnScores (CoreC-45CaseC-45CaseBuilder-n--18689-13230-u--scores arg-2 e-7 e-8 e-4 e-7))) (let ((u--ysC-39 (DataC-45Vect-u--zipWith_Zippable_C-40VectC-32C-36kC-41 (csegen-2271) e-4 u--columnScores))) (cons (cons e-7 e-8) u--ysC-39))))))))))
(define CoreC-45CaseC-45CaseBuilder-heuristicB (lambda (arg-1 ext-0) (CoreC-45CaseC-45CaseBuilder-consScoreHeuristic arg-1 (lambda (eta-0) (CoreC-45CaseC-45CaseBuilder-headConsPenalty (lambda (u--arity) (let ((sc0 (or (and (= u--arity 0) 1) 0))) (cond ((equal? sc0 1) 0) (else -1)))) eta-0)) ext-0)))
(define CoreC-45CaseC-45CaseBuilder-heuristicA (lambda (arg-1 ext-0) (CoreC-45CaseC-45CaseBuilder-consScoreHeuristic arg-1 (lambda (eta-0) (CoreC-45CaseC-45CaseBuilder-headConsPenalty (lambda (eta-1) (bs- 0 (blodwen-toSignedInt eta-1 63) 63)) eta-0)) ext-0)))
(define CoreC-45CaseC-45CaseBuilder-headConsPenalty (lambda (arg-0 arg-1) (case (vector-ref arg-1 0) ((0) (let ((e-2 (vector-ref arg-1 3))) (CoreC-45CaseC-45CaseBuilder-headConsPenalty arg-0 e-2))) ((1) (let ((e-6 (vector-ref arg-1 4))) (arg-0 e-6))) ((2) (let ((e-10 (vector-ref arg-1 3))) (arg-0 e-10))) ((3) 0) ((4) 0) ((5) (let ((e-21 (vector-ref arg-1 4))) (CoreC-45CaseC-45CaseBuilder-headConsPenalty arg-0 e-21))) ((6) 0) (else 0))))
(define CoreC-45CaseC-45CaseBuilder-groupCons (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8) (CoreC-45CaseC-45CaseBuilder-n--16067-10879-u--gc arg-0 arg-1 arg-2 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-0 arg-1 arg-2 '() arg-8)))
(define CoreC-45CaseC-45CaseBuilder-getScore (lambda (arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8) (CoreC-45Core-u--catch_Catchable_Core_Error (let ((eff-0 (CoreC-45CaseC-45CaseBuilder-sameType arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 (CoreC-45Env-mkEnv arg-5 arg-2) arg-8))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (lambda (eta-0) (vector 1 (vector 1 (vector 0 )))))) eff-1)))))) (lambda (lcase-0) (lambda (clam-0) (case (vector-ref lcase-0 0) ((43) (let ((e-2 (vector-ref lcase-0 3))) (vector 1 (vector 0 e-2))))(else (CoreC-45Core-u--throw_Catchable_Core_Error lcase-0 clam-0))))))))
(define CoreC-45CaseC-45CaseBuilder-getPatInfo (lambda (arg-2) (if (null? arg-2) '() (let ((e-4 (car arg-2))) (let ((e-5 (cdr arg-2))) (cons (let ((e-7 (vector-ref e-4 2))) e-7) (CoreC-45CaseC-45CaseBuilder-getPatInfo e-5)))))))
(define CoreC-45CaseC-45CaseBuilder-getPat (lambda (arg-3 arg-5) (cond ((equal? arg-3 0) (let ((e-4 (car arg-5))) e-4))(else (let ((e-0 (- arg-3 1))) (let ((e-10 (cdr arg-5))) (CoreC-45CaseC-45CaseBuilder-getPat e-0 e-10)))))))
(define CoreC-45CaseC-45CaseBuilder-getPMDef (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (if (null? arg-5) (let ((eff-0 (CoreC-45ContextC-45Log-log arg-0 "compile.casetree.getpmdef" 20 (lambda () "getPMDef: No clauses!")))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (unbox eff-2))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45NormaliseC-45Eval-nf arg-0 '() e-6 '() arg-4))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45CaseC-45CaseBuilder-n--24405-18440-u--getArgs arg-4 arg-3 arg-2 arg-1 arg-0 0 e-7))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (cons e-8 (cons (vector 2 "No clauses") '())))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--cs (((csegen-25) (lambda (eta-0) (CoreC-45CaseC-45CaseBuilder-n--24405-18559-u--toClosed arg-5 arg-4 arg-3 arg-2 arg-1 arg-0 e-5 eta-0))) (CoreC-45CaseC-45CaseBuilder-n--24405-18556-u--labelPat arg-5 arg-4 arg-3 arg-2 arg-1 arg-0 0 arg-5)))) (let ((eff-1 (CoreC-45CaseC-45CaseBuilder-simpleCase arg-0 arg-1 arg-2 arg-3 arg-4 '() u--cs))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((e-2 (car e-6))) (let ((e-3 (cdr e-6))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-0 (csegen-3419) e-3))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (CoreC-45ContextC-45Log-unverifiedLogC arg-0 ((csegen-0) "compile.casetree.getpmdef") 20 (lambda (eta-0) (vector 1 (string-append ((csegen-0) "Compiled to: ") (CoreC-45CaseC-45CaseTree-u--show_Show_C-40CaseTreeC-32C-36varsC-41 e-2 e-7))))))) eff-3))))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-3 (let ((u--reached (CoreC-45CaseC-45CaseBuilder-findReached e-3))) (let ((eff-3 (CoreC-45ContextC-45Log-log arg-0 (csegen-3712) 25 (lambda () (string-append ((csegen-0) "Reached clauses: ") (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-583) u--reached)))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-4 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-4 (let ((eff-4 (CoreC-45CaseC-45CaseBuilder-findExtraDefaults arg-0 e-2 arg-1 e-5 e-3))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-4 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (let ((u--unreachable (CoreC-45CaseC-45CaseBuilder-n--24405-18555-u--getUnreachable arg-5 arg-4 arg-3 arg-2 arg-1 arg-0 0 (DataC-45List-C-92C-92 (csegen-290) u--reached e-9) arg-5))) (lambda (eta-0) (vector 1 (cons e-2 (cons e-3 u--unreachable))))))) eff-5))))))))) eff-4))))))))) eff-3)))))))))) eff-2)))))))))) eff-1))))))))))
(define CoreC-45CaseC-45CaseBuilder-getNPs (lambda (arg-2) (let ((e-3 (vector-ref arg-2 1))) e-3)))
(define CoreC-45CaseC-45CaseBuilder-getFirstPat (lambda (arg-3) (let ((e-3 (car arg-3))) (let ((e-5 (vector-ref e-3 2))) e-5))))
(define CoreC-45CaseC-45CaseBuilder-getFirstArgType (lambda (arg-3) (let ((e-3 (car arg-3))) (let ((e-6 (vector-ref e-3 3))) e-6))))
(define CoreC-45CaseC-45CaseBuilder-findReachedAlts (lambda (arg-1) (case (vector-ref arg-1 0) ((0) (let ((e-4 (vector-ref arg-1 4))) (CoreC-45CaseC-45CaseBuilder-findReached e-4))) ((1) (let ((e-8 (vector-ref arg-1 3))) (CoreC-45CaseC-45CaseBuilder-findReached e-8))) ((2) (let ((e-11 (vector-ref arg-1 2))) (CoreC-45CaseC-45CaseBuilder-findReached e-11))) (else (let ((e-13 (vector-ref arg-1 1))) (CoreC-45CaseC-45CaseBuilder-findReached e-13))))))
(define CoreC-45CaseC-45CaseBuilder-findReached (lambda (arg-1) (case (vector-ref arg-1 0) ((0) (let ((e-5 (vector-ref arg-1 4))) (PreludeC-45Interfaces-concatMap (csegen-83) (csegen-16) (lambda (eta-0) (CoreC-45CaseC-45CaseBuilder-findReachedAlts eta-0)) e-5))) ((1) (let ((e-7 (vector-ref arg-1 1))) (cons e-7 '())))(else '()))))
(define CoreC-45CaseC-45CaseBuilder-findExtraDefaults (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (case (vector-ref arg-4 0) ((0) (let ((e-1 (vector-ref arg-4 1))) (let ((e-2 (vector-ref arg-4 2))) (let ((e-4 (vector-ref arg-4 3))) (let ((e-5 (vector-ref arg-4 4))) (let ((u--fenv (CoreC-45Env-mkEnv arg-2 arg-1))) (let ((eff-0 (CoreC-45NormaliseC-45Eval-nf arg-0 arg-1 arg-3 u--fenv e-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45CaseC-45CaseBuilder-identifyUnreachableDefaults arg-0 arg-1 arg-2 arg-3 e-6 e-5))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-3 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (let ((eff-2 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45CaseC-45CaseBuilder-n--24299-18337-u--findExtraAlts arg-1 e-5 e-4 e-2 e-1 arg-4 arg-3 arg-2 arg-0 eta-0)) e-5 '()))) (((csegen-50) ((let ((eff-3 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-3 (vector-ref eta-3 1))) (vector 0 e-3))) (else (let ((e-8 (vector-ref eta-3 1))) (vector 1 (eta-2 e-8))))))))))) (lambda (arg-5) (lambda (arg-6) ((((eff-3 'erased) 'erased) arg-5) arg-6)))) (csegen-3768))) eff-2)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-3 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (PreludeC-45TypesC-45List-tailRecAppend (LibrariesC-45DataC-45SortedSet-toList e-7) e-8))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))(else (lambda (eta-0) (vector 1 '()))))))
(define CoreC-45CaseC-45CaseBuilder-dropPat (lambda (arg-3 arg-5) (cond ((equal? arg-3 0) (let ((e-5 (cdr arg-5))) e-5))(else (let ((e-0 (- arg-3 1))) (let ((e-9 (car arg-5))) (let ((e-10 (cdr arg-5))) (cons e-9 (CoreC-45CaseC-45CaseBuilder-dropPat e-0 e-10)))))))))
(define CoreC-45CaseC-45CaseBuilder-consScoreHeuristic (lambda (arg-1 arg-2 arg-3) (let ((e-1 (car arg-1))) (let ((e-2 (cdr arg-1))) (let ((e-6 (car arg-3))) (let ((e-7 (cdr arg-3))) (if (null? e-6) arg-3 (let ((u--columnScores (PreludeC-45Interfaces-C-60C-36C-62 (csegen-2280) (lambda (eta-0) (PreludeC-45Interfaces-sum (csegen-258) (csegen-2238) eta-0)) (CoreC-45CaseC-45CaseBuilder-n--18408-12976-u--scoreColumns e-1 e-2 e-7 e-6 arg-2 arg-1 (cons e-1 e-2) e-6)))) (let ((u--ysC-39 (DataC-45Vect-u--zipWith_Zippable_C-40VectC-32C-36kC-41 (csegen-2271) e-7 u--columnScores))) (cons e-6 u--ysC-39))))))))))
(define CoreC-45CaseC-45CaseBuilder-conRule (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9) (if (null? arg-8) (PreludeC-45Types-maybe (lambda () (lambda (eta-0) (vector 1 (vector 2 "No constructor clauses")))) (lambda () (lambda (eta-0) (lambda (eta-1) (vector 1 eta-0)))) arg-9) (let ((e-2 (car arg-8))) (let ((e-6 (vector-ref e-2 0))) (let ((e-7 (vector-ref e-2 1))) (let ((e-13 (car e-7))) (let ((e-17 (vector-ref e-13 0))) (let ((e-18 (vector-ref e-13 1))) (let ((e-21 (vector-ref e-13 3))) (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45CaseC-45CaseBuilder-substInClause arg-0 arg-1 arg-2 arg-4 arg-5 eta-0)) arg-8 '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45CaseC-45CaseBuilder-groupCons arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-6 e-5))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-10 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (lambda (clam-0) (case (vector-ref e-21 0) ((0) (let ((e-4 (vector-ref e-21 2))) (vector 1 e-4)))(else (CoreC-45Core-u--throw_Catchable_Core_Error (vector 43 arg-5 arg-6 (vector 4 )) clam-0)))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-11 (vector-ref lcase-2 1))) (let ((eff-3 (CoreC-45CaseC-45CaseBuilder-caseGroups e-18 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-17 e-11 e-10 arg-9))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))))
(define CoreC-45CaseC-45CaseBuilder-clauseType (lambda (arg-3 arg-4) (let ((e-2 (vector-ref arg-4 0))) (let ((e-3 (vector-ref arg-4 1))) (let ((e-4 (vector-ref arg-4 2))) (let ((e-5 (vector-ref arg-4 3))) (let ((e-9 (car e-3))) (let ((e-10 (cdr e-3))) (let ((e-13 (vector-ref e-9 0))) (let ((e-14 (vector-ref e-9 1))) (let ((e-15 (vector-ref e-9 2))) (let ((e-17 (vector-ref e-9 3))) (CoreC-45CaseC-45CaseBuilder-n--13402-8529-u--getClauseType e-13 e-14 e-17 e-15 e-10 e-5 e-4 e-2 arg-3 arg-3 e-15 e-17)))))))))))))
(define CoreC-45CaseC-45CaseBuilder-checkGroupMatch (lambda (arg-2 arg-3 arg-4) (case (vector-ref arg-2 0) ((0) (let ((e-0 (vector-ref arg-2 1))) (let ((e-1 (vector-ref arg-2 2))) (case (vector-ref arg-4 0) ((0) (let ((e-5 (vector-ref arg-4 1))) (let ((e-6 (vector-ref arg-4 2))) (let ((e-7 (vector-ref arg-4 3))) (let ((e-8 (vector-ref arg-4 4))) (if (null? e-8) (vector 3 ) (let ((e-10 (car e-8))) (let ((sc3 (LibrariesC-45DataC-45LengthMatch-checkLengthMatch arg-3 e-5))) (if (null? sc3) (vector 3 ) (let ((e-2 (unbox sc3))) (let ((sc4 (CoreC-45Name-nameEq e-0 e-6))) (if (null? sc4) (vector 3 ) (let ((sc5 (((csegen-570) e-1) e-7))) (case (vector-ref sc5 0) ((0) (vector 0 e-1 e-2))(else (vector 3 ))))))))))))))))(else (vector 3 )))))) ((1) (if (null? arg-3) (case (vector-ref arg-4 0) ((1) (let ((e-23 (vector-ref arg-4 3))) (if (null? e-23) (vector 3 ) (let ((e-25 (car e-23))) (vector 1 )))))(else (vector 3 ))) (vector 3 ))) ((2) (let ((e-2 (vector-ref arg-2 1))) (if (null? arg-3) (case (vector-ref arg-4 0) ((2) (let ((e-36 (vector-ref arg-4 1))) (let ((e-37 (vector-ref arg-4 2))) (if (null? e-37) (vector 3 ) (let ((e-39 (car e-37))) (let ((sc4 (CoreC-45TT-constantEq e-2 e-36))) (if (null? sc4) (vector 3 ) (vector 2 ))))))))(else (vector 3 ))) (vector 3 ))))(else (vector 3 )))))
(define CoreC-45CaseC-45CaseBuilder-caseGroups (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-10 arg-11 arg-12) (let ((eff-0 (CoreC-45CaseC-45CaseBuilder-n--20812-15782-u--altGroups arg-0 arg-2 arg-8 arg-1 arg-12 arg-11 arg-10 arg-7 arg-6 arg-5 arg-4 arg-3 arg-11))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 0 arg-0 arg-8 (CoreC-45TT-resolveNames arg-1 arg-10) e-5))))) eff-1)))))))))
(define CoreC-45CaseC-45CaseBuilder-argToPat (lambda (arg-0 arg-1) (CoreC-45CaseC-45CaseBuilder-mkPat arg-0 '() arg-1 arg-1)))
(define CoreC-45CaseC-45CaseBuilder-applyHeuristics (lambda (arg-1 arg-2 arg-3 arg-4) (if (null? arg-4) (CoreC-45CaseC-45CaseBuilder-highScoreIdx arg-1 arg-2 arg-3) (let ((e-2 (car arg-4))) (let ((e-3 (cdr arg-4))) (PreludeC-45Types-u--C-60C-124C-62_Alternative_Maybe (CoreC-45CaseC-45CaseBuilder-highScoreIdx arg-1 arg-2 arg-3) (lambda () (CoreC-45CaseC-45CaseBuilder-applyHeuristics arg-1 arg-2 (e-2 arg-3) e-3))))))))
(define CoreC-45CaseC-45CaseBuilder-C-43C-43 (lambda (arg-3 arg-4) (if (null? arg-3) arg-4 (let ((e-4 (car arg-3))) (let ((e-5 (cdr arg-3))) (cons e-4 (CoreC-45CaseC-45CaseBuilder-C-43C-43 e-5 arg-4)))))))
(define TTImpC-45ProcessRunElab-processRunElab (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10) (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (lambda (clam-0) (let ((sc1 (CoreC-45Context-isExtension 0 e-5))) (cond ((equal? sc1 1) (vector 1 (vector 0 ))) (else (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 arg-9 "%language ElabReflection not enabled") clam-0))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45Context-resolveName arg-1 (vector 1 (vector 0 "[elaborator script]"))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((u--n (csegen-2952))) (let ((eff-3 (CoreC-45Reflect-getCon arg-0 arg-9 e-5 (CoreC-45Reflect-builtin "Unit")))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Reflect-appCon arg-0 arg-9 e-5 u--n (cons e-8 '())))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (let ((eff-5 (TTImpC-45Elab-checkTerm arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-7 (vector 2 ) arg-6 arg-7 arg-8 arg-10 (CoreC-45NormaliseC-45Eval-gnf arg-0 arg-8 e-9)))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-10 (vector-ref lcase-5 1))) (let ((eff-6 (let ((eff-6 (CoreC-45NormaliseC-45Eval-nfOpts arg-1 arg-0 (CoreC-45Value-withAll) e-5 arg-8 e-10))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-2 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-11 (vector-ref lcase-6 1))) (let ((eff-7 (let ((eff-7 (TTImpC-45ElabC-45RunElab-elabScript arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 (AlgebraC-45ZeroOneOmega-u--top_Top_ZeroOneOmega) arg-9 arg-7 arg-8 e-11 '()))) (((csegen-50) ((let ((eff-8 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-12 (vector-ref eta-3 1))) (vector 1 (eta-2 e-12))))))))))) (lambda (arg-11) (lambda (arg-12) ((((eff-8 'erased) 'erased) arg-11) arg-12)))) (lambda (_-8679) (vector 0 )))) eff-7)))) eff-7))))))))) eff-6))))))))) eff-5))))))))) eff-4)))))))))) eff-3))))))))) eff-2)))))))) eff-1)))))))))
(define TTImpC-45ProcessRecord-n--9671-5053-u--removeIHoles (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17) ((csegen-25) ((let ((eff-0 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (let ((e-2 (car eta-3))) (let ((e-3 (cdr eta-3))) (cons e-2 (eta-2 e-3)))))))))) (lambda (arg-18) (lambda (arg-19) ((((eff-0 'erased) 'erased) arg-18) arg-19)))) ((let ((eff-0 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (let ((e-2 (car eta-3))) (let ((e-3 (cdr eta-3))) (cons e-2 (eta-2 e-3)))))))))) (lambda (arg-18) (lambda (arg-19) ((((eff-0 'erased) 'erased) arg-18) arg-19)))) ((let ((eff-0 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (let ((e-2 (car eta-3))) (let ((e-3 (cdr eta-3))) (cons e-2 (eta-2 e-3)))))))))) (lambda (arg-18) (lambda (arg-19) ((((eff-0 'erased) 'erased) arg-18) arg-19)))) (lambda (clam-0) (let ((e-2 (car clam-0))) (let ((e-3 (cdr clam-0))) (cons (TTImpC-45TTImpC-45Traversals-mapPiInfo (lambda (eta-0) (TTImpC-45ProcessRecord-killHole eta-0)) e-2) (TTImpC-45TTImpC-45Traversals-mapTTImp (lambda (eta-0) (TTImpC-45ProcessRecord-killHole eta-0)) e-3)))))))))))
(define TTImpC-45ProcessRecord-n--9671-5057-u--recTy (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18) (TTImpC-45ProcessRecord-n--9765-5253-u--apply arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 (vector 0 (CoreC-45FC-virtualiseFC arg-11) arg-18) (((csegen-25) (lambda (lamc-0) (let ((e-2 (car lamc-0))) (let ((e-3 (cdr lamc-0))) (let ((e-7 (cdr e-3))) (let ((e-10 (car e-7))) (cons e-2 (cons (vector 0 (vector 2 ) e-2) e-10)))))))) arg-3))))
(define TTImpC-45ProcessRecord-n--9671-5052-u--paramTelescope (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17) (((csegen-25) (lambda (eta-0) (TTImpC-45ProcessRecord-n--9760-5067-u--jname arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 eta-0))) arg-3)))
(define TTImpC-45ProcessRecord-n--9671-5058-u--paramNames (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17) ((csegen-101) arg-3)))
(define TTImpC-45ProcessRecord-n--9671-5056-u--mkTy (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19) (if (null? arg-18) arg-19 (let ((e-2 (car arg-18))) (let ((e-3 (cdr arg-18))) (let ((e-6 (car e-2))) (let ((e-7 (cdr e-2))) (let ((e-10 (car e-7))) (let ((e-11 (cdr e-7))) (let ((e-14 (car e-11))) (let ((e-15 (cdr e-11))) (let ((e-18 (car e-15))) (let ((e-19 (cdr e-15))) (vector 1 e-6 e-14 e-18 e-10 e-19 (TTImpC-45ProcessRecord-n--9671-5056-u--mkTy arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 e-3 arg-19)))))))))))))))
(define TTImpC-45ProcessRecord-n--9760-5067-u--jname (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18) (let ((e-2 (car arg-18))) (let ((e-3 (cdr arg-18))) (let ((e-7 (cdr e-3))) (let ((e-11 (cdr e-7))) (cons (vector 2 ) (cons (box e-2) (cons (csegen-54) (cons (vector 0 ) e-11))))))))))
(define TTImpC-45ProcessRecord-n--9671-5054-u--fname (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18) (let ((e-4 (vector-ref arg-18 3))) e-4)))
(define TTImpC-45ProcessRecord-n--9671-5055-u--farg (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18) (let ((e-1 (vector-ref arg-18 0))) (let ((e-2 (vector-ref arg-18 1))) (let ((e-3 (vector-ref arg-18 2))) (let ((e-4 (vector-ref arg-18 3))) (let ((e-5 (vector-ref arg-18 4))) (cons (CoreC-45FC-virtualiseFC e-1) (cons (box e-4) (cons e-2 (cons e-3 e-5)))))))))))
(define TTImpC-45ProcessRecord-n--9671-5061-u--elabGetters (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20 arg-21 arg-22 arg-23 arg-24) (case (vector-ref arg-24 0) ((3) (let ((e-1 (vector-ref arg-24 1))) (let ((e-2 (vector-ref arg-24 2))) (let ((e-3 (vector-ref arg-24 3))) (let ((e-4 (vector-ref arg-24 4))) (case (vector-ref e-3 0) ((2) (let ((e-6 (vector-ref e-3 1))) (let ((e-7 (vector-ref e-3 2))) (let ((e-8 (vector-ref e-3 3))) (let ((e-9 (vector-ref e-3 4))) (let ((u--rig (let ((sc2 (AlgebraC-45Semiring-isErased (csegen-1156) e-7))) (cond ((equal? sc2 1) (csegen-54)) (else (AlgebraC-45ZeroOneOmega-u--top_Top_ZeroOneOmega)))))) (let ((u--isVis (TTImpC-45ProcessRecord-projVis arg-6))) (let ((u--b (vector 2 e-6 e-7 e-8 e-9))) (let ((sc2 (let ((sc3 (PreludeC-45Types-elem (csegen-16) (csegen-1008) e-2 ((csegen-101) arg-3)))) (cond ((equal? sc3 1) 1) (else (PreludeC-45Types-elem (csegen-16) (csegen-1008) e-2 arg-8)))))) (cond ((equal? sc2 1) (TTImpC-45ProcessRecord-n--9671-5061-u--elabGetters arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 (cons e-2 arg-18) arg-19 arg-20 (let ((sc3 (let ((sc4 (CoreC-45TT-u--C-61C-61_Eq_C-40PiInfoC-32C-36tC-41 (csegen-1104) e-8 (vector 1 )))) (cond ((equal? sc4 1) (let ((sc5 (PreludeC-45Types-elem (csegen-16) (csegen-1008) e-2 arg-8))) (cond ((equal? sc5 1) 0) (else 1)))) (else 0))))) (cond ((equal? sc3 1) (+ arg-21 1)) (else arg-21))) arg-22 (cons u--b arg-23) e-4)) (else (let ((u--fldNameStr (CoreC-45Name-nameRoot e-2))) (let ((eff-0 (CoreC-45Context-inCurrentNS arg-17 (vector 1 (vector 1 u--fldNameStr))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-inCurrentNS arg-17 (vector 1 (vector 0 u--fldNameStr))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-10 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-1 1))) (let ((eff-2 (let ((u--nestDrop (((csegen-25) (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((e-13 (cdr e-11))) (let ((e-16 (car e-13))) (cons e-12 (PreludeC-45TypesC-45List-lengthTR e-16)))))))) (let ((eff-2 arg-9)) eff-2)))) (let ((eff-2 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-12 (car lamc-0))) (let ((e-11 (cdr lamc-0))) (let ((eff-2 (CoreC-45Context-toFullNames arg-17 (csegen-81) e-12))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-13 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (cons e-13 e-11))))) eff-3)))))))))) u--nestDrop '()))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-11 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (TTImpC-45Unelab-unelabNest arg-18 arg-17 e-11 arg-23 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-12 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-12)))) (else (let ((e-12 (vector-ref lcase-3 1))) (let ((eff-4 (let ((u--tyC-39 (TTImpC-45Utils-substNames arg-8 arg-22 (TTImpC-45TTImpC-45Functor-u--map_Functor_RawImpC-39 (csegen-327) e-12)))) (let ((eff-4 (CoreC-45ContextC-45Log-log arg-17 "declare.record.field" 5 (lambda () (string-append "Field type: " (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 (csegen-100) u--tyC-39)))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-13 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((eff-5 (let ((u--rname (vector 2 "rec" 0))) (let ((eff-5 (TTImpC-45BindImplicits-bindTypeNames arg-17 arg-11 '() (PreludeC-45TypesC-45List-tailRecAppend ((csegen-101) arg-3) (PreludeC-45TypesC-45List-tailRecAppend (((csegen-25) (lambda (eta-0) (TTImpC-45ProcessRecord-n--9671-5054-u--fname arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 eta-0))) arg-0) arg-8)) (TTImpC-45ProcessRecord-n--9671-5056-u--mkTy arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 ((TTImpC-45ProcessRecord-n--9671-5053-u--removeIHoles arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17) (TTImpC-45ProcessRecord-n--9671-5052-u--paramTelescope arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17)) (vector 1 e-1 (AlgebraC-45ZeroOneOmega-u--top_Top_ZeroOneOmega) (vector 1 ) (box u--rname) (TTImpC-45ProcessRecord-n--9671-5057-u--recTy arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-19) u--tyC-39))))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-14 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-5 1))) (let ((eff-6 (let ((u--mkProjClaim (lambda (u--nm) (let ((u--ty (vector (vector 2 ) (vector 2 ) u--nm e-14))) (vector 0 e-1 u--rig u--isVis (cons (vector 0 ) '()) u--ty))))) (let ((eff-6 (CoreC-45ContextC-45Log-log arg-17 "declare.record.projection" 5 (lambda () (string-append "Projection " (string-append (CoreC-45Name-u--show_Show_Name e-5) (string-append " : " (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 (csegen-100) e-14)))))))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-15 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-15)))) (else (let ((eff-7 (let ((eff-7 (TTImpC-45ElabC-45Check-processDecl arg-8 arg-17 arg-16 arg-15 arg-14 arg-13 '() arg-9 arg-10 (u--mkProjClaim e-5)))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-16 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-16)))) (else (let ((eff-8 (let ((u--lhs_exp (TTImpC-45TTImp-apply (vector 0 e-1 arg-20) (PreludeC-45TypesC-45List-tailRecAppend (DataC-45List-replicateTR '() arg-21 (vector 32 e-1 1)) (PreludeC-45TypesC-45List-tailRecAppend (let ((sc11 (CoreC-45TT-u--C-61C-61_Eq_C-40PiInfoC-32C-36tC-41 (csegen-1104) e-8 (vector 1 )))) (cond ((equal? sc11 1) (cons (vector 17 (vector 2 ) u--fldNameStr) '())) (else '()))) (DataC-45List-replicateTR '() (TTImpC-45ProcessRecord-n--9671-5060-u--countExp arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 e-4) (vector 32 e-1 1))))))) (let ((u--lhs (vector 8 e-1 (vector 0 e-1 e-5) (let ((sc11 (CoreC-45TT-u--C-61C-61_Eq_C-40PiInfoC-32C-36tC-41 (csegen-1104) e-8 (vector 1 )))) (cond ((equal? sc11 1) u--lhs_exp) (else (vector 10 e-1 u--lhs_exp (vector 1 (vector 0 u--fldNameStr)) (vector 17 e-1 u--fldNameStr)))))))) (let ((u--rhs (vector 0 (vector 2 ) (vector 1 (vector 0 u--fldNameStr))))) (let ((eff-8 (CoreC-45ContextC-45Log-log arg-17 "declare.record.projection" 5 (lambda () (string-append "Projection " (string-append (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 (csegen-100) u--lhs) (string-append " = " (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 (csegen-100) u--rhs)))))))) (PrimIO-io_bind eff-8 (lambda (lcase-8) (case (vector-ref lcase-8 0) ((0) (let ((e-17 (vector-ref lcase-8 1))) (lambda (eta-0) (vector 0 e-17)))) (else (let ((eff-9 (let ((eff-9 (TTImpC-45ElabC-45Check-processDecl arg-8 arg-17 arg-16 arg-15 arg-14 arg-13 '() arg-9 arg-10 (vector 2 e-1 e-5 (cons (vector 0 e-1 u--lhs u--rhs) '()))))) (PrimIO-io_bind eff-9 (lambda (lcase-9) (case (vector-ref lcase-9 0) ((0) (let ((e-18 (vector-ref lcase-9 1))) (lambda (eta-0) (vector 0 e-18)))) (else (let ((eff-10 (let ((eff-10 (let ((eff-10 (CoreC-45Context-isPrefixRecordProjections arg-17))) (PrimIO-io_bind eff-10 (lambda (lcase-10) (case (vector-ref lcase-10 0) ((0) (let ((e-19 (vector-ref lcase-10 1))) (lambda (eta-0) (vector 0 e-19)))) (else (let ((e-19 (vector-ref lcase-10 1))) (let ((eff-11 (cond ((equal? e-19 1) (let ((eff-11 (CoreC-45ContextC-45Log-log arg-17 "declare.record.projection.prefix" 5 (lambda () (string-append "Prefix projection " (string-append (CoreC-45Name-u--show_Show_Name e-10) (string-append " : " (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 (csegen-100) e-14)))))))) (PrimIO-io_bind eff-11 (lambda (lcase-11) (case (vector-ref lcase-11 0) ((0) (let ((e-20 (vector-ref lcase-11 1))) (lambda (eta-0) (vector 0 e-20)))) (else (let ((eff-12 (let ((eff-12 (TTImpC-45ElabC-45Check-processDecl arg-8 arg-17 arg-16 arg-15 arg-14 arg-13 '() arg-9 arg-10 (u--mkProjClaim e-10)))) (PrimIO-io_bind eff-12 (lambda (lcase-12) (case (vector-ref lcase-12 0) ((0) (let ((e-21 (vector-ref lcase-12 1))) (lambda (eta-0) (vector 0 e-21)))) (else (let ((eff-13 (let ((lhs-0 (vector 0 e-1 e-10))) (let ((rhs-0 (vector 0 e-1 e-5))) (let ((eff-13 (CoreC-45ContextC-45Log-log arg-17 "declare.record.projection.prefix" 5 (lambda () (string-append "Prefix projection " (string-append (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 (csegen-100) lhs-0) (string-append " = " (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 (csegen-100) rhs-0)))))))) (PrimIO-io_bind eff-13 (lambda (lcase-13) (case (vector-ref lcase-13 0) ((0) (let ((e-22 (vector-ref lcase-13 1))) (lambda (eta-0) (vector 0 e-22)))) (else (let ((eff-14 (TTImpC-45ElabC-45Check-processDecl arg-8 arg-17 arg-16 arg-15 arg-14 arg-13 '() arg-9 arg-10 (vector 2 e-1 e-10 (cons (vector 0 e-1 lhs-0 rhs-0) '()))))) eff-14)))))))))) eff-13)))))))) eff-12))))))) (else (lambda (eta-0) (vector 1 (vector 0 ))))))) eff-11))))))))) (PrimIO-io_bind eff-10 (lambda (lcase-10) (case (vector-ref lcase-10 0) ((0) (let ((e-19 (vector-ref lcase-10 1))) (lambda (eta-0) (vector 0 e-19)))) (else (let ((eff-11 (let ((eff-11 (CoreC-45Context-isPrefixRecordProjections arg-17))) (PrimIO-io_bind eff-11 (lambda (lcase-11) (case (vector-ref lcase-11 0) ((0) (let ((e-20 (vector-ref lcase-11 1))) (lambda (eta-0) (vector 0 e-20)))) (else (let ((e-20 (vector-ref lcase-11 1))) (let ((eff-12 (let ((u--updsC-39 (cond ((equal? e-20 1) (cons (cons e-2 (vector 8 e-1 (vector 0 e-1 e-10) (vector 0 e-1 u--rname))) arg-22)) (else (cons (cons e-2 (vector 8 e-1 (vector 0 e-1 e-5) (vector 0 e-1 u--rname))) arg-22))))) (TTImpC-45ProcessRecord-n--9671-5061-u--elabGetters arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 (cons e-2 arg-18) arg-19 arg-20 (let ((sc15 (CoreC-45TT-u--C-61C-61_Eq_C-40PiInfoC-32C-36tC-41 (csegen-1104) e-8 (vector 1 )))) (cond ((equal? sc15 1) (+ arg-21 1)) (else arg-21))) u--updsC-39 (cons u--b arg-23) e-4)))) eff-12))))))))) eff-11)))))))) eff-10)))))))) eff-9))))))))))) eff-8)))))))) eff-7))))))))) eff-6)))))))))) eff-5))))))))) eff-4))))))))) eff-3)))))))))) eff-2))))))))) eff-1)))))))))))))))))))(else (lambda (eta-0) (vector 1 (vector 0 ))))))))))(else (lambda (eta-0) (vector 1 (vector 0 )))))))
(define TTImpC-45ProcessRecord-n--9671-5059-u--elabAsData (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19) (let ((u--fc (CoreC-45FC-virtualiseFC arg-11))) (let ((u--conty (TTImpC-45ProcessRecord-n--9671-5056-u--mkTy arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 (TTImpC-45ProcessRecord-n--9671-5052-u--paramTelescope arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17) (TTImpC-45ProcessRecord-n--9671-5056-u--mkTy arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 (((csegen-25) (lambda (eta-0) (TTImpC-45ProcessRecord-n--9671-5055-u--farg arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 eta-0))) arg-0) (TTImpC-45ProcessRecord-n--9671-5057-u--recTy arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18))))) (let ((u--boundNames (PreludeC-45TypesC-45List-tailRecAppend (TTImpC-45ProcessRecord-n--9671-5058-u--paramNames arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17) (PreludeC-45TypesC-45List-tailRecAppend (((csegen-25) (lambda (eta-0) (TTImpC-45ProcessRecord-n--9671-5054-u--fname arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 eta-0))) arg-0) arg-8)))) (let ((eff-0 (TTImpC-45BindImplicits-bindTypeNames arg-17 u--fc '() u--boundNames u--conty))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--con (vector (vector 2 ) (vector 2 ) arg-19 e-5))) (let ((eff-1 (TTImpC-45BindImplicits-bindTypeNames arg-17 u--fc '() u--boundNames (TTImpC-45ProcessRecord-mkDataTy u--fc arg-3)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((u--dt (vector 0 u--fc arg-18 e-6 arg-2 (cons u--con '())))) (let ((eff-2 (CoreC-45ContextC-45Log-log arg-17 "declare.record" 5 (lambda () (string-append "Record data type " (TTImpC-45TTImp-u--show_Show_C-40ImpDataC-39C-32C-36nmC-41 (csegen-100) u--dt)))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (TTImpC-45ElabC-45Check-processDecl arg-8 arg-17 arg-16 arg-15 arg-14 arg-13 '() arg-9 arg-10 (vector 1 u--fc arg-6 arg-5 u--dt)))) eff-3))))))))) eff-2)))))))))) eff-1))))))))))))
(define TTImpC-45ProcessRecord-n--9671-5060-u--countExp (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-19) (case (vector-ref arg-19 0) ((3) (let ((e-3 (vector-ref arg-19 3))) (let ((e-4 (vector-ref arg-19 4))) (case (vector-ref e-3 0) ((2) (let ((e-8 (vector-ref e-3 3))) (case (vector-ref e-8 0) ((1) (+ (TTImpC-45ProcessRecord-n--9671-5060-u--countExp arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 e-4) 1))(else (TTImpC-45ProcessRecord-n--9671-5060-u--countExp arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 e-4)))))(else 0)))))(else 0))))
(define TTImpC-45ProcessRecord-n--9765-5253-u--apply (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20) (if (null? arg-20) arg-19 (let ((e-2 (car arg-20))) (let ((e-3 (cdr arg-20))) (let ((e-6 (car e-2))) (let ((e-7 (cdr e-2))) (let ((e-10 (car e-7))) (let ((e-11 (cdr e-7))) (case (vector-ref e-11 0) ((1) (TTImpC-45ProcessRecord-n--9765-5253-u--apply arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 (vector 8 (TTImpC-45TTImp-getFC arg-19) arg-19 e-10) e-3))(else (TTImpC-45ProcessRecord-n--9765-5253-u--apply arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 (vector 10 (TTImpC-45TTImp-getFC arg-19) arg-19 e-6 e-10) e-3))))))))))))
(define TTImpC-45ProcessRecord-projVis (lambda (arg-0) (cond ((equal? arg-0 2) 2)(else 0))))
(define TTImpC-45ProcessRecord-processRecord (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12) (let ((e-1 (vector-ref arg-12 0))) (let ((e-2 (vector-ref arg-12 1))) (let ((e-3 (vector-ref arg-12 2))) (let ((e-4 (vector-ref arg-12 3))) (let ((e-5 (vector-ref arg-12 4))) (let ((e-6 (vector-ref arg-12 5))) (TTImpC-45ProcessRecord-elabRecord arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-1 arg-8 arg-7 arg-9 arg-10 arg-11 e-2 e-3 e-4 e-5 e-6)))))))))
(define TTImpC-45ProcessRecord-mkDataTy (lambda (arg-0 arg-1) (if (null? arg-1) (vector 29 arg-0) (let ((e-2 (car arg-1))) (let ((e-3 (cdr arg-1))) (let ((e-6 (car e-2))) (let ((e-7 (cdr e-2))) (let ((e-10 (car e-7))) (let ((e-11 (cdr e-7))) (let ((e-14 (car e-11))) (let ((e-15 (cdr e-11))) (vector 1 arg-0 e-10 (TTImpC-45TTImpC-45Traversals-mapPiInfo (lambda (eta-0) (TTImpC-45ProcessRecord-killHole eta-0)) e-14) (box e-6) (TTImpC-45TTImpC-45Traversals-mapTTImp (lambda (eta-0) (TTImpC-45ProcessRecord-killHole eta-0)) e-15) (TTImpC-45ProcessRecord-mkDataTy arg-0 e-3)))))))))))))
(define TTImpC-45ProcessRecord-killHole (lambda (arg-0) (case (vector-ref arg-0 0) ((30) (let ((e-1 (vector-ref arg-0 1))) (vector 32 e-1 1)))(else arg-0))))
(define TTImpC-45ProcessRecord-elabRecord (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17) (let ((eff-0 (CoreC-45Context-inCurrentNS arg-1 arg-13))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-inCurrentNS arg-1 arg-16))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45ProcessRecord-n--9671-5059-u--elabAsData arg-17 arg-16 arg-15 arg-14 arg-13 arg-12 arg-11 arg-10 arg-0 arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 e-5 e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (let ((eff-3 (let ((eff-3 arg-1)) (PrimIO-io_bind (let ((eff-4 eff-3)) (lambda (eta-0) (unbox eff-4))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Context-lookupTyExact e-6 (let ((e-0 (vector-ref e-8 0))) e-0)))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (if (null? e-9) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 (string-append "Adding " (string-append (CoreC-45Name-u--show_Show_Name e-5) "failed"))) eta-0)) (let ((e-1 (unbox e-9))) (let ((eff-5 (if (null? arg-12) (lambda (eta-0) (vector 1 (vector 0 ))) (let ((e-2 (unbox arg-12))) (let ((eff-5 (CoreC-45ContextC-45Log-log arg-1 ((csegen-0) "declare.record") 5 (lambda () (string-append (csegen-3772) (CoreC-45Name-u--show_Show_Name e-5)))))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-3 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-6 (CoreC-45Context-setFlag arg-1 arg-7 e-5 (vector 6 e-2)))) eff-6)))))))))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-6 (if (null? arg-10) (TTImpC-45ProcessRecord-n--9671-5061-u--elabGetters arg-17 arg-16 arg-15 arg-14 arg-13 arg-12 arg-11 arg-10 arg-0 arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 '() e-5 e-6 0 '() '() e-1) (let ((e-2 (unbox arg-10))) (let ((u--cns (let ((e-38 (vector-ref e-8 2))) e-38))) (let ((u--nns (let ((e-3 (vector-ref e-8 3))) e-3))) (let ((eff-6 (CoreC-45Context-extendNS arg-1 (CoreC-45NameC-45Namespace-mkNamespace e-2)))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-3 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-7 (let ((eff-7 (CoreC-45Context-getNS arg-1))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-3 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-12 (vector-ref lcase-7 1))) (let ((eff-8 (let ((eff-8 (TTImpC-45ProcessRecord-n--9671-5061-u--elabGetters arg-17 arg-16 arg-15 arg-14 arg-13 arg-12 arg-11 arg-10 arg-0 arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 '() e-5 e-6 0 '() '() e-1))) (PrimIO-io_bind eff-8 (lambda (lcase-8) (case (vector-ref lcase-8 0) ((0) (let ((e-3 (vector-ref lcase-8 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-9 (let ((eff-9 (let ((eff-9 arg-1)) (PrimIO-io_bind (let ((eff-10 eff-9)) (lambda (eta-0) (unbox eff-10))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-9 (lambda (lcase-9) (case (vector-ref lcase-9 0) ((0) (let ((e-3 (vector-ref lcase-9 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-14 (vector-ref lcase-9 1))) (let ((eff-10 (let ((eff-10 arg-1)) (PrimIO-io_bind (let ((eff-11 eff-10)) (lambda (eta-0) (set-box! eff-11 (let ((e-0 (vector-ref e-14 0))) (let ((e-43 (vector-ref e-14 1))) (let ((e-4 (vector-ref e-14 4))) (let ((e-41 (vector-ref e-14 5))) (let ((e-40 (vector-ref e-14 6))) (let ((e-39 (vector-ref e-14 7))) (let ((e-38 (vector-ref e-14 8))) (let ((e-37 (vector-ref e-14 9))) (let ((e-36 (vector-ref e-14 10))) (let ((e-35 (vector-ref e-14 11))) (let ((e-34 (vector-ref e-14 12))) (let ((e-33 (vector-ref e-14 13))) (let ((e-32 (vector-ref e-14 14))) (let ((e-15 (vector-ref e-14 15))) (let ((e-16 (vector-ref e-14 16))) (let ((e-17 (vector-ref e-14 17))) (let ((e-18 (vector-ref e-14 18))) (let ((e-19 (vector-ref e-14 19))) (let ((e-20 (vector-ref e-14 20))) (let ((e-21 (vector-ref e-14 21))) (let ((e-22 (vector-ref e-14 22))) (let ((e-23 (vector-ref e-14 23))) (let ((e-24 (vector-ref e-14 24))) (let ((e-25 (vector-ref e-14 25))) (let ((e-26 (vector-ref e-14 26))) (let ((e-27 (vector-ref e-14 27))) (let ((e-28 (vector-ref e-14 28))) (let ((e-29 (vector-ref e-14 29))) (let ((e-30 (vector-ref e-14 30))) (let ((e-31 (vector-ref e-14 31))) (vector e-0 e-43 u--cns (cons e-12 u--nns) e-4 e-41 e-40 e-39 e-38 e-37 e-36 e-35 e-34 e-33 e-32 e-15 e-16 e-17 e-18 e-19 e-20 e-21 e-22 e-23 e-24 e-25 e-26 e-27 e-28 e-29 e-30 e-31)))))))))))))))))))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-10))))))))) eff-9)))))))) eff-8))))))))) eff-7)))))))))))) eff-6)))))))))) eff-5))))))))) eff-4))))))))) eff-3)))))))) eff-2))))))))) eff-1)))))))))
(define TTImpC-45TTImpC-45Traversals-mapTTImp (lambda (arg-1 arg-2) (case (vector-ref arg-2 0) ((0) (arg-1 arg-2)) ((1) (let ((e-4 (vector-ref arg-2 1))) (let ((e-5 (vector-ref arg-2 2))) (let ((e-6 (vector-ref arg-2 3))) (let ((e-7 (vector-ref arg-2 4))) (let ((e-8 (vector-ref arg-2 5))) (let ((e-9 (vector-ref arg-2 6))) (arg-1 (vector 1 e-4 e-5 (TTImpC-45TTImpC-45Traversals-mapPiInfo arg-1 e-6) e-7 (TTImpC-45TTImpC-45Traversals-mapTTImp arg-1 e-8) (TTImpC-45TTImpC-45Traversals-mapTTImp arg-1 e-9)))))))))) ((2) (let ((e-11 (vector-ref arg-2 1))) (let ((e-12 (vector-ref arg-2 2))) (let ((e-13 (vector-ref arg-2 3))) (let ((e-14 (vector-ref arg-2 4))) (let ((e-15 (vector-ref arg-2 5))) (let ((e-16 (vector-ref arg-2 6))) (arg-1 (vector 2 e-11 e-12 (TTImpC-45TTImpC-45Traversals-mapPiInfo arg-1 e-13) e-14 (TTImpC-45TTImpC-45Traversals-mapTTImp arg-1 e-15) (TTImpC-45TTImpC-45Traversals-mapTTImp arg-1 e-16)))))))))) ((3) (let ((e-18 (vector-ref arg-2 1))) (let ((e-19 (vector-ref arg-2 2))) (let ((e-20 (vector-ref arg-2 3))) (let ((e-21 (vector-ref arg-2 4))) (let ((e-22 (vector-ref arg-2 5))) (let ((e-23 (vector-ref arg-2 6))) (let ((e-24 (vector-ref arg-2 7))) (arg-1 (vector 3 e-18 e-19 e-20 e-21 (TTImpC-45TTImpC-45Traversals-mapTTImp arg-1 e-22) (TTImpC-45TTImpC-45Traversals-mapTTImp arg-1 e-23) (TTImpC-45TTImpC-45Traversals-mapTTImp arg-1 e-24))))))))))) ((4) (let ((e-26 (vector-ref arg-2 1))) (let ((e-27 (vector-ref arg-2 2))) (let ((e-28 (vector-ref arg-2 3))) (let ((e-29 (vector-ref arg-2 4))) (arg-1 (vector 4 e-26 (TTImpC-45TTImpC-45Traversals-mapTTImp arg-1 e-27) (TTImpC-45TTImpC-45Traversals-mapTTImp arg-1 e-28) (((csegen-25) (lambda (eta-0) (TTImpC-45TTImpC-45Traversals-mapImpClause arg-1 eta-0))) e-29)))))))) ((5) (let ((e-31 (vector-ref arg-2 1))) (let ((e-32 (vector-ref arg-2 2))) (let ((e-33 (vector-ref arg-2 3))) (arg-1 (vector 5 e-31 (((csegen-25) (lambda (eta-0) (TTImpC-45TTImpC-45Traversals-mapImpDecl arg-1 eta-0))) e-32) (TTImpC-45TTImpC-45Traversals-mapTTImp arg-1 e-33))))))) ((6) (let ((e-35 (vector-ref arg-2 1))) (let ((e-36 (vector-ref arg-2 2))) (let ((e-37 (vector-ref arg-2 3))) (let ((e-38 (vector-ref arg-2 4))) (let ((e-39 (vector-ref arg-2 5))) (arg-1 (vector 6 e-35 e-36 e-37 e-38 (TTImpC-45TTImpC-45Traversals-mapTTImp arg-1 e-39))))))))) ((7) (let ((e-41 (vector-ref arg-2 1))) (let ((e-42 (vector-ref arg-2 2))) (let ((e-43 (vector-ref arg-2 3))) (arg-1 (vector 7 e-41 (((csegen-25) (lambda (eta-0) (TTImpC-45TTImpC-45Traversals-mapIFieldUpdate arg-1 eta-0))) e-42) (TTImpC-45TTImpC-45Traversals-mapTTImp arg-1 e-43))))))) ((8) (let ((e-45 (vector-ref arg-2 1))) (let ((e-46 (vector-ref arg-2 2))) (let ((e-47 (vector-ref arg-2 3))) (arg-1 (vector 8 e-45 (TTImpC-45TTImpC-45Traversals-mapTTImp arg-1 e-46) (TTImpC-45TTImpC-45Traversals-mapTTImp arg-1 e-47))))))) ((9) (let ((e-49 (vector-ref arg-2 1))) (let ((e-50 (vector-ref arg-2 2))) (let ((e-51 (vector-ref arg-2 3))) (arg-1 (vector 9 e-49 (TTImpC-45TTImpC-45Traversals-mapTTImp arg-1 e-50) (TTImpC-45TTImpC-45Traversals-mapTTImp arg-1 e-51))))))) ((10) (let ((e-53 (vector-ref arg-2 1))) (let ((e-54 (vector-ref arg-2 2))) (let ((e-55 (vector-ref arg-2 3))) (let ((e-56 (vector-ref arg-2 4))) (arg-1 (vector 10 e-53 (TTImpC-45TTImpC-45Traversals-mapTTImp arg-1 e-54) e-55 (TTImpC-45TTImpC-45Traversals-mapTTImp arg-1 e-56)))))))) ((11) (let ((e-58 (vector-ref arg-2 1))) (let ((e-59 (vector-ref arg-2 2))) (let ((e-60 (vector-ref arg-2 3))) (arg-1 (vector 11 e-58 (TTImpC-45TTImpC-45Traversals-mapTTImp arg-1 e-59) (TTImpC-45TTImpC-45Traversals-mapTTImp arg-1 e-60))))))) ((12) (let ((e-62 (vector-ref arg-2 1))) (let ((e-63 (vector-ref arg-2 2))) (arg-1 (vector 12 e-62 e-63))))) ((13) (let ((e-65 (vector-ref arg-2 1))) (let ((e-66 (vector-ref arg-2 2))) (let ((e-67 (vector-ref arg-2 3))) (arg-1 (vector 13 e-65 (TTImpC-45TTImpC-45Traversals-mapAltType arg-1 e-66) (((csegen-25) (lambda (eta-0) (TTImpC-45TTImpC-45Traversals-mapTTImp arg-1 eta-0))) e-67))))))) ((14) (let ((e-69 (vector-ref arg-2 1))) (let ((e-70 (vector-ref arg-2 2))) (let ((e-71 (vector-ref arg-2 3))) (arg-1 (vector 14 e-69 (TTImpC-45TTImpC-45Traversals-mapTTImp arg-1 e-70) (TTImpC-45TTImpC-45Traversals-mapTTImp arg-1 e-71))))))) ((15) (let ((e-73 (vector-ref arg-2 1))) (let ((e-74 (vector-ref arg-2 2))) (arg-1 (vector 15 e-73 (TTImpC-45TTImpC-45Traversals-mapTTImp arg-1 e-74)))))) ((16) (let ((e-76 (vector-ref arg-2 1))) (let ((e-77 (vector-ref arg-2 2))) (let ((e-78 (vector-ref arg-2 3))) (arg-1 (vector 16 e-76 e-77 (TTImpC-45TTImpC-45Traversals-mapTTImp arg-1 e-78))))))) ((17) (let ((e-80 (vector-ref arg-2 1))) (let ((e-81 (vector-ref arg-2 2))) (arg-1 (vector 17 e-80 e-81))))) ((18) (let ((e-83 (vector-ref arg-2 1))) (let ((e-84 (vector-ref arg-2 2))) (let ((e-85 (vector-ref arg-2 3))) (let ((e-86 (vector-ref arg-2 4))) (let ((e-87 (vector-ref arg-2 5))) (arg-1 (vector 18 e-83 e-84 e-85 e-86 (TTImpC-45TTImpC-45Traversals-mapTTImp arg-1 e-87))))))))) ((19) (let ((e-89 (vector-ref arg-2 1))) (let ((e-90 (vector-ref arg-2 2))) (let ((e-91 (vector-ref arg-2 3))) (arg-1 (vector 19 e-89 e-90 (TTImpC-45TTImpC-45Traversals-mapTTImp arg-1 e-91))))))) ((20) (let ((e-93 (vector-ref arg-2 1))) (let ((e-94 (vector-ref arg-2 2))) (let ((e-95 (vector-ref arg-2 3))) (arg-1 (vector 20 e-93 e-94 (TTImpC-45TTImpC-45Traversals-mapTTImp arg-1 e-95))))))) ((21) (let ((e-97 (vector-ref arg-2 1))) (let ((e-98 (vector-ref arg-2 2))) (arg-1 (vector 21 e-97 (TTImpC-45TTImpC-45Traversals-mapTTImp arg-1 e-98)))))) ((22) (let ((e-100 (vector-ref arg-2 1))) (let ((e-101 (vector-ref arg-2 2))) (arg-1 (vector 22 e-100 (TTImpC-45TTImpC-45Traversals-mapTTImp arg-1 e-101)))))) ((23) (let ((e-103 (vector-ref arg-2 1))) (let ((e-104 (vector-ref arg-2 2))) (arg-1 (vector 23 e-103 (TTImpC-45TTImpC-45Traversals-mapTTImp arg-1 e-104)))))) ((24) (let ((e-106 (vector-ref arg-2 1))) (let ((e-107 (vector-ref arg-2 2))) (arg-1 (vector 24 e-106 e-107))))) ((25) (let ((e-109 (vector-ref arg-2 1))) (let ((e-110 (vector-ref arg-2 2))) (arg-1 (vector 25 e-109 (((csegen-25) (lambda (eta-0) (TTImpC-45TTImpC-45Traversals-mapImpDecl arg-1 eta-0))) e-110)))))) ((26) (let ((e-112 (vector-ref arg-2 1))) (let ((e-113 (vector-ref arg-2 2))) (arg-1 (vector 26 e-112 (TTImpC-45TTImpC-45Traversals-mapTTImp arg-1 e-113)))))) ((27) (let ((e-115 (vector-ref arg-2 1))) (let ((e-116 (vector-ref arg-2 2))) (arg-1 (vector 27 e-115 (TTImpC-45TTImpC-45Traversals-mapTTImp arg-1 e-116)))))) ((28) (let ((e-118 (vector-ref arg-2 1))) (let ((e-119 (vector-ref arg-2 2))) (arg-1 (vector 28 e-118 e-119))))) ((29) (let ((e-121 (vector-ref arg-2 1))) (arg-1 (vector 29 e-121)))) ((30) (let ((e-123 (vector-ref arg-2 1))) (let ((e-124 (vector-ref arg-2 2))) (arg-1 (vector 30 e-123 e-124))))) ((31) (let ((e-126 (vector-ref arg-2 1))) (let ((e-127 (vector-ref arg-2 2))) (let ((e-128 (vector-ref arg-2 3))) (arg-1 (vector 31 e-126 e-127 (TTImpC-45TTImpC-45Traversals-mapTTImp arg-1 e-128))))))) ((32) (let ((e-130 (vector-ref arg-2 1))) (let ((e-131 (vector-ref arg-2 2))) (arg-1 (vector 32 e-130 e-131))))) (else (let ((e-133 (vector-ref arg-2 1))) (let ((e-134 (vector-ref arg-2 2))) (let ((e-135 (vector-ref arg-2 3))) (arg-1 (vector 33 e-133 e-134 (TTImpC-45TTImpC-45Traversals-mapTTImp arg-1 e-135))))))))))
(define TTImpC-45TTImpC-45Traversals-mapPiInfo (lambda (arg-1 arg-2) (case (vector-ref arg-2 0) ((0) (vector 0 )) ((1) (vector 1 )) ((2) (vector 2 )) (else (let ((e-4 (vector-ref arg-2 1))) (vector 3 (TTImpC-45TTImpC-45Traversals-mapTTImp arg-1 e-4)))))))
(define TTImpC-45TTImpC-45Traversals-mapImpTy (lambda (arg-1 arg-2) (let ((e-1 (vector-ref arg-2 0))) (let ((e-2 (vector-ref arg-2 1))) (let ((e-3 (vector-ref arg-2 2))) (let ((e-4 (vector-ref arg-2 3))) (vector e-1 e-2 e-3 (TTImpC-45TTImpC-45Traversals-mapTTImp arg-1 e-4))))))))
(define TTImpC-45TTImpC-45Traversals-mapImpRecord (lambda (arg-1 arg-2) (let ((e-1 (vector-ref arg-2 0))) (let ((e-2 (vector-ref arg-2 1))) (let ((e-3 (vector-ref arg-2 2))) (let ((e-4 (vector-ref arg-2 3))) (let ((e-5 (vector-ref arg-2 4))) (let ((e-6 (vector-ref arg-2 5))) (vector e-1 e-2 (((csegen-25) ((let ((eff-0 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (let ((e-8 (car eta-3))) (let ((e-7 (cdr eta-3))) (cons e-8 (eta-2 e-7)))))))))) (lambda (arg-0) (lambda (arg-3) ((((eff-0 'erased) 'erased) arg-0) arg-3)))) ((let ((eff-0 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (let ((e-8 (car eta-3))) (let ((e-7 (cdr eta-3))) (cons e-8 (eta-2 e-7)))))))))) (lambda (arg-0) (lambda (arg-3) ((((eff-0 'erased) 'erased) arg-0) arg-3)))) (lambda (clam-0) (let ((e-8 (car clam-0))) (let ((e-7 (cdr clam-0))) (cons (TTImpC-45TTImpC-45Traversals-mapPiInfo arg-1 e-8) (TTImpC-45TTImpC-45Traversals-mapTTImp arg-1 e-7)))))))) e-3) e-4 e-5 (((csegen-25) (lambda (eta-0) (TTImpC-45TTImpC-45Traversals-mapIField arg-1 eta-0))) e-6))))))))))
(define TTImpC-45TTImpC-45Traversals-mapImpDecl (lambda (arg-1 arg-2) (case (vector-ref arg-2 0) ((0) (let ((e-1 (vector-ref arg-2 1))) (let ((e-2 (vector-ref arg-2 2))) (let ((e-3 (vector-ref arg-2 3))) (let ((e-4 (vector-ref arg-2 4))) (let ((e-5 (vector-ref arg-2 5))) (vector 0 e-1 e-2 e-3 (((csegen-25) (lambda (eta-0) (TTImpC-45TTImpC-45Traversals-mapFnOpt arg-1 eta-0))) e-4) (TTImpC-45TTImpC-45Traversals-mapImpTy arg-1 e-5)))))))) ((1) (let ((e-7 (vector-ref arg-2 1))) (let ((e-8 (vector-ref arg-2 2))) (let ((e-9 (vector-ref arg-2 3))) (let ((e-10 (vector-ref arg-2 4))) (vector 1 e-7 e-8 e-9 (TTImpC-45TTImpC-45Traversals-mapImpData arg-1 e-10))))))) ((2) (let ((e-12 (vector-ref arg-2 1))) (let ((e-13 (vector-ref arg-2 2))) (let ((e-14 (vector-ref arg-2 3))) (vector 2 e-12 e-13 (((csegen-25) (lambda (eta-0) (TTImpC-45TTImpC-45Traversals-mapImpClause arg-1 eta-0))) e-14)))))) ((3) (let ((e-16 (vector-ref arg-2 1))) (let ((e-17 (vector-ref arg-2 2))) (let ((e-18 (vector-ref arg-2 3))) (vector 3 e-16 e-17 (((csegen-25) (lambda (eta-0) (TTImpC-45TTImpC-45Traversals-mapImpDecl arg-1 eta-0))) e-18)))))) ((4) (let ((e-20 (vector-ref arg-2 1))) (let ((e-21 (vector-ref arg-2 2))) (let ((e-22 (vector-ref arg-2 3))) (let ((e-23 (vector-ref arg-2 4))) (let ((e-24 (vector-ref arg-2 5))) (vector 4 e-20 e-21 e-22 e-23 (TTImpC-45TTImpC-45Traversals-mapImpRecord arg-1 e-24)))))))) ((5) (let ((e-26 (vector-ref arg-2 1))) (let ((e-27 (vector-ref arg-2 2))) (let ((e-28 (vector-ref arg-2 3))) (vector 5 e-26 e-27 (((csegen-25) (lambda (eta-0) (TTImpC-45TTImpC-45Traversals-mapImpDecl arg-1 eta-0))) e-28)))))) ((6) (let ((e-30 (vector-ref arg-2 1))) (let ((e-31 (vector-ref arg-2 2))) (let ((e-32 (vector-ref arg-2 3))) (vector 6 e-30 e-31 (((csegen-25) (lambda (eta-0) (TTImpC-45TTImpC-45Traversals-mapImpDecl arg-1 eta-0))) e-32)))))) ((7) (let ((e-34 (vector-ref arg-2 1))) (let ((e-35 (vector-ref arg-2 2))) (let ((e-36 (vector-ref arg-2 3))) (let ((e-37 (vector-ref arg-2 4))) (vector 7 e-34 e-35 (TTImpC-45TTImpC-45Traversals-mapTTImp arg-1 e-36) (TTImpC-45TTImpC-45Traversals-mapTTImp arg-1 e-37))))))) ((8) (let ((e-39 (vector-ref arg-2 1))) (let ((e-40 (vector-ref arg-2 2))) (vector 8 e-39 (TTImpC-45TTImpC-45Traversals-mapTTImp arg-1 e-40))))) ((9) (let ((e-42 (vector-ref arg-2 1))) (let ((e-43 (vector-ref arg-2 2))) (let ((e-44 (vector-ref arg-2 3))) (vector 9 e-42 e-43 (lambda (vars-11770) (e-44 vars-11770))))))) ((10) (let ((e-46 (vector-ref arg-2 1))) (vector 10 e-46))) (else (let ((e-48 (vector-ref arg-2 1))) (let ((e-49 (vector-ref arg-2 2))) (let ((e-50 (vector-ref arg-2 3))) (vector 11 e-48 e-49 e-50))))))))
(define TTImpC-45TTImpC-45Traversals-mapImpData (lambda (arg-1 arg-2) (case (vector-ref arg-2 0) ((0) (let ((e-1 (vector-ref arg-2 1))) (let ((e-2 (vector-ref arg-2 2))) (let ((e-3 (vector-ref arg-2 3))) (let ((e-4 (vector-ref arg-2 4))) (let ((e-5 (vector-ref arg-2 5))) (vector 0 e-1 e-2 (TTImpC-45TTImpC-45Traversals-mapTTImp arg-1 e-3) e-4 (((csegen-25) (lambda (eta-0) (TTImpC-45TTImpC-45Traversals-mapImpTy arg-1 eta-0))) e-5)))))))) (else (let ((e-7 (vector-ref arg-2 1))) (let ((e-8 (vector-ref arg-2 2))) (let ((e-9 (vector-ref arg-2 3))) (vector 1 e-7 e-8 (TTImpC-45TTImpC-45Traversals-mapTTImp arg-1 e-9)))))))))
(define TTImpC-45TTImpC-45Traversals-mapImpClause (lambda (arg-1 arg-2) (case (vector-ref arg-2 0) ((0) (let ((e-1 (vector-ref arg-2 1))) (let ((e-2 (vector-ref arg-2 2))) (let ((e-3 (vector-ref arg-2 3))) (vector 0 e-1 (TTImpC-45TTImpC-45Traversals-mapTTImp arg-1 e-2) (TTImpC-45TTImpC-45Traversals-mapTTImp arg-1 e-3)))))) ((1) (let ((e-5 (vector-ref arg-2 1))) (let ((e-6 (vector-ref arg-2 2))) (let ((e-7 (vector-ref arg-2 3))) (let ((e-8 (vector-ref arg-2 4))) (let ((e-9 (vector-ref arg-2 5))) (let ((e-10 (vector-ref arg-2 6))) (let ((e-11 (vector-ref arg-2 7))) (vector 1 e-5 (TTImpC-45TTImpC-45Traversals-mapTTImp arg-1 e-6) e-7 (TTImpC-45TTImpC-45Traversals-mapTTImp arg-1 e-8) e-9 e-10 (((csegen-25) (lambda (eta-0) (TTImpC-45TTImpC-45Traversals-mapImpClause arg-1 eta-0))) e-11)))))))))) (else (let ((e-13 (vector-ref arg-2 1))) (let ((e-14 (vector-ref arg-2 2))) (vector 2 e-13 (TTImpC-45TTImpC-45Traversals-mapTTImp arg-1 e-14))))))))
(define TTImpC-45TTImpC-45Traversals-mapIFieldUpdate (lambda (arg-1 arg-2) (case (vector-ref arg-2 0) ((0) (let ((e-1 (vector-ref arg-2 1))) (let ((e-2 (vector-ref arg-2 2))) (vector 0 e-1 (TTImpC-45TTImpC-45Traversals-mapTTImp arg-1 e-2))))) (else (let ((e-4 (vector-ref arg-2 1))) (let ((e-5 (vector-ref arg-2 2))) (vector 1 e-4 (TTImpC-45TTImpC-45Traversals-mapTTImp arg-1 e-5))))))))
(define TTImpC-45TTImpC-45Traversals-mapIField (lambda (arg-1 arg-2) (let ((e-1 (vector-ref arg-2 0))) (let ((e-2 (vector-ref arg-2 1))) (let ((e-3 (vector-ref arg-2 2))) (let ((e-4 (vector-ref arg-2 3))) (let ((e-5 (vector-ref arg-2 4))) (vector e-1 e-2 (TTImpC-45TTImpC-45Traversals-mapPiInfo arg-1 e-3) e-4 (TTImpC-45TTImpC-45Traversals-mapTTImp arg-1 e-5)))))))))
(define TTImpC-45TTImpC-45Traversals-mapFnOpt (lambda (arg-1 arg-2) (case (vector-ref arg-2 0) ((0) (vector 0 )) ((1) (vector 1 )) ((2) (vector 2 )) ((3) (vector 3 )) ((4) (let ((e-5 (vector-ref arg-2 1))) (vector 4 e-5))) ((5) (let ((e-7 (vector-ref arg-2 1))) (vector 5 e-7))) ((6) (vector 6 )) ((7) (let ((e-10 (vector-ref arg-2 1))) (vector 7 (((csegen-25) (lambda (eta-0) (TTImpC-45TTImpC-45Traversals-mapTTImp arg-1 eta-0))) e-10)))) ((8) (let ((e-12 (vector-ref arg-2 1))) (vector 8 (((csegen-25) (lambda (eta-0) (TTImpC-45TTImpC-45Traversals-mapTTImp arg-1 eta-0))) e-12)))) ((9) (vector 9 )) ((10) (let ((e-15 (vector-ref arg-2 1))) (vector 10 e-15))) ((11) (vector 11 )) (else (let ((e-18 (vector-ref arg-2 1))) (vector 12 e-18))))))
(define TTImpC-45TTImpC-45Traversals-mapAltType (lambda (arg-1 arg-2) (case (vector-ref arg-2 0) ((0) (vector 0 )) ((1) (vector 1 )) (else (let ((e-3 (vector-ref arg-2 1))) (vector 2 (TTImpC-45TTImpC-45Traversals-mapTTImp arg-1 e-3)))))))
(define TTImpC-45ProcessParams-case--processParams-11799 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15) (let ((e-2 (car arg-15))) (let ((e-3 (cdr arg-15))) (let ((e-7 (cdr e-3))) (let ((e-10 (car e-7))) (let ((e-11 (cdr e-7))) (let ((eff-0 (CoreC-45Normalise-logEnv e-2 arg-10 "declare.param" 5 "Param env" e-10))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-1 (let ((eff-1 (let ((eff-1 arg-10)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (unbox eff-2))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-8 (vector-ref lcase-1 1))) (let ((eff-2 (let ((u--defNames (TTImpC-45TTImp-definedInBlock (let ((e-39 (vector-ref e-8 2))) e-39) arg-0))) (let ((eff-2 (CoreC-45Core-traverseC-39 (lambda (eta-0) (TTImpC-45ProcessParams-n--10035-11650-u--applyEnv arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 e-2 e-10 eta-0)) u--defNames '()))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-9 (vector-ref lcase-2 1))) (let ((eff-3 (let ((u--nestBlock (let ((eff-3 e-11)) (PreludeC-45TypesC-45List-tailRecAppend e-9 eff-3)))) (CoreC-45Core-traverse_ (lambda (eta-0) (TTImpC-45ElabC-45Check-processDecl e-2 arg-10 arg-9 arg-8 arg-7 arg-6 '() u--nestBlock e-10 eta-0)) arg-0)))) eff-3)))))))))) eff-2))))))))) eff-1)))))))))))))
(define TTImpC-45ProcessParams-n--10035-11649-u--mkParamTy (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11) (if (null? arg-11) (vector 29 arg-2) (let ((e-2 (car arg-11))) (let ((e-3 (cdr arg-11))) (let ((e-6 (car e-2))) (let ((e-7 (cdr e-2))) (let ((e-10 (car e-7))) (let ((e-11 (cdr e-7))) (let ((e-14 (car e-11))) (let ((e-15 (cdr e-11))) (vector 1 arg-2 e-10 e-14 (box e-6) e-15 (TTImpC-45ProcessParams-n--10035-11649-u--mkParamTy arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 e-3)))))))))))))
(define TTImpC-45ProcessParams-n--10035-11650-u--applyEnv (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13) (let ((eff-0 (CoreC-45Context-resolveName arg-10 arg-13))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (cons (vector 8 e-5) (cons '() (cons (PreludeC-45TypesC-45List-reverse (CoreC-45Env-allVars arg-11 arg-12)) (lambda (u--fc) (lambda (u--nt) (CoreC-45UnifyState-applyToFull arg-11 u--fc (vector 1 u--fc u--nt (vector 8 e-5)) arg-12)))))))))) eff-1)))))))))
(define TTImpC-45ProcessParams-processParams (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10) (let ((u--pty_raw (TTImpC-45ProcessParams-n--10035-11649-u--mkParamTy arg-10 arg-9 arg-8 arg-0 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 arg-9))) (let ((eff-0 (TTImpC-45BindImplicits-bindTypeNames arg-1 arg-8 '() arg-0 (vector 16 arg-8 (csegen-2897) u--pty_raw)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45ContextC-45Log-log arg-1 "declare.param" 10 (lambda () (string-append "Checking " (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 (csegen-100) e-5)))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (TTImpC-45ElabC-45Check-uniVar arg-1 arg-3 arg-8))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (TTImpC-45Elab-checkTerm arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 -1 (vector 0 ) '() arg-6 arg-7 e-5 (CoreC-45NormaliseC-45Eval-gType arg-8 e-7)))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (TTImpC-45ProcessParams-case--processParams-11799 arg-10 arg-9 arg-8 arg-0 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 u--pty_raw e-5 e-7 e-8 (TTImpC-45ProcessParams-extend arg-0 arg-7 (vector 0 ) arg-6 e-8)))) eff-4))))))))) eff-3))))))))) eff-2)))))))) eff-1))))))))))
(define TTImpC-45ProcessParams-extend (lambda (arg-1 arg-2 arg-3 arg-4 arg-5) (case (vector-ref arg-5 0) ((3) (let ((e-2 (vector-ref arg-5 2))) (let ((e-3 (vector-ref arg-5 3))) (let ((e-4 (vector-ref arg-5 4))) (case (vector-ref e-3 0) ((2) (TTImpC-45ProcessParams-extend (cons e-2 arg-1) (cons e-3 arg-2) (vector 1 arg-3) (TTImpC-45TTImp-u--weaken_Weaken_NestedNames arg-4) e-4))(else (cons arg-1 (cons arg-3 (cons arg-2 arg-4)))))))))(else (cons arg-1 (cons arg-3 (cons arg-2 arg-4)))))))
(define TTImpC-45ProcessData-case--caseC-32blockC-32inC-32caseC-32blockC-32inC-32caseC-32blockC-32inC-32caseC-32blockC-32inC-32calcNaty-15431 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-12 arg-13) (if (null? arg-13) (lambda (eta-0) (vector 1 0)) (let ((e-1 (unbox arg-13))) (let ((sc1 (CoreC-45Name-u--C-61C-61_Eq_Name e-1 arg-3))) (cond ((equal? sc1 1) (let ((eff-0 (CoreC-45Context-setFlag arg-5 arg-4 arg-6 (vector 11 (vector 8 ))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45Context-setFlag arg-5 arg-4 arg-8 (vector 11 (vector 9 ))))) (PrimIO-io_bind eff-1 (csegen-2355))))) eff-1))))))) (else (lambda (eta-0) (vector 1 0)))))))))
(define TTImpC-45ProcessData-case--caseC-32blockC-32inC-32caseC-32blockC-32inC-32caseC-32blockC-32inC-32calcNaty-15393 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11) (if (null? arg-11) (lambda (eta-0) (vector 1 0)) (let ((e-1 (unbox arg-11))) (let ((eff-0 e-1)) (TTImpC-45ProcessData-case--caseC-32blockC-32inC-32caseC-32blockC-32inC-32caseC-32blockC-32inC-32caseC-32blockC-32inC-32calcNaty-15431 arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 eff-0 (TTImpC-45ProcessData-typeCon eff-0)))))))
(define TTImpC-45ProcessData-case--caseC-32blockC-32inC-32caseC-32blockC-32inC-32calcNaty-15362 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10) (if (null? arg-10) (lambda (eta-0) (vector 1 0)) (let ((e-1 (unbox arg-10))) (TTImpC-45ProcessData-case--caseC-32blockC-32inC-32caseC-32blockC-32inC-32caseC-32blockC-32inC-32calcNaty-15393 arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-1 (TTImpC-45ProcessData-firstArg (let ((e-3 (vector-ref e-1 3))) e-3)))))))
(define TTImpC-45ProcessData-n--10679-12792-u--updateNSApp (lambda (arg-0 arg-1 arg-2 arg-3) (case (vector-ref arg-3 0) ((0) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((sc1 (CoreC-45Name-u--C-61C-61_Eq_Name e-2 arg-2))) (cond ((equal? sc1 1) (vector 0 e-1 arg-1)) (else (vector 0 e-1 e-2))))))) ((8) (let ((e-4 (vector-ref arg-3 1))) (let ((e-5 (vector-ref arg-3 2))) (let ((e-6 (vector-ref arg-3 3))) (vector 8 e-4 (TTImpC-45ProcessData-n--10679-12792-u--updateNSApp arg-0 arg-1 arg-2 e-5) e-6))))) ((9) (let ((e-8 (vector-ref arg-3 1))) (let ((e-9 (vector-ref arg-3 2))) (let ((e-10 (vector-ref arg-3 3))) (vector 9 e-8 (TTImpC-45ProcessData-n--10679-12792-u--updateNSApp arg-0 arg-1 arg-2 e-9) e-10))))) ((10) (let ((e-12 (vector-ref arg-3 1))) (let ((e-13 (vector-ref arg-3 2))) (let ((e-14 (vector-ref arg-3 3))) (let ((e-15 (vector-ref arg-3 4))) (vector 10 e-12 (TTImpC-45ProcessData-n--10679-12792-u--updateNSApp arg-0 arg-1 arg-2 e-13) e-14 e-15))))))(else arg-3))))
(define TTImpC-45ProcessData-n--13230-15135-u--isNullary (lambda (arg-0 arg-1 arg-2 arg-3) (let ((eff-0 (let ((eff-0 arg-2)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Normalise-normalise arg-2 '() e-5 '() (let ((e-3 (vector-ref arg-3 3))) e-3)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (TTImpC-45ProcessData-hasArgs 0 e-6))))) eff-2))))))))) eff-1)))))))))
(define TTImpC-45ProcessData-n--11299-13344-u--getRetType (lambda (arg-0 arg-1 arg-2 arg-3) (case (vector-ref arg-3 0) ((0) (let ((e-1 (vector-ref arg-3 1))) (let ((e-3 (vector-ref arg-3 3))) (let ((e-4 (vector-ref arg-3 4))) (case (vector-ref e-3 0) ((2) (let ((eff-0 ((e-4 arg-2) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 e-1 (vector 0 )))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45ProcessData-n--11299-13344-u--getRetType arg-0 arg-1 arg-2 e-5))) eff-1))))))))(else (lambda (eta-0) (vector 1 arg-3))))))))(else (lambda (eta-0) (vector 1 arg-3))))))
(define TTImpC-45ProcessData-n--11299-13345-u--getPats (lambda (arg-0 arg-1 arg-2 arg-3) (case (vector-ref arg-3 0) ((3) (let ((e-5 (vector-ref arg-3 5))) (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-1 '() arg-2 (Builtin-snd eta-0))) e-5 '())))(else (lambda (eta-0) (vector 1 '()))))))
(define TTImpC-45ProcessData-n--11419-13486-u--getDisjointPos (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (if (null? arg-4) (lambda (eta-0) (vector 1 '())) (let ((e-2 (car arg-4))) (let ((e-3 (cdr arg-4))) (let ((eff-0 (TTImpC-45ProcessData-n--11419-13486-u--getDisjointPos arg-0 arg-1 arg-2 (+ arg-3 1) e-3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (TTImpC-45ProcessData-n--11419-13485-u--allDisjoint arg-0 arg-1 arg-2 e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (clam-0) (cond ((equal? e-6 1) (vector 1 (cons arg-3 e-5))) (else (vector 1 e-5)))))) eff-2))))))))) eff-1))))))))))))
(define TTImpC-45ProcessData-n--11419-13482-u--disjointArgs (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (if (null? arg-3) (lambda (eta-0) (vector 1 0)) (if (null? arg-4) (lambda (eta-0) (vector 1 0)) (let ((e-1 (car arg-3))) (let ((e-2 (cdr arg-3))) (let ((e-4 (car arg-4))) (let ((e-5 (cdr arg-4))) (let ((eff-0 (TTImpC-45ProcessData-n--11419-13483-u--disjoint arg-0 arg-1 arg-2 e-1 e-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (cond ((equal? e-6 1) (lambda (eta-0) (vector 1 1))) (else (TTImpC-45ProcessData-n--11419-13482-u--disjointArgs arg-0 arg-1 arg-2 e-2 e-5))))) eff-1)))))))))))))))
(define TTImpC-45ProcessData-n--11419-13483-u--disjoint (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (case (vector-ref arg-3 0) ((2) (let ((e-3 (vector-ref arg-3 3))) (let ((e-5 (vector-ref arg-3 5))) (case (vector-ref arg-4 0) ((2) (let ((e-18 (vector-ref arg-4 3))) (let ((e-20 (vector-ref arg-4 5))) (let ((sc2 (PreludeC-45EqOrd-u--C-47C-61_Eq_Int e-3 e-18))) (cond ((equal? sc2 1) (lambda (eta-0) (vector 1 1))) (else (let ((eff-0 (let ((eff-0 arg-2)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-2 '() e-6 (Builtin-snd eta-0))) e-5 '()))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-2 '() e-6 (Builtin-snd eta-0))) e-20 '()))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (TTImpC-45ProcessData-n--11419-13482-u--disjointArgs arg-0 arg-1 arg-2 e-7 e-8))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))(else (lambda (eta-0) (vector 1 0))))))) ((3) (let ((e-8 (vector-ref arg-3 2))) (let ((e-11 (vector-ref arg-3 5))) (case (vector-ref arg-4 0) ((2) (let ((e-23 (vector-ref arg-4 2))) (let ((e-26 (vector-ref arg-4 5))) (let ((sc2 (CoreC-45Name-u--C-47C-61_Eq_Name e-8 e-23))) (cond ((equal? sc2 1) (lambda (eta-0) (vector 1 1))) (else (let ((eff-0 (let ((eff-0 arg-2)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-2 '() e-5 (Builtin-snd eta-0))) e-11 '()))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-2 '() e-5 (Builtin-snd eta-0))) e-26 '()))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-12 (vector-ref lcase-2 1))) (let ((eff-3 (TTImpC-45ProcessData-n--11419-13482-u--disjointArgs arg-0 arg-1 arg-2 e-6 e-12))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))(else (lambda (eta-0) (vector 1 0))))))) ((8) (let ((e-14 (vector-ref arg-3 2))) (lambda (clam-0) (case (vector-ref arg-4 0) ((8) (let ((e-29 (vector-ref arg-4 2))) (vector 1 (CoreC-45TT-u--C-47C-61_Eq_Constant e-14 e-29))))(else (vector 1 0))))))(else (lambda (eta-0) (vector 1 0))))))
(define TTImpC-45ProcessData-n--11419-13484-u--allDisjointWith (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (if (null? arg-4) (lambda (eta-0) (vector 1 1)) (case (vector-ref arg-3 0) ((9) (lambda (eta-0) (vector 1 0)))(else (let ((e-1 (car arg-4))) (let ((e-2 (cdr arg-4))) (let ((eff-0 (TTImpC-45ProcessData-n--11419-13483-u--disjoint arg-0 arg-1 arg-2 arg-3 e-1))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (cond ((equal? e-5 1) (TTImpC-45ProcessData-n--11419-13484-u--allDisjointWith arg-0 arg-1 arg-2 arg-3 e-2)) (else (lambda (eta-0) (vector 1 0)))))) eff-1))))))))))))))
(define TTImpC-45ProcessData-n--11419-13485-u--allDisjoint (lambda (arg-0 arg-1 arg-2 arg-3) (if (null? arg-3) (lambda (eta-0) (vector 1 1)) (let ((e-2 (car arg-3))) (let ((e-3 (cdr arg-3))) (case (vector-ref e-2 0) ((9) (lambda (eta-0) (vector 1 0)))(else (let ((eff-0 (TTImpC-45ProcessData-n--11419-13485-u--allDisjoint arg-0 arg-1 arg-2 e-3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (cond ((equal? e-5 1) (TTImpC-45ProcessData-n--11419-13484-u--allDisjointWith arg-0 arg-1 arg-2 e-2 e-3)) (else (lambda (eta-0) (vector 1 0)))))) eff-1))))))))))))))
(define TTImpC-45ProcessData-updateNS (lambda (arg-0 arg-1 arg-2) (case (vector-ref arg-2 0) ((1) (let ((e-1 (vector-ref arg-2 1))) (let ((e-2 (vector-ref arg-2 2))) (let ((e-3 (vector-ref arg-2 3))) (let ((e-4 (vector-ref arg-2 4))) (let ((e-5 (vector-ref arg-2 5))) (let ((e-6 (vector-ref arg-2 6))) (vector 1 e-1 e-2 e-3 e-4 e-5 (TTImpC-45ProcessData-updateNS arg-0 arg-1 e-6)))))))))(else (TTImpC-45ProcessData-n--10679-12792-u--updateNSApp arg-2 arg-1 arg-0 arg-2)))))
(define TTImpC-45ProcessData-typeCon (lambda (arg-1) (case (vector-ref arg-1 0) ((1) (let ((e-2 (vector-ref arg-1 2))) (let ((e-3 (vector-ref arg-1 3))) (case (vector-ref e-2 0) ((3) (box e-3))(else '()))))) ((4) (let ((e-6 (vector-ref arg-1 2))) (TTImpC-45ProcessData-typeCon e-6)))(else '()))))
(define TTImpC-45ProcessData-shaped (lambda (arg-0 arg-1 arg-2) (if (null? arg-2) (lambda (eta-0) (vector 1 '())) (let ((e-2 (car arg-2))) (let ((e-3 (cdr arg-2))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Normalise-normalise arg-0 '() e-5 '() (let ((e-4 (vector-ref e-2 3))) e-4)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((sc3 ((arg-1 'erased) e-6))) (cond ((equal? sc3 1) (lambda (eta-0) (vector 1 (box (let ((e-1 (vector-ref e-2 1))) e-1))))) (else (TTImpC-45ProcessData-shaped arg-0 (lambda (vs-14782) (arg-1 'erased)) e-3)))))) eff-2))))))))) eff-1))))))))))))
(define TTImpC-45ProcessData-processDataOpt (lambda (arg-0 arg-1 arg-2 arg-3) (case (vector-ref arg-3 0) ((1) (lambda (eta-0) (vector 1 (vector 0 )))) ((0) (let ((e-0 (vector-ref arg-3 1))) (CoreC-45Context-setDetermining arg-0 arg-1 arg-2 e-0))) ((2) (CoreC-45Context-setUniqueSearch arg-0 arg-1 arg-2 1)) ((3) (CoreC-45Context-setExternal arg-0 arg-1 arg-2 1)) (else (lambda (eta-0) (vector 1 (vector 0 )))))))
(define TTImpC-45ProcessData-processData (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12) (case (vector-ref arg-12 0) ((1) (let ((e-1 (vector-ref arg-12 1))) (let ((e-2 (vector-ref arg-12 2))) (let ((e-3 (vector-ref arg-12 3))) (let ((eff-0 (CoreC-45Context-inCurrentNS arg-1 e-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (TTImpC-45BindImplicits-bindTypeNames arg-1 arg-9 '() arg-0 e-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (let ((eff-2 arg-1)) (PrimIO-io_bind (let ((eff-3 eff-2)) (lambda (eta-0) (unbox eff-3))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45Context-lookupCtxtExact e-5 (let ((e-0 (vector-ref e-7 0))) e-0)))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-4 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (if (null? e-8) (let ((eff-4 (TTImpC-45ElabC-45Check-uniVar arg-1 arg-3 arg-9))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-4 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (let ((eff-5 (let ((eff-5 (CoreC-45Context-resolveName arg-1 e-5))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-4 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-10 (vector-ref lcase-5 1))) (let ((eff-6 (TTImpC-45ElabC-45Utils-wrapErrorC arg-6 (lambda (eta-0) (vector 67 arg-9 e-5 eta-0)) (TTImpC-45Elab-elabTerm arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-10 (vector 0 ) arg-6 arg-7 arg-8 (vector 16 arg-9 (csegen-2897) e-6) (box (CoreC-45NormaliseC-45Eval-gType e-1 e-9)))))) eff-6))))))))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-4 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-10 (vector-ref lcase-5 1))) (let ((eff-6 (let ((e-11 (car e-10))) (let ((u--fullty (CoreC-45Env-abstractEnvType arg-0 e-1 arg-8 e-11))) (let ((eff-6 (CoreC-45Normalise-logTermNF '() arg-1 (csegen-3774) 5 (lambda () (string-append "data " (CoreC-45Name-u--show_Show_Name e-5))) '() u--fullty))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-12 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-12)))) (else (let ((eff-7 (let ((eff-7 (let ((eff-7 (CoreC-45NormaliseC-45Eval-nf arg-1 arg-0 e-7 arg-8 e-11))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-13 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-7 1))) (let ((eff-8 (TTImpC-45ProcessData-checkIsType arg-1 arg-9 e-5 arg-8 e-13))) eff-8))))))))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-13 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((eff-8 (let ((eff-8 (CoreC-45Normalise-getArity arg-1 '() e-7 '() u--fullty))) (PrimIO-io_bind eff-8 (lambda (lcase-8) (case (vector-ref lcase-8 0) ((0) (let ((e-14 (vector-ref lcase-8 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-8 1))) (let ((eff-9 (let ((eff-9 (CoreC-45Context-addDef arg-1 e-5 (CoreC-45Context-newDef arg-9 e-5 (csegen-1778) arg-0 u--fullty arg-10 (vector 6 0 e-14 '() '() (CoreC-45ContextC-45Context-defaultFlags) '() '() '()))))) (PrimIO-io_bind eff-9 (lambda (lcase-9) (case (vector-ref lcase-9 0) ((0) (let ((e-15 (vector-ref lcase-9 1))) (lambda (eta-0) (vector 0 e-15)))) (else (let ((e-15 (vector-ref lcase-9 1))) (let ((eff-10 (let ((eff-10 (CoreC-45Context-addMutData arg-1 (vector 8 e-15)))) (PrimIO-io_bind eff-10 (lambda (lcase-10) (case (vector-ref lcase-10 0) ((0) (let ((e-16 (vector-ref lcase-10 1))) (lambda (eta-0) (vector 0 e-16)))) (else (let ((eff-11 (let ((eff-11 (let ((eff-11 arg-1)) (PrimIO-io_bind (let ((eff-12 eff-11)) (lambda (eta-0) (unbox eff-12))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-11 (lambda (lcase-11) (case (vector-ref lcase-11 0) ((0) (let ((e-17 (vector-ref lcase-11 1))) (lambda (eta-0) (vector 0 e-17)))) (else (let ((e-17 (vector-ref lcase-11 1))) (let ((eff-12 (let ((eff-12 (CoreC-45Core-traverse_ (lambda (u--n) (CoreC-45Context-setMutWith arg-1 arg-9 u--n (let ((e-48 (vector-ref e-17 1))) e-48))) (let ((e-48 (vector-ref e-17 1))) e-48)))) (PrimIO-io_bind eff-12 (lambda (lcase-12) (case (vector-ref lcase-12 0) ((0) (let ((e-18 (vector-ref lcase-12 1))) (lambda (eta-0) (vector 0 e-18)))) (else (let ((eff-13 (let ((eff-13 (CoreC-45Core-traverse_ (lambda (eta-0) (CoreC-45Context-addToSave arg-1 eta-0)) (LibrariesC-45DataC-45NameMap-keys (CoreC-45TT-getMetas e-11))))) (PrimIO-io_bind eff-13 (lambda (lcase-13) (case (vector-ref lcase-13 0) ((0) (let ((e-19 (vector-ref lcase-13 1))) (lambda (eta-0) (vector 0 e-19)))) (else (let ((eff-14 (let ((eff-14 (CoreC-45Context-addToSave arg-1 e-5))) (PrimIO-io_bind eff-14 (lambda (lcase-14) (case (vector-ref lcase-14 0) ((0) (let ((e-20 (vector-ref lcase-14 1))) (lambda (eta-0) (vector 0 e-20)))) (else (let ((eff-15 (let ((eff-15 (CoreC-45ContextC-45Log-log arg-1 (csegen-3774) 10 (lambda () (string-append (csegen-2908) (string-append (CoreC-45Name-u--show_Show_Name e-5) (string-append ": " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-100) (LibrariesC-45DataC-45NameMap-keys (CoreC-45TT-getMetas e-11)))))))))) (PrimIO-io_bind eff-15 (lambda (lcase-15) (case (vector-ref lcase-15 0) ((0) (let ((e-21 (vector-ref lcase-15 1))) (lambda (eta-0) (vector 0 e-21)))) (else (let ((eff-16 (cond ((equal? arg-10 0) (lambda (eta-0) (vector 1 (vector 0 ))))(else (let ((eff-16 (CoreC-45Context-addHashWithNames arg-1 (csegen-1682) (csegen-81) e-5))) (PrimIO-io_bind eff-16 (lambda (lcase-16) (case (vector-ref lcase-16 0) ((0) (let ((e-22 (vector-ref lcase-16 1))) (lambda (eta-0) (vector 0 e-22)))) (else (let ((eff-17 (let ((eff-17 (CoreC-45Context-addHashWithNames arg-1 (csegen-1699) (csegen-105) u--fullty))) (PrimIO-io_bind eff-17 (lambda (lcase-17) (case (vector-ref lcase-17 0) ((0) (let ((e-23 (vector-ref lcase-17 1))) (lambda (eta-0) (vector 0 e-23)))) (else (let ((eff-18 (CoreC-45ContextC-45Log-log arg-1 "module.hash" 15 (lambda () (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons "Adding hash for data declaration with name " (cons (CoreC-45Name-u--show_Show_Name e-5) '()))))))) eff-18)))))))) eff-17)))))))))) eff-16)))))))) eff-15)))))))) eff-14)))))))) eff-13)))))))) eff-12))))))))) eff-11)))))))) eff-10))))))))) eff-9))))))))) eff-8)))))))) eff-7)))))))))) eff-6))))))))) eff-5))))))) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 39 arg-9 e-5) eta-0))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) (else (let ((e-5 (vector-ref arg-12 1))) (let ((e-6 (vector-ref arg-12 2))) (let ((e-7 (vector-ref arg-12 3))) (let ((e-8 (vector-ref arg-12 4))) (let ((e-9 (vector-ref arg-12 5))) (let ((eff-0 (CoreC-45Context-inCurrentNS arg-1 e-6))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-10 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (TTImpC-45BindImplicits-bindTypeNames arg-1 arg-9 '() arg-0 e-7))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-11 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45ContextC-45Log-log arg-1 "declare.data" 1 (lambda () (string-append "Processing " (CoreC-45Name-u--show_Show_Name e-10)))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (let ((eff-3 (let ((eff-3 arg-1)) (PrimIO-io_bind (let ((eff-4 eff-3)) (lambda (eta-0) (unbox eff-4))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (TTImpC-45ElabC-45Check-uniVar arg-1 arg-3 arg-9))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (let ((eff-5 (let ((eff-5 (CoreC-45Context-resolveName arg-1 e-10))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-15 (vector-ref lcase-5 1))) (let ((eff-6 (TTImpC-45ElabC-45Utils-wrapErrorC arg-6 (lambda (eta-0) (vector 67 arg-9 e-10 eta-0)) (TTImpC-45Elab-elabTerm arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-15 (vector 0 ) arg-6 arg-7 arg-8 (vector 16 arg-9 (csegen-2897) e-11) (box (CoreC-45NormaliseC-45Eval-gType e-5 e-14)))))) eff-6))))))))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-15 (vector-ref lcase-5 1))) (let ((eff-6 (let ((e-2 (car e-15))) (let ((u--fullty (CoreC-45Env-abstractEnvType arg-0 e-5 arg-8 e-2))) (let ((eff-6 (CoreC-45Context-lookupCtxtExact e-10 (let ((e-0 (vector-ref e-13 0))) e-0)))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-4 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-16 (vector-ref lcase-6 1))) (let ((eff-7 (let ((eff-7 (if (null? e-16) (lambda (eta-0) (vector 1 '())) (let ((e-4 (unbox e-16))) (let ((e-17 (vector-ref e-4 17))) (case (vector-ref e-17 0) ((6) (let ((e-39 (vector-ref e-17 6))) (let ((e-38 (vector-ref e-17 7))) (if (null? e-38) (let ((eff-7 (CoreC-45NormaliseC-45Convert-u--convert_Convert_Term arg-1 '() e-13 '() u--fullty (let ((e-64 (vector-ref e-4 2))) e-64)))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-45 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-45)))) (else (let ((e-45 (vector-ref lcase-7 1))) (let ((eff-8 (cond ((equal? e-45 1) (lambda (eta-0) (vector 1 e-39))) (else (let ((eff-8 (CoreC-45Normalise-logTermNF '() arg-1 (csegen-3774) 1 (lambda () (csegen-3775)) '() (let ((e-65 (vector-ref e-4 2))) e-65)))) (PrimIO-io_bind eff-8 (lambda (lcase-8) (case (vector-ref lcase-8 0) ((0) (let ((e-46 (vector-ref lcase-8 1))) (lambda (eta-0) (vector 0 e-46)))) (else (let ((eff-9 (let ((eff-9 (CoreC-45Normalise-logTermNF '() arg-1 (csegen-3774) 1 (lambda () (csegen-3776)) '() u--fullty))) (PrimIO-io_bind eff-9 (lambda (lcase-9) (case (vector-ref lcase-9 0) ((0) (let ((e-47 (vector-ref lcase-9 1))) (lambda (eta-0) (vector 0 e-47)))) (else (let ((eff-10 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 39 arg-9 e-10) eta-0)))) eff-10)))))))) eff-9)))))))))) eff-8))))))) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 39 arg-9 e-10) eta-0))))))(else (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 39 arg-9 e-10) eta-0))))))))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-4 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-17 (vector-ref lcase-7 1))) (let ((eff-8 (let ((eff-8 (CoreC-45Normalise-logTermNF '() arg-1 (csegen-3774) 5 (lambda () (string-append "data " (CoreC-45Name-u--show_Show_Name e-10))) '() u--fullty))) (PrimIO-io_bind eff-8 (lambda (lcase-8) (case (vector-ref lcase-8 0) ((0) (let ((e-4 (vector-ref lcase-8 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-9 (let ((eff-9 (let ((eff-9 (CoreC-45NormaliseC-45Eval-nf arg-1 arg-0 e-13 arg-8 e-2))) (PrimIO-io_bind eff-9 (lambda (lcase-9) (case (vector-ref lcase-9 0) ((0) (let ((e-4 (vector-ref lcase-9 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-19 (vector-ref lcase-9 1))) (let ((eff-10 (TTImpC-45ProcessData-checkIsType arg-1 arg-9 e-10 arg-8 e-19))) eff-10))))))))) (PrimIO-io_bind eff-9 (lambda (lcase-9) (case (vector-ref lcase-9 0) ((0) (let ((e-4 (vector-ref lcase-9 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-10 (let ((eff-10 (CoreC-45Normalise-getArity arg-1 '() e-13 '() u--fullty))) (PrimIO-io_bind eff-10 (lambda (lcase-10) (case (vector-ref lcase-10 0) ((0) (let ((e-4 (vector-ref lcase-10 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-20 (vector-ref lcase-10 1))) (let ((eff-11 (let ((eff-11 (CoreC-45Context-addDef arg-1 e-10 (CoreC-45Context-newDef arg-9 e-10 (csegen-1778) arg-0 u--fullty arg-10 (vector 6 0 e-20 '() '() (CoreC-45ContextC-45Context-defaultFlags) '() '() '()))))) (PrimIO-io_bind eff-11 (lambda (lcase-11) (case (vector-ref lcase-11 0) ((0) (let ((e-4 (vector-ref lcase-11 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-21 (vector-ref lcase-11 1))) (let ((eff-12 (let ((eff-12 (cond ((equal? arg-10 0) (lambda (eta-0) (vector 1 (vector 0 ))))(else (let ((eff-12 (CoreC-45Context-addHashWithNames arg-1 (csegen-1682) (csegen-81) e-10))) (PrimIO-io_bind eff-12 (lambda (lcase-12) (case (vector-ref lcase-12 0) ((0) (let ((e-4 (vector-ref lcase-12 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-13 (let ((eff-13 (CoreC-45Context-addHashWithNames arg-1 (csegen-1699) (csegen-105) u--fullty))) (PrimIO-io_bind eff-13 (lambda (lcase-13) (case (vector-ref lcase-13 0) ((0) (let ((e-4 (vector-ref lcase-13 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-14 (CoreC-45ContextC-45Log-log arg-1 "module.hash" 15 (lambda () (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons "Adding hash for data declaration with name " (cons (CoreC-45Name-u--show_Show_Name e-10) '()))))))) eff-14)))))))) eff-13)))))))))) (PrimIO-io_bind eff-12 (lambda (lcase-12) (case (vector-ref lcase-12 0) ((0) (let ((e-4 (vector-ref lcase-12 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-13 (let ((u--cvis (let ((sc15 (CoreC-45TT-u--C-61C-61_Eq_Visibility arg-10 1))) (cond ((equal? sc15 1) 0) (else arg-10))))) (let ((eff-13 (CoreC-45Core-traverseC-39 (lambda (eta-0) (TTImpC-45ProcessData-checkCon arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 u--cvis e-6 (vector 8 e-21) eta-0)) e-9 '()))) (PrimIO-io_bind eff-13 (lambda (lcase-13) (case (vector-ref lcase-13 0) ((0) (let ((e-4 (vector-ref lcase-13 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-23 (vector-ref lcase-13 1))) (let ((eff-14 (let ((u--ddef (cons (vector e-5 e-10 e-20 u--fullty) e-23))) (let ((eff-14 (let ((eff-14 (CoreC-45ContextC-45Data-addData arg-1 arg-0 arg-10 e-21 u--ddef))) (((csegen-50) ((let ((eff-15 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-4 (vector-ref eta-3 1))) (vector 0 e-4))) (else (let ((e-24 (vector-ref eta-3 1))) (vector 1 (eta-2 e-24))))))))))) (lambda (arg-13) (lambda (arg-14) ((((eff-15 'erased) 'erased) arg-13) arg-14)))) (lambda (_-8679) (vector 0 )))) eff-14)))) (PrimIO-io_bind eff-14 (lambda (lcase-14) (case (vector-ref lcase-14 0) ((0) (let ((e-4 (vector-ref lcase-14 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-15 (let ((eff-15 (let ((sc17 (PreludeC-45Types-elem (csegen-16) (csegen-3779) (vector 4 ) e-8))) (cond ((equal? sc17 1) (lambda (eta-0) (vector 1 (vector 0 )))) (else (TTImpC-45ProcessData-findNewtype arg-1 e-23)))))) (PrimIO-io_bind eff-15 (lambda (lcase-15) (case (vector-ref lcase-15 0) ((0) (let ((e-4 (vector-ref lcase-15 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-16 (let ((eff-16 (let ((eff-16 arg-1)) (PrimIO-io_bind (let ((eff-17 eff-16)) (lambda (eta-0) (unbox eff-17))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-16 (lambda (lcase-16) (case (vector-ref lcase-16 0) ((0) (let ((e-4 (vector-ref lcase-16 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-17 (let ((eff-17 (CoreC-45ContextC-45Log-log arg-1 (csegen-3774) 3 (lambda () (string-append (CoreC-45Name-u--show_Show_Name e-10) (string-append ((csegen-0) " defined in a mutual block with ") (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-100) e-17))))))) (PrimIO-io_bind eff-17 (lambda (lcase-17) (case (vector-ref lcase-17 0) ((0) (let ((e-4 (vector-ref lcase-17 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-18 (let ((eff-18 (CoreC-45Context-setMutWith arg-1 arg-9 (vector 8 e-21) e-17))) (PrimIO-io_bind eff-18 (lambda (lcase-18) (case (vector-ref lcase-18 0) ((0) (let ((e-4 (vector-ref lcase-18 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-19 (let ((eff-19 (CoreC-45Core-traverse_ (lambda (eta-0) (TTImpC-45ProcessData-processDataOpt arg-1 arg-9 (vector 8 e-21) eta-0)) e-8))) (PrimIO-io_bind eff-19 (lambda (lcase-19) (case (vector-ref lcase-19 0) ((0) (let ((e-4 (vector-ref lcase-19 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-20 (let ((eff-20 (CoreC-45Context-dropMutData arg-1 (vector 8 e-21)))) (PrimIO-io_bind eff-20 (lambda (lcase-20) (case (vector-ref lcase-20 0) ((0) (let ((e-4 (vector-ref lcase-20 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-21 (let ((eff-21 (TTImpC-45ProcessData-getDetags arg-1 arg-9 ((csegen-3782) e-23)))) (PrimIO-io_bind eff-21 (lambda (lcase-21) (case (vector-ref lcase-21 0) ((0) (let ((e-4 (vector-ref lcase-21 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-31 (vector-ref lcase-21 1))) (let ((eff-22 (let ((eff-22 (CoreC-45Context-setDetags arg-1 arg-9 (vector 8 e-21) e-31))) (PrimIO-io_bind eff-22 (lambda (lcase-22) (case (vector-ref lcase-22 0) ((0) (let ((e-4 (vector-ref lcase-22 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-23 (let ((eff-23 (CoreC-45Core-traverse_ (lambda (eta-0) (CoreC-45Context-addToSave arg-1 eta-0)) (LibrariesC-45DataC-45NameMap-keys (CoreC-45TT-getMetas e-2))))) (PrimIO-io_bind eff-23 (lambda (lcase-23) (case (vector-ref lcase-23 0) ((0) (let ((e-4 (vector-ref lcase-23 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-24 (let ((eff-24 (CoreC-45Context-addToSave arg-1 e-10))) (PrimIO-io_bind eff-24 (lambda (lcase-24) (case (vector-ref lcase-24 0) ((0) (let ((e-4 (vector-ref lcase-24 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-25 (let ((eff-25 (CoreC-45ContextC-45Log-log arg-1 (csegen-3774) 10 (lambda () (string-append (csegen-2908) (string-append (CoreC-45Name-u--show_Show_Name e-10) (string-append ": " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-100) (LibrariesC-45DataC-45NameMap-keys (CoreC-45TT-getMetas e-2)))))))))) (PrimIO-io_bind eff-25 (lambda (lcase-25) (case (vector-ref lcase-25 0) ((0) (let ((e-4 (vector-ref lcase-25 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-26 (let ((u--connames ((csegen-3784) e-23))) (let ((eff-26 (let ((sc28 (PreludeC-45Types-elem (csegen-16) (csegen-3779) (vector 1 ) e-8))) (cond ((equal? sc28 1) (lambda (eta-0) (vector 1 (vector 0 )))) (else (CoreC-45Core-traverse_ (lambda (u--x) (CoreC-45Context-addHintFor arg-1 arg-9 (vector 8 e-21) u--x 1 0)) u--connames)))))) (PrimIO-io_bind eff-26 (lambda (lcase-26) (case (vector-ref lcase-26 0) ((0) (let ((e-4 (vector-ref lcase-26 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-27 (let ((eff-27 (TTImpC-45ProcessData-calcConInfo arg-1 arg-9 (vector 8 e-21) e-23))) (PrimIO-io_bind eff-27 (lambda (lcase-27) (case (vector-ref lcase-27 0) ((0) (let ((e-4 (vector-ref lcase-27 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-28 (let ((eff-28 (CoreC-45Core-traverse_ (lambda (eta-0) (TTImpC-45ElabC-45Utils-updateErasable arg-1 eta-0)) (cons (vector 8 e-21) u--connames)))) (PrimIO-io_bind eff-28 (lambda (lcase-28) (case (vector-ref lcase-28 0) ((0) (let ((e-4 (vector-ref lcase-28 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-29 (if (null? arg-11) (lambda (eta-0) (vector 1 (vector 0 ))) (let ((e-1 (unbox arg-11))) (let ((eff-29 (CoreC-45ContextC-45Log-log arg-1 (csegen-3774) 5 (lambda () (string-append (csegen-3772) (CoreC-45Name-u--show_Show_Name e-10)))))) (PrimIO-io_bind eff-29 (lambda (lcase-29) (case (vector-ref lcase-29 0) ((0) (let ((e-4 (vector-ref lcase-29 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-30 (CoreC-45Context-setFlag arg-1 arg-9 e-10 (vector 6 e-1)))) eff-30)))))))))) eff-29)))))))) eff-28)))))))) eff-27))))))))) eff-26)))))))) eff-25)))))))) eff-24)))))))) eff-23)))))))) eff-22))))))))) eff-21)))))))) eff-20)))))))) eff-19)))))))) eff-18)))))))) eff-17)))))))) eff-16)))))))) eff-15))))))))) eff-14)))))))))) eff-13)))))))) eff-12))))))))) eff-11))))))))) eff-10)))))))) eff-9)))))))) eff-8))))))))) eff-7))))))))))) eff-6))))))))) eff-5))))))))) eff-4))))))))) eff-3)))))))) eff-2))))))))) eff-1))))))))))))))))
(define TTImpC-45ProcessData-hasArgs (lambda (arg-1 arg-2) (cond ((equal? arg-1 0) (case (vector-ref arg-2 0) ((3) (let ((e-14 (vector-ref arg-2 3))) (let ((e-15 (vector-ref arg-2 4))) (case (vector-ref e-14 0) ((2) (let ((e-18 (vector-ref e-14 2))) (let ((sc3 (AlgebraC-45Semiring-isErased (csegen-1156) e-18))) (cond ((equal? sc3 1) (TTImpC-45ProcessData-hasArgs 0 e-15)) (else 0)))))(else 1)))))(else 1)))(else (let ((e-0 (- arg-1 1))) (case (vector-ref arg-2 0) ((3) (let ((e-4 (vector-ref arg-2 3))) (let ((e-5 (vector-ref arg-2 4))) (case (vector-ref e-4 0) ((2) (let ((e-8 (vector-ref e-4 2))) (let ((sc2 (AlgebraC-45Semiring-isErased (csegen-1156) e-8))) (cond ((equal? sc2 1) (TTImpC-45ProcessData-hasArgs (+ e-0 1) e-5)) (else (TTImpC-45ProcessData-hasArgs e-0 e-5))))))(else 0)))))(else 0)))))))
(define TTImpC-45ProcessData-getRelevantArg (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (case (vector-ref arg-5 0) ((0) (let ((e-1 (vector-ref arg-5 1))) (let ((e-3 (vector-ref arg-5 3))) (let ((e-4 (vector-ref arg-5 4))) (case (vector-ref e-3 0) ((2) (let ((e-7 (vector-ref e-3 2))) (let ((e-9 (vector-ref e-3 4))) (let ((eff-0 ((e-4 arg-1) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 e-1 (vector 0 )))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-0 '() arg-1 e-9))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-10 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-1 1))) (let ((eff-2 (AlgebraC-45Semiring-branchZero (csegen-1156) (lambda () (TTImpC-45ProcessData-getRelevantArg arg-0 arg-1 (+ arg-2 1) arg-3 arg-4 e-5)) (case (vector-ref e-10 0) ((8) (let ((e-11 (vector-ref e-10 2))) (case (vector-ref e-11 0) ((13) (let ((e-13 (vector-ref e-11 1))) (cond ((equal? e-13 13) (lambda () (let ((eff-2 ((e-4 arg-1) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 e-1 (vector 0 )))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-14 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-2 1))) (let ((eff-3 (TTImpC-45ProcessData-getRelevantArg arg-0 arg-1 (+ arg-2 1) arg-3 0 e-14))) eff-3)))))))))(else (lambda () (PreludeC-45Types-maybe (lambda () (let ((eff-2 ((e-4 arg-1) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 e-1 (vector 0 )))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-14 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-2 1))) (let ((eff-3 (TTImpC-45ProcessData-getRelevantArg arg-0 arg-1 (+ arg-2 1) (box arg-2) 0 e-14))) eff-3)))))))) (lambda () (lambda (eta-0) (lambda (eta-1) (vector 1 '())))) arg-3))))))(else (lambda () (PreludeC-45Types-maybe (lambda () (let ((eff-2 ((e-4 arg-1) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 e-1 (vector 0 )))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-13 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-2 1))) (let ((eff-3 (TTImpC-45ProcessData-getRelevantArg arg-0 arg-1 (+ arg-2 1) (box arg-2) 0 e-13))) eff-3)))))))) (lambda () (lambda (eta-0) (lambda (eta-1) (vector 1 '())))) arg-3))))))(else (lambda () (PreludeC-45Types-maybe (lambda () (let ((eff-2 ((e-4 arg-1) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 e-1 (vector 0 )))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-11 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-2 1))) (let ((eff-3 (TTImpC-45ProcessData-getRelevantArg arg-0 arg-1 (+ arg-2 1) (box arg-2) 0 e-11))) eff-3)))))))) (lambda () (lambda (eta-0) (lambda (eta-1) (vector 1 '())))) arg-3)))) e-7))) eff-2))))))))) eff-1))))))))))(else (lambda (eta-0) (vector 1 (PreludeC-45Types-maybe (lambda () '()) (lambda () (lambda (u--r) (box (cons arg-4 u--r)))) arg-3)))))))))(else (lambda (eta-0) (vector 1 (PreludeC-45Types-maybe (lambda () '()) (lambda () (lambda (u--r) (box (cons arg-4 u--r)))) arg-3)))))))
(define TTImpC-45ProcessData-getIndexPats (lambda (arg-0 arg-1) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-nf arg-0 '() e-5 '() arg-1))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45ProcessData-n--11299-13344-u--getRetType arg-1 arg-0 e-5 e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (TTImpC-45ProcessData-n--11299-13345-u--getPats arg-1 arg-0 e-5 e-7))) eff-3))))))))) eff-2))))))))) eff-1)))))))))
(define TTImpC-45ProcessData-getDetags (lambda (arg-0 arg-1 arg-2) (if (null? arg-2) (lambda (eta-0) (vector 1 (box '()))) (let ((e-3 (cdr arg-2))) (if (null? e-3) (lambda (eta-0) (vector 1 (box '()))) (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (TTImpC-45ProcessData-getIndexPats arg-0 eta-0)) arg-2 '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (TTImpC-45ProcessData-n--11419-13486-u--getDisjointPos arg-2 arg-1 arg-0 0 (DataC-45List-transpose e-5)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (clam-0) (if (null? e-6) (vector 1 '()) (vector 1 (box e-6)))))) eff-2))))))))) eff-1))))))))))))
(define TTImpC-45ProcessData-firstArg (lambda (arg-1) (case (vector-ref arg-1 0) ((3) (let ((e-3 (vector-ref arg-1 3))) (let ((e-4 (vector-ref arg-1 4))) (case (vector-ref e-3 0) ((2) (let ((e-7 (vector-ref e-3 2))) (let ((e-9 (vector-ref e-3 4))) (let ((sc2 (AlgebraC-45Semiring-isErased (csegen-1156) e-7))) (cond ((equal? sc2 1) (TTImpC-45ProcessData-firstArg e-4)) (else (box e-9)))))))(else '())))))(else '()))))
(define TTImpC-45ProcessData-findNewtype (lambda (arg-0 arg-1) (if (null? arg-1) (lambda (eta-0) (vector 1 (vector 0 ))) (let ((e-1 (car arg-1))) (let ((e-2 (cdr arg-1))) (if (null? e-2) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-nf arg-0 '() e-5 '() (let ((e-3 (vector-ref e-1 3))) e-3)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-3 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (TTImpC-45ProcessData-getRelevantArg arg-0 e-5 0 '() 1 e-6))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-3 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-6) (lambda (eta-0) (vector 1 (vector 0 ))) (let ((e-3 (unbox e-6))) (CoreC-45Context-updateDef arg-0 (let ((e-8 (vector-ref e-1 1))) e-8) (lambda (lcase-2) (case (vector-ref lcase-2 0) ((5) (let ((e-0 (vector-ref lcase-2 1))) (let ((e-7 (vector-ref lcase-2 2))) (box (vector 5 e-0 e-7 (box e-3))))))(else '())))))))) eff-2))))))))) eff-1))))))) (lambda (eta-0) (vector 1 (vector 0 )))))))))
(define TTImpC-45ProcessData-checkRetType (lambda (arg-1 arg-2 arg-3 arg-4) (case (vector-ref arg-3 0) ((0) (let ((e-1 (vector-ref arg-3 1))) (let ((e-3 (vector-ref arg-3 3))) (let ((e-4 (vector-ref arg-3 4))) (case (vector-ref e-3 0) ((2) (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((e-4 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) arg-2 (vector 10 e-1 (vector 0 )))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-10 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-1 1))) (let ((eff-2 (TTImpC-45ProcessData-checkRetType arg-1 arg-2 e-10 arg-4))) eff-2))))))))) eff-1))))))))(else (arg-4 arg-3)))))))(else (arg-4 arg-3)))))
(define TTImpC-45ProcessData-checkIsType (lambda (arg-1 arg-2 arg-3 arg-4 arg-5) (TTImpC-45ProcessData-checkRetType arg-1 arg-4 arg-5 (lambda (lcase-0) (lambda (clam-0) (case (vector-ref lcase-0 0) ((10) (vector 1 (vector 0 )))(else (CoreC-45Core-u--throw_Catchable_Core_Error (vector 9 arg-2 arg-3) clam-0))))))))
(define TTImpC-45ProcessData-checkFamily (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (TTImpC-45ProcessData-checkRetType arg-1 arg-5 arg-6 (lambda (lcase-0) (lambda (clam-0) (case (vector-ref lcase-0 0) ((10) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 10 arg-2 arg-3 arg-4) clam-0)) ((3) (let ((e-5 (vector-ref lcase-0 2))) (let ((sc1 (CoreC-45Name-u--C-61C-61_Eq_Name arg-4 e-5))) (cond ((equal? sc1 1) (vector 1 (vector 0 ))) (else (CoreC-45Core-u--throw_Catchable_Core_Error (vector 10 arg-2 arg-3 arg-4) clam-0))))))(else (CoreC-45Core-u--throw_Catchable_Core_Error (vector 10 arg-2 arg-3 arg-4) clam-0))))))))
(define TTImpC-45ProcessData-checkCon (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12) (let ((e-1 (vector-ref arg-12 0))) (let ((e-3 (vector-ref arg-12 2))) (let ((e-4 (vector-ref arg-12 3))) (let ((eff-0 (CoreC-45Context-inCurrentNS arg-1 e-3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--ty_raw (TTImpC-45ProcessData-updateNS arg-10 arg-11 e-4))) (let ((eff-1 (CoreC-45ContextC-45Log-log arg-1 "declare.data.constructor" 5 (lambda () (string-append "Checking constructor type " (string-append (CoreC-45Name-u--show_Show_Name e-5) (string-append " : " (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 (csegen-100) u--ty_raw)))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-6 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45ContextC-45Log-log arg-1 "declare.data.constructor" 10 (lambda () (string-append "Updated " (PreludeC-45Show-u--show_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-108) (cons arg-10 arg-11))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-7 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((eff-3 (let ((eff-3 (let ((eff-3 arg-1)) (PrimIO-io_bind (let ((eff-4 eff-3)) (lambda (eta-0) (unbox eff-4))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-8 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Context-lookupCtxtExact e-5 (let ((e-0 (vector-ref e-8 0))) e-0)))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-9 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (if (null? e-9) (let ((eff-5 (TTImpC-45ElabC-45Check-uniVar arg-1 arg-3 e-1))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-10 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-5 1))) (let ((eff-6 (let ((eff-6 (let ((eff-6 (CoreC-45Context-resolveName arg-1 e-5))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-11 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-6 1))) (let ((eff-7 (TTImpC-45ElabC-45Utils-wrapErrorC arg-6 (lambda (eta-0) (vector 67 e-1 e-5 eta-0)) (TTImpC-45Elab-checkTerm arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-11 (vector 0 ) arg-6 arg-7 arg-8 (vector 16 e-1 (csegen-2897) u--ty_raw) (CoreC-45NormaliseC-45Eval-gType e-1 e-10))))) eff-7))))))))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-11 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-6 1))) (let ((eff-7 (let ((eff-7 (let ((eff-7 (CoreC-45NormaliseC-45Eval-nf arg-1 arg-0 e-8 arg-8 e-11))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-12 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-12)))) (else (let ((e-12 (vector-ref lcase-7 1))) (let ((eff-8 (TTImpC-45ProcessData-checkFamily arg-1 e-1 e-5 arg-11 arg-8 e-12))) eff-8))))))))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-12 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-12)))) (else (let ((eff-8 (let ((u--fullty (CoreC-45Env-abstractEnvType arg-0 e-1 arg-8 e-11))) (let ((eff-8 (CoreC-45Normalise-logTermNF '() arg-1 (csegen-3787) 5 (lambda () (string-append ((csegen-0) "Constructor ") (CoreC-45Name-u--show_Show_Name e-5))) '() u--fullty))) (PrimIO-io_bind eff-8 (lambda (lcase-8) (case (vector-ref lcase-8 0) ((0) (let ((e-13 (vector-ref lcase-8 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((eff-9 (let ((eff-9 (CoreC-45Core-traverse_ (lambda (eta-0) (CoreC-45Context-addToSave arg-1 eta-0)) (LibrariesC-45DataC-45NameMap-keys (CoreC-45TT-getMetas e-11))))) (PrimIO-io_bind eff-9 (lambda (lcase-9) (case (vector-ref lcase-9 0) ((0) (let ((e-14 (vector-ref lcase-9 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((eff-10 (let ((eff-10 (CoreC-45Context-addToSave arg-1 e-5))) (PrimIO-io_bind eff-10 (lambda (lcase-10) (case (vector-ref lcase-10 0) ((0) (let ((e-15 (vector-ref lcase-10 1))) (lambda (eta-0) (vector 0 e-15)))) (else (let ((eff-11 (let ((eff-11 (CoreC-45ContextC-45Log-log arg-1 (csegen-3787) 10 (lambda () (string-append (csegen-2908) (string-append (CoreC-45Name-u--show_Show_Name e-5) (string-append ": " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-100) (LibrariesC-45DataC-45NameMap-keys (CoreC-45TT-getMetas e-11)))))))))) (PrimIO-io_bind eff-11 (lambda (lcase-11) (case (vector-ref lcase-11 0) ((0) (let ((e-16 (vector-ref lcase-11 1))) (lambda (eta-0) (vector 0 e-16)))) (else (let ((eff-12 (let ((eff-12 (cond ((equal? arg-9 2) (let ((eff-12 (CoreC-45Context-addHashWithNames arg-1 (csegen-1682) (csegen-81) e-5))) (PrimIO-io_bind eff-12 (lambda (lcase-12) (case (vector-ref lcase-12 0) ((0) (let ((e-17 (vector-ref lcase-12 1))) (lambda (eta-0) (vector 0 e-17)))) (else (let ((eff-13 (let ((eff-13 (CoreC-45Context-addHashWithNames arg-1 (csegen-1699) (csegen-105) u--fullty))) (PrimIO-io_bind eff-13 (lambda (lcase-13) (case (vector-ref lcase-13 0) ((0) (let ((e-18 (vector-ref lcase-13 1))) (lambda (eta-0) (vector 0 e-18)))) (else (let ((eff-14 (CoreC-45ContextC-45Log-log arg-1 (csegen-2909) 15 (lambda () (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons ((csegen-0) "Adding hash for data constructor: ") (cons ((csegen-0) (CoreC-45Name-u--show_Show_Name e-5)) '()))))))) eff-14)))))))) eff-13)))))))(else (lambda (eta-0) (vector 1 (vector 0 ))))))) (PrimIO-io_bind eff-12 (lambda (lcase-12) (case (vector-ref lcase-12 0) ((0) (let ((e-17 (vector-ref lcase-12 1))) (lambda (eta-0) (vector 0 e-17)))) (else (let ((eff-13 (let ((eff-13 (CoreC-45Normalise-getArity arg-1 '() e-8 '() u--fullty))) (PrimIO-io_bind eff-13 (lambda (lcase-13) (case (vector-ref lcase-13 0) ((0) (let ((e-18 (vector-ref lcase-13 1))) (lambda (eta-0) (vector 0 e-18)))) (else (let ((e-18 (vector-ref lcase-13 1))) (let ((eff-14 (lambda (eta-0) (vector 1 (vector e-1 e-5 e-18 u--fullty))))) eff-14))))))))) eff-13)))))))) eff-12)))))))) eff-11)))))))) eff-10)))))))) eff-9))))))))) eff-8)))))))) eff-7))))))))) eff-6))))))) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 39 e-1 e-5) eta-0))))) eff-5))))))))) eff-4))))))))) eff-3)))))))) eff-2))))))))) eff-1))))))))))))
(define TTImpC-45ProcessData-calcUnity (lambda (arg-0 arg-1 arg-2 arg-3) (if (null? arg-3) (lambda (eta-0) (vector 1 0)) (let ((e-2 (cdr arg-3))) (if (null? e-2) (let ((eff-0 (TTImpC-45ProcessData-shaped arg-0 (lambda (vs-15691) (csegen-3790)) arg-3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (if (null? e-5) (lambda (eta-0) (vector 1 0)) (let ((e-3 (unbox e-5))) (let ((eff-1 (CoreC-45Context-setFlag arg-0 arg-1 e-3 (vector 11 (vector 10 ))))) (PrimIO-io_bind eff-1 (csegen-2355))))))) eff-1))))))) (lambda (eta-0) (vector 1 0)))))))
(define TTImpC-45ProcessData-calcRecord (lambda (arg-0 arg-1 arg-2) (if (null? arg-2) (lambda (eta-0) (vector 1 0)) (let ((e-1 (car arg-2))) (let ((e-2 (cdr arg-2))) (if (null? e-2) (let ((eff-0 (CoreC-45Context-setFlag arg-0 arg-1 (let ((e-5 (vector-ref e-1 1))) e-5) (vector 11 (vector 7 ))))) (PrimIO-io_bind eff-0 (csegen-2355))) (lambda (eta-0) (vector 1 0))))))))
(define TTImpC-45ProcessData-calcNaty (lambda (arg-0 arg-1 arg-2 arg-3) (if (null? arg-3) (lambda (eta-0) (vector 1 0)) (let ((e-1 (car arg-3))) (let ((e-2 (cdr arg-3))) (if (null? e-2) (lambda (eta-0) (vector 1 0)) (let ((e-4 (car e-2))) (let ((e-5 (cdr e-2))) (if (null? e-5) (let ((eff-0 (TTImpC-45ProcessData-shaped arg-0 (lambda (vs-15281) (csegen-3790)) arg-3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--cs (cons e-1 (cons e-4 '())))) (if (null? e-6) (lambda (eta-0) (vector 1 0)) (let ((e-3 (unbox e-6))) (let ((eff-1 (TTImpC-45ProcessData-shaped arg-0 (lambda (vs-15315) (csegen-3793)) u--cs))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((_-0 (box e-3))) (if (null? e-7) (lambda (eta-0) (vector 1 0)) (let ((e-8 (unbox e-7))) (let ((_-1 (box e-8))) (TTImpC-45ProcessData-case--caseC-32blockC-32inC-32caseC-32blockC-32inC-32calcNaty-15362 e-4 e-1 u--cs arg-2 arg-1 arg-0 e-3 _-0 e-8 _-1 (DataC-45List-find (lambda (u--con) (CoreC-45Name-u--C-61C-61_Eq_Name (let ((e-11 (vector-ref u--con 1))) e-11) e-8)) u--cs)))))))) eff-2)))))))))))) eff-1))))))) (lambda (eta-0) (vector 1 0)))))))))))
(define TTImpC-45ProcessData-calcMaybe (lambda (arg-0 arg-1 arg-2) (if (null? arg-2) (lambda (eta-0) (vector 1 0)) (let ((e-1 (car arg-2))) (let ((e-2 (cdr arg-2))) (if (null? e-2) (lambda (eta-0) (vector 1 0)) (let ((e-4 (car e-2))) (let ((e-5 (cdr e-2))) (if (null? e-5) (let ((eff-0 (TTImpC-45ProcessData-shaped arg-0 (lambda (vs-15010) (csegen-3790)) arg-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--cs (cons e-1 (cons e-4 '())))) (if (null? e-6) (lambda (eta-0) (vector 1 0)) (let ((e-3 (unbox e-6))) (let ((eff-1 (TTImpC-45ProcessData-shaped arg-0 (lambda (vs-15042) (csegen-3793)) u--cs))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-7) (lambda (eta-0) (vector 1 0)) (let ((e-8 (unbox e-7))) (let ((eff-2 (CoreC-45Context-setFlag arg-0 arg-1 e-3 (vector 11 (vector 5 ))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-9 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((eff-3 (let ((eff-3 (CoreC-45Context-setFlag arg-0 arg-1 e-8 (vector 11 (vector 6 ))))) (PrimIO-io_bind eff-3 (csegen-2355))))) eff-3)))))))))) eff-2)))))))))))) eff-1))))))) (lambda (eta-0) (vector 1 0)))))))))))
(define TTImpC-45ProcessData-calcListy (lambda (arg-0 arg-1 arg-2) (if (null? arg-2) (lambda (eta-0) (vector 1 0)) (let ((e-1 (car arg-2))) (let ((e-2 (cdr arg-2))) (if (null? e-2) (let ((eff-0 (TTImpC-45ProcessData-shaped arg-0 (lambda (vs-14811) (csegen-3797)) arg-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (if (null? e-5) (lambda (eta-0) (vector 1 0)) (let ((e-3 (unbox e-5))) (let ((eff-1 (CoreC-45Context-setFlag arg-0 arg-1 e-3 (vector 11 (vector 3 ))))) (PrimIO-io_bind eff-1 (csegen-2355))))))) eff-1))))))) (let ((e-5 (car e-2))) (let ((e-6 (cdr e-2))) (if (null? e-6) (let ((eff-0 (TTImpC-45ProcessData-shaped arg-0 (lambda (vs-14870) (csegen-3790)) arg-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-7 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--cs (cons e-1 (cons e-5 '())))) (if (null? e-7) (lambda (eta-0) (vector 1 0)) (let ((e-3 (unbox e-7))) (let ((eff-1 (TTImpC-45ProcessData-shaped arg-0 (lambda (vs-14902) (csegen-3797)) u--cs))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-8 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-8) (lambda (eta-0) (vector 1 0)) (let ((e-4 (unbox e-8))) (let ((eff-2 (CoreC-45Context-setFlag arg-0 arg-1 e-3 (vector 11 (vector 2 ))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-9 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((eff-3 (let ((eff-3 (CoreC-45Context-setFlag arg-0 arg-1 e-4 (vector 11 (vector 3 ))))) (PrimIO-io_bind eff-3 (csegen-2355))))) eff-3)))))))))) eff-2)))))))))))) eff-1))))))) (lambda (eta-0) (vector 1 0)))))))))))
(define TTImpC-45ProcessData-calcEnum (lambda (arg-0 arg-1 arg-2) (let ((eff-0 (CoreC-45Core-allM (lambda (eta-0) (TTImpC-45ProcessData-n--13230-15135-u--isNullary arg-2 arg-1 arg-0 eta-0)) arg-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (cond ((equal? e-5 1) (let ((eff-1 (CoreC-45Core-traverse_ (lambda (u--c) (CoreC-45Context-setFlag arg-0 arg-1 u--c (vector 11 (vector 4 (PreludeC-45TypesC-45List-lengthTR arg-2))))) ((csegen-3784) arg-2)))) (PrimIO-io_bind eff-1 (csegen-2355)))) (else (lambda (eta-0) (vector 1 0)))))) eff-1)))))))))
(define TTImpC-45ProcessData-calcConInfo (lambda (arg-0 arg-1 arg-2 arg-3) (let ((eff-0 (TTImpC-45ProcessData-calcNaty arg-0 arg-1 arg-2 arg-3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (cond ((equal? e-5 0) (let ((eff-1 (TTImpC-45ProcessData-calcUnity arg-0 arg-1 arg-2 arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (cond ((equal? e-6 0) (let ((eff-2 (TTImpC-45ProcessData-calcListy arg-0 arg-1 arg-3))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (cond ((equal? e-7 0) (let ((eff-3 (TTImpC-45ProcessData-calcMaybe arg-0 arg-1 arg-3))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (cond ((equal? e-8 0) (let ((eff-4 (TTImpC-45ProcessData-calcEnum arg-0 arg-1 arg-3))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (cond ((equal? e-9 0) (let ((eff-5 (TTImpC-45ProcessData-calcRecord arg-0 arg-1 arg-3))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-10 (vector-ref lcase-5 1))) (let ((eff-6 (lambda (clam-0) (cond ((equal? e-10 0) (vector 1 (vector 0 ))) (else (vector 1 (vector 0 ))))))) eff-6)))))))) (else (lambda (eta-0) (vector 1 (vector 0 ))))))) eff-5)))))))) (else (lambda (eta-0) (vector 1 (vector 0 ))))))) eff-4)))))))) (else (lambda (eta-0) (vector 1 (vector 0 ))))))) eff-3)))))))) (else (lambda (eta-0) (vector 1 (vector 0 ))))))) eff-2)))))))) (else (lambda (eta-0) (vector 1 (vector 0 ))))))) eff-1)))))))))
(define CoreC-45ContextC-45Data-case--getPs-13907 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (if (null? arg-5) (lambda (eta-0) (vector 1 arg-4)) (let ((e-2 (car arg-5))) (let ((e-3 (cdr arg-5))) (case (vector-ref e-2 0) ((1) (let ((e-7 (vector-ref e-2 3))) (let ((sc2 (CoreC-45Name-u--C-61C-61_Eq_Name e-7 arg-3))) (cond ((equal? sc2 1) (let ((eff-0 (CoreC-45ContextC-45Data-updateParams arg-0 arg-1 arg-4 e-3))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-4 (vector-ref eta-3 1))) (vector 0 e-4))) (else (let ((e-8 (vector-ref eta-3 1))) (vector 1 (eta-2 e-8))))))))))) (lambda (arg-6) (lambda (arg-7) ((((eff-1 'erased) 'erased) arg-6) arg-7)))) (lambda (eta-0) (box eta-0)))) eff-0))) (else (lambda (eta-0) (vector 1 arg-4)))))))(else (lambda (eta-0) (vector 1 arg-4)))))))))
(define CoreC-45ContextC-45Data-n--6752-13484-u--toNothing (lambda (arg-1 arg-4 arg-5 arg-6 arg-7) (if (null? arg-7) arg-7 (let ((e-1 (unbox arg-7))) (case (vector-ref e-1 0) ((0) (let ((e-4 (vector-ref e-1 1))) (let ((e-5 (vector-ref e-1 2))) (let ((e-6 (vector-ref e-1 3))) (let ((u--tm (box (vector 0 e-4 e-5 e-6)))) (let ((sc2 (or (and (= arg-1 e-6) 1) 0))) (cond ((equal? sc2 1) '()) (else u--tm))))))))(else arg-7))))))
(define CoreC-45ContextC-45Data-n--7114-13829-u--shrink (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11) (if (null? arg-11) '() (let ((e-2 (unbox arg-11))) (CoreC-45TT-shrinkTerm e-2 (vector 1 (vector 0 )))))))
(define CoreC-45ContextC-45Data-n--6892-13676-u--mergeArg (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (if (null? arg-4) '() (let ((e-1 (unbox arg-4))) (case (vector-ref e-1 0) ((0) (let ((e-4 (vector-ref e-1 1))) (let ((e-5 (vector-ref e-1 2))) (let ((e-6 (vector-ref e-1 3))) (case (vector-ref arg-5 0) ((0) (let ((e-12 (vector-ref arg-5 3))) (let ((sc3 (or (and (= e-6 e-12) 1) 0))) (cond ((equal? sc3 1) (box (vector 0 e-4 e-5 e-6))) (else '())))))(else '()))))))(else '()))))))
(define CoreC-45ContextC-45Data-n--7335-14013-u--justPos (lambda (arg-1 arg-2 arg-3) (if (null? arg-3) '() (let ((e-2 (car arg-3))) (let ((e-3 (cdr arg-3))) (if (null? e-2) (CoreC-45ContextC-45Data-n--7335-14013-u--justPos arg-1 (+ arg-2 1) e-3) (cons arg-2 (CoreC-45ContextC-45Data-n--7335-14013-u--justPos arg-1 (+ arg-2 1) e-3))))))))
(define CoreC-45ContextC-45Data-n--6892-13613-u--couldBeParam (lambda (arg-0 arg-1 arg-2 arg-3) (let ((eff-0 (CoreC-45Normalise-etaContract arg-0 arg-1 arg-3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (case (vector-ref e-5 0) ((0) (let ((e-2 (vector-ref e-5 1))) (let ((e-3 (vector-ref e-5 2))) (let ((e-4 (vector-ref e-5 3))) (box (vector 0 e-2 e-3 e-4))))))(else '())))))) eff-1)))))))))
(define CoreC-45ContextC-45Data-n--7537-14221-u--conVisibility (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9) (cond ((equal? arg-9 1) 0)(else arg-9))))
(define CoreC-45ContextC-45Data-n--7537-14220-u--allDet (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9) (cond ((equal? arg-9 0) '())(else (let ((e-0 (- arg-9 1))) (PreludeC-45Types-u--rangeFromTo_Range_Nat 0 e-0))))))
(define CoreC-45ContextC-45Data-n--7537-14222-u--addDataConstructors (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11) (if (null? arg-10) (lambda (eta-0) (vector 1 arg-11)) (let ((e-2 (car arg-10))) (let ((e-3 (cdr arg-10))) (let ((e-4 (vector-ref e-2 0))) (let ((e-5 (vector-ref e-2 1))) (let ((e-6 (vector-ref e-2 2))) (let ((e-7 (vector-ref e-2 3))) (let ((u--condef (CoreC-45Context-newDef e-4 e-5 (AlgebraC-45ZeroOneOmega-u--top_Top_ZeroOneOmega) arg-7 e-7 (CoreC-45ContextC-45Data-n--7537-14221-u--conVisibility arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-6) (vector 5 arg-9 e-6 '())))) (let ((eff-0 (CoreC-45Context-lookupCtxtExact e-5 arg-11))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-8 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-0 1))) (let ((eff-1 (if (null? e-8) (let ((eff-1 (CoreC-45Context-addCtxt e-5 u--condef arg-11))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-9 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-1 1))) (let ((eff-2 (let ((e-10 (cdr e-9))) (CoreC-45ContextC-45Data-n--7537-14222-u--addDataConstructors arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (bs+ arg-9 1 63) e-3 e-10)))) eff-2))))))) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 39 e-4 e-5) eta-0))))) eff-1)))))))))))))))))
(define CoreC-45ContextC-45Data-updateParams (lambda (arg-0 arg-1 arg-2 arg-3) (if (null? arg-2) (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45ContextC-45Data-n--6892-13613-u--couldBeParam arg-0 arg-1 arg-3 eta-0)) arg-3 '()))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-4) (lambda (arg-5) ((((eff-1 'erased) 'erased) arg-4) arg-5)))) (lambda (eta-0) (CoreC-45ContextC-45Data-dropReps eta-0)))) eff-0)) (let ((e-2 (unbox arg-2))) (lambda (eta-0) (vector 1 (CoreC-45ContextC-45Data-dropReps (DataC-45List-u--zipWith_Zippable_List (lambda (eta-1) (lambda (eta-2) (CoreC-45ContextC-45Data-n--6892-13676-u--mergeArg arg-0 arg-1 e-2 arg-3 eta-1 eta-2))) e-2 arg-3))))))))
(define CoreC-45ContextC-45Data-toPos (lambda (arg-1) (if (null? arg-1) '() (let ((e-2 (unbox arg-1))) (CoreC-45ContextC-45Data-n--7335-14013-u--justPos e-2 0 e-2)))))
(define CoreC-45ContextC-45Data-paramPos (lambda (arg-0 arg-1 arg-2) (if (null? arg-2) (lambda (eta-0) (vector 1 '())) (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45ContextC-45Data-getConPs arg-0 '() '() arg-1 eta-0)) arg-2 '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (box (DataC-45List-intersectAll (csegen-1338) e-5)))))) eff-1))))))))))
(define CoreC-45ContextC-45Data-getPs (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (case (vector-ref arg-4 0) ((3) (let ((e-1 (vector-ref arg-4 1))) (let ((e-2 (vector-ref arg-4 2))) (let ((e-3 (vector-ref arg-4 3))) (let ((e-4 (vector-ref arg-4 4))) (case (vector-ref e-3 0) ((2) (let ((e-6 (vector-ref e-3 1))) (let ((e-7 (vector-ref e-3 2))) (let ((e-8 (vector-ref e-3 3))) (let ((e-9 (vector-ref e-3 4))) (let ((eff-0 (CoreC-45ContextC-45Data-getPs arg-0 (cons e-2 arg-1) ((csegen-3806) arg-2) arg-3 e-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (((csegen-77) ((csegen-25) (lambda (eta-1) (CoreC-45ContextC-45Data-n--7114-13829-u--shrink arg-0 arg-1 e-1 e-6 e-7 e-8 e-9 e-2 e-4 arg-3 arg-2 eta-1)))) e-5))))) eff-1))))))))))))(else (CoreC-45ContextC-45Data-case--getPs-13907 arg-0 arg-1 arg-4 arg-3 arg-2 (CoreC-45TT-getFnArgs arg-4)))))))))(else (CoreC-45ContextC-45Data-case--getPs-13907 arg-0 arg-1 arg-4 arg-3 arg-2 (CoreC-45TT-getFnArgs arg-4))))))
(define CoreC-45ContextC-45Data-getConPs (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (case (vector-ref arg-4 0) ((3) (let ((e-2 (vector-ref arg-4 2))) (let ((e-3 (vector-ref arg-4 3))) (let ((e-4 (vector-ref arg-4 4))) (case (vector-ref e-3 0) ((2) (let ((e-9 (vector-ref e-3 4))) (let ((eff-0 (CoreC-45ContextC-45Data-getPs arg-0 arg-1 arg-2 arg-3 e-9))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45ContextC-45Data-getConPs arg-0 (cons e-2 arg-1) ((csegen-3806) e-5) arg-3 e-4))) eff-1))))))))) ((1) (let ((e-13 (vector-ref e-3 3))) (CoreC-45ContextC-45Data-getConPs arg-0 arg-1 arg-2 arg-3 (CoreC-45TTC-45SubstEnv-subst e-13 e-4))))(else (let ((eff-0 (CoreC-45ContextC-45Data-getPs arg-0 arg-1 arg-2 arg-3 arg-4))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-5 (vector-ref eta-3 1))) (vector 0 e-5))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-5) (lambda (arg-6) ((((eff-1 'erased) 'erased) arg-5) arg-6)))) (lambda (eta-0) (CoreC-45ContextC-45Data-toPos eta-0)))) eff-0))))))))(else (let ((eff-0 (CoreC-45ContextC-45Data-getPs arg-0 arg-1 arg-2 arg-3 arg-4))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-5) (lambda (arg-6) ((((eff-1 'erased) 'erased) arg-5) arg-6)))) (lambda (eta-0) (CoreC-45ContextC-45Data-toPos eta-0)))) eff-0))))))
(define CoreC-45ContextC-45Data-dropReps (lambda (arg-1) (if (null? arg-1) '() (let ((e-2 (car arg-1))) (let ((e-3 (cdr arg-1))) (if (null? e-2) (cons e-2 (CoreC-45ContextC-45Data-dropReps e-3)) (let ((e-5 (unbox e-2))) (case (vector-ref e-5 0) ((0) (let ((e-8 (vector-ref e-5 1))) (let ((e-9 (vector-ref e-5 2))) (let ((e-10 (vector-ref e-5 3))) (cons (box (vector 0 e-8 e-9 e-10)) (CoreC-45ContextC-45Data-dropReps (((csegen-25) (lambda (eta-0) (CoreC-45ContextC-45Data-n--6752-13484-u--toNothing e-10 e-9 e-8 e-3 eta-0))) e-3)))))))(else (cons e-2 (CoreC-45ContextC-45Data-dropReps e-3)))))))))))
(define CoreC-45ContextC-45Data-addData (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (let ((e-0 (car arg-4))) (let ((e-1 (cdr arg-4))) (let ((e-2 (vector-ref e-0 0))) (let ((e-3 (vector-ref e-0 1))) (let ((e-4 (vector-ref e-0 2))) (let ((e-5 (vector-ref e-0 3))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-getNextTypeTag arg-0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((u--allPos (CoreC-45ContextC-45Data-n--7537-14220-u--allDet e-5 e-4 e-3 e-2 e-1 arg-3 arg-2 arg-1 arg-0 e-4))) (let ((eff-2 (CoreC-45ContextC-45Data-paramPos arg-0 (vector 8 arg-3) ((csegen-3782) e-1)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (let ((u--paramPositions (DataC-45Maybe-fromMaybe (lambda () u--allPos) e-8))) (let ((eff-3 (CoreC-45ContextC-45Log-log arg-0 "declare.data.parameters" 20 (lambda () (string-append "Positions of parameters for datatype" (string-append (CoreC-45Name-u--show_Show_Name e-3) (string-append ": [" (string-append (CoreC-45NameC-45Namespace-showSep ", " ((csegen-3807) u--paramPositions)) "]")))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-9 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((eff-4 (let ((u--tydef (CoreC-45Context-newDef e-2 e-3 (AlgebraC-45ZeroOneOmega-u--top_Top_ZeroOneOmega) arg-1 e-5 arg-2 (vector 6 e-7 e-4 u--paramPositions u--allPos (CoreC-45ContextC-45Context-defaultFlags) '() ((csegen-3784) e-1) '())))) (let ((eff-4 (CoreC-45Context-addCtxt e-3 u--tydef (let ((e-41 (vector-ref e-6 0))) e-41)))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-10 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-4 1))) (let ((eff-5 (let ((e-12 (car e-10))) (let ((e-11 (cdr e-10))) (let ((eff-5 (CoreC-45ContextC-45Data-n--7537-14222-u--addDataConstructors e-5 e-4 e-3 e-2 e-1 arg-3 arg-2 arg-1 arg-0 0 e-1 e-11))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-13 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-5 1))) (let ((eff-6 (let ((eff-6 (let ((eff-6 arg-0)) (PrimIO-io_bind (let ((eff-7 eff-6)) (lambda (eta-0) (set-box! eff-7 (let ((e-44 (vector-ref e-6 1))) (let ((e-43 (vector-ref e-6 2))) (let ((e-42 (vector-ref e-6 3))) (let ((e-41 (vector-ref e-6 4))) (let ((e-40 (vector-ref e-6 5))) (let ((e-39 (vector-ref e-6 6))) (let ((e-38 (vector-ref e-6 7))) (let ((e-37 (vector-ref e-6 8))) (let ((e-36 (vector-ref e-6 9))) (let ((e-35 (vector-ref e-6 10))) (let ((e-34 (vector-ref e-6 11))) (let ((e-33 (vector-ref e-6 12))) (let ((e-32 (vector-ref e-6 13))) (let ((e-14 (vector-ref e-6 14))) (let ((e-15 (vector-ref e-6 15))) (let ((e-16 (vector-ref e-6 16))) (let ((e-17 (vector-ref e-6 17))) (let ((e-18 (vector-ref e-6 18))) (let ((e-19 (vector-ref e-6 19))) (let ((e-20 (vector-ref e-6 20))) (let ((e-21 (vector-ref e-6 21))) (let ((e-22 (vector-ref e-6 22))) (let ((e-23 (vector-ref e-6 23))) (let ((e-24 (vector-ref e-6 24))) (let ((e-25 (vector-ref e-6 25))) (let ((e-26 (vector-ref e-6 26))) (let ((e-27 (vector-ref e-6 27))) (let ((e-28 (vector-ref e-6 28))) (let ((e-29 (vector-ref e-6 29))) (let ((e-30 (vector-ref e-6 30))) (let ((e-31 (vector-ref e-6 31))) (vector e-13 e-44 e-43 e-42 e-41 e-40 e-39 e-38 e-37 e-36 e-35 e-34 e-33 e-32 e-14 e-15 e-16 e-17 e-18 e-19 e-20 e-21 e-22 e-23 e-24 e-25 e-26 e-27 e-28 e-29 e-30 e-31))))))))))))))))))))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-14 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((eff-7 (lambda (eta-0) (vector 1 e-12)))) eff-7)))))))) eff-6))))))))))) eff-5)))))))))) eff-4))))))))) eff-3)))))))))) eff-2))))))))) eff-1)))))))))))))))
(define TTImpC-45ProcessBuiltin-case--caseC-32blockC-32inC-32caseC-32blockC-32inC-32caseC-32blockC-32inC-32caseC-32blockC-32inC-32processIntegerToNat-14951 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18) (if (null? arg-18) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 arg-2 (string-append "No type constructor found for return type of " (string-append arg-3 "."))) eta-0)) (let ((e-1 (unbox arg-18))) (let ((eff-0 (TTImpC-45ProcessBuiltin-isNatural arg-0 arg-2 e-1))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (cond ((equal? e-5 1) (CoreC-45Context-setFlag arg-0 arg-2 (vector 8 arg-6) (vector 12 arg-15))) (else (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 arg-2 ((csegen-0) "Return type is not a 'Nat'-like type")) eta-0)))))) eff-1)))))))))))
(define TTImpC-45ProcessBuiltin-case--caseC-32blockC-32inC-32caseC-32blockC-32inC-32caseC-32blockC-32inC-32processIntegerToNat-14903 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16) (if (null? arg-16) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 (string-append "Unexpected type " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() arg-9))) eta-0)) (let ((e-1 (unbox arg-16))) (let ((e-5 (car e-1))) (let ((e-6 (cdr e-1))) (TTImpC-45ProcessBuiltin-case--caseC-32blockC-32inC-32caseC-32blockC-32inC-32caseC-32blockC-32inC-32caseC-32blockC-32inC-32processIntegerToNat-14951 arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 e-5 e-6 (TTImpC-45ProcessBuiltin-getTypeCons e-5 e-6))))))))
(define TTImpC-45ProcessBuiltin-case--caseC-32blockC-32inC-32processIntegerToNat-14804 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10) (case (vector-ref arg-10 0) ((1) (let ((e-0 (vector-ref arg-10 1))) (let ((e-1 (vector-ref arg-10 2))) (let ((e-2 (vector-ref arg-10 3))) (let ((e-3 (vector-ref arg-10 4))) (let ((e-4 (vector-ref arg-10 5))) (let ((eff-0 (CoreC-45ContextC-45Log-logTerm '() arg-0 "builtin.IntegerToNatural" 25 (lambda () (string-append "Type of " arg-3)) arg-9))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((eff-1 (let ((sc2 (TTImpC-45ProcessBuiltin-getNEIntegerIndex arg-9))) (if (null? sc2) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 (string-append "Unexpected arity while processing %builtin IntegerToNatural " (string-append arg-3 " (getNEIntegerIndex returned Nothing)"))) eta-0)) (let ((e-6 (unbox sc2))) (if (null? e-6) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 arg-2 (string-append "No unrestricted arguments of type `Integer` found for " (string-append arg-3 "."))) eta-0)) (let ((e-8 (car e-6))) (let ((e-7 (cdr e-6))) (if (null? e-7) (TTImpC-45ProcessBuiltin-case--caseC-32blockC-32inC-32caseC-32blockC-32inC-32caseC-32blockC-32inC-32processIntegerToNat-14903 arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-0 e-1 e-2 e-3 e-4 e-8 (TTImpC-45ProcessBuiltin-getReturnType '() arg-9)) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 arg-2 (string-append "More than one unrestricted arguments of type `Integer` found for " (string-append arg-3 "."))) eta-0))))))))))) eff-1))))))))))))(else (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 arg-2 (string-append "Expected function definition, found " (string-append (TTImpC-45ProcessBuiltin-showDefType arg-10) "."))) eta-0))))))
(define TTImpC-45ProcessBuiltin-case--caseC-32blockC-32inC-32caseC-32blockC-32inC-32caseC-32blockC-32inC-32processNatToInteger-14270 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17) (if (null? arg-17) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 arg-2 (string-append "No type constructor found for non-erased arguement of " (string-append arg-3 "."))) eta-0)) (let ((e-1 (unbox arg-17))) (let ((eff-0 (TTImpC-45ProcessBuiltin-isNatural arg-0 arg-2 e-1))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (cond ((equal? e-5 1) (let ((sc3 (TTImpC-45ProcessBuiltin-getNEIndex arg-14))) (if (null? sc3) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 "Couldn't find non-erased argument.") eta-0)) (let ((e-2 (unbox sc3))) (CoreC-45Context-setFlag arg-0 arg-2 (vector 8 arg-6) (vector 12 e-2)))))) (else (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 arg-2 ((csegen-0) "Non-erased argument is not a 'Nat'-like type.")) eta-0)))))) eff-1)))))))))))
(define TTImpC-45ProcessBuiltin-case--caseC-32blockC-32inC-32caseC-32blockC-32inC-32processNatToInteger-14222 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15) (if (null? arg-15) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 arg-2 (string-append "No arguments found for " (string-append arg-3 "."))) eta-0)) (let ((e-1 (car arg-15))) (let ((e-2 (cdr arg-15))) (if (null? e-1) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 arg-2 (string-append "More than 1 non-erased arguments found for " (string-append arg-3 "."))) eta-0)) (let ((e-6 (car e-1))) (let ((e-7 (cdr e-1))) (if (null? e-2) (TTImpC-45ProcessBuiltin-case--caseC-32blockC-32inC-32caseC-32blockC-32inC-32caseC-32blockC-32inC-32processNatToInteger-14270 arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 e-6 e-7 (TTImpC-45ProcessBuiltin-getTypeCons e-6 e-7)) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 arg-2 (string-append "More than 1 non-erased arguments found for " (string-append arg-3 "."))) eta-0)))))))))))
(define TTImpC-45ProcessBuiltin-case--caseC-32blockC-32inC-32processNatToInteger-14164 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9) (case (vector-ref arg-9 0) ((1) (let ((e-0 (vector-ref arg-9 1))) (let ((e-1 (vector-ref arg-9 2))) (let ((e-2 (vector-ref arg-9 3))) (let ((e-3 (vector-ref arg-9 4))) (let ((e-4 (vector-ref arg-9 5))) (let ((eff-0 (CoreC-45Context-toFullNames arg-0 (csegen-105) (let ((e-24 (vector-ref arg-7 2))) e-24)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45ContextC-45Log-logTerm '() arg-0 "builtin.NaturalToInteger" 25 (lambda () (string-append "Type of " arg-3)) e-5))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-6 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((eff-2 (TTImpC-45ProcessBuiltin-case--caseC-32blockC-32inC-32caseC-32blockC-32inC-32processNatToInteger-14222 arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 e-0 e-1 e-2 e-4 e-3 e-5 (TTImpC-45ProcessBuiltin-getNEArgs '() e-5)))) eff-2)))))))) eff-1)))))))))))))(else (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 arg-2 (string-append "Expected function definition, found " (string-append (TTImpC-45ProcessBuiltin-showDefType arg-9) "."))) eta-0))))))
(define TTImpC-45ProcessBuiltin-case--caseC-32blockC-32inC-32caseC-32blockC-32inC-32processBuiltinNatural-13940 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9) (case (vector-ref arg-9 0) ((6) (let ((e-6 (vector-ref arg-9 7))) (let ((eff-0 (TTImpC-45ProcessBuiltin-getConsGDef arg-0 arg-2 e-6))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-8 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45ProcessBuiltin-checkNatCons (let ((e-40 (vector-ref arg-3 0))) e-40) e-8 arg-5 arg-2))) eff-1)))))))))(else (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 arg-2 (string-append "Expected a type constructor, found " (string-append (TTImpC-45ProcessBuiltin-showDefType arg-9) "."))) eta-0))))))
(define TTImpC-45ProcessBuiltin-case--caseC-32blockC-32inC-32checkNatConsC-44checkCon-13397 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10) (case (vector-ref arg-10 0) ((5) (let ((e-1 (vector-ref arg-10 2))) (let ((sc1 (PreludeC-45Types-prim__integerToNat (- e-1 (PreludeC-45TypesC-45List-lengthTR (let ((e-3 (vector-ref arg-5 3))) e-3)))))) (cond ((equal? sc1 0) (lambda (clam-0) (if (null? arg-7) (vector 1 (cons (box arg-4) arg-8)) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 arg-0 (string-append ((csegen-0) "Multiple 'Z'-like constructors for ") (string-append (CoreC-45Name-u--show_Show_Name arg-1) "."))) clam-0))))(else (let ((e-3 (- (PreludeC-45Types-prim__integerToNat (- e-1 (PreludeC-45TypesC-45List-lengthTR (let ((e-3 (vector-ref arg-5 3))) e-3)))) 1))) (cond ((equal? e-3 0) (if (null? arg-8) (let ((eff-0 (TTImpC-45ProcessBuiltin-n--8696-13095-u--checkTyS arg-0 arg-1 arg-2 arg-3 arg-4 arg-5))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-1 (lambda (eta-0) (vector 1 (cons arg-7 (box arg-4)))))) eff-1)))))) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 arg-0 (string-append ((csegen-0) "Multiple 'S'-like constructors for ") (string-append (CoreC-45Name-u--show_Show_Name arg-1) "."))) eta-0))))(else (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 arg-0 (string-append "Constructor " (string-append (CoreC-45Name-u--show_Show_Name arg-4) " doesn't match any pattern for Natural."))) eta-0))))))))))(else (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 arg-0 (string-append "Expected data constructor, found:" (TTImpC-45ProcessBuiltin-showDefType arg-10))) eta-0))))))
(define TTImpC-45ProcessBuiltin-n--8535-12941-u--isNatFlag (lambda (arg-0 arg-1 arg-2 arg-3) (case (vector-ref arg-3 0) ((11) (let ((e-0 (vector-ref arg-3 1))) (case (vector-ref e-0 0) ((8) 1) ((9) 1)(else 0))))(else 0))))
(define TTImpC-45ProcessBuiltin-n--7762-12222-u--isInteger (lambda (arg-1 arg-2 arg-3 arg-4 arg-6) (case (vector-ref arg-6 0) ((9) (let ((e-2 (vector-ref arg-6 2))) (case (vector-ref e-2 0) ((13) (let ((e-3 (vector-ref e-2 1))) (cond ((equal? e-3 5) 1)(else 0))))(else 0))))(else 0))))
(define TTImpC-45ProcessBuiltin-n--8535-12942-u--hasNatFlag (lambda (arg-0 arg-1 arg-2 arg-3) (let ((e-3 (cdr arg-3))) (PreludeC-45Interfaces-any (csegen-16) (lambda (eta-0) (TTImpC-45ProcessBuiltin-n--8535-12941-u--isNatFlag arg-0 arg-1 arg-2 eta-0)) (let ((e-11 (vector-ref e-3 11))) e-11)))))
(define TTImpC-45ProcessBuiltin-n--8696-13095-u--checkTyS (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (let ((u--type (let ((e-2 (vector-ref arg-5 2))) e-2))) (let ((sc0 (TTImpC-45ProcessBuiltin-getFirstNEType '() u--type))) (if (null? sc0) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 "Expected a non-erased argument, found none.") eta-0)) (let ((e-1 (unbox sc0))) (let ((e-6 (cdr e-1))) (let ((sc2 (TTImpC-45ProcessBuiltin-getReturnType '() u--type))) (if (null? sc2) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 (string-append "Unexpected type " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() u--type))) eta-0)) (let ((e-2 (unbox sc2))) (let ((e-7 (cdr e-2))) (let ((eff-0 (lambda (clam-0) (let ((sc4 (TTImpC-45ProcessBuiltin-termConMatch e-6 e-7))) (cond ((equal? sc4 1) (vector 1 (vector 0 ))) (else (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 arg-0 (string-append "Incorrect type for 'S'-like constructor for " (string-append (CoreC-45Name-u--show_Show_Name arg-1) "."))) clam-0))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-1 (let ((eff-1 (lambda (clam-1) (let ((sc5 (TTImpC-45ProcessBuiltin-isStrict e-6))) (cond ((equal? sc5 1) (vector 1 (vector 0 ))) (else (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 arg-0 "Natural builtin does not support lazy types.") clam-1))))))) (PrimIO-io_bind eff-1 (csegen-3296))))) eff-1)))))))))))))))))
(define TTImpC-45ProcessBuiltin-n--8696-13096-u--checkCon (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (let ((e-2 (car arg-4))) (let ((e-3 (cdr arg-4))) (let ((eff-0 arg-5)) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((e-6 (car e-5))) (let ((e-4 (cdr e-5))) (let ((_-0 (cons e-6 e-4))) (TTImpC-45ProcessBuiltin-case--caseC-32blockC-32inC-32checkNatConsC-44checkCon-13397 arg-0 arg-1 arg-2 arg-3 e-2 e-3 arg-5 e-6 e-4 _-0 (let ((e-17 (vector-ref e-3 17))) e-17))))))) eff-1)))))))))))
(define TTImpC-45ProcessBuiltin-termConMatch (lambda (arg-2 arg-3) (case (vector-ref arg-2 0) ((0) (let ((e-44 (vector-ref arg-2 3))) (case (vector-ref arg-3 0) ((0) (let ((e-77 (vector-ref arg-3 3))) (or (and (= e-44 e-77) 1) 0)))(else (case (vector-ref arg-3 0) ((6) (let ((e-39 (vector-ref arg-3 3))) (TTImpC-45ProcessBuiltin-termConMatch arg-2 e-39)))(else (case (vector-ref arg-2 0) ((7) (let ((e-25 (vector-ref arg-2 3))) (let ((e-26 (vector-ref arg-2 4))) (case (vector-ref arg-3 0) ((7) (let ((e-34 (vector-ref arg-3 3))) (let ((e-35 (vector-ref arg-3 4))) (let ((sc3 (TTImpC-45ProcessBuiltin-termConMatch e-25 e-34))) (cond ((equal? sc3 1) (TTImpC-45ProcessBuiltin-termConMatch e-26 e-35)) (else 0))))))(else (case (vector-ref arg-3 0) ((8) (let ((e-21 (vector-ref arg-3 3))) (TTImpC-45ProcessBuiltin-termConMatch arg-2 e-21)))(else (case (vector-ref arg-2 0) ((9) (case (vector-ref arg-3 0) ((9) 1)(else 0))) ((10) (case (vector-ref arg-3 0) ((10) 1)(else 0))) ((11) (case (vector-ref arg-3 0) ((11) 1)(else 0)))(else 0))))))))) ((8) (let ((e-30 (vector-ref arg-2 3))) (TTImpC-45ProcessBuiltin-termConMatch e-30 arg-3)))(else (case (vector-ref arg-3 0) ((8) (let ((e-21 (vector-ref arg-3 3))) (TTImpC-45ProcessBuiltin-termConMatch arg-2 e-21)))(else (case (vector-ref arg-2 0) ((9) (case (vector-ref arg-3 0) ((9) 1)(else 0))) ((10) (case (vector-ref arg-3 0) ((10) 1)(else 0))) ((11) (case (vector-ref arg-3 0) ((11) 1)(else 0)))(else 0)))))))))))) ((1) (let ((e-49 (vector-ref arg-2 3))) (case (vector-ref arg-3 0) ((1) (let ((e-82 (vector-ref arg-3 3))) (CoreC-45Name-u--C-61C-61_Eq_Name e-49 e-82)))(else (case (vector-ref arg-3 0) ((6) (let ((e-39 (vector-ref arg-3 3))) (TTImpC-45ProcessBuiltin-termConMatch arg-2 e-39)))(else (case (vector-ref arg-2 0) ((7) (let ((e-25 (vector-ref arg-2 3))) (let ((e-26 (vector-ref arg-2 4))) (case (vector-ref arg-3 0) ((7) (let ((e-34 (vector-ref arg-3 3))) (let ((e-35 (vector-ref arg-3 4))) (let ((sc3 (TTImpC-45ProcessBuiltin-termConMatch e-25 e-34))) (cond ((equal? sc3 1) (TTImpC-45ProcessBuiltin-termConMatch e-26 e-35)) (else 0))))))(else (case (vector-ref arg-3 0) ((8) (let ((e-21 (vector-ref arg-3 3))) (TTImpC-45ProcessBuiltin-termConMatch arg-2 e-21)))(else (case (vector-ref arg-2 0) ((9) (case (vector-ref arg-3 0) ((9) 1)(else 0))) ((10) (case (vector-ref arg-3 0) ((10) 1)(else 0))) ((11) (case (vector-ref arg-3 0) ((11) 1)(else 0)))(else 0))))))))) ((8) (let ((e-30 (vector-ref arg-2 3))) (TTImpC-45ProcessBuiltin-termConMatch e-30 arg-3)))(else (case (vector-ref arg-3 0) ((8) (let ((e-21 (vector-ref arg-3 3))) (TTImpC-45ProcessBuiltin-termConMatch arg-2 e-21)))(else (case (vector-ref arg-2 0) ((9) (case (vector-ref arg-3 0) ((9) 1)(else 0))) ((10) (case (vector-ref arg-3 0) ((10) 1)(else 0))) ((11) (case (vector-ref arg-3 0) ((11) 1)(else 0)))(else 0)))))))))))) ((2) (let ((e-53 (vector-ref arg-2 3))) (let ((e-54 (vector-ref arg-2 4))) (case (vector-ref arg-3 0) ((2) (let ((e-86 (vector-ref arg-3 3))) (let ((e-87 (vector-ref arg-3 4))) (let ((sc2 (PreludeC-45EqOrd-u--C-61C-61_Eq_Int e-53 e-86))) (cond ((equal? sc2 1) (PreludeC-45Interfaces-all (csegen-16) (lambda (eta-0) (PreludeC-45Basics-uncurry (csegen-3814) eta-0)) (DataC-45List-u--zip_Zippable_List e-54 e-87))) (else 0))))))(else (case (vector-ref arg-3 0) ((6) (let ((e-39 (vector-ref arg-3 3))) (TTImpC-45ProcessBuiltin-termConMatch arg-2 e-39)))(else (case (vector-ref arg-2 0) ((7) (let ((e-25 (vector-ref arg-2 3))) (let ((e-26 (vector-ref arg-2 4))) (case (vector-ref arg-3 0) ((7) (let ((e-34 (vector-ref arg-3 3))) (let ((e-35 (vector-ref arg-3 4))) (let ((sc3 (TTImpC-45ProcessBuiltin-termConMatch e-25 e-34))) (cond ((equal? sc3 1) (TTImpC-45ProcessBuiltin-termConMatch e-26 e-35)) (else 0))))))(else (case (vector-ref arg-3 0) ((8) (let ((e-21 (vector-ref arg-3 3))) (TTImpC-45ProcessBuiltin-termConMatch arg-2 e-21)))(else (case (vector-ref arg-2 0) ((9) (case (vector-ref arg-3 0) ((9) 1)(else 0))) ((10) (case (vector-ref arg-3 0) ((10) 1)(else 0))) ((11) (case (vector-ref arg-3 0) ((11) 1)(else 0)))(else 0))))))))) ((8) (let ((e-30 (vector-ref arg-2 3))) (TTImpC-45ProcessBuiltin-termConMatch e-30 arg-3)))(else (case (vector-ref arg-3 0) ((8) (let ((e-21 (vector-ref arg-3 3))) (TTImpC-45ProcessBuiltin-termConMatch arg-2 e-21)))(else (case (vector-ref arg-2 0) ((9) (case (vector-ref arg-3 0) ((9) 1)(else 0))) ((10) (case (vector-ref arg-3 0) ((10) 1)(else 0))) ((11) (case (vector-ref arg-3 0) ((11) 1)(else 0)))(else 0))))))))))))) ((3) (let ((e-58 (vector-ref arg-2 3))) (let ((e-59 (vector-ref arg-2 4))) (case (vector-ref arg-3 0) ((3) (let ((e-91 (vector-ref arg-3 3))) (let ((e-92 (vector-ref arg-3 4))) (let ((sc2 (CoreC-45TT-eqBinderBy (csegen-3814) e-58 e-91))) (cond ((equal? sc2 1) (TTImpC-45ProcessBuiltin-termConMatch e-59 e-92)) (else 0))))))(else (case (vector-ref arg-3 0) ((6) (let ((e-39 (vector-ref arg-3 3))) (TTImpC-45ProcessBuiltin-termConMatch arg-2 e-39)))(else (case (vector-ref arg-2 0) ((7) (let ((e-25 (vector-ref arg-2 3))) (let ((e-26 (vector-ref arg-2 4))) (case (vector-ref arg-3 0) ((7) (let ((e-34 (vector-ref arg-3 3))) (let ((e-35 (vector-ref arg-3 4))) (let ((sc3 (TTImpC-45ProcessBuiltin-termConMatch e-25 e-34))) (cond ((equal? sc3 1) (TTImpC-45ProcessBuiltin-termConMatch e-26 e-35)) (else 0))))))(else (case (vector-ref arg-3 0) ((8) (let ((e-21 (vector-ref arg-3 3))) (TTImpC-45ProcessBuiltin-termConMatch arg-2 e-21)))(else (case (vector-ref arg-2 0) ((9) (case (vector-ref arg-3 0) ((9) 1)(else 0))) ((10) (case (vector-ref arg-3 0) ((10) 1)(else 0))) ((11) (case (vector-ref arg-3 0) ((11) 1)(else 0)))(else 0))))))))) ((8) (let ((e-30 (vector-ref arg-2 3))) (TTImpC-45ProcessBuiltin-termConMatch e-30 arg-3)))(else (case (vector-ref arg-3 0) ((8) (let ((e-21 (vector-ref arg-3 3))) (TTImpC-45ProcessBuiltin-termConMatch arg-2 e-21)))(else (case (vector-ref arg-2 0) ((9) (case (vector-ref arg-3 0) ((9) 1)(else 0))) ((10) (case (vector-ref arg-3 0) ((10) 1)(else 0))) ((11) (case (vector-ref arg-3 0) ((11) 1)(else 0)))(else 0))))))))))))) ((4) (let ((e-62 (vector-ref arg-2 2))) (case (vector-ref arg-3 0) ((4) (let ((e-95 (vector-ref arg-3 2))) (TTImpC-45ProcessBuiltin-termConMatch e-62 e-95)))(else (case (vector-ref arg-3 0) ((6) (let ((e-39 (vector-ref arg-3 3))) (TTImpC-45ProcessBuiltin-termConMatch arg-2 e-39)))(else (case (vector-ref arg-2 0) ((7) (let ((e-25 (vector-ref arg-2 3))) (let ((e-26 (vector-ref arg-2 4))) (case (vector-ref arg-3 0) ((7) (let ((e-34 (vector-ref arg-3 3))) (let ((e-35 (vector-ref arg-3 4))) (let ((sc3 (TTImpC-45ProcessBuiltin-termConMatch e-25 e-34))) (cond ((equal? sc3 1) (TTImpC-45ProcessBuiltin-termConMatch e-26 e-35)) (else 0))))))(else (case (vector-ref arg-3 0) ((8) (let ((e-21 (vector-ref arg-3 3))) (TTImpC-45ProcessBuiltin-termConMatch arg-2 e-21)))(else (case (vector-ref arg-2 0) ((9) (case (vector-ref arg-3 0) ((9) 1)(else 0))) ((10) (case (vector-ref arg-3 0) ((10) 1)(else 0))) ((11) (case (vector-ref arg-3 0) ((11) 1)(else 0)))(else 0))))))))) ((8) (let ((e-30 (vector-ref arg-2 3))) (TTImpC-45ProcessBuiltin-termConMatch e-30 arg-3)))(else (case (vector-ref arg-3 0) ((8) (let ((e-21 (vector-ref arg-3 3))) (TTImpC-45ProcessBuiltin-termConMatch arg-2 e-21)))(else (case (vector-ref arg-2 0) ((9) (case (vector-ref arg-3 0) ((9) 1)(else 0))) ((10) (case (vector-ref arg-3 0) ((10) 1)(else 0))) ((11) (case (vector-ref arg-3 0) ((11) 1)(else 0)))(else 0)))))))))))) ((5) (let ((e-67 (vector-ref arg-2 3))) (let ((e-68 (vector-ref arg-2 4))) (case (vector-ref arg-3 0) ((5) (let ((e-100 (vector-ref arg-3 3))) (let ((e-101 (vector-ref arg-3 4))) (let ((sc2 (TTImpC-45ProcessBuiltin-termConMatch e-67 e-100))) (cond ((equal? sc2 1) (TTImpC-45ProcessBuiltin-termConMatch e-68 e-101)) (else 0))))))(else (case (vector-ref arg-3 0) ((6) (let ((e-39 (vector-ref arg-3 3))) (TTImpC-45ProcessBuiltin-termConMatch arg-2 e-39)))(else (case (vector-ref arg-2 0) ((7) (let ((e-25 (vector-ref arg-2 3))) (let ((e-26 (vector-ref arg-2 4))) (case (vector-ref arg-3 0) ((7) (let ((e-34 (vector-ref arg-3 3))) (let ((e-35 (vector-ref arg-3 4))) (let ((sc3 (TTImpC-45ProcessBuiltin-termConMatch e-25 e-34))) (cond ((equal? sc3 1) (TTImpC-45ProcessBuiltin-termConMatch e-26 e-35)) (else 0))))))(else (case (vector-ref arg-3 0) ((8) (let ((e-21 (vector-ref arg-3 3))) (TTImpC-45ProcessBuiltin-termConMatch arg-2 e-21)))(else (case (vector-ref arg-2 0) ((9) (case (vector-ref arg-3 0) ((9) 1)(else 0))) ((10) (case (vector-ref arg-3 0) ((10) 1)(else 0))) ((11) (case (vector-ref arg-3 0) ((11) 1)(else 0)))(else 0))))))))) ((8) (let ((e-30 (vector-ref arg-2 3))) (TTImpC-45ProcessBuiltin-termConMatch e-30 arg-3)))(else (case (vector-ref arg-3 0) ((8) (let ((e-21 (vector-ref arg-3 3))) (TTImpC-45ProcessBuiltin-termConMatch arg-2 e-21)))(else (case (vector-ref arg-2 0) ((9) (case (vector-ref arg-3 0) ((9) 1)(else 0))) ((10) (case (vector-ref arg-3 0) ((10) 1)(else 0))) ((11) (case (vector-ref arg-3 0) ((11) 1)(else 0)))(else 0))))))))))))) ((6) (let ((e-72 (vector-ref arg-2 3))) (TTImpC-45ProcessBuiltin-termConMatch e-72 arg-3)))(else (case (vector-ref arg-3 0) ((6) (let ((e-39 (vector-ref arg-3 3))) (TTImpC-45ProcessBuiltin-termConMatch arg-2 e-39)))(else (case (vector-ref arg-2 0) ((7) (let ((e-25 (vector-ref arg-2 3))) (let ((e-26 (vector-ref arg-2 4))) (case (vector-ref arg-3 0) ((7) (let ((e-34 (vector-ref arg-3 3))) (let ((e-35 (vector-ref arg-3 4))) (let ((sc2 (TTImpC-45ProcessBuiltin-termConMatch e-25 e-34))) (cond ((equal? sc2 1) (TTImpC-45ProcessBuiltin-termConMatch e-26 e-35)) (else 0))))))(else (case (vector-ref arg-3 0) ((8) (let ((e-21 (vector-ref arg-3 3))) (TTImpC-45ProcessBuiltin-termConMatch arg-2 e-21)))(else (case (vector-ref arg-2 0) ((9) (case (vector-ref arg-3 0) ((9) 1)(else 0))) ((10) (case (vector-ref arg-3 0) ((10) 1)(else 0))) ((11) (case (vector-ref arg-3 0) ((11) 1)(else 0)))(else 0))))))))) ((8) (let ((e-30 (vector-ref arg-2 3))) (TTImpC-45ProcessBuiltin-termConMatch e-30 arg-3)))(else (case (vector-ref arg-3 0) ((8) (let ((e-21 (vector-ref arg-3 3))) (TTImpC-45ProcessBuiltin-termConMatch arg-2 e-21)))(else (case (vector-ref arg-2 0) ((9) (case (vector-ref arg-3 0) ((9) 1)(else 0))) ((10) (case (vector-ref arg-3 0) ((10) 1)(else 0))) ((11) (case (vector-ref arg-3 0) ((11) 1)(else 0)))(else 0))))))))))))
(define TTImpC-45ProcessBuiltin-showDefType (lambda (arg-0) (case (vector-ref arg-0 0) ((0) "undefined") ((1) "function") ((2) "external function") ((3) "foreign function") ((4) "builtin function") ((5) "data constructor") ((6) "type constructor") ((7) "hole") ((8) "search") ((9) "guess") ((10) "bound name") ((11) "universe level") (else "delayed"))))
(define TTImpC-45ProcessBuiltin-processNatToInteger (lambda (arg-0 arg-1 arg-2) (let ((u--show_fn (CoreC-45Name-u--show_Show_Name arg-2))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45ContextC-45Log-log arg-0 "builtin.NaturalToInteger" 5 (lambda () (string-append "Processing %builtin NaturalToInteger " (string-append u--show_fn ".")))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45Context-lookupCtxtName arg-2 (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (if (null? e-7) (CoreC-45Context-ambiguousName arg-0 arg-1 arg-2 (PreludeC-45Interfaces-C-60C-36C-62 (csegen-24) (lambda (lamc-0) (let ((e-2 (car lamc-0))) (let ((e-3 (cdr lamc-0))) e-2))) e-7)) (let ((e-1 (car e-7))) (let ((e-2 (cdr e-7))) (if (null? e-1) (CoreC-45Context-ambiguousName arg-0 arg-1 arg-2 (PreludeC-45Interfaces-C-60C-36C-62 (csegen-24) (lambda (lamc-0) (let ((e-4 (car lamc-0))) (let ((e-3 (cdr lamc-0))) e-4))) e-7)) (let ((e-9 (car e-1))) (let ((e-8 (cdr e-1))) (if (null? e-8) (CoreC-45Context-ambiguousName arg-0 arg-1 arg-2 (PreludeC-45Interfaces-C-60C-36C-62 (csegen-24) (lambda (lamc-0) (let ((e-4 (car lamc-0))) (let ((e-3 (cdr lamc-0))) e-4))) e-7)) (let ((e-11 (car e-8))) (let ((e-10 (cdr e-8))) (if (null? e-2) (let ((_-0 (cons (cons e-9 (cons e-11 e-10)) '()))) (TTImpC-45ProcessBuiltin-case--caseC-32blockC-32inC-32processNatToInteger-14164 arg-0 arg-2 arg-1 u--show_fn e-5 e-9 e-11 e-10 _-0 (let ((e-17 (vector-ref e-10 17))) e-17))) (CoreC-45Context-ambiguousName arg-0 arg-1 arg-2 (PreludeC-45Interfaces-C-60C-36C-62 (csegen-24) (lambda (lamc-0) (let ((e-4 (car lamc-0))) (let ((e-3 (cdr lamc-0))) e-4))) e-7)))))))))))))) eff-3))))))))) eff-2)))))))) eff-1))))))))))
(define TTImpC-45ProcessBuiltin-processIntegerToNat (lambda (arg-0 arg-1 arg-2) (let ((u--show_fn (CoreC-45Name-u--show_Show_Name arg-2))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45ContextC-45Log-log arg-0 "builtin.IntegerToNatural" 5 (lambda () (string-append "Processing %builtin IntegerToNatural " (string-append u--show_fn ".")))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45Context-lookupCtxtName arg-2 (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (if (null? e-7) (CoreC-45Context-ambiguousName arg-0 arg-1 arg-2 (PreludeC-45Interfaces-C-60C-36C-62 (csegen-24) (lambda (lamc-0) (let ((e-2 (car lamc-0))) (let ((e-3 (cdr lamc-0))) e-2))) e-7)) (let ((e-1 (car e-7))) (let ((e-2 (cdr e-7))) (if (null? e-1) (CoreC-45Context-ambiguousName arg-0 arg-1 arg-2 (PreludeC-45Interfaces-C-60C-36C-62 (csegen-24) (lambda (lamc-0) (let ((e-4 (car lamc-0))) (let ((e-3 (cdr lamc-0))) e-4))) e-7)) (let ((e-9 (car e-1))) (let ((e-8 (cdr e-1))) (if (null? e-8) (CoreC-45Context-ambiguousName arg-0 arg-1 arg-2 (PreludeC-45Interfaces-C-60C-36C-62 (csegen-24) (lambda (lamc-0) (let ((e-4 (car lamc-0))) (let ((e-3 (cdr lamc-0))) e-4))) e-7)) (let ((e-11 (car e-8))) (let ((e-10 (cdr e-8))) (if (null? e-2) (let ((eff-3 (CoreC-45Context-toFullNames arg-0 (csegen-105) (let ((e-29 (vector-ref e-10 2))) e-29)))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-3 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-12 (vector-ref lcase-3 1))) (let ((eff-4 (let ((_-0 (cons (cons e-9 (cons e-11 e-10)) '()))) (TTImpC-45ProcessBuiltin-case--caseC-32blockC-32inC-32processIntegerToNat-14804 arg-0 arg-2 arg-1 u--show_fn e-5 e-9 e-11 e-10 _-0 e-12 (let ((e-17 (vector-ref e-10 17))) e-17))))) eff-4))))))) (CoreC-45Context-ambiguousName arg-0 arg-1 arg-2 (PreludeC-45Interfaces-C-60C-36C-62 (csegen-24) (lambda (lamc-0) (let ((e-4 (car lamc-0))) (let ((e-3 (cdr lamc-0))) e-4))) e-7)))))))))))))) eff-3))))))))) eff-2)))))))) eff-1))))))))))
(define TTImpC-45ProcessBuiltin-processBuiltinNatural (lambda (arg-0 arg-1 arg-2) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45ContextC-45Log-log arg-0 "builtin.Natural" 5 (lambda () (string-append "Processing %builtin Natural " (string-append (CoreC-45Name-u--show_Show_Name arg-2) ".")))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45Context-lookupCtxtName arg-2 (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (if (null? e-7) (CoreC-45Context-ambiguousName arg-0 arg-1 arg-2 (PreludeC-45Interfaces-C-60C-36C-62 (csegen-24) (lambda (lamc-0) (let ((e-2 (car lamc-0))) (let ((e-3 (cdr lamc-0))) e-2))) e-7)) (let ((e-1 (car e-7))) (let ((e-2 (cdr e-7))) (if (null? e-1) (CoreC-45Context-ambiguousName arg-0 arg-1 arg-2 (PreludeC-45Interfaces-C-60C-36C-62 (csegen-24) (lambda (lamc-0) (let ((e-4 (car lamc-0))) (let ((e-3 (cdr lamc-0))) e-4))) e-7)) (let ((e-9 (car e-1))) (let ((e-8 (cdr e-1))) (if (null? e-8) (CoreC-45Context-ambiguousName arg-0 arg-1 arg-2 (PreludeC-45Interfaces-C-60C-36C-62 (csegen-24) (lambda (lamc-0) (let ((e-4 (car lamc-0))) (let ((e-3 (cdr lamc-0))) e-4))) e-7)) (let ((e-11 (car e-8))) (let ((e-10 (cdr e-8))) (if (null? e-2) (let ((eff-3 (TTImpC-45ProcessBuiltin-isNatural arg-0 arg-1 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-3 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-12 (vector-ref lcase-3 1))) (let ((eff-4 (let ((_-0 (cons (cons e-9 (cons e-11 e-10)) '()))) (cond ((equal? e-12 0) (TTImpC-45ProcessBuiltin-case--caseC-32blockC-32inC-32caseC-32blockC-32inC-32processBuiltinNatural-13940 arg-0 arg-2 arg-1 e-5 e-11 e-9 e-10 _-0 0 (let ((e-17 (vector-ref e-10 17))) e-17))) (else (lambda (eta-0) (vector 1 (vector 0 )))))))) eff-4))))))) (CoreC-45Context-ambiguousName arg-0 arg-1 arg-2 (PreludeC-45Interfaces-C-60C-36C-62 (csegen-24) (lambda (lamc-0) (let ((e-4 (car lamc-0))) (let ((e-3 (cdr lamc-0))) e-4))) e-7)))))))))))))) eff-3))))))))) eff-2)))))))) eff-1)))))))))
(define TTImpC-45ProcessBuiltin-processBuiltin (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (cond ((equal? arg-5 0) (TTImpC-45ProcessBuiltin-processBuiltinNatural arg-1 arg-4 arg-6)) ((equal? arg-5 1) (TTImpC-45ProcessBuiltin-processNatToInteger arg-1 arg-4 arg-6)) (else (TTImpC-45ProcessBuiltin-processIntegerToNat arg-1 arg-4 arg-6)))))
(define TTImpC-45ProcessBuiltin-isStrict (lambda (arg-1) (case (vector-ref arg-1 0) ((0) 1) ((1) 1) ((2) (let ((e-14 (vector-ref arg-1 4))) (PreludeC-45Interfaces-all (csegen-16) (lambda (eta-0) (TTImpC-45ProcessBuiltin-isStrict eta-0)) e-14))) ((3) (let ((e-18 (vector-ref arg-1 3))) (let ((e-19 (vector-ref arg-1 4))) (let ((sc1 (TTImpC-45ProcessBuiltin-isStrict (CoreC-45TT-binderType e-18)))) (cond ((equal? sc1 1) (TTImpC-45ProcessBuiltin-isStrict e-19)) (else 0)))))) ((4) (let ((e-22 (vector-ref arg-1 2))) (let ((e-23 (vector-ref arg-1 3))) (let ((sc1 (TTImpC-45ProcessBuiltin-isStrict e-22))) (cond ((equal? sc1 1) (TTImpC-45ProcessBuiltin-isStrict e-23)) (else 0)))))) ((5) (let ((e-27 (vector-ref arg-1 3))) (let ((e-28 (vector-ref arg-1 4))) (let ((sc1 (TTImpC-45ProcessBuiltin-isStrict e-27))) (cond ((equal? sc1 1) (TTImpC-45ProcessBuiltin-isStrict e-28)) (else 0)))))) ((6) 0) ((7) (let ((e-36 (vector-ref arg-1 3))) (let ((e-37 (vector-ref arg-1 4))) (let ((sc1 (TTImpC-45ProcessBuiltin-isStrict e-36))) (cond ((equal? sc1 1) (TTImpC-45ProcessBuiltin-isStrict e-37)) (else 0)))))) ((8) (let ((e-41 (vector-ref arg-1 3))) (TTImpC-45ProcessBuiltin-isStrict e-41))) ((9) 1) ((10) 1) (else 1))))
(define TTImpC-45ProcessBuiltin-isNatural (lambda (arg-0 arg-1 arg-2) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-lookupCtxtExact arg-2 (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-6) (CoreC-45Context-undefinedName arg-0 (vector 2 ) arg-2) (let ((e-1 (unbox e-6))) (let ((e-17 (vector-ref e-1 17))) (case (vector-ref e-17 0) ((6) (let ((e-26 (vector-ref e-17 7))) (let ((eff-2 (TTImpC-45ProcessBuiltin-getConsGDef arg-0 arg-1 e-26))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-33 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-33)))) (else (let ((e-33 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (PreludeC-45Interfaces-all (csegen-16) (lambda (eta-1) (TTImpC-45ProcessBuiltin-n--8535-12942-u--hasNatFlag arg-0 arg-2 arg-1 eta-1)) e-33))))) eff-3)))))))))(else (lambda (eta-0) (vector 1 0))))))))) eff-2))))))))) eff-1)))))))))
(define TTImpC-45ProcessBuiltin-getTypeCons (lambda (arg-0 arg-1) (case (vector-ref arg-1 0) ((0) (let ((e-4 (vector-ref arg-1 3))) (box (CoreC-45TT-nameAt arg-0 e-4)))) ((1) (let ((e-9 (vector-ref arg-1 3))) (box e-9))) ((2) '()) ((3) (let ((e-18 (vector-ref arg-1 3))) (let ((e-19 (vector-ref arg-1 4))) (case (vector-ref e-18 0) ((1) (let ((e-3 (vector-ref e-18 3))) (TTImpC-45ProcessBuiltin-getTypeCons arg-0 (CoreC-45TTC-45SubstEnv-subst e-3 e-19))))(else '()))))) ((4) (let ((e-22 (vector-ref arg-1 2))) (TTImpC-45ProcessBuiltin-getTypeCons arg-0 e-22)))(else '()))))
(define TTImpC-45ProcessBuiltin-getReturnType (lambda (arg-0 arg-1) (case (vector-ref arg-1 0) ((3) (let ((e-2 (vector-ref arg-1 2))) (let ((e-3 (vector-ref arg-1 3))) (let ((e-4 (vector-ref arg-1 4))) (case (vector-ref e-3 0) ((1) (let ((e-6 (vector-ref e-3 3))) (TTImpC-45ProcessBuiltin-getReturnType arg-0 (CoreC-45TTC-45SubstEnv-subst e-6 e-4)))) ((2) (TTImpC-45ProcessBuiltin-getReturnType (cons e-2 arg-0) e-4))(else '()))))))(else (box (cons arg-0 arg-1))))))
(define TTImpC-45ProcessBuiltin-getNEIntegerIndex (lambda (arg-1) (case (vector-ref arg-1 0) ((3) (let ((e-1 (vector-ref arg-1 1))) (let ((e-2 (vector-ref arg-1 2))) (let ((e-3 (vector-ref arg-1 3))) (let ((e-4 (vector-ref arg-1 4))) (case (vector-ref e-3 0) ((1) (let ((e-6 (vector-ref e-3 3))) (TTImpC-45ProcessBuiltin-getNEIntegerIndex (CoreC-45TTC-45SubstEnv-subst e-6 e-4)))) ((2) (let ((e-6 (vector-ref e-3 1))) (let ((e-7 (vector-ref e-3 2))) (let ((e-8 (vector-ref e-3 3))) (let ((e-9 (vector-ref e-3 4))) (let ((u--b (vector 2 e-6 e-7 e-8 e-9))) (let ((sc2 (let ((sc3 (AlgebraC-45Semiring-isErased (csegen-1156) e-7))) (cond ((equal? sc3 1) 0) (else (TTImpC-45ProcessBuiltin-n--7762-12222-u--isInteger e-1 e-2 e-4 u--b e-9)))))) (cond ((equal? sc2 1) (PreludeC-45Interfaces-C-60C-36C-62 (csegen-76) (lambda (eta-0) (cons 0 (((csegen-25) (lambda (arg-0) (+ arg-0 1))) eta-0))) (TTImpC-45ProcessBuiltin-getNEIntegerIndex e-4))) (else (TTImpC-45ProcessBuiltin-getNEIntegerIndex e-4))))))))))(else '())))))))(else (box '())))))
(define TTImpC-45ProcessBuiltin-getNEIndex (lambda (arg-1) (case (vector-ref arg-1 0) ((3) (let ((e-3 (vector-ref arg-1 3))) (let ((e-4 (vector-ref arg-1 4))) (case (vector-ref e-3 0) ((1) (let ((e-6 (vector-ref e-3 3))) (TTImpC-45ProcessBuiltin-getNEIndex (CoreC-45TTC-45SubstEnv-subst e-6 e-4)))) ((2) (let ((e-7 (vector-ref e-3 2))) (let ((sc2 (AlgebraC-45Semiring-isErased (csegen-1156) e-7))) (cond ((equal? sc2 1) (TTImpC-45ProcessBuiltin-getNEIndex e-4)) (else (box 0))))))(else '())))))(else '()))))
(define TTImpC-45ProcessBuiltin-getNEArgs (lambda (arg-0 arg-1) (case (vector-ref arg-1 0) ((3) (let ((e-2 (vector-ref arg-1 2))) (let ((e-3 (vector-ref arg-1 3))) (let ((e-4 (vector-ref arg-1 4))) (case (vector-ref e-3 0) ((1) (let ((e-6 (vector-ref e-3 3))) (TTImpC-45ProcessBuiltin-getNEArgs arg-0 (CoreC-45TTC-45SubstEnv-subst e-6 e-4)))) ((2) (let ((e-7 (vector-ref e-3 2))) (let ((e-9 (vector-ref e-3 4))) (let ((sc2 (AlgebraC-45Semiring-isErased (csegen-1156) e-7))) (cond ((equal? sc2 1) (TTImpC-45ProcessBuiltin-getNEArgs (cons e-2 arg-0) e-4)) (else (cons (cons arg-0 e-9) (TTImpC-45ProcessBuiltin-getNEArgs (cons e-2 arg-0) e-4))))))))(else '()))))))(else '()))))
(define TTImpC-45ProcessBuiltin-getFirstNEType (lambda (arg-0 arg-1) (let ((sc0 (TTImpC-45ProcessBuiltin-getNEArgs arg-0 arg-1))) (if (null? sc0) '() (let ((e-2 (car sc0))) (box e-2))))))
(define TTImpC-45ProcessBuiltin-getConsGDef (lambda (arg-0 arg-1 arg-2) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--c (let ((e-0 (vector-ref e-5 0))) e-0))) (PreludeC-45Basics-flip (csegen-1569) arg-2 (lambda (u--n) (let ((eff-1 (CoreC-45Context-lookupCtxtName u--n u--c))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-6) (CoreC-45Context-ambiguousName arg-0 arg-1 u--n (PreludeC-45Interfaces-C-60C-36C-62 (csegen-24) (lambda (lamc-0) (let ((e-2 (car lamc-0))) (let ((e-3 (cdr lamc-0))) e-2))) e-6)) (let ((e-1 (car e-6))) (let ((e-2 (cdr e-6))) (if (null? e-1) (CoreC-45Context-ambiguousName arg-0 arg-1 u--n (PreludeC-45Interfaces-C-60C-36C-62 (csegen-24) (lambda (lamc-0) (let ((e-4 (car lamc-0))) (let ((e-3 (cdr lamc-0))) e-4))) e-6)) (let ((e-8 (car e-1))) (let ((e-7 (cdr e-1))) (if (null? e-7) (CoreC-45Context-ambiguousName arg-0 arg-1 u--n (PreludeC-45Interfaces-C-60C-36C-62 (csegen-24) (lambda (lamc-0) (let ((e-4 (car lamc-0))) (let ((e-3 (cdr lamc-0))) e-4))) e-6)) (let ((e-10 (cdr e-7))) (if (null? e-2) (lambda (eta-0) (vector 1 (cons e-8 e-10))) (CoreC-45Context-ambiguousName arg-0 arg-1 u--n (PreludeC-45Interfaces-C-60C-36C-62 (csegen-24) (lambda (lamc-0) (let ((e-4 (car lamc-0))) (let ((e-3 (cdr lamc-0))) e-4))) e-6))))))))))))) eff-2)))))))))))) eff-1)))))))))
(define TTImpC-45ProcessBuiltin-checkNatCons (lambda (arg-0 arg-1 arg-2 arg-3) (let ((eff-0 (PreludeC-45Types-u--foldr_Foldable_List (lambda (eta-0) (lambda (eta-1) (TTImpC-45ProcessBuiltin-n--8696-13096-u--checkCon arg-3 arg-2 arg-1 arg-0 eta-0 eta-1))) (lambda (eta-0) (vector 1 (cons '() '()))) arg-1))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((e-2 (car e-5))) (let ((e-3 (cdr e-5))) (lambda (clam-0) (if (null? e-2) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 arg-3 (string-append ((csegen-0) "No 'Z'-like constructors for ") (string-append (CoreC-45Name-u--show_Show_Name arg-2) "."))) clam-0) (if (null? e-3) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 arg-3 (string-append (csegen-3819) (string-append (CoreC-45Name-u--show_Show_Name arg-2) "."))) clam-0) (vector 1 (vector 0 ))))))))) eff-1)))))))))
(define TTImpC-45Parser-n--7863-17669-u--spanMap (lambda (arg-0 arg-1 arg-2 arg-3 arg-6 arg-7) (if (null? arg-7) (cons '() '()) (let ((e-2 (car arg-7))) (let ((e-3 (cdr arg-7))) (let ((sc1 (arg-6 e-2))) (if (null? sc1) (cons '() (cons e-2 e-3)) (let ((e-4 (unbox sc1))) (let ((sc2 (TTImpC-45Parser-n--7863-17669-u--spanMap arg-0 arg-1 arg-2 arg-3 arg-6 e-3))) (let ((e-6 (car sc2))) (let ((e-5 (cdr sc2))) (cons (PreludeC-45TypesC-45List-tailRecAppend e-4 e-6) e-5))))))))))))
(define TTImpC-45Parser-n--11826-15943-u--parseWithArg (lambda (arg-0 arg-1 arg-2) (vector 11 1 (ParserC-45RuleC-45Source-symbol "|") (lambda () (vector 10 0 1 (LibrariesC-45TextC-45Parser-location) (lambda (u--start) (vector 9 0 (TTImpC-45Parser-expr arg-1 arg-0) (lambda () (lambda (u--tm) (vector 10 0 0 (LibrariesC-45TextC-45Parser-location) (lambda (u--end) (vector 0 (cons (vector 0 arg-1 u--start u--end) u--tm)))))))))))))
(define TTImpC-45Parser-n--9111-15325-u--mkPi (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (if (null? arg-5) arg-4 (let ((e-2 (car arg-5))) (let ((e-3 (cdr arg-5))) (let ((e-6 (car e-2))) (let ((e-7 (cdr e-2))) (vector 1 (vector 0 arg-1 arg-2 arg-3) (AlgebraC-45ZeroOneOmega-u--top_Top_ZeroOneOmega) e-6 '() arg-4 (TTImpC-45Parser-n--9111-15325-u--mkPi arg-0 arg-1 arg-2 arg-3 e-7 e-3)))))))))
(define TTImpC-45Parser-n--7863-17670-u--isClause (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (case (vector-ref arg-5 0) ((2) (let ((e-2 (vector-ref arg-5 2))) (let ((e-3 (vector-ref arg-5 3))) (let ((sc1 (CoreC-45Name-u--C-61C-61_Eq_Name arg-4 e-2))) (cond ((equal? sc1 1) (box e-3)) (else '()))))))(else '()))))
(define TTImpC-45Parser-n--11808-15602-u--getFn (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (case (vector-ref arg-5 0) ((0) (let ((e-2 (vector-ref arg-5 2))) (vector 0 e-2))) ((8) (let ((e-5 (vector-ref arg-5 2))) (TTImpC-45Parser-n--11808-15602-u--getFn arg-0 arg-1 arg-2 arg-3 arg-4 e-5))) ((9) (let ((e-9 (vector-ref arg-5 2))) (TTImpC-45Parser-n--11808-15602-u--getFn arg-0 arg-1 arg-2 arg-3 arg-4 e-9))) ((10) (let ((e-13 (vector-ref arg-5 2))) (TTImpC-45Parser-n--11808-15602-u--getFn arg-0 arg-1 arg-2 arg-3 arg-4 e-13)))(else (vector 4 '() 0 "Not a function application")))))
(define TTImpC-45Parser-n--12975-16756-u--fieldBody (lambda (arg-0 arg-1 arg-2) (vector 10 0 1 (LibrariesC-45TextC-45Parser-location) (lambda (u--start) (vector 9 1 (csegen-3821) (lambda () (lambda (u--ns) (vector 11 1 (ParserC-45RuleC-45Source-symbol ":") (lambda () (vector 9 0 (TTImpC-45Parser-expr arg-1 arg-0) (lambda () (lambda (u--ty) (vector 10 0 0 (LibrariesC-45TextC-45Parser-location) (lambda (u--end) (vector 0 (((csegen-25) (lambda (u--n) (vector (vector 0 arg-1 u--start u--end) (csegen-1778) arg-2 (vector 1 (vector 0 u--n)) u--ty))) (DataC-45List1-forget u--ns)))))))))))))))))
(define TTImpC-45Parser-n--9025-14237-u--bindAll (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (if (null? arg-3) arg-4 (let ((e-2 (car arg-3))) (let ((e-3 (cdr arg-3))) (let ((e-6 (car e-2))) (let ((e-7 (cdr e-2))) (let ((e-10 (car e-7))) (let ((e-11 (cdr e-7))) (vector 2 arg-2 e-6 (vector 1 ) (box e-10) e-11 (TTImpC-45Parser-n--9025-14237-u--bindAll arg-0 arg-1 arg-2 e-3 arg-4)))))))))))
(define TTImpC-45Parser-n--8889-12841-u--applyExpImp (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (if (null? arg-5) arg-4 (let ((e-2 (car arg-5))) (let ((e-3 (cdr arg-5))) (case (vector-ref e-2 0) ((0) (let ((e-6 (vector-ref e-2 1))) (TTImpC-45Parser-n--8889-12841-u--applyExpImp arg-0 arg-1 arg-2 arg-3 (vector 8 (vector 0 arg-1 arg-2 arg-3) arg-4 e-6) e-3))) (else (let ((e-9 (vector-ref e-2 1))) (let ((e-12 (car e-9))) (let ((e-13 (cdr e-9))) (if (null? e-12) (TTImpC-45Parser-n--8889-12841-u--applyExpImp arg-0 arg-1 arg-2 arg-3 (vector 9 (vector 0 arg-1 arg-2 arg-3) arg-4 e-13) e-3) (let ((e-15 (unbox e-12))) (TTImpC-45Parser-n--8889-12841-u--applyExpImp arg-0 arg-1 arg-2 arg-3 (vector 10 (vector 0 arg-1 arg-2 arg-3) arg-4 e-15 e-13) e-3)))))))))))))
(define TTImpC-45Parser-n--11826-15942-u--applyArgs (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (if (null? arg-4) arg-3 (let ((e-2 (car arg-4))) (let ((e-3 (cdr arg-4))) (let ((e-6 (car e-2))) (let ((e-7 (cdr e-2))) (TTImpC-45Parser-n--11826-15942-u--applyArgs arg-0 arg-1 arg-2 (vector 8 e-6 arg-3 e-7) e-3))))))))
(define TTImpC-45Parser-visibility(blodwen-lazy (lambda () (vector 13 1 0 (TTImpC-45Parser-visOption) (lambda () (vector 0 0))))))
(define TTImpC-45Parser-visOption(blodwen-lazy (lambda () (vector 13 1 1 (vector 11 1 (ParserC-45RuleC-45Source-keyword "public") (lambda () (vector 11 0 (ParserC-45RuleC-45Source-keyword "export") (lambda () (vector 0 2))))) (lambda () (vector 13 1 1 (vector 11 0 (ParserC-45RuleC-45Source-keyword "export") (lambda () (vector 0 1))) (lambda () (vector 11 0 (ParserC-45RuleC-45Source-keyword "private") (lambda () (vector 0 0))))))))))
(define TTImpC-45Parser-visOpt(blodwen-lazy (lambda () (vector 13 1 1 (vector 9 0 (TTImpC-45Parser-visOption) (lambda () (lambda (u--vis) (vector 0 (vector 0 u--vis))))) (lambda () (vector 13 1 1 (vector 9 0 (TTImpC-45Parser-fnOpt) (lambda () (lambda (u--tot) (vector 0 (vector 1 u--tot))))) (lambda () (vector 9 0 (TTImpC-45Parser-fnDirectOpt) (lambda () (lambda (u--opt) (vector 0 (vector 1 u--opt))))))))))))
(define TTImpC-45Parser-typeExpr (lambda (arg-0 arg-1) (vector 10 0 1 (LibrariesC-45TextC-45Parser-location) (lambda (u--start) (vector 9 0 (TTImpC-45Parser-appExpr arg-0 arg-1) (lambda () (lambda (u--arg) (vector 13 1 0 (vector 12 0 1 (ParserC-45RuleC-45Source-continue arg-1) (vector 9 0 (LibrariesC-45TextC-45Parser-some (vector 9 1 (TTImpC-45Parser-bindSymbol) (lambda () (lambda (u--exp) (vector 9 0 (TTImpC-45Parser-appExpr arg-0 arg-1) (lambda () (lambda (u--op) (vector 0 (cons u--exp u--op))))))))) (lambda () (lambda (u--rest) (vector 10 0 0 (LibrariesC-45TextC-45Parser-location) (lambda (u--end) (vector 0 (TTImpC-45Parser-n--9111-15325-u--mkPi arg-1 arg-0 u--start u--end u--arg (DataC-45List1-forget u--rest))))))))) (lambda () (vector 0 u--arg))))))))))
(define TTImpC-45Parser-tyDecl (lambda (arg-0 arg-1) (vector 10 0 1 (LibrariesC-45TextC-45Parser-location) (lambda (u--start) (vector 9 1 (ParserC-45RuleC-45Source-name) (lambda () (lambda (u--n) (vector 10 0 1 (LibrariesC-45TextC-45Parser-location) (lambda (u--nameEnd) (vector 11 1 (ParserC-45RuleC-45Source-symbol ":") (lambda () (vector 9 0 (TTImpC-45Parser-expr arg-0 arg-1) (lambda () (lambda (u--ty) (vector 10 0 0 (LibrariesC-45TextC-45Parser-location) (lambda (u--end) (vector 12 0 0 (ParserC-45RuleC-45Source-atEnd arg-1) (vector 0 (vector (vector 0 arg-0 u--start u--end) (vector 0 arg-0 u--start u--nameEnd) u--n u--ty)))))))))))))))))))
(define TTImpC-45Parser-totalityOpt(blodwen-lazy (lambda () (vector 13 1 1 (vector 11 0 (ParserC-45RuleC-45Source-keyword "partial") (lambda () (vector 0 2))) (lambda () (vector 13 1 1 (vector 11 0 (ParserC-45RuleC-45Source-keyword "total") (lambda () (vector 0 0))) (lambda () (vector 11 0 (ParserC-45RuleC-45Source-keyword "covering") (lambda () (vector 0 1))))))))))
(define TTImpC-45Parser-topDecl (lambda (arg-0 arg-1) (vector 13 1 1 (vector 10 0 1 (LibrariesC-45TextC-45Parser-location) (lambda (u--start) (vector 10 0 1 (TTImpC-45Parser-dataVisOpt) (lambda (_-0) (let ((e-2 (car _-0))) (let ((e-3 (cdr _-0))) (vector 9 0 (TTImpC-45Parser-dataDecl arg-0 arg-1) (lambda () (lambda (u--dat) (vector 10 0 0 (LibrariesC-45TextC-45Parser-location) (lambda (u--end) (vector 0 (vector 1 (vector 0 arg-0 u--start u--end) e-2 e-3 u--dat))))))))))))) (lambda () (vector 13 1 1 (vector 10 0 1 (LibrariesC-45TextC-45Parser-location) (lambda (u--start) (vector 9 1 (TTImpC-45Parser-namespaceDecl) (lambda () (lambda (u--ns) (vector 9 0 (ParserC-45RuleC-45Source-nonEmptyBlock (lambda (eta-0) (TTImpC-45Parser-topDecl arg-0 eta-0))) (lambda () (lambda (u--ds) (vector 10 0 0 (LibrariesC-45TextC-45Parser-location) (lambda (u--end) (vector 0 (vector 6 (vector 0 arg-0 u--start u--end) u--ns (DataC-45List1-forget u--ds))))))))))))) (lambda () (vector 13 1 1 (vector 10 0 1 (LibrariesC-45TextC-45Parser-location) (lambda (u--start) (vector 10 0 1 (LibrariesC-45TextC-45Parser-many (TTImpC-45Parser-visOpt)) (lambda (u--visOpts) (vector 10 0 1 (TTImpC-45Parser-getVisibility '() u--visOpts) (lambda (u--vis) (let ((u--opts (PreludeC-45TypesC-45List-mapMaybeAppend '() (lambda (eta-0) (TTImpC-45Parser-getRight eta-0)) u--visOpts))) (vector 10 0 1 (TTImpC-45Parser-multiplicity) (lambda (u--m) (vector 10 0 1 (TTImpC-45Parser-getMult u--m) (lambda (u--rig) (vector 9 0 (TTImpC-45Parser-tyDecl arg-0 arg-1) (lambda () (lambda (u--claim) (vector 10 0 0 (LibrariesC-45TextC-45Parser-location) (lambda (u--end) (vector 0 (vector 0 (vector 0 arg-0 u--start u--end) u--rig u--vis u--opts u--claim)))))))))))))))))) (lambda () (vector 13 1 1 (TTImpC-45Parser-recordDecl arg-0 arg-1) (lambda () (vector 13 1 1 (TTImpC-45Parser-directive arg-0 arg-1) (lambda () (TTImpC-45Parser-definition arg-0 arg-1)))))))))))))
(define TTImpC-45Parser-simpleExpr (lambda (arg-0 arg-1) (vector 13 1 1 (TTImpC-45Parser-as arg-0 arg-1) (lambda () (vector 13 1 1 (TTImpC-45Parser-atom arg-0) (lambda () (vector 13 1 1 (TTImpC-45Parser-binder arg-0 arg-1) (lambda () (vector 13 1 1 (TTImpC-45Parser-rewrite_ arg-0 arg-1) (lambda () (vector 13 1 1 (TTImpC-45Parser-record_ arg-0 arg-1) (lambda () (vector 11 1 (ParserC-45RuleC-45Source-symbol "(") (lambda () (vector 9 1 (TTImpC-45Parser-expr arg-0 arg-1) (lambda () (lambda (u--e) (vector 11 0 (ParserC-45RuleC-45Source-symbol ")") (lambda () (vector 0 u--e))))))))))))))))))))
(define TTImpC-45Parser-rewrite_ (lambda (arg-0 arg-1) (vector 10 0 1 (LibrariesC-45TextC-45Parser-location) (lambda (u--start) (vector 11 1 (ParserC-45RuleC-45Source-keyword "rewrite") (lambda () (vector 9 1 (TTImpC-45Parser-expr arg-0 arg-1) (lambda () (lambda (u--rule) (vector 11 1 (ParserC-45RuleC-45Source-keyword "in") (lambda () (vector 9 0 (TTImpC-45Parser-expr arg-0 arg-1) (lambda () (lambda (u--tm) (vector 10 0 0 (LibrariesC-45TextC-45Parser-location) (lambda (u--end) (vector 0 (vector 14 (vector 0 arg-0 u--start u--end) u--rule u--tm))))))))))))))))))
(define TTImpC-45Parser-record_ (lambda (arg-0 arg-1) (vector 10 0 1 (LibrariesC-45TextC-45Parser-location) (lambda (u--start) (vector 11 1 (ParserC-45RuleC-45Source-keyword "record") (lambda () (vector 11 1 (ParserC-45RuleC-45Source-symbol "{") (lambda () (vector 12 0 1 (vector 7 ) (vector 9 1 (LibrariesC-45TextC-45Parser-sepBy1 1 (ParserC-45RuleC-45Source-symbol ",") (TTImpC-45Parser-field arg-0 arg-1)) (lambda () (lambda (u--fs) (vector 11 1 (ParserC-45RuleC-45Source-symbol "}") (lambda () (vector 9 0 (TTImpC-45Parser-expr arg-0 arg-1) (lambda () (lambda (u--sc) (vector 10 0 0 (LibrariesC-45TextC-45Parser-location) (lambda (u--end) (vector 0 (vector 7 (vector 0 arg-0 u--start u--end) (DataC-45List1-forget u--fs) u--sc)))))))))))))))))))))
(define TTImpC-45Parser-recordParam (lambda (arg-0 arg-1) (vector 13 1 1 (vector 11 1 (ParserC-45RuleC-45Source-symbol "(") (lambda () (vector 10 0 1 (LibrariesC-45TextC-45Parser-location) (lambda (u--start) (vector 9 1 (TTImpC-45Parser-pibindListName arg-0 u--start arg-1) (lambda () (lambda (u--params) (vector 11 0 (ParserC-45RuleC-45Source-symbol ")") (lambda () (vector 0 (((csegen-25) (lambda (lamc-0) (let ((e-2 (car lamc-0))) (let ((e-3 (cdr lamc-0))) (let ((e-6 (car e-3))) (let ((e-7 (cdr e-3))) (cons e-6 (cons e-2 (cons (vector 1 ) e-7))))))))) u--params))))))))))) (lambda () (vector 13 1 1 (vector 11 1 (ParserC-45RuleC-45Source-symbol "{") (lambda () (vector 12 0 1 (vector 7 ) (vector 10 0 1 (LibrariesC-45TextC-45Parser-location) (lambda (u--start) (vector 10 0 1 (vector 13 1 0 (vector 10 0 1 (csegen-3841) (lambda (u--f) (((csegen-725) u--f) (ParserC-45RuleC-45Source-keyword "auto")))) (lambda () (vector 13 1 0 (vector 11 1 (ParserC-45RuleC-45Source-keyword "default") (lambda () (vector 9 0 (TTImpC-45Parser-simpleExpr arg-0 arg-1) (lambda () (lambda (u--t) (vector 0 (vector 3 u--t))))))) (lambda () (vector 0 (vector 0 )))))) (lambda (u--info) (vector 9 1 (TTImpC-45Parser-pibindListName arg-0 u--start arg-1) (lambda () (lambda (u--params) (vector 11 0 (ParserC-45RuleC-45Source-symbol "}") (lambda () (vector 0 (((csegen-25) (lambda (lamc-0) (let ((e-2 (car lamc-0))) (let ((e-3 (cdr lamc-0))) (let ((e-6 (car e-3))) (let ((e-7 (cdr e-3))) (cons e-6 (cons e-2 (cons u--info e-7))))))))) u--params)))))))))))))) (lambda () (vector 10 0 1 (LibrariesC-45TextC-45Parser-location) (lambda (u--start) (vector 9 0 (ParserC-45RuleC-45Source-name) (lambda () (lambda (u--n) (vector 10 0 0 (LibrariesC-45TextC-45Parser-location) (lambda (u--end) (vector 0 (cons (cons u--n (cons (AlgebraC-45ZeroOneOmega-u--top_Top_ZeroOneOmega) (cons (vector 1 ) (vector 32 (vector 0 arg-0 u--start u--end) 0)))) '())))))))))))))))
(define TTImpC-45Parser-recordDecl (lambda (arg-0 arg-1) (vector 10 0 1 (LibrariesC-45TextC-45Parser-location) (lambda (u--start) (vector 10 0 1 (TTImpC-45Parser-dataVisOpt) (lambda (_-0) (let ((e-2 (car _-0))) (let ((e-3 (cdr _-0))) (vector 10 0 1 (LibrariesC-45TextC-45Parser-column) (lambda (u--col) (vector 11 1 (ParserC-45RuleC-45Source-keyword "record") (lambda () (vector 12 0 1 (vector 7 ) (vector 9 1 (ParserC-45RuleC-45Source-name) (lambda () (lambda (u--n) (vector 10 0 1 (LibrariesC-45TextC-45Parser-many (TTImpC-45Parser-recordParam arg-0 arg-1)) (lambda (u--paramss) (let ((u--params (PreludeC-45Interfaces-concat (csegen-83) (csegen-16) u--paramss))) (vector 11 1 (ParserC-45RuleC-45Source-keyword "where") (lambda () (vector 10 0 1 (TTImpC-45Parser-dataOpts) (lambda (u--opts) (vector 11 1 (ParserC-45RuleC-45Source-exactIdent ((csegen-0) "constructor")) (lambda () (vector 9 0 (ParserC-45RuleC-45Source-name) (lambda () (lambda (u--dc) (vector 10 0 0 (ParserC-45RuleC-45Source-blockAfter u--col (lambda (eta-0) (TTImpC-45Parser-fieldDecl arg-0 eta-0))) (lambda (u--flds) (vector 10 0 0 (LibrariesC-45TextC-45Parser-location) (lambda (u--end) (vector 0 (let ((u--fc (vector 0 arg-0 u--start u--end))) (vector 4 u--fc '() e-2 e-3 (vector u--fc u--n u--params u--opts u--dc (PreludeC-45Interfaces-concat (csegen-83) (csegen-16) u--flds)))))))))))))))))))))))))))))))))))))
(define TTImpC-45Parser-prog (lambda (arg-0) (vector 9 0 (ParserC-45RuleC-45Source-nonEmptyBlock (lambda (eta-0) (TTImpC-45Parser-topDecl arg-0 eta-0))) (lambda () (lambda (u--ds) (vector 0 (TTImpC-45Parser-collectDefs (DataC-45List1-forget u--ds))))))))
(define TTImpC-45Parser-pibindListName (lambda (arg-0 arg-1 arg-2) (vector 13 1 1 (vector 10 0 1 (TTImpC-45Parser-multiplicity) (lambda (u--rigc) (vector 9 1 (csegen-3821) (lambda () (lambda (u--ns) (vector 11 1 (ParserC-45RuleC-45Source-symbol ":") (lambda () (vector 9 0 (TTImpC-45Parser-expr arg-0 arg-2) (lambda () (lambda (u--ty) (vector 12 0 0 (ParserC-45RuleC-45Source-atEnd arg-2) (vector 10 0 0 (TTImpC-45Parser-getMult u--rigc) (lambda (u--rig) (vector 0 (((csegen-25) (lambda (u--n) (cons u--rig (cons (vector 1 (vector 0 u--n)) u--ty)))) (DataC-45List1-forget u--ns)))))))))))))))) (lambda () (PreludeC-45Interfaces-C-60C-36C-62 (csegen-729) (lambda (eta-0) (DataC-45List1-forget eta-0)) (LibrariesC-45TextC-45Parser-sepBy1 1 (ParserC-45RuleC-45Source-symbol ",") (vector 10 0 1 (TTImpC-45Parser-multiplicity) (lambda (u--rigc) (vector 9 1 (ParserC-45RuleC-45Source-name) (lambda () (lambda (u--n) (vector 11 1 (ParserC-45RuleC-45Source-symbol ":") (lambda () (vector 9 0 (TTImpC-45Parser-expr arg-0 arg-2) (lambda () (lambda (u--ty) (vector 10 0 0 (TTImpC-45Parser-getMult u--rigc) (lambda (u--rig) (vector 0 (cons u--rig (cons u--n u--ty)))))))))))))))))))))
(define TTImpC-45Parser-pibindList (lambda (arg-0 arg-1 arg-2) (vector 9 0 (TTImpC-45Parser-pibindListName arg-0 arg-1 arg-2) (lambda () (lambda (u--params) (vector 0 (((csegen-25) (lambda (lamc-0) (let ((e-2 (car lamc-0))) (let ((e-3 (cdr lamc-0))) (let ((e-6 (car e-3))) (let ((e-7 (cdr e-3))) (cons e-2 (cons (box e-6) e-7)))))))) u--params)))))))
(define TTImpC-45Parser-pibindAll (lambda (arg-0 arg-1 arg-2 arg-3) (if (null? arg-2) arg-3 (let ((e-2 (car arg-2))) (let ((e-3 (cdr arg-2))) (let ((e-6 (car e-2))) (let ((e-7 (cdr e-2))) (let ((e-10 (car e-7))) (let ((e-11 (cdr e-7))) (vector 1 arg-0 e-6 arg-1 e-10 e-11 (TTImpC-45Parser-pibindAll arg-0 arg-1 e-3 arg-3)))))))))))
(define TTImpC-45Parser-parseRHS (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (vector 13 1 1 (vector 11 1 (ParserC-45RuleC-45Source-symbol "=") (lambda () (vector 12 0 1 (vector 7 ) (vector 9 0 (TTImpC-45Parser-expr arg-1 arg-2) (lambda () (lambda (u--rhs) (vector 12 0 0 (ParserC-45RuleC-45Source-atEnd arg-2) (vector 10 0 0 (LibrariesC-45TextC-45Parser-location) (lambda (u--end) (let ((u--fc (vector 0 arg-1 arg-3 u--end))) (vector 10 0 0 (TTImpC-45Parser-n--11808-15602-u--getFn arg-4 arg-3 arg-2 arg-1 arg-0 arg-4) (lambda (bind-0) (vector 0 (cons bind-0 (vector 0 u--fc arg-4 u--rhs))))))))))))))) (lambda () (vector 13 1 1 (vector 11 1 (ParserC-45RuleC-45Source-keyword "with") (lambda () (vector 10 0 1 (TTImpC-45Parser-multiplicity) (lambda (u--m) (vector 10 0 1 (TTImpC-45Parser-getMult u--m) (lambda (u--rig) (vector 10 0 1 (LibrariesC-45TextC-45Parser-location) (lambda (u--wstart) (vector 11 1 (ParserC-45RuleC-45Source-symbol "(") (lambda () (vector 9 1 (TTImpC-45Parser-expr arg-1 arg-2) (lambda () (lambda (u--wval) (vector 11 1 (ParserC-45RuleC-45Source-symbol ")") (lambda () (vector 10 0 1 (LibrariesC-45TextC-45Parser-optional 1 (vector 10 1 1 ((csegen-726) (ParserC-45RuleC-45Source-keyword "proof")) (csegen-3848))) (lambda (u--prf) (vector 9 0 (ParserC-45RuleC-45Source-nonEmptyBlock (lambda (eta-0) (TTImpC-45Parser-clause (+ arg-0 1) arg-1 eta-0))) (lambda () (lambda (u--ws) (vector 10 0 0 (LibrariesC-45TextC-45Parser-location) (lambda (u--end) (let ((u--fc (vector 0 arg-1 arg-3 u--end))) (vector 10 0 0 (TTImpC-45Parser-n--11808-15602-u--getFn arg-4 arg-3 arg-2 arg-1 arg-0 arg-4) (lambda (bind-0) (vector 0 (cons bind-0 (vector 1 u--fc arg-4 u--rig u--wval u--prf '() (DataC-45List1-forget (DataC-45List1-u--map_Functor_List1 (lambda (eta-0) (Builtin-snd eta-0)) u--ws)))))))))))))))))))))))))))))) (lambda () (vector 11 0 (ParserC-45RuleC-45Source-keyword "impossible") (lambda () (vector 12 0 0 (ParserC-45RuleC-45Source-atEnd arg-2) (vector 10 0 0 (LibrariesC-45TextC-45Parser-location) (lambda (u--end) (let ((u--fc (vector 0 arg-1 arg-3 u--end))) (vector 10 0 0 (TTImpC-45Parser-n--11808-15602-u--getFn arg-4 arg-3 arg-2 arg-1 arg-0 arg-4) (lambda (bind-0) (vector 0 (cons bind-0 (vector 2 u--fc arg-4)))))))))))))))))
(define TTImpC-45Parser-namespaceDecl(blodwen-lazy (lambda () (vector 11 1 (ParserC-45RuleC-45Source-keyword "namespace") (lambda () (vector 12 0 1 (vector 7 ) (ParserC-45RuleC-45Source-namespaceId)))))))
(define TTImpC-45Parser-multiplicity(blodwen-lazy (lambda () (vector 13 1 0 (vector 9 0 (ParserC-45RuleC-45Source-intLit) (lambda () (lambda (u--c) (vector 0 (box u--c))))) (lambda () (vector 0 '()))))))
(define TTImpC-45Parser-logLevel(blodwen-lazy (lambda () (vector 13 1 1 ((csegen-3855) (ParserC-45RuleC-45Source-exactIdent "off")) (lambda () (vector 10 0 1 (LibrariesC-45TextC-45Parser-option 1 '() (vector 10 1 0 (PreludeC-45Interfaces-C-60C-36C-62 (csegen-729) (csegen-152) (ParserC-45RuleC-45Source-unqualifiedName)) (lambda (u--f) (((csegen-721) u--f) (LibrariesC-45TextC-45Parser-many (ParserC-45RuleC-45Source-aDotIdent)))))) (lambda (u--topic) (vector 9 0 (ParserC-45RuleC-45Source-intLit) (lambda () (lambda (u--lvl) (vector 0 (box (cons u--topic (PreludeC-45Types-prim__integerToNat u--lvl))))))))))))))
(define TTImpC-45Parser-let_ (lambda (arg-0 arg-1) (vector 13 1 1 (vector 10 0 1 (LibrariesC-45TextC-45Parser-location) (lambda (u--start) (vector 11 1 (ParserC-45RuleC-45Source-keyword "let") (lambda () (vector 10 0 1 (TTImpC-45Parser-multiplicity) (lambda (u--rigc) (vector 10 0 1 (TTImpC-45Parser-getMult u--rigc) (lambda (u--rig) (vector 9 1 (vector 14 (ParserC-45RuleC-45Source-name)) (lambda () (lambda (u--n) (vector 11 1 (ParserC-45RuleC-45Source-symbol "=") (lambda () (vector 12 0 1 (vector 7 ) (vector 9 1 (TTImpC-45Parser-expr arg-0 arg-1) (lambda () (lambda (u--val) (vector 12 0 1 (ParserC-45RuleC-45Source-continue arg-1) (vector 11 1 (ParserC-45RuleC-45Source-keyword "in") (lambda () (vector 9 0 (TTImpC-45Parser-typeExpr arg-0 arg-1) (lambda () (lambda (u--scope) (vector 10 0 0 (LibrariesC-45TextC-45Parser-location) (lambda (u--end) (vector 0 (let ((u--fc (vector 0 arg-0 u--start u--end))) (vector 3 u--fc (CoreC-45FC-boundToFC arg-0 u--n) u--rig (let ((e-1 (vector-ref u--n 0))) e-1) (vector 32 u--fc 0) u--val u--scope)))))))))))))))))))))))))))) (lambda () (vector 10 0 1 (LibrariesC-45TextC-45Parser-location) (lambda (u--start) (vector 11 1 (ParserC-45RuleC-45Source-keyword "let") (lambda () (vector 10 0 1 (ParserC-45RuleC-45Source-block (lambda (eta-0) (TTImpC-45Parser-topDecl arg-0 eta-0))) (lambda (u--ds) (vector 12 0 1 (ParserC-45RuleC-45Source-continue arg-1) (vector 11 1 (ParserC-45RuleC-45Source-keyword "in") (lambda () (vector 9 0 (TTImpC-45Parser-typeExpr arg-0 arg-1) (lambda () (lambda (u--scope) (vector 10 0 0 (LibrariesC-45TextC-45Parser-location) (lambda (u--end) (vector 0 (vector 5 (vector 0 arg-0 u--start u--end) (TTImpC-45Parser-collectDefs u--ds) u--scope))))))))))))))))))))
(define TTImpC-45Parser-lazy (lambda (arg-0 arg-1) (vector 13 1 1 (vector 10 0 1 (LibrariesC-45TextC-45Parser-location) (lambda (u--start) (vector 11 1 (ParserC-45RuleC-45Source-exactIdent "Lazy") (lambda () (vector 9 0 (TTImpC-45Parser-simpleExpr arg-0 arg-1) (lambda () (lambda (u--tm) (vector 10 0 0 (LibrariesC-45TextC-45Parser-location) (lambda (u--end) (vector 0 (vector 20 (vector 0 arg-0 u--start u--end) 1 u--tm))))))))))) (lambda () (vector 13 1 1 (vector 10 0 1 (LibrariesC-45TextC-45Parser-location) (lambda (u--start) (vector 11 1 (ParserC-45RuleC-45Source-exactIdent "Inf") (lambda () (vector 9 0 (TTImpC-45Parser-simpleExpr arg-0 arg-1) (lambda () (lambda (u--tm) (vector 10 0 0 (LibrariesC-45TextC-45Parser-location) (lambda (u--end) (vector 0 (vector 20 (vector 0 arg-0 u--start u--end) 0 u--tm))))))))))) (lambda () (vector 13 1 1 (vector 10 0 1 (LibrariesC-45TextC-45Parser-location) (lambda (u--start) (vector 11 1 (ParserC-45RuleC-45Source-exactIdent "Delay") (lambda () (vector 9 0 (TTImpC-45Parser-simpleExpr arg-0 arg-1) (lambda () (lambda (u--tm) (vector 10 0 0 (LibrariesC-45TextC-45Parser-location) (lambda (u--end) (vector 0 (vector 21 (vector 0 arg-0 u--start u--end) u--tm))))))))))) (lambda () (vector 10 0 1 (LibrariesC-45TextC-45Parser-location) (lambda (u--start) (vector 11 1 (ParserC-45RuleC-45Source-exactIdent "Force") (lambda () (vector 9 0 (TTImpC-45Parser-simpleExpr arg-0 arg-1) (lambda () (lambda (u--tm) (vector 10 0 0 (LibrariesC-45TextC-45Parser-location) (lambda (u--end) (vector 0 (vector 22 (vector 0 arg-0 u--start u--end) u--tm)))))))))))))))))))
(define TTImpC-45Parser-lam (lambda (arg-0 arg-1) (vector 10 0 1 (LibrariesC-45TextC-45Parser-location) (lambda (u--start) (vector 11 1 (ParserC-45RuleC-45Source-symbol "\\") (lambda () (vector 9 1 (TTImpC-45Parser-bindList arg-0 u--start arg-1) (lambda () (lambda (u--binders) (vector 11 1 (ParserC-45RuleC-45Source-symbol "=>") (lambda () (vector 12 0 1 (ParserC-45RuleC-45Source-mustContinue arg-1 '()) (vector 9 0 (TTImpC-45Parser-expr arg-0 arg-1) (lambda () (lambda (u--scope) (vector 10 0 0 (LibrariesC-45TextC-45Parser-location) (lambda (u--end) (vector 0 (TTImpC-45Parser-n--9025-14237-u--bindAll arg-1 arg-0 (vector 0 arg-0 u--start u--end) u--binders u--scope)))))))))))))))))))
(define TTImpC-45Parser-implicitPi (lambda (arg-0 arg-1) (vector 10 0 1 (LibrariesC-45TextC-45Parser-location) (lambda (u--start) (vector 11 1 (ParserC-45RuleC-45Source-symbol "{") (lambda () (vector 9 1 (TTImpC-45Parser-pibindList arg-0 u--start arg-1) (lambda () (lambda (u--binders) (vector 11 1 (ParserC-45RuleC-45Source-symbol "}") (lambda () (vector 11 1 (ParserC-45RuleC-45Source-symbol "->") (lambda () (vector 9 0 (TTImpC-45Parser-typeExpr arg-0 arg-1) (lambda () (lambda (u--scope) (vector 10 0 0 (LibrariesC-45TextC-45Parser-location) (lambda (u--end) (vector 0 (TTImpC-45Parser-pibindAll (vector 0 arg-0 u--start u--end) (vector 0 ) u--binders u--scope))))))))))))))))))))
(define TTImpC-45Parser-implicitArg (lambda (arg-0 arg-1) (vector 13 1 1 (vector 10 0 1 (LibrariesC-45TextC-45Parser-location) (lambda (u--start) (vector 11 1 (ParserC-45RuleC-45Source-symbol "{") (lambda () (vector 9 1 (csegen-3864) (lambda () (lambda (u--x) (vector 13 1 1 (vector 11 1 (ParserC-45RuleC-45Source-symbol "=") (lambda () (vector 12 0 1 (vector 7 ) (vector 9 1 (TTImpC-45Parser-expr arg-0 arg-1) (lambda () (lambda (u--tm) (vector 11 0 (ParserC-45RuleC-45Source-symbol "}") (lambda () (vector 0 (cons (box u--x) u--tm)))))))))) (lambda () (vector 11 0 (ParserC-45RuleC-45Source-symbol "}") (lambda () (vector 10 0 0 (LibrariesC-45TextC-45Parser-location) (lambda (u--end) (vector 0 (cons (box u--x) (vector 0 (vector 0 arg-0 u--start u--end) u--x)))))))))))))))) (lambda () (vector 11 1 (ParserC-45RuleC-45Source-symbol "@{") (lambda () (vector 12 0 1 (vector 7 ) (vector 9 1 (TTImpC-45Parser-expr arg-0 arg-1) (lambda () (lambda (u--tm) (vector 11 0 (ParserC-45RuleC-45Source-symbol "}") (lambda () (vector 0 (cons '() u--tm))))))))))))))
(define TTImpC-45Parser-getVisibility (lambda (arg-0 arg-1) (if (null? arg-0) (if (null? arg-1) (vector 0 0) (let ((e-8 (car arg-1))) (let ((e-9 (cdr arg-1))) (case (vector-ref e-8 0) ((0) (let ((e-12 (vector-ref e-8 1))) (TTImpC-45Parser-getVisibility (box e-12) e-9)))(else (let ((e-2 (cdr arg-1))) (TTImpC-45Parser-getVisibility arg-0 e-2))))))) (let ((e-5 (unbox arg-0))) (if (null? arg-1) (vector 0 e-5) (let ((e-15 (car arg-1))) (case (vector-ref e-15 0) ((0) (vector 4 '() 1 "Multiple visibility modifiers"))(else (let ((e-2 (cdr arg-1))) (TTImpC-45Parser-getVisibility arg-0 e-2))))))))))
(define TTImpC-45Parser-getRight (lambda (arg-2) (case (vector-ref arg-2 0) ((0) '()) (else (let ((e-5 (vector-ref arg-2 1))) (box e-5))))))
(define TTImpC-45Parser-getMult (lambda (arg-0) (if (null? arg-0) (vector 0 (AlgebraC-45ZeroOneOmega-u--top_Top_ZeroOneOmega)) (let ((e-1 (unbox arg-0))) (cond ((equal? e-1 0) (csegen-3866)) ((equal? e-1 1) (csegen-3867))(else (vector 4 '() 1 "Invalid multiplicity (must be 0 or 1)")))))))
(define TTImpC-45Parser-forall_ (lambda (arg-0 arg-1) (vector 10 0 1 (LibrariesC-45TextC-45Parser-location) (lambda (u--start) (vector 11 1 (ParserC-45RuleC-45Source-keyword "forall") (lambda () (vector 12 0 1 (vector 7 ) (vector 10 0 1 (LibrariesC-45TextC-45Parser-location) (lambda (u--nstart) (vector 9 1 (csegen-3821) (lambda () (lambda (u--ns) (vector 10 0 1 (LibrariesC-45TextC-45Parser-location) (lambda (u--nend) (let ((u--nfc (vector 0 arg-0 u--nstart u--nend))) (let ((u--binders (((csegen-25) (lambda (u--n) (cons (csegen-54) (cons (box (vector 1 (vector 0 u--n))) (vector 32 u--nfc 0))))) (DataC-45List1-forget u--ns)))) (vector 11 1 (ParserC-45RuleC-45Source-symbol ".") (lambda () (vector 9 0 (TTImpC-45Parser-typeExpr arg-0 arg-1) (lambda () (lambda (u--scope) (vector 10 0 0 (LibrariesC-45TextC-45Parser-location) (lambda (u--end) (vector 0 (TTImpC-45Parser-pibindAll (vector 0 arg-0 u--start u--end) (vector 0 ) u--binders u--scope)))))))))))))))))))))))))
(define TTImpC-45Parser-fnOpt(blodwen-lazy (lambda () (vector 9 0 (TTImpC-45Parser-totalityOpt) (lambda () (lambda (u--x) (vector 0 (vector 10 u--x))))))))
(define TTImpC-45Parser-fnDirectOpt(blodwen-lazy (lambda () (vector 13 1 1 (vector 11 0 (ParserC-45RuleC-45Source-pragma "hint") (lambda () (vector 0 (vector 4 1)))) (lambda () (vector 13 1 1 (vector 11 0 (ParserC-45RuleC-45Source-pragma "chaser") (lambda () (vector 0 (vector 4 0)))) (lambda () (vector 13 1 1 (vector 11 0 (ParserC-45RuleC-45Source-pragma "globalhint") (lambda () (vector 0 (vector 5 1)))) (lambda () (vector 13 1 1 (vector 11 0 (ParserC-45RuleC-45Source-pragma "defaulthint") (lambda () (vector 0 (vector 5 0)))) (lambda () (vector 13 1 1 (vector 11 0 (ParserC-45RuleC-45Source-pragma "inline") (lambda () (vector 0 (vector 0 )))) (lambda () (vector 13 1 1 (vector 11 0 (ParserC-45RuleC-45Source-pragma "noinline") (lambda () (vector 0 (vector 1 )))) (lambda () (vector 13 1 1 (vector 11 0 (ParserC-45RuleC-45Source-pragma "deprecate") (lambda () (vector 0 (vector 2 )))) (lambda () (vector 11 0 (ParserC-45RuleC-45Source-pragma "extern") (lambda () (vector 0 (vector 6 )))))))))))))))))))))
(define TTImpC-45Parser-fieldDecl (lambda (arg-0 arg-1) (vector 13 1 1 (vector 11 1 (ParserC-45RuleC-45Source-symbol "{") (lambda () (vector 12 0 1 (vector 7 ) (vector 9 1 (TTImpC-45Parser-n--12975-16756-u--fieldBody arg-1 arg-0 (vector 0 )) (lambda () (lambda (u--fs) (vector 11 0 (ParserC-45RuleC-45Source-symbol "}") (lambda () (vector 12 0 0 (ParserC-45RuleC-45Source-atEnd arg-1) (vector 0 u--fs)))))))))) (lambda () (vector 9 0 (TTImpC-45Parser-n--12975-16756-u--fieldBody arg-1 arg-0 (vector 1 )) (lambda () (lambda (u--fs) (vector 12 0 0 (ParserC-45RuleC-45Source-atEnd arg-1) (vector 0 u--fs)))))))))
(define TTImpC-45Parser-field (lambda (arg-0 arg-1) (vector 9 1 (LibrariesC-45TextC-45Parser-sepBy1 1 (ParserC-45RuleC-45Source-symbol "->") (ParserC-45RuleC-45Source-unqualifiedName)) (lambda () (lambda (u--path) (vector 9 1 (vector 13 1 1 (vector 11 0 (ParserC-45RuleC-45Source-symbol "=") (lambda () (vector 0 (lambda (eta-0) (lambda (eta-1) (vector 0 eta-0 eta-1)))))) (lambda () (vector 11 0 (ParserC-45RuleC-45Source-symbol "$=") (lambda () (vector 0 (lambda (eta-0) (lambda (eta-1) (vector 1 eta-0 eta-1)))))))) (lambda () (lambda (u--upd) (vector 9 0 (TTImpC-45Parser-appExpr arg-0 arg-1) (lambda () (lambda (u--val) (vector 0 ((u--upd (DataC-45List1-forget u--path)) u--val)))))))))))))
(define TTImpC-45Parser-expr (lambda (ext-0 ext-1) (TTImpC-45Parser-typeExpr ext-0 ext-1)))
(define TTImpC-45Parser-explicitPi (lambda (arg-0 arg-1) (vector 10 0 1 (LibrariesC-45TextC-45Parser-location) (lambda (u--start) (vector 11 1 (ParserC-45RuleC-45Source-symbol "(") (lambda () (vector 9 1 (TTImpC-45Parser-pibindList arg-0 u--start arg-1) (lambda () (lambda (u--binders) (vector 11 1 (ParserC-45RuleC-45Source-symbol ")") (lambda () (vector 9 1 (TTImpC-45Parser-bindSymbol) (lambda () (lambda (u--exp) (vector 9 0 (TTImpC-45Parser-typeExpr arg-0 arg-1) (lambda () (lambda (u--scope) (vector 10 0 0 (LibrariesC-45TextC-45Parser-location) (lambda (u--end) (vector 0 (TTImpC-45Parser-pibindAll (vector 0 arg-0 u--start u--end) u--exp u--binders u--scope)))))))))))))))))))))
(define TTImpC-45Parser-directive (lambda (arg-0 arg-1) (vector 13 1 1 (vector 11 1 (ParserC-45RuleC-45Source-pragma "logging") (lambda () (vector 12 0 1 (vector 7 ) (vector 9 0 (TTImpC-45Parser-logLevel) (lambda () (lambda (u--lvl) (vector 12 0 0 (ParserC-45RuleC-45Source-atEnd arg-1) (vector 0 (vector 10 u--lvl))))))))) (lambda () (vector 9 0 (vector 14 (vector 11 1 (ParserC-45RuleC-45Source-pragma "builtin") (lambda () (csegen-3894)))) (lambda () (lambda (u--b) (vector 10 0 0 (vector 0 (let ((e-1 (vector-ref u--b 0))) e-1)) (lambda (_-0) (let ((e-2 (car _-0))) (let ((e-3 (cdr _-0))) (vector 0 (vector 11 (CoreC-45FC-boundToFC arg-0 u--b) e-2 e-3)))))))))))))
(define TTImpC-45Parser-definition (lambda (arg-0 arg-1) (vector 10 0 1 (LibrariesC-45TextC-45Parser-location) (lambda (u--start) (vector 9 0 (TTImpC-45Parser-clause 0 arg-0 arg-1) (lambda () (lambda (u--nd) (vector 10 0 0 (LibrariesC-45TextC-45Parser-location) (lambda (u--end) (vector 0 (vector 2 (vector 0 arg-0 u--start u--end) (Builtin-fst u--nd) (cons (Builtin-snd u--nd) '()))))))))))))
(define TTImpC-45Parser-dataVisOpt(blodwen-lazy (lambda () (vector 13 1 0 (vector 9 0 (TTImpC-45Parser-visOption) (lambda () (lambda (u--vis) (vector 10 0 0 (LibrariesC-45TextC-45Parser-optional 1 (TTImpC-45Parser-totalityOpt)) (lambda (u--mbtot) (vector 0 (cons u--vis u--mbtot))))))) (lambda () (vector 13 1 0 (vector 9 0 (TTImpC-45Parser-totalityOpt) (lambda () (lambda (u--tot) (vector 10 0 0 (TTImpC-45Parser-visibility) (lambda (u--vis) (vector 0 (cons u--vis (box u--tot)))))))) (lambda () (vector 0 (cons 0 '())))))))))
(define TTImpC-45Parser-dataOpts(blodwen-lazy (lambda () (LibrariesC-45TextC-45Parser-option 1 '() (vector 11 1 (ParserC-45RuleC-45Source-symbol "[") (lambda () (vector 9 1 (LibrariesC-45TextC-45Parser-sepBy1 1 (ParserC-45RuleC-45Source-symbol ",") (TTImpC-45Parser-dataOpt)) (lambda () (lambda (u--dopts) (vector 11 0 (ParserC-45RuleC-45Source-symbol "]") (lambda () (vector 0 (DataC-45List1-forget u--dopts)))))))))))))
(define TTImpC-45Parser-dataOpt(blodwen-lazy (lambda () (vector 13 1 1 (vector 11 0 (ParserC-45RuleC-45Source-exactIdent "noHints") (lambda () (vector 0 (vector 1 )))) (lambda () (vector 13 1 1 (vector 11 0 (ParserC-45RuleC-45Source-exactIdent "uniqueSearch") (lambda () (vector 0 (vector 2 )))) (lambda () (vector 11 1 (ParserC-45RuleC-45Source-exactIdent "search") (lambda () (vector 9 0 (PreludeC-45Interfaces-C-60C-36C-62 (csegen-729) (lambda (eta-0) (DataC-45List1-forget eta-0)) (LibrariesC-45TextC-45Parser-some (ParserC-45RuleC-45Source-name))) (lambda () (lambda (u--ns) (vector 0 (vector 0 u--ns))))))))))))))
(define TTImpC-45Parser-dataDecl (lambda (arg-0 arg-1) (vector 10 0 1 (LibrariesC-45TextC-45Parser-location) (lambda (u--start) (vector 11 1 (ParserC-45RuleC-45Source-keyword "data") (lambda () (vector 9 1 (ParserC-45RuleC-45Source-name) (lambda () (lambda (u--n) (vector 11 1 (ParserC-45RuleC-45Source-symbol ":") (lambda () (vector 9 1 (TTImpC-45Parser-expr arg-0 arg-1) (lambda () (lambda (u--ty) (vector 11 0 (ParserC-45RuleC-45Source-keyword "where") (lambda () (vector 10 0 0 (TTImpC-45Parser-dataOpts) (lambda (u--opts) (vector 10 0 0 (ParserC-45RuleC-45Source-block (lambda (eta-0) (TTImpC-45Parser-tyDecl arg-0 eta-0))) (lambda (u--cs) (vector 10 0 0 (LibrariesC-45TextC-45Parser-location) (lambda (u--end) (vector 0 (vector 0 (vector 0 arg-0 u--start u--end) u--n u--ty u--opts u--cs))))))))))))))))))))))))
(define TTImpC-45Parser-command(blodwen-lazy (lambda () (vector 13 1 1 (vector 11 1 (ParserC-45RuleC-45Source-symbol ":") (lambda () (vector 11 1 (ParserC-45RuleC-45Source-exactIdent "t") (lambda () (vector 9 0 (csegen-3916) (lambda () (lambda (u--tm) (vector 0 (vector 1 u--tm))))))))) (lambda () (vector 13 1 1 (vector 11 1 (ParserC-45RuleC-45Source-symbol ":") (lambda () (vector 11 1 (ParserC-45RuleC-45Source-exactIdent "s") (lambda () (vector 9 0 (ParserC-45RuleC-45Source-name) (lambda () (lambda (u--n) (vector 0 (vector 2 u--n))))))))) (lambda () (vector 13 1 1 (vector 11 1 (ParserC-45RuleC-45Source-symbol ":") (lambda () (vector 11 1 (ParserC-45RuleC-45Source-exactIdent "es") (lambda () (vector 9 0 (ParserC-45RuleC-45Source-name) (lambda () (lambda (u--n) (vector 0 (vector 3 u--n))))))))) (lambda () (vector 13 1 1 (vector 11 1 (ParserC-45RuleC-45Source-symbol ":") (lambda () (vector 11 1 (ParserC-45RuleC-45Source-exactIdent "gd") (lambda () (vector 9 1 (ParserC-45RuleC-45Source-intLit) (lambda () (lambda (u--l) (vector 9 0 (ParserC-45RuleC-45Source-name) (lambda () (lambda (u--n) (vector 0 (vector 4 (blodwen-toSignedInt u--l 63) u--n)))))))))))) (lambda () (vector 13 1 1 (vector 11 1 (ParserC-45RuleC-45Source-symbol ":") (lambda () (vector 11 1 (ParserC-45RuleC-45Source-exactIdent "missing") (lambda () (vector 9 0 (ParserC-45RuleC-45Source-name) (lambda () (lambda (u--n) (vector 0 (vector 5 u--n))))))))) (lambda () (vector 13 1 1 (vector 11 1 (ParserC-45RuleC-45Source-symbol ":") (lambda () (vector 11 1 (ParserC-45RuleC-45Source-keyword "total") (lambda () (vector 9 0 (ParserC-45RuleC-45Source-name) (lambda () (lambda (u--n) (vector 0 (vector 6 u--n))))))))) (lambda () (vector 13 1 1 (vector 11 1 (ParserC-45RuleC-45Source-symbol ":") (lambda () (vector 11 1 (ParserC-45RuleC-45Source-exactIdent "di") (lambda () (vector 9 0 (ParserC-45RuleC-45Source-name) (lambda () (lambda (u--n) (vector 0 (vector 7 u--n))))))))) (lambda () (vector 13 1 1 (vector 11 1 (ParserC-45RuleC-45Source-symbol ":") (lambda () (vector 11 0 (ParserC-45RuleC-45Source-exactIdent "q") (lambda () (vector 0 (vector 8 )))))) (lambda () (vector 9 0 (csegen-3916) (lambda () (lambda (u--tm) (vector 0 (vector 0 u--tm))))))))))))))))))))))))
(define TTImpC-45Parser-collectDefs (lambda (arg-0) (if (null? arg-0) '() (let ((e-2 (car arg-0))) (let ((e-3 (cdr arg-0))) (case (vector-ref e-2 0) ((2) (let ((e-5 (vector-ref e-2 1))) (let ((e-6 (vector-ref e-2 2))) (let ((e-7 (vector-ref e-2 3))) (let ((sc2 (TTImpC-45Parser-n--7863-17669-u--spanMap e-7 e-6 e-5 e-3 (lambda (eta-0) (TTImpC-45Parser-n--7863-17670-u--isClause e-7 e-6 e-5 e-3 e-6 eta-0)) e-3))) (let ((e-8 (car sc2))) (let ((e-4 (cdr sc2))) (cons (vector 2 e-5 e-6 (PreludeC-45TypesC-45List-tailRecAppend e-7 e-8)) (TTImpC-45Parser-collectDefs e-4))))))))) ((6) (let ((e-9 (vector-ref e-2 1))) (let ((e-10 (vector-ref e-2 2))) (let ((e-11 (vector-ref e-2 3))) (cons (vector 6 e-9 e-10 (TTImpC-45Parser-collectDefs e-11)) (TTImpC-45Parser-collectDefs e-3)))))) ((5) (let ((e-13 (vector-ref e-2 1))) (let ((e-14 (vector-ref e-2 2))) (let ((e-15 (vector-ref e-2 3))) (cons (vector 5 e-13 e-14 (TTImpC-45Parser-collectDefs e-15)) (TTImpC-45Parser-collectDefs e-3))))))(else (cons e-2 (TTImpC-45Parser-collectDefs e-3)))))))))
(define TTImpC-45Parser-clause (lambda (arg-0 arg-1 arg-2) (vector 10 0 1 (LibrariesC-45TextC-45Parser-location) (lambda (u--start) (vector 9 1 (TTImpC-45Parser-expr arg-1 arg-2) (lambda () (lambda (u--lhs) (vector 10 0 1 (LibrariesC-45TextC-45Parser-many (TTImpC-45Parser-n--11826-15943-u--parseWithArg arg-2 arg-1 arg-0)) (lambda (u--extra) (let ((sc0 (PreludeC-45Types-u--C-47C-61_Eq_Nat arg-0 (PreludeC-45TypesC-45List-lengthTR u--extra)))) (cond ((equal? sc0 1) (vector 4 '() 1 "Wrong number of 'with' arguments")) (else (TTImpC-45Parser-parseRHS arg-0 arg-1 arg-2 u--start (TTImpC-45Parser-n--11826-15942-u--applyArgs arg-2 arg-1 arg-0 u--lhs u--extra))))))))))))))
(define TTImpC-45Parser-case_ (lambda (arg-0 arg-1) (vector 10 0 1 (LibrariesC-45TextC-45Parser-location) (lambda (u--start) (vector 11 1 (ParserC-45RuleC-45Source-keyword "case") (lambda () (vector 9 1 (TTImpC-45Parser-expr arg-0 arg-1) (lambda () (lambda (u--scr) (vector 11 0 (ParserC-45RuleC-45Source-keyword "of") (lambda () (vector 10 0 0 (ParserC-45RuleC-45Source-block (lambda (eta-0) (TTImpC-45Parser-caseAlt arg-0 eta-0))) (lambda (u--alts) (vector 10 0 0 (LibrariesC-45TextC-45Parser-location) (lambda (u--end) (vector 0 (let ((u--fc (vector 0 arg-0 u--start u--end))) (vector 4 u--fc u--scr (vector 32 u--fc 0) u--alts))))))))))))))))))
(define TTImpC-45Parser-caseRHS (lambda (arg-0 arg-1 arg-2 arg-3) (vector 13 1 1 (vector 11 1 (ParserC-45RuleC-45Source-symbol "=>") (lambda () (vector 12 0 1 (ParserC-45RuleC-45Source-continue arg-1) (vector 9 0 (TTImpC-45Parser-expr arg-0 arg-1) (lambda () (lambda (u--rhs) (vector 12 0 0 (ParserC-45RuleC-45Source-atEnd arg-1) (vector 10 0 0 (LibrariesC-45TextC-45Parser-location) (lambda (u--end) (vector 0 (vector 0 (vector 0 arg-0 arg-2 u--end) arg-3 u--rhs))))))))))) (lambda () (vector 11 0 (ParserC-45RuleC-45Source-keyword "impossible") (lambda () (vector 12 0 0 (ParserC-45RuleC-45Source-atEnd arg-1) (vector 10 0 0 (LibrariesC-45TextC-45Parser-location) (lambda (u--end) (vector 0 (vector 2 (vector 0 arg-0 arg-2 u--end) arg-3)))))))))))
(define TTImpC-45Parser-caseAlt (lambda (arg-0 arg-1) (vector 10 0 1 (LibrariesC-45TextC-45Parser-location) (lambda (u--start) (vector 9 1 (TTImpC-45Parser-appExpr arg-0 arg-1) (lambda () (lambda (u--lhs) (TTImpC-45Parser-caseRHS arg-0 arg-1 u--start u--lhs))))))))
(define TTImpC-45Parser-binder (lambda (arg-0 arg-1) (vector 13 1 1 (TTImpC-45Parser-autoImplicitPi arg-0 arg-1) (lambda () (vector 13 1 1 (TTImpC-45Parser-forall_ arg-0 arg-1) (lambda () (vector 13 1 1 (TTImpC-45Parser-implicitPi arg-0 arg-1) (lambda () (vector 13 1 1 (TTImpC-45Parser-explicitPi arg-0 arg-1) (lambda () (vector 13 1 1 (TTImpC-45Parser-lam arg-0 arg-1) (lambda () (TTImpC-45Parser-let_ arg-0 arg-1)))))))))))))
(define TTImpC-45Parser-bindSymbol(blodwen-lazy (lambda () (vector 13 1 1 (vector 11 0 (ParserC-45RuleC-45Source-symbol "->") (lambda () (vector 0 (vector 1 )))) (lambda () (vector 11 0 (ParserC-45RuleC-45Source-symbol "=>") (lambda () (vector 0 (vector 2 )))))))))
(define TTImpC-45Parser-bindList (lambda (arg-0 arg-1 arg-2) (PreludeC-45Interfaces-C-60C-36C-62 (csegen-729) (lambda (eta-0) (DataC-45List1-forget eta-0)) (LibrariesC-45TextC-45Parser-sepBy1 1 (ParserC-45RuleC-45Source-symbol ",") (vector 10 0 1 (TTImpC-45Parser-multiplicity) (lambda (u--rigc) (vector 9 0 (ParserC-45RuleC-45Source-unqualifiedName) (lambda () (lambda (u--n) (vector 10 0 0 (LibrariesC-45TextC-45Parser-location) (lambda (u--end) (vector 10 0 0 (LibrariesC-45TextC-45Parser-option 1 (vector 32 (vector 0 arg-0 arg-1 u--end) 0) (vector 11 1 (ParserC-45RuleC-45Source-symbol ":") (lambda () (TTImpC-45Parser-appExpr arg-0 arg-2)))) (lambda (u--ty) (vector 10 0 0 (TTImpC-45Parser-getMult u--rigc) (lambda (u--rig) (vector 0 (cons u--rig (cons (vector 1 (vector 0 u--n)) u--ty))))))))))))))))))
(define TTImpC-45Parser-autoImplicitPi (lambda (arg-0 arg-1) (vector 10 0 1 (LibrariesC-45TextC-45Parser-location) (lambda (u--start) (vector 11 1 (ParserC-45RuleC-45Source-symbol "{") (lambda () (vector 11 1 (ParserC-45RuleC-45Source-keyword "auto") (lambda () (vector 12 0 1 (vector 7 ) (vector 9 1 (TTImpC-45Parser-pibindList arg-0 u--start arg-1) (lambda () (lambda (u--binders) (vector 11 1 (ParserC-45RuleC-45Source-symbol "}") (lambda () (vector 11 1 (ParserC-45RuleC-45Source-symbol "->") (lambda () (vector 9 0 (TTImpC-45Parser-typeExpr arg-0 arg-1) (lambda () (lambda (u--scope) (vector 10 0 0 (LibrariesC-45TextC-45Parser-location) (lambda (u--end) (vector 0 (TTImpC-45Parser-pibindAll (vector 0 arg-0 u--start u--end) (vector 2 ) u--binders u--scope)))))))))))))))))))))))
(define TTImpC-45Parser-atom (lambda (arg-0) (vector 13 1 1 (vector 10 0 1 (LibrariesC-45TextC-45Parser-location) (lambda (u--start) (vector 9 0 (ParserC-45RuleC-45Source-constant) (lambda () (lambda (u--x) (vector 10 0 0 (LibrariesC-45TextC-45Parser-location) (lambda (u--end) (vector 0 (vector 28 (vector 0 arg-0 u--start u--end) u--x))))))))) (lambda () (vector 13 1 1 (vector 10 0 1 (LibrariesC-45TextC-45Parser-location) (lambda (u--start) (vector 9 0 (ParserC-45RuleC-45Source-simpleStr) (lambda () (lambda (u--str) (vector 10 0 0 (LibrariesC-45TextC-45Parser-location) (lambda (u--end) (vector 0 (vector 28 (vector 0 arg-0 u--start u--end) (vector 10 u--str)))))))))) (lambda () (vector 13 1 1 (vector 10 0 1 (LibrariesC-45TextC-45Parser-location) (lambda (u--start) (vector 11 0 (ParserC-45RuleC-45Source-exactIdent "Type") (lambda () (vector 10 0 0 (LibrariesC-45TextC-45Parser-location) (lambda (u--end) (vector 0 (vector 29 (vector 0 arg-0 u--start u--end))))))))) (lambda () (vector 13 1 1 (vector 10 0 1 (LibrariesC-45TextC-45Parser-location) (lambda (u--start) (vector 11 0 (ParserC-45RuleC-45Source-symbol "_") (lambda () (vector 10 0 0 (LibrariesC-45TextC-45Parser-location) (lambda (u--end) (vector 0 (vector 32 (vector 0 arg-0 u--start u--end) 1)))))))) (lambda () (vector 13 1 1 (vector 10 0 1 (LibrariesC-45TextC-45Parser-location) (lambda (u--start) (vector 11 0 (ParserC-45RuleC-45Source-symbol "?") (lambda () (vector 10 0 0 (LibrariesC-45TextC-45Parser-location) (lambda (u--end) (vector 0 (vector 32 (vector 0 arg-0 u--start u--end) 0)))))))) (lambda () (vector 13 1 1 (vector 10 0 1 (LibrariesC-45TextC-45Parser-location) (lambda (u--start) (vector 11 0 (ParserC-45RuleC-45Source-pragma "search") (lambda () (vector 10 0 0 (LibrariesC-45TextC-45Parser-location) (lambda (u--end) (vector 0 (vector 12 (vector 0 arg-0 u--start u--end) 1000)))))))) (lambda () (vector 13 1 1 (vector 10 0 1 (LibrariesC-45TextC-45Parser-location) (lambda (u--start) (vector 9 0 (ParserC-45RuleC-45Source-name) (lambda () (lambda (u--x) (vector 10 0 0 (LibrariesC-45TextC-45Parser-location) (lambda (u--end) (vector 0 (vector 0 (vector 0 arg-0 u--start u--end) u--x))))))))) (lambda () (vector 13 1 1 (vector 10 0 1 (LibrariesC-45TextC-45Parser-location) (lambda (u--start) (vector 11 1 (ParserC-45RuleC-45Source-symbol "$") (lambda () (vector 9 0 (ParserC-45RuleC-45Source-unqualifiedName) (lambda () (lambda (u--x) (vector 10 0 0 (LibrariesC-45TextC-45Parser-location) (lambda (u--end) (vector 0 (vector 17 (vector 0 arg-0 u--start u--end) u--x))))))))))) (lambda () (vector 10 0 1 (LibrariesC-45TextC-45Parser-location) (lambda (u--start) (vector 9 0 (ParserC-45RuleC-45Source-holeName) (lambda () (lambda (u--x) (vector 10 0 0 (LibrariesC-45TextC-45Parser-location) (lambda (u--end) (vector 0 (vector 30 (vector 0 arg-0 u--start u--end) u--x)))))))))))))))))))))))))))
(define TTImpC-45Parser-as (lambda (arg-0 arg-1) (vector 10 0 1 (LibrariesC-45TextC-45Parser-location) (lambda (u--start) (vector 9 1 (csegen-3864) (lambda () (lambda (u--x) (vector 10 0 1 (LibrariesC-45TextC-45Parser-location) (lambda (u--nameEnd) (vector 11 1 (ParserC-45RuleC-45Source-symbol "@") (lambda () (vector 9 0 (TTImpC-45Parser-simpleExpr arg-0 arg-1) (lambda () (lambda (u--pat) (vector 10 0 0 (LibrariesC-45TextC-45Parser-location) (lambda (u--end) (vector 0 (vector 18 (vector 0 arg-0 u--start u--end) (vector 0 arg-0 u--start u--nameEnd) 1 u--x u--pat))))))))))))))))))
(define TTImpC-45Parser-argExpr (lambda (arg-0 arg-1) (vector 13 1 1 (vector 12 0 1 (ParserC-45RuleC-45Source-continue arg-1) (vector 9 0 (TTImpC-45Parser-simpleExpr arg-0 arg-1) (lambda () (lambda (u--arg) (vector 0 (vector 0 u--arg)))))) (lambda () (vector 12 0 1 (ParserC-45RuleC-45Source-continue arg-1) (vector 9 0 (TTImpC-45Parser-implicitArg arg-0 arg-1) (lambda () (lambda (u--arg) (vector 0 (vector 1 u--arg))))))))))
(define TTImpC-45Parser-appExpr (lambda (arg-0 arg-1) (vector 13 1 1 (TTImpC-45Parser-case_ arg-0 arg-1) (lambda () (vector 13 1 1 (TTImpC-45Parser-lazy arg-0 arg-1) (lambda () (vector 10 0 1 (LibrariesC-45TextC-45Parser-location) (lambda (u--start) (vector 9 0 (TTImpC-45Parser-simpleExpr arg-0 arg-1) (lambda () (lambda (u--f) (vector 10 0 0 (LibrariesC-45TextC-45Parser-many (TTImpC-45Parser-argExpr arg-0 arg-1)) (lambda (u--args) (vector 10 0 0 (LibrariesC-45TextC-45Parser-location) (lambda (u--end) (vector 0 (TTImpC-45Parser-n--8889-12841-u--applyExpImp arg-1 arg-0 u--start u--end u--f u--args)))))))))))))))))
(define IdrisC-45Error-case--perrorRaw-11272 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10) (let ((e-2 (car arg-10))) (let ((e-3 (cdr arg-10))) (let ((e-6 (car e-3))) (let ((e-7 (cdr e-3))) (let ((eff-0 (IdrisC-45Error-pshow e-2 arg-8 arg-7 e-6 e-7))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (IdrisC-45Error-ploc arg-6 arg-5))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-8 (vector-ref lcase-1 1))) (let ((eff-2 (let ((u--res (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (IdrisC-45Pretty-errorDesc (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "Can't find an implementation for") (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (IdrisC-45Pretty-code e-5) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-dot)))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-line)) e-8))) (let ((eff-2 (let ((eff-2 arg-8)) (PrimIO-io_bind (let ((eff-3 eff-2)) (lambda (eta-0) (set-box! eff-3 arg-9))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-3 (if (null? arg-1) (lambda (eta-0) (vector 1 u--res)) (let ((e-4 (unbox arg-1))) (let ((eff-3 (IdrisC-45Error-perrorRaw arg-8 arg-7 arg-6 e-4))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (((csegen-380) (((csegen-380) u--res) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-line))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow ((csegen-0) "Possible cause:")) e-10)))))) eff-4))))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))
(define IdrisC-45Error-case--caseC-32blockC-32inC-32perrorRawC-44order-8732 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14) (if (null? arg-14) (cons arg-10 (vector 2 )) (let ((e-1 (unbox arg-14))) (let ((e-6 (cdr e-1))) (let ((e-9 (car e-6))) (let ((e-10 (cdr e-6))) (let ((sc3 (PreludeC-45EqOrd-u--C-60_Ord_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-298) (csegen-298) arg-12 e-9))) (cond ((equal? sc3 1) (cons arg-10 arg-9)) (else (let ((sc4 (let ((sc5 (PreludeC-45EqOrd-u--C-61C-61_Eq_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-290) (csegen-290) arg-12 e-9))) (cond ((equal? sc5 1) (PreludeC-45EqOrd-u--C-60_Ord_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-298) (csegen-298) arg-13 e-10)) (else 0))))) (cond ((equal? sc4 1) (cons arg-10 arg-9)) (else (cons arg-9 arg-10))))))))))))))
(define IdrisC-45Error-case--caseC-32blockC-32inC-32caseC-32blockC-32inC-32caseC-32blockC-32inC-32caseC-32blockC-32inC-32caseC-32blockC-32inC-32caseC-32blockC-32inC-32caseC-32blockC-32inC-32ploc2-7095 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20 arg-21) (let ((e-2 (car arg-21))) (let ((e-3 (cdr arg-21))) (cond ((equal? e-2 1) (if (null? e-3) (lambda (clam-2) (vector 1 (((csegen-380) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vsep (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-emptyDoc) (cons arg-18 (IdrisC-45Error-n--12713-6531-u--addLineNumbers arg-0 arg-1 arg-2 arg-17 arg-13 (PreludeC-45Interfaces-C-60C-36C-62 (csegen-24) (csegen-905) (IdrisC-45Error-n--12713-6529-u--extractRange arg-0 arg-1 arg-2 arg-13 arg-11 arg-20))))))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-line)))) (let ((e-10 (car e-3))) (let ((e-11 (cdr e-3))) (cond ((equal? e-10 1) (cond ((equal? e-11 1) (let ((u--line (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45Pretty-fileCtxt (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-pipe)) (PreludeC-45Types-maybe (lambda () (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-emptyDoc)) (lambda () (csegen-905)) (LibrariesC-45DataC-45ListC-45Extra-elemAt arg-20 arg-13))))) (let ((u--emph (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45Pretty-fileCtxt (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-pipe)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (((csegen-380) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-spaces (blodwen-toSignedInt arg-14 63))) (IdrisC-45Pretty-error (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-863) (DataC-45String-replicate (PreludeC-45Types-prim__integerToNat (- arg-9 arg-14)) #\^)))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-spaces (blodwen-toSignedInt (PreludeC-45Types-prim__integerToNat (- arg-15 arg-9)) 63))) (IdrisC-45Pretty-error (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-863) (DataC-45String-replicate (PreludeC-45Types-prim__integerToNat (- arg-12 arg-15)) #\^))))))) (lambda (eta-0) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vsep (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-emptyDoc) (cons arg-18 (cons arg-19 (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45Pretty-fileCtxt ((csegen-3577) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-byShow (csegen-1068) (+ arg-13 1)))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-align (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vsep (cons u--line (cons u--emph '()))))) (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-emptyDoc) '()))))))))))) ((equal? e-11 0) (let ((u--line1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45Pretty-fileCtxt (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-pipe)) (PreludeC-45Types-maybe (lambda () (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-emptyDoc)) (lambda () (csegen-905)) (LibrariesC-45DataC-45ListC-45Extra-elemAt arg-20 arg-13))))) (let ((u--emph1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45Pretty-fileCtxt (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-pipe)) (((csegen-380) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-spaces (blodwen-toSignedInt arg-14 63))) (IdrisC-45Pretty-error (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-863) (DataC-45String-replicate (PreludeC-45Types-prim__integerToNat (- arg-9 arg-14)) #\^))))))) (let ((u--line2 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45Pretty-fileCtxt (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-pipe)) (PreludeC-45Types-maybe (lambda () (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-emptyDoc)) (lambda () (csegen-905)) (LibrariesC-45DataC-45ListC-45Extra-elemAt arg-20 arg-16))))) (let ((u--emph2 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45Pretty-fileCtxt (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-pipe)) (((csegen-380) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-spaces (blodwen-toSignedInt arg-15 63))) (IdrisC-45Pretty-error (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-863) (DataC-45String-replicate (PreludeC-45Types-prim__integerToNat (- arg-12 arg-15)) #\^))))))) (let ((u--numbered (let ((sc5 (or (and (= (PreludeC-45Types-prim__integerToNat (- arg-16 arg-10)) 1) 1) 0))) (cond ((equal? sc5 1) '()) (else (IdrisC-45Error-n--12713-6531-u--addLineNumbers arg-0 arg-1 arg-2 arg-17 (+ arg-13 1) (PreludeC-45Interfaces-C-60C-36C-62 (csegen-24) (csegen-905) (IdrisC-45Error-n--12713-6529-u--extractRange arg-0 arg-1 arg-2 (+ arg-13 1) arg-10 arg-20)))))))) (lambda (eta-0) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vsep (PreludeC-45TypesC-45List-tailRecAppend (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-emptyDoc) (cons arg-18 (cons arg-19 (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45Pretty-fileCtxt ((csegen-3577) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-byShow (csegen-1068) (+ arg-13 1)))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-align (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vsep (cons u--line1 (cons u--emph1 '()))))) '())))) (PreludeC-45TypesC-45List-tailRecAppend u--numbered (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45Pretty-fileCtxt ((csegen-3577) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-byShow (csegen-1068) (+ arg-16 1)))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-align (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vsep (cons u--line2 (cons u--emph2 '()))))) (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-emptyDoc) '())))))))))))))(else (lambda (clam-0) (vector 1 (((csegen-380) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vsep (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-emptyDoc) (cons arg-18 (IdrisC-45Error-n--12713-6531-u--addLineNumbers arg-0 arg-1 arg-2 arg-17 arg-13 (PreludeC-45Interfaces-C-60C-36C-62 (csegen-24) (csegen-905) (IdrisC-45Error-n--12713-6529-u--extractRange arg-0 arg-1 arg-2 arg-13 arg-11 arg-20))))))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-line))))))) ((equal? e-10 0) (let ((u--line (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45Pretty-fileCtxt (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-pipe)) (PreludeC-45Types-maybe (lambda () (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-emptyDoc)) (lambda () (csegen-905)) (LibrariesC-45DataC-45ListC-45Extra-elemAt arg-20 arg-13))))) (let ((u--emph (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45Pretty-fileCtxt (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-pipe)) (((csegen-380) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-spaces (blodwen-toSignedInt arg-14 63))) (IdrisC-45Pretty-error (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-863) (DataC-45String-replicate (PreludeC-45Types-prim__integerToNat (- arg-9 arg-14)) #\^))))))) (lambda (eta-0) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vsep (PreludeC-45TypesC-45List-tailRecAppend (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-emptyDoc) (cons arg-18 (cons arg-19 (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45Pretty-fileCtxt ((csegen-3577) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-byShow (csegen-1068) (+ arg-13 1)))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-align (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vsep (cons u--line (cons u--emph '()))))) '())))) (PreludeC-45TypesC-45List-tailRecAppend (IdrisC-45Error-n--12713-6531-u--addLineNumbers arg-0 arg-1 arg-2 arg-17 (+ arg-13 1) (PreludeC-45Interfaces-C-60C-36C-62 (csegen-24) (csegen-905) (IdrisC-45Error-n--12713-6529-u--extractRange arg-0 arg-1 arg-2 (+ arg-13 1) (PreludeC-45Types-u--max_Ord_Nat arg-10 arg-11) arg-20))) (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-emptyDoc) '())))))))))(else (lambda (clam-1) (vector 1 (((csegen-380) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vsep (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-emptyDoc) (cons arg-18 (IdrisC-45Error-n--12713-6531-u--addLineNumbers arg-0 arg-1 arg-2 arg-17 arg-13 (PreludeC-45Interfaces-C-60C-36C-62 (csegen-24) (csegen-905) (IdrisC-45Error-n--12713-6529-u--extractRange arg-0 arg-1 arg-2 arg-13 arg-11 arg-20))))))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-line)))))))))) ((equal? e-2 0) (if (null? e-3) (lambda (clam-5) (vector 1 (((csegen-380) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vsep (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-emptyDoc) (cons arg-18 (IdrisC-45Error-n--12713-6531-u--addLineNumbers arg-0 arg-1 arg-2 arg-17 arg-13 (PreludeC-45Interfaces-C-60C-36C-62 (csegen-24) (csegen-905) (IdrisC-45Error-n--12713-6529-u--extractRange arg-0 arg-1 arg-2 arg-13 arg-11 arg-20))))))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-line)))) (let ((e-14 (car e-3))) (let ((e-15 (cdr e-3))) (cond ((equal? e-14 1) (cond ((equal? e-15 1) (let ((u--line (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45Pretty-fileCtxt (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-pipe)) (PreludeC-45Types-maybe (lambda () (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-emptyDoc)) (lambda () (csegen-905)) (LibrariesC-45DataC-45ListC-45Extra-elemAt arg-20 arg-13))))) (let ((u--emph (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45Pretty-fileCtxt (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-pipe)) (((csegen-380) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-spaces (blodwen-toSignedInt arg-14 63))) (IdrisC-45Pretty-error (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-863) (DataC-45String-replicate (PreludeC-45Types-prim__integerToNat (- arg-9 arg-14)) #\^))))))) (lambda (eta-0) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vsep (PreludeC-45TypesC-45List-tailRecAppend (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-emptyDoc) (cons arg-18 (cons arg-19 (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45Pretty-fileCtxt ((csegen-3577) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-byShow (csegen-1068) (+ arg-13 1)))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-align (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vsep (cons u--line (cons u--emph '()))))) '())))) (PreludeC-45TypesC-45List-tailRecAppend (IdrisC-45Error-n--12713-6531-u--addLineNumbers arg-0 arg-1 arg-2 arg-17 (+ arg-13 1) (PreludeC-45Interfaces-C-60C-36C-62 (csegen-24) (csegen-905) (IdrisC-45Error-n--12713-6529-u--extractRange arg-0 arg-1 arg-2 (+ arg-13 1) (PreludeC-45Types-u--max_Ord_Nat arg-10 arg-11) arg-20))) (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-emptyDoc) '()))))))))) ((equal? e-15 0) (let ((u--top (IdrisC-45Error-n--12713-6531-u--addLineNumbers arg-0 arg-1 arg-2 arg-17 (+ arg-13 1) (PreludeC-45Interfaces-C-60C-36C-62 (csegen-24) (csegen-905) (IdrisC-45Error-n--12713-6529-u--extractRange arg-0 arg-1 arg-2 (+ arg-13 1) arg-10 arg-20))))) (let ((u--line (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45Pretty-fileCtxt (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-pipe)) (PreludeC-45Types-maybe (lambda () (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-emptyDoc)) (lambda () (csegen-905)) (LibrariesC-45DataC-45ListC-45Extra-elemAt arg-20 arg-13))))) (let ((u--emph (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45Pretty-fileCtxt (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-pipe)) (((csegen-380) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-spaces (blodwen-toSignedInt arg-15 63))) (IdrisC-45Pretty-error (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-863) (DataC-45String-replicate (PreludeC-45Types-prim__integerToNat (- arg-12 arg-15)) #\^))))))) (lambda (eta-0) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vsep (PreludeC-45TypesC-45List-tailRecAppend (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-emptyDoc) (cons arg-18 (cons arg-19 '()))) (PreludeC-45TypesC-45List-tailRecAppend u--top (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45Pretty-fileCtxt ((csegen-3577) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-byShow (csegen-1068) (+ arg-16 1)))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-align (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vsep (cons u--line (cons u--emph '()))))) (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-emptyDoc) '())))))))))))(else (lambda (clam-3) (vector 1 (((csegen-380) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vsep (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-emptyDoc) (cons arg-18 (IdrisC-45Error-n--12713-6531-u--addLineNumbers arg-0 arg-1 arg-2 arg-17 arg-13 (PreludeC-45Interfaces-C-60C-36C-62 (csegen-24) (csegen-905) (IdrisC-45Error-n--12713-6529-u--extractRange arg-0 arg-1 arg-2 arg-13 arg-11 arg-20))))))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-line)))))))(else (lambda (clam-4) (vector 1 (((csegen-380) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vsep (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-emptyDoc) (cons arg-18 (IdrisC-45Error-n--12713-6531-u--addLineNumbers arg-0 arg-1 arg-2 arg-17 arg-13 (PreludeC-45Interfaces-C-60C-36C-62 (csegen-24) (csegen-905) (IdrisC-45Error-n--12713-6529-u--extractRange arg-0 arg-1 arg-2 arg-13 arg-11 arg-20))))))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-line))))))))))(else (lambda (clam-6) (vector 1 (((csegen-380) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vsep (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-emptyDoc) (cons arg-18 (IdrisC-45Error-n--12713-6531-u--addLineNumbers arg-0 arg-1 arg-2 arg-17 arg-13 (PreludeC-45Interfaces-C-60C-36C-62 (csegen-24) (csegen-905) (IdrisC-45Error-n--12713-6529-u--extractRange arg-0 arg-1 arg-2 arg-13 arg-11 arg-20))))))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-line))))))))))
(define IdrisC-45Error-case--caseC-32blockC-32inC-32caseC-32blockC-32inC-32caseC-32blockC-32inC-32caseC-32blockC-32inC-32caseC-32blockC-32inC-32ploc2-6869 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15) (let ((e-2 (car arg-15))) (let ((e-3 (cdr arg-15))) (let ((sc1 (PreludeC-45Types-u--C-62_Ord_Nat e-2 (+ arg-13 5)))) (cond ((equal? sc1 1) (let ((eff-0 (IdrisC-45Error-ploc arg-2 (vector 0 arg-3 arg-4 arg-5)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (IdrisC-45Error-ploc arg-2 (vector 0 arg-6 arg-7 arg-8)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 e-5 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-line)) e-6))))) eff-2))))))))) eff-1)))))))) (else (let ((u--nsize (PreludeC-45TypesC-45String-length (PreludeC-45Show-u--show_Show_Nat (+ e-2 1))))) (let ((u--head (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-annotate (vector 3 ) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-3956) (vector 0 arg-3 arg-4 arg-8))))) (let ((u--firstRow (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-annotate (vector 3 ) (((csegen-380) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-spaces (blodwen-toSignedInt (+ u--nsize 2) 63))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-pipe))))) (let ((eff-0 (let ((eff-0 (IdrisC-45REPLC-45Opts-getCurrentElabSource arg-2))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-4 (vector-ref eta-3 1))) (vector 0 e-4))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-16) (lambda (arg-17) ((((eff-1 'erased) 'erased) arg-16) arg-17)))) (lambda (eta-0) (DataC-45String-lines eta-0)))) eff-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (IdrisC-45Error-case--caseC-32blockC-32inC-32caseC-32blockC-32inC-32caseC-32blockC-32inC-32caseC-32blockC-32inC-32caseC-32blockC-32inC-32caseC-32blockC-32inC-32caseC-32blockC-32inC-32ploc2-7095 arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-14 arg-13 e-2 e-3 arg-9 arg-10 arg-11 arg-12 u--nsize u--head u--firstRow e-5 (cons (or (and (= arg-9 arg-13) 1) 0) (cons (or (and (= arg-12 e-2) 1) 0) (or (and (= arg-9 arg-12) 1) 0)))))) eff-1)))))))))))))))))
(define IdrisC-45Error-case--caseC-32blockC-32inC-32caseC-32blockC-32inC-32ploc-6295 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (let ((e-2 (car arg-7))) (let ((e-3 (cdr arg-7))) (let ((u--nsize (PreludeC-45TypesC-45String-length (PreludeC-45Show-u--show_Show_Nat (+ e-2 1))))) (let ((u--head (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-annotate (vector 3 ) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-3956) arg-0)))) (let ((eff-0 (let ((eff-0 (IdrisC-45REPLC-45Opts-getCurrentElabSource arg-1))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-4 (vector-ref eta-3 1))) (vector 0 e-4))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-8) (lambda (arg-9) ((((eff-1 'erased) 'erased) arg-8) arg-9)))) (lambda (eta-0) (DataC-45String-lines eta-0)))) eff-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((sc2 (or (and (= arg-5 e-2) 1) 0))) (cond ((equal? sc2 1) (let ((u--emph (((csegen-380) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-spaces (blodwen-toSignedInt (+ (+ u--nsize arg-6) 4) 63))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-annotate (vector 1 ) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-863) (DataC-45String-replicate (PreludeC-45Types-prim__integerToNat (- e-3 arg-6)) #\^)))))) (let ((u--firstr (PreludeC-45Types-prim__integerToNat (- e-2 4)))) (lambda (eta-0) (vector 1 (((csegen-380) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vsep (PreludeC-45TypesC-45List-tailRecAppend (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-emptyDoc) (cons u--head '())) (PreludeC-45TypesC-45List-tailRecAppend (IdrisC-45Error-n--12261-6104-u--addLineNumbers arg-0 arg-1 u--nsize u--firstr (PreludeC-45Interfaces-C-60C-36C-62 (csegen-24) (csegen-905) (IdrisC-45Error-n--12261-6102-u--extractRange arg-0 arg-1 u--firstr e-2 e-5))) (cons u--emph '()))))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-line))))))) (else (lambda (eta-0) (vector 1 (((csegen-380) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vsep (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-emptyDoc) (cons u--head (IdrisC-45Error-n--12261-6104-u--addLineNumbers arg-0 arg-1 u--nsize arg-5 (PreludeC-45Interfaces-C-60C-36C-62 (csegen-24) (csegen-905) (IdrisC-45Error-n--12261-6102-u--extractRange arg-0 arg-1 arg-5 (PreludeC-45Types-u--min_Ord_Nat e-2 (+ arg-5 5)) e-5))))))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-line))))))))) eff-1)))))))))))))
(define IdrisC-45Error-case--ploc-6223 (lambda (arg-0 arg-1 arg-2) (if (null? arg-2) (lambda (eta-0) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-emptyDoc))) (let ((e-1 (unbox arg-2))) (let ((e-5 (car e-1))) (let ((e-6 (cdr e-1))) (let ((e-9 (car e-6))) (let ((e-10 (cdr e-6))) (let ((sc3 (PreludeC-45Interfaces-mapHom (vector (lambda (u--d) (lambda (u--b) (lambda (u--c) (lambda (u--a) (lambda (arg-9053) (lambda (arg-9060) (lambda (arg-9067) (let ((e-2 (car arg-9067))) (let ((e-3 (cdr arg-9067))) (cons (arg-9053 e-2) (arg-9060 e-3))))))))))) (lambda (u--b) (lambda (u--c) (lambda (u--a) (lambda (arg-9081) (lambda (arg-9088) (let ((e-2 (car arg-9088))) (let ((e-3 (cdr arg-9088))) (cons (arg-9081 e-2) e-3)))))))) (lambda (u--a) (lambda (u--d) (lambda (u--b) (lambda (arg-9095) (lambda (arg-9102) (let ((e-2 (car arg-9102))) (let ((e-3 (cdr arg-9102))) (cons e-2 (arg-9095 e-3)))))))))) (csegen-1646) e-9))) (let ((e-2 (car sc3))) (let ((e-3 (cdr sc3))) (IdrisC-45Error-case--caseC-32blockC-32inC-32caseC-32blockC-32inC-32ploc-6295 arg-0 arg-1 e-5 e-9 e-10 e-2 e-3 (PreludeC-45Interfaces-mapHom (vector (lambda (u--d) (lambda (u--b) (lambda (u--c) (lambda (u--a) (lambda (arg-9053) (lambda (arg-9060) (lambda (arg-9067) (let ((e-7 (car arg-9067))) (let ((e-4 (cdr arg-9067))) (cons (arg-9053 e-7) (arg-9060 e-4))))))))))) (lambda (u--b) (lambda (u--c) (lambda (u--a) (lambda (arg-9081) (lambda (arg-9088) (let ((e-7 (car arg-9088))) (let ((e-4 (cdr arg-9088))) (cons (arg-9081 e-7) e-4)))))))) (lambda (u--a) (lambda (u--d) (lambda (u--b) (lambda (arg-9095) (lambda (arg-9102) (let ((e-7 (car arg-9102))) (let ((e-4 (cdr arg-9102))) (cons e-7 (arg-9095 e-4)))))))))) (csegen-1646) e-10)))))))))))))
(define IdrisC-45Error-n--14788-11029-u--tshow (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9) (let ((e-2 (car arg-9))) (let ((e-3 (cdr arg-9))) (let ((eff-0 (IdrisC-45Error-pshow arg-7 arg-6 arg-5 arg-8 e-3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-1529) e-2) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-colon) (IdrisC-45Pretty-code e-5))))))) eff-1)))))))))))
(define IdrisC-45Error-n--14466-8230-u--pshadowing (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (let ((e-2 (car arg-5))) (let ((e-3 (cdr arg-5))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-indent 2 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-hsep (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-863) e-2) (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "is shadowing") (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-punctuate (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-comma) ((csegen-3586) (DataC-45List1-forget e-3)))))))))))
(define IdrisC-45Error-n--14788-8664-u--prettyVar (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9) (case (vector-ref arg-9 0) ((3) (let ((e-0 (vector-ref arg-9 1))) (IdrisC-45Error-n--14788-8664-u--prettyVar arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 e-0)))(else (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-1529) arg-9)))))
(define IdrisC-45Error-n--14788-9931-u--prettyRig (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 ext-0) (AlgebraC-45Semiring-elimSemi (csegen-1156) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "irrelevant") (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "linear") (lambda (eta-0) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "unrestricted")) ext-0)))
(define IdrisC-45Error-n--14788-9932-u--prettyRel (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 ext-0) (AlgebraC-45Semiring-elimSemi (csegen-1156) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "irrelevant") (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "relevant") (lambda (eta-0) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "non-linear")) ext-0)))
(define IdrisC-45Error-n--14788-11494-u--prettyHoles (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (if (null? arg-4) (lambda (eta-0) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-emptyDoc))) (let ((e-2 (car arg-4))) (let ((e-3 (cdr arg-4))) (let ((e-6 (car e-2))) (let ((e-7 (cdr e-2))) (let ((eff-0 (IdrisC-45Error-ploc arg-1 e-6))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (IdrisC-45Error-n--14788-11494-u--prettyHoles arg-0 arg-1 arg-2 arg-3 e-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-8 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45Pretty-meta (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-1529) e-7)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "introduced at:") (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 e-5 e-8))))))) eff-2))))))))) eff-1))))))))))))))
(define IdrisC-45Error-n--14788-12483-u--prettyErrors (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (if (null? arg-6) (lambda (eta-0) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-emptyDoc))) (cond ((equal? arg-5 0) (lambda (eta-0) (vector 1 (IdrisC-45Pretty-meta (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-863) (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons "... (" (cons (PreludeC-45Show-u--show_Show_Nat (PreludeC-45TypesC-45List-lengthTR arg-6)) (cons " others)" '())))))))))(else (let ((e-0 (- arg-5 1))) (let ((e-2 (car arg-6))) (let ((e-3 (cdr arg-6))) (let ((e-6 (car e-2))) (let ((e-7 (cdr e-2))) (let ((u--idx (PreludeC-45Show-u--show_Show_Nat (PreludeC-45Types-prim__integerToNat (- arg-4 e-0))))) (let ((eff-0 (IdrisC-45Error-ploc arg-1 e-6))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (IdrisC-45Error-n--14788-12483-u--prettyErrors arg-0 arg-1 arg-2 arg-3 arg-4 e-0 e-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-8 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (IdrisC-45Pretty-warning (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-863) (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons u--idx (cons ": " (cons e-7 '())))))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-line)) e-5) e-8))))) eff-2))))))))) eff-1))))))))))))))))))
(define IdrisC-45Error-n--12713-6530-u--pad (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (string-append (DataC-45String-replicate (PreludeC-45Types-prim__integerToNat (- arg-3 (PreludeC-45TypesC-45String-length arg-4))) #\0) arg-4)))
(define IdrisC-45Error-n--12261-6103-u--pad (lambda (arg-0 arg-1 arg-2 arg-3) (string-append (DataC-45String-replicate (PreludeC-45Types-prim__integerToNat (- arg-2 (PreludeC-45TypesC-45String-length arg-3))) #\0) arg-3)))
(define IdrisC-45Error-n--14788-10509-u--pAlterror (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (let ((e-2 (car arg-4))) (let ((e-3 (cdr arg-4))) (if (null? e-2) (let ((eff-0 (IdrisC-45Error-perrorRaw arg-3 arg-2 arg-1 e-3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (((csegen-380) (((csegen-380) (((csegen-380) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "Possible error")) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-colon))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-line))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-indent 4 e-5)))))) eff-1))))))) (let ((e-5 (unbox e-2))) (let ((eff-0 (CoreC-45Context-getFullName arg-3 e-5))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-aliasName arg-3 e-6))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (IdrisC-45Error-perrorRaw arg-3 arg-2 arg-1 e-3))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "If") (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (IdrisC-45Pretty-code (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-1529) e-7)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-colon)) e-8)))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))
(define IdrisC-45Error-n--14788-8665-u--order (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10) (let ((sc0 (CoreC-45FC-isNonEmptyFC arg-9))) (if (null? sc0) (cons (vector 2 ) arg-10) (let ((e-1 (unbox sc0))) (let ((e-5 (car e-1))) (let ((e-6 (cdr e-1))) (let ((e-9 (car e-6))) (let ((e-10 (cdr e-6))) (IdrisC-45Error-case--caseC-32blockC-32inC-32perrorRawC-44order-8732 arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-10 arg-9 e-5 e-9 e-10 (CoreC-45FC-isNonEmptyFC arg-10)))))))))))
(define IdrisC-45Error-n--14788-12484-u--listErrors (lambda (arg-0 arg-1 arg-2 arg-3) (let ((eff-0 (let ((eff-0 (let ((eff-0 arg-3)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-4) (lambda (arg-5) ((((eff-1 'erased) 'erased) arg-4) arg-5)))) (lambda (eta-0) (let ((e-4 (vector-ref eta-0 4))) (let ((e-39 (vector-ref e-4 2))) (let ((e-48 (vector-ref e-39 17))) e-48)))))) eff-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (IdrisC-45Error-n--14788-12483-u--prettyErrors arg-0 arg-1 arg-2 arg-3 e-5 e-5 (DataC-45List-nub (csegen-3969) (PreludeC-45TypesC-45List-reverse (DataC-45List1-forget arg-0)))))) eff-1)))))))))
(define IdrisC-45Error-n--12713-6529-u--extractRange (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (DataC-45List-take (+ (PreludeC-45Types-prim__integerToNat (- arg-4 arg-3)) 1) (DataC-45List-drop arg-3 arg-5))))
(define IdrisC-45Error-n--12261-6102-u--extractRange (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (DataC-45List-take (+ (PreludeC-45Types-prim__integerToNat (- arg-3 arg-2)) 1) (DataC-45List-drop arg-2 arg-4))))
(define IdrisC-45Error-n--14788-11176-u--dropEnv (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11) (case (vector-ref arg-11 0) ((3) (let ((e-2 (vector-ref arg-11 2))) (let ((e-3 (vector-ref arg-11 3))) (let ((e-4 (vector-ref arg-11 4))) (case (vector-ref e-3 0) ((2) (IdrisC-45Error-n--14788-11176-u--dropEnv arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (cons e-2 arg-9) (cons e-3 arg-10) e-4)) ((1) (IdrisC-45Error-n--14788-11176-u--dropEnv arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (cons e-2 arg-9) (cons e-3 arg-10) e-4))(else (cons arg-9 (cons arg-10 arg-11))))))))(else (cons arg-9 (cons arg-10 arg-11))))))
(define IdrisC-45Error-n--14788-10510-u--allUndefined (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (if (null? arg-4) '() (let ((e-2 (car arg-4))) (let ((e-3 (cdr arg-4))) (if (null? e-2) '() (let ((e-7 (cdr e-2))) (case (vector-ref e-7 0) ((7) (if (null? e-3) (box e-7) (IdrisC-45Error-n--14788-10510-u--allUndefined arg-0 arg-1 arg-2 arg-3 e-3)))(else '())))))))))
(define IdrisC-45Error-n--12713-6531-u--addLineNumbers (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (Builtin-snd (PreludeC-45Types-u--foldl_Foldable_List (lambda (lamc-0) (lambda (clam-0) (let ((e-2 (car lamc-0))) (let ((e-3 (cdr lamc-0))) (cons (+ e-2 1) (DataC-45List-snoc e-3 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 ((csegen-3577) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-annotate (vector 3 ) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-863) (IdrisC-45Error-n--12713-6530-u--pad arg-0 arg-1 arg-2 arg-3 (PreludeC-45Show-u--show_Show_Nat (+ e-2 1)))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-pipe)))) clam-0))))))) (cons arg-4 '()) arg-5))))
(define IdrisC-45Error-n--12261-6104-u--addLineNumbers (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (Builtin-snd (PreludeC-45Types-u--foldl_Foldable_List (lambda (lamc-0) (lambda (clam-0) (let ((e-2 (car lamc-0))) (let ((e-3 (cdr lamc-0))) (cons (+ e-2 1) (DataC-45List-snoc e-3 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 ((csegen-3577) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-annotate (vector 3 ) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-863) (IdrisC-45Error-n--12261-6103-u--pad arg-0 arg-1 arg-2 (PreludeC-45Show-u--show_Show_Nat (+ e-2 1)))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-pipe)))) clam-0))))))) (cons arg-3 '()) arg-4))))
(define IdrisC-45Error-u--C-61C-61_Eq_Warning (lambda (arg-0 arg-1) (case (vector-ref arg-0 0) ((0) (let ((e-0 (vector-ref arg-0 1))) (let ((e-1 (vector-ref arg-0 2))) (case (vector-ref arg-1 0) ((0) (let ((e-11 (vector-ref arg-1 1))) (let ((e-12 (vector-ref arg-1 2))) (let ((sc2 (CoreC-45FC-u--C-61C-61_Eq_FC e-0 e-11))) (cond ((equal? sc2 1) (PreludeC-45EqOrd-u--C-61C-61_Eq_String e-1 e-12)) (else 0))))))(else 0))))) ((1) (let ((e-3 (vector-ref arg-0 2))) (case (vector-ref arg-1 0) ((1) (let ((e-14 (vector-ref arg-1 2))) (CoreC-45FC-u--C-61C-61_Eq_FC e-3 e-14)))(else 0)))) ((2) (let ((e-6 (vector-ref arg-0 1))) (let ((e-7 (vector-ref arg-0 2))) (case (vector-ref arg-1 0) ((2) (let ((e-17 (vector-ref arg-1 1))) (let ((e-18 (vector-ref arg-1 2))) (let ((sc2 (CoreC-45FC-u--C-61C-61_Eq_FC e-6 e-17))) (cond ((equal? sc2 1) (DataC-45List1-u--C-61C-61_Eq_C-40List1C-32C-36aC-41 (cons (lambda (arg-528) (lambda (arg-531) (PreludeC-45EqOrd-u--C-61C-61_Eq_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-43) (csegen-3972) arg-528 arg-531))) (lambda (arg-538) (lambda (arg-541) (PreludeC-45EqOrd-u--C-47C-61_Eq_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-43) (csegen-3972) arg-538 arg-541)))) e-7 e-18)) (else 0))))))(else 0))))) ((4) (let ((e-8 (vector-ref arg-0 1))) (let ((e-9 (vector-ref arg-0 2))) (case (vector-ref arg-1 0) ((4) (let ((e-19 (vector-ref arg-1 1))) (let ((e-20 (vector-ref arg-1 2))) (let ((sc2 (PreludeC-45EqOrd-u--C-61C-61_Eq_String e-8 e-19))) (cond ((equal? sc2 1) (PreludeC-45Types-u--C-61C-61_Eq_C-40MaybeC-32C-36aC-41 (csegen-3978) e-9 e-20)) (else 0))))))(else 0))))) ((5) (let ((e-10 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((5) (let ((e-21 (vector-ref arg-1 1))) (PreludeC-45EqOrd-u--C-61C-61_Eq_String e-10 e-21)))(else 0))))(else 0))))
(define IdrisC-45Error-u--C-61C-61_Eq_TTCErrorMsg (lambda (arg-0 arg-1) (case (vector-ref arg-0 0) ((0) (let ((e-0 (vector-ref arg-0 1))) (let ((e-1 (vector-ref arg-0 2))) (let ((e-2 (vector-ref arg-0 3))) (case (vector-ref arg-1 0) ((0) (let ((e-5 (vector-ref arg-1 1))) (let ((e-6 (vector-ref arg-1 2))) (let ((e-7 (vector-ref arg-1 3))) (let ((sc2 (PreludeC-45EqOrd-u--C-61C-61_Eq_String e-0 e-5))) (cond ((equal? sc2 1) (let ((sc3 (PreludeC-45EqOrd-u--C-61C-61_Eq_Int e-1 e-6))) (cond ((equal? sc3 1) (PreludeC-45EqOrd-u--C-61C-61_Eq_Int e-2 e-7)) (else 0)))) (else 0)))))))(else 0)))))) ((1) (let ((e-3 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((1) (let ((e-8 (vector-ref arg-1 1))) (PreludeC-45EqOrd-u--C-61C-61_Eq_String e-3 e-8)))(else 0)))) ((2) (let ((e-4 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((2) (let ((e-9 (vector-ref arg-1 1))) (PreludeC-45EqOrd-u--C-61C-61_Eq_String e-4 e-9)))(else 0))))(else 0))))
(define IdrisC-45Error-u--C-61C-61_Eq_FileError (lambda (arg-0 arg-1) (case (vector-ref arg-0 0) ((0) (let ((e-0 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((0) (let ((e-1 (vector-ref arg-1 1))) (PreludeC-45EqOrd-u--C-61C-61_Eq_Int e-0 e-1)))(else 0)))) ((1) (case (vector-ref arg-1 0) ((1) 1)(else 0))) ((2) (case (vector-ref arg-1 0) ((2) 1)(else 0))) ((3) (case (vector-ref arg-1 0) ((3) 1)(else 0))) ((4) (case (vector-ref arg-1 0) ((4) 1)(else 0))) ((5) (case (vector-ref arg-1 0) ((5) 1)(else 0)))(else 0))))
(define IdrisC-45Error-u--C-61C-61_Eq_Error (lambda (arg-0 arg-1) (case (vector-ref arg-0 0) ((0) (let ((e-0 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((0) (let ((e-218 (vector-ref arg-1 1))) (IdrisC-45Error-u--C-61C-61_Eq_Error e-0 e-218)))(else 0)))) ((1) (let ((e-2 (vector-ref arg-0 2))) (case (vector-ref arg-1 0) ((1) (let ((e-220 (vector-ref arg-1 2))) (CoreC-45FC-u--C-61C-61_Eq_FC e-2 e-220)))(else 0)))) ((2) (let ((e-8 (vector-ref arg-0 2))) (case (vector-ref arg-1 0) ((2) (let ((e-226 (vector-ref arg-1 2))) (CoreC-45FC-u--C-61C-61_Eq_FC e-8 e-226)))(else 0)))) ((3) (let ((e-14 (vector-ref arg-0 2))) (let ((e-15 (vector-ref arg-0 3))) (let ((e-17 (vector-ref arg-0 5))) (case (vector-ref arg-1 0) ((3) (let ((e-232 (vector-ref arg-1 2))) (let ((e-233 (vector-ref arg-1 3))) (let ((e-235 (vector-ref arg-1 5))) (let ((sc2 (CoreC-45FC-u--C-61C-61_Eq_FC e-14 e-232))) (cond ((equal? sc2 1) (let ((sc3 (CoreC-45FC-u--C-61C-61_Eq_FC e-15 e-233))) (cond ((equal? sc3 1) (CoreC-45Name-u--C-61C-61_Eq_Name e-17 e-235)) (else 0)))) (else 0)))))))(else 0)))))) ((4) (let ((e-20 (vector-ref arg-0 2))) (let ((e-22 (vector-ref arg-0 4))) (case (vector-ref arg-1 0) ((4) (let ((e-238 (vector-ref arg-1 2))) (let ((e-240 (vector-ref arg-1 4))) (let ((sc2 (CoreC-45FC-u--C-61C-61_Eq_FC e-20 e-238))) (cond ((equal? sc2 1) (CoreC-45Name-u--C-61C-61_Eq_Name e-22 e-240)) (else 0))))))(else 0))))) ((5) (let ((e-25 (vector-ref arg-0 2))) (let ((e-30 (vector-ref arg-0 7))) (case (vector-ref arg-1 0) ((5) (let ((e-243 (vector-ref arg-1 2))) (let ((e-248 (vector-ref arg-1 7))) (let ((sc2 (CoreC-45FC-u--C-61C-61_Eq_FC e-25 e-243))) (cond ((equal? sc2 1) (IdrisC-45Error-u--C-61C-61_Eq_Error e-30 e-248)) (else 0))))))(else 0))))) ((6) (let ((e-32 (vector-ref arg-0 2))) (case (vector-ref arg-1 0) ((6) (let ((e-250 (vector-ref arg-1 2))) (CoreC-45FC-u--C-61C-61_Eq_FC e-32 e-250)))(else 0)))) ((7) (let ((e-35 (vector-ref arg-0 1))) (let ((e-36 (vector-ref arg-0 2))) (case (vector-ref arg-1 0) ((7) (let ((e-253 (vector-ref arg-1 1))) (let ((e-254 (vector-ref arg-1 2))) (let ((sc2 (CoreC-45FC-u--C-61C-61_Eq_FC e-35 e-253))) (cond ((equal? sc2 1) (CoreC-45Name-u--C-61C-61_Eq_Name e-36 e-254)) (else 0))))))(else 0))))) ((8) (let ((e-37 (vector-ref arg-0 1))) (let ((e-38 (vector-ref arg-0 2))) (let ((e-39 (vector-ref arg-0 3))) (case (vector-ref arg-1 0) ((8) (let ((e-255 (vector-ref arg-1 1))) (let ((e-256 (vector-ref arg-1 2))) (let ((e-257 (vector-ref arg-1 3))) (let ((sc2 (CoreC-45FC-u--C-61C-61_Eq_FC e-37 e-255))) (cond ((equal? sc2 1) (let ((sc3 (CoreC-45Name-u--C-61C-61_Eq_Name e-38 e-256))) (cond ((equal? sc3 1) (PreludeC-45Types-u--C-61C-61_Eq_C-40MaybeC-32C-36aC-41 (csegen-2647) e-39 e-257)) (else 0)))) (else 0)))))))(else 0)))))) ((9) (let ((e-40 (vector-ref arg-0 1))) (let ((e-41 (vector-ref arg-0 2))) (case (vector-ref arg-1 0) ((9) (let ((e-258 (vector-ref arg-1 1))) (let ((e-259 (vector-ref arg-1 2))) (let ((sc2 (CoreC-45FC-u--C-61C-61_Eq_FC e-40 e-258))) (cond ((equal? sc2 1) (CoreC-45Name-u--C-61C-61_Eq_Name e-41 e-259)) (else 0))))))(else 0))))) ((10) (let ((e-42 (vector-ref arg-0 1))) (let ((e-43 (vector-ref arg-0 2))) (let ((e-44 (vector-ref arg-0 3))) (case (vector-ref arg-1 0) ((10) (let ((e-260 (vector-ref arg-1 1))) (let ((e-261 (vector-ref arg-1 2))) (let ((e-262 (vector-ref arg-1 3))) (let ((sc2 (CoreC-45FC-u--C-61C-61_Eq_FC e-42 e-260))) (cond ((equal? sc2 1) (let ((sc3 (CoreC-45Name-u--C-61C-61_Eq_Name e-43 e-261))) (cond ((equal? sc3 1) (CoreC-45Name-u--C-61C-61_Eq_Name e-44 e-262)) (else 0)))) (else 0)))))))(else 0)))))) ((11) (let ((e-45 (vector-ref arg-0 1))) (let ((e-46 (vector-ref arg-0 2))) (case (vector-ref arg-1 0) ((11) (let ((e-263 (vector-ref arg-1 1))) (let ((e-264 (vector-ref arg-1 2))) (let ((sc2 (CoreC-45FC-u--C-61C-61_Eq_FC e-45 e-263))) (cond ((equal? sc2 1) (CoreC-45Name-u--C-61C-61_Eq_Name e-46 e-264)) (else 0))))))(else 0))))) ((12) (let ((e-48 (vector-ref arg-0 1))) (let ((e-49 (vector-ref arg-0 2))) (case (vector-ref arg-1 0) ((12) (let ((e-266 (vector-ref arg-1 1))) (let ((e-267 (vector-ref arg-1 2))) (let ((sc2 (CoreC-45FC-u--C-61C-61_Eq_FC e-48 e-266))) (cond ((equal? sc2 1) (CoreC-45Name-u--C-61C-61_Eq_Name e-49 e-267)) (else 0))))))(else 0))))) ((13) (let ((e-51 (vector-ref arg-0 1))) (let ((e-52 (vector-ref arg-0 2))) (let ((e-53 (vector-ref arg-0 3))) (case (vector-ref arg-1 0) ((13) (let ((e-269 (vector-ref arg-1 1))) (let ((e-270 (vector-ref arg-1 2))) (let ((e-271 (vector-ref arg-1 3))) (let ((sc2 (CoreC-45FC-u--C-61C-61_Eq_FC e-51 e-269))) (cond ((equal? sc2 1) (let ((sc3 (or (and (= e-52 e-270) 1) 0))) (cond ((equal? sc3 1) (CoreC-45Name-u--C-61C-61_Eq_Name e-53 e-271)) (else 0)))) (else 0)))))))(else 0)))))) ((14) (let ((e-54 (vector-ref arg-0 1))) (let ((e-55 (vector-ref arg-0 2))) (let ((e-56 (vector-ref arg-0 3))) (let ((e-57 (vector-ref arg-0 4))) (case (vector-ref arg-1 0) ((14) (let ((e-272 (vector-ref arg-1 1))) (let ((e-273 (vector-ref arg-1 2))) (let ((e-274 (vector-ref arg-1 3))) (let ((e-275 (vector-ref arg-1 4))) (let ((sc2 (CoreC-45FC-u--C-61C-61_Eq_FC e-54 e-272))) (cond ((equal? sc2 1) (let ((sc3 (CoreC-45Name-u--C-61C-61_Eq_Name e-55 e-273))) (cond ((equal? sc3 1) (let ((sc4 (AlgebraC-45ZeroOneOmega-u--C-61C-61_Eq_ZeroOneOmega e-56 e-274))) (cond ((equal? sc4 1) (AlgebraC-45ZeroOneOmega-u--C-61C-61_Eq_ZeroOneOmega e-57 e-275)) (else 0)))) (else 0)))) (else 0))))))))(else 0))))))) ((15) (let ((e-59 (vector-ref arg-0 2))) (case (vector-ref arg-1 0) ((15) (let ((e-277 (vector-ref arg-1 2))) (CoreC-45FC-u--C-61C-61_Eq_FC e-59 e-277)))(else 0)))) ((16) (let ((e-64 (vector-ref arg-0 2))) (case (vector-ref arg-1 0) ((16) (let ((e-282 (vector-ref arg-1 2))) (CoreC-45FC-u--C-61C-61_Eq_FC e-64 e-282)))(else 0)))) ((17) (let ((e-67 (vector-ref arg-0 1))) (let ((e-68 (vector-ref arg-0 2))) (case (vector-ref arg-1 0) ((17) (let ((e-285 (vector-ref arg-1 1))) (let ((e-286 (vector-ref arg-1 2))) (let ((sc2 (CoreC-45FC-u--C-61C-61_Eq_FC e-67 e-285))) (cond ((equal? sc2 1) (PreludeC-45Types-u--C-61C-61_Eq_C-40ListC-32C-36aC-41 (csegen-1008) e-68 e-286)) (else 0))))))(else 0))))) ((18) (let ((e-70 (vector-ref arg-0 2))) (case (vector-ref arg-1 0) ((18) (let ((e-288 (vector-ref arg-1 2))) (CoreC-45FC-u--C-61C-61_Eq_FC e-70 e-288)))(else 0)))) ((19) (let ((e-74 (vector-ref arg-0 2))) (case (vector-ref arg-1 0) ((19) (let ((e-292 (vector-ref arg-1 2))) (CoreC-45FC-u--C-61C-61_Eq_FC e-74 e-292)))(else 0)))) ((20) (let ((e-78 (vector-ref arg-0 1))) (let ((e-79 (vector-ref arg-0 2))) (let ((e-80 (vector-ref arg-0 3))) (case (vector-ref arg-1 0) ((20) (let ((e-296 (vector-ref arg-1 1))) (let ((e-297 (vector-ref arg-1 2))) (let ((e-298 (vector-ref arg-1 3))) (let ((sc2 (CoreC-45FC-u--C-61C-61_Eq_FC e-78 e-296))) (cond ((equal? sc2 1) (let ((sc3 (CoreC-45Name-u--C-61C-61_Eq_Name e-79 e-297))) (cond ((equal? sc3 1) (PreludeC-45Types-u--C-61C-61_Eq_C-40ListC-32C-36aC-41 (csegen-1008) e-80 e-298)) (else 0)))) (else 0)))))))(else 0)))))) ((21) (let ((e-81 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((21) (let ((e-299 (vector-ref arg-1 1))) (PreludeC-45Types-u--C-61C-61_Eq_C-40ListC-32C-36aC-41 (cons (lambda (arg-528) (lambda (arg-531) (PreludeC-45EqOrd-u--C-61C-61_Eq_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-1028) (csegen-2801) arg-528 arg-531))) (lambda (arg-538) (lambda (arg-541) (PreludeC-45EqOrd-u--C-47C-61_Eq_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-1028) (csegen-2801) arg-538 arg-541)))) e-81 e-299)))(else 0)))) ((22) (let ((e-83 (vector-ref arg-0 2))) (case (vector-ref arg-1 0) ((22) (let ((e-301 (vector-ref arg-1 2))) (CoreC-45FC-u--C-61C-61_Eq_FC e-83 e-301)))(else 0)))) ((23) (let ((e-85 (vector-ref arg-0 1))) (let ((e-86 (vector-ref arg-0 2))) (case (vector-ref arg-1 0) ((23) (let ((e-303 (vector-ref arg-1 1))) (let ((e-304 (vector-ref arg-1 2))) (let ((sc2 (CoreC-45FC-u--C-61C-61_Eq_FC e-85 e-303))) (cond ((equal? sc2 1) (PreludeC-45Types-u--C-61C-61_Eq_C-40ListC-32C-36aC-41 (csegen-3261) e-86 e-304)) (else 0))))))(else 0))))) ((24) (let ((e-87 (vector-ref arg-0 1))) (let ((e-88 (vector-ref arg-0 2))) (let ((e-89 (vector-ref arg-0 3))) (case (vector-ref arg-1 0) ((24) (let ((e-305 (vector-ref arg-1 1))) (let ((e-306 (vector-ref arg-1 2))) (let ((e-307 (vector-ref arg-1 3))) (let ((sc2 (CoreC-45FC-u--C-61C-61_Eq_FC e-87 e-305))) (cond ((equal? sc2 1) (let ((sc3 (PreludeC-45EqOrd-u--C-61C-61_Eq_String e-88 e-306))) (cond ((equal? sc3 1) (PreludeC-45Types-u--C-61C-61_Eq_C-40MaybeC-32C-36aC-41 (csegen-1008) e-89 e-307)) (else 0)))) (else 0)))))))(else 0)))))) ((25) (let ((e-90 (vector-ref arg-0 1))) (let ((e-91 (vector-ref arg-0 2))) (case (vector-ref arg-1 0) ((25) (let ((e-308 (vector-ref arg-1 1))) (let ((e-309 (vector-ref arg-1 2))) (let ((sc2 (CoreC-45FC-u--C-61C-61_Eq_FC e-90 e-308))) (cond ((equal? sc2 1) (CoreC-45Name-u--C-61C-61_Eq_Name e-91 e-309)) (else 0))))))(else 0))))) ((26) (let ((e-92 (vector-ref arg-0 1))) (let ((e-93 (vector-ref arg-0 2))) (case (vector-ref arg-1 0) ((26) (let ((e-310 (vector-ref arg-1 1))) (let ((e-311 (vector-ref arg-1 2))) (let ((sc2 (CoreC-45FC-u--C-61C-61_Eq_FC e-92 e-310))) (cond ((equal? sc2 1) (PreludeC-45Types-u--C-61C-61_Eq_C-40ListC-32C-36aC-41 (csegen-43) e-93 e-311)) (else 0))))))(else 0))))) ((27) (let ((e-95 (vector-ref arg-0 2))) (case (vector-ref arg-1 0) ((27) (let ((e-313 (vector-ref arg-1 2))) (CoreC-45FC-u--C-61C-61_Eq_FC e-95 e-313)))(else 0)))) ((28) (let ((e-100 (vector-ref arg-0 2))) (case (vector-ref arg-1 0) ((28) (let ((e-318 (vector-ref arg-1 2))) (CoreC-45FC-u--C-61C-61_Eq_FC e-100 e-318)))(else 0)))) ((29) (let ((e-104 (vector-ref arg-0 2))) (let ((e-106 (vector-ref arg-0 4))) (case (vector-ref arg-1 0) ((29) (let ((e-322 (vector-ref arg-1 2))) (let ((e-324 (vector-ref arg-1 4))) (let ((sc2 (CoreC-45FC-u--C-61C-61_Eq_FC e-104 e-322))) (cond ((equal? sc2 1) (CoreC-45Name-u--C-61C-61_Eq_Name e-106 e-324)) (else 0))))))(else 0))))) ((30) (let ((e-109 (vector-ref arg-0 2))) (case (vector-ref arg-1 0) ((30) (let ((e-327 (vector-ref arg-1 2))) (CoreC-45FC-u--C-61C-61_Eq_FC e-109 e-327)))(else 0)))) ((31) (let ((e-115 (vector-ref arg-0 2))) (let ((e-116 (vector-ref arg-0 3))) (let ((e-117 (vector-ref arg-0 4))) (case (vector-ref arg-1 0) ((31) (let ((e-333 (vector-ref arg-1 2))) (let ((e-334 (vector-ref arg-1 3))) (let ((e-335 (vector-ref arg-1 4))) (let ((sc2 (CoreC-45FC-u--C-61C-61_Eq_FC e-115 e-333))) (cond ((equal? sc2 1) (let ((sc3 (CoreC-45Name-u--C-61C-61_Eq_Name e-116 e-334))) (cond ((equal? sc3 1) (PreludeC-45EqOrd-u--C-61C-61_Eq_Int e-117 e-335)) (else 0)))) (else 0)))))))(else 0)))))) ((32) (let ((e-120 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((32) (let ((e-338 (vector-ref arg-1 1))) (PreludeC-45Types-u--C-61C-61_Eq_C-40ListC-32C-36aC-41 (csegen-3978) e-120 e-338)))(else 0)))) ((33) (let ((e-122 (vector-ref arg-0 2))) (let ((e-124 (vector-ref arg-0 4))) (let ((e-125 (vector-ref arg-0 5))) (case (vector-ref arg-1 0) ((33) (let ((e-340 (vector-ref arg-1 2))) (let ((e-342 (vector-ref arg-1 4))) (let ((e-343 (vector-ref arg-1 5))) (let ((sc2 (CoreC-45FC-u--C-61C-61_Eq_FC e-122 e-340))) (cond ((equal? sc2 1) (let ((sc3 (CoreC-45Name-u--C-61C-61_Eq_Name e-124 e-342))) (cond ((equal? sc3 1) (CoreC-45Name-u--C-61C-61_Eq_Name e-125 e-343)) (else 0)))) (else 0)))))))(else 0)))))) ((34) (let ((e-128 (vector-ref arg-0 2))) (let ((e-130 (vector-ref arg-0 4))) (case (vector-ref arg-1 0) ((34) (let ((e-346 (vector-ref arg-1 2))) (let ((e-348 (vector-ref arg-1 4))) (let ((sc2 (CoreC-45FC-u--C-61C-61_Eq_FC e-128 e-346))) (cond ((equal? sc2 1) (CoreC-45Name-u--C-61C-61_Eq_Name e-130 e-348)) (else 0))))))(else 0))))) ((35) (let ((e-132 (vector-ref arg-0 1))) (let ((e-133 (vector-ref arg-0 2))) (let ((e-134 (vector-ref arg-0 3))) (let ((e-135 (vector-ref arg-0 4))) (let ((e-136 (vector-ref arg-0 5))) (case (vector-ref arg-1 0) ((35) (let ((e-350 (vector-ref arg-1 1))) (let ((e-351 (vector-ref arg-1 2))) (let ((e-352 (vector-ref arg-1 3))) (let ((e-353 (vector-ref arg-1 4))) (let ((e-354 (vector-ref arg-1 5))) (let ((sc2 (CoreC-45FC-u--C-61C-61_Eq_FC e-132 e-350))) (cond ((equal? sc2 1) (let ((sc3 (CoreC-45TT-u--C-61C-61_Eq_Visibility e-133 e-351))) (cond ((equal? sc3 1) (let ((sc4 (CoreC-45Name-u--C-61C-61_Eq_Name e-134 e-352))) (cond ((equal? sc4 1) (let ((sc5 (CoreC-45TT-u--C-61C-61_Eq_Visibility e-135 e-353))) (cond ((equal? sc5 1) (CoreC-45Name-u--C-61C-61_Eq_Name e-136 e-354)) (else 0)))) (else 0)))) (else 0)))) (else 0)))))))))(else 0)))))))) ((36) (let ((e-137 (vector-ref arg-0 1))) (let ((e-138 (vector-ref arg-0 2))) (case (vector-ref arg-1 0) ((36) (let ((e-355 (vector-ref arg-1 1))) (let ((e-356 (vector-ref arg-1 2))) (let ((sc2 (CoreC-45FC-u--C-61C-61_Eq_FC e-137 e-355))) (cond ((equal? sc2 1) (CoreC-45Name-u--C-61C-61_Eq_Name e-138 e-356)) (else 0))))))(else 0))))) ((37) (let ((e-139 (vector-ref arg-0 1))) (let ((e-140 (vector-ref arg-0 2))) (case (vector-ref arg-1 0) ((37) (let ((e-357 (vector-ref arg-1 1))) (let ((e-358 (vector-ref arg-1 2))) (let ((sc2 (CoreC-45FC-u--C-61C-61_Eq_FC e-139 e-357))) (cond ((equal? sc2 1) (CoreC-45Name-u--C-61C-61_Eq_Name e-140 e-358)) (else 0))))))(else 0))))) ((38) (let ((e-141 (vector-ref arg-0 1))) (let ((e-142 (vector-ref arg-0 2))) (case (vector-ref arg-1 0) ((38) (let ((e-359 (vector-ref arg-1 1))) (let ((e-360 (vector-ref arg-1 2))) (let ((sc2 (CoreC-45FC-u--C-61C-61_Eq_FC e-141 e-359))) (cond ((equal? sc2 1) (CoreC-45Name-u--C-61C-61_Eq_Name e-142 e-360)) (else 0))))))(else 0))))) ((39) (let ((e-143 (vector-ref arg-0 1))) (let ((e-144 (vector-ref arg-0 2))) (case (vector-ref arg-1 0) ((39) (let ((e-361 (vector-ref arg-1 1))) (let ((e-362 (vector-ref arg-1 2))) (let ((sc2 (CoreC-45FC-u--C-61C-61_Eq_FC e-143 e-361))) (cond ((equal? sc2 1) (CoreC-45Name-u--C-61C-61_Eq_Name e-144 e-362)) (else 0))))))(else 0))))) ((40) (let ((e-146 (vector-ref arg-0 2))) (case (vector-ref arg-1 0) ((40) (let ((e-364 (vector-ref arg-1 2))) (CoreC-45FC-u--C-61C-61_Eq_FC e-146 e-364)))(else 0)))) ((41) (let ((e-150 (vector-ref arg-0 2))) (case (vector-ref arg-1 0) ((41) (let ((e-368 (vector-ref arg-1 2))) (CoreC-45FC-u--C-61C-61_Eq_FC e-150 e-368)))(else 0)))) ((42) (let ((e-155 (vector-ref arg-0 2))) (case (vector-ref arg-1 0) ((42) (let ((e-373 (vector-ref arg-1 2))) (CoreC-45FC-u--C-61C-61_Eq_FC e-155 e-373)))(else 0)))) ((43) (let ((e-158 (vector-ref arg-0 1))) (let ((e-159 (vector-ref arg-0 2))) (case (vector-ref arg-1 0) ((43) (let ((e-376 (vector-ref arg-1 1))) (let ((e-377 (vector-ref arg-1 2))) (let ((sc2 (CoreC-45FC-u--C-61C-61_Eq_FC e-158 e-376))) (cond ((equal? sc2 1) (CoreC-45Name-u--C-61C-61_Eq_Name e-159 e-377)) (else 0))))))(else 0))))) ((44) (let ((e-162 (vector-ref arg-0 2))) (case (vector-ref arg-1 0) ((44) (let ((e-380 (vector-ref arg-1 2))) (CoreC-45FC-u--C-61C-61_Eq_FC e-162 e-380)))(else 0)))) ((45) (let ((e-166 (vector-ref arg-0 2))) (case (vector-ref arg-1 0) ((45) (let ((e-384 (vector-ref arg-1 2))) (CoreC-45FC-u--C-61C-61_Eq_FC e-166 e-384)))(else 0)))) ((46) (let ((e-171 (vector-ref arg-0 1))) (let ((e-172 (vector-ref arg-0 2))) (case (vector-ref arg-1 0) ((46) (let ((e-389 (vector-ref arg-1 1))) (let ((e-390 (vector-ref arg-1 2))) (let ((sc2 (CoreC-45FC-u--C-61C-61_Eq_FC e-171 e-389))) (cond ((equal? sc2 1) (PreludeC-45EqOrd-u--C-61C-61_Eq_String e-172 e-390)) (else 0))))))(else 0))))) ((47) (let ((e-174 (vector-ref arg-0 2))) (let ((e-177 (vector-ref arg-0 5))) (case (vector-ref arg-1 0) ((47) (let ((e-392 (vector-ref arg-1 2))) (let ((e-395 (vector-ref arg-1 5))) (let ((sc2 (CoreC-45FC-u--C-61C-61_Eq_FC e-174 e-392))) (cond ((equal? sc2 1) (PreludeC-45EqOrd-u--C-61C-61_Eq_String e-177 e-395)) (else 0))))))(else 0))))) ((48) (let ((e-178 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((48) (let ((e-396 (vector-ref arg-1 1))) (IdrisC-45Error-u--C-61C-61_Eq_Error e-178 e-396)))(else 0)))) ((49) (let ((e-179 (vector-ref arg-0 1))) (let ((e-180 (vector-ref arg-0 2))) (case (vector-ref arg-1 0) ((49) (let ((e-397 (vector-ref arg-1 1))) (let ((e-398 (vector-ref arg-1 2))) (let ((sc2 (CoreC-45FC-u--C-61C-61_Eq_FC e-179 e-397))) (cond ((equal? sc2 1) (PreludeC-45EqOrd-u--C-61C-61_Eq_String e-180 e-398)) (else 0))))))(else 0))))) ((50) (let ((e-181 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((50) (let ((e-399 (vector-ref arg-1 1))) (IdrisC-45Error-u--C-61C-61_Eq_TTCErrorMsg e-181 e-399)))(else 0)))) ((51) (let ((e-182 (vector-ref arg-0 1))) (let ((e-183 (vector-ref arg-0 2))) (case (vector-ref arg-1 0) ((51) (let ((e-400 (vector-ref arg-1 1))) (let ((e-401 (vector-ref arg-1 2))) (let ((sc2 (PreludeC-45EqOrd-u--C-61C-61_Eq_String e-182 e-400))) (cond ((equal? sc2 1) (IdrisC-45Error-u--C-61C-61_Eq_FileError e-183 e-401)) (else 0))))))(else 0))))) ((52) (let ((e-184 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((52) (let ((e-402 (vector-ref arg-1 1))) (PreludeC-45EqOrd-u--C-61C-61_Eq_String e-184 e-402)))(else 0)))) ((53) (let ((e-185 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((53) (let ((e-403 (vector-ref arg-1 1))) (CoreC-45FC-u--C-61C-61_Eq_FC e-185 e-403)))(else 0)))) ((54) (let ((e-186 (vector-ref arg-0 1))) (let ((e-187 (vector-ref arg-0 2))) (case (vector-ref arg-1 0) ((54) (let ((e-404 (vector-ref arg-1 1))) (let ((e-405 (vector-ref arg-1 2))) (let ((sc2 (CoreC-45FC-u--C-61C-61_Eq_FC e-186 e-404))) (cond ((equal? sc2 1) (PreludeC-45EqOrd-u--C-61C-61_Eq_String e-187 e-405)) (else 0))))))(else 0))))) ((55) (let ((e-188 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((55) (let ((e-406 (vector-ref arg-1 1))) (DataC-45List1-u--C-61C-61_Eq_C-40List1C-32C-36aC-41 (csegen-3969) e-188 e-406)))(else 0)))) ((56) (let ((e-189 (vector-ref arg-0 1))) (let ((e-190 (vector-ref arg-0 2))) (case (vector-ref arg-1 0) ((56) (let ((e-407 (vector-ref arg-1 1))) (let ((e-408 (vector-ref arg-1 2))) (let ((sc2 (CoreC-45FC-u--C-61C-61_Eq_FC e-189 e-407))) (cond ((equal? sc2 1) (CoreC-45NameC-45Namespace-u--C-61C-61_Eq_ModuleIdent e-190 e-408)) (else 0))))))(else 0))))) ((57) (let ((e-191 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((57) (let ((e-409 (vector-ref arg-1 1))) (PreludeC-45Types-u--C-61C-61_Eq_C-40ListC-32C-36aC-41 (csegen-353) e-191 e-409)))(else 0)))) ((58) (case (vector-ref arg-1 0) ((58) 1)(else 0))) ((59) (let ((e-192 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((59) (let ((e-410 (vector-ref arg-1 1))) (PreludeC-45EqOrd-u--C-61C-61_Eq_String e-192 e-410)))(else 0)))) ((60) (let ((e-193 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((60) (let ((e-411 (vector-ref arg-1 1))) (PreludeC-45EqOrd-u--C-61C-61_Eq_String e-193 e-411)))(else 0)))) ((61) (let ((e-194 (vector-ref arg-0 1))) (let ((e-195 (vector-ref arg-0 2))) (case (vector-ref arg-1 0) ((61) (let ((e-412 (vector-ref arg-1 1))) (let ((e-413 (vector-ref arg-1 2))) (let ((sc2 (CoreC-45FC-u--C-61C-61_Eq_FC e-194 e-412))) (cond ((equal? sc2 1) (PreludeC-45Types-u--C-61C-61_Eq_C-40ListC-32C-36aC-41 (csegen-43) e-195 e-413)) (else 0))))))(else 0))))) ((62) (let ((e-196 (vector-ref arg-0 1))) (let ((e-197 (vector-ref arg-0 2))) (case (vector-ref arg-1 0) ((62) (let ((e-414 (vector-ref arg-1 1))) (let ((e-415 (vector-ref arg-1 2))) (let ((sc2 (CoreC-45FC-u--C-61C-61_Eq_FC e-196 e-414))) (cond ((equal? sc2 1) (PreludeC-45EqOrd-u--C-61C-61_Eq_String e-197 e-415)) (else 0))))))(else 0))))) ((63) (let ((e-198 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((63) (let ((e-416 (vector-ref arg-1 1))) (PreludeC-45EqOrd-u--C-61C-61_Eq_String e-198 e-416)))(else 0)))) ((64) (let ((e-199 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((64) (let ((e-417 (vector-ref arg-1 1))) (CoreC-45FC-u--C-61C-61_Eq_FC e-199 e-417)))(else 0)))) ((65) (let ((e-200 (vector-ref arg-0 1))) (let ((e-201 (vector-ref arg-0 2))) (let ((e-202 (vector-ref arg-0 3))) (case (vector-ref arg-1 0) ((65) (let ((e-418 (vector-ref arg-1 1))) (let ((e-419 (vector-ref arg-1 2))) (let ((e-420 (vector-ref arg-1 3))) (let ((sc2 (CoreC-45FC-u--C-61C-61_Eq_FC e-200 e-418))) (cond ((equal? sc2 1) (let ((sc3 (PreludeC-45EqOrd-u--C-61C-61_Eq_String e-201 e-419))) (cond ((equal? sc3 1) (DataC-45List1-u--C-61C-61_Eq_C-40List1C-32C-36aC-41 (csegen-2801) e-202 e-420)) (else 0)))) (else 0)))))))(else 0)))))) ((66) (let ((e-203 (vector-ref arg-0 1))) (let ((e-204 (vector-ref arg-0 2))) (let ((e-205 (vector-ref arg-0 3))) (case (vector-ref arg-1 0) ((66) (let ((e-421 (vector-ref arg-1 1))) (let ((e-422 (vector-ref arg-1 2))) (let ((e-423 (vector-ref arg-1 3))) (let ((sc2 (CoreC-45FC-u--C-61C-61_Eq_FC e-203 e-421))) (cond ((equal? sc2 1) (let ((sc3 (CoreC-45Name-u--C-61C-61_Eq_Name e-204 e-422))) (cond ((equal? sc3 1) (IdrisC-45Error-u--C-61C-61_Eq_Error e-205 e-423)) (else 0)))) (else 0)))))))(else 0)))))) ((67) (let ((e-206 (vector-ref arg-0 1))) (let ((e-207 (vector-ref arg-0 2))) (let ((e-208 (vector-ref arg-0 3))) (case (vector-ref arg-1 0) ((67) (let ((e-424 (vector-ref arg-1 1))) (let ((e-425 (vector-ref arg-1 2))) (let ((e-426 (vector-ref arg-1 3))) (let ((sc2 (CoreC-45FC-u--C-61C-61_Eq_FC e-206 e-424))) (cond ((equal? sc2 1) (let ((sc3 (CoreC-45Name-u--C-61C-61_Eq_Name e-207 e-425))) (cond ((equal? sc3 1) (IdrisC-45Error-u--C-61C-61_Eq_Error e-208 e-426)) (else 0)))) (else 0)))))))(else 0)))))) ((68) (let ((e-209 (vector-ref arg-0 1))) (let ((e-210 (vector-ref arg-0 2))) (let ((e-211 (vector-ref arg-0 3))) (case (vector-ref arg-1 0) ((68) (let ((e-427 (vector-ref arg-1 1))) (let ((e-428 (vector-ref arg-1 2))) (let ((e-429 (vector-ref arg-1 3))) (let ((sc2 (CoreC-45FC-u--C-61C-61_Eq_FC e-209 e-427))) (cond ((equal? sc2 1) (let ((sc3 (CoreC-45Name-u--C-61C-61_Eq_Name e-210 e-428))) (cond ((equal? sc3 1) (IdrisC-45Error-u--C-61C-61_Eq_Error e-211 e-429)) (else 0)))) (else 0)))))))(else 0)))))) ((69) (let ((e-212 (vector-ref arg-0 1))) (let ((e-213 (vector-ref arg-0 2))) (let ((e-214 (vector-ref arg-0 3))) (case (vector-ref arg-1 0) ((69) (let ((e-430 (vector-ref arg-1 1))) (let ((e-431 (vector-ref arg-1 2))) (let ((e-432 (vector-ref arg-1 3))) (let ((sc2 (CoreC-45FC-u--C-61C-61_Eq_FC e-212 e-430))) (cond ((equal? sc2 1) (let ((sc3 (CoreC-45Name-u--C-61C-61_Eq_Name e-213 e-431))) (cond ((equal? sc3 1) (IdrisC-45Error-u--C-61C-61_Eq_Error e-214 e-432)) (else 0)))) (else 0)))))))(else 0)))))) ((70) (let ((e-215 (vector-ref arg-0 1))) (let ((e-216 (vector-ref arg-0 2))) (case (vector-ref arg-1 0) ((70) (let ((e-433 (vector-ref arg-1 1))) (let ((e-434 (vector-ref arg-1 2))) (let ((sc2 (IdrisC-45Error-u--C-61C-61_Eq_Error e-215 e-433))) (cond ((equal? sc2 1) (DataC-45List1-u--C-61C-61_Eq_C-40List1C-32C-36aC-41 (csegen-43) e-216 e-434)) (else 0))))))(else 0))))) ((71) (let ((e-217 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((71) (let ((e-435 (vector-ref arg-1 1))) (IdrisC-45Error-u--C-61C-61_Eq_Warning e-217 e-435)))(else 0))))(else 0))))
(define IdrisC-45Error-u--C-47C-61_Eq_Error (lambda (arg-0 arg-1) (let ((sc0 (IdrisC-45Error-u--C-61C-61_Eq_Error arg-0 arg-1))) (cond ((equal? sc0 1) 0) (else 1)))))
(define IdrisC-45Error-pwarningRaw (lambda (arg-0 arg-1 arg-2 arg-3) (case (vector-ref arg-3 0) ((0) (let ((e-0 (vector-ref arg-3 1))) (let ((e-1 (vector-ref arg-3 2))) (let ((eff-0 (IdrisC-45Error-ploc arg-2 e-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (((csegen-380) (((csegen-380) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-863) e-1)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-line))) e-5))))) eff-1)))))))))) ((1) (let ((e-2 (vector-ref arg-3 1))) (let ((e-3 (vector-ref arg-3 2))) (let ((e-4 (vector-ref arg-3 3))) (let ((e-5 (vector-ref arg-3 4))) (let ((eff-0 (IdrisC-45Error-pshow e-2 arg-0 arg-1 e-4 e-5))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (IdrisC-45Error-ploc arg-2 e-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (IdrisC-45Pretty-errorDesc (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "Unreachable clause:") (IdrisC-45Pretty-code e-6))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-line)) e-7))))) eff-2))))))))) eff-1)))))))))))) ((2) (let ((e-6 (vector-ref arg-3 1))) (let ((e-7 (vector-ref arg-3 2))) (let ((eff-0 (IdrisC-45Error-ploc arg-2 e-6))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vcat (DataC-45List-snoc (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "We are about to implicitly bind the following lowercase names.") (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "You may be unintentionally shadowing the associated global definitions:") (((csegen-25) (lambda (eta-1) (IdrisC-45Error-n--14466-8230-u--pshadowing e-7 e-6 arg-2 arg-1 arg-0 eta-1))) (DataC-45List1-forget e-7)))) e-5)))))) eff-1)))))))))) ((3) (let ((e-8 (vector-ref arg-3 1))) (let ((e-9 (vector-ref arg-3 2))) (let ((eff-0 (IdrisC-45Error-ploc arg-2 e-8))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vcat (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "You may be unintentionally shadowing the following local bindings:") (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-indent 2 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-hcat (PreludeC-45Interfaces-C-60C-36C-62 (csegen-24) (csegen-2365) (DataC-45List1-forget e-9)))) (cons e-5 '())))))))) eff-1)))))))))) ((4) (let ((e-10 (vector-ref arg-3 1))) (let ((e-11 (vector-ref arg-3 2))) (let ((eff-0 (if (null? e-11) (lambda (eta-0) (vector 1 '())) (let ((e-2 (unbox e-11))) (let ((eff-0 (let ((e-4 (car e-2))) (let ((e-3 (cdr e-2))) (IdrisC-45DocC-45String-getDocsForName arg-2 arg-0 arg-1 e-4 e-3 (IdrisC-45DocC-45String-justUserDoc)))))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-3 (vector-ref eta-3 1))) (vector 0 e-3))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-4) (lambda (arg-5) ((((eff-1 'erased) 'erased) arg-4) arg-5)))) (lambda (eta-0) (box eta-0)))) eff-0)))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vsep (DataC-45List-catMaybes (cons (box (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 ((csegen-331) "Deprecation warning:") (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-863) e-10))) (cons (PreludeC-45Interfaces-C-60C-36C-62 (csegen-76) (lambda (eta-1) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-reAnnotate (lambda (eta-2) (vector 7 )) eta-1)) e-5) '())))))))) eff-1)))))))))) (else (let ((e-12 (vector-ref arg-3 1))) (lambda (eta-0) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-863) e-12))))))))
(define IdrisC-45Error-pwarning (lambda (arg-0 arg-1 arg-2 arg-3) (let ((eff-0 (CoreC-45Context-toFullNames arg-0 (cons (lambda (arg-6988) (lambda (arg-6991) (CoreC-45Context-u--full_HasNames_Warning arg-6988 arg-6991))) (lambda (arg-6998) (lambda (arg-7001) (CoreC-45Context-u--resolved_HasNames_Warning arg-6998 arg-7001)))) arg-3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (IdrisC-45Error-pwarningRaw arg-0 arg-1 arg-2 e-5))) eff-1)))))))))
(define IdrisC-45Error-pshowNoNorm (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (IdrisC-45Resugar-resugar arg-0 arg-1 arg-2 arg-3 arg-4))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (IdrisC-45Error-pShowMN arg-0 arg-4 arg-3 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-prettyBy (csegen-3988) (lambda (eta-1) (vector 6 eta-1)) e-6)))))) eff-2))))))))) eff-1))))))))
(define IdrisC-45Error-pshow (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Normalise-normaliseHoles arg-1 arg-0 e-5 arg-3 arg-4))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (IdrisC-45Resugar-resugar arg-0 arg-1 arg-2 arg-3 e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (IdrisC-45Error-pShowMN arg-0 e-6 arg-3 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-prettyBy (csegen-3988) (lambda (eta-1) (vector 6 eta-1)) e-7)))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))
(define IdrisC-45Error-ploc2 (lambda (arg-0 arg-1 arg-2) (let ((sc0 (CoreC-45FC-isNonEmptyFC arg-1))) (if (null? sc0) (IdrisC-45Error-ploc arg-0 arg-2) (let ((e-1 (unbox sc0))) (let ((e-5 (car e-1))) (let ((e-6 (cdr e-1))) (let ((e-9 (car e-6))) (let ((e-10 (cdr e-6))) (let ((sc3 (CoreC-45FC-isNonEmptyFC arg-2))) (if (null? sc3) (IdrisC-45Error-ploc arg-0 arg-1) (let ((e-2 (unbox sc3))) (let ((e-8 (car e-2))) (let ((e-7 (cdr e-2))) (let ((e-12 (car e-7))) (let ((e-11 (cdr e-7))) (let ((sc6 (PreludeC-45Interfaces-mapHom (vector (lambda (u--d) (lambda (u--b) (lambda (u--c) (lambda (u--a) (lambda (arg-9053) (lambda (arg-9060) (lambda (arg-9067) (let ((e-4 (car arg-9067))) (let ((e-3 (cdr arg-9067))) (cons (arg-9053 e-4) (arg-9060 e-3))))))))))) (lambda (u--b) (lambda (u--c) (lambda (u--a) (lambda (arg-9081) (lambda (arg-9088) (let ((e-4 (car arg-9088))) (let ((e-3 (cdr arg-9088))) (cons (arg-9081 e-4) e-3)))))))) (lambda (u--a) (lambda (u--d) (lambda (u--b) (lambda (arg-9095) (lambda (arg-9102) (let ((e-4 (car arg-9102))) (let ((e-3 (cdr arg-9102))) (cons e-4 (arg-9095 e-3)))))))))) (csegen-1646) e-9))) (let ((e-4 (car sc6))) (let ((e-3 (cdr sc6))) (let ((sc7 (PreludeC-45Interfaces-mapHom (vector (lambda (u--d) (lambda (u--b) (lambda (u--c) (lambda (u--a) (lambda (arg-9053) (lambda (arg-9060) (lambda (arg-9067) (let ((e-14 (car arg-9067))) (let ((e-13 (cdr arg-9067))) (cons (arg-9053 e-14) (arg-9060 e-13))))))))))) (lambda (u--b) (lambda (u--c) (lambda (u--a) (lambda (arg-9081) (lambda (arg-9088) (let ((e-14 (car arg-9088))) (let ((e-13 (cdr arg-9088))) (cons (arg-9081 e-14) e-13)))))))) (lambda (u--a) (lambda (u--d) (lambda (u--b) (lambda (arg-9095) (lambda (arg-9102) (let ((e-14 (car arg-9102))) (let ((e-13 (cdr arg-9102))) (cons e-14 (arg-9095 e-13)))))))))) (csegen-1646) e-12))) (let ((e-14 (car sc7))) (let ((e-13 (cdr sc7))) (let ((sc8 (PreludeC-45Interfaces-mapHom (vector (lambda (u--d) (lambda (u--b) (lambda (u--c) (lambda (u--a) (lambda (arg-9053) (lambda (arg-9060) (lambda (arg-9067) (let ((e-16 (car arg-9067))) (let ((e-15 (cdr arg-9067))) (cons (arg-9053 e-16) (arg-9060 e-15))))))))))) (lambda (u--b) (lambda (u--c) (lambda (u--a) (lambda (arg-9081) (lambda (arg-9088) (let ((e-16 (car arg-9088))) (let ((e-15 (cdr arg-9088))) (cons (arg-9081 e-16) e-15)))))))) (lambda (u--a) (lambda (u--d) (lambda (u--b) (lambda (arg-9095) (lambda (arg-9102) (let ((e-16 (car arg-9102))) (let ((e-15 (cdr arg-9102))) (cons e-16 (arg-9095 e-15)))))))))) (csegen-1646) e-10))) (let ((e-16 (car sc8))) (let ((e-15 (cdr sc8))) (IdrisC-45Error-case--caseC-32blockC-32inC-32caseC-32blockC-32inC-32caseC-32blockC-32inC-32caseC-32blockC-32inC-32caseC-32blockC-32inC-32ploc2-6869 arg-2 arg-1 arg-0 e-5 e-9 e-10 e-8 e-12 e-11 e-4 e-3 e-13 e-14 e-16 e-15 (PreludeC-45Interfaces-mapHom (vector (lambda (u--d) (lambda (u--b) (lambda (u--c) (lambda (u--a) (lambda (arg-9053) (lambda (arg-9060) (lambda (arg-9067) (let ((e-18 (car arg-9067))) (let ((e-17 (cdr arg-9067))) (cons (arg-9053 e-18) (arg-9060 e-17))))))))))) (lambda (u--b) (lambda (u--c) (lambda (u--a) (lambda (arg-9081) (lambda (arg-9088) (let ((e-18 (car arg-9088))) (let ((e-17 (cdr arg-9088))) (cons (arg-9081 e-18) e-17)))))))) (lambda (u--a) (lambda (u--d) (lambda (u--b) (lambda (arg-9095) (lambda (arg-9102) (let ((e-18 (car arg-9102))) (let ((e-17 (cdr arg-9102))) (cons e-18 (arg-9095 e-17)))))))))) (csegen-1646) e-11)))))))))))))))))))))))))))
(define IdrisC-45Error-ploc (lambda (arg-0 arg-1) (IdrisC-45Error-case--ploc-6223 arg-1 arg-0 (CoreC-45FC-isNonEmptyFC arg-1))))
(define IdrisC-45Error-perrorRaw (lambda (arg-0 arg-1 arg-2 arg-3) (case (vector-ref arg-3 0) ((0) (let ((e-0 (vector-ref arg-3 1))) (IdrisC-45Error-perrorRaw arg-0 arg-1 arg-2 e-0))) ((1) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-3 (vector-ref arg-3 3))) (let ((e-4 (vector-ref arg-3 4))) (let ((e-5 (vector-ref arg-3 5))) (let ((e-6 (vector-ref arg-3 6))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-7 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-setCtxt arg-0 e-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-8 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((eff-2 (let ((eff-2 (IdrisC-45Error-pshow e-1 arg-0 arg-1 e-4 e-5))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-9 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (IdrisC-45Error-pshow e-1 arg-0 arg-1 e-4 e-6))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (IdrisC-45Error-ploc arg-2 e-2))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (let ((u--res (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (IdrisC-45Pretty-errorDesc (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-hsep (cons (((csegen-380) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "Mismatch between")) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-colon)) (cons (IdrisC-45Pretty-code e-9) (cons (csegen-3991) (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (IdrisC-45Pretty-code e-10) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-dot)) '())))))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-line)) e-11))) (let ((eff-5 (let ((eff-5 arg-0)) (PrimIO-io_bind (let ((eff-6 eff-5)) (lambda (eta-0) (set-box! eff-6 e-7))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-12 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-12)))) (else (let ((eff-6 (lambda (eta-0) (vector 1 u--res)))) eff-6))))))))) eff-5))))))))) eff-4))))))))) eff-3))))))))) eff-2)))))))) eff-1)))))))))))))) ((2) (let ((e-7 (vector-ref arg-3 1))) (let ((e-8 (vector-ref arg-3 2))) (let ((e-9 (vector-ref arg-3 3))) (let ((e-10 (vector-ref arg-3 4))) (let ((e-11 (vector-ref arg-3 5))) (let ((e-12 (vector-ref arg-3 6))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-setCtxt arg-0 e-9))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (IdrisC-45Error-pshow e-7 arg-0 arg-1 e-10 e-11))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-13 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (IdrisC-45Error-pshow e-7 arg-0 arg-1 e-10 e-12))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-14 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (IdrisC-45Error-ploc arg-2 e-8))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-15 (vector-ref lcase-4 1))) (let ((eff-5 (let ((u--res (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (IdrisC-45Pretty-errorDesc (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-hsep (cons (((csegen-380) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "Can't solve constraint between")) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-colon)) (cons (IdrisC-45Pretty-code e-13) (cons (csegen-3991) (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (IdrisC-45Pretty-code e-14) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-dot)) '())))))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-line)) e-15))) (let ((eff-5 (let ((eff-5 arg-0)) (PrimIO-io_bind (let ((eff-6 eff-5)) (lambda (eta-0) (set-box! eff-6 e-5))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-6 (lambda (eta-0) (vector 1 u--res)))) eff-6))))))))) eff-5))))))))) eff-4))))))))) eff-3))))))))) eff-2)))))))) eff-1)))))))))))))) ((3) (let ((e-13 (vector-ref arg-3 1))) (let ((e-14 (vector-ref arg-3 2))) (let ((e-15 (vector-ref arg-3 3))) (let ((e-16 (vector-ref arg-3 4))) (let ((e-17 (vector-ref arg-3 5))) (let ((e-18 (vector-ref arg-3 6))) (let ((sc1 (IdrisC-45Error-n--14788-8665-u--order e-13 e-18 e-17 e-16 e-15 e-14 arg-2 arg-1 arg-0 e-14 e-15))) (let ((e-2 (car sc1))) (let ((e-3 (cdr sc1))) (let ((eff-0 (IdrisC-45Error-pshow e-13 arg-0 arg-1 e-16 e-18))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (IdrisC-45Error-ploc2 arg-2 e-2 e-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (IdrisC-45Pretty-errorDesc (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-hsep (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "Pattern variable") (cons (IdrisC-45Pretty-code (IdrisC-45Error-n--14788-8664-u--prettyVar e-13 e-18 e-17 e-16 e-15 e-14 arg-2 arg-1 arg-0 e-17)) (cons (((csegen-380) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "unifies with")) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-colon)) (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (IdrisC-45Pretty-code e-5) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-dot)) '())))))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-line)) e-6) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-line)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "Suggestion: Use the same name for both pattern variables, since they unify.")))))) eff-2))))))))) eff-1))))))))))))))))) ((4) (let ((e-19 (vector-ref arg-3 1))) (let ((e-20 (vector-ref arg-3 2))) (let ((e-21 (vector-ref arg-3 3))) (let ((e-22 (vector-ref arg-3 4))) (let ((e-23 (vector-ref arg-3 5))) (let ((eff-0 (CoreC-45Context-prettyName arg-0 e-22))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (IdrisC-45Error-pshow e-19 arg-0 arg-1 e-21 e-23))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (IdrisC-45Error-ploc arg-2 e-20))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (IdrisC-45Pretty-errorDesc (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "Cycle detected in solution of metavariable") (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45Pretty-meta (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-863) e-5)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-equals) (IdrisC-45Pretty-code e-6))))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-line)) e-7))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))))) ((5) (let ((e-24 (vector-ref arg-3 1))) (let ((e-26 (vector-ref arg-3 3))) (let ((e-27 (vector-ref arg-3 4))) (let ((e-28 (vector-ref arg-3 5))) (let ((e-29 (vector-ref arg-3 6))) (let ((e-30 (vector-ref arg-3 7))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-setCtxt arg-0 e-26))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (IdrisC-45Error-pshow e-24 arg-0 arg-1 e-27 e-28))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (IdrisC-45Error-pshow e-24 arg-0 arg-1 e-27 e-29))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (IdrisC-45Error-perrorRaw arg-0 arg-1 arg-2 e-30))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (let ((u--res (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (IdrisC-45Pretty-errorDesc (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (((csegen-380) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "When unifying:")) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-line)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "    ")) (IdrisC-45Pretty-code e-7)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-line)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "and:")) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-line)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "    ")) (IdrisC-45Pretty-code e-8))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-line)) e-9))) (let ((eff-5 (let ((eff-5 arg-0)) (PrimIO-io_bind (let ((eff-6 eff-5)) (lambda (eta-0) (set-box! eff-6 e-5))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-6 (lambda (eta-0) (vector 1 u--res)))) eff-6))))))))) eff-5))))))))) eff-4))))))))) eff-3))))))))) eff-2)))))))) eff-1)))))))))))))) ((6) (let ((e-31 (vector-ref arg-3 1))) (let ((e-32 (vector-ref arg-3 2))) (let ((e-33 (vector-ref arg-3 3))) (let ((e-34 (vector-ref arg-3 4))) (case (vector-ref e-34 0) ((0) (let ((e-220 (vector-ref e-34 1))) (let ((eff-0 (IdrisC-45Error-pshow e-31 arg-0 arg-1 e-33 e-220))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (IdrisC-45Error-ploc arg-2 e-32))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (IdrisC-45Pretty-errorDesc (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45Pretty-code e-5) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "is not a valid impossible case."))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-line)) e-6))))) eff-2))))))))) eff-1))))))))) (else (let ((e-223 (vector-ref e-34 1))) (let ((eff-0 (IdrisC-45Error-perrorRaw arg-0 arg-1 arg-2 e-223))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (IdrisC-45Pretty-errorDesc (((csegen-380) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "Impossible pattern gives an error")) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-colon))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-line)) e-5))))) eff-1))))))))))))))) ((7) (let ((e-35 (vector-ref arg-3 1))) (let ((e-36 (vector-ref arg-3 2))) (let ((eff-0 (IdrisC-45Error-ploc arg-2 e-35))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45Pretty-errorDesc (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "Undefined name") (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (IdrisC-45Pretty-code (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-1529) e-36)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-dot)))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-line) e-5)))))) eff-1)))))))))) ((8) (let ((e-37 (vector-ref arg-3 1))) (let ((e-38 (vector-ref arg-3 2))) (let ((e-39 (vector-ref arg-3 3))) (if (null? e-39) (let ((eff-0 (IdrisC-45Error-ploc arg-2 e-37))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (IdrisC-45Pretty-errorDesc (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "Name") (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45Pretty-code (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-1529) e-38)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "is private.")))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-line)) e-5) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-line)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "Suggestion: add an explicit")) (csegen-4014)))))) eff-1))))))) (let ((e-225 (unbox e-39))) (let ((eff-0 (IdrisC-45Error-ploc arg-2 e-37))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (IdrisC-45Pretty-errorDesc (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "Name") (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45Pretty-code (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-1529) e-38)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "is inaccessible since") (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45Pretty-code (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-3631) e-225)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "is not explicitly imported.")))))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-line)) e-5) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-line)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "Suggestion: add an explicit")) (csegen-4014)))))) eff-1))))))))))))) ((9) (let ((e-40 (vector-ref arg-3 1))) (let ((e-41 (vector-ref arg-3 2))) (let ((eff-0 (IdrisC-45Error-ploc arg-2 e-40))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (IdrisC-45Pretty-errorDesc (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "Return type of") (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45Pretty-code (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-1529) e-41)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "must be") (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (IdrisC-45Pretty-code (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-594) "Type")) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-dot)))))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-line)) e-5))))) eff-1)))))))))) ((10) (let ((e-42 (vector-ref arg-3 1))) (let ((e-43 (vector-ref arg-3 2))) (let ((e-44 (vector-ref arg-3 3))) (let ((eff-0 (IdrisC-45Error-ploc arg-2 e-42))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45Pretty-errorDesc (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "Return type of") (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45Pretty-code (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-1529) e-43)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "must be in") (IdrisC-45Pretty-code (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-1529) e-44)))))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-line) e-5)))))) eff-1))))))))))) ((11) (let ((e-45 (vector-ref arg-3 1))) (let ((e-46 (vector-ref arg-3 2))) (let ((e-47 (vector-ref arg-3 3))) (case (vector-ref e-47 0) ((0) (lambda (eta-0) (vector 1 (IdrisC-45Pretty-errorDesc (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "Internal error") (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-parens (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "Coverage of") (IdrisC-45Pretty-code (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-1529) e-46))))))))) ((1) (let ((e-227 (vector-ref e-47 1))) (let ((eff-0 (CoreC-45Context-prettyName arg-0 e-46))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (IdrisC-45Error-ploc arg-2 e-45))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Core-traverseC-39 (lambda (eta-0) (IdrisC-45Error-pshow '() arg-0 arg-1 '() eta-0)) e-227 '()))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (((csegen-380) (((csegen-380) (((csegen-380) (((csegen-380) (((csegen-380) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (IdrisC-45Pretty-errorDesc (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45Pretty-code (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-863) e-5)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "is not covering."))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-line)) e-6) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-line))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "Missing cases"))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-colon))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-line))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-indent 4 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vsep e-7)))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-line)))))) eff-3))))))))) eff-2))))))))) eff-1))))))))) (else (let ((e-228 (vector-ref e-47 1))) (let ((eff-0 (CoreC-45Context-prettyName arg-0 e-46))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (IdrisC-45Error-ploc arg-2 e-45))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (IdrisC-45Pretty-errorDesc (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-863) e-5) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "is not covering."))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-line)) e-6) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-line)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "Calls non covering function")) (if (null? e-228) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (csegen-4022) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-concatWith (csegen-1082) (PreludeC-45Interfaces-C-60C-36C-62 (csegen-24) (csegen-3585) e-228))) (let ((e-1 (car e-228))) (let ((e-2 (cdr e-228))) (if (null? e-2) ((csegen-3577) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-1529) e-1)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (csegen-4022) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-concatWith (csegen-1082) (PreludeC-45Interfaces-C-60C-36C-62 (csegen-24) (csegen-3585) e-228)))))))))))) eff-2))))))))) eff-1)))))))))))))) ((12) (let ((e-48 (vector-ref arg-3 1))) (let ((e-49 (vector-ref arg-3 2))) (let ((e-50 (vector-ref arg-3 3))) (let ((eff-0 (CoreC-45Context-prettyName arg-0 e-49))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (IdrisC-45Error-ploc arg-2 e-48))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (IdrisC-45Pretty-errorDesc (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45Pretty-code (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-863) e-5)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "is not total,") (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (cons (lambda (arg-8762) (CoreC-45TT-u--pretty_Pretty_Void_PartialReason arg-8762)) (lambda (arg-8768) (lambda (arg-8771) (CoreC-45TT-u--prettyPrec_Pretty_Void_PartialReason arg-8768 arg-8771)))) e-50)))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-line)) e-6))))) eff-2))))))))) eff-1))))))))))) ((13) (let ((e-51 (vector-ref arg-3 1))) (let ((e-52 (vector-ref arg-3 2))) (let ((e-53 (vector-ref arg-3 3))) (let ((eff-0 (IdrisC-45Error-ploc arg-2 e-51))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45Pretty-errorDesc (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "There are") (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-byShow (csegen-1068) e-52) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "uses of linear name") (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (IdrisC-45Pretty-code (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-863) (IdrisC-45Resugar-sugarName e-53))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-dot)))))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-line) e-5) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-line)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "Suggestion: linearly bounded variables must be used exactly once."))))))) eff-1))))))))))) ((14) (let ((e-54 (vector-ref arg-3 1))) (let ((e-55 (vector-ref arg-3 2))) (let ((e-56 (vector-ref arg-3 3))) (let ((e-57 (vector-ref arg-3 4))) (let ((sc1 (AlgebraC-45Semiring-isErased (csegen-1156) e-56))) (cond ((equal? sc1 1) (let ((eff-0 (IdrisC-45Error-ploc arg-2 e-54))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (IdrisC-45Pretty-errorDesc (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45Pretty-code (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-1529) e-55)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "is not accessible in this context."))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-line)) e-5))))) eff-1)))))))) (else (let ((eff-0 (IdrisC-45Error-ploc arg-2 e-54))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (IdrisC-45Pretty-errorDesc (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "Trying to use") (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45Error-n--14788-9931-u--prettyRig e-57 e-56 e-55 e-54 arg-2 arg-1 arg-0 e-56) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "name") (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45Pretty-code (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-863) (IdrisC-45Resugar-sugarName e-55))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "in") (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45Error-n--14788-9932-u--prettyRel e-57 e-56 e-55 e-54 arg-2 arg-1 arg-0 e-57) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "context.")))))))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-line)) e-5))))) eff-1))))))))))))))) ((15) (let ((e-58 (vector-ref arg-3 1))) (let ((e-59 (vector-ref arg-3 2))) (let ((e-60 (vector-ref arg-3 3))) (let ((e-61 (vector-ref arg-3 4))) (let ((e-62 (vector-ref arg-3 5))) (let ((eff-0 (IdrisC-45Error-pshow e-58 arg-0 arg-1 e-60 e-61))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (IdrisC-45Error-pshow e-58 arg-0 arg-1 e-60 e-62))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (IdrisC-45Error-ploc arg-2 e-59))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (IdrisC-45Pretty-errorDesc (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45Pretty-code e-5) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "borrows argument") (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45Pretty-code e-6) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "so must be fully applied."))))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-line)) e-7))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))))) ((16) (let ((e-63 (vector-ref arg-3 1))) (let ((e-64 (vector-ref arg-3 2))) (let ((e-65 (vector-ref arg-3 3))) (let ((e-66 (vector-ref arg-3 4))) (let ((eff-0 (IdrisC-45Error-pshow e-63 arg-0 arg-1 e-65 e-66))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (IdrisC-45Error-ploc arg-2 e-64))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (IdrisC-45Pretty-errorDesc (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45Pretty-code e-5) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "borrows, so must return a concrete type."))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-line)) e-6))))) eff-2))))))))) eff-1)))))))))))) ((17) (let ((e-67 (vector-ref arg-3 1))) (let ((e-68 (vector-ref arg-3 2))) (let ((eff-0 (IdrisC-45Error-ploc arg-2 e-67))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (IdrisC-45Pretty-errorDesc (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "Ambiguous name") (IdrisC-45Pretty-code (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--cast_Cast_C-40DocC-32VoidC-41_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-prettyList (csegen-1529) e-68))))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-line)) e-5))))) eff-1)))))))))) ((18) (let ((e-69 (vector-ref arg-3 1))) (let ((e-70 (vector-ref arg-3 2))) (let ((e-71 (vector-ref arg-3 3))) (let ((e-72 (vector-ref arg-3 4))) (let ((eff-0 (CoreC-45Context-getPPrint arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-setPPrint arg-0 (let ((e-0 (vector-ref e-5 0))) (let ((e-1 (vector-ref e-5 1))) (let ((e-2 (vector-ref e-5 2))) (vector e-0 e-1 e-2 1))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-2 (car lamc-0))) (let ((e-3 (cdr lamc-0))) (let ((eff-2 (let ((eff-2 arg-0)) (PrimIO-io_bind (let ((eff-3 eff-2)) (lambda (eta-0) (unbox eff-3))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45Context-setCtxt arg-0 e-2))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-4 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-4 (let ((eff-4 (IdrisC-45Error-pshow e-69 arg-0 arg-1 e-71 e-3))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-4 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (let ((eff-5 (let ((eff-5 arg-0)) (PrimIO-io_bind (let ((eff-6 eff-5)) (lambda (eta-0) (set-box! eff-6 e-7))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-4 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-6 (lambda (eta-0) (vector 1 e-9)))) eff-6)))))))) eff-5))))))))) eff-4)))))))) eff-3)))))))))) e-72 '()))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (IdrisC-45Error-ploc arg-2 e-70))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((u--res (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (((csegen-380) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vsep (cons (IdrisC-45Pretty-errorDesc (((csegen-380) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "Ambiguous elaboration. Possible results")) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-colon))) (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-indent 4 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vsep e-7)) '())))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-line)) e-8))) (let ((eff-4 (CoreC-45Context-setPPrint arg-0 e-5))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-5 (lambda (eta-0) (vector 1 u--res)))) eff-5))))))))) eff-4))))))))) eff-3))))))))) eff-2)))))))) eff-1)))))))))))) ((19) (let ((e-73 (vector-ref arg-3 1))) (let ((e-74 (vector-ref arg-3 2))) (let ((e-75 (vector-ref arg-3 3))) (let ((e-76 (vector-ref arg-3 4))) (let ((e-77 (vector-ref arg-3 5))) (let ((eff-0 (IdrisC-45Error-pshowNoNorm e-73 arg-0 arg-1 e-75 e-76))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (IdrisC-45Error-ploc arg-2 e-74))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Core-traverseC-39 (lambda (eta-0) (IdrisC-45Error-pshowNoNorm e-73 arg-0 arg-1 e-75 eta-0)) e-77 '()))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vsep (cons (IdrisC-45Pretty-errorDesc (((csegen-380) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "Multiple solutions found in search of")) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-colon))) (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-indent 4 e-5) (cons e-6 (cons (((csegen-380) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "Possible correct results")) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-colon)) (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-indent 4 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vsep e-7)) '())))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))))) ((20) (let ((e-78 (vector-ref arg-3 1))) (let ((e-79 (vector-ref arg-3 2))) (let ((e-80 (vector-ref arg-3 3))) (let ((eff-0 (CoreC-45Context-getFullName arg-0 e-79))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45Context-getFullName arg-0 eta-0)) e-80 '()))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (IdrisC-45Error-ploc arg-2 e-78))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (IdrisC-45Pretty-errorDesc (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "Maximum ambiguity depth exceeded in") (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (IdrisC-45Pretty-code (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-1529) e-5)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-colon)))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-line)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-concatWith (lambda (eta-1) (lambda (eta-2) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-surround (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 " --> ") eta-1 eta-2))) (PreludeC-45Interfaces-C-60C-36C-62 (csegen-24) (csegen-3585) e-6))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-line) e-7) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-line)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "Suggestion: the default ambiguity depth limit is 3, the")) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45Pretty-code (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "%ambiguity_depth")) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "pragma can be used to extend this limit, but beware compilation times can be severely impacted.")))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((21) (let ((e-81 (vector-ref arg-3 1))) (let ((sc1 (IdrisC-45Error-n--14788-10510-u--allUndefined e-81 arg-2 arg-1 arg-0 e-81))) (if (null? sc1) (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (IdrisC-45Error-n--14788-10509-u--pAlterror e-81 arg-2 arg-1 arg-0 eta-0)) e-81 '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (IdrisC-45Pretty-errorDesc (((csegen-380) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "Sorry, I can't find any elaboration which works. All errors")) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-colon))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-line)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vsep e-5)))))) eff-1))))))) (let ((e-1 (unbox sc1))) (IdrisC-45Error-perrorRaw arg-0 arg-1 arg-2 e-1)))))) ((22) (let ((e-83 (vector-ref arg-3 2))) (let ((eff-0 (IdrisC-45Error-ploc arg-2 e-83))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (IdrisC-45Pretty-errorDesc (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "Can't infer type for this record update.")) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-line)) e-5))))) eff-1))))))))) ((23) (let ((e-85 (vector-ref arg-3 1))) (let ((e-86 (vector-ref arg-3 2))) (let ((eff-0 (IdrisC-45Error-ploc arg-2 e-85))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vcat (cons (IdrisC-45Pretty-errorDesc (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "Duplicated record update paths:")) (PreludeC-45TypesC-45List-tailRecAppend (((csegen-25) (lambda (eta-1) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-indent 2 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-reAnnotate (lambda (eta-2) (vector 6 eta-2)) (IdrisC-45Pretty-prettyFieldPath eta-1))))) e-86) (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-line) e-5) '())))))))) eff-1)))))))))) ((24) (let ((e-87 (vector-ref arg-3 1))) (let ((e-88 (vector-ref arg-3 2))) (let ((e-89 (vector-ref arg-3 3))) (if (null? e-89) (let ((eff-0 (IdrisC-45Error-ploc arg-2 e-87))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (IdrisC-45Pretty-errorDesc (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45Pretty-code (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-863) e-88)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "is not part of a record type."))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-line)) e-5))))) eff-1))))))) (let ((e-231 (unbox e-89))) (let ((eff-0 (CoreC-45Context-getFullName arg-0 e-231))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (IdrisC-45Error-ploc arg-2 e-87))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (IdrisC-45Pretty-errorDesc (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "Record type") (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45Pretty-code (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-1529) e-5)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "has no field") (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (IdrisC-45Pretty-code (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-863) e-88)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-dot)))))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-line)) e-6))))) eff-2))))))))) eff-1))))))))))))) ((25) (let ((e-90 (vector-ref arg-3 1))) (let ((e-91 (vector-ref arg-3 2))) (let ((eff-0 (CoreC-45Context-getFullName arg-0 e-91))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (IdrisC-45Error-ploc arg-2 e-90))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (IdrisC-45Pretty-errorDesc (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45Pretty-code (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-1529) e-5)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "is not a record type."))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-line)) e-6))))) eff-2))))))))) eff-1)))))))))) ((26) (let ((e-92 (vector-ref arg-3 1))) (let ((e-93 (vector-ref arg-3 2))) (let ((eff-0 (IdrisC-45Error-ploc arg-2 e-92))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "Field update") (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-reAnnotate (lambda (eta-1) (vector 6 eta-1)) (IdrisC-45Pretty-prettyFieldPath e-93)) (((csegen-380) (((csegen-380) (((csegen-380) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "not compatible with other updates at")) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-colon))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-line))) e-5))))))) eff-1)))))))))) ((27) (let ((e-94 (vector-ref arg-3 1))) (let ((e-95 (vector-ref arg-3 2))) (let ((e-96 (vector-ref arg-3 3))) (let ((e-97 (vector-ref arg-3 4))) (let ((e-98 (vector-ref arg-3 5))) (if (null? e-97) (let ((eff-0 (IdrisC-45Error-pshow e-94 arg-0 arg-1 e-96 e-98))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (IdrisC-45Error-ploc arg-2 e-95))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (IdrisC-45Pretty-errorDesc (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-concatWith (csegen-1082) (PreludeC-45Interfaces-C-60C-36C-62 (csegen-24) (csegen-4052) e-97)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "are not valid arguments in") (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 e-5 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-dot))))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-line)) e-6))))) eff-2))))))))) eff-1))))))) (let ((e-233 (car e-97))) (let ((e-234 (cdr e-97))) (if (null? e-234) (let ((eff-0 (IdrisC-45Error-pshow e-94 arg-0 arg-1 e-96 e-98))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (IdrisC-45Error-ploc arg-2 e-95))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (IdrisC-45Pretty-errorDesc (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45Pretty-code (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-1529) e-233)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "is not a valid argument in") (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 e-5 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-dot))))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-line)) e-6))))) eff-2))))))))) eff-1))))))) (let ((eff-0 (IdrisC-45Error-pshow e-94 arg-0 arg-1 e-96 e-98))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (IdrisC-45Error-ploc arg-2 e-95))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (IdrisC-45Pretty-errorDesc (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-concatWith (csegen-1082) (PreludeC-45Interfaces-C-60C-36C-62 (csegen-24) (csegen-4052) e-97)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "are not valid arguments in") (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 e-5 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-dot))))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-line)) e-6))))) eff-2))))))))) eff-1))))))))))))))))) ((28) (let ((e-99 (vector-ref arg-3 1))) (let ((e-100 (vector-ref arg-3 2))) (let ((e-101 (vector-ref arg-3 3))) (let ((e-102 (vector-ref arg-3 4))) (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (IdrisC-45Error-n--14788-11029-u--tshow e-99 e-102 e-101 e-100 arg-2 arg-1 arg-0 e-99 e-101 eta-0)) e-102 '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (IdrisC-45Error-ploc arg-2 e-100))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (IdrisC-45Pretty-errorDesc (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "Need to bind implicits") (((csegen-380) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-concatWith (csegen-1082) e-5)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-dot)))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-line)) e-6))))) eff-2))))))))) eff-1)))))))))))) ((29) (let ((e-103 (vector-ref arg-3 1))) (let ((e-104 (vector-ref arg-3 2))) (let ((e-105 (vector-ref arg-3 3))) (let ((e-106 (vector-ref arg-3 4))) (let ((e-107 (vector-ref arg-3 5))) (let ((eff-0 (IdrisC-45Error-pshow e-103 arg-0 arg-1 e-105 e-107))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (IdrisC-45Error-ploc arg-2 e-104))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (IdrisC-45Pretty-errorDesc (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "Can't bind name") (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45Pretty-code (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-863) (CoreC-45Name-nameRoot e-106))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "with type") (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (IdrisC-45Pretty-code e-5) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-colon)))))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-line)) e-6) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-line)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "Suggestion: try an explicit bind.")))))) eff-2))))))))) eff-1))))))))))))) ((30) (let ((e-108 (vector-ref arg-3 1))) (let ((e-109 (vector-ref arg-3 2))) (let ((e-110 (vector-ref arg-3 3))) (let ((e-111 (vector-ref arg-3 4))) (let ((e-112 (vector-ref arg-3 5))) (let ((e-113 (vector-ref arg-3 6))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-setCtxt arg-0 e-110))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (IdrisC-45Error-case--perrorRaw-11272 e-108 e-113 e-112 e-111 e-110 e-109 arg-2 arg-1 arg-0 e-5 (IdrisC-45Error-n--14788-11176-u--dropEnv e-108 e-113 e-112 e-111 e-110 e-109 arg-2 arg-1 arg-0 e-108 e-111 e-112)))) eff-2)))))))) eff-1)))))))))))))) ((31) (let ((e-114 (vector-ref arg-3 1))) (let ((e-115 (vector-ref arg-3 2))) (let ((e-116 (vector-ref arg-3 3))) (let ((e-118 (vector-ref arg-3 5))) (let ((e-119 (vector-ref arg-3 6))) (let ((eff-0 (IdrisC-45Error-pshow e-114 arg-0 arg-1 e-118 e-119))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (IdrisC-45Error-ploc arg-2 e-115))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (IdrisC-45Pretty-errorDesc (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "Can't find an implementation for") (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (IdrisC-45Pretty-code e-5) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-line)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "since I can't infer a value for argument")) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (IdrisC-45Pretty-code (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-1529) e-116)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-dot))))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-line)) e-6))))) eff-2))))))))) eff-1))))))))))))) ((32) (let ((e-120 (vector-ref arg-3 1))) (let ((eff-0 (IdrisC-45Error-n--14788-11494-u--prettyHoles e-120 arg-2 arg-1 arg-0 e-120))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (IdrisC-45Pretty-errorDesc (((csegen-380) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "Unsolved holes")) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-colon))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-line)) e-5))))) eff-1))))))))) ((33) (let ((e-121 (vector-ref arg-3 1))) (let ((e-122 (vector-ref arg-3 2))) (let ((e-123 (vector-ref arg-3 3))) (let ((e-124 (vector-ref arg-3 4))) (let ((e-125 (vector-ref arg-3 5))) (let ((e-126 (vector-ref arg-3 6))) (let ((eff-0 (IdrisC-45Error-pshow e-121 arg-0 arg-1 e-123 e-126))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (IdrisC-45Error-ploc arg-2 e-122))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (IdrisC-45Pretty-errorDesc (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "Can't infer type for argument") (IdrisC-45Pretty-code (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-1529) e-124)))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-line)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-594) "Got")) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45Pretty-code e-5) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "with hole") (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (IdrisC-45Pretty-meta (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-1529) e-125)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-dot)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-line)) e-6)))))))) eff-2))))))))) eff-1)))))))))))))) ((34) (let ((e-127 (vector-ref arg-3 1))) (let ((e-128 (vector-ref arg-3 2))) (let ((e-129 (vector-ref arg-3 3))) (let ((e-130 (vector-ref arg-3 4))) (let ((e-131 (vector-ref arg-3 5))) (let ((eff-0 (IdrisC-45Error-pshow e-127 arg-0 arg-1 e-129 e-131))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (IdrisC-45Error-ploc arg-2 e-128))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (IdrisC-45Pretty-errorDesc (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "Named hole") (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45Pretty-meta (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-1529) e-130)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "has been solved by unification.")))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-line)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-594) "Result")) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-colon)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (IdrisC-45Pretty-code e-5) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-line)) e-6)))))) eff-2))))))))) eff-1))))))))))))) ((35) (let ((e-132 (vector-ref arg-3 1))) (let ((e-133 (vector-ref arg-3 2))) (let ((e-134 (vector-ref arg-3 3))) (let ((e-135 (vector-ref arg-3 4))) (let ((e-136 (vector-ref arg-3 5))) (let ((eff-0 (IdrisC-45Error-ploc arg-2 e-132))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (IdrisC-45Pretty-errorDesc (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45Error-keyword (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-4061) e-133)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45Pretty-code (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-863) (IdrisC-45Resugar-sugarName e-134))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "cannot refer to") (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45Error-keyword (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-4061) e-135)) (IdrisC-45Pretty-code (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-863) (IdrisC-45Resugar-sugarName e-136)))))))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-line)) e-5))))) eff-1))))))))))))) ((36) (let ((e-137 (vector-ref arg-3 1))) (let ((e-138 (vector-ref arg-3 2))) (let ((eff-0 (IdrisC-45Error-ploc arg-2 e-137))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (IdrisC-45Pretty-errorDesc (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "Non linear pattern") (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (IdrisC-45Pretty-code (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-863) (IdrisC-45Resugar-sugarName e-138))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-dot)))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-line)) e-5))))) eff-1)))))))))) ((37) (let ((e-139 (vector-ref arg-3 1))) (let ((e-140 (vector-ref arg-3 2))) (let ((eff-0 (IdrisC-45Error-ploc arg-2 e-139))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (IdrisC-45Pretty-errorDesc (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (((csegen-380) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "Pattern not allowed here")) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-colon)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (IdrisC-45Pretty-code (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-1529) e-140)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-dot)))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-line)) e-5))))) eff-1)))))))))) ((38) (let ((e-141 (vector-ref arg-3 1))) (let ((e-142 (vector-ref arg-3 2))) (let ((eff-0 (IdrisC-45Error-ploc arg-2 e-141))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (IdrisC-45Pretty-errorDesc (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "No type declaration for") (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (IdrisC-45Pretty-code (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-1529) e-142)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-dot)))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-line)) e-5))))) eff-1)))))))))) ((39) (let ((e-143 (vector-ref arg-3 1))) (let ((e-144 (vector-ref arg-3 2))) (let ((eff-0 (IdrisC-45Error-ploc arg-2 e-143))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (IdrisC-45Pretty-errorDesc (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45Pretty-code (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-1529) e-144)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "is already defined."))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-line)) e-5))))) eff-1)))))))))) ((40) (let ((e-145 (vector-ref arg-3 1))) (let ((e-146 (vector-ref arg-3 2))) (let ((e-147 (vector-ref arg-3 3))) (let ((e-148 (vector-ref arg-3 4))) (let ((eff-0 (IdrisC-45Error-pshow e-145 arg-0 arg-1 e-147 e-148))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (IdrisC-45Error-ploc arg-2 e-146))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (IdrisC-45Pretty-errorDesc (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45Pretty-code e-5) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "is not a function type."))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-line)) e-6))))) eff-2))))))))) eff-1)))))))))))) ((41) (let ((e-149 (vector-ref arg-3 1))) (let ((e-150 (vector-ref arg-3 2))) (let ((e-151 (vector-ref arg-3 3))) (let ((e-152 (vector-ref arg-3 4))) (let ((e-153 (vector-ref arg-3 5))) (let ((eff-0 (IdrisC-45Error-pshow e-149 arg-0 arg-1 e-151 e-152))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (IdrisC-45Error-pshow e-149 arg-0 arg-1 e-151 e-153))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (IdrisC-45Error-ploc arg-2 e-150))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (IdrisC-45Pretty-errorDesc (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "Rewriting by") (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45Pretty-code e-5) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "did not change type") (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (IdrisC-45Pretty-code e-6) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-dot)))))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-line)) e-7))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))))) ((42) (let ((e-154 (vector-ref arg-3 1))) (let ((e-155 (vector-ref arg-3 2))) (let ((e-156 (vector-ref arg-3 3))) (let ((e-157 (vector-ref arg-3 4))) (let ((eff-0 (IdrisC-45Error-pshow e-154 arg-0 arg-1 e-156 e-157))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (IdrisC-45Error-ploc arg-2 e-155))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (IdrisC-45Pretty-errorDesc (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45Pretty-code e-5) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "is not a rewrite rule type."))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-line)) e-6))))) eff-2))))))))) eff-1)))))))))))) ((43) (let ((e-158 (vector-ref arg-3 1))) (let ((e-159 (vector-ref arg-3 2))) (let ((e-160 (vector-ref arg-3 3))) (case (vector-ref e-160 0) ((0) (let ((eff-0 (CoreC-45Context-prettyName arg-0 e-159))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (IdrisC-45Error-ploc arg-2 e-158))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (IdrisC-45Pretty-errorDesc (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "Patterns for") (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45Pretty-code (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-863) e-5)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "have differing numbers of arguments.")))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-line)) e-6))))) eff-2))))))))) eff-1)))))))) ((1) (let ((eff-0 (CoreC-45Context-prettyName arg-0 e-159))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (IdrisC-45Error-ploc arg-2 e-158))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (IdrisC-45Pretty-errorDesc (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "Patterns for") (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45Pretty-code (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-863) e-5)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "require matching on different types.")))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-line)) e-6))))) eff-2))))))))) eff-1)))))))) ((4) (let ((eff-0 (CoreC-45Context-prettyName arg-0 e-159))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (IdrisC-45Error-ploc arg-2 e-158))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (IdrisC-45Pretty-errorDesc (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "Can't infer type to match in") (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (IdrisC-45Pretty-code (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-863) e-5)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-dot)))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-line)) e-6))))) eff-2))))))))) eff-1)))))))) ((3) (let ((e-236 (vector-ref e-160 1))) (let ((eff-0 (IdrisC-45Error-ploc arg-2 e-158))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (IdrisC-45Pretty-errorDesc (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (csegen-4064) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45Pretty-code (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-1529) e-236)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "is not fully applied.")))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-line)) e-5))))) eff-1))))))))) (else (let ((e-237 (vector-ref e-160 1))) (let ((e-240 (car e-237))) (let ((e-241 (cdr e-237))) (let ((e-244 (car e-241))) (let ((e-245 (cdr e-241))) (let ((eff-0 (IdrisC-45Error-pshow e-240 arg-0 arg-1 e-244 e-245))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-prettyName arg-0 e-159))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (IdrisC-45Error-ploc arg-2 e-158))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (IdrisC-45Pretty-errorDesc (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "Attempt to match on erased argument") (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45Pretty-code e-5) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "in") (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (IdrisC-45Pretty-code (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-863) e-6)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-dot)))))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-line)) e-7))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))))) ((45) (let ((e-161 (vector-ref arg-3 1))) (let ((e-162 (vector-ref arg-3 2))) (let ((e-163 (vector-ref arg-3 3))) (let ((e-164 (vector-ref arg-3 4))) (let ((e-165 (vector-ref arg-3 5))) (let ((eff-0 (IdrisC-45Error-pshow e-161 arg-0 arg-1 e-163 e-165))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (IdrisC-45Error-ploc arg-2 e-162))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (IdrisC-45Pretty-errorDesc (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "Can't match on") (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45Pretty-code e-5) (((csegen-380) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-parens (CoreC-45Core-u--pretty_Pretty_C-36ann_DotReason e-164))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-dot))))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-line)) e-6))))) eff-2))))))))) eff-1))))))))))))) ((44) (let ((e-167 (vector-ref arg-3 1))) (let ((e-168 (vector-ref arg-3 2))) (let ((e-169 (vector-ref arg-3 3))) (let ((e-170 (vector-ref arg-3 4))) (let ((eff-0 (IdrisC-45Error-pshow e-167 arg-0 arg-1 e-169 e-170))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (IdrisC-45Error-ploc arg-2 e-168))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (IdrisC-45Pretty-errorDesc (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "Can't match on") (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45Pretty-code e-5) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "as it must have a polymorphic type.")))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-line)) e-6))))) eff-2))))))))) eff-1)))))))))))) ((46) (let ((e-171 (vector-ref arg-3 1))) (let ((e-172 (vector-ref arg-3 2))) (let ((eff-0 (IdrisC-45Error-ploc arg-2 e-171))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (IdrisC-45Pretty-errorDesc (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "Can't infer type for unbound implicit name") (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (IdrisC-45Pretty-code (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-863) e-172)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-dot)))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-line)) e-5) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-line)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "Suggestion: try making it a bound implicit.")))))) eff-1)))))))))) ((47) (let ((e-173 (vector-ref arg-3 1))) (let ((e-174 (vector-ref arg-3 2))) (let ((e-175 (vector-ref arg-3 3))) (let ((e-176 (vector-ref arg-3 4))) (let ((e-177 (vector-ref arg-3 5))) (let ((eff-0 (IdrisC-45Error-pshow e-173 arg-0 arg-1 e-175 e-176))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (IdrisC-45Error-ploc arg-2 e-174))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (IdrisC-45Pretty-errorDesc (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "Bad elaborator script") (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45Pretty-code e-5) (((csegen-380) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-parens (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-863) e-177))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-dot))))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-line)) e-6))))) eff-2))))))))) eff-1))))))))))))) ((48) (let ((e-178 (vector-ref arg-3 1))) (let ((eff-0 (IdrisC-45Error-perrorRaw arg-0 arg-1 arg-2 e-178))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (((csegen-380) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "Error during reflection")) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-colon)) e-5))))) eff-1))))))))) ((49) (let ((e-179 (vector-ref arg-3 1))) (let ((e-180 (vector-ref arg-3 2))) (let ((eff-0 (IdrisC-45Error-ploc arg-2 e-179))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (((csegen-380) (((csegen-380) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-863) e-180)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-line))) e-5))))) eff-1)))))))))) ((50) (let ((e-181 (vector-ref arg-3 1))) (lambda (eta-0) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45Pretty-errorDesc (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (((csegen-380) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "Error in TTC file")) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-colon)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-byShow (cons (lambda (u--x) (CoreC-45Core-u--show_Show_TTCErrorMsg u--x)) (lambda (u--d) (lambda (u--x) (CoreC-45Core-u--showPrec_Show_TTCErrorMsg u--d u--x)))) e-181))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-parens ((csegen-331) "the most likely case is that the ./build directory in your current project contains files from a previous build of idris2 or the idris2 executable is from a different build than the installed .ttc files"))))))) ((51) (let ((e-182 (vector-ref arg-3 1))) (let ((e-183 (vector-ref arg-3 2))) (lambda (eta-0) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45Pretty-errorDesc (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "File error in") (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-863) e-182) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-colon)))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-byShow (csegen-4075) e-183))))))) ((52) (let ((e-184 (vector-ref arg-3 1))) (lambda (eta-0) (vector 1 (IdrisC-45Pretty-errorDesc (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "Can't find package ") (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-863) e-184))))))) ((53) (let ((e-185 (vector-ref arg-3 1))) (let ((eff-0 (IdrisC-45Error-ploc arg-2 e-185))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (IdrisC-45Pretty-errorDesc (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "Can't parse literate.")) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-line)) e-5))))) eff-1))))))))) ((54) (let ((e-186 (vector-ref arg-3 1))) (let ((e-187 (vector-ref arg-3 2))) (let ((eff-0 (IdrisC-45Error-ploc arg-2 e-186))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (IdrisC-45Pretty-errorDesc (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-863) e-187)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-line)) e-5))))) eff-1)))))))))) ((55) (let ((e-188 (vector-ref arg-3 1))) (if (null? e-188) (let ((eff-0 (IdrisC-45Error-n--14788-12484-u--listErrors e-188 arg-2 arg-1 arg-0))) (PrimIO-io_bind eff-0 (csegen-4083))) (let ((e-247 (car e-188))) (let ((e-248 (cdr e-188))) (if (null? e-247) (let ((eff-0 (IdrisC-45Error-n--14788-12484-u--listErrors e-188 arg-2 arg-1 arg-0))) (PrimIO-io_bind eff-0 (csegen-4083))) (let ((e-251 (car e-247))) (let ((e-252 (cdr e-247))) (if (null? e-248) (let ((eff-0 (IdrisC-45Error-ploc arg-2 e-251))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (IdrisC-45Pretty-errorDesc (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-863) e-252)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-line)) e-5))))) eff-1))))))) (let ((eff-0 (IdrisC-45Error-n--14788-12484-u--listErrors e-188 arg-2 arg-1 arg-0))) (PrimIO-io_bind eff-0 (csegen-4083)))))))))))) ((56) (let ((e-189 (vector-ref arg-3 1))) (let ((e-190 (vector-ref arg-3 2))) (let ((eff-0 (IdrisC-45Error-ploc arg-2 e-189))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (IdrisC-45Pretty-errorDesc (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "Module") (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-annotate (vector 3 ) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-3666) e-190)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "not found")))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-line)) e-5))))) eff-1)))))))))) ((57) (let ((e-191 (vector-ref arg-3 1))) (lambda (eta-0) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45Pretty-errorDesc (((csegen-380) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "Module imports form a cycle")) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-colon))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-concatWith (lambda (eta-1) (lambda (eta-2) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-surround (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 " -> ") eta-1 eta-2))) (PreludeC-45Interfaces-C-60C-36C-62 (csegen-24) (lambda (eta-1) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-3666) eta-1)) e-191))))))) ((58) (lambda (eta-0) (vector 1 (IdrisC-45Pretty-errorDesc (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "Internal error when resolving implicit laziness"))))) ((59) (let ((e-192 (vector-ref arg-3 1))) (lambda (eta-0) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45Pretty-errorDesc (((csegen-380) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "INTERNAL ERROR")) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-colon))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-863) e-192)))))) ((60) (let ((e-193 (vector-ref arg-3 1))) (lambda (eta-0) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45Pretty-errorDesc (((csegen-380) ((csegen-331) "Error")) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-colon))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-863) e-193)))))) ((61) (let ((e-194 (vector-ref arg-3 1))) (let ((e-195 (vector-ref arg-3 2))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--cgs (PreludeC-45Interfaces-C-60C-36C-62 (csegen-24) (lambda (eta-0) (Builtin-fst eta-0)) (CoreC-45Options-availableCGs (let ((e-4 (vector-ref e-5 4))) e-4))))) (let ((eff-1 (IdrisC-45Error-ploc arg-2 e-194))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((u--res (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (((csegen-380) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vsep (cons (IdrisC-45Pretty-errorDesc (((csegen-380) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow (string-append "The given specifier '" (string-append (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-581) e-195) "' was not accepted by any backend. Available backends")))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-colon))) (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-indent 2 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-concatWith (lambda (u--x) (lambda (u--y) (((csegen-380) (((csegen-380) u--x) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 ", "))) u--y))) (((csegen-25) (lambda (eta-0) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow eta-0))) u--cgs))) (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "Some backends have additional specifier rules, refer to their documentation.") '()))))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-line)) e-6))) (lambda (eta-0) (vector 1 u--res))))) eff-2)))))))))) eff-1)))))))))) ((62) (let ((e-196 (vector-ref arg-3 1))) (let ((e-197 (vector-ref arg-3 2))) (let ((eff-0 (IdrisC-45Error-ploc arg-2 e-196))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (IdrisC-45Pretty-errorDesc (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (((csegen-380) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "While processing multi-line string")) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-dot)) (((csegen-380) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-863) e-197)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-dot)))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-line)) e-5))))) eff-1)))))))))) ((63) (let ((e-198 (vector-ref arg-3 1))) (lambda (eta-0) (vector 1 (IdrisC-45Pretty-errorDesc (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "Timeout in") (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-863) e-198))))))) ((64) (let ((e-199 (vector-ref arg-3 1))) (let ((eff-0 (IdrisC-45Error-ploc arg-2 e-199))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (IdrisC-45Pretty-errorDesc (((csegen-380) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "Failing block did not fail")) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-dot))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-line)) e-5))))) eff-1))))))))) ((65) (let ((e-201 (vector-ref arg-3 2))) (let ((e-202 (vector-ref arg-3 3))) (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (IdrisC-45Error-perrorRaw arg-0 arg-1 arg-2 eta-0)) (DataC-45List1-forget e-202) '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vcat (cons (IdrisC-45Pretty-errorDesc (((csegen-380) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "Failing block failed with the wrong error")) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-dot))) (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "Expected") (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (((csegen-380) (((csegen-380) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-dquote)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-863) e-201))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-dquote)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "but got:"))) (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vsep e-5) '())))))))) eff-1)))))))))) ((66) (let ((e-204 (vector-ref arg-3 2))) (let ((e-205 (vector-ref arg-3 3))) (let ((eff-0 (CoreC-45Context-prettyName arg-0 e-204))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (IdrisC-45Error-perrorRaw arg-0 arg-1 arg-2 e-205))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-hsep (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (IdrisC-45Pretty-errorDesc (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "While processing type of") (IdrisC-45Pretty-code (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-863) e-5)))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-dot)) (cons e-6 '()))))))) eff-2))))))))) eff-1)))))))))) ((67) (let ((e-207 (vector-ref arg-3 2))) (let ((e-208 (vector-ref arg-3 3))) (let ((eff-0 (CoreC-45Context-prettyName arg-0 e-207))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (IdrisC-45Error-perrorRaw arg-0 arg-1 arg-2 e-208))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-hsep (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (IdrisC-45Pretty-errorDesc (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "While processing constructor") (IdrisC-45Pretty-code (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-863) e-5)))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-dot)) (cons e-6 '()))))))) eff-2))))))))) eff-1)))))))))) ((68) (let ((e-210 (vector-ref arg-3 2))) (let ((e-211 (vector-ref arg-3 3))) (let ((eff-0 (CoreC-45Context-prettyName arg-0 e-210))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (IdrisC-45Error-perrorRaw arg-0 arg-1 arg-2 e-211))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-hsep (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (IdrisC-45Pretty-errorDesc (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "While processing left hand side of") (IdrisC-45Pretty-code (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-863) e-5)))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-dot)) (cons e-6 '()))))))) eff-2))))))))) eff-1)))))))))) ((69) (let ((e-213 (vector-ref arg-3 2))) (let ((e-214 (vector-ref arg-3 3))) (let ((eff-0 (CoreC-45Context-prettyName arg-0 e-213))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (IdrisC-45Error-perrorRaw arg-0 arg-1 arg-2 e-214))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-hsep (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (IdrisC-45Pretty-errorDesc (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "While processing right hand side of") (IdrisC-45Pretty-code (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-863) e-5)))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-dot)) (cons e-6 '()))))))) eff-2))))))))) eff-1)))))))))) ((70) (let ((e-215 (vector-ref arg-3 1))) (let ((e-216 (vector-ref arg-3 2))) (let ((eff-0 (IdrisC-45Error-perrorRaw arg-0 arg-1 arg-2 e-215))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 e-5 (if (null? e-216) (let ((sc3 (LibrariesC-45DataC-45List1-unsnoc e-216))) (let ((e-2 (car sc3))) (let ((e-3 (cdr sc3))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "Did you mean any of:") (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (((csegen-380) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-concatWith (csegen-1082) ((csegen-4117) e-2))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-comma)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "or") (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (IdrisC-45Pretty-code (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-863) e-3)) (csegen-4115)))))))) (let ((e-1 (car e-216))) (let ((e-2 (cdr e-216))) (if (null? e-2) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow ((csegen-0) "Did you mean:")) (((csegen-380) (IdrisC-45Pretty-code (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-863) e-1))) (csegen-4115))) (let ((sc4 (LibrariesC-45DataC-45List1-unsnoc e-216))) (let ((e-4 (car sc4))) (let ((e-3 (cdr sc4))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "Did you mean any of:") (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (((csegen-380) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-concatWith (csegen-1082) ((csegen-4117) e-4))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-comma)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "or") (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (IdrisC-45Pretty-code (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-863) e-3)) (csegen-4115))))))))))))))))) eff-1)))))))))) (else (let ((e-217 (vector-ref arg-3 1))) (IdrisC-45Error-pwarningRaw arg-0 arg-1 arg-2 e-217))))))
(define IdrisC-45Error-perror (lambda (arg-0 arg-1 arg-2 arg-3) (let ((eff-0 (CoreC-45Context-toFullNames arg-0 (cons (lambda (arg-6988) (lambda (arg-6991) (CoreC-45Context-u--full_HasNames_Error arg-6988 arg-6991))) (lambda (arg-6998) (lambda (arg-7001) (CoreC-45Context-u--resolved_HasNames_Error arg-6998 arg-7001)))) arg-3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (IdrisC-45Error-perrorRaw arg-0 arg-1 arg-2 e-5))) eff-1)))))))))
(define IdrisC-45Error-pShowMN (lambda (arg-1 arg-2 arg-3 arg-4) (case (vector-ref arg-2 0) ((0) (let ((e-4 (vector-ref arg-2 3))) (let ((sc1 (CoreC-45Name-dropAllNS (CoreC-45TT-nameAt arg-1 e-4)))) (case (vector-ref sc1 0) ((2) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 arg-4 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-parens (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 ((csegen-331) "implicitly bound at") (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-3956) (CoreC-45Env-getBinderLoc arg-1 e-4 arg-3))))))(else arg-4)))))(else arg-4))))
(define IdrisC-45Error-keyword (lambda (ext-0) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-annotate (vector 6 (vector 5 )) ext-0)))
(define IdrisC-45Error-displayWarning (lambda (arg-0 arg-1 arg-2 arg-3) (let ((eff-0 (IdrisC-45Error-pwarning arg-0 arg-1 arg-2 arg-3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-annotate (vector 0 ) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "Warning:")) e-5))))) eff-1)))))))))
(define IdrisC-45Error-display (lambda (arg-0 arg-1 arg-2 arg-3) (let ((eff-0 (IdrisC-45Error-perror arg-0 arg-1 arg-2 arg-3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-annotate (vector 1 ) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "Error:")) e-5))))) eff-1)))))))))
(define IdrisC-45Error-checkError (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (let ((u--err (CoreC-45Core-killErrorLoc arg-4))) (let ((eff-0 (let ((eff-0 (IdrisC-45Error-perror arg-0 arg-1 arg-2 u--err))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-5) (lambda (arg-6) ((((eff-1 'erased) 'erased) arg-5) arg-6)))) (lambda (eta-0) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--show_Show_C-40DocC-32C-36annC-41 eta-0)))) eff-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--msg (DataC-45String-unwords (DataC-45String-words arg-3)))) (let ((u--str (DataC-45String-unwords (DataC-45String-words e-5)))) (lambda (eta-0) (vector 1 (DataC-45String-isInfixOf u--msg u--str))))))) eff-1))))))))))
(define LibrariesC-45DataC-45List1-n--2807-1509-u--go (lambda (arg-1 arg-2 arg-3 arg-4) (if (null? arg-4) (cons '() arg-3) (let ((e-2 (car arg-4))) (let ((e-3 (cdr arg-4))) (let ((sc1 (LibrariesC-45DataC-45List1-n--2807-1509-u--go arg-1 arg-2 e-2 e-3))) (let ((e-5 (car sc1))) (let ((e-4 (cdr sc1))) (cons (cons arg-3 e-5) e-4)))))))))
(define LibrariesC-45DataC-45List1-unsnoc (lambda (arg-1) (let ((e-1 (car arg-1))) (let ((e-2 (cdr arg-1))) (LibrariesC-45DataC-45List1-n--2807-1509-u--go e-1 e-2 e-1 e-2)))))
(define IdrisC-45DocC-45String-case--caseC-32blockC-32inC-32caseC-32blockC-32inC-32caseC-32blockC-32inC-32caseC-32blockC-32inC-32caseC-32blockC-32inC-32caseC-32blockC-32inC-32caseC-32blockC-32inC-32getDocsForImplementation-12385 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20 arg-21 arg-22 arg-23 arg-24 arg-25 arg-26) (if (null? arg-26) (lambda (eta-0) (vector 1 0)) (let ((e-2 (car arg-26))) (let ((e-3 (cdr arg-26))) (if (null? e-2) (lambda (eta-0) (vector 1 0)) (let ((e-6 (car e-2))) (case (vector-ref e-6 0) ((0) (let ((e-9 (vector-ref e-6 1))) (let ((e-10 (vector-ref e-6 2))) (if (null? e-3) (lambda (eta-0) (vector 1 0)) (let ((e-18 (car e-3))) (case (vector-ref e-18 0) ((0) (let ((e-22 (vector-ref e-18 2))) (let ((sc5 (CoreC-45Name-u--C-61C-61_Eq_Name (CoreC-45Name-dropNS e-10) (CoreC-45Name-dropNS (let ((e-1 (vector-ref e-22 1))) e-1))))) (cond ((equal? sc5 0) (let ((eff-0 (CoreC-45Context-lookupCtxtName e-10 (let ((e-0 (vector-ref arg-13 0))) e-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45ContextC-45Log-log arg-1 "doc.implementation" 50 (lambda () (DataC-45String-unwords (cons (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons "Mismatch between " (cons (CoreC-45Name-u--show_Show_Name e-10) (cons " and " (cons (CoreC-45TT-u--show_Show_KindedName e-22) (cons "," '())))))) (cons (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons "checking whether " (cons (CoreC-45Name-u--show_Show_Name e-10) (cons " exists:" '())))) (cons (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons (PreludeC-45Show-u--show_Show_Nat (PreludeC-45TypesC-45List-lengthTR e-5)) (cons " candidates" '()))) '())))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-2 (if (null? e-5) (let ((eff-2 (let ((sc9 (PreludeC-45Interfaces-C-62C-61C-62 (csegen-614) (lambda (eta-0) (PreludeC-45Interfaces-C-62C-61C-62 (csegen-614) (lambda (eta-1) (PreludeC-45Interfaces-C-62C-61C-62 (csegen-614) (lambda (eta-2) (CoreC-45Name-isUN eta-2)) (lambda (eta-2) (CoreC-45Name-isBasic (Builtin-snd eta-2))) eta-1)) (lambda (eta-1) (PreludeC-45Types-strUncons eta-1)) eta-0)) (lambda (eta-0) (PreludeC-45Interfaces-guard (csegen-326) (PreludeC-45Types-isUpper (Builtin-fst eta-0)))) e-10))) (if (null? sc9) (lambda (eta-0) (vector 1 (vector 0 ))) (CoreC-45Context-undefinedName arg-1 e-9 e-10))))) (PrimIO-io_bind eff-2 (csegen-2355))) (lambda (eta-0) (vector 1 0))))) eff-2)))))))) eff-1)))))))) (else (lambda (eta-0) (vector 1 1)))))))(else (lambda (eta-0) (vector 1 0))))))))) ((15) (let ((e-13 (vector-ref e-6 2))) (lambda (clam-0) (if (null? e-3) (vector 1 0) (let ((e-25 (car e-3))) (case (vector-ref e-25 0) ((15) (let ((e-29 (vector-ref e-25 2))) (vector 1 (CoreC-45TT-u--C-61C-61_Eq_Constant e-13 e-29))))(else (vector 1 0)))))))) ((22) (lambda (clam-1) (if (null? e-3) (vector 1 0) (let ((e-32 (car e-3))) (case (vector-ref e-32 0) ((22) (vector 1 1))(else (vector 1 0)))))))(else (lambda (eta-0) (vector 1 0)))))))))))
(define IdrisC-45DocC-45String-case--caseC-32blockC-32inC-32caseC-32blockC-32inC-32caseC-32blockC-32inC-32caseC-32blockC-32inC-32caseC-32blockC-32inC-32getDocsForImplementation-12243 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20 arg-21) (let ((e-2 (car arg-21))) (let ((e-3 (cdr arg-21))) (let ((eff-0 (PreludeC-45Basics-flip (csegen-1569) (DataC-45List-u--zip_Zippable_List arg-5 e-3) (lambda (lamc-0) (let ((e-5 (car lamc-0))) (let ((e-4 (cdr lamc-0))) (let ((lamc-1 (cons e-5 e-4))) (IdrisC-45DocC-45String-case--caseC-32blockC-32inC-32caseC-32blockC-32inC-32caseC-32blockC-32inC-32caseC-32blockC-32inC-32caseC-32blockC-32inC-32caseC-32blockC-32inC-32caseC-32blockC-32inC-32getDocsForImplementation-12385 arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20 e-2 e-3 e-5 e-4 lamc-1 (cons (IdrisC-45SyntaxC-45Views-getFnArgs (lambda (eta-0) eta-0) (IdrisC-45SyntaxC-45Views-unArg e-5)) (IdrisC-45SyntaxC-45Views-getFnArgs (lambda (eta-0) (CoreC-45TT-defaultKindedName eta-0)) (IdrisC-45SyntaxC-45Views-unArg e-4))))))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (clam-0) (let ((sc2 (PreludeC-45Interfaces-all (csegen-16) (lambda (eta-0) eta-0) e-5))) (cond ((equal? sc2 1) (vector 1 (box (cons arg-14 (cons arg-15 arg-16))))) (else (vector 1 '()))))))) eff-1)))))))))))
(define IdrisC-45DocC-45String-case--caseC-32blockC-32inC-32caseC-32blockC-32inC-32caseC-32blockC-32inC-32caseC-32blockC-32inC-32getDocsForImplementation-12190 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19) (let ((e-2 (car arg-19))) (let ((e-3 (cdr arg-19))) (IdrisC-45DocC-45String-case--caseC-32blockC-32inC-32caseC-32blockC-32inC-32caseC-32blockC-32inC-32caseC-32blockC-32inC-32caseC-32blockC-32inC-32getDocsForImplementation-12243 arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 e-2 e-3 (IdrisC-45SyntaxC-45Views-getFnArgs (lambda (eta-0) (CoreC-45TT-defaultKindedName eta-0)) e-3))))))
(define IdrisC-45DocC-45String-case--caseC-32blockC-32inC-32getDocsForImplementation-12020 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (if (null? arg-7) (lambda (eta-0) (vector 1 '())) (let ((e-1 (car arg-7))) (let ((e-2 (cdr arg-7))) (if (null? e-1) (lambda (eta-0) (vector 1 '())) (let ((e-5 (car e-1))) (let ((e-6 (cdr e-1))) (if (null? e-2) (let ((eff-0 (let ((eff-0 (CoreC-45Context-getSearchData arg-1 arg-4 0 e-5))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-3 (vector-ref eta-3 1))) (vector 0 e-3))) (else (let ((e-7 (vector-ref eta-3 1))) (vector 1 (eta-2 e-7))))))))))) (lambda (arg-8) (lambda (arg-9) ((((eff-1 'erased) 'erased) arg-8) arg-9)))) (lambda (eta-0) (let ((e-3 (cdr eta-0))) e-3)))) eff-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-7 (vector-ref lcase-0 1))) (let ((eff-1 (if (null? e-7) (lambda (eta-0) (vector 1 '())) (let ((e-4 (car e-7))) (let ((e-3 (cdr e-7))) (if (null? e-4) (lambda (eta-0) (vector 1 '())) (let ((e-9 (car e-4))) (let ((e-8 (cdr e-4))) (let ((eff-1 (let ((eff-1 arg-1)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (unbox eff-2))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-10 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (let ((eff-2 (PreludeC-45Basics-flip (csegen-1569) e-8 (lambda (u--hint) (let ((eff-2 (CoreC-45Context-lookupCtxtExactI u--hint (let ((e-0 (vector-ref e-10 0))) e-0)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-11 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-2 1))) (let ((eff-3 (let ((_-0 (cons (cons e-9 e-8) e-3))) (if (null? e-11) (lambda (eta-0) (vector 1 '())) (let ((e-12 (unbox e-11))) (let ((e-14 (car e-12))) (let ((e-13 (cdr e-12))) (let ((eff-3 (PreludeC-45Basics-flip (lambda (eta-0) (lambda (eta-1) (let ((eff-3 eta-0)) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-15 (vector-ref lcase-3 1))) (lambda (eta-2) (vector 0 e-15)))) (else (let ((e-15 (vector-ref lcase-3 1))) (let ((eff-4 (eta-1 e-15))) eff-4))))))))) (lambda (eta-0) (IdrisC-45Resugar-resugar '() arg-1 arg-2 '() eta-0)) (CoreC-45Normalise-normaliseHoles arg-1 '() e-10 '() (let ((e-34 (vector-ref e-13 2))) e-34))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-15 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-15)))) (else (let ((e-15 (vector-ref lcase-3 1))) (let ((eff-4 (let ((_-1 (box (cons e-14 e-13)))) (IdrisC-45DocC-45String-case--caseC-32blockC-32inC-32caseC-32blockC-32inC-32caseC-32blockC-32inC-32caseC-32blockC-32inC-32getDocsForImplementation-12190 arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-6 e-5 e-3 e-9 e-8 _-0 e-10 u--hint e-14 e-13 _-1 e-15 (IdrisC-45SyntaxC-45Views-underPis e-15))))) eff-4)))))))))))))) eff-3))))))))))) (((csegen-50) ((let ((eff-3 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-11 (vector-ref eta-3 1))) (vector 0 e-11))) (else (let ((e-11 (vector-ref eta-3 1))) (vector 1 (eta-2 e-11))))))))))) (lambda (arg-8) (lambda (arg-9) ((((eff-3 'erased) 'erased) arg-8) arg-9)))) (lambda (eta-0) (DataC-45List-catMaybes eta-0)))) eff-2)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-11 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-2 1))) (let ((eff-3 (if (null? e-11) (lambda (eta-0) (vector 1 (box (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 ((csegen-331) "Could not find an implementation for") (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-863) (IdrisC-45Syntax-u--show_Show_PTerm arg-0)))))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (IdrisC-45DocC-45Display-displayImpl arg-1 arg-2 e-10 eta-0)) e-11 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-12 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-12)))) (else (let ((e-12 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (box (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vcat e-12)))))) eff-4)))))))))) eff-3))))))))) eff-2))))))))))))))) eff-1))))))) (lambda (eta-0) (vector 1 '())))))))))))
(define IdrisC-45DocC-45String-case--getDocsForImplementation-11991 (lambda (arg-0 arg-1 arg-2 arg-3) (if (null? arg-3) (lambda (eta-0) (vector 1 '())) (let ((e-2 (car arg-3))) (let ((e-3 (cdr arg-3))) (case (vector-ref e-2 0) ((0) (let ((e-5 (vector-ref e-2 1))) (let ((e-6 (vector-ref e-2 2))) (let ((eff-0 (let ((eff-0 arg-2)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-7 (vector-ref lcase-0 1))) (let ((eff-1 (IdrisC-45DocC-45String-case--caseC-32blockC-32inC-32getDocsForImplementation-12020 arg-0 arg-1 arg-2 e-6 e-5 e-3 e-7 (LibrariesC-45DataC-45ANameMap-lookupName e-6 (let ((e-14 (vector-ref e-7 6))) e-14))))) eff-1))))))))))(else (lambda (eta-0) (vector 1 '())))))))))
(define IdrisC-45DocC-45String-case--caseC-32blockC-32inC-32getDocsForName-11816 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13) (if (null? arg-13) (lambda (eta-0) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-emptyDoc))) (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (IdrisC-45DocC-45String-n--12205-8558-u--showDoc arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-0 eta-0)) arg-13 '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vcat e-5))))) eff-1))))))))))
(define IdrisC-45DocC-45String-case--getDocsForName-11773 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10) (if (null? arg-10) (CoreC-45Context-undefinedName arg-4 arg-2 arg-1) (let ((e-1 (car arg-10))) (let ((e-2 (cdr arg-10))) (let ((u--all (cons e-1 e-2))) (IdrisC-45DocC-45String-case--caseC-32blockC-32inC-32getDocsForName-11816 arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-2 e-1 u--all (PreludeC-45Interfaces-concatMap (csegen-83) (csegen-16) (lambda (u--n) (LibrariesC-45DataC-45ANameMap-lookupName u--n (let ((e-8 (vector-ref arg-6 8))) e-8))) u--all))))))))
(define IdrisC-45DocC-45String-case--caseC-32blockC-32inC-32getDocsForNameC-44getExtra-10611 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9) (case (vector-ref arg-9 0) ((1) (lambda (eta-0) (vector 1 (cons '() (DataC-45List-catMaybes (cons (IdrisC-45DocC-45String-n--12205-8560-u--showTotal arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 (let ((e-10 (vector-ref arg-6 10))) e-10)) (cons (box (IdrisC-45DocC-45String-n--12205-8561-u--showVisible arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 (let ((e-9 (vector-ref arg-6 9))) e-9))) '()))))))) ((6) (let ((e-11 (vector-ref arg-9 7))) (let ((u--tot (DataC-45List-catMaybes (cons (IdrisC-45DocC-45String-n--12205-8560-u--showTotal arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 (let ((e-24 (vector-ref arg-6 10))) e-24)) (cons (box (IdrisC-45DocC-45String-n--12205-8561-u--showVisible arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 (let ((e-25 (vector-ref arg-6 9))) e-25))) '()))))) (let ((eff-0 (CoreC-45Core-traverseC-39 (PreludeC-45Basics-flip (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (PreludeC-45Basics-flip (lambda (eta-3) (lambda (eta-4) (let ((eff-0 eta-3)) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-5) (vector 0 e-2)))) (else (let ((e-13 (vector-ref lcase-0 1))) (let ((eff-1 (eta-4 e-13))) eff-1))))))))) eta-1 (eta-0 eta-2))))) (lambda (eta-0) (IdrisC-45DocC-45String-n--12205-8562-u--getDConDoc arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 eta-0)) (lambda (eta-0) (CoreC-45Context-toFullNames arg-4 (csegen-81) eta-0))) e-11 '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-13 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (if (null? e-13) (lambda (eta-0) (vector 1 (cons (box "data") '()))) (let ((e-2 (car e-13))) (let ((e-3 (cdr e-13))) (if (null? e-3) (let ((u--cdoc (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45DocC-45Annotations-header (csegen-4064)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-annotate (vector 2 ) e-2)))) (let ((eff-1 (IdrisC-45DocC-45String-n--12205-8570-u--getFieldsDoc arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-7))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-14 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (clam-0) (if (null? e-14) (vector 1 (cons (box "data") (cons u--cdoc '()))) (let ((e-4 (unbox e-14))) (vector 1 (cons (box "record") (cons u--cdoc (cons e-4 '()))))))))) eff-2)))))))) (lambda (eta-0) (vector 1 (cons (box "data") (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vcat (cons (csegen-4138) (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-annotate (vector 2 ) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vcat ((csegen-4140) e-13))) '()))) '())))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-14 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (IdrisC-45DocC-45String-getHintsForType arg-4 arg-3 arg-7))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-15 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (((let ((eff-3 (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (lambda (eta-4) (let ((e-2 (car eta-4))) (let ((e-3 (cdr eta-4))) (cons e-2 (eta-3 e-3)))))))))) (lambda (arg-10) (lambda (arg-11) ((((eff-3 'erased) 'erased) arg-10) arg-11)))) (lambda (u--cons) (PreludeC-45TypesC-45List-tailRecAppend u--tot (PreludeC-45TypesC-45List-tailRecAppend u--cons e-15)))) e-14))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))(else (csegen-4141)))))
(define IdrisC-45DocC-45String-case--getDocsForNameC-44getFieldsDoc-10369 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (if (null? arg-7) (lambda (eta-0) (vector 1 '())) (let ((e-2 (car arg-7))) (let ((e-3 (cdr arg-7))) (if (null? e-2) (lambda (eta-0) (vector 1 '())) (let ((e-5 (unbox e-2))) (let ((u--recNS (CoreC-45NameC-45Namespace-C-60C-46C-62 e-5 (CoreC-45NameC-45Namespace-mkNamespace e-3)))) (let ((eff-0 (let ((eff-0 arg-4)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--fields (CoreC-45Context-getFieldNames (let ((e-0 (vector-ref e-6 0))) e-0) u--recNS))) (if (null? u--fields) (lambda (eta-0) (vector 1 '())) (let ((e-7 (car u--fields))) (let ((e-4 (cdr u--fields))) (if (null? e-4) (let ((eff-1 (IdrisC-45DocC-45String-n--12205-8569-u--getFieldDoc arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-7))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-8 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (box (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45DocC-45Annotations-header ((csegen-331) "Projection")) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-annotate (vector 2 ) e-8))))))) eff-2))))))) (let ((eff-1 (CoreC-45Core-traverseC-39 (lambda (eta-0) (IdrisC-45DocC-45String-n--12205-8569-u--getFieldDoc arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 eta-0)) u--fields '()))) (PrimIO-io_bind eff-1 (csegen-4147)))))))))) eff-1)))))))))))))))
(define IdrisC-45DocC-45String-case--caseC-32blockC-32inC-32getDocsForNameC-44getFieldDoc-10208 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-12)) (let ((e-1 (car arg-13))) (let ((e-2 (cdr arg-13))) (if (null? e-1) (lambda (eta-0) (vector 1 arg-12)) (let ((e-6 (cdr e-1))) (cond ((equal? e-6 "") (lambda (clam-0) (if (null? e-2) (vector 1 arg-12) (if (null? e-2) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vcat (cons arg-12 (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-annotate (vector 4 ) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-annotate (vector 5 ) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vcat (IdrisC-45DocC-45String-n--12205-8559-u--reflowDoc arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-6)))) '())))) (vector 1 arg-12)))))(else (lambda (clam-1) (if (null? e-2) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vcat (cons arg-12 (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-annotate (vector 4 ) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-annotate (vector 5 ) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vcat (IdrisC-45DocC-45String-n--12205-8559-u--reflowDoc arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-6)))) '())))) (vector 1 arg-12))))))))))))
(define IdrisC-45DocC-45String-case--getDocsForNameC-44getIFaceDoc-10051 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8) (if (null? arg-8) '() (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-hsep (cons (IdrisC-45DocC-45Annotations-header (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "Parameters")) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-punctuate (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-comma) ((csegen-3586) arg-8)))) '()))))
(define IdrisC-45DocC-45String-case--getDocsForNameC-44getIFaceDoc-9909 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11) (case (vector-ref arg-11 0) ((4) '())(else (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-hsep (cons (IdrisC-45DocC-45Annotations-header (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "Constructor")) (cons (IdrisC-45DocC-45Annotations-dCon arg-11 (IdrisC-45DocC-45String-prettyName arg-11)) '()))) '())))))
(define IdrisC-45DocC-45String-case--getDocsForNameC-44getIFaceDoc-9819 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13) (if (null? arg-13) '() (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vcat (cons (IdrisC-45DocC-45Annotations-header (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-594) "Methods")) (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-annotate (vector 2 ) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vcat ((csegen-4140) arg-13))) '()))) '()))))
(define IdrisC-45DocC-45String-case--getDocsForNameC-44getIFaceDoc-9663 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16) (if (null? arg-16) '() (let ((e-2 (car arg-16))) (let ((e-3 (cdr arg-16))) (if (null? e-3) (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45DocC-45Annotations-header (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "Implementation")) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-annotate (vector 2 ) e-2)) '()) (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vcat (cons (csegen-4153) (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-annotate (vector 2 ) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vcat ((csegen-4140) arg-16))) '()))) '())))))))
(define IdrisC-45DocC-45String-case--getDocsForNameC-44getFixityDoc-9391 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9) (if (null? arg-9) '() (let ((e-2 (car arg-9))) (let ((e-3 (cdr arg-9))) (if (null? e-3) (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45DocC-45Annotations-header (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "Fixity Declaration")) e-2) '()) (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (csegen-4156) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-indent 2 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vcat arg-9))) '())))))))
(define IdrisC-45DocC-45String-case--getDocsForNameC-44getPrefixDoc-9237 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (if (null? arg-7) (lambda (eta-0) (vector 1 '())) (let ((e-1 (unbox arg-7))) (case (vector-ref e-1 0) ((0) (let ((e-2 (vector-ref e-1 1))) (let ((eff-0 (let ((eff-0 arg-3)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (clam-0) (let ((sc3 (LibrariesC-45DataC-45StringMap-lookup e-2 (let ((e-15 (vector-ref e-5 1))) e-15)))) (if (null? sc3) (vector 1 '()) (let ((e-3 (unbox sc3))) (let ((e-6 (cdr e-3))) (vector 1 (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 ((csegen-331) "prefix operator, level") (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-863) (PreludeC-45Show-u--show_Show_Nat e-6))) '()))))))))) eff-1)))))))))(else (lambda (eta-0) (vector 1 '()))))))))
(define IdrisC-45DocC-45String-case--getDocsForNameC-44getInfixDoc-9079 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (if (null? arg-7) (lambda (eta-0) (vector 1 '())) (let ((e-1 (unbox arg-7))) (case (vector-ref e-1 0) ((0) (let ((e-2 (vector-ref e-1 1))) (let ((eff-0 (let ((eff-0 arg-3)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((sc3 (LibrariesC-45DataC-45StringMap-lookup e-2 (let ((e-0 (vector-ref e-5 0))) e-0)))) (if (null? sc3) (lambda (eta-0) (vector 1 '())) (let ((e-3 (unbox sc3))) (lambda (clam-0) (let ((e-6 (cdr e-3))) (let ((e-9 (car e-6))) (let ((e-10 (cdr e-6))) (vector 1 (PreludeC-45Types-u--pure_Applicative_List (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-hsep (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-863) (IdrisC-45Syntax-u--show_Show_Fixity e-9)) (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "operator,") (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "level") (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-863) (PreludeC-45Show-u--show_Show_Nat e-10)) '())))))))))))))))) eff-1)))))))))(else (lambda (eta-0) (vector 1 '()))))))))
(define IdrisC-45DocC-45String-case--caseC-32blockC-32inC-32getDocsForNameC-44getDConDoc-8766 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13) (if (null? arg-13) (lambda (eta-0) (vector 1 arg-12)) (let ((e-1 (car arg-13))) (let ((e-2 (cdr arg-13))) (if (null? e-1) (lambda (eta-0) (vector 1 arg-12)) (let ((e-6 (cdr e-1))) (cond ((equal? e-6 "") (lambda (clam-0) (if (null? e-2) (vector 1 arg-12) (if (null? e-2) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vcat (cons arg-12 (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-annotate (vector 4 ) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-annotate (vector 5 ) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vcat (IdrisC-45DocC-45String-n--12205-8559-u--reflowDoc arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-6)))) '())))) (vector 1 arg-12)))))(else (lambda (clam-1) (if (null? e-2) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vcat (cons arg-12 (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-annotate (vector 4 ) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-annotate (vector 5 ) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vcat (IdrisC-45DocC-45String-n--12205-8559-u--reflowDoc arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-6)))) '())))) (vector 1 arg-12))))))))))))
(define IdrisC-45DocC-45String-case--getImplDocs-8036 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (if (null? arg-5) '() (let ((e-2 (car arg-5))) (let ((e-3 (cdr arg-5))) (if (null? e-3) (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45DocC-45Annotations-header (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-594) "Hint")) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-annotate (vector 2 ) e-2)) '()) (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vcat (cons (csegen-4161) (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-annotate (vector 2 ) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vcat ((csegen-4140) arg-5))) '()))) '())))))))
(define IdrisC-45DocC-45String-case--prettyName-7611 (lambda (arg-0 arg-1) (if (null? arg-1) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-863) (CoreC-45Name-nameRoot arg-0)) (let ((e-2 (unbox arg-1))) (let ((sc1 (CoreC-45Name-isOpUserName e-2))) (cond ((equal? sc1 1) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-parens (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-3594) e-2))) (else (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-3594) e-2))))))))
(define IdrisC-45DocC-45String-n--18112-13886-u--visible (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (let ((eff-0 (CoreC-45Context-lookupCtxtExact arg-5 (let ((e-0 (vector-ref arg-4 0))) e-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (clam-0) (if (null? e-5) (vector 1 0) (let ((e-1 (unbox e-5))) (vector 1 (CoreC-45TT-u--C-47C-61_Eq_Visibility (let ((e-9 (vector-ref e-1 9))) e-9) 0))))))) eff-1)))))))))
(define IdrisC-45DocC-45String-n--12205-8561-u--showVisible (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (csegen-4163) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-annotate (vector 6 (vector 5 )) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-4061) arg-6)))))
(define IdrisC-45DocC-45String-n--12205-8560-u--showTotal (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (let ((e-0 (car arg-6))) (case (vector-ref e-0 0) ((0) '())(else (box (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (csegen-4165) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-annotate (vector 6 (vector 5 )) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-4167) arg-6)))))))))
(define IdrisC-45DocC-45String-n--12205-8558-u--showDoc (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (let ((e-0 (vector-ref arg-6 0))) (let ((e-1 (vector-ref arg-6 1))) (let ((e-2 (vector-ref arg-6 2))) (let ((e-3 (vector-ref arg-6 3))) (let ((e-6 (car arg-7))) (let ((e-7 (cdr arg-7))) (let ((eff-0 (let ((eff-0 arg-4)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-lookupCtxtExact e-6 (let ((e-38 (vector-ref e-5 0))) e-38)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-8 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-8) (CoreC-45Context-undefinedName arg-4 arg-2 e-6) (let ((e-4 (unbox e-8))) (let ((eff-2 (cond ((equal? e-3 1) (IdrisC-45DocC-45String-n--12205-8571-u--getExtra arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-6 e-4)) (else (csegen-4141))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-9 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-2 1))) (let ((eff-3 (let ((e-11 (car e-9))) (let ((e-10 (cdr e-9))) (let ((eff-3 (PreludeC-45Basics-flip (lambda (eta-0) (lambda (eta-1) (let ((eff-3 eta-0)) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-12 (vector-ref lcase-3 1))) (lambda (eta-2) (vector 0 e-12)))) (else (let ((e-12 (vector-ref lcase-3 1))) (let ((eff-4 (eta-1 e-12))) eff-4))))))))) (lambda (eta-0) (IdrisC-45Resugar-resugar '() arg-4 arg-3 '() eta-0)) (CoreC-45Normalise-normaliseHoles arg-4 '() e-5 '() (let ((e-31 (vector-ref e-4 2))) e-31))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-12 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-12)))) (else (let ((e-12 (vector-ref lcase-3 1))) (let ((eff-4 (let ((u--ty (cond ((equal? e-2 1) ((case (vector-ref e-12 0) ((1) (let ((e-16 (vector-ref e-12 3))) (let ((e-13 (vector-ref e-12 6))) (case (vector-ref e-16 0) ((2) (lambda () e-13))(else (lambda () e-12))))))(else (lambda () e-12))))) (else e-12)))) (let ((eff-4 (CoreC-45Context-aliasName arg-4 e-6))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-13 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-4 1))) (let ((eff-5 (let ((u--prig (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-reAnnotate (lambda (eta-0) (vector 6 eta-0)) (IdrisC-45PrettyC-45Annotations-prettyRig (let ((e-28 (vector-ref e-4 7))) e-28))))) (let ((u--cat (IdrisC-45Pretty-showCategory (lambda (eta-0) (vector 6 eta-0)) e-4))) (let ((u--nm (IdrisC-45DocC-45String-prettyKindedName e-11 (u--cat (cond ((equal? e-1 1) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-863) (CoreC-45Name-u--show_Show_Name e-13))) (else (IdrisC-45DocC-45String-prettyName e-13))))))) (let ((u--deprecated (let ((sc8 (PreludeC-45Types-elem (csegen-16) (csegen-1601) (vector 2 ) (let ((e-24 (vector-ref e-4 11))) e-24)))) (cond ((equal? sc8 1) (((csegen-380) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-annotate (vector 1 ) ((csegen-331) "=DEPRECATED="))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-line))) (else (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-emptyDoc)))))) (let ((u--docDecl (((csegen-380) u--deprecated) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-annotate (vector 3 e-6) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-hsep (cons (((csegen-380) u--prig) u--nm) (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-colon) (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-prettyBy (csegen-3988) (lambda (eta-0) (vector 6 eta-0)) u--ty) '())))))))) (let ((u--docText (let ((u--docs (IdrisC-45DocC-45String-n--12205-8559-u--reflowDoc arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-7))) ((PreludeC-45Interfaces-C-60C-36 (csegen-76) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-annotate (vector 5 ) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vcat u--docs))) (PreludeC-45Interfaces-guard (csegen-326) (let ((sc8 (PreludeC-45Types-u--null_Foldable_List u--docs))) (cond ((equal? sc8 1) 0) (else 1)))))))) (let ((eff-5 (IdrisC-45DocC-45String-n--12205-8567-u--getFixityDoc arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-6))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-14 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-5 1))) (let ((eff-6 (let ((u--docBody (let ((u--docs ((PreludeC-45Types-maybe (lambda () (lambda (eta-0) eta-0)) (lambda () (csegen-152)) u--docText) ((csegen-4140) (PreludeC-45TypesC-45List-tailRecAppend e-10 e-14))))) ((PreludeC-45Interfaces-C-60C-36 (csegen-24) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-annotate (vector 4 ) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-concatWith (lambda (u--l) (lambda (u--r) (((csegen-380) (((csegen-380) u--l) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-hardline))) u--r))) u--docs))) (PreludeC-45Interfaces-guard (csegen-1889) (let ((sc9 (PreludeC-45Types-u--null_Foldable_List u--docs))) (cond ((equal? sc9 1) 0) (else 1)))))))) (let ((u--maybeDocDecl (PreludeC-45Interfaces-C-62C-62 (csegen-614) (PreludeC-45Interfaces-guard (csegen-326) e-0) (lambda () (box u--docDecl))))) (lambda (eta-0) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vcat (DataC-45List-catMaybes (cons u--maybeDocDecl ((csegen-1033) u--docBody)))))))))) eff-6))))))))))))))) eff-5)))))))))) eff-4))))))))))) eff-3))))))))))) eff-2))))))))) eff-1)))))))))))))))
(define IdrisC-45DocC-45String-n--12205-8559-u--reflowDoc (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (((csegen-25) (lambda (eta-0) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-indent 2 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-863) eta-0)))) (DataC-45String-lines arg-6))))
(define IdrisC-45DocC-45String-n--11963-8315-u--primTyDoc (lambda (arg-0 arg-1 arg-2 arg-3) (cond ((equal? arg-3 0) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "Primitive type of bounded signed integers (backend dependent size)")) ((equal? arg-3 1) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "Primitive type of 8 bits signed integers")) ((equal? arg-3 2) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "Primitive type of 16 bits signed integers")) ((equal? arg-3 3) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "Primitive type of 32 bits signed integers")) ((equal? arg-3 4) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "Primitive type of 64 bits signed integers")) ((equal? arg-3 5) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "Primitive type of unbounded signed integers")) ((equal? arg-3 6) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "Primitive type of 8 bits unsigned integers")) ((equal? arg-3 7) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "Primitive type of 16 bits unsigned integers")) ((equal? arg-3 8) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "Primitive type of 32 bits unsigned integers")) ((equal? arg-3 9) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "Primitive type of 64 bits unsigned integers")) ((equal? arg-3 10) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "Primitive type of strings")) ((equal? arg-3 11) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "Primitive type of characters")) ((equal? arg-3 12) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "Primitive type of double-precision floating-points")) (else (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "Primitive type of tokens for IO actions")))))
(define IdrisC-45DocC-45String-n--11963-8316-u--primDoc (lambda (arg-0 arg-1 arg-2 arg-3) (case (vector-ref arg-3 0) ((0) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "Primitive signed int value (backend-dependent precision)")) ((1) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "Primitive signed 8 bits value")) ((2) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "Primitive signed 16 bits value")) ((3) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "Primitive signed 32 bits value")) ((4) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "Primitive signed 64 bits value")) ((5) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "Primitive unsigned int value (backend-dependent precision)")) ((6) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "Primitive unsigned 8 bits value")) ((7) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "Primitive unsigned 16 bits value")) ((8) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "Primitive unsigned 32 bits value")) ((9) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "Primitive unsigned 64 bits value")) ((10) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "Primitive string value")) ((11) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "Primitive character value")) ((12) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "Primitive double value")) ((13) (let ((e-13 (vector-ref arg-3 1))) (IdrisC-45DocC-45String-n--11963-8315-u--primTyDoc arg-0 arg-1 arg-2 e-13))) (else (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "Primitive token for IO actions")))))
(define IdrisC-45DocC-45String-n--18112-13887-u--inNS (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (case (vector-ref arg-4 0) ((0) (let ((e-0 (vector-ref arg-4 1))) (let ((e-1 (vector-ref arg-4 2))) (case (vector-ref e-1 0) ((1) (CoreC-45NameC-45Namespace-isParentOf arg-0 e-0))(else 0)))))(else 0))))
(define IdrisC-45DocC-45String-n--12205-8566-u--getPrefixDoc (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (IdrisC-45DocC-45String-case--getDocsForNameC-44getPrefixDoc-9237 arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 (CoreC-45Name-userNameRoot arg-6))))
(define IdrisC-45DocC-45String-n--12205-8564-u--getMethDoc (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (let ((eff-0 (let ((eff-0 arg-3)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((sc1 (LibrariesC-45DataC-45ANameMap-lookupName (let ((e-0 (vector-ref arg-6 0))) e-0) (let ((e-8 (vector-ref e-5 8))) e-8)))) (if (null? sc1) (lambda (eta-0) (vector 1 '())) (let ((e-1 (car sc1))) (let ((e-2 (cdr sc1))) (if (null? e-2) (let ((eff-1 (IdrisC-45DocC-45String-n--12205-8558-u--showDoc arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 (IdrisC-45DocC-45String-methodsConfig) e-1))) (((csegen-50) ((let ((eff-2 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-3 (vector-ref eta-3 1))) (vector 0 e-3))) (else (let ((e-6 (vector-ref eta-3 1))) (vector 1 (eta-2 e-6))))))))))) (lambda (arg-7) (lambda (arg-8) ((((eff-2 'erased) 'erased) arg-7) arg-8)))) (lambda (eta-0) (PreludeC-45Types-u--pure_Applicative_List eta-0)))) eff-1)) (lambda (eta-0) (vector 1 '()))))))))) eff-1)))))))))
(define IdrisC-45DocC-45String-n--12205-8565-u--getInfixDoc (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (IdrisC-45DocC-45String-case--getDocsForNameC-44getInfixDoc-9079 arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 (CoreC-45Name-userNameRoot arg-6))))
(define IdrisC-45DocC-45String-n--12205-8563-u--getImplDoc (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (let ((eff-0 (let ((eff-0 arg-4)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-lookupCtxtExact arg-6 (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-6) (lambda (eta-0) (vector 1 '())) (let ((e-1 (unbox e-6))) (let ((eff-2 (IdrisC-45DocC-45String-prettyType arg-4 arg-3 (lambda (eta-0) (vector 6 eta-0)) (let ((e-2 (vector-ref e-1 2))) e-2)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-annotate (vector 3 arg-6) e-7) '()))))) eff-3))))))))))) eff-2))))))))) eff-1)))))))))
(define IdrisC-45DocC-45String-n--12205-8568-u--getIFaceDoc (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (let ((e-2 (car arg-6))) (let ((e-3 (cdr arg-6))) (let ((u--params (IdrisC-45DocC-45String-case--getDocsForNameC-44getIFaceDoc-10051 arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-2 e-3 (let ((e-7 (vector-ref e-3 2))) e-7)))) (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (IdrisC-45Resugar-pterm arg-4 arg-3 (TTImpC-45TTImpC-45Functor-u--map_Functor_RawImpC-39 (lambda (eta-1) (CoreC-45TT-defaultKindedName eta-1)) eta-0))) (let ((e-6 (vector-ref e-3 3))) e-6) '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--constraints (if (null? e-5) '() (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-hsep (cons (IdrisC-45DocC-45Annotations-header ((csegen-331) "Constraints")) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-punctuate (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-comma) (((csegen-25) (lambda (eta-0) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-prettyBy (csegen-3988) (lambda (eta-1) (vector 6 eta-1)) eta-0))) e-5)))) '())))) (let ((u--icon (IdrisC-45DocC-45String-case--getDocsForNameC-44getIFaceDoc-9909 arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-2 e-3 u--params e-5 u--constraints (CoreC-45Name-dropNS (let ((e-0 (vector-ref e-3 0))) e-0))))) (let ((eff-1 (CoreC-45Core-traverseC-39 (lambda (eta-0) (IdrisC-45DocC-45String-n--12205-8564-u--getMethDoc arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 eta-0)) (let ((e-4 (vector-ref e-3 4))) e-4) '()))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((u--meths (IdrisC-45DocC-45String-case--getDocsForNameC-44getIFaceDoc-9819 arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-2 e-3 u--params e-5 u--constraints u--icon e-6 (PreludeC-45Interfaces-concat (csegen-83) (csegen-16) e-6)))) (let ((eff-2 (CoreC-45Context-getSearchData arg-4 arg-2 0 e-2))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (let ((e-1 (cdr e-7))) (if (null? e-1) (lambda (eta-0) (vector 1 '())) (let ((e-8 (car e-1))) (let ((e-9 (cdr e-8))) (CoreC-45Core-traverseC-39 (lambda (eta-0) (IdrisC-45DocC-45String-n--12205-8563-u--getImplDoc arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 eta-0)) e-9 '()))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-4 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((u--insts (IdrisC-45DocC-45String-case--getDocsForNameC-44getIFaceDoc-9663 arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-2 e-3 u--params e-5 u--constraints u--icon e-6 u--meths e-7 e-8 (PreludeC-45Interfaces-concat (csegen-83) (csegen-16) e-8)))) (lambda (eta-0) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vcat (PreludeC-45TypesC-45List-tailRecAppend u--params (PreludeC-45TypesC-45List-tailRecAppend u--constraints (PreludeC-45TypesC-45List-tailRecAppend u--icon (PreludeC-45TypesC-45List-tailRecAppend u--meths u--insts)))))))))) eff-4))))))))) eff-3)))))))))) eff-2))))))))))) eff-1))))))))))))
(define IdrisC-45DocC-45String-n--12205-8567-u--getFixityDoc (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (let ((eff-0 (IdrisC-45DocC-45String-n--12205-8565-u--getInfixDoc arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (IdrisC-45DocC-45String-n--12205-8566-u--getPrefixDoc arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (IdrisC-45DocC-45String-case--getDocsForNameC-44getFixityDoc-9391 arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-5 e-6 (PreludeC-45TypesC-45List-tailRecAppend e-5 e-6)))))) eff-2))))))))) eff-1)))))))))
(define IdrisC-45DocC-45String-n--12205-8570-u--getFieldsDoc (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (IdrisC-45DocC-45String-case--getDocsForNameC-44getFieldsDoc-10369 arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 (CoreC-45Name-displayName arg-6))))
(define IdrisC-45DocC-45String-n--12205-8569-u--getFieldDoc (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (let ((eff-0 (let ((eff-0 arg-3)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 arg-4)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (unbox eff-2))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-lookupCtxtExact arg-6 (let ((e-0 (vector-ref e-6 0))) e-0)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (if (null? e-7) (lambda (eta-0) (vector 1 (vector 0 ))) (let ((e-1 (unbox e-7))) (let ((eff-3 (IdrisC-45DocC-45String-prettyType arg-4 arg-3 (lambda (eta-0) (vector 6 eta-0)) (let ((e-2 (vector-ref e-1 2))) e-2)))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((u--projDecl (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-annotate (vector 3 arg-6) (((csegen-380) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-reAnnotate (lambda (eta-0) (vector 6 eta-0)) (IdrisC-45PrettyC-45Annotations-prettyRig (let ((e-23 (vector-ref e-1 7))) e-23)))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-hsep (cons (IdrisC-45DocC-45Annotations-fun arg-6 (IdrisC-45DocC-45String-prettyName arg-6)) (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-colon) (cons e-8 '())))))))) (let ((_-0 (box e-1))) (IdrisC-45DocC-45String-case--caseC-32blockC-32inC-32getDocsForNameC-44getFieldDoc-10208 arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-5 e-6 e-1 _-0 e-8 u--projDecl (LibrariesC-45DataC-45ANameMap-lookupName arg-6 (let ((e-13 (vector-ref e-5 8))) e-13))))))) eff-4))))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))
(define IdrisC-45DocC-45String-n--12205-8571-u--getExtra (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (let ((eff-0 (let ((eff-0 arg-3)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((sc1 (LibrariesC-45DataC-45ANameMap-lookupName arg-6 (let ((e-6 (vector-ref e-5 6))) e-6)))) (if (null? sc1) (IdrisC-45DocC-45String-case--caseC-32blockC-32inC-32getDocsForNameC-44getExtra-10611 arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-7 arg-6 e-5 (let ((e-17 (vector-ref arg-7 17))) e-17)) (let ((e-2 (car sc1))) (let ((e-3 (cdr sc1))) (if (null? e-3) (let ((eff-1 (IdrisC-45DocC-45String-n--12205-8568-u--getIFaceDoc arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-2))) (((csegen-50) ((let ((eff-2 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-4 (vector-ref eta-3 1))) (vector 0 e-4))) (else (let ((e-6 (vector-ref eta-3 1))) (vector 1 (eta-2 e-6))))))))))) (lambda (arg-8) (lambda (arg-9) ((((eff-2 'erased) 'erased) arg-8) arg-9)))) (lambda (eta-0) (cons (box "interface") (PreludeC-45Types-u--pure_Applicative_List eta-0))))) eff-1)) (csegen-4141)))))))) eff-1)))))))))
(define IdrisC-45DocC-45String-n--12205-8562-u--getDConDoc (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (let ((eff-0 (let ((eff-0 arg-4)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-lookupCtxtExact arg-6 (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-6) (lambda (eta-0) (vector 1 (vector 0 ))) (let ((e-1 (unbox e-6))) (let ((eff-2 (let ((eff-2 arg-3)) (PrimIO-io_bind (let ((eff-3 eff-2)) (lambda (eta-0) (unbox eff-3))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (IdrisC-45DocC-45String-prettyType arg-4 arg-3 (lambda (eta-0) (vector 6 eta-0)) (let ((e-2 (vector-ref e-1 2))) e-2)))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((u--conWithTypeDoc (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-annotate (vector 3 arg-6) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-hsep (cons (IdrisC-45DocC-45Annotations-dCon arg-6 (IdrisC-45DocC-45String-prettyName arg-6)) (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-colon) (cons e-8 '()))))))) (let ((_-0 (box e-1))) (IdrisC-45DocC-45String-case--caseC-32blockC-32inC-32getDocsForNameC-44getDConDoc-8766 arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-5 e-1 _-0 e-7 e-8 u--conWithTypeDoc (LibrariesC-45DataC-45ANameMap-lookupName arg-6 (let ((e-13 (vector-ref e-7 8))) e-13))))))) eff-4))))))))) eff-3))))))))))) eff-2))))))))) eff-1)))))))))
(define IdrisC-45DocC-45String-summarise (lambda (arg-0 arg-1 arg-2) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-lookupCtxtExact arg-2 (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-6) (csegen-3576) (let ((e-1 (unbox e-6))) (let ((eff-2 (IdrisC-45DocC-45String-prettyType arg-0 arg-1 (lambda (eta-0) (vector 6 eta-0)) (let ((e-2 (vector-ref e-1 2))) e-2)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (((csegen-380) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-reAnnotate (lambda (eta-1) (vector 6 eta-1)) (IdrisC-45PrettyC-45Annotations-prettyRig (let ((e-22 (vector-ref e-1 7))) e-22)))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-hsep (cons ((IdrisC-45Pretty-showCategory (lambda (eta-1) (vector 6 eta-1)) e-1) (IdrisC-45DocC-45String-prettyName arg-2)) (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-colon) (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-hang 0 e-7) '()))))))))) eff-3))))))))))) eff-2))))))))) eff-1)))))))))
(define IdrisC-45DocC-45String-shortNamesConfig(blodwen-lazy (lambda () (vector 1 0 0 1))))
(define IdrisC-45DocC-45String-prettyType (lambda (arg-1 arg-2 arg-3 arg-4) (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Normalise-normaliseHoles arg-1 '() e-5 '() arg-4))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-1 (csegen-105) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (IdrisC-45Resugar-resugar '() arg-1 arg-2 '() e-7))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-prettyBy (csegen-3988) arg-3 e-8))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))
(define IdrisC-45DocC-45String-prettyName (lambda (arg-0) (IdrisC-45DocC-45String-case--prettyName-7611 arg-0 (CoreC-45Name-userNameRoot arg-0))))
(define IdrisC-45DocC-45String-prettyKindedName (lambda (arg-0 arg-1) (if (null? arg-0) arg-1 (let ((e-2 (unbox arg-0))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-annotate (vector 6 (vector 5 )) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-863) e-2)) arg-1)))))
(define IdrisC-45DocC-45String-methodsConfig(blodwen-lazy (lambda () (vector 1 0 1 0))))
(define IdrisC-45DocC-45String-justUserDoc(blodwen-lazy (lambda () (vector 0 0 1 0))))
(define IdrisC-45DocC-45String-getImplDocs (lambda (arg-0 arg-1 arg-2) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (PreludeC-45Basics-flip (csegen-1569) (PreludeC-45Interfaces-concat (csegen-83) (csegen-16) (LibrariesC-45DataC-45NameMap-values (let ((e-7 (vector-ref e-5 7))) e-7))) (lambda (lamc-0) (let ((e-2 (car lamc-0))) (let ((eff-1 (CoreC-45Context-lookupCtxtExact e-2 (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-6) (lambda (eta-0) (vector 1 '())) (let ((e-1 (unbox e-6))) (let ((sc4 (CoreC-45ContextC-45Context-defNameType (let ((e-17 (vector-ref e-1 17))) e-17)))) (if (null? sc4) (lambda (eta-0) (vector 1 '())) (let ((e-4 (unbox sc4))) (case (vector-ref e-4 0) ((1) (let ((eff-2 (let ((eff-2 (CoreC-45Normalise-normaliseHoles arg-0 '() e-5 '() (let ((e-26 (vector-ref e-1 2))) e-26)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-7 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-7))) eff-3))))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-7 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (arg-2 e-7))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-8 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (cond ((equal? e-8 1) (let ((eff-4 (IdrisC-45Resugar-resugar '() arg-0 arg-1 '() e-7))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-9 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-annotate (vector 3 e-2) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-prettyBy (csegen-3988) (lambda (eta-1) (vector 6 eta-1)) e-9)) '()))))) eff-5)))))))) (else (lambda (eta-0) (vector 1 '())))))) eff-4))))))))) eff-3))))))))(else (lambda (eta-0) (vector 1 '()))))))))))) eff-2)))))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (IdrisC-45DocC-45String-case--getImplDocs-8036 arg-2 arg-1 arg-0 e-5 e-6 (PreludeC-45Interfaces-concat (csegen-83) (csegen-16) e-6)))))) eff-2))))))))) eff-1)))))))))
(define IdrisC-45DocC-45String-getHintsForType (lambda (arg-0 arg-1 arg-2) (let ((eff-0 (CoreC-45ContextC-45Log-log arg-0 "doc.data" 10 (lambda () (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons "Looking at " (cons (CoreC-45Name-u--show_Show_Name arg-2) '()))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (IdrisC-45DocC-45String-getImplDocs arg-0 arg-1 (lambda (u--ty) (let ((u--nms (CoreC-45TTC-45Traversals-allGlobals u--ty))) (let ((eff-1 (CoreC-45ContextC-45Log-log arg-0 "doc.data" 10 (lambda () (DataC-45String-fastUnlines (cons (string-append "Candidate: " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() u--ty)) (cons (string-append "Containing names: " (LibrariesC-45DataC-45NameMap-u--show_Show_C-40NameMapC-32C-36vC-41 (cons (lambda (u--x) (PreludeC-45Show-u--show_Show_C-40C-124UnitC-44MkUnitC-124C-41 u--x)) (lambda (u--d) (lambda (u--x) (PreludeC-45Show-u--showPrec_Show_C-40C-124UnitC-44MkUnitC-124C-41 u--d u--x)))) u--nms)) '()))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (lambda (eta-0) (vector 1 (DataC-45Maybe-isJust (LibrariesC-45DataC-45NameMap-lookup arg-2 u--nms)))))) eff-2))))))))))) eff-1))))))))
(define IdrisC-45DocC-45String-getHintsForPrimitive (lambda (arg-0 arg-1 arg-2) (let ((eff-0 (CoreC-45ContextC-45Log-log arg-0 "doc.data" 10 (lambda () (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons "Looking at " (cons (CoreC-45TT-u--show_Show_Constant arg-2) '()))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (IdrisC-45DocC-45String-getImplDocs arg-0 arg-1 (lambda (u--ty) (let ((u--nms (CoreC-45TTC-45Traversals-allConstants u--ty))) (let ((eff-1 (CoreC-45ContextC-45Log-log arg-0 "doc.data" 10 (lambda () (DataC-45String-fastUnlines (cons (string-append "Candidate: " (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 '() u--ty)) (cons (string-append "Containing constants: " (LibrariesC-45DataC-45SortedSet-u--show_Show_C-40SortedSetC-32C-36kC-41 (csegen-2159) u--nms)) '()))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (lambda (eta-0) (vector 1 (LibrariesC-45DataC-45SortedSet-contains arg-2 u--nms))))) eff-2))))))))))) eff-1))))))))
(define IdrisC-45DocC-45String-getDocsForPrimitive (lambda (arg-0 arg-1 arg-2) (let ((sc0 (TTImpC-45ElabC-45Prim-checkPrim (vector 2 ) arg-2))) (let ((e-3 (cdr sc0))) (let ((eff-0 (IdrisC-45Resugar-resugar '() arg-0 arg-1 '() e-3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--typeString (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-prettyBy (cons (lambda (arg-8762) (CoreC-45TT-u--pretty_Pretty_IdrisSyntax_Constant arg-8762)) (lambda (arg-8768) (lambda (arg-8771) (CoreC-45TT-u--prettyPrec_Pretty_IdrisSyntax_Constant arg-8768 arg-8771)))) (lambda (eta-0) (vector 6 eta-0)) arg-2) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-colon) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-prettyBy (csegen-3988) (lambda (eta-0) (vector 6 eta-0)) e-5))))) (let ((eff-1 (IdrisC-45DocC-45String-getHintsForPrimitive arg-0 arg-1 arg-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vcat (cons u--typeString (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-indent 2 (IdrisC-45DocC-45String-n--11963-8316-u--primDoc arg-2 arg-1 arg-0 arg-2)) e-6))))))) eff-2)))))))))) eff-1)))))))))))
(define IdrisC-45DocC-45String-getDocsForPTerm (lambda (arg-0 arg-1 arg-2 arg-3) (case (vector-ref arg-3 0) ((0) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (IdrisC-45DocC-45String-getDocsForName arg-0 arg-1 arg-2 e-1 e-2 (csegen-4187))))) ((15) (let ((e-5 (vector-ref arg-3 2))) (IdrisC-45DocC-45String-getDocsForPrimitive arg-1 arg-2 e-5))) ((22) (lambda (eta-0) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vcat (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "Type : Type") (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-indent 2 ((csegen-331) "The type of all types is Type. The type of Type is Type.")) '())))))) ((33) (lambda (eta-0) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vcat (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "String Literal") (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-indent 2 ((csegen-331) "Desugars to a fromString call")) '())))))) ((38) (lambda (eta-0) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vcat (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "List Literal") (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-indent 2 ((csegen-331) "Desugars to (::) and Nil")) '())))))) ((39) (lambda (eta-0) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vcat (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "SnocList Literal") (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-indent 2 ((csegen-331) "Desugars to (:<) and Lin")) '())))))) ((40) (lambda (eta-0) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vcat (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "Pair Literal") (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-indent 2 ((csegen-331) "Desugars to MkPair or Pair")) '())))))) ((41) (lambda (eta-0) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vcat (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "Dependant Pair Literal") (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-indent 2 ((csegen-331) "Desugars to MkDPair or DPair")) '())))))) ((42) (lambda (eta-0) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vcat (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "Unit Literal") (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-indent 2 ((csegen-331) "Desugars to MkUnit or Unit")) '()))))))(else (lambda (eta-0) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 ((csegen-331) "Docs not implemented for") (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-863) (IdrisC-45Syntax-u--show_Show_PTerm arg-3)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "yet")))))))))
(define IdrisC-45DocC-45String-getDocsForName (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (let ((eff-0 (let ((eff-0 arg-2)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 arg-1)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (unbox eff-2))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((u--extra (let ((sc2 (CoreC-45Name-nameRoot arg-4))) (cond ((equal? sc2 "-") (cons (vector 0 (CoreC-45NameC-45Namespace-numNS) (vector 1 (vector 0 "negate"))) '()))(else '()))))) (let ((eff-2 (CoreC-45Context-lookupCtxtName arg-4 (let ((e-0 (vector-ref e-6 0))) e-0)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (IdrisC-45DocC-45String-case--getDocsForName-11773 arg-5 arg-4 arg-3 arg-2 arg-1 arg-0 e-5 e-6 u--extra e-7 (PreludeC-45TypesC-45List-tailRecAppend u--extra ((csegen-101) e-7))))) eff-3)))))))))) eff-2))))))))) eff-1)))))))))
(define IdrisC-45DocC-45String-getDocsForImplementation (lambda (arg-0 arg-1 arg-2) (IdrisC-45DocC-45String-case--getDocsForImplementation-11991 arg-2 arg-1 arg-0 (IdrisC-45SyntaxC-45Views-getFnArgs (lambda (eta-0) eta-0) arg-2))))
(define IdrisC-45DocC-45String-getDocs (lambda (arg-0 arg-1 arg-2 arg-3) (case (vector-ref arg-3 0) ((3) (let ((e-0 (vector-ref arg-3 1))) (IdrisC-45DocC-45String-getDocsForPTerm arg-0 arg-1 arg-2 e-0))) ((1) (let ((e-1 (vector-ref arg-3 1))) (lambda (eta-0) (vector 1 (IdrisC-45DocC-45Keywords-getDocsForSymbol e-1))))) ((2) (let ((e-2 (vector-ref arg-3 1))) (lambda (eta-0) (vector 1 (IdrisC-45DocC-45Brackets-getDocsForBracket e-2))))) ((0) (let ((e-3 (vector-ref arg-3 1))) (lambda (eta-0) (vector 1 (IdrisC-45DocC-45Keywords-getDocsForKeyword e-3))))) (else (let ((e-4 (vector-ref arg-3 1))) (let ((eff-0 (let ((eff-0 arg-2)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (clam-0) (let ((sc2 (LibrariesC-45DataC-45SortedMap-lookup e-4 (let ((e-3 (vector-ref e-5 3))) e-3)))) (if (null? sc2) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 56 (CoreC-45FC-replFC) e-4) clam-0) (let ((e-1 (unbox sc2))) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-863) e-1)))))))) eff-1))))))))))))
(define IdrisC-45DocC-45String-getContents (lambda (arg-0 arg-1 arg-2 arg-3) (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-allNames (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((u--allNs (PreludeC-45TypesC-45List-filterAppend '() (lambda (eta-0) (IdrisC-45DocC-45String-n--18112-13887-u--inNS arg-3 arg-2 arg-1 arg-0 eta-0)) e-6))) (let ((eff-2 (CoreC-45Core-filterM (lambda (eta-0) (IdrisC-45DocC-45String-n--18112-13886-u--visible arg-3 arg-2 arg-1 arg-0 e-5 eta-0)) u--allNs))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (IdrisC-45DocC-45String-summarise arg-1 arg-2 eta-0)) (DataC-45List-sort (csegen-1609) e-7) '()))) (((csegen-50) ((let ((eff-4 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-8 (vector-ref eta-3 1))) (vector 1 (eta-2 e-8))))))))))) (lambda (arg-4) (lambda (arg-5) ((((eff-4 'erased) 'erased) arg-4) arg-5)))) (lambda (eta-0) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vsep eta-0)))) eff-3)))) eff-3)))))))))) eff-2))))))))) eff-1)))))))))
(define IdrisC-45DocC-45String-addDocStringNS (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (let ((eff-0 (CoreC-45Context-inCurrentNS arg-0 arg-3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--nC-39 (case (vector-ref e-5 0) ((0) (let ((e-0 (vector-ref e-5 1))) (let ((e-1 (vector-ref e-5 2))) (vector 0 (CoreC-45NameC-45Namespace-C-60C-46C-62 e-0 arg-2) e-1))))(else (vector 0 arg-2 e-5))))) (let ((eff-1 (let ((eff-1 arg-1)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (unbox eff-2))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 arg-1)) (PrimIO-io_bind (let ((eff-3 eff-2)) (lambda (eta-0) (set-box! eff-3 (let ((e-0 (vector-ref e-6 0))) (let ((e-1 (vector-ref e-6 1))) (let ((e-2 (vector-ref e-6 2))) (let ((e-3 (vector-ref e-6 3))) (let ((e-4 (vector-ref e-6 4))) (let ((e-14 (vector-ref e-6 5))) (let ((e-13 (vector-ref e-6 6))) (let ((e-7 (vector-ref e-6 7))) (let ((e-8 (vector-ref e-6 8))) (let ((e-9 (vector-ref e-6 9))) (let ((e-10 (vector-ref e-6 10))) (let ((e-11 (vector-ref e-6 11))) (let ((e-12 (vector-ref e-6 12))) (vector e-0 e-1 e-2 e-3 e-4 e-14 e-13 (LibrariesC-45DataC-45NameMap-insert u--nC-39 (vector 0 ) e-7) (LibrariesC-45DataC-45ANameMap-addName u--nC-39 arg-4 e-8) e-9 e-10 e-11 e-12))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-2)))))))))) eff-1)))))))))
(define IdrisC-45DocC-45String-addDocString (lambda (arg-0 arg-1 arg-2 arg-3) (let ((eff-0 (CoreC-45Context-inCurrentNS arg-0 arg-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45ContextC-45Log-log arg-0 "doc.record" 50 (lambda () (string-append "Adding doc for " (string-append (CoreC-45Name-u--show_Show_Name arg-2) (string-append " (aka " (string-append (CoreC-45Name-u--show_Show_Name e-5) " in current NS)")))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (let ((eff-2 arg-1)) (PrimIO-io_bind (let ((eff-3 eff-2)) (lambda (eta-0) (unbox eff-3))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 arg-1)) (PrimIO-io_bind (let ((eff-4 eff-3)) (lambda (eta-0) (set-box! eff-4 (let ((e-0 (vector-ref e-7 0))) (let ((e-1 (vector-ref e-7 1))) (let ((e-2 (vector-ref e-7 2))) (let ((e-3 (vector-ref e-7 3))) (let ((e-4 (vector-ref e-7 4))) (let ((e-15 (vector-ref e-7 5))) (let ((e-14 (vector-ref e-7 6))) (let ((e-13 (vector-ref e-7 7))) (let ((e-8 (vector-ref e-7 8))) (let ((e-9 (vector-ref e-7 9))) (let ((e-10 (vector-ref e-7 10))) (let ((e-11 (vector-ref e-7 11))) (let ((e-12 (vector-ref e-7 12))) (vector e-0 e-1 e-2 e-3 e-4 e-15 e-14 (LibrariesC-45DataC-45NameMap-insert e-5 (vector 0 ) e-13) (LibrariesC-45DataC-45ANameMap-addName e-5 arg-3 e-8) e-9 e-10 e-11 e-12))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-3))))))))) eff-2)))))))) eff-1)))))))))
(define IdrisC-45DocC-45Brackets-getDocsForBracket (lambda (arg-0) (cond ((equal? arg-0 0) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vcat (cons (IdrisC-45DocC-45Annotations-header (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "Idiom brackets")) (cons (csegen-3574) ((csegen-4140) (cons ((csegen-331) (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons "Idiom brackets allow for easier application of `Applicative`s\xa;\xa;Adding two `Maybe Int`s can be written using `<*>` and `pure`\xa;\xa;```idris\xa;addMaybe : Maybe Int -> Maybe Int -> Maybe Int\xa;addMaybe x y = pure (+) <*> x <*> y\xa;```\xa;\xa;This can be expressed more concisely as:\xa;\xa;```idris\xa;addMaybe : Maybe Int -> Maybe Int -> Maybe Int\xa;addMaybe x y= [| x + y |]\xa;```" '()))) '())))))) ((equal? arg-0 1) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vcat (cons (IdrisC-45DocC-45Annotations-header (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "Name quotes")) (cons (csegen-3574) ((csegen-4140) (cons ((csegen-331) (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons "Name quotes convert a raw name into a representation of a name.\xa;This allows elaborator scripts to refer to names the user provides.\xa;\xa;```idris\xa;import Language.Reflection\xa;%language ElabReflection\xa;\xa;nameOfMaybe : Name\xa;nameOfMaybe = `{Maybe}\xa;```\xa;\xa;Names can be qualified, however no disambiguation of names occurs when\xa;quoting them, so if you need a disambiguated name consider using\xa;`Language.Reflection.getType`." '()))) '())))))) ((equal? arg-0 2) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vcat (cons (IdrisC-45DocC-45Annotations-header (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "Term quotes")) (cons (csegen-3574) ((csegen-4140) (cons ((csegen-331) (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons "These allow an expression to be interpreted as a syntax tree rather than\xa;an actual expression, so it can be processed by an elaborator script\xa;for compile time codegen or meta-programming.\xa;\xa;```idris\xa;import Language.Reflection\xa;%language ElabReflection\xa;\xa;helloWorld : TTImp\xa;helloWorld = `(putStrLn \"hello world\")\xa;```" '()))) '())))))) (else (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vcat (cons (IdrisC-45DocC-45Annotations-header (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "Declaration quotes")) (cons (csegen-3574) ((csegen-4140) (cons ((csegen-331) (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons "Declarations quotes allow multiple declaration\xa;(e.g. type declarations or function definitions) to be quoted\xa;\xa;These can then be passed to a elaborator script for compile time\xa;codegen or meta-programming.\xa;\xa;```idris\xa;import Language.Reflection\xa;%language ElabReflection\xa;\xa;myProgram : List Decl\xa;myProgram = `[\xa;    data Bool = False | True\xa;\xa;    main : IO ()\xa;    main = putStrLn \"hello world\"\xa;]\xa;```\xa;\xa;In this example, `main : IO ()` and\xa;`main = putStrLn \"hello world\"` are different `Decl`s" '()))) '())))))))))
(define IdrisC-45DocC-45Annotations-styleAnn (lambda (arg-0) (case (vector-ref arg-0 0) ((0) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45RenderC-45Terminal-underline)) ((1) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45RenderC-45Terminal-bold)) ((2) '()) ((3) '()) ((4) '()) ((5) '()) (else (let ((e-1 (vector-ref arg-0 1))) (IdrisC-45Pretty-syntaxAnn e-1))))))
(define IdrisC-45DocC-45Annotations-header (lambda (arg-0) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-annotate (vector 0 ) arg-0) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-colon))))
(define IdrisC-45DocC-45Annotations-fun (lambda (arg-0 ext-0) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-annotate (vector 6 (vector 3 arg-0)) ext-0)))
(define IdrisC-45DocC-45Annotations-dCon (lambda (arg-0 ext-0) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-annotate (vector 6 (vector 2 (box arg-0))) ext-0)))
(define IdrisC-45DocC-45Keywords-withabstraction(blodwen-lazy (lambda () (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vcat (cons (IdrisC-45DocC-45Annotations-header (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "With abstraction")) (cons (csegen-3574) ((csegen-4140) (cons ((csegen-331) (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons "We often need to match on the result of an intermediate computation.\xa;When this intermediate computation additionally appears in the type of the\xa;function being defined, the `with` construct allows us to capture these\xa;occurences so that the observations made in the patterns will be reflected\xa;in the type.\xa;If we additionally need to remember that the link between the patterns and\xa;the intermediate computation we can use the `proof` keyword to retain an\xa;equality proof." '()))) (cons (csegen-3584) (cons ((csegen-331) (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons "In the following example we want to implement a `filter` function that not\xa;only returns values that satisfy the input predicate but also proofs that\xa;they do. The `with (p x)` construct introduces a value of type `Bool`\xa;obtained by testing `x` with `p`. The additional `proof eq` part records in\xa;`eq` an equality proof stating that the `True`/`False` patterns in the further\xa;clauses are equal to the result of evaluating `p x`. This is the reason why\xa;we can successfully form `(x ** eq)` in the `True` branch.\xa;```idris\xa;filter : (p : a -> Bool) -> List a -> List (x : a ** p x === True)\xa;filter p [] = []\xa;filter p (x :: xs) with (p x) proof eq\xa;  _ | True = (x ** eq) :: filter p xs\xa;  _ | False = filter p xs\xa;```" '()))) '()))))))))))
(define IdrisC-45DocC-45Keywords-whereblock(blodwen-lazy (lambda () (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vcat (cons (IdrisC-45DocC-45Annotations-header (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "Where block")) (cons (csegen-3574) ((csegen-4140) (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45DocC-45Annotations-header (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-594) "NB:")) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons "`where` is used as a layout keyword in `data`, `record`, `interface`,\xa;and `implementation` blocks. This documentation snippet focuses instead\xa;on the `where` blocks introducing local definitions." '())))) (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "") (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons "A `where` block allows the introduction of local auxiliary definitions\xa;that are parametrised over the variables bound on the left hand side of\xa;the parent clause (cf. the doc for `parameters`)." '()))) '()))))))))))
(define IdrisC-45DocC-45Keywords-visibility(blodwen-lazy (lambda () (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vcat (cons (csegen-4163) (cons (csegen-3574) ((csegen-4140) (cons ((csegen-331) (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons "Programmers can decide which parts of a module they expose to the outside\xa;world." '()))) (cons (csegen-3584) (cons ((csegen-331) (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons "* `public export` ensures that both the declaration and the definition\xa;   are accessible from the outside of the module. This means the function\xa;   will be able to reduce in types." '()))) (cons (csegen-3584) (cons ((csegen-331) (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons "* `export` means that only the declaration will be made available to the\xa;  outside world. Users will be able to call the function but its internals\xa;  will not be exposed because it will not reduce in types." '()))) (cons (csegen-3584) (cons ((csegen-331) (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons "* `private` means that neither the declaration nor the definition will be\xa;  exported. This is the default and is the ideal setting for auxiliary\xa;  definitions." '()))) '()))))))))))))))
(define IdrisC-45DocC-45Keywords-unusedSymbol(blodwen-lazy (lambda () (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "Currently unused symbol"))))
(define IdrisC-45DocC-45Keywords-unusedKeyword(blodwen-lazy (lambda () (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "Currently unused keyword"))))
(define IdrisC-45DocC-45Keywords-tupleSyntax(blodwen-lazy (lambda () (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "Used to build dependent pairs together with parentheses"))))
(define IdrisC-45DocC-45Keywords-totality(blodwen-lazy (lambda () (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vcat (cons (csegen-4165) (cons (csegen-3574) ((csegen-4140) (cons ((csegen-331) (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons "Definitions can be individually declared `total`, `covering`, or `partial`.\xa;It is also possible to set the default totality flag for definitions in a\xa;module by using the `%default` pragma." '()))) (cons (csegen-3584) (cons ((csegen-331) (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons "* `total` offers the highest guarantees. Definitions using this flag are\xa;  only accepted if:\xa;    1. their patterns are covering all possible cases;\xa;    2. they are either obviously terminating (for recursive functions)\xa;       or productive (for corecursive functions);\xa;    3. all the auxiliary functions used are total themselves." '()))) (cons (csegen-3584) (cons ((csegen-331) (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons "* `covering` is the default level of guarantees. It only enforces that\xa;  pattern matchings are exhaustive." '()))) (cons (csegen-3584) (cons ((csegen-331) (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons "* `partial` is the absence of any totality requirement: as long as the\xa;  definition typechecks, it is accepted. It is possible to call a partial\xa;  function from a total one by using the `assert_total` escape hatch." '()))) '()))))))))))))))
(define IdrisC-45DocC-45Keywords-symbolsDoc(blodwen-lazy (lambda () (cons (csegen-3574) (cons (csegen-3574) (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons "An implicit value either solved by unification or bound\xa;as a pattern or type variable." '()))) (cons (csegen-3574) (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "Start of a pragma") (cons (IdrisC-45DocC-45Keywords-lambdaAbstraction) (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons "Type declaration, for instance `id : a -> a`\xa;declares a new toplevel definition `id` of type `a -> a`." '()))) (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "Definition or equality type") (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "Let binding or record assignment") (cons (IdrisC-45DocC-45Keywords-recordUpdate) (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "Additional patterns showing up in a `with` clause") (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "Document string attached to the following definition") (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "Bind in a do block") (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "Function type") (cons (IdrisC-45DocC-45Keywords-fatArrow) (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "An implicit value solved by unification.") (cons (IdrisC-45DocC-45Keywords-bang) (cons (IdrisC-45DocC-45Keywords-unusedSymbol) (cons (IdrisC-45DocC-45Keywords-tupleSyntax) (cons (IdrisC-45DocC-45Keywords-rangeSyntax) (cons (csegen-3574) (cons (IdrisC-45DocC-45Keywords-asPattern) '())))))))))))))))))))))))))
(define IdrisC-45DocC-45Keywords-rewriteeq(blodwen-lazy (lambda () (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vcat (cons (IdrisC-45DocC-45Annotations-header (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-594) "Rewrite")) (cons (csegen-3574) ((csegen-4140) (cons ((csegen-331) (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons "Users can deploy an equality proof to adjust a type by replacing the value\xa;on the left hand side of the equality by that on the right hand side.\xa;For instance, if we know that the types `a` and `b` are propositionally\xa;equal, we can return a value of type `a` as if it had type `b`:\xa;```idris\xa;transport : a === b -> a -> b\xa;transport eq x = rewrite sym eq in x\xa;```" '()))) '()))))))))
(define IdrisC-45DocC-45Keywords-recordtypes(blodwen-lazy (lambda () (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vcat (cons (IdrisC-45DocC-45Annotations-header (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "Record types")) (cons (csegen-3574) ((csegen-4140) (cons ((csegen-331) (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons "Records are data types with a single constructor. Each of the constructor's\xa;argument is given a name and the corresponding projections and record update\xa;functions are automatically generated.\xa;For instance, we can define a type of pairs of natural numbers" '()))) (cons (csegen-3584) (cons ((csegen-331) (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons "```idris\xa;record Nat2 where\xa;  constructor MkNat2\xa;  fst : Nat\xa;  snd : Nat\xa;```" '()))) (cons (csegen-3584) (cons ((csegen-331) (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons "and we can then immediately use all of `fst`, `snd`, `{ fst := ?h1 }`,\xa;or `{ snd $= ?h2 }` to respectively project values out of a record,\xa;replace values, or update them." '()))) '()))))))))))))
(define IdrisC-45DocC-45Keywords-recordUpdate(blodwen-lazy (lambda () (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vcat (cons (IdrisC-45DocC-45Annotations-header (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "Record updates")) (cons (csegen-3574) ((csegen-4140) (cons ((csegen-331) (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons "If a record `r` has a field `n` of type `Nat`, it is possible to either\xa;\xa;1. overwrite the current value with `0` by using the assignment symbol `:=`\xa;   like so: `{ n := 0 } r`\xa;\xa;2. modify the current value by adding `2` by using the modification symbol `$=`\xa;   like so: `{ n $= (2 +) } r`.\xa;\xa;Multiple updates can be combined in a single update by grouping a comma-separated\xa;list of assignments and/or modifications like so: `{ a := Z, b $= S } r`." '()))) '()))))))))
(define IdrisC-45DocC-45Keywords-rangeSyntax(blodwen-lazy (lambda () (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons "The ellipsis `..` can be used to generate lists or streams of values for\xa;types that implement the `Range` interface.\xa;\xa;Lists can be generated using an initial value, an (optional) second value\xa;and a final one. For instance, we can generate lists of integers like so:\xa;  1. `[1..5]`   evaluates to `[1,2,3,4,5]`\xa;  2. `[1,3..5]` evaluates to `[1, 3, 5]`\xa;\xa;Streams can be generated using an initial value and an optional second value.\xa;For instance the following streams of integers:\xa;  1. `[1..]`   for all positive integers\xa;  2. `[1,3..]` for all positive odds" '()))))))
(define IdrisC-45DocC-45Keywords-parametersblock(blodwen-lazy (lambda () (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vcat (cons (IdrisC-45DocC-45Annotations-header (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "Parameters block")) (cons (csegen-3574) ((csegen-4140) (cons ((csegen-331) (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons "Definitions that share a common parameter can be grouped in a parameters\xa;block to avoid having to explicitly pass it around. Outside of the block\xa;all the definitions will take additional arguments corresponding to the\xa;parameters. For instance the functions in the following block all use a\xa;default value `dflt`" '()))) (cons (csegen-3584) (cons ((csegen-331) (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons "```idris\xa;parameters (dflt : a)\xa;\xa;  head : List a -> a\xa;  head (x :: xs) = x\xa;  head _ = dflt\xa;\xa;  last : List a -> a\xa;  last [x] = x\xa;  last (_ :: xs) = last xs\xa;  last _ = dflt\xa;```" '()))) (cons (csegen-3584) (cons ((csegen-331) (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons "and their respective types outside of the parameters block are\xa;`head : a -> List a -> a` and `last : a -> List a -> a`." '()))) '()))))))))))))
(define IdrisC-45DocC-45Keywords-namespaceblock(blodwen-lazy (lambda () (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vcat (cons (IdrisC-45DocC-45Annotations-header (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "Namespace block")) (cons (csegen-3574) ((csegen-4140) (cons ((csegen-331) (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons "Attempting to declare two functions with the same name in a given module\xa;will lead to a scope error. Putting each one in a different `namespace`\xa;block can help bypass this issue by ensuring that they are assigned distinct\xa;fully qualified names. For instance\xa;```idris\xa;module M\xa;\xa;namespace Zero\xa;  val : Nat\xa;  val = 0\xa;\xa;namespace One\xa;  val : Nat\xa;  val = 1\xa;```\xa;declares a module `M` containing two values `M.Zero.val` and `M.One.val`.\xa;You can use `export` or `public export` to control whether a function\xa;declared in a namespace is available outside of it." '()))) '()))))))))
(define IdrisC-45DocC-45Keywords-mutualblock(blodwen-lazy (lambda () (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vcat (cons (IdrisC-45DocC-45Annotations-header (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "Mutual block")) (cons (csegen-3574) ((csegen-4140) (cons ((csegen-331) (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons "Mutual blocks allow users to have inter-dependent declarations. For instance\xa;we can define the `odd` and `even` checks in terms of each other like so:\xa;```idris\xa;mutual\xa;\xa;  odd : Nat -> Bool\xa;  odd Z = False\xa;  odd (S n) = even n\xa;\xa;  even : Nat -> Bool\xa;  even Z = True\xa;  even (S n) = odd n\xa;```" '()))) (cons (csegen-3584) (cons ((csegen-331) (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons "Internally this is implemented in terms of the more fundamental\xa;forward-declaration feature: all the mutual declarations come first and then\xa;their definitions. In other words, the earlier example using a `mutual` block\xa;is equivalent to the following\xa;```idris\xa;odd : Nat -> Bool\xa;even : Nat -> Bool\xa;\xa;odd Z = False\xa;odd (S n) = even n\xa;\xa;even Z = True\xa;even (S n) = odd n\xa;```" '()))) '()))))))))))
(define IdrisC-45DocC-45Keywords-letbinding(blodwen-lazy (lambda () (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vcat (cons (IdrisC-45DocC-45Annotations-header (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "Let binding")) (cons (csegen-3574) ((csegen-4140) (cons ((csegen-331) (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons "The `let` keyword is used for both local definitions and let bindings.\xa;Local definitions are just like top-level definitions except that they are\xa;defined in whatever extended context is available at the definition site.\xa;\xa;Let bindings can be used to bind the result of intermediate computations.\xa;They do not necessitate but can have a type annotation. They will not unfold\xa;in the type of subsequent terms so may not be appropriate in all cases.\xa;\xa;For instance, in the following definition the let-bound value `square`\xa;ensures that `n * n` is only computed once:\xa;```idris\xa;power4 : Nat -> Nat\xa;power4 n = let square := n * n in square * square\xa;```\xa;\xa;It is also possible to pattern-match on the result of the intermediate\xa;computation. The main pattern is written in place of the variable and\xa;an alternative list of clauses can be given using the `|` separator.\xa;For instance, we can shortcut the `square * square` computation in case\xa;the returned value is 0 like so:\xa;```idris\xa;power4 : Nat -> Nat\xa;power4 n = let square@(S _) := n * n\xa;                 | Z => Z\xa;           in square * square\xa;```" '()))) '()))))))))
(define IdrisC-45DocC-45Keywords-lambdaAbstraction(blodwen-lazy (lambda () (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons "An anonymous function is introduced using a lambda `\\` and binds a\xa;comma-separated list of either variable names or irrefutable patterns\xa;before returning a right hand side using `=>`.\xa;\xa;For instance we can implement `transport` like so:\xa;```\xa;transport : a === b -> a -> b\xa;transport = \\ Refl, v => v\xa;```" '()))))))
(define IdrisC-45DocC-45Keywords-keywordsDoc(blodwen-lazy (lambda () (cons (IdrisC-45DocC-45Keywords-datatypes) (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "Keyword to start a module definition") (cons (IdrisC-45DocC-45Keywords-whereblock) (cons (IdrisC-45DocC-45Keywords-letbinding) (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "Used by `let` and `rewrite`. See either of them for more details.") (cons (IdrisC-45DocC-45Keywords-doblock) (cons (IdrisC-45DocC-45Keywords-recordtypes) (cons (IdrisC-45DocC-45Keywords-implicitarg) (cons (IdrisC-45DocC-45Keywords-implicitarg) (cons (IdrisC-45DocC-45Keywords-unusedKeyword) (cons (IdrisC-45DocC-45Keywords-failblock) (cons (IdrisC-45DocC-45Keywords-mutualblock) (cons (IdrisC-45DocC-45Keywords-namespaceblock) (cons (IdrisC-45DocC-45Keywords-parametersblock) (cons (IdrisC-45DocC-45Keywords-withabstraction) (cons (IdrisC-45DocC-45Keywords-withabstraction) (cons (IdrisC-45DocC-45Keywords-impossibility) (cons (IdrisC-45DocC-45Keywords-caseof) (cons (IdrisC-45DocC-45Keywords-caseof) (cons (IdrisC-45DocC-45Keywords-ifthenelse) (cons (IdrisC-45DocC-45Keywords-ifthenelse) (cons (IdrisC-45DocC-45Keywords-ifthenelse) (cons (IdrisC-45DocC-45Keywords-forallquantifier) (cons (IdrisC-45DocC-45Keywords-rewriteeq) (cons (csegen-3574) (cons (IdrisC-45DocC-45Keywords-interfacemechanism) (cons (IdrisC-45DocC-45Keywords-interfacemechanism) (cons (IdrisC-45DocC-45Keywords-unusedKeyword) (cons (IdrisC-45DocC-45Keywords-importing) (cons (IdrisC-45DocC-45Keywords-visibility) (cons (IdrisC-45DocC-45Keywords-visibility) (cons (IdrisC-45DocC-45Keywords-visibility) (cons (IdrisC-45DocC-45Keywords-fixity) (cons (IdrisC-45DocC-45Keywords-fixity) (cons (IdrisC-45DocC-45Keywords-fixity) (cons (IdrisC-45DocC-45Keywords-fixity) (cons (IdrisC-45DocC-45Keywords-totality) (cons (IdrisC-45DocC-45Keywords-totality) (cons (IdrisC-45DocC-45Keywords-totality) '()))))))))))))))))))))))))))))))))))))))))))
(define IdrisC-45DocC-45Keywords-interfacemechanism(blodwen-lazy (lambda () (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vcat (cons (IdrisC-45DocC-45Annotations-header (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "Interfaces")) (cons (csegen-3574) ((csegen-4140) (cons ((csegen-331) (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons "Interfaces offer ad-hoc polymorphism. Programmers can declare new\xa;interfaces offering a set of methods (some of which may have default\xa;implementations in terms of the interface's other methods) and write\xa;programs generic over all types implementing the interface." '()))) (cons (csegen-3584) (cons ((csegen-331) (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons "In the following example we define a `Fail` interface that allows\xa;users to abort in case a computation is doomed to fail. We implement\xa;the `whenJust` construct using this interface and show a couple of\xa;implementations:" '()))) (cons (csegen-3584) (cons ((csegen-331) (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons "```idris\xa;interface Fail (0 a : Type) where\xa;  fail : a\xa;\xa;whenJust : Fail ret => Maybe a -> (a -> ret) -> ret\xa;whenJust (Just v) k = k v\xa;whenJust Nothing  _ = fail\xa;\xa;implementation Fail Bool where\xa;  fail = False\xa;\xa;Fail (Maybe a) where\xa;  fail = Nothing\xa;```" '()))) (cons (csegen-3584) (cons ((csegen-331) (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons "As you can see the `implementation` keyword is optional. Note that the\xa;proof search machinery powering interface resolution works best if your\xa;implementations are for specific type constructors (here `Bool` and `Maybe`)." '()))) '()))))))))))))))
(define IdrisC-45DocC-45Keywords-impossibility(blodwen-lazy (lambda () (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vcat (cons (IdrisC-45DocC-45Annotations-header (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "Impossible branches")) (cons (csegen-3574) ((csegen-4140) (cons ((csegen-331) (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons "The `impossible` keyword can be used to dismiss a clause involving an\xa;argument with an uninhabited type. For instance an assumption stating\xa;that 0 is equal to 1:" '()))) (cons (csegen-3584) (cons ((csegen-331) (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons "```idris\xa;zeroIsNotOne : 0 === 1 -> Void\xa;zeroIsNotOne eq impossible\xa;```" '()))) '()))))))))))
(define IdrisC-45DocC-45Keywords-importing(blodwen-lazy (lambda () (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vcat (cons (IdrisC-45DocC-45Annotations-header (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-594) "Importing")) (cons (csegen-3574) ((csegen-4140) (cons ((csegen-331) (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons "Importing a module brings the definition it exports into scope.\xa;Combined with `public` it also re-exports these definitions." '()))) '()))))))))
(define IdrisC-45DocC-45Keywords-implicitarg(blodwen-lazy (lambda () (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vcat (cons (IdrisC-45DocC-45Annotations-header (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "Implicit arguments")) (cons (csegen-3574) ((csegen-4140) (cons ((csegen-331) (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons "Implicit arguments can be solved using various strategies. By default\xa;they will be filled in using unification but programmers can use various\xa;keywords to change that." '()))) (cons (csegen-3584) (cons ((csegen-331) (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons "* `auto` will use the same mechanism as interface resolution to build the\xa;  argument. Users can add new hints to the database by adding a `%hint`\xa;  pragma to their declarations. By default all data constructors are hints.\xa;  For instance, the following function\xa;  ```idris\xa;  f : (n : Nat) -> {auto _ : n === Z} -> Nat\xa;  f n = n\xa;  ```\xa;  will only accept arguments that can be automatically proven to be equal\xa;  to zero." '()))) (cons (csegen-3584) (cons ((csegen-331) (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons "* `default` takes a value of the appropriate type and if no argument is\xa;  explicitly passed at a call site, will use that default value.\xa;  For instance, the following function\xa;  ```idris\xa;  f : {default 0 n : Nat} -> Nat\xa;  f = n\xa;  ```\xa;  will return `0` if no argument is passed and its argument otherwise." '()))) '()))))))))))))
(define IdrisC-45DocC-45Keywords-ifthenelse(blodwen-lazy (lambda () (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vcat (cons (IdrisC-45DocC-45Annotations-header (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "Boolean conditional")) (cons (csegen-3574) ((csegen-4140) (cons ((csegen-331) (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons "The `if ... then ... else ...` construct is dependently typed. This means\xa;that if you are branching over a variable, the branches will have refined\xa;types where that variable has been replaced by either `True` or `False`.\xa;For instance, in the following incomplete program" '()))) (cons (csegen-3584) (cons ((csegen-331) (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons "```idris\xa;notInvolutive : (b : Bool) -> not (not b) === b\xa;notInvolutive b = if b then ?holeTrue else ?holeFalse\xa;```" '()))) (cons (csegen-3584) (cons ((csegen-331) (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons "the two holes have respective types `True === True` and `False === False`." '()))) (cons (csegen-3584) (cons (csegen-3584) (cons ((csegen-331) (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons "If you do not need the added power granted by dependently typed branches,\xa;consider using the simpler `ifThenElse` function defined in `Prelude`." '()))) '())))))))))))))))
(define IdrisC-45DocC-45Keywords-getDocsForSymbol (lambda (arg-0) (PreludeC-45Types-maybe (lambda () (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-annotate (vector 6 (vector 5 )) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-863) arg-0))) (lambda () (lambda (eta-0) (IdrisC-45DocC-45Keywords-doc eta-0))) (LibrariesC-45DataC-45ListC-45QuantifiersC-45Extra-lookup (PreludeC-45TypesC-45List-tailRecAppend (ParserC-45LexerC-45Source-symbols) (ParserC-45LexerC-45Source-reservedInfixSymbols)) (csegen-604) arg-0 (IdrisC-45DocC-45Keywords-symbolsDoc)))))
(define IdrisC-45DocC-45Keywords-getDocsForKeyword (lambda (arg-0) (PreludeC-45Types-maybe (lambda () (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-annotate (vector 6 (vector 5 )) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-863) arg-0))) (lambda () (lambda (eta-0) (IdrisC-45DocC-45Keywords-doc eta-0))) (LibrariesC-45DataC-45ListC-45QuantifiersC-45Extra-lookup (ParserC-45LexerC-45Source-keywords) (csegen-604) arg-0 (IdrisC-45DocC-45Keywords-keywordsDoc)))))
(define IdrisC-45DocC-45Keywords-forallquantifier(blodwen-lazy (lambda () (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vcat (cons (IdrisC-45DocC-45Annotations-header (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "Forall quantifier")) (cons (csegen-3574) ((csegen-4140) (cons ((csegen-331) (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons "`forall` quantification is syntactic sugar for implicit runtime-irrelevant\xa;universal quantification. That is to say that `forall x, y, z. ...`\xa;desugars to `{0 x, y, z : _} -> ...`." '()))) '()))))))))
(define IdrisC-45DocC-45Keywords-fixity(blodwen-lazy (lambda () (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vcat (cons (IdrisC-45DocC-45Annotations-header (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "Fixity declarations")) (cons (csegen-3574) ((csegen-4140) (cons ((csegen-331) (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons "Operators can be assigned a priority level and associativity. During parsing\xa;operators with a higher priority will collect their arguments first and the\xa;declared associativity will inform how subterms are grouped.\xa;\xa;For instance the expression `a + b * c * d + e` is parsed as\xa;`(a + ((b * c) * d)) + e` because:\xa;  `(+)` is at level 8 and associates to the left\xa;  `(*)` is at level 9 and associates to the left" '()))) '()))))))))
(define IdrisC-45DocC-45Keywords-fatArrow(blodwen-lazy (lambda () (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vcat (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons "Used for an interface constraint in a type signature or as part of a\xa;lambda abstraction or case block.\xa;\xa;1. Interface constraint" '()))) (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-indent 2 ((csegen-331) (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons "`a => b` corresponds to `{auto _ : a} -> b`" '())))) (cons (csegen-3574) (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons "2. Lambda abstraction" '()))) (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-indent 2 (IdrisC-45DocC-45Keywords-lambdaAbstraction)) (cons (csegen-3574) (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons "3. Case block" '()))) '())))))))))))
(define IdrisC-45DocC-45Keywords-failblock(blodwen-lazy (lambda () (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vcat (cons (IdrisC-45DocC-45Annotations-header (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "Fail block")) (cons (csegen-3574) ((csegen-4140) (cons ((csegen-331) (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons "Fail blocks let users check that some code parses but is rejected during elaboration.\xa;In the following example, we make sure that Idris rejects a proof that the character\xa;'a' is equal to 'b' by throwing an error when unifying them." '()))) (cons (csegen-3584) (cons ((csegen-331) (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons "```idris\xa;failing \"When unifying\"\xa;  noteq : 'a' === 'b'\xa;  noteq = Refl\xa;```" '()))) (cons (csegen-3584) (cons ((csegen-331) (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons "If the (optional) string attached to a failing block does not appear in the error raised,\xa;or if no error is raised then the failing block is itself failing and thus leads to an error.\xa;This lets users document the kind of error the block is meant to document." '()))) '()))))))))))))
(define IdrisC-45DocC-45Keywords-doc (lambda (arg-1) (let ((eff-0 arg-1)) eff-0)))
(define IdrisC-45DocC-45Keywords-doblock(blodwen-lazy (lambda () (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vcat (cons (IdrisC-45DocC-45Annotations-header (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-594) "Do block")) (cons (csegen-3574) ((csegen-4140) (cons ((csegen-331) (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons "Do blocks are a popular way to structure (among other things) effectful code.\xa;They are desugared using `(>>=)` and `(>>)` respectively depending on whether\xa;the result of a subcomputation is bound. Let bindings and local definitions\xa;can be used (omitting `in` because the layout is already controlled by the\xa;`do`-based indentation) and desugared to the corresponding `let` constructs.\xa;\xa;For instance the following block\xa;```idris\xa;  do x <- e1\xa;     e2\xa;     let y = e3\xa;     e4\xa;```\xa;is equivalent to the expression `e1 >>= \\ x => e2 >> let y = e3 in e4`." '()))) (cons (csegen-3584) (cons ((csegen-331) (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons "By default `(>>=)` and `(>>)` are then selected using the usual type\xa;directed disambiguation mechanisms. Users who want to bypass this implicit\xa;disambiguation step can use a qualified `do`: by writing `M.do` they ensure\xa;Idris will explicitly use `M.(>>=)` and `M.(>>)` during elaboration." '()))) '()))))))))))
(define IdrisC-45DocC-45Keywords-datatypes(blodwen-lazy (lambda () (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vcat (cons (IdrisC-45DocC-45Annotations-header (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "(Co)Data types")) (cons (csegen-3574) ((csegen-4140) (cons ((csegen-331) (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons "Keyword to introduce a (co)inductive type definition.\xa;You can either use a BNF-style definition for simple types" '()))) (cons (csegen-3584) (cons ((csegen-331) (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons "```idris\xa;data List a = Nil | (::) a (List a)\xa;```" '()))) (cons (csegen-3584) (cons ((csegen-331) (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons "or a GADT-style definition for indexed types" '()))) (cons (csegen-3584) (cons ((csegen-331) (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons "```idris\xa;data Vect : Nat -> Type -> Type where\xa;  Nil  : Vect 0 a\xa;  (::) : a -> Vect n a -> Vect (S n) a\xa;```" '()))) (cons (csegen-3584) (cons ((csegen-331) (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons "Coinductive data is introduced using the same syntax except\xa;that the type of potentially infinite subterms is wrapped in\xa;an `Inf` type constructor." '()))) '()))))))))))))))))
(define IdrisC-45DocC-45Keywords-caseof(blodwen-lazy (lambda () (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vcat (cons (IdrisC-45DocC-45Annotations-header (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "Case block")) (cons (csegen-3574) ((csegen-4140) (cons ((csegen-331) (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons "The `case ... of ...` construct is dependently typed. This means that if you\xa;are branching over a variable, the branches will have refined types where\xa;that variable has been replaced by the appropriate pattern.\xa;For instance, in the following program" '()))) (cons (csegen-3584) (cons ((csegen-331) (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons "```idris\xa;assoc : (ma, mb, mc : Maybe a) ->\xa;        ((ma <|> mb) <|> mc) === (ma <|> (mb <|> mc))\xa;assoc ma mb mc = case ma of\xa;  Nothing => Refl\xa;  Just a  => Refl\xa;```" '()))) (cons (csegen-3584) (cons ((csegen-331) (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons "the branches typecheck because in their respective types `ma` has been replaced\xa;either by `Nothing` or `Just a` and that was enough for them to compute to\xa;`(mb <|> mc) === (mb <|> mc)` and `Just a === Just a` respectively. Both of\xa;which can be discharged using `Refl`." '()))) '()))))))))))))
(define IdrisC-45DocC-45Keywords-bang(blodwen-lazy (lambda () (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons "Directive to lift the following effectful expression to the nearest enclosing\xa;(potentially implicit) `do` block. In the following definition for instance\xa;\xa;```\xa;anyM : Monad m => (a -> m Bool) -> List a -> m (Maybe a)\xa;anyM p [] = pure Nothing\xa;anyM p (x :: xs) = if !(p x) then pure (Just x) else anyM p xs\xa;```\xa;\xa;the expression `if !(p x) then pure (Just x) else anyM p xs` is equivalent to\xa;the following `do` block:\xa;\xa;```\xa;do b <- p x\xa;   if b then pure (Just x) else anyM p xs\xa;```" '()))))))
(define IdrisC-45DocC-45Keywords-asPattern(blodwen-lazy (lambda () (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons "An as pattern `@` can be used to both pattern match on a variable\xa;and retain a name for the compound expression. E.g. instead of writing\xa;```\xa;last : List a -> Maybe a\xa;last [] = Nothing\xa;last [x] = Just x\xa;last (x :: y :: ys) = last (y :: ys)\xa;```\xa;\xa;where, in the last clasue, we take `y :: ys` apart on the left hand side\xa;before reconstructing it on the right hand side, we can write:\xa;\xa;```\xa;last (x :: xs@(_ :: _)) = last xs\xa;```" '()))))))
(define LibrariesC-45DataC-45ListC-45QuantifiersC-45Extra-lookup (lambda (arg-2 arg-3 arg-4 arg-5) (if (null? arg-2) '() (let ((e-2 (car arg-2))) (let ((e-3 (cdr arg-2))) (let ((e-10 (car arg-5))) (let ((e-11 (cdr arg-5))) (let ((u--xs (cons e-2 e-3))) (let ((sc2 (((let ((eff-0 arg-3)) (lambda (arg-0) (lambda (arg-1) ((eff-0 arg-0) arg-1)))) (DataC-45List-head u--xs)) arg-4))) (case (vector-ref sc2 0) ((1) (LibrariesC-45DataC-45ListC-45QuantifiersC-45Extra-lookup e-3 arg-3 arg-4 e-11)) (else (box e-10))))))))))))
(define IdrisC-45SyntaxC-45Views-n--7742-8707-u--go (lambda (arg-1 arg-2) (case (vector-ref arg-2 0) ((32) (let ((e-2 (vector-ref arg-2 2))) (IdrisC-45SyntaxC-45Views-n--7742-8707-u--go arg-1 e-2))) ((2) (let ((e-4 (vector-ref arg-2 1))) (let ((e-5 (vector-ref arg-2 2))) (let ((e-6 (vector-ref arg-2 3))) (let ((e-7 (vector-ref arg-2 4))) (let ((e-8 (vector-ref arg-2 5))) (let ((e-9 (vector-ref arg-2 6))) (lambda (eta-0) ((IdrisC-45SyntaxC-45Views-n--7742-8707-u--go arg-1 e-9) (cons (cons e-7 (vector 0 e-4 e-5 e-6 e-8)) eta-0))))))))))(else (lambda (__leftTupleSection-0) (cons __leftTupleSection-0 arg-2))))))
(define IdrisC-45SyntaxC-45Views-n--7690-8659-u--go (lambda (arg-1 arg-2) (case (vector-ref arg-2 0) ((1) (let ((e-1 (vector-ref arg-2 1))) (let ((e-2 (vector-ref arg-2 2))) (let ((e-3 (vector-ref arg-2 3))) (let ((e-4 (vector-ref arg-2 4))) (let ((e-5 (vector-ref arg-2 5))) (let ((e-6 (vector-ref arg-2 6))) (lambda (eta-0) ((IdrisC-45SyntaxC-45Views-n--7690-8659-u--go arg-1 e-6) (cons (cons e-4 (vector 2 e-1 e-2 e-3 e-5)) eta-0)))))))))) ((32) (let ((e-9 (vector-ref arg-2 2))) (IdrisC-45SyntaxC-45Views-n--7690-8659-u--go arg-1 e-9)))(else (lambda (__leftTupleSection-0) (cons __leftTupleSection-0 arg-2))))))
(define IdrisC-45SyntaxC-45Views-n--7487-8456-u--go (lambda (arg-1 arg-2 arg-3) (case (vector-ref arg-3 0) ((7) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-3 (vector-ref arg-3 3))) (lambda (eta-0) ((IdrisC-45SyntaxC-45Views-n--7487-8456-u--go arg-1 arg-2 e-2) (cons (vector 0 e-1 e-3) eta-0))))))) ((10) (let ((e-5 (vector-ref arg-3 1))) (let ((e-6 (vector-ref arg-3 2))) (let ((e-7 (vector-ref arg-3 3))) (lambda (eta-0) ((IdrisC-45SyntaxC-45Views-n--7487-8456-u--go arg-1 arg-2 e-6) (cons (vector 1 e-5 e-7) eta-0))))))) ((9) (let ((e-9 (vector-ref arg-3 1))) (let ((e-10 (vector-ref arg-3 2))) (let ((e-11 (vector-ref arg-3 3))) (let ((e-12 (vector-ref arg-3 4))) (lambda (eta-0) ((IdrisC-45SyntaxC-45Views-n--7487-8456-u--go arg-1 arg-2 e-10) (cons (vector 2 e-9 e-11 e-12) eta-0)))))))) ((32) (let ((e-15 (vector-ref arg-3 2))) (IdrisC-45SyntaxC-45Views-n--7487-8456-u--go arg-1 arg-2 e-15))) ((27) (let ((e-17 (vector-ref arg-3 1))) (let ((e-18 (vector-ref arg-3 2))) (let ((e-19 (vector-ref arg-3 3))) (let ((e-20 (vector-ref arg-3 4))) (let ((e-21 (vector-ref arg-3 5))) (lambda (eta-0) (cons (vector 0 e-18 e-19) (cons (vector 0 e-17 e-20) (cons (vector 0 e-17 e-21) eta-0)))))))))) ((31) (let ((e-23 (vector-ref arg-3 1))) (let ((e-24 (vector-ref arg-3 2))) (let ((e-25 (vector-ref arg-3 3))) (lambda (eta-0) (cons (vector 0 e-23 (arg-2 (IdrisC-45SyntaxC-45Builtin-eqName))) (cons (vector 0 e-23 e-24) (cons (vector 0 e-23 e-25) eta-0)))))))) ((40) (let ((e-27 (vector-ref arg-3 1))) (let ((e-28 (vector-ref arg-3 2))) (let ((e-29 (vector-ref arg-3 3))) (lambda (eta-0) (cons (vector 0 e-27 (arg-2 (IdrisC-45SyntaxC-45Builtin-pairname))) (cons (vector 0 e-27 e-28) (cons (vector 0 e-27 e-29) eta-0)))))))) ((41) (let ((e-32 (vector-ref arg-3 2))) (let ((e-33 (vector-ref arg-3 3))) (let ((e-34 (vector-ref arg-3 4))) (let ((e-35 (vector-ref arg-3 5))) (lambda (eta-0) (cons (vector 0 e-32 (arg-2 (IdrisC-45SyntaxC-45Builtin-dpairname))) (cons (vector 0 e-32 e-33) (cons (vector 0 e-32 e-34) (cons (vector 0 e-32 e-35) eta-0))))))))))(else (lambda (__infixTupleSection-0) (cons arg-3 __infixTupleSection-0))))))
(define IdrisC-45SyntaxC-45Views-underPis (lambda (arg-1) ((IdrisC-45SyntaxC-45Views-n--7690-8659-u--go arg-1 arg-1) '())))
(define IdrisC-45SyntaxC-45Views-underLams (lambda (arg-1) ((IdrisC-45SyntaxC-45Views-n--7742-8707-u--go arg-1 arg-1) '())))
(define IdrisC-45SyntaxC-45Views-unArg (lambda (arg-1) (case (vector-ref arg-1 0) ((0) (let ((e-2 (vector-ref arg-1 2))) e-2)) ((1) (let ((e-5 (vector-ref arg-1 2))) e-5)) (else (let ((e-9 (vector-ref arg-1 3))) e-9)))))
(define IdrisC-45SyntaxC-45Views-getFnArgs (lambda (arg-1 arg-2) ((IdrisC-45SyntaxC-45Views-n--7487-8456-u--go arg-2 arg-1 arg-2) '())))
(define IdrisC-45SyntaxC-45Builtin-pairname(blodwen-lazy (lambda () (vector 0 (CoreC-45NameC-45Namespace-builtinNS) (vector 1 (vector 0 "Pair"))))))
(define IdrisC-45SyntaxC-45Builtin-nilName(blodwen-lazy (lambda () (vector 0 (CoreC-45NameC-45Namespace-preludeNS) (vector 1 (vector 0 "Nil"))))))
(define IdrisC-45SyntaxC-45Builtin-mkpairname(blodwen-lazy (lambda () (vector 0 (CoreC-45NameC-45Namespace-builtinNS) (vector 1 (vector 0 "MkPair"))))))
(define IdrisC-45SyntaxC-45Builtin-mkdpairname(blodwen-lazy (lambda () (vector 0 (CoreC-45NameC-45Namespace-dpairNS) (vector 1 (vector 0 "MkDPair"))))))
(define IdrisC-45SyntaxC-45Builtin-interpolateName(blodwen-lazy (lambda () (vector 0 (CoreC-45NameC-45Namespace-preludeNS) (vector 1 (vector 0 "interpolate"))))))
(define IdrisC-45SyntaxC-45Builtin-heqName(blodwen-lazy (lambda () (vector 0 (CoreC-45NameC-45Namespace-builtinNS) (vector 1 (vector 0 "~=~"))))))
(define IdrisC-45SyntaxC-45Builtin-eqName(blodwen-lazy (lambda () (vector 0 (CoreC-45NameC-45Namespace-builtinNS) (vector 1 (vector 0 "==="))))))
(define IdrisC-45SyntaxC-45Builtin-dpairname(blodwen-lazy (lambda () (vector 0 (CoreC-45NameC-45Namespace-dpairNS) (vector 1 (vector 0 "DPair"))))))
(define IdrisC-45SyntaxC-45Builtin-consName(blodwen-lazy (lambda () (vector 0 (CoreC-45NameC-45Namespace-preludeNS) (vector 1 (vector 0 "::"))))))
(define IdrisC-45DocC-45Display-case--caseC-32blockC-32inC-32caseC-32blockC-32inC-32caseC-32blockC-32inC-32caseC-32blockC-32inC-32displayImpl-9427 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20 arg-21 arg-22 arg-23 arg-24) (if (null? arg-24) (let ((eff-0 (CoreC-45ContextC-45Log-log arg-5 "doc.implementation" 10 (lambda () (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons "Invalid name " (cons (CoreC-45TT-u--show_Show_RawKindedName arg-23) '()))))))) (PrimIO-io_bind eff-0 (csegen-2241))) (let ((e-2 (car arg-24))) (let ((e-3 (cdr arg-24))) (case (vector-ref e-3 0) ((4) (let ((e-5 (vector-ref e-3 2))) (let ((u--nm (vector 0 e-2 e-5))) (let ((eff-0 (CoreC-45Context-lookupCtxtExactI (let ((e-1 (vector-ref arg-23 1))) e-1) (let ((e-0 (vector-ref arg-17 0))) e-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (if (null? e-6) (let ((eff-1 (CoreC-45ContextC-45Log-log arg-5 "doc.implementation" 10 (lambda () (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons "Couldn't find " (cons (CoreC-45Name-u--show_Show_RawName u--nm) '()))))))) (PrimIO-io_bind eff-1 (csegen-2241))) (let ((e-1 (unbox e-6))) (if (null? e-1) (let ((eff-1 (CoreC-45ContextC-45Log-log arg-5 "doc.implementation" 10 (lambda () (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons "Couldn't find " (cons (CoreC-45Name-u--show_Show_RawName u--nm) '()))))))) (PrimIO-io_bind eff-1 (csegen-2241))) (let ((e-8 (car e-1))) (let ((e-7 (cdr e-1))) (let ((eff-1 (IdrisC-45DocC-45Display-displayPats arg-5 arg-4 1 arg-17 (cons u--nm (cons e-8 e-7))))) (PrimIO-io_bind eff-1 (csegen-1573)))))))))) eff-1))))))))))(else (let ((eff-0 (CoreC-45ContextC-45Log-log arg-5 "doc.implementation" 10 (lambda () (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons "Invalid name " (cons (CoreC-45TT-u--show_Show_RawKindedName arg-23) '()))))))) (PrimIO-io_bind eff-0 (csegen-2241))))))))))
(define IdrisC-45DocC-45Display-case--caseC-32blockC-32inC-32caseC-32blockC-32inC-32caseC-32blockC-32inC-32displayImpl-9339 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20 arg-21) (if (null? arg-21) (lambda (eta-0) (vector 1 '())) (let ((e-2 (car arg-21))) (let ((e-3 (cdr arg-21))) (case (vector-ref e-2 0) ((0) (let ((e-5 (vector-ref e-2 1))) (let ((e-6 (vector-ref e-2 2))) (let ((eff-0 (CoreC-45ContextC-45Log-log arg-5 "doc.implementation" 20 (lambda () (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons "Got name " (cons (CoreC-45TT-u--show_Show_RawKindedName e-6) '()))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-1 (IdrisC-45DocC-45Display-case--caseC-32blockC-32inC-32caseC-32blockC-32inC-32caseC-32blockC-32inC-32caseC-32blockC-32inC-32displayImpl-9427 arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20 e-3 e-5 e-6 (CoreC-45Name-splitNS (let ((e-1 (vector-ref e-6 1))) e-1))))) eff-1)))))))))(else (lambda (eta-0) (vector 1 '())))))))))
(define IdrisC-45DocC-45Display-case--caseC-32blockC-32inC-32caseC-32blockC-32inC-32displayImpl-9286 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19) (let ((e-2 (car arg-19))) (let ((e-3 (cdr arg-19))) (IdrisC-45DocC-45Display-case--caseC-32blockC-32inC-32caseC-32blockC-32inC-32caseC-32blockC-32inC-32displayImpl-9339 arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 e-2 e-3 (IdrisC-45SyntaxC-45Views-getFnArgs (lambda (eta-0) (CoreC-45TT-defaultKindedName eta-0)) e-3))))))
(define IdrisC-45DocC-45Display-case--caseC-32blockC-32inC-32displayImpl-9207 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15) (let ((e-2 (car arg-15))) (let ((e-3 (cdr arg-15))) (let ((eff-0 (let ((eff-0 arg-5)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 (PreludeC-45Basics-flip (csegen-1569) e-3 (lambda (u--arg) (IdrisC-45DocC-45Display-case--caseC-32blockC-32inC-32caseC-32blockC-32inC-32displayImpl-9286 arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 e-2 e-3 e-5 u--arg (IdrisC-45SyntaxC-45Views-underLams (IdrisC-45SyntaxC-45Views-unArg u--arg))))))) (((csegen-50) ((let ((eff-2 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-4 (vector-ref eta-3 1))) (vector 0 e-4))) (else (let ((e-6 (vector-ref eta-3 1))) (vector 1 (eta-2 e-6))))))))))) (lambda (arg-16) (lambda (arg-17) ((((eff-2 'erased) 'erased) arg-16) arg-17)))) (lambda (eta-0) (DataC-45List-catMaybes eta-0)))) eff-1)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vcat (DataC-45List-intersperse (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "") e-6)))))) eff-2))))))))) eff-1)))))))))))
(define IdrisC-45DocC-45Display-case--displayImpl-9145 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (case (vector-ref arg-6 0) ((1) (let ((e-0 (vector-ref arg-6 1))) (let ((e-1 (vector-ref arg-6 2))) (let ((e-2 (vector-ref arg-6 3))) (let ((e-3 (vector-ref arg-6 4))) (let ((e-4 (vector-ref arg-6 5))) (if (null? e-4) (lambda (eta-0) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-1529) arg-0) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "is not an implementation definition")))) (let ((e-6 (car e-4))) (let ((e-7 (cdr e-4))) (if (null? e-6) (lambda (eta-0) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-1529) arg-0) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "is not an implementation definition")))) (let ((e-10 (car e-6))) (let ((e-11 (cdr e-6))) (if (null? e-11) (lambda (eta-0) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-1529) arg-0) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "is not an implementation definition")))) (let ((e-14 (car e-11))) (let ((e-15 (cdr e-11))) (if (null? e-15) (lambda (eta-0) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-1529) arg-0) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "is not an implementation definition")))) (let ((e-18 (car e-15))) (let ((e-19 (cdr e-15))) (if (null? e-7) (let ((eff-0 (let ((eff-0 (CoreC-45Normalise-normaliseHoles arg-5 e-10 arg-3 e-14 e-19))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (IdrisC-45Resugar-resugar e-10 arg-5 arg-4 e-14 e-5))) eff-1))))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (IdrisC-45DocC-45Display-case--caseC-32blockC-32inC-32displayImpl-9207 arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-0 e-1 e-3 e-10 e-18 e-14 e-19 e-2 e-5 (IdrisC-45SyntaxC-45Views-getFnArgs (lambda (eta-0) (CoreC-45TT-defaultKindedName eta-0)) e-5)))) eff-1))))))) (lambda (eta-0) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-1529) arg-0) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "is not an implementation definition")))))))))))))))))))))))(else (lambda (eta-0) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-1529) arg-0) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "is not an implementation definition"))))))))
(define IdrisC-45DocC-45Display-n--9688-8932-u--prettyLHS (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (case (vector-ref arg-7 0) ((0) (let ((e-2 (vector-ref arg-7 2))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--cast_Cast_C-40DocC-32VoidC-41_C-40DocC-32C-36annC-41 (CoreC-45Name-prettyOp 1 (let ((e-3 (vector-ref e-2 2))) e-3)))))(else (IdrisC-45Pretty-u--pretty_Pretty_IdrisSyntax_IPTerm arg-7)))))
(define IdrisC-45DocC-45Display-displayType (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (let ((e-2 (car arg-4))) (let ((e-3 (cdr arg-4))) (let ((e-7 (cdr e-3))) (PreludeC-45Types-maybe (lambda () (let ((eff-0 (let ((eff-0 (CoreC-45Normalise-normaliseHoles arg-0 '() arg-3 '() (let ((e-25 (vector-ref e-7 2))) e-25)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (IdrisC-45Resugar-resugar '() arg-0 arg-1 '() e-5))) eff-1))))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-aliasName arg-0 (let ((e-1 (vector-ref e-7 1))) e-1)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-8 (vector-ref lcase-1 1))) (let ((eff-2 (let ((u--nm (cond ((equal? arg-2 1) (CoreC-45Name-dropNS e-8)) (else e-8)))) (let ((u--prig (IdrisC-45PrettyC-45Annotations-prettyRig (let ((e-23 (vector-ref e-7 7))) e-23)))) (let ((u--ann (IdrisC-45Pretty-showCategory (lambda (eta-0) eta-0) e-7))) (lambda (eta-0) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 u--prig (u--ann (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--cast_Cast_C-40DocC-32VoidC-41_C-40DocC-32C-36annC-41 (CoreC-45Name-prettyOp 1 u--nm)))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-colon) (IdrisC-45Pretty-u--pretty_Pretty_IdrisSyntax_IPTerm e-5)))))))))) eff-2))))))))) eff-1)))))))) (lambda () (lambda (u--num) (IdrisC-45IDEModeC-45Holes-prettyHole '() arg-0 arg-1 arg-3 '() e-2 u--num (let ((e-25 (vector-ref e-7 2))) e-25)))) (IdrisC-45IDEModeC-45Holes-isHole e-7)))))))
(define IdrisC-45DocC-45Display-displayTerm (lambda (arg-0 arg-1 arg-2 arg-3) (let ((eff-0 (let ((eff-0 (CoreC-45Normalise-normaliseHoles arg-0 '() arg-2 '() arg-3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (IdrisC-45Resugar-resugar '() arg-0 arg-1 '() e-5))) eff-1))))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (IdrisC-45Pretty-u--pretty_Pretty_IdrisSyntax_IPTerm e-5))))) eff-1)))))))))
(define IdrisC-45DocC-45Display-displayPats (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (let ((e-2 (car arg-4))) (let ((e-3 (cdr arg-4))) (let ((e-6 (car e-3))) (let ((e-7 (cdr e-3))) (let ((e-17 (vector-ref e-7 17))) (case (vector-ref e-17 0) ((1) (let ((e-26 (vector-ref e-17 5))) (let ((eff-0 (IdrisC-45DocC-45Display-displayType arg-0 arg-1 arg-2 arg-3 (cons e-2 (cons e-6 e-7))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-31 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-31)))) (else (let ((e-31 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Core-traverseC-39 (lambda (eta-0) (IdrisC-45DocC-45Display-displayClause arg-0 arg-1 arg-3 eta-0)) e-26 '()))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-32 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-32)))) (else (let ((e-32 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vsep (cons e-31 e-32)))))) eff-2))))))))) eff-1)))))))))(else (lambda (eta-0) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-1529) e-2) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "is not a pattern matching definition")))))))))))))
(define IdrisC-45DocC-45Display-displayImpl (lambda (arg-0 arg-1 arg-2 arg-3) (let ((e-2 (car arg-3))) (let ((e-3 (cdr arg-3))) (let ((e-6 (car e-3))) (let ((e-7 (cdr e-3))) (IdrisC-45DocC-45Display-case--displayImpl-9145 e-2 e-6 e-7 arg-2 arg-1 arg-0 (let ((e-17 (vector-ref e-7 17))) e-17))))))))
(define IdrisC-45DocC-45Display-displayClause (lambda (arg-0 arg-1 arg-2 arg-3) (let ((e-2 (car arg-3))) (let ((e-3 (cdr arg-3))) (let ((e-6 (car e-3))) (let ((e-7 (cdr e-3))) (let ((e-10 (car e-7))) (let ((e-11 (cdr e-7))) (let ((eff-0 (let ((eff-0 (CoreC-45Normalise-normaliseHoles arg-0 e-2 arg-2 e-6 e-10))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (IdrisC-45Resugar-resugar e-2 arg-0 arg-1 e-6 e-5))) eff-1))))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 (CoreC-45Normalise-normaliseHoles arg-0 e-2 arg-2 e-6 e-11))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-8 (vector-ref lcase-1 1))) (let ((eff-2 (IdrisC-45Resugar-resugar e-2 arg-0 arg-1 e-6 e-8))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-8 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45DocC-45Display-n--9688-8932-u--prettyLHS e-2 e-6 e-10 e-11 arg-2 arg-1 arg-0 e-5) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45PrettyC-45Annotations-equals) (IdrisC-45Pretty-u--pretty_Pretty_IdrisSyntax_IPTerm e-8))))))) eff-2))))))))) eff-1)))))))))))))))
(define IdrisC-45IDEModeC-45Holes-case--isHole-7468 (lambda (arg-0 arg-1) (case (vector-ref arg-1 0) ((7) (let ((e-0 (vector-ref arg-1 1))) (box e-0))) ((1) (let ((e-2 (vector-ref arg-1 1))) (let ((e-0 (vector-ref e-2 0))) (if (null? e-0) '() (let ((e-8 (unbox e-0))) (box e-8)))))) ((0) (box 0))(else '()))))
(define IdrisC-45IDEModeC-45Holes-n--10188-7384-u--prettyHole (lambda (arg-0 arg-1) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-1529) (let ((e-0 (vector-ref arg-1 0))) e-0)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-colon) (IdrisC-45Pretty-u--pretty_Pretty_IdrisSyntax_IPTerm (let ((e-1 (vector-ref arg-1 1))) e-1))))))
(define IdrisC-45IDEModeC-45Holes-n--10705-7894-u--dropShadows (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8) (if (null? arg-8) '() (let ((e-2 (car arg-8))) (let ((e-3 (cdr arg-8))) (let ((sc1 (PreludeC-45Types-elem (csegen-16) (csegen-1008) (let ((e-0 (vector-ref e-2 0))) e-0) (((csegen-25) (lambda (eta-0) (let ((e-0 (vector-ref eta-0 0))) e-0))) e-3)))) (cond ((equal? sc1 1) (IdrisC-45IDEModeC-45Holes-n--10705-7894-u--dropShadows arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-3)) (else (cons e-2 (IdrisC-45IDEModeC-45Holes-n--10705-7894-u--dropShadows arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-3))))))))))
(define IdrisC-45IDEModeC-45Holes-u--pretty_Pretty_IdrisSyntax_HolesC-46Premise (lambda (arg-0) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (IdrisC-45IDEModeC-45Holes-prettyRigHole (let ((e-2 (vector-ref arg-0 2))) e-2)) (IdrisC-45IDEModeC-45Holes-prettyImpBracket (let ((e-3 (vector-ref arg-0 3))) e-3) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-1529) (let ((e-0 (vector-ref arg-0 0))) e-0)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-colon) (IdrisC-45Pretty-u--pretty_Pretty_IdrisSyntax_IPTerm (let ((e-1 (vector-ref arg-0 1))) e-1))))))))
(define IdrisC-45IDEModeC-45Holes-showName (lambda (arg-0) (case (vector-ref arg-0 0) ((1) (let ((e-0 (vector-ref arg-0 1))) (case (vector-ref e-0 0) ((2) 0)(else 1)))) ((2) 0)(else 1))))
(define IdrisC-45IDEModeC-45Holes-prettyRigHole (lambda (ext-0) (AlgebraC-45Semiring-elimSemi (csegen-1156) (csegen-1215) (csegen-1219) (lambda (eta-0) ((csegen-3577) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-space))) ext-0)))
(define IdrisC-45IDEModeC-45Holes-prettyImpBracket (lambda (arg-1 ext-0) (cond ((equal? arg-1 0) ext-0) (else (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-braces ext-0)))))
(define IdrisC-45IDEModeC-45Holes-prettyHoles (lambda (arg-0) (if (null? arg-0) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-594) "No holes") (let ((e-2 (car arg-0))) (let ((e-3 (cdr arg-0))) (if (null? e-3) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (((csegen-380) ((csegen-331) "1 hole")) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-colon)) (IdrisC-45IDEModeC-45Holes-n--10188-7384-u--prettyHole arg-0 e-2)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vcat (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-863) (PreludeC-45Show-u--show_Show_Nat (PreludeC-45TypesC-45List-lengthTR arg-0))) (csegen-4688)) (((csegen-25) (lambda (eta-0) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-indent 2 (IdrisC-45IDEModeC-45Holes-n--10188-7384-u--prettyHole arg-0 eta-0)))) arg-0)))))))))
(define IdrisC-45IDEModeC-45Holes-prettyHole (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (let ((eff-0 (IdrisC-45IDEModeC-45Holes-holeData arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (clam-0) (let ((e-2 (vector-ref e-5 2))) (if (null? e-2) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-1529) (let ((e-6 (vector-ref e-5 0))) e-6)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-colon) (IdrisC-45Pretty-u--pretty_Pretty_IdrisSyntax_IPTerm (let ((e-4 (vector-ref e-5 1))) e-4))))) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-indent 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vsep (((csegen-25) (lambda (eta-0) (IdrisC-45IDEModeC-45Holes-u--pretty_Pretty_IdrisSyntax_HolesC-46Premise eta-0))) (let ((e-3 (vector-ref e-5 2))) e-3)))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-hardline)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-863) (DataC-45String-replicate 30 #\-))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-hardline)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-863) (CoreC-45Name-nameRoot (let ((e-6 (vector-ref e-5 0))) e-6)))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-colon) (IdrisC-45Pretty-u--pretty_Pretty_IdrisSyntax_IPTerm (let ((e-4 (vector-ref e-5 1))) e-4)))))))))) eff-1)))))))))
(define IdrisC-45IDEModeC-45Holes-premiseIDE (lambda (arg-0) (cons (string-append " " (string-append (Algebra-showCount (let ((e-2 (vector-ref arg-0 2))) e-2)) (string-append " " (IdrisC-45IDEModeC-45Holes-impBracket (let ((e-3 (vector-ref arg-0 3))) e-3) (CoreC-45Name-u--show_Show_Name (let ((e-0 (vector-ref arg-0 0))) e-0)))))) (IdrisC-45Syntax-u--show_Show_IPTerm (let ((e-1 (vector-ref arg-0 1))) e-1)))))
(define IdrisC-45IDEModeC-45Holes-isHole (lambda (arg-0) (IdrisC-45IDEModeC-45Holes-case--isHole-7468 arg-0 (let ((e-17 (vector-ref arg-0 17))) e-17))))
(define IdrisC-45IDEModeC-45Holes-impBracket (lambda (arg-0 arg-1) (cond ((equal? arg-0 0) arg-1) (else (string-append "{" (string-append arg-1 "}"))))))
(define IdrisC-45IDEModeC-45Holes-holeIDE (lambda (arg-0) (vector (CoreC-45Name-u--show_Show_Name (let ((e-0 (vector-ref arg-0 0))) e-0)) (IdrisC-45Syntax-u--show_Show_IPTerm (let ((e-1 (vector-ref arg-0 1))) e-1)) (((csegen-25) (lambda (eta-0) (IdrisC-45IDEModeC-45Holes-premiseIDE eta-0))) (let ((e-2 (vector-ref arg-0 2))) e-2)))))
(define IdrisC-45IDEModeC-45Holes-holeData (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (let ((eff-0 (IdrisC-45IDEModeC-45Holes-extractHoleData arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-getPPrint arg-1))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (let ((sc2 (let ((e-0 (vector-ref e-6 0))) e-0))) (cond ((equal? sc2 1) e-5) (else (let ((e-0 (vector-ref e-5 0))) (let ((e-1 (vector-ref e-5 1))) (let ((e-2 (vector-ref e-5 2))) (vector e-0 e-1 (IdrisC-45IDEModeC-45Holes-n--10705-7894-u--dropShadows arg-0 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 e-2)))))))))))) eff-2))))))))) eff-1)))))))))
(define IdrisC-45IDEModeC-45Holes-getUserHolesData (lambda (arg-0 arg-1) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--ctxt (let ((e-0 (vector-ref e-5 0))) e-0))) (let ((eff-1 (CoreC-45Context-getUserHoles arg-0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Core-traverseC-39 (lambda (u--n) (CoreC-45Context-lookupCtxtName u--n u--ctxt)) e-6 '()))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((u--globs (PreludeC-45Interfaces-concat (csegen-83) (csegen-16) e-7))) (let ((u--holesWithArgs (PreludeC-45TypesC-45List-mapMaybeAppend '() (lambda (lamc-0) (let ((e-2 (car lamc-0))) (let ((e-3 (cdr lamc-0))) (let ((e-8 (cdr e-3))) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (IdrisC-45IDEModeC-45Holes-isHole e-8) (lambda (u--args) (box (cons e-2 (cons e-8 u--args))))))))) u--globs))) (CoreC-45Core-traverseC-39 (lambda (u--n_gdef_args) (let ((e-2 (car u--n_gdef_args))) (let ((e-3 (cdr u--n_gdef_args))) (let ((e-9 (car e-3))) (let ((e-8 (cdr e-3))) (IdrisC-45IDEModeC-45Holes-holeData '() arg-0 arg-1 e-5 '() e-2 e-8 (let ((e-28 (vector-ref e-9 2))) e-28))))))) u--holesWithArgs '()))))) eff-3))))))))) eff-2)))))))))) eff-1)))))))))
(define IdrisC-45IDEModeC-45Holes-extractHoleData (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (cond ((equal? arg-6 0) (let ((eff-0 (CoreC-45Normalise-normalise arg-1 arg-0 arg-3 arg-4 arg-7))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (IdrisC-45Resugar-resugar arg-0 arg-1 arg-2 arg-4 e-5))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-1 (csegen-105) arg-7))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45Context-toFullNames arg-1 (csegen-105) e-5))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (CoreC-45ContextC-45Log-log arg-1 "ide-mode.hole" 20 (lambda () (string-append "Return type: " (string-append (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-0 e-7) (string-append "\xa;  Evaluated to: " (string-append (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-0 e-8) (string-append "\xa;  Resugared to: " (IdrisC-45Syntax-u--show_Show_IPTerm e-6)))))))))) eff-4))))))))) eff-3))))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (lambda (eta-0) (vector 1 (vector arg-5 e-6 '()))))) eff-3)))))))) eff-2))))))))) eff-1))))))))(else (let ((e-0 (- arg-6 1))) (case (vector-ref arg-7 0) ((3) (let ((e-3 (vector-ref arg-7 2))) (let ((e-4 (vector-ref arg-7 3))) (let ((e-5 (vector-ref arg-7 4))) (case (vector-ref e-4 0) ((1) (let ((e-9 (vector-ref e-4 3))) (IdrisC-45IDEModeC-45Holes-extractHoleData arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-0 (CoreC-45TTC-45SubstEnv-subst e-9 e-5))))(else (let ((eff-0 (IdrisC-45IDEModeC-45Holes-extractHoleData (cons e-3 arg-0) arg-1 arg-2 arg-3 (cons e-4 arg-4) arg-5 e-0 e-5))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((sc2 (IdrisC-45IDEModeC-45Holes-showName e-3))) (cond ((equal? sc2 1) (let ((eff-1 (CoreC-45ContextC-45Log-log arg-1 "ide-mode.hole" 10 (lambda () (string-append "Showing name: " (CoreC-45Name-u--show_Show_Name e-3)))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((eff-2 (let ((eff-2 (let ((eff-2 (CoreC-45Normalise-normalise arg-1 arg-0 arg-3 arg-4 (CoreC-45TT-binderType e-4)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (IdrisC-45Resugar-resugar arg-0 arg-1 arg-2 arg-4 e-8))) eff-3))))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (let ((u--premise (vector e-3 e-8 (CoreC-45TT-multiplicity e-4) (CoreC-45TT-isImplicit e-4)))) (lambda (eta-0) (vector 1 (let ((e-10 (vector-ref e-6 0))) (let ((e-1 (vector-ref e-6 1))) (let ((e-9 (vector-ref e-6 2))) (vector e-10 e-1 (cons u--premise e-9)))))))))) eff-3))))))))) eff-2))))))) (else (let ((eff-1 (CoreC-45ContextC-45Log-log arg-1 "ide-mode.hole" 10 (lambda () (string-append "Not showing name: " (CoreC-45Name-u--show_Show_Name e-3)))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((eff-2 (lambda (eta-0) (vector 1 e-6)))) eff-2))))))))))) eff-1)))))))))))))(else (let ((eff-0 (CoreC-45Normalise-normalise arg-1 arg-0 arg-3 arg-4 arg-7))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (IdrisC-45Resugar-resugar arg-0 arg-1 arg-2 arg-4 e-5))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (let ((eff-2 (CoreC-45Context-toFullNames arg-1 (csegen-105) arg-7))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45Context-toFullNames arg-1 (csegen-105) e-5))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (CoreC-45ContextC-45Log-log arg-1 "ide-mode.hole" 20 (lambda () (string-append "Return type: " (string-append (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-0 e-7) (string-append "\xa;  Evaluated to: " (string-append (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 arg-0 e-8) (string-append "\xa;  Resugared to: " (IdrisC-45Syntax-u--show_Show_IPTerm e-6)))))))))) eff-4))))))))) eff-3))))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (lambda (eta-0) (vector 1 (vector arg-5 e-6 '()))))) eff-3)))))))) eff-2))))))))) eff-1))))))))))))))
(define IdrisC-45IDEModeC-45Commands-u--cast_Cast_C-40C-124C-40C-40BuiltinC-46PairC-32FileNameC-41C-32NonEmptyFCC-41C-44C-40C-40BuiltinC-46MkPairC-32FileNameC-41C-32NonEmptyFCC-41C-124C-41_FileContext (lambda (arg-0) (let ((e-2 (car arg-0))) (let ((e-3 (cdr arg-0))) (let ((e-7 (cdr e-3))) (let ((e-10 (car e-7))) (let ((e-11 (cdr e-7))) (let ((e-14 (car e-10))) (let ((e-15 (cdr e-10))) (let ((e-18 (car e-11))) (let ((e-19 (cdr e-11))) (cons e-2 (vector e-14 e-15 e-18 e-19)))))))))))))
(define IdrisC-45IDEModeC-45Commands-sendStr (lambda (arg-0 arg-1) ((csegen-2399) (SystemC-45FileC-45ReadWrite-fPutStr (csegen-40) arg-0 arg-1))))
(define IdrisC-45IDEModeC-45Commands-send (lambda (arg-0 arg-1 arg-2) (let ((u--r (string-append (ProtocolC-45SExp-u--show_Show_SExp ((let ((eff-0 (lambda (eta-0) (ProtocolC-45IDE-u--toSExp_SExpable_Reply eta-0)))) (lambda (arg-3) (eff-0 arg-3))) arg-2)) "\xa;"))) (let ((eff-0 (CoreC-45ContextC-45Log-log arg-0 "ide-mode.send" 20 (lambda () u--r)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (PrimIO-io_bind (IdrisC-45IDEModeC-45Commands-sendStr arg-1 (ProtocolC-45Hex-leftPad #\0 6 (ProtocolC-45Hex-asHex (blodwen-toUnsignedInt (PreludeC-45TypesC-45String-length u--r) 64)))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (PrimIO-io_bind (IdrisC-45IDEModeC-45Commands-sendStr arg-1 u--r) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (PrimIO-io_bind (SystemC-45FileC-45Process-fflush (csegen-40) arg-1) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) eff-3)))))))) eff-2)))))))) eff-1)))))))))
(define IdrisC-45IDEModeC-45Commands-getMsg (lambda (arg-0) (case (vector-ref arg-0 0) ((0) (let ((e-0 (vector-ref arg-0 1))) (if (null? e-0) '() (let ((e-2 (car e-0))) (let ((e-3 (cdr e-0))) (if (null? e-3) '() (let ((e-5 (car e-3))) (let ((e-6 (cdr e-3))) (case (vector-ref e-5 0) ((3) (let ((e-7 (vector-ref e-5 1))) (if (null? e-6) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe ((let ((eff-0 (lambda (eta-0) (ProtocolC-45IDEC-45Command-u--fromSExp_FromSExpable_IDECommand eta-0)))) (lambda (arg-1) (eff-0 arg-1))) e-2) (lambda (u--cmd) (box (cons u--cmd e-7)))) '())))(else '()))))))))))(else '()))))
(define ProtocolC-45IDE-u--toSExp_SExpable_ReplyPayload (lambda (arg-0) (case (vector-ref arg-0 0) ((0) (let ((e-0 (vector-ref arg-0 1))) (let ((e-1 (vector-ref arg-0 2))) (vector 0 (cons (vector 4 "ok") (cons (ProtocolC-45IDEC-45Result-u--toSExp_SExpable_Result e-0) (if (null? e-1) '() (cons (vector 0 ((csegen-4696) e-1)) '())))))))) ((1) (let ((e-2 (vector-ref arg-0 1))) (vector 0 (cons (vector 4 "ok") (cons (vector 0 (cons (vector 4 "highlight-source") (cons ((let ((eff-0 (lambda (eta-0) (ProtocolC-45SExp-u--toSExp_SExpable_C-40ListC-32C-36aC-41 (lambda (eta-1) (ProtocolC-45IDEC-45Highlight-u--toSExp_SExpable_SourceHighlight eta-1)) eta-0)))) (lambda (arg-1) (eff-0 arg-1))) e-2) '()))) '()))))) (else (let ((e-3 (vector-ref arg-0 1))) (let ((e-4 (vector-ref arg-0 2))) (vector 0 (cons (vector 4 "error") (cons (ProtocolC-45SExp-u--toSExp_SExpable_String e-3) (if (null? e-4) '() (cons (vector 0 ((csegen-4696) e-4)) '())))))))))))
(define ProtocolC-45IDE-u--toSExp_SExpable_Reply (lambda (arg-0) (case (vector-ref arg-0 0) ((0) (let ((e-0 (vector-ref arg-0 1))) (let ((e-1 (vector-ref arg-0 2))) ((let ((eff-0 (lambda (eta-0) (ProtocolC-45SExp-u--toSExp_SExpable_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (cons (lambda (eta-1) eta-1) (csegen-4700)) eta-0)))) (lambda (arg-1) (eff-0 arg-1))) (cons (vector 4 "protocol-version") (cons e-0 e-1)))))) ((1) (let ((e-2 (vector-ref arg-0 1))) (let ((e-3 (vector-ref arg-0 2))) (vector 0 (cons (vector 4 "return") (cons (ProtocolC-45IDE-u--toSExp_SExpable_ReplyPayload e-2) (cons (ProtocolC-45SExp-u--toSExp_SExpable_Integer e-3) '()))))))) ((2) (let ((e-4 (vector-ref arg-0 1))) (let ((e-5 (vector-ref arg-0 2))) (vector 0 (cons (vector 4 "output") (cons (ProtocolC-45IDE-u--toSExp_SExpable_ReplyPayload e-4) (cons (ProtocolC-45SExp-u--toSExp_SExpable_Integer e-5) '()))))))) ((3) (let ((e-6 (vector-ref arg-0 1))) (let ((e-7 (vector-ref arg-0 2))) (vector 0 (cons (vector 4 "write-string") (cons (ProtocolC-45SExp-u--toSExp_SExpable_String e-6) (cons (ProtocolC-45SExp-u--toSExp_SExpable_Integer e-7) '()))))))) ((4) (let ((e-8 (vector-ref arg-0 1))) (let ((e-9 (vector-ref arg-0 2))) (vector 0 (cons (vector 4 "set-prompt") (cons (ProtocolC-45SExp-u--toSExp_SExpable_String e-8) (cons (ProtocolC-45SExp-u--toSExp_SExpable_Integer e-9) '()))))))) (else (let ((e-10 (vector-ref arg-0 1))) (let ((e-11 (vector-ref arg-0 2))) (let ((e-12 (vector-ref arg-0 3))) (let ((e-13 (vector-ref arg-0 4))) (vector 0 (cons (vector 4 "warning") (cons (vector 0 (cons (ProtocolC-45SExp-u--toSExp_SExpable_String (let ((e-0 (car e-10))) e-0)) (cons ((csegen-4704) (cons (let ((e-1 (cdr e-10))) (let ((e-5 (vector-ref e-1 0))) e-5)) (let ((e-1 (cdr e-10))) (let ((e-4 (vector-ref e-1 1))) e-4)))) (cons ((csegen-4704) (cons (let ((e-1 (cdr e-10))) (let ((e-2 (vector-ref e-1 2))) e-2)) (let ((e-1 (cdr e-10))) (let ((e-3 (vector-ref e-1 3))) e-3)))) (cons (ProtocolC-45SExp-u--toSExp_SExpable_String e-11) (if (null? e-12) '() (cons (vector 0 ((csegen-4696) e-12)) '()))))))) (cons (ProtocolC-45SExp-u--toSExp_SExpable_Integer e-13) '()))))))))))))
(define ProtocolC-45IDE-u--toSExp_SExpable_C-40SpanC-32C-36aC-41 (lambda (arg-1 arg-2) (let ((e-1 (vector-ref arg-2 0))) (let ((e-2 (vector-ref arg-2 1))) (let ((e-3 (vector-ref arg-2 2))) (vector 0 (cons (vector 3 e-1) (cons (vector 3 e-2) (cons ((let ((eff-0 arg-1)) (lambda (arg-0) (eff-0 arg-0))) e-3) '())))))))))
(define ProtocolC-45IDEC-45Highlight-u--toSExp_SExpable_SourceHighlight (lambda (arg-0) (case (vector-ref arg-0 0) ((0) (let ((e-0 (vector-ref arg-0 1))) (ProtocolC-45IDEC-45Highlight-u--toSExp_SExpable_Highlight e-0))) (else (let ((e-1 (vector-ref arg-0 1))) (ProtocolC-45IDEC-45Highlight-u--toSExp_SExpable_LwHighlight e-1))))))
(define ProtocolC-45IDEC-45Highlight-u--toSExp_SExpable_LwHighlight (lambda (arg-0) (vector 0 (cons (ProtocolC-45IDEC-45FileContext-u--toSExp_SExpable_FileContext (let ((e-0 (car arg-0))) e-0)) (cons (vector 0 (cons (ProtocolC-45IDEC-45Decoration-u--toSExp_SExpable_Decoration (let ((e-1 (cdr arg-0))) e-1)) '())) '())))))
(define ProtocolC-45IDEC-45Highlight-u--toSExp_SExpable_Highlight (lambda (arg-0) (let ((e-0 (vector-ref arg-0 0))) (let ((e-1 (vector-ref arg-0 1))) (let ((e-2 (vector-ref arg-0 2))) (let ((e-3 (vector-ref arg-0 3))) (let ((e-4 (vector-ref arg-0 4))) (let ((e-5 (vector-ref arg-0 5))) (let ((e-6 (vector-ref arg-0 6))) (let ((e-7 (vector-ref arg-0 7))) (vector 0 (cons (ProtocolC-45IDEC-45FileContext-u--toSExp_SExpable_FileContext e-0) (cons (vector 0 (cons (vector 0 (cons (vector 4 "name") (cons (vector 1 e-1) '()))) (cons (vector 0 (cons (vector 4 "namespace") (cons (vector 1 e-7) '()))) (cons (ProtocolC-45IDEC-45Decoration-u--toSExp_SExpable_Decoration e-4) (cons (vector 0 (cons (vector 4 "implicit") (cons (ProtocolC-45SExp-u--toSExp_SExpable_Bool e-2) '()))) (cons (vector 0 (cons (vector 4 "key") (cons (vector 1 e-3) '()))) (cons (vector 0 (cons (vector 4 "doc-overview") (cons (vector 1 e-5) '()))) (cons (vector 0 (cons (vector 4 "type") (cons (vector 1 e-6) '()))) '())))))))) '())))))))))))))
(define ProtocolC-45IDEC-45FileContext-u--toSExp_SExpable_FileContext (lambda (arg-0) (vector 0 (cons (vector 0 (cons (vector 4 "filename") (cons (ProtocolC-45SExp-u--toSExp_SExpable_String (let ((e-0 (car arg-0))) e-0)) '()))) (cons (vector 0 (cons (vector 4 "start") (cons (vector 3 (let ((e-1 (cdr arg-0))) (let ((e-5 (vector-ref e-1 0))) e-5))) (cons (vector 3 (let ((e-1 (cdr arg-0))) (let ((e-4 (vector-ref e-1 1))) e-4))) '())))) (cons (vector 0 (cons (vector 4 "end") (cons (vector 3 (let ((e-1 (cdr arg-0))) (let ((e-2 (vector-ref e-1 2))) e-2))) (cons (vector 3 (let ((e-1 (cdr arg-0))) (let ((e-3 (vector-ref e-1 3))) e-3))) '())))) '()))))))
(define ProtocolC-45IDEC-45Result-u--toSExp_SExpable_Result (lambda (arg-0) (case (vector-ref arg-0 0) ((0) (let ((e-0 (vector-ref arg-0 1))) (ProtocolC-45SExp-u--toSExp_SExpable_String e-0))) ((1) ((let ((eff-0 (lambda (eta-0) (ProtocolC-45SExp-u--toSExp_SExpable_C-40ListC-32C-36aC-41 (lambda (eta-1) (ProtocolC-45SExp-u--toSExp_SExpable_Int eta-1)) eta-0)))) (lambda (arg-1) (eff-0 arg-1))) '())) ((2) (let ((e-1 (vector-ref arg-0 1))) (ProtocolC-45IDEC-45Result-u--toSExp_SExpable_IdrisVersion e-1))) ((3) (let ((e-2 (vector-ref arg-0 1))) (ProtocolC-45IDEC-45Result-u--toSExp_SExpable_MetaVarLemma e-2))) ((4) (let ((e-3 (vector-ref arg-0 1))) ((let ((eff-0 (lambda (eta-0) (ProtocolC-45SExp-u--toSExp_SExpable_C-40ListC-32C-36aC-41 (lambda (eta-1) (ProtocolC-45SExp-u--toSExp_SExpable_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (cons (lambda (eta-2) (ProtocolC-45SExp-u--toSExp_SExpable_String eta-2)) (lambda (eta-2) (ProtocolC-45IDEC-45FileContext-u--toSExp_SExpable_FileContext eta-2))) eta-1)) eta-0)))) (lambda (arg-1) (eff-0 arg-1))) e-3))) ((5) (let ((e-4 (vector-ref arg-0 1))) ((let ((eff-0 (lambda (eta-0) (ProtocolC-45SExp-u--toSExp_SExpable_C-40ListC-32C-36aC-41 (lambda (eta-1) (ProtocolC-45IDEC-45Holes-u--toSExp_SExpable_HoleData eta-1)) eta-0)))) (lambda (arg-1) (eff-0 arg-1))) e-4))) ((7) (let ((e-5 (vector-ref arg-0 1))) (vector 0 ((csegen-4714) e-5)))) ((6) (let ((e-6 (vector-ref arg-0 1))) (let ((e-7 (vector-ref arg-0 2))) (vector 0 (cons (vector 0 ((csegen-4714) e-6)) (cons (vector 1 e-7) '())))))) ((8) (let ((e-8 (vector-ref arg-0 1))) ((let ((eff-0 (lambda (eta-0) (ProtocolC-45SExp-u--toSExp_SExpable_C-40ListC-32C-36aC-41 (lambda (arg-5221) (ProtocolC-45IDEC-45Result-u--toSExp_SExpable_REPLOption arg-5221)) eta-0)))) (lambda (arg-1) (eff-0 arg-1))) e-8))) (else (let ((e-9 (vector-ref arg-0 1))) ((let ((eff-0 (lambda (eta-0) (ProtocolC-45SExp-u--toSExp_SExpable_C-40List1C-32C-36aC-41 (lambda (eta-1) (ProtocolC-45SExp-u--toSExp_SExpable_String eta-1)) eta-0)))) (lambda (arg-1) (eff-0 arg-1))) e-9))))))
(define ProtocolC-45IDEC-45Result-u--toSExp_SExpable_REPLOption (lambda (arg-0) (let ((e-1 (vector-ref arg-0 1))) (vector 0 (cons (vector 4 (let ((e-5 (vector-ref arg-0 0))) e-5)) (cons ((ProtocolC-45IDEC-45Result-sexpOptionVal e-1) (let ((e-3 (vector-ref arg-0 2))) e-3)) '()))))))
(define ProtocolC-45IDEC-45Result-u--toSExp_SExpable_MetaVarLemma (lambda (arg-0) (vector 0 (cons (vector 4 "metavariable-lemma") (cons (vector 0 (cons (vector 4 "replace-metavariable") (cons (vector 1 (let ((e-0 (car arg-0))) e-0)) '()))) (cons (vector 0 (cons (vector 4 "definition-type") (cons (vector 1 (let ((e-1 (cdr arg-0))) e-1)) '()))) '()))))))
(define ProtocolC-45IDEC-45Result-u--toSExp_SExpable_IdrisVersion (lambda (arg-0) (vector 0 (cons (vector 0 (((csegen-25) (lambda (eta-0) (ProtocolC-45SExp-u--toSExp_SExpable_Nat eta-0))) (cons (let ((e-0 (vector-ref arg-0 0))) e-0) (cons (let ((e-1 (vector-ref arg-0 1))) e-1) (cons (let ((e-2 (vector-ref arg-0 2))) e-2) '()))))) (cons (vector 0 (cons (vector 1 (DataC-45Maybe-fromMaybe (lambda () "") (let ((e-3 (vector-ref arg-0 3))) e-3))) '())) '())))))
(define ProtocolC-45IDEC-45Result-sexpOptionVal (lambda (arg-0) (cond ((equal? arg-0 0) (let ((eff-0 (lambda (eta-0) (ProtocolC-45SExp-u--toSExp_SExpable_Bool eta-0)))) (lambda (arg-1) (eff-0 arg-1)))) ((equal? arg-0 1) (csegen-4721)) (else (csegen-4721)))))
(define ProtocolC-45IDEC-45Holes-u--toSExp_SExpable_HolePremise (lambda (arg-0) (vector 0 (cons (vector 1 (let ((e-0 (car arg-0))) e-0)) (cons (vector 1 (let ((e-1 (cdr arg-0))) e-1)) (cons (vector 0 '()) '()))))))
(define ProtocolC-45IDEC-45Holes-u--toSExp_SExpable_HoleData (lambda (arg-0) (vector 0 (cons (vector 1 (PreludeC-45Show-u--show_Show_String (let ((e-0 (vector-ref arg-0 0))) e-0))) (cons ((let ((eff-0 (lambda (eta-0) (ProtocolC-45SExp-u--toSExp_SExpable_C-40ListC-32C-36aC-41 (lambda (arg-5221) (ProtocolC-45IDEC-45Holes-u--toSExp_SExpable_HolePremise arg-5221)) eta-0)))) (lambda (arg-1) (eff-0 arg-1))) (let ((e-2 (vector-ref arg-0 2))) e-2)) (cons (vector 0 (cons (ProtocolC-45SExp-u--toSExp_SExpable_String (let ((e-1 (vector-ref arg-0 1))) e-1)) (cons (vector 0 '()) '()))) '()))))))
(define ProtocolC-45IDEC-45Formatting-u--toSExp_SExpable_Properties (lambda (arg-0) (let ((e-0 (car arg-0))) (let ((e-1 (cdr arg-0))) (vector 0 (DataC-45List-catMaybes (cons (PreludeC-45Interfaces-C-60C-36C-62 (csegen-76) (lambda (eta-0) (ProtocolC-45IDEC-45Formatting-u--toSExp_SExpable_Formatting eta-0)) e-1) (cons (PreludeC-45Interfaces-C-60C-36C-62 (csegen-76) (lambda (eta-0) (ProtocolC-45IDEC-45Decoration-u--toSExp_SExpable_Decoration eta-0)) e-0) '()))))))))
(define ProtocolC-45IDEC-45Formatting-u--toSExp_SExpable_Formatting (lambda (arg-0) (vector 0 (cons (vector 4 "text-formatting") (cons (vector 4 (ProtocolC-45IDEC-45Formatting-u--show_Show_Formatting arg-0)) '())))))
(define ProtocolC-45IDEC-45Formatting-u--show_Show_Formatting (lambda (arg-0) (cond ((equal? arg-0 0) "bold") ((equal? arg-0 1) "italic") (else "underline"))))
(define ProtocolC-45IDEC-45Formatting-mkFormat (lambda (ext-0) (cons '() (box ext-0))))
(define ProtocolC-45IDEC-45Formatting-mkDecor (lambda (arg-0) (cons (box arg-0) '())))
(define ProtocolC-45IDEC-45Command-n--2857-6521-u--getMode (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (PreludeC-45EqOrd-u--C-61C-61_Eq_String arg-4 "all")))
(define ProtocolC-45IDEC-45Command-u--fromSExp_FromSExpable_IDECommand (lambda (ext-0) (ProtocolC-45IDEC-45Command-getIDECommand ext-0)))
(define ProtocolC-45IDEC-45Command-u--fromSExp_FromSExpable_Hints (lambda (arg-0) (PreludeC-45Interfaces-C-60C-36C-62 (csegen-76) (lambda (eta-0) eta-0) ((let ((eff-0 (lambda (eta-0) (ProtocolC-45SExp-u--fromSExp_FromSExpable_C-40ListC-32C-36aC-41 (lambda (eta-1) (ProtocolC-45SExp-u--fromSExp_FromSExpable_String eta-1)) eta-0)))) (lambda (arg-1) (eff-0 arg-1))) arg-0))))
(define ProtocolC-45IDEC-45Command-getIDECommand (lambda (arg-0) (case (vector-ref arg-0 0) ((0) (let ((e-0 (vector-ref arg-0 1))) (if (null? e-0) '() (let ((e-3 (car e-0))) (let ((e-4 (cdr e-0))) (case (vector-ref e-3 0) ((4) (let ((e-5 (vector-ref e-3 1))) (cond ((equal? e-5 "interpret") (if (null? e-4) '() (let ((e-7 (car e-4))) (let ((e-8 (cdr e-4))) (case (vector-ref e-7 0) ((1) (let ((e-9 (vector-ref e-7 1))) (if (null? e-8) (box (vector 0 e-9)) '())))(else '())))))) ((equal? e-5 "load-file") (if (null? e-4) '() (let ((e-12 (car e-4))) (let ((e-13 (cdr e-4))) (case (vector-ref e-12 0) ((1) (let ((e-14 (vector-ref e-12 1))) (if (null? e-13) (box (vector 1 e-14 '())) (let ((e-17 (car e-13))) (let ((e-18 (cdr e-13))) (case (vector-ref e-17 0) ((3) (let ((e-19 (vector-ref e-17 1))) (if (null? e-18) (box (vector 1 e-14 (box e-19))) '())))(else '())))))))(else '())))))) ((equal? e-5 "type-of") (if (null? e-4) '() (let ((e-22 (car e-4))) (let ((e-23 (cdr e-4))) (case (vector-ref e-22 0) ((1) (let ((e-24 (vector-ref e-22 1))) (if (null? e-23) (box (vector 2 e-24 '())) (let ((e-27 (car e-23))) (let ((e-28 (cdr e-23))) (case (vector-ref e-27 0) ((3) (let ((e-29 (vector-ref e-27 1))) (if (null? e-28) '() (let ((e-31 (car e-28))) (let ((e-32 (cdr e-28))) (case (vector-ref e-31 0) ((3) (let ((e-33 (vector-ref e-31 1))) (if (null? e-32) (box (vector 2 e-24 (box (cons e-29 e-33)))) '())))(else '())))))))(else '())))))))(else '())))))) ((equal? e-5 "name-at") (if (null? e-4) '() (let ((e-36 (car e-4))) (let ((e-37 (cdr e-4))) (case (vector-ref e-36 0) ((1) (let ((e-38 (vector-ref e-36 1))) (if (null? e-37) (box (vector 3 e-38 '())) (let ((e-41 (car e-37))) (let ((e-42 (cdr e-37))) (case (vector-ref e-41 0) ((3) (let ((e-43 (vector-ref e-41 1))) (if (null? e-42) '() (let ((e-45 (car e-42))) (let ((e-46 (cdr e-42))) (case (vector-ref e-45 0) ((3) (let ((e-47 (vector-ref e-45 1))) (if (null? e-46) (box (vector 3 e-38 (box (cons e-43 e-47)))) '())))(else '())))))))(else '())))))))(else '())))))) ((equal? e-5 "case-split") (if (null? e-4) '() (let ((e-50 (car e-4))) (let ((e-51 (cdr e-4))) (case (vector-ref e-50 0) ((3) (let ((e-52 (vector-ref e-50 1))) (if (null? e-51) '() (let ((e-54 (car e-51))) (let ((e-55 (cdr e-51))) (case (vector-ref e-54 0) ((3) (let ((e-56 (vector-ref e-54 1))) (if (null? e-55) '() (let ((e-59 (car e-55))) (let ((e-60 (cdr e-55))) (case (vector-ref e-59 0) ((1) (let ((e-61 (vector-ref e-59 1))) (if (null? e-60) (box (vector 4 e-52 e-56 e-61)) '())))(else '()))))))) ((1) (let ((e-57 (vector-ref e-54 1))) (if (null? e-55) (box (vector 4 e-52 0 e-57)) '())))(else '())))))))(else '())))))) ((equal? e-5 "add-clause") (if (null? e-4) '() (let ((e-65 (car e-4))) (let ((e-66 (cdr e-4))) (case (vector-ref e-65 0) ((3) (let ((e-67 (vector-ref e-65 1))) (if (null? e-66) '() (let ((e-69 (car e-66))) (let ((e-70 (cdr e-66))) (case (vector-ref e-69 0) ((1) (let ((e-71 (vector-ref e-69 1))) (if (null? e-70) (box (vector 5 e-67 e-71)) '())))(else '())))))))(else '())))))) ((equal? e-5 "add-missing") (if (null? e-4) '() (let ((e-74 (car e-4))) (let ((e-75 (cdr e-4))) (case (vector-ref e-74 0) ((3) (let ((e-76 (vector-ref e-74 1))) (if (null? e-75) '() (let ((e-78 (car e-75))) (let ((e-79 (cdr e-75))) (case (vector-ref e-78 0) ((1) (let ((e-80 (vector-ref e-78 1))) (if (null? e-79) (box (vector 6 e-76 e-80)) '())))(else '())))))))(else '())))))) ((equal? e-5 "proof-search") (if (null? e-4) '() (let ((e-83 (car e-4))) (let ((e-84 (cdr e-4))) (case (vector-ref e-83 0) ((3) (let ((e-85 (vector-ref e-83 1))) (if (null? e-84) '() (let ((e-87 (car e-84))) (let ((e-88 (cdr e-84))) (case (vector-ref e-87 0) ((1) (let ((e-89 (vector-ref e-87 1))) (if (null? e-88) (box (vector 9 e-85 e-89 '() 0)) (let ((e-92 (car e-88))) (let ((e-93 (cdr e-88))) (if (null? e-93) (PreludeC-45Interfaces-C-60C-36C-62 (csegen-76) (lambda (u--hsC-39) (vector 9 e-85 e-89 u--hsC-39 0)) (ProtocolC-45IDEC-45Command-u--fromSExp_FromSExpable_Hints e-92)) (let ((e-96 (car e-93))) (let ((e-97 (cdr e-93))) (case (vector-ref e-96 0) ((4) (let ((e-98 (vector-ref e-96 1))) (if (null? e-97) (PreludeC-45Interfaces-C-60C-36C-62 (csegen-76) (lambda (u--hsC-39) (vector 9 e-85 e-89 u--hsC-39 (ProtocolC-45IDEC-45Command-n--2857-6521-u--getMode e-85 e-89 e-92 e-98 e-98))) (ProtocolC-45IDEC-45Command-u--fromSExp_FromSExpable_Hints e-92)) '())))(else '()))))))))))(else '())))))))(else '())))))) ((equal? e-5 "intro") (if (null? e-4) '() (let ((e-101 (car e-4))) (let ((e-102 (cdr e-4))) (case (vector-ref e-101 0) ((3) (let ((e-103 (vector-ref e-101 1))) (if (null? e-102) '() (let ((e-105 (car e-102))) (let ((e-106 (cdr e-102))) (case (vector-ref e-105 0) ((1) (let ((e-107 (vector-ref e-105 1))) (if (null? e-106) (box (vector 7 e-103 e-107)) '())))(else '())))))))(else '())))))) ((equal? e-5 "refine") (if (null? e-4) '() (let ((e-110 (car e-4))) (let ((e-111 (cdr e-4))) (case (vector-ref e-110 0) ((3) (let ((e-112 (vector-ref e-110 1))) (if (null? e-111) '() (let ((e-114 (car e-111))) (let ((e-115 (cdr e-111))) (case (vector-ref e-114 0) ((1) (let ((e-116 (vector-ref e-114 1))) (if (null? e-115) '() (let ((e-118 (car e-115))) (let ((e-119 (cdr e-115))) (case (vector-ref e-118 0) ((1) (let ((e-120 (vector-ref e-118 1))) (if (null? e-119) (box (vector 8 e-112 e-116 e-120)) '())))(else '())))))))(else '())))))))(else '())))))) ((equal? e-5 "generate-def") (if (null? e-4) '() (let ((e-123 (car e-4))) (let ((e-124 (cdr e-4))) (case (vector-ref e-123 0) ((3) (let ((e-125 (vector-ref e-123 1))) (if (null? e-124) '() (let ((e-127 (car e-124))) (let ((e-128 (cdr e-124))) (case (vector-ref e-127 0) ((1) (let ((e-129 (vector-ref e-127 1))) (if (null? e-128) (box (vector 11 e-125 e-129)) '())))(else '())))))))(else '())))))) ((equal? e-5 "make-lemma") (if (null? e-4) '() (let ((e-132 (car e-4))) (let ((e-133 (cdr e-4))) (case (vector-ref e-132 0) ((3) (let ((e-134 (vector-ref e-132 1))) (if (null? e-133) '() (let ((e-136 (car e-133))) (let ((e-137 (cdr e-133))) (case (vector-ref e-136 0) ((1) (let ((e-138 (vector-ref e-136 1))) (if (null? e-137) (box (vector 13 e-134 e-138)) '())))(else '())))))))(else '())))))) ((equal? e-5 "make-case") (if (null? e-4) '() (let ((e-141 (car e-4))) (let ((e-142 (cdr e-4))) (case (vector-ref e-141 0) ((3) (let ((e-143 (vector-ref e-141 1))) (if (null? e-142) '() (let ((e-145 (car e-142))) (let ((e-146 (cdr e-142))) (case (vector-ref e-145 0) ((1) (let ((e-147 (vector-ref e-145 1))) (if (null? e-146) (box (vector 14 e-143 e-147)) '())))(else '())))))))(else '())))))) ((equal? e-5 "make-with") (if (null? e-4) '() (let ((e-150 (car e-4))) (let ((e-151 (cdr e-4))) (case (vector-ref e-150 0) ((3) (let ((e-152 (vector-ref e-150 1))) (if (null? e-151) '() (let ((e-154 (car e-151))) (let ((e-155 (cdr e-151))) (case (vector-ref e-154 0) ((1) (let ((e-156 (vector-ref e-154 1))) (if (null? e-155) (box (vector 15 e-152 e-156)) '())))(else '())))))))(else '())))))) ((equal? e-5 "docs-for") (if (null? e-4) '() (let ((e-159 (car e-4))) (let ((e-160 (cdr e-4))) (case (vector-ref e-159 0) ((1) (let ((e-161 (vector-ref e-159 1))) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (if (null? e-160) (box '()) (let ((e-2 (car e-160))) (let ((e-6 (cdr e-160))) (case (vector-ref e-2 0) ((4) (let ((e-7 (vector-ref e-2 1))) (cond ((equal? e-7 "overview") (if (null? e-6) (box (box 0)) '())) ((equal? e-7 "full") (if (null? e-6) (box (box 1)) '()))(else '()))))(else '()))))) (lambda (u--modeOpt) (box (vector 16 e-161 u--modeOpt))))))(else '())))))) ((equal? e-5 "apropos") (if (null? e-4) '() (let ((e-163 (car e-4))) (let ((e-164 (cdr e-4))) (case (vector-ref e-163 0) ((1) (let ((e-165 (vector-ref e-163 1))) (if (null? e-164) (box (vector 18 e-165)) '())))(else '())))))) ((equal? e-5 "directive") (if (null? e-4) '() (let ((e-168 (car e-4))) (let ((e-169 (cdr e-4))) (case (vector-ref e-168 0) ((1) (let ((e-170 (vector-ref e-168 1))) (if (null? e-169) (box (vector 17 e-170)) '())))(else '())))))) ((equal? e-5 "metavariables") (if (null? e-4) '() (let ((e-173 (car e-4))) (let ((e-174 (cdr e-4))) (case (vector-ref e-173 0) ((3) (let ((e-175 (vector-ref e-173 1))) (if (null? e-174) (box (vector 19 e-175)) '())))(else '())))))) ((equal? e-5 "who-calls") (if (null? e-4) '() (let ((e-178 (car e-4))) (let ((e-179 (cdr e-4))) (case (vector-ref e-178 0) ((1) (let ((e-180 (vector-ref e-178 1))) (if (null? e-179) (box (vector 20 e-180)) '())))(else '())))))) ((equal? e-5 "calls-who") (if (null? e-4) '() (let ((e-183 (car e-4))) (let ((e-184 (cdr e-4))) (case (vector-ref e-183 0) ((1) (let ((e-185 (vector-ref e-183 1))) (if (null? e-184) (box (vector 21 e-185)) '())))(else '())))))) ((equal? e-5 "browse-namespace") (if (null? e-4) '() (let ((e-188 (car e-4))) (let ((e-189 (cdr e-4))) (case (vector-ref e-188 0) ((1) (let ((e-190 (vector-ref e-188 1))) (if (null? e-189) (box (vector 22 e-190)) '())))(else '())))))) ((equal? e-5 "normalise-term") (if (null? e-4) '() (let ((e-193 (car e-4))) (let ((e-194 (cdr e-4))) (case (vector-ref e-193 0) ((1) (let ((e-195 (vector-ref e-193 1))) (if (null? e-194) (box (vector 23 e-195)) '())))(else '())))))) ((equal? e-5 "show-term-implicits") (if (null? e-4) '() (let ((e-198 (car e-4))) (let ((e-199 (cdr e-4))) (case (vector-ref e-198 0) ((1) (let ((e-200 (vector-ref e-198 1))) (if (null? e-199) (box (vector 24 e-200)) '())))(else '())))))) ((equal? e-5 "hide-term-implicits") (if (null? e-4) '() (let ((e-203 (car e-4))) (let ((e-204 (cdr e-4))) (case (vector-ref e-203 0) ((1) (let ((e-205 (vector-ref e-203 1))) (if (null? e-204) (box (vector 25 e-205)) '())))(else '())))))) ((equal? e-5 "elaborate-term") (if (null? e-4) '() (let ((e-208 (car e-4))) (let ((e-209 (cdr e-4))) (case (vector-ref e-208 0) ((1) (let ((e-210 (vector-ref e-208 1))) (if (null? e-209) (box (vector 26 e-210)) '())))(else '())))))) ((equal? e-5 "print-definition") (if (null? e-4) '() (let ((e-213 (car e-4))) (let ((e-214 (cdr e-4))) (case (vector-ref e-213 0) ((1) (let ((e-215 (vector-ref e-213 1))) (if (null? e-214) (box (vector 27 e-215)) '())))(else '())))))) ((equal? e-5 "repl-completions") (if (null? e-4) '() (let ((e-218 (car e-4))) (let ((e-219 (cdr e-4))) (case (vector-ref e-218 0) ((1) (let ((e-220 (vector-ref e-218 1))) (if (null? e-219) (box (vector 28 e-220)) '())))(else '())))))) ((equal? e-5 "enable-syntax") (if (null? e-4) '() (let ((e-223 (car e-4))) (let ((e-224 (cdr e-4))) (case (vector-ref e-223 0) ((2) (let ((e-225 (vector-ref e-223 1))) (if (null? e-224) (box (vector 29 e-225)) '())))(else '())))))) ((equal? e-5 "get-options") (if (null? e-4) (box (vector 31 )) '()))(else '()))))(else '()))))))) ((4) (let ((e-1 (vector-ref arg-0 1))) (cond ((equal? e-1 "proof-search-next") (box (vector 10 ))) ((equal? e-1 "generate-def-next") (box (vector 12 ))) ((equal? e-1 "version") (box (vector 30 )))(else '()))))(else '()))))
(define CoreC-45TTC-45Traversals-n--5050-7169-u--gos (lambda (arg-2 arg-3 arg-5 arg-6) (if (null? arg-6) arg-5 (let ((e-2 (car arg-6))) (let ((e-3 (cdr arg-6))) (CoreC-45TTC-45Traversals-n--5050-7169-u--gos arg-2 arg-3 (CoreC-45TTC-45Traversals-n--5050-7168-u--go arg-2 arg-3 arg-5 e-2) e-3))))))
(define CoreC-45TTC-45Traversals-n--4877-7012-u--gos (lambda (arg-2 arg-3 arg-5 arg-6) (if (null? arg-6) arg-5 (let ((e-2 (car arg-6))) (let ((e-3 (cdr arg-6))) (CoreC-45TTC-45Traversals-n--4877-7012-u--gos arg-2 arg-3 (CoreC-45TTC-45Traversals-n--4877-7011-u--go arg-2 arg-3 arg-5 e-2) e-3))))))
(define CoreC-45TTC-45Traversals-n--5050-7168-u--go (lambda (arg-2 arg-3 arg-5 arg-6) (case (vector-ref arg-6 0) ((0) arg-5) ((1) arg-5) ((2) (let ((e-14 (vector-ref arg-6 4))) (CoreC-45TTC-45Traversals-n--5050-7169-u--gos arg-2 arg-3 arg-5 e-14))) ((3) (let ((e-18 (vector-ref arg-6 3))) (let ((e-19 (vector-ref arg-6 4))) (CoreC-45TTC-45Traversals-n--5050-7168-u--go arg-2 arg-3 (((let ((eff-0 (let ((e-1 (car arg-2))) e-1))) (lambda (arg-0) (lambda (arg-1) ((eff-0 arg-0) arg-1)))) arg-5) (PreludeC-45Interfaces-concatMap arg-2 (csegen-4741) (lambda (eta-0) (CoreC-45TTC-45Traversals-onConstants arg-2 arg-3 eta-0)) e-18)) e-19)))) ((4) (let ((e-22 (vector-ref arg-6 2))) (let ((e-23 (vector-ref arg-6 3))) (CoreC-45TTC-45Traversals-n--5050-7168-u--go arg-2 arg-3 (CoreC-45TTC-45Traversals-n--5050-7168-u--go arg-2 arg-3 arg-5 e-22) e-23)))) ((5) (let ((e-27 (vector-ref arg-6 3))) (let ((e-28 (vector-ref arg-6 4))) (CoreC-45TTC-45Traversals-n--5050-7168-u--go arg-2 arg-3 (CoreC-45TTC-45Traversals-n--5050-7168-u--go arg-2 arg-3 arg-5 e-27) e-28)))) ((6) (let ((e-32 (vector-ref arg-6 3))) (CoreC-45TTC-45Traversals-n--5050-7168-u--go arg-2 arg-3 arg-5 e-32))) ((7) (let ((e-36 (vector-ref arg-6 3))) (let ((e-37 (vector-ref arg-6 4))) (CoreC-45TTC-45Traversals-n--5050-7168-u--go arg-2 arg-3 (CoreC-45TTC-45Traversals-n--5050-7168-u--go arg-2 arg-3 arg-5 e-36) e-37)))) ((8) (let ((e-41 (vector-ref arg-6 3))) (CoreC-45TTC-45Traversals-n--5050-7168-u--go arg-2 arg-3 arg-5 e-41))) ((9) (let ((e-44 (vector-ref arg-6 2))) (((let ((eff-0 (let ((e-1 (car arg-2))) e-1))) (lambda (arg-0) (lambda (arg-1) ((eff-0 arg-0) arg-1)))) arg-5) (arg-3 e-44)))) ((10) arg-5) (else arg-5))))
(define CoreC-45TTC-45Traversals-n--4877-7011-u--go (lambda (arg-2 arg-3 arg-5 arg-6) (case (vector-ref arg-6 0) ((0) arg-5) ((1) (let ((e-9 (vector-ref arg-6 3))) (((let ((eff-0 (let ((e-1 (car arg-2))) e-1))) (lambda (arg-0) (lambda (arg-1) ((eff-0 arg-0) arg-1)))) arg-5) (arg-3 e-9)))) ((2) (let ((e-14 (vector-ref arg-6 4))) (CoreC-45TTC-45Traversals-n--4877-7012-u--gos arg-2 arg-3 arg-5 e-14))) ((3) (let ((e-18 (vector-ref arg-6 3))) (let ((e-19 (vector-ref arg-6 4))) (CoreC-45TTC-45Traversals-n--4877-7011-u--go arg-2 arg-3 (((let ((eff-0 (let ((e-1 (car arg-2))) e-1))) (lambda (arg-0) (lambda (arg-1) ((eff-0 arg-0) arg-1)))) arg-5) (PreludeC-45Interfaces-concatMap arg-2 (csegen-4741) (lambda (eta-0) (CoreC-45TTC-45Traversals-onPRefs arg-2 arg-3 eta-0)) e-18)) e-19)))) ((4) (let ((e-22 (vector-ref arg-6 2))) (let ((e-23 (vector-ref arg-6 3))) (CoreC-45TTC-45Traversals-n--4877-7011-u--go arg-2 arg-3 (CoreC-45TTC-45Traversals-n--4877-7011-u--go arg-2 arg-3 arg-5 e-22) e-23)))) ((5) (let ((e-27 (vector-ref arg-6 3))) (let ((e-28 (vector-ref arg-6 4))) (CoreC-45TTC-45Traversals-n--4877-7011-u--go arg-2 arg-3 (CoreC-45TTC-45Traversals-n--4877-7011-u--go arg-2 arg-3 arg-5 e-27) e-28)))) ((6) (let ((e-32 (vector-ref arg-6 3))) (CoreC-45TTC-45Traversals-n--4877-7011-u--go arg-2 arg-3 arg-5 e-32))) ((7) (let ((e-36 (vector-ref arg-6 3))) (let ((e-37 (vector-ref arg-6 4))) (CoreC-45TTC-45Traversals-n--4877-7011-u--go arg-2 arg-3 (CoreC-45TTC-45Traversals-n--4877-7011-u--go arg-2 arg-3 arg-5 e-36) e-37)))) ((8) (let ((e-41 (vector-ref arg-6 3))) (CoreC-45TTC-45Traversals-n--4877-7011-u--go arg-2 arg-3 arg-5 e-41))) ((9) arg-5) ((10) arg-5) (else arg-5))))
(define CoreC-45TTC-45Traversals-onPRefs (lambda (arg-2 arg-3 ext-0) (CoreC-45TTC-45Traversals-n--4877-7011-u--go arg-2 arg-3 (let ((e-2 (cdr arg-2))) e-2) ext-0)))
(define CoreC-45TTC-45Traversals-onConstants (lambda (arg-2 arg-3 ext-0) (CoreC-45TTC-45Traversals-n--5050-7168-u--go arg-2 arg-3 (let ((e-2 (cdr arg-2))) e-2) ext-0)))
(define CoreC-45TTC-45Traversals-allGlobals (lambda (ext-0) (CoreC-45TTC-45Traversals-onPRefs (cons (lambda (arg-8326) (lambda (arg-8329) (LibrariesC-45DataC-45NameMap-u--C-60C-43C-62_Semigroup_C-40NameMapC-32C-36vC-41 (lambda (eta-0) (lambda (eta-1) (vector 0 ))) arg-8326 arg-8329))) (LibrariesC-45DataC-45NameMap-u--neutral_Monoid_C-40NameMapC-32C-36vC-41 (lambda (eta-0) (lambda (eta-1) (vector 0 ))))) (lambda (u--n) (LibrariesC-45DataC-45NameMap-singleton u--n (vector 0 ))) ext-0)))
(define CoreC-45TTC-45Traversals-allConstants (lambda (ext-0) (CoreC-45TTC-45Traversals-onConstants (cons (csegen-4746) (LibrariesC-45DataC-45SortedSet-empty (csegen-4757))) (lambda (eta-0) (LibrariesC-45DataC-45SortedSet-singleton (csegen-4757) eta-0)) ext-0)))
(define TTImpC-45InteractiveC-45GenerateDef-case--propBindableUsed-3257 (lambda (arg-0 arg-1) (let ((e-2 (car arg-1))) (let ((e-3 (cdr arg-1))) (let ((sc1 (or (and (= e-2 0) 1) 0))) (cond ((equal? sc1 1) 1.0) (else (/ (exact->inexact e-3) (exact->inexact e-2)))))))))
(define TTImpC-45InteractiveC-45GenerateDef-case--caseC-32blockC-32inC-32caseC-32blockC-32inC-32expandClause-1463 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16) (case (vector-ref arg-16 0) ((2) (let ((e-2 (vector-ref arg-16 2))) (let ((e-3 (vector-ref arg-16 3))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-lookupDefExact (vector 8 e-3) (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-6 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-6) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 arg-4 "No searchable hole on RHS") eta-0)) (let ((e-7 (unbox e-6))) (case (vector-ref e-7 0) ((7) (let ((e-9 (vector-ref e-7 1))) (let ((eff-2 (CoreC-45ContextC-45Log-log arg-0 (csegen-4761) 10 (lambda () (string-append ((csegen-0) "Expression search for ") (PreludeC-45Show-u--show_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-2663) (cons e-2 e-3))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-10 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((eff-3 (let ((eff-3 (TTImpC-45InteractiveC-45ExprSearch-exprSearchOpts arg-0 arg-8 arg-7 arg-6 arg-5 arg-3 arg-4 (vector 8 e-3) '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-11 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (CoreC-45CoreC-45Search-traverse (lambda (u--rhsC-39) (let ((u--rhsraw (TTImpC-45InteractiveC-45GenerateDef-n--11738-1324-u--dropLams arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 e-9 u--rhsC-39))) (let ((eff-4 (CoreC-45Normalise-logTermNF arg-11 arg-0 (csegen-4761) 5 (lambda () ((csegen-0) "Got clause")) arg-14 arg-13))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-12 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-12)))) (else (let ((eff-5 (let ((eff-5 (CoreC-45ContextC-45Log-log arg-0 (csegen-4761) 5 (lambda () (string-append ((csegen-0) "        = ") (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 (csegen-100) u--rhsraw)))))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-13 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((eff-6 (lambda (eta-0) (vector 1 (cons (TTImpC-45InteractiveC-45GenerateDef-n--11738-1323-u--updateRHS arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 u--rhsraw) '()))))) eff-6)))))))) eff-5)))))))) e-11))) eff-4))))))))) eff-3))))))))(else (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 arg-4 "No searchable hole on RHS") eta-0)))))))) eff-2))))))))) eff-1))))))))))(else (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 arg-4 "No searchable hole on RHS") eta-0))))))
(define TTImpC-45InteractiveC-45GenerateDef-n--12356-1864-u--valid (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10) (case (vector-ref arg-10 0) ((0) (let ((e-1 (vector-ref arg-10 2))) (box e-1)))(else '()))))
(define TTImpC-45InteractiveC-45GenerateDef-n--11738-1323-u--updateRHS (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10) (case (vector-ref arg-9 0) ((0) (let ((e-1 (vector-ref arg-9 1))) (let ((e-2 (vector-ref arg-9 2))) (vector 0 e-1 e-2 arg-10)))) ((1) (let ((e-5 (vector-ref arg-9 1))) (let ((e-6 (vector-ref arg-9 2))) (let ((e-7 (vector-ref arg-9 3))) (let ((e-8 (vector-ref arg-9 4))) (let ((e-9 (vector-ref arg-9 5))) (let ((e-10 (vector-ref arg-9 6))) (let ((e-11 (vector-ref arg-9 7))) (vector 1 e-5 e-6 e-7 e-8 e-9 e-10 e-11))))))))) (else (let ((e-13 (vector-ref arg-9 1))) (let ((e-14 (vector-ref arg-9 2))) (vector 2 e-13 e-14)))))))
(define TTImpC-45InteractiveC-45GenerateDef-n--12356-1866-u--updateLHS (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11) (case (vector-ref arg-11 0) ((0) (let ((e-1 (vector-ref arg-11 1))) (let ((e-2 (vector-ref arg-11 2))) (let ((sc1 (DataC-45List-lookup (csegen-1008) e-2 arg-10))) (if (null? sc1) (vector 0 e-1 e-2) (let ((e-3 (unbox sc1))) (TTImpC-45InteractiveC-45GenerateDef-n--12356-1865-u--fixNames arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-3))))))) ((17) (let ((e-4 (vector-ref arg-11 1))) (let ((e-5 (vector-ref arg-11 2))) (let ((sc1 (DataC-45List-lookup (csegen-1008) (vector 1 (vector 0 e-5)) arg-10))) (if (null? sc1) (vector 17 e-4 e-5) (let ((e-2 (unbox sc1))) (TTImpC-45InteractiveC-45GenerateDef-n--12356-1865-u--fixNames arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-2))))))) ((8) (let ((e-7 (vector-ref arg-11 1))) (let ((e-8 (vector-ref arg-11 2))) (let ((e-9 (vector-ref arg-11 3))) (vector 8 e-7 (TTImpC-45InteractiveC-45GenerateDef-n--12356-1866-u--updateLHS arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 e-8) (TTImpC-45InteractiveC-45GenerateDef-n--12356-1866-u--updateLHS arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 e-9)))))) ((9) (let ((e-11 (vector-ref arg-11 1))) (let ((e-12 (vector-ref arg-11 2))) (let ((e-13 (vector-ref arg-11 3))) (vector 9 e-11 (TTImpC-45InteractiveC-45GenerateDef-n--12356-1866-u--updateLHS arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 e-12) (TTImpC-45InteractiveC-45GenerateDef-n--12356-1866-u--updateLHS arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 e-13)))))) ((10) (let ((e-15 (vector-ref arg-11 1))) (let ((e-16 (vector-ref arg-11 2))) (let ((e-17 (vector-ref arg-11 3))) (let ((e-18 (vector-ref arg-11 4))) (vector 10 e-15 (TTImpC-45InteractiveC-45GenerateDef-n--12356-1866-u--updateLHS arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 e-16) e-17 (TTImpC-45InteractiveC-45GenerateDef-n--12356-1866-u--updateLHS arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 e-18)))))))(else arg-11))))
(define TTImpC-45InteractiveC-45GenerateDef-n--11672-1237-u--mkUniqueName (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (case (vector-ref arg-5 0) ((30) (let ((e-1 (vector-ref arg-5 1))) (let ((e-2 (vector-ref arg-5 2))) (let ((eff-0 (let ((eff-0 arg-4)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (TTImpC-45Utils-uniqueHoleName arg-3 e-5 '() e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-3 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 30 e-1 e-6))))) eff-2))))))))) eff-1))))))))))(else (lambda (eta-0) (vector 1 arg-5))))))
(define TTImpC-45InteractiveC-45GenerateDef-n--13861-3162-u--getProp (lambda (arg-0 arg-1) (if (null? arg-1) (cons 0 0) (let ((e-2 (car arg-1))) (let ((e-3 (cdr arg-1))) (let ((sc1 (TTImpC-45InteractiveC-45GenerateDef-n--13861-3162-u--getProp arg-0 e-3))) (let ((e-5 (car sc1))) (let ((e-4 (cdr sc1))) (let ((sc2 (TTImpC-45InteractiveC-45GenerateDef-bindableUsed e-2))) (if (null? sc2) (cons e-5 e-4) (let ((e-6 (unbox sc2))) (let ((e-8 (car e-6))) (let ((e-7 (cdr e-6))) (cons (+ e-5 (PreludeC-45TypesC-45List-lengthTR (DataC-45List-nub (csegen-1008) e-8))) (+ e-4 (PreludeC-45TypesC-45List-lengthTR (DataC-45List-nub (csegen-1008) e-7)))))))))))))))))
(define TTImpC-45InteractiveC-45GenerateDef-n--12356-1865-u--fixNames (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10) (case (vector-ref arg-10 0) ((0) (let ((e-1 (vector-ref arg-10 1))) (let ((e-2 (vector-ref arg-10 2))) (case (vector-ref e-2 0) ((1) (let ((e-16 (vector-ref e-2 1))) (case (vector-ref e-16 0) ((0) (let ((e-19 (vector-ref e-16 1))) (vector 17 e-1 e-19)))(else arg-10)))) ((2) (vector 32 e-1 1))(else arg-10))))) ((8) (let ((e-4 (vector-ref arg-10 1))) (let ((e-5 (vector-ref arg-10 2))) (let ((e-6 (vector-ref arg-10 3))) (vector 8 e-4 (TTImpC-45InteractiveC-45GenerateDef-n--12356-1865-u--fixNames arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-5) (TTImpC-45InteractiveC-45GenerateDef-n--12356-1865-u--fixNames arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-6)))))) ((9) (let ((e-8 (vector-ref arg-10 1))) (let ((e-9 (vector-ref arg-10 2))) (let ((e-10 (vector-ref arg-10 3))) (vector 9 e-8 (TTImpC-45InteractiveC-45GenerateDef-n--12356-1865-u--fixNames arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-9) (TTImpC-45InteractiveC-45GenerateDef-n--12356-1865-u--fixNames arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-10)))))) ((10) (let ((e-12 (vector-ref arg-10 1))) (let ((e-13 (vector-ref arg-10 2))) (let ((e-14 (vector-ref arg-10 3))) (let ((e-15 (vector-ref arg-10 4))) (vector 10 e-12 (TTImpC-45InteractiveC-45GenerateDef-n--12356-1865-u--fixNames arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-13) e-14 (TTImpC-45InteractiveC-45GenerateDef-n--12356-1865-u--fixNames arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-15)))))))(else arg-10))))
(define TTImpC-45InteractiveC-45GenerateDef-n--11738-1324-u--dropLams (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10) (cond ((equal? arg-9 0) arg-10)(else (let ((e-0 (- arg-9 1))) (case (vector-ref arg-10 0) ((2) (let ((e-7 (vector-ref arg-10 6))) (TTImpC-45InteractiveC-45GenerateDef-n--11738-1324-u--dropLams arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 e-0 e-7)))(else arg-10)))))))
(define TTImpC-45InteractiveC-45GenerateDef-uniqueRHS (lambda (arg-0 arg-1 arg-2) (case (vector-ref arg-2 0) ((0) (let ((e-1 (vector-ref arg-2 1))) (let ((e-2 (vector-ref arg-2 2))) (let ((e-3 (vector-ref arg-2 3))) (let ((eff-0 (TTImpC-45InteractiveC-45GenerateDef-n--11672-1237-u--mkUniqueName e-3 e-2 e-1 arg-1 arg-0 e-3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 0 e-1 e-2 e-5))))) eff-1)))))))))))(else (lambda (eta-0) (vector 1 arg-2))))))
(define TTImpC-45InteractiveC-45GenerateDef-trySplit (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9) (let ((eff-0 (TTImpC-45InteractiveC-45CaseSplit-getSplitsLHS arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 0 arg-7 arg-9))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (clam-0) (case (vector-ref e-5 0) ((1) (let ((e-1 (vector-ref e-5 1))) (vector 1 (cons arg-9 (((csegen-25) (lambda (u--ups) (vector 0 arg-5 (TTImpC-45InteractiveC-45GenerateDef-n--12356-1866-u--updateLHS arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 arg-0 u--ups arg-6) arg-8))) (PreludeC-45TypesC-45List-mapMaybeAppend '() (lambda (eta-0) (TTImpC-45InteractiveC-45GenerateDef-n--12356-1864-u--valid arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 arg-0 eta-0)) e-1))))))(else (vector 1 (cons arg-9 '()))))))) eff-1)))))))))
(define TTImpC-45InteractiveC-45GenerateDef-tryAllSplits (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8) (if (null? arg-8) (lambda (eta-0) (TTImpC-45InteractiveC-45ExprSearch-noResult eta-0)) (let ((e-2 (car arg-8))) (let ((e-3 (cdr arg-8))) (let ((e-6 (car e-2))) (let ((e-7 (cdr e-2))) (if (null? e-7) (TTImpC-45InteractiveC-45GenerateDef-tryAllSplits arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-3) (let ((eff-0 (CoreC-45ContextC-45Log-log arg-0 "interaction.generate" 5 (lambda () (string-append "Splitting on " (CoreC-45Name-u--show_Show_Name e-6)))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-1 (TTImpC-45InteractiveC-45ExprSearch-trySearch arg-0 arg-2 (let ((eff-1 (CoreC-45Core-traverseC-39 (lambda (eta-0) (TTImpC-45InteractiveC-45GenerateDef-mkSplits arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 eta-0)) e-7 '()))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-8 (vector-ref lcase-1 1))) (let ((eff-2 (TTImpC-45InteractiveC-45GenerateDef-collectClauses arg-0 arg-2 e-8))) eff-2))))))) (TTImpC-45InteractiveC-45GenerateDef-tryAllSplits arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-3)))) eff-1))))))))))))))
(define TTImpC-45InteractiveC-45GenerateDef-splittableNames (lambda (arg-0) (case (vector-ref arg-0 0) ((8) (let ((e-2 (vector-ref arg-0 2))) (let ((e-3 (vector-ref arg-0 3))) (case (vector-ref e-3 0) ((17) (let ((e-15 (vector-ref e-3 2))) (PreludeC-45TypesC-45List-tailRecAppend (TTImpC-45InteractiveC-45GenerateDef-splittableNames e-2) (cons (vector 1 (vector 0 e-15)) '()))))(else (TTImpC-45InteractiveC-45GenerateDef-splittableNames e-2)))))) ((9) (let ((e-6 (vector-ref arg-0 2))) (TTImpC-45InteractiveC-45GenerateDef-splittableNames e-6))) ((10) (let ((e-10 (vector-ref arg-0 2))) (TTImpC-45InteractiveC-45GenerateDef-splittableNames e-10)))(else '()))))
(define TTImpC-45InteractiveC-45GenerateDef-propBindableUsed (lambda (arg-0) (TTImpC-45InteractiveC-45GenerateDef-case--propBindableUsed-3257 arg-0 (TTImpC-45InteractiveC-45GenerateDef-n--13861-3162-u--getProp arg-0 arg-0))))
(define TTImpC-45InteractiveC-45GenerateDef-mostUsed (lambda (arg-0 arg-1) (PreludeC-45EqOrd-u--compare_Ord_Double (TTImpC-45InteractiveC-45GenerateDef-propBindableUsed arg-1) (TTImpC-45InteractiveC-45GenerateDef-propBindableUsed arg-0))))
(define TTImpC-45InteractiveC-45GenerateDef-mkSplits (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8) (TTImpC-45InteractiveC-45ExprSearch-trySearch arg-0 arg-2 (let ((sc0 (let ((e-7 (vector-ref arg-6 7))) e-7))) (cond ((equal? sc0 1) (lambda (eta-0) (TTImpC-45InteractiveC-45ExprSearch-noResult eta-0))) (else (TTImpC-45InteractiveC-45GenerateDef-expandClause arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8)))) (let ((eff-0 (TTImpC-45InteractiveC-45GenerateDef-generateSplits arg-1 arg-0 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45ContextC-45Log-log arg-0 "interaction.generate" 5 (lambda () (string-append "Splits: " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (cons (lambda (u--x) (PreludeC-45Show-u--show_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-4768) u--x)) (lambda (u--d) (lambda (u--x) (PreludeC-45Show-u--showPrec_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-4768) u--d u--x)))) e-5)))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (TTImpC-45InteractiveC-45GenerateDef-tryAllSplits arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 (let ((e-0 (vector-ref arg-6 0))) (let ((e-1 (vector-ref arg-6 1))) (let ((e-2 (vector-ref arg-6 2))) (let ((e-3 (vector-ref arg-6 3))) (let ((e-4 (vector-ref arg-6 4))) (let ((e-11 (vector-ref arg-6 5))) (let ((e-10 (vector-ref arg-6 6))) (let ((e-9 (vector-ref arg-6 9))) (vector e-0 e-1 e-2 e-3 e-4 e-11 e-10 0 1 e-9))))))))) arg-7 e-5))) eff-2)))))))) eff-1))))))))))
(define TTImpC-45InteractiveC-45GenerateDef-makeDefSort (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8) (TTImpC-45InteractiveC-45ExprSearch-searchSort arg-0 arg-2 arg-6 (TTImpC-45InteractiveC-45GenerateDef-makeDef arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-8) (lambda (u--x) (lambda (u--y) ((arg-7 (Builtin-snd u--x)) (Builtin-snd u--y)))))))
(define TTImpC-45InteractiveC-45GenerateDef-makeDefN (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (let ((eff-0 (TTImpC-45InteractiveC-45ExprSearch-searchN arg-0 arg-2 arg-6 (TTImpC-45InteractiveC-45GenerateDef-makeDef arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-7)))) (PrimIO-io_bind eff-0 (csegen-3120)))))
(define TTImpC-45InteractiveC-45GenerateDef-makeDefFromType (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9) (CoreC-45UnifyState-tryUnify arg-0 arg-2 (let ((eff-0 (CoreC-45Context-branch arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 arg-1)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (unbox eff-2))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (let ((eff-2 arg-2)) (PrimIO-io_bind (let ((eff-3 eff-2)) (lambda (eta-0) (unbox eff-3))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (let ((eff-3 (CoreC-45NormaliseC-45Eval-nf arg-0 '() e-5 '() arg-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (TTImpC-45InteractiveC-45CaseSplit-getEnvArgNames arg-0 e-5 arg-8 e-8))) eff-4))))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((u--pre_env (DataC-45List-replicateTR '() arg-8 (vector 32 arg-5 1)))) (let ((eff-4 (TTImpC-45Utils-uniqueHoleName arg-3 e-5 '() (string-append (TTImpC-45InteractiveC-45GenerateDef-fnName 0 arg-7) "_rhs")))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (let ((u--initcs (vector 0 arg-5 (TTImpC-45TTImp-apply (vector 0 arg-5 arg-7) (PreludeC-45TypesC-45List-tailRecAppend u--pre_env (((csegen-25) (lambda (eta-0) (vector 17 arg-5 eta-0))) e-8))) (vector 30 arg-5 e-9)))) (let ((sc5 (CoreC-45Context-getNameID arg-7 (let ((e-0 (vector-ref e-5 0))) e-0)))) (if (null? sc5) (CoreC-45Context-undefinedName arg-0 arg-5 arg-7) (let ((e-1 (unbox sc5))) (let ((eff-5 (TTImpC-45InteractiveC-45GenerateDef-mkSplits arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-1 u--initcs))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-10 (vector-ref lcase-5 1))) (let ((eff-6 (let ((eff-6 (let ((eff-6 arg-0)) (PrimIO-io_bind (let ((eff-7 eff-6)) (lambda (eta-0) (set-box! eff-7 e-5))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-2 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-7 (let ((eff-7 (let ((eff-7 arg-1)) (PrimIO-io_bind (let ((eff-8 eff-7)) (lambda (eta-0) (set-box! eff-8 e-6))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-2 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-8 (let ((eff-8 (let ((eff-8 arg-2)) (PrimIO-io_bind (let ((eff-9 eff-8)) (lambda (eta-0) (set-box! eff-9 e-7))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-8 (lambda (lcase-8) (case (vector-ref lcase-8 0) ((0) (let ((e-2 (vector-ref lcase-8 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-9 (lambda (eta-0) (vector 1 (((csegen-4773) (lambda (u--c) (cons arg-5 u--c))) e-10))))) eff-9)))))))) eff-8)))))))) eff-7)))))))) eff-6))))))))))))) eff-5)))))))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))) (lambda (eta-0) (TTImpC-45InteractiveC-45ExprSearch-noResult eta-0)))))
(define TTImpC-45InteractiveC-45GenerateDef-makeDef (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (let ((eff-0 (CoreC-45Metadata-findTyDeclAt arg-1 arg-5))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (if (null? e-5) (lambda (eta-0) (TTImpC-45InteractiveC-45ExprSearch-noResult eta-0)) (let ((e-1 (unbox e-5))) (let ((e-7 (car e-1))) (let ((e-6 (cdr e-1))) (let ((e-9 (car e-6))) (let ((e-10 (cdr e-6))) (let ((e-13 (car e-10))) (let ((e-14 (cdr e-10))) (let ((eff-1 (CoreC-45Context-getFullName arg-0 e-9))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45ContextC-45Log-logTerm '() arg-0 (csegen-4761) 5 (lambda () (string-append ((csegen-0) "Searching for ") (CoreC-45Name-u--show_Show_Name e-8))) e-14))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (let ((u--opts (let ((sc7 (TTImpC-45InteractiveC-45ExprSearch-initSearchOpts 1 5))) (let ((e-0 (vector-ref sc7 0))) (let ((e-19 (vector-ref sc7 1))) (let ((e-2 (vector-ref sc7 2))) (let ((e-3 (vector-ref sc7 3))) (let ((e-4 (vector-ref sc7 4))) (let ((e-18 (vector-ref sc7 5))) (let ((e-17 (vector-ref sc7 6))) (let ((e-16 (vector-ref sc7 7))) (let ((e-15 (vector-ref sc7 8))) (vector e-0 e-19 e-2 e-3 e-4 e-18 e-17 e-16 e-15 (box (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (TTImpC-45InteractiveC-45GenerateDef-makeDefFromType arg-0 arg-1 arg-2 arg-3 arg-4 (CoreC-45FC-justFC e-7) eta-0 eta-1 eta-2 eta-3))))))))))))))))))) (TTImpC-45InteractiveC-45GenerateDef-makeDefFromType arg-0 arg-1 arg-2 arg-3 arg-4 (CoreC-45FC-justFC e-7) u--opts e-8 e-13 e-14)))) eff-3)))))))) eff-2))))))))))))))))) eff-1)))))))))
(define TTImpC-45InteractiveC-45GenerateDef-generateSplits (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8) (case (vector-ref arg-8 0) ((2) (lambda (eta-0) (vector 1 '()))) ((1) (lambda (eta-0) (vector 1 '()))) (else (let ((e-12 (vector-ref arg-8 1))) (let ((e-13 (vector-ref arg-8 2))) (let ((e-14 (vector-ref arg-8 3))) (let ((eff-0 (TTImpC-45Elab-elabTerm '() arg-1 arg-0 arg-2 arg-3 arg-4 arg-7 (vector 1 (csegen-1778)) '() '() '() (vector 16 arg-5 (vector 1 ) e-13) '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((e-2 (car e-5))) (let ((u--splitnames (let ((sc3 (let ((e-6 (vector-ref arg-6 6))) e-6))) (cond ((equal? sc3 1) (TTImpC-45InteractiveC-45GenerateDef-splittableNames e-13)) (else (PreludeC-45TypesC-45List-reverse (TTImpC-45InteractiveC-45GenerateDef-splittableNames e-13))))))) (CoreC-45Core-traverseC-39 (lambda (eta-0) (TTImpC-45InteractiveC-45GenerateDef-trySplit arg-0 arg-1 arg-2 arg-3 arg-4 e-12 e-13 e-2 e-14 eta-0)) u--splitnames '()))))) eff-1))))))))))))))
(define TTImpC-45InteractiveC-45GenerateDef-fnName (lambda (arg-0 arg-1) (case (vector-ref arg-1 0) ((1) (let ((e-0 (vector-ref arg-1 1))) (case (vector-ref e-0 0) ((0) (let ((e-5 (vector-ref e-0 1))) (let ((sc2 (ParserC-45LexerC-45Common-isIdentNormal e-5))) (cond ((equal? sc2 1) e-5) (else (cond ((equal? arg-0 1) (string-append "(" (string-append e-5 ")"))) (else "op")))))))(else (CoreC-45Name-nameRoot arg-1))))) ((0) (let ((e-2 (vector-ref arg-1 2))) (TTImpC-45InteractiveC-45GenerateDef-fnName arg-0 e-2))) ((4) (let ((e-3 (vector-ref arg-1 1))) e-3))(else (CoreC-45Name-nameRoot arg-1)))))
(define TTImpC-45InteractiveC-45GenerateDef-expandClause (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8) (let ((eff-0 (TTImpC-45InteractiveC-45GenerateDef-uniqueRHS arg-0 arg-3 arg-8))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (TTImpC-45ProcessDef-checkClause '() arg-0 arg-1 arg-2 arg-3 arg-4 (csegen-1778) 0 2 0 arg-7 '() '() '() e-5))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (case (vector-ref e-6 0) ((1) (let ((e-2 (vector-ref e-6 1))) (let ((_-0 (vector 1 e-2))) (let ((e-0 (vector-ref e-2 0))) (let ((e-1 (vector-ref e-2 1))) (let ((e-4 (vector-ref e-2 2))) (let ((e-3 (vector-ref e-2 3))) (let ((u--clause (vector e-0 e-1 e-4 e-3))) (TTImpC-45InteractiveC-45GenerateDef-case--caseC-32blockC-32inC-32caseC-32blockC-32inC-32expandClause-1463 arg-0 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 e-5 _-0 e-0 e-3 e-4 e-1 u--clause (CoreC-45TT-getFn e-3)))))))))) (else (lambda (eta-0) (TTImpC-45InteractiveC-45ExprSearch-noResult eta-0)))))) eff-2))))))))) eff-1)))))))))
(define TTImpC-45InteractiveC-45GenerateDef-collectClauses (lambda (arg-0 arg-1 arg-2) (if (null? arg-2) (lambda (eta-0) (TTImpC-45InteractiveC-45ExprSearch-one '() eta-0)) (let ((e-2 (car arg-2))) (let ((e-3 (cdr arg-2))) (let ((eff-0 (TTImpC-45InteractiveC-45GenerateDef-collectClauses arg-0 arg-1 e-3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45InteractiveC-45ExprSearch-combine arg-0 arg-1 (csegen-3675) e-2 e-5))) eff-1))))))))))))
(define TTImpC-45InteractiveC-45GenerateDef-bindableUsed (lambda (arg-0) (case (vector-ref arg-0 0) ((0) (let ((e-2 (vector-ref arg-0 2))) (let ((e-3 (vector-ref arg-0 3))) (let ((u--lhsns (TTImpC-45Utils-findIBindVars e-2))) (let ((u--rhsns (TTImpC-45Utils-findAllNames '() e-3))) (box (cons u--lhsns (PreludeC-45TypesC-45List-filterAppend '() (lambda (u--x) (PreludeC-45Types-elem (csegen-16) (csegen-1008) u--x u--lhsns)) u--rhsns))))))))(else '()))))
(define TTImpC-45InteractiveC-45ExprSearch-case--searchType-8419 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12) (if (null? arg-12) (let ((eff-0 (CoreC-45ContextC-45Log-logTerm arg-0 arg-11 "interaction.search" 10 (lambda () "Searching locals only at") arg-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((u--tryInt (let ((sc2 (let ((e-10 (vector-ref arg-6 5))) e-10))) (cond ((equal? sc2 1) '()) (else (cons (TTImpC-45InteractiveC-45ExprSearch-tryIntermediate arg-0 arg-11 arg-10 arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-2 arg-3) '())))))) (let ((u--tryIntRec (let ((sc2 (let ((sc3 (let ((e-4 (vector-ref arg-6 4))) e-4))) (cond ((equal? sc3 1) 1) (else (let ((sc4 (let ((e-8 (vector-ref arg-6 8))) e-8))) (cond ((equal? sc4 1) 0) (else 1)))))))) (cond ((equal? sc2 1) '()) (else (cons (TTImpC-45InteractiveC-45ExprSearch-tryIntermediateRec arg-0 arg-11 arg-10 arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-2 arg-3 (let ((e-2 (vector-ref arg-6 2))) e-2)) '())))))) (TTImpC-45InteractiveC-45ExprSearch-getSuccessful arg-0 arg-11 arg-10 arg-9 arg-8 arg-7 arg-6 1 arg-4 arg-2 arg-3 (PreludeC-45TypesC-45List-tailRecAppend u--tryInt (PreludeC-45TypesC-45List-tailRecAppend (cons (TTImpC-45InteractiveC-45ExprSearch-searchLocal arg-0 arg-11 arg-10 arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-2 arg-3) '()) (PreludeC-45TypesC-45List-tailRecAppend (let ((e-2 (vector-ref arg-6 2))) (if (null? e-2) '() (let ((e-11 (unbox e-2))) (cons (TTImpC-45InteractiveC-45ExprSearch-tryRecursive arg-0 arg-11 arg-10 arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-2 arg-3 e-11) '())))) u--tryIntRec)))))))) eff-1)))))) (let ((e-2 (car arg-12))) (let ((e-3 (cdr arg-12))) (case (vector-ref e-2 0) ((1) (let ((e-6 (vector-ref e-2 2))) (let ((e-7 (vector-ref e-2 3))) (case (vector-ref e-6 0) ((3) (let ((e-9 (vector-ref e-6 2))) (let ((eff-0 (let ((eff-0 arg-11)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-1 (let ((sc4 (or (and (= (PreludeC-45TypesC-45List-lengthTR e-3) e-9) 1) 0))) (cond ((equal? sc4 1) (let ((eff-1 (CoreC-45Context-getSearchData arg-11 arg-8 0 e-7))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-11 (vector-ref lcase-1 1))) (let ((eff-2 (let ((u--allHints (PreludeC-45TypesC-45List-tailRecAppend (PreludeC-45Interfaces-concat (csegen-83) (csegen-16) ((csegen-947) (let ((e-1 (cdr e-11))) e-1))) arg-5))) (let ((eff-2 (CoreC-45ContextC-45Log-log arg-11 "interaction.search" 10 (lambda () (string-append "Hints found for " (string-append (CoreC-45Name-u--show_Show_Name e-7) (string-append " " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-100) u--allHints)))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-3 (let ((u--tries (cons (TTImpC-45InteractiveC-45ExprSearch-searchLocal arg-0 arg-11 arg-10 arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-2 arg-3) (cons (TTImpC-45InteractiveC-45ExprSearch-searchNames arg-0 arg-11 arg-10 arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-2 arg-3 u--allHints) '())))) (let ((u--tryRec (let ((e-19 (vector-ref arg-6 2))) (if (null? e-19) '() (let ((e-20 (unbox e-19))) (cons (TTImpC-45InteractiveC-45ExprSearch-tryRecursive arg-0 arg-11 arg-10 arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-2 arg-3 e-20) '())))))) (let ((u--tryIntRec (let ((sc7 (let ((e-14 (vector-ref arg-6 8))) e-14))) (cond ((equal? sc7 1) (cons (TTImpC-45InteractiveC-45ExprSearch-tryIntermediateRec arg-0 arg-11 arg-10 arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-2 arg-3 (let ((e-19 (vector-ref arg-6 2))) e-19)) '())) (else '()))))) (let ((u--tryInt (let ((sc7 (let ((e-17 (vector-ref arg-6 5))) e-17))) (cond ((equal? sc7 1) '()) (else (cons (TTImpC-45InteractiveC-45ExprSearch-tryIntermediate arg-0 arg-11 arg-10 arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-2 arg-3) '())))))) (let ((u--allns (let ((sc7 (let ((e-4 (vector-ref arg-6 4))) e-4))) (cond ((equal? sc7 1) (PreludeC-45TypesC-45List-tailRecAppend u--tryRec (PreludeC-45TypesC-45List-tailRecAppend u--tryInt u--tries))) (else (PreludeC-45TypesC-45List-tailRecAppend u--tryInt (PreludeC-45TypesC-45List-tailRecAppend u--tries (PreludeC-45TypesC-45List-tailRecAppend u--tryRec u--tryIntRec)))))))) (TTImpC-45InteractiveC-45ExprSearch-getSuccessful arg-0 arg-11 arg-10 arg-9 arg-8 arg-7 arg-6 1 arg-4 arg-2 arg-3 u--allns)))))))) eff-3))))))))) eff-2)))))))) (else (lambda (eta-0) (TTImpC-45InteractiveC-45ExprSearch-noResult eta-0))))))) eff-1))))))))(else (let ((eff-0 (CoreC-45ContextC-45Log-logTerm arg-0 arg-11 "interaction.search" 10 (lambda () "Searching locals only at") arg-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-1 (let ((u--tryInt (let ((sc3 (let ((e-13 (vector-ref arg-6 5))) e-13))) (cond ((equal? sc3 1) '()) (else (cons (TTImpC-45InteractiveC-45ExprSearch-tryIntermediate arg-0 arg-11 arg-10 arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-2 arg-3) '())))))) (let ((u--tryIntRec (let ((sc3 (let ((sc4 (let ((e-4 (vector-ref arg-6 4))) e-4))) (cond ((equal? sc4 1) 1) (else (let ((sc5 (let ((e-10 (vector-ref arg-6 8))) e-10))) (cond ((equal? sc5 1) 0) (else 1)))))))) (cond ((equal? sc3 1) '()) (else (cons (TTImpC-45InteractiveC-45ExprSearch-tryIntermediateRec arg-0 arg-11 arg-10 arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-2 arg-3 (let ((e-15 (vector-ref arg-6 2))) e-15)) '())))))) (TTImpC-45InteractiveC-45ExprSearch-getSuccessful arg-0 arg-11 arg-10 arg-9 arg-8 arg-7 arg-6 1 arg-4 arg-2 arg-3 (PreludeC-45TypesC-45List-tailRecAppend u--tryInt (PreludeC-45TypesC-45List-tailRecAppend (cons (TTImpC-45InteractiveC-45ExprSearch-searchLocal arg-0 arg-11 arg-10 arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-2 arg-3) '()) (PreludeC-45TypesC-45List-tailRecAppend (let ((e-15 (vector-ref arg-6 2))) (if (null? e-15) '() (let ((e-16 (unbox e-15))) (cons (TTImpC-45InteractiveC-45ExprSearch-tryRecursive arg-0 arg-11 arg-10 arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-2 arg-3 e-16) '())))) u--tryIntRec)))))))) eff-1)))))))))))(else (let ((eff-0 (CoreC-45ContextC-45Log-logTerm arg-0 arg-11 "interaction.search" 10 (lambda () "Searching locals only at") arg-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-1 (let ((u--tryInt (let ((sc2 (let ((e-10 (vector-ref arg-6 5))) e-10))) (cond ((equal? sc2 1) '()) (else (cons (TTImpC-45InteractiveC-45ExprSearch-tryIntermediate arg-0 arg-11 arg-10 arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-2 arg-3) '())))))) (let ((u--tryIntRec (let ((sc2 (let ((sc3 (let ((e-4 (vector-ref arg-6 4))) e-4))) (cond ((equal? sc3 1) 1) (else (let ((sc4 (let ((e-8 (vector-ref arg-6 8))) e-8))) (cond ((equal? sc4 1) 0) (else 1)))))))) (cond ((equal? sc2 1) '()) (else (cons (TTImpC-45InteractiveC-45ExprSearch-tryIntermediateRec arg-0 arg-11 arg-10 arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-2 arg-3 (let ((e-12 (vector-ref arg-6 2))) e-12)) '())))))) (TTImpC-45InteractiveC-45ExprSearch-getSuccessful arg-0 arg-11 arg-10 arg-9 arg-8 arg-7 arg-6 1 arg-4 arg-2 arg-3 (PreludeC-45TypesC-45List-tailRecAppend u--tryInt (PreludeC-45TypesC-45List-tailRecAppend (cons (TTImpC-45InteractiveC-45ExprSearch-searchLocal arg-0 arg-11 arg-10 arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-2 arg-3) '()) (PreludeC-45TypesC-45List-tailRecAppend (let ((e-12 (vector-ref arg-6 2))) (if (null? e-12) '() (let ((e-13 (unbox e-12))) (cons (TTImpC-45InteractiveC-45ExprSearch-tryRecursive arg-0 arg-11 arg-10 arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-2 arg-3 e-13) '())))) u--tryIntRec)))))))) eff-1)))))))))))))
(define TTImpC-45InteractiveC-45ExprSearch-case--caseC-32blockC-32inC-32caseC-32blockC-32inC-32searchIfHole-2426 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16) (case (vector-ref arg-16 0) ((7) (let ((eff-0 (TTImpC-45InteractiveC-45ExprSearch-search arg-9 arg-8 arg-7 arg-6 arg-12 (let ((e-11 (vector-ref arg-5 0))) (let ((e-10 (vector-ref arg-5 1))) (let ((e-2 (vector-ref arg-5 2))) (let ((e-5 (vector-ref arg-5 5))) (let ((e-6 (vector-ref arg-5 6))) (let ((e-7 (vector-ref arg-5 7))) (let ((e-8 (vector-ref arg-5 8))) (let ((e-9 (vector-ref arg-5 9))) (vector e-11 e-10 e-2 arg-10 1 e-5 e-6 e-7 e-8 e-9))))))))) arg-4 arg-3 (vector 8 arg-11)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45CoreC-45Search-traverse (lambda (lamc-0) (let ((e-2 (car lamc-0))) (let ((e-3 (cdr lamc-0))) (let ((eff-1 (CoreC-45Normalise-normaliseHoles arg-9 arg-0 arg-13 arg-2 (CoreC-45UnifyState-applyTo arg-0 arg-6 (CoreC-45TT-embed e-2) arg-2)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (cons e-6 e-3))))) eff-2)))))))))) e-5))) eff-1))))))))(else (let ((eff-0 (CoreC-45Normalise-normaliseHoles arg-9 arg-0 arg-13 arg-2 (let ((e-4 (vector-ref arg-1 3))) e-4)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (TTImpC-45InteractiveC-45ExprSearch-one (cons e-5 '()) eta-0)))) eff-1)))))))))))
(define TTImpC-45InteractiveC-45ExprSearch-n--14218-4139-u--visible (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15) (let ((eff-0 (CoreC-45Context-lookupCtxtExact arg-15 arg-13))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (clam-0) (if (null? e-5) (vector 1 '()) (let ((e-1 (unbox e-5))) (let ((sc2 (CoreC-45Context-visibleInAny arg-14 arg-15 (let ((e-9 (vector-ref e-1 9))) e-9)))) (cond ((equal? sc2 1) (vector 1 (box (cons arg-15 e-1)))) (else (vector 1 '()))))))))) eff-1)))))))))
(define TTImpC-45InteractiveC-45ExprSearch-n--13159-3216-u--usableName (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13) (case (vector-ref arg-13 0) ((1) 1) ((0) (let ((e-2 (vector-ref arg-13 2))) (TTImpC-45InteractiveC-45ExprSearch-n--13159-3216-u--usableName arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 e-2))) ((5) (let ((e-4 (vector-ref arg-13 2))) (TTImpC-45InteractiveC-45ExprSearch-n--13159-3216-u--usableName arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 e-4)))(else 0))))
(define TTImpC-45InteractiveC-45ExprSearch-n--11938-2100-u--usableName (lambda (arg-0 arg-1 arg-2 arg-3 arg-5 arg-6 arg-7) (case (vector-ref arg-7 0) ((1) 1)(else 0))))
(define TTImpC-45InteractiveC-45ExprSearch-n--16687-6370-u--toApp (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-14) (case (vector-ref arg-14 0) ((2) (let ((e-1 (vector-ref arg-14 1))) (let ((e-3 (vector-ref arg-14 3))) (let ((e-4 (vector-ref arg-14 4))) (CoreC-45TT-apply e-1 (vector 1 e-1 (vector 1 ) (vector 8 e-3)) e-4)))))(else arg-14))))
(define TTImpC-45InteractiveC-45ExprSearch-n--14593-4474-u--structDiffTm (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-14 arg-15) (let ((e-2 (car arg-15))) (TTImpC-45InteractiveC-45ExprSearch-n--14593-4473-u--structDiff arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-14 e-2))))
(define TTImpC-45InteractiveC-45ExprSearch-n--14593-4473-u--structDiff (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-14 arg-15) (let ((sc0 (CoreC-45TT-getFnArgs arg-14))) (let ((e-2 (car sc0))) (let ((e-3 (cdr sc0))) (let ((sc1 (CoreC-45TT-getFnArgs arg-15))) (let ((e-5 (car sc1))) (let ((e-4 (cdr sc1))) (TTImpC-45InteractiveC-45ExprSearch-n--14593-4472-u--appsDiff arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 e-2 e-5 e-3 e-4)))))))))
(define TTImpC-45InteractiveC-45ExprSearch-n--11279-1464-u--returnBatch (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (if (null? arg-6) (TTImpC-45InteractiveC-45ExprSearch-searchSort arg-5 arg-4 arg-3 arg-7 arg-1) (let ((e-2 (car arg-6))) (let ((e-3 (cdr arg-6))) (lambda (eta-0) (vector 1 (cons e-2 (TTImpC-45InteractiveC-45ExprSearch-n--11279-1464-u--returnBatch arg-1 arg-2 arg-3 arg-4 arg-5 e-3 arg-7)))))))))
(define TTImpC-45InteractiveC-45ExprSearch-n--17509-7086-u--matchable (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15) (case (vector-ref arg-15 0) ((0) (let ((e-1 (vector-ref arg-15 1))) (let ((e-3 (vector-ref arg-15 3))) (let ((e-4 (vector-ref arg-15 4))) (case (vector-ref e-3 0) ((2) (let ((eff-0 ((e-4 arg-14) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) arg-6 (vector 10 e-1 (vector 0 )))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45InteractiveC-45ExprSearch-n--17509-7086-u--matchable arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 e-5))) eff-1))))))))(else (lambda (eta-0) (vector 1 0)))))))) ((3) (lambda (eta-0) (vector 1 1)))(else (lambda (eta-0) (vector 1 0))))))
(define TTImpC-45InteractiveC-45ExprSearch-n--21062-10183-u--lookupHoleName (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10) (let ((eff-0 (CoreC-45Context-lookupCtxtExactI arg-9 (let ((e-0 (vector-ref arg-10 0))) e-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (if (null? e-5) (let ((eff-1 (CoreC-45Context-lookupCtxtName arg-9 (let ((e-0 (vector-ref arg-10 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (clam-0) (if (null? e-6) (vector 1 '()) (let ((e-1 (car e-6))) (let ((e-2 (cdr e-6))) (if (null? e-2) (vector 1 (box e-1)) (vector 1 '())))))))) eff-2))))))) (let ((e-1 (unbox e-5))) (lambda (clam-0) (let ((e-7 (car e-1))) (let ((e-6 (cdr e-1))) (vector 1 (box (cons arg-9 (cons e-7 e-6))))))))))) eff-1)))))))))
(define TTImpC-45InteractiveC-45ExprSearch-n--11902-9436-u--lookupHoleName (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10) (let ((eff-0 (CoreC-45Context-lookupCtxtExactI arg-9 arg-10))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (if (null? e-5) (let ((eff-1 (CoreC-45Context-lookupCtxtName arg-9 arg-10))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (clam-0) (if (null? e-6) (vector 1 '()) (let ((e-1 (car e-6))) (let ((e-2 (cdr e-6))) (if (null? e-2) (vector 1 (box e-1)) (vector 1 '())))))))) eff-2))))))) (let ((e-1 (unbox e-5))) (lambda (clam-0) (let ((e-7 (car e-1))) (let ((e-6 (cdr e-1))) (vector 1 (box (cons arg-9 (cons e-7 e-6))))))))))) eff-1)))))))))
(define TTImpC-45InteractiveC-45ExprSearch-n--18076-7586-u--isSingleCon (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13) (case (vector-ref arg-13 0) ((0) (let ((e-1 (vector-ref arg-13 1))) (let ((e-3 (vector-ref arg-13 3))) (let ((e-4 (vector-ref arg-13 4))) (case (vector-ref e-3 0) ((2) (let ((eff-0 ((e-4 arg-12) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 e-1 (vector 0 )))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45InteractiveC-45ExprSearch-n--18076-7586-u--isSingleCon arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 e-5))) eff-1))))))))(else (lambda (eta-0) (vector 1 0)))))))) ((3) (let ((e-7 (vector-ref arg-13 2))) (let ((eff-0 (CoreC-45Context-lookupDefExact e-7 (let ((e-0 (vector-ref arg-12 0))) e-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (if (null? e-5) (lambda (eta-0) (vector 1 0)) (let ((e-1 (unbox e-5))) (case (vector-ref e-1 0) ((6) (let ((e-12 (vector-ref e-1 7))) (lambda (clam-0) (if (null? e-12) (vector 1 0) (let ((e-16 (cdr e-12))) (if (null? e-16) (vector 1 1) (vector 1 0)))))))(else (lambda (eta-0) (vector 1 0)))))))) eff-1)))))))))(else (lambda (eta-0) (vector 1 0))))))
(define TTImpC-45InteractiveC-45ExprSearch-n--20752-9867-u--getLHS (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (case (vector-ref arg-4 0) ((3) (let ((e-2 (vector-ref arg-4 2))) (let ((e-3 (vector-ref arg-4 3))) (let ((e-4 (vector-ref arg-4 4))) (case (vector-ref e-3 0) ((3) (TTImpC-45InteractiveC-45ExprSearch-n--20752-9867-u--getLHS arg-0 arg-1 arg-2 (cons e-2 arg-3) e-4)) ((4) (TTImpC-45InteractiveC-45ExprSearch-n--20752-9867-u--getLHS arg-0 arg-1 arg-2 (cons e-2 arg-3) e-4))(else (let ((sc1 (CoreC-45TT-getFn arg-4))) (case (vector-ref sc1 0) ((1) (let ((e-5 (vector-ref sc1 3))) (box (vector arg-3 e-5 arg-4))))(else '())))))))))(else (let ((sc0 (CoreC-45TT-getFn arg-4))) (case (vector-ref sc0 0) ((1) (let ((e-3 (vector-ref sc0 3))) (box (vector arg-3 e-3 arg-4))))(else '())))))))
(define TTImpC-45InteractiveC-45ExprSearch-n--15553-5354-u--findPos (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19) (case (vector-ref arg-18 0) ((3) (let ((e-2 (vector-ref arg-18 2))) (let ((e-5 (vector-ref arg-18 5))) (if (null? e-5) (TTImpC-45InteractiveC-45ExprSearch-n--15553-5353-u--findDirect arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19) (let ((e-7 (car e-5))) (let ((e-8 (cdr e-5))) (if (null? e-7) (TTImpC-45InteractiveC-45ExprSearch-n--15553-5353-u--findDirect arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19) (let ((e-11 (car e-7))) (let ((e-12 (cdr e-7))) (if (null? e-8) (TTImpC-45InteractiveC-45ExprSearch-n--15553-5353-u--findDirect arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19) (let ((e-14 (car e-8))) (let ((e-15 (cdr e-8))) (if (null? e-14) (TTImpC-45InteractiveC-45ExprSearch-n--15553-5353-u--findDirect arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19) (let ((e-18 (car e-14))) (let ((e-19 (cdr e-14))) (if (null? e-15) (TTImpC-45InteractiveC-45ExprSearch-getSuccessful arg-0 arg-14 arg-13 arg-12 arg-11 arg-9 arg-8 0 arg-6 arg-5 arg-4 (cons (TTImpC-45InteractiveC-45ExprSearch-n--15553-5353-u--findDirect arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19) (cons (let ((eff-0 (let ((eff-0 (CoreC-45Context-fstName arg-14))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (PreludeC-45Types-maybe (lambda () (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 "No fst") eta-0))) (lambda () (lambda (eta-0) (lambda (eta-1) (vector 1 eta-0)))) e-6))) eff-1))))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 (CoreC-45Context-sndName arg-14))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-9 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-1 1))) (let ((eff-2 (PreludeC-45Types-maybe (lambda () (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 "No snd") eta-0))) (lambda () (lambda (eta-0) (lambda (eta-1) (vector 1 eta-0)))) e-9))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-9 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-isPairType arg-14 e-2))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-10 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-2 1))) (let ((eff-3 (cond ((equal? e-10 1) (let ((eff-3 (lambda (eta-0) (CoreC-45Context-clearDefs arg-15 eta-0)))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45NormaliseC-45Quote-u--quote_Quote_Closure arg-14 arg-0 e-13 arg-6 e-12))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-16 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-16)))) (else (let ((e-16 (vector-ref lcase-4 1))) (let ((eff-5 (let ((eff-5 (CoreC-45NormaliseC-45Quote-u--quote_Quote_Closure arg-14 arg-0 e-13 arg-6 e-19))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-17 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-17)))) (else (let ((e-17 (vector-ref lcase-5 1))) (let ((eff-6 (TTImpC-45InteractiveC-45ExprSearch-getSuccessful arg-0 arg-14 arg-13 arg-12 arg-11 arg-9 arg-8 0 arg-6 arg-5 arg-4 (cons (let ((eff-6 (CoreC-45NormaliseC-45Eval-evalClosure arg-14 arg-0 arg-15 e-12))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-20 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-20)))) (else (let ((e-20 (vector-ref lcase-6 1))) (let ((eff-7 (TTImpC-45InteractiveC-45ExprSearch-n--15553-5354-u--findPos arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 (lambda (u--arg) (CoreC-45TT-applyWithFC (vector 1 arg-11 (vector 1 ) e-6) (cons (cons e-11 e-16) (cons (cons e-18 e-17) (cons (cons arg-11 (arg-17 u--arg)) '()))))) e-20 arg-19))) eff-7))))))) (cons (let ((eff-6 (CoreC-45NormaliseC-45Eval-evalClosure arg-14 arg-0 arg-15 e-19))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-20 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-20)))) (else (let ((e-20 (vector-ref lcase-6 1))) (let ((eff-7 (TTImpC-45InteractiveC-45ExprSearch-n--15553-5354-u--findPos arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 (lambda (u--arg) (CoreC-45TT-applyWithFC (vector 1 arg-11 (vector 1 ) e-9) (cons (cons e-11 e-16) (cons (cons e-18 e-17) (cons (cons arg-11 (arg-17 u--arg)) '()))))) e-20 arg-19))) eff-7))))))) '()))))) eff-6))))))))) eff-5))))))))) eff-4)))))))) (else (lambda (eta-0) (TTImpC-45InteractiveC-45ExprSearch-noResult eta-0)))))) eff-3))))))))) eff-2))))))))) eff-1))))))) '()))) (TTImpC-45InteractiveC-45ExprSearch-n--15553-5353-u--findDirect arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19)))))))))))))))))(else (TTImpC-45InteractiveC-45ExprSearch-n--15553-5353-u--findDirect arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19)))))
(define TTImpC-45InteractiveC-45ExprSearch-n--15553-5353-u--findDirect (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19) (let ((eff-0 (CoreC-45AutoSearch-mkArgs arg-0 arg-14 arg-12 arg-11 arg-9 arg-6 arg-18))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((e-2 (car e-5))) (let ((e-3 (cdr e-5))) (let ((sc2 (TTImpC-45InteractiveC-45ExprSearch-usableLocal arg-11 arg-6 arg-18))) (cond ((equal? sc2 1) (CoreC-45UnifyState-tryUnify arg-14 arg-12 (let ((eff-1 (lambda (clam-0) (let ((sc3 (let ((sc4 (DataC-45List-isNil e-2))) (cond ((equal? sc4 1) 0) (else arg-10))))) (cond ((equal? sc3 1) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 "Must apply function") clam-0)) (else (vector 1 (vector 0 )))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-2 (let ((eff-2 ((((CoreC-45Unify-unify (csegen-3136) arg-0 arg-14 arg-12 (CoreC-45Unify-inTerm) arg-11) arg-6) arg-19) arg-18))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((e-0 (vector-ref e-7 0))) (if (null? e-0) (TTImpC-45InteractiveC-45ExprSearch-mkCandidates arg-0 arg-14 arg-12 arg-11 (arg-17 arg-16) '() '()) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 "Can't use directly") eta-0)))))) eff-3))))))))) eff-2)))))) (let ((eff-1 ((((CoreC-45Unify-unify (csegen-3136) arg-0 arg-14 arg-12 (CoreC-45Unify-inTerm) arg-11) arg-6) arg-19) e-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((e-0 (vector-ref e-6 0))) (if (null? e-0) (let ((eff-2 (CoreC-45Core-traverseC-39 (lambda (eta-0) (TTImpC-45InteractiveC-45ExprSearch-searchIfHole arg-0 arg-14 arg-13 arg-12 arg-11 arg-8 arg-7 arg-4 arg-6 eta-0)) e-2 '()))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (TTImpC-45InteractiveC-45ExprSearch-mkCandidates arg-0 arg-14 arg-12 arg-11 (arg-17 arg-16) '() e-8))) eff-3))))))) (lambda (eta-0) (TTImpC-45InteractiveC-45ExprSearch-noResult eta-0)))))) eff-2))))))))) (else (lambda (eta-0) (TTImpC-45InteractiveC-45ExprSearch-noResult eta-0))))))))) eff-1)))))))))
(define TTImpC-45InteractiveC-45ExprSearch-n--11085-1273-u--count (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (if (null? arg-6) (csegen-4786) (cond ((equal? arg-5 0) (csegen-4786))(else (let ((e-0 (- arg-5 1))) (cond ((equal? e-0 0) (if (null? arg-6) (let ((e-3 (car arg-6))) (let ((e-4 (cdr arg-6))) (let ((eff-0 (let ((eff-0 e-4)) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45InteractiveC-45ExprSearch-n--11085-1273-u--count arg-1 arg-2 arg-3 arg-4 e-0 e-5))) eff-1))))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (clam-0) (let ((e-2 (car e-5))) (let ((e-6 (cdr e-5))) (vector 1 (cons (cons e-3 e-2) e-6))))))) eff-1))))))))) (let ((e-7 (car arg-6))) (let ((e-8 (cdr arg-6))) (lambda (eta-0) (vector 1 (cons (cons e-7 '()) e-8)))))))(else (let ((e-3 (car arg-6))) (let ((e-4 (cdr arg-6))) (let ((eff-0 (let ((eff-0 e-4)) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45InteractiveC-45ExprSearch-n--11085-1273-u--count arg-1 arg-2 arg-3 arg-4 e-0 e-5))) eff-1))))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (clam-1) (let ((e-2 (car e-5))) (let ((e-6 (cdr e-5))) (vector 1 (cons (cons e-3 e-2) e-6))))))) eff-1)))))))))))))))))
(define TTImpC-45InteractiveC-45ExprSearch-n--12678-2729-u--continue (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (let ((eff-0 (let ((eff-0 arg-3)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (set-box! eff-1 arg-5))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (let ((eff-1 arg-4)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 arg-6))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (TTImpC-45InteractiveC-45ExprSearch-firstSuccess arg-4 arg-3 arg-7))) eff-2)))))))) eff-1))))))))
(define TTImpC-45InteractiveC-45ExprSearch-n--14593-4471-u--argDiff (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-14 arg-15) (case (vector-ref arg-14 0) ((0) 0) ((1) (let ((e-50 (vector-ref arg-14 3))) (case (vector-ref arg-15 0) ((1) (let ((e-59 (vector-ref arg-15 3))) (CoreC-45Name-u--C-47C-61_Eq_Name e-50 e-59)))(else (case (vector-ref arg-15 0) ((3) 0)(else (case (vector-ref arg-14 0) ((4) (let ((e-21 (vector-ref arg-14 2))) (let ((e-22 (vector-ref arg-14 3))) (case (vector-ref arg-15 0) ((4) (let ((e-31 (vector-ref arg-15 2))) (let ((e-32 (vector-ref arg-15 3))) (let ((sc3 (TTImpC-45InteractiveC-45ExprSearch-n--14593-4473-u--structDiff arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 e-21 e-31))) (cond ((equal? sc3 1) 1) (else (TTImpC-45InteractiveC-45ExprSearch-n--14593-4473-u--structDiff arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 e-22 e-32)))))))(else (case (vector-ref arg-15 0) ((10) 0)(else (case (vector-ref arg-14 0) ((11) (case (vector-ref arg-15 0) ((11) 0)(else (case (vector-ref arg-15 0) ((5) (let ((e-4 (vector-ref arg-15 4))) (TTImpC-45InteractiveC-45ExprSearch-n--14593-4471-u--argDiff arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-14 e-4)))(else 1))))) ((5) (let ((e-12 (vector-ref arg-14 4))) (TTImpC-45InteractiveC-45ExprSearch-n--14593-4471-u--argDiff arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 e-12 arg-15)))(else (case (vector-ref arg-15 0) ((5) (let ((e-4 (vector-ref arg-15 4))) (TTImpC-45InteractiveC-45ExprSearch-n--14593-4471-u--argDiff arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-14 e-4)))(else 1))))))))))) ((9) (let ((e-25 (vector-ref arg-14 2))) (case (vector-ref arg-15 0) ((9) (let ((e-35 (vector-ref arg-15 2))) (CoreC-45TT-u--C-47C-61_Eq_Constant e-25 e-35)))(else (case (vector-ref arg-15 0) ((10) 0)(else (case (vector-ref arg-14 0) ((11) (case (vector-ref arg-15 0) ((11) 0)(else (case (vector-ref arg-15 0) ((5) (let ((e-4 (vector-ref arg-15 4))) (TTImpC-45InteractiveC-45ExprSearch-n--14593-4471-u--argDiff arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-14 e-4)))(else 1))))) ((5) (let ((e-12 (vector-ref arg-14 4))) (TTImpC-45InteractiveC-45ExprSearch-n--14593-4471-u--argDiff arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 e-12 arg-15)))(else (case (vector-ref arg-15 0) ((5) (let ((e-4 (vector-ref arg-15 4))) (TTImpC-45InteractiveC-45ExprSearch-n--14593-4471-u--argDiff arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-14 e-4)))(else 1)))))))))) ((10) 0)(else (case (vector-ref arg-15 0) ((10) 0)(else (case (vector-ref arg-14 0) ((11) (case (vector-ref arg-15 0) ((11) 0)(else (case (vector-ref arg-15 0) ((5) (let ((e-4 (vector-ref arg-15 4))) (TTImpC-45InteractiveC-45ExprSearch-n--14593-4471-u--argDiff arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-14 e-4)))(else 1))))) ((5) (let ((e-12 (vector-ref arg-14 4))) (TTImpC-45InteractiveC-45ExprSearch-n--14593-4471-u--argDiff arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 e-12 arg-15)))(else (case (vector-ref arg-15 0) ((5) (let ((e-4 (vector-ref arg-15 4))) (TTImpC-45InteractiveC-45ExprSearch-n--14593-4471-u--argDiff arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-14 e-4)))(else 1)))))))))))))) ((3) 0)(else (case (vector-ref arg-15 0) ((3) 0)(else (case (vector-ref arg-14 0) ((4) (let ((e-21 (vector-ref arg-14 2))) (let ((e-22 (vector-ref arg-14 3))) (case (vector-ref arg-15 0) ((4) (let ((e-31 (vector-ref arg-15 2))) (let ((e-32 (vector-ref arg-15 3))) (let ((sc2 (TTImpC-45InteractiveC-45ExprSearch-n--14593-4473-u--structDiff arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 e-21 e-31))) (cond ((equal? sc2 1) 1) (else (TTImpC-45InteractiveC-45ExprSearch-n--14593-4473-u--structDiff arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 e-22 e-32)))))))(else (case (vector-ref arg-15 0) ((10) 0)(else (case (vector-ref arg-14 0) ((11) (case (vector-ref arg-15 0) ((11) 0)(else (case (vector-ref arg-15 0) ((5) (let ((e-4 (vector-ref arg-15 4))) (TTImpC-45InteractiveC-45ExprSearch-n--14593-4471-u--argDiff arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-14 e-4)))(else 1))))) ((5) (let ((e-12 (vector-ref arg-14 4))) (TTImpC-45InteractiveC-45ExprSearch-n--14593-4471-u--argDiff arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 e-12 arg-15)))(else (case (vector-ref arg-15 0) ((5) (let ((e-4 (vector-ref arg-15 4))) (TTImpC-45InteractiveC-45ExprSearch-n--14593-4471-u--argDiff arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-14 e-4)))(else 1))))))))))) ((9) (let ((e-25 (vector-ref arg-14 2))) (case (vector-ref arg-15 0) ((9) (let ((e-35 (vector-ref arg-15 2))) (CoreC-45TT-u--C-47C-61_Eq_Constant e-25 e-35)))(else (case (vector-ref arg-15 0) ((10) 0)(else (case (vector-ref arg-14 0) ((11) (case (vector-ref arg-15 0) ((11) 0)(else (case (vector-ref arg-15 0) ((5) (let ((e-4 (vector-ref arg-15 4))) (TTImpC-45InteractiveC-45ExprSearch-n--14593-4471-u--argDiff arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-14 e-4)))(else 1))))) ((5) (let ((e-12 (vector-ref arg-14 4))) (TTImpC-45InteractiveC-45ExprSearch-n--14593-4471-u--argDiff arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 e-12 arg-15)))(else (case (vector-ref arg-15 0) ((5) (let ((e-4 (vector-ref arg-15 4))) (TTImpC-45InteractiveC-45ExprSearch-n--14593-4471-u--argDiff arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-14 e-4)))(else 1)))))))))) ((10) 0)(else (case (vector-ref arg-15 0) ((10) 0)(else (case (vector-ref arg-14 0) ((11) (case (vector-ref arg-15 0) ((11) 0)(else (case (vector-ref arg-15 0) ((5) (let ((e-4 (vector-ref arg-15 4))) (TTImpC-45InteractiveC-45ExprSearch-n--14593-4471-u--argDiff arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-14 e-4)))(else 1))))) ((5) (let ((e-12 (vector-ref arg-14 4))) (TTImpC-45InteractiveC-45ExprSearch-n--14593-4471-u--argDiff arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 e-12 arg-15)))(else (case (vector-ref arg-15 0) ((5) (let ((e-4 (vector-ref arg-15 4))) (TTImpC-45InteractiveC-45ExprSearch-n--14593-4471-u--argDiff arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-14 e-4)))(else 1))))))))))))))
(define TTImpC-45InteractiveC-45ExprSearch-n--14593-4472-u--appsDiff (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-14 arg-15 arg-16 arg-17) (case (vector-ref arg-14 0) ((1) (let ((e-4 (vector-ref arg-14 2))) (let ((e-5 (vector-ref arg-14 3))) (case (vector-ref e-4 0) ((2) (case (vector-ref arg-15 0) ((1) (let ((e-30 (vector-ref arg-15 2))) (let ((e-31 (vector-ref arg-15 3))) (case (vector-ref e-30 0) ((2) (let ((sc4 (CoreC-45Name-u--C-47C-61_Eq_Name e-5 e-31))) (cond ((equal? sc4 1) 1) (else (PreludeC-45Interfaces-any (csegen-16) (lambda (eta-0) (PreludeC-45Basics-uncurry (lambda (eta-1) (lambda (eta-2) (TTImpC-45InteractiveC-45ExprSearch-n--14593-4471-u--argDiff arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 eta-1 eta-2))) eta-0)) (DataC-45List-u--zip_Zippable_List arg-16 arg-17))))))(else (case (vector-ref arg-15 0) ((1) (let ((e-23 (vector-ref arg-15 3))) (let ((sc4 (CoreC-45Name-u--C-61C-61_Eq_Name e-5 e-23))) (cond ((equal? sc4 1) (let ((sc5 (or (and (= (PreludeC-45TypesC-45List-lengthTR arg-16) (PreludeC-45TypesC-45List-lengthTR arg-17)) 1) 0))) (cond ((equal? sc5 1) (PreludeC-45Interfaces-any (csegen-16) (lambda (eta-0) (PreludeC-45Basics-uncurry (lambda (eta-1) (lambda (eta-2) (TTImpC-45InteractiveC-45ExprSearch-n--14593-4471-u--argDiff arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 eta-1 eta-2))) eta-0)) (DataC-45List-u--zip_Zippable_List arg-16 arg-17))) (else 0)))) (else 0)))))(else (case (vector-ref e-4 0) ((2) (case (vector-ref arg-15 0) ((0) 1)(else (if (null? arg-16) (if (null? arg-17) (TTImpC-45InteractiveC-45ExprSearch-n--14593-4471-u--argDiff arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-14 arg-15) 0) 0))))(else (if (null? arg-16) (if (null? arg-17) (TTImpC-45InteractiveC-45ExprSearch-n--14593-4471-u--argDiff arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-14 arg-15) 0) 0))))))))))(else (case (vector-ref arg-15 0) ((1) (let ((e-23 (vector-ref arg-15 3))) (let ((sc3 (CoreC-45Name-u--C-61C-61_Eq_Name e-5 e-23))) (cond ((equal? sc3 1) (let ((sc4 (or (and (= (PreludeC-45TypesC-45List-lengthTR arg-16) (PreludeC-45TypesC-45List-lengthTR arg-17)) 1) 0))) (cond ((equal? sc4 1) (PreludeC-45Interfaces-any (csegen-16) (lambda (eta-0) (PreludeC-45Basics-uncurry (lambda (eta-1) (lambda (eta-2) (TTImpC-45InteractiveC-45ExprSearch-n--14593-4471-u--argDiff arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 eta-1 eta-2))) eta-0)) (DataC-45List-u--zip_Zippable_List arg-16 arg-17))) (else 0)))) (else 0)))))(else (case (vector-ref e-4 0) ((2) (case (vector-ref arg-15 0) ((0) 1)(else (if (null? arg-16) (if (null? arg-17) (TTImpC-45InteractiveC-45ExprSearch-n--14593-4471-u--argDiff arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-14 arg-15) 0) 0))))(else (if (null? arg-16) (if (null? arg-17) (TTImpC-45InteractiveC-45ExprSearch-n--14593-4471-u--argDiff arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-14 arg-15) 0) 0)))))))) ((3) (case (vector-ref arg-15 0) ((1) (let ((e-36 (vector-ref arg-15 2))) (let ((e-37 (vector-ref arg-15 3))) (case (vector-ref e-36 0) ((3) (let ((sc4 (CoreC-45Name-u--C-47C-61_Eq_Name e-5 e-37))) (cond ((equal? sc4 1) 1) (else (PreludeC-45Interfaces-any (csegen-16) (lambda (eta-0) (PreludeC-45Basics-uncurry (lambda (eta-1) (lambda (eta-2) (TTImpC-45InteractiveC-45ExprSearch-n--14593-4471-u--argDiff arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 eta-1 eta-2))) eta-0)) (DataC-45List-u--zip_Zippable_List arg-16 arg-17))))))(else (case (vector-ref arg-15 0) ((1) (let ((e-23 (vector-ref arg-15 3))) (let ((sc4 (CoreC-45Name-u--C-61C-61_Eq_Name e-5 e-23))) (cond ((equal? sc4 1) (let ((sc5 (or (and (= (PreludeC-45TypesC-45List-lengthTR arg-16) (PreludeC-45TypesC-45List-lengthTR arg-17)) 1) 0))) (cond ((equal? sc5 1) (PreludeC-45Interfaces-any (csegen-16) (lambda (eta-0) (PreludeC-45Basics-uncurry (lambda (eta-1) (lambda (eta-2) (TTImpC-45InteractiveC-45ExprSearch-n--14593-4471-u--argDiff arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 eta-1 eta-2))) eta-0)) (DataC-45List-u--zip_Zippable_List arg-16 arg-17))) (else 0)))) (else 0)))))(else (case (vector-ref e-4 0) ((2) (case (vector-ref arg-15 0) ((0) 1)(else (if (null? arg-16) (if (null? arg-17) (TTImpC-45InteractiveC-45ExprSearch-n--14593-4471-u--argDiff arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-14 arg-15) 0) 0))))(else (if (null? arg-16) (if (null? arg-17) (TTImpC-45InteractiveC-45ExprSearch-n--14593-4471-u--argDiff arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-14 arg-15) 0) 0))))))))))(else (case (vector-ref arg-15 0) ((1) (let ((e-23 (vector-ref arg-15 3))) (let ((sc3 (CoreC-45Name-u--C-61C-61_Eq_Name e-5 e-23))) (cond ((equal? sc3 1) (let ((sc4 (or (and (= (PreludeC-45TypesC-45List-lengthTR arg-16) (PreludeC-45TypesC-45List-lengthTR arg-17)) 1) 0))) (cond ((equal? sc4 1) (PreludeC-45Interfaces-any (csegen-16) (lambda (eta-0) (PreludeC-45Basics-uncurry (lambda (eta-1) (lambda (eta-2) (TTImpC-45InteractiveC-45ExprSearch-n--14593-4471-u--argDiff arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 eta-1 eta-2))) eta-0)) (DataC-45List-u--zip_Zippable_List arg-16 arg-17))) (else 0)))) (else 0)))))(else (case (vector-ref e-4 0) ((2) (case (vector-ref arg-15 0) ((0) 1)(else (if (null? arg-16) (if (null? arg-17) (TTImpC-45InteractiveC-45ExprSearch-n--14593-4471-u--argDiff arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-14 arg-15) 0) 0))))(else (if (null? arg-16) (if (null? arg-17) (TTImpC-45InteractiveC-45ExprSearch-n--14593-4471-u--argDiff arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-14 arg-15) 0) 0))))))))(else (case (vector-ref arg-15 0) ((1) (let ((e-23 (vector-ref arg-15 3))) (let ((sc2 (CoreC-45Name-u--C-61C-61_Eq_Name e-5 e-23))) (cond ((equal? sc2 1) (let ((sc3 (or (and (= (PreludeC-45TypesC-45List-lengthTR arg-16) (PreludeC-45TypesC-45List-lengthTR arg-17)) 1) 0))) (cond ((equal? sc3 1) (PreludeC-45Interfaces-any (csegen-16) (lambda (eta-0) (PreludeC-45Basics-uncurry (lambda (eta-1) (lambda (eta-2) (TTImpC-45InteractiveC-45ExprSearch-n--14593-4471-u--argDiff arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 eta-1 eta-2))) eta-0)) (DataC-45List-u--zip_Zippable_List arg-16 arg-17))) (else 0)))) (else 0)))))(else (case (vector-ref e-4 0) ((2) (case (vector-ref arg-15 0) ((0) 1)(else (if (null? arg-16) (if (null? arg-17) (TTImpC-45InteractiveC-45ExprSearch-n--14593-4471-u--argDiff arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-14 arg-15) 0) 0))))(else (if (null? arg-16) (if (null? arg-17) (TTImpC-45InteractiveC-45ExprSearch-n--14593-4471-u--argDiff arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-14 arg-15) 0) 0)))))))))) ((0) (case (vector-ref arg-15 0) ((1) (let ((e-42 (vector-ref arg-15 2))) (case (vector-ref e-42 0) ((2) 1)(else (if (null? arg-16) (if (null? arg-17) (TTImpC-45InteractiveC-45ExprSearch-n--14593-4471-u--argDiff arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-14 arg-15) 0) 0)))))(else (if (null? arg-16) (if (null? arg-17) (TTImpC-45InteractiveC-45ExprSearch-n--14593-4471-u--argDiff arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-14 arg-15) 0) 0))))(else (if (null? arg-16) (if (null? arg-17) (TTImpC-45InteractiveC-45ExprSearch-n--14593-4471-u--argDiff arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-14 arg-15) 0) 0)))))
(define TTImpC-45InteractiveC-45ExprSearch-n--17509-7087-u--applyLocal (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17) (case (vector-ref arg-16 0) ((0) (let ((e-3 (vector-ref arg-16 3))) (let ((e-4 (vector-ref arg-16 4))) (case (vector-ref e-3 0) ((2) (let ((e-6 (vector-ref e-3 1))) (let ((eff-0 (let ((eff-0 ((e-4 arg-14) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) arg-6 (vector 10 arg-10 (vector 0 )))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45InteractiveC-45ExprSearch-n--17509-7086-u--matchable arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 e-5))) eff-1))))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (cond ((equal? e-5 1) (let ((eff-1 (CoreC-45UnifyState-genVarName arg-13 arg-11 "cty"))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-10 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45ElabC-45Check-uniVar arg-13 arg-11 arg-10))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-11 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (TTImpC-45ElabC-45Check-metaVar arg-0 arg-13 arg-11 e-6 (csegen-54) arg-6 e-10 (vector 11 arg-10 e-11)))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-12 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-12)))) (else (let ((e-12 (vector-ref lcase-3 1))) (let ((eff-4 (let ((u--optsC-39 (let ((e-0 (vector-ref arg-8 0))) (let ((e-21 (vector-ref arg-8 1))) (let ((e-20 (vector-ref arg-8 2))) (let ((e-19 (vector-ref arg-8 3))) (let ((e-18 (vector-ref arg-8 4))) (let ((e-16 (vector-ref arg-8 6))) (let ((e-15 (vector-ref arg-8 7))) (let ((e-14 (vector-ref arg-8 8))) (let ((e-13 (vector-ref arg-8 9))) (vector e-0 e-21 e-20 e-19 e-18 1 e-16 e-15 e-14 e-13)))))))))))) (let ((eff-4 (TTImpC-45InteractiveC-45ExprSearch-searchLocalWith arg-0 arg-13 arg-12 arg-11 arg-10 1 arg-9 u--optsC-39 arg-7 arg-6 (cons (cons arg-1 arg-2) '()) e-12 arg-4))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-13 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-4 1))) (let ((eff-5 (TTImpC-45InteractiveC-45ExprSearch-makeHelper arg-0 arg-13 arg-12 arg-11 arg-10 arg-9 arg-8 arg-6 e-12 arg-17 e-13))) eff-5)))))))))) eff-4))))))))) eff-3))))))))) eff-2)))))))) (else (lambda (eta-0) (TTImpC-45InteractiveC-45ExprSearch-noResult eta-0)))))) eff-1)))))))))(else (lambda (eta-0) (TTImpC-45InteractiveC-45ExprSearch-noResult eta-0)))))))(else (lambda (eta-0) (TTImpC-45InteractiveC-45ExprSearch-noResult eta-0))))))
(define TTImpC-45InteractiveC-45ExprSearch-usableLocal (lambda (arg-1 arg-2 arg-3) (case (vector-ref arg-3 0) ((1) (let ((e-2 (vector-ref arg-3 2))) (case (vector-ref e-2 0) ((2) 0)(else 1))))(else 1))))
(define TTImpC-45InteractiveC-45ExprSearch-trySearch (lambda (arg-1 arg-2 arg-3 arg-4) (TTImpC-45InteractiveC-45ExprSearch-firstSuccess arg-1 arg-2 (cons arg-3 (cons arg-4 '())))))
(define TTImpC-45InteractiveC-45ExprSearch-tryRecursive (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11) (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-lookupCtxtExact (let ((e-1 (vector-ref arg-11 1))) e-1) (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-6) (lambda (eta-0) (TTImpC-45InteractiveC-45ExprSearch-noResult eta-0)) (let ((e-2 (unbox e-6))) (let ((eff-2 (let ((eff-2 (CoreC-45NormaliseC-45Eval-nf arg-1 arg-0 e-5 arg-8 arg-9))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-3 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (TTImpC-45InteractiveC-45ExprSearch-searchName arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 (let ((e-0 (vector-ref arg-6 0))) (let ((e-1 (vector-ref arg-6 1))) (let ((e-3 (vector-ref arg-6 3))) (let ((e-4 (vector-ref arg-6 4))) (let ((e-12 (vector-ref arg-6 5))) (let ((e-11 (vector-ref arg-6 6))) (let ((e-10 (vector-ref arg-6 7))) (let ((e-8 (vector-ref arg-6 8))) (let ((e-9 (vector-ref arg-6 9))) (vector e-0 e-1 '() e-3 e-4 e-12 e-11 e-10 e-8 e-9)))))))))) arg-7 arg-8 e-7 arg-10 (cons (let ((e-1 (vector-ref arg-11 1))) e-1) e-2)))) eff-3))))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-3 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45CoreC-45Search-traverse (lambda (lamc-0) (let ((e-4 (car lamc-0))) (let ((e-3 (cdr lamc-0))) (let ((eff-3 (CoreC-45Context-toFullNames arg-1 (csegen-105) e-4))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-8 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (cons e-8 e-3))))) eff-4)))))))))) e-7))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-3 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (CoreC-45CoreC-45Search-filter (lambda (eta-0) (TTImpC-45InteractiveC-45ExprSearch-n--14593-4474-u--structDiffTm arg-0 arg-11 arg-10 arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 (let ((e-3 (vector-ref arg-11 2))) e-3) eta-0)) e-8))) eff-4))))))))) eff-3))))))))))) eff-2))))))))) eff-1)))))))))
(define TTImpC-45InteractiveC-45ExprSearch-tryIntermediateWith (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11) (if (null? arg-9) (lambda (eta-0) (TTImpC-45InteractiveC-45ExprSearch-noResult eta-0)) (let ((e-2 (car arg-9))) (let ((e-3 (cdr arg-9))) (let ((e-6 (car e-2))) (let ((e-7 (cdr e-2))) (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-nf arg-1 arg-0 e-5 arg-8 e-7))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-8 (vector-ref lcase-1 1))) (let ((eff-2 (TTImpC-45InteractiveC-45ExprSearch-getSuccessful arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 0 arg-8 arg-10 arg-11 (cons (TTImpC-45InteractiveC-45ExprSearch-n--17509-7087-u--applyLocal arg-0 e-6 e-7 e-3 arg-11 arg-10 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 e-5 e-6 e-8 arg-10) (cons (TTImpC-45InteractiveC-45ExprSearch-tryIntermediateWith arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 e-3 arg-10 arg-11) '()))))) eff-2))))))))) eff-1))))))))))))))
(define TTImpC-45InteractiveC-45ExprSearch-tryIntermediateRec (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11) (if (null? arg-11) (lambda (eta-0) (TTImpC-45InteractiveC-45ExprSearch-noResult eta-0)) (let ((e-2 (unbox arg-11))) (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-lookupTyExact (let ((e-1 (vector-ref e-2 1))) e-1) (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-3 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-6) (lambda (eta-0) (TTImpC-45InteractiveC-45ExprSearch-noResult eta-0)) (let ((e-1 (unbox e-6))) (let ((eff-2 (let ((eff-2 (CoreC-45NormaliseC-45Eval-nf arg-1 '() e-5 '() e-1))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-3 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (TTImpC-45InteractiveC-45ExprSearch-n--18076-7586-u--isSingleCon arg-0 e-2 arg-10 arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 e-5 e-7))) eff-3))))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-3 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (cond ((equal? e-7 1) (let ((eff-3 (CoreC-45UnifyState-genVarName arg-1 arg-3 "cty"))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-3 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (TTImpC-45ElabC-45Check-uniVar arg-1 arg-3 arg-4))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-3 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (let ((eff-5 (TTImpC-45ElabC-45Check-metaVar arg-0 arg-1 arg-3 arg-4 (csegen-54) arg-8 e-8 (vector 11 arg-4 e-9)))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-3 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-10 (vector-ref lcase-5 1))) (let ((eff-6 (let ((u--optsC-39 (let ((e-0 (vector-ref arg-6 0))) (let ((e-17 (vector-ref arg-6 1))) (let ((e-3 (vector-ref arg-6 3))) (let ((e-4 (vector-ref arg-6 4))) (let ((e-14 (vector-ref arg-6 6))) (let ((e-13 (vector-ref arg-6 7))) (let ((e-12 (vector-ref arg-6 8))) (let ((e-11 (vector-ref arg-6 9))) (vector e-0 e-17 '() e-3 e-4 1 e-14 e-13 e-12 e-11))))))))))) (let ((eff-6 (CoreC-45ContextC-45Log-logTerm arg-0 arg-1 (csegen-4787) 10 (lambda () ((csegen-0) "Trying recursive search for")) arg-9))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-3 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-7 (let ((eff-7 (let ((eff-7 (CoreC-45Context-toFullNames arg-1 (csegen-81) (let ((e-4 (vector-ref e-2 1))) e-4)))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-3 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-12 (vector-ref lcase-7 1))) (let ((eff-8 (CoreC-45ContextC-45Log-log arg-1 (csegen-4787) 10 (lambda () (CoreC-45Name-u--show_Show_Name e-12))))) eff-8))))))))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-3 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-8 (let ((eff-8 (let ((eff-8 (CoreC-45Context-toFullNames arg-1 (csegen-105) (let ((e-3 (vector-ref e-2 2))) e-3)))) (PrimIO-io_bind eff-8 (lambda (lcase-8) (case (vector-ref lcase-8 0) ((0) (let ((e-3 (vector-ref lcase-8 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-13 (vector-ref lcase-8 1))) (let ((eff-9 (CoreC-45ContextC-45Log-logTerm (let ((e-0 (vector-ref e-2 0))) e-0) arg-1 (csegen-4787) 10 (lambda () ((csegen-0) "LHS")) e-13))) eff-9))))))))) (PrimIO-io_bind eff-8 (lambda (lcase-8) (case (vector-ref lcase-8 0) ((0) (let ((e-3 (vector-ref lcase-8 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-9 (let ((eff-9 (TTImpC-45InteractiveC-45ExprSearch-tryRecursive arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 u--optsC-39 arg-7 arg-8 e-10 arg-10 e-2))) (PrimIO-io_bind eff-9 (lambda (lcase-9) (case (vector-ref lcase-9 0) ((0) (let ((e-3 (vector-ref lcase-9 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-14 (vector-ref lcase-9 1))) (let ((eff-10 (TTImpC-45InteractiveC-45ExprSearch-makeHelper arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 u--optsC-39 arg-8 e-10 arg-9 e-14))) eff-10))))))))) eff-9)))))))) eff-8)))))))) eff-7))))))))) eff-6))))))))) eff-5))))))))) eff-4))))))))(else (lambda (eta-0) (TTImpC-45InteractiveC-45ExprSearch-noResult eta-0)))))) eff-3))))))))))) eff-2))))))))) eff-1)))))))))))
(define TTImpC-45InteractiveC-45ExprSearch-tryIntermediate (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10) (TTImpC-45InteractiveC-45ExprSearch-tryIntermediateWith arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (PreludeC-45TypesC-45List-reverse (TTImpC-45InteractiveC-45ExprSearch-getAllEnv arg-0 arg-4 (CoreC-45TTC-45SizeOf-zero) arg-8)) arg-9 arg-10)))
(define TTImpC-45InteractiveC-45ExprSearch-searchType (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11) (cond ((equal? arg-10 0) (case (vector-ref arg-11 0) ((3) (let ((e-12 (vector-ref arg-11 1))) (let ((e-13 (vector-ref arg-11 2))) (let ((e-14 (vector-ref arg-11 3))) (let ((e-15 (vector-ref arg-11 4))) (case (vector-ref e-14 0) ((2) (let ((e-17 (vector-ref e-14 1))) (let ((e-18 (vector-ref e-14 2))) (let ((e-19 (vector-ref e-14 3))) (let ((e-20 (vector-ref e-14 4))) (TTImpC-45InteractiveC-45ExprSearch-getSuccessful arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 0 arg-8 e-20 arg-9 (cons (TTImpC-45InteractiveC-45ExprSearch-searchLocal arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (vector 3 e-12 e-13 e-14 e-15) arg-9) (cons (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-nf arg-1 arg-0 e-5 arg-8 e-20))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45Utils-getArgName arg-0 arg-1 e-5 e-13 '() arg-0 e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((u--nC-39 (vector 1 (vector 0 e-7)))) (let ((u--envC-39 (cons e-14 arg-8))) (let ((u--scC-39 (CoreC-45TT-renameTop u--nC-39 e-15))) (let ((eff-3 (CoreC-45ContextC-45Log-log arg-1 (csegen-4787) 10 (lambda () (string-append (csegen-4790) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 (cons u--nC-39 arg-0) u--scC-39)))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-4 (let ((eff-4 (TTImpC-45InteractiveC-45ExprSearch-searchType (cons u--nC-39 arg-0) arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 u--envC-39 arg-9 0 u--scC-39))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (((csegen-4773) (lambda (lamc-0) (let ((e-2 (car lamc-0))) (let ((e-3 (cdr lamc-0))) (cons (vector 3 e-12 u--nC-39 (vector 0 e-17 e-18 e-19 e-20) e-2) e-3))))) e-9))))) eff-5))))))))) eff-4))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))) '()))))))))(else (TTImpC-45InteractiveC-45ExprSearch-case--searchType-8419 arg-0 arg-10 arg-11 arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 (CoreC-45TT-getFnArgs arg-11)))))))))(else (TTImpC-45InteractiveC-45ExprSearch-case--searchType-8419 arg-0 arg-10 arg-11 arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 (CoreC-45TT-getFnArgs arg-11)))))(else (let ((e-0 (- arg-10 1))) (case (vector-ref arg-11 0) ((3) (let ((e-2 (vector-ref arg-11 1))) (let ((e-3 (vector-ref arg-11 2))) (let ((e-4 (vector-ref arg-11 3))) (let ((e-5 (vector-ref arg-11 4))) (case (vector-ref e-4 0) ((2) (let ((e-7 (vector-ref e-4 1))) (let ((e-8 (vector-ref e-4 2))) (let ((e-9 (vector-ref e-4 3))) (let ((e-10 (vector-ref e-4 4))) (let ((u--envC-39 (cons e-4 arg-8))) (let ((eff-0 (CoreC-45ContextC-45Log-log arg-1 (csegen-4787) 10 (lambda () (string-append (csegen-4790) (CoreC-45TT-u--show_Show_C-40TermC-32C-36varsC-41 (cons e-3 arg-0) e-5)))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((eff-1 (let ((eff-1 (TTImpC-45InteractiveC-45ExprSearch-searchType (cons e-3 arg-0) arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 u--envC-39 arg-9 e-0 e-5))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-11 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (((csegen-4773) (lambda (lamc-0) (let ((e-13 (car lamc-0))) (let ((e-12 (cdr lamc-0))) (cons (vector 3 e-2 e-3 (vector 0 e-7 e-8 e-9 e-10) e-13) e-12))))) e-11))))) eff-2))))))))) eff-1))))))))))))(else (TTImpC-45InteractiveC-45ExprSearch-case--searchType-8419 arg-0 arg-10 arg-11 arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 (CoreC-45TT-getFnArgs arg-11)))))))))(else (TTImpC-45InteractiveC-45ExprSearch-case--searchType-8419 arg-0 arg-10 arg-11 arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 (CoreC-45TT-getFnArgs arg-11)))))))))
(define TTImpC-45InteractiveC-45ExprSearch-searchSort (lambda (arg-1 arg-2 arg-3 arg-4 arg-5) (let ((eff-0 (TTImpC-45InteractiveC-45ExprSearch-searchN arg-1 arg-2 arg-3 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((e-2 (car e-5))) (let ((e-3 (cdr e-5))) (let ((sc2 (DataC-45List-isNil e-2))) (cond ((equal? sc2 1) (lambda (eta-0) (vector 1 '()))) (else (TTImpC-45InteractiveC-45ExprSearch-n--11279-1464-u--returnBatch arg-5 arg-4 arg-3 arg-2 arg-1 (DataC-45List-sortBy arg-5 e-2) e-3)))))))) eff-1)))))))))
(define TTImpC-45InteractiveC-45ExprSearch-searchNames (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11) (if (null? arg-11) (lambda (eta-0) (TTImpC-45InteractiveC-45ExprSearch-noResult eta-0)) (let ((e-2 (car arg-11))) (let ((e-3 (cdr arg-11))) (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-checkTimer arg-1))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45Core-traverseC-39 (lambda (eta-0) (TTImpC-45InteractiveC-45ExprSearch-n--14218-4139-u--visible arg-0 e-2 e-3 arg-10 arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 (let ((e-0 (vector-ref e-5 0))) e-0) (cons (let ((e-35 (vector-ref e-5 2))) e-35) (let ((e-34 (vector-ref e-5 3))) e-34)) eta-0)) (cons e-2 e-3) '()))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((u--visns (PreludeC-45TypesC-45List-mapMaybeAppend '() (lambda (eta-0) eta-0) e-7))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-nf arg-1 arg-0 e-5 arg-8 arg-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-4 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45ContextC-45Log-logTerm arg-0 arg-1 "interaction.search" 10 (lambda () (string-append "Searching " (string-append (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-100) ((csegen-101) u--visns)) " for "))) arg-9))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-4 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-5 (TTImpC-45InteractiveC-45ExprSearch-getSuccessful arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 0 arg-8 arg-9 arg-10 (((csegen-25) (lambda (eta-0) (TTImpC-45InteractiveC-45ExprSearch-searchName arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 e-8 arg-10 eta-0))) u--visns)))) eff-5)))))))) eff-4)))))))))) eff-3))))))))) eff-2)))))))) eff-1))))))))))))
(define TTImpC-45InteractiveC-45ExprSearch-searchName (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11) (let ((e-2 (car arg-11))) (let ((e-3 (cdr arg-11))) (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-checkTimer arg-1))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45Context-getNS arg-1))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45Context-getNestedNS arg-1))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-4 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((sc5 (CoreC-45Context-visibleInAny (cons e-7 e-8) (let ((e-1 (vector-ref e-3 1))) e-1) (let ((e-9 (vector-ref e-3 9))) e-9)))) (cond ((equal? sc5 1) (let ((u--ty (let ((e-27 (vector-ref e-3 2))) e-27))) (let ((sc6 (TTImpC-45InteractiveC-45ExprSearch-n--13159-3216-u--usableName arg-0 e-2 e-3 arg-10 arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 (let ((e-1 (vector-ref e-3 1))) e-1)))) (cond ((equal? sc6 1) (let ((u--namety (let ((e-17 (vector-ref e-3 17))) (case (vector-ref e-17 0) ((5) (let ((e-30 (vector-ref e-17 1))) (let ((e-29 (vector-ref e-17 2))) (vector 2 e-30 e-29)))) ((6) (let ((e-35 (vector-ref e-17 1))) (let ((e-34 (vector-ref e-17 2))) (vector 3 e-35 e-34))))(else (vector 1 )))))) (let ((eff-4 (CoreC-45ContextC-45Log-log arg-1 "interaction.search" 5 (lambda () (string-append "Trying " (CoreC-45Name-u--show_Show_Name (let ((e-1 (vector-ref e-3 1))) e-1))))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-4 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-5 (let ((eff-5 (CoreC-45NormaliseC-45Eval-nf arg-1 arg-0 e-5 arg-8 (CoreC-45TT-embed u--ty)))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-4 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-10 (vector-ref lcase-5 1))) (let ((eff-6 (let ((eff-6 (CoreC-45AutoSearch-mkArgs arg-0 arg-1 arg-3 arg-4 arg-5 arg-8 e-10))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-4 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-11 (vector-ref lcase-6 1))) (let ((eff-7 (let ((e-12 (car e-11))) (let ((e-4 (cdr e-11))) (let ((eff-7 (CoreC-45Normalise-logNF arg-0 arg-1 (csegen-4787) 5 (lambda () ((csegen-0) "Target")) arg-8 arg-9))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-13 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((eff-8 (let ((eff-8 (CoreC-45Normalise-logNF arg-0 arg-1 (csegen-4787) 10 (lambda () ((csegen-0) "App type")) arg-8 e-4))) (PrimIO-io_bind eff-8 (lambda (lcase-8) (case (vector-ref lcase-8 0) ((0) (let ((e-14 (vector-ref lcase-8 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((eff-9 (let ((eff-9 ((((CoreC-45Unify-unify (csegen-3136) arg-0 arg-1 arg-3 (CoreC-45Unify-inSearch) arg-4) arg-8) arg-9) e-4))) (PrimIO-io_bind eff-9 (lambda (lcase-9) (case (vector-ref lcase-9 0) ((0) (let ((e-15 (vector-ref lcase-9 1))) (lambda (eta-0) (vector 0 e-15)))) (else (let ((e-15 (vector-ref lcase-9 1))) (let ((eff-10 (let ((e-0 (vector-ref e-15 0))) (if (null? e-0) (let ((eff-10 (CoreC-45Core-traverse_ (lambda (eta-0) (TTImpC-45InteractiveC-45ExprSearch-searchIfHole arg-0 arg-1 arg-2 arg-3 arg-4 arg-6 arg-7 arg-10 arg-8 eta-0)) (PreludeC-45TypesC-45List-filterAppend '() (lambda (eta-0) (TTImpC-45InteractiveC-45ExprSearch-explicit eta-0)) e-12)))) (PrimIO-io_bind eff-10 (lambda (lcase-10) (case (vector-ref lcase-10 0) ((0) (let ((e-18 (vector-ref lcase-10 1))) (lambda (eta-0) (vector 0 e-18)))) (else (let ((eff-11 (let ((eff-11 (CoreC-45Core-traverseC-39 (lambda (eta-0) (TTImpC-45InteractiveC-45ExprSearch-searchIfHole arg-0 arg-1 arg-2 arg-3 arg-4 arg-6 arg-7 arg-10 arg-8 eta-0)) e-12 '()))) (PrimIO-io_bind eff-11 (lambda (lcase-11) (case (vector-ref lcase-11 0) ((0) (let ((e-19 (vector-ref lcase-11 1))) (lambda (eta-0) (vector 0 e-19)))) (else (let ((e-19 (vector-ref lcase-11 1))) (let ((eff-12 (TTImpC-45InteractiveC-45ExprSearch-mkCandidates arg-0 arg-1 arg-3 arg-4 (vector 1 arg-4 u--namety e-2) '() e-19))) eff-12))))))))) eff-11)))))) (lambda (eta-0) (TTImpC-45InteractiveC-45ExprSearch-noResult eta-0)))))) eff-10))))))))) eff-9)))))))) eff-8)))))))))) eff-7))))))))) eff-6))))))))) eff-5))))))))(else (lambda (eta-0) (TTImpC-45InteractiveC-45ExprSearch-noResult eta-0)))))))(else (lambda (eta-0) (TTImpC-45InteractiveC-45ExprSearch-noResult eta-0))))))) eff-4))))))))) eff-3))))))))) eff-2)))))))) eff-1)))))))))))
(define TTImpC-45InteractiveC-45ExprSearch-searchN (lambda (arg-1 arg-2 arg-3 arg-4) (let ((eff-0 (let ((eff-0 (CoreC-45Context-getSession arg-1))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45Context-startTimer arg-1 (let ((e-6 (vector-ref e-5 6))) e-6) "expression search"))) eff-1))))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45UnifyState-tryUnify arg-1 arg-2 (let ((eff-1 arg-4)) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45InteractiveC-45ExprSearch-n--11085-1273-u--count arg-4 arg-3 arg-2 arg-1 arg-3 e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45Context-clearTimer arg-1))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-4 (lambda (eta-0) (vector 1 e-7)))) eff-4)))))))) eff-3))))))))) eff-2))))))) (let ((eff-1 (CoreC-45Context-clearTimer arg-1))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (csegen-4786))) eff-2))))))))) eff-1))))))))
(define TTImpC-45InteractiveC-45ExprSearch-searchLocalWith (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12) (if (null? arg-10) (lambda (eta-0) (TTImpC-45InteractiveC-45ExprSearch-noResult eta-0)) (let ((e-2 (car arg-10))) (let ((e-3 (cdr arg-10))) (let ((e-6 (car e-2))) (let ((e-7 (cdr e-2))) (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-checkTimer arg-1))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45NormaliseC-45Eval-nf arg-1 arg-0 e-5 arg-9 arg-11))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-9 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45NormaliseC-45Eval-nf arg-1 arg-0 e-5 arg-9 e-7))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-4 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (TTImpC-45InteractiveC-45ExprSearch-getSuccessful arg-0 arg-1 arg-2 arg-3 arg-4 arg-6 arg-7 0 arg-9 arg-11 arg-12 (cons (TTImpC-45InteractiveC-45ExprSearch-n--15553-5354-u--findPos arg-0 e-6 e-7 e-3 arg-12 arg-11 arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 e-5 e-6 (lambda (eta-0) eta-0) e-10 e-9) (cons (TTImpC-45InteractiveC-45ExprSearch-searchLocalWith arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-3 arg-11 arg-12) '()))))) eff-4))))))))) eff-3))))))))) eff-2)))))))) eff-1))))))))))))))
(define TTImpC-45InteractiveC-45ExprSearch-searchLocal (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10) (TTImpC-45InteractiveC-45ExprSearch-searchLocalWith arg-0 arg-1 arg-2 arg-3 arg-4 0 arg-5 arg-6 arg-7 arg-8 (PreludeC-45TypesC-45List-reverse (TTImpC-45InteractiveC-45ExprSearch-getAllEnv arg-0 arg-4 (CoreC-45TTC-45SizeOf-zero) arg-8)) arg-9 arg-10)))
(define TTImpC-45InteractiveC-45ExprSearch-searchIfHole (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9) (let ((sc0 (let ((e-3 (vector-ref arg-5 3))) e-3))) (cond ((equal? sc0 0) (lambda (eta-0) (TTImpC-45InteractiveC-45ExprSearch-noResult eta-0)))(else (let ((e-0 (- (let ((e-3 (vector-ref arg-5 3))) e-3) 1))) (let ((u--hole (let ((e-1 (vector-ref arg-9 0))) e-1))) (let ((u--rig (let ((e-2 (vector-ref arg-9 1))) e-2))) (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-lookupCtxtExact (vector 8 u--hole) (let ((e-33 (vector-ref e-5 0))) e-33)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-6) (lambda (eta-0) (TTImpC-45InteractiveC-45ExprSearch-noResult eta-0)) (let ((e-1 (unbox e-6))) (let ((_-0 (box e-1))) (TTImpC-45InteractiveC-45ExprSearch-case--caseC-32blockC-32inC-32caseC-32blockC-32inC-32searchIfHole-2426 arg-0 arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 e-0 u--hole u--rig e-5 e-1 _-0 (let ((e-17 (vector-ref e-1 17))) e-17))))))) eff-2))))))))) eff-1)))))))))))))))
(define TTImpC-45InteractiveC-45ExprSearch-searchHole (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11) (let ((eff-0 (CoreC-45Normalise-normalise arg-0 '() arg-10 '() (let ((e-2 (vector-ref arg-11 2))) e-2)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45ContextC-45Log-logTerm '() arg-0 "interaction.search" 10 (lambda () "Normalised type") e-5))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45Context-checkTimer arg-0))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (TTImpC-45InteractiveC-45ExprSearch-searchType '() arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 '() arg-9 arg-8 e-5))) eff-3)))))))) eff-2)))))))) eff-1)))))))))
(define TTImpC-45InteractiveC-45ExprSearch-search (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (TTImpC-45InteractiveC-45ExprSearch-n--11902-9436-u--lookupHoleName arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 arg-0 arg-8 (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-6) (let ((eff-2 (CoreC-45ContextC-45Log-log arg-0 "interaction.search" 10 (lambda () (string-append (CoreC-45Name-u--show_Show_Name arg-8) " not found"))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (CoreC-45Context-undefinedName arg-0 arg-3 arg-8))) eff-3)))))) (let ((e-1 (unbox e-6))) (if (null? e-1) (let ((eff-2 (CoreC-45ContextC-45Log-log arg-0 "interaction.search" 10 (lambda () (string-append (CoreC-45Name-u--show_Show_Name arg-8) " not found"))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (CoreC-45Context-undefinedName arg-0 arg-3 arg-8))) eff-3)))))) (let ((e-4 (car e-1))) (let ((e-7 (cdr e-1))) (if (null? e-7) (let ((eff-2 (CoreC-45ContextC-45Log-log arg-0 "interaction.search" 10 (lambda () (string-append (CoreC-45Name-u--show_Show_Name arg-8) " not found"))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (CoreC-45Context-undefinedName arg-0 arg-3 arg-8))) eff-3)))))) (let ((e-9 (cdr e-7))) (let ((e-17 (vector-ref e-9 17))) (case (vector-ref e-17 0) ((7) (let ((e-30 (vector-ref e-17 1))) (TTImpC-45InteractiveC-45ExprSearch-searchHole arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-4 e-30 arg-7 e-5 e-9))) ((8) (let ((eff-2 (CoreC-45Normalise-getArity arg-0 '() e-5 '() (let ((e-51 (vector-ref e-9 2))) e-51)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-32 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-32)))) (else (let ((e-32 (vector-ref lcase-2 1))) (let ((eff-3 (TTImpC-45InteractiveC-45ExprSearch-searchHole arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-4 e-32 arg-7 e-5 e-9))) eff-3))))))))(else (let ((eff-2 (CoreC-45ContextC-45Log-log arg-0 "interaction.search" 10 (lambda () (string-append (CoreC-45Name-u--show_Show_Name arg-8) " not a hole"))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-29 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-29)))) (else (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 (string-append "Not a hole: " (string-append (CoreC-45Name-u--show_Show_Name e-4) (string-append " in " (PreludeC-45Show-u--show_Show_C-40MaybeC-32C-36aC-41 (csegen-100) (((csegen-77) (lambda (eta-1) (let ((e-31 (vector-ref eta-1 1))) e-31))) (let ((e-37 (vector-ref arg-5 2))) e-37))))))) eta-0)))) eff-3)))))))))))))))))) eff-2))))))))) eff-1)))))))))
(define TTImpC-45InteractiveC-45ExprSearch-one (lambda (arg-1 ext-0) (vector 1 (cons arg-1 (lambda (eta-0) (vector 1 '()))))))
(define TTImpC-45InteractiveC-45ExprSearch-noResult (lambda (ext-0) (vector 1 '())))
(define TTImpC-45InteractiveC-45ExprSearch-nextResult (lambda (arg-1 arg-2 arg-3) (CoreC-45UnifyState-tryUnify arg-1 arg-2 (let ((eff-0 arg-3)) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (clam-0) (if (null? e-5) (vector 1 '()) (let ((e-4 (car e-5))) (let ((e-6 (cdr e-5))) (vector 1 (box (cons e-4 e-6))))))))) eff-1))))))) (lambda (eta-0) (vector 1 '())))))
(define TTImpC-45InteractiveC-45ExprSearch-mkCandidates (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (if (null? arg-6) (lambda (eta-0) (TTImpC-45InteractiveC-45ExprSearch-one (cons arg-4 arg-5) eta-0)) (let ((e-2 (car arg-6))) (let ((e-3 (cdr arg-6))) (if (null? e-2) (lambda (eta-0) (TTImpC-45InteractiveC-45ExprSearch-noResult eta-0)) (let ((e-8 (car e-2))) (let ((e-9 (cdr e-2))) (let ((e-12 (car e-8))) (let ((e-13 (cdr e-8))) (TTImpC-45InteractiveC-45ExprSearch-firstSuccess arg-1 arg-2 (cons (TTImpC-45InteractiveC-45ExprSearch-mkCandidates arg-0 arg-1 arg-2 arg-3 (vector 4 arg-3 arg-4 e-12) (PreludeC-45TypesC-45List-tailRecAppend arg-5 e-13) e-3) (cons (let ((eff-0 e-9)) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45InteractiveC-45ExprSearch-mkCandidates arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 (cons e-5 e-3)))) eff-1))))))) '())))))))))))))
(define TTImpC-45InteractiveC-45ExprSearch-makeHelper (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10) (if (null? arg-10) (lambda (eta-0) (vector 1 '())) (let ((e-4 (car arg-10))) (let ((e-5 (cdr arg-10))) (let ((e-8 (car e-4))) (let ((e-9 (cdr e-4))) (let ((sc2 (let ((e-3 (vector-ref arg-6 3))) e-3))) (cond ((equal? sc2 0) (lambda (eta-0) (TTImpC-45InteractiveC-45ExprSearch-noResult eta-0)))(else (let ((e-0 (- (let ((e-3 (vector-ref arg-6 3))) e-3) 1))) (let ((eff-0 (CoreC-45ContextC-45Log-logTerm arg-0 arg-1 "interaction.search" 10 (lambda () "Local app") e-8))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((e-10 (vector-ref arg-6 9))) (if (null? e-10) (lambda (eta-0) (TTImpC-45InteractiveC-45ExprSearch-noResult eta-0)) (let ((e-16 (unbox e-10))) (let ((eff-1 (CoreC-45UnifyState-genVarName arg-1 arg-3 "cval"))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-17 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-17)))) (else (let ((e-17 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45UnifyState-genCaseName arg-1 arg-3 "search"))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-18 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-18)))) (else (let ((e-18 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45Context-inCurrentNS arg-1 e-18))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-19 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-19)))) (else (let ((e-19 (vector-ref lcase-3 1))) (let ((eff-4 (let ((u--envC-39 (cons (vector 0 arg-4 (AlgebraC-45ZeroOneOmega-u--top_Top_ZeroOneOmega) (vector 1 ) arg-8) arg-7))) (let ((eff-4 (TTImpC-45ElabC-45Check-metaVar (cons e-17 arg-0) arg-1 arg-3 arg-4 (AlgebraC-45ZeroOneOmega-u--top_Top_ZeroOneOmega) u--envC-39 e-19 (CoreC-45TT-u--weaken_Weaken_Term arg-9)))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-20 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-20)))) (else (let ((e-20 (vector-ref lcase-4 1))) (let ((eff-5 (let ((u--scope (TTImpC-45InteractiveC-45ExprSearch-n--16687-6370-u--toApp arg-0 e-8 e-9 e-5 arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 e-20))) (let ((eff-5 (CoreC-45Context-updateDef arg-1 e-19 (lambda (eta-0) (box (vector 0 )))))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-21 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-21)))) (else (let ((eff-6 (let ((u--def (vector 4 arg-4 (vector 3 arg-4 e-17 (vector 0 arg-4 (AlgebraC-45ZeroOneOmega-u--top_Top_ZeroOneOmega) (vector 1 ) arg-8) u--scope) e-8))) (let ((eff-6 (CoreC-45Normalise-logTermNF arg-0 arg-1 "interaction.search" 10 (lambda () "Binding def") arg-7 u--def))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-22 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-22)))) (else (let ((eff-7 (let ((eff-7 (let ((eff-7 arg-1)) (PrimIO-io_bind (let ((eff-8 eff-7)) (lambda (eta-0) (unbox eff-8))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-23 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-23)))) (else (let ((e-23 (vector-ref lcase-7 1))) (let ((eff-8 (let ((eff-8 (CoreC-45Context-lookupTyExact e-19 (let ((e-55 (vector-ref e-23 0))) e-55)))) (PrimIO-io_bind eff-8 (lambda (lcase-8) (case (vector-ref lcase-8 0) ((0) (let ((e-24 (vector-ref lcase-8 1))) (lambda (eta-0) (vector 0 e-24)))) (else (let ((e-24 (vector-ref lcase-8 1))) (let ((eff-9 (if (null? e-24) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 ((csegen-0) "Can't happen")) eta-0)) (let ((e-25 (unbox e-24))) (let ((eff-9 (CoreC-45Normalise-logTermNF '() arg-1 (csegen-4787) 10 (lambda () ((csegen-0) "Type of scope name")) '() e-25))) (PrimIO-io_bind eff-9 (lambda (lcase-9) (case (vector-ref lcase-9 0) ((0) (let ((e-26 (vector-ref lcase-9 1))) (lambda (eta-0) (vector 0 e-26)))) (else (let ((eff-10 (let ((eff-10 (TTImpC-45InteractiveC-45ExprSearch-searchN arg-1 arg-3 1 ((((e-16 (let ((e-36 (vector-ref arg-6 0))) (let ((e-34 (vector-ref arg-6 2))) (let ((e-32 (vector-ref arg-6 4))) (let ((e-28 (vector-ref arg-6 8))) (let ((e-27 (vector-ref arg-6 9))) (vector e-36 0 e-34 e-0 e-32 1 0 1 e-28 e-27))))))) e-19) 0) e-25)))) (PrimIO-io_bind eff-10 (lambda (lcase-10) (case (vector-ref lcase-10 0) ((0) (let ((e-27 (vector-ref lcase-10 1))) (lambda (eta-0) (vector 0 e-27)))) (else (let ((e-27 (vector-ref lcase-10 1))) (let ((eff-11 (if (null? e-27) (let ((eff-11 (CoreC-45ContextC-45Log-log arg-1 "interaction.search" 10 (lambda () "No results")))) (PrimIO-io_bind eff-11 (csegen-4800))) (let ((e-29 (car e-27))) (if (null? e-29) (let ((eff-11 (CoreC-45ContextC-45Log-log arg-1 "interaction.search" 10 (lambda () "No results")))) (PrimIO-io_bind eff-11 (csegen-4800))) (let ((e-31 (car e-29))) (let ((u--helperdef (vector 2 arg-4 e-19 (Builtin-snd e-31)))) (let ((eff-11 (CoreC-45ContextC-45Log-log arg-1 (csegen-4787) 10 (lambda () (string-append "Def: " (TTImpC-45TTImp-u--show_Show_C-40ImpDeclC-39C-32C-36nmC-41 (csegen-100) u--helperdef)))))) (PrimIO-io_bind eff-11 (lambda (lcase-11) (case (vector-ref lcase-11 0) ((0) (let ((e-32 (vector-ref lcase-11 1))) (lambda (eta-0) (vector 0 e-32)))) (else (let ((eff-12 (lambda (eta-0) (vector 1 (cons (cons u--def (cons u--helperdef e-9)) (let ((eff-12 e-5)) (PrimIO-io_bind eff-12 (lambda (lcase-12) (case (vector-ref lcase-12 0) ((0) (let ((e-33 (vector-ref lcase-12 1))) (lambda (eta-1) (vector 0 e-33)))) (else (let ((e-33 (vector-ref lcase-12 1))) (let ((eff-13 (TTImpC-45InteractiveC-45ExprSearch-makeHelper arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-33))) eff-13)))))))))))) eff-12))))))))))))) eff-11))))))))) eff-10)))))))))) eff-9))))))))) eff-8))))))))) eff-7))))))))) eff-6))))))))) eff-5)))))))))) eff-4))))))))) eff-3))))))))) eff-2)))))))))))) eff-1)))))))))))))))))
(define TTImpC-45InteractiveC-45ExprSearch-initSearchOpts (lambda (arg-0 arg-1) (vector 0 arg-0 '() arg-1 0 0 1 0 0 '())))
(define TTImpC-45InteractiveC-45ExprSearch-getSuccessful (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11) (let ((eff-0 (TTImpC-45InteractiveC-45ExprSearch-firstSuccess arg-1 arg-3 arg-11))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (if (null? e-5) (let ((sc2 (cond ((equal? arg-7 1) (let ((e-0 (vector-ref arg-6 0))) e-0)) (else 0)))) (cond ((equal? sc2 1) (let ((eff-1 (let ((eff-1 arg-1)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (unbox eff-2))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((u--base (PreludeC-45Types-maybe (lambda () "arg") (lambda () (lambda (u--r) (string-append (CoreC-45Name-nameRoot (let ((e-1 (vector-ref u--r 1))) e-1)) "_rhs"))) (let ((e-2 (vector-ref arg-6 2))) e-2)))) (let ((eff-2 (TTImpC-45Utils-uniqueBasicName e-6 ((csegen-4805) arg-0) u--base))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45UnifyState-newMeta arg-0 arg-1 arg-3 arg-4 arg-5 arg-8 (vector 1 (vector 0 e-7)) arg-9 (vector 7 (CoreC-45Env-length arg-8) (CoreC-45ContextC-45Context-holeInit 0)) 0))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (clam-0) (let ((e-3 (cdr e-8))) (TTImpC-45InteractiveC-45ExprSearch-one (cons e-3 '()) clam-0))))) eff-4))))))))) eff-3)))))))))) eff-2)))))))) (else (lambda (eta-0) (TTImpC-45InteractiveC-45ExprSearch-noResult eta-0))))) (lambda (eta-0) (vector 1 e-5))))) eff-1)))))))))
(define TTImpC-45InteractiveC-45ExprSearch-getLHSData (lambda (arg-0 arg-1 arg-2) (if (null? arg-2) (lambda (eta-0) (vector 1 '())) (let ((e-2 (unbox arg-2))) (let ((eff-0 (CoreC-45Normalise-normaliseHoles arg-0 '() arg-1 '() e-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-5))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-3 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (TTImpC-45InteractiveC-45ExprSearch-n--20752-9867-u--getLHS e-2 arg-1 arg-0 '() e-6))))) eff-2))))))))) eff-1)))))))))))
(define TTImpC-45InteractiveC-45ExprSearch-getAllEnv (lambda (arg-1 arg-2 arg-3 arg-4) (if (null? arg-1) '() (let ((e-2 (car arg-1))) (let ((e-3 (cdr arg-1))) (let ((e-8 (car arg-4))) (let ((e-9 (cdr arg-4))) (let ((u--rest (TTImpC-45InteractiveC-45ExprSearch-getAllEnv e-3 arg-2 (CoreC-45TTC-45SizeOf-sucR arg-3) e-9))) (let ((eff-0 (CoreC-45TT-weakenVar arg-3 0))) (let ((u--usable (TTImpC-45InteractiveC-45ExprSearch-n--11938-2100-u--usableName e-2 e-3 e-9 e-8 arg-3 arg-2 e-2))) (cond ((equal? u--usable 1) (cons (cons (vector 0 arg-2 '() eff-0) (CoreC-45TT-u--weakenNs_Weaken_Term (CoreC-45TTC-45SizeOf-sucR arg-3) (CoreC-45TT-binderType e-8))) u--rest)) (else u--rest))))))))))))
(define TTImpC-45InteractiveC-45ExprSearch-firstSuccess (lambda (arg-1 arg-2 arg-3) (if (null? arg-3) (lambda (eta-0) (TTImpC-45InteractiveC-45ExprSearch-noResult eta-0)) (let ((e-2 (car arg-3))) (let ((e-3 (cdr arg-3))) (let ((eff-0 (let ((eff-0 arg-2)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 arg-1)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (unbox eff-2))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45Core-u--catch_Catchable_Core_Error (let ((eff-2 e-2)) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (if (null? e-7) (TTImpC-45InteractiveC-45ExprSearch-n--12678-2729-u--continue e-2 e-3 arg-2 arg-1 e-5 e-6 e-3) (let ((e-8 (car e-7))) (let ((e-4 (cdr e-7))) (lambda (eta-0) (vector 1 (cons e-8 (TTImpC-45InteractiveC-45ExprSearch-n--12678-2729-u--continue e-2 e-3 arg-2 arg-1 e-5 e-6 (cons e-4 e-3)))))))))) eff-3))))))) (lambda (u--err) (case (vector-ref u--err 0) ((63) (lambda (eta-0) (TTImpC-45InteractiveC-45ExprSearch-noResult eta-0)))(else (TTImpC-45InteractiveC-45ExprSearch-n--12678-2729-u--continue e-2 e-3 arg-2 arg-1 e-5 e-6 e-3))))))) eff-2))))))))) eff-1))))))))))))
(define TTImpC-45InteractiveC-45ExprSearch-firstLinearOK (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (if (null? arg-6) (lambda (eta-0) (TTImpC-45InteractiveC-45ExprSearch-noResult eta-0)) (let ((e-4 (car arg-6))) (let ((e-5 (cdr arg-6))) (let ((e-8 (car e-4))) (let ((e-9 (cdr e-4))) (CoreC-45UnifyState-handleUnify arg-0 arg-2 (let ((eff-0 (let ((sc2 (DataC-45List-isNil e-9))) (cond ((equal? sc2 1) (lambda (eta-0) (vector 1 (vector 0 )))) (else (CoreC-45Core-traverse_ (lambda (eta-0) (TTImpC-45ElabC-45Check-processDecl '() arg-0 arg-1 arg-2 arg-3 arg-4 (cons 1 '()) '() '() eta-0)) e-9)))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (let ((eff-1 (CoreC-45LinearCheck-linearCheck '() arg-0 arg-2 arg-5 (csegen-1778) 0 '() e-8))) (((csegen-50) ((let ((eff-2 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-7 (vector-ref eta-3 1))) (vector 1 (eta-2 e-7))))))))))) (lambda (arg-7) (lambda (arg-8) ((((eff-2 'erased) 'erased) arg-7) arg-8)))) (lambda (_-8679) (vector 0 )))) eff-1)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (let ((eff-2 arg-0)) (PrimIO-io_bind (let ((eff-3 eff-2)) (lambda (eta-0) (unbox eff-3))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-10 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45Normalise-normaliseHoles arg-0 '() e-10 '() e-8))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (let ((eff-4 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-11))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-12 (vector-ref lcase-4 1))) (let ((eff-5 (TTImpC-45Unelab-unelab '() arg-0 '() e-12))) eff-5))))))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-12 (vector-ref lcase-4 1))) (let ((eff-5 (let ((eff-5 e-5)) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-13 (vector-ref lcase-5 1))) (let ((eff-6 (lambda (eta-0) (vector 1 (cons (TTImpC-45TTImpC-45Functor-u--map_Functor_RawImpC-39 (csegen-327) e-12) (TTImpC-45InteractiveC-45ExprSearch-firstLinearOK arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-13)))))) eff-6))))))))) eff-5))))))))) eff-4))))))))) eff-3))))))))) eff-2)))))))) eff-1)))))) (lambda (u--err) (let ((eff-0 e-5)) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45InteractiveC-45ExprSearch-firstLinearOK arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-6))) eff-1))))))))))))))))
(define TTImpC-45InteractiveC-45ExprSearch-exprSearchOpts (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (TTImpC-45InteractiveC-45ExprSearch-n--21062-10183-u--lookupHoleName arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 arg-0 arg-7 e-5))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-6) (CoreC-45Context-undefinedName arg-0 arg-6 arg-7) (let ((e-1 (unbox e-6))) (let ((e-8 (car e-1))) (let ((e-7 (cdr e-1))) (let ((e-9 (car e-7))) (let ((e-10 (cdr e-7))) (let ((e-17 (vector-ref e-10 17))) (case (vector-ref e-17 0) ((7) (let ((eff-2 (let ((eff-2 (CoreC-45Context-getFullName arg-0 (vector 8 e-9)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-31 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-31)))) (else (let ((e-31 (vector-ref lcase-2 1))) (let ((eff-3 (CoreC-45Metadata-findHoleLHS arg-1 e-31))) eff-3))))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-31 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-31)))) (else (let ((e-31 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45ContextC-45Log-log arg-0 "interaction.search" 10 (lambda () (string-append "LHS hole data " (PreludeC-45Show-u--show_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (cons (csegen-100) (cons (lambda (u--x) (PreludeC-45Show-u--show_Show_C-40MaybeC-32C-36aC-41 (csegen-1538) u--x)) (lambda (u--d) (lambda (u--x) (PreludeC-45Show-u--showPrec_Show_C-40MaybeC-32C-36aC-41 (csegen-1538) u--d u--x))))) (cons e-8 e-31))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-32 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-32)))) (else (let ((eff-4 (let ((eff-4 (let ((sc8 (let ((e-41 (vector-ref arg-5 1))) e-41))) (cond ((equal? sc8 1) (let ((eff-4 (TTImpC-45InteractiveC-45ExprSearch-getLHSData arg-0 e-5 e-31))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-33 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-33)))) (else (let ((e-33 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (let ((e-43 (vector-ref arg-5 0))) (let ((e-42 (vector-ref arg-5 1))) (let ((e-40 (vector-ref arg-5 3))) (let ((e-39 (vector-ref arg-5 4))) (let ((e-38 (vector-ref arg-5 5))) (let ((e-37 (vector-ref arg-5 6))) (let ((e-36 (vector-ref arg-5 7))) (let ((e-35 (vector-ref arg-5 8))) (let ((e-34 (vector-ref arg-5 9))) (vector e-43 e-42 e-33 e-40 e-39 e-38 e-37 e-36 e-35 e-34)))))))))))))) eff-5)))))))) (else (lambda (eta-0) (vector 1 arg-5))))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-33 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-33)))) (else (let ((e-33 (vector-ref lcase-4 1))) (let ((eff-5 (let ((eff-5 (let ((eff-5 (PreludeC-45Basics-flip (csegen-1569) arg-8 (lambda (u--hint) (let ((eff-5 (let ((eff-5 arg-0)) (PrimIO-io_bind (let ((eff-6 eff-5)) (lambda (eta-0) (unbox eff-6))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-34 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-34)))) (else (let ((e-34 (vector-ref lcase-5 1))) (let ((eff-6 (let ((eff-6 (CoreC-45Context-lookupCtxtName u--hint (let ((e-66 (vector-ref e-34 0))) e-66)))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-35 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-35)))) (else (let ((e-35 (vector-ref lcase-6 1))) (let ((eff-7 (lambda (eta-0) (vector 1 (((csegen-25) (lambda (eta-1) (vector 8 (Builtin-fst (Builtin-snd eta-1))))) e-35))))) eff-7))))))))) eff-6))))))))))) (((csegen-50) ((let ((eff-6 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-34 (vector-ref eta-3 1))) (vector 0 e-34))) (else (let ((e-34 (vector-ref eta-3 1))) (vector 1 (eta-2 e-34))))))))))) (lambda (arg-9) (lambda (arg-10) ((((eff-6 'erased) 'erased) arg-9) arg-10)))) (csegen-3768))) eff-5)))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-34 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-34)))) (else (let ((e-34 (vector-ref lcase-5 1))) (let ((eff-6 (let ((eff-6 (TTImpC-45InteractiveC-45ExprSearch-search arg-0 arg-1 arg-2 arg-6 (let ((e-49 (vector-ref e-10 7))) e-49) e-33 e-34 (let ((e-54 (vector-ref e-10 2))) e-54) e-8))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-35 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-35)))) (else (let ((e-35 (vector-ref lcase-6 1))) (let ((eff-7 (TTImpC-45InteractiveC-45ExprSearch-firstLinearOK arg-0 arg-1 arg-2 arg-3 arg-4 arg-6 e-35))) eff-7))))))))) eff-6))))))))) eff-5))))))))) eff-4)))))))) eff-3)))))))) ((1) (let ((e-32 (vector-ref e-17 2))) (let ((e-31 (vector-ref e-17 3))) (if (null? e-32) (case (vector-ref e-31 0) ((1) (let ((e-34 (vector-ref e-31 2))) (let ((eff-2 (let ((eff-2 (CoreC-45Normalise-normaliseHoles arg-0 '() e-5 '() e-34))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-36 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-36)))) (else (let ((e-36 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45Context-toFullNames arg-0 (csegen-105) e-36))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-37 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-37)))) (else (let ((e-37 (vector-ref lcase-3 1))) (let ((eff-4 (TTImpC-45Unelab-unelab '() arg-0 '() e-37))) eff-4))))))))) eff-3))))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-36 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-36)))) (else (let ((e-36 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (TTImpC-45InteractiveC-45ExprSearch-one (TTImpC-45TTImpC-45Functor-u--map_Functor_RawImpC-39 (csegen-327) e-36) eta-0)))) eff-3)))))))))(else (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 arg-6 "Name is already defined") eta-0)))) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 arg-6 "Name is already defined") eta-0))))))(else (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 arg-6 "Name is already defined") eta-0))))))))))))) eff-2))))))))) eff-1)))))))))
(define TTImpC-45InteractiveC-45ExprSearch-exprSearchN (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8) (let ((eff-0 (TTImpC-45InteractiveC-45ExprSearch-searchN arg-0 arg-2 arg-6 (TTImpC-45InteractiveC-45ExprSearch-exprSearch arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-7 arg-8)))) (PrimIO-io_bind eff-0 (csegen-3120)))))
(define TTImpC-45InteractiveC-45ExprSearch-exprSearchC-39 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 ext-0 ext-1 ext-2) (TTImpC-45InteractiveC-45ExprSearch-exprSearchOpts arg-0 arg-1 arg-2 arg-3 arg-4 (TTImpC-45InteractiveC-45ExprSearch-initSearchOpts 1 5) ext-0 ext-1 ext-2)))
(define TTImpC-45InteractiveC-45ExprSearch-exprSearch (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (let ((eff-0 (let ((eff-0 (CoreC-45Context-getSession arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45Context-startTimer arg-0 (let ((e-6 (vector-ref e-5 6))) e-6) "expression search"))) eff-1))))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (TTImpC-45InteractiveC-45ExprSearch-exprSearchC-39 arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-clearTimer arg-0))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (lambda (eta-0) (vector 1 e-6)))) eff-3)))))))) eff-2))))))))) eff-1))))))))
(define TTImpC-45InteractiveC-45ExprSearch-explicit (lambda (arg-1) (let ((e-3 (vector-ref arg-1 2))) (case (vector-ref e-3 0) ((1) 1)(else 0)))))
(define TTImpC-45InteractiveC-45ExprSearch-combine (lambda (arg-3 arg-4 arg-5 arg-6 arg-7) (lambda (clam-0) (if (null? arg-6) (vector 1 '()) (let ((e-4 (car arg-6))) (let ((e-5 (cdr arg-6))) (if (null? arg-7) (vector 1 '()) (let ((e-10 (car arg-7))) (let ((e-11 (cdr arg-7))) (vector 1 (cons ((arg-5 e-4) e-10) (TTImpC-45InteractiveC-45ExprSearch-trySearch arg-3 arg-4 (let ((eff-0 e-11)) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (lambda (eta-0) (TTImpC-45InteractiveC-45ExprSearch-one e-4 eta-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (TTImpC-45InteractiveC-45ExprSearch-combine arg-3 arg-4 arg-5 e-7 e-6))) eff-2))))))))) eff-1))))))) (TTImpC-45InteractiveC-45ExprSearch-trySearch arg-3 arg-4 (let ((eff-0 e-5)) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (lambda (eta-0) (TTImpC-45InteractiveC-45ExprSearch-one e-10 eta-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (TTImpC-45InteractiveC-45ExprSearch-combine arg-3 arg-4 arg-5 e-6 e-7))) eff-2))))))))) eff-1))))))) (let ((eff-0 e-5)) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 e-11)) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (TTImpC-45InteractiveC-45ExprSearch-combine arg-3 arg-4 arg-5 e-6 e-7))) eff-2))))))))) eff-1))))))))))))))))))))
(define CoreC-45AutoSearch-case--caseC-32blockC-32inC-32getUsableEnv-4242 (lambda (arg-0 arg-1 arg-2 arg-3 arg-5 arg-6 arg-7 arg-8 arg-9) (let ((eff-0 arg-9)) (cons (cons (vector 0 (CoreC-45TT-binderLoc arg-3) '() eff-0) (CoreC-45TT-u--weakenNs_Weaken_Term (CoreC-45TTC-45SizeOf-sucR arg-5) (CoreC-45TT-binderType arg-3))) arg-8))))
(define CoreC-45AutoSearch-case--exactlyOne-3999 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9) (if (null? arg-9) (let ((eff-0 (let ((eff-0 arg-7)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 30 '() arg-5 (let ((e-0 (vector-ref e-5 0))) e-0) '() arg-3 '()) eta-0)))) eff-1))))))) (let ((e-1 (car arg-9))) (let ((e-2 (cdr arg-9))) (if (null? e-1) (let ((eff-0 (let ((eff-0 arg-7)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-7 arg-0 e-5 arg-4 arg-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-3 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45AutoSearch-n--9827-3965-u--normRes arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 eta-0)) arg-9 '()))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-3 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 19 arg-0 arg-5 arg-4 e-6 e-7) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1))))))) (let ((e-6 (car e-1))) (let ((e-7 (cdr e-1))) (if (null? e-7) (let ((eff-0 (let ((eff-0 arg-7)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-7 arg-0 e-5 arg-4 arg-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-3 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-8 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45AutoSearch-n--9827-3965-u--normRes arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 eta-0)) arg-9 '()))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-3 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-9 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 19 arg-0 arg-5 arg-4 e-8 e-9) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1))))))) (let ((e-10 (car e-7))) (let ((e-11 (cdr e-7))) (if (null? e-2) (let ((eff-0 (let ((eff-0 arg-6)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (set-box! eff-1 e-11))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-1 (let ((eff-1 (let ((eff-1 arg-7)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 e-10))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-3 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45Context-commit arg-7))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-3 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-3 (lambda (eta-0) (vector 1 e-6)))) eff-3)))))))) eff-2)))))))) eff-1)))))) (let ((eff-0 (let ((eff-0 arg-7)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Quote-u--quote_Quote_NF arg-7 arg-0 e-5 arg-4 arg-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-3 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-8 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45AutoSearch-n--9827-3965-u--normRes arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 eta-0)) arg-9 '()))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-3 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-9 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 19 arg-0 arg-5 arg-4 e-8 e-9) eta-0)))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))))))
(define CoreC-45AutoSearch-case--caseC-32blockC-32inC-32searchIfHole-3062 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17) (case (vector-ref arg-17 0) ((7) (let ((eff-0 (cond ((equal? arg-6 1) (CoreC-45Normalise-normaliseScope arg-11 '() arg-14 '() (let ((e-2 (vector-ref arg-15 2))) e-2))) (else (lambda (eta-0) (vector 1 arg-4)))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 (CoreC-45Normalise-normaliseScope arg-11 arg-0 arg-14 arg-3 (let ((e-6 (vector-ref arg-2 4))) e-6)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45AutoSearch-searchType arg-0 arg-11 arg-10 arg-9 arg-13 arg-8 arg-7 arg-1 arg-5 0 e-5 arg-3 e-6))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Normalise-logTermNF arg-0 arg-11 "auto" 5 (lambda () "Solved arg") arg-3 e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (let ((eff-3 (CoreC-45Normalise-logTermNF arg-0 arg-11 "auto" 5 (lambda () "Arg meta") arg-3 (let ((e-4 (vector-ref arg-2 3))) e-4)))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-4 (let ((eff-4 (CoreC-45Unify-solveIfUndefined arg-0 arg-11 arg-10 arg-3 (let ((e-4 (vector-ref arg-2 3))) e-4) e-6))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (cond ((equal? e-9 1) (lambda (eta-0) (vector 1 (vector 0 )))) (else (let ((eff-5 ((((CoreC-45Unify-unify (csegen-3133) arg-0 arg-11 arg-10 (CoreC-45Unify-inTerm) arg-9) arg-3) (let ((e-4 (vector-ref arg-2 3))) e-4)) e-6))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-10 (vector-ref lcase-5 1))) (let ((eff-6 (lambda (clam-0) (let ((e-11 (vector-ref e-10 0))) (if (null? e-11) (vector 1 (vector 0 )) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 30 '() arg-9 (let ((e-43 (vector-ref arg-14 0))) e-43) '() arg-4 '()) clam-0)))))) eff-6))))))))))) eff-5))))))))) eff-4)))))))) eff-3)))))))) eff-2))))))))) eff-1))))))))(else (lambda (eta-0) (vector 1 (vector 0 )))))))
(define CoreC-45AutoSearch-n--12720-6558-u--visible (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17) (let ((eff-0 (CoreC-45Context-lookupCtxtExact arg-17 arg-15))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (clam-0) (if (null? e-5) (vector 1 '()) (let ((e-1 (unbox e-5))) (let ((sc2 (CoreC-45Context-visibleInAny arg-16 arg-17 (let ((e-9 (vector-ref e-1 9))) e-9)))) (cond ((equal? sc2 1) (vector 1 (box (cons arg-17 e-1)))) (else (vector 1 '()))))))))) eff-1)))))))))
(define CoreC-45AutoSearch-n--10369-4413-u--usableLocalArg (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12) (if (null? arg-12) (lambda (eta-0) (vector 1 1)) (let ((e-2 (car arg-12))) (let ((e-3 (cdr arg-12))) (let ((sc1 (PreludeC-45Types-elem (csegen-16) (csegen-1338) arg-10 arg-11))) (cond ((equal? sc1 1) (let ((eff-0 (let ((eff-0 arg-9)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-9 arg-3 e-5 e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45AutoSearch-usableLocal arg-3 arg-9 arg-8 arg-7 arg-6 e-6))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (cond ((equal? e-6 1) (CoreC-45AutoSearch-n--10369-4413-u--usableLocalArg arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 (+ arg-10 1) arg-11 e-3)) (else (lambda (eta-0) (vector 1 0)))))) eff-2))))))))) eff-1)))))))) (else (CoreC-45AutoSearch-n--10369-4413-u--usableLocalArg arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 (+ arg-10 1) arg-11 e-3)))))))))
(define CoreC-45AutoSearch-n--8214-7876-u--tryGroups (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15) (if (null? arg-13) (if (null? arg-15) (let ((eff-0 (let ((eff-0 arg-12)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 30 '() arg-10 (let ((e-0 (vector-ref e-5 0))) e-0) '() arg-3 '()) eta-0)))) eff-1))))))) (let ((e-1 (car arg-15))) (let ((e-2 (cdr arg-15))) (let ((e-5 (car e-1))) (let ((e-6 (cdr e-1))) (CoreC-45UnifyState-handleUnify arg-12 arg-11 (let ((eff-0 (CoreC-45ContextC-45Log-unverifiedLogC arg-12 "auto" 5 (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45Context-getFullName arg-12 eta-0)) e-6 '()))) (PrimIO-io_bind eff-0 (csegen-4814)))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45Normalise-logNF arg-0 arg-12 "auto" 5 (lambda () "For target") arg-2 arg-14))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-3 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-2 (CoreC-45AutoSearch-searchNames arg-0 arg-12 arg-11 arg-10 arg-9 arg-8 (cons arg-1 arg-7) arg-6 arg-5 arg-3 arg-2 e-5 e-6 arg-14))) eff-2)))))))) eff-1)))))) (lambda (u--err) (let ((sc4 (CoreC-45AutoSearch-n--8214-7875-u--ambig arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 u--err))) (cond ((equal? sc4 1) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error u--err eta-0))) (else (CoreC-45AutoSearch-n--8214-7876-u--tryGroups arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 (box (DataC-45Maybe-fromMaybe (lambda () u--err) arg-13)) arg-14 e-2))))))))))) (let ((e-8 (unbox arg-13))) (if (null? arg-15) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error e-8 eta-0)) (let ((e-1 (car arg-15))) (let ((e-2 (cdr arg-15))) (let ((e-5 (car e-1))) (let ((e-6 (cdr e-1))) (CoreC-45UnifyState-handleUnify arg-12 arg-11 (let ((eff-0 (CoreC-45ContextC-45Log-unverifiedLogC arg-12 "auto" 5 (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45Context-getFullName arg-12 eta-0)) e-6 '()))) (PrimIO-io_bind eff-0 (csegen-4814)))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45Normalise-logNF arg-0 arg-12 "auto" 5 (lambda () "For target") arg-2 arg-14))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-3 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-2 (CoreC-45AutoSearch-searchNames arg-0 arg-12 arg-11 arg-10 arg-9 arg-8 (cons arg-1 arg-7) arg-6 arg-5 arg-3 arg-2 e-5 e-6 arg-14))) eff-2)))))))) eff-1)))))) (lambda (u--err) (let ((sc4 (CoreC-45AutoSearch-n--8214-7875-u--ambig arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 u--err))) (cond ((equal? sc4 1) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error u--err eta-0))) (else (CoreC-45AutoSearch-n--8214-7876-u--tryGroups arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 (box (DataC-45Maybe-fromMaybe (lambda () u--err) arg-13)) arg-14 e-2)))))))))))))))
(define CoreC-45AutoSearch-n--9827-3965-u--normRes (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8) (let ((e-2 (car arg-8))) (let ((e-3 (cdr arg-8))) (let ((e-6 (car e-3))) (CoreC-45Normalise-normaliseHoles arg-7 arg-0 e-6 arg-4 e-2))))))
(define CoreC-45AutoSearch-n--8734-2880-u--impl (lambda (arg-1 arg-3) (let ((e-3 (vector-ref arg-3 2))) (case (vector-ref e-3 0) ((1) 0)(else 1)))))
(define CoreC-45AutoSearch-n--10858-4871-u--findPos (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18) (case (vector-ref arg-17 0) ((3) (let ((e-2 (vector-ref arg-17 2))) (let ((e-5 (vector-ref arg-17 5))) (if (null? e-5) (CoreC-45AutoSearch-n--10858-4870-u--findDirect arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18) (let ((e-7 (car e-5))) (let ((e-8 (cdr e-5))) (if (null? e-7) (CoreC-45AutoSearch-n--10858-4870-u--findDirect arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18) (let ((e-12 (cdr e-7))) (if (null? e-8) (CoreC-45AutoSearch-n--10858-4870-u--findDirect arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18) (let ((e-14 (car e-8))) (let ((e-15 (cdr e-8))) (if (null? e-14) (CoreC-45AutoSearch-n--10858-4870-u--findDirect arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18) (let ((e-19 (cdr e-14))) (if (null? e-15) (CoreC-45UnifyState-handleUnify arg-13 arg-12 (CoreC-45AutoSearch-n--10858-4870-u--findDirect arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-1 arg-16 arg-17 arg-18) (lambda (u--e) (let ((sc6 (CoreC-45AutoSearch-n--10858-4867-u--ambig arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 u--e))) (cond ((equal? sc6 1) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error u--e eta-0))) (else (let ((eff-0 (let ((eff-0 (CoreC-45Context-fstName arg-13))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (PreludeC-45Types-maybe (lambda () (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 30 '() arg-11 (let ((e-0 (vector-ref arg-14 0))) e-0) '() arg-5 '()) eta-0))) (lambda () (lambda (eta-0) (lambda (eta-1) (vector 1 eta-0)))) e-6))) eff-1))))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 (CoreC-45Context-sndName arg-13))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-9 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-1 1))) (let ((eff-2 (PreludeC-45Types-maybe (lambda () (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 30 '() arg-11 (let ((e-0 (vector-ref arg-14 0))) e-0) '() arg-5 '()) eta-0))) (lambda () (lambda (eta-0) (lambda (eta-1) (vector 1 eta-0)))) e-9))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-9 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-isPairType arg-13 e-2))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-10 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-2 1))) (let ((eff-3 (cond ((equal? e-10 1) (let ((eff-3 (lambda (eta-0) (CoreC-45Context-clearDefs arg-14 eta-0)))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45NormaliseC-45Quote-u--quote_Quote_Closure arg-13 arg-0 e-13 arg-4 e-12))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-16 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-16)))) (else (let ((e-16 (vector-ref lcase-4 1))) (let ((eff-5 (let ((eff-5 (CoreC-45NormaliseC-45Quote-u--quote_Quote_Closure arg-13 arg-0 e-13 arg-4 e-19))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-17 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-17)))) (else (let ((e-17 (vector-ref lcase-5 1))) (let ((eff-6 (CoreC-45AutoSearch-exactlyOne arg-0 arg-13 arg-12 arg-11 arg-4 arg-5 arg-18 (cons (let ((eff-6 (CoreC-45NormaliseC-45Eval-evalClosure arg-13 arg-0 arg-14 e-12))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-20 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-20)))) (else (let ((e-20 (vector-ref lcase-6 1))) (let ((eff-7 (CoreC-45AutoSearch-n--10858-4871-u--findPos arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 (lambda (u--arg) (CoreC-45TT-apply arg-11 (vector 1 arg-11 (vector 1 ) e-6) (cons e-16 (cons e-17 (cons (arg-16 u--arg) '()))))) e-20 arg-18))) eff-7))))))) (cons (let ((eff-6 (CoreC-45NormaliseC-45Eval-evalClosure arg-13 arg-0 arg-14 e-19))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-20 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-20)))) (else (let ((e-20 (vector-ref lcase-6 1))) (let ((eff-7 (CoreC-45AutoSearch-n--10858-4871-u--findPos arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 (lambda (u--arg) (CoreC-45TT-apply arg-11 (vector 1 arg-11 (vector 1 ) e-9) (cons e-16 (cons e-17 (cons (arg-16 u--arg) '()))))) e-20 arg-18))) eff-7))))))) '()))))) eff-6))))))))) eff-5))))))))) eff-4)))))))) (else (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 30 '() arg-11 (let ((e-0 (vector-ref arg-14 0))) e-0) '() arg-5 '()) eta-0)))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))) (CoreC-45AutoSearch-n--10858-4870-u--findDirect arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18)))))))))))))))(else (CoreC-45AutoSearch-n--10858-4870-u--findDirect arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18)))))
(define CoreC-45AutoSearch-n--10858-4870-u--findDirect (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18) (let ((eff-0 (CoreC-45AutoSearch-mkArgs arg-0 arg-13 arg-12 arg-11 arg-10 arg-4 arg-17))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((e-2 (car e-5))) (let ((e-3 (cdr e-5))) (let ((eff-1 (CoreC-45Normalise-logTermNF arg-0 arg-13 "auto" 10 (lambda () ((csegen-0) "Trying")) arg-4 (arg-16 arg-1)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45Normalise-logNF arg-0 arg-13 "auto" 10 (lambda () ((csegen-0) "Type")) arg-4 arg-17))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-3 (let ((eff-3 (CoreC-45Normalise-logNF arg-0 arg-13 "auto" 10 (lambda () ((csegen-0) "For target")) arg-4 arg-18))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-4 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-4 (let ((eff-4 ((((CoreC-45Unify-unify (csegen-3136) arg-0 arg-13 arg-12 (CoreC-45Unify-inTerm) arg-11) arg-4) arg-18) e-3))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-4 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (let ((e-0 (vector-ref e-9 0))) (if (null? e-0) (let ((eff-5 (CoreC-45AutoSearch-usableLocal arg-0 arg-13 arg-11 arg-9 arg-4 arg-17))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-11 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-5 1))) (let ((eff-6 (cond ((equal? e-11 1) (let ((u--candidate (CoreC-45TT-apply arg-11 (arg-16 arg-1) ((csegen-4819) e-2)))) (let ((eff-6 (CoreC-45Normalise-logTermNF arg-0 arg-13 "auto" 10 (lambda () ((csegen-0) "Local var candidate ")) arg-4 u--candidate))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-12 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-12)))) (else (let ((eff-7 (let ((u--envC-39 (CoreC-45AutoSearch-n--10858-4869-u--clearEnv arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-1 arg-4))) (let ((eff-7 (CoreC-45Core-traverse_ (lambda (eta-0) (CoreC-45AutoSearch-searchIfHole arg-0 arg-13 arg-12 arg-11 arg-9 arg-8 0 arg-7 arg-6 arg-5 u--envC-39 eta-0)) (CoreC-45AutoSearch-impLast e-2)))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-13 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((eff-8 (lambda (eta-0) (vector 1 u--candidate)))) eff-8))))))))) eff-7)))))))) (else (let ((eff-6 (CoreC-45Normalise-logNF arg-0 arg-13 "auto" 10 (lambda () ((csegen-0) "Can't use ")) arg-4 arg-17))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-12 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-12)))) (else (let ((eff-7 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 30 '() arg-11 (let ((e-44 (vector-ref arg-14 0))) e-44) '() arg-5 '()) eta-0)))) eff-7)))))))))) eff-6))))))) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 30 '() arg-11 (let ((e-42 (vector-ref arg-14 0))) e-42) '() arg-5 '()) eta-0)))))) eff-5))))))))) eff-4)))))))) eff-3)))))))) eff-2)))))))))) eff-1)))))))))
(define CoreC-45AutoSearch-n--13201-6946-u--drop (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-12 arg-13 arg-14) (if (null? arg-14) '() (let ((e-2 (car arg-14))) (let ((e-3 (cdr arg-14))) (let ((sc1 (PreludeC-45Types-elem (csegen-16) (csegen-1338) arg-12 arg-13))) (cond ((equal? sc1 1) (cons e-2 (CoreC-45AutoSearch-n--13201-6946-u--drop arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (+ arg-12 1) arg-13 e-3))) (else (CoreC-45AutoSearch-n--13201-6946-u--drop arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (+ arg-12 1) arg-13 e-3)))))))))
(define CoreC-45AutoSearch-n--13201-6947-u--concrete (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13) (case (vector-ref arg-12 0) ((0) (let ((e-1 (vector-ref arg-12 1))) (let ((e-4 (vector-ref arg-12 4))) (let ((eff-0 ((e-4 arg-11) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) arg-6 (vector 10 e-1 (vector 0 )))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45AutoSearch-n--13201-6947-u--concrete arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 e-5 0))) eff-1)))))))))) ((3) (let ((e-6 (vector-ref arg-12 1))) (let ((e-7 (vector-ref arg-12 2))) (let ((e-10 (vector-ref arg-12 5))) (let ((eff-0 (CoreC-45Context-getSearchData arg-10 e-6 0 e-7))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--argsC-39 (CoreC-45AutoSearch-n--13201-6946-u--drop arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 0 (let ((e-0 (car e-5))) e-0) e-10))) (CoreC-45Core-traverse_ (lambda (u--parg) (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-10 arg-0 arg-11 u--parg))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-11 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45AutoSearch-n--13201-6947-u--concrete arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 e-11 0))) eff-2)))))))) ((csegen-947) u--argsC-39))))) eff-1))))))))))) ((2) (let ((e-16 (vector-ref arg-12 5))) (CoreC-45Core-traverse_ (lambda (u--parg) (let ((eff-0 (CoreC-45NormaliseC-45Eval-evalClosure arg-10 arg-0 arg-11 u--parg))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45AutoSearch-n--13201-6947-u--concrete arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 e-5 0))) eff-1)))))))) ((csegen-947) e-16)))) ((1) (let ((e-19 (vector-ref arg-12 2))) (case (vector-ref e-19 0) ((2) (let ((e-22 (vector-ref e-19 1))) (let ((e-23 (vector-ref e-19 2))) (cond ((equal? arg-13 1) (let ((eff-0 (CoreC-45Context-lookupDefExact e-22 (let ((e-0 (vector-ref arg-11 0))) e-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (clam-0) (if (null? e-5) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 31 '() arg-8 e-22 e-23 '() arg-5) clam-0) (let ((e-1 (unbox e-5))) (case (vector-ref e-1 0) ((7) (let ((e-3 (vector-ref e-1 2))) (let ((sc6 (let ((e-0 (car e-3))) e-0))) (cond ((equal? sc6 1) (vector 1 (vector 0 ))) (else (CoreC-45Core-u--throw_Catchable_Core_Error (vector 31 '() arg-8 e-22 e-23 '() arg-5) clam-0))))))(else (CoreC-45Core-u--throw_Catchable_Core_Error (vector 31 '() arg-8 e-22 e-23 '() arg-5) clam-0)))))))) eff-1)))))))) ((equal? arg-13 0) (let ((eff-0 (CoreC-45Context-lookupDefExact e-22 (let ((e-0 (vector-ref arg-11 0))) e-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (clam-1) (if (null? e-5) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 30 '() arg-8 (let ((e-0 (vector-ref arg-11 0))) e-0) '() arg-5 '()) clam-1) (let ((e-1 (unbox e-5))) (case (vector-ref e-1 0) ((7) (let ((e-3 (vector-ref e-1 2))) (let ((sc6 (let ((e-0 (car e-3))) e-0))) (cond ((equal? sc6 1) (vector 1 (vector 0 ))) (else (CoreC-45Core-u--throw_Catchable_Core_Error (vector 30 '() arg-8 (let ((e-0 (vector-ref arg-11 0))) e-0) '() arg-5 '()) clam-1))))))(else (CoreC-45Core-u--throw_Catchable_Core_Error (vector 30 '() arg-8 (let ((e-0 (vector-ref arg-11 0))) e-0) '() arg-5 '()) clam-1)))))))) eff-1))))))))(else (lambda (eta-0) (vector 1 (vector 0 ))))))))(else (lambda (eta-0) (vector 1 (vector 0 )))))))(else (lambda (eta-0) (vector 1 (vector 0 )))))))
(define CoreC-45AutoSearch-n--10858-4868-u--clearEnvType (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-16 arg-18 arg-19) (cond ((equal? arg-16 0) (let ((e-4 (car arg-19))) (let ((e-5 (cdr arg-19))) (cons (vector 0 (CoreC-45TT-binderLoc e-4) (CoreC-45TT-multiplicity e-4) (vector 1 ) (vector 10 arg-18 (vector 0 ))) e-5))))(else (let ((e-0 (- arg-16 1))) (let ((e-9 (car arg-19))) (let ((e-10 (cdr arg-19))) (cons e-9 (CoreC-45AutoSearch-n--10858-4868-u--clearEnvType arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 e-0 arg-18 e-10)))))))))
(define CoreC-45AutoSearch-n--10858-4869-u--clearEnv (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15) (case (vector-ref arg-14 0) ((0) (let ((e-2 (vector-ref arg-14 1))) (let ((e-4 (vector-ref arg-14 3))) (CoreC-45AutoSearch-n--10858-4868-u--clearEnvType arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 e-4 e-2 arg-15))))(else arg-15))))
(define CoreC-45AutoSearch-n--10858-4867-u--ambig (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14) (case (vector-ref arg-14 0) ((19) 1)(else 0))))
(define CoreC-45AutoSearch-n--8214-7875-u--ambig (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13) (case (vector-ref arg-13 0) ((19) 1)(else 0))))
(define CoreC-45AutoSearch-usableLocal (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (case (vector-ref arg-5 0) ((1) (let ((e-2 (vector-ref arg-5 2))) (let ((e-3 (vector-ref arg-5 3))) (case (vector-ref e-2 0) ((2) (let ((e-25 (vector-ref e-2 1))) (lambda (clam-0) (case (vector-ref e-25 0) ((3) (vector 1 1))(else (vector 1 0)))))) ((0) (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-1 arg-0 e-5 eta-0)) ((csegen-947) e-3) '()))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45AutoSearch-usableLocal arg-0 arg-1 arg-2 arg-3 arg-4 eta-0)) e-6 '()))) eff-2))))))))) (PrimIO-io_bind eff-1 (csegen-4822))))) eff-1))))))))(else (lambda (eta-0) (vector 1 1))))))) ((3) (let ((e-5 (vector-ref arg-5 1))) (let ((e-6 (vector-ref arg-5 2))) (let ((e-7 (vector-ref arg-5 3))) (let ((e-8 (vector-ref arg-5 4))) (let ((e-9 (vector-ref arg-5 5))) (let ((eff-0 (CoreC-45Context-getSearchData arg-1 arg-2 (cond ((equal? arg-3 1) 0) (else 1)) e-6))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-10 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45AutoSearch-n--10369-4413-u--usableLocalArg e-5 e-7 e-8 arg-0 e-9 e-6 arg-4 arg-3 arg-2 arg-1 0 (let ((e-0 (car e-10))) e-0) ((csegen-947) e-9)))) eff-1))))))))))))) ((2) (let ((e-15 (vector-ref arg-5 5))) (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45NormaliseC-45Eval-evalClosure arg-1 arg-0 e-5 eta-0)) ((csegen-947) e-15) '()))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45AutoSearch-usableLocal arg-0 arg-1 arg-2 arg-3 arg-4 eta-0)) e-6 '()))) eff-2))))))))) (PrimIO-io_bind eff-1 (csegen-4822))))) eff-1))))))))) ((0) (let ((e-17 (vector-ref arg-5 1))) (let ((e-19 (vector-ref arg-5 3))) (let ((e-20 (vector-ref arg-5 4))) (case (vector-ref e-19 0) ((2) (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 ((e-20 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) arg-4 (vector 10 e-17 (vector 0 )))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45AutoSearch-usableLocal arg-0 arg-1 arg-2 arg-3 arg-4 e-6))) eff-2))))))))) eff-1))))))))(else (lambda (eta-0) (vector 1 1)))))))) ((9) (lambda (eta-0) (vector 1 0)))(else (lambda (eta-0) (vector 1 1))))))
(define CoreC-45AutoSearch-successful (lambda (arg-0 arg-1 arg-2 arg-3) (if (null? arg-3) (lambda (eta-0) (vector 1 '())) (let ((e-2 (car arg-3))) (let ((e-3 (cdr arg-3))) (let ((eff-0 (let ((eff-0 arg-2)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-branch arg-1))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45Core-u--catch_Catchable_Core_Error (let ((eff-2 e-2)) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (let ((eff-3 arg-2)) (PrimIO-io_bind (let ((eff-4 eff-3)) (lambda (eta-0) (unbox eff-4))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-4 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (let ((eff-4 arg-1)) (PrimIO-io_bind (let ((eff-5 eff-4)) (lambda (eta-0) (unbox eff-5))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-4 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (let ((eff-5 (let ((eff-5 arg-2)) (PrimIO-io_bind (let ((eff-6 eff-5)) (lambda (eta-0) (set-box! eff-6 e-5))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-4 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-6 (let ((eff-6 (let ((eff-6 arg-1)) (PrimIO-io_bind (let ((eff-7 eff-6)) (lambda (eta-0) (set-box! eff-7 e-6))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-4 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-7 (let ((eff-7 (CoreC-45AutoSearch-successful arg-0 arg-1 arg-2 e-3))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-4 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-12 (vector-ref lcase-7 1))) (let ((eff-8 (lambda (eta-0) (vector 1 (cons (vector 1 (cons e-7 (cons e-9 e-8))) e-12))))) eff-8))))))))) eff-7)))))))) eff-6)))))))) eff-5))))))))) eff-4))))))))) eff-3))))))) (lambda (u--err) (let ((eff-2 (let ((eff-2 arg-2)) (PrimIO-io_bind (let ((eff-3 eff-2)) (lambda (eta-0) (set-box! eff-3 e-5))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-3 (let ((eff-3 (let ((eff-3 arg-1)) (PrimIO-io_bind (let ((eff-4 eff-3)) (lambda (eta-0) (set-box! eff-4 e-6))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-4 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-4 (let ((eff-4 (CoreC-45AutoSearch-successful arg-0 arg-1 arg-2 e-3))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-4 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons (vector 0 u--err) e-9))))) eff-5))))))))) eff-4)))))))) eff-3)))))))))) eff-2))))))))) eff-1))))))))))))
(define CoreC-45AutoSearch-searchType (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12) (case (vector-ref arg-12 0) ((3) (let ((e-1 (vector-ref arg-12 1))) (let ((e-2 (vector-ref arg-12 2))) (let ((e-3 (vector-ref arg-12 3))) (let ((e-4 (vector-ref arg-12 4))) (case (vector-ref e-3 0) ((2) (let ((e-6 (vector-ref e-3 1))) (let ((e-7 (vector-ref e-3 2))) (let ((e-8 (vector-ref e-3 3))) (let ((e-9 (vector-ref e-3 4))) (let ((eff-0 (CoreC-45AutoSearch-searchType (cons e-2 arg-0) arg-1 arg-2 arg-3 arg-4 arg-5 '() arg-7 arg-8 arg-9 arg-10 (cons e-3 arg-11) e-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 3 e-1 e-2 (vector 0 e-6 e-7 e-8 e-9) e-5))))) eff-1)))))))))))) ((1) (let ((eff-0 (CoreC-45AutoSearch-searchType (cons e-2 arg-0) arg-1 arg-2 arg-3 arg-4 arg-5 '() arg-7 arg-8 arg-9 arg-10 (cons e-3 arg-11) e-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 3 e-1 e-2 e-3 e-5))))) eff-1))))))))(else (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45AutoSearch-abandonIfCycle arg-0 arg-1 arg-11 arg-12 arg-6))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-6 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((eff-2 (let ((u--tryingC-39 (cons arg-12 arg-6))) (let ((eff-2 (CoreC-45NormaliseC-45Eval-nf arg-1 arg-0 e-5 arg-11 arg-12))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-7 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-7 0) ((3) (let ((e-12 (vector-ref e-7 1))) (let ((e-11 (vector-ref e-7 2))) (let ((e-10 (vector-ref e-7 3))) (let ((e-9 (vector-ref e-7 4))) (let ((e-8 (vector-ref e-7 5))) (let ((u--nty (vector 3 e-12 e-11 e-10 e-9 e-8))) (let ((sc5 (or (and (= e-9 (PreludeC-45TypesC-45List-lengthTR e-8)) 1) 0))) (cond ((equal? sc5 1) (let ((eff-3 (CoreC-45Normalise-logNF arg-0 arg-1 "auto" 10 (lambda () "Next target") arg-11 u--nty))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((eff-4 (let ((eff-4 (CoreC-45Context-getSearchData arg-1 arg-3 arg-5 e-11))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-4 1))) (let ((eff-5 (let ((eff-5 (cond ((equal? arg-9 1) (CoreC-45AutoSearch-checkConcreteDets arg-0 arg-1 arg-2 arg-3 arg-5 arg-11 arg-10 (vector 3 e-12 e-11 e-10 e-9 e-8))) (else (lambda (eta-0) (vector 1 (vector 0 ))))))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-15 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-15)))) (else (let ((eff-6 (let ((sc9 (cond ((equal? arg-5 1) arg-9) (else 0)))) (cond ((equal? sc9 1) (CoreC-45AutoSearch-n--8214-7876-u--tryGroups arg-0 arg-12 arg-11 arg-10 arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 '() u--nty (let ((e-16 (cdr e-14))) e-16))) (else (CoreC-45UnifyState-handleUnify arg-1 arg-2 (CoreC-45AutoSearch-searchLocalVars arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 u--tryingC-39 arg-7 arg-8 arg-10 arg-11 u--nty) (lambda (u--e) (let ((sc10 (CoreC-45AutoSearch-n--8214-7875-u--ambig arg-0 arg-12 arg-11 arg-10 arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 u--e))) (cond ((equal? sc10 1) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error u--e eta-0))) (else (CoreC-45AutoSearch-n--8214-7876-u--tryGroups arg-0 arg-12 arg-11 arg-10 arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 '() u--nty (let ((e-16 (cdr e-14))) e-16)))))))))))) eff-6)))))))) eff-5))))))))) eff-4))))))) (else (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 30 '() arg-3 (let ((e-0 (vector-ref e-5 0))) e-0) '() arg-10 '()) eta-0))))))))))))(else (let ((eff-3 (CoreC-45Normalise-logNF arg-0 arg-1 "auto" 10 (lambda () "Next target: ") arg-11 e-7))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-8 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((eff-4 (CoreC-45AutoSearch-searchLocalVars arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 u--tryingC-39 arg-7 arg-8 arg-10 arg-11 e-7))) eff-4)))))))))) eff-3)))))))))) eff-2)))))))) eff-1))))))))))))))(else (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45AutoSearch-abandonIfCycle arg-0 arg-1 arg-11 arg-12 arg-6))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((u--tryingC-39 (cons arg-12 arg-6))) (let ((eff-2 (CoreC-45NormaliseC-45Eval-nf arg-1 arg-0 e-5 arg-11 arg-12))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-7 0) ((3) (let ((e-1 (vector-ref e-7 1))) (let ((e-2 (vector-ref e-7 2))) (let ((e-3 (vector-ref e-7 3))) (let ((e-4 (vector-ref e-7 4))) (let ((e-8 (vector-ref e-7 5))) (let ((u--nty (vector 3 e-1 e-2 e-3 e-4 e-8))) (let ((sc4 (or (and (= e-4 (PreludeC-45TypesC-45List-lengthTR e-8)) 1) 0))) (cond ((equal? sc4 1) (let ((eff-3 (CoreC-45Normalise-logNF arg-0 arg-1 "auto" 10 (lambda () "Next target") arg-11 u--nty))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-9 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((eff-4 (let ((eff-4 (CoreC-45Context-getSearchData arg-1 arg-3 arg-5 e-2))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-10 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-4 1))) (let ((eff-5 (let ((eff-5 (cond ((equal? arg-9 1) (CoreC-45AutoSearch-checkConcreteDets arg-0 arg-1 arg-2 arg-3 arg-5 arg-11 arg-10 (vector 3 e-1 e-2 e-3 e-4 e-8))) (else (lambda (eta-0) (vector 1 (vector 0 ))))))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-11 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((eff-6 (let ((sc8 (cond ((equal? arg-5 1) arg-9) (else 0)))) (cond ((equal? sc8 1) (CoreC-45AutoSearch-n--8214-7876-u--tryGroups arg-0 arg-12 arg-11 arg-10 arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 '() u--nty (let ((e-12 (cdr e-10))) e-12))) (else (CoreC-45UnifyState-handleUnify arg-1 arg-2 (CoreC-45AutoSearch-searchLocalVars arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 u--tryingC-39 arg-7 arg-8 arg-10 arg-11 u--nty) (lambda (u--e) (let ((sc9 (CoreC-45AutoSearch-n--8214-7875-u--ambig arg-0 arg-12 arg-11 arg-10 arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 u--e))) (cond ((equal? sc9 1) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error u--e eta-0))) (else (CoreC-45AutoSearch-n--8214-7876-u--tryGroups arg-0 arg-12 arg-11 arg-10 arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 '() u--nty (let ((e-12 (cdr e-10))) e-12)))))))))))) eff-6)))))))) eff-5))))))))) eff-4))))))) (else (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 30 '() arg-3 (let ((e-0 (vector-ref e-5 0))) e-0) '() arg-10 '()) eta-0))))))))))))(else (let ((eff-3 (CoreC-45Normalise-logNF arg-0 arg-1 "auto" 10 (lambda () "Next target: ") arg-11 e-7))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-4 (CoreC-45AutoSearch-searchLocalVars arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 u--tryingC-39 arg-7 arg-8 arg-10 arg-11 e-7))) eff-4)))))))))) eff-3)))))))))) eff-2)))))))) eff-1)))))))))))
(define CoreC-45AutoSearch-searchNames (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13) (if (null? arg-12) (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 30 '() arg-3 (let ((e-0 (vector-ref e-5 0))) e-0) '() arg-9 '()) eta-0)))) eff-1))))))) (let ((e-2 (car arg-12))) (let ((e-3 (cdr arg-12))) (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45AutoSearch-n--12720-6558-u--visible arg-0 e-2 e-3 arg-13 arg-11 arg-10 arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 (let ((e-0 (vector-ref e-5 0))) e-0) (cons (let ((e-34 (vector-ref e-5 2))) e-34) (let ((e-33 (vector-ref e-5 3))) e-33)) eta-0)) (cons e-2 e-3) '()))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((u--visns (PreludeC-45TypesC-45List-mapMaybeAppend '() (lambda (eta-0) eta-0) e-6))) (let ((u--elabs (((csegen-25) (lambda (eta-0) (CoreC-45AutoSearch-searchName arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-13 eta-0))) u--visns))) (cond ((equal? arg-11 1) (CoreC-45AutoSearch-anyOne arg-0 arg-1 arg-2 arg-3 arg-10 arg-9 u--elabs)) (else (CoreC-45AutoSearch-exactlyOne arg-0 arg-1 arg-2 arg-3 arg-10 arg-9 arg-13 u--elabs))))))) eff-2))))))))) eff-1))))))))))))
(define CoreC-45AutoSearch-searchName (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12) (let ((e-2 (car arg-12))) (let ((e-3 (cdr arg-12))) (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 (CoreC-45Context-getNS arg-1))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-getNestedNS arg-1))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (clam-0) (let ((sc4 (CoreC-45Context-visibleInAny (cons e-6 e-7) (let ((e-1 (vector-ref e-3 1))) e-1) (let ((e-9 (vector-ref e-3 9))) e-9)))) (cond ((equal? sc4 1) (vector 1 (vector 0 ))) (else (CoreC-45Core-u--throw_Catchable_Core_Error (vector 30 '() arg-3 (let ((e-0 (vector-ref e-5 0))) e-0) '() arg-9 '()) clam-0))))))) eff-3))))))))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-2 (let ((eff-2 (lambda (clam-1) (let ((sc3 (PreludeC-45Types-elem (csegen-16) (csegen-1601) (vector 7 ) (let ((e-11 (vector-ref e-3 11))) e-11)))) (cond ((equal? sc3 1) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 30 '() arg-3 (let ((e-0 (vector-ref e-5 0))) e-0) '() arg-9 '()) clam-1)) (else (vector 1 (vector 0 )))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-3 (let ((u--ty (let ((e-26 (vector-ref e-3 2))) e-26))) (let ((u--namety (let ((e-17 (vector-ref e-3 17))) (case (vector-ref e-17 0) ((5) (let ((e-29 (vector-ref e-17 1))) (let ((e-28 (vector-ref e-17 2))) (vector 2 e-29 e-28)))) ((6) (let ((e-34 (vector-ref e-17 1))) (let ((e-33 (vector-ref e-17 2))) (vector 3 e-34 e-33))))(else (vector 1 )))))) (let ((eff-3 (CoreC-45NormaliseC-45Eval-nf arg-1 arg-0 e-5 arg-10 (CoreC-45TT-embed u--ty)))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-4 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Normalise-logNF arg-0 arg-1 "auto" 10 (lambda () (string-append "Searching Name " (CoreC-45Name-u--show_Show_Name e-2))) arg-10 e-8))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-4 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-5 (let ((eff-5 (CoreC-45AutoSearch-mkArgs arg-0 arg-1 arg-2 arg-3 arg-4 arg-10 e-8))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-4 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-10 (vector-ref lcase-5 1))) (let ((eff-6 (let ((e-11 (car e-10))) (let ((e-4 (cdr e-10))) (let ((eff-6 ((((CoreC-45Unify-unify (csegen-3136) arg-0 arg-1 arg-2 (CoreC-45Unify-inTerm) arg-3) arg-10) arg-11) e-4))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-12 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-12)))) (else (let ((e-12 (vector-ref lcase-6 1))) (let ((eff-7 (let ((e-0 (vector-ref e-12 0))) (if (null? e-0) (let ((eff-7 (CoreC-45AutoSearch-isPairNF arg-1 arg-10 e-8 e-5))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-15 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-15)))) (else (let ((e-15 (vector-ref lcase-7 1))) (let ((eff-8 (let ((u--candidate (CoreC-45TT-apply arg-3 (vector 1 arg-3 u--namety e-2) ((csegen-4819) e-11)))) (let ((eff-8 (CoreC-45Normalise-logTermNF arg-0 arg-1 "auto" 10 (lambda () "Candidate ") arg-10 u--candidate))) (PrimIO-io_bind eff-8 (lambda (lcase-8) (case (vector-ref lcase-8 0) ((0) (let ((e-16 (vector-ref lcase-8 1))) (lambda (eta-0) (vector 0 e-16)))) (else (let ((eff-9 (let ((eff-9 (CoreC-45Core-traverse_ (lambda (eta-0) (CoreC-45AutoSearch-searchIfHole arg-0 arg-1 arg-2 arg-3 arg-5 arg-6 e-15 arg-7 arg-8 arg-9 arg-10 eta-0)) (CoreC-45AutoSearch-impLast e-11)))) (PrimIO-io_bind eff-9 (lambda (lcase-9) (case (vector-ref lcase-9 0) ((0) (let ((e-17 (vector-ref lcase-9 1))) (lambda (eta-0) (vector 0 e-17)))) (else (let ((eff-10 (lambda (eta-0) (vector 1 u--candidate)))) eff-10)))))))) eff-9))))))))) eff-8))))))) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 30 '() arg-3 (let ((e-46 (vector-ref e-5 0))) e-46) '() arg-9 '()) eta-0)))))) eff-7))))))))))) eff-6))))))))) eff-5)))))))) eff-4))))))))))) eff-3)))))))) eff-2)))))))) eff-1)))))))))))
(define CoreC-45AutoSearch-searchLocalWith (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12) (let ((e-2 (car arg-11))) (let ((e-3 (cdr arg-11))) (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-nf arg-1 arg-0 e-5 arg-10 e-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45AutoSearch-n--10858-4871-u--findPos arg-0 e-2 e-3 arg-12 arg-10 arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 e-5 e-2 (lambda (eta-0) eta-0) e-6 arg-12))) eff-2))))))))) eff-1)))))))))))
(define CoreC-45AutoSearch-searchLocalVars (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11) (let ((u--elabs (((csegen-25) (lambda (u--t) (CoreC-45AutoSearch-searchLocalWith arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 u--t arg-11))) (CoreC-45AutoSearch-getUsableEnv arg-0 arg-3 arg-4 (CoreC-45TTC-45SizeOf-zero) arg-10)))) (CoreC-45AutoSearch-exactlyOne arg-0 arg-1 arg-2 arg-3 arg-10 arg-9 arg-11 u--elabs))))
(define CoreC-45AutoSearch-searchIfHole (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11) (cond ((equal? arg-7 0) (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 30 '() arg-3 (let ((e-0 (vector-ref e-5 0))) e-0) '() arg-9 '()) eta-0)))) eff-1))))))))(else (let ((e-0 (- arg-7 1))) (let ((u--hole (let ((e-1 (vector-ref arg-11 0))) e-1))) (let ((u--rig (let ((e-2 (vector-ref arg-11 1))) e-2))) (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-lookupCtxtExact (vector 8 u--hole) (let ((e-33 (vector-ref e-5 0))) e-33)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-6) (let ((eff-2 (let ((eff-2 arg-1)) (PrimIO-io_bind (let ((eff-3 eff-2)) (lambda (eta-0) (unbox eff-3))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 30 '() arg-3 (let ((e-35 (vector-ref e-7 0))) e-35) '() arg-9 '()) eta-0)))) eff-3))))))) (let ((e-1 (unbox e-6))) (let ((_-0 (box e-1))) (CoreC-45AutoSearch-case--caseC-32blockC-32inC-32searchIfHole-3062 arg-0 e-0 arg-11 arg-10 arg-9 arg-8 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 u--hole u--rig e-5 e-1 _-0 (let ((e-17 (vector-ref e-1 17))) e-17))))))) eff-2))))))))) eff-1))))))))))))))
(define CoreC-45AutoSearch-mkArgs (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (case (vector-ref arg-6 0) ((0) (let ((e-3 (vector-ref arg-6 3))) (let ((e-4 (vector-ref arg-6 4))) (case (vector-ref e-3 0) ((2) (let ((e-6 (vector-ref e-3 1))) (let ((e-7 (vector-ref e-3 2))) (let ((e-8 (vector-ref e-3 3))) (let ((e-9 (vector-ref e-3 4))) (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (lambda (eta-0) (CoreC-45Context-clearDefs e-5 eta-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-10 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45UnifyState-genName arg-1 arg-2 "sa"))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-11 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45NormaliseC-45Quote-u--quote_Quote_Closure arg-1 arg-0 e-10 arg-5 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-12 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-12)))) (else (let ((e-12 (vector-ref lcase-3 1))) (let ((eff-4 (let ((u--argRig (AlgebraC-45ZeroOneOmega-rigMult arg-4 e-7))) (let ((eff-4 (CoreC-45UnifyState-newMeta arg-0 arg-1 arg-2 e-6 u--argRig arg-5 e-11 e-12 (vector 7 (CoreC-45Env-length arg-5) (CoreC-45ContextC-45Context-holeInit 0)) 0))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-13 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-4 1))) (let ((eff-5 (let ((e-15 (car e-13))) (let ((e-14 (cdr e-13))) (let ((eff-5 (CoreC-45Unify-setInvertible arg-1 arg-3 (vector 8 e-15)))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-16 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-16)))) (else (let ((eff-6 (let ((eff-6 (let ((eff-6 ((e-4 e-5) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) arg-5 e-14)))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-17 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-17)))) (else (let ((e-17 (vector-ref lcase-6 1))) (let ((eff-7 (CoreC-45AutoSearch-mkArgs arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-17))) eff-7))))))))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-17 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-17)))) (else (let ((e-17 (vector-ref lcase-6 1))) (let ((eff-7 (lambda (clam-0) (let ((e-19 (car e-17))) (let ((e-18 (cdr e-17))) (vector 1 (cons (cons (vector e-15 u--argRig e-8 e-14 e-12) e-19) e-18))))))) eff-7))))))))) eff-6)))))))))) eff-5)))))))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))))(else (lambda (eta-0) (vector 1 (cons '() arg-6))))))))(else (lambda (eta-0) (vector 1 (cons '() arg-6)))))))
(define CoreC-45AutoSearch-isPairNF (lambda (arg-1 arg-2 arg-3 arg-4) (case (vector-ref arg-3 0) ((3) (let ((e-2 (vector-ref arg-3 2))) (CoreC-45Context-isPairType arg-1 e-2))) ((0) (let ((e-7 (vector-ref arg-3 1))) (let ((e-9 (vector-ref arg-3 3))) (let ((e-10 (vector-ref arg-3 4))) (case (vector-ref e-9 0) ((2) (let ((eff-0 ((e-10 arg-4) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) arg-2 (vector 10 e-7 (vector 0 )))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45AutoSearch-isPairNF arg-1 arg-2 e-5 arg-4))) eff-1))))))))(else (lambda (eta-0) (vector 1 0))))))))(else (lambda (eta-0) (vector 1 0))))))
(define CoreC-45AutoSearch-impLast (lambda (arg-1) (PreludeC-45TypesC-45List-tailRecAppend (PreludeC-45TypesC-45List-filterAppend '() (lambda (eta-0) (let ((sc0 (CoreC-45AutoSearch-n--8734-2880-u--impl arg-1 eta-0))) (cond ((equal? sc0 1) 0) (else 1)))) arg-1) (PreludeC-45TypesC-45List-filterAppend '() (lambda (eta-0) (CoreC-45AutoSearch-n--8734-2880-u--impl arg-1 eta-0)) arg-1))))
(define CoreC-45AutoSearch-getUsableEnv (lambda (arg-1 arg-2 arg-3 arg-4 arg-5) (if (null? arg-1) '() (let ((e-2 (car arg-1))) (let ((e-3 (cdr arg-1))) (let ((e-8 (car arg-5))) (let ((e-9 (cdr arg-5))) (let ((u--rest (CoreC-45AutoSearch-getUsableEnv e-3 arg-2 arg-3 (CoreC-45TTC-45SizeOf-sucR arg-4) e-9))) (let ((sc2 (let ((sc3 (AlgebraC-45ZeroOneOmega-u--C-61C-61_Eq_ZeroOneOmega (CoreC-45TT-multiplicity e-8) (AlgebraC-45ZeroOneOmega-u--top_Top_ZeroOneOmega)))) (cond ((equal? sc3 1) 1) (else (AlgebraC-45Semiring-isErased (csegen-1156) arg-3)))))) (cond ((equal? sc2 1) (CoreC-45AutoSearch-case--caseC-32blockC-32inC-32getUsableEnv-4242 e-2 e-3 e-9 e-8 arg-4 arg-3 arg-2 u--rest (CoreC-45TT-weakenVar arg-4 0))) (else u--rest)))))))))))
(define CoreC-45AutoSearch-exactlyOne (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (if (null? arg-7) (let ((eff-0 (CoreC-45AutoSearch-successful arg-0 arg-1 arg-2 arg-7))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45AutoSearch-case--exactlyOne-3999 arg-0 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 e-5 (DataC-45Either-rights e-5)))) eff-1))))))) (let ((e-1 (car arg-7))) (let ((e-2 (cdr arg-7))) (if (null? e-2) (CoreC-45Core-u--catch_Catchable_Core_Error e-1 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((30) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error lcase-0 eta-0)))(else (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-3 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-5 (vector-ref lcase-1 1))) (let ((eff-1 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 30 '() arg-3 (let ((e-0 (vector-ref e-5 0))) e-0) '() arg-5 '()) eta-0)))) eff-1))))))))))) (let ((eff-0 (CoreC-45AutoSearch-successful arg-0 arg-1 arg-2 arg-7))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45AutoSearch-case--exactlyOne-3999 arg-0 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 e-5 (DataC-45Either-rights e-5)))) eff-1)))))))))))))
(define CoreC-45AutoSearch-concreteDets (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9) (if (null? arg-9) (lambda (eta-0) (vector 1 (vector 0 ))) (let ((e-2 (car arg-9))) (let ((e-3 (cdr arg-9))) (let ((eff-0 (let ((sc1 (PreludeC-45Types-elem (csegen-16) (csegen-1338) arg-7 arg-8))) (cond ((equal? sc1 1) (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Eval-evalClosure arg-1 arg-0 e-5 e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Normalise-logNF arg-0 arg-1 "auto.determining" 10 (lambda () "Checking that the following argument is concrete") arg-5 e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-3 (CoreC-45AutoSearch-n--13201-6947-u--concrete arg-0 e-2 e-3 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 e-5 e-6 1))) eff-3)))))))) eff-2))))))))) eff-1)))))))) (else (lambda (eta-0) (vector 1 (vector 0 )))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-1 (CoreC-45AutoSearch-concreteDets arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 (+ arg-7 1) arg-8 e-3))) eff-1)))))))))))
(define CoreC-45AutoSearch-checkConcreteDets (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (case (vector-ref arg-7 0) ((3) (let ((e-2 (vector-ref arg-7 2))) (let ((e-5 (vector-ref arg-7 5))) (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-isPairType arg-1 e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (cond ((equal? e-7 1) (if (null? e-5) (let ((eff-2 (CoreC-45Context-getSearchData arg-1 arg-3 arg-4 e-2))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (CoreC-45AutoSearch-concreteDets arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 0 (let ((e-0 (car e-8))) e-0) ((csegen-947) e-5)))) eff-3))))))) (let ((e-9 (car e-5))) (let ((e-8 (cdr e-5))) (if (null? e-9) (let ((eff-2 (CoreC-45Context-getSearchData arg-1 arg-3 arg-4 e-2))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-10 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-2 1))) (let ((eff-3 (CoreC-45AutoSearch-concreteDets arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 0 (let ((e-0 (car e-10))) e-0) ((csegen-947) e-5)))) eff-3))))))) (let ((e-10 (cdr e-9))) (if (null? e-8) (let ((eff-2 (CoreC-45Context-getSearchData arg-1 arg-3 arg-4 e-2))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-12 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-12)))) (else (let ((e-12 (vector-ref lcase-2 1))) (let ((eff-3 (CoreC-45AutoSearch-concreteDets arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 0 (let ((e-0 (car e-12))) e-0) ((csegen-947) e-5)))) eff-3))))))) (let ((e-13 (car e-8))) (let ((e-12 (cdr e-8))) (if (null? e-13) (let ((eff-2 (CoreC-45Context-getSearchData arg-1 arg-3 arg-4 e-2))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-14 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-2 1))) (let ((eff-3 (CoreC-45AutoSearch-concreteDets arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 0 (let ((e-0 (car e-14))) e-0) ((csegen-947) e-5)))) eff-3))))))) (let ((e-14 (cdr e-13))) (if (null? e-12) (let ((eff-2 (CoreC-45NormaliseC-45Eval-evalClosure arg-1 arg-0 e-6 e-10))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-16 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-16)))) (else (let ((e-16 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45NormaliseC-45Eval-evalClosure arg-1 arg-0 e-6 e-14))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-17 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-17)))) (else (let ((e-17 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45AutoSearch-checkConcreteDets arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-16))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-18 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-18)))) (else (let ((eff-5 (CoreC-45AutoSearch-checkConcreteDets arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-17))) eff-5)))))))) eff-4))))))))) eff-3))))))) (let ((eff-2 (CoreC-45Context-getSearchData arg-1 arg-3 arg-4 e-2))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-16 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-16)))) (else (let ((e-16 (vector-ref lcase-2 1))) (let ((eff-3 (CoreC-45AutoSearch-concreteDets arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 0 (let ((e-0 (car e-16))) e-0) ((csegen-947) e-5)))) eff-3))))))))))))))))))) (else (let ((eff-2 (CoreC-45Context-getSearchData arg-1 arg-3 arg-4 e-2))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (let ((eff-3 (CoreC-45Context-toFullNames arg-1 (csegen-81) e-2))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-9 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-3 1))) (let ((eff-4 (CoreC-45ContextC-45Log-log arg-1 ((csegen-0) "auto.determining") 10 (lambda () (string-append ((csegen-0) "Determining arguments for ") (string-append (CoreC-45Name-u--show_Show_Name e-9) (string-append " " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-1068) (let ((e-0 (car e-8))) e-0))))))))) eff-4))))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-9 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((eff-4 (CoreC-45AutoSearch-concreteDets arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 0 (let ((e-0 (car e-8))) e-0) ((csegen-947) e-5)))) eff-4)))))))) eff-3))))))))))) eff-2))))))))) eff-1))))))))))(else (lambda (eta-0) (vector 1 (vector 0 )))))))
(define CoreC-45AutoSearch-anyOne (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (if (null? arg-6) (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 30 '() arg-3 (let ((e-0 (vector-ref e-5 0))) e-0) '() arg-5 '()) eta-0)))) eff-1))))))) (let ((e-2 (car arg-6))) (let ((e-3 (cdr arg-6))) (if (null? e-3) (CoreC-45Core-u--catch_Catchable_Core_Error e-2 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((30) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error lcase-0 eta-0)))(else (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-1 1))) (let ((eff-1 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 30 '() arg-3 (let ((e-0 (vector-ref e-5 0))) e-0) '() arg-5 '()) eta-0)))) eff-1))))))))))) (CoreC-45UnifyState-tryUnify arg-1 arg-2 e-2 (CoreC-45AutoSearch-anyOne arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-3))))))))
(define CoreC-45AutoSearch-abandonIfCycle (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (if (null? arg-4) (lambda (eta-0) (vector 1 (vector 0 ))) (let ((e-2 (car arg-4))) (let ((e-3 (cdr arg-4))) (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45NormaliseC-45Convert-u--convert_Convert_Term arg-1 arg-0 e-5 arg-2 arg-3 e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (cond ((equal? e-6 1) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 ((csegen-0) "Cycle in search")) eta-0))) (else (CoreC-45AutoSearch-abandonIfCycle arg-0 arg-1 arg-2 arg-3 e-3))))) eff-2))))))))) eff-1))))))))))))
(define TTImpC-45InteractiveC-45CaseSplit-case--newLHS-13675 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (let ((e-2 (car arg-7))) (let ((e-3 (cdr arg-7))) (let ((u--keep (((csegen-25) (lambda (eta-0) (vector 0 arg-5 (vector 32 arg-5 1)))) (DataC-45List-take arg-4 e-3)))) (let ((u--ups (DataC-45List-drop arg-4 e-3))) (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (TTImpC-45InteractiveC-45CaseSplit-update arg-6 arg-3 arg-2 arg-1 eta-0)) u--ups '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (TTImpC-45TTImpC-45Arg-apply e-2 (PreludeC-45TypesC-45List-tailRecAppend u--keep e-5)))))) eff-1)))))))))))))
(define TTImpC-45InteractiveC-45CaseSplit-u--show_Show_SplitError (lambda (arg-0) (case (vector-ref arg-0 0) ((0) "No valid case splits") ((1) (let ((e-0 (vector-ref arg-0 1))) (let ((e-1 (vector-ref arg-0 2))) (string-append "Can't split on " (string-append (CoreC-45Name-u--show_Show_Name e-0) (string-append " (" (string-append e-1 ")"))))))) (else "No clause to split here"))))
(define TTImpC-45InteractiveC-45CaseSplit-u--show_Show_ClauseUpdate (lambda (arg-0) (case (vector-ref arg-0 0) ((0) (let ((e-0 (vector-ref arg-0 1))) (let ((e-1 (vector-ref arg-0 2))) (string-append "Valid: " (string-append (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 (csegen-100) e-0) (string-append "\xa;" (string-append "Updates: " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-3561) e-1)))))))) ((1) (let ((e-2 (vector-ref arg-0 1))) (string-append "Impossible: " (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 (csegen-100) e-2)))) (else "Invalid"))))
(define TTImpC-45InteractiveC-45CaseSplit-u--showPrec_Show_ClauseUpdate (lambda (arg-0 arg-1) (TTImpC-45InteractiveC-45CaseSplit-u--show_Show_ClauseUpdate arg-1)))
(define TTImpC-45InteractiveC-45CaseSplit-updateArg (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (case (vector-ref arg-4 0) ((0) (let ((e-1 (vector-ref arg-4 1))) (let ((e-2 (vector-ref arg-4 2))) (let ((sc1 (PreludeC-45Types-elem (csegen-16) (csegen-1008) e-2 arg-1))) (cond ((equal? sc1 1) (let ((sc2 (CoreC-45Name-u--C-61C-61_Eq_Name e-2 arg-2))) (cond ((equal? sc2 1) (TTImpC-45InteractiveC-45CaseSplit-expandCon arg-0 e-1 (PreludeC-45TypesC-45List-filterAppend '() (lambda (arg-5) (CoreC-45Name-u--C-47C-61_Eq_Name arg-5 e-2)) arg-1) arg-3)) (else (lambda (eta-0) (vector 1 (vector 32 e-1 1))))))) (else (lambda (eta-0) (vector 1 (vector 0 e-1 e-2))))))))) ((8) (let ((e-4 (vector-ref arg-4 1))) (let ((e-5 (vector-ref arg-4 2))) (let ((e-6 (vector-ref arg-4 3))) (let ((eff-0 (TTImpC-45InteractiveC-45CaseSplit-updateArg arg-0 arg-1 arg-2 arg-3 e-5))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (TTImpC-45InteractiveC-45CaseSplit-updateArg arg-0 arg-1 arg-2 arg-3 e-6))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 8 e-4 e-7 e-8))))) eff-2))))))))) eff-1))))))))))) ((9) (let ((e-8 (vector-ref arg-4 1))) (let ((e-9 (vector-ref arg-4 2))) (let ((e-10 (vector-ref arg-4 3))) (let ((eff-0 (TTImpC-45InteractiveC-45CaseSplit-updateArg arg-0 arg-1 arg-2 arg-3 e-9))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (TTImpC-45InteractiveC-45CaseSplit-updateArg arg-0 arg-1 arg-2 arg-3 e-10))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 9 e-8 e-5 e-6))))) eff-2))))))))) eff-1))))))))))) ((10) (let ((e-12 (vector-ref arg-4 1))) (let ((e-13 (vector-ref arg-4 2))) (let ((e-14 (vector-ref arg-4 3))) (let ((e-15 (vector-ref arg-4 4))) (let ((eff-0 (TTImpC-45InteractiveC-45CaseSplit-updateArg arg-0 arg-1 arg-2 arg-3 e-13))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (TTImpC-45InteractiveC-45CaseSplit-updateArg arg-0 arg-1 arg-2 arg-3 e-15))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 10 e-12 e-5 e-14 e-6))))) eff-2))))))))) eff-1)))))))))))) ((18) (let ((e-21 (vector-ref arg-4 5))) (TTImpC-45InteractiveC-45CaseSplit-updateArg arg-0 arg-1 arg-2 arg-3 e-21)))(else (lambda (eta-0) (vector 1 (vector 32 (TTImpC-45TTImp-getFC arg-4) 1)))))))
(define TTImpC-45InteractiveC-45CaseSplit-update (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (case (vector-ref arg-4 0) ((0) (let ((e-1 (vector-ref arg-4 1))) (let ((e-2 (vector-ref arg-4 2))) (let ((eff-0 (TTImpC-45InteractiveC-45CaseSplit-updateArg arg-0 arg-1 arg-2 arg-3 e-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 0 e-1 e-5))))) eff-1)))))))))) ((1) (let ((e-4 (vector-ref arg-4 1))) (let ((e-5 (vector-ref arg-4 2))) (let ((eff-0 (TTImpC-45InteractiveC-45CaseSplit-updateArg arg-0 arg-1 arg-2 arg-3 e-5))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 1 e-4 e-6))))) eff-1)))))))))) (else (let ((e-7 (vector-ref arg-4 1))) (let ((e-8 (vector-ref arg-4 2))) (let ((e-9 (vector-ref arg-4 3))) (let ((eff-0 (TTImpC-45InteractiveC-45CaseSplit-updateArg arg-0 arg-1 arg-2 arg-3 e-9))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 2 e-7 e-8 e-5))))) eff-1))))))))))))))
(define TTImpC-45InteractiveC-45CaseSplit-substLets (lambda (arg-0 arg-1) (case (vector-ref arg-1 0) ((3) (let ((e-1 (vector-ref arg-1 1))) (let ((e-2 (vector-ref arg-1 2))) (let ((e-3 (vector-ref arg-1 3))) (let ((e-4 (vector-ref arg-1 4))) (case (vector-ref e-3 0) ((1) (let ((e-8 (vector-ref e-3 3))) (TTImpC-45InteractiveC-45CaseSplit-substLets arg-0 (CoreC-45TTC-45SubstEnv-subst e-8 e-4)))) ((4) (let ((e-13 (vector-ref e-3 3))) (TTImpC-45InteractiveC-45CaseSplit-substLets arg-0 (CoreC-45TTC-45SubstEnv-subst e-13 e-4))))(else (vector 3 e-1 e-2 e-3 (TTImpC-45InteractiveC-45CaseSplit-substLets (cons e-2 arg-0) e-4)))))))))(else arg-1))))
(define TTImpC-45InteractiveC-45CaseSplit-recordUpdate (lambda (arg-0 arg-1 arg-2 arg-3) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--nupdates (PreludeC-45Interfaces-C-60C-36C-62 (csegen-24) (lambda (eta-0) (let ((e-2 (car eta-0))) (let ((e-3 (cdr eta-0))) (cons e-2 (vector 0 arg-1 e-3))))) (let ((e-0 (car e-5))) e-0)))) (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (let ((e-0 (car e-5))) (let ((e-1 (cdr e-5))) (cons e-0 (cons (cons arg-2 (TTImpC-45Utils-substNames '() u--nupdates arg-3)) e-1))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))))) eff-1)))))))))
(define TTImpC-45InteractiveC-45CaseSplit-newLHS (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (TTImpC-45InteractiveC-45CaseSplit-case--newLHS-13675 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 arg-0 (TTImpC-45TTImp-getFnArgs arg-6 '()))))
(define TTImpC-45InteractiveC-45CaseSplit-mkCase (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (let ((eff-0 (CoreC-45Core-newRef (vector "Core.Metadata.MD" ) (CoreC-45Metadata-initMetadata (vector 2 (vector 0 )))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (unbox eff-2))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (let ((eff-2 arg-1)) (PrimIO-io_bind (let ((eff-3 eff-2)) (lambda (eta-0) (unbox eff-3))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (CoreC-45Core-u--catch_Catchable_Core_Error (let ((eff-3 (CoreC-45Context-setAllPublic arg-0 1))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-4 (let ((eff-4 (TTImpC-45Elab-elabTerm '() arg-0 e-5 arg-1 arg-2 arg-3 arg-4 (vector 1 (csegen-54)) '() '() '() (vector 16 (TTImpC-45TTImp-getFC arg-6) (vector 1 ) arg-6) '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (let ((e-2 (car e-9))) (let ((eff-5 (CoreC-45Context-setAllPublic arg-0 0))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-4 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-6 (let ((eff-6 (let ((eff-6 arg-0)) (PrimIO-io_bind (let ((eff-7 eff-6)) (lambda (eta-0) (set-box! eff-7 e-6))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-4 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-7 (let ((eff-7 (let ((eff-7 arg-1)) (PrimIO-io_bind (let ((eff-8 eff-7)) (lambda (eta-0) (set-box! eff-8 e-7))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-4 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-8 (let ((eff-8 (let ((eff-8 (TTImpC-45Unelab-unelabNoSugar '() arg-0 '() e-2))) (((csegen-50) ((let ((eff-9 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-4 (vector-ref eta-3 1))) (vector 0 e-4))) (else (let ((e-13 (vector-ref eta-3 1))) (vector 1 (eta-2 e-13))))))))))) (lambda (arg-7) (lambda (arg-8) ((((eff-9 'erased) 'erased) arg-7) arg-8)))) (csegen-2925))) eff-8)))) (PrimIO-io_bind eff-8 (lambda (lcase-8) (case (vector-ref lcase-8 0) ((0) (let ((e-4 (vector-ref lcase-8 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-13 (vector-ref lcase-8 1))) (let ((eff-9 (let ((eff-9 (CoreC-45ContextC-45Log-log arg-0 (csegen-4830) 3 (lambda () (string-append ((csegen-0) "Original LHS: ") (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 (csegen-100) arg-5)))))) (PrimIO-io_bind eff-9 (lambda (lcase-9) (case (vector-ref lcase-9 0) ((0) (let ((e-4 (vector-ref lcase-9 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-10 (let ((eff-10 (CoreC-45ContextC-45Log-log arg-0 (csegen-4830) 3 (lambda () (string-append "New LHS: " (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 (csegen-100) e-13)))))) (PrimIO-io_bind eff-10 (lambda (lcase-10) (case (vector-ref lcase-10 0) ((0) (let ((e-4 (vector-ref lcase-10 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-11 (let ((eff-11 (TTImpC-45InteractiveC-45CaseSplit-getUpdates e-6 arg-5 e-13))) (PrimIO-io_bind eff-11 (lambda (lcase-11) (case (vector-ref lcase-11 0) ((0) (let ((e-4 (vector-ref lcase-11 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-16 (vector-ref lcase-11 1))) (let ((eff-12 (lambda (eta-0) (vector 1 (vector 0 e-13 e-16))))) eff-12))))))))) eff-11)))))))) eff-10)))))))) eff-9))))))))) eff-8)))))))) eff-7)))))))) eff-6))))))))) eff-5))))))))) eff-4)))))) (lambda (u--err) (let ((eff-3 (let ((eff-3 arg-0)) (PrimIO-io_bind (let ((eff-4 eff-3)) (lambda (eta-0) (set-box! eff-4 e-6))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-4 (let ((eff-4 (let ((eff-4 arg-1)) (PrimIO-io_bind (let ((eff-5 eff-4)) (lambda (eta-0) (set-box! eff-5 e-7))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-5 (case (vector-ref u--err 0) ((5) (let ((e-0 (vector-ref u--err 1))) (let ((e-2 (vector-ref u--err 3))) (let ((e-3 (vector-ref u--err 4))) (let ((e-4 (vector-ref u--err 5))) (let ((e-11 (vector-ref u--err 6))) (let ((u--defs (let ((e-42 (vector-ref e-6 1))) (let ((e-41 (vector-ref e-6 2))) (let ((e-40 (vector-ref e-6 3))) (let ((e-39 (vector-ref e-6 4))) (let ((e-38 (vector-ref e-6 5))) (let ((e-37 (vector-ref e-6 6))) (let ((e-36 (vector-ref e-6 7))) (let ((e-35 (vector-ref e-6 8))) (let ((e-34 (vector-ref e-6 9))) (let ((e-33 (vector-ref e-6 10))) (let ((e-32 (vector-ref e-6 11))) (let ((e-12 (vector-ref e-6 12))) (let ((e-13 (vector-ref e-6 13))) (let ((e-14 (vector-ref e-6 14))) (let ((e-15 (vector-ref e-6 15))) (let ((e-16 (vector-ref e-6 16))) (let ((e-17 (vector-ref e-6 17))) (let ((e-18 (vector-ref e-6 18))) (let ((e-19 (vector-ref e-6 19))) (let ((e-20 (vector-ref e-6 20))) (let ((e-21 (vector-ref e-6 21))) (let ((e-22 (vector-ref e-6 22))) (let ((e-23 (vector-ref e-6 23))) (let ((e-24 (vector-ref e-6 24))) (let ((e-25 (vector-ref e-6 25))) (let ((e-26 (vector-ref e-6 26))) (let ((e-27 (vector-ref e-6 27))) (let ((e-28 (vector-ref e-6 28))) (let ((e-29 (vector-ref e-6 29))) (let ((e-30 (vector-ref e-6 30))) (let ((e-31 (vector-ref e-6 31))) (vector e-2 e-42 e-41 e-40 e-39 e-38 e-37 e-36 e-35 e-34 e-33 e-32 e-12 e-13 e-14 e-15 e-16 e-17 e-18 e-19 e-20 e-21 e-22 e-23 e-24 e-25 e-26 e-27 e-28 e-29 e-30 e-31)))))))))))))))))))))))))))))))))) (let ((eff-5 (CoreC-45NormaliseC-45Eval-nf arg-0 e-0 u--defs e-3 e-4))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-12 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-12)))) (else (let ((e-12 (vector-ref lcase-5 1))) (let ((eff-6 (let ((eff-6 (CoreC-45NormaliseC-45Eval-nf arg-0 e-0 u--defs e-3 e-11))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-13 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-6 1))) (let ((eff-7 (let ((eff-7 (TTImpC-45ProcessDef-impossibleOK arg-0 e-0 u--defs e-12 e-13))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-14 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-7 1))) (let ((eff-8 (lambda (clam-0) (cond ((equal? e-14 1) (vector 1 (vector 1 arg-6))) (else (vector 1 (vector 2 ))))))) eff-8))))))))) eff-7))))))))) eff-6))))))))))))))(else (lambda (eta-0) (vector 1 (vector 2 ))))))) eff-5)))))))) eff-4)))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))
(define TTImpC-45InteractiveC-45CaseSplit-getUpdates (lambda (arg-0 arg-1 arg-2) (let ((eff-0 (CoreC-45Core-newRef (vector "TTImp.Interactive.CaseSplit.UPD" ) (cons '() '())))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (TTImpC-45InteractiveC-45CaseSplit-findUpdates e-5 arg-0 arg-1 arg-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (let ((eff-2 e-5)) (PrimIO-io_bind (let ((eff-3 eff-2)) (lambda (eta-0) (unbox eff-3))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (let ((e-1 (cdr e-7))) e-1))))) eff-3))))))))) eff-2)))))))) eff-1)))))))))
(define TTImpC-45InteractiveC-45CaseSplit-getSplitsLHS (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8) (let ((u--lhs (TTImpC-45InteractiveC-45CaseSplit-substLets '() arg-7))) (let ((eff-0 (CoreC-45ContextC-45Log-logTerm '() arg-1 "interaction.casesplit" 3 (lambda () "Splitting") arg-7))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((u--usedns (TTImpC-45InteractiveC-45CaseSplit-findAllVars arg-7))) (let ((eff-1 (let ((eff-1 arg-1)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (unbox eff-2))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45InteractiveC-45CaseSplit-findCons arg-1 arg-8 u--lhs))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (case (vector-ref e-7 0) ((1) (let ((e-1 (vector-ref e-7 1))) (let ((e-9 (car e-1))) (let ((e-8 (cdr e-1))) (let ((e-11 (cdr e-8))) (let ((eff-3 (let ((eff-3 (TTImpC-45Unelab-unelabNoSugar '() arg-1 '() u--lhs))) (((csegen-50) ((let ((eff-4 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-12 (vector-ref eta-3 1))) (vector 1 (eta-2 e-12))))))))))) (lambda (arg-9) (lambda (arg-10) ((((eff-4 'erased) 'erased) arg-9) arg-10)))) (csegen-2925))) eff-3)))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-12 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (u--c) (TTImpC-45InteractiveC-45CaseSplit-newLHS arg-1 arg-5 arg-6 u--usedns arg-8 u--c e-12)) e-11 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-13 (vector-ref lcase-4 1))) (let ((eff-5 (let ((sc8 (CoreC-45Context-getNameID e-9 (let ((e-0 (vector-ref e-6 0))) e-0)))) (if (null? sc8) (CoreC-45Context-undefinedName arg-1 arg-5 e-9) (let ((e-2 (unbox sc8))) (let ((eff-5 (CoreC-45Core-traverseC-39 (lambda (eta-0) (TTImpC-45InteractiveC-45CaseSplit-mkCase arg-1 arg-2 arg-3 arg-4 e-2 e-12 eta-0)) e-13 '()))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-3 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-14 (vector-ref lcase-5 1))) (let ((eff-6 (let ((eff-6 (CoreC-45ContextC-45Log-log arg-1 "interaction.casesplit" 3 (lambda () (string-append "Found cases: " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (cons (lambda (u--x) (TTImpC-45InteractiveC-45CaseSplit-u--show_Show_ClauseUpdate u--x)) (lambda (u--d) (lambda (u--x) (TTImpC-45InteractiveC-45CaseSplit-u--showPrec_Show_ClauseUpdate u--d u--x)))) e-14)))))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-3 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-7 (lambda (eta-0) (vector 1 (TTImpC-45InteractiveC-45CaseSplit-combine e-14 '()))))) eff-7)))))))) eff-6)))))))))))) eff-5))))))))) eff-4)))))))))))) (else (let ((e-3 (vector-ref e-7 1))) (lambda (eta-0) (vector 1 (vector 0 e-3)))))))) eff-3))))))))) eff-2)))))))))) eff-1)))))))))
(define TTImpC-45InteractiveC-45CaseSplit-getSplits (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (let ((eff-0 (CoreC-45Metadata-findLHSAt arg-1 arg-5))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (if (null? e-5) (lambda (eta-0) (vector 1 (vector 0 (vector 2 )))) (let ((e-1 (unbox e-5))) (let ((e-7 (car e-1))) (let ((e-6 (cdr e-1))) (let ((e-9 (car e-6))) (let ((e-10 (cdr e-6))) (TTImpC-45InteractiveC-45CaseSplit-getSplitsLHS arg-1 arg-0 arg-2 arg-3 arg-4 (CoreC-45FC-justFC e-7) e-9 e-10 arg-6))))))))) eff-1)))))))))
(define TTImpC-45InteractiveC-45CaseSplit-getEnvArgNames (lambda (arg-0 arg-1 arg-2 arg-3) (cond ((equal? arg-2 0) (let ((eff-0 (TTImpC-45InteractiveC-45CaseSplit-explicitlyBound arg-1 arg-3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45Utils-getArgNames '() arg-0 arg-1 e-5 '() '() arg-3))) eff-1))))))))(else (let ((e-0 (- arg-2 1))) (case (vector-ref arg-3 0) ((0) (let ((e-2 (vector-ref arg-3 1))) (let ((e-5 (vector-ref arg-3 4))) (let ((eff-0 ((e-5 arg-1) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 e-2 (vector 0 )))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45InteractiveC-45CaseSplit-getEnvArgNames arg-0 arg-1 e-0 e-6))) eff-1))))))))))(else (lambda (eta-0) (vector 1 '())))))))))
(define TTImpC-45InteractiveC-45CaseSplit-getDefining (lambda (arg-1) (case (vector-ref arg-1 0) ((3) (let ((e-4 (vector-ref arg-1 4))) (TTImpC-45InteractiveC-45CaseSplit-getDefining e-4)))(else (let ((sc0 (CoreC-45TT-getFn arg-1))) (case (vector-ref sc0 0) ((1) (let ((e-3 (vector-ref sc0 3))) (box e-3)))(else '())))))))
(define TTImpC-45InteractiveC-45CaseSplit-findUpdates (lambda (arg-0 arg-1 arg-2 arg-3) (case (vector-ref arg-2 0) ((0) (let ((e-32 (vector-ref arg-2 1))) (let ((e-33 (vector-ref arg-2 2))) (case (vector-ref arg-3 0) ((0) (let ((e-44 (vector-ref arg-3 2))) (let ((eff-0 (CoreC-45Context-lookupTyExact e-44 (let ((e-0 (vector-ref arg-1 0))) e-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (if (null? e-5) (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (unbox eff-2))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((sc5 (DataC-45List-lookup (csegen-1008) e-44 (let ((e-0 (car e-6))) e-0)))) (if (null? sc5) (let ((eff-2 arg-0)) (PrimIO-io_bind (let ((eff-3 eff-2)) (lambda (eta-0) (set-box! eff-3 (let ((e-0 (car e-6))) (let ((e-1 (cdr e-6))) (cons (cons (cons e-44 e-33) e-0) e-1)))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))) (let ((e-2 (unbox sc5))) (let ((eff-2 arg-0)) (PrimIO-io_bind (let ((eff-3 eff-2)) (lambda (eta-0) (set-box! eff-3 (let ((e-0 (car e-6))) (let ((e-1 (cdr e-6))) (cons e-0 (cons (cons e-33 (vector 0 e-32 e-2)) e-1))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))))))) eff-2))))))) (TTImpC-45InteractiveC-45CaseSplit-recordUpdate arg-0 e-32 e-33 (vector 0 e-32 e-44))))) eff-1)))))))))(else (TTImpC-45InteractiveC-45CaseSplit-recordUpdate arg-0 e-32 e-33 arg-3)))))) ((8) (let ((e-36 (vector-ref arg-2 2))) (let ((e-37 (vector-ref arg-2 3))) (case (vector-ref arg-3 0) ((8) (let ((e-47 (vector-ref arg-3 2))) (let ((e-48 (vector-ref arg-3 3))) (let ((eff-0 (TTImpC-45InteractiveC-45CaseSplit-findUpdates arg-0 arg-1 e-36 e-47))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (TTImpC-45InteractiveC-45CaseSplit-findUpdates arg-0 arg-1 e-37 e-48))) eff-1)))))))))(else (case (vector-ref arg-3 0) ((9) (let ((e-29 (vector-ref arg-3 2))) (TTImpC-45InteractiveC-45CaseSplit-findUpdates arg-0 arg-1 arg-2 e-29)))(else (case (vector-ref arg-2 0) ((10) (let ((e-19 (vector-ref arg-2 2))) (let ((e-21 (vector-ref arg-2 4))) (case (vector-ref arg-3 0) ((10) (let ((e-24 (vector-ref arg-3 2))) (let ((e-26 (vector-ref arg-3 4))) (let ((eff-0 (TTImpC-45InteractiveC-45CaseSplit-findUpdates arg-0 arg-1 e-19 e-24))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (TTImpC-45InteractiveC-45CaseSplit-findUpdates arg-0 arg-1 e-21 e-26))) eff-1)))))))))(else (TTImpC-45InteractiveC-45CaseSplit-findUpdates arg-0 arg-1 e-19 arg-3))))))(else (case (vector-ref arg-3 0) ((10) (let ((e-14 (vector-ref arg-3 2))) (TTImpC-45InteractiveC-45CaseSplit-findUpdates arg-0 arg-1 arg-2 e-14)))(else (case (vector-ref arg-2 0) ((18) (let ((e-11 (vector-ref arg-2 5))) (TTImpC-45InteractiveC-45CaseSplit-findUpdates arg-0 arg-1 e-11 arg-3)))(else (case (vector-ref arg-3 0) ((18) (let ((e-5 (vector-ref arg-3 5))) (TTImpC-45InteractiveC-45CaseSplit-findUpdates arg-0 arg-1 arg-2 e-5)))(else (lambda (eta-0) (vector 1 (vector 0 )))))))))))))))))) ((9) (let ((e-40 (vector-ref arg-2 2))) (let ((e-41 (vector-ref arg-2 3))) (case (vector-ref arg-3 0) ((9) (let ((e-51 (vector-ref arg-3 2))) (let ((e-52 (vector-ref arg-3 3))) (let ((eff-0 (TTImpC-45InteractiveC-45CaseSplit-findUpdates arg-0 arg-1 e-40 e-51))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (TTImpC-45InteractiveC-45CaseSplit-findUpdates arg-0 arg-1 e-41 e-52))) eff-1)))))))))(else (TTImpC-45InteractiveC-45CaseSplit-findUpdates arg-0 arg-1 e-40 arg-3))))))(else (case (vector-ref arg-3 0) ((9) (let ((e-29 (vector-ref arg-3 2))) (TTImpC-45InteractiveC-45CaseSplit-findUpdates arg-0 arg-1 arg-2 e-29)))(else (case (vector-ref arg-2 0) ((10) (let ((e-19 (vector-ref arg-2 2))) (let ((e-21 (vector-ref arg-2 4))) (case (vector-ref arg-3 0) ((10) (let ((e-24 (vector-ref arg-3 2))) (let ((e-26 (vector-ref arg-3 4))) (let ((eff-0 (TTImpC-45InteractiveC-45CaseSplit-findUpdates arg-0 arg-1 e-19 e-24))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (TTImpC-45InteractiveC-45CaseSplit-findUpdates arg-0 arg-1 e-21 e-26))) eff-1)))))))))(else (TTImpC-45InteractiveC-45CaseSplit-findUpdates arg-0 arg-1 e-19 arg-3))))))(else (case (vector-ref arg-3 0) ((10) (let ((e-14 (vector-ref arg-3 2))) (TTImpC-45InteractiveC-45CaseSplit-findUpdates arg-0 arg-1 arg-2 e-14)))(else (case (vector-ref arg-2 0) ((18) (let ((e-11 (vector-ref arg-2 5))) (TTImpC-45InteractiveC-45CaseSplit-findUpdates arg-0 arg-1 e-11 arg-3)))(else (case (vector-ref arg-3 0) ((18) (let ((e-5 (vector-ref arg-3 5))) (TTImpC-45InteractiveC-45CaseSplit-findUpdates arg-0 arg-1 arg-2 e-5)))(else (lambda (eta-0) (vector 1 (vector 0 )))))))))))))))))
(define TTImpC-45InteractiveC-45CaseSplit-findTyName (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (case (vector-ref arg-5 0) ((3) (let ((e-2 (vector-ref arg-5 2))) (let ((e-3 (vector-ref arg-5 3))) (let ((e-4 (vector-ref arg-5 4))) (case (vector-ref e-3 0) ((3) (let ((e-6 (vector-ref e-3 1))) (let ((e-7 (vector-ref e-3 2))) (let ((e-8 (vector-ref e-3 3))) (let ((e-9 (vector-ref e-3 4))) (let ((u--b (vector 3 e-6 e-7 e-8 e-9))) (let ((sc2 (CoreC-45Name-u--C-61C-61_Eq_Name arg-4 e-2))) (cond ((equal? sc2 1) (let ((eff-0 (CoreC-45NormaliseC-45Eval-nf arg-1 arg-0 arg-2 arg-3 e-9))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (clam-0) (case (vector-ref e-5 0) ((3) (let ((e-13 (vector-ref e-5 2))) (vector 1 (box e-13))))(else (vector 1 '())))))) eff-1)))))))) (else (TTImpC-45InteractiveC-45CaseSplit-findTyName (cons e-2 arg-0) arg-1 arg-2 (cons u--b arg-3) arg-4 e-4))))))))))(else (TTImpC-45InteractiveC-45CaseSplit-findTyName (cons e-2 arg-0) arg-1 arg-2 (cons e-3 arg-3) arg-4 e-4)))))))(else (lambda (eta-0) (vector 1 '()))))))
(define TTImpC-45InteractiveC-45CaseSplit-findCons (lambda (arg-0 arg-1 arg-2) (let ((sc0 (TTImpC-45InteractiveC-45CaseSplit-getDefining arg-2))) (if (null? sc0) (lambda (eta-0) (vector 1 (vector 0 (vector 1 arg-1 "Can't find function name on LHS")))) (let ((e-2 (unbox sc0))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (TTImpC-45InteractiveC-45CaseSplit-findTyName '() arg-0 e-5 '() arg-1 arg-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-3 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-6) (lambda (eta-0) (vector 1 (vector 0 (vector 1 arg-1 (string-append ((csegen-0) "Can't find type of ") (string-append (CoreC-45Name-u--show_Show_Name arg-1) " in LHS")))))) (let ((e-3 (unbox e-6))) (let ((eff-2 (CoreC-45Context-lookupDefExact e-3 (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (if (null? e-7) (lambda (eta-0) (vector 1 (vector 0 (vector 1 arg-1 (string-append (csegen-4838) (PreludeC-45Show-u--show_Show_C-40MaybeC-32C-36aC-41 (csegen-2292) e-7)))))) (let ((e-1 (unbox e-7))) (case (vector-ref e-1 0) ((6) (let ((e-8 (vector-ref e-1 7))) (let ((eff-3 (CoreC-45Context-toFullNames arg-0 (csegen-81) e-3))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-15 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-15)))) (else (let ((e-15 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45Context-toFullNames arg-0 (csegen-81) eta-0)) e-8 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-16 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-16)))) (else (let ((e-16 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 1 (cons e-2 (cons e-15 e-16))))))) eff-5))))))))) eff-4)))))))))(else (lambda (eta-0) (vector 1 (vector 0 (vector 1 arg-1 (string-append (csegen-4838) (PreludeC-45Show-u--show_Show_C-40MaybeC-32C-36aC-41 (csegen-2292) e-7)))))))))))) eff-3))))))))))) eff-2))))))))) eff-1))))))))))))
(define TTImpC-45InteractiveC-45CaseSplit-findAllVars (lambda (arg-1) (case (vector-ref arg-1 0) ((3) (let ((e-2 (vector-ref arg-1 2))) (let ((e-3 (vector-ref arg-1 3))) (let ((e-4 (vector-ref arg-1 4))) (case (vector-ref e-3 0) ((3) (cons e-2 (TTImpC-45InteractiveC-45CaseSplit-findAllVars e-4))) ((1) (cons e-2 (TTImpC-45InteractiveC-45CaseSplit-findAllVars e-4))) ((4) (cons e-2 (TTImpC-45InteractiveC-45CaseSplit-findAllVars e-4)))(else (PreludeC-45Types-u--toList_Foldable_Maybe (PreludeC-45Interfaces-C-60C-36C-62 (csegen-76) (lambda (eta-0) (CoreC-45Name-dropNS eta-0)) (TTImpC-45InteractiveC-45CaseSplit-getDefining arg-1)))))))))(else (PreludeC-45Types-u--toList_Foldable_Maybe (PreludeC-45Interfaces-C-60C-36C-62 (csegen-76) (lambda (eta-0) (CoreC-45Name-dropNS eta-0)) (TTImpC-45InteractiveC-45CaseSplit-getDefining arg-1)))))))
(define TTImpC-45InteractiveC-45CaseSplit-explicitlyBound (lambda (arg-0 arg-1) (case (vector-ref arg-1 0) ((0) (let ((e-1 (vector-ref arg-1 1))) (let ((e-2 (vector-ref arg-1 2))) (let ((e-3 (vector-ref arg-1 3))) (let ((e-4 (vector-ref arg-1 4))) (case (vector-ref e-3 0) ((2) (let ((eff-0 ((e-4 arg-0) (CoreC-45NormaliseC-45Eval-toClosure (CoreC-45Value-defaultOpts) '() (vector 10 e-1 (vector 0 )))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (TTImpC-45InteractiveC-45CaseSplit-explicitlyBound arg-0 e-5))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-10 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (cons e-2 e-10))))) eff-2))))))))) eff-1))))))))(else (lambda (eta-0) (vector 1 '())))))))))(else (lambda (eta-0) (vector 1 '()))))))
(define TTImpC-45InteractiveC-45CaseSplit-expandCon (lambda (arg-0 arg-1 arg-2 arg-3) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-lookupTyExact arg-3 (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-6) (CoreC-45Context-undefinedName arg-0 arg-1 arg-3) (let ((e-1 (unbox e-6))) (let ((eff-2 (CoreC-45NormaliseC-45Eval-nf arg-0 '() e-5 '() e-1))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (TTImpC-45Utils-getArgNames '() arg-0 e-5 '() arg-2 '() e-7))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (TTImpC-45TTImp-apply (vector 0 arg-1 arg-3) (((csegen-25) (lambda (eta-1) (vector 17 arg-1 eta-1))) e-8)))))) eff-4))))))))) eff-3))))))))))) eff-2))))))))) eff-1)))))))))
(define TTImpC-45InteractiveC-45CaseSplit-combine (lambda (arg-0 arg-1) (if (null? arg-0) (if (null? arg-1) (vector 0 (vector 0 )) (vector 1 (PreludeC-45TypesC-45List-reverse arg-1))) (let ((e-2 (car arg-0))) (let ((e-3 (cdr arg-0))) (case (vector-ref e-2 0) ((2) (TTImpC-45InteractiveC-45CaseSplit-combine e-3 arg-1))(else (TTImpC-45InteractiveC-45CaseSplit-combine e-3 (cons e-2 arg-1)))))))))
(define CoreC-45InitPrimitives-addPrimitives (lambda (arg-0) (CoreC-45Core-traverse_ (lambda (eta-0) (CoreC-45InitPrimitives-addPrim arg-0 eta-0)) (CoreC-45Primitives-allPrimitives))))
(define CoreC-45InitPrimitives-addPrim (lambda (arg-0 arg-1) (let ((eff-0 (CoreC-45Context-addBuiltin (let ((e-0 (vector-ref arg-1 0))) e-0) arg-0 (CoreC-45Primitives-opName (let ((e-1 (vector-ref arg-1 1))) e-1)) (let ((e-2 (vector-ref arg-1 2))) e-2) (let ((e-3 (vector-ref arg-1 3))) e-3) (let ((e-1 (vector-ref arg-1 1))) e-1)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CompilerC-45CompileExpr-compileDef arg-0 (CoreC-45Primitives-opName (let ((e-1 (vector-ref arg-1 1))) e-1))))) eff-1))))))))
(define IdrisPaths-yprefix(blodwen-lazy (lambda () "/usr/pkg")))
(define IdrisPaths-idrisVersion(blodwen-lazy (lambda () (cons (cons 0 (cons 6 0)) ""))))
(define IdrisC-45Version-with--version-3796 (lambda (arg-0) (let ((e-2 (car arg-0))) (let ((e-3 (cdr arg-0))) (cond ((equal? e-3 "") (cons e-2 '()))(else (cons e-2 (box e-3))))))))
(define IdrisC-45Version-version(blodwen-lazy (lambda () (IdrisC-45Version-with--version-3796 (IdrisPaths-idrisVersion)))))
(define LibrariesC-45DataC-45Version-case--compare-3405 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (cond ((equal? arg-4 1) (PreludeC-45Types-u--compare_Ord_C-40MaybeC-32C-36aC-41 (csegen-626) arg-0 arg-2))(else arg-4))))
(define LibrariesC-45DataC-45Version-n--4226-3065-u--showTag (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (if (null? arg-3) "" (let ((e-2 (unbox arg-3))) (string-append "-" e-2)))))
(define LibrariesC-45DataC-45Version-u--tokValue_TokenKind_VersionTokenKind (lambda (arg-0 arg-1) (cond ((equal? arg-0 0) arg-1) ((equal? arg-0 2) (vector 0 )) ((equal? arg-0 3) (vector 0 )) (else (DataC-45String-stringToNatOrZ arg-1)))))
(define LibrariesC-45DataC-45Version-u--show_Show_Version (lambda (ext-0) (LibrariesC-45DataC-45Version-showVersion 1 ext-0)))
(define LibrariesC-45DataC-45Version-u--compare_Ord_Version (lambda (arg-0 arg-1) (let ((e-0 (car arg-0))) (let ((e-1 (cdr arg-0))) (let ((e-2 (car arg-1))) (let ((e-3 (cdr arg-1))) (LibrariesC-45DataC-45Version-case--compare-3405 e-1 e-0 e-3 e-2 (PreludeC-45EqOrd-u--compare_Ord_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-4847) (vector (cons (lambda (arg-528) (lambda (arg-531) (PreludeC-45EqOrd-u--C-61C-61_Eq_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-1338) (csegen-1338) arg-528 arg-531))) (lambda (arg-538) (lambda (arg-541) (PreludeC-45EqOrd-u--C-47C-61_Eq_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-1338) (csegen-1338) arg-538 arg-541)))) (lambda (arg-1418) (lambda (arg-1421) (PreludeC-45EqOrd-u--compare_Ord_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-4847) (csegen-4847) arg-1418 arg-1421))) (lambda (arg-1428) (lambda (arg-1431) (PreludeC-45EqOrd-u--C-60_Ord_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-4847) (csegen-4847) arg-1428 arg-1431))) (lambda (arg-1438) (lambda (arg-1441) (PreludeC-45EqOrd-u--C-62_Ord_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-4847) (csegen-4847) arg-1438 arg-1441))) (lambda (arg-1448) (lambda (arg-1451) (PreludeC-45EqOrd-u--C-60C-61_Ord_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-4847) (csegen-4847) arg-1448 arg-1451))) (lambda (arg-1458) (lambda (arg-1461) (PreludeC-45EqOrd-u--C-62C-61_Ord_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-4847) (csegen-4847) arg-1458 arg-1461))) (lambda (arg-1468) (lambda (arg-1471) (PreludeC-45EqOrd-u--max_Ord_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-4847) (csegen-4847) arg-1468 arg-1471))) (lambda (arg-1478) (lambda (arg-1481) (PreludeC-45EqOrd-u--min_Ord_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-4847) (csegen-4847) arg-1478 arg-1481)))) e-0 e-2))))))))
(define LibrariesC-45DataC-45Version-u--TokType_TokenKind_VersionTokenKind (lambda (arg-0) (cond ((equal? arg-0 0) (vector "String" )) ((equal? arg-0 2) (vector "Builtin.Unit" )) ((equal? arg-0 3) (vector "Builtin.Unit" )) (else (vector "Prelude.Types.Nat" )))))
(define LibrariesC-45DataC-45Version-u--C-61C-61_Eq_VersionTokenKind (lambda (arg-0 arg-1) (cond ((equal? arg-0 0) (cond ((equal? arg-1 0) 1)(else 0))) ((equal? arg-0 1) (cond ((equal? arg-1 1) 1)(else 0))) ((equal? arg-0 2) (cond ((equal? arg-1 2) 1)(else 0))) ((equal? arg-0 3) (cond ((equal? arg-1 3) 1)(else 0)))(else 0))))
(define LibrariesC-45DataC-45Version-u--C-60_Ord_Version (lambda (arg-0 arg-1) (PreludeC-45EqOrd-u--C-61C-61_Eq_Ordering (LibrariesC-45DataC-45Version-u--compare_Ord_Version arg-0 arg-1) 0)))
(define LibrariesC-45DataC-45Version-u--C-47C-61_Eq_VersionTokenKind (lambda (arg-0 arg-1) (let ((sc0 (LibrariesC-45DataC-45Version-u--C-61C-61_Eq_VersionTokenKind arg-0 arg-1))) (cond ((equal? sc0 1) 0) (else 1)))))
(define LibrariesC-45DataC-45Version-versionTokenMap(blodwen-lazy (lambda () ((LibrariesC-45TextC-45Lexer-toTokenMap) (cons (cons (LibrariesC-45TextC-45Lexer-is #\.) 2) (cons (cons (LibrariesC-45TextC-45Lexer-is #\-) 3) (cons (cons (LibrariesC-45TextC-45Lexer-digits) 1) (cons (cons (LibrariesC-45TextC-45Lexer-some (LibrariesC-45TextC-45Lexer-alphaNum)) 0) '()))))))))
(define LibrariesC-45DataC-45Version-versionParser(blodwen-lazy (lambda () (vector 9 1 (csegen-4873) (lambda () (lambda (u--maj) (vector 11 1 (csegen-4874) (lambda () (vector 9 1 (csegen-4873) (lambda () (lambda (u--min) (vector 11 1 (csegen-4874) (lambda () (vector 9 0 (csegen-4873) (lambda () (lambda (u--patch) (vector 10 0 0 (LibrariesC-45TextC-45Parser-optional 1 (vector 10 1 1 ((csegen-726) (LibrariesC-45TextC-45Parser-match (csegen-4872) 3)) (lambda (u--f) (((csegen-725) u--f) (LibrariesC-45TextC-45Parser-match (csegen-4872) 0))))) (lambda (u--optTag) (vector 0 (cons (cons u--maj (cons u--min u--patch)) u--optTag))))))))))))))))))))
(define LibrariesC-45DataC-45Version-showVersion (lambda (arg-0 arg-1) (let ((e-0 (car arg-1))) (let ((e-1 (cdr arg-1))) (let ((e-4 (car e-0))) (let ((e-5 (cdr e-0))) (let ((e-8 (car e-5))) (let ((e-9 (cdr e-5))) (string-append (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (DataC-45List-intersperse "." ((csegen-3807) (cons e-4 (cons e-8 (cons e-9 '())))))) (cond ((equal? arg-0 1) (LibrariesC-45DataC-45Version-n--4226-3065-u--showTag e-4 e-8 e-9 e-1 arg-0)) (else "")))))))))))
(define LibrariesC-45DataC-45Version-parseVersion (lambda (arg-0) (let ((sc0 (LibrariesC-45TextC-45ParserC-45Core-parse 1 (LibrariesC-45DataC-45Version-versionParser) (LibrariesC-45DataC-45Version-lexVersion arg-0)))) (case (vector-ref sc0 0) ((1) (let ((e-2 (vector-ref sc0 1))) (if (null? e-2) '() (let ((e-6 (cdr e-2))) (if (null? e-6) '() (let ((e-9 (car e-6))) (let ((e-10 (cdr e-6))) (if (null? e-10) (box e-9) '()))))))))(else '())))))
(define LibrariesC-45DataC-45Version-lexVersion (lambda (arg-0) (let ((sc0 (LibrariesC-45TextC-45LexerC-45Core-lex (LibrariesC-45DataC-45Version-versionTokenMap) arg-0))) (let ((e-2 (car sc0))) (let ((e-3 (cdr sc0))) (let ((e-7 (cdr e-3))) e-2))))))
(define IdrisC-45SetOptions-case--setIncrementalCG-6184 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (if (null? arg-5) (cond ((equal? arg-1 1) (let ((eff-0 (PrimIO-io_bind (PreludeC-45IO-putStrLn (csegen-40) ((csegen-0) "No such code generator")) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (PrimIO-io_bind (PreludeC-45IO-putStrLn (csegen-40) (string-append ((csegen-0) "Code generators available: ") (CoreC-45NameC-45Namespace-showSep ", " ((csegen-101) (CoreC-45Options-availableCGs (let ((e-4 (vector-ref arg-4 4))) e-4)))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-1 (csegen-2334))))) eff-1))))))) (else (lambda (eta-0) (vector 1 (vector 0 ))))) (let ((e-1 (unbox arg-5))) (let ((eff-0 (IdrisC-45ProcessIdr-getCG arg-2 arg-3 e-1))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (if (null? e-5) (lambda (eta-0) (vector 1 (vector 0 ))) (let ((e-2 (unbox e-5))) (let ((e-4 (vector-ref e-2 2))) (if (null? e-4) (cond ((equal? arg-1 1) (let ((eff-1 (PrimIO-io_bind (PreludeC-45IO-putStrLn (csegen-40) (string-append arg-0 ((csegen-0) " does not support incremental builds"))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-1 (csegen-2334)))) (else (lambda (eta-0) (vector 1 (vector 0 ))))) (let ((eff-1 (CoreC-45Context-getSession arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-8 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45Context-setSession arg-3 (let ((e-32 (vector-ref e-8 0))) (let ((e-31 (vector-ref e-8 1))) (let ((e-30 (vector-ref e-8 2))) (let ((e-29 (vector-ref e-8 3))) (let ((e-28 (vector-ref e-8 4))) (let ((e-27 (vector-ref e-8 5))) (let ((e-26 (vector-ref e-8 6))) (let ((e-25 (vector-ref e-8 7))) (let ((e-24 (vector-ref e-8 8))) (let ((e-9 (vector-ref e-8 9))) (let ((e-10 (vector-ref e-8 10))) (let ((e-11 (vector-ref e-8 11))) (let ((e-12 (vector-ref e-8 12))) (let ((e-13 (vector-ref e-8 13))) (let ((e-14 (vector-ref e-8 14))) (let ((e-15 (vector-ref e-8 15))) (let ((e-16 (vector-ref e-8 16))) (let ((e-17 (vector-ref e-8 17))) (let ((e-18 (vector-ref e-8 18))) (let ((e-19 (vector-ref e-8 19))) (let ((e-20 (vector-ref e-8 20))) (let ((e-21 (vector-ref e-8 21))) (let ((e-22 (vector-ref e-8 22))) (let ((e-23 (vector-ref e-8 23))) (vector e-32 e-31 e-30 e-29 e-28 e-27 e-26 e-25 e-24 e-9 e-10 e-11 e-12 e-13 e-14 e-15 e-16 e-17 e-18 e-19 e-20 (cons e-1 e-21) e-22 e-23)))))))))))))))))))))))))))) eff-2))))))))))))) eff-1)))))))))))
(define IdrisC-45SetOptions-case--pkgDir-4896 (lambda (arg-0 arg-1) (let ((e-2 (car arg-1))) (let ((e-3 (cdr arg-1))) (if (null? e-2) (vector arg-0 e-3 '()) (let ((sc2 (IdrisC-45SetOptions-n--12435-4835-u--toVersion arg-0 e-3))) (if (null? sc2) (vector arg-0 arg-0 '()) (let ((e-1 (unbox sc2))) (vector arg-0 (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (DataC-45List-intersperse "-" e-2)) (box e-1))))))))))
(define IdrisC-45SetOptions-n--13055-5432-u--viable (lambda (arg-0 arg-1) (let ((sc0 (IdrisC-45SetOptions-n--13055-5430-u--notHidden arg-0 arg-1))) (cond ((equal? sc0 1) (IdrisC-45SetOptions-n--13055-5431-u--notDenylisted arg-0 arg-1)) (else 0)))))
(define IdrisC-45SetOptions-n--12435-4835-u--toVersion (lambda (arg-0 ext-0) (((csegen-77) (lambda (eta-0) eta-0)) (DataC-45List1-u--traverse_Traversable_List1 (csegen-323) (lambda (eta-0) (DataC-45String-parsePositive (csegen-157) eta-0)) (DataC-45String-split (csegen-627) ext-0)))))
(define IdrisC-45SetOptions-n--13473-5860-u--prefixes (lambda (arg-0) (if (null? arg-0) '() (let ((e-2 (car arg-0))) (let ((e-3 (cdr arg-0))) (cons e-2 (((csegen-25) (lambda (arg-1) (string-append (string-append e-2 ".") arg-1))) (IdrisC-45SetOptions-n--13473-5860-u--prefixes e-3))))))))
(define IdrisC-45SetOptions-n--13204-5599-u--pkgDesc (lambda (arg-0 arg-1 arg-2) (let ((e-1 (vector-ref arg-2 1))) (let ((e-2 (vector-ref arg-2 2))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-863) e-1) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-parens (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-byShow (cons (lambda (u--x) (PreludeC-45Show-u--show_Show_C-40MaybeC-32C-36aC-41 (csegen-4891) u--x)) (lambda (u--d) (lambda (u--x) (PreludeC-45Show-u--showPrec_Show_C-40MaybeC-32C-36aC-41 (csegen-4891) u--d u--x)))) e-2)))))))
(define IdrisC-45SetOptions-n--13055-5430-u--notHidden (lambda (arg-0 ext-0) (let ((sc0 (DataC-45String-isPrefixOf "." (let ((e-1 (vector-ref ext-0 1))) e-1)))) (cond ((equal? sc0 1) 0) (else 1)))))
(define IdrisC-45SetOptions-n--13055-5431-u--notDenylisted (lambda (arg-0 ext-0) (let ((sc0 (PreludeC-45Basics-flip (lambda (eta-0) (lambda (eta-1) (PreludeC-45Types-elem (csegen-16) (csegen-43) eta-0 eta-1))) (cons "include" (cons "lib" (cons "support" (cons "refc" '())))) (let ((e-1 (vector-ref ext-0 1))) e-1)))) (cond ((equal? sc0 1) 0) (else 1)))))
(define IdrisC-45SetOptions-n--12586-5002-u--checkBounds (lambda (arg-0 arg-1 arg-2 arg-3) (let ((e-0 (vector-ref arg-3 0))) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (PreludeC-45Interfaces-C-62C-62 (csegen-614) (PreludeC-45Interfaces-guard (csegen-326) (let ((sc0 (PreludeC-45EqOrd-u--C-61C-61_Eq_String e-1 arg-1))) (cond ((equal? sc0 1) (IdrisC-45PackageC-45Types-inBounds e-2 arg-0)) (else 0)))) (lambda () (box (cons (LibrariesC-45UtilsC-45Path-C-60C-47C-62 arg-2 e-0) e-2)))))))))
(define IdrisC-45SetOptions-visiblePackages (lambda (arg-0) (PreludeC-45Interfaces-C-60C-36C-62 (csegen-49) (lambda (eta-0) (PreludeC-45TypesC-45List-filterAppend '() (lambda (eta-1) (IdrisC-45SetOptions-n--13055-5432-u--viable arg-0 eta-1)) eta-0)) (IdrisC-45SetOptions-getPackageDirs arg-0))))
(define IdrisC-45SetOptions-setIncrementalCG (lambda (arg-0 arg-1 arg-2 arg-3) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (IdrisC-45SetOptions-case--setIncrementalCG-6184 arg-3 arg-2 arg-1 arg-0 e-5 (CoreC-45Options-getCG (let ((e-4 (vector-ref e-5 4))) e-4) arg-3)))) eff-1)))))))))
(define IdrisC-45SetOptions-prefixOnlyIfNonEmpty (lambda (arg-0) (lambda (clam-0) (cond ((equal? arg-0 "--") clam-0)(else (IdrisC-45SetOptions-prefixOnly arg-0 clam-0))))))
(define IdrisC-45SetOptions-prefixOnly (lambda (arg-0 ext-0) (LibrariesC-45DataC-45ListC-45Extra-sortedNub (csegen-626) (PreludeC-45TypesC-45List-filterAppend '() (lambda (u--s) (let ((sc0 (PreludeC-45EqOrd-u--C-47C-61_Eq_String arg-0 u--s))) (cond ((equal? sc0 1) (DataC-45String-isPrefixOf arg-0 u--s)) (else 0)))) ext-0))))
(define IdrisC-45SetOptions-preOptions (lambda (arg-0 arg-1 arg-2) (if (null? arg-2) (lambda (eta-0) (vector 1 1)) (let ((e-2 (car arg-2))) (let ((e-3 (cdr arg-2))) (case (vector-ref e-2 0) ((13) (let ((eff-0 (let ((eff-0 (CoreC-45Context-getSession arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45Context-setSession arg-0 (let ((e-0 (vector-ref e-5 0))) (let ((e-1 (vector-ref e-5 1))) (let ((e-25 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-24 (vector-ref e-5 5))) (let ((e-6 (vector-ref e-5 6))) (let ((e-7 (vector-ref e-5 7))) (let ((e-8 (vector-ref e-5 8))) (let ((e-9 (vector-ref e-5 9))) (let ((e-10 (vector-ref e-5 10))) (let ((e-11 (vector-ref e-5 11))) (let ((e-12 (vector-ref e-5 12))) (let ((e-13 (vector-ref e-5 13))) (let ((e-14 (vector-ref e-5 14))) (let ((e-15 (vector-ref e-5 15))) (let ((e-16 (vector-ref e-5 16))) (let ((e-17 (vector-ref e-5 17))) (let ((e-18 (vector-ref e-5 18))) (let ((e-19 (vector-ref e-5 19))) (let ((e-20 (vector-ref e-5 20))) (let ((e-21 (vector-ref e-5 21))) (let ((e-22 (vector-ref e-5 22))) (let ((e-23 (vector-ref e-5 23))) (vector e-0 e-1 1 e-25 e-4 e-24 e-6 e-7 e-8 e-9 e-10 e-11 e-12 e-13 e-14 e-15 e-16 e-17 e-18 e-19 e-20 e-21 e-22 e-23))))))))))))))))))))))))))) eff-1))))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-1 (IdrisC-45SetOptions-preOptions arg-0 arg-1 e-3))) eff-1))))))) ((1) (let ((eff-0 (let ((eff-0 (CoreC-45Context-getSession arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45Context-setSession arg-0 (let ((e-0 (vector-ref e-5 0))) (let ((e-1 (vector-ref e-5 1))) (let ((e-26 (vector-ref e-5 3))) (let ((e-25 (vector-ref e-5 4))) (let ((e-24 (vector-ref e-5 5))) (let ((e-6 (vector-ref e-5 6))) (let ((e-7 (vector-ref e-5 7))) (let ((e-8 (vector-ref e-5 8))) (let ((e-9 (vector-ref e-5 9))) (let ((e-10 (vector-ref e-5 10))) (let ((e-11 (vector-ref e-5 11))) (let ((e-12 (vector-ref e-5 12))) (let ((e-13 (vector-ref e-5 13))) (let ((e-14 (vector-ref e-5 14))) (let ((e-15 (vector-ref e-5 15))) (let ((e-16 (vector-ref e-5 16))) (let ((e-17 (vector-ref e-5 17))) (let ((e-18 (vector-ref e-5 18))) (let ((e-19 (vector-ref e-5 19))) (let ((e-20 (vector-ref e-5 20))) (let ((e-21 (vector-ref e-5 21))) (let ((e-22 (vector-ref e-5 22))) (let ((e-23 (vector-ref e-5 23))) (vector e-0 e-1 1 e-26 e-25 e-24 e-6 e-7 e-8 e-9 e-10 e-11 e-12 e-13 e-14 e-15 e-16 e-17 e-18 e-19 e-20 e-21 e-22 e-23))))))))))))))))))))))))))) eff-1))))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((eff-1 (IdrisC-45SetOptions-preOptions arg-0 arg-1 e-3))) eff-1))))))) ((2) (let ((eff-0 (let ((eff-0 (CoreC-45Context-getSession arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45Context-setSession arg-0 (let ((e-0 (vector-ref e-6 0))) (let ((e-1 (vector-ref e-6 1))) (let ((e-26 (vector-ref e-6 3))) (let ((e-4 (vector-ref e-6 4))) (let ((e-25 (vector-ref e-6 5))) (let ((e-24 (vector-ref e-6 6))) (let ((e-7 (vector-ref e-6 7))) (let ((e-8 (vector-ref e-6 8))) (let ((e-9 (vector-ref e-6 9))) (let ((e-10 (vector-ref e-6 10))) (let ((e-11 (vector-ref e-6 11))) (let ((e-12 (vector-ref e-6 12))) (let ((e-13 (vector-ref e-6 13))) (let ((e-14 (vector-ref e-6 14))) (let ((e-15 (vector-ref e-6 15))) (let ((e-16 (vector-ref e-6 16))) (let ((e-17 (vector-ref e-6 17))) (let ((e-18 (vector-ref e-6 18))) (let ((e-19 (vector-ref e-6 19))) (let ((e-20 (vector-ref e-6 20))) (let ((e-21 (vector-ref e-6 21))) (let ((e-22 (vector-ref e-6 22))) (let ((e-23 (vector-ref e-6 23))) (vector e-0 e-1 1 e-26 e-4 e-25 e-24 e-7 e-8 e-9 e-10 e-11 e-12 e-13 e-14 e-15 e-16 e-17 e-18 e-19 e-20 e-21 e-22 e-23))))))))))))))))))))))))))) eff-1))))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-1 (IdrisC-45SetOptions-preOptions arg-0 arg-1 e-3))) eff-1))))))) ((26) (let ((eff-0 (let ((eff-0 (CoreC-45Context-getSession arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45Context-setSession arg-0 (let ((e-0 (vector-ref e-5 0))) (let ((e-1 (vector-ref e-5 1))) (let ((e-25 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-24 (vector-ref e-5 5))) (let ((e-6 (vector-ref e-5 6))) (let ((e-7 (vector-ref e-5 7))) (let ((e-8 (vector-ref e-5 8))) (let ((e-9 (vector-ref e-5 9))) (let ((e-10 (vector-ref e-5 10))) (let ((e-11 (vector-ref e-5 11))) (let ((e-12 (vector-ref e-5 12))) (let ((e-13 (vector-ref e-5 13))) (let ((e-14 (vector-ref e-5 14))) (let ((e-15 (vector-ref e-5 15))) (let ((e-16 (vector-ref e-5 16))) (let ((e-17 (vector-ref e-5 17))) (let ((e-18 (vector-ref e-5 18))) (let ((e-19 (vector-ref e-5 19))) (let ((e-20 (vector-ref e-5 20))) (let ((e-21 (vector-ref e-5 21))) (let ((e-22 (vector-ref e-5 22))) (let ((e-23 (vector-ref e-5 23))) (vector e-0 e-1 1 e-25 e-4 e-24 e-6 e-7 e-8 e-9 e-10 e-11 e-12 e-13 e-14 e-15 e-16 e-17 e-18 e-19 e-20 e-21 e-22 e-23))))))))))))))))))))))))))) eff-1))))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-1 (IdrisC-45SetOptions-preOptions arg-0 arg-1 e-3))) eff-1))))))) ((27) (let ((eff-0 (let ((eff-0 (CoreC-45Context-getSession arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45Context-setSession arg-0 (let ((e-0 (vector-ref e-5 0))) (let ((e-1 (vector-ref e-5 1))) (let ((e-26 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-25 (vector-ref e-5 5))) (let ((e-24 (vector-ref e-5 6))) (let ((e-7 (vector-ref e-5 7))) (let ((e-8 (vector-ref e-5 8))) (let ((e-9 (vector-ref e-5 9))) (let ((e-10 (vector-ref e-5 10))) (let ((e-11 (vector-ref e-5 11))) (let ((e-12 (vector-ref e-5 12))) (let ((e-13 (vector-ref e-5 13))) (let ((e-14 (vector-ref e-5 14))) (let ((e-15 (vector-ref e-5 15))) (let ((e-16 (vector-ref e-5 16))) (let ((e-17 (vector-ref e-5 17))) (let ((e-18 (vector-ref e-5 18))) (let ((e-19 (vector-ref e-5 19))) (let ((e-20 (vector-ref e-5 20))) (let ((e-21 (vector-ref e-5 21))) (let ((e-22 (vector-ref e-5 22))) (let ((e-23 (vector-ref e-5 23))) (vector e-0 e-1 1 e-26 e-4 e-25 e-24 e-7 e-8 e-9 e-10 e-11 e-12 e-13 e-14 e-15 e-16 e-17 e-18 e-19 e-20 e-21 e-22 e-23))))))))))))))))))))))))))) eff-1))))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-1 (IdrisC-45SetOptions-preOptions arg-0 arg-1 e-3))) eff-1))))))) ((0) (let ((eff-0 (let ((eff-0 (CoreC-45Context-getSession arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45Context-setSession arg-0 (let ((e-0 (vector-ref e-5 0))) (let ((e-1 (vector-ref e-5 1))) (let ((e-25 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-24 (vector-ref e-5 5))) (let ((e-6 (vector-ref e-5 6))) (let ((e-7 (vector-ref e-5 7))) (let ((e-8 (vector-ref e-5 8))) (let ((e-9 (vector-ref e-5 9))) (let ((e-10 (vector-ref e-5 10))) (let ((e-11 (vector-ref e-5 11))) (let ((e-12 (vector-ref e-5 12))) (let ((e-13 (vector-ref e-5 13))) (let ((e-14 (vector-ref e-5 14))) (let ((e-15 (vector-ref e-5 15))) (let ((e-16 (vector-ref e-5 16))) (let ((e-17 (vector-ref e-5 17))) (let ((e-18 (vector-ref e-5 18))) (let ((e-19 (vector-ref e-5 19))) (let ((e-20 (vector-ref e-5 20))) (let ((e-21 (vector-ref e-5 21))) (let ((e-22 (vector-ref e-5 22))) (let ((e-23 (vector-ref e-5 23))) (vector e-0 e-1 1 e-25 e-4 e-24 e-6 e-7 e-8 e-9 e-10 e-11 e-12 e-13 e-14 e-15 e-16 e-17 e-18 e-19 e-20 e-21 e-22 e-23))))))))))))))))))))))))))) eff-1))))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-1 (IdrisC-45SetOptions-preOptions arg-0 arg-1 e-3))) eff-1))))))) ((10) (let ((eff-0 (let ((eff-0 (CoreC-45Context-getSession arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45Context-setSession arg-0 (let ((e-0 (vector-ref e-5 0))) (let ((e-1 (vector-ref e-5 1))) (let ((e-26 (vector-ref e-5 2))) (let ((e-25 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-24 (vector-ref e-5 5))) (let ((e-6 (vector-ref e-5 6))) (let ((e-7 (vector-ref e-5 7))) (let ((e-8 (vector-ref e-5 8))) (let ((e-9 (vector-ref e-5 9))) (let ((e-10 (vector-ref e-5 10))) (let ((e-11 (vector-ref e-5 11))) (let ((e-12 (vector-ref e-5 12))) (let ((e-13 (vector-ref e-5 13))) (let ((e-14 (vector-ref e-5 14))) (let ((e-15 (vector-ref e-5 15))) (let ((e-17 (vector-ref e-5 17))) (let ((e-18 (vector-ref e-5 18))) (let ((e-19 (vector-ref e-5 19))) (let ((e-20 (vector-ref e-5 20))) (let ((e-21 (vector-ref e-5 21))) (let ((e-22 (vector-ref e-5 22))) (let ((e-23 (vector-ref e-5 23))) (vector e-0 e-1 e-26 e-25 e-4 e-24 e-6 e-7 e-8 e-9 e-10 e-11 e-12 e-13 e-14 e-15 1 e-17 e-18 e-19 e-20 e-21 e-22 e-23))))))))))))))))))))))))))) eff-1))))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-1 (IdrisC-45SetOptions-preOptions arg-0 arg-1 e-3))) eff-1))))))) ((14) (let ((eff-0 (IdrisC-45REPLC-45Opts-setOutput arg-1 (vector 1 1)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-1 (IdrisC-45SetOptions-preOptions arg-0 arg-1 e-3))) eff-1))))))) ((5) (let ((eff-0 (let ((eff-0 (CoreC-45Context-getSession arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45Context-setSession arg-0 (let ((e-1 (vector-ref e-5 1))) (let ((e-26 (vector-ref e-5 2))) (let ((e-25 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-24 (vector-ref e-5 5))) (let ((e-6 (vector-ref e-5 6))) (let ((e-7 (vector-ref e-5 7))) (let ((e-8 (vector-ref e-5 8))) (let ((e-9 (vector-ref e-5 9))) (let ((e-10 (vector-ref e-5 10))) (let ((e-11 (vector-ref e-5 11))) (let ((e-12 (vector-ref e-5 12))) (let ((e-13 (vector-ref e-5 13))) (let ((e-14 (vector-ref e-5 14))) (let ((e-15 (vector-ref e-5 15))) (let ((e-16 (vector-ref e-5 16))) (let ((e-17 (vector-ref e-5 17))) (let ((e-18 (vector-ref e-5 18))) (let ((e-19 (vector-ref e-5 19))) (let ((e-20 (vector-ref e-5 20))) (let ((e-21 (vector-ref e-5 21))) (let ((e-22 (vector-ref e-5 22))) (let ((e-23 (vector-ref e-5 23))) (vector 1 e-1 e-26 e-25 e-4 e-24 e-6 e-7 e-8 e-9 e-10 e-11 e-12 e-13 e-14 e-15 e-16 e-17 e-18 e-19 e-20 e-21 e-22 e-23))))))))))))))))))))))))))) eff-1))))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-1 (IdrisC-45SetOptions-preOptions arg-0 arg-1 e-3))) eff-1))))))) ((3) (let ((e-7 (vector-ref e-2 1))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((sc3 (CoreC-45Options-getCG (let ((e-4 (vector-ref e-5 4))) e-4) e-7))) (if (null? sc3) (let ((eff-1 (PrimIO-io_bind (PreludeC-45IO-putStrLn (csegen-40) "No such code generator") (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-2 (let ((eff-2 (PrimIO-io_bind (PreludeC-45IO-putStrLn (csegen-40) (string-append "Code generators available: " (CoreC-45NameC-45Namespace-showSep ", " ((csegen-101) (CoreC-45Options-availableCGs (let ((e-4 (vector-ref e-5 4))) e-4)))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-2 (csegen-2334))))) eff-2)))))) (let ((e-1 (unbox sc3))) (let ((eff-1 (CoreC-45Context-setCG arg-0 e-1))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-2 (IdrisC-45SetOptions-preOptions arg-0 arg-1 e-3))) eff-2))))))))))) eff-1))))))))) ((4) (let ((e-8 (vector-ref e-2 1))) (let ((eff-0 (let ((eff-0 (CoreC-45Context-getSession arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45Context-setSession arg-0 (let ((e-0 (vector-ref e-5 0))) (let ((e-1 (vector-ref e-5 1))) (let ((e-27 (vector-ref e-5 2))) (let ((e-26 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-25 (vector-ref e-5 5))) (let ((e-6 (vector-ref e-5 6))) (let ((e-7 (vector-ref e-5 7))) (let ((e-24 (vector-ref e-5 8))) (let ((e-9 (vector-ref e-5 9))) (let ((e-10 (vector-ref e-5 10))) (let ((e-11 (vector-ref e-5 11))) (let ((e-12 (vector-ref e-5 12))) (let ((e-13 (vector-ref e-5 13))) (let ((e-14 (vector-ref e-5 14))) (let ((e-15 (vector-ref e-5 15))) (let ((e-16 (vector-ref e-5 16))) (let ((e-17 (vector-ref e-5 17))) (let ((e-18 (vector-ref e-5 18))) (let ((e-19 (vector-ref e-5 19))) (let ((e-20 (vector-ref e-5 20))) (let ((e-21 (vector-ref e-5 21))) (let ((e-22 (vector-ref e-5 22))) (let ((e-23 (vector-ref e-5 23))) (vector e-0 e-1 e-27 e-26 e-4 (cons e-8 e-25) e-6 e-7 e-24 e-9 e-10 e-11 e-12 e-13 e-14 e-15 e-16 e-17 e-18 e-19 e-20 e-21 e-22 e-23)))))))))))))))))))))))))))) eff-1))))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-1 (IdrisC-45SetOptions-preOptions arg-0 arg-1 e-3))) eff-1)))))))) ((21) (let ((e-9 (vector-ref e-2 1))) (let ((eff-0 (IdrisC-45SetOptions-addPkgDir arg-0 e-9 (IdrisC-45PackageC-45Types-anyBounds)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-1 (IdrisC-45SetOptions-preOptions arg-0 arg-1 e-3))) eff-1)))))))) ((6) (let ((e-10 (vector-ref e-2 1))) (let ((eff-0 (CoreC-45Context-setSourceDir arg-0 (box e-10)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-1 (IdrisC-45SetOptions-preOptions arg-0 arg-1 e-3))) eff-1)))))))) ((7) (let ((e-11 (vector-ref e-2 1))) (let ((eff-0 (CoreC-45Context-setBuildDir arg-0 e-11))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-1 (IdrisC-45SetOptions-preOptions arg-0 arg-1 e-3))) eff-1)))))))) ((8) (let ((e-12 (vector-ref e-2 1))) (let ((eff-0 (CoreC-45Context-setOutputDir arg-0 (box e-12)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-1 (IdrisC-45SetOptions-preOptions arg-0 arg-1 e-3))) eff-1)))))))) ((9) (let ((e-13 (vector-ref e-2 1))) (let ((eff-0 (CoreC-45Context-setStageDir arg-0 (box e-13)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-1 (IdrisC-45SetOptions-preOptions arg-0 arg-1 e-3))) eff-1)))))))) ((24) (let ((e-14 (vector-ref e-2 1))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (IdrisC-45SetOptions-dirOption arg-0 arg-1 (let ((e-4 (vector-ref e-5 4))) (let ((e-45 (vector-ref e-4 0))) e-45)) e-14))) (PrimIO-io_bind eff-1 (csegen-2436))))) eff-1))))))))) ((22) (let ((eff-0 (IdrisC-45SetOptions-listPackages arg-0 arg-1))) (PrimIO-io_bind eff-0 (csegen-2436)))) ((37) (let ((e-15 (vector-ref e-2 1))) (let ((eff-0 (CoreC-45Context-setLogTimings arg-0 (DataC-45Maybe-fromMaybe (lambda () 10) e-15)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-1 (IdrisC-45SetOptions-preOptions arg-0 arg-1 e-3))) eff-1)))))))) ((38) (let ((eff-0 (CoreC-45Context-setDebugElabCheck arg-0 1))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-1 (IdrisC-45SetOptions-preOptions arg-0 arg-1 e-3))) eff-1))))))) ((39) (let ((e-16 (vector-ref e-2 1))) (let ((eff-0 (let ((eff-0 (CoreC-45Context-getSession arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45Context-setSession arg-0 (let ((e-0 (vector-ref e-5 0))) (let ((e-1 (vector-ref e-5 1))) (let ((e-27 (vector-ref e-5 2))) (let ((e-26 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-25 (vector-ref e-5 5))) (let ((e-6 (vector-ref e-5 6))) (let ((e-7 (vector-ref e-5 7))) (let ((e-8 (vector-ref e-5 8))) (let ((e-9 (vector-ref e-5 9))) (let ((e-10 (vector-ref e-5 10))) (let ((e-11 (vector-ref e-5 11))) (let ((e-12 (vector-ref e-5 12))) (let ((e-13 (vector-ref e-5 13))) (let ((e-14 (vector-ref e-5 14))) (let ((e-15 (vector-ref e-5 15))) (let ((e-24 (vector-ref e-5 16))) (let ((e-18 (vector-ref e-5 18))) (let ((e-19 (vector-ref e-5 19))) (let ((e-20 (vector-ref e-5 20))) (let ((e-21 (vector-ref e-5 21))) (let ((e-22 (vector-ref e-5 22))) (let ((e-23 (vector-ref e-5 23))) (vector e-0 e-1 e-27 e-26 e-4 e-25 e-6 e-7 e-8 e-9 e-10 e-11 e-12 e-13 e-14 e-15 e-24 e-16 e-18 e-19 e-20 e-21 e-22 e-23))))))))))))))))))))))))))) eff-1))))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-1 (IdrisC-45SetOptions-preOptions arg-0 arg-1 e-3))) eff-1)))))))) ((34) (let ((eff-0 (IdrisC-45REPLC-45Opts-setOutput arg-1 (vector 1 1)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-1 (let ((eff-1 (let ((eff-1 (CoreC-45Context-getSession arg-0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45Context-setSession arg-0 (let ((e-0 (vector-ref e-6 0))) (let ((e-1 (vector-ref e-6 1))) (let ((e-27 (vector-ref e-6 3))) (let ((e-4 (vector-ref e-6 4))) (let ((e-26 (vector-ref e-6 5))) (let ((e-25 (vector-ref e-6 6))) (let ((e-7 (vector-ref e-6 7))) (let ((e-8 (vector-ref e-6 8))) (let ((e-9 (vector-ref e-6 9))) (let ((e-10 (vector-ref e-6 10))) (let ((e-11 (vector-ref e-6 11))) (let ((e-12 (vector-ref e-6 12))) (let ((e-13 (vector-ref e-6 13))) (let ((e-14 (vector-ref e-6 14))) (let ((e-15 (vector-ref e-6 15))) (let ((e-16 (vector-ref e-6 16))) (let ((e-24 (vector-ref e-6 17))) (let ((e-18 (vector-ref e-6 18))) (let ((e-19 (vector-ref e-6 19))) (let ((e-20 (vector-ref e-6 20))) (let ((e-21 (vector-ref e-6 21))) (let ((e-22 (vector-ref e-6 22))) (let ((e-23 (vector-ref e-6 23))) (vector e-0 e-1 1 e-27 e-4 e-26 e-25 e-7 e-8 e-9 e-10 e-11 e-12 e-13 e-14 e-15 e-16 e-24 e-18 e-19 e-20 e-21 e-22 e-23))))))))))))))))))))))))))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-2 (IdrisC-45SetOptions-preOptions arg-0 arg-1 e-3))) eff-2)))))))) eff-1))))))) ((36) (let ((eff-0 (let ((eff-0 (CoreC-45Context-getSession arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45Context-setSession arg-0 (let ((e-0 (vector-ref e-5 0))) (let ((e-1 (vector-ref e-5 1))) (let ((e-26 (vector-ref e-5 2))) (let ((e-4 (vector-ref e-5 4))) (let ((e-24 (vector-ref e-5 5))) (let ((e-6 (vector-ref e-5 6))) (let ((e-7 (vector-ref e-5 7))) (let ((e-8 (vector-ref e-5 8))) (let ((e-9 (vector-ref e-5 9))) (let ((e-10 (vector-ref e-5 10))) (let ((e-11 (vector-ref e-5 11))) (let ((e-12 (vector-ref e-5 12))) (let ((e-13 (vector-ref e-5 13))) (let ((e-14 (vector-ref e-5 14))) (let ((e-15 (vector-ref e-5 15))) (let ((e-16 (vector-ref e-5 16))) (let ((e-17 (vector-ref e-5 17))) (let ((e-18 (vector-ref e-5 18))) (let ((e-19 (vector-ref e-5 19))) (let ((e-20 (vector-ref e-5 20))) (let ((e-21 (vector-ref e-5 21))) (let ((e-22 (vector-ref e-5 22))) (let ((e-23 (vector-ref e-5 23))) (vector e-0 e-1 e-26 1 e-4 e-24 e-6 e-7 e-8 e-9 e-10 e-11 e-12 e-13 e-14 e-15 e-16 e-17 e-18 e-19 e-20 e-21 e-22 e-23))))))))))))))))))))))))))) eff-1))))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-1 (IdrisC-45SetOptions-preOptions arg-0 arg-1 e-3))) eff-1))))))) ((35) (let ((eff-0 (let ((eff-0 (CoreC-45Context-getSession arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45Context-setSession arg-0 (let ((e-0 (vector-ref e-5 0))) (let ((e-1 (vector-ref e-5 1))) (let ((e-26 (vector-ref e-5 2))) (let ((e-25 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-24 (vector-ref e-5 5))) (let ((e-6 (vector-ref e-5 6))) (let ((e-8 (vector-ref e-5 8))) (let ((e-9 (vector-ref e-5 9))) (let ((e-10 (vector-ref e-5 10))) (let ((e-11 (vector-ref e-5 11))) (let ((e-12 (vector-ref e-5 12))) (let ((e-13 (vector-ref e-5 13))) (let ((e-14 (vector-ref e-5 14))) (let ((e-15 (vector-ref e-5 15))) (let ((e-16 (vector-ref e-5 16))) (let ((e-17 (vector-ref e-5 17))) (let ((e-18 (vector-ref e-5 18))) (let ((e-19 (vector-ref e-5 19))) (let ((e-20 (vector-ref e-5 20))) (let ((e-21 (vector-ref e-5 21))) (let ((e-22 (vector-ref e-5 22))) (let ((e-23 (vector-ref e-5 23))) (vector e-0 e-1 e-26 e-25 e-4 e-24 e-6 1 e-8 e-9 e-10 e-11 e-12 e-13 e-14 e-15 e-16 e-17 e-18 e-19 e-20 e-21 e-22 e-23))))))))))))))))))))))))))) eff-1))))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-1 (IdrisC-45SetOptions-preOptions arg-0 arg-1 e-3))) eff-1))))))) ((30) (let ((e-18 (vector-ref e-2 1))) (let ((eff-0 (let ((eff-0 (CoreC-45Context-getSession arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45Context-setSession arg-0 (let ((e-0 (vector-ref e-5 0))) (let ((e-1 (vector-ref e-5 1))) (let ((e-27 (vector-ref e-5 2))) (let ((e-26 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-25 (vector-ref e-5 5))) (let ((e-6 (vector-ref e-5 6))) (let ((e-7 (vector-ref e-5 7))) (let ((e-8 (vector-ref e-5 8))) (let ((e-9 (vector-ref e-5 9))) (let ((e-10 (vector-ref e-5 10))) (let ((e-11 (vector-ref e-5 11))) (let ((e-13 (vector-ref e-5 13))) (let ((e-14 (vector-ref e-5 14))) (let ((e-15 (vector-ref e-5 15))) (let ((e-16 (vector-ref e-5 16))) (let ((e-17 (vector-ref e-5 17))) (let ((e-24 (vector-ref e-5 18))) (let ((e-19 (vector-ref e-5 19))) (let ((e-20 (vector-ref e-5 20))) (let ((e-21 (vector-ref e-5 21))) (let ((e-22 (vector-ref e-5 22))) (let ((e-23 (vector-ref e-5 23))) (vector e-0 e-1 e-27 e-26 e-4 e-25 e-6 e-7 e-8 e-9 e-10 e-11 (box e-18) e-13 e-14 e-15 e-16 e-17 e-24 e-19 e-20 e-21 e-22 e-23))))))))))))))))))))))))))) eff-1))))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-1 (IdrisC-45SetOptions-preOptions arg-0 arg-1 e-3))) eff-1)))))))) ((31) (let ((e-19 (vector-ref e-2 1))) (let ((eff-0 (let ((eff-0 (CoreC-45Context-getSession arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45Context-setSession arg-0 (let ((e-0 (vector-ref e-5 0))) (let ((e-1 (vector-ref e-5 1))) (let ((e-27 (vector-ref e-5 2))) (let ((e-26 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-25 (vector-ref e-5 5))) (let ((e-6 (vector-ref e-5 6))) (let ((e-7 (vector-ref e-5 7))) (let ((e-8 (vector-ref e-5 8))) (let ((e-9 (vector-ref e-5 9))) (let ((e-10 (vector-ref e-5 10))) (let ((e-11 (vector-ref e-5 11))) (let ((e-12 (vector-ref e-5 12))) (let ((e-14 (vector-ref e-5 14))) (let ((e-15 (vector-ref e-5 15))) (let ((e-16 (vector-ref e-5 16))) (let ((e-17 (vector-ref e-5 17))) (let ((e-18 (vector-ref e-5 18))) (let ((e-24 (vector-ref e-5 19))) (let ((e-20 (vector-ref e-5 20))) (let ((e-21 (vector-ref e-5 21))) (let ((e-22 (vector-ref e-5 22))) (let ((e-23 (vector-ref e-5 23))) (vector e-0 e-1 e-27 e-26 e-4 e-25 e-6 e-7 e-8 e-9 e-10 e-11 e-12 (box e-19) e-14 e-15 e-16 e-17 e-18 e-24 e-20 e-21 e-22 e-23))))))))))))))))))))))))))) eff-1))))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-1 (IdrisC-45SetOptions-preOptions arg-0 arg-1 e-3))) eff-1)))))))) ((32) (let ((e-20 (vector-ref e-2 1))) (let ((eff-0 (let ((eff-0 (CoreC-45Context-getSession arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45Context-setSession arg-0 (let ((e-0 (vector-ref e-5 0))) (let ((e-1 (vector-ref e-5 1))) (let ((e-27 (vector-ref e-5 2))) (let ((e-26 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-25 (vector-ref e-5 5))) (let ((e-6 (vector-ref e-5 6))) (let ((e-7 (vector-ref e-5 7))) (let ((e-8 (vector-ref e-5 8))) (let ((e-9 (vector-ref e-5 9))) (let ((e-10 (vector-ref e-5 10))) (let ((e-11 (vector-ref e-5 11))) (let ((e-12 (vector-ref e-5 12))) (let ((e-13 (vector-ref e-5 13))) (let ((e-15 (vector-ref e-5 15))) (let ((e-16 (vector-ref e-5 16))) (let ((e-17 (vector-ref e-5 17))) (let ((e-18 (vector-ref e-5 18))) (let ((e-19 (vector-ref e-5 19))) (let ((e-24 (vector-ref e-5 20))) (let ((e-21 (vector-ref e-5 21))) (let ((e-22 (vector-ref e-5 22))) (let ((e-23 (vector-ref e-5 23))) (vector e-0 e-1 e-27 e-26 e-4 e-25 e-6 e-7 e-8 e-9 e-10 e-11 e-12 e-13 (box e-20) e-15 e-16 e-17 e-18 e-19 e-24 e-21 e-22 e-23))))))))))))))))))))))))))) eff-1))))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-1 (IdrisC-45SetOptions-preOptions arg-0 arg-1 e-3))) eff-1)))))))) ((33) (let ((e-21 (vector-ref e-2 1))) (let ((eff-0 (let ((eff-0 (CoreC-45Context-getSession arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45Context-setSession arg-0 (let ((e-0 (vector-ref e-5 0))) (let ((e-1 (vector-ref e-5 1))) (let ((e-27 (vector-ref e-5 2))) (let ((e-26 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-25 (vector-ref e-5 5))) (let ((e-6 (vector-ref e-5 6))) (let ((e-7 (vector-ref e-5 7))) (let ((e-8 (vector-ref e-5 8))) (let ((e-9 (vector-ref e-5 9))) (let ((e-10 (vector-ref e-5 10))) (let ((e-11 (vector-ref e-5 11))) (let ((e-12 (vector-ref e-5 12))) (let ((e-13 (vector-ref e-5 13))) (let ((e-14 (vector-ref e-5 14))) (let ((e-16 (vector-ref e-5 16))) (let ((e-17 (vector-ref e-5 17))) (let ((e-18 (vector-ref e-5 18))) (let ((e-19 (vector-ref e-5 19))) (let ((e-20 (vector-ref e-5 20))) (let ((e-24 (vector-ref e-5 21))) (let ((e-22 (vector-ref e-5 22))) (let ((e-23 (vector-ref e-5 23))) (vector e-0 e-1 e-27 e-26 e-4 e-25 e-6 e-7 e-8 e-9 e-10 e-11 e-12 e-13 e-14 (box e-21) e-16 e-17 e-18 e-19 e-20 e-24 e-22 e-23))))))))))))))))))))))))))) eff-1))))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-1 (IdrisC-45SetOptions-preOptions arg-0 arg-1 e-3))) eff-1)))))))) ((20) (let ((e-22 (vector-ref e-2 1))) (let ((eff-0 (let ((eff-0 (CoreC-45Context-getSession arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45Context-setSession arg-0 (let ((e-0 (vector-ref e-5 0))) (let ((e-1 (vector-ref e-5 1))) (let ((e-27 (vector-ref e-5 2))) (let ((e-26 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-25 (vector-ref e-5 5))) (let ((e-6 (vector-ref e-5 6))) (let ((e-7 (vector-ref e-5 7))) (let ((e-9 (vector-ref e-5 9))) (let ((e-10 (vector-ref e-5 10))) (let ((e-11 (vector-ref e-5 11))) (let ((e-12 (vector-ref e-5 12))) (let ((e-13 (vector-ref e-5 13))) (let ((e-14 (vector-ref e-5 14))) (let ((e-15 (vector-ref e-5 15))) (let ((e-16 (vector-ref e-5 16))) (let ((e-17 (vector-ref e-5 17))) (let ((e-18 (vector-ref e-5 18))) (let ((e-19 (vector-ref e-5 19))) (let ((e-20 (vector-ref e-5 20))) (let ((e-21 (vector-ref e-5 21))) (let ((e-24 (vector-ref e-5 22))) (let ((e-23 (vector-ref e-5 23))) (vector e-0 e-1 e-27 e-26 e-4 e-25 e-6 e-7 1 (CoreC-45OptionsC-45Log-insertLogLevel e-22 e-9) e-10 e-11 e-12 e-13 e-14 e-15 e-16 e-17 e-18 e-19 e-20 e-21 e-24 e-23))))))))))))))))))))))))))) eff-1))))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-1 (IdrisC-45SetOptions-preOptions arg-0 arg-1 e-3))) eff-1)))))))) ((18) (let ((e-23 (vector-ref e-2 1))) (let ((eff-0 (IdrisC-45REPLC-45Opts-setConsoleWidth arg-1 e-23))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-1 (IdrisC-45SetOptions-preOptions arg-0 arg-1 e-3))) eff-1)))))))) ((15) (let ((eff-0 (CoreC-45Context-getPPrint arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-setPPrint arg-0 (let ((e-0 (vector-ref e-5 0))) (let ((e-6 (vector-ref e-5 2))) (let ((e-4 (vector-ref e-5 3))) (vector e-0 1 e-6 e-4))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-2 (IdrisC-45SetOptions-preOptions arg-0 arg-1 e-3))) eff-2)))))))) eff-1)))))))) ((16) (let ((eff-0 (CoreC-45Context-getPPrint arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-setPPrint arg-0 (let ((e-0 (vector-ref e-5 0))) (let ((e-1 (vector-ref e-5 1))) (let ((e-6 (vector-ref e-5 2))) (vector e-0 e-1 e-6 1))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-2 (IdrisC-45SetOptions-preOptions arg-0 arg-1 e-3))) eff-2)))))))) eff-1)))))))) ((19) (let ((e-24 (vector-ref e-2 1))) (let ((eff-0 (IdrisC-45REPLC-45Opts-setColor arg-1 e-24))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-1 (IdrisC-45SetOptions-preOptions arg-0 arg-1 e-3))) eff-1)))))))) ((40) (let ((eff-0 (let ((eff-0 (CoreC-45Context-getSession arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45Context-setSession arg-0 (let ((e-0 (vector-ref e-5 0))) (let ((e-1 (vector-ref e-5 1))) (let ((e-26 (vector-ref e-5 2))) (let ((e-25 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-24 (vector-ref e-5 5))) (let ((e-6 (vector-ref e-5 6))) (let ((e-7 (vector-ref e-5 7))) (let ((e-8 (vector-ref e-5 8))) (let ((e-9 (vector-ref e-5 9))) (let ((e-10 (vector-ref e-5 10))) (let ((e-11 (vector-ref e-5 11))) (let ((e-12 (vector-ref e-5 12))) (let ((e-13 (vector-ref e-5 13))) (let ((e-14 (vector-ref e-5 14))) (let ((e-15 (vector-ref e-5 15))) (let ((e-16 (vector-ref e-5 16))) (let ((e-17 (vector-ref e-5 17))) (let ((e-19 (vector-ref e-5 19))) (let ((e-20 (vector-ref e-5 20))) (let ((e-21 (vector-ref e-5 21))) (let ((e-22 (vector-ref e-5 22))) (let ((e-23 (vector-ref e-5 23))) (vector e-0 e-1 e-26 e-25 e-4 e-24 e-6 e-7 e-8 e-9 e-10 e-11 e-12 e-13 e-14 e-15 e-16 e-17 1 e-19 e-20 e-21 e-22 e-23))))))))))))))))))))))))))) eff-1))))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-1 (IdrisC-45SetOptions-preOptions arg-0 arg-1 e-3))) eff-1))))))) ((41) (let ((eff-0 (let ((eff-0 (CoreC-45Context-getSession arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45Context-setSession arg-0 (let ((e-0 (vector-ref e-5 0))) (let ((e-1 (vector-ref e-5 1))) (let ((e-26 (vector-ref e-5 2))) (let ((e-25 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-24 (vector-ref e-5 5))) (let ((e-6 (vector-ref e-5 6))) (let ((e-7 (vector-ref e-5 7))) (let ((e-8 (vector-ref e-5 8))) (let ((e-9 (vector-ref e-5 9))) (let ((e-10 (vector-ref e-5 10))) (let ((e-11 (vector-ref e-5 11))) (let ((e-12 (vector-ref e-5 12))) (let ((e-13 (vector-ref e-5 13))) (let ((e-14 (vector-ref e-5 14))) (let ((e-15 (vector-ref e-5 15))) (let ((e-16 (vector-ref e-5 16))) (let ((e-17 (vector-ref e-5 17))) (let ((e-18 (vector-ref e-5 18))) (let ((e-20 (vector-ref e-5 20))) (let ((e-21 (vector-ref e-5 21))) (let ((e-22 (vector-ref e-5 22))) (let ((e-23 (vector-ref e-5 23))) (vector e-0 e-1 e-26 e-25 e-4 e-24 e-6 e-7 e-8 e-9 e-10 e-11 e-12 e-13 e-14 e-15 e-16 e-17 e-18 0 e-20 e-21 e-22 e-23))))))))))))))))))))))))))) eff-1))))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-1 (IdrisC-45SetOptions-preOptions arg-0 arg-1 e-3))) eff-1))))))) ((42) (let ((eff-0 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 "-Xcheck-hashes disabled (see issue #1935)") eta-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-1 (let ((eff-1 (let ((eff-1 (CoreC-45Context-getSession arg-0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45Context-setSession arg-0 (let ((e-0 (vector-ref e-6 0))) (let ((e-1 (vector-ref e-6 1))) (let ((e-27 (vector-ref e-6 2))) (let ((e-26 (vector-ref e-6 3))) (let ((e-4 (vector-ref e-6 4))) (let ((e-25 (vector-ref e-6 5))) (let ((e-24 (vector-ref e-6 6))) (let ((e-7 (vector-ref e-6 7))) (let ((e-8 (vector-ref e-6 8))) (let ((e-9 (vector-ref e-6 9))) (let ((e-10 (vector-ref e-6 10))) (let ((e-11 (vector-ref e-6 11))) (let ((e-12 (vector-ref e-6 12))) (let ((e-13 (vector-ref e-6 13))) (let ((e-14 (vector-ref e-6 14))) (let ((e-15 (vector-ref e-6 15))) (let ((e-16 (vector-ref e-6 16))) (let ((e-17 (vector-ref e-6 17))) (let ((e-18 (vector-ref e-6 18))) (let ((e-19 (vector-ref e-6 19))) (let ((e-21 (vector-ref e-6 21))) (let ((e-22 (vector-ref e-6 22))) (let ((e-23 (vector-ref e-6 23))) (vector e-0 e-1 e-27 e-26 e-4 e-25 e-24 e-7 e-8 e-9 e-10 e-11 e-12 e-13 e-14 e-15 e-16 e-17 e-18 e-19 1 e-21 e-22 e-23))))))))))))))))))))))))))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-2 (IdrisC-45SetOptions-preOptions arg-0 arg-1 e-3))) eff-2)))))))) eff-1))))))) ((43) (let ((eff-0 (let ((eff-0 (CoreC-45Context-getSession arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45Context-setSession arg-0 (let ((e-0 (vector-ref e-5 0))) (let ((e-1 (vector-ref e-5 1))) (let ((e-26 (vector-ref e-5 2))) (let ((e-25 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-24 (vector-ref e-5 5))) (let ((e-6 (vector-ref e-5 6))) (let ((e-7 (vector-ref e-5 7))) (let ((e-8 (vector-ref e-5 8))) (let ((e-9 (vector-ref e-5 9))) (let ((e-10 (vector-ref e-5 10))) (let ((e-11 (vector-ref e-5 11))) (let ((e-12 (vector-ref e-5 12))) (let ((e-13 (vector-ref e-5 13))) (let ((e-14 (vector-ref e-5 14))) (let ((e-15 (vector-ref e-5 15))) (let ((e-16 (vector-ref e-5 16))) (let ((e-17 (vector-ref e-5 17))) (let ((e-18 (vector-ref e-5 18))) (let ((e-19 (vector-ref e-5 19))) (let ((e-20 (vector-ref e-5 20))) (let ((e-21 (vector-ref e-5 21))) (let ((e-22 (vector-ref e-5 22))) (vector e-0 e-1 e-26 e-25 e-4 e-24 e-6 e-7 e-8 e-9 e-10 e-11 e-12 e-13 e-14 e-15 e-16 e-17 e-18 e-19 e-20 e-21 e-22 1))))))))))))))))))))))))))) eff-1))))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-1 (IdrisC-45SetOptions-preOptions arg-0 arg-1 e-3))) eff-1))))))) ((44) (let ((e-25 (vector-ref e-2 1))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-1 (let ((eff-1 (IdrisC-45SetOptions-setIncrementalCG arg-0 arg-1 1 e-25))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-2 (IdrisC-45SetOptions-preOptions arg-0 arg-1 e-3))) eff-2)))))))) eff-1)))))))) ((45) (let ((eff-0 (let ((eff-0 (CoreC-45Context-getSession arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45Context-setSession arg-0 (let ((e-0 (vector-ref e-5 0))) (let ((e-1 (vector-ref e-5 1))) (let ((e-26 (vector-ref e-5 2))) (let ((e-25 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-24 (vector-ref e-5 5))) (let ((e-6 (vector-ref e-5 6))) (let ((e-7 (vector-ref e-5 7))) (let ((e-8 (vector-ref e-5 8))) (let ((e-9 (vector-ref e-5 9))) (let ((e-10 (vector-ref e-5 10))) (let ((e-11 (vector-ref e-5 11))) (let ((e-12 (vector-ref e-5 12))) (let ((e-13 (vector-ref e-5 13))) (let ((e-14 (vector-ref e-5 14))) (let ((e-15 (vector-ref e-5 15))) (let ((e-16 (vector-ref e-5 16))) (let ((e-17 (vector-ref e-5 17))) (let ((e-18 (vector-ref e-5 18))) (let ((e-19 (vector-ref e-5 19))) (let ((e-20 (vector-ref e-5 20))) (let ((e-21 (vector-ref e-5 21))) (let ((e-23 (vector-ref e-5 23))) (vector e-0 e-1 e-26 e-25 e-4 e-24 e-6 e-7 e-8 e-9 e-10 e-11 e-12 e-13 e-14 e-15 e-16 e-17 e-18 e-19 e-20 e-21 1 e-23))))))))))))))))))))))))))) eff-1))))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-1 (IdrisC-45SetOptions-preOptions arg-0 arg-1 e-3))) eff-1))))))) ((46) (let ((e-26 (vector-ref e-2 1))) (let ((e-27 (vector-ref e-2 2))) (let ((eff-0 (IdrisC-45SetOptions-opts arg-0 e-26 e-27))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (PrimIO-io_bind (PreludeC-45IO-putStr (csegen-40) (DataC-45String-fastUnlines e-5)) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-1 (csegen-2436))))) eff-1)))))))))) ((47) (let ((e-28 (vector-ref e-2 1))) (let ((eff-0 (PrimIO-io_bind (PreludeC-45IO-putStrLn (csegen-40) (IdrisC-45SetOptions-completionScript e-28)) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-0 (csegen-2436))))) ((48) (let ((eff-0 (let ((eff-0 (CoreC-45Context-getSession arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45Context-setSession arg-0 (let ((e-0 (vector-ref e-5 0))) (let ((e-26 (vector-ref e-5 2))) (let ((e-25 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-24 (vector-ref e-5 5))) (let ((e-6 (vector-ref e-5 6))) (let ((e-7 (vector-ref e-5 7))) (let ((e-8 (vector-ref e-5 8))) (let ((e-9 (vector-ref e-5 9))) (let ((e-10 (vector-ref e-5 10))) (let ((e-11 (vector-ref e-5 11))) (let ((e-12 (vector-ref e-5 12))) (let ((e-13 (vector-ref e-5 13))) (let ((e-14 (vector-ref e-5 14))) (let ((e-15 (vector-ref e-5 15))) (let ((e-16 (vector-ref e-5 16))) (let ((e-17 (vector-ref e-5 17))) (let ((e-18 (vector-ref e-5 18))) (let ((e-19 (vector-ref e-5 19))) (let ((e-20 (vector-ref e-5 20))) (let ((e-21 (vector-ref e-5 21))) (let ((e-22 (vector-ref e-5 22))) (let ((e-23 (vector-ref e-5 23))) (vector e-0 0 e-26 e-25 e-4 e-24 e-6 e-7 e-8 e-9 e-10 e-11 e-12 e-13 e-14 e-15 e-16 e-17 e-18 e-19 e-20 e-21 e-22 e-23))))))))))))))))))))))))))) eff-1))))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-1 (IdrisC-45SetOptions-preOptions arg-0 arg-1 e-3))) eff-1)))))))(else (IdrisC-45SetOptions-preOptions arg-0 arg-1 e-3))))))))
(define IdrisC-45SetOptions-postOptions (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (if (null? arg-6) (lambda (eta-0) (vector 1 1)) (case (vector-ref arg-5 0) ((12) (if (null? arg-6) (let ((e-1 (car arg-6))) (let ((e-2 (cdr arg-6))) (case (vector-ref e-1 0) ((1) (let ((e-3 (vector-ref e-1 1))) (let ((eff-0 (let ((eff-0 (IdrisC-45REPL-compileExp arg-0 arg-1 arg-2 arg-3 arg-4 (csegen-4903) e-3))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-4 (vector-ref eta-3 1))) (vector 0 e-4))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-7) (lambda (arg-8) ((((eff-1 'erased) 'erased) arg-7) arg-8)))) (lambda (_-8679) (vector 0 )))) eff-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-1 (let ((eff-1 (let ((eff-1 (IdrisC-45SetOptions-postOptions arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-2))) (((csegen-50) ((let ((eff-2 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-4 (vector-ref eta-3 1))) (vector 0 e-4))) (else (let ((e-8 (vector-ref eta-3 1))) (vector 1 (eta-2 e-8))))))))))) (lambda (arg-7) (lambda (arg-8) ((((eff-2 'erased) 'erased) arg-7) arg-8)))) (lambda (_-8679) (vector 0 )))) eff-1)))) (PrimIO-io_bind eff-1 (csegen-2436))))) eff-1)))))))) ((2) (let ((e-4 (vector-ref e-1 1))) (let ((eff-0 (let ((eff-0 (IdrisC-45REPL-execExp arg-0 arg-1 arg-2 arg-3 arg-4 (vector 0 (vector 2 ) (vector 1 (vector 0 e-4)))))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-3 (vector-ref eta-3 1))) (vector 0 e-3))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-7) (lambda (arg-8) ((((eff-1 'erased) 'erased) arg-7) arg-8)))) (lambda (_-8679) (vector 0 )))) eff-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-1 (let ((eff-1 (let ((eff-1 (IdrisC-45SetOptions-postOptions arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-2))) (((csegen-50) ((let ((eff-2 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-3 (vector-ref eta-3 1))) (vector 0 e-3))) (else (let ((e-8 (vector-ref eta-3 1))) (vector 1 (eta-2 e-8))))))))))) (lambda (arg-7) (lambda (arg-8) ((((eff-2 'erased) 'erased) arg-7) arg-8)))) (lambda (_-8679) (vector 0 )))) eff-1)))) (PrimIO-io_bind eff-1 (csegen-2436))))) eff-1)))))))) ((0) (let ((eff-0 (let ((eff-0 (IdrisC-45SetOptions-postOptions arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-2))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-3 (vector-ref eta-3 1))) (vector 0 e-3))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-7) (lambda (arg-8) ((((eff-1 'erased) 'erased) arg-7) arg-8)))) (lambda (_-8679) (vector 0 )))) eff-0)))) (PrimIO-io_bind eff-0 (csegen-2436)))) ((34) (let ((e-5 (vector-ref e-1 1))) (let ((eff-0 (IdrisC-45REPL-replCmd arg-0 arg-1 arg-2 arg-3 arg-4 e-5))) (PrimIO-io_bind eff-0 (csegen-2436)))))(else (IdrisC-45SetOptions-postOptions arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-2))))) (let ((e-9 (car arg-6))) (let ((e-10 (cdr arg-6))) (case (vector-ref e-9 0) ((1) (let ((eff-0 (let ((eff-0 (IdrisC-45SetOptions-postOptions arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-10))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-7) (lambda (arg-8) ((((eff-1 'erased) 'erased) arg-7) arg-8)))) (lambda (_-8679) (vector 0 )))) eff-0)))) (PrimIO-io_bind eff-0 (csegen-2436))))(else (let ((e-1 (car arg-6))) (let ((e-2 (cdr arg-6))) (case (vector-ref e-1 0) ((1) (let ((e-3 (vector-ref e-1 1))) (let ((eff-0 (let ((eff-0 (IdrisC-45REPL-compileExp arg-0 arg-1 arg-2 arg-3 arg-4 (csegen-4903) e-3))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-4 (vector-ref eta-3 1))) (vector 0 e-4))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-7) (lambda (arg-8) ((((eff-1 'erased) 'erased) arg-7) arg-8)))) (lambda (_-8679) (vector 0 )))) eff-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-1 (let ((eff-1 (let ((eff-1 (IdrisC-45SetOptions-postOptions arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-2))) (((csegen-50) ((let ((eff-2 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-4 (vector-ref eta-3 1))) (vector 0 e-4))) (else (let ((e-8 (vector-ref eta-3 1))) (vector 1 (eta-2 e-8))))))))))) (lambda (arg-7) (lambda (arg-8) ((((eff-2 'erased) 'erased) arg-7) arg-8)))) (lambda (_-8679) (vector 0 )))) eff-1)))) (PrimIO-io_bind eff-1 (csegen-2436))))) eff-1)))))))) ((2) (let ((e-4 (vector-ref e-1 1))) (let ((eff-0 (let ((eff-0 (IdrisC-45REPL-execExp arg-0 arg-1 arg-2 arg-3 arg-4 (vector 0 (vector 2 ) (vector 1 (vector 0 e-4)))))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-3 (vector-ref eta-3 1))) (vector 0 e-3))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-7) (lambda (arg-8) ((((eff-1 'erased) 'erased) arg-7) arg-8)))) (lambda (_-8679) (vector 0 )))) eff-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-1 (let ((eff-1 (let ((eff-1 (IdrisC-45SetOptions-postOptions arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-2))) (((csegen-50) ((let ((eff-2 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-3 (vector-ref eta-3 1))) (vector 0 e-3))) (else (let ((e-8 (vector-ref eta-3 1))) (vector 1 (eta-2 e-8))))))))))) (lambda (arg-7) (lambda (arg-8) ((((eff-2 'erased) 'erased) arg-7) arg-8)))) (lambda (_-8679) (vector 0 )))) eff-1)))) (PrimIO-io_bind eff-1 (csegen-2436))))) eff-1)))))))) ((0) (let ((eff-0 (let ((eff-0 (IdrisC-45SetOptions-postOptions arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-2))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-3 (vector-ref eta-3 1))) (vector 0 e-3))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-7) (lambda (arg-8) ((((eff-1 'erased) 'erased) arg-7) arg-8)))) (lambda (_-8679) (vector 0 )))) eff-0)))) (PrimIO-io_bind eff-0 (csegen-2436)))) ((34) (let ((e-5 (vector-ref e-1 1))) (let ((eff-0 (IdrisC-45REPL-replCmd arg-0 arg-1 arg-2 arg-3 arg-4 e-5))) (PrimIO-io_bind eff-0 (csegen-2436)))))(else (IdrisC-45SetOptions-postOptions arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-2)))))))))))(else (let ((e-1 (car arg-6))) (let ((e-2 (cdr arg-6))) (case (vector-ref e-1 0) ((1) (let ((e-3 (vector-ref e-1 1))) (let ((eff-0 (let ((eff-0 (IdrisC-45REPL-compileExp arg-0 arg-1 arg-2 arg-3 arg-4 (csegen-4903) e-3))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-4 (vector-ref eta-3 1))) (vector 0 e-4))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-7) (lambda (arg-8) ((((eff-1 'erased) 'erased) arg-7) arg-8)))) (lambda (_-8679) (vector 0 )))) eff-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-1 (let ((eff-1 (let ((eff-1 (IdrisC-45SetOptions-postOptions arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-2))) (((csegen-50) ((let ((eff-2 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-4 (vector-ref eta-3 1))) (vector 0 e-4))) (else (let ((e-6 (vector-ref eta-3 1))) (vector 1 (eta-2 e-6))))))))))) (lambda (arg-7) (lambda (arg-8) ((((eff-2 'erased) 'erased) arg-7) arg-8)))) (lambda (_-8679) (vector 0 )))) eff-1)))) (PrimIO-io_bind eff-1 (csegen-2436))))) eff-1)))))))) ((2) (let ((e-4 (vector-ref e-1 1))) (let ((eff-0 (let ((eff-0 (IdrisC-45REPL-execExp arg-0 arg-1 arg-2 arg-3 arg-4 (vector 0 (vector 2 ) (vector 1 (vector 0 e-4)))))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-3 (vector-ref eta-3 1))) (vector 0 e-3))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-7) (lambda (arg-8) ((((eff-1 'erased) 'erased) arg-7) arg-8)))) (lambda (_-8679) (vector 0 )))) eff-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-1 (let ((eff-1 (let ((eff-1 (IdrisC-45SetOptions-postOptions arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-2))) (((csegen-50) ((let ((eff-2 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-3 (vector-ref eta-3 1))) (vector 0 e-3))) (else (let ((e-6 (vector-ref eta-3 1))) (vector 1 (eta-2 e-6))))))))))) (lambda (arg-7) (lambda (arg-8) ((((eff-2 'erased) 'erased) arg-7) arg-8)))) (lambda (_-8679) (vector 0 )))) eff-1)))) (PrimIO-io_bind eff-1 (csegen-2436))))) eff-1)))))))) ((0) (let ((eff-0 (let ((eff-0 (IdrisC-45SetOptions-postOptions arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-2))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-3 (vector-ref eta-3 1))) (vector 0 e-3))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-7) (lambda (arg-8) ((((eff-1 'erased) 'erased) arg-7) arg-8)))) (lambda (_-8679) (vector 0 )))) eff-0)))) (PrimIO-io_bind eff-0 (csegen-2436)))) ((34) (let ((e-5 (vector-ref e-1 1))) (let ((eff-0 (IdrisC-45REPL-replCmd arg-0 arg-1 arg-2 arg-3 arg-4 e-5))) (PrimIO-io_bind eff-0 (csegen-2436)))))(else (IdrisC-45SetOptions-postOptions arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-2))))))))))
(define IdrisC-45SetOptions-pkgDir (lambda (arg-0) (IdrisC-45SetOptions-case--pkgDir-4896 arg-0 (LibrariesC-45DataC-45List1-unsnoc (DataC-45String-split (csegen-218) arg-0)))))
(define IdrisC-45SetOptions-opts (lambda (arg-0 arg-1 arg-2) (cond ((equal? arg-1 "--") (cond ((equal? arg-2 "idris2") (lambda (eta-0) (vector 1 (IdrisC-45CommandLine-optionFlags))))(else (cond ((equal? arg-2 "--cg") (let ((eff-0 (IdrisC-45SetOptions-codegens arg-0))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-3) (lambda (arg-4) ((((eff-1 'erased) 'erased) arg-3) arg-4)))) (IdrisC-45SetOptions-prefixOnlyIfNonEmpty arg-1))) eff-0))) ((equal? arg-2 "--codegen") (let ((eff-0 (IdrisC-45SetOptions-codegens arg-0))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-3) (lambda (arg-4) ((((eff-1 'erased) 'erased) arg-3) arg-4)))) (IdrisC-45SetOptions-prefixOnlyIfNonEmpty arg-1))) eff-0))) ((equal? arg-2 "-p") (let ((eff-0 (IdrisC-45SetOptions-findPackages arg-0))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-3) (lambda (arg-4) ((((eff-1 'erased) 'erased) arg-3) arg-4)))) (lambda (eta-0) ((IdrisC-45SetOptions-prefixOnlyIfNonEmpty arg-1) ((csegen-4905) eta-0))))) eff-0))) ((equal? arg-2 "--package") (let ((eff-0 (IdrisC-45SetOptions-findPackages arg-0))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-3) (lambda (arg-4) ((((eff-1 'erased) 'erased) arg-3) arg-4)))) (lambda (eta-0) ((IdrisC-45SetOptions-prefixOnlyIfNonEmpty arg-1) ((csegen-4905) eta-0))))) eff-0))) ((equal? arg-2 "--log") (lambda (eta-0) (vector 1 ((IdrisC-45SetOptions-prefixOnlyIfNonEmpty arg-1) (IdrisC-45SetOptions-logLevels)))))(else (cond ((equal? arg-1 "--") (cond ((equal? arg-2 "-o") (lambda (eta-0) (vector 1 '()))) ((equal? arg-2 "--output") (lambda (eta-0) (vector 1 '()))) ((equal? arg-2 "--source-dir") (lambda (eta-0) (vector 1 '()))) ((equal? arg-2 "--build-dir") (lambda (eta-0) (vector 1 '()))) ((equal? arg-2 "--output-dir") (lambda (eta-0) (vector 1 '())))(else (cond ((equal? arg-2 "--build") (let ((eff-0 (IdrisC-45SetOptions-findIpkg arg-0))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-3) (lambda (arg-4) ((((eff-1 'erased) 'erased) arg-3) arg-4)))) (IdrisC-45SetOptions-prefixOnlyIfNonEmpty arg-1))) eff-0))) ((equal? arg-2 "--install") (let ((eff-0 (IdrisC-45SetOptions-findIpkg arg-0))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-3) (lambda (arg-4) ((((eff-1 'erased) 'erased) arg-3) arg-4)))) (IdrisC-45SetOptions-prefixOnlyIfNonEmpty arg-1))) eff-0))) ((equal? arg-2 "--mkdoc") (let ((eff-0 (IdrisC-45SetOptions-findIpkg arg-0))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-3) (lambda (arg-4) ((((eff-1 'erased) 'erased) arg-3) arg-4)))) (IdrisC-45SetOptions-prefixOnlyIfNonEmpty arg-1))) eff-0))) ((equal? arg-2 "--typecheck") (let ((eff-0 (IdrisC-45SetOptions-findIpkg arg-0))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-3) (lambda (arg-4) ((((eff-1 'erased) 'erased) arg-3) arg-4)))) (IdrisC-45SetOptions-prefixOnlyIfNonEmpty arg-1))) eff-0))) ((equal? arg-2 "--clean") (let ((eff-0 (IdrisC-45SetOptions-findIpkg arg-0))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-3) (lambda (arg-4) ((((eff-1 'erased) 'erased) arg-3) arg-4)))) (IdrisC-45SetOptions-prefixOnlyIfNonEmpty arg-1))) eff-0))) ((equal? arg-2 "--repl") (let ((eff-0 (IdrisC-45SetOptions-findIpkg arg-0))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-3) (lambda (arg-4) ((((eff-1 'erased) 'erased) arg-3) arg-4)))) (IdrisC-45SetOptions-prefixOnlyIfNonEmpty arg-1))) eff-0)))(else (lambda (eta-0) (vector 1 (let ((sc2 (PreludeC-45Types-elem (csegen-16) (csegen-43) arg-1 (IdrisC-45CommandLine-optionFlags)))) (cond ((equal? sc2 1) '()) (else (IdrisC-45SetOptions-prefixOnly arg-1 (IdrisC-45CommandLine-optionFlags))))))))))))(else (cond ((equal? arg-2 "--build") (let ((eff-0 (IdrisC-45SetOptions-findIpkg arg-0))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-3) (lambda (arg-4) ((((eff-1 'erased) 'erased) arg-3) arg-4)))) (IdrisC-45SetOptions-prefixOnlyIfNonEmpty arg-1))) eff-0))) ((equal? arg-2 "--install") (let ((eff-0 (IdrisC-45SetOptions-findIpkg arg-0))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-3) (lambda (arg-4) ((((eff-1 'erased) 'erased) arg-3) arg-4)))) (IdrisC-45SetOptions-prefixOnlyIfNonEmpty arg-1))) eff-0))) ((equal? arg-2 "--mkdoc") (let ((eff-0 (IdrisC-45SetOptions-findIpkg arg-0))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-3) (lambda (arg-4) ((((eff-1 'erased) 'erased) arg-3) arg-4)))) (IdrisC-45SetOptions-prefixOnlyIfNonEmpty arg-1))) eff-0))) ((equal? arg-2 "--typecheck") (let ((eff-0 (IdrisC-45SetOptions-findIpkg arg-0))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-3) (lambda (arg-4) ((((eff-1 'erased) 'erased) arg-3) arg-4)))) (IdrisC-45SetOptions-prefixOnlyIfNonEmpty arg-1))) eff-0))) ((equal? arg-2 "--clean") (let ((eff-0 (IdrisC-45SetOptions-findIpkg arg-0))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-3) (lambda (arg-4) ((((eff-1 'erased) 'erased) arg-3) arg-4)))) (IdrisC-45SetOptions-prefixOnlyIfNonEmpty arg-1))) eff-0))) ((equal? arg-2 "--repl") (let ((eff-0 (IdrisC-45SetOptions-findIpkg arg-0))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-3) (lambda (arg-4) ((((eff-1 'erased) 'erased) arg-3) arg-4)))) (IdrisC-45SetOptions-prefixOnlyIfNonEmpty arg-1))) eff-0)))(else (lambda (eta-0) (vector 1 (let ((sc1 (PreludeC-45Types-elem (csegen-16) (csegen-43) arg-1 (IdrisC-45CommandLine-optionFlags)))) (cond ((equal? sc1 1) '()) (else (IdrisC-45SetOptions-prefixOnly arg-1 (IdrisC-45CommandLine-optionFlags))))))))))))))))(else (cond ((equal? arg-2 "--cg") (let ((eff-0 (IdrisC-45SetOptions-codegens arg-0))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-3) (lambda (arg-4) ((((eff-1 'erased) 'erased) arg-3) arg-4)))) (IdrisC-45SetOptions-prefixOnlyIfNonEmpty arg-1))) eff-0))) ((equal? arg-2 "--codegen") (let ((eff-0 (IdrisC-45SetOptions-codegens arg-0))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-3) (lambda (arg-4) ((((eff-1 'erased) 'erased) arg-3) arg-4)))) (IdrisC-45SetOptions-prefixOnlyIfNonEmpty arg-1))) eff-0))) ((equal? arg-2 "-p") (let ((eff-0 (IdrisC-45SetOptions-findPackages arg-0))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-3) (lambda (arg-4) ((((eff-1 'erased) 'erased) arg-3) arg-4)))) (lambda (eta-0) ((IdrisC-45SetOptions-prefixOnlyIfNonEmpty arg-1) ((csegen-4905) eta-0))))) eff-0))) ((equal? arg-2 "--package") (let ((eff-0 (IdrisC-45SetOptions-findPackages arg-0))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-3) (lambda (arg-4) ((((eff-1 'erased) 'erased) arg-3) arg-4)))) (lambda (eta-0) ((IdrisC-45SetOptions-prefixOnlyIfNonEmpty arg-1) ((csegen-4905) eta-0))))) eff-0))) ((equal? arg-2 "--log") (lambda (eta-0) (vector 1 ((IdrisC-45SetOptions-prefixOnlyIfNonEmpty arg-1) (IdrisC-45SetOptions-logLevels)))))(else (cond ((equal? arg-1 "--") (cond ((equal? arg-2 "-o") (lambda (eta-0) (vector 1 '()))) ((equal? arg-2 "--output") (lambda (eta-0) (vector 1 '()))) ((equal? arg-2 "--source-dir") (lambda (eta-0) (vector 1 '()))) ((equal? arg-2 "--build-dir") (lambda (eta-0) (vector 1 '()))) ((equal? arg-2 "--output-dir") (lambda (eta-0) (vector 1 '())))(else (cond ((equal? arg-2 "--build") (let ((eff-0 (IdrisC-45SetOptions-findIpkg arg-0))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-3) (lambda (arg-4) ((((eff-1 'erased) 'erased) arg-3) arg-4)))) (IdrisC-45SetOptions-prefixOnlyIfNonEmpty arg-1))) eff-0))) ((equal? arg-2 "--install") (let ((eff-0 (IdrisC-45SetOptions-findIpkg arg-0))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-3) (lambda (arg-4) ((((eff-1 'erased) 'erased) arg-3) arg-4)))) (IdrisC-45SetOptions-prefixOnlyIfNonEmpty arg-1))) eff-0))) ((equal? arg-2 "--mkdoc") (let ((eff-0 (IdrisC-45SetOptions-findIpkg arg-0))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-3) (lambda (arg-4) ((((eff-1 'erased) 'erased) arg-3) arg-4)))) (IdrisC-45SetOptions-prefixOnlyIfNonEmpty arg-1))) eff-0))) ((equal? arg-2 "--typecheck") (let ((eff-0 (IdrisC-45SetOptions-findIpkg arg-0))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-3) (lambda (arg-4) ((((eff-1 'erased) 'erased) arg-3) arg-4)))) (IdrisC-45SetOptions-prefixOnlyIfNonEmpty arg-1))) eff-0))) ((equal? arg-2 "--clean") (let ((eff-0 (IdrisC-45SetOptions-findIpkg arg-0))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-3) (lambda (arg-4) ((((eff-1 'erased) 'erased) arg-3) arg-4)))) (IdrisC-45SetOptions-prefixOnlyIfNonEmpty arg-1))) eff-0))) ((equal? arg-2 "--repl") (let ((eff-0 (IdrisC-45SetOptions-findIpkg arg-0))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-3) (lambda (arg-4) ((((eff-1 'erased) 'erased) arg-3) arg-4)))) (IdrisC-45SetOptions-prefixOnlyIfNonEmpty arg-1))) eff-0)))(else (lambda (eta-0) (vector 1 (let ((sc1 (PreludeC-45Types-elem (csegen-16) (csegen-43) arg-1 (IdrisC-45CommandLine-optionFlags)))) (cond ((equal? sc1 1) '()) (else (IdrisC-45SetOptions-prefixOnly arg-1 (IdrisC-45CommandLine-optionFlags))))))))))))(else (cond ((equal? arg-2 "--build") (let ((eff-0 (IdrisC-45SetOptions-findIpkg arg-0))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-3) (lambda (arg-4) ((((eff-1 'erased) 'erased) arg-3) arg-4)))) (IdrisC-45SetOptions-prefixOnlyIfNonEmpty arg-1))) eff-0))) ((equal? arg-2 "--install") (let ((eff-0 (IdrisC-45SetOptions-findIpkg arg-0))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-3) (lambda (arg-4) ((((eff-1 'erased) 'erased) arg-3) arg-4)))) (IdrisC-45SetOptions-prefixOnlyIfNonEmpty arg-1))) eff-0))) ((equal? arg-2 "--mkdoc") (let ((eff-0 (IdrisC-45SetOptions-findIpkg arg-0))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-3) (lambda (arg-4) ((((eff-1 'erased) 'erased) arg-3) arg-4)))) (IdrisC-45SetOptions-prefixOnlyIfNonEmpty arg-1))) eff-0))) ((equal? arg-2 "--typecheck") (let ((eff-0 (IdrisC-45SetOptions-findIpkg arg-0))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-3) (lambda (arg-4) ((((eff-1 'erased) 'erased) arg-3) arg-4)))) (IdrisC-45SetOptions-prefixOnlyIfNonEmpty arg-1))) eff-0))) ((equal? arg-2 "--clean") (let ((eff-0 (IdrisC-45SetOptions-findIpkg arg-0))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-3) (lambda (arg-4) ((((eff-1 'erased) 'erased) arg-3) arg-4)))) (IdrisC-45SetOptions-prefixOnlyIfNonEmpty arg-1))) eff-0))) ((equal? arg-2 "--repl") (let ((eff-0 (IdrisC-45SetOptions-findIpkg arg-0))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-3) (lambda (arg-4) ((((eff-1 'erased) 'erased) arg-3) arg-4)))) (IdrisC-45SetOptions-prefixOnlyIfNonEmpty arg-1))) eff-0)))(else (lambda (eta-0) (vector 1 (let ((sc0 (PreludeC-45Types-elem (csegen-16) (csegen-43) arg-1 (IdrisC-45CommandLine-optionFlags)))) (cond ((equal? sc0 1) '()) (else (IdrisC-45SetOptions-prefixOnly arg-1 (IdrisC-45CommandLine-optionFlags)))))))))))))))))
(define IdrisC-45SetOptions-logLevels(blodwen-lazy (lambda () (PreludeC-45Types-listBind ((csegen-101) (CoreC-45OptionsC-45Log-knownTopics)) (lambda (eta-0) (IdrisC-45SetOptions-n--13473-5860-u--prefixes (DataC-45List1-forget (DataC-45String-split (csegen-627) eta-0))))))))
(define IdrisC-45SetOptions-localPackageDir (lambda (arg-0) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (csegen-1584))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-6) (csegen-1587) (let ((e-1 (unbox e-6))) (let ((u--depends (let ((e-4 (vector-ref e-5 4))) (let ((e-44 (vector-ref e-4 0))) (let ((e-52 (vector-ref e-44 3))) e-52))))) (lambda (eta-0) (vector 1 (LibrariesC-45UtilsC-45Path-C-60C-47C-62 e-1 u--depends)))))))) eff-2))))))))) eff-1)))))))))
(define IdrisC-45SetOptions-listPackages (lambda (arg-0 arg-1) (let ((eff-0 (let ((eff-0 (IdrisC-45SetOptions-findPackages arg-0))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (eta-0) (DataC-45List-sortBy (lambda (eta-1) (lambda (eta-2) (PreludeC-45Basics-on (lambda (eta-3) (lambda (eta-4) (PreludeC-45EqOrd-u--compare_Ord_String eta-3 eta-4))) (csegen-4904) eta-1 eta-2))) eta-0)))) eff-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45Core-traverse_ (lambda (eta-0) (IdrisC-45REPLC-45Common-iputStrLn arg-0 arg-1 (IdrisC-45SetOptions-n--13204-5599-u--pkgDesc arg-1 arg-0 eta-0))) e-5))) eff-1)))))))))
(define IdrisC-45SetOptions-ideModeSocket (lambda (arg-0) (if (null? arg-0) 0 (let ((e-2 (car arg-0))) (let ((e-3 (cdr arg-0))) (case (vector-ref e-2 0) ((27) 1)(else (IdrisC-45SetOptions-ideModeSocket e-3))))))))
(define IdrisC-45SetOptions-ideMode (lambda (arg-0) (if (null? arg-0) 0 (let ((e-2 (car arg-0))) (let ((e-3 (cdr arg-0))) (case (vector-ref e-2 0) ((26) 1)(else (IdrisC-45SetOptions-ideMode e-3))))))))
(define IdrisC-45SetOptions-globalPackageDir (lambda (arg-0) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (LibrariesC-45UtilsC-45Path-C-60C-47C-62 (let ((e-4 (vector-ref e-5 4))) (let ((e-42 (vector-ref e-4 0))) (let ((e-47 (vector-ref e-42 6))) e-47))) (string-append "idris2-" (csegen-2353))))))) eff-1)))))))))
(define IdrisC-45SetOptions-getPackageDirs (lambda (arg-0) (PreludeC-45Interfaces-C-60C-36C-62 (csegen-49) (lambda (eta-0) (((csegen-25) (lambda (eta-1) (IdrisC-45SetOptions-pkgDir eta-1))) (PreludeC-45Types-either (lambda () (lambda (eta-1) '())) (lambda () (lambda (eta-1) eta-1)) eta-0))) (SystemC-45Directory-listDir (csegen-40) arg-0))))
(define IdrisC-45SetOptions-findPkgDirs (lambda (arg-0 arg-1 arg-2) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (IdrisC-45SetOptions-globalPackageDir arg-0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (IdrisC-45SetOptions-localPackageDir arg-0))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (PrimIO-io_bind (IdrisC-45SetOptions-candidateDirs e-7 arg-1 arg-2) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (PrimIO-io_bind (IdrisC-45SetOptions-candidateDirs e-6 arg-1 arg-2) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (let ((u--pkgdirs (let ((e-4 (vector-ref e-5 4))) (let ((e-46 (vector-ref e-4 0))) (let ((e-49 (vector-ref e-46 8))) e-49))))) (let ((eff-5 (PrimIO-io_bind (PreludeC-45Types-u--traverse_Traversable_List (csegen-33) (lambda (u--d) (IdrisC-45SetOptions-candidateDirs u--d arg-1 arg-2)) u--pkgdirs) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-10 (vector-ref lcase-5 1))) (let ((eff-6 (let ((u--allFiles (let ((sc6 (DataC-45List-isNil e-8))) (cond ((equal? sc6 1) (PreludeC-45TypesC-45List-tailRecAppend e-9 (PreludeC-45Interfaces-concat (csegen-83) (csegen-16) e-10))) (else e-8))))) (lambda (eta-0) (vector 1 (DataC-45List-sortBy (lambda (u--x) (lambda (u--y) (PreludeC-45Types-u--compare_Ord_C-40MaybeC-32C-36aC-41 (vector (cons (lambda (arg-528) (lambda (arg-531) (IdrisC-45PackageC-45Types-u--C-61C-61_Eq_PkgVersion arg-528 arg-531))) (lambda (arg-538) (lambda (arg-541) (IdrisC-45PackageC-45Types-u--C-47C-61_Eq_PkgVersion arg-538 arg-541)))) (lambda (arg-1418) (lambda (arg-1421) (IdrisC-45PackageC-45Types-u--compare_Ord_PkgVersion arg-1418 arg-1421))) (lambda (arg-1428) (lambda (arg-1431) (IdrisC-45PackageC-45Types-u--C-60_Ord_PkgVersion arg-1428 arg-1431))) (lambda (arg-1438) (lambda (arg-1441) (IdrisC-45PackageC-45Types-u--C-62_Ord_PkgVersion arg-1438 arg-1441))) (lambda (arg-1448) (lambda (arg-1451) (IdrisC-45PackageC-45Types-u--C-60C-61_Ord_PkgVersion arg-1448 arg-1451))) (lambda (arg-1458) (lambda (arg-1461) (IdrisC-45PackageC-45Types-u--C-62C-61_Ord_PkgVersion arg-1458 arg-1461))) (lambda (arg-1468) (lambda (arg-1471) (IdrisC-45PackageC-45Types-u--max_Ord_PkgVersion arg-1468 arg-1471))) (lambda (arg-1478) (lambda (arg-1481) (IdrisC-45PackageC-45Types-u--min_Ord_PkgVersion arg-1478 arg-1481)))) (Builtin-snd u--y) (Builtin-snd u--x)))) u--allFiles)))))) eff-6)))))))))) eff-5))))))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))
(define IdrisC-45SetOptions-findPkgDir (lambda (arg-0 arg-1 arg-2) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (IdrisC-45SetOptions-findPkgDirs arg-0 arg-1 arg-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (clam-0) (if (null? e-6) (let ((sc3 (let ((e-4 (vector-ref e-5 4))) (let ((e-41 (vector-ref e-4 2))) (let ((e-60 (vector-ref e-41 7))) e-60))))) (cond ((equal? sc3 1) (vector 1 '())) (else (CoreC-45Core-u--throw_Catchable_Core_Error (vector 52 (string-append arg-1 (string-append " (" (string-append (IdrisC-45PackageC-45Types-u--show_Show_PkgVersionBounds arg-2) ")")))) clam-0)))) (let ((e-2 (car e-6))) (let ((e-8 (car e-2))) (vector 1 (box e-8)))))))) eff-2))))))))) eff-1)))))))))
(define IdrisC-45SetOptions-findPackages (lambda (arg-0) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 (IdrisC-45SetOptions-globalPackageDir arg-0))) (PrimIO-io_bind eff-1 (csegen-4927))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((u--pkgDirs (let ((e-4 (vector-ref e-5 4))) (let ((e-43 (vector-ref e-4 0))) (let ((e-46 (vector-ref e-43 8))) e-46))))) (let ((eff-2 (PrimIO-io_bind (PreludeC-45Types-u--traverse_Traversable_List (csegen-33) (lambda (u--d) (IdrisC-45SetOptions-visiblePackages u--d)) u--pkgDirs) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (let ((eff-3 (IdrisC-45SetOptions-localPackageDir arg-0))) (PrimIO-io_bind eff-3 (csegen-4927))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (PreludeC-45TypesC-45List-tailRecAppend e-6 (PreludeC-45TypesC-45List-tailRecAppend (PreludeC-45Types-u--join_Monad_List e-7) e-8)))))) eff-4))))))))) eff-3)))))))))) eff-2))))))))) eff-1)))))))))
(define IdrisC-45SetOptions-findIpkg (lambda (arg-0) (let ((eff-0 (csegen-1584))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (if (null? e-5) (csegen-1587) (let ((e-1 (unbox e-5))) (let ((eff-1 (PrimIO-io_bind (SystemC-45Directory-listDir (csegen-40) e-1) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (clam-0) (case (vector-ref e-6 0) ((1) (let ((e-2 (vector-ref e-6 1))) (vector 1 (PreludeC-45TypesC-45List-filterAppend '() (csegen-4928) e-2)))) (else (vector 1 '())))))) eff-2))))))))))) eff-1)))))))))
(define IdrisC-45SetOptions-dirOption (lambda (arg-0 arg-1 arg-2 arg-3) (cond ((equal? arg-3 0) (PrimIO-io_bind (PreludeC-45IO-putStrLn (csegen-40) (LibrariesC-45UtilsC-45Path-C-60C-47C-62 (let ((e-6 (vector-ref arg-2 6))) e-6) (string-append "idris2-" (csegen-2353)))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))) ((equal? arg-3 2) (IdrisC-45REPLC-45Common-iputStrLn arg-0 arg-1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-863) (CoreC-45Options-toString arg-2)))) (else (PrimIO-io_bind (PreludeC-45IO-putStrLn (csegen-40) (let ((e-6 (vector-ref arg-2 6))) e-6)) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))))
(define IdrisC-45SetOptions-completionScript (lambda (arg-0) (let ((u--funC-39 (string-append "_" arg-0))) (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons u--funC-39 (cons "()\xa;{\xa;  ED=$([ -z $2 ] && echo \"--\" || echo $2)\xa;  COMPREPLY=($(idris2 --bash-completion $ED $3))\xa;}\xa;\xa;complete -F " (cons u--funC-39 (cons " -o default idris2" '()))))))))
(define IdrisC-45SetOptions-codegens (lambda (arg-0) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-1) (lambda (arg-2) ((((eff-1 'erased) 'erased) arg-1) arg-2)))) (lambda (eta-0) ((csegen-101) (CoreC-45Options-availableCGs (let ((e-4 (vector-ref eta-0 4))) e-4)))))) eff-0))))
(define IdrisC-45SetOptions-candidateDirs (lambda (arg-0 arg-1 arg-2) (PreludeC-45Interfaces-C-60C-36C-62 (csegen-49) (lambda (eta-0) (PreludeC-45TypesC-45List-mapMaybeAppend '() (lambda (eta-1) (IdrisC-45SetOptions-n--12586-5002-u--checkBounds arg-2 arg-1 arg-0 eta-1)) eta-0)) (IdrisC-45SetOptions-getPackageDirs arg-0))))
(define IdrisC-45SetOptions-addPkgDir (lambda (arg-0 arg-1 arg-2) (let ((eff-0 (IdrisC-45SetOptions-findPkgDir arg-0 arg-1 arg-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (if (null? e-5) (lambda (eta-0) (vector 1 (vector 0 ))) (let ((e-1 (unbox e-5))) (CoreC-45Context-addExtraDir arg-0 e-1))))) eff-1)))))))))
(define IdrisC-45REPL-case--process-16562 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8) (if (null? arg-8) (lambda (eta-0) (vector 1 (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "Package not found in the known search directories")))) (let ((e-1 (unbox arg-8))) (let ((u--packageDirPath (LibrariesC-45UtilsC-45Path-parse e-1))) (let ((eff-0 (PrimIO-io_bind (LibrariesC-45SystemC-45DirectoryC-45Tree-explore u--packageDirPath) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (PrimIO-io_bind (IdrisC-45REPL-n--32117-16496-u--toPaths arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 (LibrariesC-45UtilsC-45Path-parse "") (LibrariesC-45SystemC-45DirectoryC-45TreeC-45Tree-toRelative e-5)) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (PreludeC-45Basics-flip (csegen-1569) e-6 (lambda (u--entry) (let ((u--entryC-39 (LibrariesC-45UtilsC-45Path-dropExtension u--entry))) (let ((u--sp (DataC-45List1-forget (DataC-45String-split (lambda (arg-9) (PreludeC-45EqOrd-u--C-61C-61_Eq_Char arg-9 (LibrariesC-45UtilsC-45Path-dirSeparator))) u--entryC-39)))) (let ((u--ns (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (DataC-45List-intersperse "." u--sp)))) (let ((u--nsC-39 (CoreC-45NameC-45Namespace-mkNamespace u--ns))) (CoreC-45Core-u--catch_Catchable_Core_Error (let ((eff-2 (IdrisC-45ProcessIdr-addImport arg-5 arg-4 arg-3 (vector (CoreC-45FC-emptyFC) 0 (CoreC-45NameC-45Namespace-nsAsModuleIdent u--nsC-39) u--nsC-39)))) (PrimIO-io_bind eff-2 (csegen-2241))) (lambda (u--err) (lambda (eta-0) (vector 1 (box u--err))))))))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((u--errsC-39 (DataC-45List-catMaybes e-7))) (let ((eff-3 (if (null? u--errsC-39) (lambda (eta-0) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-594) "Done"))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (IdrisC-45Error-display arg-5 arg-3 arg-1 eta-0)) u--errsC-39 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vsep e-8))))) eff-4)))))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 6 e-8))))) eff-4)))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))))
(define IdrisC-45REPL-case--process-15668 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (if (null? arg-6) (lambda (eta-0) (vector 1 (vector 14 ))) (let ((e-2 (unbox arg-6))) (let ((u--line (PreludeC-45Types-maybe (lambda () "") (lambda () (lambda (u--i) (string-append " +" (PreludeC-45Show-u--show_Show_Int (bs+ u--i 1 63))))) (let ((e-7 (vector-ref arg-5 7))) e-7)))) (let ((eff-0 (let ((eff-0 (PrimIO-io_bind (System-system (csegen-40) (string-append (let ((e-6 (vector-ref arg-5 6))) e-6) (string-append " \"" (string-append e-2 (string-append "\"" u--line))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-3 (vector-ref eta-3 1))) (vector 0 e-3))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-7) (lambda (arg-8) ((((eff-1 'erased) 'erased) arg-7) arg-8)))) (lambda (_-8679) (vector 0 )))) eff-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-1 (IdrisC-45REPL-loadMainFile arg-4 arg-3 arg-2 arg-1 arg-0 e-2))) eff-1)))))))))))
(define IdrisC-45REPL-case--caseC-32blockC-32inC-32caseC-32blockC-32inC-32caseC-32blockC-32inC-32caseC-32blockC-32inC-32processEdit-11904 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20 arg-21 arg-22 arg-23 arg-24) (let ((e-2 (car arg-24))) (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (IdrisC-45REPL-printClause arg-8 arg-6 e-2 arg-21 eta-0)) arg-19 '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (cond ((equal? arg-3 1) (IdrisC-45REPL-updateFile arg-4 (lambda (eta-0) (IdrisC-45REPL-addClause (DataC-45String-fastUnlines e-5) (PreludeC-45Types-prim__integerToNat ((csegen-2038) arg-2)) eta-0)))) (else (lambda (eta-0) (vector 1 (vector 0 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vsep (PreludeC-45Interfaces-C-60C-36C-62 (csegen-24) (csegen-905) e-5))))))))) eff-1))))))))))
(define IdrisC-45REPL-case--caseC-32blockC-32inC-32caseC-32blockC-32inC-32processEdit-11164 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20 arg-21 arg-22) (let ((e-2 (car arg-22))) (let ((e-3 (cdr arg-22))) (let ((e-6 (car e-3))) (let ((e-7 (cdr e-3))) (let ((eff-0 (IdrisC-45Resugar-resugar e-2 arg-8 arg-6 e-6 e-7))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--itmC-39 (cond ((equal? arg-11 1) (IdrisC-45Resugar-addBracket (CoreC-45FC-replFC) e-5)) (else e-5)))) (cond ((equal? arg-3 1) (IdrisC-45REPL-updateFile arg-4 (lambda (eta-0) (IdrisC-45REPL-proofSearch arg-1 (IdrisC-45Syntax-u--show_Show_IPTerm u--itmC-39) (PreludeC-45Types-prim__integerToNat ((csegen-2038) (bs- arg-2 1 63))) eta-0)))) (else (lambda (eta-0) (vector 1 (vector 0 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-prettyBy (csegen-3988) (lambda (eta-1) (vector 6 eta-1)) u--itmC-39))))))))) eff-1)))))))))))))
(define IdrisC-45REPL-case--caseC-32blockC-32inC-32processEdit-11058 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20) (if (null? arg-20) (csegen-4944) (let ((e-0 (unbox arg-20))) (let ((eff-0 (CoreC-45Normalise-normaliseHoles arg-8 '() arg-9 '() arg-17))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (IdrisC-45REPL-case--caseC-32blockC-32inC-32caseC-32blockC-32inC-32processEdit-11164 arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 e-0 e-5 (IdrisC-45REPL-dropLamsTm '() e-0 '() e-5)))) eff-1)))))))))))
(define IdrisC-45REPL-case--caseC-32blockC-32inC-32caseC-32blockC-32inC-32processEdit-9368 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16) (let ((e-2 (car arg-16))) (let ((e-3 (cdr arg-16))) (let ((e-6 (car e-3))) (let ((e-7 (cdr e-3))) (let ((eff-0 (case (vector-ref arg-0 0) ((0) (let ((e-4 (vector-ref arg-0 2))) (let ((eff-0 (CoreC-45Context-lookupCtxtName e-4 (let ((e-0 (vector-ref arg-9 0))) e-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (if (null? e-5) (lambda (eta-0) (vector 1 (vector 1 '()))) (let ((e-9 (car e-5))) (let ((e-8 (cdr e-5))) (let ((u--sizes (PreludeC-45Interfaces-C-60C-38C-62 (csegen-1316) (cons e-9 e-8) (lambda (lamc-0) (let ((e-10 (cdr lamc-0))) (let ((e-12 (cdr e-10))) (let ((u--ctxt (CoreC-45TTC-45Views-underPis -1 '() (let ((e-33 (vector-ref e-12 2))) e-33)))) (CoreC-45Env-lengthExplicitPi (Builtin-fst (let ((e-14 (cdr u--ctxt))) e-14)))))))))) (let ((sc5 (PreludeC-45Interfaces-all (csegen-4960) (lambda (arg-17) (or (and (= (let ((e-11 (car u--sizes))) e-11) arg-17) 1) 0)) u--sizes))) (cond ((equal? sc5 1) (let ((u--arity (+ arg-15 (let ((e-11 (car u--sizes))) e-11)))) (lambda (eta-0) (vector 1 (vector 1 (box u--arity))))))(else (lambda (eta-0) (vector 1 (vector 0 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 ((csegen-331) "Ambiguous name") (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-1529) e-4) ((csegen-331) "(couldn't infer arity)"))))))))))))))) eff-1)))))))))(else (lambda (eta-0) (vector 1 (vector 1 '()))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (case (vector-ref e-5 0) ((1) (let ((e-4 (vector-ref e-5 1))) (let ((eff-1 (if (null? e-4) (let ((eff-1 (let ((eff-1 arg-7)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (unbox eff-2))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-8 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (let ((eff-2 arg-6)) (PrimIO-io_bind (let ((eff-3 eff-2)) (lambda (eta-0) (unbox eff-3))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-9 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (let ((eff-3 arg-5)) (PrimIO-io_bind (let ((eff-4 eff-3)) (lambda (eta-0) (unbox eff-4))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Context-branch arg-8))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (let ((eff-5 (IdrisC-45REPL-inferAndElab (PreludeC-45TypesC-45SnocList-C-60C-62C-62 e-2 '()) arg-8 arg-7 arg-6 arg-5 arg-4 (vector 2 ) arg-0 e-6))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-12 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-12)))) (else (let ((e-12 (vector-ref lcase-5 1))) (let ((eff-6 (let ((eff-6 (let ((eff-6 arg-7)) (PrimIO-io_bind (let ((eff-7 eff-6)) (lambda (eta-0) (set-box! eff-7 e-8))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-13 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((eff-7 (let ((eff-7 (let ((eff-7 arg-6)) (PrimIO-io_bind (let ((eff-8 eff-7)) (lambda (eta-0) (set-box! eff-8 e-9))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-14 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((eff-8 (let ((eff-8 (let ((eff-8 arg-5)) (PrimIO-io_bind (let ((eff-9 eff-8)) (lambda (eta-0) (set-box! eff-9 e-10))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-8 (lambda (lcase-8) (case (vector-ref lcase-8 0) ((0) (let ((e-15 (vector-ref lcase-8 1))) (lambda (eta-0) (vector 0 e-15)))) (else (let ((eff-9 (let ((eff-9 (let ((eff-9 arg-8)) (PrimIO-io_bind (let ((eff-10 eff-9)) (lambda (eta-0) (set-box! eff-10 e-11))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-9 (lambda (lcase-9) (case (vector-ref lcase-9 0) ((0) (let ((e-16 (vector-ref lcase-9 1))) (lambda (eta-0) (vector 0 e-16)))) (else (let ((eff-10 (let ((u--tele (CoreC-45TTC-45Views-underPis -1 e-6 (let ((e-17 (cdr e-12))) e-17)))) (lambda (eta-0) (vector 1 (CoreC-45Env-lengthExplicitPi (Builtin-fst (let ((e-17 (cdr u--tele))) e-17)))))))) eff-10)))))))) eff-9)))))))) eff-8)))))))) eff-7)))))))) eff-6))))))))) eff-5))))))))) eff-4))))))))) eff-3))))))))) eff-2))))))) (let ((e-1 (unbox e-4))) (lambda (eta-0) (vector 1 e-1)))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-8 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-1 1))) (let ((eff-2 (let ((u--size_tele_hole (CoreC-45Env-lengthExplicitPi (Builtin-fst (let ((sc5 (CoreC-45TTC-45Views-underPis -1 '() (let ((e-28 (vector-ref arg-12 2))) e-28)))) (let ((e-9 (cdr sc5))) e-9)))))) (let ((sc5 (PreludeC-45Types-u--C-62C-61_Ord_Nat e-8 u--size_tele_hole))) (cond ((equal? sc5 1) (let ((eff-2 (let ((u--n (PreludeC-45Types-prim__integerToNat (- e-8 u--size_tele_hole)))) (let ((eff-2 (TTImpC-45Utils-uniqueHoleNames arg-6 arg-9 u--n (CoreC-45Name-nameRoot arg-1)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-9 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-2 1))) (let ((eff-3 (let ((u--new_holes (PreludeC-45Interfaces-C-60C-36C-62 (csegen-24) (csegen-4963) e-9))) (let ((u--pcall (IdrisC-45Syntax-papply (CoreC-45FC-replFC) arg-0 u--new_holes))) (let ((eff-3 (IdrisC-45Desugar-desugar arg-6 arg-8 arg-5 arg-7 arg-4 1 (PreludeC-45TypesC-45SnocList-C-60C-62C-62 e-2 '()) u--pcall))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((u--gty (CoreC-45NormaliseC-45Eval-gnf (PreludeC-45TypesC-45SnocList-C-60C-62C-62 e-2 '()) e-6 e-7))) (let ((eff-4 (TTImpC-45Elab-checkTerm (PreludeC-45TypesC-45SnocList-C-60C-62C-62 e-2 '()) arg-8 arg-5 arg-7 arg-6 arg-4 arg-11 (vector 2 ) '() '() e-6 e-10 u--gty))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (let ((eff-5 (let ((eff-5 arg-8)) (PrimIO-io_bind (let ((eff-6 eff-5)) (lambda (eta-0) (unbox eff-6))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-12 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-12)))) (else (let ((e-12 (vector-ref lcase-5 1))) (let ((eff-6 (let ((eff-6 (CoreC-45Normalise-normaliseHoles arg-8 (PreludeC-45TypesC-45SnocList-C-60C-62C-62 e-2 '()) e-12 e-6 e-11))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-13 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-6 1))) (let ((eff-7 (let ((eff-7 (IdrisC-45Resugar-resugar (PreludeC-45TypesC-45SnocList-C-60C-62C-62 e-2 '()) arg-8 arg-6 e-6 e-13))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-14 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-7 1))) (let ((eff-8 (let ((eff-8 (let ((eff-8 arg-6)) (PrimIO-io_bind (let ((eff-9 eff-8)) (lambda (eta-0) (unbox eff-9))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-8 (lambda (lcase-8) (case (vector-ref lcase-8 0) ((0) (let ((e-15 (vector-ref lcase-8 1))) (lambda (eta-0) (vector 0 e-15)))) (else (let ((e-15 (vector-ref lcase-8 1))) (let ((eff-9 (let ((u--brack (PreludeC-45Types-elemBy (csegen-16) (csegen-2552) arg-1 (let ((e-19 (vector-ref e-15 9))) e-19)))) (lambda (eta-0) (vector 1 (IdrisC-45Syntax-u--show_Show_IPTerm (cond ((equal? u--brack 1) (IdrisC-45Resugar-addBracket (CoreC-45FC-replFC) e-14)) (else e-14)))))))) eff-9))))))))) eff-8))))))))) eff-7))))))))) eff-6))))))))) eff-5)))))))))) eff-4))))))))))) eff-3)))))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-9 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-2 1))) (let ((eff-3 (cond ((equal? arg-3 1) (IdrisC-45REPL-updateFile arg-4 (lambda (eta-0) (IdrisC-45REPL-proofSearch arg-1 e-9 (PreludeC-45Types-prim__integerToNat ((csegen-2038) (bs- arg-2 1 63))) eta-0)))) (else (lambda (eta-0) (vector 1 (vector 0 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-863) e-9)))))))) eff-3))))))))(else (lambda (eta-0) (vector 1 (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-hsep (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "Cannot seem to refine") (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-1529) arg-1) (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-594) "by") (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-863) (IdrisC-45Syntax-u--show_Show_PTerm arg-0)) '())))))))))))))) eff-2))))))))) (else (let ((e-8 (vector-ref e-5 1))) (lambda (eta-0) (vector 1 (vector 1 e-8)))))))) eff-1)))))))))))))
(define IdrisC-45REPL-case--caseC-32blockC-32inC-32processEdit-9323 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14) (case (vector-ref arg-14 0) ((7) (let ((e-0 (vector-ref arg-14 1))) (let ((e-1 (vector-ref arg-14 2))) (IdrisC-45REPL-case--caseC-32blockC-32inC-32caseC-32blockC-32inC-32processEdit-9368 arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 e-1 e-0 (CoreC-45TTC-45Views-underPis (blodwen-toSignedInt e-0 63) '() (let ((e-2 (vector-ref arg-12 2))) e-2))))))(else (lambda (eta-0) (vector 1 (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-1529) arg-1) (csegen-4965)))))))))
(define IdrisC-45REPL-case--caseC-32blockC-32inC-32caseC-32blockC-32inC-32processEdit-8764 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15) (let ((e-2 (car arg-15))) (let ((e-3 (cdr arg-15))) (let ((e-6 (car e-3))) (let ((e-7 (cdr e-3))) (let ((eff-0 (TTImpC-45InteractiveC-45Intro-intro (PreludeC-45TypesC-45SnocList-C-60C-62C-62 e-2 '()) arg-7 arg-5 arg-4 arg-6 arg-3 arg-10 arg-0 e-6 e-7))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (if (null? e-5) (lambda (eta-0) (vector 1 (vector 1 ((csegen-331) "Don't know what to do.")))) (let ((e-1 (car e-5))) (let ((e-4 (cdr e-5))) (let ((eff-1 (CoreC-45Core-traverseList1 (lambda (eta-0) (IdrisC-45Resugar-pterm arg-7 arg-5 eta-0)) (cons e-1 e-4)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-8 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (let ((eff-2 arg-5)) (PrimIO-io_bind (let ((eff-3 eff-2)) (lambda (eta-0) (unbox eff-3))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-9 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-2 1))) (let ((eff-3 (let ((u--brack (PreludeC-45Types-elemBy (csegen-16) (csegen-2552) arg-0 (let ((e-13 (vector-ref e-9 9))) e-13)))) (let ((u--introds (((let ((eff-3 (csegen-1316))) (lambda (arg-16) (lambda (arg-17) ((((eff-3 'erased) 'erased) arg-16) arg-17)))) (lambda (eta-0) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--show_Show_C-40DocC-32C-36annC-41 (IdrisC-45Pretty-u--pretty_Pretty_IdrisSyntax_IPTerm (cond ((equal? u--brack 1) (IdrisC-45Resugar-addBracket (CoreC-45FC-replFC) eta-0)) (else eta-0)))))) e-8))) (cond ((equal? arg-2 1) (if (null? u--introds) (csegen-4968) (let ((e-11 (car u--introds))) (let ((e-10 (cdr u--introds))) (if (null? e-10) (IdrisC-45REPL-updateFile arg-3 (lambda (eta-0) (IdrisC-45REPL-proofSearch arg-0 e-11 (PreludeC-45Types-prim__integerToNat ((csegen-2038) (bs- arg-1 1 63))) eta-0))) (csegen-4968)))))) (else (lambda (eta-0) (vector 1 (vector 5 u--introds))))))))) eff-3))))))))) eff-2)))))))))))) eff-1)))))))))))))
(define IdrisC-45REPL-case--caseC-32blockC-32inC-32processEdit-8721 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13) (case (vector-ref arg-13 0) ((7) (let ((e-0 (vector-ref arg-13 1))) (let ((e-1 (vector-ref arg-13 2))) (IdrisC-45REPL-case--caseC-32blockC-32inC-32caseC-32blockC-32inC-32processEdit-8764 arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 e-1 e-0 (CoreC-45TTC-45Views-underPis (blodwen-toSignedInt e-0 63) '() (let ((e-2 (vector-ref arg-11 2))) e-2))))))(else (lambda (eta-0) (vector 1 (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-1529) arg-0) (csegen-4965)))))))))
(define IdrisC-45REPL-case--processEdit-8154 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14) (let ((e-2 (car arg-14))) (let ((e-3 (cdr arg-14))) (if (null? e-3) (if (null? e-2) (CoreC-45Context-undefinedName arg-7 (CoreC-45FC-replFC) arg-10) (let ((e-5 (unbox e-2))) (lambda (clam-2) (vector 1 (vector 0 e-5))))) (let ((e-10 (unbox e-3))) (if (null? e-10) (if (null? e-2) (CoreC-45Context-undefinedName arg-7 (CoreC-45FC-replFC) arg-10) (let ((e-5 (unbox e-2))) (lambda (clam-1) (vector 1 (vector 0 e-5))))) (let ((e-13 (car e-10))) (let ((e-14 (cdr e-10))) (if (null? e-14) (if (null? e-2) (CoreC-45Context-undefinedName arg-7 (CoreC-45FC-replFC) arg-10) (let ((e-5 (unbox e-2))) (lambda (clam-0) (vector 1 (vector 0 e-5))))) (let ((e-18 (cdr e-14))) (let ((eff-0 (let ((eff-0 (IdrisC-45DocC-45Display-displayTerm arg-7 arg-5 arg-8 e-18))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-4 (vector-ref eta-3 1))) (vector 0 e-4))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-15) (lambda (arg-16) ((((eff-1 'erased) 'erased) arg-15) arg-16)))) (csegen-4973))) eff-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 0 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45REPL-n--24398-7922-u--prettyLocalName arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-13) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-colon) e-5))))))) eff-1))))))))))))))))))
(define IdrisC-45REPL-case--findInTreeC-44startsWithUpper-7481 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (cond ((equal? arg-3 "") (if (null? arg-4) 0 (let ((e-0 (car arg-4))) (let ((sc3 (PreludeC-45Types-isUpper e-0))) (cond ((equal? sc3 1) 1) (else (PreludeC-45EqOrd-u--C-62_Ord_Char e-0 (cast-int-char (blodwen-toSignedInt 160 63)))))))))(else (let ((e-0 (car arg-4))) (let ((sc1 (PreludeC-45Types-isUpper e-0))) (cond ((equal? sc1 1) 1) (else (PreludeC-45EqOrd-u--C-62_Ord_Char e-0 (cast-int-char (blodwen-toSignedInt 160 63)))))))))))
(define IdrisC-45REPL-case--nextGenDef-7038 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (if (null? arg-5) (lambda (eta-0) (vector 1 '())) (let ((e-1 (unbox arg-5))) (let ((e-5 (car e-1))) (let ((e-6 (cdr e-1))) (let ((eff-0 (TTImpC-45InteractiveC-45ExprSearch-nextResult arg-3 arg-2 e-6))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-0 1))) (let ((eff-1 (if (null? e-7) (let ((eff-1 (let ((eff-1 arg-1)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (let ((e-0 (vector-ref arg-4 0))) (let ((e-20 (vector-ref arg-4 1))) (let ((e-2 (vector-ref arg-4 2))) (let ((e-3 (vector-ref arg-4 3))) (let ((e-4 (vector-ref arg-4 4))) (let ((e-19 (vector-ref arg-4 5))) (let ((e-18 (vector-ref arg-4 6))) (let ((e-17 (vector-ref arg-4 7))) (let ((e-8 (vector-ref arg-4 8))) (let ((e-9 (vector-ref arg-4 9))) (let ((e-10 (vector-ref arg-4 10))) (let ((e-12 (vector-ref arg-4 12))) (let ((e-13 (vector-ref arg-4 13))) (let ((e-14 (vector-ref arg-4 14))) (let ((e-15 (vector-ref arg-4 15))) (let ((e-16 (vector-ref arg-4 16))) (vector e-0 e-20 e-2 e-3 e-4 e-19 e-18 e-17 e-8 e-9 e-10 '() e-12 e-13 e-14 e-15 e-16)))))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (csegen-2241))) (let ((e-2 (unbox e-7))) (let ((e-9 (car e-2))) (let ((e-8 (cdr e-2))) (let ((eff-1 (let ((eff-1 arg-1)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (let ((e-0 (vector-ref arg-4 0))) (let ((e-23 (vector-ref arg-4 1))) (let ((e-22 (vector-ref arg-4 2))) (let ((e-3 (vector-ref arg-4 3))) (let ((e-4 (vector-ref arg-4 4))) (let ((e-21 (vector-ref arg-4 5))) (let ((e-20 (vector-ref arg-4 6))) (let ((e-19 (vector-ref arg-4 7))) (let ((e-18 (vector-ref arg-4 8))) (let ((e-17 (vector-ref arg-4 9))) (let ((e-10 (vector-ref arg-4 10))) (let ((e-12 (vector-ref arg-4 12))) (let ((e-13 (vector-ref arg-4 13))) (let ((e-14 (vector-ref arg-4 14))) (let ((e-15 (vector-ref arg-4 15))) (let ((e-16 (vector-ref arg-4 16))) (vector e-0 e-23 e-22 e-3 e-4 e-21 e-20 e-19 e-18 e-17 e-10 (box (cons e-5 e-8)) e-12 e-13 e-14 e-15 e-16)))))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-3 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-2 (cond ((equal? arg-0 0) (lambda (eta-0) (vector 1 (box (cons e-5 e-9)))))(else (let ((e-0 (- arg-0 1))) (IdrisC-45REPL-nextGenDef arg-3 arg-2 arg-1 e-0)))))) eff-2)))))))))))) eff-1)))))))))))))
(define IdrisC-45REPL-case--nextProofSearch-6817 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (if (null? arg-4) (lambda (eta-0) (vector 1 '())) (let ((e-1 (unbox arg-4))) (let ((e-5 (car e-1))) (let ((e-6 (cdr e-1))) (let ((eff-0 (TTImpC-45InteractiveC-45ExprSearch-nextResult arg-2 arg-1 e-6))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-0 1))) (let ((eff-1 (if (null? e-7) (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (let ((e-0 (vector-ref arg-3 0))) (let ((e-20 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-3 (vector-ref arg-3 3))) (let ((e-4 (vector-ref arg-3 4))) (let ((e-19 (vector-ref arg-3 5))) (let ((e-18 (vector-ref arg-3 6))) (let ((e-17 (vector-ref arg-3 7))) (let ((e-8 (vector-ref arg-3 8))) (let ((e-9 (vector-ref arg-3 9))) (let ((e-11 (vector-ref arg-3 11))) (let ((e-12 (vector-ref arg-3 12))) (let ((e-13 (vector-ref arg-3 13))) (let ((e-14 (vector-ref arg-3 14))) (let ((e-15 (vector-ref arg-3 15))) (let ((e-16 (vector-ref arg-3 16))) (vector e-0 e-20 e-2 e-3 e-4 e-19 e-18 e-17 e-8 e-9 '() e-11 e-12 e-13 e-14 e-15 e-16)))))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (csegen-2241))) (let ((e-2 (unbox e-7))) (let ((e-9 (car e-2))) (let ((e-8 (cdr e-2))) (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (let ((e-0 (vector-ref arg-3 0))) (let ((e-23 (vector-ref arg-3 1))) (let ((e-22 (vector-ref arg-3 2))) (let ((e-3 (vector-ref arg-3 3))) (let ((e-4 (vector-ref arg-3 4))) (let ((e-21 (vector-ref arg-3 5))) (let ((e-20 (vector-ref arg-3 6))) (let ((e-19 (vector-ref arg-3 7))) (let ((e-18 (vector-ref arg-3 8))) (let ((e-17 (vector-ref arg-3 9))) (let ((e-11 (vector-ref arg-3 11))) (let ((e-12 (vector-ref arg-3 12))) (let ((e-13 (vector-ref arg-3 13))) (let ((e-14 (vector-ref arg-3 14))) (let ((e-15 (vector-ref arg-3 15))) (let ((e-16 (vector-ref arg-3 16))) (vector e-0 e-23 e-22 e-3 e-4 e-21 e-20 e-19 e-18 e-17 (box (cons e-5 e-8)) e-11 e-12 e-13 e-14 e-15 e-16)))))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-3 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-2 (lambda (eta-0) (vector 1 (box (cons e-5 e-9)))))) eff-2)))))))))))) eff-1)))))))))))))
(define IdrisC-45REPL-case--updateFile-6259 (lambda (arg-0 arg-1 arg-2 arg-3) (if (null? arg-3) (csegen-4974) (let ((e-1 (unbox arg-3))) (let ((eff-0 (PrimIO-io_bind (SystemC-45FileC-45ReadWrite-readFile (csegen-40) e-1) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (case (vector-ref e-5 0) ((1) (let ((e-2 (vector-ref e-5 1))) (let ((eff-1 (let ((eff-1 (PrimIO-io_bind (SystemC-45FileC-45ReadWrite-writeFile (csegen-40) (string-append e-1 "~") e-2) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (((csegen-50) ((let ((eff-2 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-3 (vector-ref eta-3 1))) (vector 0 e-3))) (else (let ((e-6 (vector-ref eta-3 1))) (vector 1 (eta-2 e-6))))))))))) (lambda (arg-4) (lambda (arg-5) ((((eff-2 'erased) 'erased) arg-4) arg-5)))) (lambda (_-8679) (vector 0 )))) eff-1)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-3 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-2 (let ((eff-2 (let ((eff-2 (PrimIO-io_bind (SystemC-45FileC-45ReadWrite-writeFile (csegen-40) e-1 (DataC-45String-fastUnlines (arg-0 (DataC-45String-lines e-2)))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (((csegen-50) ((let ((eff-3 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-3 (vector-ref eta-3 1))) (vector 0 e-3))) (else (let ((e-7 (vector-ref eta-3 1))) (vector 1 (eta-2 e-7))))))))))) (lambda (arg-4) (lambda (arg-5) ((((eff-3 'erased) 'erased) arg-4) arg-5)))) (lambda (_-8679) (vector 0 )))) eff-2)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-3 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-3 (csegen-4974))) eff-3)))))))) eff-2)))))))) (else (let ((e-6 (vector-ref e-5 1))) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 51 e-1 e-6) eta-0))))))) eff-1)))))))))))
(define IdrisC-45REPL-n--32117-16496-u--toPaths (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (LibrariesC-45SystemC-45DirectoryC-45Tree-depthFirst (lambda (root-16517) (lambda (u--x) (lambda (eta-0) (((csegen-50) (lambda (arg-8) (cons (LibrariesC-45SystemC-45DirectoryC-45Tree-toFilePath root-16517 u--x) arg-8))) (eta-0))))) arg-6 arg-7 (lambda (eta-0) '()))))
(define IdrisC-45REPL-n--23856-7395-u--startsWithUpper (lambda (arg-0 arg-1 arg-2 arg-3) (IdrisC-45REPL-case--findInTreeC-44startsWithUpper-7481 arg-0 arg-1 arg-2 arg-3 (DataC-45String-strM arg-3))))
(define IdrisC-45REPL-n--22841-6485-u--replaceStr (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (cond ((equal? arg-6 "") "")(else (let ((sc0 (DataC-45String-isPrefixOf arg-4 arg-6))) (cond ((equal? sc0 1) (string-append arg-5 (PreludeC-45Types-fastPack (DataC-45List-drop (PreludeC-45TypesC-45String-length arg-4) (PreludeC-45Types-fastUnpack arg-6))))) (else (string-cons (string-ref arg-6 0) (IdrisC-45REPL-n--22841-6485-u--replaceStr arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 (substring arg-6 1 (string-length arg-6)))))))))))
(define IdrisC-45REPL-n--34859-17281-u--prompt (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (cond ((equal? arg-5 0) "[tc] ") ((equal? arg-5 1) "") ((equal? arg-5 2) "[exec] ") (else "[scheme] "))))
(define IdrisC-45REPL-n--24398-7922-u--prettyLocalName (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8) (case (vector-ref arg-8 0) ((1) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-1529) arg-8)) ((0) (let ((e-2 (vector-ref arg-8 2))) (case (vector-ref e-2 0) ((1) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-1529) arg-8))(else (let ((sc1 (CoreC-45Name-userNameRoot arg-8))) (if (null? sc1) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-863) (CoreC-45Name-nameRoot arg-8)) (let ((e-3 (unbox sc1))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-3594) e-3))))))))(else (let ((sc0 (CoreC-45Name-userNameRoot arg-8))) (if (null? sc0) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-863) (CoreC-45Name-nameRoot arg-8)) (let ((e-1 (unbox sc0))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-3594) e-1))))))))
(define IdrisC-45REPL-n--23856-7396-u--matchingRoots (lambda (arg-0 arg-1 arg-2 ext-0 ext-1) (PreludeC-45Basics-on (lambda (eta-0) (lambda (eta-1) (PreludeC-45EqOrd-u--C-61C-61_Eq_String eta-0 eta-1))) (lambda (eta-0) (CoreC-45Name-nameRoot eta-0)) ext-0 ext-1)))
(define IdrisC-45REPL-n--23856-7398-u--match (lambda (arg-0 arg-1 arg-2 arg-3) (let ((e-3 (cdr arg-3))) (let ((sc1 (CoreC-45Name-matches arg-1 e-3))) (cond ((equal? sc1 1) (IdrisC-45REPL-n--23856-7397-u--checkCandidate arg-0 arg-1 arg-2 e-3)) (else 0))))))
(define IdrisC-45REPL-n--34959-18043-u--makeSpace (lambda (arg-0) (PreludeC-45Types-fastPack (PreludeC-45Types-take arg-0 (DataC-45Stream-repeat #\ )))))
(define IdrisC-45REPL-n--22947-6587-u--insertInBlank (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (if (null? arg-7) (cons (ParserC-45Unlit-relit arg-6 (string-append (CoreC-45Name-u--show_Show_Name arg-4) (string-append " : " (string-append arg-3 "\xa;")))) '()) (let ((e-2 (car arg-7))) (let ((e-3 (cdr arg-7))) (let ((sc1 (PreludeC-45EqOrd-u--C-61C-61_Eq_String (DataC-45String-trim e-2) ""))) (cond ((equal? sc1 1) (cons (string-append "\xa;" (ParserC-45Unlit-relit arg-6 (string-append (CoreC-45Name-u--show_Show_Name arg-4) (string-append " : " (string-append arg-3 "\xa;"))))) e-3)) (else (cons e-2 (IdrisC-45REPL-n--22947-6587-u--insertInBlank arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-3))))))))))
(define IdrisC-45REPL-n--21336-5049-u--ifNotNull (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-6) ((PreludeC-45Interfaces-C-60C-36 (csegen-76) arg-6) (PreludeC-45Interfaces-guard (csegen-326) (let ((sc0 (PreludeC-45Types-u--null_Foldable_List arg-6))) (cond ((equal? sc0 1) 0) (else 1)))))))
(define IdrisC-45REPL-n--31425-13976-u--execDecl (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (let ((eff-0 (IdrisC-45Desugar-desugarDecl arg-3 arg-5 arg-4 arg-2 arg-1 '() arg-6))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-resolveName arg-5 (vector 1 (vector 0 "[defs]"))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Core-newRef (vector "TTImp.Elab.Check.EST" ) (TTImpC-45ElabC-45Check-initEStateSub '() e-6 '() (vector 0 ))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (IdrisC-45REPL-getItDecls arg-1))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (IdrisC-45REPL-processLocal '() arg-5 arg-2 arg-4 e-7 arg-3 arg-1 '() '() '() e-8 e-5))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))
(define IdrisC-45REPL-n--21336-5050-u--enum (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-6 arg-7) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-hsep (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-punctuate (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 ",") (PreludeC-45Interfaces-C-60C-36C-62 (csegen-24) arg-6 arg-7)))))
(define IdrisC-45REPL-n--31972-14491-u--elabMode (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (cond ((equal? arg-7 0) (vector 0 ))(else (vector 2 )))))
(define IdrisC-45REPL-n--21336-5051-u--displayChg (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (let ((u--scinfo (lambda (u--s) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (((csegen-380) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-1529) (let ((e-0 (car u--s))) e-0))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 ":")) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-863) (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-1328) (let ((e-1 (cdr u--s))) e-1))))))) (IdrisC-45REPL-n--21336-5050-u--enum arg-0 arg-1 arg-2 arg-3 arg-4 u--scinfo arg-5))))
(define IdrisC-45REPL-n--34959-18044-u--col (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (string-append arg-2 (string-append (IdrisC-45REPL-n--34959-18043-u--makeSpace (PreludeC-45Types-prim__integerToNat (- arg-0 (PreludeC-45TypesC-45String-length arg-2)))) (string-append arg-3 (string-append (IdrisC-45REPL-n--34959-18043-u--makeSpace (PreludeC-45Types-prim__integerToNat (- arg-1 (PreludeC-45TypesC-45String-length arg-3)))) arg-4))))))
(define IdrisC-45REPL-n--23856-7393-u--cmp (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (let ((e-2 (car arg-3))) (let ((e-3 (cdr arg-3))) (let ((e-6 (car e-2))) (let ((e-7 (cdr e-2))) (let ((e-10 (car e-3))) (let ((e-11 (cdr e-3))) (let ((e-14 (car arg-4))) (let ((e-15 (cdr arg-4))) (let ((e-18 (car e-14))) (let ((e-19 (cdr e-14))) (let ((e-22 (car e-15))) (let ((e-23 (cdr e-15))) (PreludeC-45EqOrd-u--compare_Ord_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-298) (csegen-298) (cons (bs- e-10 e-6 63) (bs- e-11 e-7 63)) (cons (bs- e-22 e-18 63) (bs- e-23 e-19 63)))))))))))))))))
(define IdrisC-45REPL-n--34959-18045-u--cmdInfo (lambda (arg-0) (let ((e-2 (car arg-0))) (let ((e-3 (cdr arg-0))) (let ((e-6 (car e-3))) (let ((e-7 (cdr e-3))) (string-append " " (IdrisC-45REPL-n--34959-18044-u--col 18 36 (CoreC-45NameC-45Namespace-showSep " " e-2) (IdrisC-45Parser-u--show_Show_CmdArg e-6) e-7))))))))
(define IdrisC-45REPL-n--23856-7397-u--checkCandidate (lambda (arg-0 arg-1 arg-2 arg-3) (let ((sc0 (IdrisC-45REPL-n--23856-7396-u--matchingRoots arg-0 arg-1 arg-2 arg-1 arg-3))) (cond ((equal? sc0 1) 1) (else ((case (vector-ref arg-1 0) ((1) (let ((e-0 (vector-ref arg-1 1))) (case (vector-ref e-0 0) ((0) (let ((e-1 (vector-ref e-0 1))) (lambda () (let ((sc3 (IdrisC-45REPL-n--23856-7395-u--startsWithUpper arg-0 arg-1 arg-2 e-1))) (cond ((equal? sc3 1) (IdrisC-45REPL-n--23856-7394-u--checkAsNamespace arg-0 arg-1 arg-2 e-1 arg-3)) (else 0))))))(else (lambda () 0)))))(else (lambda () 0)))))))))
(define IdrisC-45REPL-n--23856-7394-u--checkAsNamespace (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (case (vector-ref arg-4 0) ((0) (let ((e-0 (vector-ref arg-4 1))) (CoreC-45NameC-45Namespace-isInPathOf arg-3 e-0)))(else 0))))
(define IdrisC-45REPL-n--23118-6738-u--addW (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (cond ((equal? arg-4 0) (if (null? arg-6) '() (let ((e-3 (cdr arg-6))) (PreludeC-45TypesC-45List-tailRecAppend (PreludeC-45TypesC-45List-reverse arg-5) (PreludeC-45TypesC-45List-tailRecAppend (((csegen-25) (lambda (eta-0) (ParserC-45Unlit-relit arg-3 eta-0))) arg-2) e-3)))))(else (let ((e-0 (- arg-4 1))) (if (null? arg-6) (PreludeC-45TypesC-45List-reverse arg-5) (let ((e-6 (car arg-6))) (let ((e-7 (cdr arg-6))) (IdrisC-45REPL-n--23118-6738-u--addW arg-0 arg-1 arg-2 arg-3 e-0 (cons e-6 arg-5) e-7)))))))))
(define IdrisC-45REPL-n--22947-6588-u--addApp (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9) (cond ((equal? arg-7 0) (PreludeC-45TypesC-45List-tailRecAppend (PreludeC-45TypesC-45List-reverse (IdrisC-45REPL-n--22947-6587-u--insertInBlank arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-8)) arg-9))(else (let ((e-0 (- arg-7 1))) (if (null? arg-9) (PreludeC-45TypesC-45List-reverse arg-8) (let ((e-2 (car arg-9))) (let ((e-3 (cdr arg-9))) (IdrisC-45REPL-n--22947-6588-u--addApp arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-0 (cons e-2 arg-8) e-3)))))))))
(define IdrisC-45REPL-updateFile (lambda (arg-0 arg-1) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (IdrisC-45REPL-case--updateFile-6259 arg-1 arg-0 e-5 (let ((e-3 (vector-ref e-5 3))) e-3)))) eff-1)))))))))
(define IdrisC-45REPL-setOpt (lambda (arg-0 arg-1 arg-2) (case (vector-ref arg-2 0) ((0) (let ((e-0 (vector-ref arg-2 1))) (let ((eff-0 (CoreC-45Context-getPPrint arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45Context-setPPrint arg-0 (let ((e-1 (vector-ref e-5 1))) (let ((e-2 (vector-ref e-5 2))) (let ((e-3 (vector-ref e-5 3))) (vector e-0 e-1 e-2 e-3))))))) eff-1))))))))) ((1) (let ((e-1 (vector-ref arg-2 1))) (let ((eff-0 (CoreC-45Context-getPPrint arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45Context-setPPrint arg-0 (let ((e-0 (vector-ref e-5 0))) (let ((e-4 (vector-ref e-5 1))) (let ((e-2 (vector-ref e-5 2))) (vector e-0 e-4 e-2 e-1))))))) eff-1))))))))) ((2) (let ((e-2 (vector-ref arg-2 1))) (let ((eff-0 (CoreC-45Context-getPPrint arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45Context-setPPrint arg-0 (let ((e-0 (vector-ref e-5 0))) (let ((e-4 (vector-ref e-5 2))) (let ((e-3 (vector-ref e-5 3))) (vector e-0 e-2 e-4 e-3))))))) eff-1))))))))) ((3) (let ((e-3 (vector-ref arg-2 1))) (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 arg-1)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (let ((e-1 (vector-ref e-5 1))) (let ((e-2 (vector-ref e-5 2))) (let ((e-18 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-17 (vector-ref e-5 5))) (let ((e-6 (vector-ref e-5 6))) (let ((e-7 (vector-ref e-5 7))) (let ((e-8 (vector-ref e-5 8))) (let ((e-9 (vector-ref e-5 9))) (let ((e-10 (vector-ref e-5 10))) (let ((e-11 (vector-ref e-5 11))) (let ((e-12 (vector-ref e-5 12))) (let ((e-13 (vector-ref e-5 13))) (let ((e-14 (vector-ref e-5 14))) (let ((e-15 (vector-ref e-5 15))) (let ((e-16 (vector-ref e-5 16))) (vector e-3 e-1 e-2 e-18 e-4 e-17 e-6 e-7 e-8 e-9 e-10 e-11 e-12 e-13 e-14 e-15 e-16)))))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-1))))))))) ((4) (let ((e-4 (vector-ref arg-2 1))) (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 arg-1)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (let ((e-0 (vector-ref e-5 0))) (let ((e-2 (vector-ref e-5 2))) (let ((e-3 (vector-ref e-5 3))) (let ((e-18 (vector-ref e-5 4))) (let ((e-17 (vector-ref e-5 5))) (let ((e-6 (vector-ref e-5 6))) (let ((e-7 (vector-ref e-5 7))) (let ((e-8 (vector-ref e-5 8))) (let ((e-9 (vector-ref e-5 9))) (let ((e-10 (vector-ref e-5 10))) (let ((e-11 (vector-ref e-5 11))) (let ((e-12 (vector-ref e-5 12))) (let ((e-13 (vector-ref e-5 13))) (let ((e-14 (vector-ref e-5 14))) (let ((e-15 (vector-ref e-5 15))) (let ((e-16 (vector-ref e-5 16))) (vector e-0 e-4 e-2 e-3 e-18 e-17 e-6 e-7 e-8 e-9 e-10 e-11 e-12 e-13 e-14 e-15 e-16)))))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-1))))))))) ((5) (let ((e-5 (vector-ref arg-2 1))) (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 arg-1)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (let ((e-0 (vector-ref e-6 0))) (let ((e-1 (vector-ref e-6 1))) (let ((e-2 (vector-ref e-6 2))) (let ((e-3 (vector-ref e-6 3))) (let ((e-4 (vector-ref e-6 4))) (let ((e-18 (vector-ref e-6 5))) (let ((e-7 (vector-ref e-6 7))) (let ((e-8 (vector-ref e-6 8))) (let ((e-9 (vector-ref e-6 9))) (let ((e-10 (vector-ref e-6 10))) (let ((e-11 (vector-ref e-6 11))) (let ((e-12 (vector-ref e-6 12))) (let ((e-13 (vector-ref e-6 13))) (let ((e-14 (vector-ref e-6 14))) (let ((e-15 (vector-ref e-6 15))) (let ((e-16 (vector-ref e-6 16))) (vector e-0 e-1 e-2 e-3 e-4 e-18 e-5 e-7 e-8 e-9 e-10 e-11 e-12 e-13 e-14 e-15 e-16)))))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-1))))))))) ((6) (let ((e-6 (vector-ref arg-2 1))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((sc2 (CoreC-45Options-getCG (let ((e-4 (vector-ref e-5 4))) e-4) e-6))) (if (null? sc2) (IdrisC-45REPLC-45Common-iputStrLn arg-0 arg-1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "No such code generator available")) (let ((e-1 (unbox sc2))) (CoreC-45Context-setCG arg-0 e-1)))))) eff-1))))))))) ((7) (let ((e-7 (vector-ref arg-2 1))) (let ((eff-0 (CoreC-45Context-getSession arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45Context-setSession arg-0 (let ((e-0 (vector-ref e-5 0))) (let ((e-1 (vector-ref e-5 1))) (let ((e-2 (vector-ref e-5 2))) (let ((e-3 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-25 (vector-ref e-5 5))) (let ((e-6 (vector-ref e-5 6))) (let ((e-24 (vector-ref e-5 7))) (let ((e-8 (vector-ref e-5 8))) (let ((e-9 (vector-ref e-5 9))) (let ((e-10 (vector-ref e-5 10))) (let ((e-11 (vector-ref e-5 11))) (let ((e-12 (vector-ref e-5 12))) (let ((e-13 (vector-ref e-5 13))) (let ((e-14 (vector-ref e-5 14))) (let ((e-15 (vector-ref e-5 15))) (let ((e-17 (vector-ref e-5 17))) (let ((e-18 (vector-ref e-5 18))) (let ((e-19 (vector-ref e-5 19))) (let ((e-20 (vector-ref e-5 20))) (let ((e-21 (vector-ref e-5 21))) (let ((e-22 (vector-ref e-5 22))) (let ((e-23 (vector-ref e-5 23))) (vector e-0 e-1 e-2 e-3 e-4 e-25 e-6 e-24 e-8 e-9 e-10 e-11 e-12 e-13 e-14 e-15 e-7 e-17 e-18 e-19 e-20 e-21 e-22 e-23))))))))))))))))))))))))))) eff-1))))))))) (else (let ((e-8 (vector-ref arg-2 1))) (IdrisC-45REPLC-45Opts-setEvalTiming arg-1 e-8))))))
(define IdrisC-45REPL-rtrim (lambda (arg-0) (string-reverse (DataC-45String-ltrim (string-reverse arg-0)))))
(define IdrisC-45REPL-replEval (lambda (arg-0 arg-1 arg-2 ext-1 ext-0) (lambda (clam-0) (cond ((equal? arg-2 1) (CoreC-45Normalise-normaliseOpts arg-0 arg-1 (let ((sc1 (CoreC-45Value-withAll))) (let ((e-0 (vector-ref sc1 0))) (let ((e-1 (vector-ref sc1 1))) (let ((e-2 (vector-ref sc1 2))) (let ((e-3 (vector-ref sc1 3))) (let ((e-4 (vector-ref sc1 4))) (let ((e-5 (vector-ref sc1 5))) (let ((e-6 (vector-ref sc1 6))) (vector e-0 e-1 e-2 e-3 e-4 e-5 e-6 0))))))))) ext-1 ext-0 clam-0))(else (CoreC-45Normalise-normalise arg-0 arg-1 ext-1 ext-0 clam-0))))))
(define IdrisC-45REPL-replCmd (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (cond ((equal? arg-5 "") (lambda (eta-0) (vector 1 (vector 0 ))))(else (let ((eff-0 (IdrisC-45REPL-interpret arg-0 arg-1 arg-2 arg-3 arg-4 arg-5))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (IdrisC-45REPL-displayResult arg-0 arg-1 arg-2 arg-3 arg-4 e-5))) eff-1)))))))))))
(define IdrisC-45REPL-repl (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (let ((eff-0 (CoreC-45Context-getNS arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 arg-4)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (unbox eff-2))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (let ((eff-2 (PrimIO-io_bind (PreludeC-45IO-putStr (csegen-40) (string-append (IdrisC-45REPL-n--34859-17281-u--prompt arg-4 arg-3 arg-2 arg-1 arg-0 (let ((e-1 (vector-ref e-6 1))) e-1)) (string-append (CoreC-45NameC-45Namespace-u--show_Show_Namespace e-5) "> "))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (((csegen-50) ((let ((eff-3 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-7 (vector-ref eta-3 1))) (vector 1 (eta-2 e-7))))))))))) (lambda (arg-5) (lambda (arg-6) ((((eff-3 'erased) 'erased) arg-5) arg-6)))) (lambda (_-8679) (vector 0 )))) eff-2)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (let ((eff-3 (let ((eff-3 (PrimIO-io_bind (csegen-4981) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (((csegen-50) ((let ((eff-4 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-8 (vector-ref eta-3 1))) (vector 1 (eta-2 e-8))))))))))) (lambda (arg-5) (lambda (arg-6) ((((eff-4 'erased) 'erased) arg-5) arg-6)))) (lambda (_-8679) (vector 0 )))) eff-3)))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-4 (let ((eff-4 (csegen-2411))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (let ((eff-5 (PrimIO-io_bind (SystemC-45FileC-45ReadWrite-fEOF (csegen-40) (SystemC-45FileC-45Virtual-stdin)) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-10 (vector-ref lcase-5 1))) (let ((eff-6 (cond ((equal? e-10 1) (let ((eff-6 (let ((eff-6 (PrimIO-io_bind (PreludeC-45IO-putStrLn (csegen-40) "") (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (((csegen-50) ((let ((eff-7 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-11 (vector-ref eta-3 1))) (vector 1 (eta-2 e-11))))))))))) (lambda (arg-5) (lambda (arg-6) ((((eff-7 'erased) 'erased) arg-5) arg-6)))) (lambda (_-8679) (vector 0 )))) eff-6)))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-2 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-7 (IdrisC-45REPLC-45Common-iputStrLn arg-0 arg-4 ((csegen-331) "Bye for now!")))) eff-7))))))) (else (let ((eff-6 (IdrisC-45REPL-interpret arg-0 arg-1 arg-2 arg-3 arg-4 e-9))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-2 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-11 (vector-ref lcase-6 1))) (let ((eff-7 (IdrisC-45REPL-handleResult arg-0 arg-1 arg-2 arg-3 arg-4 e-11))) eff-7))))))))))) eff-6))))))))) eff-5))))))))) eff-4)))))))) eff-3)))))))) eff-2))))))))) eff-1)))))))))
(define IdrisC-45REPL-proofSearch (lambda (arg-0 arg-1 arg-2 arg-3) (cond ((equal? arg-2 0) (if (null? arg-3) '() (let ((e-3 (car arg-3))) (let ((e-4 (cdr arg-3))) (cons (IdrisC-45REPL-n--22841-6485-u--replaceStr e-3 e-4 arg-1 arg-0 (string-append "?" (CoreC-45Name-u--show_Show_Name arg-0)) arg-1 e-3) e-4)))))(else (let ((e-1 (- arg-2 1))) (if (null? arg-3) '() (let ((e-6 (car arg-3))) (let ((e-7 (cdr arg-3))) (cons e-6 (IdrisC-45REPL-proofSearch arg-0 arg-1 e-1 e-7))))))))))
(define IdrisC-45REPL-processLocal (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11) (TTImpC-45ElabC-45Local-localHelper arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-8 arg-9 arg-10 (lambda (u--nestC-39) (CoreC-45Core-traverse_ (lambda (eta-0) (TTImpC-45ElabC-45Check-processDecl arg-0 arg-1 arg-2 arg-3 arg-5 arg-6 arg-7 u--nestC-39 arg-9 eta-0)) arg-11)))))
(define IdrisC-45REPL-processEdit (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (case (vector-ref arg-5 0) ((0) (let ((e-0 (vector-ref arg-5 1))) (let ((e-1 (vector-ref arg-5 2))) (let ((e-2 (vector-ref arg-5 3))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 arg-3)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (unbox eff-2))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-3 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((u--name (DataC-45Maybe-fromMaybe (lambda () e-2) (IdrisC-45REPL-findInTree (cons (bs- e-0 1 63) e-1) e-2 (let ((e-11 (vector-ref e-6 5))) e-11))))) (let ((eff-2 (CoreC-45Context-lookupCtxtName u--name (let ((e-36 (vector-ref e-5 0))) e-36)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-3 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (if (null? e-7) (lambda (eta-0) (vector 1 '())) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (IdrisC-45DocC-45Display-displayType arg-0 arg-2 0 e-5 eta-0)) e-7 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-3 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (box (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vsep ((csegen-4988) e-8))))))) eff-4)))))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-3 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Metadata-findTypeAt arg-3 (lambda (eta-0) (lambda (eta-1) (IdrisC-45REPL-anyAt (lambda (eta-2) (CoreC-45FC-within (cons (bs- e-0 1 63) e-1) eta-2)) eta-0 eta-1)))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-3 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (IdrisC-45REPL-case--processEdit-8154 e-2 e-1 e-0 arg-4 arg-3 arg-2 arg-1 arg-0 e-5 e-6 u--name e-7 e-8 e-9 (cons e-8 e-9)))) eff-5))))))))) eff-4))))))))) eff-3)))))))))) eff-2))))))))) eff-1))))))))))) ((1) (let ((e-3 (vector-ref arg-5 1))) (let ((e-4 (vector-ref arg-5 2))) (let ((e-5 (vector-ref arg-5 3))) (let ((e-6 (vector-ref arg-5 4))) (let ((u--find (lambda (clam-0) (let ((sc1 (PreludeC-45EqOrd-u--C-62_Ord_Int e-5 (blodwen-toSignedInt 0 63)))) (cond ((equal? sc1 1) (CoreC-45FC-within (cons (bs- e-4 1 63) (bs- e-5 1 63)) clam-0)) (else (CoreC-45FC-onLine (bs- e-4 1 63) clam-0))))))) (let ((eff-0 (TTImpC-45InteractiveC-45CaseSplit-getSplits arg-0 arg-3 arg-1 arg-2 arg-4 (lambda (eta-0) (lambda (eta-1) (IdrisC-45REPL-anyAt u--find eta-0 eta-1))) e-6))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-0 1))) (let ((eff-1 (case (vector-ref e-7 0) ((1) (let ((e-1 (vector-ref e-7 1))) (let ((eff-1 (IdrisC-45IDEModeC-45CaseSplit-updateCase arg-0 arg-2 arg-4 e-1 (bs- e-4 1 63) (bs- e-5 1 63)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-1 1))) (let ((eff-2 (cond ((equal? e-3 1) (IdrisC-45REPL-updateFile arg-4 (lambda (eta-0) (IdrisC-45REPL-caseSplit (DataC-45String-fastUnlines e-8) (PreludeC-45Types-prim__integerToNat ((csegen-2038) (bs- e-4 1 63))) eta-0)))) (else (lambda (eta-0) (vector 1 (vector 0 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vsep (PreludeC-45Interfaces-C-60C-36C-62 (csegen-24) (csegen-905) e-8))))))))) eff-2))))))))) (else (let ((e-8 (vector-ref e-7 1))) (lambda (eta-0) (vector 1 (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-863) (TTImpC-45InteractiveC-45CaseSplit-u--show_Show_SplitError e-8)))))))))) eff-1))))))))))))) ((2) (let ((e-7 (vector-ref arg-5 1))) (let ((e-8 (vector-ref arg-5 2))) (let ((e-9 (vector-ref arg-5 3))) (let ((eff-0 (IdrisC-45IDEModeC-45CaseSplit-getClause arg-0 arg-3 arg-4 e-8 e-9))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (if (null? e-5) (lambda (eta-0) (vector 1 (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-1529) e-9) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow ((csegen-0) "not defined here")))))) (let ((e-1 (unbox e-5))) (cond ((equal? e-7 1) (IdrisC-45REPL-updateFile arg-4 (lambda (eta-0) (IdrisC-45REPL-addClause e-1 (PreludeC-45Types-prim__integerToNat ((csegen-2038) e-8)) eta-0)))) (else (lambda (eta-0) (vector 1 (vector 0 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-863) e-1)))))))))) eff-1))))))))))) ((4) (let ((e-10 (vector-ref arg-5 1))) (let ((e-11 (vector-ref arg-5 2))) (let ((e-12 (vector-ref arg-5 3))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-lookupCtxtName e-12 (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-6) (lambda (eta-0) (vector 1 (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (csegen-4992) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-1529) e-12))))) (let ((e-1 (car e-6))) (let ((e-2 (cdr e-6))) (if (null? e-1) (lambda (eta-0) (vector 1 (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (csegen-4992) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-1529) e-12))))) (let ((e-8 (car e-1))) (let ((e-7 (cdr e-1))) (if (null? e-7) (lambda (eta-0) (vector 1 (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (csegen-4992) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-1529) e-12))))) (let ((e-9 (car e-7))) (let ((e-13 (cdr e-7))) (if (null? e-2) (let ((_-0 (cons (cons e-8 (cons e-9 e-13)) '()))) (IdrisC-45REPL-case--caseC-32blockC-32inC-32processEdit-8721 e-12 e-11 e-10 arg-4 arg-3 arg-2 arg-1 arg-0 e-5 e-8 e-9 e-13 _-0 (let ((e-17 (vector-ref e-13 17))) e-17))) (lambda (eta-0) (vector 1 (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (csegen-4992) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-1529) e-12))))))))))))))))) eff-2))))))))) eff-1))))))))))) ((3) (let ((e-13 (vector-ref arg-5 1))) (let ((e-14 (vector-ref arg-5 2))) (let ((e-15 (vector-ref arg-5 3))) (let ((e-16 (vector-ref arg-5 4))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-lookupCtxtName e-15 (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-6) (lambda (eta-0) (vector 1 (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (csegen-4992) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-1529) e-15))))) (let ((e-1 (car e-6))) (let ((e-2 (cdr e-6))) (if (null? e-1) (lambda (eta-0) (vector 1 (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (csegen-4992) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-1529) e-15))))) (let ((e-8 (car e-1))) (let ((e-7 (cdr e-1))) (if (null? e-7) (lambda (eta-0) (vector 1 (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (csegen-4992) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-1529) e-15))))) (let ((e-9 (car e-7))) (let ((e-10 (cdr e-7))) (if (null? e-2) (let ((_-0 (cons (cons e-8 (cons e-9 e-10)) '()))) (IdrisC-45REPL-case--caseC-32blockC-32inC-32processEdit-9323 e-16 e-15 e-14 e-13 arg-4 arg-3 arg-2 arg-1 arg-0 e-5 e-8 e-9 e-10 _-0 (let ((e-17 (vector-ref e-10 17))) e-17))) (lambda (eta-0) (vector 1 (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (csegen-4992) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-1529) e-15))))))))))))))))) eff-2))))))))) eff-1)))))))))))) ((5) (let ((e-17 (vector-ref arg-5 1))) (let ((e-18 (vector-ref arg-5 2))) (let ((e-19 (vector-ref arg-5 3))) (let ((e-20 (vector-ref arg-5 4))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 arg-2)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (unbox eff-2))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((u--brack (PreludeC-45Types-elemBy (csegen-16) (csegen-2552) e-19 (let ((e-9 (vector-ref e-6 9))) e-9)))) (let ((eff-2 (CoreC-45Context-lookupDefName e-19 (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (if (null? e-7) (lambda (eta-0) (vector 1 (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 ((csegen-331) "Unknown name") (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-1529) e-19))))) (let ((e-1 (car e-7))) (let ((e-2 (cdr e-7))) (if (null? e-1) (csegen-4944) (let ((e-9 (car e-1))) (let ((e-8 (cdr e-1))) (if (null? e-8) (csegen-4944) (let ((e-10 (car e-8))) (let ((e-11 (cdr e-8))) (case (vector-ref e-11 0) ((7) (let ((e-12 (vector-ref e-11 1))) (if (null? e-2) (let ((u--searchtm (TTImpC-45InteractiveC-45ExprSearch-exprSearch arg-0 arg-3 arg-1 arg-2 arg-4 (CoreC-45FC-replFC) e-19 e-20))) (let ((eff-3 (let ((eff-3 (let ((eff-3 arg-4)) (PrimIO-io_bind (let ((eff-4 eff-3)) (lambda (eta-0) (unbox eff-4))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-3 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-14 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 arg-4)) (PrimIO-io_bind (let ((eff-5 eff-4)) (lambda (eta-0) (set-box! eff-5 (let ((e-0 (vector-ref e-14 0))) (let ((e-32 (vector-ref e-14 1))) (let ((e-31 (vector-ref e-14 2))) (let ((e-3 (vector-ref e-14 3))) (let ((e-4 (vector-ref e-14 4))) (let ((e-30 (vector-ref e-14 5))) (let ((e-29 (vector-ref e-14 6))) (let ((e-28 (vector-ref e-14 7))) (let ((e-27 (vector-ref e-14 8))) (let ((e-26 (vector-ref e-14 9))) (let ((e-24 (vector-ref e-14 11))) (let ((e-23 (vector-ref e-14 12))) (let ((e-22 (vector-ref e-14 13))) (let ((e-21 (vector-ref e-14 14))) (let ((e-15 (vector-ref e-14 15))) (let ((e-16 (vector-ref e-14 16))) (vector e-0 e-32 e-31 e-3 e-4 e-30 e-29 e-28 e-27 e-26 (box (cons e-19 u--searchtm)) e-24 e-23 e-22 e-21 e-15 e-16)))))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-4))))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-3 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-4 (let ((eff-4 (IdrisC-45REPL-nextProofSearch arg-0 arg-1 arg-4))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-3 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-15 (vector-ref lcase-4 1))) (let ((eff-5 (if (null? e-15) (csegen-4996) (let ((e-3 (unbox e-15))) (let ((e-16 (cdr e-3))) (let ((u--tmC-39 (IdrisC-45REPL-dropLams e-12 e-16))) (let ((eff-5 (IdrisC-45Resugar-pterm arg-0 arg-2 ((csegen-2934) u--tmC-39)))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-4 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-22 (vector-ref lcase-5 1))) (let ((eff-6 (let ((u--itmC-39 (cond ((equal? u--brack 1) (IdrisC-45Resugar-addBracket (CoreC-45FC-replFC) e-22)) (else e-22)))) (cond ((equal? e-17 1) (IdrisC-45REPL-updateFile arg-4 (lambda (eta-0) (IdrisC-45REPL-proofSearch e-19 (IdrisC-45Syntax-u--show_Show_IPTerm u--itmC-39) (PreludeC-45Types-prim__integerToNat ((csegen-2038) (bs- e-18 1 63))) eta-0)))) (else (lambda (eta-0) (vector 1 (vector 0 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-prettyBy (csegen-3988) (lambda (eta-1) (vector 6 eta-1)) u--itmC-39))))))))) eff-6))))))))))))) eff-5))))))))) eff-4))))))) (csegen-4944)))) ((1) (let ((e-14 (vector-ref e-11 1))) (let ((e-15 (vector-ref e-11 2))) (let ((e-16 (vector-ref e-11 3))) (let ((e-22 (vector-ref e-11 4))) (let ((e-21 (vector-ref e-11 5))) (if (null? e-15) (case (vector-ref e-16 0) ((1) (let ((e-24 (vector-ref e-16 1))) (let ((e-23 (vector-ref e-16 2))) (if (null? e-2) (let ((bind-0 (cons (cons e-9 (cons e-10 (vector 1 e-14 '() (vector 1 e-24 e-23) e-22 e-21))) '()))) (IdrisC-45REPL-case--caseC-32blockC-32inC-32processEdit-11058 e-20 e-19 e-18 e-17 arg-4 arg-3 arg-2 arg-1 arg-0 e-5 e-6 u--brack e-22 e-21 e-24 e-9 e-10 e-23 e-14 bind-0 (let ((e-0 (vector-ref e-14 0))) e-0))) (csegen-4944)))))(else (csegen-4944))) (csegen-4944))))))))(else (csegen-4944)))))))))))))) eff-3)))))))))) eff-2))))))))) eff-1)))))))))))) ((6) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 arg-2)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (unbox eff-2))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (IdrisC-45REPL-nextProofSearch arg-0 arg-1 arg-4))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (if (null? e-7) (csegen-5001) (let ((e-1 (unbox e-7))) (let ((e-9 (car e-1))) (let ((e-8 (cdr e-1))) (let ((eff-3 (CoreC-45Context-lookupDefName e-9 (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (if (null? e-10) (csegen-4944) (let ((e-3 (car e-10))) (let ((e-2 (cdr e-10))) (if (null? e-3) (csegen-4944) (let ((e-11 (cdr e-3))) (if (null? e-11) (csegen-4944) (let ((e-13 (cdr e-11))) (case (vector-ref e-13 0) ((7) (let ((e-16 (vector-ref e-13 1))) (if (null? e-2) (let ((u--brack (PreludeC-45Types-elemBy (csegen-16) (csegen-2552) e-9 (let ((e-20 (vector-ref e-6 9))) e-20)))) (let ((u--tmC-39 (IdrisC-45REPL-dropLams e-16 e-8))) (let ((eff-4 (IdrisC-45Resugar-pterm arg-0 arg-2 ((csegen-2934) u--tmC-39)))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-4 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-17 (vector-ref lcase-4 1))) (let ((eff-5 (let ((u--itmC-39 (cond ((equal? u--brack 1) (IdrisC-45Resugar-addBracket (CoreC-45FC-replFC) e-17)) (else e-17)))) (lambda (eta-0) (vector 1 (vector 0 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-prettyBy (csegen-3988) (lambda (eta-1) (vector 6 eta-1)) u--itmC-39))))))) eff-5))))))))) (csegen-4944))))(else (csegen-4944)))))))))))) eff-4))))))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))) ((7) (let ((e-21 (vector-ref arg-5 1))) (let ((e-22 (vector-ref arg-5 2))) (let ((e-23 (vector-ref arg-5 3))) (let ((e-24 (vector-ref arg-5 4))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Metadata-findTyDeclAt arg-3 (lambda (u--p) (lambda (u--n) (CoreC-45FC-onLine (bs- e-22 1 63) u--p)))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-6) (lambda (eta-0) (vector 1 (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (csegen-5011) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-1529) e-23) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 ((csegen-331) "on line") (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-byShow (csegen-583) e-22))))))) (let ((e-1 (unbox e-6))) (let ((e-8 (car e-1))) (let ((e-7 (cdr e-1))) (let ((e-9 (car e-7))) (let ((e-10 (cdr e-7))) (let ((e-13 (car e-10))) (let ((e-14 (cdr e-10))) (let ((eff-2 (CoreC-45Context-lookupDefExact e-9 (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-11 (vector-ref lcase-2 1))) (let ((eff-3 (let ((_-0 (box (cons e-8 (cons e-9 (cons e-13 e-14)))))) (if (null? e-11) (lambda (eta-0) (vector 1 (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (csegen-5011) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-1529) e-23))))) (let ((e-2 (unbox e-11))) (case (vector-ref e-2 0) ((0) (let ((u--searchdef (TTImpC-45InteractiveC-45GenerateDef-makeDefSort arg-0 arg-3 arg-1 arg-2 arg-4 (lambda (u--p) (lambda (u--n) (CoreC-45FC-onLine (bs- e-22 1 63) u--p))) 16 (lambda (eta-0) (lambda (eta-1) (TTImpC-45InteractiveC-45GenerateDef-mostUsed eta-0 eta-1))) e-9))) (let ((eff-3 (let ((eff-3 (let ((eff-3 arg-4)) (PrimIO-io_bind (let ((eff-4 eff-3)) (lambda (eta-0) (unbox eff-4))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-3 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-12 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 arg-4)) (PrimIO-io_bind (let ((eff-5 eff-4)) (lambda (eta-0) (set-box! eff-5 (let ((e-0 (vector-ref e-12 0))) (let ((e-32 (vector-ref e-12 1))) (let ((e-31 (vector-ref e-12 2))) (let ((e-3 (vector-ref e-12 3))) (let ((e-4 (vector-ref e-12 4))) (let ((e-30 (vector-ref e-12 5))) (let ((e-29 (vector-ref e-12 6))) (let ((e-28 (vector-ref e-12 7))) (let ((e-27 (vector-ref e-12 8))) (let ((e-26 (vector-ref e-12 9))) (let ((e-25 (vector-ref e-12 10))) (let ((e-19 (vector-ref e-12 12))) (let ((e-18 (vector-ref e-12 13))) (let ((e-17 (vector-ref e-12 14))) (let ((e-15 (vector-ref e-12 15))) (let ((e-16 (vector-ref e-12 16))) (vector e-0 e-32 e-31 e-3 e-4 e-30 e-29 e-28 e-27 e-26 e-25 (box (cons e-22 u--searchdef)) e-19 e-18 e-17 e-15 e-16)))))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-4))))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-3 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-4 (let ((eff-4 (IdrisC-45REPL-nextGenDef arg-0 arg-1 arg-4 e-24))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-3 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-15 (vector-ref lcase-4 1))) (let ((eff-5 (let ((bind-0 (box (vector 0 )))) (if (null? e-15) (csegen-4996) (let ((e-3 (unbox e-15))) (let ((e-17 (car e-3))) (let ((e-16 (cdr e-3))) (let ((e-19 (car e-16))) (let ((e-18 (cdr e-16))) (let ((u--l (PreludeC-45Types-prim__integerToNat ((csegen-2038) (CoreC-45FC-startCol (CoreC-45FC-toNonEmptyFC e-19)))))) (let ((eff-5 (IdrisC-45REPLC-45Opts-getSourceLine arg-4 e-22))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-4 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-20 (vector-ref lcase-5 1))) (let ((eff-6 (let ((_-1 (box (cons e-17 (cons e-19 e-18))))) (if (null? e-20) (csegen-5006) (let ((e-4 (unbox e-20))) (let ((_-2 (box e-4))) (IdrisC-45REPL-case--caseC-32blockC-32inC-32caseC-32blockC-32inC-32caseC-32blockC-32inC-32caseC-32blockC-32inC-32processEdit-11904 e-24 e-23 e-22 e-21 arg-4 arg-3 arg-2 arg-1 arg-0 e-5 e-14 e-13 e-8 e-9 _-0 bind-0 u--searchdef e-17 e-19 e-18 _-1 u--l e-4 _-2 (ParserC-45Unlit-isLitLine e-4)))))))) eff-6))))))))))))))))) eff-5))))))))) eff-4))))))))(else (lambda (eta-0) (vector 1 (vector 1 ((csegen-331) "Already defined"))))))))))) eff-3))))))))))))))))) eff-2))))))))) eff-1)))))))))))) ((8) (let ((eff-0 (IdrisC-45REPL-nextGenDef arg-0 arg-1 arg-4 0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (if (null? e-5) (csegen-5001) (let ((e-1 (unbox e-5))) (let ((e-7 (car e-1))) (let ((e-6 (cdr e-1))) (let ((e-9 (car e-6))) (let ((e-10 (cdr e-6))) (let ((u--l (PreludeC-45Types-prim__integerToNat ((csegen-2038) (CoreC-45FC-startCol (CoreC-45FC-toNonEmptyFC e-9)))))) (let ((eff-1 (IdrisC-45REPLC-45Opts-getSourceLine arg-4 e-7))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-8) (csegen-5006) (let ((e-2 (unbox e-8))) (let ((sc7 (ParserC-45Unlit-isLitLine e-2))) (let ((e-4 (car sc7))) (let ((eff-2 (CoreC-45Core-traverseC-39 (lambda (eta-0) (IdrisC-45REPL-printClause arg-0 arg-2 e-4 u--l eta-0)) e-10 '()))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-11 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (vector 0 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vsep (PreludeC-45Interfaces-C-60C-36C-62 (csegen-24) (csegen-905) e-11))))))) eff-3))))))))))))) eff-2)))))))))))))))) eff-1)))))))) ((9) (let ((e-25 (vector-ref arg-5 1))) (let ((e-26 (vector-ref arg-5 2))) (let ((e-27 (vector-ref arg-5 3))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 arg-2)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (unbox eff-2))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((u--brack (PreludeC-45Types-elemBy (csegen-16) (csegen-2552) e-27 (let ((e-9 (vector-ref e-6 9))) e-9)))) (let ((eff-2 (IdrisC-45REPL-lookupDefTyName e-27 (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (if (null? e-7) (csegen-5015) (let ((e-1 (car e-7))) (let ((e-2 (cdr e-7))) (if (null? e-1) (csegen-5015) (let ((e-8 (cdr e-1))) (if (null? e-8) (csegen-5015) (let ((e-10 (cdr e-8))) (if (null? e-10) (csegen-5015) (let ((e-13 (car e-10))) (let ((e-14 (cdr e-10))) (case (vector-ref e-13 0) ((7) (let ((e-15 (vector-ref e-13 1))) (if (null? e-2) (let ((eff-3 (TTImpC-45InteractiveC-45MakeLemma-makeLemma arg-3 arg-0 arg-2 (CoreC-45FC-replFC) e-27 e-15 e-14))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-3 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-12 (vector-ref lcase-3 1))) (let ((eff-4 (let ((e-4 (car e-12))) (let ((e-3 (cdr e-12))) (let ((eff-4 (IdrisC-45Resugar-pterm arg-0 arg-2 ((csegen-2934) e-4)))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-17 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-17)))) (else (let ((e-17 (vector-ref lcase-4 1))) (let ((eff-5 (let ((eff-5 (IdrisC-45Resugar-pterm arg-0 arg-2 ((csegen-2934) e-3)))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-18 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-18)))) (else (let ((e-18 (vector-ref lcase-5 1))) (let ((eff-6 (let ((u--pappstr (IdrisC-45Syntax-u--show_Show_IPTerm (cond ((equal? u--brack 1) (IdrisC-45Resugar-addBracket (CoreC-45FC-replFC) e-18)) (else e-18))))) (let ((eff-6 (IdrisC-45REPLC-45Opts-getSourceLine arg-4 e-26))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-19 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-19)))) (else (let ((e-19 (vector-ref lcase-6 1))) (let ((eff-7 (if (null? e-19) (csegen-5006) (let ((e-20 (unbox e-19))) (let ((sc16 (ParserC-45Unlit-isLitLine e-20))) (let ((e-22 (car sc16))) (cond ((equal? e-25 1) (IdrisC-45REPL-updateFile arg-4 (lambda (eta-0) (IdrisC-45REPL-addMadeLemma e-22 e-27 (IdrisC-45Syntax-u--show_Show_IPTerm e-17) u--pappstr (PreludeC-45Types-u--max_Ord_Nat 0 (PreludeC-45Types-prim__integerToNat ((csegen-2038) (bs- e-26 1 63)))) eta-0)))) (else (lambda (eta-0) (vector 1 (vector 2 e-22 e-27 e-17 u--pappstr))))))))))) eff-7)))))))))) eff-6))))))))) eff-5))))))))))) eff-4))))))) (csegen-5015))))(else (csegen-5015))))))))))))))) eff-3)))))))))) eff-2))))))))) eff-1))))))))))) ((10) (let ((e-28 (vector-ref arg-5 1))) (let ((e-29 (vector-ref arg-5 2))) (let ((e-30 (vector-ref arg-5 3))) (let ((eff-0 (IdrisC-45REPLC-45Opts-getLitStyle arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 arg-2)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (unbox eff-2))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((u--brack (PreludeC-45Types-elemBy (csegen-16) (csegen-2552) e-30 (let ((e-9 (vector-ref e-6 9))) e-9)))) (let ((eff-2 (IdrisC-45REPLC-45Opts-getSourceLine arg-4 e-29))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (if (null? e-7) (csegen-5021) (let ((e-1 (unbox e-7))) (let ((sc5 (ParserC-45Unlit-unlit e-5 e-1))) (case (vector-ref sc5 0) ((1) (let ((e-2 (vector-ref sc5 1))) (let ((sc6 (ParserC-45Unlit-isLitLine e-1))) (let ((e-4 (car sc6))) (let ((u--c (DataC-45String-lines (IdrisC-45IDEModeC-45MakeClause-makeCase u--brack e-30 e-2)))) (cond ((equal? e-28 1) (IdrisC-45REPL-updateFile arg-4 (lambda (eta-0) (IdrisC-45REPL-addMadeCase e-4 u--c (PreludeC-45Types-u--max_Ord_Nat 0 (PreludeC-45Types-prim__integerToNat ((csegen-2038) (bs- e-29 1 63)))) eta-0)))) (else (lambda (eta-0) (vector 1 (vector 4 e-4 u--c)))))))))) (else (csegen-5017)))))))) eff-3)))))))))) eff-2))))))))) eff-1))))))))))) (else (let ((e-31 (vector-ref arg-5 1))) (let ((e-32 (vector-ref arg-5 2))) (let ((e-33 (vector-ref arg-5 3))) (let ((eff-0 (IdrisC-45REPLC-45Opts-getLitStyle arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (IdrisC-45REPLC-45Opts-getSourceLine arg-4 e-32))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-6) (csegen-5021) (let ((e-1 (unbox e-6))) (let ((sc4 (ParserC-45Unlit-unlit e-5 e-1))) (case (vector-ref sc4 0) ((1) (let ((e-2 (vector-ref sc4 1))) (let ((sc5 (ParserC-45Unlit-isLitLine e-1))) (let ((e-4 (car sc5))) (let ((u--w (DataC-45String-lines (IdrisC-45IDEModeC-45MakeClause-makeWith e-33 e-2)))) (cond ((equal? e-31 1) (IdrisC-45REPL-updateFile arg-4 (lambda (eta-0) (IdrisC-45REPL-addMadeCase e-4 u--w (PreludeC-45Types-u--max_Ord_Nat 0 (PreludeC-45Types-prim__integerToNat ((csegen-2038) (bs- e-32 1 63)))) eta-0)))) (else (lambda (eta-0) (vector 1 (vector 3 e-4 u--w)))))))))) (else (csegen-5017)))))))) eff-2))))))))) eff-1))))))))))))))
(define IdrisC-45REPL-processCatch (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (let ((eff-0 (CoreC-45Context-branch arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 arg-1)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (unbox eff-2))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (let ((eff-2 arg-2)) (PrimIO-io_bind (let ((eff-3 eff-2)) (lambda (eta-0) (unbox eff-3))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (let ((eff-3 arg-4)) (PrimIO-io_bind (let ((eff-4 eff-3)) (lambda (eta-0) (unbox eff-4))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (CoreC-45Core-u--catch_Catchable_Core_Error (let ((eff-4 (IdrisC-45REPL-process arg-0 arg-1 arg-2 arg-3 arg-4 arg-5))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (let ((eff-5 (CoreC-45Context-commit arg-0))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-6 (lambda (eta-0) (vector 1 e-9)))) eff-6)))))))) eff-5))))))) (lambda (u--err) (let ((eff-4 (let ((eff-4 arg-0)) (PrimIO-io_bind (let ((eff-5 eff-4)) (lambda (eta-0) (set-box! eff-5 e-5))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-5 (let ((eff-5 (let ((eff-5 arg-1)) (PrimIO-io_bind (let ((eff-6 eff-5)) (lambda (eta-0) (set-box! eff-6 e-6))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-6 (let ((eff-6 (let ((eff-6 arg-2)) (PrimIO-io_bind (let ((eff-7 eff-6)) (lambda (eta-0) (set-box! eff-7 e-7))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-2 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-7 (let ((eff-7 (let ((eff-7 arg-4)) (PrimIO-io_bind (let ((eff-8 eff-7)) (lambda (eta-0) (set-box! eff-8 e-8))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-2 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-8 (let ((eff-8 (IdrisC-45Error-display arg-0 arg-2 arg-4 u--err))) (PrimIO-io_bind eff-8 (csegen-5022))))) eff-8)))))))) eff-7)))))))) eff-6)))))))) eff-5)))))))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))
(define IdrisC-45REPL-process (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (case (vector-ref arg-5 0) ((0) (let ((e-0 (vector-ref arg-5 1))) (IdrisC-45REPL-execDecls arg-0 arg-1 arg-2 arg-3 arg-4 e-0))) ((1) (let ((e-1 (vector-ref arg-5 1))) (let ((eff-0 (let ((eff-0 arg-4)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--emode (let ((e-18 (vector-ref e-5 1))) e-18))) (cond ((equal? u--emode 2) (let ((eff-1 (let ((eff-1 (IdrisC-45REPL-execExp arg-0 arg-1 arg-2 arg-3 arg-4 e-1))) (((csegen-50) ((let ((eff-2 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-6 (vector-ref eta-3 1))) (vector 1 (eta-2 e-6))))))))))) (lambda (arg-6) (lambda (arg-7) ((((eff-2 'erased) 'erased) arg-6) arg-7)))) (lambda (_-8679) (vector 0 )))) eff-1)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (lambda (eta-0) (vector 1 (vector 2 e-1))))) eff-2))))))) ((equal? u--emode 3) (let ((eff-1 (IdrisC-45REPL-inferAndElab '() arg-0 arg-1 arg-2 arg-3 arg-4 (vector 2 ) e-1 '()))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((e-3 (car e-6))) (let ((eff-2 (let ((eff-2 (IdrisC-45REPLC-45Opts-getEvalTiming arg-4))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (CoreC-45ContextC-45Log-logTimeWhen arg-0 e-7 0 (lambda () ((csegen-0) "Evaluation")) (let ((eff-3 (CoreC-45SchemeEval-snfAll arg-0 '() '() e-3))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-4 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (CoreC-45SchemeEvalC-45Quote-quote arg-0 '() '() e-8))) eff-4)))))))))) eff-3))))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45ContextC-45Log-logTimeWhen arg-0 0 0 (lambda () ((csegen-0) "Resugar")) (IdrisC-45Resugar-resugar '() arg-0 arg-2 '() e-7)))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-4 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 5 e-8 '()))))) eff-4))))))))) eff-3)))))))))) eff-2))))))))(else (let ((eff-1 (let ((eff-1 (IdrisC-45REPLC-45Opts-getEvalTiming arg-4))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45ContextC-45Log-logTimeWhen arg-0 e-6 0 (lambda () "Evaluation") (IdrisC-45REPL-inferAndNormalize arg-0 arg-1 arg-2 arg-3 arg-4 u--emode e-1)))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((e-3 (car e-6))) (let ((e-2 (cdr e-6))) (let ((eff-2 (IdrisC-45Resugar-resugar '() arg-0 arg-2 '() e-3))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (let ((eff-3 arg-0)) (PrimIO-io_bind (let ((eff-4 eff-3)) (lambda (eta-0) (unbox eff-4))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-4 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (let ((eff-4 arg-4)) (PrimIO-io_bind (let ((eff-5 eff-4)) (lambda (eta-0) (unbox eff-5))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-4 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (let ((u--norm (lambda (eta-0) (lambda (eta-1) (IdrisC-45REPL-replEval arg-0 '() u--emode eta-0 eta-1))))) (let ((eff-5 (let ((eff-5 (CoreC-45UnifyState-genName arg-0 arg-1 ((csegen-0) "evalResult")))) (((csegen-50) ((let ((eff-6 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-4 (vector-ref eta-3 1))) (vector 0 e-4))) (else (let ((e-10 (vector-ref eta-3 1))) (vector 1 (eta-2 e-10))))))))))) (lambda (arg-6) (lambda (arg-7) ((((eff-6 'erased) 'erased) arg-6) arg-7)))) (lambda (eta-0) (vector 4 "it" eta-0)))) eff-5)))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-4 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-10 (vector-ref lcase-5 1))) (let ((eff-6 (let ((eff-6 (let ((eff-6 (CoreC-45Context-addDef arg-0 e-10 (CoreC-45Context-newDef (CoreC-45FC-replFC) e-10 (AlgebraC-45ZeroOneOmega-u--top_Top_ZeroOneOmega) '() e-2 0 (vector 1 (CoreC-45ContextC-45Context-defaultPI) '() (vector 1 0 e-3) (vector 1 0 e-3) '()))))) (((csegen-50) ((let ((eff-7 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-4 (vector-ref eta-3 1))) (vector 0 e-4))) (else (let ((e-11 (vector-ref eta-3 1))) (vector 1 (eta-2 e-11))))))))))) (lambda (arg-6) (lambda (arg-7) ((((eff-7 'erased) 'erased) arg-6) arg-7)))) (lambda (_-8679) (vector 0 )))) eff-6)))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-4 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-7 (let ((eff-7 (CoreC-45Context-addToSave arg-0 e-10))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-4 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-8 (let ((eff-8 (let ((eff-8 arg-4)) (PrimIO-io_bind (let ((eff-9 eff-8)) (lambda (eta-0) (set-box! eff-9 (let ((e-0 (vector-ref e-9 0))) (let ((e-27 (vector-ref e-9 1))) (let ((e-26 (vector-ref e-9 2))) (let ((e-25 (vector-ref e-9 3))) (let ((e-4 (vector-ref e-9 4))) (let ((e-24 (vector-ref e-9 5))) (let ((e-23 (vector-ref e-9 6))) (let ((e-22 (vector-ref e-9 7))) (let ((e-21 (vector-ref e-9 8))) (let ((e-20 (vector-ref e-9 9))) (let ((e-19 (vector-ref e-9 10))) (let ((e-18 (vector-ref e-9 11))) (let ((e-13 (vector-ref e-9 13))) (let ((e-14 (vector-ref e-9 14))) (let ((e-15 (vector-ref e-9 15))) (let ((e-16 (vector-ref e-9 16))) (vector e-0 e-27 e-26 e-25 e-4 e-24 e-23 e-22 e-21 e-20 e-19 e-18 (box e-10) e-13 e-14 e-15 e-16)))))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-8 (lambda (lcase-8) (case (vector-ref lcase-8 0) ((0) (let ((e-4 (vector-ref lcase-8 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-9 (let ((sc11 (let ((e-0 (vector-ref e-9 0))) e-0))) (cond ((equal? sc11 1) (let ((eff-9 (let ((eff-9 (((u--norm e-8) '()) e-2))) (PrimIO-io_bind eff-9 (lambda (lcase-9) (case (vector-ref lcase-9 0) ((0) (let ((e-4 (vector-ref lcase-9 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-14 (vector-ref lcase-9 1))) (let ((eff-10 (IdrisC-45Resugar-resugar '() arg-0 arg-2 '() e-14))) eff-10))))))))) (PrimIO-io_bind eff-9 (lambda (lcase-9) (case (vector-ref lcase-9 0) ((0) (let ((e-4 (vector-ref lcase-9 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-14 (vector-ref lcase-9 1))) (let ((eff-10 (lambda (eta-0) (vector 1 (vector 5 e-7 (box e-14)))))) eff-10)))))))) (else (lambda (eta-0) (vector 1 (vector 5 e-7 '())))))))) eff-9)))))))) eff-8)))))))) eff-7)))))))) eff-6)))))))))) eff-5))))))))) eff-4))))))))) eff-3))))))))))) eff-2)))))))))))) eff-1))))))))) ((2) (let ((e-2 (vector-ref arg-5 1))) (case (vector-ref e-2 0) ((0) (let ((e-28 (vector-ref e-2 1))) (let ((e-29 (vector-ref e-2 2))) (case (vector-ref e-29 0) ((1) (let ((e-30 (vector-ref e-29 1))) (case (vector-ref e-30 0) ((0) (let ((e-31 (vector-ref e-30 1))) (cond ((equal? e-31 "it") (let ((eff-0 (let ((eff-0 arg-4)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((e-12 (vector-ref e-5 12))) (if (null? e-12) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 7 e-28 (vector 1 (vector 0 "it"))) eta-0)) (let ((e-19 (unbox e-12))) (IdrisC-45REPL-process arg-0 arg-1 arg-2 arg-3 arg-4 (vector 2 (vector 0 e-28 e-19)))))))) eff-1))))))))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-lookupCtxtName e-29 (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-3 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-6) (CoreC-45Context-undefinedName arg-0 e-28 e-29) (let ((eff-2 (CoreC-45Core-traverseC-39 (lambda (eta-0) (IdrisC-45DocC-45Display-displayType arg-0 arg-2 0 e-5 eta-0)) e-6 '()))) (PrimIO-io_bind eff-2 (csegen-5027)))))) eff-2))))))))) eff-1)))))))))))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-lookupCtxtName e-29 (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-3 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-6) (CoreC-45Context-undefinedName arg-0 e-28 e-29) (let ((eff-2 (CoreC-45Core-traverseC-39 (lambda (eta-0) (IdrisC-45DocC-45Display-displayType arg-0 arg-2 0 e-5 eta-0)) e-6 '()))) (PrimIO-io_bind eff-2 (csegen-5027)))))) eff-2))))))))) eff-1)))))))))))(else (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-lookupCtxtName e-29 (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-3 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-6) (CoreC-45Context-undefinedName arg-0 e-28 e-29) (let ((eff-2 (CoreC-45Core-traverseC-39 (lambda (eta-0) (IdrisC-45DocC-45Display-displayType arg-0 arg-2 0 e-5 eta-0)) e-6 '()))) (PrimIO-io_bind eff-2 (csegen-5027)))))) eff-2))))))))) eff-1))))))))))))(else (let ((eff-0 (IdrisC-45REPL-inferAndElab '() arg-0 arg-1 arg-2 arg-3 arg-4 (vector 2 ) e-2 '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((e-1 (car e-5))) (let ((e-3 (cdr e-5))) (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (unbox eff-2))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (let ((eff-2 (CoreC-45Normalise-normaliseHoles arg-0 '() e-6 '() e-1))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (IdrisC-45Resugar-resugar '() arg-0 arg-2 '() e-7))) eff-3))))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (let ((eff-3 (CoreC-45Normalise-normalise arg-0 '() e-6 '() e-3))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-4 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (IdrisC-45Resugar-resugar '() arg-0 arg-2 '() e-8))) eff-4))))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-4 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 8 e-7 e-8))))) eff-4))))))))) eff-3))))))))) eff-2))))))))))) eff-1))))))))))) ((3) (let ((e-3 (vector-ref arg-5 1))) (let ((eff-0 (let ((eff-0 (CoreC-45Context-getPPrint arg-0))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-6) (lambda (arg-7) ((((eff-1 'erased) 'erased) arg-6) arg-7)))) (lambda (eta-0) (let ((e-0 (vector-ref eta-0 0))) e-0)))) eff-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (IdrisC-45REPL-setOpt arg-0 arg-4 (vector 0 1)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (IdrisC-45REPL-process arg-0 arg-1 arg-2 arg-3 arg-4 (vector 2 e-3)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (IdrisC-45REPL-setOpt arg-0 arg-4 (vector 0 e-5)))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-4 (lambda (eta-0) (vector 1 e-7)))) eff-4)))))))) eff-3))))))))) eff-2)))))))) eff-1))))))))) ((4) (let ((e-4 (vector-ref arg-5 1))) (case (vector-ref e-4 0) ((0) (let ((e-33 (vector-ref e-4 1))) (let ((e-34 (vector-ref e-4 2))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-lookupCtxtName e-34 (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-6) (CoreC-45Context-undefinedName arg-0 e-33 e-34) (let ((eff-2 (CoreC-45Core-traverseC-39 (lambda (eta-0) (IdrisC-45DocC-45Display-displayPats arg-0 arg-2 0 e-5 eta-0)) e-6 '()))) (PrimIO-io_bind eff-2 (csegen-5027)))))) eff-2))))))))) eff-1))))))))))(else (let ((eff-0 (IdrisC-45DocC-45String-getDocsForImplementation arg-2 arg-0 e-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (clam-0) (if (null? e-5) (vector 1 (vector 6 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-863) (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons ((csegen-0) "Error: could not find definition of ") (cons ((csegen-0) (IdrisC-45Syntax-u--show_Show_PTerm e-4)) '())))))) (let ((e-1 (unbox e-5))) (vector 1 (vector 6 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-reAnnotate (lambda (eta-0) (vector 6 eta-0)) e-1)))))))) eff-1))))))))))) ((5) (let ((eff-0 (let ((eff-0 arg-4)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((e-3 (vector-ref e-5 3))) (if (null? e-3) (lambda (eta-0) (vector 1 (vector 14 ))) (let ((e-18 (unbox e-3))) (IdrisC-45REPL-loadMainFile arg-0 arg-1 arg-2 arg-3 arg-4 e-18)))))) eff-1)))))))) ((6) (let ((e-5 (vector-ref arg-5 1))) (let ((eff-0 (let ((eff-0 (let ((eff-0 arg-4)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 arg-4)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (let ((e-0 (vector-ref e-6 0))) (let ((e-1 (vector-ref e-6 1))) (let ((e-2 (vector-ref e-6 2))) (let ((e-4 (vector-ref e-6 4))) (let ((e-18 (vector-ref e-6 5))) (let ((e-17 (vector-ref e-6 6))) (let ((e-7 (vector-ref e-6 7))) (let ((e-8 (vector-ref e-6 8))) (let ((e-9 (vector-ref e-6 9))) (let ((e-10 (vector-ref e-6 10))) (let ((e-11 (vector-ref e-6 11))) (let ((e-12 (vector-ref e-6 12))) (let ((e-13 (vector-ref e-6 13))) (let ((e-14 (vector-ref e-6 14))) (let ((e-15 (vector-ref e-6 15))) (let ((e-16 (vector-ref e-6 16))) (vector e-0 e-1 e-2 (box e-5) e-4 e-18 e-17 e-7 e-8 e-9 e-10 e-11 e-12 e-13 e-14 e-15 e-16)))))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-1))))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (IdrisC-45REPL-loadMainFile arg-0 arg-1 arg-2 arg-3 arg-4 e-5))) eff-1)))))))) ((7) (let ((e-6 (vector-ref arg-5 1))) (CoreC-45Core-u--catch_Catchable_Core_Error (let ((eff-0 (IdrisC-45ProcessIdr-addImport arg-0 arg-1 arg-2 (vector (CoreC-45FC-emptyFC) 0 e-6 (CoreC-45NameC-45Namespace-miAsNamespace e-6))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (lambda (eta-0) (vector 1 (vector 10 (CoreC-45NameC-45Namespace-u--show_Show_ModuleIdent e-6)))))) eff-1)))))) (lambda (u--err) (lambda (eta-0) (vector 1 (vector 11 (CoreC-45NameC-45Namespace-u--show_Show_ModuleIdent e-6) u--err))))))) ((18) (let ((e-7 (vector-ref arg-5 1))) (let ((eff-0 (CoreC-45Context-setWorkingDir arg-0 e-7))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (csegen-5031))) eff-1)))))))) ((19) (csegen-5031)) ((8) (let ((eff-0 (let ((eff-0 arg-4)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (IdrisC-45REPL-case--process-15668 arg-4 arg-3 arg-2 arg-1 arg-0 e-5 (let ((e-3 (vector-ref e-5 3))) e-3)))) eff-1)))))))) ((9) (let ((e-8 (vector-ref arg-5 1))) (let ((e-9 (vector-ref arg-5 2))) (IdrisC-45REPL-compileExp arg-0 arg-1 arg-2 arg-3 arg-4 e-8 e-9)))) ((10) (let ((e-10 (vector-ref arg-5 1))) (IdrisC-45REPL-execExp arg-0 arg-1 arg-2 arg-3 arg-4 e-10))) ((11) (let ((e-11 (vector-ref arg-5 1))) (lambda (clam-1) (if (null? e-11) (vector 1 (vector 3 )) (let ((e-35 (unbox e-11))) (vector 1 (vector 4 e-35))))))) ((12) (let ((e-12 (vector-ref arg-5 1))) (let ((eff-0 (CoreC-45Context-branch arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--curr (let ((e-2 (vector-ref e-5 2))) e-2))) (let ((u--ctxt (let ((e-0 (vector-ref e-5 0))) e-0))) (let ((eff-1 (IdrisC-45Desugar-desugar arg-2 arg-0 arg-3 arg-1 arg-4 1 '() e-12))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45BindImplicits-piBindNames arg-0 (CoreC-45FC-replFC) '() e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (TTImpC-45Elab-elabTerm '() arg-0 arg-3 arg-1 arg-2 arg-4 0 (vector 0 ) '() '() '() e-7 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((e-2 (car e-8))) (let ((eff-4 (CoreC-45Context-toResolvedNames arg-0 (csegen-105) e-2))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-4 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (let ((eff-5 (let ((eff-5 (CoreC-45Context-allNames u--ctxt))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-4 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-10 (vector-ref lcase-5 1))) (let ((eff-6 (let ((eff-6 (CoreC-45Core-traverseC-39 (lambda (eta-0) (PreludeC-45Basics-flip (csegen-5034) u--ctxt eta-0)) e-10 '()))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-4 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-11 (vector-ref lcase-6 1))) (let ((eff-7 (let ((u--defs (PreludeC-45Basics-flip (csegen-2086) e-11 (lambda (u--md) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe u--md (lambda (u--d) (PreludeC-45Interfaces-C-62C-62 (csegen-614) (PreludeC-45Interfaces-guard (csegen-326) (CoreC-45Context-visibleIn u--curr (let ((e-1 (vector-ref u--d 1))) e-1) (let ((e-25 (vector-ref u--d 9))) e-25))) (lambda () (PreludeC-45Interfaces-C-62C-62 (csegen-614) (PreludeC-45Interfaces-guard (csegen-326) (DataC-45Maybe-isJust (CoreC-45Name-userNameRoot (let ((e-1 (vector-ref u--d 1))) e-1)))) (lambda () (box u--d))))))))))) (let ((eff-7 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45Context-u--resolved_HasNames_GlobalDef u--ctxt eta-0)) u--defs '()))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-4 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-13 (vector-ref lcase-7 1))) (let ((eff-8 (CoreC-45Core-filterM (lambda (u--def) (IdrisC-45REPLC-45Common-equivTypes arg-0 (let ((e-32 (vector-ref u--def 2))) e-32) e-9)) e-13))) eff-8)))))))))) eff-7))))))))) eff-6))))))))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-4 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-10 (vector-ref lcase-5 1))) (let ((eff-6 (let ((eff-6 (let ((eff-6 arg-0)) (PrimIO-io_bind (let ((eff-7 eff-6)) (lambda (eta-0) (set-box! eff-7 e-5))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-4 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-7 (let ((eff-7 (CoreC-45Core-traverseC-39 (lambda (eta-0) (IdrisC-45REPLC-45Common-docsOrSignature arg-4 arg-0 arg-2 (CoreC-45FC-replFC) eta-0)) (PreludeC-45Interfaces-C-60C-36C-62 (csegen-24) (csegen-5035) e-10) '()))) (PrimIO-io_bind eff-7 (csegen-5036))))) eff-7)))))))) eff-6))))))))) eff-5)))))))))) eff-4))))))))) eff-3))))))))) eff-2))))))))))) eff-1))))))))) ((20) (let ((e-13 (vector-ref arg-5 1))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-lookupCtxtName e-13 (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-6) (CoreC-45Context-undefinedName arg-0 (CoreC-45FC-replFC) e-13) (let ((eff-2 (CoreC-45Core-traverseC-39 (lambda (u--fn) (let ((eff-2 (CoreC-45Context-getTotality arg-0 (CoreC-45FC-replFC) u--fn))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((e-1 (cdr e-7))) (case (vector-ref e-1 0) ((1) (let ((e-2 (vector-ref e-1 1))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (IdrisC-45REPL-displayPatTerm arg-0 arg-2 e-5 eta-0)) e-2 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-3 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 0 u--fn e-8))))) eff-4))))))))) ((2) (let ((e-2 (vector-ref e-1 1))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45Context-getFullName arg-0 eta-0)) e-2 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-3 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 1 u--fn e-8))))) eff-4)))))))))(else (lambda (eta-0) (vector 1 (vector 2 u--fn)))))))) eff-3)))))))) ((csegen-101) e-6) '()))) (((csegen-50) ((let ((eff-3 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-7 (vector-ref eta-3 1))) (vector 1 (eta-2 e-7))))))))))) (lambda (arg-6) (lambda (arg-7) ((((eff-3 'erased) 'erased) arg-6) arg-7)))) (lambda (eta-0) (vector 19 eta-0)))) eff-2))))) eff-2))))))))) eff-1))))))))) ((21) (let ((e-14 (vector-ref arg-5 1))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-lookupCtxtName e-14 (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-6) (CoreC-45Context-undefinedName arg-0 (CoreC-45FC-replFC) e-14) (let ((eff-2 (CoreC-45Core-traverseC-39 (lambda (u--fn) (let ((eff-2 (let ((eff-2 (CoreC-45Termination-checkTotal arg-0 (CoreC-45FC-replFC) u--fn))) (((csegen-50) ((let ((eff-3 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-7 (vector-ref eta-3 1))) (vector 1 (eta-2 e-7))))))))))) (lambda (arg-6) (lambda (arg-7) ((((eff-3 'erased) 'erased) arg-6) arg-7)))) (lambda (_-8679) (vector 0 )))) eff-2)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (let ((eff-3 (let ((eff-3 (CoreC-45Context-getTotality arg-0 (CoreC-45FC-replFC) u--fn))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (CoreC-45Context-toFullNames arg-0 (cons (lambda (arg-6988) (lambda (arg-6991) (CoreC-45Context-u--full_HasNames_Totality arg-6988 arg-6991))) (lambda (arg-6998) (lambda (arg-7001) (CoreC-45Context-u--resolved_HasNames_Totality arg-6998 arg-7001)))) e-8))) eff-4))))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (cons u--fn e-8))))) eff-4))))))))) eff-3))))))) ((csegen-101) e-6) '()))) (((csegen-50) ((let ((eff-3 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-7 (vector-ref eta-3 1))) (vector 1 (eta-2 e-7))))))))))) (lambda (arg-6) (lambda (arg-7) ((((eff-3 'erased) 'erased) arg-6) arg-7)))) (lambda (eta-0) (vector 20 eta-0)))) eff-2))))) eff-2))))))))) eff-1))))))))) ((22) (let ((e-15 (vector-ref arg-5 1))) (let ((eff-0 (IdrisC-45DocC-45String-getDocs arg-4 arg-0 arg-2 e-15))) (PrimIO-io_bind eff-0 (csegen-5040))))) ((23) (let ((e-16 (vector-ref arg-5 1))) (let ((eff-0 (IdrisC-45DocC-45String-getContents arg-4 arg-0 arg-2 e-16))) (PrimIO-io_bind eff-0 (csegen-5040))))) ((14) (let ((e-17 (vector-ref arg-5 1))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 (CoreC-45Context-lookupCtxtName e-17 (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45Core-traverseC-39 (lambda (eta-0) (IdrisC-45REPL-prettyInfo arg-0 arg-2 eta-0)) e-6 '()))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 7 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vcat (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-punctuate (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-hardline) e-6))))))) eff-2))))))))) eff-1))))))))) ((15) (let ((e-18 (vector-ref arg-5 1))) (let ((eff-0 (IdrisC-45REPL-setOpt arg-0 arg-4 e-18))) (PrimIO-io_bind eff-0 (csegen-2368))))) ((16) (let ((eff-0 (IdrisC-45REPL-getOptions arg-0 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 21 e-5))))) eff-1)))))))) ((24) (let ((e-19 (vector-ref arg-5 1))) (let ((eff-0 (CoreC-45Context-addLogLevel arg-0 e-19))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (lambda (eta-0) (vector 1 (vector 22 e-19))))) eff-1)))))))) ((25) (let ((e-20 (vector-ref arg-5 1))) (let ((eff-0 (IdrisC-45REPLC-45Opts-setConsoleWidth arg-4 e-20))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (lambda (eta-0) (vector 1 (vector 23 e-20))))) eff-1)))))))) ((26) (let ((e-21 (vector-ref arg-5 1))) (let ((eff-0 (IdrisC-45REPLC-45Opts-setColor arg-4 e-21))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (lambda (eta-0) (vector 1 (vector 24 e-21))))) eff-1)))))))) ((27) (let ((eff-0 (IdrisC-45IDEModeC-45Holes-getUserHolesData arg-0 arg-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 6 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-reAnnotate (lambda (eta-1) (vector 6 eta-1)) (IdrisC-45IDEModeC-45Holes-prettyHoles e-5))))))) eff-1)))))))) ((28) (let ((e-22 (vector-ref arg-5 1))) (let ((eff-0 (CoreC-45Context-getPPrint arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-setPPrint arg-0 (let ((e-0 (vector-ref e-5 0))) (let ((e-1 (vector-ref e-5 1))) (let ((e-3 (vector-ref e-5 3))) (vector e-0 e-1 0 e-3))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (IdrisC-45REPL-processEdit arg-0 arg-1 arg-2 arg-3 arg-4 e-22))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45Context-setPPrint arg-0 e-5))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-4 (lambda (eta-0) (vector 1 (vector 28 e-7))))) eff-4)))))))) eff-3))))))))) eff-2)))))))) eff-1))))))))) ((17) (let ((e-23 (vector-ref arg-5 1))) (let ((eff-0 (let ((eff-0 (CoreC-45Context-getSession arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45Context-setSession arg-0 (let ((e-0 (vector-ref e-5 0))) (let ((e-1 (vector-ref e-5 1))) (let ((e-2 (vector-ref e-5 2))) (let ((e-3 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-25 (vector-ref e-5 5))) (let ((e-6 (vector-ref e-5 6))) (let ((e-7 (vector-ref e-5 7))) (let ((e-8 (vector-ref e-5 8))) (let ((e-9 (vector-ref e-5 9))) (let ((e-10 (vector-ref e-5 10))) (let ((e-11 (vector-ref e-5 11))) (let ((e-12 (vector-ref e-5 12))) (let ((e-13 (vector-ref e-5 13))) (let ((e-14 (vector-ref e-5 14))) (let ((e-15 (vector-ref e-5 15))) (let ((e-16 (vector-ref e-5 16))) (let ((e-17 (vector-ref e-5 17))) (let ((e-18 (vector-ref e-5 18))) (let ((e-19 (vector-ref e-5 19))) (let ((e-20 (vector-ref e-5 20))) (let ((e-21 (vector-ref e-5 21))) (let ((e-22 (vector-ref e-5 22))) (let ((e-24 (vector-ref e-5 23))) (vector e-0 e-1 e-2 e-3 e-4 (cons e-23 e-25) e-6 e-7 e-8 e-9 e-10 e-11 e-12 e-13 e-14 e-15 e-16 e-17 e-18 e-19 e-20 e-21 e-22 e-24)))))))))))))))))))))))))))) eff-1))))))))) (PrimIO-io_bind eff-0 (csegen-2368))))) ((29) (let ((e-24 (vector-ref arg-5 1))) (let ((eff-0 (let ((eff-0 (PrimIO-io_bind (System-system (csegen-40) e-24) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-6) (lambda (arg-7) ((((eff-1 'erased) 'erased) arg-6) arg-7)))) (lambda (_-8679) (vector 0 )))) eff-0)))) (PrimIO-io_bind eff-0 (csegen-2368))))) ((31) (lambda (eta-0) (vector 1 (vector 27 )))) ((32) (lambda (eta-0) (vector 1 (vector 0 )))) ((30) (lambda (eta-0) (vector 1 (vector 25 (IdrisC-45Version-version))))) ((33) (let ((e-25 (vector-ref arg-5 1))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--searchDirs (let ((e-4 (vector-ref e-5 4))) (let ((e-43 (vector-ref e-4 0))) (let ((e-47 (vector-ref e-43 7))) e-47))))) (IdrisC-45REPL-case--process-16562 e-25 arg-4 arg-3 arg-2 arg-1 arg-0 e-5 u--searchDirs (DataC-45List-find (lambda (u--d) (DataC-45String-isInfixOf e-25 (DataC-45Maybe-fromMaybe (lambda () u--d) (LibrariesC-45UtilsC-45Path-fileName u--d)))) u--searchDirs))))) eff-1))))))))) (else (let ((e-26 (vector-ref arg-5 1))) (IdrisC-45REPLC-45FuzzySearch-fuzzySearch arg-0 arg-1 arg-2 arg-3 arg-4 e-26))))))
(define IdrisC-45REPL-printClause (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (case (vector-ref arg-4 0) ((0) (let ((e-2 (vector-ref arg-4 2))) (let ((e-3 (vector-ref arg-4 3))) (let ((eff-0 (IdrisC-45Resugar-pterm arg-0 arg-1 ((csegen-2934) e-2)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (IdrisC-45Resugar-pterm arg-0 arg-1 ((csegen-2934) e-3)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (ParserC-45Unlit-relit arg-2 (string-append (PreludeC-45Types-fastPack (DataC-45List-replicateTR '() arg-3 #\ )) (string-append (IdrisC-45Syntax-u--show_Show_IPTerm e-5) (string-append " = " (IdrisC-45Syntax-u--show_Show_IPTerm e-6))))))))) eff-2))))))))) eff-1)))))))))) ((1) (let ((e-6 (vector-ref arg-4 2))) (let ((e-7 (vector-ref arg-4 3))) (let ((e-8 (vector-ref arg-4 4))) (let ((e-9 (vector-ref arg-4 5))) (let ((e-11 (vector-ref arg-4 7))) (let ((eff-0 (IdrisC-45Resugar-pterm arg-0 arg-1 ((csegen-2934) e-6)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-12 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (IdrisC-45Resugar-pterm arg-0 arg-1 ((csegen-2934) e-8)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-13 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Core-traverseC-39 (lambda (eta-0) (IdrisC-45REPL-printClause arg-0 arg-1 arg-2 (+ arg-3 2) eta-0)) e-11 '()))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-14 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (string-append (ParserC-45Unlit-relit arg-2 (string-append (PreludeC-45Types-fastPack (DataC-45List-replicateTR '() arg-3 #\ )) (string-append (IdrisC-45Syntax-u--show_Show_IPTerm e-12) (string-append " with " (string-append (AlgebraC-45Semiring-elimSemi (csegen-1156) "0 " "1 " (lambda (eta-1) "") e-7) (string-append "(" (string-append (IdrisC-45Syntax-u--show_Show_IPTerm e-13) (string-append ")" (string-append (PreludeC-45Types-maybe (lambda () "") (lambda () (csegen-1032)) e-9) "\xa;"))))))))) (CoreC-45NameC-45Namespace-showSep "\xa;" e-14)))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))))) (else (let ((e-14 (vector-ref arg-4 2))) (let ((eff-0 (IdrisC-45Resugar-pterm arg-0 arg-1 ((csegen-2934) e-14)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (ParserC-45Unlit-relit arg-2 (string-append (PreludeC-45Types-fastPack (DataC-45List-replicateTR '() arg-3 #\ )) (string-append (IdrisC-45Syntax-u--show_Show_IPTerm e-5) " impossible"))))))) eff-1))))))))))))
(define IdrisC-45REPL-prettyInfo (lambda (arg-0 arg-1 arg-2) (let ((e-2 (car arg-2))) (let ((e-3 (cdr arg-2))) (let ((e-6 (car e-3))) (let ((e-7 (cdr e-3))) (let ((u--nm (let ((e-1 (vector-ref e-7 1))) e-1))) (let ((eff-0 (CoreC-45Context-toFullNames arg-0 (csegen-2320) (let ((e-17 (vector-ref e-7 17))) e-17)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45Context-getFullName arg-0 eta-0)) (LibrariesC-45DataC-45NameMap-keys (CoreC-45ContextC-45Context-refersTo e-7)) '()))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-8 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45Context-getFullName arg-0 eta-0)) (LibrariesC-45DataC-45NameMap-keys (CoreC-45ContextC-45Context-refersToRuntime e-7)) '()))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-9 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45Context-toFullNames arg-0 (cons (lambda (arg-6988) (lambda (arg-6991) (CoreC-45Context-u--full_HasNames_SCCall arg-6988 arg-6991))) (lambda (arg-6998) (lambda (arg-7001) (CoreC-45Context-u--resolved_HasNames_SCCall arg-6998 arg-7001)))) eta-0)) (let ((e-20 (vector-ref e-7 20))) e-20) '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-4 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Context-getPPrint arg-0))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-4 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (let ((eff-5 (CoreC-45Context-setPPrint arg-0 (let ((e-0 (vector-ref e-11 0))) (let ((e-12 (vector-ref e-11 2))) (let ((e-4 (vector-ref e-11 3))) (vector e-0 1 e-12 e-4))))))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-4 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-6 (let ((eff-6 (CoreC-45ContextC-45PrettyC-45Resugared-prettyDef arg-0 arg-1 e-5))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-4 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-13 (vector-ref lcase-6 1))) (let ((eff-7 (let ((eff-7 (CoreC-45Context-setPPrint arg-0 (let ((e-0 (vector-ref e-11 0))) (let ((e-14 (vector-ref e-11 2))) (let ((e-4 (vector-ref e-11 3))) (vector e-0 (let ((e-17 (vector-ref e-11 1))) e-17) e-14 e-4))))))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-4 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-8 (lambda (eta-0) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vcat (PreludeC-45TypesC-45List-tailRecAppend (cons (((csegen-380) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-reAnnotate (lambda (eta-1) (vector 6 eta-1)) (IdrisC-45PrettyC-45Annotations-prettyRig (let ((e-29 (vector-ref e-7 7))) e-29)))) ((IdrisC-45Pretty-showCategory (lambda (eta-1) (vector 6 eta-1)) e-7) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-1529) u--nm))) (cons e-13 '())) (DataC-45List-catMaybes (cons (PreludeC-45Interfaces-C-60C-36C-62 (csegen-76) (lambda (u--args) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45DocC-45Annotations-header (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "Erasable args")) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-byShow (csegen-1335) u--args))) (IdrisC-45REPL-n--21336-5049-u--ifNotNull e-2 e-6 e-7 arg-1 arg-0 (let ((e-32 (vector-ref e-7 3))) e-32))) (cons (PreludeC-45Interfaces-C-60C-36C-62 (csegen-76) (lambda (u--args) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45DocC-45Annotations-header (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "Detaggable arg types")) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-byShow (csegen-1335) u--args))) (IdrisC-45REPL-n--21336-5049-u--ifNotNull e-2 e-6 e-7 arg-1 arg-0 (let ((e-4 (vector-ref e-7 4))) e-4))) (cons (PreludeC-45Interfaces-C-60C-36C-62 (csegen-76) (lambda (u--args) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45DocC-45Annotations-header (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "Specialise args")) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-byShow (csegen-1335) u--args))) (IdrisC-45REPL-n--21336-5049-u--ifNotNull e-2 e-6 e-7 arg-1 arg-0 (let ((e-31 (vector-ref e-7 5))) e-31))) (cons (PreludeC-45Interfaces-C-60C-36C-62 (csegen-76) (lambda (u--args) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45DocC-45Annotations-header (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "Inferrable args")) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-byShow (csegen-1335) u--args))) (IdrisC-45REPL-n--21336-5049-u--ifNotNull e-2 e-6 e-7 arg-1 arg-0 (let ((e-30 (vector-ref e-7 6))) e-30))) (cons (PreludeC-45Interfaces-C-60C-36C-62 (csegen-76) (lambda (u--expr) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45DocC-45Annotations-header (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-594) "Compiled")) (CoreC-45CompileExprC-45Pretty-u--pretty_Pretty_IdrisDocAnn_CDef u--expr))) (let ((e-18 (vector-ref e-7 18))) e-18)) (cons (PreludeC-45Interfaces-C-60C-36C-62 (csegen-76) (lambda (u--nms) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45DocC-45Annotations-header (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-594) "Refers to")) (IdrisC-45REPL-n--21336-5050-u--enum e-2 e-6 e-7 arg-1 arg-0 (csegen-3585) u--nms))) (IdrisC-45REPL-n--21336-5049-u--ifNotNull e-2 e-6 e-7 arg-1 arg-0 e-8)) (cons (PreludeC-45Interfaces-C-60C-36C-62 (csegen-76) (lambda (u--nms) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45DocC-45Annotations-header (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "Refers to (runtime)")) (IdrisC-45REPL-n--21336-5050-u--enum e-2 e-6 e-7 arg-1 arg-0 (csegen-3585) u--nms))) (IdrisC-45REPL-n--21336-5049-u--ifNotNull e-2 e-6 e-7 arg-1 arg-0 e-9)) (cons (PreludeC-45Interfaces-C-60C-36C-62 (csegen-76) (lambda (u--flgs) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45DocC-45Annotations-header (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-594) "Flags")) (IdrisC-45REPL-n--21336-5050-u--enum e-2 e-6 e-7 arg-1 arg-0 (lambda (eta-1) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-byShow (cons (lambda (u--x) (CoreC-45ContextC-45Context-u--show_Show_DefFlag u--x)) (lambda (u--d) (lambda (u--x) (CoreC-45ContextC-45Context-u--showPrec_Show_DefFlag u--d u--x)))) eta-1)) u--flgs))) (IdrisC-45REPL-n--21336-5049-u--ifNotNull e-2 e-6 e-7 arg-1 arg-0 (let ((e-25 (vector-ref e-7 11))) e-25))) (cons (PreludeC-45Interfaces-C-60C-36C-62 (csegen-76) (lambda (u--sz) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45DocC-45Annotations-header (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "Size change")) (IdrisC-45REPL-n--21336-5051-u--displayChg e-2 e-6 e-7 arg-1 arg-0 u--sz))) (IdrisC-45REPL-n--21336-5049-u--ifNotNull e-2 e-6 e-7 arg-1 arg-0 e-10)) '())))))))))))))))) eff-8)))))))) eff-7))))))))) eff-6)))))))) eff-5))))))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))))))
(define IdrisC-45REPL-prepareExp (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (let ((eff-0 (IdrisC-45Desugar-desugar arg-2 arg-0 arg-3 arg-1 arg-4 1 '() (vector 7 (CoreC-45FC-replFC) (vector 0 (CoreC-45FC-replFC) (vector 1 (vector 0 "unsafePerformIO"))) arg-5)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (IdrisC-45REPL-getItDecls arg-4))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((u--ttimpWithIt (vector 5 (CoreC-45FC-replFC) e-6 e-5))) (let ((eff-2 (CoreC-45Context-resolveName arg-0 (vector 1 (vector 0 "[input]"))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (TTImpC-45Elab-elabTerm '() arg-0 arg-3 arg-1 arg-2 arg-4 e-7 (vector 2 ) '() '() '() u--ttimpWithIt '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((e-2 (car e-8))) (let ((eff-4 (CoreC-45LinearCheck-linearCheck '() arg-0 arg-1 (CoreC-45FC-replFC) (csegen-1778) 1 '() e-2))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-4 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (let ((eff-5 (CompilerC-45Inline-compileAndInlineAll arg-0))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-4 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-6 (lambda (eta-0) (vector 1 e-9)))) eff-6)))))))) eff-5)))))))))) eff-4))))))))) eff-3)))))))))) eff-2))))))))) eff-1)))))))))
(define IdrisC-45REPL-parseRepl (lambda (arg-0) (let ((sc0 (ParserC-45Source-runParser 0 (vector 2 (vector 0 )) '() arg-0 (vector 13 0 0 (IdrisC-45REPL-parseEmptyCmd) (lambda () (IdrisC-45REPL-parseCmd)))))) (case (vector-ref sc0 0) ((0) (let ((e-2 (vector-ref sc0 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref sc0 1))) (let ((e-9 (cdr e-5))) (let ((e-13 (cdr e-9))) (vector 1 e-13)))))))))
(define IdrisC-45REPL-parseEmptyCmd(blodwen-lazy (lambda () (vector 10 0 0 ((csegen-5070) (ParserC-45RuleC-45Source-eoi)) (lambda (u--f) (((csegen-721) u--f) (vector 0 '())))))))
(define IdrisC-45REPL-parseCmd(blodwen-lazy (lambda () (vector 10 0 0 (IdrisC-45Parser-command) (lambda (u--c) (vector 12 0 0 (ParserC-45RuleC-45Source-eoi) (vector 0 (box u--c))))))))
(define IdrisC-45REPL-nextProofSearch (lambda (arg-0 arg-1 arg-2) (let ((eff-0 (let ((eff-0 arg-2)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (IdrisC-45REPL-case--nextProofSearch-6817 arg-2 arg-1 arg-0 e-5 (let ((e-10 (vector-ref e-5 10))) e-10)))) eff-1)))))))))
(define IdrisC-45REPL-nextGenDef (lambda (arg-0 arg-1 arg-2 arg-3) (let ((eff-0 (let ((eff-0 arg-2)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (IdrisC-45REPL-case--nextGenDef-7038 arg-3 arg-2 arg-1 arg-0 e-5 (let ((e-11 (vector-ref e-5 11))) e-11)))) eff-1)))))))))
(define IdrisC-45REPL-lookupDefTyName (lambda (ext-0 ext-1) (CoreC-45Context-lookupNameBy (csegen-1590) ext-0 ext-1)))
(define IdrisC-45REPL-loadMainFile (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (let ((eff-0 (let ((eff-0 (let ((eff-0 arg-4)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 arg-4)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (let ((e-0 (vector-ref e-5 0))) (let ((e-1 (vector-ref e-5 1))) (let ((e-2 (vector-ref e-5 2))) (let ((e-3 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-17 (vector-ref e-5 5))) (let ((e-6 (vector-ref e-5 6))) (let ((e-7 (vector-ref e-5 7))) (let ((e-8 (vector-ref e-5 8))) (let ((e-9 (vector-ref e-5 9))) (let ((e-10 (vector-ref e-5 10))) (let ((e-11 (vector-ref e-5 11))) (let ((e-13 (vector-ref e-5 13))) (let ((e-14 (vector-ref e-5 14))) (let ((e-15 (vector-ref e-5 15))) (let ((e-16 (vector-ref e-5 16))) (vector e-0 e-1 e-2 e-3 e-4 e-17 e-6 e-7 e-8 e-9 e-10 e-11 '() e-13 e-14 e-15 e-16)))))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-1))))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45Directory-ctxtPathToNS arg-0 arg-5))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (IdrisC-45REPLC-45Common-resetContext arg-0 arg-1 arg-2 arg-3 (vector 0 e-6)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (let ((eff-3 (PrimIO-io_bind (SystemC-45FileC-45ReadWrite-readFile (csegen-40) arg-5) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (case (vector-ref e-8 0) ((1) (let ((e-2 (vector-ref e-8 1))) (let ((eff-4 (CoreC-45ContextC-45Log-logTime arg-0 1 (lambda () ((csegen-0) "Build deps")) (IdrisC-45ModTree-buildDeps arg-0 arg-2 arg-3 arg-1 arg-4 arg-5)))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-3 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (let ((eff-5 (IdrisC-45REPLC-45Common-updateErrorLine arg-4 e-9))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-3 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-6 (let ((eff-6 (IdrisC-45REPLC-45Opts-setSource arg-4 e-2))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-3 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-7 (let ((eff-7 (IdrisC-45REPLC-45Opts-resetProofState arg-4))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-3 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-8 (lambda (clam-0) (if (null? e-9) (vector 1 (vector 9 arg-5)) (vector 1 (vector 13 arg-5 e-9)))))) eff-8)))))))) eff-7)))))))) eff-6)))))))) eff-5))))))))) (else (let ((e-9 (vector-ref e-8 1))) (let ((eff-4 (IdrisC-45REPLC-45Opts-setSource arg-4 ""))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-5 (lambda (eta-0) (vector 1 (vector 12 arg-5 e-9))))) eff-5))))))))))) eff-4))))))))) eff-3)))))))) eff-2))))))))) eff-1))))))))
(define IdrisC-45REPL-interpret (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (let ((eff-0 (IdrisC-45REPLC-45Opts-setCurrentElabSource arg-4 arg-5))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((sc1 (IdrisC-45REPL-parseRepl arg-5))) (case (vector-ref sc1 0) ((0) (let ((e-2 (vector-ref sc1 1))) (let ((eff-1 (IdrisC-45Error-perror arg-0 arg-2 arg-4 e-2))) (PrimIO-io_bind eff-1 (csegen-5022))))) (else (let ((e-6 (vector-ref sc1 1))) (if (null? e-6) (lambda (eta-0) (vector 1 (vector 0 ))) (let ((e-8 (unbox e-6))) (IdrisC-45REPL-processCatch arg-0 arg-1 arg-2 arg-3 arg-4 e-8))))))))) eff-1))))))))
(define IdrisC-45REPL-inferAndNormalize (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (let ((eff-0 (IdrisC-45REPL-inferAndElab '() arg-0 arg-1 arg-2 arg-3 arg-4 (IdrisC-45REPL-n--31972-14491-u--elabMode arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 arg-0 arg-5) arg-6 '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((e-1 (car e-5))) (let ((e-2 (cdr e-5))) (let ((eff-1 (CoreC-45ContextC-45Log-logTerm '() arg-0 "repl.eval" 10 (lambda () ((csegen-0) "Elaborated input")) e-1))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-3 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-2 (let ((eff-2 (let ((eff-2 arg-0)) (PrimIO-io_bind (let ((eff-3 eff-2)) (lambda (eta-0) (unbox eff-3))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-3 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((u--norm (lambda (eta-0) (lambda (eta-1) (IdrisC-45REPL-replEval arg-0 '() arg-5 eta-0 eta-1))))) (let ((eff-3 (((u--norm e-7) '()) e-1))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-3 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Normalise-logTermNF '() arg-0 "repl.eval" 5 (lambda () (csegen-3306)) '() e-8))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-3 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-8 e-2))))) eff-5)))))))) eff-4)))))))))) eff-3))))))))) eff-2)))))))))) eff-1)))))))))
(define IdrisC-45REPL-inferAndElab (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8) (let ((eff-0 (IdrisC-45Desugar-desugar arg-3 arg-1 arg-4 arg-2 arg-5 1 arg-0 arg-7))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (IdrisC-45REPL-getItDecls arg-5))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((u--ttimpWithIt (vector 5 (CoreC-45FC-replFC) e-6 e-5))) (let ((eff-2 (CoreC-45Context-resolveName arg-1 (vector 1 (vector 0 "[input]"))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45Core-u--catch_Catchable_Core_Error (let ((eff-3 (CoreC-45Context-hide arg-1 (CoreC-45FC-replFC) (vector 0 (CoreC-45NameC-45Namespace-primIONS) (vector 1 (vector 0 "::")))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-4 (CoreC-45Context-hide arg-1 (CoreC-45FC-replFC) (vector 0 (CoreC-45NameC-45Namespace-primIONS) (vector 1 (vector 0 "Nil")))))) eff-4)))))) (lambda (u--err) (lambda (eta-0) (vector 1 (vector 0 ))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-4 (let ((eff-4 (TTImpC-45Elab-elabTerm arg-0 arg-1 arg-4 arg-2 arg-3 arg-5 e-7 arg-6 '() '() arg-8 u--ttimpWithIt '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (let ((e-2 (car e-9))) (let ((e-3 (cdr e-9))) (let ((eff-5 (CoreC-45NormaliseC-45Eval-getTerm e-3))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-4 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-10 (vector-ref lcase-5 1))) (let ((eff-6 (lambda (eta-0) (vector 1 (cons e-2 e-10))))) eff-6))))))))))) eff-5))))))))) eff-4)))))))) eff-3)))))))))) eff-2))))))))) eff-1)))))))))
(define IdrisC-45REPL-handleResult (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (case (vector-ref arg-5 0) ((27) (IdrisC-45REPLC-45Common-iputStrLn arg-0 arg-4 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "Bye for now!")))(else (let ((eff-0 (IdrisC-45REPL-displayResult arg-0 arg-1 arg-2 arg-3 arg-4 arg-5))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (IdrisC-45REPL-repl arg-0 arg-1 arg-2 arg-3 arg-4))) eff-1))))))))))
(define IdrisC-45REPL-handleMissingC-39 (lambda (arg-0) (case (vector-ref arg-0 0) ((0) (let ((e-0 (vector-ref arg-0 1))) (let ((e-1 (vector-ref arg-0 2))) (string-append (CoreC-45Name-u--show_Show_Name e-0) (string-append ":\xa;" (CoreC-45NameC-45Namespace-showSep "\xa;" e-1)))))) ((1) (let ((e-2 (vector-ref arg-0 1))) (let ((e-3 (vector-ref arg-0 2))) (string-append (CoreC-45Name-u--show_Show_Name e-2) (string-append ": Calls non covering function" (if (null? e-3) (string-append "s: " (CoreC-45NameC-45Namespace-showSep ", " ((csegen-102) e-3))) (let ((e-1 (car e-3))) (let ((e-4 (cdr e-3))) (if (null? e-4) (string-append " " (CoreC-45Name-u--show_Show_Name e-1)) (string-append "s: " (CoreC-45NameC-45Namespace-showSep ", " ((csegen-102) e-3)))))))))))) (else (let ((e-4 (vector-ref arg-0 1))) (string-append (CoreC-45Name-u--show_Show_Name e-4) ": All cases covered"))))))
(define IdrisC-45REPL-handleMissing (lambda (arg-0) (case (vector-ref arg-0 0) ((0) (let ((e-0 (vector-ref arg-0 1))) (let ((e-1 (vector-ref arg-0 2))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (((csegen-380) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-1529) e-0)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-colon)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vsep (PreludeC-45Interfaces-C-60C-36C-62 (csegen-24) (csegen-4116) e-1)))))) ((1) (let ((e-2 (vector-ref arg-0 1))) (let ((e-3 (vector-ref arg-0 2))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (((csegen-380) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-1529) e-2)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-colon)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "Calls non covering") (if (null? e-3) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (csegen-5081) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-concatWith (csegen-1082) (PreludeC-45Interfaces-C-60C-36C-62 (csegen-24) (csegen-4052) e-3))) (let ((e-1 (car e-3))) (let ((e-4 (cdr e-3))) (if (null? e-4) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 ((csegen-331) "function") (IdrisC-45Pretty-code (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-1529) e-1))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (csegen-5081) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-concatWith (csegen-1082) (PreludeC-45Interfaces-C-60C-36C-62 (csegen-24) (csegen-4052) e-3)))))))))))) (else (let ((e-4 (vector-ref arg-0 1))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (((csegen-380) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-1529) e-4)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-colon)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "All cases covered")))))))
(define IdrisC-45REPL-getOptions (lambda (arg-0 arg-1) (let ((eff-0 (CoreC-45Context-getPPrint arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 arg-1)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (unbox eff-2))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (cons (vector 0 (let ((e-0 (vector-ref e-5 0))) e-0)) (cons (vector 2 (let ((e-1 (vector-ref e-5 1))) e-1)) (cons (vector 1 (let ((e-3 (vector-ref e-5 3))) e-3)) (cons (vector 3 (let ((e-0 (vector-ref e-6 0))) e-0)) (cons (vector 4 (let ((e-1 (vector-ref e-6 1))) e-1)) (cons (vector 5 (let ((e-17 (vector-ref e-6 6))) e-17)) '())))))))))) eff-2))))))))) eff-1)))))))))
(define IdrisC-45REPL-getItDecls (lambda (arg-0) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((e-12 (vector-ref e-5 12))) (if (null? e-12) (lambda (eta-0) (vector 1 '())) (let ((e-18 (unbox e-12))) (let ((u--it (vector 1 (vector 0 "it")))) (lambda (eta-0) (vector 1 (cons (vector 0 (CoreC-45FC-replFC) (AlgebraC-45ZeroOneOmega-u--top_Top_ZeroOneOmega) 0 '() (vector (CoreC-45FC-replFC) (vector 2 ) u--it (vector 32 (CoreC-45FC-replFC) 0))) (cons (vector 2 (CoreC-45FC-replFC) u--it (cons (vector 0 (CoreC-45FC-replFC) (vector 0 (CoreC-45FC-replFC) u--it) (vector 0 (CoreC-45FC-replFC) e-18)) '())) '())))))))))) eff-1)))))))))
(define IdrisC-45REPL-findInTree (lambda (arg-0 arg-1 arg-2) ((csegen-2551) (DataC-45List-headC-39 (DataC-45List-sortBy (lambda (eta-0) (lambda (eta-1) (PreludeC-45Basics-on (lambda (eta-2) (lambda (eta-3) (IdrisC-45REPL-n--23856-7393-u--cmp arg-2 arg-1 arg-0 eta-2 eta-3))) (lambda (eta-2) (LibrariesC-45DataC-45PosMap-u--measure_Measure_C-40C-124C-40C-40BuiltinC-46PairC-32NonEmptyFCC-41C-32C-36aC-41C-44C-40C-40BuiltinC-46MkPairC-32NonEmptyFCC-41C-32C-36aC-41C-124C-41 eta-2)) eta-0 eta-1))) (PreludeC-45TypesC-45List-filterAppend '() (lambda (eta-0) (IdrisC-45REPL-n--23856-7398-u--match arg-2 arg-1 arg-0 eta-0)) (LibrariesC-45DataC-45PosMap-searchPos (csegen-2555) arg-0 arg-2)))))))
(define IdrisC-45REPL-execExp (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (let ((eff-0 (IdrisC-45ProcessIdr-findCG arg-4 arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (if (null? e-5) (let ((eff-1 (IdrisC-45REPLC-45Common-iputStrLn arg-0 arg-4 (csegen-5085)))) (PrimIO-io_bind eff-1 (csegen-5087))) (let ((e-1 (unbox e-5))) (let ((eff-1 (IdrisC-45REPL-prepareExp arg-0 arg-1 arg-2 arg-3 arg-4 arg-5))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (let ((eff-2 (IdrisC-45REPLC-45Opts-getEvalTiming arg-4))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (CoreC-45ContextC-45Log-logTimeWhen arg-0 e-7 0 (lambda () ((csegen-0) "Execution")) (CompilerC-45Common-execute arg-0 arg-2 e-1 e-6)))) eff-3))))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (lambda (eta-0) (vector 1 (vector 2 arg-5))))) eff-3)))))))) eff-2))))))))))) eff-1)))))))))
(define IdrisC-45REPL-execDecls (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (let ((eff-0 (CoreC-45Core-traverse_ (lambda (eta-0) (IdrisC-45REPL-n--31425-13976-u--execDecl arg-5 arg-4 arg-3 arg-2 arg-1 arg-0 eta-0)) arg-5))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (lambda (eta-0) (vector 1 (vector 26 ))))) eff-1))))))))
(define IdrisC-45REPL-dropLamsTm (lambda (arg-0 arg-1 arg-2 arg-3) (cond ((equal? arg-1 0) (cons arg-0 (cons arg-2 arg-3)))(else (let ((e-0 (- arg-1 1))) (case (vector-ref arg-3 0) ((3) (let ((e-3 (vector-ref arg-3 2))) (let ((e-4 (vector-ref arg-3 3))) (let ((e-5 (vector-ref arg-3 4))) (IdrisC-45REPL-dropLamsTm (cons e-3 arg-0) e-0 (cons e-4 arg-2) e-5)))))(else (cons arg-0 (cons arg-2 arg-3)))))))))
(define IdrisC-45REPL-dropLams (lambda (arg-1 arg-2) (cond ((equal? arg-1 0) arg-2)(else (let ((e-0 (- arg-1 1))) (case (vector-ref arg-2 0) ((2) (let ((e-7 (vector-ref arg-2 6))) (IdrisC-45REPL-dropLams e-0 e-7)))(else arg-2)))))))
(define IdrisC-45REPL-displayResult (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (case (vector-ref arg-5 0) ((1) (let ((e-0 (vector-ref arg-5 1))) (IdrisC-45REPLC-45Common-printResult arg-4 e-0))) ((5) (let ((e-1 (vector-ref arg-5 1))) (let ((e-2 (vector-ref arg-5 2))) (if (null? e-2) (IdrisC-45REPLC-45Common-printResult arg-4 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-prettyBy (csegen-3988) (lambda (eta-0) (vector 6 eta-0)) e-1)) (let ((e-30 (unbox e-2))) (IdrisC-45REPLC-45Common-printResult arg-4 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-prettyBy (csegen-3988) (lambda (eta-0) (vector 6 eta-0)) e-1) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-colon) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-prettyBy (csegen-3988) (lambda (eta-0) (vector 6 eta-0)) e-30))))))))) ((6) (let ((e-3 (vector-ref arg-5 1))) (IdrisC-45REPLC-45Common-printResult arg-4 e-3))) ((7) (let ((e-4 (vector-ref arg-5 1))) (IdrisC-45REPLC-45Common-printDocResult arg-4 e-4))) ((8) (let ((e-5 (vector-ref arg-5 1))) (let ((e-6 (vector-ref arg-5 2))) (IdrisC-45REPLC-45Common-printResult arg-4 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-prettyBy (csegen-3988) (lambda (eta-0) (vector 6 eta-0)) e-5) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-colon) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-prettyBy (csegen-3988) (lambda (eta-0) (vector 6 eta-0)) e-6))))))) ((9) (let ((e-7 (vector-ref arg-5 1))) (IdrisC-45REPLC-45Common-printResult arg-4 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "Loaded file") (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-863) e-7))))) ((10) (let ((e-8 (vector-ref arg-5 1))) (IdrisC-45REPLC-45Common-printResult arg-4 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "Imported module") (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-863) e-8))))) ((11) (let ((e-9 (vector-ref arg-5 1))) (let ((e-10 (vector-ref arg-5 2))) (let ((eff-0 (IdrisC-45Error-perror arg-0 arg-2 arg-4 e-10))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (IdrisC-45REPLC-45Common-printResult arg-4 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "Error loading module") (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (((csegen-380) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-863) e-9)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-colon)) e-5))))) eff-1)))))))))) ((12) (let ((e-11 (vector-ref arg-5 1))) (let ((e-12 (vector-ref arg-5 2))) (IdrisC-45REPLC-45Common-printResult arg-4 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "Error loading file") (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (((csegen-380) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-863) e-11)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-colon)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-863) (SystemC-45FileC-45Error-u--show_Show_FileError e-12)))))))) ((13) (let ((e-13 (vector-ref arg-5 1))) (IdrisC-45REPLC-45Common-printResult arg-4 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "Error(s) building file") (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-863) e-13))))) ((14) (IdrisC-45REPLC-45Common-printResult arg-4 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "No file can be reloaded"))) ((15) (let ((e-15 (vector-ref arg-5 1))) (IdrisC-45REPLC-45Common-printResult arg-4 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "Current working directory is") (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-dquotes (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-863) e-15)))))) ((16) (IdrisC-45REPLC-45Common-printResult arg-4 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "Compilation failed"))) ((17) (let ((e-16 (vector-ref arg-5 1))) (IdrisC-45REPLC-45Common-printResult arg-4 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "File") (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-863) e-16) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "written")))))) ((18) (let ((e-17 (vector-ref arg-5 1))) (IdrisC-45REPLC-45Common-printResult arg-4 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-prettyBy (csegen-3988) (lambda (eta-0) (vector 6 eta-0)) e-17)))) ((19) (let ((e-18 (vector-ref arg-5 1))) (IdrisC-45REPLC-45Common-printResult arg-4 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vsep (PreludeC-45Interfaces-C-60C-36C-62 (csegen-24) (lambda (eta-0) (IdrisC-45REPL-handleMissing eta-0)) e-18))))) ((20) (let ((e-19 (vector-ref arg-5 1))) (IdrisC-45REPLC-45Common-printResult arg-4 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vsep (((csegen-25) (lambda (lamc-0) (let ((e-2 (car lamc-0))) (let ((e-3 (cdr lamc-0))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-1529) e-2) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 ((csegen-331) "is") (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-4167) e-3))))))) e-19))))) ((22) (let ((e-20 (vector-ref arg-5 1))) (if (null? e-20) (IdrisC-45REPLC-45Common-printResult arg-4 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "Logging turned off")) (let ((e-33 (unbox e-20))) (IdrisC-45REPLC-45Common-printResult arg-4 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "Set log level to") (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-byShow (csegen-5094) e-33))))))) ((23) (let ((e-21 (vector-ref arg-5 1))) (if (null? e-21) (IdrisC-45REPLC-45Common-printResult arg-4 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "Set consolewidth to auto")) (let ((e-35 (unbox e-21))) (IdrisC-45REPLC-45Common-printResult arg-4 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "Set consolewidth to") (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-byShow (csegen-1068) e-35))))))) ((24) (let ((e-22 (vector-ref arg-5 1))) (IdrisC-45REPLC-45Common-printResult arg-4 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow (cond ((equal? e-22 1) ((csegen-0) "Set color on")) (else ((csegen-0) "Set color off"))))))) ((25) (let ((e-23 (vector-ref arg-5 1))) (IdrisC-45REPLC-45Common-printResult arg-4 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-863) (LibrariesC-45DataC-45Version-showVersion 1 e-23))))) ((3) (IdrisC-45REPLC-45Common-printResult arg-4 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-863) (IdrisC-45REPL-displayHelp)))) ((4) (let ((e-24 (vector-ref arg-5 1))) (IdrisC-45REPLC-45Common-printResult arg-4 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-863) e-24)))) ((28) (let ((e-25 (vector-ref arg-5 1))) (case (vector-ref e-25 0) ((0) (let ((e-37 (vector-ref e-25 1))) (case (vector-ref e-37 0) ((0) (lambda (eta-0) (vector 1 (vector 0 ))))(else (IdrisC-45REPLC-45Common-printResult arg-4 e-37))))) ((1) (let ((e-38 (vector-ref e-25 1))) (IdrisC-45REPLC-45Common-printResult arg-4 e-38))) ((2) (let ((e-39 (vector-ref e-25 1))) (let ((e-40 (vector-ref e-25 2))) (let ((e-41 (vector-ref e-25 3))) (let ((e-42 (vector-ref e-25 4))) (IdrisC-45REPLC-45Common-printResult arg-4 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-863) (string-append (ParserC-45Unlit-relit e-39 (string-append (CoreC-45Name-u--show_Show_Name e-40) (string-append " : " (string-append (IdrisC-45Syntax-u--show_Show_IPTerm e-41) "\xa;")))) e-42)))))))) ((3) (let ((e-43 (vector-ref e-25 1))) (let ((e-44 (vector-ref e-25 2))) (IdrisC-45REPLC-45Common-printResult arg-4 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-863) (CoreC-45NameC-45Namespace-showSep "\xa;" (((csegen-25) (lambda (eta-0) (ParserC-45Unlit-relit e-43 eta-0))) e-44))))))) ((4) (let ((e-45 (vector-ref e-25 1))) (let ((e-46 (vector-ref e-25 2))) (IdrisC-45REPLC-45Common-printResult arg-4 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-863) (CoreC-45NameC-45Namespace-showSep "\xa;" (((csegen-25) (lambda (eta-0) (ParserC-45Unlit-relit e-45 eta-0))) e-46))))))) (else (let ((e-47 (vector-ref e-25 1))) (IdrisC-45REPLC-45Common-printResult arg-4 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-863) (CoreC-45NameC-45Namespace-showSep "\xa;" (DataC-45List1-forget e-47))))))))) ((21) (let ((e-26 (vector-ref arg-5 1))) (IdrisC-45REPLC-45Common-printResult arg-4 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vsep (PreludeC-45Interfaces-C-60C-36C-62 (csegen-24) (lambda (eta-0) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (cons (lambda (arg-8762) (IdrisC-45Syntax-u--pretty_Pretty_Void_REPLOpt arg-8762)) (lambda (arg-8768) (lambda (arg-8771) (IdrisC-45Syntax-u--prettyPrec_Pretty_Void_REPLOpt arg-8768 arg-8771)))) eta-0)) e-26))))) ((0) (lambda (eta-0) (vector 1 (vector 0 )))) ((2) (lambda (eta-0) (vector 1 (vector 0 )))) ((26) (lambda (eta-0) (vector 1 (vector 0 )))) (else (lambda (eta-0) (vector 1 (vector 0 )))))))
(define IdrisC-45REPL-displayPatTerm (lambda (arg-0 arg-1 arg-2 arg-3) (let ((eff-0 (let ((eff-0 (CoreC-45Normalise-normaliseHoles arg-0 '() arg-2 '() arg-3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (IdrisC-45Resugar-resugarNoPatvars '() arg-0 arg-1 '() e-5))) eff-1))))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (IdrisC-45Syntax-u--show_Show_IPTerm e-5))))) eff-1)))))))))
(define IdrisC-45REPL-displayHelp(blodwen-lazy (lambda () (CoreC-45NameC-45Namespace-showSep "\xa;" (((csegen-25) (lambda (eta-0) (IdrisC-45REPL-n--34959-18045-u--cmdInfo eta-0))) (IdrisC-45Parser-help))))))
(define IdrisC-45REPL-displayErrors (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (case (vector-ref arg-5 0) ((12) (let ((e-0 (vector-ref arg-5 1))) (let ((e-1 (vector-ref arg-5 2))) (IdrisC-45REPLC-45Common-printError arg-4 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "File error in") (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (((csegen-380) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-863) e-0)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-colon)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-863) (SystemC-45FileC-45Error-u--show_Show_FileError e-1))))))))(else (lambda (eta-0) (vector 1 (vector 0 )))))))
(define IdrisC-45REPL-compileExp (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (let ((eff-0 (IdrisC-45ProcessIdr-findCG arg-4 arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (if (null? e-5) (let ((eff-1 (IdrisC-45REPLC-45Common-iputStrLn arg-0 arg-4 (csegen-5085)))) (PrimIO-io_bind eff-1 (csegen-5087))) (let ((e-1 (unbox e-5))) (let ((eff-1 (IdrisC-45REPL-prepareExp arg-0 arg-1 arg-2 arg-3 arg-4 arg-5))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45Common-compile arg-0 arg-2 e-1 e-6 arg-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (PreludeC-45Types-maybe (lambda () (lambda (eta-0) (vector 1 (vector 16 )))) (lambda () (lambda (eta-0) (lambda (eta-1) (vector 1 (vector 17 eta-0))))) e-7))) eff-3))))))))) eff-2))))))))))) eff-1)))))))))
(define IdrisC-45REPL-caseSplit (lambda (arg-0 arg-1 arg-2) (cond ((equal? arg-1 0) (if (null? arg-2) (cons arg-0 '()) (let ((e-4 (cdr arg-2))) (cons (IdrisC-45REPL-rtrim arg-0) e-4))))(else (let ((e-1 (- arg-1 1))) (if (null? arg-2) (cons arg-0 '()) (let ((e-6 (car arg-2))) (let ((e-7 (cdr arg-2))) (cons e-6 (IdrisC-45REPL-caseSplit arg-0 e-1 e-7))))))))))
(define IdrisC-45REPL-anyAt (lambda (arg-2 arg-3 arg-4) (arg-2 arg-3)))
(define IdrisC-45REPL-addMadeLemma (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (IdrisC-45REPL-n--22947-6588-u--addApp arg-5 arg-4 arg-3 arg-2 arg-1 arg-0 arg-0 arg-4 '() (IdrisC-45REPL-proofSearch arg-1 arg-3 arg-4 arg-5))))
(define IdrisC-45REPL-addMadeCase (lambda (arg-0 arg-1 arg-2 arg-3) (IdrisC-45REPL-n--23118-6738-u--addW arg-3 arg-2 arg-1 arg-0 arg-2 '() arg-3)))
(define IdrisC-45REPL-addClause (lambda (arg-0 arg-1 arg-2) (cond ((equal? arg-1 0) (if (null? arg-2) (cons (IdrisC-45REPL-rtrim arg-0) '()) (let ((e-3 (car arg-2))) (let ((e-4 (cdr arg-2))) (let ((sc2 (PreludeC-45Interfaces-all (csegen-16) (lambda (eta-0) (PreludeC-45Types-isSpace eta-0)) (PreludeC-45Types-fastUnpack e-3)))) (cond ((equal? sc2 1) (cons (IdrisC-45REPL-rtrim arg-0) (cons e-3 e-4))) (else (cons e-3 (IdrisC-45REPL-addClause arg-0 0 e-4)))))))))(else (let ((e-0 (- arg-1 1))) (if (null? arg-2) (cons arg-0 '()) (let ((e-6 (car arg-2))) (let ((e-7 (cdr arg-2))) (cons e-6 (IdrisC-45REPL-addClause arg-0 e-0 e-7))))))))))
(define LibrariesC-45SystemC-45DirectoryC-45Tree-n--4679-5037-u--filesC-39 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (PreludeC-45TypesC-45List-filterAppend '() (arg-4 arg-0) arg-2)))
(define LibrariesC-45SystemC-45DirectoryC-45Tree-n--4679-5038-u--dirsC-39 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (PreludeC-45Basics-flip (csegen-2086) arg-1 (lambda (lamc-0) (let ((e-2 (car lamc-0))) (let ((e-3 (cdr lamc-0))) (PreludeC-45Interfaces-C-62C-62 (csegen-614) (PreludeC-45Interfaces-guard (csegen-326) ((arg-3 arg-0) e-2)) (lambda () (box (cons e-2 (((csegen-50) (lambda (eta-0) (LibrariesC-45SystemC-45DirectoryC-45Tree-filter (lambda (root-5096) (arg-4 root-5096)) (lambda (root-5101) (arg-3 root-5101)) (LibrariesC-45UtilsC-45Path-C-47C-62 arg-0 (LibrariesC-45SystemC-45DirectoryC-45Tree-fileName e-2)) eta-0))) e-3)))))))))))
(define LibrariesC-45SystemC-45DirectoryC-45TreeC-45Tree-toRelative (lambda (arg-1) arg-1))
(define LibrariesC-45SystemC-45DirectoryC-45Tree-toFilePath (lambda (arg-0 arg-1) (LibrariesC-45UtilsC-45Path-u--show_Show_Path (LibrariesC-45UtilsC-45Path-C-47C-62 arg-0 (LibrariesC-45SystemC-45DirectoryC-45Tree-fileName arg-1)))))
(define LibrariesC-45SystemC-45DirectoryC-45Tree-go (lambda (arg-0 arg-1 arg-2) (PrimIO-io_bind (SystemC-45Directory-nextDirEntry (csegen-40) arg-1) (lambda (bind-0) (case (vector-ref bind-0 0) ((0) ((PreludeC-45Interfaces-C-60C-36 (csegen-49) arg-2) (SystemC-45Directory-closeDir (csegen-40) arg-1))) (else (let ((e-5 (vector-ref bind-0 1))) (if (null? e-5) ((PreludeC-45Interfaces-C-60C-36 (csegen-49) arg-2) (SystemC-45Directory-closeDir (csegen-40) arg-1)) (let ((e-8 (unbox e-5))) (let ((sc2 (PreludeC-45Types-elem (csegen-16) (csegen-43) e-8 (cons ((csegen-0) ".") (cons ((csegen-0) "..") '()))))) (cond ((equal? sc2 0) (let ((u--entry e-8)) (PrimIO-io_bind (LibrariesC-45SystemC-45DirectoryC-45Tree-directoryExists arg-0 u--entry) (lambda (bind-1) (let ((u--acc (cond ((equal? bind-1 1) (let ((e-1 (car arg-2))) (let ((e-2 (cdr arg-2))) (cons e-1 (cons (cons u--entry (LibrariesC-45SystemC-45DirectoryC-45Tree-explore (LibrariesC-45UtilsC-45Path-C-47C-62 arg-0 (LibrariesC-45SystemC-45DirectoryC-45Tree-fileName u--entry)))) e-2))))) (else (let ((e-1 (car arg-2))) (let ((e-2 (cdr arg-2))) (cons (cons u--entry e-1) e-2))))))) (LibrariesC-45SystemC-45DirectoryC-45Tree-go arg-0 arg-1 u--acc))))))(else (LibrariesC-45SystemC-45DirectoryC-45Tree-go arg-0 arg-1 arg-2)))))))))))))
(define LibrariesC-45SystemC-45DirectoryC-45Tree-filter (lambda (arg-0 arg-1 arg-2 arg-3) (let ((e-1 (car arg-3))) (let ((e-2 (cdr arg-3))) (cons (LibrariesC-45SystemC-45DirectoryC-45Tree-n--4679-5037-u--filesC-39 arg-2 e-2 e-1 arg-1 arg-0) (LibrariesC-45SystemC-45DirectoryC-45Tree-n--4679-5038-u--dirsC-39 arg-2 e-2 e-1 arg-1 arg-0))))))
(define LibrariesC-45SystemC-45DirectoryC-45Tree-fileName (lambda (arg-1) (let ((eff-0 arg-1)) eff-0)))
(define LibrariesC-45SystemC-45DirectoryC-45Tree-explore (lambda (arg-0) (PrimIO-io_bind (SystemC-45Directory-openDir (csegen-40) (LibrariesC-45UtilsC-45Path-u--show_Show_Path arg-0)) (lambda (_-0) (case (vector-ref _-0 0) ((1) (let ((e-2 (vector-ref _-0 1))) (LibrariesC-45SystemC-45DirectoryC-45Tree-go arg-0 e-2 (LibrariesC-45SystemC-45DirectoryC-45Tree-emptyTree)))) (else (lambda (eta-0) (LibrariesC-45SystemC-45DirectoryC-45Tree-emptyTree))))))))
(define LibrariesC-45SystemC-45DirectoryC-45Tree-emptyTree(blodwen-lazy (lambda () (cons '() '()))))
(define LibrariesC-45SystemC-45DirectoryC-45Tree-directoryExists (lambda (arg-0 arg-1) (PrimIO-io_bind (SystemC-45Directory-openDir (csegen-40) (LibrariesC-45SystemC-45DirectoryC-45Tree-toFilePath arg-0 arg-1)) (csegen-2101))))
(define LibrariesC-45SystemC-45DirectoryC-45Tree-depthFirst (lambda (arg-1 arg-2 arg-3 arg-4) (let ((u--next (PreludeC-45Types-u--foldr_Foldable_List (lambda (lamc-0) (lambda (clam-0) (let ((e-2 (car lamc-0))) (let ((e-3 (cdr lamc-0))) (PrimIO-io_bind e-3 (lambda (bind-0) (LibrariesC-45SystemC-45DirectoryC-45Tree-depthFirst (lambda (root-5653) (arg-1 root-5653)) (LibrariesC-45UtilsC-45Path-C-47C-62 arg-2 (LibrariesC-45SystemC-45DirectoryC-45Tree-fileName e-2)) bind-0 clam-0))))))) arg-4 (let ((e-2 (cdr arg-3))) e-2)))) (PreludeC-45Types-u--foldr_Foldable_List (lambda (u--fn) (lambda (u--def) (((arg-1 arg-2) u--fn) (lambda () u--def)))) u--next (let ((e-1 (car arg-3))) e-1)))))
(define DataC-45Stream-repeat (lambda (arg-1) (cons arg-1 (lambda () (DataC-45Stream-repeat arg-1)))))
(define TTImpC-45InteractiveC-45MakeLemma-n--9514-5741-u--getArg (lambda (arg-0 arg-1 arg-2 arg-3) (if (null? arg-3) '() (let ((e-2 (car arg-3))) (let ((e-3 (cdr arg-3))) (if (null? e-3) '() (let ((e-7 (cdr e-3))) (if (null? e-7) '() (let ((e-10 (car e-7))) (let ((e-11 (cdr e-7))) (case (vector-ref e-10 0) ((1) (if (null? e-11) '() (box (vector 0 arg-2 e-2))))(else '()))))))))))))
(define TTImpC-45InteractiveC-45MakeLemma-used (lambda (ext-0) (let ((sc0 (AlgebraC-45Semiring-isErased (csegen-1156) ext-0))) (cond ((equal? sc0 1) 0) (else 1)))))
(define TTImpC-45InteractiveC-45MakeLemma-mkType (lambda (arg-0 arg-1 arg-2) (if (null? arg-1) arg-2 (let ((e-2 (car arg-1))) (let ((e-3 (cdr arg-1))) (let ((e-7 (cdr e-2))) (let ((e-10 (car e-7))) (let ((e-11 (cdr e-7))) (let ((e-14 (car e-11))) (let ((e-15 (cdr e-11))) (let ((e-18 (car e-15))) (let ((e-19 (cdr e-15))) (vector 1 arg-0 e-18 e-14 e-10 e-19 (TTImpC-45InteractiveC-45MakeLemma-mkType arg-0 e-3 arg-2))))))))))))))
(define TTImpC-45InteractiveC-45MakeLemma-mkApp (lambda (arg-0 arg-1 arg-2) (TTImpC-45TTImp-apply (vector 0 arg-0 arg-1) (PreludeC-45TypesC-45List-mapMaybeAppend '() (lambda (eta-0) (TTImpC-45InteractiveC-45MakeLemma-n--9514-5741-u--getArg arg-2 arg-1 arg-0 eta-0)) arg-2))))
(define TTImpC-45InteractiveC-45MakeLemma-makeLemma (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 (CoreC-45Normalise-normalise arg-1 '() e-5 '() arg-6))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (TTImpC-45InteractiveC-45MakeLemma-getArgs '() arg-1 arg-2 '() arg-5 e-6))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (clam-0) (let ((e-2 (car e-6))) (let ((e-3 (cdr e-6))) (vector 1 (cons (TTImpC-45InteractiveC-45MakeLemma-mkType arg-3 e-2 e-3) (TTImpC-45InteractiveC-45MakeLemma-mkApp arg-3 arg-4 e-2)))))))) eff-2))))))))) eff-1)))))))))
(define TTImpC-45InteractiveC-45MakeLemma-hiddenName (lambda (arg-0) (case (vector-ref arg-0 0) ((2) (let ((e-0 (vector-ref arg-0 1))) (cond ((equal? e-0 "_") 1)(else 0))))(else 0))))
(define TTImpC-45InteractiveC-45MakeLemma-getArgs (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (cond ((equal? arg-4 0) (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 (CoreC-45Normalise-normalise arg-1 arg-0 e-5 arg-3 arg-5))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45Unelab-unelab arg-0 arg-1 arg-3 e-6))) (((csegen-50) ((let ((eff-3 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-7 (vector-ref eta-3 1))) (vector 1 (eta-2 e-7))))))))))) (lambda (arg-6) (lambda (arg-7) ((((eff-3 'erased) 'erased) arg-6) arg-7)))) (csegen-5111))) eff-2)))) eff-2))))))))) (PrimIO-io_bind eff-1 (csegen-5112))))) eff-1))))))))(else (let ((e-0 (- arg-4 1))) (case (vector-ref arg-5 0) ((3) (let ((e-3 (vector-ref arg-5 2))) (let ((e-4 (vector-ref arg-5 3))) (let ((e-5 (vector-ref arg-5 4))) (case (vector-ref e-4 0) ((2) (let ((e-8 (vector-ref e-4 2))) (let ((e-10 (vector-ref e-4 4))) (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 (CoreC-45Normalise-normalise arg-1 arg-0 e-6 arg-3 e-10))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-11 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45Unelab-unelab arg-0 arg-1 arg-3 e-11))) (((csegen-50) ((let ((eff-3 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-12 (vector-ref eta-3 1))) (vector 0 e-12))) (else (let ((e-12 (vector-ref eta-3 1))) (vector 1 (eta-2 e-12))))))))))) (lambda (arg-6) (lambda (arg-7) ((((eff-3 'erased) 'erased) arg-6) arg-7)))) (csegen-2925))) eff-2)))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-11 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45Utils-uniqueBasicName e-6 ((csegen-4805) arg-0) (CoreC-45Name-nameRoot e-3)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-12 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-12)))) (else (let ((e-12 (vector-ref lcase-2 1))) (let ((eff-3 (let ((u--xC-39 (vector 1 (vector 0 e-12)))) (let ((eff-3 (TTImpC-45InteractiveC-45MakeLemma-getArgs (cons u--xC-39 arg-0) arg-1 arg-2 (cons e-4 arg-3) e-0 (CoreC-45TT-renameTop u--xC-39 e-5)))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((e-15 (car e-13))) (let ((e-14 (cdr e-13))) (let ((u--mn (let ((sc7 (AlgebraC-45ZeroOneOmega-u--C-61C-61_Eq_ZeroOneOmega e-8 (AlgebraC-45ZeroOneOmega-u--top_Top_ZeroOneOmega)))) (cond ((equal? sc7 1) (let ((sc8 (CoreC-45TT-shrinkTerm e-5 (vector 1 (vector 0 ))))) (if (null? sc8) (box u--xC-39) '()))) (else (box u--xC-39)))))) (let ((u--pC-39 (let ((sc7 (let ((sc8 (TTImpC-45InteractiveC-45MakeLemma-used e-8))) (cond ((equal? sc8 1) (let ((sc9 (TTImpC-45InteractiveC-45MakeLemma-bindableArg 0 e-5))) (cond ((equal? sc9 1) 0) (else (let ((sc10 (TTImpC-45InteractiveC-45MakeLemma-hiddenName e-3))) (cond ((equal? sc10 1) 0) (else 1))))))) (else 0))))) (cond ((equal? sc7 1) (vector 1 )) (else (vector 0 )))))) (lambda (eta-0) (vector 1 (cons (cons (cons e-3 (cons u--mn (cons u--pC-39 (cons e-8 e-11)))) e-15) e-14))))))))) eff-4)))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))(else (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 (CoreC-45Normalise-normalise arg-1 arg-0 e-6 arg-3 arg-5))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45Unelab-unelab arg-0 arg-1 arg-3 e-7))) (((csegen-50) ((let ((eff-3 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-8 (vector-ref eta-3 1))) (vector 0 e-8))) (else (let ((e-8 (vector-ref eta-3 1))) (vector 1 (eta-2 e-8))))))))))) (lambda (arg-6) (lambda (arg-7) ((((eff-3 'erased) 'erased) arg-6) arg-7)))) (csegen-5111))) eff-2)))) eff-2))))))))) (PrimIO-io_bind eff-1 (csegen-5112))))) eff-1)))))))))))))(else (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 (CoreC-45Normalise-normalise arg-1 arg-0 e-5 arg-3 arg-5))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45Unelab-unelab arg-0 arg-1 arg-3 e-6))) (((csegen-50) ((let ((eff-3 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-7 (vector-ref eta-3 1))) (vector 1 (eta-2 e-7))))))))))) (lambda (arg-6) (lambda (arg-7) ((((eff-3 'erased) 'erased) arg-6) arg-7)))) (csegen-5111))) eff-2)))) eff-2))))))))) (PrimIO-io_bind eff-1 (csegen-5112))))) eff-1))))))))))))))
(define TTImpC-45InteractiveC-45MakeLemma-bindableArg (lambda (arg-1 arg-2) (case (vector-ref arg-2 0) ((3) (let ((e-3 (vector-ref arg-2 3))) (let ((e-4 (vector-ref arg-2 4))) (case (vector-ref e-3 0) ((2) (let ((e-9 (vector-ref e-3 4))) (let ((sc2 (TTImpC-45InteractiveC-45MakeLemma-bindable arg-1 e-9))) (cond ((equal? sc2 1) 1) (else (TTImpC-45InteractiveC-45MakeLemma-bindableArg (+ arg-1 1) e-4))))))(else 0)))))(else 0))))
(define TTImpC-45InteractiveC-45MakeLemma-bindable (lambda (arg-1 arg-2) (let ((sc0 (CoreC-45TT-getFnArgs arg-2))) (if (null? sc0) 0 (let ((e-2 (car sc0))) (let ((e-3 (cdr sc0))) (case (vector-ref e-2 0) ((1) (let ((e-6 (vector-ref e-2 2))) (case (vector-ref e-6 0) ((3) (PreludeC-45Interfaces-any (csegen-16) (lambda (eta-0) (TTImpC-45InteractiveC-45MakeLemma-bindable arg-1 eta-0)) e-3)) ((2) (PreludeC-45Interfaces-any (csegen-16) (lambda (eta-0) (TTImpC-45InteractiveC-45MakeLemma-bindable arg-1 eta-0)) e-3))(else 0)))) ((6) (let ((e-11 (vector-ref e-2 3))) (PreludeC-45Interfaces-any (csegen-16) (lambda (eta-0) (TTImpC-45InteractiveC-45MakeLemma-bindable arg-1 eta-0)) (cons e-11 e-3)))) ((7) (let ((e-16 (vector-ref e-2 4))) (PreludeC-45Interfaces-any (csegen-16) (lambda (eta-0) (TTImpC-45InteractiveC-45MakeLemma-bindable arg-1 eta-0)) (cons e-16 e-3)))) ((8) (let ((e-20 (vector-ref e-2 3))) (PreludeC-45Interfaces-any (csegen-16) (lambda (eta-0) (TTImpC-45InteractiveC-45MakeLemma-bindable arg-1 eta-0)) (cons e-20 e-3)))) ((0) (let ((e-25 (vector-ref e-2 3))) (if (null? e-3) (or (and (= arg-1 e-25) 1) 0) 0)))(else 0))))))))
(define TTImpC-45InteractiveC-45Intro-case--caseC-32blockC-32inC-32introCon-5077 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15) (case (vector-ref arg-15 0) ((6) (let ((e-6 (vector-ref arg-15 7))) (let ((u--gty (CoreC-45NormaliseC-45Eval-gnf arg-0 arg-8 arg-9))) (let ((eff-0 (PreludeC-45Basics-flip (csegen-1569) e-6 (lambda (u--cons) (let ((eff-0 (CoreC-45Context-lookupCtxtExact u--cons (let ((e-39 (vector-ref arg-11 0))) e-39)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-8 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-0 1))) (let ((eff-1 (if (null? e-8) (lambda (eta-0) (vector 1 '())) (let ((e-9 (unbox e-8))) (let ((u--nargs (CoreC-45Env-lengthExplicitPi (Builtin-fst (let ((sc3 (CoreC-45TTC-45Views-underPis -1 '() (let ((e-29 (vector-ref e-9 2))) e-29)))) (let ((e-10 (cdr sc3))) e-10)))))) (let ((eff-1 (TTImpC-45Utils-uniqueHoleNames arg-2 arg-11 u--nargs (CoreC-45Name-nameRoot arg-7)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-10 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-1 1))) (let ((eff-2 (let ((u--new_holes (PreludeC-45Interfaces-C-60C-36C-62 (csegen-24) (csegen-4963) e-10))) (let ((u--pcons (IdrisC-45Syntax-papply (CoreC-45FC-replFC) (vector 0 (CoreC-45FC-replFC) u--cons) u--new_holes))) (let ((eff-2 (CoreC-45Core-u--catch_Catchable_Core_Error (let ((eff-2 (IdrisC-45Desugar-desugar arg-2 arg-1 arg-3 arg-4 arg-5 1 arg-0 u--pcons))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-11 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (TTImpC-45Elab-checkTerm arg-0 arg-1 arg-3 arg-4 arg-2 arg-5 arg-6 (vector 2 ) '() '() arg-8 e-11 u--gty))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-12 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-12)))) (else (let ((e-12 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (let ((eff-4 arg-1)) (PrimIO-io_bind (let ((eff-5 eff-4)) (lambda (eta-0) (unbox eff-5))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-13 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-4 1))) (let ((eff-5 (let ((eff-5 (CoreC-45Normalise-normaliseHoles arg-1 arg-0 e-13 arg-8 e-12))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-14 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-5 1))) (let ((eff-6 (let ((eff-6 (TTImpC-45Unelab-unelab arg-0 arg-1 arg-8 e-14))) (PrimIO-io_bind eff-6 (csegen-1573))))) eff-6))))))))) eff-5))))))))) eff-4))))))))) eff-3))))))) (lambda (_-5247) (lambda (eta-0) (vector 1 '())))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-11 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (let ((eff-3 arg-1)) (PrimIO-io_bind (let ((eff-4 eff-3)) (lambda (eta-0) (set-box! eff-4 arg-11))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-12 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-12)))) (else (let ((eff-4 (let ((eff-4 (let ((eff-4 arg-4)) (PrimIO-io_bind (let ((eff-5 eff-4)) (lambda (eta-0) (set-box! eff-5 arg-12))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-13 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((eff-5 (lambda (eta-0) (vector 1 e-11)))) eff-5)))))))) eff-4)))))))) eff-3))))))))))) eff-2)))))))))))) eff-1))))))))))) (PrimIO-io_bind eff-0 (csegen-3323))))))(else (lambda (eta-0) (vector 1 '()))))))
(define TTImpC-45InteractiveC-45Intro-introLam (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11) (let ((eff-0 (TTImpC-45Unelab-unelab arg-0 arg-1 arg-8 arg-11))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 arg-1)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (unbox eff-2))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45Utils-uniqueHoleName arg-2 e-6 '() (CoreC-45Name-nameRoot arg-7)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((u--iintrod (vector 2 (CoreC-45FC-replFC) arg-10 (vector 1 ) (box arg-9) e-5 (vector 30 (CoreC-45FC-replFC) e-7)))) (lambda (eta-0) (vector 1 u--iintrod))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))
(define TTImpC-45InteractiveC-45Intro-introCon (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10) (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 arg-4)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (unbox eff-2))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-lookupCtxtExact arg-9 (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (if (null? e-7) (lambda (eta-0) (vector 1 '())) (let ((e-1 (unbox e-7))) (let ((_-0 (box e-1))) (TTImpC-45InteractiveC-45Intro-case--caseC-32blockC-32inC-32introCon-5077 arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-10 arg-9 e-5 e-6 e-1 _-0 (let ((e-17 (vector-ref e-1 17))) e-17))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))
(define TTImpC-45InteractiveC-45Intro-intro (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9) (case (vector-ref arg-9 0) ((3) (let ((e-2 (vector-ref arg-9 2))) (let ((e-3 (vector-ref arg-9 3))) (let ((e-4 (vector-ref arg-9 4))) (case (vector-ref e-3 0) ((1) (let ((e-13 (vector-ref e-3 4))) (let ((eff-0 (TTImpC-45InteractiveC-45Intro-intro arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (CoreC-45TTC-45SubstEnv-subst e-13 e-4)))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-5 (vector-ref eta-3 1))) (vector 0 e-5))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-10) (lambda (arg-11) ((((eff-1 'erased) 'erased) arg-10) arg-11)))) (lambda (eta-0) eta-0))) eff-0)))) ((2) (let ((e-16 (vector-ref e-3 2))) (let ((e-17 (vector-ref e-3 3))) (let ((e-18 (vector-ref e-3 4))) (case (vector-ref e-17 0) ((1) (let ((eff-0 (TTImpC-45InteractiveC-45Intro-introLam arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 e-2 e-16 e-18))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-5 (vector-ref eta-3 1))) (vector 0 e-5))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-10) (lambda (arg-11) ((((eff-1 'erased) 'erased) arg-10) arg-11)))) (lambda (eta-0) (PreludeC-45Types-u--pure_Applicative_List eta-0)))) eff-0)))(else (let ((sc2 (CoreC-45TT-getFnArgs arg-9))) (if (null? sc2) (lambda (eta-0) (vector 1 '())) (let ((e-6 (car sc2))) (case (vector-ref e-6 0) ((1) (let ((e-8 (vector-ref e-6 2))) (let ((e-7 (vector-ref e-6 3))) (case (vector-ref e-8 0) ((3) (TTImpC-45InteractiveC-45Intro-introCon arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 e-7 arg-9))(else (lambda (eta-0) (vector 1 '())))))))(else (lambda (eta-0) (vector 1 '())))))))))))))(else (let ((sc1 (CoreC-45TT-getFnArgs arg-9))) (if (null? sc1) (lambda (eta-0) (vector 1 '())) (let ((e-6 (car sc1))) (case (vector-ref e-6 0) ((1) (let ((e-8 (vector-ref e-6 2))) (let ((e-7 (vector-ref e-6 3))) (case (vector-ref e-8 0) ((3) (TTImpC-45InteractiveC-45Intro-introCon arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 e-7 arg-9))(else (lambda (eta-0) (vector 1 '())))))))(else (lambda (eta-0) (vector 1 '()))))))))))))) ((6) (let ((e-8 (vector-ref arg-9 3))) (TTImpC-45InteractiveC-45Intro-intro arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 e-8)))(else (let ((sc0 (CoreC-45TT-getFnArgs arg-9))) (if (null? sc0) (lambda (eta-0) (vector 1 '())) (let ((e-2 (car sc0))) (case (vector-ref e-2 0) ((1) (let ((e-6 (vector-ref e-2 2))) (let ((e-7 (vector-ref e-2 3))) (case (vector-ref e-6 0) ((3) (TTImpC-45InteractiveC-45Intro-introCon arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 e-7 arg-9))(else (lambda (eta-0) (vector 1 '())))))))(else (lambda (eta-0) (vector 1 '())))))))))))
(define IdrisC-45Desugar-with--trimMultilineC-44dropLastNL-11569 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (if (null? arg-3) (case (vector-ref arg-4 0) ((0) '())(else (case (vector-ref arg-4 0) ((1) (let ((e-1 (vector-ref arg-4 1))) (let ((e-2 (vector-ref arg-4 2))) (case (vector-ref e-1 0) ((0) (let ((e-5 (vector-ref e-1 1))) (let ((e-6 (vector-ref e-1 2))) (DataC-45List-snoc e-2 (vector 0 e-5 (Builtin-fst (DataC-45String-break (lambda (eta-0) (PreludeC-45Types-isNL eta-0)) e-6)))))))(else arg-3)))))(else arg-3)))) (case (vector-ref arg-4 0) ((1) (let ((e-1 (vector-ref arg-4 1))) (let ((e-2 (vector-ref arg-4 2))) (case (vector-ref e-1 0) ((0) (let ((e-5 (vector-ref e-1 1))) (let ((e-6 (vector-ref e-1 2))) (DataC-45List-snoc e-2 (vector 0 e-5 (Builtin-fst (DataC-45String-break (lambda (eta-0) (PreludeC-45Types-isNL eta-0)) e-6)))))))(else arg-3)))))(else arg-3)))))
(define IdrisC-45Desugar-with--trimMultilineC-44trimLast-11433 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (if (null? arg-3) (case (vector-ref arg-4 0) ((0) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 62 arg-5 "Expected line wrap") eta-0)))(else (let ((e-1 (vector-ref arg-4 1))) (let ((e-2 (vector-ref arg-4 2))) (if (null? e-1) (lambda (eta-0) (vector 1 arg-0)) (let ((e-6 (car e-1))) (let ((e-7 (cdr e-1))) (case (vector-ref e-6 0) ((0) (let ((e-9 (vector-ref e-6 1))) (let ((e-10 (vector-ref e-6 2))) (if (null? e-7) (lambda (clam-0) (let ((sc5 (PreludeC-45Interfaces-any (csegen-16) (csegen-5113) (PreludeC-45Types-fastUnpack e-10)))) (cond ((equal? sc5 1) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 62 e-9 "Closing delimiter of multiline strings cannot be preceded by non-whitespace characters") clam-0)) (else (vector 1 e-2))))) (let ((u--fc (DataC-45Maybe-fromMaybe (lambda () arg-2) (LibrariesC-45DataC-45ListC-45Extra-findBy (lambda (eta-0) (IdrisC-45Syntax-isStrInterp eta-0)) e-1)))) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 62 u--fc "Closing delimiter of multiline strings cannot be preceded by non-whitespace characters") eta-0)))))))(else (let ((u--fc (DataC-45Maybe-fromMaybe (lambda () arg-2) (LibrariesC-45DataC-45ListC-45Extra-findBy (lambda (eta-0) (IdrisC-45Syntax-isStrInterp eta-0)) e-1)))) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 62 u--fc "Closing delimiter of multiline strings cannot be preceded by non-whitespace characters") eta-0)))))))))))) (let ((e-1 (vector-ref arg-4 1))) (let ((e-2 (vector-ref arg-4 2))) (if (null? e-1) (lambda (eta-0) (vector 1 arg-0)) (let ((e-6 (car e-1))) (let ((e-7 (cdr e-1))) (case (vector-ref e-6 0) ((0) (let ((e-9 (vector-ref e-6 1))) (let ((e-10 (vector-ref e-6 2))) (if (null? e-7) (lambda (clam-1) (let ((sc5 (PreludeC-45Interfaces-any (csegen-16) (csegen-5113) (PreludeC-45Types-fastUnpack e-10)))) (cond ((equal? sc5 1) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 62 e-9 "Closing delimiter of multiline strings cannot be preceded by non-whitespace characters") clam-1)) (else (vector 1 e-2))))) (let ((u--fc (DataC-45Maybe-fromMaybe (lambda () arg-2) (LibrariesC-45DataC-45ListC-45Extra-findBy (lambda (eta-0) (IdrisC-45Syntax-isStrInterp eta-0)) e-1)))) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 62 u--fc "Closing delimiter of multiline strings cannot be preceded by non-whitespace characters") eta-0)))))))(else (let ((u--fc (DataC-45Maybe-fromMaybe (lambda () arg-2) (LibrariesC-45DataC-45ListC-45Extra-findBy (lambda (eta-0) (IdrisC-45Syntax-isStrInterp eta-0)) e-1)))) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 62 u--fc "Closing delimiter of multiline strings cannot be preceded by non-whitespace characters") eta-0)))))))))))))
(define IdrisC-45Desugar-case--trimMultilineC-44trimLeft-11762 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (lambda (clam-0) (let ((e-2 (car arg-7))) (let ((e-3 (cdr arg-7))) (let ((sc1 (let ((sc2 (PreludeC-45Interfaces-any (csegen-16) (csegen-5113) e-2))) (cond ((equal? sc2 1) 1) (else (PreludeC-45Types-u--C-60_Ord_Nat (PreludeC-45TypesC-45List-lengthTR e-2) arg-6)))))) (cond ((equal? sc1 1) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 62 arg-4 "Line is less indented than the closing delimiter") clam-0)) (else (vector 1 (cons (vector 0 arg-4 (PreludeC-45Types-fastPack e-3)) arg-5))))))))))
(define IdrisC-45Desugar-case--trimMultilineC-44trimLeft-11623 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (let ((e-2 (car arg-6))) (let ((e-3 (cdr arg-6))) (let ((sc1 (PreludeC-45Interfaces-any (csegen-16) (csegen-5113) e-2))) (cond ((equal? sc1 1) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 62 arg-4 "Line is less indented than the closing delimiter") eta-0))) (else (let ((u--str (let ((sc2 (PreludeC-45Types-u--null_Foldable_List e-3))) (cond ((equal? sc2 1) ((csegen-0) "\xa;")) (else (PreludeC-45Types-fastPack e-3)))))) (lambda (eta-0) (vector 1 (cons (vector 0 arg-4 u--str) '())))))))))))
(define IdrisC-45Desugar-case--expandStringC-44mergeStrLit-11161 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11) (let ((e-2 (car arg-11))) (let ((e-3 (cdr arg-11))) (if (null? e-2) (if (null? e-3) '() (let ((e-10 (car e-3))) (let ((e-11 (cdr e-3))) (cons e-10 (IdrisC-45Desugar-n--14370-11128-u--mergeStrLit arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-11))))) (let ((u--fc (Builtin-fst (DataC-45List-head e-2)))) (let ((u--lit (PreludeC-45Types-fastConcat (PreludeC-45Interfaces-C-60C-36C-62 (csegen-24) (lambda (eta-0) (Builtin-snd eta-0)) e-2)))) (cons (vector 0 u--fc u--lit) (IdrisC-45Desugar-n--14370-11128-u--mergeStrLit arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-3)))))))))
(define IdrisC-45Desugar-case--toTokList-7148 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8) (if (null? arg-8) (let ((sc1 (PreludeC-45Interfaces-any (csegen-16) (lambda (eta-0) (CoreC-45Name-isOpChar eta-0)) (PreludeC-45Types-fastUnpack arg-7)))) (cond ((equal? sc1 1) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 arg-4 (string-append "Unknown operator '" (string-append arg-7 "'"))) eta-0))) (else (let ((eff-0 (IdrisC-45Desugar-toTokList arg-5 arg-1))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (cons (vector 1 arg-2) (cons (vector 0 arg-4 arg-3 arg-0 (IdrisC-45Desugar-n--13584-7128-u--backtickPrec arg-0 arg-1 arg-2 arg-3 arg-4 arg-5)) e-5)))))) eff-1)))))))))) (let ((e-2 (unbox arg-8))) (let ((e-6 (cdr e-2))) (let ((e-9 (car e-6))) (let ((e-10 (cdr e-6))) (cond ((equal? e-9 3) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 arg-4 (string-append "'" (string-append arg-7 "' is a prefix operator"))) eta-0)))(else (let ((eff-0 (IdrisC-45Desugar-toTokList arg-5 arg-1))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-7 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (cons (vector 1 arg-2) (cons (vector 0 arg-4 arg-3 arg-0 (IdrisC-45Desugar-mkPrec e-9 e-10)) e-7)))))) eff-1))))))))))))))))
(define IdrisC-45Desugar-n--14414-11422-u--trimLeft (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (if (null? arg-4) (lambda (eta-0) (vector 1 '())) (let ((e-2 (car arg-4))) (let ((e-3 (cdr arg-4))) (case (vector-ref e-2 0) ((0) (let ((e-5 (vector-ref e-2 1))) (let ((e-6 (vector-ref e-2 2))) (if (null? e-3) (IdrisC-45Desugar-case--trimMultilineC-44trimLeft-11623 arg-0 arg-1 arg-2 e-6 e-5 arg-3 (DataC-45List-splitAt arg-3 (PreludeC-45Types-fastUnpack e-6))) (IdrisC-45Desugar-case--trimMultilineC-44trimLeft-11762 arg-0 arg-1 arg-2 e-6 e-5 e-3 arg-3 (DataC-45List-splitAt arg-3 (PreludeC-45Types-fastUnpack e-6)))))))(else (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 62 arg-2 "Line is less indented than the closing delimiter") eta-0)))))))))
(define IdrisC-45Desugar-n--14414-11420-u--trimLast (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (IdrisC-45Desugar-with--trimMultilineC-44trimLast-11433 arg-4 arg-1 arg-3 arg-4 (DataC-45ListC-45Views-snocList arg-4) arg-3)))
(define IdrisC-45Desugar-n--14370-11127-u--toRawImp (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10) (case (vector-ref arg-10 0) ((0) (let ((e-1 (vector-ref arg-10 1))) (let ((e-2 (vector-ref arg-10 2))) (lambda (eta-0) (vector 1 (vector 28 e-1 (vector 10 e-2))))))) (else (let ((e-5 (vector-ref arg-10 2))) (IdrisC-45Desugar-desugarB arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 e-5))))))
(define IdrisC-45Desugar-n--14693-13605-u--toRF (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13) (case (vector-ref arg-13 0) ((1) (let ((e-0 (vector-ref arg-13 1))) (case (vector-ref e-0 0) ((0) (let ((e-1 (vector-ref e-0 1))) (vector 1 (vector 1 e-1))))(else arg-13))))(else arg-13))))
(define IdrisC-45Desugar-n--14185-10517-u--toPure (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12) (vector 0 arg-2 (vector 7 arg-2 (vector 0 arg-2 (CoreC-45Name-mbApplyNS arg-11 (vector 1 (vector 0 "pure")))) arg-12))))
(define IdrisC-45Desugar-n--14762-13756-u--toIDef (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 ext-0) (case (vector-ref arg-9 0) ((0) (let ((e-1 (vector-ref arg-9 1))) (let ((e-2 (vector-ref arg-9 2))) (let ((e-3 (vector-ref arg-9 3))) (vector 1 (vector 2 e-1 arg-8 (cons (vector 0 e-1 e-2 e-3) '()))))))) ((1) (let ((e-5 (vector-ref arg-9 1))) (let ((e-6 (vector-ref arg-9 2))) (let ((e-7 (vector-ref arg-9 3))) (let ((e-8 (vector-ref arg-9 4))) (let ((e-9 (vector-ref arg-9 5))) (let ((e-10 (vector-ref arg-9 6))) (let ((e-11 (vector-ref arg-9 7))) (vector 1 (vector 2 e-5 arg-8 (cons (vector 1 e-5 e-6 e-7 e-8 e-9 e-10 e-11) '()))))))))))) (else (let ((e-13 (vector-ref arg-9 1))) (let ((e-14 (vector-ref arg-9 2))) (vector 1 (vector 2 e-13 arg-8 (cons (vector 2 e-13 e-14) '())))))))))
(define IdrisC-45Desugar-n--14370-11130-u--strInterpolate (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10) (if (null? arg-10) (vector 0 (vector 2 ) (IdrisC-45SyntaxC-45Builtin-nilName)) (let ((e-2 (car arg-10))) (let ((e-3 (cdr arg-10))) (let ((u--xFC (CoreC-45FC-virtualiseFC (TTImpC-45TTImp-getFC e-2)))) (TTImpC-45TTImp-apply (vector 0 u--xFC (IdrisC-45SyntaxC-45Builtin-consName)) (cons (vector 8 u--xFC (vector 0 (vector 2 ) (IdrisC-45SyntaxC-45Builtin-interpolateName)) e-2) (cons (IdrisC-45Desugar-n--14370-11130-u--strInterpolate arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-3) '())))))))))
(define IdrisC-45Desugar-n--14762-14313-u--pairToCons (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15) (case (vector-ref arg-15 0) ((40) (let ((e-2 (vector-ref arg-15 2))) (let ((e-3 (vector-ref arg-15 3))) (PreludeC-45TypesC-45List-tailRecAppend (IdrisC-45Desugar-n--14762-14313-u--pairToCons arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 e-2) (IdrisC-45Desugar-n--14762-14313-u--pairToCons arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 e-3)))))(else (cons arg-15 '())))))
(define IdrisC-45Desugar-n--14370-11129-u--notEmpty (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10) (case (vector-ref arg-10 0) ((0) (let ((e-2 (vector-ref arg-10 2))) (PreludeC-45EqOrd-u--C-47C-61_Eq_String e-2 ""))) (else 1))))
(define IdrisC-45Desugar-n--14762-15313-u--mkRecType (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12) (if (null? arg-12) (vector 22 arg-5) (let ((e-2 (car arg-12))) (let ((e-3 (cdr arg-12))) (let ((e-6 (car e-2))) (let ((e-7 (cdr e-2))) (let ((e-10 (car e-7))) (let ((e-11 (cdr e-7))) (let ((e-14 (car e-11))) (let ((e-15 (cdr e-11))) (vector 1 arg-5 e-10 e-14 (box e-6) e-15 (IdrisC-45Desugar-n--14762-15313-u--mkRecType arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 e-3)))))))))))))
(define IdrisC-45Desugar-n--14762-15356-u--mkConName (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15) (case (vector-ref arg-15 0) ((0) (let ((e-0 (vector-ref arg-15 1))) (let ((e-1 (vector-ref arg-15 2))) (case (vector-ref e-1 0) ((1) (let ((e-2 (vector-ref e-1 1))) (let ((u--str (CoreC-45Name-displayUserName e-2))) (vector 0 e-0 (vector 4 u--str (vector 2 (string-append "__mk" u--str) 0))))))(else (vector 4 (CoreC-45Name-u--show_Show_Name arg-15) (vector 2 (string-append "__mk" (CoreC-45Name-u--show_Show_Name arg-15)) 0)))))))(else (vector 4 (CoreC-45Name-u--show_Show_Name arg-15) (vector 2 (string-append "__mk" (CoreC-45Name-u--show_Show_Name arg-15)) 0))))))
(define IdrisC-45Desugar-n--14370-11128-u--mergeStrLit (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10) (IdrisC-45Desugar-case--expandStringC-44mergeStrLit-11161 arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (DataC-45List-spanBy (lambda (eta-0) (IdrisC-45Syntax-isStrLiteral eta-0)) arg-10))))
(define IdrisC-45Desugar-n--14762-15357-u--mapDesugarPiInfo (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 ext-0) (CoreC-45CoreC-45PiInfo-traverse (lambda (eta-0) (IdrisC-45Desugar-desugar arg-14 arg-13 arg-11 arg-12 arg-10 1 arg-15 eta-0)) ext-0)))
(define IdrisC-45Desugar-n--14762-14801-u--isNamed (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-18) (if (null? arg-18) 0 1)))
(define IdrisC-45Desugar-n--14185-10516-u--guard (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12) (case (vector-ref arg-12 0) ((0) (let ((e-1 (vector-ref arg-12 1))) (let ((e-2 (vector-ref arg-12 2))) (vector 0 e-1 (vector 7 e-1 (vector 0 e-1 (CoreC-45Name-mbApplyNS arg-11 (vector 1 (vector 0 "guard")))) e-2)))))(else arg-12))))
(define IdrisC-45Desugar-n--14762-15355-u--fname (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15) (let ((e-5 (vector-ref arg-15 4))) e-5)))
(define IdrisC-45Desugar-n--14762-14314-u--expandConstraint (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15) (let ((e-2 (car arg-15))) (let ((e-3 (cdr arg-15))) (if (null? e-2) (((csegen-25) (lambda (u--x) (cons '() u--x))) (IdrisC-45Desugar-n--14762-14313-u--pairToCons arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 e-3)) (let ((e-5 (unbox e-2))) (cons (cons (box e-5) e-3) '())))))))
(define IdrisC-45Desugar-n--14414-11421-u--dropLastNL (lambda (arg-0 arg-1 arg-2 arg-3) (IdrisC-45Desugar-with--trimMultilineC-44dropLastNL-11569 arg-0 arg-1 arg-2 arg-3 (DataC-45ListC-45Views-snocList arg-3))))
(define IdrisC-45Desugar-n--13584-7128-u--backtickPrec (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (vector 2 1)))
(define IdrisC-45Desugar-u--C-61C-61_Eq_Side (lambda (arg-0 arg-1) (cond ((equal? arg-0 0) (cond ((equal? arg-1 0) 1)(else 0))) ((equal? arg-0 1) (cond ((equal? arg-1 1) 1)(else 0)))(else 0))))
(define IdrisC-45Desugar-trimMultiline (lambda (arg-0 arg-1 arg-2) (let ((sc0 (or (and (= arg-1 0) 1) 0))) (cond ((equal? sc0 1) (lambda (eta-0) (vector 1 (IdrisC-45Desugar-n--14414-11421-u--dropLastNL arg-2 arg-1 arg-0 (PreludeC-45Interfaces-concat (csegen-83) (csegen-16) arg-2))))) (else (let ((eff-0 (IdrisC-45Desugar-n--14414-11420-u--trimLast arg-2 arg-1 arg-0 arg-0 arg-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Core-traverseC-39 (lambda (eta-0) (IdrisC-45Desugar-n--14414-11422-u--trimLeft arg-2 arg-1 arg-0 arg-1 eta-0)) e-5 '()))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (IdrisC-45Desugar-n--14414-11421-u--dropLastNL arg-2 arg-1 arg-0 (PreludeC-45Interfaces-concat (csegen-83) (csegen-16) e-6)))))) eff-2))))))))) eff-1))))))))))))
(define IdrisC-45Desugar-toTokList (lambda (arg-0 arg-1) (case (vector-ref arg-1 0) ((27) (let ((e-1 (vector-ref arg-1 1))) (let ((e-2 (vector-ref arg-1 2))) (let ((e-3 (vector-ref arg-1 3))) (let ((e-4 (vector-ref arg-1 4))) (let ((e-5 (vector-ref arg-1 5))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--op (CoreC-45Name-nameRoot e-3))) (IdrisC-45Desugar-case--toTokList-7148 e-3 e-5 e-4 e-2 e-1 arg-0 e-6 u--op (LibrariesC-45DataC-45StringMap-lookup u--op (let ((e-0 (vector-ref e-6 0))) e-0)))))) eff-1))))))))))))) ((28) (let ((e-7 (vector-ref arg-1 1))) (let ((e-8 (vector-ref arg-1 2))) (let ((e-9 (vector-ref arg-1 3))) (let ((e-10 (vector-ref arg-1 4))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--op (CoreC-45Name-nameRoot e-9))) (let ((sc2 (LibrariesC-45DataC-45StringMap-lookup u--op (let ((e-1 (vector-ref e-5 1))) e-1)))) (if (null? sc2) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 e-7 (string-append "'" (string-append u--op "' is not a prefix operator"))) eta-0)) (let ((e-2 (unbox sc2))) (let ((e-6 (cdr e-2))) (let ((eff-1 (IdrisC-45Desugar-toTokList arg-0 e-10))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-3 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-12 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (cons (vector 0 e-7 e-8 e-9 (vector 3 e-6)) e-12))))) eff-2)))))))))))))) eff-1))))))))))))(else (lambda (eta-0) (vector 1 (cons (vector 1 arg-1) '())))))))
(define IdrisC-45Desugar-seqFun (lambda (arg-0 arg-1 arg-2 arg-3) (let ((u--fc (CoreC-45FC-virtualiseFC arg-0))) (vector 8 u--fc (vector 8 u--fc (vector 0 u--fc (IdrisC-45Desugar-addNS arg-1 (vector 1 (vector 0 ">>")))) arg-2) arg-3))))
(define IdrisC-45Desugar-mkPrec (lambda (arg-0 arg-1) (cond ((equal? arg-0 0) (vector 0 arg-1)) ((equal? arg-0 1) (vector 1 arg-1)) ((equal? arg-0 2) (vector 2 arg-1)) (else (vector 3 arg-1)))))
(define IdrisC-45Desugar-initBangs (lambda (ext-0) (vector 0 '() ext-0)))
(define IdrisC-45Desugar-idiomise (lambda (arg-0 arg-1 arg-2) (case (vector-ref arg-2 0) ((13) (let ((e-1 (vector-ref arg-2 1))) (let ((e-2 (vector-ref arg-2 2))) (let ((e-3 (vector-ref arg-2 3))) (vector 13 e-1 (TTImpC-45TTImp-mapAltType (lambda (eta-0) (IdrisC-45Desugar-idiomise e-1 arg-1 eta-0)) e-2) (PreludeC-45Interfaces-C-60C-36C-62 (csegen-24) (lambda (eta-0) (IdrisC-45Desugar-idiomise e-1 arg-1 eta-0)) e-3)))))) ((8) (let ((e-5 (vector-ref arg-2 1))) (let ((e-6 (vector-ref arg-2 2))) (let ((e-7 (vector-ref arg-2 3))) (let ((u--fc (CoreC-45FC-virtualiseFC arg-0))) (let ((u--app (vector 1 (vector 0 "<*>")))) (let ((u--nm (PreludeC-45Types-maybe (lambda () u--app) (lambda () (lambda (arg-3) (vector 0 arg-3 u--app))) arg-1))) (vector 8 u--fc (vector 8 u--fc (vector 0 u--fc u--nm) (IdrisC-45Desugar-idiomise e-5 arg-1 e-6)) e-7))))))))(else (let ((u--fc (CoreC-45FC-virtualiseFC arg-0))) (let ((u--pur (vector 1 (vector 0 "pure")))) (let ((u--nm (PreludeC-45Types-maybe (lambda () u--pur) (lambda () (lambda (arg-3) (vector 0 arg-3 u--pur))) arg-1))) (vector 8 u--fc (vector 0 u--fc u--nm) arg-2))))))))
(define IdrisC-45Desugar-getClauseFn (lambda (arg-0) (case (vector-ref arg-0 0) ((0) (let ((e-2 (vector-ref arg-0 2))) (lambda (eta-0) (vector 1 e-2)))) ((8) (let ((e-5 (vector-ref arg-0 2))) (IdrisC-45Desugar-getClauseFn e-5))) ((9) (let ((e-9 (vector-ref arg-0 2))) (IdrisC-45Desugar-getClauseFn e-9))) ((10) (let ((e-13 (vector-ref arg-0 2))) (IdrisC-45Desugar-getClauseFn e-13)))(else (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (TTImpC-45TTImp-getFC arg-0) "Head term in pattern must be a function name") eta-0))))))
(define IdrisC-45Desugar-extendSyn (lambda (arg-0 arg-1 arg-2) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45ContextC-45Log-log arg-1 "doc.module" 20 (lambda () (DataC-45String-fastUnlines (cons (string-append "Old (" (string-append (DataC-45String-unwords ((csegen-1291) (let ((e-2 (vector-ref e-5 2))) e-2))) (string-append "): " (LibrariesC-45DataC-45SortedMap-u--show_Show_C-40C-40SortedMapC-32C-36kC-41C-32C-36vC-41 (csegen-5118) (let ((e-3 (vector-ref e-5 3))) e-3))))) (cons (string-append "New (" (string-append (DataC-45String-unwords ((csegen-1291) (let ((e-2 (vector-ref arg-2 2))) e-2))) (string-append "): " (LibrariesC-45DataC-45SortedMap-u--show_Show_C-40C-40SortedMapC-32C-36kC-41C-32C-36vC-41 (csegen-5118) (let ((e-3 (vector-ref arg-2 3))) e-3))))) '()))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 arg-0)) (PrimIO-io_bind (let ((eff-3 eff-2)) (lambda (eta-0) (set-box! eff-3 (let ((e-0 (vector-ref e-5 0))) (let ((e-1 (vector-ref e-5 1))) (let ((e-2 (vector-ref e-5 2))) (let ((e-3 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-14 (vector-ref e-5 5))) (let ((e-13 (vector-ref e-5 6))) (let ((e-7 (vector-ref e-5 7))) (let ((e-8 (vector-ref e-5 8))) (let ((e-9 (vector-ref e-5 9))) (let ((e-10 (vector-ref e-5 10))) (let ((e-11 (vector-ref e-5 11))) (let ((e-12 (vector-ref e-5 12))) (vector (LibrariesC-45DataC-45StringMap-mergeLeft (let ((e-27 (vector-ref arg-2 0))) e-27) e-0) (LibrariesC-45DataC-45StringMap-mergeLeft (let ((e-26 (vector-ref arg-2 1))) e-26) e-1) e-2 (LibrariesC-45DataC-45SortedMap-mergeLeft (let ((e-24 (vector-ref arg-2 3))) e-24) e-3) (LibrariesC-45DataC-45SortedMap-mergeLeft (let ((e-23 (vector-ref arg-2 4))) e-23) e-4) e-14 (LibrariesC-45DataC-45ANameMap-merge (let ((e-21 (vector-ref arg-2 6))) e-21) e-13) e-7 (LibrariesC-45DataC-45ANameMap-merge (let ((e-19 (vector-ref arg-2 8))) e-19) e-8) (PreludeC-45TypesC-45List-tailRecAppend (let ((e-18 (vector-ref arg-2 9))) e-18) e-9) e-10 e-11 e-12))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-2)))))))) eff-1)))))))))
(define IdrisC-45Desugar-expandString (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9) (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (IdrisC-45Desugar-n--14370-11127-u--toRawImp arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 arg-0 eta-0)) (PreludeC-45TypesC-45List-filterAppend '() (lambda (eta-0) (IdrisC-45Desugar-n--14370-11129-u--notEmpty arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 arg-0 eta-0)) (IdrisC-45Desugar-n--14370-11128-u--mergeStrLit arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 arg-0 arg-9)) '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (if (null? e-5) (vector 28 arg-8 (vector 10 "")) (let ((u--vfc (CoreC-45FC-virtualiseFC arg-8))) (vector 8 u--vfc (vector 10 u--vfc (vector 0 u--vfc (vector 0 (CoreC-45NameC-45Namespace-preludeNS) (vector 1 (vector 0 "concat")))) (vector 1 (vector 0 "t")) (vector 0 u--vfc (vector 0 (CoreC-45NameC-45Namespace-preludeNS) (vector 1 (vector 0 "List"))))) (IdrisC-45Desugar-n--14370-11130-u--strInterpolate arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 arg-0 e-5)))))))) eff-1)))))))))
(define IdrisC-45Desugar-expandSnocList (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9) (if (null? arg-9) (lambda (eta-0) (vector 1 (vector 0 arg-8 (vector 1 (vector 0 "Lin"))))) (let ((e-2 (car arg-9))) (let ((e-3 (cdr arg-9))) (let ((e-6 (car e-3))) (let ((e-7 (cdr e-3))) (let ((eff-0 (IdrisC-45Desugar-expandSnocList arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 e-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (IdrisC-45Desugar-desugarB arg-0 arg-1 arg-2 arg-4 arg-3 arg-5 arg-6 arg-7 e-7))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-8 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (TTImpC-45TTImp-apply (vector 0 e-6 (vector 1 (vector 0 ":<"))) (cons e-5 (cons e-8 '()))))))) eff-2))))))))) eff-1))))))))))))))
(define IdrisC-45Desugar-expandList (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9) (if (null? arg-9) (lambda (eta-0) (vector 1 (vector 0 arg-8 (vector 1 (vector 0 "Nil"))))) (let ((e-2 (car arg-9))) (let ((e-3 (cdr arg-9))) (let ((e-6 (car e-2))) (let ((e-7 (cdr e-2))) (let ((eff-0 (IdrisC-45Desugar-desugarB arg-0 arg-1 arg-2 arg-4 arg-3 arg-5 arg-6 arg-7 e-7))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (IdrisC-45Desugar-expandList arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 e-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-8 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (TTImpC-45TTImp-apply (vector 0 e-6 (vector 1 (vector 0 "::"))) (cons e-5 (cons e-8 '()))))))) eff-2))))))))) eff-1))))))))))))))
(define IdrisC-45Desugar-expandDo (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9) (if (null? arg-9) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 arg-7 "Do block cannot be empty") eta-0)) (let ((e-2 (car arg-9))) (let ((e-3 (cdr arg-9))) (case (vector-ref e-2 0) ((0) (let ((e-39 (vector-ref e-2 2))) (if (null? e-3) (IdrisC-45Desugar-desugarDo arg-0 arg-1 arg-3 arg-2 arg-4 arg-5 arg-6 arg-8 e-39) (if (null? e-3) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (IdrisC-45Syntax-getLoc e-2) "Last statement in do block must be an expression") eta-0)) (case (vector-ref e-2 0) ((0) (let ((e-5 (vector-ref e-2 1))) (let ((e-6 (vector-ref e-2 2))) (let ((eff-0 (IdrisC-45Desugar-desugarDo arg-0 arg-1 arg-3 arg-2 arg-4 arg-5 arg-6 arg-8 e-6))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-7 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (IdrisC-45Desugar-expandDo arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 e-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-8 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (IdrisC-45Desugar-seqFun e-5 arg-8 e-7 e-8))))) eff-2))))))))) eff-1)))))))))) ((1) (let ((e-8 (vector-ref e-2 1))) (let ((e-9 (vector-ref e-2 2))) (let ((e-10 (vector-ref e-2 3))) (let ((e-11 (vector-ref e-2 4))) (let ((eff-0 (IdrisC-45Desugar-desugarDo arg-0 arg-1 arg-3 arg-2 arg-4 arg-5 arg-6 arg-8 e-11))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (IdrisC-45Desugar-expandDo arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 e-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (let ((sc7 (CoreC-45FC-isConcreteFC e-9))) (if (null? sc7) (lambda (eta-0) (vector 1 (vector 0 ))) (let ((e-1 (unbox sc7))) (CoreC-45Metadata-addSemanticDecorations arg-3 arg-1 (cons (cons e-1 (cons 5 (box e-10))) '()))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-3 (lambda (eta-0) (vector 1 (IdrisC-45Desugar-bindFun e-8 arg-8 e-5 (vector 2 e-9 (AlgebraC-45ZeroOneOmega-u--top_Top_ZeroOneOmega) (vector 1 ) (box e-10) (vector 32 (CoreC-45FC-virtualiseFC e-8) 0) e-6)))))) eff-3)))))))) eff-2))))))))) eff-1)))))))))))) ((2) (let ((e-13 (vector-ref e-2 1))) (let ((e-14 (vector-ref e-2 2))) (let ((e-15 (vector-ref e-2 3))) (let ((e-16 (vector-ref e-2 4))) (let ((eff-0 (IdrisC-45Desugar-desugarDo arg-0 arg-1 arg-3 arg-2 arg-4 0 arg-6 arg-8 e-14))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (TTImpC-45BindImplicits-bindNames arg-1 0 e-5))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((e-7 (car e-6))) (let ((e-4 (cdr e-6))) (let ((eff-2 (IdrisC-45Desugar-desugarDo arg-0 arg-1 arg-3 arg-2 arg-4 arg-5 arg-6 arg-8 e-15))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (let ((eff-3 (IdrisC-45Desugar-desugarClause arg-0 arg-1 arg-2 arg-3 arg-4 arg-6 1 eta-0))) (((csegen-50) ((let ((eff-4 (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (lambda (eta-4) (case (vector-ref eta-4 0) ((0) (let ((e-9 (vector-ref eta-4 1))) (vector 0 e-9))) (else (let ((e-9 (vector-ref eta-4 1))) (vector 1 (eta-3 e-9))))))))))) (lambda (arg-10) (lambda (arg-11) ((((eff-4 'erased) 'erased) arg-10) arg-11)))) (lambda (eta-1) (Builtin-snd eta-1)))) eff-3))) e-16 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-9 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-3 1))) (let ((eff-4 (let ((u--psC-39 (PreludeC-45TypesC-45List-tailRecAppend e-7 arg-6))) (let ((eff-4 (IdrisC-45Desugar-expandDo arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 u--psC-39 arg-7 arg-8 e-3))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-10 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-4 1))) (let ((eff-5 (let ((u--fcOriginal e-13)) (let ((u--fc (CoreC-45FC-virtualiseFC e-13))) (lambda (eta-0) (vector 1 (IdrisC-45Desugar-bindFun u--fc arg-8 e-8 (vector 2 (vector 2 ) (AlgebraC-45ZeroOneOmega-u--top_Top_ZeroOneOmega) (vector 1 ) (box (vector 2 "_" 0)) (vector 32 u--fc 0) (vector 4 u--fc (csegen-5121) (vector 32 u--fc 0) (cons (vector 0 u--fcOriginal e-4 e-10) e-9)))))))))) eff-5)))))))))) eff-4))))))))) eff-3))))))))))) eff-2))))))))) eff-1)))))))))))) ((3) (let ((e-18 (vector-ref e-2 1))) (let ((e-19 (vector-ref e-2 2))) (let ((e-20 (vector-ref e-2 3))) (let ((e-21 (vector-ref e-2 4))) (let ((e-22 (vector-ref e-2 5))) (let ((e-23 (vector-ref e-2 6))) (let ((eff-0 (CoreC-45Core-newRef (vector "Idris.Desugar.Bang" ) (IdrisC-45Desugar-initBangs arg-8)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (IdrisC-45Desugar-desugarB arg-0 e-5 arg-1 arg-3 arg-2 arg-4 arg-5 arg-6 e-23))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (IdrisC-45Desugar-desugarDo arg-0 arg-1 arg-3 arg-2 arg-4 arg-5 arg-6 arg-8 e-22))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (IdrisC-45Desugar-expandDo arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 e-3))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-4 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (let ((sc9 (CoreC-45FC-isConcreteFC e-19))) (if (null? sc9) (lambda (eta-0) (vector 1 (vector 0 ))) (let ((e-1 (unbox sc9))) (CoreC-45Metadata-addSemanticDecorations arg-3 arg-1 (cons (cons e-1 (cons 5 (box e-20))) '()))))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-4 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-5 (let ((u--bind (vector 3 e-18 e-19 e-21 e-20 e-7 e-6 e-8))) (let ((eff-5 (let ((eff-5 e-5)) (PrimIO-io_bind (let ((eff-6 eff-5)) (lambda (eta-0) (unbox eff-6))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-4 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-10 (vector-ref lcase-5 1))) (let ((eff-6 (lambda (eta-0) (vector 1 (IdrisC-45Desugar-bindBangs (let ((e-1 (vector-ref e-10 1))) e-1) arg-8 u--bind))))) eff-6)))))))))) eff-5)))))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))) ((4) (let ((e-25 (vector-ref e-2 1))) (let ((e-26 (vector-ref e-2 2))) (let ((e-27 (vector-ref e-2 3))) (let ((e-28 (vector-ref e-2 4))) (let ((e-29 (vector-ref e-2 5))) (let ((eff-0 (CoreC-45Core-newRef (vector "Idris.Desugar.Bang" ) (IdrisC-45Desugar-initBangs arg-8)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (IdrisC-45Desugar-desugarDo arg-0 arg-1 arg-3 arg-2 arg-4 0 arg-6 arg-8 e-26))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (IdrisC-45Desugar-desugarDo arg-0 arg-1 arg-3 arg-2 arg-4 arg-5 arg-6 arg-8 e-27))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (TTImpC-45BindImplicits-bindNames arg-1 0 e-6))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-4 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((e-9 (car e-8))) (let ((e-4 (cdr e-8))) (let ((eff-4 (IdrisC-45Desugar-desugarB arg-0 e-5 arg-1 arg-3 arg-2 arg-4 arg-5 arg-6 e-28))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-10 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-4 1))) (let ((eff-5 (let ((eff-5 (CoreC-45Core-traverseC-39 (lambda (eta-0) (let ((eff-5 (IdrisC-45Desugar-desugarClause arg-0 arg-1 arg-2 arg-3 arg-4 arg-6 1 eta-0))) (((csegen-50) ((let ((eff-6 (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (lambda (eta-4) (case (vector-ref eta-4 0) ((0) (let ((e-11 (vector-ref eta-4 1))) (vector 0 e-11))) (else (let ((e-11 (vector-ref eta-4 1))) (vector 1 (eta-3 e-11))))))))))) (lambda (arg-10) (lambda (arg-11) ((((eff-6 'erased) 'erased) arg-10) arg-11)))) (lambda (eta-1) (Builtin-snd eta-1)))) eff-5))) e-29 '()))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-11 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-5 1))) (let ((eff-6 (let ((u--psC-39 (PreludeC-45TypesC-45List-tailRecAppend e-9 arg-6))) (let ((eff-6 (IdrisC-45Desugar-expandDo arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 u--psC-39 arg-7 arg-8 e-3))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-12 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-12)))) (else (let ((e-12 (vector-ref lcase-6 1))) (let ((eff-7 (let ((eff-7 (let ((eff-7 e-5)) (PrimIO-io_bind (let ((eff-8 eff-7)) (lambda (eta-0) (unbox eff-8))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-13 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-7 1))) (let ((eff-8 (let ((u--fc (CoreC-45FC-virtualiseFC e-25))) (lambda (eta-0) (vector 1 (IdrisC-45Desugar-bindBangs (let ((e-1 (vector-ref e-13 1))) e-1) arg-8 (vector 4 u--fc e-10 e-7 (cons (vector 0 u--fc e-4 e-12) e-11)))))))) eff-8))))))))) eff-7)))))))))) eff-6))))))))) eff-5))))))))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))))) ((5) (let ((e-31 (vector-ref e-2 1))) (let ((e-32 (vector-ref e-2 2))) (let ((eff-0 (IdrisC-45Desugar-expandDo arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 e-3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Core-traverseC-39 (lambda (eta-0) (IdrisC-45Desugar-desugarDecl arg-0 arg-1 arg-2 arg-3 arg-4 arg-6 eta-0)) e-32 '()))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 5 e-31 (PreludeC-45Interfaces-concat (csegen-83) (csegen-16) e-6) e-5))))) eff-2))))))))) eff-1)))))))))) (else (let ((e-34 (vector-ref e-2 1))) (let ((e-35 (vector-ref e-2 2))) (let ((eff-0 (IdrisC-45Desugar-expandDo arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 e-3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (IdrisC-45Desugar-desugarDo arg-0 arg-1 arg-3 arg-2 arg-4 arg-5 arg-6 arg-8 e-35))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 14 e-34 e-6 e-5))))) eff-2))))))))) eff-1)))))))))))))))(else (if (null? e-3) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (IdrisC-45Syntax-getLoc e-2) "Last statement in do block must be an expression") eta-0)) (case (vector-ref e-2 0) ((0) (let ((e-5 (vector-ref e-2 1))) (let ((e-6 (vector-ref e-2 2))) (let ((eff-0 (IdrisC-45Desugar-desugarDo arg-0 arg-1 arg-3 arg-2 arg-4 arg-5 arg-6 arg-8 e-6))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-7 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (IdrisC-45Desugar-expandDo arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 e-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-8 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (IdrisC-45Desugar-seqFun e-5 arg-8 e-7 e-8))))) eff-2))))))))) eff-1)))))))))) ((1) (let ((e-8 (vector-ref e-2 1))) (let ((e-9 (vector-ref e-2 2))) (let ((e-10 (vector-ref e-2 3))) (let ((e-11 (vector-ref e-2 4))) (let ((eff-0 (IdrisC-45Desugar-desugarDo arg-0 arg-1 arg-3 arg-2 arg-4 arg-5 arg-6 arg-8 e-11))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (IdrisC-45Desugar-expandDo arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 e-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (let ((sc5 (CoreC-45FC-isConcreteFC e-9))) (if (null? sc5) (lambda (eta-0) (vector 1 (vector 0 ))) (let ((e-1 (unbox sc5))) (CoreC-45Metadata-addSemanticDecorations arg-3 arg-1 (cons (cons e-1 (cons 5 (box e-10))) '()))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-3 (lambda (eta-0) (vector 1 (IdrisC-45Desugar-bindFun e-8 arg-8 e-5 (vector 2 e-9 (AlgebraC-45ZeroOneOmega-u--top_Top_ZeroOneOmega) (vector 1 ) (box e-10) (vector 32 (CoreC-45FC-virtualiseFC e-8) 0) e-6)))))) eff-3)))))))) eff-2))))))))) eff-1)))))))))))) ((2) (let ((e-13 (vector-ref e-2 1))) (let ((e-14 (vector-ref e-2 2))) (let ((e-15 (vector-ref e-2 3))) (let ((e-16 (vector-ref e-2 4))) (let ((eff-0 (IdrisC-45Desugar-desugarDo arg-0 arg-1 arg-3 arg-2 arg-4 0 arg-6 arg-8 e-14))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (TTImpC-45BindImplicits-bindNames arg-1 0 e-5))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((e-7 (car e-6))) (let ((e-4 (cdr e-6))) (let ((eff-2 (IdrisC-45Desugar-desugarDo arg-0 arg-1 arg-3 arg-2 arg-4 arg-5 arg-6 arg-8 e-15))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (let ((eff-3 (IdrisC-45Desugar-desugarClause arg-0 arg-1 arg-2 arg-3 arg-4 arg-6 1 eta-0))) (((csegen-50) ((let ((eff-4 (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (lambda (eta-4) (case (vector-ref eta-4 0) ((0) (let ((e-9 (vector-ref eta-4 1))) (vector 0 e-9))) (else (let ((e-9 (vector-ref eta-4 1))) (vector 1 (eta-3 e-9))))))))))) (lambda (arg-10) (lambda (arg-11) ((((eff-4 'erased) 'erased) arg-10) arg-11)))) (lambda (eta-1) (Builtin-snd eta-1)))) eff-3))) e-16 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-9 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-3 1))) (let ((eff-4 (let ((u--psC-39 (PreludeC-45TypesC-45List-tailRecAppend e-7 arg-6))) (let ((eff-4 (IdrisC-45Desugar-expandDo arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 u--psC-39 arg-7 arg-8 e-3))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-10 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-4 1))) (let ((eff-5 (let ((u--fcOriginal e-13)) (let ((u--fc (CoreC-45FC-virtualiseFC e-13))) (lambda (eta-0) (vector 1 (IdrisC-45Desugar-bindFun u--fc arg-8 e-8 (vector 2 (vector 2 ) (AlgebraC-45ZeroOneOmega-u--top_Top_ZeroOneOmega) (vector 1 ) (box (vector 2 "_" 0)) (vector 32 u--fc 0) (vector 4 u--fc (csegen-5121) (vector 32 u--fc 0) (cons (vector 0 u--fcOriginal e-4 e-10) e-9)))))))))) eff-5)))))))))) eff-4))))))))) eff-3))))))))))) eff-2))))))))) eff-1)))))))))))) ((3) (let ((e-18 (vector-ref e-2 1))) (let ((e-19 (vector-ref e-2 2))) (let ((e-20 (vector-ref e-2 3))) (let ((e-21 (vector-ref e-2 4))) (let ((e-22 (vector-ref e-2 5))) (let ((e-23 (vector-ref e-2 6))) (let ((eff-0 (CoreC-45Core-newRef (vector "Idris.Desugar.Bang" ) (IdrisC-45Desugar-initBangs arg-8)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (IdrisC-45Desugar-desugarB arg-0 e-5 arg-1 arg-3 arg-2 arg-4 arg-5 arg-6 e-23))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (IdrisC-45Desugar-desugarDo arg-0 arg-1 arg-3 arg-2 arg-4 arg-5 arg-6 arg-8 e-22))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (IdrisC-45Desugar-expandDo arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 e-3))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-4 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (let ((sc7 (CoreC-45FC-isConcreteFC e-19))) (if (null? sc7) (lambda (eta-0) (vector 1 (vector 0 ))) (let ((e-1 (unbox sc7))) (CoreC-45Metadata-addSemanticDecorations arg-3 arg-1 (cons (cons e-1 (cons 5 (box e-20))) '()))))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-4 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-5 (let ((u--bind (vector 3 e-18 e-19 e-21 e-20 e-7 e-6 e-8))) (let ((eff-5 (let ((eff-5 e-5)) (PrimIO-io_bind (let ((eff-6 eff-5)) (lambda (eta-0) (unbox eff-6))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-4 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-10 (vector-ref lcase-5 1))) (let ((eff-6 (lambda (eta-0) (vector 1 (IdrisC-45Desugar-bindBangs (let ((e-1 (vector-ref e-10 1))) e-1) arg-8 u--bind))))) eff-6)))))))))) eff-5)))))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))) ((4) (let ((e-25 (vector-ref e-2 1))) (let ((e-26 (vector-ref e-2 2))) (let ((e-27 (vector-ref e-2 3))) (let ((e-28 (vector-ref e-2 4))) (let ((e-29 (vector-ref e-2 5))) (let ((eff-0 (CoreC-45Core-newRef (vector "Idris.Desugar.Bang" ) (IdrisC-45Desugar-initBangs arg-8)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (IdrisC-45Desugar-desugarDo arg-0 arg-1 arg-3 arg-2 arg-4 0 arg-6 arg-8 e-26))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (IdrisC-45Desugar-desugarDo arg-0 arg-1 arg-3 arg-2 arg-4 arg-5 arg-6 arg-8 e-27))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (TTImpC-45BindImplicits-bindNames arg-1 0 e-6))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-4 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((e-9 (car e-8))) (let ((e-4 (cdr e-8))) (let ((eff-4 (IdrisC-45Desugar-desugarB arg-0 e-5 arg-1 arg-3 arg-2 arg-4 arg-5 arg-6 e-28))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-10 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-4 1))) (let ((eff-5 (let ((eff-5 (CoreC-45Core-traverseC-39 (lambda (eta-0) (let ((eff-5 (IdrisC-45Desugar-desugarClause arg-0 arg-1 arg-2 arg-3 arg-4 arg-6 1 eta-0))) (((csegen-50) ((let ((eff-6 (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (lambda (eta-4) (case (vector-ref eta-4 0) ((0) (let ((e-11 (vector-ref eta-4 1))) (vector 0 e-11))) (else (let ((e-11 (vector-ref eta-4 1))) (vector 1 (eta-3 e-11))))))))))) (lambda (arg-10) (lambda (arg-11) ((((eff-6 'erased) 'erased) arg-10) arg-11)))) (lambda (eta-1) (Builtin-snd eta-1)))) eff-5))) e-29 '()))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-11 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-5 1))) (let ((eff-6 (let ((u--psC-39 (PreludeC-45TypesC-45List-tailRecAppend e-9 arg-6))) (let ((eff-6 (IdrisC-45Desugar-expandDo arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 u--psC-39 arg-7 arg-8 e-3))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-12 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-12)))) (else (let ((e-12 (vector-ref lcase-6 1))) (let ((eff-7 (let ((eff-7 (let ((eff-7 e-5)) (PrimIO-io_bind (let ((eff-8 eff-7)) (lambda (eta-0) (unbox eff-8))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-13 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-7 1))) (let ((eff-8 (let ((u--fc (CoreC-45FC-virtualiseFC e-25))) (lambda (eta-0) (vector 1 (IdrisC-45Desugar-bindBangs (let ((e-1 (vector-ref e-13 1))) e-1) arg-8 (vector 4 u--fc e-10 e-7 (cons (vector 0 u--fc e-4 e-12) e-11)))))))) eff-8))))))))) eff-7)))))))))) eff-6))))))))) eff-5))))))))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))))) ((5) (let ((e-31 (vector-ref e-2 1))) (let ((e-32 (vector-ref e-2 2))) (let ((eff-0 (IdrisC-45Desugar-expandDo arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 e-3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Core-traverseC-39 (lambda (eta-0) (IdrisC-45Desugar-desugarDecl arg-0 arg-1 arg-2 arg-3 arg-4 arg-6 eta-0)) e-32 '()))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 5 e-31 (PreludeC-45Interfaces-concat (csegen-83) (csegen-16) e-6) e-5))))) eff-2))))))))) eff-1)))))))))) (else (let ((e-34 (vector-ref e-2 1))) (let ((e-35 (vector-ref e-2 2))) (let ((eff-0 (IdrisC-45Desugar-expandDo arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 e-3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (IdrisC-45Desugar-desugarDo arg-0 arg-1 arg-3 arg-2 arg-4 arg-5 arg-6 arg-8 e-35))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 14 e-34 e-6 e-5))))) eff-2))))))))) eff-1)))))))))))))))))))
(define IdrisC-45Desugar-desugarWithProblem (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (let ((e-1 (vector-ref arg-6 0))) (let ((e-2 (vector-ref arg-6 1))) (let ((e-3 (vector-ref arg-6 2))) (let ((eff-0 (IdrisC-45Desugar-desugar arg-0 arg-1 arg-3 arg-2 arg-4 1 arg-5 e-2))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-4 (vector-ref eta-3 1))) (vector 0 e-4))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-7) (lambda (arg-8) ((((eff-1 'erased) 'erased) arg-7) arg-8)))) (lambda (__infixTupleSection-0) (cons e-1 (cons __infixTupleSection-0 e-3))))) eff-0)))))))
(define IdrisC-45Desugar-desugarUpdate (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8) (case (vector-ref arg-8 0) ((0) (let ((e-1 (vector-ref arg-8 1))) (let ((e-2 (vector-ref arg-8 2))) (let ((eff-0 (IdrisC-45Desugar-desugarB arg-0 arg-1 arg-2 arg-4 arg-3 arg-5 arg-6 arg-7 e-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 0 e-1 e-5))))) eff-1)))))))))) (else (let ((e-4 (vector-ref arg-8 1))) (let ((e-5 (vector-ref arg-8 2))) (let ((eff-0 (IdrisC-45Desugar-desugarB arg-0 arg-1 arg-2 arg-4 arg-3 arg-5 arg-6 arg-7 e-5))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 1 e-4 e-6))))) eff-1)))))))))))))
(define IdrisC-45Desugar-desugarType (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (let ((e-1 (vector-ref arg-6 0))) (let ((e-2 (vector-ref arg-6 1))) (let ((e-3 (vector-ref arg-6 2))) (let ((e-4 (vector-ref arg-6 3))) (let ((e-5 (vector-ref arg-6 4))) (let ((eff-0 (IdrisC-45DocC-45String-addDocString arg-1 arg-0 e-3 e-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((eff-1 (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (unbox eff-2))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (IdrisC-45Desugar-desugar arg-0 arg-1 arg-3 arg-2 arg-4 1 arg-5 e-5))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (TTImpC-45BindImplicits-bindTypeNames arg-1 e-1 (let ((e-10 (vector-ref e-7 10))) e-10) arg-5 e-8))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-9 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector e-1 e-2 e-3 e-9))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))
(define IdrisC-45Desugar-desugarTree (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8) (case (vector-ref arg-8 0) ((0) (let ((e-2 (vector-ref arg-8 1))) (let ((e-3 (vector-ref arg-8 2))) (let ((e-4 (vector-ref arg-8 3))) (let ((e-5 (vector-ref arg-8 4))) (let ((e-6 (vector-ref arg-8 5))) (case (vector-ref e-4 0) ((1) (let ((e-16 (vector-ref e-4 1))) (case (vector-ref e-16 0) ((0) (let ((e-17 (vector-ref e-16 1))) (cond ((equal? e-17 "=") (let ((eff-0 (IdrisC-45Desugar-desugarTree arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-5))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-7 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (IdrisC-45Desugar-desugarTree arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-6))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-8 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 13 e-2 (vector 0 ) (cons (TTImpC-45TTImp-apply (vector 0 e-3 (IdrisC-45SyntaxC-45Builtin-eqName)) (cons e-7 (cons e-8 '()))) (cons (TTImpC-45TTImp-apply (vector 0 e-3 (IdrisC-45SyntaxC-45Builtin-heqName)) (cons e-7 (cons e-8 '()))) '()))))))) eff-2))))))))) eff-1)))))))) ((equal? e-17 "$") (let ((eff-0 (IdrisC-45Desugar-desugarTree arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-5))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-7 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (IdrisC-45Desugar-desugarTree arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-6))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-8 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 8 e-2 e-7 e-8))))) eff-2))))))))) eff-1))))))))(else (let ((eff-0 (IdrisC-45Desugar-desugarTree arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-5))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-7 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (IdrisC-45Desugar-desugarTree arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-6))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-8 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 8 e-2 (vector 8 e-2 (vector 0 e-3 e-4) e-7) e-8))))) eff-2))))))))) eff-1)))))))))))(else (let ((eff-0 (IdrisC-45Desugar-desugarTree arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-5))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-7 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (IdrisC-45Desugar-desugarTree arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-6))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-8 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 8 e-2 (vector 8 e-2 (vector 0 e-3 e-4) e-7) e-8))))) eff-2))))))))) eff-1)))))))))))(else (let ((eff-0 (IdrisC-45Desugar-desugarTree arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-5))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-7 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (IdrisC-45Desugar-desugarTree arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-6))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-8 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 8 e-2 (vector 8 e-2 (vector 0 e-3 e-4) e-7) e-8))))) eff-2))))))))) eff-1))))))))))))))) ((1) (let ((e-9 (vector-ref arg-8 1))) (let ((e-10 (vector-ref arg-8 2))) (let ((e-11 (vector-ref arg-8 3))) (let ((e-12 (vector-ref arg-8 4))) (case (vector-ref e-11 0) ((1) (let ((e-18 (vector-ref e-11 1))) (case (vector-ref e-18 0) ((0) (let ((e-19 (vector-ref e-18 1))) (cond ((equal? e-19 "-") (case (vector-ref e-12 0) ((2) (let ((e-22 (vector-ref e-12 1))) (case (vector-ref e-22 0) ((15) (let ((e-24 (vector-ref e-22 1))) (let ((e-25 (vector-ref e-22 2))) (let ((u--newFC (DataC-45Maybe-fromMaybe (lambda () (vector 2 )) (CoreC-45FC-mergeFC e-9 e-24)))) (let ((u--continue (lambda (eta-0) (IdrisC-45Desugar-desugarTree arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 (vector 2 (vector 15 u--newFC eta-0)))))) (case (vector-ref e-25 0) ((0) (let ((e-0 (vector-ref e-25 1))) (u--continue (vector 0 (bs- 0 e-0 63))))) ((1) (let ((e-1 (vector-ref e-25 1))) (u--continue (vector 1 (bs- 0 e-1 7))))) ((2) (let ((e-2 (vector-ref e-25 1))) (u--continue (vector 2 (bs- 0 e-2 15))))) ((3) (let ((e-3 (vector-ref e-25 1))) (u--continue (vector 3 (bs- 0 e-3 31))))) ((4) (let ((e-4 (vector-ref e-25 1))) (u--continue (vector 4 (bs- 0 e-4 63))))) ((5) (let ((e-5 (vector-ref e-25 1))) (u--continue (vector 5 (- 0 e-5)))))(else (let ((eff-0 (IdrisC-45Desugar-desugarTree arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 (vector 2 (vector 15 e-24 e-25))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 8 e-9 (vector 0 e-10 (vector 1 (vector 0 "negate"))) e-5))))) eff-1))))))))))))))(else (let ((eff-0 (IdrisC-45Desugar-desugarTree arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-12))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 8 e-9 (vector 0 e-10 (vector 1 (vector 0 "negate"))) e-5))))) eff-1)))))))))))(else (let ((eff-0 (IdrisC-45Desugar-desugarTree arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-12))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 8 e-9 (vector 0 e-10 (vector 1 (vector 0 "negate"))) e-5))))) eff-1))))))))))(else (let ((eff-0 (IdrisC-45Desugar-desugarTree arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-12))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 8 e-9 (vector 0 e-10 e-11) e-5))))) eff-1)))))))))))(else (let ((eff-0 (IdrisC-45Desugar-desugarTree arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-12))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 8 e-9 (vector 0 e-10 e-11) e-5))))) eff-1)))))))))))(else (let ((eff-0 (IdrisC-45Desugar-desugarTree arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-12))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 8 e-9 (vector 0 e-10 e-11) e-5))))) eff-1)))))))))))))) (else (let ((e-15 (vector-ref arg-8 1))) (IdrisC-45Desugar-desugarB arg-0 arg-1 arg-2 arg-4 arg-3 arg-5 arg-6 arg-7 e-15))))))
(define IdrisC-45Desugar-desugarLHS (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (let ((eff-0 (IdrisC-45Desugar-desugar arg-0 arg-1 arg-2 arg-3 arg-4 0 arg-5 arg-7))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Core-iunless arg-6 (lambda () (IdrisC-45Desugar-getClauseFn e-5))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45BindImplicits-bindNames arg-1 arg-6 e-5))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((e-2 (car e-7))) (let ((e-3 (cdr e-7))) (let ((eff-3 (CoreC-45ContextC-45Log-log arg-1 ((csegen-0) "desugar.lhs") 10 (lambda () (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons ((csegen-0) "Desugared ") (cons ((csegen-0) (IdrisC-45Syntax-u--show_Show_PTerm arg-7)) (cons (csegen-5124) (cons ((csegen-0) (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 (csegen-100) e-3)) '()))))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-4 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-4 (let ((eff-4 (CoreC-45Core-iwhenJust e-6 (lambda (u--nm) (let ((sc5 (PreludeC-45Types-elem (csegen-16) (csegen-1008) u--nm e-2))) (cond ((equal? sc5 1) ((let ((u--fc (IdrisC-45Syntax-getPTermLoc arg-7))) (lambda () (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 u--fc (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons ((csegen-0) "Declaration name (") (cons (CoreC-45Name-u--show_Show_Name u--nm) (cons ((csegen-0) ") shadowed by a pattern variable.") '()))))) eta-0)))))) (else (lambda (eta-0) (vector 1 (vector 0 )))))))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-4 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-6 (cons e-2 e-3)))))) eff-5)))))))) eff-4)))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))
(define IdrisC-45Desugar-desugarFnOpt (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (case (vector-ref arg-6 0) ((0) (let ((e-1 (vector-ref arg-6 1))) (lambda (eta-0) (vector 1 e-1)))) ((1) (let ((e-3 (vector-ref arg-6 1))) (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (IdrisC-45Desugar-desugar arg-0 arg-1 arg-3 arg-2 arg-4 1 arg-5 eta-0)) e-3 '()))) (PrimIO-io_bind eff-0 (csegen-3038))))) (else (let ((e-5 (vector-ref arg-6 1))) (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (IdrisC-45Desugar-desugar arg-0 arg-1 arg-3 arg-2 arg-4 1 arg-5 eta-0)) e-5 '()))) (PrimIO-io_bind eff-0 (csegen-3039))))))))
(define IdrisC-45Desugar-desugarField (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (let ((e-1 (vector-ref arg-7 0))) (let ((e-2 (vector-ref arg-7 1))) (let ((e-3 (vector-ref arg-7 2))) (let ((e-4 (vector-ref arg-7 3))) (let ((e-5 (vector-ref arg-7 4))) (let ((e-6 (vector-ref arg-7 5))) (let ((eff-0 (IdrisC-45DocC-45String-addDocStringNS arg-1 arg-0 arg-6 e-5 e-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-7 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((eff-1 (let ((eff-1 (IdrisC-45DocC-45String-addDocStringNS arg-1 arg-0 arg-6 (IdrisC-45Desugar-n--14693-13605-u--toRF e-6 e-5 e-4 e-3 e-2 e-1 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 arg-0 e-5) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-8 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((eff-2 (let ((eff-2 (let ((eff-2 arg-0)) (PrimIO-io_bind (let ((eff-3 eff-2)) (lambda (eta-0) (unbox eff-3))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-9 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45CoreC-45PiInfo-traverse (lambda (eta-0) (IdrisC-45Desugar-desugar arg-0 arg-1 arg-3 arg-2 arg-4 1 arg-5 eta-0)) e-4))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (IdrisC-45Desugar-desugar arg-0 arg-1 arg-3 arg-2 arg-4 1 arg-5 e-6))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (let ((eff-5 (TTImpC-45BindImplicits-bindTypeNames arg-1 e-1 (let ((e-14 (vector-ref e-9 10))) e-14) arg-5 e-11))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-12 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-12)))) (else (let ((e-12 (vector-ref lcase-5 1))) (let ((eff-6 (lambda (eta-0) (vector 1 (vector e-1 e-3 e-10 e-5 e-12))))) eff-6))))))))) eff-5))))))))) eff-4))))))))) eff-3))))))))) eff-2)))))))) eff-1))))))))))))))
(define IdrisC-45Desugar-desugarDo (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8) (let ((eff-0 (CoreC-45Core-newRef (vector "Idris.Desugar.Bang" ) (IdrisC-45Desugar-initBangs arg-7)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (IdrisC-45Desugar-desugarB arg-0 e-5 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-8))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (let ((eff-2 e-5)) (PrimIO-io_bind (let ((eff-3 eff-2)) (lambda (eta-0) (unbox eff-3))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (IdrisC-45Desugar-bindBangs (let ((e-1 (vector-ref e-7 1))) e-1) arg-7 e-6))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))
(define IdrisC-45Desugar-desugarDecl (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (case (vector-ref arg-6 0) ((0) (let ((e-1 (vector-ref arg-6 1))) (let ((e-2 (vector-ref arg-6 2))) (let ((e-3 (vector-ref arg-6 3))) (let ((e-4 (vector-ref arg-6 4))) (let ((e-5 (vector-ref arg-6 5))) (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (IdrisC-45Desugar-desugarFnOpt arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 eta-0)) e-4 '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (IdrisC-45Desugar-desugarType arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-5))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (cons (vector 0 e-1 e-2 e-3 e-6 e-7) '()))))) eff-2))))))))) eff-1))))))))))))) ((1) (let ((e-7 (vector-ref arg-6 1))) (let ((e-8 (vector-ref arg-6 2))) (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (IdrisC-45Desugar-desugarClause arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 0 eta-0)) e-8 '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Core-traverseC-39 (lambda (eta-0) (PreludeC-45Basics-uncurry (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (IdrisC-45Desugar-n--14762-13756-u--toIDef e-8 e-7 arg-5 arg-4 arg-3 arg-2 arg-1 arg-0 (LibrariesC-45DataC-45IMaybe-fromJust eta-1) eta-2 eta-3)))) eta-0)) e-5 '()))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (TTImpC-45Parser-collectDefs e-6))))) eff-2))))))))) eff-1)))))))))) ((2) (let ((e-10 (vector-ref arg-6 1))) (let ((e-11 (vector-ref arg-6 2))) (let ((e-12 (vector-ref arg-6 3))) (let ((e-13 (vector-ref arg-6 4))) (let ((e-14 (vector-ref arg-6 5))) (let ((eff-0 (IdrisC-45Desugar-desugarData arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-11 e-14))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (cons (vector 1 e-10 e-12 e-13 e-5) '()))))) eff-1))))))))))))) ((3) (let ((e-16 (vector-ref arg-6 1))) (let ((e-17 (vector-ref arg-6 2))) (let ((e-18 (vector-ref arg-6 3))) (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (IdrisC-45Desugar-desugarDecl arg-0 arg-1 arg-2 arg-3 arg-4 (PreludeC-45TypesC-45List-tailRecAppend arg-5 ((csegen-101) e-17)) eta-0)) e-18 '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-2 (car lamc-0))) (let ((e-3 (cdr lamc-0))) (let ((e-6 (car e-3))) (let ((e-7 (cdr e-3))) (let ((e-10 (car e-7))) (let ((e-11 (cdr e-7))) (let ((eff-1 (IdrisC-45Desugar-desugar arg-0 arg-1 arg-3 arg-2 arg-4 1 arg-5 e-11))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-8 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45CoreC-45PiInfo-traverse (lambda (eta-0) (IdrisC-45Desugar-desugar arg-0 arg-1 arg-3 arg-2 arg-4 1 arg-5 eta-0)) e-10))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-9 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (cons e-2 (cons e-6 (cons e-9 e-8))))))) eff-3))))))))) eff-2)))))))))))))) e-17 '()))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (let ((eff-2 (CoreC-45Context-isUnboundImplicits arg-1))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (cond ((equal? e-7 1) (let ((eff-3 (PreludeC-45Basics-flip (csegen-1569) (((csegen-25) (lambda (eta-0) (Builtin-snd (Builtin-snd (Builtin-snd eta-0))))) e-6) (lambda (eta-0) (TTImpC-45Utils-findUniqueBindableNames arg-1 e-16 1 (PreludeC-45TypesC-45List-tailRecAppend arg-5 ((csegen-101) e-17)) '() eta-0))))) (((csegen-50) ((let ((eff-4 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-8 (vector-ref eta-3 1))) (vector 1 (eta-2 e-8))))))))))) (lambda (arg-7) (lambda (arg-8) ((((eff-4 'erased) 'erased) arg-7) arg-8)))) (csegen-3768))) eff-3))) (else (lambda (eta-0) (vector 1 '())))))) eff-3))))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((u--paramsb (((csegen-25) (lambda (lamc-0) (let ((e-2 (car lamc-0))) (let ((e-3 (cdr lamc-0))) (let ((e-9 (car e-3))) (let ((e-8 (cdr e-3))) (let ((e-10 (car e-8))) (let ((e-11 (cdr e-8))) (cons e-2 (cons e-9 (cons e-10 (TTImpC-45BindImplicits-doBind e-7 e-11)))))))))))) e-6))) (lambda (eta-0) (vector 1 (cons (vector 3 e-16 u--paramsb (PreludeC-45Interfaces-concat (csegen-83) (csegen-16) e-5)) '())))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((4) (let ((e-20 (vector-ref arg-6 1))) (let ((e-21 (vector-ref arg-6 2))) (let ((e-22 (vector-ref arg-6 3))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--oldu (let ((e-10 (vector-ref e-5 10))) e-10))) (let ((eff-1 (CoreC-45Core-traverseC-39 (lambda (u--ntm) (let ((eff-1 (IdrisC-45Desugar-desugar arg-0 arg-1 arg-3 arg-2 arg-4 1 arg-5 (Builtin-snd u--ntm)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45BindImplicits-bindTypeNames arg-1 e-20 u--oldu arg-5 e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (cons (Builtin-fst u--ntm) e-7))))) eff-3))))))))) eff-2)))))))) e-21 '()))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (let ((eff-2 arg-0)) (PrimIO-io_bind (let ((eff-3 eff-2)) (lambda (eta-0) (set-box! eff-3 (let ((e-0 (vector-ref e-5 0))) (let ((e-1 (vector-ref e-5 1))) (let ((e-2 (vector-ref e-5 2))) (let ((e-3 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-14 (vector-ref e-5 5))) (let ((e-13 (vector-ref e-5 6))) (let ((e-7 (vector-ref e-5 7))) (let ((e-8 (vector-ref e-5 8))) (let ((e-9 (vector-ref e-5 9))) (let ((e-11 (vector-ref e-5 11))) (let ((e-12 (vector-ref e-5 12))) (vector e-0 e-1 e-2 e-3 e-4 e-14 e-13 e-7 e-8 e-9 (PreludeC-45TypesC-45List-tailRecAppend e-6 u--oldu) e-11 e-12)))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (IdrisC-45Desugar-desugarDecl arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 eta-0)) e-22 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (let ((eff-4 (let ((eff-4 arg-0)) (PrimIO-io_bind (let ((eff-5 eff-4)) (lambda (eta-0) (unbox eff-5))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (let ((eff-5 arg-0)) (PrimIO-io_bind (let ((eff-6 eff-5)) (lambda (eta-0) (set-box! eff-6 (let ((e-0 (vector-ref e-9 0))) (let ((e-1 (vector-ref e-9 1))) (let ((e-2 (vector-ref e-9 2))) (let ((e-3 (vector-ref e-9 3))) (let ((e-4 (vector-ref e-9 4))) (let ((e-17 (vector-ref e-9 5))) (let ((e-16 (vector-ref e-9 6))) (let ((e-15 (vector-ref e-9 7))) (let ((e-14 (vector-ref e-9 8))) (let ((e-13 (vector-ref e-9 9))) (let ((e-11 (vector-ref e-9 11))) (let ((e-12 (vector-ref e-9 12))) (vector e-0 e-1 e-2 e-3 e-4 e-17 e-16 e-15 e-14 e-13 u--oldu e-11 e-12)))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-5))))))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-5 (lambda (eta-0) (vector 1 (PreludeC-45Interfaces-concat (csegen-83) (csegen-16) e-8))))) eff-5)))))))) eff-4))))))))) eff-3)))))))) eff-2)))))))))) eff-1))))))))))) ((5) (let ((e-24 (vector-ref arg-6 1))) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 e-24 "Reflection not implemented yet") eta-0)))) ((6) (let ((e-27 (vector-ref arg-6 1))) (let ((e-28 (vector-ref arg-6 2))) (let ((e-29 (vector-ref arg-6 3))) (let ((e-30 (vector-ref arg-6 4))) (let ((e-31 (vector-ref arg-6 5))) (let ((e-32 (vector-ref arg-6 6))) (let ((e-33 (vector-ref arg-6 7))) (let ((e-34 (vector-ref arg-6 8))) (let ((e-35 (vector-ref arg-6 9))) (let ((eff-0 (IdrisC-45DocC-45String-addDocString arg-1 arg-0 e-30 e-31))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((u--paramNames ((csegen-101) e-32))) (let ((u--cons (PreludeC-45Interfaces-concatMap (csegen-83) (csegen-16) (lambda (eta-0) (IdrisC-45Desugar-n--14762-14314-u--expandConstraint e-35 e-34 e-33 e-32 e-31 e-30 e-29 e-28 e-27 arg-5 arg-4 arg-3 arg-2 arg-1 arg-0 eta-0)) e-29))) (let ((eff-1 (CoreC-45Core-traverseC-39 (lambda (u--ntm) (let ((eff-1 (IdrisC-45Desugar-desugar arg-0 arg-1 arg-3 arg-2 arg-4 1 (PreludeC-45TypesC-45List-tailRecAppend arg-5 u--paramNames) (Builtin-snd u--ntm)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (cons (Builtin-fst u--ntm) e-6))))) eff-2)))))))) u--cons '()))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-2 (car lamc-0))) (let ((e-3 (cdr lamc-0))) (let ((e-8 (car e-3))) (let ((e-7 (cdr e-3))) (let ((eff-2 (IdrisC-45Desugar-desugar arg-0 arg-1 arg-3 arg-2 arg-4 1 arg-5 e-7))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-9 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (cons e-2 (cons e-8 e-9)))))) eff-3)))))))))))) e-32 '()))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((u--mnames (((csegen-25) (lambda (eta-0) (CoreC-45Name-dropNS eta-0))) (IdrisC-45Syntax-definedIn e-35)))) (let ((eff-3 (let ((eff-3 (CoreC-45Context-isUnboundImplicits arg-1))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (cond ((equal? e-8 1) (let ((eff-4 (PreludeC-45Basics-flip (csegen-1569) (PreludeC-45TypesC-45List-tailRecAppend ((csegen-947) e-6) ((csegen-2673) e-7)) (lambda (eta-0) (TTImpC-45Utils-findUniqueBindableNames arg-1 e-27 1 (PreludeC-45TypesC-45List-tailRecAppend arg-5 (PreludeC-45TypesC-45List-tailRecAppend u--mnames u--paramNames)) '() eta-0))))) (((csegen-50) ((let ((eff-5 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-9 (vector-ref eta-3 1))) (vector 1 (eta-2 e-9))))))))))) (lambda (arg-7) (lambda (arg-8) ((((eff-5 'erased) 'erased) arg-7) arg-8)))) (csegen-3768))) eff-4))) (else (lambda (eta-0) (vector 1 '())))))) eff-4))))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((u--paramsb (((csegen-25) (lambda (lamc-0) (let ((e-2 (car lamc-0))) (let ((e-3 (cdr lamc-0))) (let ((e-10 (car e-3))) (let ((e-9 (cdr e-3))) (let ((u--tmC-39 (TTImpC-45BindImplicits-doBind e-8 e-9))) (cons e-2 (cons e-10 u--tmC-39))))))))) e-7))) (let ((u--consb (((csegen-25) (lambda (lamc-0) (let ((e-2 (car lamc-0))) (let ((e-3 (cdr lamc-0))) (cons e-2 (TTImpC-45BindImplicits-doBind e-8 e-3)))))) e-6))) (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (IdrisC-45Desugar-desugarDecl arg-0 arg-1 arg-2 arg-3 arg-4 (PreludeC-45TypesC-45List-tailRecAppend arg-5 (PreludeC-45TypesC-45List-tailRecAppend u--mnames u--paramNames)) eta-0)) e-35 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons (vector 9 e-27 (PreludeC-45Types-maybe (lambda () (cons e-30 '())) (lambda () (lambda (u--n) (cons e-30 (cons u--n '())))) e-34) (lambda (vars-14627) (lambda (u--nest) (lambda (u--env) (IdrisC-45ElabC-45Interface-elabInterface vars-14627 arg-1 arg-2 arg-0 arg-3 arg-4 e-27 e-28 u--env u--nest u--consb e-30 u--paramsb e-33 e-34 (PreludeC-45Interfaces-concat (csegen-83) (csegen-16) e-9)))))) '()))))) eff-5))))))))))) eff-4)))))))))) eff-3))))))))) eff-2))))))))))) eff-1)))))))))))))))) ((7) (let ((e-37 (vector-ref arg-6 1))) (let ((e-38 (vector-ref arg-6 2))) (let ((e-39 (vector-ref arg-6 3))) (let ((e-40 (vector-ref arg-6 4))) (let ((e-41 (vector-ref arg-6 5))) (let ((e-42 (vector-ref arg-6 6))) (let ((e-43 (vector-ref arg-6 7))) (let ((e-44 (vector-ref arg-6 8))) (let ((e-45 (vector-ref arg-6 9))) (let ((e-46 (vector-ref arg-6 10))) (let ((e-47 (vector-ref arg-6 11))) (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (IdrisC-45Desugar-desugarFnOpt arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 eta-0)) e-39 '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (PreludeC-45Basics-flip (csegen-1569) e-41 (lambda (lamc-0) (let ((e-2 (car lamc-0))) (let ((e-3 (cdr lamc-0))) (let ((e-6 (car e-3))) (let ((e-7 (cdr e-3))) (let ((e-10 (car e-7))) (let ((e-11 (cdr e-7))) (let ((eff-1 (IdrisC-45Desugar-desugar arg-0 arg-1 arg-3 arg-2 arg-4 1 arg-5 e-11))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-8 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (cons e-2 (cons e-6 (cons e-10 e-8))))))) eff-2))))))))))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (PreludeC-45Basics-flip (csegen-1569) e-42 (lambda (lamc-0) (let ((e-2 (car lamc-0))) (let ((e-3 (cdr lamc-0))) (let ((eff-2 (IdrisC-45Desugar-desugar arg-0 arg-1 arg-3 arg-2 arg-4 1 arg-5 e-3))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (cons e-2 e-7))))) eff-3))))))))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (IdrisC-45Desugar-desugar arg-0 arg-1 arg-3 arg-2 arg-4 1 arg-5 eta-0)) e-44 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (let ((eff-4 (CoreC-45Context-isUnboundImplicits arg-1))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (cond ((equal? e-9 1) (let ((eff-5 (PreludeC-45Basics-flip (csegen-1569) (PreludeC-45TypesC-45List-tailRecAppend ((csegen-947) e-7) e-8) (lambda (eta-0) (TTImpC-45Utils-findUniqueBindableNames arg-1 e-37 1 arg-5 '() eta-0))))) (((csegen-50) ((let ((eff-6 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-10 (vector-ref eta-3 1))) (vector 1 (eta-2 e-10))))))))))) (lambda (arg-7) (lambda (arg-8) ((((eff-6 'erased) 'erased) arg-7) arg-8)))) (csegen-3768))) eff-5))) (else (lambda (eta-0) (vector 1 '())))))) eff-5))))))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (let ((u--paramsb (((csegen-25) (lambda (eta-0) (TTImpC-45BindImplicits-doBind e-9 eta-0))) e-8))) (let ((u--isb (((csegen-25) (lambda (lamc-0) (let ((e-2 (car lamc-0))) (let ((e-3 (cdr lamc-0))) (let ((e-11 (car e-3))) (let ((e-10 (cdr e-3))) (let ((e-13 (car e-10))) (let ((e-12 (cdr e-10))) (cons e-2 (cons e-11 (cons e-13 (TTImpC-45BindImplicits-doBind e-9 e-12)))))))))))) e-6))) (let ((u--consb (((csegen-25) (lambda (lamc-0) (let ((e-2 (car lamc-0))) (let ((e-3 (cdr lamc-0))) (cons e-2 (TTImpC-45BindImplicits-doBind e-9 e-3)))))) e-7))) (let ((eff-5 (PreludeC-45Types-maybe (lambda () (lambda (eta-0) (vector 1 '()))) (lambda () (lambda (u--b) (let ((eff-5 (CoreC-45Core-traverseC-39 (lambda (eta-0) (IdrisC-45Desugar-desugarDecl arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 eta-0)) u--b '()))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-10 (vector-ref lcase-5 1))) (let ((eff-6 (lambda (eta-0) (vector 1 (box (PreludeC-45Interfaces-concat (csegen-83) (csegen-16) e-10)))))) eff-6))))))))) e-47))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-10 (vector-ref lcase-5 1))) (let ((eff-6 (let ((u--impname (PreludeC-45Types-maybe (lambda () (IdrisC-45ElabC-45Implementation-mkImplName e-37 e-43 u--paramsb)) (lambda () (lambda (eta-0) eta-0)) e-45))) (lambda (eta-0) (vector 1 (cons (vector 9 e-37 (cons u--impname '()) (lambda (vars-14892) (lambda (u--nest) (lambda (u--env) (IdrisC-45ElabC-45Implementation-elabImplementation vars-14892 arg-1 arg-2 arg-0 arg-3 arg-4 e-37 e-38 e-5 e-40 u--env u--nest u--isb u--consb e-43 u--paramsb (IdrisC-45Desugar-n--14762-14801-u--isNamed e-47 e-46 e-45 e-44 e-43 e-42 e-41 e-40 e-39 e-38 e-37 arg-5 arg-4 arg-3 arg-2 arg-1 arg-0 e-45) u--impname e-46 e-10))))) '())))))) eff-6)))))))))))) eff-5))))))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))))))))))) ((8) (let ((e-49 (vector-ref arg-6 1))) (let ((e-50 (vector-ref arg-6 2))) (let ((e-51 (vector-ref arg-6 3))) (let ((e-52 (vector-ref arg-6 4))) (let ((e-53 (vector-ref arg-6 5))) (case (vector-ref e-53 0) ((1) (let ((e-86 (vector-ref e-53 1))) (let ((e-87 (vector-ref e-53 2))) (IdrisC-45Desugar-desugarDecl arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 (vector 2 e-49 e-50 e-51 e-52 (vector 1 e-49 e-86 (IdrisC-45Desugar-n--14762-15313-u--mkRecType e-87 e-86 e-52 e-51 e-50 e-49 arg-5 arg-4 arg-3 arg-2 arg-1 arg-0 e-87))))))) (else (let ((e-89 (vector-ref e-53 1))) (let ((e-90 (vector-ref e-53 2))) (let ((e-91 (vector-ref e-53 3))) (let ((e-92 (vector-ref e-53 4))) (let ((e-93 (vector-ref e-53 5))) (let ((eff-0 (IdrisC-45DocC-45String-addDocString arg-1 arg-0 e-89 e-50))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-2 (car lamc-0))) (let ((e-3 (cdr lamc-0))) (let ((e-6 (car e-3))) (let ((e-7 (cdr e-3))) (let ((e-10 (car e-7))) (let ((e-11 (cdr e-7))) (let ((eff-1 (IdrisC-45Desugar-desugar arg-0 arg-1 arg-3 arg-2 arg-4 1 arg-5 e-11))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-8 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (IdrisC-45Desugar-n--14762-15357-u--mapDesugarPiInfo e-93 e-92 e-91 e-90 e-89 e-52 e-51 e-50 e-49 arg-5 arg-4 arg-3 arg-2 arg-1 arg-0 arg-5 e-10))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-9 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (cons e-2 (cons e-6 (cons e-9 e-8))))))) eff-3))))))))) eff-2)))))))))))))) e-90 '()))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((u--fnames (((csegen-25) (lambda (eta-0) (IdrisC-45Desugar-n--14762-15355-u--fname e-93 e-92 e-91 e-90 e-89 e-52 e-51 e-50 e-49 arg-5 arg-4 arg-3 arg-2 arg-1 arg-0 eta-0))) e-93))) (let ((eff-2 (CoreC-45Context-isUnboundImplicits arg-1))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((u--bnames (cond ((equal? e-7 1) (PreludeC-45Interfaces-concatMap (csegen-83) (csegen-16) (lambda (eta-0) (TTImpC-45Utils-findBindableNames 1 (PreludeC-45TypesC-45List-tailRecAppend arg-5 (PreludeC-45TypesC-45List-tailRecAppend u--fnames ((csegen-101) e-90))) '() eta-0)) ((csegen-5134) e-6))) (else '())))) (let ((u--paramsb (((csegen-25) (lambda (lamc-0) (let ((e-2 (car lamc-0))) (let ((e-3 (cdr lamc-0))) (let ((e-9 (car e-3))) (let ((e-8 (cdr e-3))) (let ((e-10 (car e-8))) (let ((e-11 (cdr e-8))) (cons e-2 (cons e-9 (cons e-10 (TTImpC-45BindImplicits-doBind u--bnames e-11)))))))))))) e-6))) (let ((u--recName (CoreC-45Name-nameRoot e-89))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (IdrisC-45Desugar-desugarField arg-0 arg-1 arg-2 arg-3 arg-4 (PreludeC-45TypesC-45List-tailRecAppend arg-5 (PreludeC-45TypesC-45List-tailRecAppend (((csegen-25) (lambda (eta-1) (IdrisC-45Desugar-n--14762-15355-u--fname e-93 e-92 e-91 e-90 e-89 e-52 e-51 e-50 e-49 arg-5 arg-4 arg-3 arg-2 arg-1 arg-0 eta-1))) e-93) ((csegen-101) e-90))) (CoreC-45NameC-45Namespace-mkNamespace u--recName) eta-0)) e-93 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((u--conname (PreludeC-45Types-maybe (lambda () (IdrisC-45Desugar-n--14762-15356-u--mkConName e-93 e-92 e-91 e-90 e-89 e-52 e-51 e-50 e-49 arg-5 arg-4 arg-3 arg-2 arg-1 arg-0 e-89)) (lambda () (lambda (eta-0) eta-0)) e-92))) (lambda (eta-0) (vector 1 (cons (vector 4 e-49 (box u--recName) e-51 e-52 (vector e-49 e-89 u--paramsb e-91 u--conname e-8)) '())))))) eff-4)))))))))))) eff-3)))))))))) eff-2))))))))) eff-1))))))))))))))))))) ((11) (let ((e-55 (vector-ref arg-6 1))) (let ((e-56 (vector-ref arg-6 2))) (let ((e-57 (vector-ref arg-6 3))) (let ((e-58 (vector-ref arg-6 4))) (cond ((equal? e-56 3) (case (vector-ref e-58 0) ((1) (let ((e-96 (vector-ref e-58 1))) (case (vector-ref e-96 0) ((0) (let ((e-97 (vector-ref e-96 1))) (let ((eff-0 (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (let ((e-0 (vector-ref e-5 0))) (let ((e-1 (vector-ref e-5 1))) (let ((e-2 (vector-ref e-5 2))) (let ((e-3 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-13 (vector-ref e-5 5))) (let ((e-6 (vector-ref e-5 6))) (let ((e-7 (vector-ref e-5 7))) (let ((e-8 (vector-ref e-5 8))) (let ((e-9 (vector-ref e-5 9))) (let ((e-10 (vector-ref e-5 10))) (let ((e-11 (vector-ref e-5 11))) (let ((e-12 (vector-ref e-5 12))) (vector e-0 (LibrariesC-45DataC-45StringMap-insert e-97 (cons e-55 e-57) e-1) e-2 e-3 e-4 e-13 e-6 e-7 e-8 e-9 e-10 e-11 e-12))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-1))))))))) (PrimIO-io_bind eff-0 (csegen-1025)))))(else (case (vector-ref e-58 0) ((1) (let ((e-94 (vector-ref e-58 1))) (case (vector-ref e-94 0) ((0) (let ((e-95 (vector-ref e-94 1))) (let ((eff-0 (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (let ((e-0 (vector-ref e-5 0))) (let ((e-1 (vector-ref e-5 1))) (let ((e-2 (vector-ref e-5 2))) (let ((e-3 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-13 (vector-ref e-5 5))) (let ((e-6 (vector-ref e-5 6))) (let ((e-7 (vector-ref e-5 7))) (let ((e-8 (vector-ref e-5 8))) (let ((e-9 (vector-ref e-5 9))) (let ((e-10 (vector-ref e-5 10))) (let ((e-11 (vector-ref e-5 11))) (let ((e-12 (vector-ref e-5 12))) (vector (LibrariesC-45DataC-45StringMap-insert e-95 (cons e-55 (cons e-56 e-57)) e-0) e-1 e-2 e-3 e-4 e-13 e-6 e-7 e-8 e-9 e-10 e-11 e-12))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-1))))))))) (PrimIO-io_bind eff-0 (csegen-1025)))))(else (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 e-55 "Fixity declarations must be for unqualified names") eta-0))))))(else (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 e-55 "Fixity declarations must be for unqualified names") eta-0))))))))(else (case (vector-ref e-58 0) ((1) (let ((e-94 (vector-ref e-58 1))) (case (vector-ref e-94 0) ((0) (let ((e-95 (vector-ref e-94 1))) (let ((eff-0 (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (let ((e-0 (vector-ref e-5 0))) (let ((e-1 (vector-ref e-5 1))) (let ((e-2 (vector-ref e-5 2))) (let ((e-3 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-13 (vector-ref e-5 5))) (let ((e-6 (vector-ref e-5 6))) (let ((e-7 (vector-ref e-5 7))) (let ((e-8 (vector-ref e-5 8))) (let ((e-9 (vector-ref e-5 9))) (let ((e-10 (vector-ref e-5 10))) (let ((e-11 (vector-ref e-5 11))) (let ((e-12 (vector-ref e-5 12))) (vector (LibrariesC-45DataC-45StringMap-insert e-95 (cons e-55 (cons e-56 e-57)) e-0) e-1 e-2 e-3 e-4 e-13 e-6 e-7 e-8 e-9 e-10 e-11 e-12))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-1))))))))) (PrimIO-io_bind eff-0 (csegen-1025)))))(else (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 e-55 "Fixity declarations must be for unqualified names") eta-0))))))(else (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 e-55 "Fixity declarations must be for unqualified names") eta-0)))))))(else (case (vector-ref e-58 0) ((1) (let ((e-94 (vector-ref e-58 1))) (case (vector-ref e-94 0) ((0) (let ((e-95 (vector-ref e-94 1))) (let ((eff-0 (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (let ((e-0 (vector-ref e-5 0))) (let ((e-1 (vector-ref e-5 1))) (let ((e-2 (vector-ref e-5 2))) (let ((e-3 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-13 (vector-ref e-5 5))) (let ((e-6 (vector-ref e-5 6))) (let ((e-7 (vector-ref e-5 7))) (let ((e-8 (vector-ref e-5 8))) (let ((e-9 (vector-ref e-5 9))) (let ((e-10 (vector-ref e-5 10))) (let ((e-11 (vector-ref e-5 11))) (let ((e-12 (vector-ref e-5 12))) (vector (LibrariesC-45DataC-45StringMap-insert e-95 (cons e-55 (cons e-56 e-57)) e-0) e-1 e-2 e-3 e-4 e-13 e-6 e-7 e-8 e-9 e-10 e-11 e-12))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-1))))))))) (PrimIO-io_bind eff-0 (csegen-1025)))))(else (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 e-55 "Fixity declarations must be for unqualified names") eta-0))))))(else (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 e-55 "Fixity declarations must be for unqualified names") eta-0))))))))))) ((9) (let ((e-60 (vector-ref arg-6 1))) (let ((e-61 (vector-ref arg-6 2))) (let ((e-62 (vector-ref arg-6 3))) (let ((eff-0 (let ((eff-0 arg-2)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 arg-3)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (unbox eff-2))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (let ((eff-2 arg-4)) (PrimIO-io_bind (let ((eff-3 eff-2)) (lambda (eta-0) (unbox eff-3))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (let ((eff-3 (let ((eff-3 arg-0)) (PrimIO-io_bind (let ((eff-4 eff-3)) (lambda (eta-0) (unbox eff-4))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Context-branch arg-1))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (let ((eff-5 (CoreC-45ContextC-45Log-log arg-1 (csegen-5135) 20 (lambda () (string-append ((csegen-0) "Desugaring the block:\xa;") (IdrisC-45Syntax-u--show_Show_PDecl arg-6)))))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-6 (let ((eff-6 (CoreC-45Core-u--catch_Catchable_Core_Error (let ((eff-6 (CoreC-45Core-traverseC-39 (lambda (eta-0) (IdrisC-45Desugar-desugarDecl arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 eta-0)) e-62 '()))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-2 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-11 (vector-ref lcase-6 1))) (let ((eff-7 (lambda (eta-0) (vector 1 (vector 1 (PreludeC-45Interfaces-concat (csegen-83) (csegen-16) e-11)))))) eff-7))))))) (lambda (u--err) (if (null? e-61) (lambda (eta-0) (vector 1 (vector 0 '()))) (let ((e-1 (unbox e-61))) (let ((eff-6 (CoreC-45ContextC-45Log-log arg-1 (csegen-5135) 10 (lambda () (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons (csegen-2803) (cons ((csegen-0) (PreludeC-45Show-u--show_Show_String e-1)) (cons (csegen-2804) (cons ((csegen-0) (CoreC-45Core-u--show_Show_Error u--err)) '()))))))))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-2 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-7 (let ((eff-7 (IdrisC-45Error-checkError arg-1 arg-0 arg-4 e-1 u--err))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-2 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-12 (vector-ref lcase-7 1))) (let ((eff-8 (lambda (eta-0) (vector 1 (vector 0 (PreludeC-45Interfaces-C-62C-62 (csegen-614) (PreludeC-45Interfaces-guard (csegen-326) (cond ((equal? e-12 1) 0) (else 1))) (lambda () (box (vector 65 e-60 e-1 (cons u--err '())))))))))) eff-8))))))))) eff-7)))))))))))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-2 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-11 (vector-ref lcase-6 1))) (let ((eff-7 (let ((eff-7 (let ((eff-7 arg-2)) (PrimIO-io_bind (let ((eff-8 eff-7)) (lambda (eta-0) (set-box! eff-8 e-5))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-2 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-8 (let ((eff-8 (let ((eff-8 arg-3)) (PrimIO-io_bind (let ((eff-9 eff-8)) (lambda (eta-0) (unbox eff-9))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-8 (lambda (lcase-8) (case (vector-ref lcase-8 0) ((0) (let ((e-2 (vector-ref lcase-8 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-13 (vector-ref lcase-8 1))) (let ((eff-9 (let ((eff-9 (let ((eff-9 arg-3)) (PrimIO-io_bind (let ((eff-10 eff-9)) (lambda (eta-0) (set-box! eff-10 (let ((e-0 (vector-ref e-6 0))) (let ((e-1 (vector-ref e-6 1))) (let ((e-2 (vector-ref e-6 2))) (let ((e-3 (vector-ref e-6 3))) (let ((e-4 (vector-ref e-6 4))) (let ((e-18 (vector-ref e-6 5))) (let ((e-17 (vector-ref e-6 6))) (vector e-0 e-1 e-2 e-3 e-4 e-18 e-17 (let ((e-21 (vector-ref e-13 7))) e-21) (let ((e-20 (vector-ref e-13 8))) e-20) (let ((e-19 (vector-ref e-13 9))) e-19)))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-9 (lambda (lcase-9) (case (vector-ref lcase-9 0) ((0) (let ((e-2 (vector-ref lcase-9 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-10 (let ((eff-10 (let ((eff-10 arg-0)) (PrimIO-io_bind (let ((eff-11 eff-10)) (lambda (eta-0) (set-box! eff-11 e-8))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-10 (lambda (lcase-10) (case (vector-ref lcase-10 0) ((0) (let ((e-2 (vector-ref lcase-10 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-11 (let ((eff-11 (let ((eff-11 arg-1)) (PrimIO-io_bind (let ((eff-12 eff-11)) (lambda (eta-0) (set-box! eff-12 e-9))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-11 (lambda (lcase-11) (case (vector-ref lcase-11 0) ((0) (let ((e-2 (vector-ref lcase-11 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-12 (case (vector-ref e-11 0) ((1) (let ((e-2 (vector-ref e-11 1))) (let ((eff-12 (CoreC-45ContextC-45Log-log arg-1 "desugar.failing" 20 (lambda () "Success")))) (((csegen-50) ((let ((eff-13 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-3 (vector-ref eta-3 1))) (vector 0 e-3))) (else (let ((e-17 (vector-ref eta-3 1))) (vector 1 (eta-2 e-17))))))))))) (lambda (arg-7) (lambda (arg-8) ((((eff-13 'erased) 'erased) arg-7) arg-8)))) (lambda (eta-0) (cons (vector 5 e-60 e-61 e-2) '())))) eff-12)))) (else (let ((e-17 (vector-ref e-11 1))) (if (null? e-17) (let ((eff-12 (CoreC-45ContextC-45Log-log arg-1 "desugar.failing" 20 (lambda () "Correctly failed")))) (((csegen-50) ((let ((eff-13 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-18 (vector-ref eta-3 1))) (vector 1 (eta-2 e-18))))))))))) (lambda (arg-7) (lambda (arg-8) ((((eff-13 'erased) 'erased) arg-7) arg-8)))) (lambda (eta-0) '()))) eff-12)) (let ((e-18 (unbox e-17))) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error e-18 eta-0))))))))) eff-12)))))))) eff-11)))))))) eff-10)))))))) eff-9))))))))) eff-8)))))))) eff-7))))))))) eff-6)))))))) eff-5))))))))) eff-4))))))))) eff-3)))))))) eff-2))))))))) eff-1))))))))))) ((10) (let ((e-65 (vector-ref arg-6 2))) (let ((sc1 (IdrisC-45DesugarC-45Mutual-splitMutual e-65))) (let ((e-2 (car sc1))) (let ((e-3 (cdr sc1))) (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (IdrisC-45Desugar-desugarDecl arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 eta-0)) (PreludeC-45TypesC-45List-tailRecAppend e-2 e-3) '()))) (PrimIO-io_bind eff-0 (csegen-2811)))))))) ((12) (let ((e-67 (vector-ref arg-6 1))) (let ((e-68 (vector-ref arg-6 2))) (let ((e-69 (vector-ref arg-6 3))) (CoreC-45Context-withExtendedNS arg-1 e-68 (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (IdrisC-45Desugar-desugarDecl arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 eta-0)) e-69 '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (cons (vector 6 e-67 e-68 (PreludeC-45Interfaces-concat (csegen-83) (csegen-16) e-5)) '()))))) eff-1)))))))))))) ((13) (let ((e-71 (vector-ref arg-6 1))) (let ((e-72 (vector-ref arg-6 2))) (let ((e-73 (vector-ref arg-6 3))) (let ((e-74 (vector-ref arg-6 4))) (let ((eff-0 (let ((eff-0 (IdrisC-45Desugar-desugar arg-0 arg-1 arg-3 arg-2 arg-4 0 arg-5 e-73))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (TTImpC-45BindImplicits-bindNames arg-1 0 e-5))) eff-1))))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((e-2 (car e-5))) (let ((e-3 (cdr e-5))) (let ((eff-1 (IdrisC-45Desugar-desugar arg-0 arg-1 arg-3 arg-2 arg-4 1 (PreludeC-45TypesC-45List-tailRecAppend e-2 arg-5) e-74))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (cons (vector 7 e-71 (vector 1 (vector 0 e-72)) e-3 e-6) '()))))) eff-2))))))))))) eff-1)))))))))))) ((14) (let ((e-76 (vector-ref arg-6 1))) (let ((e-77 (vector-ref arg-6 2))) (let ((eff-0 (IdrisC-45Desugar-desugar arg-0 arg-1 arg-3 arg-2 arg-4 1 arg-5 e-77))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (cons (vector 8 e-76 e-5) '()))))) eff-1)))))))))) ((15) (let ((e-79 (vector-ref arg-6 1))) (let ((e-80 (vector-ref arg-6 2))) (case (vector-ref e-80 0) ((0) (let ((e-0 (vector-ref e-80 1))) (lambda (eta-0) (vector 1 (cons (vector 9 e-79 '() (lambda (vars-16709) (lambda (u--nest) (lambda (u--env) (CoreC-45Context-hide arg-1 e-79 e-0))))) '()))))) ((1) (let ((e-1 (vector-ref e-80 1))) (lambda (eta-0) (vector 1 (cons (vector 9 e-79 '() (lambda (vars-16742) (lambda (u--nest) (lambda (u--env) (CoreC-45Context-unhide arg-1 e-79 e-1))))) '()))))) ((2) (let ((e-2 (vector-ref e-80 1))) (lambda (eta-0) (vector 1 (cons (vector 10 (PreludeC-45Interfaces-C-60C-36C-62 (csegen-76) (lambda (u--i) (cons (CoreC-45OptionsC-45Log-topics u--i) (CoreC-45OptionsC-45Log-verbosity u--i))) e-2)) '()))))) ((3) (let ((e-3 (vector-ref e-80 1))) (lambda (eta-0) (vector 1 (cons (vector 9 e-79 '() (lambda (vars-16809) (lambda (u--nest) (lambda (u--env) (CoreC-45Context-lazyActive arg-1 e-3))))) '()))))) ((4) (let ((e-4 (vector-ref e-80 1))) (let ((eff-0 (CoreC-45Context-setUnboundImplicits arg-1 e-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (lambda (eta-0) (vector 1 (cons (vector 9 e-79 '() (lambda (vars-16845) (lambda (u--nest) (lambda (u--env) (CoreC-45Context-setUnboundImplicits arg-1 e-4))))) '()))))) eff-1)))))))) ((18) (let ((e-5 (vector-ref e-80 1))) (lambda (eta-0) (vector 1 (cons (vector 9 e-79 '() (lambda (vars-16878) (lambda (u--nest) (lambda (u--env) (CoreC-45Context-setPrefixRecordProjections arg-1 e-5))))) '()))))) ((5) (let ((e-6 (vector-ref e-80 1))) (lambda (eta-0) (vector 1 (cons (vector 9 e-79 '() (lambda (vars-16911) (lambda (u--nest) (lambda (u--env) (CoreC-45Context-setAmbigLimit arg-1 e-6))))) '()))))) ((19) (let ((e-7 (vector-ref e-80 1))) (lambda (eta-0) (vector 1 (cons (vector 9 e-79 '() (lambda (vars-16944) (lambda (u--nest) (lambda (u--env) (CoreC-45Context-setAutoImplicitLimit arg-1 e-7))))) '()))))) ((20) (let ((e-8 (vector-ref e-80 1))) (lambda (eta-0) (vector 1 (cons (vector 9 e-79 '() (lambda (vars-16977) (lambda (u--nest) (lambda (u--env) (CoreC-45Context-setNFThreshold arg-1 e-8))))) '()))))) ((21) (let ((e-9 (vector-ref e-80 1))) (lambda (eta-0) (vector 1 (cons (vector 9 e-79 '() (lambda (vars-17010) (lambda (u--nest) (lambda (u--env) (CoreC-45Context-setSearchTimeout arg-1 e-9))))) '()))))) ((6) (let ((e-10 (vector-ref e-80 1))) (let ((e-11 (vector-ref e-80 2))) (let ((e-12 (vector-ref e-80 3))) (lambda (eta-0) (vector 1 (cons (vector 9 e-79 '() (lambda (vars-17043) (lambda (u--nest) (lambda (u--env) (CoreC-45Context-setPair arg-1 e-79 e-10 e-11 e-12))))) '()))))))) ((7) (let ((e-13 (vector-ref e-80 1))) (let ((e-14 (vector-ref e-80 2))) (lambda (eta-0) (vector 1 (cons (vector 9 e-79 '() (lambda (vars-17076) (lambda (u--nest) (lambda (u--env) (CoreC-45Context-setRewrite arg-1 e-79 e-13 e-14))))) '())))))) ((8) (let ((e-15 (vector-ref e-80 1))) (lambda (eta-0) (vector 1 (cons (vector 9 e-79 '() (lambda (vars-17109) (lambda (u--nest) (lambda (u--env) (CoreC-45Context-setFromInteger arg-1 e-15))))) '()))))) ((9) (let ((e-16 (vector-ref e-80 1))) (lambda (eta-0) (vector 1 (cons (vector 9 e-79 '() (lambda (vars-17142) (lambda (u--nest) (lambda (u--env) (CoreC-45Context-setFromString arg-1 e-16))))) '()))))) ((10) (let ((e-17 (vector-ref e-80 1))) (lambda (eta-0) (vector 1 (cons (vector 9 e-79 '() (lambda (vars-17175) (lambda (u--nest) (lambda (u--env) (CoreC-45Context-setFromChar arg-1 e-17))))) '()))))) ((11) (let ((e-18 (vector-ref e-80 1))) (lambda (eta-0) (vector 1 (cons (vector 9 e-79 '() (lambda (vars-17208) (lambda (u--nest) (lambda (u--env) (CoreC-45Context-setFromDouble arg-1 e-18))))) '()))))) ((12) (let ((e-19 (vector-ref e-80 1))) (let ((e-20 (vector-ref e-80 2))) (lambda (eta-0) (vector 1 (cons (vector 9 e-79 '() (lambda (vars-17241) (lambda (u--nest) (lambda (u--env) (CoreC-45Context-addDirective arg-1 e-19 e-20))))) '())))))) ((13) (let ((e-21 (vector-ref e-80 1))) (let ((e-22 (vector-ref e-80 2))) (lambda (eta-0) (vector 1 (cons (vector 9 e-79 '() (lambda (vars-17274) (lambda (u--nest) (lambda (u--env) (CoreC-45Context-addNameDirective arg-1 e-79 e-21 e-22))))) '())))))) ((14) (lambda (eta-0) (vector 1 (cons (vector 9 e-79 '() (lambda (vars-17309) (lambda (u--nest) (lambda (u--env) (lambda (eta-1) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 ((csegen-0) "%start not implemented")) eta-1)))))) '())))) ((15) (let ((e-25 (vector-ref e-80 1))) (lambda (eta-0) (vector 1 (cons (vector 9 e-79 '() (lambda (vars-17347) (lambda (u--nest) (lambda (u--env) (CoreC-45Context-setNameFlag arg-1 e-79 e-25 (vector 4 )))))) '()))))) ((16) (let ((e-26 (vector-ref e-80 1))) (lambda (eta-0) (vector 1 (cons (vector 9 e-79 '() (lambda (vars-17381) (lambda (u--nest) (lambda (u--env) (CoreC-45Context-setExtension arg-1 e-26))))) '()))))) (else (let ((e-27 (vector-ref e-80 1))) (lambda (eta-0) (vector 1 (cons (vector 9 e-79 '() (lambda (vars-17414) (lambda (_-17417) (lambda (_-17420) (CoreC-45Context-setDefaultTotalityOption arg-1 e-27))))) '()))))))))) (else (let ((e-82 (vector-ref arg-6 1))) (let ((e-83 (vector-ref arg-6 2))) (let ((e-84 (vector-ref arg-6 3))) (lambda (eta-0) (vector 1 (cons (vector 11 e-82 e-83 e-84) '()))))))))))
(define IdrisC-45Desugar-desugarData (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (case (vector-ref arg-7 0) ((0) (let ((e-1 (vector-ref arg-7 1))) (let ((e-2 (vector-ref arg-7 2))) (let ((e-3 (vector-ref arg-7 3))) (let ((e-4 (vector-ref arg-7 4))) (let ((e-5 (vector-ref arg-7 5))) (let ((eff-0 (IdrisC-45DocC-45String-addDocString arg-1 arg-0 e-2 arg-6))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((eff-1 (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (unbox eff-2))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (IdrisC-45Desugar-desugar arg-0 arg-1 arg-3 arg-2 arg-4 1 arg-5 e-3))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (TTImpC-45BindImplicits-bindTypeNames arg-1 e-1 (let ((e-10 (vector-ref e-7 10))) e-10) arg-5 e-8))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-9 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (IdrisC-45Desugar-desugarType arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 eta-0)) e-5 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-10 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 0 e-1 e-2 e-9 e-4 e-10))))) eff-5))))))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))) (else (let ((e-7 (vector-ref arg-7 1))) (let ((e-8 (vector-ref arg-7 2))) (let ((e-9 (vector-ref arg-7 3))) (let ((eff-0 (IdrisC-45DocC-45String-addDocString arg-1 arg-0 e-8 arg-6))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (unbox eff-2))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (IdrisC-45Desugar-desugar arg-0 arg-1 arg-3 arg-2 arg-4 1 arg-5 e-9))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-10 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (TTImpC-45BindImplicits-bindTypeNames arg-1 e-7 (let ((e-13 (vector-ref e-6 10))) e-13) arg-5 e-10))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 1 e-7 e-8 e-11))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))
(define IdrisC-45Desugar-desugarClause (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (case (vector-ref arg-7 0) ((0) (let ((e-1 (vector-ref arg-7 1))) (let ((e-2 (vector-ref arg-7 2))) (let ((e-3 (vector-ref arg-7 3))) (let ((e-4 (vector-ref arg-7 4))) (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (IdrisC-45Desugar-desugarDecl arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 eta-0)) e-4 '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (IdrisC-45Desugar-desugarLHS arg-0 arg-1 arg-3 arg-2 arg-4 arg-5 arg-6 e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-6 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((e-8 (car e-6))) (let ((e-7 (cdr e-6))) (let ((e-10 (car e-7))) (let ((e-9 (cdr e-7))) (let ((eff-2 (IdrisC-45Desugar-desugar arg-0 arg-1 arg-3 arg-2 arg-4 1 (PreludeC-45TypesC-45List-tailRecAppend e-10 arg-5) e-3))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-11 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-2 1))) (let ((eff-3 (let ((u--rhsC-39 (if (null? e-5) e-11 (vector 5 e-1 (PreludeC-45Interfaces-concat (csegen-83) (csegen-16) e-5) e-11)))) (lambda (eta-0) (vector 1 (cons e-8 (vector 0 e-1 e-9 u--rhsC-39))))))) eff-3))))))))))))) eff-2))))))))) eff-1)))))))))))) ((1) (let ((e-6 (vector-ref arg-7 1))) (let ((e-7 (vector-ref arg-7 2))) (let ((e-8 (vector-ref arg-7 3))) (let ((e-9 (vector-ref arg-7 4))) (let ((e-10 (vector-ref arg-7 5))) (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (let ((eff-0 (IdrisC-45Desugar-desugarClause arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 eta-0))) (((csegen-50) ((let ((eff-1 (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (lambda (eta-4) (case (vector-ref eta-4 0) ((0) (let ((e-2 (vector-ref eta-4 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-4 1))) (vector 1 (eta-3 e-5))))))))))) (lambda (arg-8) (lambda (arg-9) ((((eff-1 'erased) 'erased) arg-8) arg-9)))) (lambda (eta-1) (Builtin-snd eta-1)))) eff-0))) e-10 '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (IdrisC-45Desugar-desugarLHS arg-0 arg-1 arg-3 arg-2 arg-4 arg-5 arg-6 e-7))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-11 (vector-ref lcase-1 1))) (let ((eff-2 (let ((e-2 (car e-11))) (let ((e-3 (cdr e-11))) (let ((e-13 (car e-3))) (let ((e-12 (cdr e-3))) (let ((eff-2 (CoreC-45Core-traverseList1 (lambda (eta-0) (IdrisC-45Desugar-desugarWithProblem arg-0 arg-1 arg-2 arg-3 arg-4 (PreludeC-45TypesC-45List-tailRecAppend e-13 arg-5) eta-0)) e-8))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-14 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (cons e-2 (TTImpC-45TTImp-mkWithClause e-6 e-12 e-14 e-9 e-5)))))) eff-3))))))))))))) eff-2))))))))) eff-1))))))))))))) (else (let ((e-12 (vector-ref arg-7 1))) (let ((e-13 (vector-ref arg-7 2))) (let ((eff-0 (IdrisC-45Desugar-desugarLHS arg-0 arg-1 arg-3 arg-2 arg-4 arg-5 arg-6 e-13))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (clam-0) (let ((e-2 (car e-5))) (let ((e-3 (cdr e-5))) (let ((e-7 (cdr e-3))) (vector 1 (cons e-2 (vector 2 e-12 e-7))))))))) eff-1)))))))))))))
(define IdrisC-45Desugar-desugarB (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8) (case (vector-ref arg-8 0) ((0) (let ((e-1 (vector-ref arg-8 1))) (let ((e-2 (vector-ref arg-8 2))) (lambda (eta-0) (vector 1 (vector 0 e-1 e-2)))))) ((1) (let ((e-4 (vector-ref arg-8 1))) (let ((e-5 (vector-ref arg-8 2))) (let ((e-6 (vector-ref arg-8 3))) (let ((e-7 (vector-ref arg-8 4))) (let ((e-8 (vector-ref arg-8 5))) (let ((e-9 (vector-ref arg-8 6))) (let ((u--psC-39 (PreludeC-45Types-maybe (lambda () arg-7) (lambda () (lambda (arg-9) (cons arg-9 arg-7))) e-7))) (let ((eff-0 (CoreC-45CoreC-45PiInfo-traverse (lambda (eta-0) (IdrisC-45Desugar-desugar arg-0 arg-2 arg-3 arg-4 arg-5 arg-6 u--psC-39 eta-0)) e-6))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-10 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (IdrisC-45Desugar-desugarB arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-8))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-11 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (IdrisC-45Desugar-desugarB arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 u--psC-39 e-9))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-12 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (vector 1 e-4 e-5 e-10 e-7 e-11 e-12))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))))))) ((2) (let ((e-11 (vector-ref arg-8 1))) (let ((e-12 (vector-ref arg-8 2))) (let ((e-13 (vector-ref arg-8 3))) (let ((e-14 (vector-ref arg-8 4))) (let ((e-15 (vector-ref arg-8 5))) (let ((e-16 (vector-ref arg-8 6))) (case (vector-ref e-14 0) ((0) (let ((e-206 (vector-ref e-14 1))) (let ((e-207 (vector-ref e-14 2))) (case (vector-ref e-207 0) ((1) (let ((e-210 (vector-ref e-207 1))) (let ((u--pat (vector 0 e-206 (vector 1 e-210)))) (let ((u--n (vector 1 e-210))) (let ((sc3 (CoreC-45Name-isPatternVariable e-210))) (cond ((equal? sc3 1) (let ((eff-0 (let ((sc4 (CoreC-45FC-isConcreteFC e-206))) (if (null? sc4) (lambda (eta-0) (vector 1 (vector 0 ))) (let ((e-1 (unbox sc4))) (CoreC-45Metadata-addSemanticDecorations arg-3 arg-2 (cons (cons e-1 (cons 5 (box u--n))) '()))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45CoreC-45PiInfo-traverse (lambda (eta-0) (IdrisC-45Desugar-desugar arg-0 arg-2 arg-3 arg-4 arg-5 1 arg-7 eta-0)) e-13))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (IdrisC-45Desugar-desugarB arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 1 arg-7 e-15))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (IdrisC-45Desugar-desugar arg-0 arg-2 arg-3 arg-4 arg-5 1 (cons u--n arg-7) e-16))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 2 e-11 e-12 e-6 (box u--n) e-7 e-8))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))) (else (let ((eff-0 (CoreC-45CoreC-45PiInfo-traverse (lambda (eta-0) (IdrisC-45Desugar-desugar arg-0 arg-2 arg-3 arg-4 arg-5 1 arg-7 eta-0)) e-13))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (IdrisC-45Desugar-desugarB arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 1 arg-7 e-15))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (IdrisC-45Desugar-desugarClause arg-0 arg-2 arg-4 arg-3 arg-5 arg-7 1 (vector 0 e-11 u--pat e-16 '())))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (vector 2 (vector 2 ) e-12 e-5 (box (vector 2 "lamc" 0)) e-6 (vector 4 e-11 (csegen-5145) (vector 32 e-11 0) (cons (Builtin-snd e-7) '()))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))) ((2) (let ((eff-0 (CoreC-45CoreC-45PiInfo-traverse (lambda (eta-0) (IdrisC-45Desugar-desugar arg-0 arg-2 arg-3 arg-4 arg-5 1 arg-7 eta-0)) e-13))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (IdrisC-45Desugar-desugarB arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 1 arg-7 e-15))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (IdrisC-45Desugar-desugar arg-0 arg-2 arg-3 arg-4 arg-5 1 (cons e-207 arg-7) e-16))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (vector 2 e-11 e-12 e-5 (box e-207) e-6 e-7))))) eff-3))))))))) eff-2))))))))) eff-1))))))))(else (let ((eff-0 (CoreC-45CoreC-45PiInfo-traverse (lambda (eta-0) (IdrisC-45Desugar-desugar arg-0 arg-2 arg-3 arg-4 arg-5 1 arg-7 eta-0)) e-13))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (IdrisC-45Desugar-desugarB arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 1 arg-7 e-15))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (IdrisC-45Desugar-desugarClause arg-0 arg-2 arg-4 arg-3 arg-5 arg-7 1 (vector 0 e-11 e-14 e-16 '())))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (vector 2 (vector 2 ) e-12 e-5 (box (vector 2 "lamc" 0)) e-6 (vector 4 e-11 (csegen-5145) (vector 32 e-11 0) (cons (Builtin-snd e-7) '()))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))) ((25) (let ((eff-0 (CoreC-45CoreC-45PiInfo-traverse (lambda (eta-0) (IdrisC-45Desugar-desugar arg-0 arg-2 arg-3 arg-4 arg-5 1 arg-7 eta-0)) e-13))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (IdrisC-45Desugar-desugarB arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 1 arg-7 e-15))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (IdrisC-45Desugar-desugar arg-0 arg-2 arg-3 arg-4 arg-5 1 arg-7 e-16))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (vector 2 e-11 e-12 e-5 '() e-6 e-7))))) eff-3))))))))) eff-2))))))))) eff-1))))))))(else (let ((eff-0 (CoreC-45CoreC-45PiInfo-traverse (lambda (eta-0) (IdrisC-45Desugar-desugar arg-0 arg-2 arg-3 arg-4 arg-5 1 arg-7 eta-0)) e-13))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (IdrisC-45Desugar-desugarB arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 1 arg-7 e-15))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (IdrisC-45Desugar-desugarClause arg-0 arg-2 arg-4 arg-3 arg-5 arg-7 1 (vector 0 e-11 e-14 e-16 '())))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (vector 2 (vector 2 ) e-12 e-5 (box (vector 2 "lamc" 0)) e-6 (vector 4 e-11 (csegen-5145) (vector 32 e-11 0) (cons (Builtin-snd e-7) '()))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))))))) ((3) (let ((e-18 (vector-ref arg-8 1))) (let ((e-19 (vector-ref arg-8 2))) (let ((e-20 (vector-ref arg-8 3))) (let ((e-21 (vector-ref arg-8 4))) (let ((e-22 (vector-ref arg-8 5))) (let ((e-23 (vector-ref arg-8 6))) (let ((e-24 (vector-ref arg-8 7))) (case (vector-ref e-20 0) ((0) (let ((e-214 (vector-ref e-20 1))) (let ((e-215 (vector-ref e-20 2))) (if (null? e-24) (let ((eff-0 (let ((sc3 (CoreC-45FC-isConcreteFC e-214))) (if (null? sc3) (lambda (eta-0) (vector 1 (vector 0 ))) (let ((e-1 (unbox sc3))) (CoreC-45Metadata-addSemanticDecorations arg-3 arg-2 (cons (cons e-1 (cons 5 (box e-215))) '()))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (IdrisC-45Desugar-desugarB arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-21))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (IdrisC-45Desugar-desugarB arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-22))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (IdrisC-45Desugar-desugar arg-0 arg-2 arg-3 arg-4 arg-5 arg-6 (cons e-215 arg-7) e-23))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 3 e-18 e-214 e-19 e-215 e-6 e-7 e-8))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))) (let ((eff-0 (IdrisC-45Desugar-desugarB arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-22))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (IdrisC-45Desugar-desugarB arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-21))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Core-traverseC-39 (lambda (eta-0) (let ((eff-2 (IdrisC-45Desugar-desugarClause arg-0 arg-2 arg-4 arg-3 arg-5 arg-7 1 eta-0))) (((csegen-50) ((let ((eff-3 (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (lambda (eta-4) (case (vector-ref eta-4 0) ((0) (let ((e-2 (vector-ref eta-4 1))) (vector 0 e-2))) (else (let ((e-7 (vector-ref eta-4 1))) (vector 1 (eta-3 e-7))))))))))) (lambda (arg-9) (lambda (arg-10) ((((eff-3 'erased) 'erased) arg-9) arg-10)))) (lambda (eta-1) (Builtin-snd eta-1)))) eff-2))) (cons (vector 0 e-18 e-20 e-23 '()) e-24) '()))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (vector 4 e-18 e-5 e-6 e-7))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))(else (let ((eff-0 (IdrisC-45Desugar-desugarB arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-22))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (IdrisC-45Desugar-desugarB arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-21))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Core-traverseC-39 (lambda (eta-0) (let ((eff-2 (IdrisC-45Desugar-desugarClause arg-0 arg-2 arg-4 arg-3 arg-5 arg-7 1 eta-0))) (((csegen-50) ((let ((eff-3 (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (lambda (eta-4) (case (vector-ref eta-4 0) ((0) (let ((e-2 (vector-ref eta-4 1))) (vector 0 e-2))) (else (let ((e-7 (vector-ref eta-4 1))) (vector 1 (eta-3 e-7))))))))))) (lambda (arg-9) (lambda (arg-10) ((((eff-3 'erased) 'erased) arg-9) arg-10)))) (lambda (eta-1) (Builtin-snd eta-1)))) eff-2))) (cons (vector 0 e-18 e-20 e-23 '()) e-24) '()))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (vector 4 e-18 e-5 e-6 e-7))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))))))))) ((4) (let ((e-26 (vector-ref arg-8 1))) (let ((e-27 (vector-ref arg-8 2))) (let ((e-28 (vector-ref arg-8 3))) (let ((eff-0 (IdrisC-45Desugar-desugarB arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-27))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Core-traverseC-39 (lambda (eta-0) (let ((eff-1 (IdrisC-45Desugar-desugarClause arg-0 arg-2 arg-4 arg-3 arg-5 arg-7 1 eta-0))) (((csegen-50) ((let ((eff-2 (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (lambda (eta-4) (case (vector-ref eta-4 0) ((0) (let ((e-2 (vector-ref eta-4 1))) (vector 0 e-2))) (else (let ((e-6 (vector-ref eta-4 1))) (vector 1 (eta-3 e-6))))))))))) (lambda (arg-9) (lambda (arg-10) ((((eff-2 'erased) 'erased) arg-9) arg-10)))) (lambda (eta-1) (Builtin-snd eta-1)))) eff-1))) e-28 '()))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 4 e-26 e-5 (vector 32 (CoreC-45FC-virtualiseFC e-26) 0) e-6))))) eff-2))))))))) eff-1))))))))))) ((5) (let ((e-30 (vector-ref arg-8 1))) (let ((e-31 (vector-ref arg-8 2))) (let ((e-32 (vector-ref arg-8 3))) (let ((u--psC-39 (PreludeC-45TypesC-45List-tailRecAppend (IdrisC-45Syntax-definedIn e-31) arg-7))) (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (IdrisC-45Desugar-desugarDecl arg-0 arg-2 arg-4 arg-3 arg-5 u--psC-39 eta-0)) e-31 '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (IdrisC-45Desugar-desugar arg-0 arg-2 arg-3 arg-4 arg-5 arg-6 u--psC-39 e-32))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 5 e-30 (PreludeC-45Interfaces-concat (csegen-83) (csegen-16) e-5) e-6))))) eff-2))))))))) eff-1)))))))))))) ((7) (let ((e-34 (vector-ref arg-8 1))) (let ((e-35 (vector-ref arg-8 2))) (let ((e-36 (vector-ref arg-8 3))) (case (vector-ref e-35 0) ((6) (let ((e-219 (vector-ref e-35 2))) (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (IdrisC-45Desugar-desugarUpdate arg-0 arg-1 arg-2 arg-4 arg-3 arg-5 arg-6 arg-7 eta-0)) e-219 '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (IdrisC-45Desugar-desugarB arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-36))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 7 e-34 e-5 e-6))))) eff-2))))))))) eff-1)))))))))(else (let ((eff-0 (IdrisC-45Desugar-desugarB arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-35))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (IdrisC-45Desugar-desugarB arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-36))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 8 e-34 e-5 e-6))))) eff-2))))))))) eff-1))))))))))))) ((6) (let ((e-38 (vector-ref arg-8 1))) (let ((e-39 (vector-ref arg-8 2))) (IdrisC-45Desugar-desugarB arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 (let ((u--vfc (CoreC-45FC-virtualiseFC e-38))) (vector 2 u--vfc (AlgebraC-45ZeroOneOmega-u--top_Top_ZeroOneOmega) (vector 1 ) (vector 0 u--vfc (vector 2 "rec" 0)) (vector 25 u--vfc) (vector 7 u--vfc (vector 6 e-38 e-39) (vector 0 u--vfc (vector 2 "rec" 0))))))))) ((10) (let ((e-41 (vector-ref arg-8 1))) (let ((e-42 (vector-ref arg-8 2))) (let ((e-43 (vector-ref arg-8 3))) (let ((eff-0 (IdrisC-45Desugar-desugarB arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-42))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (IdrisC-45Desugar-desugarB arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-43))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 9 e-41 e-5 e-6))))) eff-2))))))))) eff-1))))))))))) ((8) (let ((e-45 (vector-ref arg-8 1))) (let ((e-46 (vector-ref arg-8 2))) (let ((e-47 (vector-ref arg-8 3))) (let ((eff-0 (IdrisC-45Desugar-desugarB arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-46))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (IdrisC-45Desugar-desugarB arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-47))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 11 e-45 e-5 e-6))))) eff-2))))))))) eff-1))))))))))) ((9) (let ((e-49 (vector-ref arg-8 1))) (let ((e-50 (vector-ref arg-8 2))) (let ((e-51 (vector-ref arg-8 3))) (let ((e-52 (vector-ref arg-8 4))) (let ((eff-0 (IdrisC-45Desugar-desugarB arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-50))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (IdrisC-45Desugar-desugarB arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-52))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 10 e-49 e-5 e-51 e-6))))) eff-2))))))))) eff-1)))))))))))) ((11) (let ((e-54 (vector-ref arg-8 1))) (let ((e-55 (vector-ref arg-8 2))) (let ((e-56 (vector-ref arg-8 3))) (let ((eff-0 (IdrisC-45Desugar-desugarB arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-56))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 20 e-54 e-55 e-5))))) eff-1))))))))))) ((12) (let ((e-58 (vector-ref arg-8 1))) (let ((e-59 (vector-ref arg-8 2))) (let ((eff-0 (IdrisC-45Desugar-desugarB arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-59))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 21 e-58 e-5))))) eff-1)))))))))) ((13) (let ((e-61 (vector-ref arg-8 1))) (let ((e-62 (vector-ref arg-8 2))) (let ((eff-0 (IdrisC-45Desugar-desugarB arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-62))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 22 e-61 e-5))))) eff-1)))))))))) ((31) (let ((e-64 (vector-ref arg-8 1))) (let ((e-65 (vector-ref arg-8 2))) (let ((e-66 (vector-ref arg-8 3))) (let ((eff-0 (IdrisC-45Desugar-desugarB arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-65))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (IdrisC-45Desugar-desugarB arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-66))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 13 e-64 (vector 0 ) (cons (TTImpC-45TTImp-apply (vector 0 e-64 (vector 1 (vector 0 "==="))) (cons e-5 (cons e-6 '()))) (cons (TTImpC-45TTImp-apply (vector 0 e-64 (vector 1 (vector 0 "~=~"))) (cons e-5 (cons e-6 '()))) '()))))))) eff-2))))))))) eff-1))))))))))) ((32) (let ((e-69 (vector-ref arg-8 2))) (IdrisC-45Desugar-desugarB arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-69))) ((27) (let ((e-71 (vector-ref arg-8 1))) (let ((e-72 (vector-ref arg-8 2))) (let ((e-73 (vector-ref arg-8 3))) (let ((e-74 (vector-ref arg-8 4))) (let ((e-75 (vector-ref arg-8 5))) (let ((eff-0 (IdrisC-45Desugar-toTokList arg-0 (vector 27 e-71 e-72 e-73 e-74 e-75)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (LibrariesC-45UtilsC-45Shunting-parseOps (csegen-100) e-5))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (IdrisC-45Desugar-desugarTree arg-0 arg-1 arg-2 arg-4 arg-3 arg-5 arg-6 arg-7 e-6))) eff-2))))))))) eff-1))))))))))))) ((28) (let ((e-77 (vector-ref arg-8 1))) (let ((e-78 (vector-ref arg-8 2))) (let ((e-79 (vector-ref arg-8 3))) (let ((e-80 (vector-ref arg-8 4))) (let ((eff-0 (IdrisC-45Desugar-toTokList arg-0 (vector 28 e-77 e-78 e-79 e-80)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (LibrariesC-45UtilsC-45Shunting-parseOps (csegen-100) e-5))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (IdrisC-45Desugar-desugarTree arg-0 arg-1 arg-2 arg-4 arg-3 arg-5 arg-6 arg-7 e-6))) eff-2))))))))) eff-1)))))))))))) ((29) (let ((e-82 (vector-ref arg-8 1))) (let ((e-83 (vector-ref arg-8 2))) (let ((e-84 (vector-ref arg-8 3))) (let ((e-85 (vector-ref arg-8 4))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((sc2 (LibrariesC-45DataC-45StringMap-lookup (CoreC-45Name-nameRoot e-84) (let ((e-1 (vector-ref e-5 1))) e-1)))) (if (null? sc2) (IdrisC-45Desugar-desugarB arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 (vector 2 e-82 (AlgebraC-45ZeroOneOmega-u--top_Top_ZeroOneOmega) (vector 1 ) (vector 0 e-82 (vector 2 "arg" 0)) (vector 25 e-82) (vector 27 e-82 e-83 e-84 (vector 0 e-82 (vector 2 "arg" 0)) e-85))) (IdrisC-45Desugar-desugarB arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 (vector 28 e-82 e-83 e-84 e-85)))))) eff-1)))))))))))) ((30) (let ((e-87 (vector-ref arg-8 1))) (let ((e-88 (vector-ref arg-8 2))) (let ((e-89 (vector-ref arg-8 3))) (let ((e-90 (vector-ref arg-8 4))) (IdrisC-45Desugar-desugarB arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 (vector 2 e-87 (AlgebraC-45ZeroOneOmega-u--top_Top_ZeroOneOmega) (vector 1 ) (vector 0 e-87 (vector 2 "arg" 0)) (vector 25 e-87) (vector 27 e-87 e-88 e-90 e-89 (vector 0 e-87 (vector 2 "arg" 0)))))))))) ((14) (let ((e-92 (vector-ref arg-8 1))) (let ((e-93 (vector-ref arg-8 2))) (lambda (eta-0) (vector 1 (vector 12 e-92 e-93)))))) ((15) (let ((e-95 (vector-ref arg-8 1))) (let ((e-96 (vector-ref arg-8 2))) (case (vector-ref e-96 0) ((5) (let ((e-220 (vector-ref e-96 1))) (let ((eff-0 (CoreC-45Context-fromIntegerName arg-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (if (null? e-5) (lambda (eta-0) (vector 1 (vector 13 e-95 (vector 2 (vector 28 e-95 (vector 5 e-220))) (cons (vector 28 e-95 (vector 5 e-220)) (cons (vector 28 e-95 (vector 0 (blodwen-toSignedInt e-220 63))) '()))))) (let ((e-2 (unbox e-5))) (let ((u--vfc (CoreC-45FC-virtualiseFC e-95))) (lambda (eta-0) (vector 1 (vector 8 u--vfc (vector 0 u--vfc e-2) (vector 28 e-95 (vector 5 e-220)))))))))) eff-1))))))))) ((11) (let ((e-221 (vector-ref e-96 1))) (let ((eff-0 (CoreC-45Context-fromCharName arg-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (if (null? e-5) (lambda (eta-0) (vector 1 (vector 28 e-95 (vector 11 e-221)))) (let ((e-2 (unbox e-5))) (let ((u--vfc (CoreC-45FC-virtualiseFC e-95))) (lambda (eta-0) (vector 1 (vector 8 u--vfc (vector 0 u--vfc e-2) (vector 28 e-95 (vector 11 e-221)))))))))) eff-1))))))))) ((12) (let ((e-222 (vector-ref e-96 1))) (let ((eff-0 (CoreC-45Context-fromDoubleName arg-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (if (null? e-5) (lambda (eta-0) (vector 1 (vector 28 e-95 (vector 12 e-222)))) (let ((e-2 (unbox e-5))) (let ((u--vfc (CoreC-45FC-virtualiseFC e-95))) (lambda (eta-0) (vector 1 (vector 8 u--vfc (vector 0 u--vfc e-2) (vector 28 e-95 (vector 12 e-222)))))))))) eff-1)))))))))(else (lambda (eta-0) (vector 1 (vector 28 e-95 e-96)))))))) ((16) (let ((e-98 (vector-ref arg-8 1))) (let ((e-99 (vector-ref arg-8 2))) (let ((eff-0 (IdrisC-45Desugar-desugarB arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-99))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 23 e-98 e-5))))) eff-1)))))))))) ((17) (let ((e-101 (vector-ref arg-8 1))) (let ((e-102 (vector-ref arg-8 2))) (lambda (eta-0) (vector 1 (vector 24 e-101 e-102)))))) ((18) (let ((e-104 (vector-ref arg-8 1))) (let ((e-105 (vector-ref arg-8 2))) (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (IdrisC-45Desugar-desugarDecl arg-0 arg-2 arg-4 arg-3 arg-5 arg-7 eta-0)) e-105 '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 25 e-104 (PreludeC-45Interfaces-concat (csegen-83) (csegen-16) e-5)))))) eff-1)))))))))) ((19) (let ((e-107 (vector-ref arg-8 1))) (let ((e-108 (vector-ref arg-8 2))) (let ((eff-0 (IdrisC-45Desugar-desugarB arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-108))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 26 e-107 e-5))))) eff-1)))))))))) ((20) (let ((e-110 (vector-ref arg-8 1))) (let ((e-111 (vector-ref arg-8 2))) (let ((eff-0 (IdrisC-45Desugar-desugarB arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-111))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 27 e-110 e-5))))) eff-1)))))))))) ((21) (let ((e-113 (vector-ref arg-8 1))) (let ((e-114 (vector-ref arg-8 2))) (let ((e-115 (vector-ref arg-8 3))) (let ((eff-0 (cond ((equal? e-114 1) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (let ((e-0 (vector-ref e-5 0))) (let ((e-1 (vector-ref e-5 1))) (let ((e-2 (vector-ref e-5 2))) (let ((e-3 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-13 (vector-ref e-5 5))) (let ((e-6 (vector-ref e-5 6))) (let ((e-7 (vector-ref e-5 7))) (let ((e-8 (vector-ref e-5 8))) (let ((e-9 (vector-ref e-5 9))) (let ((e-10 (vector-ref e-5 10))) (let ((e-11 (vector-ref e-5 11))) (let ((e-12 (vector-ref e-5 12))) (vector e-0 e-1 e-2 e-3 e-4 e-13 e-6 e-7 e-8 (cons (vector 1 (vector 0 e-115)) e-9) e-10 e-11 e-12))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-1)))))))) (else (lambda (eta-0) (vector 1 (vector 0 ))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (lambda (eta-0) (vector 1 (vector 30 e-113 e-115))))) eff-1)))))))))) ((22) (let ((e-117 (vector-ref arg-8 1))) (lambda (eta-0) (vector 1 (vector 29 e-117))))) ((23) (let ((e-119 (vector-ref arg-8 1))) (let ((e-120 (vector-ref arg-8 2))) (let ((e-121 (vector-ref arg-8 3))) (let ((e-122 (vector-ref arg-8 4))) (let ((eff-0 (IdrisC-45Desugar-desugarB arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-122))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 18 e-119 e-120 1 e-121 e-5))))) eff-1)))))))))))) ((24) (let ((e-124 (vector-ref arg-8 1))) (let ((e-125 (vector-ref arg-8 2))) (let ((eff-0 (IdrisC-45Desugar-desugarB arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-125))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 19 e-124 4 e-5))))) eff-1)))))))))) ((25) (let ((e-127 (vector-ref arg-8 1))) (lambda (eta-0) (vector 1 (vector 32 e-127 1))))) ((26) (let ((e-129 (vector-ref arg-8 1))) (let ((eff-0 (lambda (clam-0) (let ((sc1 (IdrisC-45Desugar-u--C-61C-61_Eq_Side arg-6 0))) (cond ((equal? sc1 1) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 e-129 "? is not a valid pattern") clam-0)) (else (vector 1 (vector 0 )))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (lambda (eta-0) (vector 1 (vector 32 e-129 0))))) eff-1)))))))) ((34) (let ((e-131 (vector-ref arg-8 1))) (let ((e-132 (vector-ref arg-8 2))) (let ((e-133 (vector-ref arg-8 3))) (let ((eff-0 (IdrisC-45Desugar-trimMultiline e-131 e-132 e-133))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (IdrisC-45Desugar-expandString arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-131 e-5))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (IdrisC-45Desugar-addFromString arg-2 e-131 e-6))) eff-2))))))))) eff-1))))))))))) ((33) (let ((e-135 (vector-ref arg-8 1))) (let ((e-136 (vector-ref arg-8 2))) (if (null? e-136) (IdrisC-45Desugar-addFromString arg-2 e-135 (vector 28 e-135 (vector 10 ""))) (let ((e-225 (car e-136))) (let ((e-226 (cdr e-136))) (case (vector-ref e-225 0) ((0) (let ((e-228 (vector-ref e-225 1))) (let ((e-229 (vector-ref e-225 2))) (if (null? e-226) (IdrisC-45Desugar-addFromString arg-2 e-135 (vector 28 e-228 (vector 10 e-229))) (IdrisC-45Desugar-expandString arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-135 e-136)))))(else (IdrisC-45Desugar-expandString arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-135 e-136))))))))) ((35) (let ((e-138 (vector-ref arg-8 1))) (let ((e-139 (vector-ref arg-8 2))) (let ((e-140 (vector-ref arg-8 3))) (IdrisC-45Desugar-expandDo arg-0 arg-2 arg-4 arg-3 arg-5 arg-6 arg-7 e-138 e-139 e-140))))) ((36) (let ((e-142 (vector-ref arg-8 1))) (let ((e-143 (vector-ref arg-8 2))) (let ((eff-0 (IdrisC-45Desugar-desugarB arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-143))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 arg-1)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (unbox eff-2))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((u--bn (vector 2 "bind" (let ((e-0 (vector-ref e-6 0))) e-0)))) (let ((eff-2 (let ((eff-2 arg-1)) (PrimIO-io_bind (let ((eff-3 eff-2)) (lambda (eta-0) (set-box! eff-3 (let ((e-0 (vector-ref e-6 0))) (let ((e-1 (vector-ref e-6 1))) (let ((e-2 (vector-ref e-6 2))) (vector (bs+ e-0 1 63) (cons (cons u--bn (cons e-142 e-5)) e-1) e-2))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (lambda (eta-0) (vector 1 (vector 0 (vector 2 ) u--bn))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))) ((37) (let ((e-145 (vector-ref arg-8 1))) (let ((e-146 (vector-ref arg-8 2))) (let ((e-147 (vector-ref arg-8 3))) (let ((eff-0 (IdrisC-45Desugar-desugarB arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-147))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (TTImpC-45TTImp-logRaw arg-2 "desugar.idiom" 10 (lambda () "Desugaring idiom for") e-5))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((u--val (IdrisC-45Desugar-idiomise e-145 e-146 e-5))) (let ((eff-2 (TTImpC-45TTImp-logRaw arg-2 "desugar.idiom" 10 (lambda () "Desugared to") u--val))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (lambda (eta-0) (vector 1 u--val)))) eff-3))))))))) eff-2)))))))) eff-1))))))))))) ((38) (let ((e-150 (vector-ref arg-8 2))) (let ((e-151 (vector-ref arg-8 3))) (IdrisC-45Desugar-expandList arg-0 arg-1 arg-2 arg-4 arg-3 arg-5 arg-6 arg-7 e-150 e-151)))) ((39) (let ((e-154 (vector-ref arg-8 2))) (let ((e-155 (vector-ref arg-8 3))) (IdrisC-45Desugar-expandSnocList arg-0 arg-1 arg-2 arg-4 arg-3 arg-5 arg-6 arg-7 e-154 e-155)))) ((40) (let ((e-157 (vector-ref arg-8 1))) (let ((e-158 (vector-ref arg-8 2))) (let ((e-159 (vector-ref arg-8 3))) (let ((eff-0 (IdrisC-45Desugar-desugarB arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-158))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (IdrisC-45Desugar-desugarB arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-159))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((u--pval (TTImpC-45TTImp-apply (vector 0 e-157 (IdrisC-45SyntaxC-45Builtin-mkpairname)) (cons e-5 (cons e-6 '()))))) (lambda (eta-0) (vector 1 (vector 13 e-157 (vector 2 u--pval) (cons (TTImpC-45TTImp-apply (vector 0 e-157 (IdrisC-45SyntaxC-45Builtin-pairname)) (cons e-5 (cons e-6 '()))) (cons u--pval '())))))))) eff-2))))))))) eff-1))))))))))) ((41) (let ((e-161 (vector-ref arg-8 1))) (let ((e-162 (vector-ref arg-8 2))) (let ((e-163 (vector-ref arg-8 3))) (let ((e-164 (vector-ref arg-8 4))) (let ((e-165 (vector-ref arg-8 5))) (case (vector-ref e-163 0) ((0) (let ((e-234 (vector-ref e-163 1))) (let ((e-235 (vector-ref e-163 2))) (case (vector-ref e-235 0) ((1) (case (vector-ref e-164 0) ((25) (let ((eff-0 (IdrisC-45Desugar-desugarB arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-165))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--pval (TTImpC-45TTImp-apply (vector 0 e-162 (IdrisC-45SyntaxC-45Builtin-mkdpairname)) (cons (vector 0 e-234 e-235) (cons e-5 '()))))) (let ((u--vfc (CoreC-45FC-virtualiseFC e-234))) (let ((eff-1 (let ((sc5 (CoreC-45FC-isConcreteFC e-234))) (if (null? sc5) (lambda (eta-0) (vector 1 (vector 0 ))) (let ((e-1 (unbox sc5))) (CoreC-45Metadata-addSemanticDefault arg-3 (cons e-1 (cons 5 (box e-235))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (lambda (eta-0) (vector 1 (vector 13 e-161 (vector 2 u--pval) (cons (TTImpC-45TTImp-apply (vector 0 e-162 (IdrisC-45SyntaxC-45Builtin-dpairname)) (cons (vector 32 u--vfc 0) (cons (vector 2 e-234 (AlgebraC-45ZeroOneOmega-u--top_Top_ZeroOneOmega) (vector 1 ) (box e-235) (vector 32 u--vfc 0) e-5) '()))) (cons u--pval '()))))))) eff-2)))))))))) eff-1))))))))(else (let ((eff-0 (IdrisC-45Desugar-desugarB arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-164))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (IdrisC-45Desugar-desugarB arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-165))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (TTImpC-45TTImp-apply (vector 0 e-162 (IdrisC-45SyntaxC-45Builtin-dpairname)) (cons e-5 (cons (vector 2 e-234 (AlgebraC-45ZeroOneOmega-u--top_Top_ZeroOneOmega) (vector 1 ) (box e-235) e-5 e-6) '()))))))) eff-2))))))))) eff-1))))))))))(else (case (vector-ref e-164 0) ((25) (let ((eff-0 (IdrisC-45Desugar-desugarB arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-163))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (IdrisC-45Desugar-desugarB arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-165))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (TTImpC-45TTImp-apply (vector 0 e-162 (IdrisC-45SyntaxC-45Builtin-mkdpairname)) (cons e-5 (cons e-6 '()))))))) eff-2))))))))) eff-1))))))))(else (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 e-161 "Invalid dependent pair type") eta-0)))))))))(else (case (vector-ref e-164 0) ((25) (let ((eff-0 (IdrisC-45Desugar-desugarB arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-163))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (IdrisC-45Desugar-desugarB arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-165))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (TTImpC-45TTImp-apply (vector 0 e-162 (IdrisC-45SyntaxC-45Builtin-mkdpairname)) (cons e-5 (cons e-6 '()))))))) eff-2))))))))) eff-1))))))))(else (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 e-161 "Invalid dependent pair type") eta-0)))))))))))) ((42) (let ((e-167 (vector-ref arg-8 1))) (lambda (eta-0) (vector 1 (vector 13 e-167 (vector 2 (vector 0 e-167 (vector 1 (vector 0 "MkUnit")))) (cons (vector 0 e-167 (vector 1 (vector 0 "Unit"))) (cons (vector 0 e-167 (vector 1 (vector 0 "MkUnit"))) '()))))))) ((43) (let ((e-169 (vector-ref arg-8 1))) (let ((e-170 (vector-ref arg-8 2))) (let ((e-171 (vector-ref arg-8 3))) (let ((e-172 (vector-ref arg-8 4))) (let ((u--fc (CoreC-45FC-virtualiseFC e-169))) (let ((eff-0 (IdrisC-45Desugar-desugarB arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-170))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (IdrisC-45Desugar-desugar arg-0 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-171))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (IdrisC-45Desugar-desugar arg-0 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-172))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (vector 4 u--fc e-5 (vector 0 u--fc (vector 1 (vector 0 "Bool"))) (cons (vector 0 u--fc (vector 0 u--fc (vector 1 (vector 0 "True"))) e-6) (cons (vector 0 u--fc (vector 0 u--fc (vector 1 (vector 0 "False"))) e-7) '()))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))))) ((44) (let ((e-174 (vector-ref arg-8 1))) (let ((e-175 (vector-ref arg-8 2))) (let ((e-176 (vector-ref arg-8 3))) (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--ns (let ((e-2 (vector-ref e-5 2))) e-2))) (IdrisC-45Desugar-desugarB arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 (vector 35 e-174 u--ns (PreludeC-45TypesC-45List-tailRecAppend (((csegen-25) (lambda (eta-0) (IdrisC-45Desugar-n--14185-10516-u--guard e-176 e-175 e-174 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 arg-0 u--ns eta-0))) e-176) (cons (IdrisC-45Desugar-n--14185-10517-u--toPure e-176 e-175 e-174 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 arg-0 u--ns e-175) '()))))))) eff-1))))))))))) ((45) (let ((e-178 (vector-ref arg-8 1))) (let ((e-179 (vector-ref arg-8 2))) (let ((e-180 (vector-ref arg-8 3))) (let ((eff-0 (IdrisC-45Desugar-desugarB arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-179))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (IdrisC-45Desugar-desugarB arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-180))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 14 e-178 e-5 e-6))))) eff-2))))))))) eff-1))))))))))) ((46) (let ((e-182 (vector-ref arg-8 1))) (let ((e-183 (vector-ref arg-8 2))) (let ((e-184 (vector-ref arg-8 3))) (let ((e-185 (vector-ref arg-8 4))) (let ((u--fc (CoreC-45FC-virtualiseFC e-182))) (IdrisC-45Desugar-desugarB arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 (if (null? e-184) (IdrisC-45Syntax-papply u--fc (vector 0 u--fc (vector 1 (vector 0 ((csegen-0) "rangeFromTo")))) (cons e-183 (cons e-185 '()))) (let ((e-2 (unbox e-184))) (IdrisC-45Syntax-papply u--fc (vector 0 u--fc (vector 1 (vector 0 ((csegen-0) "rangeFromThenTo")))) (cons e-183 (cons e-2 (cons e-185 '()))))))))))))) ((47) (let ((e-187 (vector-ref arg-8 1))) (let ((e-188 (vector-ref arg-8 2))) (let ((e-189 (vector-ref arg-8 3))) (let ((u--fc (CoreC-45FC-virtualiseFC e-187))) (IdrisC-45Desugar-desugarB arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 (if (null? e-189) (IdrisC-45Syntax-papply u--fc (vector 0 u--fc (vector 1 (vector 0 "rangeFrom"))) (cons e-188 '())) (let ((e-2 (unbox e-189))) (IdrisC-45Syntax-papply u--fc (vector 0 u--fc (vector 1 (vector 0 ((csegen-0) "rangeFromThen")))) (cons e-188 (cons e-2 '()))))))))))) ((50) (let ((e-191 (vector-ref arg-8 1))) (let ((e-192 (vector-ref arg-8 2))) (let ((e-193 (vector-ref arg-8 3))) (let ((eff-0 (IdrisC-45Desugar-desugarB arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-193))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 31 e-191 e-192 e-5))))) eff-1))))))))))) ((48) (let ((e-196 (vector-ref arg-8 2))) (let ((e-197 (vector-ref arg-8 3))) (IdrisC-45Desugar-desugarB arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 (PreludeC-45Types-u--foldl_Foldable_List (lambda (u--x) (lambda (lamc-0) (let ((e-2 (car lamc-0))) (let ((e-3 (cdr lamc-0))) (vector 7 e-2 (vector 0 e-2 e-3) u--x))))) e-196 e-197))))) ((49) (let ((e-199 (vector-ref arg-8 1))) (let ((e-200 (vector-ref arg-8 2))) (let ((u--vfc (CoreC-45FC-virtualiseFC e-199))) (let ((u--var (vector 0 u--vfc (vector 2 "paRoot" 0)))) (IdrisC-45Desugar-desugarB arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 (vector 2 e-199 (AlgebraC-45ZeroOneOmega-u--top_Top_ZeroOneOmega) (vector 1 ) u--var (vector 25 u--vfc) (PreludeC-45Types-u--foldl_Foldable_List (lambda (u--r) (lambda (lamc-0) (let ((e-2 (car lamc-0))) (let ((e-3 (cdr lamc-0))) (vector 7 e-2 (vector 0 e-2 e-3) u--r))))) u--var e-200)))))))) (else (let ((e-202 (vector-ref arg-8 1))) (let ((e-203 (vector-ref arg-8 2))) (let ((e-204 (vector-ref arg-8 3))) (let ((eff-0 (IdrisC-45Desugar-desugarB arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-204))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-9) (lambda (arg-10) ((((eff-1 'erased) 'erased) arg-9) arg-10)))) (lambda (eta-0) (vector 33 e-202 e-203 eta-0)))) eff-0)))))))))
(define IdrisC-45Desugar-desugar (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (IdrisC-45Desugar-desugarDo arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 '() arg-7)))
(define IdrisC-45Desugar-bindFun (lambda (arg-0 arg-1 arg-2 arg-3) (let ((u--fc (CoreC-45FC-virtualiseFC arg-0))) (vector 8 u--fc (vector 8 u--fc (vector 0 u--fc (IdrisC-45Desugar-addNS arg-1 (vector 1 (vector 0 ">>=")))) arg-2) arg-3))))
(define IdrisC-45Desugar-bindBangs (lambda (arg-0 arg-1 arg-2) (if (null? arg-0) arg-2 (let ((e-2 (car arg-0))) (let ((e-3 (cdr arg-0))) (let ((e-6 (car e-2))) (let ((e-7 (cdr e-2))) (let ((e-10 (car e-7))) (let ((e-11 (cdr e-7))) (IdrisC-45Desugar-bindBangs e-3 arg-1 (IdrisC-45Desugar-bindFun e-10 arg-1 e-11 (vector 2 (vector 2 ) (AlgebraC-45ZeroOneOmega-u--top_Top_ZeroOneOmega) (vector 1 ) (box e-6) (vector 32 e-10 0) arg-2))))))))))))
(define IdrisC-45Desugar-addNS (lambda (arg-0 arg-1) (if (null? arg-0) arg-1 (let ((e-1 (unbox arg-0))) (case (vector-ref arg-1 0) ((0) arg-1)(else (vector 0 e-1 arg-1)))))))
(define IdrisC-45Desugar-addFromString (lambda (arg-0 arg-1 arg-2) (let ((eff-0 (CoreC-45Context-fromStringName arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (if (null? e-5) arg-2 (let ((e-2 (unbox e-5))) (let ((u--fc (CoreC-45FC-virtualiseFC arg-1))) (vector 8 u--fc (vector 0 u--fc e-2) arg-2)))))))) eff-1)))))))))
(define LibrariesC-45UtilsC-45Shunting-n--7044-7057-u--mkOp (lambda (arg-2 arg-3 arg-4 arg-5) (let ((e-2 (car arg-5))) (let ((e-3 (cdr arg-5))) (let ((e-6 (car e-3))) (let ((e-7 (cdr e-3))) (let ((e-10 (car e-7))) (let ((e-11 (cdr e-7))) (vector 0 e-2 e-6 e-10 e-11)))))))))
(define LibrariesC-45UtilsC-45Shunting-shunt (lambda (arg-2 arg-3 arg-4 arg-5) (if (null? arg-5) (let ((eff-0 (CoreC-45Core-traverse_ (lambda (eta-0) (LibrariesC-45UtilsC-45Shunting-emit arg-3 (LibrariesC-45UtilsC-45Shunting-n--7044-7057-u--mkOp arg-2 arg-4 arg-3 eta-0))) arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (let ((eff-1 arg-3)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (unbox eff-2))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (clam-0) (if (null? e-6) (CoreC-45Core-u--throw_Catchable_Core_Error (csegen-5156) clam-0) (let ((e-1 (car e-6))) (let ((e-2 (cdr e-6))) (if (null? e-2) (vector 1 e-1) (CoreC-45Core-u--throw_Catchable_Core_Error (csegen-5156) clam-0)))))))) eff-2))))))))) eff-1)))))) (let ((e-1 (car arg-5))) (let ((e-2 (cdr arg-5))) (case (vector-ref e-1 0) ((1) (let ((e-6 (vector-ref e-1 1))) (let ((eff-0 (LibrariesC-45UtilsC-45Shunting-emit arg-3 (vector 1 e-6)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-1 (LibrariesC-45UtilsC-45Shunting-shunt arg-2 arg-3 arg-4 e-2))) eff-1)))))))) (else (let ((e-9 (vector-ref e-1 1))) (let ((e-10 (vector-ref e-1 2))) (let ((e-11 (vector-ref e-1 3))) (let ((e-12 (vector-ref e-1 4))) (let ((eff-0 (LibrariesC-45UtilsC-45Shunting-processStack arg-2 arg-3 arg-4 e-11 e-12))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (LibrariesC-45UtilsC-45Shunting-shunt arg-2 arg-3 (cons (cons e-9 (cons e-10 (cons e-11 e-12))) e-5) e-2))) eff-1))))))))))))))))))
(define LibrariesC-45UtilsC-45Shunting-processStack (lambda (arg-2 arg-3 arg-4 arg-5 arg-6) (if (null? arg-4) (lambda (eta-0) (vector 1 '())) (let ((e-2 (car arg-4))) (let ((e-3 (cdr arg-4))) (let ((e-6 (car e-2))) (let ((e-7 (cdr e-2))) (let ((e-10 (car e-7))) (let ((e-11 (cdr e-7))) (let ((e-14 (car e-11))) (let ((e-15 (cdr e-11))) (let ((eff-0 (LibrariesC-45UtilsC-45Shunting-higher arg-2 e-6 e-14 e-15 arg-5 arg-6))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--x (cons e-6 (cons e-10 (cons e-14 e-15))))) (cond ((equal? e-5 1) (let ((eff-1 (LibrariesC-45UtilsC-45Shunting-emit arg-3 (vector 0 e-6 e-10 e-14 e-15)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-2 (LibrariesC-45UtilsC-45Shunting-processStack arg-2 arg-3 e-3 arg-5 arg-6))) eff-2))))))) (else (lambda (eta-0) (vector 1 (cons u--x e-3)))))))) eff-1))))))))))))))))))
(define LibrariesC-45UtilsC-45Shunting-parseOps (lambda (arg-2 arg-3) (let ((eff-0 (CoreC-45Core-newRef (vector "Libraries.Utils.Shunting.Out" ) '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (LibrariesC-45UtilsC-45Shunting-shunt arg-2 e-5 '() arg-3))) eff-1)))))))))
(define LibrariesC-45UtilsC-45Shunting-output (lambda (arg-2 arg-3) (if (null? arg-2) (lambda (clam-0) (case (vector-ref arg-3 0) ((0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 "Invalid input to shunting") clam-0))(else (case (vector-ref arg-3 0) ((1) (let ((e-2 (vector-ref arg-3 1))) (vector 1 (cons (vector 2 e-2) arg-2))))(else (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 "Invalid input to shunting") clam-0)))))) (let ((e-5 (car arg-2))) (let ((e-6 (cdr arg-2))) (case (vector-ref arg-3 0) ((0) (let ((e-24 (vector-ref arg-3 1))) (let ((e-25 (vector-ref arg-3 2))) (let ((e-26 (vector-ref arg-3 3))) (let ((e-27 (vector-ref arg-3 4))) (case (vector-ref e-27 0) ((3) (lambda (eta-0) (vector 1 (cons (vector 1 e-24 e-25 e-26 e-5) e-6))))(else (if (null? e-6) (lambda (clam-2) (case (vector-ref arg-3 0) ((1) (let ((e-2 (vector-ref arg-3 1))) (vector 1 (cons (vector 2 e-2) arg-2))))(else (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 "Invalid input to shunting") clam-2)))) (let ((e-14 (car e-6))) (let ((e-15 (cdr e-6))) (lambda (clam-1) (case (vector-ref arg-3 0) ((0) (let ((e-18 (vector-ref arg-3 1))) (let ((e-19 (vector-ref arg-3 2))) (let ((e-20 (vector-ref arg-3 3))) (vector 1 (cons (vector 0 e-18 e-19 e-20 e-14 e-5) e-15))))))(else (case (vector-ref arg-3 0) ((1) (let ((e-2 (vector-ref arg-3 1))) (vector 1 (cons (vector 2 e-2) arg-2))))(else (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 "Invalid input to shunting") clam-1))))))))))))))))(else (if (null? e-6) (lambda (clam-4) (case (vector-ref arg-3 0) ((1) (let ((e-2 (vector-ref arg-3 1))) (vector 1 (cons (vector 2 e-2) arg-2))))(else (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 "Invalid input to shunting") clam-4)))) (let ((e-14 (car e-6))) (let ((e-15 (cdr e-6))) (lambda (clam-2) (case (vector-ref arg-3 0) ((0) (let ((e-18 (vector-ref arg-3 1))) (let ((e-19 (vector-ref arg-3 2))) (let ((e-20 (vector-ref arg-3 3))) (vector 1 (cons (vector 0 e-18 e-19 e-20 e-14 e-5) e-15))))))(else (case (vector-ref arg-3 0) ((1) (let ((e-2 (vector-ref arg-3 1))) (vector 1 (cons (vector 2 e-2) arg-2))))(else (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 "Invalid input to shunting") clam-2))))))))))))))))
(define LibrariesC-45UtilsC-45Shunting-isLAssoc (lambda (arg-0) (case (vector-ref arg-0 0) ((0) 1)(else 0))))
(define LibrariesC-45UtilsC-45Shunting-higher (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (case (vector-ref arg-6 0) ((3) (lambda (eta-0) (vector 1 0)))(else (case (vector-ref arg-4 0) ((2) (let ((e-1 (vector-ref arg-4 1))) (lambda (clam-0) (let ((sc1 (or (and (= e-1 (LibrariesC-45UtilsC-45Shunting-getPrec arg-6)) 1) 0))) (cond ((equal? sc1 1) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 arg-2 (string-append "Operator '" (string-append (let ((e-3 (car arg-1))) (e-3 arg-3)) "' is non-associative"))) clam-0)) (else (vector 1 (PreludeC-45Types-u--C-62_Ord_Nat e-1 (LibrariesC-45UtilsC-45Shunting-getPrec arg-6)))))))))(else (lambda (clam-0) (case (vector-ref arg-6 0) ((2) (let ((e-0 (vector-ref arg-6 1))) (let ((sc1 (or (and (= (LibrariesC-45UtilsC-45Shunting-getPrec arg-4) e-0) 1) 0))) (cond ((equal? sc1 1) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 arg-2 (string-append "Operator '" (string-append (let ((e-1 (car arg-1))) (e-1 arg-5)) "' is non-associative"))) clam-0)) (else (vector 1 (PreludeC-45Types-u--C-62_Ord_Nat (LibrariesC-45UtilsC-45Shunting-getPrec arg-4) e-0)))))))(else (vector 1 (let ((sc0 (PreludeC-45Types-u--C-62_Ord_Nat (LibrariesC-45UtilsC-45Shunting-getPrec arg-4) (LibrariesC-45UtilsC-45Shunting-getPrec arg-6)))) (cond ((equal? sc0 1) 1) (else (let ((sc1 (or (and (= (LibrariesC-45UtilsC-45Shunting-getPrec arg-4) (LibrariesC-45UtilsC-45Shunting-getPrec arg-6)) 1) 0))) (cond ((equal? sc1 1) (LibrariesC-45UtilsC-45Shunting-isLAssoc arg-4)) (else 0))))))))))))))))
(define LibrariesC-45UtilsC-45Shunting-getPrec (lambda (arg-0) (case (vector-ref arg-0 0) ((0) (let ((e-0 (vector-ref arg-0 1))) e-0)) ((1) (let ((e-1 (vector-ref arg-0 1))) e-1)) ((2) (let ((e-2 (vector-ref arg-0 1))) e-2)) (else (let ((e-3 (vector-ref arg-0 1))) e-3)))))
(define LibrariesC-45UtilsC-45Shunting-emit (lambda (arg-2 arg-3) (let ((eff-0 (let ((eff-0 arg-2)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (LibrariesC-45UtilsC-45Shunting-output e-5 arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 arg-2)) (PrimIO-io_bind (let ((eff-3 eff-2)) (lambda (eta-0) (set-box! eff-3 e-6))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-2))))))))) eff-1)))))))))
(define IdrisC-45DesugarC-45Mutual-n--7414-6141-u--mkRecType (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9) (if (null? arg-9) (vector 22 arg-8) (let ((e-2 (car arg-9))) (let ((e-3 (cdr arg-9))) (let ((e-6 (car e-2))) (let ((e-7 (cdr e-2))) (let ((e-10 (car e-7))) (let ((e-11 (cdr e-7))) (let ((e-14 (car e-11))) (let ((e-15 (cdr e-11))) (vector 1 arg-8 e-10 e-14 (box e-6) e-15 (IdrisC-45DesugarC-45Mutual-n--7414-6141-u--mkRecType arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 e-3)))))))))))))
(define IdrisC-45DesugarC-45Mutual-splitMutual (lambda (arg-0) (cons (PreludeC-45TypesC-45List-mapMaybeAppend '() (lambda (eta-0) (IdrisC-45DesugarC-45Mutual-getDecl 1 eta-0)) arg-0) (PreludeC-45TypesC-45List-mapMaybeAppend '() (lambda (eta-0) (IdrisC-45DesugarC-45Mutual-getDecl 2 eta-0)) arg-0))))
(define IdrisC-45DesugarC-45Mutual-getDecl (lambda (arg-0 arg-1) (case (vector-ref arg-1 0) ((7) (let ((e-100 (vector-ref arg-1 1))) (let ((e-101 (vector-ref arg-1 2))) (let ((e-102 (vector-ref arg-1 3))) (let ((e-104 (vector-ref arg-1 5))) (let ((e-105 (vector-ref arg-1 6))) (let ((e-106 (vector-ref arg-1 7))) (let ((e-107 (vector-ref arg-1 8))) (let ((e-108 (vector-ref arg-1 9))) (let ((e-109 (vector-ref arg-1 10))) (let ((e-110 (vector-ref arg-1 11))) (box (vector 7 e-100 e-101 e-102 arg-0 e-104 e-105 e-106 e-107 e-108 e-109 e-110))))))))))))) ((12) (let ((e-112 (vector-ref arg-1 1))) (let ((e-113 (vector-ref arg-1 2))) (let ((e-114 (vector-ref arg-1 3))) (box (vector 12 e-112 e-113 (PreludeC-45TypesC-45List-mapMaybeAppend '() (lambda (eta-0) (IdrisC-45DesugarC-45Mutual-getDecl arg-0 eta-0)) e-114)))))))(else (cond ((equal? arg-0 1) (case (vector-ref arg-1 0) ((0) (box arg-1)) ((2) (let ((e-15 (vector-ref arg-1 1))) (let ((e-16 (vector-ref arg-1 2))) (let ((e-17 (vector-ref arg-1 3))) (let ((e-18 (vector-ref arg-1 4))) (let ((e-19 (vector-ref arg-1 5))) (case (vector-ref e-19 0) ((0) (let ((e-45 (vector-ref e-19 1))) (let ((e-46 (vector-ref e-19 2))) (let ((e-47 (vector-ref e-19 3))) (box (vector 2 e-15 e-16 e-17 e-18 (vector 1 e-45 e-46 e-47)))))))(else '())))))))) ((6) (box arg-1)) ((8) (let ((e-31 (vector-ref arg-1 1))) (let ((e-32 (vector-ref arg-1 2))) (let ((e-33 (vector-ref arg-1 3))) (let ((e-34 (vector-ref arg-1 4))) (let ((e-35 (vector-ref arg-1 5))) (case (vector-ref e-35 0) ((0) (let ((e-51 (vector-ref e-35 1))) (let ((e-52 (vector-ref e-35 2))) (let ((e-53 (vector-ref e-35 3))) (let ((e-54 (vector-ref e-35 4))) (let ((e-55 (vector-ref e-35 5))) (box (vector 2 e-31 e-32 e-33 e-34 (vector 1 e-31 e-51 (IdrisC-45DesugarC-45Mutual-n--7414-6141-u--mkRecType e-53 e-54 e-55 e-52 e-51 e-34 e-33 e-32 e-31 e-52))))))))))(else '())))))))) ((11) (box arg-1)) ((15) (box arg-1))(else '()))) ((equal? arg-0 2) (case (vector-ref arg-1 0) ((0) '()) ((2) (let ((e-67 (vector-ref arg-1 5))) (case (vector-ref e-67 0) ((1) (box arg-1))(else (box arg-1))))) ((6) '()) ((8) (let ((e-83 (vector-ref arg-1 5))) (case (vector-ref e-83 0) ((1) (box arg-1))(else (box arg-1))))) ((11) '()) ((15) '())(else (box arg-1))))(else (case (vector-ref arg-1 0) ((3) (let ((e-1 (vector-ref arg-1 1))) (let ((e-2 (vector-ref arg-1 2))) (let ((e-3 (vector-ref arg-1 3))) (box (vector 3 e-1 e-2 (PreludeC-45TypesC-45List-mapMaybeAppend '() (lambda (eta-0) (IdrisC-45DesugarC-45Mutual-getDecl arg-0 eta-0)) e-3))))))) ((4) (let ((e-5 (vector-ref arg-1 1))) (let ((e-6 (vector-ref arg-1 2))) (let ((e-7 (vector-ref arg-1 3))) (box (vector 4 e-5 e-6 (PreludeC-45TypesC-45List-mapMaybeAppend '() (lambda (eta-0) (IdrisC-45DesugarC-45Mutual-getDecl arg-0 eta-0)) e-7)))))))(else (cond (else (box arg-1)))))))))))
(define IdrisC-45ElabC-45Interface-case--elabInterfaceC-44elabDefault-8842 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20 arg-21 arg-22 arg-23 ext-0) (if (null? arg-23) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 arg-16 (string-append "No method named " (string-append (CoreC-45Name-u--show_Show_Name arg-18) (string-append " in interface " (CoreC-45Name-u--show_Show_Name arg-4))))) ext-0) (let ((e-1 (unbox arg-23))) (vector 1 (cons (let ((e-5 (vector-ref e-1 1))) e-5) (let ((e-4 (vector-ref e-1 4))) e-4)))))))
(define IdrisC-45ElabC-45Interface-n--12053-8040-u--vfc (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15) (CoreC-45FC-virtualiseFC arg-10)))
(define IdrisC-45ElabC-45Interface-n--11179-7181-u--vfc (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9) (CoreC-45FC-virtualiseFC (let ((e-0 (vector-ref arg-0 0))) e-0))))
(define IdrisC-45ElabC-45Interface-n--10583-6636-u--vfc (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10) (CoreC-45FC-virtualiseFC arg-9)))
(define IdrisC-45ElabC-45Interface-n--12139-8429-u--vdfc (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20) (CoreC-45FC-virtualiseFC arg-16)))
(define IdrisC-45ElabC-45Interface-n--11857-7831-u--totMeth (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9) (let ((u--treq (IdrisC-45ElabC-45Interface-n--11857-7830-u--findSetTotal arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (let ((e-2 (vector-ref arg-9 2))) e-2)))) (lambda (eta-0) (vector 1 (vector (let ((e-0 (vector-ref arg-9 0))) e-0) (let ((e-1 (vector-ref arg-9 1))) e-1) u--treq (let ((e-4 (vector-ref arg-9 4))) e-4)))))))
(define IdrisC-45ElabC-45Interface-n--10949-6982-u--stripParams (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11) (case (vector-ref arg-11 0) ((1) (let ((e-1 (vector-ref arg-11 1))) (let ((e-2 (vector-ref arg-11 2))) (let ((e-3 (vector-ref arg-11 3))) (let ((e-4 (vector-ref arg-11 4))) (let ((e-5 (vector-ref arg-11 5))) (let ((e-6 (vector-ref arg-11 6))) (let ((sc1 (PreludeC-45Types-maybe (lambda () 0) (lambda () (lambda (u--n) (PreludeC-45Types-elem (csegen-16) (csegen-1008) u--n arg-10))) e-4))) (cond ((equal? sc1 1) (IdrisC-45ElabC-45Interface-n--10949-6982-u--stripParams arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 e-6)) (else (vector 1 e-1 e-2 e-3 e-4 e-5 (IdrisC-45ElabC-45Interface-n--10949-6982-u--stripParams arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 e-6))))))))))))(else arg-11))))
(define IdrisC-45ElabC-45Interface-n--12053-8041-u--paramNames (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15) ((csegen-101) arg-3)))
(define IdrisC-45ElabC-45Interface-n--12053-8042-u--nameCons (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17) (if (null? arg-17) '() (let ((e-2 (car arg-17))) (let ((e-3 (cdr arg-17))) (let ((e-7 (cdr e-2))) (cons (cons (vector 1 (vector 0 (string-append "__con" (PreludeC-45Show-u--show_Show_Int arg-16)))) e-7) (IdrisC-45ElabC-45Interface-n--12053-8042-u--nameCons arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 (bs+ arg-16 1 63) e-3))))))))
(define IdrisC-45ElabC-45Interface-n--10583-6640-u--mkTy (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13) (if (null? arg-12) arg-13 (let ((e-2 (car arg-12))) (let ((e-3 (cdr arg-12))) (let ((e-6 (car e-2))) (let ((e-7 (cdr e-2))) (let ((e-10 (car e-7))) (let ((e-11 (cdr e-7))) (vector 1 (IdrisC-45ElabC-45Interface-n--10583-6636-u--vfc arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10) e-10 arg-11 e-6 e-11 (IdrisC-45ElabC-45Interface-n--10583-6640-u--mkTy arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 e-3 arg-13)))))))))))
(define IdrisC-45ElabC-45Interface-n--11179-7185-u--mkLam (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11) (if (null? arg-10) arg-11 (let ((e-2 (car arg-10))) (let ((e-3 (cdr arg-10))) (vector 2 (vector 2 ) (AlgebraC-45ZeroOneOmega-u--top_Top_ZeroOneOmega) (vector 1 ) (box e-2) (vector 32 (IdrisC-45ElabC-45Interface-n--11179-7181-u--vfc arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9) 0) (IdrisC-45ElabC-45Interface-n--11179-7185-u--mkLam arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-3 arg-11)))))))
(define IdrisC-45ElabC-45Interface-n--11179-7187-u--methName (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10) (vector 1 (vector 0 (IdrisC-45ElabC-45Interface-n--11179-7186-u--bindName arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10)))))
(define IdrisC-45ElabC-45Interface-n--10583-6637-u--jname (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11) (let ((e-2 (car arg-11))) (let ((e-3 (cdr arg-11))) (let ((e-6 (car e-3))) (let ((e-7 (cdr e-3))) (cons (box e-2) (cons e-6 e-7))))))))
(define IdrisC-45ElabC-45Interface-n--11574-7567-u--impsBind (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13) (if (null? arg-13) arg-12 (let ((e-2 (car arg-13))) (let ((e-3 (cdr arg-13))) (IdrisC-45ElabC-45Interface-n--11574-7567-u--impsBind arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 (vector 9 arg-10 arg-12 (vector 17 arg-10 e-2)) e-3))))))
(define IdrisC-45ElabC-45Interface-n--11179-7184-u--getExplicitArgs (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11) (case (vector-ref arg-11 0) ((1) (let ((e-3 (vector-ref arg-11 3))) (let ((e-6 (vector-ref arg-11 6))) (case (vector-ref e-3 0) ((1) (cons (vector 2 "arg" arg-10) (IdrisC-45ElabC-45Interface-n--11179-7184-u--getExplicitArgs arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 (bs+ arg-10 1 63) e-6)))(else (IdrisC-45ElabC-45Interface-n--11179-7184-u--getExplicitArgs arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 e-6))))))(else '()))))
(define IdrisC-45ElabC-45Interface-n--11857-7830-u--findSetTotal (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9) (if (null? arg-9) '() (let ((e-2 (car arg-9))) (let ((e-3 (cdr arg-9))) (case (vector-ref e-2 0) ((10) (let ((e-5 (vector-ref e-2 1))) (box e-5)))(else (IdrisC-45ElabC-45Interface-n--11857-7830-u--findSetTotal arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 e-3))))))))
(define IdrisC-45ElabC-45Interface-n--12053-8044-u--elabMethods (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18) (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (IdrisC-45ElabC-45Interface-getMethToplevel arg-6 arg-15 arg-8 arg-9 arg-4 arg-16 ((csegen-101) arg-5) arg-17 arg-3 eta-0)) arg-18 '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--fns (PreludeC-45Interfaces-concat (csegen-83) (csegen-16) e-5))) (let ((eff-1 (CoreC-45ContextC-45Log-log arg-15 "elab.interface" 5 (lambda () (string-append "Top level methods: " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-3280) u--fns)))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45Core-traverse_ (lambda (eta-0) (TTImpC-45ElabC-45Check-processDecl arg-6 arg-15 arg-12 arg-14 arg-13 arg-11 '() arg-7 arg-8 eta-0)) u--fns))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (CoreC-45Core-traverse_ (lambda (u--n) (let ((eff-3 (CoreC-45Context-inCurrentNS arg-15 u--n))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Context-setFlag arg-15 (IdrisC-45ElabC-45Interface-n--12053-8040-u--vfc arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15) e-8 (vector 0 )))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-5 (let ((eff-5 (CoreC-45Context-setFlag arg-15 (IdrisC-45ElabC-45Interface-n--12053-8040-u--vfc arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15) e-8 (vector 5 )))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-6 (CoreC-45Context-setFlag arg-15 (IdrisC-45ElabC-45Interface-n--12053-8040-u--vfc arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15) e-8 (vector 4 )))) eff-6)))))))) eff-5)))))))) eff-4)))))))) arg-17))) eff-3)))))))) eff-2))))))))) eff-1)))))))))
(define IdrisC-45ElabC-45Interface-n--12053-8045-u--elabDefault (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17) (let ((e-2 (car arg-17))) (let ((e-3 (cdr arg-17))) (let ((e-6 (car e-3))) (let ((e-7 (cdr e-3))) (let ((e-10 (car e-7))) (let ((e-11 (cdr e-7))) (let ((u--dn_in (vector 2 (string-append "Default implementation of " (CoreC-45Name-u--show_Show_Name e-10)) 0))) (let ((eff-0 (CoreC-45Context-inCurrentNS arg-15 u--dn_in))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (lambda (eta-0) (IdrisC-45ElabC-45Interface-case--elabInterfaceC-44elabDefault-8842 arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 e-2 e-6 e-10 e-11 arg-16 u--dn_in e-5 (LibrariesC-45DataC-45ListC-45Extra-findBy (lambda (u--d) ((PreludeC-45Interfaces-C-60C-36 (csegen-76) u--d) (PreludeC-45Interfaces-guard (csegen-326) (CoreC-45Name-u--C-61C-61_Eq_Name e-10 (let ((e-0 (vector-ref u--d 0))) e-0))))) arg-16) eta-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-8 (vector-ref lcase-1 1))) (let ((eff-2 (let ((e-9 (car e-8))) (let ((e-4 (cdr e-8))) (let ((u--ity (TTImpC-45TTImp-apply (vector 0 (IdrisC-45ElabC-45Interface-n--12139-8429-u--vdfc arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 e-2 e-6 e-10 e-11 arg-16) arg-4) (((csegen-25) (lambda (eta-0) (vector 0 (IdrisC-45ElabC-45Interface-n--12139-8429-u--vdfc arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 e-2 e-6 e-10 e-11 arg-16) eta-0))) (IdrisC-45ElabC-45Interface-n--12053-8041-u--paramNames arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15))))) (let ((eff-2 (CoreC-45Core-traverseC-39 (lambda (u--d) (let ((u--n (let ((e-0 (vector-ref u--d 0))) e-0))) (let ((eff-2 (CoreC-45Context-inCurrentNS arg-15 u--n))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-12 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-12)))) (else (let ((e-12 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (cons u--n (IdrisC-45ElabC-45Interface-n--12139-8431-u--applyParams arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 e-2 e-6 e-10 e-11 arg-16 (vector 0 (IdrisC-45ElabC-45Interface-n--12139-8429-u--vdfc arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 e-2 e-6 e-10 e-11 arg-16) e-12) (IdrisC-45ElabC-45Interface-n--12053-8041-u--paramNames arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15))))))) eff-3))))))))) arg-16 '()))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-12 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-12)))) (else (let ((e-12 (vector-ref lcase-2 1))) (let ((eff-3 (let ((u--dty (IdrisC-45ElabC-45Interface-n--12139-8430-u--bindPs arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 e-2 e-6 e-10 e-11 arg-16 arg-3 (IdrisC-45ElabC-45Interface-bindIFace (IdrisC-45ElabC-45Interface-n--12139-8429-u--vdfc arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 e-2 e-6 e-10 e-11 arg-16) u--ity (TTImpC-45Utils-substNames arg-6 e-12 e-4))))) (let ((eff-3 (TTImpC-45BindImplicits-bindTypeNames arg-15 e-2 '() (PreludeC-45TypesC-45List-tailRecAppend ((csegen-5160) arg-16) arg-6) u--dty))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-13 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45ContextC-45Log-log arg-15 (csegen-5161) 5 (lambda () (string-append ((csegen-0) "Default method ") (string-append (CoreC-45Name-u--show_Show_Name e-5) (string-append " : " (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 (csegen-100) e-13)))))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-14 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((eff-5 (let ((u--dtydecl (vector 0 (IdrisC-45ElabC-45Interface-n--12139-8429-u--vdfc arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 e-2 e-6 e-10 e-11 arg-16) e-9 arg-9 '() (vector (vector 2 ) (vector 2 ) e-5 e-13)))) (let ((eff-5 (TTImpC-45ElabC-45Check-processDecl arg-6 arg-15 arg-12 arg-14 arg-13 arg-11 '() arg-7 arg-8 u--dtydecl))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-15 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-15)))) (else (let ((eff-6 (let ((eff-6 (CoreC-45Core-traverseC-39 (lambda (eta-0) (IdrisC-45ElabC-45Interface-n--12139-8433-u--changeName arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 e-2 e-6 e-10 e-11 arg-16 e-5 eta-0)) e-11 '()))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-16 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-16)))) (else (let ((e-16 (vector-ref lcase-6 1))) (let ((eff-7 (let ((eff-7 (CoreC-45ContextC-45Log-log arg-15 (csegen-5161) 5 (lambda () (string-append ((csegen-0) "Default method body ") (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-2424) e-16)))))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-17 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-17)))) (else (let ((eff-8 (let ((eff-8 (TTImpC-45ElabC-45Check-processDecl arg-6 arg-15 arg-12 arg-14 arg-13 arg-11 '() arg-7 arg-8 (vector 2 (IdrisC-45ElabC-45Interface-n--12139-8429-u--vdfc arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 e-2 e-6 e-10 e-11 arg-16) e-5 e-16)))) (PrimIO-io_bind eff-8 (lambda (lcase-8) (case (vector-ref lcase-8 0) ((0) (let ((e-18 (vector-ref lcase-8 1))) (lambda (eta-0) (vector 0 e-18)))) (else (let ((eff-9 (lambda (eta-0) (vector 1 (cons e-10 e-11))))) eff-9)))))))) eff-8)))))))) eff-7))))))))) eff-6))))))))) eff-5)))))))) eff-4)))))))))) eff-3)))))))))))) eff-2))))))))) eff-1))))))))))))))))
(define IdrisC-45ElabC-45Interface-n--12053-8046-u--elabConstraintHints (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17) (let ((u--nconstraints (IdrisC-45ElabC-45Interface-n--12053-8042-u--nameCons arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 0 arg-5))) (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (IdrisC-45ElabC-45Interface-getConstraintHint arg-6 arg-15 (IdrisC-45ElabC-45Interface-n--12053-8040-u--vfc arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15) arg-8 arg-9 arg-4 arg-16 ((csegen-101) u--nconstraints) arg-17 (IdrisC-45ElabC-45Interface-n--12053-8041-u--paramNames arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15) eta-0)) u--nconstraints '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45ContextC-45Log-log arg-15 "elab.interface" 5 (lambda () (string-append "Constraint hints from " (string-append (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (cons (lambda (u--x) (PreludeC-45Show-u--show_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-5164) u--x)) (lambda (u--d) (lambda (u--x) (PreludeC-45Show-u--showPrec_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-5164) u--d u--x)))) arg-5) (string-append ": " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (cons (lambda (u--x) (PreludeC-45Show-u--show_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-5171) u--x)) (lambda (u--d) (lambda (u--x) (PreludeC-45Show-u--showPrec_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-5171) u--d u--x)))) e-5)))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45Core-traverse_ (lambda (eta-0) (TTImpC-45ElabC-45Check-processDecl arg-6 arg-15 arg-12 arg-14 arg-13 arg-11 '() arg-7 arg-8 eta-0)) (PreludeC-45Interfaces-concatMap (csegen-83) (csegen-16) (lambda (eta-0) (Builtin-snd eta-0)) e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (CoreC-45Core-traverse_ (lambda (u--n) (let ((eff-3 (CoreC-45Context-inCurrentNS arg-15 u--n))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (CoreC-45Context-setFlag arg-15 (IdrisC-45ElabC-45Interface-n--12053-8040-u--vfc arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15) e-8 (vector 5 )))) eff-4)))))))) ((csegen-101) e-5)))) eff-3)))))))) eff-2)))))))) eff-1))))))))))
(define IdrisC-45ElabC-45Interface-n--12053-8043-u--elabAsData (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18) (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (u--meth) (IdrisC-45ElabC-45Interface-getMethDecl arg-6 arg-15 arg-8 arg-7 arg-3 arg-17 (cons (let ((e-1 (vector-ref u--meth 1))) e-1) (cons (let ((e-3 (vector-ref u--meth 3))) e-3) (let ((e-6 (vector-ref u--meth 6))) e-6))))) arg-18 '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45ContextC-45Log-log arg-15 "elab.interface" 5 (lambda () (string-append "Method declarations: " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-5182) e-5)))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45Core-traverseC-39 (lambda (eta-0) (IdrisC-45ElabC-45Interface-getMethDecl arg-6 arg-15 arg-8 arg-7 arg-3 arg-17 (cons (AlgebraC-45ZeroOneOmega-u--top_Top_ZeroOneOmega) eta-0))) arg-5 '()))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45ContextC-45Log-log arg-15 "elab.interface" 5 (lambda () (string-append "Constraints: " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (cons (lambda (u--x) (PreludeC-45Show-u--show_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-5183) u--x)) (lambda (u--d) (lambda (u--x) (PreludeC-45Show-u--showPrec_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-5183) u--d u--x)))) e-7)))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-4 (let ((eff-4 (IdrisC-45ElabC-45Interface-mkIfaceData arg-6 arg-15 (IdrisC-45ElabC-45Interface-n--12053-8040-u--vfc arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15) arg-9 arg-8 e-7 arg-4 arg-16 arg-3 arg-2 e-5))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (let ((eff-5 (CoreC-45ContextC-45Log-log arg-15 "elab.interface" 10 (lambda () (string-append "Methods: " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-5182) e-5)))))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-6 (let ((eff-6 (CoreC-45ContextC-45Log-log arg-15 "elab.interface" 5 (lambda () (string-append "Making interface data type " (TTImpC-45TTImp-u--show_Show_C-40ImpDeclC-39C-32C-36nmC-41 (csegen-100) e-9)))))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-2 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-7 (let ((eff-7 (TTImpC-45ProcessDecls-processDecls arg-6 arg-15 arg-12 arg-14 arg-13 arg-11 arg-7 arg-8 (cons e-9 '())))) (((csegen-50) ((let ((eff-8 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-12 (vector-ref eta-3 1))) (vector 1 (eta-2 e-12))))))))))) (lambda (arg-19) (lambda (arg-20) ((((eff-8 'erased) 'erased) arg-19) arg-20)))) (lambda (_-8679) (vector 0 )))) eff-7)))) eff-7)))))))) eff-6)))))))) eff-5))))))))) eff-4)))))))) eff-3))))))))) eff-2)))))))) eff-1)))))))))
(define IdrisC-45ElabC-45Interface-n--11574-7566-u--constName (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12) (vector 1 (vector 0 (IdrisC-45ElabC-45Interface-n--11574-7565-u--bindName arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12)))))
(define IdrisC-45ElabC-45Interface-n--12139-8432-u--changeNameTerm (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20 arg-21 arg-22) (case (vector-ref arg-22 0) ((0) (let ((e-1 (vector-ref arg-22 1))) (let ((e-2 (vector-ref arg-22 2))) (let ((sc1 (CoreC-45Name-u--C-47C-61_Eq_Name arg-18 e-2))) (cond ((equal? sc1 1) (lambda (eta-0) (vector 1 (vector 0 e-1 e-2)))) (else (let ((eff-0 (CoreC-45ContextC-45Log-log arg-15 "ide-mode.highlight" 7 (lambda () (string-append "elabDefault is trying to add Function: " (string-append (CoreC-45Name-u--show_Show_Name arg-18) (string-append " (" (string-append (CoreC-45FC-u--show_Show_FC e-1) ")")))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-1 (let ((eff-1 (let ((sc3 (CoreC-45FC-isConcreteFC e-1))) (if (null? sc3) (lambda (eta-0) (vector 1 (vector 0 ))) (let ((e-3 (unbox sc3))) (let ((eff-1 (CoreC-45ContextC-45Log-log arg-15 "ide-mode.highlight" 7 (lambda () (string-append "elabDefault is adding Function: " (CoreC-45Name-u--show_Show_Name arg-18)))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-2 (CoreC-45Metadata-addSemanticDecorations arg-12 arg-15 (cons (cons e-3 (cons 2 (box arg-18))) '())))) eff-2))))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-3 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-2 (lambda (eta-0) (vector 1 (vector 0 e-1 arg-21))))) eff-2)))))))) eff-1)))))))))))) ((8) (let ((e-4 (vector-ref arg-22 1))) (let ((e-5 (vector-ref arg-22 2))) (let ((e-6 (vector-ref arg-22 3))) (CoreC-45Core-C-60C-42C-62 (let ((eff-0 (IdrisC-45ElabC-45Interface-n--12139-8432-u--changeNameTerm arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20 arg-21 e-5))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-7 (vector-ref eta-3 1))) (vector 1 (eta-2 e-7))))))))))) (lambda (arg-23) (lambda (arg-24) ((((eff-1 'erased) 'erased) arg-23) arg-24)))) (lambda (eta-0) (lambda (eta-1) (vector 8 e-4 eta-0 eta-1))))) eff-0)) (lambda (eta-0) (vector 1 e-6))))))) ((9) (let ((e-8 (vector-ref arg-22 1))) (let ((e-9 (vector-ref arg-22 2))) (let ((e-10 (vector-ref arg-22 3))) (CoreC-45Core-C-60C-42C-62 (let ((eff-0 (IdrisC-45ElabC-45Interface-n--12139-8432-u--changeNameTerm arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20 arg-21 e-9))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-23) (lambda (arg-24) ((((eff-1 'erased) 'erased) arg-23) arg-24)))) (lambda (eta-0) (lambda (eta-1) (vector 9 e-8 eta-0 eta-1))))) eff-0)) (lambda (eta-0) (vector 1 e-10))))))) ((10) (let ((e-12 (vector-ref arg-22 1))) (let ((e-13 (vector-ref arg-22 2))) (let ((e-14 (vector-ref arg-22 3))) (let ((e-15 (vector-ref arg-22 4))) (CoreC-45Core-C-60C-42C-62 (CoreC-45Core-C-60C-42C-62 (let ((eff-0 (IdrisC-45ElabC-45Interface-n--12139-8432-u--changeNameTerm arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20 arg-21 e-13))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-23) (lambda (arg-24) ((((eff-1 'erased) 'erased) arg-23) arg-24)))) (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (vector 10 e-12 eta-0 eta-1 eta-2)))))) eff-0)) (lambda (eta-0) (vector 1 e-14))) (lambda (eta-0) (vector 1 e-15))))))))(else (lambda (eta-0) (vector 1 arg-22))))))
(define IdrisC-45ElabC-45Interface-n--12139-8433-u--changeName (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20 arg-21 arg-22) (case (vector-ref arg-22 0) ((0) (let ((e-1 (vector-ref arg-22 1))) (let ((e-2 (vector-ref arg-22 2))) (let ((e-3 (vector-ref arg-22 3))) (CoreC-45Core-C-60C-42C-62 (let ((eff-0 (IdrisC-45ElabC-45Interface-n--12139-8432-u--changeNameTerm arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20 arg-21 e-2))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-4 (vector-ref eta-3 1))) (vector 0 e-4))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-23) (lambda (arg-24) ((((eff-1 'erased) 'erased) arg-23) arg-24)))) (lambda (eta-0) (lambda (eta-1) (vector 0 e-1 eta-0 eta-1))))) eff-0)) (lambda (eta-0) (vector 1 e-3))))))) ((1) (let ((e-5 (vector-ref arg-22 1))) (let ((e-6 (vector-ref arg-22 2))) (let ((e-7 (vector-ref arg-22 3))) (let ((e-8 (vector-ref arg-22 4))) (let ((e-9 (vector-ref arg-22 5))) (let ((e-10 (vector-ref arg-22 6))) (let ((e-11 (vector-ref arg-22 7))) (CoreC-45Core-C-60C-42C-62 (CoreC-45Core-C-60C-42C-62 (CoreC-45Core-C-60C-42C-62 (CoreC-45Core-C-60C-42C-62 (CoreC-45Core-C-60C-42C-62 (let ((eff-0 (IdrisC-45ElabC-45Interface-n--12139-8432-u--changeNameTerm arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20 arg-21 e-6))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-12 (vector-ref eta-3 1))) (vector 1 (eta-2 e-12))))))))))) (lambda (arg-23) (lambda (arg-24) ((((eff-1 'erased) 'erased) arg-23) arg-24)))) (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (lambda (eta-4) (lambda (eta-5) (vector 1 e-5 eta-0 eta-1 eta-2 eta-3 eta-4 eta-5))))))))) eff-0)) (lambda (eta-0) (vector 1 e-7))) (lambda (eta-0) (vector 1 e-8))) (lambda (eta-0) (vector 1 e-9))) (lambda (eta-0) (vector 1 e-10))) (CoreC-45Core-traverseC-39 (lambda (eta-0) (IdrisC-45ElabC-45Interface-n--12139-8433-u--changeName arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20 arg-21 eta-0)) e-11 '())))))))))) (else (let ((e-13 (vector-ref arg-22 1))) (let ((e-14 (vector-ref arg-22 2))) (let ((eff-0 (IdrisC-45ElabC-45Interface-n--12139-8432-u--changeNameTerm arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20 arg-21 e-14))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-23) (lambda (arg-24) ((((eff-1 'erased) 'erased) arg-23) arg-24)))) (lambda (eta-0) (vector 2 e-13 eta-0)))) eff-0))))))))
(define IdrisC-45ElabC-45Interface-n--10583-6638-u--bname (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11) (let ((e-2 (car arg-11))) (let ((e-3 (cdr arg-11))) (let ((e-6 (car e-3))) (let ((e-7 (cdr e-3))) (cons (box e-2) (cons e-6 (vector 16 (TTImpC-45TTImp-getFC e-7) (csegen-2897) e-7)))))))))
(define IdrisC-45ElabC-45Interface-n--12139-8430-u--bindPs (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20 arg-21 arg-22) (if (null? arg-21) arg-22 (let ((e-2 (car arg-21))) (let ((e-3 (cdr arg-21))) (let ((e-6 (car e-2))) (let ((e-7 (cdr e-2))) (let ((e-10 (car e-7))) (let ((e-11 (cdr e-7))) (vector 1 (TTImpC-45TTImp-getFC e-11) e-10 (vector 0 ) (box e-6) e-11 (IdrisC-45ElabC-45Interface-n--12139-8430-u--bindPs arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20 e-3 arg-22)))))))))))
(define IdrisC-45ElabC-45Interface-n--11179-7182-u--bindPs (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11) (if (null? arg-10) arg-11 (let ((e-2 (car arg-10))) (let ((e-3 (cdr arg-10))) (let ((e-6 (car e-2))) (let ((e-7 (cdr e-2))) (let ((e-10 (car e-7))) (let ((e-11 (cdr e-7))) (vector 1 (TTImpC-45TTImp-getFC e-11) e-10 (vector 0 ) (box e-6) e-11 (IdrisC-45ElabC-45Interface-n--11179-7182-u--bindPs arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-3 arg-11)))))))))))
(define IdrisC-45ElabC-45Interface-n--11574-7565-u--bindName (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12) (case (vector-ref arg-12 0) ((1) (let ((e-0 (vector-ref arg-12 1))) (string-append "__bind_" (CoreC-45Name-displayUserName e-0)))) ((0) (let ((e-2 (vector-ref arg-12 2))) (IdrisC-45ElabC-45Interface-n--11574-7565-u--bindName arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 e-2)))(else (CoreC-45Name-u--show_Show_Name arg-12)))))
(define IdrisC-45ElabC-45Interface-n--11179-7186-u--bindName (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10) (case (vector-ref arg-10 0) ((1) (let ((e-0 (vector-ref arg-10 1))) (string-append "__bind_" (CoreC-45Name-displayUserName e-0)))) ((0) (let ((e-2 (vector-ref arg-10 2))) (IdrisC-45ElabC-45Interface-n--11179-7186-u--bindName arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-2)))(else (CoreC-45Name-u--show_Show_Name arg-10)))))
(define IdrisC-45ElabC-45Interface-n--10583-6639-u--bhere (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11) (let ((e-2 (car arg-11))) (let ((e-3 (cdr arg-11))) (let ((e-6 (car e-3))) (let ((e-7 (cdr e-3))) (cons e-2 (cons e-6 (vector 16 (TTImpC-45TTImp-getFC e-7) (csegen-2897) e-7)))))))))
(define IdrisC-45ElabC-45Interface-n--12139-8431-u--applyParams (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20 arg-21 arg-22) (if (null? arg-22) arg-21 (let ((e-2 (car arg-22))) (let ((e-3 (cdr arg-22))) (case (vector-ref e-2 0) ((1) (let ((e-4 (vector-ref e-2 1))) (case (vector-ref e-4 0) ((0) (let ((e-5 (vector-ref e-4 1))) (IdrisC-45ElabC-45Interface-n--12139-8431-u--applyParams arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20 (vector 10 (IdrisC-45ElabC-45Interface-n--12139-8429-u--vdfc arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20) arg-21 (vector 1 (vector 0 e-5)) (vector 17 (IdrisC-45ElabC-45Interface-n--12139-8429-u--vdfc arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20) e-5)) e-3)))(else (IdrisC-45ElabC-45Interface-n--12139-8431-u--applyParams arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20 arg-21 e-3)))))(else (IdrisC-45ElabC-45Interface-n--12139-8431-u--applyParams arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20 arg-21 e-3))))))))
(define IdrisC-45ElabC-45Interface-n--11179-7183-u--applyCon (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10) (let ((u--name (vector 1 (vector 0 "__con")))) (cons arg-10 (vector 10 (IdrisC-45ElabC-45Interface-n--11179-7181-u--vfc arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9) (vector 0 (IdrisC-45ElabC-45Interface-n--11179-7181-u--vfc arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9) arg-10) u--name (vector 0 (IdrisC-45ElabC-45Interface-n--11179-7181-u--vfc arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9) u--name))))))
(define IdrisC-45ElabC-45Interface-updateIfaceSyn (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8) (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (IdrisC-45ElabC-45Interface-n--11857-7831-u--totMeth arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 arg-0 eta-0)) arg-7 '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--info (vector arg-3 arg-4 arg-5 arg-6 e-5 arg-8))) (let ((eff-1 (let ((eff-1 arg-1)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (unbox eff-2))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 arg-1)) (PrimIO-io_bind (let ((eff-3 eff-2)) (lambda (eta-0) (set-box! eff-3 (let ((e-0 (vector-ref e-6 0))) (let ((e-1 (vector-ref e-6 1))) (let ((e-2 (vector-ref e-6 2))) (let ((e-3 (vector-ref e-6 3))) (let ((e-4 (vector-ref e-6 4))) (let ((e-14 (vector-ref e-6 5))) (let ((e-13 (vector-ref e-6 6))) (let ((e-7 (vector-ref e-6 7))) (let ((e-8 (vector-ref e-6 8))) (let ((e-9 (vector-ref e-6 9))) (let ((e-10 (vector-ref e-6 10))) (let ((e-11 (vector-ref e-6 11))) (let ((e-12 (vector-ref e-6 12))) (vector e-0 e-1 e-2 e-3 e-4 (cons arg-2 e-14) (LibrariesC-45DataC-45ANameMap-addName arg-2 u--info e-13) e-7 e-8 e-9 e-10 e-11 e-12))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-2)))))))))) eff-1)))))))))
(define IdrisC-45ElabC-45Interface-sigToDecl (lambda (arg-0) (vector (let ((e-3 (vector-ref arg-0 3))) e-3) (let ((e-1 (vector-ref arg-0 1))) e-1) (let ((e-2 (vector-ref arg-0 2))) e-2) (let ((e-5 (vector-ref arg-0 5))) e-5) (let ((e-6 (vector-ref arg-0 6))) e-6))))
(define IdrisC-45ElabC-45Interface-namePis (lambda (arg-0 arg-1) (case (vector-ref arg-1 0) ((1) (let ((e-1 (vector-ref arg-1 1))) (let ((e-2 (vector-ref arg-1 2))) (let ((e-3 (vector-ref arg-1 3))) (let ((e-4 (vector-ref arg-1 4))) (let ((e-5 (vector-ref arg-1 5))) (let ((e-6 (vector-ref arg-1 6))) (case (vector-ref e-3 0) ((2) (if (null? e-4) (vector 1 e-1 e-2 (vector 2 ) (box (vector 2 "i_con" arg-0)) e-5 (IdrisC-45ElabC-45Interface-namePis (bs+ arg-0 1 63) e-6)) (vector 1 e-1 e-2 e-3 e-4 e-5 (IdrisC-45ElabC-45Interface-namePis arg-0 e-6)))) ((0) (if (null? e-4) (vector 1 e-1 e-2 (vector 0 ) (box (vector 2 "i_imp" arg-0)) e-5 (IdrisC-45ElabC-45Interface-namePis (bs+ arg-0 1 63) e-6)) (vector 1 e-1 e-2 e-3 e-4 e-5 (IdrisC-45ElabC-45Interface-namePis arg-0 e-6))))(else (vector 1 e-1 e-2 e-3 e-4 e-5 (IdrisC-45ElabC-45Interface-namePis arg-0 e-6))))))))))) ((16) (let ((e-8 (vector-ref arg-1 1))) (let ((e-9 (vector-ref arg-1 2))) (let ((e-10 (vector-ref arg-1 3))) (vector 16 e-8 e-9 (IdrisC-45ElabC-45Interface-namePis arg-0 e-10))))))(else arg-1))))
(define IdrisC-45ElabC-45Interface-mkIfaceData (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10) (let ((u--opts (let ((sc0 (DataC-45List-isNil arg-9))) (cond ((equal? sc0 1) (cons (vector 1 ) (cons (vector 2 ) '()))) (else (cons (vector 1 ) (cons (vector 2 ) (cons (vector 0 arg-9) '())))))))) (let ((u--pNames ((csegen-101) arg-8))) (let ((u--retty (TTImpC-45TTImp-apply (vector 0 (IdrisC-45ElabC-45Interface-n--10583-6636-u--vfc arg-10 arg-9 arg-8 arg-7 arg-6 arg-5 arg-0 arg-4 arg-3 arg-2 arg-1) arg-6) ((csegen-5188) u--pNames)))) (let ((u--conty (IdrisC-45ElabC-45Interface-n--10583-6640-u--mkTy arg-10 arg-9 arg-8 arg-7 arg-6 arg-5 arg-0 arg-4 arg-3 arg-2 arg-1 (vector 0 ) (((csegen-25) (lambda (eta-0) (IdrisC-45ElabC-45Interface-n--10583-6637-u--jname arg-10 arg-9 arg-8 arg-7 arg-6 arg-5 arg-0 arg-4 arg-3 arg-2 arg-1 eta-0))) arg-8) (IdrisC-45ElabC-45Interface-n--10583-6640-u--mkTy arg-10 arg-9 arg-8 arg-7 arg-6 arg-5 arg-0 arg-4 arg-3 arg-2 arg-1 (vector 2 ) (((csegen-25) (lambda (eta-0) (IdrisC-45ElabC-45Interface-n--10583-6639-u--bhere arg-10 arg-9 arg-8 arg-7 arg-6 arg-5 arg-0 arg-4 arg-3 arg-2 arg-1 eta-0))) arg-5) (IdrisC-45ElabC-45Interface-n--10583-6640-u--mkTy arg-10 arg-9 arg-8 arg-7 arg-6 arg-5 arg-0 arg-4 arg-3 arg-2 arg-1 (vector 1 ) (((csegen-25) (lambda (eta-0) (IdrisC-45ElabC-45Interface-n--10583-6638-u--bname arg-10 arg-9 arg-8 arg-7 arg-6 arg-5 arg-0 arg-4 arg-3 arg-2 arg-1 eta-0))) arg-10) u--retty))))) (let ((eff-0 (TTImpC-45BindImplicits-bindTypeNames arg-1 arg-2 '() (PreludeC-45TypesC-45List-tailRecAppend u--pNames (PreludeC-45TypesC-45List-tailRecAppend ((csegen-101) arg-10) arg-0)) u--conty))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--con (vector (vector 2 ) (vector 2 ) arg-7 e-5))) (let ((eff-1 (TTImpC-45BindImplicits-bindTypeNames arg-1 arg-2 '() (PreludeC-45TypesC-45List-tailRecAppend u--pNames (PreludeC-45TypesC-45List-tailRecAppend ((csegen-101) arg-10) arg-0)) (IdrisC-45ElabC-45Interface-mkDataTy (IdrisC-45ElabC-45Interface-n--10583-6636-u--vfc arg-10 arg-9 arg-8 arg-7 arg-6 arg-5 arg-0 arg-4 arg-3 arg-2 arg-1) arg-8)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 1 (IdrisC-45ElabC-45Interface-n--10583-6636-u--vfc arg-10 arg-9 arg-8 arg-7 arg-6 arg-5 arg-0 arg-4 arg-3 arg-2 arg-1) arg-3 '() (vector 0 (IdrisC-45ElabC-45Interface-n--10583-6636-u--vfc arg-10 arg-9 arg-8 arg-7 arg-6 arg-5 arg-0 arg-4 arg-3 arg-2 arg-1) arg-6 e-6 u--opts (cons u--con '()))))))) eff-2)))))))))) eff-1)))))))))))))
(define IdrisC-45ElabC-45Interface-mkDataTy (lambda (arg-0 arg-1) (if (null? arg-1) (vector 29 arg-0) (let ((e-2 (car arg-1))) (let ((e-3 (cdr arg-1))) (let ((e-6 (car e-2))) (let ((e-7 (cdr e-2))) (let ((e-11 (cdr e-7))) (vector 1 arg-0 (AlgebraC-45ZeroOneOmega-u--top_Top_ZeroOneOmega) (vector 1 ) (box e-6) e-11 (IdrisC-45ElabC-45Interface-mkDataTy arg-0 e-3))))))))))
(define IdrisC-45ElabC-45Interface-mkCon (lambda (arg-0 arg-1) (case (vector-ref arg-1 0) ((0) (let ((e-0 (vector-ref arg-1 1))) (let ((e-1 (vector-ref arg-1 2))) (case (vector-ref e-1 0) ((1) (let ((e-2 (vector-ref e-1 1))) (let ((u--str (CoreC-45Name-displayUserName e-2))) (vector 0 e-0 (vector 4 (string-append u--str (string-append " at " (CoreC-45FC-u--show_Show_FC arg-0))) (vector 1 (vector 0 (string-append "__mk" u--str))))))))(else (let ((u--str (CoreC-45Name-u--show_Show_Name arg-1))) (vector 4 (string-append u--str (string-append " at " (CoreC-45FC-u--show_Show_FC arg-0))) (vector 1 (vector 0 (string-append "__mk" u--str))))))))))(else (let ((u--str (CoreC-45Name-u--show_Show_Name arg-1))) (vector 4 (string-append u--str (string-append " at " (CoreC-45FC-u--show_Show_FC arg-0))) (vector 1 (vector 0 (string-append "__mk" u--str)))))))))
(define IdrisC-45ElabC-45Interface-getSig (lambda (arg-0) (case (vector-ref arg-0 0) ((0) (let ((e-2 (vector-ref arg-0 2))) (let ((e-4 (vector-ref arg-0 4))) (let ((e-5 (vector-ref arg-0 5))) (let ((e-12 (vector-ref e-5 0))) (let ((e-13 (vector-ref e-5 1))) (let ((e-14 (vector-ref e-5 2))) (let ((e-15 (vector-ref e-5 3))) (box (vector e-12 e-2 e-4 e-14 e-13 0 (IdrisC-45ElabC-45Interface-namePis 0 e-15))))))))))) ((1) (let ((e-10 (vector-ref arg-0 4))) (case (vector-ref e-10 0) ((1) (let ((e-17 (vector-ref e-10 1))) (let ((e-18 (vector-ref e-10 2))) (let ((e-19 (vector-ref e-10 3))) (box (vector e-17 (csegen-54) (cons (vector 9 ) '()) e-18 (CoreC-45FC-emptyFC) 1 (IdrisC-45ElabC-45Interface-namePis 0 e-19)))))))(else '()))))(else '()))))
(define IdrisC-45ElabC-45Interface-getMethToplevel (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9) (let ((u--paramNames ((csegen-101) arg-8))) (let ((u--ity (TTImpC-45TTImp-apply (vector 0 (IdrisC-45ElabC-45Interface-n--11179-7181-u--vfc arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-0 arg-2 arg-1) arg-4) ((csegen-5188) u--paramNames)))) (let ((u--ty_constr (TTImpC-45Utils-substNames arg-0 (((csegen-25) (lambda (eta-0) (IdrisC-45ElabC-45Interface-n--11179-7183-u--applyCon arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-0 arg-2 arg-1 eta-0))) arg-7) (let ((e-6 (vector-ref arg-9 6))) e-6)))) (let ((eff-0 (TTImpC-45BindImplicits-bindTypeNames arg-1 (vector 2 ) '() arg-0 (IdrisC-45ElabC-45Interface-n--11179-7182-u--bindPs arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-0 arg-2 arg-1 arg-8 (IdrisC-45ElabC-45Interface-bindIFace (IdrisC-45ElabC-45Interface-n--11179-7181-u--vfc arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-0 arg-2 arg-1) u--ity u--ty_constr))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-inCurrentNS arg-1 (let ((e-3 (vector-ref arg-9 3))) e-3)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((u--tydecl (vector 0 (IdrisC-45ElabC-45Interface-n--11179-7181-u--vfc arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-0 arg-2 arg-1) (let ((e-1 (vector-ref arg-9 1))) e-1) arg-3 (let ((sc2 (let ((e-8 (vector-ref arg-9 5))) e-8))) (cond ((equal? sc2 1) (cons (vector 0 ) (cons (vector 9 ) '()))) (else (cons (vector 0 ) '())))) (vector (IdrisC-45ElabC-45Interface-n--11179-7181-u--vfc arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-0 arg-2 arg-1) (let ((e-4 (vector-ref arg-9 4))) e-4) e-6 e-5)))) (let ((u--conapp (TTImpC-45TTImp-apply (vector 0 (IdrisC-45ElabC-45Interface-n--11179-7181-u--vfc arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-0 arg-2 arg-1) arg-5) (((csegen-25) (lambda (eta-0) (vector 17 (vector 2 ) eta-0))) (((csegen-25) (lambda (eta-0) (IdrisC-45ElabC-45Interface-n--11179-7186-u--bindName arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-0 arg-2 arg-1 eta-0))) arg-7))))) (let ((u--argns (IdrisC-45ElabC-45Interface-n--11179-7184-u--getExplicitArgs arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-0 arg-2 arg-1 0 (let ((e-7 (vector-ref arg-9 6))) e-7)))) (let ((u--fnclause (vector 0 (IdrisC-45ElabC-45Interface-n--11179-7181-u--vfc arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-0 arg-2 arg-1) (vector 10 (IdrisC-45ElabC-45Interface-n--11179-7181-u--vfc arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-0 arg-2 arg-1) (vector 0 (let ((e-0 (vector-ref arg-9 0))) e-0) e-6) (vector 1 (vector 0 "__con")) u--conapp) (IdrisC-45ElabC-45Interface-n--11179-7185-u--mkLam arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-0 arg-2 arg-1 u--argns (TTImpC-45TTImp-apply (vector 0 (vector 2 ) (IdrisC-45ElabC-45Interface-n--11179-7187-u--methName arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-0 arg-2 arg-1 (let ((e-3 (vector-ref arg-9 3))) e-3))) ((csegen-5188) u--argns)))))) (let ((u--fndef (vector 2 (IdrisC-45ElabC-45Interface-n--11179-7181-u--vfc arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-0 arg-2 arg-1) e-6 (cons u--fnclause '())))) (lambda (eta-0) (vector 1 (cons u--tydecl (cons u--fndef '()))))))))))) eff-2))))))))) eff-1))))))))))))
(define IdrisC-45ElabC-45Interface-getMethDecl (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (let ((e-2 (car arg-7))) (let ((e-3 (cdr arg-7))) (let ((e-6 (car e-3))) (let ((e-7 (cdr e-3))) (let ((u--paramNames ((csegen-101) arg-5))) (let ((eff-0 (TTImpC-45BindImplicits-bindTypeNames arg-2 (vector 2 ) '() (PreludeC-45TypesC-45List-tailRecAppend u--paramNames (PreludeC-45TypesC-45List-tailRecAppend arg-6 arg-1)) e-7))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (cons e-6 (cons e-2 (IdrisC-45ElabC-45Interface-n--10949-6982-u--stripParams arg-2 e-2 e-6 e-7 arg-6 arg-5 arg-1 arg-4 arg-3 u--paramNames e-5))))))) eff-1))))))))))))))
(define IdrisC-45ElabC-45Interface-getImplParams (lambda (arg-1) (case (vector-ref arg-1 0) ((3) (let ((e-2 (vector-ref arg-1 2))) (let ((e-3 (vector-ref arg-1 3))) (let ((e-4 (vector-ref arg-1 4))) (case (vector-ref e-3 0) ((2) (let ((e-8 (vector-ref e-3 3))) (case (vector-ref e-8 0) ((0) (cons e-2 (IdrisC-45ElabC-45Interface-getImplParams e-4)))(else '()))))(else '()))))))(else '()))))
(define IdrisC-45ElabC-45Interface-getDefault (lambda (arg-0) (case (vector-ref arg-0 0) ((2) (let ((e-1 (vector-ref arg-0 1))) (let ((e-2 (vector-ref arg-0 2))) (let ((e-3 (vector-ref arg-0 3))) (box (cons e-1 (cons '() (cons e-2 e-3))))))))(else '()))))
(define IdrisC-45ElabC-45Interface-getConstraintHint (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10) (let ((e-2 (car arg-10))) (let ((e-3 (cdr arg-10))) (let ((u--ity (TTImpC-45TTImp-apply (vector 0 arg-2 arg-5) (((csegen-25) (lambda (eta-0) (vector 0 arg-2 eta-0))) arg-9)))) (let ((u--fty (vector 1 arg-2 (AlgebraC-45ZeroOneOmega-u--top_Top_ZeroOneOmega) (vector 1 ) '() u--ity e-3))) (let ((eff-0 (TTImpC-45BindImplicits-bindTypeNames arg-1 arg-2 '() (PreludeC-45TypesC-45List-tailRecAppend arg-8 arg-0) u--fty))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--hintname (vector 4 (string-append "Constraint " (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 (csegen-100) e-3)) (vector 1 (vector 0 (string-append "__" (string-append (CoreC-45Name-u--show_Show_Name arg-5) (string-append "_" (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 (csegen-100) e-3))))))))) (let ((u--tydecl (vector 0 arg-2 (AlgebraC-45ZeroOneOmega-u--top_Top_ZeroOneOmega) arg-4 (cons (vector 0 ) (cons (vector 4 0) '())) (vector (vector 2 ) (vector 2 ) u--hintname e-5)))) (let ((u--conapp (TTImpC-45TTImp-apply (IdrisC-45ElabC-45Interface-n--11574-7567-u--impsBind e-2 e-3 arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-0 arg-3 arg-2 arg-1 (vector 0 arg-2 arg-6) (((csegen-25) (lambda (eta-0) (IdrisC-45ElabC-45Interface-n--11574-7565-u--bindName e-2 e-3 arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-0 arg-3 arg-2 arg-1 eta-0))) arg-7)) (((csegen-25) (lambda (eta-0) (vector 32 arg-2 1))) arg-8)))) (let ((u--fnclause (vector 0 arg-2 (vector 8 arg-2 (vector 0 arg-2 u--hintname) u--conapp) (vector 0 arg-2 (IdrisC-45ElabC-45Interface-n--11574-7566-u--constName e-2 e-3 arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-0 arg-3 arg-2 arg-1 e-2))))) (let ((u--fndef (vector 2 arg-2 u--hintname (cons u--fnclause '())))) (lambda (eta-0) (vector 1 (cons u--hintname (cons u--tydecl (cons u--fndef '())))))))))))) eff-1)))))))))))))
(define IdrisC-45ElabC-45Interface-elabInterface (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15) (let ((eff-0 (CoreC-45Context-getFullName arg-1 arg-11))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-inCurrentNS arg-1 e-5))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((u--conName_in (PreludeC-45Types-maybe (lambda () (IdrisC-45ElabC-45Interface-mkCon (IdrisC-45ElabC-45Interface-n--12053-8040-u--vfc arg-15 arg-14 arg-13 arg-12 arg-11 arg-10 arg-0 arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1) e-5)) (lambda () (lambda (eta-0) eta-0)) arg-14))) (let ((eff-2 (CoreC-45Context-inCurrentNS arg-1 u--conName_in))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((u--meth_sigs (PreludeC-45TypesC-45List-mapMaybeAppend '() (lambda (eta-0) (IdrisC-45ElabC-45Interface-getSig eta-0)) arg-15))) (let ((u--meth_decls (((csegen-25) (lambda (eta-0) (IdrisC-45ElabC-45Interface-sigToDecl eta-0))) u--meth_sigs))) (let ((u--meth_names ((csegen-5160) u--meth_decls))) (let ((u--defaults (PreludeC-45TypesC-45List-mapMaybeAppend '() (lambda (eta-0) (IdrisC-45ElabC-45Interface-getDefault eta-0)) arg-15))) (let ((eff-3 (IdrisC-45ElabC-45Interface-n--12053-8043-u--elabAsData arg-15 arg-14 arg-13 arg-12 arg-11 arg-10 arg-0 arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 e-7 u--meth_names u--meth_sigs))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-4 (let ((eff-4 (IdrisC-45ElabC-45Interface-n--12053-8046-u--elabConstraintHints arg-15 arg-14 arg-13 arg-12 arg-11 arg-10 arg-0 arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 e-7 u--meth_names))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-5 (let ((eff-5 (IdrisC-45ElabC-45Interface-n--12053-8044-u--elabMethods arg-15 arg-14 arg-13 arg-12 arg-11 arg-10 arg-0 arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 e-7 u--meth_names u--meth_sigs))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-6 (let ((eff-6 (CoreC-45Core-traverseC-39 (lambda (eta-0) (IdrisC-45ElabC-45Interface-n--12053-8045-u--elabDefault arg-15 arg-14 arg-13 arg-12 arg-11 arg-10 arg-0 arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 u--meth_decls eta-0)) u--defaults '()))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-2 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-11 (vector-ref lcase-6 1))) (let ((eff-7 (let ((eff-7 (CoreC-45Core-traverseC-39 (lambda (u--mt) (let ((eff-7 (CoreC-45Context-inCurrentNS arg-1 (let ((e-0 (vector-ref u--mt 0))) e-0)))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-2 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-12 (vector-ref lcase-7 1))) (let ((eff-8 (lambda (eta-0) (vector 1 (let ((e-1 (vector-ref u--mt 1))) (let ((e-2 (vector-ref u--mt 2))) (let ((e-3 (vector-ref u--mt 3))) (let ((e-4 (vector-ref u--mt 4))) (vector e-12 e-1 e-2 e-3 e-4))))))))) eff-8)))))))) u--meth_decls '()))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-2 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-12 (vector-ref lcase-7 1))) (let ((eff-8 (let ((eff-8 (let ((eff-8 arg-1)) (PrimIO-io_bind (let ((eff-9 eff-8)) (lambda (eta-0) (unbox eff-9))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-8 (lambda (lcase-8) (case (vector-ref lcase-8 0) ((0) (let ((e-2 (vector-ref lcase-8 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-13 (vector-ref lcase-8 1))) (let ((eff-9 (let ((eff-9 (CoreC-45Context-lookupTyExact e-6 (let ((e-0 (vector-ref e-13 0))) e-0)))) (PrimIO-io_bind eff-9 (lambda (lcase-9) (case (vector-ref lcase-9 0) ((0) (let ((e-2 (vector-ref lcase-9 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-14 (vector-ref lcase-9 1))) (let ((eff-10 (if (null? e-14) (CoreC-45Context-undefinedName arg-1 arg-6 arg-11) (let ((e-1 (unbox e-14))) (let ((u--implParams (IdrisC-45ElabC-45Interface-getImplParams e-1))) (IdrisC-45ElabC-45Interface-updateIfaceSyn arg-1 arg-3 e-6 e-7 u--implParams (IdrisC-45ElabC-45Interface-n--12053-8041-u--paramNames arg-15 arg-14 arg-13 arg-12 arg-11 arg-10 arg-0 arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1) ((csegen-947) arg-10) e-12 e-11)))))) eff-10))))))))) eff-9))))))))) eff-8))))))))) eff-7))))))))) eff-6)))))))) eff-5)))))))) eff-4)))))))))))) eff-3)))))))))) eff-2))))))))) eff-1)))))))))
(define IdrisC-45ElabC-45Interface-bindIFace (lambda (arg-0 arg-1 arg-2) (vector 1 arg-0 (AlgebraC-45ZeroOneOmega-u--top_Top_ZeroOneOmega) (vector 2 ) (box (vector 1 (vector 0 "__con"))) arg-1 arg-2)))
(define IdrisC-45ElabC-45Implementation-case--caseC-32blockC-32inC-32caseC-32blockC-32inC-32caseC-32blockC-32inC-32caseC-32blockC-32inC-32elabImplementation-16313 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20 arg-21 arg-22 arg-23 arg-24 arg-25 arg-26 arg-27 arg-28 arg-29 arg-30 arg-31 arg-32 arg-33 arg-34 arg-35 arg-36 arg-37 arg-38 arg-39 arg-40 arg-41 arg-42 arg-43 arg-44) (let ((e-2 (car arg-44))) (let ((e-3 (cdr arg-44))) (let ((eff-0 (CoreC-45ContextC-45Log-log arg-19 "elab.implementation" 5 (lambda () (string-append "Added defaults: body is " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-3280) e-2)))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45ContextC-45Log-log arg-19 "elab.implementation" 5 (lambda () (string-append "Missing methods: " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-100) e-3)))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-2 (let ((eff-2 (lambda (clam-0) (let ((sc3 (DataC-45List-isNil e-3))) (cond ((equal? sc3 1) (vector 1 (vector 0 ))) (else (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 arg-14 (string-append "Missing methods in " (string-append (CoreC-45Name-u--show_Show_Name arg-5) (string-append ": " (CoreC-45NameC-45Namespace-showSep ", " ((csegen-102) e-3)))))) clam-0))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-3 (let ((eff-3 (let ((eff-3 arg-19)) (PrimIO-io_bind (let ((eff-4 eff-3)) (lambda (eta-0) (unbox eff-4))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-4 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((u--hs (let ((e-9 (vector-ref e-8 9))) e-9))) (let ((eff-4 (CoreC-45ContextC-45Log-log arg-19 "elab.implementation" 10 (lambda () (string-append "Open hints: " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-100) (cons arg-21 arg-1))))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-4 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-5 (let ((eff-5 (CoreC-45Core-traverse_ (lambda (u--n) (let ((eff-5 (CoreC-45Context-checkUnambig arg-19 (IdrisC-45ElabC-45Implementation-n--11300-12922-u--vfc arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19) u--n))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-4 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-10 (vector-ref lcase-5 1))) (let ((eff-6 (CoreC-45Context-addOpenHint arg-19 e-10))) eff-6)))))))) arg-1))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-4 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-6 (let ((eff-6 (let ((eff-6 arg-19)) (PrimIO-io_bind (let ((eff-7 eff-6)) (lambda (eta-0) (unbox eff-7))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-4 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-7 (let ((eff-7 (IdrisC-45ElabC-45Implementation-n--11300-12934-u--topMethTypes arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 '() arg-21 arg-43 arg-32 (let ((e-1 (vector-ref arg-27 1))) e-1) (let ((e-14 (vector-ref arg-27 2))) e-14) (((csegen-25) (lambda (eta-0) (let ((e-0 (vector-ref eta-0 0))) e-0))) (let ((e-4 (vector-ref arg-27 4))) e-4)) (let ((e-4 (vector-ref arg-27 4))) e-4)))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-4 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-12 (vector-ref lcase-7 1))) (let ((eff-8 (let ((eff-8 (CoreC-45Core-traverse_ (lambda (eta-0) (TTImpC-45ElabC-45Check-processDecl arg-8 arg-19 arg-16 arg-18 arg-17 arg-15 '() arg-9 arg-10 eta-0)) (((csegen-25) (lambda (eta-0) (IdrisC-45ElabC-45Implementation-n--11300-12935-u--mkTopMethDecl arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 eta-0))) e-12)))) (PrimIO-io_bind eff-8 (lambda (lcase-8) (case (vector-ref lcase-8 0) ((0) (let ((e-4 (vector-ref lcase-8 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-9 (let ((u--mtops (((csegen-25) (lambda (eta-0) (Builtin-fst (Builtin-snd eta-0)))) e-12))) (let ((u--con (let ((e-0 (vector-ref arg-27 0))) e-0))) (let ((u--ilhs (IdrisC-45ElabC-45Implementation-n--11300-12925-u--impsApply arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 (vector 0 (vector 2 ) arg-21) (((csegen-25) (lambda (u--x) (cons u--x (vector 17 (IdrisC-45ElabC-45Implementation-n--11300-12922-u--vfc arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19) (CoreC-45Name-u--show_Show_Name u--x))))) ((csegen-101) arg-43))))) (let ((eff-9 (let ((eff-9 arg-19)) (PrimIO-io_bind (let ((eff-10 eff-9)) (lambda (eta-0) (unbox eff-10))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-9 (lambda (lcase-9) (case (vector-ref lcase-9 0) ((0) (let ((e-4 (vector-ref lcase-9 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-14 (vector-ref lcase-9 1))) (let ((eff-10 (let ((eff-10 (CoreC-45Normalise-normaliseHoles arg-19 '() e-14 '() arg-30))) (PrimIO-io_bind eff-10 (lambda (lcase-10) (case (vector-ref lcase-10 0) ((0) (let ((e-4 (vector-ref lcase-10 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-15 (vector-ref lcase-10 1))) (let ((eff-11 (let ((u--fldTys (IdrisC-45ElabC-45Implementation-n--11300-12924-u--getFieldArgs arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 e-15))) (let ((eff-11 (CoreC-45ContextC-45Log-log arg-19 "elab.implementation" 5 (lambda () (string-append "Field types " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (cons (lambda (u--x) (PreludeC-45Show-u--show_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-5208) u--x)) (lambda (u--d) (lambda (u--x) (PreludeC-45Show-u--showPrec_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-5208) u--d u--x)))) u--fldTys)))))) (PrimIO-io_bind eff-11 (lambda (lcase-11) (case (vector-ref lcase-11 0) ((0) (let ((e-4 (vector-ref lcase-11 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-12 (let ((u--irhs (TTImpC-45TTImp-apply (IdrisC-45ElabC-45Implementation-n--11300-12926-u--autoImpsApply arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 (vector 0 (IdrisC-45ElabC-45Implementation-n--11300-12922-u--vfc arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19) u--con) (((csegen-25) (lambda (eta-0) (vector 12 (IdrisC-45ElabC-45Implementation-n--11300-12922-u--vfc arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19) 500))) (let ((e-18 (vector-ref arg-27 3))) e-18))) (((csegen-25) (lambda (eta-0) (IdrisC-45ElabC-45Implementation-n--11300-12929-u--mkMethField arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-43 u--fldTys eta-0))) e-12)))) (let ((u--impFn (vector 2 (IdrisC-45ElabC-45Implementation-n--11300-12922-u--vfc arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19) arg-21 (cons (vector 0 (IdrisC-45ElabC-45Implementation-n--11300-12922-u--vfc arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19) u--ilhs u--irhs) '())))) (let ((eff-12 (CoreC-45ContextC-45Log-log arg-19 "elab.implementation" 5 (lambda () (string-append "Implementation record: " (TTImpC-45TTImp-u--show_Show_C-40ImpDeclC-39C-32C-36nmC-41 (csegen-100) u--impFn)))))) (PrimIO-io_bind eff-12 (lambda (lcase-12) (case (vector-ref lcase-12 0) ((0) (let ((e-4 (vector-ref lcase-12 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-13 (let ((eff-13 (cond ((equal? arg-3 1) (CoreC-45Context-addOpenHint arg-19 arg-21)) (else (lambda (eta-0) (vector 1 (vector 0 ))))))) (PrimIO-io_bind eff-13 (lambda (lcase-13) (case (vector-ref lcase-13 0) ((0) (let ((e-4 (vector-ref lcase-13 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-14 (let ((eff-14 (CoreC-45Context-setFlag arg-19 (IdrisC-45ElabC-45Implementation-n--11300-12922-u--vfc arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19) arg-21 (vector 7 )))) (PrimIO-io_bind eff-14 (lambda (lcase-14) (case (vector-ref lcase-14 0) ((0) (let ((e-4 (vector-ref lcase-14 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-15 (let ((eff-15 (CoreC-45Core-traverseC-39 (lambda (eta-0) (IdrisC-45ElabC-45Implementation-n--11300-12923-u--applyEnv arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 eta-0)) (cons arg-21 u--mtops) '()))) (PrimIO-io_bind eff-15 (lambda (lcase-15) (case (vector-ref lcase-15 0) ((0) (let ((e-4 (vector-ref lcase-15 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-20 (vector-ref lcase-15 1))) (let ((eff-16 (let ((u--nestC-39 (let ((eff-16 arg-9)) (PreludeC-45TypesC-45List-tailRecAppend e-20 eff-16)))) (let ((eff-16 (CoreC-45Core-traverse_ (lambda (eta-0) (TTImpC-45ElabC-45Check-processDecl arg-8 arg-19 arg-16 arg-18 arg-17 arg-15 '() u--nestC-39 arg-10 eta-0)) (cons u--impFn '())))) (PrimIO-io_bind eff-16 (lambda (lcase-16) (case (vector-ref lcase-16 0) ((0) (let ((e-4 (vector-ref lcase-16 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-17 (let ((eff-17 (CoreC-45Context-unsetFlag arg-19 (IdrisC-45ElabC-45Implementation-n--11300-12922-u--vfc arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19) arg-21 (vector 7 )))) (PrimIO-io_bind eff-17 (lambda (lcase-17) (case (vector-ref lcase-17 0) ((0) (let ((e-4 (vector-ref lcase-17 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-18 (let ((eff-18 (CoreC-45Context-setFlag arg-19 (IdrisC-45ElabC-45Implementation-n--11300-12922-u--vfc arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19) arg-21 (vector 5 )))) (PrimIO-io_bind eff-18 (lambda (lcase-18) (case (vector-ref lcase-18 0) ((0) (let ((e-4 (vector-ref lcase-18 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-19 (let ((eff-19 (CoreC-45Context-setFlag arg-19 (IdrisC-45ElabC-45Implementation-n--11300-12922-u--vfc arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19) arg-21 (vector 6 2)))) (PrimIO-io_bind eff-19 (lambda (lcase-19) (case (vector-ref lcase-19 0) ((0) (let ((e-4 (vector-ref lcase-19 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-20 (let ((u--upds (((csegen-25) (lambda (eta-0) (IdrisC-45ElabC-45Implementation-n--11300-12936-u--methNameUpdate arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 eta-0))) e-12))) (let ((eff-20 (CoreC-45Core-traverseC-39 (lambda (eta-0) (IdrisC-45ElabC-45Implementation-n--11300-12940-u--updateBody arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 u--upds eta-0)) e-2 '()))) (PrimIO-io_bind eff-20 (lambda (lcase-20) (case (vector-ref lcase-20 0) ((0) (let ((e-4 (vector-ref lcase-20 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-25 (vector-ref lcase-20 1))) (let ((eff-21 (let ((eff-21 (CoreC-45ContextC-45Log-log arg-19 "elab.implementation" 10 (lambda () (string-append "Implementation body: " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-3280) e-25)))))) (PrimIO-io_bind eff-21 (lambda (lcase-21) (case (vector-ref lcase-21 0) ((0) (let ((e-4 (vector-ref lcase-21 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-22 (let ((eff-22 (CoreC-45Core-traverse_ (lambda (eta-0) (TTImpC-45ElabC-45Check-processDecl arg-8 arg-19 arg-16 arg-18 arg-17 arg-15 '() u--nestC-39 arg-10 eta-0)) e-25))) (PrimIO-io_bind eff-22 (lambda (lcase-22) (case (vector-ref lcase-22 0) ((0) (let ((e-4 (vector-ref lcase-22 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-23 (let ((eff-23 (CoreC-45Core-traverse_ (lambda (eta-0) (IdrisC-45ElabC-45Implementation-n--11300-12941-u--addTransform arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-21 u--upds eta-0)) (let ((e-4 (vector-ref arg-27 4))) e-4)))) (PrimIO-io_bind eff-23 (lambda (lcase-23) (case (vector-ref lcase-23 0) ((0) (let ((e-4 (vector-ref lcase-23 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-24 (let ((eff-24 (CoreC-45Context-unsetFlag arg-19 (IdrisC-45ElabC-45Implementation-n--11300-12922-u--vfc arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19) arg-21 (vector 5 )))) (PrimIO-io_bind eff-24 (lambda (lcase-24) (case (vector-ref lcase-24 0) ((0) (let ((e-4 (vector-ref lcase-24 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-25 (CoreC-45Context-setOpenHints arg-19 u--hs))) eff-25)))))))) eff-24)))))))) eff-23)))))))) eff-22)))))))) eff-21)))))))))) eff-20)))))))) eff-19)))))))) eff-18)))))))) eff-17))))))))) eff-16))))))))) eff-15)))))))) eff-14)))))))) eff-13)))))))))) eff-12))))))))) eff-11))))))))) eff-10)))))))))))) eff-9)))))))) eff-8))))))))) eff-7)))))))) eff-6)))))))) eff-5))))))))) eff-4))))))))) eff-3)))))))) eff-2)))))))) eff-1))))))))))
(define IdrisC-45ElabC-45Implementation-case--elabImplementation-15172 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20 arg-21 arg-22 arg-23 arg-24 arg-25) (if (null? arg-25) (CoreC-45Context-ambiguousName arg-19 (IdrisC-45ElabC-45Implementation-n--11300-12922-u--vfc arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19) arg-5 ((csegen-101) arg-25)) (let ((e-1 (car arg-25))) (let ((e-2 (cdr arg-25))) (if (null? e-2) (let ((u--cn (Builtin-fst e-1))) (let ((u--cdata (Builtin-snd e-1))) (let ((eff-0 (CoreC-45Context-lookupTyExact u--cn (let ((e-0 (vector-ref arg-23 0))) e-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (if (null? e-5) (CoreC-45Context-undefinedName arg-19 (IdrisC-45ElabC-45Implementation-n--11300-12922-u--vfc arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19) u--cn) (let ((e-3 (unbox e-5))) (let ((eff-1 (CoreC-45Context-lookupTyExact (let ((e-0 (vector-ref u--cdata 0))) e-0) (let ((e-0 (vector-ref arg-23 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((_-0 (box e-3))) (if (null? e-6) (CoreC-45Context-undefinedName arg-19 (IdrisC-45ElabC-45Implementation-n--11300-12922-u--vfc arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19) (let ((e-0 (vector-ref u--cdata 0))) e-0)) (let ((e-4 (unbox e-6))) (let ((u--impsp (DataC-45List-nub (csegen-43) (PreludeC-45TypesC-45List-tailRecAppend (PreludeC-45Interfaces-concatMap (csegen-83) (csegen-16) (lambda (eta-0) (TTImpC-45TTImp-findIBinds eta-0)) arg-4) (PreludeC-45Interfaces-concatMap (csegen-83) (csegen-16) (lambda (eta-0) (TTImpC-45TTImp-findIBinds eta-0)) ((csegen-947) arg-6)))))) (let ((eff-2 (CoreC-45ContextC-45Log-logTerm '() arg-19 (csegen-5212) 3 (lambda () (string-append ((csegen-0) "Found interface ") (CoreC-45Name-u--show_Show_Name u--cn))) e-3))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-7 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((eff-3 (let ((eff-3 (CoreC-45ContextC-45Log-log arg-19 (csegen-5212) 3 (lambda () (string-append ((csegen-0) "\xa;  with params: ") (string-append (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-100) (let ((e-11 (vector-ref u--cdata 2))) e-11)) (string-append ((csegen-0) "\xa;  specialised to: ") (string-append (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-1016) arg-4) (string-append ((csegen-0) "\xa;  and parents: ") (string-append (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-1016) (let ((e-10 (vector-ref u--cdata 3))) e-10)) (string-append ((csegen-0) "\xa;  using implicits: ") (string-append (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-581) u--impsp) (string-append ((csegen-0) "\xa;  and methods: ") (string-append (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (cons (lambda (u--x) (IdrisC-45Syntax-u--show_Show_Method u--x)) (lambda (u--d) (lambda (u--x) (IdrisC-45Syntax-u--showPrec_Show_Method u--d u--x)))) (let ((e-9 (vector-ref u--cdata 4))) e-9)) (string-append "\xa;" (string-append ((csegen-0) "\xa;Constructor: ") (string-append (CoreC-45Name-u--show_Show_Name (let ((e-0 (vector-ref u--cdata 0))) e-0)) "\xa;"))))))))))))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-8 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((eff-4 (let ((eff-4 (CoreC-45ContextC-45Log-logTerm '() arg-19 (csegen-5212) 3 (lambda () ((csegen-0) "Constructor type: ")) e-4))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-9 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((eff-5 (let ((eff-5 (CoreC-45ContextC-45Log-log arg-19 (csegen-5212) 5 (lambda () (string-append ((csegen-0) "Making implementation ") (CoreC-45Name-u--show_Show_Name arg-21)))))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-10 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((eff-6 (let ((u--opts (cond ((equal? arg-3 1) (cons (vector 0 ) '())) (else (cons (vector 0 ) (cons (vector 4 1) '())))))) (let ((u--initTy (IdrisC-45ElabC-45Implementation-bindImpls arg-7 (IdrisC-45ElabC-45Implementation-bindConstraints (IdrisC-45ElabC-45Implementation-n--11300-12922-u--vfc arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19) (vector 2 ) arg-6 (TTImpC-45TTImp-apply (vector 0 (IdrisC-45ElabC-45Implementation-n--11300-12922-u--vfc arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19) arg-5) arg-4))))) (let ((eff-6 (CoreC-45Context-isUnboundImplicits arg-19))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-11 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-6 1))) (let ((eff-7 (let ((u--paramBinds (cond ((equal? e-11 1) (TTImpC-45Utils-findBindableNames 1 arg-8 '() u--initTy)) (else '())))) (let ((u--impTy (TTImpC-45BindImplicits-doBind u--paramBinds u--initTy))) (let ((u--impTyDecl (vector 0 (IdrisC-45ElabC-45Implementation-n--11300-12922-u--vfc arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19) (AlgebraC-45ZeroOneOmega-u--top_Top_ZeroOneOmega) arg-13 u--opts (vector (vector 2 ) (vector 2 ) arg-21 u--impTy)))) (let ((eff-7 (CoreC-45ContextC-45Log-log arg-19 (csegen-5212) 5 (lambda () (string-append ((csegen-0) "Implementation type: ") (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 (csegen-100) u--impTy)))))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-12 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-12)))) (else (let ((eff-8 (let ((eff-8 (let ((sc12 (IdrisC-45Syntax-typePass arg-11))) (cond ((equal? sc12 1) (let ((eff-8 (CoreC-45Context-lookupCtxtExactI arg-21 (let ((e-0 (vector-ref arg-23 0))) e-0)))) (PrimIO-io_bind eff-8 (lambda (lcase-8) (case (vector-ref lcase-8 0) ((0) (let ((e-13 (vector-ref lcase-8 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-8 1))) (let ((eff-9 (if (null? e-13) (TTImpC-45ElabC-45Check-processDecl arg-8 arg-19 arg-16 arg-18 arg-17 arg-15 '() arg-9 arg-10 u--impTyDecl) (let ((e-14 (unbox e-13))) (let ((e-16 (car e-14))) (let ((e-15 (cdr e-14))) (let ((eff-9 (TTImpC-45ElabC-45Check-uniVar arg-19 arg-18 (IdrisC-45ElabC-45Implementation-n--11300-12922-u--vfc arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19)))) (PrimIO-io_bind eff-9 (lambda (lcase-9) (case (vector-ref lcase-9 0) ((0) (let ((e-17 (vector-ref lcase-9 1))) (lambda (eta-0) (vector 0 e-17)))) (else (let ((e-17 (vector-ref lcase-9 1))) (let ((eff-10 (let ((e-22 (vector-ref e-15 17))) (case (vector-ref e-22 0) ((0) (let ((eff-10 (TTImpC-45Elab-elabTerm arg-8 arg-19 arg-16 arg-18 arg-17 arg-15 e-16 (vector 0 ) '() arg-9 arg-10 (vector 16 (IdrisC-45ElabC-45Implementation-n--11300-12922-u--vfc arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19) (csegen-2897) u--impTy) (box (CoreC-45NormaliseC-45Eval-gType (IdrisC-45ElabC-45Implementation-n--11300-12922-u--vfc arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19) e-17))))) (PrimIO-io_bind eff-10 (lambda (lcase-10) (case (vector-ref lcase-10 0) ((0) (let ((e-39 (vector-ref lcase-10 1))) (lambda (eta-0) (vector 0 e-39)))) (else (let ((e-39 (vector-ref lcase-10 1))) (let ((eff-11 (let ((e-41 (car e-39))) (let ((u--fullty (CoreC-45Env-abstractFullEnvType arg-8 (IdrisC-45ElabC-45Implementation-n--11300-12922-u--vfc arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19) arg-10 e-41))) (let ((eff-11 (CoreC-45NormaliseC-45Convert-u--convert_Convert_Term arg-19 '() arg-23 '() u--fullty (let ((e-61 (vector-ref e-15 2))) e-61)))) (PrimIO-io_bind eff-11 (lambda (lcase-11) (case (vector-ref lcase-11 0) ((0) (let ((e-42 (vector-ref lcase-11 1))) (lambda (eta-0) (vector 0 e-42)))) (else (let ((e-42 (vector-ref lcase-11 1))) (let ((eff-12 (cond ((equal? e-42 1) (lambda (eta-0) (vector 1 (vector 0 )))) (else (let ((eff-12 (CoreC-45Normalise-logTermNF '() arg-19 (csegen-5212) 1 (lambda () (csegen-3775)) '() (let ((e-62 (vector-ref e-15 2))) e-62)))) (PrimIO-io_bind eff-12 (lambda (lcase-12) (case (vector-ref lcase-12 0) ((0) (let ((e-43 (vector-ref lcase-12 1))) (lambda (eta-0) (vector 0 e-43)))) (else (let ((eff-13 (let ((eff-13 (CoreC-45Normalise-logTermNF '() arg-19 (csegen-5212) 1 (lambda () (csegen-3776)) '() u--fullty))) (PrimIO-io_bind eff-13 (lambda (lcase-13) (case (vector-ref lcase-13 0) ((0) (let ((e-44 (vector-ref lcase-13 1))) (lambda (eta-0) (vector 0 e-44)))) (else (let ((eff-14 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 1 '() (TTImpC-45TTImp-getFC u--impTy) (let ((e-76 (vector-ref arg-23 0))) e-76) '() u--fullty (let ((e-64 (vector-ref e-15 2))) e-64)) eta-0)))) eff-14)))))))) eff-13)))))))))) eff-12))))))))))) eff-11))))))))(else (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 39 (IdrisC-45ElabC-45Implementation-n--11300-12922-u--vfc arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19) arg-21) eta-0))))))) eff-10))))))))))))) eff-9)))))))) (else (lambda (eta-0) (vector 1 (vector 0 )))))))) (PrimIO-io_bind eff-8 (lambda (lcase-8) (case (vector-ref lcase-8 0) ((0) (let ((e-13 (vector-ref lcase-8 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((eff-9 (let ((sc13 (IdrisC-45Syntax-defPass arg-11))) (cond ((equal? sc13 1) (if (null? arg-0) (lambda (eta-0) (vector 1 (vector 0 ))) (let ((e-14 (unbox arg-0))) (let ((eff-9 (let ((eff-9 arg-19)) (PrimIO-io_bind (let ((eff-10 eff-9)) (lambda (eta-0) (unbox eff-10))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-9 (lambda (lcase-9) (case (vector-ref lcase-9 0) ((0) (let ((e-15 (vector-ref lcase-9 1))) (lambda (eta-0) (vector 0 e-15)))) (else (let ((e-15 (vector-ref lcase-9 1))) (let ((eff-10 (let ((eff-10 (CoreC-45Context-lookupTyExact arg-21 (let ((e-0 (vector-ref e-15 0))) e-0)))) (PrimIO-io_bind eff-10 (lambda (lcase-10) (case (vector-ref lcase-10 0) ((0) (let ((e-16 (vector-ref lcase-10 1))) (lambda (eta-0) (vector 0 e-16)))) (else (let ((e-16 (vector-ref lcase-10 1))) (let ((eff-11 (let ((_-1 (box e-4))) (if (null? e-16) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 (string-append ((csegen-0) "Can't happen, can't find type of ") (CoreC-45Name-u--show_Show_Name arg-21))) eta-0)) (let ((e-17 (unbox e-16))) (let ((eff-11 (IdrisC-45ElabC-45Implementation-getMethImps '() arg-19 '() e-17))) (PrimIO-io_bind eff-11 (lambda (lcase-11) (case (vector-ref lcase-11 0) ((0) (let ((e-18 (vector-ref lcase-11 1))) (lambda (eta-0) (vector 0 e-18)))) (else (let ((e-18 (vector-ref lcase-11 1))) (let ((eff-12 (let ((eff-12 (CoreC-45ContextC-45Log-log arg-19 (csegen-5212) 3 (lambda () (string-append ((csegen-0) "Bind implicits to each method: ") (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-5182) e-18)))))) (PrimIO-io_bind eff-12 (lambda (lcase-12) (case (vector-ref lcase-12 0) ((0) (let ((e-19 (vector-ref lcase-12 1))) (lambda (eta-0) (vector 0 e-19)))) (else (let ((eff-13 (let ((_-2 (box e-17))) (IdrisC-45ElabC-45Implementation-case--caseC-32blockC-32inC-32caseC-32blockC-32inC-32caseC-32blockC-32inC-32caseC-32blockC-32inC-32elabImplementation-16313 arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20 arg-21 arg-22 arg-23 arg-24 e-1 u--cn u--cdata e-3 _-0 e-4 _-1 u--impsp u--opts u--initTy e-11 u--paramBinds u--impTy u--impTyDecl e-14 e-15 e-17 _-2 e-18 (IdrisC-45ElabC-45Implementation-addDefaults (IdrisC-45ElabC-45Implementation-n--11300-12922-u--vfc arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19) arg-21 (DataC-45List-u--zip_Zippable_List (let ((e-23 (vector-ref u--cdata 2))) e-23) arg-4) (((csegen-25) (lambda (eta-0) (CoreC-45Name-dropNS (let ((e-0 (vector-ref eta-0 0))) e-0)))) (let ((e-21 (vector-ref u--cdata 4))) e-21)) (let ((e-20 (vector-ref u--cdata 5))) e-20) e-14))))) eff-13)))))))) eff-12)))))))))))) eff-11))))))))) eff-10)))))))))) (else (lambda (eta-0) (vector 1 (vector 0 )))))))) eff-9)))))))) eff-8))))))))))) eff-7))))))))))) eff-6)))))))) eff-5)))))))) eff-4)))))))) eff-3)))))))))))) eff-2))))))))))) eff-1))))))))) (CoreC-45Context-ambiguousName arg-19 (IdrisC-45ElabC-45Implementation-n--11300-12922-u--vfc arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19) arg-5 ((csegen-101) arg-25))))))))
(define IdrisC-45ElabC-45Implementation-case--elabImplementationC-44topMethType-13603 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20 arg-21 arg-22 arg-23 arg-24 arg-25 arg-26 arg-27 arg-28 arg-29 arg-30 arg-31 arg-32) (let ((e-2 (car arg-32))) (let ((e-3 (cdr arg-32))) (let ((u--mty_in (TTImpC-45Utils-substNames arg-8 arg-27 e-3))) (let ((u--mty_iparams (TTImpC-45Utils-substBindVars arg-8 (((csegen-25) (lambda (u--n) (cons u--n (vector 32 (IdrisC-45ElabC-45Implementation-n--11300-12922-u--vfc arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19) 0)))) arg-23) u--mty_in))) (let ((u--mty_params (TTImpC-45Utils-substNames arg-8 (DataC-45List-u--zip_Zippable_List arg-22 arg-4) u--mty_iparams))) (let ((eff-0 (CoreC-45ContextC-45Log-log arg-19 "elab.implementation" 5 (lambda () (string-append "Substitute implicits " (string-append (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-100) arg-23) (string-append " parameters " (string-append (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-3561) (DataC-45List-u--zip_Zippable_List arg-22 arg-4)) (string-append " " (string-append (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 (csegen-100) u--mty_in) (string-append " is " (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 (csegen-100) u--mty_params)))))))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-1 (let ((u--mbase (IdrisC-45ElabC-45Implementation-n--11300-12932-u--bindImps arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-25 (IdrisC-45ElabC-45Implementation-bindConstraints (IdrisC-45ElabC-45Implementation-n--11300-12922-u--vfc arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19) (vector 2 ) arg-6 u--mty_params)))) (let ((u--ibound (TTImpC-45TTImp-findImplicits u--mbase))) (let ((eff-1 (TTImpC-45BindImplicits-bindTypeNamesUsed arg-19 arg-14 u--ibound arg-8 u--mbase))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45ContextC-45Log-log arg-19 "elab.implementation" 3 (lambda () (string-append "Method " (string-append (CoreC-45Name-u--show_Show_Name (let ((e-0 (vector-ref arg-20 0))) e-0)) (string-append " ==> " (string-append (CoreC-45Name-u--show_Show_Name arg-28) (string-append " : " (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 (csegen-100) e-6)))))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-3 (let ((eff-3 (CoreC-45ContextC-45Log-log arg-19 "elab.implementation" 3 (lambda () (string-append "    (initially " (string-append (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 (csegen-100) u--mty_in) ")")))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-4 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-4 (let ((eff-4 (CoreC-45ContextC-45Log-log arg-19 "elab.implementation" 5 (lambda () (string-append "Updates " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-3561) arg-27)))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-4 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-5 (let ((eff-5 (CoreC-45ContextC-45Log-log arg-19 "elab.implementation" 5 (lambda () (string-append "From " (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 (csegen-100) u--mbase)))))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-4 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-6 (let ((eff-6 (CoreC-45ContextC-45Log-log arg-19 "elab.implementation" 3 (lambda () (string-append "Name updates " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-3542) e-2)))))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-4 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-7 (let ((eff-7 (CoreC-45ContextC-45Log-log arg-19 "elab.implementation" 3 (lambda () (string-append "Param names: " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-100) arg-22)))))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-4 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-8 (let ((eff-8 (CoreC-45ContextC-45Log-log arg-19 "elab.implementation" 10 (lambda () (string-append "Used names " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-581) u--ibound)))))) (PrimIO-io_bind eff-8 (lambda (lcase-8) (case (vector-ref lcase-8 0) ((0) (let ((e-4 (vector-ref lcase-8 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-9 (let ((u--ibinds ((csegen-101) arg-25))) (let ((u--methupdsC-39 (let ((sc10 (DataC-45List-isNil u--ibinds))) (cond ((equal? sc10 1) '()) (else (cons (cons arg-28 (IdrisC-45ElabC-45Implementation-n--11300-12925-u--impsApply arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 (vector 0 (IdrisC-45ElabC-45Implementation-n--11300-12922-u--vfc arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19) arg-28) (((csegen-25) (lambda (u--x) (cons u--x (vector 17 (IdrisC-45ElabC-45Implementation-n--11300-12922-u--vfc arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19) (CoreC-45Name-u--show_Show_Name u--x))))) u--ibinds))) '())))))) (lambda (eta-0) (vector 1 (cons (cons (let ((e-0 (vector-ref arg-20 0))) e-0) (cons arg-28 (cons e-2 (cons (let ((e-1 (vector-ref arg-20 1))) e-1) (cons (let ((e-14 (vector-ref arg-20 2))) e-14) e-6))))) u--methupdsC-39))))))) eff-9)))))))) eff-8)))))))) eff-7)))))))) eff-6)))))))) eff-5)))))))) eff-4)))))))) eff-3)))))))) eff-2))))))))))) eff-1)))))))))))))
(define IdrisC-45ElabC-45Implementation-n--11300-12922-u--vfc (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19) (CoreC-45FC-virtualiseFC arg-14)))
(define IdrisC-45ElabC-45Implementation-n--11300-12939-u--updateClause (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20 arg-21) (case (vector-ref arg-21 0) ((0) (let ((e-1 (vector-ref arg-21 1))) (let ((e-2 (vector-ref arg-21 2))) (let ((e-3 (vector-ref arg-21 3))) (let ((eff-0 (IdrisC-45ElabC-45Implementation-n--11300-12938-u--updateApp arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20 e-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 0 e-1 e-5 e-3))))) eff-1))))))))))) ((1) (let ((e-5 (vector-ref arg-21 1))) (let ((e-6 (vector-ref arg-21 2))) (let ((e-7 (vector-ref arg-21 3))) (let ((e-8 (vector-ref arg-21 4))) (let ((e-9 (vector-ref arg-21 5))) (let ((e-10 (vector-ref arg-21 6))) (let ((e-11 (vector-ref arg-21 7))) (let ((eff-0 (IdrisC-45ElabC-45Implementation-n--11300-12938-u--updateApp arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20 e-6))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-12 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Core-traverseC-39 (lambda (eta-0) (IdrisC-45ElabC-45Implementation-n--11300-12939-u--updateClause arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20 eta-0)) e-11 '()))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-13 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 1 e-5 e-12 e-7 e-8 e-9 e-10 e-13))))) eff-2))))))))) eff-1))))))))))))))) (else (let ((e-13 (vector-ref arg-21 1))) (let ((e-14 (vector-ref arg-21 2))) (let ((eff-0 (IdrisC-45ElabC-45Implementation-n--11300-12938-u--updateApp arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20 e-14))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 2 e-13 e-5))))) eff-1)))))))))))))
(define IdrisC-45ElabC-45Implementation-n--11300-12940-u--updateBody (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20 arg-21) (case (vector-ref arg-21 0) ((2) (let ((e-1 (vector-ref arg-21 1))) (let ((e-2 (vector-ref arg-21 2))) (let ((e-3 (vector-ref arg-21 3))) (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (IdrisC-45ElabC-45Implementation-n--11300-12939-u--updateClause arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20 eta-0)) e-3 '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (lambda (eta-0) (IdrisC-45ElabC-45Implementation-n--11300-12937-u--findMethName arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20 e-1 e-2 eta-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45ContextC-45Log-log arg-19 "ide-mode.highlight" 1 (lambda () (PreludeC-45Show-u--show_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (cons (csegen-100) (cons (lambda (u--x) (PreludeC-45Show-u--show_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-5230) u--x)) (lambda (u--d) (lambda (u--x) (PreludeC-45Show-u--showPrec_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-5230) u--d u--x))))) (cons e-2 (cons e-6 e-1))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-3 (lambda (eta-0) (vector 1 (vector 2 e-1 e-6 e-5))))) eff-3)))))))) eff-2))))))))) eff-1)))))))))))(else (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (TTImpC-45TTImpC-45ImpDecl-getFC arg-21) "Implementation body can only contain definitions") eta-0))))))
(define IdrisC-45ElabC-45Implementation-n--11300-12938-u--updateApp (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20 arg-21) (case (vector-ref arg-21 0) ((0) (let ((e-1 (vector-ref arg-21 1))) (let ((e-2 (vector-ref arg-21 2))) (let ((eff-0 (lambda (eta-0) (IdrisC-45ElabC-45Implementation-n--11300-12937-u--findMethName arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20 e-1 e-2 eta-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 0 e-1 e-5))))) eff-1)))))))))) ((8) (let ((e-4 (vector-ref arg-21 1))) (let ((e-5 (vector-ref arg-21 2))) (let ((e-6 (vector-ref arg-21 3))) (let ((eff-0 (IdrisC-45ElabC-45Implementation-n--11300-12938-u--updateApp arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20 e-5))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 8 e-4 e-7 e-6))))) eff-1))))))))))) ((9) (let ((e-8 (vector-ref arg-21 1))) (let ((e-9 (vector-ref arg-21 2))) (let ((e-10 (vector-ref arg-21 3))) (let ((eff-0 (IdrisC-45ElabC-45Implementation-n--11300-12938-u--updateApp arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20 e-9))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 9 e-8 e-5 e-10))))) eff-1))))))))))) ((10) (let ((e-12 (vector-ref arg-21 1))) (let ((e-13 (vector-ref arg-21 2))) (let ((e-14 (vector-ref arg-21 3))) (let ((e-15 (vector-ref arg-21 4))) (let ((eff-0 (IdrisC-45ElabC-45Implementation-n--11300-12938-u--updateApp arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20 e-13))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 10 e-12 e-5 e-14 e-15))))) eff-1))))))))))))(else (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (TTImpC-45TTImp-getFC arg-21) "Invalid method definition") eta-0))))))
(define IdrisC-45ElabC-45Implementation-n--11300-12934-u--topMethTypes (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20 arg-21 arg-22 arg-23 arg-24 arg-25 arg-26 arg-27) (if (null? arg-27) (lambda (eta-0) (vector 1 '())) (let ((e-2 (car arg-27))) (let ((e-3 (cdr arg-27))) (let ((eff-0 (IdrisC-45ElabC-45Implementation-n--11300-12933-u--topMethType arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20 arg-21 arg-22 arg-23 arg-24 arg-25 arg-26 e-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((e-6 (car e-5))) (let ((e-4 (cdr e-5))) (let ((eff-1 (IdrisC-45ElabC-45Implementation-n--11300-12934-u--topMethTypes arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 (PreludeC-45TypesC-45List-tailRecAppend e-4 arg-20) arg-21 arg-22 arg-23 arg-24 arg-25 arg-26 e-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (cons e-6 e-7))))) eff-2))))))))))) eff-1))))))))))))
(define IdrisC-45ElabC-45Implementation-n--11300-12933-u--topMethType (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20 arg-21 arg-22 arg-23 arg-24 arg-25 arg-26 arg-27) (let ((eff-0 (CoreC-45Context-inCurrentNS arg-19 (IdrisC-45ElabC-45Implementation-n--11300-12930-u--methName arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 (let ((e-0 (vector-ref arg-27 0))) e-0))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Core-traverseC-39 (lambda (eta-0) (IdrisC-45ElabC-45Implementation-n--11300-12931-u--applyCon arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-21 eta-0)) arg-26 '()))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((u--updsC-39 e-6)) (let ((u--mty_in (TTImpC-45Utils-substNames arg-8 u--updsC-39 (let ((e-3 (vector-ref arg-27 3))) e-3)))) (IdrisC-45ElabC-45Implementation-case--elabImplementationC-44topMethType-13603 arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-27 arg-26 arg-25 arg-24 arg-23 arg-22 arg-21 arg-20 e-5 e-6 u--updsC-39 u--mty_in (let ((eff-2 ((let ((eff-2 (TTImpC-45BindImplicits-renameIBinds arg-23 (TTImpC-45TTImp-findImplicits u--mty_in) u--mty_in))) eff-2) '()))) eff-2)))))) eff-2))))))))) eff-1)))))))))
(define IdrisC-45ElabC-45Implementation-n--10868-12429-u--toForward (lambda (arg-0) (cond ((equal? arg-0 #\\) #\/)(else arg-0))))
(define IdrisC-45ElabC-45Implementation-n--11012-12590-u--specialiseMeth (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (cons arg-6 (vector 10 arg-5 (vector 0 arg-5 arg-6) (vector 1 (vector 0 "__con")) (vector 0 arg-5 arg-4)))))
(define IdrisC-45ElabC-45Implementation-n--11300-12935-u--mkTopMethDecl (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20) (let ((e-3 (cdr arg-20))) (let ((e-6 (car e-3))) (let ((e-7 (cdr e-3))) (let ((e-11 (cdr e-7))) (let ((e-14 (car e-11))) (let ((e-15 (cdr e-11))) (let ((e-18 (car e-15))) (let ((e-19 (cdr e-15))) (let ((u--opts (PreludeC-45Types-maybe (lambda () arg-12) (lambda () (lambda (u--t) (cons (vector 10 u--t) arg-12))) e-18))) (vector 0 (IdrisC-45ElabC-45Implementation-n--11300-12922-u--vfc arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19) e-14 arg-13 u--opts (vector (vector 2 ) (vector 2 ) e-6 e-19)))))))))))))
(define IdrisC-45ElabC-45Implementation-n--11300-12929-u--mkMethField (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20 arg-21 arg-22) (let ((e-2 (car arg-22))) (let ((e-3 (cdr arg-22))) (let ((e-6 (car e-3))) (let ((e-7 (cdr e-3))) (let ((e-10 (car e-7))) (let ((e-11 (cdr e-7))) (let ((e-14 (car e-11))) (let ((e-15 (cdr e-11))) (let ((e-18 (car e-15))) (let ((e-19 (cdr e-15))) (let ((u--argns (((csegen-25) (lambda (eta-0) (IdrisC-45ElabC-45Implementation-n--11405-13251-u--applyUpdate arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 e-2 e-6 e-10 e-14 e-18 e-19 arg-21 arg-20 eta-0))) (PreludeC-45Types-maybe (lambda () '()) (lambda () (lambda (eta-0) eta-0)) (DataC-45List-lookup (csegen-1008) (CoreC-45Name-dropNS e-2) arg-21))))) (let ((u--imps ((csegen-101) arg-20))) (IdrisC-45ElabC-45Implementation-n--11300-12927-u--mkLam arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 u--argns (IdrisC-45ElabC-45Implementation-n--11300-12925-u--impsApply arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 (IdrisC-45ElabC-45Implementation-n--11300-12928-u--applyTo arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 (vector 0 (vector 2 ) e-6) u--argns) (((csegen-25) (lambda (u--n) (cons u--n (vector 0 (IdrisC-45ElabC-45Implementation-n--11300-12922-u--vfc arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19) (vector 1 (vector 0 (CoreC-45Name-u--show_Show_Name u--n))))))) u--imps)))))))))))))))))
(define IdrisC-45ElabC-45Implementation-n--11300-12927-u--mkLam (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20 arg-21) (if (null? arg-20) arg-21 (let ((e-2 (car arg-20))) (let ((e-3 (cdr arg-20))) (let ((e-6 (car e-2))) (let ((e-7 (cdr e-2))) (let ((e-10 (car e-7))) (let ((e-11 (cdr e-7))) (vector 2 (vector 2 ) e-10 e-11 (box e-6) (vector 32 (IdrisC-45ElabC-45Implementation-n--11300-12922-u--vfc arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19) 0) (IdrisC-45ElabC-45Implementation-n--11300-12927-u--mkLam arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 e-3 arg-21)))))))))))
(define IdrisC-45ElabC-45Implementation-n--11300-12936-u--methNameUpdate (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-21) (let ((e-2 (car arg-21))) (let ((e-3 (cdr arg-21))) (case (vector-ref e-2 0) ((1) (let ((e-8 (vector-ref e-2 1))) (if (null? e-3) (let ((e-6 (car e-3))) (cons (vector 1 (vector 0 (CoreC-45Name-nameRoot e-2))) e-6)) (let ((e-13 (car e-3))) (cons (vector 1 e-8) e-13))))) ((0) (let ((e-10 (vector-ref e-2 2))) (if (null? e-3) (let ((e-6 (car e-3))) (cons (vector 1 (vector 0 (CoreC-45Name-nameRoot e-2))) e-6)) (let ((e-17 (car e-3))) (let ((e-18 (cdr e-3))) (IdrisC-45ElabC-45Implementation-n--11300-12936-u--methNameUpdate arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 (cons e-10 (cons e-17 e-18))))))))(else (let ((e-6 (car e-3))) (cons (vector 1 (vector 0 (CoreC-45Name-nameRoot e-2))) e-6))))))))
(define IdrisC-45ElabC-45Implementation-n--11300-12930-u--methName (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20) (case (vector-ref arg-20 0) ((0) (let ((e-1 (vector-ref arg-20 2))) (IdrisC-45ElabC-45Implementation-n--11300-12930-u--methName arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 e-1)))(else (vector 4 (CoreC-45Name-u--show_Show_Name arg-20) (vector 1 (vector 0 (string-append (CoreC-45Name-u--show_Show_Name arg-20) (string-append "_" (string-append (CoreC-45Name-u--show_Show_Name arg-5) (string-append "_" (string-append (cond ((equal? arg-3 1) (CoreC-45Name-u--show_Show_Name arg-2)) (else "")) (CoreC-45NameC-45Namespace-showSep "_" ((csegen-3395) arg-4))))))))))))))
(define IdrisC-45ElabC-45Implementation-n--11300-12925-u--impsApply (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20 arg-21) (if (null? arg-21) arg-20 (let ((e-2 (car arg-21))) (let ((e-3 (cdr arg-21))) (let ((e-6 (car e-2))) (let ((e-7 (cdr e-2))) (IdrisC-45ElabC-45Implementation-n--11300-12925-u--impsApply arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 (vector 10 (IdrisC-45ElabC-45Implementation-n--11300-12922-u--vfc arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19) arg-20 e-6 e-7) e-3))))))))
(define IdrisC-45ElabC-45Implementation-n--11300-12924-u--getFieldArgs (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-21) (case (vector-ref arg-21 0) ((3) (let ((e-1 (vector-ref arg-21 1))) (let ((e-2 (vector-ref arg-21 2))) (let ((e-3 (vector-ref arg-21 3))) (let ((e-4 (vector-ref arg-21 4))) (case (vector-ref e-3 0) ((2) (let ((e-6 (vector-ref e-3 1))) (let ((e-7 (vector-ref e-3 2))) (let ((e-8 (vector-ref e-3 3))) (let ((e-9 (vector-ref e-3 4))) (cons (cons e-2 (IdrisC-45ElabC-45Implementation-n--11400-13013-u--getArgs arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 e-1 e-6 e-7 e-8 e-9 e-2 e-4 e-9)) (IdrisC-45ElabC-45Implementation-n--11300-12924-u--getFieldArgs arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 e-4)))))))(else '())))))))(else '()))))
(define IdrisC-45ElabC-45Implementation-n--11400-13013-u--getArgs (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-21 arg-22 arg-23 arg-24 arg-25 arg-26 arg-27 arg-29) (case (vector-ref arg-29 0) ((3) (let ((e-2 (vector-ref arg-29 2))) (let ((e-3 (vector-ref arg-29 3))) (let ((e-4 (vector-ref arg-29 4))) (case (vector-ref e-3 0) ((2) (let ((e-7 (vector-ref e-3 2))) (let ((e-8 (vector-ref e-3 3))) (cons (cons e-2 (cons e-7 (CoreC-45TT-forgetDef e-8))) (IdrisC-45ElabC-45Implementation-n--11400-13013-u--getArgs arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-21 arg-22 arg-23 arg-24 arg-25 arg-26 arg-27 e-4)))))(else '()))))))(else '()))))
(define IdrisC-45ElabC-45Implementation-n--11300-12937-u--findMethName (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20 arg-21 arg-22 ext-0) (let ((sc0 (DataC-45List-lookup (csegen-1008) arg-22 arg-20))) (if (null? sc0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 arg-21 (string-append (CoreC-45Name-u--show_Show_Name arg-22) (string-append " is not a method of " (CoreC-45Name-u--show_Show_Name arg-5)))) ext-0) (let ((e-2 (unbox sc0))) (vector 1 e-2))))))
(define IdrisC-45ElabC-45Implementation-n--11012-12591-u--extendBody (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8) (if (null? arg-7) (cons arg-8 arg-6) (let ((e-2 (car arg-7))) (let ((e-3 (cdr arg-7))) (let ((sc1 (DataC-45List-lookup (csegen-1008) e-2 arg-1))) (if (null? sc1) (IdrisC-45ElabC-45Implementation-n--11012-12591-u--extendBody arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 (cons e-2 arg-6) e-3 arg-8) (let ((e-4 (unbox sc1))) (let ((u--mupdates (PreludeC-45TypesC-45List-tailRecAppend arg-3 (((csegen-25) (lambda (eta-0) (IdrisC-45ElabC-45Implementation-n--11012-12590-u--specialiseMeth arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 eta-0))) arg-2)))) (let ((u--csC-39 (((csegen-25) (lambda (eta-0) (TTImpC-45Utils-substNamesClause '() u--mupdates eta-0))) e-4))) (IdrisC-45ElabC-45Implementation-n--11012-12591-u--extendBody arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-3 (cons (vector 2 arg-5 e-2 (((csegen-25) (lambda (eta-0) (TTImpC-45Utils-substLocClause arg-5 eta-0))) u--csC-39)) arg-8))))))))))))
(define IdrisC-45ElabC-45Implementation-n--11012-12592-u--dropGot (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (if (null? arg-7) arg-6 (let ((e-2 (car arg-7))) (let ((e-3 (cdr arg-7))) (case (vector-ref e-2 0) ((2) (let ((e-6 (vector-ref e-2 2))) (IdrisC-45ElabC-45Implementation-n--11012-12592-u--dropGot arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 (PreludeC-45TypesC-45List-filterAppend '() (lambda (arg-8) (CoreC-45Name-u--C-47C-61_Eq_Name arg-8 e-6)) arg-6) e-3)))(else (IdrisC-45ElabC-45Implementation-n--11012-12592-u--dropGot arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-3))))))))
(define IdrisC-45ElabC-45Implementation-n--11300-12932-u--bindImps (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20 arg-21) (if (null? arg-20) arg-21 (let ((e-2 (car arg-20))) (let ((e-3 (cdr arg-20))) (let ((e-6 (car e-2))) (let ((e-7 (cdr e-2))) (let ((e-10 (car e-7))) (let ((e-11 (cdr e-7))) (vector 1 (IdrisC-45ElabC-45Implementation-n--11300-12922-u--vfc arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19) e-10 (vector 0 ) (box e-6) e-11 (IdrisC-45ElabC-45Implementation-n--11300-12932-u--bindImps arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 e-3 arg-21)))))))))))
(define IdrisC-45ElabC-45Implementation-n--11300-12926-u--autoImpsApply (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20 arg-21) (if (null? arg-21) arg-20 (let ((e-2 (car arg-21))) (let ((e-3 (cdr arg-21))) (IdrisC-45ElabC-45Implementation-n--11300-12926-u--autoImpsApply arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 (vector 9 (TTImpC-45TTImp-getFC arg-20) arg-20 e-2) e-3))))))
(define IdrisC-45ElabC-45Implementation-n--11405-13251-u--applyUpdate (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20 arg-21 arg-22 arg-23 arg-24 arg-25 arg-26 arg-27 arg-28) (if (null? arg-28) arg-28 (let ((e-2 (car arg-28))) (let ((e-3 (cdr arg-28))) (case (vector-ref e-2 0) ((1) (let ((e-4 (vector-ref e-2 1))) (case (vector-ref e-4 0) ((0) (let ((e-5 (vector-ref e-4 1))) (if (null? e-3) arg-28 (let ((e-8 (car e-3))) (let ((e-9 (cdr e-3))) (PreludeC-45Types-maybe (lambda () (cons (vector 1 (vector 0 e-5)) (cons e-8 e-9))) (lambda () (lambda (u--nC-39) (cons (vector 1 (vector 0 u--nC-39)) (cons e-8 e-9)))) (DataC-45List-lookup (csegen-43) e-5 arg-22)))))))(else arg-28))))(else arg-28)))))))
(define IdrisC-45ElabC-45Implementation-n--11300-12928-u--applyTo (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20 arg-21) (if (null? arg-21) arg-20 (let ((e-2 (car arg-21))) (let ((e-3 (cdr arg-21))) (let ((e-6 (car e-2))) (let ((e-7 (cdr e-2))) (let ((e-11 (cdr e-7))) (case (vector-ref e-11 0) ((1) (IdrisC-45ElabC-45Implementation-n--11300-12928-u--applyTo arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 (vector 8 (vector 2 ) arg-20 (vector 0 (vector 2 ) e-6)) e-3)) ((2) (IdrisC-45ElabC-45Implementation-n--11300-12928-u--applyTo arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 (vector 10 (vector 2 ) arg-20 e-6 (vector 0 (vector 2 ) e-6)) e-3)) ((0) (IdrisC-45ElabC-45Implementation-n--11300-12928-u--applyTo arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 (vector 10 (vector 2 ) arg-20 e-6 (vector 0 (vector 2 ) e-6)) e-3)) (else (IdrisC-45ElabC-45Implementation-n--11300-12928-u--applyTo arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 (vector 10 (vector 2 ) arg-20 e-6 (vector 0 (vector 2 ) e-6)) e-3)))))))))))
(define IdrisC-45ElabC-45Implementation-n--11300-12923-u--applyEnv (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20) (let ((eff-0 (CoreC-45Context-resolveName arg-19 arg-20))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (cons (vector 8 e-5) (cons '() (cons (PreludeC-45TypesC-45List-reverse (CoreC-45Env-allVars arg-8 arg-10)) (lambda (u--fn) (lambda (u--nt) (CoreC-45UnifyState-applyToFull arg-8 (IdrisC-45ElabC-45Implementation-n--11300-12922-u--vfc arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19) (vector 1 (IdrisC-45ElabC-45Implementation-n--11300-12922-u--vfc arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19) u--nt (vector 8 e-5)) arg-10)))))))))) eff-1)))))))))
(define IdrisC-45ElabC-45Implementation-n--11300-12931-u--applyCon (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20 arg-21) (let ((eff-0 (CoreC-45Context-inCurrentNS arg-19 (IdrisC-45ElabC-45Implementation-n--11300-12930-u--methName arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-21)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (cons (CoreC-45Name-dropNS arg-21) (vector 0 (IdrisC-45ElabC-45Implementation-n--11300-12922-u--vfc arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19) e-5)))))) eff-1)))))))))
(define IdrisC-45ElabC-45Implementation-n--11300-12941-u--addTransform (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20 arg-21 arg-22) (let ((eff-0 (CoreC-45ContextC-45Log-log arg-19 "elab.implementation" 3 (lambda () (string-append "Adding transform for " (string-append (CoreC-45Name-u--show_Show_Name (let ((e-0 (vector-ref arg-22 0))) e-0)) (string-append " : " (string-append (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 (csegen-100) (let ((e-3 (vector-ref arg-22 3))) e-3)) (string-append "\xa;\x9;for " (string-append (CoreC-45Name-u--show_Show_Name arg-20) (string-append " in " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (cons (lambda (u--x) (PreludeC-45Show-u--show_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-108) u--x)) (lambda (u--d) (lambda (u--x) (PreludeC-45Show-u--showPrec_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-108) u--d u--x)))) arg-21)))))))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((u--lhs (vector 10 (IdrisC-45ElabC-45Implementation-n--11300-12922-u--vfc arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19) (vector 0 (IdrisC-45ElabC-45Implementation-n--11300-12922-u--vfc arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19) (let ((e-0 (vector-ref arg-22 0))) e-0)) (vector 1 (vector 0 "__con")) (vector 0 (IdrisC-45ElabC-45Implementation-n--11300-12922-u--vfc arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19) arg-20)))) (let ((sc1 (DataC-45List-lookup (csegen-1008) (CoreC-45Name-dropNS (let ((e-0 (vector-ref arg-22 0))) e-0)) arg-21))) (if (null? sc1) (lambda (eta-0) (vector 1 (vector 0 ))) (let ((e-1 (unbox sc1))) (let ((u--rhs (vector 0 (IdrisC-45ElabC-45Implementation-n--11300-12922-u--vfc arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19) e-1))) (let ((eff-1 (CoreC-45ContextC-45Log-log arg-19 "elab.implementation" 5 (lambda () (string-append (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 (csegen-100) u--lhs) (string-append " ==> " (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 (csegen-100) u--rhs))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (CoreC-45UnifyState-handleUnify arg-19 arg-18 (TTImpC-45ElabC-45Check-processDecl arg-8 arg-19 arg-16 arg-18 arg-17 arg-15 '() arg-9 arg-10 (vector 7 (IdrisC-45ElabC-45Implementation-n--11300-12922-u--vfc arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19) (vector 1 (vector 0 (string-append (CoreC-45Name-u--show_Show_Name (let ((e-0 (vector-ref arg-22 0))) e-0)) (string-append " " (CoreC-45Name-u--show_Show_Name arg-20))))) u--lhs u--rhs)) (lambda (u--err) (CoreC-45ContextC-45Log-log arg-19 "elab.implementation" 5 (lambda () (string-append "Can't add transform " (string-append (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 (csegen-100) u--lhs) (string-append " ==> " (string-append (TTImpC-45TTImp-u--show_Show_C-40RawImpC-39C-32C-36nmC-41 (csegen-100) u--rhs) (string-append "\xa;\x9;" (CoreC-45Core-u--show_Show_Error u--err)))))))))))) eff-2))))))))))))) eff-1))))))))
(define IdrisC-45ElabC-45Implementation-replaceSep (lambda (ext-0) (PreludeC-45Types-fastPack (((csegen-25) (lambda (eta-0) (IdrisC-45ElabC-45Implementation-n--10868-12429-u--toForward eta-0))) (PreludeC-45Types-fastUnpack ext-0)))))
(define IdrisC-45ElabC-45Implementation-mkImplName (lambda (arg-0 arg-1 arg-2) (vector 4 (string-append (CoreC-45Name-u--show_Show_Name arg-1) (string-append " implementation at " (IdrisC-45ElabC-45Implementation-replaceSep (CoreC-45FC-u--show_Show_FC arg-0)))) (vector 1 (vector 0 (string-append "__Impl_" (string-append (CoreC-45Name-u--show_Show_Name arg-1) (string-append "_" (CoreC-45NameC-45Namespace-showSep "_" ((csegen-3395) arg-2))))))))))
(define IdrisC-45ElabC-45Implementation-getMethImps (lambda (arg-0 arg-1 arg-2 arg-3) (case (vector-ref arg-3 0) ((3) (let ((e-2 (vector-ref arg-3 2))) (let ((e-3 (vector-ref arg-3 3))) (let ((e-4 (vector-ref arg-3 4))) (case (vector-ref e-3 0) ((2) (let ((e-6 (vector-ref e-3 1))) (let ((e-7 (vector-ref e-3 2))) (let ((e-8 (vector-ref e-3 3))) (let ((e-9 (vector-ref e-3 4))) (case (vector-ref e-8 0) ((0) (let ((eff-0 (let ((eff-0 (TTImpC-45Unelab-unelabNoSugar arg-0 arg-1 arg-2 e-9))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-5 (vector-ref eta-3 1))) (vector 0 e-5))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-4) (lambda (arg-5) ((((eff-1 'erased) 'erased) arg-4) arg-5)))) (csegen-5111))) eff-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (IdrisC-45ElabC-45Implementation-getMethImps (cons e-2 arg-0) arg-1 (cons (vector 2 e-6 e-7 (vector 0 ) e-9) arg-2) e-4))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-10 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (cons (cons e-2 (cons e-7 e-5)) e-10))))) eff-2))))))))) eff-1))))))))(else (lambda (eta-0) (vector 1 '())))))))))(else (lambda (eta-0) (vector 1 '()))))))))(else (lambda (eta-0) (vector 1 '()))))))
(define IdrisC-45ElabC-45Implementation-elabImplementation (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19) (let ((u--impName_nest (let ((sc0 (DataC-45List-lookup (csegen-1008) arg-17 (let ((eff-0 arg-11)) eff-0)))) (if (null? sc0) arg-17 (let ((e-1 (unbox sc0))) (if (null? e-1) arg-17 (let ((e-4 (car e-1))) (if (null? e-4) arg-17 (let ((e-7 (unbox e-4))) e-7))))))))) (let ((eff-0 (CoreC-45Context-inCurrentNS arg-1 u--impName_nest))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 arg-3)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (unbox eff-2))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (let ((eff-2 arg-1)) (PrimIO-io_bind (let ((eff-3 eff-2)) (lambda (eta-0) (unbox eff-3))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45Context-lookupCtxtName arg-14 (let ((e-0 (vector-ref e-7 0))) e-0)))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (IdrisC-45ElabC-45Implementation-case--elabImplementation-15172 arg-19 arg-18 arg-17 arg-16 arg-15 arg-14 arg-13 arg-12 arg-0 arg-11 arg-10 arg-9 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 u--impName_nest e-5 e-6 e-7 e-8 (PreludeC-45Interfaces-concatMap (csegen-83) (csegen-16) (lambda (u--n) (LibrariesC-45DataC-45ANameMap-lookupName u--n (let ((e-15 (vector-ref e-6 6))) e-15))) ((csegen-101) e-8))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))
(define IdrisC-45ElabC-45Implementation-bindImpls (lambda (arg-0 arg-1) (if (null? arg-0) arg-1 (let ((e-2 (car arg-0))) (let ((e-3 (cdr arg-0))) (let ((e-6 (car e-2))) (let ((e-7 (cdr e-2))) (let ((e-10 (car e-7))) (let ((e-11 (cdr e-7))) (let ((e-14 (car e-11))) (let ((e-15 (cdr e-11))) (vector 1 e-6 e-10 (vector 0 ) (box e-14) e-15 (IdrisC-45ElabC-45Implementation-bindImpls e-3 arg-1)))))))))))))
(define IdrisC-45ElabC-45Implementation-bindConstraints (lambda (arg-0 arg-1 arg-2 arg-3) (if (null? arg-2) arg-3 (let ((e-2 (car arg-2))) (let ((e-3 (cdr arg-2))) (let ((e-6 (car e-2))) (let ((e-7 (cdr e-2))) (vector 1 arg-0 (AlgebraC-45ZeroOneOmega-u--top_Top_ZeroOneOmega) arg-1 e-6 e-7 (IdrisC-45ElabC-45Implementation-bindConstraints arg-0 arg-1 e-3 arg-3)))))))))
(define IdrisC-45ElabC-45Implementation-addDefaults (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (let ((u--missing (IdrisC-45ElabC-45Implementation-n--11012-12592-u--dropGot arg-5 arg-4 arg-3 arg-2 arg-1 arg-0 arg-3 arg-5))) (IdrisC-45ElabC-45Implementation-n--11012-12591-u--extendBody arg-5 arg-4 arg-3 arg-2 arg-1 arg-0 '() u--missing arg-5))))
(define CoreC-45TTC-45Views-underPis (lambda (arg-1 arg-2 arg-3) (cond ((equal? arg-1 0) (cons '() (cons arg-2 arg-3)))(else (case (vector-ref arg-3 0) ((3) (let ((e-2 (vector-ref arg-3 2))) (let ((e-3 (vector-ref arg-3 3))) (let ((e-4 (vector-ref arg-3 4))) (case (vector-ref e-3 0) ((2) (let ((e-6 (vector-ref e-3 1))) (let ((e-7 (vector-ref e-3 2))) (let ((e-8 (vector-ref e-3 3))) (let ((e-9 (vector-ref e-3 4))) (let ((u--bd (vector 2 e-6 e-7 e-8 e-9))) (let ((sc2 (CoreC-45TTC-45Views-underPis (bs- arg-1 1 63) (cons u--bd arg-2) e-4))) (let ((e-10 (car sc2))) (let ((e-5 (cdr sc2))) (let ((e-12 (car e-5))) (let ((e-11 (cdr e-5))) (cons (cons e-10 e-2) (cons e-12 e-11))))))))))))) ((4) (let ((e-13 (vector-ref e-3 3))) (CoreC-45TTC-45Views-underPis arg-1 arg-2 (CoreC-45TTC-45SubstEnv-subst e-13 e-4))))(else (cons '() (cons arg-2 arg-3))))))))(else (cons '() (cons arg-2 arg-3))))))))
(define IdrisC-45REPLC-45FuzzySearch-n--11296-7113-u--toFullNamesC-39 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (case (vector-ref arg-6 0) ((0) (let ((e-6 (vector-ref arg-6 7))) (let ((eff-0 (CoreC-45Context-toFullNames arg-5 (csegen-81) e-6))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-7 (vector-ref eta-3 1))) (vector 0 e-7))) (else (let ((e-7 (vector-ref eta-3 1))) (vector 1 (eta-2 e-7))))))))))) (lambda (arg-7) (lambda (arg-8) ((((eff-1 'erased) 'erased) arg-7) arg-8)))) (lambda (eta-0) (vector 0 arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 eta-0)))) eff-0))))(else (lambda (eta-0) (vector 1 arg-6))))))
(define IdrisC-45REPLC-45FuzzySearch-n--11296-7115-u--predicate (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8) (let ((e-17 (vector-ref arg-8 17))) (case (vector-ref e-17 0) ((7) (lambda (eta-0) (vector 1 0)))(else (IdrisC-45REPLC-45FuzzySearch-n--11296-7114-u--fuzzyMatch arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 (let ((e-41 (vector-ref arg-8 2))) e-41)))))))
(define IdrisC-45REPLC-45FuzzySearch-n--11296-7107-u--parseNameOrConst (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (case (vector-ref arg-6 0) ((0) (let ((e-2 (vector-ref arg-6 2))) (box (vector 0 arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-2)))) ((15) (let ((e-5 (vector-ref arg-6 2))) (case (vector-ref e-5 0) ((13) (let ((e-8 (vector-ref e-5 1))) (box (vector 1 arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-8))))(else '())))) ((22) (box (vector 2 arg-0 arg-1 arg-2 arg-3 arg-4 arg-5)))(else '()))))
(define IdrisC-45REPLC-45FuzzySearch-n--11296-7108-u--parseExprC-39 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (case (vector-ref arg-6 0) ((7) (let ((e-2 (vector-ref arg-6 2))) (let ((e-3 (vector-ref arg-6 3))) (PreludeC-45Types-u--C-60C-42C-62_Applicative_Maybe (PreludeC-45Types-u--C-60C-42C-62_Applicative_Maybe (box (csegen-152)) (IdrisC-45REPLC-45FuzzySearch-n--11296-7107-u--parseNameOrConst arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-3)) (IdrisC-45REPLC-45FuzzySearch-n--11296-7108-u--parseExprC-39 arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-2)))))(else (PreludeC-45Interfaces-C-60C-36C-62 (csegen-76) (lambda (arg-7) (cons arg-7 '())) (IdrisC-45REPLC-45FuzzySearch-n--11296-7107-u--parseNameOrConst arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6))))))
(define IdrisC-45REPLC-45FuzzySearch-n--11296-7109-u--parseExpr (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (case (vector-ref arg-6 0) ((1) (let ((e-5 (vector-ref arg-6 5))) (let ((e-6 (vector-ref arg-6 6))) (case (vector-ref e-6 0) ((25) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (IdrisC-45REPLC-45FuzzySearch-n--11296-7108-u--parseExprC-39 arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-5) (lambda (u--aC-39) (box (cons u--aC-39 '())))))(else (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (IdrisC-45REPLC-45FuzzySearch-n--11296-7108-u--parseExprC-39 arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-5) (lambda (u--aC-39) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (IdrisC-45REPLC-45FuzzySearch-n--11296-7108-u--parseExprC-39 arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-6) (lambda (u--bC-39) (box (cons u--aC-39 u--bC-39)))))))))))(else (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (IdrisC-45REPLC-45FuzzySearch-n--11296-7108-u--parseExprC-39 arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (lambda (u--bC-39) (box (cons '() u--bC-39))))))))
(define IdrisC-45REPLC-45FuzzySearch-n--11296-7111-u--isApproximationOfC-39 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (case (vector-ref arg-6 0) ((0) (let ((e-6 (vector-ref arg-6 7))) (case (vector-ref arg-7 0) ((0) (let ((e-13 (vector-ref arg-7 7))) (IdrisC-45REPLC-45FuzzySearch-n--11296-7110-u--isApproximationOf arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-6 e-13)))(else (IdrisC-45REPLC-45FuzzySearch-n--11296-7106-u--eqConst arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7)))))(else (IdrisC-45REPLC-45FuzzySearch-n--11296-7106-u--eqConst arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7)))))
(define IdrisC-45REPLC-45FuzzySearch-n--11296-7110-u--isApproximationOf (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (case (vector-ref arg-6 0) ((0) (let ((e-0 (vector-ref arg-6 1))) (let ((e-1 (vector-ref arg-6 2))) (case (vector-ref arg-7 0) ((0) (let ((e-3 (vector-ref arg-7 1))) (let ((e-4 (vector-ref arg-7 2))) (let ((sc2 (CoreC-45Name-u--C-61C-61_Eq_Name e-1 e-4))) (cond ((equal? sc2 1) (CoreC-45NameC-45Namespace-isApproximationOf e-0 e-3)) (else 0))))))(else 0))))) ((1) (let ((e-2 (vector-ref arg-6 1))) (case (vector-ref arg-7 0) ((0) (let ((e-6 (vector-ref arg-7 2))) (case (vector-ref e-6 0) ((1) (let ((e-8 (vector-ref e-6 1))) (CoreC-45Name-u--C-61C-61_Eq_UserName e-2 e-8)))(else 0)))) ((1) (let ((e-7 (vector-ref arg-7 1))) (CoreC-45Name-u--C-61C-61_Eq_UserName e-2 e-7)))(else 0))))(else 0))))
(define IdrisC-45REPLC-45FuzzySearch-n--11296-7114-u--fuzzyMatch (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-7 arg-8 arg-9) (case (vector-ref arg-9 0) ((3) (let ((e-7 (vector-ref arg-9 3))) (let ((e-8 (vector-ref arg-9 4))) (let ((u--refsB (IdrisC-45REPLC-45FuzzySearch-n--11296-7112-u--doFind arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 '() (CoreC-45TT-binderType e-7)))) (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (IdrisC-45REPLC-45FuzzySearch-n--11296-7113-u--toFullNamesC-39 arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 eta-0)) u--refsB '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--negC-39 (LibrariesC-45DataC-45ListC-45Extra-diffBy (lambda (eta-0) (lambda (eta-1) (IdrisC-45REPLC-45FuzzySearch-n--11296-7111-u--isApproximationOfC-39 arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 eta-0 eta-1))) arg-7 e-9))) (IdrisC-45REPLC-45FuzzySearch-n--11296-7114-u--fuzzyMatch arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 u--negC-39 arg-8 e-8)))) eff-1)))))))))))(else (if (null? arg-7) (let ((u--refsB (IdrisC-45REPLC-45FuzzySearch-n--11296-7112-u--doFind arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 '() arg-9))) (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (IdrisC-45REPLC-45FuzzySearch-n--11296-7113-u--toFullNamesC-39 arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 eta-0)) u--refsB '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (DataC-45List-isNil (LibrariesC-45DataC-45ListC-45Extra-diffBy (lambda (eta-1) (lambda (eta-2) (IdrisC-45REPLC-45FuzzySearch-n--11296-7111-u--isApproximationOfC-39 arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 eta-1 eta-2))) arg-8 e-5)))))) eff-1)))))))) (lambda (eta-0) (vector 1 0)))))))
(define IdrisC-45REPLC-45FuzzySearch-n--11296-7106-u--eqConst (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (case (vector-ref arg-6 0) ((1) (let ((e-6 (vector-ref arg-6 7))) (case (vector-ref arg-7 0) ((1) (let ((e-19 (vector-ref arg-7 7))) (CoreC-45TT-u--C-61C-61_Eq_PrimType e-6 e-19)))(else 0)))) ((2) (case (vector-ref arg-7 0) ((2) 1)(else 0)))(else 0))))
(define IdrisC-45REPLC-45FuzzySearch-n--11296-7112-u--doFind (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-7 arg-8) (case (vector-ref arg-8 0) ((0) arg-7) ((1) (let ((e-9 (vector-ref arg-8 3))) (cons (vector 0 arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-9) arg-7))) ((2) (let ((e-14 (vector-ref arg-8 4))) (PreludeC-45Types-u--foldl_Foldable_List (lambda (eta-0) (lambda (eta-1) (IdrisC-45REPLC-45FuzzySearch-n--11296-7112-u--doFind arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 eta-0 eta-1))) arg-7 e-14))) ((3) (let ((e-18 (vector-ref arg-8 3))) (let ((e-19 (vector-ref arg-8 4))) (case (vector-ref e-18 0) ((1) (let ((e-54 (vector-ref e-18 3))) (let ((e-55 (vector-ref e-18 4))) (IdrisC-45REPLC-45FuzzySearch-n--11296-7112-u--doFind arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 (IdrisC-45REPLC-45FuzzySearch-n--11296-7112-u--doFind arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 (IdrisC-45REPLC-45FuzzySearch-n--11296-7112-u--doFind arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-7 e-54) e-55) e-19))))(else (IdrisC-45REPLC-45FuzzySearch-n--11296-7112-u--doFind arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 (IdrisC-45REPLC-45FuzzySearch-n--11296-7112-u--doFind arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-7 (CoreC-45TT-binderType e-18)) e-19)))))) ((4) (let ((e-22 (vector-ref arg-8 2))) (let ((e-23 (vector-ref arg-8 3))) (IdrisC-45REPLC-45FuzzySearch-n--11296-7112-u--doFind arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 (IdrisC-45REPLC-45FuzzySearch-n--11296-7112-u--doFind arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-7 e-22) e-23)))) ((5) (let ((e-28 (vector-ref arg-8 4))) (IdrisC-45REPLC-45FuzzySearch-n--11296-7112-u--doFind arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-7 e-28))) ((6) (let ((e-32 (vector-ref arg-8 3))) (IdrisC-45REPLC-45FuzzySearch-n--11296-7112-u--doFind arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-7 e-32))) ((7) (let ((e-36 (vector-ref arg-8 3))) (let ((e-37 (vector-ref arg-8 4))) (IdrisC-45REPLC-45FuzzySearch-n--11296-7112-u--doFind arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 (IdrisC-45REPLC-45FuzzySearch-n--11296-7112-u--doFind arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-7 e-36) e-37)))) ((8) (let ((e-41 (vector-ref arg-8 3))) (IdrisC-45REPLC-45FuzzySearch-n--11296-7112-u--doFind arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-7 e-41))) ((9) (let ((e-43 (vector-ref arg-8 1))) (let ((e-44 (vector-ref arg-8 2))) (PreludeC-45TypesC-45List-tailRecAppend (DataC-45Maybe-fromMaybe (lambda () '()) (PreludeC-45Interfaces-C-60C-36C-62 (csegen-76) (lambda (arg-6) (cons arg-6 '())) (IdrisC-45REPLC-45FuzzySearch-n--11296-7107-u--parseNameOrConst arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 (vector 15 e-43 e-44)))) arg-7)))) ((10) arg-7) (else (cons (vector 2 arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) arg-7)))))
(define IdrisC-45REPLC-45FuzzySearch-fuzzySearch (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (let ((sc0 (IdrisC-45REPLC-45FuzzySearch-n--11296-7109-u--parseExpr arg-5 arg-4 arg-3 arg-2 arg-1 arg-0 arg-5))) (if (null? sc0) (csegen-5264) (let ((e-1 (unbox sc0))) (if (null? e-1) (csegen-5264) (let ((e-4 (car e-1))) (let ((e-5 (cdr e-1))) (let ((eff-0 (CoreC-45Context-branch arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--curr (let ((e-2 (vector-ref e-6 2))) e-2))) (let ((u--ctxt (let ((e-0 (vector-ref e-6 0))) e-0))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-allNames u--ctxt))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Core-traverseC-39 (lambda (eta-0) (PreludeC-45Basics-flip (csegen-5034) u--ctxt eta-0)) e-7 '()))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (let ((u--defs (PreludeC-45Basics-flip (csegen-2086) e-8 (lambda (u--md) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe u--md (lambda (u--d) (PreludeC-45Interfaces-C-62C-62 (csegen-614) (PreludeC-45Interfaces-guard (csegen-326) (CoreC-45Context-visibleIn u--curr (let ((e-27 (vector-ref u--d 1))) e-27) (let ((e-9 (vector-ref u--d 9))) e-9))) (lambda () (PreludeC-45Interfaces-C-62C-62 (csegen-614) (PreludeC-45Interfaces-guard (csegen-326) (DataC-45Maybe-isJust (CoreC-45Name-userNameRoot (let ((e-27 (vector-ref u--d 1))) e-27)))) (lambda () (box u--d))))))))))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45Context-u--resolved_HasNames_GlobalDef u--ctxt eta-0)) u--defs '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-3 1))) (let ((eff-4 (CoreC-45Core-filterM (lambda (eta-0) (IdrisC-45REPLC-45FuzzySearch-n--11296-7115-u--predicate arg-5 arg-4 arg-3 arg-2 arg-1 arg-0 e-4 e-5 eta-0)) e-9))) eff-4)))))))))) eff-3))))))))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (let ((eff-2 arg-0)) (PrimIO-io_bind (let ((eff-3 eff-2)) (lambda (eta-0) (set-box! eff-3 e-6))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (IdrisC-45REPLC-45Common-docsOrSignature arg-4 arg-0 arg-2 (vector 2 ) eta-0)) (PreludeC-45Interfaces-C-60C-36C-62 (csegen-24) (csegen-5035) e-7) '()))) (PrimIO-io_bind eff-3 (csegen-5036))))) eff-3)))))))) eff-2))))))))))) eff-1)))))))))))))))
(define IdrisC-45REPLC-45Common-case--caseC-32blockC-32inC-32docsOrSignature-6386 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11) (if (null? arg-11) (IdrisC-45REPLC-45Common-n--13781-6220-u--typeSummary arg-0 arg-1 arg-2 arg-3 arg-4 arg-6) (IdrisC-45DocC-45String-getDocsForName arg-4 arg-3 arg-2 arg-1 arg-0 (csegen-4187)))))
(define IdrisC-45REPLC-45Common-case--caseC-32blockC-32inC-32emitProblem-5219 (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14) (if (null? arg-14) (IdrisC-45REPLC-45Common-iputStrLn arg-7 arg-6 arg-13) (let ((e-2 (unbox arg-14))) (let ((e-5 (car e-2))) (let ((e-6 (cdr e-2))) (let ((e-9 (car e-6))) (let ((e-10 (cdr e-6))) (let ((eff-0 (case (vector-ref e-5 0) ((0) (let ((e-0 (vector-ref e-5 1))) (let ((u--fc (vector 0 (vector 0 e-0) e-9 e-10))) (CoreC-45Core-u--catch_Catchable_Core_Error (CoreC-45Directory-nsToSource arg-7 u--fc e-0) (lambda (eta-0) (lambda (eta-1) (vector 1 ((csegen-0) "(File-Not-Found)")))))))) ((1) (let ((e-1 (vector-ref e-5 1))) (lambda (eta-0) (vector 1 e-1)))) (else (lambda (eta-0) (vector 1 ((csegen-0) "(Interactive)"))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-7 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (IdrisC-45Pretty-renderWithDecorations arg-7 arg-6 (lambda (eta-0) (IdrisC-45IDEModeC-45Pretty-annToProperties eta-0)) arg-13))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-3 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-8 (vector-ref lcase-1 1))) (let ((eff-2 (let ((u--nfc (cons e-5 (cons e-9 e-10)))) (let ((e-4 (car e-8))) (let ((e-3 (cdr e-8))) (IdrisC-45IDEModeC-45Commands-send arg-7 arg-11 (vector 5 ((csegen-5272) (cons e-7 u--nfc)) e-4 e-3 arg-12))))))) eff-2))))))))) eff-1)))))))))))))))
(define IdrisC-45REPLC-45Common-case--printWithStatus-4930 (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (case (vector-ref arg-6 0) ((1) (let ((e-0 (vector-ref arg-6 1))) (let ((sc1 (IdrisC-45REPLC-45Common-doPrint arg-1 e-0))) (cond ((equal? sc1 1) (let ((eff-0 (arg-3 arg-2))) (PrimIO-io_bind eff-0 (csegen-5273)))) (else (lambda (eta-0) (vector 1 (vector 0 )))))))) (else (lambda (eta-0) (vector 1 (vector 0 )))))))
(define IdrisC-45REPLC-45Common-n--13781-6220-u--typeSummary (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (let ((eff-0 (CoreC-45Context-lookupCtxtExact arg-0 (let ((e-0 (vector-ref arg-5 0))) e-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (if (null? e-5) (csegen-3576) (let ((e-1 (unbox e-5))) (let ((eff-1 (let ((eff-1 (CoreC-45Normalise-normaliseHoles arg-3 '() arg-5 '() (let ((e-2 (vector-ref e-1 2))) e-2)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (IdrisC-45Resugar-resugar '() arg-3 arg-2 '() e-6))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-1529) arg-0) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 ((csegen-331) ":") (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-prettyBy (csegen-3988) (lambda (eta-1) (vector 6 eta-1)) e-6))))))) eff-2))))))))))) eff-1)))))))))
(define IdrisC-45REPLC-45Common-updateErrorLine (lambda (arg-0 arg-1) (if (null? arg-1) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (let ((e-0 (vector-ref e-5 0))) (let ((e-1 (vector-ref e-5 1))) (let ((e-2 (vector-ref e-5 2))) (let ((e-3 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-17 (vector-ref e-5 5))) (let ((e-6 (vector-ref e-5 6))) (let ((e-8 (vector-ref e-5 8))) (let ((e-9 (vector-ref e-5 9))) (let ((e-10 (vector-ref e-5 10))) (let ((e-11 (vector-ref e-5 11))) (let ((e-12 (vector-ref e-5 12))) (let ((e-13 (vector-ref e-5 13))) (let ((e-14 (vector-ref e-5 14))) (let ((e-15 (vector-ref e-5 15))) (let ((e-16 (vector-ref e-5 16))) (vector e-0 e-1 e-2 e-3 e-4 e-17 e-6 '() e-8 e-9 e-10 e-11 e-12 e-13 e-14 e-15 e-16)))))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-1))))))) (let ((e-2 (car arg-1))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (let ((e-0 (vector-ref e-5 0))) (let ((e-1 (vector-ref e-5 1))) (let ((e-19 (vector-ref e-5 2))) (let ((e-18 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-17 (vector-ref e-5 5))) (let ((e-6 (vector-ref e-5 6))) (let ((e-8 (vector-ref e-5 8))) (let ((e-9 (vector-ref e-5 9))) (let ((e-10 (vector-ref e-5 10))) (let ((e-11 (vector-ref e-5 11))) (let ((e-12 (vector-ref e-5 12))) (let ((e-13 (vector-ref e-5 13))) (let ((e-14 (vector-ref e-5 14))) (let ((e-15 (vector-ref e-5 15))) (let ((e-16 (vector-ref e-5 16))) (vector e-0 e-1 e-19 e-18 e-4 e-17 e-6 (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (CoreC-45Core-getErrorLoc e-2) (lambda (eta-1) (IdrisC-45REPLC-45Common-getFCLine eta-1))) e-8 e-9 e-10 e-11 e-12 e-13 e-14 e-15 e-16)))))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-1)))))))))))
(define IdrisC-45REPLC-45Common-resetContext (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 (CoreC-45Context-initDefs))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 arg-0)) (PrimIO-io_bind (let ((eff-3 eff-2)) (lambda (eta-0) (set-box! eff-3 (let ((e-0 (vector-ref e-6 0))) (let ((e-1 (vector-ref e-6 1))) (let ((e-2 (vector-ref e-6 2))) (let ((e-3 (vector-ref e-6 3))) (let ((e-33 (vector-ref e-6 5))) (let ((e-32 (vector-ref e-6 6))) (let ((e-7 (vector-ref e-6 7))) (let ((e-8 (vector-ref e-6 8))) (let ((e-9 (vector-ref e-6 9))) (let ((e-10 (vector-ref e-6 10))) (let ((e-11 (vector-ref e-6 11))) (let ((e-12 (vector-ref e-6 12))) (let ((e-13 (vector-ref e-6 13))) (let ((e-14 (vector-ref e-6 14))) (let ((e-15 (vector-ref e-6 15))) (let ((e-16 (vector-ref e-6 16))) (let ((e-17 (vector-ref e-6 17))) (let ((e-18 (vector-ref e-6 18))) (let ((e-19 (vector-ref e-6 19))) (let ((e-20 (vector-ref e-6 20))) (let ((e-21 (vector-ref e-6 21))) (let ((e-22 (vector-ref e-6 22))) (let ((e-23 (vector-ref e-6 23))) (let ((e-24 (vector-ref e-6 24))) (let ((e-25 (vector-ref e-6 25))) (let ((e-26 (vector-ref e-6 26))) (let ((e-27 (vector-ref e-6 27))) (let ((e-28 (vector-ref e-6 28))) (let ((e-29 (vector-ref e-6 29))) (let ((e-30 (vector-ref e-6 30))) (let ((e-31 (vector-ref e-6 31))) (vector e-0 e-1 e-2 e-3 (CoreC-45Options-clearNames (let ((e-61 (vector-ref e-5 4))) e-61)) e-33 e-32 e-7 e-8 e-9 e-10 e-11 e-12 e-13 e-14 e-15 e-16 e-17 e-18 e-19 e-20 e-21 e-22 e-23 e-24 e-25 e-26 e-27 e-28 e-29 e-30 e-31))))))))))))))))))))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45InitPrimitives-addPrimitives arg-0))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (let ((eff-3 (let ((eff-3 arg-1)) (PrimIO-io_bind (let ((eff-4 eff-3)) (lambda (eta-0) (set-box! eff-4 (CoreC-45UnifyState-initUState)))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-4 (let ((eff-4 (let ((eff-4 arg-2)) (PrimIO-io_bind (let ((eff-5 eff-4)) (lambda (eta-0) (set-box! eff-5 (IdrisC-45Syntax-initSyntax)))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-5 (let ((eff-5 arg-3)) (PrimIO-io_bind (let ((eff-6 eff-5)) (lambda (eta-0) (set-box! eff-6 (CoreC-45Metadata-initMetadata arg-4)))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-5)))))))) eff-4)))))))) eff-3)))))))) eff-2)))))))) eff-1)))))))))
(define IdrisC-45REPLC-45Common-printWithStatus (lambda (arg-1 arg-2 arg-3 arg-4) (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (IdrisC-45REPLC-45Common-case--printWithStatus-4930 arg-4 arg-3 arg-2 arg-1 e-5 (let ((e-8 (vector-ref e-5 8))) e-8)))) eff-1)))))))))
(define IdrisC-45REPLC-45Common-printResult (lambda (arg-0 arg-1) (IdrisC-45REPLC-45Common-printWithStatus arg-0 (lambda (eta-0) (IdrisC-45Pretty-render arg-0 eta-0)) arg-1 0)))
(define IdrisC-45REPLC-45Common-printError (lambda (arg-0 arg-1) (IdrisC-45REPLC-45Common-printWithStatus arg-0 (lambda (eta-0) (IdrisC-45Pretty-render arg-0 eta-0)) arg-1 1)))
(define IdrisC-45REPLC-45Common-printDocResult (lambda (arg-0 arg-1) (IdrisC-45REPLC-45Common-printWithStatus arg-0 (lambda (eta-0) (IdrisC-45PrettyC-45Render-render arg-0 (lambda (eta-1) (IdrisC-45DocC-45Annotations-styleAnn eta-1)) eta-0)) arg-1 0)))
(define IdrisC-45REPLC-45Common-iputStrLn (lambda (arg-0 arg-1 arg-2) (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((e-8 (vector-ref e-5 8))) (case (vector-ref e-8 0) ((1) (let ((e-18 (vector-ref e-8 1))) (cond ((equal? e-18 2) (let ((eff-1 (IdrisC-45Pretty-render arg-1 arg-2))) (PrimIO-io_bind eff-1 (csegen-5273))))(else (lambda (eta-0) (vector 1 (vector 0 ))))))) (else (let ((e-20 (vector-ref e-8 1))) (let ((e-18 (vector-ref e-8 3))) (let ((eff-1 (IdrisC-45PrettyC-45Render-renderWithoutColor arg-1 arg-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-21 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-21)))) (else (let ((e-21 (vector-ref lcase-1 1))) (let ((eff-2 (IdrisC-45IDEModeC-45Commands-send arg-0 e-18 (vector 3 e-21 e-20)))) eff-2)))))))))))))) eff-1)))))))))
(define IdrisC-45REPLC-45Common-getFCLine (lambda (ext-0) (((csegen-77) (lambda (eta-0) (CoreC-45FC-startLine eta-0))) (CoreC-45FC-isNonEmptyFC ext-0))))
(define IdrisC-45REPLC-45Common-equivTypes (lambda (arg-0 arg-1 arg-2) (let ((sc0 (CoreC-45TT-isErased arg-1))) (cond ((equal? sc0 0) (let ((eff-0 (CoreC-45ContextC-45Log-logTerm '() arg-0 "typesearch.equiv" 10 (lambda () "Candidate: ") arg-1))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (unbox eff-2))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (let ((eff-2 (CoreC-45Normalise-getArity arg-0 '() e-6 '() arg-1))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45Normalise-getArity arg-0 '() e-6 '() arg-2))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (or (and (= e-7 e-8) 1) 0))))) eff-4))))))))) eff-3))))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (cond ((equal? e-7 1) (let ((eff-3 (csegen-2360))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-u--catch_Catchable_Core_Error (let ((eff-4 ((((CoreC-45Unify-unify (csegen-3133) '() arg-0 e-8 (CoreC-45Unify-inTerm) (vector 2 )) '()) arg-1) arg-2))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (let ((e-0 (vector-ref e-9 0))) (let ((e-2 (vector-ref e-9 2))) (let ((e-3 (vector-ref e-9 3))) (if (null? e-0) (lambda (clam-0) (if (null? e-2) (case (vector-ref e-3 0) ((0) (vector 1 1))(else (vector 1 0))) (vector 1 0))) (lambda (eta-0) (vector 1 0)))))))) eff-5))))))) (lambda (u--err) (lambda (eta-0) (vector 1 0)))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (let ((eff-5 (cond ((equal? e-9 1) (CoreC-45ContextC-45Log-logTerm '() arg-0 ((csegen-0) "typesearch.equiv") 20 (lambda () ((csegen-0) "Accepted: ")) arg-1)) (else (lambda (eta-0) (vector 1 (vector 0 ))))))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-6 (lambda (eta-0) (vector 1 e-9)))) eff-6)))))))) eff-5))))))))) eff-4)))))))) (else (lambda (eta-0) (vector 1 0)))))) eff-3))))))))) eff-2))))))))) eff-1)))))))(else (lambda (eta-0) (vector 1 0)))))))
(define IdrisC-45REPLC-45Common-emitWarningsAndErrors (lambda (arg-0 arg-1 arg-2 arg-3) (let ((eff-0 (IdrisC-45REPLC-45Common-emitWarnings arg-0 arg-1 arg-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Core-traverse_ (lambda (eta-0) (IdrisC-45REPLC-45Common-emitError arg-0 arg-1 arg-2 eta-0)) arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (lambda (eta-0) (vector 1 e-5)))) eff-2)))))))) eff-1)))))))))
(define IdrisC-45REPLC-45Common-emitWarnings (lambda (arg-0 arg-1 arg-2) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--ws (PreludeC-45TypesC-45List-reverse (let ((e-29 (vector-ref e-5 29))) e-29)))) (let ((eff-1 (CoreC-45Context-getSession arg-0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((sc2 (let ((e-18 (vector-ref e-6 18))) e-18))) (cond ((equal? sc2 1) (let ((u--errs (PreludeC-45Interfaces-C-60C-36C-62 (csegen-24) (lambda (eta-0) (vector 71 eta-0)) u--ws))) (let ((eff-2 (CoreC-45Core-traverse_ (lambda (eta-0) (IdrisC-45REPLC-45Common-emitError arg-0 arg-1 arg-2 eta-0)) u--errs))) (((csegen-50) ((let ((eff-3 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-7 (vector-ref eta-3 1))) (vector 1 (eta-2 e-7))))))))))) (lambda (arg-3) (lambda (arg-4) ((((eff-3 'erased) 'erased) arg-3) arg-4)))) (lambda (eta-0) u--errs))) eff-2)))) (else (let ((eff-2 (CoreC-45Core-traverse_ (lambda (eta-0) (IdrisC-45REPLC-45Common-emitWarning arg-0 arg-1 arg-2 eta-0)) u--ws))) (((csegen-50) ((let ((eff-3 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-7 (vector-ref eta-3 1))) (vector 1 (eta-2 e-7))))))))))) (lambda (arg-3) (lambda (arg-4) ((((eff-3 'erased) 'erased) arg-3) arg-4)))) (lambda (eta-0) '()))) eff-2))))))) eff-2)))))))))) eff-1)))))))))
(define IdrisC-45REPLC-45Common-emitWarning (lambda (arg-0 arg-1 arg-2 arg-3) (IdrisC-45REPLC-45Common-emitProblem arg-0 arg-1 arg-2 arg-3 (lambda (eta-0) (IdrisC-45Error-displayWarning arg-0 arg-2 arg-1 eta-0)) (lambda (eta-0) (IdrisC-45Error-pwarning arg-0 arg-2 arg-1 eta-0)) (lambda (eta-0) (CoreC-45Core-getWarningLoc eta-0)) 2)))
(define IdrisC-45REPLC-45Common-emitProblem (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8) (let ((eff-0 (let ((eff-0 arg-2)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((e-8 (vector-ref e-5 8))) (case (vector-ref e-8 0) ((1) (let ((eff-1 (arg-5 arg-4))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-19 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-19)))) (else (let ((e-19 (vector-ref lcase-1 1))) (let ((eff-2 (IdrisC-45REPLC-45Common-printWithStatus arg-2 (lambda (eta-0) (IdrisC-45Pretty-render arg-2 eta-0)) e-19 arg-8))) eff-2)))))))) (else (let ((e-20 (vector-ref e-8 1))) (let ((e-19 (vector-ref e-8 2))) (let ((e-18 (vector-ref e-8 3))) (let ((eff-1 (arg-6 arg-4))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-21 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-21)))) (else (let ((e-21 (vector-ref lcase-1 1))) (let ((eff-2 (IdrisC-45REPLC-45Common-case--caseC-32blockC-32inC-32emitProblem-5219 arg-8 arg-7 arg-6 arg-5 arg-3 arg-2 arg-1 e-5 e-19 arg-4 e-18 e-20 e-21 (((csegen-77) (lambda (eta-0) (CoreC-45FC-toNonEmptyFC eta-0))) (arg-7 arg-4))))) eff-2))))))))))))))) eff-1)))))))))
(define IdrisC-45REPLC-45Common-emitError (lambda (arg-0 arg-1 arg-2 arg-3) (IdrisC-45REPLC-45Common-emitProblem arg-0 arg-1 arg-2 arg-3 (lambda (eta-0) (IdrisC-45Error-display arg-0 arg-2 arg-1 eta-0)) (lambda (eta-0) (IdrisC-45Error-perror arg-0 arg-2 arg-1 eta-0)) (lambda (eta-0) (CoreC-45Core-getErrorLoc eta-0)) 1)))
(define IdrisC-45REPLC-45Common-docsOrSignature (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (let ((eff-0 (let ((eff-0 arg-2)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 arg-1)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (unbox eff-2))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-lookupCtxtName arg-4 (let ((e-0 (vector-ref e-6 0))) e-0)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (if (null? e-7) (CoreC-45Context-undefinedName arg-1 arg-3 arg-4) (let ((e-1 (car e-7))) (let ((e-2 (cdr e-7))) (let ((_-0 (cons e-1 e-2))) (let ((u--all (cons e-1 e-2))) (IdrisC-45REPLC-45Common-case--caseC-32blockC-32inC-32docsOrSignature-6386 arg-4 arg-3 arg-2 arg-1 arg-0 e-5 e-6 e-2 e-1 _-0 u--all (PreludeC-45Interfaces-concatMap (csegen-83) (csegen-16) (lambda (u--n) (LibrariesC-45DataC-45ANameMap-lookupName u--n (let ((e-8 (vector-ref e-5 8))) e-8))) ((csegen-101) u--all)))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))
(define IdrisC-45REPLC-45Common-doPrint (lambda (arg-0 arg-1) (cond ((equal? arg-0 0) (cond ((equal? arg-1 2) 1) ((equal? arg-1 1) 1) (else 1))) ((equal? arg-0 1) (cond ((equal? arg-1 2) 1) ((equal? arg-1 1) 1) (else 0))) (else (cond ((equal? arg-1 2) 1) ((equal? arg-1 1) 0) (else 0))))))
(define IdrisC-45IDEModeC-45Pretty-syntaxToProperties (lambda (arg-0) (PreludeC-45Interfaces-C-60C-36C-62 (csegen-76) (lambda (eta-0) (ProtocolC-45IDEC-45Formatting-mkDecor eta-0)) (IdrisC-45Pretty-syntaxToDecoration arg-0))))
(define IdrisC-45IDEModeC-45Pretty-docToProperties (lambda (arg-0) (case (vector-ref arg-0 0) ((0) (box (ProtocolC-45IDEC-45Formatting-mkFormat 2))) ((1) (box (ProtocolC-45IDEC-45Formatting-mkFormat 0))) ((2) '()) ((3) '()) ((4) '()) ((5) '()) (else (let ((e-1 (vector-ref arg-0 1))) (IdrisC-45IDEModeC-45Pretty-syntaxToProperties e-1))))))
(define IdrisC-45IDEModeC-45Pretty-annToProperties (lambda (arg-0) (case (vector-ref arg-0 0) ((0) (csegen-5280)) ((1) (csegen-5280)) ((2) '()) ((3) (box (ProtocolC-45IDEC-45Formatting-mkDecor 1))) ((4) (box (ProtocolC-45IDEC-45Formatting-mkDecor 5))) ((5) (box (ProtocolC-45IDEC-45Formatting-mkDecor 2))) ((6) (let ((e-0 (vector-ref arg-0 1))) (IdrisC-45IDEModeC-45Pretty-syntaxToProperties e-0))) (else (box (ProtocolC-45IDEC-45Formatting-mkDecor 0))))))
(define IdrisC-45ProcessIdr-unchangedHash (lambda (arg-0 arg-1 arg-2) (let ((eff-0 (CoreC-45BinaryC-45Prims-hashFileWith arg-0 arg-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (if (null? e-5) (lambda (eta-0) (vector 1 0)) (let ((e-1 (unbox e-5))) (let ((eff-1 (CoreC-45Binary-readHashes arg-1))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (clam-0) (if (null? e-6) (vector 1 0) (let ((e-2 (car e-6))) (if (null? e-2) (vector 1 0) (let ((e-7 (unbox e-2))) (vector 1 (PreludeC-45EqOrd-u--C-61C-61_Eq_String e-1 e-7))))))))) eff-2))))))))))) eff-1)))))))))
(define IdrisC-45ProcessIdr-readPrelude (lambda (arg-0 arg-1 arg-2 arg-3) (let ((eff-0 (IdrisC-45ProcessIdr-readImport arg-0 arg-1 arg-2 arg-3 (IdrisC-45ProcessIdr-prelude)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45Context-setNS arg-0 (CoreC-45NameC-45Namespace-mainNS)))) eff-1))))))))
(define IdrisC-45ProcessIdr-readModule (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((sc1 (PreludeC-45Types-elem (csegen-16) (csegen-2653) (cons arg-6 (cons arg-5 arg-7)) ((csegen-947) (let ((e-19 (vector-ref e-5 19))) e-19))))) (cond ((equal? sc1 0) (let ((eff-1 (CoreC-45Directory-nsToPath arg-0 arg-4 arg-6))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (case (vector-ref e-6 0) ((1) (let ((e-2 (vector-ref e-6 1))) (let ((eff-2 (CoreC-45Binary-readFromTTC (csegen-5282) arg-0 arg-1 0 arg-4 arg-5 e-2 arg-6 arg-7))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-3 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (if (null? e-7) (cond ((equal? arg-5 1) (CoreC-45Context-setVisible arg-0 (CoreC-45NameC-45Namespace-miAsNamespace arg-6))) (else (lambda (eta-0) (vector 1 (vector 0 ))))) (let ((e-1 (unbox e-7))) (let ((e-9 (car e-1))) (let ((e-8 (cdr e-1))) (let ((e-10 (cdr e-8))) (let ((eff-3 (IdrisC-45Desugar-extendSyn arg-2 arg-0 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-3 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-4 (let ((eff-4 (let ((eff-4 arg-0)) (PrimIO-io_bind (let ((eff-5 eff-4)) (lambda (eta-0) (unbox eff-5))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-3 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-5 (let ((eff-5 (CoreC-45Context-getNS arg-0))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-3 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-14 (vector-ref lcase-5 1))) (let ((eff-6 (let ((eff-6 (cond ((equal? arg-5 1) (CoreC-45Context-setVisible arg-0 (CoreC-45NameC-45Namespace-miAsNamespace arg-6))) (else (lambda (eta-0) (vector 1 (vector 0 ))))))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-3 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-7 (let ((eff-7 (CoreC-45Core-traverse_ (lambda (u--mimp) (let ((u--m (Builtin-fst u--mimp))) (let ((u--reexp (Builtin-fst (Builtin-snd u--mimp)))) (let ((u--as (Builtin-snd (Builtin-snd u--mimp)))) (let ((sc12 (cond ((equal? u--reexp 1) 1) (else arg-3)))) (cond ((equal? sc12 1) (IdrisC-45ProcessIdr-readModule arg-0 arg-1 arg-2 arg-3 arg-4 u--reexp u--m u--as)) (else (lambda (eta-0) (vector 1 (vector 0 )))))))))) e-10))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-3 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-8 (CoreC-45Context-setNS arg-0 e-14))) eff-8)))))))) eff-7)))))))) eff-6))))))))) eff-5)))))))) eff-4))))))))))))) eff-3))))))))) (else (let ((e-7 (vector-ref e-6 1))) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error e-7 eta-0))))))) eff-2)))))))) (else (cond ((equal? arg-5 1) (CoreC-45Context-setVisible arg-0 (CoreC-45NameC-45Namespace-miAsNamespace arg-6))) (else (lambda (eta-0) (vector 1 (vector 0 )))))))))) eff-1)))))))))
(define IdrisC-45ProcessIdr-readImportMeta (lambda (arg-0 arg-1 arg-2) (let ((eff-0 (CoreC-45Directory-nsToPath arg-0 (let ((e-0 (vector-ref arg-2 0))) e-0) (let ((e-2 (vector-ref arg-2 2))) e-2)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (case (vector-ref e-5 0) ((1) (let ((e-2 (vector-ref e-5 1))) (let ((eff-1 (CoreC-45Binary-readHashes e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-3 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (clam-0) (let ((e-3 (cdr e-6))) (vector 1 (cons (let ((e-1 (vector-ref arg-2 1))) e-1) (cons (let ((e-7 (vector-ref arg-2 3))) e-7) e-3))))))) eff-2))))))))) (else (let ((e-6 (vector-ref e-5 1))) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error e-6 eta-0))))))) eff-1)))))))))
(define IdrisC-45ProcessIdr-readImport (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (let ((eff-0 (IdrisC-45ProcessIdr-readModule arg-0 arg-1 arg-2 arg-3 (let ((e-0 (vector-ref arg-4 0))) e-0) 1 (let ((e-2 (vector-ref arg-4 2))) e-2) (let ((e-3 (vector-ref arg-4 3))) e-3)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45Context-addImported arg-0 (cons (let ((e-2 (vector-ref arg-4 2))) e-2) (cons (let ((e-1 (vector-ref arg-4 1))) e-1) (let ((e-3 (vector-ref arg-4 3))) e-3)))))) eff-1))))))))
(define IdrisC-45ProcessIdr-readHeader (lambda (arg-0 arg-1 arg-2 arg-3) (let ((eff-0 (PrimIO-io_bind (SystemC-45FileC-45ReadWrite-readFile (csegen-40) arg-2) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (case (vector-ref e-5 0) ((1) (let ((e-2 (vector-ref e-5 1))) (let ((eff-1 (IdrisC-45REPLC-45Opts-setCurrentElabSource arg-1 e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-3 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-2 (let ((sc3 (ParserC-45Source-runParserTo 0 (vector 0 arg-3) (ParserC-45Unlit-isLitFile arg-2) (LibrariesC-45TextC-45Lexer-is #\:) e-2 (IdrisC-45Parser-progHdr (vector 0 arg-3))))) (case (vector-ref sc3 0) ((1) (let ((e-3 (vector-ref sc3 1))) (let ((e-8 (car e-3))) (let ((e-9 (cdr e-3))) (let ((e-13 (cdr e-9))) (let ((eff-2 (CoreC-45Core-traverse_ (lambda (eta-0) (CoreC-45Context-recordWarning arg-0 eta-0)) e-8))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-3 (lambda (eta-0) (vector 1 e-13)))) eff-3))))))))))) (else (let ((e-7 (vector-ref sc3 1))) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error e-7 eta-0)))))))) eff-2)))))))) (else (let ((e-6 (vector-ref e-5 1))) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 51 arg-2 e-6) eta-0))))))) eff-1)))))))))
(define IdrisC-45ProcessIdr-readAsMain (lambda (arg-0 arg-1 arg-2 arg-3) (let ((eff-0 (CoreC-45Binary-readFromTTC (csegen-5282) arg-0 arg-1 1 (vector 2 ) 1 arg-3 (CoreC-45NameC-45Namespace-nsAsModuleIdent (CoreC-45NameC-45Namespace-emptyNS)) (CoreC-45NameC-45Namespace-emptyNS)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (if (null? e-5) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 ((csegen-0) "Already loaded")) eta-0)) (let ((e-1 (unbox e-5))) (let ((e-7 (car e-1))) (let ((e-6 (cdr e-1))) (let ((e-10 (cdr e-6))) (let ((eff-1 (CoreC-45Context-getNS arg-0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-getNestedNS arg-0))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-11 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (IdrisC-45Desugar-extendSyn arg-2 arg-0 e-7))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-4 (let ((eff-4 (let ((eff-4 arg-1)) (PrimIO-io_bind (let ((eff-5 eff-4)) (lambda (eta-0) (unbox eff-5))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-13 (vector-ref lcase-4 1))) (let ((eff-5 (let ((eff-5 (CoreC-45Core-traverse_ (lambda (u--mimp) (let ((u--m (Builtin-fst u--mimp))) (let ((u--as (Builtin-snd (Builtin-snd u--mimp)))) (let ((eff-5 (IdrisC-45ProcessIdr-readModule arg-0 arg-1 arg-2 1 (CoreC-45FC-emptyFC) 1 u--m u--as))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-6 (CoreC-45Context-addImported arg-0 (cons u--m (cons 1 u--as))))) eff-6))))))))) e-10))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-6 (let ((eff-6 (let ((eff-6 (CoreC-45Context-getSession arg-0))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-2 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-15 (vector-ref lcase-6 1))) (let ((eff-7 (let ((sc10 (let ((e-0 (vector-ref e-15 0))) e-0))) (cond ((equal? sc10 1) (lambda (eta-0) (vector 1 (vector 0 )))) (else (IdrisC-45ProcessIdr-readModule arg-0 arg-1 arg-2 1 (CoreC-45FC-emptyFC) 1 (CoreC-45NameC-45Namespace-nsAsModuleIdent (CoreC-45NameC-45Namespace-preludeNS)) (CoreC-45NameC-45Namespace-preludeNS))))))) eff-7))))))))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-2 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-7 (let ((eff-7 (let ((eff-7 (let ((eff-7 arg-1)) (PrimIO-io_bind (let ((eff-8 eff-7)) (lambda (eta-0) (unbox eff-8))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-2 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-16 (vector-ref lcase-7 1))) (let ((eff-8 (let ((eff-8 arg-1)) (PrimIO-io_bind (let ((eff-9 eff-8)) (lambda (eta-0) (set-box! eff-9 (let ((e-0 (vector-ref e-16 0))) (let ((e-24 (vector-ref e-16 1))) (let ((e-2 (vector-ref e-16 2))) (let ((e-3 (vector-ref e-16 3))) (let ((e-4 (vector-ref e-16 4))) (let ((e-23 (vector-ref e-16 5))) (let ((e-22 (vector-ref e-16 6))) (let ((e-21 (vector-ref e-16 7))) (let ((e-19 (vector-ref e-16 9))) (let ((e-18 (vector-ref e-16 10))) (let ((e-17 (vector-ref e-16 11))) (vector e-0 e-24 e-2 e-3 e-4 e-23 e-22 e-21 (let ((e-28 (vector-ref e-13 8))) e-28) e-19 e-18 e-17))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-8))))))))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-2 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-8 (let ((eff-8 (CoreC-45Context-setNS arg-0 e-8))) (PrimIO-io_bind eff-8 (lambda (lcase-8) (case (vector-ref lcase-8 0) ((0) (let ((e-2 (vector-ref lcase-8 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-9 (CoreC-45Context-setNestedNS arg-0 e-11))) eff-9)))))))) eff-8)))))))) eff-7)))))))) eff-6)))))))) eff-5))))))))) eff-4)))))))) eff-3))))))))) eff-2)))))))))))))) eff-1)))))))))
(define IdrisC-45ProcessIdr-processMod (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9) (CoreC-45Core-u--catch_Catchable_Core_Error (let ((eff-0 (IdrisC-45REPLC-45Opts-setCurrentElabSource arg-4 arg-8))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45Context-getSession arg-0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (IdrisC-45ProcessIdr-readHeader arg-0 arg-4 arg-5 arg-9))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((u--ns (let ((e-1 (vector-ref e-7 1))) e-1))) (let ((u--allImports (let ((sc3 (let ((sc4 (let ((e-0 (vector-ref e-6 0))) e-0))) (cond ((equal? sc4 1) 1) (else (CoreC-45NameC-45Namespace-u--C-61C-61_Eq_ModuleIdent (let ((e-1 (vector-ref e-7 1))) e-1) (CoreC-45NameC-45Namespace-nsAsModuleIdent (CoreC-45NameC-45Namespace-preludeNS)))))))) (cond ((equal? sc3 1) (let ((e-2 (vector-ref e-7 2))) e-2)) (else (IdrisC-45ProcessIdr-addPrelude (let ((e-2 (vector-ref e-7 2))) e-2))))))) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (IdrisC-45ProcessIdr-readImportMeta arg-0 arg-1 eta-0)) u--allImports '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((u--importInterfaceHashes (PreludeC-45Interfaces-C-60C-36C-62 (csegen-24) (lambda (eta-0) (Builtin-snd eta-0)) e-8))) (let ((eff-4 (let ((eff-4 arg-0)) (PrimIO-io_bind (let ((eff-5 eff-4)) (lambda (eta-0) (unbox eff-5))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (let ((eff-5 (CoreC-45ContextC-45Log-log arg-0 "module.hash" 5 (lambda () (string-append "Interface hash of " (string-append (CoreC-45NameC-45Namespace-u--show_Show_ModuleIdent u--ns) (string-append ": " (PreludeC-45Show-u--show_Show_Int (let ((e-16 (vector-ref e-9 16))) e-16))))))))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-6 (let ((eff-6 (CoreC-45ContextC-45Log-log arg-0 "module.hash" 5 (lambda () (string-append "Import Interface hashes of " (string-append (CoreC-45NameC-45Namespace-u--show_Show_ModuleIdent u--ns) (string-append " hashes:\xa;" (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-5289) (DataC-45List-sort (csegen-5308) u--importInterfaceHashes))))))))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-2 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-7 (let ((eff-7 (CoreC-45Binary-readImportHashes arg-6))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-2 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-12 (vector-ref lcase-7 1))) (let ((eff-8 (let ((eff-8 (CoreC-45ContextC-45Log-log arg-0 "module.hash" 5 (lambda () (string-append "Stored interface hashes of " (string-append arg-6 (string-append ":\xa;" (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-5289) (DataC-45List-sort (csegen-5308) e-12))))))))) (PrimIO-io_bind eff-8 (lambda (lcase-8) (case (vector-ref lcase-8 0) ((0) (let ((e-2 (vector-ref lcase-8 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-9 (let ((u--isUnchanged (lambda (clam-0) (lambda (clam-1) (let ((sc9 (let ((e-20 (vector-ref e-6 20))) e-20))) (cond ((equal? sc9 1) (IdrisC-45ProcessIdr-unchangedHash (let ((e-4 (vector-ref e-9 4))) (let ((e-41 (vector-ref e-4 9))) e-41)) clam-0 clam-1)) (else (let ((eff-9 (IdrisC-45ProcessIdr-isTTCOutdated arg-0 clam-0 (cons clam-1 '())))) (((csegen-50) ((let ((eff-10 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-14 (vector-ref eta-3 1))) (vector 1 (eta-2 e-14))))))))))) (lambda (arg-10) (lambda (arg-11) ((((eff-10 'erased) 'erased) arg-10) arg-11)))) (csegen-2180))) eff-9))))))))) (let ((eff-9 ((u--isUnchanged arg-6) arg-5))) (PrimIO-io_bind eff-9 (lambda (lcase-9) (case (vector-ref lcase-9 0) ((0) (let ((e-2 (vector-ref lcase-9 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-14 (vector-ref lcase-9 1))) (let ((eff-10 (let ((eff-10 (let ((eff-10 (IdrisC-45ProcessIdr-missingIncremental arg-0 arg-6))) (((csegen-50) ((let ((eff-11 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-15 (vector-ref eta-3 1))) (vector 1 (eta-2 e-15))))))))))) (lambda (arg-10) (lambda (arg-11) ((((eff-11 'erased) 'erased) arg-10) arg-11)))) (csegen-2180))) eff-10)))) (PrimIO-io_bind eff-10 (lambda (lcase-10) (case (vector-ref lcase-10 0) ((0) (let ((e-2 (vector-ref lcase-10 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-15 (vector-ref lcase-10 1))) (let ((eff-11 (let ((sc11 (cond ((equal? e-14 1) (let ((sc13 (PreludeC-45Types-u--C-61C-61_Eq_C-40ListC-32C-36aC-41 (csegen-5292) (DataC-45List-sort (csegen-5308) u--importInterfaceHashes) (DataC-45List-sort (csegen-5308) e-12)))) (cond ((equal? sc13 1) e-15) (else 0)))) (else 0)))) (cond ((equal? sc11 1) (let ((eff-11 (CoreC-45Context-setNS arg-0 (CoreC-45NameC-45Namespace-miAsNamespace u--ns)))) (PrimIO-io_bind eff-11 (csegen-2241)))) (else (let ((eff-11 (IdrisC-45REPLC-45Common-iputStrLn arg-0 arg-4 arg-7))) (PrimIO-io_bind eff-11 (lambda (lcase-11) (case (vector-ref lcase-11 0) ((0) (let ((e-2 (vector-ref lcase-11 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-12 (let ((eff-12 (CoreC-45ContextC-45Log-logTime arg-0 2 (lambda () (string-append "Parsing " arg-5)) (lambda (eta-0) (vector 1 (ParserC-45Source-runParser 0 (vector 0 arg-9) (ParserC-45Unlit-isLitFile arg-5) arg-8 (vector 10 0 0 (IdrisC-45Parser-prog (vector 0 arg-9)) (lambda (u--p) (vector 12 0 0 (ParserC-45RuleC-45Source-eoi) (vector 0 u--p)))))))))) (PrimIO-io_bind eff-12 (lambda (lcase-12) (case (vector-ref lcase-12 0) ((0) (let ((e-2 (vector-ref lcase-12 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-17 (vector-ref lcase-12 1))) (let ((eff-13 (case (vector-ref e-17 0) ((1) (let ((e-2 (vector-ref e-17 1))) (let ((e-19 (car e-2))) (let ((e-18 (cdr e-2))) (let ((e-21 (car e-18))) (let ((e-20 (cdr e-18))) (let ((e-23 (car e-21))) (let ((e-22 (cdr e-21))) (let ((eff-13 (CoreC-45Core-traverse_ (lambda (eta-0) (CoreC-45Context-recordWarning arg-0 eta-0)) e-19))) (PrimIO-io_bind eff-13 (lambda (lcase-13) (case (vector-ref lcase-13 0) ((0) (let ((e-3 (vector-ref lcase-13 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-14 (let ((eff-14 (CoreC-45ContextC-45Log-log arg-0 (csegen-5310) 10 (lambda () (DataC-45String-fastUnlines (cons ((csegen-0) "Recording doc") (cons (let ((e-3 (vector-ref e-7 3))) e-3) (cons (string-append ((csegen-0) "and imports ") (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-5314) (let ((e-25 (vector-ref e-7 2))) e-25))) (cons (string-append ((csegen-0) "for module ") (CoreC-45NameC-45Namespace-u--show_Show_ModuleIdent (let ((e-1 (vector-ref e-7 1))) e-1))) '()))))))))) (PrimIO-io_bind eff-14 (lambda (lcase-14) (case (vector-ref lcase-14 0) ((0) (let ((e-3 (vector-ref lcase-14 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-15 (let ((eff-15 (IdrisC-45Syntax-addModDocInfo arg-2 (let ((e-1 (vector-ref e-7 1))) e-1) (let ((e-3 (vector-ref e-7 3))) e-3) (PreludeC-45TypesC-45List-filterAppend '() (lambda (eta-0) (let ((e-1 (vector-ref eta-0 1))) e-1)) (let ((e-26 (vector-ref e-7 2))) e-26))))) (PrimIO-io_bind eff-15 (lambda (lcase-15) (case (vector-ref lcase-15 0) ((0) (let ((e-3 (vector-ref lcase-15 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-16 (let ((eff-16 (CoreC-45Metadata-addSemanticDecorations arg-3 arg-0 e-23))) (PrimIO-io_bind eff-16 (lambda (lcase-16) (case (vector-ref lcase-16 0) ((0) (let ((e-3 (vector-ref lcase-16 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-17 (let ((eff-17 (let ((eff-17 (let ((eff-17 arg-2)) (PrimIO-io_bind (let ((eff-18 eff-17)) (lambda (eta-0) (unbox eff-18))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-17 (lambda (lcase-17) (case (vector-ref lcase-17 0) ((0) (let ((e-3 (vector-ref lcase-17 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-28 (vector-ref lcase-17 1))) (let ((eff-18 (let ((eff-18 arg-2)) (PrimIO-io_bind (let ((eff-19 eff-18)) (lambda (eta-0) (set-box! eff-19 (let ((e-0 (vector-ref e-28 0))) (let ((e-1 (vector-ref e-28 1))) (let ((e-37 (vector-ref e-28 2))) (let ((e-3 (vector-ref e-28 3))) (let ((e-4 (vector-ref e-28 4))) (let ((e-36 (vector-ref e-28 5))) (let ((e-35 (vector-ref e-28 6))) (let ((e-34 (vector-ref e-28 7))) (let ((e-33 (vector-ref e-28 8))) (let ((e-32 (vector-ref e-28 9))) (let ((e-31 (vector-ref e-28 10))) (let ((e-30 (vector-ref e-28 11))) (vector e-0 e-1 e-37 e-3 e-4 e-36 e-35 e-34 e-33 e-32 e-31 e-30 e-22)))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-18))))))))) (PrimIO-io_bind eff-17 (lambda (lcase-17) (case (vector-ref lcase-17 0) ((0) (let ((e-3 (vector-ref lcase-17 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-18 (let ((eff-18 (CoreC-45Context-initHash arg-0))) (PrimIO-io_bind eff-18 (lambda (lcase-18) (case (vector-ref lcase-18 0) ((0) (let ((e-3 (vector-ref lcase-18 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-19 (let ((eff-19 (CoreC-45Core-traverse_ (lambda (eta-0) (IdrisC-45ProcessIdr-addPublicHash arg-0 eta-0)) (DataC-45List-sort (vector (cons (lambda (arg-528) (lambda (arg-531) (PreludeC-45EqOrd-u--C-61C-61_Eq_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-2644) (csegen-5292) arg-528 arg-531))) (lambda (arg-538) (lambda (arg-541) (PreludeC-45EqOrd-u--C-47C-61_Eq_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-2644) (csegen-5292) arg-538 arg-541)))) (lambda (arg-1418) (lambda (arg-1421) (PreludeC-45EqOrd-u--compare_Ord_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-5327) (csegen-5308) arg-1418 arg-1421))) (lambda (arg-1428) (lambda (arg-1431) (PreludeC-45EqOrd-u--C-60_Ord_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-5327) (csegen-5308) arg-1428 arg-1431))) (lambda (arg-1438) (lambda (arg-1441) (PreludeC-45EqOrd-u--C-62_Ord_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-5327) (csegen-5308) arg-1438 arg-1441))) (lambda (arg-1448) (lambda (arg-1451) (PreludeC-45EqOrd-u--C-60C-61_Ord_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-5327) (csegen-5308) arg-1448 arg-1451))) (lambda (arg-1458) (lambda (arg-1461) (PreludeC-45EqOrd-u--C-62C-61_Ord_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-5327) (csegen-5308) arg-1458 arg-1461))) (lambda (arg-1468) (lambda (arg-1471) (PreludeC-45EqOrd-u--max_Ord_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-5327) (csegen-5308) arg-1468 arg-1471))) (lambda (arg-1478) (lambda (arg-1481) (PreludeC-45EqOrd-u--min_Ord_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-5327) (csegen-5308) arg-1478 arg-1481)))) e-8)))) (PrimIO-io_bind eff-19 (lambda (lcase-19) (case (vector-ref lcase-19 0) ((0) (let ((e-3 (vector-ref lcase-19 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-20 (let ((eff-20 (CoreC-45UnifyState-resetNextVar arg-1))) (PrimIO-io_bind eff-20 (lambda (lcase-20) (case (vector-ref lcase-20 0) ((0) (let ((e-3 (vector-ref lcase-20 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-21 (let ((eff-21 (lambda (clam-1) (let ((sc26 (CoreC-45NameC-45Namespace-u--C-47C-61_Eq_ModuleIdent u--ns (CoreC-45NameC-45Namespace-nsAsModuleIdent (CoreC-45NameC-45Namespace-mainNS))))) (cond ((equal? sc26 1) (let ((sc27 (CoreC-45NameC-45Namespace-u--C-47C-61_Eq_ModuleIdent u--ns arg-9))) (cond ((equal? sc27 1) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (let ((e-0 (vector-ref e-20 0))) e-0) (string-append ((csegen-0) "Module name ") (string-append (CoreC-45NameC-45Namespace-u--show_Show_ModuleIdent u--ns) (string-append ((csegen-0) " does not match file name ") (PreludeC-45Show-u--show_Show_String arg-5))))) clam-1)) (else (vector 1 (vector 0 )))))) (else (vector 1 (vector 0 )))))))) (PrimIO-io_bind eff-21 (lambda (lcase-21) (case (vector-ref lcase-21 0) ((0) (let ((e-3 (vector-ref lcase-21 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-22 (let ((eff-22 (CoreC-45ContextC-45Log-logTime arg-0 2 (lambda () ((csegen-0) "Reading imports")) (CoreC-45Core-traverse_ (lambda (eta-0) (IdrisC-45ProcessIdr-readImport arg-0 arg-1 arg-2 0 eta-0)) u--allImports)))) (PrimIO-io_bind eff-22 (lambda (lcase-22) (case (vector-ref lcase-22 0) ((0) (let ((e-3 (vector-ref lcase-22 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-23 (let ((eff-23 (CoreC-45Context-setNS arg-0 (CoreC-45NameC-45Namespace-miAsNamespace u--ns)))) (PrimIO-io_bind eff-23 (lambda (lcase-23) (case (vector-ref lcase-23 0) ((0) (let ((e-3 (vector-ref lcase-23 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-24 (let ((eff-24 (CoreC-45ContextC-45Log-logTime arg-0 2 (lambda () ((csegen-0) "Processing decls")) (IdrisC-45ProcessIdr-processDecls arg-0 arg-1 arg-2 arg-3 arg-4 (let ((e-4 (vector-ref e-20 4))) e-4))))) (PrimIO-io_bind eff-24 (lambda (lcase-24) (case (vector-ref lcase-24 0) ((0) (let ((e-3 (vector-ref lcase-24 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-35 (vector-ref lcase-24 1))) (let ((eff-25 (let ((eff-25 (let ((sc30 (DataC-45List-isNil e-35))) (cond ((equal? sc30 1) (CoreC-45ContextC-45Log-logTime arg-0 2 (lambda () ((csegen-0) "Compile defs")) (CompilerC-45Inline-compileAndInlineAll arg-0))) (else (lambda (eta-0) (vector 1 (vector 0 )))))))) (PrimIO-io_bind eff-25 (lambda (lcase-25) (case (vector-ref lcase-25 0) ((0) (let ((e-3 (vector-ref lcase-25 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-26 (let ((eff-26 (let ((eff-26 (let ((eff-26 arg-0)) (PrimIO-io_bind (let ((eff-27 eff-26)) (lambda (eta-0) (unbox eff-27))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-26 (lambda (lcase-26) (case (vector-ref lcase-26 0) ((0) (let ((e-3 (vector-ref lcase-26 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-37 (vector-ref lcase-26 1))) (let ((eff-27 (let ((eff-27 arg-0)) (PrimIO-io_bind (let ((eff-28 eff-27)) (lambda (eta-0) (set-box! eff-28 (let ((e-0 (vector-ref e-37 0))) (let ((e-1 (vector-ref e-37 1))) (let ((e-65 (vector-ref e-37 2))) (let ((e-3 (vector-ref e-37 3))) (let ((e-4 (vector-ref e-37 4))) (let ((e-64 (vector-ref e-37 5))) (let ((e-63 (vector-ref e-37 6))) (let ((e-62 (vector-ref e-37 7))) (let ((e-61 (vector-ref e-37 8))) (let ((e-60 (vector-ref e-37 9))) (let ((e-59 (vector-ref e-37 10))) (let ((e-58 (vector-ref e-37 11))) (let ((e-57 (vector-ref e-37 12))) (let ((e-56 (vector-ref e-37 13))) (let ((e-55 (vector-ref e-37 14))) (let ((e-54 (vector-ref e-37 15))) (let ((e-53 (vector-ref e-37 16))) (let ((e-51 (vector-ref e-37 18))) (let ((e-50 (vector-ref e-37 19))) (let ((e-49 (vector-ref e-37 20))) (let ((e-48 (vector-ref e-37 21))) (let ((e-47 (vector-ref e-37 22))) (let ((e-46 (vector-ref e-37 23))) (let ((e-45 (vector-ref e-37 24))) (let ((e-44 (vector-ref e-37 25))) (let ((e-43 (vector-ref e-37 26))) (let ((e-42 (vector-ref e-37 27))) (let ((e-41 (vector-ref e-37 28))) (let ((e-40 (vector-ref e-37 29))) (let ((e-39 (vector-ref e-37 30))) (let ((e-38 (vector-ref e-37 31))) (vector e-0 e-1 e-65 e-3 e-4 e-64 e-63 e-62 e-61 e-60 e-59 e-58 e-57 e-56 e-55 e-54 e-53 u--importInterfaceHashes e-51 e-50 e-49 e-48 e-47 e-46 e-45 e-44 e-43 e-42 e-41 e-40 e-39 e-38))))))))))))))))))))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-27))))))))) (PrimIO-io_bind eff-26 (lambda (lcase-26) (case (vector-ref lcase-26 0) ((0) (let ((e-3 (vector-ref lcase-26 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-27 (lambda (eta-0) (vector 1 (box e-35))))) eff-27)))))))) eff-26)))))))) eff-25))))))))) eff-24)))))))) eff-23)))))))) eff-22)))))))) eff-21)))))))) eff-20)))))))) eff-19)))))))) eff-18)))))))) eff-17)))))))) eff-16)))))))) eff-15)))))))) eff-14)))))))))))))) (else (let ((e-18 (vector-ref e-17 1))) (lambda (eta-0) (vector 1 (box (cons e-18 '()))))))))) eff-13))))))))) eff-12))))))))))) eff-11))))))))) eff-10)))))))))) eff-9)))))))) eff-8))))))))) eff-7)))))))) eff-6)))))))) eff-5)))))))))) eff-4))))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))) (lambda (u--err) (lambda (eta-0) (vector 1 (box (cons u--err '()))))))))
(define IdrisC-45ProcessIdr-processDecls (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (let ((eff-0 (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (IdrisC-45ProcessIdr-processDecl arg-0 arg-1 arg-2 arg-3 arg-4 eta-0)) arg-5 '()))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-6) (lambda (arg-7) ((((eff-1 'erased) 'erased) arg-6) arg-7)))) (csegen-3768))) eff-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45UnifyState-checkDelayedHoles arg-1 arg-0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-6) (let ((eff-2 (CoreC-45ContextC-45Log-logTime arg-0 3 (lambda () ((csegen-0) "Totality check overall")) (TTImpC-45ProcessDeclsC-45Totality-getTotalityErrors arg-0)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (PreludeC-45TypesC-45List-tailRecAppend e-5 e-7))))) eff-3))))))) (let ((e-2 (unbox e-6))) (lambda (eta-0) (vector 1 (let ((sc3 (PreludeC-45Types-u--null_Foldable_List e-5))) (cond ((equal? sc3 1) (cons e-2 '())) (else e-5))))))))) eff-2))))))))) eff-1)))))))))
(define IdrisC-45ProcessIdr-processDecl (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (case (vector-ref arg-5 0) ((12) (let ((e-2 (vector-ref arg-5 2))) (let ((e-3 (vector-ref arg-5 3))) (CoreC-45Context-withExtendedNS arg-0 e-2 (IdrisC-45ProcessIdr-processDecls arg-0 arg-1 arg-2 arg-3 arg-4 e-3))))) ((10) (let ((e-6 (vector-ref arg-5 2))) (let ((sc1 (IdrisC-45DesugarC-45Mutual-splitMutual e-6))) (let ((e-2 (car sc1))) (let ((e-3 (cdr sc1))) (IdrisC-45ProcessIdr-processDecls arg-0 arg-1 arg-2 arg-3 arg-4 (PreludeC-45TypesC-45List-tailRecAppend e-2 e-3)))))))(else (CoreC-45Core-u--catch_Catchable_Core_Error (let ((eff-0 (IdrisC-45Desugar-desugarDecl arg-2 arg-0 arg-1 arg-3 arg-4 '() arg-5))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Core-traverse_ (lambda (eta-0) (TTImpC-45ElabC-45Check-processDecl '() arg-0 arg-3 arg-1 arg-2 arg-4 '() '() '() eta-0)) e-5))) (PrimIO-io_bind eff-1 (csegen-1025))))) eff-1))))))) (lambda (u--err) (let ((eff-0 (CoreC-45Unify-giveUpConstraints arg-0 arg-1))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (lambda (eta-0) (vector 1 (cons u--err '()))))) eff-1))))))))))))
(define IdrisC-45ProcessIdr-process (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8) (let ((eff-0 (PrimIO-io_bind (SystemC-45FileC-45ReadWrite-readFile (csegen-40) arg-7) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (case (vector-ref e-5 0) ((1) (let ((e-2 (vector-ref e-5 1))) (CoreC-45Core-u--catch_Catchable_Core_Error (let ((eff-1 (CoreC-45Directory-getTTCFileName arg-0 arg-7 "ttc"))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-3 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45ContextC-45Log-logTime arg-0 1 (lambda () (string-append ((csegen-0) "Elaborating ") arg-7)) (IdrisC-45ProcessIdr-processMod arg-0 arg-2 arg-3 arg-1 arg-4 arg-7 e-6 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 arg-5 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 ((csegen-331) "Building") arg-6)) e-2 arg-8)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-3 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (if (null? e-7) (let ((eff-3 (CoreC-45ContextC-45Log-log arg-0 "module" 10 (lambda () (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--show_Show_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 arg-5 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 ((csegen-331) "Skipping") arg-6))))))) (PrimIO-io_bind eff-3 (csegen-1025))) (let ((e-1 (unbox e-7))) (let ((sc5 (DataC-45List-isNil e-1))) (cond ((equal? sc5 1) (let ((eff-3 (CoreC-45Directory-ctxtPathToNS arg-0 arg-7))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-3 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Directory-makeBuildDirectory arg-0 e-8))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-3 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-5 (let ((eff-5 (let ((eff-5 (CoreC-45Context-getSession arg-0))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-3 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-10 (vector-ref lcase-5 1))) (let ((eff-6 (CoreC-45Core-traverse_ (lambda (u--cg) (let ((eff-6 (IdrisC-45ProcessIdr-getCG arg-4 arg-0 u--cg))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-3 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-11 (vector-ref lcase-6 1))) (let ((eff-7 (if (null? e-11) (PrimIO-io_bind (PreludeC-45IO-putStrLn (csegen-40) (string-append ((csegen-0) "No incremental code generator for ") (CoreC-45Options-u--show_Show_CG u--cg))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))) (let ((e-3 (unbox e-11))) (let ((eff-7 (CompilerC-45Common-incCompile arg-0 arg-3 e-3 arg-7))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-4 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-12 (vector-ref lcase-7 1))) (let ((eff-8 (if (null? e-12) (lambda (eta-0) (vector 1 (vector 0 ))) (let ((e-4 (unbox e-12))) (CoreC-45Context-setIncData arg-0 u--cg e-4))))) eff-8))))))))))) eff-7)))))))) (let ((e-21 (vector-ref e-10 21))) e-21)))) eff-6))))))))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-3 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-6 (let ((eff-6 (let ((eff-6 (let ((eff-6 arg-3)) (PrimIO-io_bind (let ((eff-7 eff-6)) (lambda (eta-0) (unbox eff-7))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-3 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-11 (vector-ref lcase-6 1))) (let ((eff-7 (CoreC-45Binary-writeToTTC (cons (cons (lambda (arg-6988) (lambda (arg-6991) (IdrisC-45Syntax-u--full_HasNames_SyntaxInfo arg-6988 arg-6991))) (lambda (arg-6998) (lambda (arg-7001) (IdrisC-45Syntax-u--resolved_HasNames_SyntaxInfo arg-6998 arg-7001)))) (csegen-5282)) arg-0 arg-2 e-11 arg-7 e-6))) eff-7))))))))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-3 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-7 (let ((eff-7 (CoreC-45Directory-getTTCFileName arg-0 arg-7 "ttm"))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-3 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-12 (vector-ref lcase-7 1))) (let ((eff-8 (let ((eff-8 (CoreC-45Metadata-writeToTTM arg-0 arg-1 e-12))) (PrimIO-io_bind eff-8 (csegen-1025))))) eff-8))))))))) eff-7)))))))) eff-6)))))))) eff-5)))))))) eff-4)))))))) (else (lambda (eta-0) (vector 1 e-1))))))))) eff-3))))))))) eff-2))))))) (lambda (u--err) (lambda (eta-0) (vector 1 (cons u--err '()))))))) (else (let ((e-6 (vector-ref e-5 1))) (lambda (eta-0) (vector 1 (cons (vector 51 arg-7 e-6) '())))))))) eff-1)))))))))
(define IdrisC-45ProcessIdr-prelude(blodwen-lazy (lambda () (vector (vector 0 (vector 2 (vector 0 )) (cons 0 0) (cons 0 0)) 0 (CoreC-45NameC-45Namespace-nsAsModuleIdent (CoreC-45NameC-45Namespace-preludeNS)) (CoreC-45NameC-45Namespace-preludeNS)))))
(define IdrisC-45ProcessIdr-missingIncremental (lambda (arg-0 arg-1) (CoreC-45Core-u--catch_Catchable_Core_Error (let ((eff-0 (CoreC-45Context-getSession arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((sc1 (PreludeC-45Types-elem (csegen-16) (csegen-1640) (let ((e-4 (vector-ref e-5 4))) e-4) (let ((e-21 (vector-ref e-5 21))) e-21)))) (cond ((equal? sc1 1) (let ((eff-1 (CoreC-45Binary-readIncData arg-1))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (DataC-45Maybe-isNothing (DataC-45List-lookup (csegen-1640) (let ((e-4 (vector-ref e-5 4))) e-4) e-6)))))) eff-2)))))))) (else (lambda (eta-0) (vector 1 0))))))) eff-1))))))) (lambda (u--error) (lambda (eta-0) (vector 1 0))))))
(define IdrisC-45ProcessIdr-isTTCOutdated (lambda (arg-0 arg-1 arg-2) (let ((eff-0 (CoreC-45BinaryC-45Prims-modTime arg-1))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45BinaryC-45Prims-modTime eta-0)) arg-2 '()))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45ContextC-45Log-log arg-0 "module.hash" 20 (lambda () (DataC-45String-fastUnlines (cons (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons "Checking whether source code mod times are newer than " (cons (PreludeC-45Show-u--show_Show_Int e-5) (cons "; src times:" '())))) (DataC-45List-u--zipWith_Zippable_List (lambda (u--src) (lambda (u--tm) (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons u--src (cons " : " (cons (PreludeC-45Show-u--show_Show_Int u--tm) '())))))) arg-2 e-6))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (lambda (eta-0) (vector 1 (PreludeC-45Interfaces-any (csegen-16) (lambda (arg-3) (PreludeC-45EqOrd-u--C-62C-61_Ord_Int arg-3 e-5)) e-6))))) eff-3)))))))) eff-2))))))))) eff-1)))))))))
(define IdrisC-45ProcessIdr-getCG (lambda (arg-0 arg-1 arg-2) (case (vector-ref arg-2 0) ((0) (lambda (eta-0) (vector 1 (box (CompilerC-45SchemeC-45Chez-codegenChez))))) ((1) (lambda (eta-0) (vector 1 (box (CompilerC-45SchemeC-45ChezSep-codegenChezSep))))) ((2) (lambda (eta-0) (vector 1 (box (CompilerC-45SchemeC-45Racket-codegenRacket))))) ((3) (lambda (eta-0) (vector 1 (box (CompilerC-45SchemeC-45Gambit-codegenGambit))))) ((4) (lambda (eta-0) (vector 1 (box (CompilerC-45ESC-45Node-codegenNode))))) ((5) (lambda (eta-0) (vector 1 (box (CompilerC-45ESC-45Javascript-codegenJavascript))))) ((6) (lambda (eta-0) (vector 1 (box (CompilerC-45RefCC-45RefC-codegenRefC))))) ((7) (lambda (eta-0) (vector 1 (box (CompilerC-45InterpreterC-45VMCode-codegenVMCodeInterp))))) (else (let ((e-0 (vector-ref arg-2 1))) (IdrisC-45REPLC-45Opts-getCodegen arg-0 e-0))))))
(define IdrisC-45ProcessIdr-findCG (lambda (arg-0 arg-1) (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (IdrisC-45ProcessIdr-getCG arg-0 arg-1 (let ((e-4 (vector-ref e-5 4))) (let ((e-40 (vector-ref e-4 2))) (let ((e-62 (vector-ref e-40 4))) e-62)))))) eff-1)))))))))
(define IdrisC-45ProcessIdr-addPublicHash (lambda (arg-0 arg-1) (if (null? arg-1) (lambda (eta-0) (vector 1 (vector 0 ))) (let ((e-2 (car arg-1))) (let ((e-3 (cdr arg-1))) (cond ((equal? e-2 1) (if (null? e-3) (lambda (eta-0) (vector 1 (vector 0 ))) (let ((e-6 (car e-3))) (let ((e-7 (cdr e-3))) (let ((eff-0 (CoreC-45Context-addHash arg-0 (cons (lambda (arg-2985) (CoreC-45Hash-u--hash_Hashable_Namespace arg-2985)) (lambda (arg-2991) (lambda (arg-2994) (CoreC-45Hash-u--hashWithSalt_Hashable_Namespace arg-2991 arg-2994)))) e-6))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45Context-addHash arg-0 (csegen-1686) e-7))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-2 (CoreC-45ContextC-45Log-log arg-0 "module.hash" 15 (lambda () (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons "Adding hash for a public import of " (cons (CoreC-45NameC-45Namespace-u--show_Show_Namespace e-6) '()))))))) eff-2)))))))) eff-1))))))))))(else (lambda (eta-0) (vector 1 (vector 0 ))))))))))
(define IdrisC-45ProcessIdr-addPrelude (lambda (arg-0) (let ((sc0 (PreludeC-45Types-elem (csegen-16) (csegen-353) (CoreC-45NameC-45Namespace-nsAsModuleIdent (CoreC-45NameC-45Namespace-preludeNS)) ((csegen-5366) arg-0)))) (cond ((equal? sc0 1) arg-0) (else (cons (IdrisC-45ProcessIdr-prelude) arg-0))))))
(define IdrisC-45ProcessIdr-addImport (lambda (arg-0 arg-1 arg-2 arg-3) (let ((eff-0 (CoreC-45Context-getNS arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (IdrisC-45ProcessIdr-readImport arg-0 arg-1 arg-2 1 arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (CoreC-45Context-setNS arg-0 e-5))) eff-2)))))))) eff-1)))))))))
(define IdrisC-45SyntaxC-45TTC-u--toBuf_TTC_SyntaxInfo (lambda (arg-0 arg-1) (let ((eff-0 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40ListC-32C-36aC-41 (csegen-5382) arg-0 (LibrariesC-45DataC-45StringMap-toList (let ((e-0 (vector-ref arg-1 0))) e-0))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40ListC-32C-36aC-41 (csegen-5390) arg-0 (LibrariesC-45DataC-45StringMap-toList (let ((e-1 (vector-ref arg-1 1))) e-1))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40ListC-32C-36aC-41 (csegen-5394) arg-0 (PreludeC-45TypesC-45List-filterAppend '() (lambda (u--n) (PreludeC-45Types-elemBy (csegen-16) (csegen-5395) (Builtin-fst u--n) (let ((e-2 (vector-ref arg-1 2))) e-2))) (LibrariesC-45DataC-45SortedMap-toList (let ((e-3 (vector-ref arg-1 3))) e-3)))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (let ((eff-3 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40ListC-32C-36aC-41 (csegen-5404) arg-0 (PreludeC-45TypesC-45List-filterAppend '() (lambda (u--n) (PreludeC-45Types-elemBy (csegen-16) (csegen-5395) (Builtin-fst u--n) (let ((e-2 (vector-ref arg-1 2))) e-2))) (LibrariesC-45DataC-45SortedMap-toList (let ((e-4 (vector-ref arg-1 4))) e-4)))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-4 (let ((eff-4 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40ListC-32C-36aC-41 (csegen-5410) arg-0 (PreludeC-45TypesC-45List-filterAppend '() (lambda (u--n) (PreludeC-45Types-elem (csegen-16) (csegen-1008) (Builtin-fst u--n) (let ((e-16 (vector-ref arg-1 5))) e-16))) (LibrariesC-45DataC-45ANameMap-toList (let ((e-15 (vector-ref arg-1 6))) e-15)))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-5 (let ((eff-5 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40ListC-32C-36aC-41 (csegen-5414) arg-0 (PreludeC-45TypesC-45List-filterAppend '() (lambda (u--n) (DataC-45Maybe-isJust (LibrariesC-45DataC-45NameMap-lookup (Builtin-fst u--n) (let ((e-15 (vector-ref arg-1 7))) e-15)))) (LibrariesC-45DataC-45ANameMap-toList (let ((e-14 (vector-ref arg-1 8))) e-14)))))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-6 (let ((eff-6 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40ListC-32C-36aC-41 (csegen-64) arg-0 (let ((e-14 (vector-ref arg-1 9))) e-14)))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-2 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-7 (let ((eff-7 (TTImpC-45TTImpC-45TTC-u--toBuf_TTC_RawImp arg-0 (let ((e-13 (vector-ref arg-1 11))) e-13)))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-2 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-8 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40ListC-32C-36aC-41 (csegen-1945) arg-0 (let ((e-13 (vector-ref arg-1 12))) e-13)))) eff-8)))))))) eff-7)))))))) eff-6)))))))) eff-5)))))))) eff-4)))))))) eff-3)))))))) eff-2)))))))) eff-1))))))))
(define IdrisC-45SyntaxC-45TTC-u--toBuf_TTC_Method (lambda (arg-0 arg-1) (let ((e-0 (vector-ref arg-1 0))) (let ((e-1 (vector-ref arg-1 1))) (let ((e-2 (vector-ref arg-1 2))) (let ((e-3 (vector-ref arg-1 3))) (let ((eff-0 (CoreC-45TTC-u--toBuf_TTC_Name arg-0 e-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45TTC-u--toBuf_TTC_RigCount arg-0 e-1))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40MaybeC-32C-36aC-41 (csegen-5416) arg-0 e-2))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-3 (TTImpC-45TTImpC-45TTC-u--toBuf_TTC_RawImp arg-0 e-3))) eff-3)))))))) eff-2)))))))) eff-1))))))))))))
(define IdrisC-45SyntaxC-45TTC-u--toBuf_TTC_Import (lambda (arg-0 arg-1) (let ((e-0 (vector-ref arg-1 0))) (let ((e-1 (vector-ref arg-1 1))) (let ((e-2 (vector-ref arg-1 2))) (let ((e-3 (vector-ref arg-1 3))) (let ((eff-0 (CoreC-45TTC-u--toBuf_TTC_FC arg-0 e-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_Bool arg-0 e-1))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45TTC-u--toBuf_TTC_ModuleIdent arg-0 e-2))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-3 (CoreC-45TTC-u--toBuf_TTC_Namespace arg-0 e-3))) eff-3)))))))) eff-2)))))))) eff-1))))))))))))
(define IdrisC-45SyntaxC-45TTC-u--toBuf_TTC_IFaceInfo (lambda (arg-0 arg-1) (let ((e-0 (vector-ref arg-1 0))) (let ((e-1 (vector-ref arg-1 1))) (let ((e-2 (vector-ref arg-1 2))) (let ((e-3 (vector-ref arg-1 3))) (let ((e-4 (vector-ref arg-1 4))) (let ((e-5 (vector-ref arg-1 5))) (let ((eff-0 (CoreC-45TTC-u--toBuf_TTC_Name arg-0 e-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40ListC-32C-36aC-41 (csegen-64) arg-0 e-1))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40ListC-32C-36aC-41 (csegen-64) arg-0 e-2))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((eff-3 (let ((eff-3 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40ListC-32C-36aC-41 (csegen-5418) arg-0 e-3))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-9 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((eff-4 (let ((eff-4 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40ListC-32C-36aC-41 (csegen-5420) arg-0 e-4))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-10 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((eff-5 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40ListC-32C-36aC-41 (csegen-5429) arg-0 e-5))) eff-5)))))))) eff-4)))))))) eff-3)))))))) eff-2)))))))) eff-1))))))))))))))
(define IdrisC-45SyntaxC-45TTC-u--toBuf_TTC_Fixity (lambda (arg-0 arg-1) (cond ((equal? arg-1 0) (CoreC-45BinaryC-45Prims-tag arg-0 0)) ((equal? arg-1 1) (CoreC-45BinaryC-45Prims-tag arg-0 1)) ((equal? arg-1 2) (CoreC-45BinaryC-45Prims-tag arg-0 2)) (else (CoreC-45BinaryC-45Prims-tag arg-0 3)))))
(define IdrisC-45SyntaxC-45TTC-u--fromBuf_TTC_SyntaxInfo (lambda (arg-0) (let ((eff-0 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40ListC-32C-36aC-41 (csegen-5382) arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40ListC-32C-36aC-41 (csegen-5390) arg-0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40ListC-32C-36aC-41 (csegen-5394) arg-0))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40ListC-32C-36aC-41 (csegen-5404) arg-0))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40ListC-32C-36aC-41 (csegen-5410) arg-0))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (let ((eff-5 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40ListC-32C-36aC-41 (csegen-5414) arg-0))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-10 (vector-ref lcase-5 1))) (let ((eff-6 (let ((eff-6 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40ListC-32C-36aC-41 (csegen-64) arg-0))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-2 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-11 (vector-ref lcase-6 1))) (let ((eff-7 (let ((eff-7 (TTImpC-45TTImpC-45TTC-u--fromBuf_TTC_RawImp arg-0))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-2 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-12 (vector-ref lcase-7 1))) (let ((eff-8 (let ((eff-8 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40ListC-32C-36aC-41 (csegen-1945) arg-0))) (PrimIO-io_bind eff-8 (lambda (lcase-8) (case (vector-ref lcase-8 0) ((0) (let ((e-2 (vector-ref lcase-8 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-13 (vector-ref lcase-8 1))) (let ((eff-9 (lambda (eta-0) (vector 1 (vector (LibrariesC-45DataC-45StringMap-fromList e-5) (LibrariesC-45DataC-45StringMap-fromList e-6) '() (LibrariesC-45DataC-45SortedMap-fromList (csegen-361) e-7) (LibrariesC-45DataC-45SortedMap-fromList (csegen-361) e-8) '() (LibrariesC-45DataC-45ANameMap-fromList e-9) (LibrariesC-45DataC-45NameMap-empty) (LibrariesC-45DataC-45ANameMap-fromList e-10) e-11 '() e-12 e-13))))) eff-9))))))))) eff-8))))))))) eff-7))))))))) eff-6))))))))) eff-5))))))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))
(define IdrisC-45SyntaxC-45TTC-u--fromBuf_TTC_Method (lambda (arg-0) (let ((eff-0 (CoreC-45TTC-u--fromBuf_TTC_Name arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45TTC-u--fromBuf_TTC_RigCount arg-0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40MaybeC-32C-36aC-41 (csegen-5416) arg-0))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (TTImpC-45TTImpC-45TTC-u--fromBuf_TTC_RawImp arg-0))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector e-5 e-6 e-7 e-8))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))
(define IdrisC-45SyntaxC-45TTC-u--fromBuf_TTC_Import (lambda (arg-0) (let ((eff-0 (CoreC-45TTC-u--fromBuf_TTC_FC arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_Bool arg-0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45TTC-u--fromBuf_TTC_ModuleIdent arg-0))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45TTC-u--fromBuf_TTC_Namespace arg-0))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector e-5 e-6 e-7 e-8))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))
(define IdrisC-45SyntaxC-45TTC-u--fromBuf_TTC_IFaceInfo (lambda (arg-0) (let ((eff-0 (CoreC-45TTC-u--fromBuf_TTC_Name arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40ListC-32C-36aC-41 (csegen-64) arg-0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40ListC-32C-36aC-41 (csegen-64) arg-0))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40ListC-32C-36aC-41 (csegen-5418) arg-0))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40ListC-32C-36aC-41 (csegen-5420) arg-0))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (let ((eff-5 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40ListC-32C-36aC-41 (csegen-5429) arg-0))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-10 (vector-ref lcase-5 1))) (let ((eff-6 (lambda (eta-0) (vector 1 (vector e-5 e-6 e-7 e-8 e-9 e-10))))) eff-6))))))))) eff-5))))))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))
(define IdrisC-45SyntaxC-45TTC-u--fromBuf_TTC_Fixity (lambda (arg-0) (let ((eff-0 (CoreC-45BinaryC-45Prims-getTag arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (clam-0) (cond ((equal? e-5 0) (vector 1 0)) ((equal? e-5 1) (vector 1 1)) ((equal? e-5 2) (vector 1 2)) ((equal? e-5 3) (vector 1 3))(else (CoreC-45BinaryC-45Prims-corrupt "Fixity" clam-0)))))) eff-1)))))))))
(define TTImpC-45TTImpC-45TTC-u--toBuf_TTC_RawImp (lambda (arg-0 arg-1) (case (vector-ref arg-1 0) ((0) (let ((e-1 (vector-ref arg-1 1))) (let ((e-2 (vector-ref arg-1 2))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-0 0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45TTC-u--toBuf_TTC_FC arg-0 e-1))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-3 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-2 (CoreC-45TTC-u--toBuf_TTC_Name arg-0 e-2))) eff-2)))))))) eff-1))))))))) ((1) (let ((e-4 (vector-ref arg-1 1))) (let ((e-5 (vector-ref arg-1 2))) (let ((e-6 (vector-ref arg-1 3))) (let ((e-7 (vector-ref arg-1 4))) (let ((e-8 (vector-ref arg-1 5))) (let ((e-9 (vector-ref arg-1 6))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-0 1))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45TTC-u--toBuf_TTC_FC arg-0 e-4))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45TTC-u--toBuf_TTC_RigCount arg-0 e-5))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (let ((eff-3 (CoreC-45TTC-u--toBuf_TTC_C-40PiInfoC-32C-36tC-41 (csegen-5418) arg-0 e-6))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-4 (let ((eff-4 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40MaybeC-32C-36aC-41 (csegen-64) arg-0 e-7))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-5 (let ((eff-5 (TTImpC-45TTImpC-45TTC-u--toBuf_TTC_RawImp arg-0 e-8))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-6 (TTImpC-45TTImpC-45TTC-u--toBuf_TTC_RawImp arg-0 e-9))) eff-6)))))))) eff-5)))))))) eff-4)))))))) eff-3)))))))) eff-2)))))))) eff-1))))))))))))) ((2) (let ((e-11 (vector-ref arg-1 1))) (let ((e-12 (vector-ref arg-1 2))) (let ((e-13 (vector-ref arg-1 3))) (let ((e-14 (vector-ref arg-1 4))) (let ((e-15 (vector-ref arg-1 5))) (let ((e-16 (vector-ref arg-1 6))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-0 2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45TTC-u--toBuf_TTC_FC arg-0 e-11))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45TTC-u--toBuf_TTC_RigCount arg-0 e-12))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (let ((eff-3 (CoreC-45TTC-u--toBuf_TTC_C-40PiInfoC-32C-36tC-41 (csegen-5418) arg-0 e-13))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-4 (let ((eff-4 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40MaybeC-32C-36aC-41 (csegen-64) arg-0 e-14))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-5 (let ((eff-5 (TTImpC-45TTImpC-45TTC-u--toBuf_TTC_RawImp arg-0 e-15))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-6 (TTImpC-45TTImpC-45TTC-u--toBuf_TTC_RawImp arg-0 e-16))) eff-6)))))))) eff-5)))))))) eff-4)))))))) eff-3)))))))) eff-2)))))))) eff-1))))))))))))) ((3) (let ((e-18 (vector-ref arg-1 1))) (let ((e-19 (vector-ref arg-1 2))) (let ((e-20 (vector-ref arg-1 3))) (let ((e-21 (vector-ref arg-1 4))) (let ((e-22 (vector-ref arg-1 5))) (let ((e-23 (vector-ref arg-1 6))) (let ((e-24 (vector-ref arg-1 7))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-0 3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45TTC-u--toBuf_TTC_FC arg-0 e-18))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45TTC-u--toBuf_TTC_FC arg-0 e-19))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (let ((eff-3 (CoreC-45TTC-u--toBuf_TTC_RigCount arg-0 e-20))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-4 (let ((eff-4 (CoreC-45TTC-u--toBuf_TTC_Name arg-0 e-21))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-5 (let ((eff-5 (TTImpC-45TTImpC-45TTC-u--toBuf_TTC_RawImp arg-0 e-22))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-6 (let ((eff-6 (TTImpC-45TTImpC-45TTC-u--toBuf_TTC_RawImp arg-0 e-23))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-2 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-7 (TTImpC-45TTImpC-45TTC-u--toBuf_TTC_RawImp arg-0 e-24))) eff-7)))))))) eff-6)))))))) eff-5)))))))) eff-4)))))))) eff-3)))))))) eff-2)))))))) eff-1)))))))))))))) ((4) (let ((e-26 (vector-ref arg-1 1))) (let ((e-27 (vector-ref arg-1 2))) (let ((e-28 (vector-ref arg-1 3))) (let ((e-29 (vector-ref arg-1 4))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-0 4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45TTC-u--toBuf_TTC_FC arg-0 e-26))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (TTImpC-45TTImpC-45TTC-u--toBuf_TTC_RawImp arg-0 e-27))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (let ((eff-3 (TTImpC-45TTImpC-45TTC-u--toBuf_TTC_RawImp arg-0 e-28))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-4 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40ListC-32C-36aC-41 (csegen-5422) arg-0 e-29))) eff-4)))))))) eff-3)))))))) eff-2)))))))) eff-1))))))))))) ((5) (let ((e-31 (vector-ref arg-1 1))) (let ((e-32 (vector-ref arg-1 2))) (let ((e-33 (vector-ref arg-1 3))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-0 5))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45TTC-u--toBuf_TTC_FC arg-0 e-31))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40ListC-32C-36aC-41 (csegen-5432) arg-0 e-32))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (TTImpC-45TTImpC-45TTC-u--toBuf_TTC_RawImp arg-0 e-33))) eff-3)))))))) eff-2)))))))) eff-1)))))))))) ((6) (let ((e-39 (vector-ref arg-1 5))) (TTImpC-45TTImpC-45TTC-u--toBuf_TTC_RawImp arg-0 e-39))) ((7) (let ((e-41 (vector-ref arg-1 1))) (let ((e-42 (vector-ref arg-1 2))) (let ((e-43 (vector-ref arg-1 3))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-0 6))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45TTC-u--toBuf_TTC_FC arg-0 e-41))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40ListC-32C-36aC-41 (csegen-5434) arg-0 e-42))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (TTImpC-45TTImpC-45TTC-u--toBuf_TTC_RawImp arg-0 e-43))) eff-3)))))))) eff-2)))))))) eff-1)))))))))) ((8) (let ((e-45 (vector-ref arg-1 1))) (let ((e-46 (vector-ref arg-1 2))) (let ((e-47 (vector-ref arg-1 3))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-0 7))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45TTC-u--toBuf_TTC_FC arg-0 e-45))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (TTImpC-45TTImpC-45TTC-u--toBuf_TTC_RawImp arg-0 e-46))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (TTImpC-45TTImpC-45TTC-u--toBuf_TTC_RawImp arg-0 e-47))) eff-3)))))))) eff-2)))))))) eff-1)))))))))) ((10) (let ((e-49 (vector-ref arg-1 1))) (let ((e-50 (vector-ref arg-1 2))) (let ((e-51 (vector-ref arg-1 3))) (let ((e-52 (vector-ref arg-1 4))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-0 8))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45TTC-u--toBuf_TTC_FC arg-0 e-49))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (TTImpC-45TTImpC-45TTC-u--toBuf_TTC_RawImp arg-0 e-50))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (let ((eff-3 (CoreC-45TTC-u--toBuf_TTC_Name arg-0 e-51))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-4 (TTImpC-45TTImpC-45TTC-u--toBuf_TTC_RawImp arg-0 e-52))) eff-4)))))))) eff-3)))))))) eff-2)))))))) eff-1))))))))))) ((11) (let ((e-54 (vector-ref arg-1 1))) (let ((e-55 (vector-ref arg-1 2))) (let ((e-56 (vector-ref arg-1 3))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-0 9))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45TTC-u--toBuf_TTC_FC arg-0 e-54))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (TTImpC-45TTImpC-45TTC-u--toBuf_TTC_RawImp arg-0 e-55))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (TTImpC-45TTImpC-45TTC-u--toBuf_TTC_RawImp arg-0 e-56))) eff-3)))))))) eff-2)))))))) eff-1)))))))))) ((12) (let ((e-58 (vector-ref arg-1 1))) (let ((e-59 (vector-ref arg-1 2))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-0 10))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45TTC-u--toBuf_TTC_FC arg-0 e-58))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_Nat arg-0 e-59))) eff-2)))))))) eff-1))))))))) ((13) (let ((e-61 (vector-ref arg-1 1))) (let ((e-62 (vector-ref arg-1 2))) (let ((e-63 (vector-ref arg-1 3))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-0 11))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45TTC-u--toBuf_TTC_FC arg-0 e-61))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (TTImpC-45TTImpC-45TTC-u--toBuf_TTC_AltType arg-0 e-62))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40ListC-32C-36aC-41 (csegen-5418) arg-0 e-63))) eff-3)))))))) eff-2)))))))) eff-1)))))))))) ((14) (let ((e-65 (vector-ref arg-1 1))) (let ((e-66 (vector-ref arg-1 2))) (let ((e-67 (vector-ref arg-1 3))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-0 12))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45TTC-u--toBuf_TTC_FC arg-0 e-65))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (TTImpC-45TTImpC-45TTC-u--toBuf_TTC_RawImp arg-0 e-66))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (TTImpC-45TTImpC-45TTC-u--toBuf_TTC_RawImp arg-0 e-67))) eff-3)))))))) eff-2)))))))) eff-1)))))))))) ((15) (let ((e-69 (vector-ref arg-1 1))) (let ((e-70 (vector-ref arg-1 2))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-0 13))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45TTC-u--toBuf_TTC_FC arg-0 e-69))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (TTImpC-45TTImpC-45TTC-u--toBuf_TTC_RawImp arg-0 e-70))) eff-2)))))))) eff-1))))))))) ((16) (let ((e-72 (vector-ref arg-1 1))) (let ((e-73 (vector-ref arg-1 2))) (let ((e-74 (vector-ref arg-1 3))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-0 14))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45TTC-u--toBuf_TTC_FC arg-0 e-72))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (TTImpC-45TTImpC-45TTC-u--toBuf_TTC_BindMode arg-0 e-73))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (TTImpC-45TTImpC-45TTC-u--toBuf_TTC_RawImp arg-0 e-74))) eff-3)))))))) eff-2)))))))) eff-1)))))))))) ((17) (let ((e-76 (vector-ref arg-1 1))) (let ((e-77 (vector-ref arg-1 2))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-0 15))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45TTC-u--toBuf_TTC_FC arg-0 e-76))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_String arg-0 e-77))) eff-2)))))))) eff-1))))))))) ((18) (let ((e-79 (vector-ref arg-1 1))) (let ((e-80 (vector-ref arg-1 2))) (let ((e-81 (vector-ref arg-1 3))) (let ((e-82 (vector-ref arg-1 4))) (let ((e-83 (vector-ref arg-1 5))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-0 16))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45TTC-u--toBuf_TTC_FC arg-0 e-79))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45TTC-u--toBuf_TTC_FC arg-0 e-80))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (let ((eff-3 (CoreC-45TTC-u--toBuf_TTC_UseSide arg-0 e-81))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-4 (let ((eff-4 (CoreC-45TTC-u--toBuf_TTC_Name arg-0 e-82))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-5 (TTImpC-45TTImpC-45TTC-u--toBuf_TTC_RawImp arg-0 e-83))) eff-5)))))))) eff-4)))))))) eff-3)))))))) eff-2)))))))) eff-1)))))))))))) ((19) (let ((e-85 (vector-ref arg-1 1))) (let ((e-87 (vector-ref arg-1 3))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-0 17))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45TTC-u--toBuf_TTC_FC arg-0 e-85))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (TTImpC-45TTImpC-45TTC-u--toBuf_TTC_RawImp arg-0 e-87))) eff-2)))))))) eff-1))))))))) ((20) (let ((e-89 (vector-ref arg-1 1))) (let ((e-90 (vector-ref arg-1 2))) (let ((e-91 (vector-ref arg-1 3))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-0 18))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45TTC-u--toBuf_TTC_FC arg-0 e-89))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45TTC-u--toBuf_TTC_LazyReason arg-0 e-90))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (TTImpC-45TTImpC-45TTC-u--toBuf_TTC_RawImp arg-0 e-91))) eff-3)))))))) eff-2)))))))) eff-1)))))))))) ((21) (let ((e-93 (vector-ref arg-1 1))) (let ((e-94 (vector-ref arg-1 2))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-0 19))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45TTC-u--toBuf_TTC_FC arg-0 e-93))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (TTImpC-45TTImpC-45TTC-u--toBuf_TTC_RawImp arg-0 e-94))) eff-2)))))))) eff-1))))))))) ((22) (let ((e-96 (vector-ref arg-1 1))) (let ((e-97 (vector-ref arg-1 2))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-0 20))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45TTC-u--toBuf_TTC_FC arg-0 e-96))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (TTImpC-45TTImpC-45TTC-u--toBuf_TTC_RawImp arg-0 e-97))) eff-2)))))))) eff-1))))))))) ((23) (let ((e-99 (vector-ref arg-1 1))) (let ((e-100 (vector-ref arg-1 2))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-0 21))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45TTC-u--toBuf_TTC_FC arg-0 e-99))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (TTImpC-45TTImpC-45TTC-u--toBuf_TTC_RawImp arg-0 e-100))) eff-2)))))))) eff-1))))))))) ((24) (let ((e-102 (vector-ref arg-1 1))) (let ((e-103 (vector-ref arg-1 2))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-0 22))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45TTC-u--toBuf_TTC_FC arg-0 e-102))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (CoreC-45TTC-u--toBuf_TTC_Name arg-0 e-103))) eff-2)))))))) eff-1))))))))) ((25) (let ((e-105 (vector-ref arg-1 1))) (let ((e-106 (vector-ref arg-1 2))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-0 23))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45TTC-u--toBuf_TTC_FC arg-0 e-105))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40ListC-32C-36aC-41 (csegen-5432) arg-0 e-106))) eff-2)))))))) eff-1))))))))) ((26) (let ((e-108 (vector-ref arg-1 1))) (let ((e-109 (vector-ref arg-1 2))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-0 24))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45TTC-u--toBuf_TTC_FC arg-0 e-108))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (TTImpC-45TTImpC-45TTC-u--toBuf_TTC_RawImp arg-0 e-109))) eff-2)))))))) eff-1))))))))) ((27) (let ((e-111 (vector-ref arg-1 1))) (let ((e-112 (vector-ref arg-1 2))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-0 25))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45TTC-u--toBuf_TTC_FC arg-0 e-111))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (TTImpC-45TTImpC-45TTC-u--toBuf_TTC_RawImp arg-0 e-112))) eff-2)))))))) eff-1))))))))) ((28) (let ((e-114 (vector-ref arg-1 1))) (let ((e-115 (vector-ref arg-1 2))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-0 26))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45TTC-u--toBuf_TTC_FC arg-0 e-114))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (CoreC-45TTC-u--toBuf_TTC_Constant arg-0 e-115))) eff-2)))))))) eff-1))))))))) ((29) (let ((e-117 (vector-ref arg-1 1))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-0 27))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45TTC-u--toBuf_TTC_FC arg-0 e-117))) eff-1)))))))) ((30) (let ((e-119 (vector-ref arg-1 1))) (let ((e-120 (vector-ref arg-1 2))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-0 28))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45TTC-u--toBuf_TTC_FC arg-0 e-119))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_String arg-0 e-120))) eff-2)))))))) eff-1))))))))) ((31) (let ((e-124 (vector-ref arg-1 3))) (TTImpC-45TTImpC-45TTC-u--toBuf_TTC_RawImp arg-0 e-124))) ((32) (let ((e-126 (vector-ref arg-1 1))) (let ((e-127 (vector-ref arg-1 2))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-0 29))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45TTC-u--toBuf_TTC_FC arg-0 e-126))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_Bool arg-0 e-127))) eff-2)))))))) eff-1))))))))) ((33) (let ((e-130 (vector-ref arg-1 2))) (let ((e-131 (vector-ref arg-1 3))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-0 30))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40ListC-32C-36aC-41 (csegen-5438) arg-0 e-130))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (TTImpC-45TTImpC-45TTC-u--toBuf_TTC_RawImp arg-0 e-131))) eff-2)))))))) eff-1))))))))) (else (let ((e-133 (vector-ref arg-1 1))) (let ((e-134 (vector-ref arg-1 2))) (let ((e-135 (vector-ref arg-1 3))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-0 31))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45TTC-u--toBuf_TTC_FC arg-0 e-133))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (TTImpC-45TTImpC-45TTC-u--toBuf_TTC_RawImp arg-0 e-134))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (TTImpC-45TTImpC-45TTC-u--toBuf_TTC_RawImp arg-0 e-135))) eff-3)))))))) eff-2)))))))) eff-1)))))))))))))
(define TTImpC-45TTImpC-45TTC-u--toBuf_TTC_ImpTy (lambda (arg-0 arg-1) (let ((e-1 (vector-ref arg-1 0))) (let ((e-2 (vector-ref arg-1 1))) (let ((e-3 (vector-ref arg-1 2))) (let ((e-4 (vector-ref arg-1 3))) (let ((eff-0 (CoreC-45TTC-u--toBuf_TTC_FC arg-0 e-1))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45TTC-u--toBuf_TTC_FC arg-0 e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-6 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45TTC-u--toBuf_TTC_Name arg-0 e-3))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-7 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((eff-3 (TTImpC-45TTImpC-45TTC-u--toBuf_TTC_RawImp arg-0 e-4))) eff-3)))))))) eff-2)))))))) eff-1))))))))))))
(define TTImpC-45TTImpC-45TTC-u--toBuf_TTC_ImpRecord (lambda (arg-0 arg-1) (let ((e-1 (vector-ref arg-1 0))) (let ((e-2 (vector-ref arg-1 1))) (let ((e-3 (vector-ref arg-1 2))) (let ((e-4 (vector-ref arg-1 3))) (let ((e-5 (vector-ref arg-1 4))) (let ((e-6 (vector-ref arg-1 5))) (let ((eff-0 (CoreC-45TTC-u--toBuf_TTC_FC arg-0 e-1))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-7 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45TTC-u--toBuf_TTC_Name arg-0 e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-8 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40ListC-32C-36aC-41 (csegen-5455) arg-0 e-3))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-9 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((eff-3 (let ((eff-3 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40ListC-32C-36aC-41 (csegen-5457) arg-0 e-4))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((eff-4 (let ((eff-4 (CoreC-45TTC-u--toBuf_TTC_Name arg-0 e-5))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((eff-5 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40ListC-32C-36aC-41 (csegen-5459) arg-0 e-6))) eff-5)))))))) eff-4)))))))) eff-3)))))))) eff-2)))))))) eff-1))))))))))))))
(define TTImpC-45TTImpC-45TTC-u--toBuf_TTC_ImpDecl (lambda (arg-0 arg-1) (case (vector-ref arg-1 0) ((0) (let ((e-1 (vector-ref arg-1 1))) (let ((e-2 (vector-ref arg-1 2))) (let ((e-3 (vector-ref arg-1 3))) (let ((e-4 (vector-ref arg-1 4))) (let ((e-5 (vector-ref arg-1 5))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-0 0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45TTC-u--toBuf_TTC_FC arg-0 e-1))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45TTC-u--toBuf_TTC_RigCount arg-0 e-2))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((eff-3 (let ((eff-3 (CoreC-45TTC-u--toBuf_TTC_Visibility arg-0 e-3))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-9 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((eff-4 (let ((eff-4 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40ListC-32C-36aC-41 (csegen-5461) arg-0 e-4))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-10 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((eff-5 (TTImpC-45TTImpC-45TTC-u--toBuf_TTC_ImpTy arg-0 e-5))) eff-5)))))))) eff-4)))))))) eff-3)))))))) eff-2)))))))) eff-1)))))))))))) ((1) (let ((e-7 (vector-ref arg-1 1))) (let ((e-8 (vector-ref arg-1 2))) (let ((e-9 (vector-ref arg-1 3))) (let ((e-10 (vector-ref arg-1 4))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-0 1))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45TTC-u--toBuf_TTC_FC arg-0 e-7))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45TTC-u--toBuf_TTC_Visibility arg-0 e-8))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (let ((eff-3 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40MaybeC-32C-36aC-41 (csegen-5416) arg-0 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-4 (TTImpC-45TTImpC-45TTC-u--toBuf_TTC_ImpData arg-0 e-10))) eff-4)))))))) eff-3)))))))) eff-2)))))))) eff-1))))))))))) ((2) (let ((e-12 (vector-ref arg-1 1))) (let ((e-13 (vector-ref arg-1 2))) (let ((e-14 (vector-ref arg-1 3))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-0 2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45TTC-u--toBuf_TTC_FC arg-0 e-12))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45TTC-u--toBuf_TTC_Name arg-0 e-13))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40ListC-32C-36aC-41 (csegen-5422) arg-0 e-14))) eff-3)))))))) eff-2)))))))) eff-1)))))))))) ((3) (let ((e-16 (vector-ref arg-1 1))) (let ((e-17 (vector-ref arg-1 2))) (let ((e-18 (vector-ref arg-1 3))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-0 3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45TTC-u--toBuf_TTC_FC arg-0 e-16))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40ListC-32C-36aC-41 (csegen-5455) arg-0 e-17))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40ListC-32C-36aC-41 (csegen-5432) arg-0 e-18))) eff-3)))))))) eff-2)))))))) eff-1)))))))))) ((4) (let ((e-20 (vector-ref arg-1 1))) (let ((e-21 (vector-ref arg-1 2))) (let ((e-22 (vector-ref arg-1 3))) (let ((e-23 (vector-ref arg-1 4))) (let ((e-24 (vector-ref arg-1 5))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-0 4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45TTC-u--toBuf_TTC_FC arg-0 e-20))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40MaybeC-32C-36aC-41 (csegen-1945) arg-0 e-21))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (let ((eff-3 (CoreC-45TTC-u--toBuf_TTC_Visibility arg-0 e-22))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-4 (let ((eff-4 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40MaybeC-32C-36aC-41 (csegen-5416) arg-0 e-23))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-5 (TTImpC-45TTImpC-45TTC-u--toBuf_TTC_ImpRecord arg-0 e-24))) eff-5)))))))) eff-4)))))))) eff-3)))))))) eff-2)))))))) eff-1)))))))))))) ((6) (let ((e-26 (vector-ref arg-1 1))) (let ((e-27 (vector-ref arg-1 2))) (let ((e-28 (vector-ref arg-1 3))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-0 5))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45TTC-u--toBuf_TTC_FC arg-0 e-26))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45TTC-u--toBuf_TTC_Namespace arg-0 e-27))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40ListC-32C-36aC-41 (csegen-5432) arg-0 e-28))) eff-3)))))))) eff-2)))))))) eff-1)))))))))) ((7) (let ((e-30 (vector-ref arg-1 1))) (let ((e-31 (vector-ref arg-1 2))) (let ((e-32 (vector-ref arg-1 3))) (let ((e-33 (vector-ref arg-1 4))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-0 6))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45TTC-u--toBuf_TTC_FC arg-0 e-30))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45TTC-u--toBuf_TTC_Name arg-0 e-31))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (let ((eff-3 (TTImpC-45TTImpC-45TTC-u--toBuf_TTC_RawImp arg-0 e-32))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-4 (TTImpC-45TTImpC-45TTC-u--toBuf_TTC_RawImp arg-0 e-33))) eff-4)))))))) eff-3)))))))) eff-2)))))))) eff-1))))))))))) ((8) (let ((e-35 (vector-ref arg-1 1))) (let ((e-36 (vector-ref arg-1 2))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-0 7))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45TTC-u--toBuf_TTC_FC arg-0 e-35))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (TTImpC-45TTImpC-45TTC-u--toBuf_TTC_RawImp arg-0 e-36))) eff-2)))))))) eff-1))))))))) ((9) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 "Can't write Pragma") eta-0))) ((10) (let ((e-42 (vector-ref arg-1 1))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-0 8))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40MaybeC-32C-36aC-41 (csegen-5466) arg-0 e-42))) eff-1)))))))) ((11) (let ((e-44 (vector-ref arg-1 1))) (let ((e-45 (vector-ref arg-1 2))) (let ((e-46 (vector-ref arg-1 3))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-0 9))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45TTC-u--toBuf_TTC_FC arg-0 e-44))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45ContextC-45TTC-u--toBuf_TTC_BuiltinType arg-0 e-45))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (CoreC-45TTC-u--toBuf_TTC_Name arg-0 e-46))) eff-3)))))))) eff-2)))))))) eff-1)))))))))) (else (lambda (eta-0) (vector 1 (vector 0 )))))))
(define TTImpC-45TTImpC-45TTC-u--toBuf_TTC_ImpData (lambda (arg-0 arg-1) (case (vector-ref arg-1 0) ((0) (let ((e-1 (vector-ref arg-1 1))) (let ((e-2 (vector-ref arg-1 2))) (let ((e-3 (vector-ref arg-1 3))) (let ((e-4 (vector-ref arg-1 4))) (let ((e-5 (vector-ref arg-1 5))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-0 0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45TTC-u--toBuf_TTC_FC arg-0 e-1))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45TTC-u--toBuf_TTC_Name arg-0 e-2))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((eff-3 (let ((eff-3 (TTImpC-45TTImpC-45TTC-u--toBuf_TTC_RawImp arg-0 e-3))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-9 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((eff-4 (let ((eff-4 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40ListC-32C-36aC-41 (csegen-5457) arg-0 e-4))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-10 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((eff-5 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40ListC-32C-36aC-41 (csegen-5468) arg-0 e-5))) eff-5)))))))) eff-4)))))))) eff-3)))))))) eff-2)))))))) eff-1)))))))))))) (else (let ((e-7 (vector-ref arg-1 1))) (let ((e-8 (vector-ref arg-1 2))) (let ((e-9 (vector-ref arg-1 3))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-0 1))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45TTC-u--toBuf_TTC_FC arg-0 e-7))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45TTC-u--toBuf_TTC_Name arg-0 e-8))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (TTImpC-45TTImpC-45TTC-u--toBuf_TTC_RawImp arg-0 e-9))) eff-3)))))))) eff-2)))))))) eff-1)))))))))))))
(define TTImpC-45TTImpC-45TTC-u--toBuf_TTC_ImpClause (lambda (arg-0 arg-1) (case (vector-ref arg-1 0) ((0) (let ((e-1 (vector-ref arg-1 1))) (let ((e-2 (vector-ref arg-1 2))) (let ((e-3 (vector-ref arg-1 3))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-0 0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45TTC-u--toBuf_TTC_FC arg-0 e-1))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-2 (let ((eff-2 (TTImpC-45TTImpC-45TTC-u--toBuf_TTC_RawImp arg-0 e-2))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-3 (TTImpC-45TTImpC-45TTC-u--toBuf_TTC_RawImp arg-0 e-3))) eff-3)))))))) eff-2)))))))) eff-1)))))))))) ((2) (let ((e-5 (vector-ref arg-1 1))) (let ((e-6 (vector-ref arg-1 2))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-0 1))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45TTC-u--toBuf_TTC_FC arg-0 e-5))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (TTImpC-45TTImpC-45TTC-u--toBuf_TTC_RawImp arg-0 e-6))) eff-2)))))))) eff-1))))))))) (else (let ((e-8 (vector-ref arg-1 1))) (let ((e-9 (vector-ref arg-1 2))) (let ((e-10 (vector-ref arg-1 3))) (let ((e-11 (vector-ref arg-1 4))) (let ((e-12 (vector-ref arg-1 5))) (let ((e-14 (vector-ref arg-1 7))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-0 2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45TTC-u--toBuf_TTC_FC arg-0 e-8))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (TTImpC-45TTImpC-45TTC-u--toBuf_TTC_RawImp arg-0 e-9))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (let ((eff-3 (CoreC-45TTC-u--toBuf_TTC_RigCount arg-0 e-10))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-4 (let ((eff-4 (TTImpC-45TTImpC-45TTC-u--toBuf_TTC_RawImp arg-0 e-11))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-5 (let ((eff-5 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40MaybeC-32C-36aC-41 (csegen-64) arg-0 e-12))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-6 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40ListC-32C-36aC-41 (csegen-5422) arg-0 e-14))) eff-6)))))))) eff-5)))))))) eff-4)))))))) eff-3)))))))) eff-2)))))))) eff-1))))))))))))))))
(define TTImpC-45TTImpC-45TTC-u--toBuf_TTC_IFieldUpdate (lambda (arg-0 arg-1) (case (vector-ref arg-1 0) ((0) (let ((e-1 (vector-ref arg-1 1))) (let ((e-2 (vector-ref arg-1 2))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-0 0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40ListC-32C-36aC-41 (csegen-1945) arg-0 e-1))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-3 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-2 (TTImpC-45TTImpC-45TTC-u--toBuf_TTC_RawImp arg-0 e-2))) eff-2)))))))) eff-1))))))))) (else (let ((e-4 (vector-ref arg-1 1))) (let ((e-5 (vector-ref arg-1 2))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-0 1))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40ListC-32C-36aC-41 (csegen-1945) arg-0 e-4))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (TTImpC-45TTImpC-45TTC-u--toBuf_TTC_RawImp arg-0 e-5))) eff-2)))))))) eff-1))))))))))))
(define TTImpC-45TTImpC-45TTC-u--toBuf_TTC_IField (lambda (arg-0 arg-1) (let ((e-1 (vector-ref arg-1 0))) (let ((e-2 (vector-ref arg-1 1))) (let ((e-3 (vector-ref arg-1 2))) (let ((e-4 (vector-ref arg-1 3))) (let ((e-5 (vector-ref arg-1 4))) (let ((eff-0 (CoreC-45TTC-u--toBuf_TTC_FC arg-0 e-1))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45TTC-u--toBuf_TTC_RigCount arg-0 e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45TTC-u--toBuf_TTC_C-40PiInfoC-32C-36tC-41 (csegen-5418) arg-0 e-3))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((eff-3 (let ((eff-3 (CoreC-45TTC-u--toBuf_TTC_Name arg-0 e-4))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-9 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((eff-4 (TTImpC-45TTImpC-45TTC-u--toBuf_TTC_RawImp arg-0 e-5))) eff-4)))))))) eff-3)))))))) eff-2)))))))) eff-1)))))))))))))
(define TTImpC-45TTImpC-45TTC-u--toBuf_TTC_FnOpt (lambda (arg-0 arg-1) (case (vector-ref arg-1 0) ((0) (CoreC-45BinaryC-45Prims-tag arg-0 0)) ((1) (CoreC-45BinaryC-45Prims-tag arg-0 12)) ((3) (CoreC-45BinaryC-45Prims-tag arg-0 11)) ((2) (CoreC-45BinaryC-45Prims-tag arg-0 14)) ((4) (let ((e-5 (vector-ref arg-1 1))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-0 1))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_Bool arg-0 e-5))) eff-1)))))))) ((5) (let ((e-7 (vector-ref arg-1 1))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-0 2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_Bool arg-0 e-7))) eff-1)))))))) ((6) (CoreC-45BinaryC-45Prims-tag arg-0 3)) ((7) (let ((e-10 (vector-ref arg-1 1))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-0 4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40ListC-32C-36aC-41 (csegen-5418) arg-0 e-10))) eff-1)))))))) ((8) (let ((e-12 (vector-ref arg-1 1))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-0 15))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40ListC-32C-36aC-41 (csegen-5418) arg-0 e-12))) eff-1)))))))) ((9) (CoreC-45BinaryC-45Prims-tag arg-0 5)) ((10) (let ((e-15 (vector-ref arg-1 1))) (cond ((equal? e-15 0) (CoreC-45BinaryC-45Prims-tag arg-0 6)) ((equal? e-15 1) (CoreC-45BinaryC-45Prims-tag arg-0 7)) (else (CoreC-45BinaryC-45Prims-tag arg-0 8))))) ((11) (CoreC-45BinaryC-45Prims-tag arg-0 9)) (else (let ((e-18 (vector-ref arg-1 1))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-0 10))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40ListC-32C-36aC-41 (csegen-64) arg-0 e-18))) eff-1)))))))))))
(define TTImpC-45TTImpC-45TTC-u--toBuf_TTC_DataOpt (lambda (arg-0 arg-1) (case (vector-ref arg-1 0) ((0) (let ((e-0 (vector-ref arg-1 1))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-0 0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45BinaryC-45Prims-u--toBuf_TTC_C-40ListC-32C-36aC-41 (csegen-64) arg-0 e-0))) eff-1)))))))) ((1) (CoreC-45BinaryC-45Prims-tag arg-0 1)) ((2) (CoreC-45BinaryC-45Prims-tag arg-0 2)) ((3) (CoreC-45BinaryC-45Prims-tag arg-0 3)) (else (CoreC-45BinaryC-45Prims-tag arg-0 4)))))
(define TTImpC-45TTImpC-45TTC-u--toBuf_TTC_BindMode (lambda (arg-0 arg-1) (case (vector-ref arg-1 0) ((0) (let ((e-0 (vector-ref arg-1 1))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-0 0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45TTC-u--toBuf_TTC_RigCount arg-0 e-0))) eff-1)))))))) ((1) (CoreC-45BinaryC-45Prims-tag arg-0 1)) ((3) (CoreC-45BinaryC-45Prims-tag arg-0 2)) (else (CoreC-45BinaryC-45Prims-tag arg-0 3)))))
(define TTImpC-45TTImpC-45TTC-u--toBuf_TTC_AltType (lambda (arg-0 arg-1) (case (vector-ref arg-1 0) ((0) (CoreC-45BinaryC-45Prims-tag arg-0 0)) ((1) (CoreC-45BinaryC-45Prims-tag arg-0 1)) (else (let ((e-3 (vector-ref arg-1 1))) (let ((eff-0 (CoreC-45BinaryC-45Prims-tag arg-0 2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (TTImpC-45TTImpC-45TTC-u--toBuf_TTC_RawImp arg-0 e-3))) eff-1)))))))))))
(define TTImpC-45TTImpC-45TTC-u--fromBuf_TTC_RawImp (lambda (arg-0) (let ((eff-0 (CoreC-45BinaryC-45Prims-getTag arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (cond ((equal? e-5 0) (let ((eff-1 (CoreC-45TTC-u--fromBuf_TTC_FC arg-0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45TTC-u--fromBuf_TTC_Name arg-0))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (vector 0 e-6 e-7))))) eff-3))))))))) eff-2)))))))) ((equal? e-5 1) (let ((eff-1 (CoreC-45TTC-u--fromBuf_TTC_FC arg-0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45TTC-u--fromBuf_TTC_RigCount arg-0))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45TTC-u--fromBuf_TTC_C-40PiInfoC-32C-36tC-41 (csegen-5418) arg-0))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40MaybeC-32C-36aC-41 (csegen-64) arg-0))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (let ((eff-5 (TTImpC-45TTImpC-45TTC-u--fromBuf_TTC_RawImp arg-0))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-10 (vector-ref lcase-5 1))) (let ((eff-6 (let ((eff-6 (TTImpC-45TTImpC-45TTC-u--fromBuf_TTC_RawImp arg-0))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-2 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-11 (vector-ref lcase-6 1))) (let ((eff-7 (lambda (eta-0) (vector 1 (vector 1 e-6 e-7 e-8 e-9 e-10 e-11))))) eff-7))))))))) eff-6))))))))) eff-5))))))))) eff-4))))))))) eff-3))))))))) eff-2)))))))) ((equal? e-5 2) (let ((eff-1 (CoreC-45TTC-u--fromBuf_TTC_FC arg-0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45TTC-u--fromBuf_TTC_RigCount arg-0))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45TTC-u--fromBuf_TTC_C-40PiInfoC-32C-36tC-41 (csegen-5418) arg-0))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40MaybeC-32C-36aC-41 (csegen-64) arg-0))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (let ((eff-5 (TTImpC-45TTImpC-45TTC-u--fromBuf_TTC_RawImp arg-0))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-10 (vector-ref lcase-5 1))) (let ((eff-6 (let ((eff-6 (TTImpC-45TTImpC-45TTC-u--fromBuf_TTC_RawImp arg-0))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-2 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-11 (vector-ref lcase-6 1))) (let ((eff-7 (lambda (eta-0) (vector 1 (vector 2 e-6 e-7 e-8 e-9 e-10 e-11))))) eff-7))))))))) eff-6))))))))) eff-5))))))))) eff-4))))))))) eff-3))))))))) eff-2)))))))) ((equal? e-5 3) (let ((eff-1 (CoreC-45TTC-u--fromBuf_TTC_FC arg-0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45TTC-u--fromBuf_TTC_FC arg-0))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45TTC-u--fromBuf_TTC_RigCount arg-0))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45TTC-u--fromBuf_TTC_Name arg-0))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (let ((eff-5 (TTImpC-45TTImpC-45TTC-u--fromBuf_TTC_RawImp arg-0))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-10 (vector-ref lcase-5 1))) (let ((eff-6 (let ((eff-6 (TTImpC-45TTImpC-45TTC-u--fromBuf_TTC_RawImp arg-0))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-2 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-11 (vector-ref lcase-6 1))) (let ((eff-7 (let ((eff-7 (TTImpC-45TTImpC-45TTC-u--fromBuf_TTC_RawImp arg-0))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-2 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-12 (vector-ref lcase-7 1))) (let ((eff-8 (lambda (eta-0) (vector 1 (vector 3 e-6 e-7 e-8 e-9 e-10 e-11 e-12))))) eff-8))))))))) eff-7))))))))) eff-6))))))))) eff-5))))))))) eff-4))))))))) eff-3))))))))) eff-2)))))))) ((equal? e-5 4) (let ((eff-1 (CoreC-45TTC-u--fromBuf_TTC_FC arg-0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45TTImpC-45TTC-u--fromBuf_TTC_RawImp arg-0))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (TTImpC-45TTImpC-45TTC-u--fromBuf_TTC_RawImp arg-0))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40ListC-32C-36aC-41 (csegen-5422) arg-0))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 4 e-6 e-7 e-8 e-9))))) eff-5))))))))) eff-4))))))))) eff-3))))))))) eff-2)))))))) ((equal? e-5 5) (let ((eff-1 (CoreC-45TTC-u--fromBuf_TTC_FC arg-0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40ListC-32C-36aC-41 (csegen-5432) arg-0))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (TTImpC-45TTImpC-45TTC-u--fromBuf_TTC_RawImp arg-0))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 5 e-6 e-7 e-8))))) eff-4))))))))) eff-3))))))))) eff-2)))))))) ((equal? e-5 6) (let ((eff-1 (CoreC-45TTC-u--fromBuf_TTC_FC arg-0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40ListC-32C-36aC-41 (csegen-5434) arg-0))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (TTImpC-45TTImpC-45TTC-u--fromBuf_TTC_RawImp arg-0))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 7 e-6 e-7 e-8))))) eff-4))))))))) eff-3))))))))) eff-2)))))))) ((equal? e-5 7) (let ((eff-1 (CoreC-45TTC-u--fromBuf_TTC_FC arg-0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45TTImpC-45TTC-u--fromBuf_TTC_RawImp arg-0))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (TTImpC-45TTImpC-45TTC-u--fromBuf_TTC_RawImp arg-0))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 8 e-6 e-7 e-8))))) eff-4))))))))) eff-3))))))))) eff-2)))))))) ((equal? e-5 8) (let ((eff-1 (CoreC-45TTC-u--fromBuf_TTC_FC arg-0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45TTImpC-45TTC-u--fromBuf_TTC_RawImp arg-0))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45TTC-u--fromBuf_TTC_Name arg-0))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (TTImpC-45TTImpC-45TTC-u--fromBuf_TTC_RawImp arg-0))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 10 e-6 e-7 e-8 e-9))))) eff-5))))))))) eff-4))))))))) eff-3))))))))) eff-2)))))))) ((equal? e-5 9) (let ((eff-1 (CoreC-45TTC-u--fromBuf_TTC_FC arg-0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45TTImpC-45TTC-u--fromBuf_TTC_RawImp arg-0))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (TTImpC-45TTImpC-45TTC-u--fromBuf_TTC_RawImp arg-0))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 11 e-6 e-7 e-8))))) eff-4))))))))) eff-3))))))))) eff-2)))))))) ((equal? e-5 10) (let ((eff-1 (CoreC-45TTC-u--fromBuf_TTC_FC arg-0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_Nat arg-0))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (vector 12 e-6 e-7))))) eff-3))))))))) eff-2)))))))) ((equal? e-5 11) (let ((eff-1 (CoreC-45TTC-u--fromBuf_TTC_FC arg-0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45TTImpC-45TTC-u--fromBuf_TTC_AltType arg-0))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40ListC-32C-36aC-41 (csegen-5418) arg-0))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 13 e-6 e-7 e-8))))) eff-4))))))))) eff-3))))))))) eff-2)))))))) ((equal? e-5 12) (let ((eff-1 (CoreC-45TTC-u--fromBuf_TTC_FC arg-0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45TTImpC-45TTC-u--fromBuf_TTC_RawImp arg-0))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (TTImpC-45TTImpC-45TTC-u--fromBuf_TTC_RawImp arg-0))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 14 e-6 e-7 e-8))))) eff-4))))))))) eff-3))))))))) eff-2)))))))) ((equal? e-5 13) (let ((eff-1 (CoreC-45TTC-u--fromBuf_TTC_FC arg-0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45TTImpC-45TTC-u--fromBuf_TTC_RawImp arg-0))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (vector 15 e-6 e-7))))) eff-3))))))))) eff-2)))))))) ((equal? e-5 14) (let ((eff-1 (CoreC-45TTC-u--fromBuf_TTC_FC arg-0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45TTImpC-45TTC-u--fromBuf_TTC_BindMode arg-0))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (TTImpC-45TTImpC-45TTC-u--fromBuf_TTC_RawImp arg-0))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 16 e-6 e-7 e-8))))) eff-4))))))))) eff-3))))))))) eff-2)))))))) ((equal? e-5 15) (let ((eff-1 (CoreC-45TTC-u--fromBuf_TTC_FC arg-0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_String arg-0))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (vector 17 e-6 e-7))))) eff-3))))))))) eff-2)))))))) ((equal? e-5 16) (let ((eff-1 (CoreC-45TTC-u--fromBuf_TTC_FC arg-0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45TTC-u--fromBuf_TTC_FC arg-0))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45TTC-u--fromBuf_TTC_UseSide arg-0))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45TTC-u--fromBuf_TTC_Name arg-0))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (let ((eff-5 (TTImpC-45TTImpC-45TTC-u--fromBuf_TTC_RawImp arg-0))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-10 (vector-ref lcase-5 1))) (let ((eff-6 (lambda (eta-0) (vector 1 (vector 18 e-6 e-7 e-8 e-9 e-10))))) eff-6))))))))) eff-5))))))))) eff-4))))))))) eff-3))))))))) eff-2)))))))) ((equal? e-5 17) (let ((eff-1 (CoreC-45TTC-u--fromBuf_TTC_FC arg-0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45TTImpC-45TTC-u--fromBuf_TTC_RawImp arg-0))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (vector 19 e-6 5 e-7))))) eff-3))))))))) eff-2)))))))) ((equal? e-5 18) (let ((eff-1 (CoreC-45TTC-u--fromBuf_TTC_FC arg-0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45TTC-u--fromBuf_TTC_LazyReason arg-0))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (TTImpC-45TTImpC-45TTC-u--fromBuf_TTC_RawImp arg-0))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 20 e-6 e-7 e-8))))) eff-4))))))))) eff-3))))))))) eff-2)))))))) ((equal? e-5 19) (let ((eff-1 (CoreC-45TTC-u--fromBuf_TTC_FC arg-0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45TTImpC-45TTC-u--fromBuf_TTC_RawImp arg-0))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (vector 21 e-6 e-7))))) eff-3))))))))) eff-2)))))))) ((equal? e-5 20) (let ((eff-1 (CoreC-45TTC-u--fromBuf_TTC_FC arg-0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45TTImpC-45TTC-u--fromBuf_TTC_RawImp arg-0))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (vector 22 e-6 e-7))))) eff-3))))))))) eff-2)))))))) ((equal? e-5 21) (let ((eff-1 (CoreC-45TTC-u--fromBuf_TTC_FC arg-0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45TTImpC-45TTC-u--fromBuf_TTC_RawImp arg-0))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (vector 23 e-6 e-7))))) eff-3))))))))) eff-2)))))))) ((equal? e-5 22) (let ((eff-1 (CoreC-45TTC-u--fromBuf_TTC_FC arg-0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45TTC-u--fromBuf_TTC_Name arg-0))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (vector 24 e-6 e-7))))) eff-3))))))))) eff-2)))))))) ((equal? e-5 23) (let ((eff-1 (CoreC-45TTC-u--fromBuf_TTC_FC arg-0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40ListC-32C-36aC-41 (csegen-5432) arg-0))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (vector 25 e-6 e-7))))) eff-3))))))))) eff-2)))))))) ((equal? e-5 24) (let ((eff-1 (CoreC-45TTC-u--fromBuf_TTC_FC arg-0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45TTImpC-45TTC-u--fromBuf_TTC_RawImp arg-0))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (vector 26 e-6 e-7))))) eff-3))))))))) eff-2)))))))) ((equal? e-5 25) (let ((eff-1 (CoreC-45TTC-u--fromBuf_TTC_FC arg-0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45TTImpC-45TTC-u--fromBuf_TTC_RawImp arg-0))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (vector 27 e-6 e-7))))) eff-3))))))))) eff-2)))))))) ((equal? e-5 26) (let ((eff-1 (CoreC-45TTC-u--fromBuf_TTC_FC arg-0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45TTC-u--fromBuf_TTC_Constant arg-0))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (vector 28 e-6 e-7))))) eff-3))))))))) eff-2)))))))) ((equal? e-5 27) (let ((eff-1 (CoreC-45TTC-u--fromBuf_TTC_FC arg-0))) (PrimIO-io_bind eff-1 (csegen-3005)))) ((equal? e-5 28) (let ((eff-1 (CoreC-45TTC-u--fromBuf_TTC_FC arg-0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_String arg-0))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (vector 30 e-6 e-7))))) eff-3))))))))) eff-2)))))))) ((equal? e-5 29) (let ((eff-1 (CoreC-45TTC-u--fromBuf_TTC_FC arg-0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_Bool arg-0))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (vector 32 e-6 e-7))))) eff-3))))))))) eff-2)))))))) ((equal? e-5 30) (let ((eff-1 (CoreC-45TTC-u--fromBuf_TTC_FC arg-0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40ListC-32C-36aC-41 (csegen-5438) arg-0))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (TTImpC-45TTImpC-45TTC-u--fromBuf_TTC_RawImp arg-0))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 33 e-6 e-7 e-8))))) eff-4))))))))) eff-3))))))))) eff-2)))))))) ((equal? e-5 31) (let ((eff-1 (CoreC-45TTC-u--fromBuf_TTC_FC arg-0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45TTImpC-45TTC-u--fromBuf_TTC_RawImp arg-0))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (TTImpC-45TTImpC-45TTC-u--fromBuf_TTC_RawImp arg-0))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 9 e-6 e-7 e-8))))) eff-4))))))))) eff-3))))))))) eff-2))))))))(else (lambda (eta-0) (CoreC-45BinaryC-45Prims-corrupt "RawImp" eta-0)))))) eff-1)))))))))
(define TTImpC-45TTImpC-45TTC-u--fromBuf_TTC_ImpTy (lambda (arg-0) (let ((eff-0 (CoreC-45TTC-u--fromBuf_TTC_FC arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45TTC-u--fromBuf_TTC_FC arg-0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45TTC-u--fromBuf_TTC_Name arg-0))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (TTImpC-45TTImpC-45TTC-u--fromBuf_TTC_RawImp arg-0))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector e-5 e-6 e-7 e-8))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))
(define TTImpC-45TTImpC-45TTC-u--fromBuf_TTC_ImpRecord (lambda (arg-0) (let ((eff-0 (CoreC-45TTC-u--fromBuf_TTC_FC arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45TTC-u--fromBuf_TTC_Name arg-0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40ListC-32C-36aC-41 (csegen-5455) arg-0))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40ListC-32C-36aC-41 (csegen-5457) arg-0))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45TTC-u--fromBuf_TTC_Name arg-0))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (let ((eff-5 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40ListC-32C-36aC-41 (csegen-5459) arg-0))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-10 (vector-ref lcase-5 1))) (let ((eff-6 (lambda (eta-0) (vector 1 (vector e-5 e-6 e-7 e-8 e-9 e-10))))) eff-6))))))))) eff-5))))))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))
(define TTImpC-45TTImpC-45TTC-u--fromBuf_TTC_ImpDecl (lambda (arg-0) (let ((eff-0 (CoreC-45BinaryC-45Prims-getTag arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (cond ((equal? e-5 0) (let ((eff-1 (CoreC-45TTC-u--fromBuf_TTC_FC arg-0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45TTC-u--fromBuf_TTC_RigCount arg-0))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45TTC-u--fromBuf_TTC_Visibility arg-0))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40ListC-32C-36aC-41 (csegen-5461) arg-0))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (let ((eff-5 (TTImpC-45TTImpC-45TTC-u--fromBuf_TTC_ImpTy arg-0))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-10 (vector-ref lcase-5 1))) (let ((eff-6 (lambda (eta-0) (vector 1 (vector 0 e-6 e-7 e-8 e-9 e-10))))) eff-6))))))))) eff-5))))))))) eff-4))))))))) eff-3))))))))) eff-2)))))))) ((equal? e-5 1) (let ((eff-1 (CoreC-45TTC-u--fromBuf_TTC_FC arg-0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45TTC-u--fromBuf_TTC_Visibility arg-0))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40MaybeC-32C-36aC-41 (csegen-5416) arg-0))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (TTImpC-45TTImpC-45TTC-u--fromBuf_TTC_ImpData arg-0))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 1 e-6 e-7 e-8 e-9))))) eff-5))))))))) eff-4))))))))) eff-3))))))))) eff-2)))))))) ((equal? e-5 2) (let ((eff-1 (CoreC-45TTC-u--fromBuf_TTC_FC arg-0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45TTC-u--fromBuf_TTC_Name arg-0))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40ListC-32C-36aC-41 (csegen-5422) arg-0))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 2 e-6 e-7 e-8))))) eff-4))))))))) eff-3))))))))) eff-2)))))))) ((equal? e-5 3) (let ((eff-1 (CoreC-45TTC-u--fromBuf_TTC_FC arg-0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40ListC-32C-36aC-41 (csegen-5455) arg-0))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40ListC-32C-36aC-41 (csegen-5432) arg-0))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 3 e-6 e-7 e-8))))) eff-4))))))))) eff-3))))))))) eff-2)))))))) ((equal? e-5 4) (let ((eff-1 (CoreC-45TTC-u--fromBuf_TTC_FC arg-0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40MaybeC-32C-36aC-41 (csegen-1945) arg-0))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45TTC-u--fromBuf_TTC_Visibility arg-0))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40MaybeC-32C-36aC-41 (csegen-5416) arg-0))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (let ((eff-5 (TTImpC-45TTImpC-45TTC-u--fromBuf_TTC_ImpRecord arg-0))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-10 (vector-ref lcase-5 1))) (let ((eff-6 (lambda (eta-0) (vector 1 (vector 4 e-6 e-7 e-8 e-9 e-10))))) eff-6))))))))) eff-5))))))))) eff-4))))))))) eff-3))))))))) eff-2)))))))) ((equal? e-5 5) (let ((eff-1 (CoreC-45TTC-u--fromBuf_TTC_FC arg-0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45TTC-u--fromBuf_TTC_Namespace arg-0))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40ListC-32C-36aC-41 (csegen-5432) arg-0))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 6 e-6 e-7 e-8))))) eff-4))))))))) eff-3))))))))) eff-2)))))))) ((equal? e-5 6) (let ((eff-1 (CoreC-45TTC-u--fromBuf_TTC_FC arg-0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45TTC-u--fromBuf_TTC_Name arg-0))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (TTImpC-45TTImpC-45TTC-u--fromBuf_TTC_RawImp arg-0))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (TTImpC-45TTImpC-45TTC-u--fromBuf_TTC_RawImp arg-0))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector 7 e-6 e-7 e-8 e-9))))) eff-5))))))))) eff-4))))))))) eff-3))))))))) eff-2)))))))) ((equal? e-5 7) (let ((eff-1 (CoreC-45TTC-u--fromBuf_TTC_FC arg-0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45TTImpC-45TTC-u--fromBuf_TTC_RawImp arg-0))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (vector 8 e-6 e-7))))) eff-3))))))))) eff-2)))))))) ((equal? e-5 8) (let ((eff-1 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40MaybeC-32C-36aC-41 (csegen-5466) arg-0))) (PrimIO-io_bind eff-1 (csegen-3032)))) ((equal? e-5 9) (let ((eff-1 (CoreC-45TTC-u--fromBuf_TTC_FC arg-0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45ContextC-45TTC-u--fromBuf_TTC_BuiltinType arg-0))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45TTC-u--fromBuf_TTC_Name arg-0))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 11 e-6 e-7 e-8))))) eff-4))))))))) eff-3))))))))) eff-2))))))))(else (lambda (eta-0) (CoreC-45BinaryC-45Prims-corrupt "ImpDecl" eta-0)))))) eff-1)))))))))
(define TTImpC-45TTImpC-45TTC-u--fromBuf_TTC_ImpData (lambda (arg-0) (let ((eff-0 (CoreC-45BinaryC-45Prims-getTag arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (cond ((equal? e-5 0) (let ((eff-1 (CoreC-45TTC-u--fromBuf_TTC_FC arg-0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45TTC-u--fromBuf_TTC_Name arg-0))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (TTImpC-45TTImpC-45TTC-u--fromBuf_TTC_RawImp arg-0))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40ListC-32C-36aC-41 (csegen-5457) arg-0))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (let ((eff-5 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40ListC-32C-36aC-41 (csegen-5468) arg-0))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-10 (vector-ref lcase-5 1))) (let ((eff-6 (lambda (eta-0) (vector 1 (vector 0 e-6 e-7 e-8 e-9 e-10))))) eff-6))))))))) eff-5))))))))) eff-4))))))))) eff-3))))))))) eff-2)))))))) ((equal? e-5 1) (let ((eff-1 (CoreC-45TTC-u--fromBuf_TTC_FC arg-0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45TTC-u--fromBuf_TTC_Name arg-0))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (TTImpC-45TTImpC-45TTC-u--fromBuf_TTC_RawImp arg-0))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 1 e-6 e-7 e-8))))) eff-4))))))))) eff-3))))))))) eff-2))))))))(else (lambda (eta-0) (CoreC-45BinaryC-45Prims-corrupt "ImpData" eta-0)))))) eff-1)))))))))
(define TTImpC-45TTImpC-45TTC-u--fromBuf_TTC_ImpClause (lambda (arg-0) (let ((eff-0 (CoreC-45BinaryC-45Prims-getTag arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (cond ((equal? e-5 0) (let ((eff-1 (CoreC-45TTC-u--fromBuf_TTC_FC arg-0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45TTImpC-45TTC-u--fromBuf_TTC_RawImp arg-0))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (TTImpC-45TTImpC-45TTC-u--fromBuf_TTC_RawImp arg-0))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 0 e-6 e-7 e-8))))) eff-4))))))))) eff-3))))))))) eff-2)))))))) ((equal? e-5 1) (let ((eff-1 (CoreC-45TTC-u--fromBuf_TTC_FC arg-0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45TTImpC-45TTC-u--fromBuf_TTC_RawImp arg-0))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (vector 2 e-6 e-7))))) eff-3))))))))) eff-2)))))))) ((equal? e-5 2) (let ((eff-1 (CoreC-45TTC-u--fromBuf_TTC_FC arg-0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45TTImpC-45TTC-u--fromBuf_TTC_RawImp arg-0))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45TTC-u--fromBuf_TTC_RigCount arg-0))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (TTImpC-45TTImpC-45TTC-u--fromBuf_TTC_RawImp arg-0))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (let ((eff-5 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40MaybeC-32C-36aC-41 (csegen-64) arg-0))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-10 (vector-ref lcase-5 1))) (let ((eff-6 (let ((eff-6 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40ListC-32C-36aC-41 (csegen-5422) arg-0))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-2 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-11 (vector-ref lcase-6 1))) (let ((eff-7 (lambda (eta-0) (vector 1 (vector 1 e-6 e-7 e-8 e-9 e-10 '() e-11))))) eff-7))))))))) eff-6))))))))) eff-5))))))))) eff-4))))))))) eff-3))))))))) eff-2))))))))(else (lambda (eta-0) (CoreC-45BinaryC-45Prims-corrupt "ImpClause" eta-0)))))) eff-1)))))))))
(define TTImpC-45TTImpC-45TTC-u--fromBuf_TTC_IFieldUpdate (lambda (arg-0) (let ((eff-0 (CoreC-45BinaryC-45Prims-getTag arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (cond ((equal? e-5 0) (let ((eff-1 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40ListC-32C-36aC-41 (csegen-1945) arg-0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45TTImpC-45TTC-u--fromBuf_TTC_RawImp arg-0))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (vector 0 e-6 e-7))))) eff-3))))))))) eff-2)))))))) ((equal? e-5 1) (let ((eff-1 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40ListC-32C-36aC-41 (csegen-1945) arg-0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (TTImpC-45TTImpC-45TTC-u--fromBuf_TTC_RawImp arg-0))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (vector 1 e-6 e-7))))) eff-3))))))))) eff-2))))))))(else (lambda (eta-0) (CoreC-45BinaryC-45Prims-corrupt "IFieldUpdate" eta-0)))))) eff-1)))))))))
(define TTImpC-45TTImpC-45TTC-u--fromBuf_TTC_IField (lambda (arg-0) (let ((eff-0 (CoreC-45TTC-u--fromBuf_TTC_FC arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45TTC-u--fromBuf_TTC_RigCount arg-0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45TTC-u--fromBuf_TTC_C-40PiInfoC-32C-36tC-41 (csegen-5418) arg-0))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45TTC-u--fromBuf_TTC_Name arg-0))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (TTImpC-45TTImpC-45TTC-u--fromBuf_TTC_RawImp arg-0))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (vector e-5 e-6 e-7 e-8 e-9))))) eff-5))))))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))
(define TTImpC-45TTImpC-45TTC-u--fromBuf_TTC_FnOpt (lambda (arg-0) (let ((eff-0 (CoreC-45BinaryC-45Prims-getTag arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (cond ((equal? e-5 0) (lambda (eta-0) (vector 1 (vector 0 )))) ((equal? e-5 1) (let ((eff-1 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_Bool arg-0))) (PrimIO-io_bind eff-1 (csegen-3036)))) ((equal? e-5 2) (let ((eff-1 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_Bool arg-0))) (PrimIO-io_bind eff-1 (csegen-3037)))) ((equal? e-5 3) (lambda (eta-0) (vector 1 (vector 6 )))) ((equal? e-5 4) (let ((eff-1 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40ListC-32C-36aC-41 (csegen-5418) arg-0))) (PrimIO-io_bind eff-1 (csegen-3038)))) ((equal? e-5 5) (lambda (eta-0) (vector 1 (vector 9 )))) ((equal? e-5 6) (lambda (eta-0) (vector 1 (vector 10 0)))) ((equal? e-5 7) (lambda (eta-0) (vector 1 (vector 10 1)))) ((equal? e-5 8) (lambda (eta-0) (vector 1 (vector 10 2)))) ((equal? e-5 9) (lambda (eta-0) (vector 1 (vector 11 )))) ((equal? e-5 10) (let ((eff-1 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40ListC-32C-36aC-41 (csegen-64) arg-0))) (PrimIO-io_bind eff-1 (csegen-3042)))) ((equal? e-5 11) (lambda (eta-0) (vector 1 (vector 3 )))) ((equal? e-5 12) (lambda (eta-0) (vector 1 (vector 1 )))) ((equal? e-5 14) (lambda (eta-0) (vector 1 (vector 2 )))) ((equal? e-5 15) (let ((eff-1 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40ListC-32C-36aC-41 (csegen-5418) arg-0))) (PrimIO-io_bind eff-1 (csegen-3039))))(else (lambda (eta-0) (CoreC-45BinaryC-45Prims-corrupt "FnOpt" eta-0)))))) eff-1)))))))))
(define TTImpC-45TTImpC-45TTC-u--fromBuf_TTC_DataOpt (lambda (arg-0) (let ((eff-0 (CoreC-45BinaryC-45Prims-getTag arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (cond ((equal? e-5 0) (let ((eff-1 (CoreC-45BinaryC-45Prims-u--fromBuf_TTC_C-40ListC-32C-36aC-41 (csegen-64) arg-0))) (PrimIO-io_bind eff-1 (csegen-3043)))) ((equal? e-5 1) (lambda (eta-0) (vector 1 (vector 1 )))) ((equal? e-5 2) (lambda (eta-0) (vector 1 (vector 2 )))) ((equal? e-5 3) (lambda (eta-0) (vector 1 (vector 3 )))) ((equal? e-5 4) (lambda (eta-0) (vector 1 (vector 4 ))))(else (lambda (eta-0) (CoreC-45BinaryC-45Prims-corrupt "DataOpt" eta-0)))))) eff-1)))))))))
(define TTImpC-45TTImpC-45TTC-u--fromBuf_TTC_BindMode (lambda (arg-0) (let ((eff-0 (CoreC-45BinaryC-45Prims-getTag arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (cond ((equal? e-5 0) (let ((eff-1 (CoreC-45TTC-u--fromBuf_TTC_RigCount arg-0))) (PrimIO-io_bind eff-1 (csegen-3044)))) ((equal? e-5 1) (lambda (eta-0) (vector 1 (vector 1 )))) ((equal? e-5 2) (lambda (eta-0) (vector 1 (vector 3 )))) ((equal? e-5 3) (lambda (eta-0) (vector 1 (vector 2 ))))(else (lambda (eta-0) (CoreC-45BinaryC-45Prims-corrupt "BindMode" eta-0)))))) eff-1)))))))))
(define TTImpC-45TTImpC-45TTC-u--fromBuf_TTC_AltType (lambda (arg-0) (let ((eff-0 (CoreC-45BinaryC-45Prims-getTag arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (cond ((equal? e-5 0) (lambda (eta-0) (vector 1 (vector 0 )))) ((equal? e-5 1) (lambda (eta-0) (vector 1 (vector 1 )))) ((equal? e-5 2) (let ((eff-1 (TTImpC-45TTImpC-45TTC-u--fromBuf_TTC_RawImp arg-0))) (PrimIO-io_bind eff-1 (csegen-3045))))(else (lambda (eta-0) (CoreC-45BinaryC-45Prims-corrupt "AltType" eta-0)))))) eff-1)))))))))
(define CoreC-45ContextC-45TTC-u--toBuf_TTC_BuiltinType (lambda (arg-0 arg-1) (cond ((equal? arg-1 0) (CoreC-45BinaryC-45Prims-tag arg-0 0)) ((equal? arg-1 1) (CoreC-45BinaryC-45Prims-tag arg-0 1)) (else (CoreC-45BinaryC-45Prims-tag arg-0 2)))))
(define CoreC-45ContextC-45TTC-u--fromBuf_TTC_BuiltinType (lambda (arg-0) (let ((eff-0 (CoreC-45BinaryC-45Prims-getTag arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (clam-0) (cond ((equal? e-5 0) (vector 1 0)) ((equal? e-5 1) (vector 1 1)) ((equal? e-5 2) (vector 1 2))(else (CoreC-45BinaryC-45Prims-corrupt "BuiltinType" clam-0)))))) eff-1)))))))))
(define IdrisC-45Parser-case--collectDefs-22336 (lambda (arg-0 arg-1 arg-2 arg-3) (let ((e-2 (car arg-3))) (let ((e-3 (cdr arg-3))) (let ((u--csC-39 (PreludeC-45TypesC-45List-tailRecAppend arg-0 (PreludeC-45Interfaces-concat (csegen-83) (csegen-16) ((csegen-947) e-2))))) (let ((u--annotC-39 (PreludeC-45Types-u--foldr_Foldable_List (lambda (u--fc1) (lambda (u--fc2) (DataC-45Maybe-fromMaybe (lambda () (vector 2 )) (CoreC-45FC-mergeFC u--fc1 u--fc2)))) arg-1 ((csegen-101) e-2)))) (cons (vector 1 u--annotC-39 u--csC-39) (IdrisC-45Parser-collectDefs e-3))))))))
(define IdrisC-45Parser-case--multilineStrC-44toLines-14378 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (case (vector-ref arg-7 0) ((0) (let ((e-2 (vector-ref arg-7 1))) (IdrisC-45Parser-n--12414-14344-u--toLines arg-0 arg-1 arg-2 arg-4 (cons arg-6 (vector 1 (CoreC-45FC-boundToFC arg-1 arg-3) e-2)) arg-5))) (else (let ((e-5 (vector-ref arg-7 1))) (let ((e-7 (car e-5))) (let ((e-8 (cdr e-5))) (if (null? e-8) (IdrisC-45Parser-n--12414-14344-u--toLines arg-0 arg-1 arg-2 arg-4 (cons arg-6 (vector 0 (CoreC-45FC-boundToFC arg-1 arg-3) e-7)) arg-5) (let ((e-11 (car e-8))) (let ((e-12 (cdr e-8))) (let ((u--fc (CoreC-45FC-boundToFC arg-1 arg-3))) (IdrisC-45Parser-n--12414-14344-u--toLines arg-0 arg-1 arg-2 arg-4 (cons '() (vector 0 u--fc (DataC-45List-last e-8))) (PreludeC-45TypesC-45SnocList-C-60C-62C-60 (cons arg-5 (PreludeC-45TypesC-45SnocList-C-60C-62C-62 arg-6 (cons (vector 0 u--fc e-7) '()))) (((csegen-25) (lambda (u--str) (cons (vector 0 u--fc u--str) '()))) (let ((u--strs (cons e-11 e-12))) (DataC-45List-init u--strs))))))))))))))))
(define IdrisC-45Parser-case--doAct-13674 (lambda (arg-0 arg-1 arg-2 arg-3) (let ((e-2 (car arg-3))) (let ((e-3 (cdr arg-3))) (vector 0 (cons (vector 1 (CoreC-45FC-boundToFC arg-1 arg-2) (CoreC-45FC-boundToFC arg-1 e-2) (let ((e-1 (vector-ref e-2 0))) e-1) e-3) '()))))))
(define IdrisC-45Parser-case--nonEmptyTupleC-44mergePairs-9799 (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9) (let ((e-2 (car arg-9))) (let ((e-3 (cdr arg-9))) (let ((e-6 (car e-3))) (let ((e-7 (cdr e-3))) (let ((sc2 (IdrisC-45Parser-n--12092-9670-u--mergePairs arg-1 arg-2 arg-3 arg-4 e-2 arg-5 arg-6))) (let ((e-5 (car sc2))) (let ((e-4 (cdr sc2))) (cons (PreludeC-45TypesC-45List-tailRecAppend e-6 e-5) (vector 40 (Builtin-fst arg-5) e-7 e-4)))))))))))
(define IdrisC-45Parser-n--11981-7226-u--underscore (lambda (arg-0 arg-1 arg-2 arg-3) (vector 2 (vector 1 (vector 2 )) (vector 25 arg-3))))
(define IdrisC-45Parser-n--12403-14120-u--toPStr (lambda (arg-0 arg-1 arg-2 arg-3) (let ((e-1 (vector-ref arg-3 0))) (case (vector-ref e-1 0) ((1) (let ((e-4 (vector-ref e-1 1))) (let ((e-7 (car e-4))) (let ((e-8 (cdr e-4))) (if (null? e-8) (vector 1 (vector 0 (CoreC-45FC-boundToFC arg-1 arg-3) e-7)) (vector 0 "Multi-line string is expected to begin with \"\"\"")))))) (else (let ((e-5 (vector-ref e-1 1))) (vector 1 (vector 1 (CoreC-45FC-boundToFC arg-1 arg-3) e-5))))))))
(define IdrisC-45Parser-n--12414-14344-u--toLines (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (if (null? arg-3) (PreludeC-45TypesC-45SnocList-C-60C-62C-62 arg-5 (cons (PreludeC-45TypesC-45SnocList-C-60C-62C-62 arg-4 '()) '())) (let ((e-2 (car arg-3))) (let ((e-3 (cdr arg-3))) (IdrisC-45Parser-case--multilineStrC-44toLines-14378 arg-0 arg-1 arg-2 e-2 e-3 arg-5 arg-4 (let ((e-1 (vector-ref e-2 0))) e-1)))))))
(define IdrisC-45Parser-n--11992-7731-u--singleName (lambda (arg-0 arg-1) (vector 9 0 (vector 14 (ParserC-45RuleC-45Source-name)) (lambda () (lambda (u--n) (vector 0 (cons (cons (CoreC-45FC-boundToFC arg-1 u--n) (let ((e-1 (vector-ref u--n 0))) e-1)) '())))))))
(define IdrisC-45Parser-n--12305-12939-u--recFieldCompat (lambda (arg-0 arg-1 arg-2) (vector 13 1 1 (IdrisC-45Parser-decorate arg-1 2 (ParserC-45RuleC-45Source-postfixProj)) (lambda () (vector 10 1 1 ((csegen-726) (IdrisC-45Parser-decoratedSymbol arg-1 "->")) (lambda (u--f) (((csegen-725) u--f) (IdrisC-45Parser-decorate arg-1 2 (ParserC-45RuleC-45Source-name)))))))))
(define IdrisC-45Parser-n--20675-15425-u--parseWithArg (lambda (arg-0 arg-1 arg-2 arg-3) (vector 11 1 (IdrisC-45Parser-decoratedSymbol arg-1 "|") (lambda () (vector 9 0 (vector 14 (IdrisC-45Parser-expr (IdrisC-45Parser-plhs) arg-1 arg-0)) (lambda () (lambda (u--tm) (vector 0 (cons (CoreC-45FC-boundToFC arg-1 u--tm) (let ((e-1 (vector-ref u--tm 0))) e-1))))))))))
(define IdrisC-45Parser-n--32022-26448-u--parse (lambda (arg-0 arg-1 arg-2) (vector 11 1 (ParserC-45RuleC-45Source-symbol ":") (lambda () (vector 11 1 (IdrisC-45Parser-runParseCmd arg-2) (lambda () (vector 10 0 1 (csegen-5481) (lambda (u--upd) (vector 9 1 (csegen-5482) (lambda () (lambda (u--line) (vector 9 0 (vector 8 (ParserC-45RuleC-45Source-name)) (lambda () (lambda (u--n) (vector 10 0 0 (PreludeC-45Interfaces-C-60C-36C-62 (csegen-732) (lambda (eta-0) (PreludeC-45Types-prim__integerToNat eta-0)) (LibrariesC-45TextC-45Parser-option 1 0 (ParserC-45RuleC-45Source-intLit))) (lambda (u--nreject) (vector 0 (vector 28 ((((arg-1 u--upd) u--line) u--n) u--nreject)))))))))))))))))))
(define IdrisC-45Parser-n--31857-26276-u--parse (lambda (arg-0 arg-1 arg-2) (vector 11 1 (ParserC-45RuleC-45Source-symbol ":") (lambda () (vector 11 1 (IdrisC-45Parser-runParseCmd arg-2) (lambda () (vector 10 0 1 (csegen-5481) (lambda (u--upd) (vector 9 1 (csegen-5482) (lambda () (lambda (u--line) (vector 9 0 (vector 8 (ParserC-45RuleC-45Source-name)) (lambda () (lambda (u--n) (vector 10 0 0 (vector 8 (LibrariesC-45TextC-45Parser-sepBy 1 (ParserC-45RuleC-45Source-symbol ",") (ParserC-45RuleC-45Source-name))) (lambda (u--hints) (vector 0 (vector 28 ((((arg-1 u--upd) u--line) u--n) u--hints)))))))))))))))))))
(define IdrisC-45Parser-n--31694-26105-u--parse (lambda (arg-0 arg-1 arg-2) (vector 11 1 (ParserC-45RuleC-45Source-symbol ":") (lambda () (vector 11 1 (IdrisC-45Parser-runParseCmd arg-2) (lambda () (vector 10 0 1 (csegen-5481) (lambda (u--upd) (vector 9 1 (csegen-5482) (lambda () (lambda (u--line) (vector 9 1 (vector 8 (ParserC-45RuleC-45Source-name)) (lambda () (lambda (u--h) (vector 9 0 (csegen-5488) (lambda () (lambda (u--n) (vector 0 (vector 28 ((((arg-1 u--upd) u--line) u--h) u--n))))))))))))))))))))
(define IdrisC-45Parser-n--31526-25928-u--parse (lambda (arg-0 arg-1 arg-2) (vector 11 1 (ParserC-45RuleC-45Source-symbol ":") (lambda () (vector 11 1 (IdrisC-45Parser-runParseCmd arg-2) (lambda () (vector 10 0 1 (csegen-5481) (lambda (u--upd) (vector 9 1 (csegen-5482) (lambda () (lambda (u--line) (vector 9 1 (csegen-5482) (lambda () (lambda (u--col) (vector 9 0 (vector 8 (ParserC-45RuleC-45Source-name)) (lambda () (lambda (u--n) (vector 0 (vector 28 ((((arg-1 u--upd) u--line) u--col) u--n))))))))))))))))))))
(define IdrisC-45Parser-n--31391-25783-u--parse (lambda (arg-0 arg-1 arg-2) (vector 11 1 (ParserC-45RuleC-45Source-symbol ":") (lambda () (vector 11 1 (IdrisC-45Parser-runParseCmd arg-2) (lambda () (vector 10 0 1 (csegen-5481) (lambda (u--upd) (vector 9 1 (csegen-5482) (lambda () (lambda (u--line) (vector 9 0 (vector 8 (ParserC-45RuleC-45Source-name)) (lambda () (lambda (u--n) (vector 0 (vector 28 (((arg-1 u--upd) u--line) u--n)))))))))))))))))
(define IdrisC-45Parser-n--31317-25699-u--parse (lambda (arg-0 arg-1 arg-2) (vector 11 1 (ParserC-45RuleC-45Source-symbol ":") (lambda () (vector 11 1 (IdrisC-45Parser-runParseCmd arg-2) (lambda () (vector 9 0 (vector 8 (IdrisC-45Parser-logLevel (vector 2 (vector 0 )))) (lambda () (lambda (u--lvl) (vector 0 (arg-1 u--lvl)))))))))))
(define IdrisC-45Parser-n--31226-25608-u--parse (lambda (arg-0 arg-1 arg-2) (vector 11 1 (ParserC-45RuleC-45Source-symbol ":") (lambda () (vector 11 1 (IdrisC-45Parser-runParseCmd arg-2) (lambda () (vector 9 1 (vector 8 (ParserC-45RuleC-45Source-unqualifiedName)) (lambda () (lambda (u--n) (vector 9 0 (vector 8 (IdrisC-45Parser-expr (IdrisC-45Parser-pdef) (vector 2 (vector 0 )) (ParserC-45RuleC-45Source-init))) (lambda () (lambda (u--tm) (vector 0 ((arg-1 u--tm) u--n))))))))))))))
(define IdrisC-45Parser-n--31161-25537-u--parse (lambda (arg-0 arg-1 arg-2) (vector 11 1 (ParserC-45RuleC-45Source-symbol ":") (lambda () (vector 11 1 (IdrisC-45Parser-runParseCmd arg-2) (lambda () (vector 9 0 (vector 8 (ParserC-45RuleC-45Source-onOffLit)) (lambda () (lambda (u--i) (vector 0 (arg-1 u--i)))))))))))
(define IdrisC-45Parser-n--31061-25433-u--parse (lambda (arg-0 arg-1 arg-2) (vector 11 1 (ParserC-45RuleC-45Source-symbol ":") (lambda () (vector 11 1 (IdrisC-45Parser-runParseCmd arg-2) (lambda () (vector 9 0 (vector 8 (IdrisC-45Parser-n--31061-25432-u--autoNumber arg-0 arg-1 arg-2)) (lambda () (lambda (u--mi) (vector 0 (arg-1 u--mi)))))))))))
(define IdrisC-45Parser-n--30924-25295-u--parse (lambda (arg-0 arg-1 arg-2 arg-3) (vector 11 1 (ParserC-45RuleC-45Source-symbol ":") (lambda () (vector 11 1 (IdrisC-45Parser-runParseCmd arg-3) (lambda () (vector 9 0 (vector 8 (IdrisC-45Parser-setOption arg-1)) (lambda () (lambda (u--opt) (vector 0 (arg-2 u--opt)))))))))))
(define IdrisC-45Parser-n--30857-25222-u--parse (lambda (arg-0 arg-1 arg-2) (vector 11 1 (ParserC-45RuleC-45Source-symbol ":") (lambda () (vector 11 1 (IdrisC-45Parser-runParseCmd arg-2) (lambda () (vector 9 0 (vector 8 (IdrisC-45Parser-topDecl (vector 2 (vector 0 )) (ParserC-45RuleC-45Source-init))) (lambda () (lambda (u--tm) (vector 0 (arg-1 u--tm)))))))))))
(define IdrisC-45Parser-n--30591-24949-u--parse (lambda (arg-0 arg-1 arg-2) (vector 11 1 (ParserC-45RuleC-45Source-symbol ":") (lambda () (vector 11 1 (IdrisC-45Parser-runParseCmd arg-2) (lambda () (vector 9 0 (vector 8 (vector 13 1 1 (vector 10 1 1 ((PreludeC-45Interfaces-C-60C-36 (csegen-729) (lambda (eta-0) (vector 4 eta-0))) (ParserC-45RuleC-45Source-keyword "module")) (lambda (u--f) (((csegen-725) u--f) (ParserC-45RuleC-45Source-moduleIdent)))) (lambda () (vector 13 1 1 (PreludeC-45Interfaces-C-60C-36C-62 (csegen-729) (lambda (eta-0) (vector 0 eta-0)) (ParserC-45RuleC-45Source-anyKeyword)) (lambda () (vector 13 1 1 (PreludeC-45Interfaces-C-60C-36C-62 (csegen-729) (lambda (eta-0) (vector 1 eta-0)) (vector 13 1 1 (vector 10 1 0 ((csegen-2689) (ParserC-45RuleC-45Source-anyReservedSymbol)) (csegen-5500)) (lambda () (vector 10 1 0 ((csegen-2689) (IdrisC-45Parser-parens 1 (vector 2 (vector 0 )) (ParserC-45RuleC-45Source-anyReservedSymbol))) (csegen-5500))))) (lambda () (vector 13 1 1 (PreludeC-45Interfaces-C-60C-36C-62 (csegen-729) (lambda (eta-0) (vector 2 eta-0)) (vector 13 1 1 (vector 10 1 1 ((csegen-2689) ((csegen-2760) (ParserC-45RuleC-45Source-symbol "[|"))) (lambda (u--f) (((csegen-725) u--f) (ParserC-45RuleC-45Source-symbol "|]")))) (lambda () (vector 13 1 1 (vector 10 1 1 ((csegen-2689) ((csegen-2762) (ParserC-45RuleC-45Source-symbol "`{"))) (lambda (u--f) (((csegen-725) u--f) (ParserC-45RuleC-45Source-symbol "}")))) (lambda () (vector 13 1 1 (vector 10 1 1 ((csegen-2689) ((csegen-2764) (ParserC-45RuleC-45Source-symbol "`("))) (csegen-5517)) (lambda () (vector 10 1 1 ((csegen-2689) ((PreludeC-45Interfaces-C-60C-36 (csegen-729) 3) (ParserC-45RuleC-45Source-symbol "`["))) (lambda (u--f) (((csegen-725) u--f) (ParserC-45RuleC-45Source-symbol "]"))))))))))) (lambda () (PreludeC-45Interfaces-C-60C-36C-62 (csegen-729) (lambda (eta-0) (vector 3 eta-0)) (csegen-5487))))))))))) (lambda () (lambda (u--dir) (vector 0 (arg-1 u--dir)))))))))))
(define IdrisC-45Parser-n--30524-24880-u--parse (lambda (arg-0 arg-1 arg-2) (vector 11 1 (ParserC-45RuleC-45Source-symbol ":") (lambda () (vector 11 1 (IdrisC-45Parser-runParseCmd arg-2) (lambda () (vector 9 0 (csegen-5488) (lambda () (lambda (u--tm) (vector 0 (arg-1 u--tm)))))))))))
(define IdrisC-45Parser-n--30459-24813-u--parse (lambda (arg-0 arg-1 arg-2) (vector 11 1 (ParserC-45RuleC-45Source-symbol ":") (lambda () (vector 11 1 (IdrisC-45Parser-runParseCmd arg-2) (lambda () (vector 9 0 (vector 8 (ParserC-45RuleC-45Source-moduleIdent)) (lambda () (lambda (u--n) (vector 0 (arg-1 u--n)))))))))))
(define IdrisC-45Parser-n--30398-24751-u--parse (lambda (arg-0 arg-1 arg-2) (vector 11 1 (ParserC-45RuleC-45Source-symbol ":") (lambda () (vector 11 0 (IdrisC-45Parser-runParseCmd arg-2) (lambda () (vector 10 0 0 (IdrisC-45Parser-getHelpType) (lambda (u--helpType) (vector 0 (arg-1 u--helpType))))))))))
(define IdrisC-45Parser-n--30259-24608-u--parse (lambda (arg-0 arg-1 arg-2) (vector 11 1 (ParserC-45RuleC-45Source-symbol ":") (lambda () (vector 11 1 (IdrisC-45Parser-runParseCmd arg-2) (lambda () (vector 9 0 (vector 8 (ParserC-45RuleC-45Source-simpleStr)) (lambda () (lambda (u--s) (vector 0 (arg-1 u--s)))))))))))
(define IdrisC-45Parser-n--30193-24540-u--parse (lambda (arg-0 arg-1 arg-2) (vector 11 1 (ParserC-45RuleC-45Source-symbol ":") (lambda () (vector 11 1 (IdrisC-45Parser-runParseCmd arg-2) (lambda () (vector 9 0 (vector 8 (ParserC-45RuleC-45Source-name)) (lambda () (lambda (u--n) (vector 0 (arg-1 u--n)))))))))))
(define IdrisC-45Parser-n--30144-24487-u--parse (lambda (arg-0 arg-1 arg-2) (vector 11 1 (ParserC-45RuleC-45Source-symbol ":") (lambda () (vector 11 0 (IdrisC-45Parser-runParseCmd arg-2) (lambda () (vector 0 arg-1)))))))
(define IdrisC-45Parser-n--12092-9669-u--optionalPair (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (let ((e-2 (car arg-6))) (let ((e-3 (cdr arg-6))) (if (null? e-3) (let ((u--var (vector 0 e-2 (vector 2 "__infixTupleSection" arg-5)))) (cons (bs+ arg-5 1 63) (cons (cons (cons e-2 u--var) '()) u--var))) (let ((e-5 (unbox e-3))) (cons arg-5 (cons '() e-5))))))))
(define IdrisC-45Parser-n--12297-12810-u--oldSyntaxWarning (lambda (arg-0 arg-1) (DataC-45String-fastUnlines (cons "DEPRECATED: old record update syntax." (cons "  Use \"{ f := v } p\" instead of \"record { f = v } p\"" (cons "  and \"{ f $= v } p\" instead of \"record { f $= v } p\"" '()))))))
(define IdrisC-45Parser-n--26768-21143-u--oldParamDecls (lambda (arg-0 arg-1 arg-2 arg-3) (vector 11 1 (IdrisC-45Parser-decoratedSymbol arg-2 "(") (lambda () (vector 10 0 1 (LibrariesC-45TextC-45Parser-sepBy 1 (IdrisC-45Parser-decoratedSymbol arg-2 ",") (vector 9 1 (PreludeC-45Interfaces-C-60C-36C-62 (csegen-729) (lambda (eta-0) (vector 1 (vector 0 eta-0))) (IdrisC-45Parser-decoratedSimpleBinderName arg-2)) (lambda () (lambda (u--x) (vector 11 1 (IdrisC-45Parser-decoratedSymbol arg-2 ":") (lambda () (vector 9 0 (IdrisC-45Parser-typeExpr (IdrisC-45Parser-pdef) arg-2 arg-3) (lambda () (lambda (u--ty) (vector 0 (cons u--x (cons (AlgebraC-45ZeroOneOmega-u--top_Top_ZeroOneOmega) (cons (vector 1 ) u--ty))))))))))))) (lambda (u--ps) (vector 11 0 (IdrisC-45Parser-decoratedSymbol arg-2 ")") (lambda () (vector 0 u--ps)))))))))
(define IdrisC-45Parser-n--24387-18742-u--noMangleWarning (lambda (arg-0) (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons "DEPRECATED: \"%nomangle\".\xa;  Use \"%export\" instead" '()))))
(define IdrisC-45Parser-n--26768-21144-u--newParamDecls (lambda (arg-0 arg-1 arg-2 arg-3) (((csegen-5538) (lambda (eta-0) (PreludeC-45Interfaces-concat (csegen-83) (csegen-4960) eta-0))) (LibrariesC-45TextC-45Parser-some (IdrisC-45Parser-typedArg arg-2 arg-3)))))
(define IdrisC-45Parser-n--32022-26447-u--names (lambda (arg-0 arg-1 arg-2) (IdrisC-45Parser-extractNames arg-2)))
(define IdrisC-45Parser-n--31857-26275-u--names (lambda (arg-0 arg-1 arg-2) (IdrisC-45Parser-extractNames arg-2)))
(define IdrisC-45Parser-n--31694-26104-u--names (lambda (arg-0 arg-1 arg-2) (IdrisC-45Parser-extractNames arg-2)))
(define IdrisC-45Parser-n--31526-25927-u--names (lambda (arg-0 arg-1 arg-2) (IdrisC-45Parser-extractNames arg-2)))
(define IdrisC-45Parser-n--31391-25782-u--names (lambda (arg-0 arg-1 arg-2) (IdrisC-45Parser-extractNames arg-2)))
(define IdrisC-45Parser-n--31317-25698-u--names (lambda (arg-0 arg-1 arg-2) (IdrisC-45Parser-extractNames arg-2)))
(define IdrisC-45Parser-n--31226-25607-u--names (lambda (arg-0 arg-1 arg-2) (IdrisC-45Parser-extractNames arg-2)))
(define IdrisC-45Parser-n--31161-25536-u--names (lambda (arg-0 arg-1 arg-2) (IdrisC-45Parser-extractNames arg-2)))
(define IdrisC-45Parser-n--31061-25431-u--names (lambda (arg-0 arg-1 arg-2) (IdrisC-45Parser-extractNames arg-2)))
(define IdrisC-45Parser-n--30924-25294-u--names (lambda (arg-0 arg-1 arg-2 arg-3) (IdrisC-45Parser-extractNames arg-3)))
(define IdrisC-45Parser-n--30857-25221-u--names (lambda (arg-0 arg-1 arg-2) (IdrisC-45Parser-extractNames arg-2)))
(define IdrisC-45Parser-n--30591-24948-u--names (lambda (arg-0 arg-1 arg-2) (IdrisC-45Parser-extractNames arg-2)))
(define IdrisC-45Parser-n--30524-24879-u--names (lambda (arg-0 arg-1 arg-2) (IdrisC-45Parser-extractNames arg-2)))
(define IdrisC-45Parser-n--30459-24812-u--names (lambda (arg-0 arg-1 arg-2) (IdrisC-45Parser-extractNames arg-2)))
(define IdrisC-45Parser-n--30398-24750-u--names (lambda (arg-0 arg-1 arg-2) (IdrisC-45Parser-extractNames arg-2)))
(define IdrisC-45Parser-n--30259-24607-u--names (lambda (arg-0 arg-1 arg-2) (IdrisC-45Parser-extractNames arg-2)))
(define IdrisC-45Parser-n--30193-24539-u--names (lambda (arg-0 arg-1 arg-2) (IdrisC-45Parser-extractNames arg-2)))
(define IdrisC-45Parser-n--30144-24486-u--names (lambda (arg-0 arg-1 arg-2) (IdrisC-45Parser-extractNames arg-2)))
(define IdrisC-45Parser-n--11992-7732-u--nameList (lambda (arg-0 arg-1) (vector 11 1 (IdrisC-45Parser-decoratedSymbol arg-1 "[") (lambda () (vector 12 0 1 (vector 7 ) (vector 9 1 (LibrariesC-45TextC-45Parser-sepBy1 1 (IdrisC-45Parser-decoratedSymbol arg-1 ",") (vector 14 (ParserC-45RuleC-45Source-name))) (lambda () (lambda (u--ns) (vector 11 0 (IdrisC-45Parser-decoratedSymbol arg-1 "]") (lambda () (vector 0 (((csegen-25) (lambda (u--n) (cons (CoreC-45FC-boundToFC arg-1 u--n) (let ((e-1 (vector-ref u--n 0))) e-1)))) (DataC-45List1-forget u--ns)))))))))))))
(define IdrisC-45Parser-n--12370-13906-u--mkPi (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (if (null? arg-5) arg-4 (let ((e-2 (unbox arg-5))) (let ((e-5 (car e-2))) (let ((e-6 (cdr e-2))) (vector 1 arg-3 (AlgebraC-45ZeroOneOmega-u--top_Top_ZeroOneOmega) e-5 '() arg-4 e-6)))))))
(define IdrisC-45Parser-n--12092-9670-u--mergePairs (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (if (null? arg-7) (Builtin-snd (IdrisC-45Parser-n--12092-9669-u--optionalPair arg-1 arg-2 arg-3 arg-4 arg-5 arg-6)) (let ((e-2 (car arg-7))) (let ((e-3 (cdr arg-7))) (IdrisC-45Parser-case--nonEmptyTupleC-44mergePairs-9799 arg-1 arg-2 arg-3 arg-4 e-2 e-3 arg-6 arg-5 (IdrisC-45Parser-n--12092-9669-u--optionalPair arg-1 arg-2 arg-3 arg-4 arg-5 arg-6)))))))
(define IdrisC-45Parser-n--12242-12212-u--letDecl (lambda (arg-0 arg-1) (PreludeC-45Interfaces-C-60C-36C-62 (csegen-729) (lambda (eta-0) (IdrisC-45Parser-collectDefs (PreludeC-45Interfaces-concat (csegen-83) (csegen-4960) eta-0))) (ParserC-45RuleC-45Source-nonEmptyBlock (lambda (eta-0) (vector 6 (IdrisC-45Parser-topDecl arg-1 eta-0)))))))
(define IdrisC-45Parser-n--12242-12211-u--letBinder (lambda (arg-0 arg-1) (vector 9 1 (vector 14 (vector 10 0 1 (PreludeC-45Interfaces-C-60C-36C-62 (csegen-732) (csegen-3736) (IdrisC-45Parser-multiplicity arg-1)) (lambda (u--f) (((csegen-725) u--f) (IdrisC-45Parser-expr (IdrisC-45Parser-plhs) arg-1 arg-0))))) (lambda () (lambda (u--s) (vector 10 0 1 (vector 0 (let ((e-1 (vector-ref u--s 0))) e-1)) (lambda (_-0) (let ((e-2 (car _-0))) (let ((e-3 (cdr _-0))) (vector 10 0 1 (LibrariesC-45TextC-45Parser-option 1 (vector 25 (CoreC-45FC-virtualiseFC (CoreC-45FC-boundToFC arg-1 u--s))) (vector 10 1 1 ((csegen-726) (IdrisC-45Parser-decoratedSymbol arg-1 ":")) (lambda (u--f) (((csegen-725) u--f) (IdrisC-45Parser-typeExpr (IdrisC-45Parser-pnoeq (IdrisC-45Parser-pdef)) arg-1 arg-0))))) (lambda (u--ty) (vector 11 1 (vector 13 1 1 (IdrisC-45Parser-decoratedSymbol arg-1 "=") (lambda () (IdrisC-45Parser-decoratedSymbol arg-1 ":="))) (lambda () (vector 9 0 (IdrisC-45Parser-typeExpr (IdrisC-45Parser-pnowith) arg-1 arg-0) (lambda () (lambda (u--val) (vector 10 0 0 (ParserC-45RuleC-45Source-block (lambda (eta-0) (IdrisC-45Parser-patAlt arg-1 eta-0))) (lambda (u--alts) (vector 0 (vector e-2 e-3 u--ty u--val u--alts))))))))))))))))))))
(define IdrisC-45Parser-n--12092-9667-u--lams (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (if (null? arg-5) arg-6 (let ((e-2 (car arg-5))) (let ((e-3 (cdr arg-5))) (let ((e-6 (car e-2))) (let ((e-7 (cdr e-2))) (let ((u--vfc (CoreC-45FC-virtualiseFC e-6))) (vector 2 u--vfc (AlgebraC-45ZeroOneOmega-u--top_Top_ZeroOneOmega) (vector 1 ) e-7 (vector 26 u--vfc) (IdrisC-45Parser-n--12092-9667-u--lams arg-1 arg-2 arg-3 arg-4 e-3 arg-6))))))))))
(define IdrisC-45Parser-n--25129-19494-u--go (lambda (arg-0 arg-1) (vector 13 1 0 (vector 11 1 (IdrisC-45Parser-decoratedSymbol arg-1 "{") (lambda () (vector 9 1 (IdrisC-45Parser-pibindListName arg-1 arg-0) (lambda () (lambda (u--ns) (vector 11 1 (IdrisC-45Parser-commitSymbol arg-1 "}") (lambda () (vector 11 0 (IdrisC-45Parser-commitSymbol arg-1 "->") (lambda () (vector 10 0 0 (IdrisC-45Parser-n--25129-19494-u--go arg-0 arg-1) (lambda (u--more) (vector 0 (cons u--ns u--more))))))))))))) (lambda () (vector 0 '())))))
(define IdrisC-45Parser-n--12305-12938-u--fieldName (lambda (arg-0 arg-1 arg-2 arg-3) (case (vector-ref arg-3 0) ((1) (let ((e-0 (vector-ref arg-3 1))) (case (vector-ref e-0 0) ((0) (let ((e-1 (vector-ref e-0 1))) e-1)) ((1) (let ((e-2 (vector-ref e-0 1))) e-2))(else "_impossible"))))(else "_impossible"))))
(define IdrisC-45Parser-n--25925-20300-u--fieldBody (lambda (arg-0 arg-1 arg-2 arg-3) (vector 9 0 (vector 14 (vector 10 0 1 (IdrisC-45Parser-multiplicity arg-1) (lambda (u--rig) (vector 9 1 (LibrariesC-45TextC-45Parser-sepBy1 1 (IdrisC-45Parser-decoratedSymbol arg-1 ",") (vector 13 1 1 (IdrisC-45Parser-decorate arg-1 2 (ParserC-45RuleC-45Source-name)) (lambda () (vector 9 1 (vector 14 (ParserC-45RuleC-45Source-symbol "_")) (lambda () (lambda (u--b) (vector 4 (box (let ((e-3 (vector-ref u--b 2))) e-3)) 1 "Fields have to be named"))))))) (lambda () (lambda (u--ns) (vector 11 1 (IdrisC-45Parser-decoratedSymbol arg-1 ":") (lambda () (vector 9 0 (IdrisC-45Parser-typeExpr (IdrisC-45Parser-pdef) arg-1 arg-0) (lambda () (lambda (u--ty) (vector 0 (lambda (u--fc) (((csegen-25) (lambda (u--n) (vector u--fc arg-2 u--rig arg-3 u--n u--ty))) (DataC-45List1-forget u--ns))))))))))))))) (lambda () (lambda (u--b) (vector 0 (let ((e-1 (vector-ref u--b 0))) (e-1 (CoreC-45FC-boundToFC arg-1 u--b)))))))))
(define IdrisC-45Parser-n--29180-23518-u--explain (lambda (arg-0 arg-1) (((csegen-25) (lambda (u--s) (cons u--s arg-1))) arg-0)))
(define IdrisC-45Parser-n--22596-16941-u--drop (lambda (arg-0 arg-1 arg-2) (if (null? arg-2) '() (let ((e-2 (car arg-2))) (let ((e-3 (cdr arg-2))) (let ((sc1 (PreludeC-45EqOrd-u--C-61C-61_Eq_Char arg-1 e-2))) (cond ((equal? sc1 1) (IdrisC-45Parser-n--22596-16941-u--drop arg-0 arg-1 e-3)) (else (cons e-2 e-3)))))))))
(define IdrisC-45Parser-n--25925-20299-u--defImplicitField (lambda (arg-0 arg-1) (vector 11 1 (IdrisC-45Parser-decoratedKeyword arg-1 "default") (lambda () (vector 12 0 1 (vector 7 ) (vector 9 0 (IdrisC-45Parser-simpleExpr arg-1 arg-0) (lambda () (lambda (u--t) (vector 0 (vector 3 u--t))))))))))
(define IdrisC-45Parser-n--12234-12021-u--continueLamCase (lambda (arg-0 arg-1 arg-2) (vector 9 0 (vector 14 (PreludeC-45Interfaces-C-60C-36C-62 (csegen-729) (lambda (eta-0) (DataC-45List1-forget eta-0)) (ParserC-45RuleC-45Source-nonEmptyBlock (lambda (eta-0) (IdrisC-45Parser-caseAlt arg-1 eta-0))))) (lambda () (lambda (u--b) (vector 0 (let ((u--fc (CoreC-45FC-boundToFC arg-1 u--b))) (let ((u--fcCase (CoreC-45FC-virtualiseFC (CoreC-45FC-boundToFC arg-1 arg-2)))) (let ((u--n (vector 2 "lcase" 0))) (vector 2 u--fcCase (AlgebraC-45ZeroOneOmega-u--top_Top_ZeroOneOmega) (vector 1 ) (vector 0 u--fcCase u--n) (vector 26 u--fcCase) (vector 4 (CoreC-45FC-virtualiseFC u--fc) (vector 0 u--fcCase u--n) (let ((e-1 (vector-ref u--b 0))) e-1))))))))))))
(define IdrisC-45Parser-n--12234-12020-u--continueLam (lambda (arg-0 arg-1) (vector 9 1 (IdrisC-45Parser-bindList arg-1 arg-0) (lambda () (lambda (u--binders) (vector 11 1 (IdrisC-45Parser-commitSymbol arg-1 "=>") (lambda () (vector 12 0 1 (ParserC-45RuleC-45Source-mustContinue arg-0 '()) (vector 9 0 (IdrisC-45Parser-typeExpr (IdrisC-45Parser-pdef) arg-1 arg-0) (lambda () (lambda (u--scope) (vector 0 (IdrisC-45Parser-n--12234-12019-u--bindAll arg-0 arg-1 u--binders u--scope)))))))))))))
(define IdrisC-45Parser-n--20675-15424-u--clauseLHS (lambda (arg-0 arg-1 arg-2 arg-3 arg-5 arg-6 arg-7) (if (null? arg-7) (PreludeC-45Interfaces-C-60C-36C-62 (csegen-729) (lambda (__leftTupleSection-0) (cons __leftTupleSection-0 '())) (IdrisC-45Parser-opExpr (IdrisC-45Parser-plhs) arg-5 arg-0)) (let ((e-2 (unbox arg-7))) (vector 9 0 (IdrisC-45Parser-opExpr (IdrisC-45Parser-plhs) arg-5 arg-0) (lambda () (lambda (u--e) (vector 0 (case (vector-ref u--e 0) ((25) (let ((e-1 (vector-ref u--e 1))) (let ((u--vfc (CoreC-45FC-virtualiseFC e-1))) (let ((e-4 (car e-2))) (let ((e-3 (cdr e-2))) (cons (IdrisC-45SyntaxC-45Traversals-substFC u--vfc e-4) (((csegen-25) ((let ((eff-0 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (let ((e-6 (car eta-3))) (let ((e-5 (cdr eta-3))) (cons e-6 (eta-2 e-5)))))))))) (lambda (arg-4) (lambda (arg-8) ((((eff-0 'erased) 'erased) arg-4) arg-8)))) (lambda (eta-0) (IdrisC-45SyntaxC-45Traversals-substFC u--vfc eta-0)))) e-3)))))))(else (cons u--e '())))))))))))
(define IdrisC-45Parser-n--12092-9668-u--buildOutput (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (let ((e-2 (car arg-6))) (let ((e-3 (cdr arg-6))) (IdrisC-45Parser-n--12092-9667-u--lams arg-1 arg-2 arg-3 arg-4 e-2 (vector 40 arg-5 arg-1 e-3))))))
(define IdrisC-45Parser-n--11981-7227-u--braceArgs (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (vector 13 1 1 (vector 9 1 (vector 14 (IdrisC-45Parser-decoratedSymbol arg-3 "{")) (lambda () (lambda (u--start) (vector 10 0 1 (LibrariesC-45TextC-45Parser-sepBy 1 (IdrisC-45Parser-decoratedSymbol arg-3 ",") (vector 9 0 (vector 14 (PreludeC-45Interfaces-C-60C-36C-62 (csegen-729) (lambda (eta-0) (vector 1 (vector 0 eta-0))) (IdrisC-45Parser-decoratedSimpleNamedArg arg-3))) (lambda () (lambda (u--x) (let ((u--fc (CoreC-45FC-boundToFC arg-3 u--x))) (LibrariesC-45TextC-45Parser-option 1 (vector 2 (let ((e-1 (vector-ref u--x 0))) e-1) (vector 0 u--fc (let ((e-1 (vector-ref u--x 0))) e-1))) (vector 9 0 (vector 10 1 1 ((csegen-726) (IdrisC-45Parser-decoratedSymbol arg-3 "=")) (lambda (u--f) (((csegen-725) u--f) (IdrisC-45Parser-typeExpr (IdrisC-45Parser-pdef) arg-3 arg-4)))) (lambda () (lambda (u--tm) (vector 0 (vector 2 (let ((e-1 (vector-ref u--x 0))) e-1) u--tm))))))))))) (lambda (u--list) (vector 10 0 1 (LibrariesC-45TextC-45Parser-option 1 '() (let ((sc0 (DataC-45List-isCons u--list))) (cond ((equal? sc0 1) (vector 11 1 (IdrisC-45Parser-decoratedSymbol arg-3 ",") (lambda () (vector 9 0 (vector 14 (IdrisC-45Parser-decoratedSymbol arg-3 "_")) (lambda () (lambda (u--x) (vector 0 (cons (IdrisC-45Parser-n--11981-7226-u--underscore arg-0 arg-1 arg-2 (CoreC-45FC-boundToFC arg-3 u--x)) '())))))))) (else (vector 4 '() 0 "non-empty list required"))))) (lambda (u--matchAny) (vector 9 0 (vector 14 (IdrisC-45Parser-decoratedSymbol arg-3 "}")) (lambda () (lambda (u--end) (vector 10 0 0 (let ((u--fc (CoreC-45FC-boundToFC arg-3 (LibrariesC-45TextC-45Bounded-mergeBounds u--start u--end)))) (vector 0 (let ((sc0 (DataC-45List-isNil u--list))) (cond ((equal? sc0 1) (cons (IdrisC-45Parser-n--11981-7226-u--underscore arg-0 arg-1 arg-2 u--fc) '())) (else u--matchAny))))) (lambda (matchAny-0) (vector 0 (PreludeC-45TypesC-45List-tailRecAppend matchAny-0 u--list)))))))))))))) (lambda () (vector 11 1 (IdrisC-45Parser-decoratedSymbol arg-3 "@{") (lambda () (vector 12 0 1 (vector 7 ) (vector 9 1 (IdrisC-45Parser-typeExpr (IdrisC-45Parser-pdef) arg-3 arg-4) (lambda () (lambda (u--tm) (vector 11 0 (IdrisC-45Parser-decoratedSymbol arg-3 "}") (lambda () (vector 0 (cons (vector 1 u--tm) '()))))))))))))))
(define IdrisC-45Parser-n--12297-12811-u--body (lambda (arg-0 arg-1 arg-2) (vector 11 1 (IdrisC-45Parser-decoratedSymbol arg-1 "{") (lambda () (vector 12 0 1 (vector 7 ) (vector 9 1 (LibrariesC-45TextC-45Parser-sepBy1 1 (IdrisC-45Parser-decoratedSymbol arg-1 ",") (IdrisC-45Parser-field arg-2 arg-1 arg-0)) (lambda () (lambda (u--fs) (vector 11 0 (IdrisC-45Parser-decoratedSymbol arg-1 "}") (lambda () (vector 0 (DataC-45List1-forget u--fs))))))))))))
(define IdrisC-45Parser-n--12169-11214-u--binderName (lambda (arg-0 arg-1) (vector 13 1 1 (PreludeC-45Interfaces-C-60C-36C-62 (csegen-729) (lambda (eta-0) (vector 0 eta-0)) (ParserC-45RuleC-45Source-unqualifiedName)) (lambda () (PreludeC-45Interfaces-C-36C-62 (csegen-729) (ParserC-45RuleC-45Source-symbol "_") (vector 2 ))))))
(define IdrisC-45Parser-n--12234-12019-u--bindAll (lambda (arg-0 arg-1 arg-2 arg-3) (if (null? arg-2) arg-3 (let ((e-2 (car arg-2))) (let ((e-3 (cdr arg-2))) (let ((e-6 (car e-2))) (let ((e-7 (cdr e-2))) (let ((e-10 (car e-7))) (let ((e-11 (cdr e-7))) (vector 2 (CoreC-45FC-boundToFC arg-1 e-10) e-6 (vector 1 ) (let ((e-1 (vector-ref e-10 0))) e-1) e-11 (IdrisC-45Parser-n--12234-12019-u--bindAll arg-0 arg-1 e-3 arg-3)))))))))))
(define IdrisC-45Parser-n--31061-25432-u--autoNumber (lambda (arg-0 arg-1 arg-2) (vector 13 1 1 ((csegen-3855) (ParserC-45RuleC-45Source-keyword "auto")) (lambda () (PreludeC-45Interfaces-C-60C-36C-62 (csegen-729) (lambda (eta-0) (box (PreludeC-45Types-prim__integerToNat eta-0))) (ParserC-45RuleC-45Source-intLit))))))
(define IdrisC-45Parser-n--25925-20298-u--autoImplicitField (lambda (arg-0 arg-1) ((PreludeC-45Interfaces-C-60C-36 (csegen-729) (vector 2 )) (IdrisC-45Parser-decoratedKeyword arg-1 "auto"))))
(define IdrisC-45Parser-n--11970-6957-u--applyExpImp (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (if (null? arg-6) arg-5 (let ((e-2 (car arg-6))) (let ((e-3 (cdr arg-6))) (case (vector-ref e-2 0) ((0) (let ((e-4 (vector-ref e-2 1))) (IdrisC-45Parser-n--11970-6957-u--applyExpImp arg-0 arg-1 arg-2 arg-3 arg-4 (vector 7 (vector 0 arg-1 arg-3 arg-4) arg-5 e-4) e-3))) ((1) (let ((e-5 (vector-ref e-2 1))) (IdrisC-45Parser-n--11970-6957-u--applyExpImp arg-0 arg-1 arg-2 arg-3 arg-4 (vector 10 (vector 0 arg-1 arg-3 arg-4) arg-5 e-5) e-3))) ((2) (let ((e-6 (vector-ref e-2 1))) (let ((e-7 (vector-ref e-2 2))) (let ((u--fc (vector 0 arg-1 arg-3 arg-4))) (IdrisC-45Parser-n--11970-6957-u--applyExpImp arg-0 arg-1 arg-2 arg-3 arg-4 (vector 9 u--fc arg-5 e-6 e-7) e-3))))) (else (let ((e-8 (vector-ref e-2 1))) (IdrisC-45Parser-n--11970-6957-u--applyExpImp arg-0 arg-1 arg-2 arg-3 arg-4 (vector 8 (vector 0 arg-1 arg-3 arg-4) arg-5 e-8) e-3)))))))))
(define IdrisC-45Parser-n--25129-19493-u--adjust (lambda (arg-0 arg-1 arg-2) (let ((e-2 (car arg-2))) (let ((e-3 (cdr arg-2))) (let ((e-6 (car e-3))) (let ((e-7 (cdr e-3))) (cons (CoreC-45FC-virtualiseFC (CoreC-45FC-boundToFC arg-1 e-6)) (cons e-2 (cons (let ((e-1 (vector-ref e-6 0))) e-1) e-7)))))))))
(define IdrisC-45Parser-u--show_Show_CmdArg (lambda (arg-0) (case (vector-ref arg-0 0) ((0) "") ((11) "(on|off)") ((15) (let ((e-0 (vector-ref arg-0 1))) (CoreC-45NameC-45Namespace-showSep " " (((csegen-25) (lambda (eta-0) (IdrisC-45Parser-u--show_Show_CmdArg eta-0))) e-0))))(else (string-append "<" (string-append (IdrisC-45Parser-showCmdArg arg-0) ">"))))))
(define IdrisC-45Parser-with_ (lambda (arg-0 arg-1) (vector 9 0 (vector 14 (vector 11 1 (IdrisC-45Parser-decoratedKeyword arg-0 "with") (lambda () (vector 12 0 1 (vector 7 ) (vector 9 1 (vector 13 1 1 (IdrisC-45Parser-n--11992-7731-u--singleName arg-1 arg-0) (lambda () (IdrisC-45Parser-n--11992-7732-u--nameList arg-1 arg-0))) (lambda () (lambda (u--ns) (vector 10 0 1 (LibrariesC-45TextC-45Parser-location) (lambda (u--end) (vector 9 0 (IdrisC-45Parser-expr (IdrisC-45Parser-pdef) arg-0 arg-1) (lambda () (lambda (u--rhs) (vector 0 (cons u--ns u--rhs)))))))))))))) (lambda () (lambda (u--b) (vector 10 0 0 (vector 0 (let ((e-1 (vector-ref u--b 0))) e-1)) (lambda (_-0) (let ((e-2 (car _-0))) (let ((e-3 (cdr _-0))) (vector 0 (vector 51 (CoreC-45FC-boundToFC arg-0 u--b) e-2 e-3)))))))))))
(define IdrisC-45Parser-withProblem (lambda (arg-0 arg-1 arg-2) (vector 10 0 1 (IdrisC-45Parser-multiplicity arg-0) (lambda (u--rig) (vector 9 1 (vector 8 (vector 14 (IdrisC-45Parser-decoratedSymbol arg-0 "("))) (lambda () (lambda (u--start) (vector 9 0 (IdrisC-45Parser-bracketedExpr arg-0 u--start arg-2) (lambda () (lambda (u--wval) (vector 10 0 0 (LibrariesC-45TextC-45Parser-optional 1 (vector 10 1 1 ((csegen-726) (IdrisC-45Parser-decoratedKeyword arg-0 "proof")) (lambda (u--f) (((csegen-725) u--f) (PreludeC-45Interfaces-C-60C-36C-62 (csegen-729) (lambda (eta-0) (vector 1 (vector 0 eta-0))) (IdrisC-45Parser-decoratedSimpleBinderName arg-0)))))) (lambda (u--prf) (vector 0 (vector u--rig u--wval u--prf))))))))))))))
(define IdrisC-45Parser-withFlags (lambda (arg-0) (vector 13 1 0 (vector 11 0 (IdrisC-45Parser-decoratedPragma arg-0 "syntactic") (lambda () (PreludeC-45Interfaces-C-60C-36C-62 (csegen-732) (lambda (arg-1) (cons (vector 0 ) arg-1)) (IdrisC-45Parser-withFlags arg-0)))) (lambda () (vector 0 '())))))
(define IdrisC-45Parser-whereBlock (lambda (arg-0 arg-1) (vector 11 0 (IdrisC-45Parser-decoratedKeyword arg-0 "where") (lambda () (vector 10 0 0 (ParserC-45RuleC-45Source-blockAfter arg-1 (lambda (eta-0) (IdrisC-45Parser-topDecl arg-0 eta-0))) (lambda (u--ds) (vector 0 (IdrisC-45Parser-collectDefs (PreludeC-45Interfaces-concat (csegen-83) (csegen-16) u--ds)))))))))
(define IdrisC-45Parser-visibility (lambda (arg-0) (vector 13 1 0 (IdrisC-45Parser-visOption arg-0) (lambda () (vector 0 0)))))
(define IdrisC-45Parser-visOption (lambda (arg-0) (vector 13 1 1 (vector 10 1 1 ((csegen-726) (IdrisC-45Parser-decoratedKeyword arg-0 "public")) (lambda (u--f) (((csegen-725) u--f) (PreludeC-45Interfaces-C-36C-62 (csegen-729) (IdrisC-45Parser-decoratedKeyword arg-0 "export") 2)))) (lambda () (vector 13 1 1 (PreludeC-45Interfaces-C-36C-62 (csegen-729) (IdrisC-45Parser-decoratedKeyword arg-0 "export") 1) (lambda () (PreludeC-45Interfaces-C-36C-62 (csegen-729) (IdrisC-45Parser-decoratedKeyword arg-0 "private") 0)))))))
(define IdrisC-45Parser-visOpt (lambda (arg-0) (vector 13 1 1 (vector 9 0 (IdrisC-45Parser-visOption arg-0) (lambda () (lambda (u--vis) (vector 0 (vector 0 u--vis))))) (lambda () (vector 13 1 1 (vector 9 0 (IdrisC-45Parser-fnOpt arg-0) (lambda () (lambda (u--tot) (vector 0 (vector 1 u--tot))))) (lambda () (vector 9 0 (IdrisC-45Parser-fnDirectOpt arg-0) (lambda () (lambda (u--opt) (vector 0 (vector 1 u--opt)))))))))))
(define IdrisC-45Parser-validPatternVar (lambda (arg-0) (case (vector-ref arg-0 0) ((1) (let ((e-0 (vector-ref arg-0 1))) (case (vector-ref e-0 0) ((2) (vector 0 (vector 0 ))) ((0) (let ((e-1 (vector-ref e-0 1))) (LibrariesC-45TextC-45Parser-when (let ((sc2 (LibrariesC-45UtilsC-45String-lowerFirst e-1))) (cond ((equal? sc2 1) 0) (else 1))) (lambda () (vector 4 '() 0 "Not a pattern variable")))))(else (vector 4 '() 0 "Not a pattern variable")))))(else (vector 4 '() 0 "Not a pattern variable")))))
(define IdrisC-45Parser-usingDecls (lambda (arg-0 arg-1) (vector 9 0 (vector 14 (vector 10 0 1 (LibrariesC-45TextC-45Parser-column) (lambda (u--col) (vector 11 1 (IdrisC-45Parser-decoratedKeyword arg-0 "using") (lambda () (vector 12 0 1 (vector 7 ) (vector 11 1 (IdrisC-45Parser-decoratedSymbol arg-0 "(") (lambda () (vector 10 0 1 (LibrariesC-45TextC-45Parser-sepBy 1 (IdrisC-45Parser-decoratedSymbol arg-0 ",") (vector 10 0 1 (LibrariesC-45TextC-45Parser-optional 1 (vector 9 1 (ParserC-45RuleC-45Source-unqualifiedName) (lambda () (lambda (u--x) (vector 11 0 (IdrisC-45Parser-decoratedSymbol arg-0 ":") (lambda () (vector 0 (vector 1 (vector 0 u--x))))))))) (lambda (u--n) (vector 9 0 (IdrisC-45Parser-typeExpr (IdrisC-45Parser-pdef) arg-0 arg-1) (lambda () (lambda (u--ty) (vector 0 (cons u--n u--ty)))))))) (lambda (u--us) (vector 11 1 (IdrisC-45Parser-decoratedSymbol arg-0 ")") (lambda () (vector 9 0 (ParserC-45RuleC-45Source-nonEmptyBlockAfter u--col (lambda (eta-0) (IdrisC-45Parser-topDecl arg-0 eta-0))) (lambda () (lambda (u--ds) (vector 0 (cons u--us u--ds))))))))))))))))) (lambda () (lambda (u--b) (vector 10 0 0 (vector 0 (let ((e-1 (vector-ref u--b 0))) e-1)) (lambda (_-0) (let ((e-2 (car _-0))) (let ((e-3 (cdr _-0))) (vector 0 (vector 4 (CoreC-45FC-boundToFC arg-0 u--b) e-2 (IdrisC-45Parser-collectDefs (PreludeC-45Interfaces-concat (csegen-83) (csegen-4960) e-3)))))))))))))
(define IdrisC-45Parser-typedArg (lambda (arg-0 arg-1) (vector 13 1 1 (vector 9 0 (IdrisC-45Parser-parens 1 arg-0 (IdrisC-45Parser-pibindListName arg-0 arg-1)) (lambda () (lambda (u--params) (vector 0 (((csegen-25) (lambda (lamc-0) (let ((e-2 (car lamc-0))) (let ((e-3 (cdr lamc-0))) (let ((e-6 (car e-3))) (let ((e-7 (cdr e-3))) (cons (let ((e-1 (vector-ref e-6 0))) e-1) (cons e-2 (cons (vector 1 ) e-7))))))))) u--params))))) (lambda () (vector 11 1 (IdrisC-45Parser-decoratedSymbol arg-0 "{") (lambda () (vector 12 0 1 (vector 7 ) (vector 10 0 1 (vector 13 1 0 (vector 10 0 1 (csegen-3841) (lambda (u--f) (((csegen-725) u--f) (IdrisC-45Parser-decoratedKeyword arg-0 "auto")))) (lambda () (vector 13 1 0 (vector 10 1 1 ((csegen-726) (IdrisC-45Parser-decoratedKeyword arg-0 "default")) (lambda (u--f) (((csegen-725) u--f) (PreludeC-45Interfaces-C-60C-36C-62 (csegen-729) (lambda (eta-0) (vector 3 eta-0)) (IdrisC-45Parser-simpleExpr arg-0 arg-1))))) (lambda () (vector 0 (vector 0 )))))) (lambda (u--info) (vector 9 1 (IdrisC-45Parser-pibindListName arg-0 arg-1) (lambda () (lambda (u--params) (vector 11 0 (IdrisC-45Parser-decoratedSymbol arg-0 "}") (lambda () (vector 0 (((csegen-25) (lambda (lamc-0) (let ((e-2 (car lamc-0))) (let ((e-3 (cdr lamc-0))) (let ((e-6 (car e-3))) (let ((e-7 (cdr e-3))) (cons (let ((e-1 (vector-ref e-6 0))) e-1) (cons e-2 (cons u--info e-7))))))))) u--params))))))))))))))))
(define IdrisC-45Parser-typeExpr (lambda (arg-0 arg-1 arg-2) (vector 13 1 1 (IdrisC-45Parser-binder arg-1 arg-2) (lambda () (PreludeC-45Interfaces-C-60C-38C-62 (csegen-729) (vector 14 (vector 9 0 (IdrisC-45Parser-expr arg-0 arg-1 arg-2) (lambda () (lambda (u--arg) (vector 10 0 0 (LibrariesC-45TextC-45Parser-optional 1 (vector 12 0 1 (ParserC-45RuleC-45Source-continue arg-2) (vector 9 1 (IdrisC-45Parser-bindSymbol arg-1) (lambda () (lambda (u--bd) (vector 9 0 (vector 8 (IdrisC-45Parser-typeExpr arg-0 arg-1 arg-2)) (lambda () (lambda (u--scope) (vector 0 (cons u--bd u--scope)))))))))) (lambda (u--mscope) (vector 0 (cons u--arg u--mscope)))))))) (lambda (u--arg_mscope) (let ((u--fc (CoreC-45FC-boundToFC arg-1 u--arg_mscope))) (let ((e-1 (vector-ref u--arg_mscope 0))) (let ((e-5 (car e-1))) (let ((e-4 (cdr e-1))) (IdrisC-45Parser-n--12370-13906-u--mkPi arg-2 arg-1 arg-0 u--fc e-5 e-4)))))))))))
(define IdrisC-45Parser-tyDecls (lambda (arg-0 arg-1 arg-2 arg-3) (vector 9 0 (vector 9 1 (LibrariesC-45TextC-45Parser-sepBy1 1 (IdrisC-45Parser-decoratedSymbol arg-2 ",") (vector 10 0 1 (vector 10 0 0 (csegen-5554) (lambda (u--f) (((csegen-721) u--f) (ParserC-45RuleC-45Source-optDocumentation arg-2)))) (lambda (u--f) (((csegen-725) u--f) (vector 14 arg-0))))) (lambda () (lambda (u--docns) (vector 9 1 (vector 14 (IdrisC-45Parser-decoratedSymbol arg-2 ":")) (lambda () (lambda (u--b) (LibrariesC-45TextC-45ParserC-45Core-mustWorkBecause 1 (let ((e-3 (vector-ref u--b 2))) e-3) "Expected a type declaration" (vector 9 0 (IdrisC-45Parser-typeExpr (IdrisC-45Parser-pdef) arg-2 arg-3) (lambda () (lambda (u--ty) (vector 0 (DataC-45List1-u--map_Functor_List1 (lambda (lamc-0) (let ((e-2 (car lamc-0))) (let ((e-3 (cdr lamc-0))) (cons e-2 (cons (let ((e-1 (vector-ref e-3 0))) e-1) (cons (CoreC-45FC-boundToFC arg-2 e-3) u--ty)))))) u--docns)))))))))))) (lambda () (lambda (u--bs) (vector 12 0 0 (ParserC-45RuleC-45Source-atEnd arg-3) (vector 0 (DataC-45List1-u--map_Functor_List1 (lambda (lamc-0) (let ((e-2 (car lamc-0))) (let ((e-3 (cdr lamc-0))) (let ((e-6 (car e-3))) (let ((e-7 (cdr e-3))) (let ((e-10 (car e-7))) (let ((e-11 (cdr e-7))) (vector e-10 e-10 e-6 (string-append arg-1 e-2) e-11)))))))) u--bs))))))))
(define IdrisC-45Parser-tuple (lambda (arg-1 arg-2 arg-3 arg-4) (vector 13 1 1 (IdrisC-45Parser-nonEmptyTuple arg-1 arg-2 arg-3 arg-4) (lambda () (vector 9 0 (vector 14 (IdrisC-45Parser-continueWithDecorated arg-1 arg-3 ")")) (lambda () (lambda (u--end) (vector 12 0 0 (ParserC-45RuleC-45Source-actD (cons (CoreC-45FC-toNonEmptyFC (CoreC-45FC-boundToFC arg-1 arg-2)) (cons 4 '()))) (vector 0 (vector 32 (CoreC-45FC-boundToFC arg-1 (LibrariesC-45TextC-45Bounded-mergeBounds arg-2 u--end)) arg-4))))))))))
(define IdrisC-45Parser-transformDecl (lambda (arg-0 arg-1) (vector 9 0 (vector 14 (vector 11 1 (IdrisC-45Parser-decoratedPragma arg-0 "transform") (lambda () (vector 9 1 (ParserC-45RuleC-45Source-simpleStr) (lambda () (lambda (u--n) (vector 9 1 (IdrisC-45Parser-expr (IdrisC-45Parser-plhs) arg-0 arg-1) (lambda () (lambda (u--lhs) (vector 11 1 (IdrisC-45Parser-decoratedSymbol arg-0 "=") (lambda () (vector 9 0 (IdrisC-45Parser-expr (IdrisC-45Parser-pnowith) arg-0 arg-1) (lambda () (lambda (u--rhs) (vector 0 (cons u--n (cons u--lhs u--rhs))))))))))))))))) (lambda () (lambda (u--b) (vector 10 0 0 (vector 0 (let ((e-1 (vector-ref u--b 0))) e-1)) (lambda (_-0) (let ((e-2 (car _-0))) (let ((e-3 (cdr _-0))) (let ((e-6 (car e-3))) (let ((e-7 (cdr e-3))) (vector 0 (vector 13 (CoreC-45FC-boundToFC arg-0 u--b) e-2 e-6 e-7)))))))))))))
(define IdrisC-45Parser-totalityOpt (lambda (arg-0) (vector 13 1 1 (PreludeC-45Interfaces-C-36C-62 (csegen-729) (IdrisC-45Parser-decoratedKeyword arg-0 "partial") 2) (lambda () (vector 13 1 1 (PreludeC-45Interfaces-C-36C-62 (csegen-729) (IdrisC-45Parser-decoratedKeyword arg-0 "total") 0) (lambda () (PreludeC-45Interfaces-C-36C-62 (csegen-729) (IdrisC-45Parser-decoratedKeyword arg-0 "covering") 1)))))))
(define IdrisC-45Parser-topDecl (lambda (arg-0 arg-1) (vector 13 1 1 (vector 9 0 (IdrisC-45Parser-dataDecl arg-0 arg-1) (lambda () (csegen-5555))) (lambda () (vector 13 1 1 (vector 9 0 (IdrisC-45Parser-claims arg-0 arg-1) (lambda () (lambda (u--ds) (vector 0 (DataC-45List1-forget u--ds))))) (lambda () (vector 13 1 1 (vector 9 0 (IdrisC-45Parser-definition arg-0 arg-1) (lambda () (csegen-5555))) (lambda () (vector 13 1 1 (IdrisC-45Parser-fixDecl arg-0 arg-1) (lambda () (vector 13 1 1 (vector 9 0 (IdrisC-45Parser-ifaceDecl arg-0 arg-1) (lambda () (csegen-5555))) (lambda () (vector 13 1 1 (vector 9 0 (IdrisC-45Parser-implDecl arg-0 arg-1) (lambda () (csegen-5555))) (lambda () (vector 13 1 1 (vector 9 0 (IdrisC-45Parser-recordDecl arg-0 arg-1) (lambda () (csegen-5555))) (lambda () (vector 13 1 1 (vector 9 0 (IdrisC-45Parser-namespaceDecl arg-0 arg-1) (lambda () (csegen-5555))) (lambda () (vector 13 1 1 (vector 9 0 (IdrisC-45Parser-failDecls arg-0 arg-1) (lambda () (csegen-5555))) (lambda () (vector 13 1 1 (vector 9 0 (IdrisC-45Parser-mutualDecls arg-0 arg-1) (lambda () (csegen-5555))) (lambda () (vector 13 1 1 (vector 9 0 (IdrisC-45Parser-paramDecls arg-0 arg-1) (lambda () (csegen-5555))) (lambda () (vector 13 1 1 (vector 9 0 (IdrisC-45Parser-usingDecls arg-0 arg-1) (lambda () (csegen-5555))) (lambda () (vector 13 1 1 (vector 9 0 (IdrisC-45Parser-builtinDecl arg-0 arg-1) (lambda () (csegen-5555))) (lambda () (vector 13 1 1 (vector 9 0 (IdrisC-45Parser-runElabDecl arg-0 arg-1) (lambda () (csegen-5555))) (lambda () (vector 13 1 1 (vector 9 0 (IdrisC-45Parser-transformDecl arg-0 arg-1) (lambda () (csegen-5555))) (lambda () (vector 13 1 1 (vector 9 0 (IdrisC-45Parser-directiveDecl arg-0 arg-1) (lambda () (csegen-5555))) (lambda () (vector 13 1 1 (vector 9 0 (vector 14 (vector 1 "Expected CG directive" (lambda (lcase-0) (case (vector-ref lcase-0 0) ((16) (let ((e-0 (vector-ref lcase-0 1))) (box e-0)))(else '()))))) (lambda () (lambda (u--dstr) (vector 0 (cons (let ((u--cgrest (DataC-45String-span (lambda (eta-0) (PreludeC-45Types-isAlphaNum eta-0)) (let ((e-1 (vector-ref u--dstr 0))) e-1)))) (vector 15 (CoreC-45FC-boundToFC arg-0 u--dstr) (vector 12 (Builtin-fst u--cgrest) (IdrisC-45Parser-stripBraces (DataC-45String-trim (Builtin-snd u--cgrest)))))) '()))))) (lambda () (vector 4 '() 1 "Couldn't parse declaration")))))))))))))))))))))))))))))))))))))
(define IdrisC-45Parser-stripBraces (lambda (arg-0) (PreludeC-45Types-fastPack (IdrisC-45Parser-n--22596-16941-u--drop arg-0 #\{ (PreludeC-45TypesC-45List-reverse (IdrisC-45Parser-n--22596-16941-u--drop arg-0 #\} (PreludeC-45TypesC-45List-reverse (PreludeC-45Types-fastUnpack arg-0))))))))
(define IdrisC-45Parser-stringArgCmd (lambda (arg-0 arg-1 arg-2) (cons (IdrisC-45Parser-n--30259-24607-u--names arg-2 arg-1 arg-0) (cons (vector 10 ) (cons arg-2 (IdrisC-45Parser-n--30259-24608-u--parse arg-2 arg-1 arg-0))))))
(define IdrisC-45Parser-snocListExpr (lambda (arg-0 arg-1 arg-2) (vector 10 0 1 (LibrariesC-45TextC-45Parser-optional 1 (vector 10 0 1 (LibrariesC-45TextC-45Parser-many (vector 9 1 (IdrisC-45Parser-expr (IdrisC-45Parser-pdef) arg-0 arg-2) (lambda () (lambda (u--x) (vector 9 0 (vector 14 (ParserC-45RuleC-45Source-symbol ",")) (lambda () (lambda (u--b) (vector 0 ((PreludeC-45Interfaces-C-60C-36 (csegen-367) u--x) u--b))))))))) (lambda (u--hd) (vector 9 0 (IdrisC-45Parser-expr (IdrisC-45Parser-pdef) arg-0 arg-2) (lambda () (lambda (u--tl) (vector 0 (cons u--hd u--tl)))))))) (lambda (u--mHeadTail) (vector 9 0 (vector 14 (ParserC-45RuleC-45Source-symbol "]")) (lambda () (lambda (u--b) (vector 0 (let ((u--xs (if (null? u--mHeadTail) '() (let ((e-2 (unbox u--mHeadTail))) (let ((e-5 (car e-2))) (let ((e-6 (cdr e-2))) (cons (PreludeC-45TypesC-45SnocList-C-60C-62C-60 '() e-5) ((PreludeC-45Interfaces-C-60C-36 (csegen-367) e-6) u--b)))))))) (let ((u--fc (CoreC-45FC-boundToFC arg-0 (LibrariesC-45TextC-45Bounded-mergeBounds arg-1 u--b)))) (let ((u--nilFC (let ((sc0 (DataC-45SnocList-u--null_Foldable_SnocList u--xs))) (cond ((equal? sc0 1) u--fc) (else (CoreC-45FC-boundToFC arg-0 arg-1)))))) (vector 39 u--fc u--nilFC (DataC-45SnocList-mapTR (lambda (u--t) (cons (CoreC-45FC-boundToFC arg-0 u--t) (let ((e-1 (vector-ref u--t 0))) e-1))) u--xs)))))))))))))
(define IdrisC-45Parser-singlelineStr (lambda (arg-0 arg-1 arg-2) (IdrisC-45Parser-decorate arg-1 3 (vector 9 0 (vector 14 (vector 9 1 (vector 14 (ParserC-45RuleC-45Source-strBegin)) (lambda () (lambda (u--begin) (vector 12 0 1 (vector 7 ) (vector 10 0 1 (LibrariesC-45TextC-45Parser-many (vector 14 (LibrariesC-45TextC-45ParserC-45Core-C-60C-124C-124C-62 1 1 (IdrisC-45Parser-interpBlock arg-0 arg-1 arg-2) (lambda () (ParserC-45RuleC-45Source-strLitLines))))) (lambda (u--xs) (vector 10 0 1 (let ((sc0 (PreludeC-45Types-u--traverse_Traversable_List (vector (lambda (u--b) (lambda (u--a) (lambda (u--func) (lambda (arg-8737) (case (vector-ref arg-8737 0) ((0) (let ((e-2 (vector-ref arg-8737 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref arg-8737 1))) (vector 1 (u--func e-5))))))))) (lambda (u--a) (lambda (arg-9440) (vector 1 arg-9440))) (lambda (u--b) (lambda (u--a) (lambda (arg-9446) (lambda (arg-9453) (case (vector-ref arg-9446 0) ((0) (let ((e-2 (vector-ref arg-9446 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref arg-9446 1))) (case (vector-ref arg-9453 0) ((1) (let ((e-8 (vector-ref arg-9453 1))) (vector 1 (e-5 e-8)))) (else (let ((e-11 (vector-ref arg-9453 1))) (vector 0 e-11)))))))))))) (lambda (eta-0) (IdrisC-45Parser-n--12403-14120-u--toPStr arg-2 arg-1 arg-0 eta-0)) u--xs))) (case (vector-ref sc0 0) ((0) (let ((e-2 (vector-ref sc0 1))) (vector 4 (box (let ((e-3 (vector-ref u--begin 2))) e-3)) 1 e-2))) (else (let ((e-5 (vector-ref sc0 1))) (vector 0 e-5))))) (lambda (u--pstrs) (vector 11 0 (ParserC-45RuleC-45Source-strEnd) (lambda () (vector 0 u--pstrs)))))))))))) (lambda () (lambda (u--b) (vector 0 (vector 33 (CoreC-45FC-boundToFC arg-1 u--b) (let ((e-1 (vector-ref u--b 0))) e-1)))))))))
(define IdrisC-45Parser-simplerExpr (lambda (arg-0 arg-1) (vector 13 1 1 (vector 9 0 (vector 14 (vector 9 1 (vector 14 (PreludeC-45Interfaces-C-60C-36C-62 (csegen-729) (lambda (eta-0) (vector 1 (vector 0 eta-0))) (IdrisC-45Parser-decoratedSimpleBinderName arg-0))) (lambda () (lambda (u--x) (vector 11 1 (IdrisC-45Parser-decoratedSymbol arg-0 "@") (lambda () (vector 12 0 1 (vector 7 ) (vector 9 0 (IdrisC-45Parser-simpleExpr arg-0 arg-1) (lambda () (lambda (u--expr) (vector 0 (cons u--x u--expr)))))))))))) (lambda () (lambda (u--b) (vector 10 0 0 (vector 0 (let ((e-1 (vector-ref u--b 0))) e-1)) (lambda (_-0) (let ((e-2 (car _-0))) (let ((e-3 (cdr _-0))) (vector 0 (vector 23 (CoreC-45FC-boundToFC arg-0 u--b) (CoreC-45FC-boundToFC arg-0 e-2) (let ((e-1 (vector-ref e-2 0))) e-1) e-3))))))))) (lambda () (vector 13 1 1 (vector 9 0 (vector 14 (vector 9 1 (IdrisC-45Parser-decoratedNamespacedSymbol arg-0 "[|") (lambda () (lambda (u--mns) (vector 9 1 (IdrisC-45Parser-expr (IdrisC-45Parser-pdef) arg-0 arg-1) (lambda () (lambda (u--t) (vector 11 0 (IdrisC-45Parser-decoratedSymbol arg-0 "|]") (lambda () (vector 0 (cons u--t u--mns))))))))))) (lambda () (lambda (u--b) (vector 0 (vector 37 (CoreC-45FC-boundToFC arg-0 u--b) (Builtin-snd (let ((e-1 (vector-ref u--b 0))) e-1)) (Builtin-fst (let ((e-1 (vector-ref u--b 0))) e-1))))))) (lambda () (vector 13 1 1 (IdrisC-45Parser-atom arg-0) (lambda () (vector 13 1 1 (IdrisC-45Parser-record_ arg-0 arg-1) (lambda () (vector 13 1 1 (IdrisC-45Parser-singlelineStr (IdrisC-45Parser-pdef) arg-0 arg-1) (lambda () (vector 13 1 1 (IdrisC-45Parser-multilineStr (IdrisC-45Parser-pdef) arg-0 arg-1) (lambda () (vector 13 1 1 (vector 9 0 (vector 14 (vector 11 1 (IdrisC-45Parser-decoratedSymbol arg-0 ".(") (lambda () (vector 12 0 1 (vector 7 ) (vector 9 1 (IdrisC-45Parser-typeExpr (IdrisC-45Parser-pdef) arg-0 arg-1) (lambda () (lambda (u--t) (vector 11 0 (IdrisC-45Parser-decoratedSymbol arg-0 ")") (lambda () (vector 0 u--t)))))))))) (lambda () (lambda (u--b) (vector 0 (vector 24 (CoreC-45FC-boundToFC arg-0 u--b) (let ((e-1 (vector-ref u--b 0))) e-1)))))) (lambda () (vector 13 1 1 (vector 9 0 (vector 14 (vector 11 1 (IdrisC-45Parser-decoratedSymbol arg-0 "`(") (lambda () (vector 9 1 (IdrisC-45Parser-typeExpr (IdrisC-45Parser-pdef) arg-0 arg-1) (lambda () (lambda (u--t) (vector 11 0 (IdrisC-45Parser-decoratedSymbol arg-0 ")") (lambda () (vector 0 u--t))))))))) (lambda () (lambda (u--b) (vector 0 (vector 16 (CoreC-45FC-boundToFC arg-0 u--b) (let ((e-1 (vector-ref u--b 0))) e-1)))))) (lambda () (vector 13 1 1 (vector 9 0 (vector 14 (vector 11 1 (IdrisC-45Parser-decoratedSymbol arg-0 "`{") (lambda () (vector 9 1 (ParserC-45RuleC-45Source-name) (lambda () (lambda (u--t) (vector 11 0 (IdrisC-45Parser-decoratedSymbol arg-0 "}") (lambda () (vector 0 u--t))))))))) (lambda () (lambda (u--b) (vector 0 (vector 17 (CoreC-45FC-boundToFC arg-0 u--b) (let ((e-1 (vector-ref u--b 0))) e-1)))))) (lambda () (vector 13 1 1 (vector 9 0 (vector 14 (vector 11 1 (IdrisC-45Parser-decoratedSymbol arg-0 "`[") (lambda () (vector 9 1 (ParserC-45RuleC-45Source-nonEmptyBlock (lambda (eta-0) (IdrisC-45Parser-topDecl arg-0 eta-0))) (lambda () (lambda (u--ts) (vector 11 0 (IdrisC-45Parser-decoratedSymbol arg-0 "]") (lambda () (vector 0 u--ts))))))))) (lambda () (lambda (u--b) (vector 0 (vector 18 (CoreC-45FC-boundToFC arg-0 u--b) (IdrisC-45Parser-collectDefs (PreludeC-45Interfaces-concat (csegen-83) (csegen-4960) (let ((e-1 (vector-ref u--b 0))) e-1)))))))) (lambda () (vector 13 1 1 (vector 9 0 (vector 14 (vector 10 1 1 ((csegen-726) (IdrisC-45Parser-decoratedSymbol arg-0 "~")) (lambda (u--f) (((csegen-725) u--f) (IdrisC-45Parser-simpleExpr arg-0 arg-1))))) (lambda () (lambda (u--b) (vector 0 (vector 19 (CoreC-45FC-boundToFC arg-0 u--b) (let ((e-1 (vector-ref u--b 0))) e-1)))))) (lambda () (vector 13 1 1 (vector 9 1 (vector 14 (ParserC-45RuleC-45Source-symbol "(")) (lambda () (lambda (u--start) (IdrisC-45Parser-bracketedExpr arg-0 u--start arg-1)))) (lambda () (vector 13 1 1 (vector 9 1 (vector 14 (ParserC-45RuleC-45Source-symbol "[<")) (lambda () (lambda (u--start) (IdrisC-45Parser-snocListExpr arg-0 u--start arg-1)))) (lambda () (vector 13 1 1 (vector 9 1 (vector 14 (vector 13 1 1 (ParserC-45RuleC-45Source-symbol "[>") (lambda () (ParserC-45RuleC-45Source-symbol "[")))) (lambda () (lambda (u--start) (IdrisC-45Parser-listExpr arg-0 u--start arg-1)))) (lambda () (vector 13 1 1 (vector 9 0 (vector 14 (vector 10 1 1 ((csegen-726) (IdrisC-45Parser-decoratedSymbol arg-0 "!")) (lambda (u--f) (((csegen-725) u--f) (IdrisC-45Parser-simpleExpr arg-0 arg-1))))) (lambda () (lambda (u--b) (vector 0 (vector 36 (CoreC-45FC-virtualiseFC (CoreC-45FC-boundToFC arg-0 u--b)) (let ((e-1 (vector-ref u--b 0))) e-1)))))) (lambda () (vector 13 1 1 (vector 9 0 (vector 14 (vector 11 1 (IdrisC-45Parser-decoratedPragma arg-0 "logging") (lambda () (vector 10 0 1 (csegen-5566) (lambda (u--topic) (vector 9 1 (ParserC-45RuleC-45Source-intLit) (lambda () (lambda (u--lvl) (vector 9 0 (IdrisC-45Parser-expr (IdrisC-45Parser-pdef) arg-0 arg-1) (lambda () (lambda (u--e) (vector 0 (cons (CoreC-45OptionsC-45Log-mkLogLevelC-39 u--topic (PreludeC-45Types-prim__integerToNat u--lvl)) u--e))))))))))))) (lambda () (lambda (u--b) (vector 10 0 0 (vector 0 (let ((e-1 (vector-ref u--b 0))) e-1)) (lambda (_-0) (let ((e-2 (car _-0))) (let ((e-3 (cdr _-0))) (vector 0 (vector 50 (CoreC-45FC-boundToFC arg-0 u--b) e-2 e-3))))))))) (lambda () (vector 10 1 0 (vector 14 (IdrisC-45Parser-lam arg-0 arg-1)) (lambda (u--res) (vector 12 0 0 (vector 5 (box (let ((e-3 (vector-ref u--res 2))) e-3)) "DEPRECATED: trailing lambda. Use a $ or parens") (vector 0 (let ((e-1 (vector-ref u--res 0))) e-1)))))))))))))))))))))))))))))))))))))))
(define IdrisC-45Parser-simpleExpr (lambda (arg-0 arg-1) (vector 13 1 1 (vector 9 0 (vector 14 (vector 9 0 (IdrisC-45Parser-simplerExpr arg-0 arg-1) (lambda () (lambda (u--root) (vector 10 0 0 (LibrariesC-45TextC-45Parser-many (vector 14 (ParserC-45RuleC-45Source-postfixProj))) (lambda (u--projs) (vector 0 (cons u--root u--projs)))))))) (lambda () (lambda (u--b) (vector 10 0 0 (vector 0 (let ((e-1 (vector-ref u--b 0))) e-1)) (lambda (_-0) (let ((e-2 (car _-0))) (let ((e-3 (cdr _-0))) (let ((u--projs (((csegen-25) (lambda (u--proj) (cons (CoreC-45FC-boundToFC arg-0 u--proj) (let ((e-1 (vector-ref u--proj 0))) e-1)))) e-3))) (vector 0 (if (null? u--projs) e-2 (vector 48 (CoreC-45FC-boundToFC arg-0 u--b) e-2 u--projs))))))))))) (lambda () (vector 9 0 (csegen-5572) (lambda () (lambda (u--b) (vector 0 (let ((u--projs (((csegen-25) (lambda (u--proj) (cons (CoreC-45FC-boundToFC arg-0 u--proj) (let ((e-1 (vector-ref u--proj 0))) e-1)))) (let ((e-1 (vector-ref u--b 0))) e-1)))) (vector 49 (CoreC-45FC-boundToFC arg-0 u--b) u--projs))))))))))
(define IdrisC-45Parser-simpleData (lambda (arg-1 arg-2 arg-3 arg-4) (vector 9 0 (vector 14 (vector 10 0 1 (LibrariesC-45TextC-45Parser-many (vector 14 (IdrisC-45Parser-decorate arg-1 5 (ParserC-45RuleC-45Source-name)))) (lambda (u--params) (vector 9 1 (vector 14 (IdrisC-45Parser-decoratedSymbol arg-1 "=")) (lambda () (lambda (u--tyend) (vector 8 (let ((u--tyfc (CoreC-45FC-boundToFC arg-1 (LibrariesC-45TextC-45Bounded-mergeBounds arg-2 u--tyend)))) (let ((u--tyCon (vector 0 (CoreC-45FC-boundToFC arg-1 arg-3) (let ((e-1 (vector-ref arg-3 0))) e-1)))) (let ((u--toPRef (lambda (u--t) (vector 0 (CoreC-45FC-boundToFC arg-1 u--t) (let ((e-1 (vector-ref u--t 0))) e-1))))) (let ((u--conRetTy (IdrisC-45Syntax-papply u--tyfc u--tyCon (((csegen-25) u--toPRef) u--params)))) (vector 9 0 (LibrariesC-45TextC-45Parser-sepBy1 1 (IdrisC-45Parser-decoratedSymbol arg-1 "|") (IdrisC-45Parser-simpleCon arg-1 u--conRetTy arg-4)) (lambda () (lambda (u--cons) (vector 0 (cons u--params (cons u--tyfc (DataC-45List1-forget u--cons)))))))))))))))))) (lambda () (lambda (u--b) (vector 10 0 0 (vector 0 (let ((e-1 (vector-ref u--b 0))) e-1)) (lambda (_-0) (let ((e-2 (car _-0))) (let ((e-3 (cdr _-0))) (let ((e-6 (car e-3))) (let ((e-7 (cdr e-3))) (vector 0 (vector 0 (CoreC-45FC-boundToFC arg-1 (LibrariesC-45TextC-45Bounded-mergeBounds arg-2 u--b)) (let ((e-1 (vector-ref arg-3 0))) e-1) (IdrisC-45Parser-mkTyConType arg-1 e-6 e-2) '() e-7)))))))))))))
(define IdrisC-45Parser-simpleCon (lambda (arg-0 arg-1 arg-2) (vector 9 0 (vector 14 (vector 10 0 1 (ParserC-45RuleC-45Source-optDocumentation arg-0) (lambda (u--cdoc) (vector 9 0 (vector 14 (IdrisC-45Parser-decoratedDataConstructorName arg-0)) (lambda () (lambda (u--cname) (vector 10 0 0 (LibrariesC-45TextC-45Parser-many (IdrisC-45Parser-argExpr (IdrisC-45Parser-plhs) arg-0 arg-2)) (lambda (u--params) (vector 0 (cons u--cdoc (cons (let ((e-1 (vector-ref u--cname 0))) e-1) (cons (CoreC-45FC-boundToFC arg-0 u--cname) u--params)))))))))))) (lambda () (lambda (u--b) (vector 12 0 0 (ParserC-45RuleC-45Source-atEnd arg-2) (vector 10 0 0 (vector 0 (let ((e-1 (vector-ref u--b 0))) e-1)) (lambda (_-0) (let ((e-2 (car _-0))) (let ((e-3 (cdr _-0))) (let ((e-6 (car e-3))) (let ((e-7 (cdr e-3))) (let ((e-10 (car e-7))) (let ((e-11 (cdr e-7))) (let ((u--cfc (CoreC-45FC-boundToFC arg-0 u--b))) (DataC-45Maybe-fromMaybe (lambda () (vector 4 '() 1 ((csegen-0) "Named arguments not allowed in ADT constructors"))) (PreludeC-45Interfaces-C-60C-36C-62 (csegen-76) (lambda (eta-0) (vector 0 (vector u--cfc e-10 e-6 e-2 eta-0))) (IdrisC-45Parser-mkDataConType u--cfc arg-1 (PreludeC-45Interfaces-concat (csegen-83) (csegen-16) e-11)))))))))))))))))))
(define IdrisC-45Parser-showCmdArg (lambda (arg-0) (case (vector-ref arg-0 0) ((0) "") ((1) "name") ((2) "expr") ((3) "keyword|expr") ((4) "decls") ((5) "number") ((6) "number|auto") ((7) "option") ((8) "file") ((9) "module") ((10) "string") ((11) "(on|off)") ((14) (let ((e-0 (vector-ref arg-0 1))) (string-append "[" (string-append (IdrisC-45Parser-showCmdArg e-0) "]")))) ((13) (let ((e-1 (vector-ref arg-0 1))) (let ((e-2 (vector-ref arg-0 2))) (string-append (IdrisC-45Parser-showCmdArg e-2) (string-append "|" e-1))))) ((12) (let ((e-3 (vector-ref arg-0 1))) (let ((e-4 (vector-ref arg-0 2))) (string-append e-3 (string-append ":" (IdrisC-45Parser-showCmdArg e-4)))))) (else (IdrisC-45Parser-u--show_Show_CmdArg arg-0)))))
(define IdrisC-45Parser-setVarOption(blodwen-lazy (lambda () (vector 13 1 1 (vector 11 0 (ParserC-45RuleC-45Source-exactIdent "eval") (lambda () (vector 10 0 0 (LibrariesC-45TextC-45Parser-option 1 1 (IdrisC-45Parser-parseMode)) (lambda (u--mode) (vector 0 (vector 4 u--mode)))))) (lambda () (vector 13 1 1 (vector 11 1 (ParserC-45RuleC-45Source-exactIdent "editor") (lambda () (vector 9 0 (ParserC-45RuleC-45Source-unqualifiedName) (lambda () (lambda (u--e) (vector 0 (vector 5 u--e))))))) (lambda () (vector 11 1 (ParserC-45RuleC-45Source-exactIdent "cg") (lambda () (vector 9 0 (ParserC-45RuleC-45Source-unqualifiedName) (lambda () (lambda (u--c) (vector 0 (vector 6 u--c))))))))))))))
(define IdrisC-45Parser-setOption (lambda (arg-0) (vector 13 1 1 (vector 11 0 (ParserC-45RuleC-45Source-exactIdent "showimplicits") (lambda () (vector 0 (vector 0 arg-0)))) (lambda () (vector 13 1 1 (vector 11 0 (ParserC-45RuleC-45Source-exactIdent "shownamespace") (lambda () (vector 0 (vector 1 arg-0)))) (lambda () (vector 13 1 1 (vector 11 0 (ParserC-45RuleC-45Source-exactIdent "showmachinenames") (lambda () (vector 0 (vector 2 arg-0)))) (lambda () (vector 13 1 1 (vector 11 0 (ParserC-45RuleC-45Source-exactIdent "showtypes") (lambda () (vector 0 (vector 3 arg-0)))) (lambda () (vector 13 1 1 (vector 11 0 (ParserC-45RuleC-45Source-exactIdent "profile") (lambda () (vector 0 (vector 7 arg-0)))) (lambda () (vector 13 1 1 (vector 11 0 (ParserC-45RuleC-45Source-exactIdent "evaltiming") (lambda () (vector 0 (vector 8 arg-0)))) (cond ((equal? arg-0 1) (lambda () (IdrisC-45Parser-setVarOption))) (else (lambda () (vector 4 '() 1 ((csegen-0) "Unrecognised option"))))))))))))))))))
(define IdrisC-45Parser-runParseCmd (lambda (arg-0) (case (vector-ref arg-0 0) ((0) (let ((e-0 (vector-ref arg-0 1))) (IdrisC-45Parser-replCmd e-0))) ((1) (let ((e-2 (vector-ref arg-0 1))) (LibrariesC-45TextC-45Parser-choice (csegen-16) 1 (((csegen-25) (lambda (eta-0) (ParserC-45RuleC-45Source-keyword eta-0))) e-2)))) (else (let ((e-4 (vector-ref arg-0 1))) (ParserC-45RuleC-45Source-exactIdent e-4))))))
(define IdrisC-45Parser-runElabDecl (lambda (arg-0 arg-1) (vector 9 0 (vector 14 (vector 11 1 (IdrisC-45Parser-decoratedPragma arg-0 "runElab") (lambda () (IdrisC-45Parser-expr (IdrisC-45Parser-pnowith) arg-0 arg-1)))) (lambda () (lambda (u--tm) (vector 0 (vector 14 (CoreC-45FC-boundToFC arg-0 u--tm) (let ((e-1 (vector-ref u--tm 0))) e-1))))))))
(define IdrisC-45Parser-rewrite_ (lambda (arg-0 arg-1) (vector 9 0 (vector 14 (vector 11 1 (IdrisC-45Parser-decoratedKeyword arg-0 "rewrite") (lambda () (vector 9 1 (IdrisC-45Parser-expr (IdrisC-45Parser-pdef) arg-0 arg-1) (lambda () (lambda (u--rule) (vector 11 1 (IdrisC-45Parser-commitKeyword arg-0 arg-1 "in") (lambda () (vector 9 0 (IdrisC-45Parser-typeExpr (IdrisC-45Parser-pdef) arg-0 arg-1) (lambda () (lambda (u--tm) (vector 0 (cons u--rule u--tm))))))))))))) (lambda () (lambda (u--b) (vector 10 0 0 (vector 0 (let ((e-1 (vector-ref u--b 0))) e-1)) (lambda (_-0) (let ((e-2 (car _-0))) (let ((e-3 (cdr _-0))) (vector 0 (vector 45 (CoreC-45FC-boundToFC arg-0 u--b) e-2 e-3)))))))))))
(define IdrisC-45Parser-replCmd (lambda (arg-0) (if (null? arg-0) (vector 4 '() 0 "Unrecognised command") (let ((e-2 (car arg-0))) (let ((e-3 (cdr arg-0))) (vector 13 1 1 (ParserC-45RuleC-45Source-exactIdent e-2) (lambda () (vector 13 1 1 (ParserC-45RuleC-45Source-symbol e-2) (lambda () (IdrisC-45Parser-replCmd e-3))))))))))
(define IdrisC-45Parser-record_ (lambda (arg-0 arg-1) (vector 9 0 (vector 13 1 1 (vector 10 1 0 (vector 14 (vector 14 (vector 11 1 (IdrisC-45Parser-decoratedKeyword arg-0 "record") (lambda () (vector 12 0 1 (vector 7 ) (IdrisC-45Parser-n--12297-12811-u--body arg-1 arg-0 1)))))) (lambda (u--res) (vector 12 0 0 (vector 5 (box (let ((e-3 (vector-ref u--res 2))) e-3)) (IdrisC-45Parser-n--12297-12810-u--oldSyntaxWarning arg-1 arg-0)) (vector 0 (let ((e-1 (vector-ref u--res 0))) e-1))))) (lambda () (vector 14 (IdrisC-45Parser-n--12297-12811-u--body arg-1 arg-0 0)))) (lambda () (lambda (u--b) (vector 0 (vector 6 (CoreC-45FC-boundToFC arg-0 u--b) (let ((e-1 (vector-ref u--b 0))) e-1))))))))
(define IdrisC-45Parser-recordParam (lambda (arg-0 arg-1) (vector 13 1 1 (IdrisC-45Parser-typedArg arg-0 arg-1) (lambda () (vector 9 0 (vector 14 (PreludeC-45Interfaces-C-60C-36C-62 (csegen-729) (lambda (eta-0) (vector 1 (vector 0 eta-0))) (IdrisC-45Parser-decoratedSimpleBinderName arg-0))) (lambda () (lambda (u--n) (vector 0 (cons (cons (let ((e-1 (vector-ref u--n 0))) e-1) (cons (AlgebraC-45ZeroOneOmega-u--top_Top_ZeroOneOmega) (cons (vector 1 ) (vector 26 (CoreC-45FC-boundToFC arg-0 u--n))))) '())))))))))
(define IdrisC-45Parser-recordDecl (lambda (arg-0 arg-1) (vector 9 0 (vector 14 (vector 10 0 1 (ParserC-45RuleC-45Source-optDocumentation arg-0) (lambda (u--doc) (vector 10 0 1 (IdrisC-45Parser-dataVisOpt arg-0) (lambda (_-0) (let ((e-2 (car _-0))) (let ((e-3 (cdr _-0))) (vector 10 0 1 (LibrariesC-45TextC-45Parser-column) (lambda (u--col) (vector 11 1 (IdrisC-45Parser-decoratedKeyword arg-0 "record") (lambda () (vector 9 0 (vector 8 (IdrisC-45Parser-decoratedDataTypeName arg-0)) (lambda () (lambda (u--n) (vector 10 0 0 (LibrariesC-45TextC-45Parser-many (IdrisC-45Parser-recordParam arg-0 arg-1)) (lambda (u--paramss) (let ((u--params (PreludeC-45Interfaces-concat (csegen-83) (csegen-16) u--paramss))) (IdrisC-45Parser-recordBody arg-0 arg-1 u--doc e-2 e-3 u--col u--n u--params)))))))))))))))))) (lambda () (lambda (u--b) (vector 0 (let ((e-1 (vector-ref u--b 0))) (e-1 (CoreC-45FC-boundToFC arg-0 u--b)))))))))
(define IdrisC-45Parser-recordConstructor (lambda (arg-0) (vector 11 1 (ParserC-45RuleC-45Source-exactIdent "constructor") (lambda () (vector 9 0 (vector 8 (IdrisC-45Parser-decoratedDataConstructorName arg-0)) (lambda () (lambda (u--n) (vector 0 u--n))))))))
(define IdrisC-45Parser-recordBody (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (vector 13 0 1 (vector 12 0 0 (ParserC-45RuleC-45Source-atEndIndent arg-1) (vector 0 (lambda (u--fc) (vector 8 u--fc arg-2 arg-3 arg-4 (vector 1 arg-6 arg-7))))) (lambda () (vector 11 0 (vector 8 (IdrisC-45Parser-decoratedKeyword arg-0 "where")) (lambda () (vector 10 0 0 (IdrisC-45Parser-dataOpts arg-0) (lambda (u--opts) (vector 10 0 0 (ParserC-45RuleC-45Source-blockWithOptHeaderAfter arg-5 (lambda (u--idt) (vector 10 1 0 ((csegen-2689) (IdrisC-45Parser-recordConstructor arg-0)) (lambda (u--f) (((csegen-721) u--f) (ParserC-45RuleC-45Source-atEnd u--idt))))) (lambda (eta-0) (IdrisC-45Parser-fieldDecl arg-0 eta-0))) (lambda (u--dcflds) (vector 0 (lambda (u--fc) (vector 8 u--fc arg-2 arg-3 arg-4 (vector 0 arg-6 arg-7 u--opts (Builtin-fst u--dcflds) (PreludeC-45Interfaces-concat (csegen-83) (csegen-16) (Builtin-snd u--dcflds))))))))))))))))
(define IdrisC-45Parser-progHdr (lambda (arg-0) (vector 10 0 0 (vector 14 (vector 10 0 0 (ParserC-45RuleC-45Source-optDocumentation arg-0) (lambda (u--doc) (vector 10 0 0 (LibrariesC-45TextC-45Parser-option 1 (CoreC-45NameC-45Namespace-nsAsModuleIdent (CoreC-45NameC-45Namespace-mainNS)) (vector 11 1 (IdrisC-45Parser-decoratedKeyword arg-0 "module") (lambda () (vector 8 (ParserC-45RuleC-45Source-moduleIdent))))) (lambda (u--nspace) (vector 10 0 0 (ParserC-45RuleC-45Source-block (lambda (eta-0) (IdrisC-45Parser-import_ arg-0 eta-0))) (lambda (u--imports) (vector 0 (cons u--doc (cons u--nspace u--imports)))))))))) (lambda (u--b) (vector 10 0 0 (vector 0 (let ((e-1 (vector-ref u--b 0))) e-1)) (lambda (_-0) (let ((e-2 (car _-0))) (let ((e-3 (cdr _-0))) (let ((e-6 (car e-3))) (let ((e-7 (cdr e-3))) (vector 0 (vector (CoreC-45FC-boundToFC arg-0 u--b) e-6 e-7 e-2 '()))))))))))))
(define IdrisC-45Parser-prog (lambda (arg-0) (vector 10 0 0 (vector 14 (vector 10 0 0 (ParserC-45RuleC-45Source-optDocumentation arg-0) (lambda (u--doc) (vector 10 0 0 (LibrariesC-45TextC-45Parser-option 1 (CoreC-45NameC-45Namespace-nsAsModuleIdent (CoreC-45NameC-45Namespace-mainNS)) (vector 11 1 (IdrisC-45Parser-decoratedKeyword arg-0 "module") (lambda () (IdrisC-45Parser-decorate arg-0 8 (vector 8 (ParserC-45RuleC-45Source-moduleIdent)))))) (lambda (u--nspace) (vector 10 0 0 (ParserC-45RuleC-45Source-block (lambda (eta-0) (IdrisC-45Parser-import_ arg-0 eta-0))) (lambda (u--imports) (vector 0 (cons u--doc (cons u--nspace u--imports)))))))))) (lambda (u--b) (vector 10 0 0 (ParserC-45RuleC-45Source-block (lambda (eta-0) (IdrisC-45Parser-topDecl arg-0 eta-0))) (lambda (u--ds) (vector 10 0 0 (vector 0 (let ((e-1 (vector-ref u--b 0))) e-1)) (lambda (_-0) (let ((e-2 (car _-0))) (let ((e-3 (cdr _-0))) (let ((e-6 (car e-3))) (let ((e-7 (cdr e-3))) (vector 0 (vector (CoreC-45FC-boundToFC arg-0 u--b) e-6 e-7 e-2 (IdrisC-45Parser-collectDefs (PreludeC-45Interfaces-concat (csegen-83) (csegen-16) u--ds))))))))))))))))
(define IdrisC-45Parser-pnowith(blodwen-lazy (lambda () (cons 1 0))))
(define IdrisC-45Parser-pnoeq (lambda (ext-0) (let ((e-1 (cdr ext-0))) (cons 0 e-1))))
(define IdrisC-45Parser-plhs(blodwen-lazy (lambda () (cons 0 0))))
(define IdrisC-45Parser-pibindListName (lambda (arg-0 arg-1) (vector 13 1 1 (vector 10 0 1 (IdrisC-45Parser-multiplicity arg-0) (lambda (u--rig) (vector 9 1 (LibrariesC-45TextC-45Parser-sepBy1 1 (IdrisC-45Parser-decoratedSymbol arg-0 ",") (vector 14 (PreludeC-45Interfaces-C-60C-36C-62 (csegen-729) (lambda (eta-0) (vector 1 eta-0)) (IdrisC-45Parser-n--12169-11214-u--binderName arg-1 arg-0)))) (lambda () (lambda (u--ns) (let ((ns-0 (DataC-45List1-forget u--ns))) (vector 12 0 1 (IdrisC-45Parser-decorateBoundedNames arg-0 5 ns-0) (vector 11 1 (IdrisC-45Parser-decoratedSymbol arg-0 ":") (lambda () (vector 9 0 (IdrisC-45Parser-typeExpr (IdrisC-45Parser-pdef) arg-0 arg-1) (lambda () (lambda (u--ty) (vector 12 0 0 (ParserC-45RuleC-45Source-atEnd arg-1) (vector 0 (((csegen-25) (lambda (u--n) (cons u--rig (cons u--n u--ty)))) ns-0))))))))))))))) (lambda () (PreludeC-45Interfaces-C-60C-36C-62 (csegen-729) (lambda (eta-0) (DataC-45List1-forget eta-0)) (LibrariesC-45TextC-45Parser-sepBy1 1 (IdrisC-45Parser-decoratedSymbol arg-0 ",") (vector 10 0 1 (IdrisC-45Parser-multiplicity arg-0) (lambda (u--rig) (vector 9 1 (vector 14 (IdrisC-45Parser-decorate arg-0 5 (IdrisC-45Parser-n--12169-11214-u--binderName arg-1 arg-0))) (lambda () (lambda (u--n) (vector 11 1 (IdrisC-45Parser-decoratedSymbol arg-0 ":") (lambda () (vector 9 0 (IdrisC-45Parser-typeExpr (IdrisC-45Parser-pdef) arg-0 arg-1) (lambda () (lambda (u--ty) (vector 0 (cons u--rig (cons (LibrariesC-45TextC-45Bounded-u--map_Functor_WithBounds (lambda (eta-0) (vector 1 eta-0)) u--n) u--ty)))))))))))))))))))
(define IdrisC-45Parser-pibindList (lambda (arg-0 arg-1) (vector 9 0 (IdrisC-45Parser-pibindListName arg-0 arg-1) (lambda () (lambda (u--params) (vector 0 (((csegen-25) (lambda (lamc-0) (let ((e-2 (car lamc-0))) (let ((e-3 (cdr lamc-0))) (let ((e-6 (car e-3))) (let ((e-7 (cdr e-3))) (cons e-2 (cons (((let ((eff-0 (csegen-367))) (lambda (arg-2) (lambda (arg-3) ((((eff-0 'erased) 'erased) arg-2) arg-3)))) (lambda (eta-0) (box eta-0))) e-6) e-7)))))))) u--params)))))))
(define IdrisC-45Parser-pibindAll (lambda (arg-0 arg-1 arg-2 arg-3) (if (null? arg-2) arg-3 (let ((e-2 (car arg-2))) (let ((e-3 (cdr arg-2))) (let ((e-6 (car e-2))) (let ((e-7 (cdr e-2))) (let ((e-10 (car e-7))) (let ((e-11 (cdr e-7))) (vector 1 (CoreC-45FC-boundToFC arg-0 e-10) e-6 arg-1 (let ((e-1 (vector-ref e-10 0))) e-1) e-11 (IdrisC-45Parser-pibindAll arg-0 arg-1 e-3 arg-3)))))))))))
(define IdrisC-45Parser-pdef(blodwen-lazy (lambda () (cons 1 1))))
(define IdrisC-45Parser-patAlt (lambda (arg-0 arg-1) (vector 11 1 (IdrisC-45Parser-decoratedSymbol arg-0 "|") (lambda () (IdrisC-45Parser-caseAlt arg-0 arg-1)))))
(define IdrisC-45Parser-parserCommandsForHelp(blodwen-lazy (lambda () (cons (IdrisC-45Parser-exprArgCmd (vector 0 (csegen-5589)) (lambda (eta-0) (vector 2 eta-0)) (IdrisC-45Parser-firstHelpLine "t")) (cons (IdrisC-45Parser-exprArgCmd (vector 0 (cons "ti" '())) (lambda (eta-0) (vector 3 eta-0)) (IdrisC-45Parser-firstHelpLine "ti")) (cons (IdrisC-45Parser-exprArgCmd (vector 0 (cons "printdef" '())) (lambda (eta-0) (vector 4 eta-0)) (IdrisC-45Parser-firstHelpLine "printdef")) (cons (IdrisC-45Parser-exprArgCmd (vector 0 (csegen-5594)) (lambda (eta-0) (vector 12 eta-0)) (IdrisC-45Parser-firstHelpLine "s")) (cons (IdrisC-45Parser-nameArgCmd (vector 2 "di") (lambda (eta-0) (vector 14 eta-0)) (IdrisC-45Parser-firstHelpLine "di")) (cons (IdrisC-45Parser-moduleArgCmd (vector 1 (csegen-5598)) (lambda (eta-0) (vector 7 eta-0)) (IdrisC-45Parser-firstHelpLine "module")) (cons (IdrisC-45Parser-stringArgCmd (vector 0 (cons "package" '())) (lambda (eta-0) (vector 33 eta-0)) (IdrisC-45Parser-firstHelpLine "package")) (cons (IdrisC-45Parser-noArgCmd (vector 0 (csegen-5603)) (vector 31 ) (IdrisC-45Parser-firstHelpLine "q")) (cons (IdrisC-45Parser-noArgCmd (vector 0 (cons "cwd" '())) (vector 19 ) (IdrisC-45Parser-firstHelpLine "cwd")) (cons (IdrisC-45Parser-stringArgCmd (vector 0 (cons "cd" '())) (lambda (eta-0) (vector 18 eta-0)) (IdrisC-45Parser-firstHelpLine "cd")) (cons (IdrisC-45Parser-stringArgCmd (vector 0 (cons "sh" '())) (lambda (eta-0) (vector 29 eta-0)) (IdrisC-45Parser-firstHelpLine "sh")) (cons (IdrisC-45Parser-optArgCmd (vector 2 "set") (lambda (eta-0) (vector 15 eta-0)) 1 (IdrisC-45Parser-firstHelpLine "set")) (cons (IdrisC-45Parser-optArgCmd (vector 2 "unset") (lambda (eta-0) (vector 15 eta-0)) 0 (IdrisC-45Parser-firstHelpLine "unset")) (cons (IdrisC-45Parser-noArgCmd (vector 0 (cons "opts" '())) (vector 16 ) (IdrisC-45Parser-firstHelpLine "opts")) (cons (IdrisC-45Parser-compileArgsCmd (vector 0 (csegen-5612)) (lambda (eta-0) (lambda (eta-1) (vector 9 eta-0 eta-1))) (IdrisC-45Parser-firstHelpLine "c")) (cons (IdrisC-45Parser-exprArgCmd (vector 2 "exec") (lambda (eta-0) (vector 10 eta-0)) (IdrisC-45Parser-firstHelpLine "exec")) (cons (IdrisC-45Parser-stringArgCmd (vector 2 "directive") (lambda (eta-0) (vector 17 eta-0)) (IdrisC-45Parser-firstHelpLine "directive")) (cons (IdrisC-45Parser-stringArgCmd (vector 0 (csegen-5618)) (lambda (eta-0) (vector 6 eta-0)) (IdrisC-45Parser-firstHelpLine "l")) (cons (IdrisC-45Parser-noArgCmd (vector 0 (csegen-5621)) (vector 5 ) (IdrisC-45Parser-firstHelpLine "r")) (cons (IdrisC-45Parser-noArgCmd (vector 0 (csegen-5624)) (vector 8 ) (IdrisC-45Parser-firstHelpLine "e")) (cons (IdrisC-45Parser-nameArgCmd (vector 0 (csegen-5627)) (lambda (eta-0) (vector 20 eta-0)) (IdrisC-45Parser-firstHelpLine "miss")) (cons (IdrisC-45Parser-nameArgCmd (vector 1 (cons "total" '())) (lambda (eta-0) (vector 21 eta-0)) (IdrisC-45Parser-firstHelpLine "total")) (cons (IdrisC-45Parser-docArgCmd (vector 2 "doc") (lambda (eta-0) (vector 22 eta-0)) (IdrisC-45Parser-firstHelpLine "doc")) (cons (IdrisC-45Parser-moduleArgCmd (vector 2 "browse") (lambda (eta-0) (vector 23 (CoreC-45NameC-45Namespace-miAsNamespace eta-0))) (IdrisC-45Parser-firstHelpLine "browse")) (cons (IdrisC-45Parser-loggingArgCmd (vector 0 (csegen-5634)) (lambda (eta-0) (vector 24 eta-0)) (IdrisC-45Parser-firstHelpLine "log")) (cons (IdrisC-45Parser-autoNumberArgCmd (vector 0 (cons "consolewidth" '())) (lambda (eta-0) (vector 25 eta-0)) (IdrisC-45Parser-firstHelpLine "consolewidth")) (cons (IdrisC-45Parser-onOffArgCmd (vector 0 (csegen-5638)) (lambda (eta-0) (vector 26 eta-0)) (IdrisC-45Parser-firstHelpLine "colour")) (cons (IdrisC-45Parser-noArgCmd (vector 0 (csegen-5641)) (vector 27 ) (IdrisC-45Parser-firstHelpLine "m")) (cons (IdrisC-45Parser-editLineColNameArgCmd (vector 0 (cons "typeat" '())) (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (vector 0 eta-1 eta-2 eta-3))))) (IdrisC-45Parser-firstHelpLine "typeat")) (cons (IdrisC-45Parser-editLineColNameArgCmd (vector 0 (csegen-5647)) (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (vector 1 eta-0 eta-1 eta-2 eta-3))))) (IdrisC-45Parser-firstHelpLine "cs")) (cons (IdrisC-45Parser-editLineNameArgCmd (vector 0 (csegen-5651)) (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (vector 2 eta-0 eta-1 eta-2)))) (IdrisC-45Parser-firstHelpLine "ac")) (cons (IdrisC-45Parser-editLineNameArgCmd (vector 0 (csegen-5655)) (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (vector 9 eta-0 eta-1 eta-2)))) (IdrisC-45Parser-firstHelpLine "ml")) (cons (IdrisC-45Parser-editLineNameArgCmd (vector 0 (csegen-5659)) (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (vector 10 eta-0 eta-1 eta-2)))) (IdrisC-45Parser-firstHelpLine "mc")) (cons (IdrisC-45Parser-editLineNameArgCmd (vector 0 (csegen-5663)) (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (vector 11 eta-0 eta-1 eta-2)))) (IdrisC-45Parser-firstHelpLine "mw")) (cons (IdrisC-45Parser-editLineNameArgCmd (vector 0 (cons "intro" '())) (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (vector 4 eta-0 eta-1 eta-2)))) (IdrisC-45Parser-firstHelpLine "intro")) (cons (IdrisC-45Parser-editLineNamePTermArgCmd (vector 0 (cons "refine" '())) (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (vector 3 eta-0 eta-1 eta-2 eta-3))))) (IdrisC-45Parser-firstHelpLine "refine")) (cons (IdrisC-45Parser-editLineNameCSVArgCmd (vector 0 (csegen-5671)) (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (vector 5 eta-0 eta-1 eta-2 eta-3))))) (IdrisC-45Parser-firstHelpLine "ps")) (cons (IdrisC-45Parser-noArgCmd (vector 0 (cons "psnext" '())) (vector 28 (vector 6 )) (IdrisC-45Parser-firstHelpLine "psnext")) (cons (IdrisC-45Parser-editLineNameOptionArgCmd (vector 0 (cons "gd" '())) (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (vector 7 eta-0 eta-1 eta-2 eta-3))))) (IdrisC-45Parser-firstHelpLine "gd")) (cons (IdrisC-45Parser-noArgCmd (vector 0 (cons "gdnext" '())) (vector 28 (vector 8 )) (IdrisC-45Parser-firstHelpLine "gdnext")) (cons (IdrisC-45Parser-noArgCmd (vector 0 (cons "version" '())) (vector 30 ) (IdrisC-45Parser-firstHelpLine "version")) (cons (IdrisC-45Parser-helpCmd (vector 0 (csegen-5681)) (lambda (eta-0) (vector 11 eta-0)) (IdrisC-45Parser-firstHelpLine "?")) (cons (IdrisC-45Parser-declsArgCmd (vector 1 (cons "let" '())) (lambda (eta-0) (vector 0 eta-0)) (IdrisC-45Parser-firstHelpLine "let")) (cons (IdrisC-45Parser-exprArgCmd (vector 0 (csegen-5685)) (lambda (eta-0) (vector 13 eta-0)) (IdrisC-45Parser-firstHelpLine "fs")) '())))))))))))))))))))))))))))))))))))))))))))))))
(define IdrisC-45Parser-parseRHS (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (vector 13 1 1 (vector 9 0 (vector 14 (vector 11 1 (IdrisC-45Parser-decoratedSymbol arg-2 "=") (lambda () (vector 8 (vector 9 0 (IdrisC-45Parser-typeExpr (IdrisC-45Parser-pdef) arg-2 arg-5) (lambda () (lambda (u--rhs) (vector 10 0 0 (LibrariesC-45TextC-45Parser-option 1 '() (IdrisC-45Parser-whereBlock arg-2 arg-4)) (lambda (u--ws) (vector 0 (cons u--rhs u--ws))))))))))) (lambda () (lambda (u--b) (vector 12 0 0 (ParserC-45RuleC-45Source-atEnd arg-5) (vector 10 0 0 (vector 0 (let ((e-1 (vector-ref u--b 0))) e-1)) (lambda (_-0) (let ((e-2 (car _-0))) (let ((e-3 (cdr _-0))) (let ((u--fc (CoreC-45FC-boundToFC arg-2 (LibrariesC-45TextC-45Bounded-mergeBounds arg-3 u--b)))) (vector 0 (vector 0 u--fc (PreludeC-45Basics-uncurry (csegen-5732) arg-6) e-2 e-3))))))))))) (lambda () (vector 13 1 1 (vector 9 0 (vector 14 (vector 11 1 (IdrisC-45Parser-decoratedKeyword arg-2 "with") (lambda () (vector 12 0 1 (vector 7 ) (vector 10 0 1 (IdrisC-45Parser-withFlags arg-2) (lambda (u--flags) (vector 9 1 (LibrariesC-45TextC-45Parser-sepBy1 1 (IdrisC-45Parser-decoratedSymbol arg-2 "|") (IdrisC-45Parser-withProblem arg-2 arg-4 arg-5)) (lambda () (lambda (u--wps) (vector 9 0 (vector 8 (ParserC-45RuleC-45Source-nonEmptyBlockAfter arg-4 (lambda (eta-0) (IdrisC-45Parser-clause (+ (+ (PreludeC-45TypesC-45List-lengthTR (let ((e-2 (cdr u--wps))) e-2)) 1) arg-1) (box arg-6) arg-2 eta-0)))) (lambda () (lambda (u--ws) (vector 0 (cons u--flags (cons u--wps (DataC-45List1-forget u--ws)))))))))))))))) (lambda () (lambda (u--b) (vector 10 0 0 (vector 0 (let ((e-1 (vector-ref u--b 0))) e-1)) (lambda (_-0) (let ((e-2 (car _-0))) (let ((e-3 (cdr _-0))) (let ((e-6 (car e-3))) (let ((e-7 (cdr e-3))) (let ((u--fc (CoreC-45FC-boundToFC arg-2 (LibrariesC-45TextC-45Bounded-mergeBounds arg-3 u--b)))) (vector 0 (vector 1 u--fc (PreludeC-45Basics-uncurry (csegen-5732) arg-6) e-6 e-2 e-7)))))))))))) (lambda () (vector 9 0 (vector 14 (IdrisC-45Parser-decoratedKeyword arg-2 "impossible")) (lambda () (lambda (u--end) (vector 12 0 0 (ParserC-45RuleC-45Source-atEnd arg-5) (vector 0 (let ((u--fc (CoreC-45FC-boundToFC arg-2 (LibrariesC-45TextC-45Bounded-mergeBounds arg-3 u--end)))) (vector 2 u--fc (PreludeC-45Basics-uncurry (csegen-5732) arg-6))))))))))))))
(define IdrisC-45Parser-parseMode(blodwen-lazy (lambda () (vector 13 1 1 (vector 11 0 (ParserC-45RuleC-45Source-exactIdent "typecheck") (lambda () (vector 0 0))) (lambda () (vector 13 1 1 (vector 11 0 (ParserC-45RuleC-45Source-exactIdent "tc") (lambda () (vector 0 0))) (lambda () (vector 13 1 1 (vector 11 0 (ParserC-45RuleC-45Source-exactIdent "normalise") (lambda () (vector 0 1))) (lambda () (vector 13 1 1 (vector 11 0 (ParserC-45RuleC-45Source-exactIdent "default") (lambda () (vector 0 1))) (lambda () (vector 13 1 1 (vector 11 0 (ParserC-45RuleC-45Source-exactIdent "normal") (lambda () (vector 0 1))) (lambda () (vector 13 1 1 (vector 11 0 (ParserC-45RuleC-45Source-exactIdent "normalize") (lambda () (vector 0 1))) (lambda () (vector 13 1 1 (vector 11 0 (ParserC-45RuleC-45Source-exactIdent "execute") (lambda () (vector 0 2))) (lambda () (vector 13 1 1 (vector 11 0 (ParserC-45RuleC-45Source-exactIdent "exec") (lambda () (vector 0 2))) (lambda () (vector 11 0 (ParserC-45RuleC-45Source-exactIdent "scheme") (lambda () (vector 0 3))))))))))))))))))))))
(define IdrisC-45Parser-parens (lambda (arg-1 arg-2 arg-3) (vector 10 1 1 ((csegen-2689) (vector 10 1 arg-1 (vector 10 0 1 ((csegen-3840) (vector 0 (lambda (eta-0) eta-0))) (lambda (u--f) (((csegen-725) u--f) (IdrisC-45Parser-decoratedSymbol arg-2 "(")))) (lambda (u--f) (((let ((eff-0 (lambda (u--b) (lambda (u--a) (lambda (u--func) (lambda (arg-8737) (LibrariesC-45TextC-45ParserC-45Core-u--map_Functor_C-40C-40C-40GrammarC-32C-36stateC-41C-32C-36tokC-41C-32C-36cC-41 arg-1 u--func arg-8737))))))) (lambda (arg-0) (lambda (arg-4) ((((eff-0 'erased) 'erased) arg-0) arg-4)))) u--f) arg-3)))) (lambda (u--f) (((csegen-725) u--f) (IdrisC-45Parser-decoratedSymbol arg-2 ")"))))))
(define IdrisC-45Parser-paramDecls (lambda (arg-0 arg-1) (vector 10 0 1 (LibrariesC-45TextC-45Parser-column) (lambda (u--startCol) (vector 9 1 (vector 14 (IdrisC-45Parser-decoratedKeyword arg-0 "parameters")) (lambda () (lambda (u--b1) (vector 12 0 1 (vector 7 ) (vector 9 1 (vector 14 (vector 13 1 1 (IdrisC-45Parser-n--26768-21144-u--newParamDecls arg-1 arg-0 arg-0 arg-1) (lambda () (IdrisC-45Parser-n--26768-21143-u--oldParamDecls arg-1 arg-0 arg-0 arg-1)))) (lambda () (lambda (u--args) (vector 12 0 1 (vector 7 ) (vector 9 0 (vector 14 (ParserC-45RuleC-45Source-nonEmptyBlockAfter u--startCol (lambda (eta-0) (IdrisC-45Parser-topDecl arg-0 eta-0)))) (lambda () (lambda (u--declarations) (vector 10 0 0 (vector 0 (LibrariesC-45TextC-45Bounded-mergeBounds u--b1 (LibrariesC-45TextC-45Bounded-mergeBounds u--args u--declarations))) (lambda (u--mergedBounds) (vector 0 (vector 3 (CoreC-45FC-boundToFC arg-0 u--mergedBounds) (let ((e-1 (vector-ref u--args 0))) e-1) (IdrisC-45Parser-collectDefs (PreludeC-45Interfaces-concat (csegen-83) (csegen-4960) (let ((e-1 (vector-ref u--declarations 0))) e-1))))))))))))))))))))))
(define IdrisC-45Parser-optArgCmd (lambda (arg-0 arg-1 arg-2 arg-3) (cons (IdrisC-45Parser-n--30924-25294-u--names arg-3 arg-2 arg-1 arg-0) (cons (vector 7 ) (cons arg-3 (IdrisC-45Parser-n--30924-25295-u--parse arg-3 arg-2 arg-1 arg-0))))))
(define IdrisC-45Parser-opExpr (lambda (arg-0 arg-1 arg-2) (vector 9 0 (vector 14 (IdrisC-45Parser-appExpr arg-0 arg-1 arg-2)) (lambda () (lambda (u--l) (vector 13 1 0 (let ((sc0 (let ((e-0 (car arg-0))) e-0))) (cond ((equal? sc0 1) (vector 9 0 (vector 14 (vector 10 1 1 ((csegen-726) (vector 10 0 1 ((csegen-5070) (ParserC-45RuleC-45Source-continue arg-2)) (lambda (u--f) (((csegen-725) u--f) (IdrisC-45Parser-decoratedSymbol arg-1 "="))))) (lambda (u--f) (((csegen-725) u--f) (IdrisC-45Parser-opExpr arg-0 arg-1 arg-2))))) (lambda () (lambda (u--r) (vector 0 (let ((u--fc (CoreC-45FC-boundToFC arg-1 (LibrariesC-45TextC-45Bounded-mergeBounds u--l u--r)))) (let ((u--opFC (CoreC-45FC-virtualiseFC u--fc))) (vector 27 u--fc u--opFC (vector 1 (vector 0 "=")) (let ((e-1 (vector-ref u--l 0))) e-1) (let ((e-1 (vector-ref u--r 0))) e-1))))))))) (else (vector 4 '() 0 "= not allowed")))) (lambda () (vector 13 1 0 (vector 9 0 (vector 14 (vector 12 0 1 (ParserC-45RuleC-45Source-continue arg-2) (vector 9 1 (vector 14 (IdrisC-45Parser-iOperator)) (lambda () (lambda (u--op) (vector 9 0 (let ((e-1 (vector-ref u--op 0))) (case (vector-ref e-1 0) ((1) (let ((e-0 (vector-ref e-1 1))) (case (vector-ref e-0 0) ((0) (let ((e-4 (vector-ref e-0 1))) (cond ((equal? e-4 "$") (IdrisC-45Parser-typeExpr arg-0 arg-1 arg-2))(else (IdrisC-45Parser-expr arg-0 arg-1 arg-2)))))(else (IdrisC-45Parser-expr arg-0 arg-1 arg-2)))))(else (IdrisC-45Parser-expr arg-0 arg-1 arg-2)))) (lambda () (lambda (u--e) (vector 0 (cons u--op u--e)))))))))) (lambda () (lambda (u--b) (vector 10 0 0 (vector 0 (let ((e-1 (vector-ref u--b 0))) e-1)) (lambda (_-0) (let ((e-2 (car _-0))) (let ((e-3 (cdr _-0))) (let ((u--fc (CoreC-45FC-boundToFC arg-1 (LibrariesC-45TextC-45Bounded-mergeBounds u--l u--b)))) (let ((u--opFC (CoreC-45FC-boundToFC arg-1 e-2))) (vector 0 (vector 27 u--fc u--opFC (let ((e-1 (vector-ref e-2 0))) e-1) (let ((e-1 (vector-ref u--l 0))) e-1) e-3))))))))))) (lambda () (vector 0 (let ((e-1 (vector-ref u--l 0))) e-1)))))))))))
(define IdrisC-45Parser-onoff(blodwen-lazy (lambda () (vector 13 1 1 (PreludeC-45Interfaces-C-36C-62 (csegen-729) (ParserC-45RuleC-45Source-exactIdent "on") 1) (lambda () (vector 13 1 1 (PreludeC-45Interfaces-C-36C-62 (csegen-729) (ParserC-45RuleC-45Source-exactIdent "off") 0) (lambda () (vector 4 '() 0 "expected 'on' or 'off'"))))))))
(define IdrisC-45Parser-onOffArgCmd (lambda (arg-0 arg-1 arg-2) (cons (IdrisC-45Parser-n--31161-25536-u--names arg-2 arg-1 arg-0) (cons (vector 11 ) (cons arg-2 (IdrisC-45Parser-n--31161-25537-u--parse arg-2 arg-1 arg-0))))))
(define IdrisC-45Parser-nonEmptyTuple (lambda (arg-1 arg-2 arg-3 arg-4) (vector 9 1 (LibrariesC-45TextC-45Parser-some (vector 9 0 (vector 14 (ParserC-45RuleC-45Source-symbol ",")) (lambda () (lambda (u--b) (vector 10 0 0 (LibrariesC-45TextC-45Parser-optional 1 (IdrisC-45Parser-typeExpr (IdrisC-45Parser-pdef) arg-1 arg-3)) (lambda (u--exp) (vector 0 (cons (CoreC-45FC-boundToFC arg-1 u--b) u--exp)))))))) (lambda () (lambda (u--vals) (vector 9 0 (IdrisC-45Parser-continueWithDecorated arg-1 arg-3 ")") (lambda () (lambda (u--end) (vector 12 0 0 (ParserC-45RuleC-45Source-actD (cons (CoreC-45FC-toNonEmptyFC (CoreC-45FC-boundToFC arg-1 arg-2)) (cons 4 '()))) (vector 0 (let ((e-1 (car u--vals))) (let ((e-2 (cdr u--vals))) (IdrisC-45Parser-n--12092-9668-u--buildOutput arg-4 arg-3 arg-2 arg-1 (Builtin-fst e-1) (IdrisC-45Parser-n--12092-9670-u--mergePairs arg-4 arg-3 arg-2 arg-1 0 e-1 e-2))))))))))))))
(define IdrisC-45Parser-nonEmptyCommand(blodwen-lazy (lambda () (LibrariesC-45TextC-45Parser-choice (csegen-16) 1 ((csegen-5134) (IdrisC-45Parser-parserCommandsForHelp))))))
(define IdrisC-45Parser-noArgCmd (lambda (arg-0 arg-1 arg-2) (cons (IdrisC-45Parser-n--30144-24486-u--names arg-2 arg-1 arg-0) (cons (vector 0 ) (cons arg-2 (IdrisC-45Parser-n--30144-24487-u--parse arg-2 arg-1 arg-0))))))
(define IdrisC-45Parser-nestedDpair (lambda (arg-1 arg-2 arg-3) (vector 13 1 1 (IdrisC-45Parser-dpairType arg-1 arg-2 arg-3) (lambda () (vector 9 1 (IdrisC-45Parser-expr (IdrisC-45Parser-pdef) arg-1 arg-3) (lambda () (lambda (u--l) (vector 9 1 (vector 14 (ParserC-45RuleC-45Source-symbol "**")) (lambda () (lambda (u--loc) (vector 9 0 (vector 14 (vector 13 1 1 (IdrisC-45Parser-nestedDpair arg-1 u--loc arg-3) (lambda () (IdrisC-45Parser-expr (IdrisC-45Parser-pdef) arg-1 arg-3)))) (lambda () (lambda (u--rest) (vector 0 (vector 41 (CoreC-45FC-boundToFC arg-1 (LibrariesC-45TextC-45Bounded-mergeBounds arg-2 u--rest)) (CoreC-45FC-boundToFC arg-1 u--loc) u--l (vector 25 (CoreC-45FC-boundToFC arg-1 (LibrariesC-45TextC-45Bounded-mergeBounds arg-2 u--rest))) (let ((e-1 (vector-ref u--rest 0))) e-1))))))))))))))))
(define IdrisC-45Parser-namespaceHead (lambda (arg-0) (vector 11 1 (IdrisC-45Parser-decoratedKeyword arg-0 "namespace") (lambda () (IdrisC-45Parser-decorate arg-0 6 (vector 8 (ParserC-45RuleC-45Source-namespaceId)))))))
(define IdrisC-45Parser-namespaceDecl (lambda (arg-0 arg-1) (vector 9 0 (vector 14 (vector 10 0 1 (ParserC-45RuleC-45Source-optDocumentation arg-0) (lambda (u--doc) (vector 10 0 1 (LibrariesC-45TextC-45Parser-column) (lambda (u--col) (vector 9 0 (IdrisC-45Parser-namespaceHead arg-0) (lambda () (lambda (u--ns) (vector 10 0 0 (ParserC-45RuleC-45Source-blockAfter u--col (lambda (eta-0) (IdrisC-45Parser-topDecl arg-0 eta-0))) (lambda (u--ds) (vector 0 (cons u--doc (cons u--ns u--ds))))))))))))) (lambda () (lambda (u--b) (vector 10 0 0 (vector 0 (let ((e-1 (vector-ref u--b 0))) e-1)) (lambda (_-0) (let ((e-3 (cdr _-0))) (let ((e-6 (car e-3))) (let ((e-7 (cdr e-3))) (vector 0 (vector 12 (CoreC-45FC-boundToFC arg-0 u--b) e-6 (IdrisC-45Parser-collectDefs (PreludeC-45Interfaces-concat (csegen-83) (csegen-16) e-7))))))))))))))
(define IdrisC-45Parser-nameArgCmd (lambda (arg-0 arg-1 arg-2) (cons (IdrisC-45Parser-n--30193-24539-u--names arg-2 arg-1 arg-0) (cons (vector 1 ) (cons arg-2 (IdrisC-45Parser-n--30193-24540-u--parse arg-2 arg-1 arg-0))))))
(define IdrisC-45Parser-mutualDecls (lambda (arg-0 arg-1) (vector 9 0 (vector 14 (vector 10 0 1 (LibrariesC-45TextC-45Parser-column) (lambda (u--col) (vector 11 1 (IdrisC-45Parser-decoratedKeyword arg-0 "mutual") (lambda () (vector 12 0 1 (vector 7 ) (ParserC-45RuleC-45Source-nonEmptyBlockAfter u--col (lambda (eta-0) (IdrisC-45Parser-topDecl arg-0 eta-0))))))))) (lambda () (lambda (u--ds) (vector 0 (vector 10 (CoreC-45FC-boundToFC arg-0 u--ds) (PreludeC-45Interfaces-concat (csegen-83) (csegen-4960) (let ((e-1 (vector-ref u--ds 0))) e-1)))))))))
(define IdrisC-45Parser-multiplicity (lambda (arg-0) (vector 10 0 0 (LibrariesC-45TextC-45Parser-optional 1 (IdrisC-45Parser-decorate arg-0 4 (ParserC-45RuleC-45Source-intLit))) (lambda (bind-0) (if (null? bind-0) (vector 0 (AlgebraC-45ZeroOneOmega-u--top_Top_ZeroOneOmega)) (let ((e-1 (unbox bind-0))) (cond ((equal? e-1 0) (csegen-3866)) ((equal? e-1 1) (csegen-3867))(else (vector 4 '() 0 "Invalid multiplicity (must be 0 or 1)")))))))))
(define IdrisC-45Parser-multilineStr (lambda (arg-0 arg-1 arg-2) (IdrisC-45Parser-decorate arg-1 3 (vector 9 0 (vector 14 (vector 11 1 (ParserC-45RuleC-45Source-multilineBegin) (lambda () (vector 12 0 1 (vector 7 ) (vector 10 0 1 (LibrariesC-45TextC-45Parser-many (vector 14 (LibrariesC-45TextC-45ParserC-45Core-C-60C-124C-124C-62 1 1 (IdrisC-45Parser-interpBlock arg-0 arg-1 arg-2) (lambda () (ParserC-45RuleC-45Source-strLitLines))))) (lambda (u--xs) (vector 10 0 1 (LibrariesC-45TextC-45Parser-location) (lambda (u--endloc) (vector 11 0 (ParserC-45RuleC-45Source-strEnd) (lambda () (vector 0 (cons u--endloc (IdrisC-45Parser-n--12414-14344-u--toLines arg-2 arg-1 arg-0 u--xs '() '()))))))))))))) (lambda () (lambda (u--b) (vector 0 (let ((e-1 (vector-ref u--b 0))) (let ((e-5 (car e-1))) (let ((e-4 (cdr e-1))) (let ((e-7 (cdr e-5))) (vector 34 (CoreC-45FC-boundToFC arg-1 u--b) (PreludeC-45Types-prim__integerToNat e-7) e-4))))))))))))
(define IdrisC-45Parser-moduleArgCmd (lambda (arg-0 arg-1 arg-2) (cons (IdrisC-45Parser-n--30459-24812-u--names arg-2 arg-1 arg-0) (cons (vector 9 ) (cons arg-2 (IdrisC-45Parser-n--30459-24813-u--parse arg-2 arg-1 arg-0))))))
(define IdrisC-45Parser-mkTyConType (lambda (arg-0 arg-1 arg-2) (if (null? arg-2) (vector 22 (CoreC-45FC-virtualiseFC arg-1)) (let ((e-2 (car arg-2))) (let ((e-3 (cdr arg-2))) (let ((u--bfc (CoreC-45FC-boundToFC arg-0 e-2))) (vector 1 u--bfc (AlgebraC-45ZeroOneOmega-u--top_Top_ZeroOneOmega) (vector 1 ) '() (vector 22 (CoreC-45FC-virtualiseFC arg-1)) (IdrisC-45Parser-mkTyConType arg-0 arg-1 e-3))))))))
(define IdrisC-45Parser-mkDataConType (lambda (arg-0 arg-1 arg-2) (if (null? arg-2) (box arg-1) (let ((e-2 (car arg-2))) (let ((e-3 (cdr arg-2))) (case (vector-ref e-2 0) ((0) (let ((e-4 (vector-ref e-2 1))) (PreludeC-45Interfaces-C-60C-36C-62 (csegen-76) (lambda (eta-0) (vector 1 arg-0 (AlgebraC-45ZeroOneOmega-u--top_Top_ZeroOneOmega) (vector 1 ) '() e-4 eta-0)) (IdrisC-45Parser-mkDataConType arg-0 arg-1 e-3)))) ((1) (let ((e-5 (vector-ref e-2 1))) (PreludeC-45Interfaces-C-60C-36C-62 (csegen-76) (lambda (eta-0) (vector 1 arg-0 (AlgebraC-45ZeroOneOmega-u--top_Top_ZeroOneOmega) (vector 2 ) '() e-5 eta-0)) (IdrisC-45Parser-mkDataConType arg-0 arg-1 e-3))))(else '())))))))
(define IdrisC-45Parser-loggingArgCmd (lambda (arg-0 arg-1 arg-2) (cons (IdrisC-45Parser-n--31317-25698-u--names arg-2 arg-1 arg-0) (cons (vector 15 (cons (vector 10 ) (cons (vector 5 ) '()))) (cons arg-2 (IdrisC-45Parser-n--31317-25699-u--parse arg-2 arg-1 arg-0))))))
(define IdrisC-45Parser-logLevel (lambda (arg-0) (vector 13 1 1 ((csegen-3855) (IdrisC-45Parser-decorate arg-0 4 (ParserC-45RuleC-45Source-exactIdent "off"))) (lambda () (vector 13 1 1 (vector 10 0 1 (csegen-5566) (lambda (u--topic) (vector 9 0 (ParserC-45RuleC-45Source-intLit) (lambda () (lambda (u--lvl) (vector 0 (box (CoreC-45OptionsC-45Log-mkLogLevelC-39 u--topic (PreludeC-45Types-prim__integerToNat u--lvl))))))))) (lambda () (vector 4 '() 0 "expected a log level")))))))
(define IdrisC-45Parser-listRange (lambda (arg-1 arg-2 arg-3 arg-4) (vector 13 1 1 (vector 9 0 (vector 14 (IdrisC-45Parser-decoratedSymbol arg-1 "]")) (lambda () (lambda (u--b) (let ((u--fc (CoreC-45FC-boundToFC arg-1 (LibrariesC-45TextC-45Bounded-mergeBounds arg-2 u--b)))) (vector 10 0 0 (IdrisC-45Parser-getInitRange arg-4) (lambda (u--rstate) (vector 12 0 0 (IdrisC-45Parser-decorateKeywords arg-1 arg-4) (vector 0 (vector 47 u--fc (Builtin-fst u--rstate) (Builtin-snd u--rstate)))))))))) (lambda () (vector 9 0 (vector 14 (vector 10 1 1 ((csegen-2689) (IdrisC-45Parser-expr (IdrisC-45Parser-pdef) arg-1 arg-3)) (lambda (u--f) (((csegen-725) u--f) (IdrisC-45Parser-decoratedSymbol arg-1 "]"))))) (lambda () (lambda (u--y) (let ((u--fc (CoreC-45FC-boundToFC arg-1 (LibrariesC-45TextC-45Bounded-mergeBounds arg-2 u--y)))) (vector 10 0 0 (IdrisC-45Parser-getInitRange arg-4) (lambda (u--rstate) (vector 12 0 0 (IdrisC-45Parser-decorateKeywords arg-1 arg-4) (vector 0 (vector 46 u--fc (Builtin-fst u--rstate) (Builtin-snd u--rstate) (let ((e-1 (vector-ref u--y 0))) e-1))))))))))))))
(define IdrisC-45Parser-listExpr (lambda (arg-0 arg-1 arg-2) (vector 13 1 1 (vector 9 0 (vector 14 (vector 9 1 (IdrisC-45Parser-expr (IdrisC-45Parser-pnowith) arg-0 arg-2) (lambda () (lambda (u--ret) (vector 11 1 (IdrisC-45Parser-decoratedSymbol arg-0 "|") (lambda () (vector 9 1 (LibrariesC-45TextC-45Parser-sepBy1 1 (IdrisC-45Parser-decoratedSymbol arg-0 ",") (IdrisC-45Parser-doAct arg-0 arg-2)) (lambda () (lambda (u--conds) (vector 11 0 (IdrisC-45Parser-decoratedSymbol arg-0 "]") (lambda () (vector 0 (cons u--ret u--conds))))))))))))) (lambda () (lambda (u--b) (vector 10 0 0 (vector 0 (let ((e-1 (vector-ref u--b 0))) e-1)) (lambda (_-0) (let ((e-2 (car _-0))) (let ((e-3 (cdr _-0))) (vector 0 (vector 44 (CoreC-45FC-boundToFC arg-0 (LibrariesC-45TextC-45Bounded-mergeBounds arg-1 u--b)) e-2 (PreludeC-45Interfaces-concat (csegen-83) (csegen-4960) e-3)))))))))) (lambda () (vector 10 0 1 (LibrariesC-45TextC-45Parser-option 1 '() (vector 9 0 (IdrisC-45Parser-expr (IdrisC-45Parser-pdef) arg-0 arg-2) (lambda () (lambda (u--hd) (vector 10 0 0 (LibrariesC-45TextC-45Parser-many (vector 9 1 (vector 14 (ParserC-45RuleC-45Source-symbol ",")) (lambda () (lambda (u--b) (vector 9 0 (vector 8 (IdrisC-45Parser-expr (IdrisC-45Parser-pdef) arg-0 arg-2)) (lambda () (lambda (u--x) (vector 0 ((PreludeC-45Interfaces-C-60C-36 (csegen-367) u--x) u--b))))))))) (lambda (u--tl) (vector 0 (cons ((PreludeC-45Interfaces-C-60C-36 (csegen-367) u--hd) arg-1) u--tl)))))))) (lambda (u--xs) (vector 13 1 1 (vector 11 1 (IdrisC-45Parser-decoratedSymbol arg-0 "..") (lambda () (IdrisC-45Parser-listRange arg-0 arg-1 arg-2 u--xs))) (lambda () (vector 9 0 (vector 14 (ParserC-45RuleC-45Source-symbol "]")) (lambda () (lambda (u--b) (vector 0 (let ((u--fc (CoreC-45FC-boundToFC arg-0 (LibrariesC-45TextC-45Bounded-mergeBounds arg-1 u--b)))) (let ((u--nilFC (let ((sc0 (PreludeC-45Types-u--null_Foldable_List u--xs))) (cond ((equal? sc0 1) u--fc) (else (CoreC-45FC-boundToFC arg-0 u--b)))))) (vector 38 u--fc u--nilFC ((csegen-0) (((csegen-25) (lambda (u--t) (cons (CoreC-45FC-boundToFC arg-0 u--t) (let ((e-1 (vector-ref u--t 0))) e-1)))) u--xs)))))))))))))))))
(define IdrisC-45Parser-let_ (lambda (arg-0 arg-1) (vector 11 1 (IdrisC-45Parser-decoratedKeyword arg-0 "let") (lambda () (vector 12 0 1 (vector 7 ) (vector 9 1 (ParserC-45RuleC-45Source-nonEmptyBlock (lambda (eta-0) (IdrisC-45Parser-letBlock arg-0 eta-0))) (lambda () (lambda (u--res) (vector 11 1 (IdrisC-45Parser-commitKeyword arg-0 arg-1 "in") (lambda () (vector 9 0 (IdrisC-45Parser-typeExpr (IdrisC-45Parser-pdef) arg-0 arg-1) (lambda () (lambda (u--scope) (vector 0 (IdrisC-45ParserC-45Let-mkLets arg-0 u--res u--scope)))))))))))))))
(define IdrisC-45Parser-letBlock (lambda (arg-0 arg-1) (vector 14 (LibrariesC-45TextC-45ParserC-45Core-C-60C-124C-124C-62 1 1 (IdrisC-45Parser-n--12242-12211-u--letBinder arg-1 arg-0) (lambda () (IdrisC-45Parser-n--12242-12212-u--letDecl arg-1 arg-0))))))
(define IdrisC-45Parser-lazy (lambda (arg-0 arg-1) (vector 13 1 1 (vector 9 0 (vector 14 (vector 10 1 1 ((csegen-726) (IdrisC-45Parser-decorate arg-0 1 (ParserC-45RuleC-45Source-exactIdent "Lazy"))) (lambda (u--f) (((csegen-725) u--f) (IdrisC-45Parser-simpleExpr arg-0 arg-1))))) (lambda () (lambda (u--tm) (vector 0 (vector 11 (CoreC-45FC-boundToFC arg-0 u--tm) 1 (let ((e-1 (vector-ref u--tm 0))) e-1)))))) (lambda () (vector 13 1 1 (vector 9 0 (vector 14 (vector 10 1 1 ((csegen-726) (IdrisC-45Parser-decorate arg-0 1 (ParserC-45RuleC-45Source-exactIdent "Inf"))) (lambda (u--f) (((csegen-725) u--f) (IdrisC-45Parser-simpleExpr arg-0 arg-1))))) (lambda () (lambda (u--tm) (vector 0 (vector 11 (CoreC-45FC-boundToFC arg-0 u--tm) 0 (let ((e-1 (vector-ref u--tm 0))) e-1)))))) (lambda () (vector 13 1 1 (vector 9 0 (vector 14 (vector 10 1 1 ((csegen-726) (IdrisC-45Parser-decorate arg-0 3 (ParserC-45RuleC-45Source-exactIdent "Delay"))) (lambda (u--f) (((csegen-725) u--f) (IdrisC-45Parser-simpleExpr arg-0 arg-1))))) (lambda () (lambda (u--tm) (vector 0 (vector 12 (CoreC-45FC-boundToFC arg-0 u--tm) (let ((e-1 (vector-ref u--tm 0))) e-1)))))) (lambda () (vector 9 0 (vector 14 (vector 10 1 1 ((csegen-726) (IdrisC-45Parser-decorate arg-0 3 (ParserC-45RuleC-45Source-exactIdent "Force"))) (lambda (u--f) (((csegen-725) u--f) (IdrisC-45Parser-simpleExpr arg-0 arg-1))))) (lambda () (lambda (u--tm) (vector 0 (vector 13 (CoreC-45FC-boundToFC arg-0 u--tm) (let ((e-1 (vector-ref u--tm 0))) e-1))))))))))))))
(define IdrisC-45Parser-lam (lambda (arg-0 arg-1) (vector 11 1 (IdrisC-45Parser-decoratedSymbol arg-0 "\\") (lambda () (vector 12 0 1 (vector 7 ) (vector 10 0 1 (LibrariesC-45TextC-45Parser-optional 1 (vector 14 (IdrisC-45Parser-decoratedKeyword arg-0 "case"))) (lambda (u--switch) (if (null? u--switch) (IdrisC-45Parser-n--12234-12020-u--continueLam arg-1 arg-0) (let ((e-2 (unbox u--switch))) (IdrisC-45Parser-n--12234-12021-u--continueLamCase arg-1 arg-0 e-2))))))))))
(define IdrisC-45Parser-knownCommands(blodwen-lazy (lambda () (PreludeC-45TypesC-45List-tailRecAppend (IdrisC-45Parser-n--29180-23518-u--explain (csegen-5589) "Check the type of an expression") (PreludeC-45TypesC-45List-tailRecAppend (cons (cons "ti" "Check the type of an expression, showing implicit arguments") (cons (cons "printdef" "Show the definition of a pattern-matching function") '())) (PreludeC-45TypesC-45List-tailRecAppend (IdrisC-45Parser-n--29180-23518-u--explain (csegen-5594) "Search for values by type") (PreludeC-45TypesC-45List-tailRecAppend (cons (cons "di" "Show debugging information for a name") '()) (PreludeC-45TypesC-45List-tailRecAppend (IdrisC-45Parser-n--29180-23518-u--explain (csegen-5598) "Import an extra module") (PreludeC-45TypesC-45List-tailRecAppend (cons (cons "package" "Import every module of the package") '()) (PreludeC-45TypesC-45List-tailRecAppend (IdrisC-45Parser-n--29180-23518-u--explain (csegen-5603) "Exit the Idris system") (PreludeC-45TypesC-45List-tailRecAppend (cons (cons "cwd" "Displays the current working directory") (cons (cons "cd" "Change the current working directory") (cons (cons "sh" "Run a shell command") (cons (cons "set" (DataC-45String-fastUnlines (cons "Set an option" (cons "  eval                specify what evaluation mode to use:" (cons "                        typecheck|tc" (cons "                        normalise|normalize|normal" (cons "                        execute|exec" (cons "                        scheme" (cons "" (cons "  editor              specify the name of the editor command" (cons "" (cons "  cg                  specify the codegen/backend to use" (cons "                      builtin codegens are:" (cons "                        chez" (cons "                        racket" (cons "                        refc" (cons "                        node" (cons "" (cons "  showimplicits       enable displaying implicit arguments as part of the" (cons "                      output" (cons "" (cons "  shownamespace       enable displaying namespaces as part of the output" (cons "" (cons "  showmachinenames    enable displaying machine names as part of the" (cons "                      output" (cons "" (cons "  showtypes           enable displaying the type of the term as part of" (cons "                      the output" (cons "" (cons "  profile" (cons "" (cons "  evaltiming          enable timing how long evaluation takes and" (cons "                      displaying this before the printing of the output" '()))))))))))))))))))))))))))))))))) (cons (cons "unset" "Unset an option") (cons (cons "opts" "Show current options settings") '())))))) (PreludeC-45TypesC-45List-tailRecAppend (IdrisC-45Parser-n--29180-23518-u--explain (csegen-5612) "Compile to an executable") (PreludeC-45TypesC-45List-tailRecAppend (cons (cons "exec" "Compile to an executable and run") (cons (cons "directive" "Set a codegen-specific directive") '())) (PreludeC-45TypesC-45List-tailRecAppend (IdrisC-45Parser-n--29180-23518-u--explain (csegen-5618) "Load a file") (PreludeC-45TypesC-45List-tailRecAppend (IdrisC-45Parser-n--29180-23518-u--explain (csegen-5621) "Reload current file") (PreludeC-45TypesC-45List-tailRecAppend (IdrisC-45Parser-n--29180-23518-u--explain (csegen-5624) "Edit current file using $EDITOR or $VISUAL") (PreludeC-45TypesC-45List-tailRecAppend (IdrisC-45Parser-n--29180-23518-u--explain (csegen-5627) "Show missing clauses") (PreludeC-45TypesC-45List-tailRecAppend (cons (cons "total" "Check the totality of a name") (cons (cons "doc" "Show documentation for a keyword, a name, or a primitive") (cons (cons "browse" "Browse contents of a namespace") '()))) (PreludeC-45TypesC-45List-tailRecAppend (IdrisC-45Parser-n--29180-23518-u--explain (csegen-5634) "Set logging level") (PreludeC-45TypesC-45List-tailRecAppend (cons (cons "consolewidth" "Set the width of the console output (0 for unbounded) (auto by default)") '()) (PreludeC-45TypesC-45List-tailRecAppend (IdrisC-45Parser-n--29180-23518-u--explain (csegen-5638) "Whether to use colour for the console output (enabled by default)") (PreludeC-45TypesC-45List-tailRecAppend (IdrisC-45Parser-n--29180-23518-u--explain (csegen-5641) "Show remaining proof obligations (metavariables or holes)") (PreludeC-45TypesC-45List-tailRecAppend (cons (cons "typeat" "Show type of term <n> defined on line <l> and column <c>") '()) (PreludeC-45TypesC-45List-tailRecAppend (IdrisC-45Parser-n--29180-23518-u--explain (csegen-5647) "Case split term <n> defined on line <l> and column <c>") (PreludeC-45TypesC-45List-tailRecAppend (IdrisC-45Parser-n--29180-23518-u--explain (csegen-5651) "Add clause to term <n> defined on line <l>") (PreludeC-45TypesC-45List-tailRecAppend (IdrisC-45Parser-n--29180-23518-u--explain (csegen-5655) "Make lemma for term <n> defined on line <l>") (PreludeC-45TypesC-45List-tailRecAppend (IdrisC-45Parser-n--29180-23518-u--explain (csegen-5659) "Make case on term <n> defined on line <l>") (PreludeC-45TypesC-45List-tailRecAppend (IdrisC-45Parser-n--29180-23518-u--explain (csegen-5663) "Add with expression on term <n> defined on line <l>") (PreludeC-45TypesC-45List-tailRecAppend (cons (cons "intro" "Introduce unambiguous constructor in hole <n> defined on line <l>") (cons (cons "refine" "Refine hole <h> with identifier <n> on line <l> and column <c>") '())) (PreludeC-45TypesC-45List-tailRecAppend (IdrisC-45Parser-n--29180-23518-u--explain (csegen-5671) "Search for a proof") (PreludeC-45TypesC-45List-tailRecAppend (cons (cons "psnext" "Show next proof") (cons (cons "gd" "Try to generate a definition using proof-search") (cons (cons "gdnext" "Show next definition") (cons (cons "version" "Display the Idris version") '())))) (PreludeC-45TypesC-45List-tailRecAppend (IdrisC-45Parser-n--29180-23518-u--explain (csegen-5681) (DataC-45String-fastUnlines (cons "Display help text, optionally of a specific command.\xa;" (cons "If run without arguments, lists all the REPL commands along with their" (cons "initial line of help text.\xa;" (cons "More detailed help can then be obtained by running the :help command" (cons "with another command as an argument, e.g." (cons "  > :help :help" (cons "  > :help :set" (cons "(the leading ':' in the command argument is optional)" '())))))))))) (PreludeC-45TypesC-45List-tailRecAppend (cons (cons "let" (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons "Define a new value.\xa;\xa;First, declare the type of your new value, e.g.\xa;  :let myValue : List Nat\xa;\xa;Then, define the value:\xa;  :let myValue = [1, 2, 3]\xa;\xa;Now the value is in scope at the REPL:\xa;  > map (+ 2) myValue\xa;  [3, 4, 5]" '()))) '()) (IdrisC-45Parser-n--29180-23518-u--explain (csegen-5685) "Search for global definitions by sketching the names distribution of the wanted type(s)."))))))))))))))))))))))))))))))))))
(define IdrisC-45Parser-interpBlock (lambda (arg-0 arg-1 arg-2) (vector 10 1 1 ((csegen-2689) (vector 10 1 1 ((csegen-726) (ParserC-45RuleC-45Source-interpBegin)) (lambda (u--f) (((csegen-725) u--f) (vector 8 (IdrisC-45Parser-expr arg-0 arg-1 arg-2)))))) (lambda (u--f) (((csegen-725) u--f) (ParserC-45RuleC-45Source-interpEnd))))))
(define IdrisC-45Parser-import_ (lambda (arg-0 arg-1) (vector 9 0 (vector 14 (vector 11 1 (IdrisC-45Parser-decoratedKeyword arg-0 "import") (lambda () (vector 10 0 1 (LibrariesC-45TextC-45Parser-option 1 0 (PreludeC-45Interfaces-C-36C-62 (csegen-729) (IdrisC-45Parser-decoratedKeyword arg-0 "public") 1)) (lambda (u--reexp) (vector 9 0 (IdrisC-45Parser-decorate arg-0 8 (vector 8 (ParserC-45RuleC-45Source-moduleIdent))) (lambda () (lambda (u--ns) (vector 10 0 0 (LibrariesC-45TextC-45Parser-option 1 (CoreC-45NameC-45Namespace-miAsNamespace u--ns) (vector 11 1 (IdrisC-45Parser-decorate arg-0 4 (ParserC-45RuleC-45Source-exactIdent "as")) (lambda () (IdrisC-45Parser-decorate arg-0 6 (vector 8 (ParserC-45RuleC-45Source-namespaceId)))))) (lambda (u--nsAs) (vector 0 (cons u--reexp (cons u--ns u--nsAs))))))))))))) (lambda () (lambda (u--b) (vector 12 0 0 (ParserC-45RuleC-45Source-atEnd arg-1) (vector 10 0 0 (vector 0 (let ((e-1 (vector-ref u--b 0))) e-1)) (lambda (_-0) (let ((e-2 (car _-0))) (let ((e-3 (cdr _-0))) (let ((e-6 (car e-3))) (let ((e-7 (cdr e-3))) (vector 0 (vector (CoreC-45FC-boundToFC arg-0 u--b) e-2 e-6 e-7))))))))))))))
(define IdrisC-45Parser-implicitPi (lambda (arg-0 arg-1) (vector 9 1 (vector 14 (vector 11 1 (IdrisC-45Parser-decoratedSymbol arg-0 "{") (lambda () (vector 9 1 (IdrisC-45Parser-pibindList arg-0 arg-1) (lambda () (lambda (u--binders) (vector 11 0 (IdrisC-45Parser-decoratedSymbol arg-0 "}") (lambda () (vector 0 u--binders))))))))) (lambda () (lambda (u--b) (vector 11 1 (LibrariesC-45TextC-45ParserC-45Core-mustWorkBecause 1 (let ((e-3 (vector-ref u--b 2))) e-3) "Cannot return an implicit argument" (IdrisC-45Parser-decoratedSymbol arg-0 "->")) (lambda () (vector 9 0 (vector 8 (IdrisC-45Parser-typeExpr (IdrisC-45Parser-pdef) arg-0 arg-1)) (lambda () (lambda (u--scope) (vector 0 (IdrisC-45Parser-pibindAll arg-0 (vector 0 ) (let ((e-1 (vector-ref u--b 0))) e-1) u--scope))))))))))))
(define IdrisC-45Parser-implDecl (lambda (arg-0 arg-1) (vector 9 0 (vector 14 (vector 10 0 1 (ParserC-45RuleC-45Source-optDocumentation arg-0) (lambda (u--doc) (vector 10 0 1 (LibrariesC-45TextC-45Parser-many (IdrisC-45Parser-visOpt arg-0)) (lambda (u--visOpts) (vector 10 0 1 (IdrisC-45Parser-getVisibility '() u--visOpts) (lambda (u--vis) (let ((u--opts (PreludeC-45TypesC-45List-mapMaybeAppend '() (lambda (eta-0) (DataC-45Either-getRight eta-0)) u--visOpts))) (vector 10 0 1 (LibrariesC-45TextC-45Parser-column) (lambda (u--col) (vector 12 0 1 (LibrariesC-45TextC-45Parser-option 1 (vector 0 ) (IdrisC-45Parser-decoratedKeyword arg-0 "implementation")) (vector 10 0 1 (LibrariesC-45TextC-45Parser-optional 1 (vector 10 1 1 ((csegen-2689) (vector 10 1 1 ((csegen-726) (IdrisC-45Parser-decoratedSymbol arg-0 "[")) (lambda (u--f) (((csegen-725) u--f) (IdrisC-45Parser-decorate arg-0 2 (ParserC-45RuleC-45Source-name)))))) (lambda (u--f) (((csegen-725) u--f) (IdrisC-45Parser-decoratedSymbol arg-0 "]"))))) (lambda (u--iname) (vector 10 0 1 (IdrisC-45Parser-implBinds arg-0 arg-1) (lambda (u--impls) (vector 10 0 1 (IdrisC-45Parser-constraints arg-0 arg-1) (lambda (u--cons) (vector 9 0 (IdrisC-45Parser-decorate arg-0 1 (ParserC-45RuleC-45Source-name)) (lambda () (lambda (u--n) (vector 10 0 0 (LibrariesC-45TextC-45Parser-many (vector 10 0 1 ((csegen-5070) (ParserC-45RuleC-45Source-continue arg-1)) (lambda (u--f) (((csegen-725) u--f) (IdrisC-45Parser-simpleExpr arg-0 arg-1))))) (lambda (u--params) (vector 10 0 0 (LibrariesC-45TextC-45Parser-option 1 '() (vector 10 1 1 ((csegen-726) (IdrisC-45Parser-decoratedKeyword arg-0 "using")) (lambda (u--f) (((csegen-725) u--f) (PreludeC-45Interfaces-C-60C-36C-62 (csegen-729) (lambda (eta-0) (DataC-45List1-forget eta-0)) (LibrariesC-45TextC-45Parser-some (IdrisC-45Parser-decorate arg-0 2 (ParserC-45RuleC-45Source-name)))))))) (lambda (u--nusing) (vector 10 0 0 (LibrariesC-45TextC-45Parser-optional 1 (vector 10 1 0 ((csegen-726) (IdrisC-45Parser-decoratedKeyword arg-0 "where")) (lambda (u--f) (((csegen-721) u--f) (ParserC-45RuleC-45Source-blockAfter u--col (lambda (eta-0) (IdrisC-45Parser-topDecl arg-0 eta-0))))))) (lambda (u--body) (vector 0 (lambda (u--fc) (vector 7 u--fc u--vis u--opts 0 u--impls u--cons u--n u--params u--iname u--nusing (((csegen-77) (lambda (eta-0) (IdrisC-45Parser-collectDefs (PreludeC-45Interfaces-concat (csegen-83) (csegen-16) eta-0)))) u--body)))))))))))))))))))))))))))))) (lambda () (lambda (u--b) (vector 12 0 0 (ParserC-45RuleC-45Source-atEnd arg-1) (vector 0 (let ((e-1 (vector-ref u--b 0))) (e-1 (CoreC-45FC-boundToFC arg-0 u--b))))))))))
(define IdrisC-45Parser-implBinds (lambda (arg-0 arg-1) (PreludeC-45Interfaces-C-60C-36C-62 (csegen-732) (lambda (eta-0) (PreludeC-45Interfaces-concatMap (csegen-83) (csegen-16) ((csegen-25) (lambda (eta-1) (IdrisC-45Parser-n--25129-19493-u--adjust arg-1 arg-0 eta-1))) eta-0)) (IdrisC-45Parser-n--25129-19494-u--go arg-1 arg-0))))
(define IdrisC-45Parser-ifaceParam (lambda (arg-0 arg-1) (vector 13 1 1 (vector 11 1 (IdrisC-45Parser-decoratedSymbol arg-0 "(") (lambda () (vector 10 0 1 (IdrisC-45Parser-multiplicity arg-0) (lambda (u--rig) (vector 9 1 (LibrariesC-45TextC-45Parser-sepBy1 1 (IdrisC-45Parser-decoratedSymbol arg-0 ",") (IdrisC-45Parser-decorate arg-0 5 (ParserC-45RuleC-45Source-name))) (lambda () (lambda (u--ns) (vector 11 1 (IdrisC-45Parser-decoratedSymbol arg-0 ":") (lambda () (vector 9 1 (IdrisC-45Parser-typeExpr (IdrisC-45Parser-pdef) arg-0 arg-1) (lambda () (lambda (u--tm) (vector 11 0 (IdrisC-45Parser-decoratedSymbol arg-0 ")") (lambda () (vector 0 (cons (DataC-45List1-forget u--ns) (cons u--rig u--tm))))))))))))))))) (lambda () (vector 9 0 (vector 14 (IdrisC-45Parser-decorate arg-0 5 (ParserC-45RuleC-45Source-name))) (lambda () (lambda (u--n) (vector 0 (cons (cons (let ((e-1 (vector-ref u--n 0))) e-1) '()) (cons (csegen-54) (vector 26 (CoreC-45FC-boundToFC arg-0 u--n))))))))))))
(define IdrisC-45Parser-ifaceDecl (lambda (arg-0 arg-1) (vector 9 0 (vector 14 (vector 10 0 1 (ParserC-45RuleC-45Source-optDocumentation arg-0) (lambda (u--doc) (vector 10 0 1 (IdrisC-45Parser-visibility arg-0) (lambda (u--vis) (vector 10 0 1 (LibrariesC-45TextC-45Parser-column) (lambda (u--col) (vector 11 1 (IdrisC-45Parser-decoratedKeyword arg-0 "interface") (lambda () (vector 12 0 1 (vector 7 ) (vector 10 0 1 (IdrisC-45Parser-constraints arg-0 arg-1) (lambda (u--cons) (vector 9 1 (IdrisC-45Parser-decorate arg-0 1 (ParserC-45RuleC-45Source-name)) (lambda () (lambda (u--n) (vector 10 0 1 (LibrariesC-45TextC-45Parser-many (IdrisC-45Parser-ifaceParam arg-0 arg-1)) (lambda (u--paramss) (let ((u--params (PreludeC-45Interfaces-concatMap (csegen-83) (csegen-16) (lambda (lamc-0) (let ((e-2 (car lamc-0))) (let ((e-3 (cdr lamc-0))) (((csegen-25) (lambda (n-0) (cons n-0 e-3))) e-2)))) u--paramss))) (vector 10 0 1 (LibrariesC-45TextC-45Parser-option 1 '() (vector 10 1 0 ((csegen-726) (IdrisC-45Parser-decoratedSymbol arg-0 "|")) (lambda (u--f) (((csegen-721) u--f) (LibrariesC-45TextC-45Parser-sepBy 1 (IdrisC-45Parser-decoratedSymbol arg-0 ",") (IdrisC-45Parser-decorate arg-0 5 (ParserC-45RuleC-45Source-name))))))) (lambda (u--det) (vector 11 0 (IdrisC-45Parser-decoratedKeyword arg-0 "where") (lambda () (vector 10 0 0 (LibrariesC-45TextC-45Parser-optional 1 (IdrisC-45Parser-recordConstructor arg-0)) (lambda (u--dc) (vector 10 0 0 (ParserC-45RuleC-45Source-blockAfter u--col (lambda (eta-0) (IdrisC-45Parser-topDecl arg-0 eta-0))) (lambda (u--body) (vector 0 (lambda (u--fc) (vector 6 u--fc u--vis u--cons u--n u--doc u--params u--det u--dc (IdrisC-45Parser-collectDefs (PreludeC-45Interfaces-concat (csegen-83) (csegen-16) u--body))))))))))))))))))))))))))))))) (lambda () (lambda (u--b) (vector 0 (let ((e-1 (vector-ref u--b 0))) (e-1 (CoreC-45FC-boundToFC arg-0 u--b)))))))))
(define IdrisC-45Parser-if_ (lambda (arg-0 arg-1) (vector 9 0 (vector 14 (vector 11 1 (IdrisC-45Parser-decoratedKeyword arg-0 "if") (lambda () (vector 12 0 1 (vector 7 ) (vector 9 1 (IdrisC-45Parser-expr (IdrisC-45Parser-pdef) arg-0 arg-1) (lambda () (lambda (u--x) (vector 11 1 (IdrisC-45Parser-commitKeyword arg-0 arg-1 "then") (lambda () (vector 9 1 (IdrisC-45Parser-typeExpr (IdrisC-45Parser-pdef) arg-0 arg-1) (lambda () (lambda (u--t) (vector 11 1 (IdrisC-45Parser-commitKeyword arg-0 arg-1 "else") (lambda () (vector 9 0 (IdrisC-45Parser-typeExpr (IdrisC-45Parser-pdef) arg-0 arg-1) (lambda () (lambda (u--e) (vector 0 (cons u--x (cons u--t u--e)))))))))))))))))))) (lambda () (lambda (u--b) (vector 12 0 0 (ParserC-45RuleC-45Source-atEnd arg-1) (vector 10 0 0 (vector 0 (let ((e-1 (vector-ref u--b 0))) e-1)) (lambda (_-0) (let ((e-2 (car _-0))) (let ((e-3 (cdr _-0))) (let ((e-6 (car e-3))) (let ((e-7 (cdr e-3))) (vector 0 (vector 43 (CoreC-45FC-boundToFC arg-0 u--b) e-2 e-6 e-7))))))))))))))
(define IdrisC-45Parser-iOperator(blodwen-lazy (lambda () (vector 13 1 1 (ParserC-45RuleC-45Source-operator) (lambda () (vector 10 1 1 ((csegen-2689) (vector 10 1 1 ((csegen-726) (ParserC-45RuleC-45Source-symbol "`")) (csegen-3848))) (lambda (u--f) (((csegen-725) u--f) (ParserC-45RuleC-45Source-symbol "`")))))))))
(define IdrisC-45Parser-helpCmd (lambda (arg-0 arg-1 arg-2) (cons (IdrisC-45Parser-n--30398-24750-u--names arg-2 arg-1 arg-0) (cons (vector 10 ) (cons arg-2 (IdrisC-45Parser-n--30398-24751-u--parse arg-2 arg-1 arg-0))))))
(define IdrisC-45Parser-help(blodwen-lazy (lambda () (cons (cons (cons "<expr>" '()) (cons (vector 0 ) "Evaluate an expression")) (((csegen-25) (lambda (lamc-0) (let ((e-2 (car lamc-0))) (let ((e-3 (cdr lamc-0))) (let ((e-6 (car e-3))) (let ((e-7 (cdr e-3))) (let ((e-10 (car e-7))) (cons ((csegen-5891) e-2) (cons e-6 e-10))))))))) (IdrisC-45Parser-parserCommandsForHelp))))))
(define IdrisC-45Parser-getVisibility (lambda (arg-0 arg-1) (if (null? arg-0) (if (null? arg-1) (vector 0 0) (let ((e-8 (car arg-1))) (let ((e-9 (cdr arg-1))) (case (vector-ref e-8 0) ((0) (let ((e-12 (vector-ref e-8 1))) (IdrisC-45Parser-getVisibility (box e-12) e-9)))(else (let ((e-2 (cdr arg-1))) (IdrisC-45Parser-getVisibility arg-0 e-2))))))) (let ((e-5 (unbox arg-0))) (if (null? arg-1) (vector 0 e-5) (let ((e-15 (car arg-1))) (case (vector-ref e-15 0) ((0) (vector 4 '() 1 "Multiple visibility modifiers"))(else (let ((e-2 (cdr arg-1))) (IdrisC-45Parser-getVisibility arg-0 e-2))))))))))
(define IdrisC-45Parser-getInitRange (lambda (arg-0) (if (null? arg-0) (vector 4 '() 1 "Invalid list range syntax") (let ((e-1 (car arg-0))) (let ((e-2 (cdr arg-0))) (if (null? e-2) (vector 0 (cons (let ((e-5 (vector-ref e-1 0))) e-5) '())) (let ((e-5 (car e-2))) (let ((e-6 (cdr e-2))) (if (null? e-6) (vector 0 (cons (let ((e-7 (vector-ref e-1 0))) e-7) (box (let ((e-7 (vector-ref e-5 0))) e-7)))) (vector 4 '() 1 "Invalid list range syntax"))))))))))
(define IdrisC-45Parser-getHelpType(blodwen-lazy (lambda () (vector 10 0 0 (LibrariesC-45TextC-45Parser-optional 1 (LibrariesC-45TextC-45Parser-choice (csegen-16) 1 (PreludeC-45Interfaces-C-60C-36C-62 (csegen-24) (lambda (eta-0) (IdrisC-45Parser-cmdName (Builtin-fst eta-0))) (IdrisC-45Parser-knownCommands)))) (lambda (u--optCmd) (vector 0 (if (null? u--optCmd) '() (let ((e-2 (unbox u--optCmd))) (box (DataC-45Maybe-fromMaybe (lambda () (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons ((csegen-0) "Unrecognised command '") (cons ((csegen-0) e-2) (cons ((csegen-0) "'") '()))))) (DataC-45List-lookup (csegen-43) e-2 (IdrisC-45Parser-knownCommands))))))))))))
(define IdrisC-45Parser-gadtData (lambda (arg-1 arg-2 arg-3 arg-4 arg-5) (vector 11 1 (vector 8 (IdrisC-45Parser-decoratedSymbol arg-1 ":")) (lambda () (vector 12 0 1 (vector 7 ) (vector 9 0 (IdrisC-45Parser-typeExpr (IdrisC-45Parser-pdef) arg-1 arg-5) (lambda () (lambda (u--ty) (IdrisC-45Parser-dataBody arg-1 arg-2 arg-3 (let ((e-1 (vector-ref arg-4 0))) e-1) arg-5 u--ty)))))))))
(define IdrisC-45Parser-forall_ (lambda (arg-0 arg-1) (vector 9 1 (vector 14 (vector 11 1 (IdrisC-45Parser-decoratedKeyword arg-0 "forall") (lambda () (vector 12 0 1 (vector 7 ) (vector 9 0 (LibrariesC-45TextC-45Parser-sepBy1 1 (IdrisC-45Parser-decoratedSymbol arg-0 ",") (vector 14 (IdrisC-45Parser-decoratedSimpleBinderName arg-0))) (lambda () (lambda (u--ns) (vector 0 (((csegen-25) (lambda (u--n) (cons (csegen-54) (cons (LibrariesC-45TextC-45Bounded-u--map_Functor_WithBounds (lambda (eta-0) (box (vector 1 (vector 0 eta-0)))) u--n) (vector 25 (CoreC-45FC-boundToFC arg-0 u--n)))))) (DataC-45List1-forget u--ns)))))))))) (lambda () (lambda (u--b) (vector 11 1 (LibrariesC-45TextC-45ParserC-45Core-mustWorkBecause 1 (let ((e-3 (vector-ref u--b 2))) e-3) "Cannot return a forall quantifier" (IdrisC-45Parser-decoratedSymbol arg-0 ".")) (lambda () (vector 9 0 (vector 8 (IdrisC-45Parser-typeExpr (IdrisC-45Parser-pdef) arg-0 arg-1)) (lambda () (lambda (u--scope) (vector 0 (IdrisC-45Parser-pibindAll arg-0 (vector 0 ) (let ((e-1 (vector-ref u--b 0))) e-1) u--scope))))))))))))
(define IdrisC-45Parser-fnOpt (lambda (arg-0) (vector 9 0 (IdrisC-45Parser-totalityOpt arg-0) (lambda () (lambda (u--x) (vector 0 (vector 0 (vector 10 u--x))))))))
(define IdrisC-45Parser-fnDirectOpt (lambda (arg-0) (vector 13 1 1 (vector 11 0 (IdrisC-45Parser-decoratedPragma arg-0 "hint") (lambda () (vector 0 (vector 0 (vector 4 1))))) (lambda () (vector 13 1 1 (vector 11 0 (IdrisC-45Parser-decoratedPragma arg-0 "globalhint") (lambda () (vector 0 (vector 0 (vector 5 0))))) (lambda () (vector 13 1 1 (vector 11 0 (IdrisC-45Parser-decoratedPragma arg-0 "defaulthint") (lambda () (vector 0 (vector 0 (vector 5 1))))) (lambda () (vector 13 1 1 (vector 11 0 (IdrisC-45Parser-decoratedPragma arg-0 "inline") (lambda () (vector 12 0 0 (vector 7 ) (vector 0 (vector 0 (vector 0 )))))) (lambda () (vector 13 1 1 (vector 11 0 (IdrisC-45Parser-decoratedPragma arg-0 "noinline") (lambda () (vector 12 0 0 (vector 7 ) (vector 0 (vector 0 (vector 1 )))))) (lambda () (vector 13 1 1 (vector 11 0 (IdrisC-45Parser-decoratedPragma arg-0 "deprecate") (lambda () (vector 12 0 0 (vector 7 ) (vector 0 (vector 0 (vector 2 )))))) (lambda () (vector 13 1 1 (vector 11 0 (IdrisC-45Parser-decoratedPragma arg-0 "tcinline") (lambda () (vector 12 0 0 (vector 7 ) (vector 0 (vector 0 (vector 3 )))))) (lambda () (vector 13 1 1 (vector 11 0 (IdrisC-45Parser-decoratedPragma arg-0 "extern") (lambda () (vector 0 (vector 0 (vector 6 ))))) (lambda () (vector 13 1 1 (vector 11 0 (IdrisC-45Parser-decoratedPragma arg-0 "macro") (lambda () (vector 0 (vector 0 (vector 11 ))))) (lambda () (vector 13 1 1 (vector 11 0 (IdrisC-45Parser-decoratedPragma arg-0 "spec") (lambda () (vector 10 0 0 (LibrariesC-45TextC-45Parser-sepBy 1 (IdrisC-45Parser-decoratedSymbol arg-0 ",") (ParserC-45RuleC-45Source-name)) (lambda (u--ns) (vector 0 (vector 0 (vector 12 u--ns))))))) (lambda () (vector 13 1 1 (vector 11 0 (IdrisC-45Parser-decoratedPragma arg-0 "foreign") (lambda () (vector 10 0 0 (ParserC-45RuleC-45Source-block (lambda (eta-0) (IdrisC-45Parser-expr (IdrisC-45Parser-pdef) arg-0 eta-0))) (lambda (u--cs) (vector 0 (vector 1 u--cs)))))) (lambda () (vector 11 0 (vector 13 1 1 (IdrisC-45Parser-decoratedPragma arg-0 "export") (lambda () (vector 10 1 0 (vector 14 (IdrisC-45Parser-decoratedPragma arg-0 "nomangle")) (lambda (u--res) (vector 12 0 0 (vector 5 (box (let ((e-3 (vector-ref u--res 2))) e-3)) (IdrisC-45Parser-n--24387-18742-u--noMangleWarning arg-0)) (vector 0 (let ((e-1 (vector-ref u--res 0))) e-1))))))) (lambda () (vector 10 0 0 (ParserC-45RuleC-45Source-block (lambda (eta-0) (IdrisC-45Parser-expr (IdrisC-45Parser-pdef) arg-0 eta-0))) (lambda (u--cs) (vector 0 (vector 2 u--cs))))))))))))))))))))))))))))))
(define IdrisC-45Parser-fixDecl (lambda (arg-0 arg-1) (vector 9 0 (vector 14 (vector 9 1 (IdrisC-45Parser-decorate arg-0 4 (IdrisC-45Parser-fix)) (lambda () (lambda (u--fixity) (vector 12 0 1 (vector 7 ) (vector 9 1 (IdrisC-45Parser-decorate arg-0 4 (ParserC-45RuleC-45Source-intLit)) (lambda () (lambda (u--prec) (vector 9 0 (LibrariesC-45TextC-45Parser-sepBy1 1 (IdrisC-45Parser-decoratedSymbol arg-0 ",") (IdrisC-45Parser-iOperator)) (lambda () (lambda (u--ops) (vector 0 (cons u--fixity (cons u--prec u--ops)))))))))))))) (lambda () (lambda (u--b) (vector 10 0 0 (vector 0 (let ((e-1 (vector-ref u--b 0))) e-1)) (lambda (_-0) (let ((e-2 (car _-0))) (let ((e-3 (cdr _-0))) (let ((e-6 (car e-3))) (let ((e-7 (cdr e-3))) (vector 0 (((csegen-25) (lambda (eta-0) (vector 11 (CoreC-45FC-boundToFC arg-0 u--b) e-2 (PreludeC-45Types-prim__integerToNat e-6) eta-0))) (DataC-45List1-forget e-7))))))))))))))
(define IdrisC-45Parser-fix(blodwen-lazy (lambda () (vector 13 1 1 (PreludeC-45Interfaces-C-36C-62 (csegen-729) (ParserC-45RuleC-45Source-keyword "infixl") 0) (lambda () (vector 13 1 1 (PreludeC-45Interfaces-C-36C-62 (csegen-729) (ParserC-45RuleC-45Source-keyword "infixr") 1) (lambda () (vector 13 1 1 (PreludeC-45Interfaces-C-36C-62 (csegen-729) (ParserC-45RuleC-45Source-keyword "infix") 2) (lambda () (PreludeC-45Interfaces-C-36C-62 (csegen-729) (ParserC-45RuleC-45Source-keyword "prefix") 3))))))))))
(define IdrisC-45Parser-firstHelpLine (lambda (arg-0) (let ((sc0 (DataC-45String-split (lambda (eta-0) (PreludeC-45EqOrd-u--C-61C-61_Eq_Char (integer->char 10) eta-0)) (DataC-45Maybe-fromMaybe (lambda () (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons "Failed to look up '" (cons arg-0 (cons "' (SHOULDN'T HAPPEN!)" '()))))) (DataC-45List-lookup (csegen-43) arg-0 (IdrisC-45Parser-knownCommands)))))) (let ((e-1 (car sc0))) e-1))))
(define IdrisC-45Parser-fieldDecl (lambda (arg-0 arg-1) (vector 13 1 1 (vector 10 0 1 (ParserC-45RuleC-45Source-optDocumentation arg-0) (lambda (u--doc) (vector 11 1 (IdrisC-45Parser-decoratedSymbol arg-0 "{") (lambda () (vector 12 0 1 (vector 7 ) (vector 10 0 1 (LibrariesC-45TextC-45Parser-option 1 (vector 0 ) (vector 13 1 1 (IdrisC-45Parser-n--25925-20298-u--autoImplicitField arg-1 arg-0) (lambda () (IdrisC-45Parser-n--25925-20299-u--defImplicitField arg-1 arg-0)))) (lambda (u--impl) (vector 9 1 (IdrisC-45Parser-n--25925-20300-u--fieldBody arg-1 arg-0 u--doc u--impl) (lambda () (lambda (u--fs) (vector 11 0 (IdrisC-45Parser-decoratedSymbol arg-0 "}") (lambda () (vector 12 0 0 (ParserC-45RuleC-45Source-atEnd arg-1) (vector 0 u--fs)))))))))))))) (lambda () (vector 10 0 1 (ParserC-45RuleC-45Source-optDocumentation arg-0) (lambda (u--doc) (vector 9 0 (IdrisC-45Parser-n--25925-20300-u--fieldBody arg-1 arg-0 u--doc (vector 1 )) (lambda () (lambda (u--fs) (vector 12 0 0 (ParserC-45RuleC-45Source-atEnd arg-1) (vector 0 u--fs)))))))))))
(define IdrisC-45Parser-field (lambda (arg-0 arg-1 arg-2) (vector 9 1 (PreludeC-45Interfaces-C-60C-36C-62 (csegen-729) ((csegen-25) (lambda (eta-0) (IdrisC-45Parser-n--12305-12938-u--fieldName arg-2 arg-1 arg-0 eta-0))) (vector 10 1 0 (vector 10 0 1 (vector 0 (csegen-152)) (lambda (u--f) (((csegen-725) u--f) (IdrisC-45Parser-decorate arg-1 2 (ParserC-45RuleC-45Source-name))))) (lambda (u--f) (((csegen-721) u--f) (LibrariesC-45TextC-45Parser-many (IdrisC-45Parser-n--12305-12939-u--recFieldCompat arg-2 arg-1 arg-0)))))) (lambda () (lambda (u--path) (vector 9 1 (vector 13 1 1 (PreludeC-45Interfaces-C-36C-62 (csegen-729) (cond ((equal? arg-0 1) (IdrisC-45Parser-decoratedSymbol arg-1 "=")) (else (IdrisC-45Parser-decoratedSymbol arg-1 ":="))) (lambda (eta-0) (lambda (eta-1) (vector 0 eta-0 eta-1)))) (lambda () (PreludeC-45Interfaces-C-36C-62 (csegen-729) (IdrisC-45Parser-decoratedSymbol arg-1 "$=") (lambda (eta-0) (lambda (eta-1) (vector 1 eta-0 eta-1)))))) (lambda () (lambda (u--upd) (vector 9 0 (IdrisC-45Parser-typeExpr (IdrisC-45Parser-plhs) arg-1 arg-2) (lambda () (lambda (u--val) (vector 0 ((u--upd u--path) u--val)))))))))))))
(define IdrisC-45Parser-failDecls (lambda (arg-0 arg-1) (vector 9 0 (vector 14 (vector 10 0 1 (LibrariesC-45TextC-45Parser-column) (lambda (u--col) (vector 11 1 (IdrisC-45Parser-decoratedKeyword arg-0 "failing") (lambda () (vector 12 0 1 (vector 7 ) (vector 10 0 1 (LibrariesC-45TextC-45Parser-optional 1 (IdrisC-45Parser-decorate arg-0 3 (ParserC-45RuleC-45Source-simpleStr))) (lambda (u--msg) (PreludeC-45Interfaces-C-60C-36C-62 (csegen-729) (lambda (__infixTupleSection-0) (cons u--msg __infixTupleSection-0)) (ParserC-45RuleC-45Source-nonEmptyBlockAfter u--col (lambda (eta-0) (IdrisC-45Parser-topDecl arg-0 eta-0)))))))))))) (lambda () (lambda (u--msgds) (vector 0 (let ((e-1 (vector-ref u--msgds 0))) (let ((e-5 (car e-1))) (let ((e-4 (cdr e-1))) (let ((u--fc (CoreC-45FC-boundToFC arg-0 u--msgds))) (vector 9 u--fc e-5 (IdrisC-45Parser-collectDefs (PreludeC-45Interfaces-concat (csegen-83) (csegen-4960) e-4)))))))))))))
(define IdrisC-45Parser-extractNames (lambda (arg-0) (case (vector-ref arg-0 0) ((0) (let ((e-0 (vector-ref arg-0 1))) e-0)) ((1) (let ((e-2 (vector-ref arg-0 1))) e-2)) (else (let ((e-4 (vector-ref arg-0 1))) (cons e-4 '()))))))
(define IdrisC-45Parser-extension(blodwen-lazy (lambda () (vector 13 1 1 (PreludeC-45Interfaces-C-36C-62 (csegen-729) (ParserC-45RuleC-45Source-exactIdent "ElabReflection") 0) (lambda () (vector 13 1 1 (PreludeC-45Interfaces-C-36C-62 (csegen-729) (ParserC-45RuleC-45Source-exactIdent "Borrowing") 1) (lambda () (vector 4 '() 0 "expected either 'ElabReflection' or 'Borrowing'"))))))))
(define IdrisC-45Parser-exprArgCmd (lambda (arg-0 arg-1 arg-2) (cons (IdrisC-45Parser-n--30524-24879-u--names arg-2 arg-1 arg-0) (cons (vector 2 ) (cons arg-2 (IdrisC-45Parser-n--30524-24880-u--parse arg-2 arg-1 arg-0))))))
(define IdrisC-45Parser-expr (lambda (arg-0 arg-1 arg-2) (vector 13 1 1 (IdrisC-45Parser-let_ arg-1 arg-2) (lambda () (vector 13 1 1 (IdrisC-45Parser-rewrite_ arg-1 arg-2) (lambda () (vector 13 1 1 (vector 9 0 (vector 14 (vector 11 1 (IdrisC-45Parser-decoratedPragma arg-1 "runElab") (lambda () (IdrisC-45Parser-expr (IdrisC-45Parser-pdef) arg-1 arg-2)))) (lambda () (lambda (u--b) (vector 0 (vector 20 (CoreC-45FC-boundToFC arg-1 u--b) (let ((e-1 (vector-ref u--b 0))) e-1)))))) (lambda () (IdrisC-45Parser-opExpr arg-0 arg-1 arg-2)))))))))
(define IdrisC-45Parser-explicitPi (lambda (arg-0 arg-1) (vector 9 1 (vector 14 (IdrisC-45Parser-parens 1 arg-0 (IdrisC-45Parser-pibindList arg-0 arg-1))) (lambda () (lambda (u--b) (vector 9 1 (LibrariesC-45TextC-45ParserC-45Core-mustWorkBecause 1 (let ((e-3 (vector-ref u--b 2))) e-3) "Cannot return a named argument" (IdrisC-45Parser-bindSymbol arg-0)) (lambda () (lambda (u--exp) (vector 9 0 (vector 8 (IdrisC-45Parser-typeExpr (IdrisC-45Parser-pdef) arg-0 arg-1)) (lambda () (lambda (u--scope) (vector 0 (IdrisC-45Parser-pibindAll arg-0 u--exp (let ((e-1 (vector-ref u--b 0))) e-1) u--scope)))))))))))))
(define IdrisC-45Parser-eval(blodwen-lazy (lambda () (vector 9 0 (csegen-5487) (lambda () (lambda (u--tm) (vector 0 (vector 1 u--tm))))))))
(define IdrisC-45Parser-editLineNamePTermArgCmd (lambda (arg-0 arg-1 arg-2) (cons (IdrisC-45Parser-n--31694-26104-u--names arg-2 arg-1 arg-0) (cons (vector 15 (cons (vector 12 "l" (vector 5 )) (cons (vector 12 "c" (vector 5 )) (cons (vector 12 "h" (vector 10 )) (cons (vector 12 "e" (vector 2 )) '()))))) (cons arg-2 (IdrisC-45Parser-n--31694-26105-u--parse arg-2 arg-1 arg-0))))))
(define IdrisC-45Parser-editLineNameOptionArgCmd (lambda (arg-0 arg-1 arg-2) (cons (IdrisC-45Parser-n--32022-26447-u--names arg-2 arg-1 arg-0) (cons (vector 15 (cons (vector 12 "l" (vector 5 )) (cons (vector 12 "n" (vector 10 )) (cons (vector 12 "r" (vector 13 "0" (vector 5 ))) '())))) (cons arg-2 (IdrisC-45Parser-n--32022-26448-u--parse arg-2 arg-1 arg-0))))))
(define IdrisC-45Parser-editLineNameCSVArgCmd (lambda (arg-0 arg-1 arg-2) (cons (IdrisC-45Parser-n--31857-26275-u--names arg-2 arg-1 arg-0) (cons (vector 15 (cons (vector 12 "l" (vector 5 )) (cons (vector 12 "n" (vector 10 )) (cons (vector 12 "h" (vector 14 (vector 1 ))) '())))) (cons arg-2 (IdrisC-45Parser-n--31857-26276-u--parse arg-2 arg-1 arg-0))))))
(define IdrisC-45Parser-editLineNameArgCmd (lambda (arg-0 arg-1 arg-2) (cons (IdrisC-45Parser-n--31391-25782-u--names arg-2 arg-1 arg-0) (cons (vector 15 (cons (vector 12 "l" (vector 5 )) (csegen-5938))) (cons arg-2 (IdrisC-45Parser-n--31391-25783-u--parse arg-2 arg-1 arg-0))))))
(define IdrisC-45Parser-editLineColNameArgCmd (lambda (arg-0 arg-1 arg-2) (cons (IdrisC-45Parser-n--31526-25927-u--names arg-2 arg-1 arg-0) (cons (vector 15 (cons (vector 12 "l" (vector 5 )) (cons (vector 12 "c" (vector 5 )) (csegen-5938)))) (cons arg-2 (IdrisC-45Parser-n--31526-25928-u--parse arg-2 arg-1 arg-0))))))
(define IdrisC-45Parser-dpairType (lambda (arg-1 arg-2 arg-3) (vector 9 1 (vector 14 (vector 9 1 (PreludeC-45Interfaces-C-60C-36C-62 (csegen-729) (lambda (eta-0) (vector 1 (vector 0 eta-0))) (IdrisC-45Parser-decoratedSimpleBinderName arg-1)) (lambda () (lambda (u--x) (vector 11 1 (IdrisC-45Parser-decoratedSymbol arg-1 ":") (lambda () (vector 9 0 (IdrisC-45Parser-typeExpr (IdrisC-45Parser-pdef) arg-1 arg-3) (lambda () (lambda (u--ty) (vector 0 (cons u--x u--ty))))))))))) (lambda () (lambda (u--loc) (vector 10 0 1 (vector 0 (let ((e-1 (vector-ref u--loc 0))) e-1)) (lambda (_-0) (let ((e-2 (car _-0))) (let ((e-3 (cdr _-0))) (vector 9 1 (vector 14 (ParserC-45RuleC-45Source-symbol "**")) (lambda () (lambda (u--op) (vector 9 0 (vector 14 (vector 13 1 1 (IdrisC-45Parser-nestedDpair arg-1 u--loc arg-3) (lambda () (IdrisC-45Parser-typeExpr (IdrisC-45Parser-pdef) arg-1 arg-3)))) (lambda () (lambda (u--rest) (vector 0 (vector 41 (CoreC-45FC-boundToFC arg-1 (LibrariesC-45TextC-45Bounded-mergeBounds arg-2 u--rest)) (CoreC-45FC-boundToFC arg-1 u--op) (vector 0 (CoreC-45FC-boundToFC arg-1 u--loc) e-2) e-3 (let ((e-1 (vector-ref u--rest 0))) e-1))))))))))))))))))
(define IdrisC-45Parser-docArgCmd (lambda (arg-0 arg-1 arg-2) (cons (IdrisC-45Parser-n--30591-24948-u--names arg-2 arg-1 arg-0) (cons (vector 3 ) (cons arg-2 (IdrisC-45Parser-n--30591-24949-u--parse arg-2 arg-1 arg-0))))))
(define IdrisC-45Parser-doBlock (lambda (arg-0 arg-1) (vector 13 1 1 (vector 9 0 (vector 14 (vector 10 1 0 ((csegen-726) (IdrisC-45Parser-decoratedKeyword arg-0 "do")) (lambda (u--f) (((csegen-721) u--f) (ParserC-45RuleC-45Source-block (lambda (eta-0) (IdrisC-45Parser-doAct arg-0 eta-0))))))) (lambda () (lambda (u--b) (vector 12 0 0 (vector 7 ) (vector 0 (vector 35 (CoreC-45FC-virtualiseFC (CoreC-45FC-boundToFC arg-0 u--b)) '() (PreludeC-45Interfaces-concat (csegen-83) (csegen-16) (let ((e-1 (vector-ref u--b 0))) e-1)))))))) (lambda () (vector 9 0 (vector 14 (ParserC-45RuleC-45Source-namespacedIdent)) (lambda () (lambda (u--nsdo) (let ((e-1 (vector-ref u--nsdo 0))) (if (null? e-1) (vector 4 '() 0 "Not a namespaced 'do'") (let ((e-5 (car e-1))) (let ((e-4 (cdr e-1))) (cond ((equal? e-4 "do") (vector 12 0 0 (vector 7 ) (vector 10 0 0 (vector 14 (ParserC-45RuleC-45Source-block (lambda (eta-0) (IdrisC-45Parser-doAct arg-0 eta-0)))) (lambda (u--actions) (let ((u--fc (CoreC-45FC-virtualiseFC (CoreC-45FC-boundToFC arg-0 (LibrariesC-45TextC-45Bounded-mergeBounds u--nsdo u--actions))))) (vector 0 (vector 35 u--fc e-5 (PreludeC-45Interfaces-concat (csegen-83) (csegen-16) (let ((e-8 (vector-ref u--actions 0))) e-8)))))))))(else (vector 4 '() 0 "Not a namespaced 'do'"))))))))))))))
(define IdrisC-45Parser-doAct (lambda (arg-0 arg-1) (vector 13 1 1 (vector 9 0 (vector 14 (vector 9 1 (vector 14 (vector 13 1 1 (ParserC-45RuleC-45Source-name) (lambda () ((PreludeC-45Interfaces-C-60C-36 (csegen-729) (vector 1 (vector 2 ))) (ParserC-45RuleC-45Source-symbol "_"))))) (lambda () (lambda (u--n) (vector 12 0 1 (IdrisC-45Parser-validPatternVar (let ((e-1 (vector-ref u--n 0))) e-1)) (vector 11 1 (IdrisC-45Parser-decoratedSymbol arg-0 "<-") (lambda () (vector 9 0 (IdrisC-45Parser-expr (IdrisC-45Parser-pdef) arg-0 arg-1) (lambda () (lambda (u--val) (vector 0 (cons u--n u--val)))))))))))) (lambda () (lambda (u--b) (vector 12 0 0 (ParserC-45RuleC-45Source-atEnd arg-1) (IdrisC-45Parser-case--doAct-13674 arg-1 arg-0 u--b (let ((e-1 (vector-ref u--b 0))) e-1)))))) (lambda () (vector 13 1 1 (vector 11 1 (IdrisC-45Parser-decoratedKeyword arg-0 "let") (lambda () (vector 12 0 1 (vector 7 ) (vector 9 0 (ParserC-45RuleC-45Source-nonEmptyBlock (lambda (eta-0) (IdrisC-45Parser-letBlock arg-0 eta-0))) (lambda () (lambda (u--res) (vector 12 0 0 (ParserC-45RuleC-45Source-atEnd arg-1) (vector 0 (IdrisC-45ParserC-45Let-mkDoLets arg-0 u--res))))))))) (lambda () (vector 13 1 1 (vector 9 0 (vector 14 (vector 10 1 1 ((csegen-726) (IdrisC-45Parser-decoratedKeyword arg-0 "rewrite")) (lambda (u--f) (((csegen-725) u--f) (IdrisC-45Parser-expr (IdrisC-45Parser-pdef) arg-0 arg-1))))) (lambda () (lambda (u--b) (vector 12 0 0 (ParserC-45RuleC-45Source-atEnd arg-1) (vector 0 (cons (vector 6 (CoreC-45FC-boundToFC arg-0 u--b) (let ((e-1 (vector-ref u--b 0))) e-1)) '())))))) (lambda () (vector 9 0 (vector 14 (IdrisC-45Parser-expr (IdrisC-45Parser-plhs) arg-0 arg-1)) (lambda () (lambda (u--e) (vector 13 0 1 (PreludeC-45Interfaces-C-36C-62 (csegen-732) (ParserC-45RuleC-45Source-atEnd arg-1) (cons (vector 0 (CoreC-45FC-virtualiseFC (CoreC-45FC-boundToFC arg-0 u--e)) (let ((e-1 (vector-ref u--e 0))) e-1)) '())) (lambda () (vector 9 0 (vector 14 (vector 10 1 1 ((csegen-726) (IdrisC-45Parser-decoratedSymbol arg-0 "<-")) (lambda (u--f) (((csegen-725) u--f) (vector 10 1 0 (vector 10 0 1 (csegen-5554) (lambda (f-0) (((csegen-725) f-0) (IdrisC-45Parser-expr (IdrisC-45Parser-pnowith) arg-0 arg-1)))) (lambda (f-0) (((csegen-721) f-0) (ParserC-45RuleC-45Source-block (lambda (eta-0) (IdrisC-45Parser-patAlt arg-0 eta-0)))))))))) (lambda () (lambda (u--b) (vector 12 0 0 (ParserC-45RuleC-45Source-atEnd arg-1) (let ((e-1 (vector-ref u--b 0))) (let ((e-5 (car e-1))) (let ((e-4 (cdr e-1))) (let ((u--fc (CoreC-45FC-virtualiseFC (CoreC-45FC-boundToFC arg-0 (LibrariesC-45TextC-45Bounded-mergeBounds u--e u--b))))) (vector 0 (cons (vector 2 u--fc (let ((e-8 (vector-ref u--e 0))) e-8) e-5 e-4) '())))))))))))))))))))))))
(define IdrisC-45Parser-directiveDecl (lambda (arg-0 arg-1) (vector 9 0 (vector 14 (vector 13 1 1 (vector 9 0 (IdrisC-45Parser-directive arg-0 arg-1) (lambda () (lambda (u--d) (vector 0 (lambda (u--fc) (vector 15 u--fc u--d)))))) (lambda () (vector 11 1 (IdrisC-45Parser-decoratedPragma arg-0 "runElab") (lambda () (vector 9 0 (IdrisC-45Parser-expr (IdrisC-45Parser-pdef) arg-0 arg-1) (lambda () (lambda (u--tm) (vector 12 0 0 (ParserC-45RuleC-45Source-atEnd arg-1) (vector 0 (lambda (u--fc) (vector 5 u--fc u--tm)))))))))))) (lambda () (lambda (u--b) (vector 0 (let ((e-1 (vector-ref u--b 0))) (e-1 (CoreC-45FC-boundToFC arg-0 u--b)))))))))
(define IdrisC-45Parser-directive (lambda (arg-0 arg-1) (vector 13 1 1 (vector 11 1 (IdrisC-45Parser-decoratedPragma arg-0 "hide") (lambda () (vector 9 0 (ParserC-45RuleC-45Source-name) (lambda () (lambda (u--n) (vector 12 0 0 (ParserC-45RuleC-45Source-atEnd arg-1) (vector 0 (vector 0 u--n)))))))) (lambda () (vector 13 1 1 (vector 11 1 (IdrisC-45Parser-decoratedPragma arg-0 "unhide") (lambda () (vector 9 0 (ParserC-45RuleC-45Source-name) (lambda () (lambda (u--n) (vector 12 0 0 (ParserC-45RuleC-45Source-atEnd arg-1) (vector 0 (vector 1 u--n)))))))) (lambda () (vector 13 1 1 (vector 11 1 (IdrisC-45Parser-decoratedPragma arg-0 "logging") (lambda () (vector 9 0 (IdrisC-45Parser-logLevel arg-0) (lambda () (lambda (u--lvl) (vector 12 0 0 (ParserC-45RuleC-45Source-atEnd arg-1) (vector 0 (vector 2 u--lvl)))))))) (lambda () (vector 13 1 1 (vector 11 1 (IdrisC-45Parser-decoratedPragma arg-0 "auto_lazy") (lambda () (vector 9 0 (IdrisC-45Parser-onoff) (lambda () (lambda (u--b) (vector 12 0 0 (ParserC-45RuleC-45Source-atEnd arg-1) (vector 0 (vector 3 u--b)))))))) (lambda () (vector 13 1 1 (vector 11 1 (IdrisC-45Parser-decoratedPragma arg-0 "unbound_implicits") (lambda () (vector 9 0 (IdrisC-45Parser-onoff) (lambda () (lambda (u--b) (vector 12 0 0 (ParserC-45RuleC-45Source-atEnd arg-1) (vector 0 (vector 4 u--b)))))))) (lambda () (vector 13 1 1 (vector 11 1 (IdrisC-45Parser-decoratedPragma arg-0 "prefix_record_projections") (lambda () (vector 9 0 (IdrisC-45Parser-onoff) (lambda () (lambda (u--b) (vector 12 0 0 (ParserC-45RuleC-45Source-atEnd arg-1) (vector 0 (vector 18 u--b)))))))) (lambda () (vector 13 1 1 (vector 11 1 (IdrisC-45Parser-decoratedPragma arg-0 "ambiguity_depth") (lambda () (vector 9 0 (IdrisC-45Parser-decorate arg-0 4 (ParserC-45RuleC-45Source-intLit)) (lambda () (lambda (u--lvl) (vector 12 0 0 (ParserC-45RuleC-45Source-atEnd arg-1) (vector 0 (vector 5 (PreludeC-45Types-prim__integerToNat u--lvl))))))))) (lambda () (vector 13 1 1 (vector 11 1 (IdrisC-45Parser-decoratedPragma arg-0 "auto_implicit_depth") (lambda () (vector 9 0 (IdrisC-45Parser-decorate arg-0 4 (ParserC-45RuleC-45Source-intLit)) (lambda () (lambda (u--dpt) (vector 12 0 0 (ParserC-45RuleC-45Source-atEnd arg-1) (vector 0 (vector 19 (PreludeC-45Types-prim__integerToNat u--dpt))))))))) (lambda () (vector 13 1 1 (vector 11 1 (IdrisC-45Parser-decoratedPragma arg-0 "nf_metavar_threshold") (lambda () (vector 9 0 (IdrisC-45Parser-decorate arg-0 4 (ParserC-45RuleC-45Source-intLit)) (lambda () (lambda (u--dpt) (vector 12 0 0 (ParserC-45RuleC-45Source-atEnd arg-1) (vector 0 (vector 20 (PreludeC-45Types-prim__integerToNat u--dpt))))))))) (lambda () (vector 13 1 1 (vector 11 1 (IdrisC-45Parser-decoratedPragma arg-0 "search_timeout") (lambda () (vector 9 0 (IdrisC-45Parser-decorate arg-0 4 (ParserC-45RuleC-45Source-intLit)) (lambda () (lambda (u--t) (vector 12 0 0 (ParserC-45RuleC-45Source-atEnd arg-1) (vector 0 (vector 21 u--t)))))))) (lambda () (vector 13 1 1 (vector 11 1 (IdrisC-45Parser-decoratedPragma arg-0 "pair") (lambda () (vector 9 1 (ParserC-45RuleC-45Source-name) (lambda () (lambda (u--ty) (vector 9 1 (ParserC-45RuleC-45Source-name) (lambda () (lambda (u--f) (vector 9 0 (ParserC-45RuleC-45Source-name) (lambda () (lambda (u--s) (vector 12 0 0 (ParserC-45RuleC-45Source-atEnd arg-1) (vector 0 (vector 6 u--ty u--f u--s)))))))))))))) (lambda () (vector 13 1 1 (vector 11 1 (IdrisC-45Parser-decoratedPragma arg-0 "rewrite") (lambda () (vector 9 1 (ParserC-45RuleC-45Source-name) (lambda () (lambda (u--eq) (vector 9 0 (ParserC-45RuleC-45Source-name) (lambda () (lambda (u--rw) (vector 12 0 0 (ParserC-45RuleC-45Source-atEnd arg-1) (vector 0 (vector 7 u--eq u--rw))))))))))) (lambda () (vector 13 1 1 (vector 11 1 (IdrisC-45Parser-decoratedPragma arg-0 "integerLit") (lambda () (vector 9 0 (ParserC-45RuleC-45Source-name) (lambda () (lambda (u--n) (vector 12 0 0 (ParserC-45RuleC-45Source-atEnd arg-1) (vector 0 (vector 8 u--n)))))))) (lambda () (vector 13 1 1 (vector 11 1 (IdrisC-45Parser-decoratedPragma arg-0 "stringLit") (lambda () (vector 9 0 (ParserC-45RuleC-45Source-name) (lambda () (lambda (u--n) (vector 12 0 0 (ParserC-45RuleC-45Source-atEnd arg-1) (vector 0 (vector 9 u--n)))))))) (lambda () (vector 13 1 1 (vector 11 1 (IdrisC-45Parser-decoratedPragma arg-0 "charLit") (lambda () (vector 9 0 (ParserC-45RuleC-45Source-name) (lambda () (lambda (u--n) (vector 12 0 0 (ParserC-45RuleC-45Source-atEnd arg-1) (vector 0 (vector 10 u--n)))))))) (lambda () (vector 13 1 1 (vector 11 1 (IdrisC-45Parser-decoratedPragma arg-0 "doubleLit") (lambda () (vector 9 0 (ParserC-45RuleC-45Source-name) (lambda () (lambda (u--n) (vector 12 0 0 (ParserC-45RuleC-45Source-atEnd arg-1) (vector 0 (vector 11 u--n)))))))) (lambda () (vector 13 1 1 (vector 11 1 (IdrisC-45Parser-decoratedPragma arg-0 "name") (lambda () (vector 9 1 (ParserC-45RuleC-45Source-name) (lambda () (lambda (u--n) (vector 9 0 (LibrariesC-45TextC-45Parser-sepBy1 1 (IdrisC-45Parser-decoratedSymbol arg-0 ",") (IdrisC-45Parser-decoratedSimpleBinderName arg-0)) (lambda () (lambda (u--ns) (vector 12 0 0 (ParserC-45RuleC-45Source-atEnd arg-1) (vector 0 (vector 13 u--n (DataC-45List1-forget u--ns)))))))))))) (lambda () (vector 13 1 1 (vector 11 1 (IdrisC-45Parser-decoratedPragma arg-0 "start") (lambda () (vector 9 0 (IdrisC-45Parser-expr (IdrisC-45Parser-pdef) arg-0 arg-1) (lambda () (lambda (u--e) (vector 12 0 0 (ParserC-45RuleC-45Source-atEnd arg-1) (vector 0 (vector 14 u--e)))))))) (lambda () (vector 13 1 1 (vector 11 1 (IdrisC-45Parser-decoratedPragma arg-0 "allow_overloads") (lambda () (vector 9 0 (ParserC-45RuleC-45Source-name) (lambda () (lambda (u--n) (vector 12 0 0 (ParserC-45RuleC-45Source-atEnd arg-1) (vector 0 (vector 15 u--n)))))))) (lambda () (vector 13 1 1 (vector 11 1 (IdrisC-45Parser-decoratedPragma arg-0 "language") (lambda () (vector 9 0 (vector 8 (IdrisC-45Parser-extension)) (lambda () (lambda (u--e) (vector 12 0 0 (ParserC-45RuleC-45Source-atEnd arg-1) (vector 0 (vector 16 u--e)))))))) (lambda () (vector 11 1 (IdrisC-45Parser-decoratedPragma arg-0 "default") (lambda () (vector 9 0 (IdrisC-45Parser-totalityOpt arg-0) (lambda () (lambda (u--tot) (vector 12 0 0 (ParserC-45RuleC-45Source-atEnd arg-1) (vector 0 (vector 17 u--tot))))))))))))))))))))))))))))))))))))))))))))))))))
(define IdrisC-45Parser-dependentDecorate (lambda (arg-1 arg-2 arg-3) (vector 9 0 (vector 14 arg-2) (lambda () (lambda (u--res) (vector 12 0 0 (ParserC-45RuleC-45Source-actD (ParserC-45RuleC-45Source-decorationFromBounded arg-1 (arg-3 (let ((e-1 (vector-ref u--res 0))) e-1)) u--res)) (vector 0 (let ((e-1 (vector-ref u--res 0))) e-1))))))))
(define IdrisC-45Parser-definition (lambda (arg-0 arg-1) (vector 9 0 (vector 14 (IdrisC-45Parser-clause 0 '() arg-0 arg-1)) (lambda () (lambda (u--nd) (vector 0 (vector 1 (CoreC-45FC-boundToFC arg-0 u--nd) (cons (let ((e-1 (vector-ref u--nd 0))) e-1) '()))))))))
(define IdrisC-45Parser-defaultImplicitPi (lambda (arg-0 arg-1) (vector 9 1 (vector 14 (vector 11 1 (IdrisC-45Parser-decoratedSymbol arg-0 "{") (lambda () (vector 11 1 (IdrisC-45Parser-decoratedKeyword arg-0 "default") (lambda () (vector 12 0 1 (vector 7 ) (vector 9 1 (IdrisC-45Parser-simpleExpr arg-0 arg-1) (lambda () (lambda (u--t) (vector 9 1 (IdrisC-45Parser-pibindList arg-0 arg-1) (lambda () (lambda (u--binders) (vector 11 0 (IdrisC-45Parser-decoratedSymbol arg-0 "}") (lambda () (vector 0 (cons u--t u--binders)))))))))))))))) (lambda () (lambda (u--b) (vector 11 1 (LibrariesC-45TextC-45ParserC-45Core-mustWorkBecause 1 (let ((e-3 (vector-ref u--b 2))) e-3) "Cannot return a default implicit argument" (IdrisC-45Parser-decoratedSymbol arg-0 "->")) (lambda () (vector 9 0 (vector 8 (IdrisC-45Parser-typeExpr (IdrisC-45Parser-pdef) arg-0 arg-1)) (lambda () (lambda (u--scope) (vector 0 (let ((e-1 (vector-ref u--b 0))) (let ((e-5 (car e-1))) (let ((e-4 (cdr e-1))) (IdrisC-45Parser-pibindAll arg-0 (vector 3 e-5) e-4 u--scope)))))))))))))))
(define IdrisC-45Parser-decoratedSymbol (lambda (arg-0 arg-1) (IdrisC-45Parser-decorate arg-0 4 (ParserC-45RuleC-45Source-symbol arg-1))))
(define IdrisC-45Parser-decoratedSimpleNamedArg (lambda (arg-0) (vector 13 1 1 (IdrisC-45Parser-decorate arg-0 5 (ParserC-45RuleC-45Source-unqualifiedName)) (lambda () (IdrisC-45Parser-parens 1 arg-0 (IdrisC-45Parser-decorate arg-0 5 (ParserC-45RuleC-45Source-unqualifiedOperatorName)))))))
(define IdrisC-45Parser-decoratedSimpleBinderName (lambda (arg-0) (IdrisC-45Parser-decorate arg-0 5 (ParserC-45RuleC-45Source-unqualifiedName))))
(define IdrisC-45Parser-decoratedPragma (lambda (arg-0 arg-1) (IdrisC-45Parser-decorate arg-0 4 (ParserC-45RuleC-45Source-pragma arg-1))))
(define IdrisC-45Parser-decoratedNamespacedSymbol (lambda (arg-0 arg-1) (IdrisC-45Parser-decorate arg-0 4 (ParserC-45RuleC-45Source-namespacedSymbol arg-1))))
(define IdrisC-45Parser-decoratedKeyword (lambda (arg-0 arg-1) (IdrisC-45Parser-decorate arg-0 4 (ParserC-45RuleC-45Source-keyword arg-1))))
(define IdrisC-45Parser-decoratedDataTypeName (lambda (arg-0) (IdrisC-45Parser-decorate arg-0 1 (vector 13 1 1 (ParserC-45RuleC-45Source-opNonNS) (lambda () (ParserC-45RuleC-45Source-capitalisedName))))))
(define IdrisC-45Parser-decoratedDataConstructorName (lambda (arg-0) (IdrisC-45Parser-decorate arg-0 3 (ParserC-45RuleC-45Source-dataConstructorName))))
(define IdrisC-45Parser-decorateKeywords (lambda (arg-1 arg-2) (vector 16 (cons ((csegen-5950) (((csegen-25) (lambda (eta-0) (ParserC-45RuleC-45Source-decorationFromBounded arg-1 4 eta-0))) arg-2)) '()))))
(define IdrisC-45Parser-decorateBoundedNames (lambda (arg-0 arg-1 arg-2) (vector 16 (cons ((csegen-5950) (((csegen-25) (lambda (eta-0) (IdrisC-45Parser-boundedNameDecoration arg-0 arg-1 eta-0))) arg-2)) '()))))
(define IdrisC-45Parser-decorate (lambda (arg-1 arg-2 arg-3) (vector 9 0 (vector 14 arg-3) (lambda () (lambda (u--res) (vector 12 0 0 (ParserC-45RuleC-45Source-actD (ParserC-45RuleC-45Source-decorationFromBounded arg-1 arg-2 u--res)) (vector 0 (let ((e-1 (vector-ref u--res 0))) e-1))))))))
(define IdrisC-45Parser-declsArgCmd (lambda (arg-0 arg-1 arg-2) (cons (IdrisC-45Parser-n--30857-25221-u--names arg-2 arg-1 arg-0) (cons (vector 4 ) (cons arg-2 (IdrisC-45Parser-n--30857-25222-u--parse arg-2 arg-1 arg-0))))))
(define IdrisC-45Parser-dataVisOpt (lambda (arg-0) (vector 13 1 0 (vector 9 0 (IdrisC-45Parser-visOption arg-0) (lambda () (lambda (u--vis) (vector 10 0 0 (LibrariesC-45TextC-45Parser-optional 1 (IdrisC-45Parser-totalityOpt arg-0)) (lambda (u--mbtot) (vector 0 (cons u--vis u--mbtot))))))) (lambda () (vector 13 1 0 (vector 9 0 (IdrisC-45Parser-totalityOpt arg-0) (lambda () (lambda (u--tot) (vector 10 0 0 (IdrisC-45Parser-visibility arg-0) (lambda (u--vis) (vector 0 (cons u--vis (box u--tot)))))))) (lambda () (vector 0 (cons 0 '()))))))))
(define IdrisC-45Parser-dataOpts (lambda (arg-0) (LibrariesC-45TextC-45Parser-option 1 '() (vector 11 1 (IdrisC-45Parser-decoratedSymbol arg-0 "[") (lambda () (vector 9 1 (LibrariesC-45TextC-45Parser-sepBy1 1 (IdrisC-45Parser-decoratedSymbol arg-0 ",") (IdrisC-45Parser-dataOpt arg-0)) (lambda () (lambda (u--opts) (vector 11 0 (IdrisC-45Parser-decoratedSymbol arg-0 "]") (lambda () (vector 0 (DataC-45List1-forget u--opts))))))))))))
(define IdrisC-45Parser-dataOpt (lambda (arg-0) (vector 13 1 1 (PreludeC-45Interfaces-C-36C-62 (csegen-729) (IdrisC-45Parser-decorate arg-0 4 (ParserC-45RuleC-45Source-exactIdent "noHints")) (vector 1 )) (lambda () (vector 13 1 1 (PreludeC-45Interfaces-C-36C-62 (csegen-729) (IdrisC-45Parser-decorate arg-0 4 (ParserC-45RuleC-45Source-exactIdent "uniqueSearch")) (vector 2 )) (lambda () (vector 13 1 1 (vector 11 1 (IdrisC-45Parser-decorate arg-0 4 (ParserC-45RuleC-45Source-exactIdent "search")) (lambda () (PreludeC-45Interfaces-C-60C-36C-62 (csegen-729) (lambda (eta-0) (vector 0 eta-0)) (PreludeC-45Interfaces-C-60C-36C-62 (csegen-729) (lambda (eta-0) (DataC-45List1-forget eta-0)) (LibrariesC-45TextC-45Parser-some (IdrisC-45Parser-decorate arg-0 5 (ParserC-45RuleC-45Source-name))))))) (lambda () (vector 13 1 1 (PreludeC-45Interfaces-C-36C-62 (csegen-729) (IdrisC-45Parser-decorate arg-0 4 (ParserC-45RuleC-45Source-exactIdent "external")) (vector 3 )) (lambda () (PreludeC-45Interfaces-C-36C-62 (csegen-729) (IdrisC-45Parser-decorate arg-0 4 (ParserC-45RuleC-45Source-exactIdent "noNewtype")) (vector 4 ))))))))))))
(define IdrisC-45Parser-dataDeclBody (lambda (arg-0 arg-1) (vector 9 1 (vector 14 (vector 10 0 1 (LibrariesC-45TextC-45Parser-column) (lambda (u--col) (vector 11 1 (IdrisC-45Parser-decoratedKeyword arg-0 "data") (lambda () (vector 9 0 (vector 8 (vector 14 (IdrisC-45Parser-decoratedDataTypeName arg-0))) (lambda () (lambda (u--n) (vector 0 (cons u--col u--n)))))))))) (lambda () (lambda (u--b) (vector 10 0 1 (vector 0 (let ((e-1 (vector-ref u--b 0))) e-1)) (lambda (_-0) (let ((e-2 (car _-0))) (let ((e-3 (cdr _-0))) (vector 13 1 1 (IdrisC-45Parser-simpleData arg-0 u--b e-3 arg-1) (lambda () (IdrisC-45Parser-gadtData arg-0 e-2 u--b e-3 arg-1))))))))))))
(define IdrisC-45Parser-dataDecl (lambda (arg-0 arg-1) (vector 9 0 (vector 14 (vector 10 0 1 (ParserC-45RuleC-45Source-optDocumentation arg-0) (lambda (u--doc) (vector 10 0 1 (IdrisC-45Parser-dataVisOpt arg-0) (lambda (_-0) (let ((e-2 (car _-0))) (let ((e-3 (cdr _-0))) (vector 9 0 (IdrisC-45Parser-dataDeclBody arg-0 arg-1) (lambda () (lambda (u--dat) (vector 0 (cons u--doc (cons e-2 (cons e-3 u--dat)))))))))))))) (lambda () (lambda (u--b) (vector 10 0 0 (vector 0 (let ((e-1 (vector-ref u--b 0))) e-1)) (lambda (_-0) (let ((e-2 (car _-0))) (let ((e-3 (cdr _-0))) (let ((e-6 (car e-3))) (let ((e-7 (cdr e-3))) (let ((e-10 (car e-7))) (let ((e-11 (cdr e-7))) (vector 0 (vector 2 (CoreC-45FC-boundToFC arg-0 u--b) e-2 e-6 e-10 e-11)))))))))))))))
(define IdrisC-45Parser-dataBody (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (vector 13 0 1 (vector 12 0 0 (ParserC-45RuleC-45Source-atEndIndent arg-5) (vector 0 (vector 1 (CoreC-45FC-boundToFC arg-1 arg-3) arg-4 arg-6))) (lambda () (vector 9 0 (vector 14 (vector 11 0 (IdrisC-45Parser-decoratedKeyword arg-1 "where") (lambda () (vector 10 0 0 (IdrisC-45Parser-dataOpts arg-1) (lambda (u--opts) (vector 10 0 0 (ParserC-45RuleC-45Source-blockAfter arg-2 (lambda (eta-0) (IdrisC-45Parser-tyDecls (vector 8 (IdrisC-45Parser-decoratedDataConstructorName arg-1)) "" arg-1 eta-0))) (lambda (u--cs) (vector 0 (cons u--opts (PreludeC-45Interfaces-concatMap (csegen-83) (csegen-16) (lambda (eta-0) (DataC-45List1-forget eta-0)) u--cs)))))))))) (lambda () (lambda (u--b) (vector 10 0 0 (vector 0 (let ((e-1 (vector-ref u--b 0))) e-1)) (lambda (_-0) (let ((e-2 (car _-0))) (let ((e-3 (cdr _-0))) (vector 0 (vector 0 (CoreC-45FC-boundToFC arg-1 (LibrariesC-45TextC-45Bounded-mergeBounds arg-3 u--b)) arg-4 arg-6 e-2 e-3)))))))))))))
(define IdrisC-45Parser-continueWithDecorated (lambda (arg-0 arg-1 arg-2) (vector 10 0 1 ((csegen-5070) (ParserC-45RuleC-45Source-mustContinue arg-1 (box arg-2))) (lambda (u--f) (((csegen-725) u--f) (IdrisC-45Parser-decoratedSymbol arg-0 arg-2))))))
(define IdrisC-45Parser-continueWith (lambda (arg-0 arg-1) (vector 10 0 1 ((csegen-5070) (ParserC-45RuleC-45Source-mustContinue arg-0 (box arg-1))) (lambda (u--f) (((csegen-725) u--f) (ParserC-45RuleC-45Source-symbol arg-1))))))
(define IdrisC-45Parser-constraints (lambda (arg-0 arg-1) (vector 13 1 0 (vector 9 1 (IdrisC-45Parser-appExpr (IdrisC-45Parser-pdef) arg-0 arg-1) (lambda () (lambda (u--tm) (vector 11 0 (IdrisC-45Parser-decoratedSymbol arg-0 "=>") (lambda () (vector 10 0 0 (IdrisC-45Parser-constraints arg-0 arg-1) (lambda (u--more) (vector 0 (cons (cons '() u--tm) u--more))))))))) (lambda () (vector 13 1 0 (vector 11 1 (IdrisC-45Parser-decoratedSymbol arg-0 "(") (lambda () (vector 9 1 (IdrisC-45Parser-decorate arg-0 5 (ParserC-45RuleC-45Source-name)) (lambda () (lambda (u--n) (vector 11 1 (IdrisC-45Parser-decoratedSymbol arg-0 ":") (lambda () (vector 9 1 (IdrisC-45Parser-typeExpr (IdrisC-45Parser-pdef) arg-0 arg-1) (lambda () (lambda (u--tm) (vector 11 1 (IdrisC-45Parser-decoratedSymbol arg-0 ")") (lambda () (vector 11 0 (IdrisC-45Parser-decoratedSymbol arg-0 "=>") (lambda () (vector 10 0 0 (IdrisC-45Parser-constraints arg-0 arg-1) (lambda (u--more) (vector 0 (cons (cons (box u--n) u--tm) u--more)))))))))))))))))) (lambda () (vector 0 '())))))))
(define IdrisC-45Parser-compileArgsCmd (lambda (arg-0 arg-1 arg-2) (cons (IdrisC-45Parser-n--31226-25607-u--names arg-2 arg-1 arg-0) (cons (vector 15 (cons (vector 8 ) (cons (vector 2 ) '()))) (cons arg-2 (IdrisC-45Parser-n--31226-25608-u--parse arg-2 arg-1 arg-0))))))
(define IdrisC-45Parser-commitSymbol (lambda (arg-0 arg-1) (vector 13 1 1 (IdrisC-45Parser-decoratedSymbol arg-0 arg-1) (lambda () (vector 4 '() 1 (string-append "Expected '" (string-append arg-1 "'")))))))
(define IdrisC-45Parser-commitKeyword (lambda (arg-0 arg-1 arg-2) (vector 12 0 1 (ParserC-45RuleC-45Source-mustContinue arg-1 (box arg-2)) (vector 11 0 (vector 13 1 1 (IdrisC-45Parser-decoratedKeyword arg-0 arg-2) (lambda () (vector 4 '() 1 (string-append "Expected '" (string-append arg-2 "'"))))) (lambda () (ParserC-45RuleC-45Source-mustContinue arg-1 '()))))))
(define IdrisC-45Parser-command(blodwen-lazy (lambda () (vector 13 0 1 (PreludeC-45Interfaces-C-36C-62 (csegen-732) (ParserC-45RuleC-45Source-eoi) (vector 32 )) (lambda () (vector 13 1 1 (IdrisC-45Parser-nonEmptyCommand) (lambda () (vector 13 1 1 (vector 11 0 (ParserC-45RuleC-45Source-symbol ":?") (lambda () (vector 10 0 0 (IdrisC-45Parser-getHelpType) (lambda (u--helpType) (vector 0 (vector 11 u--helpType)))))) (lambda () (IdrisC-45Parser-eval))))))))))
(define IdrisC-45Parser-collectDefs (lambda (arg-0) (if (null? arg-0) '() (let ((e-2 (car arg-0))) (let ((e-3 (cdr arg-0))) (case (vector-ref e-2 0) ((1) (let ((e-5 (vector-ref e-2 1))) (let ((e-6 (vector-ref e-2 2))) (IdrisC-45Parser-case--collectDefs-22336 e-6 e-5 e-3 (DataC-45List-spanBy (lambda (eta-0) (IdrisC-45Syntax-isPDef eta-0)) e-3))))) ((12) (let ((e-8 (vector-ref e-2 1))) (let ((e-9 (vector-ref e-2 2))) (let ((e-10 (vector-ref e-2 3))) (cons (vector 12 e-8 e-9 (IdrisC-45Parser-collectDefs e-10)) (IdrisC-45Parser-collectDefs e-3)))))) ((10) (let ((e-12 (vector-ref e-2 1))) (let ((e-13 (vector-ref e-2 2))) (cons (vector 10 e-12 (IdrisC-45Parser-collectDefs e-13)) (IdrisC-45Parser-collectDefs e-3)))))(else (cons e-2 (IdrisC-45Parser-collectDefs e-3)))))))))
(define IdrisC-45Parser-cmdName (lambda (arg-0) (vector 10 0 1 (LibrariesC-45TextC-45Parser-optional 1 (ParserC-45RuleC-45Source-symbol ":")) (lambda (u--_) (vector 1 (string-append "Unrecognised REPL command '" (string-append arg-0 "'")) (lambda (lcase-0) (case (vector-ref lcase-0 0) ((9) (let ((e-0 (vector-ref lcase-0 1))) (let ((sc1 (PreludeC-45EqOrd-u--C-61C-61_Eq_String e-0 arg-0))) (cond ((equal? sc1 1) (box e-0)) (else '()))))) ((18) (let ((e-1 (vector-ref lcase-0 1))) (let ((sc1 (PreludeC-45EqOrd-u--C-61C-61_Eq_String e-1 arg-0))) (cond ((equal? sc1 1) (box e-1)) (else '()))))) ((12) (let ((e-2 (vector-ref lcase-0 1))) (cond ((equal? e-2 "?") (box "?")) ((equal? e-2 ":?") (box "?"))(else '()))))(else '()))))))))
(define IdrisC-45Parser-clause (lambda (arg-0 arg-1 arg-2 arg-3) (vector 9 1 (vector 14 (vector 10 0 1 (LibrariesC-45TextC-45Parser-column) (lambda (u--col) (vector 9 0 (IdrisC-45Parser-n--20675-15424-u--clauseLHS arg-3 arg-2 arg-0 arg-1 arg-2 arg-3 arg-1) (lambda () (lambda (u--lhsws) (vector 10 0 0 (LibrariesC-45TextC-45Parser-many (IdrisC-45Parser-n--20675-15425-u--parseWithArg arg-3 arg-2 arg-0 arg-1)) (lambda (u--extra) (vector 0 (cons u--col (let ((e-2 (car u--lhsws))) (let ((e-3 (cdr u--lhsws))) (cons e-2 (PreludeC-45TypesC-45List-tailRecAppend e-3 u--extra)))))))))))))) (lambda () (lambda (u--b) (let ((u--col (Builtin-fst (let ((e-1 (vector-ref u--b 0))) e-1)))) (let ((u--lhs (Builtin-snd (let ((e-1 (vector-ref u--b 0))) e-1)))) (let ((u--extra (Builtin-snd u--lhs))) (let ((sc0 (PreludeC-45Types-u--C-47C-61_Eq_Nat arg-0 (PreludeC-45TypesC-45List-lengthTR u--extra)))) (cond ((equal? sc0 1) (vector 4 '() 1 (string-append "Wrong number of 'with' arguments:" (string-append " expected " (string-append (PreludeC-45Show-u--show_Show_Nat arg-0) (string-append " but got " (PreludeC-45Show-u--show_Show_Nat (PreludeC-45TypesC-45List-lengthTR u--extra)))))))) (else (IdrisC-45Parser-parseRHS arg-0 arg-2 u--b u--col arg-3 u--lhs))))))))))))
(define IdrisC-45Parser-claims (lambda (arg-0 arg-1) (vector 9 0 (vector 14 (vector 10 0 1 (ParserC-45RuleC-45Source-optDocumentation arg-0) (lambda (u--doc) (vector 10 0 1 (LibrariesC-45TextC-45Parser-many (IdrisC-45Parser-visOpt arg-0)) (lambda (u--visOpts) (vector 10 0 1 (IdrisC-45Parser-getVisibility '() u--visOpts) (lambda (u--vis) (let ((u--opts (PreludeC-45TypesC-45List-mapMaybeAppend '() (lambda (eta-0) (DataC-45Either-getRight eta-0)) u--visOpts))) (vector 10 0 1 (IdrisC-45Parser-multiplicity arg-0) (lambda (u--rig) (vector 9 0 (IdrisC-45Parser-tyDecls (IdrisC-45Parser-dependentDecorate arg-0 (ParserC-45RuleC-45Source-name) (lambda (u--nm) (let ((sc0 (CoreC-45Name-isUnsafeBuiltin u--nm))) (cond ((equal? sc0 1) 7) (else 2))))) u--doc arg-0 arg-1) (lambda () (lambda (u--cls) (vector 0 (DataC-45List1-u--map_Functor_List1 (lambda (u--cl) (cons u--doc (cons u--vis (cons u--opts (cons u--rig u--cl))))) u--cls))))))))))))))) (lambda () (lambda (u--bs) (vector 0 (DataC-45List1-u--map_Functor_List1 (lambda (lamc-0) (let ((e-3 (cdr lamc-0))) (let ((e-6 (car e-3))) (let ((e-7 (cdr e-3))) (let ((e-10 (car e-7))) (let ((e-11 (cdr e-7))) (let ((e-14 (car e-11))) (let ((e-15 (cdr e-11))) (vector 0 (CoreC-45FC-boundToFC arg-0 u--bs) e-14 e-6 e-10 e-15))))))))) (let ((e-1 (vector-ref u--bs 0))) e-1))))))))
(define IdrisC-45Parser-case_ (lambda (arg-0 arg-1) (vector 9 0 (vector 14 (vector 11 1 (IdrisC-45Parser-decoratedKeyword arg-0 "case") (lambda () (vector 9 1 (IdrisC-45Parser-expr (IdrisC-45Parser-pdef) arg-0 arg-1) (lambda () (lambda (u--scr) (vector 11 0 (vector 8 (IdrisC-45Parser-commitKeyword arg-0 arg-1 "of")) (lambda () (vector 10 0 0 (ParserC-45RuleC-45Source-block (lambda (eta-0) (IdrisC-45Parser-caseAlt arg-0 eta-0))) (lambda (u--alts) (vector 0 (cons u--scr u--alts)))))))))))) (lambda () (lambda (u--b) (vector 10 0 0 (vector 0 (let ((e-1 (vector-ref u--b 0))) e-1)) (lambda (_-0) (let ((e-2 (car _-0))) (let ((e-3 (cdr _-0))) (vector 0 (vector 4 (CoreC-45FC-virtualiseFC (CoreC-45FC-boundToFC arg-0 u--b)) e-2 e-3)))))))))))
(define IdrisC-45Parser-caseRHS (lambda (arg-1 arg-2 arg-3 arg-4) (vector 13 1 1 (vector 9 0 (vector 14 (vector 11 1 (IdrisC-45Parser-decoratedSymbol arg-1 "=>") (lambda () (vector 12 0 1 (ParserC-45RuleC-45Source-mustContinue arg-3 '()) (IdrisC-45Parser-typeExpr (IdrisC-45Parser-pdef) arg-1 arg-3))))) (lambda () (lambda (u--rhs) (vector 12 0 0 (ParserC-45RuleC-45Source-atEnd arg-3) (let ((u--fc (CoreC-45FC-boundToFC arg-1 (LibrariesC-45TextC-45Bounded-mergeBounds arg-2 u--rhs)))) (vector 0 (vector 0 u--fc arg-4 (let ((e-1 (vector-ref u--rhs 0))) e-1) '()))))))) (lambda () (vector 13 1 1 (vector 9 0 (vector 14 (IdrisC-45Parser-decoratedKeyword arg-1 "impossible")) (lambda () (lambda (u--end) (vector 12 0 0 (ParserC-45RuleC-45Source-atEnd arg-3) (vector 0 (vector 2 (CoreC-45FC-boundToFC arg-1 (LibrariesC-45TextC-45Bounded-mergeBounds arg-2 u--end)) arg-4)))))) (lambda () (vector 4 '() 1 "Expected '=>' or 'impossible'")))))))
(define IdrisC-45Parser-caseAlt (lambda (arg-0 arg-1) (vector 9 1 (vector 14 (IdrisC-45Parser-opExpr (IdrisC-45Parser-plhs) arg-0 arg-1)) (lambda () (lambda (u--lhs) (IdrisC-45Parser-caseRHS arg-0 u--lhs arg-1 (let ((e-1 (vector-ref u--lhs 0))) e-1)))))))
(define IdrisC-45Parser-builtinDecl (lambda (arg-0 arg-1) (vector 9 0 (vector 14 (vector 11 1 (IdrisC-45Parser-decoratedPragma arg-0 "builtin") (lambda () (csegen-3894)))) (lambda () (lambda (u--b) (vector 10 0 0 (vector 0 (let ((e-1 (vector-ref u--b 0))) e-1)) (lambda (_-0) (let ((e-2 (car _-0))) (let ((e-3 (cdr _-0))) (vector 0 (vector 16 (CoreC-45FC-boundToFC arg-0 u--b) e-2 e-3)))))))))))
(define IdrisC-45Parser-bracketedExpr (lambda (arg-1 arg-2 arg-3) (vector 13 1 1 (vector 9 0 (vector 14 (vector 9 1 (vector 14 (IdrisC-45Parser-iOperator)) (lambda () (lambda (u--op) (vector 9 1 (IdrisC-45Parser-expr (IdrisC-45Parser-pdef) arg-1 arg-3) (lambda () (lambda (u--e) (vector 11 0 (IdrisC-45Parser-continueWithDecorated arg-1 arg-3 ")") (lambda () (vector 0 (cons u--op u--e))))))))))) (lambda () (lambda (u--b) (vector 10 0 0 (vector 0 (let ((e-1 (vector-ref u--b 0))) e-1)) (lambda (_-0) (let ((e-2 (car _-0))) (let ((e-3 (cdr _-0))) (vector 12 0 0 (ParserC-45RuleC-45Source-actD (cons (CoreC-45FC-toNonEmptyFC (CoreC-45FC-boundToFC arg-1 arg-2)) (cons 4 '()))) (let ((u--fc (CoreC-45FC-boundToFC arg-1 (LibrariesC-45TextC-45Bounded-mergeBounds arg-2 u--b)))) (let ((u--opFC (CoreC-45FC-boundToFC arg-1 e-2))) (vector 0 (vector 29 u--fc u--opFC (let ((e-1 (vector-ref e-2 0))) e-1) e-3)))))))))))) (lambda () (vector 13 1 1 (vector 9 1 (csegen-5572) (lambda () (lambda (u--b) (vector 11 0 (IdrisC-45Parser-decoratedSymbol arg-1 ")") (lambda () (vector 12 0 0 (ParserC-45RuleC-45Source-actD (cons (CoreC-45FC-toNonEmptyFC (CoreC-45FC-boundToFC arg-1 arg-2)) (cons 4 '()))) (let ((u--projs (((csegen-25) (lambda (u--proj) (cons (CoreC-45FC-boundToFC arg-1 u--proj) (let ((e-1 (vector-ref u--proj 0))) e-1)))) (let ((e-1 (vector-ref u--b 0))) e-1)))) (vector 0 (vector 49 (CoreC-45FC-boundToFC arg-1 u--b) u--projs))))))))) (lambda () (vector 13 1 1 (vector 9 0 (vector 14 (IdrisC-45Parser-continueWith arg-3 ")")) (lambda () (lambda (u--b) (vector 0 (vector 42 (CoreC-45FC-boundToFC arg-1 (LibrariesC-45TextC-45Bounded-mergeBounds arg-2 u--b))))))) (lambda () (vector 13 1 1 (vector 10 1 0 ((csegen-2689) (vector 10 1 1 ((csegen-2689) (IdrisC-45Parser-dpairType arg-1 arg-2 arg-3)) (lambda (u--f) (((csegen-725) u--f) (IdrisC-45Parser-decorate arg-1 1 (ParserC-45RuleC-45Source-symbol ")")))))) (lambda (u--f) (((csegen-721) u--f) (ParserC-45RuleC-45Source-actD (cons (CoreC-45FC-toNonEmptyFC (CoreC-45FC-boundToFC arg-1 arg-2)) (cons 1 '())))))) (lambda () (vector 13 1 1 (vector 9 1 (vector 14 (IdrisC-45Parser-typeExpr (IdrisC-45Parser-pdef) arg-1 arg-3)) (lambda () (lambda (u--e) (vector 13 1 1 (vector 9 1 (vector 14 (ParserC-45RuleC-45Source-symbol "**")) (lambda () (lambda (u--loc) (vector 9 0 (vector 14 (vector 10 1 1 ((csegen-2689) (vector 13 1 1 (IdrisC-45Parser-nestedDpair arg-1 u--loc arg-3) (lambda () (IdrisC-45Parser-expr (IdrisC-45Parser-pdef) arg-1 arg-3)))) (csegen-5517))) (lambda () (lambda (u--rest) (vector 0 (vector 41 (CoreC-45FC-boundToFC arg-1 (LibrariesC-45TextC-45Bounded-mergeBounds arg-2 u--rest)) (CoreC-45FC-boundToFC arg-1 u--loc) (let ((e-1 (vector-ref u--e 0))) e-1) (vector 25 (CoreC-45FC-boundToFC arg-1 (LibrariesC-45TextC-45Bounded-mergeBounds arg-2 u--rest))) (let ((e-1 (vector-ref u--rest 0))) e-1))))))))) (lambda () (vector 13 1 1 (vector 9 0 (vector 14 (vector 10 1 1 ((csegen-2689) (vector 14 (IdrisC-45Parser-iOperator))) (lambda (u--f) (((csegen-725) u--f) (IdrisC-45Parser-decoratedSymbol arg-1 ")"))))) (lambda () (lambda (u--op) (vector 12 0 0 (ParserC-45RuleC-45Source-actD (cons (CoreC-45FC-toNonEmptyFC (CoreC-45FC-boundToFC arg-1 arg-2)) (cons 4 '()))) (let ((u--fc (CoreC-45FC-boundToFC arg-1 (LibrariesC-45TextC-45Bounded-mergeBounds arg-2 u--op)))) (let ((u--opFC (CoreC-45FC-boundToFC arg-1 (let ((e-1 (vector-ref u--op 0))) e-1)))) (vector 0 (vector 30 u--fc u--opFC (let ((e-1 (vector-ref u--e 0))) e-1) (let ((e-1 (vector-ref u--op 0))) (let ((e-6 (vector-ref e-1 0))) e-6)))))))))) (lambda () (IdrisC-45Parser-tuple arg-1 arg-2 arg-3 (let ((e-1 (vector-ref u--e 0))) e-1))))))))) (lambda () (vector 10 0 1 (LibrariesC-45TextC-45Parser-location) (lambda (u--here) (let ((u--fc (vector 0 arg-1 u--here u--here))) (let ((u--var (vector 0 u--fc (vector 2 "__leftTupleSection" 0)))) (vector 9 0 (vector 14 (IdrisC-45Parser-nonEmptyTuple arg-1 arg-2 arg-3 u--var)) (lambda () (lambda (u--ts) (vector 0 (vector 2 u--fc (AlgebraC-45ZeroOneOmega-u--top_Top_ZeroOneOmega) (vector 1 ) u--var (vector 26 u--fc) (let ((e-1 (vector-ref u--ts 0))) e-1))))))))))))))))))))))
(define IdrisC-45Parser-boundedNameDecoration (lambda (arg-0 arg-1 arg-2) (cons (cons arg-0 (cons (LibrariesC-45TextC-45Bounded-start arg-2) (LibrariesC-45TextC-45Bounded-end arg-2))) (cons arg-1 (box (let ((e-1 (vector-ref arg-2 0))) e-1))))))
(define IdrisC-45Parser-binder (lambda (arg-0 arg-1) (vector 13 1 1 (IdrisC-45Parser-autoImplicitPi arg-0 arg-1) (lambda () (vector 13 1 1 (IdrisC-45Parser-defaultImplicitPi arg-0 arg-1) (lambda () (vector 13 1 1 (IdrisC-45Parser-forall_ arg-0 arg-1) (lambda () (vector 13 1 1 (IdrisC-45Parser-implicitPi arg-0 arg-1) (lambda () (vector 13 1 1 (IdrisC-45Parser-explicitPi arg-0 arg-1) (lambda () (IdrisC-45Parser-lam arg-0 arg-1)))))))))))))
(define IdrisC-45Parser-bindSymbol (lambda (arg-0) (vector 13 1 1 (PreludeC-45Interfaces-C-36C-62 (csegen-729) (IdrisC-45Parser-decoratedSymbol arg-0 "->") (vector 1 )) (lambda () (PreludeC-45Interfaces-C-36C-62 (csegen-729) (IdrisC-45Parser-decoratedSymbol arg-0 "=>") (vector 2 ))))))
(define IdrisC-45Parser-bindList (lambda (arg-0 arg-1) (PreludeC-45Interfaces-C-60C-36C-62 (csegen-729) (lambda (eta-0) (DataC-45List1-forget eta-0)) (LibrariesC-45TextC-45Parser-sepBy1 1 (IdrisC-45Parser-decoratedSymbol arg-0 ",") (vector 10 0 1 (IdrisC-45Parser-multiplicity arg-0) (lambda (u--rig) (vector 9 0 (vector 14 (IdrisC-45Parser-simpleExpr arg-0 arg-1)) (lambda () (lambda (u--pat) (vector 10 0 0 (LibrariesC-45TextC-45Parser-option 1 (vector 26 (CoreC-45FC-boundToFC arg-0 u--pat)) (vector 10 1 1 ((csegen-726) (IdrisC-45Parser-decoratedSymbol arg-0 ":")) (lambda (u--f) (((csegen-725) u--f) (IdrisC-45Parser-opExpr (IdrisC-45Parser-pdef) arg-0 arg-1))))) (lambda (u--ty) (vector 0 (cons u--rig (cons u--pat u--ty))))))))))))))
(define IdrisC-45Parser-autoNumberArgCmd (lambda (arg-0 arg-1 arg-2) (cons (IdrisC-45Parser-n--31061-25431-u--names arg-2 arg-1 arg-0) (cons (vector 6 ) (cons arg-2 (IdrisC-45Parser-n--31061-25433-u--parse arg-2 arg-1 arg-0))))))
(define IdrisC-45Parser-autoImplicitPi (lambda (arg-0 arg-1) (vector 9 1 (vector 14 (vector 11 1 (IdrisC-45Parser-decoratedSymbol arg-0 "{") (lambda () (vector 11 1 (IdrisC-45Parser-decoratedKeyword arg-0 "auto") (lambda () (vector 12 0 1 (vector 7 ) (vector 9 1 (IdrisC-45Parser-pibindList arg-0 arg-1) (lambda () (lambda (u--binders) (vector 11 0 (IdrisC-45Parser-decoratedSymbol arg-0 "}") (lambda () (vector 0 u--binders)))))))))))) (lambda () (lambda (u--b) (vector 11 1 (LibrariesC-45TextC-45ParserC-45Core-mustWorkBecause 1 (let ((e-3 (vector-ref u--b 2))) e-3) "Cannot return an auto implicit argument" (IdrisC-45Parser-decoratedSymbol arg-0 "->")) (lambda () (vector 9 0 (vector 8 (IdrisC-45Parser-typeExpr (IdrisC-45Parser-pdef) arg-0 arg-1)) (lambda () (lambda (u--scope) (vector 0 (IdrisC-45Parser-pibindAll arg-0 (vector 2 ) (let ((e-1 (vector-ref u--b 0))) e-1) u--scope))))))))))))
(define IdrisC-45Parser-atom (lambda (arg-0) (vector 13 1 1 (vector 9 0 (vector 14 (IdrisC-45Parser-decorate arg-0 1 (ParserC-45RuleC-45Source-exactIdent "Type"))) (lambda () (lambda (u--x) (vector 0 (vector 22 (CoreC-45FC-boundToFC arg-0 u--x)))))) (lambda () (vector 13 1 1 (vector 9 0 (vector 14 (ParserC-45RuleC-45Source-name)) (lambda () (lambda (u--x) (vector 0 (vector 0 (CoreC-45FC-boundToFC arg-0 u--x) (let ((e-1 (vector-ref u--x 0))) e-1)))))) (lambda () (vector 13 1 1 (vector 9 0 (vector 14 (IdrisC-45Parser-dependentDecorate arg-0 (ParserC-45RuleC-45Source-constant) (lambda (u--c) (let ((sc0 (CoreC-45TT-isPrimType u--c))) (cond ((equal? sc0 1) 1) (else 3)))))) (lambda () (lambda (u--x) (vector 0 (vector 15 (CoreC-45FC-boundToFC arg-0 u--x) (let ((e-1 (vector-ref u--x 0))) e-1)))))) (lambda () (vector 13 1 1 (vector 9 0 (vector 14 (IdrisC-45Parser-decoratedSymbol arg-0 "_")) (lambda () (lambda (u--x) (vector 0 (vector 25 (CoreC-45FC-boundToFC arg-0 u--x)))))) (lambda () (vector 13 1 1 (vector 9 0 (vector 14 (ParserC-45RuleC-45Source-symbol "?")) (lambda () (lambda (u--x) (vector 0 (vector 26 (CoreC-45FC-boundToFC arg-0 u--x)))))) (lambda () (vector 13 1 1 (vector 9 0 (vector 14 (ParserC-45RuleC-45Source-holeName)) (lambda () (lambda (u--x) (vector 12 0 0 (ParserC-45RuleC-45Source-actH (let ((e-1 (vector-ref u--x 0))) e-1)) (vector 0 (vector 21 (CoreC-45FC-boundToFC arg-0 u--x) 0 (let ((e-1 (vector-ref u--x 0))) e-1))))))) (lambda () (vector 13 1 1 (vector 9 0 (vector 14 (IdrisC-45Parser-decorate arg-0 3 (ParserC-45RuleC-45Source-pragma "MkWorld"))) (lambda () (lambda (u--x) (vector 0 (vector 15 (CoreC-45FC-boundToFC arg-0 u--x) (vector 14 )))))) (lambda () (vector 13 1 1 (vector 9 0 (vector 14 (IdrisC-45Parser-decorate arg-0 1 (ParserC-45RuleC-45Source-pragma "World"))) (lambda () (lambda (u--x) (vector 0 (vector 15 (CoreC-45FC-boundToFC arg-0 u--x) (vector 13 13)))))) (lambda () (vector 9 0 (vector 14 (IdrisC-45Parser-decoratedPragma arg-0 "search")) (lambda () (lambda (u--x) (vector 0 (vector 14 (CoreC-45FC-boundToFC arg-0 u--x) 50)))))))))))))))))))))))
(define IdrisC-45Parser-argExpr (lambda (arg-0 arg-1 arg-2) (vector 13 1 1 (vector 12 0 1 (ParserC-45RuleC-45Source-continue arg-2) (vector 9 0 (IdrisC-45Parser-simpleExpr arg-1 arg-2) (lambda () (lambda (u--arg) (case (vector-ref u--arg 0) ((21) (let ((e-1 (vector-ref u--arg 1))) (let ((e-3 (vector-ref u--arg 3))) (vector 0 (cons (vector 0 (vector 21 e-1 1 e-3)) '())))))(else (vector 0 (cons (vector 0 u--arg) '())))))))) (lambda () (vector 13 1 1 (vector 12 0 1 (ParserC-45RuleC-45Source-continue arg-2) (IdrisC-45Parser-n--11981-7227-u--braceArgs arg-2 arg-1 arg-0 arg-1 arg-2)) (let ((sc0 (let ((e-1 (cdr arg-0))) e-1))) (cond ((equal? sc0 1) (lambda () (vector 12 0 1 (ParserC-45RuleC-45Source-continue arg-2) (vector 11 1 (IdrisC-45Parser-decoratedSymbol arg-1 "|") (lambda () (vector 9 0 (IdrisC-45Parser-expr (let ((e-0 (car arg-0))) (cons e-0 0)) arg-1 arg-2) (lambda () (lambda (u--arg) (vector 0 (cons (vector 3 u--arg) '())))))))))) (else (lambda () (vector 4 '() 0 "| not allowed here"))))))))))
(define IdrisC-45Parser-appExpr (lambda (arg-0 arg-1 arg-2) (vector 13 1 1 (IdrisC-45Parser-case_ arg-1 arg-2) (lambda () (vector 13 1 1 (IdrisC-45Parser-doBlock arg-1 arg-2) (lambda () (vector 13 1 1 (IdrisC-45Parser-lam arg-1 arg-2) (lambda () (vector 13 1 1 (IdrisC-45Parser-lazy arg-1 arg-2) (lambda () (vector 13 1 1 (IdrisC-45Parser-if_ arg-1 arg-2) (lambda () (vector 13 1 1 (IdrisC-45Parser-with_ arg-1 arg-2) (lambda () (vector 13 1 1 (vector 9 0 (vector 14 (vector 10 1 0 (PreludeC-45Interfaces-C-60C-36C-62 (csegen-729) (csegen-3736) (IdrisC-45Parser-simpleExpr arg-1 arg-2)) (lambda (u--f) (((csegen-721) u--f) (LibrariesC-45TextC-45Parser-many (IdrisC-45Parser-argExpr arg-0 arg-1 arg-2)))))) (lambda () (lambda (u--b) (vector 10 0 0 (vector 0 (let ((e-1 (vector-ref u--b 0))) e-1)) (lambda (_-0) (let ((e-2 (car _-0))) (let ((e-3 (cdr _-0))) (vector 0 (IdrisC-45Parser-n--11970-6957-u--applyExpImp arg-2 arg-1 arg-0 (LibrariesC-45TextC-45Bounded-start u--b) (LibrariesC-45TextC-45Bounded-end u--b) e-2 (PreludeC-45Interfaces-concat (csegen-83) (csegen-16) e-3)))))))))) (lambda () (vector 13 1 1 (vector 9 0 (vector 14 (vector 10 1 1 (PreludeC-45Interfaces-C-60C-36C-62 (csegen-729) (csegen-3736) (vector 14 (IdrisC-45Parser-iOperator))) (lambda (u--f) (((csegen-725) u--f) (IdrisC-45Parser-expr (IdrisC-45Parser-pdef) arg-1 arg-2))))) (lambda () (lambda (u--b) (vector 10 0 0 (vector 0 (let ((e-1 (vector-ref u--b 0))) e-1)) (lambda (_-0) (let ((e-2 (car _-0))) (let ((e-3 (cdr _-0))) (vector 0 (vector 28 (CoreC-45FC-boundToFC arg-1 u--b) (CoreC-45FC-boundToFC arg-1 e-2) (let ((e-1 (vector-ref e-2 0))) e-1) e-3))))))))) (lambda () (vector 4 '() 0 "Expected 'case', 'if', 'do', application or operator expression")))))))))))))))))))
(define IdrisC-45Parser-aPTerm(blodwen-lazy (lambda () (csegen-5487))))
(define IdrisC-45ParserC-45Let-case--mkDoLetsC-44buildDoLets-5365 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (let ((e-0 (vector-ref arg-5 0))) (let ((e-1 (vector-ref arg-5 1))) (let ((e-2 (vector-ref arg-5 2))) (let ((e-3 (vector-ref arg-5 3))) (let ((e-4 (vector-ref arg-5 4))) (case (vector-ref e-1 0) ((0) (let ((e-6 (vector-ref e-1 1))) (let ((e-7 (vector-ref e-1 2))) (case (vector-ref e-7 0) ((1) (let ((e-10 (vector-ref e-7 1))) (if (null? e-4) (cons (let ((sc3 (CoreC-45Name-isPatternVariable e-10))) (cond ((equal? sc3 1) (vector 3 arg-4 e-6 (vector 1 e-10) e-0 e-2 e-3)) (else (vector 4 arg-4 (vector 0 e-6 (vector 1 e-10)) e-2 e-3 '())))) (IdrisC-45ParserC-45Let-n--7983-5346-u--buildDoLets arg-0 arg-1 arg-3)) (cons (vector 4 arg-4 e-1 e-2 e-3 e-4) (IdrisC-45ParserC-45Let-n--7983-5346-u--buildDoLets arg-0 arg-1 arg-3)))))(else (cons (vector 4 arg-4 e-1 e-2 e-3 e-4) (IdrisC-45ParserC-45Let-n--7983-5346-u--buildDoLets arg-0 arg-1 arg-3))))))) ((25) (let ((e-9 (vector-ref e-1 1))) (if (null? e-4) (cons (vector 3 arg-4 e-9 (vector 1 (vector 2 )) e-0 e-2 e-3) (IdrisC-45ParserC-45Let-n--7983-5346-u--buildDoLets arg-0 arg-1 arg-3)) (cons (vector 4 arg-4 e-1 e-2 e-3 e-4) (IdrisC-45ParserC-45Let-n--7983-5346-u--buildDoLets arg-0 arg-1 arg-3)))))(else (cons (vector 4 arg-4 e-1 e-2 e-3 e-4) (IdrisC-45ParserC-45Let-n--7983-5346-u--buildDoLets arg-0 arg-1 arg-3)))))))))))
(define IdrisC-45ParserC-45Let-n--7805-5194-u--mkLet (lambda (arg-1 arg-2 arg-3 arg-4 arg-5) (case (vector-ref arg-5 0) ((0) (let ((e-2 (vector-ref arg-5 1))) (arg-4 (DataC-45List1-forget e-2)))) (else (let ((e-5 (vector-ref arg-5 1))) (let ((u--bounds (LibrariesC-45TextC-45Bounded-mergeBounds (let ((e-1 (car e-5))) e-1) (DataC-45List1-last e-5)))) (arg-3 ((PreludeC-45Interfaces-C-60C-36 (csegen-367) (PreludeC-45Interfaces-concatMap (csegen-83) (csegen-4960) (csegen-5966) e-5)) u--bounds))))))))
(define IdrisC-45ParserC-45Let-n--7805-5193-u--groups (lambda (arg-1 arg-2 arg-3 arg-4) (DataC-45Either-compress (DataC-45List1-forget (DataC-45List1-u--map_Functor_List1 (lambda (u--b) (let ((e-1 (vector-ref u--b 0))) (case (vector-ref e-1 0) ((0) (let ((e-4 (vector-ref e-1 1))) (vector 0 ((PreludeC-45Interfaces-C-60C-36 (csegen-367) e-4) u--b)))) (else (let ((e-5 (vector-ref e-1 1))) (vector 1 ((PreludeC-45Interfaces-C-60C-36 (csegen-367) e-5) u--b))))))) arg-2)))))
(define IdrisC-45ParserC-45Let-n--7919-5291-u--buildLets (lambda (arg-0 arg-1 arg-2) (if (null? arg-1) arg-2 (let ((e-2 (car arg-1))) (let ((e-3 (cdr arg-1))) (let ((e-1 (vector-ref e-2 0))) (let ((e-0 (vector-ref e-1 0))) (let ((e-9 (vector-ref e-1 1))) (let ((e-8 (vector-ref e-1 2))) (let ((e-7 (vector-ref e-1 3))) (let ((e-6 (vector-ref e-1 4))) (let ((u--fc (CoreC-45FC-virtualiseFC (CoreC-45FC-boundToFC arg-0 e-2)))) (vector 3 u--fc e-0 e-9 e-8 e-7 (IdrisC-45ParserC-45Let-n--7919-5291-u--buildLets arg-0 e-3 arg-2) e-6)))))))))))))
(define IdrisC-45ParserC-45Let-n--7983-5346-u--buildDoLets (lambda (arg-0 arg-1 arg-2) (if (null? arg-2) '() (let ((e-2 (car arg-2))) (let ((e-3 (cdr arg-2))) (let ((u--fc (CoreC-45FC-boundToFC arg-1 e-2))) (IdrisC-45ParserC-45Let-case--mkDoLetsC-44buildDoLets-5365 arg-0 arg-1 e-2 e-3 u--fc (let ((e-1 (vector-ref e-2 0))) e-1))))))))
(define IdrisC-45ParserC-45Let-mkLets (lambda (arg-0 ext-0 ext-1) (IdrisC-45ParserC-45Let-letFactory (lambda (eta-0) (lambda (eta-1) (IdrisC-45ParserC-45Let-n--7919-5291-u--buildLets arg-0 eta-0 eta-1))) (lambda (u--decls) (lambda (u--scope) (vector 5 (CoreC-45FC-virtualiseFC (CoreC-45FC-boundToFC arg-0 u--decls)) (let ((e-1 (vector-ref u--decls 0))) e-1) u--scope))) ext-0 ext-1)))
(define IdrisC-45ParserC-45Let-mkDoLets (lambda (arg-0 arg-1) (IdrisC-45ParserC-45Let-letFactory (lambda (u--binds) (lambda (u--rest) (PreludeC-45TypesC-45List-tailRecAppend (IdrisC-45ParserC-45Let-n--7983-5346-u--buildDoLets arg-1 arg-0 u--binds) u--rest))) (lambda (u--decls) (lambda (u--rest) (cons (vector 5 (CoreC-45FC-boundToFC arg-0 u--decls) (let ((e-1 (vector-ref u--decls 0))) e-1)) u--rest))) arg-1 '())))
(define IdrisC-45ParserC-45Let-letFactory (lambda (arg-1 arg-2 arg-3 arg-4) (PreludeC-45Types-u--foldr_Foldable_List (lambda (eta-0) (IdrisC-45ParserC-45Let-n--7805-5194-u--mkLet arg-4 arg-3 arg-2 arg-1 eta-0)) arg-4 (IdrisC-45ParserC-45Let-n--7805-5193-u--groups arg-4 arg-3 arg-2 arg-1))))
(define CompilerC-45InterpreterC-45VMCode-case--caseC-32blockC-32inC-32callFunc-4009 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12) (if (null? arg-12) (CompilerC-45InterpreterC-45VMCode-interpError arg-1 arg-4 (string-append "Unkown foreign function: " (CoreC-45Name-u--show_Show_Name arg-3))) (let ((e-2 (unbox arg-12))) (let ((e-5 (car e-2))) (let ((e-6 (cdr e-2))) (let ((sc2 (DataC-45Vect-toVect e-5 arg-2))) (if (null? sc2) (CompilerC-45InterpreterC-45VMCode-interpError arg-1 arg-4 (string-append "Wrong number of arguments, found: " (string-append (PreludeC-45Show-u--show_Show_Nat (PreludeC-45TypesC-45List-lengthTR arg-2)) (string-append ", expected: " (PreludeC-45Show-u--show_Show_Nat e-5))))) (let ((e-3 (unbox sc2))) (((e-6 arg-1) arg-4) e-3))))))))))
(define CompilerC-45InterpreterC-45VMCode-case--callFunc-3869 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9) (if (null? arg-9) (CompilerC-45InterpreterC-45VMCode-interpError arg-1 arg-4 (string-append "Undefined function: " (CoreC-45Name-u--show_Show_Name arg-3))) (let ((e-2 (unbox arg-9))) (case (vector-ref e-2 0) ((0) (let ((e-3 (vector-ref e-2 1))) (let ((e-4 (vector-ref e-2 2))) (let ((eff-0 (let ((sc2 (PreludeC-45Types-u--C-47C-61_Eq_Nat (PreludeC-45TypesC-45List-lengthTR e-3) (PreludeC-45TypesC-45List-lengthTR arg-2)))) (cond ((equal? sc2 1) (CompilerC-45InterpreterC-45VMCode-interpError arg-1 arg-4 (string-append "Unexpected argument count during function call, expected: " (string-append (PreludeC-45Show-u--show_Show_Nat (PreludeC-45TypesC-45List-lengthTR e-3)) (string-append ", found: " (PreludeC-45Show-u--show_Show_Nat (PreludeC-45TypesC-45List-lengthTR arg-2))))))) (else (lambda (eta-0) (vector 1 (vector 0 )))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((eff-1 (let ((eff-1 (CompilerC-45InterpreterC-45VMCode-beginFunction arg-1 (DataC-45List-u--zip_Zippable_List e-3 arg-2) e-4 (PreludeC-45Types-u--foldl_Foldable_List (lambda (eta-0) (lambda (eta-1) (PreludeC-45EqOrd-u--max_Ord_Int eta-0 eta-1))) -1 e-3)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-6 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Core-traverse_ (lambda (eta-0) (CompilerC-45InterpreterC-45VMCode-step arg-0 arg-7 arg-1 eta-0)) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-7 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((eff-3 (CompilerC-45InterpreterC-45VMCode-getReg arg-1 arg-7 (vector 0 )))) eff-3)))))))) eff-2))))))))) eff-1))))))))) ((1) (let ((e-5 (vector-ref e-2 1))) (let ((e-6 (vector-ref e-2 2))) (let ((e-7 (vector-ref e-2 3))) (CompilerC-45InterpreterC-45VMCode-case--caseC-32blockC-32inC-32callFunc-4009 arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 e-5 e-6 e-7 (LibrariesC-45DataC-45NameMap-lookup arg-3 (CompilerC-45InterpreterC-45VMCode-knownForeign))))))) (else (let ((e-8 (vector-ref e-2 1))) (let ((eff-0 (CoreC-45Core-traverse_ (lambda (eta-0) (CompilerC-45InterpreterC-45VMCode-step arg-0 arg-7 arg-1 eta-0)) e-8))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-1 (CompilerC-45InterpreterC-45VMCode-getReg arg-1 arg-7 (vector 0 )))) eff-1)))))))))))))
(define CompilerC-45InterpreterC-45VMCode-case--step-3181 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (if (null? arg-6) (CompilerC-45InterpreterC-45VMCode-interpError arg-1 arg-5 (string-append "EXTPRIM: Unkown foreign function: " (CoreC-45Name-u--show_Show_Name arg-3))) (let ((e-2 (unbox arg-6))) (let ((e-5 (car e-2))) (let ((e-6 (cdr e-2))) (let ((sc2 (DataC-45Vect-toVect e-5 arg-2))) (if (null? sc2) (CompilerC-45InterpreterC-45VMCode-interpError arg-1 arg-5 (string-append "EXTPRIM: Wrong number of arguments, found: " (string-append (PreludeC-45Show-u--show_Show_Nat (PreludeC-45TypesC-45List-lengthTR arg-2)) (string-append ", expected: " (PreludeC-45Show-u--show_Show_Nat e-5))))) (let ((e-3 (unbox sc2))) (let ((eff-0 (CoreC-45Core-traverseVect (lambda (eta-0) (CompilerC-45InterpreterC-45VMCode-getReg arg-1 arg-5 eta-0)) e-3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-7 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (((e-6 arg-1) arg-5) e-7))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-8 (vector-ref lcase-1 1))) (let ((eff-2 (CompilerC-45InterpreterC-45VMCode-setReg arg-1 arg-5 arg-4 e-8))) eff-2))))))))) eff-1))))))))))))))))
(define CompilerC-45InterpreterC-45VMCode-case--callPrim-2239 (lambda (arg-1 arg-2 arg-3 arg-4 arg-5) (case (vector-ref arg-5 0) ((1) (let ((e-2 (vector-ref arg-5 1))) (let ((sc1 ((CoreC-45Primitives-getOp arg-3 '()) (PreludeC-45Interfaces-C-60C-36C-62 (csegen-2280) (lambda (eta-0) (vector 8 (vector 2 ) eta-0)) e-2)))) (if (null? sc1) (CompilerC-45InterpreterC-45VMCode-interpError arg-1 arg-4 (string-append "OP: Error calling " (string-append (CoreC-45Name-u--show_Show_Name (CoreC-45Primitives-opName arg-3)) (string-append " with operands: " (DataC-45Vect-u--show_Show_C-40C-40VectC-32C-36lenC-41C-32C-36elemC-41 (csegen-2159) e-2))))) (let ((e-1 (unbox sc1))) (case (vector-ref e-1 0) ((8) (let ((e-4 (vector-ref e-1 2))) (lambda (eta-0) (vector 1 (vector 2 e-4)))))(else (CompilerC-45InterpreterC-45VMCode-interpError arg-1 arg-4 (string-append "OP: Error calling " (string-append (CoreC-45Name-u--show_Show_Name (CoreC-45Primitives-opName arg-3)) (string-append " with operands: " (DataC-45Vect-u--show_Show_C-40C-40VectC-32C-36lenC-41C-32C-36elemC-41 (csegen-2159) e-2)))))))))))) (else (let ((e-5 (vector-ref arg-5 1))) (CompilerC-45InterpreterC-45VMCode-interpError arg-1 arg-4 (string-append "OP: Expected Constant, found " (CompilerC-45InterpreterC-45VMCode-showType e-5))))))))
(define CompilerC-45InterpreterC-45VMCode-n--10499-2429-u--world (lambda (arg-0 arg-1 arg-2) (case (vector-ref arg-2 0) ((3) (lambda (eta-0) (vector 1 (vector 0 )))) ((2) (let ((e-0 (vector-ref arg-2 1))) (case (vector-ref e-0 0) ((14) (lambda (eta-0) (vector 1 (vector 0 ))))(else (CompilerC-45InterpreterC-45VMCode-interpError arg-0 arg-1 (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons "expected %MkWorld or Null, got " (cons (CompilerC-45InterpreterC-45VMCode-u--show_Show_Object arg-2) '()))))))))(else (CompilerC-45InterpreterC-45VMCode-interpError arg-0 arg-1 (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons "expected %MkWorld or Null, got " (cons (CompilerC-45InterpreterC-45VMCode-u--show_Show_Object arg-2) '()))))))))
(define CompilerC-45InterpreterC-45VMCode-n--9738-1705-u--showWithIndex (lambda (arg-1 arg-2 arg-3 arg-5 arg-6 arg-7) (if (null? arg-7) "" (let ((e-2 (car arg-7))) (let ((e-3 (cdr arg-7))) (string-append "  " (string-append (PreludeC-45Show-u--show_Show_Nat arg-5) (string-append ": " (string-append (let ((e-1 (car arg-6))) (e-1 e-2)) (string-append "\xa;" (CompilerC-45InterpreterC-45VMCode-n--9738-1705-u--showWithIndex arg-1 arg-2 arg-3 (+ arg-5 1) arg-6 e-3)))))))))))
(define CompilerC-45InterpreterC-45VMCode-n--10499-2433-u--prim_putStr (lambda (arg-0 arg-1 arg-2) (if (null? arg-2) (CompilerC-45InterpreterC-45VMCode-argError arg-0 arg-1 arg-2) (let ((e-2 (car arg-2))) (let ((e-3 (cdr arg-2))) (case (vector-ref e-2 0) ((2) (let ((e-4 (vector-ref e-2 1))) (case (vector-ref e-4 0) ((10) (let ((e-5 (vector-ref e-4 1))) (if (null? e-3) (CompilerC-45InterpreterC-45VMCode-argError arg-0 arg-1 arg-2) (let ((e-8 (car e-3))) (let ((e-9 (cdr e-3))) (if (null? e-9) (CoreC-45Core-C-42C-62 (CompilerC-45InterpreterC-45VMCode-n--10499-2429-u--world arg-0 arg-1 e-8) (let ((eff-0 (let ((eff-0 (PrimIO-io_bind (PreludeC-45IO-putStr (csegen-40) e-5) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-6 (vector-ref eta-3 1))) (vector 0 e-6))) (else (let ((e-6 (vector-ref eta-3 1))) (vector 1 (eta-2 e-6))))))))))) (lambda (arg-3) (lambda (arg-4) ((((eff-1 'erased) 'erased) arg-3) arg-4)))) (lambda (_-8679) (vector 0 )))) eff-0)))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-6 (vector-ref eta-3 1))) (vector 0 e-6))) (else (let ((e-6 (vector-ref eta-3 1))) (vector 1 (eta-2 e-6))))))))))) (lambda (arg-3) (lambda (arg-4) ((((eff-1 'erased) 'erased) arg-3) arg-4)))) (lambda (eta-0) (CompilerC-45InterpreterC-45VMCode-unit)))) eff-0))) (CompilerC-45InterpreterC-45VMCode-argError arg-0 arg-1 arg-2)))))))(else (CompilerC-45InterpreterC-45VMCode-argError arg-0 arg-1 arg-2)))))(else (CompilerC-45InterpreterC-45VMCode-argError arg-0 arg-1 arg-2))))))))
(define CompilerC-45InterpreterC-45VMCode-n--10499-2430-u--prim_putChar (lambda (arg-0 arg-1 arg-2) (if (null? arg-2) (CompilerC-45InterpreterC-45VMCode-argError arg-0 arg-1 arg-2) (let ((e-2 (car arg-2))) (let ((e-3 (cdr arg-2))) (case (vector-ref e-2 0) ((2) (let ((e-4 (vector-ref e-2 1))) (case (vector-ref e-4 0) ((11) (let ((e-5 (vector-ref e-4 1))) (if (null? e-3) (CompilerC-45InterpreterC-45VMCode-argError arg-0 arg-1 arg-2) (let ((e-8 (car e-3))) (let ((e-9 (cdr e-3))) (if (null? e-9) (CoreC-45Core-C-42C-62 (CompilerC-45InterpreterC-45VMCode-n--10499-2429-u--world arg-0 arg-1 e-8) (let ((eff-0 (let ((eff-0 (PrimIO-io_bind (PreludeC-45IO-putChar (csegen-40) e-5) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-6 (vector-ref eta-3 1))) (vector 0 e-6))) (else (let ((e-6 (vector-ref eta-3 1))) (vector 1 (eta-2 e-6))))))))))) (lambda (arg-3) (lambda (arg-4) ((((eff-1 'erased) 'erased) arg-3) arg-4)))) (lambda (_-8679) (vector 0 )))) eff-0)))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-6 (vector-ref eta-3 1))) (vector 0 e-6))) (else (let ((e-6 (vector-ref eta-3 1))) (vector 1 (eta-2 e-6))))))))))) (lambda (arg-3) (lambda (arg-4) ((((eff-1 'erased) 'erased) arg-3) arg-4)))) (lambda (eta-0) (CompilerC-45InterpreterC-45VMCode-unit)))) eff-0))) (CompilerC-45InterpreterC-45VMCode-argError arg-0 arg-1 arg-2)))))))(else (CompilerC-45InterpreterC-45VMCode-argError arg-0 arg-1 arg-2)))))(else (CompilerC-45InterpreterC-45VMCode-argError arg-0 arg-1 arg-2))))))))
(define CompilerC-45InterpreterC-45VMCode-n--10499-2432-u--prim_getStr (lambda (arg-0 arg-1 arg-2) (if (null? arg-2) (CompilerC-45InterpreterC-45VMCode-argError arg-0 arg-1 arg-2) (let ((e-2 (car arg-2))) (let ((e-3 (cdr arg-2))) (if (null? e-3) (CoreC-45Core-C-42C-62 (CompilerC-45InterpreterC-45VMCode-n--10499-2429-u--world arg-0 arg-1 e-2) (let ((eff-0 (csegen-2411))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-4 (vector-ref eta-3 1))) (vector 0 e-4))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-3) (lambda (arg-4) ((((eff-1 'erased) 'erased) arg-3) arg-4)))) (lambda (eta-0) (vector 2 (vector 10 eta-0))))) eff-0))) (CompilerC-45InterpreterC-45VMCode-argError arg-0 arg-1 arg-2)))))))
(define CompilerC-45InterpreterC-45VMCode-n--10499-2431-u--prim_getChar (lambda (arg-0 arg-1 arg-2) (if (null? arg-2) (CompilerC-45InterpreterC-45VMCode-argError arg-0 arg-1 arg-2) (let ((e-2 (car arg-2))) (let ((e-3 (cdr arg-2))) (if (null? e-3) (CoreC-45Core-C-42C-62 (CompilerC-45InterpreterC-45VMCode-n--10499-2429-u--world arg-0 arg-1 e-2) (let ((eff-0 (PrimIO-io_bind (PreludeC-45IO-getChar (csegen-40)) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-4 (vector-ref eta-3 1))) (vector 0 e-4))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-3) (lambda (arg-4) ((((eff-1 'erased) 'erased) arg-3) arg-4)))) (lambda (eta-0) (vector 2 (vector 11 eta-0))))) eff-0))) (CompilerC-45InterpreterC-45VMCode-argError arg-0 arg-1 arg-2)))))))
(define CompilerC-45InterpreterC-45VMCode-n--11012-3470-u--matchConst (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9) (if (null? arg-8) (if (null? arg-9) (CompilerC-45InterpreterC-45VMCode-interpError arg-1 arg-6 "CONSTCASE: Missing matching alternative or default") (let ((e-6 (unbox arg-9))) (CoreC-45Core-traverse_ (lambda (eta-0) (CompilerC-45InterpreterC-45VMCode-step arg-0 arg-6 arg-1 eta-0)) e-6))) (let ((e-2 (car arg-8))) (let ((e-3 (cdr arg-8))) (let ((e-9 (car e-2))) (let ((e-10 (cdr e-2))) (let ((sc2 (CoreC-45TT-u--C-61C-61_Eq_Constant arg-7 e-9))) (cond ((equal? sc2 1) (CoreC-45Core-traverse_ (lambda (eta-0) (CompilerC-45InterpreterC-45VMCode-step arg-0 arg-6 arg-1 eta-0)) e-10)) (else (CompilerC-45InterpreterC-45VMCode-n--11012-3470-u--matchConst arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-3 arg-9)))))))))))
(define CompilerC-45InterpreterC-45VMCode-n--11012-3307-u--matchCon (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9) (if (null? arg-8) (if (null? arg-9) (CompilerC-45InterpreterC-45VMCode-interpError arg-1 arg-6 "CASE: Missing matching alternative or default") (let ((e-6 (unbox arg-9))) (CoreC-45Core-traverse_ (lambda (eta-0) (CompilerC-45InterpreterC-45VMCode-step arg-0 arg-6 arg-1 eta-0)) e-6))) (let ((e-2 (car arg-8))) (let ((e-3 (cdr arg-8))) (let ((e-9 (car e-2))) (let ((e-10 (cdr e-2))) (let ((sc2 (PreludeC-45Types-u--C-61C-61_Eq_C-40C-40EitherC-32C-36aC-41C-32C-36bC-41 (cons (csegen-290) (csegen-1008)) arg-7 e-9))) (cond ((equal? sc2 1) (CoreC-45Core-traverse_ (lambda (eta-0) (CompilerC-45InterpreterC-45VMCode-step arg-0 arg-6 arg-1 eta-0)) e-10)) (else (CompilerC-45InterpreterC-45VMCode-n--11012-3307-u--matchCon arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-3 arg-9)))))))))))
(define CompilerC-45InterpreterC-45VMCode-n--10237-2210-u--getConst (lambda (arg-1 arg-2 arg-3 arg-4 arg-5) (case (vector-ref arg-5 0) ((2) (let ((e-0 (vector-ref arg-5 1))) (vector 1 e-0)))(else (vector 0 arg-5)))))
(define CompilerC-45InterpreterC-45VMCode-u--show_Show_Object (lambda (ext-0) (CompilerC-45InterpreterC-45VMCode-showDepth 5 ext-0)))
(define CompilerC-45InterpreterC-45VMCode-u--showPrec_Show_Object (lambda (arg-0 arg-1) (CompilerC-45InterpreterC-45VMCode-u--show_Show_Object arg-1)))
(define CompilerC-45InterpreterC-45VMCode-unit(blodwen-lazy (lambda () (vector 2 (vector 0 0)))))
(define CompilerC-45InterpreterC-45VMCode-step (lambda (arg-0 arg-1 arg-2 arg-3) (case (vector-ref arg-3 0) ((0) (lambda (eta-0) (vector 1 (vector 0 )))) ((1) (lambda (eta-0) (vector 1 (vector 0 )))) ((2) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((eff-0 (CompilerC-45InterpreterC-45VMCode-getReg arg-2 arg-1 e-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CompilerC-45InterpreterC-45VMCode-setReg arg-2 arg-1 e-1 e-5))) eff-1)))))))))) ((3) (let ((e-3 (vector-ref arg-3 1))) (let ((e-4 (vector-ref arg-3 2))) (let ((e-5 (vector-ref arg-3 3))) (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45InterpreterC-45VMCode-getReg arg-2 arg-1 eta-0)) e-5 '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (CompilerC-45InterpreterC-45VMCode-setReg arg-2 arg-1 e-3 (vector 1 e-4 e-6)))) eff-1))))))))))) ((4) (let ((e-6 (vector-ref arg-3 1))) (let ((e-7 (vector-ref arg-3 2))) (let ((e-8 (vector-ref arg-3 3))) (let ((e-9 (vector-ref arg-3 4))) (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45InterpreterC-45VMCode-getReg arg-2 arg-1 eta-0)) e-9 '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CompilerC-45InterpreterC-45VMCode-setReg arg-2 arg-1 e-6 (vector 0 (DataC-45Nat-pred e-8) (PreludeC-45TypesC-45SnocList-C-60C-62C-60 '() e-5) e-7)))) eff-1)))))))))))) ((5) (let ((e-10 (vector-ref arg-3 1))) (let ((e-11 (vector-ref arg-3 2))) (CompilerC-45InterpreterC-45VMCode-setReg arg-2 arg-1 e-10 (vector 2 e-11))))) ((6) (let ((e-12 (vector-ref arg-3 1))) (let ((e-13 (vector-ref arg-3 2))) (let ((e-14 (vector-ref arg-3 3))) (let ((eff-0 (CompilerC-45InterpreterC-45VMCode-getReg arg-2 arg-1 e-13))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CompilerC-45InterpreterC-45VMCode-getReg arg-2 arg-1 e-14))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (case (vector-ref e-5 0) ((0) (let ((e-0 (vector-ref e-5 1))) (let ((e-1 (vector-ref e-5 2))) (let ((e-2 (vector-ref e-5 3))) (cond ((equal? e-0 0) (let ((eff-2 (CompilerC-45InterpreterC-45VMCode-callFunc arg-0 arg-2 arg-1 e-2 (PreludeC-45TypesC-45SnocList-C-60C-62C-62 e-1 (cons e-6 '()))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-3 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (CompilerC-45InterpreterC-45VMCode-setReg arg-2 arg-1 e-12 e-7))) eff-3))))))))(else (let ((e-3 (- e-0 1))) (CompilerC-45InterpreterC-45VMCode-setReg arg-2 arg-1 e-12 (vector 0 e-3 (cons e-1 e-6) e-2)))))))))(else (CompilerC-45InterpreterC-45VMCode-interpError arg-2 arg-1 (string-append ((csegen-0) "APPLY: While applying ") (string-append (CompilerC-45VMCode-u--show_Show_Reg e-13) (string-append ((csegen-0) ", expected closure, found: ") (CompilerC-45InterpreterC-45VMCode-u--show_Show_Object e-5))))))))) eff-2))))))))) eff-1))))))))))) ((7) (let ((e-15 (vector-ref arg-3 1))) (let ((e-17 (vector-ref arg-3 3))) (let ((e-18 (vector-ref arg-3 4))) (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45InterpreterC-45VMCode-getReg arg-2 arg-1 eta-0)) e-18 '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CompilerC-45InterpreterC-45VMCode-callFunc arg-0 arg-2 arg-1 e-17 e-5))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CompilerC-45InterpreterC-45VMCode-setReg arg-2 arg-1 e-15 e-6))) eff-2))))))))) eff-1))))))))))) ((8) (let ((e-20 (vector-ref arg-3 1))) (let ((e-21 (vector-ref arg-3 2))) (let ((e-22 (vector-ref arg-3 3))) (let ((eff-0 (CoreC-45Core-traverseVect (lambda (eta-0) (CompilerC-45InterpreterC-45VMCode-getReg arg-2 arg-1 eta-0)) e-22))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CompilerC-45InterpreterC-45VMCode-callPrim arg-2 arg-1 e-21 e-5))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CompilerC-45InterpreterC-45VMCode-setReg arg-2 arg-1 e-20 e-6))) eff-2))))))))) eff-1))))))))))) ((9) (let ((e-23 (vector-ref arg-3 1))) (let ((e-24 (vector-ref arg-3 2))) (let ((e-25 (vector-ref arg-3 3))) (CompilerC-45InterpreterC-45VMCode-case--step-3181 arg-0 arg-2 e-25 e-24 e-23 arg-1 (LibrariesC-45DataC-45NameMap-lookup e-24 (CompilerC-45InterpreterC-45VMCode-knownExtern))))))) ((10) (let ((e-26 (vector-ref arg-3 1))) (let ((e-27 (vector-ref arg-3 2))) (let ((e-28 (vector-ref arg-3 3))) (let ((eff-0 (CompilerC-45InterpreterC-45VMCode-getReg arg-2 arg-1 e-26))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (case (vector-ref e-5 0) ((1) (let ((e-0 (vector-ref e-5 1))) (CompilerC-45InterpreterC-45VMCode-n--11012-3307-u--matchCon arg-0 arg-2 e-28 e-27 e-26 arg-1 arg-1 e-0 e-27 e-28)))(else (CompilerC-45InterpreterC-45VMCode-interpError arg-2 arg-1 (string-append "CASE: Expected Constructor, found " (CompilerC-45InterpreterC-45VMCode-showType e-5))))))) eff-1))))))))))) ((11) (let ((e-29 (vector-ref arg-3 1))) (let ((e-30 (vector-ref arg-3 2))) (let ((e-31 (vector-ref arg-3 3))) (let ((eff-0 (CompilerC-45InterpreterC-45VMCode-getReg arg-2 arg-1 e-29))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (case (vector-ref e-5 0) ((2) (let ((e-0 (vector-ref e-5 1))) (CompilerC-45InterpreterC-45VMCode-n--11012-3470-u--matchConst arg-0 arg-2 e-31 e-30 e-29 arg-1 arg-1 e-0 e-30 e-31)))(else (CompilerC-45InterpreterC-45VMCode-interpError arg-2 arg-1 (string-append "CONSTCASE: Expected Constant, found " (CompilerC-45InterpreterC-45VMCode-showType e-5))))))) eff-1))))))))))) ((12) (let ((e-32 (vector-ref arg-3 1))) (let ((e-33 (vector-ref arg-3 2))) (let ((e-34 (vector-ref arg-3 3))) (let ((eff-0 (CompilerC-45InterpreterC-45VMCode-getReg arg-2 arg-1 e-33))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (case (vector-ref e-5 0) ((1) (let ((e-0 (vector-ref e-5 1))) (let ((e-1 (vector-ref e-5 2))) (let ((u--valObj (vector 1 e-0 e-1))) (let ((sc3 (CompilerC-45InterpreterC-45VMCode-indexMaybe e-1 e-34))) (if (null? sc3) (CompilerC-45InterpreterC-45VMCode-interpError arg-2 arg-1 (string-append "PROJECT: Unable to project index " (string-append (PreludeC-45Show-u--show_Show_Int e-34) (string-append ", missing arguments for constructor:\xa;" (CompilerC-45InterpreterC-45VMCode-u--show_Show_Object u--valObj))))) (let ((e-2 (unbox sc3))) (CompilerC-45InterpreterC-45VMCode-setReg arg-2 arg-1 e-32 e-2))))))))(else (CompilerC-45InterpreterC-45VMCode-interpError arg-2 arg-1 (string-append "PROJECT: Expected Constructor, found " (CompilerC-45InterpreterC-45VMCode-showType e-5))))))) eff-1))))))))))) ((13) (let ((e-35 (vector-ref arg-3 1))) (CompilerC-45InterpreterC-45VMCode-setReg arg-2 arg-1 e-35 (vector 3 )))) (else (let ((e-36 (vector-ref arg-3 1))) (CompilerC-45InterpreterC-45VMCode-interpError arg-2 arg-1 (string-append "ERROR: " e-36)))))))
(define CompilerC-45InterpreterC-45VMCode-showType (lambda (arg-0) (case (vector-ref arg-0 0) ((0) "Closure") ((1) "Constructor") ((2) "Constant") (else "Null"))))
(define CompilerC-45InterpreterC-45VMCode-showSep (lambda (arg-0 arg-1) (if (null? arg-1) "" (let ((e-2 (car arg-1))) (let ((e-3 (cdr arg-1))) (if (null? e-3) (CompilerC-45InterpreterC-45VMCode-showDepth arg-0 e-2) (string-append (CompilerC-45InterpreterC-45VMCode-showDepth arg-0 e-2) (string-append ", " (CompilerC-45InterpreterC-45VMCode-showSep arg-0 e-3)))))))))
(define CompilerC-45InterpreterC-45VMCode-showDepth (lambda (arg-0 arg-1) (cond ((equal? arg-0 0) (CompilerC-45InterpreterC-45VMCode-showType arg-1))(else (let ((e-0 (- arg-0 1))) (case (vector-ref arg-1 0) ((0) (let ((e-1 (vector-ref arg-1 1))) (let ((e-2 (vector-ref arg-1 2))) (let ((e-3 (vector-ref arg-1 3))) (string-append (CoreC-45Name-u--show_Show_Name e-3) (string-append "-" (string-append (PreludeC-45Show-u--show_Show_Nat e-1) (string-append "(" (string-append (CompilerC-45InterpreterC-45VMCode-showSep e-0 (PreludeC-45TypesC-45SnocList-C-60C-62C-62 e-2 '())) ")"))))))))) ((1) (let ((e-4 (vector-ref arg-1 1))) (let ((e-5 (vector-ref arg-1 2))) (case (vector-ref e-4 0) ((0) (let ((e-9 (vector-ref e-4 1))) (string-append "tag" (string-append (PreludeC-45Show-u--show_Show_Int e-9) (string-append "(" (string-append (CompilerC-45InterpreterC-45VMCode-showSep e-0 e-5) ")"))))))(else (CompilerC-45InterpreterC-45VMCode-showType arg-1)))))) ((2) (let ((e-6 (vector-ref arg-1 1))) (CoreC-45TT-u--show_Show_Constant e-6)))(else (CompilerC-45InterpreterC-45VMCode-showType arg-1))))))))
(define CompilerC-45InterpreterC-45VMCode-setReg (lambda (arg-0 arg-1 arg-2 arg-3) (case (vector-ref arg-2 0) ((0) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (let ((e-0 (vector-ref e-5 0))) (let ((e-1 (vector-ref e-5 1))) (vector e-0 e-1 (box arg-3))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-1)))))))) ((1) (let ((e-0 (vector-ref arg-2 1))) (let ((eff-0 (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-4) (lambda (arg-5) ((((eff-1 'erased) 'erased) arg-4) arg-5)))) (csegen-5973))) eff-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((sc2 (PreludeC-45EqOrd-u--C-62C-61_Ord_Int e-0 (LibrariesC-45DataC-45IOArray-max e-5)))) (cond ((equal? sc2 1) (CompilerC-45InterpreterC-45VMCode-interpError arg-0 arg-1 (string-append "Attempt to set register: " (string-append (PreludeC-45Show-u--show_Show_Int e-0) (string-append ", size of locals: " (PreludeC-45Show-u--show_Show_Int (LibrariesC-45DataC-45IOArray-max e-5))))))) (else (lambda (eta-0) (vector 1 (vector 0 )))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (PrimIO-io_bind (LibrariesC-45DataC-45IOArray-writeArray (csegen-40) e-5 e-0 arg-3) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) eff-2)))))))) eff-1))))))))) (else (lambda (eta-0) (vector 1 (vector 0 )))))))
(define CompilerC-45InterpreterC-45VMCode-saveLocals (lambda (arg-1 arg-2) (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 arg-2)) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (let ((eff-2 arg-1)) (PrimIO-io_bind (let ((eff-3 eff-2)) (lambda (eta-0) (set-box! eff-3 e-5))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (lambda (eta-0) (vector 1 e-6)))) eff-3)))))))) eff-2))))))))) eff-1)))))))))
(define CompilerC-45InterpreterC-45VMCode-knownForeign(blodwen-lazy (lambda () (LibrariesC-45DataC-45NameMap-fromList (cons (cons (CompilerC-45InterpreterC-45VMCode-NS_UN (CoreC-45NameC-45Namespace-ioNS) "prim__putChar") (cons 2 (lambda (conArg-2766) (lambda (eta-0) (lambda (eta-1) (CompilerC-45InterpreterC-45VMCode-n--10499-2430-u--prim_putChar conArg-2766 eta-0 eta-1)))))) (cons (cons (CompilerC-45InterpreterC-45VMCode-NS_UN (CoreC-45NameC-45Namespace-ioNS) "prim__getChar") (cons 1 (lambda (conArg-2748) (lambda (eta-0) (lambda (eta-1) (CompilerC-45InterpreterC-45VMCode-n--10499-2431-u--prim_getChar conArg-2748 eta-0 eta-1)))))) (cons (cons (CompilerC-45InterpreterC-45VMCode-NS_UN (CoreC-45NameC-45Namespace-ioNS) "prim__getStr") (cons 1 (lambda (conArg-2730) (lambda (eta-0) (lambda (eta-1) (CompilerC-45InterpreterC-45VMCode-n--10499-2432-u--prim_getStr conArg-2730 eta-0 eta-1)))))) (cons (cons (CompilerC-45InterpreterC-45VMCode-NS_UN (CoreC-45NameC-45Namespace-ioNS) "prim__putStr") (cons 2 (lambda (conArg-2712) (lambda (eta-0) (lambda (eta-1) (CompilerC-45InterpreterC-45VMCode-n--10499-2433-u--prim_putStr conArg-2712 eta-0 eta-1)))))) '()))))))))
(define CompilerC-45InterpreterC-45VMCode-knownExtern(blodwen-lazy (lambda () (LibrariesC-45DataC-45NameMap-empty))))
(define CompilerC-45InterpreterC-45VMCode-interpError (lambda (arg-1 arg-2 arg-3) (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((e-1 (vector-ref e-5 1))) (let ((e-2 (vector-ref e-5 2))) (let ((eff-1 (PrimIO-io_bind (LibrariesC-45DataC-45IOArray-toList (csegen-40) e-1) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-3 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 (string-append ((csegen-0) "Interpreter Error in ") (string-append (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-100) (DataC-45List-take 10 arg-2)) (string-append ":\xa;" (string-append arg-3 (string-append ((csegen-0) "\xa;\xa;locals:\xa;") (string-append (CompilerC-45InterpreterC-45VMCode-n--9738-1705-u--showWithIndex arg-1 arg-3 arg-2 0 (cons (lambda (u--x) (PreludeC-45Show-u--show_Show_C-40MaybeC-32C-36aC-41 (csegen-5998) u--x)) (lambda (u--d) (lambda (u--x) (PreludeC-45Show-u--showPrec_Show_C-40MaybeC-32C-36aC-41 (csegen-5998) u--d u--x)))) e-6) (string-append ((csegen-0) "\xa;return:\xa;  ") (PreludeC-45Show-u--show_Show_C-40MaybeC-32C-36aC-41 (csegen-5998) e-2))))))))) eta-0)))) eff-2))))))))))) eff-1)))))))))
(define CompilerC-45InterpreterC-45VMCode-initInterpState (lambda (arg-0) (let ((u--defs (LibrariesC-45DataC-45NameMap-fromList arg-0))) (let ((eff-0 (PrimIO-io_bind (LibrariesC-45DataC-45IOArray-newArray (csegen-40) 0) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--returnObj (lambda (eta-0) '()))) (lambda (eta-0) (vector 1 (vector u--defs e-5 (u--returnObj 'erased))))))) eff-1))))))))))
(define CompilerC-45InterpreterC-45VMCode-indexMaybe (lambda (arg-1 arg-2) (if (null? arg-1) '() (let ((e-2 (car arg-1))) (let ((e-3 (cdr arg-1))) (let ((sc1 (PreludeC-45EqOrd-u--C-60C-61_Ord_Int arg-2 0))) (cond ((equal? sc1 1) (box e-2)) (else (CompilerC-45InterpreterC-45VMCode-indexMaybe e-3 (bs- arg-2 1 63))))))))))
(define CompilerC-45InterpreterC-45VMCode-getReg (lambda (arg-0 arg-1 arg-2) (case (vector-ref arg-2 0) ((1) (let ((e-0 (vector-ref arg-2 1))) (let ((eff-0 (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-3) (lambda (arg-4) ((((eff-1 'erased) 'erased) arg-3) arg-4)))) (csegen-5973))) eff-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (PrimIO-io_bind (LibrariesC-45DataC-45IOArray-readArray (csegen-40) e-5 e-0) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-6) (CompilerC-45InterpreterC-45VMCode-interpError arg-0 arg-1 (string-append ((csegen-0) "Missing local ") (PreludeC-45Show-u--show_Show_Int e-0))) (let ((e-1 (unbox e-6))) (lambda (eta-0) (vector 1 e-1)))))) eff-2))))))))) eff-1))))))))) ((0) (let ((eff-0 (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-3) (lambda (arg-4) ((((eff-1 'erased) 'erased) arg-3) arg-4)))) (lambda (eta-0) (let ((e-2 (vector-ref eta-0 2))) e-2)))) eff-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (if (null? e-5) (CompilerC-45InterpreterC-45VMCode-interpError arg-0 arg-1 ((csegen-0) "Missing returnObj val")) (let ((e-1 (unbox e-5))) (lambda (eta-0) (vector 1 e-1)))))) eff-1)))))))) (else (lambda (eta-0) (vector 1 (vector 3 )))))))
(define CompilerC-45InterpreterC-45VMCode-executeExpr (lambda (arg-0 arg-1 arg-2 arg-3) (let ((eff-0 (CompilerC-45Common-getCompileData arg-0 0 3 arg-3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 (CompilerC-45InterpreterC-45VMCode-initInterpState (let ((e-6 (vector-ref e-5 5))) e-6)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45Core-newRef (vector "Compiler.Interpreter.VMCode.State" ) e-6))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45InterpreterC-45VMCode-callFunc arg-0 e-6 '() (vector 2 "__mainExpression" 0) '()))) (((csegen-50) ((let ((eff-3 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-7 (vector-ref eta-3 1))) (vector 1 (eta-2 e-7))))))))))) (lambda (arg-4) (lambda (arg-5) ((((eff-3 'erased) 'erased) arg-4) arg-5)))) (lambda (_-8679) (vector 0 )))) eff-2)))) eff-2))))))))) eff-1)))))))))
(define CompilerC-45InterpreterC-45VMCode-compileExpr (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 ext-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 "compile not implemeted for vmcode-interp") ext-0)))
(define CompilerC-45InterpreterC-45VMCode-codegenVMCodeInterp(blodwen-lazy (lambda () (vector (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (lambda (eta-4) (lambda (eta-5) (lambda (eta-6) (CompilerC-45InterpreterC-45VMCode-compileExpr eta-0 eta-1 eta-2 eta-3 eta-4 eta-5 eta-6)))))))) (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (CompilerC-45InterpreterC-45VMCode-executeExpr eta-0 eta-1 eta-2 eta-3))))) '() '()))))
(define CompilerC-45InterpreterC-45VMCode-callPrim (lambda (arg-1 arg-2 arg-3 arg-4) (case (vector-ref arg-3 0) ((37) (if (null? arg-4) (CompilerC-45InterpreterC-45VMCode-case--callPrim-2239 arg-1 arg-4 arg-3 arg-2 (DataC-45Vect-u--traverse_Traversable_C-40VectC-32C-36kC-41 (vector (lambda (u--b) (lambda (u--a) (lambda (u--func) (lambda (arg-8737) (case (vector-ref arg-8737 0) ((0) (let ((e-2 (vector-ref arg-8737 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref arg-8737 1))) (vector 1 (u--func e-5))))))))) (lambda (u--a) (lambda (arg-9440) (vector 1 arg-9440))) (lambda (u--b) (lambda (u--a) (lambda (arg-9446) (lambda (arg-9453) (case (vector-ref arg-9446 0) ((0) (let ((e-2 (vector-ref arg-9446 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref arg-9446 1))) (case (vector-ref arg-9453 0) ((1) (let ((e-8 (vector-ref arg-9453 1))) (vector 1 (e-5 e-8)))) (else (let ((e-11 (vector-ref arg-9453 1))) (vector 0 e-11)))))))))))) (lambda (eta-0) (CompilerC-45InterpreterC-45VMCode-n--10237-2210-u--getConst arg-1 arg-4 arg-3 arg-2 eta-0)) arg-4)) (let ((e-3 (cdr arg-4))) (if (null? e-3) (CompilerC-45InterpreterC-45VMCode-case--callPrim-2239 arg-1 arg-4 arg-3 arg-2 (DataC-45Vect-u--traverse_Traversable_C-40VectC-32C-36kC-41 (vector (lambda (u--b) (lambda (u--a) (lambda (u--func) (lambda (arg-8737) (case (vector-ref arg-8737 0) ((0) (let ((e-4 (vector-ref arg-8737 1))) (vector 0 e-4))) (else (let ((e-5 (vector-ref arg-8737 1))) (vector 1 (u--func e-5))))))))) (lambda (u--a) (lambda (arg-9440) (vector 1 arg-9440))) (lambda (u--b) (lambda (u--a) (lambda (arg-9446) (lambda (arg-9453) (case (vector-ref arg-9446 0) ((0) (let ((e-4 (vector-ref arg-9446 1))) (vector 0 e-4))) (else (let ((e-5 (vector-ref arg-9446 1))) (case (vector-ref arg-9453 0) ((1) (let ((e-8 (vector-ref arg-9453 1))) (vector 1 (e-5 e-8)))) (else (let ((e-11 (vector-ref arg-9453 1))) (vector 0 e-11)))))))))))) (lambda (eta-0) (CompilerC-45InterpreterC-45VMCode-n--10237-2210-u--getConst arg-1 arg-4 arg-3 arg-2 eta-0)) arg-4)) (let ((e-7 (cdr e-3))) (if (null? e-7) (CompilerC-45InterpreterC-45VMCode-case--callPrim-2239 arg-1 arg-4 arg-3 arg-2 (DataC-45Vect-u--traverse_Traversable_C-40VectC-32C-36kC-41 (vector (lambda (u--b) (lambda (u--a) (lambda (u--func) (lambda (arg-8737) (case (vector-ref arg-8737 0) ((0) (let ((e-4 (vector-ref arg-8737 1))) (vector 0 e-4))) (else (let ((e-5 (vector-ref arg-8737 1))) (vector 1 (u--func e-5))))))))) (lambda (u--a) (lambda (arg-9440) (vector 1 arg-9440))) (lambda (u--b) (lambda (u--a) (lambda (arg-9446) (lambda (arg-9453) (case (vector-ref arg-9446 0) ((0) (let ((e-4 (vector-ref arg-9446 1))) (vector 0 e-4))) (else (let ((e-5 (vector-ref arg-9446 1))) (case (vector-ref arg-9453 0) ((1) (let ((e-8 (vector-ref arg-9453 1))) (vector 1 (e-5 e-8)))) (else (let ((e-11 (vector-ref arg-9453 1))) (vector 0 e-11)))))))))))) (lambda (eta-0) (CompilerC-45InterpreterC-45VMCode-n--10237-2210-u--getConst arg-1 arg-4 arg-3 arg-2 eta-0)) arg-4)) (let ((e-10 (car e-7))) (let ((e-11 (cdr e-7))) (if (null? e-11) (lambda (eta-0) (vector 1 e-10)) (CompilerC-45InterpreterC-45VMCode-case--callPrim-2239 arg-1 arg-4 arg-3 arg-2 (DataC-45Vect-u--traverse_Traversable_C-40VectC-32C-36kC-41 (vector (lambda (u--b) (lambda (u--a) (lambda (u--func) (lambda (arg-8737) (case (vector-ref arg-8737 0) ((0) (let ((e-4 (vector-ref arg-8737 1))) (vector 0 e-4))) (else (let ((e-5 (vector-ref arg-8737 1))) (vector 1 (u--func e-5))))))))) (lambda (u--a) (lambda (arg-9440) (vector 1 arg-9440))) (lambda (u--b) (lambda (u--a) (lambda (arg-9446) (lambda (arg-9453) (case (vector-ref arg-9446 0) ((0) (let ((e-4 (vector-ref arg-9446 1))) (vector 0 e-4))) (else (let ((e-5 (vector-ref arg-9446 1))) (case (vector-ref arg-9453 0) ((1) (let ((e-8 (vector-ref arg-9453 1))) (vector 1 (e-5 e-8)))) (else (let ((e-12 (vector-ref arg-9453 1))) (vector 0 e-12)))))))))))) (lambda (eta-0) (CompilerC-45InterpreterC-45VMCode-n--10237-2210-u--getConst arg-1 arg-4 arg-3 arg-2 eta-0)) arg-4)))))))))))(else (CompilerC-45InterpreterC-45VMCode-case--callPrim-2239 arg-1 arg-4 arg-3 arg-2 (DataC-45Vect-u--traverse_Traversable_C-40VectC-32C-36kC-41 (vector (lambda (u--b) (lambda (u--a) (lambda (u--func) (lambda (arg-8737) (case (vector-ref arg-8737 0) ((0) (let ((e-2 (vector-ref arg-8737 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref arg-8737 1))) (vector 1 (u--func e-5))))))))) (lambda (u--a) (lambda (arg-9440) (vector 1 arg-9440))) (lambda (u--b) (lambda (u--a) (lambda (arg-9446) (lambda (arg-9453) (case (vector-ref arg-9446 0) ((0) (let ((e-2 (vector-ref arg-9446 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref arg-9446 1))) (case (vector-ref arg-9453 0) ((1) (let ((e-8 (vector-ref arg-9453 1))) (vector 1 (e-5 e-8)))) (else (let ((e-11 (vector-ref arg-9453 1))) (vector 0 e-11)))))))))))) (lambda (eta-0) (CompilerC-45InterpreterC-45VMCode-n--10237-2210-u--getConst arg-1 arg-4 arg-3 arg-2 eta-0)) arg-4))))))
(define CompilerC-45InterpreterC-45VMCode-callFunc (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (CompilerC-45InterpreterC-45VMCode-saveLocals arg-1 (let ((eff-0 (CoreC-45ContextC-45Log-unverifiedLogging arg-0 "compiler.interpreter" 25))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--ind (cond ((equal? e-5 1) (PreludeC-45Types-pack ((PreludeC-45Interfaces-C-60C-36 (csegen-24) (csegen-839)) arg-2))) (else (csegen-1))))) (let ((eff-1 (cond ((equal? e-5 1) (PrimIO-io_bind (PreludeC-45IO-putStrLn (csegen-40) (string-append u--ind (string-append "Calling " (string-append (CoreC-45Name-u--show_Show_Name arg-3) (string-append " with args: " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-5998) arg-4)))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))) (else (lambda (eta-0) (vector 1 (vector 0 ))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((u--stkC-39 (cons arg-3 arg-2))) (let ((eff-2 (let ((eff-2 (let ((eff-2 arg-1)) (PrimIO-io_bind (let ((eff-3 eff-2)) (lambda (eta-0) (unbox eff-3))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (((csegen-50) ((let ((eff-3 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-7 (vector-ref eta-3 1))) (vector 1 (eta-2 e-7))))))))))) (lambda (arg-5) (lambda (arg-6) ((((eff-3 'erased) 'erased) arg-5) arg-6)))) (lambda (eta-0) (let ((e-0 (vector-ref eta-0 0))) e-0)))) eff-2)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CompilerC-45InterpreterC-45VMCode-case--callFunc-3869 arg-0 arg-1 arg-4 arg-3 arg-2 e-5 u--ind u--stkC-39 e-7 (LibrariesC-45DataC-45NameMap-lookup arg-3 e-7)))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (cond ((equal? e-5 1) (PrimIO-io_bind (PreludeC-45IO-putStrLn (csegen-40) (string-append u--ind (string-append "Result: " (CompilerC-45InterpreterC-45VMCode-u--show_Show_Object e-8)))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))) (else (lambda (eta-0) (vector 1 (vector 0 ))))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-5 (lambda (eta-0) (vector 1 e-8)))) eff-5)))))))) eff-4))))))))) eff-3)))))))))) eff-2))))))))) eff-1))))))))))
(define CompilerC-45InterpreterC-45VMCode-beginFunction (lambda (arg-0 arg-1 arg-2 arg-3) (if (null? arg-2) (lambda (eta-0) (vector 1 arg-2)) (let ((e-1 (car arg-2))) (let ((e-2 (cdr arg-2))) (case (vector-ref e-1 0) ((0) (let ((e-3 (vector-ref e-1 1))) (case (vector-ref e-3 0) ((1) (let ((e-4 (vector-ref e-3 1))) (CompilerC-45InterpreterC-45VMCode-beginFunction arg-0 arg-1 e-2 (PreludeC-45EqOrd-u--max_Ord_Int e-4 arg-3))))(else (CompilerC-45InterpreterC-45VMCode-beginFunction arg-0 arg-1 e-2 arg-3))))) ((1) (let ((eff-0 (PrimIO-io_bind (LibrariesC-45DataC-45IOArray-newArray (csegen-40) (bs+ arg-3 1 63)) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 (CoreC-45Core-traverseC-39 (lambda (lamc-0) (let ((e-4 (car lamc-0))) (let ((e-3 (cdr lamc-0))) (PrimIO-io_bind (LibrariesC-45DataC-45IOArray-writeArray (csegen-40) e-5 e-4 e-3) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) arg-1 '()))) (((csegen-50) ((let ((eff-2 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-3 (vector-ref eta-3 1))) (vector 0 e-3))) (else (let ((e-6 (vector-ref eta-3 1))) (vector 1 (eta-2 e-6))))))))))) (lambda (arg-4) (lambda (arg-5) ((((eff-2 'erased) 'erased) arg-4) arg-5)))) (lambda (_-8679) (vector 0 )))) eff-1)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-3 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-2 (let ((eff-2 (let ((eff-2 (let ((eff-2 arg-0)) (PrimIO-io_bind (let ((eff-3 eff-2)) (lambda (eta-0) (unbox eff-3))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-3 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 arg-0)) (PrimIO-io_bind (let ((eff-4 eff-3)) (lambda (eta-0) (set-box! eff-4 (let ((e-0 (vector-ref e-7 0))) (vector e-0 e-5 '()))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-3))))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-3 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-3 (lambda (eta-0) (vector 1 e-2)))) eff-3)))))))) eff-2)))))))) eff-1))))))))(else (lambda (eta-0) (vector 1 arg-2)))))))))
(define CompilerC-45InterpreterC-45VMCode-argError (lambda (arg-2 arg-3 arg-4) (CompilerC-45InterpreterC-45VMCode-interpError arg-2 arg-3 (string-append "Unexpected arguments: " (DataC-45Vect-u--foldMap_Foldable_C-40VectC-32C-36nC-41 (csegen-85) (lambda (eta-0) (string-append " " (CompilerC-45InterpreterC-45VMCode-showDepth 1 eta-0))) arg-4)))))
(define CompilerC-45InterpreterC-45VMCode-NS_UN (lambda (arg-0 arg-1) (vector 0 arg-0 (vector 1 (vector 0 arg-1)))))
(define CompilerC-45ESC-45Javascript-htmlHeader(blodwen-lazy (lambda () (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons "<html>\xa;  <head>\xa;    <meta charset='utf-8'>\xa;  </head>\xa;  <body>\xa;    <script type='text/javascript'>\xa;" '())))))
(define CompilerC-45ESC-45Javascript-htmlFooter(blodwen-lazy (lambda () (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons "\xa;    </script>\xa;  </body>\xa;</html>" '())))))
(define CompilerC-45ESC-45Javascript-executeExpr (lambda (arg-0 arg-1 arg-2 arg-3 ext-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 "Javascript backend is only able to compile, use Node instead") ext-0)))
(define CompilerC-45ESC-45Javascript-compileToJS (lambda (arg-0 arg-1 arg-2) (CompilerC-45ESC-45Codegen-compileToES arg-0 arg-1 (vector 5 ) arg-2 (cons "browser" (cons "javascript" '())))))
(define CompilerC-45ESC-45Javascript-compileExpr (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (let ((eff-0 (CompilerC-45ESC-45Javascript-compileToJS arg-0 arg-1 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--res (CompilerC-45ESC-45Javascript-addHeaderAndFooter arg-5 e-5))) (let ((u--out (LibrariesC-45UtilsC-45Path-C-60C-47C-62 arg-3 arg-5))) (let ((eff-1 (CoreC-45Core-writeFile u--out u--res))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (lambda (eta-0) (vector 1 (box u--out))))) eff-2)))))))))) eff-1)))))))))
(define CompilerC-45ESC-45Javascript-codegenJavascript(blodwen-lazy (lambda () (vector (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (lambda (eta-4) (lambda (eta-5) (CompilerC-45ESC-45Javascript-compileExpr eta-0 eta-1 eta-2 eta-3 eta-4 eta-5))))))) (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (lambda (eta-4) (CompilerC-45ESC-45Javascript-executeExpr eta-0 eta-1 eta-2 eta-3 eta-4)))))) '() '()))))
(define CompilerC-45ESC-45Javascript-addHeaderAndFooter (lambda (arg-0 arg-1) (let ((sc0 (PreludeC-45Interfaces-C-60C-36C-62 (csegen-76) (lambda (eta-0) (DataC-45String-toLower eta-0)) (LibrariesC-45UtilsC-45Path-extension arg-0)))) (if (null? sc0) arg-1 (let ((e-1 (unbox sc0))) (cond ((equal? e-1 "html") (string-append (CompilerC-45ESC-45Javascript-htmlHeader) (string-append arg-1 (CompilerC-45ESC-45Javascript-htmlFooter))))(else arg-1)))))))
(define CompilerC-45ESC-45Codegen-case--validJSName-8304 (lambda (arg-0 arg-1) (cond ((equal? arg-0 "") (if (null? arg-1) (lambda () 1) (let ((e-0 (car arg-1))) (lambda () (let ((sc3 (PreludeC-45Types-isDigit e-0))) (cond ((equal? sc3 1) 0) (else 1)))))))(else (let ((e-0 (car arg-1))) (lambda () (let ((sc1 (PreludeC-45Types-isDigit e-0))) (cond ((equal? sc1 1) 0) (else 1)))))))))
(define CompilerC-45ESC-45Codegen-case--caseC-32blockC-32inC-32caseC-32blockC-32inC-32makeForeign-5805 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8) (let ((e-2 (car arg-8))) (let ((e-3 (cdr arg-8))) (let ((eff-0 (CoreC-45Directory-readDataFile arg-4 (string-append "js/" (string-append e-3 ".js"))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CompilerC-45ESC-45State-addToPreamble arg-3 e-3 e-5))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-2 (lambda (eta-0) (vector 1 (CompilerC-45ESC-45Codegen-constant arg-5 (vector 4 (string-append e-3 (string-append "_" e-2)))))))) eff-2)))))))) eff-1)))))))))))
(define CompilerC-45ESC-45Codegen-case--castInt-4586 (lambda (arg-0 arg-1 arg-2 arg-3) (if (null? arg-3) (lambda (eta-0) (CompilerC-45ESC-45State-errorConcat (cons "invalid cast: + " (cons (CoreC-45TT-u--show_Show_PrimType arg-2) (cons " + ' -> ' + " (cons (CoreC-45TT-u--show_Show_PrimType arg-1) '())))) eta-0)) (let ((e-2 (car arg-3))) (let ((e-3 (cdr arg-3))) (if (null? e-2) (lambda (eta-0) (CompilerC-45ESC-45State-errorConcat (cons "invalid cast: + " (cons (CoreC-45TT-u--show_Show_PrimType arg-2) (cons " + ' -> ' + " (cons (CoreC-45TT-u--show_Show_PrimType arg-1) '())))) eta-0)) (let ((e-6 (car e-2))) (let ((e-7 (cdr e-2))) (cond ((equal? e-6 11) (if (null? e-3) (if (null? e-7) (lambda (eta-0) (CompilerC-45ESC-45State-errorConcat (cons "invalid cast: + " (cons (CoreC-45TT-u--show_Show_PrimType arg-2) (cons " + ' -> ' + " (cons (CoreC-45TT-u--show_Show_PrimType arg-1) '())))) eta-0)) (let ((e-9 (unbox e-7))) (if (null? e-3) (lambda (eta-0) (CompilerC-45ESC-45State-errorConcat (cons "invalid cast: + " (cons (CoreC-45TT-u--show_Show_PrimType arg-2) (cons " + ' -> ' + " (cons (CoreC-45TT-u--show_Show_PrimType arg-1) '())))) eta-0)) (let ((e-12 (car e-3))) (let ((e-13 (cdr e-3))) (cond ((equal? e-12 11) (lambda (eta-0) (vector 1 (CompilerC-45ESC-45Codegen-jsCharOfInt e-9 arg-0)))) ((equal? e-12 10) (lambda (eta-0) (vector 1 (CompilerC-45ESC-45Codegen-jsAnyToString arg-0)))) ((equal? e-12 12) (lambda (eta-0) (vector 1 ((CompilerC-45ESC-45Codegen-fromInt e-9) arg-0))))(else (if (null? e-13) (lambda (eta-0) (CompilerC-45ESC-45State-errorConcat (cons "invalid cast: + " (cons (CoreC-45TT-u--show_Show_PrimType arg-2) (cons " + ' -> ' + " (cons (CoreC-45TT-u--show_Show_PrimType arg-1) '())))) eta-0)) (let ((e-15 (unbox e-13))) (CompilerC-45ESC-45Codegen-n--12848-4092-u--intImpl arg-0 arg-1 arg-2 e-9 e-15)))))))))) (let ((e-19 (cdr e-3))) (if (null? e-19) (if (null? e-7) (lambda (eta-0) (CompilerC-45ESC-45State-errorConcat (cons "invalid cast: + " (cons (CoreC-45TT-u--show_Show_PrimType arg-2) (cons " + ' -> ' + " (cons (CoreC-45TT-u--show_Show_PrimType arg-1) '())))) eta-0)) (let ((e-9 (unbox e-7))) (if (null? e-3) (lambda (eta-0) (CompilerC-45ESC-45State-errorConcat (cons "invalid cast: + " (cons (CoreC-45TT-u--show_Show_PrimType arg-2) (cons " + ' -> ' + " (cons (CoreC-45TT-u--show_Show_PrimType arg-1) '())))) eta-0)) (let ((e-12 (car e-3))) (let ((e-13 (cdr e-3))) (cond ((equal? e-12 11) (lambda (eta-0) (vector 1 (CompilerC-45ESC-45Codegen-jsCharOfInt e-9 arg-0)))) ((equal? e-12 10) (lambda (eta-0) (vector 1 (CompilerC-45ESC-45Codegen-jsAnyToString arg-0)))) ((equal? e-12 12) (lambda (eta-0) (vector 1 ((CompilerC-45ESC-45Codegen-fromInt e-9) arg-0))))(else (if (null? e-13) (lambda (eta-0) (CompilerC-45ESC-45State-errorConcat (cons "invalid cast: + " (cons (CoreC-45TT-u--show_Show_PrimType arg-2) (cons " + ' -> ' + " (cons (CoreC-45TT-u--show_Show_PrimType arg-1) '())))) eta-0)) (let ((e-15 (unbox e-13))) (CompilerC-45ESC-45Codegen-n--12848-4092-u--intImpl arg-0 arg-1 arg-2 e-9 e-15)))))))))) (let ((e-21 (unbox e-19))) ((CompilerC-45ESC-45Codegen-n--12848-4089-u--truncInt arg-0 arg-1 arg-2 (CompilerC-45ESC-45Codegen-useBigInt e-21) e-21) (CompilerC-45ESC-45Codegen-jsIntOfChar e-21 arg-0))))))) ((equal? e-6 10) (if (null? e-3) (if (null? e-7) (lambda (eta-0) (CompilerC-45ESC-45State-errorConcat (cons "invalid cast: + " (cons (CoreC-45TT-u--show_Show_PrimType arg-2) (cons " + ' -> ' + " (cons (CoreC-45TT-u--show_Show_PrimType arg-1) '())))) eta-0)) (let ((e-9 (unbox e-7))) (if (null? e-3) (lambda (eta-0) (CompilerC-45ESC-45State-errorConcat (cons "invalid cast: + " (cons (CoreC-45TT-u--show_Show_PrimType arg-2) (cons " + ' -> ' + " (cons (CoreC-45TT-u--show_Show_PrimType arg-1) '())))) eta-0)) (let ((e-12 (car e-3))) (let ((e-13 (cdr e-3))) (cond ((equal? e-12 11) (lambda (eta-0) (vector 1 (CompilerC-45ESC-45Codegen-jsCharOfInt e-9 arg-0)))) ((equal? e-12 10) (lambda (eta-0) (vector 1 (CompilerC-45ESC-45Codegen-jsAnyToString arg-0)))) ((equal? e-12 12) (lambda (eta-0) (vector 1 ((CompilerC-45ESC-45Codegen-fromInt e-9) arg-0))))(else (if (null? e-13) (lambda (eta-0) (CompilerC-45ESC-45State-errorConcat (cons "invalid cast: + " (cons (CoreC-45TT-u--show_Show_PrimType arg-2) (cons " + ' -> ' + " (cons (CoreC-45TT-u--show_Show_PrimType arg-1) '())))) eta-0)) (let ((e-15 (unbox e-13))) (CompilerC-45ESC-45Codegen-n--12848-4092-u--intImpl arg-0 arg-1 arg-2 e-9 e-15)))))))))) (let ((e-25 (cdr e-3))) (if (null? e-25) (if (null? e-7) (lambda (eta-0) (CompilerC-45ESC-45State-errorConcat (cons "invalid cast: + " (cons (CoreC-45TT-u--show_Show_PrimType arg-2) (cons " + ' -> ' + " (cons (CoreC-45TT-u--show_Show_PrimType arg-1) '())))) eta-0)) (let ((e-9 (unbox e-7))) (if (null? e-3) (lambda (eta-0) (CompilerC-45ESC-45State-errorConcat (cons "invalid cast: + " (cons (CoreC-45TT-u--show_Show_PrimType arg-2) (cons " + ' -> ' + " (cons (CoreC-45TT-u--show_Show_PrimType arg-1) '())))) eta-0)) (let ((e-12 (car e-3))) (let ((e-13 (cdr e-3))) (cond ((equal? e-12 11) (lambda (eta-0) (vector 1 (CompilerC-45ESC-45Codegen-jsCharOfInt e-9 arg-0)))) ((equal? e-12 10) (lambda (eta-0) (vector 1 (CompilerC-45ESC-45Codegen-jsAnyToString arg-0)))) ((equal? e-12 12) (lambda (eta-0) (vector 1 ((CompilerC-45ESC-45Codegen-fromInt e-9) arg-0))))(else (if (null? e-13) (lambda (eta-0) (CompilerC-45ESC-45State-errorConcat (cons "invalid cast: + " (cons (CoreC-45TT-u--show_Show_PrimType arg-2) (cons " + ' -> ' + " (cons (CoreC-45TT-u--show_Show_PrimType arg-1) '())))) eta-0)) (let ((e-15 (unbox e-13))) (CompilerC-45ESC-45Codegen-n--12848-4092-u--intImpl arg-0 arg-1 arg-2 e-9 e-15)))))))))) (let ((e-27 (unbox e-25))) ((CompilerC-45ESC-45Codegen-n--12848-4089-u--truncInt arg-0 arg-1 arg-2 (CompilerC-45ESC-45Codegen-useBigInt e-27) e-27) ((CompilerC-45ESC-45Codegen-jsIntOfString e-27) arg-0))))))) ((equal? e-6 12) (if (null? e-3) (if (null? e-7) (lambda (eta-0) (CompilerC-45ESC-45State-errorConcat (cons "invalid cast: + " (cons (CoreC-45TT-u--show_Show_PrimType arg-2) (cons " + ' -> ' + " (cons (CoreC-45TT-u--show_Show_PrimType arg-1) '())))) eta-0)) (let ((e-9 (unbox e-7))) (if (null? e-3) (lambda (eta-0) (CompilerC-45ESC-45State-errorConcat (cons "invalid cast: + " (cons (CoreC-45TT-u--show_Show_PrimType arg-2) (cons " + ' -> ' + " (cons (CoreC-45TT-u--show_Show_PrimType arg-1) '())))) eta-0)) (let ((e-12 (car e-3))) (let ((e-13 (cdr e-3))) (cond ((equal? e-12 11) (lambda (eta-0) (vector 1 (CompilerC-45ESC-45Codegen-jsCharOfInt e-9 arg-0)))) ((equal? e-12 10) (lambda (eta-0) (vector 1 (CompilerC-45ESC-45Codegen-jsAnyToString arg-0)))) ((equal? e-12 12) (lambda (eta-0) (vector 1 ((CompilerC-45ESC-45Codegen-fromInt e-9) arg-0))))(else (if (null? e-13) (lambda (eta-0) (CompilerC-45ESC-45State-errorConcat (cons "invalid cast: + " (cons (CoreC-45TT-u--show_Show_PrimType arg-2) (cons " + ' -> ' + " (cons (CoreC-45TT-u--show_Show_PrimType arg-1) '())))) eta-0)) (let ((e-15 (unbox e-13))) (CompilerC-45ESC-45Codegen-n--12848-4092-u--intImpl arg-0 arg-1 arg-2 e-9 e-15)))))))))) (let ((e-31 (cdr e-3))) (if (null? e-31) (if (null? e-7) (lambda (eta-0) (CompilerC-45ESC-45State-errorConcat (cons "invalid cast: + " (cons (CoreC-45TT-u--show_Show_PrimType arg-2) (cons " + ' -> ' + " (cons (CoreC-45TT-u--show_Show_PrimType arg-1) '())))) eta-0)) (let ((e-9 (unbox e-7))) (if (null? e-3) (lambda (eta-0) (CompilerC-45ESC-45State-errorConcat (cons "invalid cast: + " (cons (CoreC-45TT-u--show_Show_PrimType arg-2) (cons " + ' -> ' + " (cons (CoreC-45TT-u--show_Show_PrimType arg-1) '())))) eta-0)) (let ((e-12 (car e-3))) (let ((e-13 (cdr e-3))) (cond ((equal? e-12 11) (lambda (eta-0) (vector 1 (CompilerC-45ESC-45Codegen-jsCharOfInt e-9 arg-0)))) ((equal? e-12 10) (lambda (eta-0) (vector 1 (CompilerC-45ESC-45Codegen-jsAnyToString arg-0)))) ((equal? e-12 12) (lambda (eta-0) (vector 1 ((CompilerC-45ESC-45Codegen-fromInt e-9) arg-0))))(else (if (null? e-13) (lambda (eta-0) (CompilerC-45ESC-45State-errorConcat (cons "invalid cast: + " (cons (CoreC-45TT-u--show_Show_PrimType arg-2) (cons " + ' -> ' + " (cons (CoreC-45TT-u--show_Show_PrimType arg-1) '())))) eta-0)) (let ((e-15 (unbox e-13))) (CompilerC-45ESC-45Codegen-n--12848-4092-u--intImpl arg-0 arg-1 arg-2 e-9 e-15)))))))))) (let ((e-33 (unbox e-31))) ((CompilerC-45ESC-45Codegen-n--12848-4089-u--truncInt arg-0 arg-1 arg-2 (CompilerC-45ESC-45Codegen-useBigInt e-33) e-33) (CompilerC-45ESC-45Codegen-jsIntOfDouble e-33 arg-0)))))))(else (if (null? e-7) (lambda (eta-0) (CompilerC-45ESC-45State-errorConcat (cons "invalid cast: + " (cons (CoreC-45TT-u--show_Show_PrimType arg-2) (cons " + ' -> ' + " (cons (CoreC-45TT-u--show_Show_PrimType arg-1) '())))) eta-0)) (let ((e-9 (unbox e-7))) (if (null? e-3) (lambda (eta-0) (CompilerC-45ESC-45State-errorConcat (cons "invalid cast: + " (cons (CoreC-45TT-u--show_Show_PrimType arg-2) (cons " + ' -> ' + " (cons (CoreC-45TT-u--show_Show_PrimType arg-1) '())))) eta-0)) (let ((e-12 (car e-3))) (let ((e-13 (cdr e-3))) (cond ((equal? e-12 11) (lambda (eta-0) (vector 1 (CompilerC-45ESC-45Codegen-jsCharOfInt e-9 arg-0)))) ((equal? e-12 10) (lambda (eta-0) (vector 1 (CompilerC-45ESC-45Codegen-jsAnyToString arg-0)))) ((equal? e-12 12) (lambda (eta-0) (vector 1 ((CompilerC-45ESC-45Codegen-fromInt e-9) arg-0))))(else (if (null? e-13) (lambda (eta-0) (CompilerC-45ESC-45State-errorConcat (cons "invalid cast: + " (cons (CoreC-45TT-u--show_Show_PrimType arg-2) (cons " + ' -> ' + " (cons (CoreC-45TT-u--show_Show_PrimType arg-1) '())))) eta-0)) (let ((e-15 (unbox e-13))) (CompilerC-45ESC-45Codegen-n--12848-4092-u--intImpl arg-0 arg-1 arg-2 e-9 e-15))))))))))))))))))))
(define CompilerC-45ESC-45Codegen-case--castIntC-44intImpl-4259 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (let ((e-2 (car arg-7))) (let ((e-3 (cdr arg-7))) (case (vector-ref e-3 0) ((0) (let ((e-10 (vector-ref e-3 1))) (if (null? e-10) (lambda (eta-0) (vector 1 arg-5)) (case (vector-ref e-2 0) ((0) (let ((e-4 (vector-ref e-2 1))) (case (vector-ref e-3 0) ((0) (let ((e-6 (vector-ref e-3 1))) (let ((sc5 (CoreC-45TT-u--C-62C-61_Ord_Precision e-6 e-4))) (cond ((equal? sc5 1) (lambda (eta-0) (vector 1 arg-5))) (else arg-6))))) (else (let ((sc5 (CompilerC-45ESC-45Codegen-useBigInt arg-4))) (cond ((equal? sc5 0) (let ((sc6 (CompilerC-45ESC-45Codegen-useBigInt arg-3))) (cond ((equal? sc6 1) ((CompilerC-45ESC-45Codegen-n--12848-4089-u--truncInt arg-0 arg-1 arg-2 1 arg-3) (CompilerC-45ESC-45Codegen-toBigInt arg-0)))(else arg-6))))(else arg-6))))))) (else (let ((e-5 (vector-ref e-2 1))) (case (vector-ref e-3 0) ((1) (let ((e-8 (vector-ref e-3 1))) (let ((sc5 (PreludeC-45EqOrd-u--C-62C-61_Ord_Int e-8 e-5))) (cond ((equal? sc5 1) (lambda (eta-0) (vector 1 arg-5))) (else arg-6))))) (else (let ((e-9 (vector-ref e-3 1))) (let ((sc5 (CoreC-45TT-u--C-62_Ord_Precision e-9 (box e-5)))) (cond ((equal? sc5 1) (lambda (eta-0) (vector 1 arg-5))) (else arg-6))))))))))))(else (case (vector-ref e-2 0) ((0) (let ((e-4 (vector-ref e-2 1))) (case (vector-ref e-3 0) ((0) (let ((e-6 (vector-ref e-3 1))) (let ((sc3 (CoreC-45TT-u--C-62C-61_Ord_Precision e-6 e-4))) (cond ((equal? sc3 1) (lambda (eta-0) (vector 1 arg-5))) (else arg-6))))) (else (let ((sc3 (CompilerC-45ESC-45Codegen-useBigInt arg-4))) (cond ((equal? sc3 0) (let ((sc4 (CompilerC-45ESC-45Codegen-useBigInt arg-3))) (cond ((equal? sc4 1) ((CompilerC-45ESC-45Codegen-n--12848-4089-u--truncInt arg-0 arg-1 arg-2 1 arg-3) (CompilerC-45ESC-45Codegen-toBigInt arg-0)))(else arg-6))))(else arg-6))))))) (else (let ((e-5 (vector-ref e-2 1))) (case (vector-ref e-3 0) ((1) (let ((e-8 (vector-ref e-3 1))) (let ((sc3 (PreludeC-45EqOrd-u--C-62C-61_Ord_Int e-8 e-5))) (cond ((equal? sc3 1) (lambda (eta-0) (vector 1 arg-5))) (else arg-6))))) (else (let ((e-9 (vector-ref e-3 1))) (let ((sc3 (CoreC-45TT-u--C-62_Ord_Precision e-9 (box e-5)))) (cond ((equal? sc3 1) (lambda (eta-0) (vector 1 arg-5))) (else arg-6)))))))))))))))
(define CompilerC-45ESC-45Codegen-case--jsMod-4007 (lambda (arg-0 arg-1 arg-2 arg-3) (if (null? arg-3) (CompilerC-45ESC-45Codegen-integerOp "mod" arg-1 arg-0) (let ((e-1 (unbox arg-3))) (case (vector-ref e-1 0) ((0) (let ((e-2 (vector-ref e-1 1))) (if (null? e-2) (CompilerC-45ESC-45Codegen-integerOp "mod" arg-1 arg-0) (let ((e-4 (unbox e-2))) (let ((sc3 (CompilerC-45ESC-45Codegen-useBigIntC-39 e-4))) (cond ((equal? sc3 1) (CompilerC-45ESC-45Codegen-integerOp "mod" arg-1 arg-0)) (else (CompilerC-45ESC-45Codegen-callFun "_mod" (cons arg-1 (cons arg-0 '())))))))))) ((1) (CompilerC-45ESC-45Codegen-binOp "%" arg-1 arg-0))(else (CompilerC-45ESC-45Codegen-integerOp "mod" arg-1 arg-0)))))))
(define CompilerC-45ESC-45Codegen-n--17169-8265-u--validNameChar (lambda (arg-0 arg-1) (let ((sc0 (PreludeC-45Types-isAlphaNum arg-1))) (cond ((equal? sc0 1) 1) (else (let ((sc1 (PreludeC-45EqOrd-u--C-61C-61_Eq_Char arg-1 #\_))) (cond ((equal? sc1 1) 1) (else (PreludeC-45EqOrd-u--C-61C-61_Eq_Char arg-1 #\$)))))))))
(define CompilerC-45ESC-45Codegen-n--12848-4089-u--truncInt (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (lambda (clam-0) (case (vector-ref arg-4 0) ((0) (let ((e-0 (vector-ref arg-4 1))) (lambda (clam-1) (if (null? e-0) (vector 1 clam-0) (let ((e-2 (unbox e-0))) (vector 1 ((CompilerC-45ESC-45Codegen-truncateSigned arg-3 e-2) clam-0))))))) (else (let ((e-1 (vector-ref arg-4 1))) (lambda (eta-0) (vector 1 ((CompilerC-45ESC-45Codegen-truncateUnsigned arg-3 e-1) clam-0)))))))))
(define CompilerC-45ESC-45Codegen-n--12848-4090-u--shrink (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (let ((sc0 (CompilerC-45ESC-45Codegen-useBigInt arg-3))) (cond ((equal? sc0 1) (let ((sc1 (CompilerC-45ESC-45Codegen-useBigInt arg-4))) (cond ((equal? sc1 0) (lambda (eta-0) (CompilerC-45ESC-45Codegen-fromBigInt eta-0)))(else (lambda (eta-0) eta-0)))))(else (lambda (eta-0) eta-0))))))
(define CompilerC-45ESC-45Codegen-n--11399-2670-u--okchar (lambda (arg-0 arg-1) (cond ((equal? arg-1 #\_) "_")(else (let ((sc0 (PreludeC-45Types-isAlphaNum arg-1))) (cond ((equal? sc0 1) (string arg-1)) (else (string-append "x" (ProtocolC-45Hex-asHex (cast-char-boundedUInt arg-1 64))))))))))
(define CompilerC-45ESC-45Codegen-n--11249-2521-u--okchar (lambda (arg-0 arg-1) (let ((sc0 (let ((sc1 (PreludeC-45EqOrd-u--C-62C-61_Ord_Char arg-1 #\ ))) (cond ((equal? sc1 1) (let ((sc2 (PreludeC-45EqOrd-u--C-47C-61_Eq_Char arg-1 #\\))) (cond ((equal? sc2 1) (let ((sc3 (PreludeC-45EqOrd-u--C-47C-61_Eq_Char arg-1 #\"))) (cond ((equal? sc3 1) (let ((sc4 (PreludeC-45EqOrd-u--C-47C-61_Eq_Char arg-1 #\'))) (cond ((equal? sc4 1) (PreludeC-45EqOrd-u--C-60C-61_Ord_Char arg-1 #\~)) (else 0)))) (else 0)))) (else 0)))) (else 0))))) (cond ((equal? sc0 1) (string arg-1)) (else (cond ((equal? arg-1 (integer->char 0)) "\\0") ((equal? arg-1 #\') "\\'") ((equal? arg-1 #\") "\\\"") ((equal? arg-1 (integer->char 13)) "\\r") ((equal? arg-1 (integer->char 10)) "\\n")(else (string-append "\\u{" (string-append (ProtocolC-45Hex-asHex ((let ((eff-0 (lambda (eta-0) (cast-char-boundedUInt eta-0 64)))) (lambda (arg-2) (eff-0 arg-2))) arg-1)) "}")))))))))
(define CompilerC-45ESC-45Codegen-n--12027-3326-u--mkCon (lambda (arg-0 arg-1 arg-2 arg-3) (let ((e-2 (car arg-3))) (let ((e-3 (cdr arg-3))) (if (null? e-3) (CompilerC-45ESC-45Doc-u--C-60C-43C-62_Semigroup_Doc (csegen-6022) e-2) (let ((e-6 (unbox e-3))) (CompilerC-45ESC-45Doc-C-60C-43C-43C-62 (CompilerC-45ESC-45Doc-u--C-60C-43C-62_Semigroup_Doc (csegen-6022) e-2) (vector 3 e-6))))))))
(define CompilerC-45ESC-45Codegen-n--12848-4092-u--intImpl (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (let ((u--expanded ((CompilerC-45ESC-45Codegen-n--12848-4091-u--expand arg-0 arg-1 arg-2 arg-3 arg-4) arg-0))) (let ((u--shrunk (let ((eff-0 ((CompilerC-45ESC-45Codegen-n--12848-4089-u--truncInt arg-0 arg-1 arg-2 (CompilerC-45ESC-45Codegen-useBigInt arg-3) arg-4) arg-0))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-5) (lambda (arg-6) ((((eff-1 'erased) 'erased) arg-5) arg-6)))) (CompilerC-45ESC-45Codegen-n--12848-4090-u--shrink arg-0 arg-1 arg-2 arg-3 arg-4))) eff-0)))) (CompilerC-45ESC-45Codegen-case--castIntC-44intImpl-4259 arg-0 arg-1 arg-2 arg-4 arg-3 u--expanded u--shrunk (cons arg-3 arg-4))))))
(define CompilerC-45ESC-45Codegen-n--12848-4091-u--expand (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (let ((sc0 (CompilerC-45ESC-45Codegen-useBigInt arg-3))) (cond ((equal? sc0 0) (let ((sc1 (CompilerC-45ESC-45Codegen-useBigInt arg-4))) (cond ((equal? sc1 1) (lambda (eta-0) (CompilerC-45ESC-45Codegen-toBigInt eta-0)))(else (lambda (eta-0) eta-0)))))(else (lambda (eta-0) eta-0))))))
(define CompilerC-45ESC-45Codegen-n--15720-6878-u--anyCase (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (let ((u--b (let ((sc0 (CompilerC-45ESC-45Doc-isMultiline arg-5))) (cond ((equal? sc0 1) (CompilerC-45ESC-45Doc-block arg-5)) (else arg-5))))) (if (null? arg-4) (((csegen-6024) (((csegen-6024) arg-3) (CompilerC-45ESC-45Doc-softColon))) u--b) (let ((e-2 (unbox arg-4))) (CompilerC-45ESC-45Doc-C-60C-43C-43C-62 (((csegen-6024) (((csegen-6024) arg-3) (CompilerC-45ESC-45Doc-softColon))) (vector 3 e-2)) u--b))))))
(define CompilerC-45ESC-45Codegen-n--15991-7665-u--alt (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (let ((e-1 (car arg-7))) (let ((e-2 (cdr arg-7))) (let ((eff-0 (CompilerC-45ESC-45Codegen-stmt (box arg-0) arg-5 arg-4 e-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (cons (cons (vector 4 (CompilerC-45ESC-45Codegen-jsConstant e-1)) '()) e-5))))) eff-1)))))))))))
(define CompilerC-45ESC-45Codegen-n--15991-7402-u--alt (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8) (let ((e-1 (vector-ref arg-8 0))) (let ((e-2 (vector-ref arg-8 1))) (let ((e-3 (vector-ref arg-8 2))) (case (vector-ref e-2 0) ((7) (let ((eff-0 (CompilerC-45ESC-45Codegen-stmt (box arg-7) arg-5 arg-4 e-3))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-4 (vector-ref eta-3 1))) (vector 0 e-4))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-9) (lambda (arg-10) ((((eff-1 'erased) 'erased) arg-9) arg-10)))) (lambda (__infixTupleSection-0) (cons (cons (vector 4 "undefined") (box (vector 4 "record"))) __infixTupleSection-0)))) eff-0))) ((2) (let ((eff-0 (CompilerC-45ESC-45Codegen-stmt (box arg-7) arg-5 arg-4 e-3))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-4 (vector-ref eta-3 1))) (vector 0 e-4))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-9) (lambda (arg-10) ((((eff-1 'erased) 'erased) arg-9) arg-10)))) (lambda (__infixTupleSection-0) (cons (cons (vector 4 "0") (box (vector 4 "nil"))) __infixTupleSection-0)))) eff-0))) ((3) (let ((eff-0 (CompilerC-45ESC-45Codegen-stmt (box arg-7) arg-5 arg-4 e-3))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-4 (vector-ref eta-3 1))) (vector 0 e-4))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-9) (lambda (arg-10) ((((eff-1 'erased) 'erased) arg-9) arg-10)))) (lambda (__infixTupleSection-0) (cons (cons (vector 4 "undefined") (box (vector 4 "cons"))) __infixTupleSection-0)))) eff-0))) ((5) (let ((eff-0 (CompilerC-45ESC-45Codegen-stmt (box arg-7) arg-5 arg-4 e-3))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-4 (vector-ref eta-3 1))) (vector 0 e-4))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-9) (lambda (arg-10) ((((eff-1 'erased) 'erased) arg-9) arg-10)))) (lambda (__infixTupleSection-0) (cons (cons (vector 4 "0") (box (vector 4 "nothing"))) __infixTupleSection-0)))) eff-0))) ((6) (let ((eff-0 (CompilerC-45ESC-45Codegen-stmt (box arg-7) arg-5 arg-4 e-3))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-4 (vector-ref eta-3 1))) (vector 0 e-4))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-9) (lambda (arg-10) ((((eff-1 'erased) 'erased) arg-9) arg-10)))) (lambda (__infixTupleSection-0) (cons (cons (vector 4 "undefined") (box (vector 4 "just"))) __infixTupleSection-0)))) eff-0))) ((10) (let ((eff-0 (CompilerC-45ESC-45Codegen-stmt (box arg-7) arg-5 arg-4 e-3))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-4 (vector-ref eta-3 1))) (vector 0 e-4))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-9) (lambda (arg-10) ((((eff-1 'erased) 'erased) arg-9) arg-10)))) (lambda (__infixTupleSection-0) (cons (cons (vector 4 "undefined") (box (vector 4 "unit"))) __infixTupleSection-0)))) eff-0)))(else (let ((eff-0 (CompilerC-45ESC-45Codegen-stmt (box arg-7) arg-5 arg-4 e-3))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-4 (vector-ref eta-3 1))) (vector 0 e-4))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-9) (lambda (arg-10) ((((eff-1 'erased) 'erased) arg-9) arg-10)))) (lambda (__infixTupleSection-0) (cons (CompilerC-45ESC-45Codegen-tag2es e-1) __infixTupleSection-0)))) eff-0)))))))))
(define CompilerC-45ESC-45Codegen-n--15720-6879-u--alt (lambda (arg-0 arg-1 arg-2 arg-3) (let ((e-2 (car arg-3))) (let ((e-3 (cdr arg-3))) (let ((e-6 (car e-2))) (let ((e-7 (cdr e-2))) (CompilerC-45ESC-45Codegen-n--15720-6878-u--anyCase arg-0 arg-1 arg-2 (CompilerC-45ESC-45Doc-C-60C-43C-43C-62 (vector 4 "case") e-6) e-7 e-3)))))))
(define CompilerC-45ESC-45Codegen-var (lambda (arg-0 arg-1) (case (vector-ref arg-1 0) ((0) (let ((e-0 (vector-ref arg-1 1))) (CompilerC-45ESC-45Codegen-jsNameDoc arg-0 e-0))) ((1) (let ((e-1 (vector-ref arg-1 1))) (vector 4 (string-append "$" (ProtocolC-45Hex-asHex (blodwen-toUnsignedInt e-1 64)))))) (else (let ((e-2 (vector-ref arg-1 1))) (vector 4 (string-append "$R" (ProtocolC-45Hex-asHex (blodwen-toUnsignedInt e-2 64)))))))))
(define CompilerC-45ESC-45Codegen-validJSName (lambda (arg-0) (let ((sc0 (PreludeC-45Types-elem (csegen-16) (csegen-43) arg-0 (CompilerC-45ESC-45Codegen-jsReservedNames)))) (cond ((equal? sc0 1) 0) (else (let ((sc1 (PreludeC-45Interfaces-all (csegen-16) (lambda (eta-0) (CompilerC-45ESC-45Codegen-n--17169-8265-u--validNameChar arg-0 eta-0)) (PreludeC-45Types-fastUnpack arg-0)))) (cond ((equal? sc1 1) ((CompilerC-45ESC-45Codegen-case--validJSName-8304 arg-0 (DataC-45String-strM arg-0)))) (else 0))))))))
(define CompilerC-45ESC-45Codegen-useBigIntC-39 (lambda (ext-0) (PreludeC-45EqOrd-u--C-62_Ord_Int ext-0 32)))
(define CompilerC-45ESC-45Codegen-useBigInt (lambda (arg-0) (case (vector-ref arg-0 0) ((0) (let ((e-0 (vector-ref arg-0 1))) (if (null? e-0) 1 (let ((e-2 (unbox e-0))) (CompilerC-45ESC-45Codegen-useBigIntC-39 e-2))))) (else (let ((e-1 (vector-ref arg-0 1))) (CompilerC-45ESC-45Codegen-useBigIntC-39 e-1))))))
(define CompilerC-45ESC-45Codegen-truncateUnsigned (lambda (arg-0 arg-1) (let ((u--add (cond ((equal? arg-0 1) (csegen-6037)) (else (csegen-6038))))) (lambda (eta-0) (CompilerC-45ESC-45Codegen-callFun1 (string-append (CompilerC-45ESC-45Codegen-esName "truncU") (string-append u--add (PreludeC-45Show-u--show_Show_Int arg-1))) eta-0)))))
(define CompilerC-45ESC-45Codegen-truncateSigned (lambda (arg-0 arg-1) (let ((u--add (cond ((equal? arg-0 1) (csegen-6037)) (else (csegen-6038))))) (lambda (eta-0) (CompilerC-45ESC-45Codegen-callFun1 (string-append (CompilerC-45ESC-45Codegen-esName "trunc") (string-append u--add (PreludeC-45Show-u--show_Show_Int arg-1))) eta-0)))))
(define CompilerC-45ESC-45Codegen-toInt (lambda (arg-0) (let ((sc0 (CompilerC-45ESC-45Codegen-useBigInt arg-0))) (cond ((equal? sc0 1) (lambda (eta-0) (CompilerC-45ESC-45Codegen-toBigInt eta-0))) (else (lambda (eta-0) eta-0))))))
(define CompilerC-45ESC-45Codegen-toBigInt (lambda (ext-0) (CompilerC-45ESC-45Codegen-callFun1 "BigInt" ext-0)))
(define CompilerC-45ESC-45Codegen-tailRec(blodwen-lazy (lambda () (vector 1 (vector 0 "__tailRec")))))
(define CompilerC-45ESC-45Codegen-tag2es (lambda (arg-0) (case (vector-ref arg-0 0) ((0) (let ((e-0 (vector-ref arg-0 1))) (let ((e-1 (vector-ref arg-0 2))) (cons (vector 4 (PreludeC-45Show-u--show_Show_Int e-0)) (box (vector 4 (CoreC-45Name-u--show_Show_Name (CoreC-45Name-dropNS e-1)))))))) (else (let ((e-2 (vector-ref arg-0 1))) (cons (CompilerC-45ESC-45Codegen-jsStringDoc (CoreC-45Name-u--show_Show_Name e-2)) '()))))))
(define CompilerC-45ESC-45Codegen-switch (lambda (arg-0 arg-1 arg-2) (let ((u--stmt (CompilerC-45ESC-45Doc-u--C-60C-43C-62_Semigroup_Doc (CompilerC-45ESC-45Doc-u--C-60C-43C-62_Semigroup_Doc (CompilerC-45ESC-45Doc-u--fromString_FromString_Doc "switch") (CompilerC-45ESC-45Doc-paren arg-0)) (vector 2 )))) (let ((u--defcase (PreludeC-45Interfaces-concatMap (csegen-83) (csegen-6054) (lambda (eta-0) (PreludeC-45Types-u--pure_Applicative_List (CompilerC-45ESC-45Codegen-n--15720-6878-u--anyCase arg-2 arg-1 arg-0 (vector 4 "default") '() eta-0))) arg-2))) (CompilerC-45ESC-45Doc-u--C-60C-43C-62_Semigroup_Doc u--stmt (CompilerC-45ESC-45Doc-block (CompilerC-45ESC-45Doc-vcat (PreludeC-45TypesC-45List-tailRecAppend (((csegen-25) (lambda (eta-0) (CompilerC-45ESC-45Codegen-n--15720-6879-u--alt arg-2 arg-1 arg-0 eta-0))) arg-1) u--defcase))))))))
(define CompilerC-45ESC-45Codegen-stringList (lambda (ext-0) (PreludeC-45Types-fastConcat (DataC-45List-intersperse "," ((csegen-1292) ext-0)))))
(define CompilerC-45ESC-45Codegen-stmt (lambda (arg-0 arg-1 arg-2 arg-3) (if (null? arg-0) (case (vector-ref arg-3 0) ((1) (let ((e-20 (vector-ref arg-3 1))) (let ((e-21 (vector-ref arg-3 2))) (let ((eff-0 (let ((eff-0 arg-2)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CompilerC-45ESC-45Codegen-exp arg-1 arg-2 e-21))) (((csegen-50) ((let ((eff-2 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-6 (vector-ref eta-3 1))) (vector 1 (eta-2 e-6))))))))))) (lambda (arg-4) (lambda (arg-5) ((((eff-2 'erased) 'erased) arg-4) arg-5)))) (lambda (eta-0) (CompilerC-45ESC-45Codegen-constant (CompilerC-45ESC-45Codegen-var e-5 e-20) eta-0)))) eff-1)))) eff-1)))))))))) ((3) (let ((e-22 (vector-ref arg-3 1))) (let ((e-23 (vector-ref arg-3 2))) (let ((eff-0 (let ((eff-0 arg-2)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CompilerC-45ESC-45Codegen-stmt (box (box e-22)) arg-1 arg-2 e-23))) (((csegen-50) ((let ((eff-2 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-6 (vector-ref eta-3 1))) (vector 1 (eta-2 e-6))))))))))) (lambda (arg-4) (lambda (arg-5) ((((eff-2 'erased) 'erased) arg-4) arg-5)))) (lambda (u--d) (CompilerC-45ESC-45Doc-vcat (cons (CompilerC-45ESC-45Doc-C-60C-43C-43C-62 (vector 4 "let") (((csegen-6024) (CompilerC-45ESC-45Codegen-var e-5 e-22)) (vector 4 ";"))) (cons u--d '())))))) eff-1)))) eff-1))))))))))(else (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45ESC-45Codegen-stmt '() arg-1 arg-2 eta-0)) (DataC-45List1-forget e-1) '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CompilerC-45ESC-45Codegen-stmt arg-0 arg-1 arg-2 e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-3 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (CompilerC-45ESC-45Doc-vcat (PreludeC-45TypesC-45List-tailRecAppend e-5 (cons e-6 '()))))))) eff-2))))))))) eff-1))))))))))) (let ((e-4 (unbox arg-0))) (if (null? e-4) (case (vector-ref arg-3 0) ((0) (let ((e-17 (vector-ref arg-3 1))) (let ((eff-0 (CompilerC-45ESC-45Codegen-exp arg-1 arg-2 e-17))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-4) (lambda (arg-5) ((((eff-1 'erased) 'erased) arg-4) arg-5)))) (lambda (u--e) (CompilerC-45ESC-45Doc-C-60C-43C-43C-62 (vector 4 "return") (((csegen-6024) u--e) (vector 4 ";")))))) eff-0))))(else (case (vector-ref arg-3 0) ((4) (let ((e-7 (vector-ref arg-3 2))) (let ((e-8 (vector-ref arg-3 3))) (let ((e-9 (vector-ref arg-3 4))) (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (let ((eff-0 (CompilerC-45ESC-45Codegen-n--15991-7402-u--alt e-4 e-9 e-8 e-7 arg-2 arg-1 arg-0 e-4 eta-0))) (((csegen-50) ((let ((eff-1 (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (lambda (eta-4) (case (vector-ref eta-4 0) ((0) (let ((e-2 (vector-ref eta-4 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-4 1))) (vector 1 (eta-3 e-5))))))))))) (lambda (arg-4) (lambda (arg-5) ((((eff-1 'erased) 'erased) arg-4) arg-5)))) (lambda (eta-1) (CompilerC-45ESC-45Codegen-insertBreak e-4 eta-1)))) eff-0))) e-8 '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (if (null? e-9) (lambda (eta-0) (vector 1 '())) (let ((e-2 (unbox e-9))) (let ((eff-1 (CompilerC-45ESC-45Codegen-stmt (box e-4) arg-1 arg-2 e-2))) (((csegen-50) ((let ((eff-2 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-3 (vector-ref eta-3 1))) (vector 0 e-3))) (else (let ((e-10 (vector-ref eta-3 1))) (vector 1 (eta-2 e-10))))))))))) (lambda (arg-4) (lambda (arg-5) ((((eff-2 'erased) 'erased) arg-4) arg-5)))) (lambda (eta-0) (box eta-0)))) eff-1)))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-10 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (let ((eff-2 arg-2)) (PrimIO-io_bind (let ((eff-3 eff-2)) (lambda (eta-0) (unbox eff-3))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-11 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (CompilerC-45ESC-45Codegen-switch (((csegen-6024) (CompilerC-45ESC-45Codegen-minimal e-11 e-7)) (vector 4 ".h")) e-5 e-10))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((5) (let ((e-11 (vector-ref arg-3 2))) (let ((e-12 (vector-ref arg-3 3))) (let ((e-13 (vector-ref arg-3 4))) (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (let ((eff-0 (CompilerC-45ESC-45Codegen-n--15991-7665-u--alt e-4 e-13 e-12 e-11 arg-2 arg-1 arg-0 eta-0))) (((csegen-50) ((let ((eff-1 (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (lambda (eta-4) (case (vector-ref eta-4 0) ((0) (let ((e-2 (vector-ref eta-4 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-4 1))) (vector 1 (eta-3 e-5))))))))))) (lambda (arg-4) (lambda (arg-5) ((((eff-1 'erased) 'erased) arg-4) arg-5)))) (lambda (eta-1) (CompilerC-45ESC-45Codegen-insertBreak e-4 eta-1)))) eff-0))) e-12 '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (if (null? e-13) (lambda (eta-0) (vector 1 '())) (let ((e-2 (unbox e-13))) (let ((eff-1 (CompilerC-45ESC-45Codegen-stmt (box e-4) arg-1 arg-2 e-2))) (((csegen-50) ((let ((eff-2 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-3 (vector-ref eta-3 1))) (vector 0 e-3))) (else (let ((e-6 (vector-ref eta-3 1))) (vector 1 (eta-2 e-6))))))))))) (lambda (arg-4) (lambda (arg-5) ((((eff-2 'erased) 'erased) arg-4) arg-5)))) (lambda (eta-0) (box eta-0)))) eff-1)))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45ESC-45Codegen-exp arg-1 arg-2 e-11))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (CompilerC-45ESC-45Codegen-switch e-7 e-5 e-6))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((6) (let ((e-15 (vector-ref arg-3 1))) (lambda (eta-0) (vector 1 (((csegen-6024) (CompilerC-45ESC-45Codegen-jsCrashExp (CompilerC-45ESC-45Codegen-jsStringDoc e-15))) (vector 4 ";"))))))(else (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45ESC-45Codegen-stmt '() arg-1 arg-2 eta-0)) (DataC-45List1-forget e-1) '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CompilerC-45ESC-45Codegen-stmt arg-0 arg-1 arg-2 e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-3 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (CompilerC-45ESC-45Doc-vcat (PreludeC-45TypesC-45List-tailRecAppend e-5 (cons e-6 '()))))))) eff-2))))))))) eff-1))))))))))))) (let ((e-16 (unbox e-4))) (case (vector-ref arg-3 0) ((2) (let ((e-19 (vector-ref arg-3 2))) (let ((eff-0 (let ((eff-0 arg-2)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CompilerC-45ESC-45Codegen-exp arg-1 arg-2 e-19))) (((csegen-50) ((let ((eff-2 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-6 (vector-ref eta-3 1))) (vector 1 (eta-2 e-6))))))))))) (lambda (arg-4) (lambda (arg-5) ((((eff-2 'erased) 'erased) arg-4) arg-5)))) (lambda (u--d) (CompilerC-45ESC-45Doc-hcat (cons (CompilerC-45ESC-45Codegen-var e-5 e-16) (cons (CompilerC-45ESC-45Doc-softEq) (cons u--d (cons (vector 4 ";") '())))))))) eff-1)))) eff-1)))))))))(else (case (vector-ref arg-3 0) ((4) (let ((e-7 (vector-ref arg-3 2))) (let ((e-8 (vector-ref arg-3 3))) (let ((e-9 (vector-ref arg-3 4))) (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (let ((eff-0 (CompilerC-45ESC-45Codegen-n--15991-7402-u--alt e-4 e-9 e-8 e-7 arg-2 arg-1 arg-0 e-4 eta-0))) (((csegen-50) ((let ((eff-1 (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (lambda (eta-4) (case (vector-ref eta-4 0) ((0) (let ((e-2 (vector-ref eta-4 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-4 1))) (vector 1 (eta-3 e-5))))))))))) (lambda (arg-4) (lambda (arg-5) ((((eff-1 'erased) 'erased) arg-4) arg-5)))) (lambda (eta-1) (CompilerC-45ESC-45Codegen-insertBreak e-4 eta-1)))) eff-0))) e-8 '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (if (null? e-9) (lambda (eta-0) (vector 1 '())) (let ((e-2 (unbox e-9))) (let ((eff-1 (CompilerC-45ESC-45Codegen-stmt (box e-4) arg-1 arg-2 e-2))) (((csegen-50) ((let ((eff-2 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-3 (vector-ref eta-3 1))) (vector 0 e-3))) (else (let ((e-10 (vector-ref eta-3 1))) (vector 1 (eta-2 e-10))))))))))) (lambda (arg-4) (lambda (arg-5) ((((eff-2 'erased) 'erased) arg-4) arg-5)))) (lambda (eta-0) (box eta-0)))) eff-1)))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-10 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (let ((eff-2 arg-2)) (PrimIO-io_bind (let ((eff-3 eff-2)) (lambda (eta-0) (unbox eff-3))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-11 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (CompilerC-45ESC-45Codegen-switch (((csegen-6024) (CompilerC-45ESC-45Codegen-minimal e-11 e-7)) (vector 4 ".h")) e-5 e-10))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((5) (let ((e-11 (vector-ref arg-3 2))) (let ((e-12 (vector-ref arg-3 3))) (let ((e-13 (vector-ref arg-3 4))) (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (let ((eff-0 (CompilerC-45ESC-45Codegen-n--15991-7665-u--alt e-4 e-13 e-12 e-11 arg-2 arg-1 arg-0 eta-0))) (((csegen-50) ((let ((eff-1 (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (lambda (eta-4) (case (vector-ref eta-4 0) ((0) (let ((e-2 (vector-ref eta-4 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-4 1))) (vector 1 (eta-3 e-5))))))))))) (lambda (arg-4) (lambda (arg-5) ((((eff-1 'erased) 'erased) arg-4) arg-5)))) (lambda (eta-1) (CompilerC-45ESC-45Codegen-insertBreak e-4 eta-1)))) eff-0))) e-12 '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (if (null? e-13) (lambda (eta-0) (vector 1 '())) (let ((e-2 (unbox e-13))) (let ((eff-1 (CompilerC-45ESC-45Codegen-stmt (box e-4) arg-1 arg-2 e-2))) (((csegen-50) ((let ((eff-2 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-3 (vector-ref eta-3 1))) (vector 0 e-3))) (else (let ((e-6 (vector-ref eta-3 1))) (vector 1 (eta-2 e-6))))))))))) (lambda (arg-4) (lambda (arg-5) ((((eff-2 'erased) 'erased) arg-4) arg-5)))) (lambda (eta-0) (box eta-0)))) eff-1)))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45ESC-45Codegen-exp arg-1 arg-2 e-11))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (CompilerC-45ESC-45Codegen-switch e-7 e-5 e-6))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((6) (let ((e-15 (vector-ref arg-3 1))) (lambda (eta-0) (vector 1 (((csegen-6024) (CompilerC-45ESC-45Codegen-jsCrashExp (CompilerC-45ESC-45Codegen-jsStringDoc e-15))) (vector 4 ";"))))))(else (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45ESC-45Codegen-stmt '() arg-1 arg-2 eta-0)) (DataC-45List1-forget e-1) '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CompilerC-45ESC-45Codegen-stmt arg-0 arg-1 arg-2 e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-3 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (CompilerC-45ESC-45Doc-vcat (PreludeC-45TypesC-45List-tailRecAppend e-5 (cons e-6 '()))))))) eff-2))))))))) eff-1)))))))))))))))))))
(define CompilerC-45ESC-45Codegen-searchForeign (lambda (arg-0 arg-1) (let ((u--pairs (((csegen-25) (lambda (eta-0) (CompilerC-45ESC-45Codegen-readCCPart eta-0))) arg-1))) (let ((u--backends (vector 0 ((csegen-101) u--pairs)))) (PreludeC-45Types-maybe (lambda () u--backends) (lambda () (lambda (eta-0) (vector 1 (Builtin-snd eta-0)))) (DataC-45List-find (lambda (eta-0) (PreludeC-45Types-elem (csegen-16) (csegen-43) (Builtin-fst eta-0) arg-0)) u--pairs))))))
(define CompilerC-45ESC-45Codegen-readCCPart (lambda (ext-0) (CompilerC-45ESC-45Codegen-breakDrop1 #\: ext-0)))
(define CompilerC-45ESC-45Codegen-printDoc (lambda (arg-0 arg-1) (cond ((equal? arg-0 0) (CompilerC-45ESC-45Doc-pretty (CompilerC-45ESC-45Doc-u--C-60C-43C-62_Semigroup_Doc arg-1 (vector 1 )))) ((equal? arg-0 1) (CompilerC-45ESC-45Doc-compact arg-1)) (else (CompilerC-45ESC-45Doc-compact arg-1)))))
(define CompilerC-45ESC-45Codegen-minimal (lambda (arg-0 arg-1) (case (vector-ref arg-1 0) ((0) (let ((e-0 (vector-ref arg-1 1))) (CompilerC-45ESC-45Codegen-var arg-0 e-0))) (else (let ((e-1 (vector-ref arg-1 1))) (let ((e-2 (vector-ref arg-1 2))) (CompilerC-45ESC-45Doc-u--C-60C-43C-62_Semigroup_Doc (CompilerC-45ESC-45Doc-u--C-60C-43C-62_Semigroup_Doc (CompilerC-45ESC-45Codegen-minimal arg-0 e-2) (vector 4 ".a")) (vector 4 (PreludeC-45Show-u--show_Show_Nat e-1)))))))))
(define CompilerC-45ESC-45Codegen-makeForeign (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (let ((eff-0 (let ((eff-0 (let ((eff-0 arg-2)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CompilerC-45ESC-45State-getOrRegisterRef arg-1 arg-3))) (((csegen-50) ((let ((eff-2 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-6 (vector-ref eta-3 1))) (vector 1 (eta-2 e-6))))))))))) (lambda (arg-5) (lambda (arg-6) ((((eff-2 'erased) 'erased) arg-5) arg-6)))) (lambda (eta-0) (CompilerC-45ESC-45Codegen-var e-5 eta-0)))) eff-1)))) eff-1))))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((sc1 (CompilerC-45ESC-45Codegen-readCCPart arg-4))) (let ((e-2 (car sc1))) (let ((e-3 (cdr sc1))) (cond ((equal? e-2 "lambda") (lambda (eta-0) (vector 1 (CompilerC-45ESC-45Codegen-constant e-5 (CompilerC-45ESC-45Doc-paren (vector 4 e-3)))))) ((equal? e-2 "support") (CompilerC-45ESC-45Codegen-case--caseC-32blockC-32inC-32caseC-32blockC-32inC-32makeForeign-5805 arg-4 arg-3 arg-2 arg-1 arg-0 e-5 e-3 "support" (CompilerC-45ESC-45Codegen-breakDrop1 #\, e-3))) ((equal? e-2 "stringIterator") (lambda (clam-0) (cond ((equal? e-3 "new") (vector 1 (CompilerC-45ESC-45Codegen-constant e-5 ((csegen-6058) "__prim_stringIteratorNew")))) ((equal? e-3 "next") (vector 1 (CompilerC-45ESC-45Codegen-constant e-5 ((csegen-6058) "__prim_stringIteratorNext")))) ((equal? e-3 "toString") (vector 1 (CompilerC-45ESC-45Codegen-constant e-5 ((csegen-6058) "__prim_stringIteratorToString"))))(else (CompilerC-45ESC-45State-errorConcat (cons "Invalid string iterator function: " (cons e-3 (cons ". " (cons "Supported functions are: " (cons (CompilerC-45ESC-45Codegen-stringList (cons "new" (cons "next" (cons "toString" '())))) (cons "." '())))))) clam-0)))))(else (lambda (eta-0) (CompilerC-45ESC-45State-errorConcat (cons "Invalid foreign type : " (cons e-2 (cons ". " (cons "Supported types are: " (cons (CompilerC-45ESC-45Codegen-stringList (cons "lambda" (cons "support" (cons "stringIterator" '())))) '()))))) eta-0))))))))) eff-1)))))))))
(define CompilerC-45ESC-45Codegen-mainExpr(blodwen-lazy (lambda () (vector 2 "__mainExpression" 0))))
(define CompilerC-45ESC-45Codegen-lambdaArgs (lambda (arg-0 arg-1) (if (null? arg-1) (CompilerC-45ESC-45Doc-u--C-60C-43C-62_Semigroup_Doc (CompilerC-45ESC-45Doc-u--fromString_FromString_Doc "()") (CompilerC-45ESC-45Doc-lambdaArrow)) (CompilerC-45ESC-45Doc-hcat (PreludeC-45Interfaces-C-60C-36C-62 (csegen-24) (lambda (eta-0) (CompilerC-45ESC-45Doc-u--C-60C-43C-62_Semigroup_Doc (CompilerC-45ESC-45Codegen-var arg-0 eta-0) (CompilerC-45ESC-45Doc-lambdaArrow))) arg-1)))))
(define CompilerC-45ESC-45Codegen-keywordSafe (lambda (arg-0) (let ((sc0 (PreludeC-45Types-elem (csegen-16) (csegen-43) arg-0 (CompilerC-45ESC-45Codegen-jsReservedNames)))) (cond ((equal? sc0 1) (string-append arg-0 "$")) (else arg-0)))))
(define CompilerC-45ESC-45Codegen-jsUserName (lambda (arg-0) (case (vector-ref arg-0 0) ((0) (let ((e-0 (vector-ref arg-0 1))) (CompilerC-45ESC-45Codegen-keywordSafe (CompilerC-45ESC-45Codegen-jsIdent e-0)))) ((1) (let ((e-1 (vector-ref arg-0 1))) (string-append "rf__" (CompilerC-45ESC-45Codegen-jsIdent e-1)))) (else (CompilerC-45ESC-45Codegen-keywordSafe (CompilerC-45ESC-45Codegen-jsIdent "_"))))))
(define CompilerC-45ESC-45Codegen-jsStringDoc (lambda (ext-0) (vector 4 (CompilerC-45ESC-45Codegen-jsString ext-0))))
(define CompilerC-45ESC-45Codegen-jsString (lambda (arg-0) (string-append "'" (string-append (PreludeC-45Interfaces-concatMap (csegen-85) (csegen-16) (lambda (eta-0) (CompilerC-45ESC-45Codegen-n--11249-2521-u--okchar arg-0 eta-0)) (PreludeC-45Types-fastUnpack arg-0)) "'"))))
(define CompilerC-45ESC-45Codegen-jsReservedNames(blodwen-lazy (lambda () (cons "await" (cons "break" (cons "case" (cons "catch" (cons "class" (cons "const" (cons "continue" (cons "debugger" (cons "default" (cons "delete" (cons "do" (cons "else" (cons "enum" (cons "export" (cons "extends" (cons "false" (cons "finally" (cons "for" (cons "function" (cons "if" (cons "implements" (cons "import" (cons "in" (cons "instanceof" (cons "interface" (cons "let" (cons "new" (cons "null" (cons "package" (cons "private" (cons "protected" (cons "public" (cons "return" (cons "static" (cons "super" (cons "switch" (cons "this" (cons "throw" (cons "true" (cons "try" (cons "typeof" (cons "var" (cons "void" (cons "while" (cons "with" (cons "yield" '())))))))))))))))))))))))))))))))))))))))))))))))))
(define CompilerC-45ESC-45Codegen-jsPrimType (lambda (arg-0) "#t"))
(define CompilerC-45ESC-45Codegen-jsPrim (lambda (arg-0 arg-1 arg-2) (let ((sc0 (CoreC-45Name-dropAllNS arg-1))) (case (vector-ref sc0 0) ((1) (let ((e-4 (vector-ref sc0 1))) (case (vector-ref e-4 0) ((0) (let ((e-5 (vector-ref e-4 1))) (cond ((equal? e-5 "prim__newIORef") (if (null? arg-2) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 (string-append "prim not implemented: " (CoreC-45Name-u--show_Show_Name arg-1))) eta-0)) (let ((e-8 (cdr arg-2))) (if (null? e-8) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 (string-append "prim not implemented: " (CoreC-45Name-u--show_Show_Name arg-1))) eta-0)) (let ((e-10 (car e-8))) (let ((e-11 (cdr e-8))) (lambda (clam-0) (if (null? e-11) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 (string-append "prim not implemented: " (CoreC-45Name-u--show_Show_Name arg-1))) clam-0) (let ((e-14 (cdr e-11))) (if (null? e-14) (vector 1 (CompilerC-45ESC-45Doc-hcat (cons (vector 4 "({value:") (cons e-10 (cons (vector 4 "})") '()))))) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 (string-append "prim not implemented: " (CoreC-45Name-u--show_Show_Name arg-1))) clam-0))))))))))) ((equal? e-5 "prim__readIORef") (if (null? arg-2) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 (string-append "prim not implemented: " (CoreC-45Name-u--show_Show_Name arg-1))) eta-0)) (let ((e-18 (cdr arg-2))) (if (null? e-18) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 (string-append "prim not implemented: " (CoreC-45Name-u--show_Show_Name arg-1))) eta-0)) (let ((e-20 (car e-18))) (let ((e-21 (cdr e-18))) (lambda (clam-1) (if (null? e-21) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 (string-append "prim not implemented: " (CoreC-45Name-u--show_Show_Name arg-1))) clam-1) (let ((e-24 (cdr e-21))) (if (null? e-24) (vector 1 (CompilerC-45ESC-45Doc-hcat (cons (vector 4 "(") (cons e-20 (cons (vector 4 ".value)") '()))))) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 (string-append "prim not implemented: " (CoreC-45Name-u--show_Show_Name arg-1))) clam-1))))))))))) ((equal? e-5 "prim__writeIORef") (if (null? arg-2) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 (string-append "prim not implemented: " (CoreC-45Name-u--show_Show_Name arg-1))) eta-0)) (let ((e-28 (cdr arg-2))) (if (null? e-28) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 (string-append "prim not implemented: " (CoreC-45Name-u--show_Show_Name arg-1))) eta-0)) (let ((e-30 (car e-28))) (let ((e-31 (cdr e-28))) (if (null? e-31) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 (string-append "prim not implemented: " (CoreC-45Name-u--show_Show_Name arg-1))) eta-0)) (let ((e-33 (car e-31))) (let ((e-34 (cdr e-31))) (lambda (clam-2) (if (null? e-34) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 (string-append "prim not implemented: " (CoreC-45Name-u--show_Show_Name arg-1))) clam-2) (let ((e-37 (cdr e-34))) (if (null? e-37) (vector 1 (CompilerC-45ESC-45Doc-hcat (cons (vector 4 "(") (cons e-30 (cons (vector 4 ".value=") (cons e-33 (cons (vector 4 ")") '()))))))) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 (string-append "prim not implemented: " (CoreC-45Name-u--show_Show_Name arg-1))) clam-2)))))))))))))) ((equal? e-5 "prim__newArray") (if (null? arg-2) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 (string-append "prim not implemented: " (CoreC-45Name-u--show_Show_Name arg-1))) eta-0)) (let ((e-41 (cdr arg-2))) (if (null? e-41) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 (string-append "prim not implemented: " (CoreC-45Name-u--show_Show_Name arg-1))) eta-0)) (let ((e-43 (car e-41))) (let ((e-44 (cdr e-41))) (if (null? e-44) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 (string-append "prim not implemented: " (CoreC-45Name-u--show_Show_Name arg-1))) eta-0)) (let ((e-46 (car e-44))) (let ((e-47 (cdr e-44))) (lambda (clam-3) (if (null? e-47) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 (string-append "prim not implemented: " (CoreC-45Name-u--show_Show_Name arg-1))) clam-3) (let ((e-50 (cdr e-47))) (if (null? e-50) (vector 1 (CompilerC-45ESC-45Doc-hcat (cons (vector 4 "(Array(") (cons e-43 (cons (vector 4 ").fill(") (cons e-46 (cons (vector 4 "))") '()))))))) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 (string-append "prim not implemented: " (CoreC-45Name-u--show_Show_Name arg-1))) clam-3)))))))))))))) ((equal? e-5 "prim__arrayGet") (if (null? arg-2) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 (string-append "prim not implemented: " (CoreC-45Name-u--show_Show_Name arg-1))) eta-0)) (let ((e-54 (cdr arg-2))) (if (null? e-54) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 (string-append "prim not implemented: " (CoreC-45Name-u--show_Show_Name arg-1))) eta-0)) (let ((e-56 (car e-54))) (let ((e-57 (cdr e-54))) (if (null? e-57) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 (string-append "prim not implemented: " (CoreC-45Name-u--show_Show_Name arg-1))) eta-0)) (let ((e-59 (car e-57))) (let ((e-60 (cdr e-57))) (lambda (clam-4) (if (null? e-60) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 (string-append "prim not implemented: " (CoreC-45Name-u--show_Show_Name arg-1))) clam-4) (let ((e-63 (cdr e-60))) (if (null? e-63) (vector 1 (CompilerC-45ESC-45Doc-hcat (cons (vector 4 "(") (cons e-56 (cons (vector 4 "[") (cons e-59 (cons (vector 4 "])") '()))))))) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 (string-append "prim not implemented: " (CoreC-45Name-u--show_Show_Name arg-1))) clam-4)))))))))))))) ((equal? e-5 "prim__arraySet") (if (null? arg-2) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 (string-append "prim not implemented: " (CoreC-45Name-u--show_Show_Name arg-1))) eta-0)) (let ((e-67 (cdr arg-2))) (if (null? e-67) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 (string-append "prim not implemented: " (CoreC-45Name-u--show_Show_Name arg-1))) eta-0)) (let ((e-69 (car e-67))) (let ((e-70 (cdr e-67))) (if (null? e-70) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 (string-append "prim not implemented: " (CoreC-45Name-u--show_Show_Name arg-1))) eta-0)) (let ((e-72 (car e-70))) (let ((e-73 (cdr e-70))) (if (null? e-73) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 (string-append "prim not implemented: " (CoreC-45Name-u--show_Show_Name arg-1))) eta-0)) (let ((e-75 (car e-73))) (let ((e-76 (cdr e-73))) (lambda (clam-5) (if (null? e-76) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 (string-append "prim not implemented: " (CoreC-45Name-u--show_Show_Name arg-1))) clam-5) (let ((e-79 (cdr e-76))) (if (null? e-79) (vector 1 (CompilerC-45ESC-45Doc-hcat (cons (vector 4 "(") (cons e-69 (cons (vector 4 "[") (cons e-72 (cons (vector 4 "]=") (cons e-75 (cons (vector 4 ")") '()))))))))) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 (string-append "prim not implemented: " (CoreC-45Name-u--show_Show_Name arg-1))) clam-5))))))))))))))))) ((equal? e-5 "void") (if (null? arg-2) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 (string-append "prim not implemented: " (CoreC-45Name-u--show_Show_Name arg-1))) eta-0)) (let ((e-83 (cdr arg-2))) (lambda (clam-6) (if (null? e-83) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 (string-append "prim not implemented: " (CoreC-45Name-u--show_Show_Name arg-1))) clam-6) (let ((e-86 (cdr e-83))) (if (null? e-86) (csegen-6122) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 (string-append "prim not implemented: " (CoreC-45Name-u--show_Show_Name arg-1))) clam-6)))))))) ((equal? e-5 "prim__void") (if (null? arg-2) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 (string-append "prim not implemented: " (CoreC-45Name-u--show_Show_Name arg-1))) eta-0)) (let ((e-90 (cdr arg-2))) (lambda (clam-7) (if (null? e-90) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 (string-append "prim not implemented: " (CoreC-45Name-u--show_Show_Name arg-1))) clam-7) (let ((e-93 (cdr e-90))) (if (null? e-93) (csegen-6122) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 (string-append "prim not implemented: " (CoreC-45Name-u--show_Show_Name arg-1))) clam-7)))))))) ((equal? e-5 "prim__codegen") (if (null? arg-2) (let ((eff-0 (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-6 (vector-ref eta-3 1))) (vector 1 (eta-2 e-6))))))))))) (lambda (arg-3) (lambda (arg-4) ((((eff-1 'erased) 'erased) arg-3) arg-4)))) (csegen-6123))) eff-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (clam-8) (if (null? e-6) (vector 1 (CompilerC-45ESC-45Doc-u--fromString_FromString_Doc "\"javascript\"")) (let ((e-1 (car e-6))) (vector 1 (vector 4 (CompilerC-45ESC-45Codegen-jsString e-1)))))))) eff-1))))))) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 (string-append "prim not implemented: " (CoreC-45Name-u--show_Show_Name arg-1))) eta-0)))) ((equal? e-5 "prim__os") (if (null? arg-2) (let ((eff-0 (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-6 (vector-ref eta-3 1))) (vector 1 (eta-2 e-6))))))))))) (lambda (arg-3) (lambda (arg-4) ((((eff-1 'erased) 'erased) arg-3) arg-4)))) (csegen-6123))) eff-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((sc5 (CompilerC-45ESC-45Codegen-searchForeign e-6 (cons "node" '())))) (case (vector-ref sc5 0) ((1) (let ((eff-1 (CompilerC-45ESC-45State-addToPreamble arg-0 "prim__os" "const _sysos = ((o => o === 'linux'?'unix':o==='win32'?'windows':o)(require('os').platform()));"))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-3 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-2 (lambda (eta-0) (vector 1 (vector 4 (CompilerC-45ESC-45Codegen-esName "sysos")))))) eff-2))))))) (else (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 "prim not implemented: prim__os") eta-0))))))) eff-1))))))) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 (string-append "prim not implemented: " (CoreC-45Name-u--show_Show_Name arg-1))) eta-0))))(else (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 (string-append "prim not implemented: " (CoreC-45Name-u--show_Show_Name arg-1))) eta-0))))))(else (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 (string-append "prim not implemented: " (CoreC-45Name-u--show_Show_Name arg-1))) eta-0))))))(else (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 (string-append "prim not implemented: " (CoreC-45Name-u--show_Show_Name arg-1))) eta-0)))))))
(define CompilerC-45ESC-45Codegen-jsOp (lambda (arg-1 arg-2) (case (vector-ref arg-1 0) ((0) (let ((e-0 (vector-ref arg-1 1))) (let ((e-20 (car arg-2))) (let ((e-21 (cdr arg-2))) (lambda (clam-0) (let ((e-24 (car e-21))) (let ((e-25 (cdr e-21))) (vector 1 (((CompilerC-45ESC-45Codegen-arithOp (CompilerC-45ESC-45Codegen-jsIntKind e-0) "+" "add") e-20) e-24))))))))) ((1) (let ((e-1 (vector-ref arg-1 1))) (let ((e-29 (car arg-2))) (let ((e-30 (cdr arg-2))) (lambda (clam-1) (let ((e-33 (car e-30))) (let ((e-34 (cdr e-30))) (vector 1 (((CompilerC-45ESC-45Codegen-arithOp (CompilerC-45ESC-45Codegen-jsIntKind e-1) "-" "sub") e-29) e-33))))))))) ((2) (let ((e-2 (vector-ref arg-1 1))) (let ((e-38 (car arg-2))) (let ((e-39 (cdr arg-2))) (lambda (clam-2) (let ((e-42 (car e-39))) (let ((e-43 (cdr e-39))) (vector 1 (((CompilerC-45ESC-45Codegen-arithOp (CompilerC-45ESC-45Codegen-jsIntKind e-2) "*" "mul") e-38) e-42))))))))) ((3) (let ((e-3 (vector-ref arg-1 1))) (cond ((equal? e-3 12) (if (null? arg-2) (let ((e-47 (car arg-2))) (let ((e-48 (cdr arg-2))) (lambda (clam-5) (let ((e-51 (car e-48))) (let ((e-52 (cdr e-48))) (vector 1 (((CompilerC-45ESC-45Codegen-arithOp (CompilerC-45ESC-45Codegen-jsIntKind e-3) "" "div") e-47) e-51))))))) (let ((e-56 (car arg-2))) (let ((e-57 (cdr arg-2))) (if (null? e-57) (let ((e-47 (car arg-2))) (let ((e-48 (cdr arg-2))) (lambda (clam-4) (let ((e-51 (car e-48))) (let ((e-52 (cdr e-48))) (vector 1 (((CompilerC-45ESC-45Codegen-arithOp (CompilerC-45ESC-45Codegen-jsIntKind e-3) "" "div") e-47) e-51))))))) (let ((e-60 (car e-57))) (let ((e-61 (cdr e-57))) (if (null? e-61) (lambda (eta-0) (vector 1 (CompilerC-45ESC-45Codegen-binOp "/" e-56 e-60))) (let ((e-47 (car arg-2))) (let ((e-48 (cdr arg-2))) (lambda (clam-3) (let ((e-51 (car e-48))) (let ((e-52 (cdr e-48))) (vector 1 (((CompilerC-45ESC-45Codegen-arithOp (CompilerC-45ESC-45Codegen-jsIntKind e-3) "" "div") e-47) e-51)))))))))))))))(else (let ((e-47 (car arg-2))) (let ((e-48 (cdr arg-2))) (lambda (clam-6) (let ((e-51 (car e-48))) (let ((e-52 (cdr e-48))) (vector 1 (((CompilerC-45ESC-45Codegen-arithOp (CompilerC-45ESC-45Codegen-jsIntKind e-3) "" "div") e-47) e-51))))))))))) ((4) (let ((e-4 (vector-ref arg-1 1))) (let ((e-65 (car arg-2))) (let ((e-66 (cdr arg-2))) (lambda (clam-7) (let ((e-69 (car e-66))) (let ((e-70 (cdr e-66))) (vector 1 (CompilerC-45ESC-45Codegen-jsMod e-4 e-65 e-69))))))))) ((5) (lambda (clam-8) (let ((e-74 (car arg-2))) (let ((e-75 (cdr arg-2))) (vector 1 (((csegen-6024) (((csegen-6024) ((csegen-6058) "(-(")) e-74)) (vector 4 "))"))))))) ((6) (let ((e-6 (vector-ref arg-1 1))) (cond ((equal? e-6 3) (if (null? arg-2) (let ((e-79 (car arg-2))) (let ((e-80 (cdr arg-2))) (lambda (clam-11) (let ((e-83 (car e-80))) (let ((e-84 (cdr e-80))) (vector 1 (((CompilerC-45ESC-45Codegen-arithOp (CompilerC-45ESC-45Codegen-jsIntKind e-6) "<<" "shl") e-79) e-83))))))) (let ((e-88 (car arg-2))) (let ((e-89 (cdr arg-2))) (if (null? e-89) (let ((e-79 (car arg-2))) (let ((e-80 (cdr arg-2))) (lambda (clam-10) (let ((e-83 (car e-80))) (let ((e-84 (cdr e-80))) (vector 1 (((CompilerC-45ESC-45Codegen-arithOp (CompilerC-45ESC-45Codegen-jsIntKind e-6) "<<" "shl") e-79) e-83))))))) (let ((e-92 (car e-89))) (let ((e-93 (cdr e-89))) (if (null? e-93) (lambda (eta-0) (vector 1 (CompilerC-45ESC-45Codegen-binOp "<<" e-88 e-92))) (let ((e-79 (car arg-2))) (let ((e-80 (cdr arg-2))) (lambda (clam-9) (let ((e-83 (car e-80))) (let ((e-84 (cdr e-80))) (vector 1 (((CompilerC-45ESC-45Codegen-arithOp (CompilerC-45ESC-45Codegen-jsIntKind e-6) "<<" "shl") e-79) e-83))))))))))))))) ((equal? e-6 0) (if (null? arg-2) (let ((e-79 (car arg-2))) (let ((e-80 (cdr arg-2))) (lambda (clam-14) (let ((e-83 (car e-80))) (let ((e-84 (cdr e-80))) (vector 1 (((CompilerC-45ESC-45Codegen-arithOp (CompilerC-45ESC-45Codegen-jsIntKind e-6) "<<" "shl") e-79) e-83))))))) (let ((e-97 (car arg-2))) (let ((e-98 (cdr arg-2))) (if (null? e-98) (let ((e-79 (car arg-2))) (let ((e-80 (cdr arg-2))) (lambda (clam-13) (let ((e-83 (car e-80))) (let ((e-84 (cdr e-80))) (vector 1 (((CompilerC-45ESC-45Codegen-arithOp (CompilerC-45ESC-45Codegen-jsIntKind e-6) "<<" "shl") e-79) e-83))))))) (let ((e-101 (car e-98))) (let ((e-102 (cdr e-98))) (if (null? e-102) (lambda (eta-0) (vector 1 (CompilerC-45ESC-45Codegen-binOp "<<" e-97 e-101))) (let ((e-79 (car arg-2))) (let ((e-80 (cdr arg-2))) (lambda (clam-12) (let ((e-83 (car e-80))) (let ((e-84 (cdr e-80))) (vector 1 (((CompilerC-45ESC-45Codegen-arithOp (CompilerC-45ESC-45Codegen-jsIntKind e-6) "<<" "shl") e-79) e-83)))))))))))))))(else (let ((e-79 (car arg-2))) (let ((e-80 (cdr arg-2))) (lambda (clam-15) (let ((e-83 (car e-80))) (let ((e-84 (cdr e-80))) (vector 1 (((CompilerC-45ESC-45Codegen-arithOp (CompilerC-45ESC-45Codegen-jsIntKind e-6) "<<" "shl") e-79) e-83))))))))))) ((7) (let ((e-7 (vector-ref arg-1 1))) (cond ((equal? e-7 3) (if (null? arg-2) (let ((e-106 (car arg-2))) (let ((e-107 (cdr arg-2))) (lambda (clam-18) (let ((e-110 (car e-107))) (let ((e-111 (cdr e-107))) (vector 1 (((CompilerC-45ESC-45Codegen-arithOp (CompilerC-45ESC-45Codegen-jsIntKind e-7) ">>" "shr") e-106) e-110))))))) (let ((e-115 (car arg-2))) (let ((e-116 (cdr arg-2))) (if (null? e-116) (let ((e-106 (car arg-2))) (let ((e-107 (cdr arg-2))) (lambda (clam-17) (let ((e-110 (car e-107))) (let ((e-111 (cdr e-107))) (vector 1 (((CompilerC-45ESC-45Codegen-arithOp (CompilerC-45ESC-45Codegen-jsIntKind e-7) ">>" "shr") e-106) e-110))))))) (let ((e-119 (car e-116))) (let ((e-120 (cdr e-116))) (if (null? e-120) (lambda (eta-0) (vector 1 (CompilerC-45ESC-45Codegen-binOp ">>" e-115 e-119))) (let ((e-106 (car arg-2))) (let ((e-107 (cdr arg-2))) (lambda (clam-16) (let ((e-110 (car e-107))) (let ((e-111 (cdr e-107))) (vector 1 (((CompilerC-45ESC-45Codegen-arithOp (CompilerC-45ESC-45Codegen-jsIntKind e-7) ">>" "shr") e-106) e-110))))))))))))))) ((equal? e-7 0) (if (null? arg-2) (let ((e-106 (car arg-2))) (let ((e-107 (cdr arg-2))) (lambda (clam-21) (let ((e-110 (car e-107))) (let ((e-111 (cdr e-107))) (vector 1 (((CompilerC-45ESC-45Codegen-arithOp (CompilerC-45ESC-45Codegen-jsIntKind e-7) ">>" "shr") e-106) e-110))))))) (let ((e-124 (car arg-2))) (let ((e-125 (cdr arg-2))) (if (null? e-125) (let ((e-106 (car arg-2))) (let ((e-107 (cdr arg-2))) (lambda (clam-20) (let ((e-110 (car e-107))) (let ((e-111 (cdr e-107))) (vector 1 (((CompilerC-45ESC-45Codegen-arithOp (CompilerC-45ESC-45Codegen-jsIntKind e-7) ">>" "shr") e-106) e-110))))))) (let ((e-128 (car e-125))) (let ((e-129 (cdr e-125))) (if (null? e-129) (lambda (eta-0) (vector 1 (CompilerC-45ESC-45Codegen-binOp ">>" e-124 e-128))) (let ((e-106 (car arg-2))) (let ((e-107 (cdr arg-2))) (lambda (clam-19) (let ((e-110 (car e-107))) (let ((e-111 (cdr e-107))) (vector 1 (((CompilerC-45ESC-45Codegen-arithOp (CompilerC-45ESC-45Codegen-jsIntKind e-7) ">>" "shr") e-106) e-110)))))))))))))))(else (let ((e-106 (car arg-2))) (let ((e-107 (cdr arg-2))) (lambda (clam-22) (let ((e-110 (car e-107))) (let ((e-111 (cdr e-107))) (vector 1 (((CompilerC-45ESC-45Codegen-arithOp (CompilerC-45ESC-45Codegen-jsIntKind e-7) ">>" "shr") e-106) e-110))))))))))) ((8) (let ((e-8 (vector-ref arg-1 1))) (cond ((equal? e-8 8) (if (null? arg-2) (let ((e-133 (car arg-2))) (let ((e-134 (cdr arg-2))) (lambda (clam-25) (let ((e-137 (car e-134))) (let ((e-138 (cdr e-134))) (vector 1 (CompilerC-45ESC-45Codegen-binOp "&" e-133 e-137))))))) (let ((e-142 (car arg-2))) (let ((e-143 (cdr arg-2))) (if (null? e-143) (let ((e-133 (car arg-2))) (let ((e-134 (cdr arg-2))) (lambda (clam-24) (let ((e-137 (car e-134))) (let ((e-138 (cdr e-134))) (vector 1 (CompilerC-45ESC-45Codegen-binOp "&" e-133 e-137))))))) (let ((e-146 (car e-143))) (let ((e-147 (cdr e-143))) (if (null? e-147) (lambda (eta-0) (vector 1 (CompilerC-45ESC-45Codegen-boundedUIntOp 32 "and" e-142 e-146))) (let ((e-133 (car arg-2))) (let ((e-134 (cdr arg-2))) (lambda (clam-23) (let ((e-137 (car e-134))) (let ((e-138 (cdr e-134))) (vector 1 (CompilerC-45ESC-45Codegen-binOp "&" e-133 e-137)))))))))))))))(else (let ((e-133 (car arg-2))) (let ((e-134 (cdr arg-2))) (lambda (clam-26) (let ((e-137 (car e-134))) (let ((e-138 (cdr e-134))) (vector 1 (CompilerC-45ESC-45Codegen-binOp "&" e-133 e-137))))))))))) ((9) (let ((e-9 (vector-ref arg-1 1))) (cond ((equal? e-9 8) (if (null? arg-2) (let ((e-151 (car arg-2))) (let ((e-152 (cdr arg-2))) (lambda (clam-29) (let ((e-155 (car e-152))) (let ((e-156 (cdr e-152))) (vector 1 (CompilerC-45ESC-45Codegen-binOp "|" e-151 e-155))))))) (let ((e-160 (car arg-2))) (let ((e-161 (cdr arg-2))) (if (null? e-161) (let ((e-151 (car arg-2))) (let ((e-152 (cdr arg-2))) (lambda (clam-28) (let ((e-155 (car e-152))) (let ((e-156 (cdr e-152))) (vector 1 (CompilerC-45ESC-45Codegen-binOp "|" e-151 e-155))))))) (let ((e-164 (car e-161))) (let ((e-165 (cdr e-161))) (if (null? e-165) (lambda (eta-0) (vector 1 (CompilerC-45ESC-45Codegen-boundedUIntOp 32 "or" e-160 e-164))) (let ((e-151 (car arg-2))) (let ((e-152 (cdr arg-2))) (lambda (clam-27) (let ((e-155 (car e-152))) (let ((e-156 (cdr e-152))) (vector 1 (CompilerC-45ESC-45Codegen-binOp "|" e-151 e-155)))))))))))))))(else (let ((e-151 (car arg-2))) (let ((e-152 (cdr arg-2))) (lambda (clam-30) (let ((e-155 (car e-152))) (let ((e-156 (cdr e-152))) (vector 1 (CompilerC-45ESC-45Codegen-binOp "|" e-151 e-155))))))))))) ((10) (let ((e-10 (vector-ref arg-1 1))) (cond ((equal? e-10 8) (if (null? arg-2) (let ((e-169 (car arg-2))) (let ((e-170 (cdr arg-2))) (lambda (clam-33) (let ((e-173 (car e-170))) (let ((e-174 (cdr e-170))) (vector 1 (CompilerC-45ESC-45Codegen-binOp "^" e-169 e-173))))))) (let ((e-178 (car arg-2))) (let ((e-179 (cdr arg-2))) (if (null? e-179) (let ((e-169 (car arg-2))) (let ((e-170 (cdr arg-2))) (lambda (clam-32) (let ((e-173 (car e-170))) (let ((e-174 (cdr e-170))) (vector 1 (CompilerC-45ESC-45Codegen-binOp "^" e-169 e-173))))))) (let ((e-182 (car e-179))) (let ((e-183 (cdr e-179))) (if (null? e-183) (lambda (eta-0) (vector 1 (CompilerC-45ESC-45Codegen-boundedUIntOp 32 "xor" e-178 e-182))) (let ((e-169 (car arg-2))) (let ((e-170 (cdr arg-2))) (lambda (clam-31) (let ((e-173 (car e-170))) (let ((e-174 (cdr e-170))) (vector 1 (CompilerC-45ESC-45Codegen-binOp "^" e-169 e-173)))))))))))))))(else (let ((e-169 (car arg-2))) (let ((e-170 (cdr arg-2))) (lambda (clam-34) (let ((e-173 (car e-170))) (let ((e-174 (cdr e-170))) (vector 1 (CompilerC-45ESC-45Codegen-binOp "^" e-169 e-173))))))))))) ((11) (let ((e-187 (car arg-2))) (let ((e-188 (cdr arg-2))) (lambda (clam-35) (let ((e-191 (car e-188))) (let ((e-192 (cdr e-188))) (vector 1 (CompilerC-45ESC-45Codegen-boolOp "<" e-187 e-191)))))))) ((12) (let ((e-196 (car arg-2))) (let ((e-197 (cdr arg-2))) (lambda (clam-36) (let ((e-200 (car e-197))) (let ((e-201 (cdr e-197))) (vector 1 (CompilerC-45ESC-45Codegen-boolOp "<=" e-196 e-200)))))))) ((13) (let ((e-205 (car arg-2))) (let ((e-206 (cdr arg-2))) (lambda (clam-37) (let ((e-209 (car e-206))) (let ((e-210 (cdr e-206))) (vector 1 (CompilerC-45ESC-45Codegen-boolOp "===" e-205 e-209)))))))) ((14) (let ((e-214 (car arg-2))) (let ((e-215 (cdr arg-2))) (lambda (clam-38) (let ((e-218 (car e-215))) (let ((e-219 (cdr e-215))) (vector 1 (CompilerC-45ESC-45Codegen-boolOp ">=" e-214 e-218)))))))) ((15) (let ((e-223 (car arg-2))) (let ((e-224 (cdr arg-2))) (lambda (clam-39) (let ((e-227 (car e-224))) (let ((e-228 (cdr e-224))) (vector 1 (CompilerC-45ESC-45Codegen-boolOp ">" e-223 e-227)))))))) ((16) (lambda (clam-40) (let ((e-232 (car arg-2))) (let ((e-233 (cdr arg-2))) (vector 1 (((csegen-6024) e-232) (vector 4 ".length"))))))) ((17) (lambda (clam-41) (let ((e-237 (car arg-2))) (let ((e-238 (cdr arg-2))) (vector 1 (((csegen-6024) ((csegen-6133) e-237)) ((csegen-6058) ".charAt(0))"))))))) ((18) (lambda (clam-42) (let ((e-242 (car arg-2))) (let ((e-243 (cdr arg-2))) (vector 1 (((csegen-6024) ((csegen-6133) e-242)) ((csegen-6058) ".slice(1))"))))))) ((19) (let ((e-247 (car arg-2))) (let ((e-248 (cdr arg-2))) (lambda (clam-43) (let ((e-251 (car e-248))) (let ((e-252 (cdr e-248))) (vector 1 (((csegen-6024) (((csegen-6024) (((csegen-6024) ((csegen-6133) e-247)) (vector 4 ".charAt("))) e-251)) (vector 4 "))"))))))))) ((20) (let ((e-256 (car arg-2))) (let ((e-257 (cdr arg-2))) (lambda (clam-44) (let ((e-260 (car e-257))) (let ((e-261 (cdr e-257))) (vector 1 (CompilerC-45ESC-45Codegen-binOp "+" e-256 e-260)))))))) ((21) (let ((e-265 (car arg-2))) (let ((e-266 (cdr arg-2))) (lambda (clam-45) (let ((e-269 (car e-266))) (let ((e-270 (cdr e-266))) (vector 1 (CompilerC-45ESC-45Codegen-binOp "+" e-265 e-269)))))))) ((22) (lambda (clam-46) (let ((e-274 (car arg-2))) (let ((e-275 (cdr arg-2))) (vector 1 (CompilerC-45ESC-45Codegen-callFun1 (CompilerC-45ESC-45Codegen-esName (csegen-1733)) e-274)))))) ((23) (let ((e-279 (car arg-2))) (let ((e-280 (cdr arg-2))) (let ((e-283 (car e-280))) (let ((e-284 (cdr e-280))) (lambda (clam-47) (let ((e-287 (car e-284))) (let ((e-288 (cdr e-284))) (vector 1 (CompilerC-45ESC-45Codegen-callFun (CompilerC-45ESC-45Codegen-esName "substr") (cons e-279 (cons e-283 (cons e-287 '()))))))))))))) ((24) (lambda (clam-48) (let ((e-292 (car arg-2))) (let ((e-293 (cdr arg-2))) (vector 1 (CompilerC-45ESC-45Codegen-callFun1 "Math.exp" e-292)))))) ((25) (lambda (clam-49) (let ((e-297 (car arg-2))) (let ((e-298 (cdr arg-2))) (vector 1 (CompilerC-45ESC-45Codegen-callFun1 "Math.log" e-297)))))) ((26) (let ((e-302 (car arg-2))) (let ((e-303 (cdr arg-2))) (lambda (clam-50) (let ((e-306 (car e-303))) (let ((e-307 (cdr e-303))) (vector 1 (CompilerC-45ESC-45Codegen-callFun "Math.pow" (cons e-302 (cons e-306 '())))))))))) ((27) (lambda (clam-51) (let ((e-311 (car arg-2))) (let ((e-312 (cdr arg-2))) (vector 1 (CompilerC-45ESC-45Codegen-callFun1 "Math.sin" e-311)))))) ((28) (lambda (clam-52) (let ((e-316 (car arg-2))) (let ((e-317 (cdr arg-2))) (vector 1 (CompilerC-45ESC-45Codegen-callFun1 "Math.cos" e-316)))))) ((29) (lambda (clam-53) (let ((e-321 (car arg-2))) (let ((e-322 (cdr arg-2))) (vector 1 (CompilerC-45ESC-45Codegen-callFun1 "Math.tan" e-321)))))) ((30) (lambda (clam-54) (let ((e-326 (car arg-2))) (let ((e-327 (cdr arg-2))) (vector 1 (CompilerC-45ESC-45Codegen-callFun1 "Math.asin" e-326)))))) ((31) (lambda (clam-55) (let ((e-331 (car arg-2))) (let ((e-332 (cdr arg-2))) (vector 1 (CompilerC-45ESC-45Codegen-callFun1 "Math.acos" e-331)))))) ((32) (lambda (clam-56) (let ((e-336 (car arg-2))) (let ((e-337 (cdr arg-2))) (vector 1 (CompilerC-45ESC-45Codegen-callFun1 "Math.atan" e-336)))))) ((33) (lambda (clam-57) (let ((e-341 (car arg-2))) (let ((e-342 (cdr arg-2))) (vector 1 (CompilerC-45ESC-45Codegen-callFun1 "Math.sqrt" e-341)))))) ((34) (lambda (clam-58) (let ((e-346 (car arg-2))) (let ((e-347 (cdr arg-2))) (vector 1 (CompilerC-45ESC-45Codegen-callFun1 ((csegen-0) "Math.floor") e-346)))))) ((35) (lambda (clam-59) (let ((e-351 (car arg-2))) (let ((e-352 (cdr arg-2))) (vector 1 (CompilerC-45ESC-45Codegen-callFun1 "Math.ceil" e-351)))))) ((36) (let ((e-16 (vector-ref arg-1 1))) (let ((e-17 (vector-ref arg-1 2))) (cond ((equal? e-16 10) (cond ((equal? e-17 12) (if (null? arg-2) (cond ((equal? e-17 10) (if (null? arg-2) (let ((e-356 (car arg-2))) (let ((e-357 (cdr arg-2))) (CompilerC-45ESC-45Codegen-castInt e-16 e-17 e-356))) (let ((e-361 (car arg-2))) (let ((e-362 (cdr arg-2))) (if (null? e-362) (lambda (eta-0) (vector 1 (CompilerC-45ESC-45Codegen-jsAnyToString e-361))) (let ((e-356 (car arg-2))) (let ((e-357 (cdr arg-2))) (CompilerC-45ESC-45Codegen-castInt e-16 e-17 e-356))))))))(else (let ((e-356 (car arg-2))) (let ((e-357 (cdr arg-2))) (CompilerC-45ESC-45Codegen-castInt e-16 e-17 e-356))))) (let ((e-366 (car arg-2))) (let ((e-367 (cdr arg-2))) (if (null? e-367) (lambda (eta-0) (vector 1 (CompilerC-45ESC-45Codegen-jsNumberOfString e-366))) (cond ((equal? e-17 10) (if (null? arg-2) (let ((e-356 (car arg-2))) (let ((e-357 (cdr arg-2))) (CompilerC-45ESC-45Codegen-castInt e-16 e-17 e-356))) (let ((e-361 (car arg-2))) (let ((e-362 (cdr arg-2))) (if (null? e-362) (lambda (eta-0) (vector 1 (CompilerC-45ESC-45Codegen-jsAnyToString e-361))) (let ((e-356 (car arg-2))) (let ((e-357 (cdr arg-2))) (CompilerC-45ESC-45Codegen-castInt e-16 e-17 e-356))))))))(else (let ((e-356 (car arg-2))) (let ((e-357 (cdr arg-2))) (CompilerC-45ESC-45Codegen-castInt e-16 e-17 e-356))))))))))(else (cond ((equal? e-17 10) (if (null? arg-2) (let ((e-356 (car arg-2))) (let ((e-357 (cdr arg-2))) (CompilerC-45ESC-45Codegen-castInt e-16 e-17 e-356))) (let ((e-361 (car arg-2))) (let ((e-362 (cdr arg-2))) (if (null? e-362) (lambda (eta-0) (vector 1 (CompilerC-45ESC-45Codegen-jsAnyToString e-361))) (let ((e-356 (car arg-2))) (let ((e-357 (cdr arg-2))) (CompilerC-45ESC-45Codegen-castInt e-16 e-17 e-356))))))))(else (let ((e-356 (car arg-2))) (let ((e-357 (cdr arg-2))) (CompilerC-45ESC-45Codegen-castInt e-16 e-17 e-356))))))))(else (cond ((equal? e-17 10) (if (null? arg-2) (let ((e-356 (car arg-2))) (let ((e-357 (cdr arg-2))) (CompilerC-45ESC-45Codegen-castInt e-16 e-17 e-356))) (let ((e-361 (car arg-2))) (let ((e-362 (cdr arg-2))) (if (null? e-362) (lambda (eta-0) (vector 1 (CompilerC-45ESC-45Codegen-jsAnyToString e-361))) (let ((e-356 (car arg-2))) (let ((e-357 (cdr arg-2))) (CompilerC-45ESC-45Codegen-castInt e-16 e-17 e-356))))))))(else (let ((e-356 (car arg-2))) (let ((e-357 (cdr arg-2))) (CompilerC-45ESC-45Codegen-castInt e-16 e-17 e-356)))))))))) ((37) (let ((e-372 (cdr arg-2))) (let ((e-376 (cdr e-372))) (lambda (clam-60) (let ((e-379 (car e-376))) (let ((e-380 (cdr e-376))) (vector 1 e-379))))))) (else (let ((e-385 (cdr arg-2))) (lambda (clam-61) (let ((e-388 (car e-385))) (let ((e-389 (cdr e-385))) (vector 1 (CompilerC-45ESC-45Codegen-jsCrashExp e-388))))))))))
(define CompilerC-45ESC-45Codegen-jsNumberOfString (lambda (ext-0) (CompilerC-45ESC-45Codegen-callFun1 (CompilerC-45ESC-45Codegen-esName "numberOfString") ext-0)))
(define CompilerC-45ESC-45Codegen-jsNameDoc (lambda (arg-0 ext-0) (vector 4 (CompilerC-45ESC-45Codegen-jsName arg-0 ext-0))))
(define CompilerC-45ESC-45Codegen-jsName (lambda (arg-0 arg-1) (let ((sc0 (CompilerC-45NoMangle-isNoMangle arg-0 arg-1))) (if (null? sc0) (CompilerC-45ESC-45Codegen-jsMangleName arg-1) (let ((e-1 (unbox sc0))) e-1)))))
(define CompilerC-45ESC-45Codegen-jsMod (lambda (arg-0 arg-1 arg-2) (CompilerC-45ESC-45Codegen-case--jsMod-4007 arg-2 arg-1 arg-0 (CompilerC-45ESC-45Codegen-jsIntKind arg-0))))
(define CompilerC-45ESC-45Codegen-jsMangleName (lambda (arg-0) (case (vector-ref arg-0 0) ((0) (let ((e-0 (vector-ref arg-0 1))) (let ((e-1 (vector-ref arg-0 2))) (string-append (CompilerC-45ESC-45Codegen-jsIdent (CoreC-45NameC-45Namespace-showNSWithSep "_" e-0)) (string-append "_" (CompilerC-45ESC-45Codegen-jsMangleName e-1)))))) ((1) (let ((e-2 (vector-ref arg-0 1))) (CompilerC-45ESC-45Codegen-jsUserName e-2))) ((2) (let ((e-3 (vector-ref arg-0 1))) (let ((e-4 (vector-ref arg-0 2))) (string-append (CompilerC-45ESC-45Codegen-jsIdent e-3) (string-append "_" (PreludeC-45Show-u--show_Show_Int e-4)))))) ((3) (let ((e-5 (vector-ref arg-0 1))) (string-append "pat__" (CompilerC-45ESC-45Codegen-jsMangleName e-5)))) ((4) (let ((e-8 (vector-ref arg-0 2))) (CompilerC-45ESC-45Codegen-jsMangleName e-8))) ((5) (let ((e-9 (vector-ref arg-0 1))) (let ((e-10 (vector-ref arg-0 2))) (let ((e-18 (car e-9))) (let ((e-19 (cdr e-9))) (string-append "n__" (string-append (PreludeC-45Show-u--show_Show_Int e-18) (string-append "_" (string-append (PreludeC-45Show-u--show_Show_Int e-19) (string-append "_" (CompilerC-45ESC-45Codegen-jsMangleName e-10))))))))))) ((6) (let ((e-11 (vector-ref arg-0 1))) (let ((e-12 (vector-ref arg-0 2))) (string-append "case__" (string-append (CompilerC-45ESC-45Codegen-jsIdent e-11) (string-append "_" (PreludeC-45Show-u--show_Show_Int e-12))))))) ((7) (let ((e-13 (vector-ref arg-0 1))) (let ((e-14 (vector-ref arg-0 2))) (string-append "with__" (string-append (CompilerC-45ESC-45Codegen-jsIdent e-13) (string-append "_" (PreludeC-45Show-u--show_Show_Int e-14))))))) (else (let ((e-15 (vector-ref arg-0 1))) (string-append "fn__" (PreludeC-45Show-u--show_Show_Int e-15)))))))
(define CompilerC-45ESC-45Codegen-jsIntOfString (lambda (arg-0) (let ((sc0 (CompilerC-45ESC-45Codegen-useBigInt arg-0))) (cond ((equal? sc0 1) (lambda (eta-0) (CompilerC-45ESC-45Codegen-jsBigIntOfString eta-0))) (else (lambda (eta-0) (CompilerC-45ESC-45Codegen-callFun1 (CompilerC-45ESC-45Codegen-esName "intOfString") eta-0)))))))
(define CompilerC-45ESC-45Codegen-jsIntOfDouble (lambda (arg-0 ext-0) ((CompilerC-45ESC-45Codegen-toInt arg-0) (CompilerC-45ESC-45Codegen-callFun1 "Math.trunc" ext-0))))
(define CompilerC-45ESC-45Codegen-jsIntOfChar (lambda (arg-0 arg-1) ((CompilerC-45ESC-45Codegen-toInt arg-0) (CompilerC-45ESC-45Doc-u--C-60C-43C-62_Semigroup_Doc arg-1 (CompilerC-45ESC-45Doc-u--fromString_FromString_Doc ".codePointAt(0)")))))
(define CompilerC-45ESC-45Codegen-jsIntKind (lambda (arg-0) (cond ((equal? arg-0 0) (box (vector 0 (box 32))))(else (CoreC-45TT-intKind arg-0)))))
(define CompilerC-45ESC-45Codegen-jsIdent (lambda (arg-0) (PreludeC-45Interfaces-concatMap (csegen-85) (csegen-16) (lambda (eta-0) (CompilerC-45ESC-45Codegen-n--11399-2670-u--okchar arg-0 eta-0)) (PreludeC-45Types-fastUnpack arg-0))))
(define CompilerC-45ESC-45Codegen-jsCrashExp (lambda (ext-0) (CompilerC-45ESC-45Codegen-callFun1 (CompilerC-45ESC-45Codegen-esName "crashExp") ext-0)))
(define CompilerC-45ESC-45Codegen-jsConstant (lambda (arg-0) (case (vector-ref arg-0 0) ((0) (let ((e-0 (vector-ref arg-0 1))) (PreludeC-45Show-u--show_Show_Int e-0))) ((1) (let ((e-1 (vector-ref arg-0 1))) (PreludeC-45Show-u--show_Show_Int8 e-1))) ((2) (let ((e-2 (vector-ref arg-0 1))) (PreludeC-45Show-u--show_Show_Int16 e-2))) ((3) (let ((e-3 (vector-ref arg-0 1))) (PreludeC-45Show-u--show_Show_Int32 e-3))) ((4) (let ((e-4 (vector-ref arg-0 1))) (string-append (PreludeC-45Show-u--show_Show_Int64 e-4) "n"))) ((5) (let ((e-5 (vector-ref arg-0 1))) (string-append (PreludeC-45Show-u--show_Show_Integer e-5) "n"))) ((6) (let ((e-6 (vector-ref arg-0 1))) (PreludeC-45Show-u--show_Show_Bits8 e-6))) ((7) (let ((e-7 (vector-ref arg-0 1))) (PreludeC-45Show-u--show_Show_Bits16 e-7))) ((8) (let ((e-8 (vector-ref arg-0 1))) (PreludeC-45Show-u--show_Show_Bits32 e-8))) ((9) (let ((e-9 (vector-ref arg-0 1))) (string-append (PreludeC-45Show-u--show_Show_Bits64 e-9) "n"))) ((10) (let ((e-10 (vector-ref arg-0 1))) (CompilerC-45ESC-45Codegen-jsString e-10))) ((11) (let ((e-11 (vector-ref arg-0 1))) (CompilerC-45ESC-45Codegen-jsString (DataC-45String-singleton e-11)))) ((12) (let ((e-12 (vector-ref arg-0 1))) (PreludeC-45Show-u--show_Show_Double e-12))) ((13) (let ((e-13 (vector-ref arg-0 1))) (CompilerC-45ESC-45Codegen-jsPrimType e-13))) (else (CompilerC-45ESC-45Codegen-esName "idrisworld")))))
(define CompilerC-45ESC-45Codegen-jsCharOfInt (lambda (arg-0 ext-0) (CompilerC-45ESC-45Codegen-callFun1 (CompilerC-45ESC-45Codegen-esName "truncToChar") ((CompilerC-45ESC-45Codegen-fromInt arg-0) ext-0))))
(define CompilerC-45ESC-45Codegen-jsBigIntOfString (lambda (ext-0) (CompilerC-45ESC-45Codegen-callFun1 (CompilerC-45ESC-45Codegen-esName "bigIntOfString") ext-0)))
(define CompilerC-45ESC-45Codegen-jsAnyToString (lambda (arg-0) (CompilerC-45ESC-45Doc-u--C-60C-43C-62_Semigroup_Doc (CompilerC-45ESC-45Doc-u--C-60C-43C-62_Semigroup_Doc (CompilerC-45ESC-45Doc-u--fromString_FromString_Doc "(''+") arg-0) (vector 4 ")"))))
(define CompilerC-45ESC-45Codegen-isFun (lambda (arg-0) (case (vector-ref arg-0 0) ((1) 0)(else 1))))
(define CompilerC-45ESC-45Codegen-isArg (lambda (arg-0 arg-1) (cond ((equal? arg-0 0) (case (vector-ref arg-1 0) ((1) (let ((e-1 (vector-ref arg-1 2))) (case (vector-ref e-1 0) ((7) 0) ((4) (let ((e-5 (vector-ref e-1 1))) (if (null? e-5) 0 1))) ((5) (let ((e-9 (vector-ref e-1 1))) (if (null? e-9) 0 1))) ((6) 0)(else 1))))(else 1)))(else 1))))
(define CompilerC-45ESC-45Codegen-integerOp (lambda (arg-0 arg-1 arg-2) (CompilerC-45ESC-45Codegen-callFun (PreludeC-45Types-fastConcat (cons "_" (cons arg-0 (cons "BigInt" '())))) (cons arg-1 (cons arg-2 '())))))
(define CompilerC-45ESC-45Codegen-insertBreak (lambda (arg-1 arg-2) (if (null? arg-1) arg-2 (let ((e-3 (car arg-2))) (let ((e-4 (cdr arg-2))) (cons e-3 (CompilerC-45ESC-45Doc-vcat (cons e-4 (cons (vector 4 "break;") '())))))))))
(define CompilerC-45ESC-45Codegen-function (lambda (arg-0 arg-1 arg-2) (CompilerC-45ESC-45Doc-C-60C-43C-43C-62 (vector 4 "function") (CompilerC-45ESC-45Doc-u--C-60C-43C-62_Semigroup_Doc (CompilerC-45ESC-45Doc-u--C-60C-43C-62_Semigroup_Doc (CompilerC-45ESC-45Codegen-app arg-0 arg-1) (vector 2 )) (CompilerC-45ESC-45Doc-block arg-2)))))
(define CompilerC-45ESC-45Codegen-fromInt (lambda (arg-0) (let ((sc0 (CompilerC-45ESC-45Codegen-useBigInt arg-0))) (cond ((equal? sc0 1) (lambda (eta-0) (CompilerC-45ESC-45Codegen-fromBigInt eta-0))) (else (lambda (eta-0) eta-0))))))
(define CompilerC-45ESC-45Codegen-fromBigInt (lambda (ext-0) (CompilerC-45ESC-45Codegen-callFun1 "Number" ext-0)))
(define CompilerC-45ESC-45Codegen-foreignDecl (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (let ((eff-0 (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-5) (lambda (arg-6) ((((eff-1 'erased) 'erased) arg-5) arg-6)))) (csegen-6123))) eff-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((sc1 (CompilerC-45ESC-45Codegen-searchForeign e-5 arg-4))) (case (vector-ref sc1 0) ((1) (let ((e-2 (vector-ref sc1 1))) (CompilerC-45ESC-45Codegen-makeForeign arg-0 arg-1 arg-2 arg-3 e-2))) (else (let ((e-6 (vector-ref sc1 1))) (lambda (eta-0) (CompilerC-45ESC-45State-errorConcat (cons "No supported backend found in the definition of " (cons (CoreC-45Name-u--show_Show_Name arg-3) (cons ". " (cons "Supported backends: " (cons (CompilerC-45ESC-45Codegen-stringList e-5) (cons ". " (cons "Backends in definition: " (cons (CompilerC-45ESC-45Codegen-stringList e-6) (cons "." '()))))))))) eta-0)))))))) eff-1)))))))))
(define CompilerC-45ESC-45Codegen-foreign (lambda (arg-0 arg-1 arg-2 arg-3) (if (null? arg-3) (lambda (eta-0) (vector 1 '())) (let ((e-2 (car arg-3))) (let ((e-3 (cdr arg-3))) (if (null? e-3) (lambda (eta-0) (vector 1 '())) (let ((e-7 (cdr e-3))) (case (vector-ref e-7 0) ((2) (let ((e-8 (vector-ref e-7 1))) (let ((eff-0 (CompilerC-45ESC-45Codegen-foreignDecl arg-1 arg-0 arg-2 e-2 e-8))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-4 (vector-ref eta-3 1))) (vector 0 e-4))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-4) (lambda (arg-5) ((((eff-1 'erased) 'erased) arg-4) arg-5)))) (lambda (eta-0) (PreludeC-45Types-u--pure_Applicative_List (CompilerC-45ESC-45Doc-pretty eta-0))))) eff-0))))(else (lambda (eta-0) (vector 1 '())))))))))))
(define CompilerC-45ESC-45Codegen-exp (lambda (arg-0 arg-1 arg-2) (case (vector-ref arg-2 0) ((0) (let ((e-0 (vector-ref arg-2 1))) (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (CompilerC-45ESC-45Codegen-minimal e-5 e-0))))) eff-1))))))))) ((1) (let ((e-1 (vector-ref arg-2 1))) (let ((e-2 (vector-ref arg-2 2))) (case (vector-ref e-2 0) ((0) (let ((e-14 (vector-ref e-2 1))) (case (vector-ref e-14 0) ((3) (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CompilerC-45ESC-45Codegen-exp arg-0 arg-1 e-14))) (((csegen-50) ((let ((eff-2 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-3 (vector-ref eta-3 1))) (vector 0 e-3))) (else (let ((e-6 (vector-ref eta-3 1))) (vector 1 (eta-2 e-6))))))))))) (lambda (arg-3) (lambda (arg-4) ((((eff-2 'erased) 'erased) arg-3) arg-4)))) (lambda (u--e) (((csegen-6024) (CompilerC-45ESC-45Codegen-lambdaArgs e-5 e-1)) (CompilerC-45ESC-45Doc-paren u--e))))) eff-1)))) eff-1))))))))(else (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CompilerC-45ESC-45Codegen-exp arg-0 arg-1 e-14))) (((csegen-50) ((let ((eff-2 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-3 (vector-ref eta-3 1))) (vector 0 e-3))) (else (let ((e-6 (vector-ref eta-3 1))) (vector 1 (eta-2 e-6))))))))))) (lambda (arg-3) (lambda (arg-4) ((((eff-2 'erased) 'erased) arg-3) arg-4)))) (lambda (arg-3) (CompilerC-45ESC-45Doc-u--C-60C-43C-62_Semigroup_Doc (CompilerC-45ESC-45Codegen-lambdaArgs e-5 e-1) arg-3)))) eff-1)))) eff-1)))))))))))(else (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CompilerC-45ESC-45Codegen-stmt (box '()) arg-0 arg-1 e-2))) (((csegen-50) ((let ((eff-2 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-3 (vector-ref eta-3 1))) (vector 0 e-3))) (else (let ((e-6 (vector-ref eta-3 1))) (vector 1 (eta-2 e-6))))))))))) (lambda (arg-3) (lambda (arg-4) ((((eff-2 'erased) 'erased) arg-3) arg-4)))) (lambda (eta-0) (CompilerC-45ESC-45Doc-u--C-60C-43C-62_Semigroup_Doc (CompilerC-45ESC-45Codegen-lambdaArgs e-5 e-1) (CompilerC-45ESC-45Doc-block eta-0))))) eff-1)))) eff-1)))))))))))) ((2) (let ((e-3 (vector-ref arg-2 1))) (let ((e-4 (vector-ref arg-2 2))) (let ((eff-0 (CompilerC-45ESC-45Codegen-exp arg-0 arg-1 e-3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45ESC-45Codegen-exp arg-0 arg-1 eta-0)) e-4 '()))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (CompilerC-45ESC-45Codegen-app e-5 e-6))))) eff-2))))))))) eff-1)))))))))) ((3) (let ((e-5 (vector-ref arg-2 1))) (let ((e-6 (vector-ref arg-2 2))) (let ((e-7 (vector-ref arg-2 3))) (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45ESC-45Codegen-exp arg-0 arg-1 eta-0)) e-7 '()))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-8 (vector-ref eta-3 1))) (vector 1 (eta-2 e-8))))))))))) (lambda (arg-3) (lambda (arg-4) ((((eff-1 'erased) 'erased) arg-3) arg-4)))) (lambda (eta-0) (CompilerC-45ESC-45Codegen-applyCon e-6 e-5 eta-0)))) eff-0)))))) ((4) (let ((e-9 (vector-ref arg-2 1))) (let ((e-10 (vector-ref arg-2 2))) (let ((eff-0 (CoreC-45Core-traverseVect (lambda (eta-0) (CompilerC-45ESC-45Codegen-exp arg-0 arg-1 eta-0)) e-10))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CompilerC-45ESC-45Codegen-jsOp e-9 e-5))) eff-1)))))))))) ((5) (let ((e-11 (vector-ref arg-2 1))) (let ((e-12 (vector-ref arg-2 2))) (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45ESC-45Codegen-exp arg-0 arg-1 eta-0)) e-12 '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CompilerC-45ESC-45Codegen-jsPrim arg-0 e-11 e-5))) eff-1)))))))))) ((6) (let ((e-13 (vector-ref arg-2 1))) (lambda (eta-0) (vector 1 (vector 4 (CompilerC-45ESC-45Codegen-jsConstant e-13)))))) (else (lambda (eta-0) (vector 1 (vector 4 "undefined")))))))
(define CompilerC-45ESC-45Codegen-esName (lambda (arg-0) (string-append "_" arg-0)))
(define CompilerC-45ESC-45Codegen-def (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (let ((e-0 (vector-ref arg-4 0))) (let ((e-1 (vector-ref arg-4 1))) (let ((e-2 (vector-ref arg-4 2))) (let ((eff-0 (CompilerC-45ESC-45State-reset arg-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-1 (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (unbox eff-2))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-3 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (let ((eff-2 (CoreC-45ContextC-45Log-log arg-0 "compiler.javascript.doc" 50 (lambda () (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons "Looking up " (cons (CoreC-45Name-u--show_Show_Name e-0) '()))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-3 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-3 (let ((eff-3 (CoreC-45Context-lookupCtxtExact e-0 (let ((e-37 (vector-ref e-6 0))) e-37)))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-3 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (if (null? e-8) (lambda (eta-0) (vector 1 '())) (let ((e-3 (unbox e-8))) (let ((sc5 (CoreC-45Name-dropNS e-0))) (case (vector-ref sc5 0) ((1) (let ((eff-4 (IdrisC-45DocC-45String-prettyType arg-0 arg-1 (lambda (eta-0) (vector 0 )) (let ((e-28 (vector-ref e-3 2))) e-28)))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-9 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (box (vector 4 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--show_Show_C-40DocC-32C-36annC-41 e-9))))))) eff-5))))))))(else (lambda (eta-0) (vector 1 '()))))))))) eff-4))))))))) eff-3)))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-3 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CompilerC-45ESC-45State-getOrRegisterRef arg-2 e-0))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-3 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45ESC-45State-registerLocal arg-2 eta-0)) e-1 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-3 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (let ((eff-5 (let ((eff-5 (let ((eff-5 arg-2)) (PrimIO-io_bind (let ((eff-6 eff-5)) (lambda (eta-0) (unbox eff-6))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (((csegen-50) ((let ((eff-6 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-3 (vector-ref eta-3 1))) (vector 0 e-3))) (else (let ((e-10 (vector-ref eta-3 1))) (vector 1 (eta-2 e-10))))))))))) (lambda (arg-5) (lambda (arg-6) ((((eff-6 'erased) 'erased) arg-5) arg-6)))) (lambda (eta-0) (let ((e-17 (vector-ref eta-0 0))) e-17)))) eff-5)))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-3 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-10 (vector-ref lcase-5 1))) (let ((eff-6 (let ((eff-6 (let ((eff-6 (CompilerC-45ESC-45ToAst-stmt arg-2 '() e-2))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-3 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-11 (vector-ref lcase-6 1))) (let ((eff-7 (CompilerC-45ESC-45Codegen-stmt (box '()) arg-2 arg-3 e-11))) eff-7))))))))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-3 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-11 (vector-ref lcase-6 1))) (let ((eff-7 (let ((u--cmt (vector 3 (CompilerC-45ESC-45Doc-hsep (cons (vector 4 (CoreC-45Name-u--show_Show_Name e-0)) (PreludeC-45Types-u--toList_Foldable_Maybe (PreludeC-45Interfaces-C-60C-36C-62 (csegen-76) (lambda (arg-5) (CompilerC-45ESC-45Doc-C-60C-43C-43C-62 (vector 4 ":") arg-5)) e-7))))))) (if (null? e-9) (let ((eff-7 (let ((eff-7 arg-3)) (PrimIO-io_bind (let ((eff-8 eff-7)) (lambda (eta-0) (unbox eff-8))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-3 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-12 (vector-ref lcase-7 1))) (let ((eff-8 (lambda (eta-0) (vector 1 (CompilerC-45ESC-45Codegen-printDoc e-10 (CompilerC-45ESC-45Doc-vcat (cons u--cmt (cons (CompilerC-45ESC-45Codegen-constant (CompilerC-45ESC-45Codegen-var e-12 e-8) (((csegen-6024) (((csegen-6024) ((csegen-6058) "__lazy(")) (CompilerC-45ESC-45Codegen-function (CompilerC-45ESC-45Doc-u--neutral_Monoid_Doc) '() e-11))) (vector 4 ")"))) '())))))))) eff-8))))))) (let ((eff-7 (let ((eff-7 arg-3)) (PrimIO-io_bind (let ((eff-8 eff-7)) (lambda (eta-0) (unbox eff-8))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-3 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-12 (vector-ref lcase-7 1))) (let ((eff-8 (let ((eff-8 (let ((eff-8 arg-3)) (PrimIO-io_bind (let ((eff-9 eff-8)) (lambda (eta-0) (unbox eff-9))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-8 (lambda (lcase-8) (case (vector-ref lcase-8 0) ((0) (let ((e-3 (vector-ref lcase-8 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-13 (vector-ref lcase-8 1))) (let ((eff-9 (lambda (eta-0) (vector 1 (CompilerC-45ESC-45Codegen-printDoc e-10 (CompilerC-45ESC-45Doc-vcat (cons u--cmt (cons (CompilerC-45ESC-45Codegen-function (CompilerC-45ESC-45Codegen-var e-12 e-8) (((csegen-25) (lambda (eta-1) (CompilerC-45ESC-45Codegen-var e-13 eta-1))) e-9) e-11) '())))))))) eff-9))))))))) eff-8))))))))))) eff-7))))))))) eff-6))))))))) eff-5))))))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))
(define CompilerC-45ESC-45Codegen-constant (lambda (arg-0 arg-1) (CompilerC-45ESC-45Doc-C-60C-43C-43C-62 (vector 4 "const") (CompilerC-45ESC-45Doc-u--C-60C-43C-62_Semigroup_Doc (CompilerC-45ESC-45Doc-u--C-60C-43C-62_Semigroup_Doc (CompilerC-45ESC-45Doc-u--C-60C-43C-62_Semigroup_Doc arg-0 (CompilerC-45ESC-45Doc-softEq)) arg-1) (vector 4 ";")))))
(define CompilerC-45ESC-45Codegen-conTags (lambda (arg-0) (DataC-45List-u--zipWith_Zippable_List (lambda (u--i) (lambda (u--a) (CompilerC-45ESC-45Doc-hcat (cons (vector 4 "a") (cons (vector 4 (PreludeC-45Show-u--show_Show_Nat u--i)) (cons (CompilerC-45ESC-45Doc-softColon) (cons u--a '()))))))) (PreludeC-45Types-u--rangeFromTo_Range_Nat 1 (PreludeC-45TypesC-45List-lengthTR arg-0)) arg-0)))
(define CompilerC-45ESC-45Codegen-compileToES (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (let ((eff-0 (CompilerC-45NoMangle-initNoMangle arg-0 arg-4 (lambda (eta-0) (CompilerC-45ESC-45Codegen-validJSName eta-0))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CompilerC-45Common-getCompileDataWith arg-0 arg-4 0 0 arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-getDirectives arg-0 arg-2))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((u--mode (let ((sc3 (PreludeC-45Types-elem (csegen-16) (csegen-43) "minimal" e-7))) (cond ((equal? sc3 1) 2) (else (let ((sc4 (PreludeC-45Types-elem (csegen-16) (csegen-43) "compact" e-7))) (cond ((equal? sc4 1) 1) (else 0)))))))) (let ((eff-3 (let ((eff-3 (let ((eff-3 e-5)) (PrimIO-io_bind (let ((eff-4 eff-3)) (lambda (eta-0) (unbox eff-4))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (CoreC-45Core-newRef (vector "Compiler.ES.State.ESs" ) (CompilerC-45ESC-45State-init u--mode (lambda (eta-0) (CompilerC-45ESC-45Codegen-isArg u--mode eta-0)) (lambda (eta-0) (CompilerC-45ESC-45Codegen-isFun eta-0)) arg-4 e-8)))) eff-4))))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45ESC-45State-addRef e-8 (CompilerC-45ESC-45Codegen-tailRec) (vector 0 (CompilerC-45ESC-45Codegen-tailRec))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-5 (let ((u--allDefs (cons (cons (CompilerC-45ESC-45Codegen-mainExpr) (cons (vector 2 ) (vector 0 '() (CoreC-45CompileExpr-forget '() (let ((e-0 (vector-ref e-6 0))) e-0))))) (let ((e-2 (vector-ref e-6 2))) e-2)))) (let ((u--defs (CompilerC-45ESC-45TailRec-functions (CompilerC-45ESC-45Codegen-tailRec) u--allDefs))) (let ((eff-5 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45ESC-45Codegen-def arg-0 arg-1 e-8 e-5 eta-0)) u--defs '()))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-10 (vector-ref lcase-5 1))) (let ((eff-6 (let ((eff-6 (let ((eff-6 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45ESC-45Codegen-foreign e-8 arg-0 e-5 eta-0)) u--allDefs '()))) (((csegen-50) ((let ((eff-7 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-11 (vector-ref eta-3 1))) (vector 1 (eta-2 e-11))))))))))) (lambda (arg-5) (lambda (arg-6) ((((eff-7 'erased) 'erased) arg-5) arg-6)))) (csegen-3768))) eff-6)))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-2 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-11 (vector-ref lcase-6 1))) (let ((eff-7 (let ((eff-7 (let ((eff-7 (let ((eff-7 e-5)) (PrimIO-io_bind (let ((eff-8 eff-7)) (lambda (eta-0) (unbox eff-8))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-2 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-12 (vector-ref lcase-7 1))) (let ((eff-8 (let ((eff-8 (CompilerC-45ESC-45State-getOrRegisterRef e-8 (CompilerC-45ESC-45Codegen-mainExpr)))) (((csegen-50) ((let ((eff-9 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-13 (vector-ref eta-3 1))) (vector 1 (eta-2 e-13))))))))))) (lambda (arg-5) (lambda (arg-6) ((((eff-9 'erased) 'erased) arg-5) arg-6)))) (lambda (eta-0) (CompilerC-45ESC-45Doc-compact (CompilerC-45ESC-45Codegen-var e-12 eta-0))))) eff-8)))) eff-8))))))))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-2 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-12 (vector-ref lcase-7 1))) (let ((eff-8 (let ((u--main (string-append "try{" (string-append e-12 "()}catch(e){if(e instanceof IdrisError){console.log('ERROR: ' + e.message)}else{throw e} }")))) (let ((u--allDecls (DataC-45String-fastUnlines (PreludeC-45TypesC-45List-tailRecAppend e-11 e-10)))) (let ((eff-8 (let ((eff-8 e-8)) (PrimIO-io_bind (let ((eff-9 eff-8)) (lambda (eta-0) (unbox eff-9))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-8 (lambda (lcase-8) (case (vector-ref lcase-8 0) ((0) (let ((e-2 (vector-ref lcase-8 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-13 (vector-ref lcase-8 1))) (let ((eff-9 (let ((eff-9 (CoreC-45Directory-readDataFile arg-0 "js/support.js"))) (PrimIO-io_bind eff-9 (lambda (lcase-9) (case (vector-ref lcase-9 0) ((0) (let ((e-2 (vector-ref lcase-9 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-14 (vector-ref lcase-9 1))) (let ((eff-10 (let ((u--pre (CoreC-45NameC-45Namespace-showSep "\xa;" (cons e-14 (LibrariesC-45DataC-45SortedMap-values (let ((e-17 (vector-ref e-13 7))) e-17)))))) (lambda (eta-0) (vector 1 (DataC-45String-fastUnlines (cons u--pre (cons u--allDecls (cons u--main '()))))))))) eff-10))))))))) eff-9))))))))))) eff-8))))))))) eff-7))))))))) eff-6))))))))))) eff-5)))))))) eff-4)))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))
(define CompilerC-45ESC-45Codegen-castInt (lambda (arg-0 arg-1 arg-2) (CompilerC-45ESC-45Codegen-case--castInt-4586 arg-2 arg-1 arg-0 (cons (cons arg-0 (CompilerC-45ESC-45Codegen-jsIntKind arg-0)) (cons arg-1 (CompilerC-45ESC-45Codegen-jsIntKind arg-1))))))
(define CompilerC-45ESC-45Codegen-callFun1 (lambda (arg-0 ext-0) (CompilerC-45ESC-45Codegen-callFun arg-0 (PreludeC-45Types-u--pure_Applicative_List ext-0))))
(define CompilerC-45ESC-45Codegen-callFun (lambda (ext-0 ext-1) (CompilerC-45ESC-45Codegen-app (vector 4 ext-0) ext-1)))
(define CompilerC-45ESC-45Codegen-breakDrop1 (lambda (arg-0 ext-0) (let ((sc0 (DataC-45String-break (lambda (arg-1) (PreludeC-45EqOrd-u--C-61C-61_Eq_Char arg-1 arg-0)) ext-0))) (let ((e-2 (car sc0))) (let ((e-3 (cdr sc0))) (cons e-2 (LibrariesC-45DataC-45StringC-45Extra-drop 1 e-3)))))))
(define CompilerC-45ESC-45Codegen-boundedUIntOp (lambda (ext-0 ext-1 ext-2 ext-3) (CompilerC-45ESC-45Codegen-boundedOp "u" ext-0 ext-1 ext-2 ext-3)))
(define CompilerC-45ESC-45Codegen-boundedOp (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (CompilerC-45ESC-45Codegen-callFun (PreludeC-45Types-fastConcat (cons "_" (cons arg-2 (cons (PreludeC-45Show-u--show_Show_Int arg-1) (cons arg-0 '()))))) (cons arg-3 (cons arg-4 '())))))
(define CompilerC-45ESC-45Codegen-boundedIntOp (lambda (ext-0 ext-1 ext-2 ext-3) (CompilerC-45ESC-45Codegen-boundedOp "s" ext-0 ext-1 ext-2 ext-3)))
(define CompilerC-45ESC-45Codegen-boolOp (lambda (arg-0 arg-1 arg-2) (CompilerC-45ESC-45Doc-u--C-60C-43C-62_Semigroup_Doc (CompilerC-45ESC-45Doc-u--C-60C-43C-62_Semigroup_Doc (CompilerC-45ESC-45Doc-u--fromString_FromString_Doc "(") (CompilerC-45ESC-45Codegen-binOp arg-0 arg-1 arg-2)) (vector 4 "?1:0)"))))
(define CompilerC-45ESC-45Codegen-binOp (lambda (arg-0 arg-1 arg-2) (CompilerC-45ESC-45Doc-hcat (cons (vector 4 "(") (cons arg-1 (cons (vector 4 arg-0) (cons arg-2 (cons (vector 4 ")") '()))))))))
(define CompilerC-45ESC-45Codegen-arithOp (lambda (arg-0 arg-1 arg-2) (if (null? arg-0) (lambda (eta-0) (lambda (eta-1) (CompilerC-45ESC-45Codegen-binOp arg-1 eta-0 eta-1))) (let ((e-1 (unbox arg-0))) (lambda (clam-0) (case (vector-ref e-1 0) ((0) (let ((e-2 (vector-ref e-1 1))) (lambda (clam-1) (if (null? e-2) (cond ((equal? arg-1 "") (CompilerC-45ESC-45Codegen-integerOp arg-2 clam-0 clam-1))(else (CompilerC-45ESC-45Codegen-binOp arg-1 clam-0 clam-1))) (let ((e-4 (unbox e-2))) (CompilerC-45ESC-45Codegen-boundedIntOp e-4 arg-2 clam-0 clam-1)))))) ((1) (let ((e-3 (vector-ref e-1 1))) (lambda (eta-1) (CompilerC-45ESC-45Codegen-boundedUIntOp e-3 arg-2 clam-0 eta-1))))(else (lambda (eta-1) (CompilerC-45ESC-45Codegen-binOp arg-1 clam-0 eta-1)))))))))
(define CompilerC-45ESC-45Codegen-applyObj (lambda (ext-0) (CompilerC-45ESC-45Codegen-applyList (vector 4 "{") (vector 4 "}") (CompilerC-45ESC-45Doc-softComma) ext-0)))
(define CompilerC-45ESC-45Codegen-applyList (lambda (arg-0 arg-1 arg-2 arg-3) (CompilerC-45ESC-45Doc-u--C-60C-43C-62_Semigroup_Doc (CompilerC-45ESC-45Doc-u--C-60C-43C-62_Semigroup_Doc arg-0 (PreludeC-45Interfaces-concat (csegen-6147) (csegen-16) (DataC-45List-intersperse arg-2 arg-3))) arg-1)))
(define CompilerC-45ESC-45Codegen-applyCon (lambda (arg-0 arg-1 arg-2) (case (vector-ref arg-0 0) ((2) (if (null? arg-2) (csegen-6149) (CompilerC-45ESC-45Codegen-applyObj (cons (CompilerC-45ESC-45Codegen-n--12027-3326-u--mkCon arg-0 arg-2 arg-1 (CompilerC-45ESC-45Codegen-tag2es arg-1)) (CompilerC-45ESC-45Codegen-conTags arg-2))))) ((5) (if (null? arg-2) (csegen-6149) (CompilerC-45ESC-45Codegen-applyObj (cons (CompilerC-45ESC-45Codegen-n--12027-3326-u--mkCon arg-0 arg-2 arg-1 (CompilerC-45ESC-45Codegen-tag2es arg-1)) (CompilerC-45ESC-45Codegen-conTags arg-2))))) ((3) (CompilerC-45ESC-45Codegen-applyObj (CompilerC-45ESC-45Codegen-conTags arg-2))) ((6) (CompilerC-45ESC-45Codegen-applyObj (CompilerC-45ESC-45Codegen-conTags arg-2))) ((7) (CompilerC-45ESC-45Codegen-applyObj (CompilerC-45ESC-45Codegen-conTags arg-2))) ((10) (if (null? arg-2) (vector 4 "undefined") (CompilerC-45ESC-45Codegen-applyObj (cons (CompilerC-45ESC-45Codegen-n--12027-3326-u--mkCon arg-0 arg-2 arg-1 (CompilerC-45ESC-45Codegen-tag2es arg-1)) (CompilerC-45ESC-45Codegen-conTags arg-2)))))(else (CompilerC-45ESC-45Codegen-applyObj (cons (CompilerC-45ESC-45Codegen-n--12027-3326-u--mkCon arg-0 arg-2 arg-1 (CompilerC-45ESC-45Codegen-tag2es arg-1)) (CompilerC-45ESC-45Codegen-conTags arg-2)))))))
(define CompilerC-45ESC-45Codegen-app (lambda (arg-0 arg-1) (CompilerC-45ESC-45Doc-u--C-60C-43C-62_Semigroup_Doc arg-0 (CompilerC-45ESC-45Codegen-applyList (vector 4 "(") (vector 4 ")") (CompilerC-45ESC-45Doc-softComma) arg-1))))
(define CompilerC-45ESC-45State-case--addToPreamble-7196 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (if (null? arg-4) (let ((eff-0 arg-2)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (set-box! eff-1 (let ((e-0 (vector-ref arg-3 0))) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-3 (vector-ref arg-3 3))) (let ((e-4 (vector-ref arg-3 4))) (let ((e-5 (vector-ref arg-3 5))) (let ((e-6 (vector-ref arg-3 6))) (let ((e-7 (vector-ref arg-3 7))) (let ((e-8 (vector-ref arg-3 8))) (let ((e-9 (vector-ref arg-3 9))) (vector e-0 e-1 e-2 e-3 e-4 e-5 e-6 (LibrariesC-45DataC-45SortedMap-insert arg-1 arg-0 e-7) e-8 e-9)))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))) (let ((e-2 (unbox arg-4))) (let ((sc1 (PreludeC-45EqOrd-u--C-61C-61_Eq_String e-2 arg-0))) (cond ((equal? sc1 1) (lambda (eta-0) (vector 1 (vector 0 )))) (else (lambda (eta-0) (CompilerC-45ESC-45State-errorConcat (cons "two incompatible definitions for " (cons arg-1 (cons "<|" (cons e-2 (cons "|> <|" (cons arg-0 (cons "|>" '()))))))) eta-0)))))))))
(define CompilerC-45ESC-45State-reset (lambda (arg-0) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (let ((e-0 (vector-ref e-5 0))) (let ((e-1 (vector-ref e-5 1))) (let ((e-2 (vector-ref e-5 2))) (let ((e-4 (vector-ref e-5 4))) (let ((e-6 (vector-ref e-5 6))) (let ((e-7 (vector-ref e-5 7))) (let ((e-8 (vector-ref e-5 8))) (let ((e-9 (vector-ref e-5 9))) (vector e-0 e-1 e-2 0 e-4 (csegen-6150) e-6 e-7 e-8 e-9)))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-1)))))))))
(define CompilerC-45ESC-45State-registerRef (lambda (arg-0 arg-1) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((sc1 (let ((sc2 (CompilerC-45ESC-45State-keepRefName arg-1 (let ((e-0 (vector-ref e-5 0))) e-0)))) (cond ((equal? sc2 1) 1) (else (DataC-45Maybe-isJust (CompilerC-45NoMangle-isNoMangle (let ((e-9 (vector-ref e-5 9))) e-9) arg-1))))))) (cond ((equal? sc1 1) (let ((u--v (vector 0 arg-1))) (let ((eff-1 (CompilerC-45ESC-45State-addRef arg-0 arg-1 u--v))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (lambda (eta-0) (vector 1 u--v)))) eff-2)))))))) (else (let ((eff-1 (CompilerC-45ESC-45State-nextRef arg-0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45ESC-45State-addRef arg-0 arg-1 e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (lambda (eta-0) (vector 1 e-6)))) eff-3)))))))) eff-2)))))))))))) eff-1)))))))))
(define CompilerC-45ESC-45State-registerLocal (lambda (arg-0 arg-1) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((sc1 (CompilerC-45ESC-45State-keepLocalName arg-1 (let ((e-0 (vector-ref e-5 0))) e-0)))) (cond ((equal? sc1 1) (let ((u--v (vector 0 arg-1))) (let ((eff-1 (CompilerC-45ESC-45State-addLocal arg-0 arg-1 (vector 0 u--v)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (lambda (eta-0) (vector 1 u--v)))) eff-2)))))))) (else (let ((eff-1 (CompilerC-45ESC-45State-nextLocal arg-0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45ESC-45State-addLocal arg-0 arg-1 (vector 0 e-6)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (lambda (eta-0) (vector 1 e-6)))) eff-3)))))))) eff-2)))))))))))) eff-1)))))))))
(define CompilerC-45ESC-45State-projections (lambda (arg-0 arg-1 arg-2) (let ((u--ps (DataC-45List-u--zip_Zippable_List (PreludeC-45Types-u--rangeFromTo_Range_Nat 1 (PreludeC-45TypesC-45List-lengthTR arg-2)) arg-2))) (CoreC-45Core-traverse_ (lambda (lamc-0) (let ((e-2 (car lamc-0))) (let ((e-3 (cdr lamc-0))) (CompilerC-45ESC-45State-addLocal arg-0 e-3 (vector 1 e-2 arg-1))))) u--ps))))
(define CompilerC-45ESC-45State-nextRef (lambda (arg-0) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (let ((e-0 (vector-ref e-5 0))) (let ((e-1 (vector-ref e-5 1))) (let ((e-2 (vector-ref e-5 2))) (let ((e-3 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-10 (vector-ref e-5 5))) (let ((e-6 (vector-ref e-5 6))) (let ((e-7 (vector-ref e-5 7))) (let ((e-8 (vector-ref e-5 8))) (let ((e-9 (vector-ref e-5 9))) (vector e-0 e-1 e-2 e-3 (bs+ e-4 1 63) e-10 e-6 e-7 e-8 e-9)))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (lambda (eta-0) (vector 1 (vector 2 (let ((e-4 (vector-ref e-5 4))) e-4)))))) eff-2)))))))) eff-1)))))))))
(define CompilerC-45ESC-45State-nextLocal (lambda (arg-0) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (let ((e-0 (vector-ref e-5 0))) (let ((e-1 (vector-ref e-5 1))) (let ((e-2 (vector-ref e-5 2))) (let ((e-3 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-10 (vector-ref e-5 5))) (let ((e-6 (vector-ref e-5 6))) (let ((e-7 (vector-ref e-5 7))) (let ((e-8 (vector-ref e-5 8))) (let ((e-9 (vector-ref e-5 9))) (vector e-0 e-1 e-2 (bs+ e-3 1 63) e-4 e-10 e-6 e-7 e-8 e-9)))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (lambda (eta-0) (vector 1 (vector 1 (let ((e-3 (vector-ref e-5 3))) e-3)))))) eff-2)))))))) eff-1)))))))))
(define CompilerC-45ESC-45State-keepRefName (lambda (arg-0 arg-1) (cond ((equal? arg-1 2) 0)(else 1))))
(define CompilerC-45ESC-45State-keepLocalName (lambda (arg-0 arg-1) (case (vector-ref arg-0 0) ((1) (cond ((equal? arg-1 0) 1)(else 0)))(else 0))))
(define CompilerC-45ESC-45State-init (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (vector arg-0 arg-1 arg-2 0 0 (csegen-6150) (csegen-6150) (LibrariesC-45DataC-45SortedMap-empty (csegen-626)) arg-3 arg-4)))
(define CompilerC-45ESC-45State-getOrRegisterRef (lambda (arg-0 arg-1) (let ((eff-0 (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (eta-0) (LibrariesC-45DataC-45SortedMap-lookup arg-1 (let ((e-6 (vector-ref eta-0 6))) e-6))))) eff-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (if (null? e-5) (CompilerC-45ESC-45State-registerRef arg-0 arg-1) (let ((e-2 (unbox e-5))) (lambda (eta-0) (vector 1 e-2)))))) eff-1)))))))))
(define CompilerC-45ESC-45State-getOrRegisterLocal (lambda (arg-0 arg-1) (let ((eff-0 (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (eta-0) (LibrariesC-45DataC-45SortedMap-lookup arg-1 (let ((e-5 (vector-ref eta-0 5))) e-5))))) eff-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (if (null? e-5) (let ((eff-1 (CompilerC-45ESC-45State-registerLocal arg-0 arg-1))) (((csegen-50) ((let ((eff-2 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-6 (vector-ref eta-3 1))) (vector 1 (eta-2 e-6))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-2 'erased) 'erased) arg-2) arg-3)))) (lambda (eta-0) (vector 0 eta-0)))) eff-1)) (let ((e-2 (unbox e-5))) (lambda (eta-0) (vector 1 e-2)))))) eff-1)))))))))
(define CompilerC-45ESC-45State-errorConcat (lambda (ext-1 ext-0) (CompilerC-45ESC-45State-error (PreludeC-45Types-fastConcat ext-1) ext-0)))
(define CompilerC-45ESC-45State-error (lambda (ext-0 ext-1) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 ext-0) ext-1)))
(define CompilerC-45ESC-45State-addToPreamble (lambda (arg-0 arg-1 arg-2) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CompilerC-45ESC-45State-case--addToPreamble-7196 arg-2 arg-1 arg-0 e-5 (LibrariesC-45DataC-45SortedMap-lookup arg-1 (let ((e-7 (vector-ref e-5 7))) e-7))))) eff-1)))))))))
(define CompilerC-45ESC-45State-addRef (lambda (arg-0 arg-1 arg-2) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (let ((e-0 (vector-ref e-5 0))) (let ((e-1 (vector-ref e-5 1))) (let ((e-2 (vector-ref e-5 2))) (let ((e-3 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-10 (vector-ref e-5 5))) (let ((e-6 (vector-ref e-5 6))) (let ((e-7 (vector-ref e-5 7))) (let ((e-8 (vector-ref e-5 8))) (let ((e-9 (vector-ref e-5 9))) (vector e-0 e-1 e-2 e-3 e-4 e-10 (LibrariesC-45DataC-45SortedMap-insert arg-1 arg-2 e-6) e-7 e-8 e-9)))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-1)))))))))
(define CompilerC-45ESC-45State-addLocal (lambda (arg-0 arg-1 arg-2) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (let ((e-0 (vector-ref e-5 0))) (let ((e-1 (vector-ref e-5 1))) (let ((e-2 (vector-ref e-5 2))) (let ((e-3 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-10 (vector-ref e-5 5))) (let ((e-6 (vector-ref e-5 6))) (let ((e-7 (vector-ref e-5 7))) (let ((e-8 (vector-ref e-5 8))) (let ((e-9 (vector-ref e-5 9))) (vector e-0 e-1 e-2 e-3 e-4 (LibrariesC-45DataC-45SortedMap-insert arg-1 arg-2 e-10) e-6 e-7 e-8 e-9)))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-1)))))))))
(define CompilerC-45ESC-45Ast-toMinimal (lambda (arg-0) (case (vector-ref arg-0 0) ((0) (let ((e-0 (vector-ref arg-0 1))) (box e-0)))(else '()))))
(define CompilerC-45ESC-45Ast-prepend (lambda (arg-1 arg-2) (if (null? arg-1) arg-2 (let ((e-2 (car arg-1))) (let ((e-3 (cdr arg-1))) (vector 7 (cons e-2 e-3) arg-2))))))
(define CompilerC-45ESC-45Ast-declare (lambda (arg-0 arg-1) (case (vector-ref arg-1 0) ((2) (let ((e-1 (vector-ref arg-1 2))) (vector 1 arg-0 e-1))) ((7) (let ((e-3 (vector-ref arg-1 1))) (let ((e-4 (vector-ref arg-1 2))) (vector 7 e-3 (CompilerC-45ESC-45Ast-declare arg-0 e-4)))))(else (vector 3 arg-0 arg-1)))))
(define CompilerC-45ESC-45TailRec-n--7551-6605-u--toTc (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (case (vector-ref arg-6 0) ((3) (let ((e-0 (vector-ref arg-6 1))) (let ((e-1 (vector-ref arg-6 2))) (let ((e-2 (vector-ref arg-6 3))) (let ((e-3 (vector-ref arg-6 4))) (vector 3 e-0 e-1 e-2 (CompilerC-45ESC-45TailRec-n--7551-6605-u--toTc arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-3))))))) ((4) (let ((e-4 (vector-ref arg-6 1))) (let ((e-5 (vector-ref arg-6 2))) (let ((e-6 (vector-ref arg-6 3))) (case (vector-ref e-5 0) ((1) (let ((e-17 (vector-ref e-5 1))) (let ((e-18 (vector-ref e-5 2))) (let ((u--x (vector 4 e-4 (vector 1 e-17 e-18) e-6))) (let ((sc2 (LibrariesC-45DataC-45SortedMap-lookup e-18 arg-0))) (if (null? sc2) (CompilerC-45ESC-45TailRec-n--7551-6603-u--tcDone arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 u--x) (let ((e-1 (unbox sc2))) (CompilerC-45ESC-45TailRec-n--7551-6604-u--tcContinue arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 (let ((e-7 (vector-ref e-1 1))) e-7) e-6))))))))(else (CompilerC-45ESC-45TailRec-n--7551-6603-u--tcDone arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6))))))) ((10) (let ((e-7 (vector-ref arg-6 1))) (let ((e-8 (vector-ref arg-6 2))) (let ((e-9 (vector-ref arg-6 3))) (let ((e-10 (vector-ref arg-6 4))) (vector 10 e-7 e-8 (((csegen-25) (lambda (eta-0) (CompilerC-45ESC-45TailRec-n--7551-6606-u--con arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 eta-0))) e-9) (((csegen-77) (lambda (eta-0) (CompilerC-45ESC-45TailRec-n--7551-6605-u--toTc arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 eta-0))) e-10))))))) ((11) (let ((e-11 (vector-ref arg-6 1))) (let ((e-12 (vector-ref arg-6 2))) (let ((e-13 (vector-ref arg-6 3))) (let ((e-14 (vector-ref arg-6 4))) (vector 11 e-11 e-12 (((csegen-25) (lambda (eta-0) (CompilerC-45ESC-45TailRec-n--7551-6607-u--const arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 eta-0))) e-13) (((csegen-77) (lambda (eta-0) (CompilerC-45ESC-45TailRec-n--7551-6605-u--toTc arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 eta-0))) e-14))))))) ((14) arg-6)(else (CompilerC-45ESC-45TailRec-n--7551-6603-u--tcDone arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6)))))
(define CompilerC-45ESC-45TailRec-n--7821-6856-u--toFun (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (let ((e-2 (car arg-4))) (let ((e-3 (cdr arg-4))) (let ((e-6 (car e-3))) (let ((e-7 (cdr e-3))) (let ((sc2 (LibrariesC-45DataC-45SortedSet-contains e-2 arg-2))) (cond ((equal? sc2 1) '()) (else (box (vector e-2 e-6 e-7)))))))))))
(define CompilerC-45ESC-45TailRec-n--7737-6765-u--toFun (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (let ((e-0 (vector-ref arg-4 0))) (let ((e-1 (vector-ref arg-4 1))) (let ((e-2 (vector-ref arg-4 2))) (let ((u--exps (((csegen-25) (lambda (eta-0) (CompilerC-45ESC-45TailRec-n--7737-6764-u--local arg-0 arg-1 arg-2 arg-3 eta-0))) e-2))) (let ((u--tcArg (vector 5 (vector 2 ) (CompilerC-45ESC-45TailRec-tcContinueName arg-1 e-1) (vector 0 ) (box e-1) u--exps))) (let ((u--tcFun (vector 1 (vector 2 ) (CompilerC-45ESC-45TailRec-n--7737-6763-u--tcFun arg-0 arg-1 arg-2 arg-3)))) (let ((u--body (vector 4 (vector 2 ) (vector 1 (vector 2 ) arg-3) (cons u--tcFun (cons u--tcArg '()))))) (vector e-0 e-2 u--body))))))))))
(define CompilerC-45ESC-45TailRec-n--7737-6763-u--tcFun (lambda (arg-0 arg-1 arg-2 arg-3) (CompilerC-45ESC-45TailRec-tcFunction arg-1)))
(define CompilerC-45ESC-45TailRec-n--7551-6603-u--tcDone (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (vector 5 (vector 2 ) (CompilerC-45ESC-45TailRec-tcDoneName arg-1) (vector 0 ) (box 0) (cons arg-6 '()))))
(define CompilerC-45ESC-45TailRec-n--7551-6604-u--tcContinue (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 ext-0) (vector 5 (vector 2 ) (CompilerC-45ESC-45TailRec-tcContinueName arg-1 arg-6) (vector 0 ) (box arg-6) ext-0)))
(define CompilerC-45ESC-45TailRec-n--7737-6764-u--local (lambda (arg-0 arg-1 arg-2 arg-3 ext-0) (vector 0 (vector 2 ) ext-0)))
(define CompilerC-45ESC-45TailRec-n--7281-6360-u--fun (lambda (arg-0 arg-1 arg-2 arg-3) (let ((e-2 (car arg-3))) (let ((e-3 (cdr arg-3))) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (LibrariesC-45DataC-45SortedMap-lookup e-3 arg-2) (lambda (_-0) (let ((e-4 (cdr _-0))) (let ((e-6 (car e-4))) (let ((e-7 (cdr e-4))) (box (cons e-3 (vector e-3 e-2 e-6 e-7))))))))))))
(define CompilerC-45ESC-45TailRec-n--7921-6940-u--def (lambda (arg-0 arg-1 arg-2) (if (null? arg-2) '() (let ((e-2 (car arg-2))) (let ((e-3 (cdr arg-2))) (if (null? e-3) '() (let ((e-7 (cdr e-3))) (case (vector-ref e-7 0) ((0) (let ((e-8 (vector-ref e-7 1))) (let ((e-9 (vector-ref e-7 2))) (box (cons e-2 (cons e-8 e-9))))))(else '())))))))))
(define CompilerC-45ESC-45TailRec-n--7551-6607-u--const (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (let ((e-0 (car arg-6))) (let ((e-1 (cdr arg-6))) (cons e-0 (CompilerC-45ESC-45TailRec-n--7551-6605-u--toTc arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-1))))))
(define CompilerC-45ESC-45TailRec-n--7551-6606-u--con (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (let ((e-0 (vector-ref arg-6 0))) (let ((e-1 (vector-ref arg-6 1))) (let ((e-2 (vector-ref arg-6 2))) (let ((e-3 (vector-ref arg-6 3))) (let ((e-4 (vector-ref arg-6 4))) (vector e-0 e-1 e-2 e-3 (CompilerC-45ESC-45TailRec-n--7551-6605-u--toTc arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-4)))))))))
(define CompilerC-45ESC-45TailRec-zipWithIndices (lambda (arg-1) (DataC-45List-u--zip_Zippable_List (CompilerC-45ESC-45TailRec-indices arg-1) arg-1)))
(define CompilerC-45ESC-45TailRec-toGroup (lambda (arg-0 arg-1) (let ((e-2 (car arg-1))) (let ((e-3 (cdr arg-1))) (let ((u--ns (CompilerC-45ESC-45TailRec-zipWithIndices (DataC-45List1-forget e-3)))) (cons e-2 (LibrariesC-45DataC-45SortedMap-fromList (csegen-1609) (PreludeC-45TypesC-45List-mapMaybeAppend '() (lambda (eta-0) (CompilerC-45ESC-45TailRec-n--7281-6360-u--fun e-2 e-3 arg-0 eta-0)) u--ns))))))))
(define CompilerC-45ESC-45TailRec-tcFunction (lambda (ext-0) (vector 2 "$tcOpt" ext-0)))
(define CompilerC-45ESC-45TailRec-tcDoneName (lambda (arg-0) (vector 2 "TcDone" arg-0)))
(define CompilerC-45ESC-45TailRec-tcContinueName (lambda (arg-0 arg-1) (vector 2 (string-append "TcContinue" (PreludeC-45Show-u--show_Show_Int arg-0)) arg-1)))
(define CompilerC-45ESC-45TailRec-tcArgName(blodwen-lazy (lambda () (vector 2 "$a" 0))))
(define CompilerC-45ESC-45TailRec-tailRecOptim (lambda (arg-0 arg-1 arg-2 arg-3) (let ((u--regular (PreludeC-45TypesC-45List-mapMaybeAppend '() (lambda (eta-0) (CompilerC-45ESC-45TailRec-n--7821-6856-u--toFun arg-3 arg-2 arg-1 arg-0 eta-0)) arg-3))) (let ((u--tailOpt (PreludeC-45Interfaces-concatMap (csegen-83) (csegen-16) (lambda (eta-0) (CompilerC-45ESC-45TailRec-convertTcGroup arg-2 eta-0)) arg-0))) (PreludeC-45TypesC-45List-tailRecAppend u--tailOpt u--regular)))))
(define CompilerC-45ESC-45TailRec-tailCalls (lambda (arg-0) (case (vector-ref arg-0 0) ((3) (let ((e-3 (vector-ref arg-0 4))) (CompilerC-45ESC-45TailRec-tailCalls e-3))) ((4) (let ((e-5 (vector-ref arg-0 2))) (case (vector-ref e-5 0) ((1) (let ((e-16 (vector-ref e-5 2))) (LibrariesC-45DataC-45SortedSet-singleton (csegen-1609) e-16)))(else (csegen-6152))))) ((10) (let ((e-9 (vector-ref arg-0 3))) (let ((e-10 (vector-ref arg-0 4))) (((csegen-6154) (PreludeC-45Interfaces-concatMap (csegen-6157) (csegen-16) (lambda (lamc-0) (let ((e-4 (vector-ref lamc-0 4))) (CompilerC-45ESC-45TailRec-tailCalls e-4))) e-9)) (PreludeC-45Interfaces-concatMap (csegen-6157) (csegen-6054) (lambda (eta-0) (CompilerC-45ESC-45TailRec-tailCalls eta-0)) e-10))))) ((11) (let ((e-13 (vector-ref arg-0 3))) (let ((e-14 (vector-ref arg-0 4))) (((csegen-6154) (PreludeC-45Interfaces-concatMap (csegen-6157) (csegen-16) (lambda (lamc-0) (let ((e-1 (cdr lamc-0))) (CompilerC-45ESC-45TailRec-tailCalls e-1))) e-13)) (PreludeC-45Interfaces-concatMap (csegen-6157) (csegen-6054) (lambda (eta-0) (CompilerC-45ESC-45TailRec-tailCalls eta-0)) e-14)))))(else (csegen-6152)))))
(define CompilerC-45ESC-45TailRec-tailCallGroups (lambda (arg-0) (let ((u--funMap (LibrariesC-45DataC-45SortedMap-fromList (csegen-1609) (((csegen-25) (lambda (u--t) (cons (Builtin-fst u--t) u--t))) arg-0)))) (let ((u--graph (((let ((eff-0 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (LibrariesC-45DataC-45SortedMap-u--map_Functor_C-40SortedMapC-32C-36kC-41 eta-2 eta-3))))))) (lambda (arg-1) (lambda (arg-2) ((((eff-0 'erased) 'erased) arg-1) arg-2)))) (lambda (lamc-0) (let ((e-3 (cdr lamc-0))) (let ((e-7 (cdr e-3))) (CompilerC-45ESC-45TailRec-tailCalls e-7))))) u--funMap))) (let ((u--groups (PreludeC-45TypesC-45List-filterAppend '() (lambda (eta-0) (CompilerC-45ESC-45TailRec-hasTailCalls u--graph eta-0)) (LibrariesC-45DataC-45Graph-tarjan (csegen-1609) u--graph)))) (((csegen-25) (lambda (eta-0) (CompilerC-45ESC-45TailRec-toGroup u--funMap eta-0))) (CompilerC-45ESC-45TailRec-zipWithIndices u--groups)))))))
(define CompilerC-45ESC-45TailRec-indices (lambda (arg-1) (PreludeC-45Types-u--rangeFromTo_Range_C-36a (csegen-302) 1 (blodwen-toSignedInt (PreludeC-45TypesC-45List-lengthTR arg-1) 63))))
(define CompilerC-45ESC-45TailRec-hasTailCalls (lambda (arg-0 arg-1) (if (null? arg-1) 1 (let ((e-1 (car arg-1))) (let ((e-2 (cdr arg-1))) (if (null? e-2) (PreludeC-45Types-maybe (lambda () 0) (lambda () (lambda (eta-0) (LibrariesC-45DataC-45SortedSet-contains e-1 eta-0))) (LibrariesC-45DataC-45SortedMap-lookup e-1 arg-0)) 1))))))
(define CompilerC-45ESC-45TailRec-functions (lambda (arg-0 arg-1) (let ((u--ts (PreludeC-45TypesC-45List-mapMaybeAppend '() (lambda (eta-0) (CompilerC-45ESC-45TailRec-n--7921-6940-u--def arg-1 arg-0 eta-0)) arg-1))) (let ((u--groups (CompilerC-45ESC-45TailRec-tailCallGroups u--ts))) (let ((u--names (LibrariesC-45DataC-45SortedSet-fromList (csegen-1609) (PreludeC-45Interfaces-concatMap (csegen-83) (csegen-16) (lambda (eta-0) (LibrariesC-45DataC-45SortedMap-keys (let ((e-1 (cdr eta-0))) e-1))) u--groups)))) (CompilerC-45ESC-45TailRec-tailRecOptim u--groups u--names arg-0 u--ts))))))
(define CompilerC-45ESC-45TailRec-convertTcGroup (lambda (arg-0 arg-1) (let ((e-0 (car arg-1))) (let ((e-1 (cdr arg-1))) (let ((u--functions (DataC-45List-sortBy (lambda (eta-0) (lambda (eta-1) (PreludeC-45EqOrd-comparing (csegen-298) (lambda (eta-2) (let ((e-4 (vector-ref eta-2 1))) e-4)) eta-0 eta-1))) (LibrariesC-45DataC-45SortedMap-values e-1)))) (let ((u--branches (((csegen-25) (lambda (eta-0) (CompilerC-45ESC-45TailRec-conAlt arg-1 eta-0))) u--functions))) (let ((u--switch (vector 10 (vector 2 ) (CompilerC-45ESC-45TailRec-n--7737-6764-u--local e-1 e-0 arg-1 arg-0 (CompilerC-45ESC-45TailRec-tcArgName)) u--branches '()))) (cons (vector (CompilerC-45ESC-45TailRec-n--7737-6763-u--tcFun e-1 e-0 arg-1 arg-0) (cons (CompilerC-45ESC-45TailRec-tcArgName) '()) u--switch) (((csegen-25) (lambda (eta-0) (CompilerC-45ESC-45TailRec-n--7737-6765-u--toFun e-1 e-0 arg-1 arg-0 eta-0))) u--functions)))))))))
(define CompilerC-45ESC-45TailRec-conAlt (lambda (arg-0 arg-1) (let ((e-0 (car arg-0))) (let ((e-1 (cdr arg-0))) (let ((e-2 (vector-ref arg-1 0))) (let ((e-3 (vector-ref arg-1 1))) (let ((e-4 (vector-ref arg-1 2))) (let ((e-5 (vector-ref arg-1 3))) (let ((u--name (CompilerC-45ESC-45TailRec-tcContinueName e-0 e-3))) (vector u--name (vector 0 ) (box e-3) e-4 (CompilerC-45ESC-45TailRec-n--7551-6605-u--toTc e-1 e-0 e-5 e-4 e-3 e-2 e-5)))))))))))
(define LibrariesC-45DataC-45Graph-case--tarjanC-44strongConnect-2552 (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (if (null? arg-6) (let ((e-1 (vector-ref arg-5 0))) (let ((e-2 (vector-ref arg-5 1))) (let ((e-3 (vector-ref arg-5 2))) (let ((e-4 (vector-ref arg-5 3))) (vector e-1 e-2 e-3 e-4 1))))) (let ((e-2 (unbox arg-6))) (let ((sc1 (PreludeC-45EqOrd-u--C-61C-61_Eq_Int (let ((e-0 (vector-ref e-2 0))) e-0) (let ((e-1 (vector-ref e-2 1))) e-1)))) (cond ((equal? sc1 1) (LibrariesC-45DataC-45Graph-n--3370-1781-u--createComponent arg-1 arg-2 arg-3 arg-4 arg-5 arg-3 '())) (else arg-5)))))))
(define LibrariesC-45DataC-45Graph-case--tarjanC-44strongConnectC-44loop-2105 (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8) (if (null? arg-8) (let ((u--tsC-39 (LibrariesC-45DataC-45Graph-n--3358-1770-u--strongConnect arg-1 arg-2 arg-7 arg-5))) (let ((sc1 (LibrariesC-45DataC-45SortedMap-lookup arg-5 (let ((e-1 (vector-ref u--tsC-39 0))) e-1)))) (if (null? sc1) (let ((e-1 (vector-ref u--tsC-39 0))) (let ((e-2 (vector-ref u--tsC-39 1))) (let ((e-3 (vector-ref u--tsC-39 2))) (let ((e-4 (vector-ref u--tsC-39 3))) (vector e-1 e-2 e-3 e-4 1))))) (let ((e-2 (unbox sc1))) (let ((e-1 (vector-ref u--tsC-39 0))) (let ((e-6 (vector-ref u--tsC-39 1))) (let ((e-3 (vector-ref u--tsC-39 2))) (let ((e-4 (vector-ref u--tsC-39 3))) (let ((e-5 (vector-ref u--tsC-39 4))) (vector (LibrariesC-45DataC-45SortedMap-adjust arg-3 (lambda (rec-0) (let ((e-0 (vector-ref rec-0 0))) (let ((e-8 (vector-ref rec-0 1))) (let ((e-7 (vector-ref rec-0 2))) (vector e-0 (PreludeC-45EqOrd-u--min_Ord_Int (let ((e-10 (vector-ref e-2 1))) e-10) e-8) e-7))))) e-1) e-6 e-3 e-4 e-5)))))))))) (let ((e-2 (unbox arg-8))) (let ((sc1 (let ((e-3 (vector-ref e-2 2))) e-3))) (cond ((equal? sc1 0) arg-7) (else (let ((e-1 (vector-ref arg-7 0))) (let ((e-6 (vector-ref arg-7 1))) (let ((e-3 (vector-ref arg-7 2))) (let ((e-4 (vector-ref arg-7 3))) (let ((e-5 (vector-ref arg-7 4))) (vector (LibrariesC-45DataC-45SortedMap-adjust arg-3 (lambda (rec-0) (let ((e-0 (vector-ref rec-0 0))) (let ((e-8 (vector-ref rec-0 1))) (let ((e-7 (vector-ref rec-0 2))) (vector e-0 (PreludeC-45EqOrd-u--min_Ord_Int (let ((e-11 (vector-ref e-2 0))) e-11) e-8) e-7))))) e-1) e-6 e-3 e-4 e-5)))))))))))))
(define LibrariesC-45DataC-45Graph-case--tarjanC-44strongConnectC-44createComponent-1802 (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8) (if (null? arg-8) (let ((e-1 (vector-ref arg-7 0))) (let ((e-2 (vector-ref arg-7 1))) (let ((e-3 (vector-ref arg-7 2))) (let ((e-4 (vector-ref arg-7 3))) (vector e-1 e-2 e-3 e-4 1))))) (let ((e-2 (car arg-8))) (let ((e-3 (cdr arg-8))) (let ((u--tsC-39 (let ((e-1 (vector-ref arg-7 0))) (let ((e-6 (vector-ref arg-7 2))) (let ((e-4 (vector-ref arg-7 3))) (let ((e-5 (vector-ref arg-7 4))) (vector (LibrariesC-45DataC-45SortedMap-adjust e-2 (lambda (rec-0) (let ((e-0 (vector-ref rec-0 0))) (let ((e-9 (vector-ref rec-0 1))) (vector e-0 e-9 0)))) e-1) e-3 e-6 e-4 e-5))))))) (let ((sc1 (let ((e-1 (vector-ref arg-1 0))) (let ((e-12 (car e-1))) ((e-12 e-2) arg-6))))) (cond ((equal? sc1 1) (let ((e-1 (vector-ref u--tsC-39 0))) (let ((e-7 (vector-ref u--tsC-39 1))) (let ((e-6 (vector-ref u--tsC-39 2))) (let ((e-4 (vector-ref u--tsC-39 3))) (let ((e-5 (vector-ref u--tsC-39 4))) (vector e-1 e-7 e-6 (cons (cons arg-6 arg-5) e-4) e-5))))))) (else (LibrariesC-45DataC-45Graph-n--3370-1781-u--createComponent arg-1 arg-2 arg-3 arg-4 u--tsC-39 arg-6 (cons e-2 arg-5)))))))))))
(define LibrariesC-45DataC-45Graph-n--3370-1783-u--tsC-39 (lambda (arg-1 arg-2 arg-3 arg-4) (let ((e-1 (vector-ref arg-4 0))) (let ((e-2 (vector-ref arg-4 1))) (let ((e-3 (vector-ref arg-4 2))) (let ((e-4 (vector-ref arg-4 3))) (let ((e-5 (vector-ref arg-4 4))) (vector (LibrariesC-45DataC-45SortedMap-insert arg-3 (vector (let ((e-8 (vector-ref arg-4 2))) e-8) (let ((e-8 (vector-ref arg-4 2))) e-8) 1) e-1) (cons arg-3 e-2) (bs+ (blodwen-toSignedInt 1 63) e-3 63) e-4 e-5))))))))
(define LibrariesC-45DataC-45Graph-n--3358-1770-u--strongConnect (lambda (arg-1 arg-2 arg-3 arg-4) (let ((u--tsC-39C-39 (let ((sc0 (LibrariesC-45DataC-45SortedMap-lookup arg-4 arg-2))) (if (null? sc0) (LibrariesC-45DataC-45Graph-n--3370-1783-u--tsC-39 arg-1 arg-2 arg-4 arg-3) (let ((e-2 (unbox sc0))) (LibrariesC-45DataC-45Graph-n--3370-1782-u--loop arg-1 arg-2 arg-4 arg-3 (LibrariesC-45DataC-45Graph-n--3370-1783-u--tsC-39 arg-1 arg-2 arg-4 arg-3) (LibrariesC-45DataC-45SortedSet-toList e-2))))))) (LibrariesC-45DataC-45Graph-case--tarjanC-44strongConnect-2552 arg-1 arg-2 arg-4 arg-3 u--tsC-39C-39 (LibrariesC-45DataC-45SortedMap-lookup arg-4 (let ((e-1 (vector-ref u--tsC-39C-39 0))) e-1))))))
(define LibrariesC-45DataC-45Graph-n--3370-1782-u--loop (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (if (null? arg-6) arg-5 (let ((e-2 (car arg-6))) (let ((e-3 (cdr arg-6))) (LibrariesC-45DataC-45Graph-n--3370-1782-u--loop arg-1 arg-2 arg-3 arg-4 (LibrariesC-45DataC-45Graph-case--tarjanC-44strongConnectC-44loop-2105 arg-1 arg-2 arg-3 arg-4 e-2 e-3 arg-5 (LibrariesC-45DataC-45SortedMap-lookup e-2 (let ((e-1 (vector-ref arg-5 0))) e-1))) e-3))))))
(define LibrariesC-45DataC-45Graph-n--3358-1771-u--loop (lambda (arg-1 arg-2 arg-3 arg-4) (if (null? arg-4) (let ((sc1 (let ((e-5 (vector-ref arg-3 4))) e-5))) (cond ((equal? sc1 1) '()) (else (let ((e-4 (vector-ref arg-3 3))) e-4)))) (let ((e-2 (car arg-4))) (let ((e-3 (cdr arg-4))) (let ((sc1 (LibrariesC-45DataC-45SortedMap-lookup e-2 (let ((e-1 (vector-ref arg-3 0))) e-1)))) (if (null? sc1) (LibrariesC-45DataC-45Graph-n--3358-1771-u--loop arg-1 arg-2 (LibrariesC-45DataC-45Graph-n--3358-1770-u--strongConnect arg-1 arg-2 arg-3 e-2) e-3) (LibrariesC-45DataC-45Graph-n--3358-1771-u--loop arg-1 arg-2 arg-3 e-3))))))))
(define LibrariesC-45DataC-45Graph-n--3370-1781-u--createComponent (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (LibrariesC-45DataC-45Graph-case--tarjanC-44strongConnectC-44createComponent-1802 arg-1 arg-2 arg-3 arg-4 arg-7 arg-6 arg-5 (let ((e-2 (vector-ref arg-5 1))) e-2))))
(define LibrariesC-45DataC-45Graph-tarjan (lambda (arg-1 arg-2) (LibrariesC-45DataC-45Graph-n--3358-1771-u--loop arg-1 arg-2 (LibrariesC-45DataC-45Graph-initial arg-1) (LibrariesC-45DataC-45SortedMap-keys arg-2))))
(define LibrariesC-45DataC-45Graph-initial (lambda (arg-1) (vector (LibrariesC-45DataC-45SortedMap-empty arg-1) '() 0 '() 0)))
(define CompilerC-45ESC-45ToAst-n--7594-7884-u--go (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (case (vector-ref arg-4 0) ((2) (let ((e-1 (vector-ref arg-4 2))) (let ((e-2 (vector-ref arg-4 3))) (CompilerC-45ESC-45ToAst-n--7594-7884-u--go arg-0 arg-1 arg-2 (cons e-1 arg-3) e-2))))(else (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45ESC-45State-registerLocal arg-2 eta-0)) (PreludeC-45TypesC-45List-reverse arg-3) '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CompilerC-45ESC-45ToAst-stmt arg-2 '() arg-4))) (((csegen-50) ((let ((eff-2 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-6 (vector-ref eta-3 1))) (vector 1 (eta-2 e-6))))))))))) (lambda (arg-5) (lambda (arg-6) ((((eff-2 'erased) 'erased) arg-5) arg-6)))) (lambda (eta-0) (vector 1 e-5 eta-0)))) eff-1)))) eff-1)))))))))))
(define CompilerC-45ESC-45ToAst-tag (lambda (arg-0 arg-1) (if (null? arg-1) (vector 1 arg-0) (let ((e-2 (unbox arg-1))) (vector 0 e-2 arg-0)))))
(define CompilerC-45ESC-45ToAst-stmt (lambda (arg-0 arg-1 arg-2) (case (vector-ref arg-2 0) ((0) (let ((e-1 (vector-ref arg-2 2))) (let ((eff-0 (CompilerC-45ESC-45State-getOrRegisterLocal arg-0 e-1))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-3) (lambda (arg-4) ((((eff-1 'erased) 'erased) arg-3) arg-4)))) (lambda (eta-0) (CompilerC-45ESC-45ToAst-assign arg-1 (vector 0 eta-0))))) eff-0)))) ((1) (let ((e-3 (vector-ref arg-2 2))) (let ((eff-0 (CompilerC-45ESC-45State-getOrRegisterRef arg-0 e-3))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-4 (vector-ref eta-3 1))) (vector 0 e-4))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-3) (lambda (arg-4) ((((eff-1 'erased) 'erased) arg-3) arg-4)))) (lambda (eta-0) (CompilerC-45ESC-45ToAst-assign arg-1 (vector 0 (vector 0 eta-0)))))) eff-0)))) ((2) (let ((e-5 (vector-ref arg-2 2))) (let ((e-6 (vector-ref arg-2 3))) (let ((eff-0 (CompilerC-45ESC-45ToAst-lambda arg-0 e-5 e-6))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-7 (vector-ref eta-3 1))) (vector 1 (eta-2 e-7))))))))))) (lambda (arg-3) (lambda (arg-4) ((((eff-1 'erased) 'erased) arg-3) arg-4)))) (lambda (eta-0) (CompilerC-45ESC-45ToAst-assign arg-1 eta-0)))) eff-0))))) ((3) (let ((e-8 (vector-ref arg-2 2))) (let ((e-9 (vector-ref arg-2 3))) (let ((e-10 (vector-ref arg-2 4))) (let ((eff-0 (CompilerC-45ESC-45State-nextLocal arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CompilerC-45ESC-45ToAst-stmt arg-0 (box e-5) e-9))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45ESC-45State-addLocal arg-0 e-8 (vector 0 e-5)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (let ((eff-3 (CompilerC-45ESC-45ToAst-stmt arg-0 arg-1 e-10))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-12 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (CompilerC-45ESC-45Ast-prepend (cons (CompilerC-45ESC-45Ast-declare e-5 e-6) '()) e-12))))) eff-4))))))))) eff-3)))))))) eff-2))))))))) eff-1))))))))))) ((4) (let ((e-12 (vector-ref arg-2 2))) (let ((e-13 (vector-ref arg-2 3))) (let ((eff-0 (CompilerC-45ESC-45ToAst-liftFun arg-0 e-12))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((e-2 (car e-5))) (let ((e-3 (cdr e-5))) (let ((eff-1 (CompilerC-45ESC-45ToAst-liftArgs arg-0 e-13))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (clam-0) (let ((e-7 (car e-6))) (let ((e-4 (cdr e-6))) (vector 1 (CompilerC-45ESC-45Ast-prepend (PreludeC-45TypesC-45List-tailRecAppend e-2 e-7) (CompilerC-45ESC-45ToAst-assign arg-1 (vector 2 e-3 e-4))))))))) eff-2))))))))))) eff-1)))))))))) ((5) (let ((e-15 (vector-ref arg-2 2))) (let ((e-16 (vector-ref arg-2 3))) (let ((e-17 (vector-ref arg-2 4))) (let ((e-18 (vector-ref arg-2 5))) (let ((eff-0 (CompilerC-45ESC-45ToAst-liftArgs arg-0 e-18))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (clam-1) (let ((e-2 (car e-5))) (let ((e-3 (cdr e-5))) (vector 1 (CompilerC-45ESC-45Ast-prepend e-2 (CompilerC-45ESC-45ToAst-assign arg-1 (vector 3 (CompilerC-45ESC-45ToAst-tag e-15 e-17) e-16 e-3))))))))) eff-1)))))))))))) ((6) (let ((e-19 (vector-ref arg-2 1))) (let ((e-20 (vector-ref arg-2 2))) (let ((e-21 (vector-ref arg-2 3))) (let ((e-22 (vector-ref arg-2 4))) (let ((u--o (vector 6 e-19 e-20 e-21 e-22))) (let ((sc1 (CompilerC-45ESC-45ToAst-integerArith u--o))) (if (null? sc1) (let ((eff-0 (CompilerC-45ESC-45ToAst-liftArgsVect arg-0 e-22))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (clam-2) (let ((e-2 (car e-5))) (let ((e-3 (cdr e-5))) (vector 1 (CompilerC-45ESC-45Ast-prepend e-2 (CompilerC-45ESC-45ToAst-assign arg-1 (vector 4 e-21 e-3))))))))) eff-1))))))) (let ((e-1 (unbox sc1))) (lambda (eta-0) (vector 1 (CompilerC-45ESC-45ToAst-assign arg-1 (vector 6 (vector 5 e-1)))))))))))))) ((7) (let ((e-24 (vector-ref arg-2 2))) (let ((e-25 (vector-ref arg-2 3))) (let ((eff-0 (CompilerC-45ESC-45ToAst-liftArgs arg-0 e-25))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (clam-3) (let ((e-2 (car e-5))) (let ((e-3 (cdr e-5))) (vector 1 (CompilerC-45ESC-45Ast-prepend e-2 (CompilerC-45ESC-45ToAst-assign arg-1 (vector 5 e-24 e-3))))))))) eff-1)))))))))) ((8) (let ((e-28 (vector-ref arg-2 3))) (let ((eff-0 (CompilerC-45ESC-45ToAst-liftFun arg-0 e-28))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (clam-4) (let ((e-2 (car e-5))) (let ((e-3 (cdr e-5))) (vector 1 (CompilerC-45ESC-45Ast-prepend e-2 (CompilerC-45ESC-45ToAst-assign arg-1 (vector 2 e-3 '()))))))))) eff-1))))))))) ((9) (let ((e-31 (vector-ref arg-2 3))) (let ((eff-0 (CompilerC-45ESC-45ToAst-stmt arg-0 '() e-31))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-3) (lambda (arg-4) ((((eff-1 'erased) 'erased) arg-3) arg-4)))) (lambda (eta-0) (CompilerC-45ESC-45ToAst-assign arg-1 (vector 1 '() eta-0))))) eff-0)))) ((10) (let ((e-33 (vector-ref arg-2 2))) (let ((e-34 (vector-ref arg-2 3))) (let ((e-35 (vector-ref arg-2 4))) (if (null? e-34) (if (null? e-35) (let ((eff-0 (CompilerC-45ESC-45ToAst-liftMinimal arg-0 e-33))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((e-2 (car e-5))) (let ((e-3 (cdr e-5))) (let ((eff-1 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45ESC-45ToAst-conAlt arg-0 arg-1 e-3 eta-0)) e-34 '()))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (if (null? e-35) (lambda (eta-0) (vector 1 '())) (let ((e-4 (unbox e-35))) (let ((eff-2 (CompilerC-45ESC-45ToAst-stmt arg-0 arg-1 e-4))) (((csegen-50) ((let ((eff-3 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-7 (vector-ref eta-3 1))) (vector 0 e-7))) (else (let ((e-7 (vector-ref eta-3 1))) (vector 1 (eta-2 e-7))))))))))) (lambda (arg-3) (lambda (arg-4) ((((eff-3 'erased) 'erased) arg-3) arg-4)))) (lambda (eta-0) (box eta-0)))) eff-2)))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (CompilerC-45ESC-45Ast-prepend e-2 (vector 4 arg-1 e-3 e-6 e-7)))))) eff-3))))))))) eff-2))))))))))) eff-1))))))) (let ((e-52 (unbox e-35))) (CompilerC-45ESC-45ToAst-stmt arg-0 arg-1 e-52))) (let ((e-46 (car e-34))) (let ((e-47 (cdr e-34))) (if (null? e-47) (if (null? e-35) (let ((eff-0 (CompilerC-45ESC-45ToAst-liftMinimal arg-0 e-33))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((e-2 (car e-5))) (let ((e-3 (cdr e-5))) (let ((eff-1 (let ((eff-1 (CompilerC-45ESC-45ToAst-conAlt arg-0 arg-1 e-3 e-46))) (((csegen-50) ((let ((eff-2 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-4 (vector-ref eta-3 1))) (vector 0 e-4))) (else (let ((e-6 (vector-ref eta-3 1))) (vector 1 (eta-2 e-6))))))))))) (lambda (arg-3) (lambda (arg-4) ((((eff-2 'erased) 'erased) arg-3) arg-4)))) (lambda (eta-0) (let ((e-4 (vector-ref eta-0 2))) e-4)))) eff-1)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (CompilerC-45ESC-45Ast-prepend e-2 e-6))))) eff-2))))))))))) eff-1))))))) (let ((eff-0 (CompilerC-45ESC-45ToAst-liftMinimal arg-0 e-33))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((e-2 (car e-5))) (let ((e-3 (cdr e-5))) (let ((eff-1 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45ESC-45ToAst-conAlt arg-0 arg-1 e-3 eta-0)) e-34 '()))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (if (null? e-35) (lambda (eta-0) (vector 1 '())) (let ((e-4 (unbox e-35))) (let ((eff-2 (CompilerC-45ESC-45ToAst-stmt arg-0 arg-1 e-4))) (((csegen-50) ((let ((eff-3 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-7 (vector-ref eta-3 1))) (vector 0 e-7))) (else (let ((e-7 (vector-ref eta-3 1))) (vector 1 (eta-2 e-7))))))))))) (lambda (arg-3) (lambda (arg-4) ((((eff-3 'erased) 'erased) arg-3) arg-4)))) (lambda (eta-0) (box eta-0)))) eff-2)))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (CompilerC-45ESC-45Ast-prepend e-2 (vector 4 arg-1 e-3 e-6 e-7)))))) eff-3))))))))) eff-2))))))))))) eff-1)))))))) (let ((eff-0 (CompilerC-45ESC-45ToAst-liftMinimal arg-0 e-33))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((e-2 (car e-5))) (let ((e-3 (cdr e-5))) (let ((eff-1 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45ESC-45ToAst-conAlt arg-0 arg-1 e-3 eta-0)) e-34 '()))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (if (null? e-35) (lambda (eta-0) (vector 1 '())) (let ((e-4 (unbox e-35))) (let ((eff-2 (CompilerC-45ESC-45ToAst-stmt arg-0 arg-1 e-4))) (((csegen-50) ((let ((eff-3 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-7 (vector-ref eta-3 1))) (vector 0 e-7))) (else (let ((e-7 (vector-ref eta-3 1))) (vector 1 (eta-2 e-7))))))))))) (lambda (arg-3) (lambda (arg-4) ((((eff-3 'erased) 'erased) arg-3) arg-4)))) (lambda (eta-0) (box eta-0)))) eff-2)))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (CompilerC-45ESC-45Ast-prepend e-2 (vector 4 arg-1 e-3 e-6 e-7)))))) eff-3))))))))) eff-2))))))))))) eff-1))))))))))))))) ((11) (let ((e-37 (vector-ref arg-2 2))) (let ((e-38 (vector-ref arg-2 3))) (let ((e-39 (vector-ref arg-2 4))) (if (null? e-38) (if (null? e-39) (let ((eff-0 (CompilerC-45ESC-45ToAst-liftArg arg-0 e-37))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((e-2 (car e-5))) (let ((e-3 (cdr e-5))) (let ((eff-1 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45ESC-45ToAst-constAlt arg-0 arg-1 eta-0)) e-38 '()))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (if (null? e-39) (lambda (eta-0) (vector 1 '())) (let ((e-4 (unbox e-39))) (let ((eff-2 (CompilerC-45ESC-45ToAst-stmt arg-0 arg-1 e-4))) (((csegen-50) ((let ((eff-3 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-7 (vector-ref eta-3 1))) (vector 0 e-7))) (else (let ((e-7 (vector-ref eta-3 1))) (vector 1 (eta-2 e-7))))))))))) (lambda (arg-3) (lambda (arg-4) ((((eff-3 'erased) 'erased) arg-3) arg-4)))) (lambda (eta-0) (box eta-0)))) eff-2)))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (CompilerC-45ESC-45Ast-prepend e-2 (vector 5 arg-1 e-3 e-6 e-7)))))) eff-3))))))))) eff-2))))))))))) eff-1))))))) (let ((e-60 (unbox e-39))) (CompilerC-45ESC-45ToAst-stmt arg-0 arg-1 e-60))) (let ((e-54 (car e-38))) (let ((e-55 (cdr e-38))) (if (null? e-55) (if (null? e-39) (let ((eff-0 (CompilerC-45ESC-45ToAst-constAlt arg-0 arg-1 e-54))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-3) (lambda (arg-4) ((((eff-1 'erased) 'erased) arg-3) arg-4)))) (lambda (eta-0) (let ((e-2 (cdr eta-0))) e-2)))) eff-0)) (let ((eff-0 (CompilerC-45ESC-45ToAst-liftArg arg-0 e-37))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((e-2 (car e-5))) (let ((e-3 (cdr e-5))) (let ((eff-1 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45ESC-45ToAst-constAlt arg-0 arg-1 eta-0)) e-38 '()))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (if (null? e-39) (lambda (eta-0) (vector 1 '())) (let ((e-4 (unbox e-39))) (let ((eff-2 (CompilerC-45ESC-45ToAst-stmt arg-0 arg-1 e-4))) (((csegen-50) ((let ((eff-3 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-7 (vector-ref eta-3 1))) (vector 0 e-7))) (else (let ((e-7 (vector-ref eta-3 1))) (vector 1 (eta-2 e-7))))))))))) (lambda (arg-3) (lambda (arg-4) ((((eff-3 'erased) 'erased) arg-3) arg-4)))) (lambda (eta-0) (box eta-0)))) eff-2)))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (CompilerC-45ESC-45Ast-prepend e-2 (vector 5 arg-1 e-3 e-6 e-7)))))) eff-3))))))))) eff-2))))))))))) eff-1)))))))) (let ((eff-0 (CompilerC-45ESC-45ToAst-liftArg arg-0 e-37))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((e-2 (car e-5))) (let ((e-3 (cdr e-5))) (let ((eff-1 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45ESC-45ToAst-constAlt arg-0 arg-1 eta-0)) e-38 '()))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (if (null? e-39) (lambda (eta-0) (vector 1 '())) (let ((e-4 (unbox e-39))) (let ((eff-2 (CompilerC-45ESC-45ToAst-stmt arg-0 arg-1 e-4))) (((csegen-50) ((let ((eff-3 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-7 (vector-ref eta-3 1))) (vector 0 e-7))) (else (let ((e-7 (vector-ref eta-3 1))) (vector 1 (eta-2 e-7))))))))))) (lambda (arg-3) (lambda (arg-4) ((((eff-3 'erased) 'erased) arg-3) arg-4)))) (lambda (eta-0) (box eta-0)))) eff-2)))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (CompilerC-45ESC-45Ast-prepend e-2 (vector 5 arg-1 e-3 e-6 e-7)))))) eff-3))))))))) eff-2))))))))))) eff-1))))))))))))))) ((12) (let ((e-41 (vector-ref arg-2 2))) (lambda (eta-0) (vector 1 (CompilerC-45ESC-45ToAst-assign arg-1 (vector 6 e-41)))))) ((13) (lambda (eta-0) (vector 1 (CompilerC-45ESC-45ToAst-assign arg-1 (vector 7 ))))) (else (let ((e-44 (vector-ref arg-2 2))) (lambda (eta-0) (vector 1 (vector 6 e-44))))))))
(define CompilerC-45ESC-45ToAst-liftMinimal (lambda (arg-0 arg-1) (CompilerC-45ESC-45ToAst-lift arg-0 arg-1 (lambda (eta-0) (CompilerC-45ESC-45Ast-toMinimal eta-0)) (lambda (eta-0) (vector 0 eta-0)))))
(define CompilerC-45ESC-45ToAst-liftFun (lambda (arg-0 arg-1) (let ((eff-0 (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (eta-0) (let ((e-2 (vector-ref eta-0 2))) e-2)))) eff-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CompilerC-45ESC-45ToAst-lift arg-0 arg-1 (lambda (u--e) (PreludeC-45Interfaces-C-36C-62 (csegen-76) (PreludeC-45Interfaces-guard (csegen-326) (e-5 u--e)) u--e)) (lambda (eta-0) (vector 0 (vector 0 eta-0)))))) eff-1)))))))))
(define CompilerC-45ESC-45ToAst-liftArgsVect (lambda (arg-1 arg-2) (let ((eff-0 (CoreC-45Core-traverseVect (lambda (eta-0) (CompilerC-45ESC-45ToAst-liftArg arg-1 eta-0)) arg-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (cons (PreludeC-45Interfaces-concatMap (csegen-83) (csegen-2238) (lambda (eta-1) (Builtin-fst eta-1)) e-5) (DataC-45Vect-u--map_Functor_C-40VectC-32C-36nC-41 (lambda (eta-1) (Builtin-snd eta-1)) e-5)))))) eff-1)))))))))
(define CompilerC-45ESC-45ToAst-liftArgs (lambda (arg-0 arg-1) (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45ESC-45ToAst-liftArg arg-0 eta-0)) arg-1 '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (cons (PreludeC-45Interfaces-concatMap (csegen-83) (csegen-16) (lambda (eta-1) (Builtin-fst eta-1)) e-5) ((csegen-947) e-5)))))) eff-1)))))))))
(define CompilerC-45ESC-45ToAst-liftArg (lambda (arg-0 arg-1) (let ((eff-0 (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (eta-0) (let ((e-1 (vector-ref eta-0 1))) e-1)))) eff-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CompilerC-45ESC-45ToAst-lift arg-0 arg-1 (lambda (u--e) (PreludeC-45Interfaces-C-36C-62 (csegen-76) (PreludeC-45Interfaces-guard (csegen-326) (e-5 u--e)) u--e)) (lambda (eta-0) (vector 0 (vector 0 eta-0)))))) eff-1)))))))))
(define CompilerC-45ESC-45ToAst-lift (lambda (arg-1 arg-2 arg-3 arg-4) (let ((eff-0 (CompilerC-45ESC-45State-nextLocal arg-1))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CompilerC-45ESC-45ToAst-stmt arg-1 (box e-5) arg-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((u--pair (cons (cons (CompilerC-45ESC-45Ast-declare e-5 e-6) '()) (arg-4 e-5)))) (lambda (clam-0) (case (vector-ref e-6 0) ((2) (let ((e-1 (vector-ref e-6 2))) (vector 1 (PreludeC-45Types-maybe (lambda () u--pair) (lambda () (lambda (__infixTupleSection-0) (cons '() __infixTupleSection-0))) (arg-3 e-1)))))(else (vector 1 u--pair))))))) eff-2))))))))) eff-1)))))))))
(define CompilerC-45ESC-45ToAst-lambda (lambda (arg-0 arg-1 arg-2) (CompilerC-45ESC-45ToAst-n--7594-7884-u--go arg-2 arg-1 arg-0 (cons arg-1 '()) arg-2)))
(define CompilerC-45ESC-45ToAst-integerArith (lambda (arg-0) (case (vector-ref arg-0 0) ((6) (let ((e-0 (vector-ref arg-0 1))) (let ((e-2 (vector-ref arg-0 3))) (let ((e-3 (vector-ref arg-0 4))) (cond ((equal? e-0 0) '())(else (let ((e-4 (- e-0 1))) (cond ((equal? e-4 0) '())(else (let ((e-5 (- e-4 1))) (cond ((equal? e-5 0) (case (vector-ref e-2 0) ((0) (let ((e-6 (vector-ref e-2 1))) (cond ((equal? e-6 5) (if (null? e-3) '() (let ((e-10 (car e-3))) (let ((e-11 (cdr e-3))) (if (null? e-11) '() (let ((e-14 (car e-11))) (let ((e-15 (cdr e-11))) (if (null? e-15) (PreludeC-45Types-u--C-60C-42C-62_Applicative_Maybe (PreludeC-45Types-u--C-60C-42C-62_Applicative_Maybe (box (lambda (eta-0) (lambda (eta-1) (+ eta-0 eta-1)))) (CompilerC-45ESC-45ToAst-getInteger e-10)) (CompilerC-45ESC-45ToAst-getInteger e-14)) '()))))))))(else '())))) ((2) (let ((e-7 (vector-ref e-2 1))) (cond ((equal? e-7 5) (if (null? e-3) '() (let ((e-19 (car e-3))) (let ((e-20 (cdr e-3))) (if (null? e-20) '() (let ((e-23 (car e-20))) (let ((e-24 (cdr e-20))) (if (null? e-24) (PreludeC-45Types-u--C-60C-42C-62_Applicative_Maybe (PreludeC-45Types-u--C-60C-42C-62_Applicative_Maybe (box (lambda (eta-0) (lambda (eta-1) (* eta-0 eta-1)))) (CompilerC-45ESC-45ToAst-getInteger e-19)) (CompilerC-45ESC-45ToAst-getInteger e-23)) '()))))))))(else '()))))(else '())))(else '()))))))))))))(else '()))))
(define CompilerC-45ESC-45ToAst-getInteger (lambda (arg-0) (case (vector-ref arg-0 0) ((12) (let ((e-1 (vector-ref arg-0 2))) (case (vector-ref e-1 0) ((5) (let ((e-2 (vector-ref e-1 1))) (box e-2)))(else (CompilerC-45ESC-45ToAst-integerArith arg-0)))))(else (CompilerC-45ESC-45ToAst-integerArith arg-0)))))
(define CompilerC-45ESC-45ToAst-constAlt (lambda (arg-0 arg-1 arg-2) (let ((e-0 (car arg-2))) (let ((e-1 (cdr arg-2))) (let ((eff-0 (CompilerC-45ESC-45ToAst-stmt arg-0 arg-1 e-1))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-3) (lambda (arg-4) ((((eff-1 'erased) 'erased) arg-3) arg-4)))) (lambda (eta-0) (cons e-0 eta-0)))) eff-0))))))
(define CompilerC-45ESC-45ToAst-conAlt (lambda (arg-0 arg-1 arg-2 arg-3) (let ((e-0 (vector-ref arg-3 0))) (let ((e-1 (vector-ref arg-3 1))) (let ((e-2 (vector-ref arg-3 2))) (let ((e-3 (vector-ref arg-3 3))) (let ((e-4 (vector-ref arg-3 4))) (let ((eff-0 (CompilerC-45ESC-45State-projections arg-0 arg-2 e-3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((eff-1 (let ((eff-1 (CompilerC-45ESC-45ToAst-stmt arg-0 arg-1 e-4))) (((csegen-50) ((let ((eff-2 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-6 (vector-ref eta-3 1))) (vector 0 e-6))) (else (let ((e-6 (vector-ref eta-3 1))) (vector 1 (eta-2 e-6))))))))))) (lambda (arg-4) (lambda (arg-5) ((((eff-2 'erased) 'erased) arg-4) arg-5)))) (lambda (eta-0) (vector (CompilerC-45ESC-45ToAst-tag e-0 e-2) e-1 eta-0)))) eff-1)))) eff-1)))))))))))))
(define CompilerC-45ESC-45ToAst-assign (lambda (arg-0 ext-0) (if (null? arg-0) (vector 0 ext-0) (let ((e-0 (unbox arg-0))) (vector 2 e-0 ext-0)))))
(define CompilerC-45ESC-45Doc-n--3320-2822-u--nSpaces (lambda (arg-0) (PreludeC-45Types-fastPack (DataC-45List-replicateTR '() arg-0 #\ ))))
(define CompilerC-45ESC-45Doc-n--3320-2823-u--go (lambda (arg-0 arg-1) (case (vector-ref arg-1 0) ((0) '()) ((1) (cons "\xa;" (cons arg-0 '()))) ((2) (cons " " '())) ((3) (let ((e-0 (vector-ref arg-1 1))) (cons "/* " (PreludeC-45TypesC-45List-tailRecAppend (CompilerC-45ESC-45Doc-n--3320-2823-u--go arg-0 e-0) (cons " */" '()))))) ((4) (let ((e-1 (vector-ref arg-1 1))) (cons e-1 '()))) ((5) (let ((e-2 (vector-ref arg-1 1))) (let ((e-3 (vector-ref arg-1 2))) (CompilerC-45ESC-45Doc-n--3320-2823-u--go (string-append arg-0 (CompilerC-45ESC-45Doc-n--3320-2822-u--nSpaces e-2)) e-3)))) (else (let ((e-4 (vector-ref arg-1 1))) (let ((e-5 (vector-ref arg-1 2))) (PreludeC-45TypesC-45List-tailRecAppend (CompilerC-45ESC-45Doc-n--3320-2823-u--go arg-0 e-4) (CompilerC-45ESC-45Doc-n--3320-2823-u--go arg-0 e-5))))))))
(define CompilerC-45ESC-45Doc-n--3285-2785-u--go (lambda (arg-0) (case (vector-ref arg-0 0) ((0) '()) ((1) '()) ((2) '()) ((3) '()) ((4) (let ((e-1 (vector-ref arg-0 1))) (cons e-1 '()))) ((5) (let ((e-3 (vector-ref arg-0 2))) (CompilerC-45ESC-45Doc-n--3285-2785-u--go e-3))) (else (let ((e-4 (vector-ref arg-0 1))) (let ((e-5 (vector-ref arg-0 2))) (PreludeC-45TypesC-45List-tailRecAppend (CompilerC-45ESC-45Doc-n--3285-2785-u--go e-4) (CompilerC-45ESC-45Doc-n--3285-2785-u--go e-5))))))))
(define CompilerC-45ESC-45Doc-u--neutral_Monoid_Doc(blodwen-lazy (lambda () (vector 0 ))))
(define CompilerC-45ESC-45Doc-u--fromString_FromString_Doc (lambda (ext-0) (vector 4 ext-0)))
(define CompilerC-45ESC-45Doc-u--C-60C-43C-62_Semigroup_Doc (lambda (arg-0 arg-1) (case (vector-ref arg-0 0) ((0) arg-1)(else (case (vector-ref arg-1 0) ((0) arg-0)(else (vector 6 arg-0 arg-1)))))))
(define CompilerC-45ESC-45Doc-vcat (lambda (ext-0) (PreludeC-45Interfaces-concat (csegen-6147) (csegen-16) (DataC-45List-intersperse (vector 1 ) ext-0))))
(define CompilerC-45ESC-45Doc-softEq(blodwen-lazy (lambda () (CompilerC-45ESC-45Doc-u--C-60C-43C-62_Semigroup_Doc (CompilerC-45ESC-45Doc-u--C-60C-43C-62_Semigroup_Doc (vector 2 ) (vector 4 "=")) (vector 2 )))))
(define CompilerC-45ESC-45Doc-softComma(blodwen-lazy (lambda () (CompilerC-45ESC-45Doc-u--C-60C-43C-62_Semigroup_Doc (CompilerC-45ESC-45Doc-u--fromString_FromString_Doc ",") (vector 2 )))))
(define CompilerC-45ESC-45Doc-softColon(blodwen-lazy (lambda () (CompilerC-45ESC-45Doc-u--C-60C-43C-62_Semigroup_Doc (CompilerC-45ESC-45Doc-u--fromString_FromString_Doc ":") (vector 2 )))))
(define CompilerC-45ESC-45Doc-pretty (lambda (ext-0) (PreludeC-45Types-fastConcat (CompilerC-45ESC-45Doc-n--3320-2823-u--go "" ext-0))))
(define CompilerC-45ESC-45Doc-paren (lambda (arg-0) (CompilerC-45ESC-45Doc-u--C-60C-43C-62_Semigroup_Doc (CompilerC-45ESC-45Doc-u--C-60C-43C-62_Semigroup_Doc (CompilerC-45ESC-45Doc-u--fromString_FromString_Doc "(") arg-0) (vector 4 ")"))))
(define CompilerC-45ESC-45Doc-lambdaArrow(blodwen-lazy (lambda () (CompilerC-45ESC-45Doc-u--C-60C-43C-62_Semigroup_Doc (CompilerC-45ESC-45Doc-u--C-60C-43C-62_Semigroup_Doc (vector 2 ) (vector 4 "=>")) (vector 2 )))))
(define CompilerC-45ESC-45Doc-isMultiline (lambda (arg-0) (case (vector-ref arg-0 0) ((0) 0) ((1) 1) ((2) 0) ((4) 0) ((3) (let ((e-1 (vector-ref arg-0 1))) (CompilerC-45ESC-45Doc-isMultiline e-1))) ((5) (let ((e-3 (vector-ref arg-0 2))) (CompilerC-45ESC-45Doc-isMultiline e-3))) (else (let ((e-4 (vector-ref arg-0 1))) (let ((e-5 (vector-ref arg-0 2))) (let ((sc1 (CompilerC-45ESC-45Doc-isMultiline e-4))) (cond ((equal? sc1 1) 1) (else (CompilerC-45ESC-45Doc-isMultiline e-5))))))))))
(define CompilerC-45ESC-45Doc-hsep (lambda (ext-0) (PreludeC-45Interfaces-concat (csegen-6147) (csegen-16) (DataC-45List-intersperse (CompilerC-45ESC-45Doc-u--fromString_FromString_Doc " ") ext-0))))
(define CompilerC-45ESC-45Doc-hcat (lambda (ext-0) (PreludeC-45Interfaces-concat (csegen-6147) (csegen-16) ext-0)))
(define CompilerC-45ESC-45Doc-compact (lambda (ext-0) (PreludeC-45Types-fastConcat (CompilerC-45ESC-45Doc-n--3285-2785-u--go ext-0))))
(define CompilerC-45ESC-45Doc-block (lambda (arg-0) (PreludeC-45Interfaces-concat (csegen-6147) (csegen-16) (cons (vector 4 "{") (cons (vector 5 1 (CompilerC-45ESC-45Doc-u--C-60C-43C-62_Semigroup_Doc (vector 1 ) arg-0)) (cons (vector 1 ) (cons (CompilerC-45ESC-45Doc-u--fromString_FromString_Doc "}") '())))))))
(define CompilerC-45ESC-45Doc-C-60C-43C-43C-62 (lambda (arg-0 arg-1) (CompilerC-45ESC-45Doc-u--C-60C-43C-62_Semigroup_Doc (CompilerC-45ESC-45Doc-u--C-60C-43C-62_Semigroup_Doc arg-0 (vector 4 " ")) arg-1)))
(define CompilerC-45ESC-45Node-findNode(blodwen-lazy (lambda () (PrimIO-io_bind (System-getEnv (csegen-40) "NODE") (lambda (_-0) (if (null? _-0) (PrimIO-io_bind (LibrariesC-45UtilsC-45Path-pathLookup (cons "node" '())) (lambda (u--path) (lambda (eta-0) (DataC-45Maybe-fromMaybe (lambda () ((csegen-0) "/usr/bin/env node")) u--path)))) (let ((e-2 (unbox _-0))) (lambda (eta-0) e-2))))))))
(define CompilerC-45ESC-45Node-executeExpr (lambda (arg-0 arg-1 arg-2 arg-3) (let ((u--outn (LibrariesC-45UtilsC-45Path-C-60C-47C-62 arg-2 "_tmp_node.js"))) (let ((eff-0 (CompilerC-45ESC-45Node-compileToNode arg-0 arg-1 arg-3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Core-writeFile u--outn e-5))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (PrimIO-io_bind (CompilerC-45ESC-45Node-findNode) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (lambda (eta-0) (vector 1 (string-append "\"" (string-append e-7 "\"")))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (PrimIO-io_bind (System-system (csegen-40) (string-append e-8 (string-append " " u--outn))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (((csegen-50) ((let ((eff-5 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-9 (vector-ref eta-3 1))) (vector 1 (eta-2 e-9))))))))))) (lambda (arg-4) (lambda (arg-5) ((((eff-5 'erased) 'erased) arg-4) arg-5)))) (lambda (_-8679) (vector 0 )))) eff-4)))) eff-4))))))))) eff-3))))))))) eff-2)))))))) eff-1))))))))))
(define CompilerC-45ESC-45Node-compileToNode (lambda (arg-0 arg-1 arg-2) (CompilerC-45ESC-45Codegen-compileToES arg-0 arg-1 (vector 4 ) arg-2 (cons "node" (cons "javascript" '())))))
(define CompilerC-45ESC-45Node-compileExpr (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (let ((eff-0 (CompilerC-45ESC-45Node-compileToNode arg-0 arg-1 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--out (LibrariesC-45UtilsC-45Path-C-60C-47C-62 arg-3 arg-5))) (let ((eff-1 (CoreC-45Core-writeFile u--out e-5))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (lambda (eta-0) (vector 1 (box u--out))))) eff-2))))))))) eff-1)))))))))
(define CompilerC-45ESC-45Node-codegenNode(blodwen-lazy (lambda () (vector (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (lambda (eta-4) (lambda (eta-5) (CompilerC-45ESC-45Node-compileExpr eta-0 eta-1 eta-2 eta-3 eta-4 eta-5))))))) (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (CompilerC-45ESC-45Node-executeExpr eta-0 eta-1 eta-2 eta-3))))) '() '()))))
(define CompilerC-45SchemeC-45Gambit-case--useCC-6685 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (if (null? arg-6) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 61 arg-3 arg-2) eta-0)) (let ((e-2 (unbox arg-6))) (if (null? e-2) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 61 arg-3 arg-2) eta-0)) (let ((e-5 (car e-2))) (let ((e-6 (cdr e-2))) (cond ((equal? e-5 "scheme,gambit") (if (null? e-6) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 61 arg-3 arg-2) eta-0)) (let ((e-8 (car e-6))) (let ((e-9 (cdr e-6))) (if (null? e-9) (let ((eff-0 (CompilerC-45SchemeC-45Gambit-schemeCall arg-3 e-8 ((csegen-101) arg-1) arg-0))) (PrimIO-io_bind eff-0 (csegen-6202))) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 61 arg-3 arg-2) eta-0))))))) ((equal? e-5 "scheme") (if (null? e-6) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 61 arg-3 arg-2) eta-0)) (let ((e-12 (car e-6))) (let ((e-13 (cdr e-6))) (if (null? e-13) (let ((eff-0 (CompilerC-45SchemeC-45Gambit-schemeCall arg-3 e-12 ((csegen-101) arg-1) arg-0))) (PrimIO-io_bind eff-0 (csegen-6202))) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 61 arg-3 arg-2) eta-0))))))) ((equal? e-5 "C") (if (null? e-6) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 61 arg-3 arg-2) eta-0)) (let ((e-16 (car e-6))) (let ((e-17 (cdr e-6))) (if (null? e-17) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 61 arg-3 arg-2) eta-0)) (let ((e-19 (car e-17))) (let ((e-20 (cdr e-17))) (if (null? e-20) (let ((eff-0 (CompilerC-45SchemeC-45Gambit-cCall arg-5 arg-4 arg-3 e-16 (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-n--11933-6648-u--fnWrapName arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-16 eta-0)) e-19 arg-1 arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-7 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (cons (box e-19) e-7))))) eff-1))))))) (let ((e-24 (cdr e-20))) (if (null? e-24) (let ((eff-0 (CompilerC-45SchemeC-45Gambit-cCall arg-5 arg-4 arg-3 e-16 (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-n--11933-6648-u--fnWrapName arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-16 eta-0)) e-19 arg-1 arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-7 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (cons (box e-19) e-7))))) eff-1))))))) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 61 arg-3 arg-2) eta-0))))))))))))(else (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 61 arg-3 arg-2) eta-0)))))))))))
(define CompilerC-45SchemeC-45Gambit-n--12288-6974-u--showFld (lambda (arg-0 arg-1 arg-2 arg-3) (let ((e-2 (car arg-3))) (let ((e-3 (cdr arg-3))) (let ((eff-0 (CompilerC-45SchemeC-45Gambit-cftySpec (CoreC-45FC-emptyFC) e-3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (string-append "(" (string-append e-2 (string-append " " (string-append e-5 ")")))))))) eff-1)))))))))))
(define CompilerC-45SchemeC-45Gambit-n--11029-5798-u--replaceChar (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 ext-0) (PreludeC-45Types-fastPack (DataC-45List-replaceOn (csegen-19) arg-8 arg-9 (PreludeC-45Types-fastUnpack ext-0)))))
(define CompilerC-45SchemeC-45Gambit-n--11029-5796-u--mkNs (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9) (if (null? arg-9) '() (let ((e-2 (car arg-9))) (let ((e-3 (cdr arg-9))) (case (vector-ref e-2 0) ((18) (cons '() (CompilerC-45SchemeC-45Gambit-n--11029-5796-u--mkNs arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 e-3)))(else (cons (box (string-append "cb" (PreludeC-45Show-u--show_Show_Int arg-8))) (CompilerC-45SchemeC-45Gambit-n--11029-5796-u--mkNs arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 (bs+ arg-8 1 63) e-3)))))))))
(define CompilerC-45SchemeC-45Gambit-n--11029-5801-u--mkFun (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10) (let ((u--argns (CompilerC-45SchemeC-45Gambit-n--11029-5796-u--mkNs arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 0 arg-8))) (string-append "(lambda (" (string-append (CoreC-45NameC-45Namespace-showSep " " (PreludeC-45TypesC-45List-mapMaybeAppend '() (lambda (eta-0) eta-0) u--argns)) (string-append ") " (string-append (CompilerC-45SchemeC-45Gambit-n--11029-5797-u--applyLams arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-10 u--argns) ")")))))))
(define CompilerC-45SchemeC-45Gambit-n--10689-5524-u--funTySpec (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (case (vector-ref arg-4 0) ((19) (let ((e-0 (vector-ref arg-4 1))) (let ((e-1 (vector-ref arg-4 2))) (case (vector-ref e-0 0) ((18) (CompilerC-45SchemeC-45Gambit-n--10689-5524-u--funTySpec arg-0 arg-1 arg-2 arg-3 e-1))(else (CompilerC-45SchemeC-45Gambit-n--10689-5524-u--funTySpec arg-0 arg-1 arg-2 (cons e-0 arg-3) e-1))))))(else (let ((eff-0 (CompilerC-45SchemeC-45Gambit-cftySpec arg-2 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-cftySpec arg-2 eta-0)) (PreludeC-45TypesC-45List-reverse (PreludeC-45TypesC-45List-filterAppend '() (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-notWorld eta-0)) arg-3)) '()))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (string-append "(function (" (string-append (CoreC-45NameC-45Namespace-showSep " " e-6) (string-append ") " (string-append e-5 ")")))))))) eff-2))))))))) eff-1)))))))))))
(define CompilerC-45SchemeC-45Gambit-n--10574-5370-u--funTySpec (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (case (vector-ref arg-4 0) ((19) (let ((e-0 (vector-ref arg-4 1))) (let ((e-1 (vector-ref arg-4 2))) (case (vector-ref e-0 0) ((18) (CompilerC-45SchemeC-45Gambit-n--10574-5370-u--funTySpec arg-0 arg-1 arg-2 arg-3 e-1))(else (CompilerC-45SchemeC-45Gambit-n--10574-5370-u--funTySpec arg-0 arg-1 arg-2 (cons e-0 arg-3) e-1))))))(else (let ((eff-0 (CompilerC-45SchemeC-45Gambit-cType arg-2 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-cType arg-2 eta-0)) (PreludeC-45TypesC-45List-reverse (PreludeC-45TypesC-45List-filterAppend '() (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-notWorld eta-0)) arg-3)) '()))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (string-append e-5 (string-append " (*)(" (string-append (CoreC-45NameC-45Namespace-showSep ", " e-6) ")"))))))) eff-2))))))))) eff-1)))))))))))
(define CompilerC-45SchemeC-45Gambit-n--11933-6648-u--fnWrapName (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (string-append arg-7 (string-append "-" (string-append arg-6 "-cFunWrap")))))
(define CompilerC-45SchemeC-45Gambit-n--11029-5802-u--callback (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10) (case (vector-ref arg-10 0) ((19) (let ((e-0 (vector-ref arg-10 1))) (let ((e-1 (vector-ref arg-10 2))) (CompilerC-45SchemeC-45Gambit-n--11029-5802-u--callback arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (cons e-0 arg-9) e-1))))(else (let ((u--args (PreludeC-45TypesC-45List-reverse arg-9))) (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-cftySpec arg-5 eta-0)) (PreludeC-45TypesC-45List-filterAppend '() (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-notWorld eta-0)) u--args) '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CompilerC-45SchemeC-45Gambit-cftySpec arg-5 arg-10))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (cons (CompilerC-45SchemeC-45Gambit-n--11029-5801-u--mkFun arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 u--args arg-10 arg-8) (cons e-5 e-6)))))) eff-2))))))))) eff-1))))))))))))
(define CompilerC-45SchemeC-45Gambit-n--11029-5799-u--buildCWrapperDefs (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8) (let ((e-1 (vector-ref arg-8 1))) (let ((e-2 (vector-ref arg-8 2))) (let ((e-3 (vector-ref arg-8 3))) (let ((e-4 (vector-ref arg-8 4))) (let ((u--box (string-append e-1 "-box"))) (let ((u--setBox (string-append "\xa; (set-box! " (string-append u--box (string-append " " (string-append e-2 ")")))))) (let ((u--cWrapName (CompilerC-45SchemeC-45Gambit-n--11029-5798-u--replaceChar arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 #\- #\_ e-1))) (let ((u--boxDef (string-append "\xa;(define " (string-append u--box " (box #f))\xa;")))) (let ((u--args (let ((sc0 (PreludeC-45Types-u--C-62_Ord_Nat (PreludeC-45TypesC-45List-lengthTR e-3) 0))) (cond ((equal? sc0 1) (string-append " " (CoreC-45NameC-45Namespace-showSep " " (((csegen-25) (lambda (u--i) (string-append "farg-" (PreludeC-45Show-u--show_Show_Integer u--i)))) (PreludeC-45Types-u--rangeFromTo_Range_C-36a (cons (vector (csegen-1359) (lambda (arg-6164) (lambda (arg-6167) (PreludeC-45Num-u--div_Integral_Integer arg-6164 arg-6167))) (lambda (arg-6174) (lambda (arg-6177) (PreludeC-45Num-u--mod_Integral_Integer arg-6174 arg-6177)))) (cons (csegen-2202) (csegen-6209))) 0 (- (PreludeC-45TypesC-45List-lengthTR e-3) 1)))))) (else ""))))) (let ((u--cWrapDef (string-append "\xa;(c-define " (string-append "(" (string-append e-1 (string-append u--args (string-append ")" (string-append " (" (string-append (CoreC-45NameC-45Namespace-showSep " " e-3) (string-append ")" (string-append " " (string-append e-4 (string-append " \"" (string-append u--cWrapName (string-append "\"" (string-append " \"\"" (string-append "\xa; ((unbox " (string-append u--box (string-append ")" (string-append u--args ")\xa;)\xa;")))))))))))))))))))) (vector u--setBox u--boxDef u--cWrapDef)))))))))))))
(define CompilerC-45SchemeC-45Gambit-n--11029-5800-u--buildCFunWrapDeclaration (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10) (string-append "\xa;(c-declare #<<c-declare-end\xa;" (string-append arg-9 (string-append " " (string-append arg-8 (string-append "(" (string-append (CoreC-45NameC-45Namespace-showSep ", " arg-10) ");\xa;c-declare-end\xa;)\xa;"))))))))
(define CompilerC-45SchemeC-45Gambit-n--11029-5803-u--buildArg (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8) (let ((e-2 (car arg-8))) (let ((e-3 (cdr arg-8))) (case (vector-ref e-3 0) ((19) (let ((e-4 (vector-ref e-3 1))) (let ((e-5 (vector-ref e-3 2))) (let ((u--arg (CompilerC-45SchemeC-45Common-schName e-2))) (let ((u--schemeWrap (arg-3 u--arg))) (let ((eff-0 (CompilerC-45SchemeC-45Gambit-n--11029-5802-u--callback arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 u--arg (cons e-4 '()) e-5))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (clam-0) (let ((e-8 (car e-6))) (let ((e-7 (cdr e-6))) (let ((e-10 (car e-7))) (let ((e-9 (cdr e-7))) (vector 1 (cons u--schemeWrap (box (vector u--arg u--schemeWrap e-8 e-10 e-9))))))))))) eff-1))))))))))))(else (lambda (eta-0) (vector 1 (cons (CompilerC-45SchemeC-45Common-schName e-2) '())))))))))
(define CompilerC-45SchemeC-45Gambit-n--11029-5797-u--applyLams (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9) (if (null? arg-9) arg-8 (let ((e-2 (car arg-9))) (let ((e-3 (cdr arg-9))) (if (null? e-2) (CompilerC-45SchemeC-45Gambit-n--11029-5797-u--applyLams arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 (string-append "(" (string-append arg-8 " #f)")) e-3) (let ((e-6 (unbox e-2))) (CompilerC-45SchemeC-45Gambit-n--11029-5797-u--applyLams arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 (string-append "(" (string-append arg-8 (string-append " " (string-append e-6 ")")))) e-3))))))))
(define CompilerC-45SchemeC-45Gambit-useCC (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (CompilerC-45SchemeC-45Gambit-case--useCC-6685 arg-5 arg-4 arg-3 arg-2 arg-1 arg-0 (CompilerC-45Common-parseCC (cons "scheme,gambit" (csegen-6212)) arg-3))))
(define CompilerC-45SchemeC-45Gambit-showGambitString (lambda (arg-0) (lambda (clam-0) (if (null? arg-0) clam-0 (let ((e-2 (car arg-0))) (let ((e-3 (cdr arg-0))) (cond ((equal? e-2 #\") (string-append "\\\"" ((CompilerC-45SchemeC-45Gambit-showGambitString e-3) clam-0)))(else ((CompilerC-45SchemeC-45Gambit-showGambitChar e-2) ((CompilerC-45SchemeC-45Gambit-showGambitString e-3) clam-0))))))))))
(define CompilerC-45SchemeC-45Gambit-showGambitChar (lambda (arg-0) (lambda (clam-0) (cond ((equal? arg-0 #\\) (string-append "\\\\" clam-0))(else (let ((sc0 (PreludeC-45EqOrd-u--C-60_Ord_Char arg-0 (cast-int-char 32)))) (cond ((equal? sc0 1) (string-append (string-append "\\x" (string-append (ProtocolC-45Hex-asHex (cast-char-boundedUInt arg-0 64)) ";")) clam-0)) (else (string-cons arg-0 clam-0)))))))))
(define CompilerC-45SchemeC-45Gambit-schemeCall (lambda (arg-0 arg-1 arg-2 arg-3) (let ((u--call (string-append "(" (string-append arg-1 (string-append " " (string-append (CoreC-45NameC-45Namespace-showSep " " ((csegen-6214) arg-2)) ")")))))) (lambda (clam-0) (case (vector-ref arg-3 0) ((20) (vector 1 u--call))(else (vector 1 u--call)))))))
(define CompilerC-45SchemeC-45Gambit-schHeader(blodwen-lazy (lambda () (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons ";; " (cons (CompilerC-45Generated-generatedString "Gambit") (cons "\xa;(declare (block)\xa;  (inlining-limit 450)\xa;  (standard-bindings)\xa;  (extended-bindings)\xa;  (not safe)\xa;  (optimize-dead-definitions))\xa;" '())))))))
(define CompilerC-45SchemeC-45Gambit-schFgnDef (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (case (vector-ref arg-5 0) ((2) (let ((e-0 (vector-ref arg-5 1))) (let ((e-1 (vector-ref arg-5 2))) (let ((e-2 (vector-ref arg-5 3))) (let ((u--argns (CompilerC-45SchemeC-45Gambit-mkArgs 0 e-1))) (let ((u--allargns ((csegen-101) u--argns))) (let ((u--useargns ((csegen-101) (PreludeC-45TypesC-45List-filterAppend '() (lambda (eta-0) (Builtin-snd eta-0)) u--argns)))) (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-mkStruct arg-2 eta-0)) e-1 '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CompilerC-45SchemeC-45Gambit-mkStruct arg-2 e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-3 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45SchemeC-45Gambit-useCC arg-0 arg-1 arg-3 e-0 (DataC-45List-u--zip_Zippable_List u--useargns e-1) e-2))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-3 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((e-4 (car e-7))) (let ((e-3 (cdr e-7))) (let ((e-9 (car e-3))) (let ((e-8 (cdr e-3))) (let ((eff-3 (let ((eff-3 arg-0)) (PrimIO-io_bind (let ((eff-4 eff-3)) (lambda (eta-0) (unbox eff-4))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-10 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Context-u--full_HasNames_Name (let ((e-42 (vector-ref e-10 0))) e-42) arg-4))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-11 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-4 (string-append (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) e-5) (string-append e-6 (string-append e-8 (string-append "(define " (string-append (CompilerC-45SchemeC-45Common-schName e-11) (string-append (csegen-6218) (string-append (CoreC-45NameC-45Namespace-showSep " " ((csegen-6214) u--allargns)) (string-append ") " (string-append e-9 "))\xa;")))))))))))))) eff-5))))))))) eff-4))))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))))))(else (csegen-6219)))))
(define CompilerC-45SchemeC-45Gambit-notWorld (lambda (arg-0) (case (vector-ref arg-0 0) ((18) 0)(else 1))))
(define CompilerC-45SchemeC-45Gambit-mkStruct (lambda (arg-0 arg-1) (case (vector-ref arg-1 0) ((21) (let ((e-0 (vector-ref arg-1 1))) (let ((e-1 (vector-ref arg-1 2))) (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-mkStruct arg-0 eta-0)) ((csegen-947) e-1) '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (unbox eff-2))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((sc3 (PreludeC-45Types-elem (csegen-16) (csegen-43) e-0 e-6))) (cond ((equal? sc3 1) (lambda (eta-0) (vector 1 (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) e-5)))) (else (let ((eff-2 (let ((eff-2 arg-0)) (PrimIO-io_bind (let ((eff-3 eff-2)) (lambda (eta-0) (set-box! eff-3 (cons e-0 e-6)))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-n--12288-6974-u--showFld e-1 e-0 arg-0 eta-0)) e-1 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (string-append (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) e-5) (string-append "(define-c-struct " (string-append e-0 (string-append " " (string-append (CoreC-45NameC-45Namespace-showSep " " e-8) ")\xa;"))))))))) eff-4))))))))) eff-3))))))))))) eff-2))))))))) eff-1)))))))))) ((20) (let ((e-2 (vector-ref arg-1 1))) (CompilerC-45SchemeC-45Gambit-mkStruct arg-0 e-2))) ((19) (let ((e-3 (vector-ref arg-1 1))) (let ((e-4 (vector-ref arg-1 2))) (let ((eff-0 (let ((eff-0 (CompilerC-45SchemeC-45Gambit-mkStruct arg-0 e-3))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (_-8679) (vector 0 )))) eff-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CompilerC-45SchemeC-45Gambit-mkStruct arg-0 e-4))) eff-1)))))))))(else (lambda (eta-0) (vector 1 ""))))))
(define CompilerC-45SchemeC-45Gambit-mkArgs (lambda (arg-0 arg-1) (if (null? arg-1) '() (let ((e-2 (car arg-1))) (let ((e-3 (cdr arg-1))) (case (vector-ref e-2 0) ((18) (cons (cons (vector 2 "farg" arg-0) 0) (CompilerC-45SchemeC-45Gambit-mkArgs arg-0 e-3)))(else (cons (cons (vector 2 "farg" arg-0) 1) (CompilerC-45SchemeC-45Gambit-mkArgs (bs+ arg-0 1 63) e-3)))))))))
(define CompilerC-45SchemeC-45Gambit-handleRet (lambda (arg-0 arg-1) (cond ((equal? arg-0 "void") (string-append arg-1 (string-append " " (CompilerC-45SchemeC-45Common-schConstructor (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) (vector 1 (vector 0 "")) (box 0) '()))))(else arg-1))))
(define CompilerC-45SchemeC-45Gambit-getFgnCall (lambda (arg-0 arg-1 arg-2 arg-3) (let ((e-2 (car arg-3))) (let ((e-3 (cdr arg-3))) (let ((e-6 (car e-3))) (let ((e-7 (cdr e-3))) (CompilerC-45SchemeC-45Gambit-schFgnDef arg-0 arg-1 arg-2 e-6 e-2 e-7)))))))
(define CompilerC-45SchemeC-45Gambit-gambitString (lambda (arg-0) (string-cons #\" ((CompilerC-45SchemeC-45Gambit-showGambitString (PreludeC-45Types-fastUnpack arg-0)) "\""))))
(define CompilerC-45SchemeC-45Gambit-gambitPrim (lambda (arg-0 arg-1 arg-2) (case (vector-ref arg-1 0) ((6) (if (null? arg-2) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2) (let ((e-1 (car arg-2))) (let ((e-2 (cdr arg-2))) (case (vector-ref e-1 0) ((12) (let ((e-20 (vector-ref e-1 2))) (case (vector-ref e-20 0) ((10) (let ((e-21 (vector-ref e-20 1))) (if (null? e-2) (if (null? e-2) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2) (let ((e-5 (cdr e-2))) (if (null? e-5) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2) (let ((e-8 (cdr e-5))) (if (null? e-8) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2) (let ((e-11 (cdr e-8))) (if (null? e-11) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2) (let ((e-14 (cdr e-11))) (if (null? e-14) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2) (let ((e-17 (cdr e-14))) (if (null? e-17) (lambda (eta-0) (vector 1 "(error \"bad getField\")")) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2)))))))))))) (let ((e-24 (cdr e-2))) (if (null? e-24) (if (null? e-2) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2) (let ((e-5 (cdr e-2))) (if (null? e-5) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2) (let ((e-8 (cdr e-5))) (if (null? e-8) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2) (let ((e-11 (cdr e-8))) (if (null? e-11) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2) (let ((e-14 (cdr e-11))) (if (null? e-14) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2) (let ((e-17 (cdr e-14))) (if (null? e-17) (lambda (eta-0) (vector 1 "(error \"bad getField\")")) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2)))))))))))) (let ((e-27 (cdr e-24))) (if (null? e-27) (if (null? e-2) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2) (let ((e-5 (cdr e-2))) (if (null? e-5) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2) (let ((e-8 (cdr e-5))) (if (null? e-8) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2) (let ((e-11 (cdr e-8))) (if (null? e-11) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2) (let ((e-14 (cdr e-11))) (if (null? e-14) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2) (let ((e-17 (cdr e-14))) (if (null? e-17) (lambda (eta-0) (vector 1 "(error \"bad getField\")")) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2)))))))))))) (let ((e-29 (car e-27))) (let ((e-30 (cdr e-27))) (if (null? e-30) (if (null? e-2) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2) (let ((e-5 (cdr e-2))) (if (null? e-5) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2) (let ((e-8 (cdr e-5))) (if (null? e-8) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2) (let ((e-11 (cdr e-8))) (if (null? e-11) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2) (let ((e-14 (cdr e-11))) (if (null? e-14) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2) (let ((e-17 (cdr e-14))) (if (null? e-17) (lambda (eta-0) (vector 1 "(error \"bad getField\")")) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2)))))))))))) (let ((e-32 (car e-30))) (let ((e-33 (cdr e-30))) (case (vector-ref e-32 0) ((12) (let ((e-35 (vector-ref e-32 2))) (case (vector-ref e-35 0) ((10) (let ((e-36 (vector-ref e-35 1))) (if (null? e-33) (if (null? e-2) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2) (let ((e-5 (cdr e-2))) (if (null? e-5) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2) (let ((e-8 (cdr e-5))) (if (null? e-8) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2) (let ((e-11 (cdr e-8))) (if (null? e-11) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2) (let ((e-14 (cdr e-11))) (if (null? e-14) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2) (let ((e-17 (cdr e-14))) (if (null? e-17) (lambda (eta-0) (vector 1 "(error \"bad getField\")")) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2)))))))))))) (let ((e-39 (cdr e-33))) (if (null? e-39) (let ((eff-0 (CompilerC-45SchemeC-45Common-schExp (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) 0 e-29))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (string-append "(" (string-append e-21 (string-append "-" (string-append e-36 (string-append " " (string-append e-5 ")")))))))))) eff-1))))))) (if (null? e-2) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2) (let ((e-5 (cdr e-2))) (if (null? e-5) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2) (let ((e-8 (cdr e-5))) (if (null? e-8) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2) (let ((e-11 (cdr e-8))) (if (null? e-11) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2) (let ((e-14 (cdr e-11))) (if (null? e-14) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2) (let ((e-17 (cdr e-14))) (if (null? e-17) (lambda (eta-0) (vector 1 "(error \"bad getField\")")) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2)))))))))))))))))(else (if (null? e-2) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2) (let ((e-5 (cdr e-2))) (if (null? e-5) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2) (let ((e-8 (cdr e-5))) (if (null? e-8) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2) (let ((e-11 (cdr e-8))) (if (null? e-11) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2) (let ((e-14 (cdr e-11))) (if (null? e-14) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2) (let ((e-17 (cdr e-14))) (if (null? e-17) (lambda (eta-0) (vector 1 "(error \"bad getField\")")) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2))))))))))))))))(else (if (null? e-2) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2) (let ((e-5 (cdr e-2))) (if (null? e-5) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2) (let ((e-8 (cdr e-5))) (if (null? e-8) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2) (let ((e-11 (cdr e-8))) (if (null? e-11) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2) (let ((e-14 (cdr e-11))) (if (null? e-14) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2) (let ((e-17 (cdr e-14))) (if (null? e-17) (lambda (eta-0) (vector 1 "(error \"bad getField\")")) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2))))))))))))))))))))))))))(else (if (null? e-2) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2) (let ((e-5 (cdr e-2))) (if (null? e-5) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2) (let ((e-8 (cdr e-5))) (if (null? e-8) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2) (let ((e-11 (cdr e-8))) (if (null? e-11) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2) (let ((e-14 (cdr e-11))) (if (null? e-14) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2) (let ((e-17 (cdr e-14))) (if (null? e-17) (lambda (eta-0) (vector 1 "(error \"bad getField\")")) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2))))))))))))))))(else (if (null? e-2) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2) (let ((e-5 (cdr e-2))) (if (null? e-5) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2) (let ((e-8 (cdr e-5))) (if (null? e-8) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2) (let ((e-11 (cdr e-8))) (if (null? e-11) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2) (let ((e-14 (cdr e-11))) (if (null? e-14) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2) (let ((e-17 (cdr e-14))) (if (null? e-17) (lambda (eta-0) (vector 1 "(error \"bad getField\")")) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2)))))))))))))))))) ((7) (if (null? arg-2) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2) (let ((e-42 (car arg-2))) (let ((e-43 (cdr arg-2))) (case (vector-ref e-42 0) ((12) (let ((e-67 (vector-ref e-42 2))) (case (vector-ref e-67 0) ((10) (let ((e-68 (vector-ref e-67 1))) (if (null? e-43) (if (null? e-43) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2) (let ((e-46 (cdr e-43))) (if (null? e-46) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2) (let ((e-49 (cdr e-46))) (if (null? e-49) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2) (let ((e-52 (cdr e-49))) (if (null? e-52) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2) (let ((e-55 (cdr e-52))) (if (null? e-55) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2) (let ((e-58 (cdr e-55))) (if (null? e-58) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2) (let ((e-61 (cdr e-58))) (if (null? e-61) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2) (let ((e-64 (cdr e-61))) (if (null? e-64) (lambda (eta-0) (vector 1 "(error \"bad setField\")")) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2)))))))))))))))) (let ((e-71 (cdr e-43))) (if (null? e-71) (if (null? e-43) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2) (let ((e-46 (cdr e-43))) (if (null? e-46) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2) (let ((e-49 (cdr e-46))) (if (null? e-49) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2) (let ((e-52 (cdr e-49))) (if (null? e-52) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2) (let ((e-55 (cdr e-52))) (if (null? e-55) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2) (let ((e-58 (cdr e-55))) (if (null? e-58) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2) (let ((e-61 (cdr e-58))) (if (null? e-61) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2) (let ((e-64 (cdr e-61))) (if (null? e-64) (lambda (eta-0) (vector 1 "(error \"bad setField\")")) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2)))))))))))))))) (let ((e-74 (cdr e-71))) (if (null? e-74) (if (null? e-43) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2) (let ((e-46 (cdr e-43))) (if (null? e-46) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2) (let ((e-49 (cdr e-46))) (if (null? e-49) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2) (let ((e-52 (cdr e-49))) (if (null? e-52) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2) (let ((e-55 (cdr e-52))) (if (null? e-55) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2) (let ((e-58 (cdr e-55))) (if (null? e-58) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2) (let ((e-61 (cdr e-58))) (if (null? e-61) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2) (let ((e-64 (cdr e-61))) (if (null? e-64) (lambda (eta-0) (vector 1 "(error \"bad setField\")")) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2)))))))))))))))) (let ((e-76 (car e-74))) (let ((e-77 (cdr e-74))) (if (null? e-77) (if (null? e-43) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2) (let ((e-46 (cdr e-43))) (if (null? e-46) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2) (let ((e-49 (cdr e-46))) (if (null? e-49) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2) (let ((e-52 (cdr e-49))) (if (null? e-52) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2) (let ((e-55 (cdr e-52))) (if (null? e-55) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2) (let ((e-58 (cdr e-55))) (if (null? e-58) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2) (let ((e-61 (cdr e-58))) (if (null? e-61) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2) (let ((e-64 (cdr e-61))) (if (null? e-64) (lambda (eta-0) (vector 1 "(error \"bad setField\")")) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2)))))))))))))))) (let ((e-79 (car e-77))) (let ((e-80 (cdr e-77))) (case (vector-ref e-79 0) ((12) (let ((e-82 (vector-ref e-79 2))) (case (vector-ref e-82 0) ((10) (let ((e-83 (vector-ref e-82 1))) (if (null? e-80) (if (null? e-43) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2) (let ((e-46 (cdr e-43))) (if (null? e-46) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2) (let ((e-49 (cdr e-46))) (if (null? e-49) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2) (let ((e-52 (cdr e-49))) (if (null? e-52) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2) (let ((e-55 (cdr e-52))) (if (null? e-55) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2) (let ((e-58 (cdr e-55))) (if (null? e-58) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2) (let ((e-61 (cdr e-58))) (if (null? e-61) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2) (let ((e-64 (cdr e-61))) (if (null? e-64) (lambda (eta-0) (vector 1 "(error \"bad setField\")")) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2)))))))))))))))) (let ((e-86 (cdr e-80))) (if (null? e-86) (if (null? e-43) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2) (let ((e-46 (cdr e-43))) (if (null? e-46) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2) (let ((e-49 (cdr e-46))) (if (null? e-49) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2) (let ((e-52 (cdr e-49))) (if (null? e-52) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2) (let ((e-55 (cdr e-52))) (if (null? e-55) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2) (let ((e-58 (cdr e-55))) (if (null? e-58) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2) (let ((e-61 (cdr e-58))) (if (null? e-61) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2) (let ((e-64 (cdr e-61))) (if (null? e-64) (lambda (eta-0) (vector 1 "(error \"bad setField\")")) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2)))))))))))))))) (let ((e-88 (car e-86))) (let ((e-89 (cdr e-86))) (if (null? e-89) (if (null? e-43) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2) (let ((e-46 (cdr e-43))) (if (null? e-46) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2) (let ((e-49 (cdr e-46))) (if (null? e-49) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2) (let ((e-52 (cdr e-49))) (if (null? e-52) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2) (let ((e-55 (cdr e-52))) (if (null? e-55) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2) (let ((e-58 (cdr e-55))) (if (null? e-58) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2) (let ((e-61 (cdr e-58))) (if (null? e-61) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2) (let ((e-64 (cdr e-61))) (if (null? e-64) (lambda (eta-0) (vector 1 "(error \"bad setField\")")) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2)))))))))))))))) (let ((e-92 (cdr e-89))) (if (null? e-92) (let ((eff-0 (CompilerC-45SchemeC-45Common-schExp (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) 0 e-76))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CompilerC-45SchemeC-45Common-schExp (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) 0 e-88))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (string-append "(" (string-append e-68 (string-append "-" (string-append e-83 (string-append "-set! " (string-append e-5 (string-append " " (string-append e-6 ")")))))))))))) eff-2))))))))) eff-1))))))) (if (null? e-43) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2) (let ((e-46 (cdr e-43))) (if (null? e-46) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2) (let ((e-49 (cdr e-46))) (if (null? e-49) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2) (let ((e-52 (cdr e-49))) (if (null? e-52) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2) (let ((e-55 (cdr e-52))) (if (null? e-55) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2) (let ((e-58 (cdr e-55))) (if (null? e-58) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2) (let ((e-61 (cdr e-58))) (if (null? e-61) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2) (let ((e-64 (cdr e-61))) (if (null? e-64) (lambda (eta-0) (vector 1 "(error \"bad setField\")")) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2))))))))))))))))))))))))))(else (if (null? e-43) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2) (let ((e-46 (cdr e-43))) (if (null? e-46) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2) (let ((e-49 (cdr e-46))) (if (null? e-49) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2) (let ((e-52 (cdr e-49))) (if (null? e-52) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2) (let ((e-55 (cdr e-52))) (if (null? e-55) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2) (let ((e-58 (cdr e-55))) (if (null? e-58) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2) (let ((e-61 (cdr e-58))) (if (null? e-61) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2) (let ((e-64 (cdr e-61))) (if (null? e-64) (lambda (eta-0) (vector 1 "(error \"bad setField\")")) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2))))))))))))))))))))(else (if (null? e-43) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2) (let ((e-46 (cdr e-43))) (if (null? e-46) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2) (let ((e-49 (cdr e-46))) (if (null? e-49) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2) (let ((e-52 (cdr e-49))) (if (null? e-52) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2) (let ((e-55 (cdr e-52))) (if (null? e-55) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2) (let ((e-58 (cdr e-55))) (if (null? e-58) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2) (let ((e-61 (cdr e-58))) (if (null? e-61) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2) (let ((e-64 (cdr e-61))) (if (null? e-64) (lambda (eta-0) (vector 1 "(error \"bad setField\")")) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2))))))))))))))))))))))))))))))(else (if (null? e-43) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2) (let ((e-46 (cdr e-43))) (if (null? e-46) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2) (let ((e-49 (cdr e-46))) (if (null? e-49) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2) (let ((e-52 (cdr e-49))) (if (null? e-52) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2) (let ((e-55 (cdr e-52))) (if (null? e-55) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2) (let ((e-58 (cdr e-55))) (if (null? e-58) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2) (let ((e-61 (cdr e-58))) (if (null? e-61) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2) (let ((e-64 (cdr e-61))) (if (null? e-64) (lambda (eta-0) (vector 1 "(error \"bad setField\")")) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2))))))))))))))))))))(else (if (null? e-43) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2) (let ((e-46 (cdr e-43))) (if (null? e-46) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2) (let ((e-49 (cdr e-46))) (if (null? e-49) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2) (let ((e-52 (cdr e-49))) (if (null? e-52) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2) (let ((e-55 (cdr e-52))) (if (null? e-55) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2) (let ((e-58 (cdr e-55))) (if (null? e-58) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2) (let ((e-61 (cdr e-58))) (if (null? e-61) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2) (let ((e-64 (cdr e-61))) (if (null? e-64) (lambda (eta-0) (vector 1 "(error \"bad setField\")")) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2)))))))))))))))))))))) ((10) (if (null? arg-2) (lambda (eta-0) (vector 1 "\"gambit\"")) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2)))(else (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) arg-0 arg-1 arg-2)))))
(define CompilerC-45SchemeC-45Gambit-findGSCBackend(blodwen-lazy (lambda () (PrimIO-io_bind (System-getEnv (csegen-40) "GAMBIT_GSC_BACKEND") (lambda (u--env) (lambda (eta-0) (if (null? u--env) "" (let ((e-2 (unbox u--env))) (string-append " -cc " e-2)))))))))
(define CompilerC-45SchemeC-45Gambit-findGSC(blodwen-lazy (lambda () (PrimIO-io_bind (System-getEnv (csegen-40) "GAMBIT_GSC") (lambda (u--env) (lambda (eta-0) (DataC-45Maybe-fromMaybe (lambda () "/usr/bin/env gsc") u--env)))))))
(define CompilerC-45SchemeC-45Gambit-executeExpr (lambda (arg-0 arg-1 arg-2 arg-3) (let ((eff-0 (CompilerC-45SchemeC-45Gambit-compileExpr arg-0 arg-1 arg-2 arg-2 arg-3 "_tmpgambit"))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (if (null? e-5) (csegen-6230) (let ((e-1 (unbox e-5))) (let ((eff-1 (let ((eff-1 (PrimIO-io_bind (System-system (csegen-40) e-1) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (((csegen-50) ((let ((eff-2 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-6 (vector-ref eta-3 1))) (vector 1 (eta-2 e-6))))))))))) (lambda (arg-4) (lambda (arg-5) ((((eff-2 'erased) 'erased) arg-4) arg-5)))) (lambda (_-8679) (vector 0 )))) eff-1)))) (PrimIO-io_bind eff-1 (csegen-3296))))))) eff-1)))))))))
(define CompilerC-45SchemeC-45Gambit-compileToSCM (lambda (arg-0 arg-1 arg-2) (let ((eff-0 (CompilerC-45Common-getCompileData arg-0 0 0 arg-1))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--ndefs (let ((e-2 (vector-ref e-5 2))) e-2))) (let ((u--ctm (CoreC-45CompileExpr-forget '() (let ((e-0 (vector-ref e-5 0))) e-0)))) (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (unbox eff-2))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45Core-newRef (vector "Compiler.Scheme.Gambit.Loaded" ) '()))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45Core-newRef (vector "Compiler.Scheme.Gambit.Structs" ) '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-getFgnCall arg-0 e-7 e-8 eta-0)) u--ndefs '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (let ((eff-5 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45SchemeC-45Common-getScheme arg-0 (csegen-6221) (lambda (eta-1) (CompilerC-45SchemeC-45Gambit-gambitString eta-1)) eta-0)) u--ndefs '()))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-10 (vector-ref lcase-5 1))) (let ((eff-6 (let ((u--code (PreludeC-45Types-fastConcat (PreludeC-45TypesC-45List-tailRecAppend ((csegen-947) e-9) e-10)))) (let ((eff-6 (CompilerC-45SchemeC-45Common-schExp (csegen-6221) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-gambitString eta-0)) 0 u--ctm))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-2 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-11 (vector-ref lcase-6 1))) (let ((eff-7 (let ((eff-7 (CoreC-45Directory-readDataFile arg-0 "gambit/support.scm"))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-2 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-12 (vector-ref lcase-7 1))) (let ((eff-8 (let ((eff-8 (CoreC-45Context-getDirectives arg-0 (vector 3 )))) (PrimIO-io_bind eff-8 (lambda (lcase-8) (case (vector-ref lcase-8 0) ((0) (let ((e-2 (vector-ref lcase-8 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-13 (vector-ref lcase-8 1))) (let ((eff-9 (let ((eff-9 (CompilerC-45Common-getExtraRuntime e-13))) (PrimIO-io_bind eff-9 (lambda (lcase-9) (case (vector-ref lcase-9 0) ((0) (let ((e-2 (vector-ref lcase-9 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-14 (vector-ref lcase-9 1))) (let ((eff-10 (let ((eff-10 (CoreC-45Directory-readDataFile arg-0 "gambit/foreign.scm"))) (PrimIO-io_bind eff-10 (lambda (lcase-10) (case (vector-ref lcase-10 0) ((0) (let ((e-2 (vector-ref lcase-10 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-15 (vector-ref lcase-10 1))) (let ((eff-11 (let ((u--scm (CoreC-45NameC-45Namespace-showSep "\xa;" (cons (CompilerC-45SchemeC-45Gambit-schHeader) (cons e-12 (cons e-14 (cons e-15 (cons u--code (cons e-11 '()))))))))) (let ((eff-11 (PrimIO-io_bind (SystemC-45FileC-45ReadWrite-writeFile (csegen-40) arg-2 u--scm) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-11 (lambda (lcase-11) (case (vector-ref lcase-11 0) ((0) (let ((e-2 (vector-ref lcase-11 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-16 (vector-ref lcase-11 1))) (let ((eff-12 (lambda (clam-0) (case (vector-ref e-16 0) ((1) (vector 1 (PreludeC-45TypesC-45List-mapMaybeAppend '() (lambda (eta-0) (Builtin-fst eta-0)) e-9))) (else (let ((e-17 (vector-ref e-16 1))) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 51 arg-2 e-17) clam-0))))))) eff-12)))))))))) eff-11))))))))) eff-10))))))))) eff-9))))))))) eff-8))))))))) eff-7)))))))))) eff-6))))))))) eff-5))))))))) eff-4))))))))) eff-3))))))))) eff-2)))))))))) eff-1)))))))))
(define CompilerC-45SchemeC-45Gambit-compileExpr (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (let ((u--srcPath (LibrariesC-45UtilsC-45Path-C-60C-47C-62 arg-2 (LibrariesC-45UtilsC-45Path-C-60C-46C-62 arg-5 "scm")))) (let ((u--execPath (LibrariesC-45UtilsC-45Path-C-60C-47C-62 arg-3 arg-5))) (let ((eff-0 (CompilerC-45SchemeC-45Gambit-compileToSCM arg-0 arg-4 u--srcPath))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45Directory-findLibraryFile arg-0 eta-0)) (((csegen-25) (lambda (arg-6) (LibrariesC-45UtilsC-45Path-C-60C-46C-62 arg-6 "a"))) (DataC-45List-nub (csegen-43) e-5)) '()))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (PrimIO-io_bind (CompilerC-45SchemeC-45Gambit-findGSC) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (PrimIO-io_bind (CompilerC-45SchemeC-45Gambit-findGSCBackend) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Context-getDirectives arg-0 (vector 3 )))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (let ((u--gscCompileOpts (let ((sc5 (DataC-45List-find (lambda (arg-6) (PreludeC-45EqOrd-u--C-61C-61_Eq_String arg-6 "C")) e-9))) (if (null? sc5) (string-append e-8 (string-append " -exe -cc-options \"-Wno-implicit-function-declaration\" -ld-options \"" (string-append (CoreC-45NameC-45Namespace-showSep " " e-6) "\""))) " -c")))) (let ((u--cmd (string-append e-7 (string-append u--gscCompileOpts (string-append " -o \"" (string-append u--execPath (string-append "\" \"" (string-append u--srcPath "\"")))))))) (let ((eff-5 (PrimIO-io_bind (System-system (csegen-40) u--cmd) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-10 (vector-ref lcase-5 1))) (let ((eff-6 (lambda (clam-0) (let ((sc6 (PreludeC-45EqOrd-u--C-61C-61_Eq_Int e-10 0))) (cond ((equal? sc6 1) (vector 1 (box u--execPath))) (else (vector 1 '()))))))) eff-6))))))))))) eff-5))))))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))
(define CompilerC-45SchemeC-45Gambit-codegenGambit(blodwen-lazy (lambda () (vector (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (lambda (eta-4) (lambda (eta-5) (CompilerC-45SchemeC-45Gambit-compileExpr eta-0 eta-1 eta-2 eta-3 eta-4 eta-5))))))) (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (CompilerC-45SchemeC-45Gambit-executeExpr eta-0 eta-1 eta-2 eta-3))))) '() '()))))
(define CompilerC-45SchemeC-45Gambit-cftySpec (lambda (arg-0 arg-1) (case (vector-ref arg-1 0) ((0) (lambda (eta-0) (vector 1 "void"))) ((1) (lambda (eta-0) (vector 1 "int"))) ((3) (lambda (eta-0) (vector 1 "char"))) ((4) (lambda (eta-0) (vector 1 "short"))) ((5) (lambda (eta-0) (vector 1 "int"))) ((6) (lambda (eta-0) (vector 1 "long"))) ((7) (lambda (eta-0) (vector 1 "unsigned-char"))) ((8) (lambda (eta-0) (vector 1 "unsigned-short"))) ((9) (lambda (eta-0) (vector 1 "unsigned-int"))) ((10) (lambda (eta-0) (vector 1 "unsigned-long"))) ((11) (lambda (eta-0) (vector 1 "UTF-8-string"))) ((12) (lambda (eta-0) (vector 1 "double"))) ((13) (lambda (eta-0) (vector 1 "char"))) ((14) (lambda (eta-0) (vector 1 "(pointer void)"))) ((20) (let ((e-0 (vector-ref arg-1 1))) (CompilerC-45SchemeC-45Gambit-cftySpec arg-0 e-0))) ((21) (let ((e-1 (vector-ref arg-1 1))) (lambda (eta-0) (vector 1 (string-append e-1 "*/nonnull"))))) ((19) (let ((e-3 (vector-ref arg-1 1))) (let ((e-4 (vector-ref arg-1 2))) (CompilerC-45SchemeC-45Gambit-n--10689-5524-u--funTySpec e-4 e-3 arg-0 (cons e-3 '()) e-4))))(else (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 arg-0 (string-append "Can't pass argument of type " (string-append (CoreC-45CompileExpr-u--show_Show_CFType arg-1) " to foreign function"))) eta-0))))))
(define CompilerC-45SchemeC-45Gambit-cType (lambda (arg-0 arg-1) (case (vector-ref arg-1 0) ((0) (lambda (eta-0) (vector 1 "void"))) ((1) (lambda (eta-0) (vector 1 "int"))) ((11) (lambda (eta-0) (vector 1 "char *"))) ((12) (lambda (eta-0) (vector 1 "double"))) ((13) (lambda (eta-0) (vector 1 "char"))) ((14) (lambda (eta-0) (vector 1 "void *"))) ((20) (let ((e-0 (vector-ref arg-1 1))) (CompilerC-45SchemeC-45Gambit-cType arg-0 e-0))) ((21) (let ((e-1 (vector-ref arg-1 1))) (lambda (eta-0) (vector 1 (string-append "struct " e-1))))) ((19) (let ((e-3 (vector-ref arg-1 1))) (let ((e-4 (vector-ref arg-1 2))) (CompilerC-45SchemeC-45Gambit-n--10574-5370-u--funTySpec e-4 e-3 arg-0 (cons e-3 '()) e-4))))(else (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 arg-0 (string-append "Can't pass argument of type " (string-append (CoreC-45CompileExpr-u--show_Show_CFType arg-1) " to foreign function"))) eta-0))))))
(define CompilerC-45SchemeC-45Gambit-cCall (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-cftySpec arg-2 (Builtin-snd eta-0))) arg-6 '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CompilerC-45SchemeC-45Gambit-cftySpec arg-2 arg-7))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-n--11029-5803-u--buildArg arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 arg-0 eta-0)) arg-6 '()))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-cType arg-2 (Builtin-snd eta-0))) arg-6 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45SchemeC-45Gambit-cType arg-2 arg-7))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (let ((u--cWrapperDefs (((csegen-25) (lambda (eta-0) (CompilerC-45SchemeC-45Gambit-n--11029-5799-u--buildCWrapperDefs arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 arg-0 eta-0))) (PreludeC-45TypesC-45List-mapMaybeAppend '() (lambda (eta-0) (Builtin-snd eta-0)) e-7)))) (let ((u--cFunWrapDeclaration (CompilerC-45SchemeC-45Gambit-n--11029-5800-u--buildCFunWrapDeclaration arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 arg-0 arg-3 e-9 e-8))) (let ((u--wrapDeclarations (string-append u--cFunWrapDeclaration (string-append (PreludeC-45Interfaces-concatMap (csegen-85) (csegen-16) (lambda (eta-0) (let ((e-1 (vector-ref eta-0 1))) e-1)) u--cWrapperDefs) (PreludeC-45Interfaces-concatMap (csegen-85) (csegen-16) (lambda (eta-0) (let ((e-2 (vector-ref eta-0 2))) e-2)) u--cWrapperDefs))))) (let ((u--setBoxes (PreludeC-45Interfaces-concatMap (csegen-85) (csegen-16) (lambda (eta-0) (let ((e-0 (vector-ref eta-0 0))) e-0)) u--cWrapperDefs))) (let ((u--call (string-append " ((c-lambda (" (string-append (CoreC-45NameC-45Namespace-showSep " " e-5) (string-append ") " (string-append e-6 (string-append " " (string-append (PreludeC-45Show-u--show_Show_String arg-3) (string-append ") " (string-append (CoreC-45NameC-45Namespace-showSep " " ((csegen-101) e-7)) ")")))))))))) (let ((u--body (string-append u--setBoxes (string-append "\xa;" u--call)))) (lambda (eta-0) (vector 1 (case (vector-ref arg-7 0) ((20) (cons (CompilerC-45SchemeC-45Gambit-handleRet e-6 u--body) u--wrapDeclarations))(else (cons u--body u--wrapDeclarations))))))))))))) eff-5))))))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))
(define CompilerC-45SchemeC-45Common-n--8475-3122-u--strTo (lambda (arg-0 arg-1) (case (vector-ref arg-0 0) ((0) (let ((e-0 (vector-ref arg-0 1))) (if (null? e-0) (CompilerC-45SchemeC-45Common-op "cast-string-int" (cons arg-1 '())) (let ((e-2 (unbox e-0))) (CompilerC-45SchemeC-45Common-op "cast-string-boundedInt" (cons arg-1 (cons (PreludeC-45Show-u--show_Show_Int (bs- e-2 1 63)) '()))))))) (else (let ((e-1 (vector-ref arg-0 1))) (CompilerC-45SchemeC-45Common-op "cast-string-boundedUInt" (cons arg-1 (cons (PreludeC-45Show-u--show_Show_Int e-1) '()))))))))
(define CompilerC-45SchemeC-45Common-n--10696-7859-u--showConstAlts (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (if (null? arg-7) (lambda (eta-0) (vector 1 "")) (let ((e-2 (car arg-7))) (let ((e-3 (cdr arg-7))) (if (null? e-2) (let ((eff-0 (CompilerC-45SchemeC-45Common-schConstAlt arg-0 arg-1 (bs+ arg-5 1 63) arg-6 e-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CompilerC-45SchemeC-45Common-n--10696-7859-u--showConstAlts arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (string-append e-5 (string-append " " e-6)))))) eff-2))))))))) eff-1))))))) (let ((e-5 (cdr e-2))) (if (null? e-3) (let ((eff-0 (CompilerC-45SchemeC-45Common-schExp arg-0 arg-1 (bs+ arg-5 1 63) e-5))) (PrimIO-io_bind eff-0 (csegen-6242))) (let ((eff-0 (CompilerC-45SchemeC-45Common-schConstAlt arg-0 arg-1 (bs+ arg-5 1 63) arg-6 e-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CompilerC-45SchemeC-45Common-n--10696-7859-u--showConstAlts arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (string-append e-6 (string-append " " e-7)))))) eff-2))))))))) eff-1)))))))))))))))
(define CompilerC-45SchemeC-45Common-n--10692-5982-u--showAlts (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (if (null? arg-6) (lambda (eta-0) (vector 1 "")) (let ((e-2 (car arg-6))) (let ((e-3 (cdr arg-6))) (if (null? e-3) (let ((eff-0 (CompilerC-45SchemeC-45Common-schConUncheckedAlt arg-0 arg-1 (bs+ arg-4 1 63) arg-5 e-2))) (PrimIO-io_bind eff-0 (csegen-6242))) (let ((eff-0 (CompilerC-45SchemeC-45Common-schConAlt arg-0 arg-1 (bs+ arg-4 1 63) arg-5 e-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CompilerC-45SchemeC-45Common-n--10692-5982-u--showAlts arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (string-append e-5 (string-append " " e-6)))))) eff-2))))))))) eff-1)))))))))))))
(define CompilerC-45SchemeC-45Common-n--10696-7741-u--recordCase (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (if (null? arg-7) 0 (let ((e-1 (car arg-7))) (let ((e-4 (vector-ref e-1 1))) (case (vector-ref e-4 0) ((7) 1)(else 0)))))))
(define CompilerC-45SchemeC-45Common-n--7838-2500-u--okchar (lambda (arg-0 arg-1) (let ((sc0 (let ((sc1 (PreludeC-45Types-isAlphaNum arg-1))) (cond ((equal? sc1 1) 1) (else (PreludeC-45EqOrd-u--C-61C-61_Eq_Char arg-1 #\_)))))) (cond ((equal? sc0 1) (string arg-1)) (else (string-append "C-" (PreludeC-45Show-u--show_Show_Int (cast-char-boundedInt arg-1 63))))))))
(define CompilerC-45SchemeC-45Common-n--10696-7740-u--maybeCase (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (if (null? arg-7) 0 (let ((e-1 (car arg-7))) (let ((e-4 (vector-ref e-1 1))) (case (vector-ref e-4 0) ((5) 1) ((6) 1)(else 0)))))))
(define CompilerC-45SchemeC-45Common-n--10696-7739-u--listCase (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (if (null? arg-7) 0 (let ((e-1 (car arg-7))) (let ((e-4 (vector-ref e-1 1))) (case (vector-ref e-4 0) ((2) 1) ((3) 1)(else 0)))))))
(define CompilerC-45SchemeC-45Common-n--8475-3124-u--intTo (lambda (arg-0 arg-1 arg-2) (case (vector-ref arg-1 0) ((0) (let ((e-8 (vector-ref arg-1 1))) (if (null? e-8) arg-2 (case (vector-ref arg-0 0) ((0) (let ((e-0 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((0) (let ((e-2 (vector-ref arg-1 1))) (let ((e-4 (unbox e-2))) (let ((sc5 (CoreC-45TT-u--C-62C-61_Ord_Precision (box e-4) e-0))) (cond ((equal? sc5 1) arg-2) (else (CompilerC-45SchemeC-45Common-op "blodwen-toSignedInt" (cons arg-2 (cons (PreludeC-45Show-u--show_Show_Int (bs- e-4 1 63)) '()))))))))) (else (let ((e-3 (vector-ref arg-1 1))) (CompilerC-45SchemeC-45Common-op "blodwen-toUnsignedInt" (cons arg-2 (cons (PreludeC-45Show-u--show_Show_Int e-3) '())))))))) (else (let ((e-1 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((0) (let ((e-5 (vector-ref arg-1 1))) (let ((e-7 (unbox e-5))) (let ((sc5 (PreludeC-45EqOrd-u--C-62_Ord_Int e-7 e-1))) (cond ((equal? sc5 1) arg-2) (else (CompilerC-45SchemeC-45Common-op "blodwen-toSignedInt" (cons arg-2 (cons (PreludeC-45Show-u--show_Show_Int (bs- e-7 1 63)) '()))))))))) (else (let ((e-6 (vector-ref arg-1 1))) (let ((sc4 (PreludeC-45EqOrd-u--C-62C-61_Ord_Int e-6 e-1))) (cond ((equal? sc4 1) arg-2) (else (CompilerC-45SchemeC-45Common-op "blodwen-toUnsignedInt" (cons arg-2 (cons (PreludeC-45Show-u--show_Show_Int e-6) '())))))))))))))))(else (case (vector-ref arg-0 0) ((0) (let ((e-0 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((0) (let ((e-2 (vector-ref arg-1 1))) (let ((e-4 (unbox e-2))) (let ((sc3 (CoreC-45TT-u--C-62C-61_Ord_Precision (box e-4) e-0))) (cond ((equal? sc3 1) arg-2) (else (CompilerC-45SchemeC-45Common-op "blodwen-toSignedInt" (cons arg-2 (cons (PreludeC-45Show-u--show_Show_Int (bs- e-4 1 63)) '()))))))))) (else (let ((e-3 (vector-ref arg-1 1))) (CompilerC-45SchemeC-45Common-op "blodwen-toUnsignedInt" (cons arg-2 (cons (PreludeC-45Show-u--show_Show_Int e-3) '())))))))) (else (let ((e-1 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((0) (let ((e-5 (vector-ref arg-1 1))) (let ((e-7 (unbox e-5))) (let ((sc3 (PreludeC-45EqOrd-u--C-62_Ord_Int e-7 e-1))) (cond ((equal? sc3 1) arg-2) (else (CompilerC-45SchemeC-45Common-op "blodwen-toSignedInt" (cons arg-2 (cons (PreludeC-45Show-u--show_Show_Int (bs- e-7 1 63)) '()))))))))) (else (let ((e-6 (vector-ref arg-1 1))) (let ((sc2 (PreludeC-45EqOrd-u--C-62C-61_Ord_Int e-6 e-1))) (cond ((equal? sc2 1) arg-2) (else (CompilerC-45SchemeC-45Common-op "blodwen-toUnsignedInt" (cons arg-2 (cons (PreludeC-45Show-u--show_Show_Int e-6) '()))))))))))))))))
(define CompilerC-45SchemeC-45Common-n--10695-7030-u--getNothingCode (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (if (null? arg-6) (lambda (eta-0) (vector 1 '())) (let ((e-2 (car arg-6))) (let ((e-3 (cdr arg-6))) (let ((e-5 (vector-ref e-2 1))) (let ((e-8 (vector-ref e-2 4))) (case (vector-ref e-5 0) ((5) (let ((eff-0 (CompilerC-45SchemeC-45Common-schExp arg-0 arg-1 (bs+ arg-5 1 63) e-8))) (PrimIO-io_bind eff-0 (csegen-1573))))(else (CompilerC-45SchemeC-45Common-n--10695-7030-u--getNothingCode arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-3))))))))))
(define CompilerC-45SchemeC-45Common-n--10694-6552-u--getNilCode (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (if (null? arg-6) (lambda (eta-0) (vector 1 '())) (let ((e-2 (car arg-6))) (let ((e-3 (cdr arg-6))) (let ((e-5 (vector-ref e-2 1))) (let ((e-8 (vector-ref e-2 4))) (case (vector-ref e-5 0) ((2) (let ((eff-0 (CompilerC-45SchemeC-45Common-schExp arg-0 arg-1 (bs+ arg-5 1 63) e-8))) (PrimIO-io_bind eff-0 (csegen-1573))))(else (CompilerC-45SchemeC-45Common-n--10694-6552-u--getNilCode arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-3))))))))))
(define CompilerC-45SchemeC-45Common-n--10695-7031-u--getJustCode (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (if (null? arg-7) (lambda (eta-0) (vector 1 '())) (let ((e-2 (car arg-7))) (let ((e-3 (cdr arg-7))) (let ((e-4 (vector-ref e-2 0))) (let ((e-5 (vector-ref e-2 1))) (let ((e-6 (vector-ref e-2 2))) (let ((e-7 (vector-ref e-2 3))) (let ((e-8 (vector-ref e-2 4))) (case (vector-ref e-5 0) ((6) (if (null? e-7) (CompilerC-45SchemeC-45Common-n--10695-7031-u--getJustCode arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-3) (let ((e-10 (car e-7))) (let ((e-11 (cdr e-7))) (if (null? e-11) (let ((eff-0 (CompilerC-45SchemeC-45Common-schExp arg-0 arg-1 (bs+ arg-5 1 63) e-8))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-9 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (box (CompilerC-45SchemeC-45Common-n--12478-7212-u--bindArg arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-3 e-4 e-6 e-10 e-8 arg-6 e-10 e-9)))))) eff-1))))))) (CompilerC-45SchemeC-45Common-n--10695-7031-u--getJustCode arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-3))))))(else (CompilerC-45SchemeC-45Common-n--10695-7031-u--getJustCode arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-3)))))))))))))
(define CompilerC-45SchemeC-45Common-n--10694-6553-u--getConsCode (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (if (null? arg-7) (lambda (eta-0) (vector 1 '())) (let ((e-2 (car arg-7))) (let ((e-3 (cdr arg-7))) (let ((e-4 (vector-ref e-2 0))) (let ((e-5 (vector-ref e-2 1))) (let ((e-6 (vector-ref e-2 2))) (let ((e-7 (vector-ref e-2 3))) (let ((e-8 (vector-ref e-2 4))) (case (vector-ref e-5 0) ((3) (if (null? e-7) (CompilerC-45SchemeC-45Common-n--10694-6553-u--getConsCode arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-3) (let ((e-10 (car e-7))) (let ((e-11 (cdr e-7))) (if (null? e-11) (CompilerC-45SchemeC-45Common-n--10694-6553-u--getConsCode arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-3) (let ((e-13 (car e-11))) (let ((e-14 (cdr e-11))) (if (null? e-14) (let ((eff-0 (CompilerC-45SchemeC-45Common-schExp arg-0 arg-1 (bs+ arg-5 1 63) e-8))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-9 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (box (CompilerC-45SchemeC-45Common-n--11974-6737-u--bindArgs arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-3 e-4 e-6 e-10 e-13 e-8 arg-6 (cons (cons e-10 "car") (cons (cons e-13 "cdr") '())) e-9)))))) eff-1))))))) (CompilerC-45SchemeC-45Common-n--10694-6553-u--getConsCode arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-3)))))))))(else (CompilerC-45SchemeC-45Common-n--10694-6553-u--getConsCode arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-3)))))))))))))
(define CompilerC-45SchemeC-45Common-n--10693-6316-u--getAltCode (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8) (let ((e-3 (vector-ref arg-8 3))) (let ((e-4 (vector-ref arg-8 4))) (let ((eff-0 (CompilerC-45SchemeC-45Common-schExp arg-0 arg-1 arg-6 e-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (CompilerC-45SchemeC-45Common-n--10693-6315-u--bindArgs arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 0 arg-7 e-3 e-5 e-4))))) eff-1)))))))))))
(define CompilerC-45SchemeC-45Common-n--8475-3123-u--dblTo (lambda (arg-0 arg-1) (case (vector-ref arg-0 0) ((0) (let ((e-0 (vector-ref arg-0 1))) (if (null? e-0) (CompilerC-45SchemeC-45Common-op "exact-truncate" (cons arg-1 '())) (let ((e-2 (unbox e-0))) (CompilerC-45SchemeC-45Common-op "exact-truncate-boundedInt" (cons arg-1 (cons (PreludeC-45Show-u--show_Show_Int (bs- e-2 1 63)) '()))))))) (else (let ((e-1 (vector-ref arg-0 1))) (CompilerC-45SchemeC-45Common-op "exact-truncate-boundedUInt" (cons arg-1 (cons (PreludeC-45Show-u--show_Show_Int e-1) '()))))))))
(define CompilerC-45SchemeC-45Common-n--8475-3121-u--charTo (lambda (arg-0 arg-1) (case (vector-ref arg-0 0) ((0) (let ((e-0 (vector-ref arg-0 1))) (if (null? e-0) (CompilerC-45SchemeC-45Common-op "char->integer" (cons arg-1 '())) (let ((e-2 (unbox e-0))) (CompilerC-45SchemeC-45Common-op "cast-char-boundedInt" (cons arg-1 (cons (PreludeC-45Show-u--show_Show_Int (bs- e-2 1 63)) '()))))))) (else (let ((e-1 (vector-ref arg-0 1))) (CompilerC-45SchemeC-45Common-op "cast-char-boundedUInt" (cons arg-1 (cons (PreludeC-45Show-u--show_Show_Int e-1) '()))))))))
(define CompilerC-45SchemeC-45Common-n--10695-7029-u--buildCase (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9) (if (null? arg-7) (if (null? arg-8) (if (null? arg-9) "#f" (let ((e-16 (unbox arg-9))) e-16)) (let ((e-10 (unbox arg-8))) (if (null? arg-9) e-10 (let ((e-14 (unbox arg-9))) (string-append "(if (null? " (string-append arg-6 (string-append ") " (string-append e-14 (string-append " " (string-append e-10 ")")))))))))) (let ((e-1 (unbox arg-7))) (if (null? arg-8) (if (null? arg-9) e-1 (let ((e-8 (unbox arg-9))) (string-append "(if (null? " (string-append arg-6 (string-append ") " (string-append e-1 (string-append " " (string-append e-8 ")")))))))) (let ((e-4 (unbox arg-8))) (string-append "(if (null? " (string-append arg-6 (string-append ") " (string-append e-1 (string-append " " (string-append e-4 ")"))))))))))))
(define CompilerC-45SchemeC-45Common-n--10694-6551-u--buildCase (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9) (if (null? arg-7) (if (null? arg-8) (if (null? arg-9) "#f" (let ((e-16 (unbox arg-9))) e-16)) (let ((e-10 (unbox arg-8))) (if (null? arg-9) e-10 (let ((e-14 (unbox arg-9))) (string-append "(if (null? " (string-append arg-6 (string-append ") " (string-append e-14 (string-append " " (string-append e-10 ")")))))))))) (let ((e-1 (unbox arg-7))) (if (null? arg-8) (if (null? arg-9) e-1 (let ((e-8 (unbox arg-9))) (string-append "(if (null? " (string-append arg-6 (string-append ") " (string-append e-1 (string-append " " (string-append e-8 ")")))))))) (let ((e-4 (unbox arg-8))) (string-append "(if (null? " (string-append arg-6 (string-append ") " (string-append e-1 (string-append " " (string-append e-4 ")"))))))))))))
(define CompilerC-45SchemeC-45Common-n--11974-6737-u--bindArgs (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14) (if (null? arg-13) arg-14 (let ((e-2 (car arg-13))) (let ((e-3 (cdr arg-13))) (let ((e-6 (car e-2))) (let ((e-7 (cdr e-2))) (let ((sc2 (CompilerC-45SchemeC-45Common-used e-6 arg-11))) (cond ((equal? sc2 1) (string-append "(let ((" (string-append (CompilerC-45SchemeC-45Common-schName e-6) (string-append " " (string-append "(" (string-append e-7 (string-append " " (string-append arg-12 (string-append "))) " (string-append (CompilerC-45SchemeC-45Common-n--11974-6737-u--bindArgs arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 e-3 arg-14) ")")))))))))) (else (CompilerC-45SchemeC-45Common-n--11974-6737-u--bindArgs arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 e-3 arg-14)))))))))))
(define CompilerC-45SchemeC-45Common-n--10693-6315-u--bindArgs (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11) (if (null? arg-9) arg-10 (let ((e-2 (car arg-9))) (let ((e-3 (cdr arg-9))) (let ((sc1 (CompilerC-45SchemeC-45Common-used e-2 arg-11))) (cond ((equal? sc1 1) (string-append "(let ((" (string-append (CompilerC-45SchemeC-45Common-schName e-2) (string-append " " (string-append "(vector-ref " (string-append arg-8 (string-append " " (string-append (PreludeC-45Show-u--show_Show_Int arg-7) (string-append "))) " (string-append (CompilerC-45SchemeC-45Common-n--10693-6315-u--bindArgs arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 (bs+ arg-7 1 63) arg-8 e-3 arg-10 arg-11) ")")))))))))) (else (CompilerC-45SchemeC-45Common-n--10693-6315-u--bindArgs arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 (bs+ arg-7 1 63) arg-8 e-3 arg-10 arg-11)))))))))
(define CompilerC-45SchemeC-45Common-n--10689-5608-u--bindArgs (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11) (if (null? arg-10) arg-11 (let ((e-2 (car arg-10))) (let ((e-3 (cdr arg-10))) (let ((sc1 (CompilerC-45SchemeC-45Common-used e-2 arg-2))) (cond ((equal? sc1 1) (string-append "(let ((" (string-append (CompilerC-45SchemeC-45Common-schName e-2) (string-append " " (string-append "(vector-ref " (string-append arg-7 (string-append " " (string-append (PreludeC-45Show-u--show_Show_Int arg-9) (string-append "))) " (string-append (CompilerC-45SchemeC-45Common-n--10689-5608-u--bindArgs arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (bs+ arg-9 1 63) e-3 arg-11) ")")))))))))) (else (CompilerC-45SchemeC-45Common-n--10689-5608-u--bindArgs arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (bs+ arg-9 1 63) e-3 arg-11)))))))))
(define CompilerC-45SchemeC-45Common-n--10688-5472-u--bindArgs (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11) (if (null? arg-10) arg-11 (let ((e-2 (car arg-10))) (let ((e-3 (cdr arg-10))) (let ((sc1 (CompilerC-45SchemeC-45Common-used e-2 arg-2))) (cond ((equal? sc1 1) (string-append "(let ((" (string-append (CompilerC-45SchemeC-45Common-schName e-2) (string-append " " (string-append "(vector-ref " (string-append arg-7 (string-append " " (string-append (PreludeC-45Show-u--show_Show_Int arg-9) (string-append "))) " (string-append (CompilerC-45SchemeC-45Common-n--10688-5472-u--bindArgs arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (bs+ arg-9 1 63) e-3 arg-11) ")")))))))))) (else (CompilerC-45SchemeC-45Common-n--10688-5472-u--bindArgs arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (bs+ arg-9 1 63) e-3 arg-11)))))))))
(define CompilerC-45SchemeC-45Common-n--12478-7212-u--bindArg (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13) (let ((sc0 (CompilerC-45SchemeC-45Common-used arg-12 arg-10))) (cond ((equal? sc0 1) (string-append "(let ((" (string-append (CompilerC-45SchemeC-45Common-schName arg-12) (string-append " " (string-append "(unbox " (string-append arg-11 (string-append "))) " (string-append arg-13 ")")))))))) (else arg-13)))))
(define CompilerC-45SchemeC-45Common-u--show_Show_ExtPrim (lambda (arg-0) (case (vector-ref arg-0 0) ((0) "NewIORef") ((1) "ReadIORef") ((2) "WriteIORef") ((3) "NewArray") ((4) "ArrayGet") ((5) "ArraySet") ((6) "GetField") ((7) "SetField") ((8) "VoidElim") ((9) "SysOS") ((10) "SysCodegen") ((11) "OnCollect") ((12) "OnCollectAny") ((13) "MakeFuture") (else (let ((e-0 (vector-ref arg-0 1))) (string-append "Unknown " (CoreC-45Name-u--show_Show_Name e-0)))))))
(define CompilerC-45SchemeC-45Common-var (lambda (arg-0) (case (vector-ref arg-0 0) ((0) 1)(else 0))))
(define CompilerC-45SchemeC-45Common-usedConst (lambda (arg-0 arg-1) (let ((e-1 (cdr arg-1))) (CompilerC-45SchemeC-45Common-used arg-0 e-1))))
(define CompilerC-45SchemeC-45Common-usedCon (lambda (arg-0 arg-1) (let ((e-4 (vector-ref arg-1 4))) (CompilerC-45SchemeC-45Common-used arg-0 e-4))))
(define CompilerC-45SchemeC-45Common-used (lambda (arg-0 arg-1) (case (vector-ref arg-1 0) ((0) (let ((e-1 (vector-ref arg-1 2))) (CoreC-45Name-u--C-61C-61_Eq_Name arg-0 e-1))) ((1) 0) ((2) (let ((e-6 (vector-ref arg-1 3))) (CompilerC-45SchemeC-45Common-used arg-0 e-6))) ((3) (let ((e-9 (vector-ref arg-1 3))) (let ((e-10 (vector-ref arg-1 4))) (let ((sc1 (CompilerC-45SchemeC-45Common-used arg-0 e-9))) (cond ((equal? sc1 1) 1) (else (CompilerC-45SchemeC-45Common-used arg-0 e-10))))))) ((4) (let ((e-12 (vector-ref arg-1 2))) (let ((e-13 (vector-ref arg-1 3))) (let ((sc1 (CompilerC-45SchemeC-45Common-used arg-0 e-12))) (cond ((equal? sc1 1) 1) (else (PreludeC-45Interfaces-any (csegen-16) (lambda (eta-0) (CompilerC-45SchemeC-45Common-used arg-0 eta-0)) e-13))))))) ((5) (let ((e-18 (vector-ref arg-1 5))) (PreludeC-45Interfaces-any (csegen-16) (lambda (eta-0) (CompilerC-45SchemeC-45Common-used arg-0 eta-0)) e-18))) ((6) (let ((e-22 (vector-ref arg-1 4))) (PreludeC-45Interfaces-any (csegen-16) (lambda (eta-0) (CompilerC-45SchemeC-45Common-used arg-0 eta-0)) (DataC-45Vect-u--toList_Foldable_C-40VectC-32C-36nC-41 e-22)))) ((7) (let ((e-25 (vector-ref arg-1 3))) (PreludeC-45Interfaces-any (csegen-16) (lambda (eta-0) (CompilerC-45SchemeC-45Common-used arg-0 eta-0)) e-25))) ((8) (let ((e-28 (vector-ref arg-1 3))) (CompilerC-45SchemeC-45Common-used arg-0 e-28))) ((9) (let ((e-31 (vector-ref arg-1 3))) (CompilerC-45SchemeC-45Common-used arg-0 e-31))) ((10) (let ((e-33 (vector-ref arg-1 2))) (let ((e-34 (vector-ref arg-1 3))) (let ((e-35 (vector-ref arg-1 4))) (let ((sc1 (CompilerC-45SchemeC-45Common-used arg-0 e-33))) (cond ((equal? sc1 1) 1) (else (let ((sc2 (PreludeC-45Interfaces-any (csegen-16) (lambda (eta-0) (CompilerC-45SchemeC-45Common-usedCon arg-0 eta-0)) e-34))) (cond ((equal? sc2 1) 1) (else (PreludeC-45Types-maybe (lambda () 0) (lambda () (lambda (eta-0) (CompilerC-45SchemeC-45Common-used arg-0 eta-0))) e-35))))))))))) ((11) (let ((e-37 (vector-ref arg-1 2))) (let ((e-38 (vector-ref arg-1 3))) (let ((e-39 (vector-ref arg-1 4))) (let ((sc1 (CompilerC-45SchemeC-45Common-used arg-0 e-37))) (cond ((equal? sc1 1) 1) (else (let ((sc2 (PreludeC-45Interfaces-any (csegen-16) (lambda (eta-0) (CompilerC-45SchemeC-45Common-usedConst arg-0 eta-0)) e-38))) (cond ((equal? sc2 1) 1) (else (PreludeC-45Types-maybe (lambda () 0) (lambda () (lambda (eta-0) (CompilerC-45SchemeC-45Common-used arg-0 eta-0))) e-39)))))))))))(else 0))))
(define CompilerC-45SchemeC-45Common-toPrim (lambda (arg-0) (case (vector-ref arg-0 0) ((0) (let ((e-1 (vector-ref arg-0 2))) (CoreC-45Core-cond (cons (cons (lambda () (CoreC-45Name-u--C-61C-61_Eq_Name e-1 (csegen-6245))) (lambda () (vector 0 ))) (cons (cons (lambda () (CoreC-45Name-u--C-61C-61_Eq_Name e-1 (csegen-6248))) (lambda () (vector 1 ))) (cons (cons (lambda () (CoreC-45Name-u--C-61C-61_Eq_Name e-1 (csegen-6251))) (lambda () (vector 2 ))) (cons (cons (lambda () (CoreC-45Name-u--C-61C-61_Eq_Name e-1 (csegen-6254))) (lambda () (vector 3 ))) (cons (cons (lambda () (CoreC-45Name-u--C-61C-61_Eq_Name e-1 (csegen-6257))) (lambda () (vector 4 ))) (cons (cons (lambda () (CoreC-45Name-u--C-61C-61_Eq_Name e-1 (csegen-6260))) (lambda () (vector 5 ))) (cons (cons (lambda () (CoreC-45Name-u--C-61C-61_Eq_Name e-1 (csegen-6263))) (lambda () (vector 6 ))) (cons (cons (lambda () (CoreC-45Name-u--C-61C-61_Eq_Name e-1 (csegen-6266))) (lambda () (vector 7 ))) (cons (cons (lambda () (CoreC-45Name-u--C-61C-61_Eq_Name e-1 (csegen-6269))) (lambda () (vector 8 ))) (cons (cons (lambda () (CoreC-45Name-u--C-61C-61_Eq_Name e-1 (vector 1 (vector 0 "prim__os")))) (lambda () (vector 9 ))) (cons (cons (lambda () (CoreC-45Name-u--C-61C-61_Eq_Name e-1 (csegen-6272))) (lambda () (vector 10 ))) (cons (cons (lambda () (CoreC-45Name-u--C-61C-61_Eq_Name e-1 (csegen-6275))) (lambda () (vector 11 ))) (cons (cons (lambda () (CoreC-45Name-u--C-61C-61_Eq_Name e-1 (csegen-6278))) (lambda () (vector 12 ))) (cons (cons (lambda () (CoreC-45Name-u--C-61C-61_Eq_Name e-1 (vector 1 (vector 0 ((csegen-0) "prim__makeFuture"))))) (lambda () (vector 13 ))) '())))))))))))))) (vector 14 arg-0))))(else (vector 14 arg-0)))))
(define CompilerC-45SchemeC-45Common-sub (lambda (arg-0 arg-1 arg-2) (if (null? arg-0) (CompilerC-45SchemeC-45Common-op "-" (cons arg-1 (cons arg-2 '()))) (let ((e-1 (unbox arg-0))) (case (vector-ref e-1 0) ((0) (let ((e-2 (vector-ref e-1 1))) (if (null? e-2) (CompilerC-45SchemeC-45Common-op "-" (cons arg-1 (cons arg-2 '()))) (let ((e-4 (unbox e-2))) (CompilerC-45SchemeC-45Common-op "bs-" (cons arg-1 (cons arg-2 (cons (PreludeC-45Show-u--show_Show_Int (bs- e-4 1 63)) '())))))))) ((1) (let ((e-3 (vector-ref e-1 1))) (CompilerC-45SchemeC-45Common-op "bu-" (cons arg-1 (cons arg-2 (cons (PreludeC-45Show-u--show_Show_Int e-3) '()))))))(else (CompilerC-45SchemeC-45Common-op "-" (cons arg-1 (cons arg-2 '())))))))))
(define CompilerC-45SchemeC-45Common-showTag (lambda (arg-0 arg-1 arg-2 arg-3) (if (null? arg-3) (arg-1 (CoreC-45Name-u--show_Show_Name arg-2)) (let ((e-1 (unbox arg-3))) (PreludeC-45Show-u--show_Show_Int e-1)))))
(define CompilerC-45SchemeC-45Common-shl (lambda (arg-0 arg-1 arg-2) (if (null? arg-0) (CompilerC-45SchemeC-45Common-op "blodwen-shl" (cons arg-1 (cons arg-2 '()))) (let ((e-1 (unbox arg-0))) (case (vector-ref e-1 0) ((0) (let ((e-2 (vector-ref e-1 1))) (if (null? e-2) (CompilerC-45SchemeC-45Common-op "blodwen-shl" (cons arg-1 (cons arg-2 '()))) (let ((e-4 (unbox e-2))) (CompilerC-45SchemeC-45Common-op "blodwen-bits-shl-signed" (cons arg-1 (cons arg-2 (cons (PreludeC-45Show-u--show_Show_Int (bs- e-4 1 63)) '())))))))) ((1) (let ((e-3 (vector-ref e-1 1))) (CompilerC-45SchemeC-45Common-op "blodwen-bits-shl" (cons arg-1 (cons arg-2 (cons (PreludeC-45Show-u--show_Show_Int e-3) '()))))))(else (CompilerC-45SchemeC-45Common-op "blodwen-shl" (cons arg-1 (cons arg-2 '())))))))))
(define CompilerC-45SchemeC-45Common-schUserName (lambda (arg-0) (case (vector-ref arg-0 0) ((0) (let ((e-0 (vector-ref arg-0 1))) (string-append "u--" (CompilerC-45SchemeC-45Common-schString e-0)))) ((1) (let ((e-1 (vector-ref arg-0 1))) (string-append "rf--" (CompilerC-45SchemeC-45Common-schString e-1)))) (else "u--_"))))
(define CompilerC-45SchemeC-45Common-schString (lambda (arg-0) (PreludeC-45Interfaces-concatMap (csegen-85) (csegen-16) (lambda (eta-0) (CompilerC-45SchemeC-45Common-n--7838-2500-u--okchar arg-0 eta-0)) (PreludeC-45Types-fastUnpack arg-0))))
(define CompilerC-45SchemeC-45Common-schRecordCon (lambda (arg-0 arg-1 arg-2) (string-append "(vector " (string-append (CoreC-45NameC-45Namespace-showSep " " arg-2) ")"))))
(define CompilerC-45SchemeC-45Common-schRecordCase (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (if (null? arg-4) (lambda (eta-0) (vector 1 "#f")) (let ((e-2 (car arg-4))) (let ((e-3 (cdr arg-4))) (let ((eff-0 (CompilerC-45SchemeC-45Common-schExp arg-0 arg-1 (bs+ arg-2 1 63) arg-3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--n (string-append "sc" (PreludeC-45Show-u--show_Show_Int arg-2)))) (let ((sc2 (CompilerC-45SchemeC-45Common-var arg-3))) (cond ((equal? sc2 1) (CompilerC-45SchemeC-45Common-n--10693-6316-u--getAltCode arg-0 arg-1 arg-5 e-3 e-2 arg-3 arg-2 e-5 e-2)) (else (let ((eff-1 (CompilerC-45SchemeC-45Common-n--10693-6316-u--getAltCode arg-0 arg-1 arg-5 e-3 e-2 arg-3 arg-2 u--n e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (string-append "(let ((" (string-append u--n (string-append " " (string-append e-5 (string-append ")) " (string-append e-6 ")")))))))))) eff-2))))))))))))) eff-1))))))))))))
(define CompilerC-45SchemeC-45Common-schPrimType (lambda (arg-0) "#t"))
(define CompilerC-45SchemeC-45Common-schOp (lambda (arg-1 arg-2) (case (vector-ref arg-1 0) ((0) (let ((e-0 (vector-ref arg-1 1))) (let ((e-20 (car arg-2))) (let ((e-21 (cdr arg-2))) (lambda (clam-0) (let ((e-24 (car e-21))) (let ((e-25 (cdr e-21))) (vector 1 (CompilerC-45SchemeC-45Common-add (CoreC-45TT-intKind e-0) e-20 e-24))))))))) ((1) (let ((e-1 (vector-ref arg-1 1))) (let ((e-29 (car arg-2))) (let ((e-30 (cdr arg-2))) (lambda (clam-1) (let ((e-33 (car e-30))) (let ((e-34 (cdr e-30))) (vector 1 (CompilerC-45SchemeC-45Common-sub (CoreC-45TT-intKind e-1) e-29 e-33))))))))) ((2) (let ((e-2 (vector-ref arg-1 1))) (let ((e-38 (car arg-2))) (let ((e-39 (cdr arg-2))) (lambda (clam-2) (let ((e-42 (car e-39))) (let ((e-43 (cdr e-39))) (vector 1 (CompilerC-45SchemeC-45Common-mul (CoreC-45TT-intKind e-2) e-38 e-42))))))))) ((3) (let ((e-3 (vector-ref arg-1 1))) (let ((e-47 (car arg-2))) (let ((e-48 (cdr arg-2))) (lambda (clam-3) (let ((e-51 (car e-48))) (let ((e-52 (cdr e-48))) (vector 1 (CompilerC-45SchemeC-45Common-div (CoreC-45TT-intKind e-3) e-47 e-51))))))))) ((4) (let ((e-56 (car arg-2))) (let ((e-57 (cdr arg-2))) (lambda (clam-4) (let ((e-60 (car e-57))) (let ((e-61 (cdr e-57))) (vector 1 (CompilerC-45SchemeC-45Common-op ((csegen-0) "blodwen-euclidMod") (cons e-56 (cons e-60 '())))))))))) ((5) (lambda (clam-5) (let ((e-65 (car arg-2))) (let ((e-66 (cdr arg-2))) (vector 1 (CompilerC-45SchemeC-45Common-op "-" (cons e-65 '()))))))) ((6) (let ((e-6 (vector-ref arg-1 1))) (let ((e-70 (car arg-2))) (let ((e-71 (cdr arg-2))) (lambda (clam-6) (let ((e-74 (car e-71))) (let ((e-75 (cdr e-71))) (vector 1 (CompilerC-45SchemeC-45Common-shl (CoreC-45TT-intKind e-6) e-70 e-74))))))))) ((7) (let ((e-79 (car arg-2))) (let ((e-80 (cdr arg-2))) (lambda (clam-7) (let ((e-83 (car e-80))) (let ((e-84 (cdr e-80))) (vector 1 (CompilerC-45SchemeC-45Common-op ((csegen-0) "blodwen-shr") (cons e-79 (cons e-83 '())))))))))) ((8) (let ((e-88 (car arg-2))) (let ((e-89 (cdr arg-2))) (lambda (clam-8) (let ((e-92 (car e-89))) (let ((e-93 (cdr e-89))) (vector 1 (CompilerC-45SchemeC-45Common-op ((csegen-0) "blodwen-and") (cons e-88 (cons e-92 '())))))))))) ((9) (let ((e-97 (car arg-2))) (let ((e-98 (cdr arg-2))) (lambda (clam-9) (let ((e-101 (car e-98))) (let ((e-102 (cdr e-98))) (vector 1 (CompilerC-45SchemeC-45Common-op ((csegen-0) "blodwen-or") (cons e-97 (cons e-101 '())))))))))) ((10) (let ((e-106 (car arg-2))) (let ((e-107 (cdr arg-2))) (lambda (clam-10) (let ((e-110 (car e-107))) (let ((e-111 (cdr e-107))) (vector 1 (CompilerC-45SchemeC-45Common-op ((csegen-0) "blodwen-xor") (cons e-106 (cons e-110 '())))))))))) ((11) (let ((e-11 (vector-ref arg-1 1))) (cond ((equal? e-11 11) (if (null? arg-2) (let ((e-115 (car arg-2))) (let ((e-116 (cdr arg-2))) (lambda (clam-13) (let ((e-119 (car e-116))) (let ((e-120 (cdr e-116))) (vector 1 (CompilerC-45SchemeC-45Common-boolop "<" (cons e-115 (cons e-119 '()))))))))) (let ((e-124 (car arg-2))) (let ((e-125 (cdr arg-2))) (if (null? e-125) (let ((e-115 (car arg-2))) (let ((e-116 (cdr arg-2))) (lambda (clam-12) (let ((e-119 (car e-116))) (let ((e-120 (cdr e-116))) (vector 1 (CompilerC-45SchemeC-45Common-boolop "<" (cons e-115 (cons e-119 '()))))))))) (let ((e-128 (car e-125))) (let ((e-129 (cdr e-125))) (if (null? e-129) (lambda (eta-0) (vector 1 (CompilerC-45SchemeC-45Common-boolop "char<?" (cons e-124 (cons e-128 '()))))) (let ((e-115 (car arg-2))) (let ((e-116 (cdr arg-2))) (lambda (clam-11) (let ((e-119 (car e-116))) (let ((e-120 (cdr e-116))) (vector 1 (CompilerC-45SchemeC-45Common-boolop "<" (cons e-115 (cons e-119 '()))))))))))))))))) ((equal? e-11 10) (if (null? arg-2) (let ((e-115 (car arg-2))) (let ((e-116 (cdr arg-2))) (lambda (clam-16) (let ((e-119 (car e-116))) (let ((e-120 (cdr e-116))) (vector 1 (CompilerC-45SchemeC-45Common-boolop "<" (cons e-115 (cons e-119 '()))))))))) (let ((e-133 (car arg-2))) (let ((e-134 (cdr arg-2))) (if (null? e-134) (let ((e-115 (car arg-2))) (let ((e-116 (cdr arg-2))) (lambda (clam-15) (let ((e-119 (car e-116))) (let ((e-120 (cdr e-116))) (vector 1 (CompilerC-45SchemeC-45Common-boolop "<" (cons e-115 (cons e-119 '()))))))))) (let ((e-137 (car e-134))) (let ((e-138 (cdr e-134))) (if (null? e-138) (lambda (eta-0) (vector 1 (CompilerC-45SchemeC-45Common-boolop "string<?" (cons e-133 (cons e-137 '()))))) (let ((e-115 (car arg-2))) (let ((e-116 (cdr arg-2))) (lambda (clam-14) (let ((e-119 (car e-116))) (let ((e-120 (cdr e-116))) (vector 1 (CompilerC-45SchemeC-45Common-boolop "<" (cons e-115 (cons e-119 '())))))))))))))))))(else (let ((e-115 (car arg-2))) (let ((e-116 (cdr arg-2))) (lambda (clam-17) (let ((e-119 (car e-116))) (let ((e-120 (cdr e-116))) (vector 1 (CompilerC-45SchemeC-45Common-boolop "<" (cons e-115 (cons e-119 '()))))))))))))) ((12) (let ((e-12 (vector-ref arg-1 1))) (cond ((equal? e-12 11) (if (null? arg-2) (let ((e-142 (car arg-2))) (let ((e-143 (cdr arg-2))) (lambda (clam-20) (let ((e-146 (car e-143))) (let ((e-147 (cdr e-143))) (vector 1 (CompilerC-45SchemeC-45Common-boolop "<=" (cons e-142 (cons e-146 '()))))))))) (let ((e-151 (car arg-2))) (let ((e-152 (cdr arg-2))) (if (null? e-152) (let ((e-142 (car arg-2))) (let ((e-143 (cdr arg-2))) (lambda (clam-19) (let ((e-146 (car e-143))) (let ((e-147 (cdr e-143))) (vector 1 (CompilerC-45SchemeC-45Common-boolop "<=" (cons e-142 (cons e-146 '()))))))))) (let ((e-155 (car e-152))) (let ((e-156 (cdr e-152))) (if (null? e-156) (lambda (eta-0) (vector 1 (CompilerC-45SchemeC-45Common-boolop "char<=?" (cons e-151 (cons e-155 '()))))) (let ((e-142 (car arg-2))) (let ((e-143 (cdr arg-2))) (lambda (clam-18) (let ((e-146 (car e-143))) (let ((e-147 (cdr e-143))) (vector 1 (CompilerC-45SchemeC-45Common-boolop "<=" (cons e-142 (cons e-146 '()))))))))))))))))) ((equal? e-12 10) (if (null? arg-2) (let ((e-142 (car arg-2))) (let ((e-143 (cdr arg-2))) (lambda (clam-23) (let ((e-146 (car e-143))) (let ((e-147 (cdr e-143))) (vector 1 (CompilerC-45SchemeC-45Common-boolop "<=" (cons e-142 (cons e-146 '()))))))))) (let ((e-160 (car arg-2))) (let ((e-161 (cdr arg-2))) (if (null? e-161) (let ((e-142 (car arg-2))) (let ((e-143 (cdr arg-2))) (lambda (clam-22) (let ((e-146 (car e-143))) (let ((e-147 (cdr e-143))) (vector 1 (CompilerC-45SchemeC-45Common-boolop "<=" (cons e-142 (cons e-146 '()))))))))) (let ((e-164 (car e-161))) (let ((e-165 (cdr e-161))) (if (null? e-165) (lambda (eta-0) (vector 1 (CompilerC-45SchemeC-45Common-boolop "string<=?" (cons e-160 (cons e-164 '()))))) (let ((e-142 (car arg-2))) (let ((e-143 (cdr arg-2))) (lambda (clam-21) (let ((e-146 (car e-143))) (let ((e-147 (cdr e-143))) (vector 1 (CompilerC-45SchemeC-45Common-boolop "<=" (cons e-142 (cons e-146 '())))))))))))))))))(else (let ((e-142 (car arg-2))) (let ((e-143 (cdr arg-2))) (lambda (clam-24) (let ((e-146 (car e-143))) (let ((e-147 (cdr e-143))) (vector 1 (CompilerC-45SchemeC-45Common-boolop "<=" (cons e-142 (cons e-146 '()))))))))))))) ((13) (let ((e-13 (vector-ref arg-1 1))) (cond ((equal? e-13 11) (if (null? arg-2) (let ((e-169 (car arg-2))) (let ((e-170 (cdr arg-2))) (lambda (clam-27) (let ((e-173 (car e-170))) (let ((e-174 (cdr e-170))) (vector 1 (CompilerC-45SchemeC-45Common-boolop "=" (cons e-169 (cons e-173 '()))))))))) (let ((e-178 (car arg-2))) (let ((e-179 (cdr arg-2))) (if (null? e-179) (let ((e-169 (car arg-2))) (let ((e-170 (cdr arg-2))) (lambda (clam-26) (let ((e-173 (car e-170))) (let ((e-174 (cdr e-170))) (vector 1 (CompilerC-45SchemeC-45Common-boolop "=" (cons e-169 (cons e-173 '()))))))))) (let ((e-182 (car e-179))) (let ((e-183 (cdr e-179))) (if (null? e-183) (lambda (eta-0) (vector 1 (CompilerC-45SchemeC-45Common-boolop "char=?" (cons e-178 (cons e-182 '()))))) (let ((e-169 (car arg-2))) (let ((e-170 (cdr arg-2))) (lambda (clam-25) (let ((e-173 (car e-170))) (let ((e-174 (cdr e-170))) (vector 1 (CompilerC-45SchemeC-45Common-boolop "=" (cons e-169 (cons e-173 '()))))))))))))))))) ((equal? e-13 10) (if (null? arg-2) (let ((e-169 (car arg-2))) (let ((e-170 (cdr arg-2))) (lambda (clam-30) (let ((e-173 (car e-170))) (let ((e-174 (cdr e-170))) (vector 1 (CompilerC-45SchemeC-45Common-boolop "=" (cons e-169 (cons e-173 '()))))))))) (let ((e-187 (car arg-2))) (let ((e-188 (cdr arg-2))) (if (null? e-188) (let ((e-169 (car arg-2))) (let ((e-170 (cdr arg-2))) (lambda (clam-29) (let ((e-173 (car e-170))) (let ((e-174 (cdr e-170))) (vector 1 (CompilerC-45SchemeC-45Common-boolop "=" (cons e-169 (cons e-173 '()))))))))) (let ((e-191 (car e-188))) (let ((e-192 (cdr e-188))) (if (null? e-192) (lambda (eta-0) (vector 1 (CompilerC-45SchemeC-45Common-boolop "string=?" (cons e-187 (cons e-191 '()))))) (let ((e-169 (car arg-2))) (let ((e-170 (cdr arg-2))) (lambda (clam-28) (let ((e-173 (car e-170))) (let ((e-174 (cdr e-170))) (vector 1 (CompilerC-45SchemeC-45Common-boolop "=" (cons e-169 (cons e-173 '())))))))))))))))))(else (let ((e-169 (car arg-2))) (let ((e-170 (cdr arg-2))) (lambda (clam-31) (let ((e-173 (car e-170))) (let ((e-174 (cdr e-170))) (vector 1 (CompilerC-45SchemeC-45Common-boolop "=" (cons e-169 (cons e-173 '()))))))))))))) ((14) (let ((e-14 (vector-ref arg-1 1))) (cond ((equal? e-14 11) (if (null? arg-2) (let ((e-196 (car arg-2))) (let ((e-197 (cdr arg-2))) (lambda (clam-34) (let ((e-200 (car e-197))) (let ((e-201 (cdr e-197))) (vector 1 (CompilerC-45SchemeC-45Common-boolop ">=" (cons e-196 (cons e-200 '()))))))))) (let ((e-205 (car arg-2))) (let ((e-206 (cdr arg-2))) (if (null? e-206) (let ((e-196 (car arg-2))) (let ((e-197 (cdr arg-2))) (lambda (clam-33) (let ((e-200 (car e-197))) (let ((e-201 (cdr e-197))) (vector 1 (CompilerC-45SchemeC-45Common-boolop ">=" (cons e-196 (cons e-200 '()))))))))) (let ((e-209 (car e-206))) (let ((e-210 (cdr e-206))) (if (null? e-210) (lambda (eta-0) (vector 1 (CompilerC-45SchemeC-45Common-boolop "char>=?" (cons e-205 (cons e-209 '()))))) (let ((e-196 (car arg-2))) (let ((e-197 (cdr arg-2))) (lambda (clam-32) (let ((e-200 (car e-197))) (let ((e-201 (cdr e-197))) (vector 1 (CompilerC-45SchemeC-45Common-boolop ">=" (cons e-196 (cons e-200 '()))))))))))))))))) ((equal? e-14 10) (if (null? arg-2) (let ((e-196 (car arg-2))) (let ((e-197 (cdr arg-2))) (lambda (clam-37) (let ((e-200 (car e-197))) (let ((e-201 (cdr e-197))) (vector 1 (CompilerC-45SchemeC-45Common-boolop ">=" (cons e-196 (cons e-200 '()))))))))) (let ((e-214 (car arg-2))) (let ((e-215 (cdr arg-2))) (if (null? e-215) (let ((e-196 (car arg-2))) (let ((e-197 (cdr arg-2))) (lambda (clam-36) (let ((e-200 (car e-197))) (let ((e-201 (cdr e-197))) (vector 1 (CompilerC-45SchemeC-45Common-boolop ">=" (cons e-196 (cons e-200 '()))))))))) (let ((e-218 (car e-215))) (let ((e-219 (cdr e-215))) (if (null? e-219) (lambda (eta-0) (vector 1 (CompilerC-45SchemeC-45Common-boolop "string>=?" (cons e-214 (cons e-218 '()))))) (let ((e-196 (car arg-2))) (let ((e-197 (cdr arg-2))) (lambda (clam-35) (let ((e-200 (car e-197))) (let ((e-201 (cdr e-197))) (vector 1 (CompilerC-45SchemeC-45Common-boolop ">=" (cons e-196 (cons e-200 '())))))))))))))))))(else (let ((e-196 (car arg-2))) (let ((e-197 (cdr arg-2))) (lambda (clam-38) (let ((e-200 (car e-197))) (let ((e-201 (cdr e-197))) (vector 1 (CompilerC-45SchemeC-45Common-boolop ">=" (cons e-196 (cons e-200 '()))))))))))))) ((15) (let ((e-15 (vector-ref arg-1 1))) (cond ((equal? e-15 11) (if (null? arg-2) (let ((e-223 (car arg-2))) (let ((e-224 (cdr arg-2))) (lambda (clam-41) (let ((e-227 (car e-224))) (let ((e-228 (cdr e-224))) (vector 1 (CompilerC-45SchemeC-45Common-boolop ">" (cons e-223 (cons e-227 '()))))))))) (let ((e-232 (car arg-2))) (let ((e-233 (cdr arg-2))) (if (null? e-233) (let ((e-223 (car arg-2))) (let ((e-224 (cdr arg-2))) (lambda (clam-40) (let ((e-227 (car e-224))) (let ((e-228 (cdr e-224))) (vector 1 (CompilerC-45SchemeC-45Common-boolop ">" (cons e-223 (cons e-227 '()))))))))) (let ((e-236 (car e-233))) (let ((e-237 (cdr e-233))) (if (null? e-237) (lambda (eta-0) (vector 1 (CompilerC-45SchemeC-45Common-boolop "char>?" (cons e-232 (cons e-236 '()))))) (let ((e-223 (car arg-2))) (let ((e-224 (cdr arg-2))) (lambda (clam-39) (let ((e-227 (car e-224))) (let ((e-228 (cdr e-224))) (vector 1 (CompilerC-45SchemeC-45Common-boolop ">" (cons e-223 (cons e-227 '()))))))))))))))))) ((equal? e-15 10) (if (null? arg-2) (let ((e-223 (car arg-2))) (let ((e-224 (cdr arg-2))) (lambda (clam-44) (let ((e-227 (car e-224))) (let ((e-228 (cdr e-224))) (vector 1 (CompilerC-45SchemeC-45Common-boolop ">" (cons e-223 (cons e-227 '()))))))))) (let ((e-241 (car arg-2))) (let ((e-242 (cdr arg-2))) (if (null? e-242) (let ((e-223 (car arg-2))) (let ((e-224 (cdr arg-2))) (lambda (clam-43) (let ((e-227 (car e-224))) (let ((e-228 (cdr e-224))) (vector 1 (CompilerC-45SchemeC-45Common-boolop ">" (cons e-223 (cons e-227 '()))))))))) (let ((e-245 (car e-242))) (let ((e-246 (cdr e-242))) (if (null? e-246) (lambda (eta-0) (vector 1 (CompilerC-45SchemeC-45Common-boolop "string>?" (cons e-241 (cons e-245 '()))))) (let ((e-223 (car arg-2))) (let ((e-224 (cdr arg-2))) (lambda (clam-42) (let ((e-227 (car e-224))) (let ((e-228 (cdr e-224))) (vector 1 (CompilerC-45SchemeC-45Common-boolop ">" (cons e-223 (cons e-227 '())))))))))))))))))(else (let ((e-223 (car arg-2))) (let ((e-224 (cdr arg-2))) (lambda (clam-45) (let ((e-227 (car e-224))) (let ((e-228 (cdr e-224))) (vector 1 (CompilerC-45SchemeC-45Common-boolop ">" (cons e-223 (cons e-227 '()))))))))))))) ((16) (lambda (clam-46) (let ((e-250 (car arg-2))) (let ((e-251 (cdr arg-2))) (vector 1 (CompilerC-45SchemeC-45Common-op (csegen-6287) (cons e-250 '()))))))) ((17) (lambda (clam-47) (let ((e-255 (car arg-2))) (let ((e-256 (cdr arg-2))) (vector 1 (CompilerC-45SchemeC-45Common-op (csegen-6288) (cons e-255 (cons "0" '())))))))) ((18) (lambda (clam-48) (let ((e-260 (car arg-2))) (let ((e-261 (cdr arg-2))) (vector 1 (CompilerC-45SchemeC-45Common-op "substring" (cons e-260 (cons "1" (cons (CompilerC-45SchemeC-45Common-op (csegen-6287) (cons e-260 '())) '()))))))))) ((19) (let ((e-265 (car arg-2))) (let ((e-266 (cdr arg-2))) (lambda (clam-49) (let ((e-269 (car e-266))) (let ((e-270 (cdr e-266))) (vector 1 (CompilerC-45SchemeC-45Common-op (csegen-6288) (cons e-265 (cons e-269 '())))))))))) ((20) (let ((e-274 (car arg-2))) (let ((e-275 (cdr arg-2))) (lambda (clam-50) (let ((e-278 (car e-275))) (let ((e-279 (cdr e-275))) (vector 1 (CompilerC-45SchemeC-45Common-op ((csegen-0) "string-cons") (cons e-274 (cons e-278 '())))))))))) ((21) (let ((e-283 (car arg-2))) (let ((e-284 (cdr arg-2))) (lambda (clam-51) (let ((e-287 (car e-284))) (let ((e-288 (cdr e-284))) (vector 1 (CompilerC-45SchemeC-45Common-op (csegen-6290) (cons e-283 (cons e-287 '())))))))))) ((22) (lambda (clam-52) (let ((e-292 (car arg-2))) (let ((e-293 (cdr arg-2))) (vector 1 (CompilerC-45SchemeC-45Common-op ((csegen-0) "string-reverse") (cons e-292 '()))))))) ((23) (let ((e-297 (car arg-2))) (let ((e-298 (cdr arg-2))) (let ((e-301 (car e-298))) (let ((e-302 (cdr e-298))) (lambda (clam-53) (let ((e-305 (car e-302))) (let ((e-306 (cdr e-302))) (vector 1 (CompilerC-45SchemeC-45Common-op ((csegen-0) "string-substr") (cons e-297 (cons e-301 (cons e-305 '()))))))))))))) ((24) (lambda (clam-54) (let ((e-310 (car arg-2))) (let ((e-311 (cdr arg-2))) (vector 1 (CompilerC-45SchemeC-45Common-op "flexp" (cons e-310 '()))))))) ((25) (lambda (clam-55) (let ((e-315 (car arg-2))) (let ((e-316 (cdr arg-2))) (vector 1 (CompilerC-45SchemeC-45Common-op "fllog" (cons e-315 '()))))))) ((26) (let ((e-320 (car arg-2))) (let ((e-321 (cdr arg-2))) (lambda (clam-56) (let ((e-324 (car e-321))) (let ((e-325 (cdr e-321))) (vector 1 (CompilerC-45SchemeC-45Common-op "flexpt" (cons e-320 (cons e-324 '())))))))))) ((27) (lambda (clam-57) (let ((e-329 (car arg-2))) (let ((e-330 (cdr arg-2))) (vector 1 (CompilerC-45SchemeC-45Common-op "flsin" (cons e-329 '()))))))) ((28) (lambda (clam-58) (let ((e-334 (car arg-2))) (let ((e-335 (cdr arg-2))) (vector 1 (CompilerC-45SchemeC-45Common-op "flcos" (cons e-334 '()))))))) ((29) (lambda (clam-59) (let ((e-339 (car arg-2))) (let ((e-340 (cdr arg-2))) (vector 1 (CompilerC-45SchemeC-45Common-op "fltan" (cons e-339 '()))))))) ((30) (lambda (clam-60) (let ((e-344 (car arg-2))) (let ((e-345 (cdr arg-2))) (vector 1 (CompilerC-45SchemeC-45Common-op "flasin" (cons e-344 '()))))))) ((31) (lambda (clam-61) (let ((e-349 (car arg-2))) (let ((e-350 (cdr arg-2))) (vector 1 (CompilerC-45SchemeC-45Common-op "flacos" (cons e-349 '()))))))) ((32) (lambda (clam-62) (let ((e-354 (car arg-2))) (let ((e-355 (cdr arg-2))) (vector 1 (CompilerC-45SchemeC-45Common-op "flatan" (cons e-354 '()))))))) ((33) (lambda (clam-63) (let ((e-359 (car arg-2))) (let ((e-360 (cdr arg-2))) (vector 1 (CompilerC-45SchemeC-45Common-op "flsqrt" (cons e-359 '()))))))) ((34) (lambda (clam-64) (let ((e-364 (car arg-2))) (let ((e-365 (cdr arg-2))) (vector 1 (CompilerC-45SchemeC-45Common-op "flfloor" (cons e-364 '()))))))) ((35) (lambda (clam-65) (let ((e-369 (car arg-2))) (let ((e-370 (cdr arg-2))) (vector 1 (CompilerC-45SchemeC-45Common-op "flceiling" (cons e-369 '()))))))) ((36) (let ((e-16 (vector-ref arg-1 1))) (let ((e-17 (vector-ref arg-1 2))) (cond ((equal? e-16 12) (cond ((equal? e-17 10) (if (null? arg-2) (let ((e-374 (car arg-2))) (let ((e-375 (cdr arg-2))) (CompilerC-45Common-castInt (CompilerC-45SchemeC-45Common-constPrimitives) e-16 e-17 e-374))) (let ((e-379 (car arg-2))) (let ((e-380 (cdr arg-2))) (if (null? e-380) (lambda (eta-0) (vector 1 (CompilerC-45SchemeC-45Common-op (csegen-6293) (cons e-379 '())))) (let ((e-374 (car arg-2))) (let ((e-375 (cdr arg-2))) (CompilerC-45Common-castInt (CompilerC-45SchemeC-45Common-constPrimitives) e-16 e-17 e-374))))))))(else (let ((e-374 (car arg-2))) (let ((e-375 (cdr arg-2))) (CompilerC-45Common-castInt (CompilerC-45SchemeC-45Common-constPrimitives) e-16 e-17 e-374)))))) ((equal? e-16 11) (cond ((equal? e-17 10) (if (null? arg-2) (let ((e-374 (car arg-2))) (let ((e-375 (cdr arg-2))) (CompilerC-45Common-castInt (CompilerC-45SchemeC-45Common-constPrimitives) e-16 e-17 e-374))) (let ((e-384 (car arg-2))) (let ((e-385 (cdr arg-2))) (if (null? e-385) (lambda (eta-0) (vector 1 (CompilerC-45SchemeC-45Common-op "string" (cons e-384 '())))) (let ((e-374 (car arg-2))) (let ((e-375 (cdr arg-2))) (CompilerC-45Common-castInt (CompilerC-45SchemeC-45Common-constPrimitives) e-16 e-17 e-374))))))))(else (let ((e-374 (car arg-2))) (let ((e-375 (cdr arg-2))) (CompilerC-45Common-castInt (CompilerC-45SchemeC-45Common-constPrimitives) e-16 e-17 e-374)))))) ((equal? e-16 10) (cond ((equal? e-17 12) (if (null? arg-2) (let ((e-374 (car arg-2))) (let ((e-375 (cdr arg-2))) (CompilerC-45Common-castInt (CompilerC-45SchemeC-45Common-constPrimitives) e-16 e-17 e-374))) (let ((e-389 (car arg-2))) (let ((e-390 (cdr arg-2))) (if (null? e-390) (lambda (eta-0) (vector 1 (CompilerC-45SchemeC-45Common-op ((csegen-0) "cast-string-double") (cons e-389 '())))) (let ((e-374 (car arg-2))) (let ((e-375 (cdr arg-2))) (CompilerC-45Common-castInt (CompilerC-45SchemeC-45Common-constPrimitives) e-16 e-17 e-374))))))))(else (let ((e-374 (car arg-2))) (let ((e-375 (cdr arg-2))) (CompilerC-45Common-castInt (CompilerC-45SchemeC-45Common-constPrimitives) e-16 e-17 e-374))))))(else (let ((e-374 (car arg-2))) (let ((e-375 (cdr arg-2))) (CompilerC-45Common-castInt (CompilerC-45SchemeC-45Common-constPrimitives) e-16 e-17 e-374)))))))) ((37) (let ((e-395 (cdr arg-2))) (let ((e-399 (cdr e-395))) (lambda (clam-66) (let ((e-402 (car e-399))) (let ((e-403 (cdr e-399))) (vector 1 e-402))))))) (else (let ((e-408 (cdr arg-2))) (lambda (clam-67) (let ((e-411 (car e-408))) (let ((e-412 (cdr e-408))) (vector 1 (string-append ((csegen-0) "(blodwen-error-quit (string-append \"ERROR: \" ") (string-append e-411 "))")))))))))))
(define CompilerC-45SchemeC-45Common-schName (lambda (arg-0) (case (vector-ref arg-0 0) ((0) (let ((e-0 (vector-ref arg-0 1))) (let ((e-1 (vector-ref arg-0 2))) (case (vector-ref e-1 0) ((1) (let ((e-16 (vector-ref e-1 1))) (case (vector-ref e-16 0) ((0) (let ((e-17 (vector-ref e-16 1))) (string-append (CompilerC-45SchemeC-45Common-schString (CoreC-45NameC-45Namespace-showNSWithSep "-" e-0)) (string-append "-" (CompilerC-45SchemeC-45Common-schString e-17)))))(else (string-append (CompilerC-45SchemeC-45Common-schString (CoreC-45NameC-45Namespace-showNSWithSep "-" e-0)) (string-append "-" (CompilerC-45SchemeC-45Common-schName e-1)))))))(else (string-append (CompilerC-45SchemeC-45Common-schString (CoreC-45NameC-45Namespace-showNSWithSep "-" e-0)) (string-append "-" (CompilerC-45SchemeC-45Common-schName e-1)))))))) ((1) (let ((e-2 (vector-ref arg-0 1))) (CompilerC-45SchemeC-45Common-schUserName e-2))) ((2) (let ((e-3 (vector-ref arg-0 1))) (let ((e-4 (vector-ref arg-0 2))) (string-append (CompilerC-45SchemeC-45Common-schString e-3) (string-append "-" (PreludeC-45Show-u--show_Show_Int e-4)))))) ((3) (let ((e-5 (vector-ref arg-0 1))) (string-append "pat--" (CompilerC-45SchemeC-45Common-schName e-5)))) ((4) (let ((e-8 (vector-ref arg-0 2))) (CompilerC-45SchemeC-45Common-schName e-8))) ((5) (let ((e-9 (vector-ref arg-0 1))) (let ((e-10 (vector-ref arg-0 2))) (let ((e-20 (car e-9))) (let ((e-21 (cdr e-9))) (string-append "n--" (string-append (PreludeC-45Show-u--show_Show_Int e-20) (string-append "-" (string-append (PreludeC-45Show-u--show_Show_Int e-21) (string-append "-" (CompilerC-45SchemeC-45Common-schName e-10))))))))))) ((6) (let ((e-11 (vector-ref arg-0 1))) (let ((e-12 (vector-ref arg-0 2))) (string-append "case--" (string-append (CompilerC-45SchemeC-45Common-schString e-11) (string-append "-" (PreludeC-45Show-u--show_Show_Int e-12))))))) ((7) (let ((e-13 (vector-ref arg-0 1))) (let ((e-14 (vector-ref arg-0 2))) (string-append "with--" (string-append (CompilerC-45SchemeC-45Common-schString e-13) (string-append "-" (PreludeC-45Show-u--show_Show_Int e-14))))))) (else (let ((e-15 (vector-ref arg-0 1))) (string-append "fn--" (PreludeC-45Show-u--show_Show_Int e-15)))))))
(define CompilerC-45SchemeC-45Common-schMaybeCase (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (let ((eff-0 (CompilerC-45SchemeC-45Common-schExp arg-0 arg-1 (bs+ arg-2 1 63) arg-3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--n (string-append "sc" (PreludeC-45Show-u--show_Show_Int arg-2)))) (let ((eff-1 (PreludeC-45Types-maybe (lambda () (lambda (eta-0) (vector 1 '()))) (lambda () (lambda (u--v) (let ((eff-1 (CompilerC-45SchemeC-45Common-schExp arg-0 arg-1 (bs+ arg-2 1 63) u--v))) (PrimIO-io_bind eff-1 (csegen-1573))))) arg-5))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45SchemeC-45Common-n--10695-7030-u--getNothingCode arg-0 arg-1 arg-5 arg-4 arg-3 arg-2 arg-4))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((sc3 (CompilerC-45SchemeC-45Common-var arg-3))) (cond ((equal? sc3 1) (let ((eff-3 (CompilerC-45SchemeC-45Common-n--10695-7031-u--getJustCode arg-0 arg-1 arg-5 arg-4 arg-3 arg-2 e-5 arg-4))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (CompilerC-45SchemeC-45Common-n--10695-7029-u--buildCase arg-0 arg-1 arg-5 arg-4 arg-3 arg-2 e-5 e-7 e-8 e-6))))) eff-4)))))))) (else (let ((eff-3 (CompilerC-45SchemeC-45Common-n--10695-7031-u--getJustCode arg-0 arg-1 arg-5 arg-4 arg-3 arg-2 u--n arg-4))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (string-append "(let ((" (string-append u--n (string-append " " (string-append e-5 (string-append ")) " (string-append (CompilerC-45SchemeC-45Common-n--10695-7029-u--buildCase arg-0 arg-1 arg-5 arg-4 arg-3 arg-2 u--n e-7 e-8 e-6) ")")))))))))) eff-4)))))))))))) eff-3))))))))) eff-2)))))))))) eff-1)))))))))
(define CompilerC-45SchemeC-45Common-schListCase (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (let ((eff-0 (CompilerC-45SchemeC-45Common-schExp arg-0 arg-1 (bs+ arg-2 1 63) arg-3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--n (string-append "sc" (PreludeC-45Show-u--show_Show_Int arg-2)))) (let ((eff-1 (PreludeC-45Types-maybe (lambda () (lambda (eta-0) (vector 1 '()))) (lambda () (lambda (u--v) (let ((eff-1 (CompilerC-45SchemeC-45Common-schExp arg-0 arg-1 (bs+ arg-2 1 63) u--v))) (PrimIO-io_bind eff-1 (csegen-1573))))) arg-5))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45SchemeC-45Common-n--10694-6552-u--getNilCode arg-0 arg-1 arg-5 arg-4 arg-3 arg-2 arg-4))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((sc3 (CompilerC-45SchemeC-45Common-var arg-3))) (cond ((equal? sc3 1) (let ((eff-3 (CompilerC-45SchemeC-45Common-n--10694-6553-u--getConsCode arg-0 arg-1 arg-5 arg-4 arg-3 arg-2 e-5 arg-4))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (CompilerC-45SchemeC-45Common-n--10694-6551-u--buildCase arg-0 arg-1 arg-5 arg-4 arg-3 arg-2 e-5 e-7 e-8 e-6))))) eff-4)))))))) (else (let ((eff-3 (CompilerC-45SchemeC-45Common-n--10694-6553-u--getConsCode arg-0 arg-1 arg-5 arg-4 arg-3 arg-2 u--n arg-4))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (string-append "(let ((" (string-append u--n (string-append " " (string-append e-5 (string-append ")) " (string-append (CompilerC-45SchemeC-45Common-n--10694-6551-u--buildCase arg-0 arg-1 arg-5 arg-4 arg-3 arg-2 u--n e-7 e-8 e-6) ")")))))))))) eff-4)))))))))))) eff-3))))))))) eff-2)))))))))) eff-1)))))))))
(define CompilerC-45SchemeC-45Common-schExtCommon (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (case (vector-ref arg-3 0) ((0) (if (null? arg-4) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 (string-append "Badly formed external primitive " (string-append (CompilerC-45SchemeC-45Common-u--show_Show_ExtPrim arg-3) (string-append " " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-1517) arg-4))))) eta-0)) (let ((e-3 (cdr arg-4))) (if (null? e-3) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 (string-append "Badly formed external primitive " (string-append (CompilerC-45SchemeC-45Common-u--show_Show_ExtPrim arg-3) (string-append " " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-1517) arg-4))))) eta-0)) (let ((e-5 (car e-3))) (let ((e-6 (cdr e-3))) (if (null? e-6) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 (string-append "Badly formed external primitive " (string-append (CompilerC-45SchemeC-45Common-u--show_Show_ExtPrim arg-3) (string-append " " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-1517) arg-4))))) eta-0)) (let ((e-9 (cdr e-6))) (if (null? e-9) (let ((eff-0 (CompilerC-45SchemeC-45Common-schExp arg-0 arg-1 arg-2 e-5))) (PrimIO-io_bind eff-0 (csegen-6296))) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 (string-append "Badly formed external primitive " (string-append (CompilerC-45SchemeC-45Common-u--show_Show_ExtPrim arg-3) (string-append " " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-1517) arg-4))))) eta-0))))))))))) ((1) (if (null? arg-4) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 (string-append "Badly formed external primitive " (string-append (CompilerC-45SchemeC-45Common-u--show_Show_ExtPrim arg-3) (string-append " " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-1517) arg-4))))) eta-0)) (let ((e-13 (cdr arg-4))) (if (null? e-13) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 (string-append "Badly formed external primitive " (string-append (CompilerC-45SchemeC-45Common-u--show_Show_ExtPrim arg-3) (string-append " " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-1517) arg-4))))) eta-0)) (let ((e-15 (car e-13))) (let ((e-16 (cdr e-13))) (if (null? e-16) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 (string-append "Badly formed external primitive " (string-append (CompilerC-45SchemeC-45Common-u--show_Show_ExtPrim arg-3) (string-append " " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-1517) arg-4))))) eta-0)) (let ((e-19 (cdr e-16))) (if (null? e-19) (let ((eff-0 (CompilerC-45SchemeC-45Common-schExp arg-0 arg-1 arg-2 e-15))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (string-append "(unbox " (string-append e-5 ")")))))) eff-1))))))) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 (string-append "Badly formed external primitive " (string-append (CompilerC-45SchemeC-45Common-u--show_Show_ExtPrim arg-3) (string-append " " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-1517) arg-4))))) eta-0))))))))))) ((2) (if (null? arg-4) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 (string-append "Badly formed external primitive " (string-append (CompilerC-45SchemeC-45Common-u--show_Show_ExtPrim arg-3) (string-append " " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-1517) arg-4))))) eta-0)) (let ((e-23 (cdr arg-4))) (if (null? e-23) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 (string-append "Badly formed external primitive " (string-append (CompilerC-45SchemeC-45Common-u--show_Show_ExtPrim arg-3) (string-append " " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-1517) arg-4))))) eta-0)) (let ((e-25 (car e-23))) (let ((e-26 (cdr e-23))) (if (null? e-26) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 (string-append "Badly formed external primitive " (string-append (CompilerC-45SchemeC-45Common-u--show_Show_ExtPrim arg-3) (string-append " " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-1517) arg-4))))) eta-0)) (let ((e-28 (car e-26))) (let ((e-29 (cdr e-26))) (if (null? e-29) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 (string-append "Badly formed external primitive " (string-append (CompilerC-45SchemeC-45Common-u--show_Show_ExtPrim arg-3) (string-append " " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-1517) arg-4))))) eta-0)) (let ((e-32 (cdr e-29))) (if (null? e-32) (let ((eff-0 (CompilerC-45SchemeC-45Common-schExp arg-0 arg-1 arg-2 e-25))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CompilerC-45SchemeC-45Common-schExp arg-0 arg-1 arg-2 e-28))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (string-append "(set-box! " (string-append e-5 (string-append " " (string-append e-6 ")")))))))) eff-2))))))))) eff-1))))))) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 (string-append "Badly formed external primitive " (string-append (CompilerC-45SchemeC-45Common-u--show_Show_ExtPrim arg-3) (string-append " " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-1517) arg-4))))) eta-0)))))))))))))) ((3) (if (null? arg-4) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 (string-append "Badly formed external primitive " (string-append (CompilerC-45SchemeC-45Common-u--show_Show_ExtPrim arg-3) (string-append " " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-1517) arg-4))))) eta-0)) (let ((e-36 (cdr arg-4))) (if (null? e-36) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 (string-append "Badly formed external primitive " (string-append (CompilerC-45SchemeC-45Common-u--show_Show_ExtPrim arg-3) (string-append " " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-1517) arg-4))))) eta-0)) (let ((e-38 (car e-36))) (let ((e-39 (cdr e-36))) (if (null? e-39) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 (string-append "Badly formed external primitive " (string-append (CompilerC-45SchemeC-45Common-u--show_Show_ExtPrim arg-3) (string-append " " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-1517) arg-4))))) eta-0)) (let ((e-41 (car e-39))) (let ((e-42 (cdr e-39))) (if (null? e-42) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 (string-append "Badly formed external primitive " (string-append (CompilerC-45SchemeC-45Common-u--show_Show_ExtPrim arg-3) (string-append " " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-1517) arg-4))))) eta-0)) (let ((e-45 (cdr e-42))) (if (null? e-45) (let ((eff-0 (CompilerC-45SchemeC-45Common-schExp arg-0 arg-1 arg-2 e-38))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CompilerC-45SchemeC-45Common-schExp arg-0 arg-1 arg-2 e-41))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (string-append "(make-vector " (string-append e-5 (string-append " " (string-append e-6 ")")))))))) eff-2))))))))) eff-1))))))) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 (string-append "Badly formed external primitive " (string-append (CompilerC-45SchemeC-45Common-u--show_Show_ExtPrim arg-3) (string-append " " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-1517) arg-4))))) eta-0)))))))))))))) ((4) (if (null? arg-4) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 (string-append "Badly formed external primitive " (string-append (CompilerC-45SchemeC-45Common-u--show_Show_ExtPrim arg-3) (string-append " " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-1517) arg-4))))) eta-0)) (let ((e-49 (cdr arg-4))) (if (null? e-49) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 (string-append "Badly formed external primitive " (string-append (CompilerC-45SchemeC-45Common-u--show_Show_ExtPrim arg-3) (string-append " " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-1517) arg-4))))) eta-0)) (let ((e-51 (car e-49))) (let ((e-52 (cdr e-49))) (if (null? e-52) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 (string-append "Badly formed external primitive " (string-append (CompilerC-45SchemeC-45Common-u--show_Show_ExtPrim arg-3) (string-append " " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-1517) arg-4))))) eta-0)) (let ((e-54 (car e-52))) (let ((e-55 (cdr e-52))) (if (null? e-55) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 (string-append "Badly formed external primitive " (string-append (CompilerC-45SchemeC-45Common-u--show_Show_ExtPrim arg-3) (string-append " " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-1517) arg-4))))) eta-0)) (let ((e-58 (cdr e-55))) (if (null? e-58) (let ((eff-0 (CompilerC-45SchemeC-45Common-schExp arg-0 arg-1 arg-2 e-51))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CompilerC-45SchemeC-45Common-schExp arg-0 arg-1 arg-2 e-54))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (string-append "(vector-ref " (string-append e-5 (string-append " " (string-append e-6 ")")))))))) eff-2))))))))) eff-1))))))) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 (string-append "Badly formed external primitive " (string-append (CompilerC-45SchemeC-45Common-u--show_Show_ExtPrim arg-3) (string-append " " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-1517) arg-4))))) eta-0)))))))))))))) ((5) (if (null? arg-4) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 (string-append "Badly formed external primitive " (string-append (CompilerC-45SchemeC-45Common-u--show_Show_ExtPrim arg-3) (string-append " " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-1517) arg-4))))) eta-0)) (let ((e-62 (cdr arg-4))) (if (null? e-62) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 (string-append "Badly formed external primitive " (string-append (CompilerC-45SchemeC-45Common-u--show_Show_ExtPrim arg-3) (string-append " " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-1517) arg-4))))) eta-0)) (let ((e-64 (car e-62))) (let ((e-65 (cdr e-62))) (if (null? e-65) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 (string-append "Badly formed external primitive " (string-append (CompilerC-45SchemeC-45Common-u--show_Show_ExtPrim arg-3) (string-append " " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-1517) arg-4))))) eta-0)) (let ((e-67 (car e-65))) (let ((e-68 (cdr e-65))) (if (null? e-68) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 (string-append "Badly formed external primitive " (string-append (CompilerC-45SchemeC-45Common-u--show_Show_ExtPrim arg-3) (string-append " " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-1517) arg-4))))) eta-0)) (let ((e-70 (car e-68))) (let ((e-71 (cdr e-68))) (if (null? e-71) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 (string-append "Badly formed external primitive " (string-append (CompilerC-45SchemeC-45Common-u--show_Show_ExtPrim arg-3) (string-append " " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-1517) arg-4))))) eta-0)) (let ((e-74 (cdr e-71))) (if (null? e-74) (let ((eff-0 (CompilerC-45SchemeC-45Common-schExp arg-0 arg-1 arg-2 e-64))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CompilerC-45SchemeC-45Common-schExp arg-0 arg-1 arg-2 e-67))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45SchemeC-45Common-schExp arg-0 arg-1 arg-2 e-70))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (string-append "(vector-set! " (string-append e-5 (string-append " " (string-append e-6 (string-append " " (string-append e-7 ")")))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 (string-append "Badly formed external primitive " (string-append (CompilerC-45SchemeC-45Common-u--show_Show_ExtPrim arg-3) (string-append " " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-1517) arg-4))))) eta-0))))))))))))))))) ((8) (if (null? arg-4) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 (string-append "Badly formed external primitive " (string-append (CompilerC-45SchemeC-45Common-u--show_Show_ExtPrim arg-3) (string-append " " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-1517) arg-4))))) eta-0)) (let ((e-78 (cdr arg-4))) (lambda (clam-0) (if (null? e-78) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 (string-append "Badly formed external primitive " (string-append (CompilerC-45SchemeC-45Common-u--show_Show_ExtPrim arg-3) (string-append " " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-1517) arg-4))))) clam-0) (let ((e-81 (cdr e-78))) (if (null? e-81) (vector 1 "(display \"Error: Executed 'void'\")") (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 (string-append "Badly formed external primitive " (string-append (CompilerC-45SchemeC-45Common-u--show_Show_ExtPrim arg-3) (string-append " " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-1517) arg-4))))) clam-0)))))))) ((9) (lambda (clam-1) (if (null? arg-4) (vector 1 "(blodwen-os)") (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 (string-append "Badly formed external primitive " (string-append (CompilerC-45SchemeC-45Common-u--show_Show_ExtPrim arg-3) (string-append " " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-1517) arg-4))))) clam-1)))) ((14) (let ((e-0 (vector-ref arg-3 1))) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 (string-append "Can't compile unknown external primitive " (CoreC-45Name-u--show_Show_Name e-0))) eta-0))))(else (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 (string-append "Badly formed external primitive " (string-append (CompilerC-45SchemeC-45Common-u--show_Show_ExtPrim arg-3) (string-append " " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-1517) arg-4))))) eta-0))))))
(define CompilerC-45SchemeC-45Common-schExp (lambda (arg-0 arg-1 arg-2 arg-3) (case (vector-ref arg-3 0) ((0) (let ((e-1 (vector-ref arg-3 2))) (lambda (eta-0) (vector 1 (CompilerC-45SchemeC-45Common-schName e-1))))) ((1) (let ((e-3 (vector-ref arg-3 2))) (lambda (eta-0) (vector 1 (CompilerC-45SchemeC-45Common-schName e-3))))) ((2) (let ((e-5 (vector-ref arg-3 2))) (let ((e-6 (vector-ref arg-3 3))) (let ((eff-0 (CompilerC-45SchemeC-45Common-schExp arg-0 arg-1 arg-2 e-6))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (string-append "(lambda (" (string-append (CompilerC-45SchemeC-45Common-schName e-5) (string-append ") " (string-append e-7 ")")))))))) eff-1)))))))))) ((3) (let ((e-8 (vector-ref arg-3 2))) (let ((e-9 (vector-ref arg-3 3))) (let ((e-10 (vector-ref arg-3 4))) (let ((eff-0 (CompilerC-45SchemeC-45Common-schExp arg-0 arg-1 arg-2 e-9))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CompilerC-45SchemeC-45Common-schExp arg-0 arg-1 arg-2 e-10))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (string-append "(let ((" (string-append (CompilerC-45SchemeC-45Common-schName e-8) (string-append " " (string-append e-5 (string-append ")) " (string-append e-6 ")")))))))))) eff-2))))))))) eff-1))))))))))) ((4) (let ((e-12 (vector-ref arg-3 2))) (let ((e-13 (vector-ref arg-3 3))) (if (null? e-13) (let ((eff-0 (CompilerC-45SchemeC-45Common-schExp arg-0 arg-1 arg-2 e-12))) (PrimIO-io_bind eff-0 (csegen-6298))) (let ((eff-0 (CompilerC-45SchemeC-45Common-schExp arg-0 arg-1 arg-2 e-12))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45SchemeC-45Common-schExp arg-0 arg-1 arg-2 eta-0)) e-13 '()))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (string-append "(" (string-append e-5 (string-append " " (string-append (CoreC-45NameC-45Namespace-showSep " " e-6) ")")))))))) eff-2))))))))) eff-1))))))))))) ((5) (let ((e-15 (vector-ref arg-3 2))) (let ((e-16 (vector-ref arg-3 3))) (let ((e-17 (vector-ref arg-3 4))) (let ((e-18 (vector-ref arg-3 5))) (case (vector-ref e-16 0) ((2) (lambda (clam-0) (if (null? e-18) (vector 1 "'()") (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 "Bad NIL") clam-0)))) ((3) (if (null? e-18) (csegen-6299) (let ((e-48 (car e-18))) (let ((e-49 (cdr e-18))) (if (null? e-49) (csegen-6299) (let ((e-51 (car e-49))) (let ((e-52 (cdr e-49))) (if (null? e-52) (let ((eff-0 (CompilerC-45SchemeC-45Common-schExp arg-0 arg-1 arg-2 e-48))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CompilerC-45SchemeC-45Common-schExp arg-0 arg-1 arg-2 e-51))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (string-append "(cons " (string-append e-5 (string-append " " (string-append e-6 ")")))))))) eff-2))))))))) eff-1))))))) (csegen-6299))))))))) ((5) (lambda (clam-1) (if (null? e-18) (vector 1 "'()") (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 "Bad NOTHING") clam-1)))) ((6) (if (null? e-18) (csegen-6300) (let ((e-56 (car e-18))) (let ((e-57 (cdr e-18))) (if (null? e-57) (let ((eff-0 (CompilerC-45SchemeC-45Common-schExp arg-0 arg-1 arg-2 e-56))) (PrimIO-io_bind eff-0 (csegen-6296))) (csegen-6300)))))) ((7) (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45SchemeC-45Common-schExp arg-0 arg-1 arg-2 eta-0)) e-18 '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (CompilerC-45SchemeC-45Common-schRecordCon arg-1 e-15 e-5))))) eff-1))))))))(else (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45SchemeC-45Common-schExp arg-0 arg-1 arg-2 eta-0)) e-18 '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (CompilerC-45SchemeC-45Common-schConstructor arg-1 e-15 e-17 e-5))))) eff-1)))))))))))))) ((6) (let ((e-21 (vector-ref arg-3 3))) (let ((e-22 (vector-ref arg-3 4))) (let ((eff-0 (CompilerC-45SchemeC-45Common-schArgs arg-0 arg-1 arg-2 e-22))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CompilerC-45SchemeC-45Common-schOp e-21 e-5))) eff-1)))))))))) ((7) (let ((e-24 (vector-ref arg-3 2))) (let ((e-25 (vector-ref arg-3 3))) (((arg-0 arg-2) (CompilerC-45SchemeC-45Common-toPrim e-24)) e-25)))) ((8) (let ((e-28 (vector-ref arg-3 3))) (let ((eff-0 (CompilerC-45SchemeC-45Common-schExp arg-0 arg-1 arg-2 e-28))) (PrimIO-io_bind eff-0 (csegen-6298))))) ((9) (let ((e-31 (vector-ref arg-3 3))) (let ((eff-0 (CompilerC-45SchemeC-45Common-schExp arg-0 arg-1 arg-2 e-31))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (string-append "(lambda () " (string-append e-5 ")")))))) eff-1))))))))) ((10) (let ((e-32 (vector-ref arg-3 1))) (let ((e-33 (vector-ref arg-3 2))) (let ((e-34 (vector-ref arg-3 3))) (let ((e-35 (vector-ref arg-3 4))) (CoreC-45Core-cond (cons (cons (lambda () (CompilerC-45SchemeC-45Common-n--10696-7741-u--recordCase arg-0 arg-1 e-35 e-34 e-33 e-32 arg-2 e-34)) (lambda () (CompilerC-45SchemeC-45Common-schRecordCase arg-0 arg-1 arg-2 e-33 e-34 e-35))) (cons (cons (lambda () (CompilerC-45SchemeC-45Common-n--10696-7740-u--maybeCase arg-0 arg-1 e-35 e-34 e-33 e-32 arg-2 e-34)) (lambda () (CompilerC-45SchemeC-45Common-schMaybeCase arg-0 arg-1 arg-2 e-33 e-34 e-35))) (cons (cons (lambda () (CompilerC-45SchemeC-45Common-n--10696-7739-u--listCase arg-0 arg-1 e-35 e-34 e-33 e-32 arg-2 e-34)) (lambda () (CompilerC-45SchemeC-45Common-schListCase arg-0 arg-1 arg-2 e-33 e-34 e-35))) '()))) (CompilerC-45SchemeC-45Common-schCaseTree arg-0 arg-1 arg-2 e-33 e-34 e-35))))))) ((11) (let ((e-36 (vector-ref arg-3 1))) (let ((e-37 (vector-ref arg-3 2))) (let ((e-38 (vector-ref arg-3 3))) (let ((e-39 (vector-ref arg-3 4))) (if (null? e-39) (let ((eff-0 (CompilerC-45SchemeC-45Common-schExp arg-0 arg-1 (bs+ arg-2 1 63) e-37))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--n (string-append "sc" (PreludeC-45Show-u--show_Show_Int arg-2)))) (let ((sc3 (CompilerC-45SchemeC-45Common-var e-37))) (cond ((equal? sc3 1) (let ((eff-1 (CompilerC-45SchemeC-45Common-n--10696-7859-u--showConstAlts arg-0 arg-1 e-38 e-37 e-36 arg-2 e-5 e-38))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (string-append "(cond " (string-append e-6 ")")))))) eff-2)))))))) (else (let ((eff-1 (CompilerC-45SchemeC-45Common-n--10696-7859-u--showConstAlts arg-0 arg-1 e-38 e-37 e-36 arg-2 u--n e-38))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (string-append "(let ((" (string-append u--n (string-append " " (string-append e-5 (string-append ")) (cond " (string-append e-6 "))")))))))))) eff-2))))))))))))) eff-1))))))) (let ((eff-0 (PreludeC-45Types-maybe (lambda () (lambda (eta-0) (vector 1 '()))) (lambda () (lambda (u--v) (let ((eff-0 (CompilerC-45SchemeC-45Common-schExp arg-0 arg-1 arg-2 u--v))) (PrimIO-io_bind eff-0 (csegen-1573))))) e-39))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CompilerC-45SchemeC-45Common-schExp arg-0 arg-1 (bs+ arg-2 1 63) e-37))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((u--n (string-append "sc" (PreludeC-45Show-u--show_Show_Int arg-2)))) (let ((sc4 (CompilerC-45SchemeC-45Common-var e-37))) (cond ((equal? sc4 1) (let ((eff-2 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45SchemeC-45Common-schConstAlt arg-0 arg-1 (bs+ arg-2 1 63) e-6 eta-0)) e-38 '()))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (string-append "(cond " (string-append (CoreC-45NameC-45Namespace-showSep " " e-7) (string-append (CompilerC-45SchemeC-45Common-schCaseDef e-5) ")"))))))) eff-3)))))))) (else (let ((eff-2 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45SchemeC-45Common-schConstAlt arg-0 arg-1 (bs+ arg-2 1 63) u--n eta-0)) e-38 '()))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (string-append "(let ((" (string-append u--n (string-append " " (string-append e-6 (string-append ")) (cond " (string-append (CoreC-45NameC-45Namespace-showSep " " e-7) (string-append (CompilerC-45SchemeC-45Common-schCaseDef e-5) "))"))))))))))) eff-3))))))))))))) eff-2))))))))) eff-1))))))))))))) ((12) (let ((e-41 (vector-ref arg-3 2))) (lambda (eta-0) (vector 1 (CompilerC-45SchemeC-45Common-schConstant arg-1 e-41))))) ((13) (lambda (eta-0) (vector 1 "'erased"))) (else (let ((e-44 (vector-ref arg-3 2))) (lambda (eta-0) (vector 1 (string-append "(blodwen-error-quit " (string-append (PreludeC-45Show-u--show_Show_String e-44) ")")))))))))
(define CompilerC-45SchemeC-45Common-schDef (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (case (vector-ref arg-4 0) ((0) (let ((e-0 (vector-ref arg-4 1))) (let ((e-1 (vector-ref arg-4 2))) (if (null? e-0) (let ((eff-0 (CoreC-45Context-getFullName arg-2 arg-3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CompilerC-45SchemeC-45Common-schExp arg-0 arg-1 0 e-1))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (string-append "(define " (string-append (CompilerC-45SchemeC-45Common-schName e-5) (string-append "(blodwen-lazy (lambda () " (string-append e-6 ")))\xa;")))))))) eff-2))))))))) eff-1))))))) (let ((eff-0 (CoreC-45Context-getFullName arg-2 arg-3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CompilerC-45SchemeC-45Common-schExp arg-0 arg-1 0 e-1))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (string-append "(define " (string-append (CompilerC-45SchemeC-45Common-schName e-5) (string-append " (lambda (" (string-append (CompilerC-45SchemeC-45Common-schArglist e-0) (string-append ") " (string-append e-6 "))\xa;")))))))))) eff-2))))))))) eff-1))))))))))) ((3) (let ((e-2 (vector-ref arg-4 1))) (let ((eff-0 (CoreC-45Context-getFullName arg-2 arg-3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CompilerC-45SchemeC-45Common-schExp arg-0 arg-1 0 e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-3 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (string-append "(define (" (string-append (CompilerC-45SchemeC-45Common-schName e-5) (string-append " . any-args) " (string-append e-6 ")\xa;")))))))) eff-2))))))))) eff-1))))))))) ((2) (lambda (eta-0) (vector 1 ""))) (else (lambda (eta-0) (vector 1 ""))))))
(define CompilerC-45SchemeC-45Common-schConstructor (lambda (arg-0 arg-1 arg-2 arg-3) (if (null? arg-2) (string-append "(vector " (string-append (arg-0 (CoreC-45Name-u--show_Show_Name arg-1)) (string-append " " (string-append (CoreC-45NameC-45Namespace-showSep " " arg-3) ")")))) (let ((e-1 (unbox arg-2))) (string-append "(vector " (string-append (PreludeC-45Show-u--show_Show_Int e-1) (string-append " " (string-append (CoreC-45NameC-45Namespace-showSep " " arg-3) ")"))))))))
(define CompilerC-45SchemeC-45Common-schConstant (lambda (arg-0 arg-1) (case (vector-ref arg-1 0) ((0) (let ((e-0 (vector-ref arg-1 1))) (PreludeC-45Show-u--show_Show_Int e-0))) ((1) (let ((e-1 (vector-ref arg-1 1))) (PreludeC-45Show-u--show_Show_Int8 e-1))) ((2) (let ((e-2 (vector-ref arg-1 1))) (PreludeC-45Show-u--show_Show_Int16 e-2))) ((3) (let ((e-3 (vector-ref arg-1 1))) (PreludeC-45Show-u--show_Show_Int32 e-3))) ((4) (let ((e-4 (vector-ref arg-1 1))) (PreludeC-45Show-u--show_Show_Int64 e-4))) ((5) (let ((e-5 (vector-ref arg-1 1))) (PreludeC-45Show-u--show_Show_Integer e-5))) ((6) (let ((e-6 (vector-ref arg-1 1))) (PreludeC-45Show-u--show_Show_Bits8 e-6))) ((7) (let ((e-7 (vector-ref arg-1 1))) (PreludeC-45Show-u--show_Show_Bits16 e-7))) ((8) (let ((e-8 (vector-ref arg-1 1))) (PreludeC-45Show-u--show_Show_Bits32 e-8))) ((9) (let ((e-9 (vector-ref arg-1 1))) (PreludeC-45Show-u--show_Show_Bits64 e-9))) ((10) (let ((e-10 (vector-ref arg-1 1))) (arg-0 e-10))) ((11) (let ((e-11 (vector-ref arg-1 1))) (let ((sc1 (let ((sc2 (PreludeC-45EqOrd-u--C-62C-61_Ord_Int (cast-char-boundedInt e-11 63) 32))) (cond ((equal? sc2 1) (PreludeC-45EqOrd-u--C-60_Ord_Int (cast-char-boundedInt e-11 63) (blodwen-toSignedInt 127 63))) (else 0))))) (cond ((equal? sc1 1) (string-append "#\\" (string e-11))) (else (string-append "(integer->char " (string-append (PreludeC-45Show-u--show_Show_Int (cast-char-boundedInt e-11 63)) ")"))))))) ((12) (let ((e-12 (vector-ref arg-1 1))) (PreludeC-45Show-u--show_Show_Double e-12))) ((13) (let ((e-13 (vector-ref arg-1 1))) (CompilerC-45SchemeC-45Common-schPrimType e-13))) (else "#f"))))
(define CompilerC-45SchemeC-45Common-schConstAlt (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (let ((e-0 (car arg-4))) (let ((e-1 (cdr arg-4))) (let ((eff-0 (CompilerC-45SchemeC-45Common-schExp arg-0 arg-1 arg-2 e-1))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (string-append "((equal? " (string-append arg-3 (string-append " " (string-append (CompilerC-45SchemeC-45Common-schConstant arg-1 e-0) (string-append ") " (string-append e-5 ")")))))))))) eff-1)))))))))))
(define CompilerC-45SchemeC-45Common-schConUncheckedAlt (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (let ((e-0 (vector-ref arg-4 0))) (let ((e-1 (vector-ref arg-4 1))) (let ((e-2 (vector-ref arg-4 2))) (let ((e-3 (vector-ref arg-4 3))) (let ((e-4 (vector-ref arg-4 4))) (let ((eff-0 (CompilerC-45SchemeC-45Common-schExp arg-0 arg-1 arg-2 e-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (CompilerC-45SchemeC-45Common-n--10689-5608-u--bindArgs arg-0 arg-1 e-4 e-3 e-2 e-1 e-0 arg-3 arg-2 1 e-3 e-5))))) eff-1))))))))))))))
(define CompilerC-45SchemeC-45Common-schConAlt (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (let ((e-0 (vector-ref arg-4 0))) (let ((e-1 (vector-ref arg-4 1))) (let ((e-2 (vector-ref arg-4 2))) (let ((e-3 (vector-ref arg-4 3))) (let ((e-4 (vector-ref arg-4 4))) (let ((eff-0 (CompilerC-45SchemeC-45Common-schExp arg-0 arg-1 arg-2 e-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (string-append "((" (string-append (CompilerC-45SchemeC-45Common-showTag arg-0 arg-1 e-0 e-2) (string-append ") " (string-append (CompilerC-45SchemeC-45Common-n--10688-5472-u--bindArgs arg-0 arg-1 e-4 e-3 e-2 e-1 e-0 arg-3 arg-2 1 e-3 e-5) ")")))))))) eff-1))))))))))))))
(define CompilerC-45SchemeC-45Common-schCaseTree (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (if (null? arg-4) (let ((eff-0 (CompilerC-45SchemeC-45Common-schExp arg-0 arg-1 (bs+ arg-2 1 63) arg-3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (PreludeC-45Types-maybe (lambda () (lambda (eta-0) (vector 1 "'erased"))) (lambda () (lambda (eta-0) (CompilerC-45SchemeC-45Common-schExp arg-0 arg-1 arg-2 eta-0))) arg-5))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((u--n (string-append "sc" (PreludeC-45Show-u--show_Show_Int arg-2)))) (lambda (clam-0) (let ((sc3 (CompilerC-45SchemeC-45Common-var arg-3))) (cond ((equal? sc3 1) (vector 1 e-6)) (else (vector 1 (string-append "(let ((" (string-append u--n (string-append " " (string-append e-5 (string-append ")) " (string-append e-6 ")")))))))))))))) eff-2))))))))) eff-1))))))) (let ((e-3 (car arg-4))) (let ((e-4 (cdr arg-4))) (if (null? e-4) (if (null? arg-5) (let ((eff-0 (CompilerC-45SchemeC-45Common-schExp arg-0 arg-1 (bs+ arg-2 1 63) arg-3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--n (string-append "sc" (PreludeC-45Show-u--show_Show_Int arg-2)))) (let ((sc4 (CompilerC-45SchemeC-45Common-var arg-3))) (cond ((equal? sc4 1) (let ((eff-1 (CompilerC-45SchemeC-45Common-schConUncheckedAlt arg-0 arg-1 (bs+ arg-2 1 63) e-5 e-3))) (PrimIO-io_bind eff-1 (csegen-1313)))) (else (let ((eff-1 (CompilerC-45SchemeC-45Common-schConUncheckedAlt arg-0 arg-1 (bs+ arg-2 1 63) u--n e-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (string-append "(let ((" (string-append u--n (string-append " " (string-append e-5 (string-append ")) " (string-append e-6 ")")))))))))) eff-2))))))))))))) eff-1))))))) (if (null? arg-5) (let ((eff-0 (CompilerC-45SchemeC-45Common-schExp arg-0 arg-1 (bs+ arg-2 1 63) arg-3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--n (string-append "sc" (PreludeC-45Show-u--show_Show_Int arg-2)))) (let ((sc5 (CompilerC-45SchemeC-45Common-var arg-3))) (cond ((equal? sc5 1) (let ((eff-1 (CompilerC-45SchemeC-45Common-n--10692-5982-u--showAlts arg-0 arg-1 arg-4 arg-3 arg-2 e-5 arg-4))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (string-append "(case (vector-ref " (string-append e-5 (string-append " 0) " (string-append e-6 ")")))))))) eff-2)))))))) (else (let ((eff-1 (CompilerC-45SchemeC-45Common-n--10692-5982-u--showAlts arg-0 arg-1 arg-4 arg-3 arg-2 u--n arg-4))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (string-append "(let ((" (string-append u--n (string-append " " (string-append e-5 (string-append ")) (case (vector-ref " (string-append u--n (string-append " 0) " (string-append e-6 "))")))))))))))) eff-2))))))))))))) eff-1))))))) (let ((eff-0 (CompilerC-45SchemeC-45Common-schExp arg-0 arg-1 (bs+ arg-2 1 63) arg-3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (PreludeC-45Types-maybe (lambda () (lambda (eta-0) (vector 1 '()))) (lambda () (lambda (u--v) (let ((eff-1 (CompilerC-45SchemeC-45Common-schExp arg-0 arg-1 arg-2 u--v))) (PrimIO-io_bind eff-1 (csegen-1573))))) arg-5))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((u--n (string-append "sc" (PreludeC-45Show-u--show_Show_Int arg-2)))) (let ((sc6 (CompilerC-45SchemeC-45Common-var arg-3))) (cond ((equal? sc6 1) (let ((eff-2 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45SchemeC-45Common-schConAlt arg-0 arg-1 (bs+ arg-2 1 63) e-5 eta-0)) arg-4 '()))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (string-append "(case (vector-ref " (string-append e-5 (string-append " 0) " (string-append (CoreC-45NameC-45Namespace-showSep " " e-7) (string-append (CompilerC-45SchemeC-45Common-schCaseDef e-6) ")"))))))))) eff-3)))))))) (else (let ((eff-2 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45SchemeC-45Common-schConAlt arg-0 arg-1 (bs+ arg-2 1 63) u--n eta-0)) arg-4 '()))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (string-append "(let ((" (string-append u--n (string-append " " (string-append e-5 (string-append ")) (case (vector-ref " (string-append u--n (string-append " 0) " (string-append (CoreC-45NameC-45Namespace-showSep " " e-7) (string-append (CompilerC-45SchemeC-45Common-schCaseDef e-6) "))"))))))))))))) eff-3))))))))))))) eff-2))))))))) eff-1))))))))) (if (null? arg-5) (let ((eff-0 (CompilerC-45SchemeC-45Common-schExp arg-0 arg-1 (bs+ arg-2 1 63) arg-3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--n (string-append "sc" (PreludeC-45Show-u--show_Show_Int arg-2)))) (let ((sc4 (CompilerC-45SchemeC-45Common-var arg-3))) (cond ((equal? sc4 1) (let ((eff-1 (CompilerC-45SchemeC-45Common-n--10692-5982-u--showAlts arg-0 arg-1 arg-4 arg-3 arg-2 e-5 arg-4))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (string-append "(case (vector-ref " (string-append e-5 (string-append " 0) " (string-append e-6 ")")))))))) eff-2)))))))) (else (let ((eff-1 (CompilerC-45SchemeC-45Common-n--10692-5982-u--showAlts arg-0 arg-1 arg-4 arg-3 arg-2 u--n arg-4))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (string-append "(let ((" (string-append u--n (string-append " " (string-append e-5 (string-append ")) (case (vector-ref " (string-append u--n (string-append " 0) " (string-append e-6 "))")))))))))))) eff-2))))))))))))) eff-1))))))) (let ((eff-0 (CompilerC-45SchemeC-45Common-schExp arg-0 arg-1 (bs+ arg-2 1 63) arg-3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (PreludeC-45Types-maybe (lambda () (lambda (eta-0) (vector 1 '()))) (lambda () (lambda (u--v) (let ((eff-1 (CompilerC-45SchemeC-45Common-schExp arg-0 arg-1 arg-2 u--v))) (PrimIO-io_bind eff-1 (csegen-1573))))) arg-5))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((u--n (string-append "sc" (PreludeC-45Show-u--show_Show_Int arg-2)))) (let ((sc5 (CompilerC-45SchemeC-45Common-var arg-3))) (cond ((equal? sc5 1) (let ((eff-2 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45SchemeC-45Common-schConAlt arg-0 arg-1 (bs+ arg-2 1 63) e-5 eta-0)) arg-4 '()))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (string-append "(case (vector-ref " (string-append e-5 (string-append " 0) " (string-append (CoreC-45NameC-45Namespace-showSep " " e-7) (string-append (CompilerC-45SchemeC-45Common-schCaseDef e-6) ")"))))))))) eff-3)))))))) (else (let ((eff-2 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45SchemeC-45Common-schConAlt arg-0 arg-1 (bs+ arg-2 1 63) u--n eta-0)) arg-4 '()))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (string-append "(let ((" (string-append u--n (string-append " " (string-append e-5 (string-append ")) (case (vector-ref " (string-append u--n (string-append " 0) " (string-append (CoreC-45NameC-45Namespace-showSep " " e-7) (string-append (CompilerC-45SchemeC-45Common-schCaseDef e-6) "))"))))))))))))) eff-3))))))))))))) eff-2))))))))) eff-1))))))))))))))
(define CompilerC-45SchemeC-45Common-schCaseDef (lambda (arg-0) (if (null? arg-0) "" (let ((e-2 (unbox arg-0))) (string-append "(else " (string-append e-2 ")"))))))
(define CompilerC-45SchemeC-45Common-schArgs (lambda (arg-0 arg-1 arg-3 arg-4) (if (null? arg-4) (lambda (eta-0) (vector 1 '())) (let ((e-3 (car arg-4))) (let ((e-4 (cdr arg-4))) (let ((eff-0 (CompilerC-45SchemeC-45Common-schExp arg-0 arg-1 arg-3 e-3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CompilerC-45SchemeC-45Common-schArgs arg-0 arg-1 arg-3 e-4))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (cons e-5 e-6))))) eff-2))))))))) eff-1))))))))))))
(define CompilerC-45SchemeC-45Common-schArglist (lambda (arg-0) (if (null? arg-0) "" (let ((e-2 (car arg-0))) (let ((e-3 (cdr arg-0))) (if (null? e-3) (CompilerC-45SchemeC-45Common-schName e-2) (string-append (CompilerC-45SchemeC-45Common-schName e-2) (string-append " " (CompilerC-45SchemeC-45Common-schArglist e-3)))))))))
(define CompilerC-45SchemeC-45Common-op (lambda (arg-0 arg-1) (string-append "(" (string-append arg-0 (string-append " " (string-append (CoreC-45NameC-45Namespace-showSep " " arg-1) ")"))))))
(define CompilerC-45SchemeC-45Common-mul (lambda (arg-0 arg-1 arg-2) (if (null? arg-0) (CompilerC-45SchemeC-45Common-op "*" (cons arg-1 (cons arg-2 '()))) (let ((e-1 (unbox arg-0))) (case (vector-ref e-1 0) ((0) (let ((e-2 (vector-ref e-1 1))) (if (null? e-2) (CompilerC-45SchemeC-45Common-op "*" (cons arg-1 (cons arg-2 '()))) (let ((e-4 (unbox e-2))) (CompilerC-45SchemeC-45Common-op "bs*" (cons arg-1 (cons arg-2 (cons (PreludeC-45Show-u--show_Show_Int (bs- e-4 1 63)) '())))))))) ((1) (let ((e-3 (vector-ref e-1 1))) (CompilerC-45SchemeC-45Common-op "bu*" (cons arg-1 (cons arg-2 (cons (PreludeC-45Show-u--show_Show_Int e-3) '()))))))(else (CompilerC-45SchemeC-45Common-op "*" (cons arg-1 (cons arg-2 '())))))))))
(define CompilerC-45SchemeC-45Common-getScheme (lambda (arg-0 arg-1 arg-2 arg-3) (let ((e-2 (car arg-3))) (let ((e-3 (cdr arg-3))) (let ((e-7 (cdr e-3))) (CompilerC-45SchemeC-45Common-schDef arg-1 arg-2 arg-0 e-2 e-7))))))
(define CompilerC-45SchemeC-45Common-div (lambda (arg-0 arg-1 arg-2) (if (null? arg-0) (CompilerC-45SchemeC-45Common-op "/" (cons arg-1 (cons arg-2 '()))) (let ((e-1 (unbox arg-0))) (case (vector-ref e-1 0) ((0) (let ((e-2 (vector-ref e-1 1))) (if (null? e-2) (CompilerC-45SchemeC-45Common-op "blodwen-euclidDiv" (cons arg-1 (cons arg-2 '()))) (let ((e-4 (unbox e-2))) (CompilerC-45SchemeC-45Common-op "bs/" (cons arg-1 (cons arg-2 (cons (PreludeC-45Show-u--show_Show_Int (bs- e-4 1 63)) '())))))))) ((1) (let ((e-3 (vector-ref e-1 1))) (CompilerC-45SchemeC-45Common-op "bu/" (cons arg-1 (cons arg-2 (cons (PreludeC-45Show-u--show_Show_Int e-3) '()))))))(else (CompilerC-45SchemeC-45Common-op "/" (cons arg-1 (cons arg-2 '())))))))))
(define CompilerC-45SchemeC-45Common-constPrimitives(blodwen-lazy (lambda () (vector (lambda (u--k) (lambda (eta-0) (lambda (eta-1) (vector 1 (CompilerC-45SchemeC-45Common-n--8475-3121-u--charTo u--k eta-0))))) (lambda (_-3520) (lambda (u--x) (lambda (eta-0) (vector 1 (CompilerC-45SchemeC-45Common-op "cast-int-char" (cons u--x '())))))) (lambda (u--k) (lambda (eta-0) (lambda (eta-1) (vector 1 (CompilerC-45SchemeC-45Common-n--8475-3122-u--strTo u--k eta-0))))) (lambda (_-3498) (lambda (u--x) (lambda (eta-0) (vector 1 (CompilerC-45SchemeC-45Common-op "number->string" (cons u--x '())))))) (lambda (u--k) (lambda (eta-0) (lambda (eta-1) (vector 1 (CompilerC-45SchemeC-45Common-n--8475-3123-u--dblTo u--k eta-0))))) (lambda (_-3476) (lambda (u--x) (lambda (eta-0) (vector 1 (CompilerC-45SchemeC-45Common-op "exact->inexact" (cons u--x '())))))) (lambda (u--k1) (lambda (u--k2) (lambda (eta-0) (lambda (eta-1) (vector 1 (CompilerC-45SchemeC-45Common-n--8475-3124-u--intTo u--k1 u--k2 eta-0))))))))))
(define CompilerC-45SchemeC-45Common-boolop (lambda (arg-0 arg-1) (string-append "(or (and " (string-append (CompilerC-45SchemeC-45Common-op arg-0 arg-1) " 1) 0)"))))
(define CompilerC-45SchemeC-45Common-add (lambda (arg-0 arg-1 arg-2) (if (null? arg-0) (CompilerC-45SchemeC-45Common-op "+" (cons arg-1 (cons arg-2 '()))) (let ((e-1 (unbox arg-0))) (case (vector-ref e-1 0) ((0) (let ((e-2 (vector-ref e-1 1))) (if (null? e-2) (CompilerC-45SchemeC-45Common-op "+" (cons arg-1 (cons arg-2 '()))) (let ((e-4 (unbox e-2))) (CompilerC-45SchemeC-45Common-op "bs+" (cons arg-1 (cons arg-2 (cons (PreludeC-45Show-u--show_Show_Int (bs- e-4 1 63)) '())))))))) ((1) (let ((e-3 (vector-ref e-1 1))) (CompilerC-45SchemeC-45Common-op "bu+" (cons arg-1 (cons arg-2 (cons (PreludeC-45Show-u--show_Show_Int e-3) '()))))))(else (CompilerC-45SchemeC-45Common-op "+" (cons arg-1 (cons arg-2 '())))))))))
(define CompilerC-45Generated-generatedString (lambda (arg-0) (string-append "@" (string-append "generated by Idris " (string-append (LibrariesC-45DataC-45Version-u--show_Show_Version (IdrisC-45Version-version)) (string-append ", " (string-append arg-0 " backend")))))))
(define CompilerC-45SchemeC-45Racket-case--cCall-2108 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11) (let ((e-2 (car arg-11))) (let ((e-3 (cdr arg-11))) (let ((eff-0 (let ((sc1 (PreludeC-45Types-elem (csegen-16) (csegen-43) e-2 arg-9))) (cond ((equal? sc1 1) (lambda (eta-0) (vector 1 ""))) (else (let ((eff-0 (let ((eff-0 arg-6)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (set-box! eff-1 (cons e-2 arg-9)))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-1 (let ((eff-1 (CompilerC-45Common-locate arg-7 arg-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((e-7 (car e-6))) (let ((e-4 (cdr e-6))) (let ((eff-2 (CompilerC-45Common-copyLib (cons (LibrariesC-45UtilsC-45Path-C-60C-47C-62 arg-5 e-7) e-4)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((eff-3 (lambda (eta-0) (vector 1 (CompilerC-45SchemeC-45Racket-loadlib e-2 e-3))))) eff-3)))))))))) eff-2))))))))) eff-1))))))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Core-traverseC-39 (lambda (u--a) (let ((eff-1 (CompilerC-45SchemeC-45Racket-cftySpec arg-4 (Builtin-snd u--a)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (cons u--a e-6))))) eff-2)))))))) arg-1 '()))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45SchemeC-45Racket-cftySpec arg-4 arg-0))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (let ((sc4 (PreludeC-45Types-elem (csegen-16) (csegen-43) arg-3 arg-10))) (cond ((equal? sc4 1) (lambda (eta-0) (vector 1 ""))) (else (let ((eff-3 (let ((eff-3 arg-8)) (PrimIO-io_bind (let ((eff-4 eff-3)) (lambda (eta-0) (set-box! eff-4 (cons arg-3 arg-10)))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-4 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-4 (lambda (eta-0) (vector 1 (string-append "(define-" (string-append e-2 (string-append " " (string-append arg-3 (string-append " (_fun " (string-append (CoreC-45NameC-45Namespace-showSep " " ((csegen-947) e-6)) (string-append " -> " (string-append e-7 "))\xa;")))))))))))) eff-4))))))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-4 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45SchemeC-45Racket-n--11532-1892-u--useArg arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 eta-0)) ((csegen-101) e-6) '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-4 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (let ((u--call (string-append "(" (string-append arg-3 (string-append " " (string-append (CoreC-45NameC-45Namespace-showSep " " e-9) ")")))))) (lambda (eta-0) (vector 1 (cons (string-append e-5 e-8) (case (vector-ref arg-0 0) ((20) (let ((e-0 (vector-ref arg-0 1))) (CompilerC-45SchemeC-45Racket-handleRet e-0 u--call)))(else u--call)))))))) eff-5))))))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))
(define CompilerC-45SchemeC-45Racket-case--getLibVers-1675 (lambda (arg-0 arg-1) (if (null? arg-1) (cons "" "") (let ((e-2 (car arg-1))) (let ((e-3 (cdr arg-1))) (if (null? e-3) (let ((sc2 (DataC-45String-span (csegen-6314) arg-0))) (let ((e-5 (car sc2))) (cons e-5 ""))) (cons (Builtin-fst (DataC-45String-span (csegen-6314) e-2)) (string-append "'(" (string-append (CoreC-45NameC-45Namespace-showSep " " ((csegen-1292) e-3)) " #f)")))))))))
(define CompilerC-45SchemeC-45Racket-n--11532-1892-u--useArg (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9) (let ((e-2 (car arg-9))) (let ((e-3 (cdr arg-9))) (case (vector-ref e-3 0) ((19) (let ((e-4 (vector-ref e-3 1))) (let ((e-5 (vector-ref e-3 2))) (CompilerC-45SchemeC-45Racket-n--11532-1891-u--callback arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (CompilerC-45SchemeC-45Common-schName e-2) (cons e-4 '()) e-5))))(else (lambda (eta-0) (vector 1 (CompilerC-45SchemeC-45Racket-rktToC e-3 (CompilerC-45SchemeC-45Common-schName e-2))))))))))
(define CompilerC-45SchemeC-45Racket-n--12759-2954-u--showFld (lambda (arg-0 arg-1 arg-2 arg-3) (let ((e-2 (car arg-3))) (let ((e-3 (cdr arg-3))) (let ((eff-0 (CompilerC-45SchemeC-45Racket-cftySpec (CoreC-45FC-emptyFC) e-3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (string-append "[" (string-append e-2 (string-append " " (string-append e-5 "]")))))))) eff-1)))))))))))
(define CompilerC-45SchemeC-45Racket-n--11532-1890-u--notWorld (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9) (case (vector-ref arg-9 0) ((18) 0)(else 1))))
(define CompilerC-45SchemeC-45Racket-n--11532-1887-u--mkNs (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10) (if (null? arg-10) '() (let ((e-2 (car arg-10))) (let ((e-3 (cdr arg-10))) (case (vector-ref e-2 0) ((18) (cons '() (CompilerC-45SchemeC-45Racket-n--11532-1887-u--mkNs arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 e-3)))(else (cons (box (cons (string-append "cb" (PreludeC-45Show-u--show_Show_Int arg-9)) e-2)) (CompilerC-45SchemeC-45Racket-n--11532-1887-u--mkNs arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (bs+ arg-9 1 63) e-3)))))))))
(define CompilerC-45SchemeC-45Racket-n--11532-1889-u--mkFun (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11) (let ((u--argns (CompilerC-45SchemeC-45Racket-n--11532-1887-u--mkNs arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 0 arg-9))) (string-append "(lambda (" (string-append (CoreC-45NameC-45Namespace-showSep " " ((csegen-101) (PreludeC-45TypesC-45List-mapMaybeAppend '() (lambda (eta-0) eta-0) u--argns))) (string-append ") " (string-append (CompilerC-45SchemeC-45Racket-n--11532-1888-u--applyLams arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-11 u--argns) ")")))))))
(define CompilerC-45SchemeC-45Racket-n--11180-1574-u--funTySpec (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (case (vector-ref arg-4 0) ((19) (let ((e-0 (vector-ref arg-4 1))) (let ((e-1 (vector-ref arg-4 2))) (case (vector-ref e-0 0) ((18) (CompilerC-45SchemeC-45Racket-n--11180-1574-u--funTySpec arg-0 arg-1 arg-2 arg-3 e-1))(else (CompilerC-45SchemeC-45Racket-n--11180-1574-u--funTySpec arg-0 arg-1 arg-2 (cons e-0 arg-3) e-1))))))(else (let ((eff-0 (CompilerC-45SchemeC-45Racket-cftySpec arg-2 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45SchemeC-45Racket-cftySpec arg-2 eta-0)) (PreludeC-45TypesC-45List-reverse arg-3) '()))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (string-append "(_fun " (string-append (CoreC-45NameC-45Namespace-showSep " " e-6) (string-append " -> " (string-append e-5 ")")))))))) eff-2))))))))) eff-1)))))))))))
(define CompilerC-45SchemeC-45Racket-n--11532-1891-u--callback (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11) (case (vector-ref arg-11 0) ((19) (let ((e-0 (vector-ref arg-11 1))) (let ((e-1 (vector-ref arg-11 2))) (CompilerC-45SchemeC-45Racket-n--11532-1891-u--callback arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 (cons e-0 arg-10) e-1))))(else (let ((u--args (PreludeC-45TypesC-45List-reverse arg-10))) (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45SchemeC-45Racket-cftySpec arg-4 eta-0)) (PreludeC-45TypesC-45List-filterAppend '() (lambda (eta-0) (CompilerC-45SchemeC-45Racket-n--11532-1890-u--notWorld arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 eta-0)) u--args) '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (CompilerC-45SchemeC-45Racket-cftySpec arg-4 arg-11))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (lambda (eta-0) (vector 1 (CompilerC-45SchemeC-45Racket-n--11532-1889-u--mkFun arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 u--args arg-11 arg-9))))) eff-2)))))))) eff-1)))))))))))
(define CompilerC-45SchemeC-45Racket-n--11532-1888-u--applyLams (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10) (if (null? arg-10) arg-9 (let ((e-2 (car arg-10))) (let ((e-3 (cdr arg-10))) (if (null? e-2) (CompilerC-45SchemeC-45Racket-n--11532-1888-u--applyLams arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (string-append "(" (string-append arg-9 " #f)")) e-3) (let ((e-6 (unbox e-2))) (let ((e-9 (car e-6))) (let ((e-10 (cdr e-6))) (CompilerC-45SchemeC-45Racket-n--11532-1888-u--applyLams arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (string-append "(" (string-append arg-9 (string-append " " (string-append (CompilerC-45SchemeC-45Racket-cToRkt e-10 e-9) ")")))) e-3))))))))))
(define CompilerC-45SchemeC-45Racket-useCC (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (let ((sc0 (CompilerC-45Common-parseCC (cons "scheme,racket" (csegen-6212)) arg-5))) (if (null? sc0) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 61 arg-4 arg-5) eta-0)) (let ((e-2 (unbox sc0))) (if (null? e-2) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 61 arg-4 arg-5) eta-0)) (let ((e-5 (car e-2))) (let ((e-6 (cdr e-2))) (cond ((equal? e-5 "scheme,racket") (if (null? e-6) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 61 arg-4 arg-5) eta-0)) (let ((e-8 (car e-6))) (let ((e-9 (cdr e-6))) (if (null? e-9) (let ((eff-0 (CompilerC-45SchemeC-45Racket-schemeCall arg-4 e-8 ((csegen-101) arg-6) arg-7))) (PrimIO-io_bind eff-0 (csegen-6316))) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 61 arg-4 arg-5) eta-0))))))) ((equal? e-5 "scheme") (if (null? e-6) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 61 arg-4 arg-5) eta-0)) (let ((e-12 (car e-6))) (let ((e-13 (cdr e-6))) (if (null? e-13) (let ((eff-0 (CompilerC-45SchemeC-45Racket-schemeCall arg-4 e-12 ((csegen-101) arg-6) arg-7))) (PrimIO-io_bind eff-0 (csegen-6316))) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 61 arg-4 arg-5) eta-0))))))) ((equal? e-5 "C") (if (null? e-6) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 61 arg-4 arg-5) eta-0)) (let ((e-16 (car e-6))) (let ((e-17 (cdr e-6))) (if (null? e-17) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 61 arg-4 arg-5) eta-0)) (let ((e-19 (car e-17))) (let ((e-20 (cdr e-17))) (if (null? e-20) (CompilerC-45SchemeC-45Racket-cCall arg-0 arg-1 arg-2 arg-3 arg-4 e-16 e-19 arg-6 arg-7) (let ((e-24 (cdr e-20))) (if (null? e-24) (CompilerC-45SchemeC-45Racket-cCall arg-0 arg-1 arg-2 arg-3 arg-4 e-16 e-19 arg-6 arg-7) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 61 arg-4 arg-5) eta-0))))))))))))(else (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 61 arg-4 arg-5) eta-0))))))))))))
(define CompilerC-45SchemeC-45Racket-startRacketWinSh (lambda (arg-0 arg-1 arg-2) (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons "#!/bin/sh\xa;# " (cons (CompilerC-45Generated-generatedString "Racket") (cons "\xa;\xa;set -e # exit on any error\xa;\xa;DIR=$(dirname \"$(readlink -f -- \"$0\" || cygpath -a -- \"$0\")\")\xa;PATH=\"$DIR/" (cons arg-1 (cons ":$PATH\"\xa;\xa;" (cons arg-0 (cons " \"$DIR/" (cons arg-2 (cons "\" \"$@\"" '()))))))))))))
(define CompilerC-45SchemeC-45Racket-startRacketCmd (lambda (arg-0 arg-1 arg-2) (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons "@echo off\xa;\xa;rem " (cons (CompilerC-45Generated-generatedString "Racket") (cons "\xa;\xa;set APPDIR=%~dp0\xa;set PATH=%APPDIR%" (cons arg-1 (cons ";%PATH%\xa;\xa;" (cons arg-0 (cons " \"%APPDIR%" (cons arg-2 (cons "\" %*" '()))))))))))))
(define CompilerC-45SchemeC-45Racket-startRacket (lambda (arg-0 arg-1 arg-2) (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons "#!/bin/sh\xa;# " (cons (CompilerC-45Generated-generatedString "Racket") (cons "\xa;\xa;set -e # exit on any error\xa;\xa;if [ \"$(uname)\" = Darwin ]; then\xa;  DIR=$(zsh -c 'printf %s \"$0:A:h\"' \"$0\")\xa;else\xa;  DIR=$(dirname \"$(readlink -f -- \"$0\")\")\xa;fi\xa;\xa;export LD_LIBRARY_PATH=\"$DIR/" (cons arg-1 (cons ":$LD_LIBRARY_PATH\"\xa;export DYLD_LIBRARY_PATH=\"$DIR/" (cons arg-1 (cons ":$DYLD_LIBRARY_PATH\"\xa;\xa;" (cons arg-0 (cons " \"$DIR/" (cons arg-2 (cons "\" \"$@\"" '()))))))))))))))
(define CompilerC-45SchemeC-45Racket-showRacketString (lambda (arg-0) (lambda (clam-0) (if (null? arg-0) clam-0 (let ((e-2 (car arg-0))) (let ((e-3 (cdr arg-0))) (cond ((equal? e-2 #\") (string-append "\\\"" ((CompilerC-45SchemeC-45Racket-showRacketString e-3) clam-0)))(else ((CompilerC-45SchemeC-45Racket-showRacketChar e-2) ((CompilerC-45SchemeC-45Racket-showRacketString e-3) clam-0))))))))))
(define CompilerC-45SchemeC-45Racket-showRacketChar (lambda (arg-0) (lambda (clam-0) (cond ((equal? arg-0 #\\) (string-append "\\\\" clam-0))(else (let ((sc0 (let ((sc1 (PreludeC-45EqOrd-u--C-60_Ord_Char arg-0 (cast-int-char 32)))) (cond ((equal? sc1 1) 1) (else (PreludeC-45EqOrd-u--C-62_Ord_Char arg-0 (cast-int-char (blodwen-toSignedInt 126 63)))))))) (cond ((equal? sc0 1) (string-append (string-append "\\u" (ProtocolC-45Hex-leftPad #\0 4 (ProtocolC-45Hex-asHex (cast-char-boundedUInt arg-0 64)))) clam-0)) (else (string-cons arg-0 clam-0)))))))))
(define CompilerC-45SchemeC-45Racket-schemeCall (lambda (arg-0 arg-1 arg-2 arg-3) (let ((u--call (string-append "(" (string-append arg-1 (string-append " " (string-append (CoreC-45NameC-45Namespace-showSep " " ((csegen-6214) arg-2)) ")")))))) (lambda (clam-0) (case (vector-ref arg-3 0) ((20) (vector 1 u--call))(else (vector 1 u--call)))))))
(define CompilerC-45SchemeC-45Racket-schHeader (lambda (arg-0 arg-1) (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons "#lang racket/base\xa;;; " (cons (CompilerC-45Generated-generatedString "Racket") (cons "\xa;(require racket/async-channel)         ; for asynchronous channels\xa;(require racket/future)                ; for parallelism/concurrency\xa;(require racket/math)                  ; for math ops\xa;(require racket/system)                ; for system\xa;(require racket/unsafe/ops)            ; for fast fixnum ops\xa;(require rnrs/bytevectors-6)           ; for buffers\xa;(require rnrs/io/ports-6)              ; for files\xa;(require srfi/19)                      ; for file handling and data\xa;(require ffi/unsafe ffi/unsafe/define) ; for calling C\xa;" (cons (cond ((equal? arg-0 1) ((csegen-0) "(require profile)")) (else (csegen-1))) (cons "\xa;(require racket/flonum)                ; for float-typed transcendental functions\xa;" (cons arg-1 (cons "\xa;(let ()\xa;" '()))))))))))
(define CompilerC-45SchemeC-45Racket-schFooter(blodwen-lazy (lambda () (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons ")\xa;(collect-garbage)" '())))))
(define CompilerC-45SchemeC-45Racket-schFgnDef (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (case (vector-ref arg-7 0) ((2) (let ((e-0 (vector-ref arg-7 1))) (let ((e-1 (vector-ref arg-7 2))) (let ((e-2 (vector-ref arg-7 3))) (let ((u--argns (CompilerC-45SchemeC-45Racket-mkArgs 0 e-1))) (let ((u--allargns ((csegen-101) u--argns))) (let ((u--useargns ((csegen-101) (PreludeC-45TypesC-45List-filterAppend '() (lambda (eta-0) (Builtin-snd eta-0)) u--argns)))) (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45SchemeC-45Racket-mkStruct arg-3 eta-0)) e-1 '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CompilerC-45SchemeC-45Racket-mkStruct arg-3 e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-3 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45SchemeC-45Racket-useCC arg-0 arg-1 arg-2 arg-4 arg-5 e-0 (DataC-45List-u--zip_Zippable_List u--useargns e-1) e-2))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-3 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((e-4 (car e-7))) (let ((e-3 (cdr e-7))) (let ((eff-3 (let ((eff-3 arg-1)) (PrimIO-io_bind (let ((eff-4 eff-3)) (lambda (eta-0) (unbox eff-4))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-8 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Context-u--full_HasNames_Name (let ((e-40 (vector-ref e-8 0))) e-40) arg-6))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-9 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons (string-append (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) e-5) (string-append e-6 e-4)) (string-append "(define " (string-append (CompilerC-45SchemeC-45Common-schName e-9) (string-append (csegen-6218) (string-append (CoreC-45NameC-45Namespace-showSep " " ((csegen-6214) u--allargns)) (string-append ") " (string-append e-3 "))\xa;"))))))))))) eff-5))))))))) eff-4))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))))))(else (lambda (eta-0) (vector 1 (cons "" "")))))))
(define CompilerC-45SchemeC-45Racket-rktToC (lambda (arg-0 arg-1) (case (vector-ref arg-0 0) ((13) (string-append "(char->integer " (string-append arg-1 ")")))(else arg-1))))
(define CompilerC-45SchemeC-45Racket-racketString (lambda (arg-0) (string-cons #\" ((CompilerC-45SchemeC-45Racket-showRacketString (PreludeC-45Types-fastUnpack arg-0)) "\""))))
(define CompilerC-45SchemeC-45Racket-racketPrim (lambda (arg-0 arg-1 arg-2) (case (vector-ref arg-1 0) ((6) (if (null? arg-2) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2) (let ((e-1 (car arg-2))) (let ((e-2 (cdr arg-2))) (case (vector-ref e-1 0) ((12) (let ((e-20 (vector-ref e-1 2))) (case (vector-ref e-20 0) ((10) (let ((e-21 (vector-ref e-20 1))) (if (null? e-2) (if (null? e-2) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2) (let ((e-5 (cdr e-2))) (if (null? e-5) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2) (let ((e-8 (cdr e-5))) (if (null? e-8) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2) (let ((e-11 (cdr e-8))) (if (null? e-11) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2) (let ((e-14 (cdr e-11))) (if (null? e-14) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2) (let ((e-17 (cdr e-14))) (if (null? e-17) (lambda (eta-0) (vector 1 "(error \"bad getField\")")) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2)))))))))))) (let ((e-24 (cdr e-2))) (if (null? e-24) (if (null? e-2) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2) (let ((e-5 (cdr e-2))) (if (null? e-5) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2) (let ((e-8 (cdr e-5))) (if (null? e-8) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2) (let ((e-11 (cdr e-8))) (if (null? e-11) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2) (let ((e-14 (cdr e-11))) (if (null? e-14) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2) (let ((e-17 (cdr e-14))) (if (null? e-17) (lambda (eta-0) (vector 1 "(error \"bad getField\")")) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2)))))))))))) (let ((e-27 (cdr e-24))) (if (null? e-27) (if (null? e-2) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2) (let ((e-5 (cdr e-2))) (if (null? e-5) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2) (let ((e-8 (cdr e-5))) (if (null? e-8) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2) (let ((e-11 (cdr e-8))) (if (null? e-11) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2) (let ((e-14 (cdr e-11))) (if (null? e-14) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2) (let ((e-17 (cdr e-14))) (if (null? e-17) (lambda (eta-0) (vector 1 "(error \"bad getField\")")) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2)))))))))))) (let ((e-29 (car e-27))) (let ((e-30 (cdr e-27))) (if (null? e-30) (if (null? e-2) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2) (let ((e-5 (cdr e-2))) (if (null? e-5) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2) (let ((e-8 (cdr e-5))) (if (null? e-8) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2) (let ((e-11 (cdr e-8))) (if (null? e-11) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2) (let ((e-14 (cdr e-11))) (if (null? e-14) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2) (let ((e-17 (cdr e-14))) (if (null? e-17) (lambda (eta-0) (vector 1 "(error \"bad getField\")")) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2)))))))))))) (let ((e-32 (car e-30))) (let ((e-33 (cdr e-30))) (case (vector-ref e-32 0) ((12) (let ((e-35 (vector-ref e-32 2))) (case (vector-ref e-35 0) ((10) (let ((e-36 (vector-ref e-35 1))) (if (null? e-33) (if (null? e-2) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2) (let ((e-5 (cdr e-2))) (if (null? e-5) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2) (let ((e-8 (cdr e-5))) (if (null? e-8) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2) (let ((e-11 (cdr e-8))) (if (null? e-11) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2) (let ((e-14 (cdr e-11))) (if (null? e-14) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2) (let ((e-17 (cdr e-14))) (if (null? e-17) (lambda (eta-0) (vector 1 "(error \"bad getField\")")) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2)))))))))))) (let ((e-39 (cdr e-33))) (if (null? e-39) (let ((eff-0 (CompilerC-45SchemeC-45Common-schExp (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) 0 e-29))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (string-append "(" (string-append e-21 (string-append "-" (string-append e-36 (string-append " " (string-append e-5 ")")))))))))) eff-1))))))) (if (null? e-2) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2) (let ((e-5 (cdr e-2))) (if (null? e-5) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2) (let ((e-8 (cdr e-5))) (if (null? e-8) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2) (let ((e-11 (cdr e-8))) (if (null? e-11) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2) (let ((e-14 (cdr e-11))) (if (null? e-14) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2) (let ((e-17 (cdr e-14))) (if (null? e-17) (lambda (eta-0) (vector 1 "(error \"bad getField\")")) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2)))))))))))))))))(else (if (null? e-2) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2) (let ((e-5 (cdr e-2))) (if (null? e-5) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2) (let ((e-8 (cdr e-5))) (if (null? e-8) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2) (let ((e-11 (cdr e-8))) (if (null? e-11) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2) (let ((e-14 (cdr e-11))) (if (null? e-14) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2) (let ((e-17 (cdr e-14))) (if (null? e-17) (lambda (eta-0) (vector 1 "(error \"bad getField\")")) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2))))))))))))))))(else (if (null? e-2) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2) (let ((e-5 (cdr e-2))) (if (null? e-5) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2) (let ((e-8 (cdr e-5))) (if (null? e-8) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2) (let ((e-11 (cdr e-8))) (if (null? e-11) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2) (let ((e-14 (cdr e-11))) (if (null? e-14) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2) (let ((e-17 (cdr e-14))) (if (null? e-17) (lambda (eta-0) (vector 1 "(error \"bad getField\")")) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2))))))))))))))))))))))))))(else (if (null? e-2) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2) (let ((e-5 (cdr e-2))) (if (null? e-5) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2) (let ((e-8 (cdr e-5))) (if (null? e-8) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2) (let ((e-11 (cdr e-8))) (if (null? e-11) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2) (let ((e-14 (cdr e-11))) (if (null? e-14) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2) (let ((e-17 (cdr e-14))) (if (null? e-17) (lambda (eta-0) (vector 1 "(error \"bad getField\")")) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2))))))))))))))))(else (if (null? e-2) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2) (let ((e-5 (cdr e-2))) (if (null? e-5) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2) (let ((e-8 (cdr e-5))) (if (null? e-8) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2) (let ((e-11 (cdr e-8))) (if (null? e-11) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2) (let ((e-14 (cdr e-11))) (if (null? e-14) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2) (let ((e-17 (cdr e-14))) (if (null? e-17) (lambda (eta-0) (vector 1 "(error \"bad getField\")")) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2)))))))))))))))))) ((7) (if (null? arg-2) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2) (let ((e-42 (car arg-2))) (let ((e-43 (cdr arg-2))) (case (vector-ref e-42 0) ((12) (let ((e-67 (vector-ref e-42 2))) (case (vector-ref e-67 0) ((10) (let ((e-68 (vector-ref e-67 1))) (if (null? e-43) (if (null? e-43) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2) (let ((e-46 (cdr e-43))) (if (null? e-46) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2) (let ((e-49 (cdr e-46))) (if (null? e-49) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2) (let ((e-52 (cdr e-49))) (if (null? e-52) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2) (let ((e-55 (cdr e-52))) (if (null? e-55) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2) (let ((e-58 (cdr e-55))) (if (null? e-58) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2) (let ((e-61 (cdr e-58))) (if (null? e-61) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2) (let ((e-64 (cdr e-61))) (if (null? e-64) (lambda (eta-0) (vector 1 "(error \"bad setField\")")) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2)))))))))))))))) (let ((e-71 (cdr e-43))) (if (null? e-71) (if (null? e-43) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2) (let ((e-46 (cdr e-43))) (if (null? e-46) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2) (let ((e-49 (cdr e-46))) (if (null? e-49) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2) (let ((e-52 (cdr e-49))) (if (null? e-52) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2) (let ((e-55 (cdr e-52))) (if (null? e-55) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2) (let ((e-58 (cdr e-55))) (if (null? e-58) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2) (let ((e-61 (cdr e-58))) (if (null? e-61) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2) (let ((e-64 (cdr e-61))) (if (null? e-64) (lambda (eta-0) (vector 1 "(error \"bad setField\")")) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2)))))))))))))))) (let ((e-74 (cdr e-71))) (if (null? e-74) (if (null? e-43) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2) (let ((e-46 (cdr e-43))) (if (null? e-46) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2) (let ((e-49 (cdr e-46))) (if (null? e-49) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2) (let ((e-52 (cdr e-49))) (if (null? e-52) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2) (let ((e-55 (cdr e-52))) (if (null? e-55) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2) (let ((e-58 (cdr e-55))) (if (null? e-58) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2) (let ((e-61 (cdr e-58))) (if (null? e-61) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2) (let ((e-64 (cdr e-61))) (if (null? e-64) (lambda (eta-0) (vector 1 "(error \"bad setField\")")) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2)))))))))))))))) (let ((e-76 (car e-74))) (let ((e-77 (cdr e-74))) (if (null? e-77) (if (null? e-43) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2) (let ((e-46 (cdr e-43))) (if (null? e-46) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2) (let ((e-49 (cdr e-46))) (if (null? e-49) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2) (let ((e-52 (cdr e-49))) (if (null? e-52) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2) (let ((e-55 (cdr e-52))) (if (null? e-55) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2) (let ((e-58 (cdr e-55))) (if (null? e-58) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2) (let ((e-61 (cdr e-58))) (if (null? e-61) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2) (let ((e-64 (cdr e-61))) (if (null? e-64) (lambda (eta-0) (vector 1 "(error \"bad setField\")")) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2)))))))))))))))) (let ((e-79 (car e-77))) (let ((e-80 (cdr e-77))) (case (vector-ref e-79 0) ((12) (let ((e-82 (vector-ref e-79 2))) (case (vector-ref e-82 0) ((10) (let ((e-83 (vector-ref e-82 1))) (if (null? e-80) (if (null? e-43) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2) (let ((e-46 (cdr e-43))) (if (null? e-46) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2) (let ((e-49 (cdr e-46))) (if (null? e-49) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2) (let ((e-52 (cdr e-49))) (if (null? e-52) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2) (let ((e-55 (cdr e-52))) (if (null? e-55) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2) (let ((e-58 (cdr e-55))) (if (null? e-58) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2) (let ((e-61 (cdr e-58))) (if (null? e-61) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2) (let ((e-64 (cdr e-61))) (if (null? e-64) (lambda (eta-0) (vector 1 "(error \"bad setField\")")) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2)))))))))))))))) (let ((e-86 (cdr e-80))) (if (null? e-86) (if (null? e-43) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2) (let ((e-46 (cdr e-43))) (if (null? e-46) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2) (let ((e-49 (cdr e-46))) (if (null? e-49) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2) (let ((e-52 (cdr e-49))) (if (null? e-52) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2) (let ((e-55 (cdr e-52))) (if (null? e-55) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2) (let ((e-58 (cdr e-55))) (if (null? e-58) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2) (let ((e-61 (cdr e-58))) (if (null? e-61) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2) (let ((e-64 (cdr e-61))) (if (null? e-64) (lambda (eta-0) (vector 1 "(error \"bad setField\")")) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2)))))))))))))))) (let ((e-88 (car e-86))) (let ((e-89 (cdr e-86))) (if (null? e-89) (if (null? e-43) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2) (let ((e-46 (cdr e-43))) (if (null? e-46) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2) (let ((e-49 (cdr e-46))) (if (null? e-49) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2) (let ((e-52 (cdr e-49))) (if (null? e-52) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2) (let ((e-55 (cdr e-52))) (if (null? e-55) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2) (let ((e-58 (cdr e-55))) (if (null? e-58) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2) (let ((e-61 (cdr e-58))) (if (null? e-61) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2) (let ((e-64 (cdr e-61))) (if (null? e-64) (lambda (eta-0) (vector 1 "(error \"bad setField\")")) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2)))))))))))))))) (let ((e-92 (cdr e-89))) (if (null? e-92) (let ((eff-0 (CompilerC-45SchemeC-45Common-schExp (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) 0 e-76))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CompilerC-45SchemeC-45Common-schExp (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) 0 e-88))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (string-append "(set-" (string-append e-68 (string-append "-" (string-append e-83 (string-append "! " (string-append e-5 (string-append " " (string-append e-6 ")")))))))))))) eff-2))))))))) eff-1))))))) (if (null? e-43) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2) (let ((e-46 (cdr e-43))) (if (null? e-46) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2) (let ((e-49 (cdr e-46))) (if (null? e-49) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2) (let ((e-52 (cdr e-49))) (if (null? e-52) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2) (let ((e-55 (cdr e-52))) (if (null? e-55) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2) (let ((e-58 (cdr e-55))) (if (null? e-58) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2) (let ((e-61 (cdr e-58))) (if (null? e-61) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2) (let ((e-64 (cdr e-61))) (if (null? e-64) (lambda (eta-0) (vector 1 "(error \"bad setField\")")) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2))))))))))))))))))))))))))(else (if (null? e-43) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2) (let ((e-46 (cdr e-43))) (if (null? e-46) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2) (let ((e-49 (cdr e-46))) (if (null? e-49) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2) (let ((e-52 (cdr e-49))) (if (null? e-52) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2) (let ((e-55 (cdr e-52))) (if (null? e-55) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2) (let ((e-58 (cdr e-55))) (if (null? e-58) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2) (let ((e-61 (cdr e-58))) (if (null? e-61) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2) (let ((e-64 (cdr e-61))) (if (null? e-64) (lambda (eta-0) (vector 1 "(error \"bad setField\")")) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2))))))))))))))))))))(else (if (null? e-43) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2) (let ((e-46 (cdr e-43))) (if (null? e-46) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2) (let ((e-49 (cdr e-46))) (if (null? e-49) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2) (let ((e-52 (cdr e-49))) (if (null? e-52) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2) (let ((e-55 (cdr e-52))) (if (null? e-55) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2) (let ((e-58 (cdr e-55))) (if (null? e-58) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2) (let ((e-61 (cdr e-58))) (if (null? e-61) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2) (let ((e-64 (cdr e-61))) (if (null? e-64) (lambda (eta-0) (vector 1 "(error \"bad setField\")")) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2))))))))))))))))))))))))))))))(else (if (null? e-43) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2) (let ((e-46 (cdr e-43))) (if (null? e-46) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2) (let ((e-49 (cdr e-46))) (if (null? e-49) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2) (let ((e-52 (cdr e-49))) (if (null? e-52) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2) (let ((e-55 (cdr e-52))) (if (null? e-55) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2) (let ((e-58 (cdr e-55))) (if (null? e-58) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2) (let ((e-61 (cdr e-58))) (if (null? e-61) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2) (let ((e-64 (cdr e-61))) (if (null? e-64) (lambda (eta-0) (vector 1 "(error \"bad setField\")")) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2))))))))))))))))))))(else (if (null? e-43) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2) (let ((e-46 (cdr e-43))) (if (null? e-46) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2) (let ((e-49 (cdr e-46))) (if (null? e-49) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2) (let ((e-52 (cdr e-49))) (if (null? e-52) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2) (let ((e-55 (cdr e-52))) (if (null? e-55) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2) (let ((e-58 (cdr e-55))) (if (null? e-58) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2) (let ((e-61 (cdr e-58))) (if (null? e-61) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2) (let ((e-64 (cdr e-61))) (if (null? e-64) (lambda (eta-0) (vector 1 "(error \"bad setField\")")) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2)))))))))))))))))))))) ((10) (if (null? arg-2) (lambda (eta-0) (vector 1 "\"racket\"")) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2))) ((11) (if (null? arg-2) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2) (let ((e-97 (cdr arg-2))) (if (null? e-97) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2) (let ((e-99 (car e-97))) (let ((e-100 (cdr e-97))) (if (null? e-100) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2) (let ((e-102 (car e-100))) (let ((e-103 (cdr e-100))) (if (null? e-103) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2) (let ((e-106 (cdr e-103))) (if (null? e-106) (let ((eff-0 (CompilerC-45SchemeC-45Common-schExp (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) 0 e-99))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CompilerC-45SchemeC-45Common-schExp (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) 0 e-102))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (string-append "(blodwen-register-object " (string-append e-5 (string-append " " (string-append e-6 ")")))))))) eff-2))))))))) eff-1))))))) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2))))))))))))) ((12) (if (null? arg-2) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2) (let ((e-109 (car arg-2))) (let ((e-110 (cdr arg-2))) (if (null? e-110) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2) (let ((e-112 (car e-110))) (let ((e-113 (cdr e-110))) (if (null? e-113) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2) (let ((e-116 (cdr e-113))) (if (null? e-116) (let ((eff-0 (CompilerC-45SchemeC-45Common-schExp (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) 0 e-109))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CompilerC-45SchemeC-45Common-schExp (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) 0 e-112))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (string-append "(blodwen-register-object " (string-append e-5 (string-append " " (string-append e-6 ")")))))))) eff-2))))))))) eff-1))))))) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2))))))))))) ((13) (if (null? arg-2) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2) (let ((e-120 (cdr arg-2))) (if (null? e-120) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2) (let ((e-122 (car e-120))) (let ((e-123 (cdr e-120))) (if (null? e-123) (let ((eff-0 (CompilerC-45SchemeC-45Common-schExp (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) 0 e-122))) (PrimIO-io_bind eff-0 (csegen-6321))) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2))))))))(else (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) arg-0 arg-1 arg-2)))))
(define CompilerC-45SchemeC-45Racket-mkStruct (lambda (arg-0 arg-1) (case (vector-ref arg-1 0) ((21) (let ((e-0 (vector-ref arg-1 1))) (let ((e-1 (vector-ref arg-1 2))) (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45SchemeC-45Racket-mkStruct arg-0 eta-0)) ((csegen-947) e-1) '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (unbox eff-2))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((sc3 (PreludeC-45Types-elem (csegen-16) (csegen-43) e-0 e-6))) (cond ((equal? sc3 1) (lambda (eta-0) (vector 1 (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) e-5)))) (else (let ((eff-2 (let ((eff-2 arg-0)) (PrimIO-io_bind (let ((eff-3 eff-2)) (lambda (eta-0) (set-box! eff-3 (cons e-0 e-6)))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45SchemeC-45Racket-n--12759-2954-u--showFld e-1 e-0 arg-0 eta-0)) e-1 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (string-append (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) e-5) (string-append "(define-cstruct _" (string-append e-0 (string-append " (" (string-append (CoreC-45NameC-45Namespace-showSep "\xa;\x9;" e-8) "))\xa;"))))))))) eff-4))))))))) eff-3))))))))))) eff-2))))))))) eff-1)))))))))) ((20) (let ((e-2 (vector-ref arg-1 1))) (CompilerC-45SchemeC-45Racket-mkStruct arg-0 e-2))) ((19) (let ((e-3 (vector-ref arg-1 1))) (let ((e-4 (vector-ref arg-1 2))) (let ((eff-0 (let ((eff-0 (CompilerC-45SchemeC-45Racket-mkStruct arg-0 e-3))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (_-8679) (vector 0 )))) eff-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CompilerC-45SchemeC-45Racket-mkStruct arg-0 e-4))) eff-1)))))))))(else (lambda (eta-0) (vector 1 ""))))))
(define CompilerC-45SchemeC-45Racket-mkArgs (lambda (arg-0 arg-1) (if (null? arg-1) '() (let ((e-2 (car arg-1))) (let ((e-3 (cdr arg-1))) (case (vector-ref e-2 0) ((18) (cons (cons (vector 2 "farg" arg-0) 0) (CompilerC-45SchemeC-45Racket-mkArgs arg-0 e-3)))(else (cons (cons (vector 2 "farg" arg-0) 1) (CompilerC-45SchemeC-45Racket-mkArgs (bs+ arg-0 1 63) e-3)))))))))
(define CompilerC-45SchemeC-45Racket-makeShWindows (lambda (arg-0 arg-1 arg-2 arg-3) (let ((u--cmdFile (string-append arg-1 ".cmd"))) (let ((eff-0 (PrimIO-io_bind (SystemC-45FileC-45ReadWrite-writeFile (csegen-40) u--cmdFile (CompilerC-45SchemeC-45Racket-startRacketCmd arg-0 arg-2 arg-3)) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (case (vector-ref e-5 0) ((1) (let ((eff-1 (PrimIO-io_bind (SystemC-45FileC-45ReadWrite-writeFile (csegen-40) arg-1 (CompilerC-45SchemeC-45Racket-startRacketWinSh arg-0 arg-2 arg-3)) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-3 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (clam-0) (case (vector-ref e-6 0) ((1) (vector 1 (vector 0 ))) (else (let ((e-7 (vector-ref e-6 1))) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 51 arg-1 e-7) clam-0))))))) eff-2)))))))) (else (let ((e-6 (vector-ref e-5 1))) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 51 u--cmdFile e-6) eta-0))))))) eff-1))))))))))
(define CompilerC-45SchemeC-45Racket-makeSh (lambda (arg-0 arg-1 arg-2 arg-3) (let ((eff-0 (PrimIO-io_bind (SystemC-45FileC-45ReadWrite-writeFile (csegen-40) arg-1 (CompilerC-45SchemeC-45Racket-startRacket arg-0 arg-2 arg-3)) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (clam-0) (case (vector-ref e-5 0) ((1) (vector 1 (vector 0 ))) (else (let ((e-6 (vector-ref e-5 1))) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 51 arg-1 e-6) clam-0))))))) eff-1)))))))))
(define CompilerC-45SchemeC-45Racket-loadlib (lambda (arg-0 arg-1) (cond ((equal? arg-0 "libc") "(define-ffi-definer define-libc (ffi-lib #f))\xa;")(else (string-append "(define-ffi-definer define-" (string-append arg-0 (string-append " (ffi-lib \"" (string-append arg-0 (string-append "\" " (string-append arg-1 "))\xa;"))))))))))
(define CompilerC-45SchemeC-45Racket-handleRet (lambda (arg-0 arg-1) (case (vector-ref arg-0 0) ((0) (string-append arg-1 (string-append " " (CompilerC-45SchemeC-45Common-schConstructor (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) (vector 1 (vector 0 "")) (box 0) '()))))(else (CompilerC-45SchemeC-45Racket-cToRkt arg-0 arg-1)))))
(define CompilerC-45SchemeC-45Racket-getLibVers (lambda (arg-0) (CompilerC-45SchemeC-45Racket-case--getLibVers-1675 arg-0 (DataC-45String-words arg-0))))
(define CompilerC-45SchemeC-45Racket-getFgnCall (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (let ((e-2 (car arg-5))) (let ((e-3 (cdr arg-5))) (let ((e-6 (car e-3))) (let ((e-7 (cdr e-3))) (CompilerC-45SchemeC-45Racket-schFgnDef arg-0 arg-1 arg-2 arg-3 arg-4 e-6 e-2 e-7)))))))
(define CompilerC-45SchemeC-45Racket-findRacoExe(blodwen-lazy (lambda () (PrimIO-io_bind (System-getEnv (csegen-40) "RACKET_RACO") (lambda (u--env) (lambda (eta-0) (string-append (DataC-45Maybe-fromMaybe (lambda () "/usr/bin/env raco") u--env) " exe")))))))
(define CompilerC-45SchemeC-45Racket-findRacket(blodwen-lazy (lambda () (PrimIO-io_bind (System-getEnv (csegen-40) "RACKET") (lambda (u--env) (lambda (eta-0) (DataC-45Maybe-fromMaybe (lambda () "/usr/bin/env racket") u--env)))))))
(define CompilerC-45SchemeC-45Racket-executeExpr (lambda (arg-0 arg-1 arg-2 arg-3) (let ((eff-0 (CompilerC-45SchemeC-45Racket-compileExpr 0 arg-0 arg-1 arg-2 arg-2 arg-3 "_tmpracket"))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (if (null? e-5) (csegen-6230) (let ((e-1 (unbox e-5))) (let ((eff-1 (PrimIO-io_bind (System-system (csegen-40) e-1) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (((csegen-50) ((let ((eff-2 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-6 (vector-ref eta-3 1))) (vector 1 (eta-2 e-6))))))))))) (lambda (arg-4) (lambda (arg-5) ((((eff-2 'erased) 'erased) arg-4) arg-5)))) (lambda (_-8679) (vector 0 )))) eff-1)))))) eff-1)))))))))
(define CompilerC-45SchemeC-45Racket-compileToRKT (lambda (arg-0 arg-1 arg-2 arg-3) (let ((eff-0 (CompilerC-45Common-getCompileData arg-0 0 0 arg-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--ndefs (let ((e-2 (vector-ref e-5 2))) e-2))) (let ((u--ctm (CoreC-45CompileExpr-forget '() (let ((e-0 (vector-ref e-5 0))) e-0)))) (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (unbox eff-2))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45Core-newRef (vector "Compiler.Scheme.Racket.Done" ) '()))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45Core-newRef (vector "Compiler.Scheme.Racket.Loaded" ) '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-newRef (vector "Compiler.Scheme.Racket.Structs" ) '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (let ((eff-5 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45SchemeC-45Racket-getFgnCall e-7 arg-0 e-8 e-9 arg-1 eta-0)) u--ndefs '()))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-10 (vector-ref lcase-5 1))) (let ((eff-6 (let ((eff-6 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45SchemeC-45Common-getScheme arg-0 (csegen-6320) (lambda (eta-1) (CompilerC-45SchemeC-45Racket-racketString eta-1)) eta-0)) u--ndefs '()))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-2 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-11 (vector-ref lcase-6 1))) (let ((eff-7 (let ((u--code (PreludeC-45Types-fastConcat (PreludeC-45TypesC-45List-tailRecAppend ((csegen-947) e-10) e-11)))) (let ((eff-7 (CompilerC-45SchemeC-45Common-schExp (csegen-6320) (lambda (eta-0) (CompilerC-45SchemeC-45Racket-racketString eta-0)) 0 u--ctm))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-2 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-12 (vector-ref lcase-7 1))) (let ((eff-8 (let ((eff-8 (CoreC-45Directory-readDataFile arg-0 "racket/support.rkt"))) (PrimIO-io_bind eff-8 (lambda (lcase-8) (case (vector-ref lcase-8 0) ((0) (let ((e-2 (vector-ref lcase-8 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-13 (vector-ref lcase-8 1))) (let ((eff-9 (let ((eff-9 (CoreC-45Context-getDirectives arg-0 (vector 2 )))) (PrimIO-io_bind eff-9 (lambda (lcase-9) (case (vector-ref lcase-9 0) ((0) (let ((e-2 (vector-ref lcase-9 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-14 (vector-ref lcase-9 1))) (let ((eff-10 (let ((eff-10 (CompilerC-45Common-getExtraRuntime e-14))) (PrimIO-io_bind eff-10 (lambda (lcase-10) (case (vector-ref lcase-10 0) ((0) (let ((e-2 (vector-ref lcase-10 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-15 (vector-ref lcase-10 1))) (let ((eff-11 (let ((eff-11 (CoreC-45Context-getSession arg-0))) (PrimIO-io_bind eff-11 (lambda (lcase-11) (case (vector-ref lcase-11 0) ((0) (let ((e-2 (vector-ref lcase-11 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-16 (vector-ref lcase-11 1))) (let ((eff-12 (let ((u--prof (let ((e-24 (vector-ref e-16 16))) e-24))) (let ((u--runmain (cond ((equal? u--prof 1) (string-append ((csegen-0) "(profile (void ") (string-append e-12 ((csegen-0) ") #:order 'self)\xa;")))) (else (string-append "(void " (string-append e-12 ")\xa;")))))) (let ((u--scm (string-append (CompilerC-45SchemeC-45Racket-schHeader u--prof (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) ((csegen-101) e-10))) (string-append e-13 (string-append e-15 (string-append u--code (string-append u--runmain (CompilerC-45SchemeC-45Racket-schFooter)))))))) (let ((eff-12 (PrimIO-io_bind (SystemC-45FileC-45ReadWrite-writeFile (csegen-40) arg-3 u--scm) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-12 (lambda (lcase-12) (case (vector-ref lcase-12 0) ((0) (let ((e-2 (vector-ref lcase-12 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-17 (vector-ref lcase-12 1))) (let ((eff-13 (case (vector-ref e-17 0) ((1) (let ((eff-13 (let ((eff-13 (PrimIO-io_bind (SystemC-45FileC-45Permissions-chmodRaw (csegen-40) arg-3 (blodwen-toSignedInt 493 63)) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (((csegen-50) ((let ((eff-14 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-3 (vector-ref eta-3 1))) (vector 0 e-3))) (else (let ((e-18 (vector-ref eta-3 1))) (vector 1 (eta-2 e-18))))))))))) (lambda (arg-4) (lambda (arg-5) ((((eff-14 'erased) 'erased) arg-4) arg-5)))) (lambda (_-8679) (vector 0 )))) eff-13)))) (PrimIO-io_bind eff-13 (csegen-3296)))) (else (let ((e-18 (vector-ref e-17 1))) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 51 arg-3 e-18) eta-0))))))) eff-13)))))))))))) eff-12))))))))) eff-11))))))))) eff-10))))))))) eff-9))))))))) eff-8)))))))))) eff-7))))))))) eff-6))))))))) eff-5))))))))) eff-4))))))))) eff-3))))))))) eff-2)))))))))) eff-1)))))))))
(define CompilerC-45SchemeC-45Racket-compileExpr (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (let ((u--appDirRel (string-append arg-6 "_app"))) (let ((u--appDirGen (LibrariesC-45UtilsC-45Path-C-60C-47C-62 arg-4 u--appDirRel))) (let ((eff-0 (let ((eff-0 (PrimIO-io_bind (CoreC-45Directory-mkdirAll u--appDirGen) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-7) (lambda (arg-8) ((((eff-1 'erased) 'erased) arg-7) arg-8)))) (lambda (_-8679) (vector 0 )))) eff-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (csegen-1584))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-6) (csegen-1587) (let ((e-1 (unbox e-6))) (let ((u--ext (let ((sc3 (SystemC-45Info-isWindows))) (cond ((equal? sc3 1) (csegen-684)) (else (csegen-1)))))) (let ((u--outRktFile (LibrariesC-45UtilsC-45Path-C-60C-46C-62 (LibrariesC-45UtilsC-45Path-C-60C-47C-62 u--appDirRel arg-6) "rkt"))) (let ((u--outBinFile (LibrariesC-45UtilsC-45Path-C-60C-46C-62 (LibrariesC-45UtilsC-45Path-C-60C-47C-62 u--appDirRel arg-6) u--ext))) (let ((u--outRktAbs (LibrariesC-45UtilsC-45Path-C-60C-47C-62 (LibrariesC-45UtilsC-45Path-C-60C-47C-62 e-1 arg-4) u--outRktFile))) (let ((u--outBinAbs (LibrariesC-45UtilsC-45Path-C-60C-47C-62 (LibrariesC-45UtilsC-45Path-C-60C-47C-62 e-1 arg-4) u--outBinFile))) (let ((eff-2 (CompilerC-45SchemeC-45Racket-compileToRKT arg-1 u--appDirGen arg-5 u--outRktAbs))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (let ((eff-3 (PrimIO-io_bind (CompilerC-45SchemeC-45Racket-findRacoExe) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (PrimIO-io_bind (CompilerC-45SchemeC-45Racket-findRacket) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (let ((eff-5 (cond ((equal? arg-0 1) (CoreC-45ContextC-45Log-logTime arg-1 1 (lambda () ((csegen-0) "Build racket")) (PrimIO-io_bind (System-system (csegen-40) (string-append e-8 (string-append " -o " (string-append u--outBinAbs (string-append " " u--outRktAbs))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (else (lambda (eta-0) (vector 1 0)))))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-10 (vector-ref lcase-5 1))) (let ((eff-6 (let ((sc7 (PreludeC-45EqOrd-u--C-61C-61_Eq_Int e-10 0))) (cond ((equal? sc7 1) (let ((u--outShRel (LibrariesC-45UtilsC-45Path-C-60C-47C-62 arg-4 arg-6))) (let ((eff-6 (let ((sc8 (SystemC-45Info-isWindows))) (cond ((equal? sc8 1) (cond ((equal? arg-0 1) (CompilerC-45SchemeC-45Racket-makeShWindows "" u--outShRel u--appDirRel u--outBinFile)) (else (CompilerC-45SchemeC-45Racket-makeShWindows (string-append e-9 " ") u--outShRel u--appDirRel u--outRktFile)))) (else (cond ((equal? arg-0 1) (CompilerC-45SchemeC-45Racket-makeSh "" u--outShRel u--appDirRel u--outBinFile)) (else (CompilerC-45SchemeC-45Racket-makeSh (string-append e-9 " ") u--outShRel u--appDirRel u--outRktFile)))))))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-2 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-7 (let ((eff-7 (let ((eff-7 (PrimIO-io_bind (SystemC-45FileC-45Permissions-chmodRaw (csegen-40) u--outShRel (blodwen-toSignedInt 493 63)) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (((csegen-50) ((let ((eff-8 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-12 (vector-ref eta-3 1))) (vector 1 (eta-2 e-12))))))))))) (lambda (arg-7) (lambda (arg-8) ((((eff-8 'erased) 'erased) arg-7) arg-8)))) (lambda (_-8679) (vector 0 )))) eff-7)))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-2 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-8 (lambda (eta-0) (vector 1 (box u--outShRel))))) eff-8)))))))) eff-7)))))))) (else (lambda (eta-0) (vector 1 '()))))))) eff-6))))))))) eff-5))))))))) eff-4))))))))) eff-3))))))))))))))) eff-2))))))))) eff-1))))))))))
(define CompilerC-45SchemeC-45Racket-codegenRacket(blodwen-lazy (lambda () (vector (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (lambda (eta-4) (lambda (eta-5) (CompilerC-45SchemeC-45Racket-compileExpr 1 eta-0 eta-1 eta-2 eta-3 eta-4 eta-5))))))) (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (CompilerC-45SchemeC-45Racket-executeExpr eta-0 eta-1 eta-2 eta-3))))) '() '()))))
(define CompilerC-45SchemeC-45Racket-cftySpec (lambda (arg-0 arg-1) (case (vector-ref arg-1 0) ((0) (lambda (eta-0) (vector 1 "_void"))) ((1) (lambda (eta-0) (vector 1 "_int"))) ((3) (lambda (eta-0) (vector 1 "_int8"))) ((4) (lambda (eta-0) (vector 1 "_int16"))) ((5) (lambda (eta-0) (vector 1 "_int32"))) ((6) (lambda (eta-0) (vector 1 "_int64"))) ((7) (lambda (eta-0) (vector 1 "_uint8"))) ((8) (lambda (eta-0) (vector 1 "_uint16"))) ((9) (lambda (eta-0) (vector 1 "_uint32"))) ((10) (lambda (eta-0) (vector 1 "_uint64"))) ((11) (lambda (eta-0) (vector 1 "_string/utf-8"))) ((12) (lambda (eta-0) (vector 1 "_double"))) ((13) (lambda (eta-0) (vector 1 "_int8"))) ((14) (lambda (eta-0) (vector 1 "_pointer"))) ((15) (lambda (eta-0) (vector 1 "_pointer"))) ((16) (lambda (eta-0) (vector 1 "_bytes"))) ((20) (let ((e-0 (vector-ref arg-1 1))) (CompilerC-45SchemeC-45Racket-cftySpec arg-0 e-0))) ((21) (let ((e-1 (vector-ref arg-1 1))) (lambda (eta-0) (vector 1 (string-append "_" (string-append e-1 "-pointer")))))) ((19) (let ((e-3 (vector-ref arg-1 1))) (let ((e-4 (vector-ref arg-1 2))) (CompilerC-45SchemeC-45Racket-n--11180-1574-u--funTySpec e-4 e-3 arg-0 (cons e-3 '()) e-4))))(else (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 arg-0 (string-append "Can't pass argument of type " (string-append (CoreC-45CompileExpr-u--show_Show_CFType arg-1) " to foreign function"))) eta-0))))))
(define CompilerC-45SchemeC-45Racket-cToRkt (lambda (arg-0 arg-1) (case (vector-ref arg-0 0) ((13) (string-append "(integer->char " (string-append arg-1 ")")))(else arg-1))))
(define CompilerC-45SchemeC-45Racket-cCall (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8) (case (vector-ref arg-8 0) ((20) (let ((e-0 (vector-ref arg-8 1))) (case (vector-ref e-0 0) ((15) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 arg-4 "Can't return GCPtr from a foreign function") eta-0))) ((16) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 arg-4 "Can't return Buffer from a foreign function") eta-0)))(else (let ((eff-0 (let ((eff-0 arg-2)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (unbox eff-2))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CompilerC-45SchemeC-45Racket-case--cCall-2108 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 arg-0 e-5 e-6 (CompilerC-45SchemeC-45Racket-getLibVers arg-6)))) eff-2))))))))) eff-1))))))))))) ((15) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 arg-4 "Can't return GCPtr from a foreign function") eta-0))) ((16) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 arg-4 "Can't return Buffer from a foreign function") eta-0)))(else (let ((eff-0 (let ((eff-0 arg-2)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (unbox eff-2))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CompilerC-45SchemeC-45Racket-case--cCall-2108 arg-8 arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 arg-0 e-5 e-6 (CompilerC-45SchemeC-45Racket-getLibVers arg-6)))) eff-2))))))))) eff-1)))))))))))
(define CompilerC-45SchemeC-45ChezSep-case--chezNS-1533 (lambda (arg-0 arg-1) (cond ((equal? arg-1 "") "unqualified")(else arg-1))))
(define CompilerC-45SchemeC-45ChezSep-n--11440-1551-u--min1 (lambda (arg-1 arg-2) (let ((e-1 (car arg-2))) (let ((e-2 (cdr arg-2))) (PreludeC-45Types-u--foldl_Foldable_List (lambda (eta-0) (lambda (eta-1) (CoreC-45NameC-45Namespace-u--min_Ord_Namespace eta-0 eta-1))) e-1 e-2)))))
(define CompilerC-45SchemeC-45ChezSep-touch (lambda (arg-0) (let ((eff-0 (PrimIO-io_bind (System-system (csegen-40) (string-append "touch \"" (string-append arg-0 "\""))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-1) (lambda (arg-2) ((((eff-1 'erased) 'erased) arg-1) arg-2)))) (lambda (_-8679) (vector 0 )))) eff-0))))
(define CompilerC-45SchemeC-45ChezSep-startChezWinSh (lambda (arg-0 arg-1 arg-2) (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons "#!/bin/sh\xa;# " (cons (CompilerC-45Generated-generatedString "ChezSep") (cons "\xa;\xa;set -e # exit on any error\xa;\xa;DIR=$(dirname \"$(readlink -f -- \"$0\" || cygpath -a -- \"$0\")\")\xa;PATH=\"$DIR/" (cons arg-1 (cons ":$PATH\"\xa;\xa;\"" (cons arg-0 (cons "\" --program \"$DIR/" (cons arg-2 (cons "\" \"$@\"\xa;\"" (cons arg-0 (cons "\" -q   --libdirs \"$DIR/" (cons arg-1 (cons "\"   --program \"$DIR/" (cons arg-2 (cons "\"   \"$@\"" '()))))))))))))))))))
(define CompilerC-45SchemeC-45ChezSep-startChezCmd (lambda (arg-0 arg-1 arg-2) (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons "@echo off\xa;\xa;rem " (cons (CompilerC-45Generated-generatedString "ChezSep") (cons "\xa;\xa;set APPDIR=%~dp0\xa;set PATH=%APPDIR%" (cons arg-1 (cons ";%PATH%\xa;\xa;\"" (cons arg-0 (cons "\" -q   --libdirs \"%APPDIR%" (cons arg-1 (cons "\"   --program \"%APPDIR%" (cons arg-2 (cons "\"   %*" '()))))))))))))))
(define CompilerC-45SchemeC-45ChezSep-startChez (lambda (arg-0 arg-1 arg-2) (string-append (CompilerC-45SchemeC-45Chez-startChezPreamble) (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons "export LD_LIBRARY_PATH=\"$DIR/" (cons arg-1 (cons ":$LD_LIBRARY_PATH\"\xa;export DYLD_LIBRARY_PATH=\"$DIR/" (cons arg-1 (cons ":$DYLD_LIBRARY_PATH\"\xa;\xa;\"" (cons arg-0 (cons "\" -q   --libdirs \"$DIR/" (cons arg-1 (cons "\"   --program \"$DIR/" (cons arg-2 (cons "\"   \"$@\"" '())))))))))))))))
(define CompilerC-45SchemeC-45ChezSep-schHeader (lambda (arg-0 arg-1) (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons "(import (chezscheme) (support)\xa;    " (cons (DataC-45String-unwords (PreludeC-45Types-listBind arg-1 (lambda (u--cu) (PreludeC-45Types-u--pure_Applicative_List (string-append "(" (string-append u--cu ")")))))) (cons ")\xa;(case (machine-type)\xa;  [(i3le ti3le a6le ta6le tarm64le) (load-shared-object \"libc.so.6\")]\xa;  [(i3osx ti3osx a6osx ta6osx tarm64osx) (load-shared-object \"libc.dylib\")]\xa;  [(i3nt ti3nt a6nt ta6nt) (load-shared-object \"msvcrt.dll\")]\xa;  [else (load-shared-object \"libc.so\")]\xa;" (cons (DataC-45String-fastUnlines (PreludeC-45Types-listBind arg-0 (lambda (u--lib) (PreludeC-45Types-u--pure_Applicative_List (string-append "  (load-shared-object \"" (string-append (LibrariesC-45UtilsC-45String-escapeStringChez u--lib) "\")")))))) (cons ")\xa;" '()))))))))
(define CompilerC-45SchemeC-45ChezSep-schFooter(blodwen-lazy (lambda () (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons "\xa;(collect 4)\xa;(blodwen-run-finalisers)" '())))))
(define CompilerC-45SchemeC-45ChezSep-makeShWindows (lambda (arg-0 arg-1 arg-2 arg-3) (let ((u--cmdFile (string-append arg-1 ".cmd"))) (let ((eff-0 (CoreC-45Core-writeFile u--cmdFile (CompilerC-45SchemeC-45ChezSep-startChezCmd arg-0 arg-2 arg-3)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CoreC-45Core-writeFile arg-1 (CompilerC-45SchemeC-45ChezSep-startChezWinSh arg-0 arg-2 arg-3)))) eff-1)))))))))
(define CompilerC-45SchemeC-45ChezSep-makeSh (lambda (arg-0 arg-1 arg-2 arg-3) (CoreC-45Core-writeFile arg-1 (CompilerC-45SchemeC-45ChezSep-startChez arg-0 arg-2 arg-3))))
(define CompilerC-45SchemeC-45ChezSep-executeExpr (lambda (arg-0 arg-1 arg-2 arg-3) (let ((eff-0 (CompilerC-45SchemeC-45ChezSep-compileExpr 0 arg-0 arg-1 arg-2 arg-2 arg-3 "_tmpchez"))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (if (null? e-5) (csegen-6230) (let ((e-1 (unbox e-5))) (let ((eff-1 (PrimIO-io_bind (System-system (csegen-40) e-1) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (((csegen-50) ((let ((eff-2 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-6 (vector-ref eta-3 1))) (vector 1 (eta-2 e-6))))))))))) (lambda (arg-4) (lambda (arg-5) ((((eff-2 'erased) 'erased) arg-4) arg-5)))) (lambda (_-8679) (vector 0 )))) eff-1)))))) eff-1)))))))))
(define CompilerC-45SchemeC-45ChezSep-compileToSS (lambda (arg-0 arg-1 arg-2 arg-3) (let ((eff-0 (CoreC-45Context-getDirectives arg-0 (vector 0 )))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CompilerC-45SchemeC-45Chez-findLibs arg-0 e-5))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Core-traverse_ (lambda (eta-0) (CompilerC-45Common-copyLib eta-0)) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (let ((eff-3 (PrimIO-io_bind (CompilerC-45SchemeC-45Chez-chezVersion arg-1) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45Common-getCompileData arg-0 0 0 arg-3))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (let ((u--ctm (CoreC-45CompileExpr-forget '() (let ((e-0 (vector-ref e-9 0))) e-0)))) (let ((u--ndefs (let ((e-2 (vector-ref e-9 2))) e-2))) (let ((u--cui (CompilerC-45Separate-getCompilationUnits (lambda (eta-0) (CompilerC-45Separate-u--nsRefs_HasNamespaces_C-40C-124C-40C-40BuiltinC-46PairC-32FCC-41C-32C-36aC-41C-44C-40C-40BuiltinC-46MkPairC-32FCC-41C-32C-36aC-41C-124C-41 (lambda (eta-1) (CompilerC-45Separate-u--nsRefs_HasNamespaces_NamedDef eta-1)) eta-0)) u--ndefs))) (let ((eff-5 (CoreC-45Directory-readDataFile arg-0 "chez/support-sep.ss"))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-10 (vector-ref lcase-5 1))) (let ((eff-6 (let ((u--supportHash (PreludeC-45Show-u--show_Show_Int (CoreC-45Hash-u--hash_Hashable_String e-10)))) (let ((eff-6 (let ((eff-6 (PrimIO-io_bind (SystemC-45FileC-45ReadWrite-readFile (csegen-40) (LibrariesC-45UtilsC-45Path-C-60C-47C-62 arg-2 "support.hash")) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-2 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-11 (vector-ref lcase-6 1))) (let ((eff-7 (lambda (clam-0) (case (vector-ref e-11 0) ((0) (vector 1 1)) (else (let ((e-12 (vector-ref e-11 1))) (vector 1 (PreludeC-45EqOrd-u--C-47C-61_Eq_String e-12 u--supportHash)))))))) eff-7))))))))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-2 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-11 (vector-ref lcase-6 1))) (let ((eff-7 (let ((eff-7 (cond ((equal? e-11 1) (let ((eff-7 (CoreC-45Core-writeFile (LibrariesC-45UtilsC-45Path-C-60C-47C-62 arg-2 "support.ss") e-10))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-2 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-8 (CoreC-45Core-writeFile (LibrariesC-45UtilsC-45Path-C-60C-47C-62 arg-2 "support.hash") u--supportHash))) eff-8))))))) (else (lambda (eta-0) (vector 1 (vector 0 ))))))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-2 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-8 (let ((eff-8 (PreludeC-45Basics-flip (csegen-1569) (let ((e-1 (vector-ref u--cui 0))) e-1) (lambda (u--cu) (let ((u--chezLib (CompilerC-45SchemeC-45ChezSep-chezLibraryName u--cu))) (let ((u--cuHash (PreludeC-45Show-u--show_Show_Int (CompilerC-45Separate-u--hash_Hashable_C-40CompilationUnitC-32C-36defC-41 (cons (lambda (arg-2985) (CompilerC-45Separate-u--hash_Hashable_C-40C-124C-40C-40BuiltinC-46PairC-32FCC-41C-32C-36defC-41C-44C-40C-40BuiltinC-46MkPairC-32FCC-41C-32C-36defC-41C-124C-41 (csegen-6344) arg-2985)) (lambda (arg-2991) (lambda (arg-2994) (CompilerC-45Separate-u--hashWithSalt_Hashable_C-40C-124C-40C-40BuiltinC-46PairC-32FCC-41C-32C-36defC-41C-44C-40C-40BuiltinC-46MkPairC-32FCC-41C-32C-36defC-41C-124C-41 (csegen-6344) arg-2991 arg-2994)))) u--cu)))) (let ((eff-8 (let ((eff-8 (PrimIO-io_bind (SystemC-45FileC-45ReadWrite-readFile (csegen-40) (LibrariesC-45UtilsC-45Path-C-60C-46C-62 (LibrariesC-45UtilsC-45Path-C-60C-47C-62 arg-2 u--chezLib) "hash")) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-8 (lambda (lcase-8) (case (vector-ref lcase-8 0) ((0) (let ((e-2 (vector-ref lcase-8 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-13 (vector-ref lcase-8 1))) (let ((eff-9 (lambda (clam-1) (case (vector-ref e-13 0) ((0) (vector 1 1)) (else (let ((e-14 (vector-ref e-13 1))) (vector 1 (PreludeC-45EqOrd-u--C-47C-61_Eq_String e-14 u--cuHash)))))))) eff-9))))))))) (PrimIO-io_bind eff-8 (lambda (lcase-8) (case (vector-ref lcase-8 0) ((0) (let ((e-2 (vector-ref lcase-8 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-13 (vector-ref lcase-8 1))) (let ((eff-9 (let ((eff-9 (cond ((equal? e-13 1) (let ((eff-9 (let ((eff-9 arg-0)) (PrimIO-io_bind (let ((eff-10 eff-9)) (lambda (eta-0) (unbox eff-10))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-9 (lambda (lcase-9) (case (vector-ref lcase-9 0) ((0) (let ((e-2 (vector-ref lcase-9 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-10 (let ((eff-10 (csegen-6349))) (PrimIO-io_bind eff-10 (lambda (lcase-10) (case (vector-ref lcase-10 0) ((0) (let ((e-2 (vector-ref lcase-10 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-15 (vector-ref lcase-10 1))) (let ((eff-11 (let ((eff-11 (CoreC-45Core-newRef (vector "Compiler.Scheme.Chez.Structs" ) '()))) (PrimIO-io_bind eff-11 (lambda (lcase-11) (case (vector-ref lcase-11 0) ((0) (let ((e-2 (vector-ref lcase-11 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-16 (vector-ref lcase-11 1))) (let ((eff-12 (let ((u--imports (DataC-45String-unwords (PreludeC-45Types-listBind (LibrariesC-45DataC-45SortedSet-toList (let ((e-3 (vector-ref u--cu 2))) e-3)) (lambda (u--cuid) (PreludeC-45Types-u--pure_Applicative_List (string-append "(" (string-append (PreludeC-45Types-maybe (lambda () "unqualified") (lambda () (lambda (eta-0) (CompilerC-45SchemeC-45ChezSep-chezLibraryName eta-0))) (LibrariesC-45DataC-45SortedMap-lookup u--cuid (let ((e-2 (vector-ref u--cui 1))) e-2))) ")")))))))) (let ((u--exports (DataC-45String-unwords (PreludeC-45Interfaces-concat (csegen-83) (csegen-16) (PreludeC-45Types-listBind (let ((e-4 (vector-ref u--cu 3))) e-4) (lambda (_-0) (let ((e-2 (car _-0))) (let ((e-3 (cdr _-0))) (let ((e-17 (cdr e-3))) (PreludeC-45Types-u--pure_Applicative_List (case (vector-ref e-17 0) ((1) '())(else (cons (CompilerC-45SchemeC-45Common-schName e-2) '()))))))))))))) (let ((u--header (string-append "(library (" (string-append u--chezLib (string-append ")\xa;" (string-append "  (export " (string-append u--exports (string-append ")\xa;" (string-append "  (import (chezscheme) (support) " (string-append u--imports ")\xa;\xa;")))))))))) (let ((eff-12 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45SchemeC-45Chez-getFgnCall arg-0 e-15 e-16 e-8 eta-0)) (let ((e-4 (vector-ref u--cu 3))) e-4) '()))) (PrimIO-io_bind eff-12 (lambda (lcase-12) (case (vector-ref lcase-12 0) ((0) (let ((e-2 (vector-ref lcase-12 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-17 (vector-ref lcase-12 1))) (let ((eff-13 (let ((eff-13 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45SchemeC-45Common-getScheme arg-0 (csegen-6350) (lambda (eta-1) (CompilerC-45SchemeC-45Chez-chezString eta-1)) eta-0)) (let ((e-4 (vector-ref u--cu 3))) e-4) '()))) (PrimIO-io_bind eff-13 (lambda (lcase-13) (case (vector-ref lcase-13 0) ((0) (let ((e-2 (vector-ref lcase-13 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-18 (vector-ref lcase-13 1))) (let ((eff-14 (let ((eff-14 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45SchemeC-45Chez-loadLib arg-0 arg-2 eta-0)) (PreludeC-45TypesC-45List-mapMaybeAppend '() (lambda (eta-0) (Builtin-fst eta-0)) e-17) '()))) (PrimIO-io_bind eff-14 (lambda (lcase-14) (case (vector-ref lcase-14 0) ((0) (let ((e-2 (vector-ref lcase-14 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-19 (vector-ref lcase-14 1))) (let ((eff-15 (let ((eff-15 (CoreC-45ContextC-45Log-log arg-0 "compiler.scheme.chez" 3 (lambda () (string-append "Generating code for " u--chezLib))))) (PrimIO-io_bind eff-15 (lambda (lcase-15) (case (vector-ref lcase-15 0) ((0) (let ((e-2 (vector-ref lcase-15 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-16 (let ((eff-16 (CoreC-45Core-writeFile (LibrariesC-45UtilsC-45Path-C-60C-46C-62 (LibrariesC-45UtilsC-45Path-C-60C-47C-62 arg-2 u--chezLib) "ss") (PreludeC-45Types-fastConcat (PreludeC-45TypesC-45List-tailRecAppend (cons u--header '()) (PreludeC-45TypesC-45List-tailRecAppend ((csegen-947) e-17) (PreludeC-45TypesC-45List-tailRecAppend e-18 (PreludeC-45TypesC-45List-tailRecAppend e-19 (cons ")" '()))))))))) (PrimIO-io_bind eff-16 (lambda (lcase-16) (case (vector-ref lcase-16 0) ((0) (let ((e-2 (vector-ref lcase-16 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-17 (CoreC-45Core-writeFile (LibrariesC-45UtilsC-45Path-C-60C-46C-62 (LibrariesC-45UtilsC-45Path-C-60C-47C-62 arg-2 u--chezLib) "hash") u--cuHash))) eff-17)))))))) eff-16)))))))) eff-15))))))))) eff-14))))))))) eff-13)))))))))))) eff-12))))))))) eff-11))))))))) eff-10))))))) (else (lambda (eta-0) (vector 1 (vector 0 ))))))) (PrimIO-io_bind eff-9 (lambda (lcase-9) (case (vector-ref lcase-9 0) ((0) (let ((e-2 (vector-ref lcase-9 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-10 (lambda (eta-0) (vector 1 (cons u--chezLib e-13))))) eff-10)))))))) eff-9))))))))))))) (PrimIO-io_bind eff-8 (lambda (lcase-8) (case (vector-ref lcase-8 0) ((0) (let ((e-2 (vector-ref lcase-8 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-13 (vector-ref lcase-8 1))) (let ((eff-9 (let ((eff-9 (CompilerC-45SchemeC-45Common-schExp (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) 0 u--ctm))) (PrimIO-io_bind eff-9 (lambda (lcase-9) (case (vector-ref lcase-9 0) ((0) (let ((e-2 (vector-ref lcase-9 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-14 (vector-ref lcase-9 1))) (let ((eff-10 (let ((eff-10 (CoreC-45Core-writeFile (LibrariesC-45UtilsC-45Path-C-60C-47C-62 arg-2 "mainprog.ss") (DataC-45String-fastUnlines (cons (CompilerC-45SchemeC-45ChezSep-schHeader ((csegen-947) e-6) (PreludeC-45Types-listBind e-13 (lambda (u--lib) (PreludeC-45Types-u--pure_Applicative_List (let ((e-0 (car u--lib))) e-0))))) (cons "(collect-request-handler (lambda () (collect) (blodwen-run-finalisers)))" (cons e-14 (cons (CompilerC-45SchemeC-45ChezSep-schFooter) '())))))))) (PrimIO-io_bind eff-10 (lambda (lcase-10) (case (vector-ref lcase-10 0) ((0) (let ((e-2 (vector-ref lcase-10 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-11 (lambda (eta-0) (vector 1 (cons e-11 e-13))))) eff-11)))))))) eff-10))))))))) eff-9))))))))) eff-8)))))))) eff-7)))))))))) eff-6)))))))))))) eff-5))))))))) eff-4))))))))) eff-3)))))))) eff-2))))))))) eff-1)))))))))
(define CompilerC-45SchemeC-45ChezSep-compileExpr (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (let ((eff-0 (csegen-1584))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (if (null? e-5) (csegen-1587) (let ((u--appDirSh (string-append arg-6 "_app"))) (let ((u--appDirRel (LibrariesC-45UtilsC-45Path-C-60C-47C-62 arg-4 u--appDirSh))) (let ((eff-1 (let ((eff-1 (PrimIO-io_bind (CoreC-45Directory-mkdirAll u--appDirRel) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (((csegen-50) ((let ((eff-2 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-6 (vector-ref eta-3 1))) (vector 1 (eta-2 e-6))))))))))) (lambda (arg-7) (lambda (arg-8) ((((eff-2 'erased) 'erased) arg-7) arg-8)))) (lambda (_-8679) (vector 0 )))) eff-1)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (csegen-6352))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CompilerC-45SchemeC-45ChezSep-compileToSS arg-1 e-7 u--appDirRel arg-5))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((e-2 (car e-8))) (let ((e-3 (cdr e-8))) (let ((eff-4 (CoreC-45ContextC-45Log-logTime arg-1 2 (lambda () (csegen-6353)) (cond ((equal? arg-0 1) (let ((eff-4 (cond ((equal? e-2 1) (let ((eff-4 (CoreC-45ContextC-45Log-log arg-1 (csegen-6354) 3 (lambda () ((csegen-0) "Compiling support"))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-4 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-5 (CompilerC-45SchemeC-45ChezSep-compileChezLibrary e-7 u--appDirRel (LibrariesC-45UtilsC-45Path-C-60C-47C-62 u--appDirRel ((csegen-0) "support.ss"))))) eff-5))))))) (else (lambda (eta-0) (vector 1 (vector 0 ))))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-4 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-5 (let ((eff-5 (CompilerC-45SchemeC-45ChezSep-compileChezLibraries e-7 u--appDirRel (PreludeC-45Types-listBind e-3 (lambda (u--lib) (PreludeC-45Interfaces-C-62C-62 (csegen-1886) (PreludeC-45Interfaces-guard (csegen-1889) (let ((e-4 (cdr u--lib))) e-4)) (lambda () (PreludeC-45Types-u--pure_Applicative_List (LibrariesC-45UtilsC-45Path-C-60C-46C-62 (LibrariesC-45UtilsC-45Path-C-60C-47C-62 u--appDirRel (let ((e-0 (car u--lib))) e-0)) "ss"))))))))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-4 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-6 (let ((eff-6 (PreludeC-45Basics-flip (csegen-94) e-3 (lambda (u--lib) (let ((eff-6 (CoreC-45ContextC-45Log-log arg-1 (csegen-6354) 3 (lambda () (string-append "Touching " (let ((e-0 (car u--lib))) e-0)))))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-4 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-7 (CompilerC-45SchemeC-45ChezSep-touch (LibrariesC-45UtilsC-45Path-C-60C-46C-62 (LibrariesC-45UtilsC-45Path-C-60C-47C-62 u--appDirRel (let ((e-0 (car u--lib))) e-0)) "so")))) eff-7)))))))))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-4 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-7 (CompilerC-45SchemeC-45ChezSep-compileChezProgram e-7 u--appDirRel (LibrariesC-45UtilsC-45Path-C-60C-47C-62 u--appDirRel ((csegen-0) "mainprog.ss"))))) eff-7)))))))) eff-6)))))))) eff-5))))))) (else (lambda (eta-0) (vector 1 (vector 0 )))))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-4 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-5 (let ((u--outShRel (LibrariesC-45UtilsC-45Path-C-60C-47C-62 arg-4 arg-6))) (let ((u--launchTargetSh (LibrariesC-45UtilsC-45Path-C-60C-46C-62 (LibrariesC-45UtilsC-45Path-C-60C-47C-62 u--appDirSh "mainprog") (cond ((equal? arg-0 1) "so") (else "ss"))))) (let ((eff-5 (let ((sc7 (SystemC-45Info-isWindows))) (cond ((equal? sc7 1) (CompilerC-45SchemeC-45ChezSep-makeShWindows e-7 u--outShRel u--appDirSh u--launchTargetSh)) (else (CompilerC-45SchemeC-45ChezSep-makeSh e-7 u--outShRel u--appDirSh u--launchTargetSh)))))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-4 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-6 (let ((eff-6 (let ((eff-6 (PrimIO-io_bind (SystemC-45FileC-45Permissions-chmodRaw (csegen-40) u--outShRel (blodwen-toSignedInt 493 63)) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (((csegen-50) ((let ((eff-7 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-4 (vector-ref eta-3 1))) (vector 0 e-4))) (else (let ((e-11 (vector-ref eta-3 1))) (vector 1 (eta-2 e-11))))))))))) (lambda (arg-7) (lambda (arg-8) ((((eff-7 'erased) 'erased) arg-7) arg-8)))) (lambda (_-8679) (vector 0 )))) eff-6)))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-4 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-7 (lambda (eta-0) (vector 1 (box u--outShRel))))) eff-7)))))))) eff-6)))))))))) eff-5)))))))))) eff-4))))))))) eff-3))))))))) eff-2))))))))))) eff-1)))))))))
(define CompilerC-45SchemeC-45ChezSep-compileChezProgram (lambda (arg-0 arg-1 arg-2) (let ((eff-0 (PrimIO-io_bind (System-system (csegen-40) (DataC-45String-unwords (cons "echo" (cons (string-append "'(parameterize ([optimize-level 3] [compile-file-message #f]) (compile-program " (string-append (CompilerC-45SchemeC-45Chez-chezString arg-2) "))'")) (cons (string-append "'(delete-file " (string-append (CompilerC-45SchemeC-45Chez-chezString arg-2) ")'")) (cons "|" (cons arg-0 (cons "-q" (cons "--libdirs" (cons arg-1 '())))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-3) (lambda (arg-4) ((((eff-1 'erased) 'erased) arg-3) arg-4)))) (lambda (_-8679) (vector 0 )))) eff-0))))
(define CompilerC-45SchemeC-45ChezSep-compileChezLibrary (lambda (arg-0 arg-1 arg-2) (let ((eff-0 (PrimIO-io_bind (System-system (csegen-40) (DataC-45String-unwords (cons "echo" (cons (string-append "'(parameterize ([optimize-level 3] [compile-file-message #f]) (compile-library " (string-append (CompilerC-45SchemeC-45Chez-chezString arg-2) "))'")) (cons (string-append "'(delete-file " (string-append (CompilerC-45SchemeC-45Chez-chezString arg-2) ")'")) (cons "|" (cons arg-0 (cons "-q" (cons "--libdirs" (cons arg-1 '())))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-3) (lambda (arg-4) ((((eff-1 'erased) 'erased) arg-3) arg-4)))) (lambda (_-8679) (vector 0 )))) eff-0))))
(define CompilerC-45SchemeC-45ChezSep-compileChezLibraries (lambda (arg-0 arg-1 arg-2) (let ((eff-0 (PrimIO-io_bind (System-system (csegen-40) (DataC-45String-unwords (cons "echo" (cons (DataC-45String-unwords (PreludeC-45Types-listBind arg-2 (lambda (u--ssFile) (PreludeC-45Types-u--pure_Applicative_List (string-append "'(parameterize ([optimize-level 3] [compile-file-message #f]) (compile-library " (string-append (CompilerC-45SchemeC-45Chez-chezString u--ssFile) (string-append "))'" (string-append " '(delete-file " (string-append (CompilerC-45SchemeC-45Chez-chezString u--ssFile) ")'"))))))))) (cons "|" (cons arg-0 (cons "-q" (cons "--libdirs" (cons arg-1 '()))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-3) (lambda (arg-4) ((((eff-1 'erased) 'erased) arg-3) arg-4)))) (lambda (_-8679) (vector 0 )))) eff-0))))
(define CompilerC-45SchemeC-45ChezSep-codegenChezSep(blodwen-lazy (lambda () (vector (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (lambda (eta-4) (lambda (eta-5) (CompilerC-45SchemeC-45ChezSep-compileExpr 1 eta-0 eta-1 eta-2 eta-3 eta-4 eta-5))))))) (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (CompilerC-45SchemeC-45ChezSep-executeExpr eta-0 eta-1 eta-2 eta-3))))) '() '()))))
(define CompilerC-45SchemeC-45ChezSep-chezNS (lambda (arg-0) (CompilerC-45SchemeC-45ChezSep-case--chezNS-1533 arg-0 (CoreC-45NameC-45Namespace-showNSWithSep "-" arg-0))))
(define CompilerC-45SchemeC-45ChezSep-chezLibraryName (lambda (arg-1) (CompilerC-45SchemeC-45ChezSep-chezNS (CompilerC-45SchemeC-45ChezSep-n--11440-1551-u--min1 arg-1 (let ((e-2 (vector-ref arg-1 1))) e-2)))))
(define CompilerC-45Separate-n--7820-4298-u--withCUID (lambda (arg-1 arg-2 arg-4) (PreludeC-45Types-listBind (DataC-45List-u--zip_Zippable_List (PreludeC-45Types-u--rangeFromTo_Range_Nat 0 (PreludeC-45TypesC-45List-lengthTR arg-4)) arg-4) (lambda (_-0) (let ((e-2 (car _-0))) (let ((e-3 (cdr _-0))) (PreludeC-45Types-u--pure_Applicative_List (cons ((csegen-3687) e-2) e-3))))))))
(define CompilerC-45Separate-n--7820-4299-u--mkUnit (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (vector arg-6 arg-7 (LibrariesC-45DataC-45SortedSet-delete arg-6 (CompilerC-45Separate-n--7834-4382-u--dependencies arg-1 arg-2 arg-7 arg-6 arg-5 arg-4 arg-3)) (CompilerC-45Separate-n--7834-4383-u--definitions arg-1 arg-2 arg-7 arg-6 arg-5 arg-4 arg-3))))
(define CompilerC-45Separate-n--7834-4382-u--dependencies (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (LibrariesC-45DataC-45SortedSet-fromList (csegen-6373) (PreludeC-45Types-listBind (DataC-45List1-forget arg-3) (lambda (u--ns) (PreludeC-45Types-listBind (LibrariesC-45DataC-45SortedSet-toList (DataC-45Maybe-fromMaybe (lambda () (csegen-6374)) (LibrariesC-45DataC-45SortedMap-lookup u--ns arg-7))) (lambda (u--depsNS) (let ((sc0 (LibrariesC-45DataC-45SortedMap-lookup u--depsNS arg-6))) (if (null? sc0) '() (let ((e-2 (unbox sc0))) (cons e-2 '())))))))))))
(define CompilerC-45Separate-n--7834-4383-u--definitions (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (PreludeC-45Interfaces-concat (csegen-83) (csegen-4960) (DataC-45List1-u--C-62C-62C-61_Monad_List1 arg-3 (lambda (u--ns) (DataC-45List1-singleton (DataC-45Maybe-fromMaybe (lambda () '()) (LibrariesC-45DataC-45SortedMap-lookup u--ns arg-5))))))))
(define CompilerC-45Separate-n--6979-3491-u--addOne (lambda (arg-1 arg-2) (let ((e-2 (car arg-2))) (let ((e-3 (cdr arg-2))) (LibrariesC-45DataC-45SortedMap-mergeWith (csegen-3675) (LibrariesC-45DataC-45SortedMap-singleton (csegen-5300) (CompilerC-45Separate-getNS e-2) (let ((u--ndef (cons e-2 e-3))) (cons u--ndef '()))) arg-1)))))
(define CompilerC-45Separate-u--nsRefs_HasNamespaces_NamedDef (lambda (arg-0) (case (vector-ref arg-0 0) ((0) (let ((e-1 (vector-ref arg-0 2))) (CompilerC-45Separate-u--nsRefs_HasNamespaces_NamedCExp e-1))) ((1) (csegen-6374)) ((2) (csegen-6374)) (else (let ((e-8 (vector-ref arg-0 1))) (CompilerC-45Separate-u--nsRefs_HasNamespaces_NamedCExp e-8))))))
(define CompilerC-45Separate-u--nsRefs_HasNamespaces_NamedConstAlt (lambda (arg-0) (let ((e-1 (cdr arg-0))) (CompilerC-45Separate-u--nsRefs_HasNamespaces_NamedCExp e-1))))
(define CompilerC-45Separate-u--nsRefs_HasNamespaces_NamedConAlt (lambda (arg-0) (let ((e-4 (vector-ref arg-0 4))) (CompilerC-45Separate-u--nsRefs_HasNamespaces_NamedCExp e-4))))
(define CompilerC-45Separate-u--nsRefs_HasNamespaces_NamedCExp (lambda (arg-0) (case (vector-ref arg-0 0) ((0) (csegen-6374)) ((1) (let ((e-3 (vector-ref arg-0 2))) (LibrariesC-45DataC-45SortedSet-singleton (csegen-5300) (CompilerC-45Separate-getNS e-3)))) ((2) (let ((e-6 (vector-ref arg-0 3))) ((csegen-6375) e-6))) ((3) (let ((e-9 (vector-ref arg-0 3))) (let ((e-10 (vector-ref arg-0 4))) (((csegen-6377) ((csegen-6375) e-9)) ((csegen-6375) e-10))))) ((4) (let ((e-12 (vector-ref arg-0 2))) (let ((e-13 (vector-ref arg-0 3))) (((csegen-6377) ((csegen-6375) e-12)) (PreludeC-45Interfaces-concatMap (csegen-6380) (csegen-16) (csegen-6375) e-13))))) ((5) (let ((e-18 (vector-ref arg-0 5))) (PreludeC-45Interfaces-concatMap (csegen-6380) (csegen-16) (csegen-6375) e-18))) ((8) (let ((e-21 (vector-ref arg-0 3))) ((csegen-6375) e-21))) ((9) (let ((e-24 (vector-ref arg-0 3))) ((csegen-6375) e-24))) ((13) (csegen-6374)) ((12) (csegen-6374)) ((6) (let ((e-31 (vector-ref arg-0 4))) (PreludeC-45Interfaces-concatMap (csegen-6380) (csegen-2238) (csegen-6375) e-31))) ((7) (let ((e-34 (vector-ref arg-0 3))) (PreludeC-45Interfaces-concatMap (csegen-6380) (csegen-16) (csegen-6375) e-34))) ((10) (let ((e-36 (vector-ref arg-0 2))) (let ((e-37 (vector-ref arg-0 3))) (let ((e-38 (vector-ref arg-0 4))) (((csegen-6377) (((csegen-6377) ((csegen-6375) e-36)) (PreludeC-45Interfaces-concatMap (csegen-6380) (csegen-16) (let ((eff-0 (lambda (arg-3554) (CompilerC-45Separate-u--nsRefs_HasNamespaces_NamedConAlt arg-3554)))) (lambda (arg-1) (eff-0 arg-1))) e-37))) (PreludeC-45Interfaces-concatMap (csegen-6380) (csegen-6054) (csegen-6375) e-38)))))) ((11) (let ((e-40 (vector-ref arg-0 2))) (let ((e-41 (vector-ref arg-0 3))) (let ((e-42 (vector-ref arg-0 4))) (((csegen-6377) (((csegen-6377) ((csegen-6375) e-40)) (PreludeC-45Interfaces-concatMap (csegen-6380) (csegen-16) (let ((eff-0 (lambda (arg-3554) (CompilerC-45Separate-u--nsRefs_HasNamespaces_NamedConstAlt arg-3554)))) (lambda (arg-1) (eff-0 arg-1))) e-41))) (PreludeC-45Interfaces-concatMap (csegen-6380) (csegen-6054) (csegen-6375) e-42)))))) (else (csegen-6374)))))
(define CompilerC-45Separate-u--nsRefs_HasNamespaces_C-40C-124C-40C-40BuiltinC-46PairC-32FCC-41C-32C-36aC-41C-44C-40C-40BuiltinC-46MkPairC-32FCC-41C-32C-36aC-41C-124C-41 (lambda (arg-1 arg-2) (let ((e-3 (cdr arg-2))) ((let ((eff-0 arg-1)) (lambda (arg-0) (eff-0 arg-0))) e-3))))
(define CompilerC-45Separate-u--min_Ord_CompilationUnitId (lambda (arg-0 arg-1) (let ((sc0 (CompilerC-45Separate-u--C-60_Ord_CompilationUnitId arg-0 arg-1))) (cond ((equal? sc0 1) arg-0) (else arg-1)))))
(define CompilerC-45Separate-u--max_Ord_CompilationUnitId (lambda (arg-0 arg-1) (let ((sc0 (CompilerC-45Separate-u--C-62_Ord_CompilationUnitId arg-0 arg-1))) (cond ((equal? sc0 1) arg-0) (else arg-1)))))
(define CompilerC-45Separate-u--hash_Hashable_CompilationUnitId (lambda (ext-0) (CompilerC-45Separate-u--hashWithSalt_Hashable_CompilationUnitId (blodwen-toSignedInt 5381 63) ext-0)))
(define CompilerC-45Separate-u--hash_Hashable_C-40C-124C-40C-40BuiltinC-46PairC-32FCC-41C-32C-36defC-41C-44C-40C-40BuiltinC-46MkPairC-32FCC-41C-32C-36defC-41C-124C-41 (lambda (arg-1 ext-0) (CompilerC-45Separate-u--hashWithSalt_Hashable_C-40C-124C-40C-40BuiltinC-46PairC-32FCC-41C-32C-36defC-41C-44C-40C-40BuiltinC-46MkPairC-32FCC-41C-32C-36defC-41C-124C-41 arg-1 (blodwen-toSignedInt 5381 63) ext-0)))
(define CompilerC-45Separate-u--hash_Hashable_C-40CompilationUnitC-32C-36defC-41 (lambda (arg-1 ext-0) (CompilerC-45Separate-u--hashWithSalt_Hashable_C-40CompilationUnitC-32C-36defC-41 arg-1 (blodwen-toSignedInt 5381 63) ext-0)))
(define CompilerC-45Separate-u--hashWithSalt_Hashable_CompilationUnitId (lambda (arg-0 arg-1) (let ((eff-0 arg-1)) (CoreC-45Hash-u--hashWithSalt_Hashable_Int arg-0 eff-0))))
(define CompilerC-45Separate-u--hashWithSalt_Hashable_C-40C-124C-40C-40BuiltinC-46PairC-32FCC-41C-32C-36defC-41C-44C-40C-40BuiltinC-46MkPairC-32FCC-41C-32C-36defC-41C-124C-41 (lambda (arg-1 arg-2 arg-3) (let ((e-3 (cdr arg-3))) (let ((e-4 (cdr arg-1))) ((e-4 arg-2) e-3)))))
(define CompilerC-45Separate-u--hashWithSalt_Hashable_C-40CompilationUnitC-32C-36defC-41 (lambda (arg-1 arg-2 arg-3) (CoreC-45Hash-u--hashWithSalt_Hashable_C-40ListC-32C-36aC-41 (cons (lambda (arg-2985) (CoreC-45Hash-u--hash_Hashable_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-1682) arg-1 arg-2985)) (lambda (arg-2991) (lambda (arg-2994) (CoreC-45Hash-u--hashWithSalt_Hashable_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-1682) arg-1 arg-2991 arg-2994)))) (CoreC-45Hash-u--hashWithSalt_Hashable_C-40ListC-32C-36aC-41 (cons (lambda (arg-2985) (CompilerC-45Separate-u--hash_Hashable_CompilationUnitId arg-2985)) (lambda (arg-2991) (lambda (arg-2994) (CompilerC-45Separate-u--hashWithSalt_Hashable_CompilationUnitId arg-2991 arg-2994)))) arg-2 (LibrariesC-45DataC-45SortedSet-toList (let ((e-3 (vector-ref arg-3 2))) e-3))) (let ((e-4 (vector-ref arg-3 3))) e-4))))
(define CompilerC-45Separate-u--compare_Ord_CompilationUnitId (lambda (arg-0 arg-1) (let ((eff-0 arg-0)) (let ((eff-1 arg-1)) (PreludeC-45EqOrd-u--compare_Ord_Int eff-0 eff-1)))))
(define CompilerC-45Separate-u--C-62_Ord_CompilationUnitId (lambda (arg-0 arg-1) (PreludeC-45EqOrd-u--C-61C-61_Eq_Ordering (CompilerC-45Separate-u--compare_Ord_CompilationUnitId arg-0 arg-1) 2)))
(define CompilerC-45Separate-u--C-62C-61_Ord_CompilationUnitId (lambda (arg-0 arg-1) (PreludeC-45EqOrd-u--C-47C-61_Eq_Ordering (CompilerC-45Separate-u--compare_Ord_CompilationUnitId arg-0 arg-1) 0)))
(define CompilerC-45Separate-u--C-61C-61_Eq_CompilationUnitId (lambda (arg-0 arg-1) (let ((eff-0 arg-0)) (let ((eff-1 arg-1)) (PreludeC-45EqOrd-u--C-61C-61_Eq_Int eff-0 eff-1)))))
(define CompilerC-45Separate-u--C-60_Ord_CompilationUnitId (lambda (arg-0 arg-1) (PreludeC-45EqOrd-u--C-61C-61_Eq_Ordering (CompilerC-45Separate-u--compare_Ord_CompilationUnitId arg-0 arg-1) 0)))
(define CompilerC-45Separate-u--C-60C-61_Ord_CompilationUnitId (lambda (arg-0 arg-1) (PreludeC-45EqOrd-u--C-47C-61_Eq_Ordering (CompilerC-45Separate-u--compare_Ord_CompilationUnitId arg-0 arg-1) 2)))
(define CompilerC-45Separate-u--C-47C-61_Eq_CompilationUnitId (lambda (arg-0 arg-1) (let ((sc0 (CompilerC-45Separate-u--C-61C-61_Eq_CompilationUnitId arg-0 arg-1))) (cond ((equal? sc0 1) 0) (else 1)))))
(define CompilerC-45Separate-splitByNS (lambda (ext-0) (LibrariesC-45DataC-45SortedMap-toList (PreludeC-45Types-u--foldl_Foldable_List (lambda (eta-0) (lambda (eta-1) (CompilerC-45Separate-n--6979-3491-u--addOne eta-0 eta-1))) (csegen-6386) ext-0))))
(define CompilerC-45Separate-getNS (lambda (arg-0) (case (vector-ref arg-0 0) ((0) (let ((e-0 (vector-ref arg-0 1))) e-0))(else (CoreC-45NameC-45Namespace-emptyNS)))))
(define CompilerC-45Separate-getCompilationUnits (lambda (arg-1 arg-2) (let ((u--defsByNS (LibrariesC-45DataC-45SortedMap-fromList (csegen-5300) (CompilerC-45Separate-splitByNS arg-2)))) (let ((u--nsDeps (PreludeC-45Types-u--foldl_Foldable_List (lambda (eta-0) (lambda (eta-1) (LibrariesC-45DataC-45SortedMap-mergeWith (csegen-4746) eta-0 eta-1))) (csegen-6386) (PreludeC-45Types-listBind arg-2 (lambda (_-0) (let ((e-2 (car _-0))) (let ((e-3 (cdr _-0))) (PreludeC-45Types-u--pure_Applicative_List (LibrariesC-45DataC-45SortedMap-singleton (csegen-5300) (CompilerC-45Separate-getNS e-2) (LibrariesC-45DataC-45SortedSet-delete (CompilerC-45Separate-getNS e-2) ((let ((eff-0 arg-1)) (lambda (arg-0) (eff-0 arg-0))) e-3))))))))))) (let ((u--components (PreludeC-45TypesC-45List-reverse (LibrariesC-45DataC-45Graph-tarjan (csegen-5300) u--nsDeps)))) (let ((u--nsMap (LibrariesC-45DataC-45SortedMap-fromList (csegen-5300) (PreludeC-45Types-listBind (CompilerC-45Separate-n--7820-4298-u--withCUID arg-1 arg-2 u--components) (lambda (_-0) (let ((e-2 (car _-0))) (let ((e-3 (cdr _-0))) (PreludeC-45Types-listBind (DataC-45List1-forget e-3) (lambda (u--ns) (PreludeC-45Types-u--pure_Applicative_List (cons u--ns e-2))))))))))) (let ((u--units (PreludeC-45Types-listBind (CompilerC-45Separate-n--7820-4298-u--withCUID arg-1 arg-2 u--components) (lambda (_-0) (let ((e-2 (car _-0))) (let ((e-3 (cdr _-0))) (PreludeC-45Types-u--pure_Applicative_List (CompilerC-45Separate-n--7820-4299-u--mkUnit arg-1 arg-2 u--nsDeps u--nsMap u--defsByNS e-2 e-3)))))))) (vector u--units (LibrariesC-45DataC-45SortedMap-fromList (csegen-6373) (PreludeC-45Types-listBind u--units (lambda (u--unit) (PreludeC-45Types-u--pure_Applicative_List (cons (let ((e-1 (vector-ref u--unit 0))) e-1) u--unit))))) u--nsMap))))))))
(define CompilerC-45SchemeC-45Chez-n--13133-3246-u--showFld (lambda (arg-0 arg-1 arg-2 arg-3) (let ((e-2 (car arg-3))) (let ((e-3 (cdr arg-3))) (let ((eff-0 (CompilerC-45SchemeC-45Chez-cftySpec (CoreC-45FC-emptyFC) e-3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (string-append "[" (string-append e-2 (string-append " " (string-append e-5 "]")))))))) eff-1)))))))))))
(define CompilerC-45SchemeC-45Chez-n--12101-2343-u--notWorld (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8) (case (vector-ref arg-8 0) ((18) 0)(else 1))))
(define CompilerC-45SchemeC-45Chez-n--12101-2339-u--mkNs (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9) (if (null? arg-9) '() (let ((e-2 (car arg-9))) (let ((e-3 (cdr arg-9))) (case (vector-ref e-2 0) ((18) (cons '() (CompilerC-45SchemeC-45Chez-n--12101-2339-u--mkNs arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 e-3)))(else (cons (box (string-append "cb" (PreludeC-45Show-u--show_Show_Int arg-8))) (CompilerC-45SchemeC-45Chez-n--12101-2339-u--mkNs arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 (bs+ arg-8 1 63) e-3)))))))))
(define CompilerC-45SchemeC-45Chez-n--12101-2342-u--mkFun (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10) (let ((u--argns (CompilerC-45SchemeC-45Chez-n--12101-2339-u--mkNs arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 0 arg-8))) (string-append "(lambda (" (string-append (CoreC-45NameC-45Namespace-showSep " " (PreludeC-45TypesC-45List-mapMaybeAppend '() (lambda (eta-0) eta-0) u--argns)) (string-append ") " (string-append (CompilerC-45SchemeC-45Chez-n--12101-2340-u--applyLams arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-10 u--argns) ")")))))))
(define CompilerC-45SchemeC-45Chez-n--11019-1210-u--isLib (lambda (arg-0 arg-1 arg-2) (let ((sc0 (DataC-45String-isPrefixOf "lib" arg-2))) (cond ((equal? sc0 1) (box (DataC-45String-trim (PreludeC-45Types-substr 3 (PreludeC-45TypesC-45String-length arg-2) arg-2)))) (else '())))))
(define CompilerC-45SchemeC-45Chez-n--10875-1070-u--cmd (lambda (arg-0) (string-append arg-0 " --version 2>&1")))
(define CompilerC-45SchemeC-45Chez-n--12101-2344-u--callback (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10) (case (vector-ref arg-10 0) ((19) (let ((e-0 (vector-ref arg-10 1))) (let ((e-1 (vector-ref arg-10 2))) (CompilerC-45SchemeC-45Chez-n--12101-2344-u--callback arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 (cons e-0 arg-9) e-1))))(else (let ((u--args (PreludeC-45TypesC-45List-reverse arg-9))) (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45SchemeC-45Chez-cftySpec arg-5 eta-0)) (PreludeC-45TypesC-45List-filterAppend '() (lambda (eta-0) (CompilerC-45SchemeC-45Chez-n--12101-2343-u--notWorld arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 eta-0)) u--args) '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CompilerC-45SchemeC-45Chez-cftySpec arg-5 arg-10))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (string-append "(let ([c-code (foreign-callable #f " (string-append (CompilerC-45SchemeC-45Chez-n--12101-2342-u--mkFun arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 u--args arg-10 arg-8) (string-append " (" (string-append (CoreC-45NameC-45Namespace-showSep " " e-5) (string-append ") " (string-append e-6 ")]) (lock-object c-code) (foreign-callable-entry-point c-code))")))))))))) eff-2))))))))) eff-1))))))))))))
(define CompilerC-45SchemeC-45Chez-n--12101-2345-u--buildArg (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8) (let ((e-2 (car arg-8))) (let ((e-3 (cdr arg-8))) (case (vector-ref e-3 0) ((19) (let ((e-4 (vector-ref e-3 1))) (let ((e-5 (vector-ref e-3 2))) (CompilerC-45SchemeC-45Chez-n--12101-2344-u--callback arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 (CompilerC-45SchemeC-45Common-schName e-2) (cons e-4 '()) e-5)))) ((15) (lambda (eta-0) (vector 1 (string-append "(car " (string-append (CompilerC-45SchemeC-45Common-schName e-2) ")")))))(else (lambda (eta-0) (vector 1 (CompilerC-45SchemeC-45Common-schName e-2)))))))))
(define CompilerC-45SchemeC-45Chez-n--12101-2340-u--applyLams (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9) (if (null? arg-9) arg-8 (let ((e-2 (car arg-9))) (let ((e-3 (cdr arg-9))) (if (null? e-2) (CompilerC-45SchemeC-45Chez-n--12101-2340-u--applyLams arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 (string-append "(" (string-append arg-8 " #f)")) e-3) (let ((e-6 (unbox e-2))) (CompilerC-45SchemeC-45Chez-n--12101-2340-u--applyLams arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 (string-append "(" (string-append arg-8 (string-append " " (string-append e-6 ")")))) e-3))))))))
(define CompilerC-45SchemeC-45Chez-useCC (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (let ((sc0 (CompilerC-45Common-parseCC (cons "scheme,chez" (cons "scheme" (cons "C__collect_safe" (cons "C" '())))) arg-3))) (if (null? sc0) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 61 arg-2 arg-3) eta-0)) (let ((e-1 (unbox sc0))) (if (null? e-1) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 61 arg-2 arg-3) eta-0)) (let ((e-4 (car e-1))) (let ((e-5 (cdr e-1))) (cond ((equal? e-4 "scheme,chez") (if (null? e-5) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 61 arg-2 arg-3) eta-0)) (let ((e-7 (car e-5))) (let ((e-8 (cdr e-5))) (if (null? e-8) (let ((eff-0 (CompilerC-45SchemeC-45Chez-schemeCall arg-2 e-7 ((csegen-101) arg-4) arg-5))) (PrimIO-io_bind eff-0 (csegen-6393))) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 61 arg-2 arg-3) eta-0))))))) ((equal? e-4 "scheme") (if (null? e-5) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 61 arg-2 arg-3) eta-0)) (let ((e-11 (car e-5))) (let ((e-12 (cdr e-5))) (if (null? e-12) (let ((eff-0 (CompilerC-45SchemeC-45Chez-schemeCall arg-2 e-11 ((csegen-101) arg-4) arg-5))) (PrimIO-io_bind eff-0 (csegen-6393))) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 61 arg-2 arg-3) eta-0))))))) ((equal? e-4 "C__collect_safe") (if (null? e-5) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 61 arg-2 arg-3) eta-0)) (let ((e-15 (car e-5))) (let ((e-16 (cdr e-5))) (if (null? e-16) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 61 arg-2 arg-3) eta-0)) (let ((e-18 (car e-16))) (let ((sc5 (CompilerC-45SchemeC-45Chez-unsupportedCallingConvention arg-6))) (cond ((equal? sc5 1) (CompilerC-45SchemeC-45Chez-cCall arg-0 arg-1 arg-2 e-15 e-18 arg-4 arg-5 0)) (else (CompilerC-45SchemeC-45Chez-cCall arg-0 arg-1 arg-2 e-15 e-18 arg-4 arg-5 1)))))))))) ((equal? e-4 "C") (if (null? e-5) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 61 arg-2 arg-3) eta-0)) (let ((e-21 (car e-5))) (let ((e-22 (cdr e-5))) (if (null? e-22) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 61 arg-2 arg-3) eta-0)) (let ((e-24 (car e-22))) (CompilerC-45SchemeC-45Chez-cCall arg-0 arg-1 arg-2 e-21 e-24 arg-4 arg-5 0)))))))(else (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 61 arg-2 arg-3) eta-0))))))))))))
(define CompilerC-45SchemeC-45Chez-unsupportedCallingConvention (lambda (arg-0) (if (null? arg-0) 1 (let ((e-2 (unbox arg-0))) (LibrariesC-45DataC-45Version-u--C-60_Ord_Version e-2 (cons (cons 9 (cons 5 0)) '()))))))
(define CompilerC-45SchemeC-45Chez-startChezWinSh (lambda (arg-0 arg-1 arg-2 arg-3) (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons "#!/bin/sh\xa;# " (cons (CompilerC-45Generated-generatedString "Chez") (cons "\xa;\xa;set -e # exit on any error\xa;\xa;DIR=$(dirname \"$(readlink -f -- \"$0\" || cygpath -a -- \"$0\")\")\xa;PATH=\"$DIR/" (cons arg-1 (cons ":$PATH\"\xa;\xa;export IDRIS2_INC_SRC=\"$DIR/" (cons arg-1 (cons "\"\xa;\xa;\"" (cons arg-0 (cons "\" " (cons arg-3 (cons " \"$DIR/" (cons arg-2 (cons "\" \"$@\"" '()))))))))))))))))
(define CompilerC-45SchemeC-45Chez-startChezPreamble(blodwen-lazy (lambda () (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons "#!/bin/sh\xa;# " (cons (CompilerC-45Generated-generatedString "Chez") (cons "\xa;\xa;set -e # exit on any error\xa;\xa;if [ \"$(uname)\" = Darwin ]; then\xa;  DIR=$(zsh -c 'printf %s \"$0:A:h\"' \"$0\")\xa;else\xa;  DIR=$(dirname \"$(readlink -f -- \"$0\")\")\xa;fi\xa;" '())))))))
(define CompilerC-45SchemeC-45Chez-startChezCmd (lambda (arg-0 arg-1 arg-2 arg-3) (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons "@echo off\xa;\xa;rem " (cons (CompilerC-45Generated-generatedString "Chez") (cons "\xa;\xa;set APPDIR=%~dp0\xa;set PATH=%APPDIR%" (cons arg-1 (cons ";%PATH%\xa;set IDRIS2_INC_SRC=%APPDIR%" (cons arg-1 (cons "\xa;\xa;\"" (cons arg-0 (cons "\" " (cons arg-3 (cons " \"%APPDIR%" (cons arg-2 (cons "\" %*" '()))))))))))))))))
(define CompilerC-45SchemeC-45Chez-startChez (lambda (arg-0 arg-1) (string-append (CompilerC-45SchemeC-45Chez-startChezPreamble) (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons "export LD_LIBRARY_PATH=\"$DIR/" (cons arg-0 (cons ":$LD_LIBRARY_PATH\"\xa;export DYLD_LIBRARY_PATH=\"$DIR/" (cons arg-0 (cons ":$DYLD_LIBRARY_PATH\"\xa;export IDRIS2_INC_SRC=\"$DIR/" (cons arg-0 (cons "\"\xa;\xa;\"$DIR/" (cons arg-1 (cons "\" \"$@\"" '())))))))))))))
(define CompilerC-45SchemeC-45Chez-showChezString (lambda (arg-0) (lambda (clam-0) (if (null? arg-0) clam-0 (let ((e-2 (car arg-0))) (let ((e-3 (cdr arg-0))) (cond ((equal? e-2 #\") (string-append "\\\"" ((CompilerC-45SchemeC-45Chez-showChezString e-3) clam-0)))(else ((CompilerC-45SchemeC-45Chez-showChezChar e-2) ((CompilerC-45SchemeC-45Chez-showChezString e-3) clam-0))))))))))
(define CompilerC-45SchemeC-45Chez-showChezChar (lambda (arg-0) (lambda (clam-0) (cond ((equal? arg-0 #\\) (string-append "\\\\" clam-0))(else (let ((sc0 (let ((sc1 (PreludeC-45EqOrd-u--C-60_Ord_Char arg-0 (cast-int-char 32)))) (cond ((equal? sc1 1) 1) (else (PreludeC-45EqOrd-u--C-62_Ord_Char arg-0 (cast-int-char (blodwen-toSignedInt 126 63)))))))) (cond ((equal? sc0 1) (string-append (string-append "\\x" (string-append (ProtocolC-45Hex-asHex (cast-char-boundedUInt arg-0 64)) ";")) clam-0)) (else (string-cons arg-0 clam-0)))))))))
(define CompilerC-45SchemeC-45Chez-schemeCall (lambda (arg-0 arg-1 arg-2 arg-3) (let ((u--call (string-append "(" (string-append arg-1 (string-append " " (string-append (CoreC-45NameC-45Namespace-showSep " " ((csegen-6214) arg-2)) ")")))))) (lambda (clam-0) (case (vector-ref arg-3 0) ((20) (vector 1 u--call))(else (vector 1 u--call)))))))
(define CompilerC-45SchemeC-45Chez-schHeader (lambda (arg-0 arg-1 arg-2) (string-append (let ((sc0 (PreludeC-45EqOrd-u--C-47C-61_Eq_String (SystemC-45Info-os) "windows"))) (cond ((equal? sc0 1) (string-append "#!" (string-append arg-0 (cond ((equal? arg-2 1) ((csegen-0) " --program\xa;\xa;")) (else ((csegen-0) " --script\xa;\xa;")))))) (else ""))) (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons ";; " (cons (CompilerC-45Generated-generatedString "Chez") (cons "\xa;(import (chezscheme))\xa;(case (machine-type)\xa;  [(i3fb ti3fb a6fb ta6fb) #f]\xa;  [(i3le ti3le a6le ta6le tarm64le) (load-shared-object \"libc.so.6\")]\xa;  [(i3osx ti3osx a6osx ta6osx tarm64osx) (load-shared-object \"libc.dylib\")]\xa;  [(i3nt ti3nt a6nt ta6nt) (load-shared-object \"msvcrt.dll\")]\xa;  [else (load-shared-object \"libc.so\")])\xa;\xa;" (cons (CoreC-45NameC-45Namespace-showSep "\xa;" (((csegen-25) (lambda (u--x) (string-append "(load-shared-object \"" (string-append (LibrariesC-45UtilsC-45String-escapeStringChez u--x) "\")")))) arg-1)) (cons "\xa;\xa;" (cons (cond ((equal? arg-2 1) ((csegen-0) "(let ()")) (else ((csegen-0) "(source-directories (cons (getenv \"IDRIS2_INC_SRC\") (source-directories)))"))) (cons "\xa;" '())))))))))))
(define CompilerC-45SchemeC-45Chez-schFooter (lambda (arg-0 arg-1) (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons "\xa;  (collect 4)\xa;  (blodwen-run-finalisers)\xa;  " (cons (cond ((equal? arg-0 1) ((csegen-0) "(profile-dump-html)")) (else (csegen-1))) (cons "\xa;  " (cons (cond ((equal? arg-1 1) (csegen-3491)) (else (csegen-1))) '())))))))
(define CompilerC-45SchemeC-45Chez-schFgnDef (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (case (vector-ref arg-5 0) ((2) (let ((e-0 (vector-ref arg-5 1))) (let ((e-1 (vector-ref arg-5 2))) (let ((e-2 (vector-ref arg-5 3))) (let ((u--argns (CompilerC-45SchemeC-45Chez-mkArgs 0 e-1))) (let ((u--allargns ((csegen-101) u--argns))) (let ((u--useargns ((csegen-101) (PreludeC-45TypesC-45List-filterAppend '() (lambda (eta-0) (Builtin-snd eta-0)) u--argns)))) (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45SchemeC-45Chez-mkStruct arg-2 eta-0)) e-1 '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CompilerC-45SchemeC-45Chez-mkStruct arg-2 e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-3 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45SchemeC-45Chez-useCC arg-0 arg-1 arg-3 e-0 (DataC-45List-u--zip_Zippable_List u--useargns e-1) e-2 arg-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-3 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((e-4 (car e-7))) (let ((e-3 (cdr e-7))) (let ((eff-3 (let ((eff-3 arg-0)) (PrimIO-io_bind (let ((eff-4 eff-3)) (lambda (eta-0) (unbox eff-4))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-8 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Context-u--full_HasNames_Name (let ((e-40 (vector-ref e-8 0))) e-40) arg-4))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-9 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (eta-0) (vector 1 (cons e-4 (string-append (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) e-5) (string-append e-6 (string-append "(define " (string-append (CompilerC-45SchemeC-45Common-schName e-9) (string-append (csegen-6218) (string-append (CoreC-45NameC-45Namespace-showSep " " ((csegen-6214) u--allargns)) (string-append ") " (string-append e-3 "))\xa;"))))))))))))) eff-5))))))))) eff-4))))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))))))(else (csegen-6219)))))
(define CompilerC-45SchemeC-45Chez-mkStruct (lambda (arg-0 arg-1) (case (vector-ref arg-1 0) ((21) (let ((e-0 (vector-ref arg-1 1))) (let ((e-1 (vector-ref arg-1 2))) (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45SchemeC-45Chez-mkStruct arg-0 eta-0)) ((csegen-947) e-1) '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (unbox eff-2))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((sc3 (PreludeC-45Types-elem (csegen-16) (csegen-43) e-0 e-6))) (cond ((equal? sc3 1) (lambda (eta-0) (vector 1 (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) e-5)))) (else (let ((eff-2 (let ((eff-2 arg-0)) (PrimIO-io_bind (let ((eff-3 eff-2)) (lambda (eta-0) (set-box! eff-3 (cons e-0 e-6)))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45SchemeC-45Chez-n--13133-3246-u--showFld e-1 e-0 arg-0 eta-0)) e-1 '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (string-append (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) e-5) (string-append "(define-ftype " (string-append e-0 (string-append " (struct\xa;\x9;" (string-append (CoreC-45NameC-45Namespace-showSep "\xa;\x9;" e-8) "))\xa;"))))))))) eff-4))))))))) eff-3))))))))))) eff-2))))))))) eff-1)))))))))) ((20) (let ((e-2 (vector-ref arg-1 1))) (CompilerC-45SchemeC-45Chez-mkStruct arg-0 e-2))) ((19) (let ((e-3 (vector-ref arg-1 1))) (let ((e-4 (vector-ref arg-1 2))) (let ((eff-0 (let ((eff-0 (CompilerC-45SchemeC-45Chez-mkStruct arg-0 e-3))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (_-8679) (vector 0 )))) eff-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (CompilerC-45SchemeC-45Chez-mkStruct arg-0 e-4))) eff-1)))))))))(else (lambda (eta-0) (vector 1 ""))))))
(define CompilerC-45SchemeC-45Chez-mkArgs (lambda (arg-0 arg-1) (if (null? arg-1) '() (let ((e-2 (car arg-1))) (let ((e-3 (cdr arg-1))) (case (vector-ref e-2 0) ((18) (cons (cons (vector 2 "farg" arg-0) 0) (CompilerC-45SchemeC-45Chez-mkArgs arg-0 e-3)))(else (cons (cons (vector 2 "farg" arg-0) 1) (CompilerC-45SchemeC-45Chez-mkArgs (bs+ arg-0 1 63) e-3)))))))))
(define CompilerC-45SchemeC-45Chez-makeShWindows (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (let ((u--cmdFile (string-append arg-1 ".cmd"))) (let ((eff-0 (PrimIO-io_bind (SystemC-45FileC-45ReadWrite-writeFile (csegen-40) u--cmdFile (CompilerC-45SchemeC-45Chez-startChezCmd arg-0 arg-2 arg-3 arg-4)) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (case (vector-ref e-5 0) ((1) (let ((eff-1 (PrimIO-io_bind (SystemC-45FileC-45ReadWrite-writeFile (csegen-40) arg-1 (CompilerC-45SchemeC-45Chez-startChezWinSh arg-0 arg-2 arg-3 arg-4)) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-3 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (clam-0) (case (vector-ref e-6 0) ((1) (vector 1 (vector 0 ))) (else (let ((e-7 (vector-ref e-6 1))) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 51 arg-1 e-7) clam-0))))))) eff-2)))))))) (else (let ((e-6 (vector-ref e-5 1))) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 51 u--cmdFile e-6) eta-0))))))) eff-1))))))))))
(define CompilerC-45SchemeC-45Chez-makeSh (lambda (arg-0 arg-1 arg-2) (let ((eff-0 (PrimIO-io_bind (SystemC-45FileC-45ReadWrite-writeFile (csegen-40) arg-0 (CompilerC-45SchemeC-45Chez-startChez arg-1 arg-2)) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (clam-0) (case (vector-ref e-5 0) ((1) (vector 1 (vector 0 ))) (else (let ((e-6 (vector-ref e-5 1))) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 51 arg-0 e-6) clam-0))))))) eff-1)))))))))
(define CompilerC-45SchemeC-45Chez-loadSO (lambda (arg-0 arg-1 arg-2) (cond ((equal? arg-2 "") (lambda (eta-0) (vector 1 "")))(else (let ((eff-0 (CoreC-45Context-getDirs arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--fs (((csegen-25) (lambda (u--p) (LibrariesC-45UtilsC-45Path-C-60C-47C-62 u--p arg-2))) (cons (LibrariesC-45UtilsC-45Path-C-60C-47C-62 (let ((e-2 (vector-ref e-5 2))) e-2) "ttc") (let ((e-7 (vector-ref e-5 7))) e-7))))) (let ((eff-1 (CoreC-45Directory-firstAvailable arg-0 u--fs))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-6) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 (string-append ((csegen-0) "Missing .so:") arg-2)) eta-0)) (let ((e-1 (unbox e-6))) (let ((u--modfname (PreludeC-45Types-fastConcat (DataC-45List-intersperse "-" (LibrariesC-45UtilsC-45Path-splitPath arg-2))))) (let ((eff-2 (CompilerC-45Common-copyLib (cons (LibrariesC-45UtilsC-45Path-C-60C-47C-62 arg-1 u--modfname) e-1)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (lambda (eta-0) (vector 1 (string-append "(load \"" (string-append (LibrariesC-45UtilsC-45String-escapeStringChez u--modfname) "\")\xa;")))))) eff-3))))))))))) eff-2)))))))))) eff-1)))))))))))
(define CompilerC-45SchemeC-45Chez-loadLib (lambda (arg-0 arg-1 arg-2) (let ((eff-0 (CompilerC-45Common-locate arg-0 arg-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((e-2 (car e-5))) (let ((e-3 (cdr e-5))) (let ((eff-1 (CompilerC-45Common-copyLib (cons (LibrariesC-45UtilsC-45Path-C-60C-47C-62 arg-1 e-2) e-3)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-2 (lambda (eta-0) (vector 1 (string-append ((csegen-0) "(load-shared-object \"") (string-append (LibrariesC-45UtilsC-45String-escapeStringChez e-2) "\")\xa;")))))) eff-2)))))))))) eff-1)))))))))
(define CompilerC-45SchemeC-45Chez-incCompile (lambda (arg-0 arg-1 arg-2) (let ((eff-0 (CoreC-45Directory-getTTCFileName arg-0 arg-2 "ss"))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Directory-getTTCFileName arg-0 arg-2 "so"))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45Directory-getObjFileName arg-0 arg-2 "so"))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CompilerC-45Common-getIncCompileData arg-0 0 0))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Context-getDirs arg-0))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (let ((u--outputDir (LibrariesC-45UtilsC-45Path-C-60C-47C-62 (let ((e-2 (vector-ref e-9 2))) e-2) "ttc"))) (let ((u--ndefs (let ((e-2 (vector-ref e-8 2))) e-2))) (let ((sc5 (DataC-45List-isNil u--ndefs))) (cond ((equal? sc5 1) (lambda (eta-0) (vector 1 (box (cons "" '()))))) (else (let ((eff-5 (csegen-6349))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-10 (vector-ref lcase-5 1))) (let ((eff-6 (let ((eff-6 (CoreC-45Core-newRef (vector "Compiler.Scheme.Chez.Structs" ) '()))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-2 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-11 (vector-ref lcase-6 1))) (let ((eff-7 (let ((eff-7 (csegen-6352))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-2 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-12 (vector-ref lcase-7 1))) (let ((eff-8 (let ((eff-8 (PrimIO-io_bind (CompilerC-45SchemeC-45Chez-chezVersion e-12) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-8 (lambda (lcase-8) (case (vector-ref lcase-8 0) ((0) (let ((e-2 (vector-ref lcase-8 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-13 (vector-ref lcase-8 1))) (let ((eff-9 (let ((eff-9 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45SchemeC-45Chez-getFgnCall arg-0 e-10 e-11 e-13 eta-0)) u--ndefs '()))) (PrimIO-io_bind eff-9 (lambda (lcase-9) (case (vector-ref lcase-9 0) ((0) (let ((e-2 (vector-ref lcase-9 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-14 (vector-ref lcase-9 1))) (let ((eff-10 (let ((eff-10 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45SchemeC-45Common-getScheme arg-0 (csegen-6350) (lambda (eta-1) (CompilerC-45SchemeC-45Chez-chezString eta-1)) eta-0)) u--ndefs '()))) (PrimIO-io_bind eff-10 (lambda (lcase-10) (case (vector-ref lcase-10 0) ((0) (let ((e-2 (vector-ref lcase-10 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-15 (vector-ref lcase-10 1))) (let ((eff-11 (let ((u--code (PreludeC-45Types-fastConcat (PreludeC-45TypesC-45List-tailRecAppend ((csegen-947) e-14) e-15)))) (let ((eff-11 (PrimIO-io_bind (SystemC-45FileC-45ReadWrite-writeFile (csegen-40) e-5 u--code) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-11 (lambda (lcase-11) (case (vector-ref lcase-11 0) ((0) (let ((e-2 (vector-ref lcase-11 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-16 (vector-ref lcase-11 1))) (let ((eff-12 (case (vector-ref e-16 0) ((1) (let ((u--tmpFileAbs (LibrariesC-45UtilsC-45Path-C-60C-47C-62 u--outputDir ((csegen-0) "compileChez")))) (let ((u--build (string-append ((csegen-0) "(parameterize ([optimize-level 3] ") (string-append ((csegen-0) "[compile-file-message #f]) (compile-file ") (string-append (PreludeC-45Show-u--show_Show_String e-5) "))"))))) (let ((eff-12 (PrimIO-io_bind (SystemC-45FileC-45ReadWrite-writeFile (csegen-40) u--tmpFileAbs u--build) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-12 (lambda (lcase-12) (case (vector-ref lcase-12 0) ((0) (let ((e-3 (vector-ref lcase-12 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-17 (vector-ref lcase-12 1))) (let ((eff-13 (case (vector-ref e-17 0) ((1) (let ((eff-13 (let ((eff-13 (PrimIO-io_bind (System-system (csegen-40) (string-append e-12 (string-append (csegen-6414) (string-append u--tmpFileAbs "\"")))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (((csegen-50) ((let ((eff-14 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-4 (vector-ref eta-3 1))) (vector 0 e-4))) (else (let ((e-18 (vector-ref eta-3 1))) (vector 1 (eta-2 e-18))))))))))) (lambda (arg-3) (lambda (arg-4) ((((eff-14 'erased) 'erased) arg-3) arg-4)))) (lambda (_-8679) (vector 0 )))) eff-13)))) (PrimIO-io_bind eff-13 (lambda (lcase-13) (case (vector-ref lcase-13 0) ((0) (let ((e-4 (vector-ref lcase-13 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-14 (lambda (eta-0) (vector 1 (box (cons e-7 (PreludeC-45TypesC-45List-mapMaybeAppend '() (lambda (eta-1) (Builtin-fst eta-1)) e-14))))))) eff-14))))))) (else (let ((e-18 (vector-ref e-17 1))) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 51 u--tmpFileAbs e-18) eta-0))))))) eff-13)))))))))) (else (let ((e-17 (vector-ref e-16 1))) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 51 e-5 e-17) eta-0))))))) eff-12)))))))))) eff-11))))))))) eff-10))))))))) eff-9))))))))) eff-8))))))))) eff-7))))))))) eff-6)))))))))))))) eff-5))))))))) eff-4))))))))) eff-3))))))))) eff-2)))))))) eff-1)))))))))
(define CompilerC-45SchemeC-45Chez-handleRet (lambda (arg-0 arg-1) (cond ((equal? arg-0 "void") (string-append arg-1 (string-append " " (CompilerC-45SchemeC-45Common-schConstructor (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) (vector 1 (vector 0 "")) (box 0) '()))))(else arg-1))))
(define CompilerC-45SchemeC-45Chez-getFgnCall (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (let ((e-2 (car arg-4))) (let ((e-3 (cdr arg-4))) (let ((e-6 (car e-3))) (let ((e-7 (cdr e-3))) (CompilerC-45SchemeC-45Chez-schFgnDef arg-0 arg-1 arg-2 e-6 e-2 e-7 arg-3)))))))
(define CompilerC-45SchemeC-45Chez-findLibs (lambda (arg-0 arg-1) (let ((u--libs (PreludeC-45TypesC-45List-mapMaybeAppend '() (lambda (eta-0) (CompilerC-45SchemeC-45Chez-n--11019-1210-u--isLib arg-1 arg-0 (DataC-45String-trim eta-0))) arg-1))) (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45Common-locate arg-0 eta-0)) (DataC-45List-nub (csegen-43) u--libs) '()))))
(define CompilerC-45SchemeC-45Chez-findChez(blodwen-lazy (lambda () (PrimIO-io_bind (System-getEnv (csegen-40) "CHEZ") (lambda (_-0) (if (null? _-0) (PrimIO-io_bind (LibrariesC-45UtilsC-45Path-pathLookup (cons "chez" (cons ((csegen-0) "chezscheme") (cons ((csegen-0) "chez-scheme") (cons ((csegen-0) "chezscheme9.5") (cons "scheme" '())))))) (lambda (u--path) (lambda (eta-0) (DataC-45Maybe-fromMaybe (lambda () ((csegen-0) "/usr/bin/env scheme")) u--path)))) (let ((e-2 (unbox _-0))) (lambda (eta-0) e-2))))))))
(define CompilerC-45SchemeC-45Chez-executeExpr (lambda (arg-0 arg-1 arg-2 arg-3) (let ((eff-0 (CompilerC-45SchemeC-45Chez-compileExpr 0 arg-0 arg-1 arg-2 arg-2 arg-3 "_tmpchez"))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (if (null? e-5) (csegen-6230) (let ((e-1 (unbox e-5))) (let ((eff-1 (PrimIO-io_bind (System-system (csegen-40) e-1) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (((csegen-50) ((let ((eff-2 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-6 (vector-ref eta-3 1))) (vector 1 (eta-2 e-6))))))))))) (lambda (arg-4) (lambda (arg-5) ((((eff-2 'erased) 'erased) arg-4) arg-5)))) (lambda (_-8679) (vector 0 )))) eff-1)))))) eff-1)))))))))
(define CompilerC-45SchemeC-45Chez-compileToSSInc (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (let ((eff-0 (csegen-6352))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CompilerC-45Common-compileTerm arg-0 arg-4))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((u--ctm (CoreC-45CompileExpr-forget '() e-6))) (let ((eff-2 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45SchemeC-45Chez-loadLib arg-0 arg-3 eta-0)) (DataC-45List-nub (csegen-43) arg-2) '()))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45SchemeC-45Chez-loadSO arg-0 arg-3 eta-0)) (DataC-45List-nub (csegen-43) arg-1) '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45SchemeC-45Common-schExp (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) 0 u--ctm))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (let ((eff-5 (CoreC-45Directory-readDataFile arg-0 "chez/support.ss"))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-10 (vector-ref lcase-5 1))) (let ((eff-6 (let ((u--scm (string-append (CompilerC-45SchemeC-45Chez-schHeader e-5 '() 0) (string-append e-10 (string-append (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) e-7) (string-append (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) e-8) (string-append "(collect-request-handler (lambda () (collect) (blodwen-run-finalisers)))\xa;" (string-append e-9 (CompilerC-45SchemeC-45Chez-schFooter 0 0))))))))) (let ((eff-6 (PrimIO-io_bind (SystemC-45FileC-45ReadWrite-writeFile (csegen-40) arg-5 u--scm) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-2 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-11 (vector-ref lcase-6 1))) (let ((eff-7 (case (vector-ref e-11 0) ((1) (let ((eff-7 (let ((eff-7 (PrimIO-io_bind (SystemC-45FileC-45Permissions-chmodRaw (csegen-40) arg-5 (blodwen-toSignedInt 493 63)) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (((csegen-50) ((let ((eff-8 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-3 (vector-ref eta-3 1))) (vector 0 e-3))) (else (let ((e-12 (vector-ref eta-3 1))) (vector 1 (eta-2 e-12))))))))))) (lambda (arg-6) (lambda (arg-7) ((((eff-8 'erased) 'erased) arg-6) arg-7)))) (lambda (_-8679) (vector 0 )))) eff-7)))) (PrimIO-io_bind eff-7 (csegen-3296)))) (else (let ((e-12 (vector-ref e-11 1))) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 51 arg-5 e-12) eta-0))))))) eff-7)))))))))) eff-6))))))))) eff-5))))))))) eff-4))))))))) eff-3)))))))))) eff-2))))))))) eff-1)))))))))
(define CompilerC-45SchemeC-45Chez-compileToSS (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (let ((eff-0 (CoreC-45Context-getDirectives arg-0 (vector 0 )))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CompilerC-45SchemeC-45Chez-findLibs arg-0 e-5))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Core-traverse_ (lambda (eta-0) (CompilerC-45Common-copyLib eta-0)) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (let ((eff-3 (CompilerC-45Common-getCompileData arg-0 0 0 arg-3))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((u--ndefs (let ((e-2 (vector-ref e-8 2))) e-2))) (let ((u--ctm (CoreC-45CompileExpr-forget '() (let ((e-0 (vector-ref e-8 0))) e-0)))) (let ((eff-4 (let ((eff-4 arg-0)) (PrimIO-io_bind (let ((eff-5 eff-4)) (lambda (eta-0) (unbox eff-5))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-5 (let ((eff-5 (csegen-6349))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-10 (vector-ref lcase-5 1))) (let ((eff-6 (let ((eff-6 (CoreC-45Core-newRef (vector "Compiler.Scheme.Chez.Structs" ) '()))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-2 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-11 (vector-ref lcase-6 1))) (let ((eff-7 (let ((eff-7 (csegen-6352))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-2 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-12 (vector-ref lcase-7 1))) (let ((eff-8 (let ((eff-8 (PrimIO-io_bind (CompilerC-45SchemeC-45Chez-chezVersion e-12) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-8 (lambda (lcase-8) (case (vector-ref lcase-8 0) ((0) (let ((e-2 (vector-ref lcase-8 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-13 (vector-ref lcase-8 1))) (let ((eff-9 (let ((eff-9 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45SchemeC-45Chez-getFgnCall arg-0 e-10 e-11 e-13 eta-0)) u--ndefs '()))) (PrimIO-io_bind eff-9 (lambda (lcase-9) (case (vector-ref lcase-9 0) ((0) (let ((e-2 (vector-ref lcase-9 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-14 (vector-ref lcase-9 1))) (let ((eff-10 (let ((eff-10 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45SchemeC-45Chez-loadLib arg-0 arg-2 eta-0)) (PreludeC-45TypesC-45List-mapMaybeAppend '() (lambda (eta-0) (Builtin-fst eta-0)) e-14) '()))) (PrimIO-io_bind eff-10 (lambda (lcase-10) (case (vector-ref lcase-10 0) ((0) (let ((e-2 (vector-ref lcase-10 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-15 (vector-ref lcase-10 1))) (let ((eff-11 (let ((eff-11 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45SchemeC-45Common-getScheme arg-0 (csegen-6350) (lambda (eta-1) (CompilerC-45SchemeC-45Chez-chezString eta-1)) eta-0)) u--ndefs '()))) (PrimIO-io_bind eff-11 (lambda (lcase-11) (case (vector-ref lcase-11 0) ((0) (let ((e-2 (vector-ref lcase-11 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-16 (vector-ref lcase-11 1))) (let ((eff-12 (let ((u--code (PreludeC-45Types-fastConcat (PreludeC-45TypesC-45List-tailRecAppend ((csegen-947) e-14) e-16)))) (let ((eff-12 (CompilerC-45SchemeC-45Common-schExp (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) 0 u--ctm))) (PrimIO-io_bind eff-12 (lambda (lcase-12) (case (vector-ref lcase-12 0) ((0) (let ((e-2 (vector-ref lcase-12 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-17 (vector-ref lcase-12 1))) (let ((eff-13 (let ((eff-13 (CoreC-45Directory-readDataFile arg-0 "chez/support.ss"))) (PrimIO-io_bind eff-13 (lambda (lcase-13) (case (vector-ref lcase-13 0) ((0) (let ((e-2 (vector-ref lcase-13 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-18 (vector-ref lcase-13 1))) (let ((eff-14 (let ((eff-14 (CompilerC-45Common-getExtraRuntime e-5))) (PrimIO-io_bind eff-14 (lambda (lcase-14) (case (vector-ref lcase-14 0) ((0) (let ((e-2 (vector-ref lcase-14 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-19 (vector-ref lcase-14 1))) (let ((eff-15 (let ((u--scm (string-append (CompilerC-45SchemeC-45Chez-schHeader e-12 ((csegen-947) e-6) 1) (string-append e-18 (string-append e-19 (string-append u--code (string-append (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) e-15) (string-append "(collect-request-handler (lambda () (collect) (blodwen-run-finalisers)))\xa;" (string-append e-17 (CompilerC-45SchemeC-45Chez-schFooter arg-1 1)))))))))) (let ((eff-15 (PrimIO-io_bind (SystemC-45FileC-45ReadWrite-writeFile (csegen-40) arg-4 u--scm) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-15 (lambda (lcase-15) (case (vector-ref lcase-15 0) ((0) (let ((e-2 (vector-ref lcase-15 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-20 (vector-ref lcase-15 1))) (let ((eff-16 (case (vector-ref e-20 0) ((1) (let ((eff-16 (PrimIO-io_bind (SystemC-45FileC-45Permissions-chmodRaw (csegen-40) arg-4 (blodwen-toSignedInt 493 63)) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (((csegen-50) ((let ((eff-17 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-3 (vector-ref eta-3 1))) (vector 0 e-3))) (else (let ((e-21 (vector-ref eta-3 1))) (vector 1 (eta-2 e-21))))))))))) (lambda (arg-5) (lambda (arg-6) ((((eff-17 'erased) 'erased) arg-5) arg-6)))) (lambda (_-8679) (vector 0 )))) eff-16))) (else (let ((e-21 (vector-ref e-20 1))) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 51 arg-4 e-21) eta-0))))))) eff-16)))))))))) eff-15))))))))) eff-14))))))))) eff-13)))))))))) eff-12))))))))) eff-11))))))))) eff-10))))))))) eff-9))))))))) eff-8))))))))) eff-7))))))))) eff-6))))))))) eff-5)))))))))) eff-4))))))))) eff-3)))))))) eff-2))))))))) eff-1)))))))))
(define CompilerC-45SchemeC-45Chez-compileToSO (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (let ((u--tmpFileAbs (LibrariesC-45UtilsC-45Path-C-60C-47C-62 arg-3 "compileChez"))) (let ((u--build (string-append "(parameterize ([optimize-level 3] " (string-append (cond ((equal? arg-1 1) ((csegen-0) "[compile-profile #t] ")) (else "")) (string-append "[compile-file-message #f]) (compile-program " (string-append (PreludeC-45Show-u--show_Show_String arg-4) "))")))))) (let ((eff-0 (PrimIO-io_bind (SystemC-45FileC-45ReadWrite-writeFile (csegen-40) u--tmpFileAbs u--build) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (case (vector-ref e-5 0) ((1) (let ((eff-1 (let ((eff-1 (PrimIO-io_bind (SystemC-45FileC-45Permissions-chmodRaw (csegen-40) u--tmpFileAbs (blodwen-toSignedInt 493 63)) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (((csegen-50) ((let ((eff-2 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-3 (vector-ref eta-3 1))) (vector 0 e-3))) (else (let ((e-6 (vector-ref eta-3 1))) (vector 1 (eta-2 e-6))))))))))) (lambda (arg-5) (lambda (arg-6) ((((eff-2 'erased) 'erased) arg-5) arg-6)))) (lambda (_-8679) (vector 0 )))) eff-1)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-3 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-2 (let ((eff-2 (let ((eff-2 (PrimIO-io_bind (System-system (csegen-40) (string-append arg-2 (string-append (csegen-6414) (string-append u--tmpFileAbs "\"")))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (((csegen-50) ((let ((eff-3 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-3 (vector-ref eta-3 1))) (vector 0 e-3))) (else (let ((e-7 (vector-ref eta-3 1))) (vector 1 (eta-2 e-7))))))))))) (lambda (arg-5) (lambda (arg-6) ((((eff-3 'erased) 'erased) arg-5) arg-6)))) (lambda (_-8679) (vector 0 )))) eff-2)))) (PrimIO-io_bind eff-2 (csegen-3296))))) eff-2))))))) (else (let ((e-6 (vector-ref e-5 1))) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 51 u--tmpFileAbs e-6) eta-0))))))) eff-1)))))))))))
(define CompilerC-45SchemeC-45Chez-compileExprWhole (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (let ((u--appDirRel (string-append arg-6 "_app"))) (let ((u--appDirGen (LibrariesC-45UtilsC-45Path-C-60C-47C-62 arg-4 u--appDirRel))) (let ((eff-0 (let ((eff-0 (PrimIO-io_bind (CoreC-45Directory-mkdirAll u--appDirGen) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-7) (lambda (arg-8) ((((eff-1 'erased) 'erased) arg-7) arg-8)))) (lambda (_-8679) (vector 0 )))) eff-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (csegen-1584))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-6) (csegen-1587) (let ((e-1 (unbox e-6))) (let ((u--outSsFile (LibrariesC-45UtilsC-45Path-C-60C-46C-62 (LibrariesC-45UtilsC-45Path-C-60C-47C-62 u--appDirRel arg-6) "ss"))) (let ((u--outSoFile (LibrariesC-45UtilsC-45Path-C-60C-46C-62 (LibrariesC-45UtilsC-45Path-C-60C-47C-62 u--appDirRel arg-6) "so"))) (let ((u--outSsAbs (LibrariesC-45UtilsC-45Path-C-60C-47C-62 (LibrariesC-45UtilsC-45Path-C-60C-47C-62 e-1 arg-4) u--outSsFile))) (let ((eff-2 (csegen-6352))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45Context-getSession arg-1))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((u--prof (let ((e-16 (vector-ref e-8 16))) e-16))) (let ((eff-4 (CompilerC-45SchemeC-45Chez-compileToSS arg-1 (cond ((equal? arg-0 1) u--prof) (else 0)) u--appDirGen arg-5 u--outSsAbs))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-5 (let ((eff-5 (CoreC-45ContextC-45Log-logTime arg-1 2 (lambda () (csegen-6353)) (cond ((equal? arg-0 1) (CompilerC-45SchemeC-45Chez-compileToSO arg-1 u--prof e-7 u--appDirGen u--outSsAbs)) (else (lambda (eta-0) (vector 1 (vector 0 )))))))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-6 (let ((u--outShRel (LibrariesC-45UtilsC-45Path-C-60C-47C-62 arg-4 arg-6))) (let ((eff-6 (let ((sc7 (SystemC-45Info-isWindows))) (cond ((equal? sc7 1) (CompilerC-45SchemeC-45Chez-makeShWindows e-7 u--outShRel u--appDirRel (cond ((equal? arg-0 1) u--outSoFile) (else u--outSsFile)) "--program")) (else (CompilerC-45SchemeC-45Chez-makeSh u--outShRel u--appDirRel (cond ((equal? arg-0 1) u--outSoFile) (else u--outSsFile)))))))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-2 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-7 (let ((eff-7 (let ((eff-7 (PrimIO-io_bind (SystemC-45FileC-45Permissions-chmodRaw (csegen-40) u--outShRel (blodwen-toSignedInt 493 63)) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (((csegen-50) ((let ((eff-8 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-12 (vector-ref eta-3 1))) (vector 1 (eta-2 e-12))))))))))) (lambda (arg-7) (lambda (arg-8) ((((eff-8 'erased) 'erased) arg-7) arg-8)))) (lambda (_-8679) (vector 0 )))) eff-7)))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-2 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-8 (lambda (eta-0) (vector 1 (box u--outShRel))))) eff-8)))))))) eff-7))))))))) eff-6)))))))) eff-5))))))))) eff-4))))))))) eff-3)))))))))))))) eff-2))))))))) eff-1))))))))))
(define CompilerC-45SchemeC-45Chez-compileExprInc (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((sc1 (DataC-45List-lookup (csegen-1640) (vector 0 ) (let ((e-23 (vector-ref e-5 23))) e-23)))) (if (null? sc1) (let ((eff-1 (PrimIO-io_bind (PreludeC-45IO-putStrLn (csegen-40) "Missing incremental compile data, reverting to whole program compilation") (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (CompilerC-45SchemeC-45Chez-compileExprWhole arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6))) eff-2)))))) (let ((e-1 (unbox sc1))) (let ((e-7 (car e-1))) (let ((e-6 (cdr e-1))) (let ((u--appDirRel (string-append arg-6 "_app"))) (let ((u--appDirGen (LibrariesC-45UtilsC-45Path-C-60C-47C-62 arg-4 u--appDirRel))) (let ((eff-1 (let ((eff-1 (PrimIO-io_bind (CoreC-45Directory-mkdirAll u--appDirGen) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (((csegen-50) ((let ((eff-2 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-8 (vector-ref eta-3 1))) (vector 1 (eta-2 e-8))))))))))) (lambda (arg-7) (lambda (arg-8) ((((eff-2 'erased) 'erased) arg-7) arg-8)))) (lambda (_-8679) (vector 0 )))) eff-1)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (csegen-1584))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-2 1))) (let ((eff-3 (if (null? e-9) (csegen-1587) (let ((e-2 (unbox e-9))) (let ((u--outSsFile (LibrariesC-45UtilsC-45Path-C-60C-46C-62 (LibrariesC-45UtilsC-45Path-C-60C-47C-62 u--appDirRel arg-6) "ss"))) (let ((u--outSsAbs (LibrariesC-45UtilsC-45Path-C-60C-47C-62 (LibrariesC-45UtilsC-45Path-C-60C-47C-62 e-2 arg-4) u--outSsFile))) (let ((eff-3 (csegen-6352))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-3 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-10 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45SchemeC-45Chez-compileToSSInc arg-1 e-7 e-6 u--appDirGen arg-5 u--outSsAbs))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-3 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-5 (let ((u--outShRel (LibrariesC-45UtilsC-45Path-C-60C-47C-62 arg-4 arg-6))) (let ((eff-5 (let ((sc8 (SystemC-45Info-isWindows))) (cond ((equal? sc8 1) (CompilerC-45SchemeC-45Chez-makeShWindows e-10 u--outShRel u--appDirRel u--outSsFile "--script")) (else (CompilerC-45SchemeC-45Chez-makeSh u--outShRel u--appDirRel u--outSsFile)))))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-3 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-6 (let ((eff-6 (let ((eff-6 (PrimIO-io_bind (SystemC-45FileC-45Permissions-chmodRaw (csegen-40) u--outShRel (blodwen-toSignedInt 493 63)) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (((csegen-50) ((let ((eff-7 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-3 (vector-ref eta-3 1))) (vector 0 e-3))) (else (let ((e-13 (vector-ref eta-3 1))) (vector 1 (eta-2 e-13))))))))))) (lambda (arg-7) (lambda (arg-8) ((((eff-7 'erased) 'erased) arg-7) arg-8)))) (lambda (_-8679) (vector 0 )))) eff-6)))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-3 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-7 (lambda (eta-0) (vector 1 (box u--outShRel))))) eff-7)))))))) eff-6))))))))) eff-5)))))))) eff-4))))))))))))) eff-3))))))))) eff-2))))))))))))))) eff-1)))))))))
(define CompilerC-45SchemeC-45Chez-compileExpr (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (let ((eff-0 (CoreC-45Context-getSession arg-1))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((sc1 (let ((sc2 (let ((e-22 (vector-ref e-5 22))) e-22))) (cond ((equal? sc2 1) 0) (else (PreludeC-45Types-elem (csegen-16) (csegen-1640) (vector 0 ) (let ((e-21 (vector-ref e-5 21))) e-21))))))) (cond ((equal? sc1 1) (CompilerC-45SchemeC-45Chez-compileExprInc arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6)) (else (CompilerC-45SchemeC-45Chez-compileExprWhole arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6)))))) eff-1)))))))))
(define CompilerC-45SchemeC-45Chez-codegenChez(blodwen-lazy (lambda () (vector (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (lambda (eta-4) (lambda (eta-5) (CompilerC-45SchemeC-45Chez-compileExpr 1 eta-0 eta-1 eta-2 eta-3 eta-4 eta-5))))))) (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (CompilerC-45SchemeC-45Chez-executeExpr eta-0 eta-1 eta-2 eta-3))))) (box (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (CompilerC-45SchemeC-45Chez-incCompile eta-0 eta-1 eta-2))))) (box "so")))))
(define CompilerC-45SchemeC-45Chez-chezVersion (lambda (arg-0) (PrimIO-io_bind (SystemC-45FileC-45Process-popen (csegen-40) (CompilerC-45SchemeC-45Chez-n--10875-1070-u--cmd arg-0) 0) (lambda (_-0) (case (vector-ref _-0 0) ((1) (let ((e-2 (vector-ref _-0 1))) (PrimIO-io_bind (SystemC-45FileC-45ReadWrite-fGetLine (csegen-40) e-2) (lambda (_-1) (case (vector-ref _-1 0) ((1) (let ((e-3 (vector-ref _-1 1))) (PreludeC-45Interfaces-C-62C-62 (csegen-39) ((csegen-2399) (SystemC-45FileC-45Process-pclose (csegen-40) e-2)) (lambda () (lambda (eta-0) (LibrariesC-45DataC-45Version-parseVersion e-3)))))) (else (lambda (eta-0) '()))))))) (else (lambda (eta-0) '())))))))
(define CompilerC-45SchemeC-45Chez-chezString (lambda (arg-0) (string-cons #\" ((CompilerC-45SchemeC-45Chez-showChezString (PreludeC-45Types-fastUnpack arg-0)) "\""))))
(define CompilerC-45SchemeC-45Chez-chezExtPrim (lambda (arg-0 arg-1 arg-2) (case (vector-ref arg-1 0) ((6) (if (null? arg-2) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2) (let ((e-1 (car arg-2))) (let ((e-2 (cdr arg-2))) (case (vector-ref e-1 0) ((12) (let ((e-20 (vector-ref e-1 2))) (case (vector-ref e-20 0) ((10) (let ((e-21 (vector-ref e-20 1))) (if (null? e-2) (if (null? e-2) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2) (let ((e-5 (cdr e-2))) (if (null? e-5) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2) (let ((e-8 (cdr e-5))) (if (null? e-8) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2) (let ((e-11 (cdr e-8))) (if (null? e-11) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2) (let ((e-14 (cdr e-11))) (if (null? e-14) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2) (let ((e-17 (cdr e-14))) (if (null? e-17) (lambda (eta-0) (vector 1 "(blodwen-error-quit \"bad getField\")")) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2)))))))))))) (let ((e-24 (cdr e-2))) (if (null? e-24) (if (null? e-2) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2) (let ((e-5 (cdr e-2))) (if (null? e-5) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2) (let ((e-8 (cdr e-5))) (if (null? e-8) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2) (let ((e-11 (cdr e-8))) (if (null? e-11) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2) (let ((e-14 (cdr e-11))) (if (null? e-14) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2) (let ((e-17 (cdr e-14))) (if (null? e-17) (lambda (eta-0) (vector 1 "(blodwen-error-quit \"bad getField\")")) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2)))))))))))) (let ((e-27 (cdr e-24))) (if (null? e-27) (if (null? e-2) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2) (let ((e-5 (cdr e-2))) (if (null? e-5) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2) (let ((e-8 (cdr e-5))) (if (null? e-8) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2) (let ((e-11 (cdr e-8))) (if (null? e-11) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2) (let ((e-14 (cdr e-11))) (if (null? e-14) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2) (let ((e-17 (cdr e-14))) (if (null? e-17) (lambda (eta-0) (vector 1 "(blodwen-error-quit \"bad getField\")")) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2)))))))))))) (let ((e-29 (car e-27))) (let ((e-30 (cdr e-27))) (if (null? e-30) (if (null? e-2) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2) (let ((e-5 (cdr e-2))) (if (null? e-5) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2) (let ((e-8 (cdr e-5))) (if (null? e-8) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2) (let ((e-11 (cdr e-8))) (if (null? e-11) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2) (let ((e-14 (cdr e-11))) (if (null? e-14) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2) (let ((e-17 (cdr e-14))) (if (null? e-17) (lambda (eta-0) (vector 1 "(blodwen-error-quit \"bad getField\")")) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2)))))))))))) (let ((e-32 (car e-30))) (let ((e-33 (cdr e-30))) (case (vector-ref e-32 0) ((12) (let ((e-35 (vector-ref e-32 2))) (case (vector-ref e-35 0) ((10) (let ((e-36 (vector-ref e-35 1))) (if (null? e-33) (if (null? e-2) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2) (let ((e-5 (cdr e-2))) (if (null? e-5) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2) (let ((e-8 (cdr e-5))) (if (null? e-8) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2) (let ((e-11 (cdr e-8))) (if (null? e-11) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2) (let ((e-14 (cdr e-11))) (if (null? e-14) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2) (let ((e-17 (cdr e-14))) (if (null? e-17) (lambda (eta-0) (vector 1 "(blodwen-error-quit \"bad getField\")")) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2)))))))))))) (let ((e-39 (cdr e-33))) (if (null? e-39) (let ((eff-0 (CompilerC-45SchemeC-45Common-schExp (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) 0 e-29))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (string-append "(ftype-ref " (string-append e-21 (string-append " (" (string-append e-36 (string-append ") " (string-append e-5 ")")))))))))) eff-1))))))) (if (null? e-2) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2) (let ((e-5 (cdr e-2))) (if (null? e-5) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2) (let ((e-8 (cdr e-5))) (if (null? e-8) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2) (let ((e-11 (cdr e-8))) (if (null? e-11) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2) (let ((e-14 (cdr e-11))) (if (null? e-14) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2) (let ((e-17 (cdr e-14))) (if (null? e-17) (lambda (eta-0) (vector 1 "(blodwen-error-quit \"bad getField\")")) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2)))))))))))))))))(else (if (null? e-2) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2) (let ((e-5 (cdr e-2))) (if (null? e-5) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2) (let ((e-8 (cdr e-5))) (if (null? e-8) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2) (let ((e-11 (cdr e-8))) (if (null? e-11) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2) (let ((e-14 (cdr e-11))) (if (null? e-14) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2) (let ((e-17 (cdr e-14))) (if (null? e-17) (lambda (eta-0) (vector 1 "(blodwen-error-quit \"bad getField\")")) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2))))))))))))))))(else (if (null? e-2) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2) (let ((e-5 (cdr e-2))) (if (null? e-5) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2) (let ((e-8 (cdr e-5))) (if (null? e-8) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2) (let ((e-11 (cdr e-8))) (if (null? e-11) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2) (let ((e-14 (cdr e-11))) (if (null? e-14) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2) (let ((e-17 (cdr e-14))) (if (null? e-17) (lambda (eta-0) (vector 1 "(blodwen-error-quit \"bad getField\")")) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2))))))))))))))))))))))))))(else (if (null? e-2) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2) (let ((e-5 (cdr e-2))) (if (null? e-5) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2) (let ((e-8 (cdr e-5))) (if (null? e-8) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2) (let ((e-11 (cdr e-8))) (if (null? e-11) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2) (let ((e-14 (cdr e-11))) (if (null? e-14) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2) (let ((e-17 (cdr e-14))) (if (null? e-17) (lambda (eta-0) (vector 1 "(blodwen-error-quit \"bad getField\")")) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2))))))))))))))))(else (if (null? e-2) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2) (let ((e-5 (cdr e-2))) (if (null? e-5) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2) (let ((e-8 (cdr e-5))) (if (null? e-8) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2) (let ((e-11 (cdr e-8))) (if (null? e-11) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2) (let ((e-14 (cdr e-11))) (if (null? e-14) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2) (let ((e-17 (cdr e-14))) (if (null? e-17) (lambda (eta-0) (vector 1 "(blodwen-error-quit \"bad getField\")")) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2)))))))))))))))))) ((7) (if (null? arg-2) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2) (let ((e-42 (car arg-2))) (let ((e-43 (cdr arg-2))) (case (vector-ref e-42 0) ((12) (let ((e-67 (vector-ref e-42 2))) (case (vector-ref e-67 0) ((10) (let ((e-68 (vector-ref e-67 1))) (if (null? e-43) (if (null? e-43) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2) (let ((e-46 (cdr e-43))) (if (null? e-46) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2) (let ((e-49 (cdr e-46))) (if (null? e-49) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2) (let ((e-52 (cdr e-49))) (if (null? e-52) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2) (let ((e-55 (cdr e-52))) (if (null? e-55) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2) (let ((e-58 (cdr e-55))) (if (null? e-58) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2) (let ((e-61 (cdr e-58))) (if (null? e-61) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2) (let ((e-64 (cdr e-61))) (if (null? e-64) (lambda (eta-0) (vector 1 "(blodwen-error-quit \"bad setField\")")) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2)))))))))))))))) (let ((e-71 (cdr e-43))) (if (null? e-71) (if (null? e-43) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2) (let ((e-46 (cdr e-43))) (if (null? e-46) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2) (let ((e-49 (cdr e-46))) (if (null? e-49) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2) (let ((e-52 (cdr e-49))) (if (null? e-52) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2) (let ((e-55 (cdr e-52))) (if (null? e-55) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2) (let ((e-58 (cdr e-55))) (if (null? e-58) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2) (let ((e-61 (cdr e-58))) (if (null? e-61) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2) (let ((e-64 (cdr e-61))) (if (null? e-64) (lambda (eta-0) (vector 1 "(blodwen-error-quit \"bad setField\")")) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2)))))))))))))))) (let ((e-74 (cdr e-71))) (if (null? e-74) (if (null? e-43) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2) (let ((e-46 (cdr e-43))) (if (null? e-46) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2) (let ((e-49 (cdr e-46))) (if (null? e-49) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2) (let ((e-52 (cdr e-49))) (if (null? e-52) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2) (let ((e-55 (cdr e-52))) (if (null? e-55) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2) (let ((e-58 (cdr e-55))) (if (null? e-58) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2) (let ((e-61 (cdr e-58))) (if (null? e-61) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2) (let ((e-64 (cdr e-61))) (if (null? e-64) (lambda (eta-0) (vector 1 "(blodwen-error-quit \"bad setField\")")) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2)))))))))))))))) (let ((e-76 (car e-74))) (let ((e-77 (cdr e-74))) (if (null? e-77) (if (null? e-43) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2) (let ((e-46 (cdr e-43))) (if (null? e-46) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2) (let ((e-49 (cdr e-46))) (if (null? e-49) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2) (let ((e-52 (cdr e-49))) (if (null? e-52) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2) (let ((e-55 (cdr e-52))) (if (null? e-55) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2) (let ((e-58 (cdr e-55))) (if (null? e-58) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2) (let ((e-61 (cdr e-58))) (if (null? e-61) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2) (let ((e-64 (cdr e-61))) (if (null? e-64) (lambda (eta-0) (vector 1 "(blodwen-error-quit \"bad setField\")")) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2)))))))))))))))) (let ((e-79 (car e-77))) (let ((e-80 (cdr e-77))) (case (vector-ref e-79 0) ((12) (let ((e-82 (vector-ref e-79 2))) (case (vector-ref e-82 0) ((10) (let ((e-83 (vector-ref e-82 1))) (if (null? e-80) (if (null? e-43) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2) (let ((e-46 (cdr e-43))) (if (null? e-46) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2) (let ((e-49 (cdr e-46))) (if (null? e-49) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2) (let ((e-52 (cdr e-49))) (if (null? e-52) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2) (let ((e-55 (cdr e-52))) (if (null? e-55) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2) (let ((e-58 (cdr e-55))) (if (null? e-58) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2) (let ((e-61 (cdr e-58))) (if (null? e-61) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2) (let ((e-64 (cdr e-61))) (if (null? e-64) (lambda (eta-0) (vector 1 "(blodwen-error-quit \"bad setField\")")) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2)))))))))))))))) (let ((e-86 (cdr e-80))) (if (null? e-86) (if (null? e-43) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2) (let ((e-46 (cdr e-43))) (if (null? e-46) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2) (let ((e-49 (cdr e-46))) (if (null? e-49) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2) (let ((e-52 (cdr e-49))) (if (null? e-52) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2) (let ((e-55 (cdr e-52))) (if (null? e-55) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2) (let ((e-58 (cdr e-55))) (if (null? e-58) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2) (let ((e-61 (cdr e-58))) (if (null? e-61) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2) (let ((e-64 (cdr e-61))) (if (null? e-64) (lambda (eta-0) (vector 1 "(blodwen-error-quit \"bad setField\")")) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2)))))))))))))))) (let ((e-88 (car e-86))) (let ((e-89 (cdr e-86))) (if (null? e-89) (if (null? e-43) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2) (let ((e-46 (cdr e-43))) (if (null? e-46) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2) (let ((e-49 (cdr e-46))) (if (null? e-49) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2) (let ((e-52 (cdr e-49))) (if (null? e-52) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2) (let ((e-55 (cdr e-52))) (if (null? e-55) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2) (let ((e-58 (cdr e-55))) (if (null? e-58) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2) (let ((e-61 (cdr e-58))) (if (null? e-61) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2) (let ((e-64 (cdr e-61))) (if (null? e-64) (lambda (eta-0) (vector 1 "(blodwen-error-quit \"bad setField\")")) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2)))))))))))))))) (let ((e-92 (cdr e-89))) (if (null? e-92) (let ((eff-0 (CompilerC-45SchemeC-45Common-schExp (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) 0 e-76))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CompilerC-45SchemeC-45Common-schExp (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) 0 e-88))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (string-append "(ftype-set! " (string-append e-68 (string-append " (" (string-append e-83 (string-append ") " (string-append e-5 (string-append " " (string-append e-6 ")")))))))))))) eff-2))))))))) eff-1))))))) (if (null? e-43) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2) (let ((e-46 (cdr e-43))) (if (null? e-46) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2) (let ((e-49 (cdr e-46))) (if (null? e-49) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2) (let ((e-52 (cdr e-49))) (if (null? e-52) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2) (let ((e-55 (cdr e-52))) (if (null? e-55) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2) (let ((e-58 (cdr e-55))) (if (null? e-58) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2) (let ((e-61 (cdr e-58))) (if (null? e-61) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2) (let ((e-64 (cdr e-61))) (if (null? e-64) (lambda (eta-0) (vector 1 "(blodwen-error-quit \"bad setField\")")) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2))))))))))))))))))))))))))(else (if (null? e-43) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2) (let ((e-46 (cdr e-43))) (if (null? e-46) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2) (let ((e-49 (cdr e-46))) (if (null? e-49) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2) (let ((e-52 (cdr e-49))) (if (null? e-52) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2) (let ((e-55 (cdr e-52))) (if (null? e-55) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2) (let ((e-58 (cdr e-55))) (if (null? e-58) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2) (let ((e-61 (cdr e-58))) (if (null? e-61) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2) (let ((e-64 (cdr e-61))) (if (null? e-64) (lambda (eta-0) (vector 1 "(blodwen-error-quit \"bad setField\")")) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2))))))))))))))))))))(else (if (null? e-43) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2) (let ((e-46 (cdr e-43))) (if (null? e-46) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2) (let ((e-49 (cdr e-46))) (if (null? e-49) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2) (let ((e-52 (cdr e-49))) (if (null? e-52) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2) (let ((e-55 (cdr e-52))) (if (null? e-55) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2) (let ((e-58 (cdr e-55))) (if (null? e-58) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2) (let ((e-61 (cdr e-58))) (if (null? e-61) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2) (let ((e-64 (cdr e-61))) (if (null? e-64) (lambda (eta-0) (vector 1 "(blodwen-error-quit \"bad setField\")")) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2))))))))))))))))))))))))))))))(else (if (null? e-43) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2) (let ((e-46 (cdr e-43))) (if (null? e-46) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2) (let ((e-49 (cdr e-46))) (if (null? e-49) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2) (let ((e-52 (cdr e-49))) (if (null? e-52) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2) (let ((e-55 (cdr e-52))) (if (null? e-55) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2) (let ((e-58 (cdr e-55))) (if (null? e-58) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2) (let ((e-61 (cdr e-58))) (if (null? e-61) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2) (let ((e-64 (cdr e-61))) (if (null? e-64) (lambda (eta-0) (vector 1 "(blodwen-error-quit \"bad setField\")")) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2))))))))))))))))))))(else (if (null? e-43) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2) (let ((e-46 (cdr e-43))) (if (null? e-46) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2) (let ((e-49 (cdr e-46))) (if (null? e-49) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2) (let ((e-52 (cdr e-49))) (if (null? e-52) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2) (let ((e-55 (cdr e-52))) (if (null? e-55) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2) (let ((e-58 (cdr e-55))) (if (null? e-58) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2) (let ((e-61 (cdr e-58))) (if (null? e-61) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2) (let ((e-64 (cdr e-61))) (if (null? e-64) (lambda (eta-0) (vector 1 "(blodwen-error-quit \"bad setField\")")) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2)))))))))))))))))))))) ((10) (if (null? arg-2) (lambda (eta-0) (vector 1 "\"chez\"")) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2))) ((11) (if (null? arg-2) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2) (let ((e-97 (cdr arg-2))) (if (null? e-97) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2) (let ((e-99 (car e-97))) (let ((e-100 (cdr e-97))) (if (null? e-100) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2) (let ((e-102 (car e-100))) (let ((e-103 (cdr e-100))) (if (null? e-103) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2) (let ((e-106 (cdr e-103))) (if (null? e-106) (let ((eff-0 (CompilerC-45SchemeC-45Common-schExp (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) 0 e-99))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CompilerC-45SchemeC-45Common-schExp (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) 0 e-102))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (string-append "(blodwen-register-object " (string-append e-5 (string-append " " (string-append e-6 ")")))))))) eff-2))))))))) eff-1))))))) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2))))))))))))) ((12) (if (null? arg-2) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2) (let ((e-109 (car arg-2))) (let ((e-110 (cdr arg-2))) (if (null? e-110) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2) (let ((e-112 (car e-110))) (let ((e-113 (cdr e-110))) (if (null? e-113) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2) (let ((e-116 (cdr e-113))) (if (null? e-116) (let ((eff-0 (CompilerC-45SchemeC-45Common-schExp (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) 0 e-109))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CompilerC-45SchemeC-45Common-schExp (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) 0 e-112))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (string-append "(blodwen-register-object " (string-append e-5 (string-append " " (string-append e-6 ")")))))))) eff-2))))))))) eff-1))))))) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2))))))))))) ((13) (if (null? arg-2) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2) (let ((e-120 (cdr arg-2))) (if (null? e-120) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2) (let ((e-122 (car e-120))) (let ((e-123 (cdr e-120))) (if (null? e-123) (let ((eff-0 (CompilerC-45SchemeC-45Common-schExp (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) 0 e-122))) (PrimIO-io_bind eff-0 (csegen-6321))) (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2))))))))(else (CompilerC-45SchemeC-45Common-schExtCommon (csegen-6350) (lambda (eta-0) (CompilerC-45SchemeC-45Chez-chezString eta-0)) arg-0 arg-1 arg-2)))))
(define CompilerC-45SchemeC-45Chez-cftySpec (lambda (arg-0 arg-1) (case (vector-ref arg-1 0) ((0) (lambda (eta-0) (vector 1 "void"))) ((1) (lambda (eta-0) (vector 1 "int"))) ((3) (lambda (eta-0) (vector 1 "integer-8"))) ((4) (lambda (eta-0) (vector 1 "integer-16"))) ((5) (lambda (eta-0) (vector 1 "integer-32"))) ((6) (lambda (eta-0) (vector 1 "integer-64"))) ((7) (lambda (eta-0) (vector 1 "unsigned-8"))) ((8) (lambda (eta-0) (vector 1 "unsigned-16"))) ((9) (lambda (eta-0) (vector 1 "unsigned-32"))) ((10) (lambda (eta-0) (vector 1 "unsigned-64"))) ((11) (lambda (eta-0) (vector 1 "string"))) ((12) (lambda (eta-0) (vector 1 "double"))) ((13) (lambda (eta-0) (vector 1 "char"))) ((14) (lambda (eta-0) (vector 1 "void*"))) ((15) (lambda (eta-0) (vector 1 "void*"))) ((16) (lambda (eta-0) (vector 1 "u8*"))) ((19) (lambda (eta-0) (vector 1 "void*"))) ((20) (let ((e-2 (vector-ref arg-1 1))) (CompilerC-45SchemeC-45Chez-cftySpec arg-0 e-2))) ((21) (let ((e-3 (vector-ref arg-1 1))) (lambda (eta-0) (vector 1 (string-append "(* " (string-append e-3 ")"))))))(else (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 arg-0 (string-append "Can't pass argument of type " (string-append (CoreC-45CompileExpr-u--show_Show_CFType arg-1) " to foreign function"))) eta-0))))))
(define CompilerC-45SchemeC-45Chez-cCall (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (case (vector-ref arg-6 0) ((20) (let ((e-0 (vector-ref arg-6 1))) (case (vector-ref e-0 0) ((15) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 arg-2 "Can't return GCPtr from a foreign function") eta-0))) ((16) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 arg-2 "Can't return Buffer from a foreign function") eta-0)))(else (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((sc2 (PreludeC-45Types-elem (csegen-16) (csegen-43) arg-4 e-5))) (cond ((equal? sc2 1) (lambda (eta-0) (vector 1 '()))) (else (let ((eff-1 (let ((eff-1 arg-1)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (cons arg-4 e-5)))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (lambda (eta-0) (vector 1 (box arg-4))))) eff-2))))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45SchemeC-45Chez-cftySpec arg-2 (Builtin-snd eta-0))) arg-5 '()))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CompilerC-45SchemeC-45Chez-cftySpec arg-2 arg-6))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((u--callConv (cond ((equal? arg-7 1) (csegen-6438)) (else (csegen-1))))) (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45SchemeC-45Chez-n--12101-2345-u--buildArg arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 arg-0 eta-0)) arg-5 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (let ((u--call (string-append "((foreign-procedure" (string-append u--callConv (string-append " " (string-append (PreludeC-45Show-u--show_Show_String arg-3) (string-append " (" (string-append (CoreC-45NameC-45Namespace-showSep " " e-7) (string-append ") " (string-append e-8 (string-append ") " (string-append (CoreC-45NameC-45Namespace-showSep " " e-9) ")")))))))))))) (lambda (eta-0) (vector 1 (cons e-6 (case (vector-ref arg-6 0) ((20) (CompilerC-45SchemeC-45Chez-handleRet e-8 u--call))(else u--call)))))))) eff-5)))))))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))) ((15) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 arg-2 "Can't return GCPtr from a foreign function") eta-0))) ((16) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 arg-2 "Can't return Buffer from a foreign function") eta-0)))(else (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((sc1 (PreludeC-45Types-elem (csegen-16) (csegen-43) arg-4 e-5))) (cond ((equal? sc1 1) (lambda (eta-0) (vector 1 '()))) (else (let ((eff-1 (let ((eff-1 arg-1)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (cons arg-4 e-5)))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (lambda (eta-0) (vector 1 (box arg-4))))) eff-2))))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45SchemeC-45Chez-cftySpec arg-2 (Builtin-snd eta-0))) arg-5 '()))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CompilerC-45SchemeC-45Chez-cftySpec arg-2 arg-6))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((u--callConv (cond ((equal? arg-7 1) (csegen-6438)) (else (csegen-1))))) (let ((eff-4 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CompilerC-45SchemeC-45Chez-n--12101-2345-u--buildArg arg-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 arg-0 eta-0)) arg-5 '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (let ((u--call (string-append "((foreign-procedure" (string-append u--callConv (string-append " " (string-append (PreludeC-45Show-u--show_Show_String arg-3) (string-append " (" (string-append (CoreC-45NameC-45Namespace-showSep " " e-7) (string-append ") " (string-append e-8 (string-append ") " (string-append (CoreC-45NameC-45Namespace-showSep " " e-9) ")")))))))))))) (lambda (eta-0) (vector 1 (cons e-6 (case (vector-ref arg-6 0) ((20) (CompilerC-45SchemeC-45Chez-handleRet e-8 u--call))(else u--call)))))))) eff-5)))))))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))))
(define CompilerC-45RefCC-45RefC-case--createCFunctions-13022 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12) (if (null? arg-12) (Builtin-idris_crash (string-append "INTERNAL ERROR: FFI not found for " (CompilerC-45RefCC-45RefC-cName arg-4))) (let ((e-1 (unbox arg-12))) (if (null? e-1) (Builtin-idris_crash (string-append "INTERNAL ERROR: FFI not found for " (CompilerC-45RefCC-45RefC-cName arg-4))) (let ((e-4 (car e-1))) (let ((e-5 (cdr e-1))) (if (null? e-5) (Builtin-idris_crash (string-append "INTERNAL ERROR: FFI not found for " (CompilerC-45RefCC-45RefC-cName arg-4))) (let ((e-7 (car e-5))) (let ((e-8 (cdr e-5))) (let ((u--cLang (let ((sc3 (PreludeC-45EqOrd-u--C-61C-61_Eq_String e-4 "RefC"))) (cond ((equal? sc3 1) 1) (else 0))))) (let ((u--isStandardFFI (PreludeC-45Types-elem (csegen-16) (csegen-43) e-4 (csegen-6439)))) (let ((u--fctName (cond ((equal? u--isStandardFFI 1) (vector 1 (vector 0 e-7))) (else (vector 0 (CoreC-45NameC-45Namespace-mkNamespace e-4) arg-4))))) (let ((eff-0 (cond ((equal? u--isStandardFFI 1) (if (null? e-8) (lambda (eta-0) (vector 1 (vector 0 ))) (let ((e-2 (cdr e-8))) (if (null? e-2) (lambda (eta-0) (vector 1 (vector 0 ))) (let ((e-9 (car e-2))) (let ((e-6 (cdr e-2))) (if (null? e-6) (CompilerC-45RefCC-45RefC-addHeader arg-5 e-9) (lambda (eta-0) (vector 1 (vector 0 )))))))))) (else (CompilerC-45RefCC-45RefC-emit arg-7 arg-6 (vector 2 ) (CompilerC-45RefCC-45RefC-additionalFFIStub u--fctName arg-2 arg-1)))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((u--fnDef (string-append "Value *" (string-append (CompilerC-45RefCC-45RefC-cName arg-4) (string-append "(" (string-append (CoreC-45NameC-45Namespace-showSep ", " (DataC-45List-replicateTR '() (PreludeC-45TypesC-45List-lengthTR arg-2) "Value *")) ");")))))) (let ((eff-1 (CompilerC-45RefCC-45RefC-functionDefSignatureArglist arg-11 arg-4))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (let ((eff-2 (let ((eff-2 arg-9)) (PrimIO-io_bind (let ((eff-3 eff-2)) (lambda (eta-0) (unbox eff-3))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-10 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 arg-9)) (PrimIO-io_bind (let ((eff-4 eff-3)) (lambda (eta-0) (set-box! eff-4 (cons (string-append u--fnDef "\xa;") (cons (string-append e-9 ";\xa;") e-10))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-3))))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (let ((eff-3 (CompilerC-45RefCC-45RefC-createFFIArgList arg-2))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-11 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CompilerC-45RefCC-45RefC-emit arg-7 arg-6 (vector 2 ) e-9))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-5 (let ((eff-5 (CompilerC-45RefCC-45RefC-emit arg-7 arg-6 (vector 2 ) "{"))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-6 (let ((eff-6 (CompilerC-45RefCC-45RefC-increaseIndentation arg-6))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-2 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-7 (let ((eff-7 (CompilerC-45RefCC-45RefC-emit arg-7 arg-6 (vector 2 ) (string-append "return " (CompilerC-45RefCC-45RefC-cName arg-4))))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-2 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-8 (let ((eff-8 (CompilerC-45RefCC-45RefC-increaseIndentation arg-6))) (PrimIO-io_bind eff-8 (lambda (lcase-8) (case (vector-ref lcase-8 0) ((0) (let ((e-2 (vector-ref lcase-8 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-9 (let ((eff-9 (CompilerC-45RefCC-45RefC-emit arg-7 arg-6 (vector 2 ) "("))) (PrimIO-io_bind eff-9 (lambda (lcase-9) (case (vector-ref lcase-9 0) ((0) (let ((e-2 (vector-ref lcase-9 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-10 (let ((eff-10 (CompilerC-45RefCC-45RefC-increaseIndentation arg-6))) (PrimIO-io_bind eff-10 (lambda (lcase-10) (case (vector-ref lcase-10 0) ((0) (let ((e-2 (vector-ref lcase-10 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-11 (let ((u--commaSepArglist (CompilerC-45RefCC-45RefC-addCommaToList ((csegen-6441) (CompilerC-45RefCC-45RefC-getArgsNrList arg-2 0))))) (let ((eff-11 (CoreC-45Core-traverse_ (lambda (eta-0) (CompilerC-45RefCC-45RefC-emit arg-7 arg-6 (vector 2 ) eta-0)) u--commaSepArglist))) (PrimIO-io_bind eff-11 (lambda (lcase-11) (case (vector-ref lcase-11 0) ((0) (let ((e-2 (vector-ref lcase-11 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-12 (let ((eff-12 (CompilerC-45RefCC-45RefC-decreaseIndentation arg-6))) (PrimIO-io_bind eff-12 (lambda (lcase-12) (case (vector-ref lcase-12 0) ((0) (let ((e-2 (vector-ref lcase-12 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-13 (let ((eff-13 (CompilerC-45RefCC-45RefC-emit arg-7 arg-6 (vector 2 ) ");"))) (PrimIO-io_bind eff-13 (lambda (lcase-13) (case (vector-ref lcase-13 0) ((0) (let ((e-2 (vector-ref lcase-13 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-14 (let ((eff-14 (CompilerC-45RefCC-45RefC-decreaseIndentation arg-6))) (PrimIO-io_bind eff-14 (lambda (lcase-14) (case (vector-ref lcase-14 0) ((0) (let ((e-2 (vector-ref lcase-14 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-15 (let ((eff-15 (CompilerC-45RefCC-45RefC-decreaseIndentation arg-6))) (PrimIO-io_bind eff-15 (lambda (lcase-15) (case (vector-ref lcase-15 0) ((0) (let ((e-2 (vector-ref lcase-15 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-16 (let ((eff-16 (CompilerC-45RefCC-45RefC-emit arg-7 arg-6 (vector 2 ) "}\xa;"))) (PrimIO-io_bind eff-16 (lambda (lcase-16) (case (vector-ref lcase-16 0) ((0) (let ((e-2 (vector-ref lcase-16 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-17 (let ((eff-17 (CompilerC-45RefCC-45RefC-emit arg-7 arg-6 (vector 2 ) ""))) (PrimIO-io_bind eff-17 (lambda (lcase-17) (case (vector-ref lcase-17 0) ((0) (let ((e-2 (vector-ref lcase-17 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-18 (let ((eff-18 (CompilerC-45RefCC-45RefC-emitFDef arg-7 arg-6 arg-4 e-11))) (PrimIO-io_bind eff-18 (lambda (lcase-18) (case (vector-ref lcase-18 0) ((0) (let ((e-2 (vector-ref lcase-18 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-19 (let ((eff-19 (CompilerC-45RefCC-45RefC-emit arg-7 arg-6 (vector 2 ) "{"))) (PrimIO-io_bind eff-19 (lambda (lcase-19) (case (vector-ref lcase-19 0) ((0) (let ((e-2 (vector-ref lcase-19 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-20 (let ((eff-20 (CompilerC-45RefCC-45RefC-increaseIndentation arg-6))) (PrimIO-io_bind eff-20 (lambda (lcase-20) (case (vector-ref lcase-20 0) ((0) (let ((e-2 (vector-ref lcase-20 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-21 (let ((eff-21 (CompilerC-45RefCC-45RefC-emit arg-7 arg-6 (vector 2 ) (string-append " // ffi call to " (CompilerC-45RefCC-45RefC-cName u--fctName))))) (PrimIO-io_bind eff-21 (lambda (lcase-21) (case (vector-ref lcase-21 0) ((0) (let ((e-2 (vector-ref lcase-21 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-22 (let ((eff-22 (case (vector-ref arg-1 0) ((20) (let ((e-0 (vector-ref arg-1 1))) (case (vector-ref e-0 0) ((0) (let ((eff-22 (CompilerC-45RefCC-45RefC-emit arg-7 arg-6 (vector 2 ) (string-append (CompilerC-45RefCC-45RefC-cName u--fctName) (string-append "(" (string-append (CoreC-45NameC-45Namespace-showSep ", " (((csegen-25) (lambda (lamc-0) (let ((e-3 (cdr lamc-0))) (let ((e-31 (car e-3))) (let ((e-30 (cdr e-3))) (CompilerC-45RefCC-45RefC-extractValue u--cLang e-30 e-31)))))) (CompilerC-45RefCC-45RefC-discardLastArgument e-11))) ");")))))) (PrimIO-io_bind eff-22 (lambda (lcase-22) (case (vector-ref lcase-22 0) ((0) (let ((e-2 (vector-ref lcase-22 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-23 (CompilerC-45RefCC-45RefC-emit arg-7 arg-6 (vector 2 ) ((csegen-0) "return NULL;")))) eff-23)))))))(else (let ((eff-22 (CompilerC-45RefCC-45RefC-emit arg-7 arg-6 (vector 2 ) (string-append (CompilerC-45RefCC-45RefC-cTypeOfCFType e-0) (string-append ((csegen-0) " retVal = ") (string-append (CompilerC-45RefCC-45RefC-cName u--fctName) (string-append "(" (string-append (CoreC-45NameC-45Namespace-showSep ", " (((csegen-25) (lambda (lamc-0) (let ((e-3 (cdr lamc-0))) (let ((e-31 (car e-3))) (let ((e-30 (cdr e-3))) (CompilerC-45RefCC-45RefC-extractValue u--cLang e-30 e-31)))))) (CompilerC-45RefCC-45RefC-discardLastArgument e-11))) ");")))))))) (PrimIO-io_bind eff-22 (lambda (lcase-22) (case (vector-ref lcase-22 0) ((0) (let ((e-2 (vector-ref lcase-22 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-23 (CompilerC-45RefCC-45RefC-emit arg-7 arg-6 (vector 2 ) (string-append ((csegen-0) "return (Value*)") (string-append (CompilerC-45RefCC-45RefC-packCFType e-0 "retVal") ";"))))) eff-23))))))))))(else (let ((eff-22 (CompilerC-45RefCC-45RefC-emit arg-7 arg-6 (vector 2 ) (string-append (CompilerC-45RefCC-45RefC-cTypeOfCFType arg-1) (string-append " retVal = " (string-append (CompilerC-45RefCC-45RefC-cName u--fctName) (string-append "(" (string-append (CoreC-45NameC-45Namespace-showSep ", " (((csegen-25) (lambda (lamc-0) (let ((e-3 (cdr lamc-0))) (let ((e-31 (car e-3))) (let ((e-30 (cdr e-3))) (CompilerC-45RefCC-45RefC-extractValue u--cLang e-30 e-31)))))) e-11)) ");")))))))) (PrimIO-io_bind eff-22 (lambda (lcase-22) (case (vector-ref lcase-22 0) ((0) (let ((e-2 (vector-ref lcase-22 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-23 (CompilerC-45RefCC-45RefC-emit arg-7 arg-6 (vector 2 ) (string-append "return (Value*)" (string-append (CompilerC-45RefCC-45RefC-packCFType arg-1 "retVal") ";"))))) eff-23)))))))))) (PrimIO-io_bind eff-22 (lambda (lcase-22) (case (vector-ref lcase-22 0) ((0) (let ((e-2 (vector-ref lcase-22 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-23 (let ((eff-23 (CompilerC-45RefCC-45RefC-decreaseIndentation arg-6))) (PrimIO-io_bind eff-23 (lambda (lcase-23) (case (vector-ref lcase-23 0) ((0) (let ((e-2 (vector-ref lcase-23 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-24 (CompilerC-45RefCC-45RefC-emit arg-7 arg-6 (vector 2 ) "}"))) eff-24)))))))) eff-23)))))))) eff-22)))))))) eff-21)))))))) eff-20)))))))) eff-19)))))))) eff-18)))))))) eff-17)))))))) eff-16)))))))) eff-15)))))))) eff-14)))))))) eff-13)))))))) eff-12))))))))) eff-11)))))))) eff-10)))))))) eff-9)))))))) eff-8)))))))) eff-7)))))))) eff-6)))))))) eff-5)))))))) eff-4))))))))) eff-3)))))))) eff-2)))))))))) eff-1)))))))))))))))))))
(define CompilerC-45RefCC-45RefC-n--13086-10595-u--varBindLines (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16) (if (null? arg-15) (lambda (eta-0) (vector 1 (vector 0 ))) (let ((e-2 (car arg-15))) (let ((e-3 (cdr arg-15))) (let ((eff-0 (CompilerC-45RefCC-45RefC-emit arg-11 arg-10 (vector 2 ) (string-append "Value * var_" (string-append (PreludeC-45Show-u--show_Show_Int e-2) (string-append " = ((Value_Constructor*)" (string-append arg-14 (string-append ")->args[" (string-append (PreludeC-45Show-u--show_Show_Nat arg-16) "];"))))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-1 (let ((eff-1 (CompilerC-45RefCC-45RefC-n--13086-10595-u--varBindLines arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 e-3 (+ arg-16 1)))) (PrimIO-io_bind eff-1 (csegen-3296))))) eff-1)))))))))))
(define CompilerC-45RefCC-45RefC-n--10445-7712-u--showCString (lambda (arg-0 arg-1) (lambda (clam-0) (if (null? arg-1) clam-0 (let ((e-2 (car arg-1))) (let ((e-3 (cdr arg-1))) (cond ((equal? e-2 #\") (string-append "\\\"" ((CompilerC-45RefCC-45RefC-n--10445-7712-u--showCString arg-0 e-3) clam-0)))(else ((CompilerC-45RefCC-45RefC-n--10445-7711-u--showCChar arg-0 e-2) ((CompilerC-45RefCC-45RefC-n--10445-7712-u--showCString arg-0 e-3) clam-0))))))))))
(define CompilerC-45RefCC-45RefC-n--10445-7711-u--showCChar (lambda (arg-0 arg-1) (cond ((equal? arg-1 #\\) (lambda (arg-2) (string-append "\\\\" arg-2)))(else (lambda (clam-0) (let ((sc0 (PreludeC-45EqOrd-u--C-60_Ord_Char arg-1 (cast-int-char 32)))) (cond ((equal? sc0 1) (string-append (string-append (string-append "\\x" (ProtocolC-45Hex-leftPad #\0 2 (ProtocolC-45Hex-asHex (cast-char-boundedUInt arg-1 64)))) "\"\"") clam-0)) (else (let ((sc1 (PreludeC-45EqOrd-u--C-60_Ord_Char arg-1 (cast-int-char (blodwen-toSignedInt 127 63))))) (cond ((equal? sc1 1) (string-cons arg-1 clam-0)) (else (let ((sc2 (PreludeC-45EqOrd-u--C-60_Ord_Char arg-1 (cast-int-char (blodwen-toSignedInt 65536 63))))) (cond ((equal? sc2 1) (string-append (string-append (string-append "\\u" (ProtocolC-45Hex-leftPad #\0 4 (ProtocolC-45Hex-asHex (cast-char-boundedUInt arg-1 64)))) "\"\"") clam-0)) (else (string-append (string-append (string-append "\\U" (ProtocolC-45Hex-leftPad #\0 8 (ProtocolC-45Hex-asHex (cast-char-boundedUInt arg-1 64)))) "\"\"") clam-0)))))))))))))))
(define CompilerC-45RefCC-45RefC-n--12585-9800-u--pushArgToArglist (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8) (if (null? arg-7) (lambda (eta-0) (vector 1 (vector 0 ))) (let ((e-2 (car arg-7))) (let ((e-3 (cdr arg-7))) (let ((eff-0 (CompilerC-45RefCC-45RefC-emit arg-3 arg-2 (vector 2 ) (string-append arg-6 (string-append "->args[" (string-append (PreludeC-45Show-u--show_Show_Nat arg-8) (string-append "] = " (string-append " newReference(" (string-append (CompilerC-45RefCC-45RefC-varName e-2) ");"))))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-1 (CompilerC-45RefCC-45RefC-n--12585-9800-u--pushArgToArglist arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 e-3 (+ arg-8 1)))) eff-1)))))))))))
(define CompilerC-45RefCC-45RefC-n--13048-10442-u--getNameTag (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 ext-0) (if (null? arg-15) (vector 1 (cons "-1" (string-append "\"" (string-append (CompilerC-45RefCC-45RefC-cName arg-16) "\"")))) (let ((e-2 (unbox arg-15))) (vector 1 (cons (PreludeC-45Show-u--show_Show_Int e-2) "NULL"))))))
(define CompilerC-45RefCC-45RefC-u--show_Show_ExtPrim (lambda (arg-0) (case (vector-ref arg-0 0) ((0) "newIORef") ((1) "readIORef") ((2) "writeIORef") ((3) "newArray") ((4) "arrayGet") ((5) "arraySet") ((6) "getField") ((7) "setField") ((8) "voidElim") ((9) "sysOS") ((10) "sysCodegen") ((11) "onCollect") ((12) "onCollectAny") (else (let ((e-0 (vector-ref arg-0 1))) (string-append "Unknown " (CoreC-45Name-u--show_Show_Name e-0)))))))
(define CompilerC-45RefCC-45RefC-varNamesFromList (lambda (arg-1 arg-2) (((csegen-25) (lambda (eta-0) (string-append "var_" (PreludeC-45Show-u--show_Show_Nat eta-0)))) (CompilerC-45RefCC-45RefC-getArgsNrList arg-1 arg-2))))
(define CompilerC-45RefCC-45RefC-varName (lambda (arg-0) (if (null? arg-0) "NULL" (let ((e-0 (unbox arg-0))) (string-append "var_" (PreludeC-45Show-u--show_Show_Int e-0))))))
(define CompilerC-45RefCC-45RefC-toPrim (lambda (arg-0) (case (vector-ref arg-0 0) ((0) (let ((e-1 (vector-ref arg-0 2))) (CoreC-45Core-cond (cons (cons (lambda () (CoreC-45Name-u--C-61C-61_Eq_Name e-1 (csegen-6245))) (lambda () (vector 0 ))) (cons (cons (lambda () (CoreC-45Name-u--C-61C-61_Eq_Name e-1 (csegen-6248))) (lambda () (vector 1 ))) (cons (cons (lambda () (CoreC-45Name-u--C-61C-61_Eq_Name e-1 (csegen-6251))) (lambda () (vector 2 ))) (cons (cons (lambda () (CoreC-45Name-u--C-61C-61_Eq_Name e-1 (csegen-6254))) (lambda () (vector 3 ))) (cons (cons (lambda () (CoreC-45Name-u--C-61C-61_Eq_Name e-1 (csegen-6257))) (lambda () (vector 4 ))) (cons (cons (lambda () (CoreC-45Name-u--C-61C-61_Eq_Name e-1 (csegen-6260))) (lambda () (vector 5 ))) (cons (cons (lambda () (CoreC-45Name-u--C-61C-61_Eq_Name e-1 (csegen-6263))) (lambda () (vector 6 ))) (cons (cons (lambda () (CoreC-45Name-u--C-61C-61_Eq_Name e-1 (csegen-6266))) (lambda () (vector 7 ))) (cons (cons (lambda () (CoreC-45Name-u--C-61C-61_Eq_Name e-1 (csegen-6269))) (lambda () (vector 8 ))) (cons (cons (lambda () (CoreC-45Name-u--C-61C-61_Eq_Name e-1 (vector 1 (vector 0 "prim__os")))) (lambda () (vector 9 ))) (cons (cons (lambda () (CoreC-45Name-u--C-61C-61_Eq_Name e-1 (csegen-6272))) (lambda () (vector 10 ))) (cons (cons (lambda () (CoreC-45Name-u--C-61C-61_Eq_Name e-1 (csegen-6275))) (lambda () (vector 11 ))) (cons (cons (lambda () (CoreC-45Name-u--C-61C-61_Eq_Name e-1 (csegen-6278))) (lambda () (vector 12 ))) '()))))))))))))) (vector 13 arg-0))))(else (Builtin-idris_crash (string-append "INTERNAL ERROR: Unknown primitive: " (CompilerC-45RefCC-45RefC-cName arg-0)))))))
(define CompilerC-45RefCC-45RefC-showcCleanStringChar (lambda (arg-0) (lambda (clam-0) (cond ((equal? arg-0 #\ ) (string-append "_" clam-0)) ((equal? arg-0 #\!) (string-append "_bang" clam-0)) ((equal? arg-0 #\") (string-append "_quotation" clam-0)) ((equal? arg-0 #\#) (string-append "_number" clam-0)) ((equal? arg-0 #\$) (string-append "_dollar" clam-0)) ((equal? arg-0 #\%) (string-append "_percent" clam-0)) ((equal? arg-0 #\&) (string-append "_and" clam-0)) ((equal? arg-0 #\') (string-append "_tick" clam-0)) ((equal? arg-0 #\() (string-append "_parenOpen" clam-0)) ((equal? arg-0 #\)) (string-append "_parenClose" clam-0)) ((equal? arg-0 #\*) (string-append "_star" clam-0)) ((equal? arg-0 #\+) (string-append "_plus" clam-0)) ((equal? arg-0 #\,) (string-append "_comma" clam-0)) ((equal? arg-0 #\-) (string-append "__" clam-0)) ((equal? arg-0 #\.) (string-append "_dot" clam-0)) ((equal? arg-0 #\/) (string-append "_slash" clam-0)) ((equal? arg-0 #\:) (string-append "_colon" clam-0)) ((equal? arg-0 #\;) (string-append "_semicolon" clam-0)) ((equal? arg-0 #\<) (string-append "_lt" clam-0)) ((equal? arg-0 #\=) (string-append "_eq" clam-0)) ((equal? arg-0 #\>) (string-append "_gt" clam-0)) ((equal? arg-0 #\?) (string-append "_question" clam-0)) ((equal? arg-0 #\@) (string-append "_at" clam-0)) ((equal? arg-0 #\[) (string-append "_bracketOpen" clam-0)) ((equal? arg-0 #\\) (string-append "_backslash" clam-0)) ((equal? arg-0 #\]) (string-append "_bracketClose" clam-0)) ((equal? arg-0 #\^) (string-append "_hat" clam-0)) ((equal? arg-0 #\_) (string-append "_" clam-0)) ((equal? arg-0 #\`) (string-append "_backquote" clam-0)) ((equal? arg-0 #\{) (string-append "_braceOpen" clam-0)) ((equal? arg-0 #\|) (string-append "_or" clam-0)) ((equal? arg-0 #\}) (string-append "_braceClose" clam-0)) ((equal? arg-0 #\~) (string-append "_tilde" clam-0))(else (let ((sc0 (let ((sc1 (PreludeC-45EqOrd-u--C-60_Ord_Char arg-0 (cast-int-char 32)))) (cond ((equal? sc1 1) 1) (else (PreludeC-45EqOrd-u--C-62_Ord_Char arg-0 (cast-int-char (blodwen-toSignedInt 126 63)))))))) (cond ((equal? sc0 1) (string-append (string-append "u" (ProtocolC-45Hex-leftPad #\0 4 (ProtocolC-45Hex-asHex (cast-char-boundedUInt arg-0 64)))) clam-0)) (else (string-cons arg-0 clam-0)))))))))
(define CompilerC-45RefCC-45RefC-showcCleanString (lambda (arg-0 ext-0) (if (null? arg-0) ext-0 (let ((e-2 (car arg-0))) (let ((e-3 (cdr arg-0))) ((CompilerC-45RefCC-45RefC-showcCleanStringChar e-2) (CompilerC-45RefCC-45RefC-showcCleanString e-3 ext-0)))))))
(define CompilerC-45RefCC-45RefC-showTag (lambda (arg-0) (if (null? arg-0) "-1" (let ((e-2 (unbox arg-0))) (PreludeC-45Show-u--show_Show_Int e-2)))))
(define CompilerC-45RefCC-45RefC-showIntMin (lambda (arg-0) (let ((sc0 (PreludeC-45EqOrd-u--C-61C-61_Eq_Int arg-0 (blodwen-toSignedInt -9223372036854775808 63)))) (cond ((equal? sc0 1) "INT64_MIN") (else (string-append "INT64_C(" (string-append (PreludeC-45Show-u--show_Show_Int arg-0) ")")))))))
(define CompilerC-45RefCC-45RefC-showInt64Min (lambda (arg-0) (let ((sc0 (PreludeC-45EqOrd-u--C-61C-61_Eq_Int64 arg-0 -9223372036854775808))) (cond ((equal? sc0 1) "INT64_MIN") (else (string-append "INT64_C(" (string-append (PreludeC-45Show-u--show_Show_Int64 arg-0) ")")))))))
(define CompilerC-45RefCC-45RefC-registerVariableForAutomaticFreeing (lambda (arg-0 arg-1) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (if (null? e-5) (cons (cons arg-1 '()) '()) (let ((e-2 (car e-5))) (let ((e-3 (cdr e-5))) (cons (cons arg-1 e-2) e-3))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-1)))))))))
(define CompilerC-45RefCC-45RefC-plainOp (lambda (arg-0 arg-1) (string-append arg-0 (string-append "(" (string-append (CoreC-45NameC-45Namespace-showSep ", " arg-1) ")")))))
(define CompilerC-45RefCC-45RefC-packCFType (lambda (arg-0 arg-1) (case (vector-ref arg-0 0) ((0) "NULL") ((1) (string-append "makeInt64(" (string-append arg-1 ")"))) ((3) (string-append "makeInt8(" (string-append arg-1 ")"))) ((4) (string-append "makeInt16(" (string-append arg-1 ")"))) ((5) (string-append "makeInt32(" (string-append arg-1 ")"))) ((6) (string-append "makeInt64(" (string-append arg-1 ")"))) ((10) (string-append "makeBits64(" (string-append arg-1 ")"))) ((9) (string-append "makeBits32(" (string-append arg-1 ")"))) ((8) (string-append "makeBits16(" (string-append arg-1 ")"))) ((7) (string-append "makeBits8(" (string-append arg-1 ")"))) ((11) (string-append "makeString(" (string-append arg-1 ")"))) ((12) (string-append "makeDouble(" (string-append arg-1 ")"))) ((13) (string-append "makeChar(" (string-append arg-1 ")"))) ((14) (string-append "makePointer(" (string-append arg-1 ")"))) ((15) (string-append "makePointer(" (string-append arg-1 ")"))) ((16) (string-append "makeBuffer(" (string-append arg-1 ")"))) ((18) (string-append "makeWorld(" (string-append arg-1 ")"))) ((19) (string-append "makeFunction(" (string-append arg-1 ")"))) ((20) (let ((e-2 (vector-ref arg-0 1))) (CompilerC-45RefCC-45RefC-packCFType e-2 arg-1))) ((21) (string-append "makeStruct(" (string-append arg-1 ")"))) ((22) arg-1)(else (Builtin-idris_crash (string-append "INTERNAL ERROR: Unknonw FFI type in C backend: " (CoreC-45CompileExpr-u--show_Show_CFType arg-0)))))))
(define CompilerC-45RefCC-45RefC-newTemporaryVariableLevel (lambda (arg-0) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (cons '() e-5)))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-1)))))))))
(define CompilerC-45RefCC-45RefC-maxLineLengthForComment(blodwen-lazy (lambda () 60)))
(define CompilerC-45RefCC-45RefC-makeNonIntSwitchStatementConst (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (if (null? arg-4) (lambda (eta-0) (vector 1 (cons arg-6 arg-7))) (let ((e-2 (car arg-4))) (let ((e-3 (cdr arg-4))) (let ((e-4 (car e-2))) (let ((e-5 (cdr e-2))) (cond ((equal? arg-5 0) (case (vector-ref e-4 0) ((10) (let ((eff-0 (CompilerC-45RefCC-45RefC-getNextCounter arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--constantArray (string-append (csegen-6447) (PreludeC-45Show-u--show_Show_Nat e-6)))) (let ((eff-1 (CompilerC-45RefCC-45RefC-emit arg-2 arg-3 (vector 2 ) (string-append "char **" (string-append u--constantArray (string-append ((csegen-0) " = (char**)malloc(sizeof(char*) * ") (string-append (PreludeC-45Show-u--show_Show_Nat (+ (PreludeC-45TypesC-45List-lengthTR e-3) 1)) ");"))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((eff-2 (CompilerC-45RefCC-45RefC-makeNonIntSwitchStatementConst arg-0 arg-1 arg-2 arg-3 (cons (cons e-4 e-5) e-3) 1 u--constantArray ((csegen-0) "multiStringCompare")))) eff-2))))))))) eff-1)))))))) ((12) (let ((eff-0 (CompilerC-45RefCC-45RefC-getNextCounter arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--constantArray (string-append (csegen-6447) (PreludeC-45Show-u--show_Show_Nat e-6)))) (let ((eff-1 (CompilerC-45RefCC-45RefC-emit arg-2 arg-3 (vector 2 ) (string-append "double *" (string-append u--constantArray (string-append ((csegen-0) " = (double*)malloc(sizeof(double) * ") (string-append (PreludeC-45Show-u--show_Show_Nat (+ (PreludeC-45TypesC-45List-lengthTR e-3) 1)) ");"))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((eff-2 (CompilerC-45RefCC-45RefC-makeNonIntSwitchStatementConst arg-0 arg-1 arg-2 arg-3 (cons (cons e-4 e-5) e-3) 1 u--constantArray ((csegen-0) "multiDoubleCompare")))) eff-2))))))))) eff-1))))))))(else (lambda (eta-0) (vector 1 (cons "ERROR_NOT_DOUBLE_OR_STRING" "ERROR_NOT_DOUBLE_OR_STRING"))))))(else (let ((eff-0 (CompilerC-45RefCC-45RefC-emit arg-2 arg-3 (vector 2 ) (string-append arg-6 (string-append "[" (string-append (PreludeC-45Show-u--show_Show_Int (bs- arg-5 1 63)) (string-append "] = " (string-append (CompilerC-45RefCC-45RefC-extractConstant e-4) ";")))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((eff-1 (CompilerC-45RefCC-45RefC-makeNonIntSwitchStatementConst arg-0 arg-1 arg-2 arg-3 e-3 (bs+ arg-5 1 63) arg-6 arg-7))) eff-1)))))))))))))))
(define CompilerC-45RefCC-45RefC-makeArglist (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (let ((eff-0 (CompilerC-45RefCC-45RefC-getNextCounter arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--arglist (string-append "arglist_" (PreludeC-45Show-u--show_Show_Nat e-5)))) (let ((eff-1 (CompilerC-45RefCC-45RefC-emit arg-2 arg-3 (vector 2 ) (string-append "Value_Arglist *" (string-append u--arglist (string-append " = newArglist(" (string-append (PreludeC-45Show-u--show_Show_Nat arg-4) (string-append "," (string-append (PreludeC-45Show-u--show_Show_Nat (+ (PreludeC-45TypesC-45List-lengthTR arg-5) arg-4)) ");"))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (CompilerC-45RefCC-45RefC-n--12585-9800-u--pushArgToArglist arg-5 arg-4 arg-3 arg-2 arg-1 arg-0 u--arglist arg-5 0))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (lambda (eta-0) (vector 1 u--arglist)))) eff-3)))))))) eff-2))))))))) eff-1)))))))))
(define CompilerC-45RefCC-45RefC-lJust (lambda (arg-0 arg-1 arg-2) (let ((u--n (PreludeC-45TypesC-45String-length arg-0))) (let ((sc0 (DataC-45Nat-isLTE u--n arg-1))) (case (vector-ref sc0 0) ((0) (let ((u--missing (PreludeC-45Types-prim__integerToNat (- arg-1 u--n)))) (let ((u--fillBlock (PreludeC-45Types-fastPack (DataC-45List-replicateTR '() u--missing arg-2)))) (string-append arg-0 u--fillBlock)))) (else arg-0))))))
(define CompilerC-45RefCC-45RefC-integer_switch (lambda (arg-0) (if (null? arg-0) 1 (let ((e-2 (car arg-0))) (let ((e-4 (car e-2))) (case (vector-ref e-4 0) ((0) 1) ((1) 1) ((2) 1) ((3) 1) ((4) 1) ((6) 1) ((7) 1) ((8) 1) ((9) 1) ((5) 1) ((11) 1)(else 0)))))))
(define CompilerC-45RefCC-45RefC-indentation (lambda (arg-0) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (PreludeC-45Types-fastPack (DataC-45List-replicateTR '() (* e-5 4) #\ )))))) eff-1)))))))))
(define CompilerC-45RefCC-45RefC-increaseIndentation (lambda (arg-0) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (+ e-5 1)))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-1)))))))))
(define CompilerC-45RefCC-45RefC-header (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (let ((u--initLines (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons "#include <runtime.h>\xa;/* " (cons (CompilerC-45Generated-generatedString "RefC") (cons " */\xa;\xa;/* a global storage for IO References */\xa;IORef_Storage * global_IORef_Storage;\xa;\xa;" '())))))) (let ((eff-0 (let ((eff-0 arg-4)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--headerFiles (LibrariesC-45DataC-45SortedSet-toList e-5))) (let ((u--headerLines (((csegen-25) (lambda (u--h) (string-append "#include <" (string-append u--h ">\xa;")))) u--headerFiles))) (let ((eff-1 (let ((eff-1 arg-1)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (unbox eff-2))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (let ((eff-2 arg-2)) (PrimIO-io_bind (let ((eff-3 eff-2)) (lambda (eta-0) (unbox eff-3))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 arg-2)) (PrimIO-io_bind (let ((eff-4 eff-3)) (lambda (eta-0) (set-box! eff-4 (lambda (eta-1) (LibrariesC-45DataC-45DList-appendL (PreludeC-45TypesC-45List-tailRecAppend (cons u--initLines '()) (PreludeC-45TypesC-45List-tailRecAppend u--headerLines (PreludeC-45TypesC-45List-tailRecAppend (cons "\xa;// function definitions" '()) e-6))) e-7 eta-1))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-3))))))))) eff-2))))))))))) eff-1))))))))))
(define CompilerC-45RefCC-45RefC-getNextCounter (lambda (arg-0) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (+ e-5 1)))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (lambda (eta-0) (vector 1 e-5)))) eff-2)))))))) eff-1)))))))))
(define CompilerC-45RefCC-45RefC-getNewVarThatWillNotBeFreedAtEndOfBlock (lambda (arg-0) (let ((eff-0 (CompilerC-45RefCC-45RefC-getNextCounter arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (string-append "tmp_" (PreludeC-45Show-u--show_Show_Nat e-5)))))) eff-1)))))))))
(define CompilerC-45RefCC-45RefC-getArgsNrList (lambda (arg-1 arg-2) (if (null? arg-1) '() (let ((e-3 (cdr arg-1))) (cons arg-2 (CompilerC-45RefCC-45RefC-getArgsNrList e-3 (+ arg-2 1)))))))
(define CompilerC-45RefCC-45RefC-generateCSourceFile (lambda (arg-0 arg-1 arg-2 arg-3) (let ((eff-0 (CoreC-45Core-newRef (vector "Compiler.RefC.RefC.ArgCounter" ) 0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Core-newRef (vector "Compiler.RefC.RefC.FunctionDefinitions" ) '()))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Core-newRef (vector "Compiler.RefC.RefC.TemporaryVariableTracker" ) '()))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45Core-newRef (vector "Compiler.RefC.RefC.OutfileText" ) (lambda (eta-0) eta-0)))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-newRef (vector "Compiler.RefC.RefC.HeaderFiles" ) (LibrariesC-45DataC-45SortedSet-empty (csegen-626))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (let ((eff-5 (CoreC-45Core-newRef (vector "Compiler.RefC.RefC.IndentLevel" ) 0))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-10 (vector-ref lcase-5 1))) (let ((eff-6 (let ((eff-6 (CoreC-45Core-traverse_ (lambda (eta-0) (PreludeC-45Basics-uncurry (lambda (eta-1) (lambda (eta-2) (CompilerC-45RefCC-45RefC-createCFunctions arg-0 e-5 e-6 e-7 e-8 e-10 e-9 arg-1 eta-1 eta-2))) eta-0)) arg-2))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-2 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-7 (let ((eff-7 (CompilerC-45RefCC-45RefC-header arg-0 e-6 e-8 e-10 e-9))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-2 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-8 (let ((eff-8 (CompilerC-45RefCC-45RefC-footer e-10 e-8 e-9))) (PrimIO-io_bind eff-8 (lambda (lcase-8) (case (vector-ref lcase-8 0) ((0) (let ((e-2 (vector-ref lcase-8 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-9 (let ((eff-9 (let ((eff-9 e-8)) (PrimIO-io_bind (let ((eff-10 eff-9)) (lambda (eta-0) (unbox eff-10))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-9 (lambda (lcase-9) (case (vector-ref lcase-9 0) ((0) (let ((e-2 (vector-ref lcase-9 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-14 (vector-ref lcase-9 1))) (let ((eff-10 (let ((u--code (PreludeC-45Types-fastConcat (((csegen-25) (lambda (arg-4) (string-append arg-4 "\xa;"))) (LibrariesC-45DataC-45DList-reify e-14))))) (let ((eff-10 (let ((eff-10 (PrimIO-io_bind (SystemC-45FileC-45ReadWrite-writeFile (csegen-40) arg-3 u--code) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (((csegen-50) ((let ((eff-11 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-15 (vector-ref eta-3 1))) (vector 1 (eta-2 e-15))))))))))) (lambda (arg-4) (lambda (arg-5) ((((eff-11 'erased) 'erased) arg-4) arg-5)))) (lambda (_-8679) (vector 0 )))) eff-10)))) (PrimIO-io_bind eff-10 (lambda (lcase-10) (case (vector-ref lcase-10 0) ((0) (let ((e-2 (vector-ref lcase-10 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-11 (CoreC-45ContextC-45Log-log arg-0 "compiler.refc" 10 (lambda () (string-append "Generated C file " arg-3))))) eff-11))))))))) eff-10))))))))) eff-9)))))))) eff-8)))))))) eff-7)))))))) eff-6))))))))) eff-5))))))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))
(define CompilerC-45RefCC-45RefC-functionDefSignatureArglist (lambda (arg-0 arg-1) (let ((eff-0 (CoreC-45Context-getFullName arg-0 arg-1))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (string-append "Value *" (string-append (CompilerC-45RefCC-45RefC-cName e-5) "_arglist(Value_Arglist* arglist)")))))) eff-1)))))))))
(define CompilerC-45RefCC-45RefC-functionDefSignature (lambda (arg-0 arg-1 arg-2) (if (null? arg-2) (let ((eff-0 (CoreC-45Context-getFullName arg-0 arg-1))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--fn (CompilerC-45RefCC-45RefC-cName e-5))) (lambda (eta-0) (vector 1 (string-append "\xa;\xa;Value *" (string-append u--fn "(void)"))))))) eff-1))))))) (let ((u--argsStringList (CompilerC-45RefCC-45RefC-addCommaToList (((csegen-25) (lambda (u--i) (string-append "  Value * var_" (PreludeC-45Show-u--show_Show_Int u--i)))) arg-2)))) (let ((eff-0 (CoreC-45Context-getFullName arg-0 arg-1))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--fn (CompilerC-45RefCC-45RefC-cName e-5))) (lambda (eta-0) (vector 1 (string-append "\xa;\xa;Value *" (string-append u--fn (string-append "\xa;(\xa;" (string-append (CoreC-45NameC-45Namespace-showSep "\xa;" u--argsStringList) "\xa;)"))))))))) eff-1)))))))))))
(define CompilerC-45RefCC-45RefC-freeTmpVars (lambda (arg-0 arg-1 arg-2) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (if (null? e-5) (lambda (eta-0) (vector 1 (vector 0 ))) (let ((e-1 (car e-5))) (let ((e-2 (cdr e-5))) (let ((eff-1 (CoreC-45Core-traverse_ (lambda (u--v) (CompilerC-45RefCC-45RefC-emit arg-1 arg-2 (vector 2 ) (string-append ((csegen-0) "removeReference(") (string-append u--v ");")))) e-1))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-3 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-2 (let ((eff-2 arg-0)) (PrimIO-io_bind (let ((eff-3 eff-2)) (lambda (eta-0) (set-box! eff-3 e-2))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-2))))))))))) eff-1)))))))))
(define CompilerC-45RefCC-45RefC-footer (lambda (arg-0 arg-1 arg-2) (let ((eff-0 (let ((eff-0 arg-2)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CompilerC-45RefCC-45RefC-emit arg-1 arg-0 (vector 2 ) (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons "\xa;// main function\xa;int main(int argc, char *argv[])\xa;{\xa;    " (cons (let ((sc1 (LibrariesC-45DataC-45SortedSet-contains "idris_support.h" e-5))) (cond ((equal? sc1 1) ((csegen-0) "idris2_setArgs(argc, argv);")) (else (csegen-1)))) (cons "\xa;    global_IORef_Storage = NULL;\xa;    Value *mainExprVal = __mainExpression_0();\xa;    trampoline(mainExprVal);\xa;    return 0; // bye bye\xa;}" '()))))))) eff-1)))))))))
(define CompilerC-45RefCC-45RefC-fillConstructorArgs (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (if (null? arg-3) (lambda (eta-0) (vector 1 (vector 0 ))) (let ((e-2 (car arg-3))) (let ((e-3 (cdr arg-3))) (let ((eff-0 (CompilerC-45RefCC-45RefC-emit arg-0 arg-1 (vector 2 ) (string-append arg-2 (string-append "->args[" (string-append (PreludeC-45Show-u--show_Show_Nat arg-4) (string-append "] = newReference(" (string-append (CompilerC-45RefCC-45RefC-varName e-2) ");")))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-1 (CompilerC-45RefCC-45RefC-fillConstructorArgs arg-0 arg-1 arg-2 e-3 (+ arg-4 1)))) eff-1)))))))))))
(define CompilerC-45RefCC-45RefC-extractValue (lambda (arg-0 arg-1 arg-2) (case (vector-ref arg-1 0) ((0) "NULL") ((1) (string-append "((Value_Int64*)" (string-append arg-2 ")->i64"))) ((3) (string-append "((Value_Int8*)" (string-append arg-2 ")->i8"))) ((4) (string-append "((Value_Int16*)" (string-append arg-2 ")->i16"))) ((5) (string-append "((Value_Int32*)" (string-append arg-2 ")->i32"))) ((6) (string-append "((Value_Int64*)" (string-append arg-2 ")->i64"))) ((7) (string-append "((Value_Bits8*)" (string-append arg-2 ")->ui8"))) ((8) (string-append "((Value_Bits16*)" (string-append arg-2 ")->ui16"))) ((9) (string-append "((Value_Bits32*)" (string-append arg-2 ")->ui32"))) ((10) (string-append "((Value_Bits64*)" (string-append arg-2 ")->ui64"))) ((11) (string-append "((Value_String*)" (string-append arg-2 ")->str"))) ((12) (string-append "((Value_Double*)" (string-append arg-2 ")->d"))) ((13) (string-append "((Value_Char*)" (string-append arg-2 ")->c"))) ((14) (string-append "((Value_Pointer*)" (string-append arg-2 ")->p"))) ((15) (string-append "((Value_GCPointer*)" (string-append arg-2 ")->p->p")))(else (cond ((equal? arg-0 0) (case (vector-ref arg-1 0) ((16) (string-append "((Value_Buffer*)" (string-append arg-2 ")->buffer->data")))(else (case (vector-ref arg-1 0) ((18) (string-append "(Value_World*)" arg-2)) ((19) (string-append "(Value_Closure*)" arg-2)) ((20) (let ((e-2 (vector-ref arg-1 1))) (CompilerC-45RefCC-45RefC-extractValue arg-0 e-2 arg-2))) ((21) (Builtin-idris_crash (string-append "INTERNAL ERROR: Struct access not implemented: " arg-2))) ((22) (string-append "(Value*)" arg-2))(else (Builtin-idris_crash (string-append "INTERNAL ERROR: Unknonw FFI type in C backend: " (CoreC-45CompileExpr-u--show_Show_CFType arg-1)))))))) ((equal? arg-0 1) (case (vector-ref arg-1 0) ((16) (string-append "((Value_Buffer*)" (string-append arg-2 ")->buffer")))(else (case (vector-ref arg-1 0) ((18) (string-append "(Value_World*)" arg-2)) ((19) (string-append "(Value_Closure*)" arg-2)) ((20) (let ((e-2 (vector-ref arg-1 1))) (CompilerC-45RefCC-45RefC-extractValue arg-0 e-2 arg-2))) ((21) (Builtin-idris_crash (string-append "INTERNAL ERROR: Struct access not implemented: " arg-2))) ((22) (string-append "(Value*)" arg-2))(else (Builtin-idris_crash (string-append "INTERNAL ERROR: Unknonw FFI type in C backend: " (CoreC-45CompileExpr-u--show_Show_CFType arg-1))))))))(else (case (vector-ref arg-1 0) ((18) (string-append "(Value_World*)" arg-2)) ((19) (string-append "(Value_Closure*)" arg-2)) ((20) (let ((e-2 (vector-ref arg-1 1))) (CompilerC-45RefCC-45RefC-extractValue arg-0 e-2 arg-2))) ((21) (Builtin-idris_crash (string-append "INTERNAL ERROR: Struct access not implemented: " arg-2))) ((22) (string-append "(Value*)" arg-2))(else (Builtin-idris_crash (string-append "INTERNAL ERROR: Unknonw FFI type in C backend: " (CoreC-45CompileExpr-u--show_Show_CFType arg-1)))))))))))
(define CompilerC-45RefCC-45RefC-extractConstant (lambda (arg-0) (case (vector-ref arg-0 0) ((0) (let ((e-0 (vector-ref arg-0 1))) (PreludeC-45Show-u--show_Show_Int e-0))) ((1) (let ((e-1 (vector-ref arg-0 1))) (PreludeC-45Show-u--show_Show_Int8 e-1))) ((2) (let ((e-2 (vector-ref arg-0 1))) (PreludeC-45Show-u--show_Show_Int16 e-2))) ((3) (let ((e-3 (vector-ref arg-0 1))) (PreludeC-45Show-u--show_Show_Int32 e-3))) ((4) (let ((e-4 (vector-ref arg-0 1))) (PreludeC-45Show-u--show_Show_Int64 e-4))) ((5) (let ((e-5 (vector-ref arg-0 1))) (PreludeC-45Show-u--show_Show_Integer e-5))) ((12) (let ((e-6 (vector-ref arg-0 1))) (PreludeC-45Show-u--show_Show_Double e-6))) ((11) (let ((e-7 (vector-ref arg-0 1))) (PreludeC-45Show-u--show_Show_Char e-7))) ((10) (let ((e-8 (vector-ref arg-0 1))) (CompilerC-45RefCC-45RefC-cStringQuoted e-8))) ((6) (let ((e-9 (vector-ref arg-0 1))) (PreludeC-45Show-u--show_Show_Bits8 e-9))) ((7) (let ((e-10 (vector-ref arg-0 1))) (PreludeC-45Show-u--show_Show_Bits16 e-10))) ((8) (let ((e-11 (vector-ref arg-0 1))) (PreludeC-45Show-u--show_Show_Bits32 e-11))) ((9) (let ((e-12 (vector-ref arg-0 1))) (PreludeC-45Show-u--show_Show_Bits64 e-12)))(else (Builtin-idris_crash (string-append "INTERNAL ERROR: Unable to extract constant: " (CompilerC-45RefCC-45RefC-cConstant arg-0)))))))
(define CompilerC-45RefCC-45RefC-executeExpr (lambda (arg-0 arg-1 arg-2 arg-3) (let ((eff-0 (CompilerC-45RefCC-45RefC-compileExpr 2 arg-0 arg-1 arg-2 arg-2 arg-3 "_tmp_refc"))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (if (null? e-5) (let ((eff-1 (PrimIO-io_bind (PreludeC-45IO-putStrLn (csegen-40) ((csegen-0) "Error: failed to compile")) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (((csegen-50) ((let ((eff-2 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-6 (vector-ref eta-3 1))) (vector 1 (eta-2 e-6))))))))))) (lambda (arg-4) (lambda (arg-5) ((((eff-2 'erased) 'erased) arg-4) arg-5)))) (lambda (_-8679) (vector 0 )))) eff-1)) (let ((eff-1 (PrimIO-io_bind (System-system (csegen-40) (LibrariesC-45UtilsC-45Path-C-60C-47C-62 arg-2 "_tmp_refc")) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (((csegen-50) ((let ((eff-2 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-6 (vector-ref eta-3 1))) (vector 1 (eta-2 e-6))))))))))) (lambda (arg-4) (lambda (arg-5) ((((eff-2 'erased) 'erased) arg-4) arg-5)))) (lambda (_-8679) (vector 0 )))) eff-1))))) eff-1)))))))))
(define CompilerC-45RefCC-45RefC-escapeChar (lambda (arg-0) (let ((sc0 (let ((sc1 (PreludeC-45Types-isAlphaNum arg-0))) (cond ((equal? sc1 1) 1) (else (PreludeC-45Types-isNL arg-0)))))) (cond ((equal? sc0 1) (PreludeC-45Show-u--show_Show_Char arg-0)) (else (string-append "(char)" (PreludeC-45Show-u--show_Show_Int (cast-char-boundedInt arg-0 63))))))))
(define CompilerC-45RefCC-45RefC-emitFDef (lambda (arg-0 arg-1 arg-2 arg-3) (if (null? arg-3) (CompilerC-45RefCC-45RefC-emit arg-0 arg-1 (vector 2 ) (string-append "Value *" (string-append (CompilerC-45RefCC-45RefC-cName arg-2) "(void)"))) (let ((e-2 (car arg-3))) (let ((e-3 (cdr arg-3))) (let ((e-7 (cdr e-2))) (let ((e-10 (car e-7))) (let ((eff-0 (CompilerC-45RefCC-45RefC-emit arg-0 arg-1 (vector 2 ) (string-append "Value *" (CompilerC-45RefCC-45RefC-cName arg-2))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-1 (let ((eff-1 (CompilerC-45RefCC-45RefC-emit arg-0 arg-1 (vector 2 ) "("))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-2 (let ((eff-2 (CompilerC-45RefCC-45RefC-increaseIndentation arg-1))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-3 (let ((eff-3 (CompilerC-45RefCC-45RefC-emit arg-0 arg-1 (vector 2 ) (string-append "  Value *" e-10)))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-4 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-4 (let ((eff-4 (CoreC-45Core-traverse_ (lambda (lamc-0) (let ((e-4 (cdr lamc-0))) (let ((e-15 (car e-4))) (CompilerC-45RefCC-45RefC-emit arg-0 arg-1 (vector 2 ) (string-append ", Value *" e-15))))) e-3))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-4 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-5 (let ((eff-5 (CompilerC-45RefCC-45RefC-decreaseIndentation arg-1))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-4 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-6 (CompilerC-45RefCC-45RefC-emit arg-0 arg-1 (vector 2 ) ")"))) eff-6)))))))) eff-5)))))))) eff-4)))))))) eff-3)))))))) eff-2)))))))) eff-1)))))))))))))
(define CompilerC-45RefCC-45RefC-emit (lambda (arg-0 arg-1 arg-2 arg-3) (case (vector-ref arg-2 0) ((2) (let ((eff-0 (CompilerC-45RefCC-45RefC-indentation arg-1))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (unbox eff-2))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 arg-0)) (PrimIO-io_bind (let ((eff-3 eff-2)) (lambda (eta-0) (set-box! eff-3 (PreludeC-45Basics-flip (csegen-6473) (string-append e-5 arg-3) e-6)))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-2))))))))) eff-1))))))))(else (let ((u--comment (string-append "// " (CoreC-45FC-u--show_Show_FC arg-2)))) (let ((eff-0 (CompilerC-45RefCC-45RefC-indentation arg-1))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--indentedLine (string-append e-5 arg-3))) (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (unbox eff-2))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 arg-0)) (PrimIO-io_bind (let ((eff-3 eff-2)) (lambda (eta-0) (set-box! eff-3 (let ((sc2 (DataC-45Nat-isLTE (PreludeC-45TypesC-45String-length u--indentedLine) (CompilerC-45RefCC-45RefC-maxLineLengthForComment)))) (case (vector-ref sc2 0) ((0) (PreludeC-45Basics-flip (csegen-6473) (string-append (CompilerC-45RefCC-45RefC-lJust u--indentedLine (CompilerC-45RefCC-45RefC-maxLineLengthForComment) #\ ) (string-append " " u--comment)) e-6)) (else (PreludeC-45Basics-flip (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (LibrariesC-45DataC-45DList-appendR eta-1 eta-2 eta-3)))) (cons u--indentedLine (cons (string-append (CompilerC-45RefCC-45RefC-lJust "" (CompilerC-45RefCC-45RefC-maxLineLengthForComment) #\ ) (string-append " " u--comment)) '())) e-6))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-2)))))))))) eff-1))))))))))))
(define CompilerC-45RefCC-45RefC-discardLastArgument (lambda (arg-1) (if (null? arg-1) '() (DataC-45List-init arg-1))))
(define CompilerC-45RefCC-45RefC-decreaseIndentation (lambda (arg-0) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (DataC-45Nat-pred e-5)))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-1)))))))))
(define CompilerC-45RefCC-45RefC-createFFIArgList (lambda (arg-0) (let ((u--sList ((csegen-6476) arg-0))) (let ((u--varList (CompilerC-45RefCC-45RefC-varNamesFromList arg-0 1))) (lambda (eta-0) (vector 1 (DataC-45List-u--zip3_Zippable_List u--sList u--varList arg-0)))))))
(define CompilerC-45RefCC-45RefC-createCFunctions (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9) (case (vector-ref arg-9 0) ((0) (let ((e-0 (vector-ref arg-9 1))) (let ((e-1 (vector-ref arg-9 2))) (let ((eff-0 (CompilerC-45RefCC-45RefC-functionDefSignature arg-0 arg-8 e-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CompilerC-45RefCC-45RefC-functionDefSignatureArglist arg-0 arg-8))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (let ((eff-2 (let ((eff-2 arg-2)) (PrimIO-io_bind (let ((eff-3 eff-2)) (lambda (eta-0) (unbox eff-3))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 arg-2)) (PrimIO-io_bind (let ((eff-4 eff-3)) (lambda (eta-0) (set-box! eff-4 (cons (string-append e-5 ";\xa;") (cons (string-append e-6 ";\xa;") e-7))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-3))))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (let ((eff-3 (CompilerC-45RefCC-45RefC-newTemporaryVariableLevel arg-3))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-4 (let ((u--argsNrs (CompilerC-45RefCC-45RefC-getArgsNrList e-0 0))) (let ((eff-4 (CompilerC-45RefCC-45RefC-emit arg-4 arg-5 (vector 2 ) e-5))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-5 (let ((eff-5 (CompilerC-45RefCC-45RefC-emit arg-4 arg-5 (vector 2 ) "{"))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-6 (let ((eff-6 (CompilerC-45RefCC-45RefC-increaseIndentation arg-5))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-2 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-7 (let ((eff-7 (CompilerC-45RefCC-45RefC-cStatementsFromANF arg-1 arg-3 arg-4 arg-5 e-1 0))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-2 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-12 (vector-ref lcase-7 1))) (let ((eff-8 (let ((eff-8 (CompilerC-45RefCC-45RefC-emit arg-4 arg-5 (vector 2 ) (string-append "Value *returnValue = " (string-append (let ((e-2 (cdr e-12))) e-2) ";"))))) (PrimIO-io_bind eff-8 (lambda (lcase-8) (case (vector-ref lcase-8 0) ((0) (let ((e-2 (vector-ref lcase-8 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-9 (let ((eff-9 (CompilerC-45RefCC-45RefC-freeTmpVars arg-3 arg-4 arg-5))) (PrimIO-io_bind eff-9 (lambda (lcase-9) (case (vector-ref lcase-9 0) ((0) (let ((e-2 (vector-ref lcase-9 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-10 (let ((eff-10 (CompilerC-45RefCC-45RefC-emit arg-4 arg-5 (vector 2 ) "return returnValue;"))) (PrimIO-io_bind eff-10 (lambda (lcase-10) (case (vector-ref lcase-10 0) ((0) (let ((e-2 (vector-ref lcase-10 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-11 (let ((eff-11 (CompilerC-45RefCC-45RefC-decreaseIndentation arg-5))) (PrimIO-io_bind eff-11 (lambda (lcase-11) (case (vector-ref lcase-11 0) ((0) (let ((e-2 (vector-ref lcase-11 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-12 (let ((eff-12 (CompilerC-45RefCC-45RefC-emit arg-4 arg-5 (vector 2 ) "}\xa;"))) (PrimIO-io_bind eff-12 (lambda (lcase-12) (case (vector-ref lcase-12 0) ((0) (let ((e-2 (vector-ref lcase-12 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-13 (let ((eff-13 (CompilerC-45RefCC-45RefC-emit arg-4 arg-5 (vector 2 ) ""))) (PrimIO-io_bind eff-13 (lambda (lcase-13) (case (vector-ref lcase-13 0) ((0) (let ((e-2 (vector-ref lcase-13 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-14 (let ((eff-14 (CompilerC-45RefCC-45RefC-emit arg-4 arg-5 (vector 2 ) e-6))) (PrimIO-io_bind eff-14 (lambda (lcase-14) (case (vector-ref lcase-14 0) ((0) (let ((e-2 (vector-ref lcase-14 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-15 (let ((eff-15 (CompilerC-45RefCC-45RefC-emit arg-4 arg-5 (vector 2 ) "{"))) (PrimIO-io_bind eff-15 (lambda (lcase-15) (case (vector-ref lcase-15 0) ((0) (let ((e-2 (vector-ref lcase-15 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-16 (let ((eff-16 (CompilerC-45RefCC-45RefC-increaseIndentation arg-5))) (PrimIO-io_bind eff-16 (lambda (lcase-16) (case (vector-ref lcase-16 0) ((0) (let ((e-2 (vector-ref lcase-16 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-17 (let ((eff-17 (let ((eff-17 (CoreC-45Context-getFullName arg-0 arg-8))) (PrimIO-io_bind eff-17 (lambda (lcase-17) (case (vector-ref lcase-17 0) ((0) (let ((e-2 (vector-ref lcase-17 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-22 (vector-ref lcase-17 1))) (let ((eff-18 (CompilerC-45RefCC-45RefC-emit arg-4 arg-5 (vector 2 ) (string-append "return " (CompilerC-45RefCC-45RefC-cName e-22))))) eff-18))))))))) (PrimIO-io_bind eff-17 (lambda (lcase-17) (case (vector-ref lcase-17 0) ((0) (let ((e-2 (vector-ref lcase-17 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-18 (let ((eff-18 (CompilerC-45RefCC-45RefC-increaseIndentation arg-5))) (PrimIO-io_bind eff-18 (lambda (lcase-18) (case (vector-ref lcase-18 0) ((0) (let ((e-2 (vector-ref lcase-18 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-19 (let ((eff-19 (CompilerC-45RefCC-45RefC-emit arg-4 arg-5 (vector 2 ) "("))) (PrimIO-io_bind eff-19 (lambda (lcase-19) (case (vector-ref lcase-19 0) ((0) (let ((e-2 (vector-ref lcase-19 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-20 (let ((eff-20 (CompilerC-45RefCC-45RefC-increaseIndentation arg-5))) (PrimIO-io_bind eff-20 (lambda (lcase-20) (case (vector-ref lcase-20 0) ((0) (let ((e-2 (vector-ref lcase-20 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-21 (let ((u--commaSepArglist (CompilerC-45RefCC-45RefC-addCommaToList ((csegen-6441) u--argsNrs)))) (let ((eff-21 (CoreC-45Core-traverse_ (lambda (eta-0) (CompilerC-45RefCC-45RefC-emit arg-4 arg-5 (vector 2 ) eta-0)) u--commaSepArglist))) (PrimIO-io_bind eff-21 (lambda (lcase-21) (case (vector-ref lcase-21 0) ((0) (let ((e-2 (vector-ref lcase-21 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-22 (let ((eff-22 (CompilerC-45RefCC-45RefC-decreaseIndentation arg-5))) (PrimIO-io_bind eff-22 (lambda (lcase-22) (case (vector-ref lcase-22 0) ((0) (let ((e-2 (vector-ref lcase-22 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-23 (let ((eff-23 (CompilerC-45RefCC-45RefC-emit arg-4 arg-5 (vector 2 ) ");"))) (PrimIO-io_bind eff-23 (lambda (lcase-23) (case (vector-ref lcase-23 0) ((0) (let ((e-2 (vector-ref lcase-23 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-24 (let ((eff-24 (CompilerC-45RefCC-45RefC-decreaseIndentation arg-5))) (PrimIO-io_bind eff-24 (lambda (lcase-24) (case (vector-ref lcase-24 0) ((0) (let ((e-2 (vector-ref lcase-24 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-25 (let ((eff-25 (CompilerC-45RefCC-45RefC-decreaseIndentation arg-5))) (PrimIO-io_bind eff-25 (lambda (lcase-25) (case (vector-ref lcase-25 0) ((0) (let ((e-2 (vector-ref lcase-25 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-26 (let ((eff-26 (CompilerC-45RefCC-45RefC-emit arg-4 arg-5 (vector 2 ) "}\xa;"))) (PrimIO-io_bind eff-26 (lambda (lcase-26) (case (vector-ref lcase-26 0) ((0) (let ((e-2 (vector-ref lcase-26 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-27 (let ((eff-27 (CompilerC-45RefCC-45RefC-emit arg-4 arg-5 (vector 2 ) ""))) (PrimIO-io_bind eff-27 (csegen-3296))))) eff-27)))))))) eff-26)))))))) eff-25)))))))) eff-24)))))))) eff-23)))))))) eff-22))))))))) eff-21)))))))) eff-20)))))))) eff-19)))))))) eff-18)))))))) eff-17)))))))) eff-16)))))))) eff-15)))))))) eff-14)))))))) eff-13)))))))) eff-12)))))))) eff-11)))))))) eff-10)))))))) eff-9)))))))) eff-8))))))))) eff-7)))))))) eff-6)))))))) eff-5))))))))) eff-4)))))))) eff-3)))))))) eff-2))))))))) eff-1)))))))))) ((1) (let ((e-2 (vector-ref arg-9 1))) (let ((e-3 (vector-ref arg-9 2))) (CompilerC-45RefCC-45RefC-emit arg-4 arg-5 (vector 2 ) (string-append "// Constructor tag " (string-append (PreludeC-45Show-u--show_Show_C-40MaybeC-32C-36aC-41 (csegen-583) e-2) (string-append " arity " (PreludeC-45Show-u--show_Show_Nat e-3)))))))) ((2) (let ((e-5 (vector-ref arg-9 1))) (let ((e-6 (vector-ref arg-9 2))) (let ((e-7 (vector-ref arg-9 3))) (CompilerC-45RefCC-45RefC-case--createCFunctions-13022 arg-7 e-7 e-6 e-5 arg-8 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 arg-0 (CompilerC-45Common-parseCC (PreludeC-45TypesC-45List-tailRecAppend arg-7 (csegen-6439)) e-5)))))) (else (let ((e-8 (vector-ref arg-9 1))) (Builtin-idris_crash (string-append "INTERNAL ERROR: Error with expression: " (CompilerC-45ANF-u--show_Show_ANF e-8))))))))
(define CompilerC-45RefCC-45RefC-copyConstructors (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8) (if (null? arg-5) (lambda (eta-0) (vector 1 (vector 0 ))) (let ((e-2 (car arg-5))) (let ((e-3 (cdr arg-5))) (let ((e-4 (vector-ref e-2 0))) (let ((e-5 (vector-ref e-2 1))) (let ((e-6 (vector-ref e-2 2))) (let ((e-7 (vector-ref e-2 3))) (let ((e-8 (vector-ref e-2 4))) (let ((eff-0 (lambda (eta-0) (CompilerC-45RefCC-45RefC-n--13048-10442-u--getNameTag e-5 e-8 e-7 e-6 e-4 e-3 arg-8 arg-7 arg-6 arg-4 arg-3 arg-2 arg-1 arg-0 arg-0 e-6 e-4 eta-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-9 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-0 1))) (let ((eff-1 (let ((e-11 (car e-9))) (let ((e-10 (cdr e-9))) (let ((eff-1 (CompilerC-45RefCC-45RefC-emit arg-2 arg-3 (vector 2 ) (string-append arg-6 (string-append "[" (string-append (PreludeC-45Show-u--show_Show_Nat arg-8) (string-append "].tag = " (string-append e-11 ";")))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-12 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-12)))) (else (let ((eff-2 (let ((eff-2 (CompilerC-45RefCC-45RefC-emit arg-2 arg-3 (vector 2 ) (string-append arg-6 (string-append "[" (string-append (PreludeC-45Show-u--show_Show_Nat arg-8) (string-append "].name = " (string-append e-10 ";")))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-13 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((eff-3 (CompilerC-45RefCC-45RefC-copyConstructors arg-0 arg-1 arg-2 arg-3 arg-4 e-3 arg-6 arg-7 (+ arg-8 1)))) eff-3)))))))) eff-2)))))))))) eff-1)))))))))))))))))
(define CompilerC-45RefCC-45RefC-constDefaultBlock (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (if (null? arg-4) (lambda (eta-0) (vector 1 (vector 0 ))) (let ((e-2 (unbox arg-4))) (let ((eff-0 (CompilerC-45RefCC-45RefC-emit arg-2 arg-3 (vector 2 ) "  default :"))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-1 (let ((eff-1 (CompilerC-45RefCC-45RefC-emit arg-2 arg-3 (vector 2 ) "  {"))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-3 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-2 (let ((eff-2 (CompilerC-45RefCC-45RefC-increaseIndentation arg-3))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-3 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-3 (let ((eff-3 (CompilerC-45RefCC-45RefC-newTemporaryVariableLevel arg-1))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-3 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-4 (let ((eff-4 (CompilerC-45RefCC-45RefC-cStatementsFromANF arg-0 arg-1 arg-2 arg-3 e-2 arg-6))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-3 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (let ((eff-5 (CompilerC-45RefCC-45RefC-emit arg-2 arg-3 (vector 2 ) (string-append arg-5 (string-append " = " (string-append (CompilerC-45RefCC-45RefC-callByPosition arg-6 e-9) ";")))))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-3 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-6 (let ((eff-6 (CompilerC-45RefCC-45RefC-freeTmpVars arg-1 arg-2 arg-3))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-3 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-7 (let ((eff-7 (CompilerC-45RefCC-45RefC-decreaseIndentation arg-3))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-3 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-8 (CompilerC-45RefCC-45RefC-emit arg-2 arg-3 (vector 2 ) "  }"))) eff-8)))))))) eff-7)))))))) eff-6)))))))) eff-5))))))))) eff-4)))))))) eff-3)))))))) eff-2)))))))) eff-1))))))))))
(define CompilerC-45RefCC-45RefC-constBlockSwitch (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (if (null? arg-4) (lambda (eta-0) (vector 1 (vector 0 ))) (let ((e-2 (car arg-4))) (let ((e-3 (cdr arg-4))) (let ((e-4 (car e-2))) (let ((e-5 (cdr e-2))) (let ((u--c (CompilerC-45RefCC-45RefC-const2Integer e-4 arg-6))) (let ((eff-0 (CompilerC-45RefCC-45RefC-emit arg-2 arg-3 (vector 2 ) (string-append "  case " (string-append (PreludeC-45Show-u--show_Show_Integer u--c) " :"))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((eff-1 (let ((eff-1 (CompilerC-45RefCC-45RefC-emit arg-2 arg-3 (vector 2 ) "  {"))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((eff-2 (let ((eff-2 (CompilerC-45RefCC-45RefC-increaseIndentation arg-3))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((eff-3 (let ((eff-3 (CompilerC-45RefCC-45RefC-newTemporaryVariableLevel arg-1))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-9 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((eff-4 (let ((eff-4 (CompilerC-45RefCC-45RefC-cStatementsFromANF arg-0 arg-1 arg-2 arg-3 e-5 arg-7))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-10 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-4 1))) (let ((eff-5 (let ((eff-5 (CompilerC-45RefCC-45RefC-emit arg-2 arg-3 (vector 2 ) (string-append arg-5 (string-append " = " (string-append (CompilerC-45RefCC-45RefC-callByPosition arg-7 e-10) ";")))))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-11 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((eff-6 (let ((eff-6 (CompilerC-45RefCC-45RefC-freeTmpVars arg-1 arg-2 arg-3))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-12 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-12)))) (else (let ((eff-7 (let ((eff-7 (CompilerC-45RefCC-45RefC-emit arg-2 arg-3 (vector 2 ) "break;"))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-13 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((eff-8 (let ((eff-8 (CompilerC-45RefCC-45RefC-decreaseIndentation arg-3))) (PrimIO-io_bind eff-8 (lambda (lcase-8) (case (vector-ref lcase-8 0) ((0) (let ((e-14 (vector-ref lcase-8 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((eff-9 (let ((eff-9 (CompilerC-45RefCC-45RefC-emit arg-2 arg-3 (vector 2 ) "  }"))) (PrimIO-io_bind eff-9 (lambda (lcase-9) (case (vector-ref lcase-9 0) ((0) (let ((e-15 (vector-ref lcase-9 1))) (lambda (eta-0) (vector 0 e-15)))) (else (let ((eff-10 (CompilerC-45RefCC-45RefC-constBlockSwitch arg-0 arg-1 arg-2 arg-3 e-3 arg-5 (+ arg-6 1) arg-7))) eff-10)))))))) eff-9)))))))) eff-8)))))))) eff-7)))))))) eff-6)))))))) eff-5))))))))) eff-4)))))))) eff-3)))))))) eff-2)))))))) eff-1))))))))))))))
(define CompilerC-45RefCC-45RefC-const2Integer (lambda (arg-0 arg-1) (case (vector-ref arg-0 0) ((0) (let ((e-0 (vector-ref arg-0 1))) ((csegen-2038) e-0))) ((1) (let ((e-1 (vector-ref arg-0 1))) ((let ((eff-0 (lambda (eta-0) eta-0))) (lambda (arg-2) (eff-0 arg-2))) e-1))) ((2) (let ((e-2 (vector-ref arg-0 1))) ((let ((eff-0 (lambda (eta-0) eta-0))) (lambda (arg-2) (eff-0 arg-2))) e-2))) ((3) (let ((e-3 (vector-ref arg-0 1))) ((let ((eff-0 (lambda (eta-0) eta-0))) (lambda (arg-2) (eff-0 arg-2))) e-3))) ((4) (let ((e-4 (vector-ref arg-0 1))) ((let ((eff-0 (lambda (eta-0) eta-0))) (lambda (arg-2) (eff-0 arg-2))) e-4))) ((5) (let ((e-5 (vector-ref arg-0 1))) ((csegen-0) e-5))) ((11) (let ((e-6 (vector-ref arg-0 1))) ((let ((eff-0 (lambda (eta-0) (char->integer eta-0)))) (lambda (arg-2) (eff-0 arg-2))) e-6))) ((6) (let ((e-7 (vector-ref arg-0 1))) ((let ((eff-0 (lambda (eta-0) eta-0))) (lambda (arg-2) (eff-0 arg-2))) e-7))) ((7) (let ((e-8 (vector-ref arg-0 1))) ((let ((eff-0 (lambda (eta-0) eta-0))) (lambda (arg-2) (eff-0 arg-2))) e-8))) ((8) (let ((e-9 (vector-ref arg-0 1))) ((let ((eff-0 (lambda (eta-0) eta-0))) (lambda (arg-2) (eff-0 arg-2))) e-9))) ((9) (let ((e-10 (vector-ref arg-0 1))) ((let ((eff-0 (lambda (eta-0) eta-0))) (lambda (arg-2) (eff-0 arg-2))) e-10)))(else arg-1))))
(define CompilerC-45RefCC-45RefC-conBlocks (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8) (if (null? arg-5) (lambda (eta-0) (vector 1 (vector 0 ))) (let ((e-2 (car arg-5))) (let ((e-3 (cdr arg-5))) (let ((e-4 (vector-ref e-2 0))) (let ((e-5 (vector-ref e-2 1))) (let ((e-6 (vector-ref e-2 2))) (let ((e-7 (vector-ref e-2 3))) (let ((e-8 (vector-ref e-2 4))) (let ((eff-0 (CompilerC-45RefCC-45RefC-emit arg-2 arg-3 (vector 2 ) (string-append "  case " (string-append (PreludeC-45Show-u--show_Show_Nat arg-7) ":"))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-9 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((eff-1 (let ((eff-1 (CompilerC-45RefCC-45RefC-emit arg-2 arg-3 (vector 2 ) "  {"))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-10 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((eff-2 (let ((eff-2 (CompilerC-45RefCC-45RefC-increaseIndentation arg-3))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-11 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((eff-3 (let ((eff-3 (CompilerC-45RefCC-45RefC-newTemporaryVariableLevel arg-1))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-12 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-12)))) (else (let ((eff-4 (let ((eff-4 (CompilerC-45RefCC-45RefC-n--13086-10595-u--varBindLines e-5 e-8 e-7 e-6 e-4 e-3 arg-8 arg-7 arg-6 arg-4 arg-3 arg-2 arg-1 arg-0 arg-4 e-7 0))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-13 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((eff-5 (let ((eff-5 (CompilerC-45RefCC-45RefC-cStatementsFromANF arg-0 arg-1 arg-2 arg-3 e-8 arg-8))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-14 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-5 1))) (let ((eff-6 (let ((eff-6 (CompilerC-45RefCC-45RefC-emit arg-2 arg-3 (vector 2 ) (string-append arg-6 (string-append " = " (string-append (CompilerC-45RefCC-45RefC-callByPosition arg-8 e-14) ";")))))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-15 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-15)))) (else (let ((eff-7 (let ((eff-7 (CompilerC-45RefCC-45RefC-freeTmpVars arg-1 arg-2 arg-3))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-16 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-16)))) (else (let ((eff-8 (let ((eff-8 (CompilerC-45RefCC-45RefC-emit arg-2 arg-3 (vector 2 ) "break;"))) (PrimIO-io_bind eff-8 (lambda (lcase-8) (case (vector-ref lcase-8 0) ((0) (let ((e-17 (vector-ref lcase-8 1))) (lambda (eta-0) (vector 0 e-17)))) (else (let ((eff-9 (let ((eff-9 (CompilerC-45RefCC-45RefC-decreaseIndentation arg-3))) (PrimIO-io_bind eff-9 (lambda (lcase-9) (case (vector-ref lcase-9 0) ((0) (let ((e-18 (vector-ref lcase-9 1))) (lambda (eta-0) (vector 0 e-18)))) (else (let ((eff-10 (let ((eff-10 (CompilerC-45RefCC-45RefC-emit arg-2 arg-3 (vector 2 ) "  }"))) (PrimIO-io_bind eff-10 (lambda (lcase-10) (case (vector-ref lcase-10 0) ((0) (let ((e-19 (vector-ref lcase-10 1))) (lambda (eta-0) (vector 0 e-19)))) (else (let ((eff-11 (CompilerC-45RefCC-45RefC-conBlocks arg-0 arg-1 arg-2 arg-3 arg-4 e-3 arg-6 (+ arg-7 1) arg-8))) eff-11)))))))) eff-10)))))))) eff-9)))))))) eff-8)))))))) eff-7)))))))) eff-6))))))))) eff-5)))))))) eff-4)))))))) eff-3)))))))) eff-2)))))))) eff-1))))))))))))))))
(define CompilerC-45RefCC-45RefC-compileExpr (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (cond ((equal? arg-0 2) (let ((u--outn (LibrariesC-45UtilsC-45Path-C-60C-47C-62 arg-4 (string-append arg-6 ".c")))) (let ((u--outobj (LibrariesC-45UtilsC-45Path-C-60C-47C-62 arg-4 (string-append arg-6 ".o")))) (let ((u--outexec (LibrariesC-45UtilsC-45Path-C-60C-47C-62 arg-4 arg-6))) (let ((eff-0 (let ((eff-0 (PrimIO-io_bind (CoreC-45Directory-mkdirAll arg-4) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-7) (lambda (arg-8) ((((eff-1 'erased) 'erased) arg-7) arg-8)))) (lambda (_-8679) (vector 0 )))) eff-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (CompilerC-45Common-getCompileData arg-1 0 2 arg-5))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((u--defs (let ((e-4 (vector-ref e-6 4))) e-4))) (let ((eff-2 (CompilerC-45RefCC-45RefC-generateCSourceFile arg-1 '() u--defs u--outn))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (let ((eff-3 (CompilerC-45RefCC-45CC-compileCObjectFile arg-1 0 u--outn u--outobj))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (if (null? e-8) (lambda (eta-0) (vector 1 '())) (CompilerC-45RefCC-45CC-compileCFile arg-1 0 u--outobj u--outexec)))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))(else (lambda (eta-0) (vector 1 '()))))))
(define CompilerC-45RefCC-45RefC-codegenRefC(blodwen-lazy (lambda () (vector (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (lambda (eta-4) (lambda (eta-5) (CompilerC-45RefCC-45RefC-compileExpr 2 eta-0 eta-1 eta-2 eta-3 eta-4 eta-5))))))) (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (CompilerC-45RefCC-45RefC-executeExpr eta-0 eta-1 eta-2 eta-3))))) '() '()))))
(define CompilerC-45RefCC-45RefC-callByPosition (lambda (arg-0 ext-0) (cond ((equal? arg-0 0) (let ((e-1 (cdr ext-0))) e-1)) (else (let ((e-0 (car ext-0))) e-0)))))
(define CompilerC-45RefCC-45RefC-cUserName (lambda (arg-0) (case (vector-ref arg-0 0) ((0) (let ((e-0 (vector-ref arg-0 1))) (CompilerC-45RefCC-45RefC-cCleanString e-0))) ((1) (let ((e-1 (vector-ref arg-0 1))) (string-append "rec__" (CompilerC-45RefCC-45RefC-cCleanString e-1)))) (else (CompilerC-45RefCC-45RefC-cCleanString "_")))))
(define CompilerC-45RefCC-45RefC-cTypeOfCFType (lambda (arg-0) (case (vector-ref arg-0 0) ((0) "void") ((1) "int64_t") ((7) "uint8_t") ((8) "uint16_t") ((9) "uint32_t") ((10) "uint64_t") ((11) "char *") ((12) "double") ((13) "char") ((14) "void *") ((15) "void *") ((16) "void *") ((18) "void *") ((19) "void *") ((20) "void *") ((21) "void *") ((22) "void *")(else (Builtin-idris_crash (string-append "INTERNAL ERROR: Unknonw FFI type in C backend: " (CoreC-45CompileExpr-u--show_Show_CFType arg-0)))))))
(define CompilerC-45RefCC-45RefC-cStringQuoted (lambda (arg-0) (string-cons #\" ((CompilerC-45RefCC-45RefC-n--10445-7712-u--showCString arg-0 (PreludeC-45Types-fastUnpack arg-0)) "\""))))
(define CompilerC-45RefCC-45RefC-cStatementsFromANF (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (case (vector-ref arg-4 0) ((0) (let ((e-1 (vector-ref arg-4 2))) (let ((u--returnLine (string-append "newReference(" (string-append (CompilerC-45RefCC-45RefC-varName e-1) ")")))) (lambda (eta-0) (vector 1 (cons u--returnLine u--returnLine)))))) ((1) (let ((e-2 (vector-ref arg-4 1))) (let ((e-4 (vector-ref arg-4 3))) (let ((e-5 (vector-ref arg-4 4))) (let ((eff-0 (CompilerC-45RefCC-45RefC-emit arg-2 arg-3 e-2 (string-append "// start " (string-append (CompilerC-45RefCC-45RefC-cName e-4) (string-append "(" (string-append (CoreC-45NameC-45Namespace-showSep ", " ((csegen-6489) e-5)) ")"))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((eff-1 (let ((eff-1 (CompilerC-45RefCC-45RefC-makeArglist arg-0 arg-1 arg-2 arg-3 0 e-5))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-7 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CompilerC-45RefCC-45RefC-getNextCounter arg-0))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-2 1))) (let ((eff-3 (let ((u--f_ptr_name (string-append "fPtr_" (PreludeC-45Show-u--show_Show_Nat e-8)))) (let ((eff-3 (CompilerC-45RefCC-45RefC-emit arg-2 arg-3 e-2 (string-append "Value *(*" (string-append u--f_ptr_name (string-append ")(Value_Arglist*) = " (string-append (CompilerC-45RefCC-45RefC-cName e-4) "_arglist;"))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-9 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((eff-4 (let ((u--closure_name (string-append "closure_" (PreludeC-45Show-u--show_Show_Nat e-8)))) (let ((eff-4 (CompilerC-45RefCC-45RefC-emit arg-2 arg-3 e-2 (string-append "Value *" (string-append u--closure_name (string-append " = (Value*)makeClosureFromArglist(" (string-append u--f_ptr_name (string-append ", " (string-append e-7 ");"))))))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-10 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((eff-5 (let ((eff-5 (CompilerC-45RefCC-45RefC-emit arg-2 arg-3 e-2 (string-append "// end   " (string-append (CompilerC-45RefCC-45RefC-cName e-4) (string-append "(" (string-append (CoreC-45NameC-45Namespace-showSep ", " ((csegen-6489) e-5)) ")"))))))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-11 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((eff-6 (lambda (eta-0) (vector 1 (cons (string-append "trampoline(" (string-append u--closure_name ")")) u--closure_name))))) eff-6)))))))) eff-5))))))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))) ((2) (let ((e-6 (vector-ref arg-4 1))) (let ((e-7 (vector-ref arg-4 2))) (let ((e-8 (vector-ref arg-4 3))) (let ((e-9 (vector-ref arg-4 4))) (let ((eff-0 (CompilerC-45RefCC-45RefC-makeArglist arg-0 arg-1 arg-2 arg-3 e-8 e-9))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CompilerC-45RefCC-45RefC-getNextCounter arg-0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-10 (vector-ref lcase-1 1))) (let ((eff-2 (let ((u--f_ptr_name (string-append "closure_" (PreludeC-45Show-u--show_Show_Nat e-10)))) (let ((u--f_ptr (string-append "Value *(*" (string-append u--f_ptr_name (string-append ")(Value_Arglist*) = " (string-append (CompilerC-45RefCC-45RefC-cName e-7) "_arglist;")))))) (let ((eff-2 (CompilerC-45RefCC-45RefC-emit arg-2 arg-3 e-6 u--f_ptr))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (let ((u--returnLine (string-append "(Value*)makeClosureFromArglist(" (string-append u--f_ptr_name (string-append ", " (string-append e-5 ")")))))) (lambda (eta-0) (vector 1 (cons u--returnLine u--returnLine)))))) eff-3)))))))))) eff-2))))))))) eff-1)))))))))))) ((3) (let ((e-12 (vector-ref arg-4 3))) (let ((e-13 (vector-ref arg-4 4))) (lambda (eta-0) (vector 1 (cons (string-append "apply_closure(" (string-append (CompilerC-45RefCC-45RefC-varName e-12) (string-append ", " (string-append (CompilerC-45RefCC-45RefC-varName e-13) ")")))) (string-append "tailcall_apply_closure(" (string-append (CompilerC-45RefCC-45RefC-varName e-12) (string-append ", " (string-append (CompilerC-45RefCC-45RefC-varName e-13) ")")))))))))) ((4) (let ((e-14 (vector-ref arg-4 1))) (let ((e-15 (vector-ref arg-4 2))) (let ((e-16 (vector-ref arg-4 3))) (let ((e-17 (vector-ref arg-4 4))) (let ((eff-0 (CompilerC-45RefCC-45RefC-cStatementsFromANF arg-0 arg-1 arg-2 arg-3 e-16 1))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CompilerC-45RefCC-45RefC-emit arg-2 arg-3 e-14 (string-append "Value * var_" (string-append (PreludeC-45Show-u--show_Show_Int e-15) (string-append " = " (string-append (let ((e-0 (car e-5))) e-0) ";"))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (CompilerC-45RefCC-45RefC-registerVariableForAutomaticFreeing arg-1 (string-append "var_" (PreludeC-45Show-u--show_Show_Int e-15))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (let ((eff-3 (CompilerC-45RefCC-45RefC-cStatementsFromANF arg-0 arg-1 arg-2 arg-3 e-17 arg-5))) (PrimIO-io_bind eff-3 (csegen-1313))))) eff-3)))))))) eff-2)))))))) eff-1)))))))))))) ((5) (let ((e-18 (vector-ref arg-4 1))) (let ((e-19 (vector-ref arg-4 2))) (let ((e-20 (vector-ref arg-4 3))) (let ((e-21 (vector-ref arg-4 4))) (let ((e-22 (vector-ref arg-4 5))) (case (vector-ref e-20 0) ((10) (if (null? e-22) (lambda (eta-0) (vector 1 (cons "(Value*)NULL" "(Value*)NULL"))) (let ((eff-0 (CompilerC-45RefCC-45RefC-getNextCounter arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--constr (string-append "constructor_" (PreludeC-45Show-u--show_Show_Nat e-5)))) (let ((eff-1 (CompilerC-45RefCC-45RefC-emit arg-2 arg-3 e-18 (string-append "Value_Constructor* " (string-append u--constr (string-append " = newConstructor(" (string-append (PreludeC-45Show-u--show_Show_Nat (PreludeC-45TypesC-45List-lengthTR e-22)) (string-append ", " (string-append (CompilerC-45RefCC-45RefC-showTag e-21) (string-append ", " (string-append "\"" (string-append (CompilerC-45RefCC-45RefC-cName e-19) "\");")))))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (CompilerC-45RefCC-45RefC-emit arg-2 arg-3 e-18 (string-append " // constructor " (CompilerC-45RefCC-45RefC-cName e-19))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (let ((eff-3 (CompilerC-45RefCC-45RefC-fillConstructorArgs arg-2 arg-3 u--constr e-22 0))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-4 (lambda (eta-0) (vector 1 (cons (string-append "(Value*)" u--constr) (string-append "(Value*)" u--constr)))))) eff-4)))))))) eff-3)))))))) eff-2))))))))) eff-1)))))))))(else (let ((eff-0 (CompilerC-45RefCC-45RefC-getNextCounter arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--constr (string-append "constructor_" (PreludeC-45Show-u--show_Show_Nat e-5)))) (let ((eff-1 (CompilerC-45RefCC-45RefC-emit arg-2 arg-3 e-18 (string-append "Value_Constructor* " (string-append u--constr (string-append " = newConstructor(" (string-append (PreludeC-45Show-u--show_Show_Nat (PreludeC-45TypesC-45List-lengthTR e-22)) (string-append ", " (string-append (CompilerC-45RefCC-45RefC-showTag e-21) (string-append ", " (string-append "\"" (string-append (CompilerC-45RefCC-45RefC-cName e-19) "\");")))))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (CompilerC-45RefCC-45RefC-emit arg-2 arg-3 e-18 (string-append " // constructor " (CompilerC-45RefCC-45RefC-cName e-19))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (let ((eff-3 (CompilerC-45RefCC-45RefC-fillConstructorArgs arg-2 arg-3 u--constr e-22 0))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-4 (lambda (eta-0) (vector 1 (cons (string-append "(Value*)" u--constr) (string-append "(Value*)" u--constr)))))) eff-4)))))))) eff-3)))))))) eff-2))))))))) eff-1))))))))))))))) ((6) (let ((e-26 (vector-ref arg-4 3))) (let ((e-27 (vector-ref arg-4 4))) (let ((eff-0 (CompilerC-45RefCC-45RefC-cArgsVectANF e-27))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--opStatement (CompilerC-45RefCC-45RefC-cOp e-26 e-5))) (lambda (eta-0) (vector 1 (cons u--opStatement u--opStatement)))))) eff-1)))))))))) ((7) (let ((e-28 (vector-ref arg-4 1))) (let ((e-30 (vector-ref arg-4 3))) (let ((e-31 (vector-ref arg-4 4))) (let ((eff-0 (CompilerC-45RefCC-45RefC-emit arg-2 arg-3 e-28 (string-append "// call to external primitive " (CompilerC-45RefCC-45RefC-cName e-30))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((u--returnLine (string-append (CompilerC-45RefCC-45RefC-cCleanString (CompilerC-45RefCC-45RefC-u--show_Show_ExtPrim (CompilerC-45RefCC-45RefC-toPrim e-30))) (string-append "(" (string-append (CoreC-45NameC-45Namespace-showSep ", " (((csegen-25) (lambda (eta-0) (CompilerC-45RefCC-45RefC-varName eta-0))) e-31)) ")"))))) (lambda (eta-0) (vector 1 (cons u--returnLine u--returnLine)))))) eff-1)))))))))) ((8) (let ((e-32 (vector-ref arg-4 1))) (let ((e-33 (vector-ref arg-4 2))) (let ((e-34 (vector-ref arg-4 3))) (let ((e-35 (vector-ref arg-4 4))) (let ((eff-0 (CompilerC-45RefCC-45RefC-getNextCounter arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CompilerC-45RefCC-45RefC-getNewVarThatWillNotBeFreedAtEndOfBlock arg-0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((u--newValueLine (string-append "Value * " (string-append e-6 " = NULL;")))) (let ((u--constructorField (string-append "constructorField_" (PreludeC-45Show-u--show_Show_Nat e-5)))) (let ((u--constructorFieldLine (string-append "AConAlt * " (string-append u--constructorField (string-append "= newConstructorField(" (string-append (PreludeC-45Show-u--show_Show_Nat (PreludeC-45TypesC-45List-lengthTR e-34)) ");")))))) (let ((u--switchLine (string-append "switch(compareConstructors(" (string-append (CompilerC-45RefCC-45RefC-varName e-33) (string-append ", " (string-append u--constructorField (string-append ", " (string-append (PreludeC-45Show-u--show_Show_Nat (PreludeC-45TypesC-45List-lengthTR e-34)) ")){")))))))) (let ((eff-2 (CompilerC-45RefCC-45RefC-emit arg-2 arg-3 e-32 u--newValueLine))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (let ((eff-3 (CompilerC-45RefCC-45RefC-emit arg-2 arg-3 e-32 u--constructorFieldLine))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-4 (let ((eff-4 (CompilerC-45RefCC-45RefC-copyConstructors arg-0 arg-1 arg-2 arg-3 (CompilerC-45RefCC-45RefC-varName e-33) e-34 u--constructorField e-6 0))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-5 (let ((eff-5 (CompilerC-45RefCC-45RefC-emit arg-2 arg-3 e-32 u--switchLine))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-6 (let ((eff-6 (CompilerC-45RefCC-45RefC-conBlocks arg-0 arg-1 arg-2 arg-3 (CompilerC-45RefCC-45RefC-varName e-33) e-34 e-6 0 arg-5))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-2 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-7 (if (null? e-35) (let ((eff-7 (CompilerC-45RefCC-45RefC-emit arg-2 arg-3 (vector 2 ) "}"))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-2 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-8 (let ((eff-8 (CompilerC-45RefCC-45RefC-emit arg-2 arg-3 (vector 2 ) (string-append "free(" (string-append u--constructorField ");"))))) (PrimIO-io_bind eff-8 (lambda (lcase-8) (case (vector-ref lcase-8 0) ((0) (let ((e-2 (vector-ref lcase-8 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-9 (lambda (eta-0) (vector 1 (cons e-6 e-6))))) eff-9)))))))) eff-8)))))) (let ((e-2 (unbox e-35))) (let ((eff-7 (CompilerC-45RefCC-45RefC-emit arg-2 arg-3 (vector 2 ) ((csegen-0) "  default : {")))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-3 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-8 (let ((eff-8 (CompilerC-45RefCC-45RefC-increaseIndentation arg-3))) (PrimIO-io_bind eff-8 (lambda (lcase-8) (case (vector-ref lcase-8 0) ((0) (let ((e-3 (vector-ref lcase-8 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-9 (let ((eff-9 (CompilerC-45RefCC-45RefC-newTemporaryVariableLevel arg-1))) (PrimIO-io_bind eff-9 (lambda (lcase-9) (case (vector-ref lcase-9 0) ((0) (let ((e-3 (vector-ref lcase-9 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-10 (let ((eff-10 (CompilerC-45RefCC-45RefC-cStatementsFromANF arg-0 arg-1 arg-2 arg-3 e-2 arg-5))) (PrimIO-io_bind eff-10 (lambda (lcase-10) (case (vector-ref lcase-10 0) ((0) (let ((e-3 (vector-ref lcase-10 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-15 (vector-ref lcase-10 1))) (let ((eff-11 (let ((eff-11 (CompilerC-45RefCC-45RefC-emit arg-2 arg-3 (vector 2 ) (string-append e-6 (string-append " = " (string-append (CompilerC-45RefCC-45RefC-callByPosition arg-5 e-15) ";")))))) (PrimIO-io_bind eff-11 (lambda (lcase-11) (case (vector-ref lcase-11 0) ((0) (let ((e-3 (vector-ref lcase-11 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-12 (let ((eff-12 (CompilerC-45RefCC-45RefC-freeTmpVars arg-1 arg-2 arg-3))) (PrimIO-io_bind eff-12 (lambda (lcase-12) (case (vector-ref lcase-12 0) ((0) (let ((e-3 (vector-ref lcase-12 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-13 (let ((eff-13 (CompilerC-45RefCC-45RefC-decreaseIndentation arg-3))) (PrimIO-io_bind eff-13 (lambda (lcase-13) (case (vector-ref lcase-13 0) ((0) (let ((e-3 (vector-ref lcase-13 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-14 (let ((eff-14 (CompilerC-45RefCC-45RefC-emit arg-2 arg-3 (vector 2 ) "  }"))) (PrimIO-io_bind eff-14 (lambda (lcase-14) (case (vector-ref lcase-14 0) ((0) (let ((e-3 (vector-ref lcase-14 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-15 (let ((eff-15 (CompilerC-45RefCC-45RefC-emit arg-2 arg-3 (vector 2 ) "}"))) (PrimIO-io_bind eff-15 (lambda (lcase-15) (case (vector-ref lcase-15 0) ((0) (let ((e-3 (vector-ref lcase-15 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-16 (let ((eff-16 (CompilerC-45RefCC-45RefC-emit arg-2 arg-3 (vector 2 ) (string-append "free(" (string-append u--constructorField ");"))))) (PrimIO-io_bind eff-16 (lambda (lcase-16) (case (vector-ref lcase-16 0) ((0) (let ((e-3 (vector-ref lcase-16 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-17 (lambda (eta-0) (vector 1 (cons e-6 e-6))))) eff-17)))))))) eff-16)))))))) eff-15)))))))) eff-14)))))))) eff-13)))))))) eff-12)))))))) eff-11))))))))) eff-10)))))))) eff-9)))))))) eff-8)))))))))) eff-7)))))))) eff-6)))))))) eff-5)))))))) eff-4)))))))) eff-3)))))))))))) eff-2))))))))) eff-1)))))))))))) ((9) (let ((e-36 (vector-ref arg-4 1))) (let ((e-37 (vector-ref arg-4 2))) (let ((e-38 (vector-ref arg-4 3))) (let ((e-39 (vector-ref arg-4 4))) (let ((eff-0 (CompilerC-45RefCC-45RefC-getNewVarThatWillNotBeFreedAtEndOfBlock arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--newValueLine (string-append "Value * " (string-append e-5 " = NULL;")))) (let ((eff-1 (CompilerC-45RefCC-45RefC-emit arg-2 arg-3 e-36 u--newValueLine))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((sc3 (CompilerC-45RefCC-45RefC-integer_switch e-38))) (cond ((equal? sc3 1) (let ((eff-2 (CompilerC-45RefCC-45RefC-emit arg-2 arg-3 e-36 (string-append "switch(extractInt(" (string-append (CompilerC-45RefCC-45RefC-varName e-37) ")){"))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (let ((eff-3 (CompilerC-45RefCC-45RefC-constBlockSwitch arg-0 arg-1 arg-2 arg-3 e-38 e-5 0 arg-5))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-4 (let ((eff-4 (CompilerC-45RefCC-45RefC-constDefaultBlock arg-0 arg-1 arg-2 arg-3 e-39 e-5 arg-5))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-5 (let ((eff-5 (CompilerC-45RefCC-45RefC-emit arg-2 arg-3 (vector 2 ) "}"))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-6 (lambda (eta-0) (vector 1 (cons e-5 e-5))))) eff-6)))))))) eff-5)))))))) eff-4)))))))) eff-3))))))) (else (let ((eff-2 (CompilerC-45RefCC-45RefC-makeNonIntSwitchStatementConst arg-0 arg-1 arg-2 arg-3 e-38 0 "" ""))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((e-2 (car e-7))) (let ((e-3 (cdr e-7))) (let ((eff-3 (CompilerC-45RefCC-45RefC-emit arg-2 arg-3 e-36 (string-append "switch(" (string-append e-3 (string-append "(" (string-append (CompilerC-45RefCC-45RefC-varName e-37) (string-append ", " (string-append (PreludeC-45Show-u--show_Show_Nat (PreludeC-45TypesC-45List-lengthTR e-38)) (string-append ", " (string-append e-2 ")){"))))))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-4 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-4 (let ((eff-4 (CompilerC-45RefCC-45RefC-constBlockSwitch arg-0 arg-1 arg-2 arg-3 e-38 e-5 0 arg-5))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-4 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-5 (let ((eff-5 (CompilerC-45RefCC-45RefC-constDefaultBlock arg-0 arg-1 arg-2 arg-3 e-39 e-5 arg-5))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-4 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-6 (let ((eff-6 (CompilerC-45RefCC-45RefC-emit arg-2 arg-3 (vector 2 ) "}"))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-4 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-7 (let ((eff-7 (CompilerC-45RefCC-45RefC-emit arg-2 arg-3 (vector 2 ) (string-append "free(" (string-append e-2 ");"))))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-4 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-8 (lambda (eta-0) (vector 1 (cons e-5 e-5))))) eff-8)))))))) eff-7)))))))) eff-6)))))))) eff-5)))))))) eff-4)))))))))) eff-3)))))))))))) eff-2))))))))) eff-1)))))))))))) ((10) (let ((e-41 (vector-ref arg-4 2))) (lambda (eta-0) (vector 1 (cons (CompilerC-45RefCC-45RefC-cConstant e-41) (CompilerC-45RefCC-45RefC-cConstant e-41)))))) ((11) (csegen-6493)) (else (let ((e-43 (vector-ref arg-4 1))) (let ((eff-0 (CompilerC-45RefCC-45RefC-emit arg-2 arg-3 e-43 "// CRASH"))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (csegen-6493))) eff-1)))))))))))
(define CompilerC-45RefCC-45RefC-cPrimType (lambda (arg-0) (cond ((equal? arg-0 0) "Int64") ((equal? arg-0 1) "Int8") ((equal? arg-0 2) "Int16") ((equal? arg-0 3) "Int32") ((equal? arg-0 4) "Int64") ((equal? arg-0 5) "Integer") ((equal? arg-0 6) "Bits8") ((equal? arg-0 7) "Bits16") ((equal? arg-0 8) "Bits32") ((equal? arg-0 9) "Bits64") ((equal? arg-0 10) "string") ((equal? arg-0 11) "char") ((equal? arg-0 12) "double") (else "f32"))))
(define CompilerC-45RefCC-45RefC-cOp (lambda (arg-1 arg-2) (case (vector-ref arg-1 0) ((5) (let ((e-0 (vector-ref arg-1 1))) (if (null? arg-2) (CompilerC-45RefCC-45RefC-plainOp (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1) (DataC-45Vect-u--toList_Foldable_C-40VectC-32C-36nC-41 arg-2)) (let ((e-20 (car arg-2))) (let ((e-21 (cdr arg-2))) (if (null? e-21) (string-append "negate_" (string-append (CompilerC-45RefCC-45RefC-cPrimType e-0) (string-append "(" (string-append e-20 ")")))) (CompilerC-45RefCC-45RefC-plainOp (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1) (DataC-45Vect-u--toList_Foldable_C-40VectC-32C-36nC-41 arg-2)))))))) ((16) (if (null? arg-2) (CompilerC-45RefCC-45RefC-plainOp (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1) (DataC-45Vect-u--toList_Foldable_C-40VectC-32C-36nC-41 arg-2)) (let ((e-25 (car arg-2))) (let ((e-26 (cdr arg-2))) (if (null? e-26) (string-append ((csegen-0) "stringLength(") (string-append e-25 ")")) (CompilerC-45RefCC-45RefC-plainOp (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1) (DataC-45Vect-u--toList_Foldable_C-40VectC-32C-36nC-41 arg-2))))))) ((17) (if (null? arg-2) (CompilerC-45RefCC-45RefC-plainOp (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1) (DataC-45Vect-u--toList_Foldable_C-40VectC-32C-36nC-41 arg-2)) (let ((e-30 (car arg-2))) (let ((e-31 (cdr arg-2))) (if (null? e-31) (string-append "head(" (string-append e-30 ")")) (CompilerC-45RefCC-45RefC-plainOp (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1) (DataC-45Vect-u--toList_Foldable_C-40VectC-32C-36nC-41 arg-2))))))) ((18) (if (null? arg-2) (CompilerC-45RefCC-45RefC-plainOp (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1) (DataC-45Vect-u--toList_Foldable_C-40VectC-32C-36nC-41 arg-2)) (let ((e-35 (car arg-2))) (let ((e-36 (cdr arg-2))) (if (null? e-36) (string-append "tail(" (string-append e-35 ")")) (CompilerC-45RefCC-45RefC-plainOp (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1) (DataC-45Vect-u--toList_Foldable_C-40VectC-32C-36nC-41 arg-2))))))) ((22) (if (null? arg-2) (CompilerC-45RefCC-45RefC-plainOp (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1) (DataC-45Vect-u--toList_Foldable_C-40VectC-32C-36nC-41 arg-2)) (let ((e-40 (car arg-2))) (let ((e-41 (cdr arg-2))) (if (null? e-41) (string-append "reverse(" (string-append e-40 ")")) (CompilerC-45RefCC-45RefC-plainOp (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1) (DataC-45Vect-u--toList_Foldable_C-40VectC-32C-36nC-41 arg-2))))))) ((36) (let ((e-1 (vector-ref arg-1 1))) (let ((e-2 (vector-ref arg-1 2))) (if (null? arg-2) (CompilerC-45RefCC-45RefC-plainOp (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1) (DataC-45Vect-u--toList_Foldable_C-40VectC-32C-36nC-41 arg-2)) (let ((e-45 (car arg-2))) (let ((e-46 (cdr arg-2))) (if (null? e-46) (string-append "cast_" (string-append (CompilerC-45RefCC-45RefC-cPrimType e-1) (string-append "_to_" (string-append (CompilerC-45RefCC-45RefC-cPrimType e-2) (string-append "(" (string-append e-45 ")")))))) (CompilerC-45RefCC-45RefC-plainOp (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1) (DataC-45Vect-u--toList_Foldable_C-40VectC-32C-36nC-41 arg-2))))))))) ((24) (if (null? arg-2) (CompilerC-45RefCC-45RefC-plainOp (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1) (DataC-45Vect-u--toList_Foldable_C-40VectC-32C-36nC-41 arg-2)) (let ((e-50 (car arg-2))) (let ((e-51 (cdr arg-2))) (if (null? e-51) (string-append ((csegen-0) "(Value*)makeDouble(exp(unpackDouble(") (string-append e-50 ")))")) (CompilerC-45RefCC-45RefC-plainOp (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1) (DataC-45Vect-u--toList_Foldable_C-40VectC-32C-36nC-41 arg-2))))))) ((25) (if (null? arg-2) (CompilerC-45RefCC-45RefC-plainOp (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1) (DataC-45Vect-u--toList_Foldable_C-40VectC-32C-36nC-41 arg-2)) (let ((e-55 (car arg-2))) (let ((e-56 (cdr arg-2))) (if (null? e-56) (string-append ((csegen-0) "(Value*)makeDouble(log(unpackDouble(") (string-append e-55 ")))")) (CompilerC-45RefCC-45RefC-plainOp (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1) (DataC-45Vect-u--toList_Foldable_C-40VectC-32C-36nC-41 arg-2))))))) ((26) (if (null? arg-2) (CompilerC-45RefCC-45RefC-plainOp (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1) (DataC-45Vect-u--toList_Foldable_C-40VectC-32C-36nC-41 arg-2)) (let ((e-60 (car arg-2))) (let ((e-61 (cdr arg-2))) (if (null? e-61) (CompilerC-45RefCC-45RefC-plainOp (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1) (DataC-45Vect-u--toList_Foldable_C-40VectC-32C-36nC-41 arg-2)) (let ((e-64 (car e-61))) (let ((e-65 (cdr e-61))) (if (null? e-65) (string-append ((csegen-0) "(Value*)makeDouble(pow(unpackDouble(") (string-append e-60 (string-append ((csegen-0) "), unpackDouble(") (string-append e-64 ")))")))) (CompilerC-45RefCC-45RefC-plainOp (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1) (DataC-45Vect-u--toList_Foldable_C-40VectC-32C-36nC-41 arg-2)))))))))) ((27) (if (null? arg-2) (CompilerC-45RefCC-45RefC-plainOp (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1) (DataC-45Vect-u--toList_Foldable_C-40VectC-32C-36nC-41 arg-2)) (let ((e-69 (car arg-2))) (let ((e-70 (cdr arg-2))) (if (null? e-70) (string-append ((csegen-0) "(Value*)makeDouble(sin(unpackDouble(") (string-append e-69 ")))")) (CompilerC-45RefCC-45RefC-plainOp (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1) (DataC-45Vect-u--toList_Foldable_C-40VectC-32C-36nC-41 arg-2))))))) ((28) (if (null? arg-2) (CompilerC-45RefCC-45RefC-plainOp (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1) (DataC-45Vect-u--toList_Foldable_C-40VectC-32C-36nC-41 arg-2)) (let ((e-74 (car arg-2))) (let ((e-75 (cdr arg-2))) (if (null? e-75) (string-append ((csegen-0) "(Value*)makeDouble(cos(unpackDouble(") (string-append e-74 ")))")) (CompilerC-45RefCC-45RefC-plainOp (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1) (DataC-45Vect-u--toList_Foldable_C-40VectC-32C-36nC-41 arg-2))))))) ((29) (if (null? arg-2) (CompilerC-45RefCC-45RefC-plainOp (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1) (DataC-45Vect-u--toList_Foldable_C-40VectC-32C-36nC-41 arg-2)) (let ((e-79 (car arg-2))) (let ((e-80 (cdr arg-2))) (if (null? e-80) (string-append ((csegen-0) "(Value*)makeDouble(tan(unpackDouble(") (string-append e-79 ")))")) (CompilerC-45RefCC-45RefC-plainOp (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1) (DataC-45Vect-u--toList_Foldable_C-40VectC-32C-36nC-41 arg-2))))))) ((30) (if (null? arg-2) (CompilerC-45RefCC-45RefC-plainOp (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1) (DataC-45Vect-u--toList_Foldable_C-40VectC-32C-36nC-41 arg-2)) (let ((e-84 (car arg-2))) (let ((e-85 (cdr arg-2))) (if (null? e-85) (string-append ((csegen-0) "(Value*)makeDouble(asin(unpackDouble(") (string-append e-84 ")))")) (CompilerC-45RefCC-45RefC-plainOp (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1) (DataC-45Vect-u--toList_Foldable_C-40VectC-32C-36nC-41 arg-2))))))) ((31) (if (null? arg-2) (CompilerC-45RefCC-45RefC-plainOp (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1) (DataC-45Vect-u--toList_Foldable_C-40VectC-32C-36nC-41 arg-2)) (let ((e-89 (car arg-2))) (let ((e-90 (cdr arg-2))) (if (null? e-90) (string-append ((csegen-0) "(Value*)makeDouble(acos(unpackDouble(") (string-append e-89 ")))")) (CompilerC-45RefCC-45RefC-plainOp (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1) (DataC-45Vect-u--toList_Foldable_C-40VectC-32C-36nC-41 arg-2))))))) ((32) (if (null? arg-2) (CompilerC-45RefCC-45RefC-plainOp (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1) (DataC-45Vect-u--toList_Foldable_C-40VectC-32C-36nC-41 arg-2)) (let ((e-94 (car arg-2))) (let ((e-95 (cdr arg-2))) (if (null? e-95) (string-append ((csegen-0) "(Value*)makeDouble(atan(unpackDouble(") (string-append e-94 ")))")) (CompilerC-45RefCC-45RefC-plainOp (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1) (DataC-45Vect-u--toList_Foldable_C-40VectC-32C-36nC-41 arg-2))))))) ((33) (if (null? arg-2) (CompilerC-45RefCC-45RefC-plainOp (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1) (DataC-45Vect-u--toList_Foldable_C-40VectC-32C-36nC-41 arg-2)) (let ((e-99 (car arg-2))) (let ((e-100 (cdr arg-2))) (if (null? e-100) (string-append ((csegen-0) "(Value*)makeDouble(sqrt(unpackDouble(") (string-append e-99 ")))")) (CompilerC-45RefCC-45RefC-plainOp (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1) (DataC-45Vect-u--toList_Foldable_C-40VectC-32C-36nC-41 arg-2))))))) ((34) (if (null? arg-2) (CompilerC-45RefCC-45RefC-plainOp (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1) (DataC-45Vect-u--toList_Foldable_C-40VectC-32C-36nC-41 arg-2)) (let ((e-104 (car arg-2))) (let ((e-105 (cdr arg-2))) (if (null? e-105) (string-append ((csegen-0) "(Value*)makeDouble(floor(unpackDouble(") (string-append e-104 ")))")) (CompilerC-45RefCC-45RefC-plainOp (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1) (DataC-45Vect-u--toList_Foldable_C-40VectC-32C-36nC-41 arg-2))))))) ((35) (if (null? arg-2) (CompilerC-45RefCC-45RefC-plainOp (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1) (DataC-45Vect-u--toList_Foldable_C-40VectC-32C-36nC-41 arg-2)) (let ((e-109 (car arg-2))) (let ((e-110 (cdr arg-2))) (if (null? e-110) (string-append ((csegen-0) "(Value*)makeDouble(ceil(unpackDouble(") (string-append e-109 ")))")) (CompilerC-45RefCC-45RefC-plainOp (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1) (DataC-45Vect-u--toList_Foldable_C-40VectC-32C-36nC-41 arg-2))))))) ((0) (let ((e-3 (vector-ref arg-1 1))) (if (null? arg-2) (CompilerC-45RefCC-45RefC-plainOp (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1) (DataC-45Vect-u--toList_Foldable_C-40VectC-32C-36nC-41 arg-2)) (let ((e-114 (car arg-2))) (let ((e-115 (cdr arg-2))) (if (null? e-115) (CompilerC-45RefCC-45RefC-plainOp (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1) (DataC-45Vect-u--toList_Foldable_C-40VectC-32C-36nC-41 arg-2)) (let ((e-118 (car e-115))) (let ((e-119 (cdr e-115))) (if (null? e-119) (string-append "add_" (string-append (CompilerC-45RefCC-45RefC-cPrimType e-3) (string-append "(" (string-append e-114 (string-append ", " (string-append e-118 ")")))))) (CompilerC-45RefCC-45RefC-plainOp (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1) (DataC-45Vect-u--toList_Foldable_C-40VectC-32C-36nC-41 arg-2))))))))))) ((1) (let ((e-4 (vector-ref arg-1 1))) (if (null? arg-2) (CompilerC-45RefCC-45RefC-plainOp (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1) (DataC-45Vect-u--toList_Foldable_C-40VectC-32C-36nC-41 arg-2)) (let ((e-123 (car arg-2))) (let ((e-124 (cdr arg-2))) (if (null? e-124) (CompilerC-45RefCC-45RefC-plainOp (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1) (DataC-45Vect-u--toList_Foldable_C-40VectC-32C-36nC-41 arg-2)) (let ((e-127 (car e-124))) (let ((e-128 (cdr e-124))) (if (null? e-128) (string-append "sub_" (string-append (CompilerC-45RefCC-45RefC-cPrimType e-4) (string-append "(" (string-append e-123 (string-append ", " (string-append e-127 ")")))))) (CompilerC-45RefCC-45RefC-plainOp (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1) (DataC-45Vect-u--toList_Foldable_C-40VectC-32C-36nC-41 arg-2))))))))))) ((2) (let ((e-5 (vector-ref arg-1 1))) (if (null? arg-2) (CompilerC-45RefCC-45RefC-plainOp (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1) (DataC-45Vect-u--toList_Foldable_C-40VectC-32C-36nC-41 arg-2)) (let ((e-132 (car arg-2))) (let ((e-133 (cdr arg-2))) (if (null? e-133) (CompilerC-45RefCC-45RefC-plainOp (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1) (DataC-45Vect-u--toList_Foldable_C-40VectC-32C-36nC-41 arg-2)) (let ((e-136 (car e-133))) (let ((e-137 (cdr e-133))) (if (null? e-137) (string-append "mul_" (string-append (CompilerC-45RefCC-45RefC-cPrimType e-5) (string-append "(" (string-append e-132 (string-append ", " (string-append e-136 ")")))))) (CompilerC-45RefCC-45RefC-plainOp (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1) (DataC-45Vect-u--toList_Foldable_C-40VectC-32C-36nC-41 arg-2))))))))))) ((3) (let ((e-6 (vector-ref arg-1 1))) (if (null? arg-2) (CompilerC-45RefCC-45RefC-plainOp (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1) (DataC-45Vect-u--toList_Foldable_C-40VectC-32C-36nC-41 arg-2)) (let ((e-141 (car arg-2))) (let ((e-142 (cdr arg-2))) (if (null? e-142) (CompilerC-45RefCC-45RefC-plainOp (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1) (DataC-45Vect-u--toList_Foldable_C-40VectC-32C-36nC-41 arg-2)) (let ((e-145 (car e-142))) (let ((e-146 (cdr e-142))) (if (null? e-146) (string-append "div_" (string-append (CompilerC-45RefCC-45RefC-cPrimType e-6) (string-append "(" (string-append e-141 (string-append ", " (string-append e-145 ")")))))) (CompilerC-45RefCC-45RefC-plainOp (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1) (DataC-45Vect-u--toList_Foldable_C-40VectC-32C-36nC-41 arg-2))))))))))) ((4) (let ((e-7 (vector-ref arg-1 1))) (if (null? arg-2) (CompilerC-45RefCC-45RefC-plainOp (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1) (DataC-45Vect-u--toList_Foldable_C-40VectC-32C-36nC-41 arg-2)) (let ((e-150 (car arg-2))) (let ((e-151 (cdr arg-2))) (if (null? e-151) (CompilerC-45RefCC-45RefC-plainOp (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1) (DataC-45Vect-u--toList_Foldable_C-40VectC-32C-36nC-41 arg-2)) (let ((e-154 (car e-151))) (let ((e-155 (cdr e-151))) (if (null? e-155) (string-append "mod_" (string-append (CompilerC-45RefCC-45RefC-cPrimType e-7) (string-append "(" (string-append e-150 (string-append ", " (string-append e-154 ")")))))) (CompilerC-45RefCC-45RefC-plainOp (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1) (DataC-45Vect-u--toList_Foldable_C-40VectC-32C-36nC-41 arg-2))))))))))) ((6) (let ((e-8 (vector-ref arg-1 1))) (if (null? arg-2) (CompilerC-45RefCC-45RefC-plainOp (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1) (DataC-45Vect-u--toList_Foldable_C-40VectC-32C-36nC-41 arg-2)) (let ((e-159 (car arg-2))) (let ((e-160 (cdr arg-2))) (if (null? e-160) (CompilerC-45RefCC-45RefC-plainOp (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1) (DataC-45Vect-u--toList_Foldable_C-40VectC-32C-36nC-41 arg-2)) (let ((e-163 (car e-160))) (let ((e-164 (cdr e-160))) (if (null? e-164) (string-append "shiftl_" (string-append (CompilerC-45RefCC-45RefC-cPrimType e-8) (string-append "(" (string-append e-159 (string-append ", " (string-append e-163 ")")))))) (CompilerC-45RefCC-45RefC-plainOp (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1) (DataC-45Vect-u--toList_Foldable_C-40VectC-32C-36nC-41 arg-2))))))))))) ((7) (let ((e-9 (vector-ref arg-1 1))) (if (null? arg-2) (CompilerC-45RefCC-45RefC-plainOp (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1) (DataC-45Vect-u--toList_Foldable_C-40VectC-32C-36nC-41 arg-2)) (let ((e-168 (car arg-2))) (let ((e-169 (cdr arg-2))) (if (null? e-169) (CompilerC-45RefCC-45RefC-plainOp (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1) (DataC-45Vect-u--toList_Foldable_C-40VectC-32C-36nC-41 arg-2)) (let ((e-172 (car e-169))) (let ((e-173 (cdr e-169))) (if (null? e-173) (string-append "shiftr_" (string-append (CompilerC-45RefCC-45RefC-cPrimType e-9) (string-append "(" (string-append e-168 (string-append ", " (string-append e-172 ")")))))) (CompilerC-45RefCC-45RefC-plainOp (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1) (DataC-45Vect-u--toList_Foldable_C-40VectC-32C-36nC-41 arg-2))))))))))) ((8) (let ((e-10 (vector-ref arg-1 1))) (if (null? arg-2) (CompilerC-45RefCC-45RefC-plainOp (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1) (DataC-45Vect-u--toList_Foldable_C-40VectC-32C-36nC-41 arg-2)) (let ((e-177 (car arg-2))) (let ((e-178 (cdr arg-2))) (if (null? e-178) (CompilerC-45RefCC-45RefC-plainOp (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1) (DataC-45Vect-u--toList_Foldable_C-40VectC-32C-36nC-41 arg-2)) (let ((e-181 (car e-178))) (let ((e-182 (cdr e-178))) (if (null? e-182) (string-append "and_" (string-append (CompilerC-45RefCC-45RefC-cPrimType e-10) (string-append "(" (string-append e-177 (string-append ", " (string-append e-181 ")")))))) (CompilerC-45RefCC-45RefC-plainOp (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1) (DataC-45Vect-u--toList_Foldable_C-40VectC-32C-36nC-41 arg-2))))))))))) ((9) (let ((e-11 (vector-ref arg-1 1))) (if (null? arg-2) (CompilerC-45RefCC-45RefC-plainOp (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1) (DataC-45Vect-u--toList_Foldable_C-40VectC-32C-36nC-41 arg-2)) (let ((e-186 (car arg-2))) (let ((e-187 (cdr arg-2))) (if (null? e-187) (CompilerC-45RefCC-45RefC-plainOp (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1) (DataC-45Vect-u--toList_Foldable_C-40VectC-32C-36nC-41 arg-2)) (let ((e-190 (car e-187))) (let ((e-191 (cdr e-187))) (if (null? e-191) (string-append "or_" (string-append (CompilerC-45RefCC-45RefC-cPrimType e-11) (string-append "(" (string-append e-186 (string-append ", " (string-append e-190 ")")))))) (CompilerC-45RefCC-45RefC-plainOp (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1) (DataC-45Vect-u--toList_Foldable_C-40VectC-32C-36nC-41 arg-2))))))))))) ((10) (let ((e-12 (vector-ref arg-1 1))) (if (null? arg-2) (CompilerC-45RefCC-45RefC-plainOp (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1) (DataC-45Vect-u--toList_Foldable_C-40VectC-32C-36nC-41 arg-2)) (let ((e-195 (car arg-2))) (let ((e-196 (cdr arg-2))) (if (null? e-196) (CompilerC-45RefCC-45RefC-plainOp (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1) (DataC-45Vect-u--toList_Foldable_C-40VectC-32C-36nC-41 arg-2)) (let ((e-199 (car e-196))) (let ((e-200 (cdr e-196))) (if (null? e-200) (string-append "xor_" (string-append (CompilerC-45RefCC-45RefC-cPrimType e-12) (string-append "(" (string-append e-195 (string-append ", " (string-append e-199 ")")))))) (CompilerC-45RefCC-45RefC-plainOp (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1) (DataC-45Vect-u--toList_Foldable_C-40VectC-32C-36nC-41 arg-2))))))))))) ((11) (let ((e-13 (vector-ref arg-1 1))) (if (null? arg-2) (CompilerC-45RefCC-45RefC-plainOp (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1) (DataC-45Vect-u--toList_Foldable_C-40VectC-32C-36nC-41 arg-2)) (let ((e-204 (car arg-2))) (let ((e-205 (cdr arg-2))) (if (null? e-205) (CompilerC-45RefCC-45RefC-plainOp (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1) (DataC-45Vect-u--toList_Foldable_C-40VectC-32C-36nC-41 arg-2)) (let ((e-208 (car e-205))) (let ((e-209 (cdr e-205))) (if (null? e-209) (string-append "lt_" (string-append (CompilerC-45RefCC-45RefC-cPrimType e-13) (string-append "(" (string-append e-204 (string-append ", " (string-append e-208 ")")))))) (CompilerC-45RefCC-45RefC-plainOp (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1) (DataC-45Vect-u--toList_Foldable_C-40VectC-32C-36nC-41 arg-2))))))))))) ((15) (let ((e-14 (vector-ref arg-1 1))) (if (null? arg-2) (CompilerC-45RefCC-45RefC-plainOp (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1) (DataC-45Vect-u--toList_Foldable_C-40VectC-32C-36nC-41 arg-2)) (let ((e-213 (car arg-2))) (let ((e-214 (cdr arg-2))) (if (null? e-214) (CompilerC-45RefCC-45RefC-plainOp (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1) (DataC-45Vect-u--toList_Foldable_C-40VectC-32C-36nC-41 arg-2)) (let ((e-217 (car e-214))) (let ((e-218 (cdr e-214))) (if (null? e-218) (string-append "gt_" (string-append (CompilerC-45RefCC-45RefC-cPrimType e-14) (string-append "(" (string-append e-213 (string-append ", " (string-append e-217 ")")))))) (CompilerC-45RefCC-45RefC-plainOp (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1) (DataC-45Vect-u--toList_Foldable_C-40VectC-32C-36nC-41 arg-2))))))))))) ((13) (let ((e-15 (vector-ref arg-1 1))) (if (null? arg-2) (CompilerC-45RefCC-45RefC-plainOp (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1) (DataC-45Vect-u--toList_Foldable_C-40VectC-32C-36nC-41 arg-2)) (let ((e-222 (car arg-2))) (let ((e-223 (cdr arg-2))) (if (null? e-223) (CompilerC-45RefCC-45RefC-plainOp (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1) (DataC-45Vect-u--toList_Foldable_C-40VectC-32C-36nC-41 arg-2)) (let ((e-226 (car e-223))) (let ((e-227 (cdr e-223))) (if (null? e-227) (string-append "eq_" (string-append (CompilerC-45RefCC-45RefC-cPrimType e-15) (string-append "(" (string-append e-222 (string-append ", " (string-append e-226 ")")))))) (CompilerC-45RefCC-45RefC-plainOp (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1) (DataC-45Vect-u--toList_Foldable_C-40VectC-32C-36nC-41 arg-2))))))))))) ((12) (let ((e-16 (vector-ref arg-1 1))) (if (null? arg-2) (CompilerC-45RefCC-45RefC-plainOp (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1) (DataC-45Vect-u--toList_Foldable_C-40VectC-32C-36nC-41 arg-2)) (let ((e-231 (car arg-2))) (let ((e-232 (cdr arg-2))) (if (null? e-232) (CompilerC-45RefCC-45RefC-plainOp (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1) (DataC-45Vect-u--toList_Foldable_C-40VectC-32C-36nC-41 arg-2)) (let ((e-235 (car e-232))) (let ((e-236 (cdr e-232))) (if (null? e-236) (string-append "lte_" (string-append (CompilerC-45RefCC-45RefC-cPrimType e-16) (string-append "(" (string-append e-231 (string-append ", " (string-append e-235 ")")))))) (CompilerC-45RefCC-45RefC-plainOp (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1) (DataC-45Vect-u--toList_Foldable_C-40VectC-32C-36nC-41 arg-2))))))))))) ((14) (let ((e-17 (vector-ref arg-1 1))) (if (null? arg-2) (CompilerC-45RefCC-45RefC-plainOp (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1) (DataC-45Vect-u--toList_Foldable_C-40VectC-32C-36nC-41 arg-2)) (let ((e-240 (car arg-2))) (let ((e-241 (cdr arg-2))) (if (null? e-241) (CompilerC-45RefCC-45RefC-plainOp (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1) (DataC-45Vect-u--toList_Foldable_C-40VectC-32C-36nC-41 arg-2)) (let ((e-244 (car e-241))) (let ((e-245 (cdr e-241))) (if (null? e-245) (string-append "gte_" (string-append (CompilerC-45RefCC-45RefC-cPrimType e-17) (string-append "(" (string-append e-240 (string-append ", " (string-append e-244 ")")))))) (CompilerC-45RefCC-45RefC-plainOp (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1) (DataC-45Vect-u--toList_Foldable_C-40VectC-32C-36nC-41 arg-2))))))))))) ((19) (if (null? arg-2) (CompilerC-45RefCC-45RefC-plainOp (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1) (DataC-45Vect-u--toList_Foldable_C-40VectC-32C-36nC-41 arg-2)) (let ((e-249 (car arg-2))) (let ((e-250 (cdr arg-2))) (if (null? e-250) (CompilerC-45RefCC-45RefC-plainOp (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1) (DataC-45Vect-u--toList_Foldable_C-40VectC-32C-36nC-41 arg-2)) (let ((e-253 (car e-250))) (let ((e-254 (cdr e-250))) (if (null? e-254) (string-append "strIndex(" (string-append e-249 (string-append ", " (string-append e-253 ")")))) (CompilerC-45RefCC-45RefC-plainOp (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1) (DataC-45Vect-u--toList_Foldable_C-40VectC-32C-36nC-41 arg-2)))))))))) ((20) (if (null? arg-2) (CompilerC-45RefCC-45RefC-plainOp (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1) (DataC-45Vect-u--toList_Foldable_C-40VectC-32C-36nC-41 arg-2)) (let ((e-258 (car arg-2))) (let ((e-259 (cdr arg-2))) (if (null? e-259) (CompilerC-45RefCC-45RefC-plainOp (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1) (DataC-45Vect-u--toList_Foldable_C-40VectC-32C-36nC-41 arg-2)) (let ((e-262 (car e-259))) (let ((e-263 (cdr e-259))) (if (null? e-263) (string-append "strCons(" (string-append e-258 (string-append ", " (string-append e-262 ")")))) (CompilerC-45RefCC-45RefC-plainOp (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1) (DataC-45Vect-u--toList_Foldable_C-40VectC-32C-36nC-41 arg-2)))))))))) ((21) (if (null? arg-2) (CompilerC-45RefCC-45RefC-plainOp (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1) (DataC-45Vect-u--toList_Foldable_C-40VectC-32C-36nC-41 arg-2)) (let ((e-267 (car arg-2))) (let ((e-268 (cdr arg-2))) (if (null? e-268) (CompilerC-45RefCC-45RefC-plainOp (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1) (DataC-45Vect-u--toList_Foldable_C-40VectC-32C-36nC-41 arg-2)) (let ((e-271 (car e-268))) (let ((e-272 (cdr e-268))) (if (null? e-272) (string-append ((csegen-0) "strAppend(") (string-append e-267 (string-append ", " (string-append e-271 ")")))) (CompilerC-45RefCC-45RefC-plainOp (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1) (DataC-45Vect-u--toList_Foldable_C-40VectC-32C-36nC-41 arg-2)))))))))) ((23) (if (null? arg-2) (CompilerC-45RefCC-45RefC-plainOp (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1) (DataC-45Vect-u--toList_Foldable_C-40VectC-32C-36nC-41 arg-2)) (let ((e-276 (car arg-2))) (let ((e-277 (cdr arg-2))) (if (null? e-277) (CompilerC-45RefCC-45RefC-plainOp (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1) (DataC-45Vect-u--toList_Foldable_C-40VectC-32C-36nC-41 arg-2)) (let ((e-280 (car e-277))) (let ((e-281 (cdr e-277))) (if (null? e-281) (CompilerC-45RefCC-45RefC-plainOp (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1) (DataC-45Vect-u--toList_Foldable_C-40VectC-32C-36nC-41 arg-2)) (let ((e-284 (car e-281))) (let ((e-285 (cdr e-281))) (if (null? e-285) (string-append ((csegen-0) "strSubstr(") (string-append e-276 (string-append ", " (string-append e-280 (string-append ", " (string-append e-284 ")")))))) (CompilerC-45RefCC-45RefC-plainOp (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1) (DataC-45Vect-u--toList_Foldable_C-40VectC-32C-36nC-41 arg-2))))))))))))) ((37) (if (null? arg-2) (CompilerC-45RefCC-45RefC-plainOp (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1) (DataC-45Vect-u--toList_Foldable_C-40VectC-32C-36nC-41 arg-2)) (let ((e-290 (cdr arg-2))) (if (null? e-290) (CompilerC-45RefCC-45RefC-plainOp (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1) (DataC-45Vect-u--toList_Foldable_C-40VectC-32C-36nC-41 arg-2)) (let ((e-294 (cdr e-290))) (if (null? e-294) (CompilerC-45RefCC-45RefC-plainOp (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1) (DataC-45Vect-u--toList_Foldable_C-40VectC-32C-36nC-41 arg-2)) (let ((e-297 (car e-294))) (let ((e-298 (cdr e-294))) (if (null? e-298) (string-append ((csegen-0) "newReference(") (string-append e-297 ")")) (CompilerC-45RefCC-45RefC-plainOp (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1) (DataC-45Vect-u--toList_Foldable_C-40VectC-32C-36nC-41 arg-2))))))))))) ((38) (if (null? arg-2) (CompilerC-45RefCC-45RefC-plainOp (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1) (DataC-45Vect-u--toList_Foldable_C-40VectC-32C-36nC-41 arg-2)) (let ((e-303 (cdr arg-2))) (if (null? e-303) (CompilerC-45RefCC-45RefC-plainOp (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1) (DataC-45Vect-u--toList_Foldable_C-40VectC-32C-36nC-41 arg-2)) (let ((e-306 (car e-303))) (let ((e-307 (cdr e-303))) (if (null? e-307) (string-append ((csegen-0) "idris2_crash(") (string-append e-306 ");")) (CompilerC-45RefCC-45RefC-plainOp (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1) (DataC-45Vect-u--toList_Foldable_C-40VectC-32C-36nC-41 arg-2)))))))))(else (CompilerC-45RefCC-45RefC-plainOp (CoreC-45TT-u--show_Show_C-40PrimFnC-32C-36arityC-41 arg-1) (DataC-45Vect-u--toList_Foldable_C-40VectC-32C-36nC-41 arg-2))))))
(define CompilerC-45RefCC-45RefC-cName (lambda (arg-0) (case (vector-ref arg-0 0) ((0) (let ((e-0 (vector-ref arg-0 1))) (let ((e-1 (vector-ref arg-0 2))) (string-append (CompilerC-45RefCC-45RefC-cCleanString (CoreC-45NameC-45Namespace-showNSWithSep "_" e-0)) (string-append "_" (CompilerC-45RefCC-45RefC-cName e-1)))))) ((1) (let ((e-2 (vector-ref arg-0 1))) (CompilerC-45RefCC-45RefC-cUserName e-2))) ((2) (let ((e-3 (vector-ref arg-0 1))) (let ((e-4 (vector-ref arg-0 2))) (string-append (CompilerC-45RefCC-45RefC-cCleanString e-3) (string-append "_" (CompilerC-45RefCC-45RefC-cCleanString (PreludeC-45Show-u--show_Show_Int e-4))))))) ((3) (let ((e-5 (vector-ref arg-0 1))) (string-append "pat__" (CompilerC-45RefCC-45RefC-cName e-5)))) ((4) (let ((e-8 (vector-ref arg-0 2))) (CompilerC-45RefCC-45RefC-cName e-8))) ((5) (let ((e-9 (vector-ref arg-0 1))) (let ((e-10 (vector-ref arg-0 2))) (string-append "n__" (string-append (CompilerC-45RefCC-45RefC-cCleanString (PreludeC-45Show-u--show_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-584) e-9)) (string-append "_" (CompilerC-45RefCC-45RefC-cName e-10))))))) ((6) (let ((e-11 (vector-ref arg-0 1))) (let ((e-12 (vector-ref arg-0 2))) (string-append "case__" (string-append (CompilerC-45RefCC-45RefC-cCleanString (PreludeC-45Show-u--show_Show_String e-11)) (string-append "_" (CompilerC-45RefCC-45RefC-cCleanString (PreludeC-45Show-u--show_Show_Int e-12)))))))) ((7) (let ((e-13 (vector-ref arg-0 1))) (let ((e-14 (vector-ref arg-0 2))) (string-append "with__" (string-append (CompilerC-45RefCC-45RefC-cCleanString (PreludeC-45Show-u--show_Show_String e-13)) (string-append "_" (CompilerC-45RefCC-45RefC-cCleanString (PreludeC-45Show-u--show_Show_Int e-14)))))))) (else (let ((e-15 (vector-ref arg-0 1))) (string-append "fn__" (CompilerC-45RefCC-45RefC-cCleanString (PreludeC-45Show-u--show_Show_Int e-15))))))))
(define CompilerC-45RefCC-45RefC-cConstant (lambda (arg-0) (case (vector-ref arg-0 0) ((0) (let ((e-0 (vector-ref arg-0 1))) (string-append "(Value*)makeInt64(" (string-append (CompilerC-45RefCC-45RefC-showIntMin e-0) ")")))) ((1) (let ((e-1 (vector-ref arg-0 1))) (string-append "(Value*)makeInt8(INT8_C(" (string-append (PreludeC-45Show-u--show_Show_Int8 e-1) "))")))) ((2) (let ((e-2 (vector-ref arg-0 1))) (string-append "(Value*)makeInt16(INT16_C(" (string-append (PreludeC-45Show-u--show_Show_Int16 e-2) "))")))) ((3) (let ((e-3 (vector-ref arg-0 1))) (string-append "(Value*)makeInt32(INT32_C(" (string-append (PreludeC-45Show-u--show_Show_Int32 e-3) "))")))) ((4) (let ((e-4 (vector-ref arg-0 1))) (string-append "(Value*)makeInt64(" (string-append (CompilerC-45RefCC-45RefC-showInt64Min e-4) ")")))) ((5) (let ((e-5 (vector-ref arg-0 1))) (string-append "(Value*)makeIntegerLiteral(\"" (string-append (PreludeC-45Show-u--show_Show_Integer e-5) "\")")))) ((6) (let ((e-6 (vector-ref arg-0 1))) (string-append "(Value*)makeBits8(UINT8_C(" (string-append (PreludeC-45Show-u--show_Show_Bits8 e-6) "))")))) ((7) (let ((e-7 (vector-ref arg-0 1))) (string-append "(Value*)makeBits16(UINT16_C(" (string-append (PreludeC-45Show-u--show_Show_Bits16 e-7) "))")))) ((8) (let ((e-8 (vector-ref arg-0 1))) (string-append "(Value*)makeBits32(UINT32_C(" (string-append (PreludeC-45Show-u--show_Show_Bits32 e-8) "))")))) ((9) (let ((e-9 (vector-ref arg-0 1))) (string-append "(Value*)makeBits64(UINT64_C(" (string-append (PreludeC-45Show-u--show_Show_Bits64 e-9) "))")))) ((12) (let ((e-10 (vector-ref arg-0 1))) (string-append "(Value*)makeDouble(" (string-append (PreludeC-45Show-u--show_Show_Double e-10) ")")))) ((11) (let ((e-11 (vector-ref arg-0 1))) (string-append "(Value*)makeChar(" (string-append (CompilerC-45RefCC-45RefC-escapeChar e-11) ")")))) ((10) (let ((e-12 (vector-ref arg-0 1))) (string-append "(Value*)makeString(" (string-append (CompilerC-45RefCC-45RefC-cStringQuoted e-12) ")")))) ((13) (let ((e-13 (vector-ref arg-0 1))) (CompilerC-45RefCC-45RefC-cPrimType e-13))) (else "(Value*)makeWorld()"))))
(define CompilerC-45RefCC-45RefC-cCleanString (lambda (arg-0) (CompilerC-45RefCC-45RefC-showcCleanString (PreludeC-45Types-fastUnpack arg-0) "")))
(define CompilerC-45RefCC-45RefC-cArgsVectANF (lambda (arg-1) (if (null? arg-1) (lambda (eta-0) (vector 1 '())) (let ((e-3 (car arg-1))) (let ((e-4 (cdr arg-1))) (let ((eff-0 (CompilerC-45RefCC-45RefC-cArgsVectANF e-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (cons (CompilerC-45RefCC-45RefC-varName e-3) e-5))))) eff-1))))))))))))
(define CompilerC-45RefCC-45RefC-additionalFFIStub (lambda (arg-0 arg-1 arg-2) (case (vector-ref arg-2 0) ((20) (let ((e-0 (vector-ref arg-2 1))) (CompilerC-45RefCC-45RefC-additionalFFIStub arg-0 (CompilerC-45RefCC-45RefC-discardLastArgument arg-1) e-0)))(else (string-append (CompilerC-45RefCC-45RefC-cTypeOfCFType arg-2) (string-append " (*" (string-append (CompilerC-45RefCC-45RefC-cName arg-0) (string-append ")(" (string-append (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (DataC-45List-intersperse ", " ((csegen-6476) arg-1))) ") = (void*)missing_ffi;\xa;")))))))))
(define CompilerC-45RefCC-45RefC-addHeader (lambda (arg-0 ext-0) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (LibrariesC-45DataC-45SortedSet-insert ext-0 e-5)))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-1)))))))))
(define CompilerC-45RefCC-45RefC-addCommaToList (lambda (arg-0) (if (null? arg-0) '() (let ((e-2 (car arg-0))) (let ((e-3 (cdr arg-0))) (cons (string-append "  " e-2) (((csegen-25) (lambda (arg-1) (string-append ", " arg-1))) e-3)))))))
(define LibrariesC-45DataC-45DList-snoc (lambda (arg-1 arg-2 ext-0) (arg-1 (cons arg-2 ext-0))))
(define LibrariesC-45DataC-45DList-reify (lambda (arg-1) (arg-1 '())))
(define LibrariesC-45DataC-45DList-appendR (lambda (arg-1 arg-2 ext-0) (arg-1 (PreludeC-45TypesC-45List-tailRecAppend arg-2 ext-0))))
(define LibrariesC-45DataC-45DList-appendL (lambda (arg-1 arg-2 ext-0) (PreludeC-45TypesC-45List-tailRecAppend arg-1 (arg-2 ext-0))))
(define CompilerC-45RefCC-45CC-n--6721-1678-u--clibdirs (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (((csegen-25) (lambda (u--d) (string-append "-L" (string-append u--d " ")))) arg-4))))
(define CompilerC-45RefCC-45CC-findCC(blodwen-lazy (lambda () (PrimIO-io_bind (System-getEnv (csegen-40) "IDRIS2_CC") (lambda (_-0) (if (null? _-0) (PrimIO-io_bind (System-getEnv (csegen-40) "CC") (lambda (_-1) (lambda (clam-0) (if (null? _-1) ((csegen-0) "cc") (let ((e-2 (unbox _-1))) e-2))))) (let ((e-2 (unbox _-0))) (lambda (eta-0) e-2))))))))
(define CompilerC-45RefCC-45CC-compileCObjectFile (lambda (arg-0 arg-1 arg-2 arg-3) (let ((eff-0 (csegen-6524))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Directory-findDataFile arg-0 "refc"))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Directory-findDataFile arg-0 "c"))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((u--libraryFlag (cond ((equal? arg-1 1) ((csegen-0) "-fpic ")) (else (csegen-1))))) (let ((u--runccobj (string-append e-5 (string-append " -Werror -c " (string-append u--libraryFlag (string-append arg-2 (string-append " -o " (string-append arg-3 (string-append " -I" (string-append e-6 (string-append " -I" e-7))))))))))) (let ((eff-3 (CoreC-45ContextC-45Log-log arg-0 "compiler.refc.cc" 10 (lambda () u--runccobj)))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-4 (let ((eff-4 (PrimIO-io_bind (System-system (csegen-40) u--runccobj) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (clam-0) (cond ((equal? e-9 0) (vector 1 (box arg-3)))(else (vector 1 '())))))) eff-5))))))))) eff-4)))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))
(define CompilerC-45RefCC-45CC-compileCFile (lambda (arg-0 arg-1 arg-2 arg-3) (let ((eff-0 (csegen-6524))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-getDirs arg-0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Directory-findDataFile arg-0 "refc"))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45Directory-findLibraryFile arg-0 "libidris2_support.a"))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((u--sharedFlag (cond ((equal? arg-1 1) ((csegen-0) "-shared ")) (else (csegen-1))))) (let ((u--runcc (string-append e-5 (string-append " -Werror " (string-append u--sharedFlag (string-append arg-2 (string-append " -o " (string-append arg-3 (string-append " " (string-append e-8 (string-append " " (string-append "-lidris2_refc " (string-append "-L" (string-append e-7 (string-append " " (string-append (CompilerC-45RefCC-45CC-n--6721-1678-u--clibdirs arg-3 arg-2 arg-1 arg-0 (let ((e-9 (vector-ref e-6 9))) e-9)) "-lgmp -lm")))))))))))))))) (let ((eff-4 (CoreC-45ContextC-45Log-log arg-0 "compiler.refc.cc" 10 (lambda () u--runcc)))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-5 (let ((eff-5 (PrimIO-io_bind (System-system (csegen-40) u--runcc) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-10 (vector-ref lcase-5 1))) (let ((eff-6 (lambda (clam-0) (cond ((equal? e-10 0) (vector 1 (box arg-3)))(else (vector 1 '())))))) eff-6))))))))) eff-5)))))))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))
(define IdrisC-45ModTree-case--buildMod-8737 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11) (let ((e-2 (car arg-11))) (let ((e-3 (cdr arg-11))) (let ((eff-0 (CoreC-45ContextC-45Log-log arg-6 "import" 20 (lambda () (DataC-45String-unwords (PreludeC-45TypesC-45List-tailRecAppend (cons "Checking whether to rebuild " (cons arg-7 (cons (string-append "(" (string-append arg-9 ")")) (cons "with dependencies:" '())))) e-3)))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-1 (let ((eff-1 (IdrisC-45ModTree-needsBuilding arg-6 arg-4 arg-7 arg-9 e-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (csegen-2360))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45Core-newRef (vector "Core.Metadata.MD" ) (CoreC-45Metadata-initMetadata (vector 0 arg-8))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-4 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (let ((eff-4 arg-5)) (PrimIO-io_bind (let ((eff-5 eff-4)) (lambda (eta-0) (set-box! eff-5 (IdrisC-45Syntax-initSyntax)))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-4 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-5 (let ((eff-5 (cond ((equal? e-6 1) ((let ((u--pad (PreludeC-45Types-prim__integerToNat (- (PreludeC-45TypesC-45String-length (PreludeC-45Show-u--show_Show_Nat arg-1)) (PreludeC-45TypesC-45String-length (PreludeC-45Show-u--show_Show_Nat arg-2)))))) (let ((u--msgPrefix (((csegen-380) (((csegen-380) (((csegen-380) (((csegen-380) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-863) (DataC-45String-replicate u--pad #\ ))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-byShow (csegen-1068) arg-2))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-slash))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-byShow (csegen-1068) arg-1))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-colon)))) (let ((u--buildMsg (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-3666) (let ((e-1 (vector-ref arg-0 1))) e-1)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-parens (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-863) arg-7))))) (lambda () (let ((eff-5 (CoreC-45ContextC-45Log-log arg-6 "import.file" 10 (lambda () (string-append "Processing " arg-7))))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-4 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-6 (IdrisC-45ProcessIdr-process arg-6 e-8 e-7 arg-5 arg-4 u--msgPrefix u--buildMsg arg-7 arg-8))) eff-6)))))))))))) (else (lambda (eta-0) (vector 1 '())))))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-4 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-10 (vector-ref lcase-5 1))) (let ((eff-6 (let ((eff-6 (IdrisC-45REPLC-45Common-emitWarningsAndErrors arg-6 arg-4 arg-5 (let ((sc7 (PreludeC-45Types-u--null_Foldable_List e-10))) (cond ((equal? sc7 1) e-2) (else e-10)))))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-4 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-11 (vector-ref lcase-6 1))) (let ((eff-7 (lambda (eta-0) (vector 1 (PreludeC-45TypesC-45List-tailRecAppend e-11 (let ((sc8 (PreludeC-45Types-u--null_Foldable_List e-10))) (cond ((equal? sc8 1) e-2) (else (PreludeC-45TypesC-45List-tailRecAppend e-2 e-10))))))))) eff-7))))))))) eff-6))))))))) eff-5)))))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))
(define IdrisC-45ModTree-n--16078-9447-u--dropLater (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (if (null? arg-4) '() (let ((e-2 (car arg-4))) (let ((e-3 (cdr arg-4))) (cons e-2 (IdrisC-45ModTree-n--16078-9447-u--dropLater arg-0 arg-1 arg-2 arg-3 (PreludeC-45TypesC-45List-filterAppend '() (lambda (u--x) (PreludeC-45EqOrd-u--C-47C-61_Eq_String (let ((e-0 (vector-ref u--x 0))) e-0) (let ((e-0 (vector-ref e-2 0))) e-0))) e-3))))))))
(define IdrisC-45ModTree-u--show_Show_BuildMod (lambda (arg-0) (string-append (let ((e-0 (vector-ref arg-0 0))) e-0) (string-append " [" (string-append (CoreC-45NameC-45Namespace-showSep ", " ((csegen-1291) (let ((e-2 (vector-ref arg-0 2))) e-2))) "]")))))
(define IdrisC-45ModTree-u--showPrec_Show_BuildMod (lambda (arg-0 arg-1) (IdrisC-45ModTree-u--show_Show_BuildMod arg-1)))
(define IdrisC-45ModTree-needsBuildingTime (lambda (arg-0 arg-1 arg-2 arg-3) (IdrisC-45ProcessIdr-isTTCOutdated arg-0 arg-2 (cons arg-1 arg-3))))
(define IdrisC-45ModTree-needsBuildingHash (lambda (arg-0 arg-1 arg-2 arg-3) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (IdrisC-45ProcessIdr-unchangedHash (let ((e-4 (vector-ref e-5 4))) (let ((e-33 (vector-ref e-4 9))) e-33)) arg-2 arg-1))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (let ((eff-2 (CoreC-45Core-traverseC-39 (lambda (eta-0) (IdrisC-45ModTree-needsBuildingDepHash arg-0 eta-0)) arg-3 '()))) (((csegen-50) ((let ((eff-3 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-7 (vector-ref eta-3 1))) (vector 1 (eta-2 e-7))))))))))) (lambda (arg-4) (lambda (arg-5) ((((eff-3 'erased) 'erased) arg-4) arg-5)))) (lambda (eta-0) (PreludeC-45Interfaces-any (csegen-16) (lambda (eta-1) eta-1) eta-0)))) eff-2)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (cond ((equal? e-6 1) e-7) (else 1)))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))
(define IdrisC-45ModTree-needsBuildingDepHash (lambda (arg-0 arg-1) (CoreC-45Core-u--catch_Catchable_Core_Error (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Directory-getTTCFileName arg-0 arg-1 "ttc"))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (IdrisC-45ProcessIdr-unchangedHash (let ((e-4 (vector-ref e-5 4))) (let ((e-34 (vector-ref e-4 9))) e-34)) e-6 arg-1))) (((csegen-50) ((let ((eff-3 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-7 (vector-ref eta-3 1))) (vector 1 (eta-2 e-7))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-3 'erased) 'erased) arg-2) arg-3)))) (csegen-2180))) eff-2)))) eff-2))))))))) eff-1))))))) (lambda (u--error) (lambda (eta-0) (vector 1 0))))))
(define IdrisC-45ModTree-needsBuilding (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (let ((eff-0 (PrimIO-io_bind (SystemC-45FileC-45Meta-exists (csegen-40) arg-3) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (cond ((equal? e-5 1) (let ((eff-1 (let ((eff-1 (CoreC-45Context-getSession arg-0))) (((csegen-50) ((let ((eff-2 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-6 (vector-ref eta-3 1))) (vector 1 (eta-2 e-6))))))))))) (lambda (arg-5) (lambda (arg-6) ((((eff-2 'erased) 'erased) arg-5) arg-6)))) (lambda (eta-0) (let ((e-20 (vector-ref eta-0 20))) e-20)))) eff-1)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (cond ((equal? e-6 1) (IdrisC-45ModTree-needsBuildingHash arg-0 arg-2 arg-3 arg-4)) (else (IdrisC-45ModTree-needsBuildingTime arg-0 arg-2 arg-3 arg-4))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (cond ((equal? e-7 0) (let ((eff-3 (CoreC-45ContextC-45Log-log arg-0 "import" 20 (lambda () (string-append (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons ((csegen-0) (cond ((equal? e-6 1) ((csegen-0) "Hashes")) (else ((csegen-0) "Mod Times")))) (cons ((csegen-0) " still valid for ") '()))) arg-2))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-4 (let ((eff-4 (IdrisC-45ProcessIdr-missingIncremental arg-0 arg-3))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (cond ((equal? e-9 0) (let ((eff-5 (let ((eff-5 (let ((eff-5 arg-1)) (PrimIO-io_bind (let ((eff-6 eff-5)) (lambda (eta-0) (unbox eff-6))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (((csegen-50) ((let ((eff-6 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-10 (vector-ref eta-3 1))) (vector 1 (eta-2 e-10))))))))))) (lambda (arg-5) (lambda (arg-6) ((((eff-6 'erased) 'erased) arg-5) arg-6)))) (lambda (eta-0) (let ((e-3 (vector-ref eta-0 3))) e-3)))) eff-5)))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-10 (vector-ref lcase-5 1))) (let ((eff-6 (if (null? e-10) (lambda (eta-0) (vector 1 0)) (let ((e-1 (unbox e-10))) (let ((eff-6 (CoreC-45ContextC-45Log-log arg-0 (csegen-6534) 10 (lambda () (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons ((csegen-0) "Checking totality requirement of ") (cons arg-2 (cons ((csegen-0) " (main file is ") (cons e-1 (csegen-3492)))))))))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-2 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-7 (let ((sc11 (PreludeC-45EqOrd-u--C-61C-61_Eq_String arg-2 e-1))) (cond ((equal? sc11 1) (let ((eff-7 (let ((eff-7 (let ((eff-7 (CoreC-45Context-getSession arg-0))) (((csegen-50) ((let ((eff-8 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-12 (vector-ref eta-3 1))) (vector 1 (eta-2 e-12))))))))))) (lambda (arg-5) (lambda (arg-6) ((((eff-8 'erased) 'erased) arg-5) arg-6)))) (lambda (eta-0) (let ((e-31 (vector-ref eta-0 1))) e-31)))) eff-7)))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-2 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-12 (vector-ref lcase-7 1))) (let ((eff-8 (IdrisC-45ModTree-checkTotalReq arg-0 arg-2 arg-3 e-12))) eff-8))))))))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-2 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-12 (vector-ref lcase-7 1))) (let ((eff-8 (cond ((equal? e-12 1) (let ((eff-8 (PrimIO-io_bind (SystemC-45FileC-45ReadWrite-removeFile (csegen-40) arg-3) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-8 (lambda (lcase-8) (case (vector-ref lcase-8 0) ((0) (let ((e-2 (vector-ref lcase-8 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-13 (vector-ref lcase-8 1))) (let ((eff-9 (lambda (clam-0) (case (vector-ref e-13 0) ((1) (vector 1 1)) (else (let ((e-14 (vector-ref e-13 1))) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 51 arg-3 e-14) clam-0))))))) eff-9)))))))) (else (lambda (eta-0) (vector 1 0)))))) eff-8)))))))) (else (lambda (eta-0) (vector 1 0))))))) eff-7)))))))))) eff-6)))))))) (else (lambda (eta-0) (vector 1 1)))))) eff-5))))))))) eff-4))))))) (else (lambda (eta-0) (vector 1 1)))))) eff-3))))))))) eff-2)))))))) (else (lambda (eta-0) (vector 1 1)))))) eff-1)))))))))
(define IdrisC-45ModTree-mkModTree (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (let ((sc0 (PreludeC-45Types-elem (csegen-16) (csegen-353) arg-6 arg-4))) (cond ((equal? sc0 1) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 57 (PreludeC-45TypesC-45List-tailRecAppend arg-4 (cons arg-6 '()))) eta-0))) (else (CoreC-45Core-u--catch_Catchable_Core_Error (let ((eff-0 (let ((eff-0 arg-2)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((sc2 (DataC-45List-lookup (csegen-353) arg-6 e-5))) (if (null? sc2) (let ((eff-1 (PreludeC-45Types-maybe (lambda () (CoreC-45Directory-nsToSource arg-0 arg-3 arg-6)) (lambda () (lambda (eta-0) (lambda (eta-1) (vector 1 eta-0)))) arg-5))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (IdrisC-45ProcessIdr-readHeader arg-0 arg-1 e-6 arg-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((u--imps ((csegen-5366) (let ((e-2 (vector-ref e-7 2))) e-2)))) (let ((sc5 (PreludeC-45Types-elem (csegen-16) (csegen-353) arg-6 u--imps))) (cond ((equal? sc5 1) (lambda (eta-0) (CoreC-45Core-coreFail (vector 57 (cons arg-6 (cons arg-6 '()))) eta-0))) (else (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (IdrisC-45ModTree-mkModTree arg-0 arg-1 arg-2 arg-3 (cons arg-6 arg-4) '() eta-0)) u--imps '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((u--mt (vector arg-6 (box e-6) e-8))) (let ((eff-4 (let ((eff-4 (let ((eff-4 arg-2)) (PrimIO-io_bind (let ((eff-5 eff-4)) (lambda (eta-0) (unbox eff-5))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (let ((eff-5 arg-2)) (PrimIO-io_bind (let ((eff-6 eff-5)) (lambda (eta-0) (set-box! eff-6 (cons (cons arg-6 u--mt) e-9)))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-5))))))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-5 (lambda (eta-0) (vector 1 u--mt)))) eff-5))))))))) eff-4))))))))))))) eff-3))))))))) eff-2))))))) (let ((e-2 (unbox sc2))) (lambda (eta-0) (vector 1 e-2))))))) eff-1))))))) (lambda (u--err) (lambda (clam-0) (case (vector-ref u--err 0) ((57) (CoreC-45Core-u--throw_Catchable_Core_Error u--err clam-0)) ((55) (CoreC-45Core-u--throw_Catchable_Core_Error u--err clam-0)) ((54) (CoreC-45Core-u--throw_Catchable_Core_Error u--err clam-0)) ((53) (CoreC-45Core-u--throw_Catchable_Core_Error u--err clam-0))(else (vector 1 (vector arg-6 '() '()))))))))))))
(define IdrisC-45ModTree-mkBuildMods (lambda (arg-0 arg-1 arg-2) (let ((e-1 (vector-ref arg-2 1))) (if (null? e-1) (lambda (eta-0) (vector 1 (vector 0 ))) (let ((e-3 (unbox e-1))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((sc2 (LibrariesC-45DataC-45StringMap-lookup e-3 e-5))) (if (null? sc2) (let ((eff-1 (CoreC-45Core-traverse_ (lambda (eta-0) (IdrisC-45ModTree-mkBuildMods arg-0 arg-1 eta-0)) (let ((e-4 (vector-ref arg-2 2))) e-4)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-2 (let ((eff-2 (let ((eff-2 (let ((eff-2 arg-1)) (PrimIO-io_bind (let ((eff-3 eff-2)) (lambda (eta-0) (unbox eff-3))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 arg-1)) (PrimIO-io_bind (let ((eff-4 eff-3)) (lambda (eta-0) (set-box! eff-4 (cons (vector e-3 (let ((e-9 (vector-ref arg-2 0))) e-9) (((csegen-25) (lambda (eta-1) (let ((e-9 (vector-ref eta-1 0))) e-9))) (let ((e-4 (vector-ref arg-2 2))) e-4))) e-7)))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-3))))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-3 (let ((eff-3 (let ((eff-3 arg-0)) (PrimIO-io_bind (let ((eff-4 eff-3)) (lambda (eta-0) (unbox eff-4))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-4 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 arg-0)) (PrimIO-io_bind (let ((eff-5 eff-4)) (lambda (eta-0) (set-box! eff-5 (LibrariesC-45DataC-45StringMap-insert e-3 (vector 0 ) e-8)))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-4))))))))) eff-3)))))))) eff-2)))))) (lambda (eta-0) (vector 1 (vector 0 ))))))) eff-1))))))))))))
(define IdrisC-45ModTree-getBuildMods (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (let ((eff-0 (CoreC-45Core-newRef (vector "Idris.ModTree.AllMods" ) '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Directory-ctxtPathToNS arg-0 arg-4))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((sc2 (PreludeC-45Types-elem (csegen-16) (csegen-353) e-6 (((csegen-25) (lambda (eta-0) (let ((e-1 (vector-ref eta-0 1))) e-1))) arg-3)))) (cond ((equal? sc2 1) (lambda (eta-0) (vector 1 '()))) (else (let ((eff-2 (IdrisC-45ModTree-mkModTree arg-0 arg-1 e-5 arg-2 '() (box arg-4) e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45Core-newRef (vector "Idris.ModTree.DoneMod" ) (LibrariesC-45DataC-45StringMap-empty)))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Core-newRef (vector "Idris.ModTree.BuildOrder" ) '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (let ((eff-5 (IdrisC-45ModTree-mkBuildMods e-8 e-9 e-7))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-6 (let ((eff-6 (let ((eff-6 e-9)) (PrimIO-io_bind (let ((eff-7 eff-6)) (lambda (eta-0) (unbox eff-7))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-2 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-11 (vector-ref lcase-6 1))) (let ((eff-7 (lambda (eta-0) (vector 1 (PreludeC-45TypesC-45List-reverse e-11))))) eff-7))))))))) eff-6)))))))) eff-5))))))))) eff-4))))))))) eff-3)))))))))))) eff-2))))))))) eff-1)))))))))
(define IdrisC-45ModTree-getAllBuildMods (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (if (null? arg-5) (lambda (eta-0) (vector 1 arg-4)) (let ((e-2 (car arg-5))) (let ((e-3 (cdr arg-5))) (let ((eff-0 (IdrisC-45ModTree-getBuildMods arg-0 arg-2 arg-3 arg-4 e-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (IdrisC-45ModTree-getAllBuildMods arg-0 arg-1 arg-2 arg-3 (PreludeC-45TypesC-45List-tailRecAppend e-5 arg-4) e-3))) eff-1))))))))))))
(define IdrisC-45ModTree-checkTotalReq (lambda (arg-0 arg-1 arg-2 arg-3) (CoreC-45Core-u--catch_Catchable_Core_Error (let ((eff-0 (CoreC-45ContextC-45Log-log arg-0 "totality.requirement" 20 (lambda () (string-append "Reading totalReq from " arg-2))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45Binary-readTotalReq arg-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-6) (lambda (eta-0) (vector 1 0)) (let ((e-1 (unbox e-6))) (let ((eff-2 (CoreC-45ContextC-45Log-log arg-0 (csegen-6534) 20 (lambda () (DataC-45String-unwords (cons "Got" (cons (CoreC-45TT-u--show_Show_TotalReq e-1) (cons ((csegen-0) "and expected") (cons (string-append (CoreC-45TT-u--show_Show_TotalReq arg-3) ":") (cons "we" (cons (let ((sc3 (CoreC-45TT-u--C-60_Ord_TotalReq e-1 arg-3))) (cond ((equal? sc3 1) ((csegen-0) "should")) (else ((csegen-0) "shouldn't")))) (cons "rebuild" '())))))))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (lambda (eta-0) (vector 1 (CoreC-45TT-u--C-60_Ord_TotalReq e-1 arg-3))))) eff-3)))))))))) eff-2))))))))) eff-1)))))) (lambda (u--error) (lambda (eta-0) (vector 1 0))))))
(define IdrisC-45ModTree-buildMods (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (if (null? arg-6) (lambda (eta-0) (vector 1 '())) (let ((e-2 (car arg-6))) (let ((e-3 (cdr arg-6))) (let ((eff-0 (IdrisC-45ModTree-buildMod arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (if (null? e-5) (IdrisC-45ModTree-buildMods arg-0 arg-1 arg-2 arg-3 (+ arg-4 1) arg-5 e-3) (lambda (eta-0) (vector 1 e-5))))) eff-1))))))))))))
(define IdrisC-45ModTree-buildMod (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (let ((eff-0 (CoreC-45Context-clearCtxt arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45InitPrimitives-addPrimitives arg-0))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45Context-lazyActive arg-0 1))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (let ((eff-3 (CoreC-45Context-setUnboundImplicits arg-0 1))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-4 (let ((u--sourceFile (let ((e-0 (vector-ref arg-6 0))) e-0))) (let ((u--modNamespace (let ((e-1 (vector-ref arg-6 1))) e-1))) (let ((eff-4 (CoreC-45Directory-getTTCFileName arg-0 u--sourceFile "ttc"))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (let ((eff-5 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45Directory-nsToPath arg-0 arg-3 eta-0)) (let ((e-2 (vector-ref arg-6 2))) e-2) '()))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-10 (vector-ref lcase-5 1))) (let ((eff-6 (IdrisC-45ModTree-case--buildMod-8737 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 arg-0 u--sourceFile u--modNamespace e-9 e-10 (DataC-45Either-partitionEithers e-10)))) eff-6))))))))) eff-5))))))))))) eff-4)))))))) eff-3)))))))) eff-2)))))))) eff-1))))))))
(define IdrisC-45ModTree-buildDeps (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (let ((eff-0 (IdrisC-45ModTree-getBuildMods arg-0 arg-4 (vector 2 ) '() arg-5))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45ContextC-45Log-log arg-0 "import" 20 (lambda () (string-append "Needs to rebuild: " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (cons (lambda (u--x) (IdrisC-45ModTree-u--show_Show_BuildMod u--x)) (lambda (u--d) (lambda (u--x) (IdrisC-45ModTree-u--showPrec_Show_BuildMod u--d u--x)))) e-5)))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (IdrisC-45ModTree-buildMods arg-0 arg-1 arg-4 (vector 2 ) 1 (PreludeC-45TypesC-45List-lengthTR e-5) e-5))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (if (null? e-7) (let ((eff-3 (CoreC-45Context-clearCtxt arg-0))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-4 (let ((eff-4 (CoreC-45InitPrimitives-addPrimitives arg-0))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-5 (let ((eff-5 (CoreC-45Directory-ctxtPathToNS arg-0 arg-5))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-10 (vector-ref lcase-5 1))) (let ((eff-6 (let ((eff-6 (let ((eff-6 arg-2)) (PrimIO-io_bind (let ((eff-7 eff-6)) (lambda (eta-0) (set-box! eff-7 (CoreC-45Metadata-initMetadata (vector 0 e-10))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-2 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-7 (let ((eff-7 (CoreC-45Directory-getTTCFileName arg-0 arg-5 "ttc"))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-2 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-12 (vector-ref lcase-7 1))) (let ((eff-8 (let ((eff-8 (CoreC-45ContextC-45Log-log arg-0 "import" 10 (lambda () (string-append (csegen-6549) (string-append (PreludeC-45Show-u--show_Show_String e-12) (string-append " from " arg-5))))))) (PrimIO-io_bind eff-8 (lambda (lcase-8) (case (vector-ref lcase-8 0) ((0) (let ((e-2 (vector-ref lcase-8 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-9 (let ((eff-9 (IdrisC-45ProcessIdr-readAsMain arg-0 arg-3 arg-1 e-12))) (PrimIO-io_bind eff-9 (lambda (lcase-9) (case (vector-ref lcase-9 0) ((0) (let ((e-2 (vector-ref lcase-9 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-10 (let ((eff-10 (CoreC-45Directory-getTTCFileName arg-0 arg-5 "ttm"))) (PrimIO-io_bind eff-10 (lambda (lcase-10) (case (vector-ref lcase-10 0) ((0) (let ((e-2 (vector-ref lcase-10 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-15 (vector-ref lcase-10 1))) (let ((eff-11 (let ((eff-11 (CoreC-45ContextC-45Log-log arg-0 "import" 10 (lambda () (string-append (csegen-6549) (PreludeC-45Show-u--show_Show_String e-15)))))) (PrimIO-io_bind eff-11 (lambda (lcase-11) (case (vector-ref lcase-11 0) ((0) (let ((e-2 (vector-ref lcase-11 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-12 (let ((eff-12 (CoreC-45Metadata-readFromTTM arg-2 e-15))) (PrimIO-io_bind eff-12 (csegen-1025))))) eff-12)))))))) eff-11))))))))) eff-10)))))))) eff-9)))))))) eff-8))))))))) eff-7)))))))) eff-6))))))))) eff-5)))))))) eff-4)))))) (lambda (eta-0) (vector 1 e-7))))) eff-3))))))))) eff-2)))))))) eff-1)))))))))
(define IdrisC-45ModTree-buildAll (lambda (arg-0 arg-1 arg-2 arg-3) (let ((eff-0 (IdrisC-45ModTree-getAllBuildMods arg-0 arg-1 arg-2 (vector 2 ) '() arg-3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--modsC-39 (IdrisC-45ModTree-n--16078-9447-u--dropLater arg-3 arg-2 arg-1 arg-0 e-5))) (IdrisC-45ModTree-buildMods arg-0 arg-1 arg-2 (vector 2 ) 1 (PreludeC-45TypesC-45List-lengthTR u--modsC-39) u--modsC-39)))) eff-1)))))))))
(define IdrisC-45IDEModeC-45MakeClause-case--makeWith-7076 (lambda (arg-0 arg-1 arg-2) (let ((e-2 (car arg-2))) (let ((e-3 (cdr arg-2))) (let ((u--isrc (let ((sc1 (DataC-45String-span (lambda (eta-0) (PreludeC-45Types-isSpace eta-0)) e-3))) (let ((e-5 (car sc1))) (let ((e-4 (cdr sc1))) (cons (PreludeC-45TypesC-45String-length e-5) e-4)))))) (let ((u--indent (Builtin-fst u--isrc))) (let ((u--src (Builtin-snd u--isrc))) (let ((u--lhs (PreludeC-45Types-fastPack (IdrisC-45IDEModeC-45MakeClause-n--4699-6953-u--readLHS arg-0 arg-1 0 (PreludeC-45Types-fastUnpack u--src))))) (string-append (IdrisC-45IDEModeC-45MakeClause-n--4699-6955-u--mkWithArg arg-0 arg-1 e-2 u--indent u--lhs) (string-append "\xa;" (IdrisC-45IDEModeC-45MakeClause-n--4699-6956-u--mkWithPat arg-0 arg-1 e-2 u--indent u--lhs)))))))))))
(define IdrisC-45IDEModeC-45MakeClause-n--4892-7142-u--replaceStr (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (cond ((equal? arg-6 "") "")(else (let ((sc0 (DataC-45String-isPrefixOf arg-4 arg-6))) (cond ((equal? sc0 1) (string-append (IdrisC-45IDEModeC-45MakeClause-n--4892-7141-u--addCase arg-0 arg-1 arg-2 arg-3 arg-5) (PreludeC-45Types-fastPack (DataC-45List-drop (PreludeC-45TypesC-45String-length arg-4) (PreludeC-45Types-fastUnpack arg-6))))) (else (string-cons (string-ref arg-6 0) (IdrisC-45IDEModeC-45MakeClause-n--4892-7142-u--replaceStr arg-0 arg-1 arg-2 (+ arg-3 1) arg-4 arg-5 (substring arg-6 1 (string-length arg-6)))))))))))
(define IdrisC-45IDEModeC-45MakeClause-n--4699-6953-u--readLHS (lambda (arg-0 arg-1 arg-2 arg-3) (cond ((equal? arg-2 0) (if (null? arg-3) (if (null? arg-3) '() (let ((e-1 (car arg-3))) (let ((e-2 (cdr arg-3))) (cond ((equal? e-1 #\() (cons #\( (IdrisC-45IDEModeC-45MakeClause-n--4699-6953-u--readLHS arg-0 arg-1 (+ arg-2 1) e-2))) ((equal? e-1 #\{) (cons #\{ (IdrisC-45IDEModeC-45MakeClause-n--4699-6953-u--readLHS arg-0 arg-1 (+ arg-2 1) e-2))) ((equal? e-1 #\)) (cons #\) (IdrisC-45IDEModeC-45MakeClause-n--4699-6953-u--readLHS arg-0 arg-1 (DataC-45Nat-pred arg-2) e-2))) ((equal? e-1 #\}) (cons #\} (IdrisC-45IDEModeC-45MakeClause-n--4699-6953-u--readLHS arg-0 arg-1 (DataC-45Nat-pred arg-2) e-2)))(else (cons e-1 (IdrisC-45IDEModeC-45MakeClause-n--4699-6953-u--readLHS arg-0 arg-1 arg-2 e-2))))))) (let ((e-5 (car arg-3))) (cond ((equal? e-5 #\=) '())(else (if (null? arg-3) '() (let ((e-1 (car arg-3))) (let ((e-2 (cdr arg-3))) (cond ((equal? e-1 #\() (cons #\( (IdrisC-45IDEModeC-45MakeClause-n--4699-6953-u--readLHS arg-0 arg-1 (+ arg-2 1) e-2))) ((equal? e-1 #\{) (cons #\{ (IdrisC-45IDEModeC-45MakeClause-n--4699-6953-u--readLHS arg-0 arg-1 (+ arg-2 1) e-2))) ((equal? e-1 #\)) (cons #\) (IdrisC-45IDEModeC-45MakeClause-n--4699-6953-u--readLHS arg-0 arg-1 (DataC-45Nat-pred arg-2) e-2))) ((equal? e-1 #\}) (cons #\} (IdrisC-45IDEModeC-45MakeClause-n--4699-6953-u--readLHS arg-0 arg-1 (DataC-45Nat-pred arg-2) e-2)))(else (cons e-1 (IdrisC-45IDEModeC-45MakeClause-n--4699-6953-u--readLHS arg-0 arg-1 arg-2 e-2))))))))))))(else (if (null? arg-3) '() (let ((e-1 (car arg-3))) (let ((e-2 (cdr arg-3))) (cond ((equal? e-1 #\() (cons #\( (IdrisC-45IDEModeC-45MakeClause-n--4699-6953-u--readLHS arg-0 arg-1 (+ arg-2 1) e-2))) ((equal? e-1 #\{) (cons #\{ (IdrisC-45IDEModeC-45MakeClause-n--4699-6953-u--readLHS arg-0 arg-1 (+ arg-2 1) e-2))) ((equal? e-1 #\)) (cons #\) (IdrisC-45IDEModeC-45MakeClause-n--4699-6953-u--readLHS arg-0 arg-1 (DataC-45Nat-pred arg-2) e-2))) ((equal? e-1 #\}) (cons #\} (IdrisC-45IDEModeC-45MakeClause-n--4699-6953-u--readLHS arg-0 arg-1 (DataC-45Nat-pred arg-2) e-2)))(else (cons e-1 (IdrisC-45IDEModeC-45MakeClause-n--4699-6953-u--readLHS arg-0 arg-1 arg-2 e-2)))))))))))
(define IdrisC-45IDEModeC-45MakeClause-n--4699-6954-u--pref (lambda (arg-0 arg-1 arg-2 arg-3) (ParserC-45Unlit-relit arg-2 (PreludeC-45Types-fastPack (DataC-45List-replicateTR '() arg-3 #\ )))))
(define IdrisC-45IDEModeC-45MakeClause-n--4892-7143-u--newLines (lambda (arg-0 arg-1 arg-2 arg-3) (IdrisC-45IDEModeC-45MakeClause-n--4892-7142-u--replaceStr arg-0 arg-1 arg-2 0 (string-append "?" (CoreC-45Name-u--show_Show_Name arg-1)) arg-3 arg-0)))
(define IdrisC-45IDEModeC-45MakeClause-n--4699-6956-u--mkWithPat (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (string-append (IdrisC-45IDEModeC-45MakeClause-n--4699-6954-u--pref arg-0 arg-1 arg-2 (+ arg-3 2)) (string-append arg-4 (string-append "| with_pat = ?" (string-append (IdrisC-45IDEModeC-45MakeClause-showRHSName arg-1) "_rhs"))))))
(define IdrisC-45IDEModeC-45MakeClause-n--4699-6955-u--mkWithArg (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (string-append (IdrisC-45IDEModeC-45MakeClause-n--4699-6954-u--pref arg-0 arg-1 arg-2 arg-3) (string-append arg-4 "with (_)"))))
(define IdrisC-45IDEModeC-45MakeClause-n--4892-7141-u--addCase (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (let ((e-2 (car arg-4))) (let ((e-3 (cdr arg-4))) (IdrisC-45IDEModeC-45MakeClause-n--4892-7140-u--addBrackets arg-0 arg-1 arg-2 arg-2 (string-append e-2 (string-append "\xa;" (string-append (PreludeC-45Types-fastPack (DataC-45List-replicateTR '() (+ arg-3 (cond ((equal? arg-2 1) 6) (else 5))) #\ )) e-3))))))))
(define IdrisC-45IDEModeC-45MakeClause-n--4892-7140-u--addBrackets (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (cond ((equal? arg-3 0) arg-4) (else (string-append "(" (string-append arg-4 ")"))))))
(define IdrisC-45IDEModeC-45MakeClause-showRHSName (lambda (arg-0) (let ((u--fn (CoreC-45Name-u--show_Show_Name (CoreC-45Name-dropNS arg-0)))) (let ((sc0 (PreludeC-45Interfaces-any (csegen-16) (lambda (eta-0) (CoreC-45Name-isOpChar eta-0)) (PreludeC-45Types-fastUnpack u--fn)))) (cond ((equal? sc0 1) "op") (else u--fn))))))
(define IdrisC-45IDEModeC-45MakeClause-makeWith (lambda (arg-0 arg-1) (IdrisC-45IDEModeC-45MakeClause-case--makeWith-7076 arg-1 arg-0 (ParserC-45Unlit-isLitLine arg-1))))
(define IdrisC-45IDEModeC-45MakeClause-makeCase (lambda (arg-0 arg-1 arg-2) (let ((u--capp (cons "case _ of" (string-append "case_val => ?" (CoreC-45Name-u--show_Show_Name arg-1))))) (IdrisC-45IDEModeC-45MakeClause-n--4892-7143-u--newLines arg-2 arg-1 arg-0 u--capp))))
(define IdrisC-45IDEModeC-45CaseSplit-with--handleHoleNameParen-3591 (lambda (arg-0 arg-1) (if (null? arg-0) (case (vector-ref arg-1 0) ((0) '())(else (let ((e-1 (vector-ref arg-1 1))) (let ((e-2 (vector-ref arg-1 2))) (PreludeC-45TypesC-45List-tailRecAppend ((csegen-6550) e-2) (cons e-1 '())))))) (let ((e-1 (vector-ref arg-1 1))) (let ((e-2 (vector-ref arg-1 2))) (PreludeC-45TypesC-45List-tailRecAppend ((csegen-6550) e-2) (cons e-1 '())))))))
(define IdrisC-45IDEModeC-45CaseSplit-with--handleOnelineParen-3549 (lambda (arg-0 arg-1 arg-2) (if (null? arg-0) (case (vector-ref arg-1 0) ((0) '())(else (let ((e-1 (vector-ref arg-1 1))) (let ((e-2 (vector-ref arg-1 2))) (let ((e-3 (vector-ref arg-1 3))) (PreludeC-45TypesC-45List-tailRecAppend (IdrisC-45IDEModeC-45CaseSplit-n--12169-3567-u--handleMiddle e-1 e-2 e-3 arg-2 e-2) (cons (IdrisC-45IDEModeC-45CaseSplit-onelineIndent arg-2 e-1) '()))))))) (let ((e-1 (vector-ref arg-1 1))) (let ((e-2 (vector-ref arg-1 2))) (let ((e-3 (vector-ref arg-1 3))) (PreludeC-45TypesC-45List-tailRecAppend (IdrisC-45IDEModeC-45CaseSplit-n--12169-3567-u--handleMiddle e-1 e-2 e-3 arg-2 e-2) (cons (IdrisC-45IDEModeC-45CaseSplit-onelineIndent arg-2 e-1) '()))))))))
(define IdrisC-45IDEModeC-45CaseSplit-with--dropLast-3437 (lambda (arg-0 arg-1) (if (null? arg-0) (case (vector-ref arg-1 0) ((0) '())(else (let ((e-2 (vector-ref arg-1 2))) e-2))) (let ((e-2 (vector-ref arg-1 2))) e-2))))
(define IdrisC-45IDEModeC-45CaseSplit-case--updateCase-3740 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (if (null? arg-7) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 "No file loaded") eta-0)) (let ((e-2 (unbox arg-7))) (let ((eff-0 (PrimIO-io_bind (SystemC-45FileC-45ReadWrite-readFile (csegen-40) e-2) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (case (vector-ref e-5 0) ((1) (let ((e-3 (vector-ref e-5 1))) (let ((u--thisline (LibrariesC-45DataC-45ListC-45Extra-elemAt (DataC-45String-lines e-3) (PreludeC-45Types-prim__integerToNat ((csegen-2038) arg-1))))) (if (null? u--thisline) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 ((csegen-0) "File too short!")) eta-0)) (let ((e-4 (unbox u--thisline))) (let ((u--valid (PreludeC-45TypesC-45List-mapMaybeAppend '() (lambda (eta-0) (IdrisC-45IDEModeC-45CaseSplit-n--12282-3675-u--getValid arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 eta-0)) arg-2))) (let ((u--bad (PreludeC-45TypesC-45List-mapMaybeAppend '() (lambda (eta-0) (IdrisC-45IDEModeC-45CaseSplit-n--12282-3676-u--getBad arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 eta-0)) arg-2))) (let ((eff-1 (CoreC-45ContextC-45Log-log arg-5 (csegen-4830) 3 (lambda () (string-append "Valid: " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-3564) u--valid)))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-6 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45ContextC-45Log-log arg-5 (csegen-4830) 3 (lambda () (string-append "Bad: " (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-1016) u--bad)))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-7 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((eff-3 (let ((sc6 (DataC-45List-isNil u--valid))) (cond ((equal? sc6 1) (let ((u--indent (IdrisC-45IDEModeC-45CaseSplit-n--12282-3677-u--getIndent arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 0 (PreludeC-45Types-fastUnpack e-4)))) (CoreC-45Core-traverseC-39 (lambda (eta-0) (IdrisC-45IDEModeC-45CaseSplit-showImpossible arg-5 arg-4 arg-3 u--indent eta-0)) u--bad '()))) (else (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-0) (IdrisC-45IDEModeC-45CaseSplit-getReplaces arg-5 arg-4 arg-3 eta-0)) u--valid '()))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-8 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((u--stok (IdrisC-45IDEModeC-45TokenLine-tokens e-4))) (let ((eff-4 (let ((eff-4 arg-5)) (PrimIO-io_bind (let ((eff-5 eff-4)) (lambda (eta-0) (unbox eff-5))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-9 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (let ((eff-5 (CoreC-45Core-newRef (vector "Idris.IDEMode.CaseSplit.UPD" ) '()))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-10 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-5 1))) (let ((eff-6 (let ((eff-6 (IdrisC-45IDEModeC-45CaseSplit-updateAll arg-4 e-10 e-9 u--stok e-8))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-11 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-6 1))) (let ((eff-7 (lambda (eta-0) (vector 1 (let ((sc11 (IdrisC-45IDEModeC-45CaseSplit-getCaseStmtType u--stok))) (if (null? sc11) e-11 (let ((e-12 (unbox sc11))) (IdrisC-45IDEModeC-45CaseSplit-handleCaseStmtType e-11 e-12)))))))) eff-7))))))))) eff-6))))))))) eff-5)))))))))) eff-4)))))))))))) eff-3)))))))) eff-2))))))))))))) (else (let ((e-6 (vector-ref e-5 1))) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 51 e-2 e-6) eta-0))))))) eff-1)))))))))))
(define IdrisC-45IDEModeC-45CaseSplit-case--getCaseStmtType-3320 (lambda (arg-0 arg-1 arg-2) (if (null? arg-2) '() (let ((e-1 (car arg-2))) (let ((e-2 (cdr arg-2))) (if (null? e-1) (case (vector-ref e-2 0) ((2) (let ((sc3 (DataC-45SnocList-findIndex (lambda (eta-0) (IdrisC-45IDEModeC-45CaseSplit-n--11859-3242-u--isNameOf arg-0 eta-0)) (PreludeC-45TypesC-45SnocList-C-60C-62C-60 '() arg-0)))) (if (null? sc3) '() (let ((e-4 (unbox sc3))) (let ((u--ofIndex (PreludeC-45Types-prim__integerToNat (- (PreludeC-45TypesC-45List-lengthTR arg-0) e-4)))) (box (vector 0 (IdrisC-45IDEModeC-45CaseSplit-n--11859-3243-u--calcIndent arg-0 u--ofIndex arg-0))))))))(else '())) (let ((e-6 (cdr e-1))) (case (vector-ref e-6 0) ((2) (case (vector-ref e-2 0) ((7) (let ((e-8 (vector-ref e-2 1))) (cond ((equal? e-8 ")") (let ((sc5 (DataC-45SnocList-findIndex (lambda (eta-0) (IdrisC-45IDEModeC-45CaseSplit-n--11859-3242-u--isNameOf arg-0 eta-0)) (PreludeC-45TypesC-45SnocList-C-60C-62C-60 '() arg-0)))) (if (null? sc5) (box (vector 2 )) (let ((e-3 (unbox sc5))) (let ((u--ofIndex (PreludeC-45Types-prim__integerToNat (- (PreludeC-45TypesC-45List-lengthTR arg-0) e-3)))) (box (vector 1 (IdrisC-45IDEModeC-45CaseSplit-n--11859-3243-u--calcIndent arg-0 u--ofIndex arg-0))))))))(else (case (vector-ref e-2 0) ((2) (let ((sc5 (DataC-45SnocList-findIndex (lambda (eta-0) (IdrisC-45IDEModeC-45CaseSplit-n--11859-3242-u--isNameOf arg-0 eta-0)) (PreludeC-45TypesC-45SnocList-C-60C-62C-60 '() arg-0)))) (if (null? sc5) '() (let ((e-4 (unbox sc5))) (let ((u--ofIndex (PreludeC-45Types-prim__integerToNat (- (PreludeC-45TypesC-45List-lengthTR arg-0) e-4)))) (box (vector 0 (IdrisC-45IDEModeC-45CaseSplit-n--11859-3243-u--calcIndent arg-0 u--ofIndex arg-0))))))))(else '()))))))(else (case (vector-ref e-2 0) ((2) (let ((sc4 (DataC-45SnocList-findIndex (lambda (eta-0) (IdrisC-45IDEModeC-45CaseSplit-n--11859-3242-u--isNameOf arg-0 eta-0)) (PreludeC-45TypesC-45SnocList-C-60C-62C-60 '() arg-0)))) (if (null? sc4) '() (let ((e-4 (unbox sc4))) (let ((u--ofIndex (PreludeC-45Types-prim__integerToNat (- (PreludeC-45TypesC-45List-lengthTR arg-0) e-4)))) (box (vector 0 (IdrisC-45IDEModeC-45CaseSplit-n--11859-3243-u--calcIndent arg-0 u--ofIndex arg-0))))))))(else '())))))(else (case (vector-ref e-2 0) ((2) (let ((sc3 (DataC-45SnocList-findIndex (lambda (eta-0) (IdrisC-45IDEModeC-45CaseSplit-n--11859-3242-u--isNameOf arg-0 eta-0)) (PreludeC-45TypesC-45SnocList-C-60C-62C-60 '() arg-0)))) (if (null? sc3) '() (let ((e-4 (unbox sc3))) (let ((u--ofIndex (PreludeC-45Types-prim__integerToNat (- (PreludeC-45TypesC-45List-lengthTR arg-0) e-4)))) (box (vector 0 (IdrisC-45IDEModeC-45CaseSplit-n--11859-3243-u--calcIndent arg-0 u--ofIndex arg-0))))))))(else '())))))))))))
(define IdrisC-45IDEModeC-45CaseSplit-n--11859-3242-u--isNameOf (lambda (arg-0 arg-1) (case (vector-ref arg-1 0) ((1) (let ((e-0 (vector-ref arg-1 1))) (cond ((equal? e-0 "of") 1)(else 0))))(else 0))))
(define IdrisC-45IDEModeC-45CaseSplit-n--12926-4250-u--indent (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (if (null? arg-5) (PreludeC-45Types-fastPack (DataC-45List-replicateTR '() (PreludeC-45Types-prim__integerToNat (Builtin-snd (CoreC-45FC-startPos arg-6))) #\ )) (let ((e-1 (unbox arg-5))) (ParserC-45Unlit-relit (box e-1) (PreludeC-45Types-fastPack (DataC-45List-replicateTR '() (PreludeC-45Types-prim__integerToNat (PreludeC-45EqOrd-u--max_Ord_Int 0 (bs- (Builtin-snd (CoreC-45FC-startPos arg-6)) 1 63))) #\ )))))))
(define IdrisC-45IDEModeC-45CaseSplit-n--12169-3567-u--handleMiddle (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (if (null? arg-4) '() (let ((e-2 (car arg-4))) (let ((e-3 (cdr arg-4))) (cons (IdrisC-45IDEModeC-45CaseSplit-parenTrim (IdrisC-45IDEModeC-45CaseSplit-onelineIndent arg-3 e-2)) (IdrisC-45IDEModeC-45CaseSplit-n--12169-3567-u--handleMiddle arg-0 arg-1 arg-2 arg-3 e-3)))))))
(define IdrisC-45IDEModeC-45CaseSplit-n--12282-3675-u--getValid (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (case (vector-ref arg-6 0) ((0) (let ((e-1 (vector-ref arg-6 2))) (box e-1)))(else '()))))
(define IdrisC-45IDEModeC-45CaseSplit-n--12282-3677-u--getIndent (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (if (null? arg-7) arg-6 (let ((e-2 (car arg-7))) (let ((e-3 (cdr arg-7))) (cond ((equal? e-2 #\ ) (IdrisC-45IDEModeC-45CaseSplit-n--12282-3677-u--getIndent arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 (+ arg-6 1) e-3))(else arg-6)))))))
(define IdrisC-45IDEModeC-45CaseSplit-n--12282-3676-u--getBad (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (case (vector-ref arg-6 0) ((1) (let ((e-0 (vector-ref arg-6 1))) (box e-0)))(else '()))))
(define IdrisC-45IDEModeC-45CaseSplit-n--11859-3243-u--calcIndent (lambda (arg-0 arg-1 arg-2) (let ((sc0 (DataC-45List-splitAt arg-1 arg-2))) (let ((e-2 (car sc0))) (PreludeC-45Types-u--foldr_Foldable_List (lambda (u--e) (lambda (u--a) (+ u--a (PreludeC-45TypesC-45String-length (IdrisC-45IDEModeC-45TokenLine-toString u--e))))) 0 e-2)))))
(define IdrisC-45IDEModeC-45CaseSplit-n--11005-2480-u--bracket (lambda (arg-0 arg-1 arg-2 arg-3 arg-5) (case (vector-ref arg-5 0) ((0) arg-5) ((38) arg-5) ((39) arg-5) ((40) arg-5) ((42) arg-5) ((44) arg-5) ((15) arg-5)(else (vector 32 (CoreC-45FC-emptyFC) arg-5)))))
(define IdrisC-45IDEModeC-45CaseSplit-updateCase (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (let ((eff-0 (let ((eff-0 arg-2)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (IdrisC-45IDEModeC-45CaseSplit-case--updateCase-3740 arg-5 arg-4 arg-3 arg-2 arg-1 arg-0 e-5 (let ((e-3 (vector-ref e-5 3))) e-3)))) eff-1)))))))))
(define IdrisC-45IDEModeC-45CaseSplit-updateAll (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (if (null? arg-4) (lambda (eta-0) (vector 1 '())) (let ((e-2 (car arg-4))) (let ((e-3 (cdr arg-4))) (let ((eff-0 (IdrisC-45IDEModeC-45CaseSplit-doUpdates arg-0 arg-1 arg-2 e-2 arg-3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (IdrisC-45IDEModeC-45CaseSplit-updateAll arg-0 arg-1 arg-2 arg-3 e-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (cons (PreludeC-45Interfaces-concatMap (csegen-85) (csegen-16) (lambda (eta-1) (IdrisC-45IDEModeC-45TokenLine-toString eta-1)) e-5) e-6))))) eff-2))))))))) eff-1))))))))))))
(define IdrisC-45IDEModeC-45CaseSplit-toStrUpdate (lambda (arg-0 arg-1 arg-2) (if (null? arg-2) (lambda (eta-0) (vector 1 '())) (let ((e-2 (car arg-2))) (let ((e-3 (cdr arg-2))) (case (vector-ref e-2 0) ((1) (let ((e-4 (vector-ref e-2 1))) (case (vector-ref e-4 0) ((0) (let ((e-5 (vector-ref e-4 1))) (let ((eff-0 (IdrisC-45Resugar-pterm arg-0 arg-1 (TTImpC-45TTImpC-45Functor-u--map_Functor_RawImpC-39 (lambda (eta-0) (CoreC-45TT-defaultKindedName eta-0)) e-3)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (cons (cons e-5 (IdrisC-45Syntax-u--show_Show_IPTerm (IdrisC-45IDEModeC-45CaseSplit-n--11005-2480-u--bracket e-5 e-3 arg-1 arg-0 e-6))) '()))))) eff-1)))))))))(else (lambda (eta-0) (vector 1 '()))))))(else (lambda (eta-0) (vector 1 '())))))))))
(define IdrisC-45IDEModeC-45CaseSplit-showImpossible (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (let ((eff-0 (IdrisC-45Resugar-pterm arg-0 arg-1 (TTImpC-45TTImpC-45Functor-u--map_Functor_RawImpC-39 (lambda (eta-0) (CoreC-45TT-defaultKindedName eta-0)) arg-4)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (string-append (PreludeC-45Types-fastPack (DataC-45List-replicateTR '() arg-3 #\ )) (string-append (IdrisC-45Syntax-u--show_Show_IPTerm e-5) " impossible")))))) eff-1)))))))))
(define IdrisC-45IDEModeC-45CaseSplit-rtrim (lambda (ext-0) (string-reverse (DataC-45String-ltrim (string-reverse ext-0)))))
(define IdrisC-45IDEModeC-45CaseSplit-parenTrim (lambda (ext-0) (IdrisC-45IDEModeC-45CaseSplit-rtrim (PreludeC-45Types-fastPack (IdrisC-45IDEModeC-45CaseSplit-dropLast (PreludeC-45Types-fastUnpack ext-0))))))
(define IdrisC-45IDEModeC-45CaseSplit-onelineIndent (lambda (arg-0 ext-0) (DataC-45String-indent arg-0 (PreludeC-45Types-fastPack (DataC-45List-drop arg-0 (PreludeC-45Types-fastUnpack ext-0))))))
(define IdrisC-45IDEModeC-45CaseSplit-isWhitespace (lambda (arg-0) (case (vector-ref arg-0 0) ((0) 1)(else 0))))
(define IdrisC-45IDEModeC-45CaseSplit-handleOnelineParen (lambda (arg-0 arg-1) (IdrisC-45IDEModeC-45CaseSplit-with--handleOnelineParen-3549 arg-1 (DataC-45ListC-45Views-snocList arg-1) arg-0)))
(define IdrisC-45IDEModeC-45CaseSplit-handleOneline (lambda (arg-0 arg-1) (if (null? arg-1) '() (let ((e-2 (car arg-1))) (let ((e-3 (cdr arg-1))) (cons e-2 (PreludeC-45Interfaces-C-60C-36C-62 (csegen-24) (lambda (eta-0) (IdrisC-45IDEModeC-45CaseSplit-onelineIndent arg-0 eta-0)) e-3)))))))
(define IdrisC-45IDEModeC-45CaseSplit-handleHoleNameParen (lambda (arg-0) (IdrisC-45IDEModeC-45CaseSplit-with--handleHoleNameParen-3591 arg-0 (DataC-45ListC-45Views-snocList arg-0))))
(define IdrisC-45IDEModeC-45CaseSplit-handleCaseStmtType (lambda (arg-0 arg-1) (if (null? arg-0) '() (let ((e-2 (car arg-0))) (let ((e-3 (cdr arg-0))) (case (vector-ref arg-1 0) ((0) (let ((e-4 (vector-ref arg-1 1))) (IdrisC-45IDEModeC-45CaseSplit-handleOneline e-4 (cons e-2 e-3)))) ((1) (let ((e-5 (vector-ref arg-1 1))) (cons (IdrisC-45IDEModeC-45CaseSplit-parenTrim e-2) (IdrisC-45IDEModeC-45CaseSplit-handleOnelineParen e-5 e-3))))(else (IdrisC-45IDEModeC-45CaseSplit-handleHoleNameParen arg-0))))))))
(define IdrisC-45IDEModeC-45CaseSplit-getReplaces (lambda (arg-0 arg-1 arg-2 arg-3) (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (IdrisC-45IDEModeC-45CaseSplit-toStrUpdate arg-0 arg-1 eta-0)) arg-3 '()))) (PrimIO-io_bind eff-0 (csegen-2811)))))
(define IdrisC-45IDEModeC-45CaseSplit-getClause (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Metadata-findTyDeclAt arg-1 (lambda (u--p) (lambda (u--n) (CoreC-45FC-onLine (bs- arg-3 1 63) u--p)))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-6) (lambda (eta-0) (vector 1 '())) (let ((e-1 (unbox e-6))) (let ((e-8 (car e-1))) (let ((e-7 (cdr e-1))) (let ((e-9 (car e-7))) (let ((e-10 (cdr e-7))) (let ((e-13 (car e-10))) (let ((e-14 (cdr e-10))) (let ((eff-2 (CoreC-45Context-getFullName arg-0 e-9))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-11 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (let ((eff-3 (CoreC-45NormaliseC-45Eval-nf arg-0 '() e-5 '() e-14))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-12 (vector-ref lcase-3 1))) (let ((eff-4 (TTImpC-45InteractiveC-45CaseSplit-getEnvArgNames arg-0 e-5 e-13 e-12))) eff-4))))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-12 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (IdrisC-45REPLC-45Opts-getSourceLine arg-2 arg-3))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-15 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (clam-0) (if (null? e-15) (vector 1 '()) (let ((e-2 (unbox e-15))) (let ((sc10 (ParserC-45Unlit-isLitLine e-2))) (let ((e-4 (car sc10))) (vector 1 (box (string-append (IdrisC-45IDEModeC-45CaseSplit-n--12926-4250-u--indent arg-4 arg-3 arg-2 arg-1 arg-0 e-4 e-8) (string-append (IdrisC-45IDEModeC-45CaseSplit-fnName 1 e-11) (string-append (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (((csegen-25) (lambda (arg-5) (string-append " " arg-5))) e-12)) (string-append " = ?" (string-append (IdrisC-45IDEModeC-45CaseSplit-fnName 0 e-11) "_rhs")))))))))))))) eff-5))))))))) eff-4))))))))) eff-3))))))))))))))))) eff-2))))))))) eff-1)))))))))
(define IdrisC-45IDEModeC-45CaseSplit-getCaseStmtType (lambda (arg-0) (let ((u--nws (PreludeC-45TypesC-45List-filterAppend '() (lambda (eta-0) (let ((sc0 (IdrisC-45IDEModeC-45CaseSplit-isWhitespace eta-0))) (cond ((equal? sc0 1) 0) (else 1)))) arg-0))) (IdrisC-45IDEModeC-45CaseSplit-case--getCaseStmtType-3320 arg-0 u--nws (PreludeC-45TypesC-45SnocList-C-60C-62C-60 '() u--nws)))))
(define IdrisC-45IDEModeC-45CaseSplit-fnName (lambda (arg-0 arg-1) (case (vector-ref arg-1 0) ((1) (let ((e-0 (vector-ref arg-1 1))) (case (vector-ref e-0 0) ((0) (let ((e-5 (vector-ref e-0 1))) (let ((sc2 (ParserC-45LexerC-45Common-isIdentNormal e-5))) (cond ((equal? sc2 1) e-5) (else (cond ((equal? arg-0 1) (string-append "(" (string-append e-5 ")"))) (else "op")))))))(else (CoreC-45Name-nameRoot arg-1))))) ((0) (let ((e-2 (vector-ref arg-1 2))) (IdrisC-45IDEModeC-45CaseSplit-fnName arg-0 e-2))) ((4) (let ((e-3 (vector-ref arg-1 1))) e-3))(else (CoreC-45Name-nameRoot arg-1)))))
(define IdrisC-45IDEModeC-45CaseSplit-dropLast (lambda (arg-0) (IdrisC-45IDEModeC-45CaseSplit-with--dropLast-3437 arg-0 (DataC-45ListC-45Views-snocList arg-0))))
(define IdrisC-45IDEModeC-45CaseSplit-doUpdates (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (if (null? arg-4) (lambda (eta-0) (vector 1 '())) (let ((e-2 (car arg-4))) (let ((e-3 (cdr arg-4))) (case (vector-ref e-2 0) ((1) (let ((e-4 (vector-ref e-2 1))) (if (null? e-3) (let ((sc3 (DataC-45List-lookup (csegen-43) e-4 arg-3))) (if (null? sc3) (let ((eff-0 (IdrisC-45IDEModeC-45CaseSplit-doUpdates arg-0 arg-1 arg-2 arg-3 e-3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (cons (vector 1 e-4) e-5))))) eff-1))))))) (let ((e-5 (unbox sc3))) (let ((eff-0 (IdrisC-45IDEModeC-45CaseSplit-doUpdates arg-0 arg-1 arg-2 arg-3 e-3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (cons (vector 7 e-5) e-6))))) eff-1)))))))))) (let ((e-7 (car e-3))) (let ((e-8 (cdr e-3))) (case (vector-ref e-7 0) ((6) (let ((eff-0 (IdrisC-45IDEModeC-45CaseSplit-doUpdates arg-0 arg-1 arg-2 arg-3 e-8))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (cons (vector 1 e-4) (cons (vector 6 ) e-5)))))) eff-1))))))))(else (let ((sc3 (DataC-45List-lookup (csegen-43) e-4 arg-3))) (if (null? sc3) (let ((eff-0 (IdrisC-45IDEModeC-45CaseSplit-doUpdates arg-0 arg-1 arg-2 arg-3 e-3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (cons (vector 1 e-4) e-5))))) eff-1))))))) (let ((e-5 (unbox sc3))) (let ((eff-0 (IdrisC-45IDEModeC-45CaseSplit-doUpdates arg-0 arg-1 arg-2 arg-3 e-3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (cons (vector 7 e-5) e-6))))) eff-1))))))))))))))))) ((6) (if (null? e-3) (let ((eff-0 (IdrisC-45IDEModeC-45CaseSplit-doUpdates arg-0 arg-1 arg-2 arg-3 e-3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (cons e-2 e-5))))) eff-1))))))) (let ((e-10 (car e-3))) (let ((e-11 (cdr e-3))) (case (vector-ref e-10 0) ((3) (let ((eff-0 (IdrisC-45IDEModeC-45CaseSplit-doUpdates arg-0 arg-1 arg-2 arg-3 e-11))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (cons (vector 6 ) (cons (vector 3 ) e-5)))))) eff-1))))))))(else (let ((eff-0 (IdrisC-45IDEModeC-45CaseSplit-doUpdates arg-0 arg-1 arg-2 arg-3 e-3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (cons e-2 e-5))))) eff-1))))))))))))) ((3) (let ((sc2 (DataC-45List-span (lambda (eta-0) (IdrisC-45IDEModeC-45CaseSplit-isWhitespace eta-0)) e-3))) (let ((e-5 (car sc2))) (let ((e-4 (cdr sc2))) (if (null? e-4) (let ((eff-0 (IdrisC-45IDEModeC-45CaseSplit-doUpdates arg-0 arg-1 arg-2 arg-3 e-3))) (PrimIO-io_bind eff-0 (csegen-6559))) (let ((e-1 (car e-4))) (let ((e-6 (cdr e-4))) (case (vector-ref e-1 0) ((1) (let ((e-7 (vector-ref e-1 1))) (let ((sc5 (DataC-45List-span (lambda (eta-0) (IdrisC-45IDEModeC-45CaseSplit-isWhitespace eta-0)) e-6))) (let ((e-9 (car sc5))) (let ((e-8 (cdr sc5))) (if (null? e-8) (let ((eff-0 (IdrisC-45IDEModeC-45CaseSplit-doUpdates arg-0 arg-1 arg-2 arg-3 e-6))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-10 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((e-10 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (cons (vector 3 ) (PreludeC-45TypesC-45List-tailRecAppend e-5 (cons (vector 1 e-7) (PreludeC-45TypesC-45List-tailRecAppend e-9 e-10)))))))) eff-1))))))) (let ((e-11 (car e-8))) (let ((e-10 (cdr e-8))) (case (vector-ref e-11 0) ((4) (let ((eff-0 (IdrisC-45IDEModeC-45CaseSplit-doUpdates arg-0 arg-1 arg-2 arg-3 (cons (vector 1 e-7) (PreludeC-45TypesC-45List-tailRecAppend e-9 (cons (vector 4 ) e-10)))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-12 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-12)))) (else (let ((e-12 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (cons (vector 3 ) (PreludeC-45TypesC-45List-tailRecAppend e-5 (cons (vector 1 e-7) (cons (vector 0 " ") (cons (vector 5 ) (cons (vector 0 " ") e-12)))))))))) eff-1)))))))) ((5) (let ((sc8 (DataC-45List-span (lambda (eta-0) (IdrisC-45IDEModeC-45CaseSplit-isWhitespace eta-0)) e-10))) (let ((e-13 (car sc8))) (let ((e-12 (cdr sc8))) (let ((eff-0 (IdrisC-45IDEModeC-45CaseSplit-doUpdates arg-0 arg-1 arg-2 arg-3 e-12))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-14 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (cons (vector 3 ) (PreludeC-45TypesC-45List-tailRecAppend e-5 (cons (vector 1 e-7) (PreludeC-45TypesC-45List-tailRecAppend e-9 (cons (vector 5 ) (PreludeC-45TypesC-45List-tailRecAppend e-13 e-14)))))))))) eff-1)))))))))))(else (let ((eff-0 (IdrisC-45IDEModeC-45CaseSplit-doUpdates arg-0 arg-1 arg-2 arg-3 e-6))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-12 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-12)))) (else (let ((e-12 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (cons (vector 3 ) (PreludeC-45TypesC-45List-tailRecAppend e-5 (cons (vector 1 e-7) (PreludeC-45TypesC-45List-tailRecAppend e-9 e-12)))))))) eff-1)))))))))))))))))(else (let ((eff-0 (IdrisC-45IDEModeC-45CaseSplit-doUpdates arg-0 arg-1 arg-2 arg-3 e-3))) (PrimIO-io_bind eff-0 (csegen-6559)))))))))))) ((2) (let ((e-5 (vector-ref e-2 1))) (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (TTImpC-45Utils-uniqueHoleName arg-0 arg-2 e-6 e-5))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (let ((eff-2 arg-1)) (PrimIO-io_bind (let ((eff-3 eff-2)) (lambda (eta-0) (set-box! eff-3 (cons e-7 e-6)))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-3 (let ((eff-3 (IdrisC-45IDEModeC-45CaseSplit-doUpdates arg-0 arg-1 arg-2 arg-3 e-3))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-4 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-9 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (cons (vector 2 e-7) e-9))))) eff-4))))))))) eff-3)))))))) eff-2))))))))) eff-1)))))))))(else (let ((eff-0 (IdrisC-45IDEModeC-45CaseSplit-doUpdates arg-0 arg-1 arg-2 arg-3 e-3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (cons e-2 e-5))))) eff-1))))))))))))))
(define IdrisC-45IDEModeC-45TokenLine-case--tokens-991 (lambda (arg-0 arg-1) (let ((e-2 (car arg-1))) (let ((e-3 (cdr arg-1))) (let ((e-7 (cdr e-3))) (let ((e-11 (cdr e-7))) (PreludeC-45TypesC-45List-tailRecAppend (((csegen-25) (csegen-5966)) e-2) (let ((sc3 (PreludeC-45EqOrd-u--C-61C-61_Eq_String e-11 ""))) (cond ((equal? sc3 1) '()) (else (cons (vector 7 e-11) '())))))))))))
(define IdrisC-45IDEModeC-45TokenLine-tokens (lambda (arg-0) (IdrisC-45IDEModeC-45TokenLine-case--tokens-991 arg-0 (LibrariesC-45TextC-45LexerC-45Core-lex (IdrisC-45IDEModeC-45TokenLine-srcTokens) arg-0))))
(define IdrisC-45IDEModeC-45TokenLine-toString (lambda (arg-0) (case (vector-ref arg-0 0) ((0) (let ((e-0 (vector-ref arg-0 1))) e-0)) ((1) (let ((e-1 (vector-ref arg-0 1))) e-1)) ((2) (let ((e-2 (vector-ref arg-0 1))) (string-append "?" e-2))) ((3) "{") ((4) "}") ((5) "=") ((6) "@") (else (let ((e-3 (vector-ref arg-0 1))) e-3)))))
(define IdrisC-45IDEModeC-45TokenLine-srcTokens(blodwen-lazy (lambda () (cons (cons (ParserC-45LexerC-45Common-identNormal) (lambda (eta-0) (vector 1 eta-0))) (cons (cons (IdrisC-45IDEModeC-45TokenLine-holeIdent) (lambda (u--x) (vector 2 (substring u--x 1 (string-length u--x))))) (cons (cons (LibrariesC-45TextC-45Lexer-space) (lambda (eta-0) (vector 0 eta-0))) (cons (cons (LibrariesC-45TextC-45Lexer-is #\{) (lambda (eta-0) (vector 3 ))) (cons (cons (LibrariesC-45TextC-45Lexer-is #\}) (lambda (eta-0) (vector 4 ))) (cons (cons (LibrariesC-45TextC-45Lexer-is #\=) (lambda (eta-0) (vector 5 ))) (cons (cons (LibrariesC-45TextC-45Lexer-is #\@) (lambda (eta-0) (vector 6 ))) (cons (cons (LibrariesC-45TextC-45Lexer-any) (lambda (eta-0) (vector 7 eta-0))) '())))))))))))
(define IdrisC-45IDEModeC-45TokenLine-holeIdent(blodwen-lazy (lambda () (csegen-530))))
(define CoreC-45SchemeEval-snfAll (lambda (arg-0 arg-1 arg-2 arg-3) (let ((eff-0 (CoreC-45SchemeEvalC-45Compile-initialiseSchemeEval arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (cond ((equal? e-5 1) (let ((eff-1 (CoreC-45SchemeEvalC-45Evaluate-seval arg-0 0 arg-2 arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45SchemeEvalC-45Evaluate-toSNF arg-0 e-6))) eff-2))))))))(else (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 "Scheme evaluator not available") eta-0)))))) eff-1)))))))))
(define CoreC-45SchemeEvalC-45ToScheme-u--toScheme_Scheme_UserName (lambda (arg-0) (case (vector-ref arg-0 0) ((0) (let ((e-0 (vector-ref arg-0 1))) (LibrariesC-45UtilsC-45Scheme-u--toScheme_Scheme_String e-0))) ((1) (let ((e-1 (vector-ref arg-0 1))) (vector 8 5 (cons (LibrariesC-45UtilsC-45Scheme-u--toScheme_Scheme_String e-1) '())))) (else (vector 8 9 '())))))
(define CoreC-45SchemeEvalC-45ToScheme-u--toScheme_Scheme_RigCount (lambda (arg-0) (let ((sc0 (AlgebraC-45Semiring-isErased (csegen-1156) arg-0))) (cond ((equal? sc0 1) (vector 2 0)) (else (let ((sc1 (AlgebraC-45Semiring-isLinear (csegen-1156) arg-0))) (cond ((equal? sc1 1) (vector 2 1)) (else (vector 2 2)))))))))
(define CoreC-45SchemeEvalC-45ToScheme-u--toScheme_Scheme_OriginDesc (lambda (arg-0) (case (vector-ref arg-0 0) ((0) (let ((e-0 (vector-ref arg-0 1))) (vector 8 0 (cons (CoreC-45SchemeEvalC-45ToScheme-u--toScheme_Scheme_ModuleIdent e-0) '())))) ((1) (let ((e-1 (vector-ref arg-0 1))) (vector 8 1 (cons (LibrariesC-45UtilsC-45Scheme-u--toScheme_Scheme_String e-1) '())))) (else (vector 0 )))))
(define CoreC-45SchemeEvalC-45ToScheme-u--toScheme_Scheme_Namespace (lambda (arg-0) (LibrariesC-45UtilsC-45Scheme-u--toScheme_Scheme_C-40ListC-32C-36aC-41 (csegen-6578) (CoreC-45NameC-45Namespace-unsafeUnfoldNamespace arg-0))))
(define CoreC-45SchemeEvalC-45ToScheme-u--toScheme_Scheme_Name (lambda (arg-0) (case (vector-ref arg-0 0) ((0) (let ((e-0 (vector-ref arg-0 1))) (let ((e-1 (vector-ref arg-0 2))) (vector 8 0 (cons (CoreC-45SchemeEvalC-45ToScheme-u--toScheme_Scheme_Namespace e-0) (cons (CoreC-45SchemeEvalC-45ToScheme-u--toScheme_Scheme_Name e-1) '())))))) ((1) (let ((e-2 (vector-ref arg-0 1))) (CoreC-45SchemeEvalC-45ToScheme-u--toScheme_Scheme_UserName e-2))) ((2) (let ((e-3 (vector-ref arg-0 1))) (let ((e-4 (vector-ref arg-0 2))) (vector 8 2 (cons (LibrariesC-45UtilsC-45Scheme-u--toScheme_Scheme_String e-3) (cons (LibrariesC-45UtilsC-45Scheme-u--toScheme_Scheme_Int e-4) '())))))) ((3) (let ((e-5 (vector-ref arg-0 1))) (let ((e-6 (vector-ref arg-0 2))) (vector 8 3 (cons (CoreC-45SchemeEvalC-45ToScheme-u--toScheme_Scheme_Name e-5) (cons (LibrariesC-45UtilsC-45Scheme-u--toScheme_Scheme_Int e-6) '())))))) ((4) (let ((e-7 (vector-ref arg-0 1))) (let ((e-8 (vector-ref arg-0 2))) (vector 8 4 (cons (LibrariesC-45UtilsC-45Scheme-u--toScheme_Scheme_String e-7) (cons (CoreC-45SchemeEvalC-45ToScheme-u--toScheme_Scheme_Name e-8) '())))))) ((5) (let ((e-9 (vector-ref arg-0 1))) (let ((e-10 (vector-ref arg-0 2))) (vector 8 6 (cons (LibrariesC-45UtilsC-45Scheme-u--toScheme_Scheme_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-6580) e-9) (cons (CoreC-45SchemeEvalC-45ToScheme-u--toScheme_Scheme_Name e-10) '())))))) ((6) (let ((e-11 (vector-ref arg-0 1))) (let ((e-12 (vector-ref arg-0 2))) (vector 8 7 (cons (LibrariesC-45UtilsC-45Scheme-u--toScheme_Scheme_String e-11) (cons (LibrariesC-45UtilsC-45Scheme-u--toScheme_Scheme_Int e-12) '())))))) ((7) (let ((e-13 (vector-ref arg-0 1))) (let ((e-14 (vector-ref arg-0 2))) (vector 8 8 (cons (LibrariesC-45UtilsC-45Scheme-u--toScheme_Scheme_String e-13) (cons (LibrariesC-45UtilsC-45Scheme-u--toScheme_Scheme_Int e-14) '())))))) (else (let ((e-15 (vector-ref arg-0 1))) (LibrariesC-45UtilsC-45Scheme-u--toScheme_Scheme_Int e-15))))))
(define CoreC-45SchemeEvalC-45ToScheme-u--toScheme_Scheme_ModuleIdent (lambda (arg-0) (CoreC-45SchemeEvalC-45ToScheme-u--toScheme_Scheme_Namespace (CoreC-45NameC-45Namespace-miAsNamespace arg-0))))
(define CoreC-45SchemeEvalC-45ToScheme-u--toScheme_Scheme_LazyReason (lambda (arg-0) (cond ((equal? arg-0 0) (vector 2 0)) ((equal? arg-0 1) (vector 2 1)) (else (vector 2 2)))))
(define CoreC-45SchemeEvalC-45ToScheme-u--toScheme_Scheme_FC (lambda (arg-0) (case (vector-ref arg-0 0) ((0) (let ((e-0 (vector-ref arg-0 1))) (let ((e-1 (vector-ref arg-0 2))) (let ((e-2 (vector-ref arg-0 3))) (vector 8 0 (cons (CoreC-45SchemeEvalC-45ToScheme-u--toScheme_Scheme_OriginDesc e-0) (cons (LibrariesC-45UtilsC-45Scheme-u--toScheme_Scheme_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-6580) e-1) (cons (LibrariesC-45UtilsC-45Scheme-u--toScheme_Scheme_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-6580) e-2) '())))))))) ((1) (let ((e-3 (vector-ref arg-0 1))) (let ((e-4 (vector-ref arg-0 2))) (let ((e-5 (vector-ref arg-0 3))) (vector 8 1 (cons (CoreC-45SchemeEvalC-45ToScheme-u--toScheme_Scheme_OriginDesc e-3) (cons (LibrariesC-45UtilsC-45Scheme-u--toScheme_Scheme_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-6580) e-4) (cons (LibrariesC-45UtilsC-45Scheme-u--toScheme_Scheme_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-6580) e-5) '())))))))) (else (vector 0 )))))
(define CoreC-45SchemeEvalC-45ToScheme-u--fromScheme_Scheme_RigCount (lambda (arg-0) (case (vector-ref arg-0 0) ((2) (let ((e-1 (vector-ref arg-0 1))) (cond ((equal? e-1 0) (box (csegen-54))) ((equal? e-1 1) (box (csegen-1778)))(else (box (AlgebraC-45ZeroOneOmega-u--top_Top_ZeroOneOmega))))))(else (box (AlgebraC-45ZeroOneOmega-u--top_Top_ZeroOneOmega))))))
(define CoreC-45SchemeEvalC-45ToScheme-u--fromScheme_Scheme_Namespace (lambda (arg-0) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (LibrariesC-45UtilsC-45Scheme-u--fromScheme_Scheme_C-40ListC-32C-36aC-41 (csegen-6578) arg-0) (lambda (bind-0) (box bind-0)))))
(define CoreC-45SchemeEvalC-45ToScheme-u--fromScheme_Scheme_Name (lambda (arg-0) (case (vector-ref arg-0 0) ((8) (let ((e-1 (vector-ref arg-0 1))) (let ((e-2 (vector-ref arg-0 2))) (cond ((equal? e-1 0) (if (null? e-2) '() (let ((e-8 (car e-2))) (let ((e-9 (cdr e-2))) (if (null? e-9) '() (let ((e-11 (car e-9))) (let ((e-12 (cdr e-9))) (if (null? e-12) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (CoreC-45SchemeEvalC-45ToScheme-u--fromScheme_Scheme_Namespace e-8) (lambda (bind-0) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (CoreC-45SchemeEvalC-45ToScheme-u--fromScheme_Scheme_Name e-11) (lambda (bind-1) (box (vector 0 bind-0 bind-1)))))) '())))))))) ((equal? e-1 2) (if (null? e-2) '() (let ((e-15 (car e-2))) (let ((e-16 (cdr e-2))) (if (null? e-16) '() (let ((e-18 (car e-16))) (let ((e-19 (cdr e-16))) (if (null? e-19) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (LibrariesC-45UtilsC-45Scheme-u--fromScheme_Scheme_String e-15) (lambda (bind-0) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (LibrariesC-45UtilsC-45Scheme-u--fromScheme_Scheme_Int e-18) (lambda (bind-1) (box (vector 2 bind-0 bind-1)))))) '())))))))) ((equal? e-1 3) (if (null? e-2) '() (let ((e-22 (car e-2))) (let ((e-23 (cdr e-2))) (if (null? e-23) '() (let ((e-25 (car e-23))) (let ((e-26 (cdr e-23))) (if (null? e-26) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (CoreC-45SchemeEvalC-45ToScheme-u--fromScheme_Scheme_Name e-22) (lambda (bind-0) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (LibrariesC-45UtilsC-45Scheme-u--fromScheme_Scheme_Int e-25) (lambda (bind-1) (box (vector 3 bind-0 bind-1)))))) '())))))))) ((equal? e-1 4) (if (null? e-2) '() (let ((e-29 (car e-2))) (let ((e-30 (cdr e-2))) (if (null? e-30) '() (let ((e-32 (car e-30))) (let ((e-33 (cdr e-30))) (if (null? e-33) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (LibrariesC-45UtilsC-45Scheme-u--fromScheme_Scheme_String e-29) (lambda (bind-0) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (CoreC-45SchemeEvalC-45ToScheme-u--fromScheme_Scheme_Name e-32) (lambda (bind-1) (box (vector 4 bind-0 bind-1)))))) '())))))))) ((equal? e-1 5) (if (null? e-2) '() (let ((e-36 (car e-2))) (let ((e-37 (cdr e-2))) (if (null? e-37) '() (let ((e-40 (cdr e-37))) (if (null? e-40) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (LibrariesC-45UtilsC-45Scheme-u--fromScheme_Scheme_String e-36) (lambda (bind-0) (box (vector 1 (vector 1 bind-0))))) '()))))))) ((equal? e-1 6) (if (null? e-2) '() (let ((e-43 (car e-2))) (let ((e-44 (cdr e-2))) (if (null? e-44) '() (let ((e-46 (car e-44))) (let ((e-47 (cdr e-44))) (if (null? e-47) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (LibrariesC-45UtilsC-45Scheme-u--fromScheme_Scheme_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-6580) e-43) (lambda (bind-0) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (CoreC-45SchemeEvalC-45ToScheme-u--fromScheme_Scheme_Name e-46) (lambda (bind-1) (box (vector 5 bind-0 bind-1)))))) '())))))))) ((equal? e-1 7) (if (null? e-2) '() (let ((e-50 (car e-2))) (let ((e-51 (cdr e-2))) (if (null? e-51) '() (let ((e-53 (car e-51))) (let ((e-54 (cdr e-51))) (if (null? e-54) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (LibrariesC-45UtilsC-45Scheme-u--fromScheme_Scheme_String e-50) (lambda (bind-0) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (LibrariesC-45UtilsC-45Scheme-u--fromScheme_Scheme_Int e-53) (lambda (bind-1) (box (vector 6 bind-0 bind-1)))))) '())))))))) ((equal? e-1 8) (if (null? e-2) '() (let ((e-57 (car e-2))) (let ((e-58 (cdr e-2))) (if (null? e-58) '() (let ((e-60 (car e-58))) (let ((e-61 (cdr e-58))) (if (null? e-61) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (LibrariesC-45UtilsC-45Scheme-u--fromScheme_Scheme_String e-57) (lambda (bind-0) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (LibrariesC-45UtilsC-45Scheme-u--fromScheme_Scheme_Int e-60) (lambda (bind-1) (box (vector 7 bind-0 bind-1)))))) '())))))))) ((equal? e-1 9) (if (null? e-2) (box (vector 1 (vector 2 ))) '()))(else '()))))) ((2) (let ((e-4 (vector-ref arg-0 1))) (box (vector 8 (blodwen-toSignedInt e-4 63))))) ((4) (let ((e-6 (vector-ref arg-0 1))) (box (vector 1 (vector 0 e-6)))))(else '()))))
(define CoreC-45SchemeEvalC-45ToScheme-u--fromScheme_Scheme_LazyReason (lambda (arg-0) (case (vector-ref arg-0 0) ((2) (let ((e-1 (vector-ref arg-0 1))) (cond ((equal? e-1 0) (box 0)) ((equal? e-1 1) (box 1))(else (box 2)))))(else (box 2)))))
(define CoreC-45SchemeEvalC-45ToScheme-u--fromScheme_Scheme_FC (lambda (arg-0) (box (vector 2 ))))
(define CoreC-45SchemeEvalC-45ToScheme-toSchemeWhy (lambda (arg-0) (case (vector-ref arg-0 0) ((1) (vector 2 0)) ((0) (vector 2 1)) (else (let ((e-3 (vector-ref arg-0 1))) (vector 7 e-3))))))
(define CoreC-45SchemeEvalC-45ToScheme-toSchemePi (lambda (arg-0) (case (vector-ref arg-0 0) ((0) (vector 2 0)) ((1) (vector 2 1)) ((2) (vector 2 2)) (else (let ((e-4 (vector-ref arg-0 1))) (vector 7 e-4))))))
(define CoreC-45SchemeEvalC-45Quote-n--6769-9361-u--findName (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-10) (case (vector-ref arg-10 0) ((0) '()) (else (let ((e-2 (vector-ref arg-10 2))) (let ((e-3 (vector-ref arg-10 3))) (let ((sc1 (CoreC-45Name-u--C-61C-61_Eq_Name arg-2 e-2))) (cond ((equal? sc1 1) (box 0)) (else (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (CoreC-45SchemeEvalC-45Quote-n--6769-9361-u--findName arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 e-3) (csegen-1106)))))))))))
(define CoreC-45SchemeEvalC-45Quote-n--6769-9226-u--addLater (lambda (arg-0 arg-2 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-12 arg-13) (if (null? arg-13) arg-12 (let ((e-3 (cdr arg-13))) (let ((eff-0 (CoreC-45SchemeEvalC-45Quote-n--6769-9226-u--addLater arg-0 arg-2 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-12 e-3))) (+ eff-0 1))))))
(define CoreC-45SchemeEvalC-45Quote-quotePi (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (case (vector-ref arg-6 0) ((1) (lambda (eta-0) (vector 1 (vector 1 )))) ((0) (lambda (eta-0) (vector 1 (vector 0 )))) ((2) (lambda (eta-0) (vector 1 (vector 2 )))) (else (let ((e-4 (vector-ref arg-6 1))) (let ((eff-0 (CoreC-45SchemeEvalC-45Quote-quoteGen arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-4))) (PrimIO-io_bind eff-0 (csegen-1312))))))))
(define CoreC-45SchemeEvalC-45Quote-quoteHead (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (case (vector-ref arg-7 0) ((0) (let ((e-2 (vector-ref arg-7 1))) (let ((eff-0 (CoreC-45SchemeEvalC-45Quote-n--6769-9226-u--addLater arg-2 e-2 arg-6 arg-1 arg-5 arg-4 arg-3 arg-0 e-2 arg-1))) (lambda (eta-0) (vector 1 (vector 0 arg-4 '() eff-0)))))) ((1) (let ((e-5 (vector-ref arg-7 1))) (let ((e-6 (vector-ref arg-7 2))) (lambda (eta-0) (vector 1 (let ((sc1 (CoreC-45SchemeEvalC-45Quote-n--6769-9361-u--findName arg-1 arg-2 e-6 e-5 arg-6 arg-5 arg-4 arg-3 arg-0 arg-5))) (if (null? sc1) (vector 1 arg-4 e-5 e-6) (let ((e-1 (unbox sc1))) (let ((eff-0 e-1)) (vector 0 arg-4 '() eff-0)))))))))) (else (let ((e-8 (vector-ref arg-7 1))) (let ((e-9 (vector-ref arg-7 2))) (let ((e-10 (vector-ref arg-7 3))) (let ((eff-0 (CoreC-45SchemeEvalC-45Quote-quoteArgs arg-0 arg-1 arg-2 arg-3 arg-5 arg-6 e-10))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 2 arg-4 e-8 e-9 e-5))))) eff-1))))))))))))))
(define CoreC-45SchemeEvalC-45Quote-quoteGen (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (case (vector-ref arg-6 0) ((0) (let ((e-1 (vector-ref arg-6 1))) (let ((e-2 (vector-ref arg-6 2))) (let ((e-3 (vector-ref arg-6 3))) (let ((e-4 (vector-ref arg-6 4))) (let ((eff-0 (CoreC-45SchemeEvalC-45Compile-nextName arg-3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--var (vector 1 (vector 0 (string-append "b-" (PreludeC-45Show-u--show_Show_Integer e-5)))))) (let ((eff-1 (CoreC-45SchemeEvalC-45Evaluate-seval arg-0 0 arg-5 (vector 1 e-1 (vector 0 ) u--var)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-6 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (let ((eff-2 (e-4 e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-7 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (CoreC-45SchemeEvalC-45Quote-quoteGen arg-0 (cons e-2 arg-1) arg-2 arg-3 (vector 1 e-2 u--var arg-4) arg-5 e-7))) eff-3))))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-7 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45SchemeEvalC-45Quote-quoteBinder arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-3))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-8 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 3 e-1 e-2 e-8 e-7))))) eff-4))))))))) eff-3))))))))) eff-2)))))))))) eff-1)))))))))))) ((1) (let ((e-6 (vector-ref arg-6 1))) (let ((e-7 (vector-ref arg-6 2))) (let ((e-8 (vector-ref arg-6 3))) (let ((eff-0 (CoreC-45SchemeEvalC-45Quote-quoteHead arg-0 arg-1 arg-2 arg-3 e-6 arg-4 arg-5 e-7))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45SchemeEvalC-45Quote-quoteArgs arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-8))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (CoreC-45TT-apply e-6 e-5 e-9))))) eff-2))))))))) eff-1))))))))))) ((2) (let ((e-10 (vector-ref arg-6 1))) (let ((e-11 (vector-ref arg-6 2))) (let ((e-12 (vector-ref arg-6 3))) (let ((e-13 (vector-ref arg-6 4))) (let ((e-14 (vector-ref arg-6 5))) (let ((eff-0 (CoreC-45SchemeEvalC-45Quote-quoteArgs arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-14))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (CoreC-45TT-apply e-10 (vector 1 e-10 (vector 2 e-12 e-13) e-11) e-5))))) eff-1))))))))))))) ((3) (let ((e-16 (vector-ref arg-6 1))) (let ((e-17 (vector-ref arg-6 2))) (let ((e-18 (vector-ref arg-6 3))) (let ((e-19 (vector-ref arg-6 4))) (let ((e-20 (vector-ref arg-6 5))) (let ((eff-0 (CoreC-45SchemeEvalC-45Quote-quoteArgs arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-20))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (CoreC-45TT-apply e-16 (vector 1 e-16 (vector 3 e-18 e-19) e-17) e-5))))) eff-1))))))))))))) ((4) (let ((e-22 (vector-ref arg-6 1))) (let ((e-23 (vector-ref arg-6 2))) (let ((e-24 (vector-ref arg-6 3))) (let ((eff-0 (CoreC-45SchemeEvalC-45Quote-quoteGen arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-24))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 6 e-22 e-23 e-5))))) eff-1))))))))))) ((5) (let ((e-26 (vector-ref arg-6 1))) (let ((e-27 (vector-ref arg-6 2))) (let ((e-28 (vector-ref arg-6 3))) (let ((e-29 (vector-ref arg-6 4))) (let ((eff-0 (let ((eff-0 e-29)) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45SchemeEvalC-45Quote-quoteGen arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-5))) eff-1))))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 e-28)) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45SchemeEvalC-45Quote-quoteGen arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-6))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 7 e-26 e-27 e-6 e-5))))) eff-2))))))))) eff-1)))))))))))) ((6) (let ((e-31 (vector-ref arg-6 1))) (let ((e-32 (vector-ref arg-6 2))) (let ((e-33 (vector-ref arg-6 3))) (case (vector-ref e-33 0) ((5) (let ((e-4 (vector-ref e-33 4))) (let ((eff-0 e-4)) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45SchemeEvalC-45Quote-quoteGen arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-5))) eff-1)))))))))(else (let ((eff-0 (CoreC-45SchemeEvalC-45Quote-quoteGen arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-33))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 8 e-31 e-32 e-5))))) eff-1))))))))))))) ((7) (let ((e-35 (vector-ref arg-6 1))) (let ((e-36 (vector-ref arg-6 2))) (lambda (eta-0) (vector 1 (vector 9 e-35 e-36)))))) ((8) (let ((e-38 (vector-ref arg-6 1))) (let ((e-39 (vector-ref arg-6 2))) (case (vector-ref e-39 0) ((1) (lambda (eta-0) (vector 1 (vector 10 e-38 (vector 1 ))))) ((0) (lambda (eta-0) (vector 1 (vector 10 e-38 (vector 0 ))))) (else (let ((e-46 (vector-ref e-39 1))) (let ((eff-0 (CoreC-45SchemeEvalC-45Quote-quoteGen arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-46))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 10 e-38 (vector 2 e-5)))))) eff-1))))))))))))) (else (let ((e-41 (vector-ref arg-6 1))) (let ((e-42 (vector-ref arg-6 2))) (lambda (eta-0) (vector 1 (vector 11 e-41 e-42)))))))))
(define CoreC-45SchemeEvalC-45Quote-quoteBinder (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (case (vector-ref arg-6 0) ((0) (let ((e-1 (vector-ref arg-6 1))) (let ((e-2 (vector-ref arg-6 2))) (let ((e-3 (vector-ref arg-6 3))) (let ((e-4 (vector-ref arg-6 4))) (let ((eff-0 (CoreC-45SchemeEvalC-45Quote-quoteGen arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45SchemeEvalC-45Quote-quotePi arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-6 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 0 e-1 e-2 e-6 e-5))))) eff-2))))))))) eff-1)))))))))))) ((1) (let ((e-6 (vector-ref arg-6 1))) (let ((e-7 (vector-ref arg-6 2))) (let ((e-8 (vector-ref arg-6 3))) (let ((e-9 (vector-ref arg-6 4))) (let ((eff-0 (CoreC-45SchemeEvalC-45Quote-quoteGen arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-9))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45SchemeEvalC-45Quote-quoteGen arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-8))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-10 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 1 e-6 e-7 e-10 e-5))))) eff-2))))))))) eff-1)))))))))))) ((2) (let ((e-11 (vector-ref arg-6 1))) (let ((e-12 (vector-ref arg-6 2))) (let ((e-13 (vector-ref arg-6 3))) (let ((e-14 (vector-ref arg-6 4))) (let ((eff-0 (CoreC-45SchemeEvalC-45Quote-quoteGen arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-14))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45SchemeEvalC-45Quote-quotePi arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-13))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 2 e-11 e-12 e-6 e-5))))) eff-2))))))))) eff-1)))))))))))) ((3) (let ((e-16 (vector-ref arg-6 1))) (let ((e-17 (vector-ref arg-6 2))) (let ((e-18 (vector-ref arg-6 3))) (let ((e-19 (vector-ref arg-6 4))) (let ((eff-0 (CoreC-45SchemeEvalC-45Quote-quoteGen arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-19))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45SchemeEvalC-45Quote-quotePi arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-18))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 3 e-16 e-17 e-6 e-5))))) eff-2))))))))) eff-1)))))))))))) ((4) (let ((e-21 (vector-ref arg-6 1))) (let ((e-22 (vector-ref arg-6 2))) (let ((e-23 (vector-ref arg-6 3))) (let ((e-24 (vector-ref arg-6 4))) (let ((eff-0 (CoreC-45SchemeEvalC-45Quote-quoteGen arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-24))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45SchemeEvalC-45Quote-quoteGen arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-23))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 4 e-21 e-22 e-6 e-5))))) eff-2))))))))) eff-1)))))))))))) (else (let ((e-26 (vector-ref arg-6 1))) (let ((e-27 (vector-ref arg-6 2))) (let ((e-28 (vector-ref arg-6 3))) (let ((eff-0 (CoreC-45SchemeEvalC-45Quote-quoteGen arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-28))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 5 e-26 e-27 e-5))))) eff-1))))))))))))))
(define CoreC-45SchemeEvalC-45Quote-quoteArgs (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (CoreC-45Core-traverseC-39 (lambda (u--arg) (let ((eff-0 u--arg)) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45SchemeEvalC-45Quote-quoteGen arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 e-5))) eff-1)))))))) arg-6 '())))
(define CoreC-45SchemeEvalC-45Quote-quote (lambda (arg-0 arg-1 arg-2 arg-3) (let ((eff-0 (CoreC-45Core-newRef (vector "Core.SchemeEval.Compile.Sym" ) 0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45SchemeEvalC-45Quote-quoteGen arg-0 '() arg-1 e-5 (vector 0 ) arg-2 arg-3))) eff-1)))))))))
(define CoreC-45SchemeEvalC-45Evaluate-case--caseC-32blockC-32inC-32snfVector-7108 (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9) (case (vector-ref arg-9 0) ((9) (let ((e-0 (vector-ref arg-9 1))) (let ((u--tm (let ((eff-0 (PrimIO-io_bind (LibrariesC-45UtilsC-45Scheme-evalSchemeStr "(ct-setBlockAll #t)") (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (if (null? e-5) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((eff-1 (CoreC-45SchemeEvalC-45Evaluate-snfC-39 arg-1 arg-7 (LibrariesC-45UtilsC-45Scheme-unsafeForce arg-8)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (PrimIO-io_bind (LibrariesC-45UtilsC-45Scheme-evalSchemeStr ((csegen-0) "(ct-setBlockAll #f)")) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (clam-0) (if (null? e-7) (CoreC-45SchemeEvalC-45Evaluate-invalidS clam-0) (vector 1 e-6))))) eff-3))))))))) eff-2)))))))))) eff-1))))))))) (let ((u--ty (CoreC-45SchemeEvalC-45Evaluate-snfC-39 arg-1 arg-7 (LibrariesC-45UtilsC-45Scheme-unsafeForce e-0)))) (let ((u--fc (CoreC-45SchemeEvalC-45Evaluate-quoteFC arg-4))) (let ((u--r (CoreC-45SchemeEvalC-45Evaluate-quoteLazyReason arg-3))) (lambda (eta-0) (vector 1 (vector 5 u--fc u--r u--ty u--tm)))))))))(else (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0))))))
(define CoreC-45SchemeEvalC-45Evaluate-n--7079-3085-u--mkEnv (lambda (arg-1 arg-2 arg-3 arg-4 arg-6 arg-7 arg-8) (if (null? arg-7) (lambda (eta-0) (vector 1 (cons arg-8 '()))) (let ((e-4 (car arg-7))) (let ((e-5 (cdr arg-7))) (case (vector-ref e-4 0) ((1) (let ((e-9 (vector-ref e-4 3))) (let ((eff-0 (CoreC-45SchemeEvalC-45Compile-nextName arg-6))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45SchemeEvalC-45Evaluate-n--7079-3085-u--mkEnv arg-1 arg-2 arg-3 arg-4 arg-6 e-5 arg-8))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-11 (vector-ref lcase-1 1))) (let ((eff-2 (let ((e-2 (car e-11))) (let ((e-3 (cdr e-11))) (let ((eff-2 (CoreC-45SchemeEvalC-45Compile-compile arg-6 arg-4 e-3 e-9))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-12 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-12)))) (else (let ((e-12 (vector-ref lcase-2 1))) (let ((eff-3 (let ((u--n (string-append "let-var-" (PreludeC-45Show-u--show_Show_Integer e-6)))) (lambda (eta-0) (vector 1 (cons (lambda (u--x) (vector 13 u--n e-12 (e-2 u--x))) (cons (vector 0 u--n) e-3))))))) eff-3))))))))))) eff-2))))))))) eff-1)))))))))(else (let ((eff-0 (CoreC-45SchemeEvalC-45Compile-nextName arg-6))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45SchemeEvalC-45Evaluate-n--7079-3085-u--mkEnv arg-1 arg-2 arg-3 arg-4 arg-6 e-5 arg-8))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (clam-0) (let ((e-2 (car e-7))) (let ((e-3 (cdr e-7))) (vector 1 (cons e-2 (cons (vector 1 (string-append "free-" (PreludeC-45Show-u--show_Show_Integer e-6))) e-3)))))))) eff-2))))))))) eff-1))))))))))))))
(define CoreC-45SchemeEvalC-45Evaluate-n--10943-8393-u--findName (lambda (arg-1 arg-2 arg-3 arg-5 arg-6) (if (null? arg-5) (vector 1 (CoreC-45FC-emptyFC) (vector 1 (vector 1 ) (vector 1 (vector 0 arg-6))) '()) (let ((e-2 (car arg-5))) (let ((e-3 (cdr arg-5))) (let ((sc1 (PreludeC-45EqOrd-u--C-61C-61_Eq_String (CoreC-45SchemeEvalC-45Compile-getName e-2) arg-6))) (cond ((equal? sc1 1) (vector 1 (CoreC-45FC-emptyFC) (vector 0 0) '())) (else (let ((sc2 (CoreC-45SchemeEvalC-45Evaluate-n--10943-8393-u--findName arg-1 arg-2 arg-3 e-3 arg-6))) (case (vector-ref sc2 0) ((1) (let ((e-1 (vector-ref sc2 1))) (let ((e-5 (vector-ref sc2 2))) (case (vector-ref e-5 0) ((0) (let ((e-6 (vector-ref e-5 1))) (vector 1 e-1 (vector 0 (+ e-6 1)) '())))(else (vector 1 (CoreC-45FC-emptyFC) (vector 1 (vector 1 ) (vector 1 (vector 0 arg-6))) '()))))))(else (vector 1 (CoreC-45FC-emptyFC) (vector 1 (vector 1 ) (vector 1 (vector 0 arg-6))) '()))))))))))))
(define CoreC-45SchemeEvalC-45Evaluate-toSNF (lambda (arg-1 arg-2) (let ((e-1 (car arg-2))) (let ((e-2 (cdr arg-2))) (CoreC-45SchemeEvalC-45Evaluate-snfC-39 arg-1 e-2 e-1)))))
(define CoreC-45SchemeEvalC-45Evaluate-snfVector (lambda (arg-1 arg-2 arg-3 arg-4) (cond ((equal? arg-3 -2) (if (null? arg-4) (if (null? arg-4) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-2 (cdr arg-4))) (if (null? e-2) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-4 (car e-2))) (let ((e-5 (cdr e-2))) (if (null? e-5) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-7 (car e-5))) (let ((e-8 (cdr e-5))) (let ((sc5 (PreludeC-45EqOrd-u--C-62C-61_Ord_Integer arg-3 0))) (cond ((equal? sc5 1) (CoreC-45SchemeEvalC-45Evaluate-quoteOrInvalidS (csegen-6589) e-4 (lambda (u--cname) (let ((u--fc (CoreC-45SchemeEvalC-45Evaluate-quoteFC e-7))) (let ((u--args (((csegen-25) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-snfC-39 arg-1 arg-2 eta-0))) e-8))) (lambda (eta-0) (vector 1 (vector 2 u--fc u--cname (blodwen-toSignedInt arg-3 63) (PreludeC-45TypesC-45List-lengthTR u--args) u--args)))))))) (else (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0))))))))))))) (let ((e-11 (cdr arg-4))) (if (null? e-11) (if (null? arg-4) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-2 (cdr arg-4))) (if (null? e-2) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-4 (car e-2))) (let ((e-5 (cdr e-2))) (if (null? e-5) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-7 (car e-5))) (let ((e-8 (cdr e-5))) (let ((sc6 (PreludeC-45EqOrd-u--C-62C-61_Ord_Integer arg-3 0))) (cond ((equal? sc6 1) (CoreC-45SchemeEvalC-45Evaluate-quoteOrInvalidS (csegen-6589) e-4 (lambda (u--cname) (let ((u--fc (CoreC-45SchemeEvalC-45Evaluate-quoteFC e-7))) (let ((u--args (((csegen-25) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-snfC-39 arg-1 arg-2 eta-0))) e-8))) (lambda (eta-0) (vector 1 (vector 2 u--fc u--cname (blodwen-toSignedInt arg-3 63) (PreludeC-45TypesC-45List-lengthTR u--args) u--args)))))))) (else (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0))))))))))))) (let ((e-13 (car e-11))) (let ((e-14 (cdr e-11))) (if (null? e-14) (if (null? arg-4) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-2 (cdr arg-4))) (if (null? e-2) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-4 (car e-2))) (let ((e-5 (cdr e-2))) (if (null? e-5) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-7 (car e-5))) (let ((e-8 (cdr e-5))) (let ((sc7 (PreludeC-45EqOrd-u--C-62C-61_Ord_Integer arg-3 0))) (cond ((equal? sc7 1) (CoreC-45SchemeEvalC-45Evaluate-quoteOrInvalidS (csegen-6589) e-4 (lambda (u--cname) (let ((u--fc (CoreC-45SchemeEvalC-45Evaluate-quoteFC e-7))) (let ((u--args (((csegen-25) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-snfC-39 arg-1 arg-2 eta-0))) e-8))) (lambda (eta-0) (vector 1 (vector 2 u--fc u--cname (blodwen-toSignedInt arg-3 63) (PreludeC-45TypesC-45List-lengthTR u--args) u--args)))))))) (else (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0))))))))))))) (let ((e-16 (car e-14))) (let ((e-17 (cdr e-14))) (if (null? e-17) (CoreC-45SchemeEvalC-45Evaluate-quoteOrInvalidS (csegen-6589) e-13 (lambda (u--fname) (let ((u--args (((csegen-25) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-snfC-39 arg-1 arg-2 eta-0))) (CoreC-45SchemeEvalC-45Evaluate-getArgList e-16)))) (lambda (eta-0) (vector 1 (vector 1 (CoreC-45FC-emptyFC) (vector 1 (vector 1 ) u--fname) u--args)))))) (if (null? arg-4) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-2 (cdr arg-4))) (if (null? e-2) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-4 (car e-2))) (let ((e-5 (cdr e-2))) (if (null? e-5) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-7 (car e-5))) (let ((e-8 (cdr e-5))) (let ((sc8 (PreludeC-45EqOrd-u--C-62C-61_Ord_Integer arg-3 0))) (cond ((equal? sc8 1) (CoreC-45SchemeEvalC-45Evaluate-quoteOrInvalidS (csegen-6589) e-4 (lambda (u--cname) (let ((u--fc (CoreC-45SchemeEvalC-45Evaluate-quoteFC e-7))) (let ((u--args (((csegen-25) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-snfC-39 arg-1 arg-2 eta-0))) e-8))) (lambda (eta-0) (vector 1 (vector 2 u--fc u--cname (blodwen-toSignedInt arg-3 63) (PreludeC-45TypesC-45List-lengthTR u--args) u--args)))))))) (else (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0))))))))))))))))))))))) ((equal? arg-3 -10) (if (null? arg-4) (if (null? arg-4) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-2 (cdr arg-4))) (if (null? e-2) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-4 (car e-2))) (let ((e-5 (cdr e-2))) (if (null? e-5) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-7 (car e-5))) (let ((e-8 (cdr e-5))) (let ((sc5 (PreludeC-45EqOrd-u--C-62C-61_Ord_Integer arg-3 0))) (cond ((equal? sc5 1) (CoreC-45SchemeEvalC-45Evaluate-quoteOrInvalidS (csegen-6589) e-4 (lambda (u--cname) (let ((u--fc (CoreC-45SchemeEvalC-45Evaluate-quoteFC e-7))) (let ((u--args (((csegen-25) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-snfC-39 arg-1 arg-2 eta-0))) e-8))) (lambda (eta-0) (vector 1 (vector 2 u--fc u--cname (blodwen-toSignedInt arg-3 63) (PreludeC-45TypesC-45List-lengthTR u--args) u--args)))))))) (else (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0))))))))))))) (let ((e-21 (cdr arg-4))) (if (null? e-21) (if (null? arg-4) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-2 (cdr arg-4))) (if (null? e-2) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-4 (car e-2))) (let ((e-5 (cdr e-2))) (if (null? e-5) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-7 (car e-5))) (let ((e-8 (cdr e-5))) (let ((sc6 (PreludeC-45EqOrd-u--C-62C-61_Ord_Integer arg-3 0))) (cond ((equal? sc6 1) (CoreC-45SchemeEvalC-45Evaluate-quoteOrInvalidS (csegen-6589) e-4 (lambda (u--cname) (let ((u--fc (CoreC-45SchemeEvalC-45Evaluate-quoteFC e-7))) (let ((u--args (((csegen-25) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-snfC-39 arg-1 arg-2 eta-0))) e-8))) (lambda (eta-0) (vector 1 (vector 2 u--fc u--cname (blodwen-toSignedInt arg-3 63) (PreludeC-45TypesC-45List-lengthTR u--args) u--args)))))))) (else (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0))))))))))))) (let ((e-23 (car e-21))) (let ((e-24 (cdr e-21))) (if (null? e-24) (if (null? arg-4) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-2 (cdr arg-4))) (if (null? e-2) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-4 (car e-2))) (let ((e-5 (cdr e-2))) (if (null? e-5) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-7 (car e-5))) (let ((e-8 (cdr e-5))) (let ((sc7 (PreludeC-45EqOrd-u--C-62C-61_Ord_Integer arg-3 0))) (cond ((equal? sc7 1) (CoreC-45SchemeEvalC-45Evaluate-quoteOrInvalidS (csegen-6589) e-4 (lambda (u--cname) (let ((u--fc (CoreC-45SchemeEvalC-45Evaluate-quoteFC e-7))) (let ((u--args (((csegen-25) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-snfC-39 arg-1 arg-2 eta-0))) e-8))) (lambda (eta-0) (vector 1 (vector 2 u--fc u--cname (blodwen-toSignedInt arg-3 63) (PreludeC-45TypesC-45List-lengthTR u--args) u--args)))))))) (else (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0))))))))))))) (let ((e-26 (car e-24))) (let ((e-27 (cdr e-24))) (if (null? e-27) (CoreC-45SchemeEvalC-45Evaluate-quoteOrInvalidS (cons (lambda (arg-1843) (LibrariesC-45UtilsC-45Scheme-u--toScheme_Scheme_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-6591) arg-1843)) (lambda (arg-1849) (LibrariesC-45UtilsC-45Scheme-u--fromScheme_Scheme_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-6591) arg-1849))) e-23 (lambda (lamc-0) (let ((e-2 (car lamc-0))) (let ((e-3 (cdr lamc-0))) (let ((u--arity ((let ((eff-0 (lambda (eta-0) (PreludeC-45Types-prim__integerToNat eta-0)))) (lambda (arg-0) (eff-0 arg-0))) e-3))) (let ((u--args (((csegen-25) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-snfC-39 arg-1 arg-2 eta-0))) (CoreC-45SchemeEvalC-45Evaluate-getArgList e-26)))) (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-toFullNames arg-1 (csegen-81) e-2))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-getPosition e-6 (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (clam-0) (let ((e-8 (car e-7))) (vector 1 (vector 1 (CoreC-45FC-emptyFC) (vector 2 e-6 e-8 (DataC-45List-take u--arity u--args)) (DataC-45List-drop u--arity u--args))))))) eff-3))))))))) eff-2))))))))) eff-1))))))))))))) (if (null? arg-4) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-2 (cdr arg-4))) (if (null? e-2) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-4 (car e-2))) (let ((e-5 (cdr e-2))) (if (null? e-5) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-7 (car e-5))) (let ((e-8 (cdr e-5))) (let ((sc8 (PreludeC-45EqOrd-u--C-62C-61_Ord_Integer arg-3 0))) (cond ((equal? sc8 1) (CoreC-45SchemeEvalC-45Evaluate-quoteOrInvalidS (csegen-6589) e-4 (lambda (u--cname) (let ((u--fc (CoreC-45SchemeEvalC-45Evaluate-quoteFC e-7))) (let ((u--args (((csegen-25) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-snfC-39 arg-1 arg-2 eta-0))) e-8))) (lambda (eta-0) (vector 1 (vector 2 u--fc u--cname (blodwen-toSignedInt arg-3 63) (PreludeC-45TypesC-45List-lengthTR u--args) u--args)))))))) (else (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0))))))))))))))))))))))) ((equal? arg-3 -11) (if (null? arg-4) (if (null? arg-4) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-2 (cdr arg-4))) (if (null? e-2) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-4 (car e-2))) (let ((e-5 (cdr e-2))) (if (null? e-5) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-7 (car e-5))) (let ((e-8 (cdr e-5))) (let ((sc5 (PreludeC-45EqOrd-u--C-62C-61_Ord_Integer arg-3 0))) (cond ((equal? sc5 1) (CoreC-45SchemeEvalC-45Evaluate-quoteOrInvalidS (csegen-6589) e-4 (lambda (u--cname) (let ((u--fc (CoreC-45SchemeEvalC-45Evaluate-quoteFC e-7))) (let ((u--args (((csegen-25) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-snfC-39 arg-1 arg-2 eta-0))) e-8))) (lambda (eta-0) (vector 1 (vector 2 u--fc u--cname (blodwen-toSignedInt arg-3 63) (PreludeC-45TypesC-45List-lengthTR u--args) u--args)))))))) (else (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0))))))))))))) (let ((e-31 (cdr arg-4))) (if (null? e-31) (if (null? arg-4) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-2 (cdr arg-4))) (if (null? e-2) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-4 (car e-2))) (let ((e-5 (cdr e-2))) (if (null? e-5) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-7 (car e-5))) (let ((e-8 (cdr e-5))) (let ((sc6 (PreludeC-45EqOrd-u--C-62C-61_Ord_Integer arg-3 0))) (cond ((equal? sc6 1) (CoreC-45SchemeEvalC-45Evaluate-quoteOrInvalidS (csegen-6589) e-4 (lambda (u--cname) (let ((u--fc (CoreC-45SchemeEvalC-45Evaluate-quoteFC e-7))) (let ((u--args (((csegen-25) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-snfC-39 arg-1 arg-2 eta-0))) e-8))) (lambda (eta-0) (vector 1 (vector 2 u--fc u--cname (blodwen-toSignedInt arg-3 63) (PreludeC-45TypesC-45List-lengthTR u--args) u--args)))))))) (else (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0))))))))))))) (let ((e-33 (car e-31))) (let ((e-34 (cdr e-31))) (if (null? e-34) (if (null? arg-4) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-2 (cdr arg-4))) (if (null? e-2) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-4 (car e-2))) (let ((e-5 (cdr e-2))) (if (null? e-5) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-7 (car e-5))) (let ((e-8 (cdr e-5))) (let ((sc7 (PreludeC-45EqOrd-u--C-62C-61_Ord_Integer arg-3 0))) (cond ((equal? sc7 1) (CoreC-45SchemeEvalC-45Evaluate-quoteOrInvalidS (csegen-6589) e-4 (lambda (u--cname) (let ((u--fc (CoreC-45SchemeEvalC-45Evaluate-quoteFC e-7))) (let ((u--args (((csegen-25) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-snfC-39 arg-1 arg-2 eta-0))) e-8))) (lambda (eta-0) (vector 1 (vector 2 u--fc u--cname (blodwen-toSignedInt arg-3 63) (PreludeC-45TypesC-45List-lengthTR u--args) u--args)))))))) (else (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0))))))))))))) (let ((e-36 (car e-34))) (let ((e-37 (cdr e-34))) (if (null? e-37) (let ((eff-0 (CoreC-45SchemeEvalC-45Evaluate-snfC-39 arg-1 arg-2 e-33))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (case (vector-ref e-5 0) ((1) (let ((e-1 (vector-ref e-5 1))) (let ((e-2 (vector-ref e-5 2))) (let ((e-3 (vector-ref e-5 3))) (let ((u--argsC-39 (((csegen-25) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-snfC-39 arg-1 arg-2 eta-0))) (CoreC-45SchemeEvalC-45Evaluate-getArgList e-36)))) (lambda (eta-0) (vector 1 (vector 1 e-1 e-2 (PreludeC-45TypesC-45List-tailRecAppend e-3 u--argsC-39)))))))))(else (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)))))) eff-1))))))) (if (null? arg-4) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-2 (cdr arg-4))) (if (null? e-2) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-4 (car e-2))) (let ((e-5 (cdr e-2))) (if (null? e-5) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-7 (car e-5))) (let ((e-8 (cdr e-5))) (let ((sc8 (PreludeC-45EqOrd-u--C-62C-61_Ord_Integer arg-3 0))) (cond ((equal? sc8 1) (CoreC-45SchemeEvalC-45Evaluate-quoteOrInvalidS (csegen-6589) e-4 (lambda (u--cname) (let ((u--fc (CoreC-45SchemeEvalC-45Evaluate-quoteFC e-7))) (let ((u--args (((csegen-25) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-snfC-39 arg-1 arg-2 eta-0))) e-8))) (lambda (eta-0) (vector 1 (vector 2 u--fc u--cname (blodwen-toSignedInt arg-3 63) (PreludeC-45TypesC-45List-lengthTR u--args) u--args)))))))) (else (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0))))))))))))))))))))))) ((equal? arg-3 -1) (if (null? arg-4) (if (null? arg-4) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-2 (cdr arg-4))) (if (null? e-2) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-4 (car e-2))) (let ((e-5 (cdr e-2))) (if (null? e-5) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-7 (car e-5))) (let ((e-8 (cdr e-5))) (let ((sc5 (PreludeC-45EqOrd-u--C-62C-61_Ord_Integer arg-3 0))) (cond ((equal? sc5 1) (CoreC-45SchemeEvalC-45Evaluate-quoteOrInvalidS (csegen-6589) e-4 (lambda (u--cname) (let ((u--fc (CoreC-45SchemeEvalC-45Evaluate-quoteFC e-7))) (let ((u--args (((csegen-25) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-snfC-39 arg-1 arg-2 eta-0))) e-8))) (lambda (eta-0) (vector 1 (vector 2 u--fc u--cname (blodwen-toSignedInt arg-3 63) (PreludeC-45TypesC-45List-lengthTR u--args) u--args)))))))) (else (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0))))))))))))) (let ((e-41 (cdr arg-4))) (if (null? e-41) (if (null? arg-4) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-2 (cdr arg-4))) (if (null? e-2) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-4 (car e-2))) (let ((e-5 (cdr e-2))) (if (null? e-5) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-7 (car e-5))) (let ((e-8 (cdr e-5))) (let ((sc6 (PreludeC-45EqOrd-u--C-62C-61_Ord_Integer arg-3 0))) (cond ((equal? sc6 1) (CoreC-45SchemeEvalC-45Evaluate-quoteOrInvalidS (csegen-6589) e-4 (lambda (u--cname) (let ((u--fc (CoreC-45SchemeEvalC-45Evaluate-quoteFC e-7))) (let ((u--args (((csegen-25) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-snfC-39 arg-1 arg-2 eta-0))) e-8))) (lambda (eta-0) (vector 1 (vector 2 u--fc u--cname (blodwen-toSignedInt arg-3 63) (PreludeC-45TypesC-45List-lengthTR u--args) u--args)))))))) (else (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0))))))))))))) (let ((e-43 (car e-41))) (let ((e-44 (cdr e-41))) (if (null? e-44) (if (null? arg-4) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-2 (cdr arg-4))) (if (null? e-2) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-4 (car e-2))) (let ((e-5 (cdr e-2))) (if (null? e-5) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-7 (car e-5))) (let ((e-8 (cdr e-5))) (let ((sc7 (PreludeC-45EqOrd-u--C-62C-61_Ord_Integer arg-3 0))) (cond ((equal? sc7 1) (CoreC-45SchemeEvalC-45Evaluate-quoteOrInvalidS (csegen-6589) e-4 (lambda (u--cname) (let ((u--fc (CoreC-45SchemeEvalC-45Evaluate-quoteFC e-7))) (let ((u--args (((csegen-25) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-snfC-39 arg-1 arg-2 eta-0))) e-8))) (lambda (eta-0) (vector 1 (vector 2 u--fc u--cname (blodwen-toSignedInt arg-3 63) (PreludeC-45TypesC-45List-lengthTR u--args) u--args)))))))) (else (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0))))))))))))) (let ((e-47 (cdr e-44))) (if (null? e-47) (if (null? arg-4) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-2 (cdr arg-4))) (if (null? e-2) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-4 (car e-2))) (let ((e-5 (cdr e-2))) (if (null? e-5) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-7 (car e-5))) (let ((e-8 (cdr e-5))) (let ((sc8 (PreludeC-45EqOrd-u--C-62C-61_Ord_Integer arg-3 0))) (cond ((equal? sc8 1) (CoreC-45SchemeEvalC-45Evaluate-quoteOrInvalidS (csegen-6589) e-4 (lambda (u--cname) (let ((u--fc (CoreC-45SchemeEvalC-45Evaluate-quoteFC e-7))) (let ((u--args (((csegen-25) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-snfC-39 arg-1 arg-2 eta-0))) e-8))) (lambda (eta-0) (vector 1 (vector 2 u--fc u--cname (blodwen-toSignedInt arg-3 63) (PreludeC-45TypesC-45List-lengthTR u--args) u--args)))))))) (else (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0))))))))))))) (let ((e-49 (car e-47))) (let ((e-50 (cdr e-47))) (if (null? e-50) (if (null? arg-4) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-2 (cdr arg-4))) (if (null? e-2) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-4 (car e-2))) (let ((e-5 (cdr e-2))) (if (null? e-5) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-7 (car e-5))) (let ((e-8 (cdr e-5))) (let ((sc9 (PreludeC-45EqOrd-u--C-62C-61_Ord_Integer arg-3 0))) (cond ((equal? sc9 1) (CoreC-45SchemeEvalC-45Evaluate-quoteOrInvalidS (csegen-6589) e-4 (lambda (u--cname) (let ((u--fc (CoreC-45SchemeEvalC-45Evaluate-quoteFC e-7))) (let ((u--args (((csegen-25) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-snfC-39 arg-1 arg-2 eta-0))) e-8))) (lambda (eta-0) (vector 1 (vector 2 u--fc u--cname (blodwen-toSignedInt arg-3 63) (PreludeC-45TypesC-45List-lengthTR u--args) u--args)))))))) (else (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0))))))))))))) (let ((e-52 (car e-50))) (let ((e-53 (cdr e-50))) (CoreC-45SchemeEvalC-45Evaluate-quoteOrInvalidS (csegen-6589) e-49 (lambda (u--cname) (CoreC-45SchemeEvalC-45Evaluate-quoteOrInvalidS (csegen-6590) e-43 (lambda (u--tag) (let ((u--fc (CoreC-45SchemeEvalC-45Evaluate-quoteFC e-52))) (let ((u--args (((csegen-25) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-snfC-39 arg-1 arg-2 eta-0))) e-53))) (lambda (eta-0) (vector 1 (vector 3 u--fc u--cname (blodwen-toSignedInt u--tag 63) (PreludeC-45TypesC-45List-lengthTR u--args) u--args))))))))))))))))))))))) ((equal? arg-3 -15) (if (null? arg-4) (if (null? arg-4) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-2 (cdr arg-4))) (if (null? e-2) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-4 (car e-2))) (let ((e-5 (cdr e-2))) (if (null? e-5) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-7 (car e-5))) (let ((e-8 (cdr e-5))) (let ((sc5 (PreludeC-45EqOrd-u--C-62C-61_Ord_Integer arg-3 0))) (cond ((equal? sc5 1) (CoreC-45SchemeEvalC-45Evaluate-quoteOrInvalidS (csegen-6589) e-4 (lambda (u--cname) (let ((u--fc (CoreC-45SchemeEvalC-45Evaluate-quoteFC e-7))) (let ((u--args (((csegen-25) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-snfC-39 arg-1 arg-2 eta-0))) e-8))) (lambda (eta-0) (vector 1 (vector 2 u--fc u--cname (blodwen-toSignedInt arg-3 63) (PreludeC-45TypesC-45List-lengthTR u--args) u--args)))))))) (else (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0))))))))))))) (let ((e-56 (cdr arg-4))) (if (null? e-56) (if (null? arg-4) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-2 (cdr arg-4))) (if (null? e-2) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-4 (car e-2))) (let ((e-5 (cdr e-2))) (if (null? e-5) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-7 (car e-5))) (let ((e-8 (cdr e-5))) (let ((sc6 (PreludeC-45EqOrd-u--C-62C-61_Ord_Integer arg-3 0))) (cond ((equal? sc6 1) (CoreC-45SchemeEvalC-45Evaluate-quoteOrInvalidS (csegen-6589) e-4 (lambda (u--cname) (let ((u--fc (CoreC-45SchemeEvalC-45Evaluate-quoteFC e-7))) (let ((u--args (((csegen-25) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-snfC-39 arg-1 arg-2 eta-0))) e-8))) (lambda (eta-0) (vector 1 (vector 2 u--fc u--cname (blodwen-toSignedInt arg-3 63) (PreludeC-45TypesC-45List-lengthTR u--args) u--args)))))))) (else (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0))))))))))))) (let ((e-58 (car e-56))) (let ((e-59 (cdr e-56))) (if (null? e-59) (if (null? arg-4) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-2 (cdr arg-4))) (if (null? e-2) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-4 (car e-2))) (let ((e-5 (cdr e-2))) (if (null? e-5) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-7 (car e-5))) (let ((e-8 (cdr e-5))) (let ((sc7 (PreludeC-45EqOrd-u--C-62C-61_Ord_Integer arg-3 0))) (cond ((equal? sc7 1) (CoreC-45SchemeEvalC-45Evaluate-quoteOrInvalidS (csegen-6589) e-4 (lambda (u--cname) (let ((u--fc (CoreC-45SchemeEvalC-45Evaluate-quoteFC e-7))) (let ((u--args (((csegen-25) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-snfC-39 arg-1 arg-2 eta-0))) e-8))) (lambda (eta-0) (vector 1 (vector 2 u--fc u--cname (blodwen-toSignedInt arg-3 63) (PreludeC-45TypesC-45List-lengthTR u--args) u--args)))))))) (else (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0))))))))))))) (let ((e-61 (car e-59))) (let ((e-62 (cdr e-59))) (if (null? e-62) (let ((eff-0 (CoreC-45SchemeEvalC-45Evaluate-snfC-39 arg-1 arg-2 e-61))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--r (CoreC-45SchemeEvalC-45Evaluate-quoteLazyReason e-58))) (lambda (eta-0) (vector 1 (vector 4 (CoreC-45FC-emptyFC) u--r e-5)))))) eff-1))))))) (if (null? arg-4) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-2 (cdr arg-4))) (if (null? e-2) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-4 (car e-2))) (let ((e-5 (cdr e-2))) (if (null? e-5) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-7 (car e-5))) (let ((e-8 (cdr e-5))) (let ((sc8 (PreludeC-45EqOrd-u--C-62C-61_Ord_Integer arg-3 0))) (cond ((equal? sc8 1) (CoreC-45SchemeEvalC-45Evaluate-quoteOrInvalidS (csegen-6589) e-4 (lambda (u--cname) (let ((u--fc (CoreC-45SchemeEvalC-45Evaluate-quoteFC e-7))) (let ((u--args (((csegen-25) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-snfC-39 arg-1 arg-2 eta-0))) e-8))) (lambda (eta-0) (vector 1 (vector 2 u--fc u--cname (blodwen-toSignedInt arg-3 63) (PreludeC-45TypesC-45List-lengthTR u--args) u--args)))))))) (else (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0))))))))))))))))))))))) ((equal? arg-3 -4) (if (null? arg-4) (if (null? arg-4) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-2 (cdr arg-4))) (if (null? e-2) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-4 (car e-2))) (let ((e-5 (cdr e-2))) (if (null? e-5) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-7 (car e-5))) (let ((e-8 (cdr e-5))) (let ((sc5 (PreludeC-45EqOrd-u--C-62C-61_Ord_Integer arg-3 0))) (cond ((equal? sc5 1) (CoreC-45SchemeEvalC-45Evaluate-quoteOrInvalidS (csegen-6589) e-4 (lambda (u--cname) (let ((u--fc (CoreC-45SchemeEvalC-45Evaluate-quoteFC e-7))) (let ((u--args (((csegen-25) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-snfC-39 arg-1 arg-2 eta-0))) e-8))) (lambda (eta-0) (vector 1 (vector 2 u--fc u--cname (blodwen-toSignedInt arg-3 63) (PreludeC-45TypesC-45List-lengthTR u--args) u--args)))))))) (else (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0))))))))))))) (let ((e-65 (car arg-4))) (let ((e-66 (cdr arg-4))) (if (null? e-66) (if (null? arg-4) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-2 (cdr arg-4))) (if (null? e-2) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-4 (car e-2))) (let ((e-5 (cdr e-2))) (if (null? e-5) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-7 (car e-5))) (let ((e-8 (cdr e-5))) (let ((sc6 (PreludeC-45EqOrd-u--C-62C-61_Ord_Integer arg-3 0))) (cond ((equal? sc6 1) (CoreC-45SchemeEvalC-45Evaluate-quoteOrInvalidS (csegen-6589) e-4 (lambda (u--cname) (let ((u--fc (CoreC-45SchemeEvalC-45Evaluate-quoteFC e-7))) (let ((u--args (((csegen-25) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-snfC-39 arg-1 arg-2 eta-0))) e-8))) (lambda (eta-0) (vector 1 (vector 2 u--fc u--cname (blodwen-toSignedInt arg-3 63) (PreludeC-45TypesC-45List-lengthTR u--args) u--args)))))))) (else (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0))))))))))))) (let ((e-68 (car e-66))) (let ((e-69 (cdr e-66))) (if (null? e-69) (if (null? arg-4) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-2 (cdr arg-4))) (if (null? e-2) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-4 (car e-2))) (let ((e-5 (cdr e-2))) (if (null? e-5) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-7 (car e-5))) (let ((e-8 (cdr e-5))) (let ((sc7 (PreludeC-45EqOrd-u--C-62C-61_Ord_Integer arg-3 0))) (cond ((equal? sc7 1) (CoreC-45SchemeEvalC-45Evaluate-quoteOrInvalidS (csegen-6589) e-4 (lambda (u--cname) (let ((u--fc (CoreC-45SchemeEvalC-45Evaluate-quoteFC e-7))) (let ((u--args (((csegen-25) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-snfC-39 arg-1 arg-2 eta-0))) e-8))) (lambda (eta-0) (vector 1 (vector 2 u--fc u--cname (blodwen-toSignedInt arg-3 63) (PreludeC-45TypesC-45List-lengthTR u--args) u--args)))))))) (else (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0))))))))))))) (let ((e-71 (car e-69))) (let ((e-72 (cdr e-69))) (if (null? e-72) (if (null? arg-4) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-2 (cdr arg-4))) (if (null? e-2) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-4 (car e-2))) (let ((e-5 (cdr e-2))) (if (null? e-5) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-7 (car e-5))) (let ((e-8 (cdr e-5))) (let ((sc8 (PreludeC-45EqOrd-u--C-62C-61_Ord_Integer arg-3 0))) (cond ((equal? sc8 1) (CoreC-45SchemeEvalC-45Evaluate-quoteOrInvalidS (csegen-6589) e-4 (lambda (u--cname) (let ((u--fc (CoreC-45SchemeEvalC-45Evaluate-quoteFC e-7))) (let ((u--args (((csegen-25) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-snfC-39 arg-1 arg-2 eta-0))) e-8))) (lambda (eta-0) (vector 1 (vector 2 u--fc u--cname (blodwen-toSignedInt arg-3 63) (PreludeC-45TypesC-45List-lengthTR u--args) u--args)))))))) (else (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0))))))))))))) (let ((e-74 (car e-72))) (let ((e-75 (cdr e-72))) (if (null? e-75) (if (null? arg-4) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-2 (cdr arg-4))) (if (null? e-2) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-4 (car e-2))) (let ((e-5 (cdr e-2))) (if (null? e-5) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-7 (car e-5))) (let ((e-8 (cdr e-5))) (let ((sc9 (PreludeC-45EqOrd-u--C-62C-61_Ord_Integer arg-3 0))) (cond ((equal? sc9 1) (CoreC-45SchemeEvalC-45Evaluate-quoteOrInvalidS (csegen-6589) e-4 (lambda (u--cname) (let ((u--fc (CoreC-45SchemeEvalC-45Evaluate-quoteFC e-7))) (let ((u--args (((csegen-25) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-snfC-39 arg-1 arg-2 eta-0))) e-8))) (lambda (eta-0) (vector 1 (vector 2 u--fc u--cname (blodwen-toSignedInt arg-3 63) (PreludeC-45TypesC-45List-lengthTR u--args) u--args)))))))) (else (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0))))))))))))) (let ((e-77 (car e-75))) (let ((e-78 (cdr e-75))) (if (null? e-78) (let ((sc7 (LibrariesC-45UtilsC-45Scheme-decodeObj e-77))) (case (vector-ref sc7 0) ((9) (let ((e-0 (vector-ref sc7 1))) (CoreC-45SchemeEvalC-45Evaluate-case--caseC-32blockC-32inC-32snfVector-7108 arg-1 e-65 e-68 e-71 e-74 e-77 arg-2 e-0 (LibrariesC-45UtilsC-45Scheme-decodeObj e-74))))(else (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0))))) (if (null? arg-4) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-2 (cdr arg-4))) (if (null? e-2) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-4 (car e-2))) (let ((e-5 (cdr e-2))) (if (null? e-5) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-7 (car e-5))) (let ((e-8 (cdr e-5))) (let ((sc10 (PreludeC-45EqOrd-u--C-62C-61_Ord_Integer arg-3 0))) (cond ((equal? sc10 1) (CoreC-45SchemeEvalC-45Evaluate-quoteOrInvalidS (csegen-6589) e-4 (lambda (u--cname) (let ((u--fc (CoreC-45SchemeEvalC-45Evaluate-quoteFC e-7))) (let ((u--args (((csegen-25) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-snfC-39 arg-1 arg-2 eta-0))) e-8))) (lambda (eta-0) (vector 1 (vector 2 u--fc u--cname (blodwen-toSignedInt arg-3 63) (PreludeC-45TypesC-45List-lengthTR u--args) u--args)))))))) (else (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)))))))))))))))))))))))))))))) ((equal? arg-3 -5) (if (null? arg-4) (if (null? arg-4) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-2 (cdr arg-4))) (if (null? e-2) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-4 (car e-2))) (let ((e-5 (cdr e-2))) (if (null? e-5) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-7 (car e-5))) (let ((e-8 (cdr e-5))) (let ((sc5 (PreludeC-45EqOrd-u--C-62C-61_Ord_Integer arg-3 0))) (cond ((equal? sc5 1) (CoreC-45SchemeEvalC-45Evaluate-quoteOrInvalidS (csegen-6589) e-4 (lambda (u--cname) (let ((u--fc (CoreC-45SchemeEvalC-45Evaluate-quoteFC e-7))) (let ((u--args (((csegen-25) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-snfC-39 arg-1 arg-2 eta-0))) e-8))) (lambda (eta-0) (vector 1 (vector 2 u--fc u--cname (blodwen-toSignedInt arg-3 63) (PreludeC-45TypesC-45List-lengthTR u--args) u--args)))))))) (else (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0))))))))))))) (let ((e-82 (cdr arg-4))) (if (null? e-82) (if (null? arg-4) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-2 (cdr arg-4))) (if (null? e-2) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-4 (car e-2))) (let ((e-5 (cdr e-2))) (if (null? e-5) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-7 (car e-5))) (let ((e-8 (cdr e-5))) (let ((sc6 (PreludeC-45EqOrd-u--C-62C-61_Ord_Integer arg-3 0))) (cond ((equal? sc6 1) (CoreC-45SchemeEvalC-45Evaluate-quoteOrInvalidS (csegen-6589) e-4 (lambda (u--cname) (let ((u--fc (CoreC-45SchemeEvalC-45Evaluate-quoteFC e-7))) (let ((u--args (((csegen-25) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-snfC-39 arg-1 arg-2 eta-0))) e-8))) (lambda (eta-0) (vector 1 (vector 2 u--fc u--cname (blodwen-toSignedInt arg-3 63) (PreludeC-45TypesC-45List-lengthTR u--args) u--args)))))))) (else (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0))))))))))))) (let ((e-84 (car e-82))) (let ((e-85 (cdr e-82))) (if (null? e-85) (if (null? arg-4) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-2 (cdr arg-4))) (if (null? e-2) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-4 (car e-2))) (let ((e-5 (cdr e-2))) (if (null? e-5) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-7 (car e-5))) (let ((e-8 (cdr e-5))) (let ((sc7 (PreludeC-45EqOrd-u--C-62C-61_Ord_Integer arg-3 0))) (cond ((equal? sc7 1) (CoreC-45SchemeEvalC-45Evaluate-quoteOrInvalidS (csegen-6589) e-4 (lambda (u--cname) (let ((u--fc (CoreC-45SchemeEvalC-45Evaluate-quoteFC e-7))) (let ((u--args (((csegen-25) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-snfC-39 arg-1 arg-2 eta-0))) e-8))) (lambda (eta-0) (vector 1 (vector 2 u--fc u--cname (blodwen-toSignedInt arg-3 63) (PreludeC-45TypesC-45List-lengthTR u--args) u--args)))))))) (else (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0))))))))))))) (let ((e-87 (car e-85))) (let ((e-88 (cdr e-85))) (if (null? e-88) (if (null? arg-4) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-2 (cdr arg-4))) (if (null? e-2) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-4 (car e-2))) (let ((e-5 (cdr e-2))) (if (null? e-5) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-7 (car e-5))) (let ((e-8 (cdr e-5))) (let ((sc8 (PreludeC-45EqOrd-u--C-62C-61_Ord_Integer arg-3 0))) (cond ((equal? sc8 1) (CoreC-45SchemeEvalC-45Evaluate-quoteOrInvalidS (csegen-6589) e-4 (lambda (u--cname) (let ((u--fc (CoreC-45SchemeEvalC-45Evaluate-quoteFC e-7))) (let ((u--args (((csegen-25) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-snfC-39 arg-1 arg-2 eta-0))) e-8))) (lambda (eta-0) (vector 1 (vector 2 u--fc u--cname (blodwen-toSignedInt arg-3 63) (PreludeC-45TypesC-45List-lengthTR u--args) u--args)))))))) (else (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0))))))))))))) (let ((e-90 (car e-88))) (let ((e-91 (cdr e-88))) (if (null? e-91) (let ((eff-0 (CoreC-45SchemeEvalC-45Evaluate-snfC-39 arg-1 arg-2 e-90))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--fc (CoreC-45SchemeEvalC-45Evaluate-quoteFC e-87))) (let ((u--r (CoreC-45SchemeEvalC-45Evaluate-quoteLazyReason e-84))) (lambda (eta-0) (vector 1 (vector 6 u--fc u--r e-5))))))) eff-1))))))) (if (null? arg-4) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-2 (cdr arg-4))) (if (null? e-2) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-4 (car e-2))) (let ((e-5 (cdr e-2))) (if (null? e-5) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-7 (car e-5))) (let ((e-8 (cdr e-5))) (let ((sc9 (PreludeC-45EqOrd-u--C-62C-61_Ord_Integer arg-3 0))) (cond ((equal? sc9 1) (CoreC-45SchemeEvalC-45Evaluate-quoteOrInvalidS (csegen-6589) e-4 (lambda (u--cname) (let ((u--fc (CoreC-45SchemeEvalC-45Evaluate-quoteFC e-7))) (let ((u--args (((csegen-25) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-snfC-39 arg-1 arg-2 eta-0))) e-8))) (lambda (eta-0) (vector 1 (vector 2 u--fc u--cname (blodwen-toSignedInt arg-3 63) (PreludeC-45TypesC-45List-lengthTR u--args) u--args)))))))) (else (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)))))))))))))))))))))))))) ((equal? arg-3 -6) (if (null? arg-4) (if (null? arg-4) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-2 (cdr arg-4))) (if (null? e-2) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-4 (car e-2))) (let ((e-5 (cdr e-2))) (if (null? e-5) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-7 (car e-5))) (let ((e-8 (cdr e-5))) (let ((sc5 (PreludeC-45EqOrd-u--C-62C-61_Ord_Integer arg-3 0))) (cond ((equal? sc5 1) (CoreC-45SchemeEvalC-45Evaluate-quoteOrInvalidS (csegen-6589) e-4 (lambda (u--cname) (let ((u--fc (CoreC-45SchemeEvalC-45Evaluate-quoteFC e-7))) (let ((u--args (((csegen-25) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-snfC-39 arg-1 arg-2 eta-0))) e-8))) (lambda (eta-0) (vector 1 (vector 2 u--fc u--cname (blodwen-toSignedInt arg-3 63) (PreludeC-45TypesC-45List-lengthTR u--args) u--args)))))))) (else (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0))))))))))))) (let ((e-95 (cdr arg-4))) (if (null? e-95) (if (null? arg-4) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-2 (cdr arg-4))) (if (null? e-2) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-4 (car e-2))) (let ((e-5 (cdr e-2))) (if (null? e-5) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-7 (car e-5))) (let ((e-8 (cdr e-5))) (let ((sc6 (PreludeC-45EqOrd-u--C-62C-61_Ord_Integer arg-3 0))) (cond ((equal? sc6 1) (CoreC-45SchemeEvalC-45Evaluate-quoteOrInvalidS (csegen-6589) e-4 (lambda (u--cname) (let ((u--fc (CoreC-45SchemeEvalC-45Evaluate-quoteFC e-7))) (let ((u--args (((csegen-25) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-snfC-39 arg-1 arg-2 eta-0))) e-8))) (lambda (eta-0) (vector 1 (vector 2 u--fc u--cname (blodwen-toSignedInt arg-3 63) (PreludeC-45TypesC-45List-lengthTR u--args) u--args)))))))) (else (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0))))))))))))) (let ((e-97 (car e-95))) (let ((e-98 (cdr e-95))) (if (null? e-98) (if (null? arg-4) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-2 (cdr arg-4))) (if (null? e-2) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-4 (car e-2))) (let ((e-5 (cdr e-2))) (if (null? e-5) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-7 (car e-5))) (let ((e-8 (cdr e-5))) (let ((sc7 (PreludeC-45EqOrd-u--C-62C-61_Ord_Integer arg-3 0))) (cond ((equal? sc7 1) (CoreC-45SchemeEvalC-45Evaluate-quoteOrInvalidS (csegen-6589) e-4 (lambda (u--cname) (let ((u--fc (CoreC-45SchemeEvalC-45Evaluate-quoteFC e-7))) (let ((u--args (((csegen-25) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-snfC-39 arg-1 arg-2 eta-0))) e-8))) (lambda (eta-0) (vector 1 (vector 2 u--fc u--cname (blodwen-toSignedInt arg-3 63) (PreludeC-45TypesC-45List-lengthTR u--args) u--args)))))))) (else (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0))))))))))))) (let ((e-100 (car e-98))) (let ((e-101 (cdr e-98))) (if (null? e-101) (let ((u--fc (CoreC-45SchemeEvalC-45Evaluate-quoteFC e-97))) (let ((eff-0 (CoreC-45SchemeEvalC-45Evaluate-quoteWhyErased (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-snfC-39 arg-1 arg-2 eta-0)) e-100))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 8 u--fc e-5))))) eff-1)))))))) (if (null? arg-4) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-2 (cdr arg-4))) (if (null? e-2) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-4 (car e-2))) (let ((e-5 (cdr e-2))) (if (null? e-5) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-7 (car e-5))) (let ((e-8 (cdr e-5))) (let ((sc8 (PreludeC-45EqOrd-u--C-62C-61_Ord_Integer arg-3 0))) (cond ((equal? sc8 1) (CoreC-45SchemeEvalC-45Evaluate-quoteOrInvalidS (csegen-6589) e-4 (lambda (u--cname) (let ((u--fc (CoreC-45SchemeEvalC-45Evaluate-quoteFC e-7))) (let ((u--args (((csegen-25) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-snfC-39 arg-1 arg-2 eta-0))) e-8))) (lambda (eta-0) (vector 1 (vector 2 u--fc u--cname (blodwen-toSignedInt arg-3 63) (PreludeC-45TypesC-45List-lengthTR u--args) u--args)))))))) (else (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0))))))))))))))))))))))) ((equal? arg-3 -7) (if (null? arg-4) (if (null? arg-4) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-2 (cdr arg-4))) (if (null? e-2) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-4 (car e-2))) (let ((e-5 (cdr e-2))) (if (null? e-5) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-7 (car e-5))) (let ((e-8 (cdr e-5))) (let ((sc5 (PreludeC-45EqOrd-u--C-62C-61_Ord_Integer arg-3 0))) (cond ((equal? sc5 1) (CoreC-45SchemeEvalC-45Evaluate-quoteOrInvalidS (csegen-6589) e-4 (lambda (u--cname) (let ((u--fc (CoreC-45SchemeEvalC-45Evaluate-quoteFC e-7))) (let ((u--args (((csegen-25) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-snfC-39 arg-1 arg-2 eta-0))) e-8))) (lambda (eta-0) (vector 1 (vector 2 u--fc u--cname (blodwen-toSignedInt arg-3 63) (PreludeC-45TypesC-45List-lengthTR u--args) u--args)))))))) (else (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0))))))))))))) (let ((e-105 (cdr arg-4))) (if (null? e-105) (if (null? arg-4) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-2 (cdr arg-4))) (if (null? e-2) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-4 (car e-2))) (let ((e-5 (cdr e-2))) (if (null? e-5) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-7 (car e-5))) (let ((e-8 (cdr e-5))) (let ((sc6 (PreludeC-45EqOrd-u--C-62C-61_Ord_Integer arg-3 0))) (cond ((equal? sc6 1) (CoreC-45SchemeEvalC-45Evaluate-quoteOrInvalidS (csegen-6589) e-4 (lambda (u--cname) (let ((u--fc (CoreC-45SchemeEvalC-45Evaluate-quoteFC e-7))) (let ((u--args (((csegen-25) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-snfC-39 arg-1 arg-2 eta-0))) e-8))) (lambda (eta-0) (vector 1 (vector 2 u--fc u--cname (blodwen-toSignedInt arg-3 63) (PreludeC-45TypesC-45List-lengthTR u--args) u--args)))))))) (else (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0))))))))))))) (let ((e-107 (car e-105))) (let ((e-108 (cdr e-105))) (if (null? e-108) (if (null? arg-4) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-2 (cdr arg-4))) (if (null? e-2) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-4 (car e-2))) (let ((e-5 (cdr e-2))) (if (null? e-5) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-7 (car e-5))) (let ((e-8 (cdr e-5))) (let ((sc7 (PreludeC-45EqOrd-u--C-62C-61_Ord_Integer arg-3 0))) (cond ((equal? sc7 1) (CoreC-45SchemeEvalC-45Evaluate-quoteOrInvalidS (csegen-6589) e-4 (lambda (u--cname) (let ((u--fc (CoreC-45SchemeEvalC-45Evaluate-quoteFC e-7))) (let ((u--args (((csegen-25) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-snfC-39 arg-1 arg-2 eta-0))) e-8))) (lambda (eta-0) (vector 1 (vector 2 u--fc u--cname (blodwen-toSignedInt arg-3 63) (PreludeC-45TypesC-45List-lengthTR u--args) u--args)))))))) (else (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0))))))))))))) (let ((e-110 (car e-108))) (let ((e-111 (cdr e-108))) (if (null? e-111) (let ((u--fc (CoreC-45SchemeEvalC-45Evaluate-quoteFC e-107))) (let ((u--u (CoreC-45SchemeEvalC-45Evaluate-quoteTypeLevel e-110))) (lambda (eta-0) (vector 1 (vector 9 u--fc u--u))))) (if (null? arg-4) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-2 (cdr arg-4))) (if (null? e-2) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-4 (car e-2))) (let ((e-5 (cdr e-2))) (if (null? e-5) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-7 (car e-5))) (let ((e-8 (cdr e-5))) (let ((sc8 (PreludeC-45EqOrd-u--C-62C-61_Ord_Integer arg-3 0))) (cond ((equal? sc8 1) (CoreC-45SchemeEvalC-45Evaluate-quoteOrInvalidS (csegen-6589) e-4 (lambda (u--cname) (let ((u--fc (CoreC-45SchemeEvalC-45Evaluate-quoteFC e-7))) (let ((u--args (((csegen-25) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-snfC-39 arg-1 arg-2 eta-0))) e-8))) (lambda (eta-0) (vector 1 (vector 2 u--fc u--cname (blodwen-toSignedInt arg-3 63) (PreludeC-45TypesC-45List-lengthTR u--args) u--args)))))))) (else (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0))))))))))))))))))))))) ((equal? arg-3 -8) (if (null? arg-4) (if (null? arg-4) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-2 (cdr arg-4))) (if (null? e-2) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-4 (car e-2))) (let ((e-5 (cdr e-2))) (if (null? e-5) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-7 (car e-5))) (let ((e-8 (cdr e-5))) (let ((sc5 (PreludeC-45EqOrd-u--C-62C-61_Ord_Integer arg-3 0))) (cond ((equal? sc5 1) (CoreC-45SchemeEvalC-45Evaluate-quoteOrInvalidS (csegen-6589) e-4 (lambda (u--cname) (let ((u--fc (CoreC-45SchemeEvalC-45Evaluate-quoteFC e-7))) (let ((u--args (((csegen-25) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-snfC-39 arg-1 arg-2 eta-0))) e-8))) (lambda (eta-0) (vector 1 (vector 2 u--fc u--cname (blodwen-toSignedInt arg-3 63) (PreludeC-45TypesC-45List-lengthTR u--args) u--args)))))))) (else (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0))))))))))))) (let ((e-115 (cdr arg-4))) (if (null? e-115) (if (null? arg-4) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-2 (cdr arg-4))) (if (null? e-2) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-4 (car e-2))) (let ((e-5 (cdr e-2))) (if (null? e-5) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-7 (car e-5))) (let ((e-8 (cdr e-5))) (let ((sc6 (PreludeC-45EqOrd-u--C-62C-61_Ord_Integer arg-3 0))) (cond ((equal? sc6 1) (CoreC-45SchemeEvalC-45Evaluate-quoteOrInvalidS (csegen-6589) e-4 (lambda (u--cname) (let ((u--fc (CoreC-45SchemeEvalC-45Evaluate-quoteFC e-7))) (let ((u--args (((csegen-25) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-snfC-39 arg-1 arg-2 eta-0))) e-8))) (lambda (eta-0) (vector 1 (vector 2 u--fc u--cname (blodwen-toSignedInt arg-3 63) (PreludeC-45TypesC-45List-lengthTR u--args) u--args)))))))) (else (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0))))))))))))) (let ((e-117 (car e-115))) (let ((e-118 (cdr e-115))) (if (null? e-118) (if (null? arg-4) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-2 (cdr arg-4))) (if (null? e-2) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-4 (car e-2))) (let ((e-5 (cdr e-2))) (if (null? e-5) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-7 (car e-5))) (let ((e-8 (cdr e-5))) (let ((sc7 (PreludeC-45EqOrd-u--C-62C-61_Ord_Integer arg-3 0))) (cond ((equal? sc7 1) (CoreC-45SchemeEvalC-45Evaluate-quoteOrInvalidS (csegen-6589) e-4 (lambda (u--cname) (let ((u--fc (CoreC-45SchemeEvalC-45Evaluate-quoteFC e-7))) (let ((u--args (((csegen-25) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-snfC-39 arg-1 arg-2 eta-0))) e-8))) (lambda (eta-0) (vector 1 (vector 2 u--fc u--cname (blodwen-toSignedInt arg-3 63) (PreludeC-45TypesC-45List-lengthTR u--args) u--args)))))))) (else (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0))))))))))))) (let ((e-120 (car e-118))) (let ((e-121 (cdr e-118))) (if (null? e-121) (if (null? arg-4) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-2 (cdr arg-4))) (if (null? e-2) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-4 (car e-2))) (let ((e-5 (cdr e-2))) (if (null? e-5) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-7 (car e-5))) (let ((e-8 (cdr e-5))) (let ((sc8 (PreludeC-45EqOrd-u--C-62C-61_Ord_Integer arg-3 0))) (cond ((equal? sc8 1) (CoreC-45SchemeEvalC-45Evaluate-quoteOrInvalidS (csegen-6589) e-4 (lambda (u--cname) (let ((u--fc (CoreC-45SchemeEvalC-45Evaluate-quoteFC e-7))) (let ((u--args (((csegen-25) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-snfC-39 arg-1 arg-2 eta-0))) e-8))) (lambda (eta-0) (vector 1 (vector 2 u--fc u--cname (blodwen-toSignedInt arg-3 63) (PreludeC-45TypesC-45List-lengthTR u--args) u--args)))))))) (else (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0))))))))))))) (let ((e-123 (car e-121))) (let ((e-124 (cdr e-121))) (if (null? e-124) (if (null? arg-4) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-2 (cdr arg-4))) (if (null? e-2) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-4 (car e-2))) (let ((e-5 (cdr e-2))) (if (null? e-5) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-7 (car e-5))) (let ((e-8 (cdr e-5))) (let ((sc9 (PreludeC-45EqOrd-u--C-62C-61_Ord_Integer arg-3 0))) (cond ((equal? sc9 1) (CoreC-45SchemeEvalC-45Evaluate-quoteOrInvalidS (csegen-6589) e-4 (lambda (u--cname) (let ((u--fc (CoreC-45SchemeEvalC-45Evaluate-quoteFC e-7))) (let ((u--args (((csegen-25) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-snfC-39 arg-1 arg-2 eta-0))) e-8))) (lambda (eta-0) (vector 1 (vector 2 u--fc u--cname (blodwen-toSignedInt arg-3 63) (PreludeC-45TypesC-45List-lengthTR u--args) u--args)))))))) (else (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0))))))))))))) (let ((e-126 (car e-124))) (let ((e-127 (cdr e-124))) (if (null? e-127) (if (null? arg-4) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-2 (cdr arg-4))) (if (null? e-2) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-4 (car e-2))) (let ((e-5 (cdr e-2))) (if (null? e-5) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-7 (car e-5))) (let ((e-8 (cdr e-5))) (let ((sc10 (PreludeC-45EqOrd-u--C-62C-61_Ord_Integer arg-3 0))) (cond ((equal? sc10 1) (CoreC-45SchemeEvalC-45Evaluate-quoteOrInvalidS (csegen-6589) e-4 (lambda (u--cname) (let ((u--fc (CoreC-45SchemeEvalC-45Evaluate-quoteFC e-7))) (let ((u--args (((csegen-25) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-snfC-39 arg-1 arg-2 eta-0))) e-8))) (lambda (eta-0) (vector 1 (vector 2 u--fc u--cname (blodwen-toSignedInt arg-3 63) (PreludeC-45TypesC-45List-lengthTR u--args) u--args)))))))) (else (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0))))))))))))) (let ((e-129 (car e-127))) (let ((e-130 (cdr e-127))) (if (null? e-130) (let ((u--name (CoreC-45SchemeEvalC-45Evaluate-quoteBinderName e-129))) (let ((u--rig (CoreC-45SchemeEvalC-45Evaluate-quoteRigCount e-120))) (let ((eff-0 (CoreC-45SchemeEvalC-45Evaluate-snfC-39 arg-1 arg-2 e-126))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45SchemeEvalC-45Evaluate-snfPiInfo arg-1 arg-2 e-123))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45SchemeEvalC-45Evaluate-snfBinder arg-1 arg-2 (lambda (ty-7475) (csegen-6596)) e-117 u--rig e-6 e-5 u--name))) eff-2))))))))) eff-1))))))))) (if (null? arg-4) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-2 (cdr arg-4))) (if (null? e-2) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-4 (car e-2))) (let ((e-5 (cdr e-2))) (if (null? e-5) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-7 (car e-5))) (let ((e-8 (cdr e-5))) (let ((sc11 (PreludeC-45EqOrd-u--C-62C-61_Ord_Integer arg-3 0))) (cond ((equal? sc11 1) (CoreC-45SchemeEvalC-45Evaluate-quoteOrInvalidS (csegen-6589) e-4 (lambda (u--cname) (let ((u--fc (CoreC-45SchemeEvalC-45Evaluate-quoteFC e-7))) (let ((u--args (((csegen-25) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-snfC-39 arg-1 arg-2 eta-0))) e-8))) (lambda (eta-0) (vector 1 (vector 2 u--fc u--cname (blodwen-toSignedInt arg-3 63) (PreludeC-45TypesC-45List-lengthTR u--args) u--args)))))))) (else (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)))))))))))))))))))))))))))))))) ((equal? arg-3 -3) (if (null? arg-4) (if (null? arg-4) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-2 (cdr arg-4))) (if (null? e-2) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-4 (car e-2))) (let ((e-5 (cdr e-2))) (if (null? e-5) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-7 (car e-5))) (let ((e-8 (cdr e-5))) (let ((sc5 (PreludeC-45EqOrd-u--C-62C-61_Ord_Integer arg-3 0))) (cond ((equal? sc5 1) (CoreC-45SchemeEvalC-45Evaluate-quoteOrInvalidS (csegen-6589) e-4 (lambda (u--cname) (let ((u--fc (CoreC-45SchemeEvalC-45Evaluate-quoteFC e-7))) (let ((u--args (((csegen-25) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-snfC-39 arg-1 arg-2 eta-0))) e-8))) (lambda (eta-0) (vector 1 (vector 2 u--fc u--cname (blodwen-toSignedInt arg-3 63) (PreludeC-45TypesC-45List-lengthTR u--args) u--args)))))))) (else (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0))))))))))))) (let ((e-134 (cdr arg-4))) (if (null? e-134) (if (null? arg-4) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-2 (cdr arg-4))) (if (null? e-2) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-4 (car e-2))) (let ((e-5 (cdr e-2))) (if (null? e-5) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-7 (car e-5))) (let ((e-8 (cdr e-5))) (let ((sc6 (PreludeC-45EqOrd-u--C-62C-61_Ord_Integer arg-3 0))) (cond ((equal? sc6 1) (CoreC-45SchemeEvalC-45Evaluate-quoteOrInvalidS (csegen-6589) e-4 (lambda (u--cname) (let ((u--fc (CoreC-45SchemeEvalC-45Evaluate-quoteFC e-7))) (let ((u--args (((csegen-25) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-snfC-39 arg-1 arg-2 eta-0))) e-8))) (lambda (eta-0) (vector 1 (vector 2 u--fc u--cname (blodwen-toSignedInt arg-3 63) (PreludeC-45TypesC-45List-lengthTR u--args) u--args)))))))) (else (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0))))))))))))) (let ((e-136 (car e-134))) (let ((e-137 (cdr e-134))) (if (null? e-137) (if (null? arg-4) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-2 (cdr arg-4))) (if (null? e-2) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-4 (car e-2))) (let ((e-5 (cdr e-2))) (if (null? e-5) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-7 (car e-5))) (let ((e-8 (cdr e-5))) (let ((sc7 (PreludeC-45EqOrd-u--C-62C-61_Ord_Integer arg-3 0))) (cond ((equal? sc7 1) (CoreC-45SchemeEvalC-45Evaluate-quoteOrInvalidS (csegen-6589) e-4 (lambda (u--cname) (let ((u--fc (CoreC-45SchemeEvalC-45Evaluate-quoteFC e-7))) (let ((u--args (((csegen-25) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-snfC-39 arg-1 arg-2 eta-0))) e-8))) (lambda (eta-0) (vector 1 (vector 2 u--fc u--cname (blodwen-toSignedInt arg-3 63) (PreludeC-45TypesC-45List-lengthTR u--args) u--args)))))))) (else (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0))))))))))))) (let ((e-139 (car e-137))) (let ((e-140 (cdr e-137))) (if (null? e-140) (if (null? arg-4) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-2 (cdr arg-4))) (if (null? e-2) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-4 (car e-2))) (let ((e-5 (cdr e-2))) (if (null? e-5) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-7 (car e-5))) (let ((e-8 (cdr e-5))) (let ((sc8 (PreludeC-45EqOrd-u--C-62C-61_Ord_Integer arg-3 0))) (cond ((equal? sc8 1) (CoreC-45SchemeEvalC-45Evaluate-quoteOrInvalidS (csegen-6589) e-4 (lambda (u--cname) (let ((u--fc (CoreC-45SchemeEvalC-45Evaluate-quoteFC e-7))) (let ((u--args (((csegen-25) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-snfC-39 arg-1 arg-2 eta-0))) e-8))) (lambda (eta-0) (vector 1 (vector 2 u--fc u--cname (blodwen-toSignedInt arg-3 63) (PreludeC-45TypesC-45List-lengthTR u--args) u--args)))))))) (else (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0))))))))))))) (let ((e-142 (car e-140))) (let ((e-143 (cdr e-140))) (if (null? e-143) (if (null? arg-4) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-2 (cdr arg-4))) (if (null? e-2) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-4 (car e-2))) (let ((e-5 (cdr e-2))) (if (null? e-5) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-7 (car e-5))) (let ((e-8 (cdr e-5))) (let ((sc9 (PreludeC-45EqOrd-u--C-62C-61_Ord_Integer arg-3 0))) (cond ((equal? sc9 1) (CoreC-45SchemeEvalC-45Evaluate-quoteOrInvalidS (csegen-6589) e-4 (lambda (u--cname) (let ((u--fc (CoreC-45SchemeEvalC-45Evaluate-quoteFC e-7))) (let ((u--args (((csegen-25) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-snfC-39 arg-1 arg-2 eta-0))) e-8))) (lambda (eta-0) (vector 1 (vector 2 u--fc u--cname (blodwen-toSignedInt arg-3 63) (PreludeC-45TypesC-45List-lengthTR u--args) u--args)))))))) (else (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0))))))))))))) (let ((e-145 (car e-143))) (let ((e-146 (cdr e-143))) (if (null? e-146) (if (null? arg-4) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-2 (cdr arg-4))) (if (null? e-2) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-4 (car e-2))) (let ((e-5 (cdr e-2))) (if (null? e-5) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-7 (car e-5))) (let ((e-8 (cdr e-5))) (let ((sc10 (PreludeC-45EqOrd-u--C-62C-61_Ord_Integer arg-3 0))) (cond ((equal? sc10 1) (CoreC-45SchemeEvalC-45Evaluate-quoteOrInvalidS (csegen-6589) e-4 (lambda (u--cname) (let ((u--fc (CoreC-45SchemeEvalC-45Evaluate-quoteFC e-7))) (let ((u--args (((csegen-25) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-snfC-39 arg-1 arg-2 eta-0))) e-8))) (lambda (eta-0) (vector 1 (vector 2 u--fc u--cname (blodwen-toSignedInt arg-3 63) (PreludeC-45TypesC-45List-lengthTR u--args) u--args)))))))) (else (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0))))))))))))) (let ((e-148 (car e-146))) (let ((e-149 (cdr e-146))) (if (null? e-149) (let ((u--name (CoreC-45SchemeEvalC-45Evaluate-quoteBinderName e-148))) (let ((u--rig (CoreC-45SchemeEvalC-45Evaluate-quoteRigCount e-139))) (let ((eff-0 (CoreC-45SchemeEvalC-45Evaluate-snfC-39 arg-1 arg-2 e-145))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45SchemeEvalC-45Evaluate-snfPiInfo arg-1 arg-2 e-142))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45SchemeEvalC-45Evaluate-snfBinder arg-1 arg-2 (lambda (ty-7532) (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (vector 2 eta-0 eta-1 eta-2 eta-3)))))) e-136 u--rig e-6 e-5 u--name))) eff-2))))))))) eff-1))))))))) (if (null? arg-4) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-2 (cdr arg-4))) (if (null? e-2) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-4 (car e-2))) (let ((e-5 (cdr e-2))) (if (null? e-5) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-7 (car e-5))) (let ((e-8 (cdr e-5))) (let ((sc11 (PreludeC-45EqOrd-u--C-62C-61_Ord_Integer arg-3 0))) (cond ((equal? sc11 1) (CoreC-45SchemeEvalC-45Evaluate-quoteOrInvalidS (csegen-6589) e-4 (lambda (u--cname) (let ((u--fc (CoreC-45SchemeEvalC-45Evaluate-quoteFC e-7))) (let ((u--args (((csegen-25) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-snfC-39 arg-1 arg-2 eta-0))) e-8))) (lambda (eta-0) (vector 1 (vector 2 u--fc u--cname (blodwen-toSignedInt arg-3 63) (PreludeC-45TypesC-45List-lengthTR u--args) u--args)))))))) (else (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)))))))))))))))))))))))))))))))) ((equal? arg-3 -12) (if (null? arg-4) (if (null? arg-4) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-2 (cdr arg-4))) (if (null? e-2) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-4 (car e-2))) (let ((e-5 (cdr e-2))) (if (null? e-5) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-7 (car e-5))) (let ((e-8 (cdr e-5))) (let ((sc5 (PreludeC-45EqOrd-u--C-62C-61_Ord_Integer arg-3 0))) (cond ((equal? sc5 1) (CoreC-45SchemeEvalC-45Evaluate-quoteOrInvalidS (csegen-6589) e-4 (lambda (u--cname) (let ((u--fc (CoreC-45SchemeEvalC-45Evaluate-quoteFC e-7))) (let ((u--args (((csegen-25) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-snfC-39 arg-1 arg-2 eta-0))) e-8))) (lambda (eta-0) (vector 1 (vector 2 u--fc u--cname (blodwen-toSignedInt arg-3 63) (PreludeC-45TypesC-45List-lengthTR u--args) u--args)))))))) (else (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0))))))))))))) (let ((e-153 (cdr arg-4))) (if (null? e-153) (if (null? arg-4) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-2 (cdr arg-4))) (if (null? e-2) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-4 (car e-2))) (let ((e-5 (cdr e-2))) (if (null? e-5) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-7 (car e-5))) (let ((e-8 (cdr e-5))) (let ((sc6 (PreludeC-45EqOrd-u--C-62C-61_Ord_Integer arg-3 0))) (cond ((equal? sc6 1) (CoreC-45SchemeEvalC-45Evaluate-quoteOrInvalidS (csegen-6589) e-4 (lambda (u--cname) (let ((u--fc (CoreC-45SchemeEvalC-45Evaluate-quoteFC e-7))) (let ((u--args (((csegen-25) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-snfC-39 arg-1 arg-2 eta-0))) e-8))) (lambda (eta-0) (vector 1 (vector 2 u--fc u--cname (blodwen-toSignedInt arg-3 63) (PreludeC-45TypesC-45List-lengthTR u--args) u--args)))))))) (else (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0))))))))))))) (let ((e-155 (car e-153))) (let ((e-156 (cdr e-153))) (if (null? e-156) (if (null? arg-4) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-2 (cdr arg-4))) (if (null? e-2) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-4 (car e-2))) (let ((e-5 (cdr e-2))) (if (null? e-5) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-7 (car e-5))) (let ((e-8 (cdr e-5))) (let ((sc7 (PreludeC-45EqOrd-u--C-62C-61_Ord_Integer arg-3 0))) (cond ((equal? sc7 1) (CoreC-45SchemeEvalC-45Evaluate-quoteOrInvalidS (csegen-6589) e-4 (lambda (u--cname) (let ((u--fc (CoreC-45SchemeEvalC-45Evaluate-quoteFC e-7))) (let ((u--args (((csegen-25) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-snfC-39 arg-1 arg-2 eta-0))) e-8))) (lambda (eta-0) (vector 1 (vector 2 u--fc u--cname (blodwen-toSignedInt arg-3 63) (PreludeC-45TypesC-45List-lengthTR u--args) u--args)))))))) (else (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0))))))))))))) (let ((e-158 (car e-156))) (let ((e-159 (cdr e-156))) (if (null? e-159) (if (null? arg-4) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-2 (cdr arg-4))) (if (null? e-2) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-4 (car e-2))) (let ((e-5 (cdr e-2))) (if (null? e-5) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-7 (car e-5))) (let ((e-8 (cdr e-5))) (let ((sc8 (PreludeC-45EqOrd-u--C-62C-61_Ord_Integer arg-3 0))) (cond ((equal? sc8 1) (CoreC-45SchemeEvalC-45Evaluate-quoteOrInvalidS (csegen-6589) e-4 (lambda (u--cname) (let ((u--fc (CoreC-45SchemeEvalC-45Evaluate-quoteFC e-7))) (let ((u--args (((csegen-25) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-snfC-39 arg-1 arg-2 eta-0))) e-8))) (lambda (eta-0) (vector 1 (vector 2 u--fc u--cname (blodwen-toSignedInt arg-3 63) (PreludeC-45TypesC-45List-lengthTR u--args) u--args)))))))) (else (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0))))))))))))) (let ((e-161 (car e-159))) (let ((e-162 (cdr e-159))) (if (null? e-162) (if (null? arg-4) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-2 (cdr arg-4))) (if (null? e-2) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-4 (car e-2))) (let ((e-5 (cdr e-2))) (if (null? e-5) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-7 (car e-5))) (let ((e-8 (cdr e-5))) (let ((sc9 (PreludeC-45EqOrd-u--C-62C-61_Ord_Integer arg-3 0))) (cond ((equal? sc9 1) (CoreC-45SchemeEvalC-45Evaluate-quoteOrInvalidS (csegen-6589) e-4 (lambda (u--cname) (let ((u--fc (CoreC-45SchemeEvalC-45Evaluate-quoteFC e-7))) (let ((u--args (((csegen-25) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-snfC-39 arg-1 arg-2 eta-0))) e-8))) (lambda (eta-0) (vector 1 (vector 2 u--fc u--cname (blodwen-toSignedInt arg-3 63) (PreludeC-45TypesC-45List-lengthTR u--args) u--args)))))))) (else (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0))))))))))))) (let ((e-164 (car e-162))) (let ((e-165 (cdr e-162))) (if (null? e-165) (if (null? arg-4) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-2 (cdr arg-4))) (if (null? e-2) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-4 (car e-2))) (let ((e-5 (cdr e-2))) (if (null? e-5) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-7 (car e-5))) (let ((e-8 (cdr e-5))) (let ((sc10 (PreludeC-45EqOrd-u--C-62C-61_Ord_Integer arg-3 0))) (cond ((equal? sc10 1) (CoreC-45SchemeEvalC-45Evaluate-quoteOrInvalidS (csegen-6589) e-4 (lambda (u--cname) (let ((u--fc (CoreC-45SchemeEvalC-45Evaluate-quoteFC e-7))) (let ((u--args (((csegen-25) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-snfC-39 arg-1 arg-2 eta-0))) e-8))) (lambda (eta-0) (vector 1 (vector 2 u--fc u--cname (blodwen-toSignedInt arg-3 63) (PreludeC-45TypesC-45List-lengthTR u--args) u--args)))))))) (else (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0))))))))))))) (let ((e-167 (car e-165))) (let ((e-168 (cdr e-165))) (if (null? e-168) (let ((u--name (CoreC-45SchemeEvalC-45Evaluate-quoteBinderName e-167))) (let ((u--rig (CoreC-45SchemeEvalC-45Evaluate-quoteRigCount e-158))) (let ((eff-0 (CoreC-45SchemeEvalC-45Evaluate-snfC-39 arg-1 arg-2 e-164))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45SchemeEvalC-45Evaluate-snfPiInfo arg-1 arg-2 e-161))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45SchemeEvalC-45Evaluate-snfBinder arg-1 arg-2 (lambda (ty-7589) (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (vector 3 eta-0 eta-1 eta-2 eta-3)))))) e-155 u--rig e-6 e-5 u--name))) eff-2))))))))) eff-1))))))))) (if (null? arg-4) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-2 (cdr arg-4))) (if (null? e-2) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-4 (car e-2))) (let ((e-5 (cdr e-2))) (if (null? e-5) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-7 (car e-5))) (let ((e-8 (cdr e-5))) (let ((sc11 (PreludeC-45EqOrd-u--C-62C-61_Ord_Integer arg-3 0))) (cond ((equal? sc11 1) (CoreC-45SchemeEvalC-45Evaluate-quoteOrInvalidS (csegen-6589) e-4 (lambda (u--cname) (let ((u--fc (CoreC-45SchemeEvalC-45Evaluate-quoteFC e-7))) (let ((u--args (((csegen-25) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-snfC-39 arg-1 arg-2 eta-0))) e-8))) (lambda (eta-0) (vector 1 (vector 2 u--fc u--cname (blodwen-toSignedInt arg-3 63) (PreludeC-45TypesC-45List-lengthTR u--args) u--args)))))))) (else (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)))))))))))))))))))))))))))))))) ((equal? arg-3 -13) (if (null? arg-4) (if (null? arg-4) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-2 (cdr arg-4))) (if (null? e-2) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-4 (car e-2))) (let ((e-5 (cdr e-2))) (if (null? e-5) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-7 (car e-5))) (let ((e-8 (cdr e-5))) (let ((sc5 (PreludeC-45EqOrd-u--C-62C-61_Ord_Integer arg-3 0))) (cond ((equal? sc5 1) (CoreC-45SchemeEvalC-45Evaluate-quoteOrInvalidS (csegen-6589) e-4 (lambda (u--cname) (let ((u--fc (CoreC-45SchemeEvalC-45Evaluate-quoteFC e-7))) (let ((u--args (((csegen-25) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-snfC-39 arg-1 arg-2 eta-0))) e-8))) (lambda (eta-0) (vector 1 (vector 2 u--fc u--cname (blodwen-toSignedInt arg-3 63) (PreludeC-45TypesC-45List-lengthTR u--args) u--args)))))))) (else (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0))))))))))))) (let ((e-172 (cdr arg-4))) (if (null? e-172) (if (null? arg-4) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-2 (cdr arg-4))) (if (null? e-2) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-4 (car e-2))) (let ((e-5 (cdr e-2))) (if (null? e-5) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-7 (car e-5))) (let ((e-8 (cdr e-5))) (let ((sc6 (PreludeC-45EqOrd-u--C-62C-61_Ord_Integer arg-3 0))) (cond ((equal? sc6 1) (CoreC-45SchemeEvalC-45Evaluate-quoteOrInvalidS (csegen-6589) e-4 (lambda (u--cname) (let ((u--fc (CoreC-45SchemeEvalC-45Evaluate-quoteFC e-7))) (let ((u--args (((csegen-25) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-snfC-39 arg-1 arg-2 eta-0))) e-8))) (lambda (eta-0) (vector 1 (vector 2 u--fc u--cname (blodwen-toSignedInt arg-3 63) (PreludeC-45TypesC-45List-lengthTR u--args) u--args)))))))) (else (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0))))))))))))) (let ((e-174 (car e-172))) (let ((e-175 (cdr e-172))) (if (null? e-175) (if (null? arg-4) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-2 (cdr arg-4))) (if (null? e-2) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-4 (car e-2))) (let ((e-5 (cdr e-2))) (if (null? e-5) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-7 (car e-5))) (let ((e-8 (cdr e-5))) (let ((sc7 (PreludeC-45EqOrd-u--C-62C-61_Ord_Integer arg-3 0))) (cond ((equal? sc7 1) (CoreC-45SchemeEvalC-45Evaluate-quoteOrInvalidS (csegen-6589) e-4 (lambda (u--cname) (let ((u--fc (CoreC-45SchemeEvalC-45Evaluate-quoteFC e-7))) (let ((u--args (((csegen-25) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-snfC-39 arg-1 arg-2 eta-0))) e-8))) (lambda (eta-0) (vector 1 (vector 2 u--fc u--cname (blodwen-toSignedInt arg-3 63) (PreludeC-45TypesC-45List-lengthTR u--args) u--args)))))))) (else (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0))))))))))))) (let ((e-177 (car e-175))) (let ((e-178 (cdr e-175))) (if (null? e-178) (if (null? arg-4) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-2 (cdr arg-4))) (if (null? e-2) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-4 (car e-2))) (let ((e-5 (cdr e-2))) (if (null? e-5) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-7 (car e-5))) (let ((e-8 (cdr e-5))) (let ((sc8 (PreludeC-45EqOrd-u--C-62C-61_Ord_Integer arg-3 0))) (cond ((equal? sc8 1) (CoreC-45SchemeEvalC-45Evaluate-quoteOrInvalidS (csegen-6589) e-4 (lambda (u--cname) (let ((u--fc (CoreC-45SchemeEvalC-45Evaluate-quoteFC e-7))) (let ((u--args (((csegen-25) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-snfC-39 arg-1 arg-2 eta-0))) e-8))) (lambda (eta-0) (vector 1 (vector 2 u--fc u--cname (blodwen-toSignedInt arg-3 63) (PreludeC-45TypesC-45List-lengthTR u--args) u--args)))))))) (else (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0))))))))))))) (let ((e-180 (car e-178))) (let ((e-181 (cdr e-178))) (if (null? e-181) (if (null? arg-4) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-2 (cdr arg-4))) (if (null? e-2) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-4 (car e-2))) (let ((e-5 (cdr e-2))) (if (null? e-5) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-7 (car e-5))) (let ((e-8 (cdr e-5))) (let ((sc9 (PreludeC-45EqOrd-u--C-62C-61_Ord_Integer arg-3 0))) (cond ((equal? sc9 1) (CoreC-45SchemeEvalC-45Evaluate-quoteOrInvalidS (csegen-6589) e-4 (lambda (u--cname) (let ((u--fc (CoreC-45SchemeEvalC-45Evaluate-quoteFC e-7))) (let ((u--args (((csegen-25) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-snfC-39 arg-1 arg-2 eta-0))) e-8))) (lambda (eta-0) (vector 1 (vector 2 u--fc u--cname (blodwen-toSignedInt arg-3 63) (PreludeC-45TypesC-45List-lengthTR u--args) u--args)))))))) (else (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0))))))))))))) (let ((e-183 (car e-181))) (let ((e-184 (cdr e-181))) (if (null? e-184) (let ((u--name (CoreC-45SchemeEvalC-45Evaluate-quoteBinderName e-183))) (let ((u--rig (CoreC-45SchemeEvalC-45Evaluate-quoteRigCount e-177))) (let ((eff-0 (CoreC-45SchemeEvalC-45Evaluate-snfC-39 arg-1 arg-2 e-180))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45SchemeEvalC-45Evaluate-snfBinder arg-1 arg-2 (lambda (ty-7638) (lambda (u--fc) (lambda (u--r) (lambda (u--p) (lambda (u--t) (vector 5 u--fc u--r u--t)))))) e-174 u--rig (vector 1 ) e-5 u--name))) eff-1))))))))) (if (null? arg-4) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-2 (cdr arg-4))) (if (null? e-2) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-4 (car e-2))) (let ((e-5 (cdr e-2))) (if (null? e-5) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-7 (car e-5))) (let ((e-8 (cdr e-5))) (let ((sc10 (PreludeC-45EqOrd-u--C-62C-61_Ord_Integer arg-3 0))) (cond ((equal? sc10 1) (CoreC-45SchemeEvalC-45Evaluate-quoteOrInvalidS (csegen-6589) e-4 (lambda (u--cname) (let ((u--fc (CoreC-45SchemeEvalC-45Evaluate-quoteFC e-7))) (let ((u--args (((csegen-25) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-snfC-39 arg-1 arg-2 eta-0))) e-8))) (lambda (eta-0) (vector 1 (vector 2 u--fc u--cname (blodwen-toSignedInt arg-3 63) (PreludeC-45TypesC-45List-lengthTR u--args) u--args)))))))) (else (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0))))))))))))))))))))))))))))) ((equal? arg-3 -14) (if (null? arg-4) (if (null? arg-4) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-2 (cdr arg-4))) (if (null? e-2) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-4 (car e-2))) (let ((e-5 (cdr e-2))) (if (null? e-5) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-7 (car e-5))) (let ((e-8 (cdr e-5))) (let ((sc5 (PreludeC-45EqOrd-u--C-62C-61_Ord_Integer arg-3 0))) (cond ((equal? sc5 1) (CoreC-45SchemeEvalC-45Evaluate-quoteOrInvalidS (csegen-6589) e-4 (lambda (u--cname) (let ((u--fc (CoreC-45SchemeEvalC-45Evaluate-quoteFC e-7))) (let ((u--args (((csegen-25) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-snfC-39 arg-1 arg-2 eta-0))) e-8))) (lambda (eta-0) (vector 1 (vector 2 u--fc u--cname (blodwen-toSignedInt arg-3 63) (PreludeC-45TypesC-45List-lengthTR u--args) u--args)))))))) (else (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0))))))))))))) (let ((e-188 (cdr arg-4))) (if (null? e-188) (if (null? arg-4) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-2 (cdr arg-4))) (if (null? e-2) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-4 (car e-2))) (let ((e-5 (cdr e-2))) (if (null? e-5) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-7 (car e-5))) (let ((e-8 (cdr e-5))) (let ((sc6 (PreludeC-45EqOrd-u--C-62C-61_Ord_Integer arg-3 0))) (cond ((equal? sc6 1) (CoreC-45SchemeEvalC-45Evaluate-quoteOrInvalidS (csegen-6589) e-4 (lambda (u--cname) (let ((u--fc (CoreC-45SchemeEvalC-45Evaluate-quoteFC e-7))) (let ((u--args (((csegen-25) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-snfC-39 arg-1 arg-2 eta-0))) e-8))) (lambda (eta-0) (vector 1 (vector 2 u--fc u--cname (blodwen-toSignedInt arg-3 63) (PreludeC-45TypesC-45List-lengthTR u--args) u--args)))))))) (else (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0))))))))))))) (let ((e-190 (car e-188))) (let ((e-191 (cdr e-188))) (if (null? e-191) (if (null? arg-4) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-2 (cdr arg-4))) (if (null? e-2) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-4 (car e-2))) (let ((e-5 (cdr e-2))) (if (null? e-5) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-7 (car e-5))) (let ((e-8 (cdr e-5))) (let ((sc7 (PreludeC-45EqOrd-u--C-62C-61_Ord_Integer arg-3 0))) (cond ((equal? sc7 1) (CoreC-45SchemeEvalC-45Evaluate-quoteOrInvalidS (csegen-6589) e-4 (lambda (u--cname) (let ((u--fc (CoreC-45SchemeEvalC-45Evaluate-quoteFC e-7))) (let ((u--args (((csegen-25) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-snfC-39 arg-1 arg-2 eta-0))) e-8))) (lambda (eta-0) (vector 1 (vector 2 u--fc u--cname (blodwen-toSignedInt arg-3 63) (PreludeC-45TypesC-45List-lengthTR u--args) u--args)))))))) (else (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0))))))))))))) (let ((e-193 (car e-191))) (let ((e-194 (cdr e-191))) (if (null? e-194) (if (null? arg-4) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-2 (cdr arg-4))) (if (null? e-2) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-4 (car e-2))) (let ((e-5 (cdr e-2))) (if (null? e-5) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-7 (car e-5))) (let ((e-8 (cdr e-5))) (let ((sc8 (PreludeC-45EqOrd-u--C-62C-61_Ord_Integer arg-3 0))) (cond ((equal? sc8 1) (CoreC-45SchemeEvalC-45Evaluate-quoteOrInvalidS (csegen-6589) e-4 (lambda (u--cname) (let ((u--fc (CoreC-45SchemeEvalC-45Evaluate-quoteFC e-7))) (let ((u--args (((csegen-25) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-snfC-39 arg-1 arg-2 eta-0))) e-8))) (lambda (eta-0) (vector 1 (vector 2 u--fc u--cname (blodwen-toSignedInt arg-3 63) (PreludeC-45TypesC-45List-lengthTR u--args) u--args)))))))) (else (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0))))))))))))) (let ((e-196 (car e-194))) (let ((e-197 (cdr e-194))) (if (null? e-197) (if (null? arg-4) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-2 (cdr arg-4))) (if (null? e-2) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-4 (car e-2))) (let ((e-5 (cdr e-2))) (if (null? e-5) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-7 (car e-5))) (let ((e-8 (cdr e-5))) (let ((sc9 (PreludeC-45EqOrd-u--C-62C-61_Ord_Integer arg-3 0))) (cond ((equal? sc9 1) (CoreC-45SchemeEvalC-45Evaluate-quoteOrInvalidS (csegen-6589) e-4 (lambda (u--cname) (let ((u--fc (CoreC-45SchemeEvalC-45Evaluate-quoteFC e-7))) (let ((u--args (((csegen-25) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-snfC-39 arg-1 arg-2 eta-0))) e-8))) (lambda (eta-0) (vector 1 (vector 2 u--fc u--cname (blodwen-toSignedInt arg-3 63) (PreludeC-45TypesC-45List-lengthTR u--args) u--args)))))))) (else (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0))))))))))))) (let ((e-199 (car e-197))) (let ((e-200 (cdr e-197))) (if (null? e-200) (if (null? arg-4) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-2 (cdr arg-4))) (if (null? e-2) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-4 (car e-2))) (let ((e-5 (cdr e-2))) (if (null? e-5) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-7 (car e-5))) (let ((e-8 (cdr e-5))) (let ((sc10 (PreludeC-45EqOrd-u--C-62C-61_Ord_Integer arg-3 0))) (cond ((equal? sc10 1) (CoreC-45SchemeEvalC-45Evaluate-quoteOrInvalidS (csegen-6589) e-4 (lambda (u--cname) (let ((u--fc (CoreC-45SchemeEvalC-45Evaluate-quoteFC e-7))) (let ((u--args (((csegen-25) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-snfC-39 arg-1 arg-2 eta-0))) e-8))) (lambda (eta-0) (vector 1 (vector 2 u--fc u--cname (blodwen-toSignedInt arg-3 63) (PreludeC-45TypesC-45List-lengthTR u--args) u--args)))))))) (else (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0))))))))))))) (let ((e-202 (car e-200))) (let ((e-203 (cdr e-200))) (if (null? e-203) (let ((u--name (CoreC-45SchemeEvalC-45Evaluate-quoteBinderName e-202))) (let ((u--rig (CoreC-45SchemeEvalC-45Evaluate-quoteRigCount e-193))) (let ((eff-0 (CoreC-45SchemeEvalC-45Evaluate-snfC-39 arg-1 arg-2 e-199))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45SchemeEvalC-45Evaluate-snfC-39 arg-1 arg-2 e-196))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45SchemeEvalC-45Evaluate-snfPLet arg-1 arg-2 e-190 u--rig e-6 e-5 u--name))) eff-2))))))))) eff-1))))))))) (if (null? arg-4) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-2 (cdr arg-4))) (if (null? e-2) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-4 (car e-2))) (let ((e-5 (cdr e-2))) (if (null? e-5) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-7 (car e-5))) (let ((e-8 (cdr e-5))) (let ((sc11 (PreludeC-45EqOrd-u--C-62C-61_Ord_Integer arg-3 0))) (cond ((equal? sc11 1) (CoreC-45SchemeEvalC-45Evaluate-quoteOrInvalidS (csegen-6589) e-4 (lambda (u--cname) (let ((u--fc (CoreC-45SchemeEvalC-45Evaluate-quoteFC e-7))) (let ((u--args (((csegen-25) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-snfC-39 arg-1 arg-2 eta-0))) e-8))) (lambda (eta-0) (vector 1 (vector 2 u--fc u--cname (blodwen-toSignedInt arg-3 63) (PreludeC-45TypesC-45List-lengthTR u--args) u--args)))))))) (else (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)))))))))))))))))))))))))))))))) ((equal? arg-3 -9) (if (null? arg-4) (if (null? arg-4) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-2 (cdr arg-4))) (if (null? e-2) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-4 (car e-2))) (let ((e-5 (cdr e-2))) (if (null? e-5) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-7 (car e-5))) (let ((e-8 (cdr e-5))) (let ((sc5 (PreludeC-45EqOrd-u--C-62C-61_Ord_Integer arg-3 0))) (cond ((equal? sc5 1) (CoreC-45SchemeEvalC-45Evaluate-quoteOrInvalidS (csegen-6589) e-4 (lambda (u--cname) (let ((u--fc (CoreC-45SchemeEvalC-45Evaluate-quoteFC e-7))) (let ((u--args (((csegen-25) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-snfC-39 arg-1 arg-2 eta-0))) e-8))) (lambda (eta-0) (vector 1 (vector 2 u--fc u--cname (blodwen-toSignedInt arg-3 63) (PreludeC-45TypesC-45List-lengthTR u--args) u--args)))))))) (else (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0))))))))))))) (let ((e-207 (cdr arg-4))) (if (null? e-207) (if (null? arg-4) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-2 (cdr arg-4))) (if (null? e-2) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-4 (car e-2))) (let ((e-5 (cdr e-2))) (if (null? e-5) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-7 (car e-5))) (let ((e-8 (cdr e-5))) (let ((sc6 (PreludeC-45EqOrd-u--C-62C-61_Ord_Integer arg-3 0))) (cond ((equal? sc6 1) (CoreC-45SchemeEvalC-45Evaluate-quoteOrInvalidS (csegen-6589) e-4 (lambda (u--cname) (let ((u--fc (CoreC-45SchemeEvalC-45Evaluate-quoteFC e-7))) (let ((u--args (((csegen-25) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-snfC-39 arg-1 arg-2 eta-0))) e-8))) (lambda (eta-0) (vector 1 (vector 2 u--fc u--cname (blodwen-toSignedInt arg-3 63) (PreludeC-45TypesC-45List-lengthTR u--args) u--args)))))))) (else (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0))))))))))))) (let ((e-209 (car e-207))) (let ((e-210 (cdr e-207))) (if (null? e-210) (if (null? arg-4) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-2 (cdr arg-4))) (if (null? e-2) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-4 (car e-2))) (let ((e-5 (cdr e-2))) (if (null? e-5) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-7 (car e-5))) (let ((e-8 (cdr e-5))) (let ((sc7 (PreludeC-45EqOrd-u--C-62C-61_Ord_Integer arg-3 0))) (cond ((equal? sc7 1) (CoreC-45SchemeEvalC-45Evaluate-quoteOrInvalidS (csegen-6589) e-4 (lambda (u--cname) (let ((u--fc (CoreC-45SchemeEvalC-45Evaluate-quoteFC e-7))) (let ((u--args (((csegen-25) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-snfC-39 arg-1 arg-2 eta-0))) e-8))) (lambda (eta-0) (vector 1 (vector 2 u--fc u--cname (blodwen-toSignedInt arg-3 63) (PreludeC-45TypesC-45List-lengthTR u--args) u--args)))))))) (else (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0))))))))))))) (let ((e-213 (cdr e-210))) (if (null? e-213) (CoreC-45SchemeEvalC-45Evaluate-snfC-39 arg-1 arg-2 e-209) (if (null? arg-4) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-2 (cdr arg-4))) (if (null? e-2) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-4 (car e-2))) (let ((e-5 (cdr e-2))) (if (null? e-5) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-7 (car e-5))) (let ((e-8 (cdr e-5))) (let ((sc8 (PreludeC-45EqOrd-u--C-62C-61_Ord_Integer arg-3 0))) (cond ((equal? sc8 1) (CoreC-45SchemeEvalC-45Evaluate-quoteOrInvalidS (csegen-6589) e-4 (lambda (u--cname) (let ((u--fc (CoreC-45SchemeEvalC-45Evaluate-quoteFC e-7))) (let ((u--args (((csegen-25) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-snfC-39 arg-1 arg-2 eta-0))) e-8))) (lambda (eta-0) (vector 1 (vector 2 u--fc u--cname (blodwen-toSignedInt arg-3 63) (PreludeC-45TypesC-45List-lengthTR u--args) u--args)))))))) (else (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)))))))))))))))))))))) ((equal? arg-3 -100) (if (null? arg-4) (if (null? arg-4) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-2 (cdr arg-4))) (if (null? e-2) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-4 (car e-2))) (let ((e-5 (cdr e-2))) (if (null? e-5) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-7 (car e-5))) (let ((e-8 (cdr e-5))) (let ((sc5 (PreludeC-45EqOrd-u--C-62C-61_Ord_Integer arg-3 0))) (cond ((equal? sc5 1) (CoreC-45SchemeEvalC-45Evaluate-quoteOrInvalidS (csegen-6589) e-4 (lambda (u--cname) (let ((u--fc (CoreC-45SchemeEvalC-45Evaluate-quoteFC e-7))) (let ((u--args (((csegen-25) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-snfC-39 arg-1 arg-2 eta-0))) e-8))) (lambda (eta-0) (vector 1 (vector 2 u--fc u--cname (blodwen-toSignedInt arg-3 63) (PreludeC-45TypesC-45List-lengthTR u--args) u--args)))))))) (else (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0))))))))))))) (let ((e-217 (cdr arg-4))) (if (null? e-217) (if (null? arg-4) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-2 (cdr arg-4))) (if (null? e-2) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-4 (car e-2))) (let ((e-5 (cdr e-2))) (if (null? e-5) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-7 (car e-5))) (let ((e-8 (cdr e-5))) (let ((sc6 (PreludeC-45EqOrd-u--C-62C-61_Ord_Integer arg-3 0))) (cond ((equal? sc6 1) (CoreC-45SchemeEvalC-45Evaluate-quoteOrInvalidS (csegen-6589) e-4 (lambda (u--cname) (let ((u--fc (CoreC-45SchemeEvalC-45Evaluate-quoteFC e-7))) (let ((u--args (((csegen-25) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-snfC-39 arg-1 arg-2 eta-0))) e-8))) (lambda (eta-0) (vector 1 (vector 2 u--fc u--cname (blodwen-toSignedInt arg-3 63) (PreludeC-45TypesC-45List-lengthTR u--args) u--args)))))))) (else (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0))))))))))))) (let ((e-219 (car e-217))) (let ((e-220 (cdr e-217))) (if (null? e-220) (CoreC-45SchemeEvalC-45Evaluate-quoteOrInvalidS (csegen-6579) e-219 (lambda (u--xC-39) (lambda (eta-0) (vector 1 (vector 7 (CoreC-45FC-emptyFC) (vector 0 u--xC-39)))))) (if (null? arg-4) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-2 (cdr arg-4))) (if (null? e-2) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-4 (car e-2))) (let ((e-5 (cdr e-2))) (if (null? e-5) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-7 (car e-5))) (let ((e-8 (cdr e-5))) (let ((sc7 (PreludeC-45EqOrd-u--C-62C-61_Ord_Integer arg-3 0))) (cond ((equal? sc7 1) (CoreC-45SchemeEvalC-45Evaluate-quoteOrInvalidS (csegen-6589) e-4 (lambda (u--cname) (let ((u--fc (CoreC-45SchemeEvalC-45Evaluate-quoteFC e-7))) (let ((u--args (((csegen-25) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-snfC-39 arg-1 arg-2 eta-0))) e-8))) (lambda (eta-0) (vector 1 (vector 2 u--fc u--cname (blodwen-toSignedInt arg-3 63) (PreludeC-45TypesC-45List-lengthTR u--args) u--args)))))))) (else (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)))))))))))))))))))) ((equal? arg-3 -101) (if (null? arg-4) (if (null? arg-4) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-2 (cdr arg-4))) (if (null? e-2) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-4 (car e-2))) (let ((e-5 (cdr e-2))) (if (null? e-5) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-7 (car e-5))) (let ((e-8 (cdr e-5))) (let ((sc5 (PreludeC-45EqOrd-u--C-62C-61_Ord_Integer arg-3 0))) (cond ((equal? sc5 1) (CoreC-45SchemeEvalC-45Evaluate-quoteOrInvalidS (csegen-6589) e-4 (lambda (u--cname) (let ((u--fc (CoreC-45SchemeEvalC-45Evaluate-quoteFC e-7))) (let ((u--args (((csegen-25) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-snfC-39 arg-1 arg-2 eta-0))) e-8))) (lambda (eta-0) (vector 1 (vector 2 u--fc u--cname (blodwen-toSignedInt arg-3 63) (PreludeC-45TypesC-45List-lengthTR u--args) u--args)))))))) (else (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0))))))))))))) (let ((e-224 (cdr arg-4))) (if (null? e-224) (if (null? arg-4) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-2 (cdr arg-4))) (if (null? e-2) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-4 (car e-2))) (let ((e-5 (cdr e-2))) (if (null? e-5) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-7 (car e-5))) (let ((e-8 (cdr e-5))) (let ((sc6 (PreludeC-45EqOrd-u--C-62C-61_Ord_Integer arg-3 0))) (cond ((equal? sc6 1) (CoreC-45SchemeEvalC-45Evaluate-quoteOrInvalidS (csegen-6589) e-4 (lambda (u--cname) (let ((u--fc (CoreC-45SchemeEvalC-45Evaluate-quoteFC e-7))) (let ((u--args (((csegen-25) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-snfC-39 arg-1 arg-2 eta-0))) e-8))) (lambda (eta-0) (vector 1 (vector 2 u--fc u--cname (blodwen-toSignedInt arg-3 63) (PreludeC-45TypesC-45List-lengthTR u--args) u--args)))))))) (else (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0))))))))))))) (let ((e-226 (car e-224))) (let ((e-227 (cdr e-224))) (if (null? e-227) (CoreC-45SchemeEvalC-45Evaluate-quoteOrInvalidS (cons (lambda (arg-1843) (LibrariesC-45UtilsC-45Scheme-u--toScheme_Scheme_Int8 arg-1843)) (lambda (arg-1849) (LibrariesC-45UtilsC-45Scheme-u--fromScheme_Scheme_Int8 arg-1849))) e-226 (lambda (u--xC-39) (lambda (eta-0) (vector 1 (vector 7 (CoreC-45FC-emptyFC) (vector 1 u--xC-39)))))) (if (null? arg-4) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-2 (cdr arg-4))) (if (null? e-2) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-4 (car e-2))) (let ((e-5 (cdr e-2))) (if (null? e-5) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-7 (car e-5))) (let ((e-8 (cdr e-5))) (let ((sc7 (PreludeC-45EqOrd-u--C-62C-61_Ord_Integer arg-3 0))) (cond ((equal? sc7 1) (CoreC-45SchemeEvalC-45Evaluate-quoteOrInvalidS (csegen-6589) e-4 (lambda (u--cname) (let ((u--fc (CoreC-45SchemeEvalC-45Evaluate-quoteFC e-7))) (let ((u--args (((csegen-25) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-snfC-39 arg-1 arg-2 eta-0))) e-8))) (lambda (eta-0) (vector 1 (vector 2 u--fc u--cname (blodwen-toSignedInt arg-3 63) (PreludeC-45TypesC-45List-lengthTR u--args) u--args)))))))) (else (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)))))))))))))))))))) ((equal? arg-3 -102) (if (null? arg-4) (if (null? arg-4) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-2 (cdr arg-4))) (if (null? e-2) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-4 (car e-2))) (let ((e-5 (cdr e-2))) (if (null? e-5) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-7 (car e-5))) (let ((e-8 (cdr e-5))) (let ((sc5 (PreludeC-45EqOrd-u--C-62C-61_Ord_Integer arg-3 0))) (cond ((equal? sc5 1) (CoreC-45SchemeEvalC-45Evaluate-quoteOrInvalidS (csegen-6589) e-4 (lambda (u--cname) (let ((u--fc (CoreC-45SchemeEvalC-45Evaluate-quoteFC e-7))) (let ((u--args (((csegen-25) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-snfC-39 arg-1 arg-2 eta-0))) e-8))) (lambda (eta-0) (vector 1 (vector 2 u--fc u--cname (blodwen-toSignedInt arg-3 63) (PreludeC-45TypesC-45List-lengthTR u--args) u--args)))))))) (else (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0))))))))))))) (let ((e-231 (cdr arg-4))) (if (null? e-231) (if (null? arg-4) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-2 (cdr arg-4))) (if (null? e-2) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-4 (car e-2))) (let ((e-5 (cdr e-2))) (if (null? e-5) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-7 (car e-5))) (let ((e-8 (cdr e-5))) (let ((sc6 (PreludeC-45EqOrd-u--C-62C-61_Ord_Integer arg-3 0))) (cond ((equal? sc6 1) (CoreC-45SchemeEvalC-45Evaluate-quoteOrInvalidS (csegen-6589) e-4 (lambda (u--cname) (let ((u--fc (CoreC-45SchemeEvalC-45Evaluate-quoteFC e-7))) (let ((u--args (((csegen-25) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-snfC-39 arg-1 arg-2 eta-0))) e-8))) (lambda (eta-0) (vector 1 (vector 2 u--fc u--cname (blodwen-toSignedInt arg-3 63) (PreludeC-45TypesC-45List-lengthTR u--args) u--args)))))))) (else (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0))))))))))))) (let ((e-233 (car e-231))) (let ((e-234 (cdr e-231))) (if (null? e-234) (CoreC-45SchemeEvalC-45Evaluate-quoteOrInvalidS (cons (lambda (arg-1843) (LibrariesC-45UtilsC-45Scheme-u--toScheme_Scheme_Int16 arg-1843)) (lambda (arg-1849) (LibrariesC-45UtilsC-45Scheme-u--fromScheme_Scheme_Int16 arg-1849))) e-233 (lambda (u--xC-39) (lambda (eta-0) (vector 1 (vector 7 (CoreC-45FC-emptyFC) (vector 2 u--xC-39)))))) (if (null? arg-4) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-2 (cdr arg-4))) (if (null? e-2) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-4 (car e-2))) (let ((e-5 (cdr e-2))) (if (null? e-5) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-7 (car e-5))) (let ((e-8 (cdr e-5))) (let ((sc7 (PreludeC-45EqOrd-u--C-62C-61_Ord_Integer arg-3 0))) (cond ((equal? sc7 1) (CoreC-45SchemeEvalC-45Evaluate-quoteOrInvalidS (csegen-6589) e-4 (lambda (u--cname) (let ((u--fc (CoreC-45SchemeEvalC-45Evaluate-quoteFC e-7))) (let ((u--args (((csegen-25) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-snfC-39 arg-1 arg-2 eta-0))) e-8))) (lambda (eta-0) (vector 1 (vector 2 u--fc u--cname (blodwen-toSignedInt arg-3 63) (PreludeC-45TypesC-45List-lengthTR u--args) u--args)))))))) (else (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)))))))))))))))))))) ((equal? arg-3 -103) (if (null? arg-4) (if (null? arg-4) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-2 (cdr arg-4))) (if (null? e-2) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-4 (car e-2))) (let ((e-5 (cdr e-2))) (if (null? e-5) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-7 (car e-5))) (let ((e-8 (cdr e-5))) (let ((sc5 (PreludeC-45EqOrd-u--C-62C-61_Ord_Integer arg-3 0))) (cond ((equal? sc5 1) (CoreC-45SchemeEvalC-45Evaluate-quoteOrInvalidS (csegen-6589) e-4 (lambda (u--cname) (let ((u--fc (CoreC-45SchemeEvalC-45Evaluate-quoteFC e-7))) (let ((u--args (((csegen-25) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-snfC-39 arg-1 arg-2 eta-0))) e-8))) (lambda (eta-0) (vector 1 (vector 2 u--fc u--cname (blodwen-toSignedInt arg-3 63) (PreludeC-45TypesC-45List-lengthTR u--args) u--args)))))))) (else (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0))))))))))))) (let ((e-238 (cdr arg-4))) (if (null? e-238) (if (null? arg-4) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-2 (cdr arg-4))) (if (null? e-2) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-4 (car e-2))) (let ((e-5 (cdr e-2))) (if (null? e-5) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-7 (car e-5))) (let ((e-8 (cdr e-5))) (let ((sc6 (PreludeC-45EqOrd-u--C-62C-61_Ord_Integer arg-3 0))) (cond ((equal? sc6 1) (CoreC-45SchemeEvalC-45Evaluate-quoteOrInvalidS (csegen-6589) e-4 (lambda (u--cname) (let ((u--fc (CoreC-45SchemeEvalC-45Evaluate-quoteFC e-7))) (let ((u--args (((csegen-25) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-snfC-39 arg-1 arg-2 eta-0))) e-8))) (lambda (eta-0) (vector 1 (vector 2 u--fc u--cname (blodwen-toSignedInt arg-3 63) (PreludeC-45TypesC-45List-lengthTR u--args) u--args)))))))) (else (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0))))))))))))) (let ((e-240 (car e-238))) (let ((e-241 (cdr e-238))) (if (null? e-241) (CoreC-45SchemeEvalC-45Evaluate-quoteOrInvalidS (cons (lambda (arg-1843) (LibrariesC-45UtilsC-45Scheme-u--toScheme_Scheme_Int32 arg-1843)) (lambda (arg-1849) (LibrariesC-45UtilsC-45Scheme-u--fromScheme_Scheme_Int32 arg-1849))) e-240 (lambda (u--xC-39) (lambda (eta-0) (vector 1 (vector 7 (CoreC-45FC-emptyFC) (vector 3 u--xC-39)))))) (if (null? arg-4) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-2 (cdr arg-4))) (if (null? e-2) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-4 (car e-2))) (let ((e-5 (cdr e-2))) (if (null? e-5) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-7 (car e-5))) (let ((e-8 (cdr e-5))) (let ((sc7 (PreludeC-45EqOrd-u--C-62C-61_Ord_Integer arg-3 0))) (cond ((equal? sc7 1) (CoreC-45SchemeEvalC-45Evaluate-quoteOrInvalidS (csegen-6589) e-4 (lambda (u--cname) (let ((u--fc (CoreC-45SchemeEvalC-45Evaluate-quoteFC e-7))) (let ((u--args (((csegen-25) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-snfC-39 arg-1 arg-2 eta-0))) e-8))) (lambda (eta-0) (vector 1 (vector 2 u--fc u--cname (blodwen-toSignedInt arg-3 63) (PreludeC-45TypesC-45List-lengthTR u--args) u--args)))))))) (else (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)))))))))))))))))))) ((equal? arg-3 -104) (if (null? arg-4) (if (null? arg-4) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-2 (cdr arg-4))) (if (null? e-2) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-4 (car e-2))) (let ((e-5 (cdr e-2))) (if (null? e-5) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-7 (car e-5))) (let ((e-8 (cdr e-5))) (let ((sc5 (PreludeC-45EqOrd-u--C-62C-61_Ord_Integer arg-3 0))) (cond ((equal? sc5 1) (CoreC-45SchemeEvalC-45Evaluate-quoteOrInvalidS (csegen-6589) e-4 (lambda (u--cname) (let ((u--fc (CoreC-45SchemeEvalC-45Evaluate-quoteFC e-7))) (let ((u--args (((csegen-25) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-snfC-39 arg-1 arg-2 eta-0))) e-8))) (lambda (eta-0) (vector 1 (vector 2 u--fc u--cname (blodwen-toSignedInt arg-3 63) (PreludeC-45TypesC-45List-lengthTR u--args) u--args)))))))) (else (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0))))))))))))) (let ((e-245 (cdr arg-4))) (if (null? e-245) (if (null? arg-4) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-2 (cdr arg-4))) (if (null? e-2) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-4 (car e-2))) (let ((e-5 (cdr e-2))) (if (null? e-5) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-7 (car e-5))) (let ((e-8 (cdr e-5))) (let ((sc6 (PreludeC-45EqOrd-u--C-62C-61_Ord_Integer arg-3 0))) (cond ((equal? sc6 1) (CoreC-45SchemeEvalC-45Evaluate-quoteOrInvalidS (csegen-6589) e-4 (lambda (u--cname) (let ((u--fc (CoreC-45SchemeEvalC-45Evaluate-quoteFC e-7))) (let ((u--args (((csegen-25) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-snfC-39 arg-1 arg-2 eta-0))) e-8))) (lambda (eta-0) (vector 1 (vector 2 u--fc u--cname (blodwen-toSignedInt arg-3 63) (PreludeC-45TypesC-45List-lengthTR u--args) u--args)))))))) (else (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0))))))))))))) (let ((e-247 (car e-245))) (let ((e-248 (cdr e-245))) (if (null? e-248) (CoreC-45SchemeEvalC-45Evaluate-quoteOrInvalidS (cons (lambda (arg-1843) (LibrariesC-45UtilsC-45Scheme-u--toScheme_Scheme_Int64 arg-1843)) (lambda (arg-1849) (LibrariesC-45UtilsC-45Scheme-u--fromScheme_Scheme_Int64 arg-1849))) e-247 (lambda (u--xC-39) (lambda (eta-0) (vector 1 (vector 7 (CoreC-45FC-emptyFC) (vector 4 u--xC-39)))))) (if (null? arg-4) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-2 (cdr arg-4))) (if (null? e-2) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-4 (car e-2))) (let ((e-5 (cdr e-2))) (if (null? e-5) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-7 (car e-5))) (let ((e-8 (cdr e-5))) (let ((sc7 (PreludeC-45EqOrd-u--C-62C-61_Ord_Integer arg-3 0))) (cond ((equal? sc7 1) (CoreC-45SchemeEvalC-45Evaluate-quoteOrInvalidS (csegen-6589) e-4 (lambda (u--cname) (let ((u--fc (CoreC-45SchemeEvalC-45Evaluate-quoteFC e-7))) (let ((u--args (((csegen-25) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-snfC-39 arg-1 arg-2 eta-0))) e-8))) (lambda (eta-0) (vector 1 (vector 2 u--fc u--cname (blodwen-toSignedInt arg-3 63) (PreludeC-45TypesC-45List-lengthTR u--args) u--args)))))))) (else (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)))))))))))))))))))) ((equal? arg-3 -105) (if (null? arg-4) (if (null? arg-4) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-2 (cdr arg-4))) (if (null? e-2) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-4 (car e-2))) (let ((e-5 (cdr e-2))) (if (null? e-5) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-7 (car e-5))) (let ((e-8 (cdr e-5))) (let ((sc5 (PreludeC-45EqOrd-u--C-62C-61_Ord_Integer arg-3 0))) (cond ((equal? sc5 1) (CoreC-45SchemeEvalC-45Evaluate-quoteOrInvalidS (csegen-6589) e-4 (lambda (u--cname) (let ((u--fc (CoreC-45SchemeEvalC-45Evaluate-quoteFC e-7))) (let ((u--args (((csegen-25) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-snfC-39 arg-1 arg-2 eta-0))) e-8))) (lambda (eta-0) (vector 1 (vector 2 u--fc u--cname (blodwen-toSignedInt arg-3 63) (PreludeC-45TypesC-45List-lengthTR u--args) u--args)))))))) (else (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0))))))))))))) (let ((e-252 (cdr arg-4))) (if (null? e-252) (if (null? arg-4) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-2 (cdr arg-4))) (if (null? e-2) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-4 (car e-2))) (let ((e-5 (cdr e-2))) (if (null? e-5) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-7 (car e-5))) (let ((e-8 (cdr e-5))) (let ((sc6 (PreludeC-45EqOrd-u--C-62C-61_Ord_Integer arg-3 0))) (cond ((equal? sc6 1) (CoreC-45SchemeEvalC-45Evaluate-quoteOrInvalidS (csegen-6589) e-4 (lambda (u--cname) (let ((u--fc (CoreC-45SchemeEvalC-45Evaluate-quoteFC e-7))) (let ((u--args (((csegen-25) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-snfC-39 arg-1 arg-2 eta-0))) e-8))) (lambda (eta-0) (vector 1 (vector 2 u--fc u--cname (blodwen-toSignedInt arg-3 63) (PreludeC-45TypesC-45List-lengthTR u--args) u--args)))))))) (else (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0))))))))))))) (let ((e-254 (car e-252))) (let ((e-255 (cdr e-252))) (if (null? e-255) (CoreC-45SchemeEvalC-45Evaluate-quoteOrInvalidS (csegen-6590) e-254 (lambda (u--xC-39) (lambda (eta-0) (vector 1 (vector 7 (CoreC-45FC-emptyFC) (vector 5 u--xC-39)))))) (if (null? arg-4) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-2 (cdr arg-4))) (if (null? e-2) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-4 (car e-2))) (let ((e-5 (cdr e-2))) (if (null? e-5) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-7 (car e-5))) (let ((e-8 (cdr e-5))) (let ((sc7 (PreludeC-45EqOrd-u--C-62C-61_Ord_Integer arg-3 0))) (cond ((equal? sc7 1) (CoreC-45SchemeEvalC-45Evaluate-quoteOrInvalidS (csegen-6589) e-4 (lambda (u--cname) (let ((u--fc (CoreC-45SchemeEvalC-45Evaluate-quoteFC e-7))) (let ((u--args (((csegen-25) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-snfC-39 arg-1 arg-2 eta-0))) e-8))) (lambda (eta-0) (vector 1 (vector 2 u--fc u--cname (blodwen-toSignedInt arg-3 63) (PreludeC-45TypesC-45List-lengthTR u--args) u--args)))))))) (else (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)))))))))))))))))))) ((equal? arg-3 -106) (if (null? arg-4) (if (null? arg-4) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-2 (cdr arg-4))) (if (null? e-2) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-4 (car e-2))) (let ((e-5 (cdr e-2))) (if (null? e-5) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-7 (car e-5))) (let ((e-8 (cdr e-5))) (let ((sc5 (PreludeC-45EqOrd-u--C-62C-61_Ord_Integer arg-3 0))) (cond ((equal? sc5 1) (CoreC-45SchemeEvalC-45Evaluate-quoteOrInvalidS (csegen-6589) e-4 (lambda (u--cname) (let ((u--fc (CoreC-45SchemeEvalC-45Evaluate-quoteFC e-7))) (let ((u--args (((csegen-25) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-snfC-39 arg-1 arg-2 eta-0))) e-8))) (lambda (eta-0) (vector 1 (vector 2 u--fc u--cname (blodwen-toSignedInt arg-3 63) (PreludeC-45TypesC-45List-lengthTR u--args) u--args)))))))) (else (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0))))))))))))) (let ((e-259 (cdr arg-4))) (if (null? e-259) (if (null? arg-4) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-2 (cdr arg-4))) (if (null? e-2) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-4 (car e-2))) (let ((e-5 (cdr e-2))) (if (null? e-5) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-7 (car e-5))) (let ((e-8 (cdr e-5))) (let ((sc6 (PreludeC-45EqOrd-u--C-62C-61_Ord_Integer arg-3 0))) (cond ((equal? sc6 1) (CoreC-45SchemeEvalC-45Evaluate-quoteOrInvalidS (csegen-6589) e-4 (lambda (u--cname) (let ((u--fc (CoreC-45SchemeEvalC-45Evaluate-quoteFC e-7))) (let ((u--args (((csegen-25) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-snfC-39 arg-1 arg-2 eta-0))) e-8))) (lambda (eta-0) (vector 1 (vector 2 u--fc u--cname (blodwen-toSignedInt arg-3 63) (PreludeC-45TypesC-45List-lengthTR u--args) u--args)))))))) (else (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0))))))))))))) (let ((e-261 (car e-259))) (let ((e-262 (cdr e-259))) (if (null? e-262) (CoreC-45SchemeEvalC-45Evaluate-quoteOrInvalidS (cons (lambda (arg-1843) (LibrariesC-45UtilsC-45Scheme-u--toScheme_Scheme_Bits8 arg-1843)) (lambda (arg-1849) (LibrariesC-45UtilsC-45Scheme-u--fromScheme_Scheme_Bits8 arg-1849))) e-261 (lambda (u--xC-39) (lambda (eta-0) (vector 1 (vector 7 (CoreC-45FC-emptyFC) (vector 6 u--xC-39)))))) (if (null? arg-4) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-2 (cdr arg-4))) (if (null? e-2) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-4 (car e-2))) (let ((e-5 (cdr e-2))) (if (null? e-5) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-7 (car e-5))) (let ((e-8 (cdr e-5))) (let ((sc7 (PreludeC-45EqOrd-u--C-62C-61_Ord_Integer arg-3 0))) (cond ((equal? sc7 1) (CoreC-45SchemeEvalC-45Evaluate-quoteOrInvalidS (csegen-6589) e-4 (lambda (u--cname) (let ((u--fc (CoreC-45SchemeEvalC-45Evaluate-quoteFC e-7))) (let ((u--args (((csegen-25) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-snfC-39 arg-1 arg-2 eta-0))) e-8))) (lambda (eta-0) (vector 1 (vector 2 u--fc u--cname (blodwen-toSignedInt arg-3 63) (PreludeC-45TypesC-45List-lengthTR u--args) u--args)))))))) (else (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)))))))))))))))))))) ((equal? arg-3 -107) (if (null? arg-4) (if (null? arg-4) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-2 (cdr arg-4))) (if (null? e-2) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-4 (car e-2))) (let ((e-5 (cdr e-2))) (if (null? e-5) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-7 (car e-5))) (let ((e-8 (cdr e-5))) (let ((sc5 (PreludeC-45EqOrd-u--C-62C-61_Ord_Integer arg-3 0))) (cond ((equal? sc5 1) (CoreC-45SchemeEvalC-45Evaluate-quoteOrInvalidS (csegen-6589) e-4 (lambda (u--cname) (let ((u--fc (CoreC-45SchemeEvalC-45Evaluate-quoteFC e-7))) (let ((u--args (((csegen-25) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-snfC-39 arg-1 arg-2 eta-0))) e-8))) (lambda (eta-0) (vector 1 (vector 2 u--fc u--cname (blodwen-toSignedInt arg-3 63) (PreludeC-45TypesC-45List-lengthTR u--args) u--args)))))))) (else (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0))))))))))))) (let ((e-266 (cdr arg-4))) (if (null? e-266) (if (null? arg-4) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-2 (cdr arg-4))) (if (null? e-2) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-4 (car e-2))) (let ((e-5 (cdr e-2))) (if (null? e-5) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-7 (car e-5))) (let ((e-8 (cdr e-5))) (let ((sc6 (PreludeC-45EqOrd-u--C-62C-61_Ord_Integer arg-3 0))) (cond ((equal? sc6 1) (CoreC-45SchemeEvalC-45Evaluate-quoteOrInvalidS (csegen-6589) e-4 (lambda (u--cname) (let ((u--fc (CoreC-45SchemeEvalC-45Evaluate-quoteFC e-7))) (let ((u--args (((csegen-25) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-snfC-39 arg-1 arg-2 eta-0))) e-8))) (lambda (eta-0) (vector 1 (vector 2 u--fc u--cname (blodwen-toSignedInt arg-3 63) (PreludeC-45TypesC-45List-lengthTR u--args) u--args)))))))) (else (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0))))))))))))) (let ((e-268 (car e-266))) (let ((e-269 (cdr e-266))) (if (null? e-269) (CoreC-45SchemeEvalC-45Evaluate-quoteOrInvalidS (cons (lambda (arg-1843) (LibrariesC-45UtilsC-45Scheme-u--toScheme_Scheme_Bits16 arg-1843)) (lambda (arg-1849) (LibrariesC-45UtilsC-45Scheme-u--fromScheme_Scheme_Bits16 arg-1849))) e-268 (lambda (u--xC-39) (lambda (eta-0) (vector 1 (vector 7 (CoreC-45FC-emptyFC) (vector 7 u--xC-39)))))) (if (null? arg-4) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-2 (cdr arg-4))) (if (null? e-2) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-4 (car e-2))) (let ((e-5 (cdr e-2))) (if (null? e-5) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-7 (car e-5))) (let ((e-8 (cdr e-5))) (let ((sc7 (PreludeC-45EqOrd-u--C-62C-61_Ord_Integer arg-3 0))) (cond ((equal? sc7 1) (CoreC-45SchemeEvalC-45Evaluate-quoteOrInvalidS (csegen-6589) e-4 (lambda (u--cname) (let ((u--fc (CoreC-45SchemeEvalC-45Evaluate-quoteFC e-7))) (let ((u--args (((csegen-25) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-snfC-39 arg-1 arg-2 eta-0))) e-8))) (lambda (eta-0) (vector 1 (vector 2 u--fc u--cname (blodwen-toSignedInt arg-3 63) (PreludeC-45TypesC-45List-lengthTR u--args) u--args)))))))) (else (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)))))))))))))))))))) ((equal? arg-3 -108) (if (null? arg-4) (if (null? arg-4) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-2 (cdr arg-4))) (if (null? e-2) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-4 (car e-2))) (let ((e-5 (cdr e-2))) (if (null? e-5) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-7 (car e-5))) (let ((e-8 (cdr e-5))) (let ((sc5 (PreludeC-45EqOrd-u--C-62C-61_Ord_Integer arg-3 0))) (cond ((equal? sc5 1) (CoreC-45SchemeEvalC-45Evaluate-quoteOrInvalidS (csegen-6589) e-4 (lambda (u--cname) (let ((u--fc (CoreC-45SchemeEvalC-45Evaluate-quoteFC e-7))) (let ((u--args (((csegen-25) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-snfC-39 arg-1 arg-2 eta-0))) e-8))) (lambda (eta-0) (vector 1 (vector 2 u--fc u--cname (blodwen-toSignedInt arg-3 63) (PreludeC-45TypesC-45List-lengthTR u--args) u--args)))))))) (else (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0))))))))))))) (let ((e-273 (cdr arg-4))) (if (null? e-273) (if (null? arg-4) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-2 (cdr arg-4))) (if (null? e-2) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-4 (car e-2))) (let ((e-5 (cdr e-2))) (if (null? e-5) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-7 (car e-5))) (let ((e-8 (cdr e-5))) (let ((sc6 (PreludeC-45EqOrd-u--C-62C-61_Ord_Integer arg-3 0))) (cond ((equal? sc6 1) (CoreC-45SchemeEvalC-45Evaluate-quoteOrInvalidS (csegen-6589) e-4 (lambda (u--cname) (let ((u--fc (CoreC-45SchemeEvalC-45Evaluate-quoteFC e-7))) (let ((u--args (((csegen-25) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-snfC-39 arg-1 arg-2 eta-0))) e-8))) (lambda (eta-0) (vector 1 (vector 2 u--fc u--cname (blodwen-toSignedInt arg-3 63) (PreludeC-45TypesC-45List-lengthTR u--args) u--args)))))))) (else (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0))))))))))))) (let ((e-275 (car e-273))) (let ((e-276 (cdr e-273))) (if (null? e-276) (CoreC-45SchemeEvalC-45Evaluate-quoteOrInvalidS (cons (lambda (arg-1843) (LibrariesC-45UtilsC-45Scheme-u--toScheme_Scheme_Bits32 arg-1843)) (lambda (arg-1849) (LibrariesC-45UtilsC-45Scheme-u--fromScheme_Scheme_Bits32 arg-1849))) e-275 (lambda (u--xC-39) (lambda (eta-0) (vector 1 (vector 7 (CoreC-45FC-emptyFC) (vector 8 u--xC-39)))))) (if (null? arg-4) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-2 (cdr arg-4))) (if (null? e-2) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-4 (car e-2))) (let ((e-5 (cdr e-2))) (if (null? e-5) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-7 (car e-5))) (let ((e-8 (cdr e-5))) (let ((sc7 (PreludeC-45EqOrd-u--C-62C-61_Ord_Integer arg-3 0))) (cond ((equal? sc7 1) (CoreC-45SchemeEvalC-45Evaluate-quoteOrInvalidS (csegen-6589) e-4 (lambda (u--cname) (let ((u--fc (CoreC-45SchemeEvalC-45Evaluate-quoteFC e-7))) (let ((u--args (((csegen-25) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-snfC-39 arg-1 arg-2 eta-0))) e-8))) (lambda (eta-0) (vector 1 (vector 2 u--fc u--cname (blodwen-toSignedInt arg-3 63) (PreludeC-45TypesC-45List-lengthTR u--args) u--args)))))))) (else (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)))))))))))))))))))) ((equal? arg-3 -109) (if (null? arg-4) (if (null? arg-4) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-2 (cdr arg-4))) (if (null? e-2) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-4 (car e-2))) (let ((e-5 (cdr e-2))) (if (null? e-5) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-7 (car e-5))) (let ((e-8 (cdr e-5))) (let ((sc5 (PreludeC-45EqOrd-u--C-62C-61_Ord_Integer arg-3 0))) (cond ((equal? sc5 1) (CoreC-45SchemeEvalC-45Evaluate-quoteOrInvalidS (csegen-6589) e-4 (lambda (u--cname) (let ((u--fc (CoreC-45SchemeEvalC-45Evaluate-quoteFC e-7))) (let ((u--args (((csegen-25) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-snfC-39 arg-1 arg-2 eta-0))) e-8))) (lambda (eta-0) (vector 1 (vector 2 u--fc u--cname (blodwen-toSignedInt arg-3 63) (PreludeC-45TypesC-45List-lengthTR u--args) u--args)))))))) (else (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0))))))))))))) (let ((e-280 (cdr arg-4))) (if (null? e-280) (if (null? arg-4) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-2 (cdr arg-4))) (if (null? e-2) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-4 (car e-2))) (let ((e-5 (cdr e-2))) (if (null? e-5) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-7 (car e-5))) (let ((e-8 (cdr e-5))) (let ((sc6 (PreludeC-45EqOrd-u--C-62C-61_Ord_Integer arg-3 0))) (cond ((equal? sc6 1) (CoreC-45SchemeEvalC-45Evaluate-quoteOrInvalidS (csegen-6589) e-4 (lambda (u--cname) (let ((u--fc (CoreC-45SchemeEvalC-45Evaluate-quoteFC e-7))) (let ((u--args (((csegen-25) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-snfC-39 arg-1 arg-2 eta-0))) e-8))) (lambda (eta-0) (vector 1 (vector 2 u--fc u--cname (blodwen-toSignedInt arg-3 63) (PreludeC-45TypesC-45List-lengthTR u--args) u--args)))))))) (else (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0))))))))))))) (let ((e-282 (car e-280))) (let ((e-283 (cdr e-280))) (if (null? e-283) (CoreC-45SchemeEvalC-45Evaluate-quoteOrInvalidS (cons (lambda (arg-1843) (LibrariesC-45UtilsC-45Scheme-u--toScheme_Scheme_Bits64 arg-1843)) (lambda (arg-1849) (LibrariesC-45UtilsC-45Scheme-u--fromScheme_Scheme_Bits64 arg-1849))) e-282 (lambda (u--xC-39) (lambda (eta-0) (vector 1 (vector 7 (CoreC-45FC-emptyFC) (vector 9 u--xC-39)))))) (if (null? arg-4) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-2 (cdr arg-4))) (if (null? e-2) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-4 (car e-2))) (let ((e-5 (cdr e-2))) (if (null? e-5) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-7 (car e-5))) (let ((e-8 (cdr e-5))) (let ((sc7 (PreludeC-45EqOrd-u--C-62C-61_Ord_Integer arg-3 0))) (cond ((equal? sc7 1) (CoreC-45SchemeEvalC-45Evaluate-quoteOrInvalidS (csegen-6589) e-4 (lambda (u--cname) (let ((u--fc (CoreC-45SchemeEvalC-45Evaluate-quoteFC e-7))) (let ((u--args (((csegen-25) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-snfC-39 arg-1 arg-2 eta-0))) e-8))) (lambda (eta-0) (vector 1 (vector 2 u--fc u--cname (blodwen-toSignedInt arg-3 63) (PreludeC-45TypesC-45List-lengthTR u--args) u--args)))))))) (else (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0))))))))))))))))))))(else (if (null? arg-4) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-2 (cdr arg-4))) (if (null? e-2) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-4 (car e-2))) (let ((e-5 (cdr e-2))) (if (null? e-5) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-7 (car e-5))) (let ((e-8 (cdr e-5))) (let ((sc3 (PreludeC-45EqOrd-u--C-62C-61_Ord_Integer arg-3 0))) (cond ((equal? sc3 1) (CoreC-45SchemeEvalC-45Evaluate-quoteOrInvalidS (csegen-6589) e-4 (lambda (u--cname) (let ((u--fc (CoreC-45SchemeEvalC-45Evaluate-quoteFC e-7))) (let ((u--args (((csegen-25) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-snfC-39 arg-1 arg-2 eta-0))) e-8))) (lambda (eta-0) (vector 1 (vector 2 u--fc u--cname (blodwen-toSignedInt arg-3 63) (PreludeC-45TypesC-45List-lengthTR u--args) u--args)))))))) (else (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)))))))))))))))))
(define CoreC-45SchemeEvalC-45Evaluate-snfPiInfo (lambda (arg-1 arg-2 arg-3) (let ((sc0 (LibrariesC-45UtilsC-45Scheme-isInteger arg-3))) (cond ((equal? sc0 1) (lambda (clam-0) (let ((sc1 (LibrariesC-45UtilsC-45Scheme-unsafeGetInteger arg-3))) (cond ((equal? sc1 0) (vector 1 (vector 0 ))) ((equal? sc1 1) (vector 1 (vector 1 ))) ((equal? sc1 2) (vector 1 (vector 2 )))(else (vector 1 (vector 1 ))))))) (else (let ((sc1 (LibrariesC-45UtilsC-45Scheme-isBox arg-3))) (cond ((equal? sc1 1) (let ((eff-0 (CoreC-45SchemeEvalC-45Evaluate-snfC-39 arg-1 arg-2 (LibrariesC-45UtilsC-45Scheme-unsafeUnbox arg-3)))) (PrimIO-io_bind eff-0 (csegen-1312)))) (else (lambda (eta-0) (vector 1 (vector 1 )))))))))))
(define CoreC-45SchemeEvalC-45Evaluate-snfPLet (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (lambda (clam-0) (let ((sc0 (LibrariesC-45UtilsC-45Scheme-decodeObj arg-3))) (case (vector-ref sc0 0) ((9) (let ((e-0 (vector-ref sc0 1))) (vector 1 (vector 0 (CoreC-45FC-emptyFC) arg-7 (vector 4 (CoreC-45FC-emptyFC) arg-4 arg-5 arg-6) (lambda (u--tm) (let ((e-1 (car u--tm))) (let ((u--sc (LibrariesC-45UtilsC-45Scheme-unsafeApply e-0 e-1))) (CoreC-45SchemeEvalC-45Evaluate-snfC-39 arg-1 arg-2 u--sc))))))))(else (CoreC-45SchemeEvalC-45Evaluate-invalidS clam-0)))))))
(define CoreC-45SchemeEvalC-45Evaluate-snfBinder (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8) (lambda (clam-0) (let ((sc0 (LibrariesC-45UtilsC-45Scheme-decodeObj arg-4))) (case (vector-ref sc0 0) ((9) (let ((e-0 (vector-ref sc0 1))) (vector 1 (vector 0 (CoreC-45FC-emptyFC) arg-8 (((((arg-3 'erased) (CoreC-45FC-emptyFC)) arg-5) arg-6) arg-7) (lambda (u--tm) (let ((e-1 (car u--tm))) (let ((u--sc (LibrariesC-45UtilsC-45Scheme-unsafeApply e-0 e-1))) (CoreC-45SchemeEvalC-45Evaluate-snfC-39 arg-1 arg-2 u--sc))))))))(else (CoreC-45SchemeEvalC-45Evaluate-invalidS clam-0)))))))
(define CoreC-45SchemeEvalC-45Evaluate-snfC-39 (lambda (arg-1 arg-2 arg-3) (let ((sc0 (LibrariesC-45UtilsC-45Scheme-isVector arg-3))) (cond ((equal? sc0 1) (CoreC-45SchemeEvalC-45Evaluate-snfVector arg-1 arg-2 (LibrariesC-45UtilsC-45Scheme-unsafeGetInteger (LibrariesC-45UtilsC-45Scheme-unsafeVectorRef arg-3 0)) (LibrariesC-45UtilsC-45Scheme-unsafeVectorToList arg-3))) (else (let ((sc1 (LibrariesC-45UtilsC-45Scheme-isProcedure arg-3))) (cond ((equal? sc1 1) (CoreC-45SchemeEvalC-45Evaluate-snfBinder arg-1 arg-2 (lambda (ty-8645) (csegen-6596)) arg-3 (AlgebraC-45ZeroOneOmega-u--top_Top_ZeroOneOmega) (vector 1 ) (vector 8 (CoreC-45FC-emptyFC) (vector 0 )) (vector 1 (vector 0 "x")))) (else (let ((sc2 (LibrariesC-45UtilsC-45Scheme-isSymbol arg-3))) (cond ((equal? sc2 1) (lambda (eta-0) (vector 1 (CoreC-45SchemeEvalC-45Evaluate-n--10943-8393-u--findName arg-1 arg-3 arg-2 arg-2 (LibrariesC-45UtilsC-45Scheme-unsafeReadSymbol arg-3))))) (else (let ((sc3 (LibrariesC-45UtilsC-45Scheme-isFloat arg-3))) (cond ((equal? sc3 1) (lambda (eta-0) (vector 1 (vector 7 (CoreC-45FC-emptyFC) (vector 12 (LibrariesC-45UtilsC-45Scheme-unsafeGetFloat arg-3)))))) (else (let ((sc4 (LibrariesC-45UtilsC-45Scheme-isInteger arg-3))) (cond ((equal? sc4 1) (lambda (eta-0) (vector 1 (vector 7 (CoreC-45FC-emptyFC) (vector 0 (blodwen-toSignedInt (LibrariesC-45UtilsC-45Scheme-unsafeGetInteger arg-3) 63)))))) (else (let ((sc5 (LibrariesC-45UtilsC-45Scheme-isString arg-3))) (cond ((equal? sc5 1) (lambda (eta-0) (vector 1 (vector 7 (CoreC-45FC-emptyFC) (vector 10 (LibrariesC-45UtilsC-45Scheme-unsafeGetString arg-3)))))) (else (lambda (clam-0) (let ((sc6 (LibrariesC-45UtilsC-45Scheme-isChar arg-3))) (cond ((equal? sc6 1) (vector 1 (vector 7 (CoreC-45FC-emptyFC) (vector 11 (LibrariesC-45UtilsC-45Scheme-unsafeGetChar arg-3))))) (else (CoreC-45SchemeEvalC-45Evaluate-invalidS clam-0)))))))))))))))))))))))))
(define CoreC-45SchemeEvalC-45Evaluate-seval (lambda (arg-1 arg-2 arg-3 arg-4) (let ((eff-0 (CoreC-45ContextC-45Log-logTimeWhen arg-1 0 0 (lambda () "Scheme eval") (CoreC-45SchemeEvalC-45Compile-initialiseSchemeEval arg-1)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (cond ((equal? e-5 1) (let ((u--ms (CoreC-45TT-getRefs (vector 2 "" 0) arg-4))) (let ((u--rs (CoreC-45TT-addMetas 0 u--ms arg-4))) (let ((eff-1 (CoreC-45SchemeEvalC-45Evaluate-getAllNames arg-1 (LibrariesC-45DataC-45NameMap-empty) (LibrariesC-45DataC-45NameMap-keys u--rs)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Core-traverse_ (lambda (eta-0) (CoreC-45SchemeEvalC-45Compile-compileDef arg-1 arg-2 eta-0)) (LibrariesC-45DataC-45NameMap-keys e-6)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (let ((eff-3 (CoreC-45Core-newRef (vector "Core.SchemeEval.Compile.Sym" ) 0))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45SchemeEvalC-45Evaluate-n--7079-3085-u--mkEnv arg-4 arg-3 arg-2 arg-1 e-8 arg-3 (lambda (eta-0) eta-0)))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (let ((e-2 (car e-9))) (let ((e-3 (cdr e-9))) (let ((eff-5 (let ((eff-5 (CoreC-45Context-toFullNames arg-1 (csegen-105) arg-4))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-4 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-10 (vector-ref lcase-5 1))) (let ((eff-6 (CoreC-45SchemeEvalC-45Compile-compile e-8 arg-1 e-3 e-10))) eff-6))))))))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-4 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-10 (vector-ref lcase-5 1))) (let ((eff-6 (let ((eff-6 (PrimIO-io_bind (LibrariesC-45UtilsC-45Scheme-evalSchemeObj (e-2 e-10)) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-4 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-11 (vector-ref lcase-6 1))) (let ((eff-7 (lambda (clam-0) (if (null? e-11) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 ((csegen-0) "Compiling expression failed")) clam-0) (let ((e-1 (unbox e-11))) (vector 1 (cons e-1 e-3))))))) eff-7))))))))) eff-6))))))))))) eff-5))))))))) eff-4))))))))) eff-3)))))))) eff-2)))))))))) (else (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 ((csegen-0) "Loading scheme support failed")) eta-0)))))) eff-1)))))))))
(define CoreC-45SchemeEvalC-45Evaluate-quoteWhyErased (lambda (arg-1 arg-2) (let ((sc0 (LibrariesC-45UtilsC-45Scheme-isInteger arg-2))) (cond ((equal? sc0 1) (lambda (clam-0) (let ((sc1 (LibrariesC-45UtilsC-45Scheme-unsafeGetInteger arg-2))) (cond ((equal? sc1 0) (vector 1 (vector 1 )))(else (vector 1 (vector 0 ))))))) (else (let ((sc1 (LibrariesC-45UtilsC-45Scheme-isBox arg-2))) (cond ((equal? sc1 1) (let ((eff-0 (arg-1 (LibrariesC-45UtilsC-45Scheme-unsafeUnbox arg-2)))) (PrimIO-io_bind eff-0 (csegen-6628)))) (else (lambda (eta-0) (vector 1 (vector 0 )))))))))))
(define CoreC-45SchemeEvalC-45Evaluate-quoteTypeLevel (lambda (arg-0) (DataC-45Maybe-fromMaybe (lambda () (vector 2 "top" 0)) (CoreC-45SchemeEvalC-45ToScheme-u--fromScheme_Scheme_Name (LibrariesC-45UtilsC-45Scheme-decodeObj arg-0)))))
(define CoreC-45SchemeEvalC-45Evaluate-quoteRigCount (lambda (arg-0) (DataC-45Maybe-fromMaybe (lambda () (AlgebraC-45ZeroOneOmega-u--top_Top_ZeroOneOmega)) (CoreC-45SchemeEvalC-45ToScheme-u--fromScheme_Scheme_RigCount (LibrariesC-45UtilsC-45Scheme-decodeObj arg-0)))))
(define CoreC-45SchemeEvalC-45Evaluate-quoteOrInvalidS (lambda (arg-2 arg-3 arg-4) (let ((e-2 (cdr arg-2))) (let ((sc1 (e-2 (LibrariesC-45UtilsC-45Scheme-decodeObj arg-3)))) (if (null? sc1) (lambda (eta-0) (CoreC-45SchemeEvalC-45Evaluate-invalidS eta-0)) (let ((e-3 (unbox sc1))) (arg-4 e-3)))))))
(define CoreC-45SchemeEvalC-45Evaluate-quoteLazyReason (lambda (arg-0) (DataC-45Maybe-fromMaybe (lambda () 2) (CoreC-45SchemeEvalC-45ToScheme-u--fromScheme_Scheme_LazyReason (LibrariesC-45UtilsC-45Scheme-decodeObj arg-0)))))
(define CoreC-45SchemeEvalC-45Evaluate-quoteFC (lambda (arg-0) (DataC-45Maybe-fromMaybe (lambda () (CoreC-45FC-emptyFC)) (CoreC-45SchemeEvalC-45ToScheme-u--fromScheme_Scheme_FC (LibrariesC-45UtilsC-45Scheme-decodeObj arg-0)))))
(define CoreC-45SchemeEvalC-45Evaluate-quoteBinderName (lambda (arg-0) (DataC-45Maybe-fromMaybe (lambda () (vector 1 (vector 0 "x"))) (CoreC-45SchemeEvalC-45ToScheme-u--fromScheme_Scheme_Name (LibrariesC-45UtilsC-45Scheme-decodeObj arg-0)))))
(define CoreC-45SchemeEvalC-45Evaluate-invalidS (lambda (ext-0) (vector 1 (vector 8 (CoreC-45FC-emptyFC) (vector 0 )))))
(define CoreC-45SchemeEvalC-45Evaluate-getArgList (lambda (arg-0) (let ((sc0 (LibrariesC-45UtilsC-45Scheme-isPair arg-0))) (cond ((equal? sc0 1) (cons (LibrariesC-45UtilsC-45Scheme-unsafeFst arg-0) (CoreC-45SchemeEvalC-45Evaluate-getArgList (LibrariesC-45UtilsC-45Scheme-unsafeSnd arg-0)))) (else '())))))
(define CoreC-45SchemeEvalC-45Evaluate-getAllNames (lambda (arg-0 arg-1 arg-2) (if (null? arg-2) (lambda (eta-0) (vector 1 arg-1)) (let ((e-2 (car arg-2))) (let ((e-3 (cdr arg-2))) (let ((sc1 (LibrariesC-45DataC-45NameMap-lookup e-2 arg-1))) (if (null? sc1) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-lookupCtxtExact e-2 (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-6) (CoreC-45SchemeEvalC-45Evaluate-getAllNames arg-0 arg-1 e-3) (let ((e-1 (unbox e-6))) (CoreC-45SchemeEvalC-45Evaluate-getAllNames arg-0 (LibrariesC-45DataC-45NameMap-insert e-2 (vector 0 ) arg-1) (PreludeC-45TypesC-45List-tailRecAppend e-3 (LibrariesC-45DataC-45NameMap-keys (CoreC-45ContextC-45Context-refersTo e-1)))))))) eff-2))))))))) eff-1))))))) (CoreC-45SchemeEvalC-45Evaluate-getAllNames arg-0 arg-1 e-3))))))))
(define CoreC-45SchemeEvalC-45Compile-n--6993-1290-u--vars (lambda (arg-0 arg-1 arg-2) (if (null? arg-2) (vector 0 ) (let ((e-2 (car arg-2))) (let ((e-3 (cdr arg-2))) (vector 1 e-2 (CoreC-45SchemeEvalC-45Compile-n--6993-1290-u--vars arg-0 arg-1 e-3)))))))
(define CoreC-45SchemeEvalC-45Compile-n--8677-3257-u--toSchemeTyConCases (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-7 arg-8 arg-9 arg-11 arg-13) (let ((u--var (CoreC-45SchemeEvalC-45Compile-getSchVar arg-11 arg-7))) (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45SchemeEvalC-45Compile-n--8722-3809-u--makeAlt arg-1 arg-2 arg-3 arg-4 arg-5 arg-7 arg-8 arg-9 arg-13 arg-11 u--var eta-0)) arg-13 '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 (CoreC-45SchemeEvalC-45Compile-n--8677-3255-u--makeDefault arg-1 arg-2 arg-3 arg-4 arg-5 arg-7 arg-8 arg-9 arg-13))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (CoreC-45SchemeEvalC-45Compile-n--8722-3810-u--addPiMatch arg-1 arg-2 arg-3 arg-4 arg-5 arg-7 arg-8 arg-9 arg-13 arg-11 u--var arg-13 (vector 15 (vector 17 (vector 11 "vector-ref") (cons (vector 11 u--var) (cons (vector 2 2) '()))) (PreludeC-45TypesC-45List-mapMaybeAppend '() (lambda (eta-0) eta-0) e-5) (box e-6))))) eff-2))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 14 (vector 17 (vector 11 "ct-isTypeMatchable") (cons (vector 11 u--var) '())) e-6 arg-8))))) eff-2))))))))) eff-1))))))))))
(define CoreC-45SchemeEvalC-45Compile-n--8677-3259-u--toSchemeDelayCases (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-7 arg-8 arg-9 arg-11 arg-13) (if (null? arg-13) (lambda (eta-0) (vector 1 (vector 0 ))) (let ((e-1 (car arg-13))) (let ((e-2 (cdr arg-13))) (case (vector-ref e-1 0) ((1) (let ((e-6 (vector-ref e-1 3))) (let ((u--var (CoreC-45SchemeEvalC-45Compile-getSchVar arg-11 arg-7))) (let ((eff-0 (CoreC-45SchemeEvalC-45Compile-getArgName arg-1))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-7 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45SchemeEvalC-45Compile-getArgName arg-1))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-3 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-8 (vector-ref lcase-1 1))) (let ((eff-2 (let ((u--svsC-39 (cons (vector 0 (CoreC-45SchemeEvalC-45Compile-schVarName e-7)) (cons (vector 0 (CoreC-45SchemeEvalC-45Compile-schVarName e-8)) arg-7)))) (let ((eff-2 (CoreC-45SchemeEvalC-45Compile-compileCase arg-1 arg-9 arg-8 u--svsC-39 e-6))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-3 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-9 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (vector 14 (vector 17 (vector 11 "ct-isDelay") (cons (vector 11 u--var) '())) (vector 13 (CoreC-45SchemeEvalC-45Compile-schVarName e-7) (vector 17 (vector 17 (vector 11 "vector-ref") (cons (vector 11 u--var) (cons (vector 2 3) '()))) '()) (vector 13 (CoreC-45SchemeEvalC-45Compile-schVarName e-8) (vector 17 (vector 17 (vector 11 "vector-ref") (cons (vector 11 u--var) (cons (vector 2 4) '()))) '()) e-9)) arg-8))))) eff-3)))))))))) eff-2))))))))) eff-1))))))))))(else (CoreC-45SchemeEvalC-45Compile-n--8677-3259-u--toSchemeDelayCases arg-1 arg-2 arg-3 arg-4 arg-5 arg-7 arg-8 arg-9 arg-11 e-2))))))))
(define CoreC-45SchemeEvalC-45Compile-n--8677-3258-u--toSchemeConstCases (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-7 arg-8 arg-9 arg-11 arg-13) (let ((u--var (CoreC-45SchemeEvalC-45Compile-getSchVar arg-11 arg-7))) (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45SchemeEvalC-45Compile-n--8723-4165-u--makeAlt arg-1 arg-2 arg-3 arg-4 arg-5 arg-7 arg-8 arg-9 arg-13 arg-11 u--var eta-0)) arg-13 '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45SchemeEvalC-45Compile-n--8677-3255-u--makeDefault arg-1 arg-2 arg-3 arg-4 arg-5 arg-7 arg-8 arg-9 arg-13))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((u--caseblock (vector 16 (PreludeC-45TypesC-45List-mapMaybeAppend '() (lambda (eta-0) eta-0) e-5) (box e-6)))) (lambda (eta-0) (vector 1 (vector 14 (vector 17 (vector 11 "ct-isConstant") (cons (vector 11 u--var) '())) u--caseblock arg-8)))))) eff-2))))))))) eff-1))))))))))
(define CoreC-45SchemeEvalC-45Compile-n--8677-3256-u--toSchemeConCases (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-7 arg-8 arg-9 arg-11 arg-13) (let ((u--var (CoreC-45SchemeEvalC-45Compile-getSchVar arg-11 arg-7))) (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45SchemeEvalC-45Compile-n--8721-3588-u--makeAlt arg-1 arg-2 arg-3 arg-4 arg-5 arg-7 arg-8 arg-9 arg-13 arg-11 u--var eta-0)) arg-13 '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45SchemeEvalC-45Compile-n--8677-3255-u--makeDefault arg-1 arg-2 arg-3 arg-4 arg-5 arg-7 arg-8 arg-9 arg-13))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((u--caseblock (vector 15 (vector 17 (vector 11 "vector-ref") (cons (vector 11 u--var) (cons (vector 2 0) '()))) (PreludeC-45TypesC-45List-mapMaybeAppend '() (lambda (eta-0) eta-0) e-5) (box e-6)))) (lambda (eta-0) (vector 1 (vector 14 (vector 17 (vector 11 "ct-isDataCon") (cons (vector 11 u--var) '())) u--caseblock arg-8)))))) eff-2))))))))) eff-1))))))))))
(define CoreC-45SchemeEvalC-45Compile-n--8722-3807-u--project (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-7 arg-8 arg-9 arg-11 arg-12 arg-14 arg-15 arg-16 arg-17) (if (null? arg-16) arg-17 (let ((e-2 (car arg-16))) (let ((e-3 (cdr arg-16))) (vector 13 (CoreC-45SchemeEvalC-45Compile-schVarName e-2) (vector 17 (vector 11 "vector-ref") (cons (vector 11 arg-15) (cons (vector 2 arg-14) '()))) (CoreC-45SchemeEvalC-45Compile-n--8722-3807-u--project arg-1 arg-2 arg-3 arg-4 arg-5 arg-7 arg-8 arg-9 arg-11 arg-12 (bs+ arg-14 1 63) arg-15 e-3 arg-17)))))))
(define CoreC-45SchemeEvalC-45Compile-n--8721-3586-u--project (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-7 arg-8 arg-9 arg-11 arg-12 arg-14 arg-15 arg-16 arg-17) (if (null? arg-16) arg-17 (let ((e-2 (car arg-16))) (let ((e-3 (cdr arg-16))) (vector 13 (CoreC-45SchemeEvalC-45Compile-schVarName e-2) (vector 17 (vector 11 "vector-ref") (cons (vector 11 arg-15) (cons (vector 2 arg-14) '()))) (CoreC-45SchemeEvalC-45Compile-n--8721-3586-u--project arg-1 arg-2 arg-3 arg-4 arg-5 arg-7 arg-8 arg-9 arg-11 arg-12 (bs+ arg-14 1 63) arg-15 e-3 arg-17)))))))
(define CoreC-45SchemeEvalC-45Compile-n--6561-886-u--okchar (lambda (arg-0 arg-1) (let ((sc0 (let ((sc1 (PreludeC-45Types-isAlphaNum arg-1))) (cond ((equal? sc1 1) 1) (else (PreludeC-45EqOrd-u--C-61C-61_Eq_Char arg-1 #\_)))))) (cond ((equal? sc0 1) (string arg-1)) (else (string-append "C-" (PreludeC-45Show-u--show_Show_Int (cast-char-boundedInt arg-1 63))))))))
(define CoreC-45SchemeEvalC-45Compile-n--10201-4969-u--mkArgNs (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12) (cond ((equal? arg-12 0) '())(else (let ((e-0 (- arg-12 1))) (cons (vector 2 "arg" arg-11) (CoreC-45SchemeEvalC-45Compile-n--10201-4969-u--mkArgNs arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 (bs+ arg-11 1 63) e-0)))))))
(define CoreC-45SchemeEvalC-45Compile-n--10201-4861-u--mkArgNs (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (cond ((equal? arg-7 0) '())(else (let ((e-0 (- arg-7 1))) (cons (vector 2 "arg" arg-6) (CoreC-45SchemeEvalC-45Compile-n--10201-4861-u--mkArgNs arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 (bs+ arg-6 1 63) e-0)))))))
(define CoreC-45SchemeEvalC-45Compile-n--8677-3255-u--makeDefault (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-7 arg-8 arg-9 arg-10) (if (null? arg-10) (lambda (eta-0) (vector 1 arg-8)) (let ((e-2 (car arg-10))) (let ((e-3 (cdr arg-10))) (case (vector-ref e-2 0) ((3) (let ((e-5 (vector-ref e-2 1))) (CoreC-45SchemeEvalC-45Compile-compileCase arg-1 arg-9 arg-8 arg-7 e-5)))(else (CoreC-45SchemeEvalC-45Compile-n--8677-3255-u--makeDefault arg-1 arg-2 arg-3 arg-4 arg-5 arg-7 arg-8 arg-9 e-3))))))))
(define CoreC-45SchemeEvalC-45Compile-n--8723-4165-u--makeAlt (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-7 arg-8 arg-9 arg-11 arg-12 arg-14 arg-15) (case (vector-ref arg-15 0) ((2) (let ((e-1 (vector-ref arg-15 1))) (let ((e-2 (vector-ref arg-15 2))) (let ((eff-0 (CoreC-45SchemeEvalC-45Compile-compileCase arg-1 arg-9 arg-8 arg-7 e-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (box (cons (vector 17 (vector 11 "equal?") (cons (vector 11 arg-14) (cons (CoreC-45SchemeEvalC-45Compile-compileConstant (CoreC-45FC-emptyFC) e-1) '()))) e-5)))))) eff-1))))))))))(else (lambda (eta-0) (vector 1 '()))))))
(define CoreC-45SchemeEvalC-45Compile-n--8722-3809-u--makeAlt (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-7 arg-8 arg-9 arg-11 arg-12 arg-14 arg-15) (case (vector-ref arg-15 0) ((0) (let ((e-1 (vector-ref arg-15 1))) (let ((e-3 (vector-ref arg-15 3))) (let ((e-4 (vector-ref arg-15 4))) (case (vector-ref e-1 0) ((1) (let ((e-5 (vector-ref e-1 1))) (case (vector-ref e-5 0) ((0) (let ((e-6 (vector-ref e-5 1))) (cond ((equal? e-6 "->") (if (null? e-3) (let ((eff-0 (CoreC-45SchemeEvalC-45Compile-n--8722-3808-u--bindArgs arg-1 arg-2 arg-3 arg-4 arg-5 arg-7 arg-8 arg-9 arg-11 arg-12 arg-14 e-3 e-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-7 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (box (cons (vector 4 (CoreC-45Name-u--show_Show_Name e-1)) e-7)))))) eff-1))))))) (let ((e-9 (cdr e-3))) (if (null? e-9) (let ((eff-0 (CoreC-45SchemeEvalC-45Compile-n--8722-3808-u--bindArgs arg-1 arg-2 arg-3 arg-4 arg-5 arg-7 arg-8 arg-9 arg-11 arg-12 arg-14 e-3 e-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-7 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (box (cons (vector 4 (CoreC-45Name-u--show_Show_Name e-1)) e-7)))))) eff-1))))))) (let ((e-12 (cdr e-9))) (if (null? e-12) (lambda (eta-0) (vector 1 '())) (let ((eff-0 (CoreC-45SchemeEvalC-45Compile-n--8722-3808-u--bindArgs arg-1 arg-2 arg-3 arg-4 arg-5 arg-7 arg-8 arg-9 arg-11 arg-12 arg-14 e-3 e-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-7 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (box (cons (vector 4 (CoreC-45Name-u--show_Show_Name e-1)) e-7)))))) eff-1)))))))))))))(else (let ((eff-0 (CoreC-45SchemeEvalC-45Compile-n--8722-3808-u--bindArgs arg-1 arg-2 arg-3 arg-4 arg-5 arg-7 arg-8 arg-9 arg-11 arg-12 arg-14 e-3 e-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-7 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (box (cons (vector 4 (CoreC-45Name-u--show_Show_Name e-1)) e-7)))))) eff-1)))))))))))(else (let ((eff-0 (CoreC-45SchemeEvalC-45Compile-n--8722-3808-u--bindArgs arg-1 arg-2 arg-3 arg-4 arg-5 arg-7 arg-8 arg-9 arg-11 arg-12 arg-14 e-3 e-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-6 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (box (cons (vector 4 (CoreC-45Name-u--show_Show_Name e-1)) e-6)))))) eff-1)))))))))))(else (let ((eff-0 (CoreC-45SchemeEvalC-45Compile-n--8722-3808-u--bindArgs arg-1 arg-2 arg-3 arg-4 arg-5 arg-7 arg-8 arg-9 arg-11 arg-12 arg-14 e-3 e-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (box (cons (vector 4 (CoreC-45Name-u--show_Show_Name e-1)) e-5)))))) eff-1)))))))))))))(else (lambda (eta-0) (vector 1 '()))))))
(define CoreC-45SchemeEvalC-45Compile-n--8721-3588-u--makeAlt (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-7 arg-8 arg-9 arg-11 arg-12 arg-14 arg-15) (case (vector-ref arg-15 0) ((0) (let ((e-2 (vector-ref arg-15 2))) (let ((e-3 (vector-ref arg-15 3))) (let ((e-4 (vector-ref arg-15 4))) (let ((eff-0 (CoreC-45SchemeEvalC-45Compile-n--8721-3587-u--bindArgs arg-1 arg-2 arg-3 arg-4 arg-5 arg-7 arg-8 arg-9 arg-11 arg-12 arg-14 e-3 e-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (box (cons (vector 2 e-2) e-5)))))) eff-1)))))))))))(else (lambda (eta-0) (vector 1 '()))))))
(define CoreC-45SchemeEvalC-45Compile-n--8677-3254-u--caseType (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-7 arg-8 arg-9 arg-11) (if (null? arg-11) (lambda (eta-0) (vector 1 (vector 0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-7 arg-8 arg-9))) (let ((e-2 (car arg-11))) (let ((e-3 (cdr arg-11))) (case (vector-ref e-2 0) ((0) (let ((e-5 (vector-ref e-2 1))) (let ((eff-0 (let ((eff-0 arg-9)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-9 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-lookupCtxtExact e-5 (let ((e-0 (vector-ref e-9 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-10 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-10) (lambda (eta-0) (vector 1 (vector 1 arg-1 arg-2 arg-3 arg-4 arg-5 arg-7 arg-8 arg-9))) (let ((e-1 (unbox e-10))) (lambda (clam-0) (let ((e-17 (vector-ref e-1 17))) (case (vector-ref e-17 0) ((5) (vector 1 (vector 0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-7 arg-8 arg-9))) ((6) (vector 1 (vector 1 arg-1 arg-2 arg-3 arg-4 arg-5 arg-7 arg-8 arg-9)))(else (vector 1 (vector 0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-7 arg-8 arg-9)))))))))) eff-2))))))))) eff-1))))))))) ((1) (lambda (eta-0) (vector 1 (vector 2 arg-1 arg-2 arg-3 arg-4 arg-5 arg-7 arg-8 arg-9)))) ((2) (lambda (eta-0) (vector 1 (vector 3 arg-1 arg-2 arg-3 arg-4 arg-5 arg-7 arg-8 arg-9)))) (else (CoreC-45SchemeEvalC-45Compile-n--8677-3254-u--caseType arg-1 arg-2 arg-3 arg-4 arg-5 arg-7 arg-8 arg-9 e-3))))))))
(define CoreC-45SchemeEvalC-45Compile-n--8722-3808-u--bindArgs (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-7 arg-8 arg-9 arg-11 arg-12 arg-14 arg-15 arg-16) (let ((eff-0 (CoreC-45SchemeEvalC-45Compile-extend arg-1 arg-15 arg-7))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((e-2 (car e-5))) (let ((e-3 (cdr e-5))) (let ((eff-1 (CoreC-45SchemeEvalC-45Compile-compileCase arg-1 arg-9 arg-8 e-3 arg-16))) (((csegen-50) ((let ((eff-2 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-4 (vector-ref eta-3 1))) (vector 0 e-4))) (else (let ((e-6 (vector-ref eta-3 1))) (vector 1 (eta-2 e-6))))))))))) (lambda (arg-0) (lambda (arg-6) ((((eff-2 'erased) 'erased) arg-0) arg-6)))) (lambda (eta-0) (CoreC-45SchemeEvalC-45Compile-n--8722-3807-u--project arg-1 arg-2 arg-3 arg-4 arg-5 arg-7 arg-8 arg-9 arg-11 arg-12 5 arg-14 e-2 eta-0)))) eff-1)))))) eff-1)))))))))
(define CoreC-45SchemeEvalC-45Compile-n--8721-3587-u--bindArgs (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-7 arg-8 arg-9 arg-11 arg-12 arg-14 arg-15 arg-16) (let ((eff-0 (CoreC-45SchemeEvalC-45Compile-extend arg-1 arg-15 arg-7))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((e-2 (car e-5))) (let ((e-3 (cdr e-5))) (let ((eff-1 (CoreC-45SchemeEvalC-45Compile-compileCase arg-1 arg-9 arg-8 e-3 arg-16))) (((csegen-50) ((let ((eff-2 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-4 (vector-ref eta-3 1))) (vector 0 e-4))) (else (let ((e-6 (vector-ref eta-3 1))) (vector 1 (eta-2 e-6))))))))))) (lambda (arg-0) (lambda (arg-6) ((((eff-2 'erased) 'erased) arg-0) arg-6)))) (lambda (eta-0) (CoreC-45SchemeEvalC-45Compile-n--8721-3586-u--project arg-1 arg-2 arg-3 arg-4 arg-5 arg-7 arg-8 arg-9 arg-11 arg-12 3 arg-14 e-2 eta-0)))) eff-1)))))) eff-1)))))))))
(define CoreC-45SchemeEvalC-45Compile-n--8722-3810-u--addPiMatch (lambda (arg-1 arg-2 arg-3 arg-4 arg-5 arg-7 arg-8 arg-9 arg-11 arg-12 arg-14 arg-15 arg-16) (if (null? arg-15) (lambda (eta-0) (vector 1 arg-16)) (let ((e-2 (car arg-15))) (let ((e-3 (cdr arg-15))) (case (vector-ref e-2 0) ((0) (let ((e-5 (vector-ref e-2 1))) (let ((e-7 (vector-ref e-2 3))) (let ((e-8 (vector-ref e-2 4))) (case (vector-ref e-5 0) ((1) (let ((e-9 (vector-ref e-5 1))) (case (vector-ref e-9 0) ((0) (let ((e-10 (vector-ref e-9 1))) (cond ((equal? e-10 "->") (if (null? e-7) (CoreC-45SchemeEvalC-45Compile-n--8722-3810-u--addPiMatch arg-1 arg-2 arg-3 arg-4 arg-5 arg-7 arg-8 arg-9 arg-11 arg-12 arg-14 e-3 arg-16) (let ((e-13 (cdr e-7))) (if (null? e-13) (CoreC-45SchemeEvalC-45Compile-n--8722-3810-u--addPiMatch arg-1 arg-2 arg-3 arg-4 arg-5 arg-7 arg-8 arg-9 arg-11 arg-12 arg-14 e-3 arg-16) (let ((e-16 (cdr e-13))) (if (null? e-16) (let ((eff-0 (CoreC-45SchemeEvalC-45Compile-getArgName arg-1))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-11 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45SchemeEvalC-45Compile-getArgName arg-1))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-14 (vector-ref lcase-1 1))) (let ((eff-2 (let ((u--svsC-39 (cons (vector 0 (CoreC-45SchemeEvalC-45Compile-schVarName e-11)) (cons (vector 0 (CoreC-45SchemeEvalC-45Compile-schVarName e-14)) arg-7)))) (let ((eff-2 (CoreC-45SchemeEvalC-45Compile-compileCase arg-1 arg-9 arg-8 u--svsC-39 e-8))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-17 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (vector 14 (vector 17 (vector 11 "ct-isPi") (cons (vector 11 arg-14) '())) (vector 13 (CoreC-45SchemeEvalC-45Compile-schVarName e-11) (vector 17 (vector 11 "vector-ref") (cons (vector 11 arg-14) (cons (vector 2 4) '()))) (vector 13 (CoreC-45SchemeEvalC-45Compile-schVarName e-14) (vector 17 (vector 11 "vector-ref") (cons (vector 11 arg-14) (cons (vector 2 1) '()))) e-17)) arg-16))))) eff-3)))))))))) eff-2))))))))) eff-1))))))) (CoreC-45SchemeEvalC-45Compile-n--8722-3810-u--addPiMatch arg-1 arg-2 arg-3 arg-4 arg-5 arg-7 arg-8 arg-9 arg-11 arg-12 arg-14 e-3 arg-16)))))))(else (CoreC-45SchemeEvalC-45Compile-n--8722-3810-u--addPiMatch arg-1 arg-2 arg-3 arg-4 arg-5 arg-7 arg-8 arg-9 arg-11 arg-12 arg-14 e-3 arg-16)))))(else (CoreC-45SchemeEvalC-45Compile-n--8722-3810-u--addPiMatch arg-1 arg-2 arg-3 arg-4 arg-5 arg-7 arg-8 arg-9 arg-11 arg-12 arg-14 e-3 arg-16)))))(else (CoreC-45SchemeEvalC-45Compile-n--8722-3810-u--addPiMatch arg-1 arg-2 arg-3 arg-4 arg-5 arg-7 arg-8 arg-9 arg-11 arg-12 arg-14 e-3 arg-16)))))))(else (CoreC-45SchemeEvalC-45Compile-n--8722-3810-u--addPiMatch arg-1 arg-2 arg-3 arg-4 arg-5 arg-7 arg-8 arg-9 arg-11 arg-12 arg-14 e-3 arg-16))))))))
(define CoreC-45SchemeEvalC-45Compile-u--show_Show_SVar (lambda (arg-0) (case (vector-ref arg-0 0) ((0) (let ((e-0 (vector-ref arg-0 1))) e-0)) (else (let ((e-1 (vector-ref arg-0 1))) (string-append "'" e-1))))))
(define CoreC-45SchemeEvalC-45Compile-varObjs (lambda (arg-1) (if (null? arg-1) '() (let ((e-2 (car arg-1))) (let ((e-3 (cdr arg-1))) (cons (vector 11 (CoreC-45SchemeEvalC-45Compile-u--show_Show_SVar e-2)) (CoreC-45SchemeEvalC-45Compile-varObjs e-3)))))))
(define CoreC-45SchemeEvalC-45Compile-unload (lambda (arg-0 arg-1) (if (null? arg-1) arg-0 (let ((e-2 (car arg-1))) (let ((e-3 (cdr arg-1))) (CoreC-45SchemeEvalC-45Compile-unload (vector 17 (vector 11 "ct-app") (cons arg-0 (cons e-2 '()))) e-3))))))
(define CoreC-45SchemeEvalC-45Compile-schVarUN (lambda (arg-0) (case (vector-ref arg-0 0) ((0) (let ((e-0 (vector-ref arg-0 1))) (CoreC-45SchemeEvalC-45Compile-schString e-0))) ((1) (let ((e-1 (vector-ref arg-0 1))) (string-append "rf--" (CoreC-45SchemeEvalC-45Compile-schString e-1)))) (else "_US_"))))
(define CoreC-45SchemeEvalC-45Compile-schVarName (lambda (arg-0) (case (vector-ref arg-0 0) ((0) (let ((e-0 (vector-ref arg-0 1))) (let ((e-1 (vector-ref arg-0 2))) (case (vector-ref e-1 0) ((1) (let ((e-16 (vector-ref e-1 1))) (string-append (CoreC-45SchemeEvalC-45Compile-schString (CoreC-45NameC-45Namespace-showNSWithSep "-" e-0)) (string-append "-" (CoreC-45SchemeEvalC-45Compile-schVarUN e-16)))))(else (string-append (CoreC-45SchemeEvalC-45Compile-schString (CoreC-45NameC-45Namespace-showNSWithSep "-" e-0)) (string-append "-" (CoreC-45SchemeEvalC-45Compile-schVarName e-1)))))))) ((1) (let ((e-2 (vector-ref arg-0 1))) (string-append "u--" (CoreC-45SchemeEvalC-45Compile-schVarUN e-2)))) ((2) (let ((e-3 (vector-ref arg-0 1))) (let ((e-4 (vector-ref arg-0 2))) (string-append (CoreC-45SchemeEvalC-45Compile-schString e-3) (string-append "-" (PreludeC-45Show-u--show_Show_Int e-4)))))) ((3) (let ((e-5 (vector-ref arg-0 1))) (string-append "pat--" (CoreC-45SchemeEvalC-45Compile-schVarName e-5)))) ((4) (let ((e-8 (vector-ref arg-0 2))) (CoreC-45SchemeEvalC-45Compile-schVarName e-8))) ((5) (let ((e-9 (vector-ref arg-0 1))) (let ((e-10 (vector-ref arg-0 2))) (let ((e-19 (car e-9))) (let ((e-20 (cdr e-9))) (string-append "n--" (string-append (PreludeC-45Show-u--show_Show_Int e-19) (string-append "-" (string-append (PreludeC-45Show-u--show_Show_Int e-20) (string-append "-" (CoreC-45SchemeEvalC-45Compile-schVarName e-10))))))))))) ((6) (let ((e-11 (vector-ref arg-0 1))) (let ((e-12 (vector-ref arg-0 2))) (string-append "case--" (string-append (CoreC-45SchemeEvalC-45Compile-schString e-11) (string-append "-" (PreludeC-45Show-u--show_Show_Int e-12))))))) ((7) (let ((e-13 (vector-ref arg-0 1))) (let ((e-14 (vector-ref arg-0 2))) (string-append "with--" (string-append (CoreC-45SchemeEvalC-45Compile-schString e-13) (string-append "-" (PreludeC-45Show-u--show_Show_Int e-14))))))) (else (let ((e-15 (vector-ref arg-0 1))) (string-append "fn--" (PreludeC-45Show-u--show_Show_Int e-15)))))))
(define CoreC-45SchemeEvalC-45Compile-schString (lambda (arg-0) (PreludeC-45Interfaces-concatMap (csegen-85) (csegen-16) (lambda (eta-0) (CoreC-45SchemeEvalC-45Compile-n--6561-886-u--okchar arg-0 eta-0)) (PreludeC-45Types-fastUnpack arg-0))))
(define CoreC-45SchemeEvalC-45Compile-schName (lambda (arg-0) (string-append "ct-" (CoreC-45SchemeEvalC-45Compile-schVarName arg-0))))
(define CoreC-45SchemeEvalC-45Compile-nextName (lambda (arg-0) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (set-box! eff-2 (+ e-5 1)))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (lambda (eta-0) (vector 1 e-5)))) eff-2)))))))) eff-1)))))))))
(define CoreC-45SchemeEvalC-45Compile-mkArgs (lambda (arg-0) (if (null? arg-0) (lambda (eta-0) (vector 1 '())) (let ((e-2 (car arg-0))) (let ((e-3 (cdr arg-0))) (let ((eff-0 (CoreC-45SchemeEvalC-45Compile-mkArgs e-3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (cons (vector 0 (CoreC-45SchemeEvalC-45Compile-schVarName e-2)) e-5))))) eff-1))))))))))))
(define CoreC-45SchemeEvalC-45Compile-initialiseSchemeEval (lambda (arg-0) (CoreC-45SchemeEvalC-45Compile-initEvalWith arg-0 (SystemC-45Info-codegen))))
(define CoreC-45SchemeEvalC-45Compile-initEvalWith (lambda (arg-0 arg-1) (cond ((equal? arg-1 "chez") (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((sc2 (let ((e-30 (vector-ref e-5 30))) e-30))) (cond ((equal? sc2 1) (lambda (eta-0) (vector 1 1))) (else (CoreC-45Core-u--catch_Catchable_Core_Error (let ((eff-1 (CoreC-45Directory-readDataFile arg-0 "chez/ct-support.ss"))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (PrimIO-io_bind (LibrariesC-45UtilsC-45Scheme-evalSchemeStr (string-append "(begin " (string-append e-6 ")"))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (if (null? e-7) (lambda (eta-0) (vector 1 0)) (let ((eff-3 (let ((eff-3 arg-0)) (PrimIO-io_bind (let ((eff-4 eff-3)) (lambda (eta-0) (set-box! eff-4 (let ((e-0 (vector-ref e-5 0))) (let ((e-35 (vector-ref e-5 1))) (let ((e-2 (vector-ref e-5 2))) (let ((e-3 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-34 (vector-ref e-5 5))) (let ((e-33 (vector-ref e-5 6))) (let ((e-32 (vector-ref e-5 7))) (let ((e-8 (vector-ref e-5 8))) (let ((e-9 (vector-ref e-5 9))) (let ((e-10 (vector-ref e-5 10))) (let ((e-11 (vector-ref e-5 11))) (let ((e-12 (vector-ref e-5 12))) (let ((e-13 (vector-ref e-5 13))) (let ((e-14 (vector-ref e-5 14))) (let ((e-15 (vector-ref e-5 15))) (let ((e-16 (vector-ref e-5 16))) (let ((e-17 (vector-ref e-5 17))) (let ((e-18 (vector-ref e-5 18))) (let ((e-19 (vector-ref e-5 19))) (let ((e-20 (vector-ref e-5 20))) (let ((e-21 (vector-ref e-5 21))) (let ((e-22 (vector-ref e-5 22))) (let ((e-23 (vector-ref e-5 23))) (let ((e-24 (vector-ref e-5 24))) (let ((e-25 (vector-ref e-5 25))) (let ((e-26 (vector-ref e-5 26))) (let ((e-27 (vector-ref e-5 27))) (let ((e-28 (vector-ref e-5 28))) (let ((e-29 (vector-ref e-5 29))) (let ((e-31 (vector-ref e-5 31))) (vector e-0 e-35 e-2 e-3 e-4 e-34 e-33 e-32 e-8 e-9 e-10 e-11 e-12 e-13 e-14 e-15 e-16 e-17 e-18 e-19 e-20 e-21 e-22 e-23 e-24 e-25 e-26 e-27 e-28 e-29 1 e-31))))))))))))))))))))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-3 (csegen-2355)))))) eff-3))))))))) eff-2))))))) (lambda (u--err) (lambda (eta-0) (vector 1 0))))))))) eff-1)))))))) ((equal? arg-1 "racket") (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((sc2 (let ((e-30 (vector-ref e-5 30))) e-30))) (cond ((equal? sc2 1) (lambda (eta-0) (vector 1 1))) (else (CoreC-45Core-u--catch_Catchable_Core_Error (let ((eff-1 (CoreC-45Directory-readDataFile arg-0 "racket/ct-support.rkt"))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (PrimIO-io_bind (LibrariesC-45UtilsC-45Scheme-evalSchemeStr (string-append "(begin " (string-append e-6 ")"))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (if (null? e-7) (lambda (eta-0) (vector 1 0)) (let ((eff-3 (let ((eff-3 arg-0)) (PrimIO-io_bind (let ((eff-4 eff-3)) (lambda (eta-0) (set-box! eff-4 (let ((e-0 (vector-ref e-5 0))) (let ((e-35 (vector-ref e-5 1))) (let ((e-2 (vector-ref e-5 2))) (let ((e-3 (vector-ref e-5 3))) (let ((e-4 (vector-ref e-5 4))) (let ((e-34 (vector-ref e-5 5))) (let ((e-33 (vector-ref e-5 6))) (let ((e-32 (vector-ref e-5 7))) (let ((e-8 (vector-ref e-5 8))) (let ((e-9 (vector-ref e-5 9))) (let ((e-10 (vector-ref e-5 10))) (let ((e-11 (vector-ref e-5 11))) (let ((e-12 (vector-ref e-5 12))) (let ((e-13 (vector-ref e-5 13))) (let ((e-14 (vector-ref e-5 14))) (let ((e-15 (vector-ref e-5 15))) (let ((e-16 (vector-ref e-5 16))) (let ((e-17 (vector-ref e-5 17))) (let ((e-18 (vector-ref e-5 18))) (let ((e-19 (vector-ref e-5 19))) (let ((e-20 (vector-ref e-5 20))) (let ((e-21 (vector-ref e-5 21))) (let ((e-22 (vector-ref e-5 22))) (let ((e-23 (vector-ref e-5 23))) (let ((e-24 (vector-ref e-5 24))) (let ((e-25 (vector-ref e-5 25))) (let ((e-26 (vector-ref e-5 26))) (let ((e-27 (vector-ref e-5 27))) (let ((e-28 (vector-ref e-5 28))) (let ((e-29 (vector-ref e-5 29))) (let ((e-31 (vector-ref e-5 31))) (vector e-0 e-35 e-2 e-3 e-4 e-34 e-33 e-32 e-8 e-9 e-10 e-11 e-12 e-13 e-14 e-15 e-16 e-17 e-18 e-19 e-20 e-21 e-22 e-23 e-24 e-25 e-26 e-27 e-28 e-29 1 e-31))))))))))))))))))))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-3 (csegen-2355)))))) eff-3))))))))) eff-2))))))) (lambda (u--err) (let ((eff-1 (PrimIO-io_bind (PreludeC-45IO-printLn (csegen-2412) u--err) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-1 (csegen-2436)))))))))) eff-1))))))))(else (lambda (eta-0) (vector 1 0))))))
(define CoreC-45SchemeEvalC-45Compile-getSchVar (lambda (arg-2 arg-4) (cond ((equal? arg-2 0) (let ((e-3 (car arg-4))) (case (vector-ref e-3 0) ((0) (let ((e-5 (vector-ref e-3 1))) e-5)) (else (let ((e-6 (vector-ref e-3 1))) (string-append "'" e-6))))))(else (let ((e-0 (- arg-2 1))) (let ((e-10 (cdr arg-4))) (CoreC-45SchemeEvalC-45Compile-getSchVar e-0 e-10)))))))
(define CoreC-45SchemeEvalC-45Compile-getName (lambda (arg-0) (case (vector-ref arg-0 0) ((0) (let ((e-0 (vector-ref arg-0 1))) e-0)) (else (let ((e-1 (vector-ref arg-0 1))) e-1)))))
(define CoreC-45SchemeEvalC-45Compile-getArgName (lambda (arg-0) (let ((eff-0 (CoreC-45SchemeEvalC-45Compile-nextName arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 2 "carg" (blodwen-toSignedInt e-5 63)))))) eff-1)))))))))
(define CoreC-45SchemeEvalC-45Compile-extend (lambda (arg-1 arg-2 arg-3) (if (null? arg-2) (lambda (eta-0) (vector 1 (cons '() arg-3))) (let ((e-3 (cdr arg-2))) (let ((eff-0 (CoreC-45SchemeEvalC-45Compile-getArgName arg-1))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45SchemeEvalC-45Compile-extend arg-1 e-3 arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (clam-0) (let ((e-7 (car e-6))) (let ((e-4 (cdr e-6))) (vector 1 (cons (cons e-5 e-7) (cons (vector 0 (CoreC-45SchemeEvalC-45Compile-schVarName e-5)) e-4)))))))) eff-2))))))))) eff-1)))))))))))
(define CoreC-45SchemeEvalC-45Compile-compileWhyErased (lambda (arg-1 arg-2 arg-3 arg-4 arg-5) (case (vector-ref arg-5 0) ((1) (lambda (eta-0) (vector 1 (vector 1 )))) ((0) (lambda (eta-0) (vector 1 (vector 0 )))) (else (let ((e-3 (vector-ref arg-5 1))) (let ((eff-0 (CoreC-45SchemeEvalC-45Compile-compileStk arg-1 arg-2 arg-3 arg-4 e-3))) (PrimIO-io_bind eff-0 (csegen-6628))))))))
(define CoreC-45SchemeEvalC-45Compile-compileStk (lambda (arg-1 arg-2 arg-3 arg-4 arg-5) (case (vector-ref arg-5 0) ((0) (let ((e-59 (vector-ref arg-5 3))) (lambda (eta-0) (vector 1 (CoreC-45SchemeEvalC-45Compile-unload (vector 11 (CoreC-45SchemeEvalC-45Compile-getSchVar e-59 arg-3)) arg-4))))) ((1) (let ((e-62 (vector-ref arg-5 1))) (let ((e-63 (vector-ref arg-5 2))) (let ((e-64 (vector-ref arg-5 3))) (case (vector-ref e-63 0) ((0) (lambda (eta-0) (vector 1 (CoreC-45SchemeEvalC-45Compile-unload (vector 6 (CoreC-45Name-u--show_Show_Name e-64)) arg-4)))) ((2) (let ((e-75 (vector-ref e-63 1))) (let ((e-76 (vector-ref e-63 2))) (let ((sc2 (or (and (= (PreludeC-45TypesC-45List-lengthTR arg-4) e-76) 1) 0))) (cond ((equal? sc2 1) (let ((eff-0 (CoreC-45Context-toResolvedNames arg-2 (csegen-81) e-64))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 8 e-75 (cons (CoreC-45SchemeEvalC-45ToScheme-u--toScheme_Scheme_Name e-5) (cons (CoreC-45SchemeEvalC-45ToScheme-u--toScheme_Scheme_FC e-62) arg-4))))))) eff-1)))))))) (else (lambda (eta-0) (vector 1 (CoreC-45SchemeEvalC-45Compile-unload (vector 17 (vector 11 (CoreC-45SchemeEvalC-45Compile-schName e-64)) '()) arg-4))))))))) ((3) (let ((e-77 (vector-ref e-63 1))) (let ((e-78 (vector-ref e-63 2))) (let ((sc2 (or (and (= (PreludeC-45TypesC-45List-lengthTR arg-4) e-78) 1) 0))) (cond ((equal? sc2 1) (let ((eff-0 (CoreC-45Context-toResolvedNames arg-2 (csegen-81) e-64))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 8 -1 (cons (vector 2 e-77) (cons (vector 4 (CoreC-45Name-u--show_Show_Name e-64)) (cons (CoreC-45SchemeEvalC-45ToScheme-u--toScheme_Scheme_Name e-5) (cons (CoreC-45SchemeEvalC-45ToScheme-u--toScheme_Scheme_FC e-62) arg-4))))))))) eff-1)))))))) (else (lambda (eta-0) (vector 1 (CoreC-45SchemeEvalC-45Compile-unload (vector 17 (vector 11 (CoreC-45SchemeEvalC-45Compile-schName e-64)) '()) arg-4)))))))))(else (lambda (eta-0) (vector 1 (CoreC-45SchemeEvalC-45Compile-unload (vector 17 (vector 11 (CoreC-45SchemeEvalC-45Compile-schName e-64)) '()) arg-4))))))))) ((2) (let ((e-67 (vector-ref arg-5 2))) (let ((e-69 (vector-ref arg-5 4))) (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (CoreC-45SchemeEvalC-45Compile-compileStk arg-1 arg-2 arg-3 arg-4 eta-0)) e-69 '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (CoreC-45SchemeEvalC-45Compile-unload (vector 17 (vector 11 (CoreC-45SchemeEvalC-45Compile-schName e-67)) '()) (cons (vector 2 (PreludeC-45TypesC-45List-lengthTR e-69)) (PreludeC-45TypesC-45List-tailRecAppend arg-4 e-5))))))) eff-1)))))))))) ((3) (let ((e-72 (vector-ref arg-5 2))) (let ((e-73 (vector-ref arg-5 3))) (let ((e-74 (vector-ref arg-5 4))) (case (vector-ref e-73 0) ((1) (let ((e-82 (vector-ref e-73 3))) (let ((eff-0 (CoreC-45SchemeEvalC-45Compile-nextName arg-1))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--xC-39 (string-append (CoreC-45SchemeEvalC-45Compile-schVarName e-72) (string-append "-" (PreludeC-45Show-u--show_Show_Integer e-5))))) (let ((eff-1 (CoreC-45SchemeEvalC-45Compile-compileStk arg-1 arg-2 arg-3 '() e-82))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45SchemeEvalC-45Compile-compileStk arg-1 arg-2 (cons (vector 0 u--xC-39) arg-3) '() e-74))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (CoreC-45SchemeEvalC-45Compile-unload (vector 13 u--xC-39 e-6 e-7) arg-4))))) eff-3))))))))) eff-2)))))))))) eff-1))))))))) ((2) (let ((e-86 (vector-ref e-73 2))) (let ((e-87 (vector-ref e-73 3))) (let ((e-88 (vector-ref e-73 4))) (let ((eff-0 (CoreC-45SchemeEvalC-45Compile-nextName arg-1))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--xC-39 (string-append (CoreC-45SchemeEvalC-45Compile-schVarName e-72) (string-append "-" (PreludeC-45Show-u--show_Show_Integer e-5))))) (let ((eff-1 (CoreC-45SchemeEvalC-45Compile-compileStk arg-1 arg-2 arg-3 '() e-88))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45SchemeEvalC-45Compile-compileStk arg-1 arg-2 (cons (vector 0 u--xC-39) arg-3) '() e-74))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45SchemeEvalC-45Compile-compilePiInfo arg-1 arg-2 arg-3 e-87))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 8 -3 (cons (vector 12 (cons u--xC-39 '()) e-7) (cons (CoreC-45SchemeEvalC-45ToScheme-u--toScheme_Scheme_RigCount e-86) (cons (CoreC-45SchemeEvalC-45ToScheme-toSchemePi e-8) (cons e-6 (cons (CoreC-45SchemeEvalC-45ToScheme-u--toScheme_Scheme_Name e-72) '())))))))))) eff-4))))))))) eff-3))))))))) eff-2)))))))))) eff-1))))))))))) ((3) (let ((e-91 (vector-ref e-73 2))) (let ((e-92 (vector-ref e-73 3))) (let ((e-93 (vector-ref e-73 4))) (let ((eff-0 (CoreC-45SchemeEvalC-45Compile-nextName arg-1))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--xC-39 (string-append (CoreC-45SchemeEvalC-45Compile-schVarName e-72) (string-append "-" (PreludeC-45Show-u--show_Show_Integer e-5))))) (let ((eff-1 (CoreC-45SchemeEvalC-45Compile-compileStk arg-1 arg-2 arg-3 '() e-93))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45SchemeEvalC-45Compile-compileStk arg-1 arg-2 (cons (vector 0 u--xC-39) arg-3) '() e-74))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45SchemeEvalC-45Compile-compilePiInfo arg-1 arg-2 arg-3 e-92))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 8 -12 (cons (vector 12 (cons u--xC-39 '()) e-7) (cons (CoreC-45SchemeEvalC-45ToScheme-u--toScheme_Scheme_RigCount e-91) (cons (CoreC-45SchemeEvalC-45ToScheme-toSchemePi e-8) (cons e-6 (cons (CoreC-45SchemeEvalC-45ToScheme-u--toScheme_Scheme_Name e-72) '())))))))))) eff-4))))))))) eff-3))))))))) eff-2)))))))))) eff-1))))))))))) ((5) (let ((e-96 (vector-ref e-73 2))) (let ((e-97 (vector-ref e-73 3))) (let ((eff-0 (CoreC-45SchemeEvalC-45Compile-nextName arg-1))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--xC-39 (string-append (CoreC-45SchemeEvalC-45Compile-schVarName e-72) (string-append "-" (PreludeC-45Show-u--show_Show_Integer e-5))))) (let ((eff-1 (CoreC-45SchemeEvalC-45Compile-compileStk arg-1 arg-2 arg-3 '() e-97))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45SchemeEvalC-45Compile-compileStk arg-1 arg-2 (cons (vector 0 u--xC-39) arg-3) '() e-74))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (vector 8 -13 (cons (vector 12 (cons u--xC-39 '()) e-7) (cons (CoreC-45SchemeEvalC-45ToScheme-u--toScheme_Scheme_RigCount e-96) (cons e-6 (cons (CoreC-45SchemeEvalC-45ToScheme-u--toScheme_Scheme_Name e-72) '()))))))))) eff-3))))))))) eff-2)))))))))) eff-1)))))))))) ((4) (let ((e-100 (vector-ref e-73 2))) (let ((e-101 (vector-ref e-73 3))) (let ((e-102 (vector-ref e-73 4))) (let ((eff-0 (CoreC-45SchemeEvalC-45Compile-nextName arg-1))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--xC-39 (string-append (CoreC-45SchemeEvalC-45Compile-schVarName e-72) (string-append "-" (PreludeC-45Show-u--show_Show_Integer e-5))))) (let ((eff-1 (CoreC-45SchemeEvalC-45Compile-compileStk arg-1 arg-2 arg-3 '() e-101))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45SchemeEvalC-45Compile-compileStk arg-1 arg-2 arg-3 '() e-102))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45SchemeEvalC-45Compile-compileStk arg-1 arg-2 (cons (vector 0 u--xC-39) arg-3) '() e-74))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 8 -14 (cons (vector 12 (cons u--xC-39 '()) e-8) (cons (CoreC-45SchemeEvalC-45ToScheme-u--toScheme_Scheme_RigCount e-100) (cons e-6 (cons e-7 (cons (CoreC-45SchemeEvalC-45ToScheme-u--toScheme_Scheme_Name e-72) '())))))))))) eff-4))))))))) eff-3))))))))) eff-2)))))))))) eff-1)))))))))))(else (if (null? arg-4) (case (vector-ref arg-5 0) ((3) (let ((e-37 (vector-ref arg-5 2))) (let ((e-38 (vector-ref arg-5 3))) (let ((e-39 (vector-ref arg-5 4))) (case (vector-ref e-38 0) ((0) (let ((e-42 (vector-ref e-38 2))) (let ((e-43 (vector-ref e-38 3))) (let ((e-44 (vector-ref e-38 4))) (let ((eff-0 (CoreC-45SchemeEvalC-45Compile-nextName arg-1))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--xC-39 (string-append (CoreC-45SchemeEvalC-45Compile-schVarName e-37) (string-append "-" (PreludeC-45Show-u--show_Show_Integer e-5))))) (let ((eff-1 (CoreC-45SchemeEvalC-45Compile-compileStk arg-1 arg-2 arg-3 '() e-44))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45SchemeEvalC-45Compile-compileStk arg-1 arg-2 (cons (vector 0 u--xC-39) arg-3) '() e-39))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45SchemeEvalC-45Compile-compilePiInfo arg-1 arg-2 arg-3 e-43))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 8 -8 (cons (vector 12 (cons u--xC-39 '()) e-7) (cons (CoreC-45SchemeEvalC-45ToScheme-u--toScheme_Scheme_RigCount e-42) (cons (CoreC-45SchemeEvalC-45ToScheme-toSchemePi e-8) (cons e-6 (cons (CoreC-45SchemeEvalC-45ToScheme-u--toScheme_Scheme_Name e-37) '())))))))))) eff-4))))))))) eff-3))))))))) eff-2)))))))))) eff-1)))))))))))(else (case (vector-ref arg-5 0) ((4) (let ((e-2 (vector-ref arg-5 2))) (let ((e-3 (vector-ref arg-5 3))) (let ((eff-0 (CoreC-45SchemeEvalC-45Compile-compileStk arg-1 arg-2 arg-3 '() e-3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45SchemeEvalC-45Compile-compileStk arg-1 arg-2 arg-3 (cons e-5 arg-4) e-2))) eff-1)))))))))) ((5) (let ((e-8 (vector-ref arg-5 4))) (CoreC-45SchemeEvalC-45Compile-compileStk arg-1 arg-2 arg-3 arg-4 e-8))) ((6) (let ((e-11 (vector-ref arg-5 2))) (let ((e-12 (vector-ref arg-5 3))) (let ((eff-0 (CoreC-45SchemeEvalC-45Compile-compileStk arg-1 arg-2 arg-3 arg-4 e-12))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 8 -15 (cons (CoreC-45SchemeEvalC-45ToScheme-u--toScheme_Scheme_LazyReason e-11) (cons e-5 '()))))))) eff-1)))))))))) ((7) (let ((e-14 (vector-ref arg-5 1))) (let ((e-15 (vector-ref arg-5 2))) (let ((e-16 (vector-ref arg-5 3))) (let ((e-17 (vector-ref arg-5 4))) (let ((eff-0 (CoreC-45SchemeEvalC-45Compile-compileStk arg-1 arg-2 arg-3 '() e-16))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45SchemeEvalC-45Compile-compileStk arg-1 arg-2 arg-3 '() e-17))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 8 -4 (cons (CoreC-45SchemeEvalC-45ToScheme-u--toScheme_Scheme_LazyReason e-15) (cons (CoreC-45SchemeEvalC-45ToScheme-u--toScheme_Scheme_FC e-14) (cons (vector 12 '() e-5) (cons (vector 12 '() e-6) '()))))))))) eff-2))))))))) eff-1)))))))))))) ((8) (let ((e-19 (vector-ref arg-5 1))) (let ((e-20 (vector-ref arg-5 2))) (let ((e-21 (vector-ref arg-5 3))) (let ((eff-0 (CoreC-45SchemeEvalC-45Compile-compileStk arg-1 arg-2 arg-3 '() e-21))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 17 (vector 11 "ct-doForce") (cons e-5 (cons (vector 8 -5 (cons (CoreC-45SchemeEvalC-45ToScheme-u--toScheme_Scheme_LazyReason e-20) (cons (CoreC-45SchemeEvalC-45ToScheme-u--toScheme_Scheme_FC e-19) (cons (vector 12 '() e-5) '())))) '()))))))) eff-1))))))))))) ((9) (let ((e-23 (vector-ref arg-5 1))) (let ((e-24 (vector-ref arg-5 2))) (lambda (eta-0) (vector 1 (CoreC-45SchemeEvalC-45Compile-compileConstant e-23 e-24)))))) ((10) (let ((e-26 (vector-ref arg-5 1))) (let ((e-27 (vector-ref arg-5 2))) (let ((eff-0 (CoreC-45SchemeEvalC-45Compile-compileWhyErased arg-1 arg-2 arg-3 arg-4 e-27))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 8 -6 (cons (CoreC-45SchemeEvalC-45ToScheme-u--toScheme_Scheme_FC e-26) (cons (CoreC-45SchemeEvalC-45ToScheme-toSchemeWhy e-5) '()))))))) eff-1)))))))))) (else (let ((e-29 (vector-ref arg-5 1))) (let ((e-30 (vector-ref arg-5 2))) (lambda (eta-0) (vector 1 (vector 8 -7 (cons (CoreC-45SchemeEvalC-45ToScheme-u--toScheme_Scheme_FC e-29) (cons (CoreC-45SchemeEvalC-45ToScheme-u--toScheme_Scheme_Name e-30) '())))))))))))))))(else (case (vector-ref arg-5 0) ((4) (let ((e-2 (vector-ref arg-5 2))) (let ((e-3 (vector-ref arg-5 3))) (let ((eff-0 (CoreC-45SchemeEvalC-45Compile-compileStk arg-1 arg-2 arg-3 '() e-3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45SchemeEvalC-45Compile-compileStk arg-1 arg-2 arg-3 (cons e-5 arg-4) e-2))) eff-1)))))))))) ((5) (let ((e-8 (vector-ref arg-5 4))) (CoreC-45SchemeEvalC-45Compile-compileStk arg-1 arg-2 arg-3 arg-4 e-8))) ((6) (let ((e-11 (vector-ref arg-5 2))) (let ((e-12 (vector-ref arg-5 3))) (let ((eff-0 (CoreC-45SchemeEvalC-45Compile-compileStk arg-1 arg-2 arg-3 arg-4 e-12))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 8 -15 (cons (CoreC-45SchemeEvalC-45ToScheme-u--toScheme_Scheme_LazyReason e-11) (cons e-5 '()))))))) eff-1)))))))))) ((7) (let ((e-14 (vector-ref arg-5 1))) (let ((e-15 (vector-ref arg-5 2))) (let ((e-16 (vector-ref arg-5 3))) (let ((e-17 (vector-ref arg-5 4))) (let ((eff-0 (CoreC-45SchemeEvalC-45Compile-compileStk arg-1 arg-2 arg-3 '() e-16))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45SchemeEvalC-45Compile-compileStk arg-1 arg-2 arg-3 '() e-17))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 8 -4 (cons (CoreC-45SchemeEvalC-45ToScheme-u--toScheme_Scheme_LazyReason e-15) (cons (CoreC-45SchemeEvalC-45ToScheme-u--toScheme_Scheme_FC e-14) (cons (vector 12 '() e-5) (cons (vector 12 '() e-6) '()))))))))) eff-2))))))))) eff-1)))))))))))) ((8) (let ((e-19 (vector-ref arg-5 1))) (let ((e-20 (vector-ref arg-5 2))) (let ((e-21 (vector-ref arg-5 3))) (let ((eff-0 (CoreC-45SchemeEvalC-45Compile-compileStk arg-1 arg-2 arg-3 '() e-21))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 17 (vector 11 "ct-doForce") (cons e-5 (cons (vector 8 -5 (cons (CoreC-45SchemeEvalC-45ToScheme-u--toScheme_Scheme_LazyReason e-20) (cons (CoreC-45SchemeEvalC-45ToScheme-u--toScheme_Scheme_FC e-19) (cons (vector 12 '() e-5) '())))) '()))))))) eff-1))))))))))) ((9) (let ((e-23 (vector-ref arg-5 1))) (let ((e-24 (vector-ref arg-5 2))) (lambda (eta-0) (vector 1 (CoreC-45SchemeEvalC-45Compile-compileConstant e-23 e-24)))))) ((10) (let ((e-26 (vector-ref arg-5 1))) (let ((e-27 (vector-ref arg-5 2))) (let ((eff-0 (CoreC-45SchemeEvalC-45Compile-compileWhyErased arg-1 arg-2 arg-3 arg-4 e-27))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 8 -6 (cons (CoreC-45SchemeEvalC-45ToScheme-u--toScheme_Scheme_FC e-26) (cons (CoreC-45SchemeEvalC-45ToScheme-toSchemeWhy e-5) '()))))))) eff-1)))))))))) (else (let ((e-29 (vector-ref arg-5 1))) (let ((e-30 (vector-ref arg-5 2))) (lambda (eta-0) (vector 1 (vector 8 -7 (cons (CoreC-45SchemeEvalC-45ToScheme-u--toScheme_Scheme_FC e-29) (cons (CoreC-45SchemeEvalC-45ToScheme-u--toScheme_Scheme_Name e-30) '()))))))))))) (let ((e-33 (car arg-4))) (let ((e-34 (cdr arg-4))) (case (vector-ref arg-5 0) ((3) (let ((e-47 (vector-ref arg-5 2))) (let ((e-48 (vector-ref arg-5 3))) (let ((e-49 (vector-ref arg-5 4))) (case (vector-ref e-48 0) ((0) (let ((eff-0 (CoreC-45SchemeEvalC-45Compile-nextName arg-1))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--xC-39 (string-append (CoreC-45SchemeEvalC-45Compile-schVarName e-47) (string-append "-" (PreludeC-45Show-u--show_Show_Integer e-5))))) (let ((eff-1 (CoreC-45SchemeEvalC-45Compile-compileStk arg-1 arg-2 (cons (vector 0 u--xC-39) arg-3) e-34 e-49))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 17 (vector 12 (cons u--xC-39 '()) e-6) (cons e-33 '())))))) eff-2)))))))))) eff-1))))))))(else (case (vector-ref arg-5 0) ((4) (let ((e-2 (vector-ref arg-5 2))) (let ((e-3 (vector-ref arg-5 3))) (let ((eff-0 (CoreC-45SchemeEvalC-45Compile-compileStk arg-1 arg-2 arg-3 '() e-3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45SchemeEvalC-45Compile-compileStk arg-1 arg-2 arg-3 (cons e-5 arg-4) e-2))) eff-1)))))))))) ((5) (let ((e-8 (vector-ref arg-5 4))) (CoreC-45SchemeEvalC-45Compile-compileStk arg-1 arg-2 arg-3 arg-4 e-8))) ((6) (let ((e-11 (vector-ref arg-5 2))) (let ((e-12 (vector-ref arg-5 3))) (let ((eff-0 (CoreC-45SchemeEvalC-45Compile-compileStk arg-1 arg-2 arg-3 arg-4 e-12))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 8 -15 (cons (CoreC-45SchemeEvalC-45ToScheme-u--toScheme_Scheme_LazyReason e-11) (cons e-5 '()))))))) eff-1)))))))))) ((7) (let ((e-14 (vector-ref arg-5 1))) (let ((e-15 (vector-ref arg-5 2))) (let ((e-16 (vector-ref arg-5 3))) (let ((e-17 (vector-ref arg-5 4))) (let ((eff-0 (CoreC-45SchemeEvalC-45Compile-compileStk arg-1 arg-2 arg-3 '() e-16))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45SchemeEvalC-45Compile-compileStk arg-1 arg-2 arg-3 '() e-17))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 8 -4 (cons (CoreC-45SchemeEvalC-45ToScheme-u--toScheme_Scheme_LazyReason e-15) (cons (CoreC-45SchemeEvalC-45ToScheme-u--toScheme_Scheme_FC e-14) (cons (vector 12 '() e-5) (cons (vector 12 '() e-6) '()))))))))) eff-2))))))))) eff-1)))))))))))) ((8) (let ((e-19 (vector-ref arg-5 1))) (let ((e-20 (vector-ref arg-5 2))) (let ((e-21 (vector-ref arg-5 3))) (let ((eff-0 (CoreC-45SchemeEvalC-45Compile-compileStk arg-1 arg-2 arg-3 '() e-21))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 17 (vector 11 "ct-doForce") (cons e-5 (cons (vector 8 -5 (cons (CoreC-45SchemeEvalC-45ToScheme-u--toScheme_Scheme_LazyReason e-20) (cons (CoreC-45SchemeEvalC-45ToScheme-u--toScheme_Scheme_FC e-19) (cons (vector 12 '() e-5) '())))) '()))))))) eff-1))))))))))) ((9) (let ((e-23 (vector-ref arg-5 1))) (let ((e-24 (vector-ref arg-5 2))) (lambda (eta-0) (vector 1 (CoreC-45SchemeEvalC-45Compile-compileConstant e-23 e-24)))))) ((10) (let ((e-26 (vector-ref arg-5 1))) (let ((e-27 (vector-ref arg-5 2))) (let ((eff-0 (CoreC-45SchemeEvalC-45Compile-compileWhyErased arg-1 arg-2 arg-3 arg-4 e-27))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 8 -6 (cons (CoreC-45SchemeEvalC-45ToScheme-u--toScheme_Scheme_FC e-26) (cons (CoreC-45SchemeEvalC-45ToScheme-toSchemeWhy e-5) '()))))))) eff-1)))))))))) (else (let ((e-29 (vector-ref arg-5 1))) (let ((e-30 (vector-ref arg-5 2))) (lambda (eta-0) (vector 1 (vector 8 -7 (cons (CoreC-45SchemeEvalC-45ToScheme-u--toScheme_Scheme_FC e-29) (cons (CoreC-45SchemeEvalC-45ToScheme-u--toScheme_Scheme_Name e-30) '())))))))))))))))(else (case (vector-ref arg-5 0) ((4) (let ((e-2 (vector-ref arg-5 2))) (let ((e-3 (vector-ref arg-5 3))) (let ((eff-0 (CoreC-45SchemeEvalC-45Compile-compileStk arg-1 arg-2 arg-3 '() e-3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45SchemeEvalC-45Compile-compileStk arg-1 arg-2 arg-3 (cons e-5 arg-4) e-2))) eff-1)))))))))) ((5) (let ((e-8 (vector-ref arg-5 4))) (CoreC-45SchemeEvalC-45Compile-compileStk arg-1 arg-2 arg-3 arg-4 e-8))) ((6) (let ((e-11 (vector-ref arg-5 2))) (let ((e-12 (vector-ref arg-5 3))) (let ((eff-0 (CoreC-45SchemeEvalC-45Compile-compileStk arg-1 arg-2 arg-3 arg-4 e-12))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 8 -15 (cons (CoreC-45SchemeEvalC-45ToScheme-u--toScheme_Scheme_LazyReason e-11) (cons e-5 '()))))))) eff-1)))))))))) ((7) (let ((e-14 (vector-ref arg-5 1))) (let ((e-15 (vector-ref arg-5 2))) (let ((e-16 (vector-ref arg-5 3))) (let ((e-17 (vector-ref arg-5 4))) (let ((eff-0 (CoreC-45SchemeEvalC-45Compile-compileStk arg-1 arg-2 arg-3 '() e-16))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45SchemeEvalC-45Compile-compileStk arg-1 arg-2 arg-3 '() e-17))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 8 -4 (cons (CoreC-45SchemeEvalC-45ToScheme-u--toScheme_Scheme_LazyReason e-15) (cons (CoreC-45SchemeEvalC-45ToScheme-u--toScheme_Scheme_FC e-14) (cons (vector 12 '() e-5) (cons (vector 12 '() e-6) '()))))))))) eff-2))))))))) eff-1)))))))))))) ((8) (let ((e-19 (vector-ref arg-5 1))) (let ((e-20 (vector-ref arg-5 2))) (let ((e-21 (vector-ref arg-5 3))) (let ((eff-0 (CoreC-45SchemeEvalC-45Compile-compileStk arg-1 arg-2 arg-3 '() e-21))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 17 (vector 11 "ct-doForce") (cons e-5 (cons (vector 8 -5 (cons (CoreC-45SchemeEvalC-45ToScheme-u--toScheme_Scheme_LazyReason e-20) (cons (CoreC-45SchemeEvalC-45ToScheme-u--toScheme_Scheme_FC e-19) (cons (vector 12 '() e-5) '())))) '()))))))) eff-1))))))))))) ((9) (let ((e-23 (vector-ref arg-5 1))) (let ((e-24 (vector-ref arg-5 2))) (lambda (eta-0) (vector 1 (CoreC-45SchemeEvalC-45Compile-compileConstant e-23 e-24)))))) ((10) (let ((e-26 (vector-ref arg-5 1))) (let ((e-27 (vector-ref arg-5 2))) (let ((eff-0 (CoreC-45SchemeEvalC-45Compile-compileWhyErased arg-1 arg-2 arg-3 arg-4 e-27))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 8 -6 (cons (CoreC-45SchemeEvalC-45ToScheme-u--toScheme_Scheme_FC e-26) (cons (CoreC-45SchemeEvalC-45ToScheme-toSchemeWhy e-5) '()))))))) eff-1)))))))))) (else (let ((e-29 (vector-ref arg-5 1))) (let ((e-30 (vector-ref arg-5 2))) (lambda (eta-0) (vector 1 (vector 8 -7 (cons (CoreC-45SchemeEvalC-45ToScheme-u--toScheme_Scheme_FC e-29) (cons (CoreC-45SchemeEvalC-45ToScheme-u--toScheme_Scheme_Name e-30) '()))))))))))))))))))))(else (if (null? arg-4) (case (vector-ref arg-5 0) ((3) (let ((e-37 (vector-ref arg-5 2))) (let ((e-38 (vector-ref arg-5 3))) (let ((e-39 (vector-ref arg-5 4))) (case (vector-ref e-38 0) ((0) (let ((e-42 (vector-ref e-38 2))) (let ((e-43 (vector-ref e-38 3))) (let ((e-44 (vector-ref e-38 4))) (let ((eff-0 (CoreC-45SchemeEvalC-45Compile-nextName arg-1))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--xC-39 (string-append (CoreC-45SchemeEvalC-45Compile-schVarName e-37) (string-append "-" (PreludeC-45Show-u--show_Show_Integer e-5))))) (let ((eff-1 (CoreC-45SchemeEvalC-45Compile-compileStk arg-1 arg-2 arg-3 '() e-44))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45SchemeEvalC-45Compile-compileStk arg-1 arg-2 (cons (vector 0 u--xC-39) arg-3) '() e-39))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (CoreC-45SchemeEvalC-45Compile-compilePiInfo arg-1 arg-2 arg-3 e-43))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (eta-0) (vector 1 (vector 8 -8 (cons (vector 12 (cons u--xC-39 '()) e-7) (cons (CoreC-45SchemeEvalC-45ToScheme-u--toScheme_Scheme_RigCount e-42) (cons (CoreC-45SchemeEvalC-45ToScheme-toSchemePi e-8) (cons e-6 (cons (CoreC-45SchemeEvalC-45ToScheme-u--toScheme_Scheme_Name e-37) '())))))))))) eff-4))))))))) eff-3))))))))) eff-2)))))))))) eff-1)))))))))))(else (case (vector-ref arg-5 0) ((4) (let ((e-2 (vector-ref arg-5 2))) (let ((e-3 (vector-ref arg-5 3))) (let ((eff-0 (CoreC-45SchemeEvalC-45Compile-compileStk arg-1 arg-2 arg-3 '() e-3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45SchemeEvalC-45Compile-compileStk arg-1 arg-2 arg-3 (cons e-5 arg-4) e-2))) eff-1)))))))))) ((5) (let ((e-8 (vector-ref arg-5 4))) (CoreC-45SchemeEvalC-45Compile-compileStk arg-1 arg-2 arg-3 arg-4 e-8))) ((6) (let ((e-11 (vector-ref arg-5 2))) (let ((e-12 (vector-ref arg-5 3))) (let ((eff-0 (CoreC-45SchemeEvalC-45Compile-compileStk arg-1 arg-2 arg-3 arg-4 e-12))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 8 -15 (cons (CoreC-45SchemeEvalC-45ToScheme-u--toScheme_Scheme_LazyReason e-11) (cons e-5 '()))))))) eff-1)))))))))) ((7) (let ((e-14 (vector-ref arg-5 1))) (let ((e-15 (vector-ref arg-5 2))) (let ((e-16 (vector-ref arg-5 3))) (let ((e-17 (vector-ref arg-5 4))) (let ((eff-0 (CoreC-45SchemeEvalC-45Compile-compileStk arg-1 arg-2 arg-3 '() e-16))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45SchemeEvalC-45Compile-compileStk arg-1 arg-2 arg-3 '() e-17))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 8 -4 (cons (CoreC-45SchemeEvalC-45ToScheme-u--toScheme_Scheme_LazyReason e-15) (cons (CoreC-45SchemeEvalC-45ToScheme-u--toScheme_Scheme_FC e-14) (cons (vector 12 '() e-5) (cons (vector 12 '() e-6) '()))))))))) eff-2))))))))) eff-1)))))))))))) ((8) (let ((e-19 (vector-ref arg-5 1))) (let ((e-20 (vector-ref arg-5 2))) (let ((e-21 (vector-ref arg-5 3))) (let ((eff-0 (CoreC-45SchemeEvalC-45Compile-compileStk arg-1 arg-2 arg-3 '() e-21))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 17 (vector 11 "ct-doForce") (cons e-5 (cons (vector 8 -5 (cons (CoreC-45SchemeEvalC-45ToScheme-u--toScheme_Scheme_LazyReason e-20) (cons (CoreC-45SchemeEvalC-45ToScheme-u--toScheme_Scheme_FC e-19) (cons (vector 12 '() e-5) '())))) '()))))))) eff-1))))))))))) ((9) (let ((e-23 (vector-ref arg-5 1))) (let ((e-24 (vector-ref arg-5 2))) (lambda (eta-0) (vector 1 (CoreC-45SchemeEvalC-45Compile-compileConstant e-23 e-24)))))) ((10) (let ((e-26 (vector-ref arg-5 1))) (let ((e-27 (vector-ref arg-5 2))) (let ((eff-0 (CoreC-45SchemeEvalC-45Compile-compileWhyErased arg-1 arg-2 arg-3 arg-4 e-27))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 8 -6 (cons (CoreC-45SchemeEvalC-45ToScheme-u--toScheme_Scheme_FC e-26) (cons (CoreC-45SchemeEvalC-45ToScheme-toSchemeWhy e-5) '()))))))) eff-1)))))))))) (else (let ((e-29 (vector-ref arg-5 1))) (let ((e-30 (vector-ref arg-5 2))) (lambda (eta-0) (vector 1 (vector 8 -7 (cons (CoreC-45SchemeEvalC-45ToScheme-u--toScheme_Scheme_FC e-29) (cons (CoreC-45SchemeEvalC-45ToScheme-u--toScheme_Scheme_Name e-30) '())))))))))))))))(else (case (vector-ref arg-5 0) ((4) (let ((e-2 (vector-ref arg-5 2))) (let ((e-3 (vector-ref arg-5 3))) (let ((eff-0 (CoreC-45SchemeEvalC-45Compile-compileStk arg-1 arg-2 arg-3 '() e-3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45SchemeEvalC-45Compile-compileStk arg-1 arg-2 arg-3 (cons e-5 arg-4) e-2))) eff-1)))))))))) ((5) (let ((e-8 (vector-ref arg-5 4))) (CoreC-45SchemeEvalC-45Compile-compileStk arg-1 arg-2 arg-3 arg-4 e-8))) ((6) (let ((e-11 (vector-ref arg-5 2))) (let ((e-12 (vector-ref arg-5 3))) (let ((eff-0 (CoreC-45SchemeEvalC-45Compile-compileStk arg-1 arg-2 arg-3 arg-4 e-12))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 8 -15 (cons (CoreC-45SchemeEvalC-45ToScheme-u--toScheme_Scheme_LazyReason e-11) (cons e-5 '()))))))) eff-1)))))))))) ((7) (let ((e-14 (vector-ref arg-5 1))) (let ((e-15 (vector-ref arg-5 2))) (let ((e-16 (vector-ref arg-5 3))) (let ((e-17 (vector-ref arg-5 4))) (let ((eff-0 (CoreC-45SchemeEvalC-45Compile-compileStk arg-1 arg-2 arg-3 '() e-16))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45SchemeEvalC-45Compile-compileStk arg-1 arg-2 arg-3 '() e-17))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 8 -4 (cons (CoreC-45SchemeEvalC-45ToScheme-u--toScheme_Scheme_LazyReason e-15) (cons (CoreC-45SchemeEvalC-45ToScheme-u--toScheme_Scheme_FC e-14) (cons (vector 12 '() e-5) (cons (vector 12 '() e-6) '()))))))))) eff-2))))))))) eff-1)))))))))))) ((8) (let ((e-19 (vector-ref arg-5 1))) (let ((e-20 (vector-ref arg-5 2))) (let ((e-21 (vector-ref arg-5 3))) (let ((eff-0 (CoreC-45SchemeEvalC-45Compile-compileStk arg-1 arg-2 arg-3 '() e-21))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 17 (vector 11 "ct-doForce") (cons e-5 (cons (vector 8 -5 (cons (CoreC-45SchemeEvalC-45ToScheme-u--toScheme_Scheme_LazyReason e-20) (cons (CoreC-45SchemeEvalC-45ToScheme-u--toScheme_Scheme_FC e-19) (cons (vector 12 '() e-5) '())))) '()))))))) eff-1))))))))))) ((9) (let ((e-23 (vector-ref arg-5 1))) (let ((e-24 (vector-ref arg-5 2))) (lambda (eta-0) (vector 1 (CoreC-45SchemeEvalC-45Compile-compileConstant e-23 e-24)))))) ((10) (let ((e-26 (vector-ref arg-5 1))) (let ((e-27 (vector-ref arg-5 2))) (let ((eff-0 (CoreC-45SchemeEvalC-45Compile-compileWhyErased arg-1 arg-2 arg-3 arg-4 e-27))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 8 -6 (cons (CoreC-45SchemeEvalC-45ToScheme-u--toScheme_Scheme_FC e-26) (cons (CoreC-45SchemeEvalC-45ToScheme-toSchemeWhy e-5) '()))))))) eff-1)))))))))) (else (let ((e-29 (vector-ref arg-5 1))) (let ((e-30 (vector-ref arg-5 2))) (lambda (eta-0) (vector 1 (vector 8 -7 (cons (CoreC-45SchemeEvalC-45ToScheme-u--toScheme_Scheme_FC e-29) (cons (CoreC-45SchemeEvalC-45ToScheme-u--toScheme_Scheme_Name e-30) '()))))))))))) (let ((e-33 (car arg-4))) (let ((e-34 (cdr arg-4))) (case (vector-ref arg-5 0) ((3) (let ((e-47 (vector-ref arg-5 2))) (let ((e-48 (vector-ref arg-5 3))) (let ((e-49 (vector-ref arg-5 4))) (case (vector-ref e-48 0) ((0) (let ((eff-0 (CoreC-45SchemeEvalC-45Compile-nextName arg-1))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--xC-39 (string-append (CoreC-45SchemeEvalC-45Compile-schVarName e-47) (string-append "-" (PreludeC-45Show-u--show_Show_Integer e-5))))) (let ((eff-1 (CoreC-45SchemeEvalC-45Compile-compileStk arg-1 arg-2 (cons (vector 0 u--xC-39) arg-3) e-34 e-49))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 17 (vector 12 (cons u--xC-39 '()) e-6) (cons e-33 '())))))) eff-2)))))))))) eff-1))))))))(else (case (vector-ref arg-5 0) ((4) (let ((e-2 (vector-ref arg-5 2))) (let ((e-3 (vector-ref arg-5 3))) (let ((eff-0 (CoreC-45SchemeEvalC-45Compile-compileStk arg-1 arg-2 arg-3 '() e-3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45SchemeEvalC-45Compile-compileStk arg-1 arg-2 arg-3 (cons e-5 arg-4) e-2))) eff-1)))))))))) ((5) (let ((e-8 (vector-ref arg-5 4))) (CoreC-45SchemeEvalC-45Compile-compileStk arg-1 arg-2 arg-3 arg-4 e-8))) ((6) (let ((e-11 (vector-ref arg-5 2))) (let ((e-12 (vector-ref arg-5 3))) (let ((eff-0 (CoreC-45SchemeEvalC-45Compile-compileStk arg-1 arg-2 arg-3 arg-4 e-12))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 8 -15 (cons (CoreC-45SchemeEvalC-45ToScheme-u--toScheme_Scheme_LazyReason e-11) (cons e-5 '()))))))) eff-1)))))))))) ((7) (let ((e-14 (vector-ref arg-5 1))) (let ((e-15 (vector-ref arg-5 2))) (let ((e-16 (vector-ref arg-5 3))) (let ((e-17 (vector-ref arg-5 4))) (let ((eff-0 (CoreC-45SchemeEvalC-45Compile-compileStk arg-1 arg-2 arg-3 '() e-16))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45SchemeEvalC-45Compile-compileStk arg-1 arg-2 arg-3 '() e-17))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 8 -4 (cons (CoreC-45SchemeEvalC-45ToScheme-u--toScheme_Scheme_LazyReason e-15) (cons (CoreC-45SchemeEvalC-45ToScheme-u--toScheme_Scheme_FC e-14) (cons (vector 12 '() e-5) (cons (vector 12 '() e-6) '()))))))))) eff-2))))))))) eff-1)))))))))))) ((8) (let ((e-19 (vector-ref arg-5 1))) (let ((e-20 (vector-ref arg-5 2))) (let ((e-21 (vector-ref arg-5 3))) (let ((eff-0 (CoreC-45SchemeEvalC-45Compile-compileStk arg-1 arg-2 arg-3 '() e-21))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 17 (vector 11 "ct-doForce") (cons e-5 (cons (vector 8 -5 (cons (CoreC-45SchemeEvalC-45ToScheme-u--toScheme_Scheme_LazyReason e-20) (cons (CoreC-45SchemeEvalC-45ToScheme-u--toScheme_Scheme_FC e-19) (cons (vector 12 '() e-5) '())))) '()))))))) eff-1))))))))))) ((9) (let ((e-23 (vector-ref arg-5 1))) (let ((e-24 (vector-ref arg-5 2))) (lambda (eta-0) (vector 1 (CoreC-45SchemeEvalC-45Compile-compileConstant e-23 e-24)))))) ((10) (let ((e-26 (vector-ref arg-5 1))) (let ((e-27 (vector-ref arg-5 2))) (let ((eff-0 (CoreC-45SchemeEvalC-45Compile-compileWhyErased arg-1 arg-2 arg-3 arg-4 e-27))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 8 -6 (cons (CoreC-45SchemeEvalC-45ToScheme-u--toScheme_Scheme_FC e-26) (cons (CoreC-45SchemeEvalC-45ToScheme-toSchemeWhy e-5) '()))))))) eff-1)))))))))) (else (let ((e-29 (vector-ref arg-5 1))) (let ((e-30 (vector-ref arg-5 2))) (lambda (eta-0) (vector 1 (vector 8 -7 (cons (CoreC-45SchemeEvalC-45ToScheme-u--toScheme_Scheme_FC e-29) (cons (CoreC-45SchemeEvalC-45ToScheme-u--toScheme_Scheme_Name e-30) '())))))))))))))))(else (case (vector-ref arg-5 0) ((4) (let ((e-2 (vector-ref arg-5 2))) (let ((e-3 (vector-ref arg-5 3))) (let ((eff-0 (CoreC-45SchemeEvalC-45Compile-compileStk arg-1 arg-2 arg-3 '() e-3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45SchemeEvalC-45Compile-compileStk arg-1 arg-2 arg-3 (cons e-5 arg-4) e-2))) eff-1)))))))))) ((5) (let ((e-8 (vector-ref arg-5 4))) (CoreC-45SchemeEvalC-45Compile-compileStk arg-1 arg-2 arg-3 arg-4 e-8))) ((6) (let ((e-11 (vector-ref arg-5 2))) (let ((e-12 (vector-ref arg-5 3))) (let ((eff-0 (CoreC-45SchemeEvalC-45Compile-compileStk arg-1 arg-2 arg-3 arg-4 e-12))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 8 -15 (cons (CoreC-45SchemeEvalC-45ToScheme-u--toScheme_Scheme_LazyReason e-11) (cons e-5 '()))))))) eff-1)))))))))) ((7) (let ((e-14 (vector-ref arg-5 1))) (let ((e-15 (vector-ref arg-5 2))) (let ((e-16 (vector-ref arg-5 3))) (let ((e-17 (vector-ref arg-5 4))) (let ((eff-0 (CoreC-45SchemeEvalC-45Compile-compileStk arg-1 arg-2 arg-3 '() e-16))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45SchemeEvalC-45Compile-compileStk arg-1 arg-2 arg-3 '() e-17))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (vector 8 -4 (cons (CoreC-45SchemeEvalC-45ToScheme-u--toScheme_Scheme_LazyReason e-15) (cons (CoreC-45SchemeEvalC-45ToScheme-u--toScheme_Scheme_FC e-14) (cons (vector 12 '() e-5) (cons (vector 12 '() e-6) '()))))))))) eff-2))))))))) eff-1)))))))))))) ((8) (let ((e-19 (vector-ref arg-5 1))) (let ((e-20 (vector-ref arg-5 2))) (let ((e-21 (vector-ref arg-5 3))) (let ((eff-0 (CoreC-45SchemeEvalC-45Compile-compileStk arg-1 arg-2 arg-3 '() e-21))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 17 (vector 11 "ct-doForce") (cons e-5 (cons (vector 8 -5 (cons (CoreC-45SchemeEvalC-45ToScheme-u--toScheme_Scheme_LazyReason e-20) (cons (CoreC-45SchemeEvalC-45ToScheme-u--toScheme_Scheme_FC e-19) (cons (vector 12 '() e-5) '())))) '()))))))) eff-1))))))))))) ((9) (let ((e-23 (vector-ref arg-5 1))) (let ((e-24 (vector-ref arg-5 2))) (lambda (eta-0) (vector 1 (CoreC-45SchemeEvalC-45Compile-compileConstant e-23 e-24)))))) ((10) (let ((e-26 (vector-ref arg-5 1))) (let ((e-27 (vector-ref arg-5 2))) (let ((eff-0 (CoreC-45SchemeEvalC-45Compile-compileWhyErased arg-1 arg-2 arg-3 arg-4 e-27))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 8 -6 (cons (CoreC-45SchemeEvalC-45ToScheme-u--toScheme_Scheme_FC e-26) (cons (CoreC-45SchemeEvalC-45ToScheme-toSchemeWhy e-5) '()))))))) eff-1)))))))))) (else (let ((e-29 (vector-ref arg-5 1))) (let ((e-30 (vector-ref arg-5 2))) (lambda (eta-0) (vector 1 (vector 8 -7 (cons (CoreC-45SchemeEvalC-45ToScheme-u--toScheme_Scheme_FC e-29) (cons (CoreC-45SchemeEvalC-45ToScheme-u--toScheme_Scheme_Name e-30) '()))))))))))))))))))
(define CoreC-45SchemeEvalC-45Compile-compilePiInfo (lambda (arg-1 arg-2 arg-3 arg-4) (case (vector-ref arg-4 0) ((0) (lambda (eta-0) (vector 1 (vector 0 )))) ((1) (lambda (eta-0) (vector 1 (vector 1 )))) ((2) (lambda (eta-0) (vector 1 (vector 2 )))) (else (let ((e-4 (vector-ref arg-4 1))) (let ((eff-0 (CoreC-45SchemeEvalC-45Compile-compileStk arg-1 arg-2 arg-3 '() e-4))) (PrimIO-io_bind eff-0 (csegen-1312))))))))
(define CoreC-45SchemeEvalC-45Compile-compileDef (lambda (arg-0 arg-1 arg-2) (let ((eff-0 (CoreC-45Context-toFullNames arg-0 (csegen-81) arg-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (unbox eff-2))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-lookupCtxtExact e-5 (let ((e-0 (vector-ref e-6 0))) e-0)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (if (null? e-7) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 7 (CoreC-45FC-emptyFC) e-5) eta-0)) (let ((e-1 (unbox e-7))) (let ((sc4 (let ((e-21 (vector-ref e-1 21))) (if (null? e-21) 1 (let ((e-26 (unbox e-21))) (let ((e-28 (car e-26))) (CoreC-45ContextC-45Context-u--C-47C-61_Eq_SchemeMode e-28 arg-1))))))) (cond ((equal? sc4 1) (let ((u--redok (let ((sc5 (CoreC-45ContextC-45Context-u--C-61C-61_Eq_SchemeMode arg-1 0))) (cond ((equal? sc5 1) 1) (else (CoreC-45Context-reducibleInAny (cons (let ((e-2 (vector-ref e-6 2))) e-2) (let ((e-3 (vector-ref e-6 3))) e-3)) (let ((e-25 (vector-ref e-1 1))) e-25) (let ((e-9 (vector-ref e-1 9))) e-9))))))) (let ((eff-3 (let ((eff-3 (CoreC-45Context-toResolvedNames arg-0 (csegen-81) e-5))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Context-toFullNames arg-0 (csegen-2320) (let ((e-17 (vector-ref e-1 17))) e-17)))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (CoreC-45SchemeEvalC-45Compile-compileBody arg-0 u--redok e-8 e-9))) eff-5))))))))) eff-4))))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((u--schdef (vector 10 (CoreC-45SchemeEvalC-45Compile-schName e-5) e-8))) (let ((eff-4 (PrimIO-io_bind (LibrariesC-45UtilsC-45Scheme-evalSchemeObj u--schdef) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (if (null? e-9) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 (string-append ((csegen-0) "Compiling ") (string-append (CoreC-45Name-u--show_Show_Name e-5) " failed"))) eta-0)) (let ((eff-5 (CoreC-45Context-addDef arg-0 e-5 (let ((e-0 (vector-ref e-1 0))) (let ((e-28 (vector-ref e-1 1))) (let ((e-27 (vector-ref e-1 2))) (let ((e-3 (vector-ref e-1 3))) (let ((e-4 (vector-ref e-1 4))) (let ((e-26 (vector-ref e-1 5))) (let ((e-25 (vector-ref e-1 6))) (let ((e-24 (vector-ref e-1 7))) (let ((e-23 (vector-ref e-1 8))) (let ((e-22 (vector-ref e-1 9))) (let ((e-10 (vector-ref e-1 10))) (let ((e-11 (vector-ref e-1 11))) (let ((e-12 (vector-ref e-1 12))) (let ((e-13 (vector-ref e-1 13))) (let ((e-14 (vector-ref e-1 14))) (let ((e-15 (vector-ref e-1 15))) (let ((e-16 (vector-ref e-1 16))) (let ((e-17 (vector-ref e-1 17))) (let ((e-18 (vector-ref e-1 18))) (let ((e-19 (vector-ref e-1 19))) (let ((e-20 (vector-ref e-1 20))) (vector e-0 e-28 e-27 e-3 e-4 e-26 e-25 e-24 e-23 e-22 e-10 e-11 e-12 e-13 e-14 e-15 e-16 e-17 e-18 e-19 e-20 (box (cons arg-1 u--schdef))))))))))))))))))))))))))) (((csegen-50) ((let ((eff-6 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-3 (vector-ref eta-3 1))) (vector 0 e-3))) (else (let ((e-10 (vector-ref eta-3 1))) (vector 1 (eta-2 e-10))))))))))) (lambda (arg-3) (lambda (arg-4) ((((eff-6 'erased) 'erased) arg-3) arg-4)))) (lambda (_-8679) (vector 0 )))) eff-5))))) eff-5)))))))))) eff-4)))))))))(else (lambda (eta-0) (vector 1 (vector 0 )))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))
(define CoreC-45SchemeEvalC-45Compile-compileConstant (lambda (arg-0 arg-1) (case (vector-ref arg-1 0) ((0) (let ((e-0 (vector-ref arg-1 1))) (vector 8 -100 (cons (vector 2 e-0) '())))) ((1) (let ((e-1 (vector-ref arg-1 1))) (vector 8 -101 (cons (vector 2 e-1) '())))) ((2) (let ((e-2 (vector-ref arg-1 1))) (vector 8 -102 (cons (vector 2 e-2) '())))) ((3) (let ((e-3 (vector-ref arg-1 1))) (vector 8 -103 (cons (vector 2 e-3) '())))) ((4) (let ((e-4 (vector-ref arg-1 1))) (vector 8 -104 (cons (vector 2 e-4) '())))) ((5) (let ((e-5 (vector-ref arg-1 1))) (vector 8 -105 (cons (vector 2 e-5) '())))) ((6) (let ((e-6 (vector-ref arg-1 1))) (vector 8 -106 (cons (vector 2 e-6) '())))) ((7) (let ((e-7 (vector-ref arg-1 1))) (vector 8 -107 (cons (vector 2 e-7) '())))) ((8) (let ((e-8 (vector-ref arg-1 1))) (vector 8 -108 (cons (vector 2 e-8) '())))) ((9) (let ((e-9 (vector-ref arg-1 1))) (vector 8 -109 (cons (vector 2 e-9) '())))) ((10) (let ((e-10 (vector-ref arg-1 1))) (vector 4 e-10))) ((11) (let ((e-11 (vector-ref arg-1 1))) (vector 5 e-11))) ((12) (let ((e-12 (vector-ref arg-1 1))) (vector 3 e-12))) ((13) (let ((e-13 (vector-ref arg-1 1))) (vector 8 -1 (cons (vector 2 (CoreC-45TT-primTypeTag e-13)) (cons (vector 4 (CoreC-45TT-u--show_Show_PrimType e-13)) (cons (CoreC-45SchemeEvalC-45ToScheme-u--toScheme_Scheme_Name (vector 1 (vector 0 (CoreC-45TT-u--show_Show_PrimType e-13)))) (cons (CoreC-45SchemeEvalC-45ToScheme-u--toScheme_Scheme_FC arg-0) '()))))))) (else (vector 0 )))))
(define CoreC-45SchemeEvalC-45Compile-compileCase (lambda (arg-1 arg-2 arg-3 arg-4 arg-5) (case (vector-ref arg-5 0) ((0) (let ((e-1 (vector-ref arg-5 1))) (let ((e-2 (vector-ref arg-5 2))) (let ((e-4 (vector-ref arg-5 3))) (let ((e-5 (vector-ref arg-5 4))) (let ((eff-0 (CoreC-45SchemeEvalC-45Compile-n--8677-3254-u--caseType arg-1 e-1 e-5 e-4 e-2 arg-4 arg-3 arg-2 e-5))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-6 (vector-ref lcase-0 1))) (let ((eff-1 (case (vector-ref e-6 0) ((0) (CoreC-45SchemeEvalC-45Compile-n--8677-3256-u--toSchemeConCases arg-1 e-1 e-5 e-4 e-2 arg-4 arg-3 arg-2 e-2 e-5)) ((1) (CoreC-45SchemeEvalC-45Compile-n--8677-3257-u--toSchemeTyConCases arg-1 e-1 e-5 e-4 e-2 arg-4 arg-3 arg-2 e-2 e-5)) ((2) (CoreC-45SchemeEvalC-45Compile-n--8677-3259-u--toSchemeDelayCases arg-1 e-1 e-5 e-4 e-2 arg-4 arg-3 arg-2 e-2 e-5)) (else (CoreC-45SchemeEvalC-45Compile-n--8677-3258-u--toSchemeConstCases arg-1 e-1 e-5 e-4 e-2 arg-4 arg-3 arg-2 e-2 e-5))))) eff-1)))))))))))) ((1) (let ((e-8 (vector-ref arg-5 2))) (CoreC-45SchemeEvalC-45Compile-compile arg-1 arg-2 arg-4 e-8)))(else (lambda (eta-0) (vector 1 arg-3))))))
(define CoreC-45SchemeEvalC-45Compile-compileBody (lambda (arg-0 arg-1 arg-2 arg-3) (case (vector-ref arg-3 0) ((0) (lambda (eta-0) (vector 1 (CoreC-45SchemeEvalC-45Compile-blockedAppWith arg-2 '())))) ((1) (let ((e-0 (vector-ref arg-3 1))) (let ((e-1 (vector-ref arg-3 2))) (let ((e-2 (vector-ref arg-3 3))) (let ((eff-0 (CoreC-45Core-newRef (vector "Core.SchemeEval.Compile.Sym" ) 0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45SchemeEvalC-45Compile-mkArgs e-1))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-6 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-6)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((u--blk (CoreC-45SchemeEvalC-45Compile-blockedAppWith arg-2 (CoreC-45SchemeEvalC-45Compile-varObjs e-6)))) (let ((eff-2 (CoreC-45SchemeEvalC-45Compile-compileCase e-5 arg-0 u--blk e-6 e-2))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-7 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-7)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((u--bodyC-39 (cond ((equal? arg-1 1) (vector 14 (vector 17 (vector 11 ((csegen-0) "ct-isBlockAll")) '()) u--blk e-7)) (else u--blk)))) (lambda (clam-0) (let ((e-10 (vector-ref e-0 0))) (if (null? e-10) (vector 1 (CoreC-45SchemeEvalC-45Compile-bindArgs arg-2 e-6 '() u--bodyC-39)) (vector 1 (vector 12 (cons "h-0" '()) (CoreC-45SchemeEvalC-45Compile-bindArgs arg-2 e-6 '() u--bodyC-39))))))))) eff-3)))))))))) eff-2))))))))) eff-1))))))))))) ((2) (lambda (eta-0) (vector 1 (CoreC-45SchemeEvalC-45Compile-blockedAppWith arg-2 '())))) ((3) (lambda (eta-0) (vector 1 (CoreC-45SchemeEvalC-45Compile-blockedAppWith arg-2 '())))) ((4) (let ((e-8 (vector-ref arg-3 1))) (let ((e-9 (vector-ref arg-3 2))) (lambda (eta-0) (vector 1 (CoreC-45SchemeEvalC-45Builtins-compileBuiltin e-8 arg-2 e-9)))))) ((5) (let ((e-10 (vector-ref arg-3 1))) (let ((e-11 (vector-ref arg-3 2))) (let ((e-12 (vector-ref arg-3 3))) (cond ((equal? e-11 0) (let ((eff-0 (CoreC-45Context-toResolvedNames arg-0 (csegen-81) arg-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 8 e-10 (cons (CoreC-45SchemeEvalC-45ToScheme-u--toScheme_Scheme_Name e-5) (csegen-6636))))))) eff-1))))))))(else (let ((u--args (CoreC-45SchemeEvalC-45Compile-n--10201-4861-u--mkArgNs arg-1 e-12 e-11 e-10 arg-2 arg-0 0 e-11))) (let ((eff-0 (CoreC-45SchemeEvalC-45Compile-mkArgs u--args))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--body (vector 8 e-10 (cons (CoreC-45SchemeEvalC-45ToScheme-u--toScheme_Scheme_Name arg-2) (cons (CoreC-45SchemeEvalC-45ToScheme-u--toScheme_Scheme_FC (CoreC-45FC-emptyFC)) ((csegen-6638) u--args)))))) (lambda (eta-0) (vector 1 (CoreC-45SchemeEvalC-45Compile-bindArgs arg-2 e-5 '() u--body)))))) eff-1)))))))))))))) ((6) (let ((e-13 (vector-ref arg-3 1))) (let ((e-14 (vector-ref arg-3 2))) (let ((e-15 (vector-ref arg-3 3))) (let ((e-16 (vector-ref arg-3 4))) (let ((e-17 (vector-ref arg-3 5))) (let ((e-18 (vector-ref arg-3 6))) (let ((e-19 (vector-ref arg-3 7))) (let ((e-20 (vector-ref arg-3 8))) (cond ((equal? e-14 0) (lambda (eta-0) (vector 1 (vector 8 -1 (cons (vector 2 e-13) (cons (vector 4 (CoreC-45Name-u--show_Show_Name arg-2)) (cons (CoreC-45SchemeEvalC-45ToScheme-u--toScheme_Scheme_Name arg-2) (csegen-6636))))))))(else (let ((u--args (CoreC-45SchemeEvalC-45Compile-n--10201-4969-u--mkArgNs arg-1 e-20 e-19 e-18 e-17 e-16 e-15 e-14 e-13 arg-2 arg-0 0 e-14))) (let ((eff-0 (CoreC-45SchemeEvalC-45Compile-mkArgs u--args))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--body (vector 8 -1 (cons (vector 2 e-13) (cons (vector 4 (CoreC-45Name-u--show_Show_Name arg-2)) (cons (CoreC-45SchemeEvalC-45ToScheme-u--toScheme_Scheme_Name arg-2) (cons (CoreC-45SchemeEvalC-45ToScheme-u--toScheme_Scheme_FC (CoreC-45FC-emptyFC)) ((csegen-6638) u--args)))))))) (lambda (eta-0) (vector 1 (CoreC-45SchemeEvalC-45Compile-bindArgs arg-2 e-5 '() u--body)))))) eff-1))))))))))))))))))) ((7) (lambda (eta-0) (vector 1 (CoreC-45SchemeEvalC-45Compile-blockedMetaApp arg-2)))) ((8) (lambda (eta-0) (vector 1 (CoreC-45SchemeEvalC-45Compile-blockedMetaApp arg-2)))) ((9) (lambda (eta-0) (vector 1 (CoreC-45SchemeEvalC-45Compile-blockedMetaApp arg-2)))) ((10) (lambda (eta-0) (vector 1 (CoreC-45SchemeEvalC-45Compile-blockedMetaApp arg-2)))) ((11) (lambda (eta-0) (vector 1 (CoreC-45SchemeEvalC-45Compile-blockedMetaApp arg-2)))) (else (lambda (eta-0) (vector 1 (CoreC-45SchemeEvalC-45Compile-blockedMetaApp arg-2)))))))
(define CoreC-45SchemeEvalC-45Compile-compile (lambda (arg-1 arg-2 arg-3 arg-4) (CoreC-45SchemeEvalC-45Compile-compileStk arg-1 arg-2 arg-3 '() arg-4)))
(define CoreC-45SchemeEvalC-45Compile-blockedMetaApp (lambda (arg-0) (vector 12 (cons "arity-0" '()) (vector 8 -10 (cons (vector 1 (CoreC-45SchemeEvalC-45ToScheme-u--toScheme_Scheme_Name arg-0) (vector 11 "arity-0")) (cons (vector 0 ) '()))))))
(define CoreC-45SchemeEvalC-45Compile-blockedAppWith (lambda (arg-0 arg-1) (vector 8 -2 (cons (CoreC-45SchemeEvalC-45ToScheme-u--toScheme_Scheme_Name arg-0) (cons (CoreC-45SchemeEvalC-45Compile-n--6993-1290-u--vars arg-1 arg-0 arg-1) '())))))
(define CoreC-45SchemeEvalC-45Compile-bindArgs (lambda (arg-1 arg-2 arg-3 arg-4) (if (null? arg-2) arg-4 (let ((e-2 (car arg-2))) (let ((e-3 (cdr arg-2))) (vector 8 -9 (cons (CoreC-45SchemeEvalC-45Compile-blockedAppWith arg-1 (PreludeC-45TypesC-45List-reverse arg-3)) (cons (vector 12 (cons (CoreC-45SchemeEvalC-45Compile-u--show_Show_SVar e-2) '()) (CoreC-45SchemeEvalC-45Compile-bindArgs arg-1 e-3 (cons (vector 11 (CoreC-45SchemeEvalC-45Compile-u--show_Show_SVar e-2)) arg-3) arg-4)) '()))))))))
(define CoreC-45SchemeEvalC-45Builtins-case--applyCast-4243 (lambda (arg-0 arg-1 arg-2 arg-3) (if (null? arg-3) (cond ((equal? arg-1 10) (vector 17 (csegen-6639) (cons arg-0 '())))(else arg-2)) (let ((e-2 (unbox arg-3))) (case (vector-ref e-2 0) ((0) (let ((e-3 (vector-ref e-2 1))) (if (null? e-3) (CoreC-45SchemeEvalC-45Builtins-integer (vector 17 (vector 11 "ct-exact-truncate") (cons arg-0 '()))) (let ((e-5 (unbox e-3))) ((CoreC-45SchemeEvalC-45Builtins-wrap e-2) (vector 17 (vector 11 ((csegen-0) "ct-exact-truncate-boundedInt")) (cons arg-0 (cons (LibrariesC-45UtilsC-45Scheme-u--toScheme_Scheme_Int (bs- e-5 1 63)) '())))))))) (else (let ((e-4 (vector-ref e-2 1))) ((CoreC-45SchemeEvalC-45Builtins-wrap e-2) (vector 17 (vector 11 ((csegen-0) "ct-exact-truncate-boundedUInt")) (cons arg-0 (cons (LibrariesC-45UtilsC-45Scheme-u--toScheme_Scheme_Int e-4) '())))))))))))
(define CoreC-45SchemeEvalC-45Builtins-case--applyCast-4062 (lambda (arg-0 arg-1 arg-2 arg-3) (if (null? arg-3) (cond ((equal? arg-1 12) (vector 17 (csegen-6645) (cons arg-0 '())))(else arg-2)) (let ((e-2 (unbox arg-3))) (case (vector-ref e-2 0) ((0) (let ((e-3 (vector-ref e-2 1))) (if (null? e-3) (CoreC-45SchemeEvalC-45Builtins-integer (vector 17 (vector 11 "ct-cast-string-int") (cons arg-0 '()))) (let ((e-5 (unbox e-3))) ((CoreC-45SchemeEvalC-45Builtins-wrap e-2) (vector 17 (vector 11 ((csegen-0) "ct-cast-string-boundedInt")) (cons arg-0 (cons (LibrariesC-45UtilsC-45Scheme-u--toScheme_Scheme_Int (bs- e-5 1 63)) '())))))))) (else (let ((e-4 (vector-ref e-2 1))) ((CoreC-45SchemeEvalC-45Builtins-wrap e-2) (vector 17 (vector 11 ((csegen-0) "ct-cast-string-boundedUInt")) (cons arg-0 (cons (LibrariesC-45UtilsC-45Scheme-u--toScheme_Scheme_Int e-4) '())))))))))))
(define CoreC-45SchemeEvalC-45Builtins-case--applyCast-3905 (lambda (arg-0 arg-1 arg-2 arg-3) (if (null? arg-3) (cond ((equal? arg-1 10) (vector 17 (vector 11 "string") (cons arg-0 '())))(else arg-2)) (let ((e-2 (unbox arg-3))) (case (vector-ref e-2 0) ((0) (let ((e-3 (vector-ref e-2 1))) (if (null? e-3) (CoreC-45SchemeEvalC-45Builtins-integer (vector 17 (vector 11 "char->integer") (cons arg-0 '()))) (let ((e-5 (unbox e-3))) ((CoreC-45SchemeEvalC-45Builtins-wrap e-2) (vector 17 (vector 11 ((csegen-0) "ct-cast-char-boundedInt")) (cons arg-0 (cons (LibrariesC-45UtilsC-45Scheme-u--toScheme_Scheme_Int (bs- e-5 1 63)) '())))))))) (else (let ((e-4 (vector-ref e-2 1))) ((CoreC-45SchemeEvalC-45Builtins-wrap e-2) (vector 17 (vector 11 ((csegen-0) "ct-cast-char-boundedUInt")) (cons arg-0 (cons (LibrariesC-45UtilsC-45Scheme-u--toScheme_Scheme_Int e-4) '())))))))))))
(define CoreC-45SchemeEvalC-45Builtins-n--9899-5544-u--vars (lambda (arg-0 arg-1 arg-2 arg-4 arg-6) (if (null? arg-6) (vector 0 ) (let ((e-3 (car arg-6))) (let ((e-4 (cdr arg-6))) (vector 1 (vector 11 e-3) (CoreC-45SchemeEvalC-45Builtins-n--9899-5544-u--vars arg-0 arg-1 arg-2 arg-4 e-4)))))))
(define CoreC-45SchemeEvalC-45Builtins-n--9883-5535-u--makeBlockedApp (lambda (arg-0 arg-1 arg-2 arg-4) (vector 8 -2 (cons (CoreC-45SchemeEvalC-45ToScheme-u--toScheme_Scheme_Name arg-2) (cons (CoreC-45SchemeEvalC-45Builtins-n--9899-5544-u--vars arg-0 arg-1 arg-2 arg-4 arg-4) '())))))
(define CoreC-45SchemeEvalC-45Builtins-n--9883-5536-u--bindArgs (lambda (arg-0 arg-1 arg-2 arg-5 arg-6 arg-7) (if (null? arg-5) (CoreC-45SchemeEvalC-45Builtins-applyOp (CoreC-45SchemeEvalC-45Builtins-n--9883-5535-u--makeBlockedApp arg-0 arg-1 arg-2 arg-7) arg-1 (((csegen-2281) (lambda (eta-0) (vector 11 eta-0))) arg-7)) (let ((e-3 (car arg-5))) (let ((e-4 (cdr arg-5))) (vector 8 -9 (cons (CoreC-45SchemeEvalC-45Builtins-n--9883-5535-u--makeBlockedApp arg-0 arg-1 arg-2 (DataC-45Vect-reverse arg-6)) (cons (vector 12 (cons e-3 '()) (CoreC-45SchemeEvalC-45Builtins-n--9883-5536-u--bindArgs arg-0 arg-1 arg-2 e-4 (cons e-3 arg-6) arg-7)) '()))))))))
(define CoreC-45SchemeEvalC-45Builtins-wrap (lambda (arg-0) (lambda (clam-0) (case (vector-ref arg-0 0) ((0) (let ((e-0 (vector-ref arg-0 1))) (if (null? e-0) (CoreC-45SchemeEvalC-45Builtins-integer clam-0) (let ((e-2 (unbox e-0))) (cond ((equal? e-2 8) (CoreC-45SchemeEvalC-45Builtins-int8 clam-0)) ((equal? e-2 16) (CoreC-45SchemeEvalC-45Builtins-int16 clam-0)) ((equal? e-2 32) (CoreC-45SchemeEvalC-45Builtins-int32 clam-0)) ((equal? e-2 64) (CoreC-45SchemeEvalC-45Builtins-int64 clam-0))(else (CoreC-45SchemeEvalC-45Builtins-integer clam-0))))))) ((1) (let ((e-1 (vector-ref arg-0 1))) (cond ((equal? e-1 8) (CoreC-45SchemeEvalC-45Builtins-bits8 clam-0)) ((equal? e-1 16) (CoreC-45SchemeEvalC-45Builtins-bits16 clam-0)) ((equal? e-1 32) (CoreC-45SchemeEvalC-45Builtins-bits32 clam-0)) ((equal? e-1 64) (CoreC-45SchemeEvalC-45Builtins-bits64 clam-0))(else (CoreC-45SchemeEvalC-45Builtins-integer clam-0)))))(else (CoreC-45SchemeEvalC-45Builtins-integer clam-0))))))
(define CoreC-45SchemeEvalC-45Builtins-unaryOp (lambda (arg-0 arg-1 arg-2) (CoreC-45SchemeEvalC-45Builtins-canonical arg-0 (cons arg-2 '()) (vector 17 (vector 11 arg-1) (cons arg-2 '())))))
(define CoreC-45SchemeEvalC-45Builtins-testPartial (lambda (arg-0 arg-1) (vector 13 "p-0" arg-1 (vector 14 (vector 17 (vector 11 "ct-isConstant") (cons (vector 11 "p-0") '())) (vector 11 "p-0") arg-0))))
(define CoreC-45SchemeEvalC-45Builtins-sub (lambda (arg-0 arg-1 arg-2) (if (null? arg-0) (vector 17 (vector 11 "ct-") (cons arg-1 (cons arg-2 '()))) (let ((e-1 (unbox arg-0))) (case (vector-ref e-1 0) ((0) (let ((e-2 (vector-ref e-1 1))) (if (null? e-2) (vector 17 (vector 11 "ct-") (cons arg-1 (cons arg-2 '()))) (let ((e-4 (unbox e-2))) (vector 17 (vector 11 "ct-s-") (cons arg-1 (cons arg-2 (cons (LibrariesC-45UtilsC-45Scheme-u--toScheme_Scheme_Int (bs- e-4 1 63)) '())))))))) ((1) (let ((e-3 (vector-ref e-1 1))) (vector 17 (vector 11 "ct-u-") (cons arg-1 (cons arg-2 (cons (LibrariesC-45UtilsC-45Scheme-u--toScheme_Scheme_Int e-3) '()))))))(else (vector 17 (vector 11 "ct-") (cons arg-1 (cons arg-2 '())))))))))
(define CoreC-45SchemeEvalC-45Builtins-shr (lambda (arg-0 arg-1 arg-2) (vector 17 (vector 11 "ct-shr") (cons arg-1 (cons arg-2 '())))))
(define CoreC-45SchemeEvalC-45Builtins-shl (lambda (arg-0 arg-1 arg-2) (if (null? arg-0) (vector 17 (vector 11 "ct-shl") (cons arg-1 (cons arg-2 '()))) (let ((e-1 (unbox arg-0))) (case (vector-ref e-1 0) ((0) (let ((e-2 (vector-ref e-1 1))) (if (null? e-2) (vector 17 (vector 11 "ct-shl") (cons arg-1 (cons arg-2 '()))) (let ((e-4 (unbox e-2))) (vector 17 (vector 11 "ct-bits-shl-signed") (cons arg-1 (cons arg-2 (cons (LibrariesC-45UtilsC-45Scheme-u--toScheme_Scheme_Int (bs- e-4 1 63)) '())))))))) ((1) (let ((e-3 (vector-ref e-1 1))) (vector 17 (vector 11 "ct-bits-shl") (cons arg-1 (cons arg-2 (cons (LibrariesC-45UtilsC-45Scheme-u--toScheme_Scheme_Int e-3) '()))))))(else (vector 17 (vector 11 "ct-shl") (cons arg-1 (cons arg-2 '())))))))))
(define CoreC-45SchemeEvalC-45Builtins-mul (lambda (arg-0 arg-1 arg-2) (if (null? arg-0) (vector 17 (vector 11 "ct*") (cons arg-1 (cons arg-2 '()))) (let ((e-1 (unbox arg-0))) (case (vector-ref e-1 0) ((0) (let ((e-2 (vector-ref e-1 1))) (if (null? e-2) (vector 17 (vector 11 "ct*") (cons arg-1 (cons arg-2 '()))) (let ((e-4 (unbox e-2))) (vector 17 (vector 11 "ct-s*") (cons arg-1 (cons arg-2 (cons (LibrariesC-45UtilsC-45Scheme-u--toScheme_Scheme_Int (bs- e-4 1 63)) '())))))))) ((1) (let ((e-3 (vector-ref e-1 1))) (vector 17 (vector 11 "ct-u*") (cons arg-1 (cons arg-2 (cons (LibrariesC-45UtilsC-45Scheme-u--toScheme_Scheme_Int e-3) '()))))))(else (vector 17 (vector 11 "ct*") (cons arg-1 (cons arg-2 '())))))))))
(define CoreC-45SchemeEvalC-45Builtins-mod (lambda (arg-0 arg-1) (vector 17 (vector 11 "ct-mod") (cons arg-0 (cons arg-1 '())))))
(define CoreC-45SchemeEvalC-45Builtins-mkArgList (lambda (arg-0 arg-1) (cond ((equal? arg-1 0) '())(else (let ((e-0 (- arg-1 1))) (cons (string-append "x-" (PreludeC-45Show-u--show_Show_Int arg-0)) (CoreC-45SchemeEvalC-45Builtins-mkArgList (bs+ arg-0 1 63) e-0)))))))
(define CoreC-45SchemeEvalC-45Builtins-integer (lambda (arg-0) (vector 8 -105 (cons arg-0 '()))))
(define CoreC-45SchemeEvalC-45Builtins-int8 (lambda (arg-0) (vector 8 -101 (cons arg-0 '()))))
(define CoreC-45SchemeEvalC-45Builtins-int64 (lambda (arg-0) (vector 8 -104 (cons arg-0 '()))))
(define CoreC-45SchemeEvalC-45Builtins-int32 (lambda (arg-0) (vector 8 -103 (cons arg-0 '()))))
(define CoreC-45SchemeEvalC-45Builtins-int16 (lambda (arg-0) (vector 8 -102 (cons arg-0 '()))))
(define CoreC-45SchemeEvalC-45Builtins-int (lambda (arg-0) (vector 8 -100 (cons arg-0 '()))))
(define CoreC-45SchemeEvalC-45Builtins-div (lambda (arg-0 arg-1 arg-2) (if (null? arg-0) (vector 17 (vector 11 "ct/") (cons arg-1 (cons arg-2 '()))) (let ((e-1 (unbox arg-0))) (case (vector-ref e-1 0) ((0) (let ((e-2 (vector-ref e-1 1))) (if (null? e-2) (vector 17 (vector 11 "ct/") (cons arg-1 (cons arg-2 '()))) (let ((e-4 (unbox e-2))) (vector 17 (vector 11 "ct-s/") (cons arg-1 (cons arg-2 (cons (LibrariesC-45UtilsC-45Scheme-u--toScheme_Scheme_Int (bs- e-4 1 63)) '())))))))) ((1) (let ((e-3 (vector-ref e-1 1))) (vector 17 (vector 11 "ct-u/") (cons arg-1 (cons arg-2 (cons (LibrariesC-45UtilsC-45Scheme-u--toScheme_Scheme_Int e-3) '()))))))(else (vector 17 (vector 11 "ct/") (cons arg-1 (cons arg-2 '())))))))))
(define CoreC-45SchemeEvalC-45Builtins-compileBuiltin (lambda (arg-0 arg-1 arg-2) (let ((u--args (CoreC-45SchemeEvalC-45Builtins-mkArgList 0 arg-0))) (CoreC-45SchemeEvalC-45Builtins-n--9883-5536-u--bindArgs arg-0 arg-2 arg-1 u--args '() u--args))))
(define CoreC-45SchemeEvalC-45Builtins-canonical (lambda (arg-1 arg-2 arg-3) (if (null? arg-2) arg-3 (let ((e-3 (car arg-2))) (let ((e-4 (cdr arg-2))) (vector 14 (vector 17 (vector 11 "ct-isConstant") (cons e-3 '())) (CoreC-45SchemeEvalC-45Builtins-canonical arg-1 e-4 arg-3) arg-1))))))
(define CoreC-45SchemeEvalC-45Builtins-boolOp (lambda (arg-0 arg-1 arg-2 arg-3) (CoreC-45SchemeEvalC-45Builtins-canonical arg-0 (cons arg-2 (cons arg-3 '())) (CoreC-45SchemeEvalC-45Builtins-int (vector 17 (vector 11 "or") (cons (vector 17 (vector 11 "and") (cons (vector 17 (vector 11 arg-1) (cons arg-2 (cons arg-3 '()))) (cons (vector 2 1) '()))) (cons (vector 2 0) '())))))))
(define CoreC-45SchemeEvalC-45Builtins-bits8 (lambda (arg-0) (vector 8 -106 (cons arg-0 '()))))
(define CoreC-45SchemeEvalC-45Builtins-bits64 (lambda (arg-0) (vector 8 -109 (cons arg-0 '()))))
(define CoreC-45SchemeEvalC-45Builtins-bits32 (lambda (arg-0) (vector 8 -108 (cons arg-0 '()))))
(define CoreC-45SchemeEvalC-45Builtins-bits16 (lambda (arg-0) (vector 8 -107 (cons arg-0 '()))))
(define CoreC-45SchemeEvalC-45Builtins-binOp (lambda (arg-0 arg-1 arg-2 arg-3) (CoreC-45SchemeEvalC-45Builtins-canonical arg-0 (cons arg-2 (cons arg-3 '())) (vector 17 (vector 11 arg-1) (cons arg-2 (cons arg-3 '()))))))
(define CoreC-45SchemeEvalC-45Builtins-applyOp (lambda (arg-1 arg-2 arg-3) (case (vector-ref arg-2 0) ((0) (let ((e-0 (vector-ref arg-2 1))) (cond ((equal? e-0 12) (if (null? arg-3) (let ((e-20 (car arg-3))) (let ((e-21 (cdr arg-3))) (let ((e-24 (car e-21))) (let ((e-25 (cdr e-21))) (CoreC-45SchemeEvalC-45Builtins-canonical arg-1 (cons e-20 (cons e-24 '())) (CoreC-45SchemeEvalC-45Builtins-add (CoreC-45TT-intKind e-0) e-20 e-24)))))) (let ((e-29 (car arg-3))) (let ((e-30 (cdr arg-3))) (if (null? e-30) (let ((e-20 (car arg-3))) (let ((e-21 (cdr arg-3))) (let ((e-24 (car e-21))) (let ((e-25 (cdr e-21))) (CoreC-45SchemeEvalC-45Builtins-canonical arg-1 (cons e-20 (cons e-24 '())) (CoreC-45SchemeEvalC-45Builtins-add (CoreC-45TT-intKind e-0) e-20 e-24)))))) (let ((e-33 (car e-30))) (let ((e-34 (cdr e-30))) (if (null? e-34) (CoreC-45SchemeEvalC-45Builtins-binOp arg-1 "+" e-29 e-33) (let ((e-20 (car arg-3))) (let ((e-21 (cdr arg-3))) (let ((e-24 (car e-21))) (let ((e-25 (cdr e-21))) (CoreC-45SchemeEvalC-45Builtins-canonical arg-1 (cons e-20 (cons e-24 '())) (CoreC-45SchemeEvalC-45Builtins-add (CoreC-45TT-intKind e-0) e-20 e-24))))))))))))))(else (let ((e-20 (car arg-3))) (let ((e-21 (cdr arg-3))) (let ((e-24 (car e-21))) (let ((e-25 (cdr e-21))) (CoreC-45SchemeEvalC-45Builtins-canonical arg-1 (cons e-20 (cons e-24 '())) (CoreC-45SchemeEvalC-45Builtins-add (CoreC-45TT-intKind e-0) e-20 e-24)))))))))) ((1) (let ((e-1 (vector-ref arg-2 1))) (cond ((equal? e-1 12) (if (null? arg-3) (let ((e-38 (car arg-3))) (let ((e-39 (cdr arg-3))) (let ((e-42 (car e-39))) (let ((e-43 (cdr e-39))) (CoreC-45SchemeEvalC-45Builtins-canonical arg-1 (cons e-38 (cons e-42 '())) (CoreC-45SchemeEvalC-45Builtins-sub (CoreC-45TT-intKind e-1) e-38 e-42)))))) (let ((e-47 (car arg-3))) (let ((e-48 (cdr arg-3))) (if (null? e-48) (let ((e-38 (car arg-3))) (let ((e-39 (cdr arg-3))) (let ((e-42 (car e-39))) (let ((e-43 (cdr e-39))) (CoreC-45SchemeEvalC-45Builtins-canonical arg-1 (cons e-38 (cons e-42 '())) (CoreC-45SchemeEvalC-45Builtins-sub (CoreC-45TT-intKind e-1) e-38 e-42)))))) (let ((e-51 (car e-48))) (let ((e-52 (cdr e-48))) (if (null? e-52) (CoreC-45SchemeEvalC-45Builtins-binOp arg-1 "-" e-47 e-51) (let ((e-38 (car arg-3))) (let ((e-39 (cdr arg-3))) (let ((e-42 (car e-39))) (let ((e-43 (cdr e-39))) (CoreC-45SchemeEvalC-45Builtins-canonical arg-1 (cons e-38 (cons e-42 '())) (CoreC-45SchemeEvalC-45Builtins-sub (CoreC-45TT-intKind e-1) e-38 e-42))))))))))))))(else (let ((e-38 (car arg-3))) (let ((e-39 (cdr arg-3))) (let ((e-42 (car e-39))) (let ((e-43 (cdr e-39))) (CoreC-45SchemeEvalC-45Builtins-canonical arg-1 (cons e-38 (cons e-42 '())) (CoreC-45SchemeEvalC-45Builtins-sub (CoreC-45TT-intKind e-1) e-38 e-42)))))))))) ((2) (let ((e-2 (vector-ref arg-2 1))) (cond ((equal? e-2 12) (if (null? arg-3) (let ((e-56 (car arg-3))) (let ((e-57 (cdr arg-3))) (let ((e-60 (car e-57))) (let ((e-61 (cdr e-57))) (CoreC-45SchemeEvalC-45Builtins-canonical arg-1 (cons e-56 (cons e-60 '())) (CoreC-45SchemeEvalC-45Builtins-mul (CoreC-45TT-intKind e-2) e-56 e-60)))))) (let ((e-65 (car arg-3))) (let ((e-66 (cdr arg-3))) (if (null? e-66) (let ((e-56 (car arg-3))) (let ((e-57 (cdr arg-3))) (let ((e-60 (car e-57))) (let ((e-61 (cdr e-57))) (CoreC-45SchemeEvalC-45Builtins-canonical arg-1 (cons e-56 (cons e-60 '())) (CoreC-45SchemeEvalC-45Builtins-mul (CoreC-45TT-intKind e-2) e-56 e-60)))))) (let ((e-69 (car e-66))) (let ((e-70 (cdr e-66))) (if (null? e-70) (CoreC-45SchemeEvalC-45Builtins-binOp arg-1 "*" e-65 e-69) (let ((e-56 (car arg-3))) (let ((e-57 (cdr arg-3))) (let ((e-60 (car e-57))) (let ((e-61 (cdr e-57))) (CoreC-45SchemeEvalC-45Builtins-canonical arg-1 (cons e-56 (cons e-60 '())) (CoreC-45SchemeEvalC-45Builtins-mul (CoreC-45TT-intKind e-2) e-56 e-60))))))))))))))(else (let ((e-56 (car arg-3))) (let ((e-57 (cdr arg-3))) (let ((e-60 (car e-57))) (let ((e-61 (cdr e-57))) (CoreC-45SchemeEvalC-45Builtins-canonical arg-1 (cons e-56 (cons e-60 '())) (CoreC-45SchemeEvalC-45Builtins-mul (CoreC-45TT-intKind e-2) e-56 e-60)))))))))) ((3) (let ((e-3 (vector-ref arg-2 1))) (cond ((equal? e-3 12) (if (null? arg-3) (let ((e-74 (car arg-3))) (let ((e-75 (cdr arg-3))) (let ((e-78 (car e-75))) (let ((e-79 (cdr e-75))) (CoreC-45SchemeEvalC-45Builtins-canonical arg-1 (cons e-74 (cons e-78 '())) (CoreC-45SchemeEvalC-45Builtins-div (CoreC-45TT-intKind e-3) e-74 e-78)))))) (let ((e-83 (car arg-3))) (let ((e-84 (cdr arg-3))) (if (null? e-84) (let ((e-74 (car arg-3))) (let ((e-75 (cdr arg-3))) (let ((e-78 (car e-75))) (let ((e-79 (cdr e-75))) (CoreC-45SchemeEvalC-45Builtins-canonical arg-1 (cons e-74 (cons e-78 '())) (CoreC-45SchemeEvalC-45Builtins-div (CoreC-45TT-intKind e-3) e-74 e-78)))))) (let ((e-87 (car e-84))) (let ((e-88 (cdr e-84))) (if (null? e-88) (CoreC-45SchemeEvalC-45Builtins-binOp arg-1 "/" e-83 e-87) (let ((e-74 (car arg-3))) (let ((e-75 (cdr arg-3))) (let ((e-78 (car e-75))) (let ((e-79 (cdr e-75))) (CoreC-45SchemeEvalC-45Builtins-canonical arg-1 (cons e-74 (cons e-78 '())) (CoreC-45SchemeEvalC-45Builtins-div (CoreC-45TT-intKind e-3) e-74 e-78))))))))))))))(else (let ((e-74 (car arg-3))) (let ((e-75 (cdr arg-3))) (let ((e-78 (car e-75))) (let ((e-79 (cdr e-75))) (CoreC-45SchemeEvalC-45Builtins-canonical arg-1 (cons e-74 (cons e-78 '())) (CoreC-45SchemeEvalC-45Builtins-div (CoreC-45TT-intKind e-3) e-74 e-78)))))))))) ((5) (let ((e-4 (vector-ref arg-2 1))) (cond ((equal? e-4 12) (if (null? arg-3) (let ((e-92 (car arg-3))) (let ((e-93 (cdr arg-3))) (CoreC-45SchemeEvalC-45Builtins-canonical arg-1 (cons e-92 '()) (vector 17 (vector 11 "ct-neg") (cons e-92 '()))))) (let ((e-97 (car arg-3))) (let ((e-98 (cdr arg-3))) (if (null? e-98) (CoreC-45SchemeEvalC-45Builtins-unaryOp arg-1 "-" e-97) (let ((e-92 (car arg-3))) (let ((e-93 (cdr arg-3))) (CoreC-45SchemeEvalC-45Builtins-canonical arg-1 (cons e-92 '()) (vector 17 (vector 11 "ct-neg") (cons e-92 '()))))))))))(else (let ((e-92 (car arg-3))) (let ((e-93 (cdr arg-3))) (CoreC-45SchemeEvalC-45Builtins-canonical arg-1 (cons e-92 '()) (vector 17 (vector 11 "ct-neg") (cons e-92 '()))))))))) ((4) (let ((e-102 (car arg-3))) (let ((e-103 (cdr arg-3))) (let ((e-106 (car e-103))) (let ((e-107 (cdr e-103))) (CoreC-45SchemeEvalC-45Builtins-canonical arg-1 (cons e-102 (cons e-106 '())) (CoreC-45SchemeEvalC-45Builtins-mod e-102 e-106))))))) ((6) (let ((e-6 (vector-ref arg-2 1))) (let ((e-111 (car arg-3))) (let ((e-112 (cdr arg-3))) (let ((e-115 (car e-112))) (let ((e-116 (cdr e-112))) (CoreC-45SchemeEvalC-45Builtins-canonical arg-1 (cons e-111 (cons e-115 '())) (CoreC-45SchemeEvalC-45Builtins-shl (CoreC-45TT-intKind e-6) e-111 e-115)))))))) ((7) (let ((e-7 (vector-ref arg-2 1))) (let ((e-120 (car arg-3))) (let ((e-121 (cdr arg-3))) (let ((e-124 (car e-121))) (let ((e-125 (cdr e-121))) (CoreC-45SchemeEvalC-45Builtins-canonical arg-1 (cons e-120 (cons e-124 '())) (CoreC-45SchemeEvalC-45Builtins-shr (CoreC-45TT-intKind e-7) e-120 e-124)))))))) ((8) (let ((e-129 (car arg-3))) (let ((e-130 (cdr arg-3))) (let ((e-133 (car e-130))) (let ((e-134 (cdr e-130))) (CoreC-45SchemeEvalC-45Builtins-binOp arg-1 "ct-and" e-129 e-133)))))) ((9) (let ((e-138 (car arg-3))) (let ((e-139 (cdr arg-3))) (let ((e-142 (car e-139))) (let ((e-143 (cdr e-139))) (CoreC-45SchemeEvalC-45Builtins-binOp arg-1 "ct-or" e-138 e-142)))))) ((10) (let ((e-147 (car arg-3))) (let ((e-148 (cdr arg-3))) (let ((e-151 (car e-148))) (let ((e-152 (cdr e-148))) (CoreC-45SchemeEvalC-45Builtins-binOp arg-1 "ct-xor" e-147 e-151)))))) ((11) (let ((e-11 (vector-ref arg-2 1))) (cond ((equal? e-11 11) (if (null? arg-3) (let ((e-156 (car arg-3))) (let ((e-157 (cdr arg-3))) (let ((e-160 (car e-157))) (let ((e-161 (cdr e-157))) (CoreC-45SchemeEvalC-45Builtins-boolOp arg-1 "ct<" e-156 e-160))))) (let ((e-165 (car arg-3))) (let ((e-166 (cdr arg-3))) (if (null? e-166) (let ((e-156 (car arg-3))) (let ((e-157 (cdr arg-3))) (let ((e-160 (car e-157))) (let ((e-161 (cdr e-157))) (CoreC-45SchemeEvalC-45Builtins-boolOp arg-1 "ct<" e-156 e-160))))) (let ((e-169 (car e-166))) (let ((e-170 (cdr e-166))) (if (null? e-170) (CoreC-45SchemeEvalC-45Builtins-boolOp arg-1 "char<?" e-165 e-169) (let ((e-156 (car arg-3))) (let ((e-157 (cdr arg-3))) (let ((e-160 (car e-157))) (let ((e-161 (cdr e-157))) (CoreC-45SchemeEvalC-45Builtins-boolOp arg-1 "ct<" e-156 e-160))))))))))))) ((equal? e-11 10) (if (null? arg-3) (let ((e-156 (car arg-3))) (let ((e-157 (cdr arg-3))) (let ((e-160 (car e-157))) (let ((e-161 (cdr e-157))) (CoreC-45SchemeEvalC-45Builtins-boolOp arg-1 "ct<" e-156 e-160))))) (let ((e-174 (car arg-3))) (let ((e-175 (cdr arg-3))) (if (null? e-175) (let ((e-156 (car arg-3))) (let ((e-157 (cdr arg-3))) (let ((e-160 (car e-157))) (let ((e-161 (cdr e-157))) (CoreC-45SchemeEvalC-45Builtins-boolOp arg-1 "ct<" e-156 e-160))))) (let ((e-178 (car e-175))) (let ((e-179 (cdr e-175))) (if (null? e-179) (CoreC-45SchemeEvalC-45Builtins-boolOp arg-1 "string<?" e-174 e-178) (let ((e-156 (car arg-3))) (let ((e-157 (cdr arg-3))) (let ((e-160 (car e-157))) (let ((e-161 (cdr e-157))) (CoreC-45SchemeEvalC-45Builtins-boolOp arg-1 "ct<" e-156 e-160))))))))))))) ((equal? e-11 12) (if (null? arg-3) (let ((e-156 (car arg-3))) (let ((e-157 (cdr arg-3))) (let ((e-160 (car e-157))) (let ((e-161 (cdr e-157))) (CoreC-45SchemeEvalC-45Builtins-boolOp arg-1 "ct<" e-156 e-160))))) (let ((e-183 (car arg-3))) (let ((e-184 (cdr arg-3))) (if (null? e-184) (let ((e-156 (car arg-3))) (let ((e-157 (cdr arg-3))) (let ((e-160 (car e-157))) (let ((e-161 (cdr e-157))) (CoreC-45SchemeEvalC-45Builtins-boolOp arg-1 "ct<" e-156 e-160))))) (let ((e-187 (car e-184))) (let ((e-188 (cdr e-184))) (if (null? e-188) (CoreC-45SchemeEvalC-45Builtins-boolOp arg-1 "<" e-183 e-187) (let ((e-156 (car arg-3))) (let ((e-157 (cdr arg-3))) (let ((e-160 (car e-157))) (let ((e-161 (cdr e-157))) (CoreC-45SchemeEvalC-45Builtins-boolOp arg-1 "ct<" e-156 e-160)))))))))))))(else (let ((e-156 (car arg-3))) (let ((e-157 (cdr arg-3))) (let ((e-160 (car e-157))) (let ((e-161 (cdr e-157))) (CoreC-45SchemeEvalC-45Builtins-boolOp arg-1 "ct<" e-156 e-160))))))))) ((12) (let ((e-12 (vector-ref arg-2 1))) (cond ((equal? e-12 11) (if (null? arg-3) (let ((e-192 (car arg-3))) (let ((e-193 (cdr arg-3))) (let ((e-196 (car e-193))) (let ((e-197 (cdr e-193))) (CoreC-45SchemeEvalC-45Builtins-boolOp arg-1 "ct<=" e-192 e-196))))) (let ((e-201 (car arg-3))) (let ((e-202 (cdr arg-3))) (if (null? e-202) (let ((e-192 (car arg-3))) (let ((e-193 (cdr arg-3))) (let ((e-196 (car e-193))) (let ((e-197 (cdr e-193))) (CoreC-45SchemeEvalC-45Builtins-boolOp arg-1 "ct<=" e-192 e-196))))) (let ((e-205 (car e-202))) (let ((e-206 (cdr e-202))) (if (null? e-206) (CoreC-45SchemeEvalC-45Builtins-boolOp arg-1 "char<=?" e-201 e-205) (let ((e-192 (car arg-3))) (let ((e-193 (cdr arg-3))) (let ((e-196 (car e-193))) (let ((e-197 (cdr e-193))) (CoreC-45SchemeEvalC-45Builtins-boolOp arg-1 "ct<=" e-192 e-196))))))))))))) ((equal? e-12 10) (if (null? arg-3) (let ((e-192 (car arg-3))) (let ((e-193 (cdr arg-3))) (let ((e-196 (car e-193))) (let ((e-197 (cdr e-193))) (CoreC-45SchemeEvalC-45Builtins-boolOp arg-1 "ct<=" e-192 e-196))))) (let ((e-210 (car arg-3))) (let ((e-211 (cdr arg-3))) (if (null? e-211) (let ((e-192 (car arg-3))) (let ((e-193 (cdr arg-3))) (let ((e-196 (car e-193))) (let ((e-197 (cdr e-193))) (CoreC-45SchemeEvalC-45Builtins-boolOp arg-1 "ct<=" e-192 e-196))))) (let ((e-214 (car e-211))) (let ((e-215 (cdr e-211))) (if (null? e-215) (CoreC-45SchemeEvalC-45Builtins-boolOp arg-1 "string<=?" e-210 e-214) (let ((e-192 (car arg-3))) (let ((e-193 (cdr arg-3))) (let ((e-196 (car e-193))) (let ((e-197 (cdr e-193))) (CoreC-45SchemeEvalC-45Builtins-boolOp arg-1 "ct<=" e-192 e-196))))))))))))) ((equal? e-12 12) (if (null? arg-3) (let ((e-192 (car arg-3))) (let ((e-193 (cdr arg-3))) (let ((e-196 (car e-193))) (let ((e-197 (cdr e-193))) (CoreC-45SchemeEvalC-45Builtins-boolOp arg-1 "ct<=" e-192 e-196))))) (let ((e-219 (car arg-3))) (let ((e-220 (cdr arg-3))) (if (null? e-220) (let ((e-192 (car arg-3))) (let ((e-193 (cdr arg-3))) (let ((e-196 (car e-193))) (let ((e-197 (cdr e-193))) (CoreC-45SchemeEvalC-45Builtins-boolOp arg-1 "ct<=" e-192 e-196))))) (let ((e-223 (car e-220))) (let ((e-224 (cdr e-220))) (if (null? e-224) (CoreC-45SchemeEvalC-45Builtins-boolOp arg-1 "<=" e-219 e-223) (let ((e-192 (car arg-3))) (let ((e-193 (cdr arg-3))) (let ((e-196 (car e-193))) (let ((e-197 (cdr e-193))) (CoreC-45SchemeEvalC-45Builtins-boolOp arg-1 "ct<=" e-192 e-196)))))))))))))(else (let ((e-192 (car arg-3))) (let ((e-193 (cdr arg-3))) (let ((e-196 (car e-193))) (let ((e-197 (cdr e-193))) (CoreC-45SchemeEvalC-45Builtins-boolOp arg-1 "ct<=" e-192 e-196))))))))) ((13) (let ((e-13 (vector-ref arg-2 1))) (cond ((equal? e-13 11) (if (null? arg-3) (let ((e-228 (car arg-3))) (let ((e-229 (cdr arg-3))) (let ((e-232 (car e-229))) (let ((e-233 (cdr e-229))) (CoreC-45SchemeEvalC-45Builtins-boolOp arg-1 "ct=" e-228 e-232))))) (let ((e-237 (car arg-3))) (let ((e-238 (cdr arg-3))) (if (null? e-238) (let ((e-228 (car arg-3))) (let ((e-229 (cdr arg-3))) (let ((e-232 (car e-229))) (let ((e-233 (cdr e-229))) (CoreC-45SchemeEvalC-45Builtins-boolOp arg-1 "ct=" e-228 e-232))))) (let ((e-241 (car e-238))) (let ((e-242 (cdr e-238))) (if (null? e-242) (CoreC-45SchemeEvalC-45Builtins-boolOp arg-1 "char=?" e-237 e-241) (let ((e-228 (car arg-3))) (let ((e-229 (cdr arg-3))) (let ((e-232 (car e-229))) (let ((e-233 (cdr e-229))) (CoreC-45SchemeEvalC-45Builtins-boolOp arg-1 "ct=" e-228 e-232))))))))))))) ((equal? e-13 10) (if (null? arg-3) (let ((e-228 (car arg-3))) (let ((e-229 (cdr arg-3))) (let ((e-232 (car e-229))) (let ((e-233 (cdr e-229))) (CoreC-45SchemeEvalC-45Builtins-boolOp arg-1 "ct=" e-228 e-232))))) (let ((e-246 (car arg-3))) (let ((e-247 (cdr arg-3))) (if (null? e-247) (let ((e-228 (car arg-3))) (let ((e-229 (cdr arg-3))) (let ((e-232 (car e-229))) (let ((e-233 (cdr e-229))) (CoreC-45SchemeEvalC-45Builtins-boolOp arg-1 "ct=" e-228 e-232))))) (let ((e-250 (car e-247))) (let ((e-251 (cdr e-247))) (if (null? e-251) (CoreC-45SchemeEvalC-45Builtins-boolOp arg-1 "string=?" e-246 e-250) (let ((e-228 (car arg-3))) (let ((e-229 (cdr arg-3))) (let ((e-232 (car e-229))) (let ((e-233 (cdr e-229))) (CoreC-45SchemeEvalC-45Builtins-boolOp arg-1 "ct=" e-228 e-232))))))))))))) ((equal? e-13 12) (if (null? arg-3) (let ((e-228 (car arg-3))) (let ((e-229 (cdr arg-3))) (let ((e-232 (car e-229))) (let ((e-233 (cdr e-229))) (CoreC-45SchemeEvalC-45Builtins-boolOp arg-1 "ct=" e-228 e-232))))) (let ((e-255 (car arg-3))) (let ((e-256 (cdr arg-3))) (if (null? e-256) (let ((e-228 (car arg-3))) (let ((e-229 (cdr arg-3))) (let ((e-232 (car e-229))) (let ((e-233 (cdr e-229))) (CoreC-45SchemeEvalC-45Builtins-boolOp arg-1 "ct=" e-228 e-232))))) (let ((e-259 (car e-256))) (let ((e-260 (cdr e-256))) (if (null? e-260) (CoreC-45SchemeEvalC-45Builtins-boolOp arg-1 "=" e-255 e-259) (let ((e-228 (car arg-3))) (let ((e-229 (cdr arg-3))) (let ((e-232 (car e-229))) (let ((e-233 (cdr e-229))) (CoreC-45SchemeEvalC-45Builtins-boolOp arg-1 "ct=" e-228 e-232)))))))))))))(else (let ((e-228 (car arg-3))) (let ((e-229 (cdr arg-3))) (let ((e-232 (car e-229))) (let ((e-233 (cdr e-229))) (CoreC-45SchemeEvalC-45Builtins-boolOp arg-1 "ct=" e-228 e-232))))))))) ((14) (let ((e-14 (vector-ref arg-2 1))) (cond ((equal? e-14 11) (if (null? arg-3) (let ((e-264 (car arg-3))) (let ((e-265 (cdr arg-3))) (let ((e-268 (car e-265))) (let ((e-269 (cdr e-265))) (CoreC-45SchemeEvalC-45Builtins-boolOp arg-1 "ct>=" e-264 e-268))))) (let ((e-273 (car arg-3))) (let ((e-274 (cdr arg-3))) (if (null? e-274) (let ((e-264 (car arg-3))) (let ((e-265 (cdr arg-3))) (let ((e-268 (car e-265))) (let ((e-269 (cdr e-265))) (CoreC-45SchemeEvalC-45Builtins-boolOp arg-1 "ct>=" e-264 e-268))))) (let ((e-277 (car e-274))) (let ((e-278 (cdr e-274))) (if (null? e-278) (CoreC-45SchemeEvalC-45Builtins-boolOp arg-1 "char>=?" e-273 e-277) (let ((e-264 (car arg-3))) (let ((e-265 (cdr arg-3))) (let ((e-268 (car e-265))) (let ((e-269 (cdr e-265))) (CoreC-45SchemeEvalC-45Builtins-boolOp arg-1 "ct>=" e-264 e-268))))))))))))) ((equal? e-14 10) (if (null? arg-3) (let ((e-264 (car arg-3))) (let ((e-265 (cdr arg-3))) (let ((e-268 (car e-265))) (let ((e-269 (cdr e-265))) (CoreC-45SchemeEvalC-45Builtins-boolOp arg-1 "ct>=" e-264 e-268))))) (let ((e-282 (car arg-3))) (let ((e-283 (cdr arg-3))) (if (null? e-283) (let ((e-264 (car arg-3))) (let ((e-265 (cdr arg-3))) (let ((e-268 (car e-265))) (let ((e-269 (cdr e-265))) (CoreC-45SchemeEvalC-45Builtins-boolOp arg-1 "ct>=" e-264 e-268))))) (let ((e-286 (car e-283))) (let ((e-287 (cdr e-283))) (if (null? e-287) (CoreC-45SchemeEvalC-45Builtins-boolOp arg-1 "string>=?" e-282 e-286) (let ((e-264 (car arg-3))) (let ((e-265 (cdr arg-3))) (let ((e-268 (car e-265))) (let ((e-269 (cdr e-265))) (CoreC-45SchemeEvalC-45Builtins-boolOp arg-1 "ct>=" e-264 e-268))))))))))))) ((equal? e-14 12) (if (null? arg-3) (let ((e-264 (car arg-3))) (let ((e-265 (cdr arg-3))) (let ((e-268 (car e-265))) (let ((e-269 (cdr e-265))) (CoreC-45SchemeEvalC-45Builtins-boolOp arg-1 "ct>=" e-264 e-268))))) (let ((e-291 (car arg-3))) (let ((e-292 (cdr arg-3))) (if (null? e-292) (let ((e-264 (car arg-3))) (let ((e-265 (cdr arg-3))) (let ((e-268 (car e-265))) (let ((e-269 (cdr e-265))) (CoreC-45SchemeEvalC-45Builtins-boolOp arg-1 "ct>=" e-264 e-268))))) (let ((e-295 (car e-292))) (let ((e-296 (cdr e-292))) (if (null? e-296) (CoreC-45SchemeEvalC-45Builtins-boolOp arg-1 ">=" e-291 e-295) (let ((e-264 (car arg-3))) (let ((e-265 (cdr arg-3))) (let ((e-268 (car e-265))) (let ((e-269 (cdr e-265))) (CoreC-45SchemeEvalC-45Builtins-boolOp arg-1 "ct>=" e-264 e-268)))))))))))))(else (let ((e-264 (car arg-3))) (let ((e-265 (cdr arg-3))) (let ((e-268 (car e-265))) (let ((e-269 (cdr e-265))) (CoreC-45SchemeEvalC-45Builtins-boolOp arg-1 "ct>=" e-264 e-268))))))))) ((15) (let ((e-15 (vector-ref arg-2 1))) (cond ((equal? e-15 11) (if (null? arg-3) (let ((e-300 (car arg-3))) (let ((e-301 (cdr arg-3))) (let ((e-304 (car e-301))) (let ((e-305 (cdr e-301))) (CoreC-45SchemeEvalC-45Builtins-boolOp arg-1 "ct>" e-300 e-304))))) (let ((e-309 (car arg-3))) (let ((e-310 (cdr arg-3))) (if (null? e-310) (let ((e-300 (car arg-3))) (let ((e-301 (cdr arg-3))) (let ((e-304 (car e-301))) (let ((e-305 (cdr e-301))) (CoreC-45SchemeEvalC-45Builtins-boolOp arg-1 "ct>" e-300 e-304))))) (let ((e-313 (car e-310))) (let ((e-314 (cdr e-310))) (if (null? e-314) (CoreC-45SchemeEvalC-45Builtins-boolOp arg-1 "char>?" e-309 e-313) (let ((e-300 (car arg-3))) (let ((e-301 (cdr arg-3))) (let ((e-304 (car e-301))) (let ((e-305 (cdr e-301))) (CoreC-45SchemeEvalC-45Builtins-boolOp arg-1 "ct>" e-300 e-304))))))))))))) ((equal? e-15 10) (if (null? arg-3) (let ((e-300 (car arg-3))) (let ((e-301 (cdr arg-3))) (let ((e-304 (car e-301))) (let ((e-305 (cdr e-301))) (CoreC-45SchemeEvalC-45Builtins-boolOp arg-1 "ct>" e-300 e-304))))) (let ((e-318 (car arg-3))) (let ((e-319 (cdr arg-3))) (if (null? e-319) (let ((e-300 (car arg-3))) (let ((e-301 (cdr arg-3))) (let ((e-304 (car e-301))) (let ((e-305 (cdr e-301))) (CoreC-45SchemeEvalC-45Builtins-boolOp arg-1 "ct>" e-300 e-304))))) (let ((e-322 (car e-319))) (let ((e-323 (cdr e-319))) (if (null? e-323) (CoreC-45SchemeEvalC-45Builtins-boolOp arg-1 "string>?" e-318 e-322) (let ((e-300 (car arg-3))) (let ((e-301 (cdr arg-3))) (let ((e-304 (car e-301))) (let ((e-305 (cdr e-301))) (CoreC-45SchemeEvalC-45Builtins-boolOp arg-1 "ct>" e-300 e-304))))))))))))) ((equal? e-15 12) (if (null? arg-3) (let ((e-300 (car arg-3))) (let ((e-301 (cdr arg-3))) (let ((e-304 (car e-301))) (let ((e-305 (cdr e-301))) (CoreC-45SchemeEvalC-45Builtins-boolOp arg-1 "ct>" e-300 e-304))))) (let ((e-327 (car arg-3))) (let ((e-328 (cdr arg-3))) (if (null? e-328) (let ((e-300 (car arg-3))) (let ((e-301 (cdr arg-3))) (let ((e-304 (car e-301))) (let ((e-305 (cdr e-301))) (CoreC-45SchemeEvalC-45Builtins-boolOp arg-1 "ct>" e-300 e-304))))) (let ((e-331 (car e-328))) (let ((e-332 (cdr e-328))) (if (null? e-332) (CoreC-45SchemeEvalC-45Builtins-boolOp arg-1 ">" e-327 e-331) (let ((e-300 (car arg-3))) (let ((e-301 (cdr arg-3))) (let ((e-304 (car e-301))) (let ((e-305 (cdr e-301))) (CoreC-45SchemeEvalC-45Builtins-boolOp arg-1 "ct>" e-300 e-304)))))))))))))(else (let ((e-300 (car arg-3))) (let ((e-301 (cdr arg-3))) (let ((e-304 (car e-301))) (let ((e-305 (cdr e-301))) (CoreC-45SchemeEvalC-45Builtins-boolOp arg-1 "ct>" e-300 e-304))))))))) ((16) (let ((e-336 (car arg-3))) (let ((e-337 (cdr arg-3))) (CoreC-45SchemeEvalC-45Builtins-canonical arg-1 (cons e-336 '()) (vector 8 -100 (cons (vector 17 (csegen-6656) (cons e-336 '())) '())))))) ((17) (let ((e-341 (car arg-3))) (let ((e-342 (cdr arg-3))) (CoreC-45SchemeEvalC-45Builtins-canonical arg-1 (cons e-341 '()) (vector 17 (vector 11 (csegen-6288)) (cons e-341 (cons (vector 2 0) '()))))))) ((18) (let ((e-346 (car arg-3))) (let ((e-347 (cdr arg-3))) (CoreC-45SchemeEvalC-45Builtins-canonical arg-1 (cons e-346 '()) (vector 17 (vector 11 "substring") (cons e-346 (cons (vector 2 1) (cons (vector 17 (csegen-6656) (cons e-346 '())) '())))))))) ((19) (let ((e-351 (car arg-3))) (let ((e-352 (cdr arg-3))) (let ((e-355 (car e-352))) (let ((e-356 (cdr e-352))) (CoreC-45SchemeEvalC-45Builtins-canonical arg-1 (cons e-351 (cons e-355 '())) (CoreC-45SchemeEvalC-45Builtins-testPartial arg-1 (vector 17 (vector 11 ((csegen-0) "ct-string-ref")) (cons e-351 (cons e-355 '())))))))))) ((20) (let ((e-360 (car arg-3))) (let ((e-361 (cdr arg-3))) (let ((e-364 (car e-361))) (let ((e-365 (cdr e-361))) (CoreC-45SchemeEvalC-45Builtins-canonical arg-1 (cons e-360 (cons e-364 '())) (vector 17 (vector 11 ((csegen-0) "ct-string-cons")) (cons e-360 (cons e-364 '()))))))))) ((21) (let ((e-369 (car arg-3))) (let ((e-370 (cdr arg-3))) (let ((e-373 (car e-370))) (let ((e-374 (cdr e-370))) (CoreC-45SchemeEvalC-45Builtins-canonical arg-1 (cons e-369 (cons e-373 '())) (vector 17 (vector 11 (csegen-6290)) (cons e-369 (cons e-373 '()))))))))) ((22) (let ((e-378 (car arg-3))) (let ((e-379 (cdr arg-3))) (CoreC-45SchemeEvalC-45Builtins-canonical arg-1 (cons e-378 '()) (vector 17 (vector 11 ((csegen-0) "ct-string-reverse")) (cons e-378 '())))))) ((23) (let ((e-383 (car arg-3))) (let ((e-384 (cdr arg-3))) (let ((e-387 (car e-384))) (let ((e-388 (cdr e-384))) (let ((e-391 (car e-388))) (let ((e-392 (cdr e-388))) (CoreC-45SchemeEvalC-45Builtins-canonical arg-1 (cons e-383 (cons e-387 (cons e-391 '()))) (vector 17 (vector 11 ((csegen-0) "ct-string-substr")) (cons e-383 '())))))))))) ((24) (let ((e-396 (car arg-3))) (let ((e-397 (cdr arg-3))) (CoreC-45SchemeEvalC-45Builtins-unaryOp arg-1 "flexp" e-396)))) ((25) (let ((e-401 (car arg-3))) (let ((e-402 (cdr arg-3))) (CoreC-45SchemeEvalC-45Builtins-unaryOp arg-1 "fllog" e-401)))) ((26) (let ((e-406 (car arg-3))) (let ((e-407 (cdr arg-3))) (let ((e-410 (car e-407))) (let ((e-411 (cdr e-407))) (CoreC-45SchemeEvalC-45Builtins-binOp arg-1 "expt" e-406 e-410)))))) ((27) (let ((e-415 (car arg-3))) (let ((e-416 (cdr arg-3))) (CoreC-45SchemeEvalC-45Builtins-unaryOp arg-1 "flsin" e-415)))) ((28) (let ((e-420 (car arg-3))) (let ((e-421 (cdr arg-3))) (CoreC-45SchemeEvalC-45Builtins-unaryOp arg-1 "flcos" e-420)))) ((29) (let ((e-425 (car arg-3))) (let ((e-426 (cdr arg-3))) (CoreC-45SchemeEvalC-45Builtins-unaryOp arg-1 "fltan" e-425)))) ((30) (let ((e-430 (car arg-3))) (let ((e-431 (cdr arg-3))) (CoreC-45SchemeEvalC-45Builtins-unaryOp arg-1 "flasin" e-430)))) ((31) (let ((e-435 (car arg-3))) (let ((e-436 (cdr arg-3))) (CoreC-45SchemeEvalC-45Builtins-unaryOp arg-1 "flacos" e-435)))) ((32) (let ((e-440 (car arg-3))) (let ((e-441 (cdr arg-3))) (CoreC-45SchemeEvalC-45Builtins-unaryOp arg-1 "flatan" e-440)))) ((33) (let ((e-445 (car arg-3))) (let ((e-446 (cdr arg-3))) (CoreC-45SchemeEvalC-45Builtins-unaryOp arg-1 "flsqrt" e-445)))) ((34) (let ((e-450 (car arg-3))) (let ((e-451 (cdr arg-3))) (CoreC-45SchemeEvalC-45Builtins-unaryOp arg-1 "flfloor" e-450)))) ((35) (let ((e-455 (car arg-3))) (let ((e-456 (cdr arg-3))) (CoreC-45SchemeEvalC-45Builtins-unaryOp arg-1 "flceiling" e-455)))) ((36) (let ((e-16 (vector-ref arg-2 1))) (let ((e-17 (vector-ref arg-2 2))) (let ((e-460 (car arg-3))) (let ((e-461 (cdr arg-3))) (CoreC-45SchemeEvalC-45Builtins-applyCast arg-1 e-16 e-17 e-460)))))) ((37) (let ((e-466 (cdr arg-3))) (let ((e-470 (cdr e-466))) (let ((e-473 (car e-470))) (let ((e-474 (cdr e-470))) e-473))))) (else (let ((e-479 (cdr arg-3))) (let ((e-483 (cdr e-479))) arg-1))))))
(define CoreC-45SchemeEvalC-45Builtins-applyIntCast (lambda (arg-0 arg-1 arg-2) (case (vector-ref arg-1 0) ((0) (let ((e-8 (vector-ref arg-1 1))) (if (null? e-8) arg-2 (case (vector-ref arg-0 0) ((0) (let ((e-0 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((0) (let ((e-2 (vector-ref arg-1 1))) (let ((e-4 (unbox e-2))) (let ((u--k (vector 0 (box e-4)))) (let ((sc5 (CoreC-45TT-u--C-62C-61_Ord_Precision (box e-4) e-0))) (cond ((equal? sc5 1) arg-2) (else ((CoreC-45SchemeEvalC-45Builtins-wrap u--k) (vector 17 (vector 11 "ct-cast-signed") (cons arg-2 (cons (LibrariesC-45UtilsC-45Scheme-u--toScheme_Scheme_Int (bs- e-4 1 63)) '()))))))))))) (else (let ((e-3 (vector-ref arg-1 1))) ((CoreC-45SchemeEvalC-45Builtins-wrap arg-1) (vector 17 (csegen-6668) (cons arg-2 (cons (LibrariesC-45UtilsC-45Scheme-u--toScheme_Scheme_Int e-3) '()))))))))) (else (let ((e-1 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((0) (let ((e-5 (vector-ref arg-1 1))) (let ((e-7 (unbox e-5))) (let ((u--k (vector 0 (box e-7)))) (let ((sc5 (PreludeC-45EqOrd-u--C-62_Ord_Int e-7 e-1))) (cond ((equal? sc5 1) arg-2) (else ((CoreC-45SchemeEvalC-45Builtins-wrap u--k) (vector 17 (vector 11 "ct-cast-signed") (cons arg-2 (cons (LibrariesC-45UtilsC-45Scheme-u--toScheme_Scheme_Int (bs- e-7 1 63)) '()))))))))))) (else (let ((e-6 (vector-ref arg-1 1))) (let ((sc4 (PreludeC-45EqOrd-u--C-62C-61_Ord_Int e-6 e-1))) (cond ((equal? sc4 1) arg-2) (else (vector 17 (vector 11 "ct-cast-unsigned") (cons arg-2 (cons (LibrariesC-45UtilsC-45Scheme-u--toScheme_Scheme_Int e-6) '())))))))))))))))(else (case (vector-ref arg-0 0) ((0) (let ((e-0 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((0) (let ((e-2 (vector-ref arg-1 1))) (let ((e-4 (unbox e-2))) (let ((u--k (vector 0 (box e-4)))) (let ((sc3 (CoreC-45TT-u--C-62C-61_Ord_Precision (box e-4) e-0))) (cond ((equal? sc3 1) arg-2) (else ((CoreC-45SchemeEvalC-45Builtins-wrap u--k) (vector 17 (vector 11 "ct-cast-signed") (cons arg-2 (cons (LibrariesC-45UtilsC-45Scheme-u--toScheme_Scheme_Int (bs- e-4 1 63)) '()))))))))))) (else (let ((e-3 (vector-ref arg-1 1))) ((CoreC-45SchemeEvalC-45Builtins-wrap arg-1) (vector 17 (csegen-6668) (cons arg-2 (cons (LibrariesC-45UtilsC-45Scheme-u--toScheme_Scheme_Int e-3) '()))))))))) (else (let ((e-1 (vector-ref arg-0 1))) (case (vector-ref arg-1 0) ((0) (let ((e-5 (vector-ref arg-1 1))) (let ((e-7 (unbox e-5))) (let ((u--k (vector 0 (box e-7)))) (let ((sc3 (PreludeC-45EqOrd-u--C-62_Ord_Int e-7 e-1))) (cond ((equal? sc3 1) arg-2) (else ((CoreC-45SchemeEvalC-45Builtins-wrap u--k) (vector 17 (vector 11 "ct-cast-signed") (cons arg-2 (cons (LibrariesC-45UtilsC-45Scheme-u--toScheme_Scheme_Int (bs- e-7 1 63)) '()))))))))))) (else (let ((e-6 (vector-ref arg-1 1))) (let ((sc2 (PreludeC-45EqOrd-u--C-62C-61_Ord_Int e-6 e-1))) (cond ((equal? sc2 1) arg-2) (else (vector 17 (vector 11 "ct-cast-unsigned") (cons arg-2 (cons (LibrariesC-45UtilsC-45Scheme-u--toScheme_Scheme_Int e-6) '()))))))))))))))))
(define CoreC-45SchemeEvalC-45Builtins-applyCast (lambda (arg-0 arg-1 arg-2 arg-3) (cond ((equal? arg-1 11) (CoreC-45SchemeEvalC-45Builtins-canonical arg-0 (cons arg-3 '()) (CoreC-45SchemeEvalC-45Builtins-case--applyCast-3905 arg-3 arg-2 arg-0 (CoreC-45TT-intKind arg-2))))(else (cond ((equal? arg-2 11) (CoreC-45SchemeEvalC-45Builtins-canonical arg-0 (cons arg-3 '()) (let ((sc1 (CoreC-45TT-intKind arg-1))) (if (null? sc1) arg-0 (vector 17 (vector 11 "ct-cast-int-char") (cons arg-3 '()))))))(else (cond ((equal? arg-1 10) (CoreC-45SchemeEvalC-45Builtins-canonical arg-0 (cons arg-3 '()) (CoreC-45SchemeEvalC-45Builtins-case--applyCast-4062 arg-3 arg-2 arg-0 (CoreC-45TT-intKind arg-2))))(else (cond ((equal? arg-2 10) (CoreC-45SchemeEvalC-45Builtins-canonical arg-0 (cons arg-3 '()) (let ((sc1 (CoreC-45TT-intKind arg-1))) (if (null? sc1) (cond ((equal? arg-1 12) (vector 17 (csegen-6639) (cons arg-3 '())))(else arg-0)) (vector 17 (vector 11 "ct-cast-number-string") (cons arg-3 '()))))))(else (cond ((equal? arg-1 12) (CoreC-45SchemeEvalC-45Builtins-canonical arg-0 (cons arg-3 '()) (CoreC-45SchemeEvalC-45Builtins-case--applyCast-4243 arg-3 arg-2 arg-0 (CoreC-45TT-intKind arg-2))))(else (cond ((equal? arg-2 12) (CoreC-45SchemeEvalC-45Builtins-canonical arg-0 (cons arg-3 '()) (let ((sc1 (CoreC-45TT-intKind arg-1))) (if (null? sc1) (cond ((equal? arg-1 10) (vector 17 (csegen-6645) (cons arg-3 '())))(else arg-0)) (vector 17 (vector 11 "ct-int-double") (cons arg-3 '()))))))(else (CoreC-45SchemeEvalC-45Builtins-canonical arg-0 (cons arg-3 '()) (let ((sc0 (CoreC-45TT-intKind arg-1))) (if (null? sc0) arg-0 (let ((e-5 (unbox sc0))) (let ((sc1 (CoreC-45TT-intKind arg-2))) (if (null? sc1) arg-0 (let ((e-7 (unbox sc1))) (CoreC-45SchemeEvalC-45Builtins-applyIntCast e-5 e-7 arg-3))))))))))))))))))))))
(define CoreC-45SchemeEvalC-45Builtins-add (lambda (arg-0 arg-1 arg-2) (if (null? arg-0) (vector 17 (vector 11 "ct+") (cons arg-1 (cons arg-2 '()))) (let ((e-1 (unbox arg-0))) (case (vector-ref e-1 0) ((0) (let ((e-2 (vector-ref e-1 1))) (if (null? e-2) (vector 17 (vector 11 "ct+") (cons arg-1 (cons arg-2 '()))) (let ((e-4 (unbox e-2))) (vector 17 (vector 11 "ct-s+") (cons arg-1 (cons arg-2 (cons (LibrariesC-45UtilsC-45Scheme-u--toScheme_Scheme_Int (bs- e-4 1 63)) '())))))))) ((1) (let ((e-3 (vector-ref e-1 1))) (vector 17 (vector 11 "ct-u+") (cons arg-1 (cons arg-2 (cons (LibrariesC-45UtilsC-45Scheme-u--toScheme_Scheme_Int e-3) '()))))))(else (vector 17 (vector 11 "ct+") (cons arg-1 (cons arg-2 '())))))))))
(define CoreC-45ContextC-45PrettyC-45Resugared-prettyDef (lambda (arg-0 arg-1 arg-2) (case (vector-ref arg-2 0) ((0) (lambda (eta-0) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-594) "undefined")))) ((1) (let ((e-1 (vector-ref arg-2 2))) (let ((e-2 (vector-ref arg-2 3))) (let ((eff-0 (CoreC-45CaseC-45CaseTreeC-45PrettyC-45Resugared-prettyTree e-1 arg-0 arg-1 (CoreC-45Env-mkEnv (CoreC-45FC-emptyFC) e-1) e-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-5 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-5)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vcat (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "Arguments") (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--cast_Cast_C-40DocC-32VoidC-41_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-prettyList (csegen-1529) e-1))) (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45DocC-45Annotations-header (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "Compile time tree")) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-reAnnotate (lambda (eta-1) (vector 6 eta-1)) e-5)) '()))))))) eff-1)))))))))) ((5) (let ((e-5 (vector-ref arg-2 1))) (let ((e-6 (vector-ref arg-2 2))) (let ((e-7 (vector-ref arg-2 3))) (lambda (eta-0) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vcat (cons (IdrisC-45DocC-45Annotations-header (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "Data constructor")) ((csegen-4140) (PreludeC-45TypesC-45List-tailRecAppend (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "tag:") (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-byShow (csegen-583) e-5)) (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "arity:") (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-byShow (csegen-1068) e-6)) '())) (PreludeC-45Types-maybe (lambda () '()) (lambda () (lambda (u--n) (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "newtype by:") (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-byShow (cons (lambda (u--x) (PreludeC-45Show-u--show_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-1331) u--x)) (lambda (u--d) (lambda (u--x) (PreludeC-45Show-u--showPrec_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-1331) u--d u--x)))) u--n)) '()))) e-7))))))))))) ((6) (let ((e-8 (vector-ref arg-2 1))) (let ((e-9 (vector-ref arg-2 2))) (let ((e-10 (vector-ref arg-2 3))) (let ((e-13 (vector-ref arg-2 6))) (let ((e-14 (vector-ref arg-2 7))) (let ((e-15 (vector-ref arg-2 8))) (lambda (eta-0) (vector 1 (let ((u--enum (lambda (eta-1) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-hsep (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-punctuate (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 ",") eta-1))))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vcat (cons (IdrisC-45DocC-45Annotations-header (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "Type constructor")) ((csegen-4140) (PreludeC-45TypesC-45List-tailRecAppend (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "tag:") (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-byShow (csegen-583) e-8)) (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "arity:") (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-byShow (csegen-1068) e-9)) (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 ((csegen-331) "parameter positions:") (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-byShow (csegen-1335) e-10)) (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 ((csegen-331) "constructors:") (u--enum (PreludeC-45Interfaces-C-60C-36C-62 (csegen-24) (lambda (u--nm) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-annotate (vector 6 (vector 2 (box u--nm))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-1529) u--nm))) e-14))) '())))) (PreludeC-45TypesC-45List-tailRecAppend ((PreludeC-45Interfaces-C-60C-36 (csegen-24) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 ((csegen-331) "mutual with:") (u--enum (PreludeC-45Interfaces-C-60C-36C-62 (csegen-24) (csegen-3585) e-13)))) (PreludeC-45Interfaces-guard (csegen-1889) (let ((sc1 (PreludeC-45Types-u--null_Foldable_List e-13))) (cond ((equal? sc1 1) 0) (else 1))))) (PreludeC-45Types-maybe (lambda () '()) (lambda () (lambda (u--pos) (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "detaggable by:") (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-byShow (csegen-1335) u--pos)) '()))) e-15)))))))))))))))) ((2) (let ((e-16 (vector-ref arg-2 1))) (lambda (eta-0) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vcat (cons (IdrisC-45DocC-45Annotations-header (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "External definition")) ((csegen-4140) (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "arity:") (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-byShow (csegen-1068) e-16)) '())))))))) ((3) (let ((e-17 (vector-ref arg-2 1))) (let ((e-18 (vector-ref arg-2 2))) (lambda (eta-0) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vcat (cons (IdrisC-45DocC-45Annotations-header (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "Foreign definition")) ((csegen-4140) (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "arity:") (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-byShow (csegen-1068) e-17)) (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "bindings:") (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-byShow (csegen-1286) e-18)) '())))))))))) ((4) (let ((e-19 (vector-ref arg-2 1))) (lambda (eta-0) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vcat (cons (IdrisC-45DocC-45Annotations-header (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-594) "Builtin")) ((csegen-4140) (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "arity:") (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-byShow (csegen-1068) e-19)) '())))))))) ((7) (let ((e-22 (vector-ref arg-2 2))) (lambda (eta-0) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vcat (cons (IdrisC-45DocC-45Annotations-header (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-594) "Hole")) ((csegen-4140) ((PreludeC-45Interfaces-C-60C-36 (csegen-24) ((csegen-331) "Implicitly bound name")) (PreludeC-45Interfaces-guard (csegen-1889) (let ((e-0 (car e-22))) e-0)))))))))) ((8) (let ((e-24 (vector-ref arg-2 2))) (let ((e-25 (vector-ref arg-2 3))) (lambda (eta-0) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vcat (cons (IdrisC-45DocC-45Annotations-header (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-594) "Search")) ((csegen-4140) (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "depth:") (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-byShow (csegen-1068) e-24)) (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "in:") (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-1529) e-25)) '())))))))))) ((9) (let ((e-26 (vector-ref arg-2 1))) (let ((e-28 (vector-ref arg-2 3))) (lambda (eta-0) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vcat (cons (IdrisC-45DocC-45Annotations-header (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-594) "Guess")) ((csegen-4140) (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "solution:") (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-byShow (csegen-1538) e-26)) (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "when:") (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-byShow (cons (lambda (u--x) (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-583) u--x)) (lambda (u--d) (lambda (u--x) (PreludeC-45Show-u--showPrec_Show_C-40ListC-32C-36aC-41 (csegen-583) u--d u--x)))) e-28)) '())))))))))) ((11) (let ((e-29 (vector-ref arg-2 1))) (lambda (eta-0) (vector 1 (((csegen-380) ((csegen-331) "Universe level #")) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-byShow (csegen-6703) e-29)))))) ((10) (lambda (eta-0) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "Bound name")))) (else (lambda (eta-0) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-594) "Delayed")))))))
(define CoreC-45CompileExprC-45Pretty-u--pretty_Pretty_IdrisSyntax_NamedConstAlt (lambda (arg-0) (let ((e-0 (car arg-0))) (let ((e-1 (cdr arg-0))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (CoreC-45TT-u--pretty_Pretty_IdrisSyntax_Constant e-0) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (csegen-3596) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-align (CoreC-45CompileExprC-45Pretty-u--pretty_Pretty_IdrisSyntax_NamedCExp e-1))))))))
(define CoreC-45CompileExprC-45Pretty-u--pretty_Pretty_IdrisSyntax_NamedConAlt (lambda (arg-0) (let ((e-0 (vector-ref arg-0 0))) (let ((e-1 (vector-ref arg-0 1))) (let ((e-2 (vector-ref arg-0 2))) (let ((e-3 (vector-ref arg-0 3))) (let ((e-4 (vector-ref arg-0 4))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-sep (cons (CoreC-45CompileExprC-45Pretty-prettyCon e-0 e-1 e-2) (PreludeC-45TypesC-45List-tailRecAppend ((csegen-3586) e-3) (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (csegen-3596) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-align (CoreC-45CompileExprC-45Pretty-u--pretty_Pretty_IdrisSyntax_NamedCExp e-4))) '())))))))))))
(define CoreC-45CompileExprC-45Pretty-u--pretty_Pretty_IdrisSyntax_NamedCExp (lambda (arg-0) (CoreC-45CompileExprC-45Pretty-u--prettyPrec_Pretty_IdrisSyntax_NamedCExp (vector 0 ) arg-0)))
(define CoreC-45CompileExprC-45Pretty-u--pretty_Pretty_IdrisSyntax_C-40CExpC-32C-36argsC-41 (lambda (arg-0 ext-0) (CoreC-45CompileExprC-45Pretty-u--pretty_Pretty_IdrisSyntax_NamedCExp (CoreC-45CompileExpr-forget arg-0 ext-0))))
(define CoreC-45CompileExprC-45Pretty-u--pretty_Pretty_IdrisDocAnn_CDef (lambda (arg-0) (case (vector-ref arg-0 0) ((0) (let ((e-0 (vector-ref arg-0 1))) (let ((e-1 (vector-ref arg-0 2))) (if (null? e-0) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-prettyBy (csegen-6710) (lambda (eta-0) (vector 6 eta-0)) e-1) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-reAnnotate (lambda (eta-0) (vector 6 eta-0)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (csegen-6712) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-concatWith (lambda (u--x) (lambda (u--y) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (((csegen-380) u--x) (IdrisC-45PrettyC-45Annotations-keyword (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-594) ","))) u--y))) ((csegen-3586) e-0)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45PrettyC-45Annotations-fatArrow) (CoreC-45CompileExprC-45Pretty-u--pretty_Pretty_IdrisSyntax_C-40CExpC-32C-36argsC-41 e-0 e-1))))))))) ((1) (let ((e-2 (vector-ref arg-0 1))) (let ((e-3 (vector-ref arg-0 2))) (let ((e-4 (vector-ref arg-0 3))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vcat (cons (IdrisC-45DocC-45Annotations-header (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (PreludeC-45Types-maybe (lambda () (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "Data")) (lambda () (lambda (eta-0) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "Type"))) e-2) (csegen-4064))) ((csegen-4140) (PreludeC-45TypesC-45List-tailRecAppend (PreludeC-45Types-maybe (lambda () '()) (lambda () (lambda (u--tag) (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "tag:") (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-byShow (csegen-583) u--tag)) '()))) e-2) (PreludeC-45TypesC-45List-tailRecAppend (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "arity:") (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-byShow (csegen-1068) e-3)) '()) (PreludeC-45Types-maybe (lambda () '()) (lambda () (lambda (u--n) (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "newtype by:") (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-byShow (csegen-1068) u--n)) '()))) e-4)))))))))) ((2) (let ((e-5 (vector-ref arg-0 1))) (let ((e-6 (vector-ref arg-0 2))) (let ((e-7 (vector-ref arg-0 3))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vcat (cons (IdrisC-45DocC-45Annotations-header (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "Foreign function")) ((csegen-4140) (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "bindings:") ((csegen-3649) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-prettyList (csegen-863) e-5))) (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 ((csegen-331) "argument types:") (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-byShow (cons (lambda (u--x) (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-1515) u--x)) (lambda (u--d) (lambda (u--x) (PreludeC-45Show-u--showPrec_Show_C-40ListC-32C-36aC-41 (csegen-1515) u--d u--x)))) e-6)) (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 ((csegen-331) "return type:") (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-byShow (csegen-1515) e-7)) '())))))))))) (else (let ((e-8 (vector-ref arg-0 1))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "Error:") (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-prettyBy (csegen-6710) (lambda (eta-0) (vector 6 eta-0)) e-8)))))))
(define CoreC-45CompileExprC-45Pretty-u--prettyPrec_Pretty_IdrisSyntax_NamedConstAlt (lambda (arg-0 arg-1) (CoreC-45CompileExprC-45Pretty-u--pretty_Pretty_IdrisSyntax_NamedConstAlt arg-1)))
(define CoreC-45CompileExprC-45Pretty-u--prettyPrec_Pretty_IdrisSyntax_NamedConAlt (lambda (arg-0 arg-1) (CoreC-45CompileExprC-45Pretty-u--pretty_Pretty_IdrisSyntax_NamedConAlt arg-1)))
(define CoreC-45CompileExprC-45Pretty-u--prettyPrec_Pretty_IdrisSyntax_NamedCExp (lambda (arg-0 arg-1) (case (vector-ref arg-1 0) ((0) (let ((e-1 (vector-ref arg-1 2))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-annotate (vector 4 ) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-1529) e-1)))) ((1) (let ((e-3 (vector-ref arg-1 2))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-annotate (vector 3 e-3) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-1529) e-3)))) ((2) (let ((e-5 (vector-ref arg-1 2))) (let ((e-6 (vector-ref arg-1 3))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-parenthesise (PreludeC-45Show-u--C-62_Ord_Prec arg-0 (vector 0 )) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (csegen-6712) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-1529) e-5)) (IdrisC-45PrettyC-45Annotations-fatArrow)) (CoreC-45CompileExprC-45Pretty-u--pretty_Pretty_IdrisSyntax_NamedCExp e-6)))))) ((3) (let ((e-8 (vector-ref arg-1 2))) (let ((e-9 (vector-ref arg-1 3))) (let ((e-10 (vector-ref arg-1 4))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-parenthesise (PreludeC-45Show-u--C-62_Ord_Prec arg-0 (vector 0 )) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vcat (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45PrettyC-45Annotations-let_) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-1529) e-8) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45PrettyC-45Annotations-equals) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (CoreC-45CompileExprC-45Pretty-u--pretty_Pretty_IdrisSyntax_NamedCExp e-9) (IdrisC-45PrettyC-45Annotations-in_))))) (cons (CoreC-45CompileExprC-45Pretty-u--pretty_Pretty_IdrisSyntax_NamedCExp e-10) '())))))))) ((4) (let ((e-12 (vector-ref arg-1 2))) (let ((e-13 (vector-ref arg-1 3))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-parenthesise (PreludeC-45Show-u--C-62_Ord_Prec arg-0 (vector 0 )) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-sep (cons (CoreC-45CompileExprC-45Pretty-u--pretty_Pretty_IdrisSyntax_NamedCExp e-12) ((csegen-6725) e-13))))))) ((5) (let ((e-15 (vector-ref arg-1 2))) (let ((e-16 (vector-ref arg-1 3))) (let ((e-17 (vector-ref arg-1 4))) (let ((e-18 (vector-ref arg-1 5))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-parenthesise (PreludeC-45Show-u--C-62_Ord_Prec arg-0 (vector 0 )) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-sep (cons (CoreC-45CompileExprC-45Pretty-prettyCon e-15 e-16 e-17) ((csegen-6725) e-18))))))))) ((6) (let ((e-21 (vector-ref arg-1 3))) (let ((e-22 (vector-ref arg-1 4))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-parenthesise (PreludeC-45Show-u--C-62_Ord_Prec arg-0 (vector 0 )) (CoreC-45TT-prettyOp e-21 (DataC-45Vect-u--map_Functor_C-40VectC-32C-36nC-41 (csegen-6724) e-22)))))) ((7) (let ((e-24 (vector-ref arg-1 2))) (let ((e-25 (vector-ref arg-1 3))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-parenthesise (PreludeC-45Show-u--C-62_Ord_Prec arg-0 (vector 0 )) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-sep (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-annotate (vector 3 e-24) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-1529) e-24)) ((csegen-6725) e-25))))))) ((8) (let ((e-27 (vector-ref arg-1 2))) (let ((e-28 (vector-ref arg-1 3))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-parenthesise (PreludeC-45Show-u--C-62_Ord_Prec arg-0 (vector 0 )) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-sep (cons (IdrisC-45PrettyC-45Annotations-keyword (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-594) "Force")) (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-byShow (csegen-6729) e-27) (cons (CoreC-45CompileExprC-45Pretty-u--prettyPrec_Pretty_IdrisSyntax_NamedCExp (vector 6 ) e-28) '())))))))) ((9) (let ((e-30 (vector-ref arg-1 2))) (let ((e-31 (vector-ref arg-1 3))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-parenthesise (PreludeC-45Show-u--C-62_Ord_Prec arg-0 (vector 0 )) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-sep (cons (csegen-3588) (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-byShow (csegen-6729) e-30) (cons (CoreC-45CompileExprC-45Pretty-u--prettyPrec_Pretty_IdrisSyntax_NamedCExp (vector 6 ) e-31) '())))))))) ((10) (let ((e-33 (vector-ref arg-1 2))) (let ((e-34 (vector-ref arg-1 3))) (let ((e-35 (vector-ref arg-1 4))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-parenthesise (PreludeC-45Show-u--C-62_Ord_Prec arg-0 (vector 0 )) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vcat (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45PrettyC-45Annotations-case_) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (CoreC-45CompileExprC-45Pretty-u--pretty_Pretty_IdrisSyntax_NamedCExp e-33) (IdrisC-45PrettyC-45Annotations-of_))) (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-indent 2 (CoreC-45CompileExprC-45Pretty-prettyAlts (cons (lambda (arg-8762) (CoreC-45CompileExprC-45Pretty-u--pretty_Pretty_IdrisSyntax_NamedConAlt arg-8762)) (lambda (arg-8768) (lambda (arg-8771) (CoreC-45CompileExprC-45Pretty-u--prettyPrec_Pretty_IdrisSyntax_NamedConAlt arg-8768 arg-8771)))) e-34 e-35)) '())))))))) ((11) (let ((e-37 (vector-ref arg-1 2))) (let ((e-38 (vector-ref arg-1 3))) (let ((e-39 (vector-ref arg-1 4))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-parenthesise (PreludeC-45Show-u--C-62_Ord_Prec arg-0 (vector 0 )) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vcat (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45PrettyC-45Annotations-case_) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (CoreC-45CompileExprC-45Pretty-u--pretty_Pretty_IdrisSyntax_NamedCExp e-37) (IdrisC-45PrettyC-45Annotations-of_))) (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-indent 2 (CoreC-45CompileExprC-45Pretty-prettyAlts (cons (lambda (arg-8762) (CoreC-45CompileExprC-45Pretty-u--pretty_Pretty_IdrisSyntax_NamedConstAlt arg-8762)) (lambda (arg-8768) (lambda (arg-8771) (CoreC-45CompileExprC-45Pretty-u--prettyPrec_Pretty_IdrisSyntax_NamedConstAlt arg-8768 arg-8771)))) e-38 e-39)) '())))))))) ((12) (let ((e-41 (vector-ref arg-1 2))) (CoreC-45TT-u--pretty_Pretty_IdrisSyntax_Constant e-41))) ((13) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-594) "___")) (else (let ((e-44 (vector-ref arg-1 2))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-parenthesise (PreludeC-45Show-u--C-62_Ord_Prec arg-0 (vector 0 )) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-sep (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-annotate (vector 5 ) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "crash")) (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-byShow (csegen-581) e-44) '())))))))))
(define CoreC-45CompileExprC-45Pretty-u--prettyPrec_Pretty_IdrisSyntax_C-40CExpC-32C-36argsC-41 (lambda (arg-0 arg-1 arg-2) (CoreC-45CompileExprC-45Pretty-u--pretty_Pretty_IdrisSyntax_C-40CExpC-32C-36argsC-41 arg-0 arg-2)))
(define CoreC-45CompileExprC-45Pretty-prettyFlag (lambda (arg-1) (case (vector-ref arg-1 0) ((0) '())(else (box (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-byShow (cons (lambda (u--x) (CoreC-45CompileExpr-u--show_Show_ConInfo u--x)) (lambda (u--d) (lambda (u--x) (CoreC-45CompileExpr-u--showPrec_Show_ConInfo u--d u--x)))) arg-1))))))
(define CoreC-45CompileExprC-45Pretty-prettyCon (lambda (arg-0 arg-1 arg-2) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-hsep (DataC-45List-catMaybes (cons (box (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-annotate (let ((sc0 (CoreC-45CompileExpr-u--C-61C-61_Eq_ConInfo arg-1 (vector 1 )))) (cond ((equal? sc0 1) (vector 1 (box arg-0))) (else (vector 2 (box arg-0))))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-1529) arg-0))) (cons (PreludeC-45Interfaces-C-60C-36C-62 (csegen-76) (lambda (eta-0) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-braces (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "tag =") (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-byShow (csegen-583) eta-0)))) arg-2) (cons (CoreC-45CompileExprC-45Pretty-prettyFlag arg-1) '())))))))
(define CoreC-45CompileExprC-45Pretty-prettyAlts (lambda (arg-1 arg-2 arg-3) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vcat (PreludeC-45TypesC-45List-tailRecAppend (DataC-45List-u--zipWith_Zippable_List (lambda (u--s) (lambda (u--p) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 u--s (let ((e-2 (car arg-1))) (e-2 u--p))))) (cons (csegen-1225) ((PreludeC-45Interfaces-C-60C-36 (csegen-24) (csegen-1205)) arg-2)) arg-2) (PreludeC-45TypesC-45List-tailRecAppend (PreludeC-45Types-maybe (lambda () '()) (lambda () (lambda (u--deflt) (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45PrettyC-45Annotations-keyword (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-594) "; _")) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (csegen-3596) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-align (CoreC-45CompileExprC-45Pretty-u--pretty_Pretty_IdrisSyntax_NamedCExp u--deflt)))) '()))) arg-3) (cons (csegen-1211) '()))))))
(define IdrisC-45PackageC-45Types-n--7798-8592-u--verSeqField (lambda (arg-0 arg-1 ext-0) (IdrisC-45PackageC-45Types-n--7798-8590-u--field arg-0 0 arg-1 (((csegen-77) (lambda (eta-0) (IdrisC-45PackageC-45Types-u--pretty_Pretty_Void_PkgVersionBounds eta-0))) ext-0))))
(define IdrisC-45PackageC-45Types-n--7798-8591-u--verField (lambda (arg-0 arg-1 ext-0) (IdrisC-45PackageC-45Types-n--7798-8590-u--field arg-0 1 arg-1 (((csegen-77) (lambda (eta-0) (IdrisC-45PackageC-45Types-u--pretty_Pretty_Void_PkgVersion eta-0))) ext-0))))
(define IdrisC-45PackageC-45Types-n--4862-5746-u--upperBounds (lambda (arg-0) (PreludeC-45Interfaces-C-60C-38C-62 (csegen-76) (let ((e-2 (vector-ref arg-0 2))) e-2) (lambda (u--v) (string-append (let ((sc0 (let ((e-3 (vector-ref arg-0 3))) e-3))) (cond ((equal? sc0 1) "<= ") (else "< "))) (IdrisC-45PackageC-45Types-u--show_Show_PkgVersion u--v))))))
(define IdrisC-45PackageC-45Types-n--7798-8593-u--strField (lambda (arg-0 arg-1 ext-0) (IdrisC-45PackageC-45Types-n--7798-8590-u--field arg-0 1 arg-1 (((csegen-77) (lambda (eta-0) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--pretty_Pretty_Void_String (PreludeC-45Show-u--show_Show_String eta-0)))) ext-0))))
(define IdrisC-45PackageC-45Types-n--7798-8594-u--seqField (lambda (arg-0 arg-2 arg-3 arg-4) (if (null? arg-4) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-hsep (cons (csegen-1248) (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--pretty_Pretty_Void_String arg-3) (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-equals) '())))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--pretty_Pretty_Void_String arg-3) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-equals) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-align (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-sep (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-punctuate (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-comma) (((csegen-25) (lambda (eta-0) (let ((e-2 (car arg-2))) (e-2 eta-0)))) arg-4)))))))))
(define IdrisC-45PackageC-45Types-n--4998-5881-u--operator (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--pretty_Pretty_Void_String (string-append (cond ((equal? arg-4 1) ">") (else "<")) (cond ((equal? arg-5 1) "=") (else ""))))))
(define IdrisC-45PackageC-45Types-n--4862-5744-u--noBounds (lambda (arg-0) (let ((sc0 (DataC-45Maybe-isNothing (let ((e-0 (vector-ref arg-0 0))) e-0)))) (cond ((equal? sc0 1) (DataC-45Maybe-isNothing (let ((e-2 (vector-ref arg-0 2))) e-2))) (else 0)))))
(define IdrisC-45PackageC-45Types-n--4862-5745-u--lowerBounds (lambda (arg-0) (PreludeC-45Interfaces-C-60C-38C-62 (csegen-76) (let ((e-0 (vector-ref arg-0 0))) e-0) (lambda (u--v) (string-append (let ((sc0 (let ((e-1 (vector-ref arg-0 1))) e-1))) (cond ((equal? sc0 1) ">= ") (else "> "))) (IdrisC-45PackageC-45Types-u--show_Show_PkgVersion u--v))))))
(define IdrisC-45PackageC-45Types-n--7798-8590-u--field (lambda (arg-0 arg-1 arg-2 arg-3) (if (null? arg-3) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-hsep (DataC-45List-catMaybes (cons (box (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-594) "--")) (cons (box (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--pretty_Pretty_Void_String arg-2)) (cons (PreludeC-45Interfaces-C-42C-62 (csegen-323) (PreludeC-45Interfaces-guard (csegen-326) arg-1) (box (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-equals))) '()))))) (let ((e-2 (unbox arg-3))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-hsep (DataC-45List-catMaybes (cons (box (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--pretty_Pretty_Void_String arg-2)) (cons (PreludeC-45Interfaces-C-42C-62 (csegen-323) (PreludeC-45Interfaces-guard (csegen-326) arg-1) (box (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-equals))) (cons (box e-2) '())))))))))
(define IdrisC-45PackageC-45Types-n--7798-8589-u--comment (lambda (arg-0 arg-1) (let ((u--ws (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "--") (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-words arg-1)))) (let ((u--commSoftLine (vector 7 (lambda () (vector 1 #\ )) (lambda () (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-hcat (cons (vector 3 ) (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "-- ") '()))))))) (((csegen-380) (vector 3 )) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-concatWith (lambda (u--x) (lambda (u--y) (((csegen-380) (((csegen-380) u--x) u--commSoftLine)) u--y))) u--ws))))))
(define IdrisC-45PackageC-45Types-n--4998-5882-u--bounds (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (if (null? arg-6) '() (let ((e-2 (unbox arg-6))) (box (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45PackageC-45Types-n--4998-5881-u--operator arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (IdrisC-45PackageC-45Types-u--pretty_Pretty_Void_PkgVersion e-2)))))))
(define IdrisC-45PackageC-45Types-u--show_Show_PkgVersionBounds (lambda (arg-0) (let ((sc0 (IdrisC-45PackageC-45Types-n--4862-5744-u--noBounds arg-0))) (cond ((equal? sc0 1) "any") (else (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (DataC-45List-intersperse " && " (DataC-45List-catMaybes (cons (IdrisC-45PackageC-45Types-n--4862-5745-u--lowerBounds arg-0) (cons (IdrisC-45PackageC-45Types-n--4862-5746-u--upperBounds arg-0) '()))))))))))
(define IdrisC-45PackageC-45Types-u--show_Show_PkgVersion (lambda (arg-0) (let ((eff-0 arg-0)) (CoreC-45NameC-45Namespace-showSep "." ((csegen-3807) (DataC-45List1-forget eff-0))))))
(define IdrisC-45PackageC-45Types-u--showPrec_Show_PkgVersion (lambda (arg-0 arg-1) (IdrisC-45PackageC-45Types-u--show_Show_PkgVersion arg-1)))
(define IdrisC-45PackageC-45Types-u--pretty_Pretty_Void_PkgVersionBounds (lambda (arg-0) (let ((e-0 (vector-ref arg-0 0))) (let ((e-1 (vector-ref arg-0 1))) (let ((e-2 (vector-ref arg-0 2))) (let ((e-3 (vector-ref arg-0 3))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-concatWith (lambda (eta-0) (lambda (eta-1) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-surround (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 " && ") eta-0 eta-1))) (DataC-45List-catMaybes (cons (IdrisC-45PackageC-45Types-n--4998-5882-u--bounds e-3 e-2 e-1 e-0 1 e-1 e-0) (cons (IdrisC-45PackageC-45Types-n--4998-5882-u--bounds e-3 e-2 e-1 e-0 0 e-3 e-2) '()))))))))))
(define IdrisC-45PackageC-45Types-u--pretty_Pretty_Void_PkgVersion (lambda (ext-0) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--pretty_Pretty_Void_String (IdrisC-45PackageC-45Types-u--show_Show_PkgVersion ext-0))))
(define IdrisC-45PackageC-45Types-u--pretty_Pretty_Void_PkgDesc (lambda (arg-0) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vcat (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "package") (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--pretty_Pretty_Void_String (let ((e-0 (vector-ref arg-0 0))) e-0))) (cons (IdrisC-45PackageC-45Types-n--7798-8591-u--verField arg-0 "version" (let ((e-1 (vector-ref arg-0 1))) e-1)) (cons (IdrisC-45PackageC-45Types-n--7798-8593-u--strField arg-0 "authors" (let ((e-3 (vector-ref arg-0 3))) e-3)) (cons (IdrisC-45PackageC-45Types-n--7798-8593-u--strField arg-0 "maintainers" (let ((e-4 (vector-ref arg-0 4))) e-4)) (cons (IdrisC-45PackageC-45Types-n--7798-8593-u--strField arg-0 "license" (let ((e-5 (vector-ref arg-0 5))) e-5)) (cons (IdrisC-45PackageC-45Types-n--7798-8593-u--strField arg-0 "brief" (let ((e-6 (vector-ref arg-0 6))) e-6)) (cons (IdrisC-45PackageC-45Types-n--7798-8593-u--strField arg-0 "readme" (let ((e-7 (vector-ref arg-0 7))) e-7)) (cons (IdrisC-45PackageC-45Types-n--7798-8593-u--strField arg-0 "homepage" (let ((e-8 (vector-ref arg-0 8))) e-8)) (cons (IdrisC-45PackageC-45Types-n--7798-8593-u--strField arg-0 "sourceloc" (let ((e-9 (vector-ref arg-0 9))) e-9)) (cons (IdrisC-45PackageC-45Types-n--7798-8593-u--strField arg-0 "bugtracker" (let ((e-10 (vector-ref arg-0 10))) e-10)) (cons (IdrisC-45PackageC-45Types-n--7798-8589-u--comment arg-0 "the Idris2 version required (e.g. langversion >= 0.5.1)") (cons (IdrisC-45PackageC-45Types-n--7798-8592-u--verSeqField arg-0 "langversion" (let ((e-2 (vector-ref arg-0 2))) e-2)) (cons (IdrisC-45PackageC-45Types-n--7798-8589-u--comment arg-0 "packages to add to search path") (cons (IdrisC-45PackageC-45Types-n--7798-8594-u--seqField arg-0 (cons (lambda (arg-8762) (IdrisC-45PackageC-45Types-u--pretty_Pretty_Void_Depends arg-8762)) (lambda (arg-8768) (lambda (arg-8771) (IdrisC-45PackageC-45Types-u--prettyPrec_Pretty_Void_Depends arg-8768 arg-8771)))) "depends" (let ((e-11 (vector-ref arg-0 11))) e-11)) (cons (IdrisC-45PackageC-45Types-n--7798-8589-u--comment arg-0 "modules to install") (cons (IdrisC-45PackageC-45Types-n--7798-8594-u--seqField arg-0 (csegen-3666) "modules" (PreludeC-45Interfaces-C-60C-36C-62 (csegen-24) (lambda (eta-0) (Builtin-fst eta-0)) (let ((e-12 (vector-ref arg-0 12))) e-12))) (cons (IdrisC-45PackageC-45Types-n--7798-8589-u--comment arg-0 "main file (i.e. file to load at REPL)") (cons (IdrisC-45PackageC-45Types-n--7798-8590-u--field arg-0 1 "main" (((csegen-77) (lambda (eta-0) (CoreC-45NameC-45Namespace-u--pretty_Pretty_Void_ModuleIdent (Builtin-fst eta-0)))) (let ((e-13 (vector-ref arg-0 13))) e-13))) (cons (IdrisC-45PackageC-45Types-n--7798-8589-u--comment arg-0 "name of executable") (cons (IdrisC-45PackageC-45Types-n--7798-8593-u--strField arg-0 "executable" (let ((e-14 (vector-ref arg-0 14))) e-14)) (cons (IdrisC-45PackageC-45Types-n--7798-8593-u--strField arg-0 "opts" (PreludeC-45Interfaces-C-60C-36C-62 (csegen-76) (lambda (eta-0) (Builtin-snd eta-0)) (let ((e-15 (vector-ref arg-0 15))) e-15))) (cons (IdrisC-45PackageC-45Types-n--7798-8593-u--strField arg-0 "sourcedir" (let ((e-16 (vector-ref arg-0 16))) e-16)) (cons (IdrisC-45PackageC-45Types-n--7798-8593-u--strField arg-0 "builddir" (let ((e-17 (vector-ref arg-0 17))) e-17)) (cons (IdrisC-45PackageC-45Types-n--7798-8593-u--strField arg-0 "outputdir" (let ((e-18 (vector-ref arg-0 18))) e-18)) (cons (IdrisC-45PackageC-45Types-n--7798-8589-u--comment arg-0 "script to run before building") (cons (IdrisC-45PackageC-45Types-n--7798-8593-u--strField arg-0 "prebuild" (PreludeC-45Interfaces-C-60C-36C-62 (csegen-76) (lambda (eta-0) (Builtin-snd eta-0)) (let ((e-19 (vector-ref arg-0 19))) e-19))) (cons (IdrisC-45PackageC-45Types-n--7798-8589-u--comment arg-0 "script to run after building") (cons (IdrisC-45PackageC-45Types-n--7798-8593-u--strField arg-0 "postbuild" (PreludeC-45Interfaces-C-60C-36C-62 (csegen-76) (lambda (eta-0) (Builtin-snd eta-0)) (let ((e-20 (vector-ref arg-0 20))) e-20))) (cons (IdrisC-45PackageC-45Types-n--7798-8589-u--comment arg-0 "script to run after building, before installing") (cons (IdrisC-45PackageC-45Types-n--7798-8593-u--strField arg-0 "preinstall" (PreludeC-45Interfaces-C-60C-36C-62 (csegen-76) (lambda (eta-0) (Builtin-snd eta-0)) (let ((e-21 (vector-ref arg-0 21))) e-21))) (cons (IdrisC-45PackageC-45Types-n--7798-8589-u--comment arg-0 "script to run after installing") (cons (IdrisC-45PackageC-45Types-n--7798-8593-u--strField arg-0 "postinstall" (PreludeC-45Interfaces-C-60C-36C-62 (csegen-76) (lambda (eta-0) (Builtin-snd eta-0)) (let ((e-22 (vector-ref arg-0 22))) e-22))) (cons (IdrisC-45PackageC-45Types-n--7798-8589-u--comment arg-0 "script to run before cleaning") (cons (IdrisC-45PackageC-45Types-n--7798-8593-u--strField arg-0 "preclean" (PreludeC-45Interfaces-C-60C-36C-62 (csegen-76) (lambda (eta-0) (Builtin-snd eta-0)) (let ((e-23 (vector-ref arg-0 23))) e-23))) (cons (IdrisC-45PackageC-45Types-n--7798-8589-u--comment arg-0 "script to run after cleaning") (cons (IdrisC-45PackageC-45Types-n--7798-8593-u--strField arg-0 "postclean" (PreludeC-45Interfaces-C-60C-36C-62 (csegen-76) (lambda (eta-0) (Builtin-snd eta-0)) (let ((e-24 (vector-ref arg-0 24))) e-24))) '())))))))))))))))))))))))))))))))))))))))
(define IdrisC-45PackageC-45Types-u--pretty_Pretty_Void_Depends (lambda (arg-0) (((csegen-380) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--pretty_Pretty_Void_String (let ((e-0 (car arg-0))) e-0))) (IdrisC-45PackageC-45Types-u--pretty_Pretty_Void_PkgVersionBounds (let ((e-1 (cdr arg-0))) e-1)))))
(define IdrisC-45PackageC-45Types-u--prettyPrec_Pretty_Void_Depends (lambda (arg-0 arg-1) (IdrisC-45PackageC-45Types-u--pretty_Pretty_Void_Depends arg-1)))
(define IdrisC-45PackageC-45Types-u--min_Ord_PkgVersion (lambda (arg-0 arg-1) (let ((sc0 (IdrisC-45PackageC-45Types-u--C-60_Ord_PkgVersion arg-0 arg-1))) (cond ((equal? sc0 1) arg-0) (else arg-1)))))
(define IdrisC-45PackageC-45Types-u--max_Ord_PkgVersion (lambda (arg-0 arg-1) (let ((sc0 (IdrisC-45PackageC-45Types-u--C-62_Ord_PkgVersion arg-0 arg-1))) (cond ((equal? sc0 1) arg-0) (else arg-1)))))
(define IdrisC-45PackageC-45Types-u--compare_Ord_PkgVersion (lambda (arg-0 arg-1) (let ((eff-0 arg-0)) (let ((eff-1 arg-1)) (DataC-45List1-u--compare_Ord_C-40List1C-32C-36aC-41 (csegen-4847) eff-0 eff-1)))))
(define IdrisC-45PackageC-45Types-u--C-62_Ord_PkgVersion (lambda (arg-0 arg-1) (PreludeC-45EqOrd-u--C-61C-61_Eq_Ordering (IdrisC-45PackageC-45Types-u--compare_Ord_PkgVersion arg-0 arg-1) 2)))
(define IdrisC-45PackageC-45Types-u--C-62C-61_Ord_PkgVersion (lambda (arg-0 arg-1) (PreludeC-45EqOrd-u--C-47C-61_Eq_Ordering (IdrisC-45PackageC-45Types-u--compare_Ord_PkgVersion arg-0 arg-1) 0)))
(define IdrisC-45PackageC-45Types-u--C-61C-61_Eq_PkgVersion (lambda (arg-0 arg-1) (let ((eff-0 arg-0)) (let ((eff-1 arg-1)) (DataC-45List1-u--C-61C-61_Eq_C-40List1C-32C-36aC-41 (csegen-1338) eff-0 eff-1)))))
(define IdrisC-45PackageC-45Types-u--C-60_Ord_PkgVersion (lambda (arg-0 arg-1) (PreludeC-45EqOrd-u--C-61C-61_Eq_Ordering (IdrisC-45PackageC-45Types-u--compare_Ord_PkgVersion arg-0 arg-1) 0)))
(define IdrisC-45PackageC-45Types-u--C-60C-61_Ord_PkgVersion (lambda (arg-0 arg-1) (PreludeC-45EqOrd-u--C-47C-61_Eq_Ordering (IdrisC-45PackageC-45Types-u--compare_Ord_PkgVersion arg-0 arg-1) 2)))
(define IdrisC-45PackageC-45Types-u--C-47C-61_Eq_PkgVersion (lambda (arg-0 arg-1) (let ((sc0 (IdrisC-45PackageC-45Types-u--C-61C-61_Eq_PkgVersion arg-0 arg-1))) (cond ((equal? sc0 1) 0) (else 1)))))
(define IdrisC-45PackageC-45Types-initPkgDesc (lambda (arg-0) (vector arg-0 '() '() '() '() '() '() '() '() '() '() '() '() '() '() '() '() '() '() '() '() '() '() '() '())))
(define IdrisC-45PackageC-45TypesC-45Version-inBounds (lambda (arg-0 arg-1) (let ((e-0 (car arg-0))) (let ((e-1 (cdr arg-0))) (let ((e-4 (car e-0))) (let ((e-5 (cdr e-0))) (let ((e-8 (car e-5))) (let ((e-9 (cdr e-5))) (let ((u--v (cons e-4 (cons e-8 (cons e-9 '()))))) (let ((sc3 (PreludeC-45Types-maybe (lambda () 1) (lambda () (lambda (u--vC-39) (let ((sc4 (let ((e-6 (vector-ref arg-1 1))) e-6))) (cond ((equal? sc4 1) (IdrisC-45PackageC-45Types-u--C-62C-61_Ord_PkgVersion u--v u--vC-39)) (else (let ((sc5 (IdrisC-45PackageC-45Types-u--C-62_Ord_PkgVersion u--v u--vC-39))) (cond ((equal? sc5 1) 1) (else (let ((sc6 (IdrisC-45PackageC-45Types-u--C-61C-61_Eq_PkgVersion u--v u--vC-39))) (cond ((equal? sc6 1) (PreludeC-45Types-u--C-47C-61_Eq_C-40MaybeC-32C-36aC-41 (csegen-43) e-1 '())) (else 0))))))))))) (let ((e-7 (vector-ref arg-1 0))) e-7)))) (cond ((equal? sc3 1) (PreludeC-45Types-maybe (lambda () 1) (lambda () (lambda (u--vC-39) (let ((sc4 (let ((e-3 (vector-ref arg-1 3))) e-3))) (cond ((equal? sc4 1) (let ((sc5 (IdrisC-45PackageC-45Types-u--C-60_Ord_PkgVersion u--v u--vC-39))) (cond ((equal? sc5 1) 1) (else (let ((sc6 (IdrisC-45PackageC-45Types-u--C-61C-61_Eq_PkgVersion u--v u--vC-39))) (cond ((equal? sc6 1) (PreludeC-45Types-u--C-61C-61_Eq_C-40MaybeC-32C-36aC-41 (csegen-43) e-1 '())) (else 0))))))) (else (IdrisC-45PackageC-45Types-u--C-60_Ord_PkgVersion u--v u--vC-39)))))) (let ((e-2 (vector-ref arg-1 2))) e-2))) (else 0))))))))))))
(define IdrisC-45PackageC-45Types-inBounds (lambda (arg-0 arg-1) (let ((u--v (DataC-45Maybe-fromMaybe (lambda () (cons 0 '())) arg-0))) (let ((sc0 (PreludeC-45Types-maybe (lambda () 1) (lambda () (lambda (u--vC-39) (let ((sc1 (let ((e-1 (vector-ref arg-1 1))) e-1))) (cond ((equal? sc1 1) (IdrisC-45PackageC-45Types-u--C-62C-61_Ord_PkgVersion u--v u--vC-39)) (else (IdrisC-45PackageC-45Types-u--C-62_Ord_PkgVersion u--v u--vC-39)))))) (let ((e-0 (vector-ref arg-1 0))) e-0)))) (cond ((equal? sc0 1) (PreludeC-45Types-maybe (lambda () 1) (lambda () (lambda (u--vC-39) (let ((sc1 (let ((e-3 (vector-ref arg-1 3))) e-3))) (cond ((equal? sc1 1) (IdrisC-45PackageC-45Types-u--C-60C-61_Ord_PkgVersion u--v u--vC-39)) (else (IdrisC-45PackageC-45Types-u--C-60_Ord_PkgVersion u--v u--vC-39)))))) (let ((e-2 (vector-ref arg-1 2))) e-2))) (else 0))))))
(define IdrisC-45PackageC-45Types-exactBounds (lambda (arg-0) (vector arg-0 1 arg-0 1)))
(define IdrisC-45PackageC-45Types-cssFiles(blodwen-lazy (lambda () (cons (cons "Default" "default") (cons (cons "Alternative" "alternative") (cons (cons "Black & White" "blackandwhite") '()))))))
(define IdrisC-45PackageC-45Types-anyBounds(blodwen-lazy (lambda () (vector '() 1 '() 1))))
(define IdrisC-45CommandLine-case--ideSocketModeAddress-1802 (lambda (arg-0 arg-1 arg-2) (let ((e-2 (car arg-2))) (let ((e-3 (cdr arg-2))) (let ((u--port (DataC-45Maybe-fromMaybe (lambda () (blodwen-toSignedInt 0 63)) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (IdrisC-45CommandLine-n--4409-1754-u--portPart arg-0 arg-1 e-3) (lambda (eta-0) (DataC-45String-parsePositive (csegen-258) eta-0)))))) (let ((u--host (let ((sc1 (PreludeC-45EqOrd-u--C-61C-61_Eq_String e-2 ""))) (cond ((equal? sc1 1) ((csegen-0) "localhost")) (else e-2))))) (cons u--host u--port)))))))
(define IdrisC-45CommandLine-n--6509-3866-u--showSep (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (if (null? arg-5) "" (let ((e-2 (car arg-5))) (let ((e-3 (cdr arg-5))) (if (null? e-3) e-2 (string-append e-2 (string-append arg-4 (IdrisC-45CommandLine-n--6509-3866-u--showSep arg-0 arg-1 arg-2 arg-3 arg-4 e-3)))))))))
(define IdrisC-45CommandLine-n--4409-1754-u--portPart (lambda (arg-0 arg-1 arg-2) (let ((sc0 (PreludeC-45EqOrd-u--C-61C-61_Eq_String arg-2 ""))) (cond ((equal? sc0 1) '()) (else (box (substring arg-2 1 (string-length arg-2))))))))
(define IdrisC-45CommandLine-n--6627-3971-u--optUsage (lambda (arg-0 arg-1 arg-2) (let ((e-2 (car arg-2))) (let ((e-3 (cdr arg-2))) (PreludeC-45Types-maybe (lambda () "") (lambda () (lambda (u--h) (string-append "  " (string-append e-2 (string-append (PreludeC-45Types-fastPack (DataC-45List-replicateTR '() (PreludeC-45Types-prim__integerToNat (- (+ arg-1 2) (PreludeC-45TypesC-45String-length e-2))) #\ )) (string-append u--h "\xa;")))))) e-3)))))
(define IdrisC-45CommandLine-u--show_Show_OptType (lambda (arg-0) (case (vector-ref arg-0 0) ((0) (let ((e-0 (vector-ref arg-0 1))) (string-append "<" (string-append e-0 ">")))) ((2) (let ((e-1 (vector-ref arg-0 1))) (string-append "<" (string-append e-1 ">")))) ((4) (let ((e-2 (vector-ref arg-0 1))) (string-append "<" (string-append e-2 ">")))) ((1) (let ((e-3 (vector-ref arg-0 1))) (string-append "[" (string-append e-3 "]")))) (else (let ((e-4 (vector-ref arg-0 1))) (string-append "<" (string-append e-4 ">")))))))
(define IdrisC-45CommandLine-versionMsg(blodwen-lazy (lambda () (string-append "Idris 2, version " (LibrariesC-45DataC-45Version-u--show_Show_Version (IdrisC-45Version-version))))))
(define IdrisC-45CommandLine-usage(blodwen-lazy (lambda () (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons (IdrisC-45CommandLine-versionMsg) (cons "\xa;Usage: idris2 [options] [input file]\xa;\xa;Available options:\xa;" (cons (IdrisC-45CommandLine-optsUsage) (cons "\xa;Environment variables:\xa;" (cons (IdrisC-45CommandLine-envsUsage) '())))))))))
(define IdrisC-45CommandLine-showDefault (lambda (arg-1 arg-2) (string-append "(default " (string-append (let ((e-1 (car arg-1))) (e-1 arg-2)) ")"))))
(define IdrisC-45CommandLine-recogniseHelpTopic (lambda (arg-0) (cond ((equal? arg-0 "logging") (box 0)) ((equal? arg-0 "pragma") (box 1))(else '()))))
(define IdrisC-45CommandLine-processArgs (lambda (arg-0 arg-1 arg-2 arg-3) (if (null? arg-1) (vector 1 (cons arg-3 arg-2)) (let ((e-2 (car arg-1))) (let ((e-3 (cdr arg-1))) (case (vector-ref e-2 0) ((0) (if (null? arg-2) (vector 0 (string-append (csegen-6771) (string-append (IdrisC-45CommandLine-u--show_Show_OptType e-2) (string-append (csegen-6772) arg-0)))) (let ((e-11 (car arg-2))) (let ((e-12 (cdr arg-2))) (IdrisC-45CommandLine-processArgs arg-0 e-3 e-12 (arg-3 e-11)))))) ((2) (if (null? arg-2) (vector 0 (string-append (csegen-6771) (string-append (IdrisC-45CommandLine-u--show_Show_OptType e-2) (string-append (csegen-6772) arg-0)))) (let ((e-15 (car arg-2))) (let ((e-16 (cdr arg-2))) (PreludeC-45Types-u--C-62C-62C-61_Monad_C-40EitherC-32C-36eC-41 (DataC-45Either-maybeToEither (lambda () (string-append "Expected Nat argument " (string-append (PreludeC-45Show-u--show_Show_String e-15) (string-append " for flag " arg-0)))) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (DataC-45String-parseInteger (csegen-1359) (csegen-6209) e-15) (lambda (eta-0) (IdrisC-45CommandLine-checkNat eta-0)))) (lambda (u--arg) (IdrisC-45CommandLine-processArgs arg-0 e-3 e-16 (arg-3 u--arg)))))))) ((4) (if (null? arg-2) (vector 0 (string-append (csegen-6771) (string-append (IdrisC-45CommandLine-u--show_Show_OptType e-2) (string-append (csegen-6772) arg-0)))) (let ((e-19 (car arg-2))) (let ((e-20 (cdr arg-2))) (PreludeC-45Types-u--C-62C-62C-61_Monad_C-40EitherC-32C-36eC-41 (DataC-45Either-maybeToEither (lambda () (string-append "Expected LogLevel argument " (string-append (PreludeC-45Show-u--show_Show_String e-19) (string-append " for flag " arg-0)))) (CoreC-45OptionsC-45Log-parseLogLevel e-19)) (lambda (u--arg) (IdrisC-45CommandLine-processArgs arg-0 e-3 e-20 (arg-3 u--arg)))))))) ((1) (if (null? arg-2) (IdrisC-45CommandLine-processArgs arg-0 e-3 '() (arg-3 '())) (let ((e-23 (car arg-2))) (let ((e-24 (cdr arg-2))) (IdrisC-45CommandLine-processArgs arg-0 e-3 e-24 (arg-3 (DataC-45Maybe-toMaybe (let ((sc3 (DataC-45String-isPrefixOf "-" e-23))) (cond ((equal? sc3 1) 0) (else 1))) (lambda () e-23)))))))) (else (if (null? arg-2) (vector 0 (string-append (csegen-6771) (string-append (IdrisC-45CommandLine-u--show_Show_OptType e-2) (string-append (csegen-6772) arg-0)))) (let ((e-27 (car arg-2))) (let ((e-28 (cdr arg-2))) (cond ((equal? e-27 "auto") (IdrisC-45CommandLine-processArgs arg-0 e-3 e-28 (arg-3 '())))(else (PreludeC-45Types-u--C-62C-62C-61_Monad_C-40EitherC-32C-36eC-41 (DataC-45Either-maybeToEither (lambda () (string-append "Expected Nat or \"auto\" argument " (string-append (PreludeC-45Show-u--show_Show_String e-27) (string-append " for flag " arg-0)))) (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (DataC-45String-parseInteger (csegen-1359) (csegen-6209) e-27) (lambda (eta-0) (IdrisC-45CommandLine-checkNat eta-0)))) (lambda (u--arg) (IdrisC-45CommandLine-processArgs arg-0 e-3 e-28 (arg-3 (box u--arg)))))))))))))))))
(define IdrisC-45CommandLine-parseOpts (lambda (arg-0 arg-1) (if (null? arg-1) (vector 1 '()) (PreludeC-45Types-u--C-62C-62C-61_Monad_C-40EitherC-32C-36eC-41 (IdrisC-45CommandLine-findMatch arg-0 arg-1) (lambda (_-0) (let ((e-2 (car _-0))) (let ((e-3 (cdr _-0))) (PreludeC-45Types-u--C-62C-62C-61_Monad_C-40EitherC-32C-36eC-41 (IdrisC-45CommandLine-parseOpts arg-0 e-3) (lambda (u--cls) (vector 1 (PreludeC-45TypesC-45List-tailRecAppend e-2 u--cls)))))))))))
(define IdrisC-45CommandLine-optsUsage(blodwen-lazy (lambda () (IdrisC-45CommandLine-makeTextFromOptionsOrEnvs (((csegen-25) (lambda (eta-0) (IdrisC-45CommandLine-optShow eta-0))) (IdrisC-45CommandLine-options))))))
(define IdrisC-45CommandLine-options(blodwen-lazy (lambda () (cons (vector (cons "--check" (cons "-c" '())) '() (cons (vector 0 ) '()) (box "Exit after checking source file")) (cons (vector (cons "--output" (cons "-o" '())) (cons (vector 0 "file") '()) (lambda (u--f) (cons (vector 1 u--f) (cons (vector 14 ) '()))) (box "Specify output file")) (cons (vector (cons "--exec" (cons "-x" '())) (cons (vector 0 "name") '()) (lambda (u--f) (cons (vector 2 u--f) (cons (vector 14 ) '()))) (box "Execute function after checking source file")) (cons (vector (cons "--no-prelude" '()) '() (cons (vector 5 ) '()) (box "Don't implicitly import Prelude")) (cons (vector (cons "--codegen" (cons "--cg" '())) (cons (vector 0 "backend") '()) (lambda (u--f) (cons (vector 3 u--f) '())) (box (string-append "Set code generator " (IdrisC-45CommandLine-showDefault (cons (lambda (u--x) (CoreC-45Options-u--show_Show_CG u--x)) (lambda (u--d) (lambda (u--x) (CoreC-45Options-u--showPrec_Show_CG u--d u--x)))) (let ((sc0 (CoreC-45Options-defaultSession))) (let ((e-4 (vector-ref sc0 4))) e-4)))))) (cons (vector (cons "--incremental-cg" (cons "--inc" '())) (cons (vector 0 "backend") '()) (lambda (u--f) (cons (vector 44 u--f) '())) (box "Incremental code generation on given backend")) (cons (vector (cons "--whole-program" (cons "--wp" '())) '() (cons (vector 45 ) '()) (box "Use whole program compilation (overrides --inc)")) (cons (vector (cons "--directive" '()) (cons (vector 0 "directive") '()) (lambda (u--d) (cons (vector 4 u--d) '())) (box "Pass a directive to the current code generator")) (cons (vector (cons "--package" (cons "-p" '())) (cons (vector 0 "package") '()) (lambda (u--f) (cons (vector 21 u--f) '())) (box "Add a package as a dependency")) (cons (vector (cons "--source-dir" '()) (cons (vector 0 "dir") '()) (lambda (u--d) (cons (vector 6 u--d) '())) (box "Set source directory")) (cons (vector (cons "--build-dir" '()) (cons (vector 0 "dir") '()) (lambda (u--d) (cons (vector 7 u--d) '())) (box "Set build directory")) (cons (vector (cons "--output-dir" '()) (cons (vector 0 "dir") '()) (lambda (u--d) (cons (vector 8 u--d) '())) (box "Set output directory")) (cons (vector (cons "--stage-dir" '()) (cons (vector 0 "dir") '()) (lambda (u--d) (cons (vector 9 u--d) '())) (box "Set staged installation directory")) (cons (vector (cons "--profile" '()) '() (cons (vector 10 ) '()) (box "Generate profile data when compiling, if supported")) (cons (IdrisC-45CommandLine-optSeparator) (cons (vector (cons "--total" '()) '() (cons (vector 48 ) '()) (box "Require functions to be total by default")) (cons (vector (cons "-Werror" '()) '() (cons (vector 40 ) '()) (box "Treat warnings as errors")) (cons (vector (cons "-Wno-shadowing" '()) '() (cons (vector 41 ) '()) (box "Do not print shadowing warnings")) (cons (IdrisC-45CommandLine-optSeparator) (cons (vector (cons "-Xcheck-hashes" '()) '() (cons (vector 42 ) '()) (box "Use SHA256 hashes instead of modification time to determine if a source file needs rebuilding")) (cons (vector (cons "-Xcase-tree-opt" '()) '() (cons (vector 43 ) '()) (box "Apply experimental optimizations to case tree generation")) (cons (IdrisC-45CommandLine-optSeparator) (cons (vector (cons "--prefix" '()) '() (cons (vector 24 1) '()) (box "Show installation prefix")) (cons (vector (cons "--paths" '()) '() (cons (vector 24 2) '()) (box "Show paths")) (cons (vector (cons "--libdir" '()) '() (cons (vector 24 0) '()) (box "Show library directory")) (cons (vector (cons "--list-packages" '()) '() (cons (vector 22 ) '()) (box "List installed packages")) (cons (IdrisC-45CommandLine-optSeparator) (cons (vector (cons "--init" '()) (cons (vector 1 "package file") '()) (lambda (u--f) (cons (vector 23 7 u--f) '())) (box "Interactively initialise a new project")) (cons (vector (cons "--build" '()) (cons (vector 1 "package file") '()) (lambda (u--f) (cons (vector 23 0 u--f) '())) (box "Build modules/executable for the given package")) (cons (vector (cons "--install" '()) (cons (vector 1 "package file") '()) (lambda (u--f) (cons (vector 23 1 u--f) '())) (box "Install the given package")) (cons (vector (cons "--install-with-src" '()) (cons (vector 1 "package file") '()) (lambda (u--f) (cons (vector 23 2 u--f) '())) (box "Install the given package")) (cons (vector (cons "--mkdoc" '()) (cons (vector 1 "package file") '()) (lambda (u--f) (cons (vector 23 3 u--f) '())) (box "Build documentation for the given package")) (cons (vector (cons "--typecheck" '()) (cons (vector 1 "package file") '()) (lambda (u--f) (cons (vector 23 4 u--f) '())) (box "Typechecks the given package without code generation")) (cons (vector (cons "--clean" '()) (cons (vector 1 "package file") '()) (lambda (u--f) (cons (vector 23 5 u--f) '())) (box "Clean intermediate files/executables for the given package")) (cons (vector (cons "--repl" '()) (cons (vector 1 "package file") '()) (lambda (u--f) (cons (vector 23 6 u--f) '())) (box "Build the given package and launch a REPL instance.")) (cons (vector (cons "--find-ipkg" '()) '() (cons (vector 36 ) '()) (box "Find and use an .ipkg file in a parent directory.")) (cons (vector (cons "--ignore-missing-ipkg" '()) '() (cons (vector 35 ) '()) (box "Fail silently if a dependency is missing.")) (cons (IdrisC-45CommandLine-optSeparator) (cons (vector (cons "--ide-mode" '()) '() (cons (vector 26 ) '()) (box "Run the REPL with machine-readable syntax")) (cons (vector (cons "--ide-mode-socket" '()) (cons (vector 1 "host:port") '()) (lambda (u--hp) (cons (vector 27 (DataC-45Maybe-fromMaybe (lambda () (IdrisC-45CommandLine-formatSocketAddress (IdrisC-45CommandLine-ideSocketModeAddress '()))) u--hp)) '())) (box "Run the ide socket mode on given host and port (random open socket by default)")) (cons (IdrisC-45CommandLine-optSeparator) (cons (vector (cons "--client" '()) (cons (vector 0 "REPL command") '()) (lambda (u--f) (cons (vector 34 u--f) '())) (box "Run a REPL command then quit immediately")) (cons (vector (cons "--timing" '()) (cons (vector 3 "level") '()) (lambda (u--n) (cons (vector 37 u--n) '())) (box "Display timing logs")) (cons (IdrisC-45CommandLine-optSeparator) (cons (vector (cons "--no-banner" '()) '() (cons (vector 13 ) '()) (box "Suppress the banner")) (cons (vector (cons "--quiet" (cons "-q" '())) '() (cons (vector 14 ) '()) (box "Quiet mode; display fewer messages")) (cons (vector (cons "--console-width" '()) (cons (vector 3 "console width") '()) (lambda (u--l) (cons (vector 18 u--l) '())) (box "Width for console output (0 for unbounded) (auto by default)")) (cons (vector (cons "--show-machine-names" '()) '() (cons (vector 15 ) '()) (box "Show machine names when pretty printing")) (cons (vector (cons "--show-namespaces" '()) '() (cons (vector 16 ) '()) (box "Show namespaces when pretty printing")) (cons (vector (cons "--color" (cons "--colour" '())) '() (cons (vector 19 1) '()) (box "Forces colored console output (enabled by default)")) (cons (vector (cons "--no-color" (cons "--no-colour" '())) '() (cons (vector 19 0) '()) (box "Disables colored console output")) (cons (vector (cons "--verbose" '()) '() (cons (vector 17 ) '()) (box "Verbose mode (default)")) (cons (vector (cons "--log" '()) (cons (vector 4 "log level") '()) (lambda (u--l) (cons (vector 20 u--l) '())) (box "Global log level (0 by default)")) (cons (IdrisC-45CommandLine-optSeparator) (cons (vector (cons "--version" (cons "-v" '())) '() (cons (vector 11 ) '()) (box "Display version string")) (cons (vector (cons "--help" (cons "-h" (cons "-?" '()))) (cons (vector 1 "topic") '()) (lambda (u--tp) (cons (vector 12 (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe u--tp (lambda (eta-0) (IdrisC-45CommandLine-recogniseHelpTopic eta-0)))) '())) (box "Display help text")) (cons (vector (cons "--yaffle" (cons "--ttimp" '())) (cons (vector 0 "ttimp file") '()) (lambda (u--f) (cons (vector 28 u--f) '())) '()) (cons (vector (cons "--ttm" '()) (cons (vector 0 "ttimp file") '()) (lambda (u--f) (cons (vector 29 u--f) '())) '()) (cons (vector (cons "--dumpcases" '()) (cons (vector 0 "output file") '()) (lambda (u--f) (cons (vector 30 u--f) '())) '()) (cons (vector (cons "--dumplifted" '()) (cons (vector 0 "output file") '()) (lambda (u--f) (cons (vector 31 u--f) '())) '()) (cons (vector (cons "--dumpanf" '()) (cons (vector 0 "output file") '()) (lambda (u--f) (cons (vector 32 u--f) '())) '()) (cons (vector (cons "--dumpvmcode" '()) (cons (vector 0 "output file") '()) (lambda (u--f) (cons (vector 33 u--f) '())) '()) (cons (vector (cons "--debug-elab-check" '()) '() (cons (vector 38 ) '()) '()) (cons (vector (cons "--alt-error-count" '()) (cons (vector 2 "alternative count") '()) (lambda (u--c) (cons (vector 39 u--c) '())) (box "Outputs errors for the given number of alternative parsing attempts.")) (cons (IdrisC-45CommandLine-optSeparator) (cons (vector (cons "--bash-completion" '()) (cons (vector 0 "input") (cons (vector 0 "previous input") '())) (lambda (u--w1) (lambda (u--w2) (cons (vector 46 u--w1 u--w2) '()))) (box "Print bash autocompletion information")) (cons (vector (cons "--bash-completion-script" '()) (cons (vector 0 "function name") '()) (lambda (u--n) (cons (vector 47 u--n) '())) (box "Generate a bash script to activate autocompletion for Idris2")) '()))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))
(define IdrisC-45CommandLine-optionFlags(blodwen-lazy (lambda () (PreludeC-45Types-listBind (IdrisC-45CommandLine-options) (lambda (eta-0) (let ((e-0 (vector-ref eta-0 0))) e-0))))))
(define IdrisC-45CommandLine-optShow (lambda (arg-0) (let ((e-0 (vector-ref arg-0 0))) (let ((e-1 (vector-ref arg-0 1))) (let ((e-2 (vector-ref arg-0 2))) (let ((e-3 (vector-ref arg-0 3))) (if (null? e-0) (cons "" (box "")) (cons (string-append (IdrisC-45CommandLine-n--6509-3866-u--showSep e-3 e-1 e-2 e-0 ", " e-0) (string-append " " (IdrisC-45CommandLine-n--6509-3866-u--showSep e-3 e-1 e-2 e-0 " " (((csegen-25) (lambda (eta-0) (IdrisC-45CommandLine-u--show_Show_OptType eta-0))) e-1)))) e-3))))))))
(define IdrisC-45CommandLine-optSeparator(blodwen-lazy (lambda () (vector '() '() '() '()))))
(define IdrisC-45CommandLine-matchFlag (lambda (arg-0 arg-1) (if (null? arg-1) (vector 1 '()) (let ((e-2 (car arg-1))) (let ((e-3 (cdr arg-1))) (let ((sc1 (PreludeC-45Types-elem (csegen-16) (csegen-43) e-2 (let ((e-0 (vector-ref arg-0 0))) e-0)))) (cond ((equal? sc1 1) (PreludeC-45Types-u--C-62C-62C-61_Monad_C-40EitherC-32C-36eC-41 (IdrisC-45CommandLine-processArgs e-2 (let ((e-1 (vector-ref arg-0 1))) e-1) e-3 (let ((e-5 (vector-ref arg-0 2))) e-5)) (lambda (u--args) (vector 1 (box u--args))))) (else (vector 1 '())))))))))
(define IdrisC-45CommandLine-makeTextFromOptionsOrEnvs (lambda (arg-0) (PreludeC-45Interfaces-concatMap (csegen-85) (csegen-16) (lambda (eta-0) (IdrisC-45CommandLine-n--6627-3971-u--optUsage arg-0 (IdrisC-45CommandLine-firstColumnWidth) eta-0)) arg-0)))
(define IdrisC-45CommandLine-ideSocketModeAddress (lambda (arg-0) (if (null? arg-0) (cons "localhost" 0) (let ((e-2 (car arg-0))) (let ((e-3 (cdr arg-0))) (case (vector-ref e-2 0) ((27) (let ((e-4 (vector-ref e-2 1))) (IdrisC-45CommandLine-case--ideSocketModeAddress-1802 e-3 e-4 (DataC-45String-break (csegen-1358) e-4))))(else (IdrisC-45CommandLine-ideSocketModeAddress e-3))))))))
(define IdrisC-45CommandLine-getOpts (lambda (arg-0) (IdrisC-45CommandLine-parseOpts (IdrisC-45CommandLine-options) arg-0)))
(define IdrisC-45CommandLine-getCmdOpts(blodwen-lazy (lambda () (PrimIO-io_bind (System-getArgs (csegen-40)) (lambda (_-0) (lambda (clam-0) (if (null? _-0) (vector 0 "Invalid command line") (let ((e-2 (cdr _-0))) (IdrisC-45CommandLine-getOpts e-2)))))))))
(define IdrisC-45CommandLine-formatSocketAddress (lambda (arg-0) (let ((e-2 (car arg-0))) (let ((e-3 (cdr arg-0))) (string-append e-2 (string-append ":" (PreludeC-45Show-u--show_Show_Int e-3)))))))
(define IdrisC-45CommandLine-firstColumnWidth(blodwen-lazy (lambda () (let ((u--maxOpt (PreludeC-45Types-u--foldr_Foldable_List (csegen-6962) 0 (((csegen-25) (lambda (eta-0) (PreludeC-45TypesC-45String-length (Builtin-fst (IdrisC-45CommandLine-optShow eta-0))))) (IdrisC-45CommandLine-options))))) (let ((u--maxEnv (PreludeC-45Types-u--foldr_Foldable_List (csegen-6962) 0 (((csegen-25) (lambda (eta-0) (PreludeC-45TypesC-45String-length (let ((e-0 (car eta-0))) e-0)))) (IdrisC-45Env-envs))))) (PreludeC-45Types-u--max_Ord_Nat u--maxOpt u--maxEnv))))))
(define IdrisC-45CommandLine-findMatch (lambda (arg-0 arg-1) (if (null? arg-0) (if (null? arg-1) (vector 1 (cons '() '())) (let ((e-6 (car arg-1))) (let ((e-7 (cdr arg-1))) (vector 1 (cons (cons (vector 25 e-6) '()) e-7))))) (let ((e-2 (car arg-0))) (let ((e-3 (cdr arg-0))) (PreludeC-45Types-u--C-62C-62C-61_Monad_C-40EitherC-32C-36eC-41 (IdrisC-45CommandLine-matchFlag e-2 arg-1) (lambda (bind-0) (if (null? bind-0) (IdrisC-45CommandLine-findMatch e-3 arg-1) (let ((e-4 (unbox bind-0))) (vector 1 e-4))))))))))
(define IdrisC-45CommandLine-envsUsage(blodwen-lazy (lambda () (IdrisC-45CommandLine-makeTextFromOptionsOrEnvs (((csegen-25) (lambda (u--e) (cons (let ((e-0 (car u--e))) e-0) (box (let ((e-1 (cdr u--e))) e-1))))) (IdrisC-45Env-envs))))))
(define IdrisC-45CommandLine-checkNat (lambda (arg-0) (DataC-45Maybe-toMaybe (PreludeC-45EqOrd-u--C-62C-61_Ord_Integer arg-0 0) (lambda () (PreludeC-45Types-prim__integerToNat arg-0)))))
(define IdrisC-45Package-with--partitionOptsC-44pOptUpdate-16531 (lambda (arg-0 arg-1 arg-2 ext-0) (case (vector-ref arg-2 0) ((0) (let ((e-1 (vector-ref arg-2 2))) (let ((e-2 (vector-ref arg-2 3))) (let ((e-5 (vector-ref ext-0 0))) (let ((e-4 (vector-ref ext-0 1))) (let ((e-3 (vector-ref ext-0 2))) (vector (cons (cons e-1 e-2) e-5) e-4 e-3))))))) ((1) (let ((e-0 (vector-ref ext-0 0))) (let ((e-1 (vector-ref ext-0 1))) (let ((e-2 (vector-ref ext-0 2))) (vector e-0 (cons arg-1 e-1) e-2))))) ((2) ext-0) (else (let ((e-0 (vector-ref ext-0 0))) (let ((e-1 (vector-ref ext-0 1))) (vector e-0 e-1 1)))))))
(define IdrisC-45Package-case--caseC-32blockC-32inC-32processPackage-15702 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (if (null? arg-7) (csegen-6977) (let ((e-1 (unbox arg-7))) (if (null? e-1) (csegen-6977) (let ((e-4 (car e-1))) (let ((e-5 (cdr e-1))) (let ((sc2 (DataC-45String-isSuffixOf ".ipkg" e-5))) (cond ((equal? sc2 1) (let ((eff-0 (CoreC-45Context-setWorkingDir arg-5 e-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (IdrisC-45Package-parsePkgFile arg-5 arg-4 arg-3 1 e-5))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (let ((e-17 (vector-ref e-7 17))) (if (null? e-17) (lambda (eta-0) (vector 1 (vector 0 ))) (let ((e-30 (unbox e-17))) (CoreC-45Context-setBuildDir arg-5 e-30)))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (let ((eff-3 (CoreC-45Context-setOutputDir arg-5 (let ((e-18 (vector-ref e-7 18))) e-18)))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-4 (cond ((equal? arg-0 0) (let ((eff-4 (IdrisC-45Package-build arg-5 arg-4 arg-3 e-7 arg-2))) (PrimIO-io_bind eff-4 (csegen-6976)))) ((equal? arg-0 3) (let ((eff-4 (IdrisC-45Package-makeDoc arg-5 arg-4 arg-3 e-7 arg-2))) (PrimIO-io_bind eff-4 (csegen-6976)))) ((equal? arg-0 1) (let ((eff-4 (IdrisC-45Package-build arg-5 arg-4 arg-3 e-7 arg-2))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-10 (vector-ref lcase-4 1))) (let ((eff-5 (if (null? e-10) (IdrisC-45Package-install arg-5 arg-3 e-7 arg-2 0) (csegen-2332)))) eff-5)))))))) ((equal? arg-0 2) (let ((eff-4 (IdrisC-45Package-build arg-5 arg-4 arg-3 e-7 arg-2))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-10 (vector-ref lcase-4 1))) (let ((eff-5 (if (null? e-10) (IdrisC-45Package-install arg-5 arg-3 e-7 arg-2 1) (csegen-2332)))) eff-5)))))))) ((equal? arg-0 4) (let ((eff-4 (IdrisC-45Package-check arg-5 arg-4 arg-3 e-7 arg-2))) (PrimIO-io_bind eff-4 (csegen-6976)))) ((equal? arg-0 5) (IdrisC-45Package-clean arg-5 arg-3 e-7 arg-2)) ((equal? arg-0 6) (let ((eff-4 (IdrisC-45Package-build arg-5 arg-4 arg-3 e-7 arg-2))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-10 (vector-ref lcase-4 1))) (let ((eff-5 (if (null? e-10) (IdrisC-45Package-runRepl arg-5 arg-4 arg-3 ((csegen-2551) (let ((e-13 (vector-ref e-7 13))) e-13))) (csegen-2332)))) eff-5)))))))) (else (lambda (eta-0) (vector 1 (vector 0 ))))))) eff-4)))))))) eff-3)))))))) eff-2))))))))) eff-1)))))))(else (let ((eff-0 (PrimIO-io_bind (PreludeC-45IO-putStrLn (csegen-40) (string-append "Packages must have an '.ipkg' extension: " (string-append (PreludeC-45Show-u--show_Show_String arg-6) "."))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-0 (csegen-2334)))))))))))))
(define IdrisC-45Package-case--caseC-32blockC-32inC-32caseC-32blockC-32inC-32caseC-32blockC-32inC-32caseC-32blockC-32inC-32makeDoc-14555 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15) (if (null? arg-15) (let ((eff-0 (IdrisC-45Package-runScript (let ((e-20 (vector-ref arg-1 20))) e-20)))) (PrimIO-io_bind eff-0 (csegen-1025))) (lambda (eta-0) (vector 1 arg-15)))))
(define IdrisC-45Package-case--caseC-32blockC-32inC-32caseC-32blockC-32inC-32caseC-32blockC-32inC-32caseC-32blockC-32inC-32caseC-32blockC-32inC-32makeDoc-13714 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20 arg-21 arg-22) (case (vector-ref arg-22 0) ((0) (let ((e-0 (vector-ref arg-22 1))) (let ((sc1 (CoreC-45NameC-45Namespace-u--C-61C-61_Eq_ModuleIdent arg-12 e-0))) (cond ((equal? sc1 1) (lambda (clam-0) (let ((sc2 (IdrisC-45Package-n--20833-13118-u--visible arg-0 arg-1 arg-2 arg-3 arg-4 arg-19))) (cond ((equal? sc2 1) (vector 1 (box arg-19)))(else (vector 1 '()))))))(else (let ((eff-0 (CoreC-45ContextC-45Log-log arg-4 "doc.module.definitions" 60 (lambda () (DataC-45String-unwords (cons (string-append (CoreC-45NameC-45Namespace-u--show_Show_ModuleIdent arg-12) ":") (cons (CoreC-45Name-u--show_Show_Name (let ((e-1 (vector-ref arg-19 1))) e-1)) (cons "was defined in" (cons (CoreC-45NameC-45Namespace-u--show_Show_ModuleIdent e-0) '()))))))))) (PrimIO-io_bind eff-0 (csegen-2241))))))))(else (lambda (eta-0) (vector 1 '()))))))
(define IdrisC-45Package-case--caseC-32blockC-32inC-32caseC-32blockC-32inC-32caseC-32blockC-32inC-32caseC-32blockC-32inC-32makeDoc-13664 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20 arg-21) (if (null? arg-21) (let ((eff-0 (CoreC-45ContextC-45Log-log arg-4 "doc.module.definitions" 70 (lambda () (DataC-45String-unwords (cons (string-append (CoreC-45NameC-45Namespace-u--show_Show_ModuleIdent arg-12) ":") (cons (CoreC-45Name-u--show_Show_Name (let ((e-1 (vector-ref arg-19 1))) e-1)) (cons "has an empty FC" '())))))))) (PrimIO-io_bind eff-0 (csegen-2241))) (let ((e-1 (unbox arg-21))) (IdrisC-45Package-case--caseC-32blockC-32inC-32caseC-32blockC-32inC-32caseC-32blockC-32inC-32caseC-32blockC-32inC-32caseC-32blockC-32inC-32makeDoc-13714 arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14 arg-15 arg-16 arg-17 arg-18 arg-19 arg-20 e-1 (CoreC-45FC-origin e-1))))))
(define IdrisC-45Package-case--installSrcFrom-12087 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (if (null? arg-7) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 (string-append "Unexpected failure when installing source file:\xa;" (string-append arg-6 "\xa;Can't extract file extension."))) eta-0)) (let ((e-1 (unbox arg-7))) (let ((u--modPath (PreludeC-45TypesC-45List-reverse (DataC-45Maybe-fromMaybe (lambda () '()) (DataC-45List-tailC-39 (CoreC-45NameC-45Namespace-unsafeUnfoldModuleIdent arg-0)))))) (let ((u--destNest (LibrariesC-45UtilsC-45Path-joinPath u--modPath))) (let ((u--destPath (LibrariesC-45UtilsC-45Path-C-60C-47C-62 arg-2 u--destNest))) (let ((u--destFile (LibrariesC-45UtilsC-45Path-C-60C-47C-62 arg-2 (LibrariesC-45UtilsC-45Path-C-60C-46C-62 arg-5 e-1)))) (let ((eff-0 (PrimIO-io_bind (CoreC-45Directory-mkdirAll u--destNest) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (case (vector-ref e-5 0) ((1) (let ((eff-1 (PrimIO-io_bind (PreludeC-45IO-putStrLn (csegen-40) (string-append (csegen-6978) (string-append arg-6 (string-append " to " u--destPath)))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-3 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-2 (let ((eff-2 (let ((eff-2 (PrimIO-io_bind (CompilerC-45Common-exists u--destFile) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-3 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (cond ((equal? e-7 1) (let ((eff-3 (PrimIO-io_bind (SystemC-45FileC-45Permissions-chmod (csegen-40) u--destFile (vector (csegen-1004) (csegen-1004) (csegen-1004))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-3 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (lambda (clam-0) (case (vector-ref e-8 0) ((1) (vector 1 (vector 0 ))) (else (let ((e-9 (vector-ref e-8 1))) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 60 (SystemC-45FileC-45Error-u--show_Show_FileError e-9)) clam-0))))))) eff-4)))))))) (else (lambda (eta-0) (vector 1 (vector 0 ))))))) eff-3))))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-3 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-3 (let ((eff-3 (PrimIO-io_bind (SystemC-45File-copyFile (csegen-40) arg-6 u--destFile) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-3 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (case (vector-ref e-8 0) ((1) (let ((eff-4 (PrimIO-io_bind (SystemC-45FileC-45Permissions-chmod (csegen-40) u--destFile (vector (cons 0 '()) (cons 0 '()) (cons 0 '()))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-4 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (lambda (clam-1) (case (vector-ref e-9 0) ((1) (vector 1 (vector 0 ))) (else (let ((e-10 (vector-ref e-9 1))) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 60 (SystemC-45FileC-45Error-u--show_Show_FileError e-10)) clam-1))))))) eff-5)))))))) (else (let ((e-9 (vector-ref e-8 1))) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 (DataC-45String-fastUnlines (cons (string-append (csegen-6981) (string-append arg-6 (string-append " to " u--destPath))) (cons (PreludeC-45Show-u--show_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-6982) e-9) '())))) eta-0))))))) eff-4))))))))) eff-3)))))))) eff-2))))))) (else (let ((e-6 (vector-ref e-5 1))) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 (DataC-45String-fastUnlines (cons (string-append (csegen-6983) (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-581) u--modPath)) (cons (SystemC-45FileC-45Error-u--show_Show_FileError e-6) '())))) eta-0))))))) eff-1)))))))))))))))
(define IdrisC-45Package-case--caseC-32blockC-32inC-32installFrom-11583 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11) (if (null? arg-11) (lambda (eta-0) (vector 1 '())) (let ((e-1 (unbox arg-11))) (let ((u--srcFile (LibrariesC-45UtilsC-45Path-C-60C-47C-62 (LibrariesC-45UtilsC-45Path-C-60C-47C-62 arg-2 "ttc") (LibrariesC-45UtilsC-45Path-C-60C-46C-62 arg-5 e-1)))) (let ((u--destFile (LibrariesC-45UtilsC-45Path-C-60C-47C-62 arg-1 (LibrariesC-45UtilsC-45Path-C-60C-46C-62 arg-5 e-1)))) (let ((sc1 (LibrariesC-45UtilsC-45Path-splitParent u--destFile))) (if (null? sc1) (lambda (eta-0) (vector 1 '())) (let ((e-2 (unbox sc1))) (let ((e-5 (car e-2))) (let ((eff-0 (CoreC-45Directory-ensureDirectoryExists e-5))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-1 (lambda (eta-0) (vector 1 (box (cons u--srcFile u--destFile)))))) eff-1))))))))))))))))
(define IdrisC-45Package-case--assertIdrisCompatibility-11254 (lambda (arg-0 arg-1) (lambda (clam-0) (if (null? arg-1) (vector 1 (vector 0 )) (let ((e-1 (unbox arg-1))) (let ((sc1 (IdrisC-45PackageC-45TypesC-45Version-inBounds (IdrisC-45Version-version) e-1))) (cond ((equal? sc1 1) (vector 1 (vector 0 ))) (else (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45FC-emptyFC) (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons (let ((e-0 (vector-ref arg-0 0))) e-0) (cons " requires Idris2 " (cons (IdrisC-45PackageC-45Types-u--show_Show_PkgVersionBounds e-1) (cons " but the installed version of Idris2 is " (cons (LibrariesC-45DataC-45Version-u--show_Show_Version (IdrisC-45Version-version)) (cons "." '())))))))) clam-0)))))))))
(define IdrisC-45Package-case--addDepsC-44getTransitiveDeps-10578 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (if (null? arg-7) (let ((eff-0 (CoreC-45ContextC-45Log-log arg-3 "package.depends" 50 (lambda () (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons "adding new dependency: " (cons (let ((e-0 (car arg-4))) e-0) (cons " (" (cons (IdrisC-45PackageC-45Types-u--show_Show_PkgVersionBounds (let ((e-1 (cdr arg-4))) e-1)) (cons ")" '())))))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (IdrisC-45SetOptions-findPkgDirs arg-3 (let ((e-0 (car arg-4))) e-0) (let ((e-1 (cdr arg-4))) e-1)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((u--candidates (PreludeC-45Interfaces-C-60C-36C-62 (csegen-24) (lambda (eta-0) (IdrisC-45Package-toCandidate (let ((e-0 (car arg-4))) e-0) eta-0)) e-6))) (if (null? u--candidates) (let ((eff-2 (let ((eff-2 arg-3)) (PrimIO-io_bind (let ((eff-3 eff-2)) (lambda (eta-0) (unbox eff-3))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((sc5 (let ((e-4 (vector-ref e-7 4))) (let ((e-42 (vector-ref e-4 2))) (let ((e-61 (vector-ref e-42 7))) e-61))))) (cond ((equal? sc5 1) (IdrisC-45Package-n--17937-10515-u--getTransitiveDeps arg-0 arg-1 arg-2 arg-3 arg-5 arg-6)) (else (lambda (eta-0) (vector 1 (vector 1 (cons (vector '() arg-4 '()) '()))))))))) eff-3))))))) (IdrisC-45Package-tryAll u--candidates (lambda (lamc-0) (let ((e-0 (vector-ref lamc-0 0))) (let ((e-1 (vector-ref lamc-0 1))) (let ((e-2 (vector-ref lamc-0 2))) (let ((u--pkgFile (LibrariesC-45UtilsC-45Path-C-60C-47C-62 e-2 (LibrariesC-45UtilsC-45Path-C-60C-46C-62 e-0 "ipkg")))) (let ((eff-2 (PrimIO-io_bind (CompilerC-45Common-exists u--pkgFile) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-3 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (cond ((equal? e-7 1) (let ((eff-3 (IdrisC-45Package-parsePkgFile arg-3 arg-2 arg-1 0 u--pkgFile))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-3 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (IdrisC-45Package-n--17937-10515-u--getTransitiveDeps arg-0 arg-1 arg-2 arg-3 (PreludeC-45TypesC-45List-tailRecAppend (let ((e-11 (vector-ref e-8 11))) e-11) arg-5) (LibrariesC-45DataC-45StringMap-insert (let ((e-31 (vector-ref e-8 0))) e-31) (let ((e-30 (vector-ref e-8 1))) e-30) arg-6)))) eff-4)))))))) (else (IdrisC-45Package-n--17937-10515-u--getTransitiveDeps arg-0 arg-1 arg-2 arg-3 arg-5 (LibrariesC-45DataC-45StringMap-insert e-0 e-1 arg-6)))))) eff-3))))))))))))))))) eff-2))))))))) eff-1)))))) (let ((e-1 (unbox arg-7))) (let ((sc1 (IdrisC-45PackageC-45Types-inBounds e-1 (let ((e-2 (cdr arg-4))) e-2)))) (cond ((equal? sc1 1) (IdrisC-45Package-n--17937-10515-u--getTransitiveDeps arg-0 arg-1 arg-2 arg-3 arg-5 arg-6)) (else (lambda (eta-0) (vector 1 (vector 1 (cons (vector '() arg-4 (PreludeC-45Types-u--C-60C-124C-62_Alternative_Maybe e-1 (lambda () (box (cons 0 '()))))) '())))))))))))
(define IdrisC-45Package-n--20833-13118-u--visible (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (let ((e-17 (vector-ref arg-5 17))) (case (vector-ref e-17 0) ((5) 0)(else (CoreC-45TT-u--C-47C-61_Eq_Visibility (let ((e-34 (vector-ref arg-5 9))) e-34) 0))))))
(define IdrisC-45Package-n--17098-9735-u--toSource (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (let ((e-2 (car arg-6))) (let ((e-3 (cdr arg-6))) (let ((eff-0 (CoreC-45Directory-nsToSource arg-5 e-2 e-3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (cons e-3 e-5))))) eff-1)))))))))))
(define IdrisC-45Package-n--14447-7159-u--strField (lambda (arg-0 arg-1 arg-2) (vector 10 0 1 (LibrariesC-45TextC-45Parser-location) (lambda (u--start) (vector 11 1 ((csegen-6986) (ParserC-45RuleC-45Package-exactProperty arg-2)) (lambda () (vector 11 1 (ParserC-45RuleC-45Package-equals) (lambda () (vector 9 0 (ParserC-45RuleC-45Package-stringLit) (lambda () (lambda (u--str) (vector 10 0 0 (LibrariesC-45TextC-45Parser-location) (lambda (u--end) (vector 0 ((arg-1 (vector 0 (vector 1 arg-0) u--start u--end)) u--str)))))))))))))))
(define IdrisC-45Package-n--20315-12636-u--savePkgMetadata (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (let ((sc0 (IdrisC-45PackageC-45Types-initPkgDesc (let ((e-0 (vector-ref arg-5 0))) e-0)))) (let ((e-0 (vector-ref sc0 0))) (let ((e-2 (vector-ref sc0 2))) (let ((e-3 (vector-ref sc0 3))) (let ((e-4 (vector-ref sc0 4))) (let ((e-5 (vector-ref sc0 5))) (let ((e-6 (vector-ref sc0 6))) (let ((e-7 (vector-ref sc0 7))) (let ((e-8 (vector-ref sc0 8))) (let ((e-9 (vector-ref sc0 9))) (let ((e-10 (vector-ref sc0 10))) (let ((e-12 (vector-ref sc0 12))) (let ((e-13 (vector-ref sc0 13))) (let ((e-14 (vector-ref sc0 14))) (let ((e-15 (vector-ref sc0 15))) (let ((e-16 (vector-ref sc0 16))) (let ((e-17 (vector-ref sc0 17))) (let ((e-18 (vector-ref sc0 18))) (let ((e-19 (vector-ref sc0 19))) (let ((e-20 (vector-ref sc0 20))) (let ((e-21 (vector-ref sc0 21))) (let ((e-22 (vector-ref sc0 22))) (let ((e-23 (vector-ref sc0 23))) (let ((e-24 (vector-ref sc0 24))) (vector e-0 (let ((e-48 (vector-ref arg-5 1))) e-48) e-2 e-3 e-4 e-5 e-6 e-7 e-8 e-9 e-10 (let ((e-38 (vector-ref arg-5 11))) e-38) e-12 e-13 e-14 e-15 e-16 e-17 e-18 e-19 e-20 e-21 e-22 e-23 e-24)))))))))))))))))))))))))))
(define IdrisC-45Package-n--24557-16477-u--pOptUpdate (lambda (arg-0 arg-1 ext-0) (IdrisC-45Package-with--partitionOptsC-44pOptUpdate-16531 arg-0 arg-1 (IdrisC-45Package-n--24557-16476-u--optType arg-0 arg-1) ext-0)))
(define IdrisC-45Package-n--24557-16476-u--optType (lambda (arg-0 arg-1) (case (vector-ref arg-1 0) ((23) (let ((e-0 (vector-ref arg-1 1))) (let ((e-1 (vector-ref arg-1 2))) (vector 0 arg-0 e-0 e-1)))) ((14) (vector 1 arg-0)) ((17) (vector 1 arg-0)) ((37) (vector 1 arg-0)) ((20) (vector 1 arg-0)) ((43) (vector 1 arg-0)) ((32) (vector 1 arg-0)) ((30) (vector 1 arg-0)) ((31) (vector 1 arg-0)) ((33) (vector 1 arg-0)) ((38) (vector 1 arg-0)) ((3) (vector 1 arg-0)) ((44) (vector 1 arg-0)) ((4) (vector 1 arg-0)) ((7) (vector 1 arg-0)) ((8) (vector 1 arg-0)) ((9) (vector 1 arg-0)) ((40) (vector 1 arg-0)) ((42) (vector 1 arg-0)) ((10) (vector 1 arg-0)) ((18) (vector 2 arg-0)) ((19) (vector 2 arg-0)) ((13) (vector 2 arg-0))(else (vector 3 arg-0)))))
(define IdrisC-45Package-n--14447-7156-u--mkBound (lambda (arg-0 arg-1 arg-2) (if (null? arg-1) (vector 0 arg-2) (let ((e-1 (car arg-1))) (let ((e-2 (cdr arg-1))) (case (vector-ref e-1 0) ((0) (let ((e-5 (vector-ref e-1 2))) (let ((e-6 (vector-ref e-1 3))) (PreludeC-45Types-maybe (lambda () (IdrisC-45Package-n--14447-7156-u--mkBound arg-0 e-2 (let ((e-0 (vector-ref arg-2 0))) (let ((e-8 (vector-ref arg-2 1))) (vector e-0 e-8 (box e-5) e-6))))) (lambda () (lambda (_-7455) (vector 4 '() 0 "Dependency already has an upper bound"))) (let ((e-7 (vector-ref arg-2 2))) e-7))))) (else (let ((e-8 (vector-ref e-1 2))) (let ((e-9 (vector-ref e-1 3))) (PreludeC-45Types-maybe (lambda () (IdrisC-45Package-n--14447-7156-u--mkBound arg-0 e-2 (let ((e-4 (vector-ref arg-2 2))) (let ((e-3 (vector-ref arg-2 3))) (vector (box e-8) e-9 e-4 e-3))))) (lambda () (lambda (_-7495) (vector 4 '() 0 "Dependency already has a lower bound"))) (let ((e-0 (vector-ref arg-2 0))) e-0)))))))))))
(define IdrisC-45Package-n--14447-7157-u--langversions (lambda (arg-0) (vector 10 0 0 (LibrariesC-45TextC-45Parser-sepBy 1 (ParserC-45RuleC-45Package-andop) (IdrisC-45Package-n--14447-7155-u--bound arg-0)) (lambda (u--bs) (IdrisC-45Package-n--14447-7156-u--mkBound arg-0 (PreludeC-45Interfaces-concat (csegen-83) (csegen-16) u--bs) (IdrisC-45PackageC-45Types-anyBounds))))))
(define IdrisC-45Package-n--22762-14845-u--go (lambda (arg-1 arg-3 arg-4 arg-5 arg-6) (let ((eff-0 arg-6)) (let ((eff-1 (IdrisC-45Package-bitraverseC (arg-3 arg-5) (lambda (u--sm) (CoreC-45Core-foldlC (csegen-16) (lambda (u--x) (lambda (lamc-0) (let ((e-2 (car lamc-0))) (let ((e-3 (cdr lamc-0))) (let ((u--ksC-39 (PreludeC-45TypesC-45List-tailRecAppend arg-5 (cons e-2 '())))) (let ((eff-1 (IdrisC-45Package-n--22762-14845-u--go arg-1 arg-3 arg-4 u--ksC-39 e-3))) (PrimIO-io_bind eff-1 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-2 (let ((eff-2 (arg-4 u--ksC-39))) (PrimIO-io_bind eff-2 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-3 (lambda (eta-0) (vector 1 (((let ((eff-3 (let ((e-1 (car arg-1))) e-1))) (lambda (arg-0) (lambda (arg-2) ((eff-3 arg-0) arg-2)))) (((let ((eff-3 (let ((e-1 (car arg-1))) e-1))) (lambda (arg-0) (lambda (arg-2) ((eff-3 arg-0) arg-2)))) u--x) e-5)) e-6))))) eff-3))))))))) eff-2)))))))))))) (let ((e-2 (cdr arg-1))) e-2) (LibrariesC-45DataC-45StringMap-toList u--sm))) eff-0))) (((csegen-50) ((let ((eff-2 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-0) (lambda (arg-2) ((((eff-2 'erased) 'erased) arg-0) arg-2)))) (lambda (eta-0) (DataC-45These-bifold arg-1 eta-0)))) eff-1)))))
(define IdrisC-45Package-n--17855-10430-u--go (lambda (arg-0 arg-1 arg-2 arg-3) (if (null? arg-3) (lambda (eta-0) (vector 1 (vector 1 (PreludeC-45TypesC-45SnocList-C-60C-62C-62 arg-2 '())))) (let ((e-2 (car arg-3))) (let ((e-3 (cdr arg-3))) (let ((eff-0 (arg-0 e-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (case (vector-ref e-5 0) ((1) (let ((e-0 (vector-ref e-5 1))) (IdrisC-45Package-n--17855-10430-u--go arg-0 arg-1 (PreludeC-45TypesC-45SnocList-C-60C-62C-60 arg-2 (((csegen-25) (lambda (eta-0) (IdrisC-45Package-prepend e-2 eta-0))) e-0)) e-3))) (else (let ((e-1 (vector-ref e-5 1))) (lambda (eta-0) (vector 1 (vector 0 e-1)))))))) eff-1))))))))))))
(define IdrisC-45Package-n--17680-10244-u--go (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (if (null? arg-4) (let ((u--pre (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons "required " (cons (let ((e-0 (car arg-1))) e-0) (cons " " (cons (IdrisC-45PackageC-45Types-u--show_Show_PkgVersionBounds (let ((e-1 (cdr arg-1))) e-1)) (cons " but" '())))))))) (PreludeC-45Types-fastConcat (DataC-45List-intersperse "; " (PreludeC-45TypesC-45SnocList-C-60C-62C-62 arg-3 (cons (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons u--pre (cons " " (cons (IdrisC-45Package-reason arg-0) '())))) '()))))) (let ((e-2 (car arg-4))) (let ((e-3 (cdr arg-4))) (let ((u--v (DataC-45Maybe-fromMaybe (lambda () (cons 0 '())) (let ((e-1 (vector-ref e-2 1))) e-1)))) (IdrisC-45Package-n--17680-10244-u--go arg-0 arg-1 arg-2 (cons arg-3 (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons (let ((e-0 (vector-ref e-2 0))) e-0) (cons "-" (cons (IdrisC-45PackageC-45Types-u--show_Show_PkgVersion u--v) '()))))) e-3)))))))
(define IdrisC-45Package-n--17098-9736-u--go (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9) (if (null? arg-8) (lambda (eta-0) (vector 1 arg-9)) (let ((e-2 (car arg-8))) (let ((e-3 (cdr arg-8))) (let ((eff-0 (IdrisC-45Package-addField arg-5 arg-4 arg-3 arg-6 arg-7 e-2 arg-9))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (IdrisC-45Package-n--17098-9736-u--go arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-3 e-5))) eff-1))))))))))))
(define IdrisC-45Package-n--17937-10515-u--getTransitiveDeps (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (if (null? arg-4) (let ((eff-0 (PreludeC-45Basics-flip (csegen-1569) (LibrariesC-45DataC-45StringMap-toList arg-5) (lambda (lamc-0) (let ((e-2 (car lamc-0))) (let ((e-3 (cdr lamc-0))) (IdrisC-45SetOptions-findPkgDir arg-3 e-2 (IdrisC-45PackageC-45Types-exactBounds e-3)))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 0 (DataC-45List-catMaybes e-5)))))) eff-1))))))) (let ((e-2 (car arg-4))) (let ((e-3 (cdr arg-4))) (IdrisC-45Package-case--addDepsC-44getTransitiveDeps-10578 arg-0 arg-1 arg-2 arg-3 e-2 e-3 arg-5 (LibrariesC-45DataC-45StringMap-lookup (let ((e-0 (car e-2))) e-0) arg-5)))))))
(define IdrisC-45Package-n--20833-13119-u--fileError (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 ext-0) (vector 1 (cons (vector 51 arg-5 arg-6) '()))))
(define IdrisC-45Package-n--14447-7158-u--depends (lambda (arg-0) (vector 9 0 (ParserC-45RuleC-45Package-packageName) (lambda () (lambda (u--name) (vector 10 0 0 (LibrariesC-45TextC-45Parser-sepBy 1 (ParserC-45RuleC-45Package-andop) (IdrisC-45Package-n--14447-7155-u--bound arg-0)) (lambda (u--bs) (vector 10 0 0 (IdrisC-45Package-n--14447-7156-u--mkBound arg-0 (PreludeC-45Interfaces-concat (csegen-83) (csegen-16) u--bs) (IdrisC-45PackageC-45Types-anyBounds)) (lambda (bind-0) (vector 0 (cons u--name bind-0)))))))))))
(define IdrisC-45Package-n--22900-14969-u--deleteFolder (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (IdrisC-45Package-n--22900-14968-u--delete arg-0 arg-1 arg-2 arg-3 (LibrariesC-45UtilsC-45Path-C-60C-47C-62 arg-4 (LibrariesC-45UtilsC-45Path-joinPath arg-5)))))
(define IdrisC-45Package-n--22900-14970-u--deleteBin (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (let ((u--ttFile (LibrariesC-45UtilsC-45Path-C-60C-47C-62 (LibrariesC-45UtilsC-45Path-C-60C-47C-62 arg-4 (LibrariesC-45UtilsC-45Path-joinPath arg-5)) arg-6))) (let ((eff-0 (IdrisC-45Package-n--22900-14968-u--delete arg-0 arg-1 arg-2 arg-3 (LibrariesC-45UtilsC-45Path-C-60C-46C-62 u--ttFile "ttc")))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (IdrisC-45Package-n--22900-14968-u--delete arg-0 arg-1 arg-2 arg-3 (LibrariesC-45UtilsC-45Path-C-60C-46C-62 u--ttFile "ttm")))) eff-1)))))))))
(define IdrisC-45Package-n--22900-14968-u--delete (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (let ((eff-0 (PrimIO-io_bind (SystemC-45FileC-45ReadWrite-removeFile (csegen-40) arg-4) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (case (vector-ref e-5 0) ((1) (PrimIO-io_bind (PreludeC-45IO-putStrLn (csegen-40) (string-append "Removed: " arg-4)) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))) (else (lambda (eta-0) (vector 1 (vector 0 ))))))) eff-1)))))))))
(define IdrisC-45Package-n--14447-7155-u--bound (lambda (arg-0) (vector 13 1 1 (vector 11 1 (ParserC-45RuleC-45Package-lte) (lambda () (vector 9 0 (csegen-6990) (lambda () (lambda (u--vs) (vector 0 (cons (vector 0 arg-0 (PreludeC-45Interfaces-C-60C-36C-62 (csegen-1316) (lambda (eta-0) (PreludeC-45Types-prim__integerToNat eta-0)) u--vs) 1) '()))))))) (lambda () (vector 13 1 1 (vector 11 1 (ParserC-45RuleC-45Package-gte) (lambda () (vector 9 0 (csegen-6990) (lambda () (lambda (u--vs) (vector 0 (cons (vector 1 arg-0 (PreludeC-45Interfaces-C-60C-36C-62 (csegen-1316) (lambda (eta-0) (PreludeC-45Types-prim__integerToNat eta-0)) u--vs) 1) '()))))))) (lambda () (vector 13 1 1 (vector 11 1 (ParserC-45RuleC-45Package-lt) (lambda () (vector 9 0 (csegen-6990) (lambda () (lambda (u--vs) (vector 0 (cons (vector 0 arg-0 (PreludeC-45Interfaces-C-60C-36C-62 (csegen-1316) (lambda (eta-0) (PreludeC-45Types-prim__integerToNat eta-0)) u--vs) 0) '()))))))) (lambda () (vector 13 1 1 (vector 11 1 (ParserC-45RuleC-45Package-gt) (lambda () (vector 9 0 (csegen-6990) (lambda () (lambda (u--vs) (vector 0 (cons (vector 1 arg-0 (PreludeC-45Interfaces-C-60C-36C-62 (csegen-1316) (lambda (eta-0) (PreludeC-45Types-prim__integerToNat eta-0)) u--vs) 0) '()))))))) (lambda () (vector 11 1 (ParserC-45RuleC-45Package-eqop) (lambda () (vector 9 0 (csegen-6990) (lambda () (lambda (u--vs) (vector 0 (cons (vector 0 arg-0 (PreludeC-45Interfaces-C-60C-36C-62 (csegen-1316) (lambda (eta-0) (PreludeC-45Types-prim__integerToNat eta-0)) u--vs) 1) (cons (vector 1 arg-0 (PreludeC-45Interfaces-C-60C-36C-62 (csegen-1316) (lambda (eta-0) (PreludeC-45Types-prim__integerToNat eta-0)) u--vs) 1) '()))))))))))))))))))
(define IdrisC-45Package-tryAll (lambda (arg-0 arg-1) (IdrisC-45Package-n--17855-10430-u--go arg-1 arg-0 '() arg-0)))
(define IdrisC-45Package-toCandidate (lambda (arg-0 arg-1) (let ((e-2 (car arg-1))) (let ((e-3 (cdr arg-1))) (vector arg-0 e-3 e-2)))))
(define IdrisC-45Package-runScript (lambda (arg-0) (if (null? arg-0) (lambda (eta-0) (vector 1 (vector 0 ))) (let ((e-2 (unbox arg-0))) (let ((e-5 (car e-2))) (let ((e-6 (cdr e-2))) (let ((eff-0 (PrimIO-io_bind (System-system (csegen-40) e-6) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-7 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (clam-0) (let ((sc3 (PreludeC-45EqOrd-u--C-47C-61_Eq_Int e-7 (blodwen-toSignedInt 0 63)))) (cond ((equal? sc3 1) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 e-5 "Script failed") clam-0)) (else (vector 1 (vector 0 )))))))) eff-1)))))))))))))
(define IdrisC-45Package-runRepl (lambda (arg-0 arg-1 arg-2 arg-3) (let ((eff-0 (csegen-2360))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (PreludeC-45Types-maybe (lambda () (lambda (eta-0) (vector 1 (vector 2 (vector 0 ))))) (lambda () (lambda (u--fname) (let ((eff-1 (CoreC-45Directory-ctxtPathToNS arg-0 u--fname))) (PrimIO-io_bind eff-1 (csegen-2361))))) arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Core-newRef (vector "Core.Metadata.MD" ) (CoreC-45Metadata-initMetadata e-6)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (if (null? arg-3) (lambda (eta-0) (vector 1 (vector 0 ))) (let ((e-2 (unbox arg-3))) (let ((eff-3 (IdrisC-45REPL-loadMainFile arg-0 e-5 arg-1 e-7 arg-2 e-2))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-3 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (IdrisC-45REPL-displayErrors arg-0 e-5 arg-1 e-7 arg-2 e-8))) eff-4))))))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-4 (IdrisC-45REPL-repl arg-0 e-5 arg-1 e-7 arg-2))) eff-4)))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))
(define IdrisC-45Package-reason (lambda (arg-0) (if (null? arg-0) "no matching version is installed" (let ((e-2 (unbox arg-0))) (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons "assigned version " (cons (IdrisC-45PackageC-45Types-u--show_Show_PkgVersion e-2) (cons " which is out of bounds" '()))))))))
(define IdrisC-45Package-processPackageOpts (lambda (arg-0 arg-1 arg-2 arg-3) (let ((eff-0 (lambda (eta-0) (vector 1 (IdrisC-45Package-partitionOpts arg-3))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((e-0 (vector-ref e-5 0))) (let ((e-1 (vector-ref e-5 1))) (let ((e-2 (vector-ref e-5 2))) (if (null? e-0) (lambda (eta-0) (vector 1 0)) (let ((e-4 (car e-0))) (let ((e-6 (cdr e-0))) (let ((eff-1 (let ((u--cmds (cons e-4 e-6))) (cond ((equal? e-2 1) (PrimIO-io_bind (PreludeC-45IO-putStrLn (csegen-40) (IdrisC-45Package-errorMsg)) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))) (else (CoreC-45Core-traverse_ (lambda (eta-0) (IdrisC-45Package-processPackage arg-0 arg-1 arg-2 e-1 eta-0)) u--cmds)))))) (PrimIO-io_bind eff-1 (csegen-2355))))))))))) eff-1)))))))))
(define IdrisC-45Package-processPackage (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (let ((e-2 (car arg-4))) (let ((e-3 (cdr arg-4))) (CoreC-45Context-withCtxt arg-0 (IdrisC-45Syntax-withSyn arg-1 (IdrisC-45REPLC-45Opts-withROpts arg-2 (cond ((equal? e-2 7) (let ((eff-0 (PrimIO-io_bind (IdrisC-45PackageC-45Init-interactive) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--fp (DataC-45Maybe-fromMaybe (lambda () (string-append (let ((e-0 (vector-ref e-5 0))) e-0) ".ipkg")) e-3))) (let ((eff-1 (PrimIO-io_bind (CompilerC-45Common-exists u--fp) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (cond ((equal? e-6 0) (let ((eff-2 (PrimIO-io_bind (SystemC-45FileC-45ReadWrite-writeFile (csegen-40) u--fp (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--show_Show_C-40DocC-32C-36annC-41 (IdrisC-45PackageC-45Types-u--pretty_Pretty_Void_PkgDesc e-5))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-4 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (clam-0) (case (vector-ref e-7 0) ((1) (vector 1 (vector 0 ))) (else (let ((e-8 (vector-ref e-7 1))) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 51 u--fp e-8) clam-0))))))) eff-3))))))))(else (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45FC-emptyFC) (string-append "File " (string-append u--fp " already exists"))) eta-0)))))) eff-2)))))))))) eff-1))))))))(else (let ((eff-0 (IdrisC-45Package-localPackageFile e-3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (IdrisC-45Package-case--caseC-32blockC-32inC-32processPackage-15702 e-2 e-3 arg-3 arg-2 arg-1 arg-0 e-5 (LibrariesC-45UtilsC-45Path-splitParent e-5)))) eff-1))))))))))))))))
(define IdrisC-45Package-processOptions (lambda (arg-0 arg-1 arg-2) (if (null? arg-2) (lambda (eta-0) (vector 1 (vector 0 ))) (let ((e-2 (unbox arg-2))) (let ((e-5 (car e-2))) (let ((e-6 (cdr e-2))) (let ((sc2 (IdrisC-45CommandLine-getOpts (DataC-45String-words e-6)))) (case (vector-ref sc2 0) ((1) (let ((e-3 (vector-ref sc2 1))) (let ((eff-0 (IdrisC-45SetOptions-preOptions arg-0 arg-1 e-3))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-4 (vector-ref eta-3 1))) (vector 0 e-4))) (else (let ((e-7 (vector-ref eta-3 1))) (vector 1 (eta-2 e-7))))))))))) (lambda (arg-3) (lambda (arg-4) ((((eff-1 'erased) 'erased) arg-3) arg-4)))) (lambda (_-8679) (vector 0 )))) eff-0)))) (else (let ((e-7 (vector-ref sc2 1))) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 e-5 e-7) eta-0))))))))))))
(define IdrisC-45Package-printResolutionError (lambda (arg-0) (let ((e-0 (vector-ref arg-0 0))) (let ((e-1 (vector-ref arg-0 1))) (let ((e-2 (vector-ref arg-0 2))) (IdrisC-45Package-n--17680-10244-u--go e-2 e-1 e-0 '() e-0))))))
(define IdrisC-45Package-printErrs (lambda (arg-0 arg-1) (DataC-45String-fastUnlines (cons (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons "Failed to resolve the dependencies for " (cons (let ((e-0 (vector-ref arg-0 0))) e-0) (cons ":" '())))) (((csegen-25) (lambda (eta-0) (DataC-45String-indent 2 (IdrisC-45Package-printResolutionError eta-0)))) arg-1)))))
(define IdrisC-45Package-prepend (lambda (arg-0 ext-0) (let ((e-0 (vector-ref ext-0 0))) (let ((e-1 (vector-ref ext-0 1))) (let ((e-2 (vector-ref ext-0 2))) (vector (cons arg-0 e-0) e-1 e-2))))))
(define IdrisC-45Package-prepareCompilation (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (let ((eff-0 (IdrisC-45Package-processOptions arg-0 arg-2 (let ((e-15 (vector-ref arg-3 15))) e-15)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (IdrisC-45Package-addDeps arg-0 arg-1 arg-2 arg-3))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (let ((eff-2 (IdrisC-45SetOptions-preOptions arg-0 arg-2 arg-4))) (((csegen-50) ((let ((eff-3 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-7 (vector-ref eta-3 1))) (vector 1 (eta-2 e-7))))))))))) (lambda (arg-5) (lambda (arg-6) ((((eff-3 'erased) 'erased) arg-5) arg-6)))) (lambda (_-8679) (vector 0 )))) eff-2)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (let ((eff-3 (IdrisC-45Package-runScript (let ((e-19 (vector-ref arg-3 19))) e-19)))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-4 (let ((u--toBuild (PreludeC-45Types-maybe (lambda () ((csegen-947) (let ((e-12 (vector-ref arg-3 12))) e-12))) (lambda () (lambda (u--m) (cons (Builtin-snd u--m) ((csegen-947) (let ((e-12 (vector-ref arg-3 12))) e-12))))) (let ((e-13 (vector-ref arg-3 13))) e-13)))) (IdrisC-45ModTree-buildAll arg-0 arg-1 arg-2 u--toBuild)))) eff-4)))))))) eff-3)))))))) eff-2)))))))) eff-1))))))))
(define IdrisC-45Package-partitionOpts (lambda (arg-0) (PreludeC-45Types-u--foldr_Foldable_List (lambda (eta-0) (lambda (eta-1) (IdrisC-45Package-n--24557-16477-u--pOptUpdate arg-0 eta-0 eta-1))) (vector '() '() 0) arg-0)))
(define IdrisC-45Package-parsePkgFile (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (let ((eff-0 (PrimIO-io_bind (ParserC-45Package-parseFile arg-4 (vector 10 1 1 ((csegen-2689) (IdrisC-45Package-parsePkgDesc arg-4)) (lambda (u--f) (((csegen-725) u--f) (ParserC-45RuleC-45Package-eoi))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (case (vector-ref e-5 0) ((1) (let ((e-2 (vector-ref e-5 1))) (let ((e-8 (car e-2))) (let ((e-9 (cdr e-2))) (IdrisC-45Package-addFields arg-0 arg-1 arg-2 arg-3 e-9 (IdrisC-45PackageC-45Types-initPkgDesc e-8)))))) (else (let ((e-6 (vector-ref e-5 1))) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error e-6 eta-0))))))) eff-1)))))))))
(define IdrisC-45Package-parsePkgDesc (lambda (arg-0) (vector 11 1 ((csegen-6986) (ParserC-45RuleC-45Package-exactProperty "package")) (lambda () (vector 9 0 (ParserC-45RuleC-45Package-packageName) (lambda () (lambda (u--name) (vector 10 0 0 (LibrariesC-45TextC-45Parser-many (IdrisC-45Package-field arg-0)) (lambda (u--fields) (vector 0 (cons u--name u--fields)))))))))))
(define IdrisC-45Package-makeDoc (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (let ((eff-0 (IdrisC-45Package-prepareCompilation arg-0 arg-1 arg-2 arg-3 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (if (null? e-5) (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (unbox eff-2))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((u--build (let ((e-4 (vector-ref e-6 4))) (let ((e-43 (vector-ref e-4 0))) (let ((e-52 (vector-ref e-43 2))) e-52))))) (let ((u--docBase (LibrariesC-45UtilsC-45Path-C-60C-47C-62 u--build "docs"))) (let ((u--docDir (LibrariesC-45UtilsC-45Path-C-60C-47C-62 u--docBase "docs"))) (let ((eff-2 (PrimIO-io_bind (CoreC-45Directory-mkdirAll u--docDir) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((_-0 '())) (case (vector-ref e-7 0) ((1) (let ((eff-3 (csegen-2360))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-3 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (CoreC-45Context-setPPrint arg-0 (vector 0 1 0 0)))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-3 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-5 (let ((eff-5 (let ((eff-5 (PreludeC-45Basics-flip (csegen-1569) (let ((e-12 (vector-ref arg-3 12))) e-12) (lambda (lamc-0) (let ((_-1 (vector 1 (vector 0 )))) (let ((e-4 (car lamc-0))) (let ((e-3 (cdr lamc-0))) (let ((u--ns (CoreC-45NameC-45Namespace-miAsNamespace e-4))) (let ((eff-5 (IdrisC-45ProcessIdr-addImport arg-0 e-8 arg-1 (vector (CoreC-45FC-emptyFC) 0 e-4 u--ns)))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-10 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((eff-6 (let ((eff-6 (let ((eff-6 arg-0)) (PrimIO-io_bind (let ((eff-7 eff-6)) (lambda (eta-0) (unbox eff-7))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-11 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-11)))) (else (let ((e-11 (vector-ref lcase-6 1))) (let ((eff-7 (let ((u--ctxt (let ((e-0 (vector-ref e-11 0))) e-0))) (let ((eff-7 (let ((eff-7 (PreludeC-45Basics-flip (csegen-1569) (PreludeC-45Types-u--rangeFromTo_Range_C-36a (csegen-302) 1 (bs- (let ((e-1 (vector-ref u--ctxt 1))) e-1) 1 63)) (lambda (u--i) (let ((eff-7 (CoreC-45Context-lookupCtxtExact (vector 8 u--i) u--ctxt))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-12 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-12)))) (else (let ((e-12 (vector-ref lcase-7 1))) (let ((eff-8 (let ((lamc-1 (cons e-4 e-3))) (if (null? e-12) (lambda (eta-0) (vector 1 '())) (let ((e-1 (unbox e-12))) (let ((_-2 (box e-1))) (IdrisC-45Package-case--caseC-32blockC-32inC-32caseC-32blockC-32inC-32caseC-32blockC-32inC-32caseC-32blockC-32inC-32makeDoc-13664 arg-4 arg-3 arg-2 arg-1 arg-0 _-0 e-6 u--build u--docBase u--docDir _-1 e-8 e-4 e-3 lamc-1 u--ns e-11 u--ctxt u--i e-1 _-2 (CoreC-45FC-isNonEmptyFC (let ((e-0 (vector-ref e-1 0))) e-0))))))))) eff-8))))))))))) (((csegen-50) ((let ((eff-8 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-12 (vector-ref eta-3 1))) (vector 0 e-12))) (else (let ((e-12 (vector-ref eta-3 1))) (vector 1 (eta-2 e-12))))))))))) (lambda (arg-5) (lambda (arg-6) ((((eff-8 'erased) 'erased) arg-5) arg-6)))) (lambda (eta-0) (DataC-45List-catMaybes eta-0)))) eff-7)))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-12 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-12)))) (else (let ((e-12 (vector-ref lcase-7 1))) (let ((eff-8 (let ((u--outputFilePath (LibrariesC-45UtilsC-45Path-C-60C-47C-62 u--docDir (string-append (CoreC-45NameC-45Namespace-u--show_Show_ModuleIdent e-4) ".html")))) (let ((eff-8 (PreludeC-45Basics-flip (csegen-1569) (DataC-45List-sortBy (lambda (eta-0) (lambda (eta-1) (PreludeC-45Basics-on (lambda (eta-2) (lambda (eta-3) (PreludeC-45EqOrd-u--compare_Ord_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-298) (csegen-298) eta-2 eta-3))) (lambda (eta-2) (CoreC-45FC-startPos (CoreC-45FC-toNonEmptyFC (let ((e-0 (vector-ref eta-2 0))) e-0)))) eta-0 eta-1))) e-12) (lambda (u--def) (IdrisC-45DocC-45String-getDocsForName arg-2 arg-0 arg-1 (CoreC-45FC-emptyFC) (let ((e-1 (vector-ref u--def 1))) e-1) (IdrisC-45DocC-45String-shortNamesConfig)))))) (PrimIO-io_bind eff-8 (lambda (lcase-8) (case (vector-ref lcase-8 0) ((0) (let ((e-13 (vector-ref lcase-8 1))) (lambda (eta-0) (vector 0 e-13)))) (else (let ((e-13 (vector-ref lcase-8 1))) (let ((eff-9 (let ((u--allDecls (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-annotate (vector 2 ) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vcat e-13)))) (let ((eff-9 (let ((eff-9 arg-1)) (PrimIO-io_bind (let ((eff-10 eff-9)) (lambda (eta-0) (unbox eff-10))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-9 (lambda (lcase-9) (case (vector-ref lcase-9 0) ((0) (let ((e-14 (vector-ref lcase-9 1))) (lambda (eta-0) (vector 0 e-14)))) (else (let ((e-14 (vector-ref lcase-9 1))) (let ((eff-10 (let ((u--modDoc (LibrariesC-45DataC-45SortedMap-lookup e-4 (let ((e-24 (vector-ref e-14 3))) e-24)))) (let ((eff-10 (CoreC-45ContextC-45Log-log arg-0 (csegen-5310) 10 (lambda () (DataC-45String-unwords (cons ((csegen-0) "Looked up doc for") (cons (CoreC-45NameC-45Namespace-u--show_Show_ModuleIdent e-4) (cons "and got:" (cons (PreludeC-45Show-u--show_Show_C-40MaybeC-32C-36aC-41 (csegen-581) u--modDoc) '()))))))))) (PrimIO-io_bind eff-10 (lambda (lcase-10) (case (vector-ref lcase-10 0) ((0) (let ((e-15 (vector-ref lcase-10 1))) (lambda (eta-0) (vector 0 e-15)))) (else (let ((eff-11 (let ((eff-11 (CoreC-45ContextC-45Log-log arg-0 (csegen-5310) 100 (lambda () (string-append "from: " (LibrariesC-45DataC-45SortedMap-u--show_Show_C-40C-40SortedMapC-32C-36kC-41C-32C-36vC-41 (csegen-5118) (let ((e-25 (vector-ref e-14 3))) e-25))))))) (PrimIO-io_bind eff-11 (lambda (lcase-11) (case (vector-ref lcase-11 0) ((0) (let ((e-16 (vector-ref lcase-11 1))) (lambda (eta-0) (vector 0 e-16)))) (else (let ((eff-12 (let ((u--mreexports (PreludeC-45Types-u--C-62C-62C-61_Monad_Maybe (LibrariesC-45DataC-45SortedMap-lookup e-4 (let ((e-25 (vector-ref e-14 4))) e-25)) (lambda (u--docs) (PreludeC-45Interfaces-C-62C-62 (csegen-614) (PreludeC-45Interfaces-guard (csegen-326) (let ((sc15 (PreludeC-45Types-u--null_Foldable_List u--docs))) (cond ((equal? sc15 1) 0) (else 1)))) (lambda () (box u--docs))))))) (let ((eff-12 (if (null? u--mreexports) (lambda (eta-0) (vector 1 (vector 0 ))) (let ((e-1 (unbox u--mreexports))) (CoreC-45ContextC-45Log-log arg-0 (csegen-5310) 15 (lambda () (DataC-45String-unwords (cons ((csegen-0) "All imported:") (cons (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-5314) e-1) '()))))))))) (PrimIO-io_bind eff-12 (lambda (lcase-12) (case (vector-ref lcase-12 0) ((0) (let ((e-17 (vector-ref lcase-12 1))) (lambda (eta-0) (vector 0 e-17)))) (else (let ((eff-13 (let ((u--modExports (((csegen-77) ((csegen-25) (lambda (eta-0) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-reAnnotate (lambda (eta-1) (vector 6 eta-1)) (IdrisC-45Pretty-prettyImport eta-0))))) u--mreexports))) (let ((eff-13 (let ((eff-13 (IdrisC-45DocC-45HTML-renderModuleDoc arg-0 e-4 u--modDoc u--modExports ((PreludeC-45Interfaces-C-60C-36 (csegen-76) u--allDecls) (PreludeC-45Interfaces-guard (csegen-326) (let ((sc16 (PreludeC-45Types-u--null_Foldable_List e-13))) (cond ((equal? sc16 1) 0) (else 1)))))))) (PrimIO-io_bind eff-13 (lambda (lcase-13) (case (vector-ref lcase-13 0) ((0) (let ((e-18 (vector-ref lcase-13 1))) (lambda (eta-0) (vector 0 e-18)))) (else (let ((e-18 (vector-ref lcase-13 1))) (let ((eff-14 (PrimIO-io_bind (SystemC-45FileC-45ReadWrite-writeFile (csegen-40) u--outputFilePath e-18) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) eff-14))))))))) (PrimIO-io_bind eff-13 (lambda (lcase-13) (case (vector-ref lcase-13 0) ((0) (let ((e-18 (vector-ref lcase-13 1))) (lambda (eta-0) (vector 0 e-18)))) (else (let ((e-18 (vector-ref lcase-13 1))) (let ((eff-14 (lambda (clam-0) (case (vector-ref e-18 0) ((1) (vector 1 '())) (else (let ((e-19 (vector-ref e-18 1))) (IdrisC-45Package-n--20833-13119-u--fileError arg-4 arg-3 arg-2 arg-1 arg-0 (LibrariesC-45UtilsC-45Path-C-60C-47C-62 u--docBase (csegen-7008)) e-19 clam-0))))))) eff-14)))))))))) eff-13))))))))) eff-12)))))))) eff-11))))))))) eff-10)))))))))) eff-9)))))))))) eff-8)))))))))) eff-7))))))))) eff-6)))))))))))))) (((csegen-50) ((let ((eff-6 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-3 (vector-ref eta-3 1))) (vector 0 e-3))) (else (let ((e-10 (vector-ref eta-3 1))) (vector 1 (eta-2 e-10))))))))))) (lambda (arg-5) (lambda (arg-6) ((((eff-6 'erased) 'erased) arg-5) arg-6)))) (csegen-3768))) eff-5)))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-3 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-10 (vector-ref lcase-5 1))) (let ((eff-6 (let ((_-1 (vector 1 (vector 0 )))) (if (null? e-10) (let ((eff-6 (PrimIO-io_bind (SystemC-45FileC-45ReadWrite-writeFile (csegen-40) (LibrariesC-45UtilsC-45Path-C-60C-47C-62 u--docBase (csegen-7008)) (IdrisC-45DocC-45HTML-renderDocIndex arg-3)) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-3 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-11 (vector-ref lcase-6 1))) (let ((eff-7 (let ((_-2 '())) (case (vector-ref e-11 0) ((1) (let ((eff-7 (PreludeC-45Basics-flip (csegen-1569) (IdrisC-45PackageC-45Types-cssFiles) (lambda (u--cssFile) (let ((u--fn (string-append (let ((e-1 (cdr u--cssFile))) e-1) ".css"))) (let ((eff-7 (CoreC-45Directory-readDataFile arg-0 (string-append "docs/" u--fn)))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-4 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-12 (vector-ref lcase-7 1))) (let ((eff-8 (let ((eff-8 (PrimIO-io_bind (SystemC-45FileC-45ReadWrite-writeFile (csegen-40) (LibrariesC-45UtilsC-45Path-C-60C-47C-62 u--docBase u--fn) e-12) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-8 (lambda (lcase-8) (case (vector-ref lcase-8 0) ((0) (let ((e-4 (vector-ref lcase-8 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-13 (vector-ref lcase-8 1))) (let ((eff-9 (lambda (clam-1) (case (vector-ref e-13 0) ((1) (vector 1 '())) (else (let ((e-14 (vector-ref e-13 1))) (IdrisC-45Package-n--20833-13119-u--fileError arg-4 arg-3 arg-2 arg-1 arg-0 (LibrariesC-45UtilsC-45Path-C-60C-47C-62 u--docBase u--fn) e-14 clam-1))))))) eff-9))))))))) eff-8)))))))))))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-4 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-12 (vector-ref lcase-7 1))) (let ((eff-8 (let ((_-3 (vector 1 (vector 0 )))) (IdrisC-45Package-case--caseC-32blockC-32inC-32caseC-32blockC-32inC-32caseC-32blockC-32inC-32caseC-32blockC-32inC-32makeDoc-14555 arg-4 arg-3 arg-2 arg-1 arg-0 _-0 e-6 u--build u--docBase u--docDir _-1 e-8 _-2 _-3 e-12 (PreludeC-45Interfaces-concat (csegen-83) (csegen-16) e-12))))) eff-8)))))))) (else (let ((e-12 (vector-ref e-11 1))) (lambda (eta-0) (IdrisC-45Package-n--20833-13119-u--fileError arg-4 arg-3 arg-2 arg-1 arg-0 (LibrariesC-45UtilsC-45Path-C-60C-47C-62 u--docBase (csegen-7008)) e-12 eta-0)))))))) eff-7))))))) (lambda (eta-0) (vector 1 e-10)))))) eff-6))))))))) eff-5)))))))) eff-4)))))))) (else (let ((e-8 (vector-ref e-7 1))) (lambda (eta-0) (IdrisC-45Package-n--20833-13119-u--fileError arg-4 arg-3 arg-2 arg-1 arg-0 u--docDir e-8 eta-0)))))))) eff-3)))))))))))) eff-2))))))) (lambda (eta-0) (vector 1 e-5))))) eff-1)))))))))
(define IdrisC-45Package-localPackageFile (lambda (arg-0) (if (null? arg-0) (let ((eff-0 (CoreC-45Context-getWorkingDir))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (PrimIO-io_bind (LibrariesC-45SystemC-45DirectoryC-45Tree-explore (LibrariesC-45UtilsC-45Path-parse e-5)) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((u--candidates (((csegen-25) (lambda (eta-0) (LibrariesC-45SystemC-45DirectoryC-45Tree-fileName eta-0))) (let ((e-1 (car e-6))) e-1)))) (lambda (clam-0) (let ((sc3 (PreludeC-45TypesC-45List-filterAppend '() (csegen-4928) u--candidates))) (if (null? sc3) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 60 "No .ipkg file supplied and none could be found in the working directory.") clam-0) (let ((e-1 (car sc3))) (let ((e-2 (cdr sc3))) (if (null? e-2) (vector 1 e-1) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 60 "No .ipkg file supplied and the working directory contains more than one.") clam-0)))))))))) eff-2))))))))) eff-1))))))) (let ((e-1 (unbox arg-0))) (lambda (eta-0) (vector 1 e-1))))))
(define IdrisC-45Package-installSrcFrom (lambda (arg-0 arg-1 arg-2 arg-3) (let ((e-2 (car arg-3))) (let ((e-3 (cdr arg-3))) (let ((u--srcfile (CoreC-45NameC-45NamespaceC-45ModuleIdent-toPath e-2))) (let ((u--srcPath (LibrariesC-45UtilsC-45Path-C-60C-47C-62 arg-1 e-3))) (IdrisC-45Package-case--installSrcFrom-12087 e-2 e-3 arg-2 arg-1 arg-0 u--srcfile u--srcPath (LibrariesC-45UtilsC-45Path-extension u--srcPath))))))))
(define IdrisC-45Package-installFrom (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (let ((u--ttcfile (CoreC-45NameC-45NamespaceC-45ModuleIdent-toPath arg-4))) (let ((u--ttcPath (LibrariesC-45UtilsC-45Path-C-60C-47C-62 (LibrariesC-45UtilsC-45Path-C-60C-47C-62 arg-2 "ttc") (LibrariesC-45UtilsC-45Path-C-60C-46C-62 u--ttcfile "ttc")))) (let ((eff-0 (let ((eff-0 (CoreC-45Context-getSession arg-1))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (CoreC-45Core-traverseC-39 (lambda (u--cg) (let ((eff-1 (IdrisC-45ProcessIdr-getCG arg-0 arg-1 u--cg))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-6) (lambda (eta-0) (vector 1 '())) (let ((e-1 (unbox e-6))) (let ((_-0 (box e-1))) (IdrisC-45Package-case--caseC-32blockC-32inC-32installFrom-11583 arg-4 arg-3 arg-2 arg-1 arg-0 u--ttcfile u--ttcPath e-5 u--cg e-1 _-0 (let ((e-3 (vector-ref e-1 3))) e-3))))))) eff-2)))))))) (let ((e-21 (vector-ref e-5 21))) e-21) '()))) eff-1))))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--objPaths (PreludeC-45TypesC-45List-mapMaybeAppend '() (lambda (eta-0) eta-0) e-5))) (let ((u--modPath (PreludeC-45TypesC-45List-reverse (DataC-45Maybe-fromMaybe (lambda () '()) (DataC-45List-tailC-39 (CoreC-45NameC-45Namespace-unsafeUnfoldModuleIdent arg-4)))))) (let ((u--destNest (LibrariesC-45UtilsC-45Path-joinPath u--modPath))) (let ((u--destPath (LibrariesC-45UtilsC-45Path-C-60C-47C-62 arg-3 u--destNest))) (let ((u--destFile (LibrariesC-45UtilsC-45Path-C-60C-47C-62 arg-3 (LibrariesC-45UtilsC-45Path-C-60C-46C-62 u--ttcfile "ttc")))) (let ((eff-1 (PrimIO-io_bind (CoreC-45Directory-mkdirAll u--destNest) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (case (vector-ref e-6 0) ((1) (let ((eff-2 (PrimIO-io_bind (PreludeC-45IO-putStrLn (csegen-40) (string-append (csegen-6978) (string-append u--ttcPath (string-append " to " u--destPath)))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-3 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-3 (let ((eff-3 (PrimIO-io_bind (SystemC-45File-copyFile (csegen-40) u--ttcPath u--destFile) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-3 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (case (vector-ref e-8 0) ((1) (let ((eff-4 (CoreC-45Core-traverse_ (lambda (lamc-0) (let ((e-9 (car lamc-0))) (let ((e-4 (cdr lamc-0))) (let ((eff-4 (PrimIO-io_bind (PreludeC-45IO-putStrLn (csegen-40) (string-append (csegen-6978) (string-append e-9 (string-append " to " u--destPath)))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-10 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-10)))) (else (let ((eff-5 (let ((eff-5 (PrimIO-io_bind (SystemC-45File-copyFile (csegen-40) e-9 e-4) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (((csegen-50) ((let ((eff-6 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-11 (vector-ref eta-3 1))) (vector 0 e-11))) (else (let ((e-11 (vector-ref eta-3 1))) (vector 1 (eta-2 e-11))))))))))) (lambda (arg-5) (lambda (arg-6) ((((eff-6 'erased) 'erased) arg-5) arg-6)))) (lambda (_-8679) (vector 0 )))) eff-5)))) eff-5))))))))) u--objPaths))) (PrimIO-io_bind eff-4 (csegen-3296)))) (else (let ((e-9 (vector-ref e-8 1))) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 (DataC-45String-fastUnlines (cons (string-append (csegen-6981) (string-append u--ttcPath (string-append " to " u--destPath))) (cons (PreludeC-45Show-u--show_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-6982) e-9) '())))) eta-0))))))) eff-4))))))))) eff-3))))))) (else (let ((e-7 (vector-ref e-6 1))) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 (DataC-45String-fastUnlines (cons (string-append (csegen-6983) (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-581) u--modPath)) (cons (SystemC-45FileC-45Error-u--show_Show_FileError e-7) '())))) eta-0))))))) eff-2)))))))))))))) eff-1)))))))))))
(define IdrisC-45Package-installDir (lambda (arg-0) (string-append (let ((e-0 (vector-ref arg-0 0))) e-0) (string-append "-" (IdrisC-45PackageC-45Types-u--show_Show_PkgVersion (DataC-45Maybe-fromMaybe (lambda () (cons 0 '())) (let ((e-1 (vector-ref arg-0 1))) e-1)))))))
(define IdrisC-45Package-install (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--build (let ((e-4 (vector-ref e-5 4))) (let ((e-42 (vector-ref e-4 0))) (let ((e-51 (vector-ref e-42 2))) e-51))))) (let ((eff-1 (IdrisC-45Package-runScript (let ((e-21 (vector-ref arg-2 21))) e-21)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((u--toInstall (PreludeC-45Types-maybe (lambda () (let ((e-12 (vector-ref arg-2 12))) e-12)) (lambda () (lambda (arg-5) (cons arg-5 (let ((e-12 (vector-ref arg-2 12))) e-12)))) (let ((e-13 (vector-ref arg-2 13))) e-13)))) (let ((eff-2 (CoreC-45Context-getWorkingDir))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((u--stageDir (DataC-45Maybe-fromMaybe (lambda () "") (let ((e-4 (vector-ref e-5 4))) (let ((e-44 (vector-ref e-4 0))) (let ((e-50 (vector-ref e-44 5))) e-50)))))) (let ((u--targetDir (LibrariesC-45UtilsC-45Path-C-60C-47C-62 (LibrariesC-45UtilsC-45Path-C-60C-47C-62 (string-append u--stageDir (let ((e-4 (vector-ref e-5 4))) (let ((e-44 (vector-ref e-4 0))) (let ((e-49 (vector-ref e-44 6))) e-49)))) (string-append "idris2-" (csegen-2353))) (IdrisC-45Package-installDir arg-2)))) (let ((eff-3 (PrimIO-io_bind (CoreC-45Directory-mkdirAll u--targetDir) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (case (vector-ref e-8 0) ((1) (let ((eff-4 (PrimIO-io_bind (SystemC-45Directory-changeDir (csegen-40) u--targetDir) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-3 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (cond ((equal? e-9 1) (let ((eff-5 (CoreC-45Core-traverse_ (lambda (eta-0) (IdrisC-45Package-installFrom arg-1 arg-0 (LibrariesC-45UtilsC-45Path-C-60C-47C-62 e-7 u--build) u--targetDir (Builtin-fst eta-0))) u--toInstall))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-3 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-6 (let ((eff-6 (cond ((equal? arg-4 1) (CoreC-45Core-traverse_ (lambda (eta-0) (IdrisC-45Package-installSrcFrom arg-0 e-7 u--targetDir eta-0)) u--toInstall)) (else (lambda (eta-0) (vector 1 (vector 0 ))))))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-3 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-7 (let ((u--pkgFile (LibrariesC-45UtilsC-45Path-C-60C-47C-62 u--targetDir (LibrariesC-45UtilsC-45Path-C-60C-46C-62 (let ((e-0 (vector-ref arg-2 0))) e-0) "ipkg")))) (let ((eff-7 (PrimIO-io_bind (PreludeC-45IO-putStrLn (csegen-40) (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons ((csegen-0) "Installing package file for ") (cons ((csegen-0) (let ((e-0 (vector-ref arg-2 0))) e-0)) (cons (csegen-5124) (cons ((csegen-0) u--targetDir) '())))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-3 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-8 (let ((u--pkgStr (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45RenderC-45String-renderString (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-layoutUnbounded (IdrisC-45PackageC-45Types-u--pretty_Pretty_Void_PkgDesc (IdrisC-45Package-n--20315-12636-u--savePkgMetadata arg-4 arg-3 arg-2 arg-1 arg-0 arg-2)))))) (let ((eff-8 (CoreC-45ContextC-45Log-log arg-0 (csegen-7011) 25 (lambda () (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons ((csegen-0) "  package file:\xa;") (cons ((csegen-0) u--pkgStr) '()))))))) (PrimIO-io_bind eff-8 (lambda (lcase-8) (case (vector-ref lcase-8 0) ((0) (let ((e-3 (vector-ref lcase-8 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-9 (let ((eff-9 (let ((eff-9 (PrimIO-io_bind (SystemC-45FileC-45ReadWrite-writeFile (csegen-40) u--pkgFile u--pkgStr) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (((csegen-50) ((let ((eff-10 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-3 (vector-ref eta-3 1))) (vector 0 e-3))) (else (let ((e-14 (vector-ref eta-3 1))) (vector 1 (eta-2 e-14))))))))))) (lambda (arg-5) (lambda (arg-6) ((((eff-10 'erased) 'erased) arg-5) arg-6)))) (lambda (_-8679) (vector 0 )))) eff-9)))) (PrimIO-io_bind eff-9 (lambda (lcase-9) (case (vector-ref lcase-9 0) ((0) (let ((e-3 (vector-ref lcase-9 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-10 (let ((eff-10 (let ((eff-10 (PrimIO-io_bind (SystemC-45Directory-changeDir (csegen-40) e-7) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (((csegen-50) ((let ((eff-11 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-3 (vector-ref eta-3 1))) (vector 0 e-3))) (else (let ((e-15 (vector-ref eta-3 1))) (vector 1 (eta-2 e-15))))))))))) (lambda (arg-5) (lambda (arg-6) ((((eff-11 'erased) 'erased) arg-5) arg-6)))) (lambda (_-8679) (vector 0 )))) eff-10)))) (PrimIO-io_bind eff-10 (lambda (lcase-10) (case (vector-ref lcase-10 0) ((0) (let ((e-3 (vector-ref lcase-10 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-11 (IdrisC-45Package-runScript (let ((e-22 (vector-ref arg-2 22))) e-22)))) eff-11)))))))) eff-10)))))))) eff-9))))))))) eff-8))))))))) eff-7)))))))) eff-6))))))) (else (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 (string-append ((csegen-0) "Can't change directory to ") u--targetDir)) eta-0)))))) eff-5)))))))) (else (let ((e-9 (vector-ref e-8 1))) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 59 (DataC-45String-fastUnlines (cons (string-append ((csegen-0) "Can't make directory ") u--targetDir) (cons (SystemC-45FileC-45Error-u--show_Show_FileError e-9) '())))) eta-0))))))) eff-4))))))))))) eff-3)))))))))) eff-2))))))))) eff-1)))))))))
(define IdrisC-45Package-foldWithKeysC (lambda (arg-2 arg-3 arg-4 ext-0) (IdrisC-45Package-n--22762-14845-u--go arg-2 arg-4 arg-3 '() ext-0)))
(define IdrisC-45Package-findIpkg (lambda (arg-0 arg-1 arg-2 arg-3) (let ((eff-0 (PrimIO-io_bind (CoreC-45Directory-findIpkgFile) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (if (null? e-5) (lambda (eta-0) (vector 1 arg-3)) (let ((e-1 (unbox e-5))) (let ((e-7 (car e-1))) (let ((e-6 (cdr e-1))) (let ((e-9 (car e-6))) (let ((e-10 (cdr e-6))) (let ((eff-1 (let ((eff-1 (PrimIO-io_bind (SystemC-45Directory-changeDir (csegen-40) e-7) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (((csegen-50) ((let ((eff-2 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-8 (vector-ref eta-3 1))) (vector 1 (eta-2 e-8))))))))))) (lambda (arg-4) (lambda (arg-5) ((((eff-2 'erased) 'erased) arg-4) arg-5)))) (lambda (_-8679) (vector 0 )))) eff-1)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((eff-2 (CoreC-45Context-setWorkingDir arg-0 e-7))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (let ((eff-3 (IdrisC-45Package-parsePkgFile arg-0 arg-2 arg-1 1 e-9))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-12 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (PreludeC-45Types-maybe (lambda () (lambda (eta-0) (vector 1 (vector 0 )))) (lambda () (lambda (eta-0) (CoreC-45Context-setBuildDir arg-0 eta-0))) (let ((e-17 (vector-ref e-12 17))) e-17)))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-5 (let ((eff-5 (CoreC-45Context-setOutputDir arg-0 (let ((e-18 (vector-ref e-12 18))) e-18)))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-6 (let ((eff-6 (IdrisC-45Package-processOptions arg-0 arg-1 (let ((e-15 (vector-ref e-12 15))) e-15)))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-2 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-7 (let ((eff-7 (IdrisC-45Package-addDeps arg-0 arg-2 arg-1 e-12))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-2 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-8 (if (null? arg-3) (lambda (eta-0) (vector 1 '())) (let ((e-2 (unbox arg-3))) (let ((u--srcC-39 (LibrariesC-45UtilsC-45Path-C-60C-47C-62 e-10 e-2))) (let ((eff-8 (IdrisC-45REPLC-45Opts-setSource arg-1 u--srcC-39))) (PrimIO-io_bind eff-8 (lambda (lcase-8) (case (vector-ref lcase-8 0) ((0) (let ((e-3 (vector-ref lcase-8 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-9 (let ((eff-9 (let ((eff-9 (let ((eff-9 arg-1)) (PrimIO-io_bind (let ((eff-10 eff-9)) (lambda (eta-0) (unbox eff-10))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-9 (lambda (lcase-9) (case (vector-ref lcase-9 0) ((0) (let ((e-3 (vector-ref lcase-9 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-18 (vector-ref lcase-9 1))) (let ((eff-10 (let ((eff-10 arg-1)) (PrimIO-io_bind (let ((eff-11 eff-10)) (lambda (eta-0) (set-box! eff-11 (let ((e-0 (vector-ref e-18 0))) (let ((e-32 (vector-ref e-18 1))) (let ((e-31 (vector-ref e-18 2))) (let ((e-4 (vector-ref e-18 4))) (let ((e-30 (vector-ref e-18 5))) (let ((e-29 (vector-ref e-18 6))) (let ((e-28 (vector-ref e-18 7))) (let ((e-27 (vector-ref e-18 8))) (let ((e-26 (vector-ref e-18 9))) (let ((e-25 (vector-ref e-18 10))) (let ((e-24 (vector-ref e-18 11))) (let ((e-23 (vector-ref e-18 12))) (let ((e-22 (vector-ref e-18 13))) (let ((e-21 (vector-ref e-18 14))) (let ((e-20 (vector-ref e-18 15))) (let ((e-19 (vector-ref e-18 16))) (vector e-0 e-32 e-31 (box u--srcC-39) e-4 e-30 e-29 e-28 e-27 e-26 e-25 e-24 e-23 e-22 e-21 e-20 e-19)))))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) eff-10))))))))) (PrimIO-io_bind eff-9 (lambda (lcase-9) (case (vector-ref lcase-9 0) ((0) (let ((e-3 (vector-ref lcase-9 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-10 (lambda (eta-0) (vector 1 (box u--srcC-39))))) eff-10)))))))) eff-9))))))))))) eff-8)))))))) eff-7)))))))) eff-6)))))))) eff-5)))))))) eff-4))))))))) eff-3)))))))) eff-2)))))))))))))) eff-1)))))))))
(define IdrisC-45Package-field (lambda (arg-0) (vector 13 1 1 (IdrisC-45Package-n--14447-7159-u--strField arg-0 (lambda (eta-0) (lambda (eta-1) (vector 3 eta-0 eta-1))) "authors") (lambda () (vector 13 1 1 (IdrisC-45Package-n--14447-7159-u--strField arg-0 (lambda (eta-0) (lambda (eta-1) (vector 4 eta-0 eta-1))) "maintainers") (lambda () (vector 13 1 1 (IdrisC-45Package-n--14447-7159-u--strField arg-0 (lambda (eta-0) (lambda (eta-1) (vector 5 eta-0 eta-1))) "license") (lambda () (vector 13 1 1 (IdrisC-45Package-n--14447-7159-u--strField arg-0 (lambda (eta-0) (lambda (eta-1) (vector 6 eta-0 eta-1))) "brief") (lambda () (vector 13 1 1 (IdrisC-45Package-n--14447-7159-u--strField arg-0 (lambda (eta-0) (lambda (eta-1) (vector 7 eta-0 eta-1))) "readme") (lambda () (vector 13 1 1 (IdrisC-45Package-n--14447-7159-u--strField arg-0 (lambda (eta-0) (lambda (eta-1) (vector 8 eta-0 eta-1))) "homepage") (lambda () (vector 13 1 1 (IdrisC-45Package-n--14447-7159-u--strField arg-0 (lambda (eta-0) (lambda (eta-1) (vector 9 eta-0 eta-1))) "sourceloc") (lambda () (vector 13 1 1 (IdrisC-45Package-n--14447-7159-u--strField arg-0 (lambda (eta-0) (lambda (eta-1) (vector 10 eta-0 eta-1))) "bugtracker") (lambda () (vector 13 1 1 (IdrisC-45Package-n--14447-7159-u--strField arg-0 (csegen-7024) "options") (lambda () (vector 13 1 1 (IdrisC-45Package-n--14447-7159-u--strField arg-0 (csegen-7024) "opts") (lambda () (vector 13 1 1 (IdrisC-45Package-n--14447-7159-u--strField arg-0 (lambda (eta-0) (lambda (eta-1) (vector 16 eta-0 eta-1))) "sourcedir") (lambda () (vector 13 1 1 (IdrisC-45Package-n--14447-7159-u--strField arg-0 (lambda (eta-0) (lambda (eta-1) (vector 17 eta-0 eta-1))) "builddir") (lambda () (vector 13 1 1 (IdrisC-45Package-n--14447-7159-u--strField arg-0 (lambda (eta-0) (lambda (eta-1) (vector 18 eta-0 eta-1))) "outputdir") (lambda () (vector 13 1 1 (IdrisC-45Package-n--14447-7159-u--strField arg-0 (lambda (eta-0) (lambda (eta-1) (vector 19 eta-0 eta-1))) "prebuild") (lambda () (vector 13 1 1 (IdrisC-45Package-n--14447-7159-u--strField arg-0 (lambda (eta-0) (lambda (eta-1) (vector 20 eta-0 eta-1))) "postbuild") (lambda () (vector 13 1 1 (IdrisC-45Package-n--14447-7159-u--strField arg-0 (lambda (eta-0) (lambda (eta-1) (vector 21 eta-0 eta-1))) "preinstall") (lambda () (vector 13 1 1 (IdrisC-45Package-n--14447-7159-u--strField arg-0 (lambda (eta-0) (lambda (eta-1) (vector 22 eta-0 eta-1))) "postinstall") (lambda () (vector 13 1 1 (IdrisC-45Package-n--14447-7159-u--strField arg-0 (lambda (eta-0) (lambda (eta-1) (vector 23 eta-0 eta-1))) "preclean") (lambda () (vector 13 1 1 (IdrisC-45Package-n--14447-7159-u--strField arg-0 (lambda (eta-0) (lambda (eta-1) (vector 24 eta-0 eta-1))) "postclean") (lambda () (vector 13 1 1 (vector 10 0 1 (LibrariesC-45TextC-45Parser-location) (lambda (u--start) (vector 11 1 (csegen-7034) (lambda () (vector 11 1 (ParserC-45RuleC-45Package-equals) (lambda () (vector 9 0 (csegen-6990) (lambda () (lambda (u--vs) (vector 10 0 0 (LibrariesC-45TextC-45Parser-location) (lambda (u--end) (vector 0 (vector 0 (vector 0 (vector 1 arg-0) u--start u--end) (PreludeC-45Interfaces-C-60C-36C-62 (csegen-1316) (lambda (eta-0) (PreludeC-45Types-prim__integerToNat eta-0)) u--vs)))))))))))))) (lambda () (vector 13 1 1 (vector 10 0 1 (LibrariesC-45TextC-45Parser-location) (lambda (u--start) (vector 11 0 ((csegen-6986) (ParserC-45RuleC-45Package-exactProperty "langversion")) (lambda () (vector 10 0 0 (IdrisC-45Package-n--14447-7157-u--langversions arg-0) (lambda (u--lvs) (vector 10 0 0 (LibrariesC-45TextC-45Parser-location) (lambda (u--end) (vector 0 (vector 1 (vector 0 (vector 1 arg-0) u--start u--end) u--lvs)))))))))) (lambda () (vector 13 1 1 (vector 10 0 1 (LibrariesC-45TextC-45Parser-location) (lambda (u--start) (vector 11 1 (csegen-7034) (lambda () (vector 11 1 (ParserC-45RuleC-45Package-equals) (lambda () (vector 9 0 (ParserC-45RuleC-45Package-stringLit) (lambda () (lambda (u--v) (vector 10 0 0 (LibrariesC-45TextC-45Parser-location) (lambda (u--end) (vector 0 (vector 2 (vector 0 (vector 1 arg-0) u--start u--end) u--v))))))))))))) (lambda () (vector 13 1 1 (vector 11 1 ((csegen-6986) (ParserC-45RuleC-45Package-exactProperty "depends")) (lambda () (vector 11 1 (ParserC-45RuleC-45Package-equals) (lambda () (vector 9 0 (ParserC-45RuleC-45Package-sep (IdrisC-45Package-n--14447-7158-u--depends arg-0)) (lambda () (lambda (u--ds) (vector 0 (vector 11 u--ds))))))))) (lambda () (vector 13 1 1 (vector 11 1 ((csegen-6986) (ParserC-45RuleC-45Package-exactProperty "modules")) (lambda () (vector 11 1 (ParserC-45RuleC-45Package-equals) (lambda () (vector 9 0 (ParserC-45RuleC-45Package-sep (vector 10 0 1 (LibrariesC-45TextC-45Parser-location) (lambda (u--start) (vector 9 0 (ParserC-45RuleC-45Package-moduleIdent) (lambda () (lambda (u--m) (vector 10 0 0 (LibrariesC-45TextC-45Parser-location) (lambda (u--end) (vector 0 (cons (vector 0 (vector 1 arg-0) u--start u--end) u--m)))))))))) (lambda () (lambda (u--ms) (vector 0 (vector 12 u--ms))))))))) (lambda () (vector 13 1 1 (vector 11 1 ((csegen-6986) (ParserC-45RuleC-45Package-exactProperty "main")) (lambda () (vector 11 1 (ParserC-45RuleC-45Package-equals) (lambda () (vector 10 0 1 (LibrariesC-45TextC-45Parser-location) (lambda (u--start) (vector 9 0 (ParserC-45RuleC-45Package-moduleIdent) (lambda () (lambda (u--m) (vector 10 0 0 (LibrariesC-45TextC-45Parser-location) (lambda (u--end) (vector 0 (vector 13 (vector 0 (vector 1 arg-0) u--start u--end) u--m))))))))))))) (lambda () (vector 11 1 ((csegen-6986) (ParserC-45RuleC-45Package-exactProperty "executable")) (lambda () (vector 11 1 (ParserC-45RuleC-45Package-equals) (lambda () (vector 9 0 (vector 13 1 1 (ParserC-45RuleC-45Package-stringLit) (lambda () (ParserC-45RuleC-45Package-packageName))) (lambda () (lambda (u--e) (vector 0 (vector 14 u--e)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))
(define IdrisC-45Package-errorMsg(blodwen-lazy (lambda () (DataC-45String-fastUnlines (cons "Not all command line options can be used to override package options.\xa;" (cons "Overridable options are:" (cons "    --quiet" (cons "    --verbose" (cons "    --timing" (cons "    --log <log level>" (cons "    --dumpcases <file>" (cons "    --dumplifted <file>" (cons "    --dumpvmcode <file>" (cons "    --debug-elab-check" (cons "    --codegen <cg>" (cons "    --inc <cg>" (cons "    --directive <directive>" (cons "    --build-dir <dir>" (cons "    --output-dir <dir>" (cons "    --stage-dir <dir>" '()))))))))))))))))))))
(define IdrisC-45Package-compileMain (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (let ((eff-0 (CoreC-45Directory-ctxtPathToNS arg-0 arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Core-newRef (vector "Core.Metadata.MD" ) (CoreC-45Metadata-initMetadata (vector 0 e-5))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (csegen-2360))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (let ((eff-3 (IdrisC-45REPL-loadMainFile arg-0 e-7 arg-1 e-6 arg-2 arg-4))) (((csegen-50) ((let ((eff-4 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-8 (vector-ref eta-3 1))) (vector 1 (eta-2 e-8))))))))))) (lambda (arg-6) (lambda (arg-7) ((((eff-4 'erased) 'erased) arg-6) arg-7)))) (lambda (_-8679) (vector 0 )))) eff-3)))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-4 (let ((eff-4 (IdrisC-45REPL-compileExp arg-0 e-7 arg-1 e-6 arg-2 (vector 0 (CoreC-45FC-replFC) arg-3) arg-5))) (((csegen-50) ((let ((eff-5 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-9 (vector-ref eta-3 1))) (vector 1 (eta-2 e-9))))))))))) (lambda (arg-6) (lambda (arg-7) ((((eff-5 'erased) 'erased) arg-6) arg-7)))) (lambda (_-8679) (vector 0 )))) eff-4)))) eff-4)))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))
(define IdrisC-45Package-clean (lambda (arg-0 arg-1 arg-2 arg-3) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (IdrisC-45Package-runScript (let ((e-23 (vector-ref arg-2 23))) e-23)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (let ((u--pkgmods (PreludeC-45Types-maybe (lambda () ((csegen-101) (let ((e-12 (vector-ref arg-2 12))) e-12))) (lambda () (lambda (u--m) (cons (Builtin-fst u--m) ((csegen-101) (let ((e-12 (vector-ref arg-2 12))) e-12))))) (let ((e-13 (vector-ref arg-2 13))) e-13)))) (let ((u--toClean (PreludeC-45TypesC-45List-mapMaybeAppend '() (lambda (u--mod) (let ((sc2 (CoreC-45NameC-45Namespace-unsafeUnfoldModuleIdent u--mod))) (if (null? sc2) '() (let ((e-2 (car sc2))) (let ((e-3 (cdr sc2))) (box (cons e-3 e-2))))))) u--pkgmods))) (let ((eff-2 (CoreC-45Context-getWorkingDir))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((u--d (let ((e-4 (vector-ref e-5 4))) (let ((e-44 (vector-ref e-4 0))) e-44)))) (let ((u--builddir (LibrariesC-45UtilsC-45Path-C-60C-47C-62 (LibrariesC-45UtilsC-45Path-C-60C-47C-62 e-7 (let ((e-2 (vector-ref u--d 2))) e-2)) "ttc"))) (let ((u--outputdir (LibrariesC-45UtilsC-45Path-C-60C-47C-62 e-7 (CoreC-45Options-outputDirWithDefault u--d)))) (let ((u--pkgTrie (PreludeC-45Types-u--foldl_Foldable_List (lambda (u--trie) (lambda (u--ksv) (let ((u--ks (Builtin-fst u--ksv))) (let ((u--v (Builtin-snd u--ksv))) (LibrariesC-45DataC-45StringTrie-insertWith (PreludeC-45TypesC-45List-reverse u--ks) (lambda (eta-0) (PreludeC-45Types-maybe (lambda () (cons u--v '())) (lambda () (lambda (arg-4) (cons u--v arg-4))) eta-0)) u--trie))))) (LibrariesC-45DataC-45StringTrie-empty) u--toClean))) (let ((eff-3 (IdrisC-45Package-foldWithKeysC (csegen-7062) (lambda (eta-0) (IdrisC-45Package-n--22900-14969-u--deleteFolder arg-3 arg-2 arg-1 arg-0 u--builddir eta-0)) (lambda (u--ks) (lambda (eta-0) (let ((eff-3 (CoreC-45Core-traverseC-39 (lambda (eta-1) (IdrisC-45Package-n--22900-14970-u--deleteBin arg-3 arg-2 arg-1 arg-0 u--builddir u--ks eta-1)) eta-0 '()))) (((csegen-50) ((let ((eff-4 (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (lambda (eta-4) (case (vector-ref eta-4 0) ((0) (let ((e-2 (vector-ref eta-4 1))) (vector 0 e-2))) (else (let ((e-8 (vector-ref eta-4 1))) (vector 1 (eta-3 e-8))))))))))) (lambda (arg-4) (lambda (arg-5) ((((eff-4 'erased) 'erased) arg-4) arg-5)))) (lambda (eta-1) (PreludeC-45Interfaces-concat (csegen-7062) (csegen-16) eta-1)))) eff-3)))) u--pkgTrie))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-4 (let ((eff-4 (IdrisC-45Package-n--22900-14969-u--deleteFolder arg-3 arg-2 arg-1 arg-0 u--builddir '()))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-5 (let ((eff-5 (PreludeC-45Types-maybe (lambda () (lambda (eta-0) (vector 1 (vector 0 )))) (lambda () (lambda (u--e) (IdrisC-45Package-n--22900-14968-u--delete arg-3 arg-2 arg-1 arg-0 (LibrariesC-45UtilsC-45Path-C-60C-47C-62 u--outputdir u--e)))) (let ((e-14 (vector-ref arg-2 14))) e-14)))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-6 (IdrisC-45Package-runScript (let ((e-24 (vector-ref arg-2 24))) e-24)))) eff-6)))))))) eff-5)))))))) eff-4)))))))))))) eff-3))))))))))) eff-2)))))))) eff-1)))))))))
(define IdrisC-45Package-check (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (let ((eff-0 (IdrisC-45Package-assertIdrisCompatibility arg-3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (IdrisC-45Package-prepareCompilation arg-0 arg-1 arg-2 arg-3 arg-4))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-6) (let ((eff-2 (IdrisC-45Package-runScript (let ((e-20 (vector-ref arg-3 20))) e-20)))) (PrimIO-io_bind eff-2 (csegen-1025))) (lambda (eta-0) (vector 1 e-6))))) eff-2))))))))) eff-1))))))))
(define IdrisC-45Package-build (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (let ((eff-0 (IdrisC-45Package-assertIdrisCompatibility arg-3))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (IdrisC-45Package-prepareCompilation arg-0 arg-1 arg-2 arg-3 arg-4))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-6) (let ((eff-2 (let ((e-14 (vector-ref arg-3 14))) (if (null? e-14) (lambda (eta-0) (vector 1 (vector 0 ))) (let ((e-27 (unbox e-14))) (let ((e-39 (vector-ref arg-3 13))) (if (null? e-39) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (CoreC-45FC-emptyFC) "No main module given") eta-0)) (let ((e-53 (unbox e-39))) (let ((e-55 (car e-53))) (let ((e-54 (cdr e-53))) (let ((u--mainName (vector 0 (CoreC-45NameC-45Namespace-miAsNamespace e-55) (vector 1 (vector 0 "main"))))) (let ((eff-2 (PrimIO-io_bind (PreludeC-45IO-putStrLn (csegen-40) (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons "Now compiling the executable: " (cons e-27 '())))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-56 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-56)))) (else (let ((eff-3 (IdrisC-45Package-compileMain arg-0 arg-1 arg-2 u--mainName e-54 e-27))) eff-3))))))))))))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (let ((eff-3 (IdrisC-45Package-runScript (let ((e-20 (vector-ref arg-3 20))) e-20)))) (PrimIO-io_bind eff-3 (csegen-1025))))) eff-3)))))) (lambda (eta-0) (vector 1 e-6))))) eff-2))))))))) eff-1))))))))
(define IdrisC-45Package-bitraverseC (lambda (arg-4 arg-5 arg-6) (case (vector-ref arg-6 0) ((0) (let ((e-2 (vector-ref arg-6 1))) (CoreC-45Core-C-60C-42C-62 (lambda (eta-0) (vector 1 (lambda (eta-1) (vector 0 eta-1)))) (arg-4 e-2)))) ((1) (let ((e-5 (vector-ref arg-6 1))) (CoreC-45Core-C-60C-42C-62 (lambda (eta-0) (vector 1 (lambda (eta-1) (vector 1 eta-1)))) (arg-5 e-5)))) (else (let ((e-8 (vector-ref arg-6 1))) (let ((e-9 (vector-ref arg-6 2))) (CoreC-45Core-C-60C-42C-62 (CoreC-45Core-C-60C-42C-62 (lambda (eta-0) (vector 1 (lambda (eta-1) (lambda (eta-2) (vector 2 eta-1 eta-2))))) (arg-4 e-8)) (arg-5 e-9))))))))
(define IdrisC-45Package-assertIdrisCompatibility (lambda (arg-0) (IdrisC-45Package-case--assertIdrisCompatibility-11254 arg-0 (let ((e-2 (vector-ref arg-0 2))) e-2))))
(define IdrisC-45Package-addFields (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (let ((eff-0 (CoreC-45Core-newRef (vector "Idris.Package.ParsedMods" ) '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Core-newRef (vector "Idris.Package.MainMod" ) '()))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (IdrisC-45Package-n--17098-9736-u--go arg-5 arg-4 arg-3 arg-2 arg-1 arg-0 e-5 e-6 arg-4 arg-5))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (cond ((equal? arg-3 1) (CoreC-45Context-setSourceDir arg-0 (let ((e-16 (vector-ref e-7 16))) e-16))) (else (lambda (eta-0) (vector 1 (vector 0 ))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-4 (let ((eff-4 (let ((eff-4 e-5)) (PrimIO-io_bind (let ((eff-5 eff-4)) (lambda (eta-0) (unbox eff-5))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (let ((eff-5 (let ((eff-5 e-6)) (PrimIO-io_bind (let ((eff-6 eff-5)) (lambda (eta-0) (unbox eff-6))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-10 (vector-ref lcase-5 1))) (let ((eff-6 (let ((eff-6 (CoreC-45Core-traverseC-39 (lambda (eta-0) (IdrisC-45Package-n--17098-9735-u--toSource arg-5 arg-4 arg-3 arg-2 arg-1 arg-0 eta-0)) e-9 '()))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-2 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-11 (vector-ref lcase-6 1))) (let ((eff-7 (let ((eff-7 (if (null? e-10) (lambda (eta-0) (vector 1 '())) (let ((e-2 (unbox e-10))) (let ((eff-7 (IdrisC-45Package-n--17098-9735-u--toSource arg-5 arg-4 arg-3 arg-2 arg-1 arg-0 e-2))) (((csegen-50) ((let ((eff-8 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-3 (vector-ref eta-3 1))) (vector 0 e-3))) (else (let ((e-12 (vector-ref eta-3 1))) (vector 1 (eta-2 e-12))))))))))) (lambda (arg-6) (lambda (arg-7) ((((eff-8 'erased) 'erased) arg-6) arg-7)))) (lambda (eta-0) (box eta-0)))) eff-7)))))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-2 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-12 (vector-ref lcase-7 1))) (let ((eff-8 (lambda (eta-0) (vector 1 (let ((e-0 (vector-ref e-7 0))) (let ((e-1 (vector-ref e-7 1))) (let ((e-2 (vector-ref e-7 2))) (let ((e-3 (vector-ref e-7 3))) (let ((e-4 (vector-ref e-7 4))) (let ((e-32 (vector-ref e-7 5))) (let ((e-31 (vector-ref e-7 6))) (let ((e-30 (vector-ref e-7 7))) (let ((e-29 (vector-ref e-7 8))) (let ((e-28 (vector-ref e-7 9))) (let ((e-27 (vector-ref e-7 10))) (let ((e-26 (vector-ref e-7 11))) (let ((e-14 (vector-ref e-7 14))) (let ((e-15 (vector-ref e-7 15))) (let ((e-16 (vector-ref e-7 16))) (let ((e-17 (vector-ref e-7 17))) (let ((e-18 (vector-ref e-7 18))) (let ((e-19 (vector-ref e-7 19))) (let ((e-20 (vector-ref e-7 20))) (let ((e-21 (vector-ref e-7 21))) (let ((e-22 (vector-ref e-7 22))) (let ((e-23 (vector-ref e-7 23))) (let ((e-24 (vector-ref e-7 24))) (vector e-0 e-1 e-2 e-3 e-4 e-32 e-31 e-30 e-29 e-28 e-27 e-26 e-11 e-12 e-14 e-15 e-16 e-17 e-18 e-19 e-20 e-21 e-22 e-23 e-24)))))))))))))))))))))))))))) eff-8))))))))) eff-7))))))))) eff-6))))))))) eff-5))))))))) eff-4)))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))
(define IdrisC-45Package-addField (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (case (vector-ref arg-5 0) ((0) (let ((e-1 (vector-ref arg-5 2))) (lambda (eta-0) (vector 1 (let ((e-26 (vector-ref arg-6 0))) (let ((e-2 (vector-ref arg-6 2))) (let ((e-3 (vector-ref arg-6 3))) (let ((e-4 (vector-ref arg-6 4))) (let ((e-5 (vector-ref arg-6 5))) (let ((e-6 (vector-ref arg-6 6))) (let ((e-7 (vector-ref arg-6 7))) (let ((e-8 (vector-ref arg-6 8))) (let ((e-9 (vector-ref arg-6 9))) (let ((e-10 (vector-ref arg-6 10))) (let ((e-11 (vector-ref arg-6 11))) (let ((e-12 (vector-ref arg-6 12))) (let ((e-13 (vector-ref arg-6 13))) (let ((e-14 (vector-ref arg-6 14))) (let ((e-15 (vector-ref arg-6 15))) (let ((e-16 (vector-ref arg-6 16))) (let ((e-17 (vector-ref arg-6 17))) (let ((e-18 (vector-ref arg-6 18))) (let ((e-19 (vector-ref arg-6 19))) (let ((e-20 (vector-ref arg-6 20))) (let ((e-21 (vector-ref arg-6 21))) (let ((e-22 (vector-ref arg-6 22))) (let ((e-23 (vector-ref arg-6 23))) (let ((e-24 (vector-ref arg-6 24))) (vector e-26 (box e-1) e-2 e-3 e-4 e-5 e-6 e-7 e-8 e-9 e-10 e-11 e-12 e-13 e-14 e-15 e-16 e-17 e-18 e-19 e-20 e-21 e-22 e-23 e-24))))))))))))))))))))))))))))) ((1) (let ((e-3 (vector-ref arg-5 2))) (lambda (eta-0) (vector 1 (let ((e-0 (vector-ref arg-6 0))) (let ((e-1 (vector-ref arg-6 1))) (let ((e-25 (vector-ref arg-6 3))) (let ((e-4 (vector-ref arg-6 4))) (let ((e-5 (vector-ref arg-6 5))) (let ((e-6 (vector-ref arg-6 6))) (let ((e-7 (vector-ref arg-6 7))) (let ((e-8 (vector-ref arg-6 8))) (let ((e-9 (vector-ref arg-6 9))) (let ((e-10 (vector-ref arg-6 10))) (let ((e-11 (vector-ref arg-6 11))) (let ((e-12 (vector-ref arg-6 12))) (let ((e-13 (vector-ref arg-6 13))) (let ((e-14 (vector-ref arg-6 14))) (let ((e-15 (vector-ref arg-6 15))) (let ((e-16 (vector-ref arg-6 16))) (let ((e-17 (vector-ref arg-6 17))) (let ((e-18 (vector-ref arg-6 18))) (let ((e-19 (vector-ref arg-6 19))) (let ((e-20 (vector-ref arg-6 20))) (let ((e-21 (vector-ref arg-6 21))) (let ((e-22 (vector-ref arg-6 22))) (let ((e-23 (vector-ref arg-6 23))) (let ((e-24 (vector-ref arg-6 24))) (vector e-0 e-1 (box e-3) e-25 e-4 e-5 e-6 e-7 e-8 e-9 e-10 e-11 e-12 e-13 e-14 e-15 e-16 e-17 e-18 e-19 e-20 e-21 e-22 e-23 e-24))))))))))))))))))))))))))))) ((2) (let ((eff-0 (IdrisC-45REPLC-45Common-emitWarning arg-0 arg-2 arg-1 (vector 4 "version numbers must now be of the form x.y.z" '())))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (lambda (eta-0) (vector 1 arg-6)))) eff-1))))))) ((3) (let ((e-7 (vector-ref arg-5 2))) (lambda (eta-0) (vector 1 (let ((e-0 (vector-ref arg-6 0))) (let ((e-1 (vector-ref arg-6 1))) (let ((e-2 (vector-ref arg-6 2))) (let ((e-4 (vector-ref arg-6 4))) (let ((e-5 (vector-ref arg-6 5))) (let ((e-26 (vector-ref arg-6 6))) (let ((e-25 (vector-ref arg-6 7))) (let ((e-8 (vector-ref arg-6 8))) (let ((e-9 (vector-ref arg-6 9))) (let ((e-10 (vector-ref arg-6 10))) (let ((e-11 (vector-ref arg-6 11))) (let ((e-12 (vector-ref arg-6 12))) (let ((e-13 (vector-ref arg-6 13))) (let ((e-14 (vector-ref arg-6 14))) (let ((e-15 (vector-ref arg-6 15))) (let ((e-16 (vector-ref arg-6 16))) (let ((e-17 (vector-ref arg-6 17))) (let ((e-18 (vector-ref arg-6 18))) (let ((e-19 (vector-ref arg-6 19))) (let ((e-20 (vector-ref arg-6 20))) (let ((e-21 (vector-ref arg-6 21))) (let ((e-22 (vector-ref arg-6 22))) (let ((e-23 (vector-ref arg-6 23))) (let ((e-24 (vector-ref arg-6 24))) (vector e-0 e-1 e-2 (box e-7) e-4 e-5 e-26 e-25 e-8 e-9 e-10 e-11 e-12 e-13 e-14 e-15 e-16 e-17 e-18 e-19 e-20 e-21 e-22 e-23 e-24))))))))))))))))))))))))))))) ((4) (let ((e-9 (vector-ref arg-5 2))) (lambda (eta-0) (vector 1 (let ((e-0 (vector-ref arg-6 0))) (let ((e-1 (vector-ref arg-6 1))) (let ((e-2 (vector-ref arg-6 2))) (let ((e-3 (vector-ref arg-6 3))) (let ((e-5 (vector-ref arg-6 5))) (let ((e-6 (vector-ref arg-6 6))) (let ((e-7 (vector-ref arg-6 7))) (let ((e-26 (vector-ref arg-6 8))) (let ((e-25 (vector-ref arg-6 9))) (let ((e-10 (vector-ref arg-6 10))) (let ((e-11 (vector-ref arg-6 11))) (let ((e-12 (vector-ref arg-6 12))) (let ((e-13 (vector-ref arg-6 13))) (let ((e-14 (vector-ref arg-6 14))) (let ((e-15 (vector-ref arg-6 15))) (let ((e-16 (vector-ref arg-6 16))) (let ((e-17 (vector-ref arg-6 17))) (let ((e-18 (vector-ref arg-6 18))) (let ((e-19 (vector-ref arg-6 19))) (let ((e-20 (vector-ref arg-6 20))) (let ((e-21 (vector-ref arg-6 21))) (let ((e-22 (vector-ref arg-6 22))) (let ((e-23 (vector-ref arg-6 23))) (let ((e-24 (vector-ref arg-6 24))) (vector e-0 e-1 e-2 e-3 (box e-9) e-5 e-6 e-7 e-26 e-25 e-10 e-11 e-12 e-13 e-14 e-15 e-16 e-17 e-18 e-19 e-20 e-21 e-22 e-23 e-24))))))))))))))))))))))))))))) ((5) (let ((e-11 (vector-ref arg-5 2))) (lambda (eta-0) (vector 1 (let ((e-0 (vector-ref arg-6 0))) (let ((e-1 (vector-ref arg-6 1))) (let ((e-2 (vector-ref arg-6 2))) (let ((e-3 (vector-ref arg-6 3))) (let ((e-4 (vector-ref arg-6 4))) (let ((e-6 (vector-ref arg-6 6))) (let ((e-7 (vector-ref arg-6 7))) (let ((e-8 (vector-ref arg-6 8))) (let ((e-9 (vector-ref arg-6 9))) (let ((e-26 (vector-ref arg-6 10))) (let ((e-25 (vector-ref arg-6 11))) (let ((e-12 (vector-ref arg-6 12))) (let ((e-13 (vector-ref arg-6 13))) (let ((e-14 (vector-ref arg-6 14))) (let ((e-15 (vector-ref arg-6 15))) (let ((e-16 (vector-ref arg-6 16))) (let ((e-17 (vector-ref arg-6 17))) (let ((e-18 (vector-ref arg-6 18))) (let ((e-19 (vector-ref arg-6 19))) (let ((e-20 (vector-ref arg-6 20))) (let ((e-21 (vector-ref arg-6 21))) (let ((e-22 (vector-ref arg-6 22))) (let ((e-23 (vector-ref arg-6 23))) (let ((e-24 (vector-ref arg-6 24))) (vector e-0 e-1 e-2 e-3 e-4 (box e-11) e-6 e-7 e-8 e-9 e-26 e-25 e-12 e-13 e-14 e-15 e-16 e-17 e-18 e-19 e-20 e-21 e-22 e-23 e-24))))))))))))))))))))))))))))) ((6) (let ((e-13 (vector-ref arg-5 2))) (lambda (eta-0) (vector 1 (let ((e-0 (vector-ref arg-6 0))) (let ((e-1 (vector-ref arg-6 1))) (let ((e-2 (vector-ref arg-6 2))) (let ((e-3 (vector-ref arg-6 3))) (let ((e-4 (vector-ref arg-6 4))) (let ((e-5 (vector-ref arg-6 5))) (let ((e-7 (vector-ref arg-6 7))) (let ((e-8 (vector-ref arg-6 8))) (let ((e-9 (vector-ref arg-6 9))) (let ((e-10 (vector-ref arg-6 10))) (let ((e-11 (vector-ref arg-6 11))) (let ((e-26 (vector-ref arg-6 12))) (let ((e-25 (vector-ref arg-6 13))) (let ((e-14 (vector-ref arg-6 14))) (let ((e-15 (vector-ref arg-6 15))) (let ((e-16 (vector-ref arg-6 16))) (let ((e-17 (vector-ref arg-6 17))) (let ((e-18 (vector-ref arg-6 18))) (let ((e-19 (vector-ref arg-6 19))) (let ((e-20 (vector-ref arg-6 20))) (let ((e-21 (vector-ref arg-6 21))) (let ((e-22 (vector-ref arg-6 22))) (let ((e-23 (vector-ref arg-6 23))) (let ((e-24 (vector-ref arg-6 24))) (vector e-0 e-1 e-2 e-3 e-4 e-5 (box e-13) e-7 e-8 e-9 e-10 e-11 e-26 e-25 e-14 e-15 e-16 e-17 e-18 e-19 e-20 e-21 e-22 e-23 e-24))))))))))))))))))))))))))))) ((7) (let ((e-15 (vector-ref arg-5 2))) (lambda (eta-0) (vector 1 (let ((e-0 (vector-ref arg-6 0))) (let ((e-1 (vector-ref arg-6 1))) (let ((e-2 (vector-ref arg-6 2))) (let ((e-3 (vector-ref arg-6 3))) (let ((e-4 (vector-ref arg-6 4))) (let ((e-5 (vector-ref arg-6 5))) (let ((e-6 (vector-ref arg-6 6))) (let ((e-8 (vector-ref arg-6 8))) (let ((e-9 (vector-ref arg-6 9))) (let ((e-10 (vector-ref arg-6 10))) (let ((e-11 (vector-ref arg-6 11))) (let ((e-12 (vector-ref arg-6 12))) (let ((e-13 (vector-ref arg-6 13))) (let ((e-26 (vector-ref arg-6 14))) (let ((e-25 (vector-ref arg-6 15))) (let ((e-16 (vector-ref arg-6 16))) (let ((e-17 (vector-ref arg-6 17))) (let ((e-18 (vector-ref arg-6 18))) (let ((e-19 (vector-ref arg-6 19))) (let ((e-20 (vector-ref arg-6 20))) (let ((e-21 (vector-ref arg-6 21))) (let ((e-22 (vector-ref arg-6 22))) (let ((e-23 (vector-ref arg-6 23))) (let ((e-24 (vector-ref arg-6 24))) (vector e-0 e-1 e-2 e-3 e-4 e-5 e-6 (box e-15) e-8 e-9 e-10 e-11 e-12 e-13 e-26 e-25 e-16 e-17 e-18 e-19 e-20 e-21 e-22 e-23 e-24))))))))))))))))))))))))))))) ((8) (let ((e-17 (vector-ref arg-5 2))) (lambda (eta-0) (vector 1 (let ((e-0 (vector-ref arg-6 0))) (let ((e-1 (vector-ref arg-6 1))) (let ((e-2 (vector-ref arg-6 2))) (let ((e-3 (vector-ref arg-6 3))) (let ((e-4 (vector-ref arg-6 4))) (let ((e-5 (vector-ref arg-6 5))) (let ((e-6 (vector-ref arg-6 6))) (let ((e-7 (vector-ref arg-6 7))) (let ((e-9 (vector-ref arg-6 9))) (let ((e-10 (vector-ref arg-6 10))) (let ((e-11 (vector-ref arg-6 11))) (let ((e-12 (vector-ref arg-6 12))) (let ((e-13 (vector-ref arg-6 13))) (let ((e-14 (vector-ref arg-6 14))) (let ((e-15 (vector-ref arg-6 15))) (let ((e-26 (vector-ref arg-6 16))) (let ((e-25 (vector-ref arg-6 17))) (let ((e-18 (vector-ref arg-6 18))) (let ((e-19 (vector-ref arg-6 19))) (let ((e-20 (vector-ref arg-6 20))) (let ((e-21 (vector-ref arg-6 21))) (let ((e-22 (vector-ref arg-6 22))) (let ((e-23 (vector-ref arg-6 23))) (let ((e-24 (vector-ref arg-6 24))) (vector e-0 e-1 e-2 e-3 e-4 e-5 e-6 e-7 (box e-17) e-9 e-10 e-11 e-12 e-13 e-14 e-15 e-26 e-25 e-18 e-19 e-20 e-21 e-22 e-23 e-24))))))))))))))))))))))))))))) ((9) (let ((e-19 (vector-ref arg-5 2))) (lambda (eta-0) (vector 1 (let ((e-0 (vector-ref arg-6 0))) (let ((e-1 (vector-ref arg-6 1))) (let ((e-2 (vector-ref arg-6 2))) (let ((e-3 (vector-ref arg-6 3))) (let ((e-4 (vector-ref arg-6 4))) (let ((e-5 (vector-ref arg-6 5))) (let ((e-6 (vector-ref arg-6 6))) (let ((e-7 (vector-ref arg-6 7))) (let ((e-8 (vector-ref arg-6 8))) (let ((e-10 (vector-ref arg-6 10))) (let ((e-11 (vector-ref arg-6 11))) (let ((e-12 (vector-ref arg-6 12))) (let ((e-13 (vector-ref arg-6 13))) (let ((e-14 (vector-ref arg-6 14))) (let ((e-15 (vector-ref arg-6 15))) (let ((e-16 (vector-ref arg-6 16))) (let ((e-17 (vector-ref arg-6 17))) (let ((e-26 (vector-ref arg-6 18))) (let ((e-25 (vector-ref arg-6 19))) (let ((e-20 (vector-ref arg-6 20))) (let ((e-21 (vector-ref arg-6 21))) (let ((e-22 (vector-ref arg-6 22))) (let ((e-23 (vector-ref arg-6 23))) (let ((e-24 (vector-ref arg-6 24))) (vector e-0 e-1 e-2 e-3 e-4 e-5 e-6 e-7 e-8 (box e-19) e-10 e-11 e-12 e-13 e-14 e-15 e-16 e-17 e-26 e-25 e-20 e-21 e-22 e-23 e-24))))))))))))))))))))))))))))) ((10) (let ((e-21 (vector-ref arg-5 2))) (lambda (eta-0) (vector 1 (let ((e-0 (vector-ref arg-6 0))) (let ((e-1 (vector-ref arg-6 1))) (let ((e-2 (vector-ref arg-6 2))) (let ((e-3 (vector-ref arg-6 3))) (let ((e-4 (vector-ref arg-6 4))) (let ((e-5 (vector-ref arg-6 5))) (let ((e-6 (vector-ref arg-6 6))) (let ((e-7 (vector-ref arg-6 7))) (let ((e-8 (vector-ref arg-6 8))) (let ((e-9 (vector-ref arg-6 9))) (let ((e-11 (vector-ref arg-6 11))) (let ((e-12 (vector-ref arg-6 12))) (let ((e-13 (vector-ref arg-6 13))) (let ((e-14 (vector-ref arg-6 14))) (let ((e-15 (vector-ref arg-6 15))) (let ((e-16 (vector-ref arg-6 16))) (let ((e-17 (vector-ref arg-6 17))) (let ((e-18 (vector-ref arg-6 18))) (let ((e-19 (vector-ref arg-6 19))) (let ((e-26 (vector-ref arg-6 20))) (let ((e-25 (vector-ref arg-6 21))) (let ((e-22 (vector-ref arg-6 22))) (let ((e-23 (vector-ref arg-6 23))) (let ((e-24 (vector-ref arg-6 24))) (vector e-0 e-1 e-2 e-3 e-4 e-5 e-6 e-7 e-8 e-9 (box e-21) e-11 e-12 e-13 e-14 e-15 e-16 e-17 e-18 e-19 e-26 e-25 e-22 e-23 e-24))))))))))))))))))))))))))))) ((11) (let ((e-22 (vector-ref arg-5 1))) (lambda (eta-0) (vector 1 (let ((e-0 (vector-ref arg-6 0))) (let ((e-1 (vector-ref arg-6 1))) (let ((e-2 (vector-ref arg-6 2))) (let ((e-3 (vector-ref arg-6 3))) (let ((e-4 (vector-ref arg-6 4))) (let ((e-5 (vector-ref arg-6 5))) (let ((e-6 (vector-ref arg-6 6))) (let ((e-7 (vector-ref arg-6 7))) (let ((e-8 (vector-ref arg-6 8))) (let ((e-9 (vector-ref arg-6 9))) (let ((e-10 (vector-ref arg-6 10))) (let ((e-12 (vector-ref arg-6 12))) (let ((e-13 (vector-ref arg-6 13))) (let ((e-14 (vector-ref arg-6 14))) (let ((e-15 (vector-ref arg-6 15))) (let ((e-16 (vector-ref arg-6 16))) (let ((e-17 (vector-ref arg-6 17))) (let ((e-18 (vector-ref arg-6 18))) (let ((e-19 (vector-ref arg-6 19))) (let ((e-20 (vector-ref arg-6 20))) (let ((e-21 (vector-ref arg-6 21))) (let ((e-25 (vector-ref arg-6 22))) (let ((e-23 (vector-ref arg-6 23))) (let ((e-24 (vector-ref arg-6 24))) (vector e-0 e-1 e-2 e-3 e-4 e-5 e-6 e-7 e-8 e-9 e-10 e-22 e-12 e-13 e-14 e-15 e-16 e-17 e-18 e-19 e-20 e-21 e-25 e-23 e-24))))))))))))))))))))))))))))) ((12) (let ((e-23 (vector-ref arg-5 1))) (let ((eff-0 (let ((eff-0 arg-3)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (set-box! eff-1 e-23))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (lambda (eta-0) (vector 1 arg-6)))) eff-1)))))))) ((13) (let ((e-24 (vector-ref arg-5 1))) (let ((e-25 (vector-ref arg-5 2))) (let ((eff-0 (let ((eff-0 arg-4)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (set-box! eff-1 (box (cons e-24 e-25))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (lambda (eta-0) (vector 1 arg-6)))) eff-1))))))))) ((14) (let ((e-26 (vector-ref arg-5 1))) (lambda (eta-0) (vector 1 (let ((e-0 (vector-ref arg-6 0))) (let ((e-1 (vector-ref arg-6 1))) (let ((e-2 (vector-ref arg-6 2))) (let ((e-3 (vector-ref arg-6 3))) (let ((e-4 (vector-ref arg-6 4))) (let ((e-5 (vector-ref arg-6 5))) (let ((e-6 (vector-ref arg-6 6))) (let ((e-7 (vector-ref arg-6 7))) (let ((e-8 (vector-ref arg-6 8))) (let ((e-9 (vector-ref arg-6 9))) (let ((e-10 (vector-ref arg-6 10))) (let ((e-11 (vector-ref arg-6 11))) (let ((e-12 (vector-ref arg-6 12))) (let ((e-13 (vector-ref arg-6 13))) (let ((e-15 (vector-ref arg-6 15))) (let ((e-16 (vector-ref arg-6 16))) (let ((e-17 (vector-ref arg-6 17))) (let ((e-18 (vector-ref arg-6 18))) (let ((e-19 (vector-ref arg-6 19))) (let ((e-20 (vector-ref arg-6 20))) (let ((e-21 (vector-ref arg-6 21))) (let ((e-22 (vector-ref arg-6 22))) (let ((e-23 (vector-ref arg-6 23))) (let ((e-24 (vector-ref arg-6 24))) (vector e-0 e-1 e-2 e-3 e-4 e-5 e-6 e-7 e-8 e-9 e-10 e-11 e-12 e-13 (box e-26) e-15 e-16 e-17 e-18 e-19 e-20 e-21 e-22 e-23 e-24))))))))))))))))))))))))))))) ((15) (let ((e-27 (vector-ref arg-5 1))) (let ((e-28 (vector-ref arg-5 2))) (lambda (eta-0) (vector 1 (let ((e-0 (vector-ref arg-6 0))) (let ((e-1 (vector-ref arg-6 1))) (let ((e-2 (vector-ref arg-6 2))) (let ((e-3 (vector-ref arg-6 3))) (let ((e-4 (vector-ref arg-6 4))) (let ((e-5 (vector-ref arg-6 5))) (let ((e-6 (vector-ref arg-6 6))) (let ((e-7 (vector-ref arg-6 7))) (let ((e-8 (vector-ref arg-6 8))) (let ((e-9 (vector-ref arg-6 9))) (let ((e-10 (vector-ref arg-6 10))) (let ((e-11 (vector-ref arg-6 11))) (let ((e-12 (vector-ref arg-6 12))) (let ((e-13 (vector-ref arg-6 13))) (let ((e-14 (vector-ref arg-6 14))) (let ((e-16 (vector-ref arg-6 16))) (let ((e-17 (vector-ref arg-6 17))) (let ((e-18 (vector-ref arg-6 18))) (let ((e-19 (vector-ref arg-6 19))) (let ((e-20 (vector-ref arg-6 20))) (let ((e-21 (vector-ref arg-6 21))) (let ((e-22 (vector-ref arg-6 22))) (let ((e-23 (vector-ref arg-6 23))) (let ((e-24 (vector-ref arg-6 24))) (vector e-0 e-1 e-2 e-3 e-4 e-5 e-6 e-7 e-8 e-9 e-10 e-11 e-12 e-13 e-14 (box (cons e-27 e-28)) e-16 e-17 e-18 e-19 e-20 e-21 e-22 e-23 e-24)))))))))))))))))))))))))))))) ((16) (let ((e-30 (vector-ref arg-5 2))) (lambda (eta-0) (vector 1 (let ((e-0 (vector-ref arg-6 0))) (let ((e-1 (vector-ref arg-6 1))) (let ((e-2 (vector-ref arg-6 2))) (let ((e-3 (vector-ref arg-6 3))) (let ((e-4 (vector-ref arg-6 4))) (let ((e-5 (vector-ref arg-6 5))) (let ((e-6 (vector-ref arg-6 6))) (let ((e-7 (vector-ref arg-6 7))) (let ((e-8 (vector-ref arg-6 8))) (let ((e-9 (vector-ref arg-6 9))) (let ((e-10 (vector-ref arg-6 10))) (let ((e-11 (vector-ref arg-6 11))) (let ((e-12 (vector-ref arg-6 12))) (let ((e-13 (vector-ref arg-6 13))) (let ((e-14 (vector-ref arg-6 14))) (let ((e-15 (vector-ref arg-6 15))) (let ((e-17 (vector-ref arg-6 17))) (let ((e-18 (vector-ref arg-6 18))) (let ((e-19 (vector-ref arg-6 19))) (let ((e-20 (vector-ref arg-6 20))) (let ((e-21 (vector-ref arg-6 21))) (let ((e-22 (vector-ref arg-6 22))) (let ((e-23 (vector-ref arg-6 23))) (let ((e-24 (vector-ref arg-6 24))) (vector e-0 e-1 e-2 e-3 e-4 e-5 e-6 e-7 e-8 e-9 e-10 e-11 e-12 e-13 e-14 e-15 (box e-30) e-17 e-18 e-19 e-20 e-21 e-22 e-23 e-24))))))))))))))))))))))))))))) ((17) (let ((e-32 (vector-ref arg-5 2))) (lambda (eta-0) (vector 1 (let ((e-0 (vector-ref arg-6 0))) (let ((e-1 (vector-ref arg-6 1))) (let ((e-2 (vector-ref arg-6 2))) (let ((e-3 (vector-ref arg-6 3))) (let ((e-4 (vector-ref arg-6 4))) (let ((e-5 (vector-ref arg-6 5))) (let ((e-6 (vector-ref arg-6 6))) (let ((e-7 (vector-ref arg-6 7))) (let ((e-8 (vector-ref arg-6 8))) (let ((e-9 (vector-ref arg-6 9))) (let ((e-10 (vector-ref arg-6 10))) (let ((e-11 (vector-ref arg-6 11))) (let ((e-12 (vector-ref arg-6 12))) (let ((e-13 (vector-ref arg-6 13))) (let ((e-14 (vector-ref arg-6 14))) (let ((e-15 (vector-ref arg-6 15))) (let ((e-16 (vector-ref arg-6 16))) (let ((e-18 (vector-ref arg-6 18))) (let ((e-19 (vector-ref arg-6 19))) (let ((e-20 (vector-ref arg-6 20))) (let ((e-21 (vector-ref arg-6 21))) (let ((e-22 (vector-ref arg-6 22))) (let ((e-23 (vector-ref arg-6 23))) (let ((e-24 (vector-ref arg-6 24))) (vector e-0 e-1 e-2 e-3 e-4 e-5 e-6 e-7 e-8 e-9 e-10 e-11 e-12 e-13 e-14 e-15 e-16 (box e-32) e-18 e-19 e-20 e-21 e-22 e-23 e-24))))))))))))))))))))))))))))) ((18) (let ((e-34 (vector-ref arg-5 2))) (lambda (eta-0) (vector 1 (let ((e-0 (vector-ref arg-6 0))) (let ((e-1 (vector-ref arg-6 1))) (let ((e-2 (vector-ref arg-6 2))) (let ((e-3 (vector-ref arg-6 3))) (let ((e-4 (vector-ref arg-6 4))) (let ((e-5 (vector-ref arg-6 5))) (let ((e-6 (vector-ref arg-6 6))) (let ((e-7 (vector-ref arg-6 7))) (let ((e-8 (vector-ref arg-6 8))) (let ((e-9 (vector-ref arg-6 9))) (let ((e-10 (vector-ref arg-6 10))) (let ((e-11 (vector-ref arg-6 11))) (let ((e-12 (vector-ref arg-6 12))) (let ((e-13 (vector-ref arg-6 13))) (let ((e-14 (vector-ref arg-6 14))) (let ((e-15 (vector-ref arg-6 15))) (let ((e-16 (vector-ref arg-6 16))) (let ((e-17 (vector-ref arg-6 17))) (let ((e-19 (vector-ref arg-6 19))) (let ((e-20 (vector-ref arg-6 20))) (let ((e-21 (vector-ref arg-6 21))) (let ((e-22 (vector-ref arg-6 22))) (let ((e-23 (vector-ref arg-6 23))) (let ((e-24 (vector-ref arg-6 24))) (vector e-0 e-1 e-2 e-3 e-4 e-5 e-6 e-7 e-8 e-9 e-10 e-11 e-12 e-13 e-14 e-15 e-16 e-17 (box e-34) e-19 e-20 e-21 e-22 e-23 e-24))))))))))))))))))))))))))))) ((19) (let ((e-35 (vector-ref arg-5 1))) (let ((e-36 (vector-ref arg-5 2))) (lambda (eta-0) (vector 1 (let ((e-0 (vector-ref arg-6 0))) (let ((e-1 (vector-ref arg-6 1))) (let ((e-2 (vector-ref arg-6 2))) (let ((e-3 (vector-ref arg-6 3))) (let ((e-4 (vector-ref arg-6 4))) (let ((e-5 (vector-ref arg-6 5))) (let ((e-6 (vector-ref arg-6 6))) (let ((e-7 (vector-ref arg-6 7))) (let ((e-8 (vector-ref arg-6 8))) (let ((e-9 (vector-ref arg-6 9))) (let ((e-10 (vector-ref arg-6 10))) (let ((e-11 (vector-ref arg-6 11))) (let ((e-12 (vector-ref arg-6 12))) (let ((e-13 (vector-ref arg-6 13))) (let ((e-14 (vector-ref arg-6 14))) (let ((e-15 (vector-ref arg-6 15))) (let ((e-16 (vector-ref arg-6 16))) (let ((e-17 (vector-ref arg-6 17))) (let ((e-18 (vector-ref arg-6 18))) (let ((e-20 (vector-ref arg-6 20))) (let ((e-21 (vector-ref arg-6 21))) (let ((e-22 (vector-ref arg-6 22))) (let ((e-23 (vector-ref arg-6 23))) (let ((e-24 (vector-ref arg-6 24))) (vector e-0 e-1 e-2 e-3 e-4 e-5 e-6 e-7 e-8 e-9 e-10 e-11 e-12 e-13 e-14 e-15 e-16 e-17 e-18 (box (cons e-35 e-36)) e-20 e-21 e-22 e-23 e-24)))))))))))))))))))))))))))))) ((20) (let ((e-37 (vector-ref arg-5 1))) (let ((e-38 (vector-ref arg-5 2))) (lambda (eta-0) (vector 1 (let ((e-0 (vector-ref arg-6 0))) (let ((e-1 (vector-ref arg-6 1))) (let ((e-2 (vector-ref arg-6 2))) (let ((e-3 (vector-ref arg-6 3))) (let ((e-4 (vector-ref arg-6 4))) (let ((e-5 (vector-ref arg-6 5))) (let ((e-6 (vector-ref arg-6 6))) (let ((e-7 (vector-ref arg-6 7))) (let ((e-8 (vector-ref arg-6 8))) (let ((e-9 (vector-ref arg-6 9))) (let ((e-10 (vector-ref arg-6 10))) (let ((e-11 (vector-ref arg-6 11))) (let ((e-12 (vector-ref arg-6 12))) (let ((e-13 (vector-ref arg-6 13))) (let ((e-14 (vector-ref arg-6 14))) (let ((e-15 (vector-ref arg-6 15))) (let ((e-16 (vector-ref arg-6 16))) (let ((e-17 (vector-ref arg-6 17))) (let ((e-18 (vector-ref arg-6 18))) (let ((e-19 (vector-ref arg-6 19))) (let ((e-21 (vector-ref arg-6 21))) (let ((e-22 (vector-ref arg-6 22))) (let ((e-23 (vector-ref arg-6 23))) (let ((e-24 (vector-ref arg-6 24))) (vector e-0 e-1 e-2 e-3 e-4 e-5 e-6 e-7 e-8 e-9 e-10 e-11 e-12 e-13 e-14 e-15 e-16 e-17 e-18 e-19 (box (cons e-37 e-38)) e-21 e-22 e-23 e-24)))))))))))))))))))))))))))))) ((21) (let ((e-39 (vector-ref arg-5 1))) (let ((e-40 (vector-ref arg-5 2))) (lambda (eta-0) (vector 1 (let ((e-0 (vector-ref arg-6 0))) (let ((e-1 (vector-ref arg-6 1))) (let ((e-2 (vector-ref arg-6 2))) (let ((e-3 (vector-ref arg-6 3))) (let ((e-4 (vector-ref arg-6 4))) (let ((e-5 (vector-ref arg-6 5))) (let ((e-6 (vector-ref arg-6 6))) (let ((e-7 (vector-ref arg-6 7))) (let ((e-8 (vector-ref arg-6 8))) (let ((e-9 (vector-ref arg-6 9))) (let ((e-10 (vector-ref arg-6 10))) (let ((e-11 (vector-ref arg-6 11))) (let ((e-12 (vector-ref arg-6 12))) (let ((e-13 (vector-ref arg-6 13))) (let ((e-14 (vector-ref arg-6 14))) (let ((e-15 (vector-ref arg-6 15))) (let ((e-16 (vector-ref arg-6 16))) (let ((e-17 (vector-ref arg-6 17))) (let ((e-18 (vector-ref arg-6 18))) (let ((e-19 (vector-ref arg-6 19))) (let ((e-20 (vector-ref arg-6 20))) (let ((e-22 (vector-ref arg-6 22))) (let ((e-23 (vector-ref arg-6 23))) (let ((e-24 (vector-ref arg-6 24))) (vector e-0 e-1 e-2 e-3 e-4 e-5 e-6 e-7 e-8 e-9 e-10 e-11 e-12 e-13 e-14 e-15 e-16 e-17 e-18 e-19 e-20 (box (cons e-39 e-40)) e-22 e-23 e-24)))))))))))))))))))))))))))))) ((22) (let ((e-41 (vector-ref arg-5 1))) (let ((e-42 (vector-ref arg-5 2))) (lambda (eta-0) (vector 1 (let ((e-0 (vector-ref arg-6 0))) (let ((e-1 (vector-ref arg-6 1))) (let ((e-2 (vector-ref arg-6 2))) (let ((e-3 (vector-ref arg-6 3))) (let ((e-4 (vector-ref arg-6 4))) (let ((e-5 (vector-ref arg-6 5))) (let ((e-6 (vector-ref arg-6 6))) (let ((e-7 (vector-ref arg-6 7))) (let ((e-8 (vector-ref arg-6 8))) (let ((e-9 (vector-ref arg-6 9))) (let ((e-10 (vector-ref arg-6 10))) (let ((e-11 (vector-ref arg-6 11))) (let ((e-12 (vector-ref arg-6 12))) (let ((e-13 (vector-ref arg-6 13))) (let ((e-14 (vector-ref arg-6 14))) (let ((e-15 (vector-ref arg-6 15))) (let ((e-16 (vector-ref arg-6 16))) (let ((e-17 (vector-ref arg-6 17))) (let ((e-18 (vector-ref arg-6 18))) (let ((e-19 (vector-ref arg-6 19))) (let ((e-20 (vector-ref arg-6 20))) (let ((e-21 (vector-ref arg-6 21))) (let ((e-23 (vector-ref arg-6 23))) (let ((e-24 (vector-ref arg-6 24))) (vector e-0 e-1 e-2 e-3 e-4 e-5 e-6 e-7 e-8 e-9 e-10 e-11 e-12 e-13 e-14 e-15 e-16 e-17 e-18 e-19 e-20 e-21 (box (cons e-41 e-42)) e-23 e-24)))))))))))))))))))))))))))))) ((23) (let ((e-43 (vector-ref arg-5 1))) (let ((e-44 (vector-ref arg-5 2))) (lambda (eta-0) (vector 1 (let ((e-0 (vector-ref arg-6 0))) (let ((e-1 (vector-ref arg-6 1))) (let ((e-2 (vector-ref arg-6 2))) (let ((e-3 (vector-ref arg-6 3))) (let ((e-4 (vector-ref arg-6 4))) (let ((e-5 (vector-ref arg-6 5))) (let ((e-6 (vector-ref arg-6 6))) (let ((e-7 (vector-ref arg-6 7))) (let ((e-8 (vector-ref arg-6 8))) (let ((e-9 (vector-ref arg-6 9))) (let ((e-10 (vector-ref arg-6 10))) (let ((e-11 (vector-ref arg-6 11))) (let ((e-12 (vector-ref arg-6 12))) (let ((e-13 (vector-ref arg-6 13))) (let ((e-14 (vector-ref arg-6 14))) (let ((e-15 (vector-ref arg-6 15))) (let ((e-16 (vector-ref arg-6 16))) (let ((e-17 (vector-ref arg-6 17))) (let ((e-18 (vector-ref arg-6 18))) (let ((e-19 (vector-ref arg-6 19))) (let ((e-20 (vector-ref arg-6 20))) (let ((e-21 (vector-ref arg-6 21))) (let ((e-22 (vector-ref arg-6 22))) (let ((e-24 (vector-ref arg-6 24))) (vector e-0 e-1 e-2 e-3 e-4 e-5 e-6 e-7 e-8 e-9 e-10 e-11 e-12 e-13 e-14 e-15 e-16 e-17 e-18 e-19 e-20 e-21 e-22 (box (cons e-43 e-44)) e-24)))))))))))))))))))))))))))))) (else (let ((e-45 (vector-ref arg-5 1))) (let ((e-46 (vector-ref arg-5 2))) (lambda (eta-0) (vector 1 (let ((e-0 (vector-ref arg-6 0))) (let ((e-1 (vector-ref arg-6 1))) (let ((e-2 (vector-ref arg-6 2))) (let ((e-3 (vector-ref arg-6 3))) (let ((e-4 (vector-ref arg-6 4))) (let ((e-5 (vector-ref arg-6 5))) (let ((e-6 (vector-ref arg-6 6))) (let ((e-7 (vector-ref arg-6 7))) (let ((e-8 (vector-ref arg-6 8))) (let ((e-9 (vector-ref arg-6 9))) (let ((e-10 (vector-ref arg-6 10))) (let ((e-11 (vector-ref arg-6 11))) (let ((e-12 (vector-ref arg-6 12))) (let ((e-13 (vector-ref arg-6 13))) (let ((e-14 (vector-ref arg-6 14))) (let ((e-15 (vector-ref arg-6 15))) (let ((e-16 (vector-ref arg-6 16))) (let ((e-17 (vector-ref arg-6 17))) (let ((e-18 (vector-ref arg-6 18))) (let ((e-19 (vector-ref arg-6 19))) (let ((e-20 (vector-ref arg-6 20))) (let ((e-21 (vector-ref arg-6 21))) (let ((e-22 (vector-ref arg-6 22))) (let ((e-23 (vector-ref arg-6 23))) (vector e-0 e-1 e-2 e-3 e-4 e-5 e-6 e-7 e-8 e-9 e-10 e-11 e-12 e-13 e-14 e-15 e-16 e-17 e-18 e-19 e-20 e-21 e-22 e-23 (box (cons e-45 e-46)))))))))))))))))))))))))))))))))))
(define IdrisC-45Package-addDeps (lambda (arg-0 arg-1 arg-2 arg-3) (let ((eff-0 (IdrisC-45Package-n--17937-10515-u--getTransitiveDeps arg-3 arg-2 arg-1 arg-0 (let ((e-11 (vector-ref arg-3 11))) e-11) (LibrariesC-45DataC-45StringMap-empty)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (case (vector-ref e-5 0) ((0) (let ((e-0 (vector-ref e-5 1))) (let ((eff-1 (CoreC-45ContextC-45Log-log arg-0 (csegen-7011) 10 (lambda () (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons ((csegen-0) "all depends: ") (cons ((csegen-0) (PreludeC-45Show-u--show_Show_C-40ListC-32C-36aC-41 (csegen-581) e-0)) '()))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (CoreC-45Core-traverse_ (lambda (eta-0) (CoreC-45Context-addExtraDir arg-0 eta-0)) e-0))) eff-2)))))))) (else (let ((e-1 (vector-ref e-5 1))) (lambda (eta-0) (CoreC-45Core-u--throw_Catchable_Core_Error (vector 49 (vector 2 ) (IdrisC-45Package-printErrs arg-3 e-1)) eta-0))))))) eff-1)))))))))
(define IdrisC-45PackageC-45Init-case--interactiveC-44mstring-6792 (lambda (arg-0 arg-1) (cond ((equal? arg-1 "") '())(else (box arg-1)))))
(define IdrisC-45PackageC-45Init-case--isModuleIdent-6407 (lambda (arg-0 arg-1) (if (null? arg-1) 0 (let ((e-2 (car arg-1))) (let ((sc1 (PreludeC-45Types-isUpper e-2))) (cond ((equal? sc1 1) (PreludeC-45Interfaces-all (csegen-16) (lambda (eta-0) (PreludeC-45Types-isAlphaNum eta-0)) arg-1)) (else 0)))))))
(define IdrisC-45PackageC-45Init-n--4802-6430-u--validFile (lambda (arg-0 arg-1 arg-2) (let ((sc0 (CoreC-45Directory-splitIdrisFileName (LibrariesC-45SystemC-45DirectoryC-45Tree-fileName arg-2)))) (if (null? sc0) 0 (let ((e-2 (unbox sc0))) (let ((e-5 (car e-2))) (IdrisC-45PackageC-45Init-isModuleIdent e-5)))))))
(define IdrisC-45PackageC-45Init-n--4802-6431-u--validDirectory (lambda (arg-0 arg-1 ext-0) (IdrisC-45PackageC-45Init-isModuleIdent (LibrariesC-45SystemC-45DirectoryC-45Tree-fileName ext-0))))
(define IdrisC-45PackageC-45Init-n--5165-6782-u--mstring (lambda (arg-0) (IdrisC-45PackageC-45Init-case--interactiveC-44mstring-6792 arg-0 (DataC-45String-trim arg-0))))
(define IdrisC-45PackageC-45Init-n--4880-6512-u--go (lambda (arg-0 arg-1 arg-2) (if (null? arg-2) (lambda (eta-0) arg-1) (let ((e-2 (car arg-2))) (let ((e-3 (cdr arg-2))) (let ((e-6 (car e-2))) (let ((e-7 (cdr e-2))) (let ((e-10 (car e-7))) (let ((e-11 (cdr e-7))) (PrimIO-io_bind e-11 (lambda (u--t) (let ((u--mods (PreludeC-45Basics-flip (csegen-25) (let ((e-1 (car u--t))) e-1) (lambda (u--entry) (let ((u--fname (Builtin-fst (LibrariesC-45UtilsC-45Path-splitFileName (LibrariesC-45SystemC-45DirectoryC-45Tree-fileName u--entry))))) (let ((u--mod (cons u--fname e-6))) (let ((u--fp (LibrariesC-45SystemC-45DirectoryC-45Tree-toFilePath e-10 u--entry))) (cons u--mod u--fp)))))))) (let ((u--dirs (PreludeC-45Basics-flip (csegen-25) (let ((e-4 (cdr u--t))) e-4) (lambda (lamc-0) (let ((e-5 (car lamc-0))) (let ((e-4 (cdr lamc-0))) (cons (cons (LibrariesC-45SystemC-45DirectoryC-45Tree-fileName e-5) e-6) (cons (LibrariesC-45UtilsC-45Path-C-47C-62 e-10 (LibrariesC-45SystemC-45DirectoryC-45Tree-fileName e-5)) e-4)))))))) (IdrisC-45PackageC-45Init-n--4880-6512-u--go arg-0 (PreludeC-45TypesC-45List-tailRecAppend u--mods arg-1) (PreludeC-45TypesC-45List-tailRecAppend u--dirs e-3)))))))))))))))
(define IdrisC-45PackageC-45Init-prompt (lambda (arg-0) (PreludeC-45Interfaces-C-62C-62 (csegen-39) (PreludeC-45Interfaces-C-62C-62 (csegen-39) (PreludeC-45IO-putStr (csegen-40) arg-0) (lambda () (csegen-4981))) (lambda () (csegen-2410)))))
(define IdrisC-45PackageC-45Init-packageTree (lambda (arg-0) (PreludeC-45Interfaces-C-60C-36C-62 (csegen-49) (lambda (eta-0) (LibrariesC-45SystemC-45DirectoryC-45Tree-filter (lambda (root-6495) (lambda (eta-1) (IdrisC-45PackageC-45Init-n--4802-6430-u--validFile arg-0 root-6495 eta-1))) (lambda (root-6500) (lambda (eta-1) (IdrisC-45PackageC-45Init-n--4802-6431-u--validDirectory arg-0 root-6500 eta-1))) arg-0 eta-0)) (LibrariesC-45SystemC-45DirectoryC-45Tree-explore arg-0))))
(define IdrisC-45PackageC-45Init-isModuleIdent (lambda (arg-0) (IdrisC-45PackageC-45Init-case--isModuleIdent-6407 arg-0 (PreludeC-45Types-fastUnpack arg-0))))
(define IdrisC-45PackageC-45Init-interactive(blodwen-lazy (lambda () (PrimIO-io_bind (IdrisC-45PackageC-45Init-prompt "Package name: ") (lambda (u--pname) (PrimIO-io_bind (IdrisC-45PackageC-45Init-prompt "Package authors: ") (lambda (u--pauthors) (PrimIO-io_bind (IdrisC-45PackageC-45Init-prompt "Package options: ") (lambda (u--poptions) (PrimIO-io_bind (IdrisC-45PackageC-45Init-prompt "Source directory: ") (lambda (u--psource) (let ((u--sourcedir (IdrisC-45PackageC-45Init-n--5165-6782-u--mstring u--psource))) (PrimIO-io_bind (IdrisC-45PackageC-45Init-findModules u--sourcedir) (lambda (u--modules) (let ((u--pkg (let ((sc0 (IdrisC-45PackageC-45Types-initPkgDesc (DataC-45Maybe-fromMaybe (lambda () "project") (IdrisC-45PackageC-45Init-n--5165-6782-u--mstring u--pname))))) (let ((e-0 (vector-ref sc0 0))) (let ((e-1 (vector-ref sc0 1))) (let ((e-2 (vector-ref sc0 2))) (let ((e-4 (vector-ref sc0 4))) (let ((e-5 (vector-ref sc0 5))) (let ((e-6 (vector-ref sc0 6))) (let ((e-7 (vector-ref sc0 7))) (let ((e-8 (vector-ref sc0 8))) (let ((e-9 (vector-ref sc0 9))) (let ((e-10 (vector-ref sc0 10))) (let ((e-11 (vector-ref sc0 11))) (let ((e-13 (vector-ref sc0 13))) (let ((e-14 (vector-ref sc0 14))) (let ((e-17 (vector-ref sc0 17))) (let ((e-18 (vector-ref sc0 18))) (let ((e-19 (vector-ref sc0 19))) (let ((e-20 (vector-ref sc0 20))) (let ((e-21 (vector-ref sc0 21))) (let ((e-22 (vector-ref sc0 22))) (let ((e-23 (vector-ref sc0 23))) (let ((e-24 (vector-ref sc0 24))) (vector e-0 e-1 e-2 (IdrisC-45PackageC-45Init-n--5165-6782-u--mstring u--pauthors) e-4 e-5 e-6 e-7 e-8 e-9 e-10 e-11 u--modules e-13 e-14 (PreludeC-45Interfaces-C-60C-36C-62 (csegen-76) (lambda (__infixTupleSection-0) (cons (CoreC-45FC-emptyFC) __infixTupleSection-0)) (IdrisC-45PackageC-45Init-n--5165-6782-u--mstring u--poptions)) u--sourcedir e-17 e-18 e-19 e-20 e-21 e-22 e-23 e-24))))))))))))))))))))))))) (lambda (eta-0) u--pkg))))))))))))))))
(define IdrisC-45PackageC-45Init-findModules (lambda (arg-0) (PrimIO-io_bind (PreludeC-45Types-maybe (lambda () (csegen-1583)) (lambda () (lambda (eta-0) (lambda (eta-1) (box eta-0)))) arg-0) (lambda (_-0) (if (null? _-0) (lambda (eta-0) '()) (let ((e-1 (unbox _-0))) (let ((u--root (LibrariesC-45UtilsC-45Path-parse e-1))) (PrimIO-io_bind (IdrisC-45PackageC-45Init-packageTree u--root) (lambda (u--tree) (PrimIO-io_bind (IdrisC-45PackageC-45Init-n--4880-6512-u--go arg-0 '() (cons (cons '() (cons u--root (lambda (eta-0) u--tree))) '())) (lambda (u--mods) (lambda (eta-0) (DataC-45List-sortBy (lambda (u--a) (lambda (u--b) (PreludeC-45EqOrd-u--compare_Ord_String (Builtin-snd u--a) (Builtin-snd u--b)))) u--mods)))))))))))))
(define IdrisC-45DocC-45HTML-with--tryCanonicalName-3836 (lambda (arg-0 arg-1 arg-2 arg-3) (cond ((equal? arg-1 1) (let ((eff-0 (let ((eff-0 arg-3)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-lookupCtxtName arg-0 (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (if (null? e-6) (lambda (eta-0) (vector 1 '())) (let ((e-1 (car e-6))) (let ((e-2 (cdr e-6))) (if (null? e-1) (lambda (eta-0) (vector 1 '())) (let ((e-8 (car e-1))) (let ((e-7 (cdr e-1))) (lambda (clam-0) (if (null? e-7) (vector 1 '()) (if (null? e-2) (vector 1 (box e-8)) (vector 1 '())))))))))))) eff-2))))))))) eff-1)))))))) (else (lambda (eta-0) (vector 1 '()))))))
(define IdrisC-45DocC-45HTML-n--9137-4694-u--moduleLink (lambda (arg-0 arg-1) (let ((e-2 (car arg-1))) (string-append "<li><a class=\"code\" href=\"docs/" (string-append (CoreC-45NameC-45Namespace-u--show_Show_ModuleIdent e-2) (string-append ".html\">" (string-append (CoreC-45NameC-45Namespace-u--show_Show_ModuleIdent e-2) "</a></li>")))))))
(define IdrisC-45DocC-45HTML-n--8822-4381-u--go (lambda (arg-0 arg-1) (cond ((equal? arg-0 0) (case (vector-ref arg-1 0) ((3) arg-1)(else (case (vector-ref arg-1 0) ((5) (let ((e-1 (vector-ref arg-1 1))) (vector 5 (((csegen-25) (lambda (eta-0) (IdrisC-45DocC-45HTML-n--8822-4381-u--go arg-0 eta-0))) e-1)))) ((4) (let ((e-3 (vector-ref arg-1 1))) (let ((e-4 (vector-ref arg-1 2))) (case (vector-ref e-3 0) ((2) (vector 4 (vector 2 ) (IdrisC-45DocC-45HTML-n--8822-4381-u--go 1 e-4)))(else (vector 4 e-3 (IdrisC-45DocC-45HTML-n--8822-4381-u--go 0 e-4)))))))(else arg-1))))) ((equal? arg-0 1) (case (vector-ref arg-1 0) ((3) (vector 0 ))(else (case (vector-ref arg-1 0) ((5) (let ((e-1 (vector-ref arg-1 1))) (vector 5 (((csegen-25) (lambda (eta-0) (IdrisC-45DocC-45HTML-n--8822-4381-u--go arg-0 eta-0))) e-1)))) ((4) (let ((e-3 (vector-ref arg-1 1))) (let ((e-4 (vector-ref arg-1 2))) (case (vector-ref e-3 0) ((2) (vector 4 (vector 2 ) (IdrisC-45DocC-45HTML-n--8822-4381-u--go 1 e-4)))(else (vector 4 e-3 (IdrisC-45DocC-45HTML-n--8822-4381-u--go 0 e-4)))))))(else arg-1)))))(else (case (vector-ref arg-1 0) ((5) (let ((e-1 (vector-ref arg-1 1))) (vector 5 (((csegen-25) (lambda (eta-0) (IdrisC-45DocC-45HTML-n--8822-4381-u--go arg-0 eta-0))) e-1)))) ((4) (let ((e-3 (vector-ref arg-1 1))) (let ((e-4 (vector-ref arg-1 2))) (case (vector-ref e-3 0) ((2) (vector 4 (vector 2 ) (IdrisC-45DocC-45HTML-n--8822-4381-u--go 1 e-4)))(else (vector 4 e-3 (IdrisC-45DocC-45HTML-n--8822-4381-u--go 0 e-4)))))))(else arg-1))))))
(define IdrisC-45DocC-45HTML-tryCanonicalName (lambda (arg-0 arg-1 arg-2) (IdrisC-45DocC-45HTML-with--tryCanonicalName-3836 arg-2 (IdrisC-45DocC-45HTML-hasNS arg-2) arg-1 arg-0)))
(define IdrisC-45DocC-45HTML-renderModuleDoc (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (let ((u--mdoc (PreludeC-45Types-maybe (lambda () "") (lambda () (lambda (eta-0) (IdrisC-45DocC-45HTML-preserveLayout (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45RenderC-45HTML-htmlEscape eta-0)))) arg-2))) (let ((u--mexp (PreludeC-45Types-maybe (lambda () (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "")) (lambda () (lambda (eta-0) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vcat eta-0))) arg-3))) (let ((eff-0 (IdrisC-45DocC-45HTML-docDocToHtml arg-0 u--mexp))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (IdrisC-45DocC-45HTML-docDocToHtml arg-0 (DataC-45Maybe-fromMaybe (lambda () (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "")) arg-4)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (PreludeC-45Types-fastConcat (cons (IdrisC-45DocC-45HTML-htmlPreamble (CoreC-45NameC-45Namespace-u--show_Show_ModuleIdent arg-1) "../" "namespace") (cons "<div id=\"module-header\">" (cons "<h1>" (cons (CoreC-45NameC-45Namespace-u--show_Show_ModuleIdent arg-1) (cons "</h1>" (cons u--mdoc (cons "</div>" (cons (PreludeC-45Types-maybe (lambda () "") (lambda () (lambda (eta-1) "<h2>Reexports</h2>")) arg-3) (cons "<code>" (cons e-5 (cons "</code>" (cons (PreludeC-45Types-maybe (lambda () "") (lambda () (lambda (eta-1) "<h2>Definitions</h2>")) arg-4) (cons e-6 (cons (IdrisC-45DocC-45HTML-htmlFooter) '()))))))))))))))))))) eff-2))))))))) eff-1)))))))))))
(define IdrisC-45DocC-45HTML-renderHtml (lambda (arg-0 arg-1) (case (vector-ref arg-1 0) ((0) (lambda (eta-0) (vector 1 ""))) ((1) (let ((e-2 (vector-ref arg-1 1))) (lambda (clam-0) (cond ((equal? e-2 #\ ) (vector 1 "&ensp;"))(else (vector 1 (string e-2))))))) ((2) (let ((e-5 (vector-ref arg-1 2))) (lambda (eta-0) (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45RenderC-45HTML-htmlEscape e-5))))) ((3) (lambda (eta-0) (vector 1 "<br>"))) ((4) (let ((e-9 (vector-ref arg-1 1))) (let ((e-10 (vector-ref arg-1 2))) (case (vector-ref e-9 0) ((2) (let ((eff-0 (IdrisC-45DocC-45HTML-renderHtml arg-0 e-10))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (((csegen-909) (((csegen-909) "<dl class=\"decls\">") e-5)) "</dl>"))))) eff-1)))))))) ((3) (let ((e-13 (vector-ref e-9 1))) (let ((eff-0 (IdrisC-45DocC-45HTML-renderHtml arg-0 e-10))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (string-append "<dt id=\"" (string-append (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45RenderC-45HTML-htmlEscape (CoreC-45Name-u--show_Show_Name e-13)) (((csegen-909) (((csegen-909) "\"><code>") e-5)) "</code></dt>"))))))) eff-1))))))))) ((4) (let ((eff-0 (IdrisC-45DocC-45HTML-renderHtml arg-0 e-10))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (((csegen-909) (((csegen-909) "<dd>") e-5)) "</dd>"))))) eff-1)))))))) ((5) (let ((eff-0 (IdrisC-45DocC-45HTML-renderHtml arg-0 e-10))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (((csegen-909) (((csegen-909) "<pre>") e-5)) "</pre>"))))) eff-1)))))))) ((6) (let ((e-14 (vector-ref e-9 1))) (case (vector-ref e-14 0) ((2) (let ((e-15 (vector-ref e-14 1))) (let ((eff-0 (IdrisC-45DocC-45HTML-renderHtml arg-0 e-10))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (IdrisC-45DocC-45HTML-addLink arg-0 e-15 (((csegen-909) (((csegen-909) "<span class=\"name constructor\">") e-5)) "</span>")))) eff-1))))))))) ((1) (let ((e-16 (vector-ref e-14 1))) (let ((eff-0 (IdrisC-45DocC-45HTML-renderHtml arg-0 e-10))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (IdrisC-45DocC-45HTML-addLink arg-0 e-16 (((csegen-909) (((csegen-909) "<span class=\"name type\">") e-5)) "</span>")))) eff-1))))))))) ((3) (let ((e-17 (vector-ref e-14 1))) (let ((eff-0 (IdrisC-45DocC-45HTML-renderHtml arg-0 e-10))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (IdrisC-45DocC-45HTML-addLink arg-0 (box e-17) (((csegen-909) (((csegen-909) "<span class=\"name function\">") e-5)) "</span>")))) eff-1))))))))) ((5) (let ((eff-0 (IdrisC-45DocC-45HTML-renderHtml arg-0 e-10))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (((csegen-909) (((csegen-909) "<span class=\"keyword\">") e-5)) "</span>"))))) eff-1)))))))) ((4) (let ((eff-0 (IdrisC-45DocC-45HTML-renderHtml arg-0 e-10))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (((csegen-909) (((csegen-909) "<span class=\"boundvar\">") e-5)) "</span>"))))) eff-1))))))))(else (let ((eff-0 (IdrisC-45DocC-45HTML-renderHtml arg-0 e-10))) (PrimIO-io_bind eff-0 (csegen-7089))))))) ((0) (let ((eff-0 (IdrisC-45DocC-45HTML-renderHtml arg-0 e-10))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (((csegen-909) (((csegen-909) "<b>") e-5)) "</b>"))))) eff-1))))))))(else (let ((eff-0 (IdrisC-45DocC-45HTML-renderHtml arg-0 e-10))) (PrimIO-io_bind eff-0 (csegen-7089)))))))) (else (let ((e-12 (vector-ref arg-1 1))) (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (IdrisC-45DocC-45HTML-renderHtml arg-0 eta-0)) e-12 '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (PreludeC-45Types-fastConcat e-5))))) eff-1))))))))))))
(define IdrisC-45DocC-45HTML-renderDocIndex (lambda (arg-0) (PreludeC-45Types-fastConcat (PreludeC-45TypesC-45List-tailRecAppend (cons (IdrisC-45DocC-45HTML-htmlPreamble (let ((e-0 (vector-ref arg-0 0))) e-0) "" "index") (cons "<h1>Package " (cons (let ((e-0 (vector-ref arg-0 0))) e-0) (cons " - Namespaces</h1>" (cons "<ul class=\"names\">" '()))))) (PreludeC-45TypesC-45List-tailRecAppend (((csegen-25) (lambda (eta-0) (IdrisC-45DocC-45HTML-n--9137-4694-u--moduleLink arg-0 eta-0))) (let ((e-12 (vector-ref arg-0 12))) e-12)) (cons "</ul>" (cons (IdrisC-45DocC-45HTML-htmlFooter) '())))))))
(define IdrisC-45DocC-45HTML-removeNewlinesFromDeclarations (lambda (ext-0) (IdrisC-45DocC-45HTML-n--8822-4381-u--go 0 ext-0)))
(define IdrisC-45DocC-45HTML-preserveLayout (lambda (arg-0) (string-append "<pre>" (string-append arg-0 "</pre>"))))
(define IdrisC-45DocC-45HTML-packageInternal (lambda (arg-0 arg-1) (case (vector-ref arg-1 0) ((0) (let ((e-0 (vector-ref arg-1 1))) (let ((u--mi (CoreC-45NameC-45Namespace-nsAsModuleIdent e-0))) (CoreC-45Core-u--catch_Catchable_Core_Error (let ((eff-0 (CoreC-45Directory-nsToSource arg-0 (CoreC-45FC-emptyFC) u--mi))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (eta-0) 1))) eff-0)) (lambda (_-3924) (lambda (eta-0) (vector 1 0)))))))(else (lambda (eta-0) (vector 1 0))))))
(define IdrisC-45DocC-45HTML-htmlPreamble (lambda (arg-0 arg-1 arg-2) (let ((u--title (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45RenderC-45HTML-htmlEscape arg-0))) (let ((u--cssID ((csegen-0) "preferredStyle"))) (let ((u--cssSelectID ((csegen-0) "selectPreferredStyle"))) (let ((u--cssDefault ((csegen-0) "default"))) (let ((u--cssLocalKey ((csegen-0) "stylefile"))) (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons "<!DOCTYPE html><html lang=\"en\">\xa;\xa;<head>\xa;  <meta charset=\"utf-8\">\xa;  <title>" (cons u--title (cons "</title>\xa;  <link rel=\"stylesheet\" type=\"text/css\" id=\"" (cons u--cssID (cons "\" href=\"" (cons arg-1 (cons u--cssDefault (cons ".css\">\xa;  <script>\xa;    /* Updates the stylesheet to use the preferred one.\xa;       Note that we set the link to root ++ sourceLoc because the config\xa;       is shared across the whole website, so the root may differ from\xa;       page to page.\xa;    */\xa;    function setStyleSource (sourceLoc) {\xa;      document.getElementById(\"" (cons u--cssID (cons "\").href = \"" (cons arg-1 (cons "\" + sourceLoc + \".css\";\xa;      document.getElementById(\"" (cons u--cssSelectID (cons "\").value = sourceLoc;\xa;    }\xa;    /* Initialises the preferred style sheet:\xa;       1. if there is a stored value then use that\xa;          otherwise select the default\xa;       2. set both the css link href & the drop down menu selected option\xa;    */\xa;    function initStyleSource () {\xa;      var preferredStyle = localStorage.getItem(\"" (cons u--cssLocalKey (cons "\");\xa;      if (preferredStyle !== null) {\xa;        setStyleSource(preferredStyle);\xa;      } else {\xa;        setStyleSource(\"" (cons u--cssDefault (cons "\");\xa;      };\xa;    }\xa;    function saveStyleSource (preferredStyle) {\xa;      localStorage." (cons u--cssLocalKey (cons " = preferredStyle;\xa;    }\xa;    </script>\xa;</head>\xa;\xa;<body class=\"" (cons arg-2 (cons "\">\xa;<header>\xa;  <strong>Idris2Doc</strong> : " (cons u--title (cons "\xa;  <nav><a href=\"" (cons arg-1 (cons "index.html\">Index</a>\xa;\xa;  <select id=\"" (cons u--cssSelectID (cons "\">\xa;    " (cons (DataC-45String-fastUnlines (PreludeC-45Basics-flip (csegen-25) (IdrisC-45PackageC-45Types-cssFiles) (lambda (u--css) (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons "<option value=\"" (cons (let ((e-1 (cdr u--css))) e-1) (cons "\">" (cons (let ((e-0 (car u--css))) e-0) (cons "</option>" '()))))))))) (cons "\xa;  </select>\xa;  </nav>\xa;\xa;  <script>\xa;  /* We start by initialising the style source */\xa;  initStyleSource();\xa;\xa;  /* This listens for changes on the drop down menu and updates the\xa;     css used for the current page when a selection is made.\xa;  */\xa;  document.getElementById(\"" (cons u--cssSelectID (cons "\").addEventListener(\"change\", function(){\xa;    var selected = this.options[this.selectedIndex].value; /* the option chosen */\xa;    setStyleSource (selected);\xa;    saveStyleSource (selected);\xa;  });\xa;</script>\xa;\xa;</header>\xa;<div class=\"container\">" '()))))))))))))))))))))))))))))))))))))))))
(define IdrisC-45DocC-45HTML-htmlFooter(blodwen-lazy (lambda () (string-append "</div><footer>Produced by Idris 2 version " (string-append (csegen-2380) "</footer></body></html>")))))
(define IdrisC-45DocC-45HTML-hasNS (lambda (arg-0) (case (vector-ref arg-0 0) ((0) 1)(else 0))))
(define IdrisC-45DocC-45HTML-getNS (lambda (arg-0) (case (vector-ref arg-0 0) ((0) (let ((e-0 (vector-ref arg-0 1))) (CoreC-45NameC-45Namespace-u--show_Show_Namespace e-0)))(else ""))))
(define IdrisC-45DocC-45HTML-docDocToHtml (lambda (arg-0 arg-1) (let ((u--dt (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45SimpleDocTree-fromStream (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-layoutUnbounded arg-1)))) (IdrisC-45DocC-45HTML-renderHtml arg-0 (IdrisC-45DocC-45HTML-removeNewlinesFromDeclarations u--dt)))))
(define IdrisC-45DocC-45HTML-addLink (lambda (arg-0 arg-1 arg-2) (if (null? arg-1) (lambda (eta-0) (vector 1 arg-2)) (let ((e-2 (unbox arg-1))) (let ((eff-0 (IdrisC-45DocC-45HTML-tryCanonicalName arg-0 (CoreC-45FC-emptyFC) e-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (if (null? e-5) (lambda (eta-0) (vector 1 (((csegen-909) (((csegen-909) ((csegen-0) "<span class=\"implicit\">")) arg-2)) "</span>"))) (let ((e-1 (unbox e-5))) (let ((eff-1 (IdrisC-45DocC-45HTML-packageInternal arg-0 e-1))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-3 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (clam-0) (cond ((equal? e-6 1) (vector 1 (PreludeC-45Types-fastConcat (cons ((csegen-0) "<a class=\"type\" href=\"") (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45RenderC-45HTML-htmlEscape (IdrisC-45DocC-45HTML-getNS e-1)) (cons ".html#" (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45RenderC-45HTML-htmlEscape (CoreC-45Name-u--show_Show_Name e-1)) (cons "\">" (cons arg-2 (cons "</a>" '())))))))))) (else (vector 1 (PreludeC-45Types-fastConcat (cons ((csegen-0) "<span class=\"type resolved\" title=\"") (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45RenderC-45HTML-htmlEscape (CoreC-45Name-u--show_Show_Name e-1)) (cons "\">" (cons arg-2 (cons "</span>" '())))))))))))) eff-2))))))))))) eff-1)))))))))))
(define LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45SimpleDocTree-case--fromStreamC-44flatten-2344 (lambda (arg-1 arg-2 arg-3 arg-4) (case (vector-ref arg-4 0) ((5) (let ((e-1 (vector-ref arg-4 1))) (vector 5 (cons arg-2 e-1))))(else (vector 5 (cons arg-2 (cons arg-4 '())))))))
(define LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45SimpleDocTree-case--sdocToTreeParser-2124 (lambda (arg-1 arg-2 arg-3) (let ((e-2 (car arg-3))) (let ((e-3 (cdr arg-3))) (if (null? e-3) (cons '() '()) (if (null? e-2) (if (null? e-3) (cons '() '()) (let ((e-11 (unbox e-3))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45SimpleDocTree-sdocToTreeParser e-11))) (let ((e-5 (unbox e-2))) (if (null? e-3) (cons (box (vector 4 arg-1 e-5)) '()) (let ((e-9 (unbox e-3))) (let ((sc4 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45SimpleDocTree-sdocToTreeParser e-9))) (let ((e-6 (car sc4))) (let ((e-4 (cdr sc4))) (if (null? e-6) (cons (box (vector 4 arg-1 e-5)) e-4) (let ((e-7 (unbox e-6))) (cons (box (vector 5 (cons (vector 4 arg-1 e-5) (cons e-7 '())))) e-4)))))))))))))))
(define LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45SimpleDocTree-n--4035-2311-u--internalError (lambda (arg-1) (vector 2 (blodwen-toSignedInt (PreludeC-45TypesC-45String-length "<internal pretty printing error>") 63) "<internal pretty printing error>")))
(define LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45SimpleDocTree-n--4035-2310-u--flatten (lambda (arg-1 arg-2) (case (vector-ref arg-2 0) ((5) (let ((e-1 (vector-ref arg-2 1))) (if (null? e-1) arg-2 (let ((e-3 (car e-1))) (let ((e-4 (cdr e-1))) (if (null? e-4) arg-2 (let ((e-6 (car e-4))) (let ((e-7 (cdr e-4))) (case (vector-ref e-6 0) ((0) (if (null? e-7) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45SimpleDocTree-n--4035-2310-u--flatten arg-1 e-3) arg-2)) ((5) (let ((e-10 (vector-ref e-6 1))) (if (null? e-7) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45SimpleDocTree-case--fromStreamC-44flatten-2344 arg-1 e-3 e-10 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45SimpleDocTree-n--4035-2310-u--flatten arg-1 (vector 5 e-10))) arg-2)))(else arg-2))))))))))(else arg-2))))
(define LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45SimpleDocTree-sdocToTreeParser (lambda (arg-1) (case (vector-ref arg-1 0) ((0) (cons (box (vector 0 )) '())) ((1) (let ((e-2 (vector-ref arg-1 1))) (let ((e-3 (vector-ref arg-1 2))) (let ((sc1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45SimpleDocTree-sdocToTreeParser (e-3)))) (let ((e-5 (car sc1))) (let ((e-4 (cdr sc1))) (if (null? e-5) (cons (box (vector 1 e-2)) e-4) (let ((e-6 (unbox e-5))) (cons (box (vector 5 (cons (vector 1 e-2) (cons e-6 '())))) e-4))))))))) ((2) (let ((e-5 (vector-ref arg-1 1))) (let ((e-6 (vector-ref arg-1 2))) (let ((e-7 (vector-ref arg-1 3))) (let ((sc1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45SimpleDocTree-sdocToTreeParser (e-7)))) (let ((e-2 (car sc1))) (let ((e-3 (cdr sc1))) (if (null? e-2) (cons (box (vector 2 e-5 e-6)) e-3) (let ((e-8 (unbox e-2))) (cons (box (vector 5 (cons (vector 2 e-5 e-6) (cons e-8 '())))) e-3)))))))))) ((3) (let ((e-9 (vector-ref arg-1 1))) (let ((e-10 (vector-ref arg-1 2))) (let ((sc1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45SimpleDocTree-sdocToTreeParser e-10))) (let ((e-2 (car sc1))) (let ((e-3 (cdr sc1))) (if (null? e-2) (cons (box (vector 3 e-9)) e-3) (let ((e-5 (unbox e-2))) (cons (box (vector 5 (cons (vector 3 e-9) (cons e-5 '())))) e-3))))))))) ((4) (let ((e-12 (vector-ref arg-1 1))) (let ((e-13 (vector-ref arg-1 2))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45SimpleDocTree-case--sdocToTreeParser-2124 e-12 e-13 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45SimpleDocTree-sdocToTreeParser e-13))))) (else (let ((e-15 (vector-ref arg-1 1))) (cons '() (box e-15)))))))
(define LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45SimpleDocTree-fromStream (lambda (arg-1) (let ((sc0 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45SimpleDocTree-sdocToTreeParser arg-1))) (if (null? sc0) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45SimpleDocTree-n--4035-2311-u--internalError arg-1) (let ((e-2 (car sc0))) (let ((e-3 (cdr sc0))) (if (null? e-2) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45SimpleDocTree-n--4035-2311-u--internalError arg-1) (let ((e-5 (unbox e-2))) (if (null? e-3) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45SimpleDocTree-n--4035-2310-u--flatten arg-1 e-5) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45SimpleDocTree-n--4035-2311-u--internalError arg-1))))))))))
(define LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45RenderC-45HTML-case--htmlEscapeC-44go-2645 (lambda (arg-0 arg-1 arg-2 arg-3) (let ((e-2 (car arg-3))) (let ((e-3 (cdr arg-3))) (cond ((equal? e-3 "") (cons e-2 arg-2))(else (let ((u--c (string-ref e-3 0))) (let ((u--escaped (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45RenderC-45HTML-n--3601-2547-u--htmlQuote arg-0 u--c))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45RenderC-45HTML-n--3601-2548-u--go arg-0 (cons u--escaped (cons e-2 arg-2)) (substring e-3 1 (string-length e-3)))))))))))
(define LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45RenderC-45HTML-n--3601-2546-u--isSafe (lambda (arg-0 arg-1) (cond ((equal? arg-1 #\") 0) ((equal? arg-1 #\<) 0) ((equal? arg-1 #\>) 0) ((equal? arg-1 #\&) 0) ((equal? arg-1 #\') 0) ((equal? arg-1 (integer->char 9)) 1) ((equal? arg-1 (integer->char 10)) 1) ((equal? arg-1 (integer->char 13)) 1)(else (let ((sc0 (PreludeC-45EqOrd-u--C-62C-61_Ord_Char arg-1 #\ ))) (cond ((equal? sc0 1) (PreludeC-45EqOrd-u--C-60C-61_Ord_Char arg-1 #\~)) (else 0)))))))
(define LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45RenderC-45HTML-n--3601-2547-u--htmlQuote (lambda (arg-0 arg-1) (cond ((equal? arg-1 #\") "&quot;") ((equal? arg-1 #\<) "&lt;") ((equal? arg-1 #\>) "&gt;") ((equal? arg-1 #\&) "&amp;") ((equal? arg-1 #\') "&apos;")(else (string-append "&#" (string-append (PreludeC-45Show-u--show_Show_Int (cast-char-boundedInt arg-1 63)) ";"))))))
(define LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45RenderC-45HTML-n--3601-2548-u--go (lambda (arg-0 arg-1 arg-2) (cond ((equal? arg-2 "") arg-1)(else (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45RenderC-45HTML-case--htmlEscapeC-44go-2645 arg-0 arg-2 arg-1 (DataC-45String-span (lambda (eta-0) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45RenderC-45HTML-n--3601-2546-u--isSafe arg-0 eta-0)) arg-2))))))
(define LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45RenderC-45HTML-htmlEscape (lambda (arg-0) (PreludeC-45Types-fastConcat (PreludeC-45TypesC-45List-reverse (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45RenderC-45HTML-n--3601-2548-u--go arg-0 '() arg-0)))))
(define ParserC-45Package-runParser (lambda (arg-1 arg-2 arg-3) (PreludeC-45Types-u--C-62C-62C-61_Monad_C-40EitherC-32C-36eC-41 (let ((sc0 (ParserC-45LexerC-45Package-lex arg-2))) (case (vector-ref sc0 0) ((0) (let ((e-2 (vector-ref sc0 1))) (vector 0 (ParserC-45Support-fromLexError (vector 1 arg-1) (cons (vector 1 ) e-2))))) (else (let ((e-5 (vector-ref sc0 1))) (vector 1 e-5))))) (lambda (u--toks) (PreludeC-45Types-u--C-62C-62C-61_Monad_C-40EitherC-32C-36eC-41 (let ((sc0 (LibrariesC-45TextC-45ParserC-45Core-parse 1 arg-3 u--toks))) (case (vector-ref sc0 0) ((0) (let ((e-2 (vector-ref sc0 1))) (vector 0 (ParserC-45Support-fromParsingErrors (cons (cons (lambda (u--x) (ParserC-45LexerC-45Package-u--show_Show_Token u--x)) (lambda (u--d) (lambda (u--x) (ParserC-45LexerC-45Package-u--show_Show_Token u--x)))) (cons (lambda (arg-8762) (ParserC-45LexerC-45Package-u--pretty_Pretty_Void_Token arg-8762)) (lambda (arg-8768) (lambda (arg-8771) (ParserC-45LexerC-45Package-u--pretty_Pretty_Void_Token arg-8771))))) (vector 1 arg-1) e-2)))) (else (let ((e-5 (vector-ref sc0 1))) (vector 1 e-5))))) (lambda (_-0) (let ((e-3 (cdr _-0))) (let ((e-6 (car e-3))) (vector 1 e-6)))))))))
(define ParserC-45Package-parseFile (lambda (arg-1 arg-2) (PrimIO-io_bind (SystemC-45FileC-45ReadWrite-readFile (csegen-40) arg-1) (lambda (_-0) (lambda (clam-0) (case (vector-ref _-0 0) ((1) (let ((e-2 (vector-ref _-0 1))) (ParserC-45Package-runParser arg-1 e-2 arg-2))) (else (let ((e-5 (vector-ref _-0 1))) (vector 0 (vector 51 arg-1 e-5))))))))))
(define ParserC-45RuleC-45Package-stringLit(blodwen-lazy (lambda () (vector 1 "Expected string" (lambda (lcase-0) (case (vector-ref lcase-0 0) ((13) (let ((e-0 (vector-ref lcase-0 1))) (box e-0)))(else '())))))))
(define ParserC-45RuleC-45Package-sepC-39(blodwen-lazy (lambda () (vector 1 "Expected separator" (lambda (lcase-0) (case (vector-ref lcase-0 0) ((4) (box (vector 0 )))(else '())))))))
(define ParserC-45RuleC-45Package-sep (lambda (arg-1) (PreludeC-45Interfaces-C-60C-36C-62 (csegen-729) (lambda (eta-0) (DataC-45List1-forget eta-0)) (LibrariesC-45TextC-45Parser-sepBy1 1 (ParserC-45RuleC-45Package-sepC-39) arg-1))))
(define ParserC-45RuleC-45Package-packageName(blodwen-lazy (lambda () (vector 1 "Expected package name" (lambda (lcase-0) (case (vector-ref lcase-0 0) ((3) (let ((e-0 (vector-ref lcase-0 1))) (let ((e-1 (vector-ref lcase-0 2))) (if (null? e-0) (let ((sc2 (let ((sc3 (PreludeC-45Types-fastUnpack e-1))) (if (null? sc3) 0 (let ((e-2 (car sc3))) (let ((e-3 (cdr sc3))) (let ((sc4 (ParserC-45LexerC-45Common-isIdentStart 0 e-2))) (cond ((equal? sc4 1) (PreludeC-45Interfaces-all (csegen-16) (csegen-934) e-3)) (else 0))))))))) (cond ((equal? sc2 1) (box e-1)) (else '()))) '()))))(else '())))))))
(define ParserC-45RuleC-45Package-moduleIdent(blodwen-lazy (lambda () (vector 1 "Expected module identifier" (lambda (lcase-0) (case (vector-ref lcase-0 0) ((3) (let ((e-0 (vector-ref lcase-0 1))) (let ((e-1 (vector-ref lcase-0 2))) (box (CoreC-45NameC-45Namespace-nsAsModuleIdent (CoreC-45NameC-45Namespace-mkNestedNamespace e-0 e-1))))))(else '())))))))
(define ParserC-45RuleC-45Package-lte(blodwen-lazy (lambda () (vector 1 "Expected <=" (lambda (lcase-0) (case (vector-ref lcase-0 0) ((6) (box (vector 0 )))(else '())))))))
(define ParserC-45RuleC-45Package-lt(blodwen-lazy (lambda () (vector 1 "Expected <=" (lambda (lcase-0) (case (vector-ref lcase-0 0) ((8) (box (vector 0 )))(else '())))))))
(define ParserC-45RuleC-45Package-integerLit(blodwen-lazy (lambda () (vector 1 "Expected integer" (lambda (lcase-0) (case (vector-ref lcase-0 0) ((14) (let ((e-0 (vector-ref lcase-0 1))) (box e-0)))(else '())))))))
(define ParserC-45RuleC-45Package-gte(blodwen-lazy (lambda () (vector 1 "Expected >=" (lambda (lcase-0) (case (vector-ref lcase-0 0) ((7) (box (vector 0 )))(else '())))))))
(define ParserC-45RuleC-45Package-gt(blodwen-lazy (lambda () (vector 1 "Expected >=" (lambda (lcase-0) (case (vector-ref lcase-0 0) ((9) (box (vector 0 )))(else '())))))))
(define ParserC-45RuleC-45Package-exactProperty (lambda (arg-0) (vector 1 (string-append "Expected property " arg-0) (lambda (lcase-0) (case (vector-ref lcase-0 0) ((3) (let ((e-0 (vector-ref lcase-0 1))) (let ((e-1 (vector-ref lcase-0 2))) (if (null? e-0) (let ((sc2 (PreludeC-45EqOrd-u--C-61C-61_Eq_String arg-0 e-1))) (cond ((equal? sc2 1) (box arg-0)) (else '()))) '()))))(else '()))))))
(define ParserC-45RuleC-45Package-equals(blodwen-lazy (lambda () (vector 1 "Expected equals" (lambda (lcase-0) (case (vector-ref lcase-0 0) ((2) (box (vector 0 )))(else '())))))))
(define ParserC-45RuleC-45Package-eqop(blodwen-lazy (lambda () (vector 1 "Expected ==" (lambda (lcase-0) (case (vector-ref lcase-0 0) ((10) (box (vector 0 )))(else '())))))))
(define ParserC-45RuleC-45Package-eoi(blodwen-lazy (lambda () (vector 1 "Expected end of input" (lambda (lcase-0) (case (vector-ref lcase-0 0) ((1) (box (vector 0 )))(else '())))))))
(define ParserC-45RuleC-45Package-dotC-39(blodwen-lazy (lambda () (vector 1 "Expected dot" (lambda (lcase-0) (case (vector-ref lcase-0 0) ((5) (box (vector 0 )))(else '())))))))
(define ParserC-45RuleC-45Package-andop(blodwen-lazy (lambda () (vector 1 "Expected &&" (lambda (lcase-0) (case (vector-ref lcase-0 0) ((11) (box (vector 0 )))(else '())))))))
(define ParserC-45LexerC-45Package-case--lex-8842 (lambda (arg-0 arg-1) (let ((e-2 (car arg-1))) (let ((e-3 (cdr arg-1))) (if (null? e-3) (vector 0 e-3) (let ((e-6 (car e-3))) (let ((e-7 (cdr e-3))) (if (null? e-7) (vector 0 e-3) (let ((e-10 (car e-7))) (let ((e-11 (cdr e-7))) (cond ((equal? e-11 "") (vector 1 (PreludeC-45TypesC-45List-tailRecAppend (PreludeC-45TypesC-45List-filterAppend '() (lambda (eta-0) (ParserC-45LexerC-45Package-n--5235-8823-u--useful arg-0 (let ((e-1 (vector-ref eta-0 0))) e-1))) e-2) (cons (vector (vector 1 ) 0 (vector e-6 e-10 e-6 e-10)) '()))))(else (vector 0 e-3)))))))))))))
(define ParserC-45LexerC-45Package-n--5235-8823-u--useful (lambda (arg-0 arg-1) (case (vector-ref arg-1 0) ((0) 0) ((12) 0)(else 1))))
(define ParserC-45LexerC-45Package-u--show_Show_Token (lambda (arg-0) (case (vector-ref arg-0 0) ((0) (let ((e-0 (vector-ref arg-0 1))) (string-append "Comment: " e-0))) ((1) "EndOfInput") ((2) "Equals") ((3) (let ((e-1 (vector-ref arg-0 1))) (let ((e-2 (vector-ref arg-0 2))) (string-append "DotSepIdentifier: " (string-append (PreludeC-45Show-u--show_Show_C-40MaybeC-32C-36aC-41 (csegen-575) e-1) (string-append "." (PreludeC-45Show-u--show_Show_String e-2))))))) ((4) "Separator") ((5) "Dot") ((6) "LTE") ((7) "GTE") ((8) "LT") ((9) "GT") ((10) "EqOp") ((11) "AndOp") ((12) "Space") ((13) (let ((e-3 (vector-ref arg-0 1))) (string-append "StringLit: " e-3))) (else (let ((e-4 (vector-ref arg-0 1))) (string-append "IntegerLit: " (PreludeC-45Show-u--show_Show_Integer e-4)))))))
(define ParserC-45LexerC-45Package-u--pretty_Pretty_Void_Token (lambda (arg-0) (case (vector-ref arg-0 0) ((0) (let ((e-0 (vector-ref arg-0 1))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "Comment:") (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--pretty_Pretty_Void_String e-0)))) ((1) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 "EndOfInput")) ((2) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-594) "Equals")) ((3) (let ((e-1 (vector-ref arg-0 1))) (let ((e-2 (vector-ref arg-0 2))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 ((csegen-331) "DotSepIdentifier:") (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--C-60C-43C-62_Semigroup_C-40DocC-32C-36annC-41 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-prettyMaybe (csegen-3631) e-1) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-dot)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--pretty_Pretty_Void_String e-2)))))) ((4) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-594) "Separator")) ((5) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-594) "Dot")) ((6) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-594) "LTE")) ((7) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-594) "GTE")) ((8) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-594) "LT")) ((9) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-594) "GT")) ((10) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-594) "EqOp")) ((11) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-594) "AndOp")) ((12) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-594) "Space")) ((13) (let ((e-3 (vector-ref arg-0 1))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 ((csegen-331) "StringLit:") (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--pretty_Pretty_Void_String e-3)))) (else (let ((e-4 (vector-ref arg-0 1))) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 ((csegen-331) "IntegerLit:") (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-byShow (csegen-6703) e-4)))))))
(define ParserC-45LexerC-45Package-separator(blodwen-lazy (lambda () (LibrariesC-45TextC-45Lexer-is #\,))))
(define ParserC-45LexerC-45Package-rawTokens(blodwen-lazy (lambda () (cons (cons (ParserC-45LexerC-45Common-comment) (lambda (eta-0) (vector 0 (LibrariesC-45DataC-45StringC-45Extra-drop 2 eta-0)))) (cons (cons (ParserC-45LexerC-45Common-namespacedIdent) (lambda (eta-0) (PreludeC-45Basics-uncurry (lambda (eta-1) (lambda (eta-2) (vector 3 eta-1 eta-2))) (CoreC-45NameC-45Namespace-mkNamespacedIdent eta-0)))) (cons (cons (ParserC-45LexerC-45Common-identAllowDashes) (lambda (eta-0) (vector 3 '() eta-0))) (cons (cons (ParserC-45LexerC-45Package-separator) (lambda (eta-0) (vector 4 ))) (cons (cons (ParserC-45LexerC-45Package-dot) (lambda (eta-0) (vector 5 ))) (cons (cons (ParserC-45LexerC-45Package-lte) (lambda (eta-0) (vector 6 ))) (cons (cons (ParserC-45LexerC-45Package-gte) (lambda (eta-0) (vector 7 ))) (cons (cons (ParserC-45LexerC-45Package-lt) (lambda (eta-0) (vector 8 ))) (cons (cons (ParserC-45LexerC-45Package-gt) (lambda (eta-0) (vector 9 ))) (cons (cons (ParserC-45LexerC-45Package-eqop) (lambda (eta-0) (vector 10 ))) (cons (cons (ParserC-45LexerC-45Package-andop) (lambda (eta-0) (vector 11 ))) (cons (cons (ParserC-45LexerC-45Package-equals) (lambda (eta-0) (vector 2 ))) (cons (cons (ParserC-45LexerC-45Common-spacesOrNewlines) (lambda (eta-0) (vector 12 ))) (cons (cons (LibrariesC-45TextC-45Lexer-stringLit) (lambda (u--s) (vector 13 (LibrariesC-45UtilsC-45String-stripQuotes u--s)))) (cons (cons (LibrariesC-45TextC-45Lexer-intLit) (lambda (u--i) (vector 14 (cast-string-int u--i)))) '()))))))))))))))))))
(define ParserC-45LexerC-45Package-lte(blodwen-lazy (lambda () (vector 5 (LibrariesC-45TextC-45Lexer-is #\<) (lambda () (LibrariesC-45TextC-45Lexer-is #\=))))))
(define ParserC-45LexerC-45Package-lt(blodwen-lazy (lambda () (LibrariesC-45TextC-45Lexer-is #\<))))
(define ParserC-45LexerC-45Package-lex (lambda (arg-0) (ParserC-45LexerC-45Package-case--lex-8842 arg-0 (LibrariesC-45TextC-45LexerC-45Core-lexTo (lambda (eta-0) 0) (ParserC-45LexerC-45Package-rawTokens) arg-0))))
(define ParserC-45LexerC-45Package-gte(blodwen-lazy (lambda () (vector 5 (LibrariesC-45TextC-45Lexer-is #\>) (lambda () (LibrariesC-45TextC-45Lexer-is #\=))))))
(define ParserC-45LexerC-45Package-gt(blodwen-lazy (lambda () (LibrariesC-45TextC-45Lexer-is #\>))))
(define ParserC-45LexerC-45Package-equals(blodwen-lazy (lambda () (LibrariesC-45TextC-45Lexer-is #\=))))
(define ParserC-45LexerC-45Package-eqop(blodwen-lazy (lambda () (vector 5 (LibrariesC-45TextC-45Lexer-is #\=) (lambda () (LibrariesC-45TextC-45Lexer-is #\=))))))
(define ParserC-45LexerC-45Package-dot(blodwen-lazy (lambda () (LibrariesC-45TextC-45Lexer-is #\.))))
(define ParserC-45LexerC-45Package-andop(blodwen-lazy (lambda () (vector 5 (LibrariesC-45TextC-45Lexer-is #\&) (lambda () (LibrariesC-45TextC-45Lexer-is #\&))))))
(define IdrisC-45IDEModeC-45REPL-case--caseC-32blockC-32inC-32caseC-32blockC-32inC-32caseC-32blockC-32inC-32loop-10051 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13 arg-14) (if (null? arg-14) (lambda () (let ((eff-0 (IdrisC-45IDEModeC-45REPL-printIDEError arg-0 arg-4 arg-5 arg-7 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "Unrecognised command:") (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-863) (ProtocolC-45SExp-u--show_Show_SExp arg-13)))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (IdrisC-45IDEModeC-45REPL-loop arg-4 arg-3 arg-2 arg-1 arg-0))) eff-1))))))) (let ((e-1 (unbox arg-14))) (let ((e-5 (car e-1))) (let ((e-6 (cdr e-1))) (lambda () (let ((eff-0 (IdrisC-45IDEModeC-45REPL-n--19142-9789-u--updateOutput arg-0 arg-1 arg-2 arg-3 arg-4 e-6))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (IdrisC-45IDEModeC-45REPL-processCatch arg-4 arg-3 arg-2 arg-1 arg-0 e-5))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (IdrisC-45IDEModeC-45REPL-handleIDEResult arg-4 arg-3 arg-2 arg-1 arg-0 arg-5 e-6 e-8))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (IdrisC-45IDEModeC-45REPL-loop arg-4 arg-3 arg-2 arg-1 arg-0))) eff-3)))))))) eff-2))))))))) eff-1)))))))))))))
(define IdrisC-45IDEModeC-45REPL-case--caseC-32blockC-32inC-32caseC-32blockC-32inC-32loop-9964 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 arg-13) (case (vector-ref arg-13 0) ((0) (let ((e-2 (vector-ref arg-13 1))) (lambda () (let ((eff-0 (let ((eff-0 (IdrisC-45Error-perror arg-4 arg-2 arg-0 e-2))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (IdrisC-45IDEModeC-45REPL-printIDEError arg-0 arg-4 arg-5 arg-7 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "Parse error:") e-5)))) eff-1))))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-1 (IdrisC-45IDEModeC-45REPL-loop arg-4 arg-3 arg-2 arg-1 arg-0))) eff-1))))))))) (else (let ((e-5 (vector-ref arg-13 1))) (IdrisC-45IDEModeC-45REPL-case--caseC-32blockC-32inC-32caseC-32blockC-32inC-32caseC-32blockC-32inC-32loop-10051 arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8 arg-9 arg-10 arg-11 arg-12 e-5 (IdrisC-45IDEModeC-45Commands-getMsg e-5)))))))
(define IdrisC-45IDEModeC-45REPL-n--19142-9789-u--updateOutput (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (let ((eff-0 (IdrisC-45REPLC-45Opts-getOutput arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (case (vector-ref e-5 0) ((0) (let ((e-1 (vector-ref e-5 2))) (let ((e-2 (vector-ref e-5 3))) (IdrisC-45REPLC-45Opts-setOutput arg-0 (vector 0 arg-5 e-1 e-2)))))(else (lambda (eta-0) (vector 1 (vector 0 ))))))) eff-1)))))))))
(define IdrisC-45IDEModeC-45REPL-n--18187-9433-u--sexpOriginDesc (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8) (case (vector-ref arg-8 0) ((0) (let ((e-0 (vector-ref arg-8 1))) (let ((eff-0 (let ((eff-0 arg-7)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--wdir (let ((e-4 (vector-ref e-5 4))) (let ((e-43 (vector-ref e-4 0))) (let ((e-54 (vector-ref e-43 0))) e-54))))) (let ((u--pkg_dirs (PreludeC-45TypesC-45List-filterAppend '() (lambda (arg-9) (PreludeC-45EqOrd-u--C-47C-61_Eq_String arg-9 ".")) (let ((e-4 (vector-ref e-5 4))) (let ((e-43 (vector-ref e-4 0))) (let ((e-47 (vector-ref e-43 7))) e-47)))))) (let ((u--exts (CoreC-45Directory-listOfExtensionsStr))) (let ((eff-1 (CoreC-45Core-u--catch_Catchable_Core_Error (let ((eff-1 (CoreC-45Directory-nsToSource arg-7 (CoreC-45FC-replFC) e-0))) (((csegen-50) ((let ((eff-2 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-6 (vector-ref eta-3 1))) (vector 1 (eta-2 e-6))))))))))) (lambda (arg-9) (lambda (arg-10) ((((eff-2 'erased) 'erased) arg-9) arg-10)))) (lambda (eta-0) (box (LibrariesC-45UtilsC-45Path-C-60C-47C-62 u--wdir eta-0))))) eff-1)) (lambda (eta-0) (CoreC-45Directory-firstAvailable arg-7 (PreludeC-45Types-listBind u--pkg_dirs (lambda (u--pkg_dir) (let ((u--pkg_dir_abs (let ((sc2 (LibrariesC-45UtilsC-45Path-isRelative u--pkg_dir))) (cond ((equal? sc2 1) (LibrariesC-45UtilsC-45Path-C-60C-47C-62 u--wdir u--pkg_dir)) (else u--pkg_dir))))) (PreludeC-45Types-listBind u--exts (lambda (u--ext) (PreludeC-45Types-u--pure_Applicative_List (LibrariesC-45UtilsC-45Path-C-60C-46C-62 (LibrariesC-45UtilsC-45Path-C-60C-47C-62 u--pkg_dir_abs (CoreC-45NameC-45NamespaceC-45ModuleIdent-toPath e-0)) u--ext)))))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (clam-0) (if (null? e-6) (vector 1 "(File-Not-Found)") (let ((e-1 (unbox e-6))) (vector 1 e-1)))))) eff-2)))))))))))) eff-1))))))))) ((1) (let ((e-1 (vector-ref arg-8 1))) (lambda (eta-0) (vector 1 e-1)))) (else (lambda (eta-0) (vector 1 "(Interactive)"))))))
(define IdrisC-45IDEModeC-45REPL-n--18187-9434-u--constructFileContext (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 arg-8) (let ((e-2 (car arg-8))) (let ((e-3 (cdr arg-8))) (let ((e-6 (car e-3))) (let ((e-7 (cdr e-3))) (let ((e-10 (car e-7))) (let ((e-11 (cdr e-7))) (let ((e-14 (car e-10))) (let ((e-15 (cdr e-10))) (let ((e-18 (car e-11))) (let ((e-19 (cdr e-11))) (let ((eff-0 (IdrisC-45Pretty-render arg-3 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-1529) e-2)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (IdrisC-45IDEModeC-45REPL-n--18187-9433-u--sexpOriginDesc arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7 e-6))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-8 (vector-ref lcase-1 1))) (let ((eff-2 (lambda (eta-0) (vector 1 (cons e-5 (cons e-8 (vector e-14 e-15 e-18 e-19))))))) eff-2))))))))) eff-1)))))))))))))))))))
(define IdrisC-45IDEModeC-45REPL-u--cast_Cast_REPLOpt_REPLOption (lambda (arg-0) (case (vector-ref arg-0 0) ((0) (let ((e-0 (vector-ref arg-0 1))) (vector "show-implicits" 0 e-0))) ((1) (let ((e-1 (vector-ref arg-0 1))) (vector "show-namespace" 0 e-1))) ((2) (let ((e-2 (vector-ref arg-0 1))) (vector "show-machinenames" 0 e-2))) ((3) (let ((e-3 (vector-ref arg-0 1))) (vector "show-types" 0 e-3))) ((4) (let ((e-4 (vector-ref arg-0 1))) (vector "eval" 2 (IdrisC-45IDEModeC-45REPL-u--cast_Cast_REPLEval_String e-4)))) ((5) (let ((e-5 (vector-ref arg-0 1))) (vector "editor" 1 e-5))) ((6) (let ((e-6 (vector-ref arg-0 1))) (vector "cg" 1 e-6))) ((7) (let ((e-7 (vector-ref arg-0 1))) (vector "profile" 0 e-7))) (else (let ((e-8 (vector-ref arg-0 1))) (vector "evaltiming" 0 e-8))))))
(define IdrisC-45IDEModeC-45REPL-u--cast_Cast_REPLEval_String (lambda (arg-0) (cond ((equal? arg-0 0) "typecheck") ((equal? arg-0 1) "normalise") ((equal? arg-0 2) "execute") (else "scheme"))))
(define IdrisC-45IDEModeC-45REPL-todoCmd (lambda (arg-0 arg-1 arg-2) (IdrisC-45REPLC-45Common-iputStrLn arg-0 arg-1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow (string-append arg-2 ": command not yet implemented. Hopefully soon!")))))
(define IdrisC-45IDEModeC-45REPL-socketToFile (lambda (arg-0) (let ((e-0 (vector-ref arg-0 0))) (PrimIO-io_bind (PreludeC-45Interfaces-C-60C-36C-62 (csegen-49) (lambda (eta-0) eta-0) (lambda (eta-0) (IdrisC-45IDEModeC-45REPL-prim__idrnet_fdopen e-0 "r+" eta-0))) (lambda (u--file) (PrimIO-io_bind (SystemC-45FileC-45Error-fileError (csegen-40) u--file) (lambda (bind-0) (lambda (clam-0) (cond ((equal? bind-0 1) (vector 0 ((csegen-0) "Failed to fdopen socket file descriptor"))) (else (vector 1 u--file)))))))))))
(define IdrisC-45IDEModeC-45REPL-returnFromIDE (lambda (arg-0 arg-1 arg-2 arg-3) (IdrisC-45IDEModeC-45Commands-send arg-0 arg-1 (vector 1 arg-3 arg-2))))
(define IdrisC-45IDEModeC-45REPL-replWrap (lambda (arg-0) (let ((eff-0 arg-0)) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (eta-0) (vector 1 (vector 0 e-5))))) eff-1)))))))))
(define IdrisC-45IDEModeC-45REPL-replIDE (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (let ((eff-0 (IdrisC-45REPLC-45Opts-getOutput arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (case (vector-ref e-5 0) ((1) (IdrisC-45REPLC-45Common-printError arg-4 (csegen-7197))) (else (let ((e-3 (vector-ref e-5 3))) (let ((eff-1 (IdrisC-45IDEModeC-45Commands-send arg-0 e-3 (vector 0 2 1)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-2 (IdrisC-45IDEModeC-45REPL-loop arg-0 arg-1 arg-2 arg-3 arg-4))) eff-2))))))))))) eff-1)))))))))
(define IdrisC-45IDEModeC-45REPL-processCatch (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (let ((eff-0 (CoreC-45Context-branch arg-0))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((eff-1 arg-1)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (unbox eff-2))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (let ((eff-2 arg-2)) (PrimIO-io_bind (let ((eff-3 eff-2)) (lambda (eta-0) (unbox eff-3))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (let ((eff-3 arg-4)) (PrimIO-io_bind (let ((eff-4 eff-3)) (lambda (eta-0) (unbox eff-4))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (CoreC-45Core-u--catch_Catchable_Core_Error (let ((eff-4 (IdrisC-45IDEModeC-45REPL-process arg-0 arg-1 arg-2 arg-3 arg-4 arg-5))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-9 (vector-ref lcase-4 1))) (let ((eff-5 (let ((eff-5 (CoreC-45Context-commit arg-0))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-6 (lambda (eta-0) (vector 1 e-9)))) eff-6)))))))) eff-5))))))) (lambda (u--err) (let ((eff-4 (let ((eff-4 arg-0)) (PrimIO-io_bind (let ((eff-5 eff-4)) (lambda (eta-0) (set-box! eff-5 e-5))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-2 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-5 (let ((eff-5 (let ((eff-5 arg-1)) (PrimIO-io_bind (let ((eff-6 eff-5)) (lambda (eta-0) (set-box! eff-6 e-6))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-5 (lambda (lcase-5) (case (vector-ref lcase-5 0) ((0) (let ((e-2 (vector-ref lcase-5 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-6 (let ((eff-6 (let ((eff-6 arg-2)) (PrimIO-io_bind (let ((eff-7 eff-6)) (lambda (eta-0) (set-box! eff-7 e-7))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-6 (lambda (lcase-6) (case (vector-ref lcase-6 0) ((0) (let ((e-2 (vector-ref lcase-6 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-7 (let ((eff-7 (let ((eff-7 arg-4)) (PrimIO-io_bind (let ((eff-8 eff-7)) (lambda (eta-0) (set-box! eff-8 e-8))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-7 (lambda (lcase-7) (case (vector-ref lcase-7 0) ((0) (let ((e-2 (vector-ref lcase-7 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-8 (let ((eff-8 (IdrisC-45Error-perror arg-0 arg-2 arg-4 u--err))) (PrimIO-io_bind eff-8 (lambda (lcase-8) (case (vector-ref lcase-8 0) ((0) (let ((e-2 (vector-ref lcase-8 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-13 (vector-ref lcase-8 1))) (let ((eff-9 (lambda (eta-0) (vector 1 (vector 0 (vector 1 e-13)))))) eff-9))))))))) eff-8)))))))) eff-7)))))))) eff-6)))))))) eff-5)))))))))) eff-4))))))))) eff-3))))))))) eff-2))))))))) eff-1)))))))))
(define IdrisC-45IDEModeC-45REPL-process (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (case (vector-ref arg-5 0) ((0) (let ((e-0 (vector-ref arg-5 1))) (IdrisC-45IDEModeC-45REPL-replWrap (IdrisC-45REPL-interpret arg-0 arg-1 arg-2 arg-3 arg-4 e-0)))) ((1) (let ((e-1 (vector-ref arg-5 1))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-3 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((u--extraDirs (let ((e-4 (vector-ref e-5 4))) (let ((e-44 (vector-ref e-4 0))) (let ((e-48 (vector-ref e-44 7))) e-48))))) (let ((eff-1 (IdrisC-45Package-findIpkg arg-0 arg-4 arg-2 (box e-1)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-3 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((u--fname (if (null? e-6) e-1 (let ((e-3 (unbox e-6))) e-3)))) (let ((eff-2 (IdrisC-45IDEModeC-45REPL-replWrap (let ((eff-2 (IdrisC-45REPL-process arg-0 arg-1 arg-2 arg-3 arg-4 (vector 6 u--fname)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-3 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (IdrisC-45IDEModeC-45SyntaxHighlight-outputSyntaxHighlighting arg-0 arg-3 arg-2 arg-4 u--fname e-7))) eff-3)))))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-3 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (let ((eff-3 (let ((eff-3 arg-0)) (PrimIO-io_bind (let ((eff-4 eff-3)) (lambda (eta-0) (unbox eff-4))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-3 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (let ((eff-4 (let ((eff-4 arg-0)) (PrimIO-io_bind (let ((eff-5 eff-4)) (lambda (eta-0) (set-box! eff-5 (let ((e-0 (vector-ref e-8 0))) (let ((e-37 (vector-ref e-8 1))) (let ((e-36 (vector-ref e-8 2))) (let ((e-3 (vector-ref e-8 3))) (let ((e-4 (vector-ref e-8 4))) (let ((e-35 (vector-ref e-8 5))) (let ((e-34 (vector-ref e-8 6))) (let ((e-33 (vector-ref e-8 7))) (let ((e-32 (vector-ref e-8 8))) (let ((e-9 (vector-ref e-8 9))) (let ((e-10 (vector-ref e-8 10))) (let ((e-11 (vector-ref e-8 11))) (let ((e-12 (vector-ref e-8 12))) (let ((e-13 (vector-ref e-8 13))) (let ((e-14 (vector-ref e-8 14))) (let ((e-15 (vector-ref e-8 15))) (let ((e-16 (vector-ref e-8 16))) (let ((e-17 (vector-ref e-8 17))) (let ((e-18 (vector-ref e-8 18))) (let ((e-19 (vector-ref e-8 19))) (let ((e-20 (vector-ref e-8 20))) (let ((e-21 (vector-ref e-8 21))) (let ((e-22 (vector-ref e-8 22))) (let ((e-23 (vector-ref e-8 23))) (let ((e-24 (vector-ref e-8 24))) (let ((e-25 (vector-ref e-8 25))) (let ((e-26 (vector-ref e-8 26))) (let ((e-27 (vector-ref e-8 27))) (let ((e-28 (vector-ref e-8 28))) (let ((e-29 (vector-ref e-8 29))) (let ((e-30 (vector-ref e-8 30))) (let ((e-31 (vector-ref e-8 31))) (let ((e-47 (vector-ref e-4 0))) (let ((e-46 (vector-ref e-4 1))) (let ((e-45 (vector-ref e-4 2))) (let ((e-44 (vector-ref e-4 3))) (let ((e-43 (vector-ref e-4 4))) (let ((e-42 (vector-ref e-4 5))) (let ((e-38 (vector-ref e-4 6))) (let ((e-39 (vector-ref e-4 7))) (let ((e-40 (vector-ref e-4 8))) (let ((e-41 (vector-ref e-4 9))) (let ((e-58 (vector-ref e-47 0))) (let ((e-57 (vector-ref e-47 1))) (let ((e-56 (vector-ref e-47 2))) (let ((e-55 (vector-ref e-47 3))) (let ((e-54 (vector-ref e-47 4))) (let ((e-53 (vector-ref e-47 5))) (let ((e-48 (vector-ref e-47 6))) (let ((e-50 (vector-ref e-47 8))) (let ((e-51 (vector-ref e-47 9))) (let ((e-52 (vector-ref e-47 10))) (vector e-0 e-37 e-36 e-3 (vector (vector e-58 e-57 e-56 e-55 e-54 e-53 e-48 u--extraDirs e-50 e-51 e-52) e-46 e-45 e-44 e-43 e-42 e-38 e-39 e-40 e-41) e-35 e-34 e-33 e-32 e-9 e-10 e-11 e-12 e-13 e-14 e-15 e-16 e-17 e-18 e-19 e-20 e-21 e-22 e-23 e-24 e-25 e-26 e-27 e-28 e-29 e-30 e-31)))))))))))))))))))))))))))))))))))))))))))))))))))))))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-4 (lambda (lcase-4) (case (vector-ref lcase-4 0) ((0) (let ((e-3 (vector-ref lcase-4 1))) (lambda (eta-0) (vector 0 e-3)))) (else (let ((eff-5 (lambda (eta-0) (vector 1 e-7)))) eff-5)))))))) eff-4))))))))) eff-3)))))))))) eff-2)))))))))) eff-1))))))))) ((3) (let ((e-3 (vector-ref arg-5 1))) (let ((e-4 (vector-ref arg-5 2))) (if (null? e-4) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (CoreC-45Context-lookupCtxtName (vector 1 (CoreC-45Name-mkUserName e-3)) (let ((e-0 (vector-ref e-5 0))) e-0)))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((u--dat (((csegen-25) (lambda (lamc-0) (let ((e-2 (car lamc-0))) (let ((e-7 (cdr lamc-0))) (let ((e-8 (cdr e-7))) (cons e-2 (let ((e-0 (vector-ref e-8 0))) e-0))))))) e-6))) (lambda (eta-0) (vector 1 (vector 6 u--dat)))))) eff-2))))))))) eff-1))))))) (let ((eff-0 (IdrisC-45IDEModeC-45REPL-todoCmd arg-0 arg-4 "name-at <name> <line> <column>"))) (PrimIO-io_bind eff-0 (csegen-7203))))))) ((2) (let ((e-5 (vector-ref arg-5 1))) (let ((e-6 (vector-ref arg-5 2))) (if (null? e-6) (IdrisC-45IDEModeC-45REPL-replWrap (IdrisC-45REPL-process arg-0 arg-1 arg-2 arg-3 arg-4 (vector 2 (vector 0 (CoreC-45FC-replFC) (vector 1 (CoreC-45Name-mkUserName e-5)))))) (let ((e-51 (unbox e-6))) (let ((e-54 (car e-51))) (let ((e-55 (cdr e-51))) (IdrisC-45IDEModeC-45REPL-replWrap (IdrisC-45REPL-process arg-0 arg-1 arg-2 arg-3 arg-4 (vector 28 (vector 0 (blodwen-toSignedInt e-54 63) (blodwen-toSignedInt e-55 63) (vector 1 (CoreC-45Name-mkUserName e-5))))))))))))) ((4) (let ((e-7 (vector-ref arg-5 1))) (let ((e-8 (vector-ref arg-5 2))) (let ((e-9 (vector-ref arg-5 3))) (IdrisC-45IDEModeC-45REPL-replWrap (IdrisC-45REPL-process arg-0 arg-1 arg-2 arg-3 arg-4 (vector 28 (vector 1 0 (blodwen-toSignedInt e-7 63) (blodwen-toSignedInt e-8 63) (vector 1 (CoreC-45Name-mkUserName e-9)))))))))) ((5) (let ((e-10 (vector-ref arg-5 1))) (let ((e-11 (vector-ref arg-5 2))) (IdrisC-45IDEModeC-45REPL-replWrap (IdrisC-45REPL-process arg-0 arg-1 arg-2 arg-3 arg-4 (vector 28 (vector 2 0 (blodwen-toSignedInt e-10 63) (vector 1 (CoreC-45Name-mkUserName e-11))))))))) ((6) (let ((eff-0 (IdrisC-45IDEModeC-45REPL-todoCmd arg-0 arg-4 "add-missing"))) (PrimIO-io_bind eff-0 (csegen-7203)))) ((7) (let ((e-14 (vector-ref arg-5 1))) (let ((e-15 (vector-ref arg-5 2))) (IdrisC-45IDEModeC-45REPL-replWrap (IdrisC-45REPL-process arg-0 arg-1 arg-2 arg-3 arg-4 (vector 28 (vector 4 0 (blodwen-toSignedInt e-14 63) (vector 1 (vector 0 e-15))))))))) ((8) (let ((e-16 (vector-ref arg-5 1))) (let ((e-17 (vector-ref arg-5 2))) (let ((e-18 (vector-ref arg-5 3))) (let ((sc1 (ParserC-45Source-runParser 1 (vector 2 (vector 0 )) '() e-18 (IdrisC-45Parser-aPTerm)))) (case (vector-ref sc1 0) ((1) (let ((e-2 (vector-ref sc1 1))) (let ((e-9 (cdr e-2))) (let ((e-13 (cdr e-9))) (IdrisC-45IDEModeC-45REPL-replWrap (IdrisC-45REPL-process arg-0 arg-1 arg-2 arg-3 arg-4 (vector 28 (vector 3 0 (blodwen-toSignedInt e-16 63) (vector 1 (vector 0 e-17)) e-13)))))))) (else (let ((e-5 (vector-ref sc1 1))) (lambda (eta-0) (vector 1 (vector 0 (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-863) (CoreC-45Core-u--show_Show_Error e-5)))))))))))))) ((9) (let ((e-19 (vector-ref arg-5 1))) (let ((e-20 (vector-ref arg-5 2))) (let ((e-21 (vector-ref arg-5 3))) (IdrisC-45IDEModeC-45REPL-replWrap (IdrisC-45REPL-process arg-0 arg-1 arg-2 arg-3 arg-4 (vector 28 (vector 5 0 (blodwen-toSignedInt e-19 63) (vector 1 (vector 0 e-20)) ((csegen-1034) (let ((eff-0 e-21)) eff-0)))))))))) ((10) (IdrisC-45IDEModeC-45REPL-replWrap (IdrisC-45REPL-process arg-0 arg-1 arg-2 arg-3 arg-4 (vector 28 (vector 6 ))))) ((11) (let ((e-23 (vector-ref arg-5 1))) (let ((e-24 (vector-ref arg-5 2))) (IdrisC-45IDEModeC-45REPL-replWrap (IdrisC-45REPL-process arg-0 arg-1 arg-2 arg-3 arg-4 (vector 28 (vector 7 0 (blodwen-toSignedInt e-23 63) (vector 1 (vector 0 e-24)) 0))))))) ((12) (IdrisC-45IDEModeC-45REPL-replWrap (IdrisC-45REPL-process arg-0 arg-1 arg-2 arg-3 arg-4 (vector 28 (vector 8 ))))) ((13) (let ((e-25 (vector-ref arg-5 1))) (let ((e-26 (vector-ref arg-5 2))) (IdrisC-45IDEModeC-45REPL-replWrap (IdrisC-45REPL-process arg-0 arg-1 arg-2 arg-3 arg-4 (vector 28 (vector 9 0 (blodwen-toSignedInt e-25 63) (vector 1 (CoreC-45Name-mkUserName e-26))))))))) ((14) (let ((e-27 (vector-ref arg-5 1))) (let ((e-28 (vector-ref arg-5 2))) (IdrisC-45IDEModeC-45REPL-replWrap (IdrisC-45REPL-process arg-0 arg-1 arg-2 arg-3 arg-4 (vector 28 (vector 10 0 (blodwen-toSignedInt e-27 63) (vector 1 (CoreC-45Name-mkUserName e-28))))))))) ((15) (let ((e-29 (vector-ref arg-5 1))) (let ((e-30 (vector-ref arg-5 2))) (IdrisC-45IDEModeC-45REPL-replWrap (IdrisC-45REPL-process arg-0 arg-1 arg-2 arg-3 arg-4 (vector 28 (vector 11 0 (blodwen-toSignedInt e-29 63) (vector 1 (CoreC-45Name-mkUserName e-30))))))))) ((16) (let ((e-31 (vector-ref arg-5 1))) (IdrisC-45IDEModeC-45REPL-replWrap (IdrisC-45REPL-process arg-0 arg-1 arg-2 arg-3 arg-4 (vector 22 (vector 3 (vector 0 (vector 2 ) (vector 1 (CoreC-45Name-mkUserName e-31))))))))) ((18) (let ((eff-0 (IdrisC-45IDEModeC-45REPL-todoCmd arg-0 arg-4 "apropros"))) (PrimIO-io_bind eff-0 (csegen-7207)))) ((17) (let ((eff-0 (IdrisC-45IDEModeC-45REPL-todoCmd arg-0 arg-4 "directive"))) (PrimIO-io_bind eff-0 (csegen-7207)))) ((20) (let ((eff-0 (IdrisC-45IDEModeC-45REPL-todoCmd arg-0 arg-4 "who-calls"))) (PrimIO-io_bind eff-0 (csegen-7209)))) ((21) (let ((eff-0 (IdrisC-45IDEModeC-45REPL-todoCmd arg-0 arg-4 "calls-who"))) (PrimIO-io_bind eff-0 (csegen-7209)))) ((22) (let ((e-37 (vector-ref arg-5 1))) (IdrisC-45IDEModeC-45REPL-replWrap (IdrisC-45REPL-process arg-0 arg-1 arg-2 arg-3 arg-4 (vector 23 (CoreC-45NameC-45Namespace-mkNamespace e-37)))))) ((23) (let ((e-38 (vector-ref arg-5 1))) (let ((eff-0 (IdrisC-45IDEModeC-45REPL-todoCmd arg-0 arg-4 "normalise-term"))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (lambda (eta-0) (vector 1 (vector 4 e-38))))) eff-1)))))))) ((24) (let ((e-39 (vector-ref arg-5 1))) (let ((eff-0 (IdrisC-45IDEModeC-45REPL-todoCmd arg-0 arg-4 "show-term-implicits"))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (lambda (eta-0) (vector 1 (vector 4 e-39))))) eff-1)))))))) ((25) (let ((e-40 (vector-ref arg-5 1))) (let ((eff-0 (IdrisC-45IDEModeC-45REPL-todoCmd arg-0 arg-4 "hide-term-implicits"))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (lambda (eta-0) (vector 1 (vector 4 e-40))))) eff-1)))))))) ((26) (let ((e-41 (vector-ref arg-5 1))) (let ((eff-0 (IdrisC-45IDEModeC-45REPL-todoCmd arg-0 arg-4 "elaborate-term"))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (lambda (eta-0) (vector 1 (vector 5 e-41))))) eff-1)))))))) ((27) (let ((e-42 (vector-ref arg-5 1))) (let ((eff-0 (IdrisC-45IDEModeC-45REPL-todoCmd arg-0 arg-4 "print-definition"))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (lambda (eta-0) (vector 1 (vector 0 (vector 6 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-863) e-42))))))) eff-1)))))))) ((28) (let ((e-43 (vector-ref arg-5 1))) (let ((eff-0 (TTImpC-45InteractiveC-45Completion-completion arg-0 e-43))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (clam-0) (if (null? e-5) (vector 1 (vector 0 (vector 1 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vcat (cons ((csegen-331) "I can't make sense of the completion task:") (cons (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-863) e-43) '())))))) (let ((e-1 (unbox e-5))) (let ((e-7 (car e-1))) (let ((e-6 (cdr e-1))) (vector 1 (vector 1 e-6 e-7))))))))) eff-1))))))))) ((29) (let ((e-44 (vector-ref arg-5 1))) (let ((eff-0 (IdrisC-45REPLC-45Opts-setSynHighlightOn arg-4 e-44))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (lambda (eta-0) (vector 1 (vector 0 (vector 6 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "Syntax highlight option changed to") (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-byShow (csegen-1330) e-44)))))))) eff-1)))))))) ((30) (IdrisC-45IDEModeC-45REPL-replWrap (IdrisC-45REPL-process arg-0 arg-1 arg-2 arg-3 arg-4 (vector 30 )))) ((19) (let ((eff-0 (IdrisC-45IDEModeC-45Holes-getUserHolesData arg-0 arg-2))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-5 (vector-ref eta-3 1))) (vector 1 (eta-2 e-5))))))))))) (lambda (arg-6) (lambda (arg-7) ((((eff-1 'erased) 'erased) arg-6) arg-7)))) (lambda (eta-0) (vector 3 eta-0)))) eff-0))) (else (IdrisC-45IDEModeC-45REPL-replWrap (IdrisC-45REPL-process arg-0 arg-1 arg-2 arg-3 arg-4 (vector 16 )))))))
(define IdrisC-45IDEModeC-45REPL-printIDEResultWithHighlight (lambda (arg-0 arg-1 arg-2 arg-3) (let ((e-2 (car arg-3))) (let ((e-3 (cdr arg-3))) (IdrisC-45IDEModeC-45REPL-returnFromIDE arg-0 arg-1 arg-2 (vector 0 e-2 e-3))))))
(define IdrisC-45IDEModeC-45REPL-printIDEResult (lambda (arg-0 arg-1 arg-2 arg-3) (IdrisC-45IDEModeC-45REPL-returnFromIDE arg-0 arg-1 arg-2 (vector 0 arg-3 '()))))
(define IdrisC-45IDEModeC-45REPL-printIDEError (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (let ((eff-0 (IdrisC-45Pretty-renderWithDecorations arg-1 arg-0 (lambda (eta-0) (IdrisC-45IDEModeC-45Pretty-annToProperties eta-0)) arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (IdrisC-45IDEModeC-45REPL-returnFromIDE arg-1 arg-2 arg-3 (PreludeC-45Basics-uncurry (lambda (eta-0) (lambda (eta-1) (vector 2 eta-0 eta-1))) e-5)))) eff-1)))))))))
(define IdrisC-45IDEModeC-45REPL-loop (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (let ((eff-0 (IdrisC-45REPLC-45Opts-getOutput arg-4))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (case (vector-ref e-5 0) ((1) (IdrisC-45REPLC-45Common-printError arg-4 (csegen-7197))) (else (let ((e-1 (vector-ref e-5 1))) (let ((e-2 (vector-ref e-5 2))) (let ((e-3 (vector-ref e-5 3))) (let ((eff-1 (PrimIO-io_bind (IdrisC-45IDEModeC-45REPL-getInput e-2) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((u--res (vector 0 e-1 e-2 e-3))) (let ((e-7 (car e-6))) (let ((e-4 (cdr e-6))) (let ((eff-2 (CoreC-45ContextC-45Log-log arg-0 ((csegen-0) "ide-mode.recv") 50 (lambda () (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons ((csegen-0) "Received: ") (cons ((csegen-0) (DataC-45Maybe-fromMaybe (lambda () (csegen-1)) e-7)) (cons ((csegen-0) e-4) '())))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-8 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-8)))) (else (let ((eff-3 (let ((eff-3 (PrimIO-io_bind (SystemC-45FileC-45ReadWrite-fEOF (csegen-40) e-2) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39)))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-9 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-9)))) (else (let ((e-9 (vector-ref lcase-3 1))) (let ((eff-4 (cond ((equal? e-9 1) (lambda (eta-0) (vector 1 (vector 0 )))) (else ((let ((_-0 (cons e-7 e-4))) (IdrisC-45IDEModeC-45REPL-case--caseC-32blockC-32inC-32caseC-32blockC-32inC-32loop-9964 arg-4 arg-3 arg-2 arg-1 arg-0 e-3 e-2 e-1 u--res e-7 e-4 _-0 e-9 (IdrisC-45IDEModeC-45Parser-parseSExp e-4)))))))) eff-4))))))))) eff-3))))))))))) eff-2)))))))))))))) eff-1)))))))))
(define IdrisC-45IDEModeC-45REPL-initIDESocketFile (lambda (arg-0 arg-1) (PrimIO-io_bind (NetworkC-45Socket-socket (csegen-40) 2 1 0) (lambda (u--osock) (case (vector-ref u--osock 0) ((0) (let ((e-2 (vector-ref u--osock 1))) (PreludeC-45Interfaces-C-62C-62 (csegen-39) (PreludeC-45IO-putStrLn (csegen-40) (PreludeC-45Show-u--show_Show_Int e-2)) (lambda () (PreludeC-45Interfaces-C-62C-62 (csegen-39) (PreludeC-45IO-putStrLn (csegen-40) ((csegen-0) "Failed to open socket")) (lambda () (csegen-2331))))))) (else (let ((e-5 (vector-ref u--osock 1))) (PrimIO-io_bind (NetworkC-45Socket-bind (csegen-40) e-5 (box (vector 2 arg-0)) arg-1) (lambda (u--res) (let ((sc1 (PreludeC-45EqOrd-u--C-47C-61_Eq_Int u--res (blodwen-toSignedInt 0 63)))) (cond ((equal? sc1 1) (lambda (eta-0) (vector 0 (string-append "Failed to bind socket with error: " (PreludeC-45Show-u--show_Show_Int u--res))))) (else (PrimIO-io_bind (NetworkC-45Socket-listen (csegen-40) e-5) (lambda (res-0) (let ((sc2 (PreludeC-45EqOrd-u--C-47C-61_Eq_Int res-0 (blodwen-toSignedInt 0 63)))) (cond ((equal? sc2 1) (lambda (eta-0) (vector 0 (string-append "Failed to listen on socket with error: " (PreludeC-45Show-u--show_Show_Int res-0))))) (else (PrimIO-io_bind (NetworkC-45SocketC-45Raw-getSockPort (csegen-40) e-5) (lambda (u--p) (PreludeC-45Interfaces-C-62C-62 (csegen-39) (PreludeC-45IO-putStrLn (csegen-40) (PreludeC-45Show-u--show_Show_Int u--p)) (lambda () (PreludeC-45Interfaces-C-62C-62 (csegen-39) (csegen-4981) (lambda () (PrimIO-io_bind (NetworkC-45Socket-accept (csegen-40) e-5) (lambda (res-1) (case (vector-ref res-1 0) ((0) (let ((e-2 (vector-ref res-1 1))) (lambda (eta-0) (vector 0 (string-append ((csegen-0) "Failed to accept on socket with error: ") (PreludeC-45Show-u--show_Show_Int e-2)))))) (else (let ((e-6 (vector-ref res-1 1))) (let ((e-8 (car e-6))) (IdrisC-45IDEModeC-45REPL-socketToFile e-8))))))))))))))))))))))))))))))
(define IdrisC-45IDEModeC-45REPL-idePutStrLn (lambda (arg-0 arg-1 arg-2 arg-3) (IdrisC-45IDEModeC-45Commands-send arg-0 arg-1 (vector 3 arg-3 arg-2))))
(define IdrisC-45IDEModeC-45REPL-handleIDEResult (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (case (vector-ref arg-7 0) ((0) (let ((e-0 (vector-ref arg-7 1))) (case (vector-ref e-0 0) ((27) (IdrisC-45IDEModeC-45REPL-idePutStrLn arg-0 arg-5 arg-6 "Bye for now!"))(else (IdrisC-45IDEModeC-45REPL-displayIDEResult arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7)))))(else (IdrisC-45IDEModeC-45REPL-displayIDEResult arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7)))))
(define IdrisC-45IDEModeC-45REPL-getNChars (lambda (arg-0 arg-1) (cond ((equal? arg-1 0) (lambda (eta-0) '()))(else (let ((e-0 (- arg-1 1))) (PrimIO-io_bind (IdrisC-45IDEModeC-45REPL-getChar arg-0) (lambda (u--x) (PrimIO-io_bind (IdrisC-45IDEModeC-45REPL-getNChars arg-0 e-0) (lambda (u--xs) (lambda (eta-0) (cons u--x u--xs)))))))))))
(define IdrisC-45IDEModeC-45REPL-getInput (lambda (arg-0) (PrimIO-io_bind (IdrisC-45IDEModeC-45REPL-getNChars arg-0 6) (lambda (u--x) (let ((sc0 (ProtocolC-45Hex-fromHexChars (PreludeC-45TypesC-45List-reverse u--x)))) (if (null? sc0) (PrimIO-io_bind (IdrisC-45IDEModeC-45REPL-getFLine arg-0) (lambda (u--rest) (lambda (eta-0) (cons '() (string-append (PreludeC-45Types-fastPack u--x) u--rest))))) (let ((e-2 (unbox sc0))) (PrimIO-io_bind (IdrisC-45IDEModeC-45REPL-getNChars arg-0 (PreludeC-45Types-prim__integerToNat e-2)) (lambda (u--inp) (lambda (eta-0) (cons (box (PreludeC-45Types-fastPack u--x)) (PreludeC-45Types-fastPack u--inp))))))))))))
(define IdrisC-45IDEModeC-45REPL-getFLine (lambda (arg-0) (PrimIO-io_bind (SystemC-45FileC-45ReadWrite-fGetLine (csegen-40) arg-0) (lambda (_-0) (case (vector-ref _-0 0) ((1) (let ((e-2 (vector-ref _-0 1))) (lambda (eta-0) e-2))) (else (PreludeC-45Interfaces-C-62C-62 (csegen-39) (PreludeC-45IO-putStrLn (csegen-40) ((csegen-0) "Failed to read a line")) (lambda () (csegen-2331)))))))))
(define IdrisC-45IDEModeC-45REPL-getChar (lambda (arg-0) (PrimIO-io_bind (SystemC-45FileC-45ReadWrite-fEOF (csegen-40) arg-0) (lambda (bind-0) (cond ((equal? bind-0 1) (PreludeC-45Interfaces-C-62C-62 (csegen-39) (PreludeC-45IO-putStrLn (csegen-40) ((csegen-0) "Alas the file is done, aborting")) (lambda () (csegen-2331)))) (else (PrimIO-io_bind (SystemC-45FileC-45ReadWrite-fGetChar (csegen-40) arg-0) (lambda (_-0) (case (vector-ref _-0 0) ((1) (let ((e-2 (vector-ref _-0 1))) (lambda (eta-0) e-2))) (else (PreludeC-45Interfaces-C-62C-62 (csegen-39) (PreludeC-45IO-putStrLn (csegen-40) ((csegen-0) "Failed to read a character")) (lambda () (csegen-2331)))))))))))))
(define IdrisC-45IDEModeC-45REPL-displayIDEResult (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 arg-7) (case (vector-ref arg-7 0) ((0) (let ((e-0 (vector-ref arg-7 1))) (case (vector-ref e-0 0) ((1) (let ((e-8 (vector-ref e-0 1))) (IdrisC-45IDEModeC-45REPL-printIDEError arg-4 arg-0 arg-5 arg-6 e-8))) ((3) (IdrisC-45IDEModeC-45REPL-printIDEResult arg-0 arg-5 arg-6 (vector 0 (IdrisC-45REPL-displayHelp)))) ((4) (let ((e-9 (vector-ref e-0 1))) (IdrisC-45IDEModeC-45REPL-printIDEResult arg-0 arg-5 arg-6 (vector 0 e-9)))) ((5) (let ((e-10 (vector-ref e-0 1))) (let ((e-11 (vector-ref e-0 2))) (if (null? e-11) (let ((eff-0 (IdrisC-45Pretty-renderWithDecorations arg-0 arg-4 (lambda (eta-0) (IdrisC-45IDEModeC-45Pretty-syntaxToProperties eta-0)) (IdrisC-45Pretty-u--pretty_Pretty_IdrisSyntax_IPTerm e-10)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (IdrisC-45IDEModeC-45REPL-printIDEResultWithHighlight arg-0 arg-5 arg-6 (let ((e-2 (car e-5))) (let ((e-3 (cdr e-5))) (cons (vector 0 e-2) e-3)))))) eff-1))))))) (let ((e-38 (unbox e-11))) (let ((eff-0 (IdrisC-45Pretty-renderWithDecorations arg-0 arg-4 (lambda (eta-0) (IdrisC-45IDEModeC-45Pretty-syntaxToProperties eta-0)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45Pretty-u--pretty_Pretty_IdrisSyntax_IPTerm e-10) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 ":") (IdrisC-45Pretty-u--pretty_Pretty_IdrisSyntax_IPTerm e-38)))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (IdrisC-45IDEModeC-45REPL-printIDEResultWithHighlight arg-0 arg-5 arg-6 (let ((e-2 (car e-5))) (let ((e-3 (cdr e-5))) (cons (vector 0 e-2) e-3)))))) eff-1)))))))))))) ((6) (let ((e-12 (vector-ref e-0 1))) (let ((eff-0 (IdrisC-45Pretty-renderWithDecorations arg-0 arg-4 (lambda (eta-0) (IdrisC-45IDEModeC-45Pretty-annToProperties eta-0)) e-12))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (IdrisC-45IDEModeC-45REPL-printIDEResultWithHighlight arg-0 arg-5 arg-6 (let ((e-2 (car e-5))) (let ((e-3 (cdr e-5))) (cons (vector 0 e-2) e-3)))))) eff-1))))))))) ((7) (let ((e-13 (vector-ref e-0 1))) (let ((eff-0 (IdrisC-45Pretty-renderWithDecorations arg-0 arg-4 (lambda (eta-0) (IdrisC-45IDEModeC-45Pretty-docToProperties eta-0)) e-13))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (IdrisC-45IDEModeC-45REPL-printIDEResultWithHighlight arg-0 arg-5 arg-6 (let ((e-2 (car e-5))) (let ((e-3 (cdr e-5))) (cons (vector 0 e-2) e-3)))))) eff-1))))))))) ((8) (let ((e-14 (vector-ref e-0 1))) (let ((e-15 (vector-ref e-0 2))) (let ((eff-0 (IdrisC-45Pretty-renderWithDecorations arg-0 arg-4 (lambda (eta-0) (IdrisC-45IDEModeC-45Pretty-syntaxToProperties eta-0)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (IdrisC-45Pretty-u--pretty_Pretty_IdrisSyntax_IPTerm e-14) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-u--fromString_FromString_C-40DocC-32C-36annC-41 ":") (IdrisC-45Pretty-u--pretty_Pretty_IdrisSyntax_IPTerm e-15)))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (IdrisC-45IDEModeC-45REPL-printIDEResultWithHighlight arg-0 arg-5 arg-6 (let ((e-2 (car e-5))) (let ((e-3 (cdr e-5))) (cons (vector 0 e-2) e-3)))))) eff-1)))))))))) ((9) (IdrisC-45IDEModeC-45REPL-printIDEResult arg-0 arg-5 arg-6 (vector 1 ))) ((12) (let ((e-17 (vector-ref e-0 1))) (let ((e-18 (vector-ref e-0 2))) (IdrisC-45IDEModeC-45REPL-printIDEError arg-4 arg-0 arg-5 arg-6 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "Error loading file") (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (((csegen-380) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-863) e-17)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-colon)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-863) (SystemC-45FileC-45Error-u--show_Show_FileError e-18)))))))) ((13) (let ((e-19 (vector-ref e-0 1))) (let ((e-20 (vector-ref e-0 2))) (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (IdrisC-45Error-perror arg-0 arg-2 arg-4 eta-0)) e-20 '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (IdrisC-45IDEModeC-45REPL-printIDEError arg-4 arg-0 arg-5 arg-6 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "Error(s) building file") (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-C-60C-43C-43C-62 (((csegen-380) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-pretty0 (csegen-863) e-19)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Symbols-colon)) (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Doc-vsep e-5)))))) eff-1)))))))))) ((14) (IdrisC-45IDEModeC-45REPL-printIDEError arg-4 arg-0 arg-5 arg-6 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "No file can be reloaded"))) ((15) (let ((e-21 (vector-ref e-0 1))) (IdrisC-45IDEModeC-45REPL-printIDEResult arg-0 arg-5 arg-6 (vector 0 (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons "Current working directory is \"" (cons e-21 (cons "\"" '())))))))) ((16) (IdrisC-45IDEModeC-45REPL-printIDEError arg-4 arg-0 arg-5 arg-6 (LibrariesC-45TextC-45PrettyPrintC-45PrettyprinterC-45Util-reflow "Compilation failed"))) ((17) (let ((e-22 (vector-ref e-0 1))) (IdrisC-45IDEModeC-45REPL-printIDEResult arg-0 arg-5 arg-6 (vector 0 (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons "File " (cons e-22 (cons " written" '())))))))) ((18) (let ((e-23 (vector-ref e-0 1))) (IdrisC-45IDEModeC-45REPL-printIDEResult arg-0 arg-5 arg-6 (vector 0 (IdrisC-45Syntax-u--show_Show_IPTerm e-23))))) ((19) (let ((e-24 (vector-ref e-0 1))) (IdrisC-45IDEModeC-45REPL-printIDEResult arg-0 arg-5 arg-6 (vector 0 (CoreC-45NameC-45Namespace-showSep "\xa;" (((csegen-25) (lambda (eta-0) (IdrisC-45REPL-handleMissingC-39 eta-0))) e-24)))))) ((20) (let ((e-25 (vector-ref e-0 1))) (IdrisC-45IDEModeC-45REPL-printIDEResult arg-0 arg-5 arg-6 (vector 0 (CoreC-45NameC-45Namespace-showSep "\xa;" (((csegen-25) (lambda (lamc-0) (let ((e-2 (car lamc-0))) (let ((e-3 (cdr lamc-0))) (string-append (CoreC-45Name-u--show_Show_Name e-2) (string-append " is " (CoreC-45TT-u--show_Show_Totality e-3))))))) e-25)))))) ((22) (let ((e-26 (vector-ref e-0 1))) (IdrisC-45IDEModeC-45REPL-printIDEResult arg-0 arg-5 arg-6 (vector 0 (string-append "Set loglevel to " (PreludeC-45Show-u--show_Show_C-40MaybeC-32C-36aC-41 (csegen-5094) e-26)))))) ((21) (let ((e-27 (vector-ref e-0 1))) (IdrisC-45IDEModeC-45REPL-printIDEResult arg-0 arg-5 arg-6 (vector 8 (((csegen-25) (lambda (eta-0) (IdrisC-45IDEModeC-45REPL-u--cast_Cast_REPLOpt_REPLOption eta-0))) e-27))))) ((25) (let ((e-28 (vector-ref e-0 1))) (let ((e-2 (car e-28))) (let ((e-4 (car e-2))) (let ((e-3 (cdr e-2))) (let ((e-6 (car e-3))) (let ((e-7 (cdr e-3))) (IdrisC-45IDEModeC-45REPL-printIDEResult arg-0 arg-5 arg-6 (vector 2 (vector e-4 e-6 e-7 (let ((e-5 (cdr e-28))) e-5))))))))))) ((28) (let ((e-29 (vector-ref e-0 1))) (case (vector-ref e-29 0) ((0) (let ((e-39 (vector-ref e-29 1))) (let ((eff-0 (IdrisC-45Pretty-renderWithDecorations arg-0 arg-4 (lambda (eta-0) (IdrisC-45IDEModeC-45Pretty-annToProperties eta-0)) e-39))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (IdrisC-45IDEModeC-45REPL-printIDEResultWithHighlight arg-0 arg-5 arg-6 (let ((e-2 (car e-5))) (let ((e-3 (cdr e-5))) (cons (vector 0 e-2) e-3)))))) eff-1))))))))) ((1) (let ((e-40 (vector-ref e-29 1))) (IdrisC-45IDEModeC-45REPL-printIDEError arg-4 arg-0 arg-5 arg-6 e-40))) ((5) (let ((e-41 (vector-ref e-29 1))) (IdrisC-45IDEModeC-45REPL-printIDEResult arg-0 arg-5 arg-6 (vector 9 e-41)))) ((2) (let ((e-42 (vector-ref e-29 1))) (let ((e-43 (vector-ref e-29 2))) (let ((e-44 (vector-ref e-29 3))) (let ((e-45 (vector-ref e-29 4))) (IdrisC-45IDEModeC-45REPL-printIDEResult arg-0 arg-5 arg-6 (vector 3 (cons e-45 (ParserC-45Unlit-relit e-42 (string-append (CoreC-45Name-u--show_Show_Name e-43) (string-append " : " (IdrisC-45Syntax-u--show_Show_IPTerm e-44)))))))))))) ((3) (let ((e-46 (vector-ref e-29 1))) (let ((e-47 (vector-ref e-29 2))) (IdrisC-45IDEModeC-45REPL-printIDEResult arg-0 arg-5 arg-6 (vector 0 (CoreC-45NameC-45Namespace-showSep "\xa;" (((csegen-25) (lambda (eta-0) (ParserC-45Unlit-relit e-46 eta-0))) e-47))))))) (else (let ((e-48 (vector-ref e-29 1))) (let ((e-49 (vector-ref e-29 2))) (IdrisC-45IDEModeC-45REPL-printIDEResult arg-0 arg-5 arg-6 (vector 0 (CoreC-45NameC-45Namespace-showSep "\xa;" (((csegen-25) (lambda (eta-0) (ParserC-45Unlit-relit e-48 eta-0))) e-49)))))))))) ((23) (let ((e-30 (vector-ref e-0 1))) (let ((u--width (if (null? e-30) ((csegen-0) "auto") (let ((e-1 (unbox e-30))) (PreludeC-45Show-u--show_Show_Nat e-1))))) (IdrisC-45IDEModeC-45REPL-printIDEResult arg-0 arg-5 arg-6 (vector 0 (string-append "Set consolewidth to " u--width)))))) ((0) (IdrisC-45IDEModeC-45REPL-printIDEResult arg-0 arg-5 arg-6 (vector 0 ""))) ((2) (IdrisC-45IDEModeC-45REPL-printIDEResult arg-0 arg-5 arg-6 (vector 0 ""))) ((10) (IdrisC-45IDEModeC-45REPL-printIDEResult arg-0 arg-5 arg-6 (vector 0 ""))) ((11) (IdrisC-45IDEModeC-45REPL-printIDEResult arg-0 arg-5 arg-6 (vector 0 ""))) ((24) (IdrisC-45IDEModeC-45REPL-printIDEResult arg-0 arg-5 arg-6 (vector 0 ""))) ((26) (IdrisC-45IDEModeC-45REPL-printIDEResult arg-0 arg-5 arg-6 (vector 0 ""))) (else (IdrisC-45IDEModeC-45REPL-printIDEResult arg-0 arg-5 arg-6 (vector 0 "")))))) ((3) (let ((e-1 (vector-ref arg-7 1))) (IdrisC-45IDEModeC-45REPL-printIDEResult arg-0 arg-5 arg-6 (vector 5 (((csegen-25) (lambda (eta-0) (IdrisC-45IDEModeC-45Holes-holeIDE eta-0))) e-1))))) ((1) (let ((e-2 (vector-ref arg-7 1))) (let ((e-3 (vector-ref arg-7 2))) (IdrisC-45IDEModeC-45REPL-printIDEResult arg-0 arg-5 arg-6 (vector 6 e-2 e-3))))) ((2) (let ((e-4 (vector-ref arg-7 1))) (IdrisC-45IDEModeC-45REPL-printIDEResult arg-0 arg-5 arg-6 (vector 7 ((csegen-102) e-4))))) ((4) (let ((e-5 (vector-ref arg-7 1))) (IdrisC-45IDEModeC-45REPL-printIDEResult arg-0 arg-5 arg-6 (vector 0 e-5)))) ((5) (let ((e-6 (vector-ref arg-7 1))) (IdrisC-45IDEModeC-45REPL-printIDEResult arg-0 arg-5 arg-6 (vector 0 e-6)))) (else (let ((e-7 (vector-ref arg-7 1))) (let ((eff-0 (CoreC-45Core-traverseC-39 (lambda (eta-0) (IdrisC-45IDEModeC-45REPL-n--18187-9434-u--constructFileContext e-7 arg-6 arg-5 arg-4 arg-3 arg-2 arg-1 arg-0 (((let ((eff-0 (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (lambda (eta-4) (let ((e-2 (car eta-4))) (let ((e-3 (cdr eta-4))) (cons e-2 (eta-3 e-3)))))))))) (lambda (arg-8) (lambda (arg-9) ((((eff-0 'erased) 'erased) arg-8) arg-9)))) (lambda (eta-1) (CoreC-45FC-toNonEmptyFC eta-1))) eta-0))) e-7 '()))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (IdrisC-45IDEModeC-45REPL-printIDEResult arg-0 arg-5 arg-6 (vector 4 e-5)))) eff-1))))))))))))
(define TTImpC-45InteractiveC-45Completion-case--caseC-32blockC-32inC-32pragmaCompletionC-44go-7793 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6 ext-0) (if (null? arg-6) (vector 1 '()) (vector 1 (box (cons "" (((csegen-25) (lambda (eta-0) (PreludeC-45Show-u--show_Show_String (Builtin-fst eta-0)))) arg-6)))))))
(define TTImpC-45InteractiveC-45Completion-case--pragmaCompletionC-44go-7762 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (if (null? arg-5) (lambda (eta-0) (vector 1 '())) (let ((e-0 (car arg-5))) (let ((e-1 (cdr arg-5))) (cond ((equal? e-0 #\") (let ((here-0 (string-cons #\" e-1))) (lambda (eta-0) (TTImpC-45InteractiveC-45Completion-case--caseC-32blockC-32inC-32pragmaCompletionC-44go-7793 arg-0 arg-1 arg-2 arg-3 e-1 here-0 (PreludeC-45TypesC-45List-filterAppend '() (lambda (eta-1) (DataC-45String-isPrefixOf e-1 (Builtin-fst eta-1))) (CoreC-45OptionsC-45Log-knownTopics)) eta-0))))(else (lambda (eta-0) (vector 1 '())))))))))
(define TTImpC-45InteractiveC-45Completion-case--pragmaCompletion-7592 (lambda (arg-0 arg-1 arg-2) (if (null? arg-2) '() (box (cons (csegen-1) arg-2)))))
(define TTImpC-45InteractiveC-45Completion-case--oneOfCompletion-7521 (lambda (arg-0 arg-1 arg-2) (if (null? arg-2) '() (box arg-2))))
(define TTImpC-45InteractiveC-45Completion-case--nameCompletion-7337 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5 arg-6) (let ((e-3 (cdr arg-6))) (let ((sc1 (DataC-45String-isPrefixOf arg-0 (CoreC-45Name-nameRoot e-3)))) (cond ((equal? sc1 1) (let ((eff-0 (CoreC-45Context-lookupCtxtExact arg-5 (let ((e-0 (vector-ref arg-2 0))) e-0)))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (clam-0) (if (null? e-5) (vector 1 '()) (let ((e-1 (unbox e-5))) (let ((sc4 (CoreC-45Context-visibleIn arg-3 arg-5 (let ((e-9 (vector-ref e-1 9))) e-9)))) (cond ((equal? sc4 1) (vector 1 (box e-3))) (else (vector 1 '()))))))))) eff-1)))))))) (else (lambda (eta-0) (vector 1 '()))))))))
(define TTImpC-45InteractiveC-45Completion-case--caseC-32blockC-32inC-32caseC-32blockC-32inC-32parseTask-7183 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (let ((e-2 (car arg-4))) (let ((e-3 (cdr arg-4))) (cond ((equal? e-2 "") '())(else (box (cons e-3 (vector 0 e-2)))))))))
(define TTImpC-45InteractiveC-45Completion-case--caseC-32blockC-32inC-32caseC-32blockC-32inC-32parseTask-6977 (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (let ((e-2 (car arg-4))) (let ((e-3 (cdr arg-4))) (cond ((equal? e-3 "") (box (cons arg-1 (vector 2 '() e-2))))(else (let ((u--prag (string-append "%" e-2))) (let ((sc1 (DataC-45String-break (csegen-5113) e-3))) (let ((e-5 (car sc1))) (let ((e-4 (cdr sc1))) (let ((sc2 (PreludeC-45TypesC-45List-filterAppend '() (lambda (eta-0) (PreludeC-45EqOrd-u--C-61C-61_Eq_String u--prag (IdrisC-45SyntaxC-45Pragmas-u--show_Show_KwPragma eta-0))) (IdrisC-45SyntaxC-45Pragmas-allPragmas)))) (if (null? sc2) '() (let ((e-1 (car sc2))) (let ((e-6 (cdr sc2))) (if (null? e-6) (box (cons (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons arg-1 (cons u--prag (cons e-5 '())))) (vector 2 (box e-1) e-4))) '())))))))))))))))
(define TTImpC-45InteractiveC-45Completion-case--caseC-32blockC-32inC-32parseTask-6961 (lambda (arg-0 arg-1 arg-2 arg-3) (if (null? arg-3) (TTImpC-45InteractiveC-45Completion-case--caseC-32blockC-32inC-32caseC-32blockC-32inC-32parseTask-7183 arg-0 arg-1 arg-2 arg-3 (let ((sc1 (DataC-45String-break (csegen-7239) (string-reverse arg-0)))) (let ((e-2 (car sc1))) (let ((e-3 (cdr sc1))) (cons (string-reverse e-2) (string-reverse e-3)))))) (let ((e-0 (car arg-3))) (let ((e-1 (cdr arg-3))) (cond ((equal? e-0 #\%) (let ((u--focus (string-cons #\% e-1))) (TTImpC-45InteractiveC-45Completion-case--caseC-32blockC-32inC-32caseC-32blockC-32inC-32parseTask-6977 arg-0 arg-1 e-1 u--focus (DataC-45String-break (lambda (eta-0) (PreludeC-45Types-isSpace eta-0)) e-1)))) ((equal? e-0 #\:) (box (cons arg-1 (vector 1 e-1))))(else (TTImpC-45InteractiveC-45Completion-case--caseC-32blockC-32inC-32caseC-32blockC-32inC-32parseTask-7183 arg-0 arg-1 arg-2 arg-3 (let ((sc1 (DataC-45String-break (csegen-7239) (string-reverse arg-0)))) (let ((e-2 (car sc1))) (let ((e-3 (cdr sc1))) (cons (string-reverse e-2) (string-reverse e-3)))))))))))))
(define TTImpC-45InteractiveC-45Completion-case--parseTask-6948 (lambda (arg-0 arg-1) (let ((e-2 (car arg-1))) (let ((e-3 (cdr arg-1))) (TTImpC-45InteractiveC-45Completion-case--caseC-32blockC-32inC-32parseTask-6961 arg-0 e-2 e-3 (DataC-45String-strM e-3))))))
(define TTImpC-45InteractiveC-45Completion-n--11801-7624-u--go (lambda (arg-0 arg-1 arg-2 arg-3 arg-4) (if (null? arg-3) (lambda (clam-12) (vector 1 '())) (let ((e-5 (car arg-3))) (let ((e-6 (cdr arg-3))) (case (vector-ref e-5 0) ((0) (if (null? arg-4) (if (null? arg-4) (lambda (clam-2) (vector 1 '())) (let ((e-9 (car arg-4))) (let ((e-10 (cdr arg-4))) (let ((sc4 (DataC-45String-break (csegen-5113) e-10))) (let ((e-2 (car sc4))) (let ((e-3 (cdr sc4))) (let ((eff-0 (TTImpC-45InteractiveC-45Completion-n--11801-7624-u--go arg-0 arg-1 arg-2 e-6 (DataC-45String-break (lambda (eta-0) (PreludeC-45Types-isSpace eta-0)) e-3)))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-4 (vector-ref eta-3 1))) (vector 0 e-4))) (else (let ((e-7 (vector-ref eta-3 1))) (vector 1 (eta-2 e-7))))))))))) (lambda (arg-5) (lambda (arg-6) ((((eff-1 'erased) 'erased) arg-5) arg-6)))) ((csegen-77) (lambda (eta-0) (let ((e-7 (car eta-0))) (let ((e-4 (cdr eta-0))) (cons (string-append (string-append e-9 e-2) e-7) e-4))))))) eff-0)))))))) (let ((e-14 (car arg-4))) (let ((e-15 (cdr arg-4))) (cond ((equal? e-15 "") (let ((eff-0 (TTImpC-45InteractiveC-45Completion-nameCompletion arg-2 e-14))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-0 1))) (let ((eff-1 (lambda (clam-0) (if (null? e-7) (vector 1 '()) (vector 1 (box (cons "" e-7))))))) eff-1))))))))(else (if (null? arg-4) (lambda (clam-1) (vector 1 '())) (let ((e-9 (car arg-4))) (let ((e-10 (cdr arg-4))) (let ((sc4 (DataC-45String-break (csegen-5113) e-10))) (let ((e-2 (car sc4))) (let ((e-3 (cdr sc4))) (let ((eff-0 (TTImpC-45InteractiveC-45Completion-n--11801-7624-u--go arg-0 arg-1 arg-2 e-6 (DataC-45String-break (lambda (eta-0) (PreludeC-45Types-isSpace eta-0)) e-3)))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-4 (vector-ref eta-3 1))) (vector 0 e-4))) (else (let ((e-7 (vector-ref eta-3 1))) (vector 1 (eta-2 e-7))))))))))) (lambda (arg-5) (lambda (arg-6) ((((eff-1 'erased) 'erased) arg-5) arg-6)))) ((csegen-77) (lambda (eta-0) (let ((e-7 (car eta-0))) (let ((e-4 (cdr eta-0))) (cons (string-append (string-append e-9 e-2) e-7) e-4))))))) eff-0)))))))))))))) ((4) (if (null? arg-4) (if (null? arg-4) (lambda (clam-4) (vector 1 '())) (let ((e-9 (car arg-4))) (let ((e-10 (cdr arg-4))) (let ((sc4 (DataC-45String-break (csegen-5113) e-10))) (let ((e-2 (car sc4))) (let ((e-3 (cdr sc4))) (let ((eff-0 (TTImpC-45InteractiveC-45Completion-n--11801-7624-u--go arg-0 arg-1 arg-2 e-6 (DataC-45String-break (lambda (eta-0) (PreludeC-45Types-isSpace eta-0)) e-3)))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-4 (vector-ref eta-3 1))) (vector 0 e-4))) (else (let ((e-7 (vector-ref eta-3 1))) (vector 1 (eta-2 e-7))))))))))) (lambda (arg-5) (lambda (arg-6) ((((eff-1 'erased) 'erased) arg-5) arg-6)))) ((csegen-77) (lambda (eta-0) (let ((e-7 (car eta-0))) (let ((e-4 (cdr eta-0))) (cons (string-append (string-append e-9 e-2) e-7) e-4))))))) eff-0)))))))) (let ((e-18 (car arg-4))) (let ((e-19 (cdr arg-4))) (cond ((equal? e-19 "") (lambda (eta-0) (vector 1 (PreludeC-45Interfaces-C-60C-36C-62 (csegen-76) (lambda (__infixTupleSection-0) (cons "" __infixTupleSection-0)) (TTImpC-45InteractiveC-45Completion-oneOfCompletion e-18 (cons "on" (cons "off" '())))))))(else (if (null? arg-4) (lambda (clam-3) (vector 1 '())) (let ((e-9 (car arg-4))) (let ((e-10 (cdr arg-4))) (let ((sc4 (DataC-45String-break (csegen-5113) e-10))) (let ((e-2 (car sc4))) (let ((e-3 (cdr sc4))) (let ((eff-0 (TTImpC-45InteractiveC-45Completion-n--11801-7624-u--go arg-0 arg-1 arg-2 e-6 (DataC-45String-break (lambda (eta-0) (PreludeC-45Types-isSpace eta-0)) e-3)))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-4 (vector-ref eta-3 1))) (vector 0 e-4))) (else (let ((e-7 (vector-ref eta-3 1))) (vector 1 (eta-2 e-7))))))))))) (lambda (arg-5) (lambda (arg-6) ((((eff-1 'erased) 'erased) arg-5) arg-6)))) ((csegen-77) (lambda (eta-0) (let ((e-7 (car eta-0))) (let ((e-4 (cdr eta-0))) (cons (string-append (string-append e-9 e-2) e-7) e-4))))))) eff-0)))))))))))))) ((5) (if (null? arg-4) (if (null? arg-4) (lambda (clam-6) (vector 1 '())) (let ((e-9 (car arg-4))) (let ((e-10 (cdr arg-4))) (let ((sc4 (DataC-45String-break (csegen-5113) e-10))) (let ((e-2 (car sc4))) (let ((e-3 (cdr sc4))) (let ((eff-0 (TTImpC-45InteractiveC-45Completion-n--11801-7624-u--go arg-0 arg-1 arg-2 e-6 (DataC-45String-break (lambda (eta-0) (PreludeC-45Types-isSpace eta-0)) e-3)))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-4 (vector-ref eta-3 1))) (vector 0 e-4))) (else (let ((e-7 (vector-ref eta-3 1))) (vector 1 (eta-2 e-7))))))))))) (lambda (arg-5) (lambda (arg-6) ((((eff-1 'erased) 'erased) arg-5) arg-6)))) ((csegen-77) (lambda (eta-0) (let ((e-7 (car eta-0))) (let ((e-4 (cdr eta-0))) (cons (string-append (string-append e-9 e-2) e-7) e-4))))))) eff-0)))))))) (let ((e-22 (car arg-4))) (let ((e-23 (cdr arg-4))) (cond ((equal? e-23 "") (TTImpC-45InteractiveC-45Completion-case--pragmaCompletionC-44go-7762 arg-0 arg-1 arg-2 e-6 e-22 (DataC-45String-strM e-22)))(else (if (null? arg-4) (lambda (clam-5) (vector 1 '())) (let ((e-9 (car arg-4))) (let ((e-10 (cdr arg-4))) (let ((sc4 (DataC-45String-break (csegen-5113) e-10))) (let ((e-2 (car sc4))) (let ((e-3 (cdr sc4))) (let ((eff-0 (TTImpC-45InteractiveC-45Completion-n--11801-7624-u--go arg-0 arg-1 arg-2 e-6 (DataC-45String-break (lambda (eta-0) (PreludeC-45Types-isSpace eta-0)) e-3)))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-4 (vector-ref eta-3 1))) (vector 0 e-4))) (else (let ((e-7 (vector-ref eta-3 1))) (vector 1 (eta-2 e-7))))))))))) (lambda (arg-5) (lambda (arg-6) ((((eff-1 'erased) 'erased) arg-5) arg-6)))) ((csegen-77) (lambda (eta-0) (let ((e-7 (car eta-0))) (let ((e-4 (cdr eta-0))) (cons (string-append (string-append e-9 e-2) e-7) e-4))))))) eff-0)))))))))))))) ((8) (if (null? arg-4) (if (null? arg-4) (lambda (clam-8) (vector 1 '())) (let ((e-9 (car arg-4))) (let ((e-10 (cdr arg-4))) (let ((sc4 (DataC-45String-break (csegen-5113) e-10))) (let ((e-2 (car sc4))) (let ((e-3 (cdr sc4))) (let ((eff-0 (TTImpC-45InteractiveC-45Completion-n--11801-7624-u--go arg-0 arg-1 arg-2 e-6 (DataC-45String-break (lambda (eta-0) (PreludeC-45Types-isSpace eta-0)) e-3)))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-4 (vector-ref eta-3 1))) (vector 0 e-4))) (else (let ((e-7 (vector-ref eta-3 1))) (vector 1 (eta-2 e-7))))))))))) (lambda (arg-5) (lambda (arg-6) ((((eff-1 'erased) 'erased) arg-5) arg-6)))) ((csegen-77) (lambda (eta-0) (let ((e-7 (car eta-0))) (let ((e-4 (cdr eta-0))) (cons (string-append (string-append e-9 e-2) e-7) e-4))))))) eff-0)))))))) (let ((e-26 (car arg-4))) (let ((e-27 (cdr arg-4))) (cond ((equal? e-27 "") (lambda (eta-0) (vector 1 (PreludeC-45Interfaces-C-60C-36C-62 (csegen-76) (lambda (__infixTupleSection-0) (cons "" __infixTupleSection-0)) (TTImpC-45InteractiveC-45Completion-oneOfCompletion e-26 (csegen-961))))))(else (if (null? arg-4) (lambda (clam-7) (vector 1 '())) (let ((e-9 (car arg-4))) (let ((e-10 (cdr arg-4))) (let ((sc4 (DataC-45String-break (csegen-5113) e-10))) (let ((e-2 (car sc4))) (let ((e-3 (cdr sc4))) (let ((eff-0 (TTImpC-45InteractiveC-45Completion-n--11801-7624-u--go arg-0 arg-1 arg-2 e-6 (DataC-45String-break (lambda (eta-0) (PreludeC-45Types-isSpace eta-0)) e-3)))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-4 (vector-ref eta-3 1))) (vector 0 e-4))) (else (let ((e-7 (vector-ref eta-3 1))) (vector 1 (eta-2 e-7))))))))))) (lambda (arg-5) (lambda (arg-6) ((((eff-1 'erased) 'erased) arg-5) arg-6)))) ((csegen-77) (lambda (eta-0) (let ((e-7 (car eta-0))) (let ((e-4 (cdr eta-0))) (cons (string-append (string-append e-9 e-2) e-7) e-4))))))) eff-0)))))))))))))) ((9) (if (null? arg-4) (if (null? arg-4) (lambda (clam-10) (vector 1 '())) (let ((e-9 (car arg-4))) (let ((e-10 (cdr arg-4))) (let ((sc4 (DataC-45String-break (csegen-5113) e-10))) (let ((e-2 (car sc4))) (let ((e-3 (cdr sc4))) (let ((eff-0 (TTImpC-45InteractiveC-45Completion-n--11801-7624-u--go arg-0 arg-1 arg-2 e-6 (DataC-45String-break (lambda (eta-0) (PreludeC-45Types-isSpace eta-0)) e-3)))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-4 (vector-ref eta-3 1))) (vector 0 e-4))) (else (let ((e-7 (vector-ref eta-3 1))) (vector 1 (eta-2 e-7))))))))))) (lambda (arg-5) (lambda (arg-6) ((((eff-1 'erased) 'erased) arg-5) arg-6)))) ((csegen-77) (lambda (eta-0) (let ((e-7 (car eta-0))) (let ((e-4 (cdr eta-0))) (cons (string-append (string-append e-9 e-2) e-7) e-4))))))) eff-0)))))))) (let ((e-30 (car arg-4))) (let ((e-31 (cdr arg-4))) (cond ((equal? e-31 "") (lambda (eta-0) (vector 1 (PreludeC-45Interfaces-C-60C-36C-62 (csegen-76) (lambda (__infixTupleSection-0) (cons "" __infixTupleSection-0)) (TTImpC-45InteractiveC-45Completion-oneOfCompletion e-30 (cons "partial" (cons "covering" (cons "total" '()))))))))(else (if (null? arg-4) (lambda (clam-9) (vector 1 '())) (let ((e-9 (car arg-4))) (let ((e-10 (cdr arg-4))) (let ((sc4 (DataC-45String-break (csegen-5113) e-10))) (let ((e-2 (car sc4))) (let ((e-3 (cdr sc4))) (let ((eff-0 (TTImpC-45InteractiveC-45Completion-n--11801-7624-u--go arg-0 arg-1 arg-2 e-6 (DataC-45String-break (lambda (eta-0) (PreludeC-45Types-isSpace eta-0)) e-3)))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-4 (vector-ref eta-3 1))) (vector 0 e-4))) (else (let ((e-7 (vector-ref eta-3 1))) (vector 1 (eta-2 e-7))))))))))) (lambda (arg-5) (lambda (arg-6) ((((eff-1 'erased) 'erased) arg-5) arg-6)))) ((csegen-77) (lambda (eta-0) (let ((e-7 (car eta-0))) (let ((e-4 (cdr eta-0))) (cons (string-append (string-append e-9 e-2) e-7) e-4))))))) eff-0))))))))))))))(else (if (null? arg-4) (lambda (clam-11) (vector 1 '())) (let ((e-9 (car arg-4))) (let ((e-10 (cdr arg-4))) (let ((sc2 (DataC-45String-break (csegen-5113) e-10))) (let ((e-2 (car sc2))) (let ((e-3 (cdr sc2))) (let ((eff-0 (TTImpC-45InteractiveC-45Completion-n--11801-7624-u--go arg-0 arg-1 arg-2 e-6 (DataC-45String-break (lambda (eta-0) (PreludeC-45Types-isSpace eta-0)) e-3)))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-4 (vector-ref eta-3 1))) (vector 0 e-4))) (else (let ((e-7 (vector-ref eta-3 1))) (vector 1 (eta-2 e-7))))))))))) (lambda (arg-5) (lambda (arg-6) ((((eff-1 'erased) 'erased) arg-5) arg-6)))) ((csegen-77) (lambda (eta-0) (let ((e-7 (car eta-0))) (let ((e-4 (cdr eta-0))) (cons (string-append (string-append e-9 e-2) e-7) e-4))))))) eff-0)))))))))))))))
(define TTImpC-45InteractiveC-45Completion-pragmaCompletion (lambda (arg-0 arg-1 arg-2) (if (null? arg-1) (lambda (eta-0) (vector 1 (TTImpC-45InteractiveC-45Completion-case--pragmaCompletion-7592 arg-2 arg-0 (PreludeC-45Basics-flip (csegen-2086) (IdrisC-45SyntaxC-45Pragmas-allPragmas) (lambda (u--prag) (let ((prag-0 (IdrisC-45SyntaxC-45Pragmas-u--show_Show_KwPragma u--prag))) (PreludeC-45Interfaces-C-62C-62 (csegen-614) (PreludeC-45Interfaces-guard (csegen-326) (DataC-45String-isPrefixOf (string-append "%" arg-2) prag-0)) (lambda () (box prag-0))))))))) (let ((e-2 (unbox arg-1))) (TTImpC-45InteractiveC-45Completion-n--11801-7624-u--go e-2 arg-2 arg-0 (IdrisC-45SyntaxC-45Pragmas-pragmaArgs e-2) (DataC-45String-break (lambda (eta-0) (PreludeC-45Types-isSpace eta-0)) arg-2))))))
(define TTImpC-45InteractiveC-45Completion-parseTask (lambda (arg-0) (TTImpC-45InteractiveC-45Completion-case--parseTask-6948 arg-0 (DataC-45String-break (csegen-5113) arg-0))))
(define TTImpC-45InteractiveC-45Completion-oneOfCompletion (lambda (arg-0 arg-1) (TTImpC-45InteractiveC-45Completion-case--oneOfCompletion-7521 arg-1 arg-0 (PreludeC-45TypesC-45List-filterAppend '() (lambda (arg-2) (DataC-45String-isPrefixOf arg-0 arg-2)) arg-1))))
(define TTImpC-45InteractiveC-45Completion-nameCompletion (lambda (arg-0 arg-1) (let ((eff-0 (CoreC-45ContextC-45Log-log arg-0 "ide-mode.completion" 30 (lambda () (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons "Looking at name completions for " (cons (PreludeC-45Show-u--show_Show_String arg-1) '()))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-1 (let ((eff-1 (let ((eff-1 arg-0)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (unbox eff-2))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((u--cns (let ((e-2 (vector-ref e-6 2))) e-2))) (let ((eff-2 (let ((eff-2 (CoreC-45Context-allNames (let ((e-0 (vector-ref e-6 0))) e-0)))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (PreludeC-45Basics-flip (lambda (eta-0) (lambda (eta-1) (CoreC-45Core-mapMaybeM eta-0 eta-1))) e-7 (lambda (u--nsn) (let ((eff-3 (CoreC-45ContextC-45Log-log arg-0 "ide-mode.completion" 50 (lambda () (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (cons "Looking at " (cons (CoreC-45Name-u--show_Show_Name u--nsn) '()))))))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-4 (TTImpC-45InteractiveC-45Completion-case--nameCompletion-7337 arg-1 arg-0 e-6 u--cns e-7 u--nsn (CoreC-45Name-splitNS u--nsn)))) eff-4)))))))))) eff-3))))))))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-7 (vector-ref lcase-2 1))) (let ((eff-3 (lambda (eta-0) (vector 1 ((csegen-102) (DataC-45List-nub (csegen-1008) e-7)))))) eff-3)))))))))) eff-2))))))))) eff-1))))))))
(define TTImpC-45InteractiveC-45Completion-completion (lambda (arg-0 arg-1) (let ((sc0 (TTImpC-45InteractiveC-45Completion-parseTask arg-1))) (if (null? sc0) (lambda (eta-0) (vector 1 '())) (let ((e-1 (unbox sc0))) (if (null? e-1) (lambda (eta-0) (vector 1 '())) (let ((e-4 (car e-1))) (let ((e-5 (cdr e-1))) (case (vector-ref e-5 0) ((0) (let ((e-0 (vector-ref e-5 1))) (let ((eff-0 (TTImpC-45InteractiveC-45Completion-nameCompletion arg-0 e-0))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-2 (vector-ref eta-3 1))) (vector 0 e-2))) (else (let ((e-6 (vector-ref eta-3 1))) (vector 1 (eta-2 e-6))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) (lambda (eta-0) (box (cons e-4 eta-0))))) eff-0)))) ((2) (let ((e-3 (vector-ref e-5 1))) (let ((e-2 (vector-ref e-5 2))) (let ((eff-0 (TTImpC-45InteractiveC-45Completion-pragmaCompletion arg-0 e-3 e-2))) (((csegen-50) ((let ((eff-1 (lambda (eta-0) (lambda (eta-1) (lambda (eta-2) (lambda (eta-3) (case (vector-ref eta-3 0) ((0) (let ((e-6 (vector-ref eta-3 1))) (vector 0 e-6))) (else (let ((e-6 (vector-ref eta-3 1))) (vector 1 (eta-2 e-6))))))))))) (lambda (arg-2) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-2) arg-3)))) ((csegen-77) (lambda (eta-0) (let ((e-7 (car eta-0))) (let ((e-6 (cdr eta-0))) (cons (string-append e-4 e-7) e-6))))))) eff-0))))) (else (let ((e-3 (vector-ref e-5 1))) (let ((u--commands (PreludeC-45Interfaces-concatMap (csegen-83) (csegen-16) (lambda (eta-0) (Builtin-fst eta-0)) (IdrisC-45Parser-parserCommandsForHelp)))) (lambda (eta-0) (vector 1 (((csegen-77) (lambda (eta-1) (cons e-4 ((csegen-5891) eta-1)))) (TTImpC-45InteractiveC-45Completion-oneOfCompletion e-3 u--commands))))))))))))))))
(define NetworkC-45SocketC-45Raw-sockaddr_free (lambda (arg-1 arg-2) (let ((eff-0 arg-2)) (SystemC-45FFI-free arg-1 eff-0))))
(define NetworkC-45SocketC-45Raw-getSockPort (lambda (arg-1 arg-2) (let ((e-2 (cdr arg-1))) ((e-2 'erased) (lambda (eta-0) (NetworkC-45FFI-prim__idrnet_sockaddr_port (let ((e-0 (vector-ref arg-2 0))) e-0) eta-0))))))
(define NetworkC-45SocketC-45Raw-getSockAddr (lambda (arg-1 arg-2) (let ((eff-0 arg-2)) (let ((e-1 (car arg-1))) (let ((e-4 (vector-ref e-1 1))) ((((e-4 'erased) 'erased) (let ((e-6 (cdr arg-1))) ((e-6 'erased) (lambda (eta-0) (NetworkC-45FFI-prim__idrnet_sockaddr_family eff-0 eta-0))))) (lambda (u--addr_family_int) (let ((sc1 (NetworkC-45SocketC-45Data-getSocketFamily u--addr_family_int))) (if (null? sc1) (Builtin-idris_crash "Unhandled input for Network.Socket.Raw.case block in getSockAddr at Network.Socket.Raw:64:1--75:43") (let ((e-6 (unbox sc1))) (cond ((equal? e-6 2) (let ((e-8 (car arg-1))) (let ((e-10 (vector-ref e-8 1))) ((((e-10 'erased) 'erased) (let ((e-12 (cdr arg-1))) ((e-12 'erased) (lambda (eta-0) (NetworkC-45FFI-prim__idrnet_sockaddr_ipv4 eff-0 eta-0))))) (lambda (u--ipv4_addr) (let ((e-13 (car arg-1))) (let ((e-16 (vector-ref e-13 0))) (let ((e-18 (vector-ref e-16 1))) ((e-18 'erased) (NetworkC-45SocketC-45Data-parseIPv4 u--ipv4_addr)))))))))) ((equal? e-6 3) (let ((e-8 (car arg-1))) (let ((e-11 (vector-ref e-8 0))) (let ((e-13 (vector-ref e-11 1))) ((e-13 'erased) (vector 1 )))))) ((equal? e-6 1) (((let ((eff-1 (let ((e-8 (car arg-1))) (let ((e-11 (vector-ref e-8 0))) (let ((e-14 (vector-ref e-11 0))) e-14))))) (lambda (arg-0) (lambda (arg-3) ((((eff-1 'erased) 'erased) arg-0) arg-3)))) (lambda (eta-0) (vector 2 eta-0))) (let ((e-7 (cdr arg-1))) ((e-7 'erased) (lambda (eta-0) (NetworkC-45FFI-prim__idrnet_sockaddr_unix eff-0 eta-0)))))) ((equal? e-6 0) (let ((e-8 (car arg-1))) (let ((e-11 (vector-ref e-8 0))) (let ((e-13 (vector-ref e-11 1))) ((e-13 'erased) (vector 3 ))))))(else (Builtin-idris_crash "Unhandled input for Network.Socket.Raw.case block in getSockAddr at Network.Socket.Raw:64:1--75:43")))))))))))))
(define NetworkC-45SocketC-45Data-n--4250-7384-u--toIntC-39 (lambda (arg-0 ext-0) (cast-string-int ext-0)))
(define NetworkC-45SocketC-45Data-n--4250-7385-u--toInt (lambda (arg-0 arg-1) (blodwen-toSignedInt (NetworkC-45SocketC-45Data-n--4250-7384-u--toIntC-39 arg-0 arg-1) 63)))
(define NetworkC-45SocketC-45Data-n--4250-7386-u--splitted (lambda (arg-0) (DataC-45List1-u--map_Functor_List1 (lambda (eta-0) (NetworkC-45SocketC-45Data-n--4250-7385-u--toInt arg-0 eta-0)) (DataC-45String-split (lambda (u--c) (PreludeC-45EqOrd-u--C-61C-61_Eq_Char u--c #\.)) arg-0))))
(define NetworkC-45SocketC-45Data-u--toCode_ToCode_SocketType (lambda (arg-0) (cond ((equal? arg-0 0) 0) ((equal? arg-0 1) 1) ((equal? arg-0 2) 2) (else 3))))
(define NetworkC-45SocketC-45Data-u--toCode_ToCode_SocketFamily (lambda (arg-0) (cond ((equal? arg-0 0) (PrimIO-unsafePerformIO (lambda (eta-0) (NetworkC-45SocketC-45Data-prim__idrnet_af_unspec eta-0)))) ((equal? arg-0 1) (PrimIO-unsafePerformIO (lambda (eta-0) (NetworkC-45SocketC-45Data-prim__idrnet_af_unix eta-0)))) ((equal? arg-0 2) (PrimIO-unsafePerformIO (lambda (eta-0) (NetworkC-45SocketC-45Data-prim__idrnet_af_inet eta-0)))) (else (PrimIO-unsafePerformIO (lambda (eta-0) (NetworkC-45SocketC-45Data-prim__idrnet_af_inet6 eta-0)))))))
(define NetworkC-45SocketC-45Data-u--show_Show_SocketAddress (lambda (arg-0) (case (vector-ref arg-0 0) ((0) (let ((e-0 (vector-ref arg-0 1))) (let ((e-1 (vector-ref arg-0 2))) (let ((e-2 (vector-ref arg-0 3))) (let ((e-3 (vector-ref arg-0 4))) (PreludeC-45Interfaces-concat (csegen-85) (csegen-16) (DataC-45List-intersperse "." (((csegen-25) (lambda (eta-0) (PreludeC-45Show-u--show_Show_Int eta-0))) (cons e-0 (cons e-1 (cons e-2 (cons e-3 '())))))))))))) ((1) "NOT IMPLEMENTED YET") ((2) (let ((e-4 (vector-ref arg-0 1))) e-4)) (else "Invalid"))))
(define NetworkC-45SocketC-45Data-parseIPv4 (lambda (arg-0) (let ((sc0 (NetworkC-45SocketC-45Data-n--4250-7386-u--splitted arg-0))) (if (null? sc0) (vector 3 ) (let ((e-1 (car sc0))) (let ((e-2 (cdr sc0))) (if (null? e-2) (vector 3 ) (let ((e-4 (car e-2))) (let ((e-5 (cdr e-2))) (if (null? e-5) (vector 3 ) (let ((e-7 (car e-5))) (let ((e-8 (cdr e-5))) (if (null? e-8) (vector 3 ) (let ((e-10 (car e-8))) (vector 0 e-1 e-4 e-7 e-10)))))))))))))))
(define NetworkC-45SocketC-45Data-getSocketFamily (lambda (arg-0) (DataC-45List-lookup (csegen-290) arg-0 (cons (cons (NetworkC-45SocketC-45Data-u--toCode_ToCode_SocketFamily 0) 0) (cons (cons (NetworkC-45SocketC-45Data-u--toCode_ToCode_SocketFamily 1) 1) (cons (cons (NetworkC-45SocketC-45Data-u--toCode_ToCode_SocketFamily 2) 2) (cons (cons (NetworkC-45SocketC-45Data-u--toCode_ToCode_SocketFamily 3) 3) '())))))))
(define NetworkC-45SocketC-45Data-getErrno (lambda (arg-1) (let ((e-2 (cdr arg-1))) ((e-2 'erased) (lambda (eta-0) (NetworkC-45SocketC-45Data-prim__idrnet_errno eta-0))))))
(define NetworkC-45SocketC-45Data-BACKLOG(blodwen-lazy (lambda () 20)))
(define NetworkC-45Socket-n--3935-7071-u--saString (lambda (arg-1 arg-2 arg-3 arg-4 arg-5) (if (null? arg-5) "" (let ((e-1 (unbox arg-5))) (NetworkC-45SocketC-45Data-u--show_Show_SocketAddress e-1)))))
(define NetworkC-45Socket-socket (lambda (arg-1 arg-2 arg-3 arg-4) (let ((e-1 (car arg-1))) (let ((e-4 (vector-ref e-1 1))) ((((e-4 'erased) 'erased) (let ((e-6 (cdr arg-1))) ((e-6 'erased) (lambda (eta-0) (NetworkC-45FFI-prim__idrnet_socket (NetworkC-45SocketC-45Data-u--toCode_ToCode_SocketFamily arg-2) (NetworkC-45SocketC-45Data-u--toCode_ToCode_SocketType arg-3) arg-4 eta-0))))) (lambda (u--socket_res) (let ((sc1 (PreludeC-45EqOrd-u--C-61C-61_Eq_Int u--socket_res (blodwen-toSignedInt -1 63)))) (cond ((equal? sc1 1) (((let ((eff-0 (let ((e-7 (car arg-1))) (let ((e-10 (vector-ref e-7 0))) (let ((e-13 (vector-ref e-10 0))) e-13))))) (lambda (arg-0) (lambda (arg-5) ((((eff-0 'erased) 'erased) arg-0) arg-5)))) (lambda (eta-0) (vector 0 eta-0))) (NetworkC-45SocketC-45Data-getErrno arg-1))) (else (let ((e-7 (car arg-1))) (let ((e-10 (vector-ref e-7 0))) (let ((e-12 (vector-ref e-10 1))) ((e-12 'erased) (vector 1 (vector u--socket_res arg-2 arg-3 arg-4)))))))))))))))
(define NetworkC-45Socket-listen (lambda (arg-1 arg-2) (let ((e-1 (car arg-1))) (let ((e-4 (vector-ref e-1 1))) ((((e-4 'erased) 'erased) (let ((e-6 (cdr arg-1))) ((e-6 'erased) (lambda (eta-0) (NetworkC-45FFI-prim__idrnet_listen (let ((e-0 (vector-ref arg-2 0))) e-0) (NetworkC-45SocketC-45Data-BACKLOG) eta-0))))) (lambda (u--listen_res) (let ((sc1 (PreludeC-45EqOrd-u--C-61C-61_Eq_Int u--listen_res (blodwen-toSignedInt -1 63)))) (cond ((equal? sc1 1) (NetworkC-45SocketC-45Data-getErrno arg-1)) (else (let ((e-7 (car arg-1))) (let ((e-10 (vector-ref e-7 0))) (let ((e-12 (vector-ref e-10 1))) ((e-12 'erased) (blodwen-toSignedInt 0 63))))))))))))))
(define NetworkC-45Socket-bind (lambda (arg-1 arg-2 arg-3 arg-4) (let ((e-1 (car arg-1))) (let ((e-4 (vector-ref e-1 1))) ((((e-4 'erased) 'erased) (let ((e-6 (cdr arg-1))) ((e-6 'erased) (lambda (eta-0) (NetworkC-45FFI-prim__idrnet_bind (let ((e-0 (vector-ref arg-2 0))) e-0) (NetworkC-45SocketC-45Data-u--toCode_ToCode_SocketFamily (let ((e-10 (vector-ref arg-2 1))) e-10)) (NetworkC-45SocketC-45Data-u--toCode_ToCode_SocketType (let ((e-9 (vector-ref arg-2 2))) e-9)) (NetworkC-45Socket-n--3935-7071-u--saString arg-1 arg-4 arg-3 arg-2 arg-3) arg-4 eta-0))))) (lambda (u--bind_res) (let ((sc1 (PreludeC-45EqOrd-u--C-61C-61_Eq_Int u--bind_res (blodwen-toSignedInt -1 63)))) (cond ((equal? sc1 1) (NetworkC-45SocketC-45Data-getErrno arg-1)) (else (let ((e-7 (car arg-1))) (let ((e-10 (vector-ref e-7 0))) (let ((e-12 (vector-ref e-10 1))) ((e-12 'erased) (blodwen-toSignedInt 0 63))))))))))))))
(define NetworkC-45Socket-accept (lambda (arg-1 arg-2) (let ((e-1 (car arg-1))) (let ((e-4 (vector-ref e-1 1))) ((((e-4 'erased) 'erased) (let ((e-6 (cdr arg-1))) ((e-6 'erased) (lambda (eta-0) (NetworkC-45FFI-prim__idrnet_create_sockaddr eta-0))))) (lambda (u--sockaddr_ptr) (let ((e-7 (car arg-1))) (let ((e-9 (vector-ref e-7 1))) ((((e-9 'erased) 'erased) (let ((e-11 (cdr arg-1))) ((e-11 'erased) (lambda (eta-0) (NetworkC-45FFI-prim__idrnet_accept (let ((e-0 (vector-ref arg-2 0))) e-0) u--sockaddr_ptr eta-0))))) (lambda (u--accept_res) (let ((sc2 (PreludeC-45EqOrd-u--C-61C-61_Eq_Int u--accept_res (blodwen-toSignedInt -1 63)))) (cond ((equal? sc2 1) (((let ((eff-0 (let ((e-12 (car arg-1))) (let ((e-15 (vector-ref e-12 0))) (let ((e-18 (vector-ref e-15 0))) e-18))))) (lambda (arg-0) (lambda (arg-3) ((((eff-0 'erased) 'erased) arg-0) arg-3)))) (lambda (eta-0) (vector 0 eta-0))) (NetworkC-45SocketC-45Data-getErrno arg-1))) (else (let ((e-13 (vector-ref arg-2 1))) (let ((e-12 (vector-ref arg-2 2))) (let ((e-11 (vector-ref arg-2 3))) (let ((e-15 (car arg-1))) (let ((e-17 (vector-ref e-15 1))) ((((e-17 'erased) 'erased) (NetworkC-45SocketC-45Raw-getSockAddr arg-1 u--sockaddr_ptr)) (lambda (u--sockaddr) (PreludeC-45Interfaces-C-62C-62 (let ((e-20 (car arg-1))) e-20) (NetworkC-45SocketC-45Raw-sockaddr_free arg-1 u--sockaddr_ptr) (lambda () (let ((e-20 (car arg-1))) (let ((e-23 (vector-ref e-20 0))) (let ((e-25 (vector-ref e-23 1))) ((e-25 'erased) (vector 1 (cons (vector u--accept_res e-13 e-12 e-11) u--sockaddr))))))))))))))))))))))))))))
(define IdrisC-45IDEModeC-45SyntaxHighlight-printOutput (lambda (arg-0 arg-1 arg-2) (let ((eff-0 (let ((eff-0 arg-1)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((e-8 (vector-ref e-5 8))) (case (vector-ref e-8 0) ((1) (lambda (eta-0) (vector 1 (vector 0 )))) (else (let ((e-20 (vector-ref e-8 1))) (let ((e-18 (vector-ref e-8 3))) (IdrisC-45IDEModeC-45Commands-send arg-0 e-18 (vector 2 (vector 1 (cons arg-2 '())) e-20))))))))) eff-1)))))))))
(define IdrisC-45IDEModeC-45SyntaxHighlight-outputSyntaxHighlighting (lambda (arg-0 arg-1 arg-2 arg-3 arg-4 arg-5) (let ((eff-0 (let ((eff-0 arg-3)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-2 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-5 (vector-ref lcase-0 1))) (let ((eff-1 (let ((eff-1 (let ((sc1 (let ((e-16 (vector-ref e-5 16))) e-16))) (cond ((equal? sc1 1) (let ((eff-1 (let ((eff-1 arg-1)) (PrimIO-io_bind (let ((eff-2 eff-1)) (lambda (eta-0) (unbox eff-2))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-6 (vector-ref lcase-1 1))) (let ((eff-2 (let ((eff-2 (CoreC-45Directory-ctxtPathToNS arg-0 arg-4))) (PrimIO-io_bind eff-2 (lambda (lcase-2) (case (vector-ref lcase-2 0) ((0) (let ((e-2 (vector-ref lcase-2 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-3 (let ((eff-3 (CoreC-45Metadata-allSemanticHighlighting arg-0 e-6))) (PrimIO-io_bind eff-3 (lambda (lcase-3) (case (vector-ref lcase-3 0) ((0) (let ((e-2 (vector-ref lcase-3 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((e-8 (vector-ref lcase-3 1))) (let ((eff-4 (CoreC-45Core-traverse_ (lambda (lamc-0) (let ((e-2 (car lamc-0))) (let ((e-3 (cdr lamc-0))) (let ((e-10 (car e-3))) (let ((e-9 (cdr e-3))) (if (null? e-9) (IdrisC-45IDEModeC-45SyntaxHighlight-lwOutputHighlight arg-0 arg-3 (cons arg-4 (cons e-2 e-10))) (let ((e-4 (unbox e-9))) (IdrisC-45IDEModeC-45SyntaxHighlight-outputNameSyntax arg-0 arg-2 arg-3 (cons arg-4 (cons e-2 (cons e-10 e-4))))))))))) (LibrariesC-45DataC-45PosMap-u--toList_Foldable_PosMap e-8)))) eff-4))))))))) eff-3)))))))) eff-2)))))))) (else (lambda (eta-0) (vector 1 (vector 0 )))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-2 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-2)))) (else (let ((eff-2 (lambda (eta-0) (vector 1 arg-5)))) eff-2)))))))) eff-1)))))))))
(define IdrisC-45IDEModeC-45SyntaxHighlight-outputNameSyntax (lambda (arg-0 arg-1 arg-2 arg-3) (let ((e-2 (car arg-3))) (let ((e-3 (cdr arg-3))) (let ((e-6 (car e-3))) (let ((e-7 (cdr e-3))) (let ((e-10 (car e-7))) (let ((e-11 (cdr e-7))) (let ((eff-0 (let ((eff-0 arg-0)) (PrimIO-io_bind (let ((eff-1 eff-0)) (lambda (eta-0) (unbox eff-1))) (lambda (u--opC-39) (lambda (eta-0) (vector 1 u--opC-39))))))) (PrimIO-io_bind eff-0 (lambda (lcase-0) (case (vector-ref lcase-0 0) ((0) (let ((e-4 (vector-ref lcase-0 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-1 (let ((eff-1 (CoreC-45ContextC-45Log-log arg-0 "ide-mode.highlight" 20 (lambda () (string-append "highlighting at " (string-append (PreludeC-45Show-u--show_Show_C-40C-124C-40C-40BuiltinC-46PairC-32C-36aC-41C-32C-36bC-41C-44C-40C-40BuiltinC-46MkPairC-32C-36aC-41C-32C-36bC-41C-124C-41 (csegen-2448) e-6) (string-append ": " (string-append (CoreC-45Name-u--show_Show_Name e-11) (string-append "\xa;As: " (ProtocolC-45IDEC-45Decoration-u--show_Show_Decoration e-10)))))))))) (PrimIO-io_bind eff-1 (lambda (lcase-1) (case (vector-ref lcase-1 0) ((0) (let ((e-4 (vector-ref lcase-1 1))) (lambda (eta-0) (vector 0 e-4)))) (else (let ((eff-2 (let ((sc5 (CoreC-45Name-displayName e-11))) (let ((e-9 (car sc5))) (let ((e-4 (cdr sc5))) (IdrisC-45IDEModeC-45SyntaxHighlight-outputHighlight arg-0 arg-2 (vector ((csegen-5272) (cons e-2 e-6)) e-4 0 "" e-10 "" "" (PreludeC-45Types-maybe (lambda () "") (lambda () (lambda (eta-0) (CoreC-45NameC-45Namespace-u--show_Show_Namespace eta-0))) e-9)))))))) eff-2)))))))) eff-1))))))))))))))
(define IdrisC-45IDEModeC-45SyntaxHighlight-outputHighlight (lambda (arg-0 arg-1 arg-2) (IdrisC-45IDEModeC-45SyntaxHighlight-printOutput arg-0 arg-1 (vector 0 arg-2))))
(define IdrisC-45IDEModeC-45SyntaxHighlight-lwOutputHighlight (lambda (arg-0 arg-1 arg-2) (let ((e-2 (car arg-2))) (let ((e-3 (cdr arg-2))) (let ((e-6 (car e-3))) (let ((e-7 (cdr e-3))) (IdrisC-45IDEModeC-45SyntaxHighlight-printOutput arg-0 arg-1 (vector 1 (cons ((csegen-5272) (cons e-2 e-6)) e-7)))))))))
(define IdrisC-45IDEModeC-45Parser-u--cast_Cast_SExpError_Error (lambda (arg-0) (case (vector-ref arg-0 0) ((0) (let ((e-0 (vector-ref arg-0 1))) (ParserC-45Support-fromLexError (vector 2 (vector 0 )) e-0))) (else (let ((e-1 (vector-ref arg-0 1))) (ParserC-45Support-fromParsingErrors (csegen-2443) (vector 2 (vector 0 )) e-1))))))
(define IdrisC-45IDEModeC-45Parser-parseSExp (lambda (arg-0) (let ((sc0 (ProtocolC-45SExpC-45Parser-parseSExp arg-0))) (case (vector-ref sc0 0) ((0) (let ((e-2 (vector-ref sc0 1))) (vector 0 (IdrisC-45IDEModeC-45Parser-u--cast_Cast_SExpError_Error e-2)))) (else (let ((e-5 (vector-ref sc0 1))) (vector 1 e-5)))))))
(define ProtocolC-45SExpC-45Parser-case--idelex-10863 (lambda (arg-0 arg-1) (let ((e-2 (car arg-1))) (let ((e-3 (cdr arg-1))) (if (null? e-3) (vector 0 e-3) (let ((e-6 (car e-3))) (let ((e-7 (cdr e-3))) (case (vector-ref e-6 0) ((0) (if (null? e-7) (vector 0 e-3) (let ((e-10 (car e-7))) (let ((e-11 (cdr e-7))) (if (null? e-11) (vector 0 e-3) (let ((e-14 (car e-11))) (vector 1 (PreludeC-45TypesC-45List-tailRecAppend (PreludeC-45TypesC-45List-filterAppend '() (lambda (eta-0) (ProtocolC-45SExpC-45Parser-n--5413-10833-u--notComment arg-0 eta-0)) e-2) (cons (vector (vector 17 ) 0 (vector e-10 e-14 e-10 e-14)) '())))))))))(else (vector 0 e-3))))))))))
(define ProtocolC-45SExpC-45Parser-n--5413-10833-u--notComment (lambda (arg-0 arg-1) (let ((e-1 (vector-ref arg-1 0))) (case (vector-ref e-1 0) ((14) 0)(else 1)))))
(define ProtocolC-45SExpC-45Parser-symbols(blodwen-lazy (lambda () (cons "(" (cons ":" (cons ")" '()))))))
(define ProtocolC-45SExpC-45Parser-symbol (lambda (arg-0) (vector 1 (string-append "Expected '" (string-append arg-0 "'")) (lambda (lcase-0) (case (vector-ref lcase-0 0) ((12) (let ((e-0 (vector-ref lcase-0 1))) (PreludeC-45Interfaces-guard (csegen-326) (PreludeC-45EqOrd-u--C-61C-61_Eq_String e-0 arg-0))))(else '()))))))
(define ProtocolC-45SExpC-45Parser-stringTokens(blodwen-lazy (lambda () (LibrariesC-45TextC-45LexerC-45Tokenizer-match (LibrariesC-45TextC-45Lexer-someUntil (LibrariesC-45TextC-45Lexer-is #\") (csegen-788)) (lambda (eta-0) (vector 7 0 eta-0))))))
(define ProtocolC-45SExpC-45Parser-sexp(blodwen-lazy (lambda () (vector 13 1 1 (vector 11 1 (ProtocolC-45SExpC-45Parser-symbol ":") (lambda () (vector 11 0 (ParserC-45RuleC-45Source-exactIdent "True") (lambda () (vector 0 (vector 2 1)))))) (lambda () (vector 13 1 1 (vector 11 1 (ProtocolC-45SExpC-45Parser-symbol ":") (lambda () (vector 11 0 (ParserC-45RuleC-45Source-exactIdent "False") (lambda () (vector 0 (vector 2 0)))))) (lambda () (vector 13 1 1 (vector 9 0 (ParserC-45RuleC-45Source-intLit) (lambda () (lambda (u--i) (vector 0 (vector 3 u--i))))) (lambda () (vector 13 1 1 (vector 9 0 (ParserC-45RuleC-45Source-simpleStr) (lambda () (lambda (u--str) (vector 0 (vector 1 u--str))))) (lambda () (vector 13 1 1 (vector 11 1 (ProtocolC-45SExpC-45Parser-symbol ":") (lambda () (vector 9 0 (ParserC-45RuleC-45Source-unqualifiedName) (lambda () (lambda (u--x) (vector 0 (vector 4 u--x))))))) (lambda () (vector 11 1 (ProtocolC-45SExpC-45Parser-symbol "(") (lambda () (vector 10 0 1 (LibrariesC-45TextC-45Parser-many (ProtocolC-45SExpC-45Parser-sexp)) (lambda (u--xs) (vector 11 0 (ProtocolC-45SExpC-45Parser-symbol ")") (lambda () (vector 0 (vector 0 u--xs)))))))))))))))))))))
(define ProtocolC-45SExpC-45Parser-parseSExp (lambda (arg-0) (ProtocolC-45SExpC-45Parser-ideParser 1 arg-0 (vector 9 0 (ProtocolC-45SExpC-45Parser-sexp) (lambda () (lambda (u--c) (vector 12 0 0 (ParserC-45RuleC-45Source-eoi) (vector 0 u--c))))))))
(define ProtocolC-45SExpC-45Parser-idelex (lambda (arg-0) (ProtocolC-45SExpC-45Parser-case--idelex-10863 arg-0 (LibrariesC-45TextC-45LexerC-45Tokenizer-lex (ProtocolC-45SExpC-45Parser-ideTokens) arg-0))))
(define ProtocolC-45SExpC-45Parser-ideTokens(blodwen-lazy (lambda () (LibrariesC-45TextC-45LexerC-45Tokenizer-C-60C-124C-62 (LibrariesC-45TextC-45LexerC-45Tokenizer-match (LibrariesC-45TextC-45Lexer-choice 1 (csegen-16) (PreludeC-45Interfaces-C-60C-36C-62 (csegen-24) (lambda (eta-0) (LibrariesC-45TextC-45Lexer-exact eta-0)) (ProtocolC-45SExpC-45Parser-symbols))) (lambda (eta-0) (vector 12 eta-0))) (lambda () (LibrariesC-45TextC-45LexerC-45Tokenizer-C-60C-124C-62 (LibrariesC-45TextC-45LexerC-45Tokenizer-match (LibrariesC-45TextC-45Lexer-digits) (lambda (eta-0) (vector 2 (cast-string-int eta-0)))) (lambda () (LibrariesC-45TextC-45LexerC-45Tokenizer-C-60C-124C-62 (LibrariesC-45TextC-45LexerC-45Tokenizer-compose (LibrariesC-45TextC-45Lexer-is #\") (lambda (eta-0) (vector 3 1)) (lambda (eta-0) (vector 0 )) (lambda () (lambda (eta-0) (ProtocolC-45SExpC-45Parser-stringTokens))) (lambda (eta-0) (LibrariesC-45TextC-45Lexer-is #\")) (lambda (eta-0) (vector 4 ))) (lambda () (LibrariesC-45TextC-45LexerC-45Tokenizer-C-60C-124C-62 (LibrariesC-45TextC-45LexerC-45Tokenizer-match (ParserC-45LexerC-45Common-identAllowDashes) (lambda (eta-0) (vector 9 eta-0))) (lambda () (LibrariesC-45TextC-45LexerC-45Tokenizer-match (LibrariesC-45TextC-45Lexer-space) (lambda (eta-0) (vector 14 ))))))))))))))
(define ProtocolC-45SExpC-45Parser-ideParser (lambda (arg-1 arg-2 arg-3) (PreludeC-45Types-u--C-62C-62C-61_Monad_C-40EitherC-32C-36eC-41 (let ((sc0 (ProtocolC-45SExpC-45Parser-idelex arg-2))) (case (vector-ref sc0 0) ((0) (let ((e-2 (vector-ref sc0 1))) (vector 0 (vector 0 e-2)))) (else (let ((e-5 (vector-ref sc0 1))) (vector 1 e-5))))) (lambda (u--toks) (PreludeC-45Types-u--C-62C-62C-61_Monad_C-40EitherC-32C-36eC-41 (let ((sc0 (LibrariesC-45TextC-45ParserC-45Core-parseWith (csegen-2438) arg-1 arg-3 u--toks))) (case (vector-ref sc0 0) ((0) (let ((e-2 (vector-ref sc0 1))) (vector 0 (vector 1 e-2)))) (else (let ((e-5 (vector-ref sc0 1))) (vector 1 e-5))))) (lambda (_-0) (let ((e-3 (cdr _-0))) (let ((e-7 (cdr e-3))) (let ((e-10 (car e-7))) (vector 1 e-10))))))))))
(load-shared-object "libidris2_support.so")
(collect-request-handler (lambda () (collect) (blodwen-run-finalisers)))
(PrimIO-unsafePerformIO (IdrisC-45Main-main))
  (collect 4)
  (blodwen-run-finalisers)
  
  )